--
-- Table structure for table `access`
--

CREATE TABLE IF NOT EXISTS `access` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `ip_address` varchar(39) COLLATE utf8_bin NOT NULL,
  `userid` int(10) NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `emails`
--

CREATE TABLE IF NOT EXISTS `emails` (
  `id` int(1) NOT NULL,
  `slug` varchar(15) COLLATE utf8_bin NOT NULL,
  `subject` varchar(100) COLLATE utf8_bin NOT NULL,
  `message` longtext COLLATE utf8_bin NOT NULL,
  `datetime` datetime NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

--
-- Dumping data for table `emails`
--

INSERT INTO `emails` (`id`, `slug`, `subject`, `message`, `datetime`) VALUES
(1, 'new_user', 'Welcome to {webtitle}', 'Hi,<br/><br/>Welcome to {webtitle}. We are really happy to have you in our network. We hope that you enjoy our services and be a part of our network forever.<br/><br/>\r\n--<br/>\r\nThanks<br/>\r\n{webtitle} Staff<br/>\r\n<a href="{website}/">{website}', '2012-07-10 00:00:00'),
(2, 'verify_email', 'Email verification - {webtitle}', 'Hi,<br/><br/>You recently signed up at {webtitle}. Before you can start using our services, you need to verify your email. You need to click on the verification link in this email to verify your account. Once verified, you will be able to use our services instantly.<br/><br/>\r\nPlease find the verification link below:<br/>\r\n<a href="{website}/USER_DIRECTORY/verify/{key}">{website}/USER_DIRECTORY/verify/{key}</a><br/><br/>\r\nUse the above link to verify your account and start using our services instantly. Hope to see you soon.<br/><br/>\r\n--<br/>\r\nThanks<br/>\r\n{webtitle} Staff<br/>\r\n<a href="{website}/">{website}</a>', '2012-07-10 05:13:22'),
(3, 'forgot_pass', 'Password reset link - {webtitle}', 'Hi,<br/><br/>You recently requested for a password reset for your account with email <i>{email}</i> on <i>{webtitle}</i>.<br/><br/>\r\nPlease find below the link to reset your password:<br/>\r\n<a href="{website}/USER_DIRECTORY/passreset/{reset_key}/{email}">{website}/USER_DIRECTORY/passreset/{reset_key}/{email}</a><br/><br/>\r\nUsing the above link will reset your password and your new password will be mailed to you.<br/><br/>\r\n--<br/>\r\nThanks<br/>\r\n{webtitle} Staff<br/>\r\n<a href="{website}/">{website}</a>', '2012-07-10 00:00:00'),
(4, 'new_pass', 'New password for {webtitle}', 'Hi,<br/><br/>\r\nPlease find below your newly generated password for accessing <i>{webtitle}</i> services. The details are:<br/><br/>\r\nEmail: {email}<br/>\r\nPassword: {new_password}<br/><br/>\r\nUse the above mentioned password for accessing our services from this very moment. Contact support staff if you need any assistance.<br/><br/>\r\n--<br/>\r\nThanks<br/>\r\n{webtitle} Staff<br/>\r\n<a href="{website}/">{website}</a>', '2012-07-10 00:00:00');

-- --------------------------------------------------------

--
-- Table structure for table `ips`
--

CREATE TABLE IF NOT EXISTS `ips` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `begin_ip` varchar(20) COLLATE utf8_bin DEFAULT NULL,
  `end_ip` varchar(20) COLLATE utf8_bin DEFAULT NULL,
  `begin_ip_num` int(11) unsigned DEFAULT NULL,
  `end_ip_num` int(11) unsigned DEFAULT NULL,
  `country_code` varchar(3) COLLATE utf8_bin DEFAULT NULL,
  `country_name` varchar(150) COLLATE utf8_bin DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `begin_ip_num` (`begin_ip_num`,`end_ip_num`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=168983 ;

--
-- Dumping data for table `ips`
--

INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(1, '0.116.0.0', '0.119.255.255', 7602176, 7864319, 'AT', 'Austria'),
(2, '1.0.0.0', '1.0.0.255', 16777216, 16777471, 'AU', 'Australia'),
(3, '1.0.1.0', '1.0.3.255', 16777472, 16778239, 'CN', 'China'),
(4, '1.0.4.0', '1.0.7.255', 16778240, 16779263, 'AU', 'Australia'),
(5, '1.0.8.0', '1.0.15.255', 16779264, 16781311, 'CN', 'China'),
(6, '1.0.16.0', '1.0.31.255', 16781312, 16785407, 'JP', 'Japan'),
(7, '1.0.32.0', '1.0.63.255', 16785408, 16793599, 'CN', 'China'),
(8, '1.0.64.0', '1.0.127.255', 16793600, 16809983, 'JP', 'Japan'),
(9, '1.0.128.0', '1.0.255.255', 16809984, 16842751, 'TH', 'Thailand'),
(10, '1.1.0.0', '1.1.0.255', 16842752, 16843007, 'CN', 'China'),
(11, '1.1.1.0', '1.1.1.255', 16843008, 16843263, 'AU', 'Australia'),
(12, '1.1.2.0', '1.1.63.255', 16843264, 16859135, 'CN', 'China'),
(13, '1.1.64.0', '1.1.127.255', 16859136, 16875519, 'JP', 'Japan'),
(14, '1.1.128.0', '1.1.255.255', 16875520, 16908287, 'TH', 'Thailand'),
(15, '1.2.0.0', '1.2.2.255', 16908288, 16909055, 'CN', 'China'),
(16, '1.2.3.0', '1.2.3.255', 16909056, 16909311, 'AU', 'Australia'),
(17, '1.2.4.0', '1.2.127.255', 16909312, 16941055, 'CN', 'China'),
(18, '1.2.128.0', '1.2.255.255', 16941056, 16973823, 'TH', 'Thailand'),
(19, '1.3.0.0', '1.3.255.255', 16973824, 17039359, 'CN', 'China'),
(20, '1.4.0.0', '1.4.0.255', 17039360, 17039615, 'AU', 'Australia'),
(21, '1.4.1.0', '1.4.127.255', 17039616, 17072127, 'CN', 'China'),
(22, '1.4.128.0', '1.4.255.255', 17072128, 17104895, 'TH', 'Thailand'),
(23, '1.5.0.0', '1.5.255.255', 17104896, 17170431, 'JP', 'Japan'),
(24, '1.6.0.0', '1.7.255.255', 17170432, 17301503, 'IN', 'India'),
(25, '1.8.0.0', '1.8.255.255', 17301504, 17367039, 'CN', 'China'),
(26, '1.9.0.0', '1.9.255.255', 17367040, 17432575, 'MY', 'Malaysia'),
(27, '1.10.0.0', '1.10.9.255', 17432576, 17435135, 'CN', 'China'),
(28, '1.10.10.0', '1.10.10.255', 17435136, 17435391, 'AU', 'Australia'),
(29, '1.10.11.0', '1.10.127.255', 17435392, 17465343, 'CN', 'China'),
(30, '1.10.128.0', '1.10.255.255', 17465344, 17498111, 'TH', 'Thailand'),
(31, '1.11.0.0', '1.11.255.255', 17498112, 17563647, 'KR', 'Korea, Republic of'),
(32, '1.12.0.0', '1.15.255.255', 17563648, 17825791, 'CN', 'China'),
(33, '1.16.0.0', '1.19.255.255', 17825792, 18087935, 'KR', 'Korea, Republic of'),
(34, '1.20.0.0', '1.20.255.255', 18087936, 18153471, 'TH', 'Thailand'),
(35, '1.21.0.0', '1.21.255.255', 18153472, 18219007, 'JP', 'Japan'),
(36, '1.22.0.0', '1.23.255.255', 18219008, 18350079, 'IN', 'India'),
(37, '1.24.0.0', '1.31.255.255', 18350080, 18874367, 'CN', 'China'),
(38, '1.32.0.0', '1.32.255.255', 18874368, 18939903, 'HK', 'Hong Kong'),
(39, '1.33.0.0', '1.33.255.255', 18939904, 19005439, 'JP', 'Japan'),
(40, '1.34.0.0', '1.35.255.255', 19005440, 19136511, 'TW', 'Taiwan'),
(41, '1.36.0.0', '1.36.255.255', 19136512, 19202047, 'HK', 'Hong Kong'),
(42, '1.37.0.0', '1.37.255.255', 19202048, 19267583, 'PH', 'Philippines'),
(43, '1.38.0.0', '1.39.255.255', 19267584, 19398655, 'IN', 'India'),
(44, '1.40.0.0', '1.44.255.255', 19398656, 19726335, 'AU', 'Australia'),
(45, '1.45.0.0', '1.45.255.255', 19726336, 19791871, 'CN', 'China'),
(46, '1.46.0.0', '1.47.255.255', 19791872, 19922943, 'TH', 'Thailand'),
(47, '1.48.0.0', '1.51.255.255', 19922944, 20185087, 'CN', 'China'),
(48, '1.52.0.0', '1.55.255.255', 20185088, 20447231, 'VN', 'Vietnam'),
(49, '1.56.0.0', '1.63.255.255', 20447232, 20971519, 'CN', 'China'),
(50, '1.64.0.0', '1.65.255.255', 20971520, 21102591, 'HK', 'Hong Kong'),
(51, '1.66.0.0', '1.67.255.255', 21102592, 21233663, 'JP', 'Japan'),
(52, '1.68.0.0', '1.71.255.255', 21233664, 21495807, 'CN', 'China'),
(53, '1.72.0.0', '1.79.255.255', 21495808, 22020095, 'JP', 'Japan'),
(54, '1.80.0.0', '1.95.255.255', 22020096, 23068671, 'CN', 'China'),
(55, '1.96.0.0', '1.111.255.255', 23068672, 24117247, 'KR', 'Korea, Republic of'),
(56, '1.112.0.0', '1.115.255.255', 24117248, 24379391, 'JP', 'Japan'),
(57, '1.116.0.0', '1.119.255.255', 24379392, 24641535, 'CN', 'China'),
(58, '1.120.0.0', '1.159.255.255', 24641536, 27262975, 'AU', 'Australia'),
(59, '1.160.0.0', '1.175.255.255', 27262976, 28311551, 'TW', 'Taiwan'),
(60, '1.176.0.0', '1.177.255.255', 28311552, 28442623, 'KR', 'Korea, Republic of'),
(61, '1.178.0.0', '1.179.127.255', 28442624, 28540927, 'AU', 'Australia'),
(62, '1.179.128.0', '1.179.255.255', 28540928, 28573695, 'TH', 'Thailand'),
(63, '1.180.0.0', '1.185.255.255', 28573696, 28966911, 'CN', 'China'),
(64, '1.186.0.0', '1.187.255.255', 28966912, 29097983, 'IN', 'India'),
(65, '1.188.0.0', '1.199.255.255', 29097984, 29884415, 'CN', 'China'),
(66, '1.200.0.0', '1.200.255.255', 29884416, 29949951, 'TW', 'Taiwan'),
(67, '1.201.0.0', '1.201.255.255', 29949952, 30015487, 'KR', 'Korea, Republic of'),
(68, '1.202.0.0', '1.207.255.255', 30015488, 30408703, 'CN', 'China'),
(69, '1.208.0.0', '1.254.255.255', 30408704, 33488895, 'KR', 'Korea, Republic of'),
(70, '1.255.0.0', '1.255.255.255', 33488896, 33554431, 'AU', 'Australia'),
(71, '2.0.0.0', '2.15.255.255', 33554432, 34603007, 'FR', 'France'),
(72, '2.16.0.0', '2.16.5.255', 34603008, 34604543, 'EU', 'Europe'),
(73, '2.16.6.0', '2.16.7.255', 34604544, 34605055, 'DE', 'Germany'),
(74, '2.16.8.0', '2.16.67.255', 34605056, 34620415, 'EU', 'Europe'),
(75, '2.16.68.0', '2.16.69.255', 34620416, 34620927, 'SE', 'Sweden'),
(76, '2.16.70.0', '2.16.71.255', 34620928, 34621439, 'IT', 'Italy'),
(77, '2.16.72.0', '2.16.131.255', 34621440, 34636799, 'EU', 'Europe'),
(78, '2.16.132.0', '2.16.133.255', 34636800, 34637311, 'DE', 'Germany'),
(79, '2.16.134.0', '2.16.169.255', 34637312, 34646527, 'EU', 'Europe'),
(80, '2.16.170.0', '2.16.173.255', 34646528, 34647551, 'DE', 'Germany'),
(81, '2.16.174.0', '2.16.177.255', 34647552, 34648575, 'EU', 'Europe'),
(82, '2.16.178.0', '2.16.179.255', 34648576, 34649087, 'GR', 'Greece'),
(83, '2.16.180.0', '2.16.219.255', 34649088, 34659327, 'EU', 'Europe'),
(84, '2.16.220.0', '2.16.223.255', 34659328, 34660351, 'GR', 'Greece'),
(85, '2.16.224.0', '2.16.239.255', 34660352, 34664447, 'EU', 'Europe'),
(86, '2.16.240.0', '2.16.255.255', 34664448, 34668543, 'DE', 'Germany'),
(87, '2.17.0.0', '2.17.19.255', 34668544, 34673663, 'EU', 'Europe'),
(88, '2.17.20.0', '2.17.23.255', 34673664, 34674687, 'DE', 'Germany'),
(89, '2.17.24.0', '2.17.251.255', 34674688, 34733055, 'EU', 'Europe'),
(90, '2.17.252.0', '2.17.255.255', 34733056, 34734079, 'DE', 'Germany'),
(91, '2.18.0.0', '2.18.79.255', 34734080, 34754559, 'EU', 'Europe'),
(92, '2.18.80.0', '2.18.95.255', 34754560, 34758655, 'GR', 'Greece'),
(93, '2.18.96.0', '2.19.15.255', 34758656, 34803711, 'EU', 'Europe'),
(94, '2.19.16.0', '2.19.31.255', 34803712, 34807807, 'IT', 'Italy'),
(95, '2.19.32.0', '2.19.239.255', 34807808, 34861055, 'EU', 'Europe'),
(96, '2.19.240.0', '2.19.255.255', 34861056, 34865151, 'DE', 'Germany'),
(97, '2.20.0.0', '2.20.3.255', 34865152, 34866175, 'EU', 'Europe'),
(98, '2.20.4.0', '2.20.7.255', 34866176, 34867199, 'IT', 'Italy'),
(99, '2.20.8.0', '2.20.59.255', 34867200, 34880511, 'EU', 'Europe'),
(100, '2.20.60.0', '2.20.63.255', 34880512, 34881535, 'DE', 'Germany'),
(101, '2.20.64.0', '2.20.178.255', 34881536, 34910975, 'EU', 'Europe'),
(102, '2.20.179.0', '2.20.179.255', 34910976, 34911231, 'ES', 'Spain'),
(103, '2.20.180.0', '2.20.181.255', 34911232, 34911743, 'DE', 'Germany'),
(104, '2.20.182.0', '2.20.182.255', 34911744, 34911999, 'AT', 'Austria'),
(105, '2.20.183.0', '2.20.183.255', 34912000, 34912255, 'GB', 'United Kingdom'),
(106, '2.20.184.0', '2.20.184.255', 34912256, 34912511, 'DE', 'Germany'),
(107, '2.20.185.0', '2.20.185.255', 34912512, 34912767, 'ES', 'Spain'),
(108, '2.20.186.0', '2.20.187.255', 34912768, 34913279, 'DE', 'Germany'),
(109, '2.20.188.0', '2.20.246.255', 34913280, 34928383, 'EU', 'Europe'),
(110, '2.20.247.0', '2.20.247.255', 34928384, 34928639, 'DE', 'Germany'),
(111, '2.20.248.0', '2.20.255.255', 34928640, 34930687, 'EU', 'Europe'),
(112, '2.21.0.0', '2.21.31.255', 34930688, 34938879, 'DE', 'Germany'),
(113, '2.21.32.0', '2.21.63.255', 34938880, 34947071, 'FR', 'France'),
(114, '2.21.64.0', '2.21.87.255', 34947072, 34953215, 'EU', 'Europe'),
(115, '2.21.88.0', '2.21.93.255', 34953216, 34954751, 'AT', 'Austria'),
(116, '2.21.94.0', '2.21.95.255', 34954752, 34955263, 'NL', 'Netherlands'),
(117, '2.21.96.0', '2.21.111.255', 34955264, 34959359, 'AT', 'Austria'),
(118, '2.21.112.0', '2.21.127.255', 34959360, 34963455, 'NL', 'Netherlands'),
(119, '2.21.128.0', '2.21.239.255', 34963456, 34992127, 'EU', 'Europe'),
(120, '2.21.240.0', '2.21.243.255', 34992128, 34993151, 'NL', 'Netherlands'),
(121, '2.21.244.0', '2.21.245.255', 34993152, 34993663, 'FR', 'France'),
(122, '2.21.246.0', '2.21.246.255', 34993664, 34993919, 'AT', 'Austria'),
(123, '2.21.247.0', '2.21.247.255', 34993920, 34994175, 'DE', 'Germany'),
(124, '2.21.248.0', '2.21.253.255', 34994176, 34995711, 'FR', 'France'),
(125, '2.21.254.0', '2.21.254.255', 34995712, 34995967, 'EU', 'Europe'),
(126, '2.21.255.0', '2.21.255.255', 34995968, 34996223, 'NL', 'Netherlands'),
(127, '2.22.0.0', '2.22.11.255', 34996224, 34999295, 'EU', 'Europe'),
(128, '2.22.12.0', '2.22.19.255', 34999296, 35001343, 'GB', 'United Kingdom'),
(129, '2.22.20.0', '2.22.23.255', 35001344, 35002367, 'FR', 'France'),
(130, '2.22.24.0', '2.22.47.255', 35002368, 35008511, 'EU', 'Europe'),
(131, '2.22.48.0', '2.22.49.255', 35008512, 35009023, 'FR', 'France'),
(132, '2.22.50.0', '2.22.54.255', 35009024, 35010303, 'EU', 'Europe'),
(133, '2.22.55.0', '2.22.55.255', 35010304, 35010559, 'BE', 'Belgium'),
(134, '2.22.56.0', '2.22.59.255', 35010560, 35011583, 'FR', 'France'),
(135, '2.22.60.0', '2.22.95.255', 35011584, 35020799, 'EU', 'Europe'),
(136, '2.22.96.0', '2.22.159.255', 35020800, 35037183, 'GB', 'United Kingdom'),
(137, '2.22.160.0', '2.22.225.255', 35037184, 35054079, 'FR', 'France'),
(138, '2.22.226.0', '2.22.227.255', 35054080, 35054591, 'SE', 'Sweden'),
(139, '2.22.228.0', '2.22.229.255', 35054592, 35055103, 'EU', 'Europe'),
(140, '2.22.230.0', '2.22.230.255', 35055104, 35055359, 'ES', 'Spain'),
(141, '2.22.231.0', '2.22.231.255', 35055360, 35055615, 'EU', 'Europe'),
(142, '2.22.232.0', '2.22.232.255', 35055616, 35055871, 'GB', 'United Kingdom'),
(143, '2.22.233.0', '2.22.233.255', 35055872, 35056127, 'NL', 'Netherlands'),
(144, '2.22.234.0', '2.22.245.255', 35056128, 35059199, 'EU', 'Europe'),
(145, '2.22.246.0', '2.22.247.255', 35059200, 35059711, 'GB', 'United Kingdom'),
(146, '2.22.248.0', '2.22.251.255', 35059712, 35060735, 'EU', 'Europe'),
(147, '2.22.252.0', '2.22.253.255', 35060736, 35061247, 'GB', 'United Kingdom'),
(148, '2.22.254.0', '2.22.255.255', 35061248, 35061759, 'FR', 'France'),
(149, '2.23.0.0', '2.23.111.255', 35061760, 35090431, 'EU', 'Europe'),
(150, '2.23.112.0', '2.23.127.255', 35090432, 35094527, 'GR', 'Greece'),
(151, '2.23.128.0', '2.23.255.255', 35094528, 35127295, 'EU', 'Europe'),
(152, '2.24.0.0', '2.31.255.255', 35127296, 35651583, 'GB', 'United Kingdom'),
(153, '2.32.0.0', '2.47.255.255', 35651584, 36700159, 'IT', 'Italy'),
(154, '2.48.0.0', '2.51.255.255', 36700160, 36962303, 'AE', 'United Arab Emirates'),
(155, '2.52.0.0', '2.55.255.255', 36962304, 37224447, 'IL', 'Israel'),
(156, '2.56.0.0', '2.56.159.255', 37224448, 37265407, 'UA', 'Ukraine'),
(157, '2.56.160.0', '2.56.171.255', 37265408, 37268479, 'CZ', 'Czech Republic'),
(158, '2.56.172.0', '2.56.255.255', 37268480, 37289983, 'UA', 'Ukraine'),
(159, '2.57.0.0', '2.57.31.255', 37289984, 37298175, 'RU', 'Russian Federation'),
(160, '2.57.32.0', '2.59.255.255', 37298176, 37486591, 'UA', 'Ukraine'),
(161, '2.60.0.0', '2.63.255.255', 37486592, 37748735, 'RU', 'Russian Federation'),
(162, '2.64.0.0', '2.71.255.255', 37748736, 38273023, 'SE', 'Sweden'),
(163, '2.72.0.0', '2.79.255.255', 38273024, 38797311, 'KZ', 'Kazakhstan'),
(164, '2.80.0.0', '2.83.255.255', 38797312, 39059455, 'PT', 'Portugal'),
(165, '2.84.0.0', '2.87.255.255', 39059456, 39321599, 'GR', 'Greece'),
(166, '2.88.0.0', '2.91.255.255', 39321600, 39583743, 'SA', 'Saudi Arabia'),
(167, '2.92.0.0', '2.95.255.255', 39583744, 39845887, 'RU', 'Russian Federation'),
(168, '2.96.0.0', '2.103.255.255', 39845888, 40370175, 'GB', 'United Kingdom'),
(169, '2.104.0.0', '2.111.255.255', 40370176, 40894463, 'DK', 'Denmark'),
(170, '2.112.0.0', '2.119.255.255', 40894464, 41418751, 'IT', 'Italy'),
(171, '2.120.0.0', '2.127.255.255', 41418752, 41943039, 'GB', 'United Kingdom'),
(172, '2.128.0.0', '2.131.255.255', 41943040, 42205183, 'DK', 'Denmark'),
(173, '2.132.0.0', '2.135.255.255', 42205184, 42467327, 'KZ', 'Kazakhstan'),
(174, '2.136.0.0', '2.143.255.255', 42467328, 42991615, 'ES', 'Spain'),
(175, '2.144.0.0', '2.147.255.255', 42991616, 43253759, 'IR', 'Iran, Islamic Republic of'),
(176, '2.148.0.0', '2.151.255.255', 43253760, 43515903, 'NO', 'Norway'),
(177, '2.152.0.0', '2.155.255.255', 43515904, 43778047, 'ES', 'Spain'),
(178, '2.156.0.0', '2.159.255.255', 43778048, 44040191, 'IT', 'Italy'),
(179, '2.160.0.0', '2.175.255.255', 44040192, 45088767, 'DE', 'Germany'),
(180, '2.176.0.0', '2.191.255.255', 45088768, 46137343, 'IR', 'Iran, Islamic Republic of'),
(181, '2.192.0.0', '2.199.255.255', 46137344, 46661631, 'IT', 'Italy'),
(182, '2.200.0.0', '2.215.255.255', 46661632, 47710207, 'DE', 'Germany'),
(183, '2.216.0.0', '2.223.255.255', 47710208, 48234495, 'GB', 'United Kingdom'),
(184, '2.224.0.0', '2.239.255.255', 48234496, 49283071, 'IT', 'Italy'),
(185, '2.240.0.0', '2.247.255.255', 49283072, 49807359, 'DE', 'Germany'),
(186, '2.248.0.0', '2.255.255.255', 49807360, 50331647, 'SE', 'Sweden'),
(187, '3.0.0.0', '3.103.8.36', 50331648, 57083940, 'US', 'United States'),
(188, '3.103.8.37', '3.103.8.37', 57083941, 57083941, 'BE', 'Belgium'),
(189, '3.103.8.38', '4.17.135.31', 57083942, 68257567, 'US', 'United States'),
(190, '4.17.135.32', '4.17.135.63', 68257568, 68257599, 'CA', 'Canada'),
(191, '4.17.135.64', '4.17.142.255', 68257600, 68259583, 'US', 'United States'),
(192, '4.17.143.0', '4.17.143.15', 68259584, 68259599, 'CA', 'Canada'),
(193, '4.17.143.16', '4.18.32.71', 68259600, 68296775, 'US', 'United States'),
(194, '4.18.32.72', '4.18.32.79', 68296776, 68296783, 'MX', 'Mexico'),
(195, '4.18.32.80', '4.18.40.135', 68296784, 68298887, 'US', 'United States'),
(196, '4.18.40.136', '4.18.40.143', 68298888, 68298895, 'CA', 'Canada'),
(197, '4.18.40.144', '4.18.65.255', 68298896, 68305407, 'US', 'United States'),
(198, '4.18.66.0', '4.18.67.255', 68305408, 68305919, 'MX', 'Mexico'),
(199, '4.18.68.0', '4.18.100.31', 68305920, 68314143, 'US', 'United States'),
(200, '4.18.100.32', '4.18.100.39', 68314144, 68314151, 'CA', 'Canada'),
(201, '4.18.100.40', '4.19.162.143', 68314152, 68395663, 'US', 'United States'),
(202, '4.19.162.144', '4.19.162.151', 68395664, 68395671, 'CA', 'Canada'),
(203, '4.19.162.152', '4.20.73.15', 68395672, 68438287, 'US', 'United States'),
(204, '4.20.73.16', '4.20.73.31', 68438288, 68438303, 'CA', 'Canada'),
(205, '4.20.73.32', '4.23.128.183', 68438304, 68649143, 'US', 'United States'),
(206, '4.23.128.184', '4.23.128.191', 68649144, 68649151, 'CA', 'Canada'),
(207, '4.23.128.192', '4.37.0.255', 68649152, 69533951, 'US', 'United States'),
(208, '4.37.1.0', '4.37.1.255', 69533952, 69534207, 'CA', 'Canada'),
(209, '4.37.2.0', '4.42.209.231', 69534208, 69915111, 'US', 'United States'),
(210, '4.42.209.232', '4.42.209.239', 69915112, 69915119, 'CA', 'Canada'),
(211, '4.42.209.240', '4.43.40.111', 69915120, 69937263, 'US', 'United States'),
(212, '4.43.40.112', '4.43.40.119', 69937264, 69937271, 'CA', 'Canada'),
(213, '4.43.40.120', '4.43.114.7', 69937272, 69956103, 'US', 'United States'),
(214, '4.43.114.8', '4.43.114.15', 69956104, 69956111, 'BM', 'Bermuda'),
(215, '4.43.114.16', '4.59.124.255', 69956112, 71007487, 'US', 'United States'),
(216, '4.59.125.0', '4.59.125.255', 71007488, 71007743, 'A1', 'Anonymous Proxy'),
(217, '4.59.126.0', '4.68.23.139', 71007744, 71571339, 'US', 'United States'),
(218, '4.68.23.140', '4.68.23.140', 71571340, 71571340, 'DE', 'Germany'),
(219, '4.68.23.141', '4.68.23.189', 71571341, 71571389, 'US', 'United States'),
(220, '4.68.23.190', '4.68.23.190', 71571390, 71571390, 'DE', 'Germany'),
(221, '4.68.23.191', '4.68.25.1', 71571391, 71571713, 'US', 'United States'),
(222, '4.68.25.2', '4.68.25.3', 71571714, 71571715, 'DE', 'Germany'),
(223, '4.68.25.4', '4.68.115.255', 71571716, 71595007, 'US', 'United States'),
(224, '4.68.116.0', '4.68.117.255', 71595008, 71595519, 'GB', 'United Kingdom'),
(225, '4.68.118.0', '4.69.131.255', 71595520, 71664639, 'US', 'United States'),
(226, '4.69.132.0', '4.69.132.52', 71664640, 71664692, 'GB', 'United Kingdom'),
(227, '4.69.132.53', '4.69.132.53', 71664693, 71664693, 'US', 'United States'),
(228, '4.69.132.54', '4.69.132.60', 71664694, 71664700, 'GB', 'United Kingdom'),
(229, '4.69.132.61', '4.69.132.61', 71664701, 71664701, 'US', 'United States'),
(230, '4.69.132.62', '4.69.132.64', 71664702, 71664704, 'GB', 'United Kingdom'),
(231, '4.69.132.65', '4.69.132.65', 71664705, 71664705, 'US', 'United States'),
(232, '4.69.132.66', '4.69.132.112', 71664706, 71664752, 'GB', 'United Kingdom'),
(233, '4.69.132.113', '4.69.132.113', 71664753, 71664753, 'US', 'United States'),
(234, '4.69.132.114', '4.69.132.255', 71664754, 71664895, 'GB', 'United Kingdom'),
(235, '4.69.133.0', '4.69.133.181', 71664896, 71665077, 'US', 'United States'),
(236, '4.69.133.182', '4.69.133.182', 71665078, 71665078, 'DE', 'Germany'),
(237, '4.69.133.183', '4.69.139.32', 71665079, 71666464, 'US', 'United States'),
(238, '4.69.139.33', '4.69.139.33', 71666465, 71666465, 'DE', 'Germany'),
(239, '4.69.139.34', '4.69.139.97', 71666466, 71666529, 'US', 'United States'),
(240, '4.69.139.98', '4.69.139.98', 71666530, 71666530, 'GB', 'United Kingdom'),
(241, '4.69.139.99', '4.69.140.23', 71666531, 71666711, 'US', 'United States'),
(242, '4.69.140.24', '4.69.140.31', 71666712, 71666719, 'DE', 'Germany'),
(243, '4.69.140.32', '4.69.141.148', 71666720, 71667092, 'US', 'United States'),
(244, '4.69.141.149', '4.69.141.149', 71667093, 71667093, 'DE', 'Germany'),
(245, '4.69.141.150', '4.69.141.169', 71667094, 71667113, 'US', 'United States'),
(246, '4.69.141.170', '4.69.141.170', 71667114, 71667114, 'NL', 'Netherlands'),
(247, '4.69.141.171', '4.69.143.73', 71667115, 71667529, 'US', 'United States'),
(248, '4.69.143.74', '4.69.143.74', 71667530, 71667530, 'GB', 'United Kingdom'),
(249, '4.69.143.75', '4.69.143.169', 71667531, 71667625, 'US', 'United States'),
(250, '4.69.143.170', '4.69.143.170', 71667626, 71667626, 'DE', 'Germany'),
(251, '4.69.143.171', '4.69.143.177', 71667627, 71667633, 'US', 'United States'),
(252, '4.69.143.178', '4.69.143.178', 71667634, 71667634, 'DE', 'Germany'),
(253, '4.69.143.179', '4.69.143.200', 71667635, 71667656, 'US', 'United States'),
(254, '4.69.143.201', '4.69.143.201', 71667657, 71667657, 'NL', 'Netherlands'),
(255, '4.69.143.202', '4.79.65.159', 71667658, 72303007, 'US', 'United States'),
(256, '4.79.65.160', '4.79.65.191', 72303008, 72303039, 'CA', 'Canada'),
(257, '4.79.65.192', '4.79.244.223', 72303040, 72348895, 'US', 'United States'),
(258, '4.79.244.224', '4.79.244.255', 72348896, 72348927, 'CA', 'Canada'),
(259, '4.79.245.0', '4.255.255.255', 72348928, 83886079, 'US', 'United States'),
(260, '5.0.0.0', '5.0.255.255', 83886080, 83951615, 'SY', 'Syrian Arab Republic'),
(261, '5.1.0.0', '5.1.31.255', 83951616, 83959807, 'UA', 'Ukraine'),
(262, '5.1.32.0', '5.1.39.255', 83959808, 83961855, 'ES', 'Spain'),
(263, '5.1.40.0', '5.1.40.255', 83961856, 83962111, 'KW', 'Kuwait'),
(264, '5.1.41.0', '5.1.41.255', 83962112, 83962367, 'SA', 'Saudi Arabia'),
(265, '5.1.42.0', '5.1.46.255', 83962368, 83963647, 'CY', 'Cyprus'),
(266, '5.1.47.0', '5.1.47.255', 83963648, 83963903, 'JO', 'Jordan'),
(267, '5.1.48.0', '5.1.55.255', 83963904, 83965951, 'RU', 'Russian Federation'),
(268, '5.1.56.0', '5.1.63.255', 83965952, 83967999, 'CZ', 'Czech Republic'),
(269, '5.1.64.0', '5.1.95.255', 83968000, 83976191, 'DE', 'Germany'),
(270, '5.1.96.0', '5.1.103.255', 83976192, 83978239, 'CH', 'Switzerland'),
(271, '5.1.104.0', '5.1.111.255', 83978240, 83980287, 'IQ', 'Iraq'),
(272, '5.1.112.0', '5.1.119.255', 83980288, 83982335, 'CH', 'Switzerland'),
(273, '5.1.120.0', '5.1.255.255', 83982336, 84017151, 'DE', 'Germany'),
(274, '5.2.0.0', '5.2.15.255', 84017152, 84021247, 'IT', 'Italy'),
(275, '5.2.16.0', '5.2.23.255', 84021248, 84023295, 'GB', 'United Kingdom'),
(276, '5.2.24.0', '5.2.31.255', 84023296, 84025343, 'ES', 'Spain'),
(277, '5.2.32.0', '5.2.63.255', 84025344, 84033535, 'RU', 'Russian Federation'),
(278, '5.2.64.0', '5.2.79.255', 84033536, 84037631, 'NL', 'Netherlands'),
(279, '5.2.80.0', '5.2.87.255', 84037632, 84039679, 'TR', 'Turkey'),
(280, '5.2.88.0', '5.2.95.255', 84039680, 84041727, 'ES', 'Spain'),
(281, '5.2.96.0', '5.2.127.255', 84041728, 84049919, 'GB', 'United Kingdom'),
(282, '5.2.128.0', '5.2.255.255', 84049920, 84082687, 'RO', 'Romania'),
(283, '5.3.0.0', '5.3.255.255', 84082688, 84148223, 'RU', 'Russian Federation'),
(284, '5.4.0.0', '5.7.255.255', 84148224, 84410367, 'DE', 'Germany'),
(285, '5.8.0.0', '5.8.127.255', 84410368, 84443135, 'RU', 'Russian Federation'),
(286, '5.8.128.0', '5.8.159.255', 84443136, 84451327, 'LB', 'Lebanon'),
(287, '5.8.160.0', '5.8.183.255', 84451328, 84457471, 'RU', 'Russian Federation'),
(288, '5.8.184.0', '5.8.191.255', 84457472, 84459519, 'A2', 'Satellite Provider'),
(289, '5.8.192.0', '5.8.239.255', 84459520, 84471807, 'RU', 'Russian Federation'),
(290, '5.8.240.0', '5.8.247.255', 84471808, 84473855, 'IQ', 'Iraq'),
(291, '5.8.248.0', '5.8.255.255', 84473856, 84475903, 'HU', 'Hungary'),
(292, '5.9.0.0', '5.9.255.255', 84475904, 84541439, 'DE', 'Germany'),
(293, '5.10.64.0', '5.10.127.255', 84557824, 84574207, 'GB', 'United Kingdom'),
(294, '5.10.128.0', '5.10.135.255', 84574208, 84576255, 'FR', 'France'),
(295, '5.10.136.0', '5.10.159.255', 84576256, 84582399, 'GB', 'United Kingdom'),
(296, '5.10.160.0', '5.10.191.255', 84582400, 84590591, 'DE', 'Germany'),
(297, '5.10.208.0', '5.10.223.255', 84594688, 84598783, 'DE', 'Germany'),
(298, '5.10.224.0', '5.10.231.255', 84598784, 84600831, 'IQ', 'Iraq'),
(299, '5.10.232.0', '5.10.239.255', 84600832, 84602879, 'GB', 'United Kingdom'),
(300, '5.10.240.0', '5.10.255.255', 84602880, 84606975, 'AZ', 'Azerbaijan'),
(301, '5.11.0.0', '5.11.7.255', 84606976, 84609023, 'AT', 'Austria'),
(302, '5.11.8.0', '5.11.31.255', 84609024, 84615167, 'GB', 'United Kingdom'),
(303, '5.11.32.0', '5.11.39.255', 84615168, 84617215, 'IT', 'Italy'),
(304, '5.11.40.0', '5.11.47.255', 84617216, 84619263, 'PS', 'Palestinian Territory, Occupied'),
(305, '5.11.48.0', '5.11.55.255', 84619264, 84621311, 'DE', 'Germany'),
(306, '5.11.56.0', '5.11.63.255', 84621312, 84623359, 'GR', 'Greece'),
(307, '5.11.64.0', '5.11.79.255', 84623360, 84627455, 'RU', 'Russian Federation'),
(308, '5.11.80.0', '5.11.87.255', 84627456, 84629503, 'GB', 'United Kingdom'),
(309, '5.11.96.0', '5.11.127.255', 84631552, 84639743, 'IT', 'Italy'),
(310, '5.11.128.0', '5.11.255.255', 84639744, 84672511, 'TR', 'Turkey'),
(311, '5.12.0.0', '5.15.255.255', 84672512, 84934655, 'RO', 'Romania'),
(312, '5.16.0.0', '5.19.255.255', 84934656, 85196799, 'RU', 'Russian Federation'),
(313, '5.20.0.0', '5.20.255.255', 85196800, 85262335, 'LT', 'Lithuania'),
(314, '5.21.0.0', '5.21.255.255', 85262336, 85327871, 'OM', 'Oman'),
(315, '5.22.0.0', '5.22.127.255', 85327872, 85360639, 'IR', 'Iran, Islamic Republic of'),
(316, '5.22.128.0', '5.22.135.255', 85360640, 85362687, 'IL', 'Israel'),
(317, '5.22.136.0', '5.22.143.255', 85362688, 85364735, 'GB', 'United Kingdom'),
(318, '5.22.144.0', '5.22.151.255', 85364736, 85366783, 'DE', 'Germany'),
(319, '5.22.152.0', '5.22.159.255', 85366784, 85368831, 'CZ', 'Czech Republic'),
(320, '5.22.160.0', '5.22.191.255', 85368832, 85377023, 'RS', 'Serbia'),
(321, '5.22.192.0', '5.22.223.255', 85377024, 85385215, 'IR', 'Iran, Islamic Republic of'),
(322, '5.22.224.0', '5.22.231.255', 85385216, 85387263, 'GB', 'United Kingdom'),
(323, '5.22.232.0', '5.22.239.255', 85387264, 85389311, 'SE', 'Sweden'),
(324, '5.22.240.0', '5.22.247.255', 85389312, 85391359, 'DE', 'Germany'),
(325, '5.22.248.0', '5.22.255.255', 85391360, 85393407, 'NL', 'Netherlands'),
(326, '5.23.0.0', '5.23.31.255', 85393408, 85401599, 'EU', 'Europe'),
(327, '5.23.32.0', '5.23.39.255', 85401600, 85403647, 'IT', 'Italy'),
(328, '5.23.40.0', '5.23.47.255', 85403648, 85405695, 'FR', 'France'),
(329, '5.23.48.0', '5.23.55.255', 85405696, 85407743, 'RU', 'Russian Federation'),
(330, '5.23.56.0', '5.23.63.255', 85407744, 85409791, 'FI', 'Finland'),
(331, '5.23.64.0', '5.23.95.255', 85409792, 85417983, 'CH', 'Switzerland'),
(332, '5.23.96.0', '5.23.111.255', 85417984, 85422079, 'RU', 'Russian Federation'),
(333, '5.23.112.0', '5.23.119.255', 85422080, 85424127, 'IR', 'Iran, Islamic Republic of'),
(334, '5.23.120.0', '5.23.127.255', 85424128, 85426175, 'TR', 'Turkey'),
(335, '5.23.128.0', '5.23.255.255', 85426176, 85458943, 'BE', 'Belgium'),
(336, '5.24.0.0', '5.27.255.255', 85458944, 85721087, 'TR', 'Turkey'),
(337, '5.28.0.0', '5.28.7.255', 85721088, 85723135, 'HU', 'Hungary'),
(338, '5.28.8.0', '5.28.15.255', 85723136, 85725183, 'IT', 'Italy'),
(339, '5.28.16.0', '5.28.31.255', 85725184, 85729279, 'RU', 'Russian Federation'),
(340, '5.28.32.0', '5.28.39.255', 85729280, 85731327, 'IR', 'Iran, Islamic Republic of'),
(341, '5.28.40.0', '5.28.47.255', 85731328, 85733375, 'DE', 'Germany'),
(342, '5.28.48.0', '5.28.63.255', 85733376, 85737471, 'GB', 'United Kingdom'),
(343, '5.28.64.0', '5.28.127.255', 85737472, 85753855, 'DE', 'Germany'),
(344, '5.28.128.0', '5.28.191.255', 85753856, 85770239, 'IL', 'Israel'),
(345, '5.28.192.0', '5.28.255.255', 85770240, 85786623, 'DE', 'Germany'),
(346, '5.29.0.0', '5.29.255.255', 85786624, 85852159, 'IL', 'Israel'),
(347, '5.30.0.0', '5.32.127.255', 85852160, 86015999, 'AE', 'United Arab Emirates'),
(348, '5.32.128.0', '5.32.135.255', 86016000, 86018047, 'BG', 'Bulgaria'),
(349, '5.32.136.0', '5.32.143.255', 86018048, 86020095, 'SI', 'Slovenia'),
(350, '5.32.144.0', '5.32.151.255', 86020096, 86022143, 'RU', 'Russian Federation'),
(351, '5.32.152.0', '5.32.159.255', 86022144, 86024191, 'GB', 'United Kingdom'),
(352, '5.32.160.0', '5.32.167.255', 86024192, 86026239, 'DE', 'Germany'),
(353, '5.32.168.0', '5.32.175.255', 86026240, 86028287, 'MD', 'Moldova, Republic of'),
(354, '5.32.176.0', '5.32.183.255', 86028288, 86030335, 'MK', 'Macedonia'),
(355, '5.32.184.0', '5.32.191.255', 86030336, 86032383, 'DE', 'Germany'),
(356, '5.32.192.0', '5.32.255.255', 86032384, 86048767, 'OM', 'Oman'),
(357, '5.33.0.0', '5.33.255.255', 86048768, 86114303, 'DK', 'Denmark'),
(358, '5.34.0.0', '5.34.127.255', 86114304, 86147071, 'KZ', 'Kazakhstan'),
(359, '5.34.128.0', '5.34.159.255', 86147072, 86155263, 'ES', 'Spain'),
(360, '5.34.160.0', '5.34.167.255', 86155264, 86157311, 'PS', 'Palestinian Territory, Occupied'),
(361, '5.34.168.0', '5.34.175.255', 86157312, 86159359, 'IL', 'Israel'),
(362, '5.34.176.0', '5.34.183.255', 86159360, 86161407, 'UA', 'Ukraine'),
(363, '5.34.184.0', '5.34.191.255', 86161408, 86163455, 'IT', 'Italy'),
(364, '5.34.192.0', '5.34.223.255', 86163456, 86171647, 'IR', 'Iran, Islamic Republic of'),
(365, '5.34.224.0', '5.34.231.255', 86171648, 86173695, 'DE', 'Germany'),
(366, '5.34.232.0', '5.34.239.255', 86173696, 86175743, 'NL', 'Netherlands'),
(367, '5.34.240.0', '5.34.247.255', 86175744, 86177791, 'EE', 'Estonia'),
(368, '5.34.248.0', '5.34.255.255', 86177792, 86179839, 'LI', 'Liechtenstein'),
(369, '5.35.0.0', '5.35.159.255', 86179840, 86220799, 'RU', 'Russian Federation'),
(370, '5.35.160.0', '5.35.167.255', 86220800, 86222847, 'JE', 'Jersey'),
(371, '5.35.168.0', '5.35.175.255', 86222848, 86224895, 'RU', 'Russian Federation'),
(372, '5.35.176.0', '5.35.183.255', 86224896, 86226943, 'NL', 'Netherlands'),
(373, '5.35.184.0', '5.35.191.255', 86226944, 86228991, 'SE', 'Sweden'),
(374, '5.35.200.0', '5.35.207.255', 86231040, 86233087, 'ES', 'Spain'),
(375, '5.35.208.0', '5.35.215.255', 86233088, 86235135, 'RO', 'Romania'),
(376, '5.35.216.0', '5.35.223.255', 86235136, 86237183, 'ES', 'Spain'),
(377, '5.35.224.0', '5.35.255.255', 86237184, 86245375, 'DE', 'Germany'),
(378, '5.36.0.0', '5.37.255.255', 86245376, 86376447, 'OM', 'Oman'),
(379, '5.38.0.0', '5.38.127.255', 86376448, 86409215, 'AE', 'United Arab Emirates'),
(380, '5.38.128.0', '5.38.255.255', 86409216, 86441983, 'HU', 'Hungary'),
(381, '5.39.0.0', '5.39.2.227', 86441984, 86442723, 'FR', 'France'),
(382, '5.39.2.228', '5.39.2.228', 86442724, 86442724, 'PL', 'Poland'),
(383, '5.39.2.229', '5.39.9.31', 86442725, 86444319, 'FR', 'France'),
(384, '5.39.9.32', '5.39.9.35', 86444320, 86444323, 'ES', 'Spain'),
(385, '5.39.9.36', '5.39.17.91', 86444324, 86446427, 'FR', 'France'),
(386, '5.39.17.92', '5.39.17.95', 86446428, 86446431, 'DE', 'Germany'),
(387, '5.39.17.96', '5.39.48.63', 86446432, 86454335, 'FR', 'France'),
(388, '5.39.48.64', '5.39.48.67', 86454336, 86454339, 'DE', 'Germany'),
(389, '5.39.48.68', '5.39.55.131', 86454340, 86456195, 'FR', 'France'),
(390, '5.39.55.132', '5.39.55.147', 86456196, 86456211, 'DE', 'Germany'),
(391, '5.39.55.148', '5.39.127.255', 86456212, 86474751, 'FR', 'France'),
(392, '5.39.128.0', '5.39.159.255', 86474752, 86482943, 'HR', 'Croatia'),
(393, '5.39.160.0', '5.39.167.255', 86482944, 86484991, 'RU', 'Russian Federation'),
(394, '5.39.168.0', '5.39.175.255', 86484992, 86487039, 'NL', 'Netherlands'),
(395, '5.39.176.0', '5.39.183.255', 86487040, 86489087, 'GB', 'United Kingdom'),
(396, '5.39.184.0', '5.39.191.255', 86489088, 86491135, 'NL', 'Netherlands'),
(397, '5.39.192.0', '5.39.199.255', 86491136, 86493183, 'PL', 'Poland'),
(398, '5.39.200.0', '5.39.207.255', 86493184, 86495231, 'RU', 'Russian Federation'),
(399, '5.39.208.0', '5.39.215.255', 86495232, 86497279, 'ES', 'Spain'),
(400, '5.39.216.0', '5.39.223.255', 86497280, 86499327, 'NL', 'Netherlands'),
(401, '5.39.224.0', '5.39.239.255', 86499328, 86503423, 'FR', 'France'),
(402, '5.39.240.0', '5.39.247.255', 86503424, 86505471, 'DE', 'Germany'),
(403, '5.39.248.0', '5.39.255.255', 86505472, 86507519, 'GB', 'United Kingdom'),
(404, '5.40.0.0', '5.40.255.255', 86507520, 86573055, 'ES', 'Spain'),
(405, '5.41.0.0', '5.41.255.255', 86573056, 86638591, 'RO', 'Romania'),
(406, '5.42.0.0', '5.42.127.255', 86638592, 86671359, 'RU', 'Russian Federation'),
(407, '5.42.128.0', '5.42.135.255', 86671360, 86673407, 'GB', 'United Kingdom'),
(408, '5.42.136.0', '5.42.143.255', 86673408, 86675455, 'DE', 'Germany'),
(409, '5.42.144.0', '5.42.151.255', 86675456, 86677503, 'IT', 'Italy'),
(410, '5.42.152.0', '5.42.159.255', 86677504, 86679551, 'FR', 'France'),
(411, '5.42.160.0', '5.42.191.255', 86679552, 86687743, 'RO', 'Romania'),
(412, '5.42.192.0', '5.42.223.255', 86687744, 86695935, 'IQ', 'Iraq'),
(413, '5.42.224.0', '5.42.255.255', 86695936, 86704127, 'SA', 'Saudi Arabia'),
(414, '5.43.0.0', '5.43.63.255', 86704128, 86720511, 'PT', 'Portugal'),
(415, '5.43.64.0', '5.43.127.255', 86720512, 86736895, 'BA', 'Bosnia and Herzegovina'),
(416, '5.43.128.0', '5.43.159.255', 86736896, 86745087, 'RU', 'Russian Federation'),
(417, '5.43.160.0', '5.43.191.255', 86745088, 86753279, 'HR', 'Croatia'),
(418, '5.43.192.0', '5.43.223.255', 86753280, 86761471, 'PS', 'Palestinian Territory, Occupied'),
(419, '5.43.224.0', '5.43.231.255', 86761472, 86763519, 'CZ', 'Czech Republic'),
(420, '5.43.232.0', '5.43.239.255', 86763520, 86765567, 'IT', 'Italy'),
(421, '5.43.240.0', '5.43.247.255', 86765568, 86767615, 'RU', 'Russian Federation'),
(422, '5.43.248.0', '5.43.255.255', 86767616, 86769663, 'IT', 'Italy'),
(423, '5.44.0.0', '5.44.15.255', 86769664, 86773759, 'RU', 'Russian Federation'),
(424, '5.44.16.0', '5.44.31.255', 86773760, 86777855, 'EU', 'Europe'),
(425, '5.44.32.0', '5.44.39.255', 86777856, 86779903, 'AZ', 'Azerbaijan'),
(426, '5.44.40.0', '5.44.63.255', 86779904, 86786047, 'RU', 'Russian Federation'),
(427, '5.44.64.0', '5.44.71.255', 86786048, 86788095, 'NO', 'Norway'),
(428, '5.44.72.0', '5.44.79.255', 86788096, 86790143, 'NL', 'Netherlands'),
(429, '5.44.80.0', '5.44.95.255', 86790144, 86794239, 'TR', 'Turkey'),
(430, '5.44.96.0', '5.44.99.255', 86794240, 86795263, 'DE', 'Germany'),
(431, '5.44.100.0', '5.44.103.255', 86795264, 86796287, 'NL', 'Netherlands'),
(432, '5.44.104.0', '5.44.107.255', 86796288, 86797311, 'US', 'United States'),
(433, '5.44.108.0', '5.44.111.255', 86797312, 86798335, 'DE', 'Germany'),
(434, '5.44.112.0', '5.44.127.255', 86798336, 86802431, 'CH', 'Switzerland'),
(435, '5.44.128.0', '5.44.135.255', 86802432, 86804479, 'GE', 'Georgia'),
(436, '5.44.136.0', '5.44.143.255', 86804480, 86806527, 'DK', 'Denmark'),
(437, '5.44.144.0', '5.44.159.255', 86806528, 86810623, 'TR', 'Turkey'),
(438, '5.44.160.0', '5.44.167.255', 86810624, 86812671, 'FR', 'France'),
(439, '5.44.168.0', '5.44.175.255', 86812672, 86814719, 'RU', 'Russian Federation'),
(440, '5.44.176.0', '5.44.183.255', 86814720, 86816767, 'SE', 'Sweden'),
(441, '5.44.184.0', '5.44.191.255', 86816768, 86818815, 'EE', 'Estonia'),
(442, '5.44.192.0', '5.44.207.255', 86818816, 86822911, 'PT', 'Portugal'),
(443, '5.44.208.0', '5.44.215.255', 86822912, 86824959, 'AT', 'Austria'),
(444, '5.44.216.0', '5.44.223.255', 86824960, 86827007, 'LV', 'Latvia'),
(445, '5.44.224.0', '5.44.239.255', 86827008, 86831103, 'GB', 'United Kingdom'),
(446, '5.44.240.0', '5.44.247.255', 86831104, 86833151, 'FI', 'Finland'),
(447, '5.44.248.0', '5.44.255.255', 86833152, 86835199, 'GB', 'United Kingdom'),
(448, '5.45.0.0', '5.45.7.255', 86835200, 86837247, 'DE', 'Germany'),
(449, '5.45.8.0', '5.45.15.255', 86837248, 86839295, 'ES', 'Spain'),
(450, '5.45.16.0', '5.45.55.255', 86839296, 86849535, 'GB', 'United Kingdom'),
(451, '5.45.56.0', '5.45.63.255', 86849536, 86851583, 'CZ', 'Czech Republic'),
(452, '5.45.64.0', '5.45.127.255', 86851584, 86867967, 'RU', 'Russian Federation'),
(453, '5.45.128.0', '5.45.143.255', 86867968, 86872063, 'JO', 'Jordan'),
(454, '5.45.144.0', '5.45.151.255', 86872064, 86874111, 'GB', 'United Kingdom'),
(455, '5.45.152.0', '5.45.159.255', 86874112, 86876159, 'NO', 'Norway'),
(456, '5.45.160.0', '5.45.175.255', 86876160, 86880255, 'ES', 'Spain'),
(457, '5.45.176.0', '5.45.183.255', 86880256, 86882303, 'DE', 'Germany'),
(458, '5.45.184.0', '5.45.191.255', 86882304, 86884351, 'LB', 'Lebanon'),
(459, '5.45.192.0', '5.45.255.255', 86884352, 86900735, 'RU', 'Russian Federation'),
(460, '5.46.0.0', '5.47.255.255', 86900736, 87031807, 'TR', 'Turkey'),
(461, '5.48.0.0', '5.51.255.255', 87031808, 87293951, 'FR', 'France'),
(462, '5.52.0.0', '5.52.255.255', 87293952, 87359487, 'IR', 'Iran, Islamic Republic of'),
(463, '5.53.0.0', '5.53.7.255', 87359488, 87361535, 'ES', 'Spain'),
(464, '5.53.8.0', '5.53.15.255', 87361536, 87363583, 'CZ', 'Czech Republic'),
(465, '5.53.16.0', '5.53.31.255', 87363584, 87367679, 'RU', 'Russian Federation'),
(466, '5.53.32.0', '5.53.63.255', 87367680, 87375871, 'IR', 'Iran, Islamic Republic of'),
(467, '5.53.64.0', '5.53.95.255', 87375872, 87384063, 'GB', 'United Kingdom'),
(468, '5.53.96.0', '5.53.103.255', 87384064, 87386111, 'AE', 'United Arab Emirates'),
(469, '5.53.104.0', '5.53.111.255', 87386112, 87388159, 'CH', 'Switzerland'),
(470, '5.53.112.0', '5.53.119.255', 87388160, 87390207, 'UA', 'Ukraine'),
(471, '5.53.120.0', '5.53.127.255', 87390208, 87392255, 'RU', 'Russian Federation'),
(472, '5.53.128.0', '5.53.255.255', 87392256, 87425023, 'BG', 'Bulgaria'),
(473, '5.54.0.0', '5.55.255.255', 87425024, 87556095, 'GR', 'Greece'),
(474, '5.56.0.0', '5.56.7.255', 87556096, 87558143, 'ES', 'Spain'),
(475, '5.56.8.0', '5.56.15.255', 87558144, 87560191, 'IT', 'Italy'),
(476, '5.56.16.0', '5.56.23.255', 87560192, 87562239, 'DE', 'Germany'),
(477, '5.56.24.0', '5.56.31.255', 87562240, 87564287, 'UA', 'Ukraine'),
(478, '5.56.32.0', '5.56.39.255', 87564288, 87566335, 'HU', 'Hungary'),
(479, '5.56.40.0', '5.56.47.255', 87566336, 87568383, 'FR', 'France'),
(480, '5.56.48.0', '5.56.55.255', 87568384, 87570431, 'GB', 'United Kingdom'),
(481, '5.56.56.0', '5.56.63.255', 87570432, 87572479, 'ES', 'Spain'),
(482, '5.56.64.0', '5.56.127.255', 87572480, 87588863, 'MD', 'Moldova, Republic of'),
(483, '5.56.128.0', '5.56.135.255', 87588864, 87590911, 'GB', 'United Kingdom'),
(484, '5.56.136.0', '5.56.143.255', 87590912, 87592959, 'RU', 'Russian Federation'),
(485, '5.56.144.0', '5.56.159.255', 87592960, 87597055, 'DK', 'Denmark'),
(486, '5.56.160.0', '5.56.167.255', 87597056, 87599103, 'ES', 'Spain'),
(487, '5.56.168.0', '5.56.175.255', 87599104, 87601151, 'IR', 'Iran, Islamic Republic of'),
(488, '5.56.176.0', '5.56.255.255', 87601152, 87621631, 'DE', 'Germany'),
(489, '5.57.0.0', '5.57.7.255', 87621632, 87623679, 'LB', 'Lebanon'),
(490, '5.57.8.0', '5.57.15.255', 87623680, 87625727, 'KG', 'Kyrgyzstan'),
(491, '5.57.16.0', '5.57.23.255', 87625728, 87627775, 'NL', 'Netherlands'),
(492, '5.57.24.0', '5.57.31.255', 87627776, 87629823, 'ES', 'Spain'),
(493, '5.57.32.0', '5.57.39.255', 87629824, 87631871, 'IR', 'Iran, Islamic Republic of'),
(494, '5.57.40.0', '5.57.47.255', 87631872, 87633919, 'DE', 'Germany'),
(495, '5.57.48.0', '5.57.55.255', 87633920, 87635967, 'DK', 'Denmark'),
(496, '5.57.56.0', '5.57.63.255', 87635968, 87638015, 'GB', 'United Kingdom'),
(497, '5.57.64.0', '5.57.71.255', 87638016, 87640063, 'UA', 'Ukraine'),
(498, '5.57.72.0', '5.57.79.255', 87640064, 87642111, 'RS', 'Serbia'),
(499, '5.57.80.0', '5.57.95.255', 87642112, 87646207, 'GB', 'United Kingdom'),
(500, '5.57.96.0', '5.57.127.255', 87646208, 87654399, 'FR', 'France'),
(501, '5.57.128.0', '5.57.191.255', 87654400, 87670783, 'PL', 'Poland'),
(502, '5.57.192.0', '5.57.199.255', 87670784, 87672831, 'DE', 'Germany'),
(503, '5.57.200.0', '5.57.207.255', 87672832, 87674879, 'CH', 'Switzerland'),
(504, '5.57.208.0', '5.57.215.255', 87674880, 87676927, 'AE', 'United Arab Emirates'),
(505, '5.57.216.0', '5.57.223.255', 87676928, 87678975, 'RU', 'Russian Federation'),
(506, '5.57.224.0', '5.57.231.255', 87678976, 87681023, 'NL', 'Netherlands'),
(507, '5.57.232.0', '5.57.239.255', 87681024, 87683071, 'RU', 'Russian Federation'),
(508, '5.57.240.0', '5.57.247.255', 87683072, 87685119, 'SE', 'Sweden'),
(509, '5.57.248.0', '5.57.255.255', 87685120, 87687167, 'NL', 'Netherlands'),
(510, '5.58.0.0', '5.58.255.255', 87687168, 87752703, 'UA', 'Ukraine'),
(511, '5.59.0.0', '5.59.255.255', 87752704, 87818239, 'CZ', 'Czech Republic'),
(512, '5.60.0.0', '5.60.255.255', 87818240, 87883775, 'PL', 'Poland'),
(513, '5.61.0.0', '5.61.7.255', 87883776, 87885823, 'IT', 'Italy'),
(514, '5.61.8.0', '5.61.23.255', 87885824, 87889919, 'RU', 'Russian Federation'),
(515, '5.61.24.0', '5.61.31.255', 87889920, 87891967, 'IR', 'Iran, Islamic Republic of'),
(516, '5.61.32.0', '5.61.63.255', 87891968, 87900159, 'GB', 'United Kingdom'),
(517, '5.61.64.0', '5.61.71.255', 87900160, 87902207, 'DE', 'Germany'),
(518, '5.61.72.0', '5.61.79.255', 87902208, 87904255, 'IR', 'Iran, Islamic Republic of'),
(519, '5.61.80.0', '5.61.87.255', 87904256, 87906303, 'DE', 'Germany'),
(520, '5.61.88.0', '5.61.95.255', 87906304, 87908351, 'FI', 'Finland'),
(521, '5.61.96.0', '5.61.111.255', 87908352, 87912447, 'BG', 'Bulgaria'),
(522, '5.61.112.0', '5.61.119.255', 87912448, 87914495, 'IE', 'Ireland'),
(523, '5.61.120.0', '5.61.127.255', 87914496, 87916543, 'GB', 'United Kingdom'),
(524, '5.61.128.0', '5.61.191.255', 87916544, 87932927, 'DE', 'Germany'),
(525, '5.61.192.0', '5.61.199.255', 87932928, 87934975, 'GB', 'United Kingdom'),
(526, '5.61.200.0', '5.61.215.255', 87934976, 87939071, 'ES', 'Spain'),
(527, '5.61.216.0', '5.61.223.255', 87939072, 87941119, 'IT', 'Italy'),
(528, '5.61.224.0', '5.61.231.255', 87941120, 87943167, 'CH', 'Switzerland'),
(529, '5.61.232.0', '5.61.239.255', 87943168, 87945215, 'RU', 'Russian Federation'),
(530, '5.61.240.0', '5.61.247.255', 87945216, 87947263, 'HU', 'Hungary'),
(531, '5.61.248.0', '5.61.255.255', 87947264, 87949311, 'NL', 'Netherlands'),
(532, '5.62.0.0', '5.62.127.255', 87949312, 87982079, 'DE', 'Germany'),
(533, '5.62.128.0', '5.62.255.255', 87982080, 88014847, 'RU', 'Russian Federation'),
(534, '5.63.0.0', '5.63.7.255', 88014848, 88016895, 'LY', 'Libyan Arab Jamahiriya'),
(535, '5.63.8.0', '5.63.15.255', 88016896, 88018943, 'IR', 'Iran, Islamic Republic of'),
(536, '5.63.16.0', '5.63.23.255', 88018944, 88020991, 'GB', 'United Kingdom'),
(537, '5.63.24.0', '5.63.31.255', 88020992, 88023039, 'FR', 'France'),
(538, '5.63.32.0', '5.63.63.255', 88023040, 88031231, 'TR', 'Turkey'),
(539, '5.63.64.0', '5.63.127.255', 88031232, 88047615, 'KZ', 'Kazakhstan'),
(540, '5.63.128.0', '5.63.135.255', 88047616, 88049663, 'RU', 'Russian Federation'),
(541, '5.63.136.0', '5.63.143.255', 88049664, 88051711, 'IT', 'Italy'),
(542, '5.63.144.0', '5.63.151.255', 88051712, 88053759, 'GB', 'United Kingdom'),
(543, '5.63.152.0', '5.63.159.255', 88053760, 88055807, 'RU', 'Russian Federation'),
(544, '5.63.160.0', '5.63.167.255', 88055808, 88057855, 'AM', 'Armenia'),
(545, '5.63.168.0', '5.63.175.255', 88057856, 88059903, 'IT', 'Italy'),
(546, '5.63.176.0', '5.63.183.255', 88059904, 88061951, 'DE', 'Germany'),
(547, '5.63.184.0', '5.63.191.255', 88061952, 88063999, 'PL', 'Poland'),
(548, '5.63.192.0', '5.63.255.255', 88064000, 88080383, 'HU', 'Hungary'),
(549, '5.64.0.0', '5.71.255.255', 88080384, 88604671, 'GB', 'United Kingdom'),
(550, '5.72.0.0', '5.75.255.255', 88604672, 88866815, 'RU', 'Russian Federation'),
(551, '5.76.0.0', '5.76.255.255', 88866816, 88932351, 'KZ', 'Kazakhstan'),
(552, '5.77.0.0', '5.77.31.255', 88932352, 88940543, 'RU', 'Russian Federation'),
(553, '5.77.32.0', '5.77.63.255', 88940544, 88948735, 'GB', 'United Kingdom'),
(554, '5.77.64.0', '5.77.127.255', 88948736, 88965119, 'IT', 'Italy'),
(555, '5.77.128.0', '5.77.255.255', 88965120, 88997887, 'AM', 'Armenia'),
(556, '5.78.0.0', '5.78.255.255', 88997888, 89063423, 'DE', 'Germany'),
(557, '5.79.0.0', '5.79.63.255', 89063424, 89079807, 'GB', 'United Kingdom'),
(558, '5.79.64.0', '5.79.127.255', 89079808, 89096191, 'NL', 'Netherlands'),
(559, '5.79.128.0', '5.79.255.255', 89096192, 89128959, 'RU', 'Russian Federation'),
(560, '5.80.0.0', '5.81.255.255', 89128960, 89260031, 'GB', 'United Kingdom'),
(561, '5.82.0.0', '5.82.255.255', 89260032, 89325567, 'SA', 'Saudi Arabia'),
(562, '5.83.0.0', '5.83.7.255', 89325568, 89327615, 'NL', 'Netherlands'),
(563, '5.83.8.0', '5.83.15.255', 89327616, 89329663, 'GB', 'United Kingdom'),
(564, '5.83.16.0', '5.83.23.255', 89329664, 89331711, 'UA', 'Ukraine'),
(565, '5.83.24.0', '5.83.31.255', 89331712, 89333759, 'DK', 'Denmark'),
(566, '5.83.32.0', '5.83.47.255', 89333760, 89337855, 'RO', 'Romania'),
(567, '5.83.48.0', '5.83.55.255', 89337856, 89339903, 'ES', 'Spain'),
(568, '5.83.56.0', '5.83.63.255', 89339904, 89341951, 'FI', 'Finland'),
(569, '5.83.64.0', '5.83.95.255', 89341952, 89350143, 'ES', 'Spain'),
(570, '5.83.96.0', '5.83.103.255', 89350144, 89352191, 'GB', 'United Kingdom'),
(571, '5.83.104.0', '5.83.111.255', 89352192, 89354239, 'IT', 'Italy'),
(572, '5.83.112.0', '5.83.119.255', 89354240, 89356287, 'AE', 'United Arab Emirates'),
(573, '5.83.120.0', '5.83.127.255', 89356288, 89358335, 'IT', 'Italy'),
(574, '5.83.128.0', '5.83.191.255', 89358336, 89374719, 'DE', 'Germany'),
(575, '5.83.192.0', '5.83.223.255', 89374720, 89382911, 'GB', 'United Kingdom'),
(576, '5.83.224.0', '5.83.231.255', 89382912, 89384959, 'NO', 'Norway'),
(577, '5.83.232.0', '5.83.239.255', 89384960, 89387007, 'FR', 'France'),
(578, '5.83.240.0', '5.83.255.255', 89387008, 89391103, 'IE', 'Ireland'),
(579, '5.84.0.0', '5.99.255.255', 89391104, 90439679, 'IT', 'Italy'),
(580, '5.100.0.0', '5.100.63.255', 90439680, 90456063, 'DE', 'Germany'),
(581, '5.100.64.0', '5.100.127.255', 90456064, 90472447, 'RU', 'Russian Federation'),
(582, '5.100.128.0', '5.100.143.255', 90472448, 90476543, 'DE', 'Germany'),
(583, '5.100.144.0', '5.100.151.255', 90476544, 90478591, 'FR', 'France'),
(584, '5.100.152.0', '5.100.159.255', 90478592, 90480639, 'GB', 'United Kingdom'),
(585, '5.100.160.0', '5.100.167.255', 90480640, 90482687, 'YE', 'Yemen'),
(586, '5.100.168.0', '5.100.175.255', 90482688, 90484735, 'GB', 'United Kingdom'),
(587, '5.100.192.0', '5.100.223.255', 90488832, 90497023, 'BY', 'Belarus'),
(588, '5.100.224.0', '5.100.231.255', 90497024, 90499071, 'NL', 'Netherlands'),
(589, '5.100.232.0', '5.100.239.255', 90499072, 90501119, 'IT', 'Italy'),
(590, '5.100.240.0', '5.100.247.255', 90501120, 90503167, 'GB', 'United Kingdom'),
(591, '5.100.248.0', '5.100.255.255', 90503168, 90505215, 'IL', 'Israel'),
(592, '5.101.0.0', '5.101.255.255', 90505216, 90570751, 'RU', 'Russian Federation'),
(593, '5.102.0.0', '5.102.31.255', 90570752, 90578943, 'IT', 'Italy'),
(594, '5.102.32.0', '5.102.47.255', 90578944, 90583039, 'IR', 'Iran, Islamic Republic of'),
(595, '5.102.48.0', '5.102.63.255', 90583040, 90587135, 'CZ', 'Czech Republic'),
(596, '5.102.64.0', '5.102.71.255', 90587136, 90589183, 'PL', 'Poland'),
(597, '5.102.72.0', '5.102.79.255', 90589184, 90591231, 'FR', 'France'),
(598, '5.102.80.0', '5.102.95.255', 90591232, 90595327, 'GB', 'United Kingdom'),
(599, '5.102.96.0', '5.102.127.255', 90595328, 90603519, 'PS', 'Palestinian Territory, Occupied'),
(600, '5.102.128.0', '5.102.135.255', 90603520, 90605567, 'ES', 'Spain'),
(601, '5.102.136.0', '5.102.143.255', 90605568, 90607615, 'NL', 'Netherlands'),
(602, '5.102.144.0', '5.102.151.255', 90607616, 90609663, 'CH', 'Switzerland'),
(603, '5.102.152.0', '5.102.159.255', 90609664, 90611711, 'RU', 'Russian Federation'),
(604, '5.102.160.0', '5.102.167.255', 90611712, 90613759, 'DE', 'Germany'),
(605, '5.102.168.0', '5.102.175.255', 90613760, 90615807, 'GB', 'United Kingdom'),
(606, '5.102.176.0', '5.102.183.255', 90615808, 90617855, 'SI', 'Slovenia'),
(607, '5.102.184.0', '5.102.191.255', 90617856, 90619903, 'GB', 'United Kingdom'),
(608, '5.102.192.0', '5.102.255.255', 90619904, 90636287, 'IL', 'Israel'),
(609, '5.103.0.0', '5.103.255.255', 90636288, 90701823, 'DK', 'Denmark'),
(610, '5.104.0.0', '5.104.15.255', 90701824, 90705919, 'TR', 'Turkey'),
(611, '5.104.16.0', '5.104.23.255', 90705920, 90707967, 'CZ', 'Czech Republic'),
(612, '5.104.24.0', '5.104.31.255', 90707968, 90710015, 'IT', 'Italy'),
(613, '5.104.32.0', '5.104.63.255', 90710016, 90718207, 'UA', 'Ukraine'),
(614, '5.104.64.0', '5.104.71.255', 90718208, 90720255, 'EU', 'Europe'),
(615, '5.104.72.0', '5.104.79.255', 90720256, 90722303, 'IQ', 'Iraq'),
(616, '5.104.80.0', '5.104.87.255', 90722304, 90724351, 'FI', 'Finland'),
(617, '5.104.88.0', '5.104.95.255', 90724352, 90726399, 'CH', 'Switzerland'),
(618, '5.104.104.0', '5.104.111.255', 90728448, 90730495, 'DE', 'Germany'),
(619, '5.104.112.0', '5.104.127.255', 90730496, 90734591, 'NL', 'Netherlands'),
(620, '5.104.128.0', '5.104.135.255', 90734592, 90736639, 'SY', 'Syrian Arab Republic'),
(621, '5.104.136.0', '5.104.143.255', 90736640, 90738687, 'NL', 'Netherlands'),
(622, '5.104.144.0', '5.104.151.255', 90738688, 90740735, 'DE', 'Germany'),
(623, '5.104.152.0', '5.104.159.255', 90740736, 90742783, 'NL', 'Netherlands'),
(624, '5.104.160.0', '5.104.191.255', 90742784, 90750975, 'BG', 'Bulgaria'),
(625, '5.104.192.0', '5.104.199.255', 90750976, 90753023, 'FR', 'France'),
(626, '5.105.0.0', '5.105.255.255', 90767360, 90832895, 'UA', 'Ukraine'),
(627, '5.106.0.0', '5.106.255.255', 90832896, 90898431, 'EU', 'Europe'),
(628, '5.107.0.0', '5.107.255.255', 90898432, 90963967, 'RO', 'Romania'),
(629, '5.108.0.0', '5.111.255.255', 90963968, 91226111, 'SA', 'Saudi Arabia'),
(630, '5.112.0.0', '5.127.255.255', 91226112, 92274687, 'IR', 'Iran, Islamic Republic of'),
(631, '5.128.0.0', '5.131.255.255', 92274688, 92536831, 'RU', 'Russian Federation'),
(632, '6.0.0.0', '7.57.75.31', 100663296, 121195295, 'US', 'United States'),
(633, '7.57.75.32', '7.57.75.63', 121195296, 121195327, 'IT', 'Italy'),
(634, '7.57.75.64', '8.7.64.255', 121195328, 134693119, 'US', 'United States'),
(635, '8.7.65.0', '8.7.65.255', 134693120, 134693375, 'CA', 'Canada'),
(636, '8.7.66.0', '8.7.209.255', 134693376, 134730239, 'US', 'United States'),
(637, '8.7.210.0', '8.7.210.255', 134730240, 134730495, 'CA', 'Canada'),
(638, '8.7.211.0', '8.7.243.255', 134730496, 134738943, 'US', 'United States'),
(639, '8.7.244.0', '8.7.244.255', 134738944, 134739199, 'CA', 'Canada'),
(640, '8.7.245.0', '8.10.6.242', 134739200, 134874866, 'US', 'United States'),
(641, '8.10.6.243', '8.10.6.243', 134874867, 134874867, 'DO', 'Dominican Republic'),
(642, '8.10.6.244', '8.12.36.255', 134874868, 135013631, 'US', 'United States'),
(643, '8.12.37.0', '8.12.37.255', 135013632, 135013887, 'A1', 'Anonymous Proxy'),
(644, '8.12.38.0', '8.14.223.255', 135013888, 135192575, 'US', 'United States'),
(645, '8.14.224.0', '8.14.255.255', 135192576, 135200767, 'MX', 'Mexico'),
(646, '8.15.0.0', '8.18.127.255', 135200768, 135430143, 'US', 'United States'),
(647, '8.18.128.0', '8.18.128.255', 135430144, 135430399, 'CA', 'Canada'),
(648, '8.18.129.0', '8.18.135.255', 135430400, 135432191, 'US', 'United States'),
(649, '8.18.136.0', '8.18.143.255', 135432192, 135434239, 'CA', 'Canada'),
(650, '8.18.144.0', '8.18.171.255', 135434240, 135441407, 'US', 'United States'),
(651, '8.18.172.0', '8.18.172.255', 135441408, 135441663, 'CA', 'Canada'),
(652, '8.18.173.0', '8.21.35.255', 135441664, 135603199, 'US', 'United States'),
(653, '8.21.36.0', '8.21.39.255', 135603200, 135604223, 'CA', 'Canada'),
(654, '8.21.40.0', '8.21.49.255', 135604224, 135606783, 'US', 'United States'),
(655, '8.21.50.0', '8.21.51.255', 135606784, 135607295, 'CA', 'Canada'),
(656, '8.21.52.0', '8.24.7.255', 135607296, 135792639, 'US', 'United States'),
(657, '8.24.8.0', '8.24.15.255', 135792640, 135794687, 'CA', 'Canada'),
(658, '8.24.16.0', '8.30.207.255', 135794688, 136237055, 'US', 'United States'),
(659, '8.30.208.0', '8.30.215.255', 136237056, 136239103, 'CA', 'Canada'),
(660, '8.30.216.0', '8.33.136.255', 136239104, 136415487, 'US', 'United States'),
(661, '8.33.137.0', '8.33.137.255', 136415488, 136415743, 'CA', 'Canada'),
(662, '8.33.138.0', '9.19.255.255', 136415744, 152305663, 'US', 'United States'),
(663, '9.20.0.0', '9.20.127.255', 152305664, 152338431, 'GB', 'United Kingdom'),
(664, '9.20.128.0', '9.255.255.255', 152338432, 167772159, 'US', 'United States'),
(665, '11.0.0.0', '12.4.123.79', 184549376, 201620303, 'US', 'United States'),
(666, '12.4.123.80', '12.4.123.87', 201620304, 201620311, 'CA', 'Canada'),
(667, '12.4.123.88', '12.4.186.151', 201620312, 201636503, 'US', 'United States'),
(668, '12.4.186.152', '12.4.186.159', 201636504, 201636511, 'PR', 'Puerto Rico'),
(669, '12.4.186.160', '12.5.76.39', 201636512, 201673767, 'US', 'United States'),
(670, '12.5.76.40', '12.5.76.47', 201673768, 201673775, 'CA', 'Canada'),
(671, '12.5.76.48', '12.5.77.111', 201673776, 201674095, 'US', 'United States'),
(672, '12.5.77.112', '12.5.77.127', 201674096, 201674111, 'CA', 'Canada'),
(673, '12.5.77.128', '12.8.31.255', 201674112, 201859071, 'US', 'United States'),
(674, '12.8.32.0', '12.8.32.15', 201859072, 201859087, 'VI', 'Virgin Islands, U.S.'),
(675, '12.8.32.16', '12.8.183.255', 201859088, 201897983, 'US', 'United States'),
(676, '12.8.184.0', '12.8.184.255', 201897984, 201898239, 'PR', 'Puerto Rico');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(677, '12.8.185.0', '12.14.206.15', 201898240, 202296847, 'US', 'United States'),
(678, '12.14.206.16', '12.14.206.23', 202296848, 202296855, 'PR', 'Puerto Rico'),
(679, '12.14.206.24', '12.16.39.255', 202296856, 202385407, 'US', 'United States'),
(680, '12.16.40.0', '12.16.41.255', 202385408, 202385919, 'PR', 'Puerto Rico'),
(681, '12.16.42.0', '12.19.193.247', 202385920, 202621431, 'US', 'United States'),
(682, '12.19.193.248', '12.19.193.255', 202621432, 202621439, 'PR', 'Puerto Rico'),
(683, '12.19.194.0', '12.19.194.39', 202621440, 202621479, 'US', 'United States'),
(684, '12.19.194.40', '12.19.194.47', 202621480, 202621487, 'PR', 'Puerto Rico'),
(685, '12.19.194.48', '12.19.194.55', 202621488, 202621495, 'US', 'United States'),
(686, '12.19.194.56', '12.19.194.63', 202621496, 202621503, 'PR', 'Puerto Rico'),
(687, '12.19.194.64', '12.19.195.7', 202621504, 202621703, 'US', 'United States'),
(688, '12.19.195.8', '12.19.195.15', 202621704, 202621711, 'PR', 'Puerto Rico'),
(689, '12.19.195.16', '12.19.209.7', 202621712, 202625287, 'US', 'United States'),
(690, '12.19.209.8', '12.19.209.15', 202625288, 202625295, 'PR', 'Puerto Rico'),
(691, '12.19.209.16', '12.20.232.79', 202625296, 202696783, 'US', 'United States'),
(692, '12.20.232.80', '12.20.232.87', 202696784, 202696791, 'PR', 'Puerto Rico'),
(693, '12.20.232.88', '12.21.13.255', 202696792, 202706431, 'US', 'United States'),
(694, '12.21.14.0', '12.21.15.255', 202706432, 202706943, 'PR', 'Puerto Rico'),
(695, '12.21.16.0', '12.24.137.143', 202706944, 202934671, 'US', 'United States'),
(696, '12.24.137.144', '12.24.137.159', 202934672, 202934687, 'VI', 'Virgin Islands, U.S.'),
(697, '12.24.137.160', '12.24.140.255', 202934688, 202935551, 'US', 'United States'),
(698, '12.24.141.0', '12.24.141.255', 202935552, 202935807, 'PR', 'Puerto Rico'),
(699, '12.24.142.0', '12.24.152.111', 202935808, 202938479, 'US', 'United States'),
(700, '12.24.152.112', '12.24.152.127', 202938480, 202938495, 'VI', 'Virgin Islands, U.S.'),
(701, '12.24.152.128', '12.28.138.135', 202938496, 203197063, 'US', 'United States'),
(702, '12.28.138.136', '12.28.138.143', 203197064, 203197071, 'CA', 'Canada'),
(703, '12.28.138.144', '12.35.19.175', 203197072, 203625391, 'US', 'United States'),
(704, '12.35.19.176', '12.35.19.183', 203625392, 203625399, 'PR', 'Puerto Rico'),
(705, '12.35.19.184', '12.35.148.63', 203625400, 203658303, 'US', 'United States'),
(706, '12.35.148.64', '12.35.148.127', 203658304, 203658367, 'PR', 'Puerto Rico'),
(707, '12.35.148.128', '12.35.148.175', 203658368, 203658415, 'US', 'United States'),
(708, '12.35.148.176', '12.35.148.183', 203658416, 203658423, 'VI', 'Virgin Islands, U.S.'),
(709, '12.35.148.184', '12.35.148.223', 203658424, 203658463, 'US', 'United States'),
(710, '12.35.148.224', '12.35.148.231', 203658464, 203658471, 'VI', 'Virgin Islands, U.S.'),
(711, '12.35.148.232', '12.35.148.255', 203658472, 203658495, 'US', 'United States'),
(712, '12.35.149.0', '12.35.149.255', 203658496, 203658751, 'PR', 'Puerto Rico'),
(713, '12.35.150.0', '12.35.150.31', 203658752, 203658783, 'US', 'United States'),
(714, '12.35.150.32', '12.35.150.79', 203658784, 203658831, 'VI', 'Virgin Islands, U.S.'),
(715, '12.35.150.80', '12.35.150.175', 203658832, 203658927, 'US', 'United States'),
(716, '12.35.150.176', '12.35.150.183', 203658928, 203658935, 'VI', 'Virgin Islands, U.S.'),
(717, '12.35.150.184', '12.35.150.191', 203658936, 203658943, 'US', 'United States'),
(718, '12.35.150.192', '12.35.150.199', 203658944, 203658951, 'PR', 'Puerto Rico'),
(719, '12.35.150.200', '12.35.150.215', 203658952, 203658967, 'US', 'United States'),
(720, '12.35.150.216', '12.35.150.239', 203658968, 203658991, 'VI', 'Virgin Islands, U.S.'),
(721, '12.35.150.240', '12.35.151.31', 203658992, 203659039, 'US', 'United States'),
(722, '12.35.151.32', '12.35.151.87', 203659040, 203659095, 'VI', 'Virgin Islands, U.S.'),
(723, '12.35.151.88', '12.38.131.183', 203659096, 203850679, 'US', 'United States'),
(724, '12.38.131.184', '12.38.131.191', 203850680, 203850687, 'CA', 'Canada'),
(725, '12.38.131.192', '12.41.127.255', 203850688, 204046335, 'US', 'United States'),
(726, '12.41.128.0', '12.41.130.255', 204046336, 204047103, 'PR', 'Puerto Rico'),
(727, '12.41.131.0', '12.41.131.7', 204047104, 204047111, 'VI', 'Virgin Islands, U.S.'),
(728, '12.41.131.8', '12.41.131.127', 204047112, 204047231, 'US', 'United States'),
(729, '12.41.131.128', '12.41.131.143', 204047232, 204047247, 'VI', 'Virgin Islands, U.S.'),
(730, '12.41.131.144', '12.41.131.151', 204047248, 204047255, 'US', 'United States'),
(731, '12.41.131.152', '12.41.131.159', 204047256, 204047263, 'VI', 'Virgin Islands, U.S.'),
(732, '12.41.131.160', '12.41.131.207', 204047264, 204047311, 'US', 'United States'),
(733, '12.41.131.208', '12.41.131.231', 204047312, 204047335, 'VI', 'Virgin Islands, U.S.'),
(734, '12.41.131.232', '12.41.132.71', 204047336, 204047431, 'US', 'United States'),
(735, '12.41.132.72', '12.41.132.95', 204047432, 204047455, 'VI', 'Virgin Islands, U.S.'),
(736, '12.41.132.96', '12.41.132.103', 204047456, 204047463, 'US', 'United States'),
(737, '12.41.132.104', '12.41.132.111', 204047464, 204047471, 'VI', 'Virgin Islands, U.S.'),
(738, '12.41.132.112', '12.41.132.127', 204047472, 204047487, 'US', 'United States'),
(739, '12.41.132.128', '12.41.132.175', 204047488, 204047535, 'VI', 'Virgin Islands, U.S.'),
(740, '12.41.132.176', '12.41.132.183', 204047536, 204047543, 'PR', 'Puerto Rico'),
(741, '12.41.132.184', '12.41.132.191', 204047544, 204047551, 'US', 'United States'),
(742, '12.41.132.192', '12.41.132.199', 204047552, 204047559, 'VI', 'Virgin Islands, U.S.'),
(743, '12.41.132.200', '12.41.132.207', 204047560, 204047567, 'PR', 'Puerto Rico'),
(744, '12.41.132.208', '12.41.132.231', 204047568, 204047591, 'VI', 'Virgin Islands, U.S.'),
(745, '12.41.132.232', '12.41.134.127', 204047592, 204047999, 'PR', 'Puerto Rico'),
(746, '12.41.134.128', '12.41.134.143', 204048000, 204048015, 'US', 'United States'),
(747, '12.41.134.144', '12.41.134.159', 204048016, 204048031, 'VI', 'Virgin Islands, U.S.'),
(748, '12.41.134.160', '12.41.134.175', 204048032, 204048047, 'PR', 'Puerto Rico'),
(749, '12.41.134.176', '12.41.134.183', 204048048, 204048055, 'VI', 'Virgin Islands, U.S.'),
(750, '12.41.134.184', '12.41.134.191', 204048056, 204048063, 'US', 'United States'),
(751, '12.41.134.192', '12.41.134.255', 204048064, 204048127, 'VI', 'Virgin Islands, U.S.'),
(752, '12.41.135.0', '12.41.135.255', 204048128, 204048383, 'PR', 'Puerto Rico'),
(753, '12.41.136.0', '12.42.183.199', 204048384, 204126151, 'US', 'United States'),
(754, '12.42.183.200', '12.42.183.207', 204126152, 204126159, 'PR', 'Puerto Rico'),
(755, '12.42.183.208', '12.43.31.255', 204126160, 204152831, 'US', 'United States'),
(756, '12.43.32.0', '12.43.35.255', 204152832, 204153855, 'PR', 'Puerto Rico'),
(757, '12.43.36.0', '12.48.144.191', 204153856, 204509375, 'US', 'United States'),
(758, '12.48.144.192', '12.48.144.199', 204509376, 204509383, 'PR', 'Puerto Rico'),
(759, '12.48.144.200', '12.63.178.59', 204509384, 205500987, 'US', 'United States'),
(760, '12.63.178.60', '12.63.178.63', 205500988, 205500991, 'CA', 'Canada'),
(761, '12.63.178.64', '12.68.117.71', 205500992, 205813063, 'US', 'United States'),
(762, '12.68.117.72', '12.68.117.79', 205813064, 205813071, 'PR', 'Puerto Rico'),
(763, '12.68.117.80', '12.70.153.31', 205813072, 205953311, 'US', 'United States'),
(764, '12.70.153.32', '12.70.153.39', 205953312, 205953319, 'PR', 'Puerto Rico'),
(765, '12.70.153.40', '12.70.153.47', 205953320, 205953327, 'US', 'United States'),
(766, '12.70.153.48', '12.70.153.71', 205953328, 205953351, 'PR', 'Puerto Rico'),
(767, '12.70.153.72', '12.111.197.119', 205953352, 208651639, 'US', 'United States'),
(768, '12.111.197.120', '12.111.197.127', 208651640, 208651647, 'PR', 'Puerto Rico'),
(769, '12.111.197.128', '12.129.198.255', 208651648, 209831679, 'US', 'United States'),
(770, '12.129.199.0', '12.129.199.31', 209831680, 209831711, 'DE', 'Germany'),
(771, '12.129.199.32', '12.129.251.151', 209831712, 209845143, 'US', 'United States'),
(772, '12.129.251.152', '12.129.251.159', 209845144, 209845151, 'DE', 'Germany'),
(773, '12.129.251.160', '12.130.81.95', 209845152, 209867103, 'US', 'United States'),
(774, '12.130.81.96', '12.130.81.103', 209867104, 209867111, 'CA', 'Canada'),
(775, '12.130.81.104', '12.132.43.175', 209867112, 209988527, 'US', 'United States'),
(776, '12.132.43.176', '12.132.43.183', 209988528, 209988535, 'VI', 'Virgin Islands, U.S.'),
(777, '12.132.43.184', '12.132.176.79', 209988536, 210022479, 'US', 'United States'),
(778, '12.132.176.80', '12.132.176.87', 210022480, 210022487, 'PR', 'Puerto Rico'),
(779, '12.132.176.88', '12.133.184.127', 210022488, 210090111, 'US', 'United States'),
(780, '12.133.184.128', '12.133.184.135', 210090112, 210090119, 'PR', 'Puerto Rico'),
(781, '12.133.184.136', '12.139.13.135', 210090120, 210439559, 'US', 'United States'),
(782, '12.139.13.136', '12.139.13.143', 210439560, 210439567, 'PR', 'Puerto Rico'),
(783, '12.139.13.144', '12.139.87.255', 210439568, 210458623, 'US', 'United States'),
(784, '12.139.88.0', '12.139.88.7', 210458624, 210458631, 'PR', 'Puerto Rico'),
(785, '12.139.88.8', '12.144.85.255', 210458632, 210785791, 'US', 'United States'),
(786, '12.144.86.0', '12.144.87.255', 210785792, 210786303, 'BO', 'Bolivia'),
(787, '12.144.88.0', '12.149.137.255', 210786304, 211126783, 'US', 'United States'),
(788, '12.149.138.0', '12.149.138.127', 211126784, 211126911, 'PR', 'Puerto Rico'),
(789, '12.149.138.128', '12.151.161.255', 211126912, 211263999, 'US', 'United States'),
(790, '12.151.162.0', '12.151.162.255', 211264000, 211264255, 'SA', 'Saudi Arabia'),
(791, '12.151.163.0', '12.153.220.111', 211264256, 211410031, 'US', 'United States'),
(792, '12.153.220.112', '12.153.220.119', 211410032, 211410039, 'PR', 'Puerto Rico'),
(793, '12.153.220.120', '12.153.220.199', 211410040, 211410119, 'US', 'United States'),
(794, '12.153.220.200', '12.153.220.215', 211410120, 211410135, 'PR', 'Puerto Rico'),
(795, '12.153.220.216', '12.156.182.23', 211410136, 211596823, 'US', 'United States'),
(796, '12.156.182.24', '12.156.182.31', 211596824, 211596831, 'VI', 'Virgin Islands, U.S.'),
(797, '12.156.182.32', '12.156.182.255', 211596832, 211597055, 'US', 'United States'),
(798, '12.156.183.0', '12.156.183.15', 211597056, 211597071, 'VI', 'Virgin Islands, U.S.'),
(799, '12.156.183.16', '12.156.184.63', 211597072, 211597375, 'US', 'United States'),
(800, '12.156.184.64', '12.156.184.127', 211597376, 211597439, 'VI', 'Virgin Islands, U.S.'),
(801, '12.156.184.128', '12.156.185.159', 211597440, 211597727, 'US', 'United States'),
(802, '12.156.185.160', '12.156.185.175', 211597728, 211597743, 'PR', 'Puerto Rico'),
(803, '12.156.185.176', '12.156.185.191', 211597744, 211597759, 'US', 'United States'),
(804, '12.156.185.192', '12.156.185.207', 211597760, 211597775, 'PR', 'Puerto Rico'),
(805, '12.156.185.208', '12.156.185.223', 211597776, 211597791, 'VI', 'Virgin Islands, U.S.'),
(806, '12.156.185.224', '12.156.188.63', 211597792, 211598399, 'US', 'United States'),
(807, '12.156.188.64', '12.156.188.127', 211598400, 211598463, 'VI', 'Virgin Islands, U.S.'),
(808, '12.156.188.128', '12.156.189.47', 211598464, 211598639, 'US', 'United States'),
(809, '12.156.189.48', '12.156.189.63', 211598640, 211598655, 'VI', 'Virgin Islands, U.S.'),
(810, '12.156.189.64', '12.157.149.239', 211598656, 211654127, 'US', 'United States'),
(811, '12.157.149.240', '12.157.149.247', 211654128, 211654135, 'PR', 'Puerto Rico'),
(812, '12.157.149.248', '12.164.121.23', 211654136, 212105495, 'US', 'United States'),
(813, '12.164.121.24', '12.164.121.31', 212105496, 212105503, 'VI', 'Virgin Islands, U.S.'),
(814, '12.164.121.32', '12.164.176.215', 212105504, 212119767, 'US', 'United States'),
(815, '12.164.176.216', '12.164.176.223', 212119768, 212119775, 'PR', 'Puerto Rico'),
(816, '12.164.176.224', '12.164.185.183', 212119776, 212122039, 'US', 'United States'),
(817, '12.164.185.184', '12.164.185.191', 212122040, 212122047, 'PR', 'Puerto Rico'),
(818, '12.164.185.192', '12.170.91.241', 212122048, 212491249, 'US', 'United States'),
(819, '12.170.91.242', '12.170.91.242', 212491250, 212491250, 'A1', 'Anonymous Proxy'),
(820, '12.170.91.243', '12.174.14.87', 212491251, 212733527, 'US', 'United States'),
(821, '12.174.14.88', '12.174.14.95', 212733528, 212733535, 'PR', 'Puerto Rico'),
(822, '12.174.14.96', '12.174.223.255', 212733536, 212787199, 'US', 'United States'),
(823, '12.174.224.0', '12.174.227.255', 212787200, 212788223, 'PR', 'Puerto Rico'),
(824, '12.174.228.0', '12.174.228.255', 212788224, 212788479, 'US', 'United States'),
(825, '12.174.229.0', '12.174.229.127', 212788480, 212788607, 'VI', 'Virgin Islands, U.S.'),
(826, '12.174.229.128', '12.174.229.151', 212788608, 212788631, 'US', 'United States'),
(827, '12.174.229.152', '12.174.229.167', 212788632, 212788647, 'VI', 'Virgin Islands, U.S.'),
(828, '12.174.229.168', '12.174.229.175', 212788648, 212788655, 'US', 'United States'),
(829, '12.174.229.176', '12.174.229.183', 212788656, 212788663, 'VI', 'Virgin Islands, U.S.'),
(830, '12.174.229.184', '12.174.229.191', 212788664, 212788671, 'US', 'United States'),
(831, '12.174.229.192', '12.174.230.63', 212788672, 212788799, 'PR', 'Puerto Rico'),
(832, '12.174.230.64', '12.174.230.71', 212788800, 212788807, 'US', 'United States'),
(833, '12.174.230.72', '12.174.230.79', 212788808, 212788815, 'VI', 'Virgin Islands, U.S.'),
(834, '12.174.230.80', '12.174.230.111', 212788816, 212788847, 'US', 'United States'),
(835, '12.174.230.112', '12.174.230.127', 212788848, 212788863, 'VI', 'Virgin Islands, U.S.'),
(836, '12.174.230.128', '12.174.230.255', 212788864, 212788991, 'PR', 'Puerto Rico'),
(837, '12.174.231.0', '12.174.231.47', 212788992, 212789039, 'US', 'United States'),
(838, '12.174.231.48', '12.174.231.63', 212789040, 212789055, 'VI', 'Virgin Islands, U.S.'),
(839, '12.174.231.64', '12.174.231.71', 212789056, 212789063, 'US', 'United States'),
(840, '12.174.231.72', '12.174.231.87', 212789064, 212789079, 'VI', 'Virgin Islands, U.S.'),
(841, '12.174.231.88', '12.174.231.95', 212789080, 212789087, 'US', 'United States'),
(842, '12.174.231.96', '12.174.231.103', 212789088, 212789095, 'VI', 'Virgin Islands, U.S.'),
(843, '12.174.231.104', '12.174.231.151', 212789096, 212789143, 'US', 'United States'),
(844, '12.174.231.152', '12.174.231.159', 212789144, 212789151, 'VI', 'Virgin Islands, U.S.'),
(845, '12.174.231.160', '12.174.231.183', 212789152, 212789175, 'US', 'United States'),
(846, '12.174.231.184', '12.174.231.191', 212789176, 212789183, 'VI', 'Virgin Islands, U.S.'),
(847, '12.174.231.192', '12.174.231.199', 212789184, 212789191, 'PR', 'Puerto Rico'),
(848, '12.174.231.200', '12.174.231.223', 212789192, 212789215, 'US', 'United States'),
(849, '12.174.231.224', '12.174.231.231', 212789216, 212789223, 'VI', 'Virgin Islands, U.S.'),
(850, '12.174.231.232', '12.174.239.255', 212789224, 212791295, 'US', 'United States'),
(851, '12.174.240.0', '12.174.240.151', 212791296, 212791447, 'VI', 'Virgin Islands, U.S.'),
(852, '12.174.240.152', '12.174.240.159', 212791448, 212791455, 'US', 'United States'),
(853, '12.174.240.160', '12.174.240.183', 212791456, 212791479, 'VI', 'Virgin Islands, U.S.'),
(854, '12.174.240.184', '12.174.241.255', 212791480, 212791807, 'PR', 'Puerto Rico'),
(855, '12.174.242.0', '12.174.242.7', 212791808, 212791815, 'US', 'United States'),
(856, '12.174.242.8', '12.174.242.63', 212791816, 212791871, 'VI', 'Virgin Islands, U.S.'),
(857, '12.174.242.64', '12.174.242.127', 212791872, 212791935, 'US', 'United States'),
(858, '12.174.242.128', '12.174.242.255', 212791936, 212792063, 'VI', 'Virgin Islands, U.S.'),
(859, '12.174.243.0', '12.174.243.127', 212792064, 212792191, 'US', 'United States'),
(860, '12.174.243.128', '12.174.243.135', 212792192, 212792199, 'PR', 'Puerto Rico'),
(861, '12.174.243.136', '12.174.243.151', 212792200, 212792215, 'VI', 'Virgin Islands, U.S.'),
(862, '12.174.243.152', '12.174.243.159', 212792216, 212792223, 'US', 'United States'),
(863, '12.174.243.160', '12.174.243.167', 212792224, 212792231, 'VI', 'Virgin Islands, U.S.'),
(864, '12.174.243.168', '12.174.243.207', 212792232, 212792271, 'US', 'United States'),
(865, '12.174.243.208', '12.174.243.215', 212792272, 212792279, 'VI', 'Virgin Islands, U.S.'),
(866, '12.174.243.216', '12.174.243.223', 212792280, 212792287, 'US', 'United States'),
(867, '12.174.243.224', '12.174.243.255', 212792288, 212792319, 'PR', 'Puerto Rico'),
(868, '12.174.244.0', '12.174.247.31', 212792320, 212793119, 'US', 'United States'),
(869, '12.174.247.32', '12.174.247.39', 212793120, 212793127, 'VI', 'Virgin Islands, U.S.'),
(870, '12.174.247.40', '12.174.247.47', 212793128, 212793135, 'PR', 'Puerto Rico'),
(871, '12.174.247.48', '12.174.247.111', 212793136, 212793199, 'US', 'United States'),
(872, '12.174.247.112', '12.174.247.119', 212793200, 212793207, 'VI', 'Virgin Islands, U.S.'),
(873, '12.174.247.120', '12.174.247.127', 212793208, 212793215, 'PR', 'Puerto Rico'),
(874, '12.174.247.128', '12.174.247.223', 212793216, 212793311, 'US', 'United States'),
(875, '12.174.247.224', '12.174.247.239', 212793312, 212793327, 'PR', 'Puerto Rico'),
(876, '12.174.247.240', '12.174.247.255', 212793328, 212793343, 'US', 'United States'),
(877, '12.174.248.0', '12.174.251.255', 212793344, 212794367, 'VI', 'Virgin Islands, U.S.'),
(878, '12.174.252.0', '12.174.252.207', 212794368, 212794575, 'US', 'United States'),
(879, '12.174.252.208', '12.174.252.215', 212794576, 212794583, 'VI', 'Virgin Islands, U.S.'),
(880, '12.174.252.216', '12.174.253.159', 212794584, 212794783, 'US', 'United States'),
(881, '12.174.253.160', '12.174.253.167', 212794784, 212794791, 'VI', 'Virgin Islands, U.S.'),
(882, '12.174.253.168', '12.174.253.175', 212794792, 212794799, 'US', 'United States'),
(883, '12.174.253.176', '12.174.253.191', 212794800, 212794815, 'VI', 'Virgin Islands, U.S.'),
(884, '12.174.253.192', '12.174.253.255', 212794816, 212794879, 'US', 'United States'),
(885, '12.174.254.0', '12.174.254.7', 212794880, 212794887, 'VI', 'Virgin Islands, U.S.'),
(886, '12.174.254.8', '12.174.254.15', 212794888, 212794895, 'US', 'United States'),
(887, '12.174.254.16', '12.174.254.31', 212794896, 212794911, 'VI', 'Virgin Islands, U.S.'),
(888, '12.174.254.32', '12.174.254.63', 212794912, 212794943, 'PR', 'Puerto Rico'),
(889, '12.174.254.64', '12.174.254.119', 212794944, 212794999, 'US', 'United States'),
(890, '12.174.254.120', '12.174.254.127', 212795000, 212795007, 'VI', 'Virgin Islands, U.S.'),
(891, '12.174.254.128', '12.175.104.183', 212795008, 212822199, 'US', 'United States'),
(892, '12.175.104.184', '12.175.104.199', 212822200, 212822215, 'PR', 'Puerto Rico'),
(893, '12.175.104.200', '12.175.168.127', 212822216, 212838527, 'US', 'United States'),
(894, '12.175.168.128', '12.175.168.135', 212838528, 212838535, 'PR', 'Puerto Rico'),
(895, '12.175.168.136', '12.176.116.151', 212838536, 212890775, 'US', 'United States'),
(896, '12.176.116.152', '12.176.116.159', 212890776, 212890783, 'PR', 'Puerto Rico'),
(897, '12.176.116.160', '12.176.154.231', 212890784, 212900583, 'US', 'United States'),
(898, '12.176.154.232', '12.176.154.239', 212900584, 212900591, 'PR', 'Puerto Rico'),
(899, '12.176.154.240', '12.177.197.167', 212900592, 212977063, 'US', 'United States'),
(900, '12.177.197.168', '12.177.197.175', 212977064, 212977071, 'PR', 'Puerto Rico'),
(901, '12.177.197.176', '12.180.154.111', 212977072, 213162607, 'US', 'United States'),
(902, '12.180.154.112', '12.180.154.119', 213162608, 213162615, 'PR', 'Puerto Rico'),
(903, '12.180.154.120', '12.185.184.175', 213162616, 213498031, 'US', 'United States'),
(904, '12.185.184.176', '12.185.184.183', 213498032, 213498039, 'PR', 'Puerto Rico'),
(905, '12.185.184.184', '12.186.232.167', 213498040, 213575847, 'US', 'United States'),
(906, '12.186.232.168', '12.186.232.175', 213575848, 213575855, 'PR', 'Puerto Rico'),
(907, '12.186.232.176', '12.186.246.207', 213575856, 213579471, 'US', 'United States'),
(908, '12.186.246.208', '12.186.246.215', 213579472, 213579479, 'PR', 'Puerto Rico'),
(909, '12.186.246.216', '12.187.105.207', 213579480, 213608911, 'US', 'United States'),
(910, '12.187.105.208', '12.187.105.215', 213608912, 213608919, 'PR', 'Puerto Rico'),
(911, '12.187.105.216', '12.187.105.223', 213608920, 213608927, 'US', 'United States'),
(912, '12.187.105.224', '12.187.105.247', 213608928, 213608951, 'PR', 'Puerto Rico'),
(913, '12.187.105.248', '12.191.201.255', 213608952, 213895679, 'US', 'United States'),
(914, '12.191.202.0', '12.191.202.63', 213895680, 213895743, 'VI', 'Virgin Islands, U.S.'),
(915, '12.191.202.64', '12.192.55.255', 213895744, 213923839, 'US', 'United States'),
(916, '12.192.56.0', '12.192.59.255', 213923840, 213924863, 'PR', 'Puerto Rico'),
(917, '12.192.60.0', '12.192.62.255', 213924864, 213925631, 'US', 'United States'),
(918, '12.192.63.0', '12.192.63.255', 213925632, 213925887, 'PR', 'Puerto Rico'),
(919, '12.192.64.0', '12.192.106.151', 213925888, 213936791, 'US', 'United States'),
(920, '12.192.106.152', '12.192.106.159', 213936792, 213936799, 'PR', 'Puerto Rico'),
(921, '12.192.106.160', '12.192.106.231', 213936800, 213936871, 'US', 'United States'),
(922, '12.192.106.232', '12.192.106.239', 213936872, 213936879, 'PR', 'Puerto Rico'),
(923, '12.192.106.240', '12.192.106.255', 213936880, 213936895, 'US', 'United States'),
(924, '12.192.107.0', '12.192.107.7', 213936896, 213936903, 'PR', 'Puerto Rico'),
(925, '12.192.107.8', '12.196.52.255', 213936904, 214185215, 'US', 'United States'),
(926, '12.196.53.0', '12.196.53.255', 214185216, 214185471, 'PR', 'Puerto Rico'),
(927, '12.196.54.0', '12.196.55.255', 214185472, 214185983, 'US', 'United States'),
(928, '12.196.56.0', '12.196.59.255', 214185984, 214187007, 'PR', 'Puerto Rico'),
(929, '12.196.60.0', '12.196.62.255', 214187008, 214187775, 'VI', 'Virgin Islands, U.S.'),
(930, '12.196.63.0', '12.196.63.31', 214187776, 214187807, 'US', 'United States'),
(931, '12.196.63.32', '12.196.63.39', 214187808, 214187815, 'PR', 'Puerto Rico'),
(932, '12.196.63.40', '12.196.63.127', 214187816, 214187903, 'US', 'United States'),
(933, '12.196.63.128', '12.196.63.159', 214187904, 214187935, 'VI', 'Virgin Islands, U.S.'),
(934, '12.196.63.160', '12.196.63.223', 214187936, 214187999, 'US', 'United States'),
(935, '12.196.63.224', '12.196.63.255', 214188000, 214188031, 'VI', 'Virgin Islands, U.S.'),
(936, '12.196.64.0', '12.197.0.63', 214188032, 214237247, 'US', 'United States'),
(937, '12.197.0.64', '12.197.0.127', 214237248, 214237311, 'PR', 'Puerto Rico'),
(938, '12.197.0.128', '12.197.47.255', 214237312, 214249471, 'US', 'United States'),
(939, '12.197.48.0', '12.197.63.255', 214249472, 214253567, 'VI', 'Virgin Islands, U.S.'),
(940, '12.197.64.0', '12.200.56.207', 214253568, 214448335, 'US', 'United States'),
(941, '12.200.56.208', '12.200.56.215', 214448336, 214448343, 'PR', 'Puerto Rico'),
(942, '12.200.56.216', '12.204.7.255', 214448344, 214697983, 'US', 'United States'),
(943, '12.204.8.0', '12.204.8.23', 214697984, 214698007, 'VI', 'Virgin Islands, U.S.'),
(944, '12.204.8.24', '12.204.8.31', 214698008, 214698015, 'PR', 'Puerto Rico'),
(945, '12.204.8.32', '12.204.8.39', 214698016, 214698023, 'US', 'United States'),
(946, '12.204.8.40', '12.204.8.47', 214698024, 214698031, 'PR', 'Puerto Rico'),
(947, '12.204.8.48', '12.204.8.103', 214698032, 214698087, 'VI', 'Virgin Islands, U.S.'),
(948, '12.204.8.104', '12.204.8.119', 214698088, 214698103, 'PR', 'Puerto Rico'),
(949, '12.204.8.120', '12.204.8.151', 214698104, 214698135, 'VI', 'Virgin Islands, U.S.'),
(950, '12.204.8.152', '12.204.8.159', 214698136, 214698143, 'PR', 'Puerto Rico'),
(951, '12.204.8.160', '12.204.8.175', 214698144, 214698159, 'VI', 'Virgin Islands, U.S.'),
(952, '12.204.8.176', '12.204.8.183', 214698160, 214698167, 'PR', 'Puerto Rico'),
(953, '12.204.8.184', '12.204.8.191', 214698168, 214698175, 'VI', 'Virgin Islands, U.S.'),
(954, '12.204.8.192', '12.204.8.255', 214698176, 214698239, 'PR', 'Puerto Rico'),
(955, '12.204.9.0', '12.204.9.31', 214698240, 214698271, 'VI', 'Virgin Islands, U.S.'),
(956, '12.204.9.32', '12.204.9.39', 214698272, 214698279, 'US', 'United States'),
(957, '12.204.9.40', '12.204.9.79', 214698280, 214698319, 'VI', 'Virgin Islands, U.S.'),
(958, '12.204.9.80', '12.204.9.95', 214698320, 214698335, 'PR', 'Puerto Rico'),
(959, '12.204.9.96', '12.204.9.119', 214698336, 214698359, 'US', 'United States'),
(960, '12.204.9.120', '12.204.9.127', 214698360, 214698367, 'PR', 'Puerto Rico'),
(961, '12.204.9.128', '12.204.9.143', 214698368, 214698383, 'US', 'United States'),
(962, '12.204.9.144', '12.204.10.143', 214698384, 214698639, 'PR', 'Puerto Rico'),
(963, '12.204.10.144', '12.204.10.159', 214698640, 214698655, 'VI', 'Virgin Islands, U.S.'),
(964, '12.204.10.160', '12.204.11.167', 214698656, 214698919, 'PR', 'Puerto Rico'),
(965, '12.204.11.168', '12.204.11.175', 214698920, 214698927, 'US', 'United States'),
(966, '12.204.11.176', '12.204.12.223', 214698928, 214699231, 'PR', 'Puerto Rico'),
(967, '12.204.12.224', '12.204.12.255', 214699232, 214699263, 'US', 'United States'),
(968, '12.204.13.0', '12.204.13.31', 214699264, 214699295, 'VI', 'Virgin Islands, U.S.'),
(969, '12.204.13.32', '12.204.13.39', 214699296, 214699303, 'US', 'United States'),
(970, '12.204.13.40', '12.204.13.47', 214699304, 214699311, 'VI', 'Virgin Islands, U.S.'),
(971, '12.204.13.48', '12.204.13.71', 214699312, 214699335, 'PR', 'Puerto Rico'),
(972, '12.204.13.72', '12.204.13.103', 214699336, 214699367, 'VI', 'Virgin Islands, U.S.'),
(973, '12.204.13.104', '12.204.13.119', 214699368, 214699383, 'US', 'United States'),
(974, '12.204.13.120', '12.204.13.191', 214699384, 214699455, 'VI', 'Virgin Islands, U.S.'),
(975, '12.204.13.192', '12.204.13.207', 214699456, 214699471, 'US', 'United States'),
(976, '12.204.13.208', '12.204.13.223', 214699472, 214699487, 'VI', 'Virgin Islands, U.S.'),
(977, '12.204.13.224', '12.204.13.255', 214699488, 214699519, 'US', 'United States'),
(978, '12.204.14.0', '12.204.14.127', 214699520, 214699647, 'PR', 'Puerto Rico'),
(979, '12.204.14.128', '12.204.14.255', 214699648, 214699775, 'VI', 'Virgin Islands, U.S.'),
(980, '12.204.15.0', '12.204.15.7', 214699776, 214699783, 'PR', 'Puerto Rico'),
(981, '12.204.15.8', '12.204.15.23', 214699784, 214699799, 'US', 'United States'),
(982, '12.204.15.24', '12.204.15.31', 214699800, 214699807, 'PR', 'Puerto Rico'),
(983, '12.204.15.32', '12.204.15.63', 214699808, 214699839, 'US', 'United States'),
(984, '12.204.15.64', '12.204.15.71', 214699840, 214699847, 'PR', 'Puerto Rico'),
(985, '12.204.15.72', '12.204.15.79', 214699848, 214699855, 'US', 'United States'),
(986, '12.204.15.80', '12.204.15.95', 214699856, 214699871, 'PR', 'Puerto Rico'),
(987, '12.204.15.96', '12.204.15.103', 214699872, 214699879, 'US', 'United States'),
(988, '12.204.15.104', '12.204.15.119', 214699880, 214699895, 'PR', 'Puerto Rico'),
(989, '12.204.15.120', '12.204.15.135', 214699896, 214699911, 'US', 'United States'),
(990, '12.204.15.136', '12.204.15.143', 214699912, 214699919, 'VI', 'Virgin Islands, U.S.'),
(991, '12.204.15.144', '12.204.15.151', 214699920, 214699927, 'PR', 'Puerto Rico'),
(992, '12.204.15.152', '12.204.15.175', 214699928, 214699951, 'US', 'United States'),
(993, '12.204.15.176', '12.204.15.199', 214699952, 214699975, 'PR', 'Puerto Rico'),
(994, '12.204.15.200', '12.204.15.215', 214699976, 214699991, 'VI', 'Virgin Islands, U.S.'),
(995, '12.204.15.216', '12.204.15.239', 214699992, 214700015, 'US', 'United States'),
(996, '12.204.15.240', '12.204.15.247', 214700016, 214700023, 'PR', 'Puerto Rico'),
(997, '12.204.15.248', '12.206.123.159', 214700024, 214858655, 'US', 'United States'),
(998, '12.206.123.160', '12.206.123.175', 214858656, 214858671, 'NL', 'Netherlands'),
(999, '12.206.123.176', '12.208.168.7', 214858672, 215001095, 'US', 'United States'),
(1000, '12.208.168.8', '12.208.168.15', 215001096, 215001103, 'VI', 'Virgin Islands, U.S.'),
(1001, '12.208.168.16', '12.208.168.63', 215001104, 215001151, 'US', 'United States'),
(1002, '12.208.168.64', '12.208.168.79', 215001152, 215001167, 'VI', 'Virgin Islands, U.S.'),
(1003, '12.208.168.80', '12.208.168.255', 215001168, 215001343, 'US', 'United States'),
(1004, '12.208.169.0', '12.208.169.255', 215001344, 215001599, 'VI', 'Virgin Islands, U.S.'),
(1005, '12.208.170.0', '12.208.171.255', 215001600, 215002111, 'US', 'United States'),
(1006, '12.208.172.0', '12.208.172.15', 215002112, 215002127, 'VI', 'Virgin Islands, U.S.'),
(1007, '12.208.172.16', '12.219.174.71', 215002128, 215723591, 'US', 'United States'),
(1008, '12.219.174.72', '12.219.174.79', 215723592, 215723599, 'PR', 'Puerto Rico'),
(1009, '12.219.174.80', '12.230.69.127', 215723600, 216417663, 'US', 'United States'),
(1010, '12.230.69.128', '12.230.69.191', 216417664, 216417727, 'PR', 'Puerto Rico'),
(1011, '12.230.69.192', '12.233.120.87', 216417728, 216627287, 'US', 'United States'),
(1012, '12.233.120.88', '12.233.120.95', 216627288, 216627295, 'PR', 'Puerto Rico'),
(1013, '12.233.120.96', '12.233.160.199', 216627296, 216637639, 'US', 'United States'),
(1014, '12.233.160.200', '12.233.160.207', 216637640, 216637647, 'PR', 'Puerto Rico'),
(1015, '12.233.160.208', '12.236.106.255', 216637648, 216820479, 'US', 'United States'),
(1016, '12.236.107.0', '12.236.107.7', 216820480, 216820487, 'PR', 'Puerto Rico'),
(1017, '12.236.107.8', '12.236.166.31', 216820488, 216835615, 'US', 'United States'),
(1018, '12.236.166.32', '12.236.166.39', 216835616, 216835623, 'PR', 'Puerto Rico'),
(1019, '12.236.166.40', '12.237.88.39', 216835624, 216881191, 'US', 'United States'),
(1020, '12.237.88.40', '12.237.88.47', 216881192, 216881199, 'PR', 'Puerto Rico'),
(1021, '12.237.88.48', '12.239.26.55', 216881200, 216996407, 'US', 'United States'),
(1022, '12.239.26.56', '12.239.26.63', 216996408, 216996415, 'PR', 'Puerto Rico'),
(1023, '12.239.26.64', '12.239.26.191', 216996416, 216996543, 'US', 'United States'),
(1024, '12.239.26.192', '12.239.26.207', 216996544, 216996559, 'PR', 'Puerto Rico'),
(1025, '12.239.26.208', '12.239.149.159', 216996560, 217027999, 'US', 'United States'),
(1026, '12.239.149.160', '12.239.149.167', 217028000, 217028007, 'PR', 'Puerto Rico'),
(1027, '12.239.149.168', '12.239.222.247', 217028008, 217046775, 'US', 'United States'),
(1028, '12.239.222.248', '12.239.222.255', 217046776, 217046783, 'PR', 'Puerto Rico'),
(1029, '12.239.223.0', '13.16.137.9', 217046784, 219187465, 'US', 'United States'),
(1030, '13.16.137.10', '13.16.137.11', 219187466, 219187467, 'EU', 'Europe'),
(1031, '13.16.137.12', '13.255.255.255', 219187468, 234881023, 'US', 'United States'),
(1032, '14.0.0.0', '14.0.7.255', 234881024, 234883071, 'CN', 'China'),
(1033, '14.0.8.0', '14.0.11.255', 234883072, 234884095, 'JP', 'Japan'),
(1034, '14.0.12.0', '14.0.15.255', 234884096, 234885119, 'CN', 'China'),
(1035, '14.0.16.0', '14.0.31.255', 234885120, 234889215, 'VN', 'Vietnam'),
(1036, '14.0.32.0', '14.0.127.255', 234889216, 234913791, 'KR', 'Korea, Republic of'),
(1037, '14.0.128.0', '14.0.255.255', 234913792, 234946559, 'HK', 'Hong Kong'),
(1038, '14.1.0.0', '14.1.3.255', 234946560, 234947583, 'CN', 'China'),
(1039, '14.1.4.0', '14.1.15.255', 234947584, 234950655, 'JP', 'Japan'),
(1040, '14.1.16.0', '14.1.19.255', 234950656, 234951679, 'AU', 'Australia'),
(1041, '14.1.20.0', '14.1.23.255', 234951680, 234952703, 'HK', 'Hong Kong'),
(1042, '14.1.24.0', '14.1.31.255', 234952704, 234954751, 'JP', 'Japan'),
(1043, '14.1.32.0', '14.1.95.255', 234954752, 234971135, 'NZ', 'New Zealand'),
(1044, '14.1.128.0', '14.1.255.255', 234979328, 235012095, 'MY', 'Malaysia'),
(1045, '14.2.0.0', '14.2.255.255', 235012096, 235077631, 'AU', 'Australia'),
(1046, '14.3.0.0', '14.3.255.255', 235077632, 235143167, 'JP', 'Japan'),
(1047, '14.4.0.0', '14.7.255.255', 235143168, 235405311, 'KR', 'Korea, Republic of'),
(1048, '14.8.0.0', '14.15.255.255', 235405312, 235929599, 'JP', 'Japan'),
(1049, '14.16.0.0', '14.31.255.255', 235929600, 236978175, 'CN', 'China'),
(1050, '14.32.0.0', '14.95.255.255', 236978176, 241172479, 'KR', 'Korea, Republic of'),
(1051, '14.96.0.0', '14.99.255.255', 241172480, 241434623, 'IN', 'India'),
(1052, '14.100.0.0', '14.100.255.255', 241434624, 241500159, 'SG', 'Singapore'),
(1053, '14.101.0.0', '14.101.255.255', 241500160, 241565695, 'JP', 'Japan'),
(1054, '14.102.0.0', '14.102.127.255', 241565696, 241598463, 'IN', 'India'),
(1055, '14.102.128.0', '14.102.131.255', 241598464, 241599487, 'CN', 'China'),
(1056, '14.102.132.0', '14.102.135.255', 241599488, 241600511, 'JP', 'Japan'),
(1057, '14.102.136.0', '14.102.143.255', 241600512, 241602559, 'AU', 'Australia'),
(1058, '14.102.144.0', '14.102.151.255', 241602560, 241604607, 'MY', 'Malaysia'),
(1059, '14.102.152.0', '14.102.155.255', 241604608, 241605631, 'ID', 'Indonesia'),
(1060, '14.102.156.0', '14.102.159.255', 241605632, 241606655, 'CN', 'China'),
(1061, '14.102.192.0', '14.102.223.255', 241614848, 241623039, 'JP', 'Japan'),
(1062, '14.102.224.0', '14.102.239.255', 241623040, 241627135, 'IN', 'India'),
(1063, '14.102.240.0', '14.102.255.255', 241627136, 241631231, 'HK', 'Hong Kong'),
(1064, '14.103.0.0', '14.127.255.255', 241631232, 243269631, 'CN', 'China'),
(1065, '14.128.0.0', '14.128.3.255', 243269632, 243270655, 'JP', 'Japan'),
(1066, '14.128.4.0', '14.128.7.255', 243270656, 243271679, 'NZ', 'New Zealand'),
(1067, '14.128.8.0', '14.128.11.255', 243271680, 243272703, 'TH', 'Thailand'),
(1068, '14.128.12.0', '14.128.15.255', 243272704, 243273727, 'NP', 'Nepal'),
(1069, '14.128.16.0', '14.128.31.255', 243273728, 243277823, 'JP', 'Japan'),
(1070, '14.128.32.0', '14.128.63.255', 243277824, 243286015, 'AU', 'Australia'),
(1071, '14.128.64.0', '14.128.127.255', 243286016, 243302399, 'JP', 'Japan'),
(1072, '14.128.128.0', '14.129.255.255', 243302400, 243400703, 'KR', 'Korea, Republic of'),
(1073, '14.130.0.0', '14.131.255.255', 243400704, 243531775, 'CN', 'China'),
(1074, '14.132.0.0', '14.133.255.255', 243531776, 243662847, 'JP', 'Japan'),
(1075, '14.134.0.0', '14.135.255.255', 243662848, 243793919, 'CN', 'China'),
(1076, '14.136.0.0', '14.136.255.255', 243793920, 243859455, 'HK', 'Hong Kong'),
(1077, '14.137.0.0', '14.137.223.255', 243859456, 243916799, 'AU', 'Australia'),
(1078, '14.137.224.0', '14.137.255.255', 243916800, 243924991, 'JP', 'Japan'),
(1079, '14.138.0.0', '14.138.255.255', 243924992, 243990527, 'KR', 'Korea, Republic of'),
(1080, '14.139.0.0', '14.143.255.255', 243990528, 244318207, 'IN', 'India'),
(1081, '14.144.0.0', '14.159.255.255', 244318208, 245366783, 'CN', 'China'),
(1082, '14.160.0.0', '14.191.255.255', 245366784, 247463935, 'VN', 'Vietnam'),
(1083, '14.192.32.0', '14.192.59.255', 247472128, 247479295, 'JP', 'Japan'),
(1084, '14.192.60.0', '14.192.63.255', 247479296, 247480319, 'CN', 'China'),
(1085, '14.192.64.0', '14.192.71.255', 247480320, 247482367, 'MY', 'Malaysia'),
(1086, '14.192.72.0', '14.192.75.255', 247482368, 247483391, 'PG', 'Papua New Guinea'),
(1087, '14.192.76.0', '14.192.79.255', 247483392, 247484415, 'CN', 'China'),
(1088, '14.192.80.0', '14.192.95.255', 247484416, 247488511, 'KR', 'Korea, Republic of'),
(1089, '14.192.96.0', '14.192.127.255', 247488512, 247496703, 'JP', 'Japan'),
(1090, '14.192.128.0', '14.192.159.255', 247496704, 247504895, 'PK', 'Pakistan'),
(1091, '14.192.160.0', '14.192.191.255', 247504896, 247513087, 'AU', 'Australia'),
(1092, '14.192.192.0', '14.192.255.255', 247513088, 247529471, 'MY', 'Malaysia'),
(1093, '14.193.0.0', '14.193.255.255', 247529472, 247595007, 'JP', 'Japan'),
(1094, '14.194.0.0', '14.195.255.255', 247595008, 247726079, 'IN', 'India'),
(1095, '14.196.0.0', '14.197.255.255', 247726080, 247857151, 'CN', 'China'),
(1096, '14.198.0.0', '14.199.255.255', 247857152, 247988223, 'HK', 'Hong Kong'),
(1097, '14.200.0.0', '14.203.255.255', 247988224, 248250367, 'AU', 'Australia'),
(1098, '14.204.0.0', '14.205.255.255', 248250368, 248381439, 'CN', 'China'),
(1099, '14.206.0.0', '14.206.255.255', 248381440, 248446975, 'KR', 'Korea, Republic of'),
(1100, '14.207.0.0', '14.207.255.255', 248446976, 248512511, 'TH', 'Thailand'),
(1101, '14.208.0.0', '14.223.255.255', 248512512, 249561087, 'CN', 'China'),
(1102, '14.224.0.0', '14.255.255.255', 249561088, 251658239, 'VN', 'Vietnam'),
(1103, '15.0.0.0', '15.195.184.255', 251658240, 264485119, 'US', 'United States'),
(1104, '15.195.185.0', '15.195.185.255', 264485120, 264485375, 'EU', 'Europe'),
(1105, '15.195.186.0', '15.203.136.255', 264485376, 264997119, 'US', 'United States'),
(1106, '15.203.137.0', '15.203.137.255', 264997120, 264997375, 'EU', 'Europe'),
(1107, '15.203.138.0', '15.203.168.255', 264997376, 265005311, 'US', 'United States'),
(1108, '15.203.169.0', '15.203.169.255', 265005312, 265005567, 'EU', 'Europe'),
(1109, '15.203.170.0', '15.203.248.255', 265005568, 265025791, 'US', 'United States'),
(1110, '15.203.249.0', '15.203.249.255', 265025792, 265026047, 'GB', 'United Kingdom'),
(1111, '15.203.250.0', '15.211.152.255', 265026048, 265525503, 'US', 'United States'),
(1112, '15.211.153.0', '15.211.153.255', 265525504, 265525759, 'AP', 'Asia/Pacific Region'),
(1113, '15.211.154.0', '15.211.168.255', 265525760, 265529599, 'US', 'United States'),
(1114, '15.211.169.0', '15.211.169.255', 265529600, 265529855, 'AP', 'Asia/Pacific Region'),
(1115, '15.211.170.0', '15.219.200.255', 265529856, 266062079, 'US', 'United States'),
(1116, '15.219.201.0', '15.219.201.255', 266062080, 266062335, 'IN', 'India'),
(1117, '15.219.202.0', '15.219.232.255', 266062336, 266070271, 'US', 'United States'),
(1118, '15.219.233.0', '15.219.233.255', 266070272, 266070527, 'AU', 'Australia'),
(1119, '15.219.234.0', '15.227.168.255', 266070528, 266578175, 'US', 'United States'),
(1120, '15.227.169.0', '15.227.169.255', 266578176, 266578431, 'CA', 'Canada'),
(1121, '15.227.170.0', '15.227.200.255', 266578432, 266586367, 'US', 'United States'),
(1122, '15.227.201.0', '15.227.201.255', 266586368, 266586623, 'CA', 'Canada'),
(1123, '15.227.202.0', '15.227.248.255', 266586624, 266598655, 'US', 'United States'),
(1124, '15.227.249.0', '15.227.249.255', 266598656, 266598911, 'BR', 'Brazil'),
(1125, '15.227.250.0', '17.57.247.79', 266598912, 289011535, 'US', 'United States'),
(1126, '17.57.247.80', '17.57.247.87', 289011536, 289011543, 'IT', 'Italy'),
(1127, '17.57.247.88', '17.63.255.255', 289011544, 289406975, 'US', 'United States'),
(1128, '17.64.0.0', '17.66.255.255', 289406976, 289603583, 'IE', 'Ireland'),
(1129, '17.67.0.0', '17.67.96.255', 289603584, 289628415, 'GB', 'United Kingdom'),
(1130, '17.67.97.0', '17.67.97.255', 289628416, 289628671, 'US', 'United States'),
(1131, '17.67.98.0', '17.67.255.255', 289628672, 289669119, 'GB', 'United Kingdom'),
(1132, '17.68.0.0', '17.68.255.255', 289669120, 289734655, 'FR', 'France'),
(1133, '17.69.0.0', '17.69.47.255', 289734656, 289746943, 'GB', 'United Kingdom'),
(1134, '17.69.48.0', '17.69.55.255', 289746944, 289748991, 'US', 'United States'),
(1135, '17.69.56.0', '17.69.67.255', 289748992, 289752063, 'ES', 'Spain'),
(1136, '17.69.68.0', '17.69.99.255', 289752064, 289760255, 'US', 'United States'),
(1137, '17.69.100.0', '17.69.111.255', 289760256, 289763327, 'DE', 'Germany'),
(1138, '17.69.112.0', '17.77.19.255', 289763328, 290264063, 'US', 'United States'),
(1139, '17.77.20.0', '17.77.21.255', 290264064, 290264575, 'AT', 'Austria'),
(1140, '17.77.22.0', '17.77.31.255', 290264576, 290267135, 'US', 'United States'),
(1141, '17.77.32.0', '17.77.39.255', 290267136, 290269183, 'NL', 'Netherlands'),
(1142, '17.77.40.0', '17.77.43.255', 290269184, 290270207, 'PL', 'Poland'),
(1143, '17.77.44.0', '17.77.47.255', 290270208, 290271231, 'PT', 'Portugal'),
(1144, '17.77.48.0', '17.77.51.255', 290271232, 290272255, 'CH', 'Switzerland'),
(1145, '17.77.52.0', '17.77.55.255', 290272256, 290273279, 'US', 'United States'),
(1146, '17.77.56.0', '17.77.63.255', 290273280, 290275327, 'RU', 'Russian Federation'),
(1147, '17.77.64.0', '17.77.71.255', 290275328, 290277375, 'DE', 'Germany'),
(1148, '17.77.72.0', '17.77.79.255', 290277376, 290279423, 'US', 'United States'),
(1149, '17.77.80.0', '17.77.87.255', 290279424, 290281471, 'GB', 'United Kingdom'),
(1150, '17.77.88.0', '17.77.111.255', 290281472, 290287615, 'US', 'United States'),
(1151, '17.77.112.0', '17.77.127.255', 290287616, 290291711, 'GB', 'United Kingdom'),
(1152, '17.77.128.0', '17.77.129.255', 290291712, 290292223, 'FI', 'Finland'),
(1153, '17.77.130.0', '17.77.131.255', 290292224, 290292735, 'US', 'United States'),
(1154, '17.77.132.0', '17.77.133.255', 290292736, 290293247, 'NO', 'Norway'),
(1155, '17.77.134.0', '17.77.135.255', 290293248, 290293759, 'US', 'United States'),
(1156, '17.77.136.0', '17.77.137.255', 290293760, 290294271, 'DK', 'Denmark'),
(1157, '17.77.138.0', '17.77.139.255', 290294272, 290294783, 'US', 'United States'),
(1158, '17.77.140.0', '17.77.141.255', 290294784, 290295295, 'NL', 'Netherlands'),
(1159, '17.77.142.0', '17.77.143.255', 290295296, 290295807, 'IN', 'India'),
(1160, '17.77.144.0', '17.77.147.255', 290295808, 290296831, 'ES', 'Spain'),
(1161, '17.77.148.0', '17.77.151.255', 290296832, 290297855, 'US', 'United States'),
(1162, '17.77.152.0', '17.77.155.255', 290297856, 290298879, 'SE', 'Sweden'),
(1163, '17.77.156.0', '17.77.159.255', 290298880, 290299903, 'US', 'United States'),
(1164, '17.77.160.0', '17.77.163.255', 290299904, 290300927, 'LU', 'Luxembourg'),
(1165, '17.77.164.0', '17.77.167.255', 290300928, 290301951, 'TR', 'Turkey'),
(1166, '17.77.168.0', '17.77.169.255', 290301952, 290302463, 'IN', 'India'),
(1167, '17.77.170.0', '17.77.171.255', 290302464, 290302975, 'US', 'United States'),
(1168, '17.77.172.0', '17.77.175.255', 290302976, 290303999, 'IN', 'India'),
(1169, '17.77.176.0', '17.77.179.255', 290304000, 290305023, 'IT', 'Italy'),
(1170, '17.77.180.0', '17.77.191.255', 290305024, 290308095, 'US', 'United States'),
(1171, '17.77.192.0', '17.77.199.255', 290308096, 290310143, 'DE', 'Germany'),
(1172, '17.77.200.0', '17.77.207.255', 290310144, 290312191, 'US', 'United States'),
(1173, '17.77.208.0', '17.77.215.255', 290312192, 290314239, 'BE', 'Belgium'),
(1174, '17.77.216.0', '17.77.239.255', 290314240, 290320383, 'US', 'United States'),
(1175, '17.77.240.0', '17.77.255.255', 290320384, 290324479, 'FR', 'France'),
(1176, '17.78.0.0', '17.78.127.255', 290324480, 290357247, 'US', 'United States'),
(1177, '17.78.128.0', '17.78.159.255', 290357248, 290365439, 'IL', 'Israel'),
(1178, '17.78.160.0', '17.79.131.255', 290365440, 290423807, 'US', 'United States'),
(1179, '17.79.132.0', '17.79.135.255', 290423808, 290424831, 'SE', 'Sweden'),
(1180, '17.79.136.0', '17.80.226.255', 290424832, 290513663, 'US', 'United States'),
(1181, '17.80.227.0', '17.80.227.255', 290513664, 290513919, 'MY', 'Malaysia'),
(1182, '17.80.228.0', '19.68.79.119', 290513920, 323243895, 'US', 'United States'),
(1183, '19.68.79.120', '19.68.79.127', 323243896, 323243903, 'FR', 'France'),
(1184, '19.68.79.128', '19.203.239.23', 323243904, 332132119, 'US', 'United States'),
(1185, '19.203.239.24', '19.203.239.31', 332132120, 332132127, 'IL', 'Israel'),
(1186, '19.203.239.32', '20.132.255.255', 332132128, 344260607, 'US', 'United States'),
(1187, '20.133.0.0', '20.133.1.255', 344260608, 344261119, 'GB', 'United Kingdom'),
(1188, '20.133.2.0', '20.133.3.255', 344261120, 344261631, 'US', 'United States'),
(1189, '20.133.4.0', '20.133.4.255', 344261632, 344261887, 'EU', 'Europe'),
(1190, '20.133.5.0', '20.133.7.255', 344261888, 344262655, 'US', 'United States'),
(1191, '20.133.8.0', '20.133.8.255', 344262656, 344262911, 'GB', 'United Kingdom'),
(1192, '20.133.9.0', '20.133.32.17', 344262912, 344268817, 'US', 'United States'),
(1193, '20.133.32.18', '20.133.32.18', 344268818, 344268818, 'EU', 'Europe'),
(1194, '20.133.32.19', '20.138.0.255', 344268819, 344588543, 'US', 'United States'),
(1195, '20.138.1.0', '20.138.1.255', 344588544, 344588799, 'GB', 'United Kingdom'),
(1196, '20.138.2.0', '20.138.17.255', 344588800, 344592895, 'US', 'United States'),
(1197, '20.138.18.0', '20.138.18.49', 344592896, 344592945, 'GB', 'United Kingdom'),
(1198, '20.138.18.50', '20.138.18.50', 344592946, 344592946, 'EU', 'Europe'),
(1199, '20.138.18.51', '20.138.18.255', 344592947, 344593151, 'GB', 'United Kingdom'),
(1200, '20.138.19.0', '20.138.20.230', 344593152, 344593638, 'US', 'United States'),
(1201, '20.138.20.231', '20.138.20.231', 344593639, 344593639, 'SE', 'Sweden'),
(1202, '20.138.20.232', '20.138.245.255', 344593640, 344651263, 'US', 'United States'),
(1203, '20.138.246.0', '20.138.246.255', 344651264, 344651519, 'GB', 'United Kingdom'),
(1204, '20.138.247.0', '20.138.255.255', 344651520, 344653823, 'US', 'United States'),
(1205, '20.139.0.0', '20.139.22.63', 344653824, 344659519, 'AU', 'Australia'),
(1206, '20.139.22.64', '20.139.22.64', 344659520, 344659520, 'SG', 'Singapore'),
(1207, '20.139.22.65', '20.139.34.63', 344659521, 344662591, 'AU', 'Australia'),
(1208, '20.139.34.64', '20.139.34.64', 344662592, 344662592, 'MY', 'Malaysia'),
(1209, '20.139.34.65', '20.139.34.255', 344662593, 344662783, 'AU', 'Australia'),
(1210, '20.139.35.0', '20.139.35.255', 344662784, 344663039, 'MY', 'Malaysia'),
(1211, '20.139.36.0', '20.139.65.255', 344663040, 344670719, 'AU', 'Australia'),
(1212, '20.139.66.0', '20.139.67.255', 344670720, 344671231, 'IN', 'India'),
(1213, '20.139.68.0', '20.139.81.255', 344671232, 344674815, 'AU', 'Australia'),
(1214, '20.139.82.0', '20.139.82.255', 344674816, 344675071, 'IN', 'India'),
(1215, '20.139.83.0', '20.139.83.49', 344675072, 344675121, 'AU', 'Australia'),
(1216, '20.139.83.50', '20.139.87.49', 344675122, 344676145, 'IN', 'India'),
(1217, '20.139.87.50', '20.139.255.255', 344676146, 344719359, 'AU', 'Australia'),
(1218, '20.140.0.0', '20.142.115.255', 344719360, 344880127, 'US', 'United States'),
(1219, '20.142.116.0', '20.142.116.255', 344880128, 344880383, 'EU', 'Europe'),
(1220, '20.142.117.0', '20.142.119.255', 344880384, 344881151, 'US', 'United States'),
(1221, '20.142.120.0', '20.142.120.255', 344881152, 344881407, 'IN', 'India'),
(1222, '20.142.121.0', '20.143.239.255', 344881408, 344977407, 'US', 'United States'),
(1223, '20.143.240.0', '20.143.240.255', 344977408, 344977663, 'IN', 'India'),
(1224, '20.143.241.0', '21.56.9.31', 344977664, 355993887, 'US', 'United States'),
(1225, '21.56.9.32', '21.56.9.39', 355993888, 355993895, 'IT', 'Italy'),
(1226, '21.56.9.40', '21.249.132.255', 355993896, 368674047, 'US', 'United States'),
(1227, '21.249.133.0', '21.249.133.255', 368674048, 368674303, 'ES', 'Spain'),
(1228, '21.249.134.0', '23.15.255.255', 368674304, 386924543, 'US', 'United States'),
(1229, '23.16.0.0', '23.17.255.255', 386924544, 387055615, 'CA', 'Canada'),
(1230, '23.18.0.0', '23.18.255.255', 387055616, 387121151, 'PR', 'Puerto Rico'),
(1231, '23.19.0.0', '23.19.42.239', 387121152, 387132143, 'US', 'United States'),
(1232, '23.19.42.240', '23.19.42.247', 387132144, 387132151, 'CA', 'Canada'),
(1233, '23.19.42.248', '23.19.43.71', 387132152, 387132231, 'US', 'United States'),
(1234, '23.19.43.72', '23.19.43.79', 387132232, 387132239, 'CA', 'Canada'),
(1235, '23.19.43.80', '23.19.70.255', 387132240, 387139327, 'US', 'United States'),
(1236, '23.19.71.0', '23.19.71.255', 387139328, 387139583, 'CA', 'Canada'),
(1237, '23.19.72.0', '23.19.168.255', 387139584, 387164415, 'US', 'United States'),
(1238, '23.19.169.0', '23.19.169.255', 387164416, 387164671, 'CA', 'Canada'),
(1239, '23.19.170.0', '23.29.191.255', 387164672, 387825663, 'US', 'United States'),
(1240, '23.29.192.0', '23.29.223.255', 387825664, 387833855, 'CA', 'Canada'),
(1241, '23.29.224.0', '23.71.255.255', 387833856, 390594559, 'US', 'United States'),
(1242, '24.0.0.0', '24.35.255.255', 402653184, 405012479, 'US', 'United States'),
(1243, '24.36.0.0', '24.37.255.255', 405012480, 405143551, 'CA', 'Canada'),
(1244, '24.38.0.0', '24.38.143.255', 405143552, 405180415, 'US', 'United States'),
(1245, '24.38.144.0', '24.38.159.255', 405180416, 405184511, 'CA', 'Canada'),
(1246, '24.38.160.0', '24.41.127.255', 405184512, 405372927, 'US', 'United States'),
(1247, '24.41.128.0', '24.42.63.255', 405372928, 405422079, 'PR', 'Puerto Rico'),
(1248, '24.42.64.0', '24.47.255.255', 405422080, 405798911, 'US', 'United States'),
(1249, '24.48.0.0', '24.48.127.255', 405798912, 405831679, 'CA', 'Canada'),
(1250, '24.48.128.0', '24.48.175.255', 405831680, 405843967, 'US', 'United States'),
(1251, '24.48.176.0', '24.48.191.255', 405843968, 405848063, 'CA', 'Canada'),
(1252, '24.48.192.0', '24.48.255.255', 405848064, 405864447, 'PR', 'Puerto Rico'),
(1253, '24.49.0.0', '24.49.223.255', 405864448, 405921791, 'US', 'United States'),
(1254, '24.49.224.0', '24.49.255.255', 405921792, 405929983, 'CA', 'Canada'),
(1255, '24.50.0.0', '24.50.31.255', 405929984, 405938175, 'US', 'United States'),
(1256, '24.50.64.0', '24.50.127.255', 405946368, 405962751, 'CA', 'Canada'),
(1257, '24.50.128.0', '24.50.159.255', 405962752, 405970943, 'US', 'United States'),
(1258, '24.50.192.0', '24.50.255.255', 405979136, 405995519, 'PR', 'Puerto Rico'),
(1259, '24.51.32.0', '24.51.63.255', 406003712, 406011903, 'US', 'United States'),
(1260, '24.51.64.0', '24.51.127.255', 406011904, 406028287, 'BS', 'Bahamas'),
(1261, '24.51.128.0', '24.52.191.255', 406028288, 406110207, 'US', 'United States'),
(1262, '24.52.192.0', '24.53.63.255', 406110208, 406142975, 'CA', 'Canada'),
(1263, '24.53.64.0', '24.53.79.255', 406142976, 406147071, 'US', 'United States'),
(1264, '24.53.80.0', '24.53.95.255', 406147072, 406151167, 'CA', 'Canada'),
(1265, '24.53.128.0', '24.53.191.255', 406159360, 406175743, 'US', 'United States'),
(1266, '24.53.224.0', '24.54.63.255', 406183936, 406208511, 'CA', 'Canada'),
(1267, '24.54.96.0', '24.54.191.255', 406216704, 406241279, 'US', 'United States'),
(1268, '24.54.192.0', '24.55.255.255', 406241280, 406323199, 'PR', 'Puerto Rico'),
(1269, '24.56.0.0', '24.56.255.255', 406323200, 406388735, 'US', 'United States'),
(1270, '24.57.0.0', '24.57.255.255', 406388736, 406454271, 'CA', 'Canada'),
(1271, '24.58.0.0', '24.63.255.255', 406454272, 406847487, 'US', 'United States'),
(1272, '24.64.0.0', '24.72.143.255', 406847488, 407408639, 'CA', 'Canada'),
(1273, '24.72.144.0', '24.75.255.255', 407408640, 407633919, 'US', 'United States'),
(1274, '24.76.0.0', '24.87.255.255', 407633920, 408420351, 'CA', 'Canada'),
(1275, '24.88.0.0', '24.89.63.255', 408420352, 408502271, 'US', 'United States'),
(1276, '24.89.64.0', '24.89.127.255', 408502272, 408518655, 'CA', 'Canada'),
(1277, '24.89.128.0', '24.89.191.255', 408518656, 408535039, 'US', 'United States'),
(1278, '24.89.192.0', '24.89.255.255', 408535040, 408551423, 'CA', 'Canada'),
(1279, '24.90.0.0', '24.92.143.255', 408551424, 408719359, 'US', 'United States'),
(1280, '24.92.144.0', '24.92.159.255', 408719360, 408723455, 'LC', 'Saint Lucia'),
(1281, '24.92.160.0', '24.100.191.255', 408723456, 409255935, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(1282, '24.100.192.0', '24.100.255.255', 409255936, 409272319, 'CA', 'Canada'),
(1283, '24.101.0.0', '24.101.255.255', 409272320, 409337855, 'US', 'United States'),
(1284, '24.102.0.0', '24.102.63.255', 409337856, 409354239, 'CA', 'Canada'),
(1285, '24.102.128.0', '24.107.255.255', 409370624, 409731071, 'US', 'United States'),
(1286, '24.108.0.0', '24.109.255.255', 409731072, 409862143, 'CA', 'Canada'),
(1287, '24.110.0.0', '24.113.255.255', 409862144, 410124287, 'US', 'United States'),
(1288, '24.114.0.0', '24.114.197.59', 410124288, 410174779, 'CA', 'Canada'),
(1289, '24.114.197.60', '24.114.197.63', 410174780, 410174783, 'US', 'United States'),
(1290, '24.114.197.64', '24.114.211.39', 410174784, 410178343, 'CA', 'Canada'),
(1291, '24.114.211.40', '24.114.211.43', 410178344, 410178347, 'US', 'United States'),
(1292, '24.114.211.44', '24.114.211.159', 410178348, 410178463, 'CA', 'Canada'),
(1293, '24.114.211.160', '24.114.211.163', 410178464, 410178467, 'US', 'United States'),
(1294, '24.114.211.164', '24.114.220.35', 410178468, 410180643, 'CA', 'Canada'),
(1295, '24.114.220.36', '24.114.220.39', 410180644, 410180647, 'US', 'United States'),
(1296, '24.114.220.40', '24.114.220.87', 410180648, 410180695, 'CA', 'Canada'),
(1297, '24.114.220.88', '24.114.220.95', 410180696, 410180703, 'US', 'United States'),
(1298, '24.114.220.96', '24.114.220.103', 410180704, 410180711, 'CA', 'Canada'),
(1299, '24.114.220.104', '24.114.220.107', 410180712, 410180715, 'US', 'United States'),
(1300, '24.114.220.108', '24.114.220.151', 410180716, 410180759, 'CA', 'Canada'),
(1301, '24.114.220.152', '24.114.220.155', 410180760, 410180763, 'US', 'United States'),
(1302, '24.114.220.156', '24.114.220.163', 410180764, 410180771, 'CA', 'Canada'),
(1303, '24.114.220.164', '24.114.220.167', 410180772, 410180775, 'US', 'United States'),
(1304, '24.114.220.168', '24.114.238.191', 410180776, 410185407, 'CA', 'Canada'),
(1305, '24.114.238.192', '24.114.238.195', 410185408, 410185411, 'US', 'United States'),
(1306, '24.114.238.196', '24.114.239.67', 410185412, 410185539, 'CA', 'Canada'),
(1307, '24.114.239.68', '24.114.239.71', 410185540, 410185543, 'US', 'United States'),
(1308, '24.114.239.72', '24.114.239.79', 410185544, 410185551, 'CA', 'Canada'),
(1309, '24.114.239.80', '24.114.239.87', 410185552, 410185559, 'US', 'United States'),
(1310, '24.114.239.88', '24.114.243.223', 410185560, 410186719, 'CA', 'Canada'),
(1311, '24.114.243.224', '24.114.243.227', 410186720, 410186723, 'US', 'United States'),
(1312, '24.114.243.228', '24.114.244.219', 410186724, 410186971, 'CA', 'Canada'),
(1313, '24.114.244.220', '24.114.244.227', 410186972, 410186979, 'US', 'United States'),
(1314, '24.114.244.228', '24.114.244.231', 410186980, 410186983, 'CA', 'Canada'),
(1315, '24.114.244.232', '24.114.244.247', 410186984, 410186999, 'US', 'United States'),
(1316, '24.114.244.248', '24.114.244.251', 410187000, 410187003, 'CA', 'Canada'),
(1317, '24.114.244.252', '24.114.244.255', 410187004, 410187007, 'US', 'United States'),
(1318, '24.114.245.0', '24.114.245.7', 410187008, 410187015, 'CA', 'Canada'),
(1319, '24.114.245.8', '24.114.245.11', 410187016, 410187019, 'US', 'United States'),
(1320, '24.114.245.12', '24.114.245.39', 410187020, 410187047, 'CA', 'Canada'),
(1321, '24.114.245.40', '24.114.245.47', 410187048, 410187055, 'US', 'United States'),
(1322, '24.114.245.48', '24.114.245.167', 410187056, 410187175, 'CA', 'Canada'),
(1323, '24.114.245.168', '24.114.245.175', 410187176, 410187183, 'US', 'United States'),
(1324, '24.114.245.176', '24.114.245.223', 410187184, 410187231, 'CA', 'Canada'),
(1325, '24.114.245.224', '24.114.245.231', 410187232, 410187239, 'US', 'United States'),
(1326, '24.114.245.232', '24.114.247.183', 410187240, 410187703, 'CA', 'Canada'),
(1327, '24.114.247.184', '24.114.247.187', 410187704, 410187707, 'US', 'United States'),
(1328, '24.114.247.188', '24.114.255.255', 410187708, 410189823, 'CA', 'Canada'),
(1329, '24.115.0.0', '24.121.255.255', 410189824, 410648575, 'US', 'United States'),
(1330, '24.122.0.0', '24.122.255.255', 410648576, 410714111, 'CA', 'Canada'),
(1331, '24.123.0.0', '24.129.223.255', 410714112, 411164671, 'US', 'United States'),
(1332, '24.129.224.0', '24.129.239.255', 411164672, 411168767, 'CA', 'Canada'),
(1333, '24.130.0.0', '24.131.255.255', 411172864, 411303935, 'US', 'United States'),
(1334, '24.132.0.0', '24.132.255.255', 411303936, 411369471, 'NL', 'Netherlands'),
(1335, '24.133.0.0', '24.133.255.255', 411369472, 411435007, 'TR', 'Turkey'),
(1336, '24.134.0.0', '24.134.255.255', 411435008, 411500543, 'DE', 'Germany'),
(1337, '24.135.0.0', '24.135.255.255', 411500544, 411566079, 'RS', 'Serbia'),
(1338, '24.136.0.0', '24.137.31.255', 411566080, 411639807, 'US', 'United States'),
(1339, '24.137.32.0', '24.137.47.255', 411639808, 411643903, 'CA', 'Canada'),
(1340, '24.137.64.0', '24.137.127.255', 411648000, 411664383, 'CA', 'Canada'),
(1341, '24.137.128.0', '24.137.191.255', 411664384, 411680767, 'US', 'United States'),
(1342, '24.137.192.0', '24.137.223.127', 411680768, 411688831, 'CA', 'Canada'),
(1343, '24.137.223.128', '24.137.223.159', 411688832, 411688863, 'US', 'United States'),
(1344, '24.137.223.160', '24.137.223.255', 411688864, 411688959, 'CA', 'Canada'),
(1345, '24.137.224.0', '24.137.255.255', 411688960, 411697151, 'PR', 'Puerto Rico'),
(1346, '24.138.0.0', '24.138.191.255', 411697152, 411746303, 'CA', 'Canada'),
(1347, '24.138.192.0', '24.138.255.255', 411746304, 411762687, 'PR', 'Puerto Rico'),
(1348, '24.139.0.0', '24.139.31.255', 411762688, 411770879, 'CA', 'Canada'),
(1349, '24.139.32.0', '24.139.63.255', 411770880, 411779071, 'US', 'United States'),
(1350, '24.139.64.0', '24.139.255.255', 411779072, 411828223, 'PR', 'Puerto Rico'),
(1351, '24.140.0.0', '24.140.255.255', 411828224, 411893759, 'US', 'United States'),
(1352, '24.141.0.0', '24.142.63.255', 411893760, 411975679, 'CA', 'Canada'),
(1353, '24.142.64.0', '24.142.79.255', 411975680, 411979775, 'US', 'United States'),
(1354, '24.142.80.0', '24.142.95.255', 411979776, 411983871, 'CA', 'Canada'),
(1355, '24.142.96.0', '24.142.114.255', 411983872, 411988735, 'US', 'United States'),
(1356, '24.142.115.0', '24.142.115.255', 411988736, 411988991, 'EU', 'Europe'),
(1357, '24.142.116.0', '24.142.116.255', 411988992, 411989247, 'GB', 'United Kingdom'),
(1358, '24.142.117.0', '24.145.255.255', 411989248, 412221439, 'US', 'United States'),
(1359, '24.146.0.0', '24.146.31.255', 412221440, 412229631, 'CA', 'Canada'),
(1360, '24.146.128.0', '24.149.255.255', 412254208, 412483583, 'US', 'United States'),
(1361, '24.150.0.0', '24.150.255.255', 412483584, 412549119, 'CA', 'Canada'),
(1362, '24.151.0.0', '24.151.255.255', 412549120, 412614655, 'US', 'United States'),
(1363, '24.152.128.0', '24.152.255.255', 412647424, 412680191, 'US', 'United States'),
(1364, '24.153.0.0', '24.153.31.255', 412680192, 412688383, 'CA', 'Canada'),
(1365, '24.153.32.0', '24.153.95.255', 412688384, 412704767, 'US', 'United States'),
(1366, '24.153.96.0', '24.153.111.255', 412704768, 412708863, 'CA', 'Canada'),
(1367, '24.153.112.0', '24.156.127.255', 412708864, 412909567, 'US', 'United States'),
(1368, '24.156.128.0', '24.156.255.255', 412909568, 412942335, 'CA', 'Canada'),
(1369, '24.157.0.0', '24.157.15.255', 412942336, 412946431, 'US', 'United States'),
(1370, '24.157.16.0', '24.157.31.255', 412946432, 412950527, 'PR', 'Puerto Rico'),
(1371, '24.157.32.0', '24.157.63.255', 412950528, 412958719, 'US', 'United States'),
(1372, '24.157.128.0', '24.157.255.255', 412975104, 413007871, 'CA', 'Canada'),
(1373, '24.158.0.0', '24.171.191.255', 413007872, 413908991, 'US', 'United States'),
(1374, '24.171.192.0', '24.171.255.255', 413908992, 413925375, 'PR', 'Puerto Rico'),
(1375, '24.172.0.0', '24.199.255.255', 413925376, 415760383, 'US', 'United States'),
(1376, '24.200.0.0', '24.203.255.255', 415760384, 416022527, 'CA', 'Canada'),
(1377, '24.204.0.0', '24.204.143.255', 416022528, 416059391, 'US', 'United States'),
(1378, '24.204.144.0', '24.204.159.255', 416059392, 416063487, 'CA', 'Canada'),
(1379, '24.204.192.0', '24.204.255.255', 416071680, 416088063, 'CA', 'Canada'),
(1380, '24.205.0.0', '24.205.255.255', 416088064, 416153599, 'US', 'United States'),
(1381, '24.206.0.0', '24.206.31.255', 416153600, 416161791, 'BS', 'Bahamas'),
(1382, '24.206.32.0', '24.206.255.255', 416161792, 416219135, 'US', 'United States'),
(1383, '24.207.0.0', '24.207.127.255', 416219136, 416251903, 'CA', 'Canada'),
(1384, '24.207.128.0', '24.211.255.255', 416251904, 416546815, 'US', 'United States'),
(1385, '24.212.0.0', '24.212.255.255', 416546816, 416612351, 'CA', 'Canada'),
(1386, '24.213.0.0', '24.213.63.255', 416612352, 416628735, 'US', 'United States'),
(1387, '24.213.64.0', '24.213.95.255', 416628736, 416636927, 'CA', 'Canada'),
(1388, '24.213.96.0', '24.214.255.255', 416636928, 416743423, 'US', 'United States'),
(1389, '24.215.0.0', '24.215.127.255', 416743424, 416776191, 'CA', 'Canada'),
(1390, '24.215.128.0', '24.221.255.255', 416776192, 417202175, 'US', 'United States'),
(1391, '24.222.0.0', '24.222.255.255', 417202176, 417267711, 'CA', 'Canada'),
(1392, '24.223.0.0', '24.224.124.159', 417267712, 417365151, 'US', 'United States'),
(1393, '24.224.124.160', '24.224.124.167', 417365152, 417365159, 'NC', 'New Caledonia'),
(1394, '24.224.124.168', '24.224.127.255', 417365160, 417366015, 'US', 'United States'),
(1395, '24.224.128.0', '24.224.255.255', 417366016, 417398783, 'CA', 'Canada'),
(1396, '24.225.0.0', '24.225.127.255', 417398784, 417431551, 'US', 'United States'),
(1397, '24.225.128.0', '24.226.255.255', 417431552, 417529855, 'CA', 'Canada'),
(1398, '24.227.0.0', '24.227.31.255', 417529856, 417538047, 'PR', 'Puerto Rico'),
(1399, '24.227.32.0', '24.230.191.255', 417538048, 417775615, 'US', 'United States'),
(1400, '24.230.192.0', '24.231.15.255', 417775616, 417796095, 'CA', 'Canada'),
(1401, '24.231.16.0', '24.231.31.255', 417796096, 417800191, 'US', 'United States'),
(1402, '24.231.32.0', '24.231.63.255', 417800192, 417808383, 'BS', 'Bahamas'),
(1403, '24.231.64.0', '24.231.111.255', 417808384, 417820671, 'CA', 'Canada'),
(1404, '24.231.112.0', '24.231.255.255', 417820672, 417857535, 'US', 'United States'),
(1405, '24.232.0.0', '24.232.255.255', 417857536, 417923071, 'AR', 'Argentina'),
(1406, '24.233.0.0', '24.235.31.255', 417923072, 418062335, 'US', 'United States'),
(1407, '24.235.32.0', '24.235.63.255', 418062336, 418070527, 'CA', 'Canada'),
(1408, '24.235.64.0', '24.235.95.255', 418070528, 418078719, 'US', 'United States'),
(1409, '24.235.96.0', '24.235.255.255', 418078720, 418119679, 'CA', 'Canada'),
(1410, '24.236.0.0', '24.238.255.255', 418119680, 418316287, 'US', 'United States'),
(1411, '24.239.0.0', '24.239.15.255', 418316288, 418320383, 'CA', 'Canada'),
(1412, '24.239.16.0', '24.243.255.255', 418320384, 418643967, 'US', 'United States'),
(1413, '24.244.0.0', '24.244.95.255', 418643968, 418668543, 'CA', 'Canada'),
(1414, '24.244.96.0', '24.244.111.255', 418668544, 418672639, 'US', 'United States'),
(1415, '24.244.112.0', '24.244.127.255', 418672640, 418676735, 'CA', 'Canada'),
(1416, '24.244.128.0', '24.244.170.255', 418676736, 418687743, 'BS', 'Bahamas'),
(1417, '24.244.171.0', '24.244.171.254', 418687744, 418687998, 'DM', 'Dominica'),
(1418, '24.244.171.255', '24.244.191.255', 418687999, 418693119, 'BS', 'Bahamas'),
(1419, '24.244.192.0', '24.244.255.255', 418693120, 418709503, 'CA', 'Canada'),
(1420, '24.245.0.0', '24.245.223.255', 418709504, 418766847, 'US', 'United States'),
(1421, '24.245.224.0', '24.245.239.255', 418766848, 418770943, 'CA', 'Canada'),
(1422, '24.245.240.0', '24.245.255.255', 418770944, 418775039, 'US', 'United States'),
(1423, '24.246.0.0', '24.246.95.255', 418775040, 418799615, 'CA', 'Canada'),
(1424, '24.246.96.0', '24.255.255.255', 418799616, 419430399, 'US', 'United States'),
(1425, '25.0.0.0', '25.255.255.255', 419430400, 436207615, 'GB', 'United Kingdom'),
(1426, '26.0.0.0', '26.255.255.255', 436207616, 452984831, 'US', 'United States'),
(1427, '27.0.0.0', '27.0.3.255', 452984832, 452985855, 'JP', 'Japan'),
(1428, '27.0.4.0', '27.0.7.255', 452985856, 452986879, 'MY', 'Malaysia'),
(1429, '27.0.8.0', '27.0.11.255', 452986880, 452987903, 'SG', 'Singapore'),
(1430, '27.0.12.0', '27.0.15.255', 452987904, 452988927, 'VN', 'Vietnam'),
(1431, '27.0.16.0', '27.0.31.255', 452988928, 452993023, 'US', 'United States'),
(1432, '27.0.32.0', '27.0.47.255', 452993024, 452997119, 'JP', 'Japan'),
(1433, '27.0.48.0', '27.0.63.255', 452997120, 453001215, 'IN', 'India'),
(1434, '27.0.64.0', '27.0.95.255', 453001216, 453009407, 'AU', 'Australia'),
(1435, '27.0.96.0', '27.0.127.255', 453009408, 453017599, 'BD', 'Bangladesh'),
(1436, '27.1.0.0', '27.1.255.255', 453050368, 453115903, 'KR', 'Korea, Republic of'),
(1437, '27.2.0.0', '27.3.255.255', 453115904, 453246975, 'VN', 'Vietnam'),
(1438, '27.4.0.0', '27.7.255.255', 453246976, 453509119, 'IN', 'India'),
(1439, '27.8.0.0', '27.31.255.255', 453509120, 455081983, 'CN', 'China'),
(1440, '27.32.0.0', '27.33.255.255', 455081984, 455213055, 'AU', 'Australia'),
(1441, '27.34.0.0', '27.34.127.255', 455213056, 455245823, 'NP', 'Nepal'),
(1442, '27.34.128.0', '27.34.175.255', 455245824, 455258111, 'JP', 'Japan'),
(1443, '27.34.176.0', '27.34.191.255', 455258112, 455262207, 'SG', 'Singapore'),
(1444, '27.34.192.0', '27.34.223.255', 455262208, 455270399, 'JP', 'Japan'),
(1445, '27.34.224.0', '27.34.231.255', 455270400, 455272447, 'AU', 'Australia'),
(1446, '27.34.232.0', '27.34.239.255', 455272448, 455274495, 'CN', 'China'),
(1447, '27.34.240.0', '27.34.255.255', 455274496, 455278591, 'IN', 'India'),
(1448, '27.35.0.0', '27.35.255.255', 455278592, 455344127, 'KR', 'Korea, Republic of'),
(1449, '27.36.0.0', '27.47.255.255', 455344128, 456130559, 'CN', 'China'),
(1450, '27.48.0.0', '27.49.255.255', 456130560, 456261631, 'IN', 'India'),
(1451, '27.50.0.0', '27.50.3.255', 456261632, 456262655, 'PH', 'Philippines'),
(1452, '27.50.4.0', '27.50.7.255', 456262656, 456263679, 'IN', 'India'),
(1453, '27.50.8.0', '27.50.11.255', 456263680, 456264703, 'NP', 'Nepal'),
(1454, '27.50.12.0', '27.50.15.255', 456264704, 456265727, 'JP', 'Japan'),
(1455, '27.50.16.0', '27.50.31.255', 456265728, 456269823, 'ID', 'Indonesia'),
(1456, '27.50.32.0', '27.50.39.255', 456269824, 456271871, 'HK', 'Hong Kong'),
(1457, '27.50.40.0', '27.50.47.255', 456271872, 456273919, 'CN', 'China'),
(1458, '27.50.48.0', '27.50.95.255', 456273920, 456286207, 'AU', 'Australia'),
(1459, '27.50.96.0', '27.50.127.255', 456286208, 456294399, 'JP', 'Japan'),
(1460, '27.50.128.0', '27.50.255.255', 456294400, 456327167, 'CN', 'China'),
(1461, '27.51.0.0', '27.53.255.255', 456327168, 456523775, 'TW', 'Taiwan'),
(1462, '27.54.0.0', '27.54.63.255', 456523776, 456540159, 'SG', 'Singapore'),
(1463, '27.54.64.0', '27.54.71.255', 456540160, 456542207, 'AU', 'Australia'),
(1464, '27.54.72.0', '27.54.79.255', 456542208, 456544255, 'CN', 'China'),
(1465, '27.54.80.0', '27.54.95.255', 456544256, 456548351, 'AU', 'Australia'),
(1466, '27.54.96.0', '27.54.115.255', 456548352, 456553471, 'JP', 'Japan'),
(1467, '27.54.116.0', '27.54.119.255', 456553472, 456554495, 'MY', 'Malaysia'),
(1468, '27.54.120.0', '27.54.123.255', 456554496, 456555519, 'PK', 'Pakistan'),
(1469, '27.54.124.0', '27.54.127.255', 456555520, 456556543, 'JP', 'Japan'),
(1470, '27.54.128.0', '27.54.143.255', 456556544, 456560639, 'AU', 'Australia'),
(1471, '27.54.152.0', '27.54.159.255', 456562688, 456564735, 'CN', 'China'),
(1472, '27.54.160.0', '27.54.191.255', 456564736, 456572927, 'IN', 'India'),
(1473, '27.54.192.0', '27.54.255.255', 456572928, 456589311, 'CN', 'China'),
(1474, '27.55.0.0', '27.55.255.255', 456589312, 456654847, 'TH', 'Thailand'),
(1475, '27.56.0.0', '27.63.255.255', 456654848, 457179135, 'IN', 'India'),
(1476, '27.64.0.0', '27.79.255.255', 457179136, 458227711, 'VN', 'Vietnam'),
(1477, '27.80.0.0', '27.96.23.255', 458227712, 459282431, 'JP', 'Japan'),
(1478, '27.96.24.0', '27.96.31.255', 459282432, 459284479, 'TK', 'Tokelau'),
(1479, '27.96.32.0', '27.96.63.255', 459284480, 459292671, 'JP', 'Japan'),
(1480, '27.96.64.0', '27.96.67.255', 459292672, 459293695, 'NZ', 'New Zealand'),
(1481, '27.96.68.0', '27.96.83.255', 459293696, 459297791, 'JP', 'Japan'),
(1482, '27.96.84.0', '27.96.87.255', 459297792, 459298815, 'IN', 'India'),
(1483, '27.96.96.0', '27.96.127.255', 459300864, 459309055, 'SG', 'Singapore'),
(1484, '27.96.128.0', '27.96.191.255', 459309056, 459325439, 'KR', 'Korea, Republic of'),
(1485, '27.96.192.0', '27.96.223.255', 459325440, 459333631, 'AU', 'Australia'),
(1486, '27.96.224.0', '27.96.255.255', 459333632, 459341823, 'TW', 'Taiwan'),
(1487, '27.97.0.0', '27.97.255.255', 459341824, 459407359, 'IN', 'India'),
(1488, '27.98.0.0', '27.98.191.255', 459407360, 459456511, 'JP', 'Japan'),
(1489, '27.98.192.0', '27.98.207.255', 459456512, 459460607, 'HK', 'Hong Kong'),
(1490, '27.98.208.0', '27.98.255.255', 459460608, 459472895, 'CN', 'China'),
(1491, '27.99.0.0', '27.99.127.255', 459472896, 459505663, 'AU', 'Australia'),
(1492, '27.99.128.0', '27.99.255.255', 459505664, 459538431, 'CN', 'China'),
(1493, '27.100.0.0', '27.100.3.255', 459538432, 459539455, 'AU', 'Australia'),
(1494, '27.100.4.0', '27.100.7.255', 459539456, 459540479, 'TH', 'Thailand'),
(1495, '27.100.8.0', '27.100.11.255', 459540480, 459541503, 'JP', 'Japan'),
(1496, '27.100.12.0', '27.100.15.255', 459541504, 459542527, 'IN', 'India'),
(1497, '27.100.16.0', '27.100.23.255', 459542528, 459544575, 'HK', 'Hong Kong'),
(1498, '27.100.24.0', '27.100.27.255', 459544576, 459545599, 'AU', 'Australia'),
(1499, '27.100.28.0', '27.100.35.255', 459545600, 459547647, 'JP', 'Japan'),
(1500, '27.100.40.0', '27.100.47.255', 459548672, 459550719, 'TH', 'Thailand'),
(1501, '27.100.48.0', '27.100.63.255', 459550720, 459554815, 'JP', 'Japan'),
(1502, '27.100.64.0', '27.100.127.255', 459554816, 459571199, 'TW', 'Taiwan'),
(1503, '27.100.128.0', '27.102.255.255', 459571200, 459735039, 'KR', 'Korea, Republic of'),
(1504, '27.103.0.0', '27.103.255.255', 459735040, 459800575, 'CN', 'China'),
(1505, '27.104.0.0', '27.104.255.255', 459800576, 459866111, 'SG', 'Singapore'),
(1506, '27.105.0.0', '27.105.255.255', 459866112, 459931647, 'TW', 'Taiwan'),
(1507, '27.106.0.0', '27.106.127.255', 459931648, 459964415, 'IN', 'India'),
(1508, '27.106.128.0', '27.106.191.255', 459964416, 459980799, 'CN', 'China'),
(1509, '27.106.192.0', '27.106.203.255', 459980800, 459983871, 'AU', 'Australia'),
(1510, '27.106.204.0', '27.106.207.255', 459983872, 459984895, 'CN', 'China'),
(1511, '27.106.208.0', '27.106.215.255', 459984896, 459986943, 'JP', 'Japan'),
(1512, '27.106.216.0', '27.106.223.255', 459986944, 459988991, 'PH', 'Philippines'),
(1513, '27.106.224.0', '27.106.255.255', 459988992, 459997183, 'JP', 'Japan'),
(1514, '27.107.0.0', '27.107.255.255', 459997184, 460062719, 'IN', 'India'),
(1515, '27.108.0.0', '27.108.255.255', 460062720, 460128255, 'PH', 'Philippines'),
(1516, '27.109.0.0', '27.109.31.255', 460128256, 460136447, 'IN', 'India'),
(1517, '27.109.32.0', '27.109.63.255', 460136448, 460144639, 'CN', 'China'),
(1518, '27.109.64.0', '27.109.95.255', 460144640, 460152831, 'PH', 'Philippines'),
(1519, '27.109.96.0', '27.109.103.255', 460152832, 460154879, 'JP', 'Japan'),
(1520, '27.109.104.0', '27.109.107.255', 460154880, 460155903, 'SG', 'Singapore'),
(1521, '27.109.108.0', '27.109.111.255', 460155904, 460156927, 'AU', 'Australia'),
(1522, '27.109.112.0', '27.109.119.255', 460156928, 460158975, 'KH', 'Cambodia'),
(1523, '27.109.120.0', '27.109.123.255', 460158976, 460159999, 'JP', 'Japan'),
(1524, '27.109.128.0', '27.109.255.255', 460161024, 460193791, 'MO', 'Macau'),
(1525, '27.110.0.0', '27.110.63.255', 460193792, 460210175, 'JP', 'Japan'),
(1526, '27.110.64.0', '27.110.79.255', 460210176, 460214271, 'HK', 'Hong Kong'),
(1527, '27.110.80.0', '27.110.95.255', 460214272, 460218367, 'MY', 'Malaysia'),
(1528, '27.110.96.0', '27.110.119.255', 460218368, 460224511, 'JP', 'Japan'),
(1529, '27.110.120.0', '27.110.127.255', 460224512, 460226559, 'NZ', 'New Zealand'),
(1530, '27.110.128.0', '27.110.255.255', 460226560, 460259327, 'PH', 'Philippines'),
(1531, '27.111.0.0', '27.111.7.255', 460259328, 460261375, 'AU', 'Australia'),
(1532, '27.111.8.0', '27.111.11.255', 460261376, 460262399, 'KH', 'Cambodia'),
(1533, '27.111.12.0', '27.111.15.255', 460262400, 460263423, 'NZ', 'New Zealand'),
(1534, '27.111.16.0', '27.111.31.255', 460263424, 460267519, 'NP', 'Nepal'),
(1535, '27.111.32.0', '27.111.63.255', 460267520, 460275711, 'ID', 'Indonesia'),
(1536, '27.111.64.0', '27.111.71.255', 460275712, 460277759, 'AU', 'Australia'),
(1537, '27.111.76.0', '27.111.79.255', 460278784, 460279807, 'JP', 'Japan'),
(1538, '27.111.80.0', '27.111.95.255', 460279808, 460283903, 'AU', 'Australia'),
(1539, '27.111.96.0', '27.111.127.255', 460283904, 460292095, 'KR', 'Korea, Republic of'),
(1540, '27.111.128.0', '27.111.159.255', 460292096, 460300287, 'JP', 'Japan'),
(1541, '27.111.160.0', '27.111.207.255', 460300288, 460312575, 'HK', 'Hong Kong'),
(1542, '27.111.208.0', '27.111.239.255', 460312576, 460320767, 'SG', 'Singapore'),
(1543, '27.111.240.0', '27.111.255.255', 460320768, 460324863, 'AU', 'Australia'),
(1544, '27.112.0.0', '27.112.63.255', 460324864, 460341247, 'CN', 'China'),
(1545, '27.112.64.0', '27.112.71.255', 460341248, 460343295, 'ID', 'Indonesia'),
(1546, '27.112.72.0', '27.112.75.255', 460343296, 460344319, 'AU', 'Australia'),
(1547, '27.112.76.0', '27.112.79.255', 460344320, 460345343, 'ID', 'Indonesia'),
(1548, '27.112.80.0', '27.112.95.255', 460345344, 460349439, 'CN', 'China'),
(1549, '27.112.96.0', '27.112.103.255', 460349440, 460351487, 'AU', 'Australia'),
(1550, '27.112.104.0', '27.112.111.255', 460351488, 460353535, 'JP', 'Japan'),
(1551, '27.112.120.0', '27.112.123.255', 460355584, 460356607, 'IN', 'India'),
(1552, '27.112.124.0', '27.112.127.255', 460356608, 460357631, 'JP', 'Japan'),
(1553, '27.112.128.0', '27.113.127.255', 460357632, 460423167, 'KR', 'Korea, Republic of'),
(1554, '27.113.128.0', '27.113.191.255', 460423168, 460439551, 'CN', 'China'),
(1555, '27.113.192.0', '27.113.239.255', 460439552, 460451839, 'JP', 'Japan'),
(1556, '27.113.240.0', '27.113.247.255', 460451840, 460453887, 'AU', 'Australia'),
(1557, '27.113.248.0', '27.113.251.255', 460453888, 460454911, 'JP', 'Japan'),
(1558, '27.113.252.0', '27.113.255.255', 460454912, 460455935, 'IN', 'India'),
(1559, '27.114.0.0', '27.114.127.255', 460455936, 460488703, 'JP', 'Japan'),
(1560, '27.114.128.0', '27.114.191.255', 460488704, 460505087, 'MV', 'Maldives'),
(1561, '27.114.192.0', '27.114.255.255', 460505088, 460521471, 'SG', 'Singapore'),
(1562, '27.115.0.0', '27.115.127.255', 460521472, 460554239, 'CN', 'China'),
(1563, '27.115.128.0', '27.115.255.255', 460554240, 460587007, 'KR', 'Korea, Republic of'),
(1564, '27.116.0.0', '27.116.15.255', 460587008, 460591103, 'JP', 'Japan'),
(1565, '27.116.16.0', '27.116.23.255', 460591104, 460593151, 'IN', 'India'),
(1566, '27.116.24.0', '27.116.31.255', 460593152, 460595199, 'JP', 'Japan'),
(1567, '27.116.32.0', '27.116.33.255', 460595200, 460595711, 'IN', 'India'),
(1568, '27.116.34.0', '27.116.35.255', 460595712, 460596223, 'JP', 'Japan'),
(1569, '27.116.36.0', '27.116.39.255', 460596224, 460597247, 'AU', 'Australia'),
(1570, '27.116.40.0', '27.116.43.255', 460597248, 460598271, 'JP', 'Japan'),
(1571, '27.116.44.0', '27.116.47.255', 460598272, 460599295, 'CN', 'China'),
(1572, '27.116.48.0', '27.116.55.255', 460599296, 460601343, 'IN', 'India'),
(1573, '27.116.56.0', '27.116.59.255', 460601344, 460602367, 'AF', 'Afghanistan'),
(1574, '27.116.60.0', '27.116.63.255', 460602368, 460603391, 'KH', 'Cambodia'),
(1575, '27.116.64.0', '27.117.255.255', 460603392, 460718079, 'KR', 'Korea, Republic of'),
(1576, '27.118.0.0', '27.118.15.255', 460718080, 460722175, 'JP', 'Japan'),
(1577, '27.118.16.0', '27.118.31.255', 460722176, 460726271, 'VN', 'Vietnam'),
(1578, '27.118.32.0', '27.118.63.255', 460726272, 460734463, 'IN', 'India'),
(1579, '27.118.64.0', '27.120.63.255', 460734464, 460865535, 'KR', 'Korea, Republic of'),
(1580, '27.120.64.0', '27.121.63.255', 460865536, 460931071, 'JP', 'Japan'),
(1581, '27.121.64.0', '27.121.71.255', 460931072, 460933119, 'AU', 'Australia'),
(1582, '27.121.72.0', '27.121.79.255', 460933120, 460935167, 'CN', 'China'),
(1583, '27.121.80.0', '27.121.87.255', 460935168, 460937215, 'ID', 'Indonesia'),
(1584, '27.121.88.0', '27.121.91.255', 460937216, 460938239, 'NZ', 'New Zealand'),
(1585, '27.121.92.0', '27.121.95.255', 460938240, 460939263, 'JP', 'Japan'),
(1586, '27.121.96.0', '27.121.99.255', 460939264, 460940287, 'NZ', 'New Zealand'),
(1587, '27.121.100.0', '27.121.103.255', 460940288, 460941311, 'IN', 'India'),
(1588, '27.121.104.0', '27.121.107.255', 460941312, 460942335, 'AU', 'Australia'),
(1589, '27.121.108.0', '27.121.109.255', 460942336, 460942847, 'SG', 'Singapore'),
(1590, '27.121.110.0', '27.121.110.255', 460942848, 460943103, 'MY', 'Malaysia'),
(1591, '27.121.111.0', '27.121.111.255', 460943104, 460943359, 'ID', 'Indonesia'),
(1592, '27.121.112.0', '27.121.119.255', 460943360, 460945407, 'AU', 'Australia'),
(1593, '27.121.120.0', '27.121.127.255', 460945408, 460947455, 'CN', 'China'),
(1594, '27.121.128.0', '27.121.255.255', 460947456, 460980223, 'JP', 'Japan'),
(1595, '27.122.0.0', '27.122.3.255', 460980224, 460981247, 'NC', 'New Caledonia'),
(1596, '27.122.4.0', '27.122.11.255', 460981248, 460983295, 'JP', 'Japan'),
(1597, '27.122.12.0', '27.122.15.255', 460983296, 460984319, 'HK', 'Hong Kong'),
(1598, '27.122.16.0', '27.122.31.255', 460984320, 460988415, 'PG', 'Papua New Guinea'),
(1599, '27.122.32.0', '27.122.55.255', 460988416, 460994559, 'JP', 'Japan'),
(1600, '27.122.56.0', '27.122.59.255', 460994560, 460995583, 'MY', 'Malaysia'),
(1601, '27.122.60.0', '27.122.63.255', 460995584, 460996607, 'SG', 'Singapore'),
(1602, '27.122.64.0', '27.122.111.255', 460996608, 461008895, 'JP', 'Japan'),
(1603, '27.122.112.0', '27.122.127.255', 461008896, 461012991, 'AU', 'Australia'),
(1604, '27.122.128.0', '27.122.255.255', 461012992, 461045759, 'KR', 'Korea, Republic of'),
(1605, '27.123.0.0', '27.123.7.255', 461045760, 461047807, 'ID', 'Indonesia'),
(1606, '27.123.8.0', '27.123.15.255', 461047808, 461049855, 'JP', 'Japan'),
(1607, '27.123.16.0', '27.123.19.255', 461049856, 461050879, 'TH', 'Thailand'),
(1608, '27.123.20.0', '27.123.23.255', 461050880, 461051903, 'NZ', 'New Zealand'),
(1609, '27.123.24.0', '27.123.31.255', 461051904, 461053951, 'AU', 'Australia'),
(1610, '27.123.32.0', '27.123.63.255', 461053952, 461062143, 'HK', 'Hong Kong'),
(1611, '27.123.64.0', '27.123.127.255', 461062144, 461078527, 'IN', 'India'),
(1612, '27.123.128.0', '27.123.191.255', 461078528, 461094911, 'FJ', 'Fiji'),
(1613, '27.123.192.0', '27.123.207.255', 461094912, 461099007, 'HK', 'Hong Kong'),
(1614, '27.123.208.0', '27.123.211.255', 461099008, 461100031, 'JP', 'Japan'),
(1615, '27.123.212.0', '27.123.215.255', 461100032, 461101055, 'MN', 'Mongolia'),
(1616, '27.123.216.0', '27.123.219.255', 461101056, 461102079, 'IN', 'India'),
(1617, '27.123.220.0', '27.123.223.255', 461102080, 461103103, 'ID', 'Indonesia'),
(1618, '27.123.224.0', '27.123.255.255', 461103104, 461111295, 'PH', 'Philippines'),
(1619, '27.124.0.0', '27.124.63.255', 461111296, 461127679, 'IN', 'India'),
(1620, '27.124.64.0', '27.124.79.255', 461127680, 461131775, 'PH', 'Philippines'),
(1621, '27.124.80.0', '27.124.95.255', 461131776, 461135871, 'ID', 'Indonesia'),
(1622, '27.124.96.0', '27.124.127.255', 461135872, 461144063, 'AU', 'Australia'),
(1623, '27.124.128.0', '27.125.127.255', 461144064, 461209599, 'KR', 'Korea, Republic of'),
(1624, '27.125.128.0', '27.125.191.255', 461209600, 461225983, 'SG', 'Singapore'),
(1625, '27.125.192.0', '27.125.195.255', 461225984, 461227007, 'WF', 'Wallis and Futuna'),
(1626, '27.125.196.0', '27.125.199.255', 461227008, 461228031, 'SG', 'Singapore'),
(1627, '27.125.200.0', '27.125.203.255', 461228032, 461229055, 'IN', 'India'),
(1628, '27.125.204.0', '27.125.207.255', 461229056, 461230079, 'JP', 'Japan'),
(1629, '27.125.208.0', '27.125.223.255', 461230080, 461234175, 'AU', 'Australia'),
(1630, '27.125.224.0', '27.125.255.255', 461234176, 461242367, 'MY', 'Malaysia'),
(1631, '27.126.0.0', '27.126.63.255', 461242368, 461258751, 'KR', 'Korea, Republic of'),
(1632, '27.126.64.0', '27.126.143.255', 461258752, 461279231, 'JP', 'Japan'),
(1633, '27.126.144.0', '27.126.151.255', 461279232, 461281279, 'AU', 'Australia'),
(1634, '27.126.152.0', '27.126.155.255', 461281280, 461282303, 'PH', 'Philippines'),
(1635, '27.126.156.0', '27.126.159.255', 461282304, 461283327, 'MY', 'Malaysia'),
(1636, '27.126.160.0', '27.126.175.255', 461283328, 461287423, 'JP', 'Japan'),
(1637, '27.126.176.0', '27.126.255.255', 461287424, 461307903, 'HK', 'Hong Kong'),
(1638, '27.127.0.0', '27.127.191.255', 461307904, 461357055, 'JP', 'Japan'),
(1639, '27.127.192.0', '27.127.239.255', 461357056, 461369343, 'AU', 'Australia'),
(1640, '27.127.240.0', '27.127.255.255', 461369344, 461373439, 'JP', 'Japan'),
(1641, '27.128.0.0', '27.129.255.255', 461373440, 461504511, 'CN', 'China'),
(1642, '27.130.0.0', '27.130.255.255', 461504512, 461570047, 'TH', 'Thailand'),
(1643, '27.131.0.0', '27.131.7.255', 461570048, 461572095, 'ID', 'Indonesia'),
(1644, '27.131.8.0', '27.131.11.255', 461572096, 461573119, 'JP', 'Japan'),
(1645, '27.131.12.0', '27.131.15.255', 461573120, 461574143, 'BD', 'Bangladesh'),
(1646, '27.131.16.0', '27.131.31.255', 461574144, 461578239, 'JP', 'Japan'),
(1647, '27.131.32.0', '27.131.63.255', 461578240, 461586431, 'MY', 'Malaysia'),
(1648, '27.131.64.0', '27.131.127.255', 461586432, 461602815, 'AU', 'Australia'),
(1649, '27.131.128.0', '27.131.191.255', 461602816, 461619199, 'TH', 'Thailand'),
(1650, '27.131.192.0', '27.131.207.255', 461619200, 461623295, 'JP', 'Japan'),
(1651, '27.131.208.0', '27.131.215.255', 461623296, 461625343, 'IN', 'India'),
(1652, '27.131.216.0', '27.131.219.255', 461625344, 461626367, 'AU', 'Australia'),
(1653, '27.131.220.0', '27.131.223.255', 461626368, 461627391, 'CN', 'China'),
(1654, '27.131.224.0', '27.131.247.255', 461627392, 461633535, 'JP', 'Japan'),
(1655, '27.131.248.0', '27.131.255.255', 461633536, 461635583, 'ID', 'Indonesia'),
(1656, '27.132.0.0', '27.143.255.255', 461635584, 462422015, 'JP', 'Japan'),
(1657, '27.144.0.0', '27.144.255.255', 462422016, 462487551, 'CN', 'China'),
(1658, '27.145.0.0', '27.145.255.255', 462487552, 462553087, 'TH', 'Thailand'),
(1659, '27.146.0.0', '27.146.255.255', 462553088, 462618623, 'MY', 'Malaysia'),
(1660, '27.147.0.0', '27.147.63.255', 462618624, 462635007, 'TW', 'Taiwan'),
(1661, '27.147.64.0', '27.147.127.255', 462635008, 462651391, 'JP', 'Japan'),
(1662, '27.147.128.0', '27.147.255.255', 462651392, 462684159, 'BD', 'Bangladesh'),
(1663, '27.148.0.0', '27.159.255.255', 462684160, 463470591, 'CN', 'China'),
(1664, '27.160.0.0', '27.183.255.255', 463470592, 465043455, 'KR', 'Korea, Republic of'),
(1665, '27.184.0.0', '27.227.255.255', 465043456, 467927039, 'CN', 'China'),
(1666, '27.228.0.0', '27.231.255.255', 467927040, 468189183, 'JP', 'Japan'),
(1667, '27.232.0.0', '27.239.255.255', 468189184, 468713471, 'KR', 'Korea, Republic of'),
(1668, '27.240.0.0', '27.247.255.255', 468713472, 469237759, 'TW', 'Taiwan'),
(1669, '27.248.0.0', '27.251.255.255', 469237760, 469499903, 'IN', 'India'),
(1670, '27.252.0.0', '27.252.255.255', 469499904, 469565439, 'NZ', 'New Zealand'),
(1671, '27.253.0.0', '27.253.127.255', 469565440, 469598207, 'AU', 'Australia'),
(1672, '27.253.128.0', '27.253.255.255', 469598208, 469630975, 'JP', 'Japan'),
(1673, '27.254.0.0', '27.254.255.255', 469630976, 469696511, 'TH', 'Thailand'),
(1674, '27.255.0.0', '27.255.63.255', 469696512, 469712895, 'PK', 'Pakistan'),
(1675, '27.255.64.0', '27.255.127.255', 469712896, 469729279, 'KR', 'Korea, Republic of'),
(1676, '27.255.128.0', '27.255.255.255', 469729280, 469762047, 'IN', 'India'),
(1677, '28.0.0.0', '30.255.255.255', 469762048, 520093695, 'US', 'United States'),
(1678, '31.0.0.0', '31.2.127.255', 520093696, 520257535, 'PL', 'Poland'),
(1679, '31.2.128.0', '31.2.255.255', 520257536, 520290303, 'RO', 'Romania'),
(1680, '31.3.0.0', '31.3.7.255', 520290304, 520292351, 'TR', 'Turkey'),
(1681, '31.3.8.0', '31.3.15.255', 520292352, 520294399, 'NL', 'Netherlands'),
(1682, '31.3.16.0', '31.3.23.255', 520294400, 520296447, 'RU', 'Russian Federation'),
(1683, '31.3.24.0', '31.3.31.255', 520296448, 520298495, 'UA', 'Ukraine'),
(1684, '31.3.32.0', '31.3.63.255', 520298496, 520306687, 'SK', 'Slovakia'),
(1685, '31.3.64.0', '31.3.71.255', 520306688, 520308735, 'GB', 'United Kingdom'),
(1686, '31.3.72.0', '31.3.79.255', 520308736, 520310783, 'DK', 'Denmark'),
(1687, '31.3.80.0', '31.3.87.255', 520310784, 520312831, 'DE', 'Germany'),
(1688, '31.3.88.0', '31.3.95.255', 520312832, 520314879, 'MK', 'Macedonia'),
(1689, '31.3.96.0', '31.3.111.255', 520314880, 520318975, 'NL', 'Netherlands'),
(1690, '31.3.112.0', '31.3.127.255', 520318976, 520323071, 'ES', 'Spain'),
(1691, '31.3.128.0', '31.3.135.255', 520323072, 520325119, 'CH', 'Switzerland'),
(1692, '31.3.136.0', '31.3.143.255', 520325120, 520327167, 'FR', 'France'),
(1693, '31.3.144.0', '31.3.151.255', 520327168, 520329215, 'DE', 'Germany'),
(1694, '31.3.152.0', '31.3.159.255', 520329216, 520331263, 'SE', 'Sweden'),
(1695, '31.3.160.0', '31.3.191.255', 520331264, 520339455, 'IT', 'Italy'),
(1696, '31.3.192.0', '31.3.207.255', 520339456, 520343551, 'UA', 'Ukraine'),
(1697, '31.3.208.0', '31.3.255.255', 520343552, 520355839, 'GB', 'United Kingdom'),
(1698, '31.4.0.0', '31.4.255.255', 520355840, 520421375, 'ES', 'Spain'),
(1699, '31.5.0.0', '31.5.255.255', 520421376, 520486911, 'AT', 'Austria'),
(1700, '31.6.0.0', '31.6.7.255', 520486912, 520488959, 'NL', 'Netherlands'),
(1701, '31.6.8.0', '31.6.11.255', 520488960, 520489983, 'IT', 'Italy'),
(1702, '31.6.12.0', '31.6.15.255', 520489984, 520491007, 'RU', 'Russian Federation'),
(1703, '31.6.16.0', '31.6.25.255', 520491008, 520493567, 'GB', 'United Kingdom'),
(1704, '31.6.26.0', '31.6.28.255', 520493568, 520494335, 'FR', 'France'),
(1705, '31.6.29.0', '31.6.29.255', 520494336, 520494591, 'TR', 'Turkey'),
(1706, '31.6.30.0', '31.6.31.255', 520494592, 520495103, 'CH', 'Switzerland'),
(1707, '31.6.32.0', '31.6.36.255', 520495104, 520496383, 'DE', 'Germany'),
(1708, '31.6.37.0', '31.6.38.255', 520496384, 520496895, 'TR', 'Turkey'),
(1709, '31.6.39.0', '31.6.39.255', 520496896, 520497151, 'ES', 'Spain'),
(1710, '31.6.40.0', '31.6.40.255', 520497152, 520497407, 'FR', 'France'),
(1711, '31.6.41.0', '31.6.41.255', 520497408, 520497663, 'ES', 'Spain'),
(1712, '31.6.42.0', '31.6.43.255', 520497664, 520498175, 'FR', 'France'),
(1713, '31.6.44.0', '31.6.45.255', 520498176, 520498687, 'CH', 'Switzerland'),
(1714, '31.6.46.0', '31.6.49.255', 520498688, 520499711, 'FR', 'France'),
(1715, '31.6.50.0', '31.6.55.255', 520499712, 520501247, 'DE', 'Germany'),
(1716, '31.6.56.0', '31.6.56.255', 520501248, 520501503, 'IL', 'Israel'),
(1717, '31.6.57.0', '31.6.57.255', 520501504, 520501759, 'AE', 'United Arab Emirates'),
(1718, '31.6.58.0', '31.6.63.255', 520501760, 520503295, 'GB', 'United Kingdom'),
(1719, '31.6.64.0', '31.6.71.255', 520503296, 520505343, 'PL', 'Poland'),
(1720, '31.6.72.0', '31.6.79.255', 520505344, 520507391, 'GB', 'United Kingdom'),
(1721, '31.6.80.0', '31.6.95.255', 520507392, 520511487, 'TR', 'Turkey'),
(1722, '31.6.96.0', '31.6.127.255', 520511488, 520519679, 'UA', 'Ukraine'),
(1723, '31.6.128.0', '31.6.255.255', 520519680, 520552447, 'PL', 'Poland'),
(1724, '31.7.0.0', '31.7.7.255', 520552448, 520554495, 'NL', 'Netherlands'),
(1725, '31.7.8.0', '31.7.15.255', 520554496, 520556543, 'GB', 'United Kingdom'),
(1726, '31.7.16.0', '31.7.31.255', 520556544, 520560639, 'FI', 'Finland'),
(1727, '31.7.32.0', '31.7.39.255', 520560640, 520562687, 'TR', 'Turkey'),
(1728, '31.7.40.0', '31.7.47.255', 520562688, 520564735, 'PL', 'Poland'),
(1729, '31.7.48.0', '31.7.55.255', 520564736, 520566783, 'IE', 'Ireland'),
(1730, '31.7.56.0', '31.7.56.255', 520566784, 520567039, 'CH', 'Switzerland'),
(1731, '31.7.57.0', '31.7.57.255', 520567040, 520567295, 'A1', 'Anonymous Proxy'),
(1732, '31.7.58.0', '31.7.63.255', 520567296, 520568831, 'CH', 'Switzerland'),
(1733, '31.7.64.0', '31.7.143.255', 520568832, 520589311, 'IR', 'Iran, Islamic Republic of'),
(1734, '31.7.144.0', '31.7.159.255', 520589312, 520593407, 'IT', 'Italy'),
(1735, '31.7.160.0', '31.7.167.255', 520593408, 520595455, 'AM', 'Armenia'),
(1736, '31.7.168.0', '31.7.175.255', 520595456, 520597503, 'MK', 'Macedonia'),
(1737, '31.7.176.0', '31.7.176.31', 520597504, 520597535, 'IT', 'Italy'),
(1738, '31.7.176.32', '31.7.176.63', 520597536, 520597567, 'DE', 'Germany'),
(1739, '31.7.176.64', '31.7.176.95', 520597568, 520597599, 'IT', 'Italy'),
(1740, '31.7.176.96', '31.7.176.127', 520597600, 520597631, 'DE', 'Germany'),
(1741, '31.7.176.128', '31.7.176.159', 520597632, 520597663, 'IT', 'Italy'),
(1742, '31.7.176.160', '31.7.177.255', 520597664, 520598015, 'DE', 'Germany'),
(1743, '31.7.178.0', '31.7.178.31', 520598016, 520598047, 'IT', 'Italy'),
(1744, '31.7.178.32', '31.7.178.63', 520598048, 520598079, 'FR', 'France'),
(1745, '31.7.178.64', '31.7.178.95', 520598080, 520598111, 'IT', 'Italy'),
(1746, '31.7.178.96', '31.7.191.255', 520598112, 520601599, 'DE', 'Germany'),
(1747, '31.7.192.0', '31.7.223.255', 520601600, 520609791, 'SI', 'Slovenia'),
(1748, '31.7.224.0', '31.7.239.255', 520609792, 520613887, 'RU', 'Russian Federation'),
(1749, '31.7.240.0', '31.7.247.255', 520613888, 520615935, 'CZ', 'Czech Republic'),
(1750, '31.7.248.0', '31.7.255.255', 520615936, 520617983, 'FR', 'France'),
(1751, '31.8.0.0', '31.8.255.255', 520617984, 520683519, 'RU', 'Russian Federation'),
(1752, '31.9.0.0', '31.9.255.255', 520683520, 520749055, 'SY', 'Syrian Arab Republic'),
(1753, '31.10.0.0', '31.10.15.255', 520749056, 520753151, 'RU', 'Russian Federation'),
(1754, '31.10.16.0', '31.10.31.255', 520753152, 520757247, 'LI', 'Liechtenstein'),
(1755, '31.10.32.0', '31.10.47.255', 520757248, 520761343, 'GB', 'United Kingdom'),
(1756, '31.10.48.0', '31.10.55.255', 520761344, 520763391, 'IT', 'Italy'),
(1757, '31.10.56.0', '31.10.63.255', 520763392, 520765439, 'CZ', 'Czech Republic'),
(1758, '31.10.64.0', '31.10.127.255', 520765440, 520781823, 'RU', 'Russian Federation'),
(1759, '31.10.128.0', '31.11.29.255', 520781824, 520822271, 'CH', 'Switzerland'),
(1760, '31.11.30.0', '31.11.30.255', 520822272, 520822527, 'DE', 'Germany'),
(1761, '31.11.31.0', '31.11.31.255', 520822528, 520822783, 'CH', 'Switzerland'),
(1762, '31.11.32.0', '31.11.39.255', 520822784, 520824831, 'IT', 'Italy'),
(1763, '31.11.40.0', '31.11.47.255', 520824832, 520826879, 'RO', 'Romania'),
(1764, '31.11.48.0', '31.11.55.255', 520826880, 520828927, 'QA', 'Qatar'),
(1765, '31.11.56.0', '31.11.63.255', 520828928, 520830975, 'NL', 'Netherlands'),
(1766, '31.11.64.0', '31.11.127.255', 520830976, 520847359, 'MK', 'Macedonia'),
(1767, '31.11.128.0', '31.11.255.255', 520847360, 520880127, 'PL', 'Poland'),
(1768, '31.12.0.0', '31.12.7.255', 520880128, 520882175, 'AT', 'Austria'),
(1769, '31.12.8.0', '31.12.15.255', 520882176, 520884223, 'IT', 'Italy'),
(1770, '31.12.16.0', '31.12.31.255', 520884224, 520888319, 'MK', 'Macedonia'),
(1771, '31.12.32.0', '31.12.63.255', 520888320, 520896511, 'DE', 'Germany'),
(1772, '31.12.64.0', '31.12.65.255', 520896512, 520897023, 'BE', 'Belgium'),
(1773, '31.12.66.0', '31.12.66.127', 520897024, 520897151, 'LU', 'Luxembourg'),
(1774, '31.12.66.128', '31.12.68.255', 520897152, 520897791, 'BE', 'Belgium'),
(1775, '31.12.69.0', '31.12.69.15', 520897792, 520897807, 'LU', 'Luxembourg'),
(1776, '31.12.69.16', '31.12.71.255', 520897808, 520898559, 'BE', 'Belgium'),
(1777, '31.12.72.0', '31.12.87.255', 520898560, 520902655, 'GB', 'United Kingdom'),
(1778, '31.12.88.0', '31.12.88.128', 520902656, 520902784, 'NL', 'Netherlands'),
(1779, '31.12.88.129', '31.12.127.255', 520902785, 520912895, 'GB', 'United Kingdom'),
(1780, '31.12.128.0', '31.12.255.255', 520912896, 520945663, 'UA', 'Ukraine'),
(1781, '31.13.0.0', '31.13.7.255', 520945664, 520947711, 'GB', 'United Kingdom'),
(1782, '31.13.8.0', '31.13.15.255', 520947712, 520949759, 'SE', 'Sweden'),
(1783, '31.13.16.0', '31.13.23.255', 520949760, 520951807, 'RU', 'Russian Federation'),
(1784, '31.13.24.0', '31.13.31.255', 520951808, 520953855, 'IE', 'Ireland'),
(1785, '31.13.32.0', '31.13.63.255', 520953856, 520962047, 'RU', 'Russian Federation'),
(1786, '31.13.64.0', '31.13.127.255', 520962048, 520978431, 'IE', 'Ireland'),
(1787, '31.13.128.0', '31.13.135.255', 520978432, 520980479, 'RU', 'Russian Federation'),
(1788, '31.13.136.0', '31.13.143.255', 520980480, 520982527, 'IT', 'Italy'),
(1789, '31.13.144.0', '31.13.151.255', 520982528, 520984575, 'RU', 'Russian Federation'),
(1790, '31.13.152.0', '31.13.152.255', 520984576, 520984831, 'NG', 'Nigeria'),
(1791, '31.13.153.0', '31.13.159.255', 520984832, 520986623, 'GB', 'United Kingdom'),
(1792, '31.13.160.0', '31.13.167.255', 520986624, 520988671, 'PS', 'Palestinian Territory, Occupied'),
(1793, '31.13.168.0', '31.13.175.255', 520988672, 520990719, 'DE', 'Germany'),
(1794, '31.13.176.0', '31.13.183.255', 520990720, 520992767, 'RU', 'Russian Federation'),
(1795, '31.13.184.0', '31.13.191.255', 520992768, 520994815, 'ES', 'Spain'),
(1796, '31.13.192.0', '31.13.218.95', 520994816, 521001567, 'BG', 'Bulgaria'),
(1797, '31.13.218.96', '31.13.218.103', 521001568, 521001575, 'RO', 'Romania'),
(1798, '31.13.218.104', '31.13.255.255', 521001576, 521011199, 'BG', 'Bulgaria'),
(1799, '31.14.0.0', '31.14.179.255', 521011200, 521057279, 'RO', 'Romania'),
(1800, '31.14.180.0', '31.14.183.255', 521057280, 521058303, 'MD', 'Moldova, Republic of'),
(1801, '31.14.184.0', '31.14.255.255', 521058304, 521076735, 'RO', 'Romania'),
(1802, '31.15.0.0', '31.15.7.255', 521076736, 521078783, 'ES', 'Spain'),
(1803, '31.15.8.0', '31.15.15.255', 521078784, 521080831, 'CZ', 'Czech Republic'),
(1804, '31.15.16.0', '31.15.23.255', 521080832, 521082879, 'RU', 'Russian Federation'),
(1805, '31.15.24.0', '31.15.31.255', 521082880, 521084927, 'FR', 'France'),
(1806, '31.15.32.0', '31.15.63.255', 521084928, 521093119, 'SE', 'Sweden'),
(1807, '31.15.64.0', '31.15.71.255', 521093120, 521095167, 'DE', 'Germany'),
(1808, '31.15.72.0', '31.15.79.255', 521095168, 521097215, 'IT', 'Italy'),
(1809, '31.15.80.0', '31.15.95.255', 521097216, 521101311, 'RU', 'Russian Federation'),
(1810, '31.15.96.0', '31.15.103.255', 521101312, 521103359, 'IT', 'Italy'),
(1811, '31.15.104.0', '31.15.111.255', 521103360, 521105407, 'GB', 'United Kingdom'),
(1812, '31.15.112.0', '31.15.119.255', 521105408, 521107455, 'IS', 'Iceland'),
(1813, '31.15.120.0', '31.15.127.255', 521107456, 521109503, 'FI', 'Finland'),
(1814, '31.15.128.0', '31.15.255.255', 521109504, 521142271, 'SI', 'Slovenia'),
(1815, '31.16.0.0', '31.19.255.255', 521142272, 521404415, 'DE', 'Germany'),
(1816, '31.20.0.0', '31.21.255.255', 521404416, 521535487, 'NL', 'Netherlands'),
(1817, '31.22.0.0', '31.22.7.255', 521535488, 521537535, 'GB', 'United Kingdom'),
(1818, '31.22.8.0', '31.22.15.255', 521537536, 521539583, 'RU', 'Russian Federation'),
(1819, '31.22.16.0', '31.22.23.255', 521539584, 521541631, 'BE', 'Belgium'),
(1820, '31.22.24.0', '31.22.31.255', 521541632, 521543679, 'DE', 'Germany'),
(1821, '31.22.32.0', '31.22.39.255', 521543680, 521545727, 'RU', 'Russian Federation'),
(1822, '31.22.40.0', '31.22.47.255', 521545728, 521547775, 'GB', 'United Kingdom'),
(1823, '31.22.48.0', '31.22.63.255', 521547776, 521551871, 'AL', 'Albania'),
(1824, '31.22.64.0', '31.22.71.255', 521551872, 521553919, 'DE', 'Germany'),
(1825, '31.22.72.0', '31.22.79.255', 521553920, 521555967, 'GB', 'United Kingdom'),
(1826, '31.22.80.0', '31.22.80.63', 521555968, 521556031, 'US', 'United States'),
(1827, '31.22.80.64', '31.22.87.255', 521556032, 521558015, 'NL', 'Netherlands'),
(1828, '31.22.88.0', '31.22.95.255', 521558016, 521560063, 'CY', 'Cyprus'),
(1829, '31.22.96.0', '31.22.103.255', 521560064, 521562111, 'PL', 'Poland'),
(1830, '31.22.104.0', '31.22.107.31', 521562112, 521562911, 'DE', 'Germany'),
(1831, '31.22.107.32', '31.22.111.255', 521562912, 521564159, 'GB', 'United Kingdom'),
(1832, '31.22.112.0', '31.22.119.255', 521564160, 521566207, 'GR', 'Greece'),
(1833, '31.22.120.0', '31.22.127.255', 521566208, 521568255, 'LU', 'Luxembourg'),
(1834, '31.22.128.0', '31.22.255.255', 521568256, 521601023, 'PT', 'Portugal'),
(1835, '31.23.0.0', '31.23.255.255', 521601024, 521666559, 'RU', 'Russian Federation'),
(1836, '31.24.0.0', '31.24.7.255', 521666560, 521668607, 'GB', 'United Kingdom'),
(1837, '31.24.8.0', '31.24.15.255', 521668608, 521670655, 'CH', 'Switzerland'),
(1838, '31.24.16.0', '31.24.23.255', 521670656, 521672703, 'HU', 'Hungary'),
(1839, '31.24.24.0', '31.24.31.255', 521672704, 521674751, 'RU', 'Russian Federation'),
(1840, '31.24.32.0', '31.24.39.255', 521674752, 521676799, 'GB', 'United Kingdom'),
(1841, '31.24.40.0', '31.24.47.255', 521676800, 521678847, 'ES', 'Spain'),
(1842, '31.24.48.0', '31.24.55.255', 521678848, 521680895, 'NL', 'Netherlands'),
(1843, '31.24.56.0', '31.24.63.255', 521680896, 521682943, 'EE', 'Estonia'),
(1844, '31.24.64.0', '31.24.79.255', 521682944, 521687039, 'SE', 'Sweden'),
(1845, '31.24.80.0', '31.24.87.255', 521687040, 521689087, 'GB', 'United Kingdom'),
(1846, '31.24.88.0', '31.24.95.255', 521689088, 521691135, 'BY', 'Belarus'),
(1847, '31.24.96.0', '31.24.103.255', 521691136, 521693183, 'DE', 'Germany'),
(1848, '31.24.104.0', '31.24.111.255', 521693184, 521695231, 'GB', 'United Kingdom'),
(1849, '31.24.112.0', '31.24.119.255', 521695232, 521697279, 'BE', 'Belgium'),
(1850, '31.24.120.0', '31.24.127.255', 521697280, 521699327, 'ES', 'Spain'),
(1851, '31.24.128.0', '31.24.135.255', 521699328, 521701375, 'NO', 'Norway'),
(1852, '31.24.136.0', '31.24.143.255', 521701376, 521703423, 'IT', 'Italy'),
(1853, '31.24.144.0', '31.24.151.255', 521703424, 521705471, 'DE', 'Germany'),
(1854, '31.24.152.0', '31.24.159.255', 521705472, 521707519, 'ES', 'Spain'),
(1855, '31.24.160.0', '31.24.167.255', 521707520, 521709567, 'NL', 'Netherlands'),
(1856, '31.24.168.0', '31.24.175.255', 521709568, 521711615, 'DE', 'Germany'),
(1857, '31.24.176.0', '31.24.183.255', 521711616, 521713663, 'SK', 'Slovakia'),
(1858, '31.24.184.0', '31.24.191.255', 521713664, 521715711, 'HU', 'Hungary'),
(1859, '31.24.192.0', '31.24.199.255', 521715712, 521717759, 'LV', 'Latvia'),
(1860, '31.24.200.0', '31.24.207.255', 521717760, 521719807, 'IR', 'Iran, Islamic Republic of'),
(1861, '31.24.208.0', '31.24.215.255', 521719808, 521721855, 'UA', 'Ukraine'),
(1862, '31.24.216.0', '31.24.223.255', 521721856, 521723903, 'GB', 'United Kingdom'),
(1863, '31.24.224.0', '31.24.231.255', 521723904, 521725951, 'SA', 'Saudi Arabia'),
(1864, '31.24.232.0', '31.24.239.255', 521725952, 521727999, 'IR', 'Iran, Islamic Republic of'),
(1865, '31.24.240.0', '31.24.255.255', 521728000, 521732095, 'FR', 'France'),
(1866, '31.25.0.0', '31.25.15.255', 521732096, 521736191, 'GB', 'United Kingdom'),
(1867, '31.25.16.0', '31.25.23.255', 521736192, 521738239, 'DK', 'Denmark'),
(1868, '31.25.24.0', '31.25.31.255', 521738240, 521740287, 'RU', 'Russian Federation'),
(1869, '31.25.32.0', '31.25.39.255', 521740288, 521742335, 'IT', 'Italy'),
(1870, '31.25.40.0', '31.25.55.255', 521742336, 521746431, 'DE', 'Germany'),
(1871, '31.25.56.0', '31.25.63.255', 521746432, 521748479, 'NL', 'Netherlands'),
(1872, '31.25.64.0', '31.25.71.255', 521748480, 521750527, 'SE', 'Sweden'),
(1873, '31.25.72.0', '31.25.79.255', 521750528, 521752575, 'PS', 'Palestinian Territory, Occupied'),
(1874, '31.25.80.0', '31.25.86.255', 521752576, 521754367, 'FR', 'France'),
(1875, '31.25.87.0', '31.25.87.15', 521754368, 521754383, 'US', 'United States'),
(1876, '31.25.87.16', '31.25.87.255', 521754384, 521754623, 'FR', 'France'),
(1877, '31.25.88.0', '31.25.95.255', 521754624, 521756671, 'IR', 'Iran, Islamic Republic of'),
(1878, '31.25.96.0', '31.25.103.255', 521756672, 521758719, 'NL', 'Netherlands'),
(1879, '31.25.104.0', '31.25.111.255', 521758720, 521760767, 'IR', 'Iran, Islamic Republic of'),
(1880, '31.25.112.0', '31.25.119.255', 521760768, 521762815, 'IL', 'Israel'),
(1881, '31.25.120.0', '31.25.127.255', 521762816, 521764863, 'CH', 'Switzerland'),
(1882, '31.25.128.0', '31.25.135.255', 521764864, 521766911, 'IR', 'Iran, Islamic Republic of'),
(1883, '31.25.136.0', '31.25.143.255', 521766912, 521768959, 'IQ', 'Iraq'),
(1884, '31.25.144.0', '31.25.151.255', 521768960, 521771007, 'FI', 'Finland'),
(1885, '31.25.152.0', '31.25.159.255', 521771008, 521773055, 'DE', 'Germany'),
(1886, '31.25.160.0', '31.25.167.255', 521773056, 521775103, 'GB', 'United Kingdom'),
(1887, '31.25.168.0', '31.25.175.255', 521775104, 521777151, 'TR', 'Turkey'),
(1888, '31.25.176.0', '31.25.183.255', 521777152, 521779199, 'ES', 'Spain'),
(1889, '31.25.184.0', '31.25.199.255', 521779200, 521783295, 'GB', 'United Kingdom'),
(1890, '31.25.200.0', '31.25.207.255', 521783296, 521785343, 'RU', 'Russian Federation'),
(1891, '31.25.208.0', '31.25.215.255', 521785344, 521787391, 'GB', 'United Kingdom'),
(1892, '31.25.216.0', '31.25.223.255', 521787392, 521789439, 'NO', 'Norway'),
(1893, '31.25.224.0', '31.25.231.255', 521789440, 521791487, 'RU', 'Russian Federation'),
(1894, '31.25.232.0', '31.25.239.255', 521791488, 521793535, 'IR', 'Iran, Islamic Republic of'),
(1895, '31.25.240.0', '31.25.247.255', 521793536, 521795583, 'RU', 'Russian Federation'),
(1896, '31.25.248.0', '31.25.255.255', 521795584, 521797631, 'PL', 'Poland'),
(1897, '31.26.0.0', '31.27.255.255', 521797632, 521928703, 'IT', 'Italy'),
(1898, '31.28.0.0', '31.28.63.255', 521928704, 521945087, 'RU', 'Russian Federation'),
(1899, '31.28.64.0', '31.28.95.255', 521945088, 521953279, 'GB', 'United Kingdom'),
(1900, '31.28.96.0', '31.28.127.255', 521953280, 521961471, 'RU', 'Russian Federation'),
(1901, '31.28.128.0', '31.28.159.255', 521961472, 521969663, 'CZ', 'Czech Republic'),
(1902, '31.28.160.0', '31.28.191.255', 521969664, 521977855, 'UA', 'Ukraine'),
(1903, '31.28.192.0', '31.28.223.255', 521977856, 521986047, 'RU', 'Russian Federation'),
(1904, '31.28.224.0', '31.28.255.255', 521986048, 521994239, 'UA', 'Ukraine'),
(1905, '31.29.0.0', '31.29.31.255', 521994240, 522002431, 'KG', 'Kyrgyzstan'),
(1906, '31.29.32.0', '31.29.63.255', 522002432, 522010623, 'IR', 'Iran, Islamic Republic of'),
(1907, '31.29.64.0', '31.29.95.255', 522010624, 522018815, 'AE', 'United Arab Emirates'),
(1908, '31.29.96.0', '31.29.127.255', 522018816, 522027007, 'FR', 'France'),
(1909, '31.29.128.0', '31.29.255.255', 522027008, 522059775, 'RU', 'Russian Federation'),
(1910, '31.30.0.0', '31.30.255.255', 522059776, 522125311, 'CZ', 'Czech Republic'),
(1911, '31.31.0.0', '31.31.31.255', 522125312, 522133503, 'MD', 'Moldova, Republic of'),
(1912, '31.31.32.0', '31.31.36.255', 522133504, 522134783, 'NL', 'Netherlands'),
(1913, '31.31.37.0', '31.31.37.127', 522134784, 522134911, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(1914, '31.31.37.128', '31.31.39.255', 522134912, 522135551, 'NL', 'Netherlands'),
(1915, '31.31.40.0', '31.31.47.255', 522135552, 522137599, 'IT', 'Italy'),
(1916, '31.31.48.0', '31.31.63.255', 522137600, 522141695, 'CH', 'Switzerland'),
(1917, '31.31.64.0', '31.31.71.255', 522141696, 522143743, 'RU', 'Russian Federation'),
(1918, '31.31.72.0', '31.31.79.255', 522143744, 522145791, 'CZ', 'Czech Republic'),
(1919, '31.31.80.0', '31.31.87.255', 522145792, 522147839, 'DK', 'Denmark'),
(1920, '31.31.88.0', '31.31.95.255', 522147840, 522149887, 'ES', 'Spain'),
(1921, '31.31.96.0', '31.31.127.255', 522149888, 522158079, 'UA', 'Ukraine'),
(1922, '31.31.128.0', '31.31.159.255', 522158080, 522166271, 'BE', 'Belgium'),
(1923, '31.31.160.0', '31.31.167.255', 522166272, 522168319, 'SE', 'Sweden'),
(1924, '31.31.168.0', '31.31.175.255', 522168320, 522170367, 'RU', 'Russian Federation'),
(1925, '31.31.176.0', '31.31.191.255', 522170368, 522174463, 'YE', 'Yemen'),
(1926, '31.31.192.0', '31.31.207.255', 522174464, 522178559, 'RU', 'Russian Federation'),
(1927, '31.31.208.0', '31.31.215.255', 522178560, 522180607, 'DE', 'Germany'),
(1928, '31.31.216.0', '31.31.223.255', 522180608, 522182655, 'KZ', 'Kazakhstan'),
(1929, '31.31.224.0', '31.31.255.255', 522182656, 522190847, 'CZ', 'Czech Republic'),
(1930, '31.32.0.0', '31.39.255.255', 522190848, 522715135, 'FR', 'France'),
(1931, '31.40.0.0', '31.40.7.255', 522715136, 522717183, 'IR', 'Iran, Islamic Republic of'),
(1932, '31.40.8.0', '31.40.15.255', 522717184, 522719231, 'RU', 'Russian Federation'),
(1933, '31.40.16.0', '31.40.23.255', 522719232, 522721279, 'UA', 'Ukraine'),
(1934, '31.40.24.0', '31.40.103.255', 522721280, 522741759, 'RU', 'Russian Federation'),
(1935, '31.40.104.0', '31.40.111.255', 522741760, 522743807, 'UA', 'Ukraine'),
(1936, '31.40.112.0', '31.40.127.255', 522743808, 522747903, 'RU', 'Russian Federation'),
(1937, '31.40.128.0', '31.40.255.255', 522747904, 522780671, 'UA', 'Ukraine'),
(1938, '31.41.0.0', '31.41.7.255', 522780672, 522782719, 'RU', 'Russian Federation'),
(1939, '31.41.8.0', '31.41.15.255', 522782720, 522784767, 'UA', 'Ukraine'),
(1940, '31.41.16.0', '31.41.23.255', 522784768, 522786815, 'BG', 'Bulgaria'),
(1941, '31.41.24.0', '31.41.31.255', 522786816, 522788863, 'PL', 'Poland'),
(1942, '31.41.32.0', '31.41.47.255', 522788864, 522792959, 'RU', 'Russian Federation'),
(1943, '31.41.48.0', '31.41.55.255', 522792960, 522795007, 'UA', 'Ukraine'),
(1944, '31.41.56.0', '31.41.63.255', 522795008, 522797055, 'RU', 'Russian Federation'),
(1945, '31.41.64.0', '31.41.79.255', 522797056, 522801151, 'UA', 'Ukraine'),
(1946, '31.41.80.0', '31.41.87.255', 522801152, 522803199, 'PL', 'Poland'),
(1947, '31.41.88.0', '31.41.95.255', 522803200, 522805247, 'UA', 'Ukraine'),
(1948, '31.41.96.0', '31.41.103.255', 522805248, 522807295, 'RU', 'Russian Federation'),
(1949, '31.41.104.0', '31.41.119.255', 522807296, 522811391, 'UA', 'Ukraine'),
(1950, '31.41.120.0', '31.41.127.255', 522811392, 522813439, 'RU', 'Russian Federation'),
(1951, '31.41.128.0', '31.41.135.255', 522813440, 522815487, 'UA', 'Ukraine'),
(1952, '31.41.136.0', '31.41.151.255', 522815488, 522819583, 'PL', 'Poland'),
(1953, '31.41.152.0', '31.41.159.255', 522819584, 522821631, 'KG', 'Kyrgyzstan'),
(1954, '31.41.160.0', '31.41.167.255', 522821632, 522823679, 'RU', 'Russian Federation'),
(1955, '31.41.168.0', '31.41.183.255', 522823680, 522827775, 'PL', 'Poland'),
(1956, '31.41.184.0', '31.41.199.255', 522827776, 522831871, 'RU', 'Russian Federation'),
(1957, '31.41.200.0', '31.41.207.255', 522831872, 522833919, 'CZ', 'Czech Republic'),
(1958, '31.41.208.0', '31.41.215.255', 522833920, 522835967, 'PL', 'Poland'),
(1959, '31.41.216.0', '31.41.223.255', 522835968, 522838015, 'UA', 'Ukraine'),
(1960, '31.41.224.0', '31.41.231.255', 522838016, 522840063, 'RU', 'Russian Federation'),
(1961, '31.41.232.0', '31.41.239.255', 522840064, 522842111, 'PL', 'Poland'),
(1962, '31.41.240.0', '31.41.255.255', 522842112, 522846207, 'RU', 'Russian Federation'),
(1963, '31.42.0.0', '31.42.31.255', 522846208, 522854399, 'PL', 'Poland'),
(1964, '31.42.32.0', '31.42.47.255', 522854400, 522858495, 'RU', 'Russian Federation'),
(1965, '31.42.48.0', '31.42.79.255', 522858496, 522866687, 'UA', 'Ukraine'),
(1966, '31.42.80.0', '31.42.95.255', 522866688, 522870783, 'LV', 'Latvia'),
(1967, '31.42.96.0', '31.42.111.255', 522870784, 522874879, 'RU', 'Russian Federation'),
(1968, '31.42.112.0', '31.42.127.255', 522874880, 522878975, 'UA', 'Ukraine'),
(1969, '31.42.128.0', '31.42.159.255', 522878976, 522887167, 'RO', 'Romania'),
(1970, '31.42.160.0', '31.42.191.255', 522887168, 522895359, 'UA', 'Ukraine'),
(1971, '31.42.192.0', '31.42.255.255', 522895360, 522911743, 'RU', 'Russian Federation'),
(1972, '31.43.0.0', '31.43.191.255', 522911744, 522960895, 'UA', 'Ukraine'),
(1973, '31.43.192.0', '31.43.223.255', 522960896, 522969087, 'RU', 'Russian Federation'),
(1974, '31.43.224.0', '31.43.255.255', 522969088, 522977279, 'UA', 'Ukraine'),
(1975, '31.44.0.0', '31.44.15.255', 522977280, 522981375, 'RU', 'Russian Federation'),
(1976, '31.44.16.0', '31.44.31.255', 522981376, 522985471, 'IT', 'Italy'),
(1977, '31.44.32.0', '31.44.47.255', 522985472, 522989567, 'CH', 'Switzerland'),
(1978, '31.44.48.0', '31.44.63.255', 522989568, 522993663, 'RU', 'Russian Federation'),
(1979, '31.44.64.0', '31.44.79.255', 522993664, 522997759, 'AL', 'Albania'),
(1980, '31.44.80.0', '31.44.95.255', 522997760, 523001855, 'RU', 'Russian Federation'),
(1981, '31.44.96.0', '31.44.111.255', 523001856, 523005951, 'LT', 'Lithuania'),
(1982, '31.44.112.0', '31.44.127.255', 523005952, 523010047, 'IT', 'Italy'),
(1983, '31.44.128.0', '31.44.143.255', 523010048, 523014143, 'IL', 'Israel'),
(1984, '31.44.144.0', '31.44.159.255', 523014144, 523018239, 'ES', 'Spain'),
(1985, '31.44.160.0', '31.44.175.255', 523018240, 523022335, 'IT', 'Italy'),
(1986, '31.44.176.0', '31.44.185.255', 523022336, 523024895, 'RU', 'Russian Federation'),
(1987, '31.44.186.0', '31.44.187.255', 523024896, 523025407, 'BZ', 'Belize'),
(1988, '31.44.188.0', '31.44.188.255', 523025408, 523025663, 'UA', 'Ukraine'),
(1989, '31.44.189.0', '31.44.189.255', 523025664, 523025919, 'CH', 'Switzerland'),
(1990, '31.44.190.0', '31.44.191.255', 523025920, 523026431, 'NL', 'Netherlands'),
(1991, '31.44.192.0', '31.44.207.255', 523026432, 523030527, 'TR', 'Turkey'),
(1992, '31.44.208.0', '31.44.223.255', 523030528, 523034623, 'FR', 'France'),
(1993, '31.44.224.0', '31.44.239.255', 523034624, 523038719, 'SE', 'Sweden'),
(1994, '31.44.240.0', '31.44.255.255', 523038720, 523042815, 'RU', 'Russian Federation'),
(1995, '31.45.0.0', '31.45.127.255', 523042816, 523075583, 'NO', 'Norway'),
(1996, '31.45.128.0', '31.45.255.255', 523075584, 523108351, 'HR', 'Croatia'),
(1997, '31.46.0.0', '31.46.21.255', 523108352, 523113983, 'HU', 'Hungary'),
(1998, '31.46.22.0', '31.46.22.255', 523113984, 523114239, 'RO', 'Romania'),
(1999, '31.46.23.0', '31.46.28.255', 523114240, 523115775, 'HU', 'Hungary'),
(2000, '31.46.29.0', '31.46.30.255', 523115776, 523116287, 'RO', 'Romania'),
(2001, '31.46.31.0', '31.46.255.255', 523116288, 523173887, 'HU', 'Hungary'),
(2002, '31.47.0.0', '31.47.31.255', 523173888, 523182079, 'BA', 'Bosnia and Herzegovina'),
(2003, '31.47.32.0', '31.47.63.255', 523182080, 523190271, 'IR', 'Iran, Islamic Republic of'),
(2004, '31.47.64.0', '31.47.71.255', 523190272, 523192319, 'FI', 'Finland'),
(2005, '31.47.72.0', '31.47.79.255', 523192320, 523194367, 'ES', 'Spain'),
(2006, '31.47.80.0', '31.47.87.255', 523194368, 523196415, 'DE', 'Germany'),
(2007, '31.47.88.0', '31.47.95.255', 523196416, 523198463, 'AE', 'United Arab Emirates'),
(2008, '31.47.96.0', '31.47.111.255', 523198464, 523202559, 'CZ', 'Czech Republic'),
(2009, '31.47.112.0', '31.47.191.255', 523202560, 523223039, 'RU', 'Russian Federation'),
(2010, '31.47.192.0', '31.47.199.255', 523223040, 523225087, 'AM', 'Armenia'),
(2011, '31.47.200.0', '31.47.207.255', 523225088, 523227135, 'SE', 'Sweden'),
(2012, '31.47.208.0', '31.47.215.255', 523227136, 523229183, 'RO', 'Romania'),
(2013, '31.47.216.0', '31.47.223.255', 523229184, 523231231, 'GB', 'United Kingdom'),
(2014, '31.47.224.0', '31.47.255.255', 523231232, 523239423, 'DE', 'Germany'),
(2015, '31.48.0.0', '31.55.255.255', 523239424, 523763711, 'GB', 'United Kingdom'),
(2016, '31.56.0.0', '31.59.255.255', 523763712, 524025855, 'IR', 'Iran, Islamic Republic of'),
(2017, '31.60.0.0', '31.63.255.255', 524025856, 524287999, 'PL', 'Poland'),
(2018, '31.64.0.0', '31.127.255.255', 524288000, 528482303, 'GB', 'United Kingdom'),
(2019, '31.128.0.0', '31.128.31.255', 528482304, 528490495, 'PL', 'Poland'),
(2020, '31.128.32.0', '31.128.63.255', 528490496, 528498687, 'RU', 'Russian Federation'),
(2021, '31.128.64.0', '31.128.127.255', 528498688, 528515071, 'UA', 'Ukraine'),
(2022, '31.128.128.0', '31.128.159.255', 528515072, 528523263, 'RU', 'Russian Federation'),
(2023, '31.128.160.0', '31.128.191.255', 528523264, 528531455, 'UA', 'Ukraine'),
(2024, '31.128.192.0', '31.128.223.255', 528531456, 528539647, 'RU', 'Russian Federation'),
(2025, '31.128.224.0', '31.128.255.255', 528539648, 528547839, 'UA', 'Ukraine'),
(2026, '31.129.0.0', '31.129.63.255', 528547840, 528564223, 'RU', 'Russian Federation'),
(2027, '31.129.64.0', '31.129.127.255', 528564224, 528580607, 'UA', 'Ukraine'),
(2028, '31.129.128.0', '31.129.159.255', 528580608, 528588799, 'RU', 'Russian Federation'),
(2029, '31.129.160.0', '31.129.191.255', 528588800, 528596991, 'UA', 'Ukraine'),
(2030, '31.129.192.0', '31.129.223.255', 528596992, 528605183, 'RU', 'Russian Federation'),
(2031, '31.129.224.0', '31.129.255.255', 528605184, 528613375, 'UA', 'Ukraine'),
(2032, '31.130.0.0', '31.130.95.255', 528613376, 528637951, 'RU', 'Russian Federation'),
(2033, '31.130.96.0', '31.130.111.255', 528637952, 528642047, 'PL', 'Poland'),
(2034, '31.130.112.0', '31.130.159.255', 528642048, 528654335, 'RU', 'Russian Federation'),
(2035, '31.130.160.0', '31.130.167.255', 528654336, 528656383, 'SK', 'Slovakia'),
(2036, '31.130.168.0', '31.130.175.255', 528656384, 528658431, 'CZ', 'Czech Republic'),
(2037, '31.130.176.0', '31.130.191.255', 528658432, 528662527, 'IR', 'Iran, Islamic Republic of'),
(2038, '31.130.192.0', '31.130.199.255', 528662528, 528664575, 'RU', 'Russian Federation'),
(2039, '31.130.200.0', '31.130.207.255', 528664576, 528666623, 'BY', 'Belarus'),
(2040, '31.130.208.0', '31.130.215.255', 528666624, 528668671, 'RU', 'Russian Federation'),
(2041, '31.130.216.0', '31.130.223.255', 528668672, 528670719, 'PL', 'Poland'),
(2042, '31.130.224.0', '31.130.239.255', 528670720, 528674815, 'CH', 'Switzerland'),
(2043, '31.130.240.0', '31.130.247.255', 528674816, 528676863, 'RO', 'Romania'),
(2044, '31.130.248.0', '31.130.255.255', 528676864, 528678911, 'RU', 'Russian Federation'),
(2045, '31.131.0.0', '31.131.7.255', 528678912, 528680959, 'MD', 'Moldova, Republic of'),
(2046, '31.131.8.0', '31.131.15.255', 528680960, 528683007, 'RO', 'Romania'),
(2047, '31.131.16.0', '31.131.26.255', 528683008, 528685823, 'UA', 'Ukraine'),
(2048, '31.131.27.0', '31.131.31.255', 528685824, 528687103, 'US', 'United States'),
(2049, '31.131.32.0', '31.131.39.255', 528687104, 528689151, 'UA', 'Ukraine'),
(2050, '31.131.40.0', '31.131.47.255', 528689152, 528691199, 'RO', 'Romania'),
(2051, '31.131.48.0', '31.131.63.255', 528691200, 528695295, 'PL', 'Poland'),
(2052, '31.131.64.0', '31.131.79.255', 528695296, 528699391, 'UA', 'Ukraine'),
(2053, '31.131.80.0', '31.131.95.255', 528699392, 528703487, 'RU', 'Russian Federation'),
(2054, '31.131.96.0', '31.131.143.255', 528703488, 528715775, 'UA', 'Ukraine'),
(2055, '31.131.144.0', '31.131.159.255', 528715776, 528719871, 'RU', 'Russian Federation'),
(2056, '31.131.160.0', '31.131.167.255', 528719872, 528721919, 'RO', 'Romania'),
(2057, '31.131.168.0', '31.131.175.255', 528721920, 528723967, 'PL', 'Poland'),
(2058, '31.131.176.0', '31.131.183.255', 528723968, 528726015, 'ES', 'Spain'),
(2059, '31.131.184.0', '31.131.223.255', 528726016, 528736255, 'RU', 'Russian Federation'),
(2060, '31.131.224.0', '31.131.239.255', 528736256, 528740351, 'SK', 'Slovakia'),
(2061, '31.131.240.0', '31.131.247.255', 528740352, 528742399, 'IT', 'Italy'),
(2062, '31.131.248.0', '31.131.255.255', 528742400, 528744447, 'RU', 'Russian Federation'),
(2063, '31.132.0.0', '31.132.7.255', 528744448, 528746495, 'GB', 'United Kingdom'),
(2064, '31.132.8.0', '31.132.15.255', 528746496, 528748543, 'RO', 'Romania'),
(2065, '31.132.16.0', '31.132.31.255', 528748544, 528752639, 'CZ', 'Czech Republic'),
(2066, '31.132.32.0', '31.132.63.255', 528752640, 528760831, 'RO', 'Romania'),
(2067, '31.132.64.0', '31.132.71.255', 528760832, 528762879, 'PL', 'Poland'),
(2068, '31.132.72.0', '31.132.79.255', 528762880, 528764927, 'AM', 'Armenia'),
(2069, '31.132.80.0', '31.132.95.255', 528764928, 528769023, 'RO', 'Romania'),
(2070, '31.132.96.0', '31.132.191.255', 528769024, 528793599, 'RU', 'Russian Federation'),
(2071, '31.132.192.0', '31.132.199.255', 528793600, 528795647, 'RO', 'Romania'),
(2072, '31.132.200.0', '31.132.207.255', 528795648, 528797695, 'NL', 'Netherlands'),
(2073, '31.132.208.0', '31.132.239.255', 528797696, 528805887, 'RU', 'Russian Federation'),
(2074, '31.132.240.0', '31.132.255.255', 528805888, 528809983, 'RO', 'Romania'),
(2075, '31.133.0.0', '31.133.7.255', 528809984, 528812031, 'PL', 'Poland'),
(2076, '31.133.8.0', '31.133.15.255', 528812032, 528814079, 'CZ', 'Czech Republic'),
(2077, '31.133.16.0', '31.133.23.255', 528814080, 528816127, 'PL', 'Poland'),
(2078, '31.133.24.0', '31.133.31.255', 528816128, 528818175, 'RO', 'Romania'),
(2079, '31.133.32.0', '31.133.95.255', 528818176, 528834559, 'UA', 'Ukraine'),
(2080, '31.133.96.0', '31.133.103.255', 528834560, 528836607, 'RO', 'Romania'),
(2081, '31.133.104.0', '31.133.111.255', 528836608, 528838655, 'RU', 'Russian Federation'),
(2082, '31.133.112.0', '31.133.119.255', 528838656, 528840703, 'UA', 'Ukraine'),
(2083, '31.133.120.0', '31.133.127.255', 528840704, 528842751, 'RU', 'Russian Federation'),
(2084, '31.133.128.0', '31.133.191.255', 528842752, 528859135, 'CH', 'Switzerland'),
(2085, '31.133.192.0', '31.133.199.255', 528859136, 528861183, 'RO', 'Romania'),
(2086, '31.133.200.0', '31.133.207.255', 528861184, 528863231, 'RU', 'Russian Federation'),
(2087, '31.133.208.0', '31.133.223.255', 528863232, 528867327, 'KZ', 'Kazakhstan'),
(2088, '31.133.224.0', '31.134.47.255', 528867328, 528887807, 'RU', 'Russian Federation'),
(2089, '31.134.48.0', '31.134.63.255', 528887808, 528891903, 'PL', 'Poland'),
(2090, '31.134.64.0', '31.134.95.255', 528891904, 528900095, 'UA', 'Ukraine'),
(2091, '31.134.96.0', '31.134.103.255', 528900096, 528902143, 'SK', 'Slovakia'),
(2092, '31.134.104.0', '31.134.127.255', 528902144, 528908287, 'UA', 'Ukraine'),
(2093, '31.134.128.0', '31.134.199.255', 528908288, 528926719, 'RU', 'Russian Federation'),
(2094, '31.134.200.0', '31.134.207.255', 528926720, 528928767, 'NL', 'Netherlands'),
(2095, '31.134.208.0', '31.134.215.255', 528928768, 528930815, 'UA', 'Ukraine'),
(2096, '31.134.216.0', '31.134.223.255', 528930816, 528932863, 'CZ', 'Czech Republic'),
(2097, '31.134.224.0', '31.134.255.255', 528932864, 528941055, 'RU', 'Russian Federation'),
(2098, '31.135.0.0', '31.135.7.255', 528941056, 528943103, 'RO', 'Romania'),
(2099, '31.135.8.0', '31.135.15.255', 528943104, 528945151, 'RU', 'Russian Federation'),
(2100, '31.135.16.0', '31.135.31.255', 528945152, 528949247, 'PL', 'Poland'),
(2101, '31.135.32.0', '31.135.95.255', 528949248, 528965631, 'RU', 'Russian Federation'),
(2102, '31.135.96.0', '31.135.159.255', 528965632, 528982015, 'UA', 'Ukraine'),
(2103, '31.135.160.0', '31.135.167.255', 528982016, 528984063, 'PL', 'Poland'),
(2104, '31.135.168.0', '31.135.175.255', 528984064, 528986111, 'RO', 'Romania'),
(2105, '31.135.176.0', '31.135.183.255', 528986112, 528988159, 'UA', 'Ukraine'),
(2106, '31.135.184.0', '31.135.191.255', 528988160, 528990207, 'RO', 'Romania'),
(2107, '31.135.192.0', '31.135.207.255', 528990208, 528994303, 'PL', 'Poland'),
(2108, '31.135.208.0', '31.135.215.255', 528994304, 528996351, 'UZ', 'Uzbekistan'),
(2109, '31.135.216.0', '31.135.223.255', 528996352, 528998399, 'LT', 'Lithuania'),
(2110, '31.135.224.0', '31.135.255.255', 528998400, 529006591, 'RU', 'Russian Federation'),
(2111, '31.136.0.0', '31.139.255.255', 529006592, 529268735, 'NL', 'Netherlands'),
(2112, '31.140.0.0', '31.143.255.255', 529268736, 529530879, 'TR', 'Turkey'),
(2113, '31.144.0.0', '31.144.255.255', 529530880, 529596415, 'UA', 'Ukraine'),
(2114, '31.145.0.0', '31.145.255.255', 529596416, 529661951, 'TR', 'Turkey'),
(2115, '31.146.0.0', '31.146.255.255', 529661952, 529727487, 'GE', 'Georgia'),
(2116, '31.147.0.0', '31.147.255.255', 529727488, 529793023, 'HR', 'Croatia'),
(2117, '31.148.0.0', '31.148.135.255', 529793024, 529827839, 'RU', 'Russian Federation'),
(2118, '31.148.136.0', '31.148.139.255', 529827840, 529828863, 'CZ', 'Czech Republic'),
(2119, '31.148.140.0', '31.148.143.255', 529828864, 529829887, 'RU', 'Russian Federation'),
(2120, '31.148.144.0', '31.148.151.255', 529829888, 529831935, 'NL', 'Netherlands'),
(2121, '31.148.152.0', '31.148.163.255', 529831936, 529835007, 'RU', 'Russian Federation'),
(2122, '31.148.164.0', '31.148.167.255', 529835008, 529836031, 'KG', 'Kyrgyzstan'),
(2123, '31.148.168.0', '31.148.169.255', 529836032, 529836543, 'UA', 'Ukraine'),
(2124, '31.148.170.0', '31.148.171.255', 529836544, 529837055, 'IL', 'Israel'),
(2125, '31.148.172.0', '31.148.179.255', 529837056, 529839103, 'RU', 'Russian Federation'),
(2126, '31.148.180.0', '31.148.181.255', 529839104, 529839615, 'UA', 'Ukraine'),
(2127, '31.148.182.0', '31.148.183.255', 529839616, 529840127, 'CY', 'Cyprus'),
(2128, '31.148.184.0', '31.148.187.255', 529840128, 529841151, 'RU', 'Russian Federation'),
(2129, '31.148.188.0', '31.148.191.255', 529841152, 529842175, 'UA', 'Ukraine'),
(2130, '31.148.192.0', '31.148.195.255', 529842176, 529843199, 'IN', 'India'),
(2131, '31.148.196.0', '31.148.201.255', 529843200, 529844735, 'RU', 'Russian Federation'),
(2132, '31.148.202.0', '31.148.203.255', 529844736, 529845247, 'UA', 'Ukraine'),
(2133, '31.148.204.0', '31.148.207.255', 529845248, 529846271, 'UZ', 'Uzbekistan'),
(2134, '31.148.208.0', '31.148.215.255', 529846272, 529848319, 'RU', 'Russian Federation'),
(2135, '31.148.216.0', '31.148.216.255', 529848320, 529848575, 'KZ', 'Kazakhstan'),
(2136, '31.148.217.0', '31.148.217.255', 529848576, 529848831, 'UA', 'Ukraine'),
(2137, '31.148.218.0', '31.148.219.255', 529848832, 529849343, 'GB', 'United Kingdom'),
(2138, '31.148.220.0', '31.148.220.255', 529849344, 529849599, 'NL', 'Netherlands'),
(2139, '31.148.221.0', '31.148.221.255', 529849600, 529849855, 'RU', 'Russian Federation'),
(2140, '31.148.222.0', '31.148.235.255', 529849856, 529853439, 'CZ', 'Czech Republic'),
(2141, '31.148.236.0', '31.148.247.255', 529853440, 529856511, 'RU', 'Russian Federation'),
(2142, '31.148.248.0', '31.148.251.255', 529856512, 529857535, 'KZ', 'Kazakhstan'),
(2143, '31.148.252.0', '31.148.255.255', 529857536, 529858559, 'UA', 'Ukraine'),
(2144, '31.149.0.0', '31.149.255.255', 529858560, 529924095, 'NL', 'Netherlands'),
(2145, '31.150.0.0', '31.150.255.255', 529924096, 529989631, 'DE', 'Germany'),
(2146, '31.151.0.0', '31.151.255.255', 529989632, 530055167, 'NL', 'Netherlands'),
(2147, '31.152.0.0', '31.152.255.255', 530055168, 530120703, 'GR', 'Greece'),
(2148, '31.153.0.0', '31.153.175.255', 530120704, 530165759, 'CY', 'Cyprus'),
(2149, '31.153.176.0', '31.153.207.255', 530165760, 530173951, 'GR', 'Greece'),
(2150, '31.153.208.0', '31.153.255.255', 530173952, 530186239, 'CY', 'Cyprus'),
(2151, '31.154.0.0', '31.154.255.255', 530186240, 530251775, 'IL', 'Israel'),
(2152, '31.155.0.0', '31.155.255.255', 530251776, 530317311, 'TR', 'Turkey'),
(2153, '31.156.0.0', '31.159.255.255', 530317312, 530579455, 'IT', 'Italy'),
(2154, '31.160.0.0', '31.161.255.255', 530579456, 530710527, 'NL', 'Netherlands'),
(2155, '31.162.0.0', '31.163.255.255', 530710528, 530841599, 'RU', 'Russian Federation'),
(2156, '31.164.0.0', '31.165.255.255', 530841600, 530972671, 'CH', 'Switzerland'),
(2157, '31.166.0.0', '31.167.255.255', 530972672, 531103743, 'SA', 'Saudi Arabia'),
(2158, '31.168.0.0', '31.168.255.255', 531103744, 531169279, 'IL', 'Israel'),
(2159, '31.169.0.0', '31.169.31.255', 531169280, 531177471, 'KZ', 'Kazakhstan'),
(2160, '31.169.32.0', '31.169.39.255', 531177472, 531179519, 'GB', 'United Kingdom'),
(2161, '31.169.40.0', '31.169.47.255', 531179520, 531181567, 'FR', 'France'),
(2162, '31.169.56.0', '31.169.63.255', 531183616, 531185663, 'NL', 'Netherlands'),
(2163, '31.169.64.0', '31.169.95.255', 531185664, 531193855, 'TR', 'Turkey'),
(2164, '31.169.96.0', '31.169.97.191', 531193856, 531194303, 'IE', 'Ireland'),
(2165, '31.169.97.192', '31.169.97.223', 531194304, 531194335, 'IR', 'Iran, Islamic Republic of'),
(2166, '31.169.97.224', '31.169.103.255', 531194336, 531195903, 'IE', 'Ireland'),
(2167, '31.169.104.0', '31.169.111.255', 531195904, 531197951, 'IT', 'Italy'),
(2168, '31.169.112.0', '31.169.119.255', 531197952, 531199999, 'GB', 'United Kingdom'),
(2169, '31.169.120.0', '31.169.127.255', 531200000, 531202047, 'RU', 'Russian Federation'),
(2170, '31.169.128.0', '31.169.255.255', 531202048, 531234815, 'CZ', 'Czech Republic'),
(2171, '31.170.0.0', '31.170.7.255', 531234816, 531236863, 'IE', 'Ireland'),
(2172, '31.170.8.0', '31.170.15.255', 531236864, 531238911, 'FR', 'France'),
(2173, '31.170.16.0', '31.170.23.255', 531238912, 531240959, 'LV', 'Latvia'),
(2174, '31.170.24.0', '31.170.30.255', 531240960, 531242751, 'SE', 'Sweden'),
(2175, '31.170.31.0', '31.170.31.255', 531242752, 531243007, 'DE', 'Germany'),
(2176, '31.170.32.0', '31.170.39.255', 531243008, 531245055, 'RU', 'Russian Federation'),
(2177, '31.170.40.0', '31.170.47.255', 531245056, 531247103, 'IT', 'Italy'),
(2178, '31.170.48.0', '31.170.63.255', 531247104, 531251199, 'IR', 'Iran, Islamic Republic of'),
(2179, '31.170.64.0', '31.170.95.255', 531251200, 531259391, 'SK', 'Slovakia'),
(2180, '31.170.96.0', '31.170.103.255', 531259392, 531261439, 'ES', 'Spain'),
(2181, '31.170.104.0', '31.170.111.255', 531261440, 531263487, 'DE', 'Germany'),
(2182, '31.170.112.0', '31.170.119.255', 531263488, 531265535, 'RU', 'Russian Federation'),
(2183, '31.170.120.0', '31.170.127.255', 531265536, 531267583, 'GB', 'United Kingdom'),
(2184, '31.170.128.0', '31.170.159.255', 531267584, 531275775, 'UA', 'Ukraine'),
(2185, '31.170.160.0', '31.170.163.255', 531275776, 531276799, 'US', 'United States'),
(2186, '31.170.164.0', '31.170.165.255', 531276800, 531277311, 'GB', 'United Kingdom'),
(2187, '31.170.166.0', '31.170.167.255', 531277312, 531277823, 'US', 'United States'),
(2188, '31.170.168.0', '31.170.175.255', 531277824, 531279871, 'RU', 'Russian Federation'),
(2189, '31.170.176.0', '31.170.183.255', 531279872, 531281919, 'CZ', 'Czech Republic'),
(2190, '31.170.184.0', '31.170.191.255', 531281920, 531283967, 'RU', 'Russian Federation'),
(2191, '31.170.192.0', '31.170.223.255', 531283968, 531292159, 'DE', 'Germany'),
(2192, '31.170.224.0', '31.171.127.255', 531292160, 531333119, 'AZ', 'Azerbaijan'),
(2193, '31.171.128.0', '31.171.129.223', 531333120, 531333599, 'NL', 'Netherlands'),
(2194, '31.171.129.224', '31.171.129.255', 531333600, 531333631, 'RU', 'Russian Federation'),
(2195, '31.171.130.0', '31.171.131.255', 531333632, 531334143, 'NL', 'Netherlands'),
(2196, '31.171.132.0', '31.171.132.127', 531334144, 531334271, 'US', 'United States'),
(2197, '31.171.132.128', '31.171.132.255', 531334272, 531334399, 'NL', 'Netherlands'),
(2198, '31.171.133.0', '31.171.133.63', 531334400, 531334463, 'US', 'United States'),
(2199, '31.171.133.64', '31.171.133.127', 531334464, 531334527, 'NL', 'Netherlands'),
(2200, '31.171.133.128', '31.171.133.255', 531334528, 531334655, 'US', 'United States'),
(2201, '31.171.134.0', '31.171.135.255', 531334656, 531335167, 'A1', 'Anonymous Proxy'),
(2202, '31.171.136.0', '31.171.143.255', 531335168, 531337215, 'IT', 'Italy'),
(2203, '31.171.144.0', '31.171.151.255', 531337216, 531339263, 'CH', 'Switzerland'),
(2204, '31.171.152.0', '31.171.159.255', 531339264, 531341311, 'AL', 'Albania'),
(2205, '31.171.160.0', '31.171.191.255', 531341312, 531349503, 'KZ', 'Kazakhstan'),
(2206, '31.171.192.0', '31.171.199.255', 531349504, 531351551, 'RU', 'Russian Federation'),
(2207, '31.171.200.0', '31.171.215.255', 531351552, 531355647, 'NL', 'Netherlands'),
(2208, '31.171.216.0', '31.171.223.255', 531355648, 531357695, 'IR', 'Iran, Islamic Republic of'),
(2209, '31.171.224.0', '31.171.239.255', 531357696, 531361791, 'HU', 'Hungary'),
(2210, '31.171.240.0', '31.171.255.255', 531361792, 531365887, 'CH', 'Switzerland'),
(2211, '31.172.0.0', '31.172.1.255', 531365888, 531366399, 'DE', 'Germany'),
(2212, '31.172.2.0', '31.172.7.255', 531366400, 531367935, 'CH', 'Switzerland'),
(2213, '31.172.8.0', '31.172.15.255', 531367936, 531369983, 'DE', 'Germany'),
(2214, '31.172.16.0', '31.172.19.255', 531369984, 531371007, 'CH', 'Switzerland'),
(2215, '31.172.20.0', '31.172.21.255', 531371008, 531371519, 'US', 'United States'),
(2216, '31.172.22.0', '31.172.23.255', 531371520, 531372031, 'JP', 'Japan'),
(2217, '31.172.24.0', '31.172.29.255', 531372032, 531373567, 'CH', 'Switzerland'),
(2218, '31.172.30.0', '31.172.30.7', 531373568, 531373575, 'DE', 'Germany'),
(2219, '31.172.30.8', '31.172.55.255', 531373576, 531380223, 'CH', 'Switzerland'),
(2220, '31.172.56.0', '31.172.127.255', 531380224, 531398655, 'DE', 'Germany'),
(2221, '31.172.128.0', '31.172.135.255', 531398656, 531400703, 'RU', 'Russian Federation'),
(2222, '31.172.136.0', '31.172.143.255', 531400704, 531402751, 'UA', 'Ukraine'),
(2223, '31.172.144.0', '31.172.151.255', 531402752, 531404799, 'LU', 'Luxembourg'),
(2224, '31.172.152.0', '31.172.159.255', 531404800, 531406847, 'FI', 'Finland'),
(2225, '31.172.160.0', '31.172.167.255', 531406848, 531408895, 'FR', 'France'),
(2226, '31.172.168.0', '31.172.191.255', 531408896, 531415039, 'PL', 'Poland'),
(2227, '31.172.192.0', '31.172.223.255', 531415040, 531423231, 'RU', 'Russian Federation'),
(2228, '31.172.224.0', '31.172.224.255', 531423232, 531423487, 'GB', 'United Kingdom'),
(2229, '31.172.225.0', '31.172.231.255', 531423488, 531425279, 'NO', 'Norway'),
(2230, '31.172.232.0', '31.172.232.45', 531425280, 531425325, 'FR', 'France'),
(2231, '31.172.232.46', '31.172.232.47', 531425326, 531425327, 'GB', 'United Kingdom'),
(2232, '31.172.232.48', '31.172.232.127', 531425328, 531425407, 'FR', 'France'),
(2233, '31.172.232.128', '31.172.232.255', 531425408, 531425535, 'GB', 'United Kingdom'),
(2234, '31.172.233.0', '31.172.234.95', 531425536, 531425887, 'FR', 'France'),
(2235, '31.172.234.96', '31.172.234.127', 531425888, 531425919, 'GB', 'United Kingdom'),
(2236, '31.172.234.128', '31.172.234.175', 531425920, 531425967, 'FR', 'France'),
(2237, '31.172.234.176', '31.172.234.191', 531425968, 531425983, 'GB', 'United Kingdom'),
(2238, '31.172.234.192', '31.172.234.199', 531425984, 531425991, 'FR', 'France'),
(2239, '31.172.234.200', '31.172.234.207', 531425992, 531425999, 'GB', 'United Kingdom'),
(2240, '31.172.234.208', '31.172.234.223', 531426000, 531426015, 'FR', 'France'),
(2241, '31.172.234.224', '31.172.234.255', 531426016, 531426047, 'GB', 'United Kingdom'),
(2242, '31.172.235.0', '31.172.236.191', 531426048, 531426495, 'FR', 'France'),
(2243, '31.172.236.192', '31.172.236.199', 531426496, 531426503, 'GB', 'United Kingdom'),
(2244, '31.172.236.200', '31.172.237.231', 531426504, 531426791, 'FR', 'France'),
(2245, '31.172.237.232', '31.172.237.239', 531426792, 531426799, 'GB', 'United Kingdom'),
(2246, '31.172.237.240', '31.172.239.255', 531426800, 531427327, 'FR', 'France'),
(2247, '31.172.240.0', '31.172.244.143', 531427328, 531428495, 'GB', 'United Kingdom'),
(2248, '31.172.244.144', '31.172.244.151', 531428496, 531428503, 'IT', 'Italy'),
(2249, '31.172.244.152', '31.172.245.95', 531428504, 531428703, 'GB', 'United Kingdom'),
(2250, '31.172.245.96', '31.172.245.103', 531428704, 531428711, 'IT', 'Italy'),
(2251, '31.172.245.104', '31.172.246.95', 531428712, 531428959, 'GB', 'United Kingdom'),
(2252, '31.172.246.96', '31.172.246.103', 531428960, 531428967, 'IT', 'Italy'),
(2253, '31.172.246.104', '31.172.246.111', 531428968, 531428975, 'GB', 'United Kingdom'),
(2254, '31.172.246.112', '31.172.246.119', 531428976, 531428983, 'IT', 'Italy'),
(2255, '31.172.246.120', '31.172.247.15', 531428984, 531429135, 'GB', 'United Kingdom'),
(2256, '31.172.247.16', '31.172.247.23', 531429136, 531429143, 'IT', 'Italy'),
(2257, '31.172.247.24', '31.172.248.31', 531429144, 531429407, 'GB', 'United Kingdom'),
(2258, '31.172.248.32', '31.172.248.39', 531429408, 531429415, 'IT', 'Italy'),
(2259, '31.172.248.40', '31.172.248.103', 531429416, 531429479, 'GB', 'United Kingdom'),
(2260, '31.172.248.104', '31.172.248.111', 531429480, 531429487, 'IT', 'Italy'),
(2261, '31.172.248.112', '31.172.249.247', 531429488, 531429879, 'GB', 'United Kingdom'),
(2262, '31.172.249.248', '31.172.249.255', 531429880, 531429887, 'IT', 'Italy'),
(2263, '31.172.250.0', '31.172.251.255', 531429888, 531430399, 'GB', 'United Kingdom'),
(2264, '31.172.252.0', '31.172.252.7', 531430400, 531430407, 'IT', 'Italy'),
(2265, '31.172.252.8', '31.172.252.175', 531430408, 531430575, 'GB', 'United Kingdom'),
(2266, '31.172.252.176', '31.172.252.183', 531430576, 531430583, 'IT', 'Italy'),
(2267, '31.172.252.184', '31.172.252.255', 531430584, 531430655, 'GB', 'United Kingdom'),
(2268, '31.172.253.0', '31.172.253.15', 531430656, 531430671, 'IT', 'Italy'),
(2269, '31.172.253.16', '31.172.253.183', 531430672, 531430839, 'GB', 'United Kingdom'),
(2270, '31.172.253.184', '31.172.253.199', 531430840, 531430855, 'IT', 'Italy'),
(2271, '31.172.253.200', '31.172.254.119', 531430856, 531431031, 'GB', 'United Kingdom'),
(2272, '31.172.254.120', '31.172.254.127', 531431032, 531431039, 'IT', 'Italy'),
(2273, '31.172.254.128', '31.172.255.255', 531431040, 531431423, 'GB', 'United Kingdom'),
(2274, '31.173.0.0', '31.173.255.255', 531431424, 531496959, 'RO', 'Romania'),
(2275, '31.174.0.0', '31.175.255.255', 531496960, 531628031, 'PL', 'Poland'),
(2276, '31.176.0.0', '31.176.127.255', 531628032, 531660799, 'TR', 'Turkey'),
(2277, '31.176.128.0', '31.176.255.255', 531660800, 531693567, 'BA', 'Bosnia and Herzegovina'),
(2278, '31.177.0.0', '31.177.7.255', 531693568, 531695615, 'RU', 'Russian Federation'),
(2279, '31.177.8.0', '31.177.15.255', 531695616, 531697663, 'LT', 'Lithuania'),
(2280, '31.177.16.0', '31.177.23.255', 531697664, 531699711, 'GB', 'United Kingdom'),
(2281, '31.177.24.0', '31.177.31.255', 531699712, 531701759, 'CZ', 'Czech Republic'),
(2282, '31.177.32.0', '31.177.39.255', 531701760, 531703807, 'NL', 'Netherlands'),
(2283, '31.177.40.0', '31.177.47.255', 531703808, 531705855, 'IT', 'Italy'),
(2284, '31.177.48.0', '31.177.55.255', 531705856, 531707903, 'ES', 'Spain'),
(2285, '31.177.56.0', '31.177.63.255', 531707904, 531709951, 'GR', 'Greece'),
(2286, '31.177.64.0', '31.177.95.255', 531709952, 531718143, 'RU', 'Russian Federation'),
(2287, '31.177.96.0', '31.177.103.255', 531718144, 531720191, 'ES', 'Spain'),
(2288, '31.177.104.0', '31.177.111.255', 531720192, 531722239, 'RU', 'Russian Federation'),
(2289, '31.177.112.0', '31.177.119.255', 531722240, 531724287, 'IT', 'Italy'),
(2290, '31.177.120.0', '31.177.127.255', 531724288, 531726335, 'DE', 'Germany'),
(2291, '31.177.128.0', '31.177.255.255', 531726336, 531759103, 'TR', 'Turkey'),
(2292, '31.178.0.0', '31.179.255.255', 531759104, 531890175, 'PL', 'Poland'),
(2293, '31.180.0.0', '31.181.255.255', 531890176, 532021247, 'RU', 'Russian Federation'),
(2294, '31.182.0.0', '31.183.255.255', 532021248, 532152319, 'PL', 'Poland'),
(2295, '31.184.0.0', '31.184.63.255', 532152320, 532168703, 'DE', 'Germany'),
(2296, '31.184.64.0', '31.184.127.255', 532168704, 532185087, 'NL', 'Netherlands'),
(2297, '31.184.128.0', '31.184.191.255', 532185088, 532201471, 'IR', 'Iran, Islamic Republic of'),
(2298, '31.184.192.0', '31.184.226.255', 532201472, 532210431, 'RU', 'Russian Federation'),
(2299, '31.184.227.0', '31.184.227.255', 532210432, 532210687, 'LV', 'Latvia'),
(2300, '31.184.228.0', '31.184.231.255', 532210688, 532211711, 'RU', 'Russian Federation'),
(2301, '31.184.232.0', '31.184.233.255', 532211712, 532212223, 'LU', 'Luxembourg'),
(2302, '31.184.234.0', '31.184.234.255', 532212224, 532212479, 'RU', 'Russian Federation'),
(2303, '31.184.235.0', '31.184.235.255', 532212480, 532212735, 'UA', 'Ukraine'),
(2304, '31.184.236.0', '31.184.243.255', 532212736, 532214783, 'RU', 'Russian Federation'),
(2305, '31.184.244.0', '31.184.245.255', 532214784, 532215295, 'AE', 'United Arab Emirates'),
(2306, '31.184.246.0', '31.185.15.255', 532215296, 532221951, 'RU', 'Russian Federation'),
(2307, '31.185.16.0', '31.185.23.255', 532221952, 532223999, 'IT', 'Italy'),
(2308, '31.185.24.0', '31.185.31.255', 532224000, 532226047, 'NO', 'Norway'),
(2309, '31.185.32.0', '31.185.63.255', 532226048, 532234239, 'GB', 'United Kingdom'),
(2310, '31.185.64.0', '31.185.95.255', 532234240, 532242431, 'DK', 'Denmark'),
(2311, '31.185.96.0', '31.185.103.255', 532242432, 532244479, 'IT', 'Italy'),
(2312, '31.185.104.0', '31.185.111.255', 532244480, 532246527, 'DE', 'Germany'),
(2313, '31.185.112.0', '31.185.127.255', 532246528, 532250623, 'BA', 'Bosnia and Herzegovina'),
(2314, '31.185.128.0', '31.185.255.255', 532250624, 532283391, 'GB', 'United Kingdom'),
(2315, '31.186.0.0', '31.186.31.255', 532283392, 532291583, 'TR', 'Turkey'),
(2316, '31.186.32.0', '31.186.39.255', 532291584, 532293631, 'IE', 'Ireland'),
(2317, '31.186.40.0', '31.186.47.255', 532293632, 532295679, 'IT', 'Italy'),
(2318, '31.186.48.0', '31.186.55.255', 532295680, 532297727, 'KG', 'Kyrgyzstan'),
(2319, '31.186.56.0', '31.186.79.255', 532297728, 532303871, 'RU', 'Russian Federation'),
(2320, '31.186.80.0', '31.186.87.255', 532303872, 532305919, 'PL', 'Poland'),
(2321, '31.186.88.0', '31.186.95.255', 532305920, 532307967, 'NO', 'Norway'),
(2322, '31.186.96.0', '31.186.103.255', 532307968, 532310015, 'RU', 'Russian Federation'),
(2323, '31.186.104.0', '31.186.111.255', 532310016, 532312063, 'GR', 'Greece'),
(2324, '31.186.112.0', '31.186.114.255', 532312064, 532312831, 'JE', 'Jersey'),
(2325, '31.186.115.0', '31.186.115.112', 532312832, 532312944, 'GB', 'United Kingdom'),
(2326, '31.186.115.113', '31.186.115.127', 532312945, 532312959, 'JE', 'Jersey'),
(2327, '31.186.115.128', '31.186.115.228', 532312960, 532313060, 'GB', 'United Kingdom'),
(2328, '31.186.115.229', '31.186.119.255', 532313061, 532314111, 'JE', 'Jersey'),
(2329, '31.186.120.0', '31.186.127.255', 532314112, 532316159, 'DE', 'Germany'),
(2330, '31.186.128.0', '31.186.159.255', 532316160, 532324351, 'RU', 'Russian Federation'),
(2331, '31.186.160.0', '31.186.175.255', 532324352, 532328447, 'NL', 'Netherlands'),
(2332, '31.186.176.0', '31.186.183.255', 532328448, 532330495, 'PS', 'Palestinian Territory, Occupied'),
(2333, '31.186.184.0', '31.186.191.255', 532330496, 532332543, 'CZ', 'Czech Republic'),
(2334, '31.186.192.0', '31.186.223.255', 532332544, 532340735, 'PL', 'Poland'),
(2335, '31.186.224.0', '31.186.225.255', 532340736, 532341247, 'US', 'United States'),
(2336, '31.186.226.0', '31.186.255.255', 532341248, 532348927, 'GB', 'United Kingdom'),
(2337, '31.187.0.0', '31.187.63.255', 532348928, 532365311, 'PL', 'Poland'),
(2338, '31.187.64.0', '31.187.95.255', 532365312, 532373503, 'DE', 'Germany'),
(2339, '31.187.96.0', '31.187.103.255', 532373504, 532375551, 'RU', 'Russian Federation'),
(2340, '31.187.104.0', '31.187.111.255', 532375552, 532377599, 'IT', 'Italy'),
(2341, '31.187.112.0', '31.187.127.255', 532377600, 532381695, 'DE', 'Germany'),
(2342, '31.187.128.0', '31.187.255.255', 532381696, 532414463, 'NL', 'Netherlands'),
(2343, '31.188.0.0', '31.191.255.255', 532414464, 532676607, 'IT', 'Italy'),
(2344, '31.192.0.0', '31.192.63.255', 532676608, 532692991, 'GE', 'Georgia'),
(2345, '31.192.64.0', '31.192.95.255', 532692992, 532701183, 'CZ', 'Czech Republic'),
(2346, '31.192.96.0', '31.192.103.255', 532701184, 532703231, 'GB', 'United Kingdom'),
(2347, '31.192.104.0', '31.192.105.191', 532703232, 532703679, 'RU', 'Russian Federation'),
(2348, '31.192.105.192', '31.192.105.255', 532703680, 532703743, 'IN', 'India'),
(2349, '31.192.106.0', '31.192.108.255', 532703744, 532704511, 'RU', 'Russian Federation'),
(2350, '31.192.109.0', '31.192.109.255', 532704512, 532704767, 'IN', 'India'),
(2351, '31.192.110.0', '31.192.111.255', 532704768, 532705279, 'RU', 'Russian Federation'),
(2352, '31.192.112.0', '31.192.127.255', 532705280, 532709375, 'NL', 'Netherlands'),
(2353, '31.192.128.0', '31.192.191.255', 532709376, 532725759, 'RU', 'Russian Federation'),
(2354, '31.192.192.0', '31.192.207.255', 532725760, 532729855, 'SE', 'Sweden'),
(2355, '31.192.208.0', '31.192.215.255', 532729856, 532731903, 'TR', 'Turkey'),
(2356, '31.192.216.0', '31.192.223.255', 532731904, 532733951, 'PL', 'Poland'),
(2357, '31.192.224.0', '31.192.224.255', 532733952, 532734207, 'SE', 'Sweden'),
(2358, '31.192.225.0', '31.192.225.255', 532734208, 532734463, 'US', 'United States'),
(2359, '31.192.226.0', '31.192.231.255', 532734464, 532735999, 'SE', 'Sweden'),
(2360, '31.192.232.0', '31.192.239.255', 532736000, 532738047, 'RU', 'Russian Federation'),
(2361, '31.192.240.0', '31.192.240.255', 532738048, 532738303, 'GB', 'United Kingdom'),
(2362, '31.192.241.0', '31.192.241.255', 532738304, 532738559, 'IN', 'India'),
(2363, '31.192.242.0', '31.192.247.255', 532738560, 532740095, 'GB', 'United Kingdom'),
(2364, '31.192.248.0', '31.192.255.255', 532740096, 532742143, 'KG', 'Kyrgyzstan'),
(2365, '31.193.0.0', '31.193.15.255', 532742144, 532746239, 'GB', 'United Kingdom'),
(2366, '31.193.16.0', '31.193.39.255', 532746240, 532752383, 'IT', 'Italy'),
(2367, '31.193.40.0', '31.193.47.255', 532752384, 532754431, 'BE', 'Belgium'),
(2368, '31.193.48.0', '31.193.55.255', 532754432, 532756479, 'FR', 'France'),
(2369, '31.193.56.0', '31.193.63.255', 532756480, 532758527, 'IT', 'Italy'),
(2370, '31.193.64.0', '31.193.79.255', 532758528, 532762623, 'SY', 'Syrian Arab Republic'),
(2371, '31.193.80.0', '31.193.95.255', 532762624, 532766719, 'UA', 'Ukraine'),
(2372, '31.193.96.0', '31.193.103.255', 532766720, 532768767, 'PL', 'Poland'),
(2373, '31.193.104.0', '31.193.111.255', 532768768, 532770815, 'NL', 'Netherlands'),
(2374, '31.193.112.0', '31.193.119.255', 532770816, 532772863, 'IR', 'Iran, Islamic Republic of'),
(2375, '31.193.120.0', '31.193.127.255', 532772864, 532774911, 'RU', 'Russian Federation'),
(2376, '31.193.128.0', '31.193.143.255', 532774912, 532779007, 'GB', 'United Kingdom'),
(2377, '31.193.144.0', '31.193.159.255', 532779008, 532783103, 'IR', 'Iran, Islamic Republic of'),
(2378, '31.193.160.0', '31.193.167.255', 532783104, 532785151, 'AT', 'Austria'),
(2379, '31.193.168.0', '31.193.175.255', 532785152, 532787199, 'GB', 'United Kingdom'),
(2380, '31.193.176.0', '31.193.183.255', 532787200, 532789247, 'BE', 'Belgium'),
(2381, '31.193.184.0', '31.193.191.255', 532789248, 532791295, 'DK', 'Denmark'),
(2382, '31.193.192.0', '31.193.199.255', 532791296, 532793343, 'LT', 'Lithuania'),
(2383, '31.193.200.0', '31.193.207.255', 532793344, 532795391, 'SE', 'Sweden'),
(2384, '31.193.208.0', '31.193.215.255', 532795392, 532797439, 'CH', 'Switzerland'),
(2385, '31.193.216.0', '31.193.223.255', 532797440, 532799487, 'IE', 'Ireland'),
(2386, '31.193.224.0', '31.193.231.255', 532799488, 532801535, 'ES', 'Spain'),
(2387, '31.193.232.0', '31.193.239.255', 532801536, 532803583, 'DK', 'Denmark'),
(2388, '31.193.240.0', '31.193.247.255', 532803584, 532805631, 'FR', 'France'),
(2389, '31.193.248.0', '31.193.255.255', 532805632, 532807679, 'SE', 'Sweden'),
(2390, '31.194.0.0', '31.199.255.255', 532807680, 533200895, 'IT', 'Italy'),
(2391, '31.200.0.0', '31.200.127.255', 533200896, 533233663, 'TR', 'Turkey'),
(2392, '31.200.128.0', '31.200.191.255', 533233664, 533250047, 'IE', 'Ireland'),
(2393, '31.200.192.0', '31.200.207.255', 533250048, 533254143, 'RU', 'Russian Federation'),
(2394, '31.200.208.0', '31.200.215.255', 533254144, 533256191, 'NL', 'Netherlands'),
(2395, '31.200.216.0', '31.200.239.255', 533256192, 533262335, 'RU', 'Russian Federation'),
(2396, '31.200.240.0', '31.200.247.255', 533262336, 533264383, 'ES', 'Spain'),
(2397, '31.200.248.0', '31.200.255.255', 533264384, 533266431, 'RU', 'Russian Federation'),
(2398, '31.201.0.0', '31.201.0.3', 533266432, 533266435, 'US', 'United States'),
(2399, '31.201.0.4', '31.201.0.7', 533266436, 533266439, 'CN', 'China'),
(2400, '31.201.0.8', '31.201.0.11', 533266440, 533266443, 'JP', 'Japan'),
(2401, '31.201.0.12', '31.201.0.15', 533266444, 533266447, 'DE', 'Germany'),
(2402, '31.201.0.16', '31.201.0.19', 533266448, 533266451, 'FR', 'France'),
(2403, '31.201.0.20', '31.201.0.23', 533266452, 533266455, 'GB', 'United Kingdom'),
(2404, '31.201.0.24', '31.201.0.27', 533266456, 533266459, 'BR', 'Brazil'),
(2405, '31.201.0.28', '31.201.0.31', 533266460, 533266463, 'IT', 'Italy'),
(2406, '31.201.0.32', '31.201.0.35', 533266464, 533266467, 'CA', 'Canada'),
(2407, '31.201.0.36', '31.201.0.39', 533266468, 533266471, 'IN', 'India'),
(2408, '31.201.0.40', '31.201.0.43', 533266472, 533266475, 'RU', 'Russian Federation'),
(2409, '31.201.0.44', '31.201.0.47', 533266476, 533266479, 'ES', 'Spain'),
(2410, '31.201.0.48', '31.201.0.51', 533266480, 533266483, 'AU', 'Australia'),
(2411, '31.201.0.52', '31.201.0.55', 533266484, 533266487, 'MX', 'Mexico'),
(2412, '31.201.0.56', '31.201.0.59', 533266488, 533266491, 'KR', 'Korea, Republic of'),
(2413, '31.201.0.60', '31.201.0.63', 533266492, 533266495, 'NL', 'Netherlands'),
(2414, '31.201.0.64', '31.201.0.67', 533266496, 533266499, 'TR', 'Turkey'),
(2415, '31.201.0.68', '31.201.0.71', 533266500, 533266503, 'ID', 'Indonesia'),
(2416, '31.201.0.72', '31.201.0.75', 533266504, 533266507, 'CH', 'Switzerland'),
(2417, '31.201.0.76', '31.201.0.79', 533266508, 533266511, 'PL', 'Poland'),
(2418, '31.201.0.80', '31.201.0.83', 533266512, 533266515, 'BE', 'Belgium'),
(2419, '31.201.0.84', '31.201.0.87', 533266516, 533266519, 'SE', 'Sweden'),
(2420, '31.201.0.88', '31.201.0.91', 533266520, 533266523, 'SA', 'Saudi Arabia'),
(2421, '31.201.0.92', '31.201.0.95', 533266524, 533266527, 'TW', 'Taiwan'),
(2422, '31.201.0.96', '31.201.0.99', 533266528, 533266531, 'SJ', 'Svalbard and Jan Mayen'),
(2423, '31.201.0.100', '31.201.0.103', 533266532, 533266535, 'AT', 'Austria'),
(2424, '31.201.0.104', '31.201.0.107', 533266536, 533266539, 'AR', 'Argentina'),
(2425, '31.201.0.108', '31.201.0.111', 533266540, 533266543, 'ZA', 'South Africa'),
(2426, '31.201.0.112', '31.201.0.115', 533266544, 533266547, 'IR', 'Iran, Islamic Republic of'),
(2427, '31.201.0.116', '31.201.0.119', 533266548, 533266551, 'TH', 'Thailand'),
(2428, '31.201.0.120', '31.201.0.123', 533266552, 533266555, 'DK', 'Denmark'),
(2429, '31.201.0.124', '31.201.0.127', 533266556, 533266559, 'GR', 'Greece'),
(2430, '31.201.0.128', '31.201.0.131', 533266560, 533266563, 'AE', 'United Arab Emirates'),
(2431, '31.201.0.132', '31.201.0.135', 533266564, 533266567, 'VE', 'Venezuela'),
(2432, '31.201.0.136', '31.201.0.139', 533266568, 533266571, 'CO', 'Colombia'),
(2433, '31.201.0.140', '31.201.0.143', 533266572, 533266575, 'FI', 'Finland'),
(2434, '31.201.0.144', '31.201.0.147', 533266576, 533266579, 'MV', 'Maldives'),
(2435, '31.201.0.148', '31.201.0.151', 533266580, 533266583, 'PT', 'Portugal'),
(2436, '31.201.0.152', '31.201.0.155', 533266584, 533266587, 'HK', 'Hong Kong'),
(2437, '31.201.0.156', '31.201.0.159', 533266588, 533266591, 'SG', 'Singapore'),
(2438, '31.201.0.160', '31.201.0.163', 533266592, 533266595, 'EG', 'Egypt'),
(2439, '31.201.0.164', '31.201.0.167', 533266596, 533266599, 'NG', 'Nigeria'),
(2440, '31.201.0.168', '31.201.0.171', 533266600, 533266603, 'IL', 'Israel'),
(2441, '31.201.0.172', '31.201.0.175', 533266604, 533266607, 'IE', 'Ireland'),
(2442, '31.201.0.176', '31.201.0.179', 533266608, 533266611, 'CL', 'Chile'),
(2443, '31.201.0.180', '31.201.0.183', 533266612, 533266615, 'CZ', 'Czech Republic'),
(2444, '31.201.0.184', '31.201.0.187', 533266616, 533266619, 'PH', 'Philippines'),
(2445, '31.201.0.188', '31.201.0.191', 533266620, 533266623, 'PK', 'Pakistan'),
(2446, '31.201.0.192', '31.201.0.195', 533266624, 533266627, 'RO', 'Romania'),
(2447, '31.201.0.196', '31.201.0.199', 533266628, 533266631, 'DZ', 'Algeria'),
(2448, '31.201.0.200', '31.201.0.203', 533266632, 533266635, 'PE', 'Peru'),
(2449, '31.201.0.204', '31.201.0.207', 533266636, 533266639, 'NZ', 'New Zealand'),
(2450, '31.201.0.208', '31.201.0.211', 533266640, 533266643, 'KZ', 'Kazakhstan'),
(2451, '31.201.0.212', '31.201.0.215', 533266644, 533266647, 'UA', 'Ukraine'),
(2452, '31.201.0.216', '31.201.0.219', 533266648, 533266651, 'KW', 'Kuwait'),
(2453, '31.201.0.220', '31.201.0.223', 533266652, 533266655, 'QA', 'Qatar'),
(2454, '31.201.0.224', '31.201.0.255', 533266656, 533266687, 'DE', 'Germany'),
(2455, '31.201.1.0', '31.201.1.3', 533266688, 533266691, 'HU', 'Hungary'),
(2456, '31.201.1.4', '31.201.1.7', 533266692, 533266695, 'BD', 'Bangladesh'),
(2457, '31.201.1.8', '31.201.1.11', 533266696, 533266699, 'VN', 'Vietnam'),
(2458, '31.201.1.12', '31.201.1.15', 533266700, 533266703, 'MA', 'Morocco'),
(2459, '31.201.1.16', '31.201.1.19', 533266704, 533266707, 'SK', 'Slovakia'),
(2460, '31.201.1.20', '31.201.1.23', 533266708, 533266711, 'AO', 'Angola'),
(2461, '31.201.1.24', '31.201.1.27', 533266712, 533266715, 'IQ', 'Iraq'),
(2462, '31.201.1.28', '31.201.1.31', 533266716, 533266719, 'LY', 'Libyan Arab Jamahiriya'),
(2463, '31.201.1.32', '31.201.1.35', 533266720, 533266723, 'SD', 'Sudan'),
(2464, '31.201.1.36', '31.201.1.39', 533266724, 533266727, 'EC', 'Ecuador'),
(2465, '31.201.1.40', '31.201.1.43', 533266728, 533266731, 'HR', 'Croatia'),
(2466, '31.201.1.44', '31.201.1.47', 533266732, 533266735, 'SY', 'Syrian Arab Republic'),
(2467, '31.201.1.48', '31.201.1.51', 533266736, 533266739, 'OM', 'Oman'),
(2468, '31.201.1.52', '31.201.1.55', 533266740, 533266743, 'BY', 'Belarus'),
(2469, '31.201.1.56', '31.201.1.59', 533266744, 533266747, 'LU', 'Luxembourg'),
(2470, '31.201.1.60', '31.201.1.63', 533266748, 533266751, 'AZ', 'Azerbaijan'),
(2471, '31.201.1.64', '31.201.1.67', 533266752, 533266755, 'DO', 'Dominican Republic'),
(2472, '31.201.1.68', '31.201.1.71', 533266756, 533266759, 'LK', 'Sri Lanka'),
(2473, '31.201.1.72', '31.201.1.75', 533266760, 533266763, 'SI', 'Slovenia'),
(2474, '31.201.1.76', '31.201.1.79', 533266764, 533266767, 'FR', 'France'),
(2475, '31.201.1.80', '31.201.1.83', 533266768, 533266771, 'BG', 'Bulgaria'),
(2476, '31.201.1.84', '31.201.1.87', 533266772, 533266775, 'TN', 'Tunisia'),
(2477, '31.201.1.88', '31.201.1.91', 533266776, 533266779, 'GT', 'Guatemala'),
(2478, '31.201.1.92', '31.201.1.95', 533266780, 533266783, 'UY', 'Uruguay'),
(2479, '31.201.1.96', '31.201.1.99', 533266784, 533266787, 'LB', 'Lebanon'),
(2480, '31.201.1.100', '31.201.1.103', 533266788, 533266791, 'UZ', 'Uzbekistan'),
(2481, '31.201.1.104', '31.201.1.107', 533266792, 533266795, 'RS', 'Serbia'),
(2482, '31.201.1.108', '31.201.1.111', 533266796, 533266799, 'LT', 'Lithuania'),
(2483, '31.201.1.112', '31.201.1.115', 533266800, 533266803, 'MM', 'Myanmar'),
(2484, '31.201.1.116', '31.201.1.119', 533266804, 533266807, 'CR', 'Costa Rica'),
(2485, '31.201.1.120', '31.201.1.123', 533266808, 533266811, 'KE', 'Kenya'),
(2486, '31.201.1.124', '31.201.1.127', 533266812, 533266815, 'ET', 'Ethiopia'),
(2487, '31.201.1.128', '31.201.1.131', 533266816, 533266819, 'YE', 'Yemen'),
(2488, '31.201.1.132', '31.201.1.135', 533266820, 533266823, 'PA', 'Panama'),
(2489, '31.201.1.136', '31.201.1.139', 533266824, 533266827, 'JO', 'Jordan'),
(2490, '31.201.1.140', '31.201.1.143', 533266828, 533266831, 'LV', 'Latvia'),
(2491, '31.201.1.144', '31.201.1.147', 533266832, 533266835, 'CY', 'Cyprus'),
(2492, '31.201.1.148', '31.201.1.151', 533266836, 533266839, 'TZ', 'Tanzania, United Republic of'),
(2493, '31.201.1.152', '31.201.1.155', 533266840, 533266843, 'CI', 'Cote D''Ivoire'),
(2494, '31.201.1.156', '31.201.1.159', 533266844, 533266847, 'CM', 'Cameroon'),
(2495, '31.201.1.160', '31.201.1.163', 533266848, 533266851, 'SV', 'El Salvador'),
(2496, '31.201.1.164', '31.201.1.167', 533266852, 533266855, 'BH', 'Bahrain'),
(2497, '31.201.1.168', '31.201.1.171', 533266856, 533266859, 'TT', 'Trinidad and Tobago'),
(2498, '31.201.1.172', '31.201.1.175', 533266860, 533266863, 'EE', 'Estonia'),
(2499, '31.201.1.176', '31.201.1.179', 533266864, 533266867, 'BO', 'Bolivia'),
(2500, '31.201.1.180', '31.201.1.183', 533266868, 533266871, 'GH', 'Ghana'),
(2501, '31.201.1.184', '31.201.1.187', 533266872, 533266875, 'PY', 'Paraguay'),
(2502, '31.201.1.188', '31.201.1.191', 533266876, 533266879, 'UG', 'Uganda'),
(2503, '31.201.1.192', '31.201.1.195', 533266880, 533266883, 'AF', 'Afghanistan'),
(2504, '31.201.1.196', '31.201.1.199', 533266884, 533266887, 'BA', 'Bosnia and Herzegovina'),
(2505, '31.201.1.200', '31.201.1.203', 533266888, 533266891, 'ZM', 'Zambia'),
(2506, '31.201.1.204', '31.201.1.207', 533266892, 533266895, 'HN', 'Honduras'),
(2507, '31.201.1.208', '31.201.1.211', 533266896, 533266899, 'NP', 'Nepal'),
(2508, '31.201.1.212', '31.201.1.215', 533266900, 533266903, 'GQ', 'Equatorial Guinea'),
(2509, '31.201.1.216', '31.201.1.219', 533266904, 533266907, 'JM', 'Jamaica'),
(2510, '31.201.1.220', '31.201.1.223', 533266908, 533266911, 'IS', 'Iceland'),
(2511, '31.201.1.224', '31.201.1.255', 533266912, 533266943, 'DE', 'Germany'),
(2512, '31.201.2.0', '31.201.2.3', 533266944, 533266947, 'SN', 'Senegal'),
(2513, '31.201.2.4', '31.201.2.7', 533266948, 533266951, 'CD', 'Congo, The Democratic Republic of the'),
(2514, '31.201.2.8', '31.201.2.11', 533266952, 533266955, 'GA', 'Gabon'),
(2515, '31.201.2.12', '31.201.2.15', 533266956, 533266959, 'US', 'United States'),
(2516, '31.201.2.16', '31.201.2.19', 533266960, 533266963, 'BN', 'Brunei Darussalam'),
(2517, '31.201.2.20', '31.201.2.23', 533266964, 533266967, 'CG', 'Congo'),
(2518, '31.201.2.24', '31.201.2.27', 533266968, 533266971, 'AL', 'Albania'),
(2519, '31.201.2.28', '31.201.2.31', 533266972, 533266975, 'NA', 'Namibia'),
(2520, '31.201.2.32', '31.201.2.35', 533266976, 533266979, 'KH', 'Cambodia'),
(2521, '31.201.2.36', '31.201.2.39', 533266980, 533266983, 'GE', 'Georgia'),
(2522, '31.201.2.40', '31.201.2.43', 533266984, 533266987, 'MK', 'Macedonia'),
(2523, '31.201.2.44', '31.201.2.47', 533266988, 533266991, 'MU', 'Mauritius'),
(2524, '31.201.2.48', '31.201.2.51', 533266992, 533266995, 'ML', 'Mali'),
(2525, '31.201.2.52', '31.201.2.55', 533266996, 533266999, 'AM', 'Armenia'),
(2526, '31.201.2.56', '31.201.2.59', 533267000, 533267003, 'PG', 'Papua New Guinea'),
(2527, '31.201.2.60', '31.201.2.63', 533267004, 533267007, 'BF', 'Burkina Faso'),
(2528, '31.201.2.64', '31.201.2.67', 533267008, 533267011, 'MG', 'Madagascar'),
(2529, '31.201.2.68', '31.201.2.71', 533267012, 533267015, 'MT', 'Malta'),
(2530, '31.201.2.72', '31.201.2.75', 533267016, 533267019, 'TD', 'Chad');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(2531, '31.201.2.76', '31.201.2.79', 533267020, 533267023, 'BS', 'Bahamas'),
(2532, '31.201.2.80', '31.201.2.83', 533267024, 533267027, 'HT', 'Haiti'),
(2533, '31.201.2.84', '31.201.2.87', 533267028, 533267031, 'BJ', 'Benin'),
(2534, '31.201.2.88', '31.201.2.91', 533267032, 533267035, 'NI', 'Nicaragua'),
(2535, '31.201.2.92', '31.201.2.95', 533267036, 533267039, 'LS', 'Lesotho'),
(2536, '31.201.2.96', '31.201.2.99', 533267040, 533267043, 'MN', 'Mongolia'),
(2537, '31.201.2.100', '31.201.2.103', 533267044, 533267047, 'RW', 'Rwanda'),
(2538, '31.201.2.104', '31.201.2.107', 533267048, 533267051, 'NE', 'Niger'),
(2539, '31.201.2.108', '31.201.2.111', 533267052, 533267055, 'TJ', 'Tajikistan'),
(2540, '31.201.2.112', '31.201.2.115', 533267056, 533267059, 'ZW', 'Zimbabwe'),
(2541, '31.201.2.116', '31.201.2.119', 533267060, 533267063, 'MD', 'Moldova, Republic of'),
(2542, '31.201.2.120', '31.201.2.123', 533267064, 533267067, 'MW', 'Malawi'),
(2543, '31.201.2.124', '31.201.2.127', 533267068, 533267071, 'KG', 'Kyrgyzstan'),
(2544, '31.201.2.128', '31.201.2.131', 533267072, 533267075, 'GN', 'Guinea'),
(2545, '31.201.2.132', '31.201.2.135', 533267076, 533267079, 'BB', 'Barbados'),
(2546, '31.201.2.136', '31.201.2.139', 533267080, 533267083, 'ME', 'Montenegro'),
(2547, '31.201.2.140', '31.201.2.143', 533267084, 533267087, 'MR', 'Mauritania'),
(2548, '31.201.2.144', '31.201.2.147', 533267088, 533267091, 'SR', 'Suriname'),
(2549, '31.201.2.148', '31.201.2.151', 533267092, 533267095, 'SZ', 'Swaziland'),
(2550, '31.201.2.152', '31.201.2.155', 533267096, 533267099, 'FJ', 'Fiji'),
(2551, '31.201.2.156', '31.201.2.159', 533267100, 533267103, 'TG', 'Togo'),
(2552, '31.201.2.160', '31.201.2.163', 533267104, 533267107, 'ER', 'Eritrea'),
(2553, '31.201.2.164', '31.201.2.167', 533267108, 533267111, 'GY', 'Guyana'),
(2554, '31.201.2.168', '31.201.2.171', 533267112, 533267115, 'CF', 'Central African Republic'),
(2555, '31.201.2.172', '31.201.2.175', 533267116, 533267119, 'SL', 'Sierra Leone'),
(2556, '31.201.2.176', '31.201.2.179', 533267120, 533267123, 'LS', 'Lesotho'),
(2557, '31.201.2.180', '31.201.2.183', 533267124, 533267127, 'CV', 'Cape Verde'),
(2558, '31.201.2.184', '31.201.2.187', 533267128, 533267131, 'BI', 'Burundi'),
(2559, '31.201.2.188', '31.201.2.191', 533267132, 533267135, 'MV', 'Maldives'),
(2560, '31.201.2.192', '31.201.2.195', 533267136, 533267139, 'BZ', 'Belize'),
(2561, '31.201.2.196', '31.201.2.199', 533267140, 533267143, 'BT', 'Bhutan'),
(2562, '31.201.2.200', '31.201.2.203', 533267144, 533267147, 'DJ', 'Djibouti'),
(2563, '31.201.2.204', '31.201.2.207', 533267148, 533267151, 'AG', 'Antigua and Barbuda'),
(2564, '31.201.2.208', '31.201.2.211', 533267152, 533267155, 'GM', 'Gambia'),
(2565, '31.201.2.212', '31.201.2.215', 533267156, 533267159, 'LC', 'Saint Lucia'),
(2566, '31.201.2.216', '31.201.2.219', 533267160, 533267163, 'LR', 'Liberia'),
(2567, '31.201.2.220', '31.201.2.223', 533267164, 533267167, 'SC', 'Seychelles'),
(2568, '31.201.2.224', '31.201.2.255', 533267168, 533267199, 'DE', 'Germany'),
(2569, '31.201.3.0', '31.201.3.223', 533267200, 533267423, 'US', 'United States'),
(2570, '31.201.3.224', '31.201.3.255', 533267424, 533267455, 'DE', 'Germany'),
(2571, '31.201.4.0', '31.201.4.223', 533267456, 533267679, 'CN', 'China'),
(2572, '31.201.4.224', '31.201.4.255', 533267680, 533267711, 'DE', 'Germany'),
(2573, '31.201.5.0', '31.201.5.223', 533267712, 533267935, 'JP', 'Japan'),
(2574, '31.201.5.224', '31.201.6.255', 533267936, 533268223, 'DE', 'Germany'),
(2575, '31.201.7.0', '31.201.7.223', 533268224, 533268447, 'FR', 'France'),
(2576, '31.201.7.224', '31.201.7.255', 533268448, 533268479, 'DE', 'Germany'),
(2577, '31.201.8.0', '31.201.8.223', 533268480, 533268703, 'GB', 'United Kingdom'),
(2578, '31.201.8.224', '31.201.8.255', 533268704, 533268735, 'DE', 'Germany'),
(2579, '31.201.9.0', '31.201.9.223', 533268736, 533268959, 'BR', 'Brazil'),
(2580, '31.201.9.224', '31.201.9.255', 533268960, 533268991, 'DE', 'Germany'),
(2581, '31.201.10.0', '31.201.10.223', 533268992, 533269215, 'IT', 'Italy'),
(2582, '31.201.10.224', '31.201.10.255', 533269216, 533269247, 'DE', 'Germany'),
(2583, '31.201.11.0', '31.201.11.223', 533269248, 533269471, 'CA', 'Canada'),
(2584, '31.201.11.224', '31.201.11.255', 533269472, 533269503, 'DE', 'Germany'),
(2585, '31.201.12.0', '31.201.12.223', 533269504, 533269727, 'IN', 'India'),
(2586, '31.201.12.224', '31.201.12.255', 533269728, 533269759, 'DE', 'Germany'),
(2587, '31.201.13.0', '31.201.13.223', 533269760, 533269983, 'ES', 'Spain'),
(2588, '31.201.13.224', '31.201.13.255', 533269984, 533270015, 'DE', 'Germany'),
(2589, '31.201.14.0', '31.201.14.223', 533270016, 533270239, 'AU', 'Australia'),
(2590, '31.201.14.224', '31.201.14.255', 533270240, 533270271, 'DE', 'Germany'),
(2591, '31.201.15.0', '31.201.15.223', 533270272, 533270495, 'KR', 'Korea, Republic of'),
(2592, '31.201.15.224', '31.201.15.255', 533270496, 533270527, 'DE', 'Germany'),
(2593, '31.201.16.0', '31.201.16.223', 533270528, 533270751, 'NL', 'Netherlands'),
(2594, '31.201.16.224', '31.201.16.255', 533270752, 533270783, 'DE', 'Germany'),
(2595, '31.201.17.0', '31.201.17.255', 533270784, 533271039, 'DK', 'Denmark'),
(2596, '31.201.18.0', '31.201.18.255', 533271040, 533271295, 'EE', 'Estonia'),
(2597, '31.201.19.0', '31.201.19.255', 533271296, 533271551, 'FO', 'Faroe Islands'),
(2598, '31.201.20.0', '31.201.20.255', 533271552, 533271807, 'GE', 'Georgia'),
(2599, '31.201.21.0', '31.201.21.255', 533271808, 533272063, 'FR', 'France'),
(2600, '31.201.22.0', '31.201.22.255', 533272064, 533272319, 'DE', 'Germany'),
(2601, '31.201.23.0', '31.201.23.255', 533272320, 533272575, 'GI', 'Gibraltar'),
(2602, '31.201.24.0', '31.201.24.255', 533272576, 533272831, 'GR', 'Greece'),
(2603, '31.201.25.0', '31.201.25.255', 533272832, 533273087, 'GL', 'Greenland'),
(2604, '31.201.26.0', '31.201.26.255', 533273088, 533273343, 'GG', 'Guernsey'),
(2605, '31.201.27.0', '31.201.27.255', 533273344, 533273599, 'VA', 'Holy See (Vatican City State)'),
(2606, '31.201.28.0', '31.201.28.255', 533273600, 533273855, 'HU', 'Hungary'),
(2607, '31.201.29.0', '31.201.29.255', 533273856, 533274111, 'IS', 'Iceland'),
(2608, '31.201.30.0', '31.201.30.255', 533274112, 533274367, 'IR', 'Iran, Islamic Republic of'),
(2609, '31.201.31.0', '31.201.31.255', 533274368, 533274623, 'IQ', 'Iraq'),
(2610, '31.201.32.0', '31.201.32.255', 533274624, 533274879, 'IE', 'Ireland'),
(2611, '31.201.33.0', '31.201.33.255', 533274880, 533275135, 'IM', 'Isle of Man'),
(2612, '31.201.34.0', '31.201.34.255', 533275136, 533275391, 'IL', 'Israel'),
(2613, '31.201.35.0', '31.201.35.255', 533275392, 533275647, 'IT', 'Italy'),
(2614, '31.201.36.0', '31.201.36.255', 533275648, 533275903, 'JE', 'Jersey'),
(2615, '31.201.37.0', '31.201.37.255', 533275904, 533276159, 'JO', 'Jordan'),
(2616, '31.201.38.0', '31.201.38.255', 533276160, 533276415, 'KZ', 'Kazakhstan'),
(2617, '31.201.39.0', '31.201.39.255', 533276416, 533276671, 'KW', 'Kuwait'),
(2618, '31.201.40.0', '31.201.40.255', 533276672, 533276927, 'KG', 'Kyrgyzstan'),
(2619, '31.201.41.0', '31.201.41.255', 533276928, 533277183, 'LV', 'Latvia'),
(2620, '31.201.42.0', '31.201.42.255', 533277184, 533277439, 'LB', 'Lebanon'),
(2621, '31.201.43.0', '31.201.43.255', 533277440, 533277695, 'LI', 'Liechtenstein'),
(2622, '31.201.44.0', '31.201.44.255', 533277696, 533277951, 'LT', 'Lithuania'),
(2623, '31.201.45.0', '31.201.45.255', 533277952, 533278207, 'LU', 'Luxembourg'),
(2624, '31.201.46.0', '31.201.46.255', 533278208, 533278463, 'MT', 'Malta'),
(2625, '31.201.47.0', '31.201.47.255', 533278464, 533278719, 'MC', 'Monaco'),
(2626, '31.201.48.0', '31.201.48.255', 533278720, 533278975, 'ME', 'Montenegro'),
(2627, '31.201.49.0', '31.201.49.255', 533278976, 533279231, 'NL', 'Netherlands'),
(2628, '31.201.50.0', '31.201.50.255', 533279232, 533279487, 'NO', 'Norway'),
(2629, '31.201.51.0', '31.201.51.255', 533279488, 533279743, 'OM', 'Oman'),
(2630, '31.201.52.0', '31.201.52.255', 533279744, 533279999, 'PS', 'Palestinian Territory, Occupied'),
(2631, '31.201.53.0', '31.201.53.255', 533280000, 533280255, 'PL', 'Poland'),
(2632, '31.201.54.0', '31.201.54.255', 533280256, 533280511, 'PT', 'Portugal'),
(2633, '31.201.55.0', '31.201.55.255', 533280512, 533280767, 'RO', 'Romania'),
(2634, '31.201.56.0', '31.201.56.255', 533280768, 533281023, 'RU', 'Russian Federation'),
(2635, '31.201.57.0', '31.201.57.255', 533281024, 533281279, 'SM', 'San Marino'),
(2636, '31.201.58.0', '31.201.58.255', 533281280, 533281535, 'SA', 'Saudi Arabia'),
(2637, '31.201.59.0', '31.201.59.255', 533281536, 533281791, 'RS', 'Serbia'),
(2638, '31.201.60.0', '31.201.60.255', 533281792, 533282047, 'SK', 'Slovakia'),
(2639, '31.201.61.0', '31.201.61.255', 533282048, 533282303, 'SI', 'Slovenia'),
(2640, '31.201.62.0', '31.201.62.255', 533282304, 533282559, 'ES', 'Spain'),
(2641, '31.201.63.0', '31.201.63.255', 533282560, 533282815, 'SE', 'Sweden'),
(2642, '31.201.64.0', '31.201.64.255', 533282816, 533283071, 'CH', 'Switzerland'),
(2643, '31.201.65.0', '31.201.65.255', 533283072, 533283327, 'SY', 'Syrian Arab Republic'),
(2644, '31.201.66.0', '31.201.66.255', 533283328, 533283583, 'TJ', 'Tajikistan'),
(2645, '31.201.67.0', '31.201.67.255', 533283584, 533283839, 'TR', 'Turkey'),
(2646, '31.201.68.0', '31.201.68.255', 533283840, 533284095, 'TM', 'Turkmenistan'),
(2647, '31.201.69.0', '31.201.69.255', 533284096, 533284351, 'UA', 'Ukraine'),
(2648, '31.201.70.0', '31.201.70.255', 533284352, 533284607, 'AE', 'United Arab Emirates'),
(2649, '31.201.71.0', '31.201.71.255', 533284608, 533284863, 'GB', 'United Kingdom'),
(2650, '31.201.72.0', '31.201.72.255', 533284864, 533285119, 'UZ', 'Uzbekistan'),
(2651, '31.201.73.0', '31.201.73.255', 533285120, 533285375, 'YE', 'Yemen'),
(2652, '31.201.74.0', '31.201.74.255', 533285376, 533285631, 'AX', 'Aland Islands'),
(2653, '31.201.75.0', '31.201.75.255', 533285632, 533285887, 'AL', 'Albania'),
(2654, '31.201.76.0', '31.201.76.255', 533285888, 533286143, 'AD', 'Andorra'),
(2655, '31.201.77.0', '31.201.77.255', 533286144, 533286399, 'AM', 'Armenia'),
(2656, '31.201.78.0', '31.201.78.255', 533286400, 533286655, 'AT', 'Austria'),
(2657, '31.201.79.0', '31.201.79.255', 533286656, 533286911, 'AZ', 'Azerbaijan'),
(2658, '31.201.80.0', '31.201.80.255', 533286912, 533287167, 'BH', 'Bahrain'),
(2659, '31.201.81.0', '31.201.81.255', 533287168, 533287423, 'BY', 'Belarus'),
(2660, '31.201.82.0', '31.201.82.255', 533287424, 533287679, 'BE', 'Belgium'),
(2661, '31.201.83.0', '31.201.83.255', 533287680, 533287935, 'BA', 'Bosnia and Herzegovina'),
(2662, '31.201.84.0', '31.201.84.255', 533287936, 533288191, 'BG', 'Bulgaria'),
(2663, '31.201.85.0', '31.201.85.255', 533288192, 533288447, 'HR', 'Croatia'),
(2664, '31.201.86.0', '31.201.86.255', 533288448, 533288703, 'CY', 'Cyprus'),
(2665, '31.201.87.0', '31.201.87.255', 533288704, 533288959, 'CZ', 'Czech Republic'),
(2666, '31.201.88.0', '31.201.88.255', 533288960, 533289215, 'DK', 'Denmark'),
(2667, '31.201.89.0', '31.201.89.255', 533289216, 533289471, 'EE', 'Estonia'),
(2668, '31.201.90.0', '31.201.90.255', 533289472, 533289727, 'FO', 'Faroe Islands'),
(2669, '31.201.91.0', '31.201.91.255', 533289728, 533289983, 'GE', 'Georgia'),
(2670, '31.201.92.0', '31.201.92.255', 533289984, 533290239, 'FR', 'France'),
(2671, '31.201.93.0', '31.201.93.255', 533290240, 533290495, 'DE', 'Germany'),
(2672, '31.201.94.0', '31.201.94.255', 533290496, 533290751, 'GI', 'Gibraltar'),
(2673, '31.201.95.0', '31.201.95.255', 533290752, 533291007, 'GR', 'Greece'),
(2674, '31.201.96.0', '31.201.96.255', 533291008, 533291263, 'GL', 'Greenland'),
(2675, '31.201.97.0', '31.201.97.255', 533291264, 533291519, 'GG', 'Guernsey'),
(2676, '31.201.98.0', '31.201.98.255', 533291520, 533291775, 'VA', 'Holy See (Vatican City State)'),
(2677, '31.201.99.0', '31.201.99.255', 533291776, 533292031, 'HU', 'Hungary'),
(2678, '31.201.100.0', '31.201.100.255', 533292032, 533292287, 'IS', 'Iceland'),
(2679, '31.201.101.0', '31.201.101.255', 533292288, 533292543, 'IR', 'Iran, Islamic Republic of'),
(2680, '31.201.102.0', '31.201.102.255', 533292544, 533292799, 'IQ', 'Iraq'),
(2681, '31.201.103.0', '31.201.103.255', 533292800, 533293055, 'IE', 'Ireland'),
(2682, '31.201.104.0', '31.201.104.255', 533293056, 533293311, 'IM', 'Isle of Man'),
(2683, '31.201.105.0', '31.201.105.255', 533293312, 533293567, 'IL', 'Israel'),
(2684, '31.201.106.0', '31.201.106.255', 533293568, 533293823, 'IT', 'Italy'),
(2685, '31.201.107.0', '31.201.107.255', 533293824, 533294079, 'JE', 'Jersey'),
(2686, '31.201.108.0', '31.201.108.255', 533294080, 533294335, 'JO', 'Jordan'),
(2687, '31.201.109.0', '31.201.109.255', 533294336, 533294591, 'KZ', 'Kazakhstan'),
(2688, '31.201.110.0', '31.201.110.255', 533294592, 533294847, 'KW', 'Kuwait'),
(2689, '31.201.111.0', '31.201.111.255', 533294848, 533295103, 'KG', 'Kyrgyzstan'),
(2690, '31.201.112.0', '31.201.112.255', 533295104, 533295359, 'LV', 'Latvia'),
(2691, '31.201.113.0', '31.201.113.255', 533295360, 533295615, 'LB', 'Lebanon'),
(2692, '31.201.114.0', '31.201.114.255', 533295616, 533295871, 'LI', 'Liechtenstein'),
(2693, '31.201.115.0', '31.201.115.255', 533295872, 533296127, 'LT', 'Lithuania'),
(2694, '31.201.116.0', '31.201.116.255', 533296128, 533296383, 'LU', 'Luxembourg'),
(2695, '31.201.117.0', '31.201.117.255', 533296384, 533296639, 'MT', 'Malta'),
(2696, '31.201.118.0', '31.201.118.255', 533296640, 533296895, 'MC', 'Monaco'),
(2697, '31.201.119.0', '31.201.119.255', 533296896, 533297151, 'ME', 'Montenegro'),
(2698, '31.201.120.0', '31.201.120.255', 533297152, 533297407, 'NL', 'Netherlands'),
(2699, '31.201.121.0', '31.201.121.255', 533297408, 533297663, 'NO', 'Norway'),
(2700, '31.201.122.0', '31.201.122.255', 533297664, 533297919, 'OM', 'Oman'),
(2701, '31.201.123.0', '31.201.123.255', 533297920, 533298175, 'PT', 'Portugal'),
(2702, '31.201.124.0', '31.201.124.255', 533298176, 533298431, 'RO', 'Romania'),
(2703, '31.201.125.0', '31.201.125.255', 533298432, 533298687, 'RU', 'Russian Federation'),
(2704, '31.201.126.0', '31.201.126.255', 533298688, 533298943, 'SM', 'San Marino'),
(2705, '31.201.127.0', '31.201.127.255', 533298944, 533299199, 'SA', 'Saudi Arabia'),
(2706, '31.201.128.0', '31.201.128.255', 533299200, 533299455, 'RS', 'Serbia'),
(2707, '31.201.129.0', '31.201.129.255', 533299456, 533299711, 'SK', 'Slovakia'),
(2708, '31.201.130.0', '31.201.130.255', 533299712, 533299967, 'SI', 'Slovenia'),
(2709, '31.201.131.0', '31.201.131.255', 533299968, 533300223, 'ES', 'Spain'),
(2710, '31.201.132.0', '31.201.132.255', 533300224, 533300479, 'SE', 'Sweden'),
(2711, '31.201.133.0', '31.201.133.255', 533300480, 533300735, 'CH', 'Switzerland'),
(2712, '31.201.134.0', '31.201.134.255', 533300736, 533300991, 'SY', 'Syrian Arab Republic'),
(2713, '31.201.135.0', '31.201.135.255', 533300992, 533301247, 'TJ', 'Tajikistan'),
(2714, '31.201.136.0', '31.201.136.255', 533301248, 533301503, 'TM', 'Turkmenistan'),
(2715, '31.201.137.0', '31.201.137.255', 533301504, 533301759, 'UA', 'Ukraine'),
(2716, '31.201.138.0', '31.201.138.255', 533301760, 533302015, 'AE', 'United Arab Emirates'),
(2717, '31.201.139.0', '31.201.139.255', 533302016, 533302271, 'GB', 'United Kingdom'),
(2718, '31.201.140.0', '31.201.140.255', 533302272, 533302527, 'UZ', 'Uzbekistan'),
(2719, '31.201.141.0', '31.201.141.255', 533302528, 533302783, 'AX', 'Aland Islands'),
(2720, '31.201.142.0', '31.201.142.255', 533302784, 533303039, 'AL', 'Albania'),
(2721, '31.201.143.0', '31.201.143.255', 533303040, 533303295, 'AD', 'Andorra'),
(2722, '31.201.144.0', '31.201.144.255', 533303296, 533303551, 'AM', 'Armenia'),
(2723, '31.201.145.0', '31.201.145.255', 533303552, 533303807, 'AT', 'Austria'),
(2724, '31.201.146.0', '31.201.146.255', 533303808, 533304063, 'AZ', 'Azerbaijan'),
(2725, '31.201.147.0', '31.201.147.255', 533304064, 533304319, 'BH', 'Bahrain'),
(2726, '31.201.148.0', '31.201.148.255', 533304320, 533304575, 'BY', 'Belarus'),
(2727, '31.201.149.0', '31.201.149.255', 533304576, 533304831, 'BE', 'Belgium'),
(2728, '31.201.150.0', '31.201.150.255', 533304832, 533305087, 'BA', 'Bosnia and Herzegovina'),
(2729, '31.201.151.0', '31.201.151.255', 533305088, 533305343, 'BG', 'Bulgaria'),
(2730, '31.201.152.0', '31.201.153.255', 533305344, 533305855, 'HR', 'Croatia'),
(2731, '31.201.154.0', '31.201.154.255', 533305856, 533306111, 'CZ', 'Czech Republic'),
(2732, '31.201.155.0', '31.201.155.255', 533306112, 533306367, 'HR', 'Croatia'),
(2733, '31.201.156.0', '31.201.156.255', 533306368, 533306623, 'EE', 'Estonia'),
(2734, '31.201.157.0', '31.201.157.255', 533306624, 533306879, 'FO', 'Faroe Islands'),
(2735, '31.201.158.0', '31.201.158.255', 533306880, 533307135, 'GE', 'Georgia'),
(2736, '31.201.159.0', '31.201.159.255', 533307136, 533307391, 'FR', 'France'),
(2737, '31.201.160.0', '31.201.160.255', 533307392, 533307647, 'DE', 'Germany'),
(2738, '31.201.161.0', '31.201.161.255', 533307648, 533307903, 'GI', 'Gibraltar'),
(2739, '31.201.162.0', '31.201.162.255', 533307904, 533308159, 'GR', 'Greece'),
(2740, '31.201.163.0', '31.201.163.255', 533308160, 533308415, 'GL', 'Greenland'),
(2741, '31.201.164.0', '31.201.164.255', 533308416, 533308671, 'GG', 'Guernsey'),
(2742, '31.201.165.0', '31.201.165.255', 533308672, 533308927, 'VA', 'Holy See (Vatican City State)'),
(2743, '31.201.166.0', '31.201.166.255', 533308928, 533309183, 'HU', 'Hungary'),
(2744, '31.201.167.0', '31.201.167.255', 533309184, 533309439, 'IS', 'Iceland'),
(2745, '31.201.168.0', '31.201.168.255', 533309440, 533309695, 'IR', 'Iran, Islamic Republic of'),
(2746, '31.201.169.0', '31.201.169.255', 533309696, 533309951, 'IQ', 'Iraq'),
(2747, '31.201.170.0', '31.201.170.255', 533309952, 533310207, 'IE', 'Ireland'),
(2748, '31.201.171.0', '31.201.171.255', 533310208, 533310463, 'IM', 'Isle of Man'),
(2749, '31.201.172.0', '31.201.172.255', 533310464, 533310719, 'IL', 'Israel'),
(2750, '31.201.173.0', '31.201.173.255', 533310720, 533310975, 'IT', 'Italy'),
(2751, '31.201.174.0', '31.201.174.255', 533310976, 533311231, 'JE', 'Jersey'),
(2752, '31.201.175.0', '31.201.175.255', 533311232, 533311487, 'JO', 'Jordan'),
(2753, '31.201.176.0', '31.201.176.255', 533311488, 533311743, 'KZ', 'Kazakhstan'),
(2754, '31.201.177.0', '31.201.177.255', 533311744, 533311999, 'KW', 'Kuwait'),
(2755, '31.201.178.0', '31.201.178.255', 533312000, 533312255, 'KG', 'Kyrgyzstan'),
(2756, '31.201.179.0', '31.201.179.255', 533312256, 533312511, 'LV', 'Latvia'),
(2757, '31.201.180.0', '31.201.180.255', 533312512, 533312767, 'LB', 'Lebanon'),
(2758, '31.201.181.0', '31.201.181.255', 533312768, 533313023, 'LI', 'Liechtenstein'),
(2759, '31.201.182.0', '31.201.182.255', 533313024, 533313279, 'LT', 'Lithuania'),
(2760, '31.201.183.0', '31.201.183.255', 533313280, 533313535, 'LU', 'Luxembourg'),
(2761, '31.201.184.0', '31.201.184.255', 533313536, 533313791, 'MT', 'Malta'),
(2762, '31.201.185.0', '31.201.185.255', 533313792, 533314047, 'MC', 'Monaco'),
(2763, '31.201.186.0', '31.201.186.255', 533314048, 533314303, 'ME', 'Montenegro'),
(2764, '31.201.187.0', '31.201.187.255', 533314304, 533314559, 'NL', 'Netherlands'),
(2765, '31.201.188.0', '31.201.188.255', 533314560, 533314815, 'NO', 'Norway'),
(2766, '31.201.189.0', '31.201.189.255', 533314816, 533315071, 'OM', 'Oman'),
(2767, '31.201.190.0', '31.201.190.255', 533315072, 533315327, 'PT', 'Portugal'),
(2768, '31.201.191.0', '31.201.191.255', 533315328, 533315583, 'RO', 'Romania'),
(2769, '31.201.192.0', '31.201.192.255', 533315584, 533315839, 'RU', 'Russian Federation'),
(2770, '31.201.193.0', '31.201.193.255', 533315840, 533316095, 'SM', 'San Marino'),
(2771, '31.201.194.0', '31.201.194.255', 533316096, 533316351, 'SA', 'Saudi Arabia'),
(2772, '31.201.195.0', '31.201.195.255', 533316352, 533316607, 'RS', 'Serbia'),
(2773, '31.201.196.0', '31.201.196.255', 533316608, 533316863, 'SK', 'Slovakia'),
(2774, '31.201.197.0', '31.201.197.255', 533316864, 533317119, 'SI', 'Slovenia'),
(2775, '31.201.198.0', '31.201.198.255', 533317120, 533317375, 'ES', 'Spain'),
(2776, '31.201.199.0', '31.201.199.255', 533317376, 533317631, 'SE', 'Sweden'),
(2777, '31.201.200.0', '31.201.200.255', 533317632, 533317887, 'CH', 'Switzerland'),
(2778, '31.201.201.0', '31.201.201.255', 533317888, 533318143, 'SY', 'Syrian Arab Republic'),
(2779, '31.201.202.0', '31.201.202.255', 533318144, 533318399, 'TJ', 'Tajikistan'),
(2780, '31.201.203.0', '31.201.203.255', 533318400, 533318655, 'TR', 'Turkey'),
(2781, '31.201.204.0', '31.201.204.255', 533318656, 533318911, 'TM', 'Turkmenistan'),
(2782, '31.201.205.0', '31.201.205.255', 533318912, 533319167, 'UA', 'Ukraine'),
(2783, '31.201.206.0', '31.201.206.255', 533319168, 533319423, 'AE', 'United Arab Emirates'),
(2784, '31.201.207.0', '31.201.207.255', 533319424, 533319679, 'GB', 'United Kingdom'),
(2785, '31.201.208.0', '31.201.208.255', 533319680, 533319935, 'UZ', 'Uzbekistan'),
(2786, '31.201.209.0', '31.201.209.255', 533319936, 533320191, 'YE', 'Yemen'),
(2787, '31.201.210.0', '31.201.210.255', 533320192, 533320447, 'AX', 'Aland Islands'),
(2788, '31.201.211.0', '31.201.211.255', 533320448, 533320703, 'AL', 'Albania'),
(2789, '31.201.212.0', '31.201.212.255', 533320704, 533320959, 'AD', 'Andorra'),
(2790, '31.201.213.0', '31.201.213.255', 533320960, 533321215, 'AM', 'Armenia'),
(2791, '31.201.214.0', '31.201.214.255', 533321216, 533321471, 'AT', 'Austria'),
(2792, '31.201.215.0', '31.201.215.255', 533321472, 533321727, 'AZ', 'Azerbaijan'),
(2793, '31.201.216.0', '31.201.216.255', 533321728, 533321983, 'BH', 'Bahrain'),
(2794, '31.201.217.0', '31.201.218.255', 533321984, 533322495, 'BE', 'Belgium'),
(2795, '31.201.219.0', '31.201.255.255', 533322496, 533331967, 'FR', 'France'),
(2796, '31.202.0.0', '31.202.255.255', 533331968, 533397503, 'UA', 'Ukraine'),
(2797, '31.203.0.0', '31.203.255.255', 533397504, 533463039, 'KW', 'Kuwait'),
(2798, '31.204.0.0', '31.204.63.255', 533463040, 533479423, 'RU', 'Russian Federation'),
(2799, '31.204.64.0', '31.204.64.63', 533479424, 533479487, 'DE', 'Germany'),
(2800, '31.204.64.64', '31.204.64.95', 533479488, 533479519, 'SE', 'Sweden'),
(2801, '31.204.64.96', '31.204.64.127', 533479520, 533479551, 'FI', 'Finland'),
(2802, '31.204.64.128', '31.204.65.31', 533479552, 533479711, 'DE', 'Germany'),
(2803, '31.204.65.32', '31.204.65.63', 533479712, 533479743, 'SE', 'Sweden'),
(2804, '31.204.65.64', '31.204.65.95', 533479744, 533479775, 'FI', 'Finland'),
(2805, '31.204.65.96', '31.204.65.127', 533479776, 533479807, 'DK', 'Denmark'),
(2806, '31.204.65.128', '31.204.66.63', 533479808, 533479999, 'DE', 'Germany'),
(2807, '31.204.66.64', '31.204.66.95', 533480000, 533480031, 'DK', 'Denmark'),
(2808, '31.204.66.96', '31.204.66.127', 533480032, 533480063, 'FI', 'Finland'),
(2809, '31.204.66.128', '31.204.66.159', 533480064, 533480095, 'DE', 'Germany'),
(2810, '31.204.66.160', '31.204.66.191', 533480096, 533480127, 'SE', 'Sweden'),
(2811, '31.204.66.192', '31.204.67.31', 533480128, 533480223, 'DE', 'Germany'),
(2812, '31.204.67.32', '31.204.67.63', 533480224, 533480255, 'DK', 'Denmark'),
(2813, '31.204.67.64', '31.204.67.95', 533480256, 533480287, 'FI', 'Finland'),
(2814, '31.204.67.96', '31.204.67.127', 533480288, 533480319, 'SE', 'Sweden'),
(2815, '31.204.67.128', '31.204.68.31', 533480320, 533480479, 'DE', 'Germany'),
(2816, '31.204.68.32', '31.204.68.63', 533480480, 533480511, 'NO', 'Norway'),
(2817, '31.204.68.64', '31.204.68.95', 533480512, 533480543, 'DE', 'Germany'),
(2818, '31.204.68.96', '31.204.68.127', 533480544, 533480575, 'DK', 'Denmark'),
(2819, '31.204.68.128', '31.204.68.159', 533480576, 533480607, 'SE', 'Sweden'),
(2820, '31.204.68.160', '31.204.69.31', 533480608, 533480735, 'DE', 'Germany'),
(2821, '31.204.69.32', '31.204.69.63', 533480736, 533480767, 'SE', 'Sweden'),
(2822, '31.204.69.64', '31.204.69.95', 533480768, 533480799, 'NO', 'Norway'),
(2823, '31.204.69.96', '31.204.70.31', 533480800, 533480991, 'DE', 'Germany'),
(2824, '31.204.70.32', '31.204.70.63', 533480992, 533481023, 'NO', 'Norway'),
(2825, '31.204.70.64', '31.204.70.95', 533481024, 533481055, 'SE', 'Sweden'),
(2826, '31.204.70.96', '31.204.71.63', 533481056, 533481279, 'DE', 'Germany'),
(2827, '31.204.71.64', '31.204.71.95', 533481280, 533481311, 'NO', 'Norway'),
(2828, '31.204.71.96', '31.204.71.127', 533481312, 533481343, 'DE', 'Germany'),
(2829, '31.204.71.128', '31.204.71.159', 533481344, 533481375, 'SE', 'Sweden'),
(2830, '31.204.71.160', '31.204.71.255', 533481376, 533481471, 'DE', 'Germany'),
(2831, '31.204.72.0', '31.204.79.255', 533481472, 533483519, 'NO', 'Norway'),
(2832, '31.204.80.0', '31.204.87.255', 533483520, 533485567, 'FR', 'France'),
(2833, '31.204.88.0', '31.204.95.255', 533485568, 533487615, 'LU', 'Luxembourg'),
(2834, '31.204.96.0', '31.204.111.255', 533487616, 533491711, 'RU', 'Russian Federation'),
(2835, '31.204.112.0', '31.204.127.255', 533491712, 533495807, 'DE', 'Germany'),
(2836, '31.204.128.0', '31.204.159.255', 533495808, 533503999, 'NL', 'Netherlands'),
(2837, '31.204.160.0', '31.204.191.255', 533504000, 533512191, 'RU', 'Russian Federation'),
(2838, '31.204.192.0', '31.204.255.255', 533512192, 533528575, 'ME', 'Montenegro'),
(2839, '31.205.0.0', '31.205.255.255', 533528576, 533594111, 'GB', 'United Kingdom'),
(2840, '31.206.0.0', '31.206.255.255', 533594112, 533659647, 'TR', 'Turkey'),
(2841, '31.207.0.0', '31.207.63.255', 533659648, 533676031, 'CZ', 'Czech Republic'),
(2842, '31.207.64.0', '31.207.79.255', 533676032, 533680127, 'RU', 'Russian Federation'),
(2843, '31.207.80.0', '31.207.87.255', 533680128, 533682175, 'TR', 'Turkey'),
(2844, '31.207.88.0', '31.207.95.255', 533682176, 533684223, 'ES', 'Spain'),
(2845, '31.207.96.0', '31.207.127.255', 533684224, 533692415, 'IT', 'Italy'),
(2846, '31.207.128.0', '31.207.255.255', 533692416, 533725183, 'RU', 'Russian Federation'),
(2847, '31.208.0.0', '31.209.63.255', 533725184, 533807103, 'SE', 'Sweden'),
(2848, '31.209.64.0', '31.209.79.255', 533807104, 533811199, 'LT', 'Lithuania'),
(2849, '31.209.80.0', '31.209.95.255', 533811200, 533815295, 'DE', 'Germany'),
(2850, '31.209.96.0', '31.209.96.0', 533815296, 533815296, 'TR', 'Turkey'),
(2851, '31.209.96.1', '31.209.99.255', 533815297, 533816319, 'CY', 'Cyprus'),
(2852, '31.209.100.0', '31.209.100.0', 533816320, 533816320, 'TR', 'Turkey'),
(2853, '31.209.100.1', '31.209.103.255', 533816321, 533817343, 'CY', 'Cyprus'),
(2854, '31.209.104.0', '31.209.104.0', 533817344, 533817344, 'TR', 'Turkey'),
(2855, '31.209.104.1', '31.209.111.255', 533817345, 533819391, 'CY', 'Cyprus'),
(2856, '31.209.112.0', '31.209.127.255', 533819392, 533823487, 'DE', 'Germany'),
(2857, '31.209.128.0', '31.209.128.63', 533823488, 533823551, 'CD', 'Congo, The Democratic Republic of the'),
(2858, '31.209.128.64', '31.209.128.64', 533823552, 533823552, 'BE', 'Belgium'),
(2859, '31.209.128.65', '31.209.128.124', 533823553, 533823612, 'CD', 'Congo, The Democratic Republic of the'),
(2860, '31.209.128.125', '31.209.128.128', 533823613, 533823616, 'BE', 'Belgium'),
(2861, '31.209.128.129', '31.209.128.156', 533823617, 533823644, 'CD', 'Congo, The Democratic Republic of the'),
(2862, '31.209.128.157', '31.209.128.160', 533823645, 533823648, 'BE', 'Belgium'),
(2863, '31.209.128.161', '31.209.128.172', 533823649, 533823660, 'CD', 'Congo, The Democratic Republic of the'),
(2864, '31.209.128.173', '31.209.128.176', 533823661, 533823664, 'BE', 'Belgium'),
(2865, '31.209.128.177', '31.209.128.188', 533823665, 533823676, 'CD', 'Congo, The Democratic Republic of the'),
(2866, '31.209.128.189', '31.209.128.192', 533823677, 533823680, 'BE', 'Belgium'),
(2867, '31.209.128.193', '31.209.128.204', 533823681, 533823692, 'CD', 'Congo, The Democratic Republic of the'),
(2868, '31.209.128.205', '31.209.128.208', 533823693, 533823696, 'BE', 'Belgium'),
(2869, '31.209.128.209', '31.209.128.220', 533823697, 533823708, 'CD', 'Congo, The Democratic Republic of the'),
(2870, '31.209.128.221', '31.209.128.224', 533823709, 533823712, 'BE', 'Belgium'),
(2871, '31.209.128.225', '31.209.128.236', 533823713, 533823724, 'CD', 'Congo, The Democratic Republic of the'),
(2872, '31.209.128.237', '31.209.133.0', 533823725, 533824768, 'BE', 'Belgium'),
(2873, '31.209.133.1', '31.209.133.60', 533824769, 533824828, 'CD', 'Congo, The Democratic Republic of the'),
(2874, '31.209.133.61', '31.209.133.64', 533824829, 533824832, 'BE', 'Belgium'),
(2875, '31.209.133.65', '31.209.133.92', 533824833, 533824860, 'CD', 'Congo, The Democratic Republic of the'),
(2876, '31.209.133.93', '31.209.133.96', 533824861, 533824864, 'BE', 'Belgium'),
(2877, '31.209.133.97', '31.209.133.108', 533824865, 533824876, 'CD', 'Congo, The Democratic Republic of the'),
(2878, '31.209.133.109', '31.209.133.112', 533824877, 533824880, 'BE', 'Belgium'),
(2879, '31.209.133.113', '31.209.133.124', 533824881, 533824892, 'CD', 'Congo, The Democratic Republic of the'),
(2880, '31.209.133.125', '31.209.134.0', 533824893, 533825024, 'BE', 'Belgium'),
(2881, '31.209.134.1', '31.209.134.124', 533825025, 533825148, 'CD', 'Congo, The Democratic Republic of the'),
(2882, '31.209.134.125', '31.209.134.128', 533825149, 533825152, 'BE', 'Belgium'),
(2883, '31.209.134.129', '31.209.134.252', 533825153, 533825276, 'CD', 'Congo, The Democratic Republic of the'),
(2884, '31.209.134.253', '31.209.135.0', 533825277, 533825280, 'BE', 'Belgium'),
(2885, '31.209.135.1', '31.209.135.252', 533825281, 533825532, 'CD', 'Congo, The Democratic Republic of the'),
(2886, '31.209.135.253', '31.209.135.255', 533825533, 533825535, 'BE', 'Belgium'),
(2887, '31.209.136.0', '31.209.159.255', 533825536, 533831679, 'IS', 'Iceland'),
(2888, '31.209.160.0', '31.209.175.255', 533831680, 533835775, 'DE', 'Germany'),
(2889, '31.209.176.0', '31.209.183.255', 533835776, 533837823, 'SE', 'Sweden'),
(2890, '31.209.184.0', '31.209.191.255', 533837824, 533839871, 'DE', 'Germany'),
(2891, '31.209.192.0', '31.209.255.255', 533839872, 533856255, 'IS', 'Iceland'),
(2892, '31.210.0.0', '31.210.7.255', 533856256, 533858303, 'FR', 'France'),
(2893, '31.210.8.0', '31.210.12.255', 533858304, 533859583, 'HU', 'Hungary'),
(2894, '31.210.13.0', '31.210.13.255', 533859584, 533859839, 'BG', 'Bulgaria'),
(2895, '31.210.14.0', '31.210.14.255', 533859840, 533860095, 'HU', 'Hungary'),
(2896, '31.210.15.0', '31.210.15.255', 533860096, 533860351, 'AT', 'Austria'),
(2897, '31.210.16.0', '31.210.19.255', 533860352, 533861375, 'DE', 'Germany'),
(2898, '31.210.20.0', '31.210.23.255', 533861376, 533862399, 'NL', 'Netherlands'),
(2899, '31.210.24.0', '31.210.31.255', 533862400, 533864447, 'GB', 'United Kingdom'),
(2900, '31.210.32.0', '31.210.127.255', 533864448, 533889023, 'TR', 'Turkey'),
(2901, '31.210.128.0', '31.210.135.255', 533889024, 533891071, 'GB', 'United Kingdom'),
(2902, '31.210.136.0', '31.210.143.255', 533891072, 533893119, 'RU', 'Russian Federation'),
(2903, '31.210.144.0', '31.210.151.255', 533893120, 533895167, 'ES', 'Spain'),
(2904, '31.210.152.0', '31.210.159.255', 533895168, 533897215, 'TR', 'Turkey'),
(2905, '31.210.160.0', '31.210.167.255', 533897216, 533899263, 'DE', 'Germany'),
(2906, '31.210.168.0', '31.210.175.255', 533899264, 533901311, 'RU', 'Russian Federation'),
(2907, '31.210.176.0', '31.210.191.255', 533901312, 533905407, 'IL', 'Israel'),
(2908, '31.210.192.0', '31.210.223.255', 533905408, 533913599, 'RU', 'Russian Federation'),
(2909, '31.210.224.0', '31.210.231.255', 533913600, 533915647, 'ES', 'Spain'),
(2910, '31.210.232.0', '31.210.247.255', 533915648, 533919743, 'GB', 'United Kingdom'),
(2911, '31.210.248.0', '31.210.255.255', 533919744, 533921791, 'SE', 'Sweden'),
(2912, '31.211.0.0', '31.211.127.255', 533921792, 533954559, 'RU', 'Russian Federation'),
(2913, '31.211.128.0', '31.211.159.255', 533954560, 533962751, 'BG', 'Bulgaria'),
(2914, '31.211.160.0', '31.211.167.255', 533962752, 533964799, 'GB', 'United Kingdom'),
(2915, '31.211.168.0', '31.211.175.255', 533964800, 533966847, 'NO', 'Norway'),
(2916, '31.211.176.0', '31.211.183.255', 533966848, 533968895, 'DE', 'Germany'),
(2917, '31.211.184.0', '31.211.191.255', 533968896, 533970943, 'ES', 'Spain'),
(2918, '31.211.192.0', '31.211.255.255', 533970944, 533987327, 'SE', 'Sweden'),
(2919, '31.212.0.0', '31.213.255.255', 533987328, 534118399, 'DE', 'Germany'),
(2920, '31.214.0.0', '31.214.127.255', 534118400, 534151167, 'KW', 'Kuwait'),
(2921, '31.214.128.0', '31.214.153.191', 534151168, 534157759, 'DE', 'Germany'),
(2922, '31.214.153.192', '31.214.153.255', 534157760, 534157823, 'US', 'United States'),
(2923, '31.214.154.0', '31.214.187.255', 534157824, 534166527, 'DE', 'Germany'),
(2924, '31.214.188.0', '31.214.188.255', 534166528, 534166783, 'AU', 'Australia'),
(2925, '31.214.189.0', '31.214.189.255', 534166784, 534167039, 'PL', 'Poland'),
(2926, '31.214.190.0', '31.214.190.255', 534167040, 534167295, 'TR', 'Turkey'),
(2927, '31.214.191.0', '31.214.223.255', 534167296, 534175743, 'DE', 'Germany'),
(2928, '31.214.224.0', '31.214.239.255', 534175744, 534179839, 'NL', 'Netherlands'),
(2929, '31.214.240.0', '31.214.247.255', 534179840, 534181887, 'US', 'United States'),
(2930, '31.214.248.0', '31.214.255.255', 534181888, 534183935, 'DE', 'Germany'),
(2931, '31.215.0.0', '31.215.255.255', 534183936, 534249471, 'RO', 'Romania'),
(2932, '31.216.0.0', '31.216.15.255', 534249472, 534253567, 'GB', 'United Kingdom'),
(2933, '31.216.16.0', '31.216.30.255', 534253568, 534257407, 'FR', 'France'),
(2934, '31.216.31.0', '31.216.31.255', 534257408, 534257663, 'PL', 'Poland'),
(2935, '31.216.32.0', '31.216.39.255', 534257664, 534259711, 'SE', 'Sweden'),
(2936, '31.216.40.0', '31.216.47.255', 534259712, 534261759, 'CH', 'Switzerland'),
(2937, '31.216.48.0', '31.216.55.255', 534261760, 534263807, 'GB', 'United Kingdom'),
(2938, '31.216.56.0', '31.216.63.255', 534263808, 534265855, 'PL', 'Poland'),
(2939, '31.216.64.0', '31.216.127.255', 534265856, 534282239, 'CY', 'Cyprus'),
(2940, '31.216.128.0', '31.216.135.255', 534282240, 534284287, 'IT', 'Italy'),
(2941, '31.216.136.0', '31.216.143.255', 534284288, 534286335, 'SE', 'Sweden'),
(2942, '31.216.144.0', '31.216.151.255', 534286336, 534288383, 'LU', 'Luxembourg'),
(2943, '31.216.152.0', '31.216.159.255', 534288384, 534290431, 'IT', 'Italy'),
(2944, '31.216.160.0', '31.216.183.255', 534290432, 534296575, 'RU', 'Russian Federation'),
(2945, '31.216.184.0', '31.216.191.255', 534296576, 534298623, 'BA', 'Bosnia and Herzegovina'),
(2946, '31.216.192.0', '31.216.223.255', 534298624, 534306815, 'HR', 'Croatia'),
(2947, '31.216.224.0', '31.216.231.255', 534306816, 534308863, 'SE', 'Sweden'),
(2948, '31.216.232.0', '31.216.232.3', 534308864, 534308867, 'IE', 'Ireland'),
(2949, '31.216.232.4', '31.216.232.23', 534308868, 534308887, 'GB', 'United Kingdom'),
(2950, '31.216.232.24', '31.216.232.31', 534308888, 534308895, 'IE', 'Ireland'),
(2951, '31.216.232.32', '31.216.232.43', 534308896, 534308907, 'GB', 'United Kingdom'),
(2952, '31.216.232.44', '31.216.232.47', 534308908, 534308911, 'IE', 'Ireland'),
(2953, '31.216.232.48', '31.216.232.55', 534308912, 534308919, 'GB', 'United Kingdom'),
(2954, '31.216.232.56', '31.216.236.55', 534308920, 534309943, 'IE', 'Ireland'),
(2955, '31.216.236.56', '31.216.236.119', 534309944, 534310007, 'GB', 'United Kingdom'),
(2956, '31.216.236.120', '31.216.236.127', 534310008, 534310015, 'IE', 'Ireland'),
(2957, '31.216.236.128', '31.216.236.159', 534310016, 534310047, 'GB', 'United Kingdom'),
(2958, '31.216.236.160', '31.216.239.255', 534310048, 534310911, 'IE', 'Ireland'),
(2959, '31.216.240.0', '31.216.255.255', 534310912, 534315007, 'IT', 'Italy'),
(2960, '31.217.0.0', '31.217.127.255', 534315008, 534347775, 'HR', 'Croatia'),
(2961, '31.217.128.0', '31.217.159.255', 534347776, 534355967, 'GB', 'United Kingdom'),
(2962, '31.217.160.0', '31.217.191.255', 534355968, 534364159, 'GR', 'Greece'),
(2963, '31.217.192.0', '31.217.199.255', 534364160, 534366207, 'FI', 'Finland'),
(2964, '31.217.200.0', '31.217.207.255', 534366208, 534368255, 'IT', 'Italy'),
(2965, '31.217.208.0', '31.217.215.255', 534368256, 534370303, 'IR', 'Iran, Islamic Republic of'),
(2966, '31.217.216.0', '31.217.223.255', 534370304, 534372351, 'AT', 'Austria'),
(2967, '31.217.224.0', '31.217.231.255', 534372352, 534374399, 'KW', 'Kuwait'),
(2968, '31.217.232.0', '31.217.239.255', 534374400, 534376447, 'FR', 'France'),
(2969, '31.217.240.0', '31.217.247.255', 534376448, 534378495, 'IE', 'Ireland'),
(2970, '31.217.248.0', '31.217.255.255', 534378496, 534380543, 'FR', 'France'),
(2971, '31.218.0.0', '31.219.255.255', 534380544, 534511615, 'AE', 'United Arab Emirates'),
(2972, '31.220.0.0', '31.220.127.255', 534511616, 534544383, 'DE', 'Germany'),
(2973, '31.220.128.0', '31.220.135.255', 534544384, 534546431, 'RO', 'Romania'),
(2974, '31.220.136.0', '31.220.143.255', 534546432, 534548479, 'DE', 'Germany'),
(2975, '31.220.144.0', '31.220.151.255', 534548480, 534550527, 'PL', 'Poland'),
(2976, '31.220.152.0', '31.220.191.255', 534550528, 534560767, 'RU', 'Russian Federation'),
(2977, '31.220.192.0', '31.221.127.255', 534560768, 534609919, 'GB', 'United Kingdom'),
(2978, '31.221.128.0', '31.221.255.255', 534609920, 534642687, 'ES', 'Spain'),
(2979, '31.222.0.0', '31.222.15.255', 534642688, 534646783, 'CZ', 'Czech Republic'),
(2980, '31.222.16.0', '31.222.23.255', 534646784, 534648831, 'PL', 'Poland'),
(2981, '31.222.24.0', '31.222.31.255', 534648832, 534650879, 'CH', 'Switzerland'),
(2982, '31.222.32.0', '31.222.39.255', 534650880, 534652927, 'RU', 'Russian Federation'),
(2983, '31.222.40.0', '31.222.47.255', 534652928, 534654975, 'AL', 'Albania'),
(2984, '31.222.48.0', '31.222.79.255', 534654976, 534663167, 'GB', 'United Kingdom'),
(2985, '31.222.80.0', '31.222.127.255', 534663168, 534675455, 'ES', 'Spain'),
(2986, '31.222.128.0', '31.222.191.255', 534675456, 534691839, 'GB', 'United Kingdom'),
(2987, '31.222.192.0', '31.222.199.255', 534691840, 534693887, 'FR', 'France'),
(2988, '31.222.200.0', '31.222.223.255', 534693888, 534700031, 'GB', 'United Kingdom'),
(2989, '31.222.224.0', '31.222.255.255', 534700032, 534708223, 'JO', 'Jordan'),
(2990, '31.223.0.0', '31.223.127.255', 534708224, 534740991, 'TR', 'Turkey'),
(2991, '31.223.128.0', '31.223.159.255', 534740992, 534749183, 'BA', 'Bosnia and Herzegovina'),
(2992, '31.223.160.0', '31.223.175.255', 534749184, 534753279, 'NL', 'Netherlands'),
(2993, '31.223.176.0', '31.223.191.255', 534753280, 534757375, 'PS', 'Palestinian Territory, Occupied'),
(2994, '31.223.192.0', '31.223.207.255', 534757376, 534761471, 'KZ', 'Kazakhstan'),
(2995, '31.223.208.0', '31.223.223.255', 534761472, 534765567, 'BA', 'Bosnia and Herzegovina'),
(2996, '31.223.224.0', '31.223.231.255', 534765568, 534767615, 'UA', 'Ukraine'),
(2997, '31.223.232.0', '31.223.239.255', 534767616, 534769663, 'HU', 'Hungary'),
(2998, '31.223.240.0', '31.223.255.255', 534769664, 534773759, 'IT', 'Italy'),
(2999, '31.224.0.0', '31.255.255.255', 534773760, 536870911, 'DE', 'Germany'),
(3000, '32.0.0.0', '32.42.2.63', 536870912, 539623999, 'US', 'United States'),
(3001, '32.42.2.64', '32.42.2.95', 539624000, 539624031, 'NL', 'Netherlands'),
(3002, '32.42.2.96', '32.42.4.119', 539624032, 539624567, 'US', 'United States'),
(3003, '32.42.4.120', '32.42.4.127', 539624568, 539624575, 'IE', 'Ireland'),
(3004, '32.42.4.128', '32.42.4.129', 539624576, 539624577, 'US', 'United States'),
(3005, '32.42.4.130', '32.42.4.130', 539624578, 539624578, 'EU', 'Europe'),
(3006, '32.42.4.131', '32.42.4.255', 539624579, 539624703, 'US', 'United States'),
(3007, '32.42.5.0', '32.42.5.31', 539624704, 539624735, 'GB', 'United Kingdom'),
(3008, '32.42.5.32', '32.42.5.39', 539624736, 539624743, 'NL', 'Netherlands'),
(3009, '32.42.5.40', '32.42.5.47', 539624744, 539624751, 'GB', 'United Kingdom'),
(3010, '32.42.5.48', '32.42.5.63', 539624752, 539624767, 'NL', 'Netherlands'),
(3011, '32.42.5.64', '32.42.5.71', 539624768, 539624775, 'US', 'United States'),
(3012, '32.42.5.72', '32.42.5.95', 539624776, 539624799, 'GB', 'United Kingdom'),
(3013, '32.42.5.96', '32.42.5.127', 539624800, 539624831, 'US', 'United States'),
(3014, '32.42.5.128', '32.42.5.255', 539624832, 539624959, 'IE', 'Ireland'),
(3015, '32.42.6.0', '32.42.6.127', 539624960, 539625087, 'US', 'United States'),
(3016, '32.42.6.128', '32.42.6.159', 539625088, 539625119, 'GB', 'United Kingdom'),
(3017, '32.42.6.160', '32.42.6.175', 539625120, 539625135, 'US', 'United States'),
(3018, '32.42.6.176', '32.42.6.191', 539625136, 539625151, 'NL', 'Netherlands'),
(3019, '32.42.6.192', '32.42.7.175', 539625152, 539625391, 'US', 'United States'),
(3020, '32.42.7.176', '32.42.7.191', 539625392, 539625407, 'GB', 'United Kingdom'),
(3021, '32.42.7.192', '32.42.11.255', 539625408, 539626495, 'US', 'United States'),
(3022, '32.42.12.0', '32.42.12.47', 539626496, 539626543, 'GB', 'United Kingdom'),
(3023, '32.42.12.48', '32.42.14.119', 539626544, 539627127, 'US', 'United States'),
(3024, '32.42.14.120', '32.42.14.127', 539627128, 539627135, 'SE', 'Sweden'),
(3025, '32.42.14.128', '32.42.14.223', 539627136, 539627231, 'US', 'United States'),
(3026, '32.42.14.224', '32.42.14.239', 539627232, 539627247, 'JP', 'Japan'),
(3027, '32.42.14.240', '32.42.14.255', 539627248, 539627263, 'AN', 'Netherlands Antilles'),
(3028, '32.42.15.0', '32.42.15.127', 539627264, 539627391, 'US', 'United States'),
(3029, '32.42.15.128', '32.42.15.135', 539627392, 539627399, 'JP', 'Japan'),
(3030, '32.42.15.136', '32.42.15.143', 539627400, 539627407, 'IE', 'Ireland'),
(3031, '32.42.15.144', '32.42.15.159', 539627408, 539627423, 'JP', 'Japan'),
(3032, '32.42.15.160', '32.42.15.239', 539627424, 539627503, 'US', 'United States'),
(3033, '32.42.15.240', '32.42.15.255', 539627504, 539627519, 'NL', 'Netherlands'),
(3034, '32.42.16.0', '32.58.34.191', 539627520, 540680895, 'US', 'United States'),
(3035, '32.58.34.192', '32.58.34.255', 540680896, 540680959, 'BE', 'Belgium'),
(3036, '32.58.35.0', '32.58.45.255', 540680960, 540683775, 'US', 'United States'),
(3037, '32.58.46.0', '32.58.46.7', 540683776, 540683783, 'DE', 'Germany'),
(3038, '32.58.46.8', '32.58.52.255', 540683784, 540685567, 'US', 'United States'),
(3039, '32.58.53.0', '32.58.53.63', 540685568, 540685631, 'FR', 'France'),
(3040, '32.58.53.64', '32.58.56.255', 540685632, 540686591, 'US', 'United States'),
(3041, '32.58.57.0', '32.58.57.7', 540686592, 540686599, 'GB', 'United Kingdom'),
(3042, '32.58.57.8', '32.58.57.255', 540686600, 540686847, 'US', 'United States'),
(3043, '32.58.58.0', '32.58.58.15', 540686848, 540686863, 'GB', 'United Kingdom'),
(3044, '32.58.58.16', '32.58.58.255', 540686864, 540687103, 'US', 'United States'),
(3045, '32.58.59.0', '32.58.59.7', 540687104, 540687111, 'GB', 'United Kingdom'),
(3046, '32.58.59.8', '32.58.59.127', 540687112, 540687231, 'US', 'United States'),
(3047, '32.58.59.128', '32.58.59.255', 540687232, 540687359, 'CA', 'Canada'),
(3048, '32.58.60.0', '32.58.87.255', 540687360, 540694527, 'US', 'United States'),
(3049, '32.58.88.0', '32.58.88.63', 540694528, 540694591, 'IT', 'Italy'),
(3050, '32.58.88.64', '32.58.128.255', 540694592, 540705023, 'US', 'United States'),
(3051, '32.58.129.0', '32.58.129.7', 540705024, 540705031, 'IE', 'Ireland'),
(3052, '32.58.129.8', '32.58.130.255', 540705032, 540705535, 'US', 'United States'),
(3053, '32.58.131.0', '32.58.131.63', 540705536, 540705599, 'IE', 'Ireland'),
(3054, '32.58.131.64', '32.58.155.255', 540705600, 540711935, 'US', 'United States'),
(3055, '32.58.156.0', '32.58.157.255', 540711936, 540712447, 'NL', 'Netherlands'),
(3056, '32.58.158.0', '32.58.255.255', 540712448, 540737535, 'US', 'United States'),
(3057, '32.59.0.0', '32.59.0.221', 540737536, 540737757, 'BZ', 'Belize'),
(3058, '32.59.0.222', '32.59.0.222', 540737758, 540737758, 'BR', 'Brazil'),
(3059, '32.59.0.223', '32.59.0.255', 540737759, 540737791, 'BZ', 'Belize'),
(3060, '32.59.1.0', '32.59.1.127', 540737792, 540737919, 'BR', 'Brazil'),
(3061, '32.59.1.128', '32.59.49.95', 540737920, 540750175, 'BZ', 'Belize'),
(3062, '32.59.49.96', '32.59.49.127', 540750176, 540750207, 'MX', 'Mexico'),
(3063, '32.59.49.128', '32.59.49.159', 540750208, 540750239, 'BZ', 'Belize'),
(3064, '32.59.49.160', '32.59.49.175', 540750240, 540750255, 'MX', 'Mexico'),
(3065, '32.59.49.176', '32.59.255.255', 540750256, 540803071, 'BZ', 'Belize'),
(3066, '32.60.0.0', '32.60.34.15', 540803072, 540811791, 'US', 'United States'),
(3067, '32.60.34.16', '32.60.34.23', 540811792, 540811799, 'JP', 'Japan'),
(3068, '32.60.34.24', '32.60.34.95', 540811800, 540811871, 'US', 'United States'),
(3069, '32.60.34.96', '32.60.34.127', 540811872, 540811903, 'GB', 'United Kingdom'),
(3070, '32.60.34.128', '32.60.34.159', 540811904, 540811935, 'US', 'United States'),
(3071, '32.60.34.160', '32.60.34.191', 540811936, 540811967, 'DE', 'Germany'),
(3072, '32.60.34.192', '32.60.34.207', 540811968, 540811983, 'JP', 'Japan'),
(3073, '32.60.34.208', '32.60.34.215', 540811984, 540811991, 'US', 'United States'),
(3074, '32.60.34.216', '32.60.34.223', 540811992, 540811999, 'DE', 'Germany'),
(3075, '32.60.34.224', '32.60.36.7', 540812000, 540812295, 'US', 'United States'),
(3076, '32.60.36.8', '32.60.36.15', 540812296, 540812303, 'SG', 'Singapore'),
(3077, '32.60.36.16', '32.60.36.31', 540812304, 540812319, 'DE', 'Germany'),
(3078, '32.60.36.32', '32.60.36.215', 540812320, 540812503, 'US', 'United States'),
(3079, '32.60.36.216', '32.60.36.223', 540812504, 540812511, 'SG', 'Singapore'),
(3080, '32.60.36.224', '32.60.37.175', 540812512, 540812719, 'US', 'United States'),
(3081, '32.60.37.176', '32.60.37.183', 540812720, 540812727, 'SG', 'Singapore'),
(3082, '32.60.37.184', '32.60.37.191', 540812728, 540812735, 'US', 'United States'),
(3083, '32.60.37.192', '32.60.37.199', 540812736, 540812743, 'SG', 'Singapore'),
(3084, '32.60.37.200', '32.60.37.207', 540812744, 540812751, 'NL', 'Netherlands'),
(3085, '32.60.37.208', '32.60.37.223', 540812752, 540812767, 'SG', 'Singapore'),
(3086, '32.60.37.224', '32.60.37.231', 540812768, 540812775, 'US', 'United States'),
(3087, '32.60.37.232', '32.60.37.239', 540812776, 540812783, 'NL', 'Netherlands'),
(3088, '32.60.37.240', '32.60.38.255', 540812784, 540813055, 'US', 'United States'),
(3089, '32.60.39.0', '32.60.39.7', 540813056, 540813063, 'SG', 'Singapore'),
(3090, '32.60.39.8', '32.60.39.15', 540813064, 540813071, 'US', 'United States'),
(3091, '32.60.39.16', '32.60.39.47', 540813072, 540813103, 'NL', 'Netherlands'),
(3092, '32.60.39.48', '32.60.39.63', 540813104, 540813119, 'US', 'United States'),
(3093, '32.60.39.64', '32.60.39.127', 540813120, 540813183, 'SG', 'Singapore'),
(3094, '32.60.39.128', '32.60.39.191', 540813184, 540813247, 'NL', 'Netherlands'),
(3095, '32.60.39.192', '32.60.39.231', 540813248, 540813287, 'US', 'United States'),
(3096, '32.60.39.232', '32.60.39.239', 540813288, 540813295, 'DE', 'Germany'),
(3097, '32.60.39.240', '32.60.39.247', 540813296, 540813303, 'SG', 'Singapore'),
(3098, '32.60.39.248', '32.60.39.255', 540813304, 540813311, 'US', 'United States'),
(3099, '32.60.40.0', '32.60.40.255', 540813312, 540813567, 'NL', 'Netherlands'),
(3100, '32.60.41.0', '32.60.41.71', 540813568, 540813639, 'DE', 'Germany'),
(3101, '32.60.41.72', '32.60.41.103', 540813640, 540813671, 'TW', 'Taiwan'),
(3102, '32.60.41.104', '32.60.41.127', 540813672, 540813695, 'US', 'United States'),
(3103, '32.60.41.128', '32.60.42.191', 540813696, 540814015, 'TW', 'Taiwan'),
(3104, '32.60.42.192', '32.60.42.255', 540814016, 540814079, 'US', 'United States'),
(3105, '32.60.43.0', '32.60.43.191', 540814080, 540814271, 'TW', 'Taiwan'),
(3106, '32.60.43.192', '32.60.43.199', 540814272, 540814279, 'DE', 'Germany'),
(3107, '32.60.43.200', '32.60.43.247', 540814280, 540814327, 'US', 'United States'),
(3108, '32.60.43.248', '32.60.43.255', 540814328, 540814335, 'IN', 'India'),
(3109, '32.60.44.0', '32.60.44.255', 540814336, 540814591, 'AP', 'Asia/Pacific Region'),
(3110, '32.60.45.0', '32.60.45.127', 540814592, 540814719, 'US', 'United States'),
(3111, '32.60.45.128', '32.60.45.143', 540814720, 540814735, 'SG', 'Singapore'),
(3112, '32.60.45.144', '32.60.47.20', 540814736, 540815124, 'US', 'United States'),
(3113, '32.60.47.21', '32.60.47.22', 540815125, 540815126, 'SG', 'Singapore'),
(3114, '32.60.47.23', '32.60.47.64', 540815127, 540815168, 'US', 'United States'),
(3115, '32.60.47.65', '32.60.47.78', 540815169, 540815182, 'SG', 'Singapore'),
(3116, '32.60.47.79', '32.60.63.255', 540815183, 540819455, 'US', 'United States'),
(3117, '32.60.64.0', '32.60.79.255', 540819456, 540823551, 'CA', 'Canada'),
(3118, '32.60.80.0', '32.60.92.47', 540823552, 540826671, 'US', 'United States'),
(3119, '32.60.92.48', '32.60.92.95', 540826672, 540826719, 'CA', 'Canada'),
(3120, '32.60.92.96', '32.60.93.255', 540826720, 540827135, 'US', 'United States'),
(3121, '32.60.94.0', '32.60.94.127', 540827136, 540827263, 'CA', 'Canada'),
(3122, '32.60.94.128', '32.60.94.159', 540827264, 540827295, 'US', 'United States'),
(3123, '32.60.94.160', '32.60.94.175', 540827296, 540827311, 'CA', 'Canada'),
(3124, '32.60.94.176', '32.60.94.223', 540827312, 540827359, 'US', 'United States'),
(3125, '32.60.94.224', '32.60.94.239', 540827360, 540827375, 'CA', 'Canada'),
(3126, '32.60.94.240', '32.60.94.255', 540827376, 540827391, 'US', 'United States'),
(3127, '32.60.95.0', '32.60.95.31', 540827392, 540827423, 'CA', 'Canada'),
(3128, '32.60.95.32', '32.60.95.79', 540827424, 540827471, 'US', 'United States'),
(3129, '32.60.95.80', '32.60.95.95', 540827472, 540827487, 'CA', 'Canada'),
(3130, '32.60.95.96', '32.60.95.127', 540827488, 540827519, 'US', 'United States'),
(3131, '32.60.95.128', '32.60.95.159', 540827520, 540827551, 'CA', 'Canada'),
(3132, '32.60.95.160', '32.60.95.191', 540827552, 540827583, 'US', 'United States'),
(3133, '32.60.95.192', '32.60.95.255', 540827584, 540827647, 'CA', 'Canada'),
(3134, '32.60.96.0', '32.60.103.255', 540827648, 540829695, 'US', 'United States'),
(3135, '32.60.104.0', '32.60.104.255', 540829696, 540829951, 'CA', 'Canada'),
(3136, '32.60.105.0', '32.60.107.47', 540829952, 540830511, 'US', 'United States'),
(3137, '32.60.107.48', '32.60.107.63', 540830512, 540830527, 'CA', 'Canada'),
(3138, '32.60.107.64', '32.60.107.95', 540830528, 540830559, 'US', 'United States'),
(3139, '32.60.107.96', '32.60.107.111', 540830560, 540830575, 'CA', 'Canada'),
(3140, '32.60.107.112', '32.60.107.159', 540830576, 540830623, 'US', 'United States'),
(3141, '32.60.107.160', '32.60.108.15', 540830624, 540830735, 'CA', 'Canada'),
(3142, '32.60.108.16', '32.60.108.95', 540830736, 540830815, 'US', 'United States'),
(3143, '32.60.108.96', '32.60.108.111', 540830816, 540830831, 'CA', 'Canada'),
(3144, '32.60.108.112', '32.60.108.127', 540830832, 540830847, 'US', 'United States'),
(3145, '32.60.108.128', '32.60.108.175', 540830848, 540830895, 'CA', 'Canada'),
(3146, '32.60.108.176', '32.104.15.255', 540830896, 543690751, 'US', 'United States'),
(3147, '32.104.16.0', '32.104.16.255', 543690752, 543691007, 'AR', 'Argentina'),
(3148, '32.104.17.0', '32.104.255.255', 543691008, 543752191, 'US', 'United States'),
(3149, '32.105.0.0', '32.105.0.255', 543752192, 543752447, 'BM', 'Bermuda');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(3150, '32.105.1.0', '32.105.10.255', 543752448, 543755007, 'BR', 'Brazil'),
(3151, '32.105.11.0', '32.105.11.255', 543755008, 543755263, 'AN', 'Netherlands Antilles'),
(3152, '32.105.12.0', '32.105.33.255', 543755264, 543760895, 'US', 'United States'),
(3153, '32.105.34.0', '32.105.34.255', 543760896, 543761151, 'VE', 'Venezuela'),
(3154, '32.105.35.0', '32.105.35.255', 543761152, 543761407, 'US', 'United States'),
(3155, '32.105.36.0', '32.105.36.255', 543761408, 543761663, 'CL', 'Chile'),
(3156, '32.105.37.0', '32.105.37.255', 543761664, 543761919, 'US', 'United States'),
(3157, '32.105.38.0', '32.105.43.255', 543761920, 543763455, 'BR', 'Brazil'),
(3158, '32.105.44.0', '32.105.44.255', 543763456, 543763711, 'US', 'United States'),
(3159, '32.105.45.0', '32.105.46.255', 543763712, 543764223, 'MX', 'Mexico'),
(3160, '32.105.47.0', '32.105.56.255', 543764224, 543766783, 'US', 'United States'),
(3161, '32.105.57.0', '32.105.57.255', 543766784, 543767039, 'AR', 'Argentina'),
(3162, '32.105.58.0', '32.105.58.255', 543767040, 543767295, 'US', 'United States'),
(3163, '32.105.59.0', '32.105.59.255', 543767296, 543767551, 'EC', 'Ecuador'),
(3164, '32.105.60.0', '32.105.61.255', 543767552, 543768063, 'VE', 'Venezuela'),
(3165, '32.105.62.0', '32.105.62.255', 543768064, 543768319, 'US', 'United States'),
(3166, '32.105.63.0', '32.105.63.255', 543768320, 543768575, 'AR', 'Argentina'),
(3167, '32.105.64.0', '32.105.255.255', 543768576, 543817727, 'US', 'United States'),
(3168, '32.106.0.0', '32.106.1.255', 543817728, 543818239, 'DE', 'Germany'),
(3169, '32.106.2.0', '32.106.5.255', 543818240, 543819263, 'NL', 'Netherlands'),
(3170, '32.106.6.0', '32.106.9.255', 543819264, 543820287, 'DE', 'Germany'),
(3171, '32.106.10.0', '32.106.13.255', 543820288, 543821311, 'NL', 'Netherlands'),
(3172, '32.106.14.0', '32.106.14.255', 543821312, 543821567, 'DE', 'Germany'),
(3173, '32.106.15.0', '32.106.15.255', 543821568, 543821823, 'NL', 'Netherlands'),
(3174, '32.106.16.0', '32.106.26.255', 543821824, 543824639, 'DE', 'Germany'),
(3175, '32.106.27.0', '32.106.30.255', 543824640, 543825663, 'GB', 'United Kingdom'),
(3176, '32.106.31.0', '32.106.34.255', 543825664, 543826687, 'DE', 'Germany'),
(3177, '32.106.35.0', '32.106.38.255', 543826688, 543827711, 'GB', 'United Kingdom'),
(3178, '32.106.39.0', '32.106.39.255', 543827712, 543827967, 'US', 'United States'),
(3179, '32.106.40.0', '32.106.59.255', 543827968, 543833087, 'GB', 'United Kingdom'),
(3180, '32.106.60.0', '32.106.61.255', 543833088, 543833599, 'IT', 'Italy'),
(3181, '32.106.62.0', '32.106.63.255', 543833600, 543834111, 'US', 'United States'),
(3182, '32.106.64.0', '32.106.67.255', 543834112, 543835135, 'GB', 'United Kingdom'),
(3183, '32.106.68.0', '32.106.69.255', 543835136, 543835647, 'FR', 'France'),
(3184, '32.106.70.0', '32.106.71.255', 543835648, 543836159, 'US', 'United States'),
(3185, '32.106.72.0', '32.106.73.255', 543836160, 543836671, 'FR', 'France'),
(3186, '32.106.74.0', '32.106.75.255', 543836672, 543837183, 'US', 'United States'),
(3187, '32.106.76.0', '32.106.79.255', 543837184, 543838207, 'FR', 'France'),
(3188, '32.106.80.0', '32.106.87.255', 543838208, 543840255, 'US', 'United States'),
(3189, '32.106.88.0', '32.106.91.255', 543840256, 543841279, 'BE', 'Belgium'),
(3190, '32.106.92.0', '32.106.95.255', 543841280, 543842303, 'US', 'United States'),
(3191, '32.106.96.0', '32.106.96.255', 543842304, 543842559, 'AT', 'Austria'),
(3192, '32.106.97.0', '32.106.98.255', 543842560, 543843071, 'GB', 'United Kingdom'),
(3193, '32.106.99.0', '32.106.100.255', 543843072, 543843583, 'US', 'United States'),
(3194, '32.106.101.0', '32.106.101.255', 543843584, 543843839, 'DK', 'Denmark'),
(3195, '32.106.102.0', '32.106.102.255', 543843840, 543844095, 'AT', 'Austria'),
(3196, '32.106.103.0', '32.106.103.255', 543844096, 543844351, 'US', 'United States'),
(3197, '32.106.104.0', '32.106.105.255', 543844352, 543844863, 'CH', 'Switzerland'),
(3198, '32.106.106.0', '32.106.106.255', 543844864, 543845119, 'US', 'United States'),
(3199, '32.106.107.0', '32.106.110.255', 543845120, 543846143, 'DE', 'Germany'),
(3200, '32.106.111.0', '32.106.112.255', 543846144, 543846655, 'HR', 'Croatia'),
(3201, '32.106.113.0', '32.106.113.255', 543846656, 543846911, 'BG', 'Bulgaria'),
(3202, '32.106.114.0', '32.106.114.255', 543846912, 543847167, 'SI', 'Slovenia'),
(3203, '32.106.115.0', '32.106.115.255', 543847168, 543847423, 'HU', 'Hungary'),
(3204, '32.106.116.0', '32.106.119.255', 543847424, 543848447, 'US', 'United States'),
(3205, '32.106.120.0', '32.106.127.255', 543848448, 543850495, 'ES', 'Spain'),
(3206, '32.106.128.0', '32.106.128.255', 543850496, 543850751, 'US', 'United States'),
(3207, '32.106.129.0', '32.106.132.255', 543850752, 543851775, 'IE', 'Ireland'),
(3208, '32.106.133.0', '32.106.133.255', 543851776, 543852031, 'DK', 'Denmark'),
(3209, '32.106.134.0', '32.106.135.255', 543852032, 543852543, 'US', 'United States'),
(3210, '32.106.136.0', '32.106.141.255', 543852544, 543854079, 'ES', 'Spain'),
(3211, '32.106.142.0', '32.106.147.255', 543854080, 543855615, 'CH', 'Switzerland'),
(3212, '32.106.148.0', '32.106.148.255', 543855616, 543855871, 'FI', 'Finland'),
(3213, '32.106.149.0', '32.106.149.255', 543855872, 543856127, 'IT', 'Italy'),
(3214, '32.106.150.0', '32.106.151.255', 543856128, 543856639, 'US', 'United States'),
(3215, '32.106.152.0', '32.106.153.255', 543856640, 543857151, 'ZA', 'South Africa'),
(3216, '32.106.154.0', '32.106.154.255', 543857152, 543857407, 'US', 'United States'),
(3217, '32.106.155.0', '32.106.155.255', 543857408, 543857663, 'CZ', 'Czech Republic'),
(3218, '32.106.156.0', '32.106.156.255', 543857664, 543857919, 'NO', 'Norway'),
(3219, '32.106.157.0', '32.106.160.255', 543857920, 543858943, 'DE', 'Germany'),
(3220, '32.106.161.0', '32.106.162.255', 543858944, 543859455, 'DK', 'Denmark'),
(3221, '32.106.163.0', '32.106.164.255', 543859456, 543859967, 'US', 'United States'),
(3222, '32.106.165.0', '32.106.165.255', 543859968, 543860223, 'DK', 'Denmark'),
(3223, '32.106.166.0', '32.106.166.255', 543860224, 543860479, 'GR', 'Greece'),
(3224, '32.106.167.0', '32.106.167.255', 543860480, 543860735, 'US', 'United States'),
(3225, '32.106.168.0', '32.106.169.255', 543860736, 543861247, 'SE', 'Sweden'),
(3226, '32.106.170.0', '32.106.180.255', 543861248, 543864063, 'US', 'United States'),
(3227, '32.106.181.0', '32.106.182.255', 543864064, 543864575, 'FI', 'Finland'),
(3228, '32.106.183.0', '32.106.183.255', 543864576, 543864831, 'US', 'United States'),
(3229, '32.106.184.0', '32.106.185.255', 543864832, 543865343, 'PK', 'Pakistan'),
(3230, '32.106.186.0', '32.106.187.255', 543865344, 543865855, 'US', 'United States'),
(3231, '32.106.188.0', '32.106.191.255', 543865856, 543866879, 'GB', 'United Kingdom'),
(3232, '32.106.192.0', '32.106.207.255', 543866880, 543870975, 'NL', 'Netherlands'),
(3233, '32.106.208.0', '32.106.213.255', 543870976, 543872511, 'ES', 'Spain'),
(3234, '32.106.214.0', '32.106.219.255', 543872512, 543874047, 'US', 'United States'),
(3235, '32.106.220.0', '32.106.225.255', 543874048, 543875583, 'FR', 'France'),
(3236, '32.106.226.0', '32.106.231.255', 543875584, 543877119, 'DE', 'Germany'),
(3237, '32.106.232.0', '32.106.237.255', 543877120, 543878655, 'BE', 'Belgium'),
(3238, '32.106.238.0', '32.106.243.255', 543878656, 543880191, 'IT', 'Italy'),
(3239, '32.106.244.0', '32.106.249.255', 543880192, 543881727, 'NL', 'Netherlands'),
(3240, '32.106.250.0', '32.106.255.255', 543881728, 543883263, 'GB', 'United Kingdom'),
(3241, '32.107.0.0', '34.252.138.255', 543883264, 586975999, 'US', 'United States'),
(3242, '34.252.139.0', '34.252.139.255', 586976000, 586976255, 'AP', 'Asia/Pacific Region'),
(3243, '34.252.140.0', '34.253.2.255', 586976256, 587006719, 'US', 'United States'),
(3244, '34.253.3.0', '34.253.3.255', 587006720, 587006975, 'GB', 'United Kingdom'),
(3245, '34.253.4.0', '35.255.255.255', 587006976, 603979775, 'US', 'United States'),
(3246, '36.0.0.0', '36.0.3.255', 603979776, 603980799, 'CN', 'China'),
(3247, '36.0.4.0', '36.0.7.255', 603980800, 603981823, 'NP', 'Nepal'),
(3248, '36.0.8.0', '36.1.255.255', 603981824, 604110847, 'CN', 'China'),
(3249, '36.2.0.0', '36.3.255.255', 604110848, 604241919, 'JP', 'Japan'),
(3250, '36.4.0.0', '36.7.255.255', 604241920, 604504063, 'CN', 'China'),
(3251, '36.8.0.0', '36.15.255.255', 604504064, 605028351, 'JP', 'Japan'),
(3252, '36.16.0.0', '36.37.31.255', 605028352, 606412799, 'CN', 'China'),
(3253, '36.37.32.0', '36.37.35.255', 606412800, 606413823, 'HK', 'Hong Kong'),
(3254, '36.37.36.0', '36.37.37.255', 606413824, 606414335, 'CN', 'China'),
(3255, '36.37.38.0', '36.37.38.255', 606414336, 606414591, 'AU', 'Australia'),
(3256, '36.37.39.0', '36.37.63.255', 606414592, 606420991, 'CN', 'China'),
(3257, '36.37.64.0', '36.37.127.255', 606420992, 606437375, 'ID', 'Indonesia'),
(3258, '36.37.128.0', '36.37.255.255', 606437376, 606470143, 'KH', 'Cambodia'),
(3259, '36.38.0.0', '36.39.255.255', 606470144, 606601215, 'KR', 'Korea, Republic of'),
(3260, '36.40.0.0', '36.51.255.255', 606601216, 607387647, 'CN', 'China'),
(3261, '36.52.0.0', '36.55.255.255', 607387648, 607649791, 'JP', 'Japan'),
(3262, '36.56.0.0', '36.63.255.255', 607649792, 608174079, 'CN', 'China'),
(3263, '36.64.0.0', '36.95.255.255', 608174080, 610271231, 'ID', 'Indonesia'),
(3264, '36.96.0.0', '36.223.255.255', 610271232, 618659839, 'CN', 'China'),
(3265, '36.224.0.0', '36.239.255.255', 618659840, 619708415, 'TW', 'Taiwan'),
(3266, '36.240.0.0', '36.247.255.255', 619708416, 620232703, 'JP', 'Japan'),
(3267, '36.248.0.0', '36.251.255.255', 620232704, 620494847, 'CN', 'China'),
(3268, '36.252.0.0', '36.253.255.255', 620494848, 620625919, 'NP', 'Nepal'),
(3269, '36.254.0.0', '36.254.255.255', 620625920, 620691455, 'CN', 'China'),
(3270, '37.0.0.0', '37.0.7.255', 620756992, 620759039, 'IE', 'Ireland'),
(3271, '37.0.8.0', '37.0.23.255', 620759040, 620763135, 'NL', 'Netherlands'),
(3272, '37.0.24.0', '37.0.31.255', 620763136, 620765183, 'EE', 'Estonia'),
(3273, '37.0.32.0', '37.0.63.255', 620765184, 620773375, 'CH', 'Switzerland'),
(3274, '37.0.64.0', '37.0.71.255', 620773376, 620775423, 'ME', 'Montenegro'),
(3275, '37.0.72.0', '37.0.79.255', 620775424, 620777471, 'FR', 'France'),
(3276, '37.0.80.0', '37.0.95.255', 620777472, 620781567, 'NL', 'Netherlands'),
(3277, '37.0.96.0', '37.0.103.255', 620781568, 620783615, 'GB', 'United Kingdom'),
(3278, '37.0.104.0', '37.0.111.255', 620783616, 620785663, 'ES', 'Spain'),
(3279, '37.0.112.0', '37.0.119.255', 620785664, 620787711, 'DE', 'Germany'),
(3280, '37.0.120.0', '37.0.127.255', 620787712, 620789759, 'RU', 'Russian Federation'),
(3281, '37.0.128.0', '37.0.207.255', 620789760, 620810239, 'HR', 'Croatia'),
(3282, '37.0.208.0', '37.0.215.255', 620810240, 620812287, 'LT', 'Lithuania'),
(3283, '37.0.216.0', '37.0.223.255', 620812288, 620814335, 'SE', 'Sweden'),
(3284, '37.0.224.0', '37.0.255.255', 620814336, 620822527, 'LT', 'Lithuania'),
(3285, '37.1.0.0', '37.1.87.255', 620822528, 620845055, 'RU', 'Russian Federation'),
(3286, '37.1.88.0', '37.1.88.137', 620845056, 620845193, 'GB', 'United Kingdom'),
(3287, '37.1.88.138', '37.1.88.145', 620845194, 620845201, 'DE', 'Germany'),
(3288, '37.1.88.146', '37.1.88.159', 620845202, 620845215, 'NL', 'Netherlands'),
(3289, '37.1.88.160', '37.1.89.127', 620845216, 620845439, 'GB', 'United Kingdom'),
(3290, '37.1.89.128', '37.1.89.191', 620845440, 620845503, 'SI', 'Slovenia'),
(3291, '37.1.89.192', '37.1.103.255', 620845504, 620849151, 'GB', 'United Kingdom'),
(3292, '37.1.104.0', '37.1.111.255', 620849152, 620851199, 'NL', 'Netherlands'),
(3293, '37.1.112.0', '37.1.127.255', 620851200, 620855295, 'DE', 'Germany'),
(3294, '37.1.128.0', '37.1.143.255', 620855296, 620859391, 'RU', 'Russian Federation'),
(3295, '37.1.144.0', '37.1.151.255', 620859392, 620861439, 'TR', 'Turkey'),
(3296, '37.1.152.0', '37.1.159.255', 620861440, 620863487, 'GB', 'United Kingdom'),
(3297, '37.1.160.0', '37.1.167.255', 620863488, 620865535, 'DE', 'Germany'),
(3298, '37.1.168.0', '37.1.175.255', 620865536, 620867583, 'FR', 'France'),
(3299, '37.1.176.0', '37.1.183.255', 620867584, 620869631, 'ES', 'Spain'),
(3300, '37.1.184.0', '37.1.187.255', 620869632, 620870655, 'FI', 'Finland'),
(3301, '37.1.188.0', '37.1.191.255', 620870656, 620871679, 'A2', 'Satellite Provider'),
(3302, '37.1.192.0', '37.1.199.255', 620871680, 620873727, 'DE', 'Germany'),
(3303, '37.1.200.0', '37.1.207.255', 620873728, 620875775, 'NL', 'Netherlands'),
(3304, '37.1.208.0', '37.1.215.255', 620875776, 620877823, 'US', 'United States'),
(3305, '37.1.216.0', '37.1.223.255', 620877824, 620879871, 'DE', 'Germany'),
(3306, '37.1.224.0', '37.1.231.255', 620879872, 620881919, 'GB', 'United Kingdom'),
(3307, '37.1.232.0', '37.1.255.255', 620881920, 620888063, 'FR', 'France'),
(3308, '37.2.0.0', '37.3.255.255', 620888064, 621019135, 'SE', 'Sweden'),
(3309, '37.4.0.0', '37.5.255.255', 621019136, 621150207, 'DE', 'Germany'),
(3310, '37.6.0.0', '37.6.255.255', 621150208, 621215743, 'GR', 'Greece'),
(3311, '37.7.0.0', '37.7.255.255', 621215744, 621281279, 'PL', 'Poland'),
(3312, '37.8.0.0', '37.8.127.255', 621281280, 621314047, 'PS', 'Palestinian Territory, Occupied'),
(3313, '37.8.128.0', '37.8.143.255', 621314048, 621318143, 'BA', 'Bosnia and Herzegovina'),
(3314, '37.8.144.0', '37.8.159.255', 621318144, 621322239, 'RU', 'Russian Federation'),
(3315, '37.8.160.0', '37.8.191.255', 621322240, 621330431, 'FR', 'France'),
(3316, '37.8.192.0', '37.8.255.255', 621330432, 621346815, 'PL', 'Poland'),
(3317, '37.9.0.0', '37.9.49.255', 621346816, 621359615, 'RU', 'Russian Federation'),
(3318, '37.9.50.0', '37.9.51.255', 621359616, 621360127, 'UA', 'Ukraine'),
(3319, '37.9.52.0', '37.9.57.255', 621360128, 621361663, 'RU', 'Russian Federation'),
(3320, '37.9.58.0', '37.9.58.255', 621361664, 621361919, 'GB', 'United Kingdom'),
(3321, '37.9.59.0', '37.9.59.255', 621361920, 621362175, 'SY', 'Syrian Arab Republic'),
(3322, '37.9.60.0', '37.9.60.255', 621362176, 621362431, 'RU', 'Russian Federation'),
(3323, '37.9.61.0', '37.9.61.255', 621362432, 621362687, 'BE', 'Belgium'),
(3324, '37.9.62.0', '37.9.135.255', 621362688, 621381631, 'RU', 'Russian Federation'),
(3325, '37.9.136.0', '37.9.143.255', 621381632, 621383679, 'FR', 'France'),
(3326, '37.9.144.0', '37.9.159.255', 621383680, 621387775, 'RU', 'Russian Federation'),
(3327, '37.9.160.0', '37.9.167.255', 621387776, 621389823, 'NL', 'Netherlands'),
(3328, '37.9.168.0', '37.9.175.255', 621389824, 621391871, 'SK', 'Slovakia'),
(3329, '37.9.176.0', '37.9.183.255', 621391872, 621393919, 'CY', 'Cyprus'),
(3330, '37.9.184.0', '37.9.191.255', 621393920, 621395967, 'DE', 'Germany'),
(3331, '37.9.192.0', '37.9.199.255', 621395968, 621398015, 'CZ', 'Czech Republic'),
(3332, '37.9.200.0', '37.9.207.255', 621398016, 621400063, 'TR', 'Turkey'),
(3333, '37.9.208.0', '37.9.215.255', 621400064, 621402111, 'HU', 'Hungary'),
(3334, '37.9.216.0', '37.9.223.255', 621402112, 621404159, 'NL', 'Netherlands'),
(3335, '37.9.224.0', '37.9.239.255', 621404160, 621408255, 'IT', 'Italy'),
(3336, '37.9.240.0', '37.9.247.255', 621408256, 621410303, 'RU', 'Russian Federation'),
(3337, '37.9.248.0', '37.9.255.255', 621410304, 621412351, 'IR', 'Iran, Islamic Republic of'),
(3338, '37.10.0.0', '37.10.127.255', 621412352, 621445119, 'DE', 'Germany'),
(3339, '37.10.128.0', '37.15.255.255', 621445120, 621805567, 'ES', 'Spain'),
(3340, '37.16.0.0', '37.16.31.255', 621805568, 621813759, 'NL', 'Netherlands'),
(3341, '37.16.32.0', '37.16.63.255', 621813760, 621821951, 'SA', 'Saudi Arabia'),
(3342, '37.16.64.0', '37.16.71.255', 621821952, 621823999, 'DE', 'Germany'),
(3343, '37.16.72.0', '37.16.79.255', 621824000, 621826047, 'FR', 'France'),
(3344, '37.16.80.0', '37.16.87.255', 621826048, 621828095, 'RU', 'Russian Federation'),
(3345, '37.16.88.0', '37.16.95.255', 621828096, 621830143, 'GB', 'United Kingdom'),
(3346, '37.16.96.0', '37.16.127.255', 621830144, 621838335, 'FI', 'Finland'),
(3347, '37.16.128.0', '37.16.255.255', 621838336, 621871103, 'SA', 'Saudi Arabia'),
(3348, '37.17.0.0', '37.17.127.255', 621871104, 621903871, 'BY', 'Belarus'),
(3349, '37.17.128.0', '37.17.159.255', 621903872, 621912063, 'IQ', 'Iraq'),
(3350, '37.17.160.0', '37.17.175.255', 621912064, 621916159, 'HU', 'Hungary'),
(3351, '37.17.176.0', '37.17.183.255', 621916160, 621918207, 'KZ', 'Kazakhstan'),
(3352, '37.17.184.0', '37.17.191.255', 621918208, 621920255, 'GB', 'United Kingdom'),
(3353, '37.17.192.0', '37.17.207.255', 621920256, 621924351, 'JO', 'Jordan'),
(3354, '37.17.208.0', '37.17.223.255', 621924352, 621928447, 'NL', 'Netherlands'),
(3355, '37.17.224.0', '37.17.239.255', 621928448, 621932543, 'DE', 'Germany'),
(3356, '37.17.240.0', '37.17.247.255', 621932544, 621934591, 'UA', 'Ukraine'),
(3357, '37.17.248.0', '37.17.255.255', 621934592, 621936639, 'SE', 'Sweden'),
(3358, '37.18.0.0', '37.18.14.255', 621936640, 621940479, 'RU', 'Russian Federation'),
(3359, '37.18.15.0', '37.18.22.255', 621940480, 621942527, 'GB', 'United Kingdom'),
(3360, '37.18.23.0', '37.18.93.255', 621942528, 621960703, 'RU', 'Russian Federation'),
(3361, '37.18.94.0', '37.18.94.255', 621960704, 621960959, 'LV', 'Latvia'),
(3362, '37.18.95.0', '37.18.106.255', 621960960, 621964031, 'RU', 'Russian Federation'),
(3363, '37.18.107.0', '37.18.122.255', 621964032, 621968127, 'RO', 'Romania'),
(3364, '37.18.123.0', '37.18.127.255', 621968128, 621969407, 'RU', 'Russian Federation'),
(3365, '37.18.128.0', '37.18.135.255', 621969408, 621971455, 'RO', 'Romania'),
(3366, '37.18.136.0', '37.18.143.255', 621971456, 621973503, 'GB', 'United Kingdom'),
(3367, '37.18.144.0', '37.18.151.255', 621973504, 621975551, 'IE', 'Ireland'),
(3368, '37.18.152.0', '37.18.159.255', 621975552, 621977599, 'RU', 'Russian Federation'),
(3369, '37.18.160.0', '37.18.175.255', 621977600, 621981695, 'FR', 'France'),
(3370, '37.18.176.0', '37.18.183.255', 621981696, 621983743, 'US', 'United States'),
(3371, '37.18.184.0', '37.18.191.255', 621983744, 621985791, 'RS', 'Serbia'),
(3372, '37.18.192.0', '37.18.199.255', 621985792, 621987839, 'US', 'United States'),
(3373, '37.18.200.0', '37.18.207.255', 621987840, 621989887, 'DK', 'Denmark'),
(3374, '37.18.208.0', '37.18.215.255', 621989888, 621991935, 'SE', 'Sweden'),
(3375, '37.18.216.0', '37.18.223.255', 621991936, 621993983, 'DK', 'Denmark'),
(3376, '37.18.224.0', '37.18.239.255', 621993984, 621998079, 'SI', 'Slovenia'),
(3377, '37.18.240.0', '37.18.247.255', 621998080, 622000127, 'ES', 'Spain'),
(3378, '37.18.248.0', '37.19.7.255', 622000128, 622004223, 'RU', 'Russian Federation'),
(3379, '37.19.8.0', '37.19.15.255', 622004224, 622006271, 'BE', 'Belgium'),
(3380, '37.19.16.0', '37.19.23.255', 622006272, 622008319, 'FI', 'Finland'),
(3381, '37.19.24.0', '37.19.31.255', 622008320, 622010367, 'GB', 'United Kingdom'),
(3382, '37.19.32.0', '37.19.63.255', 622010368, 622018559, 'RU', 'Russian Federation'),
(3383, '37.19.64.0', '37.19.71.255', 622018560, 622020607, 'SI', 'Slovenia'),
(3384, '37.19.72.0', '37.19.79.255', 622020608, 622022655, 'RU', 'Russian Federation'),
(3385, '37.19.80.0', '37.19.95.255', 622022656, 622026751, 'IR', 'Iran, Islamic Republic of'),
(3386, '37.19.96.0', '37.19.103.255', 622026752, 622028799, 'IE', 'Ireland'),
(3387, '37.19.104.0', '37.19.111.255', 622028800, 622030847, 'RS', 'Serbia'),
(3388, '37.19.112.0', '37.19.127.255', 622030848, 622034943, 'IL', 'Israel'),
(3389, '37.19.128.0', '37.19.255.255', 622034944, 622067711, 'UA', 'Ukraine'),
(3390, '37.20.0.0', '37.23.255.255', 622067712, 622329855, 'RU', 'Russian Federation'),
(3391, '37.24.0.0', '37.24.255.255', 622329856, 622395391, 'DE', 'Germany'),
(3392, '37.25.0.0', '37.25.39.255', 622395392, 622405631, 'UA', 'Ukraine'),
(3393, '37.25.40.0', '37.25.47.255', 622405632, 622407679, 'ES', 'Spain'),
(3394, '37.25.48.0', '37.25.55.255', 622407680, 622409727, 'DE', 'Germany'),
(3395, '37.25.56.0', '37.25.63.255', 622409728, 622411775, 'FR', 'France'),
(3396, '37.25.64.0', '37.25.71.255', 622411776, 622413823, 'DE', 'Germany'),
(3397, '37.25.72.0', '37.25.79.255', 622413824, 622415871, 'FR', 'France'),
(3398, '37.25.80.0', '37.25.87.255', 622415872, 622417919, 'MK', 'Macedonia'),
(3399, '37.25.88.0', '37.25.91.255', 622417920, 622418943, 'GB', 'United Kingdom'),
(3400, '37.25.92.0', '37.25.95.255', 622418944, 622419967, 'IM', 'Isle of Man'),
(3401, '37.25.96.0', '37.25.127.255', 622419968, 622428159, 'UA', 'Ukraine'),
(3402, '37.25.128.0', '37.25.255.255', 622428160, 622460927, 'RO', 'Romania'),
(3403, '37.26.0.0', '37.26.63.255', 622460928, 622477311, 'AZ', 'Azerbaijan'),
(3404, '37.26.64.0', '37.26.71.255', 622477312, 622479359, 'AL', 'Albania'),
(3405, '37.26.72.0', '37.26.79.255', 622479360, 622481407, 'GB', 'United Kingdom'),
(3406, '37.26.80.0', '37.26.87.255', 622481408, 622483455, 'AL', 'Albania'),
(3407, '37.26.88.0', '37.26.95.255', 622483456, 622485503, 'GB', 'United Kingdom'),
(3408, '37.26.96.0', '37.26.103.255', 622485504, 622487551, 'MK', 'Macedonia'),
(3409, '37.26.104.0', '37.26.111.255', 622487552, 622489599, 'GB', 'United Kingdom'),
(3410, '37.26.112.0', '37.26.127.255', 622489600, 622493695, 'US', 'United States'),
(3411, '37.26.128.0', '37.26.143.255', 622493696, 622497791, 'MD', 'Moldova, Republic of'),
(3412, '37.26.144.0', '37.26.151.255', 622497792, 622499839, 'IL', 'Israel'),
(3413, '37.26.152.0', '37.26.159.255', 622499840, 622501887, 'SE', 'Sweden'),
(3414, '37.26.160.0', '37.26.167.255', 622501888, 622503935, 'PL', 'Poland'),
(3415, '37.26.168.0', '37.26.175.255', 622503936, 622505983, 'AM', 'Armenia'),
(3416, '37.26.176.0', '37.26.191.255', 622505984, 622510079, 'FR', 'France'),
(3417, '37.26.192.0', '37.26.199.255', 622510080, 622512127, 'PL', 'Poland'),
(3418, '37.26.200.0', '37.26.207.255', 622512128, 622514175, 'DE', 'Germany'),
(3419, '37.26.208.0', '37.26.223.255', 622514176, 622518271, 'NO', 'Norway'),
(3420, '37.26.224.0', '37.26.231.255', 622518272, 622520319, 'NL', 'Netherlands'),
(3421, '37.26.232.0', '37.26.239.255', 622520320, 622522367, 'RU', 'Russian Federation'),
(3422, '37.26.240.0', '37.26.247.255', 622522368, 622524415, 'FR', 'France'),
(3423, '37.26.248.0', '37.26.255.255', 622524416, 622526463, 'ES', 'Spain'),
(3424, '37.27.0.0', '37.27.16.255', 622526464, 622530815, 'DE', 'Germany'),
(3425, '37.27.17.0', '37.27.17.255', 622530816, 622531071, 'AT', 'Austria'),
(3426, '37.27.18.0', '37.27.18.255', 622531072, 622531327, 'CZ', 'Czech Republic'),
(3427, '37.27.19.0', '37.27.22.255', 622531328, 622532351, 'CH', 'Switzerland'),
(3428, '37.27.23.0', '37.27.129.255', 622532352, 622559743, 'DE', 'Germany'),
(3429, '37.27.130.0', '37.27.137.255', 622559744, 622561791, 'AT', 'Austria'),
(3430, '37.27.138.0', '37.27.217.255', 622561792, 622582271, 'DE', 'Germany'),
(3431, '37.27.218.0', '37.27.221.255', 622582272, 622583295, 'AT', 'Austria'),
(3432, '37.27.222.0', '37.27.255.255', 622583296, 622591999, 'DE', 'Germany'),
(3433, '37.28.0.0', '37.28.127.255', 622592000, 622624767, 'OM', 'Oman'),
(3434, '37.28.128.0', '37.28.135.255', 622624768, 622626815, 'NO', 'Norway'),
(3435, '37.28.136.0', '37.28.151.255', 622626816, 622630911, 'DK', 'Denmark'),
(3436, '37.28.152.0', '37.28.159.255', 622630912, 622632959, 'PL', 'Poland'),
(3437, '37.28.160.0', '37.28.191.255', 622632960, 622641151, 'RU', 'Russian Federation'),
(3438, '37.28.192.0', '37.28.255.255', 622641152, 622657535, 'PT', 'Portugal'),
(3439, '37.29.0.0', '37.29.127.255', 622657536, 622690303, 'RU', 'Russian Federation'),
(3440, '37.29.128.0', '37.29.255.255', 622690304, 622723071, 'ES', 'Spain'),
(3441, '37.30.0.0', '37.31.255.255', 622723072, 622854143, 'PL', 'Poland'),
(3442, '37.32.0.0', '37.32.47.255', 622854144, 622866431, 'IR', 'Iran, Islamic Republic of'),
(3443, '37.32.48.0', '37.32.55.255', 622866432, 622868479, 'NO', 'Norway'),
(3444, '37.32.56.0', '37.32.63.255', 622868480, 622870527, 'FR', 'France'),
(3445, '37.32.64.0', '37.32.79.255', 622870528, 622874623, 'AZ', 'Azerbaijan'),
(3446, '37.32.80.0', '37.32.95.255', 622874624, 622878719, 'IT', 'Italy'),
(3447, '37.32.96.0', '37.32.103.255', 622878720, 622880767, 'FR', 'France'),
(3448, '37.32.104.0', '37.32.111.255', 622880768, 622882815, 'IT', 'Italy'),
(3449, '37.32.112.0', '37.32.127.255', 622882816, 622886911, 'IR', 'Iran, Islamic Republic of'),
(3450, '37.32.128.0', '37.32.255.255', 622886912, 622919679, 'GR', 'Greece'),
(3451, '37.33.0.0', '37.33.255.255', 622919680, 622985215, 'FI', 'Finland'),
(3452, '37.34.0.0', '37.34.31.255', 622985216, 622993407, 'TR', 'Turkey'),
(3453, '37.34.32.0', '37.34.47.255', 622993408, 622997503, 'IT', 'Italy'),
(3454, '37.34.48.0', '37.34.63.255', 622997504, 623001599, 'NL', 'Netherlands'),
(3455, '37.34.64.0', '37.34.71.255', 623001600, 623003647, 'ES', 'Spain'),
(3456, '37.34.72.0', '37.34.79.255', 623003648, 623005695, 'IT', 'Italy'),
(3457, '37.34.80.0', '37.34.95.255', 623005696, 623009791, 'PS', 'Palestinian Territory, Occupied'),
(3458, '37.34.96.0', '37.34.127.255', 623009792, 623017983, 'MD', 'Moldova, Republic of'),
(3459, '37.34.128.0', '37.34.255.255', 623017984, 623050751, 'KW', 'Kuwait'),
(3460, '37.35.0.0', '37.35.7.255', 623050752, 623052799, 'FR', 'France'),
(3461, '37.35.8.0', '37.35.15.255', 623052800, 623054847, 'RS', 'Serbia'),
(3462, '37.35.16.0', '37.35.31.255', 623054848, 623058943, 'FI', 'Finland'),
(3463, '37.35.32.0', '37.35.63.255', 623058944, 623067135, 'RO', 'Romania'),
(3464, '37.35.64.0', '37.35.64.0', 623067136, 623067136, 'RS', 'Serbia'),
(3465, '37.35.64.1', '37.35.71.254', 623067137, 623069182, 'AL', 'Albania'),
(3466, '37.35.71.255', '37.35.71.255', 623069183, 623069183, 'RS', 'Serbia'),
(3467, '37.35.72.0', '37.35.79.255', 623069184, 623071231, 'GB', 'United Kingdom'),
(3468, '37.35.80.0', '37.35.87.255', 623071232, 623073279, 'FI', 'Finland'),
(3469, '37.35.88.0', '37.35.95.255', 623073280, 623075327, 'GB', 'United Kingdom'),
(3470, '37.35.96.0', '37.35.103.255', 623075328, 623077375, 'DK', 'Denmark'),
(3471, '37.35.104.0', '37.35.127.255', 623077376, 623083519, 'CH', 'Switzerland'),
(3472, '37.35.128.0', '37.35.255.255', 623083520, 623116287, 'RO', 'Romania'),
(3473, '37.36.0.0', '37.39.255.255', 623116288, 623378431, 'KW', 'Kuwait'),
(3474, '37.40.0.0', '37.41.255.255', 623378432, 623509503, 'OM', 'Oman'),
(3475, '37.42.0.0', '37.43.255.255', 623509504, 623640575, 'RO', 'Romania'),
(3476, '37.44.0.0', '37.44.7.255', 623640576, 623642623, 'DE', 'Germany'),
(3477, '37.44.8.0', '37.44.15.255', 623642624, 623644671, 'NL', 'Netherlands'),
(3478, '37.44.16.0', '37.44.31.255', 623644672, 623648767, 'CZ', 'Czech Republic'),
(3479, '37.44.32.0', '37.44.39.255', 623648768, 623650815, 'JO', 'Jordan'),
(3480, '37.44.40.0', '37.44.47.255', 623650816, 623652863, 'RU', 'Russian Federation'),
(3481, '37.44.48.0', '37.44.55.255', 623652864, 623654911, 'FI', 'Finland'),
(3482, '37.44.56.0', '37.44.63.255', 623654912, 623656959, 'IR', 'Iran, Islamic Republic of'),
(3483, '37.44.64.0', '37.44.127.255', 623656960, 623673343, 'BY', 'Belarus'),
(3484, '37.44.128.0', '37.44.191.255', 623673344, 623689727, 'NO', 'Norway'),
(3485, '37.44.192.0', '37.44.255.255', 623689728, 623706111, 'RU', 'Russian Federation'),
(3486, '37.45.0.0', '37.45.255.255', 623706112, 623771647, 'BY', 'Belarus'),
(3487, '37.46.0.0', '37.46.0.255', 623771648, 623771903, 'GB', 'United Kingdom'),
(3488, '37.46.1.0', '37.46.1.255', 623771904, 623772159, 'US', 'United States'),
(3489, '37.46.2.0', '37.46.9.255', 623772160, 623774207, 'GB', 'United Kingdom'),
(3490, '37.46.10.0', '37.46.11.255', 623774208, 623774719, 'NL', 'Netherlands'),
(3491, '37.46.12.0', '37.46.15.255', 623774720, 623775743, 'GB', 'United Kingdom'),
(3492, '37.46.16.0', '37.46.23.255', 623775744, 623777791, 'IE', 'Ireland'),
(3493, '37.46.24.0', '37.46.25.127', 623777792, 623778175, 'GB', 'United Kingdom'),
(3494, '37.46.25.128', '37.46.25.191', 623778176, 623778239, 'DE', 'Germany'),
(3495, '37.46.25.192', '37.46.25.255', 623778240, 623778303, 'NL', 'Netherlands'),
(3496, '37.46.26.0', '37.46.31.255', 623778304, 623779839, 'GB', 'United Kingdom'),
(3497, '37.46.32.0', '37.46.47.255', 623779840, 623783935, 'IL', 'Israel'),
(3498, '37.46.48.0', '37.46.63.255', 623783936, 623788031, 'RU', 'Russian Federation'),
(3499, '37.46.64.0', '37.46.71.255', 623788032, 623790079, 'HU', 'Hungary'),
(3500, '37.46.72.0', '37.46.79.255', 623790080, 623792127, 'ES', 'Spain'),
(3501, '37.46.80.0', '37.46.87.255', 623792128, 623794175, 'CZ', 'Czech Republic'),
(3502, '37.46.88.0', '37.46.95.255', 623794176, 623796223, 'ES', 'Spain'),
(3503, '37.46.96.0', '37.46.103.255', 623796224, 623798271, 'GB', 'United Kingdom'),
(3504, '37.46.104.0', '37.46.111.255', 623798272, 623800319, 'GE', 'Georgia'),
(3505, '37.46.112.0', '37.46.117.255', 623800320, 623801855, 'LU', 'Luxembourg'),
(3506, '37.46.118.0', '37.46.122.255', 623801856, 623803135, 'SE', 'Sweden'),
(3507, '37.46.123.0', '37.46.127.255', 623803136, 623804415, 'NL', 'Netherlands'),
(3508, '37.46.128.0', '37.46.135.255', 623804416, 623806463, 'RU', 'Russian Federation'),
(3509, '37.46.136.0', '37.46.143.255', 623806464, 623808511, 'NL', 'Netherlands'),
(3510, '37.46.144.0', '37.46.151.255', 623808512, 623810559, 'RU', 'Russian Federation'),
(3511, '37.46.152.0', '37.46.159.255', 623810560, 623812607, 'ES', 'Spain'),
(3512, '37.46.160.0', '37.46.191.255', 623812608, 623820799, 'SE', 'Sweden'),
(3513, '37.46.192.0', '37.46.199.255', 623820800, 623822847, 'NL', 'Netherlands'),
(3514, '37.46.200.0', '37.46.207.255', 623822848, 623824895, 'GB', 'United Kingdom'),
(3515, '37.46.208.0', '37.46.215.255', 623824896, 623826943, 'CZ', 'Czech Republic'),
(3516, '37.46.216.0', '37.46.255.255', 623826944, 623837183, 'UA', 'Ukraine'),
(3517, '37.47.0.0', '37.47.255.255', 623837184, 623902719, 'PL', 'Poland'),
(3518, '37.48.0.0', '37.48.63.255', 623902720, 623919103, 'CZ', 'Czech Republic'),
(3519, '37.48.64.0', '37.48.127.255', 623919104, 623935487, 'NL', 'Netherlands'),
(3520, '37.48.128.0', '37.48.223.255', 623935488, 623960063, 'SY', 'Syrian Arab Republic'),
(3521, '37.48.224.0', '37.48.231.255', 623960064, 623962111, 'GB', 'United Kingdom'),
(3522, '37.48.232.0', '37.48.239.255', 623962112, 623964159, 'HR', 'Croatia'),
(3523, '37.48.240.0', '37.48.247.255', 623964160, 623966207, 'GB', 'United Kingdom'),
(3524, '37.48.248.0', '37.48.255.255', 623966208, 623968255, 'RU', 'Russian Federation'),
(3525, '37.49.0.0', '37.49.127.255', 623968256, 624001023, 'DE', 'Germany'),
(3526, '37.49.128.0', '37.49.143.255', 624001024, 624005119, 'DK', 'Denmark'),
(3527, '37.49.144.0', '37.49.151.255', 624005120, 624007167, 'IR', 'Iran, Islamic Republic of'),
(3528, '37.49.152.0', '37.49.159.255', 624007168, 624009215, 'DE', 'Germany'),
(3529, '37.49.160.0', '37.49.223.255', 624009216, 624025599, 'RU', 'Russian Federation'),
(3530, '37.49.224.0', '37.49.231.255', 624025600, 624027647, 'NL', 'Netherlands'),
(3531, '37.49.232.0', '37.49.239.255', 624027648, 624029695, 'FR', 'France'),
(3532, '37.49.240.0', '37.49.255.255', 624029696, 624033791, 'SE', 'Sweden'),
(3533, '37.50.0.0', '37.51.255.255', 624033792, 624164863, 'DE', 'Germany'),
(3534, '37.52.0.0', '37.55.255.255', 624164864, 624427007, 'UA', 'Ukraine'),
(3535, '37.56.0.0', '37.56.255.255', 624427008, 624492543, 'RO', 'Romania'),
(3536, '37.57.0.0', '37.57.111.255', 624492544, 624521215, 'UA', 'Ukraine'),
(3537, '37.57.112.0', '37.57.119.255', 624521216, 624523263, 'RU', 'Russian Federation'),
(3538, '37.57.120.0', '37.57.255.255', 624523264, 624558079, 'UA', 'Ukraine'),
(3539, '37.58.0.0', '37.58.15.255', 624558080, 624562175, 'SK', 'Slovakia'),
(3540, '37.58.16.0', '37.58.23.255', 624562176, 624564223, 'TR', 'Turkey'),
(3541, '37.58.24.0', '37.58.31.255', 624564224, 624566271, 'GB', 'United Kingdom'),
(3542, '37.58.32.0', '37.58.39.255', 624566272, 624568319, 'RU', 'Russian Federation'),
(3543, '37.58.40.0', '37.58.47.255', 624568320, 624570367, 'BE', 'Belgium'),
(3544, '37.58.48.0', '37.58.63.255', 624570368, 624574463, 'DE', 'Germany'),
(3545, '37.58.64.0', '37.58.64.15', 624574464, 624574479, 'US', 'United States'),
(3546, '37.58.64.16', '37.58.64.23', 624574480, 624574487, 'NL', 'Netherlands'),
(3547, '37.58.64.24', '37.58.64.31', 624574488, 624574495, 'US', 'United States'),
(3548, '37.58.64.32', '37.58.64.39', 624574496, 624574503, 'TR', 'Turkey'),
(3549, '37.58.64.40', '37.58.64.47', 624574504, 624574511, 'BR', 'Brazil'),
(3550, '37.58.64.48', '37.58.64.63', 624574512, 624574527, 'US', 'United States'),
(3551, '37.58.64.64', '37.58.64.71', 624574528, 624574535, 'DK', 'Denmark'),
(3552, '37.58.64.72', '37.58.64.87', 624574536, 624574551, 'US', 'United States'),
(3553, '37.58.64.88', '37.58.64.95', 624574552, 624574559, 'GB', 'United Kingdom'),
(3554, '37.58.64.96', '37.58.64.103', 624574560, 624574567, 'US', 'United States'),
(3555, '37.58.64.104', '37.58.64.111', 624574568, 624574575, 'AU', 'Australia'),
(3556, '37.58.64.112', '37.58.64.135', 624574576, 624574599, 'US', 'United States'),
(3557, '37.58.64.136', '37.58.64.143', 624574600, 624574607, 'SG', 'Singapore'),
(3558, '37.58.64.144', '37.58.64.151', 624574608, 624574615, 'HK', 'Hong Kong'),
(3559, '37.58.64.152', '37.58.64.159', 624574616, 624574623, 'GB', 'United Kingdom'),
(3560, '37.58.64.160', '37.58.64.191', 624574624, 624574655, 'TR', 'Turkey'),
(3561, '37.58.64.192', '37.58.64.199', 624574656, 624574663, 'DK', 'Denmark'),
(3562, '37.58.64.200', '37.58.64.207', 624574664, 624574671, 'KW', 'Kuwait'),
(3563, '37.58.64.208', '37.58.64.223', 624574672, 624574687, 'US', 'United States'),
(3564, '37.58.64.224', '37.58.64.239', 624574688, 624574703, 'TR', 'Turkey'),
(3565, '37.58.64.240', '37.58.64.247', 624574704, 624574711, 'US', 'United States'),
(3566, '37.58.64.248', '37.58.64.251', 624574712, 624574715, 'TR', 'Turkey'),
(3567, '37.58.64.252', '37.58.64.255', 624574716, 624574719, 'US', 'United States'),
(3568, '37.58.65.0', '37.58.65.0', 624574720, 624574720, 'NL', 'Netherlands'),
(3569, '37.58.65.1', '37.58.65.1', 624574721, 624574721, 'AU', 'Australia'),
(3570, '37.58.65.2', '37.58.65.3', 624574722, 624574723, 'US', 'United States'),
(3571, '37.58.65.4', '37.58.65.7', 624574724, 624574727, 'TR', 'Turkey'),
(3572, '37.58.65.8', '37.58.65.15', 624574728, 624574735, 'US', 'United States'),
(3573, '37.58.65.16', '37.58.65.23', 624574736, 624574743, 'GB', 'United Kingdom'),
(3574, '37.58.65.24', '37.58.65.31', 624574744, 624574751, 'BR', 'Brazil'),
(3575, '37.58.65.32', '37.58.65.103', 624574752, 624574823, 'US', 'United States'),
(3576, '37.58.65.104', '37.58.65.111', 624574824, 624574831, 'DK', 'Denmark'),
(3577, '37.58.65.112', '37.58.65.135', 624574832, 624574855, 'US', 'United States'),
(3578, '37.58.65.136', '37.58.65.143', 624574856, 624574863, 'GB', 'United Kingdom'),
(3579, '37.58.65.144', '37.58.65.175', 624574864, 624574895, 'US', 'United States'),
(3580, '37.58.65.176', '37.58.65.179', 624574896, 624574899, 'IT', 'Italy'),
(3581, '37.58.65.180', '37.58.65.183', 624574900, 624574903, 'HK', 'Hong Kong'),
(3582, '37.58.65.184', '37.58.65.191', 624574904, 624574911, 'US', 'United States'),
(3583, '37.58.65.192', '37.58.65.199', 624574912, 624574919, 'CA', 'Canada'),
(3584, '37.58.65.200', '37.58.65.207', 624574920, 624574927, 'US', 'United States'),
(3585, '37.58.65.208', '37.58.65.215', 624574928, 624574935, 'IL', 'Israel'),
(3586, '37.58.65.216', '37.58.65.239', 624574936, 624574959, 'DK', 'Denmark'),
(3587, '37.58.65.240', '37.58.65.247', 624574960, 624574967, 'RO', 'Romania'),
(3588, '37.58.65.248', '37.58.66.15', 624574968, 624574991, 'US', 'United States'),
(3589, '37.58.66.16', '37.58.66.23', 624574992, 624574999, 'ES', 'Spain'),
(3590, '37.58.66.24', '37.58.66.31', 624575000, 624575007, 'US', 'United States'),
(3591, '37.58.66.32', '37.58.66.39', 624575008, 624575015, 'NL', 'Netherlands'),
(3592, '37.58.66.40', '37.58.66.79', 624575016, 624575055, 'US', 'United States'),
(3593, '37.58.66.80', '37.58.66.87', 624575056, 624575063, 'NL', 'Netherlands'),
(3594, '37.58.66.88', '37.58.66.123', 624575064, 624575099, 'US', 'United States'),
(3595, '37.58.66.124', '37.58.66.127', 624575100, 624575103, 'IN', 'India'),
(3596, '37.58.66.128', '37.58.66.135', 624575104, 624575111, 'DK', 'Denmark'),
(3597, '37.58.66.136', '37.58.66.143', 624575112, 624575119, 'IT', 'Italy'),
(3598, '37.58.66.144', '37.58.66.151', 624575120, 624575127, 'SA', 'Saudi Arabia'),
(3599, '37.58.66.152', '37.58.66.159', 624575128, 624575135, 'RO', 'Romania'),
(3600, '37.58.66.160', '37.58.66.175', 624575136, 624575151, 'US', 'United States'),
(3601, '37.58.66.176', '37.58.66.187', 624575152, 624575163, 'MA', 'Morocco'),
(3602, '37.58.66.188', '37.58.66.191', 624575164, 624575167, 'TR', 'Turkey'),
(3603, '37.58.66.192', '37.58.66.199', 624575168, 624575175, 'RU', 'Russian Federation'),
(3604, '37.58.66.200', '37.58.66.207', 624575176, 624575183, 'ES', 'Spain'),
(3605, '37.58.66.208', '37.58.66.215', 624575184, 624575191, 'US', 'United States'),
(3606, '37.58.66.216', '37.58.66.219', 624575192, 624575195, 'EG', 'Egypt'),
(3607, '37.58.66.220', '37.58.66.223', 624575196, 624575199, 'TR', 'Turkey'),
(3608, '37.58.66.224', '37.58.66.231', 624575200, 624575207, 'IN', 'India'),
(3609, '37.58.66.232', '37.58.66.239', 624575208, 624575215, 'IL', 'Israel'),
(3610, '37.58.66.240', '37.58.66.255', 624575216, 624575231, 'US', 'United States'),
(3611, '37.58.67.0', '37.58.67.7', 624575232, 624575239, 'EG', 'Egypt'),
(3612, '37.58.67.8', '37.58.67.15', 624575240, 624575247, 'IN', 'India'),
(3613, '37.58.67.16', '37.58.67.31', 624575248, 624575263, 'US', 'United States'),
(3614, '37.58.67.32', '37.58.67.39', 624575264, 624575271, 'PH', 'Philippines'),
(3615, '37.58.67.40', '37.58.67.47', 624575272, 624575279, 'GB', 'United Kingdom'),
(3616, '37.58.67.48', '37.58.67.55', 624575280, 624575287, 'US', 'United States'),
(3617, '37.58.67.56', '37.58.67.63', 624575288, 624575295, 'NL', 'Netherlands'),
(3618, '37.58.67.64', '37.58.67.71', 624575296, 624575303, 'CN', 'China'),
(3619, '37.58.67.72', '37.58.67.103', 624575304, 624575335, 'US', 'United States'),
(3620, '37.58.67.104', '37.58.67.111', 624575336, 624575343, 'SA', 'Saudi Arabia'),
(3621, '37.58.67.112', '37.58.67.115', 624575344, 624575347, 'GB', 'United Kingdom'),
(3622, '37.58.67.116', '37.58.67.119', 624575348, 624575351, 'EG', 'Egypt'),
(3623, '37.58.67.120', '37.58.67.159', 624575352, 624575391, 'US', 'United States'),
(3624, '37.58.67.160', '37.58.67.167', 624575392, 624575399, 'GB', 'United Kingdom'),
(3625, '37.58.67.168', '37.58.67.171', 624575400, 624575403, 'SA', 'Saudi Arabia'),
(3626, '37.58.67.172', '37.58.67.175', 624575404, 624575407, 'IT', 'Italy'),
(3627, '37.58.67.176', '37.58.67.183', 624575408, 624575415, 'NL', 'Netherlands'),
(3628, '37.58.67.184', '37.58.67.191', 624575416, 624575423, 'US', 'United States'),
(3629, '37.58.67.192', '37.58.67.195', 624575424, 624575427, 'IT', 'Italy'),
(3630, '37.58.67.196', '37.58.67.199', 624575428, 624575431, 'IL', 'Israel'),
(3631, '37.58.67.200', '37.58.67.207', 624575432, 624575439, 'DK', 'Denmark'),
(3632, '37.58.67.208', '37.58.67.223', 624575440, 624575455, 'US', 'United States'),
(3633, '37.58.67.224', '37.58.67.231', 624575456, 624575463, 'GB', 'United Kingdom'),
(3634, '37.58.67.232', '37.58.67.239', 624575464, 624575471, 'DK', 'Denmark'),
(3635, '37.58.67.240', '37.58.67.247', 624575472, 624575479, 'NL', 'Netherlands'),
(3636, '37.58.67.248', '37.58.67.255', 624575480, 624575487, 'AE', 'United Arab Emirates'),
(3637, '37.58.68.0', '37.58.68.7', 624575488, 624575495, 'PL', 'Poland'),
(3638, '37.58.68.8', '37.58.68.15', 624575496, 624575503, 'IL', 'Israel'),
(3639, '37.58.68.16', '37.58.68.23', 624575504, 624575511, 'SK', 'Slovakia'),
(3640, '37.58.68.24', '37.58.68.47', 624575512, 624575535, 'US', 'United States'),
(3641, '37.58.68.48', '37.58.68.51', 624575536, 624575539, 'PL', 'Poland'),
(3642, '37.58.68.52', '37.58.68.55', 624575540, 624575543, 'US', 'United States'),
(3643, '37.58.68.56', '37.58.68.63', 624575544, 624575551, 'IN', 'India'),
(3644, '37.58.68.64', '37.58.68.79', 624575552, 624575567, 'GB', 'United Kingdom'),
(3645, '37.58.68.80', '37.58.68.87', 624575568, 624575575, 'AE', 'United Arab Emirates'),
(3646, '37.58.68.88', '37.58.68.95', 624575576, 624575583, 'AU', 'Australia'),
(3647, '37.58.68.96', '37.58.68.119', 624575584, 624575607, 'US', 'United States'),
(3648, '37.58.68.120', '37.58.68.127', 624575608, 624575615, 'RU', 'Russian Federation'),
(3649, '37.58.68.128', '37.58.69.15', 624575616, 624575759, 'US', 'United States'),
(3650, '37.58.69.16', '37.58.69.27', 624575760, 624575771, 'NL', 'Netherlands'),
(3651, '37.58.69.28', '37.58.69.47', 624575772, 624575791, 'US', 'United States'),
(3652, '37.58.69.48', '37.58.69.55', 624575792, 624575799, 'TR', 'Turkey'),
(3653, '37.58.69.56', '37.58.69.63', 624575800, 624575807, 'NL', 'Netherlands'),
(3654, '37.58.69.64', '37.58.69.79', 624575808, 624575823, 'US', 'United States'),
(3655, '37.58.69.80', '37.58.69.87', 624575824, 624575831, 'IL', 'Israel'),
(3656, '37.58.69.88', '37.58.69.95', 624575832, 624575839, 'US', 'United States'),
(3657, '37.58.69.96', '37.58.69.127', 624575840, 624575871, 'GB', 'United Kingdom'),
(3658, '37.58.69.128', '37.58.69.135', 624575872, 624575879, 'LB', 'Lebanon'),
(3659, '37.58.69.136', '37.58.69.139', 624575880, 624575883, 'TR', 'Turkey'),
(3660, '37.58.69.140', '37.58.69.151', 624575884, 624575895, 'US', 'United States'),
(3661, '37.58.69.152', '37.58.69.159', 624575896, 624575903, 'DK', 'Denmark'),
(3662, '37.58.69.160', '37.58.69.167', 624575904, 624575911, 'US', 'United States'),
(3663, '37.58.69.168', '37.58.69.175', 624575912, 624575919, 'CY', 'Cyprus'),
(3664, '37.58.69.176', '37.58.69.183', 624575920, 624575927, 'US', 'United States'),
(3665, '37.58.69.184', '37.58.69.191', 624575928, 624575935, 'ES', 'Spain'),
(3666, '37.58.69.192', '37.58.69.199', 624575936, 624575943, 'US', 'United States'),
(3667, '37.58.69.200', '37.58.69.207', 624575944, 624575951, 'GB', 'United Kingdom'),
(3668, '37.58.69.208', '37.58.69.215', 624575952, 624575959, 'NO', 'Norway'),
(3669, '37.58.69.216', '37.58.69.223', 624575960, 624575967, 'US', 'United States'),
(3670, '37.58.69.224', '37.58.69.231', 624575968, 624575975, 'NL', 'Netherlands'),
(3671, '37.58.69.232', '37.58.69.239', 624575976, 624575983, 'US', 'United States'),
(3672, '37.58.69.240', '37.58.69.247', 624575984, 624575991, 'GB', 'United Kingdom'),
(3673, '37.58.69.248', '37.58.69.255', 624575992, 624575999, 'IT', 'Italy'),
(3674, '37.58.70.0', '37.58.70.11', 624576000, 624576011, 'PL', 'Poland'),
(3675, '37.58.70.12', '37.58.70.15', 624576012, 624576015, 'CN', 'China'),
(3676, '37.58.70.16', '37.58.70.23', 624576016, 624576023, 'US', 'United States'),
(3677, '37.58.70.24', '37.58.70.31', 624576024, 624576031, 'TR', 'Turkey'),
(3678, '37.58.70.32', '37.58.70.55', 624576032, 624576055, 'CN', 'China'),
(3679, '37.58.70.56', '37.58.70.63', 624576056, 624576063, 'HK', 'Hong Kong'),
(3680, '37.58.70.64', '37.58.70.71', 624576064, 624576071, 'BD', 'Bangladesh'),
(3681, '37.58.70.72', '37.58.70.95', 624576072, 624576095, 'US', 'United States'),
(3682, '37.58.70.96', '37.58.70.103', 624576096, 624576103, 'CA', 'Canada'),
(3683, '37.58.70.104', '37.58.70.107', 624576104, 624576107, 'CN', 'China'),
(3684, '37.58.70.108', '37.58.70.111', 624576108, 624576111, 'TW', 'Taiwan'),
(3685, '37.58.70.112', '37.58.70.119', 624576112, 624576119, 'BR', 'Brazil'),
(3686, '37.58.70.120', '37.58.70.127', 624576120, 624576127, 'GB', 'United Kingdom'),
(3687, '37.58.70.128', '37.58.70.131', 624576128, 624576131, 'IN', 'India'),
(3688, '37.58.70.132', '37.58.70.135', 624576132, 624576135, 'SA', 'Saudi Arabia'),
(3689, '37.58.70.136', '37.58.70.143', 624576136, 624576143, 'RU', 'Russian Federation'),
(3690, '37.58.70.144', '37.58.70.151', 624576144, 624576151, 'BR', 'Brazil'),
(3691, '37.58.70.152', '37.58.70.159', 624576152, 624576159, 'US', 'United States'),
(3692, '37.58.70.160', '37.58.70.191', 624576160, 624576191, 'CN', 'China'),
(3693, '37.58.70.192', '37.58.70.223', 624576192, 624576223, 'NL', 'Netherlands'),
(3694, '37.58.70.224', '37.58.70.235', 624576224, 624576235, 'CN', 'China'),
(3695, '37.58.70.236', '37.58.70.239', 624576236, 624576239, 'NL', 'Netherlands'),
(3696, '37.58.70.240', '37.58.70.255', 624576240, 624576255, 'US', 'United States'),
(3697, '37.58.71.0', '37.58.71.7', 624576256, 624576263, 'EG', 'Egypt'),
(3698, '37.58.71.8', '37.58.71.39', 624576264, 624576295, 'US', 'United States'),
(3699, '37.58.71.40', '37.58.71.47', 624576296, 624576303, 'IE', 'Ireland'),
(3700, '37.58.71.48', '37.58.71.63', 624576304, 624576319, 'US', 'United States'),
(3701, '37.58.71.64', '37.58.71.71', 624576320, 624576327, 'IT', 'Italy'),
(3702, '37.58.71.72', '37.58.71.79', 624576328, 624576335, 'NL', 'Netherlands'),
(3703, '37.58.71.80', '37.58.71.87', 624576336, 624576343, 'TR', 'Turkey'),
(3704, '37.58.71.88', '37.58.71.103', 624576344, 624576359, 'US', 'United States'),
(3705, '37.58.71.104', '37.58.71.111', 624576360, 624576367, 'SE', 'Sweden'),
(3706, '37.58.71.112', '37.58.71.127', 624576368, 624576383, 'US', 'United States'),
(3707, '37.58.71.128', '37.58.71.135', 624576384, 624576391, 'CN', 'China'),
(3708, '37.58.71.136', '37.58.71.143', 624576392, 624576399, 'UA', 'Ukraine'),
(3709, '37.58.71.144', '37.58.71.151', 624576400, 624576407, 'GB', 'United Kingdom'),
(3710, '37.58.71.152', '37.58.71.155', 624576408, 624576411, 'DE', 'Germany'),
(3711, '37.58.71.156', '37.58.71.159', 624576412, 624576415, 'TR', 'Turkey'),
(3712, '37.58.71.160', '37.58.71.167', 624576416, 624576423, 'KW', 'Kuwait'),
(3713, '37.58.71.168', '37.58.71.175', 624576424, 624576431, 'GB', 'United Kingdom'),
(3714, '37.58.71.176', '37.58.71.191', 624576432, 624576447, 'US', 'United States'),
(3715, '37.58.71.192', '37.58.71.207', 624576448, 624576463, 'IL', 'Israel'),
(3716, '37.58.71.208', '37.58.71.223', 624576464, 624576479, 'US', 'United States'),
(3717, '37.58.71.224', '37.58.71.231', 624576480, 624576487, 'CY', 'Cyprus'),
(3718, '37.58.71.232', '37.58.71.239', 624576488, 624576495, 'GB', 'United Kingdom'),
(3719, '37.58.71.240', '37.58.71.255', 624576496, 624576511, 'US', 'United States'),
(3720, '37.58.72.0', '37.58.72.31', 624576512, 624576543, 'DK', 'Denmark'),
(3721, '37.58.72.32', '37.58.72.95', 624576544, 624576607, 'US', 'United States'),
(3722, '37.58.72.96', '37.58.72.127', 624576608, 624576639, 'TR', 'Turkey'),
(3723, '37.58.72.128', '37.58.72.191', 624576640, 624576703, 'PA', 'Panama'),
(3724, '37.58.72.192', '37.58.72.199', 624576704, 624576711, 'PT', 'Portugal'),
(3725, '37.58.72.200', '37.58.72.223', 624576712, 624576735, 'US', 'United States'),
(3726, '37.58.72.224', '37.58.72.255', 624576736, 624576767, 'SA', 'Saudi Arabia'),
(3727, '37.58.73.0', '37.58.73.15', 624576768, 624576783, 'CA', 'Canada'),
(3728, '37.58.73.16', '37.58.73.95', 624576784, 624576863, 'US', 'United States'),
(3729, '37.58.73.96', '37.58.73.111', 624576864, 624576879, 'IL', 'Israel'),
(3730, '37.58.73.112', '37.58.73.119', 624576880, 624576887, 'TR', 'Turkey'),
(3731, '37.58.73.120', '37.58.73.143', 624576888, 624576911, 'US', 'United States'),
(3732, '37.58.73.144', '37.58.73.159', 624576912, 624576927, 'NL', 'Netherlands'),
(3733, '37.58.73.160', '37.58.73.175', 624576928, 624576943, 'DE', 'Germany'),
(3734, '37.58.73.176', '37.58.73.191', 624576944, 624576959, 'NL', 'Netherlands'),
(3735, '37.58.73.192', '37.58.73.223', 624576960, 624576991, 'TR', 'Turkey'),
(3736, '37.58.73.224', '37.58.73.231', 624576992, 624576999, 'US', 'United States'),
(3737, '37.58.73.232', '37.58.73.239', 624577000, 624577007, 'IL', 'Israel'),
(3738, '37.58.73.240', '37.58.73.255', 624577008, 624577023, 'US', 'United States'),
(3739, '37.58.74.0', '37.58.74.31', 624577024, 624577055, 'SA', 'Saudi Arabia'),
(3740, '37.58.74.32', '37.58.74.47', 624577056, 624577071, 'VG', 'Virgin Islands, British'),
(3741, '37.58.74.48', '37.58.74.63', 624577072, 624577087, 'NL', 'Netherlands'),
(3742, '37.58.74.64', '37.58.74.95', 624577088, 624577119, 'DE', 'Germany'),
(3743, '37.58.74.96', '37.58.74.103', 624577120, 624577127, 'TR', 'Turkey'),
(3744, '37.58.74.104', '37.58.74.111', 624577128, 624577135, 'EG', 'Egypt'),
(3745, '37.58.74.112', '37.58.74.119', 624577136, 624577143, 'DE', 'Germany'),
(3746, '37.58.74.120', '37.58.74.127', 624577144, 624577151, 'US', 'United States'),
(3747, '37.58.74.128', '37.58.74.191', 624577152, 624577215, 'GB', 'United Kingdom'),
(3748, '37.58.74.192', '37.58.74.223', 624577216, 624577247, 'US', 'United States'),
(3749, '37.58.74.224', '37.58.74.255', 624577248, 624577279, 'LT', 'Lithuania'),
(3750, '37.58.75.0', '37.58.75.7', 624577280, 624577287, 'US', 'United States'),
(3751, '37.58.75.8', '37.58.75.15', 624577288, 624577295, 'DE', 'Germany'),
(3752, '37.58.75.16', '37.58.75.23', 624577296, 624577303, 'US', 'United States'),
(3753, '37.58.75.24', '37.58.75.25', 624577304, 624577305, 'TR', 'Turkey'),
(3754, '37.58.75.26', '37.58.75.27', 624577306, 624577307, 'GB', 'United Kingdom'),
(3755, '37.58.75.28', '37.58.75.39', 624577308, 624577319, 'US', 'United States'),
(3756, '37.58.75.40', '37.58.75.47', 624577320, 624577327, 'NL', 'Netherlands'),
(3757, '37.58.75.48', '37.58.75.55', 624577328, 624577335, 'CN', 'China'),
(3758, '37.58.75.56', '37.58.75.63', 624577336, 624577343, 'US', 'United States'),
(3759, '37.58.75.64', '37.58.75.71', 624577344, 624577351, 'GB', 'United Kingdom'),
(3760, '37.58.75.72', '37.58.75.79', 624577352, 624577359, 'CA', 'Canada'),
(3761, '37.58.75.80', '37.58.75.95', 624577360, 624577375, 'ES', 'Spain'),
(3762, '37.58.75.96', '37.58.75.159', 624577376, 624577439, 'TR', 'Turkey'),
(3763, '37.58.75.160', '37.58.75.175', 624577440, 624577455, 'US', 'United States'),
(3764, '37.58.75.176', '37.58.75.183', 624577456, 624577463, 'PK', 'Pakistan'),
(3765, '37.58.75.184', '37.58.75.187', 624577464, 624577467, 'US', 'United States'),
(3766, '37.58.75.188', '37.58.75.191', 624577468, 624577471, 'TR', 'Turkey'),
(3767, '37.58.75.192', '37.58.75.203', 624577472, 624577483, 'CA', 'Canada'),
(3768, '37.58.75.204', '37.58.75.207', 624577484, 624577487, 'HU', 'Hungary'),
(3769, '37.58.75.208', '37.58.75.255', 624577488, 624577535, 'US', 'United States'),
(3770, '37.58.76.0', '37.58.76.7', 624577536, 624577543, 'DE', 'Germany'),
(3771, '37.58.76.8', '37.58.76.11', 624577544, 624577547, 'US', 'United States'),
(3772, '37.58.76.12', '37.58.76.15', 624577548, 624577551, 'AE', 'United Arab Emirates'),
(3773, '37.58.76.16', '37.58.76.23', 624577552, 624577559, 'US', 'United States'),
(3774, '37.58.76.24', '37.58.76.31', 624577560, 624577567, 'AE', 'United Arab Emirates'),
(3775, '37.58.76.32', '37.58.76.39', 624577568, 624577575, 'US', 'United States'),
(3776, '37.58.76.40', '37.58.76.47', 624577576, 624577583, 'GB', 'United Kingdom'),
(3777, '37.58.76.48', '37.58.76.55', 624577584, 624577591, 'HU', 'Hungary'),
(3778, '37.58.76.56', '37.58.76.63', 624577592, 624577599, 'TR', 'Turkey'),
(3779, '37.58.76.64', '37.58.76.71', 624577600, 624577607, 'PL', 'Poland'),
(3780, '37.58.76.72', '37.58.76.79', 624577608, 624577615, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(3781, '37.58.76.80', '37.58.76.87', 624577616, 624577623, 'AE', 'United Arab Emirates'),
(3782, '37.58.76.88', '37.58.76.95', 624577624, 624577631, 'ES', 'Spain'),
(3783, '37.58.76.96', '37.58.76.103', 624577632, 624577639, 'NL', 'Netherlands'),
(3784, '37.58.76.104', '37.58.76.111', 624577640, 624577647, 'LB', 'Lebanon'),
(3785, '37.58.76.112', '37.58.76.127', 624577648, 624577663, 'GB', 'United Kingdom'),
(3786, '37.58.76.128', '37.58.76.143', 624577664, 624577679, 'NL', 'Netherlands'),
(3787, '37.58.76.144', '37.58.76.151', 624577680, 624577687, 'US', 'United States'),
(3788, '37.58.76.152', '37.58.76.159', 624577688, 624577695, 'DE', 'Germany'),
(3789, '37.58.76.160', '37.58.76.167', 624577696, 624577703, 'BE', 'Belgium'),
(3790, '37.58.76.168', '37.58.76.175', 624577704, 624577711, 'CA', 'Canada'),
(3791, '37.58.76.176', '37.58.76.179', 624577712, 624577715, 'DE', 'Germany'),
(3792, '37.58.76.180', '37.58.76.183', 624577716, 624577719, 'TR', 'Turkey'),
(3793, '37.58.76.184', '37.58.76.187', 624577720, 624577723, 'DE', 'Germany'),
(3794, '37.58.76.188', '37.58.76.255', 624577724, 624577791, 'US', 'United States'),
(3795, '37.58.77.0', '37.58.77.7', 624577792, 624577799, 'ZA', 'South Africa'),
(3796, '37.58.77.8', '37.58.77.15', 624577800, 624577807, 'US', 'United States'),
(3797, '37.58.77.16', '37.58.77.31', 624577808, 624577823, 'GB', 'United Kingdom'),
(3798, '37.58.77.32', '37.58.77.43', 624577824, 624577835, 'US', 'United States'),
(3799, '37.58.77.44', '37.58.77.47', 624577836, 624577839, 'NL', 'Netherlands'),
(3800, '37.58.77.48', '37.58.77.63', 624577840, 624577855, 'US', 'United States'),
(3801, '37.58.77.64', '37.58.77.71', 624577856, 624577863, 'GB', 'United Kingdom'),
(3802, '37.58.77.72', '37.58.77.79', 624577864, 624577871, 'CN', 'China'),
(3803, '37.58.77.80', '37.58.77.95', 624577872, 624577887, 'NL', 'Netherlands'),
(3804, '37.58.77.96', '37.58.77.143', 624577888, 624577935, 'SA', 'Saudi Arabia'),
(3805, '37.58.77.144', '37.58.77.151', 624577936, 624577943, 'ZA', 'South Africa'),
(3806, '37.58.77.152', '37.58.77.167', 624577944, 624577959, 'US', 'United States'),
(3807, '37.58.77.168', '37.58.77.175', 624577960, 624577967, 'TR', 'Turkey'),
(3808, '37.58.77.176', '37.58.77.223', 624577968, 624578015, 'US', 'United States'),
(3809, '37.58.77.224', '37.58.77.231', 624578016, 624578023, 'TR', 'Turkey'),
(3810, '37.58.77.232', '37.58.77.255', 624578024, 624578047, 'US', 'United States'),
(3811, '37.58.78.0', '37.58.78.31', 624578048, 624578079, 'TR', 'Turkey'),
(3812, '37.58.78.32', '37.58.78.63', 624578080, 624578111, 'EG', 'Egypt'),
(3813, '37.58.78.64', '37.58.78.95', 624578112, 624578143, 'US', 'United States'),
(3814, '37.58.78.96', '37.58.78.111', 624578144, 624578159, 'NL', 'Netherlands'),
(3815, '37.58.78.112', '37.58.78.127', 624578160, 624578175, 'US', 'United States'),
(3816, '37.58.78.128', '37.58.78.159', 624578176, 624578207, 'CA', 'Canada'),
(3817, '37.58.78.160', '37.58.78.191', 624578208, 624578239, 'TR', 'Turkey'),
(3818, '37.58.78.192', '37.58.78.207', 624578240, 624578255, 'US', 'United States'),
(3819, '37.58.78.208', '37.58.78.255', 624578256, 624578303, 'NL', 'Netherlands'),
(3820, '37.58.79.0', '37.58.79.103', 624578304, 624578407, 'US', 'United States'),
(3821, '37.58.79.104', '37.58.79.111', 624578408, 624578415, 'GB', 'United Kingdom'),
(3822, '37.58.79.112', '37.58.79.119', 624578416, 624578423, 'SA', 'Saudi Arabia'),
(3823, '37.58.79.120', '37.58.79.127', 624578424, 624578431, 'US', 'United States'),
(3824, '37.58.79.128', '37.58.79.223', 624578432, 624578527, 'NL', 'Netherlands'),
(3825, '37.58.79.224', '37.58.79.231', 624578528, 624578535, 'US', 'United States'),
(3826, '37.58.79.232', '37.58.79.239', 624578536, 624578543, 'NL', 'Netherlands'),
(3827, '37.58.79.240', '37.58.79.255', 624578544, 624578559, 'US', 'United States'),
(3828, '37.58.80.0', '37.58.80.239', 624578560, 624578799, 'NL', 'Netherlands'),
(3829, '37.58.80.240', '37.58.81.7', 624578800, 624578823, 'US', 'United States'),
(3830, '37.58.81.8', '37.58.81.95', 624578824, 624578911, 'NL', 'Netherlands'),
(3831, '37.58.81.96', '37.58.81.103', 624578912, 624578919, 'GB', 'United Kingdom'),
(3832, '37.58.81.104', '37.58.81.135', 624578920, 624578951, 'NL', 'Netherlands'),
(3833, '37.58.81.136', '37.58.81.139', 624578952, 624578955, 'PL', 'Poland'),
(3834, '37.58.81.140', '37.58.81.143', 624578956, 624578959, 'SA', 'Saudi Arabia'),
(3835, '37.58.81.144', '37.58.81.191', 624578960, 624579007, 'NL', 'Netherlands'),
(3836, '37.58.81.192', '37.58.81.199', 624579008, 624579015, 'TR', 'Turkey'),
(3837, '37.58.81.200', '37.58.81.203', 624579016, 624579019, 'DE', 'Germany'),
(3838, '37.58.81.204', '37.58.82.15', 624579020, 624579087, 'NL', 'Netherlands'),
(3839, '37.58.82.16', '37.58.82.23', 624579088, 624579095, 'SI', 'Slovenia'),
(3840, '37.58.82.24', '37.58.82.31', 624579096, 624579103, 'NL', 'Netherlands'),
(3841, '37.58.82.32', '37.58.82.39', 624579104, 624579111, 'PK', 'Pakistan'),
(3842, '37.58.82.40', '37.58.82.47', 624579112, 624579119, 'RO', 'Romania'),
(3843, '37.58.82.48', '37.58.82.103', 624579120, 624579175, 'NL', 'Netherlands'),
(3844, '37.58.82.104', '37.58.82.127', 624579176, 624579199, 'US', 'United States'),
(3845, '37.58.82.128', '37.58.82.175', 624579200, 624579247, 'NL', 'Netherlands'),
(3846, '37.58.82.176', '37.58.82.183', 624579248, 624579255, 'CA', 'Canada'),
(3847, '37.58.82.184', '37.58.82.191', 624579256, 624579263, 'US', 'United States'),
(3848, '37.58.82.192', '37.58.82.239', 624579264, 624579311, 'NL', 'Netherlands'),
(3849, '37.58.82.240', '37.58.83.31', 624579312, 624579359, 'US', 'United States'),
(3850, '37.58.83.32', '37.58.83.103', 624579360, 624579431, 'NL', 'Netherlands'),
(3851, '37.58.83.104', '37.58.83.111', 624579432, 624579439, 'GB', 'United Kingdom'),
(3852, '37.58.83.112', '37.58.83.127', 624579440, 624579455, 'US', 'United States'),
(3853, '37.58.83.128', '37.58.83.135', 624579456, 624579463, 'NL', 'Netherlands'),
(3854, '37.58.83.136', '37.58.83.143', 624579464, 624579471, 'DE', 'Germany'),
(3855, '37.58.83.144', '37.58.83.151', 624579472, 624579479, 'AU', 'Australia'),
(3856, '37.58.83.152', '37.58.83.159', 624579480, 624579487, 'PL', 'Poland'),
(3857, '37.58.83.160', '37.58.83.167', 624579488, 624579495, 'DE', 'Germany'),
(3858, '37.58.83.168', '37.58.83.171', 624579496, 624579499, 'TR', 'Turkey'),
(3859, '37.58.83.172', '37.58.83.175', 624579500, 624579503, 'PL', 'Poland'),
(3860, '37.58.83.176', '37.58.83.207', 624579504, 624579535, 'NL', 'Netherlands'),
(3861, '37.58.83.208', '37.58.83.223', 624579536, 624579551, 'US', 'United States'),
(3862, '37.58.83.224', '37.58.83.239', 624579552, 624579567, 'NL', 'Netherlands'),
(3863, '37.58.83.240', '37.58.84.7', 624579568, 624579591, 'US', 'United States'),
(3864, '37.58.84.8', '37.58.84.15', 624579592, 624579599, 'SA', 'Saudi Arabia'),
(3865, '37.58.84.16', '37.58.84.23', 624579600, 624579607, 'IT', 'Italy'),
(3866, '37.58.84.24', '37.58.84.31', 624579608, 624579615, 'HK', 'Hong Kong'),
(3867, '37.58.84.32', '37.58.84.39', 624579616, 624579623, 'IN', 'India'),
(3868, '37.58.84.40', '37.58.84.47', 624579624, 624579631, 'AE', 'United Arab Emirates'),
(3869, '37.58.84.48', '37.58.84.55', 624579632, 624579639, 'GR', 'Greece'),
(3870, '37.58.84.56', '37.58.84.63', 624579640, 624579647, 'US', 'United States'),
(3871, '37.58.84.64', '37.58.84.95', 624579648, 624579679, 'NL', 'Netherlands'),
(3872, '37.58.84.96', '37.58.84.103', 624579680, 624579687, 'LB', 'Lebanon'),
(3873, '37.58.84.104', '37.58.84.111', 624579688, 624579695, 'US', 'United States'),
(3874, '37.58.84.112', '37.58.84.119', 624579696, 624579703, 'JO', 'Jordan'),
(3875, '37.58.84.120', '37.58.84.127', 624579704, 624579711, 'PL', 'Poland'),
(3876, '37.58.84.128', '37.58.84.159', 624579712, 624579743, 'NL', 'Netherlands'),
(3877, '37.58.84.160', '37.58.84.167', 624579744, 624579751, 'US', 'United States'),
(3878, '37.58.84.168', '37.58.84.175', 624579752, 624579759, 'HU', 'Hungary'),
(3879, '37.58.84.176', '37.58.84.187', 624579760, 624579771, 'US', 'United States'),
(3880, '37.58.84.188', '37.58.84.191', 624579772, 624579775, 'AE', 'United Arab Emirates'),
(3881, '37.58.84.192', '37.58.84.199', 624579776, 624579783, 'MX', 'Mexico'),
(3882, '37.58.84.200', '37.58.84.207', 624579784, 624579791, 'IN', 'India'),
(3883, '37.58.84.208', '37.58.84.231', 624579792, 624579815, 'US', 'United States'),
(3884, '37.58.84.232', '37.58.84.239', 624579816, 624579823, 'AE', 'United Arab Emirates'),
(3885, '37.58.84.240', '37.58.84.247', 624579824, 624579831, 'US', 'United States'),
(3886, '37.58.84.248', '37.58.84.255', 624579832, 624579839, 'GB', 'United Kingdom'),
(3887, '37.58.85.0', '37.58.85.7', 624579840, 624579847, 'TR', 'Turkey'),
(3888, '37.58.85.8', '37.58.85.15', 624579848, 624579855, 'GR', 'Greece'),
(3889, '37.58.85.16', '37.58.85.31', 624579856, 624579871, 'BR', 'Brazil'),
(3890, '37.58.85.32', '37.58.85.35', 624579872, 624579875, 'TR', 'Turkey'),
(3891, '37.58.85.36', '37.58.85.39', 624579876, 624579879, 'GB', 'United Kingdom'),
(3892, '37.58.85.40', '37.58.85.47', 624579880, 624579887, 'US', 'United States'),
(3893, '37.58.85.48', '37.58.85.55', 624579888, 624579895, 'EG', 'Egypt'),
(3894, '37.58.85.56', '37.58.85.63', 624579896, 624579903, 'HR', 'Croatia'),
(3895, '37.58.85.64', '37.58.85.95', 624579904, 624579935, 'GB', 'United Kingdom'),
(3896, '37.58.85.96', '37.58.85.103', 624579936, 624579943, 'CN', 'China'),
(3897, '37.58.85.104', '37.58.85.123', 624579944, 624579963, 'US', 'United States'),
(3898, '37.58.85.124', '37.58.85.127', 624579964, 624579967, 'GR', 'Greece'),
(3899, '37.58.85.128', '37.58.85.135', 624579968, 624579975, 'NZ', 'New Zealand'),
(3900, '37.58.85.136', '37.58.85.143', 624579976, 624579983, 'SA', 'Saudi Arabia'),
(3901, '37.58.85.144', '37.58.85.151', 624579984, 624579991, 'US', 'United States'),
(3902, '37.58.85.152', '37.58.85.159', 624579992, 624579999, 'BH', 'Bahrain'),
(3903, '37.58.85.160', '37.58.85.171', 624580000, 624580011, 'TR', 'Turkey'),
(3904, '37.58.85.172', '37.58.85.175', 624580012, 624580015, 'CN', 'China'),
(3905, '37.58.85.176', '37.58.85.191', 624580016, 624580031, 'BE', 'Belgium'),
(3906, '37.58.85.192', '37.58.85.199', 624580032, 624580039, 'US', 'United States'),
(3907, '37.58.85.200', '37.58.85.207', 624580040, 624580047, 'BR', 'Brazil'),
(3908, '37.58.85.208', '37.58.85.211', 624580048, 624580051, 'BM', 'Bermuda'),
(3909, '37.58.85.212', '37.58.85.215', 624580052, 624580055, 'AE', 'United Arab Emirates'),
(3910, '37.58.85.216', '37.58.85.223', 624580056, 624580063, 'PK', 'Pakistan'),
(3911, '37.58.85.224', '37.58.85.231', 624580064, 624580071, 'NL', 'Netherlands'),
(3912, '37.58.85.232', '37.58.85.239', 624580072, 624580079, 'US', 'United States'),
(3913, '37.58.85.240', '37.58.85.247', 624580080, 624580087, 'NO', 'Norway'),
(3914, '37.58.85.248', '37.58.86.15', 624580088, 624580111, 'US', 'United States'),
(3915, '37.58.86.16', '37.58.86.23', 624580112, 624580119, 'SA', 'Saudi Arabia'),
(3916, '37.58.86.24', '37.58.86.31', 624580120, 624580127, 'CN', 'China'),
(3917, '37.58.86.32', '37.58.86.39', 624580128, 624580135, 'US', 'United States'),
(3918, '37.58.86.40', '37.58.86.47', 624580136, 624580143, 'EG', 'Egypt'),
(3919, '37.58.86.48', '37.58.86.55', 624580144, 624580151, 'RU', 'Russian Federation'),
(3920, '37.58.86.56', '37.58.86.63', 624580152, 624580159, 'ES', 'Spain'),
(3921, '37.58.86.64', '37.58.86.71', 624580160, 624580167, 'IN', 'India'),
(3922, '37.58.86.72', '37.58.86.75', 624580168, 624580171, 'PT', 'Portugal'),
(3923, '37.58.86.76', '37.58.86.79', 624580172, 624580175, 'CN', 'China'),
(3924, '37.58.86.80', '37.58.86.87', 624580176, 624580183, 'IN', 'India'),
(3925, '37.58.86.88', '37.58.86.95', 624580184, 624580191, 'GR', 'Greece'),
(3926, '37.58.86.96', '37.58.86.103', 624580192, 624580199, 'IN', 'India'),
(3927, '37.58.86.104', '37.58.86.111', 624580200, 624580207, 'TR', 'Turkey'),
(3928, '37.58.86.112', '37.58.86.119', 624580208, 624580215, 'AU', 'Australia'),
(3929, '37.58.86.120', '37.58.86.123', 624580216, 624580219, 'NL', 'Netherlands'),
(3930, '37.58.86.124', '37.58.86.127', 624580220, 624580223, 'US', 'United States'),
(3931, '37.58.86.128', '37.58.86.135', 624580224, 624580231, 'CH', 'Switzerland'),
(3932, '37.58.86.136', '37.58.86.143', 624580232, 624580239, 'US', 'United States'),
(3933, '37.58.86.144', '37.58.86.151', 624580240, 624580247, 'DE', 'Germany'),
(3934, '37.58.86.152', '37.58.86.155', 624580248, 624580251, 'US', 'United States'),
(3935, '37.58.86.156', '37.58.86.159', 624580252, 624580255, 'GR', 'Greece'),
(3936, '37.58.86.160', '37.58.86.175', 624580256, 624580271, 'GB', 'United Kingdom'),
(3937, '37.58.86.176', '37.58.86.183', 624580272, 624580279, 'TR', 'Turkey'),
(3938, '37.58.86.184', '37.58.86.191', 624580280, 624580287, 'CN', 'China'),
(3939, '37.58.86.192', '37.58.86.223', 624580288, 624580319, 'US', 'United States'),
(3940, '37.58.86.224', '37.58.86.231', 624580320, 624580327, 'GB', 'United Kingdom'),
(3941, '37.58.86.232', '37.58.86.239', 624580328, 624580335, 'AR', 'Argentina'),
(3942, '37.58.86.240', '37.58.86.253', 624580336, 624580349, 'US', 'United States'),
(3943, '37.58.86.254', '37.58.86.254', 624580350, 624580350, 'TR', 'Turkey'),
(3944, '37.58.86.255', '37.58.86.255', 624580351, 624580351, 'CH', 'Switzerland'),
(3945, '37.58.87.0', '37.58.87.7', 624580352, 624580359, 'AE', 'United Arab Emirates'),
(3946, '37.58.87.8', '37.58.87.15', 624580360, 624580367, 'FR', 'France'),
(3947, '37.58.87.16', '37.58.87.31', 624580368, 624580383, 'GB', 'United Kingdom'),
(3948, '37.58.87.32', '37.58.87.39', 624580384, 624580391, 'ES', 'Spain'),
(3949, '37.58.87.40', '37.58.87.63', 624580392, 624580415, 'US', 'United States'),
(3950, '37.58.87.64', '37.58.87.79', 624580416, 624580431, 'GB', 'United Kingdom'),
(3951, '37.58.87.80', '37.58.87.119', 624580432, 624580471, 'US', 'United States'),
(3952, '37.58.87.120', '37.58.87.127', 624580472, 624580479, 'AT', 'Austria'),
(3953, '37.58.87.128', '37.58.87.135', 624580480, 624580487, 'US', 'United States'),
(3954, '37.58.87.136', '37.58.87.139', 624580488, 624580491, 'AT', 'Austria'),
(3955, '37.58.87.140', '37.58.87.143', 624580492, 624580495, 'GB', 'United Kingdom'),
(3956, '37.58.87.144', '37.58.87.159', 624580496, 624580511, 'US', 'United States'),
(3957, '37.58.87.160', '37.58.87.167', 624580512, 624580519, 'IN', 'India'),
(3958, '37.58.87.168', '37.58.87.171', 624580520, 624580523, 'CN', 'China'),
(3959, '37.58.87.172', '37.58.87.175', 624580524, 624580527, 'US', 'United States'),
(3960, '37.58.87.176', '37.58.87.183', 624580528, 624580535, 'IL', 'Israel'),
(3961, '37.58.87.184', '37.58.87.191', 624580536, 624580543, 'DK', 'Denmark'),
(3962, '37.58.87.192', '37.58.87.207', 624580544, 624580559, 'US', 'United States'),
(3963, '37.58.87.208', '37.58.87.215', 624580560, 624580567, 'DK', 'Denmark'),
(3964, '37.58.87.216', '37.58.87.247', 624580568, 624580599, 'US', 'United States'),
(3965, '37.58.87.248', '37.58.87.255', 624580600, 624580607, 'MT', 'Malta'),
(3966, '37.58.88.0', '37.58.89.47', 624580608, 624580911, 'US', 'United States'),
(3967, '37.58.89.48', '37.58.89.55', 624580912, 624580919, 'ES', 'Spain'),
(3968, '37.58.89.56', '37.58.89.87', 624580920, 624580951, 'US', 'United States'),
(3969, '37.58.89.88', '37.58.89.91', 624580952, 624580955, 'GB', 'United Kingdom'),
(3970, '37.58.89.92', '37.58.89.95', 624580956, 624580959, 'NL', 'Netherlands'),
(3971, '37.58.89.96', '37.58.89.111', 624580960, 624580975, 'US', 'United States'),
(3972, '37.58.89.112', '37.58.89.119', 624580976, 624580983, 'SE', 'Sweden'),
(3973, '37.58.89.120', '37.58.89.127', 624580984, 624580991, 'BR', 'Brazil'),
(3974, '37.58.89.128', '37.58.89.131', 624580992, 624580995, 'RO', 'Romania'),
(3975, '37.58.89.132', '37.58.89.135', 624580996, 624580999, 'SE', 'Sweden'),
(3976, '37.58.89.136', '37.58.89.139', 624581000, 624581003, 'TR', 'Turkey'),
(3977, '37.58.89.140', '37.58.89.143', 624581004, 624581007, 'PL', 'Poland'),
(3978, '37.58.89.144', '37.58.89.159', 624581008, 624581023, 'NL', 'Netherlands'),
(3979, '37.58.89.160', '37.58.89.167', 624581024, 624581031, 'BE', 'Belgium'),
(3980, '37.58.89.168', '37.58.89.175', 624581032, 624581039, 'US', 'United States'),
(3981, '37.58.89.176', '37.58.89.183', 624581040, 624581047, 'GB', 'United Kingdom'),
(3982, '37.58.89.184', '37.58.89.191', 624581048, 624581055, 'US', 'United States'),
(3983, '37.58.89.192', '37.58.89.207', 624581056, 624581071, 'NL', 'Netherlands'),
(3984, '37.58.89.208', '37.58.89.223', 624581072, 624581087, 'EG', 'Egypt'),
(3985, '37.58.89.224', '37.58.89.239', 624581088, 624581103, 'AE', 'United Arab Emirates'),
(3986, '37.58.89.240', '37.58.90.7', 624581104, 624581127, 'US', 'United States'),
(3987, '37.58.90.8', '37.58.90.15', 624581128, 624581135, 'RO', 'Romania'),
(3988, '37.58.90.16', '37.58.90.47', 624581136, 624581167, 'US', 'United States'),
(3989, '37.58.90.48', '37.58.90.95', 624581168, 624581215, 'NL', 'Netherlands'),
(3990, '37.58.90.96', '37.58.90.159', 624581216, 624581279, 'US', 'United States'),
(3991, '37.58.90.160', '37.58.90.175', 624581280, 624581295, 'NL', 'Netherlands'),
(3992, '37.58.90.176', '37.58.90.183', 624581296, 624581303, 'SZ', 'Swaziland'),
(3993, '37.58.90.184', '37.58.90.191', 624581304, 624581311, 'CN', 'China'),
(3994, '37.58.90.192', '37.58.90.199', 624581312, 624581319, 'US', 'United States'),
(3995, '37.58.90.200', '37.58.90.207', 624581320, 624581327, 'NG', 'Nigeria'),
(3996, '37.58.90.208', '37.58.90.215', 624581328, 624581335, 'SZ', 'Swaziland'),
(3997, '37.58.90.216', '37.58.90.219', 624581336, 624581339, 'CN', 'China'),
(3998, '37.58.90.220', '37.58.90.223', 624581340, 624581343, 'IN', 'India'),
(3999, '37.58.90.224', '37.58.90.255', 624581344, 624581375, 'NL', 'Netherlands'),
(4000, '37.58.91.0', '37.58.91.31', 624581376, 624581407, 'US', 'United States'),
(4001, '37.58.91.32', '37.58.91.63', 624581408, 624581439, 'NL', 'Netherlands'),
(4002, '37.58.91.64', '37.58.91.87', 624581440, 624581463, 'US', 'United States'),
(4003, '37.58.91.88', '37.58.91.95', 624581464, 624581471, 'CN', 'China'),
(4004, '37.58.91.96', '37.58.91.111', 624581472, 624581487, 'NL', 'Netherlands'),
(4005, '37.58.91.112', '37.58.91.119', 624581488, 624581495, 'PE', 'Peru'),
(4006, '37.58.91.120', '37.58.91.127', 624581496, 624581503, 'US', 'United States'),
(4007, '37.58.91.128', '37.58.91.135', 624581504, 624581511, 'IN', 'India'),
(4008, '37.58.91.136', '37.58.91.143', 624581512, 624581519, 'TR', 'Turkey'),
(4009, '37.58.91.144', '37.58.91.151', 624581520, 624581527, 'US', 'United States'),
(4010, '37.58.91.152', '37.58.91.191', 624581528, 624581567, 'NL', 'Netherlands'),
(4011, '37.58.91.192', '37.58.91.223', 624581568, 624581599, 'RO', 'Romania'),
(4012, '37.58.91.224', '37.58.92.0', 624581600, 624581632, 'NL', 'Netherlands'),
(4013, '37.58.92.1', '37.58.92.1', 624581633, 624581633, 'MA', 'Morocco'),
(4014, '37.58.92.2', '37.58.92.3', 624581634, 624581635, 'SK', 'Slovakia'),
(4015, '37.58.92.4', '37.58.92.15', 624581636, 624581647, 'US', 'United States'),
(4016, '37.58.92.16', '37.58.92.23', 624581648, 624581655, 'SA', 'Saudi Arabia'),
(4017, '37.58.92.24', '37.58.92.31', 624581656, 624581663, 'GB', 'United Kingdom'),
(4018, '37.58.92.32', '37.58.92.47', 624581664, 624581679, 'US', 'United States'),
(4019, '37.58.92.48', '37.58.92.55', 624581680, 624581687, 'DK', 'Denmark'),
(4020, '37.58.92.56', '37.58.92.59', 624581688, 624581691, 'TR', 'Turkey'),
(4021, '37.58.92.60', '37.58.92.61', 624581692, 624581693, 'GB', 'United Kingdom'),
(4022, '37.58.92.62', '37.58.92.62', 624581694, 624581694, 'MA', 'Morocco'),
(4023, '37.58.92.63', '37.58.92.63', 624581695, 624581695, 'GB', 'United Kingdom'),
(4024, '37.58.92.64', '37.58.92.71', 624581696, 624581703, 'DK', 'Denmark'),
(4025, '37.58.92.72', '37.58.92.75', 624581704, 624581707, 'US', 'United States'),
(4026, '37.58.92.76', '37.58.92.77', 624581708, 624581709, 'NL', 'Netherlands'),
(4027, '37.58.92.78', '37.58.92.78', 624581710, 624581710, 'US', 'United States'),
(4028, '37.58.92.79', '37.58.92.79', 624581711, 624581711, 'AU', 'Australia'),
(4029, '37.58.92.80', '37.58.92.87', 624581712, 624581719, 'SA', 'Saudi Arabia'),
(4030, '37.58.92.88', '37.58.92.111', 624581720, 624581743, 'US', 'United States'),
(4031, '37.58.92.112', '37.58.92.119', 624581744, 624581751, 'NL', 'Netherlands'),
(4032, '37.58.92.120', '37.58.92.127', 624581752, 624581759, 'GB', 'United Kingdom'),
(4033, '37.58.92.128', '37.58.92.131', 624581760, 624581763, 'SA', 'Saudi Arabia'),
(4034, '37.58.92.132', '37.58.92.143', 624581764, 624581775, 'US', 'United States'),
(4035, '37.58.92.144', '37.58.92.147', 624581776, 624581779, 'SA', 'Saudi Arabia'),
(4036, '37.58.92.148', '37.58.92.151', 624581780, 624581783, 'US', 'United States'),
(4037, '37.58.92.152', '37.58.92.159', 624581784, 624581791, 'HR', 'Croatia'),
(4038, '37.58.92.160', '37.58.92.163', 624581792, 624581795, 'US', 'United States'),
(4039, '37.58.92.164', '37.58.92.167', 624581796, 624581799, 'TR', 'Turkey'),
(4040, '37.58.92.168', '37.58.92.171', 624581800, 624581803, 'US', 'United States'),
(4041, '37.58.92.172', '37.58.92.175', 624581804, 624581807, 'HK', 'Hong Kong'),
(4042, '37.58.92.176', '37.58.92.183', 624581808, 624581815, 'HR', 'Croatia'),
(4043, '37.58.92.184', '37.58.92.187', 624581816, 624581819, 'NL', 'Netherlands'),
(4044, '37.58.92.188', '37.58.92.199', 624581820, 624581831, 'US', 'United States'),
(4045, '37.58.92.200', '37.58.92.207', 624581832, 624581839, 'SA', 'Saudi Arabia'),
(4046, '37.58.92.208', '37.58.92.215', 624581840, 624581847, 'BR', 'Brazil'),
(4047, '37.58.92.216', '37.58.92.216', 624581848, 624581848, 'PA', 'Panama'),
(4048, '37.58.92.217', '37.58.92.219', 624581849, 624581851, 'NL', 'Netherlands'),
(4049, '37.58.92.220', '37.58.92.223', 624581852, 624581855, 'US', 'United States'),
(4050, '37.58.92.224', '37.58.92.231', 624581856, 624581863, 'UA', 'Ukraine'),
(4051, '37.58.92.232', '37.58.92.235', 624581864, 624581867, 'GB', 'United Kingdom'),
(4052, '37.58.92.236', '37.58.92.236', 624581868, 624581868, 'TR', 'Turkey'),
(4053, '37.58.92.237', '37.58.92.237', 624581869, 624581869, 'NL', 'Netherlands'),
(4054, '37.58.92.238', '37.58.92.238', 624581870, 624581870, 'RU', 'Russian Federation'),
(4055, '37.58.92.239', '37.58.92.239', 624581871, 624581871, 'IN', 'India'),
(4056, '37.58.92.240', '37.58.92.248', 624581872, 624581880, 'TR', 'Turkey'),
(4057, '37.58.92.249', '37.58.92.249', 624581881, 624581881, 'US', 'United States'),
(4058, '37.58.92.250', '37.58.92.250', 624581882, 624581882, 'SA', 'Saudi Arabia'),
(4059, '37.58.92.251', '37.58.92.251', 624581883, 624581883, 'AU', 'Australia'),
(4060, '37.58.92.252', '37.58.92.253', 624581884, 624581885, 'MA', 'Morocco'),
(4061, '37.58.92.254', '37.58.92.255', 624581886, 624581887, 'NL', 'Netherlands'),
(4062, '37.58.93.0', '37.58.93.7', 624581888, 624581895, 'US', 'United States'),
(4063, '37.58.93.8', '37.58.93.15', 624581896, 624581903, 'MX', 'Mexico'),
(4064, '37.58.93.16', '37.58.93.17', 624581904, 624581905, 'GB', 'United Kingdom'),
(4065, '37.58.93.18', '37.58.93.18', 624581906, 624581906, 'US', 'United States'),
(4066, '37.58.93.19', '37.58.93.19', 624581907, 624581907, 'DE', 'Germany'),
(4067, '37.58.93.20', '37.58.93.21', 624581908, 624581909, 'SA', 'Saudi Arabia'),
(4068, '37.58.93.22', '37.58.93.22', 624581910, 624581910, 'GB', 'United Kingdom'),
(4069, '37.58.93.23', '37.58.93.23', 624581911, 624581911, 'UA', 'Ukraine'),
(4070, '37.58.93.24', '37.58.93.27', 624581912, 624581915, 'TR', 'Turkey'),
(4071, '37.58.93.28', '37.58.93.29', 624581916, 624581917, 'SA', 'Saudi Arabia'),
(4072, '37.58.93.30', '37.58.93.30', 624581918, 624581918, 'BR', 'Brazil'),
(4073, '37.58.93.31', '37.58.93.31', 624581919, 624581919, 'MA', 'Morocco'),
(4074, '37.58.93.32', '37.58.93.39', 624581920, 624581927, 'RU', 'Russian Federation'),
(4075, '37.58.93.40', '37.58.93.41', 624581928, 624581929, 'US', 'United States'),
(4076, '37.58.93.42', '37.58.93.42', 624581930, 624581930, 'EG', 'Egypt'),
(4077, '37.58.93.43', '37.58.93.43', 624581931, 624581931, 'AU', 'Australia'),
(4078, '37.58.93.44', '37.58.93.44', 624581932, 624581932, 'UA', 'Ukraine'),
(4079, '37.58.93.45', '37.58.93.45', 624581933, 624581933, 'AU', 'Australia'),
(4080, '37.58.93.46', '37.58.93.46', 624581934, 624581934, 'GB', 'United Kingdom'),
(4081, '37.58.93.47', '37.58.93.47', 624581935, 624581935, 'IT', 'Italy'),
(4082, '37.58.93.48', '37.58.93.63', 624581936, 624581951, 'US', 'United States'),
(4083, '37.58.93.64', '37.58.93.95', 624581952, 624581983, 'NL', 'Netherlands'),
(4084, '37.58.93.96', '37.58.93.103', 624581984, 624581991, 'US', 'United States'),
(4085, '37.58.93.104', '37.58.93.111', 624581992, 624581999, 'BR', 'Brazil'),
(4086, '37.58.93.112', '37.58.93.119', 624582000, 624582007, 'NL', 'Netherlands'),
(4087, '37.58.93.120', '37.58.93.123', 624582008, 624582011, 'DK', 'Denmark'),
(4088, '37.58.93.124', '37.58.93.135', 624582012, 624582023, 'US', 'United States'),
(4089, '37.58.93.136', '37.58.93.143', 624582024, 624582031, 'IT', 'Italy'),
(4090, '37.58.93.144', '37.58.93.151', 624582032, 624582039, 'US', 'United States'),
(4091, '37.58.93.152', '37.58.93.157', 624582040, 624582045, 'NL', 'Netherlands'),
(4092, '37.58.93.158', '37.58.93.158', 624582046, 624582046, 'RU', 'Russian Federation'),
(4093, '37.58.93.159', '37.58.93.159', 624582047, 624582047, 'NL', 'Netherlands'),
(4094, '37.58.93.160', '37.58.93.167', 624582048, 624582055, 'EG', 'Egypt'),
(4095, '37.58.93.168', '37.58.93.175', 624582056, 624582063, 'US', 'United States'),
(4096, '37.58.93.176', '37.58.93.183', 624582064, 624582071, 'TH', 'Thailand'),
(4097, '37.58.93.184', '37.58.93.191', 624582072, 624582079, 'IN', 'India'),
(4098, '37.58.93.192', '37.58.93.199', 624582080, 624582087, 'US', 'United States'),
(4099, '37.58.93.200', '37.58.93.207', 624582088, 624582095, 'CN', 'China'),
(4100, '37.58.93.208', '37.58.93.215', 624582096, 624582103, 'MX', 'Mexico'),
(4101, '37.58.93.216', '37.58.93.219', 624582104, 624582107, 'IT', 'Italy'),
(4102, '37.58.93.220', '37.58.93.223', 624582108, 624582111, 'NO', 'Norway'),
(4103, '37.58.93.224', '37.58.93.239', 624582112, 624582127, 'US', 'United States'),
(4104, '37.58.93.240', '37.58.93.243', 624582128, 624582131, 'TR', 'Turkey'),
(4105, '37.58.93.244', '37.58.93.247', 624582132, 624582135, 'AR', 'Argentina'),
(4106, '37.58.93.248', '37.58.93.251', 624582136, 624582139, 'TR', 'Turkey'),
(4107, '37.58.93.252', '37.58.94.63', 624582140, 624582207, 'US', 'United States'),
(4108, '37.58.94.64', '37.58.94.71', 624582208, 624582215, 'BA', 'Bosnia and Herzegovina'),
(4109, '37.58.94.72', '37.58.94.79', 624582216, 624582223, 'US', 'United States'),
(4110, '37.58.94.80', '37.58.94.91', 624582224, 624582235, 'NL', 'Netherlands'),
(4111, '37.58.94.92', '37.58.94.95', 624582236, 624582239, 'US', 'United States'),
(4112, '37.58.94.96', '37.58.94.99', 624582240, 624582243, 'AE', 'United Arab Emirates'),
(4113, '37.58.94.100', '37.58.94.101', 624582244, 624582245, 'NL', 'Netherlands'),
(4114, '37.58.94.102', '37.58.94.102', 624582246, 624582246, 'US', 'United States'),
(4115, '37.58.94.103', '37.58.94.103', 624582247, 624582247, 'SA', 'Saudi Arabia'),
(4116, '37.58.94.104', '37.58.94.111', 624582248, 624582255, 'GB', 'United Kingdom'),
(4117, '37.58.94.112', '37.58.94.119', 624582256, 624582263, 'US', 'United States'),
(4118, '37.58.94.120', '37.58.94.127', 624582264, 624582271, 'CN', 'China'),
(4119, '37.58.94.128', '37.58.94.128', 624582272, 624582272, 'US', 'United States'),
(4120, '37.58.94.129', '37.58.94.129', 624582273, 624582273, 'CN', 'China'),
(4121, '37.58.94.130', '37.58.94.131', 624582274, 624582275, 'UA', 'Ukraine'),
(4122, '37.58.94.132', '37.58.94.135', 624582276, 624582279, 'US', 'United States'),
(4123, '37.58.94.136', '37.58.94.143', 624582280, 624582287, 'GB', 'United Kingdom'),
(4124, '37.58.94.144', '37.58.94.151', 624582288, 624582295, 'NL', 'Netherlands'),
(4125, '37.58.94.152', '37.58.94.159', 624582296, 624582303, 'CA', 'Canada'),
(4126, '37.58.94.160', '37.58.94.167', 624582304, 624582311, 'US', 'United States'),
(4127, '37.58.94.168', '37.58.94.175', 624582312, 624582319, 'BE', 'Belgium'),
(4128, '37.58.94.176', '37.58.94.183', 624582320, 624582327, 'US', 'United States'),
(4129, '37.58.94.184', '37.58.94.191', 624582328, 624582335, 'KW', 'Kuwait'),
(4130, '37.58.94.192', '37.58.94.199', 624582336, 624582343, 'CN', 'China'),
(4131, '37.58.94.200', '37.58.94.207', 624582344, 624582351, 'EG', 'Egypt'),
(4132, '37.58.94.208', '37.58.94.215', 624582352, 624582359, 'KW', 'Kuwait'),
(4133, '37.58.94.216', '37.58.94.223', 624582360, 624582367, 'AF', 'Afghanistan'),
(4134, '37.58.94.224', '37.58.94.231', 624582368, 624582375, 'AR', 'Argentina'),
(4135, '37.58.94.232', '37.58.94.239', 624582376, 624582383, 'GB', 'United Kingdom'),
(4136, '37.58.94.240', '37.58.94.247', 624582384, 624582391, 'AF', 'Afghanistan'),
(4137, '37.58.94.248', '37.58.94.255', 624582392, 624582399, 'HR', 'Croatia'),
(4138, '37.58.95.0', '37.58.95.63', 624582400, 624582463, 'US', 'United States'),
(4139, '37.58.95.64', '37.58.95.95', 624582464, 624582495, 'AF', 'Afghanistan'),
(4140, '37.58.95.96', '37.58.95.103', 624582496, 624582503, 'SA', 'Saudi Arabia'),
(4141, '37.58.95.104', '37.58.95.111', 624582504, 624582511, 'ES', 'Spain'),
(4142, '37.58.95.112', '37.58.95.127', 624582512, 624582527, 'US', 'United States'),
(4143, '37.58.95.128', '37.58.95.143', 624582528, 624582543, 'NL', 'Netherlands'),
(4144, '37.58.95.144', '37.58.95.159', 624582544, 624582559, 'TR', 'Turkey'),
(4145, '37.58.95.160', '37.58.95.175', 624582560, 624582575, 'NL', 'Netherlands'),
(4146, '37.58.95.176', '37.58.95.183', 624582576, 624582583, 'EG', 'Egypt'),
(4147, '37.58.95.184', '37.58.95.207', 624582584, 624582607, 'DK', 'Denmark'),
(4148, '37.58.95.208', '37.58.95.215', 624582608, 624582615, 'BR', 'Brazil'),
(4149, '37.58.95.216', '37.58.95.223', 624582616, 624582623, 'PA', 'Panama'),
(4150, '37.58.95.224', '37.58.95.239', 624582624, 624582639, 'NL', 'Netherlands'),
(4151, '37.58.95.240', '37.58.95.247', 624582640, 624582647, 'CN', 'China'),
(4152, '37.58.95.248', '37.58.95.251', 624582648, 624582651, 'TR', 'Turkey'),
(4153, '37.58.95.252', '37.58.96.103', 624582652, 624582759, 'US', 'United States'),
(4154, '37.58.96.104', '37.58.96.111', 624582760, 624582767, 'JO', 'Jordan'),
(4155, '37.58.96.112', '37.58.96.119', 624582768, 624582775, 'US', 'United States'),
(4156, '37.58.96.120', '37.58.96.127', 624582776, 624582783, 'NO', 'Norway'),
(4157, '37.58.96.128', '37.58.96.135', 624582784, 624582791, 'NL', 'Netherlands'),
(4158, '37.58.96.136', '37.58.96.143', 624582792, 624582799, 'DK', 'Denmark'),
(4159, '37.58.96.144', '37.58.96.151', 624582800, 624582807, 'US', 'United States'),
(4160, '37.58.96.152', '37.58.96.159', 624582808, 624582815, 'LV', 'Latvia'),
(4161, '37.58.96.160', '37.58.96.163', 624582816, 624582819, 'BR', 'Brazil'),
(4162, '37.58.96.164', '37.58.96.167', 624582820, 624582823, 'US', 'United States'),
(4163, '37.58.96.168', '37.58.96.191', 624582824, 624582847, 'DK', 'Denmark'),
(4164, '37.58.96.192', '37.58.96.207', 624582848, 624582863, 'US', 'United States'),
(4165, '37.58.96.208', '37.58.96.255', 624582864, 624582911, 'DK', 'Denmark'),
(4166, '37.58.97.0', '37.58.97.7', 624582912, 624582919, 'SE', 'Sweden'),
(4167, '37.58.97.8', '37.58.97.15', 624582920, 624582927, 'IL', 'Israel'),
(4168, '37.58.97.16', '37.58.97.23', 624582928, 624582935, 'SA', 'Saudi Arabia'),
(4169, '37.58.97.24', '37.58.97.31', 624582936, 624582943, 'TR', 'Turkey'),
(4170, '37.58.97.32', '37.58.97.39', 624582944, 624582951, 'LV', 'Latvia'),
(4171, '37.58.97.40', '37.58.97.47', 624582952, 624582959, 'IL', 'Israel'),
(4172, '37.58.97.48', '37.58.97.63', 624582960, 624582975, 'US', 'United States'),
(4173, '37.58.97.64', '37.58.97.71', 624582976, 624582983, 'TW', 'Taiwan'),
(4174, '37.58.97.72', '37.58.97.79', 624582984, 624582991, 'JO', 'Jordan'),
(4175, '37.58.97.80', '37.58.97.87', 624582992, 624582999, 'GB', 'United Kingdom'),
(4176, '37.58.97.88', '37.58.97.95', 624583000, 624583007, 'US', 'United States'),
(4177, '37.58.97.96', '37.58.97.103', 624583008, 624583015, 'GR', 'Greece'),
(4178, '37.58.97.104', '37.58.97.119', 624583016, 624583031, 'NZ', 'New Zealand'),
(4179, '37.58.97.120', '37.58.97.127', 624583032, 624583039, 'SA', 'Saudi Arabia'),
(4180, '37.58.97.128', '37.58.97.159', 624583040, 624583071, 'SG', 'Singapore'),
(4181, '37.58.97.160', '37.58.97.167', 624583072, 624583079, 'BR', 'Brazil'),
(4182, '37.58.97.168', '37.58.97.175', 624583080, 624583087, 'TR', 'Turkey'),
(4183, '37.58.97.176', '37.58.97.191', 624583088, 624583103, 'GB', 'United Kingdom'),
(4184, '37.58.97.192', '37.58.97.199', 624583104, 624583111, 'NG', 'Nigeria'),
(4185, '37.58.97.200', '37.58.97.203', 624583112, 624583115, 'US', 'United States'),
(4186, '37.58.97.204', '37.58.97.207', 624583116, 624583119, 'SE', 'Sweden'),
(4187, '37.58.97.208', '37.58.97.215', 624583120, 624583127, 'GB', 'United Kingdom'),
(4188, '37.58.97.216', '37.58.97.223', 624583128, 624583135, 'IT', 'Italy'),
(4189, '37.58.97.224', '37.58.97.231', 624583136, 624583143, 'US', 'United States'),
(4190, '37.58.97.232', '37.58.97.235', 624583144, 624583147, 'NG', 'Nigeria'),
(4191, '37.58.97.236', '37.58.97.239', 624583148, 624583151, 'CN', 'China'),
(4192, '37.58.97.240', '37.58.97.247', 624583152, 624583159, 'US', 'United States'),
(4193, '37.58.97.248', '37.58.97.255', 624583160, 624583167, 'IN', 'India'),
(4194, '37.58.98.0', '37.58.98.7', 624583168, 624583175, 'US', 'United States'),
(4195, '37.58.98.8', '37.58.98.15', 624583176, 624583183, 'RO', 'Romania'),
(4196, '37.58.98.16', '37.58.98.255', 624583184, 624583423, 'US', 'United States'),
(4197, '37.58.99.0', '37.58.99.7', 624583424, 624583431, 'DE', 'Germany'),
(4198, '37.58.99.8', '37.58.99.11', 624583432, 624583435, 'US', 'United States'),
(4199, '37.58.99.12', '37.58.99.15', 624583436, 624583439, 'AE', 'United Arab Emirates'),
(4200, '37.58.99.16', '37.58.99.23', 624583440, 624583447, 'US', 'United States'),
(4201, '37.58.99.24', '37.58.99.31', 624583448, 624583455, 'AE', 'United Arab Emirates'),
(4202, '37.58.99.32', '37.58.99.39', 624583456, 624583463, 'US', 'United States'),
(4203, '37.58.99.40', '37.58.99.47', 624583464, 624583471, 'GB', 'United Kingdom'),
(4204, '37.58.99.48', '37.58.99.55', 624583472, 624583479, 'HU', 'Hungary'),
(4205, '37.58.99.56', '37.58.99.63', 624583480, 624583487, 'TR', 'Turkey'),
(4206, '37.58.99.64', '37.58.99.71', 624583488, 624583495, 'PL', 'Poland'),
(4207, '37.58.99.72', '37.58.99.79', 624583496, 624583503, 'US', 'United States'),
(4208, '37.58.99.80', '37.58.99.87', 624583504, 624583511, 'AE', 'United Arab Emirates'),
(4209, '37.58.99.88', '37.58.99.95', 624583512, 624583519, 'ES', 'Spain'),
(4210, '37.58.99.96', '37.58.99.103', 624583520, 624583527, 'NL', 'Netherlands'),
(4211, '37.58.99.104', '37.58.99.111', 624583528, 624583535, 'LB', 'Lebanon'),
(4212, '37.58.99.112', '37.58.99.127', 624583536, 624583551, 'GB', 'United Kingdom'),
(4213, '37.58.99.128', '37.58.99.143', 624583552, 624583567, 'NL', 'Netherlands'),
(4214, '37.58.99.144', '37.58.99.151', 624583568, 624583575, 'US', 'United States'),
(4215, '37.58.99.152', '37.58.99.159', 624583576, 624583583, 'DE', 'Germany'),
(4216, '37.58.99.160', '37.58.99.167', 624583584, 624583591, 'BE', 'Belgium'),
(4217, '37.58.99.168', '37.58.99.175', 624583592, 624583599, 'CA', 'Canada'),
(4218, '37.58.99.176', '37.58.99.179', 624583600, 624583603, 'DE', 'Germany'),
(4219, '37.58.99.180', '37.58.99.183', 624583604, 624583607, 'TR', 'Turkey'),
(4220, '37.58.99.184', '37.58.99.187', 624583608, 624583611, 'DE', 'Germany'),
(4221, '37.58.99.188', '37.58.99.255', 624583612, 624583679, 'US', 'United States'),
(4222, '37.58.100.0', '37.58.100.23', 624583680, 624583703, 'NL', 'Netherlands'),
(4223, '37.58.100.24', '37.58.100.31', 624583704, 624583711, 'US', 'United States'),
(4224, '37.58.100.32', '37.58.100.39', 624583712, 624583719, 'SA', 'Saudi Arabia'),
(4225, '37.58.100.40', '37.58.100.47', 624583720, 624583727, 'UG', 'Uganda'),
(4226, '37.58.100.48', '37.58.100.55', 624583728, 624583735, 'US', 'United States'),
(4227, '37.58.100.56', '37.58.100.63', 624583736, 624583743, 'SA', 'Saudi Arabia'),
(4228, '37.58.100.64', '37.58.100.71', 624583744, 624583751, 'AE', 'United Arab Emirates'),
(4229, '37.58.100.72', '37.58.100.79', 624583752, 624583759, 'ES', 'Spain'),
(4230, '37.58.100.80', '37.58.100.87', 624583760, 624583767, 'NL', 'Netherlands'),
(4231, '37.58.100.88', '37.58.100.91', 624583768, 624583771, 'TR', 'Turkey'),
(4232, '37.58.100.92', '37.58.100.95', 624583772, 624583775, 'US', 'United States'),
(4233, '37.58.100.96', '37.58.100.103', 624583776, 624583783, 'PT', 'Portugal'),
(4234, '37.58.100.104', '37.58.100.111', 624583784, 624583791, 'NL', 'Netherlands'),
(4235, '37.58.100.112', '37.58.100.115', 624583792, 624583795, 'TR', 'Turkey'),
(4236, '37.58.100.116', '37.58.100.119', 624583796, 624583799, 'BM', 'Bermuda'),
(4237, '37.58.100.120', '37.58.100.127', 624583800, 624583807, 'CN', 'China'),
(4238, '37.58.100.128', '37.58.100.135', 624583808, 624583815, 'NL', 'Netherlands'),
(4239, '37.58.100.136', '37.58.100.143', 624583816, 624583823, 'US', 'United States'),
(4240, '37.58.100.144', '37.58.100.151', 624583824, 624583831, 'MA', 'Morocco'),
(4241, '37.58.100.152', '37.58.100.159', 624583832, 624583839, 'PK', 'Pakistan'),
(4242, '37.58.100.160', '37.58.100.175', 624583840, 624583855, 'NL', 'Netherlands'),
(4243, '37.58.100.176', '37.58.100.183', 624583856, 624583863, 'US', 'United States'),
(4244, '37.58.100.184', '37.58.100.191', 624583864, 624583871, 'DK', 'Denmark'),
(4245, '37.58.100.192', '37.58.100.223', 624583872, 624583903, 'IN', 'India'),
(4246, '37.58.100.224', '37.58.100.231', 624583904, 624583911, 'BR', 'Brazil'),
(4247, '37.58.100.232', '37.58.100.239', 624583912, 624583919, 'ES', 'Spain'),
(4248, '37.58.100.240', '37.58.100.247', 624583920, 624583927, 'DK', 'Denmark'),
(4249, '37.58.100.248', '37.58.100.255', 624583928, 624583935, 'GR', 'Greece'),
(4250, '37.58.101.0', '37.58.101.15', 624583936, 624583951, 'US', 'United States'),
(4251, '37.58.101.16', '37.58.101.23', 624583952, 624583959, 'ES', 'Spain'),
(4252, '37.58.101.24', '37.58.101.31', 624583960, 624583967, 'US', 'United States'),
(4253, '37.58.101.32', '37.58.101.39', 624583968, 624583975, 'NL', 'Netherlands'),
(4254, '37.58.101.40', '37.58.101.79', 624583976, 624584015, 'US', 'United States'),
(4255, '37.58.101.80', '37.58.101.87', 624584016, 624584023, 'NL', 'Netherlands'),
(4256, '37.58.101.88', '37.58.101.123', 624584024, 624584059, 'US', 'United States'),
(4257, '37.58.101.124', '37.58.101.127', 624584060, 624584063, 'IN', 'India'),
(4258, '37.58.101.128', '37.58.101.135', 624584064, 624584071, 'DK', 'Denmark'),
(4259, '37.58.101.136', '37.58.101.143', 624584072, 624584079, 'IT', 'Italy'),
(4260, '37.58.101.144', '37.58.101.151', 624584080, 624584087, 'SA', 'Saudi Arabia'),
(4261, '37.58.101.152', '37.58.101.159', 624584088, 624584095, 'RO', 'Romania'),
(4262, '37.58.101.160', '37.58.101.175', 624584096, 624584111, 'US', 'United States'),
(4263, '37.58.101.176', '37.58.101.187', 624584112, 624584123, 'MA', 'Morocco'),
(4264, '37.58.101.188', '37.58.101.191', 624584124, 624584127, 'TR', 'Turkey'),
(4265, '37.58.101.192', '37.58.101.199', 624584128, 624584135, 'RU', 'Russian Federation'),
(4266, '37.58.101.200', '37.58.101.207', 624584136, 624584143, 'ES', 'Spain'),
(4267, '37.58.101.208', '37.58.101.215', 624584144, 624584151, 'US', 'United States'),
(4268, '37.58.101.216', '37.58.101.219', 624584152, 624584155, 'EG', 'Egypt'),
(4269, '37.58.101.220', '37.58.101.223', 624584156, 624584159, 'TR', 'Turkey'),
(4270, '37.58.101.224', '37.58.101.231', 624584160, 624584167, 'IN', 'India'),
(4271, '37.58.101.232', '37.58.101.239', 624584168, 624584175, 'IL', 'Israel'),
(4272, '37.58.101.240', '37.58.101.255', 624584176, 624584191, 'US', 'United States'),
(4273, '37.58.102.0', '37.58.102.0', 624584192, 624584192, 'NL', 'Netherlands'),
(4274, '37.58.102.1', '37.58.102.1', 624584193, 624584193, 'AU', 'Australia'),
(4275, '37.58.102.2', '37.58.102.3', 624584194, 624584195, 'US', 'United States'),
(4276, '37.58.102.4', '37.58.102.7', 624584196, 624584199, 'TR', 'Turkey'),
(4277, '37.58.102.8', '37.58.102.15', 624584200, 624584207, 'US', 'United States'),
(4278, '37.58.102.16', '37.58.102.23', 624584208, 624584215, 'GB', 'United Kingdom'),
(4279, '37.58.102.24', '37.58.102.31', 624584216, 624584223, 'BR', 'Brazil'),
(4280, '37.58.102.32', '37.58.102.103', 624584224, 624584295, 'US', 'United States'),
(4281, '37.58.102.104', '37.58.102.111', 624584296, 624584303, 'DK', 'Denmark'),
(4282, '37.58.102.112', '37.58.102.135', 624584304, 624584327, 'US', 'United States'),
(4283, '37.58.102.136', '37.58.102.143', 624584328, 624584335, 'GB', 'United Kingdom'),
(4284, '37.58.102.144', '37.58.102.175', 624584336, 624584367, 'US', 'United States'),
(4285, '37.58.102.176', '37.58.102.179', 624584368, 624584371, 'IT', 'Italy'),
(4286, '37.58.102.180', '37.58.102.183', 624584372, 624584375, 'HK', 'Hong Kong'),
(4287, '37.58.102.184', '37.58.102.191', 624584376, 624584383, 'US', 'United States'),
(4288, '37.58.102.192', '37.58.102.199', 624584384, 624584391, 'CA', 'Canada'),
(4289, '37.58.102.200', '37.58.102.207', 624584392, 624584399, 'US', 'United States'),
(4290, '37.58.102.208', '37.58.102.215', 624584400, 624584407, 'IL', 'Israel'),
(4291, '37.58.102.216', '37.58.102.239', 624584408, 624584431, 'DK', 'Denmark'),
(4292, '37.58.102.240', '37.58.102.247', 624584432, 624584439, 'RO', 'Romania'),
(4293, '37.58.102.248', '37.58.103.7', 624584440, 624584455, 'US', 'United States'),
(4294, '37.58.103.8', '37.58.103.15', 624584456, 624584463, 'ES', 'Spain'),
(4295, '37.58.103.16', '37.58.103.23', 624584464, 624584471, 'EG', 'Egypt'),
(4296, '37.58.103.24', '37.58.103.39', 624584472, 624584487, 'US', 'United States'),
(4297, '37.58.103.40', '37.58.103.47', 624584488, 624584495, 'SA', 'Saudi Arabia'),
(4298, '37.58.103.48', '37.58.103.55', 624584496, 624584503, 'CA', 'Canada'),
(4299, '37.58.103.56', '37.58.103.63', 624584504, 624584511, 'GB', 'United Kingdom'),
(4300, '37.58.103.64', '37.58.103.95', 624584512, 624584543, 'US', 'United States'),
(4301, '37.58.103.96', '37.58.103.127', 624584544, 624584575, 'CY', 'Cyprus'),
(4302, '37.58.103.128', '37.58.103.223', 624584576, 624584671, 'US', 'United States'),
(4303, '37.58.103.224', '37.58.103.231', 624584672, 624584679, 'DE', 'Germany'),
(4304, '37.58.103.232', '37.58.103.235', 624584680, 624584683, 'SE', 'Sweden'),
(4305, '37.58.103.236', '37.58.103.239', 624584684, 624584687, 'US', 'United States'),
(4306, '37.58.103.240', '37.58.103.247', 624584688, 624584695, 'NL', 'Netherlands'),
(4307, '37.58.103.248', '37.58.103.251', 624584696, 624584699, 'GB', 'United Kingdom'),
(4308, '37.58.103.252', '37.58.104.15', 624584700, 624584719, 'US', 'United States'),
(4309, '37.58.104.16', '37.58.104.27', 624584720, 624584731, 'NL', 'Netherlands'),
(4310, '37.58.104.28', '37.58.104.47', 624584732, 624584751, 'US', 'United States'),
(4311, '37.58.104.48', '37.58.104.55', 624584752, 624584759, 'TR', 'Turkey'),
(4312, '37.58.104.56', '37.58.104.63', 624584760, 624584767, 'NL', 'Netherlands'),
(4313, '37.58.104.64', '37.58.104.79', 624584768, 624584783, 'US', 'United States'),
(4314, '37.58.104.80', '37.58.104.87', 624584784, 624584791, 'IL', 'Israel'),
(4315, '37.58.104.88', '37.58.104.95', 624584792, 624584799, 'US', 'United States'),
(4316, '37.58.104.96', '37.58.104.127', 624584800, 624584831, 'GB', 'United Kingdom'),
(4317, '37.58.104.128', '37.58.104.135', 624584832, 624584839, 'LB', 'Lebanon'),
(4318, '37.58.104.136', '37.58.104.139', 624584840, 624584843, 'TR', 'Turkey'),
(4319, '37.58.104.140', '37.58.104.151', 624584844, 624584855, 'US', 'United States'),
(4320, '37.58.104.152', '37.58.104.159', 624584856, 624584863, 'DK', 'Denmark'),
(4321, '37.58.104.160', '37.58.104.167', 624584864, 624584871, 'US', 'United States'),
(4322, '37.58.104.168', '37.58.104.175', 624584872, 624584879, 'CY', 'Cyprus'),
(4323, '37.58.104.176', '37.58.104.183', 624584880, 624584887, 'US', 'United States'),
(4324, '37.58.104.184', '37.58.104.191', 624584888, 624584895, 'ES', 'Spain'),
(4325, '37.58.104.192', '37.58.104.199', 624584896, 624584903, 'US', 'United States'),
(4326, '37.58.104.200', '37.58.104.207', 624584904, 624584911, 'GB', 'United Kingdom'),
(4327, '37.58.104.208', '37.58.104.215', 624584912, 624584919, 'NO', 'Norway'),
(4328, '37.58.104.216', '37.58.104.223', 624584920, 624584927, 'US', 'United States'),
(4329, '37.58.104.224', '37.58.104.231', 624584928, 624584935, 'NL', 'Netherlands'),
(4330, '37.58.104.232', '37.58.104.239', 624584936, 624584943, 'US', 'United States'),
(4331, '37.58.104.240', '37.58.104.247', 624584944, 624584951, 'GB', 'United Kingdom'),
(4332, '37.58.104.248', '37.58.104.255', 624584952, 624584959, 'IT', 'Italy'),
(4333, '37.58.105.0', '37.58.105.31', 624584960, 624584991, 'US', 'United States'),
(4334, '37.58.105.32', '37.58.105.39', 624584992, 624584999, 'GB', 'United Kingdom'),
(4335, '37.58.105.40', '37.58.105.47', 624585000, 624585007, 'US', 'United States'),
(4336, '37.58.105.48', '37.58.105.63', 624585008, 624585023, 'TR', 'Turkey'),
(4337, '37.58.105.64', '37.58.105.79', 624585024, 624585039, 'NL', 'Netherlands'),
(4338, '37.58.105.80', '37.58.105.87', 624585040, 624585047, 'CH', 'Switzerland'),
(4339, '37.58.105.88', '37.58.105.95', 624585048, 624585055, 'DK', 'Denmark'),
(4340, '37.58.105.96', '37.58.105.111', 624585056, 624585071, 'EG', 'Egypt'),
(4341, '37.58.105.112', '37.58.105.159', 624585072, 624585119, 'DK', 'Denmark'),
(4342, '37.58.105.160', '37.58.105.175', 624585120, 624585135, 'US', 'United States'),
(4343, '37.58.105.176', '37.58.105.183', 624585136, 624585143, 'DK', 'Denmark'),
(4344, '37.58.105.184', '37.58.105.191', 624585144, 624585151, 'US', 'United States'),
(4345, '37.58.105.192', '37.58.105.199', 624585152, 624585159, 'DK', 'Denmark'),
(4346, '37.58.105.200', '37.58.105.223', 624585160, 624585183, 'NL', 'Netherlands'),
(4347, '37.58.105.224', '37.58.105.239', 624585184, 624585199, 'US', 'United States'),
(4348, '37.58.105.240', '37.58.105.255', 624585200, 624585215, 'NL', 'Netherlands'),
(4349, '37.58.106.0', '37.58.106.11', 624585216, 624585227, 'PL', 'Poland'),
(4350, '37.58.106.12', '37.58.106.15', 624585228, 624585231, 'CN', 'China'),
(4351, '37.58.106.16', '37.58.106.23', 624585232, 624585239, 'US', 'United States'),
(4352, '37.58.106.24', '37.58.106.31', 624585240, 624585247, 'TR', 'Turkey'),
(4353, '37.58.106.32', '37.58.106.55', 624585248, 624585271, 'CN', 'China'),
(4354, '37.58.106.56', '37.58.106.63', 624585272, 624585279, 'HK', 'Hong Kong'),
(4355, '37.58.106.64', '37.58.106.71', 624585280, 624585287, 'BD', 'Bangladesh'),
(4356, '37.58.106.72', '37.58.106.95', 624585288, 624585311, 'US', 'United States'),
(4357, '37.58.106.96', '37.58.106.103', 624585312, 624585319, 'CA', 'Canada'),
(4358, '37.58.106.104', '37.58.106.107', 624585320, 624585323, 'CN', 'China'),
(4359, '37.58.106.108', '37.58.106.111', 624585324, 624585327, 'TW', 'Taiwan'),
(4360, '37.58.106.112', '37.58.106.119', 624585328, 624585335, 'BR', 'Brazil'),
(4361, '37.58.106.120', '37.58.106.127', 624585336, 624585343, 'GB', 'United Kingdom'),
(4362, '37.58.106.128', '37.58.106.131', 624585344, 624585347, 'IN', 'India'),
(4363, '37.58.106.132', '37.58.106.135', 624585348, 624585351, 'SA', 'Saudi Arabia'),
(4364, '37.58.106.136', '37.58.106.143', 624585352, 624585359, 'RU', 'Russian Federation'),
(4365, '37.58.106.144', '37.58.106.151', 624585360, 624585367, 'BR', 'Brazil'),
(4366, '37.58.106.152', '37.58.106.159', 624585368, 624585375, 'US', 'United States'),
(4367, '37.58.106.160', '37.58.106.191', 624585376, 624585407, 'CN', 'China'),
(4368, '37.58.106.192', '37.58.106.223', 624585408, 624585439, 'NL', 'Netherlands'),
(4369, '37.58.106.224', '37.58.106.235', 624585440, 624585451, 'CN', 'China'),
(4370, '37.58.106.236', '37.58.106.239', 624585452, 624585455, 'NL', 'Netherlands'),
(4371, '37.58.106.240', '37.58.107.15', 624585456, 624585487, 'US', 'United States'),
(4372, '37.58.107.16', '37.58.107.23', 624585488, 624585495, 'NL', 'Netherlands'),
(4373, '37.58.107.24', '37.58.107.31', 624585496, 624585503, 'US', 'United States'),
(4374, '37.58.107.32', '37.58.107.39', 624585504, 624585511, 'TR', 'Turkey'),
(4375, '37.58.107.40', '37.58.107.47', 624585512, 624585519, 'BR', 'Brazil'),
(4376, '37.58.107.48', '37.58.107.63', 624585520, 624585535, 'US', 'United States'),
(4377, '37.58.107.64', '37.58.107.71', 624585536, 624585543, 'DK', 'Denmark'),
(4378, '37.58.107.72', '37.58.107.87', 624585544, 624585559, 'US', 'United States'),
(4379, '37.58.107.88', '37.58.107.95', 624585560, 624585567, 'GB', 'United Kingdom'),
(4380, '37.58.107.96', '37.58.107.103', 624585568, 624585575, 'US', 'United States'),
(4381, '37.58.107.104', '37.58.107.111', 624585576, 624585583, 'AU', 'Australia'),
(4382, '37.58.107.112', '37.58.107.135', 624585584, 624585607, 'US', 'United States'),
(4383, '37.58.107.136', '37.58.107.143', 624585608, 624585615, 'SG', 'Singapore'),
(4384, '37.58.107.144', '37.58.107.151', 624585616, 624585623, 'HK', 'Hong Kong'),
(4385, '37.58.107.152', '37.58.107.159', 624585624, 624585631, 'GB', 'United Kingdom'),
(4386, '37.58.107.160', '37.58.107.191', 624585632, 624585663, 'TR', 'Turkey'),
(4387, '37.58.107.192', '37.58.107.199', 624585664, 624585671, 'DK', 'Denmark'),
(4388, '37.58.107.200', '37.58.107.207', 624585672, 624585679, 'KW', 'Kuwait'),
(4389, '37.58.107.208', '37.58.107.223', 624585680, 624585695, 'US', 'United States'),
(4390, '37.58.107.224', '37.58.107.239', 624585696, 624585711, 'TR', 'Turkey'),
(4391, '37.58.107.240', '37.58.107.247', 624585712, 624585719, 'US', 'United States'),
(4392, '37.58.107.248', '37.58.107.251', 624585720, 624585723, 'TR', 'Turkey'),
(4393, '37.58.107.252', '37.58.107.255', 624585724, 624585727, 'US', 'United States'),
(4394, '37.58.108.0', '37.58.108.7', 624585728, 624585735, 'PL', 'Poland'),
(4395, '37.58.108.8', '37.58.108.15', 624585736, 624585743, 'IL', 'Israel'),
(4396, '37.58.108.16', '37.58.108.23', 624585744, 624585751, 'SK', 'Slovakia'),
(4397, '37.58.108.24', '37.58.108.47', 624585752, 624585775, 'US', 'United States'),
(4398, '37.58.108.48', '37.58.108.51', 624585776, 624585779, 'PL', 'Poland'),
(4399, '37.58.108.52', '37.58.108.55', 624585780, 624585783, 'US', 'United States'),
(4400, '37.58.108.56', '37.58.108.63', 624585784, 624585791, 'IN', 'India'),
(4401, '37.58.108.64', '37.58.108.79', 624585792, 624585807, 'GB', 'United Kingdom'),
(4402, '37.58.108.80', '37.58.108.87', 624585808, 624585815, 'AE', 'United Arab Emirates'),
(4403, '37.58.108.88', '37.58.108.95', 624585816, 624585823, 'AU', 'Australia'),
(4404, '37.58.108.96', '37.58.108.119', 624585824, 624585847, 'US', 'United States'),
(4405, '37.58.108.120', '37.58.108.127', 624585848, 624585855, 'RU', 'Russian Federation'),
(4406, '37.58.108.128', '37.58.108.255', 624585856, 624585983, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(4407, '37.58.109.0', '37.58.109.31', 624585984, 624586015, 'SA', 'Saudi Arabia'),
(4408, '37.58.109.32', '37.58.109.47', 624586016, 624586031, 'VG', 'Virgin Islands, British'),
(4409, '37.58.109.48', '37.58.109.63', 624586032, 624586047, 'US', 'United States'),
(4410, '37.58.109.64', '37.58.109.95', 624586048, 624586079, 'DE', 'Germany'),
(4411, '37.58.109.96', '37.58.109.103', 624586080, 624586087, 'TR', 'Turkey'),
(4412, '37.58.109.104', '37.58.109.111', 624586088, 624586095, 'EG', 'Egypt'),
(4413, '37.58.109.112', '37.58.109.119', 624586096, 624586103, 'DE', 'Germany'),
(4414, '37.58.109.120', '37.58.109.127', 624586104, 624586111, 'US', 'United States'),
(4415, '37.58.109.128', '37.58.109.191', 624586112, 624586175, 'GB', 'United Kingdom'),
(4416, '37.58.109.192', '37.58.109.223', 624586176, 624586207, 'US', 'United States'),
(4417, '37.58.109.224', '37.58.109.255', 624586208, 624586239, 'LT', 'Lithuania'),
(4418, '37.58.110.0', '37.58.110.7', 624586240, 624586247, 'US', 'United States'),
(4419, '37.58.110.8', '37.58.110.15', 624586248, 624586255, 'DE', 'Germany'),
(4420, '37.58.110.16', '37.58.110.23', 624586256, 624586263, 'US', 'United States'),
(4421, '37.58.110.24', '37.58.110.25', 624586264, 624586265, 'TR', 'Turkey'),
(4422, '37.58.110.26', '37.58.110.27', 624586266, 624586267, 'GB', 'United Kingdom'),
(4423, '37.58.110.28', '37.58.110.39', 624586268, 624586279, 'US', 'United States'),
(4424, '37.58.110.40', '37.58.110.47', 624586280, 624586287, 'NL', 'Netherlands'),
(4425, '37.58.110.48', '37.58.110.55', 624586288, 624586295, 'CN', 'China'),
(4426, '37.58.110.56', '37.58.110.63', 624586296, 624586303, 'US', 'United States'),
(4427, '37.58.110.64', '37.58.110.71', 624586304, 624586311, 'GB', 'United Kingdom'),
(4428, '37.58.110.72', '37.58.110.79', 624586312, 624586319, 'CA', 'Canada'),
(4429, '37.58.110.80', '37.58.110.95', 624586320, 624586335, 'US', 'United States'),
(4430, '37.58.110.96', '37.58.110.159', 624586336, 624586399, 'TR', 'Turkey'),
(4431, '37.58.110.160', '37.58.110.175', 624586400, 624586415, 'US', 'United States'),
(4432, '37.58.110.176', '37.58.110.183', 624586416, 624586423, 'PK', 'Pakistan'),
(4433, '37.58.110.184', '37.58.110.187', 624586424, 624586427, 'US', 'United States'),
(4434, '37.58.110.188', '37.58.110.191', 624586428, 624586431, 'TR', 'Turkey'),
(4435, '37.58.110.192', '37.58.110.203', 624586432, 624586443, 'CA', 'Canada'),
(4436, '37.58.110.204', '37.58.110.207', 624586444, 624586447, 'HU', 'Hungary'),
(4437, '37.58.110.208', '37.58.110.255', 624586448, 624586495, 'US', 'United States'),
(4438, '37.58.111.0', '37.58.111.15', 624586496, 624586511, 'CA', 'Canada'),
(4439, '37.58.111.16', '37.58.111.95', 624586512, 624586591, 'US', 'United States'),
(4440, '37.58.111.96', '37.58.111.111', 624586592, 624586607, 'IL', 'Israel'),
(4441, '37.58.111.112', '37.58.111.119', 624586608, 624586615, 'TR', 'Turkey'),
(4442, '37.58.111.120', '37.58.111.143', 624586616, 624586639, 'US', 'United States'),
(4443, '37.58.111.144', '37.58.111.159', 624586640, 624586655, 'NL', 'Netherlands'),
(4444, '37.58.111.160', '37.58.111.175', 624586656, 624586671, 'DE', 'Germany'),
(4445, '37.58.111.176', '37.58.111.191', 624586672, 624586687, 'NL', 'Netherlands'),
(4446, '37.58.111.192', '37.58.111.223', 624586688, 624586719, 'TR', 'Turkey'),
(4447, '37.58.111.224', '37.58.111.231', 624586720, 624586727, 'US', 'United States'),
(4448, '37.58.111.232', '37.58.111.239', 624586728, 624586735, 'IL', 'Israel'),
(4449, '37.58.111.240', '37.58.111.255', 624586736, 624586751, 'US', 'United States'),
(4450, '37.58.112.0', '37.58.112.7', 624586752, 624586759, 'ZA', 'South Africa'),
(4451, '37.58.112.8', '37.58.112.15', 624586760, 624586767, 'US', 'United States'),
(4452, '37.58.112.16', '37.58.112.31', 624586768, 624586783, 'GB', 'United Kingdom'),
(4453, '37.58.112.32', '37.58.112.43', 624586784, 624586795, 'US', 'United States'),
(4454, '37.58.112.44', '37.58.112.47', 624586796, 624586799, 'NL', 'Netherlands'),
(4455, '37.58.112.48', '37.58.112.63', 624586800, 624586815, 'US', 'United States'),
(4456, '37.58.112.64', '37.58.112.71', 624586816, 624586823, 'GB', 'United Kingdom'),
(4457, '37.58.112.72', '37.58.112.79', 624586824, 624586831, 'CN', 'China'),
(4458, '37.58.112.80', '37.58.112.95', 624586832, 624586847, 'NL', 'Netherlands'),
(4459, '37.58.112.96', '37.58.112.143', 624586848, 624586895, 'SA', 'Saudi Arabia'),
(4460, '37.58.112.144', '37.58.112.151', 624586896, 624586903, 'ZA', 'South Africa'),
(4461, '37.58.112.152', '37.58.112.167', 624586904, 624586919, 'US', 'United States'),
(4462, '37.58.112.168', '37.58.112.175', 624586920, 624586927, 'TR', 'Turkey'),
(4463, '37.58.112.176', '37.58.112.223', 624586928, 624586975, 'US', 'United States'),
(4464, '37.58.112.224', '37.58.112.231', 624586976, 624586983, 'TR', 'Turkey'),
(4465, '37.58.112.232', '37.58.113.31', 624586984, 624587039, 'US', 'United States'),
(4466, '37.58.113.32', '37.58.113.95', 624587040, 624587103, 'NL', 'Netherlands'),
(4467, '37.58.113.96', '37.58.113.127', 624587104, 624587135, 'US', 'United States'),
(4468, '37.58.113.128', '37.58.113.143', 624587136, 624587151, 'NL', 'Netherlands'),
(4469, '37.58.113.144', '37.58.113.151', 624587152, 624587159, 'AU', 'Australia'),
(4470, '37.58.113.152', '37.58.113.159', 624587160, 624587167, 'PL', 'Poland'),
(4471, '37.58.113.160', '37.58.113.255', 624587168, 624587263, 'US', 'United States'),
(4472, '37.58.114.0', '37.58.114.31', 624587264, 624587295, 'DK', 'Denmark'),
(4473, '37.58.114.32', '37.58.114.95', 624587296, 624587359, 'US', 'United States'),
(4474, '37.58.114.96', '37.58.114.127', 624587360, 624587391, 'TR', 'Turkey'),
(4475, '37.58.114.128', '37.58.114.191', 624587392, 624587455, 'PA', 'Panama'),
(4476, '37.58.114.192', '37.58.114.199', 624587456, 624587463, 'PT', 'Portugal'),
(4477, '37.58.114.200', '37.58.114.223', 624587464, 624587487, 'US', 'United States'),
(4478, '37.58.114.224', '37.58.114.255', 624587488, 624587519, 'SA', 'Saudi Arabia'),
(4479, '37.58.115.0', '37.58.115.103', 624587520, 624587623, 'US', 'United States'),
(4480, '37.58.115.104', '37.58.115.111', 624587624, 624587631, 'GB', 'United Kingdom'),
(4481, '37.58.115.112', '37.58.115.119', 624587632, 624587639, 'SA', 'Saudi Arabia'),
(4482, '37.58.115.120', '37.58.115.127', 624587640, 624587647, 'US', 'United States'),
(4483, '37.58.115.128', '37.58.115.175', 624587648, 624587695, 'NL', 'Netherlands'),
(4484, '37.58.115.176', '37.58.115.207', 624587696, 624587727, 'US', 'United States'),
(4485, '37.58.115.208', '37.58.115.223', 624587728, 624587743, 'NL', 'Netherlands'),
(4486, '37.58.115.224', '37.58.115.231', 624587744, 624587751, 'US', 'United States'),
(4487, '37.58.115.232', '37.58.115.239', 624587752, 624587759, 'NL', 'Netherlands'),
(4488, '37.58.115.240', '37.58.115.255', 624587760, 624587775, 'US', 'United States'),
(4489, '37.58.116.0', '37.58.116.7', 624587776, 624587783, 'EG', 'Egypt'),
(4490, '37.58.116.8', '37.58.116.15', 624587784, 624587791, 'IN', 'India'),
(4491, '37.58.116.16', '37.58.116.31', 624587792, 624587807, 'US', 'United States'),
(4492, '37.58.116.32', '37.58.116.39', 624587808, 624587815, 'PH', 'Philippines'),
(4493, '37.58.116.40', '37.58.116.47', 624587816, 624587823, 'NL', 'Netherlands'),
(4494, '37.58.116.48', '37.58.116.55', 624587824, 624587831, 'US', 'United States'),
(4495, '37.58.116.56', '37.58.116.63', 624587832, 624587839, 'NL', 'Netherlands'),
(4496, '37.58.116.64', '37.58.116.71', 624587840, 624587847, 'CN', 'China'),
(4497, '37.58.116.72', '37.58.116.103', 624587848, 624587879, 'US', 'United States'),
(4498, '37.58.116.104', '37.58.116.111', 624587880, 624587887, 'SA', 'Saudi Arabia'),
(4499, '37.58.116.112', '37.58.116.115', 624587888, 624587891, 'GB', 'United Kingdom'),
(4500, '37.58.116.116', '37.58.116.119', 624587892, 624587895, 'EG', 'Egypt'),
(4501, '37.58.116.120', '37.58.116.159', 624587896, 624587935, 'US', 'United States'),
(4502, '37.58.116.160', '37.58.116.167', 624587936, 624587943, 'GB', 'United Kingdom'),
(4503, '37.58.116.168', '37.58.116.171', 624587944, 624587947, 'SA', 'Saudi Arabia'),
(4504, '37.58.116.172', '37.58.116.175', 624587948, 624587951, 'IT', 'Italy'),
(4505, '37.58.116.176', '37.58.116.183', 624587952, 624587959, 'NL', 'Netherlands'),
(4506, '37.58.116.184', '37.58.116.191', 624587960, 624587967, 'US', 'United States'),
(4507, '37.58.116.192', '37.58.116.195', 624587968, 624587971, 'IT', 'Italy'),
(4508, '37.58.116.196', '37.58.116.199', 624587972, 624587975, 'IL', 'Israel'),
(4509, '37.58.116.200', '37.58.116.207', 624587976, 624587983, 'DK', 'Denmark'),
(4510, '37.58.116.208', '37.58.116.223', 624587984, 624587999, 'US', 'United States'),
(4511, '37.58.116.224', '37.58.116.231', 624588000, 624588007, 'GB', 'United Kingdom'),
(4512, '37.58.116.232', '37.58.116.239', 624588008, 624588015, 'DK', 'Denmark'),
(4513, '37.58.116.240', '37.58.116.247', 624588016, 624588023, 'NL', 'Netherlands'),
(4514, '37.58.116.248', '37.58.116.255', 624588024, 624588031, 'AE', 'United Arab Emirates'),
(4515, '37.58.117.0', '37.58.117.239', 624588032, 624588271, 'NL', 'Netherlands'),
(4516, '37.58.117.240', '37.58.117.255', 624588272, 624588287, 'US', 'United States'),
(4517, '37.58.118.0', '37.58.118.31', 624588288, 624588319, 'NL', 'Netherlands'),
(4518, '37.58.118.32', '37.58.118.39', 624588320, 624588327, 'PK', 'Pakistan'),
(4519, '37.58.118.40', '37.58.118.47', 624588328, 624588335, 'RO', 'Romania'),
(4520, '37.58.118.48', '37.58.118.103', 624588336, 624588391, 'NL', 'Netherlands'),
(4521, '37.58.118.104', '37.58.118.127', 624588392, 624588415, 'US', 'United States'),
(4522, '37.58.118.128', '37.58.118.175', 624588416, 624588463, 'NL', 'Netherlands'),
(4523, '37.58.118.176', '37.58.118.191', 624588464, 624588479, 'US', 'United States'),
(4524, '37.58.118.192', '37.58.118.239', 624588480, 624588527, 'NL', 'Netherlands'),
(4525, '37.58.118.240', '37.58.118.255', 624588528, 624588543, 'US', 'United States'),
(4526, '37.58.119.0', '37.58.119.7', 624588544, 624588551, 'NL', 'Netherlands'),
(4527, '37.58.119.8', '37.58.119.15', 624588552, 624588559, 'US', 'United States'),
(4528, '37.58.119.16', '37.58.119.23', 624588560, 624588567, 'NL', 'Netherlands'),
(4529, '37.58.119.24', '37.58.119.31', 624588568, 624588575, 'ES', 'Spain'),
(4530, '37.58.119.32', '37.58.119.39', 624588576, 624588583, 'NL', 'Netherlands'),
(4531, '37.58.119.40', '37.58.119.43', 624588584, 624588587, 'ES', 'Spain'),
(4532, '37.58.119.44', '37.58.119.47', 624588588, 624588591, 'MA', 'Morocco'),
(4533, '37.58.119.48', '37.58.119.55', 624588592, 624588599, 'BE', 'Belgium'),
(4534, '37.58.119.56', '37.58.119.63', 624588600, 624588607, 'AE', 'United Arab Emirates'),
(4535, '37.58.119.64', '37.58.119.79', 624588608, 624588623, 'US', 'United States'),
(4536, '37.58.119.80', '37.58.119.87', 624588624, 624588631, 'GB', 'United Kingdom'),
(4537, '37.58.119.88', '37.58.119.95', 624588632, 624588639, 'AE', 'United Arab Emirates'),
(4538, '37.58.119.96', '37.58.119.99', 624588640, 624588643, 'IT', 'Italy'),
(4539, '37.58.119.100', '37.58.119.103', 624588644, 624588647, 'TR', 'Turkey'),
(4540, '37.58.119.104', '37.58.119.111', 624588648, 624588655, 'GB', 'United Kingdom'),
(4541, '37.58.119.112', '37.58.119.127', 624588656, 624588671, 'DK', 'Denmark'),
(4542, '37.58.119.128', '37.58.119.159', 624588672, 624588703, 'CN', 'China'),
(4543, '37.58.119.160', '37.58.119.167', 624588704, 624588711, 'TW', 'Taiwan'),
(4544, '37.58.119.168', '37.58.119.175', 624588712, 624588719, 'UG', 'Uganda'),
(4545, '37.58.119.176', '37.58.119.183', 624588720, 624588727, 'SA', 'Saudi Arabia'),
(4546, '37.58.119.184', '37.58.119.191', 624588728, 624588735, 'US', 'United States'),
(4547, '37.58.119.192', '37.58.119.199', 624588736, 624588743, 'IN', 'India'),
(4548, '37.58.119.200', '37.58.119.207', 624588744, 624588751, 'RO', 'Romania'),
(4549, '37.58.119.208', '37.58.119.215', 624588752, 624588759, 'US', 'United States'),
(4550, '37.58.119.216', '37.58.119.223', 624588760, 624588767, 'NL', 'Netherlands'),
(4551, '37.58.119.224', '37.58.119.231', 624588768, 624588775, 'BA', 'Bosnia and Herzegovina'),
(4552, '37.58.119.232', '37.58.119.239', 624588776, 624588783, 'CA', 'Canada'),
(4553, '37.58.119.240', '37.58.119.247', 624588784, 624588791, 'US', 'United States'),
(4554, '37.58.119.248', '37.58.119.255', 624588792, 624588799, 'TR', 'Turkey'),
(4555, '37.58.120.0', '37.58.120.87', 624588800, 624588887, 'US', 'United States'),
(4556, '37.58.120.88', '37.58.120.91', 624588888, 624588891, 'GB', 'United Kingdom'),
(4557, '37.58.120.92', '37.58.120.95', 624588892, 624588895, 'NL', 'Netherlands'),
(4558, '37.58.120.96', '37.58.120.127', 624588896, 624588927, 'US', 'United States'),
(4559, '37.58.120.128', '37.58.120.175', 624588928, 624588975, 'NL', 'Netherlands'),
(4560, '37.58.120.176', '37.58.120.183', 624588976, 624588983, 'GB', 'United Kingdom'),
(4561, '37.58.120.184', '37.58.120.191', 624588984, 624588991, 'US', 'United States'),
(4562, '37.58.120.192', '37.58.120.207', 624588992, 624589007, 'NL', 'Netherlands'),
(4563, '37.58.120.208', '37.58.120.255', 624589008, 624589055, 'US', 'United States'),
(4564, '37.58.121.0', '37.58.121.7', 624589056, 624589063, 'EG', 'Egypt'),
(4565, '37.58.121.8', '37.58.121.39', 624589064, 624589095, 'US', 'United States'),
(4566, '37.58.121.40', '37.58.121.47', 624589096, 624589103, 'IE', 'Ireland'),
(4567, '37.58.121.48', '37.58.121.63', 624589104, 624589119, 'US', 'United States'),
(4568, '37.58.121.64', '37.58.121.71', 624589120, 624589127, 'IT', 'Italy'),
(4569, '37.58.121.72', '37.58.121.79', 624589128, 624589135, 'NL', 'Netherlands'),
(4570, '37.58.121.80', '37.58.121.87', 624589136, 624589143, 'TR', 'Turkey'),
(4571, '37.58.121.88', '37.58.121.103', 624589144, 624589159, 'US', 'United States'),
(4572, '37.58.121.104', '37.58.121.111', 624589160, 624589167, 'SE', 'Sweden'),
(4573, '37.58.121.112', '37.58.121.127', 624589168, 624589183, 'US', 'United States'),
(4574, '37.58.121.128', '37.58.121.135', 624589184, 624589191, 'CN', 'China'),
(4575, '37.58.121.136', '37.58.121.143', 624589192, 624589199, 'UA', 'Ukraine'),
(4576, '37.58.121.144', '37.58.121.151', 624589200, 624589207, 'GB', 'United Kingdom'),
(4577, '37.58.121.152', '37.58.121.155', 624589208, 624589211, 'DE', 'Germany'),
(4578, '37.58.121.156', '37.58.121.159', 624589212, 624589215, 'TR', 'Turkey'),
(4579, '37.58.121.160', '37.58.121.167', 624589216, 624589223, 'KW', 'Kuwait'),
(4580, '37.58.121.168', '37.58.121.175', 624589224, 624589231, 'GB', 'United Kingdom'),
(4581, '37.58.121.176', '37.58.121.191', 624589232, 624589247, 'US', 'United States'),
(4582, '37.58.121.192', '37.58.121.207', 624589248, 624589263, 'IL', 'Israel'),
(4583, '37.58.121.208', '37.58.121.223', 624589264, 624589279, 'US', 'United States'),
(4584, '37.58.121.224', '37.58.121.231', 624589280, 624589287, 'CY', 'Cyprus'),
(4585, '37.58.121.232', '37.58.121.239', 624589288, 624589295, 'GB', 'United Kingdom'),
(4586, '37.58.121.240', '37.58.121.255', 624589296, 624589311, 'US', 'United States'),
(4587, '37.58.122.0', '37.58.122.31', 624589312, 624589343, 'TR', 'Turkey'),
(4588, '37.58.122.32', '37.58.122.95', 624589344, 624589407, 'EG', 'Egypt'),
(4589, '37.58.122.96', '37.58.122.111', 624589408, 624589423, 'NL', 'Netherlands'),
(4590, '37.58.122.112', '37.58.122.127', 624589424, 624589439, 'US', 'United States'),
(4591, '37.58.122.128', '37.58.122.159', 624589440, 624589471, 'CA', 'Canada'),
(4592, '37.58.122.160', '37.58.122.191', 624589472, 624589503, 'TR', 'Turkey'),
(4593, '37.58.122.192', '37.58.122.207', 624589504, 624589519, 'US', 'United States'),
(4594, '37.58.122.208', '37.58.123.3', 624589520, 624589571, 'NL', 'Netherlands'),
(4595, '37.58.123.4', '37.58.123.7', 624589572, 624589575, 'TR', 'Turkey'),
(4596, '37.58.123.8', '37.58.123.135', 624589576, 624589703, 'NL', 'Netherlands'),
(4597, '37.58.123.136', '37.58.123.139', 624589704, 624589707, 'PL', 'Poland'),
(4598, '37.58.123.140', '37.58.123.143', 624589708, 624589711, 'SA', 'Saudi Arabia'),
(4599, '37.58.123.144', '37.58.123.191', 624589712, 624589759, 'NL', 'Netherlands'),
(4600, '37.58.123.192', '37.58.123.199', 624589760, 624589767, 'EG', 'Egypt'),
(4601, '37.58.123.200', '37.58.123.255', 624589768, 624589823, 'NL', 'Netherlands'),
(4602, '37.58.124.0', '37.58.124.255', 624589824, 624590079, 'US', 'United States'),
(4603, '37.58.125.0', '37.58.125.7', 624590080, 624590087, 'IT', 'Italy'),
(4604, '37.58.125.8', '37.58.125.39', 624590088, 624590119, 'US', 'United States'),
(4605, '37.58.125.40', '37.58.125.47', 624590120, 624590127, 'GR', 'Greece'),
(4606, '37.58.125.48', '37.58.125.71', 624590128, 624590151, 'US', 'United States'),
(4607, '37.58.125.72', '37.58.125.79', 624590152, 624590159, 'BG', 'Bulgaria'),
(4608, '37.58.125.80', '37.58.125.87', 624590160, 624590167, 'GB', 'United Kingdom'),
(4609, '37.58.125.88', '37.58.125.95', 624590168, 624590175, 'MX', 'Mexico'),
(4610, '37.58.125.96', '37.58.125.103', 624590176, 624590183, 'US', 'United States'),
(4611, '37.58.125.104', '37.58.125.111', 624590184, 624590191, 'EG', 'Egypt'),
(4612, '37.58.125.112', '37.58.125.119', 624590192, 624590199, 'IN', 'India'),
(4613, '37.58.125.120', '37.58.125.123', 624590200, 624590203, 'US', 'United States'),
(4614, '37.58.125.124', '37.58.125.127', 624590204, 624590207, 'IL', 'Israel'),
(4615, '37.58.125.128', '37.58.125.159', 624590208, 624590239, 'LT', 'Lithuania'),
(4616, '37.58.125.160', '37.58.125.167', 624590240, 624590247, 'AZ', 'Azerbaijan'),
(4617, '37.58.125.168', '37.58.125.175', 624590248, 624590255, 'IL', 'Israel'),
(4618, '37.58.125.176', '37.58.125.223', 624590256, 624590303, 'US', 'United States'),
(4619, '37.58.125.224', '37.58.125.231', 624590304, 624590311, 'GB', 'United Kingdom'),
(4620, '37.58.125.232', '37.58.125.239', 624590312, 624590319, 'BZ', 'Belize'),
(4621, '37.58.125.240', '37.58.125.247', 624590320, 624590327, 'RU', 'Russian Federation'),
(4622, '37.58.125.248', '37.58.125.255', 624590328, 624590335, 'CA', 'Canada'),
(4623, '37.58.126.0', '37.58.126.15', 624590336, 624590351, 'US', 'United States'),
(4624, '37.58.126.16', '37.58.126.23', 624590352, 624590359, 'GB', 'United Kingdom'),
(4625, '37.58.126.24', '37.58.126.27', 624590360, 624590363, 'UG', 'Uganda'),
(4626, '37.58.126.28', '37.58.126.31', 624590364, 624590367, 'ES', 'Spain'),
(4627, '37.58.126.32', '37.58.126.39', 624590368, 624590375, 'AT', 'Austria'),
(4628, '37.58.126.40', '37.58.126.47', 624590376, 624590383, 'US', 'United States'),
(4629, '37.58.126.48', '37.58.126.63', 624590384, 624590399, 'NL', 'Netherlands'),
(4630, '37.58.126.64', '37.58.126.71', 624590400, 624590407, 'IN', 'India'),
(4631, '37.58.126.72', '37.58.126.79', 624590408, 624590415, 'CN', 'China'),
(4632, '37.58.126.80', '37.58.126.95', 624590416, 624590431, 'HR', 'Croatia'),
(4633, '37.58.126.96', '37.58.126.127', 624590432, 624590463, 'AF', 'Afghanistan'),
(4634, '37.58.126.128', '37.58.126.135', 624590464, 624590471, 'CN', 'China'),
(4635, '37.58.126.136', '37.58.126.139', 624590472, 624590475, 'TR', 'Turkey'),
(4636, '37.58.126.140', '37.58.126.143', 624590476, 624590479, 'US', 'United States'),
(4637, '37.58.126.144', '37.58.126.151', 624590480, 624590487, 'BD', 'Bangladesh'),
(4638, '37.58.126.152', '37.58.126.159', 624590488, 624590495, 'IE', 'Ireland'),
(4639, '37.58.126.160', '37.58.126.167', 624590496, 624590503, 'US', 'United States'),
(4640, '37.58.126.168', '37.58.126.175', 624590504, 624590511, 'FR', 'France'),
(4641, '37.58.126.176', '37.58.126.183', 624590512, 624590519, 'AU', 'Australia'),
(4642, '37.58.126.184', '37.58.126.191', 624590520, 624590527, 'US', 'United States'),
(4643, '37.58.126.192', '37.58.126.207', 624590528, 624590543, 'MA', 'Morocco'),
(4644, '37.58.126.208', '37.58.126.215', 624590544, 624590551, 'AT', 'Austria'),
(4645, '37.58.126.216', '37.58.126.223', 624590552, 624590559, 'ES', 'Spain'),
(4646, '37.58.126.224', '37.58.126.231', 624590560, 624590567, 'US', 'United States'),
(4647, '37.58.126.232', '37.58.126.239', 624590568, 624590575, 'EG', 'Egypt'),
(4648, '37.58.126.240', '37.58.126.247', 624590576, 624590583, 'CA', 'Canada'),
(4649, '37.58.126.248', '37.58.126.255', 624590584, 624590591, 'GB', 'United Kingdom'),
(4650, '37.58.127.0', '37.58.127.31', 624590592, 624590623, 'US', 'United States'),
(4651, '37.58.127.32', '37.58.127.63', 624590624, 624590655, 'GB', 'United Kingdom'),
(4652, '37.58.127.64', '37.58.127.111', 624590656, 624590703, 'NL', 'Netherlands'),
(4653, '37.58.127.112', '37.58.127.159', 624590704, 624590751, 'US', 'United States'),
(4654, '37.58.127.160', '37.58.127.167', 624590752, 624590759, 'CN', 'China'),
(4655, '37.58.127.168', '37.58.127.175', 624590760, 624590767, 'US', 'United States'),
(4656, '37.58.127.176', '37.58.127.183', 624590768, 624590775, 'TR', 'Turkey'),
(4657, '37.58.127.184', '37.58.127.191', 624590776, 624590783, 'US', 'United States'),
(4658, '37.58.127.192', '37.58.127.223', 624590784, 624590815, 'TR', 'Turkey'),
(4659, '37.58.127.224', '37.58.127.231', 624590816, 624590823, 'US', 'United States'),
(4660, '37.58.127.232', '37.58.127.239', 624590824, 624590831, 'BR', 'Brazil'),
(4661, '37.58.127.240', '37.58.127.251', 624590832, 624590843, 'US', 'United States'),
(4662, '37.58.127.252', '37.58.127.255', 624590844, 624590847, 'NL', 'Netherlands'),
(4663, '37.58.128.0', '37.59.63.255', 624590848, 624639999, 'FR', 'France'),
(4664, '37.59.64.0', '37.59.64.3', 624640000, 624640003, 'DE', 'Germany'),
(4665, '37.59.64.4', '37.59.64.7', 624640004, 624640007, 'GB', 'United Kingdom'),
(4666, '37.59.64.8', '37.59.64.63', 624640008, 624640063, 'FR', 'France'),
(4667, '37.59.64.64', '37.59.64.67', 624640064, 624640067, 'PT', 'Portugal'),
(4668, '37.59.64.68', '37.59.64.87', 624640068, 624640087, 'FR', 'France'),
(4669, '37.59.64.88', '37.59.64.91', 624640088, 624640091, 'GB', 'United Kingdom'),
(4670, '37.59.64.92', '37.59.64.95', 624640092, 624640095, 'PL', 'Poland'),
(4671, '37.59.64.96', '37.59.64.111', 624640096, 624640111, 'NL', 'Netherlands'),
(4672, '37.59.64.112', '37.59.64.115', 624640112, 624640115, 'DE', 'Germany'),
(4673, '37.59.64.116', '37.59.64.119', 624640116, 624640119, 'IT', 'Italy'),
(4674, '37.59.64.120', '37.59.64.127', 624640120, 624640127, 'DE', 'Germany'),
(4675, '37.59.64.128', '37.59.64.135', 624640128, 624640135, 'PT', 'Portugal'),
(4676, '37.59.64.136', '37.59.64.139', 624640136, 624640139, 'GB', 'United Kingdom'),
(4677, '37.59.64.140', '37.59.64.143', 624640140, 624640143, 'FI', 'Finland'),
(4678, '37.59.64.144', '37.59.64.147', 624640144, 624640147, 'NL', 'Netherlands'),
(4679, '37.59.64.148', '37.59.64.159', 624640148, 624640159, 'DE', 'Germany'),
(4680, '37.59.64.160', '37.59.64.175', 624640160, 624640175, 'BE', 'Belgium'),
(4681, '37.59.64.176', '37.59.64.183', 624640176, 624640183, 'GB', 'United Kingdom'),
(4682, '37.59.64.184', '37.59.64.187', 624640184, 624640187, 'ES', 'Spain'),
(4683, '37.59.64.188', '37.59.64.191', 624640188, 624640191, 'GB', 'United Kingdom'),
(4684, '37.59.64.192', '37.59.64.239', 624640192, 624640239, 'FR', 'France'),
(4685, '37.59.64.240', '37.59.64.243', 624640240, 624640243, 'CZ', 'Czech Republic'),
(4686, '37.59.64.244', '37.59.64.247', 624640244, 624640247, 'NL', 'Netherlands'),
(4687, '37.59.64.248', '37.59.64.255', 624640248, 624640255, 'FR', 'France'),
(4688, '37.59.65.0', '37.59.65.3', 624640256, 624640259, 'GB', 'United Kingdom'),
(4689, '37.59.65.4', '37.59.65.7', 624640260, 624640263, 'DE', 'Germany'),
(4690, '37.59.65.8', '37.59.65.19', 624640264, 624640275, 'PL', 'Poland'),
(4691, '37.59.65.20', '37.59.65.27', 624640276, 624640283, 'GB', 'United Kingdom'),
(4692, '37.59.65.28', '37.59.65.31', 624640284, 624640287, 'PL', 'Poland'),
(4693, '37.59.65.32', '37.59.65.35', 624640288, 624640291, 'ES', 'Spain'),
(4694, '37.59.65.36', '37.59.65.39', 624640292, 624640295, 'PL', 'Poland'),
(4695, '37.59.65.40', '37.59.65.63', 624640296, 624640319, 'FR', 'France'),
(4696, '37.59.65.64', '37.59.65.95', 624640320, 624640351, 'GB', 'United Kingdom'),
(4697, '37.59.65.96', '37.59.66.103', 624640352, 624640615, 'FR', 'France'),
(4698, '37.59.66.104', '37.59.66.107', 624640616, 624640619, 'IE', 'Ireland'),
(4699, '37.59.66.108', '37.59.66.111', 624640620, 624640623, 'PT', 'Portugal'),
(4700, '37.59.66.112', '37.59.66.127', 624640624, 624640639, 'FR', 'France'),
(4701, '37.59.66.128', '37.59.66.191', 624640640, 624640703, 'BE', 'Belgium'),
(4702, '37.59.66.192', '37.59.66.215', 624640704, 624640727, 'FR', 'France'),
(4703, '37.59.66.216', '37.59.66.223', 624640728, 624640735, 'IT', 'Italy'),
(4704, '37.59.66.224', '37.59.66.243', 624640736, 624640755, 'GB', 'United Kingdom'),
(4705, '37.59.66.244', '37.59.66.247', 624640756, 624640759, 'PL', 'Poland'),
(4706, '37.59.66.248', '37.59.66.251', 624640760, 624640763, 'FR', 'France'),
(4707, '37.59.66.252', '37.59.66.255', 624640764, 624640767, 'NL', 'Netherlands'),
(4708, '37.59.67.0', '37.59.67.7', 624640768, 624640775, 'IT', 'Italy'),
(4709, '37.59.67.8', '37.59.67.11', 624640776, 624640779, 'LT', 'Lithuania'),
(4710, '37.59.67.12', '37.59.67.15', 624640780, 624640783, 'DE', 'Germany'),
(4711, '37.59.67.16', '37.59.67.19', 624640784, 624640787, 'ES', 'Spain'),
(4712, '37.59.67.20', '37.59.67.23', 624640788, 624640791, 'IT', 'Italy'),
(4713, '37.59.67.24', '37.59.67.31', 624640792, 624640799, 'FR', 'France'),
(4714, '37.59.67.32', '37.59.67.35', 624640800, 624640803, 'CH', 'Switzerland'),
(4715, '37.59.67.36', '37.59.67.39', 624640804, 624640807, 'FR', 'France'),
(4716, '37.59.67.40', '37.59.67.43', 624640808, 624640811, 'DE', 'Germany'),
(4717, '37.59.67.44', '37.59.67.47', 624640812, 624640815, 'GB', 'United Kingdom'),
(4718, '37.59.67.48', '37.59.67.55', 624640816, 624640823, 'FR', 'France'),
(4719, '37.59.67.56', '37.59.67.59', 624640824, 624640827, 'GB', 'United Kingdom'),
(4720, '37.59.67.60', '37.59.67.63', 624640828, 624640831, 'DE', 'Germany'),
(4721, '37.59.67.64', '37.59.67.79', 624640832, 624640847, 'FR', 'France'),
(4722, '37.59.67.80', '37.59.67.83', 624640848, 624640851, 'ES', 'Spain'),
(4723, '37.59.67.84', '37.59.67.87', 624640852, 624640855, 'PT', 'Portugal'),
(4724, '37.59.67.88', '37.59.67.95', 624640856, 624640863, 'DE', 'Germany'),
(4725, '37.59.67.96', '37.59.67.163', 624640864, 624640931, 'FR', 'France'),
(4726, '37.59.67.164', '37.59.67.167', 624640932, 624640935, 'ES', 'Spain'),
(4727, '37.59.67.168', '37.59.67.171', 624640936, 624640939, 'PL', 'Poland'),
(4728, '37.59.67.172', '37.59.67.175', 624640940, 624640943, 'DE', 'Germany'),
(4729, '37.59.67.176', '37.59.67.183', 624640944, 624640951, 'FR', 'France'),
(4730, '37.59.67.184', '37.59.67.191', 624640952, 624640959, 'PT', 'Portugal'),
(4731, '37.59.67.192', '37.59.67.207', 624640960, 624640975, 'FR', 'France'),
(4732, '37.59.67.208', '37.59.67.223', 624640976, 624640991, 'ES', 'Spain'),
(4733, '37.59.67.224', '37.59.67.231', 624640992, 624640999, 'GB', 'United Kingdom'),
(4734, '37.59.67.232', '37.59.67.239', 624641000, 624641007, 'FR', 'France'),
(4735, '37.59.67.240', '37.59.67.255', 624641008, 624641023, 'IT', 'Italy'),
(4736, '37.59.68.0', '37.59.68.31', 624641024, 624641055, 'GB', 'United Kingdom'),
(4737, '37.59.68.32', '37.59.68.39', 624641056, 624641063, 'FR', 'France'),
(4738, '37.59.68.40', '37.59.68.43', 624641064, 624641067, 'NL', 'Netherlands'),
(4739, '37.59.68.44', '37.59.68.47', 624641068, 624641071, 'PL', 'Poland'),
(4740, '37.59.68.48', '37.59.68.63', 624641072, 624641087, 'FR', 'France'),
(4741, '37.59.68.64', '37.59.68.67', 624641088, 624641091, 'NL', 'Netherlands'),
(4742, '37.59.68.68', '37.59.68.71', 624641092, 624641095, 'FR', 'France'),
(4743, '37.59.68.72', '37.59.68.75', 624641096, 624641099, 'CH', 'Switzerland'),
(4744, '37.59.68.76', '37.59.68.79', 624641100, 624641103, 'FR', 'France'),
(4745, '37.59.68.80', '37.59.68.83', 624641104, 624641107, 'PL', 'Poland'),
(4746, '37.59.68.84', '37.59.68.95', 624641108, 624641119, 'FR', 'France'),
(4747, '37.59.68.96', '37.59.68.103', 624641120, 624641127, 'CH', 'Switzerland'),
(4748, '37.59.68.104', '37.59.68.107', 624641128, 624641131, 'PL', 'Poland'),
(4749, '37.59.68.108', '37.59.68.111', 624641132, 624641135, 'LT', 'Lithuania'),
(4750, '37.59.68.112', '37.59.68.159', 624641136, 624641183, 'FR', 'France'),
(4751, '37.59.68.160', '37.59.68.163', 624641184, 624641187, 'CZ', 'Czech Republic'),
(4752, '37.59.68.164', '37.59.68.167', 624641188, 624641191, 'ES', 'Spain'),
(4753, '37.59.68.168', '37.59.68.171', 624641192, 624641195, 'PL', 'Poland'),
(4754, '37.59.68.172', '37.59.68.183', 624641196, 624641207, 'FR', 'France'),
(4755, '37.59.68.184', '37.59.68.187', 624641208, 624641211, 'GB', 'United Kingdom'),
(4756, '37.59.68.188', '37.59.68.191', 624641212, 624641215, 'FR', 'France'),
(4757, '37.59.68.192', '37.59.68.199', 624641216, 624641223, 'IE', 'Ireland'),
(4758, '37.59.68.200', '37.59.68.223', 624641224, 624641247, 'GB', 'United Kingdom'),
(4759, '37.59.68.224', '37.59.68.231', 624641248, 624641255, 'IE', 'Ireland'),
(4760, '37.59.68.232', '37.59.68.239', 624641256, 624641263, 'DE', 'Germany'),
(4761, '37.59.68.240', '37.59.69.15', 624641264, 624641295, 'FR', 'France'),
(4762, '37.59.69.16', '37.59.69.19', 624641296, 624641299, 'CZ', 'Czech Republic'),
(4763, '37.59.69.20', '37.59.69.23', 624641300, 624641303, 'LT', 'Lithuania'),
(4764, '37.59.69.24', '37.59.69.31', 624641304, 624641311, 'PT', 'Portugal'),
(4765, '37.59.69.32', '37.59.69.35', 624641312, 624641315, 'FR', 'France'),
(4766, '37.59.69.36', '37.59.69.39', 624641316, 624641319, 'ES', 'Spain'),
(4767, '37.59.69.40', '37.59.69.43', 624641320, 624641323, 'PT', 'Portugal'),
(4768, '37.59.69.44', '37.59.69.47', 624641324, 624641327, 'PL', 'Poland'),
(4769, '37.59.69.48', '37.59.69.71', 624641328, 624641351, 'IE', 'Ireland'),
(4770, '37.59.69.72', '37.59.69.75', 624641352, 624641355, 'FR', 'France'),
(4771, '37.59.69.76', '37.59.69.79', 624641356, 624641359, 'PT', 'Portugal'),
(4772, '37.59.69.80', '37.59.69.87', 624641360, 624641367, 'FR', 'France'),
(4773, '37.59.69.88', '37.59.69.91', 624641368, 624641371, 'BE', 'Belgium'),
(4774, '37.59.69.92', '37.59.69.95', 624641372, 624641375, 'IT', 'Italy'),
(4775, '37.59.69.96', '37.59.69.127', 624641376, 624641407, 'PL', 'Poland'),
(4776, '37.59.69.128', '37.59.69.255', 624641408, 624641535, 'FR', 'France'),
(4777, '37.59.70.0', '37.59.71.191', 624641536, 624641983, 'NL', 'Netherlands'),
(4778, '37.59.71.192', '37.59.71.223', 624641984, 624642015, 'ES', 'Spain'),
(4779, '37.59.71.224', '37.59.71.239', 624642016, 624642031, 'PL', 'Poland'),
(4780, '37.59.71.240', '37.59.71.243', 624642032, 624642035, 'DE', 'Germany'),
(4781, '37.59.71.244', '37.59.71.247', 624642036, 624642039, 'ES', 'Spain'),
(4782, '37.59.71.248', '37.59.71.255', 624642040, 624642047, 'FR', 'France'),
(4783, '37.59.72.0', '37.59.72.7', 624642048, 624642055, 'PL', 'Poland'),
(4784, '37.59.72.8', '37.59.72.15', 624642056, 624642063, 'GB', 'United Kingdom'),
(4785, '37.59.72.16', '37.59.72.47', 624642064, 624642095, 'IE', 'Ireland'),
(4786, '37.59.72.48', '37.59.72.63', 624642096, 624642111, 'PL', 'Poland'),
(4787, '37.59.72.64', '37.59.72.79', 624642112, 624642127, 'CH', 'Switzerland'),
(4788, '37.59.72.80', '37.59.72.87', 624642128, 624642135, 'GB', 'United Kingdom'),
(4789, '37.59.72.88', '37.59.72.91', 624642136, 624642139, 'PL', 'Poland'),
(4790, '37.59.72.92', '37.59.72.95', 624642140, 624642143, 'FR', 'France'),
(4791, '37.59.72.96', '37.59.72.111', 624642144, 624642159, 'CH', 'Switzerland'),
(4792, '37.59.72.112', '37.59.72.127', 624642160, 624642175, 'FR', 'France'),
(4793, '37.59.72.128', '37.59.72.159', 624642176, 624642207, 'NL', 'Netherlands'),
(4794, '37.59.72.160', '37.59.72.175', 624642208, 624642223, 'IT', 'Italy'),
(4795, '37.59.72.176', '37.59.72.183', 624642224, 624642231, 'GB', 'United Kingdom'),
(4796, '37.59.72.184', '37.59.72.203', 624642232, 624642251, 'FR', 'France'),
(4797, '37.59.72.204', '37.59.72.207', 624642252, 624642255, 'BE', 'Belgium'),
(4798, '37.59.72.208', '37.59.72.223', 624642256, 624642271, 'PL', 'Poland'),
(4799, '37.59.72.224', '37.59.72.235', 624642272, 624642283, 'FR', 'France'),
(4800, '37.59.72.236', '37.59.72.239', 624642284, 624642287, 'GB', 'United Kingdom'),
(4801, '37.59.72.240', '37.59.72.243', 624642288, 624642291, 'FR', 'France'),
(4802, '37.59.72.244', '37.59.72.251', 624642292, 624642299, 'PL', 'Poland'),
(4803, '37.59.72.252', '37.59.72.255', 624642300, 624642303, 'ES', 'Spain'),
(4804, '37.59.73.0', '37.59.73.31', 624642304, 624642335, 'PT', 'Portugal'),
(4805, '37.59.73.32', '37.59.73.63', 624642336, 624642367, 'FR', 'France'),
(4806, '37.59.73.64', '37.59.73.71', 624642368, 624642375, 'ES', 'Spain'),
(4807, '37.59.73.72', '37.59.73.75', 624642376, 624642379, 'FR', 'France'),
(4808, '37.59.73.76', '37.59.73.79', 624642380, 624642383, 'GB', 'United Kingdom'),
(4809, '37.59.73.80', '37.59.73.103', 624642384, 624642407, 'FR', 'France'),
(4810, '37.59.73.104', '37.59.73.107', 624642408, 624642411, 'PL', 'Poland'),
(4811, '37.59.73.108', '37.59.73.111', 624642412, 624642415, 'FR', 'France'),
(4812, '37.59.73.112', '37.59.73.119', 624642416, 624642423, 'DE', 'Germany'),
(4813, '37.59.73.120', '37.59.73.127', 624642424, 624642431, 'FR', 'France'),
(4814, '37.59.73.128', '37.59.73.143', 624642432, 624642447, 'BE', 'Belgium'),
(4815, '37.59.73.144', '37.59.73.159', 624642448, 624642463, 'GB', 'United Kingdom'),
(4816, '37.59.73.160', '37.59.73.175', 624642464, 624642479, 'FR', 'France'),
(4817, '37.59.73.176', '37.59.73.179', 624642480, 624642483, 'GB', 'United Kingdom'),
(4818, '37.59.73.180', '37.59.73.183', 624642484, 624642487, 'FR', 'France'),
(4819, '37.59.73.184', '37.59.73.187', 624642488, 624642491, 'CZ', 'Czech Republic'),
(4820, '37.59.73.188', '37.59.73.191', 624642492, 624642495, 'PL', 'Poland'),
(4821, '37.59.73.192', '37.59.73.199', 624642496, 624642503, 'FR', 'France'),
(4822, '37.59.73.200', '37.59.73.203', 624642504, 624642507, 'PT', 'Portugal'),
(4823, '37.59.73.204', '37.59.73.207', 624642508, 624642511, 'ES', 'Spain'),
(4824, '37.59.73.208', '37.59.73.223', 624642512, 624642527, 'FR', 'France'),
(4825, '37.59.73.224', '37.59.73.255', 624642528, 624642559, 'IT', 'Italy'),
(4826, '37.59.74.0', '37.59.74.15', 624642560, 624642575, 'FR', 'France'),
(4827, '37.59.74.16', '37.59.74.31', 624642576, 624642591, 'GB', 'United Kingdom'),
(4828, '37.59.74.32', '37.59.74.63', 624642592, 624642623, 'FR', 'France'),
(4829, '37.59.74.64', '37.59.74.67', 624642624, 624642627, 'IT', 'Italy'),
(4830, '37.59.74.68', '37.59.74.71', 624642628, 624642631, 'DE', 'Germany'),
(4831, '37.59.74.72', '37.59.74.79', 624642632, 624642639, 'IT', 'Italy'),
(4832, '37.59.74.80', '37.59.74.91', 624642640, 624642651, 'PL', 'Poland'),
(4833, '37.59.74.92', '37.59.74.95', 624642652, 624642655, 'IE', 'Ireland'),
(4834, '37.59.74.96', '37.59.74.99', 624642656, 624642659, 'FR', 'France'),
(4835, '37.59.74.100', '37.59.74.103', 624642660, 624642663, 'PL', 'Poland'),
(4836, '37.59.74.104', '37.59.74.111', 624642664, 624642671, 'FI', 'Finland'),
(4837, '37.59.74.112', '37.59.74.119', 624642672, 624642679, 'PL', 'Poland'),
(4838, '37.59.74.120', '37.59.74.123', 624642680, 624642683, 'GB', 'United Kingdom'),
(4839, '37.59.74.124', '37.59.74.127', 624642684, 624642687, 'DE', 'Germany'),
(4840, '37.59.74.128', '37.59.74.131', 624642688, 624642691, 'FR', 'France'),
(4841, '37.59.74.132', '37.59.74.135', 624642692, 624642695, 'ES', 'Spain'),
(4842, '37.59.74.136', '37.59.74.139', 624642696, 624642699, 'FR', 'France'),
(4843, '37.59.74.140', '37.59.74.143', 624642700, 624642703, 'DE', 'Germany'),
(4844, '37.59.74.144', '37.59.74.159', 624642704, 624642719, 'IE', 'Ireland'),
(4845, '37.59.74.160', '37.59.74.163', 624642720, 624642723, 'PL', 'Poland'),
(4846, '37.59.74.164', '37.59.74.167', 624642724, 624642727, 'NL', 'Netherlands'),
(4847, '37.59.74.168', '37.59.74.175', 624642728, 624642735, 'FR', 'France'),
(4848, '37.59.74.176', '37.59.74.179', 624642736, 624642739, 'DE', 'Germany'),
(4849, '37.59.74.180', '37.59.74.183', 624642740, 624642743, 'FR', 'France'),
(4850, '37.59.74.184', '37.59.74.187', 624642744, 624642747, 'FI', 'Finland'),
(4851, '37.59.74.188', '37.59.74.227', 624642748, 624642787, 'FR', 'France'),
(4852, '37.59.74.228', '37.59.74.231', 624642788, 624642791, 'ES', 'Spain'),
(4853, '37.59.74.232', '37.59.74.235', 624642792, 624642795, 'NL', 'Netherlands'),
(4854, '37.59.74.236', '37.59.74.239', 624642796, 624642799, 'CZ', 'Czech Republic'),
(4855, '37.59.74.240', '37.59.74.255', 624642800, 624642815, 'FR', 'France'),
(4856, '37.59.75.0', '37.59.75.15', 624642816, 624642831, 'PT', 'Portugal'),
(4857, '37.59.75.16', '37.59.75.19', 624642832, 624642835, 'FR', 'France'),
(4858, '37.59.75.20', '37.59.75.23', 624642836, 624642839, 'GB', 'United Kingdom'),
(4859, '37.59.75.24', '37.59.75.27', 624642840, 624642843, 'FR', 'France'),
(4860, '37.59.75.28', '37.59.75.39', 624642844, 624642855, 'GB', 'United Kingdom'),
(4861, '37.59.75.40', '37.59.75.43', 624642856, 624642859, 'DE', 'Germany'),
(4862, '37.59.75.44', '37.59.75.47', 624642860, 624642863, 'PL', 'Poland'),
(4863, '37.59.75.48', '37.59.75.63', 624642864, 624642879, 'GB', 'United Kingdom'),
(4864, '37.59.75.64', '37.59.75.71', 624642880, 624642887, 'FR', 'France'),
(4865, '37.59.75.72', '37.59.75.75', 624642888, 624642891, 'LT', 'Lithuania'),
(4866, '37.59.75.76', '37.59.75.79', 624642892, 624642895, 'PL', 'Poland'),
(4867, '37.59.75.80', '37.59.75.127', 624642896, 624642943, 'FR', 'France'),
(4868, '37.59.75.128', '37.59.75.131', 624642944, 624642947, 'IT', 'Italy'),
(4869, '37.59.75.132', '37.59.75.135', 624642948, 624642951, 'ES', 'Spain'),
(4870, '37.59.75.136', '37.59.75.151', 624642952, 624642967, 'FR', 'France'),
(4871, '37.59.75.152', '37.59.75.159', 624642968, 624642975, 'DE', 'Germany'),
(4872, '37.59.75.160', '37.59.75.191', 624642976, 624643007, 'FR', 'France'),
(4873, '37.59.75.192', '37.59.75.195', 624643008, 624643011, 'PL', 'Poland'),
(4874, '37.59.75.196', '37.59.75.199', 624643012, 624643015, 'GB', 'United Kingdom'),
(4875, '37.59.75.200', '37.59.75.203', 624643016, 624643019, 'IE', 'Ireland'),
(4876, '37.59.75.204', '37.59.75.207', 624643020, 624643023, 'FR', 'France'),
(4877, '37.59.75.208', '37.59.75.215', 624643024, 624643031, 'IT', 'Italy'),
(4878, '37.59.75.216', '37.59.75.219', 624643032, 624643035, 'PL', 'Poland'),
(4879, '37.59.75.220', '37.59.75.223', 624643036, 624643039, 'DE', 'Germany'),
(4880, '37.59.75.224', '37.59.75.227', 624643040, 624643043, 'GB', 'United Kingdom'),
(4881, '37.59.75.228', '37.59.75.231', 624643044, 624643047, 'DE', 'Germany'),
(4882, '37.59.75.232', '37.59.75.235', 624643048, 624643051, 'NL', 'Netherlands'),
(4883, '37.59.75.236', '37.59.75.239', 624643052, 624643055, 'PT', 'Portugal'),
(4884, '37.59.75.240', '37.59.75.247', 624643056, 624643063, 'IT', 'Italy'),
(4885, '37.59.75.248', '37.59.75.251', 624643064, 624643067, 'NL', 'Netherlands'),
(4886, '37.59.75.252', '37.59.75.255', 624643068, 624643071, 'PL', 'Poland'),
(4887, '37.59.76.0', '37.59.76.15', 624643072, 624643087, 'FR', 'France'),
(4888, '37.59.76.16', '37.59.76.19', 624643088, 624643091, 'IT', 'Italy'),
(4889, '37.59.76.20', '37.59.76.23', 624643092, 624643095, 'FI', 'Finland'),
(4890, '37.59.76.24', '37.59.76.31', 624643096, 624643103, 'IE', 'Ireland'),
(4891, '37.59.76.32', '37.59.76.35', 624643104, 624643107, 'FR', 'France'),
(4892, '37.59.76.36', '37.59.76.39', 624643108, 624643111, 'GB', 'United Kingdom'),
(4893, '37.59.76.40', '37.59.76.43', 624643112, 624643115, 'FR', 'France'),
(4894, '37.59.76.44', '37.59.76.47', 624643116, 624643119, 'PT', 'Portugal'),
(4895, '37.59.76.48', '37.59.76.111', 624643120, 624643183, 'FR', 'France'),
(4896, '37.59.76.112', '37.59.76.119', 624643184, 624643191, 'ES', 'Spain'),
(4897, '37.59.76.120', '37.59.76.127', 624643192, 624643199, 'FR', 'France'),
(4898, '37.59.76.128', '37.59.76.139', 624643200, 624643211, 'PL', 'Poland'),
(4899, '37.59.76.140', '37.59.76.143', 624643212, 624643215, 'CH', 'Switzerland'),
(4900, '37.59.76.144', '37.59.76.159', 624643216, 624643231, 'FR', 'France'),
(4901, '37.59.76.160', '37.59.76.163', 624643232, 624643235, 'IT', 'Italy'),
(4902, '37.59.76.164', '37.59.76.167', 624643236, 624643239, 'PL', 'Poland'),
(4903, '37.59.76.168', '37.59.76.171', 624643240, 624643243, 'FR', 'France'),
(4904, '37.59.76.172', '37.59.76.175', 624643244, 624643247, 'ES', 'Spain'),
(4905, '37.59.76.176', '37.59.76.183', 624643248, 624643255, 'FR', 'France'),
(4906, '37.59.76.184', '37.59.76.191', 624643256, 624643263, 'PL', 'Poland'),
(4907, '37.59.76.192', '37.59.76.239', 624643264, 624643311, 'FR', 'France'),
(4908, '37.59.76.240', '37.59.76.243', 624643312, 624643315, 'NL', 'Netherlands'),
(4909, '37.59.76.244', '37.59.76.247', 624643316, 624643319, 'IE', 'Ireland'),
(4910, '37.59.76.248', '37.59.76.255', 624643320, 624643327, 'IT', 'Italy'),
(4911, '37.59.77.0', '37.59.77.15', 624643328, 624643343, 'FR', 'France'),
(4912, '37.59.77.16', '37.59.77.19', 624643344, 624643347, 'DE', 'Germany'),
(4913, '37.59.77.20', '37.59.77.31', 624643348, 624643359, 'FR', 'France'),
(4914, '37.59.77.32', '37.59.77.43', 624643360, 624643371, 'LT', 'Lithuania'),
(4915, '37.59.77.44', '37.59.77.47', 624643372, 624643375, 'FR', 'France'),
(4916, '37.59.77.48', '37.59.77.55', 624643376, 624643383, 'ES', 'Spain'),
(4917, '37.59.77.56', '37.59.77.63', 624643384, 624643391, 'FR', 'France'),
(4918, '37.59.77.64', '37.59.77.95', 624643392, 624643423, 'GB', 'United Kingdom'),
(4919, '37.59.77.96', '37.59.77.127', 624643424, 624643455, 'ES', 'Spain'),
(4920, '37.59.77.128', '37.59.77.131', 624643456, 624643459, 'NL', 'Netherlands'),
(4921, '37.59.77.132', '37.59.77.135', 624643460, 624643463, 'IE', 'Ireland'),
(4922, '37.59.77.136', '37.59.77.159', 624643464, 624643487, 'FR', 'France'),
(4923, '37.59.77.160', '37.59.77.175', 624643488, 624643503, 'PL', 'Poland'),
(4924, '37.59.77.176', '37.59.77.179', 624643504, 624643507, 'NL', 'Netherlands'),
(4925, '37.59.77.180', '37.59.77.183', 624643508, 624643511, 'FR', 'France'),
(4926, '37.59.77.184', '37.59.77.191', 624643512, 624643519, 'IE', 'Ireland'),
(4927, '37.59.77.192', '37.59.77.255', 624643520, 624643583, 'DE', 'Germany'),
(4928, '37.59.78.0', '37.59.78.35', 624643584, 624643619, 'FR', 'France'),
(4929, '37.59.78.36', '37.59.78.39', 624643620, 624643623, 'DE', 'Germany'),
(4930, '37.59.78.40', '37.59.78.43', 624643624, 624643627, 'BE', 'Belgium'),
(4931, '37.59.78.44', '37.59.78.47', 624643628, 624643631, 'PL', 'Poland'),
(4932, '37.59.78.48', '37.59.78.63', 624643632, 624643647, 'PT', 'Portugal'),
(4933, '37.59.78.64', '37.59.78.127', 624643648, 624643711, 'FR', 'France'),
(4934, '37.59.78.128', '37.59.78.143', 624643712, 624643727, 'PL', 'Poland'),
(4935, '37.59.78.144', '37.59.78.147', 624643728, 624643731, 'GB', 'United Kingdom'),
(4936, '37.59.78.148', '37.59.78.151', 624643732, 624643735, 'IE', 'Ireland'),
(4937, '37.59.78.152', '37.59.78.191', 624643736, 624643775, 'FR', 'France'),
(4938, '37.59.78.192', '37.59.78.195', 624643776, 624643779, 'NL', 'Netherlands'),
(4939, '37.59.78.196', '37.59.78.199', 624643780, 624643783, 'PL', 'Poland'),
(4940, '37.59.78.200', '37.59.78.203', 624643784, 624643787, 'FR', 'France'),
(4941, '37.59.78.204', '37.59.78.207', 624643788, 624643791, 'ES', 'Spain'),
(4942, '37.59.78.208', '37.59.78.223', 624643792, 624643807, 'DE', 'Germany'),
(4943, '37.59.78.224', '37.59.78.227', 624643808, 624643811, 'CH', 'Switzerland'),
(4944, '37.59.78.228', '37.59.78.255', 624643812, 624643839, 'FR', 'France'),
(4945, '37.59.79.0', '37.59.79.255', 624643840, 624644095, 'DE', 'Germany'),
(4946, '37.59.80.0', '37.59.80.15', 624644096, 624644111, 'PL', 'Poland'),
(4947, '37.59.80.16', '37.59.80.19', 624644112, 624644115, 'BE', 'Belgium'),
(4948, '37.59.80.20', '37.59.80.23', 624644116, 624644119, 'GB', 'United Kingdom'),
(4949, '37.59.80.24', '37.59.80.27', 624644120, 624644123, 'DE', 'Germany'),
(4950, '37.59.80.28', '37.59.80.31', 624644124, 624644127, 'FR', 'France'),
(4951, '37.59.80.32', '37.59.80.35', 624644128, 624644131, 'IT', 'Italy'),
(4952, '37.59.80.36', '37.59.80.39', 624644132, 624644135, 'ES', 'Spain'),
(4953, '37.59.80.40', '37.59.80.67', 624644136, 624644163, 'FR', 'France'),
(4954, '37.59.80.68', '37.59.80.71', 624644164, 624644167, 'BE', 'Belgium'),
(4955, '37.59.80.72', '37.59.80.79', 624644168, 624644175, 'FR', 'France'),
(4956, '37.59.80.80', '37.59.80.95', 624644176, 624644191, 'PL', 'Poland'),
(4957, '37.59.80.96', '37.59.80.99', 624644192, 624644195, 'GB', 'United Kingdom'),
(4958, '37.59.80.100', '37.59.80.103', 624644196, 624644199, 'IE', 'Ireland'),
(4959, '37.59.80.104', '37.59.80.107', 624644200, 624644203, 'IT', 'Italy'),
(4960, '37.59.80.108', '37.59.80.111', 624644204, 624644207, 'PT', 'Portugal'),
(4961, '37.59.80.112', '37.59.80.127', 624644208, 624644223, 'BE', 'Belgium'),
(4962, '37.59.80.128', '37.59.80.143', 624644224, 624644239, 'IE', 'Ireland'),
(4963, '37.59.80.144', '37.59.80.151', 624644240, 624644247, 'GB', 'United Kingdom'),
(4964, '37.59.80.152', '37.59.80.159', 624644248, 624644255, 'NL', 'Netherlands'),
(4965, '37.59.80.160', '37.59.80.175', 624644256, 624644271, 'CH', 'Switzerland'),
(4966, '37.59.80.176', '37.59.80.179', 624644272, 624644275, 'FR', 'France'),
(4967, '37.59.80.180', '37.59.80.191', 624644276, 624644287, 'ES', 'Spain'),
(4968, '37.59.80.192', '37.59.80.199', 624644288, 624644295, 'PL', 'Poland'),
(4969, '37.59.80.200', '37.59.80.203', 624644296, 624644299, 'FR', 'France'),
(4970, '37.59.80.204', '37.59.80.207', 624644300, 624644303, 'NL', 'Netherlands'),
(4971, '37.59.80.208', '37.59.80.211', 624644304, 624644307, 'IE', 'Ireland'),
(4972, '37.59.80.212', '37.59.80.215', 624644308, 624644311, 'FR', 'France'),
(4973, '37.59.80.216', '37.59.80.223', 624644312, 624644319, 'ES', 'Spain'),
(4974, '37.59.80.224', '37.59.81.255', 624644320, 624644607, 'FR', 'France'),
(4975, '37.59.82.0', '37.59.82.7', 624644608, 624644615, 'IE', 'Ireland'),
(4976, '37.59.82.8', '37.59.82.11', 624644616, 624644619, 'IT', 'Italy'),
(4977, '37.59.82.12', '37.59.82.15', 624644620, 624644623, 'DE', 'Germany'),
(4978, '37.59.82.16', '37.59.82.23', 624644624, 624644631, 'PL', 'Poland'),
(4979, '37.59.82.24', '37.59.82.63', 624644632, 624644671, 'FR', 'France'),
(4980, '37.59.82.64', '37.59.82.67', 624644672, 624644675, 'DE', 'Germany'),
(4981, '37.59.82.68', '37.59.82.71', 624644676, 624644679, 'FR', 'France'),
(4982, '37.59.82.72', '37.59.82.75', 624644680, 624644683, 'DE', 'Germany'),
(4983, '37.59.82.76', '37.59.82.127', 624644684, 624644735, 'FR', 'France'),
(4984, '37.59.82.128', '37.59.82.159', 624644736, 624644767, 'PL', 'Poland'),
(4985, '37.59.82.160', '37.59.82.163', 624644768, 624644771, 'FR', 'France'),
(4986, '37.59.82.164', '37.59.82.167', 624644772, 624644775, 'CH', 'Switzerland'),
(4987, '37.59.82.168', '37.59.82.175', 624644776, 624644783, 'BE', 'Belgium'),
(4988, '37.59.82.176', '37.59.82.191', 624644784, 624644799, 'IE', 'Ireland'),
(4989, '37.59.82.192', '37.59.82.207', 624644800, 624644815, 'FR', 'France'),
(4990, '37.59.82.208', '37.59.82.211', 624644816, 624644819, 'IE', 'Ireland'),
(4991, '37.59.82.212', '37.59.82.215', 624644820, 624644823, 'FR', 'France'),
(4992, '37.59.82.216', '37.59.82.223', 624644824, 624644831, 'PT', 'Portugal'),
(4993, '37.59.82.224', '37.59.82.231', 624644832, 624644839, 'PL', 'Poland'),
(4994, '37.59.82.232', '37.59.82.235', 624644840, 624644843, 'IT', 'Italy'),
(4995, '37.59.82.236', '37.59.82.239', 624644844, 624644847, 'PL', 'Poland'),
(4996, '37.59.82.240', '37.59.82.243', 624644848, 624644851, 'ES', 'Spain'),
(4997, '37.59.82.244', '37.59.82.247', 624644852, 624644855, 'IT', 'Italy'),
(4998, '37.59.82.248', '37.59.82.251', 624644856, 624644859, 'PL', 'Poland'),
(4999, '37.59.82.252', '37.59.83.15', 624644860, 624644879, 'IE', 'Ireland'),
(5000, '37.59.83.16', '37.59.83.31', 624644880, 624644895, 'ES', 'Spain'),
(5001, '37.59.83.32', '37.59.83.39', 624644896, 624644903, 'IE', 'Ireland'),
(5002, '37.59.83.40', '37.59.83.47', 624644904, 624644911, 'NL', 'Netherlands'),
(5003, '37.59.83.48', '37.59.83.51', 624644912, 624644915, 'FR', 'France'),
(5004, '37.59.83.52', '37.59.83.55', 624644916, 624644919, 'ES', 'Spain'),
(5005, '37.59.83.56', '37.59.83.59', 624644920, 624644923, 'FR', 'France'),
(5006, '37.59.83.60', '37.59.83.63', 624644924, 624644927, 'PL', 'Poland'),
(5007, '37.59.83.64', '37.59.83.67', 624644928, 624644931, 'FR', 'France'),
(5008, '37.59.83.68', '37.59.83.71', 624644932, 624644935, 'CZ', 'Czech Republic'),
(5009, '37.59.83.72', '37.59.83.75', 624644936, 624644939, 'FR', 'France'),
(5010, '37.59.83.76', '37.59.83.79', 624644940, 624644943, 'ES', 'Spain'),
(5011, '37.59.83.80', '37.59.83.91', 624644944, 624644955, 'FR', 'France'),
(5012, '37.59.83.92', '37.59.83.95', 624644956, 624644959, 'PL', 'Poland'),
(5013, '37.59.83.96', '37.59.83.127', 624644960, 624644991, 'NL', 'Netherlands'),
(5014, '37.59.83.128', '37.59.83.143', 624644992, 624645007, 'ES', 'Spain'),
(5015, '37.59.83.144', '37.59.83.147', 624645008, 624645011, 'FR', 'France'),
(5016, '37.59.83.148', '37.59.83.151', 624645012, 624645015, 'GB', 'United Kingdom'),
(5017, '37.59.83.152', '37.59.83.159', 624645016, 624645023, 'BE', 'Belgium'),
(5018, '37.59.83.160', '37.59.83.191', 624645024, 624645055, 'PL', 'Poland'),
(5019, '37.59.83.192', '37.59.83.255', 624645056, 624645119, 'FR', 'France'),
(5020, '37.59.84.0', '37.59.84.255', 624645120, 624645375, 'FI', 'Finland'),
(5021, '37.59.85.0', '37.59.85.47', 624645376, 624645423, 'FR', 'France'),
(5022, '37.59.85.48', '37.59.85.63', 624645424, 624645439, 'GB', 'United Kingdom'),
(5023, '37.59.85.64', '37.59.85.127', 624645440, 624645503, 'FR', 'France'),
(5024, '37.59.85.128', '37.59.85.159', 624645504, 624645535, 'FI', 'Finland'),
(5025, '37.59.85.160', '37.59.85.163', 624645536, 624645539, 'PT', 'Portugal'),
(5026, '37.59.85.164', '37.59.85.167', 624645540, 624645543, 'DE', 'Germany'),
(5027, '37.59.85.168', '37.59.85.171', 624645544, 624645547, 'CZ', 'Czech Republic'),
(5028, '37.59.85.172', '37.59.85.175', 624645548, 624645551, 'GB', 'United Kingdom'),
(5029, '37.59.85.176', '37.59.85.191', 624645552, 624645567, 'FR', 'France'),
(5030, '37.59.85.192', '37.59.85.203', 624645568, 624645579, 'GB', 'United Kingdom'),
(5031, '37.59.85.204', '37.59.85.207', 624645580, 624645583, 'PT', 'Portugal'),
(5032, '37.59.85.208', '37.59.85.215', 624645584, 624645591, 'GB', 'United Kingdom'),
(5033, '37.59.85.216', '37.59.85.231', 624645592, 624645607, 'FR', 'France'),
(5034, '37.59.85.232', '37.59.85.239', 624645608, 624645615, 'CH', 'Switzerland'),
(5035, '37.59.85.240', '37.59.85.243', 624645616, 624645619, 'BE', 'Belgium'),
(5036, '37.59.85.244', '37.59.85.251', 624645620, 624645627, 'FR', 'France'),
(5037, '37.59.85.252', '37.59.85.255', 624645628, 624645631, 'PL', 'Poland'),
(5038, '37.59.86.0', '37.59.86.255', 624645632, 624645887, 'FR', 'France'),
(5039, '37.59.87.0', '37.59.87.3', 624645888, 624645891, 'PL', 'Poland'),
(5040, '37.59.87.4', '37.59.87.7', 624645892, 624645895, 'FR', 'France'),
(5041, '37.59.87.8', '37.59.87.15', 624645896, 624645903, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(5042, '37.59.87.16', '37.59.87.19', 624645904, 624645907, 'GB', 'United Kingdom'),
(5043, '37.59.87.20', '37.59.87.23', 624645908, 624645911, 'IE', 'Ireland'),
(5044, '37.59.87.24', '37.59.87.31', 624645912, 624645919, 'GB', 'United Kingdom'),
(5045, '37.59.87.32', '37.59.87.159', 624645920, 624646047, 'PT', 'Portugal'),
(5046, '37.59.87.160', '37.59.87.223', 624646048, 624646111, 'FR', 'France'),
(5047, '37.59.87.224', '37.59.88.31', 624646112, 624646175, 'PL', 'Poland'),
(5048, '37.59.88.32', '37.59.88.79', 624646176, 624646223, 'FR', 'France'),
(5049, '37.59.88.80', '37.59.88.83', 624646224, 624646227, 'PL', 'Poland'),
(5050, '37.59.88.84', '37.59.88.87', 624646228, 624646231, 'IT', 'Italy'),
(5051, '37.59.88.88', '37.59.88.91', 624646232, 624646235, 'CZ', 'Czech Republic'),
(5052, '37.59.88.92', '37.59.88.95', 624646236, 624646239, 'GB', 'United Kingdom'),
(5053, '37.59.88.96', '37.59.88.111', 624646240, 624646255, 'LT', 'Lithuania'),
(5054, '37.59.88.112', '37.59.88.115', 624646256, 624646259, 'DE', 'Germany'),
(5055, '37.59.88.116', '37.59.88.119', 624646260, 624646263, 'GB', 'United Kingdom'),
(5056, '37.59.88.120', '37.59.88.123', 624646264, 624646267, 'FR', 'France'),
(5057, '37.59.88.124', '37.59.88.127', 624646268, 624646271, 'DE', 'Germany'),
(5058, '37.59.88.128', '37.59.88.139', 624646272, 624646283, 'FR', 'France'),
(5059, '37.59.88.140', '37.59.88.143', 624646284, 624646287, 'PL', 'Poland'),
(5060, '37.59.88.144', '37.59.88.159', 624646288, 624646303, 'PT', 'Portugal'),
(5061, '37.59.88.160', '37.59.88.167', 624646304, 624646311, 'PL', 'Poland'),
(5062, '37.59.88.168', '37.59.88.171', 624646312, 624646315, 'GB', 'United Kingdom'),
(5063, '37.59.88.172', '37.59.88.175', 624646316, 624646319, 'ES', 'Spain'),
(5064, '37.59.88.176', '37.59.88.179', 624646320, 624646323, 'DE', 'Germany'),
(5065, '37.59.88.180', '37.59.88.183', 624646324, 624646327, 'FR', 'France'),
(5066, '37.59.88.184', '37.59.88.187', 624646328, 624646331, 'PL', 'Poland'),
(5067, '37.59.88.188', '37.59.88.191', 624646332, 624646335, 'CH', 'Switzerland'),
(5068, '37.59.88.192', '37.59.88.195', 624646336, 624646339, 'FR', 'France'),
(5069, '37.59.88.196', '37.59.88.199', 624646340, 624646343, 'LT', 'Lithuania'),
(5070, '37.59.88.200', '37.59.88.203', 624646344, 624646347, 'IT', 'Italy'),
(5071, '37.59.88.204', '37.59.88.207', 624646348, 624646351, 'IE', 'Ireland'),
(5072, '37.59.88.208', '37.59.88.223', 624646352, 624646367, 'PT', 'Portugal'),
(5073, '37.59.88.224', '37.59.89.127', 624646368, 624646527, 'PL', 'Poland'),
(5074, '37.59.89.128', '37.59.89.135', 624646528, 624646535, 'IE', 'Ireland'),
(5075, '37.59.89.136', '37.59.89.139', 624646536, 624646539, 'PL', 'Poland'),
(5076, '37.59.89.140', '37.59.89.143', 624646540, 624646543, 'FR', 'France'),
(5077, '37.59.89.144', '37.59.89.159', 624646544, 624646559, 'DE', 'Germany'),
(5078, '37.59.89.160', '37.59.89.175', 624646560, 624646575, 'FR', 'France'),
(5079, '37.59.89.176', '37.59.89.179', 624646576, 624646579, 'ES', 'Spain'),
(5080, '37.59.89.180', '37.59.89.183', 624646580, 624646583, 'NL', 'Netherlands'),
(5081, '37.59.89.184', '37.59.89.191', 624646584, 624646591, 'FI', 'Finland'),
(5082, '37.59.89.192', '37.59.89.227', 624646592, 624646627, 'FR', 'France'),
(5083, '37.59.89.228', '37.59.89.231', 624646628, 624646631, 'DE', 'Germany'),
(5084, '37.59.89.232', '37.59.89.235', 624646632, 624646635, 'PT', 'Portugal'),
(5085, '37.59.89.236', '37.59.89.239', 624646636, 624646639, 'IE', 'Ireland'),
(5086, '37.59.89.240', '37.59.89.243', 624646640, 624646643, 'PL', 'Poland'),
(5087, '37.59.89.244', '37.59.89.247', 624646644, 624646647, 'PT', 'Portugal'),
(5088, '37.59.89.248', '37.59.89.251', 624646648, 624646651, 'IT', 'Italy'),
(5089, '37.59.89.252', '37.59.89.255', 624646652, 624646655, 'PL', 'Poland'),
(5090, '37.59.90.0', '37.59.90.3', 624646656, 624646659, 'ES', 'Spain'),
(5091, '37.59.90.4', '37.59.90.7', 624646660, 624646663, 'GB', 'United Kingdom'),
(5092, '37.59.90.8', '37.59.90.11', 624646664, 624646667, 'FR', 'France'),
(5093, '37.59.90.12', '37.59.90.15', 624646668, 624646671, 'IT', 'Italy'),
(5094, '37.59.90.16', '37.59.90.31', 624646672, 624646687, 'GB', 'United Kingdom'),
(5095, '37.59.90.32', '37.59.90.47', 624646688, 624646703, 'NL', 'Netherlands'),
(5096, '37.59.90.48', '37.59.90.51', 624646704, 624646707, 'FR', 'France'),
(5097, '37.59.90.52', '37.59.90.59', 624646708, 624646715, 'PL', 'Poland'),
(5098, '37.59.90.60', '37.59.90.63', 624646716, 624646719, 'FR', 'France'),
(5099, '37.59.90.64', '37.59.90.79', 624646720, 624646735, 'ES', 'Spain'),
(5100, '37.59.90.80', '37.59.90.95', 624646736, 624646751, 'DE', 'Germany'),
(5101, '37.59.90.96', '37.59.90.103', 624646752, 624646759, 'FR', 'France'),
(5102, '37.59.90.104', '37.59.90.111', 624646760, 624646767, 'GB', 'United Kingdom'),
(5103, '37.59.90.112', '37.59.90.131', 624646768, 624646787, 'DE', 'Germany'),
(5104, '37.59.90.132', '37.59.90.135', 624646788, 624646791, 'PL', 'Poland'),
(5105, '37.59.90.136', '37.59.90.139', 624646792, 624646795, 'IE', 'Ireland'),
(5106, '37.59.90.140', '37.59.90.143', 624646796, 624646799, 'NL', 'Netherlands'),
(5107, '37.59.90.144', '37.59.90.159', 624646800, 624646815, 'GB', 'United Kingdom'),
(5108, '37.59.90.160', '37.59.90.175', 624646816, 624646831, 'IT', 'Italy'),
(5109, '37.59.90.176', '37.59.90.179', 624646832, 624646835, 'BE', 'Belgium'),
(5110, '37.59.90.180', '37.59.90.183', 624646836, 624646839, 'IE', 'Ireland'),
(5111, '37.59.90.184', '37.59.90.187', 624646840, 624646843, 'CZ', 'Czech Republic'),
(5112, '37.59.90.188', '37.59.90.191', 624646844, 624646847, 'FI', 'Finland'),
(5113, '37.59.90.192', '37.59.90.255', 624646848, 624646911, 'DE', 'Germany'),
(5114, '37.59.91.0', '37.59.91.3', 624646912, 624646915, 'IE', 'Ireland'),
(5115, '37.59.91.4', '37.59.91.7', 624646916, 624646919, 'LT', 'Lithuania'),
(5116, '37.59.91.8', '37.59.91.11', 624646920, 624646923, 'PL', 'Poland'),
(5117, '37.59.91.12', '37.59.91.15', 624646924, 624646927, 'PT', 'Portugal'),
(5118, '37.59.91.16', '37.59.91.19', 624646928, 624646931, 'CH', 'Switzerland'),
(5119, '37.59.91.20', '37.59.91.23', 624646932, 624646935, 'PL', 'Poland'),
(5120, '37.59.91.24', '37.59.91.175', 624646936, 624647087, 'FR', 'France'),
(5121, '37.59.91.176', '37.59.91.183', 624647088, 624647095, 'DE', 'Germany'),
(5122, '37.59.91.184', '37.59.91.195', 624647096, 624647107, 'GB', 'United Kingdom'),
(5123, '37.59.91.196', '37.59.91.199', 624647108, 624647111, 'PL', 'Poland'),
(5124, '37.59.91.200', '37.59.91.207', 624647112, 624647119, 'ES', 'Spain'),
(5125, '37.59.91.208', '37.59.91.215', 624647120, 624647127, 'GB', 'United Kingdom'),
(5126, '37.59.91.216', '37.59.91.223', 624647128, 624647135, 'FR', 'France'),
(5127, '37.59.91.224', '37.59.91.231', 624647136, 624647143, 'GB', 'United Kingdom'),
(5128, '37.59.91.232', '37.59.92.3', 624647144, 624647171, 'FR', 'France'),
(5129, '37.59.92.4', '37.59.92.7', 624647172, 624647175, 'ES', 'Spain'),
(5130, '37.59.92.8', '37.59.92.15', 624647176, 624647183, 'GB', 'United Kingdom'),
(5131, '37.59.92.16', '37.59.92.31', 624647184, 624647199, 'PT', 'Portugal'),
(5132, '37.59.92.32', '37.59.92.95', 624647200, 624647263, 'PL', 'Poland'),
(5133, '37.59.92.96', '37.59.92.127', 624647264, 624647295, 'PT', 'Portugal'),
(5134, '37.59.92.128', '37.59.92.159', 624647296, 624647327, 'NL', 'Netherlands'),
(5135, '37.59.92.160', '37.59.92.191', 624647328, 624647359, 'GB', 'United Kingdom'),
(5136, '37.59.92.192', '37.59.92.255', 624647360, 624647423, 'CH', 'Switzerland'),
(5137, '37.59.93.0', '37.59.93.47', 624647424, 624647471, 'FR', 'France'),
(5138, '37.59.93.48', '37.59.93.55', 624647472, 624647479, 'PL', 'Poland'),
(5139, '37.59.93.56', '37.59.93.59', 624647480, 624647483, 'PT', 'Portugal'),
(5140, '37.59.93.60', '37.59.93.67', 624647484, 624647491, 'DE', 'Germany'),
(5141, '37.59.93.68', '37.59.93.71', 624647492, 624647495, 'PL', 'Poland'),
(5142, '37.59.93.72', '37.59.93.75', 624647496, 624647499, 'FR', 'France'),
(5143, '37.59.93.76', '37.59.93.79', 624647500, 624647503, 'DE', 'Germany'),
(5144, '37.59.93.80', '37.59.93.95', 624647504, 624647519, 'FR', 'France'),
(5145, '37.59.93.96', '37.59.93.103', 624647520, 624647527, 'GB', 'United Kingdom'),
(5146, '37.59.93.104', '37.59.93.107', 624647528, 624647531, 'FR', 'France'),
(5147, '37.59.93.108', '37.59.93.111', 624647532, 624647535, 'PL', 'Poland'),
(5148, '37.59.93.112', '37.59.93.127', 624647536, 624647551, 'FR', 'France'),
(5149, '37.59.93.128', '37.59.93.159', 624647552, 624647583, 'GB', 'United Kingdom'),
(5150, '37.59.93.160', '37.59.93.191', 624647584, 624647615, 'FR', 'France'),
(5151, '37.59.93.192', '37.59.93.199', 624647616, 624647623, 'PL', 'Poland'),
(5152, '37.59.93.200', '37.59.93.207', 624647624, 624647631, 'GB', 'United Kingdom'),
(5153, '37.59.93.208', '37.59.93.223', 624647632, 624647647, 'FR', 'France'),
(5154, '37.59.93.224', '37.59.93.239', 624647648, 624647663, 'GB', 'United Kingdom'),
(5155, '37.59.93.240', '37.59.93.243', 624647664, 624647667, 'DE', 'Germany'),
(5156, '37.59.93.244', '37.59.93.255', 624647668, 624647679, 'FR', 'France'),
(5157, '37.59.94.0', '37.59.94.255', 624647680, 624647935, 'DE', 'Germany'),
(5158, '37.59.95.0', '37.59.95.63', 624647936, 624647999, 'PL', 'Poland'),
(5159, '37.59.95.64', '37.59.95.127', 624648000, 624648063, 'IT', 'Italy'),
(5160, '37.59.95.128', '37.59.95.135', 624648064, 624648071, 'GB', 'United Kingdom'),
(5161, '37.59.95.136', '37.59.95.139', 624648072, 624648075, 'FR', 'France'),
(5162, '37.59.95.140', '37.59.95.143', 624648076, 624648079, 'GB', 'United Kingdom'),
(5163, '37.59.95.144', '37.59.95.159', 624648080, 624648095, 'PT', 'Portugal'),
(5164, '37.59.95.160', '37.59.95.163', 624648096, 624648099, 'FR', 'France'),
(5165, '37.59.95.164', '37.59.95.167', 624648100, 624648103, 'GB', 'United Kingdom'),
(5166, '37.59.95.168', '37.59.95.191', 624648104, 624648127, 'FR', 'France'),
(5167, '37.59.95.192', '37.59.95.199', 624648128, 624648135, 'GB', 'United Kingdom'),
(5168, '37.59.95.200', '37.59.95.223', 624648136, 624648159, 'FR', 'France'),
(5169, '37.59.95.224', '37.59.95.255', 624648160, 624648191, 'PT', 'Portugal'),
(5170, '37.59.96.0', '37.59.129.63', 624648192, 624656703, 'FR', 'France'),
(5171, '37.59.129.64', '37.59.129.71', 624656704, 624656711, 'GB', 'United Kingdom'),
(5172, '37.59.129.72', '37.59.129.83', 624656712, 624656723, 'FR', 'France'),
(5173, '37.59.129.84', '37.59.129.87', 624656724, 624656727, 'FI', 'Finland'),
(5174, '37.59.129.88', '37.59.129.91', 624656728, 624656731, 'PT', 'Portugal'),
(5175, '37.59.129.92', '37.59.129.95', 624656732, 624656735, 'PL', 'Poland'),
(5176, '37.59.129.96', '37.59.129.99', 624656736, 624656739, 'DE', 'Germany'),
(5177, '37.59.129.100', '37.59.129.103', 624656740, 624656743, 'ES', 'Spain'),
(5178, '37.59.129.104', '37.59.129.111', 624656744, 624656751, 'FR', 'France'),
(5179, '37.59.129.112', '37.59.129.115', 624656752, 624656755, 'GB', 'United Kingdom'),
(5180, '37.59.129.116', '37.59.129.119', 624656756, 624656759, 'PL', 'Poland'),
(5181, '37.59.129.120', '37.59.129.123', 624656760, 624656763, 'IT', 'Italy'),
(5182, '37.59.129.124', '37.59.129.127', 624656764, 624656767, 'GB', 'United Kingdom'),
(5183, '37.59.129.128', '37.59.129.191', 624656768, 624656831, 'FR', 'France'),
(5184, '37.59.129.192', '37.59.129.255', 624656832, 624656895, 'ES', 'Spain'),
(5185, '37.59.130.0', '37.59.130.15', 624656896, 624656911, 'FR', 'France'),
(5186, '37.59.130.16', '37.59.130.31', 624656912, 624656927, 'NL', 'Netherlands'),
(5187, '37.59.130.32', '37.59.130.63', 624656928, 624656959, 'FI', 'Finland'),
(5188, '37.59.130.64', '37.59.130.95', 624656960, 624656991, 'PL', 'Poland'),
(5189, '37.59.130.96', '37.59.130.103', 624656992, 624656999, 'DE', 'Germany'),
(5190, '37.59.130.104', '37.59.130.107', 624657000, 624657003, 'FR', 'France'),
(5191, '37.59.130.108', '37.59.130.111', 624657004, 624657007, 'BE', 'Belgium'),
(5192, '37.59.130.112', '37.59.130.119', 624657008, 624657015, 'ES', 'Spain'),
(5193, '37.59.130.120', '37.59.130.123', 624657016, 624657019, 'GB', 'United Kingdom'),
(5194, '37.59.130.124', '37.59.130.127', 624657020, 624657023, 'PL', 'Poland'),
(5195, '37.59.130.128', '37.59.130.159', 624657024, 624657055, 'CH', 'Switzerland'),
(5196, '37.59.130.160', '37.59.130.167', 624657056, 624657063, 'FR', 'France'),
(5197, '37.59.130.168', '37.59.130.171', 624657064, 624657067, 'IE', 'Ireland'),
(5198, '37.59.130.172', '37.59.130.175', 624657068, 624657071, 'FR', 'France'),
(5199, '37.59.130.176', '37.59.130.191', 624657072, 624657087, 'GB', 'United Kingdom'),
(5200, '37.59.130.192', '37.59.130.239', 624657088, 624657135, 'PL', 'Poland'),
(5201, '37.59.130.240', '37.59.130.243', 624657136, 624657139, 'IT', 'Italy'),
(5202, '37.59.130.244', '37.59.130.251', 624657140, 624657147, 'FR', 'France'),
(5203, '37.59.130.252', '37.59.131.3', 624657148, 624657155, 'PL', 'Poland'),
(5204, '37.59.131.4', '37.59.131.7', 624657156, 624657159, 'CH', 'Switzerland'),
(5205, '37.59.131.8', '37.59.131.15', 624657160, 624657167, 'IE', 'Ireland'),
(5206, '37.59.131.16', '37.59.131.47', 624657168, 624657199, 'PL', 'Poland'),
(5207, '37.59.131.48', '37.59.131.63', 624657200, 624657215, 'DE', 'Germany'),
(5208, '37.59.131.64', '37.59.131.111', 624657216, 624657263, 'PL', 'Poland'),
(5209, '37.59.131.112', '37.59.131.127', 624657264, 624657279, 'BE', 'Belgium'),
(5210, '37.59.131.128', '37.59.131.143', 624657280, 624657295, 'PL', 'Poland'),
(5211, '37.59.131.144', '37.59.131.147', 624657296, 624657299, 'DE', 'Germany'),
(5212, '37.59.131.148', '37.59.131.151', 624657300, 624657303, 'PL', 'Poland'),
(5213, '37.59.131.152', '37.59.131.159', 624657304, 624657311, 'GB', 'United Kingdom'),
(5214, '37.59.131.160', '37.59.131.163', 624657312, 624657315, 'PL', 'Poland'),
(5215, '37.59.131.164', '37.59.131.167', 624657316, 624657319, 'DE', 'Germany'),
(5216, '37.59.131.168', '37.59.131.171', 624657320, 624657323, 'NL', 'Netherlands'),
(5217, '37.59.131.172', '37.59.131.175', 624657324, 624657327, 'DE', 'Germany'),
(5218, '37.59.131.176', '37.59.131.183', 624657328, 624657335, 'ES', 'Spain'),
(5219, '37.59.131.184', '37.59.131.207', 624657336, 624657359, 'FR', 'France'),
(5220, '37.59.131.208', '37.59.131.211', 624657360, 624657363, 'GB', 'United Kingdom'),
(5221, '37.59.131.212', '37.59.131.215', 624657364, 624657367, 'PL', 'Poland'),
(5222, '37.59.131.216', '37.59.131.223', 624657368, 624657375, 'IE', 'Ireland'),
(5223, '37.59.131.224', '37.59.131.227', 624657376, 624657379, 'PL', 'Poland'),
(5224, '37.59.131.228', '37.59.131.231', 624657380, 624657383, 'FR', 'France'),
(5225, '37.59.131.232', '37.59.131.235', 624657384, 624657387, 'DE', 'Germany'),
(5226, '37.59.131.236', '37.59.131.255', 624657388, 624657407, 'FR', 'France'),
(5227, '37.59.132.0', '37.59.132.3', 624657408, 624657411, 'IT', 'Italy'),
(5228, '37.59.132.4', '37.59.132.7', 624657412, 624657415, 'PL', 'Poland'),
(5229, '37.59.132.8', '37.59.132.15', 624657416, 624657423, 'ES', 'Spain'),
(5230, '37.59.132.16', '37.59.132.19', 624657424, 624657427, 'BE', 'Belgium'),
(5231, '37.59.132.20', '37.59.132.23', 624657428, 624657431, 'FR', 'France'),
(5232, '37.59.132.24', '37.59.132.27', 624657432, 624657435, 'PL', 'Poland'),
(5233, '37.59.132.28', '37.59.132.31', 624657436, 624657439, 'FR', 'France'),
(5234, '37.59.132.32', '37.59.132.63', 624657440, 624657471, 'GB', 'United Kingdom'),
(5235, '37.59.132.64', '37.59.132.67', 624657472, 624657475, 'DE', 'Germany'),
(5236, '37.59.132.68', '37.59.132.71', 624657476, 624657479, 'ES', 'Spain'),
(5237, '37.59.132.72', '37.59.132.83', 624657480, 624657491, 'FR', 'France'),
(5238, '37.59.132.84', '37.59.132.87', 624657492, 624657495, 'BE', 'Belgium'),
(5239, '37.59.132.88', '37.59.132.95', 624657496, 624657503, 'GB', 'United Kingdom'),
(5240, '37.59.132.96', '37.59.132.127', 624657504, 624657535, 'BE', 'Belgium'),
(5241, '37.59.132.128', '37.59.132.159', 624657536, 624657567, 'CZ', 'Czech Republic'),
(5242, '37.59.132.160', '37.59.132.175', 624657568, 624657583, 'FR', 'France'),
(5243, '37.59.132.176', '37.59.132.183', 624657584, 624657591, 'GB', 'United Kingdom'),
(5244, '37.59.132.184', '37.59.132.191', 624657592, 624657599, 'FR', 'France'),
(5245, '37.59.132.192', '37.59.132.195', 624657600, 624657603, 'BE', 'Belgium'),
(5246, '37.59.132.196', '37.59.132.199', 624657604, 624657607, 'ES', 'Spain'),
(5247, '37.59.132.200', '37.59.132.203', 624657608, 624657611, 'LT', 'Lithuania'),
(5248, '37.59.132.204', '37.59.132.207', 624657612, 624657615, 'BE', 'Belgium'),
(5249, '37.59.132.208', '37.59.132.223', 624657616, 624657631, 'GB', 'United Kingdom'),
(5250, '37.59.132.224', '37.59.132.235', 624657632, 624657643, 'FR', 'France'),
(5251, '37.59.132.236', '37.59.132.243', 624657644, 624657651, 'PL', 'Poland'),
(5252, '37.59.132.244', '37.59.132.247', 624657652, 624657655, 'ES', 'Spain'),
(5253, '37.59.132.248', '37.59.132.255', 624657656, 624657663, 'GB', 'United Kingdom'),
(5254, '37.59.133.0', '37.59.133.3', 624657664, 624657667, 'PT', 'Portugal'),
(5255, '37.59.133.4', '37.59.133.7', 624657668, 624657671, 'PL', 'Poland'),
(5256, '37.59.133.8', '37.59.133.11', 624657672, 624657675, 'NL', 'Netherlands'),
(5257, '37.59.133.12', '37.59.133.15', 624657676, 624657679, 'ES', 'Spain'),
(5258, '37.59.133.16', '37.59.133.31', 624657680, 624657695, 'PL', 'Poland'),
(5259, '37.59.133.32', '37.59.133.35', 624657696, 624657699, 'FI', 'Finland'),
(5260, '37.59.133.36', '37.59.133.39', 624657700, 624657703, 'PT', 'Portugal'),
(5261, '37.59.133.40', '37.59.133.43', 624657704, 624657707, 'FR', 'France'),
(5262, '37.59.133.44', '37.59.133.47', 624657708, 624657711, 'DE', 'Germany'),
(5263, '37.59.133.48', '37.59.133.51', 624657712, 624657715, 'IE', 'Ireland'),
(5264, '37.59.133.52', '37.59.133.55', 624657716, 624657719, 'PT', 'Portugal'),
(5265, '37.59.133.56', '37.59.133.59', 624657720, 624657723, 'PL', 'Poland'),
(5266, '37.59.133.60', '37.59.133.63', 624657724, 624657727, 'NL', 'Netherlands'),
(5267, '37.59.133.64', '37.59.133.71', 624657728, 624657735, 'GB', 'United Kingdom'),
(5268, '37.59.133.72', '37.59.133.79', 624657736, 624657743, 'NL', 'Netherlands'),
(5269, '37.59.133.80', '37.59.133.95', 624657744, 624657759, 'FR', 'France'),
(5270, '37.59.133.96', '37.59.133.103', 624657760, 624657767, 'NL', 'Netherlands'),
(5271, '37.59.133.104', '37.59.133.107', 624657768, 624657771, 'ES', 'Spain'),
(5272, '37.59.133.108', '37.59.133.111', 624657772, 624657775, 'DE', 'Germany'),
(5273, '37.59.133.112', '37.59.133.115', 624657776, 624657779, 'BE', 'Belgium'),
(5274, '37.59.133.116', '37.59.133.119', 624657780, 624657783, 'GB', 'United Kingdom'),
(5275, '37.59.133.120', '37.59.133.123', 624657784, 624657787, 'ES', 'Spain'),
(5276, '37.59.133.124', '37.59.133.139', 624657788, 624657803, 'FR', 'France'),
(5277, '37.59.133.140', '37.59.133.143', 624657804, 624657807, 'PT', 'Portugal'),
(5278, '37.59.133.144', '37.59.133.151', 624657808, 624657815, 'FR', 'France'),
(5279, '37.59.133.152', '37.59.133.155', 624657816, 624657819, 'PL', 'Poland'),
(5280, '37.59.133.156', '37.59.133.159', 624657820, 624657823, 'GB', 'United Kingdom'),
(5281, '37.59.133.160', '37.59.133.163', 624657824, 624657827, 'PL', 'Poland'),
(5282, '37.59.133.164', '37.59.133.167', 624657828, 624657831, 'PT', 'Portugal'),
(5283, '37.59.133.168', '37.59.133.175', 624657832, 624657839, 'ES', 'Spain'),
(5284, '37.59.133.176', '37.59.133.191', 624657840, 624657855, 'NL', 'Netherlands'),
(5285, '37.59.133.192', '37.59.133.207', 624657856, 624657871, 'PL', 'Poland'),
(5286, '37.59.133.208', '37.59.133.211', 624657872, 624657875, 'DE', 'Germany'),
(5287, '37.59.133.212', '37.59.133.215', 624657876, 624657879, 'PL', 'Poland'),
(5288, '37.59.133.216', '37.59.133.219', 624657880, 624657883, 'CH', 'Switzerland'),
(5289, '37.59.133.220', '37.59.133.223', 624657884, 624657887, 'FR', 'France'),
(5290, '37.59.133.224', '37.59.133.255', 624657888, 624657919, 'PL', 'Poland'),
(5291, '37.59.134.0', '37.59.134.47', 624657920, 624657967, 'FR', 'France'),
(5292, '37.59.134.48', '37.59.134.55', 624657968, 624657975, 'IE', 'Ireland'),
(5293, '37.59.134.56', '37.59.134.59', 624657976, 624657979, 'GB', 'United Kingdom'),
(5294, '37.59.134.60', '37.59.134.63', 624657980, 624657983, 'PL', 'Poland'),
(5295, '37.59.134.64', '37.59.134.87', 624657984, 624658007, 'FR', 'France'),
(5296, '37.59.134.88', '37.59.134.91', 624658008, 624658011, 'PL', 'Poland'),
(5297, '37.59.134.92', '37.59.134.95', 624658012, 624658015, 'FR', 'France'),
(5298, '37.59.134.96', '37.59.134.111', 624658016, 624658031, 'CH', 'Switzerland'),
(5299, '37.59.134.112', '37.59.134.127', 624658032, 624658047, 'GB', 'United Kingdom'),
(5300, '37.59.134.128', '37.59.134.159', 624658048, 624658079, 'ES', 'Spain'),
(5301, '37.59.134.160', '37.59.134.167', 624658080, 624658087, 'IE', 'Ireland'),
(5302, '37.59.134.168', '37.59.134.171', 624658088, 624658091, 'DE', 'Germany'),
(5303, '37.59.134.172', '37.59.134.175', 624658092, 624658095, 'CH', 'Switzerland'),
(5304, '37.59.134.176', '37.59.134.191', 624658096, 624658111, 'IT', 'Italy'),
(5305, '37.59.134.192', '37.59.134.255', 624658112, 624658175, 'FR', 'France'),
(5306, '37.59.135.0', '37.59.135.3', 624658176, 624658179, 'IE', 'Ireland'),
(5307, '37.59.135.4', '37.59.135.7', 624658180, 624658183, 'PL', 'Poland'),
(5308, '37.59.135.8', '37.59.135.15', 624658184, 624658191, 'ES', 'Spain'),
(5309, '37.59.135.16', '37.59.135.207', 624658192, 624658383, 'FR', 'France'),
(5310, '37.59.135.208', '37.59.135.211', 624658384, 624658387, 'DE', 'Germany'),
(5311, '37.59.135.212', '37.59.135.215', 624658388, 624658391, 'FR', 'France'),
(5312, '37.59.135.216', '37.59.135.223', 624658392, 624658399, 'PL', 'Poland'),
(5313, '37.59.135.224', '37.59.136.95', 624658400, 624658527, 'FR', 'France'),
(5314, '37.59.136.96', '37.59.136.103', 624658528, 624658535, 'GB', 'United Kingdom'),
(5315, '37.59.136.104', '37.59.136.107', 624658536, 624658539, 'ES', 'Spain'),
(5316, '37.59.136.108', '37.59.136.111', 624658540, 624658543, 'IE', 'Ireland'),
(5317, '37.59.136.112', '37.59.136.199', 624658544, 624658631, 'FR', 'France'),
(5318, '37.59.136.200', '37.59.136.203', 624658632, 624658635, 'DE', 'Germany'),
(5319, '37.59.136.204', '37.59.136.227', 624658636, 624658659, 'PL', 'Poland'),
(5320, '37.59.136.228', '37.59.136.231', 624658660, 624658663, 'FR', 'France'),
(5321, '37.59.136.232', '37.59.136.239', 624658664, 624658671, 'GB', 'United Kingdom'),
(5322, '37.59.136.240', '37.59.136.243', 624658672, 624658675, 'PL', 'Poland'),
(5323, '37.59.136.244', '37.59.136.247', 624658676, 624658679, 'FR', 'France'),
(5324, '37.59.136.248', '37.59.136.255', 624658680, 624658687, 'NL', 'Netherlands'),
(5325, '37.59.137.0', '37.59.137.31', 624658688, 624658719, 'DE', 'Germany'),
(5326, '37.59.137.32', '37.59.137.95', 624658720, 624658783, 'FR', 'France'),
(5327, '37.59.137.96', '37.59.137.99', 624658784, 624658787, 'ES', 'Spain'),
(5328, '37.59.137.100', '37.59.137.103', 624658788, 624658791, 'PT', 'Portugal'),
(5329, '37.59.137.104', '37.59.137.107', 624658792, 624658795, 'DE', 'Germany'),
(5330, '37.59.137.108', '37.59.137.111', 624658796, 624658799, 'PL', 'Poland'),
(5331, '37.59.137.112', '37.59.137.119', 624658800, 624658807, 'PT', 'Portugal'),
(5332, '37.59.137.120', '37.59.137.123', 624658808, 624658811, 'FR', 'France'),
(5333, '37.59.137.124', '37.59.137.143', 624658812, 624658831, 'PL', 'Poland'),
(5334, '37.59.137.144', '37.59.137.147', 624658832, 624658835, 'CH', 'Switzerland'),
(5335, '37.59.137.148', '37.59.137.151', 624658836, 624658839, 'NL', 'Netherlands'),
(5336, '37.59.137.152', '37.59.137.155', 624658840, 624658843, 'PL', 'Poland'),
(5337, '37.59.137.156', '37.59.137.159', 624658844, 624658847, 'GB', 'United Kingdom'),
(5338, '37.59.137.160', '37.59.137.167', 624658848, 624658855, 'PL', 'Poland'),
(5339, '37.59.137.168', '37.59.137.175', 624658856, 624658863, 'FR', 'France'),
(5340, '37.59.137.176', '37.59.137.191', 624658864, 624658879, 'ES', 'Spain'),
(5341, '37.59.137.192', '37.59.137.223', 624658880, 624658911, 'NL', 'Netherlands'),
(5342, '37.59.137.224', '37.59.137.239', 624658912, 624658927, 'FR', 'France'),
(5343, '37.59.137.240', '37.59.137.255', 624658928, 624658943, 'SN', 'Senegal'),
(5344, '37.59.138.0', '37.59.138.3', 624658944, 624658947, 'ES', 'Spain'),
(5345, '37.59.138.4', '37.59.138.7', 624658948, 624658951, 'PT', 'Portugal'),
(5346, '37.59.138.8', '37.59.138.15', 624658952, 624658959, 'IE', 'Ireland'),
(5347, '37.59.138.16', '37.59.138.19', 624658960, 624658963, 'ES', 'Spain'),
(5348, '37.59.138.20', '37.59.138.23', 624658964, 624658967, 'IT', 'Italy'),
(5349, '37.59.138.24', '37.59.138.27', 624658968, 624658971, 'DE', 'Germany'),
(5350, '37.59.138.28', '37.59.138.31', 624658972, 624658975, 'FR', 'France'),
(5351, '37.59.138.32', '37.59.138.35', 624658976, 624658979, 'IT', 'Italy'),
(5352, '37.59.138.36', '37.59.138.39', 624658980, 624658983, 'NL', 'Netherlands'),
(5353, '37.59.138.40', '37.59.138.43', 624658984, 624658987, 'BE', 'Belgium'),
(5354, '37.59.138.44', '37.59.138.47', 624658988, 624658991, 'FR', 'France'),
(5355, '37.59.138.48', '37.59.138.51', 624658992, 624658995, 'GB', 'United Kingdom'),
(5356, '37.59.138.52', '37.59.138.55', 624658996, 624658999, 'IT', 'Italy'),
(5357, '37.59.138.56', '37.59.138.59', 624659000, 624659003, 'IE', 'Ireland'),
(5358, '37.59.138.60', '37.59.138.79', 624659004, 624659023, 'FR', 'France'),
(5359, '37.59.138.80', '37.59.138.87', 624659024, 624659031, 'ES', 'Spain'),
(5360, '37.59.138.88', '37.59.138.95', 624659032, 624659039, 'PL', 'Poland'),
(5361, '37.59.138.96', '37.59.138.127', 624659040, 624659071, 'FR', 'France'),
(5362, '37.59.138.128', '37.59.138.191', 624659072, 624659135, 'GB', 'United Kingdom'),
(5363, '37.59.138.192', '37.59.139.79', 624659136, 624659279, 'FR', 'France'),
(5364, '37.59.139.80', '37.59.139.95', 624659280, 624659295, 'GB', 'United Kingdom'),
(5365, '37.59.139.96', '37.59.139.99', 624659296, 624659299, 'NL', 'Netherlands'),
(5366, '37.59.139.100', '37.59.139.103', 624659300, 624659303, 'CZ', 'Czech Republic'),
(5367, '37.59.139.104', '37.59.139.107', 624659304, 624659307, 'FR', 'France'),
(5368, '37.59.139.108', '37.59.139.111', 624659308, 624659311, 'CZ', 'Czech Republic'),
(5369, '37.59.139.112', '37.59.139.115', 624659312, 624659315, 'PL', 'Poland'),
(5370, '37.59.139.116', '37.59.139.119', 624659316, 624659319, 'GB', 'United Kingdom'),
(5371, '37.59.139.120', '37.59.139.127', 624659320, 624659327, 'FR', 'France'),
(5372, '37.59.139.128', '37.59.139.159', 624659328, 624659359, 'GB', 'United Kingdom'),
(5373, '37.59.139.160', '37.59.139.195', 624659360, 624659395, 'IT', 'Italy'),
(5374, '37.59.139.196', '37.59.139.207', 624659396, 624659407, 'FR', 'France'),
(5375, '37.59.139.208', '37.59.139.215', 624659408, 624659415, 'PL', 'Poland'),
(5376, '37.59.139.216', '37.59.139.227', 624659416, 624659427, 'FR', 'France'),
(5377, '37.59.139.228', '37.59.139.231', 624659428, 624659431, 'CZ', 'Czech Republic'),
(5378, '37.59.139.232', '37.59.139.239', 624659432, 624659439, 'FI', 'Finland'),
(5379, '37.59.139.240', '37.59.139.247', 624659440, 624659447, 'FR', 'France'),
(5380, '37.59.139.248', '37.59.139.255', 624659448, 624659455, 'DE', 'Germany'),
(5381, '37.59.140.0', '37.59.140.63', 624659456, 624659519, 'FR', 'France'),
(5382, '37.59.140.64', '37.59.140.95', 624659520, 624659551, 'IT', 'Italy'),
(5383, '37.59.140.96', '37.59.140.127', 624659552, 624659583, 'PL', 'Poland'),
(5384, '37.59.140.128', '37.59.140.143', 624659584, 624659599, 'GB', 'United Kingdom'),
(5385, '37.59.140.144', '37.59.140.151', 624659600, 624659607, 'DE', 'Germany'),
(5386, '37.59.140.152', '37.59.140.155', 624659608, 624659611, 'CZ', 'Czech Republic'),
(5387, '37.59.140.156', '37.59.140.239', 624659612, 624659695, 'FR', 'France'),
(5388, '37.59.140.240', '37.59.140.243', 624659696, 624659699, 'PL', 'Poland'),
(5389, '37.59.140.244', '37.59.140.247', 624659700, 624659703, 'CH', 'Switzerland'),
(5390, '37.59.140.248', '37.59.141.75', 624659704, 624659787, 'FR', 'France'),
(5391, '37.59.141.76', '37.59.141.79', 624659788, 624659791, 'NL', 'Netherlands'),
(5392, '37.59.141.80', '37.59.141.87', 624659792, 624659799, 'FR', 'France'),
(5393, '37.59.141.88', '37.59.141.95', 624659800, 624659807, 'PT', 'Portugal'),
(5394, '37.59.141.96', '37.59.141.99', 624659808, 624659811, 'FR', 'France'),
(5395, '37.59.141.100', '37.59.141.103', 624659812, 624659815, 'PL', 'Poland'),
(5396, '37.59.141.104', '37.59.141.119', 624659816, 624659831, 'FR', 'France'),
(5397, '37.59.141.120', '37.59.141.127', 624659832, 624659839, 'FI', 'Finland'),
(5398, '37.59.141.128', '37.59.141.223', 624659840, 624659935, 'FR', 'France'),
(5399, '37.59.141.224', '37.59.141.239', 624659936, 624659951, 'BE', 'Belgium'),
(5400, '37.59.141.240', '37.59.141.247', 624659952, 624659959, 'FR', 'France'),
(5401, '37.59.141.248', '37.59.141.255', 624659960, 624659967, 'PL', 'Poland'),
(5402, '37.59.142.0', '37.59.142.3', 624659968, 624659971, 'CZ', 'Czech Republic'),
(5403, '37.59.142.4', '37.59.142.7', 624659972, 624659975, 'FI', 'Finland'),
(5404, '37.59.142.8', '37.59.142.27', 624659976, 624659995, 'FR', 'France'),
(5405, '37.59.142.28', '37.59.142.31', 624659996, 624659999, 'PL', 'Poland'),
(5406, '37.59.142.32', '37.59.142.47', 624660000, 624660015, 'FR', 'France'),
(5407, '37.59.142.48', '37.59.142.63', 624660016, 624660031, 'CH', 'Switzerland'),
(5408, '37.59.142.64', '37.59.142.127', 624660032, 624660095, 'FR', 'France'),
(5409, '37.59.142.128', '37.59.142.143', 624660096, 624660111, 'GB', 'United Kingdom'),
(5410, '37.59.142.144', '37.59.142.159', 624660112, 624660127, 'ES', 'Spain'),
(5411, '37.59.142.160', '37.59.142.163', 624660128, 624660131, 'FR', 'France'),
(5412, '37.59.142.164', '37.59.142.167', 624660132, 624660135, 'IT', 'Italy'),
(5413, '37.59.142.168', '37.59.142.171', 624660136, 624660139, 'ES', 'Spain'),
(5414, '37.59.142.172', '37.59.142.175', 624660140, 624660143, 'GB', 'United Kingdom'),
(5415, '37.59.142.176', '37.59.142.183', 624660144, 624660151, 'ES', 'Spain'),
(5416, '37.59.142.184', '37.59.142.187', 624660152, 624660155, 'BE', 'Belgium'),
(5417, '37.59.142.188', '37.59.142.191', 624660156, 624660159, 'GB', 'United Kingdom'),
(5418, '37.59.142.192', '37.59.142.199', 624660160, 624660167, 'FR', 'France'),
(5419, '37.59.142.200', '37.59.142.203', 624660168, 624660171, 'IE', 'Ireland'),
(5420, '37.59.142.204', '37.59.142.223', 624660172, 624660191, 'FR', 'France'),
(5421, '37.59.142.224', '37.59.142.227', 624660192, 624660195, 'IT', 'Italy'),
(5422, '37.59.142.228', '37.59.142.231', 624660196, 624660199, 'PL', 'Poland'),
(5423, '37.59.142.232', '37.59.143.255', 624660200, 624660479, 'FR', 'France'),
(5424, '37.59.144.0', '37.59.144.15', 624660480, 624660495, 'ES', 'Spain'),
(5425, '37.59.144.16', '37.59.144.19', 624660496, 624660499, 'FR', 'France'),
(5426, '37.59.144.20', '37.59.144.23', 624660500, 624660503, 'PL', 'Poland'),
(5427, '37.59.144.24', '37.59.144.31', 624660504, 624660511, 'NL', 'Netherlands'),
(5428, '37.59.144.32', '37.59.144.63', 624660512, 624660543, 'CH', 'Switzerland'),
(5429, '37.59.144.64', '37.59.144.67', 624660544, 624660547, 'GB', 'United Kingdom'),
(5430, '37.59.144.68', '37.59.144.71', 624660548, 624660551, 'FR', 'France'),
(5431, '37.59.144.72', '37.59.144.75', 624660552, 624660555, 'PL', 'Poland'),
(5432, '37.59.144.76', '37.59.144.79', 624660556, 624660559, 'FR', 'France'),
(5433, '37.59.144.80', '37.59.144.87', 624660560, 624660567, 'GB', 'United Kingdom'),
(5434, '37.59.144.88', '37.59.144.95', 624660568, 624660575, 'ES', 'Spain'),
(5435, '37.59.144.96', '37.59.144.127', 624660576, 624660607, 'FR', 'France'),
(5436, '37.59.144.128', '37.59.144.191', 624660608, 624660671, 'CH', 'Switzerland'),
(5437, '37.59.144.192', '37.59.144.223', 624660672, 624660703, 'FR', 'France'),
(5438, '37.59.144.224', '37.59.144.239', 624660704, 624660719, 'IT', 'Italy'),
(5439, '37.59.144.240', '37.59.144.243', 624660720, 624660723, 'GB', 'United Kingdom'),
(5440, '37.59.144.244', '37.59.144.247', 624660724, 624660727, 'PL', 'Poland'),
(5441, '37.59.144.248', '37.59.144.255', 624660728, 624660735, 'ES', 'Spain'),
(5442, '37.59.145.0', '37.59.145.63', 624660736, 624660799, 'GB', 'United Kingdom'),
(5443, '37.59.145.64', '37.59.145.67', 624660800, 624660803, 'FR', 'France'),
(5444, '37.59.145.68', '37.59.145.71', 624660804, 624660807, 'NL', 'Netherlands'),
(5445, '37.59.145.72', '37.59.145.75', 624660808, 624660811, 'ES', 'Spain'),
(5446, '37.59.145.76', '37.59.145.91', 624660812, 624660827, 'FR', 'France'),
(5447, '37.59.145.92', '37.59.145.95', 624660828, 624660831, 'BE', 'Belgium'),
(5448, '37.59.145.96', '37.59.145.103', 624660832, 624660839, 'ES', 'Spain'),
(5449, '37.59.145.104', '37.59.145.107', 624660840, 624660843, 'GB', 'United Kingdom'),
(5450, '37.59.145.108', '37.59.145.111', 624660844, 624660847, 'ES', 'Spain'),
(5451, '37.59.145.112', '37.59.145.119', 624660848, 624660855, 'GB', 'United Kingdom'),
(5452, '37.59.145.120', '37.59.145.123', 624660856, 624660859, 'NL', 'Netherlands'),
(5453, '37.59.145.124', '37.59.145.127', 624660860, 624660863, 'BE', 'Belgium'),
(5454, '37.59.145.128', '37.59.145.143', 624660864, 624660879, 'FR', 'France'),
(5455, '37.59.145.144', '37.59.145.151', 624660880, 624660887, 'NL', 'Netherlands'),
(5456, '37.59.145.152', '37.59.145.155', 624660888, 624660891, 'DE', 'Germany'),
(5457, '37.59.145.156', '37.59.145.159', 624660892, 624660895, 'CH', 'Switzerland'),
(5458, '37.59.145.160', '37.59.145.175', 624660896, 624660911, 'FR', 'France'),
(5459, '37.59.145.176', '37.59.145.179', 624660912, 624660915, 'PL', 'Poland'),
(5460, '37.59.145.180', '37.59.145.183', 624660916, 624660919, 'FR', 'France'),
(5461, '37.59.145.184', '37.59.145.187', 624660920, 624660923, 'PL', 'Poland'),
(5462, '37.59.145.188', '37.59.145.255', 624660924, 624660991, 'GB', 'United Kingdom'),
(5463, '37.59.146.0', '37.59.146.127', 624660992, 624661119, 'PL', 'Poland'),
(5464, '37.59.146.128', '37.59.146.167', 624661120, 624661159, 'FR', 'France'),
(5465, '37.59.146.168', '37.59.146.175', 624661160, 624661167, 'IT', 'Italy'),
(5466, '37.59.146.176', '37.59.146.183', 624661168, 624661175, 'FR', 'France'),
(5467, '37.59.146.184', '37.59.146.255', 624661176, 624661247, 'ES', 'Spain'),
(5468, '37.59.147.0', '37.59.147.3', 624661248, 624661251, 'FR', 'France'),
(5469, '37.59.147.4', '37.59.147.7', 624661252, 624661255, 'ES', 'Spain'),
(5470, '37.59.147.8', '37.59.147.11', 624661256, 624661259, 'LT', 'Lithuania'),
(5471, '37.59.147.12', '37.59.147.31', 624661260, 624661279, 'FR', 'France'),
(5472, '37.59.147.32', '37.59.147.35', 624661280, 624661283, 'ES', 'Spain'),
(5473, '37.59.147.36', '37.59.147.47', 624661284, 624661295, 'FR', 'France'),
(5474, '37.59.147.48', '37.59.147.95', 624661296, 624661343, 'DE', 'Germany'),
(5475, '37.59.147.96', '37.59.147.255', 624661344, 624661503, 'FR', 'France'),
(5476, '37.59.148.0', '37.59.148.255', 624661504, 624661759, 'DE', 'Germany'),
(5477, '37.59.149.0', '37.59.149.7', 624661760, 624661767, 'FR', 'France'),
(5478, '37.59.149.8', '37.59.149.11', 624661768, 624661771, 'IT', 'Italy'),
(5479, '37.59.149.12', '37.59.149.15', 624661772, 624661775, 'FI', 'Finland'),
(5480, '37.59.149.16', '37.59.149.19', 624661776, 624661779, 'FR', 'France'),
(5481, '37.59.149.20', '37.59.149.23', 624661780, 624661783, 'DE', 'Germany'),
(5482, '37.59.149.24', '37.59.149.63', 624661784, 624661823, 'FR', 'France'),
(5483, '37.59.149.64', '37.59.149.67', 624661824, 624661827, 'IT', 'Italy'),
(5484, '37.59.149.68', '37.59.149.71', 624661828, 624661831, 'PT', 'Portugal'),
(5485, '37.59.149.72', '37.59.149.79', 624661832, 624661839, 'FR', 'France'),
(5486, '37.59.149.80', '37.59.149.95', 624661840, 624661855, 'PL', 'Poland'),
(5487, '37.59.149.96', '37.59.149.103', 624661856, 624661863, 'FR', 'France'),
(5488, '37.59.149.104', '37.59.149.111', 624661864, 624661871, 'DE', 'Germany'),
(5489, '37.59.149.112', '37.59.149.115', 624661872, 624661875, 'PL', 'Poland'),
(5490, '37.59.149.116', '37.59.149.119', 624661876, 624661879, 'CZ', 'Czech Republic'),
(5491, '37.59.149.120', '37.59.149.143', 624661880, 624661903, 'FR', 'France'),
(5492, '37.59.149.144', '37.59.149.147', 624661904, 624661907, 'GB', 'United Kingdom'),
(5493, '37.59.149.148', '37.59.149.155', 624661908, 624661915, 'FR', 'France'),
(5494, '37.59.149.156', '37.59.149.159', 624661916, 624661919, 'BE', 'Belgium'),
(5495, '37.59.149.160', '37.59.149.175', 624661920, 624661935, 'ES', 'Spain'),
(5496, '37.59.149.176', '37.59.149.191', 624661936, 624661951, 'FR', 'France'),
(5497, '37.59.149.192', '37.59.149.195', 624661952, 624661955, 'PT', 'Portugal'),
(5498, '37.59.149.196', '37.59.149.199', 624661956, 624661959, 'PL', 'Poland'),
(5499, '37.59.149.200', '37.59.149.207', 624661960, 624661967, 'FR', 'France'),
(5500, '37.59.149.208', '37.59.149.215', 624661968, 624661975, 'DE', 'Germany'),
(5501, '37.59.149.216', '37.59.149.255', 624661976, 624662015, 'FR', 'France'),
(5502, '37.59.150.0', '37.59.150.31', 624662016, 624662047, 'NL', 'Netherlands'),
(5503, '37.59.150.32', '37.59.150.63', 624662048, 624662079, 'BE', 'Belgium'),
(5504, '37.59.150.64', '37.59.150.95', 624662080, 624662111, 'DE', 'Germany'),
(5505, '37.59.150.96', '37.59.150.211', 624662112, 624662227, 'FR', 'France'),
(5506, '37.59.150.212', '37.59.150.215', 624662228, 624662231, 'BE', 'Belgium'),
(5507, '37.59.150.216', '37.59.150.223', 624662232, 624662239, 'ES', 'Spain'),
(5508, '37.59.150.224', '37.59.150.227', 624662240, 624662243, 'FR', 'France'),
(5509, '37.59.150.228', '37.59.150.235', 624662244, 624662251, 'PL', 'Poland'),
(5510, '37.59.150.236', '37.59.150.255', 624662252, 624662271, 'FR', 'France'),
(5511, '37.59.151.0', '37.59.151.43', 624662272, 624662315, 'GB', 'United Kingdom'),
(5512, '37.59.151.44', '37.59.151.47', 624662316, 624662319, 'PL', 'Poland'),
(5513, '37.59.151.48', '37.59.151.55', 624662320, 624662327, 'FR', 'France'),
(5514, '37.59.151.56', '37.59.151.59', 624662328, 624662331, 'PT', 'Portugal'),
(5515, '37.59.151.60', '37.59.151.127', 624662332, 624662399, 'FR', 'France'),
(5516, '37.59.151.128', '37.59.151.159', 624662400, 624662431, 'PT', 'Portugal'),
(5517, '37.59.151.160', '37.59.151.199', 624662432, 624662471, 'FR', 'France'),
(5518, '37.59.151.200', '37.59.151.203', 624662472, 624662475, 'DE', 'Germany'),
(5519, '37.59.151.204', '37.59.151.207', 624662476, 624662479, 'FR', 'France'),
(5520, '37.59.151.208', '37.59.151.255', 624662480, 624662527, 'IE', 'Ireland'),
(5521, '37.59.152.0', '37.59.152.15', 624662528, 624662543, 'CH', 'Switzerland'),
(5522, '37.59.152.16', '37.59.152.63', 624662544, 624662591, 'IE', 'Ireland'),
(5523, '37.59.152.64', '37.59.152.103', 624662592, 624662631, 'FR', 'France'),
(5524, '37.59.152.104', '37.59.152.107', 624662632, 624662635, 'DE', 'Germany'),
(5525, '37.59.152.108', '37.59.152.111', 624662636, 624662639, 'NL', 'Netherlands'),
(5526, '37.59.152.112', '37.59.152.119', 624662640, 624662647, 'PL', 'Poland'),
(5527, '37.59.152.120', '37.59.152.123', 624662648, 624662651, 'FR', 'France'),
(5528, '37.59.152.124', '37.59.152.127', 624662652, 624662655, 'ES', 'Spain'),
(5529, '37.59.152.128', '37.59.152.159', 624662656, 624662687, 'FR', 'France'),
(5530, '37.59.152.160', '37.59.152.163', 624662688, 624662691, 'PT', 'Portugal'),
(5531, '37.59.152.164', '37.59.152.167', 624662692, 624662695, 'FR', 'France'),
(5532, '37.59.152.168', '37.59.152.171', 624662696, 624662699, 'FI', 'Finland'),
(5533, '37.59.152.172', '37.59.152.175', 624662700, 624662703, 'FR', 'France'),
(5534, '37.59.152.176', '37.59.152.191', 624662704, 624662719, 'CZ', 'Czech Republic'),
(5535, '37.59.152.192', '37.59.152.207', 624662720, 624662735, 'BE', 'Belgium'),
(5536, '37.59.152.208', '37.59.152.211', 624662736, 624662739, 'FR', 'France'),
(5537, '37.59.152.212', '37.59.152.223', 624662740, 624662751, 'LT', 'Lithuania'),
(5538, '37.59.152.224', '37.59.152.227', 624662752, 624662755, 'GB', 'United Kingdom'),
(5539, '37.59.152.228', '37.59.152.231', 624662756, 624662759, 'FR', 'France'),
(5540, '37.59.152.232', '37.59.152.235', 624662760, 624662763, 'IE', 'Ireland'),
(5541, '37.59.152.236', '37.59.152.239', 624662764, 624662767, 'FR', 'France'),
(5542, '37.59.152.240', '37.59.152.255', 624662768, 624662783, 'CH', 'Switzerland'),
(5543, '37.59.153.0', '37.59.153.15', 624662784, 624662799, 'PL', 'Poland'),
(5544, '37.59.153.16', '37.59.153.23', 624662800, 624662807, 'FR', 'France'),
(5545, '37.59.153.24', '37.59.153.27', 624662808, 624662811, 'PT', 'Portugal'),
(5546, '37.59.153.28', '37.59.153.31', 624662812, 624662815, 'IT', 'Italy'),
(5547, '37.59.153.32', '37.59.153.63', 624662816, 624662847, 'ES', 'Spain'),
(5548, '37.59.153.64', '37.59.153.111', 624662848, 624662895, 'FR', 'France'),
(5549, '37.59.153.112', '37.59.153.127', 624662896, 624662911, 'ES', 'Spain'),
(5550, '37.59.153.128', '37.59.153.255', 624662912, 624663039, 'IE', 'Ireland'),
(5551, '37.59.154.0', '37.59.155.111', 624663040, 624663407, 'GB', 'United Kingdom'),
(5552, '37.59.155.112', '37.59.155.127', 624663408, 624663423, 'FI', 'Finland'),
(5553, '37.59.155.128', '37.59.155.159', 624663424, 624663455, 'PL', 'Poland'),
(5554, '37.59.155.160', '37.59.155.191', 624663456, 624663487, 'GB', 'United Kingdom'),
(5555, '37.59.155.192', '37.59.155.223', 624663488, 624663519, 'NL', 'Netherlands'),
(5556, '37.59.155.224', '37.59.155.255', 624663520, 624663551, 'FR', 'France'),
(5557, '37.59.156.0', '37.59.156.31', 624663552, 624663583, 'GB', 'United Kingdom'),
(5558, '37.59.156.32', '37.59.156.63', 624663584, 624663615, 'FR', 'France'),
(5559, '37.59.156.64', '37.59.156.95', 624663616, 624663647, 'NL', 'Netherlands'),
(5560, '37.59.156.96', '37.59.156.111', 624663648, 624663663, 'CZ', 'Czech Republic'),
(5561, '37.59.156.112', '37.59.156.115', 624663664, 624663667, 'FR', 'France'),
(5562, '37.59.156.116', '37.59.156.119', 624663668, 624663671, 'GB', 'United Kingdom'),
(5563, '37.59.156.120', '37.59.156.127', 624663672, 624663679, 'IT', 'Italy'),
(5564, '37.59.156.128', '37.59.156.131', 624663680, 624663683, 'GB', 'United Kingdom'),
(5565, '37.59.156.132', '37.59.156.135', 624663684, 624663687, 'PL', 'Poland'),
(5566, '37.59.156.136', '37.59.156.143', 624663688, 624663695, 'GB', 'United Kingdom'),
(5567, '37.59.156.144', '37.59.156.159', 624663696, 624663711, 'FR', 'France'),
(5568, '37.59.156.160', '37.59.156.191', 624663712, 624663743, 'GB', 'United Kingdom'),
(5569, '37.59.156.192', '37.59.157.39', 624663744, 624663847, 'FR', 'France'),
(5570, '37.59.157.40', '37.59.157.43', 624663848, 624663851, 'GB', 'United Kingdom'),
(5571, '37.59.157.44', '37.59.157.47', 624663852, 624663855, 'IT', 'Italy'),
(5572, '37.59.157.48', '37.59.157.55', 624663856, 624663863, 'ES', 'Spain'),
(5573, '37.59.157.56', '37.59.157.59', 624663864, 624663867, 'PT', 'Portugal'),
(5574, '37.59.157.60', '37.59.157.63', 624663868, 624663871, 'PL', 'Poland'),
(5575, '37.59.157.64', '37.59.157.71', 624663872, 624663879, 'FR', 'France'),
(5576, '37.59.157.72', '37.59.157.75', 624663880, 624663883, 'CH', 'Switzerland'),
(5577, '37.59.157.76', '37.59.157.79', 624663884, 624663887, 'NL', 'Netherlands'),
(5578, '37.59.157.80', '37.59.157.83', 624663888, 624663891, 'BE', 'Belgium'),
(5579, '37.59.157.84', '37.59.157.87', 624663892, 624663895, 'PL', 'Poland'),
(5580, '37.59.157.88', '37.59.157.95', 624663896, 624663903, 'GB', 'United Kingdom'),
(5581, '37.59.157.96', '37.59.157.111', 624663904, 624663919, 'FR', 'France'),
(5582, '37.59.157.112', '37.59.157.127', 624663920, 624663935, 'ES', 'Spain'),
(5583, '37.59.157.128', '37.59.157.143', 624663936, 624663951, 'FI', 'Finland'),
(5584, '37.59.157.144', '37.59.157.159', 624663952, 624663967, 'FR', 'France'),
(5585, '37.59.157.160', '37.59.157.163', 624663968, 624663971, 'DE', 'Germany'),
(5586, '37.59.157.164', '37.59.157.167', 624663972, 624663975, 'PL', 'Poland'),
(5587, '37.59.157.168', '37.59.157.175', 624663976, 624663983, 'GB', 'United Kingdom'),
(5588, '37.59.157.176', '37.59.157.195', 624663984, 624664003, 'FR', 'France'),
(5589, '37.59.157.196', '37.59.157.199', 624664004, 624664007, 'CH', 'Switzerland'),
(5590, '37.59.157.200', '37.59.157.203', 624664008, 624664011, 'FR', 'France'),
(5591, '37.59.157.204', '37.59.157.223', 624664012, 624664031, 'PL', 'Poland'),
(5592, '37.59.157.224', '37.59.157.231', 624664032, 624664039, 'GB', 'United Kingdom'),
(5593, '37.59.157.232', '37.59.157.239', 624664040, 624664047, 'DE', 'Germany'),
(5594, '37.59.157.240', '37.59.157.255', 624664048, 624664063, 'IE', 'Ireland'),
(5595, '37.59.158.0', '37.59.158.3', 624664064, 624664067, 'GB', 'United Kingdom'),
(5596, '37.59.158.4', '37.59.158.7', 624664068, 624664071, 'ES', 'Spain'),
(5597, '37.59.158.8', '37.59.158.15', 624664072, 624664079, 'GB', 'United Kingdom'),
(5598, '37.59.158.16', '37.59.158.47', 624664080, 624664111, 'FR', 'France'),
(5599, '37.59.158.48', '37.59.158.51', 624664112, 624664115, 'PL', 'Poland'),
(5600, '37.59.158.52', '37.59.158.55', 624664116, 624664119, 'FI', 'Finland'),
(5601, '37.59.158.56', '37.59.158.59', 624664120, 624664123, 'ES', 'Spain'),
(5602, '37.59.158.60', '37.59.159.155', 624664124, 624664475, 'FR', 'France'),
(5603, '37.59.159.156', '37.59.159.159', 624664476, 624664479, 'IE', 'Ireland'),
(5604, '37.59.159.160', '37.59.159.163', 624664480, 624664483, 'PL', 'Poland'),
(5605, '37.59.159.164', '37.59.159.175', 624664484, 624664495, 'FR', 'France'),
(5606, '37.59.159.176', '37.59.159.191', 624664496, 624664511, 'ES', 'Spain'),
(5607, '37.59.159.192', '37.59.159.207', 624664512, 624664527, 'IE', 'Ireland'),
(5608, '37.59.159.208', '37.59.159.211', 624664528, 624664531, 'PT', 'Portugal'),
(5609, '37.59.159.212', '37.59.159.215', 624664532, 624664535, 'FR', 'France'),
(5610, '37.59.159.216', '37.59.159.219', 624664536, 624664539, 'PL', 'Poland'),
(5611, '37.59.159.220', '37.59.159.223', 624664540, 624664543, 'IT', 'Italy'),
(5612, '37.59.159.224', '37.59.159.255', 624664544, 624664575, 'DE', 'Germany'),
(5613, '37.59.160.0', '37.59.160.15', 624664576, 624664591, 'GB', 'United Kingdom'),
(5614, '37.59.160.16', '37.59.160.23', 624664592, 624664599, 'FR', 'France'),
(5615, '37.59.160.24', '37.59.160.27', 624664600, 624664603, 'GB', 'United Kingdom'),
(5616, '37.59.160.28', '37.59.160.31', 624664604, 624664607, 'IE', 'Ireland'),
(5617, '37.59.160.32', '37.59.160.35', 624664608, 624664611, 'CH', 'Switzerland'),
(5618, '37.59.160.36', '37.59.160.39', 624664612, 624664615, 'FR', 'France'),
(5619, '37.59.160.40', '37.59.160.43', 624664616, 624664619, 'GB', 'United Kingdom'),
(5620, '37.59.160.44', '37.59.160.47', 624664620, 624664623, 'FR', 'France'),
(5621, '37.59.160.48', '37.59.160.51', 624664624, 624664627, 'ES', 'Spain'),
(5622, '37.59.160.52', '37.59.160.55', 624664628, 624664631, 'FR', 'France'),
(5623, '37.59.160.56', '37.59.160.59', 624664632, 624664635, 'NL', 'Netherlands'),
(5624, '37.59.160.60', '37.59.160.63', 624664636, 624664639, 'ES', 'Spain'),
(5625, '37.59.160.64', '37.59.160.79', 624664640, 624664655, 'FR', 'France'),
(5626, '37.59.160.80', '37.59.160.83', 624664656, 624664659, 'IE', 'Ireland'),
(5627, '37.59.160.84', '37.59.160.87', 624664660, 624664663, 'ES', 'Spain'),
(5628, '37.59.160.88', '37.59.160.91', 624664664, 624664667, 'FR', 'France'),
(5629, '37.59.160.92', '37.59.160.95', 624664668, 624664671, 'PT', 'Portugal'),
(5630, '37.59.160.96', '37.59.160.127', 624664672, 624664703, 'IE', 'Ireland'),
(5631, '37.59.160.128', '37.59.160.191', 624664704, 624664767, 'IT', 'Italy'),
(5632, '37.59.160.192', '37.59.160.199', 624664768, 624664775, 'GB', 'United Kingdom'),
(5633, '37.59.160.200', '37.59.160.207', 624664776, 624664783, 'BE', 'Belgium'),
(5634, '37.59.160.208', '37.59.160.219', 624664784, 624664795, 'IT', 'Italy'),
(5635, '37.59.160.220', '37.59.160.223', 624664796, 624664799, 'FR', 'France'),
(5636, '37.59.160.224', '37.59.160.231', 624664800, 624664807, 'DE', 'Germany'),
(5637, '37.59.160.232', '37.59.160.235', 624664808, 624664811, 'FR', 'France'),
(5638, '37.59.160.236', '37.59.160.239', 624664812, 624664815, 'PL', 'Poland'),
(5639, '37.59.160.240', '37.59.160.255', 624664816, 624664831, 'PT', 'Portugal'),
(5640, '37.59.161.0', '37.59.161.31', 624664832, 624664863, 'IE', 'Ireland'),
(5641, '37.59.161.32', '37.59.161.63', 624664864, 624664895, 'FR', 'France'),
(5642, '37.59.161.64', '37.59.161.95', 624664896, 624664927, 'NL', 'Netherlands'),
(5643, '37.59.161.96', '37.59.161.127', 624664928, 624664959, 'DE', 'Germany'),
(5644, '37.59.161.128', '37.59.161.159', 624664960, 624664991, 'BE', 'Belgium'),
(5645, '37.59.161.160', '37.59.161.255', 624664992, 624665087, 'FR', 'France'),
(5646, '37.59.162.0', '37.59.162.47', 624665088, 624665135, 'PL', 'Poland'),
(5647, '37.59.162.48', '37.59.162.63', 624665136, 624665151, 'PT', 'Portugal'),
(5648, '37.59.162.64', '37.59.162.71', 624665152, 624665159, 'DE', 'Germany'),
(5649, '37.59.162.72', '37.59.162.79', 624665160, 624665167, 'CZ', 'Czech Republic'),
(5650, '37.59.162.80', '37.59.162.87', 624665168, 624665175, 'CH', 'Switzerland'),
(5651, '37.59.162.88', '37.59.162.95', 624665176, 624665183, 'BE', 'Belgium'),
(5652, '37.59.162.96', '37.59.162.99', 624665184, 624665187, 'FR', 'France'),
(5653, '37.59.162.100', '37.59.162.103', 624665188, 624665191, 'PL', 'Poland'),
(5654, '37.59.162.104', '37.59.162.111', 624665192, 624665199, 'GB', 'United Kingdom'),
(5655, '37.59.162.112', '37.59.162.119', 624665200, 624665207, 'PL', 'Poland'),
(5656, '37.59.162.120', '37.59.162.123', 624665208, 624665211, 'FR', 'France'),
(5657, '37.59.162.124', '37.59.162.127', 624665212, 624665215, 'IT', 'Italy'),
(5658, '37.59.162.128', '37.59.162.143', 624665216, 624665231, 'FR', 'France'),
(5659, '37.59.162.144', '37.59.162.147', 624665232, 624665235, 'PL', 'Poland'),
(5660, '37.59.162.148', '37.59.162.159', 624665236, 624665247, 'FR', 'France'),
(5661, '37.59.162.160', '37.59.162.175', 624665248, 624665263, 'PT', 'Portugal'),
(5662, '37.59.162.176', '37.59.162.183', 624665264, 624665271, 'IT', 'Italy'),
(5663, '37.59.162.184', '37.59.162.187', 624665272, 624665275, 'CZ', 'Czech Republic'),
(5664, '37.59.162.188', '37.59.162.191', 624665276, 624665279, 'FR', 'France'),
(5665, '37.59.162.192', '37.59.162.195', 624665280, 624665283, 'DE', 'Germany'),
(5666, '37.59.162.196', '37.59.162.199', 624665284, 624665287, 'IT', 'Italy'),
(5667, '37.59.162.200', '37.59.162.207', 624665288, 624665295, 'NL', 'Netherlands'),
(5668, '37.59.162.208', '37.59.162.215', 624665296, 624665303, 'GB', 'United Kingdom'),
(5669, '37.59.162.216', '37.59.163.131', 624665304, 624665475, 'FR', 'France'),
(5670, '37.59.163.132', '37.59.163.135', 624665476, 624665479, 'PL', 'Poland'),
(5671, '37.59.163.136', '37.59.163.151', 624665480, 624665495, 'FR', 'France'),
(5672, '37.59.163.152', '37.59.163.155', 624665496, 624665499, 'PL', 'Poland'),
(5673, '37.59.163.156', '37.59.163.191', 624665500, 624665535, 'FR', 'France'),
(5674, '37.59.163.192', '37.59.163.211', 624665536, 624665555, 'PL', 'Poland'),
(5675, '37.59.163.212', '37.59.163.215', 624665556, 624665559, 'FR', 'France'),
(5676, '37.59.163.216', '37.59.163.223', 624665560, 624665567, 'IE', 'Ireland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(5677, '37.59.163.224', '37.59.163.243', 624665568, 624665587, 'FR', 'France'),
(5678, '37.59.163.244', '37.59.163.247', 624665588, 624665591, 'ES', 'Spain'),
(5679, '37.59.163.248', '37.59.163.251', 624665592, 624665595, 'FR', 'France'),
(5680, '37.59.163.252', '37.59.163.255', 624665596, 624665599, 'PL', 'Poland'),
(5681, '37.59.164.0', '37.59.164.7', 624665600, 624665607, 'FR', 'France'),
(5682, '37.59.164.8', '37.59.164.11', 624665608, 624665611, 'PL', 'Poland'),
(5683, '37.59.164.12', '37.59.164.15', 624665612, 624665615, 'ES', 'Spain'),
(5684, '37.59.164.16', '37.59.164.31', 624665616, 624665631, 'FR', 'France'),
(5685, '37.59.164.32', '37.59.164.47', 624665632, 624665647, 'PL', 'Poland'),
(5686, '37.59.164.48', '37.59.164.63', 624665648, 624665663, 'FR', 'France'),
(5687, '37.59.164.64', '37.59.164.95', 624665664, 624665695, 'PT', 'Portugal'),
(5688, '37.59.164.96', '37.59.164.111', 624665696, 624665711, 'FR', 'France'),
(5689, '37.59.164.112', '37.59.164.127', 624665712, 624665727, 'GB', 'United Kingdom'),
(5690, '37.59.164.128', '37.59.164.159', 624665728, 624665759, 'PT', 'Portugal'),
(5691, '37.59.164.160', '37.59.164.167', 624665760, 624665767, 'FR', 'France'),
(5692, '37.59.164.168', '37.59.164.175', 624665768, 624665775, 'NL', 'Netherlands'),
(5693, '37.59.164.176', '37.59.164.179', 624665776, 624665779, 'PL', 'Poland'),
(5694, '37.59.164.180', '37.59.164.183', 624665780, 624665783, 'FI', 'Finland'),
(5695, '37.59.164.184', '37.59.164.187', 624665784, 624665787, 'FR', 'France'),
(5696, '37.59.164.188', '37.59.164.191', 624665788, 624665791, 'ES', 'Spain'),
(5697, '37.59.164.192', '37.59.164.223', 624665792, 624665823, 'FR', 'France'),
(5698, '37.59.164.224', '37.59.164.231', 624665824, 624665831, 'GB', 'United Kingdom'),
(5699, '37.59.164.232', '37.59.164.239', 624665832, 624665839, 'DE', 'Germany'),
(5700, '37.59.164.240', '37.59.164.251', 624665840, 624665851, 'ES', 'Spain'),
(5701, '37.59.164.252', '37.59.164.255', 624665852, 624665855, 'PL', 'Poland'),
(5702, '37.59.165.0', '37.59.165.3', 624665856, 624665859, 'FR', 'France'),
(5703, '37.59.165.4', '37.59.165.7', 624665860, 624665863, 'IT', 'Italy'),
(5704, '37.59.165.8', '37.59.165.15', 624665864, 624665871, 'FR', 'France'),
(5705, '37.59.165.16', '37.59.165.255', 624665872, 624666111, 'IE', 'Ireland'),
(5706, '37.59.166.0', '37.59.166.255', 624666112, 624666367, 'FR', 'France'),
(5707, '37.59.167.0', '37.59.167.3', 624666368, 624666371, 'PL', 'Poland'),
(5708, '37.59.167.4', '37.59.167.7', 624666372, 624666375, 'GB', 'United Kingdom'),
(5709, '37.59.167.8', '37.59.167.11', 624666376, 624666379, 'ES', 'Spain'),
(5710, '37.59.167.12', '37.59.167.15', 624666380, 624666383, 'PL', 'Poland'),
(5711, '37.59.167.16', '37.59.167.23', 624666384, 624666391, 'FR', 'France'),
(5712, '37.59.167.24', '37.59.167.31', 624666392, 624666399, 'GB', 'United Kingdom'),
(5713, '37.59.167.32', '37.59.167.63', 624666400, 624666431, 'BE', 'Belgium'),
(5714, '37.59.167.64', '37.59.167.127', 624666432, 624666495, 'GB', 'United Kingdom'),
(5715, '37.59.167.128', '37.59.167.255', 624666496, 624666623, 'FR', 'France'),
(5716, '37.59.168.0', '37.59.168.31', 624666624, 624666655, 'CH', 'Switzerland'),
(5717, '37.59.168.32', '37.59.168.43', 624666656, 624666667, 'PL', 'Poland'),
(5718, '37.59.168.44', '37.59.168.47', 624666668, 624666671, 'FR', 'France'),
(5719, '37.59.168.48', '37.59.168.63', 624666672, 624666687, 'GB', 'United Kingdom'),
(5720, '37.59.168.64', '37.59.168.67', 624666688, 624666691, 'FR', 'France'),
(5721, '37.59.168.68', '37.59.168.71', 624666692, 624666695, 'ES', 'Spain'),
(5722, '37.59.168.72', '37.59.168.75', 624666696, 624666699, 'PT', 'Portugal'),
(5723, '37.59.168.76', '37.59.168.79', 624666700, 624666703, 'CH', 'Switzerland'),
(5724, '37.59.168.80', '37.59.168.95', 624666704, 624666719, 'FI', 'Finland'),
(5725, '37.59.168.96', '37.59.168.103', 624666720, 624666727, 'DE', 'Germany'),
(5726, '37.59.168.104', '37.59.168.107', 624666728, 624666731, 'FR', 'France'),
(5727, '37.59.168.108', '37.59.168.111', 624666732, 624666735, 'ES', 'Spain'),
(5728, '37.59.168.112', '37.59.168.115', 624666736, 624666739, 'DE', 'Germany'),
(5729, '37.59.168.116', '37.59.168.119', 624666740, 624666743, 'BE', 'Belgium'),
(5730, '37.59.168.120', '37.59.168.131', 624666744, 624666755, 'PL', 'Poland'),
(5731, '37.59.168.132', '37.59.168.135', 624666756, 624666759, 'IT', 'Italy'),
(5732, '37.59.168.136', '37.59.168.143', 624666760, 624666767, 'DE', 'Germany'),
(5733, '37.59.168.144', '37.59.168.159', 624666768, 624666783, 'PT', 'Portugal'),
(5734, '37.59.168.160', '37.59.168.167', 624666784, 624666791, 'FR', 'France'),
(5735, '37.59.168.168', '37.59.168.171', 624666792, 624666795, 'ES', 'Spain'),
(5736, '37.59.168.172', '37.59.168.175', 624666796, 624666799, 'GB', 'United Kingdom'),
(5737, '37.59.168.176', '37.59.168.255', 624666800, 624666879, 'FR', 'France'),
(5738, '37.59.169.0', '37.59.169.3', 624666880, 624666883, 'ES', 'Spain'),
(5739, '37.59.169.4', '37.59.169.7', 624666884, 624666887, 'FR', 'France'),
(5740, '37.59.169.8', '37.59.169.15', 624666888, 624666895, 'BE', 'Belgium'),
(5741, '37.59.169.16', '37.59.169.19', 624666896, 624666899, 'GB', 'United Kingdom'),
(5742, '37.59.169.20', '37.59.169.23', 624666900, 624666903, 'NL', 'Netherlands'),
(5743, '37.59.169.24', '37.59.169.27', 624666904, 624666907, 'ES', 'Spain'),
(5744, '37.59.169.28', '37.59.169.31', 624666908, 624666911, 'IT', 'Italy'),
(5745, '37.59.169.32', '37.59.169.39', 624666912, 624666919, 'PT', 'Portugal'),
(5746, '37.59.169.40', '37.59.169.43', 624666920, 624666923, 'GB', 'United Kingdom'),
(5747, '37.59.169.44', '37.59.169.63', 624666924, 624666943, 'FR', 'France'),
(5748, '37.59.169.64', '37.59.169.79', 624666944, 624666959, 'GB', 'United Kingdom'),
(5749, '37.59.169.80', '37.59.169.95', 624666960, 624666975, 'PL', 'Poland'),
(5750, '37.59.169.96', '37.59.169.111', 624666976, 624666991, 'FR', 'France'),
(5751, '37.59.169.112', '37.59.169.115', 624666992, 624666995, 'PL', 'Poland'),
(5752, '37.59.169.116', '37.59.169.119', 624666996, 624666999, 'FR', 'France'),
(5753, '37.59.169.120', '37.59.169.127', 624667000, 624667007, 'PL', 'Poland'),
(5754, '37.59.169.128', '37.59.169.159', 624667008, 624667039, 'BE', 'Belgium'),
(5755, '37.59.169.160', '37.59.169.195', 624667040, 624667075, 'FR', 'France'),
(5756, '37.59.169.196', '37.59.169.199', 624667076, 624667079, 'PL', 'Poland'),
(5757, '37.59.169.200', '37.59.169.203', 624667080, 624667083, 'IT', 'Italy'),
(5758, '37.59.169.204', '37.59.169.207', 624667084, 624667087, 'PL', 'Poland'),
(5759, '37.59.169.208', '37.59.169.223', 624667088, 624667103, 'GB', 'United Kingdom'),
(5760, '37.59.169.224', '37.59.169.227', 624667104, 624667107, 'FR', 'France'),
(5761, '37.59.169.228', '37.59.169.231', 624667108, 624667111, 'DE', 'Germany'),
(5762, '37.59.169.232', '37.59.169.235', 624667112, 624667115, 'ES', 'Spain'),
(5763, '37.59.169.236', '37.59.170.63', 624667116, 624667199, 'FR', 'France'),
(5764, '37.59.170.64', '37.59.170.95', 624667200, 624667231, 'ES', 'Spain'),
(5765, '37.59.170.96', '37.59.170.127', 624667232, 624667263, 'IT', 'Italy'),
(5766, '37.59.170.128', '37.59.170.143', 624667264, 624667279, 'IE', 'Ireland'),
(5767, '37.59.170.144', '37.59.171.3', 624667280, 624667395, 'FR', 'France'),
(5768, '37.59.171.4', '37.59.171.31', 624667396, 624667423, 'GB', 'United Kingdom'),
(5769, '37.59.171.32', '37.59.171.63', 624667424, 624667455, 'CZ', 'Czech Republic'),
(5770, '37.59.171.64', '37.59.171.127', 624667456, 624667519, 'PT', 'Portugal'),
(5771, '37.59.171.128', '37.59.171.191', 624667520, 624667583, 'NL', 'Netherlands'),
(5772, '37.59.171.192', '37.59.171.199', 624667584, 624667591, 'PL', 'Poland'),
(5773, '37.59.171.200', '37.59.171.203', 624667592, 624667595, 'GB', 'United Kingdom'),
(5774, '37.59.171.204', '37.59.171.211', 624667596, 624667603, 'PL', 'Poland'),
(5775, '37.59.171.212', '37.59.171.215', 624667604, 624667607, 'GB', 'United Kingdom'),
(5776, '37.59.171.216', '37.59.171.223', 624667608, 624667615, 'FR', 'France'),
(5777, '37.59.171.224', '37.59.171.231', 624667616, 624667623, 'PL', 'Poland'),
(5778, '37.59.171.232', '37.59.171.239', 624667624, 624667631, 'GB', 'United Kingdom'),
(5779, '37.59.171.240', '37.59.171.247', 624667632, 624667639, 'NL', 'Netherlands'),
(5780, '37.59.171.248', '37.59.171.255', 624667640, 624667647, 'PL', 'Poland'),
(5781, '37.59.172.0', '37.59.172.127', 624667648, 624667775, 'ES', 'Spain'),
(5782, '37.59.172.128', '37.59.172.179', 624667776, 624667827, 'FR', 'France'),
(5783, '37.59.172.180', '37.59.172.183', 624667828, 624667831, 'PL', 'Poland'),
(5784, '37.59.172.184', '37.59.172.191', 624667832, 624667839, 'BE', 'Belgium'),
(5785, '37.59.172.192', '37.59.172.199', 624667840, 624667847, 'FR', 'France'),
(5786, '37.59.172.200', '37.59.172.203', 624667848, 624667851, 'LT', 'Lithuania'),
(5787, '37.59.172.204', '37.59.172.223', 624667852, 624667871, 'ES', 'Spain'),
(5788, '37.59.172.224', '37.59.172.239', 624667872, 624667887, 'IE', 'Ireland'),
(5789, '37.59.172.240', '37.59.172.247', 624667888, 624667895, 'GB', 'United Kingdom'),
(5790, '37.59.172.248', '37.59.172.251', 624667896, 624667899, 'PL', 'Poland'),
(5791, '37.59.172.252', '37.59.172.255', 624667900, 624667903, 'FR', 'France'),
(5792, '37.59.173.0', '37.59.173.31', 624667904, 624667935, 'PT', 'Portugal'),
(5793, '37.59.173.32', '37.59.173.47', 624667936, 624667951, 'DE', 'Germany'),
(5794, '37.59.173.48', '37.59.173.63', 624667952, 624667967, 'GB', 'United Kingdom'),
(5795, '37.59.173.64', '37.59.173.67', 624667968, 624667971, 'DE', 'Germany'),
(5796, '37.59.173.68', '37.59.173.71', 624667972, 624667975, 'FR', 'France'),
(5797, '37.59.173.72', '37.59.173.79', 624667976, 624667983, 'PL', 'Poland'),
(5798, '37.59.173.80', '37.59.173.87', 624667984, 624667991, 'FR', 'France'),
(5799, '37.59.173.88', '37.59.173.95', 624667992, 624667999, 'PL', 'Poland'),
(5800, '37.59.173.96', '37.59.173.111', 624668000, 624668015, 'IT', 'Italy'),
(5801, '37.59.173.112', '37.59.173.119', 624668016, 624668023, 'FR', 'France'),
(5802, '37.59.173.120', '37.59.173.123', 624668024, 624668027, 'ES', 'Spain'),
(5803, '37.59.173.124', '37.59.173.139', 624668028, 624668043, 'FR', 'France'),
(5804, '37.59.173.140', '37.59.173.143', 624668044, 624668047, 'PL', 'Poland'),
(5805, '37.59.173.144', '37.59.173.159', 624668048, 624668063, 'GB', 'United Kingdom'),
(5806, '37.59.173.160', '37.59.173.163', 624668064, 624668067, 'FR', 'France'),
(5807, '37.59.173.164', '37.59.173.167', 624668068, 624668071, 'GB', 'United Kingdom'),
(5808, '37.59.173.168', '37.59.173.191', 624668072, 624668095, 'PL', 'Poland'),
(5809, '37.59.173.192', '37.59.174.63', 624668096, 624668223, 'FR', 'France'),
(5810, '37.59.174.64', '37.59.174.95', 624668224, 624668255, 'PT', 'Portugal'),
(5811, '37.59.174.96', '37.59.174.111', 624668256, 624668271, 'FR', 'France'),
(5812, '37.59.174.112', '37.59.174.115', 624668272, 624668275, 'BE', 'Belgium'),
(5813, '37.59.174.116', '37.59.174.119', 624668276, 624668279, 'FR', 'France'),
(5814, '37.59.174.120', '37.59.174.127', 624668280, 624668287, 'NL', 'Netherlands'),
(5815, '37.59.174.128', '37.59.174.191', 624668288, 624668351, 'FR', 'France'),
(5816, '37.59.174.192', '37.59.174.207', 624668352, 624668367, 'GB', 'United Kingdom'),
(5817, '37.59.174.208', '37.59.174.223', 624668368, 624668383, 'PL', 'Poland'),
(5818, '37.59.174.224', '37.59.174.255', 624668384, 624668415, 'PT', 'Portugal'),
(5819, '37.59.175.0', '37.59.175.7', 624668416, 624668423, 'FR', 'France'),
(5820, '37.59.175.8', '37.59.175.15', 624668424, 624668431, 'PL', 'Poland'),
(5821, '37.59.175.16', '37.59.175.63', 624668432, 624668479, 'FR', 'France'),
(5822, '37.59.175.64', '37.59.175.95', 624668480, 624668511, 'DE', 'Germany'),
(5823, '37.59.175.96', '37.59.175.127', 624668512, 624668543, 'NL', 'Netherlands'),
(5824, '37.59.175.128', '37.59.175.131', 624668544, 624668547, 'CZ', 'Czech Republic'),
(5825, '37.59.175.132', '37.59.175.135', 624668548, 624668551, 'FR', 'France'),
(5826, '37.59.175.136', '37.59.175.143', 624668552, 624668559, 'GB', 'United Kingdom'),
(5827, '37.59.175.144', '37.59.175.159', 624668560, 624668575, 'FR', 'France'),
(5828, '37.59.175.160', '37.59.175.167', 624668576, 624668583, 'GB', 'United Kingdom'),
(5829, '37.59.175.168', '37.59.175.191', 624668584, 624668607, 'FR', 'France'),
(5830, '37.59.175.192', '37.59.175.223', 624668608, 624668639, 'NL', 'Netherlands'),
(5831, '37.59.175.224', '37.59.175.227', 624668640, 624668643, 'PT', 'Portugal'),
(5832, '37.59.175.228', '37.59.175.231', 624668644, 624668647, 'IE', 'Ireland'),
(5833, '37.59.175.232', '37.59.175.239', 624668648, 624668655, 'FR', 'France'),
(5834, '37.59.175.240', '37.59.175.255', 624668656, 624668671, 'PL', 'Poland'),
(5835, '37.59.176.0', '37.59.178.31', 624668672, 624669215, 'NL', 'Netherlands'),
(5836, '37.59.178.32', '37.59.178.47', 624669216, 624669231, 'GB', 'United Kingdom'),
(5837, '37.59.178.48', '37.59.178.63', 624669232, 624669247, 'ES', 'Spain'),
(5838, '37.59.178.64', '37.59.178.95', 624669248, 624669279, 'FR', 'France'),
(5839, '37.59.178.96', '37.59.178.111', 624669280, 624669295, 'PL', 'Poland'),
(5840, '37.59.178.112', '37.59.178.119', 624669296, 624669303, 'IT', 'Italy'),
(5841, '37.59.178.120', '37.59.178.127', 624669304, 624669311, 'PL', 'Poland'),
(5842, '37.59.178.128', '37.59.178.159', 624669312, 624669343, 'FR', 'France'),
(5843, '37.59.178.160', '37.59.178.175', 624669344, 624669359, 'LT', 'Lithuania'),
(5844, '37.59.178.176', '37.59.178.183', 624669360, 624669367, 'PL', 'Poland'),
(5845, '37.59.178.184', '37.59.178.187', 624669368, 624669371, 'CH', 'Switzerland'),
(5846, '37.59.178.188', '37.59.178.191', 624669372, 624669375, 'PL', 'Poland'),
(5847, '37.59.178.192', '37.59.178.255', 624669376, 624669439, 'FR', 'France'),
(5848, '37.59.179.0', '37.59.179.19', 624669440, 624669459, 'PL', 'Poland'),
(5849, '37.59.179.20', '37.59.179.23', 624669460, 624669463, 'FI', 'Finland'),
(5850, '37.59.179.24', '37.59.179.59', 624669464, 624669499, 'FR', 'France'),
(5851, '37.59.179.60', '37.59.179.75', 624669500, 624669515, 'PL', 'Poland'),
(5852, '37.59.179.76', '37.59.179.79', 624669516, 624669519, 'BE', 'Belgium'),
(5853, '37.59.179.80', '37.59.179.139', 624669520, 624669579, 'FR', 'France'),
(5854, '37.59.179.140', '37.59.179.143', 624669580, 624669583, 'DE', 'Germany'),
(5855, '37.59.179.144', '37.59.179.151', 624669584, 624669591, 'PL', 'Poland'),
(5856, '37.59.179.152', '37.59.179.159', 624669592, 624669599, 'DE', 'Germany'),
(5857, '37.59.179.160', '37.59.179.183', 624669600, 624669623, 'FR', 'France'),
(5858, '37.59.179.184', '37.59.179.191', 624669624, 624669631, 'DE', 'Germany'),
(5859, '37.59.179.192', '37.59.179.255', 624669632, 624669695, 'FR', 'France'),
(5860, '37.59.180.0', '37.59.180.3', 624669696, 624669699, 'CH', 'Switzerland'),
(5861, '37.59.180.4', '37.59.180.7', 624669700, 624669703, 'DE', 'Germany'),
(5862, '37.59.180.8', '37.59.180.15', 624669704, 624669711, 'PL', 'Poland'),
(5863, '37.59.180.16', '37.59.180.31', 624669712, 624669727, 'GB', 'United Kingdom'),
(5864, '37.59.180.32', '37.59.180.39', 624669728, 624669735, 'ES', 'Spain'),
(5865, '37.59.180.40', '37.59.180.47', 624669736, 624669743, 'PL', 'Poland'),
(5866, '37.59.180.48', '37.59.180.51', 624669744, 624669747, 'IT', 'Italy'),
(5867, '37.59.180.52', '37.59.180.55', 624669748, 624669751, 'FR', 'France'),
(5868, '37.59.180.56', '37.59.180.59', 624669752, 624669755, 'ES', 'Spain'),
(5869, '37.59.180.60', '37.59.180.95', 624669756, 624669791, 'FR', 'France'),
(5870, '37.59.180.96', '37.59.180.99', 624669792, 624669795, 'GB', 'United Kingdom'),
(5871, '37.59.180.100', '37.59.180.111', 624669796, 624669807, 'IE', 'Ireland'),
(5872, '37.59.180.112', '37.59.180.115', 624669808, 624669811, 'PL', 'Poland'),
(5873, '37.59.180.116', '37.59.180.119', 624669812, 624669815, 'NL', 'Netherlands'),
(5874, '37.59.180.120', '37.59.180.127', 624669816, 624669823, 'PL', 'Poland'),
(5875, '37.59.180.128', '37.59.180.159', 624669824, 624669855, 'FR', 'France'),
(5876, '37.59.180.160', '37.59.180.175', 624669856, 624669871, 'GB', 'United Kingdom'),
(5877, '37.59.180.176', '37.59.180.183', 624669872, 624669879, 'PL', 'Poland'),
(5878, '37.59.180.184', '37.59.180.191', 624669880, 624669887, 'GB', 'United Kingdom'),
(5879, '37.59.180.192', '37.59.180.223', 624669888, 624669919, 'FR', 'France'),
(5880, '37.59.180.224', '37.59.180.239', 624669920, 624669935, 'NL', 'Netherlands'),
(5881, '37.59.180.240', '37.59.180.243', 624669936, 624669939, 'PL', 'Poland'),
(5882, '37.59.180.244', '37.59.180.247', 624669940, 624669943, 'GB', 'United Kingdom'),
(5883, '37.59.180.248', '37.59.181.3', 624669944, 624669955, 'FR', 'France'),
(5884, '37.59.181.4', '37.59.181.7', 624669956, 624669959, 'PL', 'Poland'),
(5885, '37.59.181.8', '37.59.181.11', 624669960, 624669963, 'ES', 'Spain'),
(5886, '37.59.181.12', '37.59.181.15', 624669964, 624669967, 'GB', 'United Kingdom'),
(5887, '37.59.181.16', '37.59.181.23', 624669968, 624669975, 'PL', 'Poland'),
(5888, '37.59.181.24', '37.59.181.31', 624669976, 624669983, 'FR', 'France'),
(5889, '37.59.181.32', '37.59.181.35', 624669984, 624669987, 'PL', 'Poland'),
(5890, '37.59.181.36', '37.59.181.47', 624669988, 624669999, 'FR', 'France'),
(5891, '37.59.181.48', '37.59.181.55', 624670000, 624670007, 'IE', 'Ireland'),
(5892, '37.59.181.56', '37.59.181.63', 624670008, 624670015, 'PL', 'Poland'),
(5893, '37.59.181.64', '37.59.181.127', 624670016, 624670079, 'FR', 'France'),
(5894, '37.59.181.128', '37.59.181.151', 624670080, 624670103, 'PL', 'Poland'),
(5895, '37.59.181.152', '37.59.181.175', 624670104, 624670127, 'FR', 'France'),
(5896, '37.59.181.176', '37.59.181.191', 624670128, 624670143, 'PL', 'Poland'),
(5897, '37.59.181.192', '37.59.181.195', 624670144, 624670147, 'CZ', 'Czech Republic'),
(5898, '37.59.181.196', '37.59.181.199', 624670148, 624670151, 'PL', 'Poland'),
(5899, '37.59.181.200', '37.59.181.207', 624670152, 624670159, 'FR', 'France'),
(5900, '37.59.181.208', '37.59.181.215', 624670160, 624670167, 'PL', 'Poland'),
(5901, '37.59.181.216', '37.59.181.219', 624670168, 624670171, 'GB', 'United Kingdom'),
(5902, '37.59.181.220', '37.59.181.223', 624670172, 624670175, 'ES', 'Spain'),
(5903, '37.59.181.224', '37.59.181.231', 624670176, 624670183, 'FI', 'Finland'),
(5904, '37.59.181.232', '37.59.181.239', 624670184, 624670191, 'IT', 'Italy'),
(5905, '37.59.181.240', '37.59.181.243', 624670192, 624670195, 'FR', 'France'),
(5906, '37.59.181.244', '37.59.181.251', 624670196, 624670203, 'ES', 'Spain'),
(5907, '37.59.181.252', '37.59.182.127', 624670204, 624670335, 'FR', 'France'),
(5908, '37.59.182.128', '37.59.182.135', 624670336, 624670343, 'NL', 'Netherlands'),
(5909, '37.59.182.136', '37.59.182.139', 624670344, 624670347, 'ES', 'Spain'),
(5910, '37.59.182.140', '37.59.182.143', 624670348, 624670351, 'NL', 'Netherlands'),
(5911, '37.59.182.144', '37.59.182.159', 624670352, 624670367, 'FR', 'France'),
(5912, '37.59.182.160', '37.59.182.175', 624670368, 624670383, 'PL', 'Poland'),
(5913, '37.59.182.176', '37.59.182.183', 624670384, 624670391, 'FR', 'France'),
(5914, '37.59.182.184', '37.59.182.187', 624670392, 624670395, 'CH', 'Switzerland'),
(5915, '37.59.182.188', '37.59.182.191', 624670396, 624670399, 'NL', 'Netherlands'),
(5916, '37.59.182.192', '37.59.182.195', 624670400, 624670403, 'LT', 'Lithuania'),
(5917, '37.59.182.196', '37.59.182.199', 624670404, 624670407, 'ES', 'Spain'),
(5918, '37.59.182.200', '37.59.182.203', 624670408, 624670411, 'FR', 'France'),
(5919, '37.59.182.204', '37.59.182.207', 624670412, 624670415, 'GB', 'United Kingdom'),
(5920, '37.59.182.208', '37.59.182.223', 624670416, 624670431, 'DE', 'Germany'),
(5921, '37.59.182.224', '37.59.182.231', 624670432, 624670439, 'PL', 'Poland'),
(5922, '37.59.182.232', '37.59.182.235', 624670440, 624670443, 'FR', 'France'),
(5923, '37.59.182.236', '37.59.182.239', 624670444, 624670447, 'ES', 'Spain'),
(5924, '37.59.182.240', '37.59.182.255', 624670448, 624670463, 'CH', 'Switzerland'),
(5925, '37.59.183.0', '37.59.183.15', 624670464, 624670479, 'FR', 'France'),
(5926, '37.59.183.16', '37.59.183.23', 624670480, 624670487, 'GB', 'United Kingdom'),
(5927, '37.59.183.24', '37.59.183.31', 624670488, 624670495, 'PL', 'Poland'),
(5928, '37.59.183.32', '37.59.183.127', 624670496, 624670591, 'FR', 'France'),
(5929, '37.59.183.128', '37.59.183.135', 624670592, 624670599, 'GB', 'United Kingdom'),
(5930, '37.59.183.136', '37.59.183.139', 624670600, 624670603, 'FR', 'France'),
(5931, '37.59.183.140', '37.59.183.143', 624670604, 624670607, 'GB', 'United Kingdom'),
(5932, '37.59.183.144', '37.59.183.151', 624670608, 624670615, 'FR', 'France'),
(5933, '37.59.183.152', '37.59.183.155', 624670616, 624670619, 'GB', 'United Kingdom'),
(5934, '37.59.183.156', '37.59.183.159', 624670620, 624670623, 'FR', 'France'),
(5935, '37.59.183.160', '37.59.183.191', 624670624, 624670655, 'NL', 'Netherlands'),
(5936, '37.59.183.192', '37.59.183.207', 624670656, 624670671, 'ES', 'Spain'),
(5937, '37.59.183.208', '37.59.183.223', 624670672, 624670687, 'CZ', 'Czech Republic'),
(5938, '37.59.183.224', '37.59.184.31', 624670688, 624670751, 'FR', 'France'),
(5939, '37.59.184.32', '37.59.184.47', 624670752, 624670767, 'GB', 'United Kingdom'),
(5940, '37.59.184.48', '37.59.184.71', 624670768, 624670791, 'FR', 'France'),
(5941, '37.59.184.72', '37.59.184.83', 624670792, 624670803, 'GB', 'United Kingdom'),
(5942, '37.59.184.84', '37.59.184.95', 624670804, 624670815, 'PL', 'Poland'),
(5943, '37.59.184.96', '37.59.184.127', 624670816, 624670847, 'FR', 'France'),
(5944, '37.59.184.128', '37.59.184.135', 624670848, 624670855, 'PL', 'Poland'),
(5945, '37.59.184.136', '37.59.184.143', 624670856, 624670863, 'FR', 'France'),
(5946, '37.59.184.144', '37.59.184.151', 624670864, 624670871, 'PL', 'Poland'),
(5947, '37.59.184.152', '37.59.184.159', 624670872, 624670879, 'FR', 'France'),
(5948, '37.59.184.160', '37.59.184.175', 624670880, 624670895, 'PT', 'Portugal'),
(5949, '37.59.184.176', '37.59.184.183', 624670896, 624670903, 'CH', 'Switzerland'),
(5950, '37.59.184.184', '37.59.184.207', 624670904, 624670927, 'FR', 'France'),
(5951, '37.59.184.208', '37.59.184.215', 624670928, 624670935, 'PL', 'Poland'),
(5952, '37.59.184.216', '37.59.184.223', 624670936, 624670943, 'FR', 'France'),
(5953, '37.59.184.224', '37.59.184.255', 624670944, 624670975, 'BE', 'Belgium'),
(5954, '37.59.185.0', '37.59.185.255', 624670976, 624671231, 'PT', 'Portugal'),
(5955, '37.59.186.0', '37.59.186.7', 624671232, 624671239, 'GB', 'United Kingdom'),
(5956, '37.59.186.8', '37.59.186.11', 624671240, 624671243, 'FR', 'France'),
(5957, '37.59.186.12', '37.59.186.15', 624671244, 624671247, 'PL', 'Poland'),
(5958, '37.59.186.16', '37.59.186.19', 624671248, 624671251, 'ES', 'Spain'),
(5959, '37.59.186.20', '37.59.186.23', 624671252, 624671255, 'PL', 'Poland'),
(5960, '37.59.186.24', '37.59.186.27', 624671256, 624671259, 'GB', 'United Kingdom'),
(5961, '37.59.186.28', '37.59.186.47', 624671260, 624671279, 'FR', 'France'),
(5962, '37.59.186.48', '37.59.186.59', 624671280, 624671291, 'ES', 'Spain'),
(5963, '37.59.186.60', '37.59.186.127', 624671292, 624671359, 'FR', 'France'),
(5964, '37.59.186.128', '37.59.186.191', 624671360, 624671423, 'GB', 'United Kingdom'),
(5965, '37.59.186.192', '37.59.187.255', 624671424, 624671743, 'FR', 'France'),
(5966, '37.59.188.0', '37.59.188.31', 624671744, 624671775, 'IT', 'Italy'),
(5967, '37.59.188.32', '37.59.188.63', 624671776, 624671807, 'PT', 'Portugal'),
(5968, '37.59.188.64', '37.59.188.79', 624671808, 624671823, 'PL', 'Poland'),
(5969, '37.59.188.80', '37.59.188.87', 624671824, 624671831, 'IE', 'Ireland'),
(5970, '37.59.188.88', '37.59.188.95', 624671832, 624671839, 'DE', 'Germany'),
(5971, '37.59.188.96', '37.59.188.111', 624671840, 624671855, 'PL', 'Poland'),
(5972, '37.59.188.112', '37.59.188.127', 624671856, 624671871, 'PT', 'Portugal'),
(5973, '37.59.188.128', '37.59.188.143', 624671872, 624671887, 'CZ', 'Czech Republic'),
(5974, '37.59.188.144', '37.59.188.151', 624671888, 624671895, 'PT', 'Portugal'),
(5975, '37.59.188.152', '37.59.188.159', 624671896, 624671903, 'DE', 'Germany'),
(5976, '37.59.188.160', '37.59.188.175', 624671904, 624671919, 'PT', 'Portugal'),
(5977, '37.59.188.176', '37.59.188.183', 624671920, 624671927, 'NL', 'Netherlands'),
(5978, '37.59.188.184', '37.59.188.191', 624671928, 624671935, 'IT', 'Italy'),
(5979, '37.59.188.192', '37.59.188.199', 624671936, 624671943, 'CZ', 'Czech Republic'),
(5980, '37.59.188.200', '37.59.188.247', 624671944, 624671991, 'FR', 'France'),
(5981, '37.59.188.248', '37.59.188.255', 624671992, 624671999, 'ES', 'Spain'),
(5982, '37.59.189.0', '37.59.189.15', 624672000, 624672015, 'FR', 'France'),
(5983, '37.59.189.16', '37.59.189.19', 624672016, 624672019, 'GB', 'United Kingdom'),
(5984, '37.59.189.20', '37.59.189.23', 624672020, 624672023, 'DE', 'Germany'),
(5985, '37.59.189.24', '37.59.189.67', 624672024, 624672067, 'FR', 'France'),
(5986, '37.59.189.68', '37.59.189.71', 624672068, 624672071, 'DE', 'Germany'),
(5987, '37.59.189.72', '37.59.189.79', 624672072, 624672079, 'PL', 'Poland'),
(5988, '37.59.189.80', '37.59.189.83', 624672080, 624672083, 'DE', 'Germany'),
(5989, '37.59.189.84', '37.59.189.127', 624672084, 624672127, 'PT', 'Portugal'),
(5990, '37.59.189.128', '37.59.189.179', 624672128, 624672179, 'FR', 'France'),
(5991, '37.59.189.180', '37.59.189.183', 624672180, 624672183, 'ES', 'Spain'),
(5992, '37.59.189.184', '37.59.189.187', 624672184, 624672187, 'PT', 'Portugal'),
(5993, '37.59.189.188', '37.59.189.191', 624672188, 624672191, 'FR', 'France'),
(5994, '37.59.189.192', '37.59.189.207', 624672192, 624672207, 'GB', 'United Kingdom'),
(5995, '37.59.189.208', '37.59.189.223', 624672208, 624672223, 'PT', 'Portugal'),
(5996, '37.59.189.224', '37.59.189.255', 624672224, 624672255, 'GB', 'United Kingdom'),
(5997, '37.59.190.0', '37.59.191.11', 624672256, 624672523, 'FR', 'France'),
(5998, '37.59.191.12', '37.59.191.15', 624672524, 624672527, 'DE', 'Germany'),
(5999, '37.59.191.16', '37.59.191.35', 624672528, 624672547, 'FR', 'France'),
(6000, '37.59.191.36', '37.59.191.39', 624672548, 624672551, 'PT', 'Portugal'),
(6001, '37.59.191.40', '37.59.191.43', 624672552, 624672555, 'IT', 'Italy'),
(6002, '37.59.191.44', '37.59.191.47', 624672556, 624672559, 'DE', 'Germany'),
(6003, '37.59.191.48', '37.59.191.59', 624672560, 624672571, 'FR', 'France'),
(6004, '37.59.191.60', '37.59.191.63', 624672572, 624672575, 'CH', 'Switzerland'),
(6005, '37.59.191.64', '37.59.191.95', 624672576, 624672607, 'PT', 'Portugal'),
(6006, '37.59.191.96', '37.59.191.103', 624672608, 624672615, 'GB', 'United Kingdom'),
(6007, '37.59.191.104', '37.59.191.107', 624672616, 624672619, 'PT', 'Portugal'),
(6008, '37.59.191.108', '37.59.191.111', 624672620, 624672623, 'FR', 'France'),
(6009, '37.59.191.112', '37.59.191.127', 624672624, 624672639, 'CZ', 'Czech Republic'),
(6010, '37.59.191.128', '37.59.191.143', 624672640, 624672655, 'NL', 'Netherlands'),
(6011, '37.59.191.144', '37.59.191.147', 624672656, 624672659, 'DE', 'Germany'),
(6012, '37.59.191.148', '37.59.191.151', 624672660, 624672663, 'FR', 'France'),
(6013, '37.59.191.152', '37.59.191.159', 624672664, 624672671, 'ES', 'Spain'),
(6014, '37.59.191.160', '37.59.192.127', 624672672, 624672895, 'FR', 'France'),
(6015, '37.59.192.128', '37.59.192.159', 624672896, 624672927, 'GB', 'United Kingdom'),
(6016, '37.59.192.160', '37.59.192.175', 624672928, 624672943, 'PL', 'Poland'),
(6017, '37.59.192.176', '37.59.192.183', 624672944, 624672951, 'FR', 'France'),
(6018, '37.59.192.184', '37.59.192.191', 624672952, 624672959, 'ES', 'Spain'),
(6019, '37.59.192.192', '37.59.192.223', 624672960, 624672991, 'NL', 'Netherlands'),
(6020, '37.59.192.224', '37.59.193.255', 624672992, 624673279, 'FR', 'France'),
(6021, '37.59.194.0', '37.59.194.3', 624673280, 624673283, 'PL', 'Poland'),
(6022, '37.59.194.4', '37.59.194.19', 624673284, 624673299, 'FR', 'France'),
(6023, '37.59.194.20', '37.59.194.23', 624673300, 624673303, 'PT', 'Portugal'),
(6024, '37.59.194.24', '37.59.194.27', 624673304, 624673307, 'NL', 'Netherlands'),
(6025, '37.59.194.28', '37.59.194.31', 624673308, 624673311, 'BE', 'Belgium'),
(6026, '37.59.194.32', '37.59.194.63', 624673312, 624673343, 'FR', 'France'),
(6027, '37.59.194.64', '37.59.194.95', 624673344, 624673375, 'CH', 'Switzerland'),
(6028, '37.59.194.96', '37.59.194.127', 624673376, 624673407, 'FR', 'France'),
(6029, '37.59.194.128', '37.59.194.151', 624673408, 624673431, 'PL', 'Poland'),
(6030, '37.59.194.152', '37.59.194.155', 624673432, 624673435, 'PT', 'Portugal'),
(6031, '37.59.194.156', '37.59.194.171', 624673436, 624673451, 'FR', 'France'),
(6032, '37.59.194.172', '37.59.194.175', 624673452, 624673455, 'BE', 'Belgium'),
(6033, '37.59.194.176', '37.59.194.179', 624673456, 624673459, 'CH', 'Switzerland'),
(6034, '37.59.194.180', '37.59.194.183', 624673460, 624673463, 'FR', 'France'),
(6035, '37.59.194.184', '37.59.194.191', 624673464, 624673471, 'PL', 'Poland'),
(6036, '37.59.194.192', '37.59.194.207', 624673472, 624673487, 'DE', 'Germany'),
(6037, '37.59.194.208', '37.59.194.223', 624673488, 624673503, 'PL', 'Poland'),
(6038, '37.59.194.224', '37.59.194.231', 624673504, 624673511, 'ES', 'Spain'),
(6039, '37.59.194.232', '37.59.194.255', 624673512, 624673535, 'FR', 'France'),
(6040, '37.59.195.0', '37.59.195.255', 624673536, 624673791, 'ES', 'Spain'),
(6041, '37.59.196.0', '37.59.196.7', 624673792, 624673799, 'PL', 'Poland'),
(6042, '37.59.196.8', '37.59.196.11', 624673800, 624673803, 'IT', 'Italy'),
(6043, '37.59.196.12', '37.59.196.15', 624673804, 624673807, 'DE', 'Germany'),
(6044, '37.59.196.16', '37.59.196.31', 624673808, 624673823, 'PL', 'Poland'),
(6045, '37.59.196.32', '37.59.196.47', 624673824, 624673839, 'FR', 'France'),
(6046, '37.59.196.48', '37.59.196.63', 624673840, 624673855, 'PL', 'Poland'),
(6047, '37.59.196.64', '37.59.196.67', 624673856, 624673859, 'IT', 'Italy'),
(6048, '37.59.196.68', '37.59.196.71', 624673860, 624673863, 'DE', 'Germany'),
(6049, '37.59.196.72', '37.59.196.79', 624673864, 624673871, 'CZ', 'Czech Republic'),
(6050, '37.59.196.80', '37.59.196.87', 624673872, 624673879, 'GB', 'United Kingdom'),
(6051, '37.59.196.88', '37.59.196.95', 624673880, 624673887, 'FR', 'France'),
(6052, '37.59.196.96', '37.59.196.111', 624673888, 624673903, 'GB', 'United Kingdom'),
(6053, '37.59.196.112', '37.59.196.127', 624673904, 624673919, 'ES', 'Spain'),
(6054, '37.59.196.128', '37.59.196.131', 624673920, 624673923, 'IE', 'Ireland'),
(6055, '37.59.196.132', '37.59.196.135', 624673924, 624673927, 'NL', 'Netherlands'),
(6056, '37.59.196.136', '37.59.196.139', 624673928, 624673931, 'FR', 'France'),
(6057, '37.59.196.140', '37.59.196.143', 624673932, 624673935, 'IE', 'Ireland'),
(6058, '37.59.196.144', '37.59.196.147', 624673936, 624673939, 'NL', 'Netherlands'),
(6059, '37.59.196.148', '37.59.196.151', 624673940, 624673943, 'ES', 'Spain'),
(6060, '37.59.196.152', '37.59.196.159', 624673944, 624673951, 'NL', 'Netherlands'),
(6061, '37.59.196.160', '37.59.196.163', 624673952, 624673955, 'DE', 'Germany'),
(6062, '37.59.196.164', '37.59.196.167', 624673956, 624673959, 'PL', 'Poland'),
(6063, '37.59.196.168', '37.59.196.171', 624673960, 624673963, 'GB', 'United Kingdom'),
(6064, '37.59.196.172', '37.59.196.175', 624673964, 624673967, 'DE', 'Germany'),
(6065, '37.59.196.176', '37.59.196.191', 624673968, 624673983, 'FR', 'France'),
(6066, '37.59.196.192', '37.59.196.195', 624673984, 624673987, 'DE', 'Germany'),
(6067, '37.59.196.196', '37.59.196.199', 624673988, 624673991, 'ES', 'Spain'),
(6068, '37.59.196.200', '37.59.196.203', 624673992, 624673995, 'IT', 'Italy'),
(6069, '37.59.196.204', '37.59.196.215', 624673996, 624674007, 'NL', 'Netherlands'),
(6070, '37.59.196.216', '37.59.196.219', 624674008, 624674011, 'PL', 'Poland'),
(6071, '37.59.196.220', '37.59.196.223', 624674012, 624674015, 'GB', 'United Kingdom'),
(6072, '37.59.196.224', '37.59.196.255', 624674016, 624674047, 'PT', 'Portugal'),
(6073, '37.59.197.0', '37.59.197.255', 624674048, 624674303, 'ES', 'Spain'),
(6074, '37.59.198.0', '37.59.198.3', 624674304, 624674307, 'GB', 'United Kingdom'),
(6075, '37.59.198.4', '37.59.198.7', 624674308, 624674311, 'ES', 'Spain'),
(6076, '37.59.198.8', '37.59.198.11', 624674312, 624674315, 'PT', 'Portugal'),
(6077, '37.59.198.12', '37.59.198.47', 624674316, 624674351, 'FR', 'France'),
(6078, '37.59.198.48', '37.59.198.63', 624674352, 624674367, 'IE', 'Ireland'),
(6079, '37.59.198.64', '37.59.198.79', 624674368, 624674383, 'FR', 'France'),
(6080, '37.59.198.80', '37.59.198.87', 624674384, 624674391, 'IT', 'Italy'),
(6081, '37.59.198.88', '37.59.198.91', 624674392, 624674395, 'LT', 'Lithuania'),
(6082, '37.59.198.92', '37.59.198.95', 624674396, 624674399, 'PL', 'Poland'),
(6083, '37.59.198.96', '37.59.198.99', 624674400, 624674403, 'DE', 'Germany'),
(6084, '37.59.198.100', '37.59.198.103', 624674404, 624674407, 'PT', 'Portugal'),
(6085, '37.59.198.104', '37.59.198.107', 624674408, 624674411, 'DE', 'Germany'),
(6086, '37.59.198.108', '37.59.198.111', 624674412, 624674415, 'ES', 'Spain'),
(6087, '37.59.198.112', '37.59.198.143', 624674416, 624674447, 'FR', 'France'),
(6088, '37.59.198.144', '37.59.198.147', 624674448, 624674451, 'GB', 'United Kingdom'),
(6089, '37.59.198.148', '37.59.198.151', 624674452, 624674455, 'ES', 'Spain'),
(6090, '37.59.198.152', '37.59.198.155', 624674456, 624674459, 'IT', 'Italy'),
(6091, '37.59.198.156', '37.59.198.159', 624674460, 624674463, 'ES', 'Spain'),
(6092, '37.59.198.160', '37.59.198.207', 624674464, 624674511, 'FR', 'France'),
(6093, '37.59.198.208', '37.59.198.223', 624674512, 624674527, 'NL', 'Netherlands'),
(6094, '37.59.198.224', '37.59.199.127', 624674528, 624674687, 'FR', 'France'),
(6095, '37.59.199.128', '37.59.199.143', 624674688, 624674703, 'DE', 'Germany'),
(6096, '37.59.199.144', '37.59.199.147', 624674704, 624674707, 'PL', 'Poland'),
(6097, '37.59.199.148', '37.59.199.151', 624674708, 624674711, 'DE', 'Germany'),
(6098, '37.59.199.152', '37.59.199.155', 624674712, 624674715, 'FI', 'Finland'),
(6099, '37.59.199.156', '37.59.199.159', 624674716, 624674719, 'BE', 'Belgium'),
(6100, '37.59.199.160', '37.59.199.175', 624674720, 624674735, 'PL', 'Poland'),
(6101, '37.59.199.176', '37.59.199.191', 624674736, 624674751, 'DE', 'Germany'),
(6102, '37.59.199.192', '37.59.199.223', 624674752, 624674783, 'PT', 'Portugal'),
(6103, '37.59.199.224', '37.59.200.31', 624674784, 624674847, 'FR', 'France'),
(6104, '37.59.200.32', '37.59.200.63', 624674848, 624674879, 'BE', 'Belgium'),
(6105, '37.59.200.64', '37.59.200.95', 624674880, 624674911, 'NL', 'Netherlands'),
(6106, '37.59.200.96', '37.59.200.103', 624674912, 624674919, 'GB', 'United Kingdom'),
(6107, '37.59.200.104', '37.59.200.111', 624674920, 624674927, 'IT', 'Italy'),
(6108, '37.59.200.112', '37.59.200.119', 624674928, 624674935, 'FR', 'France'),
(6109, '37.59.200.120', '37.59.200.127', 624674936, 624674943, 'IE', 'Ireland'),
(6110, '37.59.200.128', '37.59.200.231', 624674944, 624675047, 'FR', 'France'),
(6111, '37.59.200.232', '37.59.200.239', 624675048, 624675055, 'ES', 'Spain'),
(6112, '37.59.200.240', '37.59.200.243', 624675056, 624675059, 'PL', 'Poland'),
(6113, '37.59.200.244', '37.59.200.251', 624675060, 624675067, 'FR', 'France'),
(6114, '37.59.200.252', '37.59.201.255', 624675068, 624675327, 'DE', 'Germany'),
(6115, '37.59.202.0', '37.59.202.47', 624675328, 624675375, 'FR', 'France'),
(6116, '37.59.202.48', '37.59.202.55', 624675376, 624675383, 'IT', 'Italy'),
(6117, '37.59.202.56', '37.59.202.59', 624675384, 624675387, 'PL', 'Poland'),
(6118, '37.59.202.60', '37.59.202.111', 624675388, 624675439, 'FR', 'France'),
(6119, '37.59.202.112', '37.59.202.119', 624675440, 624675447, 'PL', 'Poland'),
(6120, '37.59.202.120', '37.59.202.127', 624675448, 624675455, 'FR', 'France'),
(6121, '37.59.202.128', '37.59.202.159', 624675456, 624675487, 'PL', 'Poland'),
(6122, '37.59.202.160', '37.59.202.215', 624675488, 624675543, 'FR', 'France'),
(6123, '37.59.202.216', '37.59.202.219', 624675544, 624675547, 'ES', 'Spain'),
(6124, '37.59.202.220', '37.59.202.223', 624675548, 624675551, 'IT', 'Italy'),
(6125, '37.59.202.224', '37.59.202.255', 624675552, 624675583, 'PL', 'Poland'),
(6126, '37.59.203.0', '37.59.204.63', 624675584, 624675903, 'FR', 'France'),
(6127, '37.59.204.64', '37.59.204.79', 624675904, 624675919, 'PL', 'Poland'),
(6128, '37.59.204.80', '37.59.204.107', 624675920, 624675947, 'FR', 'France'),
(6129, '37.59.204.108', '37.59.204.111', 624675948, 624675951, 'PL', 'Poland'),
(6130, '37.59.204.112', '37.59.204.127', 624675952, 624675967, 'IE', 'Ireland'),
(6131, '37.59.204.128', '37.59.204.159', 624675968, 624675999, 'FR', 'France'),
(6132, '37.59.204.160', '37.59.204.163', 624676000, 624676003, 'GB', 'United Kingdom'),
(6133, '37.59.204.164', '37.59.204.167', 624676004, 624676007, 'DE', 'Germany'),
(6134, '37.59.204.168', '37.59.204.179', 624676008, 624676019, 'FR', 'France'),
(6135, '37.59.204.180', '37.59.204.183', 624676020, 624676023, 'IT', 'Italy'),
(6136, '37.59.204.184', '37.59.204.187', 624676024, 624676027, 'PT', 'Portugal'),
(6137, '37.59.204.188', '37.59.204.247', 624676028, 624676087, 'FR', 'France'),
(6138, '37.59.204.248', '37.59.204.251', 624676088, 624676091, 'DE', 'Germany'),
(6139, '37.59.204.252', '37.59.205.47', 624676092, 624676143, 'FR', 'France'),
(6140, '37.59.205.48', '37.59.205.63', 624676144, 624676159, 'PL', 'Poland'),
(6141, '37.59.205.64', '37.59.205.79', 624676160, 624676175, 'PT', 'Portugal'),
(6142, '37.59.205.80', '37.59.205.87', 624676176, 624676183, 'NL', 'Netherlands'),
(6143, '37.59.205.88', '37.59.205.95', 624676184, 624676191, 'LT', 'Lithuania'),
(6144, '37.59.205.96', '37.59.205.215', 624676192, 624676311, 'FR', 'France'),
(6145, '37.59.205.216', '37.59.205.219', 624676312, 624676315, 'PL', 'Poland'),
(6146, '37.59.205.220', '37.59.205.223', 624676316, 624676319, 'NL', 'Netherlands'),
(6147, '37.59.205.224', '37.59.205.231', 624676320, 624676327, 'GB', 'United Kingdom'),
(6148, '37.59.205.232', '37.59.205.235', 624676328, 624676331, 'FR', 'France'),
(6149, '37.59.205.236', '37.59.205.239', 624676332, 624676335, 'DE', 'Germany'),
(6150, '37.59.205.240', '37.59.206.11', 624676336, 624676363, 'FR', 'France'),
(6151, '37.59.206.12', '37.59.206.15', 624676364, 624676367, 'NL', 'Netherlands'),
(6152, '37.59.206.16', '37.59.206.47', 624676368, 624676399, 'FR', 'France'),
(6153, '37.59.206.48', '37.59.206.51', 624676400, 624676403, 'GB', 'United Kingdom'),
(6154, '37.59.206.52', '37.59.206.79', 624676404, 624676431, 'FR', 'France'),
(6155, '37.59.206.80', '37.59.206.83', 624676432, 624676435, 'PL', 'Poland'),
(6156, '37.59.206.84', '37.59.206.87', 624676436, 624676439, 'FR', 'France'),
(6157, '37.59.206.88', '37.59.206.95', 624676440, 624676447, 'NL', 'Netherlands'),
(6158, '37.59.206.96', '37.59.206.151', 624676448, 624676503, 'FR', 'France'),
(6159, '37.59.206.152', '37.59.206.155', 624676504, 624676507, 'GB', 'United Kingdom'),
(6160, '37.59.206.156', '37.59.206.255', 624676508, 624676607, 'FR', 'France'),
(6161, '37.59.207.0', '37.59.207.255', 624676608, 624676863, 'PL', 'Poland'),
(6162, '37.59.208.0', '37.59.208.47', 624676864, 624676911, 'FR', 'France'),
(6163, '37.59.208.48', '37.59.208.55', 624676912, 624676919, 'BE', 'Belgium'),
(6164, '37.59.208.56', '37.59.208.59', 624676920, 624676923, 'FR', 'France'),
(6165, '37.59.208.60', '37.59.208.63', 624676924, 624676927, 'ES', 'Spain'),
(6166, '37.59.208.64', '37.59.208.71', 624676928, 624676935, 'CH', 'Switzerland'),
(6167, '37.59.208.72', '37.59.208.75', 624676936, 624676939, 'PL', 'Poland'),
(6168, '37.59.208.76', '37.59.208.79', 624676940, 624676943, 'PT', 'Portugal'),
(6169, '37.59.208.80', '37.59.208.83', 624676944, 624676947, 'PL', 'Poland'),
(6170, '37.59.208.84', '37.59.208.87', 624676948, 624676951, 'GB', 'United Kingdom'),
(6171, '37.59.208.88', '37.59.208.95', 624676952, 624676959, 'NL', 'Netherlands'),
(6172, '37.59.208.96', '37.59.208.127', 624676960, 624676991, 'FR', 'France'),
(6173, '37.59.208.128', '37.59.208.255', 624676992, 624677119, 'IT', 'Italy'),
(6174, '37.59.209.0', '37.59.209.135', 624677120, 624677255, 'FR', 'France'),
(6175, '37.59.209.136', '37.59.209.139', 624677256, 624677259, 'DE', 'Germany'),
(6176, '37.59.209.140', '37.59.209.143', 624677260, 624677263, 'NL', 'Netherlands'),
(6177, '37.59.209.144', '37.59.209.151', 624677264, 624677271, 'CZ', 'Czech Republic'),
(6178, '37.59.209.152', '37.59.209.159', 624677272, 624677279, 'PT', 'Portugal'),
(6179, '37.59.209.160', '37.59.209.163', 624677280, 624677283, 'GB', 'United Kingdom'),
(6180, '37.59.209.164', '37.59.209.167', 624677284, 624677287, 'ES', 'Spain'),
(6181, '37.59.209.168', '37.59.209.175', 624677288, 624677295, 'FR', 'France'),
(6182, '37.59.209.176', '37.59.209.191', 624677296, 624677311, 'GB', 'United Kingdom'),
(6183, '37.59.209.192', '37.59.209.231', 624677312, 624677351, 'NL', 'Netherlands'),
(6184, '37.59.209.232', '37.59.209.239', 624677352, 624677359, 'FR', 'France'),
(6185, '37.59.209.240', '37.59.209.247', 624677360, 624677367, 'PT', 'Portugal'),
(6186, '37.59.209.248', '37.59.209.255', 624677368, 624677375, 'CH', 'Switzerland'),
(6187, '37.59.210.0', '37.59.210.15', 624677376, 624677391, 'NL', 'Netherlands'),
(6188, '37.59.210.16', '37.59.210.19', 624677392, 624677395, 'PT', 'Portugal'),
(6189, '37.59.210.20', '37.59.210.23', 624677396, 624677399, 'FR', 'France'),
(6190, '37.59.210.24', '37.59.210.27', 624677400, 624677403, 'FI', 'Finland'),
(6191, '37.59.210.28', '37.59.210.31', 624677404, 624677407, 'FR', 'France'),
(6192, '37.59.210.32', '37.59.210.63', 624677408, 624677439, 'GB', 'United Kingdom'),
(6193, '37.59.210.64', '37.59.210.67', 624677440, 624677443, 'ES', 'Spain'),
(6194, '37.59.210.68', '37.59.210.71', 624677444, 624677447, 'NL', 'Netherlands'),
(6195, '37.59.210.72', '37.59.210.79', 624677448, 624677455, 'FR', 'France'),
(6196, '37.59.210.80', '37.59.210.83', 624677456, 624677459, 'BE', 'Belgium'),
(6197, '37.59.210.84', '37.59.210.87', 624677460, 624677463, 'ES', 'Spain'),
(6198, '37.59.210.88', '37.59.210.91', 624677464, 624677467, 'IE', 'Ireland'),
(6199, '37.59.210.92', '37.59.210.95', 624677468, 624677471, 'GB', 'United Kingdom'),
(6200, '37.59.210.96', '37.59.210.127', 624677472, 624677503, 'FR', 'France'),
(6201, '37.59.210.128', '37.59.210.131', 624677504, 624677507, 'DE', 'Germany'),
(6202, '37.59.210.132', '37.59.210.159', 624677508, 624677535, 'FR', 'France'),
(6203, '37.59.210.160', '37.59.210.191', 624677536, 624677567, 'PT', 'Portugal'),
(6204, '37.59.210.192', '37.59.210.207', 624677568, 624677583, 'FR', 'France'),
(6205, '37.59.210.208', '37.59.210.211', 624677584, 624677587, 'ES', 'Spain'),
(6206, '37.59.210.212', '37.59.210.223', 624677588, 624677599, 'PL', 'Poland'),
(6207, '37.59.210.224', '37.59.210.239', 624677600, 624677615, 'IT', 'Italy'),
(6208, '37.59.210.240', '37.59.210.247', 624677616, 624677623, 'PL', 'Poland'),
(6209, '37.59.210.248', '37.59.210.251', 624677624, 624677627, 'NL', 'Netherlands'),
(6210, '37.59.210.252', '37.59.210.255', 624677628, 624677631, 'GB', 'United Kingdom'),
(6211, '37.59.211.0', '37.59.211.39', 624677632, 624677671, 'FR', 'France'),
(6212, '37.59.211.40', '37.59.211.47', 624677672, 624677679, 'DE', 'Germany'),
(6213, '37.59.211.48', '37.59.211.51', 624677680, 624677683, 'GB', 'United Kingdom'),
(6214, '37.59.211.52', '37.59.211.55', 624677684, 624677687, 'FI', 'Finland'),
(6215, '37.59.211.56', '37.59.211.63', 624677688, 624677695, 'GB', 'United Kingdom'),
(6216, '37.59.211.64', '37.59.211.71', 624677696, 624677703, 'FR', 'France'),
(6217, '37.59.211.72', '37.59.211.95', 624677704, 624677727, 'GB', 'United Kingdom'),
(6218, '37.59.211.96', '37.59.211.103', 624677728, 624677735, 'FR', 'France'),
(6219, '37.59.211.104', '37.59.211.119', 624677736, 624677751, 'GB', 'United Kingdom'),
(6220, '37.59.211.120', '37.59.211.127', 624677752, 624677759, 'FR', 'France'),
(6221, '37.59.211.128', '37.59.211.131', 624677760, 624677763, 'NL', 'Netherlands'),
(6222, '37.59.211.132', '37.59.211.135', 624677764, 624677767, 'FR', 'France'),
(6223, '37.59.211.136', '37.59.211.143', 624677768, 624677775, 'GB', 'United Kingdom'),
(6224, '37.59.211.144', '37.59.211.151', 624677776, 624677783, 'DE', 'Germany'),
(6225, '37.59.211.152', '37.59.211.155', 624677784, 624677787, 'FI', 'Finland'),
(6226, '37.59.211.156', '37.59.211.159', 624677788, 624677791, 'DE', 'Germany'),
(6227, '37.59.211.160', '37.59.211.191', 624677792, 624677823, 'CH', 'Switzerland'),
(6228, '37.59.211.192', '37.59.211.255', 624677824, 624677887, 'FR', 'France'),
(6229, '37.59.212.0', '37.59.212.255', 624677888, 624678143, 'GB', 'United Kingdom'),
(6230, '37.59.213.0', '37.59.213.39', 624678144, 624678183, 'FR', 'France'),
(6231, '37.59.213.40', '37.59.213.43', 624678184, 624678187, 'DE', 'Germany'),
(6232, '37.59.213.44', '37.59.213.47', 624678188, 624678191, 'FR', 'France'),
(6233, '37.59.213.48', '37.59.213.51', 624678192, 624678195, 'PT', 'Portugal'),
(6234, '37.59.213.52', '37.59.213.55', 624678196, 624678199, 'FR', 'France'),
(6235, '37.59.213.56', '37.59.213.95', 624678200, 624678239, 'ES', 'Spain'),
(6236, '37.59.213.96', '37.59.213.111', 624678240, 624678255, 'PT', 'Portugal'),
(6237, '37.59.213.112', '37.59.213.115', 624678256, 624678259, 'PL', 'Poland'),
(6238, '37.59.213.116', '37.59.213.135', 624678260, 624678279, 'ES', 'Spain'),
(6239, '37.59.213.136', '37.59.213.139', 624678280, 624678283, 'LT', 'Lithuania'),
(6240, '37.59.213.140', '37.59.213.143', 624678284, 624678287, 'FR', 'France'),
(6241, '37.59.213.144', '37.59.213.159', 624678288, 624678303, 'GB', 'United Kingdom'),
(6242, '37.59.213.160', '37.59.213.175', 624678304, 624678319, 'FR', 'France'),
(6243, '37.59.213.176', '37.59.213.191', 624678320, 624678335, 'GB', 'United Kingdom'),
(6244, '37.59.213.192', '37.59.213.207', 624678336, 624678351, 'FR', 'France'),
(6245, '37.59.213.208', '37.59.213.211', 624678352, 624678355, 'PT', 'Portugal'),
(6246, '37.59.213.212', '37.59.213.215', 624678356, 624678359, 'PL', 'Poland'),
(6247, '37.59.213.216', '37.59.213.219', 624678360, 624678363, 'ES', 'Spain'),
(6248, '37.59.213.220', '37.59.213.223', 624678364, 624678367, 'FR', 'France'),
(6249, '37.59.213.224', '37.59.213.239', 624678368, 624678383, 'IE', 'Ireland'),
(6250, '37.59.213.240', '37.59.213.243', 624678384, 624678387, 'FR', 'France'),
(6251, '37.59.213.244', '37.59.213.247', 624678388, 624678391, 'PT', 'Portugal'),
(6252, '37.59.213.248', '37.59.213.251', 624678392, 624678395, 'ES', 'Spain'),
(6253, '37.59.213.252', '37.59.214.63', 624678396, 624678463, 'FR', 'France'),
(6254, '37.59.214.64', '37.59.214.79', 624678464, 624678479, 'CH', 'Switzerland'),
(6255, '37.59.214.80', '37.59.214.87', 624678480, 624678487, 'GB', 'United Kingdom'),
(6256, '37.59.214.88', '37.59.214.91', 624678488, 624678491, 'PT', 'Portugal'),
(6257, '37.59.214.92', '37.59.214.95', 624678492, 624678495, 'FR', 'France'),
(6258, '37.59.214.96', '37.59.214.127', 624678496, 624678527, 'IE', 'Ireland'),
(6259, '37.59.214.128', '37.59.214.159', 624678528, 624678559, 'PT', 'Portugal'),
(6260, '37.59.214.160', '37.59.214.163', 624678560, 624678563, 'BE', 'Belgium'),
(6261, '37.59.214.164', '37.59.214.175', 624678564, 624678575, 'DE', 'Germany'),
(6262, '37.59.214.176', '37.59.214.191', 624678576, 624678591, 'FR', 'France'),
(6263, '37.59.214.192', '37.59.214.255', 624678592, 624678655, 'IT', 'Italy'),
(6264, '37.59.215.0', '37.59.215.31', 624678656, 624678687, 'FR', 'France'),
(6265, '37.59.215.32', '37.59.215.39', 624678688, 624678695, 'LT', 'Lithuania'),
(6266, '37.59.215.40', '37.59.215.47', 624678696, 624678703, 'IT', 'Italy'),
(6267, '37.59.215.48', '37.59.215.51', 624678704, 624678707, 'NL', 'Netherlands'),
(6268, '37.59.215.52', '37.59.215.59', 624678708, 624678715, 'FR', 'France'),
(6269, '37.59.215.60', '37.59.215.63', 624678716, 624678719, 'DE', 'Germany'),
(6270, '37.59.215.64', '37.59.215.67', 624678720, 624678723, 'GB', 'United Kingdom'),
(6271, '37.59.215.68', '37.59.215.71', 624678724, 624678727, 'PL', 'Poland'),
(6272, '37.59.215.72', '37.59.215.79', 624678728, 624678735, 'IT', 'Italy'),
(6273, '37.59.215.80', '37.59.215.87', 624678736, 624678743, 'FR', 'France'),
(6274, '37.59.215.88', '37.59.215.91', 624678744, 624678747, 'CH', 'Switzerland'),
(6275, '37.59.215.92', '37.59.215.95', 624678748, 624678751, 'IT', 'Italy'),
(6276, '37.59.215.96', '37.59.215.127', 624678752, 624678783, 'NL', 'Netherlands'),
(6277, '37.59.215.128', '37.59.215.191', 624678784, 624678847, 'FR', 'France'),
(6278, '37.59.215.192', '37.59.215.199', 624678848, 624678855, 'GB', 'United Kingdom'),
(6279, '37.59.215.200', '37.59.215.207', 624678856, 624678863, 'PL', 'Poland'),
(6280, '37.59.215.208', '37.59.215.239', 624678864, 624678895, 'PT', 'Portugal'),
(6281, '37.59.215.240', '37.59.215.243', 624678896, 624678899, 'IT', 'Italy'),
(6282, '37.59.215.244', '37.59.215.247', 624678900, 624678903, 'GB', 'United Kingdom'),
(6283, '37.59.215.248', '37.59.215.251', 624678904, 624678907, 'PT', 'Portugal'),
(6284, '37.59.215.252', '37.59.215.255', 624678908, 624678911, 'FR', 'France'),
(6285, '37.59.216.0', '37.59.216.255', 624678912, 624679167, 'GB', 'United Kingdom'),
(6286, '37.59.217.0', '37.59.217.7', 624679168, 624679175, 'PL', 'Poland'),
(6287, '37.59.217.8', '37.59.217.15', 624679176, 624679183, 'DE', 'Germany'),
(6288, '37.59.217.16', '37.59.217.31', 624679184, 624679199, 'PL', 'Poland'),
(6289, '37.59.217.32', '37.59.217.35', 624679200, 624679203, 'GB', 'United Kingdom'),
(6290, '37.59.217.36', '37.59.217.39', 624679204, 624679207, 'IT', 'Italy'),
(6291, '37.59.217.40', '37.59.217.43', 624679208, 624679211, 'ES', 'Spain'),
(6292, '37.59.217.44', '37.59.217.47', 624679212, 624679215, 'IT', 'Italy'),
(6293, '37.59.217.48', '37.59.217.63', 624679216, 624679231, 'IE', 'Ireland'),
(6294, '37.59.217.64', '37.59.217.131', 624679232, 624679299, 'FR', 'France'),
(6295, '37.59.217.132', '37.59.217.135', 624679300, 624679303, 'ES', 'Spain'),
(6296, '37.59.217.136', '37.59.217.139', 624679304, 624679307, 'PT', 'Portugal'),
(6297, '37.59.217.140', '37.59.217.143', 624679308, 624679311, 'ES', 'Spain'),
(6298, '37.59.217.144', '37.59.218.255', 624679312, 624679679, 'FR', 'France'),
(6299, '37.59.219.0', '37.59.219.7', 624679680, 624679687, 'PL', 'Poland'),
(6300, '37.59.219.8', '37.59.219.15', 624679688, 624679695, 'NL', 'Netherlands'),
(6301, '37.59.219.16', '37.59.219.31', 624679696, 624679711, 'FR', 'France'),
(6302, '37.59.219.32', '37.59.219.63', 624679712, 624679743, 'BE', 'Belgium'),
(6303, '37.59.219.64', '37.59.219.67', 624679744, 624679747, 'LT', 'Lithuania'),
(6304, '37.59.219.68', '37.59.219.71', 624679748, 624679751, 'FR', 'France'),
(6305, '37.59.219.72', '37.59.219.87', 624679752, 624679767, 'PL', 'Poland'),
(6306, '37.59.219.88', '37.59.219.91', 624679768, 624679771, 'NL', 'Netherlands'),
(6307, '37.59.219.92', '37.59.219.95', 624679772, 624679775, 'BE', 'Belgium'),
(6308, '37.59.219.96', '37.59.219.127', 624679776, 624679807, 'NL', 'Netherlands'),
(6309, '37.59.219.128', '37.59.219.135', 624679808, 624679815, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(6310, '37.59.219.136', '37.59.219.139', 624679816, 624679819, 'GB', 'United Kingdom'),
(6311, '37.59.219.140', '37.59.219.143', 624679820, 624679823, 'PL', 'Poland'),
(6312, '37.59.219.144', '37.59.219.147', 624679824, 624679827, 'FR', 'France'),
(6313, '37.59.219.148', '37.59.219.151', 624679828, 624679831, 'DE', 'Germany'),
(6314, '37.59.219.152', '37.59.219.159', 624679832, 624679839, 'GB', 'United Kingdom'),
(6315, '37.59.219.160', '37.59.219.163', 624679840, 624679843, 'FR', 'France'),
(6316, '37.59.219.164', '37.59.219.167', 624679844, 624679847, 'BE', 'Belgium'),
(6317, '37.59.219.168', '37.59.219.175', 624679848, 624679855, 'DE', 'Germany'),
(6318, '37.59.219.176', '37.59.219.179', 624679856, 624679859, 'IT', 'Italy'),
(6319, '37.59.219.180', '37.59.219.183', 624679860, 624679863, 'FR', 'France'),
(6320, '37.59.219.184', '37.59.219.187', 624679864, 624679867, 'ES', 'Spain'),
(6321, '37.59.219.188', '37.59.219.191', 624679868, 624679871, 'FR', 'France'),
(6322, '37.59.219.192', '37.59.219.223', 624679872, 624679903, 'GB', 'United Kingdom'),
(6323, '37.59.219.224', '37.59.219.227', 624679904, 624679907, 'IT', 'Italy'),
(6324, '37.59.219.228', '37.59.219.231', 624679908, 624679911, 'FR', 'France'),
(6325, '37.59.219.232', '37.59.219.239', 624679912, 624679919, 'ES', 'Spain'),
(6326, '37.59.219.240', '37.59.219.243', 624679920, 624679923, 'GB', 'United Kingdom'),
(6327, '37.59.219.244', '37.59.219.247', 624679924, 624679927, 'FR', 'France'),
(6328, '37.59.219.248', '37.59.219.255', 624679928, 624679935, 'GB', 'United Kingdom'),
(6329, '37.59.220.0', '37.59.221.255', 624679936, 624680447, 'NL', 'Netherlands'),
(6330, '37.59.222.0', '37.59.222.255', 624680448, 624680703, 'GB', 'United Kingdom'),
(6331, '37.59.223.0', '37.59.223.31', 624680704, 624680735, 'FR', 'France'),
(6332, '37.59.223.32', '37.59.223.39', 624680736, 624680743, 'PL', 'Poland'),
(6333, '37.59.223.40', '37.59.223.43', 624680744, 624680747, 'BE', 'Belgium'),
(6334, '37.59.223.44', '37.59.223.47', 624680748, 624680751, 'GB', 'United Kingdom'),
(6335, '37.59.223.48', '37.59.223.63', 624680752, 624680767, 'PL', 'Poland'),
(6336, '37.59.223.64', '37.59.223.79', 624680768, 624680783, 'CZ', 'Czech Republic'),
(6337, '37.59.223.80', '37.59.223.95', 624680784, 624680799, 'GB', 'United Kingdom'),
(6338, '37.59.223.96', '37.59.223.223', 624680800, 624680927, 'FR', 'France'),
(6339, '37.59.223.224', '37.59.223.227', 624680928, 624680931, 'CH', 'Switzerland'),
(6340, '37.59.223.228', '37.59.223.231', 624680932, 624680935, 'DE', 'Germany'),
(6341, '37.59.223.232', '37.59.223.235', 624680936, 624680939, 'ES', 'Spain'),
(6342, '37.59.223.236', '37.59.223.239', 624680940, 624680943, 'NL', 'Netherlands'),
(6343, '37.59.223.240', '37.59.223.247', 624680944, 624680951, 'FR', 'France'),
(6344, '37.59.223.248', '37.59.223.255', 624680952, 624680959, 'PT', 'Portugal'),
(6345, '37.59.224.0', '37.59.224.31', 624680960, 624680991, 'FR', 'France'),
(6346, '37.59.224.32', '37.59.224.47', 624680992, 624681007, 'DE', 'Germany'),
(6347, '37.59.224.48', '37.59.224.63', 624681008, 624681023, 'FR', 'France'),
(6348, '37.59.224.64', '37.59.224.95', 624681024, 624681055, 'ES', 'Spain'),
(6349, '37.59.224.96', '37.59.224.111', 624681056, 624681071, 'FR', 'France'),
(6350, '37.59.224.112', '37.59.224.123', 624681072, 624681083, 'DE', 'Germany'),
(6351, '37.59.224.124', '37.59.224.135', 624681084, 624681095, 'FR', 'France'),
(6352, '37.59.224.136', '37.59.224.143', 624681096, 624681103, 'ES', 'Spain'),
(6353, '37.59.224.144', '37.59.224.151', 624681104, 624681111, 'FR', 'France'),
(6354, '37.59.224.152', '37.59.224.155', 624681112, 624681115, 'IT', 'Italy'),
(6355, '37.59.224.156', '37.59.224.191', 624681116, 624681151, 'FR', 'France'),
(6356, '37.59.224.192', '37.59.224.255', 624681152, 624681215, 'PT', 'Portugal'),
(6357, '37.59.225.0', '37.59.225.31', 624681216, 624681247, 'PL', 'Poland'),
(6358, '37.59.225.32', '37.59.225.35', 624681248, 624681251, 'DE', 'Germany'),
(6359, '37.59.225.36', '37.59.225.39', 624681252, 624681255, 'IE', 'Ireland'),
(6360, '37.59.225.40', '37.59.225.43', 624681256, 624681259, 'FR', 'France'),
(6361, '37.59.225.44', '37.59.225.47', 624681260, 624681263, 'PL', 'Poland'),
(6362, '37.59.225.48', '37.59.225.51', 624681264, 624681267, 'FR', 'France'),
(6363, '37.59.225.52', '37.59.225.55', 624681268, 624681271, 'DE', 'Germany'),
(6364, '37.59.225.56', '37.59.225.63', 624681272, 624681279, 'ES', 'Spain'),
(6365, '37.59.225.64', '37.59.225.79', 624681280, 624681295, 'GB', 'United Kingdom'),
(6366, '37.59.225.80', '37.59.225.87', 624681296, 624681303, 'FR', 'France'),
(6367, '37.59.225.88', '37.59.225.95', 624681304, 624681311, 'DE', 'Germany'),
(6368, '37.59.225.96', '37.59.225.111', 624681312, 624681327, 'PL', 'Poland'),
(6369, '37.59.225.112', '37.59.225.119', 624681328, 624681335, 'FR', 'France'),
(6370, '37.59.225.120', '37.59.225.123', 624681336, 624681339, 'ES', 'Spain'),
(6371, '37.59.225.124', '37.59.225.127', 624681340, 624681343, 'FR', 'France'),
(6372, '37.59.225.128', '37.59.225.131', 624681344, 624681347, 'GB', 'United Kingdom'),
(6373, '37.59.225.132', '37.59.225.143', 624681348, 624681359, 'FR', 'France'),
(6374, '37.59.225.144', '37.59.225.147', 624681360, 624681363, 'PL', 'Poland'),
(6375, '37.59.225.148', '37.59.225.151', 624681364, 624681367, 'CZ', 'Czech Republic'),
(6376, '37.59.225.152', '37.59.225.159', 624681368, 624681375, 'PL', 'Poland'),
(6377, '37.59.225.160', '37.59.225.223', 624681376, 624681439, 'FR', 'France'),
(6378, '37.59.225.224', '37.59.225.235', 624681440, 624681451, 'GB', 'United Kingdom'),
(6379, '37.59.225.236', '37.59.225.239', 624681452, 624681455, 'BE', 'Belgium'),
(6380, '37.59.225.240', '37.59.225.243', 624681456, 624681459, 'GB', 'United Kingdom'),
(6381, '37.59.225.244', '37.59.225.247', 624681460, 624681463, 'IT', 'Italy'),
(6382, '37.59.225.248', '37.59.225.251', 624681464, 624681467, 'PL', 'Poland'),
(6383, '37.59.225.252', '37.59.225.255', 624681468, 624681471, 'FR', 'France'),
(6384, '37.59.226.0', '37.59.226.255', 624681472, 624681727, 'GB', 'United Kingdom'),
(6385, '37.59.227.0', '37.59.227.31', 624681728, 624681759, 'PL', 'Poland'),
(6386, '37.59.227.32', '37.59.227.35', 624681760, 624681763, 'PT', 'Portugal'),
(6387, '37.59.227.36', '37.59.227.39', 624681764, 624681767, 'FR', 'France'),
(6388, '37.59.227.40', '37.59.227.47', 624681768, 624681775, 'CH', 'Switzerland'),
(6389, '37.59.227.48', '37.59.227.63', 624681776, 624681791, 'FR', 'France'),
(6390, '37.59.227.64', '37.59.227.67', 624681792, 624681795, 'ES', 'Spain'),
(6391, '37.59.227.68', '37.59.227.71', 624681796, 624681799, 'NL', 'Netherlands'),
(6392, '37.59.227.72', '37.59.227.75', 624681800, 624681803, 'FR', 'France'),
(6393, '37.59.227.76', '37.59.227.95', 624681804, 624681823, 'PL', 'Poland'),
(6394, '37.59.227.96', '37.59.227.127', 624681824, 624681855, 'CZ', 'Czech Republic'),
(6395, '37.59.227.128', '37.59.227.191', 624681856, 624681919, 'FR', 'France'),
(6396, '37.59.227.192', '37.59.227.195', 624681920, 624681923, 'PT', 'Portugal'),
(6397, '37.59.227.196', '37.59.227.199', 624681924, 624681927, 'IE', 'Ireland'),
(6398, '37.59.227.200', '37.59.227.203', 624681928, 624681931, 'IT', 'Italy'),
(6399, '37.59.227.204', '37.59.227.239', 624681932, 624681967, 'FR', 'France'),
(6400, '37.59.227.240', '37.59.227.243', 624681968, 624681971, 'PL', 'Poland'),
(6401, '37.59.227.244', '37.59.227.247', 624681972, 624681975, 'BE', 'Belgium'),
(6402, '37.59.227.248', '37.59.228.15', 624681976, 624681999, 'FR', 'France'),
(6403, '37.59.228.16', '37.59.228.19', 624682000, 624682003, 'ES', 'Spain'),
(6404, '37.59.228.20', '37.59.228.23', 624682004, 624682007, 'PL', 'Poland'),
(6405, '37.59.228.24', '37.59.228.63', 624682008, 624682047, 'FR', 'France'),
(6406, '37.59.228.64', '37.59.228.75', 624682048, 624682059, 'GB', 'United Kingdom'),
(6407, '37.59.228.76', '37.59.228.79', 624682060, 624682063, 'IE', 'Ireland'),
(6408, '37.59.228.80', '37.59.228.87', 624682064, 624682071, 'PT', 'Portugal'),
(6409, '37.59.228.88', '37.59.228.91', 624682072, 624682075, 'GB', 'United Kingdom'),
(6410, '37.59.228.92', '37.59.228.95', 624682076, 624682079, 'PL', 'Poland'),
(6411, '37.59.228.96', '37.59.228.99', 624682080, 624682083, 'GB', 'United Kingdom'),
(6412, '37.59.228.100', '37.59.228.103', 624682084, 624682087, 'NL', 'Netherlands'),
(6413, '37.59.228.104', '37.59.228.107', 624682088, 624682091, 'PL', 'Poland'),
(6414, '37.59.228.108', '37.59.228.111', 624682092, 624682095, 'GB', 'United Kingdom'),
(6415, '37.59.228.112', '37.59.228.119', 624682096, 624682103, 'FR', 'France'),
(6416, '37.59.228.120', '37.59.228.127', 624682104, 624682111, 'IE', 'Ireland'),
(6417, '37.59.228.128', '37.59.228.143', 624682112, 624682127, 'PL', 'Poland'),
(6418, '37.59.228.144', '37.59.228.151', 624682128, 624682135, 'FR', 'France'),
(6419, '37.59.228.152', '37.59.228.159', 624682136, 624682143, 'IT', 'Italy'),
(6420, '37.59.228.160', '37.59.228.167', 624682144, 624682151, 'PT', 'Portugal'),
(6421, '37.59.228.168', '37.59.228.175', 624682152, 624682159, 'FI', 'Finland'),
(6422, '37.59.228.176', '37.59.228.183', 624682160, 624682167, 'ES', 'Spain'),
(6423, '37.59.228.184', '37.59.228.191', 624682168, 624682175, 'GB', 'United Kingdom'),
(6424, '37.59.228.192', '37.59.228.223', 624682176, 624682207, 'FR', 'France'),
(6425, '37.59.228.224', '37.59.228.231', 624682208, 624682215, 'BE', 'Belgium'),
(6426, '37.59.228.232', '37.59.228.235', 624682216, 624682219, 'FR', 'France'),
(6427, '37.59.228.236', '37.59.228.239', 624682220, 624682223, 'PL', 'Poland'),
(6428, '37.59.228.240', '37.59.229.19', 624682224, 624682259, 'FR', 'France'),
(6429, '37.59.229.20', '37.59.229.23', 624682260, 624682263, 'IE', 'Ireland'),
(6430, '37.59.229.24', '37.59.229.27', 624682264, 624682267, 'DE', 'Germany'),
(6431, '37.59.229.28', '37.59.229.31', 624682268, 624682271, 'PT', 'Portugal'),
(6432, '37.59.229.32', '37.59.229.63', 624682272, 624682303, 'FR', 'France'),
(6433, '37.59.229.64', '37.59.229.79', 624682304, 624682319, 'BE', 'Belgium'),
(6434, '37.59.229.80', '37.59.229.83', 624682320, 624682323, 'ES', 'Spain'),
(6435, '37.59.229.84', '37.59.229.95', 624682324, 624682335, 'PL', 'Poland'),
(6436, '37.59.229.96', '37.59.229.99', 624682336, 624682339, 'FR', 'France'),
(6437, '37.59.229.100', '37.59.229.103', 624682340, 624682343, 'GB', 'United Kingdom'),
(6438, '37.59.229.104', '37.59.229.107', 624682344, 624682347, 'NL', 'Netherlands'),
(6439, '37.59.229.108', '37.59.229.111', 624682348, 624682351, 'ES', 'Spain'),
(6440, '37.59.229.112', '37.59.229.127', 624682352, 624682367, 'LT', 'Lithuania'),
(6441, '37.59.229.128', '37.59.229.255', 624682368, 624682495, 'FR', 'France'),
(6442, '37.59.230.0', '37.59.230.63', 624682496, 624682559, 'ES', 'Spain'),
(6443, '37.59.230.64', '37.59.230.143', 624682560, 624682639, 'FR', 'France'),
(6444, '37.59.230.144', '37.59.230.159', 624682640, 624682655, 'BE', 'Belgium'),
(6445, '37.59.230.160', '37.59.230.191', 624682656, 624682687, 'ES', 'Spain'),
(6446, '37.59.230.192', '37.59.230.255', 624682688, 624682751, 'FR', 'France'),
(6447, '37.59.231.0', '37.59.231.15', 624682752, 624682767, 'DE', 'Germany'),
(6448, '37.59.231.16', '37.59.231.31', 624682768, 624682783, 'FR', 'France'),
(6449, '37.59.231.32', '37.59.231.39', 624682784, 624682791, 'NL', 'Netherlands'),
(6450, '37.59.231.40', '37.59.231.47', 624682792, 624682799, 'PL', 'Poland'),
(6451, '37.59.231.48', '37.59.231.127', 624682800, 624682879, 'FR', 'France'),
(6452, '37.59.231.128', '37.59.231.159', 624682880, 624682911, 'GB', 'United Kingdom'),
(6453, '37.59.231.160', '37.59.231.167', 624682912, 624682919, 'IT', 'Italy'),
(6454, '37.59.231.168', '37.59.231.175', 624682920, 624682927, 'IE', 'Ireland'),
(6455, '37.59.231.176', '37.59.231.191', 624682928, 624682943, 'FR', 'France'),
(6456, '37.59.231.192', '37.59.231.199', 624682944, 624682951, 'PL', 'Poland'),
(6457, '37.59.231.200', '37.59.231.207', 624682952, 624682959, 'IT', 'Italy'),
(6458, '37.59.231.208', '37.59.231.211', 624682960, 624682963, 'BE', 'Belgium'),
(6459, '37.59.231.212', '37.59.231.215', 624682964, 624682967, 'PL', 'Poland'),
(6460, '37.59.231.216', '37.59.231.219', 624682968, 624682971, 'FR', 'France'),
(6461, '37.59.231.220', '37.59.231.223', 624682972, 624682975, 'PT', 'Portugal'),
(6462, '37.59.231.224', '37.59.231.239', 624682976, 624682991, 'FR', 'France'),
(6463, '37.59.231.240', '37.59.231.255', 624682992, 624683007, 'NL', 'Netherlands'),
(6464, '37.59.232.0', '37.59.232.3', 624683008, 624683011, 'FR', 'France'),
(6465, '37.59.232.4', '37.59.232.7', 624683012, 624683015, 'PL', 'Poland'),
(6466, '37.59.232.8', '37.59.232.15', 624683016, 624683023, 'GB', 'United Kingdom'),
(6467, '37.59.232.16', '37.59.232.19', 624683024, 624683027, 'PL', 'Poland'),
(6468, '37.59.232.20', '37.59.232.23', 624683028, 624683031, 'IT', 'Italy'),
(6469, '37.59.232.24', '37.59.232.31', 624683032, 624683039, 'GB', 'United Kingdom'),
(6470, '37.59.232.32', '37.59.232.39', 624683040, 624683047, 'BE', 'Belgium'),
(6471, '37.59.232.40', '37.59.232.43', 624683048, 624683051, 'PL', 'Poland'),
(6472, '37.59.232.44', '37.59.232.47', 624683052, 624683055, 'IT', 'Italy'),
(6473, '37.59.232.48', '37.59.232.55', 624683056, 624683063, 'ES', 'Spain'),
(6474, '37.59.232.56', '37.59.232.59', 624683064, 624683067, 'FR', 'France'),
(6475, '37.59.232.60', '37.59.232.63', 624683068, 624683071, 'IE', 'Ireland'),
(6476, '37.59.232.64', '37.59.232.79', 624683072, 624683087, 'FR', 'France'),
(6477, '37.59.232.80', '37.59.232.83', 624683088, 624683091, 'GB', 'United Kingdom'),
(6478, '37.59.232.84', '37.59.232.231', 624683092, 624683239, 'FR', 'France'),
(6479, '37.59.232.232', '37.59.232.235', 624683240, 624683243, 'PL', 'Poland'),
(6480, '37.59.232.236', '37.59.232.239', 624683244, 624683247, 'FR', 'France'),
(6481, '37.59.232.240', '37.59.232.243', 624683248, 624683251, 'PL', 'Poland'),
(6482, '37.59.232.244', '37.59.232.247', 624683252, 624683255, 'GB', 'United Kingdom'),
(6483, '37.59.232.248', '37.59.233.31', 624683256, 624683295, 'FR', 'France'),
(6484, '37.59.233.32', '37.59.233.47', 624683296, 624683311, 'IT', 'Italy'),
(6485, '37.59.233.48', '37.59.233.63', 624683312, 624683327, 'FR', 'France'),
(6486, '37.59.233.64', '37.59.233.71', 624683328, 624683335, 'GB', 'United Kingdom'),
(6487, '37.59.233.72', '37.59.233.75', 624683336, 624683339, 'FR', 'France'),
(6488, '37.59.233.76', '37.59.233.79', 624683340, 624683343, 'ES', 'Spain'),
(6489, '37.59.233.80', '37.59.233.87', 624683344, 624683351, 'IE', 'Ireland'),
(6490, '37.59.233.88', '37.59.233.107', 624683352, 624683371, 'FR', 'France'),
(6491, '37.59.233.108', '37.59.233.111', 624683372, 624683375, 'ES', 'Spain'),
(6492, '37.59.233.112', '37.59.233.115', 624683376, 624683379, 'FR', 'France'),
(6493, '37.59.233.116', '37.59.233.119', 624683380, 624683383, 'IT', 'Italy'),
(6494, '37.59.233.120', '37.59.234.111', 624683384, 624683631, 'FR', 'France'),
(6495, '37.59.234.112', '37.59.234.127', 624683632, 624683647, 'ES', 'Spain'),
(6496, '37.59.234.128', '37.59.234.159', 624683648, 624683679, 'FR', 'France'),
(6497, '37.59.234.160', '37.59.234.163', 624683680, 624683683, 'PL', 'Poland'),
(6498, '37.59.234.164', '37.59.234.167', 624683684, 624683687, 'ES', 'Spain'),
(6499, '37.59.234.168', '37.59.234.171', 624683688, 624683691, 'FR', 'France'),
(6500, '37.59.234.172', '37.59.234.175', 624683692, 624683695, 'PL', 'Poland'),
(6501, '37.59.234.176', '37.59.234.207', 624683696, 624683727, 'FR', 'France'),
(6502, '37.59.234.208', '37.59.234.223', 624683728, 624683743, 'ES', 'Spain'),
(6503, '37.59.234.224', '37.59.234.239', 624683744, 624683759, 'FR', 'France'),
(6504, '37.59.234.240', '37.59.234.255', 624683760, 624683775, 'PL', 'Poland'),
(6505, '37.59.235.0', '37.59.235.7', 624683776, 624683783, 'FR', 'France'),
(6506, '37.59.235.8', '37.59.235.11', 624683784, 624683787, 'CZ', 'Czech Republic'),
(6507, '37.59.235.12', '37.59.235.23', 624683788, 624683799, 'FR', 'France'),
(6508, '37.59.235.24', '37.59.235.27', 624683800, 624683803, 'FI', 'Finland'),
(6509, '37.59.235.28', '37.59.235.31', 624683804, 624683807, 'IT', 'Italy'),
(6510, '37.59.235.32', '37.59.235.35', 624683808, 624683811, 'ES', 'Spain'),
(6511, '37.59.235.36', '37.59.235.39', 624683812, 624683815, 'DE', 'Germany'),
(6512, '37.59.235.40', '37.59.235.43', 624683816, 624683819, 'NL', 'Netherlands'),
(6513, '37.59.235.44', '37.59.235.47', 624683820, 624683823, 'ES', 'Spain'),
(6514, '37.59.235.48', '37.59.235.63', 624683824, 624683839, 'FR', 'France'),
(6515, '37.59.235.64', '37.59.235.67', 624683840, 624683843, 'GB', 'United Kingdom'),
(6516, '37.59.235.68', '37.59.235.71', 624683844, 624683847, 'PT', 'Portugal'),
(6517, '37.59.235.72', '37.59.235.103', 624683848, 624683879, 'FR', 'France'),
(6518, '37.59.235.104', '37.59.235.107', 624683880, 624683883, 'NL', 'Netherlands'),
(6519, '37.59.235.108', '37.59.235.111', 624683884, 624683887, 'GB', 'United Kingdom'),
(6520, '37.59.235.112', '37.59.235.119', 624683888, 624683895, 'PL', 'Poland'),
(6521, '37.59.235.120', '37.59.235.127', 624683896, 624683903, 'GB', 'United Kingdom'),
(6522, '37.59.235.128', '37.59.235.167', 624683904, 624683943, 'FR', 'France'),
(6523, '37.59.235.168', '37.59.235.171', 624683944, 624683947, 'PL', 'Poland'),
(6524, '37.59.235.172', '37.59.235.175', 624683948, 624683951, 'FI', 'Finland'),
(6525, '37.59.235.176', '37.59.235.191', 624683952, 624683967, 'NL', 'Netherlands'),
(6526, '37.59.235.192', '37.59.235.195', 624683968, 624683971, 'IE', 'Ireland'),
(6527, '37.59.235.196', '37.59.235.199', 624683972, 624683975, 'DE', 'Germany'),
(6528, '37.59.235.200', '37.59.235.207', 624683976, 624683983, 'GB', 'United Kingdom'),
(6529, '37.59.235.208', '37.59.235.215', 624683984, 624683991, 'PT', 'Portugal'),
(6530, '37.59.235.216', '37.59.235.223', 624683992, 624683999, 'GB', 'United Kingdom'),
(6531, '37.59.235.224', '37.59.235.231', 624684000, 624684007, 'NL', 'Netherlands'),
(6532, '37.59.235.232', '37.59.235.239', 624684008, 624684015, 'FR', 'France'),
(6533, '37.59.235.240', '37.59.235.243', 624684016, 624684019, 'DE', 'Germany'),
(6534, '37.59.235.244', '37.59.235.247', 624684020, 624684023, 'CH', 'Switzerland'),
(6535, '37.59.235.248', '37.59.235.251', 624684024, 624684027, 'FR', 'France'),
(6536, '37.59.235.252', '37.59.235.255', 624684028, 624684031, 'CH', 'Switzerland'),
(6537, '37.59.236.0', '37.59.236.7', 624684032, 624684039, 'FR', 'France'),
(6538, '37.59.236.8', '37.59.236.11', 624684040, 624684043, 'DE', 'Germany'),
(6539, '37.59.236.12', '37.59.236.15', 624684044, 624684047, 'FR', 'France'),
(6540, '37.59.236.16', '37.59.236.19', 624684048, 624684051, 'DE', 'Germany'),
(6541, '37.59.236.20', '37.59.236.23', 624684052, 624684055, 'FR', 'France'),
(6542, '37.59.236.24', '37.59.236.31', 624684056, 624684063, 'NL', 'Netherlands'),
(6543, '37.59.236.32', '37.59.236.39', 624684064, 624684071, 'PT', 'Portugal'),
(6544, '37.59.236.40', '37.59.236.47', 624684072, 624684079, 'FR', 'France'),
(6545, '37.59.236.48', '37.59.236.63', 624684080, 624684095, 'DE', 'Germany'),
(6546, '37.59.236.64', '37.59.236.71', 624684096, 624684103, 'PT', 'Portugal'),
(6547, '37.59.236.72', '37.59.236.79', 624684104, 624684111, 'FR', 'France'),
(6548, '37.59.236.80', '37.59.236.95', 624684112, 624684127, 'ES', 'Spain'),
(6549, '37.59.236.96', '37.59.236.103', 624684128, 624684135, 'GB', 'United Kingdom'),
(6550, '37.59.236.104', '37.59.236.111', 624684136, 624684143, 'FR', 'France'),
(6551, '37.59.236.112', '37.59.236.119', 624684144, 624684151, 'IT', 'Italy'),
(6552, '37.59.236.120', '37.59.236.123', 624684152, 624684155, 'NL', 'Netherlands'),
(6553, '37.59.236.124', '37.59.236.127', 624684156, 624684159, 'FR', 'France'),
(6554, '37.59.236.128', '37.59.236.135', 624684160, 624684167, 'NL', 'Netherlands'),
(6555, '37.59.236.136', '37.59.236.159', 624684168, 624684191, 'IE', 'Ireland'),
(6556, '37.59.236.160', '37.59.236.163', 624684192, 624684195, 'CH', 'Switzerland'),
(6557, '37.59.236.164', '37.59.236.171', 624684196, 624684203, 'FR', 'France'),
(6558, '37.59.236.172', '37.59.236.175', 624684204, 624684207, 'PL', 'Poland'),
(6559, '37.59.236.176', '37.59.236.179', 624684208, 624684211, 'ES', 'Spain'),
(6560, '37.59.236.180', '37.59.236.183', 624684212, 624684215, 'FR', 'France'),
(6561, '37.59.236.184', '37.59.236.187', 624684216, 624684219, 'IT', 'Italy'),
(6562, '37.59.236.188', '37.59.236.191', 624684220, 624684223, 'DE', 'Germany'),
(6563, '37.59.236.192', '37.59.236.223', 624684224, 624684255, 'FR', 'France'),
(6564, '37.59.236.224', '37.59.236.255', 624684256, 624684287, 'DE', 'Germany'),
(6565, '37.59.237.0', '37.59.237.47', 624684288, 624684335, 'FR', 'France'),
(6566, '37.59.237.48', '37.59.237.55', 624684336, 624684343, 'IT', 'Italy'),
(6567, '37.59.237.56', '37.59.237.59', 624684344, 624684347, 'FR', 'France'),
(6568, '37.59.237.60', '37.59.237.63', 624684348, 624684351, 'NL', 'Netherlands'),
(6569, '37.59.237.64', '37.59.237.71', 624684352, 624684359, 'GB', 'United Kingdom'),
(6570, '37.59.237.72', '37.59.237.75', 624684360, 624684363, 'DE', 'Germany'),
(6571, '37.59.237.76', '37.59.237.83', 624684364, 624684371, 'PL', 'Poland'),
(6572, '37.59.237.84', '37.59.237.91', 624684372, 624684379, 'FR', 'France'),
(6573, '37.59.237.92', '37.59.237.95', 624684380, 624684383, 'GB', 'United Kingdom'),
(6574, '37.59.237.96', '37.59.237.111', 624684384, 624684399, 'IE', 'Ireland'),
(6575, '37.59.237.112', '37.59.237.127', 624684400, 624684415, 'NL', 'Netherlands'),
(6576, '37.59.237.128', '37.59.237.131', 624684416, 624684419, 'PT', 'Portugal'),
(6577, '37.59.237.132', '37.59.237.139', 624684420, 624684427, 'FR', 'France'),
(6578, '37.59.237.140', '37.59.237.143', 624684428, 624684431, 'NL', 'Netherlands'),
(6579, '37.59.237.144', '37.59.237.159', 624684432, 624684447, 'FR', 'France'),
(6580, '37.59.237.160', '37.59.237.191', 624684448, 624684479, 'GB', 'United Kingdom'),
(6581, '37.59.237.192', '37.59.237.223', 624684480, 624684511, 'FI', 'Finland'),
(6582, '37.59.237.224', '37.59.237.255', 624684512, 624684543, 'GB', 'United Kingdom'),
(6583, '37.59.238.0', '37.59.238.39', 624684544, 624684583, 'FR', 'France'),
(6584, '37.59.238.40', '37.59.238.43', 624684584, 624684587, 'FI', 'Finland'),
(6585, '37.59.238.44', '37.59.238.47', 624684588, 624684591, 'ES', 'Spain'),
(6586, '37.59.238.48', '37.59.238.59', 624684592, 624684603, 'FR', 'France'),
(6587, '37.59.238.60', '37.59.238.63', 624684604, 624684607, 'PL', 'Poland'),
(6588, '37.59.238.64', '37.59.238.71', 624684608, 624684615, 'ES', 'Spain'),
(6589, '37.59.238.72', '37.59.238.95', 624684616, 624684639, 'PL', 'Poland'),
(6590, '37.59.238.96', '37.59.238.111', 624684640, 624684655, 'CH', 'Switzerland'),
(6591, '37.59.238.112', '37.59.238.131', 624684656, 624684675, 'FR', 'France'),
(6592, '37.59.238.132', '37.59.238.135', 624684676, 624684679, 'GB', 'United Kingdom'),
(6593, '37.59.238.136', '37.59.238.139', 624684680, 624684683, 'FR', 'France'),
(6594, '37.59.238.140', '37.59.238.143', 624684684, 624684687, 'CZ', 'Czech Republic'),
(6595, '37.59.238.144', '37.59.238.159', 624684688, 624684703, 'FR', 'France'),
(6596, '37.59.238.160', '37.59.238.175', 624684704, 624684719, 'NL', 'Netherlands'),
(6597, '37.59.238.176', '37.59.238.255', 624684720, 624684799, 'FR', 'France'),
(6598, '37.59.239.0', '37.59.239.3', 624684800, 624684803, 'DE', 'Germany'),
(6599, '37.59.239.4', '37.59.239.7', 624684804, 624684807, 'PL', 'Poland'),
(6600, '37.59.239.8', '37.59.239.11', 624684808, 624684811, 'DE', 'Germany'),
(6601, '37.59.239.12', '37.59.239.15', 624684812, 624684815, 'BE', 'Belgium'),
(6602, '37.59.239.16', '37.59.239.31', 624684816, 624684831, 'GB', 'United Kingdom'),
(6603, '37.59.239.32', '37.59.239.39', 624684832, 624684839, 'PL', 'Poland'),
(6604, '37.59.239.40', '37.59.239.43', 624684840, 624684843, 'ES', 'Spain'),
(6605, '37.59.239.44', '37.59.239.47', 624684844, 624684847, 'PT', 'Portugal'),
(6606, '37.59.239.48', '37.59.239.63', 624684848, 624684863, 'FR', 'France'),
(6607, '37.59.239.64', '37.59.239.67', 624684864, 624684867, 'GB', 'United Kingdom'),
(6608, '37.59.239.68', '37.59.239.71', 624684868, 624684871, 'BE', 'Belgium'),
(6609, '37.59.239.72', '37.59.239.79', 624684872, 624684879, 'DE', 'Germany'),
(6610, '37.59.239.80', '37.59.239.83', 624684880, 624684883, 'FR', 'France'),
(6611, '37.59.239.84', '37.59.239.87', 624684884, 624684887, 'ES', 'Spain'),
(6612, '37.59.239.88', '37.59.239.91', 624684888, 624684891, 'DE', 'Germany'),
(6613, '37.59.239.92', '37.59.239.95', 624684892, 624684895, 'NL', 'Netherlands'),
(6614, '37.59.239.96', '37.59.239.99', 624684896, 624684899, 'PL', 'Poland'),
(6615, '37.59.239.100', '37.59.239.103', 624684900, 624684903, 'FR', 'France'),
(6616, '37.59.239.104', '37.59.239.111', 624684904, 624684911, 'CH', 'Switzerland'),
(6617, '37.59.239.112', '37.59.239.115', 624684912, 624684915, 'PL', 'Poland'),
(6618, '37.59.239.116', '37.59.239.119', 624684916, 624684919, 'FR', 'France'),
(6619, '37.59.239.120', '37.59.239.127', 624684920, 624684927, 'PL', 'Poland'),
(6620, '37.59.239.128', '37.59.239.191', 624684928, 624684991, 'FR', 'France'),
(6621, '37.59.239.192', '37.59.239.223', 624684992, 624685023, 'NL', 'Netherlands'),
(6622, '37.59.239.224', '37.59.239.227', 624685024, 624685027, 'PL', 'Poland'),
(6623, '37.59.239.228', '37.59.239.231', 624685028, 624685031, 'FR', 'France'),
(6624, '37.59.239.232', '37.59.239.235', 624685032, 624685035, 'PL', 'Poland'),
(6625, '37.59.239.236', '37.59.239.239', 624685036, 624685039, 'ES', 'Spain'),
(6626, '37.59.239.240', '37.59.239.247', 624685040, 624685047, 'PL', 'Poland'),
(6627, '37.59.239.248', '37.59.239.251', 624685048, 624685051, 'FR', 'France'),
(6628, '37.59.239.252', '37.59.239.255', 624685052, 624685055, 'CZ', 'Czech Republic'),
(6629, '37.59.240.0', '37.59.240.3', 624685056, 624685059, 'NL', 'Netherlands'),
(6630, '37.59.240.4', '37.59.240.7', 624685060, 624685063, 'GB', 'United Kingdom'),
(6631, '37.59.240.8', '37.59.240.15', 624685064, 624685071, 'FR', 'France'),
(6632, '37.59.240.16', '37.59.240.19', 624685072, 624685075, 'ES', 'Spain'),
(6633, '37.59.240.20', '37.59.240.23', 624685076, 624685079, 'GB', 'United Kingdom'),
(6634, '37.59.240.24', '37.59.240.31', 624685080, 624685087, 'NL', 'Netherlands'),
(6635, '37.59.240.32', '37.59.240.63', 624685088, 624685119, 'CZ', 'Czech Republic'),
(6636, '37.59.240.64', '37.59.240.79', 624685120, 624685135, 'FR', 'France'),
(6637, '37.59.240.80', '37.59.240.95', 624685136, 624685151, 'CH', 'Switzerland'),
(6638, '37.59.240.96', '37.59.240.111', 624685152, 624685167, 'FR', 'France'),
(6639, '37.59.240.112', '37.59.240.127', 624685168, 624685183, 'GB', 'United Kingdom'),
(6640, '37.59.240.128', '37.59.240.175', 624685184, 624685231, 'FR', 'France'),
(6641, '37.59.240.176', '37.59.240.179', 624685232, 624685235, 'CZ', 'Czech Republic'),
(6642, '37.59.240.180', '37.59.240.183', 624685236, 624685239, 'BE', 'Belgium'),
(6643, '37.59.240.184', '37.59.240.187', 624685240, 624685243, 'IE', 'Ireland'),
(6644, '37.59.240.188', '37.59.240.191', 624685244, 624685247, 'BE', 'Belgium'),
(6645, '37.59.240.192', '37.59.241.139', 624685248, 624685451, 'FR', 'France'),
(6646, '37.59.241.140', '37.59.241.143', 624685452, 624685455, 'PL', 'Poland'),
(6647, '37.59.241.144', '37.59.241.191', 624685456, 624685503, 'FR', 'France'),
(6648, '37.59.241.192', '37.59.241.223', 624685504, 624685535, 'NL', 'Netherlands'),
(6649, '37.59.241.224', '37.59.242.111', 624685536, 624685679, 'FR', 'France'),
(6650, '37.59.242.112', '37.59.242.115', 624685680, 624685683, 'PL', 'Poland'),
(6651, '37.59.242.116', '37.59.242.119', 624685684, 624685687, 'FI', 'Finland'),
(6652, '37.59.242.120', '37.59.242.123', 624685688, 624685691, 'GB', 'United Kingdom'),
(6653, '37.59.242.124', '37.59.242.127', 624685692, 624685695, 'NL', 'Netherlands'),
(6654, '37.59.242.128', '37.59.242.135', 624685696, 624685703, 'IE', 'Ireland'),
(6655, '37.59.242.136', '37.59.242.139', 624685704, 624685707, 'CH', 'Switzerland'),
(6656, '37.59.242.140', '37.59.242.143', 624685708, 624685711, 'DE', 'Germany'),
(6657, '37.59.242.144', '37.59.242.147', 624685712, 624685715, 'ES', 'Spain'),
(6658, '37.59.242.148', '37.59.242.151', 624685716, 624685719, 'GB', 'United Kingdom'),
(6659, '37.59.242.152', '37.59.242.155', 624685720, 624685723, 'IE', 'Ireland'),
(6660, '37.59.242.156', '37.59.242.159', 624685724, 624685727, 'PL', 'Poland'),
(6661, '37.59.242.160', '37.59.242.191', 624685728, 624685759, 'FR', 'France'),
(6662, '37.59.242.192', '37.59.242.207', 624685760, 624685775, 'IE', 'Ireland'),
(6663, '37.59.242.208', '37.59.242.223', 624685776, 624685791, 'FR', 'France'),
(6664, '37.59.242.224', '37.59.242.231', 624685792, 624685799, 'PL', 'Poland'),
(6665, '37.59.242.232', '37.59.242.235', 624685800, 624685803, 'GB', 'United Kingdom'),
(6666, '37.59.242.236', '37.59.242.239', 624685804, 624685807, 'IT', 'Italy'),
(6667, '37.59.242.240', '37.59.242.247', 624685808, 624685815, 'FR', 'France'),
(6668, '37.59.242.248', '37.59.242.255', 624685816, 624685823, 'GB', 'United Kingdom'),
(6669, '37.59.243.0', '37.59.243.95', 624685824, 624685919, 'FR', 'France'),
(6670, '37.59.243.96', '37.59.243.119', 624685920, 624685943, 'IT', 'Italy'),
(6671, '37.59.243.120', '37.59.243.159', 624685944, 624685983, 'FR', 'France'),
(6672, '37.59.243.160', '37.59.243.163', 624685984, 624685987, 'IE', 'Ireland'),
(6673, '37.59.243.164', '37.59.243.167', 624685988, 624685991, 'NL', 'Netherlands'),
(6674, '37.59.243.168', '37.59.243.175', 624685992, 624685999, 'DE', 'Germany'),
(6675, '37.59.243.176', '37.59.243.179', 624686000, 624686003, 'LT', 'Lithuania'),
(6676, '37.59.243.180', '37.59.243.183', 624686004, 624686007, 'PL', 'Poland'),
(6677, '37.59.243.184', '37.59.243.191', 624686008, 624686015, 'ES', 'Spain'),
(6678, '37.59.243.192', '37.59.255.255', 624686016, 624689151, 'FR', 'France'),
(6679, '37.60.0.0', '37.60.7.255', 624689152, 624691199, 'DE', 'Germany'),
(6680, '37.60.8.0', '37.60.15.255', 624691200, 624693247, 'FR', 'France'),
(6681, '37.60.16.0', '37.60.23.255', 624693248, 624695295, 'RU', 'Russian Federation'),
(6682, '37.60.24.0', '37.60.31.255', 624695296, 624697343, 'PL', 'Poland'),
(6683, '37.60.32.0', '37.60.39.255', 624697344, 624699391, 'IT', 'Italy'),
(6684, '37.60.40.0', '37.60.47.255', 624699392, 624701439, 'IL', 'Israel'),
(6685, '37.60.48.0', '37.60.63.255', 624701440, 624705535, 'FR', 'France'),
(6686, '37.60.64.0', '37.60.127.255', 624705536, 624721919, 'GB', 'United Kingdom'),
(6687, '37.60.128.0', '37.60.135.255', 624721920, 624723967, 'HR', 'Croatia'),
(6688, '37.60.136.0', '37.60.143.255', 624723968, 624726015, 'BG', 'Bulgaria'),
(6689, '37.60.144.0', '37.60.151.255', 624726016, 624728063, 'PS', 'Palestinian Territory, Occupied'),
(6690, '37.60.152.0', '37.60.159.255', 624728064, 624730111, 'FR', 'France'),
(6691, '37.60.160.0', '37.60.167.255', 624730112, 624732159, 'A2', 'Satellite Provider'),
(6692, '37.60.168.0', '37.60.175.255', 624732160, 624734207, 'DE', 'Germany'),
(6693, '37.60.176.0', '37.60.183.255', 624734208, 624736255, 'RU', 'Russian Federation'),
(6694, '37.60.184.0', '37.60.191.255', 624736256, 624738303, 'FR', 'France'),
(6695, '37.60.192.0', '37.60.199.255', 624738304, 624740351, 'NL', 'Netherlands'),
(6696, '37.60.200.0', '37.60.207.255', 624740352, 624742399, 'DE', 'Germany'),
(6697, '37.60.208.0', '37.60.223.255', 624742400, 624746495, 'RU', 'Russian Federation'),
(6698, '37.60.224.0', '37.60.255.255', 624746496, 624754687, 'RO', 'Romania'),
(6699, '37.61.0.0', '37.61.127.255', 624754688, 624787455, 'AZ', 'Azerbaijan'),
(6700, '37.61.128.0', '37.61.143.255', 624787456, 624791551, 'DE', 'Germany'),
(6701, '37.61.144.0', '37.61.159.255', 624791552, 624795647, 'ES', 'Spain'),
(6702, '37.61.160.0', '37.61.175.255', 624795648, 624799743, 'SK', 'Slovakia'),
(6703, '37.61.176.0', '37.61.183.255', 624799744, 624801791, 'RU', 'Russian Federation'),
(6704, '37.61.184.0', '37.61.191.255', 624801792, 624803839, 'AT', 'Austria'),
(6705, '37.61.192.0', '37.61.223.255', 624803840, 624812031, 'DE', 'Germany'),
(6706, '37.61.224.0', '37.61.231.255', 624812032, 624814079, 'IL', 'Israel'),
(6707, '37.61.232.0', '37.61.232.255', 624814080, 624814335, 'NL', 'Netherlands'),
(6708, '37.61.233.0', '37.61.239.255', 624814336, 624816127, 'GB', 'United Kingdom'),
(6709, '37.61.240.0', '37.61.247.255', 624816128, 624818175, 'FR', 'France'),
(6710, '37.61.248.0', '37.61.255.255', 624818176, 624820223, 'ES', 'Spain'),
(6711, '37.62.0.0', '37.62.255.255', 624820224, 624885759, 'BE', 'Belgium'),
(6712, '37.63.0.0', '37.63.127.255', 624885760, 624918527, 'BG', 'Bulgaria'),
(6713, '37.63.128.0', '37.63.255.255', 624918528, 624951295, 'IR', 'Iran, Islamic Republic of'),
(6714, '37.64.0.0', '37.71.255.255', 624951296, 625475583, 'FR', 'France'),
(6715, '37.72.0.0', '37.72.31.255', 625475584, 625483775, 'ES', 'Spain'),
(6716, '37.72.32.0', '37.72.39.255', 625483776, 625485823, 'IT', 'Italy'),
(6717, '37.72.40.0', '37.72.47.255', 625485824, 625487871, 'UA', 'Ukraine'),
(6718, '37.72.48.0', '37.72.63.255', 625487872, 625491967, 'TR', 'Turkey'),
(6719, '37.72.64.0', '37.72.95.255', 625491968, 625500159, 'RU', 'Russian Federation'),
(6720, '37.72.96.0', '37.72.111.255', 625500160, 625504255, 'NL', 'Netherlands'),
(6721, '37.72.112.0', '37.72.119.255', 625504256, 625506303, 'GB', 'United Kingdom'),
(6722, '37.72.120.0', '37.72.127.255', 625506304, 625508351, 'PL', 'Poland'),
(6723, '37.72.128.0', '37.72.143.255', 625508352, 625512447, 'AZ', 'Azerbaijan'),
(6724, '37.72.144.0', '37.72.151.255', 625512448, 625514495, 'DE', 'Germany'),
(6725, '37.72.152.0', '37.72.159.255', 625514496, 625516543, 'GG', 'Guernsey'),
(6726, '37.72.160.0', '37.72.167.255', 625516544, 625518591, 'BE', 'Belgium'),
(6727, '37.72.168.0', '37.72.168.255', 625518592, 625518847, 'US', 'United States'),
(6728, '37.72.169.0', '37.72.173.255', 625518848, 625520127, 'NL', 'Netherlands'),
(6729, '37.72.174.0', '37.72.175.255', 625520128, 625520639, 'US', 'United States'),
(6730, '37.72.176.0', '37.72.183.255', 625520640, 625522687, 'RU', 'Russian Federation'),
(6731, '37.72.184.0', '37.72.187.255', 625522688, 625523711, 'SE', 'Sweden'),
(6732, '37.72.188.0', '37.72.190.255', 625523712, 625524479, 'US', 'United States'),
(6733, '37.72.191.0', '37.72.191.255', 625524480, 625524735, 'SE', 'Sweden'),
(6734, '37.72.192.0', '37.72.255.255', 625524736, 625541119, 'FR', 'France'),
(6735, '37.73.0.0', '37.73.255.255', 625541120, 625606655, 'UA', 'Ukraine'),
(6736, '37.74.0.0', '37.74.255.255', 625606656, 625672191, 'NL', 'Netherlands'),
(6737, '37.75.0.0', '37.75.7.255', 625672192, 625674239, 'RU', 'Russian Federation'),
(6738, '37.75.8.0', '37.75.15.255', 625674240, 625676287, 'TR', 'Turkey'),
(6739, '37.75.16.0', '37.75.31.255', 625676288, 625680383, 'MD', 'Moldova, Republic of'),
(6740, '37.75.32.0', '37.75.63.255', 625680384, 625688575, 'MT', 'Malta'),
(6741, '37.75.64.0', '37.75.127.255', 625688576, 625704959, 'MD', 'Moldova, Republic of'),
(6742, '37.75.128.0', '37.75.135.255', 625704960, 625707007, 'GE', 'Georgia'),
(6743, '37.75.136.0', '37.75.143.255', 625707008, 625709055, 'AT', 'Austria'),
(6744, '37.75.144.0', '37.75.159.255', 625709056, 625713151, 'NL', 'Netherlands'),
(6745, '37.75.160.0', '37.75.191.255', 625713152, 625721343, 'DK', 'Denmark'),
(6746, '37.75.192.0', '37.75.207.255', 625721344, 625725439, 'RU', 'Russian Federation'),
(6747, '37.75.208.0', '37.75.215.255', 625725440, 625727487, 'PS', 'Palestinian Territory, Occupied'),
(6748, '37.75.216.0', '37.75.223.255', 625727488, 625729535, 'UA', 'Ukraine'),
(6749, '37.75.224.0', '37.75.231.255', 625729536, 625731583, 'NL', 'Netherlands'),
(6750, '37.75.232.0', '37.75.239.255', 625731584, 625733631, 'GB', 'United Kingdom'),
(6751, '37.75.240.0', '37.75.247.255', 625733632, 625735679, 'IR', 'Iran, Islamic Republic of'),
(6752, '37.75.248.0', '37.75.255.255', 625735680, 625737727, 'RU', 'Russian Federation'),
(6753, '37.76.0.0', '37.76.127.255', 625737728, 625770495, 'HU', 'Hungary'),
(6754, '37.76.128.0', '37.76.191.255', 625770496, 625786879, 'RU', 'Russian Federation'),
(6755, '37.76.192.0', '37.76.223.255', 625786880, 625795071, 'PS', 'Palestinian Territory, Occupied'),
(6756, '37.76.224.0', '37.76.255.255', 625795072, 625803263, 'SA', 'Saudi Arabia'),
(6757, '37.77.0.0', '37.77.31.255', 625803264, 625811455, 'TR', 'Turkey'),
(6758, '37.77.32.0', '37.77.47.255', 625811456, 625815551, 'NL', 'Netherlands'),
(6759, '37.77.48.0', '37.77.55.255', 625815552, 625817599, 'IQ', 'Iraq'),
(6760, '37.77.56.0', '37.77.63.255', 625817600, 625819647, 'NL', 'Netherlands'),
(6761, '37.77.64.0', '37.77.79.255', 625819648, 625823743, 'IQ', 'Iraq'),
(6762, '37.77.80.0', '37.77.95.255', 625823744, 625827839, 'NL', 'Netherlands'),
(6763, '37.77.96.0', '37.77.103.255', 625827840, 625829887, 'IT', 'Italy'),
(6764, '37.77.104.0', '37.77.111.255', 625829888, 625831935, 'RU', 'Russian Federation'),
(6765, '37.77.112.0', '37.77.127.255', 625831936, 625836031, 'IT', 'Italy'),
(6766, '37.77.128.0', '37.77.128.127', 625836032, 625836159, 'KZ', 'Kazakhstan'),
(6767, '37.77.128.128', '37.77.135.255', 625836160, 625838079, 'RU', 'Russian Federation'),
(6768, '37.77.136.0', '37.77.143.255', 625838080, 625840127, 'IT', 'Italy'),
(6769, '37.77.144.0', '37.77.151.255', 625840128, 625842175, 'GB', 'United Kingdom'),
(6770, '37.77.152.0', '37.77.159.255', 625842176, 625844223, 'PL', 'Poland'),
(6771, '37.77.160.0', '37.77.167.255', 625844224, 625846271, 'IT', 'Italy'),
(6772, '37.77.168.0', '37.77.175.255', 625846272, 625848319, 'RS', 'Serbia'),
(6773, '37.77.176.0', '37.77.199.255', 625848320, 625854463, 'GB', 'United Kingdom'),
(6774, '37.77.200.0', '37.77.207.255', 625854464, 625856511, 'DE', 'Germany'),
(6775, '37.77.208.0', '37.77.223.255', 625856512, 625860607, 'IT', 'Italy'),
(6776, '37.77.224.0', '37.77.255.255', 625860608, 625868799, 'CZ', 'Czech Republic'),
(6777, '37.78.0.0', '37.79.255.255', 625868800, 625999871, 'RU', 'Russian Federation'),
(6778, '37.80.0.0', '37.95.255.255', 625999872, 627048447, 'DE', 'Germany'),
(6779, '37.96.0.0', '37.96.255.255', 627048448, 627113983, 'DK', 'Denmark'),
(6780, '37.97.0.0', '37.97.255.255', 627113984, 627179519, 'RO', 'Romania'),
(6781, '37.98.0.0', '37.98.127.255', 627179520, 627212287, 'IR', 'Iran, Islamic Republic of'),
(6782, '37.98.128.0', '37.98.143.255', 627212288, 627216383, 'FI', 'Finland'),
(6783, '37.98.144.0', '37.98.151.255', 627216384, 627218431, 'GB', 'United Kingdom'),
(6784, '37.98.152.0', '37.98.159.255', 627218432, 627220479, 'TJ', 'Tajikistan'),
(6785, '37.98.160.0', '37.98.191.255', 627220480, 627228671, 'RU', 'Russian Federation'),
(6786, '37.98.192.0', '37.98.199.255', 627228672, 627230719, 'GR', 'Greece'),
(6787, '37.98.200.0', '37.98.207.255', 627230720, 627232767, 'IR', 'Iran, Islamic Republic of'),
(6788, '37.98.208.0', '37.98.223.255', 627232768, 627236863, 'PL', 'Poland'),
(6789, '37.98.224.0', '37.98.231.255', 627236864, 627238911, 'IT', 'Italy'),
(6790, '37.98.232.0', '37.98.232.255', 627238912, 627239167, 'US', 'United States'),
(6791, '37.98.233.0', '37.98.239.255', 627239168, 627240959, 'EU', 'Europe'),
(6792, '37.98.240.0', '37.98.255.255', 627240960, 627245055, 'RU', 'Russian Federation'),
(6793, '37.99.0.0', '37.99.127.255', 627245056, 627277823, 'KZ', 'Kazakhstan'),
(6794, '37.99.128.0', '37.99.191.255', 627277824, 627294207, 'SA', 'Saudi Arabia'),
(6795, '37.99.192.0', '37.99.199.255', 627294208, 627296255, 'GR', 'Greece'),
(6796, '37.99.200.0', '37.99.207.255', 627296256, 627298303, 'DE', 'Germany'),
(6797, '37.99.208.0', '37.99.215.255', 627298304, 627300351, 'IT', 'Italy'),
(6798, '37.99.216.0', '37.99.223.255', 627300352, 627302399, 'RU', 'Russian Federation'),
(6799, '37.99.224.0', '37.103.255.255', 627302400, 627572735, 'IT', 'Italy'),
(6800, '37.104.0.0', '37.107.255.255', 627572736, 627834879, 'SA', 'Saudi Arabia'),
(6801, '37.108.0.0', '37.109.255.255', 627834880, 627965951, 'PL', 'Poland'),
(6802, '37.110.0.0', '37.110.159.255', 627965952, 628006911, 'RU', 'Russian Federation'),
(6803, '37.110.160.0', '37.110.191.255', 628006912, 628015103, 'GE', 'Georgia'),
(6804, '37.110.192.0', '37.110.199.255', 628015104, 628017151, 'GB', 'United Kingdom'),
(6805, '37.110.200.0', '37.110.207.255', 628017152, 628019199, 'CH', 'Switzerland'),
(6806, '37.110.208.0', '37.110.215.255', 628019200, 628021247, 'UZ', 'Uzbekistan'),
(6807, '37.110.216.0', '37.110.223.255', 628021248, 628023295, 'GB', 'United Kingdom'),
(6808, '37.110.224.0', '37.110.247.255', 628023296, 628029439, 'RU', 'Russian Federation'),
(6809, '37.110.248.0', '37.110.255.255', 628029440, 628031487, 'GB', 'United Kingdom'),
(6810, '37.111.0.0', '37.111.255.255', 628031488, 628097023, 'HU', 'Hungary'),
(6811, '37.112.0.0', '37.114.7.255', 628097024, 628230143, 'RU', 'Russian Federation'),
(6812, '37.114.8.0', '37.114.15.255', 628230144, 628232191, 'IT', 'Italy'),
(6813, '37.114.16.0', '37.114.31.255', 628232192, 628236287, 'RU', 'Russian Federation'),
(6814, '37.114.32.0', '37.114.42.255', 628236288, 628239103, 'DE', 'Germany'),
(6815, '37.114.43.0', '37.114.43.255', 628239104, 628239359, 'RU', 'Russian Federation'),
(6816, '37.114.44.0', '37.114.44.255', 628239360, 628239615, 'DE', 'Germany'),
(6817, '37.114.45.0', '37.114.45.255', 628239616, 628239871, 'AQ', 'Antarctica'),
(6818, '37.114.46.0', '37.114.63.255', 628239872, 628244479, 'DE', 'Germany'),
(6819, '37.114.64.0', '37.114.71.255', 628244480, 628246527, 'FR', 'France'),
(6820, '37.114.72.0', '37.114.79.255', 628246528, 628248575, 'MT', 'Malta'),
(6821, '37.114.80.0', '37.114.87.255', 628248576, 628250623, 'FI', 'Finland'),
(6822, '37.114.88.0', '37.114.95.255', 628250624, 628252671, 'NL', 'Netherlands'),
(6823, '37.114.96.0', '37.114.103.255', 628252672, 628254719, 'DE', 'Germany'),
(6824, '37.114.104.0', '37.114.106.255', 628254720, 628255487, 'US', 'United States'),
(6825, '37.114.107.0', '37.114.107.255', 628255488, 628255743, 'NL', 'Netherlands'),
(6826, '37.114.108.0', '37.114.112.255', 628255744, 628257023, 'DE', 'Germany'),
(6827, '37.114.113.0', '37.114.113.255', 628257024, 628257279, 'US', 'United States'),
(6828, '37.114.114.0', '37.114.120.255', 628257280, 628259071, 'DE', 'Germany'),
(6829, '37.114.121.0', '37.114.121.255', 628259072, 628259327, 'US', 'United States'),
(6830, '37.114.122.0', '37.114.124.255', 628259328, 628260095, 'DE', 'Germany'),
(6831, '37.114.125.0', '37.114.125.255', 628260096, 628260351, 'US', 'United States'),
(6832, '37.114.126.0', '37.114.127.255', 628260352, 628260863, 'DE', 'Germany'),
(6833, '37.114.128.0', '37.114.191.255', 628260864, 628277247, 'AZ', 'Azerbaijan'),
(6834, '37.114.192.0', '37.114.255.255', 628277248, 628293631, 'IR', 'Iran, Islamic Republic of'),
(6835, '37.115.0.0', '37.115.255.255', 628293632, 628359167, 'UA', 'Ukraine'),
(6836, '37.116.0.0', '37.119.255.255', 628359168, 628621311, 'IT', 'Italy'),
(6837, '37.120.0.0', '37.120.255.255', 628621312, 628686847, 'RO', 'Romania'),
(6838, '37.121.0.0', '37.121.255.255', 628686848, 628752383, 'SA', 'Saudi Arabia'),
(6839, '37.122.0.0', '37.122.127.255', 628752384, 628785151, 'RU', 'Russian Federation'),
(6840, '37.122.128.0', '37.122.135.255', 628785152, 628787199, 'CH', 'Switzerland'),
(6841, '37.122.136.0', '37.122.143.255', 628787200, 628789247, 'TR', 'Turkey'),
(6842, '37.122.144.0', '37.122.151.255', 628789248, 628791295, 'SE', 'Sweden'),
(6843, '37.122.152.0', '37.122.159.255', 628791296, 628793343, 'IL', 'Israel'),
(6844, '37.122.160.0', '37.122.191.255', 628793344, 628801535, 'ME', 'Montenegro'),
(6845, '37.122.192.0', '37.122.199.255', 628801536, 628803583, 'GB', 'United Kingdom'),
(6846, '37.122.200.0', '37.122.207.255', 628803584, 628805631, 'FR', 'France'),
(6847, '37.122.208.0', '37.122.215.255', 628805632, 628807679, 'GB', 'United Kingdom'),
(6848, '37.122.216.0', '37.122.223.255', 628807680, 628809727, 'AE', 'United Arab Emirates'),
(6849, '37.122.224.0', '37.122.239.255', 628809728, 628813823, 'TR', 'Turkey'),
(6850, '37.122.240.0', '37.122.247.255', 628813824, 628815871, 'DK', 'Denmark'),
(6851, '37.122.248.0', '37.122.255.255', 628815872, 628817919, 'GB', 'United Kingdom'),
(6852, '37.123.0.0', '37.123.63.255', 628817920, 628834303, 'TR', 'Turkey'),
(6853, '37.123.64.0', '37.123.95.255', 628834304, 628842495, 'JO', 'Jordan'),
(6854, '37.123.96.0', '37.123.103.255', 628842496, 628844543, 'TR', 'Turkey'),
(6855, '37.123.104.0', '37.123.111.255', 628844544, 628846591, 'DE', 'Germany'),
(6856, '37.123.112.0', '37.123.119.255', 628846592, 628848639, 'GB', 'United Kingdom'),
(6857, '37.123.120.0', '37.123.127.255', 628848640, 628850687, 'DE', 'Germany'),
(6858, '37.123.128.0', '37.123.135.255', 628850688, 628852735, 'NO', 'Norway'),
(6859, '37.123.136.0', '37.123.191.255', 628852736, 628867071, 'SE', 'Sweden'),
(6860, '37.123.192.0', '37.123.199.255', 628867072, 628869119, 'IR', 'Iran, Islamic Republic of'),
(6861, '37.123.200.0', '37.123.207.255', 628869120, 628871167, 'PL', 'Poland'),
(6862, '37.123.208.0', '37.123.215.255', 628871168, 628873215, 'NL', 'Netherlands'),
(6863, '37.123.216.0', '37.123.223.255', 628873216, 628875263, 'RU', 'Russian Federation'),
(6864, '37.123.224.0', '37.123.231.255', 628875264, 628877311, 'SE', 'Sweden'),
(6865, '37.123.232.0', '37.123.239.255', 628877312, 628879359, 'BE', 'Belgium'),
(6866, '37.123.240.0', '37.123.247.255', 628879360, 628881407, 'IT', 'Italy'),
(6867, '37.123.248.0', '37.123.255.255', 628881408, 628883455, 'GB', 'United Kingdom'),
(6868, '37.124.0.0', '37.127.255.255', 628883456, 629145599, 'SA', 'Saudi Arabia'),
(6869, '37.128.0.0', '37.128.127.255', 629145600, 629178367, 'PL', 'Poland'),
(6870, '37.128.128.0', '37.128.135.255', 629178368, 629180415, 'GB', 'United Kingdom'),
(6871, '37.128.136.0', '37.128.143.255', 629180416, 629182463, 'IT', 'Italy'),
(6872, '37.128.144.0', '37.128.151.255', 629182464, 629184511, 'NL', 'Netherlands'),
(6873, '37.128.152.0', '37.128.167.255', 629184512, 629188607, 'PL', 'Poland'),
(6874, '37.128.168.0', '37.128.175.255', 629188608, 629190655, 'ES', 'Spain'),
(6875, '37.128.176.0', '37.128.183.255', 629190656, 629192703, 'CH', 'Switzerland'),
(6876, '37.128.184.0', '37.128.191.255', 629192704, 629194751, 'GB', 'United Kingdom'),
(6877, '37.128.192.0', '37.128.199.255', 629194752, 629196799, 'IE', 'Ireland'),
(6878, '37.128.200.0', '37.128.207.255', 629196800, 629198847, 'AZ', 'Azerbaijan'),
(6879, '37.128.208.0', '37.128.223.255', 629198848, 629202943, 'DK', 'Denmark'),
(6880, '37.128.224.0', '37.128.239.255', 629202944, 629207039, 'RO', 'Romania'),
(6881, '37.128.240.0', '37.128.255.255', 629207040, 629211135, 'IR', 'Iran, Islamic Republic of'),
(6882, '37.129.0.0', '37.129.255.255', 629211136, 629276671, 'RO', 'Romania'),
(6883, '37.130.0.0', '37.130.63.255', 629276672, 629293055, 'PL', 'Poland'),
(6884, '37.130.64.0', '37.130.127.255', 629293056, 629309439, 'TR', 'Turkey'),
(6885, '37.130.128.0', '37.130.143.255', 629309440, 629313535, 'DE', 'Germany'),
(6886, '37.130.144.0', '37.130.151.255', 629313536, 629315583, 'ES', 'Spain'),
(6887, '37.130.152.0', '37.130.159.255', 629315584, 629317631, 'IT', 'Italy'),
(6888, '37.130.160.0', '37.130.191.255', 629317632, 629325823, 'FI', 'Finland'),
(6889, '37.130.192.0', '37.130.199.255', 629325824, 629327871, 'RU', 'Russian Federation'),
(6890, '37.130.200.0', '37.130.207.255', 629327872, 629329919, 'IR', 'Iran, Islamic Republic of'),
(6891, '37.130.208.0', '37.130.215.255', 629329920, 629331967, 'ES', 'Spain'),
(6892, '37.130.216.0', '37.130.223.255', 629331968, 629334015, 'IT', 'Italy'),
(6893, '37.130.224.0', '37.130.239.255', 629334016, 629338111, 'GB', 'United Kingdom'),
(6894, '37.130.240.0', '37.130.247.255', 629338112, 629340159, 'BG', 'Bulgaria'),
(6895, '37.130.248.0', '37.130.255.255', 629340160, 629342207, 'GB', 'United Kingdom'),
(6896, '37.131.0.0', '37.131.127.255', 629342208, 629374975, 'BH', 'Bahrain'),
(6897, '37.131.128.0', '37.131.175.255', 629374976, 629387263, 'PL', 'Poland'),
(6898, '37.131.176.0', '37.131.183.255', 629387264, 629389311, 'DE', 'Germany'),
(6899, '37.131.184.0', '37.131.191.255', 629389312, 629391359, 'CH', 'Switzerland'),
(6900, '37.131.192.0', '37.131.223.255', 629391360, 629399551, 'RU', 'Russian Federation'),
(6901, '37.131.224.0', '37.131.231.255', 629399552, 629401599, 'GE', 'Georgia'),
(6902, '37.131.232.0', '37.131.247.255', 629401600, 629405695, 'DE', 'Germany'),
(6903, '37.131.248.0', '37.131.255.255', 629405696, 629407743, 'TR', 'Turkey'),
(6904, '37.132.0.0', '37.135.255.255', 629407744, 629669887, 'ES', 'Spain'),
(6905, '37.136.0.0', '37.136.255.255', 629669888, 629735423, 'FI', 'Finland'),
(6906, '37.137.0.0', '37.137.255.255', 629735424, 629800959, 'IR', 'Iran, Islamic Republic of'),
(6907, '37.138.0.0', '37.138.255.255', 629800960, 629866495, 'DE', 'Germany'),
(6908, '37.139.0.0', '37.139.63.255', 629866496, 629882879, 'RU', 'Russian Federation'),
(6909, '37.139.64.0', '37.139.64.0', 629882880, 629882880, 'A1', 'Anonymous Proxy'),
(6910, '37.139.64.1', '37.139.64.9', 629882881, 629882889, 'GB', 'United Kingdom'),
(6911, '37.139.64.10', '37.139.64.10', 629882890, 629882890, 'A1', 'Anonymous Proxy'),
(6912, '37.139.64.11', '37.139.64.255', 629882891, 629883135, 'GB', 'United Kingdom'),
(6913, '37.139.65.0', '37.139.65.255', 629883136, 629883391, 'AU', 'Australia'),
(6914, '37.139.66.0', '37.139.71.255', 629883392, 629884927, 'GB', 'United Kingdom'),
(6915, '37.139.72.0', '37.139.79.255', 629884928, 629886975, 'PL', 'Poland'),
(6916, '37.139.80.0', '37.139.87.255', 629886976, 629889023, 'RU', 'Russian Federation'),
(6917, '37.139.88.0', '37.139.95.255', 629889024, 629891071, 'IT', 'Italy'),
(6918, '37.139.96.0', '37.139.111.255', 629891072, 629895167, 'UA', 'Ukraine'),
(6919, '37.139.112.0', '37.139.119.255', 629895168, 629897215, 'AL', 'Albania'),
(6920, '37.139.120.0', '37.139.135.255', 629897216, 629901311, 'ES', 'Spain'),
(6921, '37.139.136.0', '37.139.143.255', 629901312, 629903359, 'NL', 'Netherlands'),
(6922, '37.139.144.0', '37.139.151.255', 629903360, 629905407, 'PL', 'Poland'),
(6923, '37.139.152.0', '37.139.159.255', 629905408, 629907455, 'SE', 'Sweden'),
(6924, '37.139.160.0', '37.139.191.255', 629907456, 629915647, 'UA', 'Ukraine'),
(6925, '37.139.192.0', '37.140.199.255', 629915648, 629983231, 'RU', 'Russian Federation'),
(6926, '37.140.200.0', '37.140.207.255', 629983232, 629985279, 'FR', 'France'),
(6927, '37.140.208.0', '37.140.215.255', 629985280, 629987327, 'TR', 'Turkey'),
(6928, '37.140.216.0', '37.140.223.255', 629987328, 629989375, 'SE', 'Sweden'),
(6929, '37.140.224.0', '37.140.231.255', 629989376, 629991423, 'FR', 'France'),
(6930, '37.140.232.0', '37.140.239.255', 629991424, 629993471, 'NL', 'Netherlands'),
(6931, '37.140.240.0', '37.140.255.255', 629993472, 629997567, 'JO', 'Jordan'),
(6932, '37.141.0.0', '37.141.255.255', 629997568, 630063103, 'SA', 'Saudi Arabia'),
(6933, '37.142.0.0', '37.142.255.255', 630063104, 630128639, 'IL', 'Israel'),
(6934, '37.143.0.0', '37.143.7.255', 630128640, 630130687, 'BE', 'Belgium'),
(6935, '37.143.8.0', '37.143.31.255', 630130688, 630136831, 'RU', 'Russian Federation');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(6936, '37.143.32.0', '37.143.39.255', 630136832, 630138879, 'NL', 'Netherlands'),
(6937, '37.143.40.0', '37.143.63.255', 630138880, 630145023, 'DE', 'Germany'),
(6938, '37.143.64.0', '37.143.71.255', 630145024, 630147071, 'EE', 'Estonia'),
(6939, '37.143.72.0', '37.143.79.255', 630147072, 630149119, 'HU', 'Hungary'),
(6940, '37.143.80.0', '37.143.87.255', 630149120, 630151167, 'NL', 'Netherlands'),
(6941, '37.143.88.0', '37.143.95.255', 630151168, 630153215, 'UA', 'Ukraine'),
(6942, '37.143.96.0', '37.143.111.255', 630153216, 630157311, 'RU', 'Russian Federation'),
(6943, '37.143.112.0', '37.143.119.255', 630157312, 630159359, 'CZ', 'Czech Republic'),
(6944, '37.143.120.0', '37.143.127.255', 630159360, 630161407, 'ES', 'Spain'),
(6945, '37.143.128.0', '37.143.135.255', 630161408, 630163455, 'KG', 'Kyrgyzstan'),
(6946, '37.143.136.0', '37.143.143.255', 630163456, 630165503, 'GB', 'United Kingdom'),
(6947, '37.143.144.0', '37.143.151.255', 630165504, 630167551, 'IR', 'Iran, Islamic Republic of'),
(6948, '37.143.152.0', '37.143.159.255', 630167552, 630169599, 'GE', 'Georgia'),
(6949, '37.143.160.0', '37.143.175.255', 630169600, 630173695, 'RO', 'Romania'),
(6950, '37.143.176.0', '37.143.191.255', 630173696, 630177791, 'AT', 'Austria'),
(6951, '37.143.192.0', '37.143.255.255', 630177792, 630194175, 'BG', 'Bulgaria'),
(6952, '37.144.0.0', '37.147.255.255', 630194176, 630456319, 'RU', 'Russian Federation'),
(6953, '37.148.0.0', '37.148.127.255', 630456320, 630489087, 'RO', 'Romania'),
(6954, '37.148.128.0', '37.148.135.255', 630489088, 630491135, 'NL', 'Netherlands'),
(6955, '37.148.136.0', '37.148.143.255', 630491136, 630493183, 'DE', 'Germany'),
(6956, '37.148.144.0', '37.148.151.255', 630493184, 630495231, 'NO', 'Norway'),
(6957, '37.148.152.0', '37.148.159.255', 630495232, 630497279, 'DE', 'Germany'),
(6958, '37.148.160.0', '37.148.167.255', 630497280, 630499327, 'NL', 'Netherlands'),
(6959, '37.148.168.0', '37.148.175.255', 630499328, 630501375, 'LV', 'Latvia'),
(6960, '37.148.176.0', '37.148.177.255', 630501376, 630501887, 'BE', 'Belgium'),
(6961, '37.148.178.0', '37.148.181.255', 630501888, 630502911, 'NL', 'Netherlands'),
(6962, '37.148.182.0', '37.148.183.255', 630502912, 630503423, 'BE', 'Belgium'),
(6963, '37.148.184.0', '37.148.207.255', 630503424, 630509567, 'NL', 'Netherlands'),
(6964, '37.148.208.0', '37.148.215.255', 630509568, 630511615, 'TR', 'Turkey'),
(6965, '37.148.216.0', '37.148.223.255', 630511616, 630513663, 'GB', 'United Kingdom'),
(6966, '37.148.224.0', '37.148.231.255', 630513664, 630515711, 'IT', 'Italy'),
(6967, '37.148.232.0', '37.148.239.255', 630515712, 630517759, 'DE', 'Germany'),
(6968, '37.148.240.0', '37.148.247.255', 630517760, 630519807, 'GB', 'United Kingdom'),
(6969, '37.148.248.0', '37.148.255.255', 630519808, 630521855, 'IE', 'Ireland'),
(6970, '37.149.0.0', '37.149.255.255', 630521856, 630587391, 'CY', 'Cyprus'),
(6971, '37.150.0.0', '37.151.255.255', 630587392, 630718463, 'KZ', 'Kazakhstan'),
(6972, '37.152.0.0', '37.152.7.255', 630718464, 630720511, 'JO', 'Jordan'),
(6973, '37.152.8.0', '37.152.15.255', 630720512, 630722559, 'NL', 'Netherlands'),
(6974, '37.152.16.0', '37.152.31.255', 630722560, 630726655, 'PL', 'Poland'),
(6975, '37.152.32.0', '37.152.55.255', 630726656, 630732799, 'GB', 'United Kingdom'),
(6976, '37.152.56.0', '37.152.63.255', 630732800, 630734847, 'SE', 'Sweden'),
(6977, '37.152.64.0', '37.152.71.255', 630734848, 630736895, 'IS', 'Iceland'),
(6978, '37.152.72.0', '37.152.79.255', 630736896, 630738943, 'TR', 'Turkey'),
(6979, '37.152.80.0', '37.152.95.255', 630738944, 630743039, 'ES', 'Spain'),
(6980, '37.152.96.0', '37.152.127.255', 630743040, 630751231, 'SK', 'Slovakia'),
(6981, '37.152.128.0', '37.152.159.255', 630751232, 630759423, 'ES', 'Spain'),
(6982, '37.152.160.0', '37.152.191.255', 630759424, 630767615, 'IR', 'Iran, Islamic Republic of'),
(6983, '37.152.192.0', '37.152.255.255', 630767616, 630783999, 'GB', 'United Kingdom'),
(6984, '37.153.0.0', '37.153.71.255', 630784000, 630802431, 'RU', 'Russian Federation'),
(6985, '37.153.72.0', '37.153.79.255', 630802432, 630804479, 'GB', 'United Kingdom'),
(6986, '37.153.80.0', '37.153.87.255', 630804480, 630806527, 'CH', 'Switzerland'),
(6987, '37.153.88.0', '37.153.95.255', 630806528, 630808575, 'ES', 'Spain'),
(6988, '37.153.96.0', '37.153.102.63', 630808576, 630810175, 'NL', 'Netherlands'),
(6989, '37.153.102.64', '37.153.127.255', 630810176, 630816767, 'CH', 'Switzerland'),
(6990, '37.153.128.0', '37.153.191.255', 630816768, 630833151, 'RO', 'Romania'),
(6991, '37.153.192.0', '37.153.255.255', 630833152, 630849535, 'NL', 'Netherlands'),
(6992, '37.154.0.0', '37.155.255.255', 630849536, 630980607, 'TR', 'Turkey'),
(6993, '37.156.0.0', '37.156.255.255', 630980608, 631046143, 'RO', 'Romania'),
(6994, '37.157.0.0', '37.157.0.255', 631046144, 631046399, 'LT', 'Lithuania'),
(6995, '37.157.1.0', '37.157.7.255', 631046400, 631048191, 'DK', 'Denmark'),
(6996, '37.157.8.0', '37.157.15.255', 631048192, 631050239, 'FR', 'France'),
(6997, '37.157.16.0', '37.157.31.255', 631050240, 631054335, 'RU', 'Russian Federation'),
(6998, '37.157.32.0', '37.157.39.255', 631054336, 631056383, 'GB', 'United Kingdom'),
(6999, '37.157.40.0', '37.157.47.255', 631056384, 631058431, 'DE', 'Germany'),
(7000, '37.157.48.0', '37.157.55.255', 631058432, 631060479, 'GB', 'United Kingdom'),
(7001, '37.157.56.0', '37.157.63.255', 631060480, 631062527, 'FR', 'France'),
(7002, '37.157.64.0', '37.157.127.255', 631062528, 631078911, 'EE', 'Estonia'),
(7003, '37.157.128.0', '37.157.135.255', 631078912, 631080959, 'FR', 'France'),
(7004, '37.157.136.0', '37.157.143.255', 631080960, 631083007, 'BG', 'Bulgaria'),
(7005, '37.157.144.0', '37.157.151.255', 631083008, 631085055, 'LT', 'Lithuania'),
(7006, '37.157.152.0', '37.157.159.255', 631085056, 631087103, 'LU', 'Luxembourg'),
(7007, '37.157.160.0', '37.157.191.255', 631087104, 631095295, 'BG', 'Bulgaria'),
(7008, '37.157.192.0', '37.157.199.255', 631095296, 631097343, 'CZ', 'Czech Republic'),
(7009, '37.157.200.0', '37.157.207.255', 631097344, 631099391, 'PL', 'Poland'),
(7010, '37.157.208.0', '37.157.223.255', 631099392, 631103487, 'AM', 'Armenia'),
(7011, '37.157.224.0', '37.157.231.255', 631103488, 631105535, 'FR', 'France'),
(7012, '37.157.232.0', '37.157.239.255', 631105536, 631107583, 'RU', 'Russian Federation'),
(7013, '37.157.240.0', '37.157.247.255', 631107584, 631109631, 'GB', 'United Kingdom'),
(7014, '37.157.248.0', '37.157.255.255', 631109632, 631111679, 'DE', 'Germany'),
(7015, '37.158.0.0', '37.158.255.255', 631111680, 631177215, 'ES', 'Spain'),
(7016, '37.159.0.0', '37.159.255.255', 631177216, 631242751, 'IT', 'Italy'),
(7017, '37.160.0.0', '37.175.255.255', 631242752, 632291327, 'FR', 'France'),
(7018, '37.176.0.0', '37.183.255.255', 632291328, 632815615, 'IT', 'Italy'),
(7019, '37.184.0.0', '37.185.255.255', 632815616, 632946687, 'BE', 'Belgium'),
(7020, '37.186.0.0', '37.187.255.255', 632946688, 633077759, 'AT', 'Austria'),
(7021, '37.188.0.0', '37.188.63.255', 633077760, 633094143, 'RU', 'Russian Federation'),
(7022, '37.188.64.0', '37.188.79.255', 633094144, 633098239, 'NL', 'Netherlands'),
(7023, '37.188.80.0', '37.188.87.255', 633098240, 633100287, 'HU', 'Hungary'),
(7024, '37.188.88.0', '37.188.95.255', 633100288, 633102335, 'FR', 'France'),
(7025, '37.188.96.0', '37.188.127.255', 633102336, 633110527, 'GB', 'United Kingdom'),
(7026, '37.188.128.0', '37.188.255.255', 633110528, 633143295, 'CZ', 'Czech Republic'),
(7027, '37.189.0.0', '37.189.255.255', 633143296, 633208831, 'PT', 'Portugal'),
(7028, '37.190.0.0', '37.190.127.255', 633208832, 633241599, 'RU', 'Russian Federation'),
(7029, '37.190.128.0', '37.190.255.255', 633241600, 633274367, 'PL', 'Poland'),
(7030, '37.191.0.0', '37.191.63.255', 633274368, 633290751, 'HU', 'Hungary'),
(7031, '37.191.64.0', '37.191.95.255', 633290752, 633298943, 'IR', 'Iran, Islamic Republic of'),
(7032, '37.191.96.0', '37.191.127.255', 633298944, 633307135, 'GB', 'United Kingdom'),
(7033, '37.191.128.0', '37.191.255.255', 633307136, 633339903, 'NO', 'Norway'),
(7034, '37.192.0.0', '37.195.255.255', 633339904, 633602047, 'RU', 'Russian Federation'),
(7035, '37.196.0.0', '37.199.255.255', 633602048, 633864191, 'SE', 'Sweden'),
(7036, '37.200.0.0', '37.200.63.255', 633864192, 633880575, 'NO', 'Norway'),
(7037, '37.200.64.0', '37.200.79.255', 633880576, 633884671, 'RU', 'Russian Federation'),
(7038, '37.200.80.0', '37.200.87.255', 633884672, 633886719, 'IT', 'Italy'),
(7039, '37.200.88.0', '37.200.95.255', 633886720, 633888767, 'RU', 'Russian Federation'),
(7040, '37.200.96.0', '37.200.103.255', 633888768, 633890815, 'DE', 'Germany'),
(7041, '37.200.104.0', '37.200.111.255', 633890816, 633892863, 'FR', 'France'),
(7042, '37.200.112.0', '37.200.119.255', 633892864, 633894911, 'GB', 'United Kingdom'),
(7043, '37.200.120.0', '37.200.127.255', 633894912, 633896959, 'RU', 'Russian Federation'),
(7044, '37.200.128.0', '37.200.255.255', 633896960, 633929727, 'OM', 'Oman'),
(7045, '37.201.0.0', '37.202.7.255', 633929728, 633997311, 'DE', 'Germany'),
(7046, '37.202.8.0', '37.202.15.255', 633997312, 633999359, 'RU', 'Russian Federation'),
(7047, '37.202.16.0', '37.202.23.255', 633999360, 634001407, 'IT', 'Italy'),
(7048, '37.202.24.0', '37.202.31.255', 634001408, 634003455, 'NO', 'Norway'),
(7049, '37.202.32.0', '37.202.47.255', 634003456, 634007551, 'PL', 'Poland'),
(7050, '37.202.48.0', '37.202.55.255', 634007552, 634009599, 'TR', 'Turkey'),
(7051, '37.202.56.0', '37.202.63.255', 634009600, 634011647, 'NO', 'Norway'),
(7052, '37.202.64.0', '37.202.127.255', 634011648, 634028031, 'JO', 'Jordan'),
(7053, '37.202.128.0', '37.202.255.255', 634028032, 634060799, 'RO', 'Romania'),
(7054, '37.203.0.0', '37.203.31.255', 634060800, 634068991, 'UA', 'Ukraine'),
(7055, '37.203.32.0', '37.203.39.255', 634068992, 634071039, 'LV', 'Latvia'),
(7056, '37.203.40.0', '37.203.47.255', 634071040, 634073087, 'GB', 'United Kingdom'),
(7057, '37.203.48.0', '37.203.55.255', 634073088, 634075135, 'IE', 'Ireland'),
(7058, '37.203.56.0', '37.203.63.255', 634075136, 634077183, 'NL', 'Netherlands'),
(7059, '37.203.64.0', '37.203.127.255', 634077184, 634093567, 'BA', 'Bosnia and Herzegovina'),
(7060, '37.203.128.0', '37.203.191.255', 634093568, 634109951, 'GB', 'United Kingdom'),
(7061, '37.203.192.0', '37.203.199.255', 634109952, 634111999, 'IE', 'Ireland'),
(7062, '37.203.200.0', '37.203.207.255', 634112000, 634114047, 'RU', 'Russian Federation'),
(7063, '37.203.208.0', '37.203.215.255', 634114048, 634116095, 'SE', 'Sweden'),
(7064, '37.203.216.0', '37.203.223.255', 634116096, 634118143, 'NL', 'Netherlands'),
(7065, '37.203.224.0', '37.203.239.255', 634118144, 634122239, 'IT', 'Italy'),
(7066, '37.203.240.0', '37.203.247.255', 634122240, 634124287, 'RU', 'Russian Federation'),
(7067, '37.203.248.0', '37.203.255.255', 634124288, 634126335, 'CH', 'Switzerland'),
(7068, '37.204.0.0', '37.204.255.255', 634126336, 634191871, 'RU', 'Russian Federation'),
(7069, '37.205.0.0', '37.205.7.255', 634191872, 634193919, 'TR', 'Turkey'),
(7070, '37.205.8.0', '37.205.9.255', 634193920, 634194431, 'CZ', 'Czech Republic'),
(7071, '37.205.10.0', '37.205.10.255', 634194432, 634194687, 'SK', 'Slovakia'),
(7072, '37.205.11.0', '37.205.11.127', 634194688, 634194815, 'CZ', 'Czech Republic'),
(7073, '37.205.11.128', '37.205.15.255', 634194816, 634195967, 'SK', 'Slovakia'),
(7074, '37.205.16.0', '37.205.23.255', 634195968, 634198015, 'RU', 'Russian Federation'),
(7075, '37.205.24.0', '37.205.31.255', 634198016, 634200063, 'BA', 'Bosnia and Herzegovina'),
(7076, '37.205.32.0', '37.205.39.255', 634200064, 634202111, 'IS', 'Iceland'),
(7077, '37.205.40.0', '37.205.47.255', 634202112, 634204159, 'FR', 'France'),
(7078, '37.205.48.0', '37.205.55.255', 634204160, 634206207, 'RU', 'Russian Federation'),
(7079, '37.205.56.0', '37.205.63.255', 634206208, 634208255, 'GB', 'United Kingdom'),
(7080, '37.205.64.0', '37.205.95.255', 634208256, 634216447, 'RU', 'Russian Federation'),
(7081, '37.205.96.0', '37.205.111.255', 634216448, 634220543, 'HR', 'Croatia'),
(7082, '37.205.112.0', '37.205.119.255', 634220544, 634222591, 'IQ', 'Iraq'),
(7083, '37.205.120.0', '37.205.127.255', 634222592, 634224639, 'DK', 'Denmark'),
(7084, '37.205.128.0', '37.207.255.255', 634224640, 634388479, 'IT', 'Italy'),
(7085, '37.208.0.0', '37.208.31.255', 634388480, 634396671, 'SE', 'Sweden'),
(7086, '37.208.32.0', '37.208.39.255', 634396672, 634398719, 'BA', 'Bosnia and Herzegovina'),
(7087, '37.208.40.0', '37.208.47.255', 634398720, 634400767, 'KZ', 'Kazakhstan'),
(7088, '37.208.48.0', '37.208.55.255', 634400768, 634402815, 'FR', 'France'),
(7089, '37.208.56.0', '37.208.63.255', 634402816, 634404863, 'BE', 'Belgium'),
(7090, '37.208.64.0', '37.208.79.255', 634404864, 634408959, 'RU', 'Russian Federation'),
(7091, '37.208.80.0', '37.208.87.255', 634408960, 634411007, 'GB', 'United Kingdom'),
(7092, '37.208.88.0', '37.208.95.255', 634411008, 634413055, 'BE', 'Belgium'),
(7093, '37.208.96.0', '37.208.103.255', 634413056, 634415103, 'RU', 'Russian Federation'),
(7094, '37.208.104.0', '37.208.111.255', 634415104, 634417151, 'DE', 'Germany'),
(7095, '37.208.112.0', '37.208.119.255', 634417152, 634419199, 'NL', 'Netherlands'),
(7096, '37.208.120.0', '37.208.127.255', 634419200, 634421247, 'RU', 'Russian Federation'),
(7097, '37.208.128.0', '37.208.255.255', 634421248, 634454015, 'QA', 'Qatar'),
(7098, '37.209.0.0', '37.209.127.255', 634454016, 634486783, 'DE', 'Germany'),
(7099, '37.209.128.0', '37.209.159.255', 634486784, 634494975, 'PL', 'Poland'),
(7100, '37.209.160.0', '37.209.167.255', 634494976, 634497023, 'LV', 'Latvia'),
(7101, '37.209.168.0', '37.209.175.255', 634497024, 634499071, 'BG', 'Bulgaria'),
(7102, '37.209.176.0', '37.209.191.255', 634499072, 634503167, 'CH', 'Switzerland'),
(7103, '37.209.192.0', '37.209.199.255', 634503168, 634505215, 'GB', 'United Kingdom'),
(7104, '37.209.200.0', '37.209.207.255', 634505216, 634507263, 'IT', 'Italy'),
(7105, '37.209.208.0', '37.209.223.255', 634507264, 634511359, 'GB', 'United Kingdom'),
(7106, '37.209.224.0', '37.209.247.255', 634511360, 634517503, 'RU', 'Russian Federation'),
(7107, '37.209.248.0', '37.209.255.255', 634517504, 634519551, 'LB', 'Lebanon'),
(7108, '37.210.0.0', '37.211.255.255', 634519552, 634650623, 'QA', 'Qatar'),
(7109, '37.212.0.0', '37.215.255.255', 634650624, 634912767, 'BY', 'Belarus'),
(7110, '37.216.0.0', '37.217.255.255', 634912768, 635043839, 'RO', 'Romania'),
(7111, '37.218.0.0', '37.218.127.255', 635043840, 635076607, 'ES', 'Spain'),
(7112, '37.218.128.0', '37.218.191.255', 635076608, 635092991, 'KG', 'Kyrgyzstan'),
(7113, '37.218.192.0', '37.218.207.255', 635092992, 635097087, 'CY', 'Cyprus'),
(7114, '37.218.208.0', '37.218.223.255', 635097088, 635101183, 'PS', 'Palestinian Territory, Occupied'),
(7115, '37.218.224.0', '37.218.231.255', 635101184, 635103231, 'AE', 'United Arab Emirates'),
(7116, '37.218.232.0', '37.218.239.255', 635103232, 635105279, 'HU', 'Hungary'),
(7117, '37.218.240.0', '37.218.247.255', 635105280, 635107327, 'NL', 'Netherlands'),
(7118, '37.218.248.0', '37.218.255.255', 635107328, 635109375, 'DE', 'Germany'),
(7119, '37.219.0.0', '37.219.255.255', 635109376, 635174911, 'FI', 'Finland'),
(7120, '37.220.0.0', '37.220.31.255', 635174912, 635183103, 'GB', 'United Kingdom'),
(7121, '37.220.32.0', '37.220.39.255', 635183104, 635185151, 'NL', 'Netherlands'),
(7122, '37.220.40.0', '37.220.47.255', 635185152, 635187199, 'IT', 'Italy'),
(7123, '37.220.48.0', '37.220.63.255', 635187200, 635191295, 'FR', 'France'),
(7124, '37.220.64.0', '37.220.79.255', 635191296, 635195391, 'RS', 'Serbia'),
(7125, '37.220.80.0', '37.220.87.255', 635195392, 635197439, 'RU', 'Russian Federation'),
(7126, '37.220.88.0', '37.220.95.255', 635197440, 635199487, 'GB', 'United Kingdom'),
(7127, '37.220.96.0', '37.220.96.7', 635199488, 635199495, 'IT', 'Italy'),
(7128, '37.220.96.8', '37.220.96.87', 635199496, 635199575, 'GB', 'United Kingdom'),
(7129, '37.220.96.88', '37.220.96.111', 635199576, 635199599, 'IT', 'Italy'),
(7130, '37.220.96.112', '37.220.96.119', 635199600, 635199607, 'GB', 'United Kingdom'),
(7131, '37.220.96.120', '37.220.96.127', 635199608, 635199615, 'IT', 'Italy'),
(7132, '37.220.96.128', '37.220.96.135', 635199616, 635199623, 'GB', 'United Kingdom'),
(7133, '37.220.96.136', '37.220.96.151', 635199624, 635199639, 'IT', 'Italy'),
(7134, '37.220.96.152', '37.220.96.159', 635199640, 635199647, 'GB', 'United Kingdom'),
(7135, '37.220.96.160', '37.220.96.167', 635199648, 635199655, 'IT', 'Italy'),
(7136, '37.220.96.168', '37.220.96.175', 635199656, 635199663, 'GB', 'United Kingdom'),
(7137, '37.220.96.176', '37.220.96.183', 635199664, 635199671, 'IT', 'Italy'),
(7138, '37.220.96.184', '37.220.96.207', 635199672, 635199695, 'GB', 'United Kingdom'),
(7139, '37.220.96.208', '37.220.96.215', 635199696, 635199703, 'IT', 'Italy'),
(7140, '37.220.96.216', '37.220.96.223', 635199704, 635199711, 'GB', 'United Kingdom'),
(7141, '37.220.96.224', '37.220.96.231', 635199712, 635199719, 'IT', 'Italy'),
(7142, '37.220.96.232', '37.220.96.247', 635199720, 635199735, 'GB', 'United Kingdom'),
(7143, '37.220.96.248', '37.220.96.255', 635199736, 635199743, 'IT', 'Italy'),
(7144, '37.220.97.0', '37.220.101.199', 635199744, 635200967, 'GB', 'United Kingdom'),
(7145, '37.220.101.200', '37.220.101.207', 635200968, 635200975, 'IT', 'Italy'),
(7146, '37.220.101.208', '37.220.101.223', 635200976, 635200991, 'GB', 'United Kingdom'),
(7147, '37.220.101.224', '37.220.101.255', 635200992, 635201023, 'IT', 'Italy'),
(7148, '37.220.102.0', '37.220.102.55', 635201024, 635201079, 'GB', 'United Kingdom'),
(7149, '37.220.102.56', '37.220.102.63', 635201080, 635201087, 'IT', 'Italy'),
(7150, '37.220.102.64', '37.220.102.135', 635201088, 635201159, 'GB', 'United Kingdom'),
(7151, '37.220.102.136', '37.220.102.143', 635201160, 635201167, 'IT', 'Italy'),
(7152, '37.220.102.144', '37.220.111.255', 635201168, 635203583, 'GB', 'United Kingdom'),
(7153, '37.220.112.0', '37.220.127.255', 635203584, 635207679, 'JO', 'Jordan'),
(7154, '37.220.128.0', '37.220.143.255', 635207680, 635211775, 'HU', 'Hungary'),
(7155, '37.220.144.0', '37.220.151.255', 635211776, 635213823, 'NL', 'Netherlands'),
(7156, '37.220.152.0', '37.220.167.255', 635213824, 635217919, 'RU', 'Russian Federation'),
(7157, '37.220.168.0', '37.220.175.255', 635217920, 635219967, 'NL', 'Netherlands'),
(7158, '37.220.176.0', '37.220.191.255', 635219968, 635224063, 'RU', 'Russian Federation'),
(7159, '37.220.192.0', '37.220.255.255', 635224064, 635240447, 'HU', 'Hungary'),
(7160, '37.221.0.0', '37.221.63.255', 635240448, 635256831, 'IR', 'Iran, Islamic Republic of'),
(7161, '37.221.64.0', '37.221.127.255', 635256832, 635273215, 'GB', 'United Kingdom'),
(7162, '37.221.128.0', '37.221.159.255', 635273216, 635281407, 'UA', 'Ukraine'),
(7163, '37.221.160.0', '37.221.175.255', 635281408, 635285503, 'RO', 'Romania'),
(7164, '37.221.176.0', '37.221.183.255', 635285504, 635287551, 'ME', 'Montenegro'),
(7165, '37.221.184.0', '37.221.191.255', 635287552, 635289599, 'RU', 'Russian Federation'),
(7166, '37.221.192.0', '37.221.199.255', 635289600, 635291647, 'DE', 'Germany'),
(7167, '37.221.200.0', '37.221.207.255', 635291648, 635293695, 'RU', 'Russian Federation'),
(7168, '37.221.208.0', '37.221.215.255', 635293696, 635295743, 'HU', 'Hungary'),
(7169, '37.221.216.0', '37.221.223.255', 635295744, 635297791, 'GB', 'United Kingdom'),
(7170, '37.221.224.0', '37.221.231.255', 635297792, 635299839, 'SE', 'Sweden'),
(7171, '37.221.232.0', '37.221.239.255', 635299840, 635301887, 'ES', 'Spain'),
(7172, '37.221.240.0', '37.221.255.255', 635301888, 635305983, 'CZ', 'Czech Republic'),
(7173, '37.222.0.0', '37.222.0.255', 635305984, 635306239, 'NL', 'Netherlands'),
(7174, '37.222.1.0', '37.222.1.255', 635306240, 635306495, 'FR', 'France'),
(7175, '37.222.2.0', '37.222.2.255', 635306496, 635306751, 'DE', 'Germany'),
(7176, '37.222.3.0', '37.222.3.255', 635306752, 635307007, 'GB', 'United Kingdom'),
(7177, '37.222.4.0', '37.222.6.255', 635307008, 635307775, 'DE', 'Germany'),
(7178, '37.222.7.0', '37.222.7.255', 635307776, 635308031, 'AD', 'Andorra'),
(7179, '37.222.8.0', '37.222.8.255', 635308032, 635308287, 'AE', 'United Arab Emirates'),
(7180, '37.222.9.0', '37.222.9.255', 635308288, 635308543, 'AF', 'Afghanistan'),
(7181, '37.222.10.0', '37.222.10.255', 635308544, 635308799, 'AG', 'Antigua and Barbuda'),
(7182, '37.222.11.0', '37.222.11.255', 635308800, 635309055, 'AI', 'Anguilla'),
(7183, '37.222.12.0', '37.222.12.255', 635309056, 635309311, 'AL', 'Albania'),
(7184, '37.222.13.0', '37.222.13.255', 635309312, 635309567, 'AM', 'Armenia'),
(7185, '37.222.14.0', '37.222.14.255', 635309568, 635309823, 'AO', 'Angola'),
(7186, '37.222.15.0', '37.222.15.255', 635309824, 635310079, 'AQ', 'Antarctica'),
(7187, '37.222.16.0', '37.222.16.255', 635310080, 635310335, 'AR', 'Argentina'),
(7188, '37.222.17.0', '37.222.17.255', 635310336, 635310591, 'AS', 'American Samoa'),
(7189, '37.222.18.0', '37.222.18.255', 635310592, 635310847, 'AT', 'Austria'),
(7190, '37.222.19.0', '37.222.19.255', 635310848, 635311103, 'AU', 'Australia'),
(7191, '37.222.20.0', '37.222.20.255', 635311104, 635311359, 'AW', 'Aruba'),
(7192, '37.222.21.0', '37.222.21.255', 635311360, 635311615, 'AX', 'Aland Islands'),
(7193, '37.222.22.0', '37.222.22.255', 635311616, 635311871, 'AZ', 'Azerbaijan'),
(7194, '37.222.23.0', '37.222.23.255', 635311872, 635312127, 'BA', 'Bosnia and Herzegovina'),
(7195, '37.222.24.0', '37.222.24.255', 635312128, 635312383, 'BB', 'Barbados'),
(7196, '37.222.25.0', '37.222.25.255', 635312384, 635312639, 'BD', 'Bangladesh'),
(7197, '37.222.26.0', '37.222.26.255', 635312640, 635312895, 'BE', 'Belgium'),
(7198, '37.222.27.0', '37.222.27.255', 635312896, 635313151, 'BF', 'Burkina Faso'),
(7199, '37.222.28.0', '37.222.28.255', 635313152, 635313407, 'BG', 'Bulgaria'),
(7200, '37.222.29.0', '37.222.29.255', 635313408, 635313663, 'BH', 'Bahrain'),
(7201, '37.222.30.0', '37.222.30.255', 635313664, 635313919, 'BI', 'Burundi'),
(7202, '37.222.31.0', '37.222.31.255', 635313920, 635314175, 'BJ', 'Benin'),
(7203, '37.222.32.0', '37.222.32.255', 635314176, 635314431, 'BL', 'Saint Barthelemy'),
(7204, '37.222.33.0', '37.222.33.255', 635314432, 635314687, 'BM', 'Bermuda'),
(7205, '37.222.34.0', '37.222.34.255', 635314688, 635314943, 'BN', 'Brunei Darussalam'),
(7206, '37.222.35.0', '37.222.35.255', 635314944, 635315199, 'BO', 'Bolivia'),
(7207, '37.222.36.0', '37.222.36.255', 635315200, 635315455, 'NL', 'Netherlands'),
(7208, '37.222.37.0', '37.222.37.255', 635315456, 635315711, 'BR', 'Brazil'),
(7209, '37.222.38.0', '37.222.38.255', 635315712, 635315967, 'BS', 'Bahamas'),
(7210, '37.222.39.0', '37.222.39.255', 635315968, 635316223, 'BT', 'Bhutan'),
(7211, '37.222.40.0', '37.222.40.255', 635316224, 635316479, 'BV', 'Bouvet Island'),
(7212, '37.222.41.0', '37.222.41.255', 635316480, 635316735, 'BW', 'Botswana'),
(7213, '37.222.42.0', '37.222.42.255', 635316736, 635316991, 'BY', 'Belarus'),
(7214, '37.222.43.0', '37.222.43.255', 635316992, 635317247, 'BZ', 'Belize'),
(7215, '37.222.44.0', '37.222.44.255', 635317248, 635317503, 'CA', 'Canada'),
(7216, '37.222.45.0', '37.222.45.255', 635317504, 635317759, 'CC', 'Cocos (Keeling) Islands'),
(7217, '37.222.46.0', '37.222.46.255', 635317760, 635318015, 'CD', 'Congo, The Democratic Republic of the'),
(7218, '37.222.47.0', '37.222.47.255', 635318016, 635318271, 'CF', 'Central African Republic'),
(7219, '37.222.48.0', '37.222.48.255', 635318272, 635318527, 'CG', 'Congo'),
(7220, '37.222.49.0', '37.222.49.255', 635318528, 635318783, 'CH', 'Switzerland'),
(7221, '37.222.50.0', '37.222.50.255', 635318784, 635319039, 'CI', 'Cote D''Ivoire'),
(7222, '37.222.51.0', '37.222.51.255', 635319040, 635319295, 'CK', 'Cook Islands'),
(7223, '37.222.52.0', '37.222.52.255', 635319296, 635319551, 'CL', 'Chile'),
(7224, '37.222.53.0', '37.222.53.255', 635319552, 635319807, 'CM', 'Cameroon'),
(7225, '37.222.54.0', '37.222.54.255', 635319808, 635320063, 'CN', 'China'),
(7226, '37.222.55.0', '37.222.55.255', 635320064, 635320319, 'CO', 'Colombia'),
(7227, '37.222.56.0', '37.222.56.255', 635320320, 635320575, 'CR', 'Costa Rica'),
(7228, '37.222.57.0', '37.222.57.255', 635320576, 635320831, 'CU', 'Cuba'),
(7229, '37.222.58.0', '37.222.58.255', 635320832, 635321087, 'CV', 'Cape Verde'),
(7230, '37.222.59.0', '37.222.59.255', 635321088, 635321343, 'NL', 'Netherlands'),
(7231, '37.222.60.0', '37.222.60.255', 635321344, 635321599, 'CX', 'Christmas Island'),
(7232, '37.222.61.0', '37.222.61.255', 635321600, 635321855, 'CY', 'Cyprus'),
(7233, '37.222.62.0', '37.222.62.255', 635321856, 635322111, 'CZ', 'Czech Republic'),
(7234, '37.222.63.0', '37.222.63.255', 635322112, 635322367, 'DE', 'Germany'),
(7235, '37.222.64.0', '37.222.64.255', 635322368, 635322623, 'DJ', 'Djibouti'),
(7236, '37.222.65.0', '37.222.65.255', 635322624, 635322879, 'DK', 'Denmark'),
(7237, '37.222.66.0', '37.222.66.255', 635322880, 635323135, 'DM', 'Dominica'),
(7238, '37.222.67.0', '37.222.67.255', 635323136, 635323391, 'DO', 'Dominican Republic'),
(7239, '37.222.68.0', '37.222.68.255', 635323392, 635323647, 'DZ', 'Algeria'),
(7240, '37.222.69.0', '37.222.69.255', 635323648, 635323903, 'EC', 'Ecuador'),
(7241, '37.222.70.0', '37.222.70.255', 635323904, 635324159, 'EE', 'Estonia'),
(7242, '37.222.71.0', '37.222.71.255', 635324160, 635324415, 'EG', 'Egypt'),
(7243, '37.222.72.0', '37.222.72.255', 635324416, 635324671, 'EH', 'Western Sahara'),
(7244, '37.222.73.0', '37.222.73.255', 635324672, 635324927, 'ER', 'Eritrea'),
(7245, '37.222.74.0', '37.222.74.255', 635324928, 635325183, 'ES', 'Spain'),
(7246, '37.222.75.0', '37.222.75.255', 635325184, 635325439, 'ET', 'Ethiopia'),
(7247, '37.222.76.0', '37.222.76.255', 635325440, 635325695, 'FI', 'Finland'),
(7248, '37.222.77.0', '37.222.77.255', 635325696, 635325951, 'FJ', 'Fiji'),
(7249, '37.222.78.0', '37.222.78.255', 635325952, 635326207, 'FK', 'Falkland Islands (Malvinas)'),
(7250, '37.222.79.0', '37.222.79.255', 635326208, 635326463, 'FM', 'Micronesia, Federated States of'),
(7251, '37.222.80.0', '37.222.80.255', 635326464, 635326719, 'FO', 'Faroe Islands'),
(7252, '37.222.81.0', '37.222.81.255', 635326720, 635326975, 'FR', 'France'),
(7253, '37.222.82.0', '37.222.82.255', 635326976, 635327231, 'GA', 'Gabon'),
(7254, '37.222.83.0', '37.222.83.255', 635327232, 635327487, 'GB', 'United Kingdom'),
(7255, '37.222.84.0', '37.222.84.255', 635327488, 635327743, 'GD', 'Grenada'),
(7256, '37.222.85.0', '37.222.85.255', 635327744, 635327999, 'GE', 'Georgia'),
(7257, '37.222.86.0', '37.222.86.255', 635328000, 635328255, 'GF', 'French Guiana'),
(7258, '37.222.87.0', '37.222.87.255', 635328256, 635328511, 'GG', 'Guernsey'),
(7259, '37.222.88.0', '37.222.88.255', 635328512, 635328767, 'GH', 'Ghana'),
(7260, '37.222.89.0', '37.222.89.255', 635328768, 635329023, 'GI', 'Gibraltar'),
(7261, '37.222.90.0', '37.222.90.255', 635329024, 635329279, 'GL', 'Greenland'),
(7262, '37.222.91.0', '37.222.91.255', 635329280, 635329535, 'GM', 'Gambia'),
(7263, '37.222.92.0', '37.222.92.255', 635329536, 635329791, 'GN', 'Guinea'),
(7264, '37.222.93.0', '37.222.93.255', 635329792, 635330047, 'GP', 'Guadeloupe'),
(7265, '37.222.94.0', '37.222.94.255', 635330048, 635330303, 'GQ', 'Equatorial Guinea'),
(7266, '37.222.95.0', '37.222.95.255', 635330304, 635330559, 'GR', 'Greece'),
(7267, '37.222.96.0', '37.222.96.255', 635330560, 635330815, 'GS', 'South Georgia and the South Sandwich Islands'),
(7268, '37.222.97.0', '37.222.97.255', 635330816, 635331071, 'GT', 'Guatemala'),
(7269, '37.222.98.0', '37.222.98.255', 635331072, 635331327, 'GU', 'Guam'),
(7270, '37.222.99.0', '37.222.99.255', 635331328, 635331583, 'GW', 'Guinea-Bissau'),
(7271, '37.222.100.0', '37.222.100.255', 635331584, 635331839, 'GY', 'Guyana'),
(7272, '37.222.101.0', '37.222.101.255', 635331840, 635332095, 'HK', 'Hong Kong'),
(7273, '37.222.102.0', '37.222.102.255', 635332096, 635332351, 'HM', 'Heard Island and McDonald Islands'),
(7274, '37.222.103.0', '37.222.103.255', 635332352, 635332607, 'HN', 'Honduras'),
(7275, '37.222.104.0', '37.222.104.255', 635332608, 635332863, 'HR', 'Croatia'),
(7276, '37.222.105.0', '37.222.105.255', 635332864, 635333119, 'HT', 'Haiti'),
(7277, '37.222.106.0', '37.222.106.255', 635333120, 635333375, 'HU', 'Hungary'),
(7278, '37.222.107.0', '37.222.107.255', 635333376, 635333631, 'ID', 'Indonesia'),
(7279, '37.222.108.0', '37.222.108.255', 635333632, 635333887, 'IE', 'Ireland'),
(7280, '37.222.109.0', '37.222.109.255', 635333888, 635334143, 'IL', 'Israel'),
(7281, '37.222.110.0', '37.222.110.255', 635334144, 635334399, 'IM', 'Isle of Man'),
(7282, '37.222.111.0', '37.222.111.255', 635334400, 635334655, 'IN', 'India'),
(7283, '37.222.112.0', '37.222.112.255', 635334656, 635334911, 'IO', 'British Indian Ocean Territory'),
(7284, '37.222.113.0', '37.222.113.255', 635334912, 635335167, 'IQ', 'Iraq'),
(7285, '37.222.114.0', '37.222.114.255', 635335168, 635335423, 'IR', 'Iran, Islamic Republic of'),
(7286, '37.222.115.0', '37.222.115.255', 635335424, 635335679, 'IS', 'Iceland'),
(7287, '37.222.116.0', '37.222.116.255', 635335680, 635335935, 'IT', 'Italy'),
(7288, '37.222.117.0', '37.222.117.255', 635335936, 635336191, 'JE', 'Jersey'),
(7289, '37.222.118.0', '37.222.118.255', 635336192, 635336447, 'JM', 'Jamaica'),
(7290, '37.222.119.0', '37.222.119.255', 635336448, 635336703, 'JO', 'Jordan'),
(7291, '37.222.120.0', '37.222.120.255', 635336704, 635336959, 'JP', 'Japan'),
(7292, '37.222.121.0', '37.222.121.255', 635336960, 635337215, 'KE', 'Kenya'),
(7293, '37.222.122.0', '37.222.122.255', 635337216, 635337471, 'KG', 'Kyrgyzstan'),
(7294, '37.222.123.0', '37.222.123.255', 635337472, 635337727, 'KI', 'Kiribati'),
(7295, '37.222.124.0', '37.222.124.255', 635337728, 635337983, 'KM', 'Comoros'),
(7296, '37.222.125.0', '37.222.125.255', 635337984, 635338239, 'KN', 'Saint Kitts and Nevis'),
(7297, '37.222.126.0', '37.222.126.255', 635338240, 635338495, 'KP', 'Korea, Democratic People''s Republic of'),
(7298, '37.222.127.0', '37.222.127.255', 635338496, 635338751, 'KR', 'Korea, Republic of'),
(7299, '37.222.128.0', '37.222.128.255', 635338752, 635339007, 'KW', 'Kuwait'),
(7300, '37.222.129.0', '37.222.129.255', 635339008, 635339263, 'KY', 'Cayman Islands'),
(7301, '37.222.130.0', '37.222.130.255', 635339264, 635339519, 'KZ', 'Kazakhstan'),
(7302, '37.222.131.0', '37.222.131.255', 635339520, 635339775, 'LA', 'Lao People''s Democratic Republic'),
(7303, '37.222.132.0', '37.222.132.255', 635339776, 635340031, 'LB', 'Lebanon'),
(7304, '37.222.133.0', '37.222.133.255', 635340032, 635340287, 'LC', 'Saint Lucia'),
(7305, '37.222.134.0', '37.222.134.255', 635340288, 635340543, 'LI', 'Liechtenstein'),
(7306, '37.222.135.0', '37.222.135.255', 635340544, 635340799, 'LK', 'Sri Lanka'),
(7307, '37.222.136.0', '37.222.136.255', 635340800, 635341055, 'LR', 'Liberia'),
(7308, '37.222.137.0', '37.222.137.255', 635341056, 635341311, 'LS', 'Lesotho'),
(7309, '37.222.138.0', '37.222.138.255', 635341312, 635341567, 'LT', 'Lithuania'),
(7310, '37.222.139.0', '37.222.139.255', 635341568, 635341823, 'LU', 'Luxembourg'),
(7311, '37.222.140.0', '37.222.140.255', 635341824, 635342079, 'LV', 'Latvia'),
(7312, '37.222.141.0', '37.222.141.255', 635342080, 635342335, 'LY', 'Libyan Arab Jamahiriya'),
(7313, '37.222.142.0', '37.222.142.255', 635342336, 635342591, 'MC', 'Monaco'),
(7314, '37.222.143.0', '37.222.143.255', 635342592, 635342847, 'MD', 'Moldova, Republic of'),
(7315, '37.222.144.0', '37.222.144.255', 635342848, 635343103, 'ME', 'Montenegro'),
(7316, '37.222.145.0', '37.222.145.255', 635343104, 635343359, 'MF', 'Saint Martin'),
(7317, '37.222.146.0', '37.222.146.255', 635343360, 635343615, 'MG', 'Madagascar'),
(7318, '37.222.147.0', '37.222.147.255', 635343616, 635343871, 'MH', 'Marshall Islands'),
(7319, '37.222.148.0', '37.222.148.255', 635343872, 635344127, 'MK', 'Macedonia'),
(7320, '37.222.149.0', '37.222.149.255', 635344128, 635344383, 'ML', 'Mali'),
(7321, '37.222.150.0', '37.222.150.255', 635344384, 635344639, 'MM', 'Myanmar'),
(7322, '37.222.151.0', '37.222.151.255', 635344640, 635344895, 'MN', 'Mongolia'),
(7323, '37.222.152.0', '37.222.152.255', 635344896, 635345151, 'MO', 'Macau'),
(7324, '37.222.153.0', '37.222.153.255', 635345152, 635345407, 'MP', 'Northern Mariana Islands'),
(7325, '37.222.154.0', '37.222.154.255', 635345408, 635345663, 'MQ', 'Martinique'),
(7326, '37.222.155.0', '37.222.155.255', 635345664, 635345919, 'MR', 'Mauritania'),
(7327, '37.222.156.0', '37.222.156.255', 635345920, 635346175, 'MS', 'Montserrat'),
(7328, '37.222.157.0', '37.222.157.255', 635346176, 635346431, 'MT', 'Malta'),
(7329, '37.222.158.0', '37.222.158.255', 635346432, 635346687, 'MU', 'Mauritius'),
(7330, '37.222.159.0', '37.222.159.255', 635346688, 635346943, 'MV', 'Maldives'),
(7331, '37.222.160.0', '37.222.160.255', 635346944, 635347199, 'MW', 'Malawi'),
(7332, '37.222.161.0', '37.222.161.255', 635347200, 635347455, 'MX', 'Mexico'),
(7333, '37.222.162.0', '37.222.162.255', 635347456, 635347711, 'MY', 'Malaysia'),
(7334, '37.222.163.0', '37.222.163.255', 635347712, 635347967, 'MZ', 'Mozambique'),
(7335, '37.222.164.0', '37.222.164.255', 635347968, 635348223, 'NA', 'Namibia'),
(7336, '37.222.165.0', '37.222.165.255', 635348224, 635348479, 'NC', 'New Caledonia'),
(7337, '37.222.166.0', '37.222.166.255', 635348480, 635348735, 'NE', 'Niger'),
(7338, '37.222.167.0', '37.222.167.255', 635348736, 635348991, 'NF', 'Norfolk Island'),
(7339, '37.222.168.0', '37.222.168.255', 635348992, 635349247, 'NG', 'Nigeria'),
(7340, '37.222.169.0', '37.222.169.255', 635349248, 635349503, 'NI', 'Nicaragua'),
(7341, '37.222.170.0', '37.222.170.255', 635349504, 635349759, 'NL', 'Netherlands'),
(7342, '37.222.171.0', '37.222.171.255', 635349760, 635350015, 'NO', 'Norway'),
(7343, '37.222.172.0', '37.222.172.255', 635350016, 635350271, 'NP', 'Nepal'),
(7344, '37.222.173.0', '37.222.173.255', 635350272, 635350527, 'NR', 'Nauru'),
(7345, '37.222.174.0', '37.222.174.255', 635350528, 635350783, 'NU', 'Niue'),
(7346, '37.222.175.0', '37.222.175.255', 635350784, 635351039, 'NZ', 'New Zealand'),
(7347, '37.222.176.0', '37.222.176.255', 635351040, 635351295, 'OM', 'Oman'),
(7348, '37.222.177.0', '37.222.177.255', 635351296, 635351551, 'PA', 'Panama'),
(7349, '37.222.178.0', '37.222.178.255', 635351552, 635351807, 'PE', 'Peru'),
(7350, '37.222.179.0', '37.222.179.255', 635351808, 635352063, 'PF', 'French Polynesia'),
(7351, '37.222.180.0', '37.222.180.255', 635352064, 635352319, 'PG', 'Papua New Guinea'),
(7352, '37.222.181.0', '37.222.181.255', 635352320, 635352575, 'PH', 'Philippines'),
(7353, '37.222.182.0', '37.222.182.255', 635352576, 635352831, 'PK', 'Pakistan'),
(7354, '37.222.183.0', '37.222.183.255', 635352832, 635353087, 'PL', 'Poland'),
(7355, '37.222.184.0', '37.222.184.255', 635353088, 635353343, 'PM', 'Saint Pierre and Miquelon'),
(7356, '37.222.185.0', '37.222.185.255', 635353344, 635353599, 'PN', 'Pitcairn Islands'),
(7357, '37.222.186.0', '37.222.186.255', 635353600, 635353855, 'PR', 'Puerto Rico'),
(7358, '37.222.187.0', '37.222.187.255', 635353856, 635354111, 'PS', 'Palestinian Territory, Occupied'),
(7359, '37.222.188.0', '37.222.188.255', 635354112, 635354367, 'PT', 'Portugal'),
(7360, '37.222.189.0', '37.222.189.255', 635354368, 635354623, 'PW', 'Palau'),
(7361, '37.222.190.0', '37.222.190.255', 635354624, 635354879, 'PY', 'Paraguay'),
(7362, '37.222.191.0', '37.222.191.255', 635354880, 635355135, 'QA', 'Qatar'),
(7363, '37.222.192.0', '37.222.192.255', 635355136, 635355391, 'RE', 'Reunion'),
(7364, '37.222.193.0', '37.222.193.255', 635355392, 635355647, 'RO', 'Romania'),
(7365, '37.222.194.0', '37.222.194.255', 635355648, 635355903, 'RS', 'Serbia'),
(7366, '37.222.195.0', '37.222.195.255', 635355904, 635356159, 'RU', 'Russian Federation'),
(7367, '37.222.196.0', '37.222.196.255', 635356160, 635356415, 'RW', 'Rwanda'),
(7368, '37.222.197.0', '37.222.197.255', 635356416, 635356671, 'SA', 'Saudi Arabia'),
(7369, '37.222.198.0', '37.222.198.255', 635356672, 635356927, 'SB', 'Solomon Islands'),
(7370, '37.222.199.0', '37.222.199.255', 635356928, 635357183, 'SC', 'Seychelles'),
(7371, '37.222.200.0', '37.222.200.255', 635357184, 635357439, 'SD', 'Sudan'),
(7372, '37.222.201.0', '37.222.201.255', 635357440, 635357695, 'SE', 'Sweden'),
(7373, '37.222.202.0', '37.222.202.255', 635357696, 635357951, 'SG', 'Singapore'),
(7374, '37.222.203.0', '37.222.203.255', 635357952, 635358207, 'SH', 'Saint Helena'),
(7375, '37.222.204.0', '37.222.204.255', 635358208, 635358463, 'SI', 'Slovenia'),
(7376, '37.222.205.0', '37.222.205.255', 635358464, 635358719, 'SJ', 'Svalbard and Jan Mayen'),
(7377, '37.222.206.0', '37.222.206.255', 635358720, 635358975, 'SK', 'Slovakia'),
(7378, '37.222.207.0', '37.222.207.255', 635358976, 635359231, 'SL', 'Sierra Leone'),
(7379, '37.222.208.0', '37.222.208.255', 635359232, 635359487, 'SM', 'San Marino'),
(7380, '37.222.209.0', '37.222.209.255', 635359488, 635359743, 'SN', 'Senegal'),
(7381, '37.222.210.0', '37.222.210.255', 635359744, 635359999, 'SO', 'Somalia'),
(7382, '37.222.211.0', '37.222.211.255', 635360000, 635360255, 'SR', 'Suriname'),
(7383, '37.222.212.0', '37.222.212.255', 635360256, 635360511, 'NL', 'Netherlands'),
(7384, '37.222.213.0', '37.222.213.255', 635360512, 635360767, 'ST', 'Sao Tome and Principe'),
(7385, '37.222.214.0', '37.222.214.255', 635360768, 635361023, 'SV', 'El Salvador'),
(7386, '37.222.215.0', '37.222.215.255', 635361024, 635361279, 'NL', 'Netherlands'),
(7387, '37.222.216.0', '37.222.216.255', 635361280, 635361535, 'SY', 'Syrian Arab Republic'),
(7388, '37.222.217.0', '37.222.217.255', 635361536, 635361791, 'SZ', 'Swaziland'),
(7389, '37.222.218.0', '37.222.218.255', 635361792, 635362047, 'TC', 'Turks and Caicos Islands'),
(7390, '37.222.219.0', '37.222.219.255', 635362048, 635362303, 'TD', 'Chad'),
(7391, '37.222.220.0', '37.222.220.255', 635362304, 635362559, 'TF', 'French Southern Territories'),
(7392, '37.222.221.0', '37.222.221.255', 635362560, 635362815, 'TG', 'Togo'),
(7393, '37.222.222.0', '37.222.222.255', 635362816, 635363071, 'TH', 'Thailand'),
(7394, '37.222.223.0', '37.222.223.255', 635363072, 635363327, 'TJ', 'Tajikistan'),
(7395, '37.222.224.0', '37.222.224.255', 635363328, 635363583, 'TK', 'Tokelau'),
(7396, '37.222.225.0', '37.222.225.255', 635363584, 635363839, 'TL', 'Timor-Leste'),
(7397, '37.222.226.0', '37.222.226.255', 635363840, 635364095, 'TM', 'Turkmenistan'),
(7398, '37.222.227.0', '37.222.227.255', 635364096, 635364351, 'TN', 'Tunisia'),
(7399, '37.222.228.0', '37.222.228.255', 635364352, 635364607, 'TO', 'Tonga'),
(7400, '37.222.229.0', '37.222.229.255', 635364608, 635364863, 'TR', 'Turkey'),
(7401, '37.222.230.0', '37.222.230.255', 635364864, 635365119, 'TT', 'Trinidad and Tobago'),
(7402, '37.222.231.0', '37.222.231.255', 635365120, 635365375, 'TV', 'Tuvalu'),
(7403, '37.222.232.0', '37.222.232.255', 635365376, 635365631, 'TW', 'Taiwan'),
(7404, '37.222.233.0', '37.222.233.255', 635365632, 635365887, 'TZ', 'Tanzania, United Republic of'),
(7405, '37.222.234.0', '37.222.234.255', 635365888, 635366143, 'UA', 'Ukraine'),
(7406, '37.222.235.0', '37.222.235.255', 635366144, 635366399, 'UG', 'Uganda'),
(7407, '37.222.236.0', '37.222.236.255', 635366400, 635366655, 'UM', 'United States Minor Outlying Islands'),
(7408, '37.222.237.0', '37.222.237.255', 635366656, 635366911, 'US', 'United States'),
(7409, '37.222.238.0', '37.222.238.255', 635366912, 635367167, 'UY', 'Uruguay'),
(7410, '37.222.239.0', '37.222.239.255', 635367168, 635367423, 'UZ', 'Uzbekistan'),
(7411, '37.222.240.0', '37.222.240.255', 635367424, 635367679, 'VA', 'Holy See (Vatican City State)'),
(7412, '37.222.241.0', '37.222.241.255', 635367680, 635367935, 'VC', 'Saint Vincent and the Grenadines'),
(7413, '37.222.242.0', '37.222.242.255', 635367936, 635368191, 'VE', 'Venezuela'),
(7414, '37.222.243.0', '37.222.243.255', 635368192, 635368447, 'VG', 'Virgin Islands, British'),
(7415, '37.222.244.0', '37.222.244.255', 635368448, 635368703, 'VI', 'Virgin Islands, U.S.'),
(7416, '37.222.245.0', '37.222.245.255', 635368704, 635368959, 'VN', 'Vietnam'),
(7417, '37.222.246.0', '37.222.246.255', 635368960, 635369215, 'VU', 'Vanuatu'),
(7418, '37.222.247.0', '37.222.247.255', 635369216, 635369471, 'WF', 'Wallis and Futuna'),
(7419, '37.222.248.0', '37.222.248.255', 635369472, 635369727, 'WS', 'Samoa'),
(7420, '37.222.249.0', '37.222.249.255', 635369728, 635369983, 'YE', 'Yemen'),
(7421, '37.222.250.0', '37.222.250.255', 635369984, 635370239, 'YT', 'Mayotte'),
(7422, '37.222.251.0', '37.222.251.255', 635370240, 635370495, 'ZA', 'South Africa'),
(7423, '37.222.252.0', '37.222.252.255', 635370496, 635370751, 'ZM', 'Zambia'),
(7424, '37.222.253.0', '37.222.253.255', 635370752, 635371007, 'ZW', 'Zimbabwe'),
(7425, '37.222.254.0', '37.222.254.255', 635371008, 635371263, 'AD', 'Andorra'),
(7426, '37.222.255.0', '37.222.255.255', 635371264, 635371519, 'AE', 'United Arab Emirates'),
(7427, '37.223.0.0', '37.223.0.255', 635371520, 635371775, 'AF', 'Afghanistan'),
(7428, '37.223.1.0', '37.223.1.255', 635371776, 635372031, 'AG', 'Antigua and Barbuda'),
(7429, '37.223.2.0', '37.223.2.255', 635372032, 635372287, 'AI', 'Anguilla'),
(7430, '37.223.3.0', '37.223.3.255', 635372288, 635372543, 'AL', 'Albania'),
(7431, '37.223.4.0', '37.223.4.255', 635372544, 635372799, 'AM', 'Armenia'),
(7432, '37.223.5.0', '37.223.5.255', 635372800, 635373055, 'AO', 'Angola'),
(7433, '37.223.6.0', '37.223.6.255', 635373056, 635373311, 'AQ', 'Antarctica'),
(7434, '37.223.7.0', '37.223.7.255', 635373312, 635373567, 'AR', 'Argentina'),
(7435, '37.223.8.0', '37.223.8.255', 635373568, 635373823, 'AS', 'American Samoa'),
(7436, '37.223.9.0', '37.223.9.255', 635373824, 635374079, 'AT', 'Austria'),
(7437, '37.223.10.0', '37.223.10.255', 635374080, 635374335, 'AU', 'Australia'),
(7438, '37.223.11.0', '37.223.11.255', 635374336, 635374591, 'AW', 'Aruba'),
(7439, '37.223.12.0', '37.223.12.255', 635374592, 635374847, 'AX', 'Aland Islands'),
(7440, '37.223.13.0', '37.223.13.255', 635374848, 635375103, 'AZ', 'Azerbaijan'),
(7441, '37.223.14.0', '37.223.14.255', 635375104, 635375359, 'BA', 'Bosnia and Herzegovina'),
(7442, '37.223.15.0', '37.223.15.255', 635375360, 635375615, 'BB', 'Barbados'),
(7443, '37.223.16.0', '37.223.16.255', 635375616, 635375871, 'BD', 'Bangladesh'),
(7444, '37.223.17.0', '37.223.17.255', 635375872, 635376127, 'BE', 'Belgium'),
(7445, '37.223.18.0', '37.223.18.255', 635376128, 635376383, 'BF', 'Burkina Faso'),
(7446, '37.223.19.0', '37.223.19.255', 635376384, 635376639, 'BG', 'Bulgaria'),
(7447, '37.223.20.0', '37.223.20.255', 635376640, 635376895, 'BH', 'Bahrain'),
(7448, '37.223.21.0', '37.223.21.255', 635376896, 635377151, 'BI', 'Burundi'),
(7449, '37.223.22.0', '37.223.22.255', 635377152, 635377407, 'BJ', 'Benin'),
(7450, '37.223.23.0', '37.223.23.255', 635377408, 635377663, 'BL', 'Saint Barthelemy'),
(7451, '37.223.24.0', '37.223.24.255', 635377664, 635377919, 'BM', 'Bermuda'),
(7452, '37.223.25.0', '37.223.25.255', 635377920, 635378175, 'BN', 'Brunei Darussalam'),
(7453, '37.223.26.0', '37.223.26.255', 635378176, 635378431, 'BO', 'Bolivia'),
(7454, '37.223.27.0', '37.223.27.255', 635378432, 635378687, 'NL', 'Netherlands'),
(7455, '37.223.28.0', '37.223.28.255', 635378688, 635378943, 'BR', 'Brazil'),
(7456, '37.223.29.0', '37.223.29.255', 635378944, 635379199, 'BS', 'Bahamas'),
(7457, '37.223.30.0', '37.223.30.255', 635379200, 635379455, 'BT', 'Bhutan'),
(7458, '37.223.31.0', '37.223.31.255', 635379456, 635379711, 'BV', 'Bouvet Island'),
(7459, '37.223.32.0', '37.223.32.255', 635379712, 635379967, 'BW', 'Botswana'),
(7460, '37.223.33.0', '37.223.33.255', 635379968, 635380223, 'BY', 'Belarus'),
(7461, '37.223.34.0', '37.223.34.255', 635380224, 635380479, 'BZ', 'Belize'),
(7462, '37.223.35.0', '37.223.35.255', 635380480, 635380735, 'CA', 'Canada'),
(7463, '37.223.36.0', '37.223.36.255', 635380736, 635380991, 'CC', 'Cocos (Keeling) Islands'),
(7464, '37.223.37.0', '37.223.37.255', 635380992, 635381247, 'CD', 'Congo, The Democratic Republic of the'),
(7465, '37.223.38.0', '37.223.38.255', 635381248, 635381503, 'CF', 'Central African Republic'),
(7466, '37.223.39.0', '37.223.39.255', 635381504, 635381759, 'CG', 'Congo'),
(7467, '37.223.40.0', '37.223.40.255', 635381760, 635382015, 'CH', 'Switzerland'),
(7468, '37.223.41.0', '37.223.41.255', 635382016, 635382271, 'CI', 'Cote D''Ivoire'),
(7469, '37.223.42.0', '37.223.42.255', 635382272, 635382527, 'CK', 'Cook Islands'),
(7470, '37.223.43.0', '37.223.43.255', 635382528, 635382783, 'CL', 'Chile'),
(7471, '37.223.44.0', '37.223.44.255', 635382784, 635383039, 'CM', 'Cameroon'),
(7472, '37.223.45.0', '37.223.45.255', 635383040, 635383295, 'CN', 'China'),
(7473, '37.223.46.0', '37.223.46.255', 635383296, 635383551, 'CO', 'Colombia'),
(7474, '37.223.47.0', '37.223.47.255', 635383552, 635383807, 'CR', 'Costa Rica'),
(7475, '37.223.48.0', '37.223.48.255', 635383808, 635384063, 'CU', 'Cuba'),
(7476, '37.223.49.0', '37.223.49.255', 635384064, 635384319, 'CV', 'Cape Verde'),
(7477, '37.223.50.0', '37.223.50.255', 635384320, 635384575, 'NL', 'Netherlands'),
(7478, '37.223.51.0', '37.223.51.255', 635384576, 635384831, 'CX', 'Christmas Island'),
(7479, '37.223.52.0', '37.223.52.255', 635384832, 635385087, 'CY', 'Cyprus'),
(7480, '37.223.53.0', '37.223.53.255', 635385088, 635385343, 'CZ', 'Czech Republic'),
(7481, '37.223.54.0', '37.223.54.255', 635385344, 635385599, 'DE', 'Germany'),
(7482, '37.223.55.0', '37.223.55.255', 635385600, 635385855, 'DJ', 'Djibouti'),
(7483, '37.223.56.0', '37.223.56.255', 635385856, 635386111, 'DK', 'Denmark'),
(7484, '37.223.57.0', '37.223.57.255', 635386112, 635386367, 'DM', 'Dominica'),
(7485, '37.223.58.0', '37.223.58.255', 635386368, 635386623, 'DO', 'Dominican Republic'),
(7486, '37.223.59.0', '37.223.59.255', 635386624, 635386879, 'DZ', 'Algeria'),
(7487, '37.223.60.0', '37.223.60.255', 635386880, 635387135, 'EC', 'Ecuador'),
(7488, '37.223.61.0', '37.223.61.255', 635387136, 635387391, 'EE', 'Estonia'),
(7489, '37.223.62.0', '37.223.62.255', 635387392, 635387647, 'EG', 'Egypt'),
(7490, '37.223.63.0', '37.223.63.255', 635387648, 635387903, 'EH', 'Western Sahara'),
(7491, '37.223.64.0', '37.223.64.255', 635387904, 635388159, 'ER', 'Eritrea'),
(7492, '37.223.65.0', '37.223.255.255', 635388160, 635437055, 'NL', 'Netherlands'),
(7493, '37.224.0.0', '37.224.255.255', 635437056, 635502591, 'RO', 'Romania'),
(7494, '37.225.0.0', '37.225.255.255', 635502592, 635568127, 'PL', 'Poland'),
(7495, '37.226.0.0', '37.227.255.255', 635568128, 635699199, 'IT', 'Italy'),
(7496, '37.228.0.0', '37.228.63.255', 635699200, 635715583, 'PL', 'Poland'),
(7497, '37.228.64.0', '37.228.71.255', 635715584, 635717631, 'KZ', 'Kazakhstan'),
(7498, '37.228.72.0', '37.228.79.255', 635717632, 635719679, 'NL', 'Netherlands'),
(7499, '37.228.80.0', '37.228.95.255', 635719680, 635723775, 'RU', 'Russian Federation'),
(7500, '37.228.96.0', '37.228.103.255', 635723776, 635725823, 'ES', 'Spain'),
(7501, '37.228.112.0', '37.228.119.255', 635727872, 635729919, 'RU', 'Russian Federation'),
(7502, '37.228.120.0', '37.228.191.255', 635729920, 635748351, 'DE', 'Germany'),
(7503, '37.228.192.0', '37.228.255.255', 635748352, 635764735, 'IE', 'Ireland'),
(7504, '37.229.0.0', '37.229.255.255', 635764736, 635830271, 'UA', 'Ukraine'),
(7505, '37.230.0.0', '37.230.47.255', 635830272, 635842559, 'DE', 'Germany'),
(7506, '37.230.48.0', '37.230.63.255', 635842560, 635846655, 'GB', 'United Kingdom'),
(7507, '37.230.64.0', '37.230.95.255', 635846656, 635854847, 'ES', 'Spain'),
(7508, '37.230.96.0', '37.230.103.255', 635854848, 635856895, 'NL', 'Netherlands'),
(7509, '37.230.104.0', '37.230.111.255', 635856896, 635858943, 'TR', 'Turkey'),
(7510, '37.230.112.0', '37.230.119.255', 635858944, 635860991, 'RU', 'Russian Federation'),
(7511, '37.230.120.0', '37.230.127.255', 635860992, 635863039, 'BE', 'Belgium'),
(7512, '37.230.128.0', '37.230.143.255', 635863040, 635867135, 'RU', 'Russian Federation'),
(7513, '37.230.144.0', '37.230.151.255', 635867136, 635869183, 'RO', 'Romania'),
(7514, '37.230.152.0', '37.230.255.255', 635869184, 635895807, 'RU', 'Russian Federation'),
(7515, '37.231.0.0', '37.231.255.255', 635895808, 635961343, 'KW', 'Kuwait'),
(7516, '37.232.0.0', '37.232.127.255', 635961344, 635994111, 'GE', 'Georgia'),
(7517, '37.232.128.0', '37.232.255.255', 635994112, 636026879, 'RU', 'Russian Federation'),
(7518, '37.233.0.0', '37.233.63.255', 636026880, 636043263, 'MD', 'Moldova, Republic of'),
(7519, '37.233.64.0', '37.233.79.255', 636043264, 636047359, 'SE', 'Sweden'),
(7520, '37.233.80.0', '37.233.87.255', 636047360, 636049407, 'RU', 'Russian Federation'),
(7521, '37.233.88.0', '37.233.95.255', 636049408, 636051455, 'FI', 'Finland'),
(7522, '37.233.96.0', '37.233.111.255', 636051456, 636055551, 'PL', 'Poland'),
(7523, '37.233.112.0', '37.233.119.255', 636055552, 636057599, 'RU', 'Russian Federation'),
(7524, '37.233.120.0', '37.233.127.255', 636057600, 636059647, 'CH', 'Switzerland'),
(7525, '37.233.128.0', '37.233.255.255', 636059648, 636092415, 'GE', 'Georgia'),
(7526, '37.234.0.0', '37.234.255.255', 636092416, 636157951, 'HU', 'Hungary'),
(7527, '37.235.0.0', '37.235.7.255', 636157952, 636159999, 'AT', 'Austria'),
(7528, '37.235.8.0', '37.235.15.255', 636160000, 636162047, 'NL', 'Netherlands'),
(7529, '37.235.16.0', '37.235.31.255', 636162048, 636166143, 'IR', 'Iran, Islamic Republic of'),
(7530, '37.235.32.0', '37.235.39.255', 636166144, 636168191, 'ES', 'Spain'),
(7531, '37.235.40.0', '37.235.47.255', 636168192, 636170239, 'GB', 'United Kingdom'),
(7532, '37.235.48.0', '37.235.48.255', 636170240, 636170495, 'PL', 'Poland'),
(7533, '37.235.49.0', '37.235.49.255', 636170496, 636170751, 'IS', 'Iceland'),
(7534, '37.235.50.0', '37.235.50.255', 636170752, 636171007, 'CH', 'Switzerland'),
(7535, '37.235.51.0', '37.235.63.255', 636171008, 636174335, 'AT', 'Austria'),
(7536, '37.235.64.0', '37.235.71.255', 636174336, 636176383, 'RU', 'Russian Federation'),
(7537, '37.235.72.0', '37.235.79.255', 636176384, 636178431, 'TR', 'Turkey'),
(7538, '37.235.80.0', '37.235.87.255', 636178432, 636180479, 'NL', 'Netherlands'),
(7539, '37.235.88.0', '37.235.95.255', 636180480, 636182527, 'FR', 'France'),
(7540, '37.235.96.0', '37.235.111.255', 636182528, 636186623, 'CZ', 'Czech Republic'),
(7541, '37.235.112.0', '37.235.119.255', 636186624, 636188671, 'NL', 'Netherlands'),
(7542, '37.235.120.0', '37.235.127.255', 636188672, 636190719, 'GB', 'United Kingdom'),
(7543, '37.235.128.0', '37.235.255.255', 636190720, 636223487, 'RU', 'Russian Federation'),
(7544, '37.236.0.0', '37.239.255.255', 636223488, 636485631, 'IQ', 'Iraq'),
(7545, '37.240.0.0', '37.243.255.255', 636485632, 636747775, 'SA', 'Saudi Arabia'),
(7546, '37.244.0.0', '37.244.127.255', 636747776, 636780543, 'DE', 'Germany'),
(7547, '37.244.128.0', '37.244.255.255', 636780544, 636813311, 'HR', 'Croatia'),
(7548, '37.245.0.0', '37.245.255.255', 636813312, 636878847, 'AE', 'United Arab Emirates');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(7549, '37.246.0.0', '37.246.255.255', 636878848, 636944383, 'MD', 'Moldova, Republic of'),
(7550, '37.247.0.0', '37.247.31.255', 636944384, 636952575, 'SE', 'Sweden'),
(7551, '37.247.32.0', '37.247.47.255', 636952576, 636956671, 'NL', 'Netherlands'),
(7552, '37.247.48.0', '37.247.55.255', 636956672, 636958719, 'IT', 'Italy'),
(7553, '37.247.56.0', '37.247.63.255', 636958720, 636960767, 'PL', 'Poland'),
(7554, '37.247.64.0', '37.247.95.255', 636960768, 636968959, 'DE', 'Germany'),
(7555, '37.247.96.0', '37.247.119.255', 636968960, 636975103, 'TR', 'Turkey'),
(7556, '37.247.120.0', '37.247.127.255', 636975104, 636977151, 'ES', 'Spain'),
(7557, '37.247.128.0', '37.249.255.255', 636977152, 637140991, 'PL', 'Poland'),
(7558, '37.250.0.0', '37.250.255.255', 637140992, 637206527, 'SE', 'Sweden'),
(7559, '37.251.0.0', '37.251.127.255', 637206528, 637239295, 'NL', 'Netherlands'),
(7560, '37.251.128.0', '37.251.255.255', 637239296, 637272063, 'RO', 'Romania'),
(7561, '37.252.0.0', '37.252.15.255', 637272064, 637276159, 'DE', 'Germany'),
(7562, '37.252.16.0', '37.252.23.255', 637276160, 637278207, 'RU', 'Russian Federation'),
(7563, '37.252.24.0', '37.252.63.255', 637278208, 637288447, 'GB', 'United Kingdom'),
(7564, '37.252.64.0', '37.252.95.255', 637288448, 637296639, 'AM', 'Armenia'),
(7565, '37.252.96.0', '37.252.103.255', 637296640, 637298687, 'ES', 'Spain'),
(7566, '37.252.104.0', '37.252.111.255', 637298688, 637300735, 'A2', 'Satellite Provider'),
(7567, '37.252.112.0', '37.252.119.255', 637300736, 637302783, 'NO', 'Norway'),
(7568, '37.252.120.0', '37.252.127.255', 637302784, 637304831, 'AT', 'Austria'),
(7569, '37.252.128.0', '37.252.159.255', 637304832, 637313023, 'CH', 'Switzerland'),
(7570, '37.252.160.0', '37.252.175.255', 637313024, 637317119, 'EU', 'Europe'),
(7571, '37.252.176.0', '37.252.183.255', 637317120, 637319167, 'ES', 'Spain'),
(7572, '37.252.184.0', '37.252.191.255', 637319168, 637321215, 'AT', 'Austria'),
(7573, '37.252.192.0', '37.252.199.255', 637321216, 637323263, 'GB', 'United Kingdom'),
(7574, '37.252.200.0', '37.252.201.133', 637323264, 637323653, 'A2', 'Satellite Provider'),
(7575, '37.252.201.134', '37.252.201.134', 637323654, 637323654, 'FR', 'France'),
(7576, '37.252.201.135', '37.252.201.135', 637323655, 637323655, 'A2', 'Satellite Provider'),
(7577, '37.252.201.136', '37.252.201.136', 637323656, 637323656, 'FR', 'France'),
(7578, '37.252.201.137', '37.252.207.255', 637323657, 637325311, 'A2', 'Satellite Provider'),
(7579, '37.252.208.0', '37.252.209.255', 637325312, 637325823, 'US', 'United States'),
(7580, '37.252.210.0', '37.252.210.255', 637325824, 637326079, 'GB', 'United Kingdom'),
(7581, '37.252.211.0', '37.252.211.255', 637326080, 637326335, 'DE', 'Germany'),
(7582, '37.252.212.0', '37.252.212.255', 637326336, 637326591, 'HK', 'Hong Kong'),
(7583, '37.252.213.0', '37.252.213.255', 637326592, 637326847, 'AU', 'Australia'),
(7584, '37.252.214.0', '37.252.215.255', 637326848, 637327359, 'NO', 'Norway'),
(7585, '37.252.216.0', '37.252.223.255', 637327360, 637329407, 'IR', 'Iran, Islamic Republic of'),
(7586, '37.252.224.0', '37.252.255.255', 637329408, 637337599, 'AT', 'Austria'),
(7587, '37.253.0.0', '37.253.255.255', 637337600, 637403135, 'NO', 'Norway'),
(7588, '37.254.0.0', '37.255.255.255', 637403136, 637534207, 'IR', 'Iran, Islamic Republic of'),
(7589, '38.0.0.0', '38.78.191.255', 637534208, 642695167, 'US', 'United States'),
(7590, '38.78.192.0', '38.78.195.255', 642695168, 642696191, 'A1', 'Anonymous Proxy'),
(7591, '38.78.196.0', '38.80.71.255', 642696192, 642795519, 'US', 'United States'),
(7592, '38.80.72.0', '38.80.73.255', 642795520, 642796031, 'A1', 'Anonymous Proxy'),
(7593, '38.80.74.0', '38.80.75.255', 642796032, 642796543, 'US', 'United States'),
(7594, '38.80.76.0', '38.80.77.255', 642796544, 642797055, 'A1', 'Anonymous Proxy'),
(7595, '38.80.78.0', '38.96.192.255', 642797056, 643875071, 'US', 'United States'),
(7596, '38.96.193.0', '38.96.193.255', 643875072, 643875327, 'A1', 'Anonymous Proxy'),
(7597, '38.96.194.0', '38.99.100.255', 643875328, 644048127, 'US', 'United States'),
(7598, '38.99.101.0', '38.99.101.255', 644048128, 644048383, 'A1', 'Anonymous Proxy'),
(7599, '38.99.102.0', '38.99.104.255', 644048384, 644049151, 'US', 'United States'),
(7600, '38.99.105.0', '38.99.105.255', 644049152, 644049407, 'A1', 'Anonymous Proxy'),
(7601, '38.99.106.0', '38.99.143.255', 644049408, 644059135, 'US', 'United States'),
(7602, '38.99.144.0', '38.99.144.255', 644059136, 644059391, 'A1', 'Anonymous Proxy'),
(7603, '38.99.145.0', '38.99.176.63', 644059392, 644067391, 'US', 'United States'),
(7604, '38.99.176.64', '38.99.176.127', 644067392, 644067455, 'CA', 'Canada'),
(7605, '38.99.176.128', '38.100.21.255', 644067456, 644093439, 'US', 'United States'),
(7606, '38.100.22.0', '38.100.22.255', 644093440, 644093695, 'A1', 'Anonymous Proxy'),
(7607, '38.100.23.0', '38.100.132.255', 644093696, 644121855, 'US', 'United States'),
(7608, '38.100.133.0', '38.100.133.255', 644121856, 644122111, 'A1', 'Anonymous Proxy'),
(7609, '38.100.134.0', '38.103.152.63', 644122112, 644323391, 'US', 'United States'),
(7610, '38.103.152.64', '38.103.152.79', 644323392, 644323407, 'CA', 'Canada'),
(7611, '38.103.152.80', '38.105.28.255', 644323408, 644422911, 'US', 'United States'),
(7612, '38.105.29.0', '38.105.30.255', 644422912, 644423423, 'JP', 'Japan'),
(7613, '38.105.31.0', '38.110.71.95', 644423424, 644761439, 'US', 'United States'),
(7614, '38.110.71.96', '38.110.71.111', 644761440, 644761455, 'CA', 'Canada'),
(7615, '38.110.71.112', '38.111.102.255', 644761456, 644835071, 'US', 'United States'),
(7616, '38.111.103.0', '38.111.103.255', 644835072, 644835327, 'CA', 'Canada'),
(7617, '38.111.104.0', '38.111.119.255', 644835328, 644839423, 'US', 'United States'),
(7618, '38.111.120.0', '38.111.123.255', 644839424, 644840447, 'CA', 'Canada'),
(7619, '38.111.124.0', '38.112.96.63', 644840448, 644898879, 'US', 'United States'),
(7620, '38.112.96.64', '38.112.96.95', 644898880, 644898911, 'CA', 'Canada'),
(7621, '38.112.96.96', '38.113.239.255', 644898912, 645001215, 'US', 'United States'),
(7622, '38.113.240.0', '38.113.247.255', 645001216, 645003263, 'A1', 'Anonymous Proxy'),
(7623, '38.113.248.0', '38.117.75.255', 645003264, 645221375, 'US', 'United States'),
(7624, '38.117.76.0', '38.117.79.255', 645221376, 645222399, 'CA', 'Canada'),
(7625, '38.117.80.0', '38.117.91.255', 645222400, 645225471, 'US', 'United States'),
(7626, '38.117.92.0', '38.117.92.31', 645225472, 645225503, 'CA', 'Canada'),
(7627, '38.117.92.32', '38.117.101.255', 645225504, 645228031, 'US', 'United States'),
(7628, '38.117.102.0', '38.117.102.255', 645228032, 645228287, 'CA', 'Canada'),
(7629, '38.117.103.0', '38.119.98.191', 645228288, 645358271, 'US', 'United States'),
(7630, '38.119.98.192', '38.119.98.255', 645358272, 645358335, 'A1', 'Anonymous Proxy'),
(7631, '38.119.99.0', '38.119.111.255', 645358336, 645361663, 'US', 'United States'),
(7632, '38.119.112.0', '38.119.112.255', 645361664, 645361919, 'A1', 'Anonymous Proxy'),
(7633, '38.119.113.0', '38.119.113.255', 645361920, 645362175, 'US', 'United States'),
(7634, '38.119.114.0', '38.119.114.255', 645362176, 645362431, 'A1', 'Anonymous Proxy'),
(7635, '38.119.115.0', '38.121.72.15', 645362432, 645482511, 'US', 'United States'),
(7636, '38.121.72.16', '38.121.72.23', 645482512, 645482519, 'CA', 'Canada'),
(7637, '38.121.72.24', '38.125.18.255', 645482520, 645731071, 'US', 'United States'),
(7638, '38.125.19.0', '38.125.19.127', 645731072, 645731199, 'A1', 'Anonymous Proxy'),
(7639, '38.125.19.128', '38.126.74.255', 645731200, 645810943, 'US', 'United States'),
(7640, '38.126.75.0', '38.126.75.255', 645810944, 645811199, 'A1', 'Anonymous Proxy'),
(7641, '38.126.76.0', '38.255.255.255', 645811200, 654311423, 'US', 'United States'),
(7642, '39.0.0.0', '39.0.0.255', 654311424, 654311679, 'CN', 'China'),
(7643, '39.0.1.0', '39.0.1.255', 654311680, 654311935, 'AU', 'Australia'),
(7644, '39.0.2.0', '39.0.255.255', 654311936, 654376959, 'CN', 'China'),
(7645, '39.1.0.0', '39.1.255.255', 654376960, 654442495, 'TW', 'Taiwan'),
(7646, '39.2.0.0', '39.3.255.255', 654442496, 654573567, 'JP', 'Japan'),
(7647, '39.4.0.0', '39.7.255.255', 654573568, 654835711, 'KR', 'Korea, Republic of'),
(7648, '39.8.0.0', '39.15.255.255', 654835712, 655359999, 'TW', 'Taiwan'),
(7649, '39.16.0.0', '39.31.255.255', 655360000, 656408575, 'KR', 'Korea, Republic of'),
(7650, '39.32.0.0', '39.63.255.255', 656408576, 658505727, 'PK', 'Pakistan'),
(7651, '39.64.0.0', '39.95.255.255', 658505728, 660602879, 'CN', 'China'),
(7652, '39.96.0.0', '39.111.255.255', 660602880, 661651455, 'HK', 'Hong Kong'),
(7653, '39.112.0.0', '39.127.255.255', 661651456, 662700031, 'KR', 'Korea, Republic of'),
(7654, '39.128.0.0', '39.191.255.255', 662700032, 666894335, 'CN', 'China'),
(7655, '39.192.0.0', '39.255.255.255', 666894336, 671088639, 'ID', 'Indonesia'),
(7656, '40.0.0.0', '40.0.95.255', 671088640, 671113215, 'US', 'United States'),
(7657, '40.0.96.0', '40.0.96.255', 671113216, 671113471, 'EU', 'Europe'),
(7658, '40.0.97.0', '40.252.56.99', 671113472, 687618147, 'US', 'United States'),
(7659, '40.252.56.100', '40.252.56.103', 687618148, 687618151, 'EU', 'Europe'),
(7660, '40.252.56.104', '40.255.255.255', 687618152, 687865855, 'US', 'United States'),
(7661, '41.0.0.0', '41.31.255.255', 687865856, 689963007, 'ZA', 'South Africa'),
(7662, '41.32.0.0', '41.47.255.255', 689963008, 691011583, 'EG', 'Egypt'),
(7663, '41.48.0.0', '41.57.63.255', 691011584, 691617791, 'ZA', 'South Africa'),
(7664, '41.57.64.0', '41.57.79.255', 691617792, 691621887, 'ZW', 'Zimbabwe'),
(7665, '41.57.80.0', '41.57.95.255', 691621888, 691625983, 'LR', 'Liberia'),
(7666, '41.57.96.0', '41.57.111.255', 691625984, 691630079, 'KE', 'Kenya'),
(7667, '41.57.112.0', '41.57.115.255', 691630080, 691631103, 'ZA', 'South Africa'),
(7668, '41.57.120.0', '41.57.123.255', 691632128, 691633151, 'NG', 'Nigeria'),
(7669, '41.57.124.0', '41.57.127.255', 691633152, 691634175, 'ZW', 'Zimbabwe'),
(7670, '41.57.128.0', '41.57.191.255', 691634176, 691650559, 'ZA', 'South Africa'),
(7671, '41.57.192.0', '41.57.255.255', 691650560, 691666943, 'GH', 'Ghana'),
(7672, '41.58.0.0', '41.58.255.255', 691666944, 691732479, 'NG', 'Nigeria'),
(7673, '41.59.0.0', '41.59.255.255', 691732480, 691798015, 'TZ', 'Tanzania, United Republic of'),
(7674, '41.60.0.0', '41.60.255.255', 691798016, 691863551, 'ZM', 'Zambia'),
(7675, '41.61.0.0', '41.61.255.255', 691863552, 691929087, 'ZA', 'South Africa'),
(7676, '41.62.0.0', '41.62.255.255', 691929088, 691994623, 'SN', 'Senegal'),
(7677, '41.63.0.0', '41.63.63.255', 691994624, 692011007, 'ZM', 'Zambia'),
(7678, '41.63.64.0', '41.63.127.255', 692011008, 692027391, 'ZA', 'South Africa'),
(7679, '41.63.128.0', '41.63.159.255', 692027392, 692035583, 'MG', 'Madagascar'),
(7680, '41.63.160.0', '41.63.191.255', 692035584, 692043775, 'AO', 'Angola'),
(7681, '41.63.192.0', '41.63.255.255', 692043776, 692060159, 'NA', 'Namibia'),
(7682, '41.64.0.0', '41.65.255.255', 692060160, 692191231, 'EG', 'Egypt'),
(7683, '41.66.0.0', '41.66.63.255', 692191232, 692207615, 'CI', 'Cote D''Ivoire'),
(7684, '41.66.64.0', '41.66.191.255', 692207616, 692240383, 'ZA', 'South Africa'),
(7685, '41.66.192.0', '41.66.255.255', 692240384, 692256767, 'GH', 'Ghana'),
(7686, '41.67.0.0', '41.67.63.255', 692256768, 692273151, 'SD', 'Sudan'),
(7687, '41.67.64.0', '41.67.127.255', 692273152, 692289535, 'EG', 'Egypt'),
(7688, '41.67.128.0', '41.67.191.255', 692289536, 692305919, 'NG', 'Nigeria'),
(7689, '41.67.192.0', '41.67.255.255', 692305920, 692322303, 'CM', 'Cameroon'),
(7690, '41.68.0.0', '41.69.255.255', 692322304, 692453375, 'EG', 'Egypt'),
(7691, '41.70.0.0', '41.70.127.255', 692453376, 692486143, 'MW', 'Malawi'),
(7692, '41.70.128.0', '41.70.255.255', 692486144, 692518911, 'AO', 'Angola'),
(7693, '41.71.0.0', '41.71.127.255', 692518912, 692551679, 'ZA', 'South Africa'),
(7694, '41.71.128.0', '41.71.255.255', 692551680, 692584447, 'NG', 'Nigeria'),
(7695, '41.72.0.0', '41.72.63.255', 692584448, 692600831, 'AO', 'Angola'),
(7696, '41.72.64.0', '41.72.95.255', 692600832, 692609023, 'EG', 'Egypt'),
(7697, '41.72.96.0', '41.72.127.255', 692609024, 692617215, 'ZM', 'Zambia'),
(7698, '41.72.128.0', '41.72.159.255', 692617216, 692625407, 'ZA', 'South Africa'),
(7699, '41.72.160.0', '41.72.191.255', 692625408, 692633599, 'A2', 'Satellite Provider'),
(7700, '41.72.192.0', '41.72.223.255', 692633600, 692641791, 'KE', 'Kenya'),
(7701, '41.72.224.0', '41.72.255.255', 692641792, 692649983, 'GA', 'Gabon'),
(7702, '41.73.0.0', '41.73.31.255', 692649984, 692658175, 'NG', 'Nigeria'),
(7703, '41.73.32.0', '41.73.63.255', 692658176, 692666367, 'ZA', 'South Africa'),
(7704, '41.73.64.0', '41.73.95.255', 692666368, 692674559, 'TZ', 'Tanzania, United Republic of'),
(7705, '41.73.96.0', '41.73.127.255', 692674560, 692682751, 'ML', 'Mali'),
(7706, '41.73.128.0', '41.73.159.255', 692682752, 692690943, 'NG', 'Nigeria'),
(7707, '41.73.160.0', '41.73.223.255', 692690944, 692707327, 'TZ', 'Tanzania, United Republic of'),
(7708, '41.73.224.0', '41.73.255.255', 692707328, 692715519, 'NG', 'Nigeria'),
(7709, '41.74.0.0', '41.74.15.255', 692715520, 692719615, 'BJ', 'Benin'),
(7710, '41.74.16.0', '41.74.31.255', 692719616, 692723711, 'MG', 'Madagascar'),
(7711, '41.74.32.0', '41.74.47.255', 692723712, 692727807, 'TD', 'Chad'),
(7712, '41.74.48.0', '41.74.63.255', 692727808, 692731903, 'BW', 'Botswana'),
(7713, '41.74.64.0', '41.74.79.255', 692731904, 692735999, 'LY', 'Libyan Arab Jamahiriya'),
(7714, '41.74.80.0', '41.74.95.255', 692736000, 692740095, 'GH', 'Ghana'),
(7715, '41.74.96.0', '41.74.111.255', 692740096, 692744191, 'ZA', 'South Africa'),
(7716, '41.74.112.0', '41.74.127.255', 692744192, 692748287, 'TZ', 'Tanzania, United Republic of'),
(7717, '41.74.128.0', '41.74.143.255', 692748288, 692752383, 'CV', 'Cape Verde'),
(7718, '41.74.144.0', '41.74.159.255', 692752384, 692756479, 'ZA', 'South Africa'),
(7719, '41.74.160.0', '41.74.175.255', 692756480, 692760575, 'RW', 'Rwanda'),
(7720, '41.74.176.0', '41.74.207.255', 692760576, 692768767, 'ZA', 'South Africa'),
(7721, '41.74.208.0', '41.74.223.255', 692768768, 692772863, 'MG', 'Madagascar'),
(7722, '41.74.224.0', '41.74.239.255', 692772864, 692776959, 'ZA', 'South Africa'),
(7723, '41.74.240.0', '41.74.255.255', 692776960, 692781055, 'AO', 'Angola'),
(7724, '41.75.0.0', '41.75.15.255', 692781056, 692785151, 'BW', 'Botswana'),
(7725, '41.75.16.0', '41.75.31.255', 692785152, 692789247, 'NG', 'Nigeria'),
(7726, '41.75.32.0', '41.75.47.255', 692789248, 692793343, 'KE', 'Kenya'),
(7727, '41.75.48.0', '41.75.63.255', 692793344, 692797439, 'GH', 'Ghana'),
(7728, '41.75.64.0', '41.75.79.255', 692797440, 692801535, 'CG', 'Congo'),
(7729, '41.75.80.0', '41.75.95.255', 692801536, 692805631, 'NG', 'Nigeria'),
(7730, '41.75.96.0', '41.75.111.255', 692805632, 692809727, 'ZA', 'South Africa'),
(7731, '41.75.112.0', '41.75.127.255', 692809728, 692813823, 'MW', 'Malawi'),
(7732, '41.75.128.0', '41.75.143.255', 692813824, 692817919, 'ZA', 'South Africa'),
(7733, '41.75.144.0', '41.75.159.255', 692817920, 692822015, 'KE', 'Kenya'),
(7734, '41.75.160.0', '41.75.175.255', 692822016, 692826111, 'UG', 'Uganda'),
(7735, '41.75.176.0', '41.75.191.255', 692826112, 692830207, 'KE', 'Kenya'),
(7736, '41.75.192.0', '41.75.207.255', 692830208, 692834303, 'NG', 'Nigeria'),
(7737, '41.75.208.0', '41.75.223.255', 692834304, 692838399, 'TZ', 'Tanzania, United Republic of'),
(7738, '41.75.224.0', '41.75.239.255', 692838400, 692842495, 'ZA', 'South Africa'),
(7739, '41.75.240.0', '41.75.255.255', 692842496, 692846591, 'ZM', 'Zambia'),
(7740, '41.76.0.0', '41.76.7.255', 692846592, 692848639, 'MZ', 'Mozambique'),
(7741, '41.76.8.0', '41.76.15.255', 692848640, 692850687, 'GM', 'Gambia'),
(7742, '41.76.16.0', '41.76.23.255', 692850688, 692852735, 'LS', 'Lesotho'),
(7743, '41.76.24.0', '41.76.31.255', 692852736, 692854783, 'GH', 'Ghana'),
(7744, '41.76.32.0', '41.76.39.255', 692854784, 692856831, 'ZA', 'South Africa'),
(7745, '41.76.40.0', '41.76.47.255', 692856832, 692858879, 'MU', 'Mauritius'),
(7746, '41.76.48.0', '41.76.55.255', 692858880, 692860927, 'MW', 'Malawi'),
(7747, '41.76.56.0', '41.76.63.255', 692860928, 692862975, 'ZA', 'South Africa'),
(7748, '41.76.64.0', '41.76.87.255', 692862976, 692869119, 'NG', 'Nigeria'),
(7749, '41.76.88.0', '41.76.95.255', 692869120, 692871167, 'TZ', 'Tanzania, United Republic of'),
(7750, '41.76.96.0', '41.76.119.255', 692871168, 692877311, 'ZA', 'South Africa'),
(7751, '41.76.120.0', '41.76.127.255', 692877312, 692879359, 'GA', 'Gabon'),
(7752, '41.76.128.0', '41.76.135.255', 692879360, 692881407, 'ZA', 'South Africa'),
(7753, '41.76.136.0', '41.76.143.255', 692881408, 692883455, 'CG', 'Congo'),
(7754, '41.76.144.0', '41.76.151.255', 692883456, 692885503, 'MZ', 'Mozambique'),
(7755, '41.76.152.0', '41.76.159.255', 692885504, 692887551, 'NG', 'Nigeria'),
(7756, '41.76.160.0', '41.76.167.255', 692887552, 692889599, 'UG', 'Uganda'),
(7757, '41.76.168.0', '41.76.175.255', 692889600, 692891647, 'KE', 'Kenya'),
(7758, '41.76.176.0', '41.76.183.255', 692891648, 692893695, 'ZA', 'South Africa'),
(7759, '41.76.184.0', '41.76.191.255', 692893696, 692895743, 'KE', 'Kenya'),
(7760, '41.76.192.0', '41.76.199.255', 692895744, 692897791, 'NG', 'Nigeria'),
(7761, '41.76.200.0', '41.76.231.255', 692897792, 692905983, 'ZA', 'South Africa'),
(7762, '41.76.232.0', '41.76.239.255', 692905984, 692908031, 'ZW', 'Zimbabwe'),
(7763, '41.76.240.0', '41.76.247.255', 692908032, 692910079, 'BW', 'Botswana'),
(7764, '41.76.248.0', '41.76.255.255', 692910080, 692912127, 'NG', 'Nigeria'),
(7765, '41.77.0.0', '41.77.7.255', 692912128, 692914175, 'ZM', 'Zambia'),
(7766, '41.77.8.0', '41.77.15.255', 692914176, 692916223, 'MW', 'Malawi'),
(7767, '41.77.16.0', '41.77.23.255', 692916224, 692918271, 'MG', 'Madagascar'),
(7768, '41.77.24.0', '41.77.31.255', 692918272, 692920319, 'ZA', 'South Africa'),
(7769, '41.77.32.0', '41.77.39.255', 692920320, 692922367, 'MZ', 'Mozambique'),
(7770, '41.77.40.0', '41.77.47.255', 692922368, 692924415, 'NG', 'Nigeria'),
(7771, '41.77.48.0', '41.77.63.255', 692924416, 692928511, 'ZA', 'South Africa'),
(7772, '41.77.64.0', '41.77.71.255', 692928512, 692930559, 'GH', 'Ghana'),
(7773, '41.77.72.0', '41.77.79.255', 692930560, 692932607, 'UG', 'Uganda'),
(7774, '41.77.80.0', '41.77.87.255', 692932608, 692934655, 'CM', 'Cameroon'),
(7775, '41.77.88.0', '41.77.95.255', 692934656, 692936703, 'BW', 'Botswana'),
(7776, '41.77.96.0', '41.77.111.255', 692936704, 692940799, 'ZA', 'South Africa'),
(7777, '41.77.112.0', '41.77.119.255', 692940800, 692942847, 'MA', 'Morocco'),
(7778, '41.77.120.0', '41.77.127.255', 692942848, 692944895, 'GA', 'Gabon'),
(7779, '41.77.128.0', '41.77.135.255', 692944896, 692946943, 'MZ', 'Mozambique'),
(7780, '41.77.136.0', '41.77.143.255', 692946944, 692948991, 'EG', 'Egypt'),
(7781, '41.77.144.0', '41.77.151.255', 692948992, 692951039, 'ZM', 'Zambia'),
(7782, '41.77.152.0', '41.77.159.255', 692951040, 692953087, 'ZA', 'South Africa'),
(7783, '41.77.160.0', '41.77.167.255', 692953088, 692955135, 'RW', 'Rwanda'),
(7784, '41.77.168.0', '41.77.175.255', 692955136, 692957183, 'NG', 'Nigeria'),
(7785, '41.77.176.0', '41.77.183.255', 692957184, 692959231, 'DZ', 'Algeria'),
(7786, '41.77.184.0', '41.77.191.255', 692959232, 692961279, 'GN', 'Guinea'),
(7787, '41.77.192.0', '41.77.199.255', 692961280, 692963327, 'TZ', 'Tanzania, United Republic of'),
(7788, '41.77.200.0', '41.77.207.255', 692963328, 692965375, 'ZA', 'South Africa'),
(7789, '41.77.208.0', '41.77.215.255', 692965376, 692967423, 'CM', 'Cameroon'),
(7790, '41.77.220.0', '41.77.223.255', 692968448, 692969471, 'CD', 'Congo, The Democratic Republic of the'),
(7791, '41.77.224.0', '41.77.231.255', 692969472, 692971519, 'TZ', 'Tanzania, United Republic of'),
(7792, '41.77.240.0', '41.77.247.255', 692973568, 692975615, 'MZ', 'Mozambique'),
(7793, '41.77.248.0', '41.77.255.255', 692975616, 692977663, 'EG', 'Egypt'),
(7794, '41.78.0.0', '41.78.3.255', 692977664, 692978687, 'TZ', 'Tanzania, United Republic of'),
(7795, '41.78.4.0', '41.78.7.255', 692978688, 692979711, 'ZA', 'South Africa'),
(7796, '41.78.8.0', '41.78.15.255', 692979712, 692981759, 'NG', 'Nigeria'),
(7797, '41.78.16.0', '41.78.19.255', 692981760, 692982783, 'AO', 'Angola'),
(7798, '41.78.20.0', '41.78.23.255', 692982784, 692983807, 'EG', 'Egypt'),
(7799, '41.78.24.0', '41.78.27.255', 692983808, 692984831, 'KE', 'Kenya'),
(7800, '41.78.28.0', '41.78.39.255', 692984832, 692987903, 'ZA', 'South Africa'),
(7801, '41.78.40.0', '41.78.43.255', 692987904, 692988927, 'GH', 'Ghana'),
(7802, '41.78.44.0', '41.78.47.255', 692988928, 692989951, 'ZW', 'Zimbabwe'),
(7803, '41.78.48.0', '41.78.55.255', 692989952, 692991999, 'BF', 'Burkina Faso'),
(7804, '41.78.56.0', '41.78.59.255', 692992000, 692993023, 'MW', 'Malawi'),
(7805, '41.78.60.0', '41.78.63.255', 692993024, 692994047, 'EG', 'Egypt'),
(7806, '41.78.64.0', '41.78.67.255', 692994048, 692995071, 'TZ', 'Tanzania, United Republic of'),
(7807, '41.78.68.0', '41.78.71.255', 692995072, 692996095, 'SL', 'Sierra Leone'),
(7808, '41.78.72.0', '41.78.75.255', 692996096, 692997119, 'SO', 'Somalia'),
(7809, '41.78.76.0', '41.78.79.255', 692997120, 692998143, 'ZW', 'Zimbabwe'),
(7810, '41.78.80.0', '41.78.83.255', 692998144, 692999167, 'NG', 'Nigeria'),
(7811, '41.78.84.0', '41.78.87.255', 692999168, 693000191, 'SL', 'Sierra Leone'),
(7812, '41.78.88.0', '41.78.91.255', 693000192, 693001215, 'NG', 'Nigeria'),
(7813, '41.78.92.0', '41.78.95.255', 693001216, 693002239, 'BW', 'Botswana'),
(7814, '41.78.96.0', '41.78.99.255', 693002240, 693003263, 'GA', 'Gabon'),
(7815, '41.78.100.0', '41.78.103.255', 693003264, 693004287, 'NG', 'Nigeria'),
(7816, '41.78.104.0', '41.78.107.255', 693004288, 693005311, 'CD', 'Congo, The Democratic Republic of the'),
(7817, '41.78.108.0', '41.78.111.255', 693005312, 693006335, 'SD', 'Sudan'),
(7818, '41.78.112.0', '41.78.115.255', 693006336, 693007359, 'ZM', 'Zambia'),
(7819, '41.78.116.0', '41.78.119.255', 693007360, 693008383, 'NE', 'Niger'),
(7820, '41.78.120.0', '41.78.123.255', 693008384, 693009407, 'CF', 'Central African Republic'),
(7821, '41.78.124.0', '41.78.127.255', 693009408, 693010431, 'GH', 'Ghana'),
(7822, '41.78.128.0', '41.78.131.255', 693010432, 693011455, 'ZA', 'South Africa'),
(7823, '41.78.132.0', '41.78.135.255', 693011456, 693012479, 'SZ', 'Swaziland'),
(7824, '41.78.136.0', '41.78.139.255', 693012480, 693013503, 'TG', 'Togo'),
(7825, '41.78.140.0', '41.78.143.255', 693013504, 693014527, 'ZA', 'South Africa'),
(7826, '41.78.144.0', '41.78.147.255', 693014528, 693015551, 'GH', 'Ghana'),
(7827, '41.78.148.0', '41.78.151.255', 693015552, 693016575, 'EG', 'Egypt'),
(7828, '41.78.152.0', '41.78.155.255', 693016576, 693017599, 'GA', 'Gabon'),
(7829, '41.78.156.0', '41.78.159.255', 693017600, 693018623, 'NG', 'Nigeria'),
(7830, '41.78.160.0', '41.78.163.255', 693018624, 693019647, 'UG', 'Uganda'),
(7831, '41.78.164.0', '41.78.167.255', 693019648, 693020671, 'ZA', 'South Africa'),
(7832, '41.78.168.0', '41.78.171.255', 693020672, 693021695, 'TZ', 'Tanzania, United Republic of'),
(7833, '41.78.172.0', '41.78.175.255', 693021696, 693022719, 'NG', 'Nigeria'),
(7834, '41.78.176.0', '41.78.179.255', 693022720, 693023743, 'KE', 'Kenya'),
(7835, '41.78.180.0', '41.78.191.255', 693023744, 693026815, 'ZA', 'South Africa'),
(7836, '41.78.196.0', '41.78.199.255', 693027840, 693028863, 'CD', 'Congo, The Democratic Republic of the'),
(7837, '41.78.200.0', '41.78.203.255', 693028864, 693029887, 'ZA', 'South Africa'),
(7838, '41.78.204.0', '41.78.207.255', 693029888, 693030911, 'CM', 'Cameroon'),
(7839, '41.78.208.0', '41.78.211.255', 693030912, 693031935, 'NG', 'Nigeria'),
(7840, '41.78.212.0', '41.78.215.255', 693031936, 693032959, 'ZA', 'South Africa'),
(7841, '41.78.216.0', '41.78.219.255', 693032960, 693033983, 'MW', 'Malawi'),
(7842, '41.78.220.0', '41.78.223.255', 693033984, 693035007, 'ZA', 'South Africa'),
(7843, '41.78.224.0', '41.78.227.255', 693035008, 693036031, 'NG', 'Nigeria'),
(7844, '41.78.228.0', '41.78.235.255', 693036032, 693038079, 'ZA', 'South Africa'),
(7845, '41.78.236.0', '41.78.239.255', 693038080, 693039103, 'ZW', 'Zimbabwe'),
(7846, '41.78.240.0', '41.78.243.255', 693039104, 693040127, 'GA', 'Gabon'),
(7847, '41.78.244.0', '41.78.247.255', 693040128, 693041151, 'ZA', 'South Africa'),
(7848, '41.78.248.0', '41.78.251.255', 693041152, 693042175, 'MW', 'Malawi'),
(7849, '41.78.252.0', '41.78.255.255', 693042176, 693043199, 'NG', 'Nigeria'),
(7850, '41.79.0.0', '41.79.3.255', 693043200, 693044223, 'ZW', 'Zimbabwe'),
(7851, '41.79.4.0', '41.79.7.255', 693044224, 693045247, 'NG', 'Nigeria'),
(7852, '41.79.8.0', '41.79.11.255', 693045248, 693046271, 'KE', 'Kenya'),
(7853, '41.79.12.0', '41.79.15.255', 693046272, 693047295, 'ZW', 'Zimbabwe'),
(7854, '41.79.16.0', '41.79.23.255', 693047296, 693049343, 'ZA', 'South Africa'),
(7855, '41.79.24.0', '41.79.27.255', 693049344, 693050367, 'KE', 'Kenya'),
(7856, '41.79.28.0', '41.79.31.255', 693050368, 693051391, 'ZW', 'Zimbabwe'),
(7857, '41.79.32.0', '41.79.35.255', 693051392, 693052415, 'BW', 'Botswana'),
(7858, '41.79.36.0', '41.79.43.255', 693052416, 693054463, 'ZA', 'South Africa'),
(7859, '41.79.44.0', '41.79.47.255', 693054464, 693055487, 'BI', 'Burundi'),
(7860, '41.79.48.0', '41.79.51.255', 693055488, 693056511, 'GQ', 'Equatorial Guinea'),
(7861, '41.79.52.0', '41.79.55.255', 693056512, 693057535, 'NA', 'Namibia'),
(7862, '41.79.56.0', '41.79.59.255', 693057536, 693058559, 'ZW', 'Zimbabwe'),
(7863, '41.79.60.0', '41.79.63.255', 693058560, 693059583, 'SC', 'Seychelles'),
(7864, '41.79.64.0', '41.79.67.255', 693059584, 693060607, 'NG', 'Nigeria'),
(7865, '41.79.68.0', '41.79.71.255', 693060608, 693061631, 'TZ', 'Tanzania, United Republic of'),
(7866, '41.79.72.0', '41.79.83.255', 693061632, 693064703, 'ZA', 'South Africa'),
(7867, '41.79.84.0', '41.79.87.255', 693064704, 693065727, 'GH', 'Ghana'),
(7868, '41.79.88.0', '41.79.91.255', 693065728, 693066751, 'MW', 'Malawi'),
(7869, '41.79.92.0', '41.79.95.255', 693066752, 693067775, 'ZA', 'South Africa'),
(7870, '41.79.96.0', '41.79.99.255', 693067776, 693068799, 'GH', 'Ghana'),
(7871, '41.79.100.0', '41.79.103.255', 693068800, 693069823, 'TZ', 'Tanzania, United Republic of'),
(7872, '41.79.104.0', '41.79.111.255', 693069824, 693071871, 'ZA', 'South Africa'),
(7873, '41.79.112.0', '41.79.115.255', 693071872, 693072895, 'ZW', 'Zimbabwe'),
(7874, '41.79.116.0', '41.79.119.255', 693072896, 693073919, 'NG', 'Nigeria'),
(7875, '41.79.120.0', '41.79.123.255', 693073920, 693074943, 'SD', 'Sudan'),
(7876, '41.79.124.0', '41.79.127.255', 693074944, 693075967, 'CV', 'Cape Verde'),
(7877, '41.79.128.0', '41.79.131.255', 693075968, 693076991, 'CM', 'Cameroon'),
(7878, '41.79.132.0', '41.79.135.255', 693076992, 693078015, 'ZW', 'Zimbabwe'),
(7879, '41.79.136.0', '41.79.139.255', 693078016, 693079039, 'BW', 'Botswana'),
(7880, '41.79.140.0', '41.79.143.255', 693079040, 693080063, 'KE', 'Kenya'),
(7881, '41.79.144.0', '41.79.147.255', 693080064, 693081087, 'NG', 'Nigeria'),
(7882, '41.79.148.0', '41.79.151.255', 693081088, 693082111, 'ZA', 'South Africa'),
(7883, '41.79.152.0', '41.79.155.255', 693082112, 693083135, 'NG', 'Nigeria'),
(7884, '41.79.156.0', '41.79.167.255', 693083136, 693086207, 'ZA', 'South Africa'),
(7885, '41.79.168.0', '41.79.171.255', 693086208, 693087231, 'KE', 'Kenya'),
(7886, '41.79.172.0', '41.79.175.255', 693087232, 693088255, 'ZA', 'South Africa'),
(7887, '41.79.176.0', '41.79.179.255', 693088256, 693089279, 'NG', 'Nigeria'),
(7888, '41.79.180.0', '41.79.183.255', 693089280, 693090303, 'ZA', 'South Africa'),
(7889, '41.79.184.0', '41.79.187.255', 693090304, 693091327, 'TZ', 'Tanzania, United Republic of'),
(7890, '41.79.188.0', '41.79.191.255', 693091328, 693092351, 'ZW', 'Zimbabwe'),
(7891, '41.79.192.0', '41.79.195.255', 693092352, 693093375, 'ZA', 'South Africa'),
(7892, '41.79.196.0', '41.79.199.255', 693093376, 693094399, 'SO', 'Somalia'),
(7893, '41.79.200.0', '41.79.203.255', 693094400, 693095423, 'GN', 'Guinea'),
(7894, '41.79.204.0', '41.79.207.255', 693095424, 693096447, 'NG', 'Nigeria'),
(7895, '41.79.208.0', '41.79.211.255', 693096448, 693097471, 'EG', 'Egypt'),
(7896, '41.79.212.0', '41.79.215.255', 693097472, 693098495, 'ZA', 'South Africa'),
(7897, '41.79.216.0', '41.79.219.255', 693098496, 693099519, 'BJ', 'Benin'),
(7898, '41.79.220.0', '41.79.223.255', 693099520, 693100543, 'ZA', 'South Africa'),
(7899, '41.79.224.0', '41.79.227.255', 693100544, 693101567, 'BI', 'Burundi'),
(7900, '41.79.228.0', '41.79.231.255', 693101568, 693102591, 'KE', 'Kenya'),
(7901, '41.79.232.0', '41.79.235.255', 693102592, 693103615, 'CD', 'Congo, The Democratic Republic of the'),
(7902, '41.79.236.0', '41.79.239.255', 693103616, 693104639, 'GN', 'Guinea'),
(7903, '41.79.240.0', '41.79.243.255', 693104640, 693105663, 'ZA', 'South Africa'),
(7904, '41.79.244.0', '41.79.247.255', 693105664, 693106687, 'MZ', 'Mozambique'),
(7905, '41.79.248.0', '41.79.251.255', 693106688, 693107711, 'ZA', 'South Africa'),
(7906, '41.79.252.0', '41.81.255.255', 693107712, 693239807, 'KE', 'Kenya'),
(7907, '41.82.0.0', '41.83.255.255', 693239808, 693370879, 'SN', 'Senegal'),
(7908, '41.84.0.0', '41.84.127.255', 693370880, 693403647, 'ZA', 'South Africa'),
(7909, '41.84.128.0', '41.84.159.255', 693403648, 693411839, 'KE', 'Kenya'),
(7910, '41.84.160.0', '41.84.191.255', 693411840, 693420031, 'NG', 'Nigeria'),
(7911, '41.84.192.0', '41.84.223.255', 693420032, 693428223, 'UG', 'Uganda'),
(7912, '41.84.224.0', '41.84.255.255', 693428224, 693436415, 'SZ', 'Swaziland'),
(7913, '41.85.0.0', '41.85.159.255', 693436416, 693477375, 'ZA', 'South Africa'),
(7914, '41.85.160.0', '41.85.191.255', 693477376, 693485567, 'BJ', 'Benin'),
(7915, '41.85.192.0', '41.85.223.255', 693485568, 693493759, 'ZW', 'Zimbabwe'),
(7916, '41.85.224.0', '41.85.255.255', 693493760, 693501951, 'ZA', 'South Africa'),
(7917, '41.86.0.0', '41.86.31.255', 693501952, 693510143, 'LR', 'Liberia'),
(7918, '41.86.32.0', '41.86.63.255', 693510144, 693518335, 'SC', 'Seychelles'),
(7919, '41.86.64.0', '41.86.127.255', 693518336, 693534719, 'ZA', 'South Africa'),
(7920, '41.86.128.0', '41.86.159.255', 693534720, 693542911, 'NG', 'Nigeria'),
(7921, '41.86.160.0', '41.86.191.255', 693542912, 693551103, 'TZ', 'Tanzania, United Republic of'),
(7922, '41.86.192.0', '41.86.223.255', 693551104, 693559295, 'ZA', 'South Africa'),
(7923, '41.86.224.0', '41.86.255.255', 693559296, 693567487, 'BJ', 'Benin'),
(7924, '41.87.0.0', '41.87.31.255', 693567488, 693575679, 'MW', 'Malawi'),
(7925, '41.87.32.0', '41.87.63.255', 693575680, 693583871, 'KE', 'Kenya'),
(7926, '41.87.64.0', '41.87.95.255', 693583872, 693592063, 'NG', 'Nigeria'),
(7927, '41.87.96.0', '41.87.127.255', 693592064, 693600255, 'MU', 'Mauritius'),
(7928, '41.87.128.0', '41.87.159.255', 693600256, 693608447, 'MA', 'Morocco'),
(7929, '41.87.160.0', '41.87.191.255', 693608448, 693616639, 'BW', 'Botswana'),
(7930, '41.87.192.0', '41.87.255.255', 693616640, 693633023, 'ZA', 'South Africa'),
(7931, '41.88.0.0', '41.88.255.255', 693633024, 693698559, 'EG', 'Egypt'),
(7932, '41.89.0.0', '41.90.255.255', 693698560, 693829631, 'KE', 'Kenya'),
(7933, '41.91.0.0', '41.91.255.255', 693829632, 693895167, 'EG', 'Egypt'),
(7934, '41.92.0.0', '41.92.127.255', 693895168, 693927935, 'MA', 'Morocco'),
(7935, '41.92.128.0', '41.92.255.255', 693927936, 693960703, 'CM', 'Cameroon'),
(7936, '41.93.0.0', '41.93.127.255', 693960704, 693993471, 'TZ', 'Tanzania, United Republic of'),
(7937, '41.93.128.0', '41.93.255.255', 693993472, 694026239, 'GH', 'Ghana'),
(7938, '41.94.0.0', '41.94.255.255', 694026240, 694091775, 'MZ', 'Mozambique'),
(7939, '41.95.0.0', '41.95.255.255', 694091776, 694157311, 'SD', 'Sudan'),
(7940, '41.96.0.0', '41.111.255.255', 694157312, 695205887, 'DZ', 'Algeria'),
(7941, '41.112.0.0', '41.127.255.255', 695205888, 696254463, 'ZA', 'South Africa'),
(7942, '41.128.0.0', '41.131.255.255', 696254464, 696516607, 'EG', 'Egypt'),
(7943, '41.132.0.0', '41.135.255.255', 696516608, 696778751, 'ZA', 'South Africa'),
(7944, '41.136.0.0', '41.136.255.255', 696778752, 696844287, 'MU', 'Mauritius'),
(7945, '41.137.0.0', '41.137.255.255', 696844288, 696909823, 'MA', 'Morocco'),
(7946, '41.138.0.0', '41.138.31.255', 696909824, 696918015, 'UG', 'Uganda'),
(7947, '41.138.32.0', '41.138.63.255', 696918016, 696926207, 'NE', 'Niger'),
(7948, '41.138.64.0', '41.138.71.255', 696926208, 696928255, 'ZA', 'South Africa'),
(7949, '41.138.72.0', '41.138.79.255', 696928256, 696930303, 'BW', 'Botswana'),
(7950, '41.138.80.0', '41.138.87.255', 696930304, 696932351, 'RW', 'Rwanda'),
(7951, '41.138.88.0', '41.138.91.255', 696932352, 696933375, 'BJ', 'Benin'),
(7952, '41.138.92.0', '41.138.95.255', 696933376, 696934399, 'TZ', 'Tanzania, United Republic of'),
(7953, '41.138.96.0', '41.138.127.255', 696934400, 696942591, 'BF', 'Burkina Faso'),
(7954, '41.138.128.0', '41.138.159.255', 696942592, 696950783, 'MR', 'Mauritania'),
(7955, '41.138.160.0', '41.138.191.255', 696950784, 696958975, 'NG', 'Nigeria'),
(7956, '41.138.192.0', '41.138.207.255', 696958976, 696963071, 'TZ', 'Tanzania, United Republic of'),
(7957, '41.138.208.0', '41.138.223.255', 696963072, 696967167, 'UG', 'Uganda'),
(7958, '41.138.224.0', '41.138.239.255', 696967168, 696971263, 'MZ', 'Mozambique'),
(7959, '41.138.240.0', '41.138.255.255', 696971264, 696975359, 'KE', 'Kenya'),
(7960, '41.139.0.0', '41.139.63.255', 696975360, 696991743, 'GH', 'Ghana'),
(7961, '41.139.64.0', '41.139.127.255', 696991744, 697008127, 'NG', 'Nigeria'),
(7962, '41.139.128.0', '41.139.255.255', 697008128, 697040895, 'KE', 'Kenya'),
(7963, '41.140.0.0', '41.143.255.255', 697040896, 697303039, 'MA', 'Morocco'),
(7964, '41.144.0.0', '41.151.255.255', 697303040, 697827327, 'ZA', 'South Africa'),
(7965, '41.152.0.0', '41.153.255.255', 697827328, 697958399, 'EG', 'Egypt'),
(7966, '41.154.0.0', '41.154.255.255', 697958400, 698023935, 'ZA', 'South Africa'),
(7967, '41.155.0.0', '41.155.127.255', 698023936, 698056703, 'NG', 'Nigeria'),
(7968, '41.155.128.0', '41.155.255.255', 698056704, 698089471, 'EG', 'Egypt'),
(7969, '41.156.0.0', '41.157.255.255', 698089472, 698220543, 'ZA', 'South Africa'),
(7970, '41.158.0.0', '41.159.255.255', 698220544, 698351615, 'GA', 'Gabon'),
(7971, '41.160.0.0', '41.175.255.255', 698351616, 699400191, 'ZA', 'South Africa'),
(7972, '41.176.0.0', '41.176.255.255', 699400192, 699465727, 'EG', 'Egypt'),
(7973, '41.177.0.0', '41.177.255.255', 699465728, 699531263, 'ZA', 'South Africa'),
(7974, '41.178.0.0', '41.179.255.255', 699531264, 699662335, 'EG', 'Egypt'),
(7975, '41.180.0.0', '41.181.255.255', 699662336, 699793407, 'ZA', 'South Africa'),
(7976, '41.182.0.0', '41.182.255.255', 699793408, 699858943, 'NA', 'Namibia'),
(7977, '41.183.0.0', '41.183.255.255', 699858944, 699924479, 'ZA', 'South Africa'),
(7978, '41.184.0.0', '41.184.255.255', 699924480, 699990015, 'NG', 'Nigeria'),
(7979, '41.185.0.0', '41.185.255.255', 699990016, 700055551, 'ZA', 'South Africa'),
(7980, '41.186.0.0', '41.186.255.255', 700055552, 700121087, 'RW', 'Rwanda'),
(7981, '41.187.0.0', '41.187.255.255', 700121088, 700186623, 'EG', 'Egypt'),
(7982, '41.188.0.0', '41.188.63.255', 700186624, 700203007, 'MG', 'Madagascar'),
(7983, '41.188.64.0', '41.188.127.255', 700203008, 700219391, 'MR', 'Mauritania'),
(7984, '41.188.128.0', '41.188.191.255', 700219392, 700235775, 'TZ', 'Tanzania, United Republic of'),
(7985, '41.188.192.0', '41.188.255.255', 700235776, 700252159, 'ZA', 'South Africa'),
(7986, '41.189.0.0', '41.189.31.255', 700252160, 700260351, 'NG', 'Nigeria'),
(7987, '41.189.32.0', '41.189.63.255', 700260352, 700268543, 'CI', 'Cote D''Ivoire'),
(7988, '41.189.64.0', '41.189.95.255', 700268544, 700276735, 'ZA', 'South Africa'),
(7989, '41.189.96.0', '41.189.127.255', 700276736, 700284927, 'CI', 'Cote D''Ivoire'),
(7990, '41.189.128.0', '41.189.159.255', 700284928, 700293119, 'GH', 'Ghana'),
(7991, '41.189.160.0', '41.189.191.255', 700293120, 700301311, 'EG', 'Egypt'),
(7992, '41.189.192.0', '41.189.223.255', 700301312, 700309503, 'CD', 'Congo, The Democratic Republic of the'),
(7993, '41.189.224.0', '41.189.242.255', 700309504, 700314367, 'DJ', 'Djibouti'),
(7994, '41.189.243.0', '41.189.243.255', 700314368, 700314623, 'US', 'United States'),
(7995, '41.189.244.0', '41.189.255.255', 700314624, 700317695, 'DJ', 'Djibouti'),
(7996, '41.190.0.0', '41.190.31.255', 700317696, 700325887, 'NG', 'Nigeria'),
(7997, '41.190.32.0', '41.190.63.255', 700325888, 700334079, 'ZW', 'Zimbabwe'),
(7998, '41.190.64.0', '41.190.67.255', 700334080, 700335103, 'BJ', 'Benin'),
(7999, '41.190.68.0', '41.190.71.255', 700335104, 700336127, 'GH', 'Ghana'),
(8000, '41.190.72.0', '41.190.75.255', 700336128, 700337151, 'CG', 'Congo'),
(8001, '41.190.80.0', '41.190.83.255', 700338176, 700339199, 'CD', 'Congo, The Democratic Republic of the'),
(8002, '41.190.84.0', '41.190.87.255', 700339200, 700340223, 'NA', 'Namibia'),
(8003, '41.190.88.0', '41.190.91.255', 700340224, 700341247, 'GH', 'Ghana'),
(8004, '41.190.92.0', '41.190.95.255', 700341248, 700342271, 'MW', 'Malawi'),
(8005, '41.190.96.0', '41.190.127.255', 700342272, 700350463, 'NA', 'Namibia'),
(8006, '41.190.128.0', '41.190.159.255', 700350464, 700358655, 'UG', 'Uganda'),
(8007, '41.190.160.0', '41.190.191.255', 700358656, 700366847, 'MZ', 'Mozambique'),
(8008, '41.190.192.0', '41.190.223.255', 700366848, 700375039, 'UG', 'Uganda'),
(8009, '41.190.224.0', '41.190.227.255', 700375040, 700376063, 'CM', 'Cameroon'),
(8010, '41.190.228.0', '41.190.231.255', 700376064, 700377087, 'NE', 'Niger'),
(8011, '41.190.232.0', '41.190.235.255', 700377088, 700378111, 'KE', 'Kenya'),
(8012, '41.190.236.0', '41.190.239.255', 700378112, 700379135, 'MG', 'Madagascar'),
(8013, '41.190.240.0', '41.190.243.255', 700379136, 700380159, 'NG', 'Nigeria'),
(8014, '41.190.244.0', '41.190.247.255', 700380160, 700381183, 'BW', 'Botswana'),
(8015, '41.190.248.0', '41.190.251.255', 700381184, 700382207, 'EG', 'Egypt'),
(8016, '41.190.252.0', '41.190.255.255', 700382208, 700383231, 'KE', 'Kenya'),
(8017, '41.191.0.0', '41.191.63.255', 700383232, 700399615, 'EG', 'Egypt'),
(8018, '41.191.64.0', '41.191.67.255', 700399616, 700400639, 'AO', 'Angola'),
(8019, '41.191.68.0', '41.191.71.255', 700400640, 700401663, 'CI', 'Cote D''Ivoire'),
(8020, '41.191.72.0', '41.191.75.255', 700401664, 700402687, 'MZ', 'Mozambique'),
(8021, '41.191.76.0', '41.191.79.255', 700402688, 700403711, 'UG', 'Uganda'),
(8022, '41.191.80.0', '41.191.83.255', 700403712, 700404735, 'EG', 'Egypt'),
(8023, '41.191.84.0', '41.191.87.255', 700404736, 700405759, 'BJ', 'Benin'),
(8024, '41.191.88.0', '41.191.91.255', 700405760, 700406783, 'ZA', 'South Africa'),
(8025, '41.191.92.0', '41.191.95.255', 700406784, 700407807, 'TZ', 'Tanzania, United Republic of'),
(8026, '41.191.96.0', '41.191.99.255', 700407808, 700408831, 'GH', 'Ghana'),
(8027, '41.191.100.0', '41.191.103.255', 700408832, 700409855, 'CM', 'Cameroon'),
(8028, '41.191.104.0', '41.191.107.255', 700409856, 700410879, 'LR', 'Liberia'),
(8029, '41.191.108.0', '41.191.111.255', 700410880, 700411903, 'NG', 'Nigeria'),
(8030, '41.191.112.0', '41.191.115.255', 700411904, 700412927, 'ZA', 'South Africa'),
(8031, '41.191.116.0', '41.191.119.255', 700412928, 700413951, 'ZM', 'Zambia'),
(8032, '41.191.120.0', '41.191.123.255', 700413952, 700414975, 'SC', 'Seychelles'),
(8033, '41.191.124.0', '41.191.191.255', 700414976, 700432383, 'ZA', 'South Africa'),
(8034, '41.191.192.0', '41.191.199.255', 700432384, 700434431, 'KE', 'Kenya'),
(8035, '41.191.200.0', '41.191.207.255', 700434432, 700436479, 'LS', 'Lesotho'),
(8036, '41.191.208.0', '41.191.215.255', 700436480, 700438527, 'UG', 'Uganda'),
(8037, '41.191.216.0', '41.191.231.255', 700438528, 700442623, 'KE', 'Kenya'),
(8038, '41.191.232.0', '41.191.239.255', 700442624, 700444671, 'ZW', 'Zimbabwe'),
(8039, '41.191.240.0', '41.191.247.255', 700444672, 700446719, 'GH', 'Ghana'),
(8040, '41.191.248.0', '41.191.251.255', 700446720, 700447743, 'SL', 'Sierra Leone'),
(8041, '41.191.252.0', '41.191.255.255', 700447744, 700448767, 'DZ', 'Algeria'),
(8042, '41.192.0.0', '41.193.255.255', 700448768, 700579839, 'ZA', 'South Africa'),
(8043, '41.194.0.0', '41.194.25.255', 700579840, 700586495, 'A2', 'Satellite Provider'),
(8044, '41.194.26.0', '41.194.26.255', 700586496, 700586751, 'US', 'United States'),
(8045, '41.194.27.0', '41.194.27.255', 700586752, 700587007, 'A2', 'Satellite Provider'),
(8046, '41.194.28.0', '41.194.28.255', 700587008, 700587263, 'ZM', 'Zambia'),
(8047, '41.194.29.0', '41.194.31.255', 700587264, 700588031, 'A2', 'Satellite Provider'),
(8048, '41.194.32.0', '41.194.32.254', 700588032, 700588286, 'KM', 'Comoros'),
(8049, '41.194.32.255', '41.194.32.255', 700588287, 700588287, 'A2', 'Satellite Provider'),
(8050, '41.194.33.0', '41.194.33.255', 700588288, 700588543, 'KM', 'Comoros'),
(8051, '41.194.34.0', '41.194.37.255', 700588544, 700589567, 'A2', 'Satellite Provider'),
(8052, '41.194.38.0', '41.194.38.127', 700589568, 700589695, 'TZ', 'Tanzania, United Republic of'),
(8053, '41.194.38.128', '41.194.48.255', 700589696, 700592383, 'A2', 'Satellite Provider'),
(8054, '41.194.49.0', '41.194.49.255', 700592384, 700592639, 'KE', 'Kenya'),
(8055, '41.194.50.0', '41.194.51.255', 700592640, 700593151, 'A2', 'Satellite Provider'),
(8056, '41.194.52.0', '41.194.55.255', 700593152, 700594175, 'NG', 'Nigeria'),
(8057, '41.194.56.0', '41.194.255.255', 700594176, 700645375, 'A2', 'Satellite Provider'),
(8058, '41.195.0.0', '41.195.255.255', 700645376, 700710911, 'ZA', 'South Africa'),
(8059, '41.196.0.0', '41.196.255.255', 700710912, 700776447, 'EG', 'Egypt'),
(8060, '41.197.0.0', '41.197.255.255', 700776448, 700841983, 'RW', 'Rwanda'),
(8061, '41.198.0.0', '41.198.95.255', 700841984, 700866559, 'MU', 'Mauritius'),
(8062, '41.198.96.0', '41.198.96.255', 700866560, 700866815, 'NG', 'Nigeria'),
(8063, '41.198.97.0', '41.198.98.255', 700866816, 700867327, 'MU', 'Mauritius'),
(8064, '41.198.99.0', '41.198.99.255', 700867328, 700867583, 'NG', 'Nigeria'),
(8065, '41.198.100.0', '41.198.207.255', 700867584, 700895231, 'MU', 'Mauritius'),
(8066, '41.198.208.0', '41.198.214.255', 700895232, 700897023, 'NG', 'Nigeria'),
(8067, '41.198.215.0', '41.198.215.255', 700897024, 700897279, 'AO', 'Angola'),
(8068, '41.198.216.0', '41.198.223.255', 700897280, 700899327, 'NG', 'Nigeria'),
(8069, '41.198.224.0', '41.198.255.255', 700899328, 700907519, 'MU', 'Mauritius'),
(8070, '41.199.0.0', '41.199.255.255', 700907520, 700973055, 'EG', 'Egypt'),
(8071, '41.200.0.0', '41.201.255.255', 700973056, 701104127, 'DZ', 'Algeria'),
(8072, '41.202.0.0', '41.202.31.255', 701104128, 701112319, 'GH', 'Ghana'),
(8073, '41.202.32.0', '41.202.63.255', 701112320, 701120511, 'ZA', 'South Africa'),
(8074, '41.202.64.0', '41.202.159.255', 701120512, 701145087, 'CI', 'Cote D''Ivoire'),
(8075, '41.202.160.0', '41.202.191.255', 701145088, 701153279, 'SD', 'Sudan'),
(8076, '41.202.192.0', '41.202.223.255', 701153280, 701161471, 'CM', 'Cameroon'),
(8077, '41.202.224.0', '41.202.255.255', 701161472, 701169663, 'UG', 'Uganda'),
(8078, '41.203.0.0', '41.203.63.255', 701169664, 701186047, 'ZA', 'South Africa'),
(8079, '41.203.64.0', '41.203.79.248', 701186048, 701190136, 'NG', 'Nigeria'),
(8080, '41.203.79.249', '41.203.79.249', 701190137, 701190137, 'BJ', 'Benin'),
(8081, '41.203.79.250', '41.203.127.255', 701190138, 701202431, 'NG', 'Nigeria'),
(8082, '41.203.128.0', '41.203.159.255', 701202432, 701210623, 'NE', 'Niger'),
(8083, '41.203.160.0', '41.203.175.255', 701210624, 701214719, 'ZA', 'South Africa'),
(8084, '41.203.176.0', '41.203.191.255', 701214720, 701218815, 'LS', 'Lesotho'),
(8085, '41.203.192.0', '41.203.207.255', 701218816, 701222911, 'ML', 'Mali'),
(8086, '41.203.208.0', '41.203.223.255', 701222912, 701227007, 'KE', 'Kenya'),
(8087, '41.203.224.0', '41.203.239.255', 701227008, 701231103, 'BF', 'Burkina Faso'),
(8088, '41.203.240.0', '41.203.255.255', 701231104, 701235199, 'SC', 'Seychelles'),
(8089, '41.204.0.0', '41.204.31.255', 701235200, 701243391, 'SZ', 'Swaziland'),
(8090, '41.204.32.0', '41.204.63.255', 701243392, 701251583, 'GH', 'Ghana'),
(8091, '41.204.64.0', '41.204.95.255', 701251584, 701259775, 'CM', 'Cameroon'),
(8092, '41.204.96.0', '41.204.127.255', 701259776, 701267967, 'MG', 'Madagascar'),
(8093, '41.204.128.0', '41.204.159.255', 701267968, 701276159, 'TZ', 'Tanzania, United Republic of'),
(8094, '41.204.160.0', '41.204.191.255', 701276160, 701284351, 'KE', 'Kenya'),
(8095, '41.204.192.0', '41.204.223.255', 701284352, 701292543, 'ZA', 'South Africa'),
(8096, '41.204.224.0', '41.204.255.255', 701292544, 701300735, 'NG', 'Nigeria'),
(8097, '41.205.0.0', '41.205.31.255', 701300736, 701308927, 'CM', 'Cameroon'),
(8098, '41.205.32.0', '41.205.63.255', 701308928, 701317119, 'AO', 'Angola'),
(8099, '41.205.64.0', '41.205.95.255', 701317120, 701325311, 'CM', 'Cameroon'),
(8100, '41.205.96.0', '41.205.127.255', 701325312, 701333503, 'EG', 'Egypt'),
(8101, '41.205.128.0', '41.205.159.255', 701333504, 701341695, 'NA', 'Namibia'),
(8102, '41.205.160.0', '41.205.191.255', 701341696, 701349887, 'NG', 'Nigeria'),
(8103, '41.205.192.0', '41.205.223.255', 701349888, 701358079, 'MA', 'Morocco'),
(8104, '41.205.224.0', '41.205.255.255', 701358080, 701366271, 'SL', 'Sierra Leone'),
(8105, '41.206.0.0', '41.206.31.255', 701366272, 701374463, 'NG', 'Nigeria'),
(8106, '41.206.32.0', '41.206.63.255', 701374464, 701382655, 'KE', 'Kenya'),
(8107, '41.206.64.0', '41.206.95.255', 701382656, 701390847, 'CI', 'Cote D''Ivoire'),
(8108, '41.206.128.0', '41.206.159.255', 701399040, 701407231, 'EG', 'Egypt'),
(8109, '41.206.160.0', '41.206.223.255', 701407232, 701423615, 'ZA', 'South Africa'),
(8110, '41.206.224.0', '41.206.255.255', 701423616, 701431807, 'NG', 'Nigeria'),
(8111, '41.207.0.0', '41.207.31.255', 701431808, 701439999, 'CI', 'Cote D''Ivoire'),
(8112, '41.207.32.0', '41.207.63.255', 701440000, 701448191, 'MG', 'Madagascar'),
(8113, '41.207.64.0', '41.207.114.255', 701448192, 701461247, 'KE', 'Kenya'),
(8114, '41.207.115.0', '41.207.115.255', 701461248, 701461503, 'CD', 'Congo, The Democratic Republic of the'),
(8115, '41.207.116.0', '41.207.120.255', 701461504, 701462783, 'KE', 'Kenya'),
(8116, '41.207.121.0', '41.207.121.255', 701462784, 701463039, 'CG', 'Congo'),
(8117, '41.207.122.0', '41.207.123.98', 701463040, 701463394, 'KE', 'Kenya'),
(8118, '41.207.123.99', '41.207.123.99', 701463395, 701463395, 'NG', 'Nigeria'),
(8119, '41.207.123.100', '41.207.123.232', 701463396, 701463528, 'KE', 'Kenya'),
(8120, '41.207.123.233', '41.207.123.233', 701463529, 701463529, 'NG', 'Nigeria'),
(8121, '41.207.123.234', '41.207.124.255', 701463530, 701463807, 'KE', 'Kenya'),
(8122, '41.207.125.0', '41.207.125.255', 701463808, 701464063, 'CG', 'Congo'),
(8123, '41.207.126.0', '41.207.127.255', 701464064, 701464575, 'KE', 'Kenya'),
(8124, '41.207.128.0', '41.207.159.255', 701464576, 701472767, 'MU', 'Mauritius'),
(8125, '41.207.160.0', '41.207.191.255', 701472768, 701480959, 'TG', 'Togo'),
(8126, '41.207.192.0', '41.207.223.255', 701480960, 701489151, 'CI', 'Cote D''Ivoire'),
(8127, '41.207.224.0', '41.208.63.255', 701489152, 701513727, 'ZA', 'South Africa'),
(8128, '41.208.64.0', '41.208.127.255', 701513728, 701530111, 'LY', 'Libyan Arab Jamahiriya'),
(8129, '41.208.128.0', '41.208.191.255', 701530112, 701546495, 'SN', 'Senegal'),
(8130, '41.208.192.0', '41.208.255.255', 701546496, 701562879, 'ZA', 'South Africa'),
(8131, '41.209.0.0', '41.209.63.255', 701562880, 701579263, 'KE', 'Kenya'),
(8132, '41.209.64.0', '41.209.127.255', 701579264, 701595647, 'SD', 'Sudan'),
(8133, '41.209.128.0', '41.209.159.255', 701595648, 701603839, 'DZ', 'Algeria'),
(8134, '41.209.192.0', '41.209.255.255', 701612032, 701628415, 'EG', 'Egypt'),
(8135, '41.210.0.0', '41.210.63.255', 701628416, 701644799, 'GH', 'Ghana'),
(8136, '41.210.64.0', '41.210.127.255', 701644800, 701661183, 'DZ', 'Algeria'),
(8137, '41.210.128.0', '41.210.191.255', 701661184, 701677567, 'UG', 'Uganda'),
(8138, '41.210.192.0', '41.210.255.255', 701677568, 701693951, 'AO', 'Angola'),
(8139, '41.211.0.0', '41.211.31.255', 701693952, 701702143, 'GH', 'Ghana'),
(8140, '41.211.32.0', '41.211.63.255', 701702144, 701710335, 'SZ', 'Swaziland'),
(8141, '41.211.64.0', '41.211.95.255', 701710336, 701718527, 'MU', 'Mauritius'),
(8142, '41.211.96.0', '41.211.127.255', 701718528, 701726719, 'CM', 'Cameroon'),
(8143, '41.211.128.0', '41.211.191.255', 701726720, 701743103, 'GA', 'Gabon'),
(8144, '41.211.192.0', '41.211.255.255', 701743104, 701759487, 'NG', 'Nigeria'),
(8145, '41.212.0.0', '41.212.127.255', 701759488, 701792255, 'KE', 'Kenya'),
(8146, '41.212.128.0', '41.212.255.255', 701792256, 701825023, 'MU', 'Mauritius'),
(8147, '41.213.0.0', '41.213.127.255', 701825024, 701857791, 'ZA', 'South Africa'),
(8148, '41.213.128.0', '41.213.255.255', 701857792, 701890559, 'RE', 'Reunion'),
(8149, '41.214.0.0', '41.214.127.255', 701890560, 701923327, 'SN', 'Senegal'),
(8150, '41.214.128.0', '41.214.255.255', 701923328, 701956095, 'MA', 'Morocco'),
(8151, '41.215.0.0', '41.215.143.255', 701956096, 701992959, 'KE', 'Kenya'),
(8152, '41.215.144.0', '41.215.159.255', 701992960, 701997055, 'SZ', 'Swaziland'),
(8153, '41.215.160.0', '41.215.175.255', 701997056, 702001151, 'GH', 'Ghana'),
(8154, '41.215.176.0', '41.215.191.255', 702001152, 702005247, 'ZM', 'Zambia'),
(8155, '41.215.192.0', '41.215.207.255', 702005248, 702009343, 'KE', 'Kenya'),
(8156, '41.215.208.0', '41.215.223.255', 702009344, 702013439, 'CV', 'Cape Verde'),
(8157, '41.215.224.0', '41.215.231.255', 702013440, 702015487, 'KE', 'Kenya'),
(8158, '41.215.232.0', '41.215.239.255', 702015488, 702017535, 'ZA', 'South Africa'),
(8159, '41.215.240.0', '41.215.243.255', 702017536, 702018559, 'EG', 'Egypt'),
(8160, '41.215.244.0', '41.215.247.255', 702018560, 702019583, 'NG', 'Nigeria'),
(8161, '41.215.248.0', '41.215.251.255', 702019584, 702020607, 'RW', 'Rwanda'),
(8162, '41.215.252.0', '41.215.255.255', 702020608, 702021631, 'CD', 'Congo, The Democratic Republic of the'),
(8163, '41.216.0.0', '41.216.31.255', 702021632, 702029823, 'ZM', 'Zambia'),
(8164, '41.216.32.0', '41.216.63.255', 702029824, 702038015, 'BJ', 'Benin'),
(8165, '41.216.64.0', '41.216.95.255', 702038016, 702046207, 'ZM', 'Zambia'),
(8166, '41.216.96.0', '41.216.127.255', 702046208, 702054399, 'RW', 'Rwanda'),
(8167, '41.216.128.0', '41.216.143.255', 702054400, 702058495, 'ZA', 'South Africa'),
(8168, '41.216.144.0', '41.216.159.255', 702058496, 702062591, 'BF', 'Burkina Faso'),
(8169, '41.216.160.0', '41.216.175.255', 702062592, 702066687, 'NG', 'Nigeria'),
(8170, '41.216.176.0', '41.216.191.255', 702066688, 702070783, 'CM', 'Cameroon'),
(8171, '41.216.192.0', '41.216.207.255', 702070784, 702074879, 'ZA', 'South Africa'),
(8172, '41.216.208.0', '41.216.215.255', 702074880, 702076927, 'BW', 'Botswana'),
(8173, '41.216.216.0', '41.216.223.255', 702076928, 702078975, 'TZ', 'Tanzania, United Republic of');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(8174, '41.216.224.0', '41.216.227.255', 702078976, 702079999, 'MA', 'Morocco'),
(8175, '41.216.228.0', '41.216.231.255', 702080000, 702081023, 'MW', 'Malawi'),
(8176, '41.216.232.0', '41.216.235.255', 702081024, 702082047, 'NG', 'Nigeria'),
(8177, '41.216.236.0', '41.216.239.255', 702082048, 702083071, 'AO', 'Angola'),
(8178, '41.217.0.0', '41.217.127.255', 702087168, 702119935, 'NG', 'Nigeria'),
(8179, '41.217.128.0', '41.217.159.255', 702119936, 702128127, 'CM', 'Cameroon'),
(8180, '41.217.160.0', '41.217.191.255', 702128128, 702136319, 'EG', 'Egypt'),
(8181, '41.217.192.0', '41.217.195.255', 702136320, 702137343, 'ZA', 'South Africa'),
(8182, '41.217.196.0', '41.217.199.255', 702137344, 702138367, 'MG', 'Madagascar'),
(8183, '41.217.200.0', '41.217.203.255', 702138368, 702139391, 'TZ', 'Tanzania, United Republic of'),
(8184, '41.217.204.0', '41.217.207.255', 702139392, 702140415, 'NG', 'Nigeria'),
(8185, '41.217.208.0', '41.217.211.255', 702140416, 702141439, 'MZ', 'Mozambique'),
(8186, '41.217.212.0', '41.217.215.255', 702141440, 702142463, 'MU', 'Mauritius'),
(8187, '41.217.216.0', '41.217.219.255', 702142464, 702143487, 'MW', 'Malawi'),
(8188, '41.217.220.0', '41.217.223.255', 702143488, 702144511, 'KE', 'Kenya'),
(8189, '41.217.224.0', '41.217.231.255', 702144512, 702146559, 'EG', 'Egypt'),
(8190, '41.217.232.0', '41.217.239.255', 702146560, 702148607, 'UG', 'Uganda'),
(8191, '41.217.240.0', '41.217.247.255', 702148608, 702150655, 'ZA', 'South Africa'),
(8192, '41.217.248.0', '41.217.255.255', 702150656, 702152703, 'ZM', 'Zambia'),
(8193, '41.218.0.0', '41.218.63.255', 702152704, 702169087, 'SD', 'Sudan'),
(8194, '41.218.64.0', '41.218.111.255', 702169088, 702181375, 'NA', 'Namibia'),
(8195, '41.218.112.0', '41.218.127.255', 702181376, 702185471, 'AO', 'Angola'),
(8196, '41.218.128.0', '41.218.191.255', 702185472, 702201855, 'EG', 'Egypt'),
(8197, '41.218.192.0', '41.218.255.255', 702201856, 702218239, 'GH', 'Ghana'),
(8198, '41.219.0.0', '41.219.63.255', 702218240, 702234623, 'SN', 'Senegal'),
(8199, '41.219.64.0', '41.219.127.255', 702234624, 702251007, 'NA', 'Namibia'),
(8200, '41.219.128.0', '41.219.255.255', 702251008, 702283775, 'NG', 'Nigeria'),
(8201, '41.220.0.0', '41.220.15.255', 702283776, 702287871, 'UG', 'Uganda'),
(8202, '41.220.16.0', '41.220.31.255', 702287872, 702291967, 'ZW', 'Zimbabwe'),
(8203, '41.220.32.0', '41.220.47.255', 702291968, 702296063, 'MZ', 'Mozambique'),
(8204, '41.220.48.0', '41.220.63.255', 702296064, 702300159, 'GH', 'Ghana'),
(8205, '41.220.64.0', '41.220.79.255', 702300160, 702304255, 'NG', 'Nigeria'),
(8206, '41.220.80.0', '41.220.95.255', 702304256, 702308351, 'SL', 'Sierra Leone'),
(8207, '41.220.96.0', '41.220.111.255', 702308352, 702312447, 'SC', 'Seychelles'),
(8208, '41.220.112.0', '41.220.127.255', 702312448, 702316543, 'KE', 'Kenya'),
(8209, '41.220.128.0', '41.220.143.255', 702316544, 702320639, 'TZ', 'Tanzania, United Republic of'),
(8210, '41.220.144.0', '41.220.159.255', 702320640, 702324735, 'DZ', 'Algeria'),
(8211, '41.220.160.0', '41.220.175.255', 702324736, 702328831, 'MZ', 'Mozambique'),
(8212, '41.220.176.0', '41.220.191.255', 702328832, 702332927, 'TZ', 'Tanzania, United Republic of'),
(8213, '41.220.192.0', '41.220.207.255', 702332928, 702337023, 'MZ', 'Mozambique'),
(8214, '41.220.208.0', '41.220.223.255', 702337024, 702341119, 'UG', 'Uganda'),
(8215, '41.220.224.0', '41.220.255.255', 702341120, 702349311, 'KE', 'Kenya'),
(8216, '41.221.0.0', '41.221.15.255', 702349312, 702353407, 'ZA', 'South Africa'),
(8217, '41.221.16.0', '41.221.31.255', 702353408, 702357503, 'DZ', 'Algeria'),
(8218, '41.221.32.0', '41.221.63.255', 702357504, 702365695, 'TZ', 'Tanzania, United Republic of'),
(8219, '41.221.64.0', '41.221.79.255', 702365696, 702369791, 'MZ', 'Mozambique'),
(8220, '41.221.80.0', '41.221.95.255', 702369792, 702373887, 'UG', 'Uganda'),
(8221, '41.221.96.0', '41.221.111.255', 702373888, 702377983, 'MW', 'Malawi'),
(8222, '41.221.112.0', '41.221.127.255', 702377984, 702382079, 'NG', 'Nigeria'),
(8223, '41.221.128.0', '41.221.143.255', 702382080, 702386175, 'EG', 'Egypt'),
(8224, '41.221.144.0', '41.221.159.255', 702386176, 702390271, 'ZW', 'Zimbabwe'),
(8225, '41.221.160.0', '41.221.175.255', 702390272, 702394367, 'NG', 'Nigeria'),
(8226, '41.221.176.0', '41.221.191.255', 702394368, 702398463, 'ML', 'Mali'),
(8227, '41.221.192.0', '41.221.207.255', 702398464, 702402559, 'CV', 'Cape Verde'),
(8228, '41.221.208.0', '41.221.239.255', 702402560, 702410751, 'ZA', 'South Africa'),
(8229, '41.221.240.0', '41.221.255.255', 702410752, 702414847, 'AO', 'Angola'),
(8230, '41.222.0.0', '41.222.7.255', 702414848, 702416895, 'UG', 'Uganda'),
(8231, '41.222.8.0', '41.222.15.255', 702416896, 702418943, 'KE', 'Kenya'),
(8232, '41.222.16.0', '41.222.23.255', 702418944, 702420991, 'ZM', 'Zambia'),
(8233, '41.222.24.0', '41.222.31.255', 702420992, 702423039, 'TZ', 'Tanzania, United Republic of'),
(8234, '41.222.32.0', '41.222.39.255', 702423040, 702425087, 'ZA', 'South Africa'),
(8235, '41.222.40.0', '41.222.47.255', 702425088, 702427135, 'NG', 'Nigeria'),
(8236, '41.222.48.0', '41.222.55.255', 702427136, 702429183, 'ZA', 'South Africa'),
(8237, '41.222.56.0', '41.222.63.255', 702429184, 702431231, 'TZ', 'Tanzania, United Republic of'),
(8238, '41.222.64.0', '41.222.79.255', 702431232, 702435327, 'NG', 'Nigeria'),
(8239, '41.222.80.0', '41.222.87.255', 702435328, 702437375, 'MZ', 'Mozambique'),
(8240, '41.222.88.0', '41.222.95.255', 702437376, 702439423, 'TZ', 'Tanzania, United Republic of'),
(8241, '41.222.96.0', '41.222.103.255', 702439424, 702441471, 'MU', 'Mauritius'),
(8242, '41.222.104.0', '41.222.104.255', 702441472, 702441727, 'ZA', 'South Africa'),
(8243, '41.222.105.0', '41.222.105.255', 702441728, 702441983, 'GB', 'United Kingdom'),
(8244, '41.222.106.0', '41.222.107.255', 702441984, 702442495, 'ZA', 'South Africa'),
(8245, '41.222.108.0', '41.222.108.255', 702442496, 702442751, 'GB', 'United Kingdom'),
(8246, '41.222.109.0', '41.222.111.255', 702442752, 702443519, 'ZA', 'South Africa'),
(8247, '41.222.112.0', '41.222.119.255', 702443520, 702445567, 'GQ', 'Equatorial Guinea'),
(8248, '41.222.128.0', '41.222.135.255', 702447616, 702449663, 'EG', 'Egypt'),
(8249, '41.222.136.0', '41.222.143.255', 702449664, 702451711, 'ZA', 'South Africa'),
(8250, '41.222.144.0', '41.222.151.255', 702451712, 702453759, 'NG', 'Nigeria'),
(8251, '41.222.152.0', '41.222.159.255', 702453760, 702455807, 'TZ', 'Tanzania, United Republic of'),
(8252, '41.222.160.0', '41.222.167.255', 702455808, 702457855, 'KE', 'Kenya'),
(8253, '41.222.168.0', '41.222.175.255', 702457856, 702459903, 'EG', 'Egypt'),
(8254, '41.222.176.0', '41.222.183.255', 702459904, 702461951, 'TZ', 'Tanzania, United Republic of'),
(8255, '41.222.184.0', '41.222.191.255', 702461952, 702463999, 'MW', 'Malawi'),
(8256, '41.222.192.0', '41.222.195.255', 702464000, 702465023, 'BJ', 'Benin'),
(8257, '41.222.196.0', '41.222.199.255', 702465024, 702466047, 'CD', 'Congo, The Democratic Republic of the'),
(8258, '41.222.204.0', '41.222.207.255', 702467072, 702468095, 'SC', 'Seychelles'),
(8259, '41.222.208.0', '41.222.211.255', 702468096, 702469119, 'NG', 'Nigeria'),
(8260, '41.222.212.0', '41.222.215.255', 702469120, 702470143, 'ZA', 'South Africa'),
(8261, '41.222.216.0', '41.222.219.255', 702470144, 702471167, 'CD', 'Congo, The Democratic Republic of the'),
(8262, '41.222.220.0', '41.222.231.255', 702471168, 702474239, 'ZA', 'South Africa'),
(8263, '41.222.232.0', '41.222.235.255', 702474240, 702475263, 'GH', 'Ghana'),
(8264, '41.222.236.0', '41.222.239.255', 702475264, 702476287, 'AO', 'Angola'),
(8265, '41.222.240.0', '41.222.243.255', 702476288, 702477311, 'ZM', 'Zambia'),
(8266, '41.222.244.0', '41.222.247.255', 702477312, 702478335, 'RW', 'Rwanda'),
(8267, '41.222.248.0', '41.223.3.255', 702478336, 702481407, 'AO', 'Angola'),
(8268, '41.223.4.0', '41.223.7.255', 702481408, 702482431, 'TZ', 'Tanzania, United Republic of'),
(8269, '41.223.8.0', '41.223.11.255', 702482432, 702483455, 'ZA', 'South Africa'),
(8270, '41.223.16.0', '41.223.19.255', 702484480, 702485503, 'TZ', 'Tanzania, United Republic of'),
(8271, '41.223.20.0', '41.223.23.255', 702485504, 702486527, 'EG', 'Egypt'),
(8272, '41.223.28.0', '41.223.31.255', 702487552, 702488575, 'CM', 'Cameroon'),
(8273, '41.223.32.0', '41.223.39.255', 702488576, 702490623, 'ZA', 'South Africa'),
(8274, '41.223.40.0', '41.223.43.255', 702490624, 702491647, 'AO', 'Angola'),
(8275, '41.223.52.0', '41.223.55.255', 702493696, 702494719, 'EG', 'Egypt'),
(8276, '41.223.56.0', '41.223.59.255', 702494720, 702495743, 'KE', 'Kenya'),
(8277, '41.223.60.0', '41.223.63.255', 702495744, 702496767, 'ZA', 'South Africa'),
(8278, '41.223.64.0', '41.223.67.255', 702496768, 702497791, 'NG', 'Nigeria'),
(8279, '41.223.68.0', '41.223.71.255', 702497792, 702498815, 'ZA', 'South Africa'),
(8280, '41.223.72.0', '41.223.75.255', 702498816, 702499839, 'BW', 'Botswana'),
(8281, '41.223.76.0', '41.223.79.255', 702499840, 702500863, 'MU', 'Mauritius'),
(8282, '41.223.80.0', '41.223.83.255', 702500864, 702501887, 'NA', 'Namibia'),
(8283, '41.223.84.0', '41.223.87.255', 702501888, 702502911, 'UG', 'Uganda'),
(8284, '41.223.88.0', '41.223.91.255', 702502912, 702503935, 'SL', 'Sierra Leone'),
(8285, '41.223.100.0', '41.223.103.255', 702505984, 702507007, 'AO', 'Angola'),
(8286, '41.223.104.0', '41.223.107.255', 702507008, 702508031, 'CD', 'Congo, The Democratic Republic of the'),
(8287, '41.223.108.0', '41.223.111.255', 702508032, 702509055, 'KE', 'Kenya'),
(8288, '41.223.116.0', '41.223.119.255', 702510080, 702511103, 'ZM', 'Zambia'),
(8289, '41.223.120.0', '41.223.123.255', 702511104, 702512127, 'ZA', 'South Africa'),
(8290, '41.223.124.0', '41.223.127.255', 702512128, 702513151, 'MZ', 'Mozambique'),
(8291, '41.223.128.0', '41.223.131.255', 702513152, 702514175, 'NG', 'Nigeria'),
(8292, '41.223.132.0', '41.223.135.255', 702514176, 702515199, 'SL', 'Sierra Leone'),
(8293, '41.223.136.0', '41.223.139.255', 702515200, 702516223, 'NG', 'Nigeria'),
(8294, '41.223.140.0', '41.223.143.255', 702516224, 702517247, 'BW', 'Botswana'),
(8295, '41.223.144.0', '41.223.147.255', 702517248, 702518271, 'NG', 'Nigeria'),
(8296, '41.223.148.0', '41.223.151.255', 702518272, 702519295, 'KE', 'Kenya'),
(8297, '41.223.152.0', '41.223.155.255', 702519296, 702520319, 'MZ', 'Mozambique'),
(8298, '41.223.156.0', '41.223.159.255', 702520320, 702521343, 'AO', 'Angola'),
(8299, '41.223.160.0', '41.223.163.255', 702521344, 702522367, 'SD', 'Sudan'),
(8300, '41.223.164.0', '41.223.167.255', 702522368, 702523391, 'AO', 'Angola'),
(8301, '41.223.168.0', '41.223.171.255', 702523392, 702524415, 'NG', 'Nigeria'),
(8302, '41.223.172.0', '41.223.175.255', 702524416, 702525439, 'ZA', 'South Africa'),
(8303, '41.223.176.0', '41.223.179.255', 702525440, 702526463, 'DZ', 'Algeria'),
(8304, '41.223.180.0', '41.223.183.255', 702526464, 702527487, 'TZ', 'Tanzania, United Republic of'),
(8305, '41.223.184.0', '41.223.187.255', 702527488, 702528511, 'CF', 'Central African Republic'),
(8306, '41.223.188.0', '41.223.191.255', 702528512, 702529535, 'CG', 'Congo'),
(8307, '41.223.196.0', '41.223.199.255', 702530560, 702531583, 'EG', 'Egypt'),
(8308, '41.223.200.0', '41.223.203.255', 702531584, 702532607, 'SD', 'Sudan'),
(8309, '41.223.204.0', '41.223.207.255', 702532608, 702533631, 'SC', 'Seychelles'),
(8310, '41.223.208.0', '41.223.211.255', 702533632, 702534655, 'CI', 'Cote D''Ivoire'),
(8311, '41.223.212.0', '41.223.215.255', 702534656, 702535679, 'GM', 'Gambia'),
(8312, '41.223.216.0', '41.223.219.255', 702535680, 702536703, 'SC', 'Seychelles'),
(8313, '41.223.220.0', '41.223.223.255', 702536704, 702537727, 'MU', 'Mauritius'),
(8314, '41.223.224.0', '41.223.227.255', 702537728, 702538751, 'RW', 'Rwanda'),
(8315, '41.223.228.0', '41.223.231.255', 702538752, 702539775, 'TZ', 'Tanzania, United Republic of'),
(8316, '41.223.232.0', '41.223.235.255', 702539776, 702540799, 'BF', 'Burkina Faso'),
(8317, '41.223.240.0', '41.223.243.255', 702541824, 702542847, 'EG', 'Egypt'),
(8318, '41.223.244.0', '41.223.247.255', 702542848, 702543871, 'ZA', 'South Africa'),
(8319, '41.223.248.0', '41.223.251.255', 702543872, 702544895, 'BJ', 'Benin'),
(8320, '41.223.252.0', '41.223.255.255', 702544896, 702545919, 'ZA', 'South Africa'),
(8321, '41.224.0.0', '41.231.255.255', 702545920, 703070207, 'TN', 'Tunisia'),
(8322, '41.232.0.0', '41.239.255.255', 703070208, 703594495, 'EG', 'Egypt'),
(8323, '41.240.0.0', '41.247.255.255', 703594496, 704118783, 'ZA', 'South Africa'),
(8324, '41.248.0.0', '41.251.255.255', 704118784, 704380927, 'MA', 'Morocco'),
(8325, '41.252.0.0', '41.255.255.255', 704380928, 704643071, 'LY', 'Libyan Arab Jamahiriya'),
(8326, '42.0.0.0', '42.0.3.255', 704643072, 704644095, 'CN', 'China'),
(8327, '42.0.4.0', '42.0.7.255', 704644096, 704645119, 'BD', 'Bangladesh'),
(8328, '42.0.8.0', '42.0.27.255', 704645120, 704650239, 'CN', 'China'),
(8329, '42.0.28.0', '42.0.31.255', 704650240, 704651263, 'MY', 'Malaysia'),
(8330, '42.0.32.0', '42.0.63.255', 704651264, 704659455, 'CN', 'China'),
(8331, '42.0.64.0', '42.0.127.255', 704659456, 704675839, 'TW', 'Taiwan'),
(8332, '42.0.128.0', '42.1.59.255', 704675840, 704723967, 'CN', 'China'),
(8333, '42.1.60.0', '42.1.63.255', 704723968, 704724991, 'MY', 'Malaysia'),
(8334, '42.1.64.0', '42.1.127.255', 704724992, 704741375, 'VN', 'Vietnam'),
(8335, '42.1.128.0', '42.1.255.255', 704741376, 704774143, 'CN', 'China'),
(8336, '42.2.0.0', '42.3.255.255', 704774144, 704905215, 'HK', 'Hong Kong'),
(8337, '42.4.0.0', '42.7.255.255', 704905216, 705167359, 'CN', 'China'),
(8338, '42.8.0.0', '42.47.255.255', 705167360, 707788799, 'KR', 'Korea, Republic of'),
(8339, '42.48.0.0', '42.59.255.255', 707788800, 708575231, 'CN', 'China'),
(8340, '42.60.0.0', '42.61.255.255', 708575232, 708706303, 'SG', 'Singapore'),
(8341, '42.62.0.0', '42.62.175.255', 708706304, 708751359, 'CN', 'China'),
(8342, '42.62.176.0', '42.62.179.255', 708751360, 708752383, 'ID', 'Indonesia'),
(8343, '42.62.180.0', '42.62.191.255', 708752384, 708755455, 'CN', 'China'),
(8344, '42.62.192.0', '42.62.255.255', 708755456, 708771839, 'AU', 'Australia'),
(8345, '42.63.0.0', '42.63.255.255', 708771840, 708837375, 'CN', 'China'),
(8346, '42.64.0.0', '42.79.255.255', 708837376, 709885951, 'TW', 'Taiwan'),
(8347, '42.80.0.0', '42.81.255.255', 709885952, 710017023, 'CN', 'China'),
(8348, '42.82.0.0', '42.82.255.255', 710017024, 710082559, 'KR', 'Korea, Republic of'),
(8349, '42.83.0.0', '42.83.63.255', 710082560, 710098943, 'JP', 'Japan'),
(8350, '42.83.64.0', '42.83.83.255', 710098944, 710104063, 'CN', 'China'),
(8351, '42.83.84.0', '42.83.87.255', 710104064, 710105087, 'PK', 'Pakistan'),
(8352, '42.83.88.0', '42.95.255.255', 710105088, 710934527, 'CN', 'China'),
(8353, '42.96.0.0', '42.96.63.255', 710934528, 710950911, 'VN', 'Vietnam'),
(8354, '42.96.64.0', '42.96.103.255', 710950912, 710961151, 'CN', 'China'),
(8355, '42.96.104.0', '42.96.107.255', 710961152, 710962175, 'TH', 'Thailand'),
(8356, '42.96.108.0', '42.97.255.255', 710962176, 711065599, 'CN', 'China'),
(8357, '42.98.0.0', '42.98.255.255', 711065600, 711131135, 'HK', 'Hong Kong'),
(8358, '42.99.0.0', '42.99.115.255', 711131136, 711160831, 'CN', 'China'),
(8359, '42.99.116.0', '42.99.119.255', 711160832, 711161855, 'BD', 'Bangladesh'),
(8360, '42.99.120.0', '42.99.127.255', 711161856, 711163903, 'CN', 'China'),
(8361, '42.99.128.0', '42.99.255.255', 711163904, 711196671, 'JP', 'Japan'),
(8362, '42.100.0.0', '42.103.255.255', 711196672, 711458815, 'CN', 'China'),
(8363, '42.104.0.0', '42.111.255.255', 711458816, 711983103, 'IN', 'India'),
(8364, '42.112.0.0', '42.119.255.255', 711983104, 712507391, 'VN', 'Vietnam'),
(8365, '42.120.0.0', '42.123.31.255', 712507392, 712712191, 'CN', 'China'),
(8366, '42.123.32.0', '42.123.35.255', 712712192, 712713215, 'JP', 'Japan'),
(8367, '42.123.36.0', '42.123.255.255', 712713216, 712769535, 'CN', 'China'),
(8368, '42.124.0.0', '42.127.255.255', 712769536, 713031679, 'JP', 'Japan'),
(8369, '42.128.0.0', '42.143.255.255', 713031680, 714080255, 'CN', 'China'),
(8370, '42.144.0.0', '42.151.255.255', 714080256, 714604543, 'JP', 'Japan'),
(8371, '42.152.0.0', '42.155.255.255', 714604544, 714866687, 'MY', 'Malaysia'),
(8372, '42.156.0.0', '42.156.31.255', 714866688, 714874879, 'CN', 'China'),
(8373, '42.156.32.0', '42.156.35.255', 714874880, 714875903, 'MY', 'Malaysia'),
(8374, '42.156.36.0', '42.187.123.255', 714875904, 716930047, 'CN', 'China'),
(8375, '42.187.124.0', '42.187.127.255', 716930048, 716931071, 'JP', 'Japan'),
(8376, '42.187.128.0', '42.187.255.255', 716931072, 716963839, 'CN', 'China'),
(8377, '42.188.0.0', '42.191.255.255', 716963840, 717225983, 'MY', 'Malaysia'),
(8378, '42.192.0.0', '42.199.255.255', 717225984, 717750271, 'CN', 'China'),
(8379, '42.200.0.0', '42.200.255.255', 717750272, 717815807, 'HK', 'Hong Kong'),
(8380, '42.201.0.0', '42.201.127.255', 717815808, 717848575, 'CN', 'China'),
(8381, '42.201.128.0', '42.201.255.255', 717848576, 717881343, 'PK', 'Pakistan'),
(8382, '42.202.0.0', '42.240.255.255', 717881344, 720437247, 'CN', 'China'),
(8383, '42.241.0.0', '42.241.255.255', 720437248, 720502783, 'AU', 'Australia'),
(8384, '42.242.0.0', '42.255.255.255', 720502784, 721420287, 'CN', 'China'),
(8385, '43.0.0.0', '43.255.255.255', 721420288, 738197503, 'JP', 'Japan'),
(8386, '44.0.0.0', '44.129.255.255', 738197504, 746717183, 'US', 'United States'),
(8387, '44.130.0.0', '44.130.255.255', 746717184, 746782719, 'DE', 'Germany'),
(8388, '44.131.0.0', '45.1.255.255', 746782720, 755105791, 'US', 'United States'),
(8389, '46.0.0.0', '46.0.255.255', 771751936, 771817471, 'RU', 'Russian Federation'),
(8390, '46.1.0.0', '46.2.255.255', 771817472, 771948543, 'TR', 'Turkey'),
(8391, '46.3.0.0', '46.3.255.255', 771948544, 772014079, 'RU', 'Russian Federation'),
(8392, '46.4.0.0', '46.4.142.143', 772014080, 772050575, 'DE', 'Germany'),
(8393, '46.4.142.144', '46.4.142.151', 772050576, 772050583, 'TR', 'Turkey'),
(8394, '46.4.142.152', '46.4.159.31', 772050584, 772054815, 'DE', 'Germany'),
(8395, '46.4.159.32', '46.4.159.63', 772054816, 772054847, 'ES', 'Spain'),
(8396, '46.4.159.64', '46.4.170.127', 772054848, 772057727, 'DE', 'Germany'),
(8397, '46.4.170.128', '46.4.170.135', 772057728, 772057735, 'IT', 'Italy'),
(8398, '46.4.170.136', '46.4.232.127', 772057736, 772073599, 'DE', 'Germany'),
(8399, '46.4.232.128', '46.4.232.135', 772073600, 772073607, 'IT', 'Italy'),
(8400, '46.4.232.136', '46.4.242.95', 772073608, 772076127, 'DE', 'Germany'),
(8401, '46.4.242.96', '46.4.242.127', 772076128, 772076159, 'EG', 'Egypt'),
(8402, '46.4.242.128', '46.5.255.255', 772076160, 772145151, 'DE', 'Germany'),
(8403, '46.6.0.0', '46.6.255.255', 772145152, 772210687, 'ES', 'Spain'),
(8404, '46.7.0.0', '46.7.255.255', 772210688, 772276223, 'IE', 'Ireland'),
(8405, '46.8.0.0', '46.8.255.255', 772276224, 772341759, 'RU', 'Russian Federation'),
(8406, '46.9.0.0', '46.9.255.255', 772341760, 772407295, 'NO', 'Norway'),
(8407, '46.10.0.0', '46.10.255.255', 772407296, 772472831, 'BG', 'Bulgaria'),
(8408, '46.11.0.0', '46.11.255.255', 772472832, 772538367, 'MT', 'Malta'),
(8409, '46.12.0.0', '46.12.255.255', 772538368, 772603903, 'GR', 'Greece'),
(8410, '46.13.0.0', '46.13.255.255', 772603904, 772669439, 'CZ', 'Czech Republic'),
(8411, '46.14.0.0', '46.14.255.255', 772669440, 772734975, 'CH', 'Switzerland'),
(8412, '46.15.0.0', '46.15.255.255', 772734976, 772800511, 'NO', 'Norway'),
(8413, '46.16.0.0', '46.16.7.255', 772800512, 772802559, 'GB', 'United Kingdom'),
(8414, '46.16.8.0', '46.16.15.255', 772802560, 772804607, 'RU', 'Russian Federation'),
(8415, '46.16.16.0', '46.16.22.63', 772804608, 772806207, 'BZ', 'Belize'),
(8416, '46.16.22.64', '46.16.22.127', 772806208, 772806271, 'NI', 'Nicaragua'),
(8417, '46.16.22.128', '46.16.23.63', 772806272, 772806463, 'BZ', 'Belize'),
(8418, '46.16.23.64', '46.16.23.127', 772806464, 772806527, 'NI', 'Nicaragua'),
(8419, '46.16.23.128', '46.16.23.255', 772806528, 772806655, 'BZ', 'Belize'),
(8420, '46.16.24.0', '46.16.31.255', 772806656, 772808703, 'RU', 'Russian Federation'),
(8421, '46.16.32.0', '46.16.39.255', 772808704, 772810751, 'GB', 'United Kingdom'),
(8422, '46.16.40.0', '46.16.47.255', 772810752, 772812799, 'FR', 'France'),
(8423, '46.16.48.0', '46.16.55.255', 772812800, 772814847, 'NO', 'Norway'),
(8424, '46.16.56.0', '46.16.63.255', 772814848, 772816895, 'ES', 'Spain'),
(8425, '46.16.64.0', '46.16.71.255', 772816896, 772818943, 'RU', 'Russian Federation'),
(8426, '46.16.72.0', '46.16.79.255', 772818944, 772820991, 'DE', 'Germany'),
(8427, '46.16.80.0', '46.16.87.255', 772820992, 772823039, 'GB', 'United Kingdom'),
(8428, '46.16.88.0', '46.16.95.255', 772823040, 772825087, 'IT', 'Italy'),
(8429, '46.16.96.0', '46.16.103.255', 772825088, 772827135, 'RU', 'Russian Federation'),
(8430, '46.16.104.0', '46.16.111.255', 772827136, 772829183, 'RS', 'Serbia'),
(8431, '46.16.112.0', '46.16.119.255', 772829184, 772831231, 'EE', 'Estonia'),
(8432, '46.16.120.0', '46.16.127.255', 772831232, 772833279, 'CZ', 'Czech Republic'),
(8433, '46.16.128.0', '46.16.135.255', 772833280, 772835327, 'RU', 'Russian Federation'),
(8434, '46.16.136.0', '46.16.143.255', 772835328, 772837375, 'CY', 'Cyprus'),
(8435, '46.16.144.0', '46.16.151.255', 772837376, 772839423, 'KZ', 'Kazakhstan'),
(8436, '46.16.152.0', '46.16.159.255', 772839424, 772841471, 'CH', 'Switzerland'),
(8437, '46.16.160.0', '46.16.167.255', 772841472, 772843519, 'GB', 'United Kingdom'),
(8438, '46.16.168.0', '46.16.172.255', 772843520, 772844799, 'IT', 'Italy'),
(8439, '46.16.173.0', '46.16.174.255', 772844800, 772845311, 'US', 'United States'),
(8440, '46.16.175.0', '46.16.175.255', 772845312, 772845567, 'IT', 'Italy'),
(8441, '46.16.176.0', '46.16.183.255', 772845568, 772847615, 'RU', 'Russian Federation'),
(8442, '46.16.184.0', '46.16.186.0', 772847616, 772848128, 'GB', 'United Kingdom'),
(8443, '46.16.186.1', '46.16.186.63', 772848129, 772848191, 'JO', 'Jordan'),
(8444, '46.16.186.64', '46.16.191.255', 772848192, 772849663, 'GB', 'United Kingdom'),
(8445, '46.16.192.0', '46.16.199.255', 772849664, 772851711, 'BG', 'Bulgaria'),
(8446, '46.16.200.0', '46.16.207.255', 772851712, 772853759, 'CH', 'Switzerland'),
(8447, '46.16.208.0', '46.16.215.255', 772853760, 772855807, 'GB', 'United Kingdom'),
(8448, '46.16.216.0', '46.16.223.255', 772855808, 772857855, 'DE', 'Germany'),
(8449, '46.16.224.0', '46.16.231.255', 772857856, 772859903, 'RU', 'Russian Federation'),
(8450, '46.16.232.0', '46.16.239.255', 772859904, 772861951, 'SE', 'Sweden'),
(8451, '46.16.240.0', '46.16.247.255', 772861952, 772863999, 'UA', 'Ukraine'),
(8452, '46.16.248.0', '46.17.15.255', 772864000, 772870143, 'NL', 'Netherlands'),
(8453, '46.17.16.0', '46.17.23.255', 772870144, 772872191, 'NO', 'Norway'),
(8454, '46.17.24.0', '46.17.31.255', 772872192, 772874239, 'NL', 'Netherlands'),
(8455, '46.17.32.0', '46.17.39.255', 772874240, 772876287, 'IE', 'Ireland'),
(8456, '46.17.40.0', '46.17.55.255', 772876288, 772880383, 'RU', 'Russian Federation'),
(8457, '46.17.56.0', '46.17.63.255', 772880384, 772882431, 'GB', 'United Kingdom'),
(8458, '46.17.64.0', '46.17.71.255', 772882432, 772884479, 'FR', 'France'),
(8459, '46.17.72.0', '46.17.72.63', 772884480, 772884543, 'GB', 'United Kingdom'),
(8460, '46.17.72.64', '46.17.72.255', 772884544, 772884735, 'LB', 'Lebanon'),
(8461, '46.17.73.0', '46.17.73.63', 772884736, 772884799, 'GB', 'United Kingdom'),
(8462, '46.17.73.64', '46.17.75.255', 772884800, 772885503, 'LB', 'Lebanon'),
(8463, '46.17.76.0', '46.17.76.63', 772885504, 772885567, 'GB', 'United Kingdom'),
(8464, '46.17.76.64', '46.17.76.255', 772885568, 772885759, 'LB', 'Lebanon'),
(8465, '46.17.77.0', '46.17.77.63', 772885760, 772885823, 'GB', 'United Kingdom'),
(8466, '46.17.77.64', '46.17.79.255', 772885824, 772886527, 'LB', 'Lebanon'),
(8467, '46.17.80.0', '46.17.87.255', 772886528, 772888575, 'FR', 'France'),
(8468, '46.17.88.0', '46.17.95.255', 772888576, 772890623, 'GB', 'United Kingdom'),
(8469, '46.17.96.0', '46.17.103.255', 772890624, 772892671, 'RU', 'Russian Federation'),
(8470, '46.17.104.0', '46.17.104.255', 772892672, 772892927, 'DE', 'Germany'),
(8471, '46.17.105.0', '46.17.105.31', 772892928, 772892959, 'GB', 'United Kingdom'),
(8472, '46.17.112.0', '46.17.119.255', 772894720, 772896767, 'PL', 'Poland'),
(8473, '46.17.120.0', '46.17.127.255', 772896768, 772898815, 'RS', 'Serbia'),
(8474, '46.17.128.0', '46.17.135.255', 772898816, 772900863, 'TR', 'Turkey'),
(8475, '46.17.136.0', '46.17.143.255', 772900864, 772902911, 'ES', 'Spain'),
(8476, '46.17.144.0', '46.17.151.255', 772902912, 772904959, 'RS', 'Serbia'),
(8477, '46.17.152.0', '46.17.159.255', 772904960, 772907007, 'IT', 'Italy'),
(8478, '46.17.160.0', '46.17.167.255', 772907008, 772909055, 'GB', 'United Kingdom'),
(8479, '46.17.168.0', '46.17.175.255', 772909056, 772911103, 'LU', 'Luxembourg'),
(8480, '46.17.176.0', '46.17.183.255', 772911104, 772913151, 'GB', 'United Kingdom'),
(8481, '46.17.184.0', '46.17.191.255', 772913152, 772915199, 'SE', 'Sweden'),
(8482, '46.17.192.0', '46.17.199.255', 772915200, 772917247, 'FI', 'Finland'),
(8483, '46.17.200.0', '46.17.207.255', 772917248, 772919295, 'RU', 'Russian Federation'),
(8484, '46.17.208.0', '46.17.223.255', 772919296, 772923391, 'GB', 'United Kingdom'),
(8485, '46.17.224.0', '46.17.231.255', 772923392, 772925439, 'AT', 'Austria'),
(8486, '46.17.232.0', '46.17.232.255', 772925440, 772925695, 'GB', 'United Kingdom'),
(8487, '46.17.233.0', '46.17.236.255', 772925696, 772926719, 'ZW', 'Zimbabwe'),
(8488, '46.17.237.0', '46.17.239.255', 772926720, 772927487, 'GB', 'United Kingdom'),
(8489, '46.17.240.0', '46.17.247.255', 772927488, 772929535, 'UA', 'Ukraine'),
(8490, '46.17.248.0', '46.17.255.255', 772929536, 772931583, 'RU', 'Russian Federation'),
(8491, '46.18.0.0', '46.18.7.255', 772931584, 772933631, 'UA', 'Ukraine'),
(8492, '46.18.8.0', '46.18.9.32', 772933632, 772933920, 'GB', 'United Kingdom'),
(8493, '46.18.9.33', '46.18.9.40', 772933921, 772933928, 'IE', 'Ireland'),
(8494, '46.18.9.41', '46.18.15.255', 772933929, 772935679, 'GB', 'United Kingdom'),
(8495, '46.18.16.0', '46.18.23.255', 772935680, 772937727, 'PS', 'Palestinian Territory, Occupied'),
(8496, '46.18.24.0', '46.18.31.255', 772937728, 772939775, 'IT', 'Italy'),
(8497, '46.18.32.0', '46.18.39.255', 772939776, 772941823, 'BE', 'Belgium'),
(8498, '46.18.40.0', '46.18.47.255', 772941824, 772943871, 'ES', 'Spain'),
(8499, '46.18.48.0', '46.18.55.255', 772943872, 772945919, 'GB', 'United Kingdom'),
(8500, '46.18.56.0', '46.18.63.255', 772945920, 772947967, 'DE', 'Germany'),
(8501, '46.18.64.0', '46.18.71.255', 772947968, 772950015, 'AZ', 'Azerbaijan'),
(8502, '46.18.72.0', '46.18.79.255', 772950016, 772952063, 'ES', 'Spain'),
(8503, '46.18.80.0', '46.18.87.255', 772952064, 772954111, 'GB', 'United Kingdom'),
(8504, '46.18.88.0', '46.18.103.255', 772954112, 772958207, 'FR', 'France'),
(8505, '46.18.104.0', '46.18.119.255', 772958208, 772962303, 'GB', 'United Kingdom'),
(8506, '46.18.120.0', '46.18.135.255', 772962304, 772966399, 'FR', 'France'),
(8507, '46.18.136.0', '46.18.143.255', 772966400, 772968447, 'IT', 'Italy'),
(8508, '46.18.144.0', '46.18.151.255', 772968448, 772970495, 'SK', 'Slovakia'),
(8509, '46.18.152.0', '46.18.159.255', 772970496, 772972543, 'GB', 'United Kingdom'),
(8510, '46.18.160.0', '46.18.167.255', 772972544, 772974591, 'SA', 'Saudi Arabia'),
(8511, '46.18.168.0', '46.18.183.255', 772974592, 772978687, 'GB', 'United Kingdom'),
(8512, '46.18.184.0', '46.18.191.255', 772978688, 772980735, 'DE', 'Germany'),
(8513, '46.18.192.0', '46.18.197.255', 772980736, 772982271, 'FR', 'France'),
(8514, '46.18.198.0', '46.18.198.7', 772982272, 772982279, 'US', 'United States'),
(8515, '46.18.198.8', '46.18.199.255', 772982280, 772982783, 'FR', 'France'),
(8516, '46.18.200.0', '46.18.207.255', 772982784, 772984831, 'RU', 'Russian Federation'),
(8517, '46.18.208.0', '46.18.215.255', 772984832, 772986879, 'FR', 'France'),
(8518, '46.18.216.0', '46.18.223.255', 772986880, 772988927, 'GB', 'United Kingdom'),
(8519, '46.18.224.0', '46.18.231.255', 772988928, 772990975, 'FR', 'France'),
(8520, '46.18.232.0', '46.18.239.255', 772990976, 772993023, 'IT', 'Italy'),
(8521, '46.18.240.0', '46.18.245.255', 772993024, 772994559, 'DE', 'Germany'),
(8522, '46.18.246.0', '46.18.246.255', 772994560, 772994815, 'NL', 'Netherlands'),
(8523, '46.18.247.0', '46.18.247.127', 772994816, 772994943, 'US', 'United States'),
(8524, '46.18.247.128', '46.18.247.255', 772994944, 772995071, 'DE', 'Germany'),
(8525, '46.18.248.0', '46.18.255.255', 772995072, 772997119, 'IR', 'Iran, Islamic Republic of'),
(8526, '46.19.0.0', '46.19.7.255', 772997120, 772999167, 'BE', 'Belgium'),
(8527, '46.19.8.0', '46.19.15.255', 772999168, 773001215, 'SI', 'Slovenia'),
(8528, '46.19.16.0', '46.19.23.255', 773001216, 773003263, 'NO', 'Norway'),
(8529, '46.19.24.0', '46.19.31.255', 773003264, 773005311, 'FR', 'France'),
(8530, '46.19.32.0', '46.19.39.255', 773005312, 773007359, 'NL', 'Netherlands'),
(8531, '46.19.40.0', '46.19.47.255', 773007360, 773009407, 'KZ', 'Kazakhstan'),
(8532, '46.19.48.0', '46.19.55.255', 773009408, 773011455, 'IT', 'Italy'),
(8533, '46.19.56.0', '46.19.63.255', 773011456, 773013503, 'DE', 'Germany'),
(8534, '46.19.64.0', '46.19.71.255', 773013504, 773015551, 'RU', 'Russian Federation'),
(8535, '46.19.72.0', '46.19.79.255', 773015552, 773017599, 'AE', 'United Arab Emirates'),
(8536, '46.19.80.0', '46.19.87.255', 773017600, 773019647, 'IL', 'Israel'),
(8537, '46.19.88.0', '46.19.95.255', 773019648, 773021695, 'DE', 'Germany'),
(8538, '46.19.96.0', '46.19.103.255', 773021696, 773023743, 'AM', 'Armenia'),
(8539, '46.19.104.0', '46.19.111.255', 773023744, 773025791, 'RO', 'Romania'),
(8540, '46.19.112.0', '46.19.119.255', 773025792, 773027839, 'RU', 'Russian Federation'),
(8541, '46.19.120.0', '46.19.135.255', 773027840, 773031935, 'FR', 'France'),
(8542, '46.19.136.0', '46.19.136.255', 773031936, 773032191, 'CH', 'Switzerland'),
(8543, '46.19.137.0', '46.19.137.255', 773032192, 773032447, 'A1', 'Anonymous Proxy'),
(8544, '46.19.138.0', '46.19.142.255', 773032448, 773033727, 'CH', 'Switzerland'),
(8545, '46.19.143.0', '46.19.143.255', 773033728, 773033983, 'A1', 'Anonymous Proxy'),
(8546, '46.19.144.0', '46.19.151.255', 773033984, 773036031, 'LV', 'Latvia'),
(8547, '46.19.152.0', '46.19.159.255', 773036032, 773038079, 'DE', 'Germany'),
(8548, '46.19.160.0', '46.19.167.255', 773038080, 773040127, 'GB', 'United Kingdom'),
(8549, '46.19.168.0', '46.19.175.255', 773040128, 773042175, 'NL', 'Netherlands'),
(8550, '46.19.176.0', '46.19.183.255', 773042176, 773044223, 'FR', 'France'),
(8551, '46.19.184.0', '46.19.191.255', 773044224, 773046271, 'RU', 'Russian Federation'),
(8552, '46.19.192.0', '46.19.199.255', 773046272, 773048319, 'LB', 'Lebanon'),
(8553, '46.19.200.0', '46.19.207.255', 773048320, 773050367, 'LV', 'Latvia'),
(8554, '46.19.208.0', '46.19.215.255', 773050368, 773052415, 'IE', 'Ireland'),
(8555, '46.19.216.0', '46.19.223.255', 773052416, 773054463, 'NL', 'Netherlands'),
(8556, '46.19.224.0', '46.19.224.191', 773054464, 773054655, 'AL', 'Albania'),
(8557, '46.19.224.192', '46.19.224.255', 773054656, 773054719, 'RS', 'Serbia'),
(8558, '46.19.225.0', '46.19.227.255', 773054720, 773055487, 'AL', 'Albania'),
(8559, '46.19.228.0', '46.19.230.255', 773055488, 773056255, 'RS', 'Serbia'),
(8560, '46.19.231.0', '46.19.231.255', 773056256, 773056511, 'AL', 'Albania'),
(8561, '46.19.232.0', '46.19.239.255', 773056512, 773058559, 'IT', 'Italy'),
(8562, '46.19.240.0', '46.19.247.255', 773058560, 773060607, 'BE', 'Belgium'),
(8563, '46.19.248.0', '46.19.255.255', 773060608, 773062655, 'DK', 'Denmark'),
(8564, '46.20.0.0', '46.20.1.0', 773062656, 773062912, 'TR', 'Turkey'),
(8565, '46.20.1.1', '46.20.1.255', 773062913, 773063167, 'GB', 'United Kingdom'),
(8566, '46.20.2.0', '46.20.3.0', 773063168, 773063424, 'TR', 'Turkey'),
(8567, '46.20.3.1', '46.20.3.12', 773063425, 773063436, 'US', 'United States'),
(8568, '46.20.3.13', '46.20.9.128', 773063437, 773065088, 'TR', 'Turkey'),
(8569, '46.20.9.129', '46.20.9.255', 773065089, 773065215, 'US', 'United States'),
(8570, '46.20.10.0', '46.20.15.255', 773065216, 773066751, 'TR', 'Turkey'),
(8571, '46.20.16.0', '46.20.31.255', 773066752, 773070847, 'AT', 'Austria'),
(8572, '46.20.32.0', '46.20.47.255', 773070848, 773074943, 'DE', 'Germany'),
(8573, '46.20.48.0', '46.20.63.255', 773074944, 773079039, 'PL', 'Poland'),
(8574, '46.20.64.0', '46.20.79.255', 773079040, 773083135, 'RU', 'Russian Federation'),
(8575, '46.20.80.0', '46.20.95.255', 773083136, 773087231, 'IT', 'Italy'),
(8576, '46.20.96.0', '46.20.111.255', 773087232, 773091327, 'LB', 'Lebanon'),
(8577, '46.20.112.0', '46.20.116.160', 773091328, 773092512, 'GB', 'United Kingdom'),
(8578, '46.20.116.161', '46.20.116.192', 773092513, 773092544, 'US', 'United States'),
(8579, '46.20.116.193', '46.20.116.224', 773092545, 773092576, 'GB', 'United Kingdom'),
(8580, '46.20.116.225', '46.20.116.228', 773092577, 773092580, 'US', 'United States'),
(8581, '46.20.116.229', '46.20.116.229', 773092581, 773092581, 'GB', 'United Kingdom'),
(8582, '46.20.116.230', '46.20.116.238', 773092582, 773092590, 'US', 'United States'),
(8583, '46.20.116.239', '46.20.116.239', 773092591, 773092591, 'GB', 'United Kingdom'),
(8584, '46.20.116.240', '46.20.116.252', 773092592, 773092604, 'US', 'United States'),
(8585, '46.20.116.253', '46.20.118.3', 773092605, 773092867, 'GB', 'United Kingdom'),
(8586, '46.20.118.4', '46.20.118.126', 773092868, 773092990, 'US', 'United States'),
(8587, '46.20.118.127', '46.20.119.75', 773092991, 773093195, 'GB', 'United Kingdom'),
(8588, '46.20.119.76', '46.20.119.76', 773093196, 773093196, 'US', 'United States'),
(8589, '46.20.119.77', '46.20.119.78', 773093197, 773093198, 'GB', 'United Kingdom'),
(8590, '46.20.119.79', '46.20.119.84', 773093199, 773093204, 'US', 'United States'),
(8591, '46.20.119.85', '46.20.119.112', 773093205, 773093232, 'GB', 'United Kingdom'),
(8592, '46.20.119.113', '46.20.119.113', 773093233, 773093233, 'US', 'United States'),
(8593, '46.20.119.114', '46.20.119.137', 773093234, 773093257, 'GB', 'United Kingdom'),
(8594, '46.20.119.138', '46.20.119.139', 773093258, 773093259, 'US', 'United States'),
(8595, '46.20.119.140', '46.20.119.140', 773093260, 773093260, 'GB', 'United Kingdom'),
(8596, '46.20.119.141', '46.20.119.143', 773093261, 773093263, 'US', 'United States'),
(8597, '46.20.119.144', '46.20.119.146', 773093264, 773093266, 'GB', 'United Kingdom'),
(8598, '46.20.119.147', '46.20.119.147', 773093267, 773093267, 'US', 'United States'),
(8599, '46.20.119.148', '46.20.119.149', 773093268, 773093269, 'GB', 'United Kingdom'),
(8600, '46.20.119.150', '46.20.119.151', 773093270, 773093271, 'US', 'United States'),
(8601, '46.20.119.152', '46.20.119.155', 773093272, 773093275, 'GB', 'United Kingdom'),
(8602, '46.20.119.156', '46.20.119.156', 773093276, 773093276, 'US', 'United States'),
(8603, '46.20.119.157', '46.20.119.158', 773093277, 773093278, 'GB', 'United Kingdom'),
(8604, '46.20.119.159', '46.20.119.159', 773093279, 773093279, 'US', 'United States'),
(8605, '46.20.119.160', '46.20.119.162', 773093280, 773093282, 'GB', 'United Kingdom'),
(8606, '46.20.119.163', '46.20.119.167', 773093283, 773093287, 'US', 'United States'),
(8607, '46.20.119.168', '46.20.119.169', 773093288, 773093289, 'GB', 'United Kingdom'),
(8608, '46.20.119.170', '46.20.119.170', 773093290, 773093290, 'US', 'United States'),
(8609, '46.20.119.171', '46.20.119.172', 773093291, 773093292, 'GB', 'United Kingdom'),
(8610, '46.20.119.173', '46.20.119.173', 773093293, 773093293, 'US', 'United States'),
(8611, '46.20.119.174', '46.20.119.175', 773093294, 773093295, 'GB', 'United Kingdom'),
(8612, '46.20.119.176', '46.20.119.177', 773093296, 773093297, 'US', 'United States'),
(8613, '46.20.119.178', '46.20.119.178', 773093298, 773093298, 'GB', 'United Kingdom'),
(8614, '46.20.119.179', '46.20.119.180', 773093299, 773093300, 'US', 'United States'),
(8615, '46.20.119.181', '46.20.119.210', 773093301, 773093330, 'GB', 'United Kingdom'),
(8616, '46.20.119.211', '46.20.119.214', 773093331, 773093334, 'US', 'United States'),
(8617, '46.20.119.215', '46.20.119.216', 773093335, 773093336, 'GB', 'United Kingdom'),
(8618, '46.20.119.217', '46.20.119.217', 773093337, 773093337, 'US', 'United States'),
(8619, '46.20.119.218', '46.20.119.221', 773093338, 773093341, 'GB', 'United Kingdom'),
(8620, '46.20.119.222', '46.20.119.222', 773093342, 773093342, 'US', 'United States'),
(8621, '46.20.119.223', '46.20.120.148', 773093343, 773093524, 'GB', 'United Kingdom'),
(8622, '46.20.120.149', '46.20.120.167', 773093525, 773093543, 'US', 'United States'),
(8623, '46.20.120.168', '46.20.120.188', 773093544, 773093564, 'GB', 'United Kingdom'),
(8624, '46.20.120.189', '46.20.120.201', 773093565, 773093577, 'US', 'United States'),
(8625, '46.20.120.202', '46.20.120.224', 773093578, 773093600, 'GB', 'United Kingdom'),
(8626, '46.20.120.225', '46.20.120.225', 773093601, 773093601, 'US', 'United States'),
(8627, '46.20.120.226', '46.20.125.4', 773093602, 773094660, 'GB', 'United Kingdom'),
(8628, '46.20.125.5', '46.20.125.254', 773094661, 773094910, 'US', 'United States'),
(8629, '46.20.125.255', '46.20.127.255', 773094911, 773095423, 'GB', 'United Kingdom'),
(8630, '46.20.128.0', '46.20.143.255', 773095424, 773099519, 'RO', 'Romania'),
(8631, '46.20.144.0', '46.20.159.255', 773099520, 773103615, 'TR', 'Turkey'),
(8632, '46.20.160.0', '46.20.175.255', 773103616, 773107711, 'FR', 'France'),
(8633, '46.20.176.0', '46.20.191.255', 773107712, 773111807, 'RU', 'Russian Federation'),
(8634, '46.20.192.0', '46.20.207.255', 773111808, 773115903, 'TJ', 'Tajikistan'),
(8635, '46.20.208.0', '46.20.223.255', 773115904, 773119999, 'PS', 'Palestinian Territory, Occupied'),
(8636, '46.20.224.0', '46.20.239.255', 773120000, 773124095, 'GB', 'United Kingdom'),
(8637, '46.20.240.0', '46.20.255.255', 773124096, 773128191, 'CH', 'Switzerland'),
(8638, '46.21.0.0', '46.21.15.255', 773128192, 773132287, 'DE', 'Germany'),
(8639, '46.21.16.0', '46.21.23.255', 773132288, 773134335, 'IT', 'Italy'),
(8640, '46.21.24.0', '46.21.25.255', 773134336, 773134847, 'CH', 'Switzerland'),
(8641, '46.21.26.0', '46.21.31.255', 773134848, 773136383, 'IT', 'Italy'),
(8642, '46.21.32.0', '46.21.47.255', 773136384, 773140479, 'DK', 'Denmark'),
(8643, '46.21.48.0', '46.21.63.255', 773140480, 773144575, 'CY', 'Cyprus'),
(8644, '46.21.64.0', '46.21.79.255', 773144576, 773148671, 'RU', 'Russian Federation'),
(8645, '46.21.80.0', '46.21.95.255', 773148672, 773152767, 'IR', 'Iran, Islamic Republic of'),
(8646, '46.21.96.0', '46.21.96.127', 773152768, 773152895, 'SE', 'Sweden'),
(8647, '46.21.96.128', '46.21.96.191', 773152896, 773152959, 'US', 'United States'),
(8648, '46.21.96.192', '46.21.99.255', 773152960, 773153791, 'SE', 'Sweden'),
(8649, '46.21.100.0', '46.21.103.255', 773153792, 773154815, 'US', 'United States'),
(8650, '46.21.104.0', '46.21.106.255', 773154816, 773155583, 'SE', 'Sweden'),
(8651, '46.21.107.0', '46.21.107.255', 773155584, 773155839, 'US', 'United States'),
(8652, '46.21.108.0', '46.21.111.255', 773155840, 773156863, 'SE', 'Sweden'),
(8653, '46.21.112.0', '46.21.116.255', 773156864, 773158143, 'FR', 'France'),
(8654, '46.21.117.0', '46.21.119.255', 773158144, 773158911, 'DE', 'Germany'),
(8655, '46.21.120.0', '46.21.125.255', 773158912, 773160447, 'FR', 'France'),
(8656, '46.21.126.0', '46.21.127.255', 773160448, 773160959, 'ES', 'Spain'),
(8657, '46.21.128.0', '46.21.143.255', 773160960, 773165055, 'FR', 'France'),
(8658, '46.21.144.0', '46.21.149.255', 773165056, 773166591, 'NL', 'Netherlands'),
(8659, '46.21.150.0', '46.21.152.103', 773166592, 773167207, 'US', 'United States'),
(8660, '46.21.152.104', '46.21.152.111', 773167208, 773167215, 'NL', 'Netherlands'),
(8661, '46.21.152.112', '46.21.157.255', 773167216, 773168639, 'US', 'United States'),
(8662, '46.21.158.0', '46.21.158.31', 773168640, 773168671, 'NL', 'Netherlands'),
(8663, '46.21.158.32', '46.21.159.255', 773168672, 773169151, 'US', 'United States'),
(8664, '46.21.160.0', '46.21.168.143', 773169152, 773171343, 'NL', 'Netherlands'),
(8665, '46.21.168.144', '46.21.168.159', 773171344, 773171359, 'BE', 'Belgium'),
(8666, '46.21.168.160', '46.21.169.143', 773171360, 773171599, 'NL', 'Netherlands'),
(8667, '46.21.169.144', '46.21.169.151', 773171600, 773171607, 'BE', 'Belgium'),
(8668, '46.21.169.152', '46.21.169.159', 773171608, 773171615, 'NL', 'Netherlands'),
(8669, '46.21.169.160', '46.21.169.191', 773171616, 773171647, 'BE', 'Belgium'),
(8670, '46.21.169.192', '46.21.171.255', 773171648, 773172223, 'NL', 'Netherlands'),
(8671, '46.21.172.0', '46.21.172.63', 773172224, 773172287, 'BE', 'Belgium'),
(8672, '46.21.172.64', '46.21.172.127', 773172288, 773172351, 'GB', 'United Kingdom'),
(8673, '46.21.172.128', '46.21.172.255', 773172352, 773172479, 'NL', 'Netherlands'),
(8674, '46.21.173.0', '46.21.173.127', 773172480, 773172607, 'GB', 'United Kingdom'),
(8675, '46.21.173.128', '46.21.173.255', 773172608, 773172735, 'BE', 'Belgium'),
(8676, '46.21.174.0', '46.21.175.255', 773172736, 773173247, 'NL', 'Netherlands'),
(8677, '46.21.176.0', '46.21.191.255', 773173248, 773177343, 'IT', 'Italy'),
(8678, '46.21.192.0', '46.21.207.255', 773177344, 773181439, 'FR', 'France'),
(8679, '46.21.208.0', '46.21.223.255', 773181440, 773185535, 'PL', 'Poland'),
(8680, '46.21.224.0', '46.21.239.255', 773185536, 773189631, 'NL', 'Netherlands'),
(8681, '46.21.240.0', '46.22.15.255', 773189632, 773197823, 'RU', 'Russian Federation'),
(8682, '46.22.16.0', '46.22.31.255', 773197824, 773201919, 'CH', 'Switzerland'),
(8683, '46.22.32.0', '46.22.47.255', 773201920, 773206015, 'DE', 'Germany'),
(8684, '46.22.48.0', '46.22.63.255', 773206016, 773210111, 'RU', 'Russian Federation'),
(8685, '46.22.64.0', '46.22.79.255', 773210112, 773214207, 'US', 'United States'),
(8686, '46.22.80.0', '46.22.95.255', 773214208, 773218303, 'FR', 'France'),
(8687, '46.22.96.0', '46.22.111.255', 773218304, 773222399, 'IS', 'Iceland'),
(8688, '46.22.112.0', '46.22.127.255', 773222400, 773226495, 'SE', 'Sweden'),
(8689, '46.22.128.0', '46.22.143.255', 773226496, 773230591, 'IE', 'Ireland'),
(8690, '46.22.144.0', '46.22.159.255', 773230592, 773234687, 'RS', 'Serbia'),
(8691, '46.22.160.0', '46.22.175.255', 773234688, 773238783, 'PL', 'Poland'),
(8692, '46.22.176.0', '46.22.191.255', 773238784, 773242879, 'NL', 'Netherlands'),
(8693, '46.22.192.0', '46.22.207.255', 773242880, 773246975, 'FR', 'France'),
(8694, '46.22.208.0', '46.22.223.255', 773246976, 773251071, 'EE', 'Estonia'),
(8695, '46.22.224.0', '46.22.239.255', 773251072, 773255167, 'AZ', 'Azerbaijan'),
(8696, '46.22.240.0', '46.22.255.255', 773255168, 773259263, 'RU', 'Russian Federation'),
(8697, '46.23.0.0', '46.23.15.255', 773259264, 773263359, 'SI', 'Slovenia'),
(8698, '46.23.16.0', '46.23.31.255', 773263360, 773267455, 'GB', 'United Kingdom'),
(8699, '46.23.32.0', '46.23.47.255', 773267456, 773271551, 'LV', 'Latvia'),
(8700, '46.23.48.0', '46.23.63.255', 773271552, 773275647, 'CZ', 'Czech Republic'),
(8701, '46.23.64.0', '46.23.71.255', 773275648, 773277695, 'GB', 'United Kingdom'),
(8702, '46.23.72.0', '46.23.95.255', 773277696, 773283839, 'NL', 'Netherlands'),
(8703, '46.23.96.0', '46.23.111.255', 773283840, 773287935, 'AZ', 'Azerbaijan'),
(8704, '46.23.112.0', '46.23.127.255', 773287936, 773292031, 'JO', 'Jordan'),
(8705, '46.23.128.0', '46.23.143.255', 773292032, 773296127, 'CZ', 'Czech Republic'),
(8706, '46.23.144.0', '46.23.159.255', 773296128, 773300223, 'RU', 'Russian Federation'),
(8707, '46.23.160.0', '46.23.175.255', 773300224, 773304319, 'FI', 'Finland'),
(8708, '46.23.176.0', '46.23.191.255', 773304320, 773308415, 'RU', 'Russian Federation'),
(8709, '46.23.192.0', '46.23.207.255', 773308416, 773312511, 'IT', 'Italy'),
(8710, '46.23.208.0', '46.23.223.255', 773312512, 773316607, 'DE', 'Germany'),
(8711, '46.23.224.0', '46.23.239.255', 773316608, 773320703, 'RU', 'Russian Federation'),
(8712, '46.23.240.0', '46.23.255.255', 773320704, 773324799, 'FR', 'France'),
(8713, '46.24.0.0', '46.27.255.255', 773324800, 773586943, 'ES', 'Spain'),
(8714, '46.28.0.0', '46.28.7.255', 773586944, 773588991, 'IT', 'Italy'),
(8715, '46.28.8.0', '46.28.15.255', 773588992, 773591039, 'PL', 'Poland'),
(8716, '46.28.16.0', '46.28.23.255', 773591040, 773593087, 'RU', 'Russian Federation'),
(8717, '46.28.24.0', '46.28.31.255', 773593088, 773595135, 'IT', 'Italy'),
(8718, '46.28.32.0', '46.28.39.255', 773595136, 773597183, 'DE', 'Germany'),
(8719, '46.28.40.0', '46.28.47.255', 773597184, 773599231, 'BE', 'Belgium'),
(8720, '46.28.48.0', '46.28.55.255', 773599232, 773601279, 'GB', 'United Kingdom'),
(8721, '46.28.56.0', '46.28.63.255', 773601280, 773603327, 'LV', 'Latvia'),
(8722, '46.28.64.0', '46.28.65.255', 773603328, 773603839, 'UA', 'Ukraine'),
(8723, '46.28.66.0', '46.28.66.15', 773603840, 773603855, 'HK', 'Hong Kong'),
(8724, '46.28.66.16', '46.28.71.255', 773603856, 773605375, 'UA', 'Ukraine'),
(8725, '46.28.72.0', '46.28.79.255', 773605376, 773607423, 'IR', 'Iran, Islamic Republic of'),
(8726, '46.28.80.0', '46.28.87.255', 773607424, 773609471, 'DE', 'Germany'),
(8727, '46.28.88.0', '46.28.95.255', 773609472, 773611519, 'RU', 'Russian Federation'),
(8728, '46.28.96.0', '46.28.103.255', 773611520, 773613567, 'BY', 'Belarus'),
(8729, '46.28.104.0', '46.28.111.255', 773613568, 773615615, 'CZ', 'Czech Republic'),
(8730, '46.28.112.0', '46.28.119.255', 773615616, 773617663, 'DE', 'Germany'),
(8731, '46.28.120.0', '46.28.127.255', 773617664, 773619711, 'IT', 'Italy'),
(8732, '46.28.128.0', '46.28.135.255', 773619712, 773621759, 'RU', 'Russian Federation'),
(8733, '46.28.136.0', '46.28.143.255', 773621760, 773623807, 'PS', 'Palestinian Territory, Occupied'),
(8734, '46.28.144.0', '46.28.151.255', 773623808, 773625855, 'SE', 'Sweden'),
(8735, '46.28.152.0', '46.28.159.255', 773625856, 773627903, 'IS', 'Iceland'),
(8736, '46.28.160.0', '46.28.167.255', 773627904, 773629951, 'ES', 'Spain'),
(8737, '46.28.168.0', '46.28.175.255', 773629952, 773631999, 'FR', 'France'),
(8738, '46.28.176.0', '46.28.183.255', 773632000, 773634047, 'CY', 'Cyprus'),
(8739, '46.28.184.0', '46.28.191.255', 773634048, 773636095, 'DE', 'Germany'),
(8740, '46.28.192.0', '46.28.199.255', 773636096, 773638143, 'UA', 'Ukraine'),
(8741, '46.28.200.0', '46.28.207.255', 773638144, 773640191, 'CH', 'Switzerland'),
(8742, '46.28.208.0', '46.28.209.65', 773640192, 773640513, 'ES', 'Spain'),
(8743, '46.28.209.66', '46.28.209.67', 773640514, 773640515, 'FR', 'France'),
(8744, '46.28.209.68', '46.28.209.68', 773640516, 773640516, 'NL', 'Netherlands'),
(8745, '46.28.209.69', '46.28.215.255', 773640517, 773642239, 'ES', 'Spain'),
(8746, '46.28.216.0', '46.28.223.255', 773642240, 773644287, 'HU', 'Hungary'),
(8747, '46.28.224.0', '46.28.231.255', 773644288, 773646335, 'RU', 'Russian Federation'),
(8748, '46.28.232.0', '46.28.239.255', 773646336, 773648383, 'TR', 'Turkey'),
(8749, '46.28.240.0', '46.28.247.255', 773648384, 773650431, 'PL', 'Poland'),
(8750, '46.28.248.0', '46.28.255.255', 773650432, 773652479, 'GB', 'United Kingdom'),
(8751, '46.29.0.0', '46.29.4.255', 773652480, 773653759, 'SK', 'Slovakia'),
(8752, '46.29.5.0', '46.29.5.15', 773653760, 773653775, 'CZ', 'Czech Republic'),
(8753, '46.29.5.16', '46.29.7.255', 773653776, 773654527, 'SK', 'Slovakia'),
(8754, '46.29.8.0', '46.29.15.255', 773654528, 773656575, 'RU', 'Russian Federation'),
(8755, '46.29.16.0', '46.29.23.255', 773656576, 773658623, 'PL', 'Poland'),
(8756, '46.29.24.0', '46.29.31.255', 773658624, 773660671, 'DE', 'Germany'),
(8757, '46.29.32.0', '46.29.33.7', 773660672, 773660935, 'AT', 'Austria'),
(8758, '46.29.33.8', '46.29.33.15', 773660936, 773660943, 'IT', 'Italy'),
(8759, '46.29.33.16', '46.29.39.255', 773660944, 773662719, 'AT', 'Austria'),
(8760, '46.29.40.0', '46.29.47.255', 773662720, 773664767, 'DE', 'Germany'),
(8761, '46.29.48.0', '46.29.55.255', 773664768, 773666815, 'ES', 'Spain'),
(8762, '46.29.56.0', '46.29.63.255', 773666816, 773668863, 'GB', 'United Kingdom'),
(8763, '46.29.64.0', '46.29.71.255', 773668864, 773670911, 'DE', 'Germany'),
(8764, '46.29.72.0', '46.29.79.255', 773670912, 773672959, 'RU', 'Russian Federation'),
(8765, '46.29.80.0', '46.29.87.255', 773672960, 773675007, 'SA', 'Saudi Arabia'),
(8766, '46.29.88.0', '46.29.95.255', 773675008, 773677055, 'GB', 'United Kingdom'),
(8767, '46.29.96.0', '46.29.103.255', 773677056, 773679103, 'DE', 'Germany'),
(8768, '46.29.104.0', '46.29.104.31', 773679104, 773679135, 'IT', 'Italy'),
(8769, '46.29.104.32', '46.29.104.127', 773679136, 773679231, 'A2', 'Satellite Provider'),
(8770, '46.29.104.128', '46.29.104.191', 773679232, 773679295, 'DE', 'Germany'),
(8771, '46.29.104.192', '46.29.104.223', 773679296, 773679327, 'A2', 'Satellite Provider'),
(8772, '46.29.104.224', '46.29.104.255', 773679328, 773679359, 'IT', 'Italy'),
(8773, '46.29.105.0', '46.29.105.63', 773679360, 773679423, 'GB', 'United Kingdom'),
(8774, '46.29.105.64', '46.29.105.127', 773679424, 773679487, 'A2', 'Satellite Provider'),
(8775, '46.29.105.128', '46.29.105.255', 773679488, 773679615, 'FR', 'France'),
(8776, '46.29.106.0', '46.29.108.255', 773679616, 773680383, 'IT', 'Italy'),
(8777, '46.29.109.0', '46.29.109.255', 773680384, 773680639, 'A2', 'Satellite Provider'),
(8778, '46.29.110.0', '46.29.110.63', 773680640, 773680703, 'LY', 'Libyan Arab Jamahiriya'),
(8779, '46.29.110.64', '46.29.110.255', 773680704, 773680895, 'IT', 'Italy'),
(8780, '46.29.111.0', '46.29.111.255', 773680896, 773681151, 'HK', 'Hong Kong'),
(8781, '46.29.112.0', '46.29.119.255', 773681152, 773683199, 'RU', 'Russian Federation'),
(8782, '46.29.120.0', '46.29.123.255', 773683200, 773684223, 'FR', 'France'),
(8783, '46.29.124.0', '46.29.124.15', 773684224, 773684239, 'GB', 'United Kingdom'),
(8784, '46.29.124.16', '46.29.124.31', 773684240, 773684255, 'BE', 'Belgium'),
(8785, '46.29.124.32', '46.29.124.47', 773684256, 773684271, 'NL', 'Netherlands'),
(8786, '46.29.124.48', '46.29.127.255', 773684272, 773685247, 'FR', 'France'),
(8787, '46.29.128.0', '46.29.135.255', 773685248, 773687295, 'UA', 'Ukraine'),
(8788, '46.29.136.0', '46.29.143.255', 773687296, 773689343, 'HU', 'Hungary'),
(8789, '46.29.144.0', '46.29.151.255', 773689344, 773691391, 'PL', 'Poland'),
(8790, '46.29.152.0', '46.29.167.255', 773691392, 773695487, 'RU', 'Russian Federation'),
(8791, '46.29.168.0', '46.29.175.255', 773695488, 773697535, 'MK', 'Macedonia'),
(8792, '46.29.176.0', '46.29.177.255', 773697536, 773698047, 'LU', 'Luxembourg'),
(8793, '46.29.178.0', '46.29.178.15', 773698048, 773698063, 'GB', 'United Kingdom'),
(8794, '46.29.178.16', '46.29.178.31', 773698064, 773698079, 'US', 'United States'),
(8795, '46.29.178.32', '46.29.178.47', 773698080, 773698095, 'DE', 'Germany'),
(8796, '46.29.178.48', '46.29.178.63', 773698096, 773698111, 'BE', 'Belgium'),
(8797, '46.29.178.64', '46.29.178.79', 773698112, 773698127, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(8798, '46.29.178.80', '46.29.183.255', 773698128, 773699583, 'LU', 'Luxembourg'),
(8799, '46.29.184.0', '46.29.191.255', 773699584, 773701631, 'CZ', 'Czech Republic'),
(8800, '46.29.192.0', '46.29.199.255', 773701632, 773703679, 'RU', 'Russian Federation'),
(8801, '46.29.200.0', '46.29.207.255', 773703680, 773705727, 'IT', 'Italy'),
(8802, '46.29.208.0', '46.29.215.255', 773705728, 773707775, 'RU', 'Russian Federation'),
(8803, '46.29.216.0', '46.29.223.255', 773707776, 773709823, 'NO', 'Norway'),
(8804, '46.29.224.0', '46.29.231.255', 773709824, 773711871, 'CZ', 'Czech Republic'),
(8805, '46.29.232.0', '46.29.239.255', 773711872, 773713919, 'RU', 'Russian Federation'),
(8806, '46.29.240.0', '46.29.247.255', 773713920, 773715967, 'NL', 'Netherlands'),
(8807, '46.29.248.0', '46.29.251.255', 773715968, 773716991, 'SE', 'Sweden'),
(8808, '46.29.252.0', '46.29.255.255', 773716992, 773718015, 'US', 'United States'),
(8809, '46.30.0.0', '46.30.7.255', 773718016, 773720063, 'DE', 'Germany'),
(8810, '46.30.8.0', '46.30.15.255', 773720064, 773722111, 'GB', 'United Kingdom'),
(8811, '46.30.16.0', '46.30.23.255', 773722112, 773724159, 'ES', 'Spain'),
(8812, '46.30.24.0', '46.30.31.255', 773724160, 773726207, 'DE', 'Germany'),
(8813, '46.30.32.0', '46.30.47.255', 773726208, 773730303, 'RU', 'Russian Federation'),
(8814, '46.30.48.0', '46.30.55.255', 773730304, 773732351, 'GB', 'United Kingdom'),
(8815, '46.30.56.0', '46.30.63.255', 773732352, 773734399, 'DE', 'Germany'),
(8816, '46.30.64.0', '46.30.71.255', 773734400, 773736447, 'CZ', 'Czech Republic'),
(8817, '46.30.72.0', '46.30.81.195', 773736448, 773738947, 'DE', 'Germany'),
(8818, '46.30.81.196', '46.30.81.199', 773738948, 773738951, 'NO', 'Norway'),
(8819, '46.30.81.200', '46.30.82.191', 773738952, 773739199, 'DE', 'Germany'),
(8820, '46.30.82.192', '46.30.82.195', 773739200, 773739203, 'GB', 'United Kingdom'),
(8821, '46.30.82.196', '46.30.87.255', 773739204, 773740543, 'DE', 'Germany'),
(8822, '46.30.88.0', '46.30.95.255', 773740544, 773742591, 'CZ', 'Czech Republic'),
(8823, '46.30.96.0', '46.30.103.255', 773742592, 773744639, 'GB', 'United Kingdom'),
(8824, '46.30.104.0', '46.30.111.255', 773744640, 773746687, 'ES', 'Spain'),
(8825, '46.30.112.0', '46.30.119.255', 773746688, 773748735, 'DE', 'Germany'),
(8826, '46.30.120.0', '46.30.127.255', 773748736, 773750783, 'DK', 'Denmark'),
(8827, '46.30.128.0', '46.30.135.255', 773750784, 773752831, 'FI', 'Finland'),
(8828, '46.30.136.0', '46.30.143.255', 773752832, 773754879, 'GB', 'United Kingdom'),
(8829, '46.30.144.0', '46.30.151.255', 773754880, 773756927, 'CZ', 'Czech Republic'),
(8830, '46.30.152.0', '46.30.159.255', 773756928, 773758975, 'RU', 'Russian Federation'),
(8831, '46.30.160.0', '46.30.167.255', 773758976, 773761023, 'UA', 'Ukraine'),
(8832, '46.30.168.0', '46.30.175.255', 773761024, 773763071, 'IT', 'Italy'),
(8833, '46.30.176.0', '46.30.183.255', 773763072, 773765119, 'TR', 'Turkey'),
(8834, '46.30.184.0', '46.30.191.255', 773765120, 773767167, 'NL', 'Netherlands'),
(8835, '46.30.192.0', '46.30.199.255', 773767168, 773769215, 'GB', 'United Kingdom'),
(8836, '46.30.200.0', '46.30.207.255', 773769216, 773771263, 'FR', 'France'),
(8837, '46.30.208.0', '46.30.215.255', 773771264, 773773311, 'DK', 'Denmark'),
(8838, '46.30.216.0', '46.30.223.255', 773773312, 773775359, 'IT', 'Italy'),
(8839, '46.30.224.0', '46.30.231.255', 773775360, 773777407, 'IQ', 'Iraq'),
(8840, '46.30.232.0', '46.30.239.255', 773777408, 773779455, 'CZ', 'Czech Republic'),
(8841, '46.30.240.0', '46.30.255.255', 773779456, 773783551, 'IT', 'Italy'),
(8842, '46.31.0.0', '46.31.7.255', 773783552, 773785599, 'RU', 'Russian Federation'),
(8843, '46.31.8.0', '46.31.15.255', 773785600, 773787647, 'NL', 'Netherlands'),
(8844, '46.31.16.0', '46.31.23.255', 773787648, 773789695, 'DK', 'Denmark'),
(8845, '46.31.24.0', '46.31.31.255', 773789696, 773791743, 'RU', 'Russian Federation'),
(8846, '46.31.32.0', '46.31.39.255', 773791744, 773793791, 'PL', 'Poland'),
(8847, '46.31.40.0', '46.31.42.223', 773793792, 773794527, 'FR', 'France'),
(8848, '46.31.42.224', '46.31.42.231', 773794528, 773794535, 'GB', 'United Kingdom'),
(8849, '46.31.42.232', '46.31.42.239', 773794536, 773794543, 'IT', 'Italy'),
(8850, '46.31.42.240', '46.31.42.247', 773794544, 773794551, 'ES', 'Spain'),
(8851, '46.31.42.248', '46.31.42.255', 773794552, 773794559, 'DE', 'Germany'),
(8852, '46.31.43.0', '46.31.47.255', 773794560, 773795839, 'FR', 'France'),
(8853, '46.31.48.0', '46.31.55.255', 773795840, 773797887, 'NL', 'Netherlands'),
(8854, '46.31.56.0', '46.31.63.255', 773797888, 773799935, 'ES', 'Spain'),
(8855, '46.31.64.0', '46.31.65.255', 773799936, 773800447, 'GB', 'United Kingdom'),
(8856, '46.31.66.0', '46.31.66.255', 773800448, 773800703, 'CY', 'Cyprus'),
(8857, '46.31.67.0', '46.31.67.255', 773800704, 773800959, 'GB', 'United Kingdom'),
(8858, '46.31.68.0', '46.31.68.255', 773800960, 773801215, 'SG', 'Singapore'),
(8859, '46.31.69.0', '46.31.70.255', 773801216, 773801727, 'US', 'United States'),
(8860, '46.31.71.0', '46.31.71.255', 773801728, 773801983, 'GB', 'United Kingdom'),
(8861, '46.31.72.0', '46.31.79.255', 773801984, 773804031, 'IQ', 'Iraq'),
(8862, '46.31.80.0', '46.31.87.255', 773804032, 773806079, 'GB', 'United Kingdom'),
(8863, '46.31.88.0', '46.31.95.255', 773806080, 773808127, 'BE', 'Belgium'),
(8864, '46.31.96.0', '46.31.103.255', 773808128, 773810175, 'IL', 'Israel'),
(8865, '46.31.104.0', '46.31.111.255', 773810176, 773812223, 'IT', 'Italy'),
(8866, '46.31.112.0', '46.31.119.255', 773812224, 773814271, 'TR', 'Turkey'),
(8867, '46.31.120.0', '46.31.127.255', 773814272, 773816319, 'DE', 'Germany'),
(8868, '46.31.128.0', '46.31.135.255', 773816320, 773818367, 'IT', 'Italy'),
(8869, '46.31.136.0', '46.31.143.255', 773818368, 773820415, 'HR', 'Croatia'),
(8870, '46.31.144.0', '46.31.151.255', 773820416, 773822463, 'TR', 'Turkey'),
(8871, '46.31.152.0', '46.31.159.255', 773822464, 773824511, 'RU', 'Russian Federation'),
(8872, '46.31.160.0', '46.31.167.255', 773824512, 773826559, 'FR', 'France'),
(8873, '46.31.168.0', '46.31.175.255', 773826560, 773828607, 'GB', 'United Kingdom'),
(8874, '46.31.176.0', '46.31.183.255', 773828608, 773830655, 'HU', 'Hungary'),
(8875, '46.31.184.0', '46.31.191.255', 773830656, 773832703, 'NO', 'Norway'),
(8876, '46.31.192.0', '46.31.199.255', 773832704, 773834751, 'FR', 'France'),
(8877, '46.31.200.0', '46.31.207.255', 773834752, 773836799, 'GB', 'United Kingdom'),
(8878, '46.31.208.0', '46.31.215.255', 773836800, 773838847, 'FR', 'France'),
(8879, '46.31.216.0', '46.31.223.255', 773838848, 773840895, 'DE', 'Germany'),
(8880, '46.31.224.0', '46.31.247.255', 773840896, 773847039, 'GB', 'United Kingdom'),
(8881, '46.31.248.0', '46.31.255.255', 773847040, 773849087, 'IT', 'Italy'),
(8882, '46.32.0.0', '46.32.31.255', 773849088, 773857279, 'IR', 'Iran, Islamic Republic of'),
(8883, '46.32.32.0', '46.32.63.255', 773857280, 773865471, 'DK', 'Denmark'),
(8884, '46.32.64.0', '46.32.95.255', 773865472, 773873663, 'RU', 'Russian Federation'),
(8885, '46.32.96.0', '46.32.127.255', 773873664, 773881855, 'JO', 'Jordan'),
(8886, '46.32.128.0', '46.32.159.255', 773881856, 773890047, 'DK', 'Denmark'),
(8887, '46.32.160.0', '46.32.191.255', 773890048, 773898239, 'AZ', 'Azerbaijan'),
(8888, '46.32.192.0', '46.32.223.255', 773898240, 773906431, 'PS', 'Palestinian Territory, Occupied'),
(8889, '46.32.224.0', '46.33.31.255', 773906432, 773922815, 'GB', 'United Kingdom'),
(8890, '46.33.32.0', '46.33.63.255', 773922816, 773931007, 'UA', 'Ukraine'),
(8891, '46.33.64.0', '46.33.77.255', 773931008, 773934591, 'DE', 'Germany'),
(8892, '46.33.78.0', '46.33.95.255', 773934592, 773939199, 'FR', 'France'),
(8893, '46.33.96.0', '46.33.127.255', 773939200, 773947391, 'CZ', 'Czech Republic'),
(8894, '46.33.128.0', '46.33.159.255', 773947392, 773955583, 'GB', 'United Kingdom'),
(8895, '46.33.160.0', '46.33.191.255', 773955584, 773963775, 'FR', 'France'),
(8896, '46.33.192.0', '46.33.223.255', 773963776, 773971967, 'ME', 'Montenegro'),
(8897, '46.33.224.0', '46.33.255.255', 773971968, 773980159, 'UA', 'Ukraine'),
(8898, '46.34.0.0', '46.34.31.255', 773980160, 773988351, 'GB', 'United Kingdom'),
(8899, '46.34.32.0', '46.34.80.255', 773988352, 774000895, 'ES', 'Spain'),
(8900, '46.34.81.0', '46.34.81.255', 774000896, 774001151, 'NL', 'Netherlands'),
(8901, '46.34.82.0', '46.34.83.255', 774001152, 774001663, 'ES', 'Spain'),
(8902, '46.34.84.0', '46.34.87.255', 774001664, 774002687, 'NL', 'Netherlands'),
(8903, '46.34.88.0', '46.34.89.255', 774002688, 774003199, 'ES', 'Spain'),
(8904, '46.34.90.0', '46.34.90.63', 774003200, 774003263, 'TR', 'Turkey'),
(8905, '46.34.90.64', '46.34.90.111', 774003264, 774003311, 'ES', 'Spain'),
(8906, '46.34.90.112', '46.34.90.255', 774003312, 774003455, 'TR', 'Turkey'),
(8907, '46.34.91.0', '46.34.91.127', 774003456, 774003583, 'ES', 'Spain'),
(8908, '46.34.91.128', '46.34.91.191', 774003584, 774003647, 'TR', 'Turkey'),
(8909, '46.34.91.192', '46.34.91.255', 774003648, 774003711, 'ES', 'Spain'),
(8910, '46.34.92.0', '46.34.93.255', 774003712, 774004223, 'BE', 'Belgium'),
(8911, '46.34.94.0', '46.34.94.255', 774004224, 774004479, 'ES', 'Spain'),
(8912, '46.34.95.0', '46.34.95.31', 774004480, 774004511, 'BE', 'Belgium'),
(8913, '46.34.95.32', '46.34.95.255', 774004512, 774004735, 'ES', 'Spain'),
(8914, '46.34.96.0', '46.34.127.255', 774004736, 774012927, 'IR', 'Iran, Islamic Republic of'),
(8915, '46.34.128.0', '46.34.159.255', 774012928, 774021119, 'RU', 'Russian Federation'),
(8916, '46.34.160.0', '46.34.191.255', 774021120, 774029311, 'IR', 'Iran, Islamic Republic of'),
(8917, '46.34.192.0', '46.34.223.255', 774029312, 774037503, 'RO', 'Romania'),
(8918, '46.34.224.0', '46.34.255.255', 774037504, 774045695, 'SK', 'Slovakia'),
(8919, '46.35.0.0', '46.35.31.255', 774045696, 774053887, 'FR', 'France'),
(8920, '46.35.32.0', '46.35.38.95', 774053888, 774055519, 'DE', 'Germany'),
(8921, '46.35.38.96', '46.35.38.255', 774055520, 774055679, 'US', 'United States'),
(8922, '46.35.39.0', '46.35.39.255', 774055680, 774055935, 'DE', 'Germany'),
(8923, '46.35.40.0', '46.35.47.127', 774055936, 774057855, 'US', 'United States'),
(8924, '46.35.47.128', '46.35.48.95', 774057856, 774058079, 'DE', 'Germany'),
(8925, '46.35.48.96', '46.35.48.111', 774058080, 774058095, 'US', 'United States'),
(8926, '46.35.48.112', '46.35.48.127', 774058096, 774058111, 'DE', 'Germany'),
(8927, '46.35.48.128', '46.35.48.255', 774058112, 774058239, 'US', 'United States'),
(8928, '46.35.49.0', '46.35.49.87', 774058240, 774058327, 'DE', 'Germany'),
(8929, '46.35.49.88', '46.35.49.95', 774058328, 774058335, 'US', 'United States'),
(8930, '46.35.49.96', '46.35.49.119', 774058336, 774058359, 'DE', 'Germany'),
(8931, '46.35.49.120', '46.35.49.127', 774058360, 774058367, 'HR', 'Croatia'),
(8932, '46.35.49.128', '46.35.49.159', 774058368, 774058399, 'US', 'United States'),
(8933, '46.35.49.160', '46.35.50.63', 774058400, 774058559, 'DE', 'Germany'),
(8934, '46.35.50.64', '46.35.50.103', 774058560, 774058599, 'US', 'United States'),
(8935, '46.35.50.104', '46.35.51.63', 774058600, 774058815, 'DE', 'Germany'),
(8936, '46.35.51.64', '46.35.51.95', 774058816, 774058847, 'US', 'United States'),
(8937, '46.35.51.96', '46.35.51.119', 774058848, 774058871, 'DE', 'Germany'),
(8938, '46.35.51.120', '46.35.51.127', 774058872, 774058879, 'US', 'United States'),
(8939, '46.35.51.128', '46.35.52.207', 774058880, 774059215, 'DE', 'Germany'),
(8940, '46.35.52.208', '46.35.52.215', 774059216, 774059223, 'ZA', 'South Africa'),
(8941, '46.35.52.216', '46.35.52.255', 774059224, 774059263, 'US', 'United States'),
(8942, '46.35.53.0', '46.35.53.127', 774059264, 774059391, 'DE', 'Germany'),
(8943, '46.35.53.128', '46.35.53.159', 774059392, 774059423, 'US', 'United States'),
(8944, '46.35.53.160', '46.35.53.191', 774059424, 774059455, 'DE', 'Germany'),
(8945, '46.35.53.192', '46.35.53.255', 774059456, 774059519, 'US', 'United States'),
(8946, '46.35.54.0', '46.35.55.255', 774059520, 774060031, 'DE', 'Germany'),
(8947, '46.35.56.0', '46.35.56.15', 774060032, 774060047, 'ES', 'Spain'),
(8948, '46.35.56.16', '46.35.56.31', 774060048, 774060063, 'DE', 'Germany'),
(8949, '46.35.56.32', '46.35.56.127', 774060064, 774060159, 'US', 'United States'),
(8950, '46.35.56.128', '46.35.58.95', 774060160, 774060639, 'DE', 'Germany'),
(8951, '46.35.58.96', '46.35.58.255', 774060640, 774060799, 'US', 'United States'),
(8952, '46.35.59.0', '46.35.59.207', 774060800, 774061007, 'DE', 'Germany'),
(8953, '46.35.59.208', '46.35.59.223', 774061008, 774061023, 'CZ', 'Czech Republic'),
(8954, '46.35.59.224', '46.35.60.47', 774061024, 774061103, 'DE', 'Germany'),
(8955, '46.35.60.48', '46.35.60.55', 774061104, 774061111, 'GI', 'Gibraltar'),
(8956, '46.35.60.56', '46.35.61.55', 774061112, 774061367, 'DE', 'Germany'),
(8957, '46.35.61.56', '46.35.61.95', 774061368, 774061407, 'US', 'United States'),
(8958, '46.35.61.96', '46.35.61.255', 774061408, 774061567, 'DE', 'Germany'),
(8959, '46.35.62.0', '46.35.62.159', 774061568, 774061727, 'US', 'United States'),
(8960, '46.35.62.160', '46.35.63.191', 774061728, 774062015, 'DE', 'Germany'),
(8961, '46.35.63.192', '46.35.63.223', 774062016, 774062047, 'US', 'United States'),
(8962, '46.35.63.224', '46.35.63.255', 774062048, 774062079, 'DE', 'Germany'),
(8963, '46.35.64.0', '46.35.95.255', 774062080, 774070271, 'YE', 'Yemen'),
(8964, '46.35.96.0', '46.35.127.255', 774070272, 774078463, 'ES', 'Spain'),
(8965, '46.35.128.0', '46.35.159.255', 774078464, 774086655, 'BA', 'Bosnia and Herzegovina'),
(8966, '46.35.160.0', '46.35.191.255', 774086656, 774094847, 'BG', 'Bulgaria'),
(8967, '46.35.192.0', '46.35.223.255', 774094848, 774103039, 'HU', 'Hungary'),
(8968, '46.35.224.0', '46.35.255.255', 774103040, 774111231, 'UA', 'Ukraine'),
(8969, '46.36.0.0', '46.36.31.255', 774111232, 774119423, 'RU', 'Russian Federation'),
(8970, '46.36.32.0', '46.36.63.255', 774119424, 774127615, 'CZ', 'Czech Republic'),
(8971, '46.36.64.0', '46.36.95.255', 774127616, 774135807, 'LT', 'Lithuania'),
(8972, '46.36.96.0', '46.36.127.255', 774135808, 774143999, 'IR', 'Iran, Islamic Republic of'),
(8973, '46.36.128.0', '46.36.159.255', 774144000, 774152191, 'KZ', 'Kazakhstan'),
(8974, '46.36.160.0', '46.36.191.255', 774152192, 774160383, 'BA', 'Bosnia and Herzegovina'),
(8975, '46.36.192.0', '46.36.192.31', 774160384, 774160415, 'VA', 'Holy See (Vatican City State)'),
(8976, '46.36.192.32', '46.36.192.64', 774160416, 774160448, 'LI', 'Liechtenstein'),
(8977, '46.36.192.65', '46.36.192.96', 774160449, 774160480, 'IM', 'Isle of Man'),
(8978, '46.36.192.97', '46.36.192.130', 774160481, 774160514, 'IS', 'Iceland'),
(8979, '46.36.192.131', '46.36.192.163', 774160515, 774160547, 'RU', 'Russian Federation'),
(8980, '46.36.192.164', '46.36.192.196', 774160548, 774160580, 'AE', 'United Arab Emirates'),
(8981, '46.36.192.197', '46.36.192.228', 774160581, 774160612, 'DK', 'Denmark'),
(8982, '46.36.192.229', '46.36.192.255', 774160613, 774160639, 'AT', 'Austria'),
(8983, '46.36.193.0', '46.36.193.31', 774160640, 774160671, 'GI', 'Gibraltar'),
(8984, '46.36.193.32', '46.36.193.62', 774160672, 774160702, 'CY', 'Cyprus'),
(8985, '46.36.193.63', '46.36.193.95', 774160703, 774160735, 'CH', 'Switzerland'),
(8986, '46.36.193.96', '46.36.193.128', 774160736, 774160768, 'GR', 'Greece'),
(8987, '46.36.193.129', '46.36.193.161', 774160769, 774160801, 'IL', 'Israel'),
(8988, '46.36.193.162', '46.36.193.192', 774160802, 774160832, 'BG', 'Bulgaria'),
(8989, '46.36.193.193', '46.36.193.224', 774160833, 774160864, 'NO', 'Norway'),
(8990, '46.36.193.225', '46.36.193.229', 774160865, 774160869, 'BR', 'Brazil'),
(8991, '46.36.193.230', '46.36.193.233', 774160870, 774160873, 'CA', 'Canada'),
(8992, '46.36.193.234', '46.36.193.255', 774160874, 774160895, 'CR', 'Costa Rica'),
(8993, '46.36.194.0', '46.36.194.31', 774160896, 774160927, 'PA', 'Panama'),
(8994, '46.36.194.32', '46.36.194.39', 774160928, 774160935, 'CU', 'Cuba'),
(8995, '46.36.194.40', '46.36.194.50', 774160936, 774160946, 'BS', 'Bahamas'),
(8996, '46.36.194.51', '46.36.194.60', 774160947, 774160956, 'KY', 'Cayman Islands'),
(8997, '46.36.194.61', '46.36.194.70', 774160957, 774160966, 'JM', 'Jamaica'),
(8998, '46.36.194.71', '46.36.194.80', 774160967, 774160976, 'PR', 'Puerto Rico'),
(8999, '46.36.194.81', '46.36.194.90', 774160977, 774160986, 'VG', 'Virgin Islands, British'),
(9000, '46.36.194.91', '46.36.194.100', 774160987, 774160996, 'CO', 'Colombia'),
(9001, '46.36.194.101', '46.36.194.110', 774160997, 774161006, 'GT', 'Guatemala'),
(9002, '46.36.194.111', '46.36.194.120', 774161007, 774161016, 'CN', 'China'),
(9003, '46.36.194.121', '46.36.194.130', 774161017, 774161026, 'EG', 'Egypt'),
(9004, '46.36.194.131', '46.36.194.140', 774161027, 774161036, 'FJ', 'Fiji'),
(9005, '46.36.194.141', '46.36.194.150', 774161037, 774161046, 'IN', 'India'),
(9006, '46.36.194.151', '46.36.194.160', 774161047, 774161056, 'MH', 'Marshall Islands'),
(9007, '46.36.194.161', '46.36.194.170', 774161057, 774161066, 'JP', 'Japan'),
(9008, '46.36.194.171', '46.36.194.180', 774161067, 774161076, 'MX', 'Mexico'),
(9009, '46.36.194.181', '46.36.194.190', 774161077, 774161086, 'NZ', 'New Zealand'),
(9010, '46.36.194.191', '46.36.194.200', 774161087, 774161096, 'MY', 'Malaysia'),
(9011, '46.36.194.201', '46.36.194.210', 774161097, 774161106, 'PE', 'Peru'),
(9012, '46.36.194.211', '46.36.194.220', 774161107, 774161116, 'PH', 'Philippines'),
(9013, '46.36.194.221', '46.36.194.230', 774161117, 774161126, 'SA', 'Saudi Arabia'),
(9014, '46.36.194.231', '46.36.194.240', 774161127, 774161136, 'SC', 'Seychelles'),
(9015, '46.36.194.241', '46.36.194.250', 774161137, 774161146, 'SG', 'Singapore'),
(9016, '46.36.194.251', '46.36.194.253', 774161147, 774161149, 'BY', 'Belarus'),
(9017, '46.36.194.254', '46.36.194.255', 774161150, 774161151, 'VA', 'Holy See (Vatican City State)'),
(9018, '46.36.195.0', '46.36.195.10', 774161152, 774161162, 'AQ', 'Antarctica'),
(9019, '46.36.195.11', '46.36.195.20', 774161163, 774161172, 'KR', 'Korea, Republic of'),
(9020, '46.36.195.21', '46.36.195.30', 774161173, 774161182, 'TH', 'Thailand'),
(9021, '46.36.195.31', '46.36.195.40', 774161183, 774161192, 'QA', 'Qatar'),
(9022, '46.36.195.41', '46.36.195.50', 774161193, 774161202, 'VI', 'Virgin Islands, U.S.'),
(9023, '46.36.195.51', '46.36.195.60', 774161203, 774161212, 'BM', 'Bermuda'),
(9024, '46.36.195.61', '46.36.195.70', 774161213, 774161222, 'BB', 'Barbados'),
(9025, '46.36.195.71', '46.36.195.80', 774161223, 774161232, 'AW', 'Aruba'),
(9026, '46.36.195.81', '46.36.195.90', 774161233, 774161242, 'BZ', 'Belize'),
(9027, '46.36.195.91', '46.36.195.100', 774161243, 774161252, 'MC', 'Monaco'),
(9028, '46.36.195.101', '46.36.195.110', 774161253, 774161262, 'GB', 'United Kingdom'),
(9029, '46.36.195.111', '46.36.195.120', 774161263, 774161272, 'TR', 'Turkey'),
(9030, '46.36.195.121', '46.36.195.130', 774161273, 774161282, 'MT', 'Malta'),
(9031, '46.36.195.131', '46.36.195.140', 774161283, 774161292, 'SE', 'Sweden'),
(9032, '46.36.195.141', '46.36.195.150', 774161293, 774161302, 'US', 'United States'),
(9033, '46.36.195.151', '46.36.195.160', 774161303, 774161312, 'HK', 'Hong Kong'),
(9034, '46.36.195.161', '46.36.195.170', 774161313, 774161322, 'IE', 'Ireland'),
(9035, '46.36.195.171', '46.36.195.180', 774161323, 774161332, 'PK', 'Pakistan'),
(9036, '46.36.195.181', '46.36.195.185', 774161333, 774161337, 'KW', 'Kuwait'),
(9037, '46.36.195.186', '46.36.195.190', 774161338, 774161342, 'JO', 'Jordan'),
(9038, '46.36.195.191', '46.36.195.195', 774161343, 774161347, 'OM', 'Oman'),
(9039, '46.36.195.196', '46.36.195.200', 774161348, 774161352, 'ID', 'Indonesia'),
(9040, '46.36.195.201', '46.36.195.205', 774161353, 774161357, 'TW', 'Taiwan'),
(9041, '46.36.195.206', '46.36.195.210', 774161358, 774161362, 'AI', 'Anguilla'),
(9042, '46.36.195.211', '46.36.195.215', 774161363, 774161367, 'KN', 'Saint Kitts and Nevis'),
(9043, '46.36.195.216', '46.36.195.220', 774161368, 774161372, 'GD', 'Grenada'),
(9044, '46.36.195.221', '46.36.195.225', 774161373, 774161377, 'DO', 'Dominican Republic'),
(9045, '46.36.195.226', '46.36.195.230', 774161378, 774161382, 'PY', 'Paraguay'),
(9046, '46.36.195.231', '46.36.195.235', 774161383, 774161387, 'EE', 'Estonia'),
(9047, '46.36.195.236', '46.36.195.240', 774161388, 774161392, 'LU', 'Luxembourg'),
(9048, '46.36.195.241', '46.36.195.245', 774161393, 774161397, 'SK', 'Slovakia'),
(9049, '46.36.195.246', '46.36.195.250', 774161398, 774161402, 'SI', 'Slovenia'),
(9050, '46.36.195.251', '46.36.195.253', 774161403, 774161405, 'LC', 'Saint Lucia'),
(9051, '46.36.195.254', '46.36.196.0', 774161406, 774161408, 'VA', 'Holy See (Vatican City State)'),
(9052, '46.36.196.1', '46.36.196.10', 774161409, 774161418, 'AU', 'Australia'),
(9053, '46.36.196.11', '46.36.196.20', 774161419, 774161428, 'GL', 'Greenland'),
(9054, '46.36.196.21', '46.36.196.30', 774161429, 774161438, 'HU', 'Hungary'),
(9055, '46.36.196.31', '46.36.196.40', 774161439, 774161448, 'MK', 'Macedonia'),
(9056, '46.36.196.41', '46.36.196.50', 774161449, 774161458, 'PS', 'Palestinian Territory, Occupied'),
(9057, '46.36.196.51', '46.36.196.60', 774161459, 774161468, 'UZ', 'Uzbekistan'),
(9058, '46.36.196.61', '46.36.196.70', 774161469, 774161478, 'MS', 'Montserrat'),
(9059, '46.36.196.71', '46.36.196.80', 774161479, 774161488, 'US', 'United States'),
(9060, '46.36.196.81', '46.36.196.90', 774161489, 774161498, 'MN', 'Mongolia'),
(9061, '46.36.196.91', '46.36.196.110', 774161499, 774161518, 'US', 'United States'),
(9062, '46.36.196.111', '46.36.196.120', 774161519, 774161528, 'TW', 'Taiwan'),
(9063, '46.36.196.121', '46.36.196.130', 774161529, 774161538, 'DO', 'Dominican Republic'),
(9064, '46.36.196.131', '46.36.196.140', 774161539, 774161548, 'PY', 'Paraguay'),
(9065, '46.36.196.141', '46.36.196.150', 774161549, 774161558, 'EE', 'Estonia'),
(9066, '46.36.196.151', '46.36.196.160', 774161559, 774161568, 'SK', 'Slovakia'),
(9067, '46.36.196.161', '46.36.196.170', 774161569, 774161578, 'LC', 'Saint Lucia'),
(9068, '46.36.196.171', '46.36.196.180', 774161579, 774161588, 'VE', 'Venezuela'),
(9069, '46.36.196.181', '46.36.196.190', 774161589, 774161598, 'TC', 'Turks and Caicos Islands'),
(9070, '46.36.196.191', '46.36.196.220', 774161599, 774161628, 'US', 'United States'),
(9071, '46.36.196.221', '46.36.196.230', 774161629, 774161638, 'PA', 'Panama'),
(9072, '46.36.196.231', '46.36.196.240', 774161639, 774161648, 'RU', 'Russian Federation'),
(9073, '46.36.196.241', '46.36.196.250', 774161649, 774161658, 'HK', 'Hong Kong'),
(9074, '46.36.196.251', '46.36.197.0', 774161659, 774161664, 'VA', 'Holy See (Vatican City State)'),
(9075, '46.36.197.1', '46.36.197.10', 774161665, 774161674, 'US', 'United States'),
(9076, '46.36.197.11', '46.36.197.20', 774161675, 774161684, 'CL', 'Chile'),
(9077, '46.36.197.21', '46.36.197.30', 774161685, 774161694, 'GR', 'Greece'),
(9078, '46.36.197.31', '46.36.197.40', 774161695, 774161704, 'AG', 'Antigua and Barbuda'),
(9079, '46.36.197.41', '46.36.197.50', 774161705, 774161714, 'AM', 'Armenia'),
(9080, '46.36.197.51', '46.36.197.60', 774161715, 774161724, 'GB', 'United Kingdom'),
(9081, '46.36.197.61', '46.36.197.70', 774161725, 774161734, 'RO', 'Romania'),
(9082, '46.36.197.71', '46.36.197.80', 774161735, 774161744, 'UA', 'Ukraine'),
(9083, '46.36.197.81', '46.36.197.90', 774161745, 774161754, 'AU', 'Australia'),
(9084, '46.36.197.91', '46.36.197.100', 774161755, 774161764, 'PG', 'Papua New Guinea'),
(9085, '46.36.197.101', '46.36.197.110', 774161765, 774161774, 'ZA', 'South Africa'),
(9086, '46.36.197.111', '46.36.197.120', 774161775, 774161784, 'SN', 'Senegal'),
(9087, '46.36.197.121', '46.36.197.130', 774161785, 774161794, 'MA', 'Morocco'),
(9088, '46.36.197.131', '46.36.197.140', 774161795, 774161804, 'BH', 'Bahrain'),
(9089, '46.36.197.141', '46.36.197.150', 774161805, 774161814, 'JE', 'Jersey'),
(9090, '46.36.197.151', '46.36.197.160', 774161815, 774161824, 'TV', 'Tuvalu'),
(9091, '46.36.197.161', '46.36.197.170', 774161825, 774161834, 'PF', 'French Polynesia'),
(9092, '46.36.197.171', '46.36.197.180', 774161835, 774161844, 'SB', 'Solomon Islands'),
(9093, '46.36.197.181', '46.36.197.190', 774161845, 774161854, 'VU', 'Vanuatu'),
(9094, '46.36.197.191', '46.36.197.200', 774161855, 774161864, 'AN', 'Netherlands Antilles'),
(9095, '46.36.197.201', '46.36.197.205', 774161865, 774161869, 'AR', 'Argentina'),
(9096, '46.36.197.206', '46.36.197.210', 774161870, 774161874, 'ES', 'Spain'),
(9097, '46.36.197.211', '46.36.197.215', 774161875, 774161879, 'GE', 'Georgia'),
(9098, '46.36.197.216', '46.36.197.220', 774161880, 774161884, 'RS', 'Serbia'),
(9099, '46.36.197.221', '46.36.197.225', 774161885, 774161889, 'DE', 'Germany'),
(9100, '46.36.197.226', '46.36.197.230', 774161890, 774161894, 'IT', 'Italy'),
(9101, '46.36.197.231', '46.36.197.235', 774161895, 774161899, 'BE', 'Belgium'),
(9102, '46.36.197.236', '46.36.197.240', 774161900, 774161904, 'FR', 'France'),
(9103, '46.36.197.241', '46.36.197.245', 774161905, 774161909, 'CZ', 'Czech Republic'),
(9104, '46.36.197.246', '46.36.197.250', 774161910, 774161914, 'LT', 'Lithuania'),
(9105, '46.36.197.251', '46.36.197.253', 774161915, 774161917, 'PL', 'Poland'),
(9106, '46.36.197.254', '46.36.198.0', 774161918, 774161920, 'VA', 'Holy See (Vatican City State)'),
(9107, '46.36.198.1', '46.36.198.20', 774161921, 774161940, 'GB', 'United Kingdom'),
(9108, '46.36.198.21', '46.36.198.30', 774161941, 774161950, 'AU', 'Australia'),
(9109, '46.36.198.31', '46.36.198.35', 774161951, 774161955, 'IT', 'Italy'),
(9110, '46.36.198.36', '46.36.198.40', 774161956, 774161960, 'NZ', 'New Zealand'),
(9111, '46.36.198.41', '46.36.198.45', 774161961, 774161965, 'PL', 'Poland'),
(9112, '46.36.198.46', '46.36.198.50', 774161966, 774161970, 'NL', 'Netherlands'),
(9113, '46.36.198.51', '46.36.198.55', 774161971, 774161975, 'CA', 'Canada'),
(9114, '46.36.198.56', '46.36.198.60', 774161976, 774161980, 'US', 'United States'),
(9115, '46.36.198.61', '46.36.198.65', 774161981, 774161985, 'GB', 'United Kingdom'),
(9116, '46.36.198.66', '46.36.198.70', 774161986, 774161990, 'IQ', 'Iraq'),
(9117, '46.36.198.71', '46.36.198.75', 774161991, 774161995, 'LT', 'Lithuania'),
(9118, '46.36.198.76', '46.36.198.80', 774161996, 774162000, 'ER', 'Eritrea'),
(9119, '46.36.198.81', '46.36.198.85', 774162001, 774162005, 'KE', 'Kenya'),
(9120, '46.36.198.86', '46.36.198.90', 774162006, 774162010, 'DE', 'Germany'),
(9121, '46.36.198.91', '46.36.198.95', 774162011, 774162015, 'TN', 'Tunisia'),
(9122, '46.36.198.96', '46.36.198.100', 774162016, 774162020, 'TT', 'Trinidad and Tobago'),
(9123, '46.36.198.101', '46.36.198.105', 774162021, 774162025, 'BO', 'Bolivia'),
(9124, '46.36.198.106', '46.36.198.110', 774162026, 774162030, 'CH', 'Switzerland'),
(9125, '46.36.198.111', '46.36.198.115', 774162031, 774162035, 'AU', 'Australia'),
(9126, '46.36.198.116', '46.36.198.120', 774162036, 774162040, 'AL', 'Albania'),
(9127, '46.36.198.121', '46.36.198.125', 774162041, 774162045, 'AD', 'Andorra'),
(9128, '46.36.198.126', '46.36.198.130', 774162046, 774162050, 'HR', 'Croatia'),
(9129, '46.36.198.131', '46.36.198.135', 774162051, 774162055, 'ME', 'Montenegro'),
(9130, '46.36.198.136', '46.36.198.140', 774162056, 774162060, 'SY', 'Syrian Arab Republic'),
(9131, '46.36.198.141', '46.36.198.145', 774162061, 774162065, 'US', 'United States'),
(9132, '46.36.198.146', '46.36.198.150', 774162066, 774162070, 'HT', 'Haiti'),
(9133, '46.36.198.151', '46.36.198.155', 774162071, 774162075, 'EC', 'Ecuador'),
(9134, '46.36.198.156', '46.36.198.160', 774162076, 774162080, 'SH', 'Saint Helena'),
(9135, '46.36.198.161', '46.36.198.165', 774162081, 774162085, 'ZM', 'Zambia'),
(9136, '46.36.198.166', '46.36.198.170', 774162086, 774162090, 'KH', 'Cambodia'),
(9137, '46.36.198.171', '46.36.198.175', 774162091, 774162095, 'VN', 'Vietnam'),
(9138, '46.36.198.176', '46.36.198.180', 774162096, 774162100, 'FM', 'Micronesia, Federated States of'),
(9139, '46.36.198.181', '46.36.198.185', 774162101, 774162105, 'US', 'United States'),
(9140, '46.36.198.186', '46.36.198.190', 774162106, 774162110, 'GB', 'United Kingdom'),
(9141, '46.36.198.191', '46.36.198.195', 774162111, 774162115, 'SO', 'Somalia'),
(9142, '46.36.198.196', '46.36.198.200', 774162116, 774162120, 'FI', 'Finland'),
(9143, '46.36.198.201', '46.36.198.205', 774162121, 774162125, 'DZ', 'Algeria'),
(9144, '46.36.198.206', '46.36.198.210', 774162126, 774162130, 'MO', 'Macau'),
(9145, '46.36.198.211', '46.36.198.215', 774162131, 774162135, 'MR', 'Mauritania'),
(9146, '46.36.198.216', '46.36.198.220', 774162136, 774162140, 'CM', 'Cameroon'),
(9147, '46.36.198.221', '46.36.198.225', 774162141, 774162145, 'SV', 'El Salvador'),
(9148, '46.36.198.226', '46.36.198.230', 774162146, 774162150, 'HN', 'Honduras'),
(9149, '46.36.198.231', '46.36.198.235', 774162151, 774162155, 'US', 'United States'),
(9150, '46.36.198.236', '46.36.198.240', 774162156, 774162160, 'UY', 'Uruguay'),
(9151, '46.36.198.241', '46.36.198.245', 774162161, 774162165, 'LV', 'Latvia'),
(9152, '46.36.198.246', '46.36.198.250', 774162166, 774162170, 'MD', 'Moldova, Republic of'),
(9153, '46.36.198.251', '46.36.198.253', 774162171, 774162173, 'GB', 'United Kingdom'),
(9154, '46.36.198.254', '46.36.199.0', 774162174, 774162176, 'VA', 'Holy See (Vatican City State)'),
(9155, '46.36.199.1', '46.36.199.5', 774162177, 774162181, 'LK', 'Sri Lanka'),
(9156, '46.36.199.6', '46.36.199.10', 774162182, 774162186, 'IE', 'Ireland'),
(9157, '46.36.199.11', '46.36.199.20', 774162187, 774162196, 'EH', 'Western Sahara'),
(9158, '46.36.199.21', '46.36.199.30', 774162197, 774162206, 'NA', 'Namibia'),
(9159, '46.36.199.31', '46.36.199.40', 774162207, 774162216, 'CX', 'Christmas Island'),
(9160, '46.36.199.41', '46.36.199.60', 774162217, 774162236, 'GB', 'United Kingdom'),
(9161, '46.36.199.61', '46.36.199.70', 774162237, 774162246, 'CH', 'Switzerland'),
(9162, '46.36.199.71', '46.36.199.90', 774162247, 774162266, 'US', 'United States'),
(9163, '46.36.199.91', '46.36.199.100', 774162267, 774162276, 'PT', 'Portugal'),
(9164, '46.36.199.101', '46.36.199.110', 774162277, 774162286, 'AE', 'United Arab Emirates'),
(9165, '46.36.199.111', '46.36.199.120', 774162287, 774162296, 'IO', 'British Indian Ocean Territory'),
(9166, '46.36.199.121', '46.36.199.130', 774162297, 774162306, 'GB', 'United Kingdom'),
(9167, '46.36.199.131', '46.36.199.140', 774162307, 774162316, 'RE', 'Reunion'),
(9168, '46.36.199.141', '46.36.199.150', 774162317, 774162326, 'TK', 'Tokelau'),
(9169, '46.36.199.151', '46.36.199.160', 774162327, 774162336, 'CV', 'Cape Verde'),
(9170, '46.36.199.161', '46.36.199.170', 774162337, 774162346, 'AZ', 'Azerbaijan'),
(9171, '46.36.199.171', '46.36.199.190', 774162347, 774162366, 'US', 'United States'),
(9172, '46.36.199.191', '46.36.199.200', 774162367, 774162376, 'MX', 'Mexico'),
(9173, '46.36.199.201', '46.36.199.210', 774162377, 774162386, 'GB', 'United Kingdom'),
(9174, '46.36.199.211', '46.36.199.220', 774162387, 774162396, 'ZW', 'Zimbabwe'),
(9175, '46.36.199.221', '46.36.199.230', 774162397, 774162406, 'SZ', 'Swaziland'),
(9176, '46.36.199.231', '46.36.199.240', 774162407, 774162416, 'SD', 'Sudan'),
(9177, '46.36.199.241', '46.36.199.250', 774162417, 774162426, 'BF', 'Burkina Faso'),
(9178, '46.36.199.251', '46.36.200.0', 774162427, 774162432, 'VA', 'Holy See (Vatican City State)'),
(9179, '46.36.200.1', '46.36.200.10', 774162433, 774162442, 'GB', 'United Kingdom'),
(9180, '46.36.200.11', '46.36.200.20', 774162443, 774162452, 'BA', 'Bosnia and Herzegovina'),
(9181, '46.36.200.21', '46.36.200.30', 774162453, 774162462, 'WS', 'Samoa'),
(9182, '46.36.200.31', '46.36.200.40', 774162463, 774162472, 'SR', 'Suriname'),
(9183, '46.36.200.41', '46.36.200.51', 774162473, 774162483, 'PT', 'Portugal'),
(9184, '46.36.200.52', '46.36.200.60', 774162484, 774162492, 'CK', 'Cook Islands'),
(9185, '46.36.200.61', '46.36.200.70', 774162493, 774162502, 'KI', 'Kiribati'),
(9186, '46.36.200.71', '46.36.200.80', 774162503, 774162512, 'NU', 'Niue'),
(9187, '46.36.200.81', '46.36.200.90', 774162513, 774162522, 'TO', 'Tonga'),
(9188, '46.36.200.91', '46.36.200.100', 774162523, 774162532, 'CL', 'Chile'),
(9189, '46.36.200.101', '46.36.200.110', 774162533, 774162542, 'TF', 'French Southern Territories'),
(9190, '46.36.200.111', '46.36.200.120', 774162543, 774162552, 'GG', 'Guernsey'),
(9191, '46.36.200.121', '46.36.200.130', 774162553, 774162562, 'LR', 'Liberia'),
(9192, '46.36.200.131', '46.36.200.140', 774162563, 774162572, 'MQ', 'Martinique'),
(9193, '46.36.200.141', '46.36.200.150', 774162573, 774162582, 'YT', 'Mayotte'),
(9194, '46.36.200.151', '46.36.200.160', 774162583, 774162592, 'NC', 'New Caledonia'),
(9195, '46.36.200.161', '46.36.200.170', 774162593, 774162602, 'NG', 'Nigeria'),
(9196, '46.36.200.171', '46.36.200.195', 774162603, 774162627, 'US', 'United States'),
(9197, '46.36.200.196', '46.36.200.205', 774162628, 774162637, 'GB', 'United Kingdom'),
(9198, '46.36.200.206', '46.36.200.210', 774162638, 774162642, 'NF', 'Norfolk Island'),
(9199, '46.36.200.211', '46.36.200.255', 774162643, 774162687, 'US', 'United States'),
(9200, '46.36.201.0', '46.36.201.0', 774162688, 774162688, 'VA', 'Holy See (Vatican City State)'),
(9201, '46.36.201.1', '46.36.201.90', 774162689, 774162778, 'US', 'United States'),
(9202, '46.36.201.91', '46.36.201.110', 774162779, 774162798, 'CA', 'Canada'),
(9203, '46.36.201.111', '46.36.201.115', 774162799, 774162803, 'BN', 'Brunei Darussalam'),
(9204, '46.36.201.116', '46.36.201.120', 774162804, 774162808, 'TM', 'Turkmenistan'),
(9205, '46.36.201.121', '46.36.201.125', 774162809, 774162813, 'US', 'United States'),
(9206, '46.36.201.126', '46.36.201.130', 774162814, 774162818, 'IT', 'Italy'),
(9207, '46.36.201.131', '46.36.201.135', 774162819, 774162823, 'KZ', 'Kazakhstan'),
(9208, '46.36.201.136', '46.36.201.140', 774162824, 774162828, 'MV', 'Maldives'),
(9209, '46.36.201.141', '46.36.201.145', 774162829, 774162833, 'PN', 'Pitcairn Islands'),
(9210, '46.36.201.146', '46.36.201.150', 774162834, 774162838, 'SM', 'San Marino'),
(9211, '46.36.201.151', '46.36.201.160', 774162839, 774162848, 'GB', 'United Kingdom'),
(9212, '46.36.201.161', '46.36.201.165', 774162849, 774162853, 'AU', 'Australia'),
(9213, '46.36.201.166', '46.36.201.170', 774162854, 774162858, 'NL', 'Netherlands'),
(9214, '46.36.201.171', '46.36.201.175', 774162859, 774162863, 'IE', 'Ireland'),
(9215, '46.36.201.176', '46.36.201.200', 774162864, 774162888, 'US', 'United States'),
(9216, '46.36.201.201', '46.36.201.205', 774162889, 774162893, 'CA', 'Canada'),
(9217, '46.36.201.206', '46.36.201.215', 774162894, 774162903, 'MX', 'Mexico'),
(9218, '46.36.201.216', '46.36.201.220', 774162904, 774162908, 'GB', 'United Kingdom'),
(9219, '46.36.201.221', '46.36.201.255', 774162909, 774162943, 'VA', 'Holy See (Vatican City State)'),
(9220, '46.36.202.0', '46.36.202.255', 774162944, 774163199, 'CH', 'Switzerland'),
(9221, '46.36.203.0', '46.36.203.5', 774163200, 774163205, 'VA', 'Holy See (Vatican City State)'),
(9222, '46.36.203.6', '46.36.203.9', 774163206, 774163209, 'AU', 'Australia'),
(9223, '46.36.203.10', '46.36.203.10', 774163210, 774163210, 'VA', 'Holy See (Vatican City State)'),
(9224, '46.36.203.11', '46.36.203.14', 774163211, 774163214, 'TD', 'Chad'),
(9225, '46.36.203.15', '46.36.203.15', 774163215, 774163215, 'VA', 'Holy See (Vatican City State)'),
(9226, '46.36.203.16', '46.36.203.19', 774163216, 774163219, 'CD', 'Congo, The Democratic Republic of the'),
(9227, '46.36.203.20', '46.36.203.20', 774163220, 774163220, 'VA', 'Holy See (Vatican City State)'),
(9228, '46.36.203.21', '46.36.203.24', 774163221, 774163224, 'DJ', 'Djibouti'),
(9229, '46.36.203.25', '46.36.203.25', 774163225, 774163225, 'VA', 'Holy See (Vatican City State)'),
(9230, '46.36.203.26', '46.36.203.29', 774163226, 774163229, 'CF', 'Central African Republic'),
(9231, '46.36.203.30', '46.36.203.30', 774163230, 774163230, 'VA', 'Holy See (Vatican City State)'),
(9232, '46.36.203.31', '46.36.203.34', 774163231, 774163234, 'HM', 'Heard Island and McDonald Islands'),
(9233, '46.36.203.35', '46.36.203.40', 774163235, 774163240, 'VA', 'Holy See (Vatican City State)'),
(9234, '46.36.203.41', '46.36.203.44', 774163241, 774163244, 'VC', 'Saint Vincent and the Grenadines'),
(9235, '46.36.203.45', '46.36.203.45', 774163245, 774163245, 'VA', 'Holy See (Vatican City State)'),
(9236, '46.36.203.46', '46.36.203.49', 774163246, 774163249, 'PM', 'Saint Pierre and Miquelon'),
(9237, '46.36.203.50', '46.36.203.55', 774163250, 774163255, 'VA', 'Holy See (Vatican City State)'),
(9238, '46.36.203.56', '46.36.203.59', 774163256, 774163259, 'DM', 'Dominica'),
(9239, '46.36.203.60', '46.36.203.60', 774163260, 774163260, 'VA', 'Holy See (Vatican City State)'),
(9240, '46.36.203.61', '46.36.203.64', 774163261, 774163264, 'KM', 'Comoros'),
(9241, '46.36.203.65', '46.36.203.65', 774163265, 774163265, 'VA', 'Holy See (Vatican City State)'),
(9242, '46.36.203.66', '46.36.203.69', 774163266, 774163269, 'TZ', 'Tanzania, United Republic of'),
(9243, '46.36.203.70', '46.36.203.70', 774163270, 774163270, 'VA', 'Holy See (Vatican City State)'),
(9244, '46.36.203.71', '46.36.203.74', 774163271, 774163274, 'ST', 'Sao Tome and Principe'),
(9245, '46.36.203.75', '46.36.203.75', 774163275, 774163275, 'VA', 'Holy See (Vatican City State)'),
(9246, '46.36.203.76', '46.36.203.79', 774163276, 774163279, 'GB', 'United Kingdom'),
(9247, '46.36.203.80', '46.36.203.80', 774163280, 774163280, 'VA', 'Holy See (Vatican City State)'),
(9248, '46.36.203.81', '46.36.203.84', 774163281, 774163284, 'KP', 'Korea, Democratic People''s Republic of'),
(9249, '46.36.203.85', '46.36.203.85', 774163285, 774163285, 'VA', 'Holy See (Vatican City State)'),
(9250, '46.36.203.86', '46.36.203.89', 774163286, 774163289, 'FK', 'Falkland Islands (Malvinas)'),
(9251, '46.36.203.90', '46.36.223.255', 774163290, 774168575, 'VA', 'Holy See (Vatican City State)'),
(9252, '46.36.224.0', '46.36.255.255', 774168576, 774176767, 'PL', 'Poland'),
(9253, '46.37.0.0', '46.37.31.255', 774176768, 774184959, 'IT', 'Italy'),
(9254, '46.37.32.0', '46.37.63.255', 774184960, 774193151, 'GB', 'United Kingdom'),
(9255, '46.37.64.0', '46.37.127.255', 774193152, 774209535, 'ES', 'Spain'),
(9256, '46.37.128.0', '46.37.159.255', 774209536, 774217727, 'RU', 'Russian Federation'),
(9257, '46.37.160.0', '46.37.191.255', 774217728, 774225919, 'GB', 'United Kingdom'),
(9258, '46.37.192.0', '46.37.223.255', 774225920, 774234111, 'UA', 'Ukraine'),
(9259, '46.37.224.0', '46.37.255.255', 774234112, 774242303, 'IT', 'Italy'),
(9260, '46.38.0.0', '46.38.63.255', 774242304, 774258687, 'RU', 'Russian Federation'),
(9261, '46.38.64.0', '46.38.95.255', 774258688, 774266879, 'SA', 'Saudi Arabia'),
(9262, '46.38.96.0', '46.38.127.255', 774266880, 774275071, 'RU', 'Russian Federation'),
(9263, '46.38.128.0', '46.38.158.255', 774275072, 774283007, 'IR', 'Iran, Islamic Republic of'),
(9264, '46.38.159.0', '46.38.191.255', 774283008, 774291455, 'GB', 'United Kingdom'),
(9265, '46.38.192.0', '46.38.223.255', 774291456, 774299647, 'NL', 'Netherlands'),
(9266, '46.38.224.0', '46.38.255.255', 774299648, 774307839, 'DE', 'Germany'),
(9267, '46.39.0.0', '46.39.63.255', 774307840, 774324223, 'RU', 'Russian Federation'),
(9268, '46.39.64.0', '46.39.95.255', 774324224, 774332415, 'UA', 'Ukraine'),
(9269, '46.39.96.0', '46.39.127.255', 774332416, 774340607, 'SE', 'Sweden'),
(9270, '46.39.128.0', '46.39.159.255', 774340608, 774348799, 'EE', 'Estonia'),
(9271, '46.39.160.0', '46.39.191.255', 774348800, 774356991, 'CZ', 'Czech Republic'),
(9272, '46.39.192.0', '46.39.223.255', 774356992, 774365183, 'ES', 'Spain'),
(9273, '46.39.224.0', '46.39.255.255', 774365184, 774373375, 'RU', 'Russian Federation'),
(9274, '46.40.0.0', '46.40.63.255', 774373376, 774389759, 'RS', 'Serbia'),
(9275, '46.40.64.0', '46.40.127.255', 774389760, 774406143, 'BG', 'Bulgaria'),
(9276, '46.40.128.0', '46.40.191.255', 774406144, 774422527, 'IT', 'Italy'),
(9277, '46.40.192.0', '46.40.255.255', 774422528, 774438911, 'OM', 'Oman'),
(9278, '46.41.0.0', '46.41.63.255', 774438912, 774455295, 'DE', 'Germany'),
(9279, '46.41.64.0', '46.41.127.255', 774455296, 774471679, 'RU', 'Russian Federation'),
(9280, '46.41.128.0', '46.41.191.255', 774471680, 774488063, 'PL', 'Poland'),
(9281, '46.41.192.0', '46.41.255.255', 774488064, 774504447, 'RO', 'Romania'),
(9282, '46.42.0.0', '46.42.63.255', 774504448, 774520831, 'RU', 'Russian Federation'),
(9283, '46.42.64.0', '46.42.127.255', 774520832, 774537215, 'BH', 'Bahrain'),
(9284, '46.42.128.0', '46.42.191.255', 774537216, 774553599, 'RU', 'Russian Federation'),
(9285, '46.42.192.0', '46.42.255.255', 774553600, 774569983, 'RO', 'Romania'),
(9286, '46.43.0.0', '46.43.36.95', 774569984, 774579295, 'GB', 'United Kingdom'),
(9287, '46.43.36.96', '46.43.36.127', 774579296, 774579327, 'IT', 'Italy'),
(9288, '46.43.36.128', '46.43.63.255', 774579328, 774586367, 'GB', 'United Kingdom'),
(9289, '46.43.64.0', '46.43.127.255', 774586368, 774602751, 'PS', 'Palestinian Territory, Occupied'),
(9290, '46.43.128.0', '46.43.191.255', 774602752, 774619135, 'GB', 'United Kingdom'),
(9291, '46.43.192.0', '46.44.63.255', 774619136, 774651903, 'RU', 'Russian Federation'),
(9292, '46.44.64.0', '46.44.127.255', 774651904, 774668287, 'SA', 'Saudi Arabia'),
(9293, '46.44.128.0', '46.44.191.255', 774668288, 774684671, 'NL', 'Netherlands'),
(9294, '46.44.192.0', '46.44.255.255', 774684672, 774701055, 'IT', 'Italy'),
(9295, '46.45.0.0', '46.45.63.255', 774701056, 774717439, 'RU', 'Russian Federation'),
(9296, '46.45.64.0', '46.45.127.255', 774717440, 774733823, 'PL', 'Poland'),
(9297, '46.45.128.0', '46.45.191.255', 774733824, 774750207, 'TR', 'Turkey'),
(9298, '46.45.192.0', '46.46.63.255', 774750208, 774782975, 'RU', 'Russian Federation'),
(9299, '46.46.64.0', '46.46.127.255', 774782976, 774799359, 'UA', 'Ukraine'),
(9300, '46.46.128.0', '46.46.191.255', 774799360, 774815743, 'RU', 'Russian Federation'),
(9301, '46.46.192.0', '46.46.255.255', 774815744, 774832127, 'NO', 'Norway'),
(9302, '46.47.0.0', '46.47.63.255', 774832128, 774848511, 'RU', 'Russian Federation'),
(9303, '46.47.64.0', '46.47.127.255', 774848512, 774864895, 'BG', 'Bulgaria'),
(9304, '46.47.128.0', '46.47.191.255', 774864896, 774881279, 'CZ', 'Czech Republic'),
(9305, '46.47.192.0', '46.48.255.255', 774881280, 774963199, 'RU', 'Russian Federation'),
(9306, '46.49.0.0', '46.49.127.255', 774963200, 774995967, 'GE', 'Georgia'),
(9307, '46.49.128.0', '46.49.255.255', 774995968, 775028735, 'RO', 'Romania'),
(9308, '46.50.0.0', '46.50.127.255', 775028736, 775061503, 'PT', 'Portugal'),
(9309, '46.50.128.0', '46.50.255.255', 775061504, 775094271, 'RU', 'Russian Federation'),
(9310, '46.51.0.0', '46.51.127.255', 775094272, 775127039, 'RO', 'Romania'),
(9311, '46.51.128.0', '46.51.215.254', 775127040, 775149566, 'IE', 'Ireland'),
(9312, '46.51.215.255', '46.51.215.255', 775149567, 775149567, 'NL', 'Netherlands'),
(9313, '46.51.216.0', '46.51.247.255', 775149568, 775157759, 'IE', 'Ireland'),
(9314, '46.51.248.0', '46.51.254.255', 775157760, 775159551, 'JP', 'Japan'),
(9315, '46.51.255.0', '46.51.255.255', 775159552, 775159807, 'IE', 'Ireland'),
(9316, '46.52.0.0', '46.52.127.255', 775159808, 775192575, 'SA', 'Saudi Arabia'),
(9317, '46.52.128.0', '46.52.255.255', 775192576, 775225343, 'RU', 'Russian Federation'),
(9318, '46.53.0.0', '46.53.127.255', 775225344, 775258111, 'SY', 'Syrian Arab Republic'),
(9319, '46.53.128.0', '46.53.255.255', 775258112, 775290879, 'BY', 'Belarus'),
(9320, '46.54.0.0', '46.54.127.255', 775290880, 775323647, 'MT', 'Malta'),
(9321, '46.54.128.0', '46.54.255.255', 775323648, 775356415, 'SI', 'Slovenia'),
(9322, '46.55.0.0', '46.55.127.255', 775356416, 775389183, 'MD', 'Moldova, Republic of'),
(9323, '46.55.128.0', '46.55.255.255', 775389184, 775421951, 'BG', 'Bulgaria'),
(9324, '46.56.0.0', '46.56.255.255', 775421952, 775487487, 'BY', 'Belarus'),
(9325, '46.57.0.0', '46.57.127.255', 775487488, 775520255, 'AT', 'Austria'),
(9326, '46.57.128.0', '46.57.255.255', 775520256, 775553023, 'SY', 'Syrian Arab Republic'),
(9327, '46.58.0.0', '46.58.15.255', 775553024, 775557119, 'EU', 'Europe'),
(9328, '46.58.16.0', '46.58.16.255', 775557120, 775557375, 'CH', 'Switzerland'),
(9329, '46.58.17.0', '46.58.63.255', 775557376, 775569407, 'EU', 'Europe'),
(9330, '46.58.64.0', '46.58.64.255', 775569408, 775569663, 'US', 'United States'),
(9331, '46.58.65.0', '46.58.127.255', 775569664, 775585791, 'EU', 'Europe'),
(9332, '46.58.128.0', '46.58.255.255', 775585792, 775618559, 'SY', 'Syrian Arab Republic'),
(9333, '46.59.0.0', '46.59.87.255', 775618560, 775641087, 'SE', 'Sweden'),
(9334, '46.59.88.0', '46.59.88.31', 775641088, 775641119, 'FI', 'Finland'),
(9335, '46.59.88.32', '46.59.88.127', 775641120, 775641215, 'SE', 'Sweden'),
(9336, '46.59.88.128', '46.59.88.191', 775641216, 775641279, 'GB', 'United Kingdom'),
(9337, '46.59.88.192', '46.59.88.255', 775641280, 775641343, 'DE', 'Germany'),
(9338, '46.59.89.0', '46.59.89.31', 775641344, 775641375, 'FI', 'Finland'),
(9339, '46.59.89.32', '46.59.89.127', 775641376, 775641471, 'SE', 'Sweden'),
(9340, '46.59.89.128', '46.59.89.191', 775641472, 775641535, 'GB', 'United Kingdom'),
(9341, '46.59.89.192', '46.59.89.255', 775641536, 775641599, 'DE', 'Germany'),
(9342, '46.59.90.0', '46.59.90.31', 775641600, 775641631, 'FI', 'Finland'),
(9343, '46.59.90.32', '46.59.90.127', 775641632, 775641727, 'SE', 'Sweden'),
(9344, '46.59.90.128', '46.59.90.191', 775641728, 775641791, 'GB', 'United Kingdom'),
(9345, '46.59.90.192', '46.59.90.255', 775641792, 775641855, 'DE', 'Germany'),
(9346, '46.59.91.0', '46.59.91.31', 775641856, 775641887, 'FI', 'Finland'),
(9347, '46.59.91.32', '46.59.91.127', 775641888, 775641983, 'SE', 'Sweden'),
(9348, '46.59.91.128', '46.59.91.191', 775641984, 775642047, 'GB', 'United Kingdom'),
(9349, '46.59.91.192', '46.59.91.255', 775642048, 775642111, 'DE', 'Germany'),
(9350, '46.59.92.0', '46.59.92.31', 775642112, 775642143, 'FI', 'Finland'),
(9351, '46.59.92.32', '46.59.92.127', 775642144, 775642239, 'SE', 'Sweden'),
(9352, '46.59.92.128', '46.59.92.191', 775642240, 775642303, 'GB', 'United Kingdom'),
(9353, '46.59.92.192', '46.59.92.255', 775642304, 775642367, 'DE', 'Germany'),
(9354, '46.59.93.0', '46.59.93.31', 775642368, 775642399, 'FI', 'Finland'),
(9355, '46.59.93.32', '46.59.93.127', 775642400, 775642495, 'SE', 'Sweden'),
(9356, '46.59.93.128', '46.59.93.191', 775642496, 775642559, 'GB', 'United Kingdom'),
(9357, '46.59.93.192', '46.59.93.255', 775642560, 775642623, 'DE', 'Germany'),
(9358, '46.59.94.0', '46.59.94.31', 775642624, 775642655, 'FI', 'Finland'),
(9359, '46.59.94.32', '46.59.94.127', 775642656, 775642751, 'SE', 'Sweden'),
(9360, '46.59.94.128', '46.59.94.191', 775642752, 775642815, 'GB', 'United Kingdom'),
(9361, '46.59.94.192', '46.59.94.255', 775642816, 775642879, 'DE', 'Germany'),
(9362, '46.59.95.0', '46.59.95.31', 775642880, 775642911, 'FI', 'Finland'),
(9363, '46.59.95.32', '46.59.95.127', 775642912, 775643007, 'SE', 'Sweden'),
(9364, '46.59.95.128', '46.59.95.191', 775643008, 775643071, 'GB', 'United Kingdom'),
(9365, '46.59.95.192', '46.59.95.255', 775643072, 775643135, 'DE', 'Germany'),
(9366, '46.59.96.0', '46.59.106.255', 775643136, 775645951, 'SE', 'Sweden'),
(9367, '46.59.107.0', '46.59.107.255', 775645952, 775646207, 'NO', 'Norway'),
(9368, '46.59.108.0', '46.59.127.255', 775646208, 775651327, 'SE', 'Sweden'),
(9369, '46.59.128.0', '46.59.255.255', 775651328, 775684095, 'DE', 'Germany'),
(9370, '46.60.0.0', '46.60.127.255', 775684096, 775716863, 'PS', 'Palestinian Territory, Occupied'),
(9371, '46.60.128.0', '46.60.255.255', 775716864, 775749631, 'GB', 'United Kingdom'),
(9372, '46.61.0.0', '46.62.127.255', 775749632, 775847935, 'RU', 'Russian Federation'),
(9373, '46.62.128.0', '46.62.255.255', 775847936, 775880703, 'RO', 'Romania'),
(9374, '46.63.0.0', '46.63.127.255', 775880704, 775913471, 'UA', 'Ukraine'),
(9375, '46.63.128.0', '46.63.255.255', 775913472, 775946239, 'RU', 'Russian Federation'),
(9376, '46.64.0.0', '46.65.255.255', 775946240, 776077311, 'GB', 'United Kingdom'),
(9377, '46.66.0.0', '46.67.255.255', 776077312, 776208383, 'NO', 'Norway'),
(9378, '46.68.0.0', '46.69.255.255', 776208384, 776339455, 'GB', 'United Kingdom'),
(9379, '46.70.0.0', '46.71.255.255', 776339456, 776470527, 'AM', 'Armenia'),
(9380, '46.72.0.0', '46.73.255.255', 776470528, 776601599, 'RU', 'Russian Federation'),
(9381, '46.74.0.0', '46.75.255.255', 776601600, 776732671, 'AT', 'Austria'),
(9382, '46.76.0.0', '46.77.255.255', 776732672, 776863743, 'PL', 'Poland'),
(9383, '46.78.0.0', '46.95.255.255', 776863744, 778043391, 'DE', 'Germany'),
(9384, '46.97.0.0', '46.97.255.255', 778108928, 778174463, 'RO', 'Romania'),
(9385, '46.98.0.0', '46.98.255.255', 778174464, 778239999, 'UA', 'Ukraine'),
(9386, '46.99.0.0', '46.99.255.255', 778240000, 778305535, 'AL', 'Albania'),
(9387, '46.100.0.0', '46.100.255.255', 778305536, 778371071, 'IR', 'Iran, Islamic Republic of'),
(9388, '46.101.0.0', '46.101.255.255', 778371072, 778436607, 'RU', 'Russian Federation'),
(9389, '46.102.0.0', '46.102.239.255', 778436608, 778498047, 'RO', 'Romania'),
(9390, '46.102.240.0', '46.102.247.255', 778498048, 778500095, 'NL', 'Netherlands'),
(9391, '46.102.248.0', '46.102.255.255', 778500096, 778502143, 'RO', 'Romania'),
(9392, '46.103.0.0', '46.103.255.255', 778502144, 778567679, 'GR', 'Greece'),
(9393, '46.104.0.0', '46.104.255.255', 778567680, 778633215, 'TR', 'Turkey'),
(9394, '46.105.0.0', '46.105.18.255', 778633216, 778638079, 'FR', 'France'),
(9395, '46.105.19.0', '46.105.19.255', 778638080, 778638335, 'IT', 'Italy'),
(9396, '46.105.20.0', '46.105.20.255', 778638336, 778638591, 'ES', 'Spain'),
(9397, '46.105.21.0', '46.105.22.127', 778638592, 778638975, 'FR', 'France'),
(9398, '46.105.22.128', '46.105.22.255', 778638976, 778639103, 'CZ', 'Czech Republic'),
(9399, '46.105.23.0', '46.105.23.127', 778639104, 778639231, 'LT', 'Lithuania'),
(9400, '46.105.23.128', '46.105.23.255', 778639232, 778639359, 'FI', 'Finland'),
(9401, '46.105.24.0', '46.105.24.255', 778639360, 778639615, 'ES', 'Spain'),
(9402, '46.105.25.0', '46.105.25.255', 778639616, 778639871, 'PL', 'Poland'),
(9403, '46.105.26.0', '46.105.26.255', 778639872, 778640127, 'DE', 'Germany'),
(9404, '46.105.27.0', '46.105.27.255', 778640128, 778640383, 'GB', 'United Kingdom'),
(9405, '46.105.28.0', '46.105.28.255', 778640384, 778640639, 'IT', 'Italy'),
(9406, '46.105.29.0', '46.105.29.255', 778640640, 778640895, 'PT', 'Portugal'),
(9407, '46.105.30.0', '46.105.30.255', 778640896, 778641151, 'NL', 'Netherlands'),
(9408, '46.105.31.0', '46.105.31.255', 778641152, 778641407, 'IE', 'Ireland'),
(9409, '46.105.32.0', '46.105.127.255', 778641408, 778665983, 'FR', 'France'),
(9410, '46.105.128.0', '46.105.128.31', 778665984, 778666015, 'BE', 'Belgium'),
(9411, '46.105.128.32', '46.105.128.47', 778666016, 778666031, 'FR', 'France'),
(9412, '46.105.128.48', '46.105.128.63', 778666032, 778666047, 'PL', 'Poland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(9413, '46.105.128.64', '46.105.128.79', 778666048, 778666063, 'FR', 'France'),
(9414, '46.105.128.80', '46.105.128.95', 778666064, 778666079, 'IE', 'Ireland'),
(9415, '46.105.128.96', '46.105.128.111', 778666080, 778666095, 'FR', 'France'),
(9416, '46.105.128.112', '46.105.128.115', 778666096, 778666099, 'PL', 'Poland'),
(9417, '46.105.128.116', '46.105.128.119', 778666100, 778666103, 'LT', 'Lithuania'),
(9418, '46.105.128.120', '46.105.128.123', 778666104, 778666107, 'GB', 'United Kingdom'),
(9419, '46.105.128.124', '46.105.128.127', 778666108, 778666111, 'IE', 'Ireland'),
(9420, '46.105.128.128', '46.105.128.135', 778666112, 778666119, 'FR', 'France'),
(9421, '46.105.128.136', '46.105.128.139', 778666120, 778666123, 'GB', 'United Kingdom'),
(9422, '46.105.128.140', '46.105.128.143', 778666124, 778666127, 'FR', 'France'),
(9423, '46.105.128.144', '46.105.128.159', 778666128, 778666143, 'PL', 'Poland'),
(9424, '46.105.128.160', '46.105.128.167', 778666144, 778666151, 'FR', 'France'),
(9425, '46.105.128.168', '46.105.128.171', 778666152, 778666155, 'GB', 'United Kingdom'),
(9426, '46.105.128.172', '46.105.128.175', 778666156, 778666159, 'ES', 'Spain'),
(9427, '46.105.128.176', '46.105.128.207', 778666160, 778666191, 'FR', 'France'),
(9428, '46.105.128.208', '46.105.128.255', 778666192, 778666239, 'PL', 'Poland'),
(9429, '46.105.129.0', '46.105.129.7', 778666240, 778666247, 'GB', 'United Kingdom'),
(9430, '46.105.129.8', '46.105.129.19', 778666248, 778666259, 'FR', 'France'),
(9431, '46.105.129.20', '46.105.129.23', 778666260, 778666263, 'PL', 'Poland'),
(9432, '46.105.129.24', '46.105.129.31', 778666264, 778666271, 'CH', 'Switzerland'),
(9433, '46.105.129.32', '46.105.129.47', 778666272, 778666287, 'FR', 'France'),
(9434, '46.105.129.48', '46.105.129.55', 778666288, 778666295, 'GB', 'United Kingdom'),
(9435, '46.105.129.56', '46.105.129.59', 778666296, 778666299, 'ES', 'Spain'),
(9436, '46.105.129.60', '46.105.129.63', 778666300, 778666303, 'GB', 'United Kingdom'),
(9437, '46.105.129.64', '46.105.129.127', 778666304, 778666367, 'FR', 'France'),
(9438, '46.105.129.128', '46.105.129.131', 778666368, 778666371, 'PL', 'Poland'),
(9439, '46.105.129.132', '46.105.129.139', 778666372, 778666379, 'GB', 'United Kingdom'),
(9440, '46.105.129.140', '46.105.129.143', 778666380, 778666383, 'ES', 'Spain'),
(9441, '46.105.129.144', '46.105.129.151', 778666384, 778666391, 'DE', 'Germany'),
(9442, '46.105.129.152', '46.105.129.159', 778666392, 778666399, 'PL', 'Poland'),
(9443, '46.105.129.160', '46.105.129.239', 778666400, 778666479, 'FR', 'France'),
(9444, '46.105.129.240', '46.105.129.255', 778666480, 778666495, 'DE', 'Germany'),
(9445, '46.105.130.0', '46.105.130.255', 778666496, 778666751, 'BE', 'Belgium'),
(9446, '46.105.131.0', '46.105.131.31', 778666752, 778666783, 'CZ', 'Czech Republic'),
(9447, '46.105.131.32', '46.105.131.63', 778666784, 778666815, 'FR', 'France'),
(9448, '46.105.131.64', '46.105.131.95', 778666816, 778666847, 'GB', 'United Kingdom'),
(9449, '46.105.131.96', '46.105.131.111', 778666848, 778666863, 'PT', 'Portugal'),
(9450, '46.105.131.112', '46.105.131.119', 778666864, 778666871, 'GB', 'United Kingdom'),
(9451, '46.105.131.120', '46.105.131.127', 778666872, 778666879, 'IE', 'Ireland'),
(9452, '46.105.131.128', '46.105.131.215', 778666880, 778666967, 'FR', 'France'),
(9453, '46.105.131.216', '46.105.131.223', 778666968, 778666975, 'PL', 'Poland'),
(9454, '46.105.131.224', '46.105.131.255', 778666976, 778667007, 'FR', 'France'),
(9455, '46.105.132.0', '46.105.132.255', 778667008, 778667263, 'GB', 'United Kingdom'),
(9456, '46.105.133.0', '46.105.133.15', 778667264, 778667279, 'FR', 'France'),
(9457, '46.105.133.16', '46.105.133.19', 778667280, 778667283, 'IE', 'Ireland'),
(9458, '46.105.133.20', '46.105.133.23', 778667284, 778667287, 'PL', 'Poland'),
(9459, '46.105.133.24', '46.105.133.27', 778667288, 778667291, 'IT', 'Italy'),
(9460, '46.105.133.28', '46.105.133.31', 778667292, 778667295, 'CH', 'Switzerland'),
(9461, '46.105.133.32', '46.105.133.67', 778667296, 778667331, 'GB', 'United Kingdom'),
(9462, '46.105.133.68', '46.105.133.71', 778667332, 778667335, 'FR', 'France'),
(9463, '46.105.133.72', '46.105.133.79', 778667336, 778667343, 'ES', 'Spain'),
(9464, '46.105.133.80', '46.105.133.83', 778667344, 778667347, 'FR', 'France'),
(9465, '46.105.133.84', '46.105.133.87', 778667348, 778667351, 'GB', 'United Kingdom'),
(9466, '46.105.133.88', '46.105.133.127', 778667352, 778667391, 'PL', 'Poland'),
(9467, '46.105.133.128', '46.105.133.143', 778667392, 778667407, 'FR', 'France'),
(9468, '46.105.133.144', '46.105.133.151', 778667408, 778667415, 'PL', 'Poland'),
(9469, '46.105.133.152', '46.105.133.159', 778667416, 778667423, 'FR', 'France'),
(9470, '46.105.133.160', '46.105.133.191', 778667424, 778667455, 'LT', 'Lithuania'),
(9471, '46.105.133.192', '46.105.133.207', 778667456, 778667471, 'DE', 'Germany'),
(9472, '46.105.133.208', '46.105.133.211', 778667472, 778667475, 'PL', 'Poland'),
(9473, '46.105.133.212', '46.105.133.215', 778667476, 778667479, 'DE', 'Germany'),
(9474, '46.105.133.216', '46.105.133.219', 778667480, 778667483, 'GB', 'United Kingdom'),
(9475, '46.105.133.220', '46.105.133.223', 778667484, 778667487, 'NL', 'Netherlands'),
(9476, '46.105.133.224', '46.105.133.227', 778667488, 778667491, 'LT', 'Lithuania'),
(9477, '46.105.133.228', '46.105.133.231', 778667492, 778667495, 'CH', 'Switzerland'),
(9478, '46.105.133.232', '46.105.133.235', 778667496, 778667499, 'DE', 'Germany'),
(9479, '46.105.133.236', '46.105.133.239', 778667500, 778667503, 'GB', 'United Kingdom'),
(9480, '46.105.133.240', '46.105.135.63', 778667504, 778667839, 'FR', 'France'),
(9481, '46.105.135.64', '46.105.135.79', 778667840, 778667855, 'PL', 'Poland'),
(9482, '46.105.135.80', '46.105.135.95', 778667856, 778667871, 'FR', 'France'),
(9483, '46.105.135.96', '46.105.135.99', 778667872, 778667875, 'ES', 'Spain'),
(9484, '46.105.135.100', '46.105.135.103', 778667876, 778667879, 'LT', 'Lithuania'),
(9485, '46.105.135.104', '46.105.135.111', 778667880, 778667887, 'FI', 'Finland'),
(9486, '46.105.135.112', '46.105.135.119', 778667888, 778667895, 'IT', 'Italy'),
(9487, '46.105.135.120', '46.105.135.127', 778667896, 778667903, 'IE', 'Ireland'),
(9488, '46.105.135.128', '46.105.135.135', 778667904, 778667911, 'GB', 'United Kingdom'),
(9489, '46.105.135.136', '46.105.135.139', 778667912, 778667915, 'PL', 'Poland'),
(9490, '46.105.135.140', '46.105.135.143', 778667916, 778667919, 'PT', 'Portugal'),
(9491, '46.105.135.144', '46.105.135.151', 778667920, 778667927, 'NL', 'Netherlands'),
(9492, '46.105.135.152', '46.105.135.155', 778667928, 778667931, 'GB', 'United Kingdom'),
(9493, '46.105.135.156', '46.105.135.159', 778667932, 778667935, 'CZ', 'Czech Republic'),
(9494, '46.105.135.160', '46.105.135.167', 778667936, 778667943, 'FR', 'France'),
(9495, '46.105.135.168', '46.105.135.171', 778667944, 778667947, 'DE', 'Germany'),
(9496, '46.105.135.172', '46.105.135.175', 778667948, 778667951, 'IE', 'Ireland'),
(9497, '46.105.135.176', '46.105.135.191', 778667952, 778667967, 'GB', 'United Kingdom'),
(9498, '46.105.135.192', '46.105.135.239', 778667968, 778668015, 'FR', 'France'),
(9499, '46.105.135.240', '46.105.135.243', 778668016, 778668019, 'DE', 'Germany'),
(9500, '46.105.135.244', '46.105.135.247', 778668020, 778668023, 'NL', 'Netherlands'),
(9501, '46.105.135.248', '46.105.135.251', 778668024, 778668027, 'PT', 'Portugal'),
(9502, '46.105.135.252', '46.105.137.31', 778668028, 778668319, 'FR', 'France'),
(9503, '46.105.137.32', '46.105.137.63', 778668320, 778668351, 'GB', 'United Kingdom'),
(9504, '46.105.137.64', '46.105.137.71', 778668352, 778668359, 'FR', 'France'),
(9505, '46.105.137.72', '46.105.137.79', 778668360, 778668367, 'PL', 'Poland'),
(9506, '46.105.137.80', '46.105.137.83', 778668368, 778668371, 'DE', 'Germany'),
(9507, '46.105.137.84', '46.105.137.87', 778668372, 778668375, 'ES', 'Spain'),
(9508, '46.105.137.88', '46.105.137.91', 778668376, 778668379, 'GB', 'United Kingdom'),
(9509, '46.105.137.92', '46.105.137.103', 778668380, 778668391, 'FR', 'France'),
(9510, '46.105.137.104', '46.105.137.107', 778668392, 778668395, 'PT', 'Portugal'),
(9511, '46.105.137.108', '46.105.137.111', 778668396, 778668399, 'ES', 'Spain'),
(9512, '46.105.137.112', '46.105.137.127', 778668400, 778668415, 'FR', 'France'),
(9513, '46.105.137.128', '46.105.137.207', 778668416, 778668495, 'ES', 'Spain'),
(9514, '46.105.137.208', '46.105.137.211', 778668496, 778668499, 'PL', 'Poland'),
(9515, '46.105.137.212', '46.105.137.215', 778668500, 778668503, 'FR', 'France'),
(9516, '46.105.137.216', '46.105.137.219', 778668504, 778668507, 'ES', 'Spain'),
(9517, '46.105.137.220', '46.105.137.223', 778668508, 778668511, 'PT', 'Portugal'),
(9518, '46.105.137.224', '46.105.137.239', 778668512, 778668527, 'PL', 'Poland'),
(9519, '46.105.137.240', '46.105.137.247', 778668528, 778668535, 'IT', 'Italy'),
(9520, '46.105.137.248', '46.105.137.251', 778668536, 778668539, 'DE', 'Germany'),
(9521, '46.105.137.252', '46.105.137.255', 778668540, 778668543, 'FR', 'France'),
(9522, '46.105.138.0', '46.105.138.15', 778668544, 778668559, 'GB', 'United Kingdom'),
(9523, '46.105.138.16', '46.105.138.23', 778668560, 778668567, 'IT', 'Italy'),
(9524, '46.105.138.24', '46.105.138.31', 778668568, 778668575, 'PL', 'Poland'),
(9525, '46.105.138.32', '46.105.138.63', 778668576, 778668607, 'FR', 'France'),
(9526, '46.105.138.64', '46.105.138.71', 778668608, 778668615, 'IE', 'Ireland'),
(9527, '46.105.138.72', '46.105.138.79', 778668616, 778668623, 'PL', 'Poland'),
(9528, '46.105.138.80', '46.105.138.95', 778668624, 778668639, 'FR', 'France'),
(9529, '46.105.138.96', '46.105.138.127', 778668640, 778668671, 'PL', 'Poland'),
(9530, '46.105.138.128', '46.105.138.159', 778668672, 778668703, 'NL', 'Netherlands'),
(9531, '46.105.138.160', '46.105.138.163', 778668704, 778668707, 'PL', 'Poland'),
(9532, '46.105.138.164', '46.105.138.167', 778668708, 778668711, 'ES', 'Spain'),
(9533, '46.105.138.168', '46.105.138.171', 778668712, 778668715, 'FR', 'France'),
(9534, '46.105.138.172', '46.105.138.175', 778668716, 778668719, 'PL', 'Poland'),
(9535, '46.105.138.176', '46.105.138.179', 778668720, 778668723, 'PT', 'Portugal'),
(9536, '46.105.138.180', '46.105.138.183', 778668724, 778668727, 'PL', 'Poland'),
(9537, '46.105.138.184', '46.105.138.187', 778668728, 778668731, 'IE', 'Ireland'),
(9538, '46.105.138.188', '46.105.138.191', 778668732, 778668735, 'FR', 'France'),
(9539, '46.105.138.192', '46.105.138.255', 778668736, 778668799, 'IT', 'Italy'),
(9540, '46.105.139.0', '46.105.139.63', 778668800, 778668863, 'FR', 'France'),
(9541, '46.105.139.64', '46.105.139.95', 778668864, 778668895, 'DE', 'Germany'),
(9542, '46.105.139.96', '46.105.139.255', 778668896, 778669055, 'FR', 'France'),
(9543, '46.105.140.0', '46.105.140.31', 778669056, 778669087, 'ES', 'Spain'),
(9544, '46.105.140.32', '46.105.140.47', 778669088, 778669103, 'FR', 'France'),
(9545, '46.105.140.48', '46.105.140.51', 778669104, 778669107, 'PL', 'Poland'),
(9546, '46.105.140.52', '46.105.140.55', 778669108, 778669111, 'GB', 'United Kingdom'),
(9547, '46.105.140.56', '46.105.140.59', 778669112, 778669115, 'FR', 'France'),
(9548, '46.105.140.60', '46.105.140.63', 778669116, 778669119, 'DE', 'Germany'),
(9549, '46.105.140.64', '46.105.140.95', 778669120, 778669151, 'FI', 'Finland'),
(9550, '46.105.140.96', '46.105.140.135', 778669152, 778669191, 'FR', 'France'),
(9551, '46.105.140.136', '46.105.140.143', 778669192, 778669199, 'IT', 'Italy'),
(9552, '46.105.140.144', '46.105.140.151', 778669200, 778669207, 'PL', 'Poland'),
(9553, '46.105.140.152', '46.105.140.155', 778669208, 778669211, 'CH', 'Switzerland'),
(9554, '46.105.140.156', '46.105.140.159', 778669212, 778669215, 'ES', 'Spain'),
(9555, '46.105.140.160', '46.105.140.163', 778669216, 778669219, 'CH', 'Switzerland'),
(9556, '46.105.140.164', '46.105.140.167', 778669220, 778669223, 'FI', 'Finland'),
(9557, '46.105.140.168', '46.105.140.175', 778669224, 778669231, 'GB', 'United Kingdom'),
(9558, '46.105.140.176', '46.105.140.191', 778669232, 778669247, 'PL', 'Poland'),
(9559, '46.105.140.192', '46.105.140.239', 778669248, 778669295, 'FR', 'France'),
(9560, '46.105.140.240', '46.105.140.247', 778669296, 778669303, 'PL', 'Poland'),
(9561, '46.105.140.248', '46.105.141.127', 778669304, 778669439, 'FR', 'France'),
(9562, '46.105.141.128', '46.105.141.135', 778669440, 778669447, 'GB', 'United Kingdom'),
(9563, '46.105.141.136', '46.105.141.139', 778669448, 778669451, 'PL', 'Poland'),
(9564, '46.105.141.140', '46.105.141.143', 778669452, 778669455, 'ES', 'Spain'),
(9565, '46.105.141.144', '46.105.141.159', 778669456, 778669471, 'DE', 'Germany'),
(9566, '46.105.141.160', '46.105.141.191', 778669472, 778669503, 'CZ', 'Czech Republic'),
(9567, '46.105.141.192', '46.105.141.223', 778669504, 778669535, 'ES', 'Spain'),
(9568, '46.105.141.224', '46.105.141.227', 778669536, 778669539, 'PL', 'Poland'),
(9569, '46.105.141.228', '46.105.141.231', 778669540, 778669543, 'GB', 'United Kingdom'),
(9570, '46.105.141.232', '46.105.141.235', 778669544, 778669547, 'FR', 'France'),
(9571, '46.105.141.236', '46.105.141.239', 778669548, 778669551, 'IT', 'Italy'),
(9572, '46.105.141.240', '46.105.141.255', 778669552, 778669567, 'PL', 'Poland'),
(9573, '46.105.142.0', '46.105.142.3', 778669568, 778669571, 'DE', 'Germany'),
(9574, '46.105.142.4', '46.105.142.7', 778669572, 778669575, 'CZ', 'Czech Republic'),
(9575, '46.105.142.8', '46.105.142.11', 778669576, 778669579, 'NL', 'Netherlands'),
(9576, '46.105.142.12', '46.105.142.15', 778669580, 778669583, 'DE', 'Germany'),
(9577, '46.105.142.16', '46.105.142.19', 778669584, 778669587, 'ES', 'Spain'),
(9578, '46.105.142.20', '46.105.142.23', 778669588, 778669591, 'FR', 'France'),
(9579, '46.105.142.24', '46.105.142.31', 778669592, 778669599, 'BE', 'Belgium'),
(9580, '46.105.142.32', '46.105.142.47', 778669600, 778669615, 'FR', 'France'),
(9581, '46.105.142.48', '46.105.142.55', 778669616, 778669623, 'GB', 'United Kingdom'),
(9582, '46.105.142.56', '46.105.142.63', 778669624, 778669631, 'PL', 'Poland'),
(9583, '46.105.142.64', '46.105.142.95', 778669632, 778669663, 'FR', 'France'),
(9584, '46.105.142.96', '46.105.142.127', 778669664, 778669695, 'DE', 'Germany'),
(9585, '46.105.142.128', '46.105.142.159', 778669696, 778669727, 'PT', 'Portugal'),
(9586, '46.105.142.160', '46.105.142.191', 778669728, 778669759, 'NL', 'Netherlands'),
(9587, '46.105.142.192', '46.105.142.199', 778669760, 778669767, 'DE', 'Germany'),
(9588, '46.105.142.200', '46.105.142.203', 778669768, 778669771, 'GB', 'United Kingdom'),
(9589, '46.105.142.204', '46.105.142.207', 778669772, 778669775, 'PL', 'Poland'),
(9590, '46.105.142.208', '46.105.142.215', 778669776, 778669783, 'DE', 'Germany'),
(9591, '46.105.142.216', '46.105.142.219', 778669784, 778669787, 'IE', 'Ireland'),
(9592, '46.105.142.220', '46.105.142.223', 778669788, 778669791, 'PL', 'Poland'),
(9593, '46.105.142.224', '46.105.142.239', 778669792, 778669807, 'DE', 'Germany'),
(9594, '46.105.142.240', '46.105.142.255', 778669808, 778669823, 'FR', 'France'),
(9595, '46.105.143.0', '46.105.143.31', 778669824, 778669855, 'ES', 'Spain'),
(9596, '46.105.143.32', '46.105.143.63', 778669856, 778669887, 'FR', 'France'),
(9597, '46.105.143.64', '46.105.143.79', 778669888, 778669903, 'PL', 'Poland'),
(9598, '46.105.143.80', '46.105.143.111', 778669904, 778669935, 'FR', 'France'),
(9599, '46.105.143.112', '46.105.143.119', 778669936, 778669943, 'DE', 'Germany'),
(9600, '46.105.143.120', '46.105.143.127', 778669944, 778669951, 'CH', 'Switzerland'),
(9601, '46.105.143.128', '46.105.143.135', 778669952, 778669959, 'NL', 'Netherlands'),
(9602, '46.105.143.136', '46.105.143.143', 778669960, 778669967, 'GB', 'United Kingdom'),
(9603, '46.105.143.144', '46.105.143.159', 778669968, 778669983, 'IE', 'Ireland'),
(9604, '46.105.143.160', '46.105.143.175', 778669984, 778669999, 'IT', 'Italy'),
(9605, '46.105.143.176', '46.105.143.183', 778670000, 778670007, 'PL', 'Poland'),
(9606, '46.105.143.184', '46.105.143.187', 778670008, 778670011, 'CZ', 'Czech Republic'),
(9607, '46.105.143.188', '46.105.143.191', 778670012, 778670015, 'LT', 'Lithuania'),
(9608, '46.105.143.192', '46.105.143.195', 778670016, 778670019, 'NL', 'Netherlands'),
(9609, '46.105.143.196', '46.105.143.211', 778670020, 778670035, 'IT', 'Italy'),
(9610, '46.105.143.212', '46.105.143.215', 778670036, 778670039, 'GB', 'United Kingdom'),
(9611, '46.105.143.216', '46.105.143.219', 778670040, 778670043, 'ES', 'Spain'),
(9612, '46.105.143.220', '46.105.143.255', 778670044, 778670079, 'GB', 'United Kingdom'),
(9613, '46.105.144.0', '46.105.144.71', 778670080, 778670151, 'FR', 'France'),
(9614, '46.105.144.72', '46.105.144.79', 778670152, 778670159, 'CH', 'Switzerland'),
(9615, '46.105.144.80', '46.105.144.83', 778670160, 778670163, 'FR', 'France'),
(9616, '46.105.144.84', '46.105.144.91', 778670164, 778670171, 'GB', 'United Kingdom'),
(9617, '46.105.144.92', '46.105.144.95', 778670172, 778670175, 'NL', 'Netherlands'),
(9618, '46.105.144.96', '46.105.144.127', 778670176, 778670207, 'GB', 'United Kingdom'),
(9619, '46.105.144.128', '46.105.144.131', 778670208, 778670211, 'DE', 'Germany'),
(9620, '46.105.144.132', '46.105.144.143', 778670212, 778670223, 'FR', 'France'),
(9621, '46.105.144.144', '46.105.144.159', 778670224, 778670239, 'PL', 'Poland'),
(9622, '46.105.144.160', '46.105.144.163', 778670240, 778670243, 'ES', 'Spain'),
(9623, '46.105.144.164', '46.105.144.167', 778670244, 778670247, 'DE', 'Germany'),
(9624, '46.105.144.168', '46.105.144.175', 778670248, 778670255, 'CZ', 'Czech Republic'),
(9625, '46.105.144.176', '46.105.144.219', 778670256, 778670299, 'FR', 'France'),
(9626, '46.105.144.220', '46.105.144.223', 778670300, 778670303, 'DE', 'Germany'),
(9627, '46.105.144.224', '46.105.144.255', 778670304, 778670335, 'FR', 'France'),
(9628, '46.105.145.0', '46.105.145.7', 778670336, 778670343, 'DE', 'Germany'),
(9629, '46.105.145.8', '46.105.145.11', 778670344, 778670347, 'FR', 'France'),
(9630, '46.105.145.12', '46.105.145.15', 778670348, 778670351, 'PL', 'Poland'),
(9631, '46.105.145.16', '46.105.145.19', 778670352, 778670355, 'DE', 'Germany'),
(9632, '46.105.145.20', '46.105.145.23', 778670356, 778670359, 'FR', 'France'),
(9633, '46.105.145.24', '46.105.145.47', 778670360, 778670383, 'DE', 'Germany'),
(9634, '46.105.145.48', '46.105.145.51', 778670384, 778670387, 'PL', 'Poland'),
(9635, '46.105.145.52', '46.105.145.55', 778670388, 778670391, 'NL', 'Netherlands'),
(9636, '46.105.145.56', '46.105.145.59', 778670392, 778670395, 'CZ', 'Czech Republic'),
(9637, '46.105.145.60', '46.105.145.63', 778670396, 778670399, 'GB', 'United Kingdom'),
(9638, '46.105.145.64', '46.105.145.71', 778670400, 778670407, 'PL', 'Poland'),
(9639, '46.105.145.72', '46.105.145.75', 778670408, 778670411, 'DE', 'Germany'),
(9640, '46.105.145.76', '46.105.145.79', 778670412, 778670415, 'NL', 'Netherlands'),
(9641, '46.105.145.80', '46.105.145.95', 778670416, 778670431, 'FR', 'France'),
(9642, '46.105.145.96', '46.105.145.99', 778670432, 778670435, 'NL', 'Netherlands'),
(9643, '46.105.145.100', '46.105.145.103', 778670436, 778670439, 'ES', 'Spain'),
(9644, '46.105.145.104', '46.105.145.111', 778670440, 778670447, 'PL', 'Poland'),
(9645, '46.105.145.112', '46.105.145.119', 778670448, 778670455, 'CH', 'Switzerland'),
(9646, '46.105.145.120', '46.105.145.159', 778670456, 778670495, 'CZ', 'Czech Republic'),
(9647, '46.105.145.160', '46.105.145.167', 778670496, 778670503, 'FR', 'France'),
(9648, '46.105.145.168', '46.105.145.175', 778670504, 778670511, 'ES', 'Spain'),
(9649, '46.105.145.176', '46.105.145.183', 778670512, 778670519, 'NL', 'Netherlands'),
(9650, '46.105.145.184', '46.105.145.187', 778670520, 778670523, 'FR', 'France'),
(9651, '46.105.145.188', '46.105.145.191', 778670524, 778670527, 'PT', 'Portugal'),
(9652, '46.105.145.192', '46.105.145.223', 778670528, 778670559, 'FR', 'France'),
(9653, '46.105.145.224', '46.105.145.227', 778670560, 778670563, 'PL', 'Poland'),
(9654, '46.105.145.228', '46.105.145.231', 778670564, 778670567, 'FI', 'Finland'),
(9655, '46.105.145.232', '46.105.145.239', 778670568, 778670575, 'FR', 'France'),
(9656, '46.105.145.240', '46.105.145.255', 778670576, 778670591, 'IT', 'Italy'),
(9657, '46.105.146.0', '46.105.147.255', 778670592, 778671103, 'ES', 'Spain'),
(9658, '46.105.148.0', '46.105.148.15', 778671104, 778671119, 'GB', 'United Kingdom'),
(9659, '46.105.148.16', '46.105.148.23', 778671120, 778671127, 'IT', 'Italy'),
(9660, '46.105.148.24', '46.105.148.31', 778671128, 778671135, 'PT', 'Portugal'),
(9661, '46.105.148.32', '46.105.148.63', 778671136, 778671167, 'BE', 'Belgium'),
(9662, '46.105.148.64', '46.105.148.67', 778671168, 778671171, 'DE', 'Germany'),
(9663, '46.105.148.68', '46.105.148.71', 778671172, 778671175, 'FR', 'France'),
(9664, '46.105.148.72', '46.105.148.79', 778671176, 778671183, 'ES', 'Spain'),
(9665, '46.105.148.80', '46.105.148.99', 778671184, 778671203, 'FR', 'France'),
(9666, '46.105.148.100', '46.105.148.107', 778671204, 778671211, 'PL', 'Poland'),
(9667, '46.105.148.108', '46.105.148.127', 778671212, 778671231, 'FR', 'France'),
(9668, '46.105.148.128', '46.105.148.135', 778671232, 778671239, 'GB', 'United Kingdom'),
(9669, '46.105.148.136', '46.105.148.139', 778671240, 778671243, 'PL', 'Poland'),
(9670, '46.105.148.140', '46.105.148.143', 778671244, 778671247, 'ES', 'Spain'),
(9671, '46.105.148.144', '46.105.148.159', 778671248, 778671263, 'PL', 'Poland'),
(9672, '46.105.148.160', '46.105.148.175', 778671264, 778671279, 'GB', 'United Kingdom'),
(9673, '46.105.148.176', '46.105.148.207', 778671280, 778671311, 'FR', 'France'),
(9674, '46.105.148.208', '46.105.148.223', 778671312, 778671327, 'PT', 'Portugal'),
(9675, '46.105.148.224', '46.105.148.227', 778671328, 778671331, 'ES', 'Spain'),
(9676, '46.105.148.228', '46.105.148.231', 778671332, 778671335, 'DE', 'Germany'),
(9677, '46.105.148.232', '46.105.150.15', 778671336, 778671631, 'FR', 'France'),
(9678, '46.105.150.16', '46.105.150.31', 778671632, 778671647, 'PL', 'Poland'),
(9679, '46.105.150.32', '46.105.150.159', 778671648, 778671775, 'FR', 'France'),
(9680, '46.105.150.160', '46.105.150.175', 778671776, 778671791, 'PL', 'Poland'),
(9681, '46.105.150.176', '46.105.150.191', 778671792, 778671807, 'FR', 'France'),
(9682, '46.105.150.192', '46.105.150.223', 778671808, 778671839, 'ES', 'Spain'),
(9683, '46.105.150.224', '46.105.150.251', 778671840, 778671867, 'FR', 'France'),
(9684, '46.105.150.252', '46.105.150.255', 778671868, 778671871, 'GB', 'United Kingdom'),
(9685, '46.105.151.0', '46.105.151.3', 778671872, 778671875, 'PL', 'Poland'),
(9686, '46.105.151.4', '46.105.151.7', 778671876, 778671879, 'ES', 'Spain'),
(9687, '46.105.151.8', '46.105.151.11', 778671880, 778671883, 'NL', 'Netherlands'),
(9688, '46.105.151.12', '46.105.151.15', 778671884, 778671887, 'ES', 'Spain'),
(9689, '46.105.151.16', '46.105.151.31', 778671888, 778671903, 'GB', 'United Kingdom'),
(9690, '46.105.151.32', '46.105.151.35', 778671904, 778671907, 'NL', 'Netherlands'),
(9691, '46.105.151.36', '46.105.151.43', 778671908, 778671915, 'FR', 'France'),
(9692, '46.105.151.44', '46.105.151.47', 778671916, 778671919, 'GB', 'United Kingdom'),
(9693, '46.105.151.48', '46.105.151.63', 778671920, 778671935, 'PT', 'Portugal'),
(9694, '46.105.151.64', '46.105.151.95', 778671936, 778671967, 'FR', 'France'),
(9695, '46.105.151.96', '46.105.151.143', 778671968, 778672015, 'ES', 'Spain'),
(9696, '46.105.151.144', '46.105.151.183', 778672016, 778672055, 'FR', 'France'),
(9697, '46.105.151.184', '46.105.151.191', 778672056, 778672063, 'PL', 'Poland'),
(9698, '46.105.151.192', '46.105.151.195', 778672064, 778672067, 'GB', 'United Kingdom'),
(9699, '46.105.151.196', '46.105.151.199', 778672068, 778672071, 'FR', 'France'),
(9700, '46.105.151.200', '46.105.151.207', 778672072, 778672079, 'GB', 'United Kingdom'),
(9701, '46.105.151.208', '46.105.151.223', 778672080, 778672095, 'BE', 'Belgium'),
(9702, '46.105.151.224', '46.105.151.231', 778672096, 778672103, 'CH', 'Switzerland'),
(9703, '46.105.151.232', '46.105.151.239', 778672104, 778672111, 'NL', 'Netherlands'),
(9704, '46.105.151.240', '46.105.151.243', 778672112, 778672115, 'GB', 'United Kingdom'),
(9705, '46.105.151.244', '46.105.151.247', 778672116, 778672119, 'IT', 'Italy'),
(9706, '46.105.151.248', '46.105.151.251', 778672120, 778672123, 'ES', 'Spain'),
(9707, '46.105.151.252', '46.105.151.255', 778672124, 778672127, 'CH', 'Switzerland'),
(9708, '46.105.152.0', '46.105.152.127', 778672128, 778672255, 'FR', 'France'),
(9709, '46.105.152.128', '46.105.152.191', 778672256, 778672319, 'BE', 'Belgium'),
(9710, '46.105.152.192', '46.105.152.255', 778672320, 778672383, 'FR', 'France'),
(9711, '46.105.153.0', '46.105.153.63', 778672384, 778672447, 'PL', 'Poland'),
(9712, '46.105.153.64', '46.105.153.95', 778672448, 778672479, 'DE', 'Germany'),
(9713, '46.105.153.96', '46.105.153.127', 778672480, 778672511, 'ES', 'Spain'),
(9714, '46.105.153.128', '46.105.153.159', 778672512, 778672543, 'FR', 'France'),
(9715, '46.105.153.160', '46.105.153.167', 778672544, 778672551, 'ES', 'Spain'),
(9716, '46.105.153.168', '46.105.153.175', 778672552, 778672559, 'CH', 'Switzerland'),
(9717, '46.105.153.176', '46.105.153.179', 778672560, 778672563, 'GB', 'United Kingdom'),
(9718, '46.105.153.180', '46.105.153.183', 778672564, 778672567, 'IT', 'Italy'),
(9719, '46.105.153.184', '46.105.153.255', 778672568, 778672639, 'FR', 'France'),
(9720, '46.105.154.0', '46.105.154.63', 778672640, 778672703, 'DE', 'Germany'),
(9721, '46.105.154.64', '46.105.154.127', 778672704, 778672767, 'CH', 'Switzerland'),
(9722, '46.105.154.128', '46.105.154.159', 778672768, 778672799, 'PL', 'Poland'),
(9723, '46.105.154.160', '46.105.154.163', 778672800, 778672803, 'FR', 'France'),
(9724, '46.105.154.164', '46.105.154.167', 778672804, 778672807, 'DE', 'Germany'),
(9725, '46.105.154.168', '46.105.154.171', 778672808, 778672811, 'PL', 'Poland'),
(9726, '46.105.154.172', '46.105.154.175', 778672812, 778672815, 'ES', 'Spain'),
(9727, '46.105.154.176', '46.105.154.179', 778672816, 778672819, 'LT', 'Lithuania'),
(9728, '46.105.154.180', '46.105.154.183', 778672820, 778672823, 'PL', 'Poland'),
(9729, '46.105.154.184', '46.105.154.191', 778672824, 778672831, 'DE', 'Germany'),
(9730, '46.105.154.192', '46.105.154.211', 778672832, 778672851, 'FR', 'France'),
(9731, '46.105.154.212', '46.105.154.239', 778672852, 778672879, 'PL', 'Poland'),
(9732, '46.105.154.240', '46.105.154.247', 778672880, 778672887, 'FR', 'France'),
(9733, '46.105.154.248', '46.105.154.251', 778672888, 778672891, 'PL', 'Poland'),
(9734, '46.105.154.252', '46.105.155.15', 778672892, 778672911, 'FR', 'France'),
(9735, '46.105.155.16', '46.105.155.23', 778672912, 778672919, 'PL', 'Poland'),
(9736, '46.105.155.24', '46.105.155.31', 778672920, 778672927, 'FR', 'France'),
(9737, '46.105.155.32', '46.105.155.63', 778672928, 778672959, 'DE', 'Germany'),
(9738, '46.105.155.64', '46.105.155.175', 778672960, 778673071, 'FR', 'France'),
(9739, '46.105.155.176', '46.105.155.183', 778673072, 778673079, 'DE', 'Germany'),
(9740, '46.105.155.184', '46.105.155.187', 778673080, 778673083, 'ES', 'Spain'),
(9741, '46.105.155.188', '46.105.155.191', 778673084, 778673087, 'PT', 'Portugal'),
(9742, '46.105.155.192', '46.105.155.223', 778673088, 778673119, 'FR', 'France'),
(9743, '46.105.155.224', '46.105.155.255', 778673120, 778673151, 'ES', 'Spain'),
(9744, '46.105.156.0', '46.105.156.35', 778673152, 778673187, 'FR', 'France'),
(9745, '46.105.156.36', '46.105.156.39', 778673188, 778673191, 'DE', 'Germany'),
(9746, '46.105.156.40', '46.105.156.43', 778673192, 778673195, 'ES', 'Spain'),
(9747, '46.105.156.44', '46.105.156.47', 778673196, 778673199, 'GB', 'United Kingdom'),
(9748, '46.105.156.48', '46.105.156.51', 778673200, 778673203, 'CZ', 'Czech Republic'),
(9749, '46.105.156.52', '46.105.156.55', 778673204, 778673207, 'IE', 'Ireland'),
(9750, '46.105.156.56', '46.105.156.59', 778673208, 778673211, 'DE', 'Germany'),
(9751, '46.105.156.60', '46.105.156.63', 778673212, 778673215, 'ES', 'Spain'),
(9752, '46.105.156.64', '46.105.156.111', 778673216, 778673263, 'FR', 'France'),
(9753, '46.105.156.112', '46.105.156.127', 778673264, 778673279, 'IT', 'Italy'),
(9754, '46.105.156.128', '46.105.156.191', 778673280, 778673343, 'FR', 'France'),
(9755, '46.105.156.192', '46.105.156.207', 778673344, 778673359, 'PL', 'Poland'),
(9756, '46.105.156.208', '46.105.156.239', 778673360, 778673391, 'GB', 'United Kingdom'),
(9757, '46.105.156.240', '46.105.156.255', 778673392, 778673407, 'FR', 'France'),
(9758, '46.105.157.0', '46.105.157.255', 778673408, 778673663, 'PL', 'Poland'),
(9759, '46.105.158.0', '46.105.158.47', 778673664, 778673711, 'FR', 'France'),
(9760, '46.105.158.48', '46.105.158.51', 778673712, 778673715, 'CH', 'Switzerland'),
(9761, '46.105.158.52', '46.105.158.55', 778673716, 778673719, 'NL', 'Netherlands'),
(9762, '46.105.158.56', '46.105.158.59', 778673720, 778673723, 'PT', 'Portugal'),
(9763, '46.105.158.60', '46.105.158.63', 778673724, 778673727, 'PL', 'Poland'),
(9764, '46.105.158.64', '46.105.158.143', 778673728, 778673807, 'FR', 'France'),
(9765, '46.105.158.144', '46.105.158.159', 778673808, 778673823, 'IT', 'Italy'),
(9766, '46.105.158.160', '46.105.158.175', 778673824, 778673839, 'ES', 'Spain'),
(9767, '46.105.158.176', '46.105.158.179', 778673840, 778673843, 'FR', 'France'),
(9768, '46.105.158.180', '46.105.158.183', 778673844, 778673847, 'GB', 'United Kingdom'),
(9769, '46.105.158.184', '46.105.158.187', 778673848, 778673851, 'DE', 'Germany'),
(9770, '46.105.158.188', '46.105.158.191', 778673852, 778673855, 'BE', 'Belgium'),
(9771, '46.105.158.192', '46.105.158.215', 778673856, 778673879, 'FR', 'France'),
(9772, '46.105.158.216', '46.105.158.219', 778673880, 778673883, 'CZ', 'Czech Republic'),
(9773, '46.105.158.220', '46.105.158.223', 778673884, 778673887, 'FI', 'Finland'),
(9774, '46.105.158.224', '46.105.158.239', 778673888, 778673903, 'FR', 'France'),
(9775, '46.105.158.240', '46.105.158.243', 778673904, 778673907, 'DE', 'Germany'),
(9776, '46.105.158.244', '46.105.158.247', 778673908, 778673911, 'CH', 'Switzerland'),
(9777, '46.105.158.248', '46.105.158.251', 778673912, 778673915, 'FR', 'France'),
(9778, '46.105.158.252', '46.105.158.255', 778673916, 778673919, 'ES', 'Spain'),
(9779, '46.105.159.0', '46.105.159.255', 778673920, 778674175, 'NL', 'Netherlands'),
(9780, '46.105.160.0', '46.105.160.191', 778674176, 778674367, 'FR', 'France'),
(9781, '46.105.160.192', '46.105.160.211', 778674368, 778674387, 'DE', 'Germany'),
(9782, '46.105.160.212', '46.105.160.215', 778674388, 778674391, 'BE', 'Belgium'),
(9783, '46.105.160.216', '46.105.160.219', 778674392, 778674395, 'CH', 'Switzerland'),
(9784, '46.105.160.220', '46.105.160.223', 778674396, 778674399, 'PT', 'Portugal'),
(9785, '46.105.160.224', '46.105.160.255', 778674400, 778674431, 'FR', 'France'),
(9786, '46.105.161.0', '46.105.161.3', 778674432, 778674435, 'PL', 'Poland'),
(9787, '46.105.161.4', '46.105.161.7', 778674436, 778674439, 'ES', 'Spain'),
(9788, '46.105.161.8', '46.105.161.15', 778674440, 778674447, 'PL', 'Poland'),
(9789, '46.105.161.16', '46.105.161.19', 778674448, 778674451, 'IT', 'Italy'),
(9790, '46.105.161.20', '46.105.161.23', 778674452, 778674455, 'PL', 'Poland'),
(9791, '46.105.161.24', '46.105.161.27', 778674456, 778674459, 'IT', 'Italy'),
(9792, '46.105.161.28', '46.105.161.31', 778674460, 778674463, 'FI', 'Finland'),
(9793, '46.105.161.32', '46.105.161.39', 778674464, 778674471, 'CH', 'Switzerland'),
(9794, '46.105.161.40', '46.105.161.43', 778674472, 778674475, 'BE', 'Belgium'),
(9795, '46.105.161.44', '46.105.161.47', 778674476, 778674479, 'CH', 'Switzerland'),
(9796, '46.105.161.48', '46.105.161.55', 778674480, 778674487, 'FR', 'France'),
(9797, '46.105.161.56', '46.105.161.59', 778674488, 778674491, 'CZ', 'Czech Republic'),
(9798, '46.105.161.60', '46.105.161.63', 778674492, 778674495, 'PL', 'Poland'),
(9799, '46.105.161.64', '46.105.161.67', 778674496, 778674499, 'CZ', 'Czech Republic'),
(9800, '46.105.161.68', '46.105.161.71', 778674500, 778674503, 'DE', 'Germany'),
(9801, '46.105.161.72', '46.105.161.75', 778674504, 778674507, 'PL', 'Poland'),
(9802, '46.105.161.76', '46.105.161.79', 778674508, 778674511, 'NL', 'Netherlands'),
(9803, '46.105.161.80', '46.105.161.95', 778674512, 778674527, 'FR', 'France'),
(9804, '46.105.161.96', '46.105.161.99', 778674528, 778674531, 'DE', 'Germany'),
(9805, '46.105.161.100', '46.105.161.103', 778674532, 778674535, 'ES', 'Spain'),
(9806, '46.105.161.104', '46.105.161.107', 778674536, 778674539, 'PT', 'Portugal'),
(9807, '46.105.161.108', '46.105.161.111', 778674540, 778674543, 'PL', 'Poland'),
(9808, '46.105.161.112', '46.105.161.191', 778674544, 778674623, 'DE', 'Germany'),
(9809, '46.105.161.192', '46.105.161.203', 778674624, 778674635, 'PL', 'Poland'),
(9810, '46.105.161.204', '46.105.161.207', 778674636, 778674639, 'ES', 'Spain'),
(9811, '46.105.161.208', '46.105.163.31', 778674640, 778674975, 'FR', 'France'),
(9812, '46.105.163.32', '46.105.163.35', 778674976, 778674979, 'BE', 'Belgium'),
(9813, '46.105.163.36', '46.105.163.39', 778674980, 778674983, 'DE', 'Germany'),
(9814, '46.105.163.40', '46.105.163.55', 778674984, 778674999, 'FR', 'France'),
(9815, '46.105.163.56', '46.105.163.59', 778675000, 778675003, 'FI', 'Finland'),
(9816, '46.105.163.60', '46.105.163.63', 778675004, 778675007, 'GB', 'United Kingdom'),
(9817, '46.105.163.64', '46.105.163.79', 778675008, 778675023, 'FR', 'France'),
(9818, '46.105.163.80', '46.105.163.95', 778675024, 778675039, 'ES', 'Spain'),
(9819, '46.105.163.96', '46.105.163.127', 778675040, 778675071, 'FR', 'France'),
(9820, '46.105.163.128', '46.105.163.131', 778675072, 778675075, 'DE', 'Germany'),
(9821, '46.105.163.132', '46.105.163.135', 778675076, 778675079, 'IT', 'Italy'),
(9822, '46.105.163.136', '46.105.163.143', 778675080, 778675087, 'ES', 'Spain'),
(9823, '46.105.163.144', '46.105.163.191', 778675088, 778675135, 'FR', 'France'),
(9824, '46.105.163.192', '46.105.163.207', 778675136, 778675151, 'GB', 'United Kingdom'),
(9825, '46.105.163.208', '46.105.163.215', 778675152, 778675159, 'FR', 'France'),
(9826, '46.105.163.216', '46.105.163.219', 778675160, 778675163, 'PL', 'Poland'),
(9827, '46.105.163.220', '46.105.163.223', 778675164, 778675167, 'GB', 'United Kingdom'),
(9828, '46.105.163.224', '46.105.163.255', 778675168, 778675199, 'FR', 'France'),
(9829, '46.105.164.0', '46.105.164.7', 778675200, 778675207, 'ES', 'Spain'),
(9830, '46.105.164.8', '46.105.164.15', 778675208, 778675215, 'PL', 'Poland'),
(9831, '46.105.164.16', '46.105.164.19', 778675216, 778675219, 'PT', 'Portugal'),
(9832, '46.105.164.20', '46.105.164.27', 778675220, 778675227, 'FR', 'France'),
(9833, '46.105.164.28', '46.105.164.31', 778675228, 778675231, 'NL', 'Netherlands'),
(9834, '46.105.164.32', '46.105.164.35', 778675232, 778675235, 'GB', 'United Kingdom'),
(9835, '46.105.164.36', '46.105.164.43', 778675236, 778675243, 'PL', 'Poland'),
(9836, '46.105.164.44', '46.105.164.47', 778675244, 778675247, 'DE', 'Germany'),
(9837, '46.105.164.48', '46.105.164.159', 778675248, 778675359, 'FR', 'France'),
(9838, '46.105.164.160', '46.105.164.163', 778675360, 778675363, 'NL', 'Netherlands'),
(9839, '46.105.164.164', '46.105.164.167', 778675364, 778675367, 'BE', 'Belgium'),
(9840, '46.105.164.168', '46.105.164.171', 778675368, 778675371, 'CH', 'Switzerland'),
(9841, '46.105.164.172', '46.105.164.175', 778675372, 778675375, 'CZ', 'Czech Republic'),
(9842, '46.105.164.176', '46.105.164.239', 778675376, 778675439, 'FR', 'France'),
(9843, '46.105.164.240', '46.105.164.243', 778675440, 778675443, 'DE', 'Germany'),
(9844, '46.105.164.244', '46.105.164.247', 778675444, 778675447, 'FR', 'France'),
(9845, '46.105.164.248', '46.105.164.251', 778675448, 778675451, 'PL', 'Poland'),
(9846, '46.105.164.252', '46.105.164.255', 778675452, 778675455, 'DE', 'Germany'),
(9847, '46.105.165.0', '46.105.165.3', 778675456, 778675459, 'PL', 'Poland'),
(9848, '46.105.165.4', '46.105.165.15', 778675460, 778675471, 'FR', 'France'),
(9849, '46.105.165.16', '46.105.165.19', 778675472, 778675475, 'BE', 'Belgium'),
(9850, '46.105.165.20', '46.105.165.23', 778675476, 778675479, 'ES', 'Spain'),
(9851, '46.105.165.24', '46.105.165.27', 778675480, 778675483, 'CH', 'Switzerland'),
(9852, '46.105.165.28', '46.105.165.31', 778675484, 778675487, 'PT', 'Portugal'),
(9853, '46.105.165.32', '46.105.165.39', 778675488, 778675495, 'PL', 'Poland'),
(9854, '46.105.165.40', '46.105.165.43', 778675496, 778675499, 'DE', 'Germany'),
(9855, '46.105.165.44', '46.105.165.47', 778675500, 778675503, 'PL', 'Poland'),
(9856, '46.105.165.48', '46.105.165.51', 778675504, 778675507, 'DE', 'Germany'),
(9857, '46.105.165.52', '46.105.165.55', 778675508, 778675511, 'GB', 'United Kingdom'),
(9858, '46.105.165.56', '46.105.165.63', 778675512, 778675519, 'PL', 'Poland'),
(9859, '46.105.165.64', '46.105.165.79', 778675520, 778675535, 'NL', 'Netherlands'),
(9860, '46.105.165.80', '46.105.165.87', 778675536, 778675543, 'GB', 'United Kingdom'),
(9861, '46.105.165.88', '46.105.165.143', 778675544, 778675599, 'FR', 'France'),
(9862, '46.105.165.144', '46.105.165.159', 778675600, 778675615, 'GB', 'United Kingdom'),
(9863, '46.105.165.160', '46.105.165.163', 778675616, 778675619, 'PL', 'Poland'),
(9864, '46.105.165.164', '46.105.165.167', 778675620, 778675623, 'ES', 'Spain'),
(9865, '46.105.165.168', '46.105.165.171', 778675624, 778675627, 'FR', 'France'),
(9866, '46.105.165.172', '46.105.165.175', 778675628, 778675631, 'PL', 'Poland'),
(9867, '46.105.165.176', '46.105.165.183', 778675632, 778675639, 'ES', 'Spain'),
(9868, '46.105.165.184', '46.105.165.191', 778675640, 778675647, 'DE', 'Germany'),
(9869, '46.105.165.192', '46.105.165.227', 778675648, 778675683, 'FR', 'France'),
(9870, '46.105.165.228', '46.105.165.231', 778675684, 778675687, 'GB', 'United Kingdom'),
(9871, '46.105.165.232', '46.105.165.235', 778675688, 778675691, 'ES', 'Spain'),
(9872, '46.105.165.236', '46.105.165.239', 778675692, 778675695, 'FR', 'France'),
(9873, '46.105.165.240', '46.105.165.255', 778675696, 778675711, 'NL', 'Netherlands'),
(9874, '46.105.166.0', '46.105.166.23', 778675712, 778675735, 'FR', 'France'),
(9875, '46.105.166.24', '46.105.166.27', 778675736, 778675739, 'PL', 'Poland'),
(9876, '46.105.166.28', '46.105.166.51', 778675740, 778675763, 'FR', 'France'),
(9877, '46.105.166.52', '46.105.166.55', 778675764, 778675767, 'IE', 'Ireland'),
(9878, '46.105.166.56', '46.105.166.63', 778675768, 778675775, 'ES', 'Spain'),
(9879, '46.105.166.64', '46.105.166.67', 778675776, 778675779, 'GB', 'United Kingdom'),
(9880, '46.105.166.68', '46.105.166.71', 778675780, 778675783, 'PL', 'Poland'),
(9881, '46.105.166.72', '46.105.166.79', 778675784, 778675791, 'LT', 'Lithuania'),
(9882, '46.105.166.80', '46.105.166.83', 778675792, 778675795, 'NL', 'Netherlands'),
(9883, '46.105.166.84', '46.105.166.87', 778675796, 778675799, 'DE', 'Germany'),
(9884, '46.105.166.88', '46.105.166.91', 778675800, 778675803, 'GB', 'United Kingdom'),
(9885, '46.105.166.92', '46.105.166.95', 778675804, 778675807, 'CZ', 'Czech Republic'),
(9886, '46.105.166.96', '46.105.166.99', 778675808, 778675811, 'PL', 'Poland'),
(9887, '46.105.166.100', '46.105.166.103', 778675812, 778675815, 'GB', 'United Kingdom'),
(9888, '46.105.166.104', '46.105.166.107', 778675816, 778675819, 'PL', 'Poland'),
(9889, '46.105.166.108', '46.105.166.111', 778675820, 778675823, 'GB', 'United Kingdom'),
(9890, '46.105.166.112', '46.105.166.115', 778675824, 778675827, 'FR', 'France'),
(9891, '46.105.166.116', '46.105.166.119', 778675828, 778675831, 'DE', 'Germany'),
(9892, '46.105.166.120', '46.105.166.127', 778675832, 778675839, 'FR', 'France'),
(9893, '46.105.166.128', '46.105.166.131', 778675840, 778675843, 'FI', 'Finland'),
(9894, '46.105.166.132', '46.105.166.135', 778675844, 778675847, 'FR', 'France'),
(9895, '46.105.166.136', '46.105.166.139', 778675848, 778675851, 'GB', 'United Kingdom'),
(9896, '46.105.166.140', '46.105.166.143', 778675852, 778675855, 'FR', 'France'),
(9897, '46.105.166.144', '46.105.166.147', 778675856, 778675859, 'GB', 'United Kingdom'),
(9898, '46.105.166.148', '46.105.166.151', 778675860, 778675863, 'IE', 'Ireland'),
(9899, '46.105.166.152', '46.105.166.155', 778675864, 778675867, 'DE', 'Germany'),
(9900, '46.105.166.156', '46.105.166.159', 778675868, 778675871, 'FI', 'Finland'),
(9901, '46.105.166.160', '46.105.166.175', 778675872, 778675887, 'FR', 'France'),
(9902, '46.105.166.176', '46.105.166.179', 778675888, 778675891, 'ES', 'Spain'),
(9903, '46.105.166.180', '46.105.166.183', 778675892, 778675895, 'FR', 'France'),
(9904, '46.105.166.184', '46.105.166.191', 778675896, 778675903, 'PL', 'Poland'),
(9905, '46.105.166.192', '46.105.166.195', 778675904, 778675907, 'CH', 'Switzerland'),
(9906, '46.105.166.196', '46.105.166.199', 778675908, 778675911, 'CZ', 'Czech Republic'),
(9907, '46.105.166.200', '46.105.166.203', 778675912, 778675915, 'NL', 'Netherlands'),
(9908, '46.105.166.204', '46.105.166.223', 778675916, 778675935, 'DE', 'Germany'),
(9909, '46.105.166.224', '46.105.166.231', 778675936, 778675943, 'ES', 'Spain'),
(9910, '46.105.166.232', '46.105.167.127', 778675944, 778676095, 'FR', 'France'),
(9911, '46.105.167.128', '46.105.167.131', 778676096, 778676099, 'DE', 'Germany'),
(9912, '46.105.167.132', '46.105.167.135', 778676100, 778676103, 'CZ', 'Czech Republic'),
(9913, '46.105.167.136', '46.105.167.147', 778676104, 778676115, 'GB', 'United Kingdom'),
(9914, '46.105.167.148', '46.105.167.151', 778676116, 778676119, 'FR', 'France'),
(9915, '46.105.167.152', '46.105.167.159', 778676120, 778676127, 'PL', 'Poland'),
(9916, '46.105.167.160', '46.105.167.163', 778676128, 778676131, 'ES', 'Spain'),
(9917, '46.105.167.164', '46.105.167.167', 778676132, 778676135, 'CZ', 'Czech Republic'),
(9918, '46.105.167.168', '46.105.167.171', 778676136, 778676139, 'DE', 'Germany'),
(9919, '46.105.167.172', '46.105.167.175', 778676140, 778676143, 'PL', 'Poland'),
(9920, '46.105.167.176', '46.105.167.191', 778676144, 778676159, 'DE', 'Germany'),
(9921, '46.105.167.192', '46.105.167.215', 778676160, 778676183, 'FR', 'France'),
(9922, '46.105.167.216', '46.105.167.223', 778676184, 778676191, 'CZ', 'Czech Republic'),
(9923, '46.105.167.224', '46.105.167.239', 778676192, 778676207, 'IT', 'Italy'),
(9924, '46.105.167.240', '46.105.167.243', 778676208, 778676211, 'FI', 'Finland'),
(9925, '46.105.167.244', '46.105.167.247', 778676212, 778676215, 'IE', 'Ireland'),
(9926, '46.105.167.248', '46.105.167.251', 778676216, 778676219, 'FR', 'France'),
(9927, '46.105.167.252', '46.105.167.255', 778676220, 778676223, 'GB', 'United Kingdom'),
(9928, '46.105.168.0', '46.105.168.191', 778676224, 778676415, 'FR', 'France'),
(9929, '46.105.168.192', '46.105.168.199', 778676416, 778676423, 'ES', 'Spain'),
(9930, '46.105.168.200', '46.105.168.203', 778676424, 778676427, 'PL', 'Poland'),
(9931, '46.105.168.204', '46.105.168.215', 778676428, 778676439, 'FR', 'France'),
(9932, '46.105.168.216', '46.105.168.219', 778676440, 778676443, 'PL', 'Poland'),
(9933, '46.105.168.220', '46.105.168.223', 778676444, 778676447, 'CH', 'Switzerland'),
(9934, '46.105.168.224', '46.105.168.239', 778676448, 778676463, 'FR', 'France'),
(9935, '46.105.168.240', '46.105.168.255', 778676464, 778676479, 'PL', 'Poland'),
(9936, '46.105.169.0', '46.105.169.63', 778676480, 778676543, 'NL', 'Netherlands'),
(9937, '46.105.169.64', '46.105.169.95', 778676544, 778676575, 'GB', 'United Kingdom'),
(9938, '46.105.169.96', '46.105.169.99', 778676576, 778676579, 'FR', 'France'),
(9939, '46.105.169.100', '46.105.169.103', 778676580, 778676583, 'DE', 'Germany'),
(9940, '46.105.169.104', '46.105.169.107', 778676584, 778676587, 'BE', 'Belgium'),
(9941, '46.105.169.108', '46.105.169.111', 778676588, 778676591, 'DE', 'Germany'),
(9942, '46.105.169.112', '46.105.169.127', 778676592, 778676607, 'FR', 'France'),
(9943, '46.105.169.128', '46.105.169.131', 778676608, 778676611, 'PL', 'Poland'),
(9944, '46.105.169.132', '46.105.169.135', 778676612, 778676615, 'PT', 'Portugal'),
(9945, '46.105.169.136', '46.105.169.139', 778676616, 778676619, 'BE', 'Belgium'),
(9946, '46.105.169.140', '46.105.169.143', 778676620, 778676623, 'FR', 'France'),
(9947, '46.105.169.144', '46.105.169.147', 778676624, 778676627, 'GB', 'United Kingdom'),
(9948, '46.105.169.148', '46.105.169.151', 778676628, 778676631, 'ES', 'Spain'),
(9949, '46.105.169.152', '46.105.169.155', 778676632, 778676635, 'FR', 'France'),
(9950, '46.105.169.156', '46.105.169.159', 778676636, 778676639, 'DE', 'Germany'),
(9951, '46.105.169.160', '46.105.169.175', 778676640, 778676655, 'ES', 'Spain'),
(9952, '46.105.169.176', '46.105.169.207', 778676656, 778676687, 'FR', 'France'),
(9953, '46.105.169.208', '46.105.169.211', 778676688, 778676691, 'ES', 'Spain'),
(9954, '46.105.169.212', '46.105.169.215', 778676692, 778676695, 'PL', 'Poland'),
(9955, '46.105.169.216', '46.105.169.239', 778676696, 778676719, 'FR', 'France'),
(9956, '46.105.169.240', '46.105.169.243', 778676720, 778676723, 'GB', 'United Kingdom'),
(9957, '46.105.169.244', '46.105.169.247', 778676724, 778676727, 'PT', 'Portugal'),
(9958, '46.105.169.248', '46.105.169.251', 778676728, 778676731, 'PL', 'Poland'),
(9959, '46.105.169.252', '46.105.169.255', 778676732, 778676735, 'IT', 'Italy'),
(9960, '46.105.170.0', '46.105.170.7', 778676736, 778676743, 'FR', 'France'),
(9961, '46.105.170.8', '46.105.170.11', 778676744, 778676747, 'CH', 'Switzerland'),
(9962, '46.105.170.12', '46.105.170.15', 778676748, 778676751, 'CZ', 'Czech Republic'),
(9963, '46.105.170.16', '46.105.170.31', 778676752, 778676767, 'ES', 'Spain'),
(9964, '46.105.170.32', '46.105.170.35', 778676768, 778676771, 'PL', 'Poland'),
(9965, '46.105.170.36', '46.105.170.39', 778676772, 778676775, 'ES', 'Spain'),
(9966, '46.105.170.40', '46.105.170.43', 778676776, 778676779, 'PL', 'Poland'),
(9967, '46.105.170.44', '46.105.170.63', 778676780, 778676799, 'FR', 'France'),
(9968, '46.105.170.64', '46.105.170.67', 778676800, 778676803, 'GB', 'United Kingdom'),
(9969, '46.105.170.68', '46.105.170.71', 778676804, 778676807, 'IT', 'Italy'),
(9970, '46.105.170.72', '46.105.170.75', 778676808, 778676811, 'FI', 'Finland'),
(9971, '46.105.170.76', '46.105.170.79', 778676812, 778676815, 'IE', 'Ireland'),
(9972, '46.105.170.80', '46.105.170.87', 778676816, 778676823, 'LT', 'Lithuania'),
(9973, '46.105.170.88', '46.105.170.91', 778676824, 778676827, 'GB', 'United Kingdom'),
(9974, '46.105.170.92', '46.105.170.95', 778676828, 778676831, 'NL', 'Netherlands'),
(9975, '46.105.170.96', '46.105.170.111', 778676832, 778676847, 'FR', 'France'),
(9976, '46.105.170.112', '46.105.170.115', 778676848, 778676851, 'NL', 'Netherlands'),
(9977, '46.105.170.116', '46.105.170.119', 778676852, 778676855, 'LT', 'Lithuania'),
(9978, '46.105.170.120', '46.105.170.123', 778676856, 778676859, 'IE', 'Ireland'),
(9979, '46.105.170.124', '46.105.170.127', 778676860, 778676863, 'DE', 'Germany'),
(9980, '46.105.170.128', '46.105.170.255', 778676864, 778676991, 'PL', 'Poland'),
(9981, '46.105.171.0', '46.105.171.7', 778676992, 778676999, 'FR', 'France'),
(9982, '46.105.171.8', '46.105.171.15', 778677000, 778677007, 'PL', 'Poland'),
(9983, '46.105.171.16', '46.105.171.31', 778677008, 778677023, 'FR', 'France'),
(9984, '46.105.171.32', '46.105.171.63', 778677024, 778677055, 'DE', 'Germany'),
(9985, '46.105.171.64', '46.105.171.67', 778677056, 778677059, 'NL', 'Netherlands'),
(9986, '46.105.171.68', '46.105.171.71', 778677060, 778677063, 'IT', 'Italy'),
(9987, '46.105.171.72', '46.105.171.83', 778677064, 778677075, 'FR', 'France'),
(9988, '46.105.171.84', '46.105.171.87', 778677076, 778677079, 'DE', 'Germany'),
(9989, '46.105.171.88', '46.105.171.91', 778677080, 778677083, 'IT', 'Italy'),
(9990, '46.105.171.92', '46.105.171.95', 778677084, 778677087, 'DE', 'Germany'),
(9991, '46.105.171.96', '46.105.171.107', 778677088, 778677099, 'FR', 'France'),
(9992, '46.105.171.108', '46.105.171.111', 778677100, 778677103, 'IE', 'Ireland'),
(9993, '46.105.171.112', '46.105.171.115', 778677104, 778677107, 'GB', 'United Kingdom'),
(9994, '46.105.171.116', '46.105.171.127', 778677108, 778677119, 'PL', 'Poland'),
(9995, '46.105.171.128', '46.105.171.131', 778677120, 778677123, 'DE', 'Germany'),
(9996, '46.105.171.132', '46.105.171.135', 778677124, 778677127, 'GB', 'United Kingdom'),
(9997, '46.105.171.136', '46.105.171.139', 778677128, 778677131, 'FR', 'France'),
(9998, '46.105.171.140', '46.105.171.143', 778677132, 778677135, 'BE', 'Belgium'),
(9999, '46.105.171.144', '46.105.171.159', 778677136, 778677151, 'FR', 'France'),
(10000, '46.105.171.160', '46.105.171.175', 778677152, 778677167, 'DE', 'Germany'),
(10001, '46.105.171.176', '46.105.171.183', 778677168, 778677175, 'CZ', 'Czech Republic'),
(10002, '46.105.171.184', '46.105.171.191', 778677176, 778677183, 'NL', 'Netherlands'),
(10003, '46.105.171.192', '46.105.171.223', 778677184, 778677215, 'FI', 'Finland'),
(10004, '46.105.171.224', '46.105.171.255', 778677216, 778677247, 'PL', 'Poland'),
(10005, '46.105.172.0', '46.105.172.3', 778677248, 778677251, 'FR', 'France'),
(10006, '46.105.172.4', '46.105.172.7', 778677252, 778677255, 'GB', 'United Kingdom'),
(10007, '46.105.172.8', '46.105.172.11', 778677256, 778677259, 'ES', 'Spain'),
(10008, '46.105.172.12', '46.105.172.63', 778677260, 778677311, 'FR', 'France'),
(10009, '46.105.172.64', '46.105.172.79', 778677312, 778677327, 'PL', 'Poland'),
(10010, '46.105.172.80', '46.105.172.83', 778677328, 778677331, 'FI', 'Finland'),
(10011, '46.105.172.84', '46.105.172.87', 778677332, 778677335, 'PT', 'Portugal'),
(10012, '46.105.172.88', '46.105.172.91', 778677336, 778677339, 'CH', 'Switzerland'),
(10013, '46.105.172.92', '46.105.172.95', 778677340, 778677343, 'CZ', 'Czech Republic'),
(10014, '46.105.172.96', '46.105.172.127', 778677344, 778677375, 'FR', 'France'),
(10015, '46.105.172.128', '46.105.172.143', 778677376, 778677391, 'GB', 'United Kingdom'),
(10016, '46.105.172.144', '46.105.172.151', 778677392, 778677399, 'FR', 'France'),
(10017, '46.105.172.152', '46.105.172.155', 778677400, 778677403, 'PT', 'Portugal'),
(10018, '46.105.172.156', '46.105.172.159', 778677404, 778677407, 'CZ', 'Czech Republic'),
(10019, '46.105.172.160', '46.105.172.163', 778677408, 778677411, 'CH', 'Switzerland'),
(10020, '46.105.172.164', '46.105.172.179', 778677412, 778677427, 'PL', 'Poland'),
(10021, '46.105.172.180', '46.105.172.183', 778677428, 778677431, 'DE', 'Germany'),
(10022, '46.105.172.184', '46.105.172.187', 778677432, 778677435, 'FR', 'France'),
(10023, '46.105.172.188', '46.105.172.191', 778677436, 778677439, 'PL', 'Poland'),
(10024, '46.105.172.192', '46.105.172.223', 778677440, 778677471, 'FR', 'France'),
(10025, '46.105.172.224', '46.105.172.227', 778677472, 778677475, 'DE', 'Germany'),
(10026, '46.105.172.228', '46.105.172.231', 778677476, 778677479, 'CZ', 'Czech Republic'),
(10027, '46.105.172.232', '46.105.172.255', 778677480, 778677503, 'PL', 'Poland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(10028, '46.105.173.0', '46.105.173.3', 778677504, 778677507, 'IE', 'Ireland'),
(10029, '46.105.173.4', '46.105.173.7', 778677508, 778677511, 'DE', 'Germany'),
(10030, '46.105.173.8', '46.105.173.11', 778677512, 778677515, 'IT', 'Italy'),
(10031, '46.105.173.12', '46.105.173.15', 778677516, 778677519, 'GB', 'United Kingdom'),
(10032, '46.105.173.16', '46.105.173.19', 778677520, 778677523, 'FR', 'France'),
(10033, '46.105.173.20', '46.105.173.23', 778677524, 778677527, 'DE', 'Germany'),
(10034, '46.105.173.24', '46.105.173.27', 778677528, 778677531, 'BE', 'Belgium'),
(10035, '46.105.173.28', '46.105.173.31', 778677532, 778677535, 'PT', 'Portugal'),
(10036, '46.105.173.32', '46.105.173.39', 778677536, 778677543, 'FI', 'Finland'),
(10037, '46.105.173.40', '46.105.173.43', 778677544, 778677547, 'ES', 'Spain'),
(10038, '46.105.173.44', '46.105.173.47', 778677548, 778677551, 'FR', 'France'),
(10039, '46.105.173.48', '46.105.173.55', 778677552, 778677559, 'PL', 'Poland'),
(10040, '46.105.173.56', '46.105.173.63', 778677560, 778677567, 'ES', 'Spain'),
(10041, '46.105.173.64', '46.105.173.195', 778677568, 778677699, 'FR', 'France'),
(10042, '46.105.173.196', '46.105.173.199', 778677700, 778677703, 'GB', 'United Kingdom'),
(10043, '46.105.173.200', '46.105.173.207', 778677704, 778677711, 'PL', 'Poland'),
(10044, '46.105.173.208', '46.105.173.215', 778677712, 778677719, 'FR', 'France'),
(10045, '46.105.173.216', '46.105.173.219', 778677720, 778677723, 'GB', 'United Kingdom'),
(10046, '46.105.173.220', '46.105.173.223', 778677724, 778677727, 'PL', 'Poland'),
(10047, '46.105.173.224', '46.105.174.63', 778677728, 778677823, 'FR', 'France'),
(10048, '46.105.174.64', '46.105.174.79', 778677824, 778677839, 'NL', 'Netherlands'),
(10049, '46.105.174.80', '46.105.174.95', 778677840, 778677855, 'PL', 'Poland'),
(10050, '46.105.174.96', '46.105.174.99', 778677856, 778677859, 'ES', 'Spain'),
(10051, '46.105.174.100', '46.105.174.103', 778677860, 778677863, 'LT', 'Lithuania'),
(10052, '46.105.174.104', '46.105.174.111', 778677864, 778677871, 'IT', 'Italy'),
(10053, '46.105.174.112', '46.105.174.115', 778677872, 778677875, 'PL', 'Poland'),
(10054, '46.105.174.116', '46.105.174.119', 778677876, 778677879, 'GB', 'United Kingdom'),
(10055, '46.105.174.120', '46.105.174.123', 778677880, 778677883, 'LT', 'Lithuania'),
(10056, '46.105.174.124', '46.105.174.127', 778677884, 778677887, 'BE', 'Belgium'),
(10057, '46.105.174.128', '46.105.174.143', 778677888, 778677903, 'ES', 'Spain'),
(10058, '46.105.174.144', '46.105.174.159', 778677904, 778677919, 'FR', 'France'),
(10059, '46.105.174.160', '46.105.174.163', 778677920, 778677923, 'CH', 'Switzerland'),
(10060, '46.105.174.164', '46.105.174.167', 778677924, 778677927, 'PT', 'Portugal'),
(10061, '46.105.174.168', '46.105.174.171', 778677928, 778677931, 'GB', 'United Kingdom'),
(10062, '46.105.174.172', '46.105.174.175', 778677932, 778677935, 'DE', 'Germany'),
(10063, '46.105.174.176', '46.105.174.179', 778677936, 778677939, 'FR', 'France'),
(10064, '46.105.174.180', '46.105.174.183', 778677940, 778677943, 'BE', 'Belgium'),
(10065, '46.105.174.184', '46.105.174.187', 778677944, 778677947, 'GB', 'United Kingdom'),
(10066, '46.105.174.188', '46.105.174.191', 778677948, 778677951, 'DE', 'Germany'),
(10067, '46.105.174.192', '46.105.174.207', 778677952, 778677967, 'FR', 'France'),
(10068, '46.105.174.208', '46.105.174.223', 778677968, 778677983, 'GB', 'United Kingdom'),
(10069, '46.105.174.224', '46.105.174.239', 778677984, 778677999, 'FR', 'France'),
(10070, '46.105.174.240', '46.105.174.243', 778678000, 778678003, 'BE', 'Belgium'),
(10071, '46.105.174.244', '46.105.174.247', 778678004, 778678007, 'PL', 'Poland'),
(10072, '46.105.174.248', '46.105.174.251', 778678008, 778678011, 'GB', 'United Kingdom'),
(10073, '46.105.174.252', '46.105.174.255', 778678012, 778678015, 'FR', 'France'),
(10074, '46.105.175.0', '46.105.175.3', 778678016, 778678019, 'PL', 'Poland'),
(10075, '46.105.175.4', '46.105.175.7', 778678020, 778678023, 'DE', 'Germany'),
(10076, '46.105.175.8', '46.105.175.11', 778678024, 778678027, 'ES', 'Spain'),
(10077, '46.105.175.12', '46.105.175.15', 778678028, 778678031, 'FR', 'France'),
(10078, '46.105.175.16', '46.105.175.23', 778678032, 778678039, 'NL', 'Netherlands'),
(10079, '46.105.175.24', '46.105.175.31', 778678040, 778678047, 'PL', 'Poland'),
(10080, '46.105.175.32', '46.105.175.99', 778678048, 778678115, 'FR', 'France'),
(10081, '46.105.175.100', '46.105.175.103', 778678116, 778678119, 'ES', 'Spain'),
(10082, '46.105.175.104', '46.105.175.111', 778678120, 778678127, 'IT', 'Italy'),
(10083, '46.105.175.112', '46.105.175.127', 778678128, 778678143, 'FR', 'France'),
(10084, '46.105.175.128', '46.105.175.143', 778678144, 778678159, 'GB', 'United Kingdom'),
(10085, '46.105.175.144', '46.105.175.147', 778678160, 778678163, 'PL', 'Poland'),
(10086, '46.105.175.148', '46.105.175.151', 778678164, 778678167, 'BE', 'Belgium'),
(10087, '46.105.175.152', '46.105.175.175', 778678168, 778678191, 'PL', 'Poland'),
(10088, '46.105.175.176', '46.105.175.191', 778678192, 778678207, 'FR', 'France'),
(10089, '46.105.175.192', '46.105.175.255', 778678208, 778678271, 'PL', 'Poland'),
(10090, '46.105.176.0', '46.105.177.255', 778678272, 778678783, 'DE', 'Germany'),
(10091, '46.105.178.0', '46.105.178.15', 778678784, 778678799, 'FR', 'France'),
(10092, '46.105.178.16', '46.105.178.19', 778678800, 778678803, 'PL', 'Poland'),
(10093, '46.105.178.20', '46.105.178.23', 778678804, 778678807, 'DE', 'Germany'),
(10094, '46.105.178.24', '46.105.178.31', 778678808, 778678815, 'FR', 'France'),
(10095, '46.105.178.32', '46.105.178.47', 778678816, 778678831, 'PL', 'Poland'),
(10096, '46.105.178.48', '46.105.178.51', 778678832, 778678835, 'FR', 'France'),
(10097, '46.105.178.52', '46.105.178.55', 778678836, 778678839, 'BE', 'Belgium'),
(10098, '46.105.178.56', '46.105.178.63', 778678840, 778678847, 'IT', 'Italy'),
(10099, '46.105.178.64', '46.105.178.67', 778678848, 778678851, 'FR', 'France'),
(10100, '46.105.178.68', '46.105.178.71', 778678852, 778678855, 'ES', 'Spain'),
(10101, '46.105.178.72', '46.105.178.75', 778678856, 778678859, 'CZ', 'Czech Republic'),
(10102, '46.105.178.76', '46.105.178.79', 778678860, 778678863, 'GB', 'United Kingdom'),
(10103, '46.105.178.80', '46.105.178.87', 778678864, 778678871, 'PL', 'Poland'),
(10104, '46.105.178.88', '46.105.178.91', 778678872, 778678875, 'ES', 'Spain'),
(10105, '46.105.178.92', '46.105.178.95', 778678876, 778678879, 'NL', 'Netherlands'),
(10106, '46.105.178.96', '46.105.178.111', 778678880, 778678895, 'FR', 'France'),
(10107, '46.105.178.112', '46.105.178.119', 778678896, 778678903, 'GB', 'United Kingdom'),
(10108, '46.105.178.120', '46.105.178.127', 778678904, 778678911, 'PL', 'Poland'),
(10109, '46.105.178.128', '46.105.178.135', 778678912, 778678919, 'FR', 'France'),
(10110, '46.105.178.136', '46.105.178.143', 778678920, 778678927, 'ES', 'Spain'),
(10111, '46.105.178.144', '46.105.178.159', 778678928, 778678943, 'BE', 'Belgium'),
(10112, '46.105.178.160', '46.105.178.175', 778678944, 778678959, 'PL', 'Poland'),
(10113, '46.105.178.176', '46.105.178.183', 778678960, 778678967, 'FR', 'France'),
(10114, '46.105.178.184', '46.105.178.191', 778678968, 778678975, 'GB', 'United Kingdom'),
(10115, '46.105.178.192', '46.105.178.223', 778678976, 778679007, 'FR', 'France'),
(10116, '46.105.178.224', '46.105.178.239', 778679008, 778679023, 'PL', 'Poland'),
(10117, '46.105.178.240', '46.105.178.247', 778679024, 778679031, 'GB', 'United Kingdom'),
(10118, '46.105.178.248', '46.105.178.251', 778679032, 778679035, 'FR', 'France'),
(10119, '46.105.178.252', '46.105.179.15', 778679036, 778679055, 'PL', 'Poland'),
(10120, '46.105.179.16', '46.105.179.31', 778679056, 778679071, 'BE', 'Belgium'),
(10121, '46.105.179.32', '46.105.179.35', 778679072, 778679075, 'FR', 'France'),
(10122, '46.105.179.36', '46.105.179.39', 778679076, 778679079, 'BE', 'Belgium'),
(10123, '46.105.179.40', '46.105.179.47', 778679080, 778679087, 'FR', 'France'),
(10124, '46.105.179.48', '46.105.179.51', 778679088, 778679091, 'PL', 'Poland'),
(10125, '46.105.179.52', '46.105.179.55', 778679092, 778679095, 'CZ', 'Czech Republic'),
(10126, '46.105.179.56', '46.105.179.59', 778679096, 778679099, 'CH', 'Switzerland'),
(10127, '46.105.179.60', '46.105.179.63', 778679100, 778679103, 'IT', 'Italy'),
(10128, '46.105.179.64', '46.105.179.83', 778679104, 778679123, 'PL', 'Poland'),
(10129, '46.105.179.84', '46.105.179.87', 778679124, 778679127, 'FR', 'France'),
(10130, '46.105.179.88', '46.105.179.111', 778679128, 778679151, 'DE', 'Germany'),
(10131, '46.105.179.112', '46.105.179.175', 778679152, 778679215, 'FR', 'France'),
(10132, '46.105.179.176', '46.105.179.191', 778679216, 778679231, 'PT', 'Portugal'),
(10133, '46.105.179.192', '46.105.179.223', 778679232, 778679263, 'ES', 'Spain'),
(10134, '46.105.179.224', '46.105.179.227', 778679264, 778679267, 'IT', 'Italy'),
(10135, '46.105.179.228', '46.105.179.231', 778679268, 778679271, 'FR', 'France'),
(10136, '46.105.179.232', '46.105.179.239', 778679272, 778679279, 'PL', 'Poland'),
(10137, '46.105.179.240', '46.105.179.255', 778679280, 778679295, 'ES', 'Spain'),
(10138, '46.105.180.0', '46.105.180.195', 778679296, 778679491, 'FR', 'France'),
(10139, '46.105.180.196', '46.105.180.223', 778679492, 778679519, 'PL', 'Poland'),
(10140, '46.105.180.224', '46.105.180.227', 778679520, 778679523, 'LT', 'Lithuania'),
(10141, '46.105.180.228', '46.105.180.231', 778679524, 778679527, 'PL', 'Poland'),
(10142, '46.105.180.232', '46.105.180.235', 778679528, 778679531, 'NL', 'Netherlands'),
(10143, '46.105.180.236', '46.105.180.239', 778679532, 778679535, 'GB', 'United Kingdom'),
(10144, '46.105.180.240', '46.105.180.255', 778679536, 778679551, 'ES', 'Spain'),
(10145, '46.105.181.0', '46.105.181.63', 778679552, 778679615, 'FR', 'France'),
(10146, '46.105.181.64', '46.105.181.127', 778679616, 778679679, 'ES', 'Spain'),
(10147, '46.105.181.128', '46.105.181.143', 778679680, 778679695, 'PT', 'Portugal'),
(10148, '46.105.181.144', '46.105.181.159', 778679696, 778679711, 'GB', 'United Kingdom'),
(10149, '46.105.181.160', '46.105.181.255', 778679712, 778679807, 'FR', 'France'),
(10150, '46.105.182.0', '46.105.182.15', 778679808, 778679823, 'IT', 'Italy'),
(10151, '46.105.182.16', '46.105.182.31', 778679824, 778679839, 'PL', 'Poland'),
(10152, '46.105.182.32', '46.105.182.35', 778679840, 778679843, 'CH', 'Switzerland'),
(10153, '46.105.182.36', '46.105.182.39', 778679844, 778679847, 'DE', 'Germany'),
(10154, '46.105.182.40', '46.105.182.47', 778679848, 778679855, 'FR', 'France'),
(10155, '46.105.182.48', '46.105.182.63', 778679856, 778679871, 'DE', 'Germany'),
(10156, '46.105.182.64', '46.105.182.95', 778679872, 778679903, 'PL', 'Poland'),
(10157, '46.105.182.96', '46.105.182.99', 778679904, 778679907, 'ES', 'Spain'),
(10158, '46.105.182.100', '46.105.182.103', 778679908, 778679911, 'FR', 'France'),
(10159, '46.105.182.104', '46.105.182.107', 778679912, 778679915, 'ES', 'Spain'),
(10160, '46.105.182.108', '46.105.182.111', 778679916, 778679919, 'FR', 'France'),
(10161, '46.105.182.112', '46.105.182.127', 778679920, 778679935, 'GB', 'United Kingdom'),
(10162, '46.105.182.128', '46.105.183.15', 778679936, 778680079, 'FR', 'France'),
(10163, '46.105.183.16', '46.105.183.23', 778680080, 778680087, 'GB', 'United Kingdom'),
(10164, '46.105.183.24', '46.105.183.27', 778680088, 778680091, 'IT', 'Italy'),
(10165, '46.105.183.28', '46.105.183.31', 778680092, 778680095, 'PL', 'Poland'),
(10166, '46.105.183.32', '46.105.183.47', 778680096, 778680111, 'IT', 'Italy'),
(10167, '46.105.183.48', '46.105.183.63', 778680112, 778680127, 'ES', 'Spain'),
(10168, '46.105.183.64', '46.105.183.79', 778680128, 778680143, 'PL', 'Poland'),
(10169, '46.105.183.80', '46.105.183.83', 778680144, 778680147, 'FR', 'France'),
(10170, '46.105.183.84', '46.105.183.87', 778680148, 778680151, 'GB', 'United Kingdom'),
(10171, '46.105.183.88', '46.105.183.91', 778680152, 778680155, 'ES', 'Spain'),
(10172, '46.105.183.92', '46.105.183.95', 778680156, 778680159, 'BE', 'Belgium'),
(10173, '46.105.183.96', '46.105.183.111', 778680160, 778680175, 'PT', 'Portugal'),
(10174, '46.105.183.112', '46.105.183.119', 778680176, 778680183, 'ES', 'Spain'),
(10175, '46.105.183.120', '46.105.183.127', 778680184, 778680191, 'IT', 'Italy'),
(10176, '46.105.183.128', '46.105.183.131', 778680192, 778680195, 'FR', 'France'),
(10177, '46.105.183.132', '46.105.183.135', 778680196, 778680199, 'DE', 'Germany'),
(10178, '46.105.183.136', '46.105.183.139', 778680200, 778680203, 'NL', 'Netherlands'),
(10179, '46.105.183.140', '46.105.183.143', 778680204, 778680207, 'ES', 'Spain'),
(10180, '46.105.183.144', '46.105.183.163', 778680208, 778680227, 'FR', 'France'),
(10181, '46.105.183.164', '46.105.183.167', 778680228, 778680231, 'IE', 'Ireland'),
(10182, '46.105.183.168', '46.105.183.171', 778680232, 778680235, 'FI', 'Finland'),
(10183, '46.105.183.172', '46.105.183.175', 778680236, 778680239, 'DE', 'Germany'),
(10184, '46.105.183.176', '46.105.183.191', 778680240, 778680255, 'FR', 'France'),
(10185, '46.105.183.192', '46.105.183.207', 778680256, 778680271, 'IT', 'Italy'),
(10186, '46.105.183.208', '46.105.183.215', 778680272, 778680279, 'BE', 'Belgium'),
(10187, '46.105.183.216', '46.105.183.223', 778680280, 778680287, 'PL', 'Poland'),
(10188, '46.105.183.224', '46.105.183.255', 778680288, 778680319, 'DE', 'Germany'),
(10189, '46.105.184.0', '46.105.184.127', 778680320, 778680447, 'GB', 'United Kingdom'),
(10190, '46.105.184.128', '46.105.184.131', 778680448, 778680451, 'PT', 'Portugal'),
(10191, '46.105.184.132', '46.105.184.135', 778680452, 778680455, 'IE', 'Ireland'),
(10192, '46.105.184.136', '46.105.184.151', 778680456, 778680471, 'FR', 'France'),
(10193, '46.105.184.152', '46.105.184.155', 778680472, 778680475, 'ES', 'Spain'),
(10194, '46.105.184.156', '46.105.184.159', 778680476, 778680479, 'IE', 'Ireland'),
(10195, '46.105.184.160', '46.105.184.239', 778680480, 778680559, 'FR', 'France'),
(10196, '46.105.184.240', '46.105.184.255', 778680560, 778680575, 'ES', 'Spain'),
(10197, '46.105.185.0', '46.105.185.63', 778680576, 778680639, 'NL', 'Netherlands'),
(10198, '46.105.185.64', '46.105.185.67', 778680640, 778680643, 'GB', 'United Kingdom'),
(10199, '46.105.185.68', '46.105.185.71', 778680644, 778680647, 'PT', 'Portugal'),
(10200, '46.105.185.72', '46.105.185.79', 778680648, 778680655, 'ES', 'Spain'),
(10201, '46.105.185.80', '46.105.185.103', 778680656, 778680679, 'FR', 'France'),
(10202, '46.105.185.104', '46.105.185.107', 778680680, 778680683, 'PL', 'Poland'),
(10203, '46.105.185.108', '46.105.185.111', 778680684, 778680687, 'DE', 'Germany'),
(10204, '46.105.185.112', '46.105.185.191', 778680688, 778680767, 'FR', 'France'),
(10205, '46.105.185.192', '46.105.185.255', 778680768, 778680831, 'BE', 'Belgium'),
(10206, '46.105.186.0', '46.105.186.63', 778680832, 778680895, 'IT', 'Italy'),
(10207, '46.105.186.64', '46.105.186.127', 778680896, 778680959, 'CH', 'Switzerland'),
(10208, '46.105.186.128', '46.105.186.191', 778680960, 778681023, 'DE', 'Germany'),
(10209, '46.105.186.192', '46.105.186.255', 778681024, 778681087, 'FI', 'Finland'),
(10210, '46.105.187.0', '46.105.187.255', 778681088, 778681343, 'FR', 'France'),
(10211, '46.105.188.0', '46.105.188.15', 778681344, 778681359, 'GB', 'United Kingdom'),
(10212, '46.105.188.16', '46.105.188.23', 778681360, 778681367, 'ES', 'Spain'),
(10213, '46.105.188.24', '46.105.188.27', 778681368, 778681371, 'NL', 'Netherlands'),
(10214, '46.105.188.28', '46.105.188.31', 778681372, 778681375, 'LT', 'Lithuania'),
(10215, '46.105.188.32', '46.105.188.39', 778681376, 778681383, 'FR', 'France'),
(10216, '46.105.188.40', '46.105.188.47', 778681384, 778681391, 'DE', 'Germany'),
(10217, '46.105.188.48', '46.105.188.55', 778681392, 778681399, 'FR', 'France'),
(10218, '46.105.188.56', '46.105.188.59', 778681400, 778681403, 'DE', 'Germany'),
(10219, '46.105.188.60', '46.105.188.63', 778681404, 778681407, 'ES', 'Spain'),
(10220, '46.105.188.64', '46.105.188.75', 778681408, 778681419, 'GB', 'United Kingdom'),
(10221, '46.105.188.76', '46.105.188.79', 778681420, 778681423, 'BE', 'Belgium'),
(10222, '46.105.188.80', '46.105.188.87', 778681424, 778681431, 'FR', 'France'),
(10223, '46.105.188.88', '46.105.188.91', 778681432, 778681435, 'DE', 'Germany'),
(10224, '46.105.188.92', '46.105.188.95', 778681436, 778681439, 'ES', 'Spain'),
(10225, '46.105.188.96', '46.105.188.111', 778681440, 778681455, 'GB', 'United Kingdom'),
(10226, '46.105.188.112', '46.105.188.115', 778681456, 778681459, 'NL', 'Netherlands'),
(10227, '46.105.188.116', '46.105.188.119', 778681460, 778681463, 'PL', 'Poland'),
(10228, '46.105.188.120', '46.105.188.127', 778681464, 778681471, 'ES', 'Spain'),
(10229, '46.105.188.128', '46.105.188.131', 778681472, 778681475, 'DE', 'Germany'),
(10230, '46.105.188.132', '46.105.188.135', 778681476, 778681479, 'PT', 'Portugal'),
(10231, '46.105.188.136', '46.105.188.143', 778681480, 778681487, 'FR', 'France'),
(10232, '46.105.188.144', '46.105.188.159', 778681488, 778681503, 'GB', 'United Kingdom'),
(10233, '46.105.188.160', '46.105.188.163', 778681504, 778681507, 'DE', 'Germany'),
(10234, '46.105.188.164', '46.105.188.167', 778681508, 778681511, 'IT', 'Italy'),
(10235, '46.105.188.168', '46.105.188.171', 778681512, 778681515, 'PL', 'Poland'),
(10236, '46.105.188.172', '46.105.188.179', 778681516, 778681523, 'ES', 'Spain'),
(10237, '46.105.188.180', '46.105.188.183', 778681524, 778681527, 'FR', 'France'),
(10238, '46.105.188.184', '46.105.188.187', 778681528, 778681531, 'PL', 'Poland'),
(10239, '46.105.188.188', '46.105.188.191', 778681532, 778681535, 'IT', 'Italy'),
(10240, '46.105.188.192', '46.105.188.199', 778681536, 778681543, 'FR', 'France'),
(10241, '46.105.188.200', '46.105.188.203', 778681544, 778681547, 'GB', 'United Kingdom'),
(10242, '46.105.188.204', '46.105.188.207', 778681548, 778681551, 'PT', 'Portugal'),
(10243, '46.105.188.208', '46.105.188.239', 778681552, 778681583, 'FR', 'France'),
(10244, '46.105.188.240', '46.105.188.243', 778681584, 778681587, 'PL', 'Poland'),
(10245, '46.105.188.244', '46.105.188.247', 778681588, 778681591, 'FR', 'France'),
(10246, '46.105.188.248', '46.105.188.251', 778681592, 778681595, 'LT', 'Lithuania'),
(10247, '46.105.188.252', '46.105.188.255', 778681596, 778681599, 'GB', 'United Kingdom'),
(10248, '46.105.189.0', '46.105.189.15', 778681600, 778681615, 'DE', 'Germany'),
(10249, '46.105.189.16', '46.105.189.19', 778681616, 778681619, 'ES', 'Spain'),
(10250, '46.105.189.20', '46.105.189.23', 778681620, 778681623, 'DE', 'Germany'),
(10251, '46.105.189.24', '46.105.189.31', 778681624, 778681631, 'FR', 'France'),
(10252, '46.105.189.32', '46.105.189.39', 778681632, 778681639, 'IT', 'Italy'),
(10253, '46.105.189.40', '46.105.189.43', 778681640, 778681643, 'PL', 'Poland'),
(10254, '46.105.189.44', '46.105.189.47', 778681644, 778681647, 'DE', 'Germany'),
(10255, '46.105.189.48', '46.105.189.51', 778681648, 778681651, 'FR', 'France'),
(10256, '46.105.189.52', '46.105.189.55', 778681652, 778681655, 'CH', 'Switzerland'),
(10257, '46.105.189.56', '46.105.189.67', 778681656, 778681667, 'DE', 'Germany'),
(10258, '46.105.189.68', '46.105.189.71', 778681668, 778681671, 'FR', 'France'),
(10259, '46.105.189.72', '46.105.189.75', 778681672, 778681675, 'GB', 'United Kingdom'),
(10260, '46.105.189.76', '46.105.189.107', 778681676, 778681707, 'FR', 'France'),
(10261, '46.105.189.108', '46.105.189.111', 778681708, 778681711, 'ES', 'Spain'),
(10262, '46.105.189.112', '46.105.189.127', 778681712, 778681727, 'FR', 'France'),
(10263, '46.105.189.128', '46.105.189.143', 778681728, 778681743, 'ES', 'Spain'),
(10264, '46.105.189.144', '46.105.189.147', 778681744, 778681747, 'FR', 'France'),
(10265, '46.105.189.148', '46.105.189.151', 778681748, 778681751, 'IT', 'Italy'),
(10266, '46.105.189.152', '46.105.189.159', 778681752, 778681759, 'FR', 'France'),
(10267, '46.105.189.160', '46.105.189.163', 778681760, 778681763, 'CZ', 'Czech Republic'),
(10268, '46.105.189.164', '46.105.189.167', 778681764, 778681767, 'NL', 'Netherlands'),
(10269, '46.105.189.168', '46.105.189.171', 778681768, 778681771, 'PL', 'Poland'),
(10270, '46.105.189.172', '46.105.189.175', 778681772, 778681775, 'IT', 'Italy'),
(10271, '46.105.189.176', '46.105.189.179', 778681776, 778681779, 'FR', 'France'),
(10272, '46.105.189.180', '46.105.189.183', 778681780, 778681783, 'CZ', 'Czech Republic'),
(10273, '46.105.189.184', '46.105.189.187', 778681784, 778681787, 'IE', 'Ireland'),
(10274, '46.105.189.188', '46.105.189.191', 778681788, 778681791, 'NL', 'Netherlands'),
(10275, '46.105.189.192', '46.105.189.223', 778681792, 778681823, 'DE', 'Germany'),
(10276, '46.105.189.224', '46.105.189.255', 778681824, 778681855, 'FR', 'France'),
(10277, '46.105.190.0', '46.105.190.3', 778681856, 778681859, 'GB', 'United Kingdom'),
(10278, '46.105.190.4', '46.105.190.15', 778681860, 778681871, 'FR', 'France'),
(10279, '46.105.190.16', '46.105.190.31', 778681872, 778681887, 'IT', 'Italy'),
(10280, '46.105.190.32', '46.105.190.47', 778681888, 778681903, 'LT', 'Lithuania'),
(10281, '46.105.190.48', '46.105.190.63', 778681904, 778681919, 'NL', 'Netherlands'),
(10282, '46.105.190.64', '46.105.190.127', 778681920, 778681983, 'GB', 'United Kingdom'),
(10283, '46.105.190.128', '46.105.190.143', 778681984, 778681999, 'PT', 'Portugal'),
(10284, '46.105.190.144', '46.105.190.159', 778682000, 778682015, 'GB', 'United Kingdom'),
(10285, '46.105.190.160', '46.105.190.175', 778682016, 778682031, 'PL', 'Poland'),
(10286, '46.105.190.176', '46.105.190.191', 778682032, 778682047, 'BE', 'Belgium'),
(10287, '46.105.190.192', '46.105.190.207', 778682048, 778682063, 'NL', 'Netherlands'),
(10288, '46.105.190.208', '46.105.190.223', 778682064, 778682079, 'PL', 'Poland'),
(10289, '46.105.190.224', '46.105.190.247', 778682080, 778682103, 'FR', 'France'),
(10290, '46.105.190.248', '46.105.190.255', 778682104, 778682111, 'ES', 'Spain'),
(10291, '46.105.191.0', '46.105.191.3', 778682112, 778682115, 'FR', 'France'),
(10292, '46.105.191.4', '46.105.191.7', 778682116, 778682119, 'PL', 'Poland'),
(10293, '46.105.191.8', '46.105.191.11', 778682120, 778682123, 'CH', 'Switzerland'),
(10294, '46.105.191.12', '46.105.191.15', 778682124, 778682127, 'FR', 'France'),
(10295, '46.105.191.16', '46.105.191.31', 778682128, 778682143, 'IE', 'Ireland'),
(10296, '46.105.191.32', '46.105.191.63', 778682144, 778682175, 'CH', 'Switzerland'),
(10297, '46.105.191.64', '46.105.191.83', 778682176, 778682195, 'IT', 'Italy'),
(10298, '46.105.191.84', '46.105.191.87', 778682196, 778682199, 'NL', 'Netherlands'),
(10299, '46.105.191.88', '46.105.191.91', 778682200, 778682203, 'PL', 'Poland'),
(10300, '46.105.191.92', '46.105.191.95', 778682204, 778682207, 'PT', 'Portugal'),
(10301, '46.105.191.96', '46.105.191.127', 778682208, 778682239, 'FR', 'France'),
(10302, '46.105.191.128', '46.105.191.131', 778682240, 778682243, 'BE', 'Belgium'),
(10303, '46.105.191.132', '46.105.191.135', 778682244, 778682247, 'LT', 'Lithuania'),
(10304, '46.105.191.136', '46.105.191.183', 778682248, 778682295, 'FR', 'France'),
(10305, '46.105.191.184', '46.105.191.191', 778682296, 778682303, 'PL', 'Poland'),
(10306, '46.105.191.192', '46.105.191.207', 778682304, 778682319, 'FR', 'France'),
(10307, '46.105.191.208', '46.105.191.215', 778682320, 778682327, 'DE', 'Germany'),
(10308, '46.105.191.216', '46.105.191.219', 778682328, 778682331, 'FR', 'France'),
(10309, '46.105.191.220', '46.105.191.223', 778682332, 778682335, 'NL', 'Netherlands'),
(10310, '46.105.191.224', '46.105.191.239', 778682336, 778682351, 'IT', 'Italy'),
(10311, '46.105.191.240', '46.105.191.255', 778682352, 778682367, 'GB', 'United Kingdom'),
(10312, '46.105.192.0', '46.105.223.255', 778682368, 778690559, 'FR', 'France'),
(10313, '46.105.224.0', '46.105.224.31', 778690560, 778690591, 'DE', 'Germany'),
(10314, '46.105.224.32', '46.105.224.63', 778690592, 778690623, 'FR', 'France'),
(10315, '46.105.224.64', '46.105.224.79', 778690624, 778690639, 'PL', 'Poland'),
(10316, '46.105.224.80', '46.105.224.95', 778690640, 778690655, 'IT', 'Italy'),
(10317, '46.105.224.96', '46.105.224.127', 778690656, 778690687, 'PT', 'Portugal'),
(10318, '46.105.224.128', '46.105.224.143', 778690688, 778690703, 'IE', 'Ireland'),
(10319, '46.105.224.144', '46.105.224.163', 778690704, 778690723, 'FR', 'France'),
(10320, '46.105.224.164', '46.105.224.167', 778690724, 778690727, 'GB', 'United Kingdom'),
(10321, '46.105.224.168', '46.105.224.175', 778690728, 778690735, 'FR', 'France'),
(10322, '46.105.224.176', '46.105.224.191', 778690736, 778690751, 'PT', 'Portugal'),
(10323, '46.105.224.192', '46.105.224.223', 778690752, 778690783, 'DE', 'Germany'),
(10324, '46.105.224.224', '46.105.224.255', 778690784, 778690815, 'FR', 'France'),
(10325, '46.105.225.0', '46.105.225.63', 778690816, 778690879, 'ES', 'Spain'),
(10326, '46.105.225.64', '46.105.225.67', 778690880, 778690883, 'DE', 'Germany'),
(10327, '46.105.225.68', '46.105.225.71', 778690884, 778690887, 'PL', 'Poland'),
(10328, '46.105.225.72', '46.105.225.111', 778690888, 778690927, 'FR', 'France'),
(10329, '46.105.225.112', '46.105.225.115', 778690928, 778690931, 'PL', 'Poland'),
(10330, '46.105.225.116', '46.105.225.119', 778690932, 778690935, 'ES', 'Spain'),
(10331, '46.105.225.120', '46.105.225.127', 778690936, 778690943, 'IT', 'Italy'),
(10332, '46.105.225.128', '46.105.225.143', 778690944, 778690959, 'GB', 'United Kingdom'),
(10333, '46.105.225.144', '46.105.225.159', 778690960, 778690975, 'PL', 'Poland'),
(10334, '46.105.225.160', '46.105.225.167', 778690976, 778690983, 'PT', 'Portugal'),
(10335, '46.105.225.168', '46.105.225.175', 778690984, 778690991, 'BE', 'Belgium'),
(10336, '46.105.225.176', '46.105.225.183', 778690992, 778690999, 'IT', 'Italy'),
(10337, '46.105.225.184', '46.105.225.187', 778691000, 778691003, 'PT', 'Portugal'),
(10338, '46.105.225.188', '46.105.225.191', 778691004, 778691007, 'GB', 'United Kingdom'),
(10339, '46.105.225.192', '46.105.225.223', 778691008, 778691039, 'FR', 'France'),
(10340, '46.105.225.224', '46.105.225.227', 778691040, 778691043, 'PL', 'Poland'),
(10341, '46.105.225.228', '46.105.225.231', 778691044, 778691047, 'ES', 'Spain'),
(10342, '46.105.225.232', '46.105.225.235', 778691048, 778691051, 'PL', 'Poland'),
(10343, '46.105.225.236', '46.105.225.239', 778691052, 778691055, 'PT', 'Portugal'),
(10344, '46.105.225.240', '46.105.225.247', 778691056, 778691063, 'NL', 'Netherlands'),
(10345, '46.105.225.248', '46.105.225.251', 778691064, 778691067, 'LT', 'Lithuania'),
(10346, '46.105.225.252', '46.105.225.255', 778691068, 778691071, 'PL', 'Poland'),
(10347, '46.105.226.0', '46.105.227.47', 778691072, 778691375, 'FR', 'France'),
(10348, '46.105.227.48', '46.105.227.63', 778691376, 778691391, 'PL', 'Poland'),
(10349, '46.105.227.64', '46.105.227.95', 778691392, 778691423, 'PT', 'Portugal'),
(10350, '46.105.227.96', '46.105.227.99', 778691424, 778691427, 'FR', 'France'),
(10351, '46.105.227.100', '46.105.227.103', 778691428, 778691431, 'CZ', 'Czech Republic'),
(10352, '46.105.227.104', '46.105.227.107', 778691432, 778691435, 'BE', 'Belgium'),
(10353, '46.105.227.108', '46.105.227.111', 778691436, 778691439, 'FR', 'France'),
(10354, '46.105.227.112', '46.105.227.115', 778691440, 778691443, 'DE', 'Germany'),
(10355, '46.105.227.116', '46.105.227.191', 778691444, 778691519, 'FR', 'France'),
(10356, '46.105.227.192', '46.105.227.255', 778691520, 778691583, 'GB', 'United Kingdom'),
(10357, '46.105.228.0', '46.105.228.31', 778691584, 778691615, 'FR', 'France'),
(10358, '46.105.228.32', '46.105.228.35', 778691616, 778691619, 'DE', 'Germany'),
(10359, '46.105.228.36', '46.105.228.43', 778691620, 778691627, 'NL', 'Netherlands'),
(10360, '46.105.228.44', '46.105.228.47', 778691628, 778691631, 'PL', 'Poland'),
(10361, '46.105.228.48', '46.105.228.159', 778691632, 778691743, 'FR', 'France'),
(10362, '46.105.228.160', '46.105.228.163', 778691744, 778691747, 'PL', 'Poland'),
(10363, '46.105.228.164', '46.105.228.167', 778691748, 778691751, 'ES', 'Spain'),
(10364, '46.105.228.168', '46.105.228.171', 778691752, 778691755, 'FI', 'Finland'),
(10365, '46.105.228.172', '46.105.228.175', 778691756, 778691759, 'ES', 'Spain'),
(10366, '46.105.228.176', '46.105.228.179', 778691760, 778691763, 'GB', 'United Kingdom'),
(10367, '46.105.228.180', '46.105.228.183', 778691764, 778691767, 'DE', 'Germany'),
(10368, '46.105.228.184', '46.105.228.191', 778691768, 778691775, 'FR', 'France'),
(10369, '46.105.228.192', '46.105.228.207', 778691776, 778691791, 'GB', 'United Kingdom'),
(10370, '46.105.228.208', '46.105.228.211', 778691792, 778691795, 'DE', 'Germany'),
(10371, '46.105.228.212', '46.105.228.215', 778691796, 778691799, 'PL', 'Poland'),
(10372, '46.105.228.216', '46.105.228.219', 778691800, 778691803, 'ES', 'Spain'),
(10373, '46.105.228.220', '46.105.228.223', 778691804, 778691807, 'PL', 'Poland'),
(10374, '46.105.228.224', '46.105.228.255', 778691808, 778691839, 'ES', 'Spain'),
(10375, '46.105.229.0', '46.105.229.15', 778691840, 778691855, 'CH', 'Switzerland'),
(10376, '46.105.229.16', '46.105.229.127', 778691856, 778691967, 'FR', 'France'),
(10377, '46.105.229.128', '46.105.229.131', 778691968, 778691971, 'NL', 'Netherlands'),
(10378, '46.105.229.132', '46.105.229.135', 778691972, 778691975, 'FR', 'France'),
(10379, '46.105.229.136', '46.105.229.143', 778691976, 778691983, 'ES', 'Spain'),
(10380, '46.105.229.144', '46.105.229.147', 778691984, 778691987, 'GB', 'United Kingdom'),
(10381, '46.105.229.148', '46.105.229.151', 778691988, 778691991, 'IT', 'Italy'),
(10382, '46.105.229.152', '46.105.229.175', 778691992, 778692015, 'FR', 'France'),
(10383, '46.105.229.176', '46.105.229.191', 778692016, 778692031, 'IE', 'Ireland'),
(10384, '46.105.229.192', '46.105.229.199', 778692032, 778692039, 'DE', 'Germany'),
(10385, '46.105.229.200', '46.105.229.223', 778692040, 778692063, 'PL', 'Poland'),
(10386, '46.105.229.224', '46.105.229.255', 778692064, 778692095, 'CH', 'Switzerland'),
(10387, '46.105.230.0', '46.105.230.3', 778692096, 778692099, 'PL', 'Poland'),
(10388, '46.105.230.4', '46.105.230.7', 778692100, 778692103, 'DE', 'Germany'),
(10389, '46.105.230.8', '46.105.230.11', 778692104, 778692107, 'CH', 'Switzerland'),
(10390, '46.105.230.12', '46.105.230.19', 778692108, 778692115, 'PL', 'Poland'),
(10391, '46.105.230.20', '46.105.230.31', 778692116, 778692127, 'FR', 'France'),
(10392, '46.105.230.32', '46.105.230.47', 778692128, 778692143, 'NL', 'Netherlands'),
(10393, '46.105.230.48', '46.105.230.95', 778692144, 778692191, 'FR', 'France'),
(10394, '46.105.230.96', '46.105.230.99', 778692192, 778692195, 'ES', 'Spain'),
(10395, '46.105.230.100', '46.105.230.103', 778692196, 778692199, 'CZ', 'Czech Republic'),
(10396, '46.105.230.104', '46.105.230.111', 778692200, 778692207, 'ES', 'Spain'),
(10397, '46.105.230.112', '46.105.230.127', 778692208, 778692223, 'FR', 'France'),
(10398, '46.105.230.128', '46.105.230.159', 778692224, 778692255, 'DE', 'Germany'),
(10399, '46.105.230.160', '46.105.230.223', 778692256, 778692319, 'FR', 'France'),
(10400, '46.105.230.224', '46.105.230.255', 778692320, 778692351, 'IE', 'Ireland'),
(10401, '46.105.231.0', '46.105.232.7', 778692352, 778692615, 'FR', 'France'),
(10402, '46.105.232.8', '46.105.232.11', 778692616, 778692619, 'PL', 'Poland'),
(10403, '46.105.232.12', '46.105.232.15', 778692620, 778692623, 'IE', 'Ireland'),
(10404, '46.105.232.16', '46.105.232.31', 778692624, 778692639, 'NL', 'Netherlands'),
(10405, '46.105.232.32', '46.105.232.39', 778692640, 778692647, 'FR', 'France'),
(10406, '46.105.232.40', '46.105.232.43', 778692648, 778692651, 'DE', 'Germany'),
(10407, '46.105.232.44', '46.105.232.63', 778692652, 778692671, 'PL', 'Poland'),
(10408, '46.105.232.64', '46.105.232.71', 778692672, 778692679, 'DE', 'Germany'),
(10409, '46.105.232.72', '46.105.232.75', 778692680, 778692683, 'ES', 'Spain'),
(10410, '46.105.232.76', '46.105.232.79', 778692684, 778692687, 'CZ', 'Czech Republic'),
(10411, '46.105.232.80', '46.105.232.95', 778692688, 778692703, 'FR', 'France'),
(10412, '46.105.232.96', '46.105.232.103', 778692704, 778692711, 'NL', 'Netherlands'),
(10413, '46.105.232.104', '46.105.232.111', 778692712, 778692719, 'GB', 'United Kingdom'),
(10414, '46.105.232.112', '46.105.232.115', 778692720, 778692723, 'PL', 'Poland'),
(10415, '46.105.232.116', '46.105.232.127', 778692724, 778692735, 'FR', 'France'),
(10416, '46.105.232.128', '46.105.232.131', 778692736, 778692739, 'ES', 'Spain'),
(10417, '46.105.232.132', '46.105.232.135', 778692740, 778692743, 'PL', 'Poland'),
(10418, '46.105.232.136', '46.105.232.139', 778692744, 778692747, 'PT', 'Portugal'),
(10419, '46.105.232.140', '46.105.232.143', 778692748, 778692751, 'ES', 'Spain'),
(10420, '46.105.232.144', '46.105.232.159', 778692752, 778692767, 'FR', 'France'),
(10421, '46.105.232.160', '46.105.232.175', 778692768, 778692783, 'ES', 'Spain'),
(10422, '46.105.232.176', '46.105.232.179', 778692784, 778692787, 'GB', 'United Kingdom'),
(10423, '46.105.232.180', '46.105.232.183', 778692788, 778692791, 'DE', 'Germany'),
(10424, '46.105.232.184', '46.105.232.191', 778692792, 778692799, 'FR', 'France'),
(10425, '46.105.232.192', '46.105.232.199', 778692800, 778692807, 'IE', 'Ireland'),
(10426, '46.105.232.200', '46.105.232.203', 778692808, 778692811, 'CH', 'Switzerland'),
(10427, '46.105.232.204', '46.105.232.207', 778692812, 778692815, 'DE', 'Germany'),
(10428, '46.105.232.208', '46.105.232.215', 778692816, 778692823, 'NL', 'Netherlands'),
(10429, '46.105.232.216', '46.105.232.219', 778692824, 778692827, 'IT', 'Italy'),
(10430, '46.105.232.220', '46.105.232.223', 778692828, 778692831, 'GB', 'United Kingdom'),
(10431, '46.105.232.224', '46.105.232.227', 778692832, 778692835, 'BE', 'Belgium'),
(10432, '46.105.232.228', '46.105.232.231', 778692836, 778692839, 'PT', 'Portugal'),
(10433, '46.105.232.232', '46.105.232.235', 778692840, 778692843, 'ES', 'Spain'),
(10434, '46.105.232.236', '46.105.232.239', 778692844, 778692847, 'PL', 'Poland'),
(10435, '46.105.232.240', '46.105.232.255', 778692848, 778692863, 'ES', 'Spain'),
(10436, '46.105.233.0', '46.105.233.15', 778692864, 778692879, 'IE', 'Ireland'),
(10437, '46.105.233.16', '46.105.233.19', 778692880, 778692883, 'PL', 'Poland'),
(10438, '46.105.233.20', '46.105.233.23', 778692884, 778692887, 'FR', 'France'),
(10439, '46.105.233.24', '46.105.233.27', 778692888, 778692891, 'PL', 'Poland'),
(10440, '46.105.233.28', '46.105.233.31', 778692892, 778692895, 'GB', 'United Kingdom'),
(10441, '46.105.233.32', '46.105.233.47', 778692896, 778692911, 'FR', 'France'),
(10442, '46.105.233.48', '46.105.233.63', 778692912, 778692927, 'NL', 'Netherlands'),
(10443, '46.105.233.64', '46.105.233.95', 778692928, 778692959, 'DE', 'Germany'),
(10444, '46.105.233.96', '46.105.233.103', 778692960, 778692967, 'FR', 'France'),
(10445, '46.105.233.104', '46.105.233.107', 778692968, 778692971, 'LT', 'Lithuania'),
(10446, '46.105.233.108', '46.105.233.111', 778692972, 778692975, 'PT', 'Portugal'),
(10447, '46.105.233.112', '46.105.233.119', 778692976, 778692983, 'DE', 'Germany'),
(10448, '46.105.233.120', '46.105.233.127', 778692984, 778692991, 'FR', 'France'),
(10449, '46.105.233.128', '46.105.233.159', 778692992, 778693023, 'GB', 'United Kingdom'),
(10450, '46.105.233.160', '46.105.233.163', 778693024, 778693027, 'PL', 'Poland'),
(10451, '46.105.233.164', '46.105.233.167', 778693028, 778693031, 'ES', 'Spain'),
(10452, '46.105.233.168', '46.105.233.171', 778693032, 778693035, 'FR', 'France'),
(10453, '46.105.233.172', '46.105.233.175', 778693036, 778693039, 'DE', 'Germany'),
(10454, '46.105.233.176', '46.105.233.191', 778693040, 778693055, 'PT', 'Portugal'),
(10455, '46.105.233.192', '46.105.233.195', 778693056, 778693059, 'CH', 'Switzerland'),
(10456, '46.105.233.196', '46.105.233.199', 778693060, 778693063, 'PL', 'Poland'),
(10457, '46.105.233.200', '46.105.233.203', 778693064, 778693067, 'CZ', 'Czech Republic'),
(10458, '46.105.233.204', '46.105.233.207', 778693068, 778693071, 'IT', 'Italy'),
(10459, '46.105.233.208', '46.105.233.211', 778693072, 778693075, 'FR', 'France'),
(10460, '46.105.233.212', '46.105.233.215', 778693076, 778693079, 'PL', 'Poland'),
(10461, '46.105.233.216', '46.105.233.223', 778693080, 778693087, 'FR', 'France'),
(10462, '46.105.233.224', '46.105.233.227', 778693088, 778693091, 'IE', 'Ireland'),
(10463, '46.105.233.228', '46.105.233.231', 778693092, 778693095, 'FR', 'France'),
(10464, '46.105.233.232', '46.105.233.235', 778693096, 778693099, 'GB', 'United Kingdom'),
(10465, '46.105.233.236', '46.105.233.239', 778693100, 778693103, 'ES', 'Spain'),
(10466, '46.105.233.240', '46.105.233.255', 778693104, 778693119, 'FR', 'France'),
(10467, '46.105.234.0', '46.105.234.15', 778693120, 778693135, 'GB', 'United Kingdom'),
(10468, '46.105.234.16', '46.105.234.19', 778693136, 778693139, 'FR', 'France'),
(10469, '46.105.234.20', '46.105.234.23', 778693140, 778693143, 'PL', 'Poland'),
(10470, '46.105.234.24', '46.105.234.31', 778693144, 778693151, 'FR', 'France'),
(10471, '46.105.234.32', '46.105.234.35', 778693152, 778693155, 'GB', 'United Kingdom'),
(10472, '46.105.234.36', '46.105.234.39', 778693156, 778693159, 'FR', 'France'),
(10473, '46.105.234.40', '46.105.234.47', 778693160, 778693167, 'BE', 'Belgium'),
(10474, '46.105.234.48', '46.105.234.51', 778693168, 778693171, 'CZ', 'Czech Republic'),
(10475, '46.105.234.52', '46.105.234.63', 778693172, 778693183, 'FR', 'France'),
(10476, '46.105.234.64', '46.105.234.103', 778693184, 778693223, 'PL', 'Poland'),
(10477, '46.105.234.104', '46.105.234.107', 778693224, 778693227, 'FR', 'France'),
(10478, '46.105.234.108', '46.105.234.111', 778693228, 778693231, 'IT', 'Italy'),
(10479, '46.105.234.112', '46.105.234.115', 778693232, 778693235, 'DE', 'Germany'),
(10480, '46.105.234.116', '46.105.234.119', 778693236, 778693239, 'PL', 'Poland'),
(10481, '46.105.234.120', '46.105.234.123', 778693240, 778693243, 'ES', 'Spain'),
(10482, '46.105.234.124', '46.105.234.127', 778693244, 778693247, 'PL', 'Poland'),
(10483, '46.105.234.128', '46.105.234.159', 778693248, 778693279, 'FR', 'France'),
(10484, '46.105.234.160', '46.105.234.175', 778693280, 778693295, 'DE', 'Germany'),
(10485, '46.105.234.176', '46.105.234.191', 778693296, 778693311, 'CH', 'Switzerland'),
(10486, '46.105.234.192', '46.105.234.207', 778693312, 778693327, 'FR', 'France'),
(10487, '46.105.234.208', '46.105.235.15', 778693328, 778693391, 'GB', 'United Kingdom'),
(10488, '46.105.235.16', '46.105.235.51', 778693392, 778693427, 'FR', 'France'),
(10489, '46.105.235.52', '46.105.235.55', 778693428, 778693431, 'CZ', 'Czech Republic'),
(10490, '46.105.235.56', '46.105.235.63', 778693432, 778693439, 'FR', 'France'),
(10491, '46.105.235.64', '46.105.235.79', 778693440, 778693455, 'GB', 'United Kingdom'),
(10492, '46.105.235.80', '46.105.235.83', 778693456, 778693459, 'DE', 'Germany'),
(10493, '46.105.235.84', '46.105.235.135', 778693460, 778693511, 'FR', 'France'),
(10494, '46.105.235.136', '46.105.235.139', 778693512, 778693515, 'CZ', 'Czech Republic'),
(10495, '46.105.235.140', '46.105.235.191', 778693516, 778693567, 'FR', 'France'),
(10496, '46.105.235.192', '46.105.235.223', 778693568, 778693599, 'BE', 'Belgium'),
(10497, '46.105.235.224', '46.105.235.231', 778693600, 778693607, 'DE', 'Germany'),
(10498, '46.105.235.232', '46.105.235.235', 778693608, 778693611, 'PL', 'Poland'),
(10499, '46.105.235.236', '46.105.235.239', 778693612, 778693615, 'GB', 'United Kingdom'),
(10500, '46.105.235.240', '46.105.235.243', 778693616, 778693619, 'FR', 'France'),
(10501, '46.105.235.244', '46.105.235.247', 778693620, 778693623, 'DE', 'Germany'),
(10502, '46.105.235.248', '46.105.235.251', 778693624, 778693627, 'FR', 'France'),
(10503, '46.105.235.252', '46.105.235.255', 778693628, 778693631, 'PL', 'Poland'),
(10504, '46.105.236.0', '46.105.236.31', 778693632, 778693663, 'FR', 'France'),
(10505, '46.105.236.32', '46.105.236.47', 778693664, 778693679, 'NL', 'Netherlands'),
(10506, '46.105.236.48', '46.105.236.63', 778693680, 778693695, 'DE', 'Germany'),
(10507, '46.105.236.64', '46.105.236.127', 778693696, 778693759, 'IE', 'Ireland'),
(10508, '46.105.236.128', '46.105.236.131', 778693760, 778693763, 'NL', 'Netherlands'),
(10509, '46.105.236.132', '46.105.236.135', 778693764, 778693767, 'ES', 'Spain'),
(10510, '46.105.236.136', '46.105.236.139', 778693768, 778693771, 'PL', 'Poland'),
(10511, '46.105.236.140', '46.105.236.143', 778693772, 778693775, 'FR', 'France'),
(10512, '46.105.236.144', '46.105.236.159', 778693776, 778693791, 'IT', 'Italy'),
(10513, '46.105.236.160', '46.105.236.163', 778693792, 778693795, 'PL', 'Poland'),
(10514, '46.105.236.164', '46.105.236.191', 778693796, 778693823, 'FR', 'France'),
(10515, '46.105.236.192', '46.105.236.207', 778693824, 778693839, 'PT', 'Portugal'),
(10516, '46.105.236.208', '46.105.236.223', 778693840, 778693855, 'FR', 'France'),
(10517, '46.105.236.224', '46.105.236.255', 778693856, 778693887, 'DE', 'Germany'),
(10518, '46.105.237.0', '46.105.237.3', 778693888, 778693891, 'PT', 'Portugal'),
(10519, '46.105.237.4', '46.105.237.7', 778693892, 778693895, 'FR', 'France'),
(10520, '46.105.237.8', '46.105.237.11', 778693896, 778693899, 'ES', 'Spain'),
(10521, '46.105.237.12', '46.105.237.15', 778693900, 778693903, 'GB', 'United Kingdom'),
(10522, '46.105.237.16', '46.105.237.31', 778693904, 778693919, 'IE', 'Ireland'),
(10523, '46.105.237.32', '46.105.237.39', 778693920, 778693927, 'CH', 'Switzerland'),
(10524, '46.105.237.40', '46.105.237.43', 778693928, 778693931, 'PL', 'Poland'),
(10525, '46.105.237.44', '46.105.237.47', 778693932, 778693935, 'DE', 'Germany'),
(10526, '46.105.237.48', '46.105.237.63', 778693936, 778693951, 'GB', 'United Kingdom'),
(10527, '46.105.237.64', '46.105.237.79', 778693952, 778693967, 'FR', 'France'),
(10528, '46.105.237.80', '46.105.237.83', 778693968, 778693971, 'ES', 'Spain'),
(10529, '46.105.237.84', '46.105.237.87', 778693972, 778693975, 'PL', 'Poland'),
(10530, '46.105.237.88', '46.105.237.95', 778693976, 778693983, 'FR', 'France'),
(10531, '46.105.237.96', '46.105.237.127', 778693984, 778694015, 'IE', 'Ireland'),
(10532, '46.105.237.128', '46.105.237.255', 778694016, 778694143, 'FR', 'France'),
(10533, '46.105.238.0', '46.105.238.3', 778694144, 778694147, 'DE', 'Germany'),
(10534, '46.105.238.4', '46.105.238.11', 778694148, 778694155, 'PL', 'Poland'),
(10535, '46.105.238.12', '46.105.238.15', 778694156, 778694159, 'NL', 'Netherlands'),
(10536, '46.105.238.16', '46.105.238.19', 778694160, 778694163, 'GB', 'United Kingdom'),
(10537, '46.105.238.20', '46.105.238.27', 778694164, 778694171, 'PL', 'Poland'),
(10538, '46.105.238.28', '46.105.238.39', 778694172, 778694183, 'FR', 'France'),
(10539, '46.105.238.40', '46.105.238.43', 778694184, 778694187, 'PL', 'Poland'),
(10540, '46.105.238.44', '46.105.238.47', 778694188, 778694191, 'ES', 'Spain'),
(10541, '46.105.238.48', '46.105.238.51', 778694192, 778694195, 'BE', 'Belgium'),
(10542, '46.105.238.52', '46.105.238.55', 778694196, 778694199, 'NL', 'Netherlands'),
(10543, '46.105.238.56', '46.105.238.59', 778694200, 778694203, 'IT', 'Italy'),
(10544, '46.105.238.60', '46.105.238.147', 778694204, 778694291, 'FR', 'France'),
(10545, '46.105.238.148', '46.105.238.151', 778694292, 778694295, 'DE', 'Germany'),
(10546, '46.105.238.152', '46.105.238.155', 778694296, 778694299, 'FR', 'France'),
(10547, '46.105.238.156', '46.105.238.159', 778694300, 778694303, 'PL', 'Poland'),
(10548, '46.105.238.160', '46.105.238.163', 778694304, 778694307, 'NL', 'Netherlands'),
(10549, '46.105.238.164', '46.105.238.171', 778694308, 778694315, 'PL', 'Poland'),
(10550, '46.105.238.172', '46.105.238.175', 778694316, 778694319, 'GB', 'United Kingdom'),
(10551, '46.105.238.176', '46.105.238.191', 778694320, 778694335, 'FR', 'France'),
(10552, '46.105.238.192', '46.105.238.207', 778694336, 778694351, 'IT', 'Italy'),
(10553, '46.105.238.208', '46.105.239.15', 778694352, 778694415, 'FR', 'France'),
(10554, '46.105.239.16', '46.105.239.63', 778694416, 778694463, 'IT', 'Italy'),
(10555, '46.105.239.64', '46.105.239.79', 778694464, 778694479, 'FR', 'France'),
(10556, '46.105.239.80', '46.105.239.111', 778694480, 778694511, 'IT', 'Italy'),
(10557, '46.105.239.112', '46.105.239.115', 778694512, 778694515, 'LT', 'Lithuania'),
(10558, '46.105.239.116', '46.105.239.127', 778694516, 778694527, 'ES', 'Spain'),
(10559, '46.105.239.128', '46.105.239.143', 778694528, 778694543, 'PL', 'Poland'),
(10560, '46.105.239.144', '46.105.239.155', 778694544, 778694555, 'DE', 'Germany'),
(10561, '46.105.239.156', '46.105.239.159', 778694556, 778694559, 'NL', 'Netherlands'),
(10562, '46.105.239.160', '46.105.239.163', 778694560, 778694563, 'PL', 'Poland'),
(10563, '46.105.239.164', '46.105.239.167', 778694564, 778694567, 'DE', 'Germany'),
(10564, '46.105.239.168', '46.105.239.171', 778694568, 778694571, 'PT', 'Portugal'),
(10565, '46.105.239.172', '46.105.239.175', 778694572, 778694575, 'BE', 'Belgium'),
(10566, '46.105.239.176', '46.105.239.191', 778694576, 778694591, 'PT', 'Portugal'),
(10567, '46.105.239.192', '46.105.239.223', 778694592, 778694623, 'FR', 'France'),
(10568, '46.105.239.224', '46.105.239.227', 778694624, 778694627, 'DE', 'Germany'),
(10569, '46.105.239.228', '46.105.239.239', 778694628, 778694639, 'FR', 'France'),
(10570, '46.105.239.240', '46.105.239.243', 778694640, 778694643, 'PL', 'Poland'),
(10571, '46.105.239.244', '46.105.239.247', 778694644, 778694647, 'PT', 'Portugal'),
(10572, '46.105.239.248', '46.105.239.255', 778694648, 778694655, 'FR', 'France'),
(10573, '46.105.240.0', '46.105.240.7', 778694656, 778694663, 'DE', 'Germany'),
(10574, '46.105.240.8', '46.105.240.15', 778694664, 778694671, 'PT', 'Portugal'),
(10575, '46.105.240.16', '46.105.240.23', 778694672, 778694679, 'FR', 'France'),
(10576, '46.105.240.24', '46.105.240.31', 778694680, 778694687, 'PL', 'Poland'),
(10577, '46.105.240.32', '46.105.240.47', 778694688, 778694703, 'GB', 'United Kingdom'),
(10578, '46.105.240.48', '46.105.240.63', 778694704, 778694719, 'FR', 'France'),
(10579, '46.105.240.64', '46.105.240.127', 778694720, 778694783, 'IT', 'Italy'),
(10580, '46.105.240.128', '46.105.240.159', 778694784, 778694815, 'FR', 'France'),
(10581, '46.105.240.160', '46.105.240.167', 778694816, 778694823, 'BE', 'Belgium'),
(10582, '46.105.240.168', '46.105.240.171', 778694824, 778694827, 'FI', 'Finland'),
(10583, '46.105.240.172', '46.105.240.175', 778694828, 778694831, 'PL', 'Poland'),
(10584, '46.105.240.176', '46.105.240.183', 778694832, 778694839, 'IT', 'Italy'),
(10585, '46.105.240.184', '46.105.240.191', 778694840, 778694847, 'PL', 'Poland'),
(10586, '46.105.240.192', '46.105.240.255', 778694848, 778694911, 'FR', 'France'),
(10587, '46.105.241.0', '46.105.241.31', 778694912, 778694943, 'LT', 'Lithuania'),
(10588, '46.105.241.32', '46.105.241.47', 778694944, 778694959, 'FR', 'France'),
(10589, '46.105.241.48', '46.105.241.63', 778694960, 778694975, 'ES', 'Spain'),
(10590, '46.105.241.64', '46.105.241.95', 778694976, 778695007, 'GB', 'United Kingdom'),
(10591, '46.105.241.96', '46.105.241.127', 778695008, 778695039, 'ES', 'Spain'),
(10592, '46.105.241.128', '46.105.241.159', 778695040, 778695071, 'IT', 'Italy'),
(10593, '46.105.241.160', '46.105.241.163', 778695072, 778695075, 'FR', 'France'),
(10594, '46.105.241.164', '46.105.241.167', 778695076, 778695079, 'PL', 'Poland'),
(10595, '46.105.241.168', '46.105.241.171', 778695080, 778695083, 'NL', 'Netherlands'),
(10596, '46.105.241.172', '46.105.241.175', 778695084, 778695087, 'PL', 'Poland'),
(10597, '46.105.241.176', '46.105.241.191', 778695088, 778695103, 'PT', 'Portugal'),
(10598, '46.105.241.192', '46.105.241.255', 778695104, 778695167, 'PL', 'Poland'),
(10599, '46.105.242.0', '46.105.242.15', 778695168, 778695183, 'FR', 'France'),
(10600, '46.105.242.16', '46.105.242.23', 778695184, 778695191, 'GB', 'United Kingdom'),
(10601, '46.105.242.24', '46.105.242.35', 778695192, 778695203, 'PL', 'Poland'),
(10602, '46.105.242.36', '46.105.242.39', 778695204, 778695207, 'ES', 'Spain'),
(10603, '46.105.242.40', '46.105.242.47', 778695208, 778695215, 'FR', 'France'),
(10604, '46.105.242.48', '46.105.242.63', 778695216, 778695231, 'DE', 'Germany'),
(10605, '46.105.242.64', '46.105.242.127', 778695232, 778695295, 'NL', 'Netherlands'),
(10606, '46.105.242.128', '46.105.242.131', 778695296, 778695299, 'FR', 'France'),
(10607, '46.105.242.132', '46.105.242.135', 778695300, 778695303, 'IT', 'Italy'),
(10608, '46.105.242.136', '46.105.242.139', 778695304, 778695307, 'PL', 'Poland'),
(10609, '46.105.242.140', '46.105.242.159', 778695308, 778695327, 'FR', 'France'),
(10610, '46.105.242.160', '46.105.242.163', 778695328, 778695331, 'IE', 'Ireland'),
(10611, '46.105.242.164', '46.105.242.167', 778695332, 778695335, 'GB', 'United Kingdom'),
(10612, '46.105.242.168', '46.105.242.171', 778695336, 778695339, 'PL', 'Poland'),
(10613, '46.105.242.172', '46.105.242.175', 778695340, 778695343, 'FR', 'France'),
(10614, '46.105.242.176', '46.105.242.179', 778695344, 778695347, 'PL', 'Poland'),
(10615, '46.105.242.180', '46.105.242.183', 778695348, 778695351, 'ES', 'Spain'),
(10616, '46.105.242.184', '46.105.242.215', 778695352, 778695383, 'FR', 'France'),
(10617, '46.105.242.216', '46.105.242.231', 778695384, 778695399, 'DE', 'Germany'),
(10618, '46.105.242.232', '46.105.242.247', 778695400, 778695415, 'GB', 'United Kingdom'),
(10619, '46.105.242.248', '46.105.242.255', 778695416, 778695423, 'IT', 'Italy'),
(10620, '46.105.243.0', '46.105.243.7', 778695424, 778695431, 'PT', 'Portugal'),
(10621, '46.105.243.8', '46.105.243.15', 778695432, 778695439, 'ES', 'Spain'),
(10622, '46.105.243.16', '46.105.243.23', 778695440, 778695447, 'FI', 'Finland'),
(10623, '46.105.243.24', '46.105.243.31', 778695448, 778695455, 'NL', 'Netherlands'),
(10624, '46.105.243.32', '46.105.243.47', 778695456, 778695471, 'FR', 'France'),
(10625, '46.105.243.48', '46.105.243.55', 778695472, 778695479, 'PL', 'Poland'),
(10626, '46.105.243.56', '46.105.243.63', 778695480, 778695487, 'FR', 'France'),
(10627, '46.105.243.64', '46.105.243.79', 778695488, 778695503, 'BE', 'Belgium'),
(10628, '46.105.243.80', '46.105.243.95', 778695504, 778695519, 'FR', 'France'),
(10629, '46.105.243.96', '46.105.243.111', 778695520, 778695535, 'GB', 'United Kingdom'),
(10630, '46.105.243.112', '46.105.243.127', 778695536, 778695551, 'FR', 'France'),
(10631, '46.105.243.128', '46.105.243.131', 778695552, 778695555, 'BE', 'Belgium'),
(10632, '46.105.243.132', '46.105.243.135', 778695556, 778695559, 'CH', 'Switzerland'),
(10633, '46.105.243.136', '46.105.243.139', 778695560, 778695563, 'DE', 'Germany'),
(10634, '46.105.243.140', '46.105.243.151', 778695564, 778695575, 'PL', 'Poland'),
(10635, '46.105.243.152', '46.105.243.155', 778695576, 778695579, 'ES', 'Spain'),
(10636, '46.105.243.156', '46.105.243.159', 778695580, 778695583, 'FI', 'Finland'),
(10637, '46.105.243.160', '46.105.243.191', 778695584, 778695615, 'PL', 'Poland'),
(10638, '46.105.243.192', '46.105.243.199', 778695616, 778695623, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(10639, '46.105.243.200', '46.105.243.203', 778695624, 778695627, 'CZ', 'Czech Republic'),
(10640, '46.105.243.204', '46.105.243.239', 778695628, 778695663, 'FR', 'France'),
(10641, '46.105.243.240', '46.105.243.255', 778695664, 778695679, 'NL', 'Netherlands'),
(10642, '46.105.244.0', '46.105.244.31', 778695680, 778695711, 'PT', 'Portugal'),
(10643, '46.105.244.32', '46.105.244.71', 778695712, 778695751, 'FR', 'France'),
(10644, '46.105.244.72', '46.105.244.79', 778695752, 778695759, 'PL', 'Poland'),
(10645, '46.105.244.80', '46.105.244.83', 778695760, 778695763, 'FR', 'France'),
(10646, '46.105.244.84', '46.105.244.87', 778695764, 778695767, 'PL', 'Poland'),
(10647, '46.105.244.88', '46.105.244.95', 778695768, 778695775, 'ES', 'Spain'),
(10648, '46.105.244.96', '46.105.244.115', 778695776, 778695795, 'FR', 'France'),
(10649, '46.105.244.116', '46.105.244.119', 778695796, 778695799, 'ES', 'Spain'),
(10650, '46.105.244.120', '46.105.244.127', 778695800, 778695807, 'FR', 'France'),
(10651, '46.105.244.128', '46.105.244.143', 778695808, 778695823, 'DE', 'Germany'),
(10652, '46.105.244.144', '46.105.244.159', 778695824, 778695839, 'FR', 'France'),
(10653, '46.105.244.160', '46.105.244.223', 778695840, 778695903, 'DE', 'Germany'),
(10654, '46.105.244.224', '46.105.244.231', 778695904, 778695911, 'FI', 'Finland'),
(10655, '46.105.244.232', '46.105.244.239', 778695912, 778695919, 'FR', 'France'),
(10656, '46.105.244.240', '46.105.244.243', 778695920, 778695923, 'PL', 'Poland'),
(10657, '46.105.244.244', '46.105.244.247', 778695924, 778695927, 'CZ', 'Czech Republic'),
(10658, '46.105.244.248', '46.105.244.251', 778695928, 778695931, 'FI', 'Finland'),
(10659, '46.105.244.252', '46.105.245.7', 778695932, 778695943, 'ES', 'Spain'),
(10660, '46.105.245.8', '46.105.245.15', 778695944, 778695951, 'FI', 'Finland'),
(10661, '46.105.245.16', '46.105.245.31', 778695952, 778695967, 'DE', 'Germany'),
(10662, '46.105.245.32', '46.105.245.35', 778695968, 778695971, 'ES', 'Spain'),
(10663, '46.105.245.36', '46.105.245.39', 778695972, 778695975, 'PL', 'Poland'),
(10664, '46.105.245.40', '46.105.245.47', 778695976, 778695983, 'FR', 'France'),
(10665, '46.105.245.48', '46.105.245.51', 778695984, 778695987, 'PL', 'Poland'),
(10666, '46.105.245.52', '46.105.245.55', 778695988, 778695991, 'FR', 'France'),
(10667, '46.105.245.56', '46.105.245.59', 778695992, 778695995, 'GB', 'United Kingdom'),
(10668, '46.105.245.60', '46.105.245.63', 778695996, 778695999, 'BE', 'Belgium'),
(10669, '46.105.245.64', '46.105.245.79', 778696000, 778696015, 'FR', 'France'),
(10670, '46.105.245.80', '46.105.245.83', 778696016, 778696019, 'PL', 'Poland'),
(10671, '46.105.245.84', '46.105.245.87', 778696020, 778696023, 'ES', 'Spain'),
(10672, '46.105.245.88', '46.105.245.91', 778696024, 778696027, 'DE', 'Germany'),
(10673, '46.105.245.92', '46.105.245.95', 778696028, 778696031, 'GB', 'United Kingdom'),
(10674, '46.105.245.96', '46.105.245.111', 778696032, 778696047, 'FR', 'France'),
(10675, '46.105.245.112', '46.105.245.127', 778696048, 778696063, 'ES', 'Spain'),
(10676, '46.105.245.128', '46.105.245.163', 778696064, 778696099, 'FR', 'France'),
(10677, '46.105.245.164', '46.105.245.167', 778696100, 778696103, 'GB', 'United Kingdom'),
(10678, '46.105.245.168', '46.105.245.171', 778696104, 778696107, 'FR', 'France'),
(10679, '46.105.245.172', '46.105.245.175', 778696108, 778696111, 'DE', 'Germany'),
(10680, '46.105.245.176', '46.105.245.191', 778696112, 778696127, 'FR', 'France'),
(10681, '46.105.245.192', '46.105.245.223', 778696128, 778696159, 'DE', 'Germany'),
(10682, '46.105.245.224', '46.105.245.239', 778696160, 778696175, 'GB', 'United Kingdom'),
(10683, '46.105.245.240', '46.105.245.247', 778696176, 778696183, 'DE', 'Germany'),
(10684, '46.105.245.248', '46.105.245.251', 778696184, 778696187, 'NL', 'Netherlands'),
(10685, '46.105.245.252', '46.105.246.7', 778696188, 778696199, 'FR', 'France'),
(10686, '46.105.246.8', '46.105.246.11', 778696200, 778696203, 'IT', 'Italy'),
(10687, '46.105.246.12', '46.105.246.15', 778696204, 778696207, 'ES', 'Spain'),
(10688, '46.105.246.16', '46.105.246.19', 778696208, 778696211, 'IE', 'Ireland'),
(10689, '46.105.246.20', '46.105.246.23', 778696212, 778696215, 'DE', 'Germany'),
(10690, '46.105.246.24', '46.105.246.27', 778696216, 778696219, 'IT', 'Italy'),
(10691, '46.105.246.28', '46.105.246.31', 778696220, 778696223, 'GB', 'United Kingdom'),
(10692, '46.105.246.32', '46.105.246.35', 778696224, 778696227, 'NL', 'Netherlands'),
(10693, '46.105.246.36', '46.105.246.39', 778696228, 778696231, 'PL', 'Poland'),
(10694, '46.105.246.40', '46.105.246.47', 778696232, 778696239, 'CH', 'Switzerland'),
(10695, '46.105.246.48', '46.105.246.55', 778696240, 778696247, 'DE', 'Germany'),
(10696, '46.105.246.56', '46.105.246.59', 778696248, 778696251, 'PL', 'Poland'),
(10697, '46.105.246.60', '46.105.246.63', 778696252, 778696255, 'GB', 'United Kingdom'),
(10698, '46.105.246.64', '46.105.246.71', 778696256, 778696263, 'IT', 'Italy'),
(10699, '46.105.246.72', '46.105.246.95', 778696264, 778696287, 'ES', 'Spain'),
(10700, '46.105.246.96', '46.105.246.143', 778696288, 778696335, 'DE', 'Germany'),
(10701, '46.105.246.144', '46.105.246.147', 778696336, 778696339, 'PL', 'Poland'),
(10702, '46.105.246.148', '46.105.246.151', 778696340, 778696343, 'IT', 'Italy'),
(10703, '46.105.246.152', '46.105.246.155', 778696344, 778696347, 'CH', 'Switzerland'),
(10704, '46.105.246.156', '46.105.246.159', 778696348, 778696351, 'PL', 'Poland'),
(10705, '46.105.246.160', '46.105.246.191', 778696352, 778696383, 'ES', 'Spain'),
(10706, '46.105.246.192', '46.105.246.223', 778696384, 778696415, 'IE', 'Ireland'),
(10707, '46.105.246.224', '46.105.247.31', 778696416, 778696479, 'FR', 'France'),
(10708, '46.105.247.32', '46.105.247.35', 778696480, 778696483, 'GB', 'United Kingdom'),
(10709, '46.105.247.36', '46.105.247.39', 778696484, 778696487, 'ES', 'Spain'),
(10710, '46.105.247.40', '46.105.247.47', 778696488, 778696495, 'PL', 'Poland'),
(10711, '46.105.247.48', '46.105.247.51', 778696496, 778696499, 'ES', 'Spain'),
(10712, '46.105.247.52', '46.105.247.55', 778696500, 778696503, 'FR', 'France'),
(10713, '46.105.247.56', '46.105.247.63', 778696504, 778696511, 'IT', 'Italy'),
(10714, '46.105.247.64', '46.105.247.95', 778696512, 778696543, 'DE', 'Germany'),
(10715, '46.105.247.96', '46.105.247.111', 778696544, 778696559, 'FR', 'France'),
(10716, '46.105.247.112', '46.105.247.119', 778696560, 778696567, 'DE', 'Germany'),
(10717, '46.105.247.120', '46.105.247.127', 778696568, 778696575, 'ES', 'Spain'),
(10718, '46.105.247.128', '46.105.247.143', 778696576, 778696591, 'GB', 'United Kingdom'),
(10719, '46.105.247.144', '46.105.247.191', 778696592, 778696639, 'IE', 'Ireland'),
(10720, '46.105.247.192', '46.105.247.195', 778696640, 778696643, 'ES', 'Spain'),
(10721, '46.105.247.196', '46.105.247.199', 778696644, 778696647, 'NL', 'Netherlands'),
(10722, '46.105.247.200', '46.105.247.207', 778696648, 778696655, 'FR', 'France'),
(10723, '46.105.247.208', '46.105.247.211', 778696656, 778696659, 'NL', 'Netherlands'),
(10724, '46.105.247.212', '46.105.247.215', 778696660, 778696663, 'CH', 'Switzerland'),
(10725, '46.105.247.216', '46.105.247.219', 778696664, 778696667, 'FI', 'Finland'),
(10726, '46.105.247.220', '46.105.247.223', 778696668, 778696671, 'IE', 'Ireland'),
(10727, '46.105.247.224', '46.105.247.239', 778696672, 778696687, 'CH', 'Switzerland'),
(10728, '46.105.247.240', '46.105.247.243', 778696688, 778696691, 'BE', 'Belgium'),
(10729, '46.105.247.244', '46.105.247.247', 778696692, 778696695, 'FI', 'Finland'),
(10730, '46.105.247.248', '46.105.247.251', 778696696, 778696699, 'FR', 'France'),
(10731, '46.105.247.252', '46.105.247.255', 778696700, 778696703, 'GB', 'United Kingdom'),
(10732, '46.105.248.0', '46.105.248.255', 778696704, 778696959, 'FR', 'France'),
(10733, '46.105.249.0', '46.105.249.15', 778696960, 778696975, 'IT', 'Italy'),
(10734, '46.105.249.16', '46.105.249.19', 778696976, 778696979, 'GB', 'United Kingdom'),
(10735, '46.105.249.20', '46.105.249.23', 778696980, 778696983, 'FR', 'France'),
(10736, '46.105.249.24', '46.105.249.27', 778696984, 778696987, 'ES', 'Spain'),
(10737, '46.105.249.28', '46.105.249.31', 778696988, 778696991, 'FR', 'France'),
(10738, '46.105.249.32', '46.105.249.35', 778696992, 778696995, 'NL', 'Netherlands'),
(10739, '46.105.249.36', '46.105.249.39', 778696996, 778696999, 'ES', 'Spain'),
(10740, '46.105.249.40', '46.105.249.47', 778697000, 778697007, 'FR', 'France'),
(10741, '46.105.249.48', '46.105.249.55', 778697008, 778697015, 'IE', 'Ireland'),
(10742, '46.105.249.56', '46.105.249.59', 778697016, 778697019, 'PL', 'Poland'),
(10743, '46.105.249.60', '46.105.249.63', 778697020, 778697023, 'ES', 'Spain'),
(10744, '46.105.249.64', '46.105.249.99', 778697024, 778697059, 'DE', 'Germany'),
(10745, '46.105.249.100', '46.105.249.103', 778697060, 778697063, 'FR', 'France'),
(10746, '46.105.249.104', '46.105.249.107', 778697064, 778697067, 'PL', 'Poland'),
(10747, '46.105.249.108', '46.105.249.111', 778697068, 778697071, 'FR', 'France'),
(10748, '46.105.249.112', '46.105.249.127', 778697072, 778697087, 'IT', 'Italy'),
(10749, '46.105.249.128', '46.105.249.135', 778697088, 778697095, 'IE', 'Ireland'),
(10750, '46.105.249.136', '46.105.249.139', 778697096, 778697099, 'FR', 'France'),
(10751, '46.105.249.140', '46.105.249.143', 778697100, 778697103, 'ES', 'Spain'),
(10752, '46.105.249.144', '46.105.249.191', 778697104, 778697151, 'IE', 'Ireland'),
(10753, '46.105.249.192', '46.105.249.207', 778697152, 778697167, 'ES', 'Spain'),
(10754, '46.105.249.208', '46.105.249.211', 778697168, 778697171, 'FR', 'France'),
(10755, '46.105.249.212', '46.105.249.215', 778697172, 778697175, 'DE', 'Germany'),
(10756, '46.105.249.216', '46.105.249.219', 778697176, 778697179, 'PL', 'Poland'),
(10757, '46.105.249.220', '46.105.249.223', 778697180, 778697183, 'GB', 'United Kingdom'),
(10758, '46.105.249.224', '46.105.250.43', 778697184, 778697259, 'FR', 'France'),
(10759, '46.105.250.44', '46.105.250.47', 778697260, 778697263, 'CH', 'Switzerland'),
(10760, '46.105.250.48', '46.105.250.55', 778697264, 778697271, 'FR', 'France'),
(10761, '46.105.250.56', '46.105.250.63', 778697272, 778697279, 'PL', 'Poland'),
(10762, '46.105.250.64', '46.105.250.71', 778697280, 778697287, 'IE', 'Ireland'),
(10763, '46.105.250.72', '46.105.250.75', 778697288, 778697291, 'FR', 'France'),
(10764, '46.105.250.76', '46.105.250.79', 778697292, 778697295, 'IT', 'Italy'),
(10765, '46.105.250.80', '46.105.250.91', 778697296, 778697307, 'NL', 'Netherlands'),
(10766, '46.105.250.92', '46.105.250.95', 778697308, 778697311, 'GB', 'United Kingdom'),
(10767, '46.105.250.96', '46.105.250.127', 778697312, 778697343, 'PL', 'Poland'),
(10768, '46.105.250.128', '46.105.250.159', 778697344, 778697375, 'DE', 'Germany'),
(10769, '46.105.250.160', '46.105.250.171', 778697376, 778697387, 'FR', 'France'),
(10770, '46.105.250.172', '46.105.250.175', 778697388, 778697391, 'ES', 'Spain'),
(10771, '46.105.250.176', '46.105.250.191', 778697392, 778697407, 'GB', 'United Kingdom'),
(10772, '46.105.250.192', '46.105.250.199', 778697408, 778697415, 'PT', 'Portugal'),
(10773, '46.105.250.200', '46.105.250.207', 778697416, 778697423, 'BE', 'Belgium'),
(10774, '46.105.250.208', '46.105.250.219', 778697424, 778697435, 'FR', 'France'),
(10775, '46.105.250.220', '46.105.250.223', 778697436, 778697439, 'GB', 'United Kingdom'),
(10776, '46.105.250.224', '46.105.250.239', 778697440, 778697455, 'FR', 'France'),
(10777, '46.105.250.240', '46.105.250.243', 778697456, 778697459, 'IT', 'Italy'),
(10778, '46.105.250.244', '46.105.250.247', 778697460, 778697463, 'CZ', 'Czech Republic'),
(10779, '46.105.250.248', '46.105.250.251', 778697464, 778697467, 'NL', 'Netherlands'),
(10780, '46.105.250.252', '46.105.250.255', 778697468, 778697471, 'PL', 'Poland'),
(10781, '46.105.251.0', '46.105.251.203', 778697472, 778697675, 'FR', 'France'),
(10782, '46.105.251.204', '46.105.251.207', 778697676, 778697679, 'DE', 'Germany'),
(10783, '46.105.251.208', '46.105.251.211', 778697680, 778697683, 'PL', 'Poland'),
(10784, '46.105.251.212', '46.105.251.215', 778697684, 778697687, 'FR', 'France'),
(10785, '46.105.251.216', '46.105.251.223', 778697688, 778697695, 'ES', 'Spain'),
(10786, '46.105.251.224', '46.105.251.255', 778697696, 778697727, 'FR', 'France'),
(10787, '46.105.252.0', '46.105.252.63', 778697728, 778697791, 'FI', 'Finland'),
(10788, '46.105.252.64', '46.105.252.79', 778697792, 778697807, 'ES', 'Spain'),
(10789, '46.105.252.80', '46.105.252.87', 778697808, 778697815, 'PL', 'Poland'),
(10790, '46.105.252.88', '46.105.252.91', 778697816, 778697819, 'FR', 'France'),
(10791, '46.105.252.92', '46.105.252.95', 778697820, 778697823, 'IT', 'Italy'),
(10792, '46.105.252.96', '46.105.252.107', 778697824, 778697835, 'FR', 'France'),
(10793, '46.105.252.108', '46.105.252.111', 778697836, 778697839, 'GB', 'United Kingdom'),
(10794, '46.105.252.112', '46.105.252.119', 778697840, 778697847, 'FR', 'France'),
(10795, '46.105.252.120', '46.105.252.123', 778697848, 778697851, 'PL', 'Poland'),
(10796, '46.105.252.124', '46.105.252.199', 778697852, 778697927, 'FR', 'France'),
(10797, '46.105.252.200', '46.105.252.207', 778697928, 778697935, 'DE', 'Germany'),
(10798, '46.105.252.208', '46.105.252.215', 778697936, 778697943, 'PL', 'Poland'),
(10799, '46.105.252.216', '46.105.252.219', 778697944, 778697947, 'CH', 'Switzerland'),
(10800, '46.105.252.220', '46.105.252.223', 778697948, 778697951, 'FR', 'France'),
(10801, '46.105.252.224', '46.105.252.227', 778697952, 778697955, 'DE', 'Germany'),
(10802, '46.105.252.228', '46.105.252.231', 778697956, 778697959, 'IE', 'Ireland'),
(10803, '46.105.252.232', '46.105.252.239', 778697960, 778697967, 'ES', 'Spain'),
(10804, '46.105.252.240', '46.105.252.247', 778697968, 778697975, 'FR', 'France'),
(10805, '46.105.252.248', '46.105.252.251', 778697976, 778697979, 'BE', 'Belgium'),
(10806, '46.105.252.252', '46.105.252.255', 778697980, 778697983, 'FI', 'Finland'),
(10807, '46.105.253.0', '46.105.253.255', 778697984, 778698239, 'NL', 'Netherlands'),
(10808, '46.105.254.0', '46.105.254.7', 778698240, 778698247, 'GB', 'United Kingdom'),
(10809, '46.105.254.8', '46.105.254.11', 778698248, 778698251, 'ES', 'Spain'),
(10810, '46.105.254.12', '46.105.254.15', 778698252, 778698255, 'PL', 'Poland'),
(10811, '46.105.254.16', '46.105.254.47', 778698256, 778698287, 'FR', 'France'),
(10812, '46.105.254.48', '46.105.254.55', 778698288, 778698295, 'FI', 'Finland'),
(10813, '46.105.254.56', '46.105.254.63', 778698296, 778698303, 'IE', 'Ireland'),
(10814, '46.105.254.64', '46.105.254.159', 778698304, 778698399, 'FR', 'France'),
(10815, '46.105.254.160', '46.105.254.207', 778698400, 778698447, 'IE', 'Ireland'),
(10816, '46.105.254.208', '46.105.254.211', 778698448, 778698451, 'NL', 'Netherlands'),
(10817, '46.105.254.212', '46.105.254.215', 778698452, 778698455, 'PL', 'Poland'),
(10818, '46.105.254.216', '46.105.254.219', 778698456, 778698459, 'CZ', 'Czech Republic'),
(10819, '46.105.254.220', '46.105.254.223', 778698460, 778698463, 'PL', 'Poland'),
(10820, '46.105.254.224', '46.105.254.227', 778698464, 778698467, 'NL', 'Netherlands'),
(10821, '46.105.254.228', '46.105.254.231', 778698468, 778698471, 'PL', 'Poland'),
(10822, '46.105.254.232', '46.105.254.239', 778698472, 778698479, 'IT', 'Italy'),
(10823, '46.105.254.240', '46.105.254.255', 778698480, 778698495, 'FR', 'France'),
(10824, '46.105.255.0', '46.105.255.3', 778698496, 778698499, 'IE', 'Ireland'),
(10825, '46.105.255.4', '46.105.255.7', 778698500, 778698503, 'FR', 'France'),
(10826, '46.105.255.8', '46.105.255.15', 778698504, 778698511, 'CH', 'Switzerland'),
(10827, '46.105.255.16', '46.105.255.23', 778698512, 778698519, 'FI', 'Finland'),
(10828, '46.105.255.24', '46.105.255.31', 778698520, 778698527, 'FR', 'France'),
(10829, '46.105.255.32', '46.105.255.35', 778698528, 778698531, 'PT', 'Portugal'),
(10830, '46.105.255.36', '46.105.255.39', 778698532, 778698535, 'CH', 'Switzerland'),
(10831, '46.105.255.40', '46.105.255.43', 778698536, 778698539, 'PL', 'Poland'),
(10832, '46.105.255.44', '46.105.255.47', 778698540, 778698543, 'FR', 'France'),
(10833, '46.105.255.48', '46.105.255.55', 778698544, 778698551, 'DE', 'Germany'),
(10834, '46.105.255.56', '46.105.255.59', 778698552, 778698555, 'PL', 'Poland'),
(10835, '46.105.255.60', '46.105.255.63', 778698556, 778698559, 'IT', 'Italy'),
(10836, '46.105.255.64', '46.105.255.131', 778698560, 778698627, 'FR', 'France'),
(10837, '46.105.255.132', '46.105.255.135', 778698628, 778698631, 'IE', 'Ireland'),
(10838, '46.105.255.136', '46.105.255.139', 778698632, 778698635, 'PL', 'Poland'),
(10839, '46.105.255.140', '46.105.255.143', 778698636, 778698639, 'ES', 'Spain'),
(10840, '46.105.255.144', '46.105.255.147', 778698640, 778698643, 'NL', 'Netherlands'),
(10841, '46.105.255.148', '46.105.255.151', 778698644, 778698647, 'PL', 'Poland'),
(10842, '46.105.255.152', '46.105.255.159', 778698648, 778698655, 'ES', 'Spain'),
(10843, '46.105.255.160', '46.105.255.171', 778698656, 778698667, 'FR', 'France'),
(10844, '46.105.255.172', '46.105.255.175', 778698668, 778698671, 'ES', 'Spain'),
(10845, '46.105.255.176', '46.105.255.191', 778698672, 778698687, 'IE', 'Ireland'),
(10846, '46.105.255.192', '46.105.255.199', 778698688, 778698695, 'LT', 'Lithuania'),
(10847, '46.105.255.200', '46.105.255.207', 778698696, 778698703, 'FR', 'France'),
(10848, '46.105.255.208', '46.105.255.211', 778698704, 778698707, 'DE', 'Germany'),
(10849, '46.105.255.212', '46.105.255.215', 778698708, 778698711, 'ES', 'Spain'),
(10850, '46.105.255.216', '46.105.255.219', 778698712, 778698715, 'IE', 'Ireland'),
(10851, '46.105.255.220', '46.105.255.223', 778698716, 778698719, 'CZ', 'Czech Republic'),
(10852, '46.105.255.224', '46.105.255.255', 778698720, 778698751, 'FR', 'France'),
(10853, '46.106.0.0', '46.106.255.255', 778698752, 778764287, 'TR', 'Turkey'),
(10854, '46.107.0.0', '46.107.255.255', 778764288, 778829823, 'HU', 'Hungary'),
(10855, '46.108.0.0', '46.108.255.255', 778829824, 778895359, 'RO', 'Romania'),
(10856, '46.109.0.0', '46.109.255.255', 778895360, 778960895, 'LV', 'Latvia'),
(10857, '46.110.0.0', '46.110.255.255', 778960896, 779026431, 'DE', 'Germany'),
(10858, '46.111.0.0', '46.111.255.255', 779026432, 779091967, 'RU', 'Russian Federation'),
(10859, '46.112.0.0', '46.113.255.255', 779091968, 779223039, 'PL', 'Poland'),
(10860, '46.114.0.0', '46.115.255.255', 779223040, 779354111, 'DE', 'Germany'),
(10861, '46.116.0.0', '46.117.255.255', 779354112, 779485183, 'IL', 'Israel'),
(10862, '46.118.0.0', '46.119.255.255', 779485184, 779616255, 'UA', 'Ukraine'),
(10863, '46.120.0.0', '46.121.255.255', 779616256, 779747327, 'IL', 'Israel'),
(10864, '46.122.0.0', '46.123.255.255', 779747328, 779878399, 'SI', 'Slovenia'),
(10865, '46.124.0.0', '46.125.255.255', 779878400, 780009471, 'AT', 'Austria'),
(10866, '46.126.0.0', '46.127.255.255', 780009472, 780140543, 'CH', 'Switzerland'),
(10867, '46.128.0.0', '46.128.255.255', 780140544, 780206079, 'DE', 'Germany'),
(10868, '46.129.0.0', '46.129.255.255', 780206080, 780271615, 'NL', 'Netherlands'),
(10869, '46.130.0.0', '46.130.255.255', 780271616, 780337151, 'AM', 'Armenia'),
(10870, '46.131.0.0', '46.131.255.255', 780337152, 780402687, 'EE', 'Estonia'),
(10871, '46.132.0.0', '46.132.255.255', 780402688, 780468223, 'FI', 'Finland'),
(10872, '46.133.0.0', '46.133.255.255', 780468224, 780533759, 'UA', 'Ukraine'),
(10873, '46.134.0.0', '46.134.255.255', 780533760, 780599295, 'PL', 'Poland'),
(10874, '46.135.0.0', '46.135.255.255', 780599296, 780664831, 'CZ', 'Czech Republic'),
(10875, '46.136.0.0', '46.136.0.255', 780664832, 780665087, 'NL', 'Netherlands'),
(10876, '46.136.1.0', '46.136.1.255', 780665088, 780665343, 'DE', 'Germany'),
(10877, '46.136.2.0', '46.136.2.255', 780665344, 780665599, 'FR', 'France'),
(10878, '46.136.3.0', '46.136.3.255', 780665600, 780665855, 'GB', 'United Kingdom'),
(10879, '46.136.4.0', '46.136.4.255', 780665856, 780666111, 'SA', 'Saudi Arabia'),
(10880, '46.136.5.0', '46.136.5.255', 780666112, 780666367, 'IT', 'Italy'),
(10881, '46.136.6.0', '46.136.6.255', 780666368, 780666623, 'AX', 'Aland Islands'),
(10882, '46.136.7.0', '46.136.7.255', 780666624, 780666879, 'AF', 'Afghanistan'),
(10883, '46.136.8.0', '46.136.8.255', 780666880, 780667135, 'AL', 'Albania'),
(10884, '46.136.9.0', '46.136.9.255', 780667136, 780667391, 'DZ', 'Algeria'),
(10885, '46.136.10.0', '46.136.10.255', 780667392, 780667647, 'AS', 'American Samoa'),
(10886, '46.136.11.0', '46.136.11.255', 780667648, 780667903, 'AD', 'Andorra'),
(10887, '46.136.12.0', '46.136.12.255', 780667904, 780668159, 'AM', 'Armenia'),
(10888, '46.136.13.0', '46.136.13.255', 780668160, 780668415, 'AT', 'Austria'),
(10889, '46.136.14.0', '46.136.14.255', 780668416, 780668671, 'AZ', 'Azerbaijan'),
(10890, '46.136.15.0', '46.136.15.255', 780668672, 780668927, 'BH', 'Bahrain'),
(10891, '46.136.16.0', '46.136.16.255', 780668928, 780669183, 'BY', 'Belarus'),
(10892, '46.136.17.0', '46.136.17.255', 780669184, 780669439, 'BE', 'Belgium'),
(10893, '46.136.18.0', '46.136.18.255', 780669440, 780669695, 'BA', 'Bosnia and Herzegovina'),
(10894, '46.136.19.0', '46.136.19.255', 780669696, 780669951, 'BG', 'Bulgaria'),
(10895, '46.136.20.0', '46.136.20.255', 780669952, 780670207, 'HR', 'Croatia'),
(10896, '46.136.21.0', '46.136.21.255', 780670208, 780670463, 'CY', 'Cyprus'),
(10897, '46.136.22.0', '46.136.22.255', 780670464, 780670719, 'CZ', 'Czech Republic'),
(10898, '46.136.23.0', '46.136.23.255', 780670720, 780670975, 'DK', 'Denmark'),
(10899, '46.136.24.0', '46.136.24.255', 780670976, 780671231, 'EE', 'Estonia'),
(10900, '46.136.25.0', '46.136.25.255', 780671232, 780671487, 'FO', 'Faroe Islands'),
(10901, '46.136.26.0', '46.136.26.255', 780671488, 780671743, 'FI', 'Finland'),
(10902, '46.136.27.0', '46.136.27.255', 780671744, 780671999, 'FR', 'France'),
(10903, '46.136.28.0', '46.136.28.255', 780672000, 780672255, 'GE', 'Georgia'),
(10904, '46.136.29.0', '46.136.29.255', 780672256, 780672511, 'DE', 'Germany'),
(10905, '46.136.30.0', '46.136.30.255', 780672512, 780672767, 'GI', 'Gibraltar'),
(10906, '46.136.31.0', '46.136.31.255', 780672768, 780673023, 'GR', 'Greece'),
(10907, '46.136.32.0', '46.136.32.255', 780673024, 780673279, 'GL', 'Greenland'),
(10908, '46.136.33.0', '46.136.33.255', 780673280, 780673535, 'GG', 'Guernsey'),
(10909, '46.136.34.0', '46.136.34.255', 780673536, 780673791, 'VA', 'Holy See (Vatican City State)'),
(10910, '46.136.35.0', '46.136.35.255', 780673792, 780674047, 'HU', 'Hungary'),
(10911, '46.136.36.0', '46.136.36.255', 780674048, 780674303, 'IS', 'Iceland'),
(10912, '46.136.37.0', '46.136.37.255', 780674304, 780674559, 'IR', 'Iran, Islamic Republic of'),
(10913, '46.136.38.0', '46.136.38.255', 780674560, 780674815, 'IQ', 'Iraq'),
(10914, '46.136.39.0', '46.136.39.255', 780674816, 780675071, 'IE', 'Ireland'),
(10915, '46.136.40.0', '46.136.40.255', 780675072, 780675327, 'IM', 'Isle of Man'),
(10916, '46.136.41.0', '46.136.41.255', 780675328, 780675583, 'IL', 'Israel'),
(10917, '46.136.42.0', '46.136.42.255', 780675584, 780675839, 'IT', 'Italy'),
(10918, '46.136.43.0', '46.136.43.255', 780675840, 780676095, 'JE', 'Jersey'),
(10919, '46.136.44.0', '46.136.44.255', 780676096, 780676351, 'JO', 'Jordan'),
(10920, '46.136.45.0', '46.136.45.255', 780676352, 780676607, 'KZ', 'Kazakhstan'),
(10921, '46.136.46.0', '46.136.46.255', 780676608, 780676863, 'KW', 'Kuwait'),
(10922, '46.136.47.0', '46.136.47.255', 780676864, 780677119, 'KG', 'Kyrgyzstan'),
(10923, '46.136.48.0', '46.136.48.255', 780677120, 780677375, 'LV', 'Latvia'),
(10924, '46.136.49.0', '46.136.49.255', 780677376, 780677631, 'LB', 'Lebanon'),
(10925, '46.136.50.0', '46.136.50.255', 780677632, 780677887, 'LI', 'Liechtenstein'),
(10926, '46.136.51.0', '46.136.51.255', 780677888, 780678143, 'LT', 'Lithuania'),
(10927, '46.136.52.0', '46.136.52.255', 780678144, 780678399, 'LU', 'Luxembourg'),
(10928, '46.136.53.0', '46.136.53.255', 780678400, 780678655, 'MK', 'Macedonia'),
(10929, '46.136.54.0', '46.136.54.255', 780678656, 780678911, 'MT', 'Malta'),
(10930, '46.136.55.0', '46.136.55.255', 780678912, 780679167, 'MD', 'Moldova, Republic of'),
(10931, '46.136.56.0', '46.136.56.255', 780679168, 780679423, 'MC', 'Monaco'),
(10932, '46.136.57.0', '46.136.57.255', 780679424, 780679679, 'ME', 'Montenegro'),
(10933, '46.136.58.0', '46.136.58.255', 780679680, 780679935, 'NL', 'Netherlands'),
(10934, '46.136.59.0', '46.136.60.255', 780679936, 780680447, 'NO', 'Norway'),
(10935, '46.136.61.0', '46.136.61.255', 780680448, 780680703, 'PS', 'Palestinian Territory, Occupied'),
(10936, '46.136.62.0', '46.136.62.255', 780680704, 780680959, 'PL', 'Poland'),
(10937, '46.136.63.0', '46.136.63.255', 780680960, 780681215, 'PT', 'Portugal'),
(10938, '46.136.64.0', '46.136.64.255', 780681216, 780681471, 'QA', 'Qatar'),
(10939, '46.136.65.0', '46.136.65.255', 780681472, 780681727, 'RO', 'Romania'),
(10940, '46.136.66.0', '46.136.66.255', 780681728, 780681983, 'RU', 'Russian Federation'),
(10941, '46.136.67.0', '46.136.67.255', 780681984, 780682239, 'SM', 'San Marino'),
(10942, '46.136.68.0', '46.136.68.255', 780682240, 780682495, 'SA', 'Saudi Arabia'),
(10943, '46.136.69.0', '46.136.69.255', 780682496, 780682751, 'RS', 'Serbia'),
(10944, '46.136.70.0', '46.136.70.255', 780682752, 780683007, 'SK', 'Slovakia'),
(10945, '46.136.71.0', '46.136.71.255', 780683008, 780683263, 'SI', 'Slovenia'),
(10946, '46.136.72.0', '46.136.72.255', 780683264, 780683519, 'ES', 'Spain'),
(10947, '46.136.73.0', '46.136.73.255', 780683520, 780683775, 'SJ', 'Svalbard and Jan Mayen'),
(10948, '46.136.74.0', '46.136.74.255', 780683776, 780684031, 'SE', 'Sweden'),
(10949, '46.136.75.0', '46.136.75.255', 780684032, 780684287, 'CH', 'Switzerland'),
(10950, '46.136.76.0', '46.136.76.255', 780684288, 780684543, 'SY', 'Syrian Arab Republic'),
(10951, '46.136.77.0', '46.136.77.255', 780684544, 780684799, 'TJ', 'Tajikistan'),
(10952, '46.136.78.0', '46.136.78.255', 780684800, 780685055, 'TR', 'Turkey'),
(10953, '46.136.79.0', '46.136.79.255', 780685056, 780685311, 'TM', 'Turkmenistan'),
(10954, '46.136.80.0', '46.136.80.255', 780685312, 780685567, 'UA', 'Ukraine'),
(10955, '46.136.81.0', '46.136.81.255', 780685568, 780685823, 'AE', 'United Arab Emirates'),
(10956, '46.136.82.0', '46.136.82.255', 780685824, 780686079, 'GB', 'United Kingdom'),
(10957, '46.136.83.0', '46.136.83.255', 780686080, 780686335, 'UZ', 'Uzbekistan'),
(10958, '46.136.84.0', '46.136.84.255', 780686336, 780686591, 'YE', 'Yemen'),
(10959, '46.136.85.0', '46.136.85.255', 780686592, 780686847, 'AX', 'Aland Islands'),
(10960, '46.136.86.0', '46.136.86.255', 780686848, 780687103, 'AL', 'Albania'),
(10961, '46.136.87.0', '46.136.87.255', 780687104, 780687359, 'AD', 'Andorra'),
(10962, '46.136.88.0', '46.136.88.255', 780687360, 780687615, 'AM', 'Armenia'),
(10963, '46.136.89.0', '46.136.89.255', 780687616, 780687871, 'AT', 'Austria'),
(10964, '46.136.90.0', '46.136.90.255', 780687872, 780688127, 'AZ', 'Azerbaijan'),
(10965, '46.136.91.0', '46.136.91.255', 780688128, 780688383, 'BH', 'Bahrain'),
(10966, '46.136.92.0', '46.136.92.255', 780688384, 780688639, 'BY', 'Belarus'),
(10967, '46.136.93.0', '46.136.93.255', 780688640, 780688895, 'BE', 'Belgium'),
(10968, '46.136.94.0', '46.136.94.255', 780688896, 780689151, 'BA', 'Bosnia and Herzegovina'),
(10969, '46.136.95.0', '46.136.95.255', 780689152, 780689407, 'BG', 'Bulgaria'),
(10970, '46.136.96.0', '46.136.96.255', 780689408, 780689663, 'HR', 'Croatia'),
(10971, '46.136.97.0', '46.136.97.255', 780689664, 780689919, 'CY', 'Cyprus'),
(10972, '46.136.98.0', '46.136.98.255', 780689920, 780690175, 'CZ', 'Czech Republic'),
(10973, '46.136.99.0', '46.136.99.255', 780690176, 780690431, 'DK', 'Denmark'),
(10974, '46.136.100.0', '46.136.100.255', 780690432, 780690687, 'EE', 'Estonia'),
(10975, '46.136.101.0', '46.136.101.255', 780690688, 780690943, 'FO', 'Faroe Islands'),
(10976, '46.136.102.0', '46.136.102.255', 780690944, 780691199, 'FI', 'Finland'),
(10977, '46.136.103.0', '46.136.103.255', 780691200, 780691455, 'FR', 'France'),
(10978, '46.136.104.0', '46.136.104.255', 780691456, 780691711, 'GE', 'Georgia'),
(10979, '46.136.105.0', '46.136.105.255', 780691712, 780691967, 'DE', 'Germany'),
(10980, '46.136.106.0', '46.136.106.255', 780691968, 780692223, 'GI', 'Gibraltar'),
(10981, '46.136.107.0', '46.136.107.255', 780692224, 780692479, 'GR', 'Greece'),
(10982, '46.136.108.0', '46.136.108.255', 780692480, 780692735, 'GL', 'Greenland'),
(10983, '46.136.109.0', '46.136.109.255', 780692736, 780692991, 'GG', 'Guernsey'),
(10984, '46.136.110.0', '46.136.110.255', 780692992, 780693247, 'VA', 'Holy See (Vatican City State)'),
(10985, '46.136.111.0', '46.136.111.255', 780693248, 780693503, 'HU', 'Hungary'),
(10986, '46.136.112.0', '46.136.112.255', 780693504, 780693759, 'IS', 'Iceland'),
(10987, '46.136.113.0', '46.136.113.255', 780693760, 780694015, 'IR', 'Iran, Islamic Republic of'),
(10988, '46.136.114.0', '46.136.114.255', 780694016, 780694271, 'IQ', 'Iraq'),
(10989, '46.136.115.0', '46.136.115.255', 780694272, 780694527, 'IE', 'Ireland'),
(10990, '46.136.116.0', '46.136.116.255', 780694528, 780694783, 'IL', 'Israel'),
(10991, '46.136.117.0', '46.136.117.255', 780694784, 780695039, 'IT', 'Italy'),
(10992, '46.136.118.0', '46.136.118.255', 780695040, 780695295, 'JE', 'Jersey'),
(10993, '46.136.119.0', '46.136.119.255', 780695296, 780695551, 'JO', 'Jordan'),
(10994, '46.136.120.0', '46.136.120.255', 780695552, 780695807, 'KZ', 'Kazakhstan'),
(10995, '46.136.121.0', '46.136.121.255', 780695808, 780696063, 'KW', 'Kuwait'),
(10996, '46.136.122.0', '46.136.122.255', 780696064, 780696319, 'LB', 'Lebanon'),
(10997, '46.136.123.0', '46.136.123.255', 780696320, 780696575, 'LI', 'Liechtenstein'),
(10998, '46.136.124.0', '46.136.124.255', 780696576, 780696831, 'LT', 'Lithuania'),
(10999, '46.136.125.0', '46.136.125.255', 780696832, 780697087, 'LU', 'Luxembourg'),
(11000, '46.136.126.0', '46.136.126.255', 780697088, 780697343, 'MK', 'Macedonia'),
(11001, '46.136.127.0', '46.136.127.255', 780697344, 780697599, 'MT', 'Malta'),
(11002, '46.136.128.0', '46.136.128.255', 780697600, 780697855, 'NL', 'Netherlands'),
(11003, '46.136.129.0', '46.136.129.255', 780697856, 780698111, 'IT', 'Italy'),
(11004, '46.136.130.0', '46.136.130.255', 780698112, 780698367, 'ES', 'Spain'),
(11005, '46.136.131.0', '46.136.131.255', 780698368, 780698623, 'DE', 'Germany'),
(11006, '46.136.132.0', '46.136.132.255', 780698624, 780698879, 'FR', 'France'),
(11007, '46.136.133.0', '46.136.133.255', 780698880, 780699135, 'RU', 'Russian Federation'),
(11008, '46.136.134.0', '46.136.134.255', 780699136, 780699391, 'RO', 'Romania'),
(11009, '46.136.135.0', '46.136.135.255', 780699392, 780699647, 'BG', 'Bulgaria'),
(11010, '46.136.136.0', '46.136.136.255', 780699648, 780699903, 'DK', 'Denmark'),
(11011, '46.136.137.0', '46.136.137.255', 780699904, 780700159, 'AT', 'Austria'),
(11012, '46.136.138.0', '46.136.138.255', 780700160, 780700415, 'FI', 'Finland'),
(11013, '46.136.139.0', '46.136.139.255', 780700416, 780700671, 'GR', 'Greece'),
(11014, '46.136.140.0', '46.136.140.255', 780700672, 780700927, 'PL', 'Poland'),
(11015, '46.136.141.0', '46.136.141.255', 780700928, 780701183, 'PT', 'Portugal'),
(11016, '46.136.142.0', '46.136.142.255', 780701184, 780701439, 'SE', 'Sweden'),
(11017, '46.136.143.0', '46.136.143.255', 780701440, 780701695, 'CH', 'Switzerland'),
(11018, '46.136.144.0', '46.136.144.255', 780701696, 780701951, 'SA', 'Saudi Arabia'),
(11019, '46.136.145.0', '46.136.145.255', 780701952, 780702207, 'AD', 'Andorra'),
(11020, '46.136.146.0', '46.136.146.255', 780702208, 780702463, 'AE', 'United Arab Emirates'),
(11021, '46.136.147.0', '46.136.147.255', 780702464, 780702719, 'AF', 'Afghanistan'),
(11022, '46.136.148.0', '46.136.148.255', 780702720, 780702975, 'AG', 'Antigua and Barbuda'),
(11023, '46.136.149.0', '46.136.149.255', 780702976, 780703231, 'AI', 'Anguilla'),
(11024, '46.136.150.0', '46.136.150.255', 780703232, 780703487, 'AL', 'Albania'),
(11025, '46.136.151.0', '46.136.151.255', 780703488, 780703743, 'AM', 'Armenia'),
(11026, '46.136.152.0', '46.136.152.255', 780703744, 780703999, 'AO', 'Angola'),
(11027, '46.136.153.0', '46.136.153.255', 780704000, 780704255, 'AQ', 'Antarctica'),
(11028, '46.136.154.0', '46.136.154.255', 780704256, 780704511, 'AR', 'Argentina'),
(11029, '46.136.155.0', '46.136.155.255', 780704512, 780704767, 'AS', 'American Samoa'),
(11030, '46.136.156.0', '46.136.156.255', 780704768, 780705023, 'AT', 'Austria'),
(11031, '46.136.157.0', '46.136.157.255', 780705024, 780705279, 'AU', 'Australia'),
(11032, '46.136.158.0', '46.136.158.255', 780705280, 780705535, 'AW', 'Aruba'),
(11033, '46.136.159.0', '46.136.159.255', 780705536, 780705791, 'AX', 'Aland Islands'),
(11034, '46.136.160.0', '46.136.160.255', 780705792, 780706047, 'AZ', 'Azerbaijan'),
(11035, '46.136.161.0', '46.136.161.255', 780706048, 780706303, 'BA', 'Bosnia and Herzegovina'),
(11036, '46.136.162.0', '46.136.162.255', 780706304, 780706559, 'BB', 'Barbados'),
(11037, '46.136.163.0', '46.136.163.255', 780706560, 780706815, 'BD', 'Bangladesh'),
(11038, '46.136.164.0', '46.136.164.255', 780706816, 780707071, 'BE', 'Belgium'),
(11039, '46.136.165.0', '46.136.165.255', 780707072, 780707327, 'BF', 'Burkina Faso'),
(11040, '46.136.166.0', '46.136.166.255', 780707328, 780707583, 'BG', 'Bulgaria'),
(11041, '46.136.167.0', '46.136.167.255', 780707584, 780707839, 'BH', 'Bahrain'),
(11042, '46.136.168.0', '46.136.168.255', 780707840, 780708095, 'BI', 'Burundi'),
(11043, '46.136.169.0', '46.136.169.255', 780708096, 780708351, 'BJ', 'Benin'),
(11044, '46.136.170.0', '46.136.170.255', 780708352, 780708607, 'BM', 'Bermuda'),
(11045, '46.136.171.0', '46.136.171.255', 780708608, 780708863, 'BN', 'Brunei Darussalam'),
(11046, '46.136.172.0', '46.136.172.255', 780708864, 780709119, 'BO', 'Bolivia'),
(11047, '46.136.173.0', '46.136.173.255', 780709120, 780709375, 'BR', 'Brazil'),
(11048, '46.136.174.0', '46.136.174.255', 780709376, 780709631, 'BS', 'Bahamas'),
(11049, '46.136.175.0', '46.136.175.255', 780709632, 780709887, 'BT', 'Bhutan'),
(11050, '46.136.176.0', '46.136.176.255', 780709888, 780710143, 'BV', 'Bouvet Island'),
(11051, '46.136.177.0', '46.136.177.255', 780710144, 780710399, 'BW', 'Botswana'),
(11052, '46.136.178.0', '46.136.178.255', 780710400, 780710655, 'BY', 'Belarus'),
(11053, '46.136.179.0', '46.136.179.255', 780710656, 780710911, 'BZ', 'Belize'),
(11054, '46.136.180.0', '46.136.180.255', 780710912, 780711167, 'CA', 'Canada'),
(11055, '46.136.181.0', '46.136.181.255', 780711168, 780711423, 'CC', 'Cocos (Keeling) Islands'),
(11056, '46.136.182.0', '46.136.182.255', 780711424, 780711679, 'CD', 'Congo, The Democratic Republic of the'),
(11057, '46.136.183.0', '46.136.183.255', 780711680, 780711935, 'CF', 'Central African Republic'),
(11058, '46.136.184.0', '46.136.184.255', 780711936, 780712191, 'CG', 'Congo'),
(11059, '46.136.185.0', '46.136.185.255', 780712192, 780712447, 'CH', 'Switzerland'),
(11060, '46.136.186.0', '46.136.186.255', 780712448, 780712703, 'CI', 'Cote D''Ivoire'),
(11061, '46.136.187.0', '46.136.187.255', 780712704, 780712959, 'CK', 'Cook Islands'),
(11062, '46.136.188.0', '46.136.188.255', 780712960, 780713215, 'CL', 'Chile'),
(11063, '46.136.189.0', '46.136.189.255', 780713216, 780713471, 'CM', 'Cameroon'),
(11064, '46.136.190.0', '46.136.190.255', 780713472, 780713727, 'CN', 'China'),
(11065, '46.136.191.0', '46.136.191.255', 780713728, 780713983, 'CO', 'Colombia'),
(11066, '46.136.192.0', '46.136.192.255', 780713984, 780714239, 'CR', 'Costa Rica'),
(11067, '46.136.193.0', '46.136.193.255', 780714240, 780714495, 'CU', 'Cuba'),
(11068, '46.136.194.0', '46.136.194.255', 780714496, 780714751, 'CV', 'Cape Verde'),
(11069, '46.136.195.0', '46.136.196.255', 780714752, 780715263, 'CY', 'Cyprus'),
(11070, '46.136.197.0', '46.136.197.255', 780715264, 780715519, 'CZ', 'Czech Republic'),
(11071, '46.136.198.0', '46.136.198.255', 780715520, 780715775, 'DE', 'Germany'),
(11072, '46.136.199.0', '46.136.199.255', 780715776, 780716031, 'DJ', 'Djibouti'),
(11073, '46.136.200.0', '46.136.200.255', 780716032, 780716287, 'DK', 'Denmark'),
(11074, '46.136.201.0', '46.136.201.255', 780716288, 780716543, 'DM', 'Dominica'),
(11075, '46.136.202.0', '46.136.202.255', 780716544, 780716799, 'DO', 'Dominican Republic'),
(11076, '46.136.203.0', '46.136.203.255', 780716800, 780717055, 'DZ', 'Algeria'),
(11077, '46.136.204.0', '46.136.204.255', 780717056, 780717311, 'EC', 'Ecuador'),
(11078, '46.136.205.0', '46.136.205.255', 780717312, 780717567, 'EE', 'Estonia'),
(11079, '46.136.206.0', '46.136.206.255', 780717568, 780717823, 'EG', 'Egypt'),
(11080, '46.136.207.0', '46.136.207.255', 780717824, 780718079, 'EH', 'Western Sahara'),
(11081, '46.136.208.0', '46.136.208.255', 780718080, 780718335, 'ER', 'Eritrea'),
(11082, '46.136.209.0', '46.136.209.255', 780718336, 780718591, 'ES', 'Spain'),
(11083, '46.136.210.0', '46.136.210.255', 780718592, 780718847, 'ET', 'Ethiopia'),
(11084, '46.136.211.0', '46.136.211.255', 780718848, 780719103, 'FI', 'Finland'),
(11085, '46.136.212.0', '46.136.212.255', 780719104, 780719359, 'FJ', 'Fiji'),
(11086, '46.136.213.0', '46.136.213.255', 780719360, 780719615, 'FK', 'Falkland Islands (Malvinas)'),
(11087, '46.136.214.0', '46.136.214.255', 780719616, 780719871, 'FM', 'Micronesia, Federated States of'),
(11088, '46.136.215.0', '46.136.215.255', 780719872, 780720127, 'FO', 'Faroe Islands'),
(11089, '46.136.216.0', '46.136.216.255', 780720128, 780720383, 'FR', 'France'),
(11090, '46.136.217.0', '46.136.217.255', 780720384, 780720639, 'GA', 'Gabon'),
(11091, '46.136.218.0', '46.136.218.255', 780720640, 780720895, 'GB', 'United Kingdom'),
(11092, '46.136.219.0', '46.136.219.255', 780720896, 780721151, 'GD', 'Grenada'),
(11093, '46.136.220.0', '46.136.220.255', 780721152, 780721407, 'GE', 'Georgia'),
(11094, '46.136.221.0', '46.136.221.255', 780721408, 780721663, 'GF', 'French Guiana'),
(11095, '46.136.222.0', '46.136.222.255', 780721664, 780721919, 'GG', 'Guernsey'),
(11096, '46.136.223.0', '46.136.223.255', 780721920, 780722175, 'GH', 'Ghana'),
(11097, '46.136.224.0', '46.136.224.255', 780722176, 780722431, 'GI', 'Gibraltar'),
(11098, '46.136.225.0', '46.136.225.255', 780722432, 780722687, 'GL', 'Greenland'),
(11099, '46.136.226.0', '46.136.226.255', 780722688, 780722943, 'GM', 'Gambia'),
(11100, '46.136.227.0', '46.136.227.255', 780722944, 780723199, 'GN', 'Guinea'),
(11101, '46.136.228.0', '46.136.228.255', 780723200, 780723455, 'GP', 'Guadeloupe'),
(11102, '46.136.229.0', '46.136.229.255', 780723456, 780723711, 'GQ', 'Equatorial Guinea'),
(11103, '46.136.230.0', '46.136.230.255', 780723712, 780723967, 'GR', 'Greece'),
(11104, '46.136.231.0', '46.136.231.255', 780723968, 780724223, 'GS', 'South Georgia and the South Sandwich Islands'),
(11105, '46.136.232.0', '46.136.232.255', 780724224, 780724479, 'GT', 'Guatemala'),
(11106, '46.136.233.0', '46.136.233.255', 780724480, 780724735, 'GU', 'Guam'),
(11107, '46.136.234.0', '46.136.234.255', 780724736, 780724991, 'GW', 'Guinea-Bissau'),
(11108, '46.136.235.0', '46.136.235.255', 780724992, 780725247, 'GY', 'Guyana'),
(11109, '46.136.236.0', '46.136.237.255', 780725248, 780725759, 'HK', 'Hong Kong'),
(11110, '46.136.238.0', '46.136.238.255', 780725760, 780726015, 'HN', 'Honduras'),
(11111, '46.136.239.0', '46.136.239.255', 780726016, 780726271, 'HR', 'Croatia'),
(11112, '46.136.240.0', '46.136.240.255', 780726272, 780726527, 'HT', 'Haiti'),
(11113, '46.136.241.0', '46.136.241.255', 780726528, 780726783, 'HU', 'Hungary'),
(11114, '46.136.242.0', '46.136.242.255', 780726784, 780727039, 'ID', 'Indonesia'),
(11115, '46.136.243.0', '46.136.243.255', 780727040, 780727295, 'IE', 'Ireland'),
(11116, '46.136.244.0', '46.136.244.255', 780727296, 780727551, 'IL', 'Israel'),
(11117, '46.136.245.0', '46.136.245.255', 780727552, 780727807, 'IM', 'Isle of Man'),
(11118, '46.136.246.0', '46.136.246.255', 780727808, 780728063, 'IN', 'India'),
(11119, '46.136.247.0', '46.136.247.255', 780728064, 780728319, 'IO', 'British Indian Ocean Territory'),
(11120, '46.136.248.0', '46.136.248.255', 780728320, 780728575, 'IQ', 'Iraq'),
(11121, '46.136.249.0', '46.136.249.255', 780728576, 780728831, 'IR', 'Iran, Islamic Republic of'),
(11122, '46.136.250.0', '46.136.250.255', 780728832, 780729087, 'IS', 'Iceland'),
(11123, '46.136.251.0', '46.136.251.255', 780729088, 780729343, 'IT', 'Italy'),
(11124, '46.136.252.0', '46.136.252.255', 780729344, 780729599, 'JE', 'Jersey'),
(11125, '46.136.253.0', '46.136.253.255', 780729600, 780729855, 'JM', 'Jamaica'),
(11126, '46.136.254.0', '46.136.254.255', 780729856, 780730111, 'JO', 'Jordan'),
(11127, '46.136.255.0', '46.136.255.255', 780730112, 780730367, 'JP', 'Japan'),
(11128, '46.137.0.0', '46.137.191.255', 780730368, 780779519, 'IE', 'Ireland'),
(11129, '46.137.192.0', '46.137.207.255', 780779520, 780783615, 'NL', 'Netherlands'),
(11130, '46.137.208.0', '46.137.215.255', 780783616, 780785663, 'GB', 'United Kingdom'),
(11131, '46.137.216.0', '46.137.223.255', 780785664, 780787711, 'DE', 'Germany'),
(11132, '46.137.224.0', '46.137.239.255', 780787712, 780791807, 'FR', 'France'),
(11133, '46.137.240.0', '46.137.247.255', 780791808, 780793855, 'SE', 'Sweden'),
(11134, '46.137.248.0', '46.137.255.255', 780793856, 780795903, 'DE', 'Germany'),
(11135, '46.138.0.0', '46.138.255.255', 780795904, 780861439, 'RU', 'Russian Federation'),
(11136, '46.139.0.0', '46.139.255.255', 780861440, 780926975, 'HU', 'Hungary'),
(11137, '46.140.0.0', '46.140.255.255', 780926976, 780992511, 'CH', 'Switzerland'),
(11138, '46.141.0.0', '46.141.255.255', 780992512, 781058047, 'IT', 'Italy'),
(11139, '46.142.0.0', '46.142.255.255', 781058048, 781123583, 'DE', 'Germany'),
(11140, '46.143.0.0', '46.143.255.255', 781123584, 781189119, 'IR', 'Iran, Islamic Republic of'),
(11141, '46.144.0.0', '46.145.255.255', 781189120, 781320191, 'NL', 'Netherlands'),
(11142, '46.146.0.0', '46.147.255.255', 781320192, 781451263, 'RU', 'Russian Federation'),
(11143, '46.148.0.0', '46.148.15.255', 781451264, 781455359, 'PL', 'Poland'),
(11144, '46.148.16.0', '46.148.31.255', 781455360, 781459455, 'UA', 'Ukraine'),
(11145, '46.148.32.0', '46.148.47.255', 781459456, 781463551, 'IR', 'Iran, Islamic Republic of'),
(11146, '46.148.48.0', '46.148.63.255', 781463552, 781467647, 'RU', 'Russian Federation'),
(11147, '46.148.64.0', '46.148.95.255', 781467648, 781475839, 'PL', 'Poland'),
(11148, '46.148.96.0', '46.148.111.255', 781475840, 781479935, 'RU', 'Russian Federation'),
(11149, '46.148.112.0', '46.148.127.255', 781479936, 781484031, 'UA', 'Ukraine'),
(11150, '46.148.128.0', '46.148.143.255', 781484032, 781488127, 'RU', 'Russian Federation'),
(11151, '46.148.144.0', '46.148.175.255', 781488128, 781496319, 'PL', 'Poland'),
(11152, '46.148.176.0', '46.148.255.255', 781496320, 781516799, 'RU', 'Russian Federation'),
(11153, '46.149.0.0', '46.149.15.255', 781516800, 781520895, 'RO', 'Romania'),
(11154, '46.149.16.0', '46.149.31.255', 781520896, 781524991, 'IS', 'Iceland'),
(11155, '46.149.32.0', '46.149.47.255', 781524992, 781529087, 'RU', 'Russian Federation'),
(11156, '46.149.48.0', '46.149.63.255', 781529088, 781533183, 'UA', 'Ukraine'),
(11157, '46.149.64.0', '46.149.79.255', 781533184, 781537279, 'RU', 'Russian Federation'),
(11158, '46.149.80.0', '46.149.111.255', 781537280, 781545471, 'UA', 'Ukraine'),
(11159, '46.149.112.0', '46.149.127.255', 781545472, 781549567, 'CZ', 'Czech Republic'),
(11160, '46.149.128.0', '46.149.143.255', 781549568, 781553663, 'RU', 'Russian Federation'),
(11161, '46.149.144.0', '46.149.159.255', 781553664, 781557759, 'PL', 'Poland'),
(11162, '46.149.160.0', '46.149.191.255', 781557760, 781565951, 'UA', 'Ukraine'),
(11163, '46.149.192.0', '46.149.207.255', 781565952, 781570047, 'CH', 'Switzerland'),
(11164, '46.149.208.0', '46.149.223.255', 781570048, 781574143, 'PL', 'Poland'),
(11165, '46.149.224.0', '46.149.239.255', 781574144, 781578239, 'RU', 'Russian Federation'),
(11166, '46.149.240.0', '46.149.255.255', 781578240, 781582335, 'PL', 'Poland'),
(11167, '46.150.0.0', '46.150.31.255', 781582336, 781590527, 'UA', 'Ukraine'),
(11168, '46.150.32.0', '46.150.63.255', 781590528, 781598719, 'SI', 'Slovenia'),
(11169, '46.150.64.0', '46.150.127.255', 781598720, 781615103, 'UA', 'Ukraine'),
(11170, '46.150.128.0', '46.150.191.255', 781615104, 781631487, 'RU', 'Russian Federation'),
(11171, '46.150.192.0', '46.150.223.255', 781631488, 781639679, 'SK', 'Slovakia'),
(11172, '46.150.224.0', '46.151.15.255', 781639680, 781651967, 'RU', 'Russian Federation'),
(11173, '46.151.16.0', '46.151.23.255', 781651968, 781654015, 'PL', 'Poland'),
(11174, '46.151.24.0', '46.151.31.255', 781654016, 781656063, 'RU', 'Russian Federation'),
(11175, '46.151.32.0', '46.151.39.255', 781656064, 781658111, 'RO', 'Romania'),
(11176, '46.151.40.0', '46.151.55.255', 781658112, 781662207, 'UA', 'Ukraine'),
(11177, '46.151.56.0', '46.151.63.255', 781662208, 781664255, 'SK', 'Slovakia'),
(11178, '46.151.64.0', '46.151.71.255', 781664256, 781666303, 'UA', 'Ukraine'),
(11179, '46.151.72.0', '46.151.79.255', 781666304, 781668351, 'PL', 'Poland'),
(11180, '46.151.80.0', '46.151.87.255', 781668352, 781670399, 'UA', 'Ukraine'),
(11181, '46.151.88.0', '46.151.95.255', 781670400, 781672447, 'RU', 'Russian Federation'),
(11182, '46.151.96.0', '46.151.103.255', 781672448, 781674495, 'BE', 'Belgium'),
(11183, '46.151.104.0', '46.151.111.255', 781674496, 781676543, 'RU', 'Russian Federation'),
(11184, '46.151.112.0', '46.151.119.255', 781676544, 781678591, 'PL', 'Poland'),
(11185, '46.151.120.0', '46.151.135.255', 781678592, 781682687, 'RS', 'Serbia'),
(11186, '46.151.136.0', '46.151.143.255', 781682688, 781684735, 'PL', 'Poland'),
(11187, '46.151.144.0', '46.151.151.255', 781684736, 781686783, 'UA', 'Ukraine'),
(11188, '46.151.152.0', '46.151.159.255', 781686784, 781688831, 'RU', 'Russian Federation'),
(11189, '46.151.160.0', '46.151.167.255', 781688832, 781690879, 'RO', 'Romania'),
(11190, '46.151.168.0', '46.151.175.255', 781690880, 781692927, 'RU', 'Russian Federation'),
(11191, '46.151.176.0', '46.151.183.255', 781692928, 781694975, 'UA', 'Ukraine'),
(11192, '46.151.184.0', '46.151.191.255', 781694976, 781697023, 'PL', 'Poland'),
(11193, '46.151.192.0', '46.151.199.255', 781697024, 781699071, 'UA', 'Ukraine'),
(11194, '46.151.200.0', '46.151.207.255', 781699072, 781701119, 'RO', 'Romania'),
(11195, '46.151.208.0', '46.151.215.255', 781701120, 781703167, 'SA', 'Saudi Arabia'),
(11196, '46.151.216.0', '46.151.223.255', 781703168, 781705215, 'PL', 'Poland'),
(11197, '46.151.224.0', '46.151.231.255', 781705216, 781707263, 'RO', 'Romania'),
(11198, '46.151.232.0', '46.151.239.255', 781707264, 781709311, 'SI', 'Slovenia'),
(11199, '46.151.240.0', '46.151.247.255', 781709312, 781711359, 'RU', 'Russian Federation'),
(11200, '46.151.248.0', '46.151.255.255', 781711360, 781713407, 'UA', 'Ukraine'),
(11201, '46.152.0.0', '46.153.255.255', 781713408, 781844479, 'SA', 'Saudi Arabia'),
(11202, '46.154.0.0', '46.155.255.255', 781844480, 781975551, 'TR', 'Turkey'),
(11203, '46.156.0.0', '46.157.255.255', 781975552, 782106623, 'NO', 'Norway'),
(11204, '46.158.0.0', '46.160.63.255', 782106624, 782254079, 'RU', 'Russian Federation'),
(11205, '46.160.64.0', '46.160.127.255', 782254080, 782270463, 'UA', 'Ukraine'),
(11206, '46.160.128.0', '46.161.11.255', 782270464, 782306303, 'RU', 'Russian Federation'),
(11207, '46.161.12.0', '46.161.15.255', 782306304, 782307327, 'NL', 'Netherlands'),
(11208, '46.161.16.0', '46.161.40.255', 782307328, 782313727, 'RU', 'Russian Federation'),
(11209, '46.161.41.0', '46.161.41.255', 782313728, 782313983, 'UA', 'Ukraine'),
(11210, '46.161.42.0', '46.161.63.255', 782313984, 782319615, 'RU', 'Russian Federation'),
(11211, '46.161.64.0', '46.161.127.255', 782319616, 782335999, 'ME', 'Montenegro'),
(11212, '46.161.128.0', '46.161.191.255', 782336000, 782352383, 'RU', 'Russian Federation'),
(11213, '46.161.192.0', '46.161.255.255', 782352384, 782368767, 'SY', 'Syrian Arab Republic'),
(11214, '46.162.0.0', '46.162.63.255', 782368768, 782385151, 'UA', 'Ukraine'),
(11215, '46.162.64.0', '46.162.127.255', 782385152, 782401535, 'SE', 'Sweden'),
(11216, '46.162.128.0', '46.162.191.255', 782401536, 782417919, 'FR', 'France'),
(11217, '46.162.192.0', '46.162.255.255', 782417920, 782434303, 'AM', 'Armenia'),
(11218, '46.163.0.0', '46.163.57.255', 782434304, 782449151, 'SI', 'Slovenia'),
(11219, '46.163.58.0', '46.163.58.255', 782449152, 782449407, 'HR', 'Croatia'),
(11220, '46.163.59.0', '46.163.59.255', 782449408, 782449663, 'SI', 'Slovenia'),
(11221, '46.163.60.0', '46.163.60.39', 782449664, 782449703, 'BA', 'Bosnia and Herzegovina'),
(11222, '46.163.60.40', '46.163.60.47', 782449704, 782449711, 'SI', 'Slovenia'),
(11223, '46.163.60.48', '46.163.60.55', 782449712, 782449719, 'BA', 'Bosnia and Herzegovina'),
(11224, '46.163.60.56', '46.163.60.63', 782449720, 782449727, 'SI', 'Slovenia'),
(11225, '46.163.60.64', '46.163.60.71', 782449728, 782449735, 'BA', 'Bosnia and Herzegovina'),
(11226, '46.163.60.72', '46.163.60.95', 782449736, 782449759, 'SI', 'Slovenia'),
(11227, '46.163.60.96', '46.163.60.127', 782449760, 782449791, 'BA', 'Bosnia and Herzegovina'),
(11228, '46.163.60.128', '46.163.60.143', 782449792, 782449807, 'SI', 'Slovenia'),
(11229, '46.163.60.144', '46.163.60.175', 782449808, 782449839, 'BA', 'Bosnia and Herzegovina'),
(11230, '46.163.60.176', '46.163.60.191', 782449840, 782449855, 'SI', 'Slovenia'),
(11231, '46.163.60.192', '46.163.60.207', 782449856, 782449871, 'BA', 'Bosnia and Herzegovina'),
(11232, '46.163.60.208', '46.163.60.223', 782449872, 782449887, 'SI', 'Slovenia'),
(11233, '46.163.60.224', '46.163.63.255', 782449888, 782450687, 'BA', 'Bosnia and Herzegovina'),
(11234, '46.163.64.0', '46.163.127.255', 782450688, 782467071, 'DE', 'Germany'),
(11235, '46.163.128.0', '46.163.191.255', 782467072, 782483455, 'RU', 'Russian Federation'),
(11236, '46.163.192.0', '46.163.255.255', 782483456, 782499839, 'FI', 'Finland'),
(11237, '46.164.0.0', '46.164.63.255', 782499840, 782516223, 'SI', 'Slovenia'),
(11238, '46.164.64.0', '46.164.127.255', 782516224, 782532607, 'IR', 'Iran, Islamic Republic of'),
(11239, '46.164.128.0', '46.164.191.255', 782532608, 782548991, 'UA', 'Ukraine'),
(11240, '46.164.192.0', '46.165.63.255', 782548992, 782581759, 'RU', 'Russian Federation'),
(11241, '46.165.64.0', '46.165.127.255', 782581760, 782598143, 'FR', 'France'),
(11242, '46.165.128.0', '46.165.166.99', 782598144, 782607971, 'DE', 'Germany'),
(11243, '46.165.166.100', '46.165.166.103', 782607972, 782607975, 'IT', 'Italy'),
(11244, '46.165.166.104', '46.165.166.167', 782607976, 782608039, 'DE', 'Germany'),
(11245, '46.165.166.168', '46.165.166.175', 782608040, 782608047, 'LU', 'Luxembourg'),
(11246, '46.165.166.176', '46.165.255.255', 782608048, 782630911, 'DE', 'Germany'),
(11247, '46.166.0.0', '46.166.63.255', 782630912, 782647295, 'MD', 'Moldova, Republic of');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(11248, '46.166.64.0', '46.166.127.255', 782647296, 782663679, 'RU', 'Russian Federation'),
(11249, '46.166.128.0', '46.166.128.255', 782663680, 782663935, 'A1', 'Anonymous Proxy'),
(11250, '46.166.129.0', '46.166.130.255', 782663936, 782664447, 'GB', 'United Kingdom'),
(11251, '46.166.131.0', '46.166.131.255', 782664448, 782664703, 'LU', 'Luxembourg'),
(11252, '46.166.132.0', '46.166.134.255', 782664704, 782665471, 'NL', 'Netherlands'),
(11253, '46.166.135.0', '46.166.139.255', 782665472, 782666751, 'A1', 'Anonymous Proxy'),
(11254, '46.166.140.0', '46.166.140.255', 782666752, 782667007, 'US', 'United States'),
(11255, '46.166.141.0', '46.166.142.255', 782667008, 782667519, 'UA', 'Ukraine'),
(11256, '46.166.143.0', '46.166.143.255', 782667520, 782667775, 'LU', 'Luxembourg'),
(11257, '46.166.144.0', '46.166.145.255', 782667776, 782668287, 'FR', 'France'),
(11258, '46.166.146.0', '46.166.147.255', 782668288, 782668799, 'RU', 'Russian Federation'),
(11259, '46.166.148.0', '46.166.150.255', 782668800, 782669567, 'NL', 'Netherlands'),
(11260, '46.166.151.0', '46.166.156.255', 782669568, 782671103, 'DE', 'Germany'),
(11261, '46.166.157.0', '46.166.157.255', 782671104, 782671359, 'A1', 'Anonymous Proxy'),
(11262, '46.166.158.0', '46.166.159.255', 782671360, 782671871, 'DE', 'Germany'),
(11263, '46.166.160.0', '46.166.161.255', 782671872, 782672383, 'CA', 'Canada'),
(11264, '46.166.162.0', '46.166.162.255', 782672384, 782672639, 'BG', 'Bulgaria'),
(11265, '46.166.163.0', '46.166.163.255', 782672640, 782672895, 'RO', 'Romania'),
(11266, '46.166.164.0', '46.166.164.255', 782672896, 782673151, 'CZ', 'Czech Republic'),
(11267, '46.166.165.0', '46.166.167.255', 782673152, 782673919, 'GB', 'United Kingdom'),
(11268, '46.166.168.0', '46.166.171.255', 782673920, 782674943, 'LU', 'Luxembourg'),
(11269, '46.166.172.0', '46.166.191.255', 782674944, 782680063, 'GB', 'United Kingdom'),
(11270, '46.166.192.0', '46.166.255.255', 782680064, 782696447, 'RU', 'Russian Federation'),
(11271, '46.167.0.0', '46.167.0.191', 782696448, 782696639, 'DE', 'Germany'),
(11272, '46.167.0.192', '46.167.0.255', 782696640, 782696703, 'US', 'United States'),
(11273, '46.167.1.0', '46.167.1.127', 782696704, 782696831, 'DE', 'Germany'),
(11274, '46.167.1.128', '46.167.1.143', 782696832, 782696847, 'US', 'United States'),
(11275, '46.167.1.144', '46.167.1.159', 782696848, 782696863, 'DE', 'Germany'),
(11276, '46.167.1.160', '46.167.1.191', 782696864, 782696895, 'US', 'United States'),
(11277, '46.167.1.192', '46.167.2.127', 782696896, 782697087, 'DE', 'Germany'),
(11278, '46.167.2.128', '46.167.2.143', 782697088, 782697103, 'US', 'United States'),
(11279, '46.167.2.144', '46.167.2.160', 782697104, 782697120, 'DE', 'Germany'),
(11280, '46.167.2.161', '46.167.2.191', 782697121, 782697151, 'US', 'United States'),
(11281, '46.167.2.192', '46.167.3.127', 782697152, 782697343, 'DE', 'Germany'),
(11282, '46.167.3.128', '46.167.3.143', 782697344, 782697359, 'US', 'United States'),
(11283, '46.167.3.144', '46.167.3.160', 782697360, 782697376, 'DE', 'Germany'),
(11284, '46.167.3.161', '46.167.3.191', 782697377, 782697407, 'US', 'United States'),
(11285, '46.167.3.192', '46.167.4.127', 782697408, 782697599, 'DE', 'Germany'),
(11286, '46.167.4.128', '46.167.4.143', 782697600, 782697615, 'US', 'United States'),
(11287, '46.167.4.144', '46.167.4.160', 782697616, 782697632, 'DE', 'Germany'),
(11288, '46.167.4.161', '46.167.4.191', 782697633, 782697663, 'US', 'United States'),
(11289, '46.167.4.192', '46.167.5.127', 782697664, 782697855, 'DE', 'Germany'),
(11290, '46.167.5.128', '46.167.5.143', 782697856, 782697871, 'US', 'United States'),
(11291, '46.167.5.144', '46.167.5.160', 782697872, 782697888, 'DE', 'Germany'),
(11292, '46.167.5.161', '46.167.5.191', 782697889, 782697919, 'US', 'United States'),
(11293, '46.167.5.192', '46.167.6.127', 782697920, 782698111, 'DE', 'Germany'),
(11294, '46.167.6.128', '46.167.6.143', 782698112, 782698127, 'US', 'United States'),
(11295, '46.167.6.144', '46.167.6.160', 782698128, 782698144, 'DE', 'Germany'),
(11296, '46.167.6.161', '46.167.6.191', 782698145, 782698175, 'US', 'United States'),
(11297, '46.167.6.192', '46.167.7.127', 782698176, 782698367, 'DE', 'Germany'),
(11298, '46.167.7.128', '46.167.7.143', 782698368, 782698383, 'US', 'United States'),
(11299, '46.167.7.144', '46.167.7.160', 782698384, 782698400, 'DE', 'Germany'),
(11300, '46.167.7.161', '46.167.7.191', 782698401, 782698431, 'US', 'United States'),
(11301, '46.167.7.192', '46.167.8.127', 782698432, 782698623, 'DE', 'Germany'),
(11302, '46.167.8.128', '46.167.8.143', 782698624, 782698639, 'US', 'United States'),
(11303, '46.167.8.144', '46.167.8.160', 782698640, 782698656, 'DE', 'Germany'),
(11304, '46.167.8.161', '46.167.8.191', 782698657, 782698687, 'US', 'United States'),
(11305, '46.167.8.192', '46.167.9.127', 782698688, 782698879, 'DE', 'Germany'),
(11306, '46.167.9.128', '46.167.9.143', 782698880, 782698895, 'US', 'United States'),
(11307, '46.167.9.144', '46.167.9.160', 782698896, 782698912, 'DE', 'Germany'),
(11308, '46.167.9.161', '46.167.9.191', 782698913, 782698943, 'US', 'United States'),
(11309, '46.167.9.192', '46.167.10.127', 782698944, 782699135, 'DE', 'Germany'),
(11310, '46.167.10.128', '46.167.10.143', 782699136, 782699151, 'US', 'United States'),
(11311, '46.167.10.144', '46.167.10.160', 782699152, 782699168, 'DE', 'Germany'),
(11312, '46.167.10.161', '46.167.10.191', 782699169, 782699199, 'US', 'United States'),
(11313, '46.167.10.192', '46.167.11.127', 782699200, 782699391, 'DE', 'Germany'),
(11314, '46.167.11.128', '46.167.11.143', 782699392, 782699407, 'US', 'United States'),
(11315, '46.167.11.144', '46.167.11.160', 782699408, 782699424, 'DE', 'Germany'),
(11316, '46.167.11.161', '46.167.11.191', 782699425, 782699455, 'US', 'United States'),
(11317, '46.167.11.192', '46.167.12.127', 782699456, 782699647, 'DE', 'Germany'),
(11318, '46.167.12.128', '46.167.12.143', 782699648, 782699663, 'US', 'United States'),
(11319, '46.167.12.144', '46.167.12.160', 782699664, 782699680, 'DE', 'Germany'),
(11320, '46.167.12.161', '46.167.12.191', 782699681, 782699711, 'US', 'United States'),
(11321, '46.167.12.192', '46.167.13.127', 782699712, 782699903, 'DE', 'Germany'),
(11322, '46.167.13.128', '46.167.13.143', 782699904, 782699919, 'US', 'United States'),
(11323, '46.167.13.144', '46.167.13.160', 782699920, 782699936, 'DE', 'Germany'),
(11324, '46.167.13.161', '46.167.13.191', 782699937, 782699967, 'US', 'United States'),
(11325, '46.167.13.192', '46.167.14.127', 782699968, 782700159, 'DE', 'Germany'),
(11326, '46.167.14.128', '46.167.14.143', 782700160, 782700175, 'US', 'United States'),
(11327, '46.167.14.144', '46.167.14.160', 782700176, 782700192, 'DE', 'Germany'),
(11328, '46.167.14.161', '46.167.14.191', 782700193, 782700223, 'US', 'United States'),
(11329, '46.167.14.192', '46.167.15.127', 782700224, 782700415, 'DE', 'Germany'),
(11330, '46.167.15.128', '46.167.15.143', 782700416, 782700431, 'US', 'United States'),
(11331, '46.167.15.144', '46.167.15.160', 782700432, 782700448, 'DE', 'Germany'),
(11332, '46.167.15.161', '46.167.15.191', 782700449, 782700479, 'US', 'United States'),
(11333, '46.167.15.192', '46.167.16.127', 782700480, 782700671, 'DE', 'Germany'),
(11334, '46.167.16.128', '46.167.16.143', 782700672, 782700687, 'US', 'United States'),
(11335, '46.167.16.144', '46.167.16.160', 782700688, 782700704, 'DE', 'Germany'),
(11336, '46.167.16.161', '46.167.16.191', 782700705, 782700735, 'US', 'United States'),
(11337, '46.167.16.192', '46.167.17.127', 782700736, 782700927, 'DE', 'Germany'),
(11338, '46.167.17.128', '46.167.17.143', 782700928, 782700943, 'US', 'United States'),
(11339, '46.167.17.144', '46.167.17.160', 782700944, 782700960, 'DE', 'Germany'),
(11340, '46.167.17.161', '46.167.17.191', 782700961, 782700991, 'US', 'United States'),
(11341, '46.167.17.192', '46.167.18.127', 782700992, 782701183, 'DE', 'Germany'),
(11342, '46.167.18.128', '46.167.18.143', 782701184, 782701199, 'US', 'United States'),
(11343, '46.167.18.144', '46.167.18.160', 782701200, 782701216, 'DE', 'Germany'),
(11344, '46.167.18.161', '46.167.18.191', 782701217, 782701247, 'US', 'United States'),
(11345, '46.167.18.192', '46.167.19.127', 782701248, 782701439, 'DE', 'Germany'),
(11346, '46.167.19.128', '46.167.19.143', 782701440, 782701455, 'US', 'United States'),
(11347, '46.167.19.144', '46.167.19.160', 782701456, 782701472, 'DE', 'Germany'),
(11348, '46.167.19.161', '46.167.19.191', 782701473, 782701503, 'US', 'United States'),
(11349, '46.167.19.192', '46.167.20.127', 782701504, 782701695, 'DE', 'Germany'),
(11350, '46.167.20.128', '46.167.20.143', 782701696, 782701711, 'US', 'United States'),
(11351, '46.167.20.144', '46.167.20.160', 782701712, 782701728, 'DE', 'Germany'),
(11352, '46.167.20.161', '46.167.20.191', 782701729, 782701759, 'US', 'United States'),
(11353, '46.167.20.192', '46.167.21.127', 782701760, 782701951, 'DE', 'Germany'),
(11354, '46.167.21.128', '46.167.21.143', 782701952, 782701967, 'US', 'United States'),
(11355, '46.167.21.144', '46.167.21.160', 782701968, 782701984, 'DE', 'Germany'),
(11356, '46.167.21.161', '46.167.21.191', 782701985, 782702015, 'US', 'United States'),
(11357, '46.167.21.192', '46.167.22.127', 782702016, 782702207, 'DE', 'Germany'),
(11358, '46.167.22.128', '46.167.22.143', 782702208, 782702223, 'US', 'United States'),
(11359, '46.167.22.144', '46.167.22.160', 782702224, 782702240, 'DE', 'Germany'),
(11360, '46.167.22.161', '46.167.22.191', 782702241, 782702271, 'US', 'United States'),
(11361, '46.167.22.192', '46.167.23.127', 782702272, 782702463, 'DE', 'Germany'),
(11362, '46.167.23.128', '46.167.23.143', 782702464, 782702479, 'US', 'United States'),
(11363, '46.167.23.144', '46.167.23.160', 782702480, 782702496, 'DE', 'Germany'),
(11364, '46.167.23.161', '46.167.23.191', 782702497, 782702527, 'US', 'United States'),
(11365, '46.167.23.192', '46.167.24.127', 782702528, 782702719, 'DE', 'Germany'),
(11366, '46.167.24.128', '46.167.24.143', 782702720, 782702735, 'US', 'United States'),
(11367, '46.167.24.144', '46.167.24.160', 782702736, 782702752, 'DE', 'Germany'),
(11368, '46.167.24.161', '46.167.24.191', 782702753, 782702783, 'US', 'United States'),
(11369, '46.167.24.192', '46.167.25.127', 782702784, 782702975, 'DE', 'Germany'),
(11370, '46.167.25.128', '46.167.25.143', 782702976, 782702991, 'US', 'United States'),
(11371, '46.167.25.144', '46.167.25.160', 782702992, 782703008, 'DE', 'Germany'),
(11372, '46.167.25.161', '46.167.25.191', 782703009, 782703039, 'US', 'United States'),
(11373, '46.167.25.192', '46.167.26.127', 782703040, 782703231, 'DE', 'Germany'),
(11374, '46.167.26.128', '46.167.26.143', 782703232, 782703247, 'US', 'United States'),
(11375, '46.167.26.144', '46.167.26.160', 782703248, 782703264, 'DE', 'Germany'),
(11376, '46.167.26.161', '46.167.26.191', 782703265, 782703295, 'US', 'United States'),
(11377, '46.167.26.192', '46.167.27.127', 782703296, 782703487, 'DE', 'Germany'),
(11378, '46.167.27.128', '46.167.27.143', 782703488, 782703503, 'US', 'United States'),
(11379, '46.167.27.144', '46.167.27.160', 782703504, 782703520, 'DE', 'Germany'),
(11380, '46.167.27.161', '46.167.27.191', 782703521, 782703551, 'US', 'United States'),
(11381, '46.167.27.192', '46.167.28.127', 782703552, 782703743, 'DE', 'Germany'),
(11382, '46.167.28.128', '46.167.28.143', 782703744, 782703759, 'US', 'United States'),
(11383, '46.167.28.144', '46.167.28.160', 782703760, 782703776, 'DE', 'Germany'),
(11384, '46.167.28.161', '46.167.28.191', 782703777, 782703807, 'US', 'United States'),
(11385, '46.167.28.192', '46.167.29.127', 782703808, 782703999, 'DE', 'Germany'),
(11386, '46.167.29.128', '46.167.29.143', 782704000, 782704015, 'US', 'United States'),
(11387, '46.167.29.144', '46.167.29.160', 782704016, 782704032, 'DE', 'Germany'),
(11388, '46.167.29.161', '46.167.29.191', 782704033, 782704063, 'US', 'United States'),
(11389, '46.167.29.192', '46.167.30.127', 782704064, 782704255, 'DE', 'Germany'),
(11390, '46.167.30.128', '46.167.30.143', 782704256, 782704271, 'US', 'United States'),
(11391, '46.167.30.144', '46.167.30.160', 782704272, 782704288, 'DE', 'Germany'),
(11392, '46.167.30.161', '46.167.30.191', 782704289, 782704319, 'US', 'United States'),
(11393, '46.167.30.192', '46.167.31.127', 782704320, 782704511, 'DE', 'Germany'),
(11394, '46.167.31.128', '46.167.31.143', 782704512, 782704527, 'US', 'United States'),
(11395, '46.167.31.144', '46.167.31.160', 782704528, 782704544, 'DE', 'Germany'),
(11396, '46.167.31.161', '46.167.31.191', 782704545, 782704575, 'US', 'United States'),
(11397, '46.167.31.192', '46.167.32.127', 782704576, 782704767, 'DE', 'Germany'),
(11398, '46.167.32.128', '46.167.32.223', 782704768, 782704863, 'US', 'United States'),
(11399, '46.167.32.224', '46.167.33.127', 782704864, 782705023, 'DE', 'Germany'),
(11400, '46.167.33.128', '46.167.33.223', 782705024, 782705119, 'US', 'United States'),
(11401, '46.167.33.224', '46.167.34.127', 782705120, 782705279, 'DE', 'Germany'),
(11402, '46.167.34.128', '46.167.34.223', 782705280, 782705375, 'US', 'United States'),
(11403, '46.167.34.224', '46.167.35.127', 782705376, 782705535, 'DE', 'Germany'),
(11404, '46.167.35.128', '46.167.35.223', 782705536, 782705631, 'US', 'United States'),
(11405, '46.167.35.224', '46.167.36.127', 782705632, 782705791, 'DE', 'Germany'),
(11406, '46.167.36.128', '46.167.36.223', 782705792, 782705887, 'US', 'United States'),
(11407, '46.167.36.224', '46.167.37.127', 782705888, 782706047, 'DE', 'Germany'),
(11408, '46.167.37.128', '46.167.37.223', 782706048, 782706143, 'US', 'United States'),
(11409, '46.167.37.224', '46.167.38.127', 782706144, 782706303, 'DE', 'Germany'),
(11410, '46.167.38.128', '46.167.38.223', 782706304, 782706399, 'US', 'United States'),
(11411, '46.167.38.224', '46.167.39.127', 782706400, 782706559, 'DE', 'Germany'),
(11412, '46.167.39.128', '46.167.39.223', 782706560, 782706655, 'US', 'United States'),
(11413, '46.167.39.224', '46.167.40.127', 782706656, 782706815, 'DE', 'Germany'),
(11414, '46.167.40.128', '46.167.40.223', 782706816, 782706911, 'US', 'United States'),
(11415, '46.167.40.224', '46.167.41.127', 782706912, 782707071, 'DE', 'Germany'),
(11416, '46.167.41.128', '46.167.41.223', 782707072, 782707167, 'US', 'United States'),
(11417, '46.167.41.224', '46.167.42.127', 782707168, 782707327, 'DE', 'Germany'),
(11418, '46.167.42.128', '46.167.42.223', 782707328, 782707423, 'US', 'United States'),
(11419, '46.167.42.224', '46.167.43.127', 782707424, 782707583, 'DE', 'Germany'),
(11420, '46.167.43.128', '46.167.43.223', 782707584, 782707679, 'US', 'United States'),
(11421, '46.167.43.224', '46.167.44.127', 782707680, 782707839, 'DE', 'Germany'),
(11422, '46.167.44.128', '46.167.44.223', 782707840, 782707935, 'US', 'United States'),
(11423, '46.167.44.224', '46.167.45.127', 782707936, 782708095, 'DE', 'Germany'),
(11424, '46.167.45.128', '46.167.45.223', 782708096, 782708191, 'US', 'United States'),
(11425, '46.167.45.224', '46.167.46.127', 782708192, 782708351, 'DE', 'Germany'),
(11426, '46.167.46.128', '46.167.46.223', 782708352, 782708447, 'US', 'United States'),
(11427, '46.167.46.224', '46.167.47.127', 782708448, 782708607, 'DE', 'Germany'),
(11428, '46.167.47.128', '46.167.47.223', 782708608, 782708703, 'US', 'United States'),
(11429, '46.167.47.224', '46.167.48.127', 782708704, 782708863, 'DE', 'Germany'),
(11430, '46.167.48.128', '46.167.48.223', 782708864, 782708959, 'US', 'United States'),
(11431, '46.167.48.224', '46.167.49.127', 782708960, 782709119, 'DE', 'Germany'),
(11432, '46.167.49.128', '46.167.49.223', 782709120, 782709215, 'US', 'United States'),
(11433, '46.167.49.224', '46.167.50.127', 782709216, 782709375, 'DE', 'Germany'),
(11434, '46.167.50.128', '46.167.50.223', 782709376, 782709471, 'US', 'United States'),
(11435, '46.167.50.224', '46.167.51.127', 782709472, 782709631, 'DE', 'Germany'),
(11436, '46.167.51.128', '46.167.51.223', 782709632, 782709727, 'US', 'United States'),
(11437, '46.167.51.224', '46.167.52.127', 782709728, 782709887, 'DE', 'Germany'),
(11438, '46.167.52.128', '46.167.52.223', 782709888, 782709983, 'US', 'United States'),
(11439, '46.167.52.224', '46.167.53.127', 782709984, 782710143, 'DE', 'Germany'),
(11440, '46.167.53.128', '46.167.53.223', 782710144, 782710239, 'US', 'United States'),
(11441, '46.167.53.224', '46.167.54.127', 782710240, 782710399, 'DE', 'Germany'),
(11442, '46.167.54.128', '46.167.54.223', 782710400, 782710495, 'US', 'United States'),
(11443, '46.167.54.224', '46.167.55.127', 782710496, 782710655, 'DE', 'Germany'),
(11444, '46.167.55.128', '46.167.55.223', 782710656, 782710751, 'US', 'United States'),
(11445, '46.167.55.224', '46.167.56.127', 782710752, 782710911, 'DE', 'Germany'),
(11446, '46.167.56.128', '46.167.56.223', 782710912, 782711007, 'US', 'United States'),
(11447, '46.167.56.224', '46.167.57.127', 782711008, 782711167, 'DE', 'Germany'),
(11448, '46.167.57.128', '46.167.57.223', 782711168, 782711263, 'US', 'United States'),
(11449, '46.167.57.224', '46.167.58.127', 782711264, 782711423, 'DE', 'Germany'),
(11450, '46.167.58.128', '46.167.58.223', 782711424, 782711519, 'US', 'United States'),
(11451, '46.167.58.224', '46.167.59.127', 782711520, 782711679, 'DE', 'Germany'),
(11452, '46.167.59.128', '46.167.59.223', 782711680, 782711775, 'US', 'United States'),
(11453, '46.167.59.224', '46.167.63.255', 782711776, 782712831, 'DE', 'Germany'),
(11454, '46.167.64.0', '46.167.127.255', 782712832, 782729215, 'RU', 'Russian Federation'),
(11455, '46.167.128.0', '46.167.151.255', 782729216, 782735359, 'DE', 'Germany'),
(11456, '46.167.152.0', '46.167.153.255', 782735360, 782735871, 'CH', 'Switzerland'),
(11457, '46.167.154.0', '46.167.159.255', 782735872, 782737407, 'DE', 'Germany'),
(11458, '46.167.160.0', '46.167.163.255', 782737408, 782738431, 'CH', 'Switzerland'),
(11459, '46.167.164.0', '46.167.191.255', 782738432, 782745599, 'DE', 'Germany'),
(11460, '46.167.192.0', '46.167.255.255', 782745600, 782761983, 'CZ', 'Czech Republic'),
(11461, '46.168.0.0', '46.171.255.255', 782761984, 783024127, 'PL', 'Poland'),
(11462, '46.172.0.0', '46.172.63.255', 783024128, 783040511, 'RU', 'Russian Federation'),
(11463, '46.172.64.0', '46.172.95.255', 783040512, 783048703, 'UA', 'Ukraine'),
(11464, '46.172.96.0', '46.172.127.255', 783048704, 783056895, 'RU', 'Russian Federation'),
(11465, '46.172.128.0', '46.172.159.255', 783056896, 783065087, 'UA', 'Ukraine'),
(11466, '46.172.160.0', '46.172.191.255', 783065088, 783073279, 'RU', 'Russian Federation'),
(11467, '46.172.192.0', '46.172.255.255', 783073280, 783089663, 'UA', 'Ukraine'),
(11468, '46.173.0.0', '46.173.63.255', 783089664, 783106047, 'RU', 'Russian Federation'),
(11469, '46.173.64.0', '46.173.175.255', 783106048, 783134719, 'UA', 'Ukraine'),
(11470, '46.173.176.0', '46.173.191.255', 783134720, 783138815, 'RU', 'Russian Federation'),
(11471, '46.173.192.0', '46.173.207.255', 783138816, 783142911, 'CZ', 'Czech Republic'),
(11472, '46.173.208.0', '46.173.223.255', 783142912, 783147007, 'RU', 'Russian Federation'),
(11473, '46.173.224.0', '46.173.239.255', 783147008, 783151103, 'FI', 'Finland'),
(11474, '46.173.240.0', '46.173.255.255', 783151104, 783155199, 'RO', 'Romania'),
(11475, '46.174.0.0', '46.174.7.255', 783155200, 783157247, 'PL', 'Poland'),
(11476, '46.174.8.0', '46.174.15.255', 783157248, 783159295, 'RU', 'Russian Federation'),
(11477, '46.174.16.0', '46.174.23.255', 783159296, 783161343, 'CZ', 'Czech Republic'),
(11478, '46.174.24.0', '46.174.31.255', 783161344, 783163391, 'PL', 'Poland'),
(11479, '46.174.32.0', '46.174.39.255', 783163392, 783165439, 'CZ', 'Czech Republic'),
(11480, '46.174.40.0', '46.174.47.255', 783165440, 783167487, 'UA', 'Ukraine'),
(11481, '46.174.48.0', '46.174.55.255', 783167488, 783169535, 'RU', 'Russian Federation'),
(11482, '46.174.56.0', '46.174.63.255', 783169536, 783171583, 'CZ', 'Czech Republic'),
(11483, '46.174.64.0', '46.174.71.255', 783171584, 783173631, 'UA', 'Ukraine'),
(11484, '46.174.72.0', '46.174.79.255', 783173632, 783175679, 'PL', 'Poland'),
(11485, '46.174.80.0', '46.174.95.255', 783175680, 783179775, 'RU', 'Russian Federation'),
(11486, '46.174.96.0', '46.174.103.255', 783179776, 783181823, 'RS', 'Serbia'),
(11487, '46.174.104.0', '46.174.119.255', 783181824, 783185919, 'RU', 'Russian Federation'),
(11488, '46.174.120.0', '46.174.127.255', 783185920, 783187967, 'UA', 'Ukraine'),
(11489, '46.174.128.0', '46.174.135.255', 783187968, 783190015, 'NL', 'Netherlands'),
(11490, '46.174.136.0', '46.174.151.255', 783190016, 783194111, 'RO', 'Romania'),
(11491, '46.174.152.0', '46.174.159.255', 783194112, 783196159, 'CZ', 'Czech Republic'),
(11492, '46.174.160.0', '46.174.167.255', 783196160, 783198207, 'UA', 'Ukraine'),
(11493, '46.174.168.0', '46.174.183.255', 783198208, 783202303, 'PL', 'Poland'),
(11494, '46.174.184.0', '46.174.191.255', 783202304, 783204351, 'VG', 'Virgin Islands, British'),
(11495, '46.174.192.0', '46.174.199.255', 783204352, 783206399, 'RU', 'Russian Federation'),
(11496, '46.174.200.0', '46.174.207.255', 783206400, 783208447, 'RO', 'Romania'),
(11497, '46.174.208.0', '46.174.215.255', 783208448, 783210495, 'PL', 'Poland'),
(11498, '46.174.216.0', '46.174.223.255', 783210496, 783212543, 'UA', 'Ukraine'),
(11499, '46.174.224.0', '46.174.239.255', 783212544, 783216639, 'PL', 'Poland'),
(11500, '46.174.240.0', '46.174.247.255', 783216640, 783218687, 'UA', 'Ukraine'),
(11501, '46.174.248.0', '46.174.255.255', 783218688, 783220735, 'RU', 'Russian Federation'),
(11502, '46.175.0.0', '46.175.7.255', 783220736, 783222783, 'SK', 'Slovakia'),
(11503, '46.175.8.0', '46.175.23.255', 783222784, 783226879, 'UA', 'Ukraine'),
(11504, '46.175.24.0', '46.175.39.255', 783226880, 783230975, 'RU', 'Russian Federation'),
(11505, '46.175.40.0', '46.175.47.255', 783230976, 783233023, 'PL', 'Poland'),
(11506, '46.175.48.0', '46.175.55.255', 783233024, 783235071, 'GB', 'United Kingdom'),
(11507, '46.175.56.0', '46.175.63.255', 783235072, 783237119, 'DE', 'Germany'),
(11508, '46.175.64.0', '46.175.87.255', 783237120, 783243263, 'UA', 'Ukraine'),
(11509, '46.175.88.0', '46.175.95.255', 783243264, 783245311, 'CZ', 'Czech Republic'),
(11510, '46.175.96.0', '46.175.103.255', 783245312, 783247359, 'RU', 'Russian Federation'),
(11511, '46.175.104.0', '46.175.119.255', 783247360, 783251455, 'PL', 'Poland'),
(11512, '46.175.120.0', '46.175.135.255', 783251456, 783255551, 'RU', 'Russian Federation'),
(11513, '46.175.136.0', '46.175.151.255', 783255552, 783259647, 'UA', 'Ukraine'),
(11514, '46.175.152.0', '46.175.159.255', 783259648, 783261695, 'RU', 'Russian Federation'),
(11515, '46.175.160.0', '46.175.167.255', 783261696, 783263743, 'UA', 'Ukraine'),
(11516, '46.175.168.0', '46.175.175.255', 783263744, 783265791, 'BY', 'Belarus'),
(11517, '46.175.176.0', '46.175.183.255', 783265792, 783267839, 'CZ', 'Czech Republic'),
(11518, '46.175.184.0', '46.175.191.255', 783267840, 783269887, 'UA', 'Ukraine'),
(11519, '46.175.192.0', '46.175.223.255', 783269888, 783278079, 'RU', 'Russian Federation'),
(11520, '46.175.224.0', '46.175.239.255', 783278080, 783282175, 'PL', 'Poland'),
(11521, '46.175.240.0', '46.175.255.255', 783282176, 783286271, 'UA', 'Ukraine'),
(11522, '46.176.0.0', '46.177.255.255', 783286272, 783417343, 'GR', 'Greece'),
(11523, '46.178.0.0', '46.179.255.255', 783417344, 783548415, 'BE', 'Belgium'),
(11524, '46.180.0.0', '46.181.255.255', 783548416, 783679487, 'RU', 'Russian Federation'),
(11525, '46.182.0.0', '46.182.7.255', 783679488, 783681535, 'FR', 'France'),
(11526, '46.182.8.0', '46.182.15.255', 783681536, 783683583, 'IE', 'Ireland'),
(11527, '46.182.16.0', '46.182.22.255', 783683584, 783685375, 'DE', 'Germany'),
(11528, '46.182.23.0', '46.182.23.255', 783685376, 783685631, 'US', 'United States'),
(11529, '46.182.24.0', '46.182.31.255', 783685632, 783687679, 'RU', 'Russian Federation'),
(11530, '46.182.32.0', '46.182.39.255', 783687680, 783689727, 'PT', 'Portugal'),
(11531, '46.182.40.0', '46.182.47.255', 783689728, 783691775, 'FR', 'France'),
(11532, '46.182.48.0', '46.182.55.255', 783691776, 783693823, 'BY', 'Belarus'),
(11533, '46.182.56.0', '46.182.59.31', 783693824, 783694623, 'GB', 'United Kingdom'),
(11534, '46.182.59.32', '46.182.59.95', 783694624, 783694687, 'FR', 'France'),
(11535, '46.182.59.96', '46.182.63.255', 783694688, 783695871, 'GB', 'United Kingdom'),
(11536, '46.182.64.0', '46.182.71.255', 783695872, 783697919, 'TR', 'Turkey'),
(11537, '46.182.72.0', '46.182.79.255', 783697920, 783699967, 'FR', 'France'),
(11538, '46.182.80.0', '46.182.87.255', 783699968, 783702015, 'UA', 'Ukraine'),
(11539, '46.182.88.0', '46.182.95.255', 783702016, 783704063, 'IT', 'Italy'),
(11540, '46.182.96.0', '46.182.103.255', 783704064, 783706111, 'PL', 'Poland'),
(11541, '46.182.104.0', '46.182.108.255', 783706112, 783707391, 'NL', 'Netherlands'),
(11542, '46.182.109.0', '46.182.109.255', 783707392, 783707647, 'US', 'United States'),
(11543, '46.182.110.0', '46.182.111.255', 783707648, 783708159, 'NL', 'Netherlands'),
(11544, '46.182.112.0', '46.182.119.255', 783708160, 783710207, 'FI', 'Finland'),
(11545, '46.182.120.0', '46.182.127.255', 783710208, 783712255, 'NL', 'Netherlands'),
(11546, '46.182.128.0', '46.182.135.255', 783712256, 783714303, 'RU', 'Russian Federation'),
(11547, '46.182.136.0', '46.182.151.255', 783714304, 783718399, 'DE', 'Germany'),
(11548, '46.182.152.0', '46.182.159.255', 783718400, 783720447, 'IT', 'Italy'),
(11549, '46.182.160.0', '46.182.167.255', 783720448, 783722495, 'FI', 'Finland'),
(11550, '46.182.168.0', '46.182.175.255', 783722496, 783724543, 'AM', 'Armenia'),
(11551, '46.182.176.0', '46.182.183.255', 783724544, 783726591, 'NL', 'Netherlands'),
(11552, '46.182.184.0', '46.182.191.255', 783726592, 783728639, 'IS', 'Iceland'),
(11553, '46.182.192.0', '46.182.199.223', 783728640, 783730655, 'BE', 'Belgium'),
(11554, '46.182.199.224', '46.182.199.255', 783730656, 783730687, 'NL', 'Netherlands'),
(11555, '46.182.200.0', '46.182.207.255', 783730688, 783732735, 'SE', 'Sweden'),
(11556, '46.182.208.0', '46.182.215.255', 783732736, 783734783, 'FR', 'France'),
(11557, '46.182.216.0', '46.182.223.255', 783734784, 783736831, 'NL', 'Netherlands'),
(11558, '46.182.224.0', '46.182.231.255', 783736832, 783738879, 'SI', 'Slovenia'),
(11559, '46.182.232.0', '46.182.239.255', 783738880, 783740927, 'IT', 'Italy'),
(11560, '46.182.240.0', '46.182.255.255', 783740928, 783745023, 'DE', 'Germany'),
(11561, '46.183.0.0', '46.183.7.255', 783745024, 783747071, 'RU', 'Russian Federation'),
(11562, '46.183.8.0', '46.183.15.255', 783747072, 783749119, 'GB', 'United Kingdom'),
(11563, '46.183.16.0', '46.183.23.255', 783749120, 783751167, 'GR', 'Greece'),
(11564, '46.183.24.0', '46.183.31.255', 783751168, 783753215, 'SE', 'Sweden'),
(11565, '46.183.32.0', '46.183.39.255', 783753216, 783755263, 'FR', 'France'),
(11566, '46.183.40.0', '46.183.47.255', 783755264, 783757311, 'DE', 'Germany'),
(11567, '46.183.48.0', '46.183.55.255', 783757312, 783759359, 'FR', 'France'),
(11568, '46.183.56.0', '46.183.71.255', 783759360, 783763455, 'CZ', 'Czech Republic'),
(11569, '46.183.72.0', '46.183.79.255', 783763456, 783765503, 'FI', 'Finland'),
(11570, '46.183.80.0', '46.183.87.255', 783765504, 783767551, 'RU', 'Russian Federation'),
(11571, '46.183.88.0', '46.183.95.255', 783767552, 783769599, 'IL', 'Israel'),
(11572, '46.183.96.0', '46.183.103.255', 783769600, 783771647, 'DE', 'Germany'),
(11573, '46.183.104.0', '46.183.111.255', 783771648, 783773695, 'GB', 'United Kingdom'),
(11574, '46.183.112.0', '46.183.119.255', 783773696, 783775743, 'ES', 'Spain'),
(11575, '46.183.120.0', '46.183.127.255', 783775744, 783777791, 'AL', 'Albania'),
(11576, '46.183.128.0', '46.183.135.255', 783777792, 783779839, 'RU', 'Russian Federation'),
(11577, '46.183.136.0', '46.183.143.255', 783779840, 783781887, 'DK', 'Denmark'),
(11578, '46.183.152.0', '46.183.159.255', 783783936, 783785983, 'DE', 'Germany'),
(11579, '46.183.160.0', '46.183.167.255', 783785984, 783788031, 'RU', 'Russian Federation'),
(11580, '46.183.168.0', '46.183.175.255', 783788032, 783790079, 'NO', 'Norway'),
(11581, '46.183.176.0', '46.183.183.255', 783790080, 783792127, 'RU', 'Russian Federation'),
(11582, '46.183.184.0', '46.183.191.255', 783792128, 783794175, 'IR', 'Iran, Islamic Republic of'),
(11583, '46.183.192.0', '46.183.207.255', 783794176, 783798271, 'GB', 'United Kingdom'),
(11584, '46.183.208.0', '46.183.215.255', 783798272, 783800319, 'PL', 'Poland'),
(11585, '46.183.216.0', '46.183.223.255', 783800320, 783802367, 'LV', 'Latvia'),
(11586, '46.183.224.0', '46.183.231.255', 783802368, 783804415, 'FR', 'France'),
(11587, '46.183.232.0', '46.183.239.255', 783804416, 783806463, 'IT', 'Italy'),
(11588, '46.183.240.0', '46.183.254.255', 783806464, 783810303, 'NL', 'Netherlands'),
(11589, '46.183.255.0', '46.183.255.255', 783810304, 783810559, 'BE', 'Belgium'),
(11590, '46.184.0.0', '46.184.127.255', 783810560, 783843327, 'SA', 'Saudi Arabia'),
(11591, '46.184.128.0', '46.184.255.255', 783843328, 783876095, 'BH', 'Bahrain'),
(11592, '46.185.0.0', '46.185.127.255', 783876096, 783908863, 'UA', 'Ukraine'),
(11593, '46.185.128.0', '46.185.255.255', 783908864, 783941631, 'JO', 'Jordan'),
(11594, '46.186.0.0', '46.186.127.255', 783941632, 783974399, 'PL', 'Poland'),
(11595, '46.186.128.0', '46.186.255.255', 783974400, 784007167, 'KW', 'Kuwait'),
(11596, '46.187.0.0', '46.187.127.255', 784007168, 784039935, 'RU', 'Russian Federation'),
(11597, '46.187.128.0', '46.187.255.255', 784039936, 784072703, 'PL', 'Poland'),
(11598, '46.188.0.0', '46.188.127.255', 784072704, 784105471, 'RU', 'Russian Federation'),
(11599, '46.188.128.0', '46.188.255.255', 784105472, 784138239, 'HR', 'Croatia'),
(11600, '46.189.0.0', '46.189.127.255', 784138240, 784171007, 'DE', 'Germany'),
(11601, '46.189.128.0', '46.189.255.255', 784171008, 784203775, 'PT', 'Portugal'),
(11602, '46.190.0.0', '46.190.127.255', 784203776, 784236543, 'GR', 'Greece'),
(11603, '46.190.128.0', '46.190.255.255', 784236544, 784269311, 'RO', 'Romania'),
(11604, '46.191.0.0', '46.191.127.255', 784269312, 784302079, 'BY', 'Belarus'),
(11605, '46.191.128.0', '46.191.255.255', 784302080, 784334847, 'RU', 'Russian Federation'),
(11606, '46.192.0.0', '46.193.255.255', 784334848, 784465919, 'FR', 'France'),
(11607, '46.194.0.0', '46.195.255.255', 784465920, 784596991, 'SE', 'Sweden'),
(11608, '46.196.0.0', '46.197.255.255', 784596992, 784728063, 'TR', 'Turkey'),
(11609, '46.198.0.0', '46.198.219.255', 784728064, 784784383, 'GR', 'Greece'),
(11610, '46.198.220.0', '46.199.255.255', 784784384, 784859135, 'CY', 'Cyprus'),
(11611, '46.200.0.0', '46.203.255.255', 784859136, 785121279, 'UA', 'Ukraine'),
(11612, '46.204.0.0', '46.205.255.255', 785121280, 785252351, 'PL', 'Poland'),
(11613, '46.206.0.0', '46.207.255.255', 785252352, 785383423, 'AT', 'Austria'),
(11614, '46.208.0.0', '46.208.255.255', 785383424, 785448959, 'GB', 'United Kingdom'),
(11615, '46.209.0.0', '46.209.255.255', 785448960, 785514495, 'IR', 'Iran, Islamic Republic of'),
(11616, '46.210.0.0', '46.210.255.255', 785514496, 785580031, 'IL', 'Israel'),
(11617, '46.211.0.0', '46.211.255.255', 785580032, 785645567, 'UA', 'Ukraine'),
(11618, '46.212.0.0', '46.212.255.255', 785645568, 785711103, 'NO', 'Norway'),
(11619, '46.213.0.0', '46.213.255.255', 785711104, 785776639, 'SY', 'Syrian Arab Republic'),
(11620, '46.214.0.0', '46.214.255.255', 785776640, 785842175, 'RO', 'Romania'),
(11621, '46.215.0.0', '46.215.255.255', 785842176, 785907711, 'PL', 'Poland'),
(11622, '46.216.0.0', '46.216.255.255', 785907712, 785973247, 'BY', 'Belarus'),
(11623, '46.217.0.0', '46.217.255.255', 785973248, 786038783, 'MK', 'Macedonia'),
(11624, '46.218.0.0', '46.218.255.255', 786038784, 786104319, 'FR', 'France'),
(11625, '46.219.0.0', '46.219.255.255', 786104320, 786169855, 'UA', 'Ukraine'),
(11626, '46.220.0.0', '46.220.255.255', 786169856, 786235391, 'AT', 'Austria'),
(11627, '46.221.0.0', '46.221.255.255', 786235392, 786300927, 'TR', 'Turkey'),
(11628, '46.222.0.0', '46.222.255.255', 786300928, 786366463, 'ES', 'Spain'),
(11629, '46.223.0.0', '46.223.255.255', 786366464, 786431999, 'DE', 'Germany'),
(11630, '46.224.0.0', '46.225.255.255', 786432000, 786563071, 'IR', 'Iran, Islamic Republic of'),
(11631, '46.226.0.0', '46.226.7.255', 786563072, 786565119, 'GB', 'United Kingdom'),
(11632, '46.226.8.0', '46.226.15.255', 786565120, 786567167, 'NO', 'Norway'),
(11633, '46.226.16.0', '46.226.23.255', 786567168, 786569215, 'CZ', 'Czech Republic'),
(11634, '46.226.24.0', '46.226.31.255', 786569216, 786571263, 'NO', 'Norway'),
(11635, '46.226.32.0', '46.226.47.255', 786571264, 786575359, 'ES', 'Spain'),
(11636, '46.226.48.0', '46.226.49.255', 786575360, 786575871, 'GB', 'United Kingdom'),
(11637, '46.226.50.0', '46.226.50.255', 786575872, 786576127, 'SE', 'Sweden'),
(11638, '46.226.51.0', '46.226.55.255', 786576128, 786577407, 'GB', 'United Kingdom'),
(11639, '46.226.56.0', '46.226.63.255', 786577408, 786579455, 'NL', 'Netherlands'),
(11640, '46.226.64.0', '46.226.71.255', 786579456, 786581503, 'RU', 'Russian Federation'),
(11641, '46.226.72.0', '46.226.79.255', 786581504, 786583551, 'GB', 'United Kingdom'),
(11642, '46.226.80.0', '46.226.87.255', 786583552, 786585599, 'DE', 'Germany'),
(11643, '46.226.88.0', '46.226.95.255', 786585600, 786587647, 'NL', 'Netherlands'),
(11644, '46.226.96.0', '46.226.103.255', 786587648, 786589695, 'RU', 'Russian Federation'),
(11645, '46.226.104.0', '46.226.111.255', 786589696, 786591743, 'FR', 'France'),
(11646, '46.226.112.0', '46.226.119.255', 786591744, 786593791, 'DE', 'Germany'),
(11647, '46.226.120.0', '46.226.127.255', 786593792, 786595839, 'GB', 'United Kingdom'),
(11648, '46.226.128.0', '46.226.135.255', 786595840, 786597887, 'FR', 'France'),
(11649, '46.226.136.0', '46.226.143.255', 786597888, 786599935, 'EE', 'Estonia'),
(11650, '46.226.144.0', '46.226.151.255', 786599936, 786601983, 'ES', 'Spain'),
(11651, '46.226.152.0', '46.226.159.255', 786601984, 786604031, 'SE', 'Sweden'),
(11652, '46.226.160.0', '46.226.167.255', 786604032, 786606079, 'RU', 'Russian Federation'),
(11653, '46.226.168.0', '46.226.175.255', 786606080, 786608127, 'GB', 'United Kingdom'),
(11654, '46.226.176.0', '46.226.183.255', 786608128, 786610175, 'IT', 'Italy'),
(11655, '46.226.184.0', '46.226.191.255', 786610176, 786612223, 'IM', 'Isle of Man'),
(11656, '46.226.192.0', '46.226.199.255', 786612224, 786614271, 'GR', 'Greece'),
(11657, '46.226.200.0', '46.226.207.255', 786614272, 786616319, 'IT', 'Italy'),
(11658, '46.226.208.0', '46.226.215.255', 786616320, 786618367, 'KG', 'Kyrgyzstan'),
(11659, '46.226.216.0', '46.226.223.255', 786618368, 786620415, 'GB', 'United Kingdom'),
(11660, '46.226.224.0', '46.226.231.255', 786620416, 786622463, 'RU', 'Russian Federation'),
(11661, '46.226.232.0', '46.226.239.255', 786622464, 786624511, 'NL', 'Netherlands'),
(11662, '46.226.240.0', '46.226.247.255', 786624512, 786626559, 'RU', 'Russian Federation'),
(11663, '46.226.248.0', '46.226.255.255', 786626560, 786628607, 'GB', 'United Kingdom'),
(11664, '46.227.0.0', '46.227.7.255', 786628608, 786630655, 'IT', 'Italy'),
(11665, '46.227.8.0', '46.227.15.255', 786630656, 786632703, 'CZ', 'Czech Republic'),
(11666, '46.227.16.0', '46.227.23.255', 786632704, 786634751, 'FR', 'France'),
(11667, '46.227.24.0', '46.227.31.255', 786634752, 786636799, 'RU', 'Russian Federation'),
(11668, '46.227.32.0', '46.227.39.255', 786636800, 786638847, 'PL', 'Poland'),
(11669, '46.227.40.0', '46.227.47.255', 786638848, 786640895, 'ES', 'Spain'),
(11670, '46.227.48.0', '46.227.55.255', 786640896, 786642943, 'GB', 'United Kingdom'),
(11671, '46.227.56.0', '46.227.63.255', 786642944, 786644991, 'GR', 'Greece'),
(11672, '46.227.64.0', '46.227.66.255', 786644992, 786645759, 'SE', 'Sweden'),
(11673, '46.227.67.0', '46.227.67.255', 786645760, 786646015, 'MT', 'Malta'),
(11674, '46.227.68.0', '46.227.79.255', 786646016, 786649087, 'SE', 'Sweden'),
(11675, '46.227.80.0', '46.227.87.255', 786649088, 786651135, 'FR', 'France'),
(11676, '46.227.88.0', '46.227.103.255', 786651136, 786655231, 'DE', 'Germany'),
(11677, '46.227.104.0', '46.227.111.255', 786655232, 786657279, 'PL', 'Poland'),
(11678, '46.227.112.0', '46.227.119.255', 786657280, 786659327, 'FO', 'Faroe Islands'),
(11679, '46.227.120.0', '46.227.127.255', 786659328, 786661375, 'UZ', 'Uzbekistan'),
(11680, '46.227.128.0', '46.227.135.255', 786661376, 786663423, 'DE', 'Germany'),
(11681, '46.227.136.0', '46.227.143.255', 786663424, 786665471, 'UA', 'Ukraine'),
(11682, '46.227.144.0', '46.227.151.255', 786665472, 786667519, 'GB', 'United Kingdom'),
(11683, '46.227.152.0', '46.227.159.255', 786667520, 786669567, 'IT', 'Italy'),
(11684, '46.227.160.0', '46.227.167.255', 786669568, 786671615, 'RU', 'Russian Federation'),
(11685, '46.227.168.0', '46.227.175.255', 786671616, 786673663, 'CZ', 'Czech Republic'),
(11686, '46.227.176.0', '46.227.183.255', 786673664, 786675711, 'SK', 'Slovakia'),
(11687, '46.227.184.0', '46.227.191.255', 786675712, 786677759, 'KZ', 'Kazakhstan'),
(11688, '46.227.192.0', '46.227.199.255', 786677760, 786679807, 'NO', 'Norway'),
(11689, '46.227.200.0', '46.227.207.255', 786679808, 786681855, 'GB', 'United Kingdom'),
(11690, '46.227.208.0', '46.227.215.255', 786681856, 786683903, 'RU', 'Russian Federation'),
(11691, '46.227.216.0', '46.227.223.255', 786683904, 786685951, 'DE', 'Germany'),
(11692, '46.227.224.0', '46.227.231.255', 786685952, 786687999, 'CH', 'Switzerland'),
(11693, '46.227.232.0', '46.227.239.255', 786688000, 786690047, 'NL', 'Netherlands'),
(11694, '46.227.240.0', '46.227.247.255', 786690048, 786692095, 'PL', 'Poland'),
(11695, '46.227.248.0', '46.227.255.255', 786692096, 786694143, 'LB', 'Lebanon'),
(11696, '46.228.0.0', '46.228.15.255', 786694144, 786698239, 'RU', 'Russian Federation'),
(11697, '46.228.16.0', '46.228.31.255', 786698240, 786702335, 'CZ', 'Czech Republic'),
(11698, '46.228.32.0', '46.228.47.255', 786702336, 786706431, 'GB', 'United Kingdom'),
(11699, '46.228.48.0', '46.228.63.255', 786706432, 786710527, 'NO', 'Norway'),
(11700, '46.228.64.0', '46.228.79.255', 786710528, 786714623, 'RU', 'Russian Federation'),
(11701, '46.228.80.0', '46.228.95.255', 786714624, 786718719, 'PL', 'Poland'),
(11702, '46.228.96.0', '46.228.127.255', 786718720, 786726911, 'RU', 'Russian Federation'),
(11703, '46.228.128.0', '46.228.143.255', 786726912, 786731007, 'FI', 'Finland'),
(11704, '46.228.144.0', '46.228.159.255', 786731008, 786735103, 'IL', 'Israel'),
(11705, '46.228.160.0', '46.228.175.255', 786735104, 786739199, 'GB', 'United Kingdom'),
(11706, '46.228.176.0', '46.228.191.255', 786739200, 786743295, 'AZ', 'Azerbaijan'),
(11707, '46.228.192.0', '46.228.207.255', 786743296, 786747391, 'DE', 'Germany'),
(11708, '46.228.208.0', '46.228.223.255', 786747392, 786751487, 'SK', 'Slovakia'),
(11709, '46.228.224.0', '46.228.239.255', 786751488, 786755583, 'PL', 'Poland'),
(11710, '46.228.240.0', '46.228.255.255', 786755584, 786759679, 'IT', 'Italy'),
(11711, '46.229.0.0', '46.229.46.255', 786759680, 786771711, 'DE', 'Germany'),
(11712, '46.229.47.0', '46.229.47.63', 786771712, 786771775, 'AT', 'Austria'),
(11713, '46.229.47.64', '46.229.47.255', 786771776, 786771967, 'DE', 'Germany'),
(11714, '46.229.48.0', '46.229.63.255', 786771968, 786776063, 'UA', 'Ukraine'),
(11715, '46.229.64.0', '46.229.79.255', 786776064, 786780159, 'RU', 'Russian Federation'),
(11716, '46.229.80.0', '46.229.95.255', 786780160, 786784255, 'IT', 'Italy'),
(11717, '46.229.96.0', '46.229.111.255', 786784256, 786788351, 'RU', 'Russian Federation'),
(11718, '46.229.112.0', '46.229.127.255', 786788352, 786792447, 'CZ', 'Czech Republic'),
(11719, '46.229.128.0', '46.229.143.255', 786792448, 786796543, 'RU', 'Russian Federation'),
(11720, '46.229.144.0', '46.229.159.255', 786796544, 786800639, 'PL', 'Poland'),
(11721, '46.229.160.0', '46.229.164.255', 786800640, 786801919, 'US', 'United States'),
(11722, '46.229.165.0', '46.229.165.255', 786801920, 786802175, 'UA', 'Ukraine'),
(11723, '46.229.166.0', '46.229.167.255', 786802176, 786802687, 'US', 'United States'),
(11724, '46.229.168.0', '46.229.175.255', 786802688, 786804735, 'UA', 'Ukraine'),
(11725, '46.229.176.0', '46.229.191.255', 786804736, 786808831, 'RU', 'Russian Federation'),
(11726, '46.229.192.0', '46.229.207.255', 786808832, 786812927, 'BG', 'Bulgaria'),
(11727, '46.229.208.0', '46.229.223.255', 786812928, 786817023, 'RU', 'Russian Federation'),
(11728, '46.229.224.0', '46.229.224.127', 786817024, 786817151, 'SK', 'Slovakia'),
(11729, '46.229.224.128', '46.229.224.191', 786817152, 786817215, 'A1', 'Anonymous Proxy'),
(11730, '46.229.224.192', '46.229.239.255', 786817216, 786821119, 'SK', 'Slovakia'),
(11731, '46.229.240.0', '46.229.255.255', 786821120, 786825215, 'HR', 'Croatia'),
(11732, '46.230.0.0', '46.230.127.255', 786825216, 786857983, 'SA', 'Saudi Arabia'),
(11733, '46.230.128.0', '46.230.151.255', 786857984, 786864127, 'NO', 'Norway'),
(11734, '46.230.152.0', '46.230.255.255', 786864128, 786890751, 'SE', 'Sweden'),
(11735, '46.231.0.0', '46.231.7.255', 786890752, 786892799, 'ES', 'Spain'),
(11736, '46.231.8.0', '46.231.15.255', 786892800, 786894847, 'GB', 'United Kingdom'),
(11737, '46.231.16.0', '46.231.23.255', 786894848, 786896895, 'NL', 'Netherlands'),
(11738, '46.231.24.0', '46.231.39.255', 786896896, 786900991, 'IT', 'Italy'),
(11739, '46.231.40.0', '46.231.55.255', 786900992, 786905087, 'NL', 'Netherlands'),
(11740, '46.231.56.0', '46.231.63.255', 786905088, 786907135, 'PL', 'Poland'),
(11741, '46.231.64.0', '46.231.71.255', 786907136, 786909183, 'GB', 'United Kingdom'),
(11742, '46.231.72.0', '46.231.79.255', 786909184, 786911231, 'CZ', 'Czech Republic'),
(11743, '46.231.80.0', '46.231.87.255', 786911232, 786913279, 'NL', 'Netherlands'),
(11744, '46.231.88.0', '46.231.95.255', 786913280, 786915327, 'DE', 'Germany'),
(11745, '46.231.96.0', '46.231.103.255', 786915328, 786917375, 'SK', 'Slovakia'),
(11746, '46.231.104.0', '46.231.111.255', 786917376, 786919423, 'RO', 'Romania'),
(11747, '46.231.112.0', '46.231.113.199', 786919424, 786919879, 'GB', 'United Kingdom'),
(11748, '46.231.113.200', '46.231.113.207', 786919880, 786919887, 'IT', 'Italy'),
(11749, '46.231.113.208', '46.231.114.231', 786919888, 786920167, 'GB', 'United Kingdom'),
(11750, '46.231.114.232', '46.231.114.239', 786920168, 786920175, 'IT', 'Italy'),
(11751, '46.231.114.240', '46.231.117.135', 786920176, 786920839, 'GB', 'United Kingdom'),
(11752, '46.231.117.136', '46.231.117.143', 786920840, 786920847, 'IT', 'Italy'),
(11753, '46.231.117.144', '46.231.118.55', 786920848, 786921015, 'GB', 'United Kingdom'),
(11754, '46.231.118.56', '46.231.118.63', 786921016, 786921023, 'IT', 'Italy'),
(11755, '46.231.118.64', '46.231.118.239', 786921024, 786921199, 'GB', 'United Kingdom'),
(11756, '46.231.118.240', '46.231.118.247', 786921200, 786921207, 'IT', 'Italy'),
(11757, '46.231.118.248', '46.231.119.95', 786921208, 786921311, 'GB', 'United Kingdom'),
(11758, '46.231.119.96', '46.231.119.103', 786921312, 786921319, 'IT', 'Italy'),
(11759, '46.231.119.104', '46.231.119.255', 786921320, 786921471, 'GB', 'United Kingdom'),
(11760, '46.231.120.0', '46.231.127.255', 786921472, 786923519, 'ES', 'Spain'),
(11761, '46.231.128.0', '46.231.135.255', 786923520, 786925567, 'FR', 'France'),
(11762, '46.231.136.0', '46.231.143.255', 786925568, 786927615, 'DE', 'Germany'),
(11763, '46.231.144.0', '46.231.151.255', 786927616, 786929663, 'FR', 'France'),
(11764, '46.231.152.0', '46.231.159.255', 786929664, 786931711, 'PL', 'Poland'),
(11765, '46.231.160.0', '46.231.167.255', 786931712, 786933759, 'GB', 'United Kingdom'),
(11766, '46.231.168.0', '46.231.175.255', 786933760, 786935807, 'RU', 'Russian Federation'),
(11767, '46.231.176.0', '46.231.183.255', 786935808, 786937855, 'DE', 'Germany'),
(11768, '46.231.184.0', '46.231.191.255', 786937856, 786939903, 'GB', 'United Kingdom'),
(11769, '46.231.192.0', '46.231.192.255', 786939904, 786940159, 'SE', 'Sweden'),
(11770, '46.231.193.0', '46.231.193.255', 786940160, 786940415, 'FI', 'Finland'),
(11771, '46.231.194.0', '46.231.195.128', 786940416, 786940800, 'SE', 'Sweden'),
(11772, '46.231.195.129', '46.231.195.255', 786940801, 786940927, 'FI', 'Finland'),
(11773, '46.231.196.0', '46.231.199.255', 786940928, 786941951, 'SE', 'Sweden'),
(11774, '46.231.200.0', '46.231.207.255', 786941952, 786943999, 'CH', 'Switzerland'),
(11775, '46.231.208.0', '46.231.215.255', 786944000, 786946047, 'RU', 'Russian Federation'),
(11776, '46.231.216.0', '46.231.223.255', 786946048, 786948095, 'FR', 'France'),
(11777, '46.231.224.0', '46.231.231.255', 786948096, 786950143, 'UA', 'Ukraine'),
(11778, '46.231.232.0', '46.231.239.255', 786950144, 786952191, 'DE', 'Germany'),
(11779, '46.231.240.0', '46.231.241.255', 786952192, 786952703, 'NE', 'Niger'),
(11780, '46.231.242.0', '46.231.242.255', 786952704, 786952959, 'US', 'United States'),
(11781, '46.231.243.0', '46.231.243.255', 786952960, 786953215, 'NE', 'Niger'),
(11782, '46.231.244.0', '46.231.247.255', 786953216, 786954239, 'US', 'United States'),
(11783, '46.231.248.0', '46.231.255.255', 786954240, 786956287, 'NL', 'Netherlands'),
(11784, '46.232.0.0', '46.232.127.255', 786956288, 786989055, 'RU', 'Russian Federation'),
(11785, '46.232.128.0', '46.232.135.255', 786989056, 786991103, 'PL', 'Poland'),
(11786, '46.232.136.0', '46.232.151.255', 786991104, 786995199, 'IT', 'Italy'),
(11787, '46.232.152.0', '46.232.159.255', 786995200, 786997247, 'BG', 'Bulgaria'),
(11788, '46.232.160.0', '46.232.167.255', 786997248, 786999295, 'RU', 'Russian Federation'),
(11789, '46.232.168.0', '46.232.175.255', 786999296, 787001343, 'ES', 'Spain'),
(11790, '46.232.176.0', '46.232.183.255', 787001344, 787003391, 'CH', 'Switzerland'),
(11791, '46.232.184.0', '46.232.191.255', 787003392, 787005439, 'DE', 'Germany'),
(11792, '46.232.192.0', '46.232.199.255', 787005440, 787007487, 'GB', 'United Kingdom'),
(11793, '46.232.200.0', '46.232.207.255', 787007488, 787009535, 'RU', 'Russian Federation'),
(11794, '46.232.208.0', '46.232.215.255', 787009536, 787011583, 'NL', 'Netherlands'),
(11795, '46.232.216.0', '46.232.223.255', 787011584, 787013631, 'RU', 'Russian Federation'),
(11796, '46.232.224.0', '46.232.231.255', 787013632, 787015679, 'DE', 'Germany'),
(11797, '46.232.232.0', '46.232.239.255', 787015680, 787017727, 'UA', 'Ukraine'),
(11798, '46.232.240.0', '46.232.247.255', 787017728, 787019775, 'RU', 'Russian Federation'),
(11799, '46.232.248.0', '46.232.255.255', 787019776, 787021823, 'NL', 'Netherlands'),
(11800, '46.233.0.0', '46.233.63.255', 787021824, 787038207, 'BG', 'Bulgaria'),
(11801, '46.233.64.0', '46.233.64.255', 787038208, 787038463, 'GB', 'United Kingdom'),
(11802, '46.233.65.0', '46.233.65.255', 787038464, 787038719, 'IE', 'Ireland'),
(11803, '46.233.66.0', '46.233.66.255', 787038720, 787038975, 'DE', 'Germany'),
(11804, '46.233.67.0', '46.233.67.255', 787038976, 787039231, 'FR', 'France'),
(11805, '46.233.68.0', '46.233.127.255', 787039232, 787054591, 'GB', 'United Kingdom'),
(11806, '46.233.128.0', '46.233.191.255', 787054592, 787070975, 'IT', 'Italy'),
(11807, '46.233.192.0', '46.233.255.255', 787070976, 787087359, 'RU', 'Russian Federation'),
(11808, '46.234.0.0', '46.234.31.255', 787087360, 787095551, 'TR', 'Turkey'),
(11809, '46.234.32.0', '46.234.32.15', 787095552, 787095567, 'EU', 'Europe'),
(11810, '46.234.32.16', '46.234.32.63', 787095568, 787095615, 'CH', 'Switzerland'),
(11811, '46.234.32.64', '46.234.32.255', 787095616, 787095807, 'EU', 'Europe'),
(11812, '46.234.33.0', '46.234.33.255', 787095808, 787096063, 'CH', 'Switzerland'),
(11813, '46.234.34.0', '46.234.35.255', 787096064, 787096575, 'EU', 'Europe'),
(11814, '46.234.36.0', '46.234.42.255', 787096576, 787098367, 'CH', 'Switzerland'),
(11815, '46.234.43.0', '46.234.47.255', 787098368, 787099647, 'EU', 'Europe'),
(11816, '46.234.48.0', '46.234.60.255', 787099648, 787102975, 'CH', 'Switzerland'),
(11817, '46.234.61.0', '46.234.63.255', 787102976, 787103743, 'EU', 'Europe'),
(11818, '46.234.64.0', '46.234.95.255', 787103744, 787111935, 'HR', 'Croatia'),
(11819, '46.234.96.0', '46.234.127.255', 787111936, 787120127, 'CZ', 'Czech Republic'),
(11820, '46.234.128.0', '46.234.159.255', 787120128, 787128319, 'ES', 'Spain'),
(11821, '46.234.160.0', '46.234.191.255', 787128320, 787136511, 'CZ', 'Czech Republic'),
(11822, '46.234.192.0', '46.234.255.255', 787136512, 787152895, 'IT', 'Italy'),
(11823, '46.235.0.0', '46.235.7.255', 787152896, 787154943, 'GB', 'United Kingdom'),
(11824, '46.235.8.0', '46.235.15.255', 787154944, 787156991, 'TR', 'Turkey'),
(11825, '46.235.16.0', '46.235.23.255', 787156992, 787159039, 'FR', 'France'),
(11826, '46.235.24.0', '46.235.31.255', 787159040, 787161087, 'DE', 'Germany'),
(11827, '46.235.32.0', '46.235.39.255', 787161088, 787163135, 'SE', 'Sweden'),
(11828, '46.235.40.0', '46.235.47.255', 787163136, 787165183, 'NL', 'Netherlands'),
(11829, '46.235.48.0', '46.235.55.255', 787165184, 787167231, 'RS', 'Serbia'),
(11830, '46.235.56.0', '46.235.63.255', 787167232, 787169279, 'CH', 'Switzerland'),
(11831, '46.235.64.0', '46.235.71.255', 787169280, 787171327, 'RU', 'Russian Federation'),
(11832, '46.235.72.0', '46.235.79.255', 787171328, 787173375, 'KG', 'Kyrgyzstan'),
(11833, '46.235.80.0', '46.235.87.255', 787173376, 787175423, 'KZ', 'Kazakhstan'),
(11834, '46.235.88.0', '46.235.95.255', 787175424, 787177471, 'SA', 'Saudi Arabia'),
(11835, '46.235.96.0', '46.235.103.255', 787177472, 787179519, 'RS', 'Serbia'),
(11836, '46.235.104.0', '46.235.104.255', 787179520, 787179775, 'CH', 'Switzerland'),
(11837, '46.235.105.0', '46.235.119.255', 787179776, 787183615, 'DE', 'Germany'),
(11838, '46.235.120.0', '46.235.127.255', 787183616, 787185663, 'PL', 'Poland'),
(11839, '46.235.128.0', '46.235.135.255', 787185664, 787187711, 'GG', 'Guernsey'),
(11840, '46.235.136.0', '46.235.143.255', 787187712, 787189759, 'IT', 'Italy'),
(11841, '46.235.144.0', '46.235.151.255', 787189760, 787191807, 'CH', 'Switzerland'),
(11842, '46.235.152.0', '46.235.153.255', 787191808, 787192319, 'GB', 'United Kingdom'),
(11843, '46.235.154.0', '46.235.155.255', 787192320, 787192831, 'DE', 'Germany'),
(11844, '46.235.156.0', '46.235.159.255', 787192832, 787193855, 'EU', 'Europe'),
(11845, '46.235.160.0', '46.235.167.255', 787193856, 787195903, 'RU', 'Russian Federation'),
(11846, '46.235.168.0', '46.235.175.255', 787195904, 787197951, 'GB', 'United Kingdom'),
(11847, '46.235.176.0', '46.235.183.255', 787197952, 787199999, 'FR', 'France'),
(11848, '46.235.184.0', '46.235.191.255', 787200000, 787202047, 'RU', 'Russian Federation'),
(11849, '46.235.192.0', '46.235.207.255', 787202048, 787206143, 'DE', 'Germany'),
(11850, '46.235.208.0', '46.235.215.255', 787206144, 787208191, 'BH', 'Bahrain'),
(11851, '46.235.216.0', '46.235.223.255', 787208192, 787210239, 'RU', 'Russian Federation'),
(11852, '46.235.224.0', '46.235.231.255', 787210240, 787212287, 'GB', 'United Kingdom'),
(11853, '46.235.232.0', '46.235.239.255', 787212288, 787214335, 'SE', 'Sweden');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(11854, '46.235.240.0', '46.235.247.255', 787214336, 787216383, 'DE', 'Germany'),
(11855, '46.235.248.0', '46.235.255.255', 787216384, 787218431, 'RU', 'Russian Federation'),
(11856, '46.236.0.0', '46.236.63.255', 787218432, 787234815, 'GB', 'United Kingdom'),
(11857, '46.236.64.0', '46.236.127.255', 787234816, 787251199, 'SE', 'Sweden'),
(11858, '46.236.128.0', '46.236.191.255', 787251200, 787267583, 'RU', 'Russian Federation'),
(11859, '46.236.192.0', '46.236.255.255', 787267584, 787283967, 'DE', 'Germany'),
(11860, '46.237.0.0', '46.237.63.255', 787283968, 787300351, 'RU', 'Russian Federation'),
(11861, '46.237.64.0', '46.237.127.255', 787300352, 787316735, 'BG', 'Bulgaria'),
(11862, '46.237.128.0', '46.237.191.255', 787316736, 787333119, 'GB', 'United Kingdom'),
(11863, '46.237.192.0', '46.237.255.255', 787333120, 787349503, 'DE', 'Germany'),
(11864, '46.238.0.0', '46.238.63.255', 787349504, 787365887, 'BG', 'Bulgaria'),
(11865, '46.238.64.0', '46.238.127.255', 787365888, 787382271, 'PL', 'Poland'),
(11866, '46.238.128.0', '46.238.128.255', 787382272, 787382527, 'GP', 'Guadeloupe'),
(11867, '46.238.129.0', '46.238.129.255', 787382528, 787382783, 'FR', 'France'),
(11868, '46.238.130.0', '46.238.130.255', 787382784, 787383039, 'GP', 'Guadeloupe'),
(11869, '46.238.131.0', '46.238.131.255', 787383040, 787383295, 'FR', 'France'),
(11870, '46.238.132.0', '46.238.132.255', 787383296, 787383551, 'GP', 'Guadeloupe'),
(11871, '46.238.133.0', '46.238.134.255', 787383552, 787384063, 'FR', 'France'),
(11872, '46.238.135.0', '46.238.135.255', 787384064, 787384319, 'GP', 'Guadeloupe'),
(11873, '46.238.136.0', '46.238.144.255', 787384320, 787386623, 'FR', 'France'),
(11874, '46.238.145.0', '46.238.147.255', 787386624, 787387391, 'MQ', 'Martinique'),
(11875, '46.238.148.0', '46.238.148.255', 787387392, 787387647, 'FR', 'France'),
(11876, '46.238.149.0', '46.238.152.255', 787387648, 787388671, 'MQ', 'Martinique'),
(11877, '46.238.153.0', '46.238.159.255', 787388672, 787390463, 'FR', 'France'),
(11878, '46.238.160.0', '46.238.160.255', 787390464, 787390719, 'MQ', 'Martinique'),
(11879, '46.238.161.0', '46.238.175.255', 787390720, 787394559, 'FR', 'France'),
(11880, '46.238.176.0', '46.238.177.255', 787394560, 787395071, 'GF', 'French Guiana'),
(11881, '46.238.178.0', '46.238.191.255', 787395072, 787398655, 'FR', 'France'),
(11882, '46.238.192.0', '46.238.255.255', 787398656, 787415039, 'PL', 'Poland'),
(11883, '46.239.0.0', '46.239.63.255', 787415040, 787431423, 'BA', 'Bosnia and Herzegovina'),
(11884, '46.239.64.0', '46.239.127.255', 787431424, 787447807, 'SE', 'Sweden'),
(11885, '46.239.128.0', '46.239.191.255', 787447808, 787464191, 'PL', 'Poland'),
(11886, '46.239.192.0', '46.239.255.255', 787464192, 787480575, 'IS', 'Iceland'),
(11887, '46.240.0.0', '46.240.127.255', 787480576, 787513343, 'SA', 'Saudi Arabia'),
(11888, '46.240.128.0', '46.240.255.255', 787513344, 787546111, 'RS', 'Serbia'),
(11889, '46.241.0.0', '46.241.127.255', 787546112, 787578879, 'RU', 'Russian Federation'),
(11890, '46.241.128.0', '46.241.255.255', 787578880, 787611647, 'AM', 'Armenia'),
(11891, '46.242.0.0', '46.242.127.255', 787611648, 787644415, 'RU', 'Russian Federation'),
(11892, '46.242.128.0', '46.242.255.255', 787644416, 787677183, 'PL', 'Poland'),
(11893, '46.243.0.0', '46.243.7.255', 787677184, 787679231, 'GB', 'United Kingdom'),
(11894, '46.243.8.0', '46.243.15.255', 787679232, 787681279, 'RU', 'Russian Federation'),
(11895, '46.243.16.0', '46.243.23.255', 787681280, 787683327, 'IQ', 'Iraq'),
(11896, '46.243.24.0', '46.243.31.255', 787683328, 787685375, 'NL', 'Netherlands'),
(11897, '46.243.32.0', '46.243.39.255', 787685376, 787687423, 'IT', 'Italy'),
(11898, '46.243.40.0', '46.243.47.255', 787687424, 787689471, 'NL', 'Netherlands'),
(11899, '46.243.48.0', '46.243.55.255', 787689472, 787691519, 'CZ', 'Czech Republic'),
(11900, '46.243.56.0', '46.243.63.255', 787691520, 787693567, 'IT', 'Italy'),
(11901, '46.243.64.0', '46.243.71.255', 787693568, 787695615, 'SK', 'Slovakia'),
(11902, '46.243.72.0', '46.243.79.255', 787695616, 787697663, 'RU', 'Russian Federation'),
(11903, '46.243.80.0', '46.243.95.255', 787697664, 787701759, 'DE', 'Germany'),
(11904, '46.243.96.0', '46.243.103.255', 787701760, 787703807, 'NL', 'Netherlands'),
(11905, '46.243.104.0', '46.243.111.255', 787703808, 787705855, 'AT', 'Austria'),
(11906, '46.243.112.0', '46.243.119.255', 787705856, 787707903, 'RO', 'Romania'),
(11907, '46.243.120.0', '46.243.127.255', 787707904, 787709951, 'DE', 'Germany'),
(11908, '46.243.128.0', '46.243.183.255', 787709952, 787724287, 'RU', 'Russian Federation'),
(11909, '46.243.184.0', '46.243.191.255', 787724288, 787726335, 'UA', 'Ukraine'),
(11910, '46.243.192.0', '46.243.255.255', 787726336, 787742719, 'RU', 'Russian Federation'),
(11911, '46.244.0.0', '46.244.62.255', 787742720, 787758847, 'NL', 'Netherlands'),
(11912, '46.244.63.0', '46.244.66.255', 787758848, 787759871, 'GB', 'United Kingdom'),
(11913, '46.244.67.0', '46.244.70.255', 787759872, 787760895, 'NL', 'Netherlands'),
(11914, '46.244.71.0', '46.244.74.255', 787760896, 787761919, 'DE', 'Germany'),
(11915, '46.244.75.0', '46.244.78.255', 787761920, 787762943, 'NL', 'Netherlands'),
(11916, '46.244.79.0', '46.244.82.255', 787762944, 787763967, 'ES', 'Spain'),
(11917, '46.244.83.0', '46.244.118.255', 787763968, 787773183, 'NL', 'Netherlands'),
(11918, '46.244.119.0', '46.244.119.127', 787773184, 787773311, 'BE', 'Belgium'),
(11919, '46.244.119.128', '46.244.119.255', 787773312, 787773439, 'NL', 'Netherlands'),
(11920, '46.244.120.0', '46.244.121.127', 787773440, 787773823, 'BE', 'Belgium'),
(11921, '46.244.121.128', '46.244.121.255', 787773824, 787773951, 'NL', 'Netherlands'),
(11922, '46.244.122.0', '46.244.122.63', 787773952, 787774015, 'BE', 'Belgium'),
(11923, '46.244.122.64', '46.244.122.255', 787774016, 787774207, 'NL', 'Netherlands'),
(11924, '46.244.123.0', '46.244.123.127', 787774208, 787774335, 'BE', 'Belgium'),
(11925, '46.244.123.128', '46.244.123.255', 787774336, 787774463, 'NL', 'Netherlands'),
(11926, '46.244.124.0', '46.244.124.255', 787774464, 787774719, 'BE', 'Belgium'),
(11927, '46.244.125.0', '46.244.125.15', 787774720, 787774735, 'NL', 'Netherlands'),
(11928, '46.244.125.16', '46.244.125.240', 787774736, 787774960, 'BE', 'Belgium'),
(11929, '46.244.125.241', '46.244.125.255', 787774961, 787774975, 'NL', 'Netherlands'),
(11930, '46.244.126.0', '46.244.126.7', 787774976, 787774983, 'BE', 'Belgium'),
(11931, '46.244.126.8', '46.244.126.31', 787774984, 787775007, 'NL', 'Netherlands'),
(11932, '46.244.126.32', '46.244.126.47', 787775008, 787775023, 'BE', 'Belgium'),
(11933, '46.244.126.48', '46.244.126.63', 787775024, 787775039, 'NL', 'Netherlands'),
(11934, '46.244.126.64', '46.244.126.127', 787775040, 787775103, 'BE', 'Belgium'),
(11935, '46.244.126.128', '46.244.126.190', 787775104, 787775166, 'NL', 'Netherlands'),
(11936, '46.244.126.191', '46.244.126.208', 787775167, 787775184, 'BE', 'Belgium'),
(11937, '46.244.126.209', '46.244.127.255', 787775185, 787775487, 'NL', 'Netherlands'),
(11938, '46.244.128.0', '46.244.255.255', 787775488, 787808255, 'DE', 'Germany'),
(11939, '46.245.0.0', '46.245.127.255', 787808256, 787841023, 'IR', 'Iran, Islamic Republic of'),
(11940, '46.245.128.0', '46.245.135.255', 787841024, 787843071, 'RU', 'Russian Federation'),
(11941, '46.245.136.0', '46.245.143.255', 787843072, 787845119, 'GR', 'Greece'),
(11942, '46.245.144.0', '46.245.151.255', 787845120, 787847167, 'CH', 'Switzerland'),
(11943, '46.245.152.0', '46.245.159.255', 787847168, 787849215, 'SE', 'Sweden'),
(11944, '46.245.160.0', '46.245.165.0', 787849216, 787850496, 'TR', 'Turkey'),
(11945, '46.245.165.1', '46.245.165.255', 787850497, 787850751, 'NL', 'Netherlands'),
(11946, '46.245.166.0', '46.245.167.255', 787850752, 787851263, 'TR', 'Turkey'),
(11947, '46.245.168.0', '46.245.175.255', 787851264, 787853311, 'RU', 'Russian Federation'),
(11948, '46.245.176.0', '46.245.183.255', 787853312, 787855359, 'DE', 'Germany'),
(11949, '46.245.184.0', '46.245.191.255', 787855360, 787857407, 'CH', 'Switzerland'),
(11950, '46.245.192.0', '46.245.199.255', 787857408, 787859455, 'PL', 'Poland'),
(11951, '46.245.200.0', '46.245.207.255', 787859456, 787861503, 'AT', 'Austria'),
(11952, '46.245.208.0', '46.245.215.255', 787861504, 787863551, 'IE', 'Ireland'),
(11953, '46.245.216.0', '46.245.223.255', 787863552, 787865599, 'DE', 'Germany'),
(11954, '46.245.224.0', '46.245.239.255', 787865600, 787869695, 'FR', 'France'),
(11955, '46.245.240.0', '46.245.255.255', 787869696, 787873791, 'GB', 'United Kingdom'),
(11956, '46.246.0.0', '46.246.71.255', 787873792, 787892223, 'SE', 'Sweden'),
(11957, '46.246.72.0', '46.246.79.255', 787892224, 787894271, 'A1', 'Anonymous Proxy'),
(11958, '46.246.80.0', '46.246.87.255', 787894272, 787896319, 'US', 'United States'),
(11959, '46.246.88.0', '46.246.88.255', 787896320, 787896575, 'SE', 'Sweden'),
(11960, '46.246.89.0', '46.246.89.127', 787896576, 787896703, 'A1', 'Anonymous Proxy'),
(11961, '46.246.89.128', '46.246.127.255', 787896704, 787906559, 'SE', 'Sweden'),
(11962, '46.246.128.0', '46.246.255.255', 787906560, 787939327, 'GR', 'Greece'),
(11963, '46.247.0.0', '46.247.127.255', 787939328, 787972095, 'GB', 'United Kingdom'),
(11964, '46.247.128.0', '46.247.255.255', 787972096, 788004863, 'UA', 'Ukraine'),
(11965, '46.248.0.0', '46.248.1.255', 788004864, 788005375, 'GB', 'United Kingdom'),
(11966, '46.248.2.0', '46.248.5.255', 788005376, 788006399, 'BE', 'Belgium'),
(11967, '46.248.6.0', '46.248.7.255', 788006400, 788006911, 'IT', 'Italy'),
(11968, '46.248.8.0', '46.248.9.255', 788006912, 788007423, 'FR', 'France'),
(11969, '46.248.10.0', '46.248.11.255', 788007424, 788007935, 'DE', 'Germany'),
(11970, '46.248.12.0', '46.248.13.255', 788007936, 788008447, 'US', 'United States'),
(11971, '46.248.14.0', '46.248.15.255', 788008448, 788008959, 'SG', 'Singapore'),
(11972, '46.248.16.0', '46.248.17.255', 788008960, 788009471, 'IN', 'India'),
(11973, '46.248.18.0', '46.248.19.255', 788009472, 788009983, 'ES', 'Spain'),
(11974, '46.248.20.0', '46.248.21.255', 788009984, 788010495, 'HK', 'Hong Kong'),
(11975, '46.248.22.0', '46.248.23.255', 788010496, 788011007, 'AU', 'Australia'),
(11976, '46.248.24.0', '46.248.25.255', 788011008, 788011519, 'CN', 'China'),
(11977, '46.248.26.0', '46.248.27.255', 788011520, 788012031, 'AR', 'Argentina'),
(11978, '46.248.28.0', '46.248.29.255', 788012032, 788012543, 'CA', 'Canada'),
(11979, '46.248.30.0', '46.248.31.255', 788012544, 788013055, 'RU', 'Russian Federation'),
(11980, '46.248.32.0', '46.248.63.255', 788013056, 788021247, 'IR', 'Iran, Islamic Republic of'),
(11981, '46.248.64.0', '46.248.95.255', 788021248, 788029439, 'SI', 'Slovenia'),
(11982, '46.248.96.0', '46.248.159.255', 788029440, 788045823, 'GB', 'United Kingdom'),
(11983, '46.248.160.0', '46.248.191.255', 788045824, 788054015, 'PL', 'Poland'),
(11984, '46.248.192.0', '46.248.223.255', 788054016, 788062207, 'JO', 'Jordan'),
(11985, '46.248.224.0', '46.248.255.255', 788062208, 788070399, 'GB', 'United Kingdom'),
(11986, '46.249.0.0', '46.249.31.255', 788070400, 788078591, 'RU', 'Russian Federation'),
(11987, '46.249.32.0', '46.249.51.255', 788078592, 788083711, 'NL', 'Netherlands'),
(11988, '46.249.52.0', '46.249.53.255', 788083712, 788084223, 'KN', 'Saint Kitts and Nevis'),
(11989, '46.249.54.0', '46.249.63.255', 788084224, 788086783, 'NL', 'Netherlands'),
(11990, '46.249.64.0', '46.249.95.255', 788086784, 788094975, 'BG', 'Bulgaria'),
(11991, '46.249.96.0', '46.249.127.255', 788094976, 788103167, 'IR', 'Iran, Islamic Republic of'),
(11992, '46.249.128.0', '46.249.159.255', 788103168, 788111359, 'HU', 'Hungary'),
(11993, '46.249.160.0', '46.249.191.255', 788111360, 788119551, 'LT', 'Lithuania'),
(11994, '46.249.192.0', '46.249.223.255', 788119552, 788127743, 'GB', 'United Kingdom'),
(11995, '46.249.224.0', '46.249.255.255', 788127744, 788135935, 'NO', 'Norway'),
(11996, '46.250.0.0', '46.250.31.255', 788135936, 788144127, 'UA', 'Ukraine'),
(11997, '46.250.32.0', '46.250.95.255', 788144128, 788160511, 'RU', 'Russian Federation'),
(11998, '46.250.96.0', '46.250.127.255', 788160512, 788168703, 'UA', 'Ukraine'),
(11999, '46.250.128.0', '46.250.159.255', 788168704, 788176895, 'RU', 'Russian Federation'),
(12000, '46.250.160.0', '46.250.191.255', 788176896, 788185087, 'PL', 'Poland'),
(12001, '46.250.192.0', '46.250.223.255', 788185088, 788193279, 'NO', 'Norway'),
(12002, '46.250.224.0', '46.250.255.255', 788193280, 788201471, 'GB', 'United Kingdom'),
(12003, '46.251.0.0', '46.251.31.255', 788201472, 788209663, 'HU', 'Hungary'),
(12004, '46.251.32.0', '46.251.63.255', 788209664, 788217855, 'LT', 'Lithuania'),
(12005, '46.251.64.0', '46.251.95.255', 788217856, 788226047, 'RU', 'Russian Federation'),
(12006, '46.251.96.0', '46.251.127.255', 788226048, 788234239, 'CY', 'Cyprus'),
(12007, '46.251.128.0', '46.251.159.255', 788234240, 788242431, 'SA', 'Saudi Arabia'),
(12008, '46.251.160.0', '46.251.191.255', 788242432, 788250623, 'IR', 'Iran, Islamic Republic of'),
(12009, '46.251.192.0', '46.251.223.255', 788250624, 788258815, 'KG', 'Kyrgyzstan'),
(12010, '46.251.224.0', '46.251.226.255', 788258816, 788259583, 'DE', 'Germany'),
(12011, '46.251.227.0', '46.251.228.255', 788259584, 788260095, 'NL', 'Netherlands'),
(12012, '46.251.229.0', '46.251.229.255', 788260096, 788260351, 'DE', 'Germany'),
(12013, '46.251.230.0', '46.251.231.255', 788260352, 788260863, 'NL', 'Netherlands'),
(12014, '46.251.232.0', '46.251.253.255', 788260864, 788266495, 'DE', 'Germany'),
(12015, '46.251.254.0', '46.251.255.255', 788266496, 788267007, 'IN', 'India'),
(12016, '46.252.0.0', '46.252.15.255', 788267008, 788271103, 'SE', 'Sweden'),
(12017, '46.252.16.0', '46.252.31.255', 788271104, 788275199, 'DE', 'Germany'),
(12018, '46.252.32.0', '46.252.47.255', 788275200, 788279295, 'AL', 'Albania'),
(12019, '46.252.48.0', '46.252.63.255', 788279296, 788283391, 'BG', 'Bulgaria'),
(12020, '46.252.64.0', '46.252.95.255', 788283392, 788291583, 'GB', 'United Kingdom'),
(12021, '46.252.96.0', '46.252.111.255', 788291584, 788295679, 'TR', 'Turkey'),
(12022, '46.252.112.0', '46.252.127.255', 788295680, 788299775, 'RU', 'Russian Federation'),
(12023, '46.252.128.0', '46.252.143.255', 788299776, 788303871, 'DE', 'Germany'),
(12024, '46.252.144.0', '46.252.159.255', 788303872, 788307967, 'IT', 'Italy'),
(12025, '46.252.160.0', '46.252.175.255', 788307968, 788312063, 'RU', 'Russian Federation'),
(12026, '46.252.176.0', '46.252.176.255', 788312064, 788312319, 'FR', 'France'),
(12027, '46.252.177.0', '46.252.177.31', 788312320, 788312351, 'IT', 'Italy'),
(12028, '46.252.177.32', '46.252.177.63', 788312352, 788312383, 'GB', 'United Kingdom'),
(12029, '46.252.177.64', '46.252.177.95', 788312384, 788312415, 'DE', 'Germany'),
(12030, '46.252.177.96', '46.252.177.127', 788312416, 788312447, 'ES', 'Spain'),
(12031, '46.252.177.128', '46.252.177.159', 788312448, 788312479, 'US', 'United States'),
(12032, '46.252.177.160', '46.252.177.191', 788312480, 788312511, 'BR', 'Brazil'),
(12033, '46.252.177.192', '46.252.177.223', 788312512, 788312543, 'NL', 'Netherlands'),
(12034, '46.252.177.224', '46.252.191.255', 788312544, 788316159, 'FR', 'France'),
(12035, '46.252.192.0', '46.252.207.255', 788316160, 788320255, 'NL', 'Netherlands'),
(12036, '46.252.208.0', '46.252.223.255', 788320256, 788324351, 'UA', 'Ukraine'),
(12037, '46.252.224.0', '46.252.239.255', 788324352, 788328447, 'CZ', 'Czech Republic'),
(12038, '46.252.240.0', '46.252.255.255', 788328448, 788332543, 'RU', 'Russian Federation'),
(12039, '46.253.0.0', '46.253.15.255', 788332544, 788336639, 'BG', 'Bulgaria'),
(12040, '46.253.16.0', '46.253.18.255', 788336640, 788337407, 'DE', 'Germany'),
(12041, '46.253.19.0', '46.253.19.255', 788337408, 788337663, 'GB', 'United Kingdom'),
(12042, '46.253.20.0', '46.253.30.255', 788337664, 788340479, 'DE', 'Germany'),
(12043, '46.253.31.0', '46.253.31.255', 788340480, 788340735, 'GB', 'United Kingdom'),
(12044, '46.253.32.0', '46.253.47.255', 788340736, 788344831, 'ES', 'Spain'),
(12045, '46.253.48.0', '46.253.79.255', 788344832, 788353023, 'DE', 'Germany'),
(12046, '46.253.80.0', '46.253.95.255', 788353024, 788357119, 'PS', 'Palestinian Territory, Occupied'),
(12047, '46.253.96.0', '46.253.111.255', 788357120, 788361215, 'CZ', 'Czech Republic'),
(12048, '46.253.112.0', '46.253.127.255', 788361216, 788365311, 'DE', 'Germany'),
(12049, '46.253.128.0', '46.253.143.255', 788365312, 788369407, 'IQ', 'Iraq'),
(12050, '46.253.144.0', '46.253.152.255', 788369408, 788371711, 'DE', 'Germany'),
(12051, '46.253.153.0', '46.253.153.3', 788371712, 788371715, 'AT', 'Austria'),
(12052, '46.253.153.4', '46.253.153.7', 788371716, 788371719, 'US', 'United States'),
(12053, '46.253.153.8', '46.253.153.11', 788371720, 788371723, 'GB', 'United Kingdom'),
(12054, '46.253.153.12', '46.253.159.255', 788371724, 788373503, 'DE', 'Germany'),
(12055, '46.253.160.0', '46.253.175.255', 788373504, 788377599, 'BE', 'Belgium'),
(12056, '46.253.176.0', '46.253.191.255', 788377600, 788381695, 'CH', 'Switzerland'),
(12057, '46.253.192.0', '46.253.207.255', 788381696, 788385791, 'SE', 'Sweden'),
(12058, '46.253.208.0', '46.253.223.255', 788385792, 788389887, 'PL', 'Poland'),
(12059, '46.253.224.0', '46.253.239.255', 788389888, 788393983, 'ES', 'Spain'),
(12060, '46.253.240.0', '46.253.255.255', 788393984, 788398079, 'DE', 'Germany'),
(12061, '46.254.0.0', '46.254.7.255', 788398080, 788400127, 'SI', 'Slovenia'),
(12062, '46.254.8.0', '46.254.15.255', 788400128, 788402175, 'SE', 'Sweden'),
(12063, '46.254.16.0', '46.254.31.255', 788402176, 788406271, 'RU', 'Russian Federation'),
(12064, '46.254.32.0', '46.254.47.255', 788406272, 788410367, 'IT', 'Italy'),
(12065, '46.254.48.0', '46.254.55.255', 788410368, 788412415, 'TR', 'Turkey'),
(12066, '46.254.56.0', '46.254.63.255', 788412416, 788414463, 'SI', 'Slovenia'),
(12067, '46.254.64.0', '46.254.71.255', 788414464, 788416511, 'CZ', 'Czech Republic'),
(12068, '46.254.72.0', '46.254.79.255', 788416512, 788418559, 'PL', 'Poland'),
(12069, '46.254.80.0', '46.254.95.255', 788418560, 788422655, 'RU', 'Russian Federation'),
(12070, '46.254.96.0', '46.254.103.255', 788422656, 788424703, 'FI', 'Finland'),
(12071, '46.254.104.0', '46.254.111.255', 788424704, 788426751, 'IT', 'Italy'),
(12072, '46.254.112.0', '46.254.119.255', 788426752, 788428799, 'GB', 'United Kingdom'),
(12073, '46.254.120.0', '46.254.127.255', 788428800, 788430847, 'DE', 'Germany'),
(12074, '46.254.128.0', '46.254.135.255', 788430848, 788432895, 'BG', 'Bulgaria'),
(12075, '46.254.136.0', '46.254.136.31', 788432896, 788432927, 'DE', 'Germany'),
(12076, '46.254.136.32', '46.254.136.63', 788432928, 788432959, 'FR', 'France'),
(12077, '46.254.136.64', '46.254.143.255', 788432960, 788434943, 'DE', 'Germany'),
(12078, '46.254.144.0', '46.254.151.255', 788434944, 788436991, 'SI', 'Slovenia'),
(12079, '46.254.152.0', '46.254.159.255', 788436992, 788439039, 'IT', 'Italy'),
(12080, '46.254.160.0', '46.254.167.255', 788439040, 788441087, 'RU', 'Russian Federation'),
(12081, '46.254.168.0', '46.254.175.255', 788441088, 788443135, 'NL', 'Netherlands'),
(12082, '46.254.176.0', '46.254.183.255', 788443136, 788445183, 'IT', 'Italy'),
(12083, '46.254.184.0', '46.254.207.255', 788445184, 788451327, 'GB', 'United Kingdom'),
(12084, '46.254.208.0', '46.254.215.255', 788451328, 788453375, 'FI', 'Finland'),
(12085, '46.254.216.0', '46.254.223.255', 788453376, 788455423, 'RU', 'Russian Federation'),
(12086, '46.254.224.0', '46.254.231.255', 788455424, 788457471, 'FR', 'France'),
(12087, '46.254.232.0', '46.254.239.255', 788457472, 788459519, 'IT', 'Italy'),
(12088, '46.254.240.0', '46.254.247.255', 788459520, 788461567, 'RU', 'Russian Federation'),
(12089, '46.254.248.0', '46.255.7.255', 788461568, 788465663, 'GB', 'United Kingdom'),
(12090, '46.255.8.0', '46.255.15.255', 788465664, 788467711, 'CZ', 'Czech Republic'),
(12091, '46.255.16.0', '46.255.23.255', 788467712, 788469759, 'NO', 'Norway'),
(12092, '46.255.24.0', '46.255.31.255', 788469760, 788471807, 'NL', 'Netherlands'),
(12093, '46.255.32.0', '46.255.39.255', 788471808, 788473855, 'UA', 'Ukraine'),
(12094, '46.255.40.0', '46.255.40.255', 788473856, 788474111, 'DE', 'Germany'),
(12095, '46.255.41.0', '46.255.47.255', 788474112, 788475903, 'GB', 'United Kingdom'),
(12096, '46.255.48.0', '46.255.55.255', 788475904, 788477951, 'FR', 'France'),
(12097, '46.255.56.0', '46.255.63.255', 788477952, 788479999, 'OM', 'Oman'),
(12098, '46.255.64.0', '46.255.71.255', 788480000, 788482047, 'UZ', 'Uzbekistan'),
(12099, '46.255.72.0', '46.255.79.255', 788482048, 788484095, 'GB', 'United Kingdom'),
(12100, '46.255.80.0', '46.255.87.255', 788484096, 788486143, 'IT', 'Italy'),
(12101, '46.255.88.0', '46.255.95.255', 788486144, 788488191, 'NL', 'Netherlands'),
(12102, '46.255.96.0', '46.255.103.255', 788488192, 788490239, 'RU', 'Russian Federation'),
(12103, '46.255.104.0', '46.255.111.255', 788490240, 788492287, 'NL', 'Netherlands'),
(12104, '46.255.112.0', '46.255.119.255', 788492288, 788494335, 'GB', 'United Kingdom'),
(12105, '46.255.120.0', '46.255.127.255', 788494336, 788496383, 'SE', 'Sweden'),
(12106, '46.255.128.0', '46.255.135.255', 788496384, 788498431, 'FR', 'France'),
(12107, '46.255.136.0', '46.255.143.255', 788498432, 788500479, 'RU', 'Russian Federation'),
(12108, '46.255.144.0', '46.255.151.255', 788500480, 788502527, 'AL', 'Albania'),
(12109, '46.255.152.0', '46.255.159.255', 788502528, 788504575, 'IE', 'Ireland'),
(12110, '46.255.160.0', '46.255.167.255', 788504576, 788506623, 'FR', 'France'),
(12111, '46.255.168.0', '46.255.175.255', 788506624, 788508671, 'CH', 'Switzerland'),
(12112, '46.255.176.0', '46.255.178.31', 788508672, 788509215, 'FR', 'France'),
(12113, '46.255.178.32', '46.255.178.47', 788509216, 788509231, 'AT', 'Austria'),
(12114, '46.255.178.48', '46.255.178.63', 788509232, 788509247, 'FR', 'France'),
(12115, '46.255.178.64', '46.255.178.95', 788509248, 788509279, 'AT', 'Austria'),
(12116, '46.255.178.96', '46.255.179.191', 788509280, 788509631, 'FR', 'France'),
(12117, '46.255.179.192', '46.255.179.255', 788509632, 788509695, 'AT', 'Austria'),
(12118, '46.255.180.0', '46.255.182.127', 788509696, 788510335, 'FR', 'France'),
(12119, '46.255.182.128', '46.255.182.255', 788510336, 788510463, 'AT', 'Austria'),
(12120, '46.255.183.0', '46.255.183.55', 788510464, 788510519, 'FR', 'France'),
(12121, '46.255.183.56', '46.255.183.63', 788510520, 788510527, 'AT', 'Austria'),
(12122, '46.255.183.64', '46.255.183.199', 788510528, 788510663, 'FR', 'France'),
(12123, '46.255.183.200', '46.255.183.223', 788510664, 788510687, 'AT', 'Austria'),
(12124, '46.255.183.224', '46.255.183.255', 788510688, 788510719, 'FR', 'France'),
(12125, '46.255.184.0', '46.255.191.255', 788510720, 788512767, 'ES', 'Spain'),
(12126, '46.255.192.0', '46.255.199.255', 788512768, 788514815, 'FI', 'Finland'),
(12127, '46.255.200.0', '46.255.207.255', 788514816, 788516863, 'FR', 'France'),
(12128, '46.255.208.0', '46.255.215.255', 788516864, 788518911, 'LT', 'Lithuania'),
(12129, '46.255.216.0', '46.255.223.255', 788518912, 788520959, 'IR', 'Iran, Islamic Republic of'),
(12130, '46.255.224.0', '46.255.230.127', 788520960, 788522623, 'CZ', 'Czech Republic'),
(12131, '46.255.230.128', '46.255.230.159', 788522624, 788522655, 'PL', 'Poland'),
(12132, '46.255.230.160', '46.255.231.255', 788522656, 788523007, 'CZ', 'Czech Republic'),
(12133, '46.255.232.0', '46.255.239.255', 788523008, 788525055, 'KZ', 'Kazakhstan'),
(12134, '46.255.240.0', '46.255.247.255', 788525056, 788527103, 'IT', 'Italy'),
(12135, '46.255.248.0', '46.255.255.255', 788527104, 788529151, 'GB', 'United Kingdom'),
(12136, '47.0.0.0', '47.102.68.255', 788529152, 795231487, 'CA', 'Canada'),
(12137, '47.102.69.0', '47.102.69.255', 795231488, 795231743, 'US', 'United States'),
(12138, '47.102.70.0', '47.102.74.255', 795231744, 795233023, 'CA', 'Canada'),
(12139, '47.102.75.0', '47.102.75.255', 795233024, 795233279, 'US', 'United States'),
(12140, '47.102.76.0', '47.142.149.255', 795233280, 797873663, 'CA', 'Canada'),
(12141, '47.142.150.0', '47.142.150.255', 797873664, 797873919, 'US', 'United States'),
(12142, '47.142.151.0', '47.229.255.255', 797873920, 803602431, 'CA', 'Canada'),
(12143, '47.230.0.0', '47.230.0.255', 803602432, 803602687, 'US', 'United States'),
(12144, '47.230.1.0', '47.233.255.255', 803602688, 803864575, 'CA', 'Canada'),
(12145, '47.234.0.0', '47.234.0.255', 803864576, 803864831, 'US', 'United States'),
(12146, '47.234.1.0', '47.255.255.255', 803864832, 805306367, 'CA', 'Canada'),
(12147, '48.0.0.0', '48.255.255.255', 805306368, 822083583, 'US', 'United States'),
(12148, '49.0.0.0', '49.0.7.255', 822083584, 822085631, 'ID', 'Indonesia'),
(12149, '49.0.8.0', '49.0.15.255', 822085632, 822087679, 'AU', 'Australia'),
(12150, '49.0.16.0', '49.0.23.255', 822087680, 822089727, 'JP', 'Japan'),
(12151, '49.0.24.0', '49.0.27.255', 822089728, 822090751, 'ID', 'Indonesia'),
(12152, '49.0.28.0', '49.0.31.255', 822090752, 822091775, 'NZ', 'New Zealand'),
(12153, '49.0.32.0', '49.0.63.255', 822091776, 822099967, 'BD', 'Bangladesh'),
(12154, '49.0.64.0', '49.0.127.255', 822099968, 822116351, 'TH', 'Thailand'),
(12155, '49.0.128.0', '49.0.255.255', 822116352, 822149119, 'MN', 'Mongolia'),
(12156, '49.1.0.0', '49.1.255.255', 822149120, 822214655, 'KR', 'Korea, Republic of'),
(12157, '49.2.0.0', '49.3.255.255', 822214656, 822345727, 'AU', 'Australia'),
(12158, '49.4.0.0', '49.7.255.255', 822345728, 822607871, 'CN', 'China'),
(12159, '49.8.0.0', '49.11.255.255', 822607872, 822870015, 'KR', 'Korea, Republic of'),
(12160, '49.12.0.0', '49.15.255.255', 822870016, 823132159, 'IN', 'India'),
(12161, '49.16.0.0', '49.31.255.255', 823132160, 824180735, 'KR', 'Korea, Republic of'),
(12162, '49.32.0.0', '49.47.255.255', 824180736, 825229311, 'IN', 'India'),
(12163, '49.48.0.0', '49.49.255.255', 825229312, 825360383, 'TH', 'Thailand'),
(12164, '49.50.0.0', '49.50.3.255', 825360384, 825361407, 'KR', 'Korea, Republic of'),
(12165, '49.50.4.0', '49.50.11.255', 825361408, 825363455, 'ID', 'Indonesia'),
(12166, '49.50.12.0', '49.50.15.255', 825363456, 825364479, 'MY', 'Malaysia'),
(12167, '49.50.16.0', '49.50.63.255', 825364480, 825376767, 'KR', 'Korea, Republic of'),
(12168, '49.50.64.0', '49.50.127.255', 825376768, 825393151, 'IN', 'India'),
(12169, '49.50.128.0', '49.50.191.255', 825393152, 825409535, 'KR', 'Korea, Republic of'),
(12170, '49.50.192.0', '49.50.231.255', 825409536, 825419775, 'NZ', 'New Zealand'),
(12171, '49.50.232.0', '49.50.235.255', 825419776, 825420799, 'TH', 'Thailand'),
(12172, '49.50.236.0', '49.50.239.255', 825420800, 825421823, 'MY', 'Malaysia'),
(12173, '49.50.240.0', '49.50.255.255', 825421824, 825425919, 'NZ', 'New Zealand'),
(12174, '49.51.0.0', '49.55.255.255', 825425920, 825753599, 'CN', 'China'),
(12175, '49.56.0.0', '49.63.255.255', 825753600, 826277887, 'KR', 'Korea, Republic of'),
(12176, '49.64.0.0', '49.95.255.255', 826277888, 828375039, 'CN', 'China'),
(12177, '49.96.0.0', '49.111.255.255', 828375040, 829423615, 'JP', 'Japan'),
(12178, '49.112.0.0', '49.123.255.255', 829423616, 830210047, 'CN', 'China'),
(12179, '49.124.0.0', '49.125.255.255', 830210048, 830341119, 'MY', 'Malaysia'),
(12180, '49.126.0.0', '49.126.255.255', 830341120, 830406655, 'NP', 'Nepal'),
(12181, '49.127.0.0', '49.127.255.255', 830406656, 830472191, 'AU', 'Australia'),
(12182, '49.128.0.0', '49.128.0.255', 830472192, 830472447, 'CN', 'China'),
(12183, '49.128.1.0', '49.128.1.255', 830472448, 830472703, 'AU', 'Australia'),
(12184, '49.128.2.0', '49.128.3.255', 830472704, 830473215, 'CN', 'China'),
(12185, '49.128.8.0', '49.128.11.255', 830474240, 830475263, 'SG', 'Singapore'),
(12186, '49.128.12.0', '49.128.15.255', 830475264, 830476287, 'AU', 'Australia'),
(12187, '49.128.16.0', '49.128.31.255', 830476288, 830480383, 'JP', 'Japan'),
(12188, '49.128.32.0', '49.128.63.255', 830480384, 830488575, 'SG', 'Singapore'),
(12189, '49.128.64.0', '49.128.95.255', 830488576, 830496767, 'TW', 'Taiwan'),
(12190, '49.128.96.0', '49.128.103.255', 830496768, 830498815, 'JP', 'Japan'),
(12191, '49.128.104.0', '49.128.107.255', 830498816, 830499839, 'GU', 'Guam'),
(12192, '49.128.108.0', '49.128.111.255', 830499840, 830500863, 'IN', 'India'),
(12193, '49.128.112.0', '49.128.127.255', 830500864, 830504959, 'TW', 'Taiwan'),
(12194, '49.128.128.0', '49.128.159.255', 830504960, 830513151, 'JP', 'Japan'),
(12195, '49.128.160.0', '49.128.175.255', 830513152, 830517247, 'IN', 'India'),
(12196, '49.128.176.0', '49.128.191.255', 830517248, 830521343, 'ID', 'Indonesia'),
(12197, '49.128.192.0', '49.128.223.255', 830521344, 830529535, 'KR', 'Korea, Republic of'),
(12198, '49.128.224.0', '49.128.255.255', 830529536, 830537727, 'AU', 'Australia'),
(12199, '49.129.0.0', '49.129.255.255', 830537728, 830603263, 'JP', 'Japan'),
(12200, '49.130.0.0', '49.131.255.255', 830603264, 830734335, 'HK', 'Hong Kong'),
(12201, '49.132.0.0', '49.135.255.255', 830734336, 830996479, 'JP', 'Japan'),
(12202, '49.136.0.0', '49.139.255.255', 830996480, 831258623, 'IN', 'India'),
(12203, '49.140.0.0', '49.141.255.255', 831258624, 831389695, 'CN', 'China'),
(12204, '49.142.0.0', '49.143.223.255', 831389696, 831512575, 'KR', 'Korea, Republic of'),
(12205, '49.143.224.0', '49.143.227.255', 831512576, 831513599, 'AU', 'Australia'),
(12206, '49.143.228.0', '49.143.231.255', 831513600, 831514623, 'NZ', 'New Zealand'),
(12207, '49.143.232.0', '49.143.233.7', 831514624, 831514887, 'HK', 'Hong Kong'),
(12208, '49.143.233.8', '49.143.233.15', 831514888, 831514895, 'AU', 'Australia'),
(12209, '49.143.233.16', '49.143.235.255', 831514896, 831515647, 'HK', 'Hong Kong'),
(12210, '49.143.236.0', '49.143.239.255', 831515648, 831516671, 'AU', 'Australia'),
(12211, '49.143.240.0', '49.143.247.255', 831516672, 831518719, 'JP', 'Japan'),
(12212, '49.143.248.0', '49.143.251.255', 831518720, 831519743, 'AU', 'Australia'),
(12213, '49.143.252.0', '49.143.255.255', 831519744, 831520767, 'IN', 'India'),
(12214, '49.144.0.0', '49.151.255.255', 831520768, 832045055, 'PH', 'Philippines'),
(12215, '49.152.0.0', '49.155.255.255', 832045056, 832307199, 'CN', 'China'),
(12216, '49.156.0.0', '49.156.3.255', 832307200, 832308223, 'MN', 'Mongolia'),
(12217, '49.156.4.0', '49.156.15.255', 832308224, 832311295, 'JP', 'Japan'),
(12218, '49.156.16.0', '49.156.19.255', 832311296, 832312319, 'AU', 'Australia'),
(12219, '49.156.20.0', '49.156.23.255', 832312320, 832313343, 'ID', 'Indonesia'),
(12220, '49.156.24.0', '49.156.31.255', 832313344, 832315391, 'AU', 'Australia'),
(12221, '49.156.32.0', '49.156.47.255', 832315392, 832319487, 'KH', 'Cambodia'),
(12222, '49.156.48.0', '49.156.51.255', 832319488, 832320511, 'NU', 'Niue'),
(12223, '49.156.52.0', '49.156.55.255', 832320512, 832321535, 'VN', 'Vietnam'),
(12224, '49.156.56.0', '49.156.63.255', 832321536, 832323583, 'ID', 'Indonesia'),
(12225, '49.156.64.0', '49.156.159.255', 832323584, 832348159, 'IN', 'India'),
(12226, '49.156.160.0', '49.156.255.255', 832348160, 832372735, 'JP', 'Japan'),
(12227, '49.157.0.0', '49.157.255.255', 832372736, 832438271, 'PH', 'Philippines'),
(12228, '49.158.0.0', '49.159.255.255', 832438272, 832569343, 'TW', 'Taiwan'),
(12229, '49.160.0.0', '49.175.255.255', 832569344, 833617919, 'KR', 'Korea, Republic of'),
(12230, '49.176.0.0', '49.199.255.255', 833617920, 835190783, 'AU', 'Australia'),
(12231, '49.200.0.0', '49.207.255.255', 835190784, 835715071, 'IN', 'India'),
(12232, '49.208.0.0', '49.211.255.255', 835715072, 835977215, 'CN', 'China'),
(12233, '49.212.0.0', '49.212.255.255', 835977216, 836042751, 'JP', 'Japan'),
(12234, '49.213.0.0', '49.213.15.255', 836042752, 836046847, 'HK', 'Hong Kong'),
(12235, '49.213.16.0', '49.213.31.255', 836046848, 836050943, 'AU', 'Australia'),
(12236, '49.213.32.0', '49.213.63.255', 836050944, 836059135, 'IN', 'India'),
(12237, '49.213.64.0', '49.213.127.255', 836059136, 836075519, 'VN', 'Vietnam'),
(12238, '49.213.128.0', '49.219.255.255', 836075520, 836501503, 'TW', 'Taiwan'),
(12239, '49.220.0.0', '49.223.255.255', 836501504, 836763647, 'CN', 'China'),
(12240, '49.224.0.0', '49.227.255.255', 836763648, 837025791, 'NZ', 'New Zealand'),
(12241, '49.228.0.0', '49.231.255.255', 837025792, 837287935, 'TH', 'Thailand'),
(12242, '49.232.0.0', '49.235.255.255', 837287936, 837550079, 'CN', 'China'),
(12243, '49.236.0.0', '49.236.63.255', 837550080, 837566463, 'IN', 'India'),
(12244, '49.236.64.0', '49.236.191.255', 837566464, 837599231, 'KR', 'Korea, Republic of'),
(12245, '49.236.192.0', '49.236.207.255', 837599232, 837603327, 'MY', 'Malaysia'),
(12246, '49.236.208.0', '49.236.211.255', 837603328, 837604351, 'VN', 'Vietnam'),
(12247, '49.236.212.0', '49.236.215.255', 837604352, 837605375, 'NP', 'Nepal'),
(12248, '49.236.216.0', '49.236.223.255', 837605376, 837607423, 'ID', 'Indonesia'),
(12249, '49.236.224.0', '49.236.239.255', 837607424, 837611519, 'JP', 'Japan'),
(12250, '49.236.240.0', '49.236.255.255', 837611520, 837615615, 'AU', 'Australia'),
(12251, '49.237.0.0', '49.237.255.255', 837615616, 837681151, 'TH', 'Thailand'),
(12252, '49.238.0.0', '49.238.31.255', 837681152, 837689343, 'JP', 'Japan'),
(12253, '49.238.32.0', '49.238.63.255', 837689344, 837697535, 'IN', 'India'),
(12254, '49.238.64.0', '49.238.255.255', 837697536, 837746687, 'KR', 'Korea, Republic of'),
(12255, '49.239.0.0', '49.239.63.255', 837746688, 837763071, 'CN', 'China'),
(12256, '49.239.64.0', '49.239.127.255', 837763072, 837779455, 'JP', 'Japan'),
(12257, '49.239.128.0', '49.239.191.255', 837779456, 837795839, 'KR', 'Korea, Republic of'),
(12258, '49.239.192.0', '49.239.255.255', 837795840, 837812223, 'CN', 'China'),
(12259, '49.240.0.0', '49.243.255.255', 837812224, 838074367, 'JP', 'Japan'),
(12260, '49.244.0.0', '49.244.255.255', 838074368, 838139903, 'NP', 'Nepal'),
(12261, '49.245.0.0', '49.245.255.255', 838139904, 838205439, 'SG', 'Singapore'),
(12262, '49.246.0.0', '49.246.127.255', 838205440, 838238207, 'KR', 'Korea, Republic of'),
(12263, '49.246.128.0', '49.246.223.255', 838238208, 838262783, 'VN', 'Vietnam'),
(12264, '49.246.224.0', '49.246.255.255', 838262784, 838270975, 'CN', 'China'),
(12265, '49.247.0.0', '49.247.255.255', 838270976, 838336511, 'KR', 'Korea, Republic of'),
(12266, '49.248.0.0', '49.249.255.255', 838336512, 838467583, 'IN', 'India'),
(12267, '49.250.0.0', '49.253.255.255', 838467584, 838729727, 'JP', 'Japan'),
(12268, '49.254.0.0', '49.254.255.255', 838729728, 838795263, 'KR', 'Korea, Republic of'),
(12269, '49.255.0.0', '49.255.255.255', 838795264, 838860799, 'AU', 'Australia'),
(12270, '50.0.0.0', '50.2.27.255', 838860800, 838999039, 'US', 'United States'),
(12271, '50.2.28.0', '50.2.28.255', 838999040, 838999295, 'CA', 'Canada'),
(12272, '50.2.29.0', '50.2.52.31', 838999296, 839005215, 'US', 'United States'),
(12273, '50.2.52.32', '50.2.52.96', 839005216, 839005280, 'CA', 'Canada'),
(12274, '50.2.52.97', '50.2.72.255', 839005281, 839010559, 'US', 'United States'),
(12275, '50.2.73.0', '50.2.73.255', 839010560, 839010815, 'CA', 'Canada'),
(12276, '50.2.74.0', '50.2.94.255', 839010816, 839016191, 'US', 'United States'),
(12277, '50.2.95.0', '50.2.95.255', 839016192, 839016447, 'CA', 'Canada'),
(12278, '50.2.96.0', '50.2.234.255', 839016448, 839052031, 'US', 'United States'),
(12279, '50.2.235.0', '50.2.235.255', 839052032, 839052287, 'CA', 'Canada'),
(12280, '50.2.236.0', '50.2.242.255', 839052288, 839054079, 'US', 'United States'),
(12281, '50.2.243.0', '50.2.243.255', 839054080, 839054335, 'CA', 'Canada'),
(12282, '50.2.244.0', '50.2.248.255', 839054336, 839055615, 'US', 'United States'),
(12283, '50.2.249.0', '50.2.249.255', 839055616, 839055871, 'CA', 'Canada'),
(12284, '50.2.250.0', '50.2.253.255', 839055872, 839056895, 'US', 'United States'),
(12285, '50.2.254.0', '50.2.254.255', 839056896, 839057151, 'CA', 'Canada'),
(12286, '50.2.255.0', '50.3.15.255', 839057152, 839061503, 'US', 'United States'),
(12287, '50.3.16.0', '50.3.16.255', 839061504, 839061759, 'CA', 'Canada'),
(12288, '50.3.17.0', '50.3.18.255', 839061760, 839062271, 'US', 'United States'),
(12289, '50.3.19.0', '50.3.25.255', 839062272, 839064063, 'CA', 'Canada'),
(12290, '50.3.26.0', '50.3.45.255', 839064064, 839069183, 'US', 'United States'),
(12291, '50.3.46.0', '50.3.53.255', 839069184, 839071231, 'CA', 'Canada'),
(12292, '50.3.54.0', '50.3.57.255', 839071232, 839072255, 'US', 'United States'),
(12293, '50.3.58.0', '50.3.65.255', 839072256, 839074303, 'CA', 'Canada'),
(12294, '50.3.66.0', '50.3.149.255', 839074304, 839095807, 'US', 'United States'),
(12295, '50.3.150.0', '50.3.150.255', 839095808, 839096063, 'CA', 'Canada'),
(12296, '50.3.151.0', '50.3.172.255', 839096064, 839101695, 'US', 'United States'),
(12297, '50.3.173.0', '50.3.174.255', 839101696, 839102207, 'CA', 'Canada'),
(12298, '50.3.175.0', '50.3.178.255', 839102208, 839103231, 'US', 'United States'),
(12299, '50.3.179.0', '50.3.179.255', 839103232, 839103487, 'CA', 'Canada'),
(12300, '50.3.180.0', '50.3.182.255', 839103488, 839104255, 'US', 'United States'),
(12301, '50.3.183.0', '50.3.183.255', 839104256, 839104511, 'CA', 'Canada'),
(12302, '50.3.184.0', '50.3.213.255', 839104512, 839112191, 'US', 'United States'),
(12303, '50.3.214.0', '50.3.215.255', 839112192, 839112703, 'CA', 'Canada'),
(12304, '50.3.216.0', '50.3.217.255', 839112704, 839113215, 'US', 'United States'),
(12305, '50.3.218.0', '50.3.218.255', 839113216, 839113471, 'CA', 'Canada'),
(12306, '50.3.219.0', '50.3.253.255', 839113472, 839122431, 'US', 'United States'),
(12307, '50.3.254.0', '50.3.254.63', 839122432, 839122495, 'CA', 'Canada'),
(12308, '50.3.254.64', '50.7.191.255', 839122496, 839368703, 'US', 'United States'),
(12309, '50.7.192.0', '50.7.255.255', 839368704, 839385087, 'CZ', 'Czech Republic'),
(12310, '50.8.0.0', '50.19.217.59', 839385088, 840161595, 'US', 'United States'),
(12311, '50.19.217.60', '50.19.217.60', 840161596, 840161596, 'A1', 'Anonymous Proxy'),
(12312, '50.19.217.61', '50.21.127.255', 840161597, 840269823, 'US', 'United States'),
(12313, '50.21.128.0', '50.21.143.255', 840269824, 840273919, 'CA', 'Canada'),
(12314, '50.21.144.0', '50.21.159.255', 840273920, 840278015, 'US', 'United States'),
(12315, '50.21.160.0', '50.21.175.255', 840278016, 840282111, 'CA', 'Canada'),
(12316, '50.21.176.0', '50.21.223.255', 840282112, 840294399, 'US', 'United States'),
(12317, '50.21.224.0', '50.21.239.255', 840294400, 840298495, 'CA', 'Canada'),
(12318, '50.21.240.0', '50.56.0.79', 840298496, 842530895, 'US', 'United States'),
(12319, '50.56.0.80', '50.56.0.87', 842530896, 842530903, 'IL', 'Israel'),
(12320, '50.56.0.88', '50.56.2.115', 842530904, 842531443, 'US', 'United States'),
(12321, '50.56.2.116', '50.56.2.119', 842531444, 842531447, 'GB', 'United Kingdom'),
(12322, '50.56.2.120', '50.56.2.191', 842531448, 842531519, 'US', 'United States'),
(12323, '50.56.2.192', '50.56.2.195', 842531520, 842531523, 'MX', 'Mexico'),
(12324, '50.56.2.196', '50.56.3.19', 842531524, 842531603, 'US', 'United States'),
(12325, '50.56.3.20', '50.56.3.21', 842531604, 842531605, 'ES', 'Spain'),
(12326, '50.56.3.22', '50.56.3.75', 842531606, 842531659, 'US', 'United States'),
(12327, '50.56.3.76', '50.56.3.77', 842531660, 842531661, 'IN', 'India'),
(12328, '50.56.3.78', '50.56.11.47', 842531662, 842533679, 'US', 'United States'),
(12329, '50.56.11.48', '50.56.11.51', 842533680, 842533683, 'BR', 'Brazil'),
(12330, '50.56.11.52', '50.56.13.107', 842533684, 842534251, 'US', 'United States'),
(12331, '50.56.13.108', '50.56.13.111', 842534252, 842534255, 'NO', 'Norway'),
(12332, '50.56.13.112', '50.56.13.191', 842534256, 842534335, 'US', 'United States'),
(12333, '50.56.13.192', '50.56.13.195', 842534336, 842534339, 'ES', 'Spain'),
(12334, '50.56.13.196', '50.56.42.125', 842534340, 842541693, 'US', 'United States'),
(12335, '50.56.42.126', '50.56.42.127', 842541694, 842541695, 'ZA', 'South Africa'),
(12336, '50.56.42.128', '50.56.42.155', 842541696, 842541723, 'US', 'United States'),
(12337, '50.56.42.156', '50.56.42.157', 842541724, 842541725, 'CA', 'Canada'),
(12338, '50.56.42.158', '50.56.45.63', 842541726, 842542399, 'US', 'United States'),
(12339, '50.56.45.64', '50.56.45.71', 842542400, 842542407, 'NZ', 'New Zealand'),
(12340, '50.56.45.72', '50.56.45.79', 842542408, 842542415, 'US', 'United States'),
(12341, '50.56.45.80', '50.56.45.87', 842542416, 842542423, 'NZ', 'New Zealand'),
(12342, '50.56.45.88', '50.56.45.95', 842542424, 842542431, 'JO', 'Jordan'),
(12343, '50.56.45.96', '50.56.133.33', 842542432, 842564897, 'US', 'United States'),
(12344, '50.56.133.34', '50.56.133.35', 842564898, 842564899, 'ES', 'Spain'),
(12345, '50.56.133.36', '50.56.133.69', 842564900, 842564933, 'US', 'United States'),
(12346, '50.56.133.70', '50.56.133.71', 842564934, 842564935, 'CA', 'Canada'),
(12347, '50.56.133.72', '50.56.137.87', 842564936, 842565975, 'US', 'United States'),
(12348, '50.56.137.88', '50.56.137.91', 842565976, 842565979, 'AU', 'Australia'),
(12349, '50.56.137.92', '50.56.137.127', 842565980, 842566015, 'US', 'United States'),
(12350, '50.56.137.128', '50.56.137.131', 842566016, 842566019, 'BR', 'Brazil'),
(12351, '50.56.137.132', '50.56.160.115', 842566020, 842571891, 'US', 'United States'),
(12352, '50.56.160.116', '50.56.160.119', 842571892, 842571895, 'IN', 'India'),
(12353, '50.56.160.120', '50.56.161.183', 842571896, 842572215, 'US', 'United States'),
(12354, '50.56.161.184', '50.56.161.187', 842572216, 842572219, 'CA', 'Canada'),
(12355, '50.56.161.188', '50.57.5.7', 842572220, 842597639, 'US', 'United States'),
(12356, '50.57.5.8', '50.57.5.15', 842597640, 842597647, 'GT', 'Guatemala'),
(12357, '50.57.5.16', '50.57.5.127', 842597648, 842597759, 'US', 'United States'),
(12358, '50.57.5.128', '50.57.5.135', 842597760, 842597767, 'CA', 'Canada'),
(12359, '50.57.5.136', '50.57.9.47', 842597768, 842598703, 'US', 'United States'),
(12360, '50.57.9.48', '50.57.9.63', 842598704, 842598719, 'CZ', 'Czech Republic'),
(12361, '50.57.9.64', '50.57.14.143', 842598720, 842600079, 'US', 'United States'),
(12362, '50.57.14.144', '50.57.14.151', 842600080, 842600087, 'GB', 'United Kingdom'),
(12363, '50.57.14.152', '50.57.20.135', 842600088, 842601607, 'US', 'United States'),
(12364, '50.57.20.136', '50.57.20.143', 842601608, 842601615, 'AR', 'Argentina'),
(12365, '50.57.20.144', '50.57.23.183', 842601616, 842602423, 'US', 'United States'),
(12366, '50.57.23.184', '50.57.23.191', 842602424, 842602431, 'IN', 'India'),
(12367, '50.57.23.192', '50.57.213.239', 842602432, 842651119, 'US', 'United States'),
(12368, '50.57.213.240', '50.57.213.247', 842651120, 842651127, 'MX', 'Mexico'),
(12369, '50.57.213.248', '50.63.255.255', 842651128, 843055103, 'US', 'United States'),
(12370, '50.64.0.0', '50.72.255.255', 843055104, 843644927, 'CA', 'Canada'),
(12371, '50.73.0.0', '50.91.255.255', 843644928, 844890111, 'US', 'United States'),
(12372, '50.92.0.0', '50.93.127.255', 844890112, 844988415, 'CA', 'Canada'),
(12373, '50.93.128.0', '50.95.10.127', 844988416, 845089407, 'US', 'United States'),
(12374, '50.95.10.128', '50.95.10.255', 845089408, 845089535, 'PR', 'Puerto Rico'),
(12375, '50.95.11.0', '50.97.255.255', 845089536, 845283327, 'US', 'United States'),
(12376, '50.98.0.0', '50.101.255.255', 845283328, 845545471, 'CA', 'Canada'),
(12377, '50.102.0.0', '50.115.175.255', 845545472, 846442495, 'US', 'United States'),
(12378, '50.115.176.0', '50.115.191.255', 846442496, 846446591, 'CA', 'Canada'),
(12379, '50.115.192.0', '50.117.35.255', 846446592, 846537727, 'US', 'United States'),
(12380, '50.117.36.0', '50.117.36.255', 846537728, 846537983, 'A1', 'Anonymous Proxy'),
(12381, '50.117.37.0', '50.117.127.255', 846537984, 846561279, 'US', 'United States'),
(12382, '50.117.128.0', '50.117.255.255', 846561280, 846594047, 'CA', 'Canada'),
(12383, '50.118.0.0', '50.118.127.255', 846594048, 846626815, 'US', 'United States'),
(12384, '50.118.128.0', '50.118.128.255', 846626816, 846627071, 'CN', 'China'),
(12385, '50.118.129.0', '50.255.255.255', 846627072, 855638015, 'US', 'United States'),
(12386, '51.0.0.0', '51.255.255.255', 855638016, 872415231, 'GB', 'United Kingdom'),
(12387, '52.0.0.0', '52.129.31.255', 872415232, 880877567, 'US', 'United States'),
(12388, '52.129.32.0', '52.129.33.255', 880877568, 880878079, 'EU', 'Europe'),
(12389, '52.129.34.0', '52.159.30.201', 880878080, 882843337, 'US', 'United States'),
(12390, '52.159.30.202', '52.159.30.203', 882843338, 882843339, 'EU', 'Europe'),
(12391, '52.159.30.204', '52.159.32.103', 882843340, 882843751, 'US', 'United States'),
(12392, '52.159.32.104', '52.159.32.105', 882843752, 882843753, 'EU', 'Europe'),
(12393, '52.159.32.106', '52.159.64.102', 882843754, 882851942, 'US', 'United States'),
(12394, '52.159.64.103', '52.159.64.103', 882851943, 882851943, 'EU', 'Europe'),
(12395, '52.159.64.104', '52.255.255.255', 882851944, 889192447, 'US', 'United States'),
(12396, '53.0.0.0', '53.122.196.38', 889192448, 897238054, 'DE', 'Germany'),
(12397, '53.122.196.39', '53.122.196.39', 897238055, 897238055, 'EU', 'Europe'),
(12398, '53.122.196.40', '53.255.255.255', 897238056, 905969663, 'DE', 'Germany'),
(12399, '54.0.0.0', '54.246.255.255', 905969664, 922157055, 'US', 'United States'),
(12400, '54.247.0.0', '54.247.255.255', 922157056, 922222591, 'IE', 'Ireland'),
(12401, '54.248.0.0', '56.255.255.255', 922222592, 956301311, 'US', 'United States'),
(12402, '57.0.0.0', '57.47.255.255', 956301312, 959447039, 'EU', 'Europe'),
(12403, '57.48.0.0', '57.48.255.255', 959447040, 959512575, 'US', 'United States'),
(12404, '57.49.0.0', '57.66.11.3', 959512576, 960629507, 'EU', 'Europe'),
(12405, '57.66.11.4', '57.66.11.4', 960629508, 960629508, 'GB', 'United Kingdom'),
(12406, '57.66.11.5', '57.66.55.1', 960629509, 960640769, 'EU', 'Europe'),
(12407, '57.66.55.2', '57.66.55.2', 960640770, 960640770, 'GB', 'United Kingdom'),
(12408, '57.66.55.3', '57.66.65.37', 960640771, 960643365, 'EU', 'Europe'),
(12409, '57.66.65.38', '57.66.65.39', 960643366, 960643367, 'GB', 'United Kingdom'),
(12410, '57.66.65.40', '57.66.194.255', 960643368, 960676607, 'EU', 'Europe'),
(12411, '57.66.195.0', '57.66.195.255', 960676608, 960676863, 'PL', 'Poland'),
(12412, '57.66.196.0', '57.66.255.255', 960676864, 960692223, 'EU', 'Europe'),
(12413, '57.67.0.0', '57.67.127.255', 960692224, 960724991, 'FR', 'France'),
(12414, '57.67.128.0', '57.67.134.255', 960724992, 960726783, 'EU', 'Europe'),
(12415, '57.67.135.0', '57.67.135.255', 960726784, 960727039, 'ZA', 'South Africa'),
(12416, '57.67.136.0', '57.67.136.255', 960727040, 960727295, 'US', 'United States'),
(12417, '57.67.137.0', '57.67.144.255', 960727296, 960729343, 'EU', 'Europe'),
(12418, '57.67.145.0', '57.67.145.255', 960729344, 960729599, 'ZA', 'South Africa'),
(12419, '57.67.146.0', '57.67.191.255', 960729600, 960741375, 'EU', 'Europe'),
(12420, '57.67.192.0', '57.67.223.255', 960741376, 960749567, 'NL', 'Netherlands'),
(12421, '57.67.224.0', '57.67.255.255', 960749568, 960757759, 'LU', 'Luxembourg'),
(12422, '57.68.0.0', '57.69.255.255', 960757760, 960888831, 'US', 'United States'),
(12423, '57.70.0.0', '57.70.127.255', 960888832, 960921599, 'AU', 'Australia'),
(12424, '57.70.128.0', '57.70.159.255', 960921600, 960929791, 'NZ', 'New Zealand'),
(12425, '57.70.160.0', '57.70.255.255', 960929792, 960954367, 'AU', 'Australia'),
(12426, '57.71.0.0', '57.71.255.255', 960954368, 961019903, 'EU', 'Europe'),
(12427, '57.72.0.0', '57.72.5.255', 961019904, 961021439, 'HK', 'Hong Kong'),
(12428, '57.72.6.0', '57.72.6.255', 961021440, 961021695, 'A2', 'Satellite Provider'),
(12429, '57.72.7.0', '57.72.7.255', 961021696, 961021951, 'HK', 'Hong Kong'),
(12430, '57.72.8.0', '57.72.8.127', 961021952, 961022079, 'AP', 'Asia/Pacific Region'),
(12431, '57.72.8.128', '57.72.8.143', 961022080, 961022095, 'SG', 'Singapore'),
(12432, '57.72.8.144', '57.72.8.255', 961022096, 961022207, 'AP', 'Asia/Pacific Region'),
(12433, '57.72.9.0', '57.72.10.255', 961022208, 961022719, 'HK', 'Hong Kong'),
(12434, '57.72.11.0', '57.72.11.255', 961022720, 961022975, 'AP', 'Asia/Pacific Region'),
(12435, '57.72.12.0', '57.72.21.255', 961022976, 961025535, 'HK', 'Hong Kong'),
(12436, '57.72.22.0', '57.72.22.255', 961025536, 961025791, 'AP', 'Asia/Pacific Region'),
(12437, '57.72.23.0', '57.72.65.255', 961025792, 961036799, 'HK', 'Hong Kong'),
(12438, '57.72.66.0', '57.72.66.255', 961036800, 961037055, 'AP', 'Asia/Pacific Region'),
(12439, '57.72.67.0', '57.72.127.255', 961037056, 961052671, 'HK', 'Hong Kong'),
(12440, '57.72.128.0', '57.72.255.255', 961052672, 961085439, 'JP', 'Japan'),
(12441, '57.73.0.0', '57.73.6.255', 961085440, 961087231, 'SG', 'Singapore'),
(12442, '57.73.7.0', '57.73.7.255', 961087232, 961087487, 'AP', 'Asia/Pacific Region'),
(12443, '57.73.8.0', '57.73.13.255', 961087488, 961089023, 'SG', 'Singapore'),
(12444, '57.73.14.0', '57.73.15.255', 961089024, 961089535, 'AP', 'Asia/Pacific Region'),
(12445, '57.73.16.0', '57.73.17.255', 961089536, 961090047, 'SG', 'Singapore'),
(12446, '57.73.18.0', '57.73.18.255', 961090048, 961090303, 'AP', 'Asia/Pacific Region'),
(12447, '57.73.19.0', '57.73.24.255', 961090304, 961091839, 'SG', 'Singapore'),
(12448, '57.73.25.0', '57.73.25.255', 961091840, 961092095, 'AP', 'Asia/Pacific Region'),
(12449, '57.73.26.0', '57.73.26.255', 961092096, 961092351, 'IN', 'India'),
(12450, '57.73.27.0', '57.73.27.255', 961092352, 961092607, 'AP', 'Asia/Pacific Region'),
(12451, '57.73.28.0', '57.73.32.255', 961092608, 961093887, 'SG', 'Singapore'),
(12452, '57.73.33.0', '57.73.33.255', 961093888, 961094143, 'AP', 'Asia/Pacific Region'),
(12453, '57.73.34.0', '57.73.127.255', 961094144, 961118207, 'SG', 'Singapore'),
(12454, '57.73.128.0', '57.73.132.255', 961118208, 961119487, 'MY', 'Malaysia'),
(12455, '57.73.133.0', '57.73.133.255', 961119488, 961119743, 'AP', 'Asia/Pacific Region'),
(12456, '57.73.134.0', '57.73.159.255', 961119744, 961126399, 'MY', 'Malaysia'),
(12457, '57.73.160.0', '57.73.191.255', 961126400, 961134591, 'TW', 'Taiwan'),
(12458, '57.73.192.0', '57.73.223.255', 961134592, 961142783, 'KR', 'Korea, Republic of'),
(12459, '57.73.224.0', '57.73.255.255', 961142784, 961150975, 'KP', 'Korea, Democratic People''s Republic of'),
(12460, '57.74.0.0', '57.74.127.255', 961150976, 961183743, 'BR', 'Brazil'),
(12461, '57.74.128.0', '57.74.159.255', 961183744, 961191935, 'AR', 'Argentina'),
(12462, '57.74.160.0', '57.74.191.255', 961191936, 961200127, 'CL', 'Chile'),
(12463, '57.74.192.0', '57.74.223.255', 961200128, 961208319, 'CO', 'Colombia'),
(12464, '57.74.224.0', '57.74.255.255', 961208320, 961216511, 'VE', 'Venezuela'),
(12465, '57.75.0.0', '57.75.31.255', 961216512, 961224703, 'PE', 'Peru'),
(12466, '57.75.32.0', '57.75.127.255', 961224704, 961249279, 'EU', 'Europe'),
(12467, '57.75.128.0', '57.75.143.255', 961249280, 961253375, 'GT', 'Guatemala'),
(12468, '57.75.144.0', '57.75.191.255', 961253376, 961265663, 'EU', 'Europe'),
(12469, '57.75.192.0', '57.75.207.255', 961265664, 961269759, 'SV', 'El Salvador'),
(12470, '57.75.208.0', '57.75.255.255', 961269760, 961282047, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(12471, '57.76.0.0', '57.76.127.255', 961282048, 961314815, 'MX', 'Mexico'),
(12472, '57.76.128.0', '57.77.127.255', 961314816, 961380351, 'US', 'United States'),
(12473, '57.77.128.0', '57.77.255.255', 961380352, 961413119, 'CA', 'Canada'),
(12474, '57.78.0.0', '57.78.127.255', 961413120, 961445887, 'IT', 'Italy'),
(12475, '57.78.128.0', '57.78.255.255', 961445888, 961478655, 'ES', 'Spain'),
(12476, '57.79.0.0', '57.79.127.255', 961478656, 961511423, 'CH', 'Switzerland'),
(12477, '57.79.128.0', '57.79.159.255', 961511424, 961519615, 'PT', 'Portugal'),
(12478, '57.79.160.0', '57.79.191.255', 961519616, 961527807, 'EU', 'Europe'),
(12479, '57.79.192.0', '57.79.207.255', 961527808, 961531903, 'MC', 'Monaco'),
(12480, '57.79.208.0', '57.79.223.255', 961531904, 961535999, 'SM', 'San Marino'),
(12481, '57.79.224.0', '57.79.239.255', 961536000, 961540095, 'VA', 'Holy See (Vatican City State)'),
(12482, '57.79.240.0', '57.79.255.255', 961540096, 961544191, 'EU', 'Europe'),
(12483, '57.80.0.0', '57.81.255.255', 961544192, 961675263, 'US', 'United States'),
(12484, '57.82.0.0', '57.82.255.255', 961675264, 961740799, 'ZA', 'South Africa'),
(12485, '57.83.0.0', '57.83.255.255', 961740800, 961806335, 'EU', 'Europe'),
(12486, '57.84.0.0', '57.84.15.255', 961806336, 961810431, 'MR', 'Mauritania'),
(12487, '57.84.16.0', '57.84.79.255', 961810432, 961826815, 'EU', 'Europe'),
(12488, '57.84.80.0', '57.84.95.255', 961826816, 961830911, 'NE', 'Niger'),
(12489, '57.84.96.0', '57.85.79.255', 961830912, 961892351, 'EU', 'Europe'),
(12490, '57.85.80.0', '57.85.95.255', 961892352, 961896447, 'ZW', 'Zimbabwe'),
(12491, '57.85.96.0', '57.85.111.255', 961896448, 961900543, 'NG', 'Nigeria'),
(12492, '57.85.112.0', '57.85.255.255', 961900544, 961937407, 'EU', 'Europe'),
(12493, '57.86.0.0', '57.86.31.255', 961937408, 961945599, 'IS', 'Iceland'),
(12494, '57.86.32.0', '57.86.50.255', 961945600, 961950463, 'FI', 'Finland'),
(12495, '57.86.51.0', '57.86.51.255', 961950464, 961950719, 'EU', 'Europe'),
(12496, '57.86.52.0', '57.86.63.255', 961950720, 961953791, 'FI', 'Finland'),
(12497, '57.86.64.0', '57.86.95.255', 961953792, 961961983, 'DK', 'Denmark'),
(12498, '57.86.96.0', '57.86.127.255', 961961984, 961970175, 'NO', 'Norway'),
(12499, '57.86.128.0', '57.86.132.255', 961970176, 961971455, 'SE', 'Sweden'),
(12500, '57.86.133.0', '57.86.133.255', 961971456, 961971711, 'EU', 'Europe'),
(12501, '57.86.134.0', '57.86.255.255', 961971712, 962002943, 'SE', 'Sweden'),
(12502, '57.87.0.0', '57.87.127.255', 962002944, 962035711, 'RU', 'Russian Federation'),
(12503, '57.87.128.0', '57.87.143.255', 962035712, 962039807, 'EE', 'Estonia'),
(12504, '57.87.144.0', '57.87.159.255', 962039808, 962043903, 'LV', 'Latvia'),
(12505, '57.87.160.0', '57.87.175.255', 962043904, 962047999, 'LT', 'Lithuania'),
(12506, '57.87.176.0', '57.88.31.255', 962048000, 962076671, 'EU', 'Europe'),
(12507, '57.88.32.0', '57.88.47.255', 962076672, 962080767, 'BH', 'Bahrain'),
(12508, '57.88.48.0', '57.88.63.255', 962080768, 962084863, 'EU', 'Europe'),
(12509, '57.88.64.0', '57.88.79.255', 962084864, 962088959, 'GE', 'Georgia'),
(12510, '57.88.80.0', '57.88.111.255', 962088960, 962097151, 'EU', 'Europe'),
(12511, '57.88.112.0', '57.88.127.255', 962097152, 962101247, 'IL', 'Israel'),
(12512, '57.88.128.0', '57.88.255.255', 962101248, 962134015, 'EU', 'Europe'),
(12513, '57.89.0.0', '57.89.15.255', 962134016, 962138111, 'AE', 'United Arab Emirates'),
(12514, '57.89.16.0', '57.90.15.255', 962138112, 962203647, 'EU', 'Europe'),
(12515, '57.90.16.0', '57.90.32.255', 962203648, 962207999, 'AT', 'Austria'),
(12516, '57.90.33.0', '57.90.33.255', 962208000, 962208255, 'EU', 'Europe'),
(12517, '57.90.34.0', '57.90.47.255', 962208256, 962211839, 'AT', 'Austria'),
(12518, '57.90.48.0', '57.90.63.255', 962211840, 962215935, 'BG', 'Bulgaria'),
(12519, '57.90.64.0', '57.90.71.255', 962215936, 962217983, 'HR', 'Croatia'),
(12520, '57.90.72.0', '57.90.79.255', 962217984, 962220031, 'BA', 'Bosnia and Herzegovina'),
(12521, '57.90.80.0', '57.90.95.255', 962220032, 962224127, 'CZ', 'Czech Republic'),
(12522, '57.90.96.0', '57.90.111.255', 962224128, 962228223, 'GR', 'Greece'),
(12523, '57.90.112.0', '57.90.127.255', 962228224, 962232319, 'HU', 'Hungary'),
(12524, '57.90.128.0', '57.90.175.255', 962232320, 962244607, 'EU', 'Europe'),
(12525, '57.90.176.0', '57.90.191.255', 962244608, 962248703, 'RO', 'Romania'),
(12526, '57.90.192.0', '57.90.207.255', 962248704, 962252799, 'EU', 'Europe'),
(12527, '57.90.208.0', '57.90.223.255', 962252800, 962256895, 'SK', 'Slovakia'),
(12528, '57.90.224.0', '57.90.239.255', 962256896, 962260991, 'SI', 'Slovenia'),
(12529, '57.90.240.0', '57.90.255.255', 962260992, 962265087, 'TR', 'Turkey'),
(12530, '57.91.0.0', '57.91.63.255', 962265088, 962281471, 'EU', 'Europe'),
(12531, '57.91.64.0', '57.91.79.255', 962281472, 962285567, 'DO', 'Dominican Republic'),
(12532, '57.91.80.0', '57.92.111.255', 962285568, 962359295, 'EU', 'Europe'),
(12533, '57.92.112.0', '57.92.127.255', 962359296, 962363391, 'IN', 'India'),
(12534, '57.92.128.0', '57.92.239.255', 962363392, 962392063, 'EU', 'Europe'),
(12535, '57.92.240.0', '57.92.255.255', 962392064, 962396159, 'PK', 'Pakistan'),
(12536, '57.93.0.0', '57.93.47.255', 962396160, 962408447, 'EU', 'Europe'),
(12537, '57.93.48.0', '57.93.63.255', 962408448, 962412543, 'TH', 'Thailand'),
(12538, '57.93.64.0', '57.93.79.255', 962412544, 962416639, 'UZ', 'Uzbekistan'),
(12539, '57.93.80.0', '57.93.255.255', 962416640, 962461695, 'EU', 'Europe'),
(12540, '57.94.0.0', '57.94.31.255', 962461696, 962469887, 'IE', 'Ireland'),
(12541, '57.94.32.0', '57.94.255.255', 962469888, 962527231, 'TR', 'Turkey'),
(12542, '57.95.0.0', '57.255.255.255', 962527232, 973078527, 'EU', 'Europe'),
(12543, '58.0.0.0', '58.1.255.255', 973078528, 973209599, 'JP', 'Japan'),
(12544, '58.2.0.0', '58.2.255.255', 973209600, 973275135, 'IN', 'India'),
(12545, '58.3.0.0', '58.5.255.255', 973275136, 973471743, 'JP', 'Japan'),
(12546, '58.6.0.0', '58.7.255.255', 973471744, 973602815, 'AU', 'Australia'),
(12547, '58.8.0.0', '58.11.255.255', 973602816, 973864959, 'TH', 'Thailand'),
(12548, '58.12.0.0', '58.13.255.255', 973864960, 973996031, 'JP', 'Japan'),
(12549, '58.14.0.0', '58.25.255.255', 973996032, 974782463, 'CN', 'China'),
(12550, '58.26.0.0', '58.27.127.255', 974782464, 974880767, 'MY', 'Malaysia'),
(12551, '58.27.128.0', '58.27.255.255', 974880768, 974913535, 'PK', 'Pakistan'),
(12552, '58.28.0.0', '58.28.255.255', 974913536, 974979071, 'NZ', 'New Zealand'),
(12553, '58.29.0.0', '58.29.255.255', 974979072, 975044607, 'KR', 'Korea, Republic of'),
(12554, '58.30.0.0', '58.63.255.255', 975044608, 977272831, 'CN', 'China'),
(12555, '58.64.0.0', '58.64.127.255', 977272832, 977305599, 'TH', 'Thailand'),
(12556, '58.64.128.0', '58.64.255.255', 977305600, 977338367, 'HK', 'Hong Kong'),
(12557, '58.65.0.0', '58.65.31.255', 977338368, 977346559, 'SG', 'Singapore'),
(12558, '58.65.32.0', '58.65.63.255', 977346560, 977354751, 'JP', 'Japan'),
(12559, '58.65.64.0', '58.65.127.255', 977354752, 977371135, 'KR', 'Korea, Republic of'),
(12560, '58.65.128.0', '58.65.223.255', 977371136, 977395711, 'PK', 'Pakistan'),
(12561, '58.65.224.0', '58.65.231.255', 977395712, 977397759, 'BD', 'Bangladesh'),
(12562, '58.65.232.0', '58.65.239.255', 977397760, 977399807, 'CN', 'China'),
(12563, '58.65.240.0', '58.65.247.255', 977399808, 977401855, 'ID', 'Indonesia'),
(12564, '58.65.248.0', '58.65.255.255', 977401856, 977403903, 'AU', 'Australia'),
(12565, '58.66.0.0', '58.67.255.255', 977403904, 977534975, 'CN', 'China'),
(12566, '58.68.0.0', '58.68.127.255', 977534976, 977567743, 'IN', 'India'),
(12567, '58.68.128.0', '58.68.255.255', 977567744, 977600511, 'CN', 'China'),
(12568, '58.69.0.0', '58.69.255.255', 977600512, 977666047, 'PH', 'Philippines'),
(12569, '58.70.0.0', '58.70.255.255', 977666048, 977731583, 'JP', 'Japan'),
(12570, '58.71.0.0', '58.71.127.255', 977731584, 977764351, 'PH', 'Philippines'),
(12571, '58.71.128.0', '58.71.255.255', 977764352, 977797119, 'MY', 'Malaysia'),
(12572, '58.72.0.0', '58.79.255.255', 977797120, 978321407, 'KR', 'Korea, Republic of'),
(12573, '58.80.0.0', '58.81.255.255', 978321408, 978452479, 'JP', 'Japan'),
(12574, '58.82.0.0', '58.83.255.255', 978452480, 978583551, 'CN', 'China'),
(12575, '58.84.64.0', '58.84.223.255', 978599936, 978640895, 'AU', 'Australia'),
(12576, '58.84.224.0', '58.84.239.255', 978640896, 978644991, 'NZ', 'New Zealand'),
(12577, '58.84.240.0', '58.85.255.255', 978644992, 978714623, 'JP', 'Japan'),
(12578, '58.86.0.0', '58.86.255.255', 978714624, 978780159, 'TW', 'Taiwan'),
(12579, '58.87.0.0', '58.87.15.255', 978780160, 978784255, 'AU', 'Australia'),
(12580, '58.87.16.0', '58.87.31.255', 978784256, 978788351, 'JP', 'Japan'),
(12581, '58.87.32.0', '58.87.63.255', 978788352, 978796543, 'KR', 'Korea, Republic of'),
(12582, '58.87.64.0', '58.87.127.255', 978796544, 978812927, 'CN', 'China'),
(12583, '58.87.128.0', '58.89.239.255', 978812928, 978972671, 'JP', 'Japan'),
(12584, '58.89.240.0', '58.89.243.255', 978972672, 978973695, 'US', 'United States'),
(12585, '58.89.244.0', '58.95.255.255', 978973696, 979369983, 'JP', 'Japan'),
(12586, '58.96.0.0', '58.96.159.255', 979369984, 979410943, 'AU', 'Australia'),
(12587, '58.96.160.0', '58.96.191.255', 979410944, 979419135, 'HK', 'Hong Kong'),
(12588, '58.96.192.0', '58.96.255.255', 979419136, 979435519, 'AU', 'Australia'),
(12589, '58.97.0.0', '58.97.127.255', 979435520, 979468287, 'TH', 'Thailand'),
(12590, '58.97.128.0', '58.97.255.255', 979468288, 979501055, 'BD', 'Bangladesh'),
(12591, '58.98.0.0', '58.98.255.255', 979501056, 979566591, 'JP', 'Japan'),
(12592, '58.99.0.0', '58.99.127.255', 979566592, 979599359, 'TW', 'Taiwan'),
(12593, '58.99.128.0', '58.101.255.255', 979599360, 979763199, 'CN', 'China'),
(12594, '58.102.0.0', '58.103.255.255', 979763200, 979894271, 'KR', 'Korea, Republic of'),
(12595, '58.104.0.0', '58.111.255.255', 979894272, 980418559, 'AU', 'Australia'),
(12596, '58.112.0.0', '58.113.255.255', 980418560, 980549631, 'JP', 'Japan'),
(12597, '58.114.0.0', '58.115.255.255', 980549632, 980680703, 'TW', 'Taiwan'),
(12598, '58.116.0.0', '58.119.255.255', 980680704, 980942847, 'CN', 'China'),
(12599, '58.120.0.0', '58.127.255.255', 980942848, 981467135, 'KR', 'Korea, Republic of'),
(12600, '58.128.0.0', '58.135.255.255', 981467136, 981991423, 'CN', 'China'),
(12601, '58.136.0.0', '58.137.255.255', 981991424, 982122495, 'TH', 'Thailand'),
(12602, '58.138.0.0', '58.138.191.255', 982122496, 982171647, 'JP', 'Japan'),
(12603, '58.138.192.0', '58.138.255.255', 982171648, 982188031, 'KR', 'Korea, Republic of'),
(12604, '58.139.0.0', '58.139.255.255', 982188032, 982253567, 'MY', 'Malaysia'),
(12605, '58.140.0.0', '58.143.255.255', 982253568, 982515711, 'KR', 'Korea, Republic of'),
(12606, '58.144.0.0', '58.144.255.255', 982515712, 982581247, 'CN', 'China'),
(12607, '58.145.0.0', '58.145.127.255', 982581248, 982614015, 'KR', 'Korea, Republic of'),
(12608, '58.145.128.0', '58.145.159.255', 982614016, 982622207, 'AU', 'Australia'),
(12609, '58.145.160.0', '58.145.167.255', 982622208, 982624255, 'JP', 'Japan'),
(12610, '58.145.168.0', '58.145.175.255', 982624256, 982626303, 'ID', 'Indonesia'),
(12611, '58.145.176.0', '58.145.183.255', 982626304, 982628351, 'JP', 'Japan'),
(12612, '58.145.184.0', '58.145.191.255', 982628352, 982630399, 'BD', 'Bangladesh'),
(12613, '58.145.192.0', '58.145.255.255', 982630400, 982646783, 'SG', 'Singapore'),
(12614, '58.146.0.0', '58.146.95.255', 982646784, 982671359, 'JP', 'Japan'),
(12615, '58.146.96.0', '58.146.127.255', 982671360, 982679551, 'IN', 'India'),
(12616, '58.146.128.0', '58.146.191.255', 982679552, 982695935, 'SG', 'Singapore'),
(12617, '58.146.192.0', '58.146.255.255', 982695936, 982712319, 'KR', 'Korea, Republic of'),
(12618, '58.147.0.0', '58.147.127.255', 982712320, 982745087, 'TH', 'Thailand'),
(12619, '58.147.128.0', '58.147.159.255', 982745088, 982753279, 'AF', 'Afghanistan'),
(12620, '58.147.160.0', '58.147.167.255', 982753280, 982755327, 'JP', 'Japan'),
(12621, '58.147.168.0', '58.147.175.255', 982755328, 982757375, 'BD', 'Bangladesh'),
(12622, '58.147.176.0', '58.147.183.255', 982757376, 982759423, 'KR', 'Korea, Republic of'),
(12623, '58.147.184.0', '58.147.191.255', 982759424, 982761471, 'ID', 'Indonesia'),
(12624, '58.147.192.0', '58.147.255.255', 982761472, 982777855, 'JP', 'Japan'),
(12625, '58.148.0.0', '58.151.255.255', 982777856, 983039999, 'KR', 'Korea, Republic of'),
(12626, '58.152.0.0', '58.153.255.255', 983040000, 983171071, 'HK', 'Hong Kong'),
(12627, '58.154.0.0', '58.155.255.255', 983171072, 983302143, 'CN', 'China'),
(12628, '58.156.0.0', '58.159.255.255', 983302144, 983564287, 'JP', 'Japan'),
(12629, '58.160.0.0', '58.175.255.255', 983564288, 984612863, 'AU', 'Australia'),
(12630, '58.176.0.0', '58.177.255.255', 984612864, 984743935, 'HK', 'Hong Kong'),
(12631, '58.178.0.0', '58.179.255.255', 984743936, 984875007, 'AU', 'Australia'),
(12632, '58.180.0.0', '58.181.63.255', 984875008, 984956927, 'KR', 'Korea, Republic of'),
(12633, '58.181.64.0', '58.181.95.255', 984956928, 984965119, 'AU', 'Australia'),
(12634, '58.181.96.0', '58.181.127.255', 984965120, 984973311, 'PK', 'Pakistan'),
(12635, '58.181.128.0', '58.181.255.255', 984973312, 985006079, 'TH', 'Thailand'),
(12636, '58.182.0.0', '58.182.255.255', 985006080, 985071615, 'SG', 'Singapore'),
(12637, '58.183.0.0', '58.183.255.255', 985071616, 985137151, 'JP', 'Japan'),
(12638, '58.184.0.0', '58.184.255.255', 985137152, 985202687, 'KR', 'Korea, Republic of'),
(12639, '58.185.0.0', '58.185.86.255', 985202688, 985224959, 'SG', 'Singapore'),
(12640, '58.185.87.0', '58.185.87.255', 985224960, 985225215, 'AP', 'Asia/Pacific Region'),
(12641, '58.185.88.0', '58.185.160.255', 985225216, 985243903, 'SG', 'Singapore'),
(12642, '58.185.161.0', '58.185.161.255', 985243904, 985244159, 'AP', 'Asia/Pacific Region'),
(12643, '58.185.162.0', '58.185.255.255', 985244160, 985268223, 'SG', 'Singapore'),
(12644, '58.186.0.0', '58.187.255.255', 985268224, 985399295, 'VN', 'Vietnam'),
(12645, '58.188.0.0', '58.191.255.255', 985399296, 985661439, 'JP', 'Japan'),
(12646, '58.192.0.0', '58.223.255.255', 985661440, 987758591, 'CN', 'China'),
(12647, '58.224.0.0', '58.239.255.255', 987758592, 988807167, 'KR', 'Korea, Republic of'),
(12648, '58.240.0.0', '58.255.255.255', 988807168, 989855743, 'CN', 'China'),
(12649, '59.0.0.0', '59.31.255.255', 989855744, 991952895, 'KR', 'Korea, Republic of'),
(12650, '59.32.0.0', '59.83.255.255', 991952896, 995360767, 'CN', 'China'),
(12651, '59.84.0.0', '59.86.159.255', 995360768, 995532799, 'JP', 'Japan'),
(12652, '59.86.160.0', '59.86.191.255', 995532800, 995540991, 'AU', 'Australia'),
(12653, '59.86.192.0', '59.86.255.255', 995540992, 995557375, 'KR', 'Korea, Republic of'),
(12654, '59.87.0.0', '59.87.255.255', 995557376, 995622911, 'JP', 'Japan'),
(12655, '59.88.0.0', '59.99.255.255', 995622912, 996409343, 'IN', 'India'),
(12656, '59.100.0.0', '59.102.127.255', 996409344, 996573183, 'AU', 'Australia'),
(12657, '59.102.128.0', '59.102.255.255', 996573184, 996605951, 'TW', 'Taiwan'),
(12658, '59.103.0.0', '59.103.255.255', 996605952, 996671487, 'PK', 'Pakistan'),
(12659, '59.104.0.0', '59.105.255.255', 996671488, 996802559, 'TW', 'Taiwan'),
(12660, '59.106.0.0', '59.106.255.255', 996802560, 996868095, 'JP', 'Japan'),
(12661, '59.107.0.0', '59.111.255.255', 996868096, 997195775, 'CN', 'China'),
(12662, '59.112.0.0', '59.127.255.255', 997195776, 998244351, 'TW', 'Taiwan'),
(12663, '59.128.0.0', '59.135.223.255', 998244352, 998760447, 'JP', 'Japan'),
(12664, '59.135.224.0', '59.135.224.255', 998760448, 998760703, 'US', 'United States'),
(12665, '59.135.225.0', '59.139.31.192', 998760704, 998973376, 'JP', 'Japan'),
(12666, '59.139.31.193', '59.139.31.193', 998973377, 998973377, 'US', 'United States'),
(12667, '59.139.31.194', '59.143.255.255', 998973378, 999292927, 'JP', 'Japan'),
(12668, '59.144.0.0', '59.145.255.255', 999292928, 999423999, 'IN', 'India'),
(12669, '59.146.0.0', '59.147.255.255', 999424000, 999555071, 'JP', 'Japan'),
(12670, '59.148.0.0', '59.149.255.255', 999555072, 999686143, 'HK', 'Hong Kong'),
(12671, '59.150.0.0', '59.150.255.255', 999686144, 999751679, 'KR', 'Korea, Republic of'),
(12672, '59.151.0.0', '59.151.127.255', 999751680, 999784447, 'CN', 'China'),
(12673, '59.151.128.0', '59.151.191.255', 999784448, 999800831, 'AP', 'Asia/Pacific Region'),
(12674, '59.151.192.0', '59.151.255.255', 999800832, 999817215, 'KR', 'Korea, Republic of'),
(12675, '59.152.0.0', '59.152.127.255', 999817216, 999849983, 'BD', 'Bangladesh'),
(12676, '59.152.128.0', '59.152.191.255', 999849984, 999866367, 'KR', 'Korea, Republic of'),
(12677, '59.152.192.0', '59.152.255.255', 999866368, 999882751, 'HK', 'Hong Kong'),
(12678, '59.154.0.0', '59.154.255.255', 999948288, 1000013823, 'AU', 'Australia'),
(12679, '59.155.0.0', '59.155.255.255', 1000013824, 1000079359, 'CN', 'China'),
(12680, '59.156.0.0', '59.159.255.255', 1000079360, 1000341503, 'JP', 'Japan'),
(12681, '59.160.0.0', '59.165.255.255', 1000341504, 1000734719, 'IN', 'India'),
(12682, '59.166.0.0', '59.166.255.255', 1000734720, 1000800255, 'JP', 'Japan'),
(12683, '59.167.0.0', '59.167.255.255', 1000800256, 1000865791, 'AU', 'Australia'),
(12684, '59.168.0.0', '59.171.255.255', 1000865792, 1001127935, 'JP', 'Japan'),
(12685, '59.172.0.0', '59.175.255.255', 1001127936, 1001390079, 'CN', 'China'),
(12686, '59.176.0.0', '59.185.255.255', 1001390080, 1002045439, 'IN', 'India'),
(12687, '59.186.0.0', '59.187.255.255', 1002045440, 1002176511, 'KR', 'Korea, Republic of'),
(12688, '59.188.0.0', '59.188.255.255', 1002176512, 1002242047, 'HK', 'Hong Kong'),
(12689, '59.189.0.0', '59.189.255.255', 1002242048, 1002307583, 'SG', 'Singapore'),
(12690, '59.190.0.0', '59.190.255.255', 1002307584, 1002373119, 'JP', 'Japan'),
(12691, '59.191.0.0', '59.191.127.255', 1002373120, 1002405887, 'CN', 'China'),
(12692, '59.191.128.0', '59.191.191.255', 1002405888, 1002422271, 'JP', 'Japan'),
(12693, '59.191.192.0', '59.191.239.255', 1002422272, 1002434559, 'AU', 'Australia'),
(12694, '59.191.240.0', '60.31.255.255', 1002434560, 1008730111, 'CN', 'China'),
(12695, '60.32.0.0', '60.47.255.255', 1008730112, 1009778687, 'JP', 'Japan'),
(12696, '60.48.0.0', '60.54.255.255', 1009778688, 1010237439, 'MY', 'Malaysia'),
(12697, '60.55.0.0', '60.55.255.255', 1010237440, 1010302975, 'CN', 'China'),
(12698, '60.56.0.0', '60.62.255.255', 1010302976, 1010761727, 'JP', 'Japan'),
(12699, '60.63.0.0', '60.63.255.255', 1010761728, 1010827263, 'CN', 'China'),
(12700, '60.64.0.0', '60.159.255.255', 1010827264, 1017118719, 'JP', 'Japan'),
(12701, '60.160.0.0', '60.191.255.255', 1017118720, 1019215871, 'CN', 'China'),
(12702, '60.192.0.0', '60.193.255.255', 1019215872, 1019346943, 'JP', 'Japan'),
(12703, '60.194.0.0', '60.195.255.255', 1019346944, 1019478015, 'CN', 'China'),
(12704, '60.196.0.0', '60.197.255.255', 1019478016, 1019609087, 'KR', 'Korea, Republic of'),
(12705, '60.198.0.0', '60.199.255.255', 1019609088, 1019740159, 'TW', 'Taiwan'),
(12706, '60.200.0.0', '60.223.255.255', 1019740160, 1021313023, 'CN', 'China'),
(12707, '60.224.0.0', '60.231.255.255', 1021313024, 1021837311, 'AU', 'Australia'),
(12708, '60.232.0.0', '60.233.255.255', 1021837312, 1021968383, 'CN', 'China'),
(12709, '60.234.0.0', '60.234.255.255', 1021968384, 1022033919, 'NZ', 'New Zealand'),
(12710, '60.235.0.0', '60.235.255.255', 1022033920, 1022099455, 'CN', 'China'),
(12711, '60.236.0.0', '60.239.255.255', 1022099456, 1022361599, 'JP', 'Japan'),
(12712, '60.240.0.0', '60.242.255.255', 1022361600, 1022558207, 'AU', 'Australia'),
(12713, '60.243.0.0', '60.243.255.255', 1022558208, 1022623743, 'IN', 'India'),
(12714, '60.244.0.0', '60.245.127.255', 1022623744, 1022722047, 'TW', 'Taiwan'),
(12715, '60.245.128.0', '60.245.255.255', 1022722048, 1022754815, 'CN', 'China'),
(12716, '60.246.0.0', '60.246.255.255', 1022754816, 1022820351, 'MO', 'Macau'),
(12717, '60.247.0.0', '60.247.255.255', 1022820352, 1022885887, 'CN', 'China'),
(12718, '60.248.0.0', '60.251.255.255', 1022885888, 1023148031, 'TW', 'Taiwan'),
(12719, '60.252.0.0', '60.252.255.255', 1023148032, 1023213567, 'CN', 'China'),
(12720, '60.253.0.0', '60.253.95.255', 1023213568, 1023238143, 'KR', 'Korea, Republic of'),
(12721, '60.253.96.0', '60.253.127.255', 1023238144, 1023246335, 'ID', 'Indonesia'),
(12722, '60.253.128.0', '60.253.255.255', 1023246336, 1023279103, 'CN', 'China'),
(12723, '60.254.0.0', '60.254.127.255', 1023279104, 1023311871, 'IN', 'India'),
(12724, '60.254.128.0', '60.254.147.255', 1023311872, 1023316991, 'US', 'United States'),
(12725, '60.254.148.0', '60.254.148.255', 1023316992, 1023317247, 'AU', 'Australia'),
(12726, '60.254.149.0', '60.254.191.255', 1023317248, 1023328255, 'US', 'United States'),
(12727, '60.254.192.0', '60.254.255.255', 1023328256, 1023344639, 'JP', 'Japan'),
(12728, '60.255.0.0', '60.255.255.255', 1023344640, 1023410175, 'CN', 'China'),
(12729, '61.0.0.0', '61.3.255.255', 1023410176, 1023672319, 'IN', 'India'),
(12730, '61.4.0.0', '61.4.63.255', 1023672320, 1023688703, 'HK', 'Hong Kong'),
(12731, '61.4.64.0', '61.4.79.255', 1023688704, 1023692799, 'MM', 'Myanmar'),
(12732, '61.4.80.0', '61.4.95.255', 1023692800, 1023696895, 'CN', 'China'),
(12733, '61.4.96.0', '61.4.127.255', 1023696896, 1023705087, 'MY', 'Malaysia'),
(12734, '61.4.128.0', '61.4.175.255', 1023705088, 1023717375, 'JP', 'Japan'),
(12735, '61.4.176.0', '61.4.191.255', 1023717376, 1023721471, 'CN', 'China'),
(12736, '61.4.192.0', '61.4.255.255', 1023721472, 1023737855, 'KR', 'Korea, Republic of'),
(12737, '61.5.0.0', '61.5.127.255', 1023737856, 1023770623, 'ID', 'Indonesia'),
(12738, '61.5.128.0', '61.5.159.255', 1023770624, 1023778815, 'PK', 'Pakistan'),
(12739, '61.5.160.0', '61.5.191.255', 1023778816, 1023787007, 'KR', 'Korea, Republic of'),
(12740, '61.5.192.0', '61.5.207.255', 1023787008, 1023791103, 'AF', 'Afghanistan'),
(12741, '61.5.208.0', '61.5.223.255', 1023791104, 1023795199, 'NC', 'New Caledonia'),
(12742, '61.5.224.0', '61.5.238.255', 1023795200, 1023799039, 'JP', 'Japan'),
(12743, '61.5.239.0', '61.5.239.255', 1023799040, 1023799295, 'US', 'United States'),
(12744, '61.5.240.0', '61.5.255.255', 1023799296, 1023803391, 'JP', 'Japan'),
(12745, '61.6.0.0', '61.6.191.255', 1023803392, 1023852543, 'MY', 'Malaysia'),
(12746, '61.6.192.0', '61.6.255.255', 1023852544, 1023868927, 'BN', 'Brunei Darussalam'),
(12747, '61.7.0.0', '61.7.127.255', 1023868928, 1023901695, 'JP', 'Japan'),
(12748, '61.7.128.0', '61.7.255.255', 1023901696, 1023934463, 'TH', 'Thailand'),
(12749, '61.8.0.0', '61.8.63.255', 1023934464, 1023950847, 'AU', 'Australia'),
(12750, '61.8.64.0', '61.8.79.255', 1023950848, 1023954943, 'ID', 'Indonesia'),
(12751, '61.8.80.0', '61.8.95.255', 1023954944, 1023959039, 'JP', 'Japan'),
(12752, '61.8.96.0', '61.8.127.255', 1023959040, 1023967231, 'AU', 'Australia'),
(12753, '61.8.128.0', '61.8.159.255', 1023967232, 1023975423, 'IN', 'India'),
(12754, '61.8.160.0', '61.8.175.255', 1023975424, 1023979519, 'CN', 'China'),
(12755, '61.8.176.0', '61.8.191.255', 1023979520, 1023983615, 'AU', 'Australia'),
(12756, '61.8.192.0', '61.8.222.255', 1023983616, 1023991551, 'SG', 'Singapore'),
(12757, '61.8.223.0', '61.8.223.255', 1023991552, 1023991807, 'AP', 'Asia/Pacific Region'),
(12758, '61.8.224.0', '61.8.255.255', 1023991808, 1023999999, 'SG', 'Singapore'),
(12759, '61.9.0.0', '61.9.127.255', 1024000000, 1024032767, 'PH', 'Philippines'),
(12760, '61.9.128.0', '61.9.255.255', 1024032768, 1024065535, 'AU', 'Australia'),
(12761, '61.10.0.0', '61.10.255.255', 1024065536, 1024131071, 'HK', 'Hong Kong'),
(12762, '61.11.0.0', '61.11.127.255', 1024131072, 1024163839, 'IN', 'India'),
(12763, '61.11.128.0', '61.11.207.255', 1024163840, 1024184319, 'JP', 'Japan'),
(12764, '61.11.208.0', '61.11.223.255', 1024184320, 1024188415, 'MY', 'Malaysia'),
(12765, '61.11.224.0', '61.11.255.255', 1024188416, 1024196607, 'VN', 'Vietnam'),
(12766, '61.12.0.0', '61.12.127.255', 1024196608, 1024229375, 'IN', 'India'),
(12767, '61.12.128.0', '61.12.230.255', 1024229376, 1024255743, 'JP', 'Japan'),
(12768, '61.12.231.0', '61.12.231.255', 1024255744, 1024255999, 'US', 'United States'),
(12769, '61.12.232.0', '61.12.255.255', 1024256000, 1024262143, 'JP', 'Japan'),
(12770, '61.13.0.0', '61.13.255.255', 1024262144, 1024327679, 'SG', 'Singapore'),
(12771, '61.14.0.0', '61.14.63.255', 1024327680, 1024344063, 'US', 'United States'),
(12772, '61.14.64.0', '61.14.95.255', 1024344064, 1024352255, 'SG', 'Singapore'),
(12773, '61.14.96.0', '61.14.127.255', 1024352256, 1024360447, 'AU', 'Australia'),
(12774, '61.14.128.0', '61.14.140.255', 1024360448, 1024363775, 'JP', 'Japan'),
(12775, '61.14.141.0', '61.14.141.255', 1024363776, 1024364031, 'AU', 'Australia'),
(12776, '61.14.142.0', '61.14.145.255', 1024364032, 1024365055, 'JP', 'Japan'),
(12777, '61.14.146.0', '61.14.146.255', 1024365056, 1024365311, 'AP', 'Asia/Pacific Region'),
(12778, '61.14.147.0', '61.14.191.255', 1024365312, 1024376831, 'JP', 'Japan'),
(12779, '61.14.192.0', '61.14.255.255', 1024376832, 1024393215, 'PH', 'Philippines'),
(12780, '61.15.0.0', '61.15.255.255', 1024393216, 1024458751, 'HK', 'Hong Kong'),
(12781, '61.16.0.0', '61.16.127.255', 1024458752, 1024491519, 'SG', 'Singapore'),
(12782, '61.16.128.0', '61.17.255.255', 1024491520, 1024589823, 'IN', 'India'),
(12783, '61.18.0.0', '61.18.255.255', 1024589824, 1024655359, 'HK', 'Hong Kong'),
(12784, '61.19.0.0', '61.19.255.255', 1024655360, 1024720895, 'TH', 'Thailand'),
(12785, '61.20.0.0', '61.20.255.255', 1024720896, 1024786431, 'TW', 'Taiwan'),
(12786, '61.21.0.0', '61.27.255.255', 1024786432, 1025245183, 'JP', 'Japan'),
(12787, '61.28.0.0', '61.28.127.255', 1025245184, 1025277951, 'CN', 'China'),
(12788, '61.28.128.0', '61.28.191.255', 1025277952, 1025294335, 'PH', 'Philippines'),
(12789, '61.28.192.0', '61.28.192.255', 1025294336, 1025294591, 'JP', 'Japan'),
(12790, '61.28.193.0', '61.28.193.255', 1025294592, 1025294847, 'HK', 'Hong Kong'),
(12791, '61.28.194.0', '61.28.194.255', 1025294848, 1025295103, 'TH', 'Thailand'),
(12792, '61.28.195.0', '61.28.196.255', 1025295104, 1025295615, 'CN', 'China'),
(12793, '61.28.197.0', '61.28.197.255', 1025295616, 1025295871, 'MY', 'Malaysia'),
(12794, '61.28.198.0', '61.28.198.255', 1025295872, 1025296127, 'GB', 'United Kingdom'),
(12795, '61.28.199.0', '61.28.200.255', 1025296128, 1025296639, 'FR', 'France'),
(12796, '61.28.201.0', '61.28.201.255', 1025296640, 1025296895, 'MY', 'Malaysia'),
(12797, '61.28.202.0', '61.28.203.255', 1025296896, 1025297407, 'SG', 'Singapore'),
(12798, '61.28.204.0', '61.28.205.255', 1025297408, 1025297919, 'AU', 'Australia'),
(12799, '61.28.206.0', '61.28.206.255', 1025297920, 1025298175, 'NZ', 'New Zealand'),
(12800, '61.28.207.0', '61.28.209.255', 1025298176, 1025298943, 'AU', 'Australia'),
(12801, '61.28.210.0', '61.28.210.255', 1025298944, 1025299199, 'AE', 'United Arab Emirates'),
(12802, '61.28.211.0', '61.28.214.255', 1025299200, 1025300223, 'AU', 'Australia'),
(12803, '61.28.215.0', '61.28.215.255', 1025300224, 1025300479, 'SA', 'Saudi Arabia'),
(12804, '61.28.216.0', '61.28.216.255', 1025300480, 1025300735, 'AE', 'United Arab Emirates'),
(12805, '61.28.217.0', '61.28.218.255', 1025300736, 1025301247, 'US', 'United States'),
(12806, '61.28.219.0', '61.28.223.255', 1025301248, 1025302527, 'AU', 'Australia'),
(12807, '61.28.224.0', '61.28.255.255', 1025302528, 1025310719, 'VN', 'Vietnam'),
(12808, '61.29.0.0', '61.29.127.255', 1025310720, 1025343487, 'AU', 'Australia'),
(12809, '61.29.128.0', '61.29.255.255', 1025343488, 1025376255, 'CN', 'China'),
(12810, '61.30.0.0', '61.31.255.255', 1025376256, 1025507327, 'TW', 'Taiwan'),
(12811, '61.32.0.0', '61.43.255.255', 1025507328, 1026293759, 'KR', 'Korea, Republic of'),
(12812, '61.44.0.0', '61.44.7.255', 1026293760, 1026295807, 'JP', 'Japan'),
(12813, '61.44.8.0', '61.44.10.255', 1026295808, 1026296575, 'US', 'United States'),
(12814, '61.44.11.0', '61.44.68.255', 1026296576, 1026311423, 'JP', 'Japan'),
(12815, '61.44.69.0', '61.44.69.255', 1026311424, 1026311679, 'US', 'United States'),
(12816, '61.44.70.0', '61.45.127.255', 1026311680, 1026392063, 'JP', 'Japan'),
(12817, '61.45.128.0', '61.45.191.255', 1026392064, 1026408447, 'CN', 'China'),
(12818, '61.45.192.0', '61.45.223.255', 1026408448, 1026416639, 'JP', 'Japan'),
(12819, '61.45.224.0', '61.45.239.255', 1026416640, 1026420735, 'CN', 'China'),
(12820, '61.45.240.0', '61.45.247.255', 1026420736, 1026422783, 'JP', 'Japan'),
(12821, '61.45.248.0', '61.45.249.255', 1026422784, 1026423295, 'AU', 'Australia'),
(12822, '61.45.250.0', '61.45.250.255', 1026423296, 1026423551, 'AP', 'Asia/Pacific Region'),
(12823, '61.45.251.0', '61.45.255.255', 1026423552, 1026424831, 'AU', 'Australia'),
(12824, '61.46.0.0', '61.46.255.255', 1026424832, 1026490367, 'JP', 'Japan'),
(12825, '61.47.0.0', '61.47.127.255', 1026490368, 1026523135, 'TH', 'Thailand'),
(12826, '61.47.128.0', '61.47.191.255', 1026523136, 1026539519, 'CN', 'China'),
(12827, '61.47.192.0', '61.47.255.255', 1026539520, 1026555903, 'KR', 'Korea, Republic of'),
(12828, '61.48.0.0', '61.55.255.255', 1026555904, 1027080191, 'CN', 'China'),
(12829, '61.56.0.0', '61.67.255.255', 1027080192, 1027866623, 'TW', 'Taiwan'),
(12830, '61.68.0.0', '61.69.255.255', 1027866624, 1027997695, 'AU', 'Australia'),
(12831, '61.70.0.0', '61.71.255.255', 1027997696, 1028128767, 'TW', 'Taiwan'),
(12832, '61.72.0.0', '61.85.255.255', 1028128768, 1029046271, 'KR', 'Korea, Republic of'),
(12833, '61.86.0.0', '61.87.31.255', 1029046272, 1029119999, 'JP', 'Japan'),
(12834, '61.87.32.0', '61.87.32.255', 1029120000, 1029120255, 'US', 'United States'),
(12835, '61.87.33.0', '61.87.127.255', 1029120256, 1029144575, 'JP', 'Japan'),
(12836, '61.87.128.0', '61.87.191.255', 1029144576, 1029160959, 'SG', 'Singapore'),
(12837, '61.87.192.0', '61.87.255.255', 1029160960, 1029177343, 'CN', 'China'),
(12838, '61.88.0.0', '61.88.255.255', 1029177344, 1029242879, 'AU', 'Australia'),
(12839, '61.89.0.0', '61.89.255.255', 1029242880, 1029308415, 'JP', 'Japan'),
(12840, '61.90.0.0', '61.91.255.255', 1029308416, 1029439487, 'TH', 'Thailand'),
(12841, '61.92.0.0', '61.93.255.255', 1029439488, 1029570559, 'HK', 'Hong Kong'),
(12842, '61.94.0.0', '61.94.255.255', 1029570560, 1029636095, 'ID', 'Indonesia'),
(12843, '61.95.0.0', '61.95.127.255', 1029636096, 1029668863, 'AU', 'Australia'),
(12844, '61.95.128.0', '61.95.255.255', 1029668864, 1029701631, 'IN', 'India'),
(12845, '61.96.0.0', '61.111.255.255', 1029701632, 1030750207, 'KR', 'Korea, Republic of'),
(12846, '61.112.0.0', '61.114.253.255', 1030750208, 1030946303, 'JP', 'Japan'),
(12847, '61.114.254.0', '61.114.254.255', 1030946304, 1030946559, 'AP', 'Asia/Pacific Region'),
(12848, '61.114.255.0', '61.122.36.255', 1030946560, 1031415039, 'JP', 'Japan'),
(12849, '61.122.37.0', '61.122.37.255', 1031415040, 1031415295, 'US', 'United States'),
(12850, '61.122.38.0', '61.127.255.255', 1031415296, 1031798783, 'JP', 'Japan'),
(12851, '61.128.0.0', '61.191.255.255', 1031798784, 1035993087, 'CN', 'China'),
(12852, '61.192.0.0', '61.198.240.255', 1035993088, 1036447999, 'JP', 'Japan'),
(12853, '61.198.241.0', '61.198.241.255', 1036448000, 1036448255, 'US', 'United States'),
(12854, '61.198.242.0', '61.213.180.255', 1036448256, 1037415679, 'JP', 'Japan'),
(12855, '61.213.181.0', '61.213.181.255', 1037415680, 1037415935, 'AP', 'Asia/Pacific Region'),
(12856, '61.213.182.0', '61.213.183.255', 1037415936, 1037416447, 'JP', 'Japan'),
(12857, '61.213.184.0', '61.213.185.255', 1037416448, 1037416959, 'US', 'United States'),
(12858, '61.213.186.0', '61.215.255.255', 1037416960, 1037565951, 'JP', 'Japan'),
(12859, '61.216.0.0', '61.231.255.255', 1037565952, 1038614527, 'TW', 'Taiwan'),
(12860, '61.232.0.0', '61.237.255.255', 1038614528, 1039007743, 'CN', 'China'),
(12861, '61.238.0.0', '61.239.255.255', 1039007744, 1039138815, 'HK', 'Hong Kong'),
(12862, '61.240.0.0', '61.243.255.255', 1039138816, 1039400959, 'CN', 'China'),
(12863, '61.244.0.0', '61.244.255.255', 1039400960, 1039466495, 'HK', 'Hong Kong'),
(12864, '61.245.0.0', '61.245.127.255', 1039466496, 1039499263, 'JP', 'Japan'),
(12865, '61.245.128.0', '61.245.159.255', 1039499264, 1039507455, 'AU', 'Australia'),
(12866, '61.245.160.0', '61.245.175.255', 1039507456, 1039511551, 'LK', 'Sri Lanka'),
(12867, '61.245.176.0', '61.245.191.255', 1039511552, 1039515647, 'KR', 'Korea, Republic of'),
(12868, '61.245.192.0', '61.245.223.255', 1039515648, 1039523839, 'JP', 'Japan'),
(12869, '61.245.224.0', '61.245.255.255', 1039523840, 1039532031, 'KR', 'Korea, Republic of'),
(12870, '61.246.0.0', '61.246.255.255', 1039532032, 1039597567, 'IN', 'India'),
(12871, '61.247.0.0', '61.247.63.255', 1039597568, 1039613951, 'ID', 'Indonesia'),
(12872, '61.247.64.0', '61.247.159.255', 1039613952, 1039638527, 'KR', 'Korea, Republic of'),
(12873, '61.247.160.0', '61.247.175.255', 1039638528, 1039642623, 'TW', 'Taiwan'),
(12874, '61.247.176.0', '61.247.191.255', 1039642624, 1039646719, 'BD', 'Bangladesh'),
(12875, '61.247.192.0', '61.247.223.255', 1039646720, 1039654911, 'KR', 'Korea, Republic of'),
(12876, '61.247.224.0', '61.247.255.255', 1039654912, 1039663103, 'IN', 'India'),
(12877, '61.248.0.0', '61.255.255.255', 1039663104, 1040187391, 'KR', 'Korea, Republic of'),
(12878, '62.0.0.0', '62.0.255.255', 1040187392, 1040252927, 'IL', 'Israel'),
(12879, '62.1.0.0', '62.1.255.255', 1040252928, 1040318463, 'GR', 'Greece'),
(12880, '62.2.0.0', '62.2.255.255', 1040318464, 1040383999, 'CH', 'Switzerland'),
(12881, '62.3.0.0', '62.3.15.255', 1040384000, 1040388095, 'SA', 'Saudi Arabia'),
(12882, '62.3.16.0', '62.3.16.255', 1040388096, 1040388351, 'US', 'United States'),
(12883, '62.3.17.0', '62.3.26.197', 1040388352, 1040390853, 'SA', 'Saudi Arabia'),
(12884, '62.3.26.198', '62.3.26.198', 1040390854, 1040390854, 'ZA', 'South Africa'),
(12885, '62.3.26.199', '62.3.53.255', 1040390855, 1040397823, 'SA', 'Saudi Arabia'),
(12886, '62.3.54.0', '62.3.56.255', 1040397824, 1040398591, 'GB', 'United Kingdom'),
(12887, '62.3.57.0', '62.3.61.255', 1040398592, 1040399871, 'SA', 'Saudi Arabia'),
(12888, '62.3.62.0', '62.3.62.255', 1040399872, 1040400127, 'GB', 'United Kingdom'),
(12889, '62.3.63.0', '62.3.63.255', 1040400128, 1040400383, 'SA', 'Saudi Arabia'),
(12890, '62.3.64.0', '62.3.127.255', 1040400384, 1040416767, 'GB', 'United Kingdom'),
(12891, '62.3.128.0', '62.3.159.255', 1040416768, 1040424959, 'SE', 'Sweden'),
(12892, '62.3.160.0', '62.3.191.255', 1040424960, 1040433151, 'PL', 'Poland'),
(12893, '62.3.192.0', '62.3.255.255', 1040433152, 1040449535, 'GB', 'United Kingdom'),
(12894, '62.4.0.0', '62.4.0.255', 1040449536, 1040449791, 'FR', 'France'),
(12895, '62.4.1.0', '62.4.1.255', 1040449792, 1040450047, 'DE', 'Germany'),
(12896, '62.4.2.0', '62.4.31.255', 1040450048, 1040457727, 'FR', 'France'),
(12897, '62.4.32.0', '62.4.63.255', 1040457728, 1040465919, 'ME', 'Montenegro'),
(12898, '62.4.64.0', '62.4.66.255', 1040465920, 1040466687, 'DE', 'Germany'),
(12899, '62.4.67.0', '62.4.68.31', 1040466688, 1040466975, 'EU', 'Europe'),
(12900, '62.4.68.32', '62.4.68.63', 1040466976, 1040467007, 'DE', 'Germany'),
(12901, '62.4.68.64', '62.4.68.127', 1040467008, 1040467071, 'EU', 'Europe'),
(12902, '62.4.68.128', '62.4.68.143', 1040467072, 1040467087, 'FR', 'France'),
(12903, '62.4.68.144', '62.4.68.159', 1040467088, 1040467103, 'DE', 'Germany'),
(12904, '62.4.68.160', '62.4.68.191', 1040467104, 1040467135, 'FR', 'France'),
(12905, '62.4.68.192', '62.4.68.207', 1040467136, 1040467151, 'DE', 'Germany'),
(12906, '62.4.68.208', '62.4.71.47', 1040467152, 1040467759, 'EU', 'Europe'),
(12907, '62.4.71.48', '62.4.71.55', 1040467760, 1040467767, 'FR', 'France'),
(12908, '62.4.71.56', '62.4.71.63', 1040467768, 1040467775, 'EU', 'Europe'),
(12909, '62.4.71.64', '62.4.71.111', 1040467776, 1040467823, 'FR', 'France'),
(12910, '62.4.71.112', '62.4.71.223', 1040467824, 1040467935, 'EU', 'Europe'),
(12911, '62.4.71.224', '62.4.71.239', 1040467936, 1040467951, 'FR', 'France'),
(12912, '62.4.71.240', '62.4.71.255', 1040467952, 1040467967, 'EU', 'Europe'),
(12913, '62.4.72.0', '62.4.72.127', 1040467968, 1040468095, 'FR', 'France'),
(12914, '62.4.72.128', '62.4.73.7', 1040468096, 1040468231, 'EU', 'Europe'),
(12915, '62.4.73.8', '62.4.73.31', 1040468232, 1040468255, 'FR', 'France'),
(12916, '62.4.73.32', '62.4.73.191', 1040468256, 1040468415, 'EU', 'Europe'),
(12917, '62.4.73.192', '62.4.73.255', 1040468416, 1040468479, 'FR', 'France'),
(12918, '62.4.74.0', '62.4.74.127', 1040468480, 1040468607, 'EU', 'Europe'),
(12919, '62.4.74.128', '62.4.74.255', 1040468608, 1040468735, 'DE', 'Germany'),
(12920, '62.4.75.0', '62.4.75.31', 1040468736, 1040468767, 'NL', 'Netherlands'),
(12921, '62.4.75.32', '62.4.76.127', 1040468768, 1040469119, 'EU', 'Europe'),
(12922, '62.4.76.128', '62.4.76.191', 1040469120, 1040469183, 'FR', 'France'),
(12923, '62.4.76.192', '62.4.76.255', 1040469184, 1040469247, 'EU', 'Europe'),
(12924, '62.4.77.0', '62.4.77.31', 1040469248, 1040469279, 'FR', 'France'),
(12925, '62.4.77.32', '62.4.77.63', 1040469280, 1040469311, 'EU', 'Europe'),
(12926, '62.4.77.64', '62.4.77.95', 1040469312, 1040469343, 'FR', 'France'),
(12927, '62.4.77.96', '62.4.77.191', 1040469344, 1040469439, 'EU', 'Europe'),
(12928, '62.4.77.192', '62.4.77.223', 1040469440, 1040469471, 'FR', 'France'),
(12929, '62.4.77.224', '62.4.77.255', 1040469472, 1040469503, 'EU', 'Europe'),
(12930, '62.4.78.0', '62.4.78.63', 1040469504, 1040469567, 'FR', 'France'),
(12931, '62.4.78.64', '62.4.78.127', 1040469568, 1040469631, 'EU', 'Europe'),
(12932, '62.4.78.128', '62.4.78.191', 1040469632, 1040469695, 'FR', 'France'),
(12933, '62.4.78.192', '62.4.78.223', 1040469696, 1040469727, 'EU', 'Europe'),
(12934, '62.4.78.224', '62.4.78.255', 1040469728, 1040469759, 'FR', 'France'),
(12935, '62.4.79.0', '62.4.79.143', 1040469760, 1040469903, 'EU', 'Europe'),
(12936, '62.4.79.144', '62.4.79.159', 1040469904, 1040469919, 'FR', 'France'),
(12937, '62.4.79.160', '62.4.79.223', 1040469920, 1040469983, 'EU', 'Europe'),
(12938, '62.4.79.224', '62.4.79.239', 1040469984, 1040469999, 'FR', 'France'),
(12939, '62.4.79.240', '62.4.81.127', 1040470000, 1040470399, 'EU', 'Europe'),
(12940, '62.4.81.128', '62.4.81.159', 1040470400, 1040470431, 'DE', 'Germany'),
(12941, '62.4.81.160', '62.4.85.191', 1040470432, 1040471487, 'EU', 'Europe'),
(12942, '62.4.85.192', '62.4.85.223', 1040471488, 1040471519, 'NL', 'Netherlands'),
(12943, '62.4.85.224', '62.4.89.255', 1040471520, 1040472575, 'EU', 'Europe'),
(12944, '62.4.90.0', '62.4.90.255', 1040472576, 1040472831, 'DE', 'Germany'),
(12945, '62.4.91.0', '62.4.91.239', 1040472832, 1040473071, 'EU', 'Europe'),
(12946, '62.4.91.240', '62.4.91.255', 1040473072, 1040473087, 'DE', 'Germany'),
(12947, '62.4.92.0', '62.4.95.255', 1040473088, 1040474111, 'EU', 'Europe'),
(12948, '62.4.96.0', '62.4.127.255', 1040474112, 1040482303, 'CZ', 'Czech Republic'),
(12949, '62.4.128.0', '62.4.255.255', 1040482304, 1040515071, 'BE', 'Belgium'),
(12950, '62.5.0.0', '62.5.127.255', 1040515072, 1040547839, 'GB', 'United Kingdom'),
(12951, '62.5.128.0', '62.5.255.255', 1040547840, 1040580607, 'RU', 'Russian Federation'),
(12952, '62.6.0.0', '62.7.255.255', 1040580608, 1040711679, 'GB', 'United Kingdom'),
(12953, '62.8.0.0', '62.8.31.255', 1040711680, 1040719871, 'FR', 'France'),
(12954, '62.8.32.0', '62.8.63.255', 1040719872, 1040728063, 'DE', 'Germany'),
(12955, '62.8.64.0', '62.8.95.255', 1040728064, 1040736255, 'KE', 'Kenya'),
(12956, '62.8.96.0', '62.8.127.255', 1040736256, 1040744447, 'GB', 'United Kingdom'),
(12957, '62.8.128.0', '62.8.255.255', 1040744448, 1040777215, 'DE', 'Germany'),
(12958, '62.9.0.0', '62.9.255.255', 1040777216, 1040842751, 'IE', 'Ireland'),
(12959, '62.10.0.0', '62.11.255.255', 1040842752, 1040973823, 'IT', 'Italy'),
(12960, '62.12.0.0', '62.12.31.255', 1040973824, 1040982015, 'NL', 'Netherlands'),
(12961, '62.12.32.0', '62.12.33.255', 1040982016, 1040982527, 'DK', 'Denmark'),
(12962, '62.12.34.0', '62.12.34.255', 1040982528, 1040982783, 'FI', 'Finland'),
(12963, '62.12.35.0', '62.12.36.255', 1040982784, 1040983295, 'DK', 'Denmark'),
(12964, '62.12.37.0', '62.12.37.255', 1040983296, 1040983551, 'US', 'United States'),
(12965, '62.12.38.0', '62.12.38.255', 1040983552, 1040983807, 'EU', 'Europe'),
(12966, '62.12.39.0', '62.12.63.255', 1040983808, 1040990207, 'DK', 'Denmark'),
(12967, '62.12.64.0', '62.12.79.255', 1040990208, 1040994303, 'CY', 'Cyprus'),
(12968, '62.12.80.0', '62.12.80.255', 1040994304, 1040994559, 'RU', 'Russian Federation'),
(12969, '62.12.81.0', '62.12.95.255', 1040994560, 1040998399, 'CY', 'Cyprus'),
(12970, '62.12.96.0', '62.12.127.255', 1040998400, 1041006591, 'EG', 'Egypt'),
(12971, '62.12.128.0', '62.12.255.255', 1041006592, 1041039359, 'CH', 'Switzerland'),
(12972, '62.13.0.0', '62.13.47.255', 1041039360, 1041051647, 'SE', 'Sweden'),
(12973, '62.13.48.0', '62.13.48.191', 1041051648, 1041051839, 'NO', 'Norway'),
(12974, '62.13.48.192', '62.13.49.255', 1041051840, 1041052159, 'SE', 'Sweden'),
(12975, '62.13.50.0', '62.13.50.15', 1041052160, 1041052175, 'NO', 'Norway'),
(12976, '62.13.50.16', '62.13.127.255', 1041052176, 1041072127, 'SE', 'Sweden'),
(12977, '62.13.128.0', '62.13.159.255', 1041072128, 1041080319, 'GB', 'United Kingdom'),
(12978, '62.13.160.0', '62.13.191.255', 1041080320, 1041088511, 'IT', 'Italy'),
(12979, '62.13.192.0', '62.13.223.255', 1041088512, 1041096703, 'AT', 'Austria'),
(12980, '62.13.224.0', '62.15.255.255', 1041096704, 1041235967, 'ES', 'Spain'),
(12981, '62.16.0.0', '62.16.31.255', 1041235968, 1041244159, 'UA', 'Ukraine'),
(12982, '62.16.32.0', '62.16.66.255', 1041244160, 1041253119, 'RU', 'Russian Federation'),
(12983, '62.16.67.0', '62.16.67.255', 1041253120, 1041253375, 'TJ', 'Tajikistan'),
(12984, '62.16.68.0', '62.16.127.255', 1041253376, 1041268735, 'RU', 'Russian Federation'),
(12985, '62.16.128.0', '62.16.255.255', 1041268736, 1041301503, 'NO', 'Norway'),
(12986, '62.17.0.0', '62.17.36.255', 1041301504, 1041310975, 'IE', 'Ireland'),
(12987, '62.17.37.0', '62.17.37.255', 1041310976, 1041311231, 'EU', 'Europe'),
(12988, '62.17.38.0', '62.17.135.255', 1041311232, 1041336319, 'IE', 'Ireland'),
(12989, '62.17.136.0', '62.17.136.255', 1041336320, 1041336575, 'EU', 'Europe'),
(12990, '62.17.137.0', '62.17.255.255', 1041336576, 1041367039, 'IE', 'Ireland'),
(12991, '62.18.0.0', '62.19.255.255', 1041367040, 1041498111, 'IT', 'Italy'),
(12992, '62.20.0.0', '62.20.255.255', 1041498112, 1041563647, 'SE', 'Sweden'),
(12993, '62.21.0.0', '62.21.127.255', 1041563648, 1041596415, 'PL', 'Poland'),
(12994, '62.21.128.0', '62.21.255.255', 1041596416, 1041629183, 'NL', 'Netherlands'),
(12995, '62.22.0.0', '62.22.15.79', 1041629184, 1041633103, 'ES', 'Spain'),
(12996, '62.22.15.80', '62.22.15.95', 1041633104, 1041633119, 'GB', 'United Kingdom'),
(12997, '62.22.15.96', '62.22.36.255', 1041633120, 1041638655, 'ES', 'Spain'),
(12998, '62.22.37.0', '62.22.37.255', 1041638656, 1041638911, 'EU', 'Europe'),
(12999, '62.22.38.0', '62.22.52.255', 1041638912, 1041642751, 'ES', 'Spain'),
(13000, '62.22.53.0', '62.22.53.255', 1041642752, 1041643007, 'EU', 'Europe'),
(13001, '62.22.54.0', '62.22.255.255', 1041643008, 1041694719, 'ES', 'Spain'),
(13002, '62.23.0.0', '62.23.1.175', 1041694720, 1041695151, 'FR', 'France'),
(13003, '62.23.1.176', '62.23.1.191', 1041695152, 1041695167, 'GB', 'United Kingdom'),
(13004, '62.23.1.192', '62.23.2.127', 1041695168, 1041695359, 'FR', 'France'),
(13005, '62.23.2.128', '62.23.2.159', 1041695360, 1041695391, 'GB', 'United Kingdom'),
(13006, '62.23.2.160', '62.23.3.159', 1041695392, 1041695647, 'FR', 'France'),
(13007, '62.23.3.160', '62.23.3.191', 1041695648, 1041695679, 'GB', 'United Kingdom'),
(13008, '62.23.3.192', '62.23.3.207', 1041695680, 1041695695, 'CH', 'Switzerland'),
(13009, '62.23.3.208', '62.23.3.223', 1041695696, 1041695711, 'FR', 'France'),
(13010, '62.23.3.224', '62.23.3.231', 1041695712, 1041695719, 'GB', 'United Kingdom'),
(13011, '62.23.3.232', '62.23.4.23', 1041695720, 1041695767, 'FR', 'France'),
(13012, '62.23.4.24', '62.23.4.31', 1041695768, 1041695775, 'GB', 'United Kingdom'),
(13013, '62.23.4.32', '62.23.4.111', 1041695776, 1041695855, 'FR', 'France'),
(13014, '62.23.4.112', '62.23.4.143', 1041695856, 1041695887, 'GB', 'United Kingdom'),
(13015, '62.23.4.144', '62.23.4.159', 1041695888, 1041695903, 'FR', 'France'),
(13016, '62.23.4.160', '62.23.4.255', 1041695904, 1041695999, 'GB', 'United Kingdom'),
(13017, '62.23.5.0', '62.23.8.103', 1041696000, 1041696871, 'FR', 'France'),
(13018, '62.23.8.104', '62.23.8.111', 1041696872, 1041696879, 'GB', 'United Kingdom'),
(13019, '62.23.8.112', '62.23.11.163', 1041696880, 1041697699, 'FR', 'France'),
(13020, '62.23.11.164', '62.23.11.167', 1041697700, 1041697703, 'GB', 'United Kingdom'),
(13021, '62.23.11.168', '62.23.12.255', 1041697704, 1041698047, 'FR', 'France'),
(13022, '62.23.13.0', '62.23.13.29', 1041698048, 1041698077, 'GB', 'United Kingdom'),
(13023, '62.23.13.30', '62.23.13.159', 1041698078, 1041698207, 'FR', 'France'),
(13024, '62.23.13.160', '62.23.13.175', 1041698208, 1041698223, 'GB', 'United Kingdom'),
(13025, '62.23.13.176', '62.23.13.199', 1041698224, 1041698247, 'FR', 'France'),
(13026, '62.23.13.200', '62.23.13.207', 1041698248, 1041698255, 'GB', 'United Kingdom'),
(13027, '62.23.13.208', '62.23.13.215', 1041698256, 1041698263, 'FR', 'France'),
(13028, '62.23.13.216', '62.23.13.223', 1041698264, 1041698271, 'GB', 'United Kingdom'),
(13029, '62.23.13.224', '62.23.15.151', 1041698272, 1041698711, 'FR', 'France'),
(13030, '62.23.15.152', '62.23.15.159', 1041698712, 1041698719, 'GB', 'United Kingdom'),
(13031, '62.23.15.160', '62.23.17.215', 1041698720, 1041699287, 'FR', 'France'),
(13032, '62.23.17.216', '62.23.17.223', 1041699288, 1041699295, 'GB', 'United Kingdom'),
(13033, '62.23.17.224', '62.23.18.255', 1041699296, 1041699583, 'FR', 'France'),
(13034, '62.23.19.0', '62.23.19.7', 1041699584, 1041699591, 'IT', 'Italy'),
(13035, '62.23.19.8', '62.23.19.15', 1041699592, 1041699599, 'FR', 'France'),
(13036, '62.23.19.16', '62.23.19.31', 1041699600, 1041699615, 'GB', 'United Kingdom'),
(13037, '62.23.19.32', '62.23.19.39', 1041699616, 1041699623, 'FR', 'France'),
(13038, '62.23.19.40', '62.23.19.47', 1041699624, 1041699631, 'GB', 'United Kingdom'),
(13039, '62.23.19.48', '62.23.19.95', 1041699632, 1041699679, 'FR', 'France'),
(13040, '62.23.19.96', '62.23.19.111', 1041699680, 1041699695, 'GB', 'United Kingdom'),
(13041, '62.23.19.112', '62.23.19.183', 1041699696, 1041699767, 'FR', 'France'),
(13042, '62.23.19.184', '62.23.19.223', 1041699768, 1041699807, 'GB', 'United Kingdom'),
(13043, '62.23.19.224', '62.23.22.71', 1041699808, 1041700423, 'FR', 'France'),
(13044, '62.23.22.72', '62.23.22.183', 1041700424, 1041700535, 'GB', 'United Kingdom'),
(13045, '62.23.22.184', '62.23.22.239', 1041700536, 1041700591, 'FR', 'France'),
(13046, '62.23.22.240', '62.23.22.247', 1041700592, 1041700599, 'GB', 'United Kingdom'),
(13047, '62.23.22.248', '62.23.24.119', 1041700600, 1041700983, 'FR', 'France'),
(13048, '62.23.24.120', '62.23.24.127', 1041700984, 1041700991, 'GB', 'United Kingdom'),
(13049, '62.23.24.128', '62.23.25.23', 1041700992, 1041701143, 'FR', 'France'),
(13050, '62.23.25.24', '62.23.25.31', 1041701144, 1041701151, 'GB', 'United Kingdom'),
(13051, '62.23.25.32', '62.23.25.55', 1041701152, 1041701175, 'FR', 'France'),
(13052, '62.23.25.56', '62.23.25.63', 1041701176, 1041701183, 'GB', 'United Kingdom'),
(13053, '62.23.25.64', '62.23.25.87', 1041701184, 1041701207, 'FR', 'France'),
(13054, '62.23.25.88', '62.23.25.102', 1041701208, 1041701222, 'GB', 'United Kingdom'),
(13055, '62.23.25.103', '62.23.25.191', 1041701223, 1041701311, 'FR', 'France'),
(13056, '62.23.25.192', '62.23.26.175', 1041701312, 1041701551, 'GB', 'United Kingdom'),
(13057, '62.23.26.176', '62.23.26.191', 1041701552, 1041701567, 'FR', 'France'),
(13058, '62.23.26.192', '62.23.26.255', 1041701568, 1041701631, 'GB', 'United Kingdom'),
(13059, '62.23.27.0', '62.23.27.15', 1041701632, 1041701647, 'FR', 'France'),
(13060, '62.23.27.16', '62.23.27.31', 1041701648, 1041701663, 'GB', 'United Kingdom'),
(13061, '62.23.27.32', '62.23.27.63', 1041701664, 1041701695, 'FR', 'France'),
(13062, '62.23.27.64', '62.23.27.71', 1041701696, 1041701703, 'GB', 'United Kingdom'),
(13063, '62.23.27.72', '62.23.27.87', 1041701704, 1041701719, 'FR', 'France'),
(13064, '62.23.27.88', '62.23.27.95', 1041701720, 1041701727, 'GB', 'United Kingdom'),
(13065, '62.23.27.96', '62.23.27.231', 1041701728, 1041701863, 'FR', 'France'),
(13066, '62.23.27.232', '62.23.27.239', 1041701864, 1041701871, 'GB', 'United Kingdom'),
(13067, '62.23.27.240', '62.23.28.47', 1041701872, 1041701935, 'FR', 'France'),
(13068, '62.23.28.48', '62.23.28.55', 1041701936, 1041701943, 'GB', 'United Kingdom'),
(13069, '62.23.28.56', '62.23.29.23', 1041701944, 1041702167, 'FR', 'France'),
(13070, '62.23.29.24', '62.23.29.31', 1041702168, 1041702175, 'GB', 'United Kingdom'),
(13071, '62.23.29.32', '62.23.29.162', 1041702176, 1041702306, 'FR', 'France'),
(13072, '62.23.29.163', '62.23.29.167', 1041702307, 1041702311, 'GB', 'United Kingdom'),
(13073, '62.23.29.168', '62.23.29.175', 1041702312, 1041702319, 'FR', 'France'),
(13074, '62.23.29.176', '62.23.29.191', 1041702320, 1041702335, 'GB', 'United Kingdom'),
(13075, '62.23.29.192', '62.23.29.207', 1041702336, 1041702351, 'FR', 'France'),
(13076, '62.23.29.208', '62.23.29.255', 1041702352, 1041702399, 'GB', 'United Kingdom'),
(13077, '62.23.30.0', '62.23.31.95', 1041702400, 1041702751, 'FR', 'France'),
(13078, '62.23.31.96', '62.23.31.103', 1041702752, 1041702759, 'GB', 'United Kingdom'),
(13079, '62.23.31.104', '62.23.34.215', 1041702760, 1041703639, 'FR', 'France'),
(13080, '62.23.34.216', '62.23.34.223', 1041703640, 1041703647, 'GB', 'United Kingdom'),
(13081, '62.23.34.224', '62.23.35.15', 1041703648, 1041703695, 'FR', 'France'),
(13082, '62.23.35.16', '62.23.35.31', 1041703696, 1041703711, 'GB', 'United Kingdom'),
(13083, '62.23.35.32', '62.23.36.183', 1041703712, 1041704119, 'FR', 'France'),
(13084, '62.23.36.184', '62.23.36.191', 1041704120, 1041704127, 'GB', 'United Kingdom'),
(13085, '62.23.36.192', '62.23.36.223', 1041704128, 1041704159, 'FR', 'France'),
(13086, '62.23.36.224', '62.23.36.239', 1041704160, 1041704175, 'GB', 'United Kingdom'),
(13087, '62.23.36.240', '62.23.37.7', 1041704176, 1041704199, 'FR', 'France'),
(13088, '62.23.37.8', '62.23.37.15', 1041704200, 1041704207, 'GB', 'United Kingdom'),
(13089, '62.23.37.16', '62.23.37.55', 1041704208, 1041704247, 'FR', 'France'),
(13090, '62.23.37.56', '62.23.37.71', 1041704248, 1041704263, 'GB', 'United Kingdom'),
(13091, '62.23.37.72', '62.23.37.127', 1041704264, 1041704319, 'FR', 'France'),
(13092, '62.23.37.128', '62.23.37.143', 1041704320, 1041704335, 'GB', 'United Kingdom'),
(13093, '62.23.37.144', '62.23.37.159', 1041704336, 1041704351, 'FR', 'France'),
(13094, '62.23.37.160', '62.23.37.191', 1041704352, 1041704383, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(13095, '62.23.37.192', '62.23.37.215', 1041704384, 1041704407, 'FR', 'France'),
(13096, '62.23.37.216', '62.23.37.239', 1041704408, 1041704431, 'GB', 'United Kingdom'),
(13097, '62.23.37.240', '62.23.37.247', 1041704432, 1041704439, 'FR', 'France'),
(13098, '62.23.37.248', '62.23.37.255', 1041704440, 1041704447, 'GB', 'United Kingdom'),
(13099, '62.23.38.0', '62.23.38.103', 1041704448, 1041704551, 'FR', 'France'),
(13100, '62.23.38.104', '62.23.38.127', 1041704552, 1041704575, 'GB', 'United Kingdom'),
(13101, '62.23.38.128', '62.23.39.71', 1041704576, 1041704775, 'FR', 'France'),
(13102, '62.23.39.72', '62.23.39.79', 1041704776, 1041704783, 'GB', 'United Kingdom'),
(13103, '62.23.39.80', '62.23.39.111', 1041704784, 1041704815, 'FR', 'France'),
(13104, '62.23.39.112', '62.23.39.119', 1041704816, 1041704823, 'GB', 'United Kingdom'),
(13105, '62.23.39.120', '62.23.39.143', 1041704824, 1041704847, 'FR', 'France'),
(13106, '62.23.39.144', '62.23.39.159', 1041704848, 1041704863, 'GB', 'United Kingdom'),
(13107, '62.23.39.160', '62.23.39.175', 1041704864, 1041704879, 'FR', 'France'),
(13108, '62.23.39.176', '62.23.39.183', 1041704880, 1041704887, 'GB', 'United Kingdom'),
(13109, '62.23.39.184', '62.23.39.223', 1041704888, 1041704927, 'FR', 'France'),
(13110, '62.23.39.224', '62.23.39.255', 1041704928, 1041704959, 'GB', 'United Kingdom'),
(13111, '62.23.40.0', '62.23.41.15', 1041704960, 1041705231, 'FR', 'France'),
(13112, '62.23.41.16', '62.23.41.23', 1041705232, 1041705239, 'GB', 'United Kingdom'),
(13113, '62.23.41.24', '62.23.41.39', 1041705240, 1041705255, 'FR', 'France'),
(13114, '62.23.41.40', '62.23.41.63', 1041705256, 1041705279, 'GB', 'United Kingdom'),
(13115, '62.23.41.64', '62.23.41.79', 1041705280, 1041705295, 'FR', 'France'),
(13116, '62.23.41.80', '62.23.41.95', 1041705296, 1041705311, 'GB', 'United Kingdom'),
(13117, '62.23.41.96', '62.23.41.127', 1041705312, 1041705343, 'FR', 'France'),
(13118, '62.23.41.128', '62.23.41.151', 1041705344, 1041705367, 'GB', 'United Kingdom'),
(13119, '62.23.41.152', '62.23.41.175', 1041705368, 1041705391, 'FR', 'France'),
(13120, '62.23.41.176', '62.23.41.223', 1041705392, 1041705439, 'GB', 'United Kingdom'),
(13121, '62.23.41.224', '62.23.41.231', 1041705440, 1041705447, 'FR', 'France'),
(13122, '62.23.41.232', '62.23.41.239', 1041705448, 1041705455, 'GB', 'United Kingdom'),
(13123, '62.23.41.240', '62.23.41.247', 1041705456, 1041705463, 'FR', 'France'),
(13124, '62.23.41.248', '62.23.42.7', 1041705464, 1041705479, 'GB', 'United Kingdom'),
(13125, '62.23.42.8', '62.23.42.15', 1041705480, 1041705487, 'FR', 'France'),
(13126, '62.23.42.16', '62.23.42.47', 1041705488, 1041705519, 'GB', 'United Kingdom'),
(13127, '62.23.42.48', '62.23.42.159', 1041705520, 1041705631, 'FR', 'France'),
(13128, '62.23.42.160', '62.23.42.191', 1041705632, 1041705663, 'GB', 'United Kingdom'),
(13129, '62.23.42.192', '62.23.42.223', 1041705664, 1041705695, 'FR', 'France'),
(13130, '62.23.42.224', '62.23.42.231', 1041705696, 1041705703, 'GB', 'United Kingdom'),
(13131, '62.23.42.232', '62.23.43.15', 1041705704, 1041705743, 'FR', 'France'),
(13132, '62.23.43.16', '62.23.43.23', 1041705744, 1041705751, 'GB', 'United Kingdom'),
(13133, '62.23.43.24', '62.23.43.39', 1041705752, 1041705767, 'FR', 'France'),
(13134, '62.23.43.40', '62.23.43.87', 1041705768, 1041705815, 'GB', 'United Kingdom'),
(13135, '62.23.43.88', '62.23.43.103', 1041705816, 1041705831, 'FR', 'France'),
(13136, '62.23.43.104', '62.23.43.127', 1041705832, 1041705855, 'GB', 'United Kingdom'),
(13137, '62.23.43.128', '62.23.43.143', 1041705856, 1041705871, 'FR', 'France'),
(13138, '62.23.43.144', '62.23.43.151', 1041705872, 1041705879, 'GB', 'United Kingdom'),
(13139, '62.23.43.152', '62.23.43.159', 1041705880, 1041705887, 'FR', 'France'),
(13140, '62.23.43.160', '62.23.43.167', 1041705888, 1041705895, 'GB', 'United Kingdom'),
(13141, '62.23.43.168', '62.23.43.175', 1041705896, 1041705903, 'FR', 'France'),
(13142, '62.23.43.176', '62.23.43.183', 1041705904, 1041705911, 'GB', 'United Kingdom'),
(13143, '62.23.43.184', '62.23.43.207', 1041705912, 1041705935, 'FR', 'France'),
(13144, '62.23.43.208', '62.23.43.223', 1041705936, 1041705951, 'GB', 'United Kingdom'),
(13145, '62.23.43.224', '62.23.44.127', 1041705952, 1041706111, 'FR', 'France'),
(13146, '62.23.44.128', '62.23.44.159', 1041706112, 1041706143, 'GB', 'United Kingdom'),
(13147, '62.23.44.160', '62.23.44.207', 1041706144, 1041706191, 'FR', 'France'),
(13148, '62.23.44.208', '62.23.44.255', 1041706192, 1041706239, 'GB', 'United Kingdom'),
(13149, '62.23.45.0', '62.23.45.239', 1041706240, 1041706479, 'FR', 'France'),
(13150, '62.23.45.240', '62.23.45.247', 1041706480, 1041706487, 'GB', 'United Kingdom'),
(13151, '62.23.45.248', '62.23.47.39', 1041706488, 1041706791, 'FR', 'France'),
(13152, '62.23.47.40', '62.23.47.47', 1041706792, 1041706799, 'GB', 'United Kingdom'),
(13153, '62.23.47.48', '62.23.47.111', 1041706800, 1041706863, 'FR', 'France'),
(13154, '62.23.47.112', '62.23.47.119', 1041706864, 1041706871, 'GB', 'United Kingdom'),
(13155, '62.23.47.120', '62.23.47.199', 1041706872, 1041706951, 'FR', 'France'),
(13156, '62.23.47.200', '62.23.47.223', 1041706952, 1041706975, 'GB', 'United Kingdom'),
(13157, '62.23.47.224', '62.23.47.247', 1041706976, 1041706999, 'FR', 'France'),
(13158, '62.23.47.248', '62.23.47.255', 1041707000, 1041707007, 'GB', 'United Kingdom'),
(13159, '62.23.48.0', '62.23.49.39', 1041707008, 1041707303, 'FR', 'France'),
(13160, '62.23.49.40', '62.23.49.55', 1041707304, 1041707319, 'GB', 'United Kingdom'),
(13161, '62.23.49.56', '62.23.49.143', 1041707320, 1041707407, 'FR', 'France'),
(13162, '62.23.49.144', '62.23.49.151', 1041707408, 1041707415, 'GB', 'United Kingdom'),
(13163, '62.23.49.152', '62.23.49.191', 1041707416, 1041707455, 'FR', 'France'),
(13164, '62.23.49.192', '62.23.49.199', 1041707456, 1041707463, 'GB', 'United Kingdom'),
(13165, '62.23.49.200', '62.23.49.215', 1041707464, 1041707479, 'FR', 'France'),
(13166, '62.23.49.216', '62.23.49.231', 1041707480, 1041707495, 'GB', 'United Kingdom'),
(13167, '62.23.49.232', '62.23.49.239', 1041707496, 1041707503, 'FR', 'France'),
(13168, '62.23.49.240', '62.23.49.255', 1041707504, 1041707519, 'GB', 'United Kingdom'),
(13169, '62.23.50.0', '62.23.50.55', 1041707520, 1041707575, 'FR', 'France'),
(13170, '62.23.50.56', '62.23.50.63', 1041707576, 1041707583, 'GB', 'United Kingdom'),
(13171, '62.23.50.64', '62.23.50.111', 1041707584, 1041707631, 'FR', 'France'),
(13172, '62.23.50.112', '62.23.50.127', 1041707632, 1041707647, 'GB', 'United Kingdom'),
(13173, '62.23.50.128', '62.23.50.159', 1041707648, 1041707679, 'FR', 'France'),
(13174, '62.23.50.160', '62.23.50.167', 1041707680, 1041707687, 'GB', 'United Kingdom'),
(13175, '62.23.50.168', '62.23.51.31', 1041707688, 1041707807, 'FR', 'France'),
(13176, '62.23.51.32', '62.23.51.39', 1041707808, 1041707815, 'GB', 'United Kingdom'),
(13177, '62.23.51.40', '62.23.51.95', 1041707816, 1041707871, 'FR', 'France'),
(13178, '62.23.51.96', '62.23.51.111', 1041707872, 1041707887, 'GB', 'United Kingdom'),
(13179, '62.23.51.112', '62.23.51.119', 1041707888, 1041707895, 'FR', 'France'),
(13180, '62.23.51.120', '62.23.51.127', 1041707896, 1041707903, 'GB', 'United Kingdom'),
(13181, '62.23.51.128', '62.23.51.223', 1041707904, 1041707999, 'FR', 'France'),
(13182, '62.23.51.224', '62.23.51.231', 1041708000, 1041708007, 'GB', 'United Kingdom'),
(13183, '62.23.51.232', '62.23.51.247', 1041708008, 1041708023, 'FR', 'France'),
(13184, '62.23.51.248', '62.23.51.255', 1041708024, 1041708031, 'GB', 'United Kingdom'),
(13185, '62.23.52.0', '62.23.53.127', 1041708032, 1041708415, 'FR', 'France'),
(13186, '62.23.53.128', '62.23.53.143', 1041708416, 1041708431, 'GB', 'United Kingdom'),
(13187, '62.23.53.144', '62.23.53.159', 1041708432, 1041708447, 'FR', 'France'),
(13188, '62.23.53.160', '62.23.53.199', 1041708448, 1041708487, 'GB', 'United Kingdom'),
(13189, '62.23.53.200', '62.23.53.207', 1041708488, 1041708495, 'FR', 'France'),
(13190, '62.23.53.208', '62.23.53.223', 1041708496, 1041708511, 'GB', 'United Kingdom'),
(13191, '62.23.53.224', '62.23.54.143', 1041708512, 1041708687, 'FR', 'France'),
(13192, '62.23.54.144', '62.23.54.151', 1041708688, 1041708695, 'GB', 'United Kingdom'),
(13193, '62.23.54.152', '62.23.54.159', 1041708696, 1041708703, 'FR', 'France'),
(13194, '62.23.54.160', '62.23.54.255', 1041708704, 1041708799, 'GB', 'United Kingdom'),
(13195, '62.23.55.0', '62.23.55.47', 1041708800, 1041708847, 'FR', 'France'),
(13196, '62.23.55.48', '62.23.55.55', 1041708848, 1041708855, 'GB', 'United Kingdom'),
(13197, '62.23.55.56', '62.23.55.79', 1041708856, 1041708879, 'FR', 'France'),
(13198, '62.23.55.80', '62.23.55.95', 1041708880, 1041708895, 'GB', 'United Kingdom'),
(13199, '62.23.55.96', '62.23.55.103', 1041708896, 1041708903, 'FR', 'France'),
(13200, '62.23.55.104', '62.23.55.111', 1041708904, 1041708911, 'GB', 'United Kingdom'),
(13201, '62.23.55.112', '62.23.55.127', 1041708912, 1041708927, 'FR', 'France'),
(13202, '62.23.55.128', '62.23.55.143', 1041708928, 1041708943, 'GB', 'United Kingdom'),
(13203, '62.23.55.144', '62.23.55.191', 1041708944, 1041708991, 'FR', 'France'),
(13204, '62.23.55.192', '62.23.55.199', 1041708992, 1041708999, 'GB', 'United Kingdom'),
(13205, '62.23.55.200', '62.23.55.223', 1041709000, 1041709023, 'FR', 'France'),
(13206, '62.23.55.224', '62.23.55.255', 1041709024, 1041709055, 'GB', 'United Kingdom'),
(13207, '62.23.56.0', '62.23.57.15', 1041709056, 1041709327, 'FR', 'France'),
(13208, '62.23.57.16', '62.23.57.63', 1041709328, 1041709375, 'GB', 'United Kingdom'),
(13209, '62.23.57.64', '62.23.57.127', 1041709376, 1041709439, 'FR', 'France'),
(13210, '62.23.57.128', '62.23.57.143', 1041709440, 1041709455, 'GB', 'United Kingdom'),
(13211, '62.23.57.144', '62.23.57.151', 1041709456, 1041709463, 'FR', 'France'),
(13212, '62.23.57.152', '62.23.57.159', 1041709464, 1041709471, 'GB', 'United Kingdom'),
(13213, '62.23.57.160', '62.23.57.167', 1041709472, 1041709479, 'FR', 'France'),
(13214, '62.23.57.168', '62.23.57.175', 1041709480, 1041709487, 'GB', 'United Kingdom'),
(13215, '62.23.57.176', '62.23.58.79', 1041709488, 1041709647, 'FR', 'France'),
(13216, '62.23.58.80', '62.23.58.127', 1041709648, 1041709695, 'GB', 'United Kingdom'),
(13217, '62.23.58.128', '62.23.58.199', 1041709696, 1041709767, 'FR', 'France'),
(13218, '62.23.58.200', '62.23.58.207', 1041709768, 1041709775, 'GB', 'United Kingdom'),
(13219, '62.23.58.208', '62.23.58.215', 1041709776, 1041709783, 'FR', 'France'),
(13220, '62.23.58.216', '62.23.58.223', 1041709784, 1041709791, 'GB', 'United Kingdom'),
(13221, '62.23.58.224', '62.23.59.79', 1041709792, 1041709903, 'FR', 'France'),
(13222, '62.23.59.80', '62.23.59.87', 1041709904, 1041709911, 'GB', 'United Kingdom'),
(13223, '62.23.59.88', '62.23.59.95', 1041709912, 1041709919, 'FR', 'France'),
(13224, '62.23.59.96', '62.23.59.103', 1041709920, 1041709927, 'GB', 'United Kingdom'),
(13225, '62.23.59.104', '62.23.59.111', 1041709928, 1041709935, 'FR', 'France'),
(13226, '62.23.59.112', '62.23.59.119', 1041709936, 1041709943, 'GB', 'United Kingdom'),
(13227, '62.23.59.120', '62.23.59.167', 1041709944, 1041709991, 'FR', 'France'),
(13228, '62.23.59.168', '62.23.59.175', 1041709992, 1041709999, 'GB', 'United Kingdom'),
(13229, '62.23.59.176', '62.23.59.183', 1041710000, 1041710007, 'FR', 'France'),
(13230, '62.23.59.184', '62.23.59.191', 1041710008, 1041710015, 'GB', 'United Kingdom'),
(13231, '62.23.59.192', '62.23.59.223', 1041710016, 1041710047, 'FR', 'France'),
(13232, '62.23.59.224', '62.23.59.231', 1041710048, 1041710055, 'GB', 'United Kingdom'),
(13233, '62.23.59.232', '62.23.61.55', 1041710056, 1041710391, 'FR', 'France'),
(13234, '62.23.61.56', '62.23.61.71', 1041710392, 1041710407, 'GB', 'United Kingdom'),
(13235, '62.23.61.72', '62.23.61.95', 1041710408, 1041710431, 'FR', 'France'),
(13236, '62.23.61.96', '62.23.61.119', 1041710432, 1041710455, 'GB', 'United Kingdom'),
(13237, '62.23.61.120', '62.23.61.135', 1041710456, 1041710471, 'FR', 'France'),
(13238, '62.23.61.136', '62.23.61.151', 1041710472, 1041710487, 'GB', 'United Kingdom'),
(13239, '62.23.61.152', '62.23.61.159', 1041710488, 1041710495, 'FR', 'France'),
(13240, '62.23.61.160', '62.23.61.175', 1041710496, 1041710511, 'GB', 'United Kingdom'),
(13241, '62.23.61.176', '62.23.61.199', 1041710512, 1041710535, 'FR', 'France'),
(13242, '62.23.61.200', '62.23.61.207', 1041710536, 1041710543, 'GB', 'United Kingdom'),
(13243, '62.23.61.208', '62.23.61.215', 1041710544, 1041710551, 'FR', 'France'),
(13244, '62.23.61.216', '62.23.61.255', 1041710552, 1041710591, 'GB', 'United Kingdom'),
(13245, '62.23.62.0', '62.23.62.127', 1041710592, 1041710719, 'FR', 'France'),
(13246, '62.23.62.128', '62.23.62.135', 1041710720, 1041710727, 'GB', 'United Kingdom'),
(13247, '62.23.62.136', '62.23.62.143', 1041710728, 1041710735, 'FR', 'France'),
(13248, '62.23.62.144', '62.23.62.159', 1041710736, 1041710751, 'GB', 'United Kingdom'),
(13249, '62.23.62.160', '62.23.62.183', 1041710752, 1041710775, 'FR', 'France'),
(13250, '62.23.62.184', '62.23.62.191', 1041710776, 1041710783, 'GB', 'United Kingdom'),
(13251, '62.23.62.192', '62.23.65.95', 1041710784, 1041711455, 'FR', 'France'),
(13252, '62.23.65.96', '62.23.65.159', 1041711456, 1041711519, 'GB', 'United Kingdom'),
(13253, '62.23.65.160', '62.23.65.191', 1041711520, 1041711551, 'FR', 'France'),
(13254, '62.23.65.192', '62.23.65.207', 1041711552, 1041711567, 'GB', 'United Kingdom'),
(13255, '62.23.65.208', '62.23.65.223', 1041711568, 1041711583, 'FR', 'France'),
(13256, '62.23.65.224', '62.23.65.239', 1041711584, 1041711599, 'GB', 'United Kingdom'),
(13257, '62.23.65.240', '62.23.67.71', 1041711600, 1041711943, 'FR', 'France'),
(13258, '62.23.67.72', '62.23.67.79', 1041711944, 1041711951, 'GB', 'United Kingdom'),
(13259, '62.23.67.80', '62.23.67.191', 1041711952, 1041712063, 'FR', 'France'),
(13260, '62.23.67.192', '62.23.67.223', 1041712064, 1041712095, 'GB', 'United Kingdom'),
(13261, '62.23.67.224', '62.23.69.31', 1041712096, 1041712415, 'FR', 'France'),
(13262, '62.23.69.32', '62.23.69.39', 1041712416, 1041712423, 'GB', 'United Kingdom'),
(13263, '62.23.69.40', '62.23.71.79', 1041712424, 1041712975, 'FR', 'France'),
(13264, '62.23.71.80', '62.23.71.87', 1041712976, 1041712983, 'GB', 'United Kingdom'),
(13265, '62.23.71.88', '62.23.71.199', 1041712984, 1041713095, 'FR', 'France'),
(13266, '62.23.71.200', '62.23.71.207', 1041713096, 1041713103, 'GB', 'United Kingdom'),
(13267, '62.23.71.208', '62.23.71.231', 1041713104, 1041713127, 'FR', 'France'),
(13268, '62.23.71.232', '62.23.71.239', 1041713128, 1041713135, 'GB', 'United Kingdom'),
(13269, '62.23.71.240', '62.23.75.23', 1041713136, 1041713943, 'FR', 'France'),
(13270, '62.23.75.24', '62.23.75.31', 1041713944, 1041713951, 'GB', 'United Kingdom'),
(13271, '62.23.75.32', '62.23.75.55', 1041713952, 1041713975, 'FR', 'France'),
(13272, '62.23.75.56', '62.23.75.63', 1041713976, 1041713983, 'GB', 'United Kingdom'),
(13273, '62.23.75.64', '62.23.75.71', 1041713984, 1041713991, 'FR', 'France'),
(13274, '62.23.75.72', '62.23.75.87', 1041713992, 1041714007, 'GB', 'United Kingdom'),
(13275, '62.23.75.88', '62.23.75.119', 1041714008, 1041714039, 'FR', 'France'),
(13276, '62.23.75.120', '62.23.75.135', 1041714040, 1041714055, 'GB', 'United Kingdom'),
(13277, '62.23.75.136', '62.23.75.151', 1041714056, 1041714071, 'FR', 'France'),
(13278, '62.23.75.152', '62.23.75.159', 1041714072, 1041714079, 'GB', 'United Kingdom'),
(13279, '62.23.75.160', '62.23.75.175', 1041714080, 1041714095, 'FR', 'France'),
(13280, '62.23.75.176', '62.23.75.183', 1041714096, 1041714103, 'GB', 'United Kingdom'),
(13281, '62.23.75.184', '62.23.75.191', 1041714104, 1041714111, 'FR', 'France'),
(13282, '62.23.75.192', '62.23.75.255', 1041714112, 1041714175, 'GB', 'United Kingdom'),
(13283, '62.23.76.0', '62.23.77.31', 1041714176, 1041714463, 'FR', 'France'),
(13284, '62.23.77.32', '62.23.77.39', 1041714464, 1041714471, 'GB', 'United Kingdom'),
(13285, '62.23.77.40', '62.23.77.79', 1041714472, 1041714511, 'FR', 'France'),
(13286, '62.23.77.80', '62.23.77.87', 1041714512, 1041714519, 'GB', 'United Kingdom'),
(13287, '62.23.77.88', '62.23.77.239', 1041714520, 1041714671, 'FR', 'France'),
(13288, '62.23.77.240', '62.23.77.255', 1041714672, 1041714687, 'GB', 'United Kingdom'),
(13289, '62.23.78.0', '62.23.78.127', 1041714688, 1041714815, 'FR', 'France'),
(13290, '62.23.78.128', '62.23.78.159', 1041714816, 1041714847, 'GB', 'United Kingdom'),
(13291, '62.23.78.160', '62.23.78.167', 1041714848, 1041714855, 'FR', 'France'),
(13292, '62.23.78.168', '62.23.78.191', 1041714856, 1041714879, 'GB', 'United Kingdom'),
(13293, '62.23.78.192', '62.23.78.223', 1041714880, 1041714911, 'FR', 'France'),
(13294, '62.23.78.224', '62.23.78.231', 1041714912, 1041714919, 'GB', 'United Kingdom'),
(13295, '62.23.78.232', '62.23.79.63', 1041714920, 1041715007, 'FR', 'France'),
(13296, '62.23.79.64', '62.23.79.71', 1041715008, 1041715015, 'GB', 'United Kingdom'),
(13297, '62.23.79.72', '62.23.79.135', 1041715016, 1041715079, 'FR', 'France'),
(13298, '62.23.79.136', '62.23.79.143', 1041715080, 1041715087, 'GB', 'United Kingdom'),
(13299, '62.23.79.144', '62.23.79.151', 1041715088, 1041715095, 'FR', 'France'),
(13300, '62.23.79.152', '62.23.79.159', 1041715096, 1041715103, 'GB', 'United Kingdom'),
(13301, '62.23.79.160', '62.23.81.71', 1041715104, 1041715527, 'FR', 'France'),
(13302, '62.23.81.72', '62.23.81.79', 1041715528, 1041715535, 'GB', 'United Kingdom'),
(13303, '62.23.81.80', '62.23.81.127', 1041715536, 1041715583, 'FR', 'France'),
(13304, '62.23.81.128', '62.23.81.159', 1041715584, 1041715615, 'GB', 'United Kingdom'),
(13305, '62.23.81.160', '62.23.81.175', 1041715616, 1041715631, 'FR', 'France'),
(13306, '62.23.81.176', '62.23.81.191', 1041715632, 1041715647, 'GB', 'United Kingdom'),
(13307, '62.23.81.192', '62.23.82.55', 1041715648, 1041715767, 'FR', 'France'),
(13308, '62.23.82.56', '62.23.82.79', 1041715768, 1041715791, 'GB', 'United Kingdom'),
(13309, '62.23.82.80', '62.23.82.95', 1041715792, 1041715807, 'FR', 'France'),
(13310, '62.23.82.96', '62.23.82.111', 1041715808, 1041715823, 'GB', 'United Kingdom'),
(13311, '62.23.82.112', '62.23.82.151', 1041715824, 1041715863, 'FR', 'France'),
(13312, '62.23.82.152', '62.23.82.158', 1041715864, 1041715870, 'GB', 'United Kingdom'),
(13313, '62.23.82.159', '62.23.82.191', 1041715871, 1041715903, 'FR', 'France'),
(13314, '62.23.82.192', '62.23.82.199', 1041715904, 1041715911, 'GB', 'United Kingdom'),
(13315, '62.23.82.200', '62.23.82.231', 1041715912, 1041715943, 'FR', 'France'),
(13316, '62.23.82.232', '62.23.82.239', 1041715944, 1041715951, 'GB', 'United Kingdom'),
(13317, '62.23.82.240', '62.23.83.31', 1041715952, 1041715999, 'FR', 'France'),
(13318, '62.23.83.32', '62.23.83.47', 1041716000, 1041716015, 'GB', 'United Kingdom'),
(13319, '62.23.83.48', '62.23.83.79', 1041716016, 1041716047, 'FR', 'France'),
(13320, '62.23.83.80', '62.23.83.127', 1041716048, 1041716095, 'GB', 'United Kingdom'),
(13321, '62.23.83.128', '62.23.83.143', 1041716096, 1041716111, 'FR', 'France'),
(13322, '62.23.83.144', '62.23.83.255', 1041716112, 1041716223, 'GB', 'United Kingdom'),
(13323, '62.23.84.0', '62.23.84.215', 1041716224, 1041716439, 'FR', 'France'),
(13324, '62.23.84.216', '62.23.84.223', 1041716440, 1041716447, 'GB', 'United Kingdom'),
(13325, '62.23.84.224', '62.23.85.23', 1041716448, 1041716503, 'FR', 'France'),
(13326, '62.23.85.24', '62.23.85.31', 1041716504, 1041716511, 'GB', 'United Kingdom'),
(13327, '62.23.85.32', '62.23.85.39', 1041716512, 1041716519, 'FR', 'France'),
(13328, '62.23.85.40', '62.23.85.47', 1041716520, 1041716527, 'GB', 'United Kingdom'),
(13329, '62.23.85.48', '62.23.85.63', 1041716528, 1041716543, 'FR', 'France'),
(13330, '62.23.85.64', '62.23.85.95', 1041716544, 1041716575, 'GB', 'United Kingdom'),
(13331, '62.23.85.96', '62.23.85.191', 1041716576, 1041716671, 'FR', 'France'),
(13332, '62.23.85.192', '62.23.85.223', 1041716672, 1041716703, 'GB', 'United Kingdom'),
(13333, '62.23.85.224', '62.23.87.79', 1041716704, 1041717071, 'FR', 'France'),
(13334, '62.23.87.80', '62.23.87.87', 1041717072, 1041717079, 'GB', 'United Kingdom'),
(13335, '62.23.87.88', '62.23.87.95', 1041717080, 1041717087, 'FR', 'France'),
(13336, '62.23.87.96', '62.23.87.111', 1041717088, 1041717103, 'GB', 'United Kingdom'),
(13337, '62.23.87.112', '62.23.87.119', 1041717104, 1041717111, 'FR', 'France'),
(13338, '62.23.87.120', '62.23.87.127', 1041717112, 1041717119, 'GB', 'United Kingdom'),
(13339, '62.23.87.128', '62.23.87.175', 1041717120, 1041717167, 'FR', 'France'),
(13340, '62.23.87.176', '62.23.87.191', 1041717168, 1041717183, 'GB', 'United Kingdom'),
(13341, '62.23.87.192', '62.23.87.207', 1041717184, 1041717199, 'FR', 'France'),
(13342, '62.23.87.208', '62.23.87.255', 1041717200, 1041717247, 'GB', 'United Kingdom'),
(13343, '62.23.88.0', '62.23.88.255', 1041717248, 1041717503, 'FR', 'France'),
(13344, '62.23.89.0', '62.23.89.7', 1041717504, 1041717511, 'IT', 'Italy'),
(13345, '62.23.89.8', '62.23.89.127', 1041717512, 1041717631, 'FR', 'France'),
(13346, '62.23.89.128', '62.23.89.135', 1041717632, 1041717639, 'GB', 'United Kingdom'),
(13347, '62.23.89.136', '62.23.89.183', 1041717640, 1041717687, 'FR', 'France'),
(13348, '62.23.89.184', '62.23.89.191', 1041717688, 1041717695, 'GB', 'United Kingdom'),
(13349, '62.23.89.192', '62.23.89.207', 1041717696, 1041717711, 'FR', 'France'),
(13350, '62.23.89.208', '62.23.89.215', 1041717712, 1041717719, 'GB', 'United Kingdom'),
(13351, '62.23.89.216', '62.23.91.55', 1041717720, 1041718071, 'FR', 'France'),
(13352, '62.23.91.56', '62.23.91.63', 1041718072, 1041718079, 'GB', 'United Kingdom'),
(13353, '62.23.91.64', '62.23.91.96', 1041718080, 1041718112, 'FR', 'France'),
(13354, '62.23.91.97', '62.23.91.103', 1041718113, 1041718119, 'GB', 'United Kingdom'),
(13355, '62.23.91.104', '62.23.91.111', 1041718120, 1041718127, 'FR', 'France'),
(13356, '62.23.91.112', '62.23.91.119', 1041718128, 1041718135, 'GB', 'United Kingdom'),
(13357, '62.23.91.120', '62.23.91.135', 1041718136, 1041718151, 'FR', 'France'),
(13358, '62.23.91.136', '62.23.91.143', 1041718152, 1041718159, 'GB', 'United Kingdom'),
(13359, '62.23.91.144', '62.23.91.175', 1041718160, 1041718191, 'FR', 'France'),
(13360, '62.23.91.176', '62.23.91.207', 1041718192, 1041718223, 'GB', 'United Kingdom'),
(13361, '62.23.91.208', '62.23.91.215', 1041718224, 1041718231, 'FR', 'France'),
(13362, '62.23.91.216', '62.23.91.239', 1041718232, 1041718255, 'GB', 'United Kingdom'),
(13363, '62.23.91.240', '62.23.92.71', 1041718256, 1041718343, 'FR', 'France'),
(13364, '62.23.92.72', '62.23.92.79', 1041718344, 1041718351, 'GB', 'United Kingdom'),
(13365, '62.23.92.80', '62.23.92.111', 1041718352, 1041718383, 'FR', 'France'),
(13366, '62.23.92.112', '62.23.92.119', 1041718384, 1041718391, 'GB', 'United Kingdom'),
(13367, '62.23.92.120', '62.23.92.175', 1041718392, 1041718447, 'FR', 'France'),
(13368, '62.23.92.176', '62.23.92.183', 1041718448, 1041718455, 'GB', 'United Kingdom'),
(13369, '62.23.92.184', '62.23.92.191', 1041718456, 1041718463, 'FR', 'France'),
(13370, '62.23.92.192', '62.23.92.207', 1041718464, 1041718479, 'GB', 'United Kingdom'),
(13371, '62.23.92.208', '62.23.92.223', 1041718480, 1041718495, 'FR', 'France'),
(13372, '62.23.92.224', '62.23.92.231', 1041718496, 1041718503, 'GB', 'United Kingdom'),
(13373, '62.23.92.232', '62.23.93.71', 1041718504, 1041718599, 'FR', 'France'),
(13374, '62.23.93.72', '62.23.93.79', 1041718600, 1041718607, 'GB', 'United Kingdom'),
(13375, '62.23.93.80', '62.23.93.95', 1041718608, 1041718623, 'FR', 'France'),
(13376, '62.23.93.96', '62.23.93.111', 1041718624, 1041718639, 'GB', 'United Kingdom'),
(13377, '62.23.93.112', '62.23.93.135', 1041718640, 1041718663, 'FR', 'France'),
(13378, '62.23.93.136', '62.23.93.143', 1041718664, 1041718671, 'GB', 'United Kingdom'),
(13379, '62.23.93.144', '62.23.93.239', 1041718672, 1041718767, 'FR', 'France'),
(13380, '62.23.93.240', '62.23.93.247', 1041718768, 1041718775, 'GB', 'United Kingdom'),
(13381, '62.23.93.248', '62.23.94.111', 1041718776, 1041718895, 'FR', 'France'),
(13382, '62.23.94.112', '62.23.94.127', 1041718896, 1041718911, 'GB', 'United Kingdom'),
(13383, '62.23.94.128', '62.23.94.151', 1041718912, 1041718935, 'FR', 'France'),
(13384, '62.23.94.152', '62.23.94.159', 1041718936, 1041718943, 'GB', 'United Kingdom'),
(13385, '62.23.94.160', '62.23.94.191', 1041718944, 1041718975, 'FR', 'France'),
(13386, '62.23.94.192', '62.23.94.207', 1041718976, 1041718991, 'GB', 'United Kingdom'),
(13387, '62.23.94.208', '62.23.94.215', 1041718992, 1041718999, 'FR', 'France'),
(13388, '62.23.94.216', '62.23.94.223', 1041719000, 1041719007, 'GB', 'United Kingdom'),
(13389, '62.23.94.224', '62.23.95.127', 1041719008, 1041719167, 'FR', 'France'),
(13390, '62.23.95.128', '62.23.95.135', 1041719168, 1041719175, 'GB', 'United Kingdom'),
(13391, '62.23.95.136', '62.23.95.163', 1041719176, 1041719203, 'FR', 'France'),
(13392, '62.23.95.164', '62.23.95.167', 1041719204, 1041719207, 'GB', 'United Kingdom'),
(13393, '62.23.95.168', '62.23.95.175', 1041719208, 1041719215, 'FR', 'France'),
(13394, '62.23.95.176', '62.23.95.183', 1041719216, 1041719223, 'GB', 'United Kingdom'),
(13395, '62.23.95.184', '62.23.95.184', 1041719224, 1041719224, 'FR', 'France'),
(13396, '62.23.95.185', '62.23.95.187', 1041719225, 1041719227, 'GB', 'United Kingdom'),
(13397, '62.23.95.188', '62.23.95.188', 1041719228, 1041719228, 'FR', 'France'),
(13398, '62.23.95.189', '62.23.95.191', 1041719229, 1041719231, 'GB', 'United Kingdom'),
(13399, '62.23.95.192', '62.23.95.207', 1041719232, 1041719247, 'FR', 'France'),
(13400, '62.23.95.208', '62.23.95.223', 1041719248, 1041719263, 'GB', 'United Kingdom'),
(13401, '62.23.95.224', '62.23.96.191', 1041719264, 1041719487, 'FR', 'France'),
(13402, '62.23.96.192', '62.23.96.223', 1041719488, 1041719519, 'GB', 'United Kingdom'),
(13403, '62.23.96.224', '62.23.97.15', 1041719520, 1041719567, 'FR', 'France'),
(13404, '62.23.97.16', '62.23.97.31', 1041719568, 1041719583, 'GB', 'United Kingdom'),
(13405, '62.23.97.32', '62.23.97.79', 1041719584, 1041719631, 'FR', 'France'),
(13406, '62.23.97.80', '62.23.97.87', 1041719632, 1041719639, 'GB', 'United Kingdom'),
(13407, '62.23.97.88', '62.23.97.191', 1041719640, 1041719743, 'FR', 'France'),
(13408, '62.23.97.192', '62.23.97.207', 1041719744, 1041719759, 'GB', 'United Kingdom'),
(13409, '62.23.97.208', '62.23.98.79', 1041719760, 1041719887, 'FR', 'France'),
(13410, '62.23.98.80', '62.23.98.95', 1041719888, 1041719903, 'GB', 'United Kingdom'),
(13411, '62.23.98.96', '62.23.98.111', 1041719904, 1041719919, 'FR', 'France'),
(13412, '62.23.98.112', '62.23.98.127', 1041719920, 1041719935, 'GB', 'United Kingdom'),
(13413, '62.23.98.128', '62.23.98.207', 1041719936, 1041720015, 'FR', 'France'),
(13414, '62.23.98.208', '62.23.98.223', 1041720016, 1041720031, 'GB', 'United Kingdom'),
(13415, '62.23.98.224', '62.23.100.127', 1041720032, 1041720447, 'FR', 'France'),
(13416, '62.23.100.128', '62.23.100.135', 1041720448, 1041720455, 'GB', 'United Kingdom'),
(13417, '62.23.100.136', '62.23.100.143', 1041720456, 1041720463, 'FR', 'France'),
(13418, '62.23.100.144', '62.23.100.151', 1041720464, 1041720471, 'GB', 'United Kingdom'),
(13419, '62.23.100.152', '62.23.100.167', 1041720472, 1041720487, 'FR', 'France'),
(13420, '62.23.100.168', '62.23.100.175', 1041720488, 1041720495, 'GB', 'United Kingdom'),
(13421, '62.23.100.176', '62.23.100.207', 1041720496, 1041720527, 'FR', 'France'),
(13422, '62.23.100.208', '62.23.100.215', 1041720528, 1041720535, 'GB', 'United Kingdom'),
(13423, '62.23.100.216', '62.23.100.231', 1041720536, 1041720551, 'FR', 'France'),
(13424, '62.23.100.232', '62.23.100.239', 1041720552, 1041720559, 'GB', 'United Kingdom'),
(13425, '62.23.100.240', '62.23.100.247', 1041720560, 1041720567, 'FR', 'France'),
(13426, '62.23.100.248', '62.23.101.31', 1041720568, 1041720607, 'GB', 'United Kingdom'),
(13427, '62.23.101.32', '62.23.101.55', 1041720608, 1041720631, 'FR', 'France'),
(13428, '62.23.101.56', '62.23.101.63', 1041720632, 1041720639, 'GB', 'United Kingdom'),
(13429, '62.23.101.64', '62.23.101.111', 1041720640, 1041720687, 'FR', 'France'),
(13430, '62.23.101.112', '62.23.101.127', 1041720688, 1041720703, 'GB', 'United Kingdom'),
(13431, '62.23.101.128', '62.23.101.255', 1041720704, 1041720831, 'FR', 'France'),
(13432, '62.23.102.0', '62.23.102.7', 1041720832, 1041720839, 'GB', 'United Kingdom'),
(13433, '62.23.102.8', '62.23.102.63', 1041720840, 1041720895, 'FR', 'France'),
(13434, '62.23.102.64', '62.23.102.95', 1041720896, 1041720927, 'GB', 'United Kingdom'),
(13435, '62.23.102.96', '62.23.102.207', 1041720928, 1041721039, 'FR', 'France'),
(13436, '62.23.102.208', '62.23.102.223', 1041721040, 1041721055, 'GB', 'United Kingdom'),
(13437, '62.23.102.224', '62.23.103.255', 1041721056, 1041721343, 'FR', 'France'),
(13438, '62.23.104.0', '62.23.104.15', 1041721344, 1041721359, 'GB', 'United Kingdom'),
(13439, '62.23.104.16', '62.23.104.47', 1041721360, 1041721391, 'FR', 'France'),
(13440, '62.23.104.48', '62.23.104.63', 1041721392, 1041721407, 'GB', 'United Kingdom'),
(13441, '62.23.104.64', '62.23.104.175', 1041721408, 1041721519, 'FR', 'France'),
(13442, '62.23.104.176', '62.23.104.191', 1041721520, 1041721535, 'GB', 'United Kingdom'),
(13443, '62.23.104.192', '62.23.105.175', 1041721536, 1041721775, 'FR', 'France'),
(13444, '62.23.105.176', '62.23.105.191', 1041721776, 1041721791, 'GB', 'United Kingdom'),
(13445, '62.23.105.192', '62.23.105.215', 1041721792, 1041721815, 'FR', 'France'),
(13446, '62.23.105.216', '62.23.105.223', 1041721816, 1041721823, 'GB', 'United Kingdom'),
(13447, '62.23.105.224', '62.23.107.63', 1041721824, 1041722175, 'FR', 'France'),
(13448, '62.23.107.64', '62.23.107.79', 1041722176, 1041722191, 'GB', 'United Kingdom'),
(13449, '62.23.107.80', '62.23.107.95', 1041722192, 1041722207, 'FR', 'France'),
(13450, '62.23.107.96', '62.23.107.103', 1041722208, 1041722215, 'GB', 'United Kingdom'),
(13451, '62.23.107.104', '62.23.107.111', 1041722216, 1041722223, 'FR', 'France'),
(13452, '62.23.107.112', '62.23.107.127', 1041722224, 1041722239, 'GB', 'United Kingdom'),
(13453, '62.23.107.128', '62.23.107.167', 1041722240, 1041722279, 'FR', 'France'),
(13454, '62.23.107.168', '62.23.108.15', 1041722280, 1041722383, 'GB', 'United Kingdom'),
(13455, '62.23.108.16', '62.23.108.23', 1041722384, 1041722391, 'FR', 'France'),
(13456, '62.23.108.24', '62.23.108.31', 1041722392, 1041722399, 'GB', 'United Kingdom'),
(13457, '62.23.108.32', '62.23.108.55', 1041722400, 1041722423, 'FR', 'France'),
(13458, '62.23.108.56', '62.23.108.95', 1041722424, 1041722463, 'GB', 'United Kingdom'),
(13459, '62.23.108.96', '62.23.108.111', 1041722464, 1041722479, 'FR', 'France'),
(13460, '62.23.108.112', '62.23.108.127', 1041722480, 1041722495, 'GB', 'United Kingdom'),
(13461, '62.23.108.128', '62.23.108.167', 1041722496, 1041722535, 'FR', 'France'),
(13462, '62.23.108.168', '62.23.108.191', 1041722536, 1041722559, 'GB', 'United Kingdom'),
(13463, '62.23.108.192', '62.23.108.199', 1041722560, 1041722567, 'FR', 'France'),
(13464, '62.23.108.200', '62.23.108.255', 1041722568, 1041722623, 'GB', 'United Kingdom'),
(13465, '62.23.109.0', '62.23.109.15', 1041722624, 1041722639, 'FR', 'France'),
(13466, '62.23.109.16', '62.23.109.31', 1041722640, 1041722655, 'GB', 'United Kingdom'),
(13467, '62.23.109.32', '62.23.109.79', 1041722656, 1041722703, 'FR', 'France'),
(13468, '62.23.109.80', '62.23.109.87', 1041722704, 1041722711, 'GB', 'United Kingdom'),
(13469, '62.23.109.88', '62.23.109.119', 1041722712, 1041722743, 'FR', 'France'),
(13470, '62.23.109.120', '62.23.109.127', 1041722744, 1041722751, 'GB', 'United Kingdom'),
(13471, '62.23.109.128', '62.23.110.103', 1041722752, 1041722983, 'FR', 'France'),
(13472, '62.23.110.104', '62.23.110.127', 1041722984, 1041723007, 'GB', 'United Kingdom'),
(13473, '62.23.110.128', '62.23.110.167', 1041723008, 1041723047, 'FR', 'France'),
(13474, '62.23.110.168', '62.23.110.255', 1041723048, 1041723135, 'GB', 'United Kingdom'),
(13475, '62.23.111.0', '62.23.111.223', 1041723136, 1041723359, 'FR', 'France'),
(13476, '62.23.111.224', '62.23.111.255', 1041723360, 1041723391, 'GB', 'United Kingdom'),
(13477, '62.23.112.0', '62.23.113.7', 1041723392, 1041723655, 'FR', 'France'),
(13478, '62.23.113.8', '62.23.113.127', 1041723656, 1041723775, 'GB', 'United Kingdom'),
(13479, '62.23.113.128', '62.23.113.191', 1041723776, 1041723839, 'FR', 'France'),
(13480, '62.23.113.192', '62.23.113.223', 1041723840, 1041723871, 'GB', 'United Kingdom'),
(13481, '62.23.113.224', '62.23.113.239', 1041723872, 1041723887, 'FR', 'France'),
(13482, '62.23.113.240', '62.23.113.255', 1041723888, 1041723903, 'GB', 'United Kingdom'),
(13483, '62.23.114.0', '62.23.116.39', 1041723904, 1041724455, 'FR', 'France'),
(13484, '62.23.116.40', '62.23.116.55', 1041724456, 1041724471, 'GB', 'United Kingdom'),
(13485, '62.23.116.56', '62.23.116.95', 1041724472, 1041724511, 'FR', 'France'),
(13486, '62.23.116.96', '62.23.116.103', 1041724512, 1041724519, 'GB', 'United Kingdom'),
(13487, '62.23.116.104', '62.23.116.255', 1041724520, 1041724671, 'FR', 'France'),
(13488, '62.23.117.0', '62.23.117.255', 1041724672, 1041724927, 'GB', 'United Kingdom'),
(13489, '62.23.118.0', '62.23.118.87', 1041724928, 1041725015, 'FR', 'France'),
(13490, '62.23.118.88', '62.23.118.95', 1041725016, 1041725023, 'GB', 'United Kingdom'),
(13491, '62.23.118.96', '62.23.118.191', 1041725024, 1041725119, 'FR', 'France'),
(13492, '62.23.118.192', '62.23.118.239', 1041725120, 1041725167, 'GB', 'United Kingdom'),
(13493, '62.23.118.240', '62.23.118.247', 1041725168, 1041725175, 'FR', 'France'),
(13494, '62.23.118.248', '62.23.118.255', 1041725176, 1041725183, 'GB', 'United Kingdom'),
(13495, '62.23.119.0', '62.23.119.23', 1041725184, 1041725207, 'FR', 'France'),
(13496, '62.23.119.24', '62.23.119.47', 1041725208, 1041725231, 'GB', 'United Kingdom'),
(13497, '62.23.119.48', '62.23.119.71', 1041725232, 1041725255, 'FR', 'France'),
(13498, '62.23.119.72', '62.23.119.95', 1041725256, 1041725279, 'GB', 'United Kingdom'),
(13499, '62.23.119.96', '62.23.119.191', 1041725280, 1041725375, 'FR', 'France'),
(13500, '62.23.119.192', '62.23.119.223', 1041725376, 1041725407, 'GB', 'United Kingdom'),
(13501, '62.23.119.224', '62.23.121.53', 1041725408, 1041725749, 'FR', 'France'),
(13502, '62.23.121.54', '62.23.121.55', 1041725750, 1041725751, 'GB', 'United Kingdom'),
(13503, '62.23.121.56', '62.23.121.119', 1041725752, 1041725815, 'FR', 'France'),
(13504, '62.23.121.120', '62.23.121.135', 1041725816, 1041725831, 'GB', 'United Kingdom'),
(13505, '62.23.121.136', '62.23.121.167', 1041725832, 1041725863, 'FR', 'France'),
(13506, '62.23.121.168', '62.23.121.175', 1041725864, 1041725871, 'GB', 'United Kingdom'),
(13507, '62.23.121.176', '62.23.122.111', 1041725872, 1041726063, 'FR', 'France'),
(13508, '62.23.122.112', '62.23.122.127', 1041726064, 1041726079, 'GB', 'United Kingdom'),
(13509, '62.23.122.128', '62.23.122.175', 1041726080, 1041726127, 'FR', 'France'),
(13510, '62.23.122.176', '62.23.122.199', 1041726128, 1041726151, 'GB', 'United Kingdom'),
(13511, '62.23.122.200', '62.23.122.207', 1041726152, 1041726159, 'FR', 'France'),
(13512, '62.23.122.208', '62.23.122.215', 1041726160, 1041726167, 'GB', 'United Kingdom'),
(13513, '62.23.122.216', '62.23.124.47', 1041726168, 1041726511, 'FR', 'France'),
(13514, '62.23.124.48', '62.23.124.79', 1041726512, 1041726543, 'GB', 'United Kingdom'),
(13515, '62.23.124.80', '62.23.124.135', 1041726544, 1041726599, 'FR', 'France'),
(13516, '62.23.124.136', '62.23.124.143', 1041726600, 1041726607, 'GB', 'United Kingdom'),
(13517, '62.23.124.144', '62.23.124.175', 1041726608, 1041726639, 'FR', 'France'),
(13518, '62.23.124.176', '62.23.124.191', 1041726640, 1041726655, 'GB', 'United Kingdom'),
(13519, '62.23.124.192', '62.23.124.207', 1041726656, 1041726671, 'FR', 'France'),
(13520, '62.23.124.208', '62.23.124.223', 1041726672, 1041726687, 'GB', 'United Kingdom'),
(13521, '62.23.124.224', '62.23.124.255', 1041726688, 1041726719, 'FR', 'France'),
(13522, '62.23.125.0', '62.23.125.7', 1041726720, 1041726727, 'GB', 'United Kingdom'),
(13523, '62.23.125.8', '62.23.125.15', 1041726728, 1041726735, 'FR', 'France'),
(13524, '62.23.125.16', '62.23.125.31', 1041726736, 1041726751, 'GB', 'United Kingdom'),
(13525, '62.23.125.32', '62.23.125.127', 1041726752, 1041726847, 'FR', 'France'),
(13526, '62.23.125.128', '62.23.125.135', 1041726848, 1041726855, 'GB', 'United Kingdom'),
(13527, '62.23.125.136', '62.23.125.159', 1041726856, 1041726879, 'FR', 'France'),
(13528, '62.23.125.160', '62.23.125.183', 1041726880, 1041726903, 'GB', 'United Kingdom'),
(13529, '62.23.125.184', '62.23.125.231', 1041726904, 1041726951, 'FR', 'France'),
(13530, '62.23.125.232', '62.23.125.239', 1041726952, 1041726959, 'GB', 'United Kingdom'),
(13531, '62.23.125.240', '62.23.125.255', 1041726960, 1041726975, 'FR', 'France'),
(13532, '62.23.126.0', '62.23.126.3', 1041726976, 1041726979, 'GB', 'United Kingdom'),
(13533, '62.23.126.4', '62.23.126.7', 1041726980, 1041726983, 'FR', 'France'),
(13534, '62.23.126.8', '62.23.126.11', 1041726984, 1041726987, 'GB', 'United Kingdom'),
(13535, '62.23.126.12', '62.23.126.15', 1041726988, 1041726991, 'FR', 'France'),
(13536, '62.23.126.16', '62.23.126.16', 1041726992, 1041726992, 'GB', 'United Kingdom'),
(13537, '62.23.126.17', '62.23.126.18', 1041726993, 1041726994, 'FR', 'France'),
(13538, '62.23.126.19', '62.23.126.19', 1041726995, 1041726995, 'GB', 'United Kingdom'),
(13539, '62.23.126.20', '62.23.126.31', 1041726996, 1041727007, 'FR', 'France'),
(13540, '62.23.126.32', '62.23.126.52', 1041727008, 1041727028, 'GB', 'United Kingdom'),
(13541, '62.23.126.53', '62.23.126.53', 1041727029, 1041727029, 'FR', 'France'),
(13542, '62.23.126.54', '62.23.126.60', 1041727030, 1041727036, 'GB', 'United Kingdom'),
(13543, '62.23.126.61', '62.23.126.62', 1041727037, 1041727038, 'FR', 'France'),
(13544, '62.23.126.63', '62.23.126.66', 1041727039, 1041727042, 'GB', 'United Kingdom'),
(13545, '62.23.126.67', '62.23.126.67', 1041727043, 1041727043, 'FR', 'France'),
(13546, '62.23.126.68', '62.23.126.73', 1041727044, 1041727049, 'GB', 'United Kingdom'),
(13547, '62.23.126.74', '62.23.126.74', 1041727050, 1041727050, 'FR', 'France'),
(13548, '62.23.126.75', '62.23.126.79', 1041727051, 1041727055, 'GB', 'United Kingdom'),
(13549, '62.23.126.80', '62.23.126.87', 1041727056, 1041727063, 'FR', 'France'),
(13550, '62.23.126.88', '62.23.126.94', 1041727064, 1041727070, 'GB', 'United Kingdom'),
(13551, '62.23.126.95', '62.23.126.111', 1041727071, 1041727087, 'FR', 'France'),
(13552, '62.23.126.112', '62.23.126.113', 1041727088, 1041727089, 'GB', 'United Kingdom'),
(13553, '62.23.126.114', '62.23.126.114', 1041727090, 1041727090, 'FR', 'France'),
(13554, '62.23.126.115', '62.23.126.115', 1041727091, 1041727091, 'GB', 'United Kingdom'),
(13555, '62.23.126.116', '62.23.126.191', 1041727092, 1041727167, 'FR', 'France'),
(13556, '62.23.126.192', '62.23.126.255', 1041727168, 1041727231, 'GB', 'United Kingdom'),
(13557, '62.23.127.0', '62.23.127.71', 1041727232, 1041727303, 'FR', 'France'),
(13558, '62.23.127.72', '62.23.127.79', 1041727304, 1041727311, 'GB', 'United Kingdom'),
(13559, '62.23.127.80', '62.23.129.255', 1041727312, 1041727999, 'FR', 'France'),
(13560, '62.23.130.0', '62.23.130.47', 1041728000, 1041728047, 'GB', 'United Kingdom'),
(13561, '62.23.130.48', '62.23.130.63', 1041728048, 1041728063, 'FR', 'France'),
(13562, '62.23.130.64', '62.23.130.95', 1041728064, 1041728095, 'GB', 'United Kingdom'),
(13563, '62.23.130.96', '62.23.130.111', 1041728096, 1041728111, 'FR', 'France'),
(13564, '62.23.130.112', '62.23.130.127', 1041728112, 1041728127, 'GB', 'United Kingdom'),
(13565, '62.23.130.128', '62.23.133.119', 1041728128, 1041728887, 'FR', 'France'),
(13566, '62.23.133.120', '62.23.133.127', 1041728888, 1041728895, 'GB', 'United Kingdom'),
(13567, '62.23.133.128', '62.23.135.103', 1041728896, 1041729383, 'FR', 'France'),
(13568, '62.23.135.104', '62.23.135.111', 1041729384, 1041729391, 'GB', 'United Kingdom'),
(13569, '62.23.135.112', '62.23.135.167', 1041729392, 1041729447, 'FR', 'France'),
(13570, '62.23.135.168', '62.23.135.175', 1041729448, 1041729455, 'GB', 'United Kingdom'),
(13571, '62.23.135.176', '62.23.135.223', 1041729456, 1041729503, 'FR', 'France'),
(13572, '62.23.135.224', '62.23.135.239', 1041729504, 1041729519, 'GB', 'United Kingdom'),
(13573, '62.23.135.240', '62.23.135.247', 1041729520, 1041729527, 'FR', 'France'),
(13574, '62.23.135.248', '62.23.135.255', 1041729528, 1041729535, 'GB', 'United Kingdom'),
(13575, '62.23.136.0', '62.23.136.25', 1041729536, 1041729561, 'FR', 'France'),
(13576, '62.23.136.26', '62.23.136.28', 1041729562, 1041729564, 'GB', 'United Kingdom'),
(13577, '62.23.136.29', '62.23.136.30', 1041729565, 1041729566, 'FR', 'France'),
(13578, '62.23.136.31', '62.23.136.31', 1041729567, 1041729567, 'GB', 'United Kingdom'),
(13579, '62.23.136.32', '62.23.136.79', 1041729568, 1041729615, 'FR', 'France'),
(13580, '62.23.136.80', '62.23.136.87', 1041729616, 1041729623, 'GB', 'United Kingdom'),
(13581, '62.23.136.88', '62.23.136.127', 1041729624, 1041729663, 'FR', 'France'),
(13582, '62.23.136.128', '62.23.137.143', 1041729664, 1041729935, 'GB', 'United Kingdom'),
(13583, '62.23.137.144', '62.23.137.159', 1041729936, 1041729951, 'FR', 'France'),
(13584, '62.23.137.160', '62.23.137.255', 1041729952, 1041730047, 'GB', 'United Kingdom'),
(13585, '62.23.138.0', '62.23.138.191', 1041730048, 1041730239, 'FR', 'France'),
(13586, '62.23.138.192', '62.23.138.199', 1041730240, 1041730247, 'GB', 'United Kingdom'),
(13587, '62.23.138.200', '62.23.140.79', 1041730248, 1041730639, 'FR', 'France'),
(13588, '62.23.140.80', '62.23.140.95', 1041730640, 1041730655, 'GB', 'United Kingdom'),
(13589, '62.23.140.96', '62.23.145.135', 1041730656, 1041731975, 'FR', 'France'),
(13590, '62.23.145.136', '62.23.145.191', 1041731976, 1041732031, 'GB', 'United Kingdom'),
(13591, '62.23.145.192', '62.23.145.207', 1041732032, 1041732047, 'FR', 'France'),
(13592, '62.23.145.208', '62.23.145.223', 1041732048, 1041732063, 'GB', 'United Kingdom'),
(13593, '62.23.145.224', '62.23.146.7', 1041732064, 1041732103, 'FR', 'France'),
(13594, '62.23.146.8', '62.23.146.15', 1041732104, 1041732111, 'GB', 'United Kingdom'),
(13595, '62.23.146.16', '62.23.146.31', 1041732112, 1041732127, 'FR', 'France'),
(13596, '62.23.146.32', '62.23.146.95', 1041732128, 1041732191, 'GB', 'United Kingdom'),
(13597, '62.23.146.96', '62.23.146.159', 1041732192, 1041732255, 'FR', 'France'),
(13598, '62.23.146.160', '62.23.146.199', 1041732256, 1041732295, 'GB', 'United Kingdom'),
(13599, '62.23.146.200', '62.23.146.207', 1041732296, 1041732303, 'FR', 'France'),
(13600, '62.23.146.208', '62.23.146.215', 1041732304, 1041732311, 'GB', 'United Kingdom'),
(13601, '62.23.146.216', '62.23.147.167', 1041732312, 1041732519, 'FR', 'France'),
(13602, '62.23.147.168', '62.23.147.175', 1041732520, 1041732527, 'GB', 'United Kingdom'),
(13603, '62.23.147.176', '62.23.148.255', 1041732528, 1041732863, 'FR', 'France'),
(13604, '62.23.149.0', '62.23.149.7', 1041732864, 1041732871, 'GB', 'United Kingdom'),
(13605, '62.23.149.8', '62.23.149.15', 1041732872, 1041732879, 'FR', 'France'),
(13606, '62.23.149.16', '62.23.149.63', 1041732880, 1041732927, 'GB', 'United Kingdom'),
(13607, '62.23.149.64', '62.23.149.95', 1041732928, 1041732959, 'FR', 'France'),
(13608, '62.23.149.96', '62.23.149.103', 1041732960, 1041732967, 'GB', 'United Kingdom'),
(13609, '62.23.149.104', '62.23.149.127', 1041732968, 1041732991, 'FR', 'France'),
(13610, '62.23.149.128', '62.23.149.239', 1041732992, 1041733103, 'GB', 'United Kingdom'),
(13611, '62.23.149.240', '62.23.151.143', 1041733104, 1041733519, 'FR', 'France'),
(13612, '62.23.151.144', '62.23.151.159', 1041733520, 1041733535, 'GB', 'United Kingdom'),
(13613, '62.23.151.160', '62.23.151.191', 1041733536, 1041733567, 'FR', 'France'),
(13614, '62.23.151.192', '62.23.151.255', 1041733568, 1041733631, 'GB', 'United Kingdom'),
(13615, '62.23.152.0', '62.23.157.7', 1041733632, 1041734919, 'FR', 'France'),
(13616, '62.23.157.8', '62.23.157.15', 1041734920, 1041734927, 'IT', 'Italy'),
(13617, '62.23.157.16', '62.23.157.23', 1041734928, 1041734935, 'GB', 'United Kingdom'),
(13618, '62.23.157.24', '62.23.157.63', 1041734936, 1041734975, 'FR', 'France'),
(13619, '62.23.157.64', '62.23.157.79', 1041734976, 1041734991, 'GB', 'United Kingdom'),
(13620, '62.23.157.80', '62.23.157.87', 1041734992, 1041734999, 'FR', 'France'),
(13621, '62.23.157.88', '62.23.157.127', 1041735000, 1041735039, 'GB', 'United Kingdom'),
(13622, '62.23.157.128', '62.23.157.143', 1041735040, 1041735055, 'FR', 'France'),
(13623, '62.23.157.144', '62.23.157.175', 1041735056, 1041735087, 'GB', 'United Kingdom'),
(13624, '62.23.157.176', '62.23.157.183', 1041735088, 1041735095, 'FR', 'France'),
(13625, '62.23.157.184', '62.23.157.191', 1041735096, 1041735103, 'GB', 'United Kingdom'),
(13626, '62.23.157.192', '62.23.157.207', 1041735104, 1041735119, 'FR', 'France'),
(13627, '62.23.157.208', '62.23.157.255', 1041735120, 1041735167, 'GB', 'United Kingdom'),
(13628, '62.23.158.0', '62.23.159.7', 1041735168, 1041735431, 'FR', 'France'),
(13629, '62.23.159.8', '62.23.159.71', 1041735432, 1041735495, 'GB', 'United Kingdom'),
(13630, '62.23.159.72', '62.23.159.87', 1041735496, 1041735511, 'FR', 'France'),
(13631, '62.23.159.88', '62.23.159.127', 1041735512, 1041735551, 'GB', 'United Kingdom'),
(13632, '62.23.159.128', '62.23.159.143', 1041735552, 1041735567, 'FR', 'France'),
(13633, '62.23.159.144', '62.23.159.159', 1041735568, 1041735583, 'GB', 'United Kingdom'),
(13634, '62.23.159.160', '62.23.159.191', 1041735584, 1041735615, 'FR', 'France'),
(13635, '62.23.159.192', '62.23.159.239', 1041735616, 1041735663, 'GB', 'United Kingdom'),
(13636, '62.23.159.240', '62.23.162.183', 1041735664, 1041736375, 'FR', 'France'),
(13637, '62.23.162.184', '62.23.162.191', 1041736376, 1041736383, 'GB', 'United Kingdom'),
(13638, '62.23.162.192', '62.23.162.231', 1041736384, 1041736423, 'FR', 'France'),
(13639, '62.23.162.232', '62.23.163.7', 1041736424, 1041736455, 'GB', 'United Kingdom'),
(13640, '62.23.163.8', '62.23.163.23', 1041736456, 1041736471, 'FR', 'France'),
(13641, '62.23.163.24', '62.23.163.31', 1041736472, 1041736479, 'GB', 'United Kingdom'),
(13642, '62.23.163.32', '62.23.163.79', 1041736480, 1041736527, 'FR', 'France'),
(13643, '62.23.163.80', '62.23.163.87', 1041736528, 1041736535, 'GB', 'United Kingdom'),
(13644, '62.23.163.88', '62.23.163.95', 1041736536, 1041736543, 'FR', 'France'),
(13645, '62.23.163.96', '62.23.163.103', 1041736544, 1041736551, 'GB', 'United Kingdom'),
(13646, '62.23.163.104', '62.23.163.143', 1041736552, 1041736591, 'FR', 'France'),
(13647, '62.23.163.144', '62.23.163.151', 1041736592, 1041736599, 'GB', 'United Kingdom'),
(13648, '62.23.163.152', '62.23.163.159', 1041736600, 1041736607, 'FR', 'France'),
(13649, '62.23.163.160', '62.23.163.183', 1041736608, 1041736631, 'GB', 'United Kingdom'),
(13650, '62.23.163.184', '62.23.163.239', 1041736632, 1041736687, 'FR', 'France'),
(13651, '62.23.163.240', '62.23.163.247', 1041736688, 1041736695, 'GB', 'United Kingdom'),
(13652, '62.23.163.248', '62.23.165.55', 1041736696, 1041737015, 'FR', 'France'),
(13653, '62.23.165.56', '62.23.165.71', 1041737016, 1041737031, 'GB', 'United Kingdom'),
(13654, '62.23.165.72', '62.23.165.79', 1041737032, 1041737039, 'FR', 'France'),
(13655, '62.23.165.80', '62.23.165.95', 1041737040, 1041737055, 'GB', 'United Kingdom'),
(13656, '62.23.165.96', '62.23.165.111', 1041737056, 1041737071, 'FR', 'France'),
(13657, '62.23.165.112', '62.23.165.127', 1041737072, 1041737087, 'GB', 'United Kingdom'),
(13658, '62.23.165.128', '62.23.166.7', 1041737088, 1041737223, 'FR', 'France'),
(13659, '62.23.166.8', '62.23.166.63', 1041737224, 1041737279, 'GB', 'United Kingdom'),
(13660, '62.23.166.64', '62.23.166.79', 1041737280, 1041737295, 'FR', 'France'),
(13661, '62.23.166.80', '62.23.166.87', 1041737296, 1041737303, 'GB', 'United Kingdom'),
(13662, '62.23.166.88', '62.23.166.159', 1041737304, 1041737375, 'FR', 'France'),
(13663, '62.23.166.160', '62.23.166.175', 1041737376, 1041737391, 'GB', 'United Kingdom'),
(13664, '62.23.166.176', '62.23.166.183', 1041737392, 1041737399, 'FR', 'France'),
(13665, '62.23.166.184', '62.23.166.207', 1041737400, 1041737423, 'GB', 'United Kingdom'),
(13666, '62.23.166.208', '62.23.166.239', 1041737424, 1041737455, 'FR', 'France'),
(13667, '62.23.166.240', '62.23.166.247', 1041737456, 1041737463, 'GB', 'United Kingdom'),
(13668, '62.23.166.248', '62.23.167.15', 1041737464, 1041737487, 'FR', 'France'),
(13669, '62.23.167.16', '62.23.167.23', 1041737488, 1041737495, 'GB', 'United Kingdom'),
(13670, '62.23.167.24', '62.23.167.31', 1041737496, 1041737503, 'FR', 'France'),
(13671, '62.23.167.32', '62.23.167.47', 1041737504, 1041737519, 'GB', 'United Kingdom'),
(13672, '62.23.167.48', '62.23.167.63', 1041737520, 1041737535, 'FR', 'France'),
(13673, '62.23.167.64', '62.23.167.95', 1041737536, 1041737567, 'GB', 'United Kingdom'),
(13674, '62.23.167.96', '62.23.167.119', 1041737568, 1041737591, 'FR', 'France'),
(13675, '62.23.167.120', '62.23.167.127', 1041737592, 1041737599, 'GB', 'United Kingdom'),
(13676, '62.23.167.128', '62.23.167.135', 1041737600, 1041737607, 'FR', 'France'),
(13677, '62.23.167.136', '62.23.167.143', 1041737608, 1041737615, 'GB', 'United Kingdom'),
(13678, '62.23.167.144', '62.23.167.175', 1041737616, 1041737647, 'FR', 'France'),
(13679, '62.23.167.176', '62.23.167.191', 1041737648, 1041737663, 'GB', 'United Kingdom'),
(13680, '62.23.167.192', '62.23.167.199', 1041737664, 1041737671, 'FR', 'France'),
(13681, '62.23.167.200', '62.23.167.223', 1041737672, 1041737695, 'GB', 'United Kingdom'),
(13682, '62.23.167.224', '62.23.167.255', 1041737696, 1041737727, 'FR', 'France'),
(13683, '62.23.168.0', '62.23.168.15', 1041737728, 1041737743, 'GB', 'United Kingdom'),
(13684, '62.23.168.16', '62.23.168.47', 1041737744, 1041737775, 'FR', 'France'),
(13685, '62.23.168.48', '62.23.168.95', 1041737776, 1041737823, 'GB', 'United Kingdom'),
(13686, '62.23.168.96', '62.23.168.119', 1041737824, 1041737847, 'FR', 'France'),
(13687, '62.23.168.120', '62.23.168.127', 1041737848, 1041737855, 'GB', 'United Kingdom'),
(13688, '62.23.168.128', '62.23.168.143', 1041737856, 1041737871, 'FR', 'France'),
(13689, '62.23.168.144', '62.23.168.151', 1041737872, 1041737879, 'GB', 'United Kingdom'),
(13690, '62.23.168.152', '62.23.168.175', 1041737880, 1041737903, 'FR', 'France'),
(13691, '62.23.168.176', '62.23.168.183', 1041737904, 1041737911, 'GB', 'United Kingdom'),
(13692, '62.23.168.184', '62.23.168.191', 1041737912, 1041737919, 'FR', 'France'),
(13693, '62.23.168.192', '62.23.168.207', 1041737920, 1041737935, 'GB', 'United Kingdom'),
(13694, '62.23.168.208', '62.23.169.175', 1041737936, 1041738159, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(13695, '62.23.169.176', '62.23.169.183', 1041738160, 1041738167, 'GB', 'United Kingdom'),
(13696, '62.23.169.184', '62.23.169.231', 1041738168, 1041738215, 'FR', 'France'),
(13697, '62.23.169.232', '62.23.169.239', 1041738216, 1041738223, 'GB', 'United Kingdom'),
(13698, '62.23.169.240', '62.23.171.23', 1041738224, 1041738519, 'FR', 'France'),
(13699, '62.23.171.24', '62.23.171.47', 1041738520, 1041738543, 'GB', 'United Kingdom'),
(13700, '62.23.171.48', '62.23.171.55', 1041738544, 1041738551, 'FR', 'France'),
(13701, '62.23.171.56', '62.23.171.63', 1041738552, 1041738559, 'GB', 'United Kingdom'),
(13702, '62.23.171.64', '62.23.171.71', 1041738560, 1041738567, 'FR', 'France'),
(13703, '62.23.171.72', '62.23.171.79', 1041738568, 1041738575, 'GB', 'United Kingdom'),
(13704, '62.23.171.80', '62.23.171.87', 1041738576, 1041738583, 'FR', 'France'),
(13705, '62.23.171.88', '62.23.171.95', 1041738584, 1041738591, 'GB', 'United Kingdom'),
(13706, '62.23.171.96', '62.23.171.103', 1041738592, 1041738599, 'FR', 'France'),
(13707, '62.23.171.104', '62.23.171.119', 1041738600, 1041738615, 'GB', 'United Kingdom'),
(13708, '62.23.171.120', '62.23.171.167', 1041738616, 1041738663, 'FR', 'France'),
(13709, '62.23.171.168', '62.23.171.175', 1041738664, 1041738671, 'GB', 'United Kingdom'),
(13710, '62.23.171.176', '62.23.171.207', 1041738672, 1041738703, 'FR', 'France'),
(13711, '62.23.171.208', '62.23.171.223', 1041738704, 1041738719, 'GB', 'United Kingdom'),
(13712, '62.23.171.224', '62.23.171.239', 1041738720, 1041738735, 'FR', 'France'),
(13713, '62.23.171.240', '62.23.171.255', 1041738736, 1041738751, 'GB', 'United Kingdom'),
(13714, '62.23.172.0', '62.23.173.71', 1041738752, 1041739079, 'FR', 'France'),
(13715, '62.23.173.72', '62.23.173.79', 1041739080, 1041739087, 'GB', 'United Kingdom'),
(13716, '62.23.173.80', '62.23.173.159', 1041739088, 1041739167, 'FR', 'France'),
(13717, '62.23.173.160', '62.23.173.223', 1041739168, 1041739231, 'GB', 'United Kingdom'),
(13718, '62.23.173.224', '62.23.174.31', 1041739232, 1041739295, 'FR', 'France'),
(13719, '62.23.174.32', '62.23.174.35', 1041739296, 1041739299, 'BE', 'Belgium'),
(13720, '62.23.174.36', '62.23.174.111', 1041739300, 1041739375, 'FR', 'France'),
(13721, '62.23.174.112', '62.23.174.119', 1041739376, 1041739383, 'BE', 'Belgium'),
(13722, '62.23.174.120', '62.23.174.143', 1041739384, 1041739407, 'FR', 'France'),
(13723, '62.23.174.144', '62.23.174.159', 1041739408, 1041739423, 'GB', 'United Kingdom'),
(13724, '62.23.174.160', '62.23.174.199', 1041739424, 1041739463, 'FR', 'France'),
(13725, '62.23.174.200', '62.23.174.207', 1041739464, 1041739471, 'GB', 'United Kingdom'),
(13726, '62.23.174.208', '62.23.174.223', 1041739472, 1041739487, 'FR', 'France'),
(13727, '62.23.174.224', '62.23.174.239', 1041739488, 1041739503, 'GB', 'United Kingdom'),
(13728, '62.23.174.240', '62.23.174.255', 1041739504, 1041739519, 'FR', 'France'),
(13729, '62.23.175.0', '62.23.175.15', 1041739520, 1041739535, 'GB', 'United Kingdom'),
(13730, '62.23.175.16', '62.23.175.223', 1041739536, 1041739743, 'FR', 'France'),
(13731, '62.23.175.224', '62.23.175.231', 1041739744, 1041739751, 'GB', 'United Kingdom'),
(13732, '62.23.175.232', '62.23.176.255', 1041739752, 1041740031, 'FR', 'France'),
(13733, '62.23.177.0', '62.23.177.7', 1041740032, 1041740039, 'GB', 'United Kingdom'),
(13734, '62.23.177.8', '62.23.177.71', 1041740040, 1041740103, 'FR', 'France'),
(13735, '62.23.177.72', '62.23.177.87', 1041740104, 1041740119, 'GB', 'United Kingdom'),
(13736, '62.23.177.88', '62.23.177.103', 1041740120, 1041740135, 'FR', 'France'),
(13737, '62.23.177.104', '62.23.177.111', 1041740136, 1041740143, 'GB', 'United Kingdom'),
(13738, '62.23.177.112', '62.23.177.135', 1041740144, 1041740167, 'FR', 'France'),
(13739, '62.23.177.136', '62.23.177.143', 1041740168, 1041740175, 'GB', 'United Kingdom'),
(13740, '62.23.177.144', '62.23.177.231', 1041740176, 1041740263, 'FR', 'France'),
(13741, '62.23.177.232', '62.23.177.239', 1041740264, 1041740271, 'GB', 'United Kingdom'),
(13742, '62.23.177.240', '62.23.179.23', 1041740272, 1041740567, 'FR', 'France'),
(13743, '62.23.179.24', '62.23.179.31', 1041740568, 1041740575, 'GB', 'United Kingdom'),
(13744, '62.23.179.32', '62.23.179.47', 1041740576, 1041740591, 'FR', 'France'),
(13745, '62.23.179.48', '62.23.179.63', 1041740592, 1041740607, 'GB', 'United Kingdom'),
(13746, '62.23.179.64', '62.23.179.103', 1041740608, 1041740647, 'FR', 'France'),
(13747, '62.23.179.104', '62.23.179.111', 1041740648, 1041740655, 'GB', 'United Kingdom'),
(13748, '62.23.179.112', '62.23.179.127', 1041740656, 1041740671, 'FR', 'France'),
(13749, '62.23.179.128', '62.23.179.143', 1041740672, 1041740687, 'GB', 'United Kingdom'),
(13750, '62.23.179.144', '62.23.179.159', 1041740688, 1041740703, 'FR', 'France'),
(13751, '62.23.179.160', '62.23.179.175', 1041740704, 1041740719, 'GB', 'United Kingdom'),
(13752, '62.23.179.176', '62.23.180.7', 1041740720, 1041740807, 'FR', 'France'),
(13753, '62.23.180.8', '62.23.180.31', 1041740808, 1041740831, 'GB', 'United Kingdom'),
(13754, '62.23.180.32', '62.23.181.7', 1041740832, 1041741063, 'FR', 'France'),
(13755, '62.23.181.8', '62.23.181.31', 1041741064, 1041741087, 'GB', 'United Kingdom'),
(13756, '62.23.181.32', '62.23.181.79', 1041741088, 1041741135, 'FR', 'France'),
(13757, '62.23.181.80', '62.23.181.95', 1041741136, 1041741151, 'GB', 'United Kingdom'),
(13758, '62.23.181.96', '62.23.181.175', 1041741152, 1041741231, 'FR', 'France'),
(13759, '62.23.181.176', '62.23.181.207', 1041741232, 1041741263, 'GB', 'United Kingdom'),
(13760, '62.23.181.208', '62.23.181.223', 1041741264, 1041741279, 'FR', 'France'),
(13761, '62.23.181.224', '62.23.181.239', 1041741280, 1041741295, 'GB', 'United Kingdom'),
(13762, '62.23.181.240', '62.23.182.255', 1041741296, 1041741567, 'FR', 'France'),
(13763, '62.23.183.0', '62.23.183.15', 1041741568, 1041741583, 'GB', 'United Kingdom'),
(13764, '62.23.183.16', '62.23.183.39', 1041741584, 1041741607, 'FR', 'France'),
(13765, '62.23.183.40', '62.23.183.47', 1041741608, 1041741615, 'GB', 'United Kingdom'),
(13766, '62.23.183.48', '62.23.183.63', 1041741616, 1041741631, 'FR', 'France'),
(13767, '62.23.183.64', '62.23.183.79', 1041741632, 1041741647, 'GB', 'United Kingdom'),
(13768, '62.23.183.80', '62.23.183.95', 1041741648, 1041741663, 'DE', 'Germany'),
(13769, '62.23.183.96', '62.23.183.111', 1041741664, 1041741679, 'GB', 'United Kingdom'),
(13770, '62.23.183.112', '62.23.183.119', 1041741680, 1041741687, 'FR', 'France'),
(13771, '62.23.183.120', '62.23.183.255', 1041741688, 1041741823, 'GB', 'United Kingdom'),
(13772, '62.23.184.0', '62.23.185.7', 1041741824, 1041742087, 'FR', 'France'),
(13773, '62.23.185.8', '62.23.185.15', 1041742088, 1041742095, 'GB', 'United Kingdom'),
(13774, '62.23.185.16', '62.23.185.103', 1041742096, 1041742183, 'FR', 'France'),
(13775, '62.23.185.104', '62.23.185.111', 1041742184, 1041742191, 'GB', 'United Kingdom'),
(13776, '62.23.185.112', '62.23.185.143', 1041742192, 1041742223, 'FR', 'France'),
(13777, '62.23.185.144', '62.23.185.159', 1041742224, 1041742239, 'GB', 'United Kingdom'),
(13778, '62.23.185.160', '62.23.185.183', 1041742240, 1041742263, 'FR', 'France'),
(13779, '62.23.185.184', '62.23.185.191', 1041742264, 1041742271, 'GB', 'United Kingdom'),
(13780, '62.23.185.192', '62.23.185.199', 1041742272, 1041742279, 'FR', 'France'),
(13781, '62.23.185.200', '62.23.185.207', 1041742280, 1041742287, 'GB', 'United Kingdom'),
(13782, '62.23.185.208', '62.23.185.223', 1041742288, 1041742303, 'FR', 'France'),
(13783, '62.23.185.224', '62.23.185.255', 1041742304, 1041742335, 'GB', 'United Kingdom'),
(13784, '62.23.186.0', '62.23.186.23', 1041742336, 1041742359, 'FR', 'France'),
(13785, '62.23.186.24', '62.23.186.31', 1041742360, 1041742367, 'GB', 'United Kingdom'),
(13786, '62.23.186.32', '62.23.186.39', 1041742368, 1041742375, 'FR', 'France'),
(13787, '62.23.186.40', '62.23.186.55', 1041742376, 1041742391, 'GB', 'United Kingdom'),
(13788, '62.23.186.56', '62.23.186.71', 1041742392, 1041742407, 'FR', 'France'),
(13789, '62.23.186.72', '62.23.186.79', 1041742408, 1041742415, 'GB', 'United Kingdom'),
(13790, '62.23.186.80', '62.23.186.119', 1041742416, 1041742455, 'FR', 'France'),
(13791, '62.23.186.120', '62.23.186.127', 1041742456, 1041742463, 'GB', 'United Kingdom'),
(13792, '62.23.186.128', '62.23.186.135', 1041742464, 1041742471, 'FR', 'France'),
(13793, '62.23.186.136', '62.23.186.143', 1041742472, 1041742479, 'GB', 'United Kingdom'),
(13794, '62.23.186.144', '62.23.186.175', 1041742480, 1041742511, 'FR', 'France'),
(13795, '62.23.186.176', '62.23.186.191', 1041742512, 1041742527, 'GB', 'United Kingdom'),
(13796, '62.23.186.192', '62.23.189.31', 1041742528, 1041743135, 'FR', 'France'),
(13797, '62.23.189.32', '62.23.189.39', 1041743136, 1041743143, 'GB', 'United Kingdom'),
(13798, '62.23.189.40', '62.23.189.71', 1041743144, 1041743175, 'FR', 'France'),
(13799, '62.23.189.72', '62.23.189.111', 1041743176, 1041743215, 'GB', 'United Kingdom'),
(13800, '62.23.189.112', '62.23.189.159', 1041743216, 1041743263, 'FR', 'France'),
(13801, '62.23.189.160', '62.23.189.167', 1041743264, 1041743271, 'GB', 'United Kingdom'),
(13802, '62.23.189.168', '62.23.189.199', 1041743272, 1041743303, 'FR', 'France'),
(13803, '62.23.189.200', '62.23.189.207', 1041743304, 1041743311, 'GB', 'United Kingdom'),
(13804, '62.23.189.208', '62.23.190.255', 1041743312, 1041743615, 'FR', 'France'),
(13805, '62.23.191.0', '62.23.191.7', 1041743616, 1041743623, 'GB', 'United Kingdom'),
(13806, '62.23.191.8', '62.23.191.23', 1041743624, 1041743639, 'FR', 'France'),
(13807, '62.23.191.24', '62.23.191.31', 1041743640, 1041743647, 'GB', 'United Kingdom'),
(13808, '62.23.191.32', '62.23.191.55', 1041743648, 1041743671, 'FR', 'France'),
(13809, '62.23.191.56', '62.23.191.63', 1041743672, 1041743679, 'GB', 'United Kingdom'),
(13810, '62.23.191.64', '62.23.191.127', 1041743680, 1041743743, 'FR', 'France'),
(13811, '62.23.191.128', '62.23.191.143', 1041743744, 1041743759, 'GB', 'United Kingdom'),
(13812, '62.23.191.144', '62.23.191.151', 1041743760, 1041743767, 'FR', 'France'),
(13813, '62.23.191.152', '62.23.191.159', 1041743768, 1041743775, 'GB', 'United Kingdom'),
(13814, '62.23.191.160', '62.23.191.167', 1041743776, 1041743783, 'FR', 'France'),
(13815, '62.23.191.168', '62.23.191.183', 1041743784, 1041743799, 'GB', 'United Kingdom'),
(13816, '62.23.191.184', '62.23.191.191', 1041743800, 1041743807, 'FR', 'France'),
(13817, '62.23.191.192', '62.23.191.207', 1041743808, 1041743823, 'GB', 'United Kingdom'),
(13818, '62.23.191.208', '62.23.191.215', 1041743824, 1041743831, 'FR', 'France'),
(13819, '62.23.191.216', '62.23.191.231', 1041743832, 1041743847, 'GB', 'United Kingdom'),
(13820, '62.23.191.232', '62.23.191.247', 1041743848, 1041743863, 'FR', 'France'),
(13821, '62.23.191.248', '62.23.191.255', 1041743864, 1041743871, 'GB', 'United Kingdom'),
(13822, '62.23.192.0', '62.23.193.79', 1041743872, 1041744207, 'FR', 'France'),
(13823, '62.23.193.80', '62.23.193.87', 1041744208, 1041744215, 'GB', 'United Kingdom'),
(13824, '62.23.193.88', '62.23.193.135', 1041744216, 1041744263, 'FR', 'France'),
(13825, '62.23.193.136', '62.23.193.143', 1041744264, 1041744271, 'GB', 'United Kingdom'),
(13826, '62.23.193.144', '62.23.193.159', 1041744272, 1041744287, 'FR', 'France'),
(13827, '62.23.193.160', '62.23.193.167', 1041744288, 1041744295, 'GB', 'United Kingdom'),
(13828, '62.23.193.168', '62.23.193.183', 1041744296, 1041744311, 'FR', 'France'),
(13829, '62.23.193.184', '62.23.193.199', 1041744312, 1041744327, 'GB', 'United Kingdom'),
(13830, '62.23.193.200', '62.23.193.231', 1041744328, 1041744359, 'FR', 'France'),
(13831, '62.23.193.232', '62.23.193.239', 1041744360, 1041744367, 'GB', 'United Kingdom'),
(13832, '62.23.193.240', '62.23.194.7', 1041744368, 1041744391, 'FR', 'France'),
(13833, '62.23.194.8', '62.23.194.23', 1041744392, 1041744407, 'GB', 'United Kingdom'),
(13834, '62.23.194.24', '62.23.194.31', 1041744408, 1041744415, 'FR', 'France'),
(13835, '62.23.194.32', '62.23.194.63', 1041744416, 1041744447, 'GB', 'United Kingdom'),
(13836, '62.23.194.64', '62.23.194.95', 1041744448, 1041744479, 'FR', 'France'),
(13837, '62.23.194.96', '62.23.194.159', 1041744480, 1041744543, 'GB', 'United Kingdom'),
(13838, '62.23.194.160', '62.23.194.191', 1041744544, 1041744575, 'FR', 'France'),
(13839, '62.23.194.192', '62.23.194.199', 1041744576, 1041744583, 'GB', 'United Kingdom'),
(13840, '62.23.194.200', '62.23.194.215', 1041744584, 1041744599, 'FR', 'France'),
(13841, '62.23.194.216', '62.23.194.223', 1041744600, 1041744607, 'GB', 'United Kingdom'),
(13842, '62.23.194.224', '62.23.194.239', 1041744608, 1041744623, 'FR', 'France'),
(13843, '62.23.194.240', '62.23.194.255', 1041744624, 1041744639, 'GB', 'United Kingdom'),
(13844, '62.23.195.0', '62.23.195.255', 1041744640, 1041744895, 'FR', 'France'),
(13845, '62.23.196.0', '62.23.196.15', 1041744896, 1041744911, 'GB', 'United Kingdom'),
(13846, '62.23.196.16', '62.23.196.23', 1041744912, 1041744919, 'FR', 'France'),
(13847, '62.23.196.24', '62.23.196.31', 1041744920, 1041744927, 'GB', 'United Kingdom'),
(13848, '62.23.196.32', '62.23.196.47', 1041744928, 1041744943, 'FR', 'France'),
(13849, '62.23.196.48', '62.23.196.55', 1041744944, 1041744951, 'GB', 'United Kingdom'),
(13850, '62.23.196.56', '62.23.196.79', 1041744952, 1041744975, 'FR', 'France'),
(13851, '62.23.196.80', '62.23.196.87', 1041744976, 1041744983, 'GB', 'United Kingdom'),
(13852, '62.23.196.88', '62.23.196.111', 1041744984, 1041745007, 'FR', 'France'),
(13853, '62.23.196.112', '62.23.196.135', 1041745008, 1041745031, 'GB', 'United Kingdom'),
(13854, '62.23.196.136', '62.23.196.167', 1041745032, 1041745063, 'FR', 'France'),
(13855, '62.23.196.168', '62.23.196.175', 1041745064, 1041745071, 'GB', 'United Kingdom'),
(13856, '62.23.196.176', '62.23.196.231', 1041745072, 1041745127, 'FR', 'France'),
(13857, '62.23.196.232', '62.23.196.255', 1041745128, 1041745151, 'GB', 'United Kingdom'),
(13858, '62.23.197.0', '62.23.197.15', 1041745152, 1041745167, 'FR', 'France'),
(13859, '62.23.197.16', '62.23.197.39', 1041745168, 1041745191, 'GB', 'United Kingdom'),
(13860, '62.23.197.40', '62.23.197.95', 1041745192, 1041745247, 'FR', 'France'),
(13861, '62.23.197.96', '62.23.197.127', 1041745248, 1041745279, 'GB', 'United Kingdom'),
(13862, '62.23.197.128', '62.23.197.175', 1041745280, 1041745327, 'FR', 'France'),
(13863, '62.23.197.176', '62.23.197.191', 1041745328, 1041745343, 'GB', 'United Kingdom'),
(13864, '62.23.197.192', '62.23.197.207', 1041745344, 1041745359, 'FR', 'France'),
(13865, '62.23.197.208', '62.23.197.223', 1041745360, 1041745375, 'GB', 'United Kingdom'),
(13866, '62.23.197.224', '62.23.197.247', 1041745376, 1041745399, 'FR', 'France'),
(13867, '62.23.197.248', '62.23.197.255', 1041745400, 1041745407, 'GB', 'United Kingdom'),
(13868, '62.23.198.0', '62.23.198.39', 1041745408, 1041745447, 'FR', 'France'),
(13869, '62.23.198.40', '62.23.198.63', 1041745448, 1041745471, 'GB', 'United Kingdom'),
(13870, '62.23.198.64', '62.23.198.71', 1041745472, 1041745479, 'FR', 'France'),
(13871, '62.23.198.72', '62.23.198.79', 1041745480, 1041745487, 'GB', 'United Kingdom'),
(13872, '62.23.198.80', '62.23.198.87', 1041745488, 1041745495, 'FR', 'France'),
(13873, '62.23.198.88', '62.23.198.95', 1041745496, 1041745503, 'GB', 'United Kingdom'),
(13874, '62.23.198.96', '62.23.198.135', 1041745504, 1041745543, 'FR', 'France'),
(13875, '62.23.198.136', '62.23.198.143', 1041745544, 1041745551, 'GB', 'United Kingdom'),
(13876, '62.23.198.144', '62.23.198.159', 1041745552, 1041745567, 'FR', 'France'),
(13877, '62.23.198.160', '62.23.198.167', 1041745568, 1041745575, 'GB', 'United Kingdom'),
(13878, '62.23.198.168', '62.23.198.191', 1041745576, 1041745599, 'FR', 'France'),
(13879, '62.23.198.192', '62.23.198.207', 1041745600, 1041745615, 'GB', 'United Kingdom'),
(13880, '62.23.198.208', '62.23.198.231', 1041745616, 1041745639, 'FR', 'France'),
(13881, '62.23.198.232', '62.23.198.239', 1041745640, 1041745647, 'GB', 'United Kingdom'),
(13882, '62.23.198.240', '62.23.198.247', 1041745648, 1041745655, 'FR', 'France'),
(13883, '62.23.198.248', '62.23.198.255', 1041745656, 1041745663, 'GB', 'United Kingdom'),
(13884, '62.23.199.0', '62.23.199.87', 1041745664, 1041745751, 'FR', 'France'),
(13885, '62.23.199.88', '62.23.199.103', 1041745752, 1041745767, 'GB', 'United Kingdom'),
(13886, '62.23.199.104', '62.23.199.127', 1041745768, 1041745791, 'FR', 'France'),
(13887, '62.23.199.128', '62.23.199.135', 1041745792, 1041745799, 'GB', 'United Kingdom'),
(13888, '62.23.199.136', '62.23.199.191', 1041745800, 1041745855, 'FR', 'France'),
(13889, '62.23.199.192', '62.23.199.207', 1041745856, 1041745871, 'GB', 'United Kingdom'),
(13890, '62.23.199.208', '62.23.199.223', 1041745872, 1041745887, 'FR', 'France'),
(13891, '62.23.199.224', '62.23.200.39', 1041745888, 1041745959, 'GB', 'United Kingdom'),
(13892, '62.23.200.40', '62.23.200.79', 1041745960, 1041745999, 'FR', 'France'),
(13893, '62.23.200.80', '62.23.200.95', 1041746000, 1041746015, 'GB', 'United Kingdom'),
(13894, '62.23.200.96', '62.23.200.103', 1041746016, 1041746023, 'FR', 'France'),
(13895, '62.23.200.104', '62.23.200.111', 1041746024, 1041746031, 'GB', 'United Kingdom'),
(13896, '62.23.200.112', '62.23.200.119', 1041746032, 1041746039, 'FR', 'France'),
(13897, '62.23.200.120', '62.23.200.127', 1041746040, 1041746047, 'GB', 'United Kingdom'),
(13898, '62.23.200.128', '62.23.200.143', 1041746048, 1041746063, 'FR', 'France'),
(13899, '62.23.200.144', '62.23.200.175', 1041746064, 1041746095, 'GB', 'United Kingdom'),
(13900, '62.23.200.176', '62.23.200.191', 1041746096, 1041746111, 'FR', 'France'),
(13901, '62.23.200.192', '62.23.200.215', 1041746112, 1041746135, 'GB', 'United Kingdom'),
(13902, '62.23.200.216', '62.23.203.23', 1041746136, 1041746711, 'FR', 'France'),
(13903, '62.23.203.24', '62.23.203.47', 1041746712, 1041746735, 'GB', 'United Kingdom'),
(13904, '62.23.203.48', '62.23.203.55', 1041746736, 1041746743, 'FR', 'France'),
(13905, '62.23.203.56', '62.23.203.63', 1041746744, 1041746751, 'GB', 'United Kingdom'),
(13906, '62.23.203.64', '62.23.203.111', 1041746752, 1041746799, 'FR', 'France'),
(13907, '62.23.203.112', '62.23.203.135', 1041746800, 1041746823, 'GB', 'United Kingdom'),
(13908, '62.23.203.136', '62.23.203.143', 1041746824, 1041746831, 'FR', 'France'),
(13909, '62.23.203.144', '62.23.203.159', 1041746832, 1041746847, 'GB', 'United Kingdom'),
(13910, '62.23.203.160', '62.23.203.175', 1041746848, 1041746863, 'FR', 'France'),
(13911, '62.23.203.176', '62.23.203.207', 1041746864, 1041746895, 'GB', 'United Kingdom'),
(13912, '62.23.203.208', '62.23.206.7', 1041746896, 1041747463, 'FR', 'France'),
(13913, '62.23.206.8', '62.23.206.31', 1041747464, 1041747487, 'GB', 'United Kingdom'),
(13914, '62.23.206.32', '62.23.211.255', 1041747488, 1041748991, 'FR', 'France'),
(13915, '62.23.212.0', '62.23.212.255', 1041748992, 1041749247, 'EU', 'Europe'),
(13916, '62.23.213.0', '62.23.215.15', 1041749248, 1041749775, 'FR', 'France'),
(13917, '62.23.215.16', '62.23.215.23', 1041749776, 1041749783, 'GB', 'United Kingdom'),
(13918, '62.23.215.24', '62.23.215.47', 1041749784, 1041749807, 'FR', 'France'),
(13919, '62.23.215.48', '62.23.215.55', 1041749808, 1041749815, 'GB', 'United Kingdom'),
(13920, '62.23.215.56', '62.23.215.79', 1041749816, 1041749839, 'FR', 'France'),
(13921, '62.23.215.80', '62.23.215.95', 1041749840, 1041749855, 'GB', 'United Kingdom'),
(13922, '62.23.215.96', '62.23.215.199', 1041749856, 1041749959, 'FR', 'France'),
(13923, '62.23.215.200', '62.23.215.223', 1041749960, 1041749983, 'GB', 'United Kingdom'),
(13924, '62.23.215.224', '62.23.215.239', 1041749984, 1041749999, 'FR', 'France'),
(13925, '62.23.215.240', '62.23.215.247', 1041750000, 1041750007, 'GB', 'United Kingdom'),
(13926, '62.23.215.248', '62.23.217.255', 1041750008, 1041750527, 'FR', 'France'),
(13927, '62.23.218.0', '62.23.218.15', 1041750528, 1041750543, 'GB', 'United Kingdom'),
(13928, '62.23.218.16', '62.23.218.135', 1041750544, 1041750663, 'FR', 'France'),
(13929, '62.23.218.136', '62.23.218.143', 1041750664, 1041750671, 'GB', 'United Kingdom'),
(13930, '62.23.218.144', '62.23.218.159', 1041750672, 1041750687, 'FR', 'France'),
(13931, '62.23.218.160', '62.23.218.167', 1041750688, 1041750695, 'GB', 'United Kingdom'),
(13932, '62.23.218.168', '62.23.218.215', 1041750696, 1041750743, 'FR', 'France'),
(13933, '62.23.218.216', '62.23.218.223', 1041750744, 1041750751, 'GB', 'United Kingdom'),
(13934, '62.23.218.224', '62.23.218.247', 1041750752, 1041750775, 'FR', 'France'),
(13935, '62.23.218.248', '62.23.218.255', 1041750776, 1041750783, 'GB', 'United Kingdom'),
(13936, '62.23.219.0', '62.23.219.47', 1041750784, 1041750831, 'FR', 'France'),
(13937, '62.23.219.48', '62.23.219.55', 1041750832, 1041750839, 'GB', 'United Kingdom'),
(13938, '62.23.219.56', '62.23.219.135', 1041750840, 1041750919, 'FR', 'France'),
(13939, '62.23.219.136', '62.23.219.143', 1041750920, 1041750927, 'GB', 'United Kingdom'),
(13940, '62.23.219.144', '62.23.219.223', 1041750928, 1041751007, 'FR', 'France'),
(13941, '62.23.219.224', '62.23.219.231', 1041751008, 1041751015, 'GB', 'United Kingdom'),
(13942, '62.23.219.232', '62.23.221.7', 1041751016, 1041751303, 'FR', 'France'),
(13943, '62.23.221.8', '62.23.221.15', 1041751304, 1041751311, 'GB', 'United Kingdom'),
(13944, '62.23.221.16', '62.23.221.55', 1041751312, 1041751351, 'FR', 'France'),
(13945, '62.23.221.56', '62.23.221.63', 1041751352, 1041751359, 'GB', 'United Kingdom'),
(13946, '62.23.221.64', '62.23.222.15', 1041751360, 1041751567, 'FR', 'France'),
(13947, '62.23.222.16', '62.23.222.23', 1041751568, 1041751575, 'GB', 'United Kingdom'),
(13948, '62.23.222.24', '62.23.222.143', 1041751576, 1041751695, 'FR', 'France'),
(13949, '62.23.222.144', '62.23.222.167', 1041751696, 1041751719, 'GB', 'United Kingdom'),
(13950, '62.23.222.168', '62.23.222.207', 1041751720, 1041751759, 'FR', 'France'),
(13951, '62.23.222.208', '62.23.222.215', 1041751760, 1041751767, 'GB', 'United Kingdom'),
(13952, '62.23.222.216', '62.23.222.223', 1041751768, 1041751775, 'FR', 'France'),
(13953, '62.23.222.224', '62.23.222.255', 1041751776, 1041751807, 'GB', 'United Kingdom'),
(13954, '62.23.223.0', '62.23.228.231', 1041751808, 1041753319, 'FR', 'France'),
(13955, '62.23.228.232', '62.23.228.255', 1041753320, 1041753343, 'GB', 'United Kingdom'),
(13956, '62.23.229.0', '62.23.229.63', 1041753344, 1041753407, 'FR', 'France'),
(13957, '62.23.229.64', '62.23.229.159', 1041753408, 1041753503, 'GB', 'United Kingdom'),
(13958, '62.23.229.160', '62.23.229.255', 1041753504, 1041753599, 'FR', 'France'),
(13959, '62.23.230.0', '62.23.230.175', 1041753600, 1041753775, 'GB', 'United Kingdom'),
(13960, '62.23.230.176', '62.23.230.231', 1041753776, 1041753831, 'FR', 'France'),
(13961, '62.23.230.232', '62.23.230.239', 1041753832, 1041753839, 'GB', 'United Kingdom'),
(13962, '62.23.230.240', '62.23.231.127', 1041753840, 1041753983, 'FR', 'France'),
(13963, '62.23.231.128', '62.23.231.159', 1041753984, 1041754015, 'GB', 'United Kingdom'),
(13964, '62.23.231.160', '62.23.232.31', 1041754016, 1041754143, 'FR', 'France'),
(13965, '62.23.232.32', '62.23.232.39', 1041754144, 1041754151, 'GB', 'United Kingdom'),
(13966, '62.23.232.40', '62.23.232.63', 1041754152, 1041754175, 'FR', 'France'),
(13967, '62.23.232.64', '62.23.232.79', 1041754176, 1041754191, 'GB', 'United Kingdom'),
(13968, '62.23.232.80', '62.23.232.127', 1041754192, 1041754239, 'FR', 'France'),
(13969, '62.23.232.128', '62.23.232.135', 1041754240, 1041754247, 'GB', 'United Kingdom'),
(13970, '62.23.232.136', '62.23.233.55', 1041754248, 1041754423, 'FR', 'France'),
(13971, '62.23.233.56', '62.23.233.63', 1041754424, 1041754431, 'GB', 'United Kingdom'),
(13972, '62.23.233.64', '62.23.233.87', 1041754432, 1041754455, 'FR', 'France'),
(13973, '62.23.233.88', '62.23.233.95', 1041754456, 1041754463, 'GB', 'United Kingdom'),
(13974, '62.23.233.96', '62.23.233.111', 1041754464, 1041754479, 'FR', 'France'),
(13975, '62.23.233.112', '62.23.233.127', 1041754480, 1041754495, 'GB', 'United Kingdom'),
(13976, '62.23.233.128', '62.23.236.95', 1041754496, 1041755231, 'FR', 'France'),
(13977, '62.23.236.96', '62.23.236.103', 1041755232, 1041755239, 'GB', 'United Kingdom'),
(13978, '62.23.236.104', '62.23.236.135', 1041755240, 1041755271, 'FR', 'France'),
(13979, '62.23.236.136', '62.23.236.143', 1041755272, 1041755279, 'GB', 'United Kingdom'),
(13980, '62.23.236.144', '62.23.236.199', 1041755280, 1041755335, 'FR', 'France'),
(13981, '62.23.236.200', '62.23.236.207', 1041755336, 1041755343, 'GB', 'United Kingdom'),
(13982, '62.23.236.208', '62.23.236.239', 1041755344, 1041755375, 'FR', 'France'),
(13983, '62.23.236.240', '62.23.236.255', 1041755376, 1041755391, 'GB', 'United Kingdom'),
(13984, '62.23.237.0', '62.23.237.111', 1041755392, 1041755503, 'FR', 'France'),
(13985, '62.23.237.112', '62.23.237.127', 1041755504, 1041755519, 'GB', 'United Kingdom'),
(13986, '62.23.237.128', '62.23.237.239', 1041755520, 1041755631, 'FR', 'France'),
(13987, '62.23.237.240', '62.23.237.255', 1041755632, 1041755647, 'GB', 'United Kingdom'),
(13988, '62.23.238.0', '62.23.241.47', 1041755648, 1041756463, 'FR', 'France'),
(13989, '62.23.241.48', '62.23.241.55', 1041756464, 1041756471, 'GB', 'United Kingdom'),
(13990, '62.23.241.56', '62.23.241.127', 1041756472, 1041756543, 'FR', 'France'),
(13991, '62.23.241.128', '62.23.241.151', 1041756544, 1041756567, 'GB', 'United Kingdom'),
(13992, '62.23.241.152', '62.23.241.175', 1041756568, 1041756591, 'FR', 'France'),
(13993, '62.23.241.176', '62.23.241.191', 1041756592, 1041756607, 'GB', 'United Kingdom'),
(13994, '62.23.241.192', '62.23.241.239', 1041756608, 1041756655, 'FR', 'France'),
(13995, '62.23.241.240', '62.23.241.247', 1041756656, 1041756663, 'GB', 'United Kingdom'),
(13996, '62.23.241.248', '62.23.242.23', 1041756664, 1041756695, 'FR', 'France'),
(13997, '62.23.242.24', '62.23.242.31', 1041756696, 1041756703, 'DE', 'Germany'),
(13998, '62.23.242.32', '62.23.242.247', 1041756704, 1041756919, 'FR', 'France'),
(13999, '62.23.242.248', '62.23.242.255', 1041756920, 1041756927, 'GB', 'United Kingdom'),
(14000, '62.23.243.0', '62.23.243.95', 1041756928, 1041757023, 'FR', 'France'),
(14001, '62.23.243.96', '62.23.243.111', 1041757024, 1041757039, 'GB', 'United Kingdom'),
(14002, '62.23.243.112', '62.23.243.159', 1041757040, 1041757087, 'FR', 'France'),
(14003, '62.23.243.160', '62.23.243.167', 1041757088, 1041757095, 'GB', 'United Kingdom'),
(14004, '62.23.243.168', '62.23.243.183', 1041757096, 1041757111, 'FR', 'France'),
(14005, '62.23.243.184', '62.23.243.199', 1041757112, 1041757127, 'GB', 'United Kingdom'),
(14006, '62.23.243.200', '62.23.243.247', 1041757128, 1041757175, 'FR', 'France'),
(14007, '62.23.243.248', '62.23.243.251', 1041757176, 1041757179, 'GB', 'United Kingdom'),
(14008, '62.23.243.252', '62.23.244.255', 1041757180, 1041757439, 'FR', 'France'),
(14009, '62.23.245.0', '62.23.245.7', 1041757440, 1041757447, 'GB', 'United Kingdom'),
(14010, '62.23.245.8', '62.23.245.39', 1041757448, 1041757479, 'FR', 'France'),
(14011, '62.23.245.40', '62.23.245.47', 1041757480, 1041757487, 'GB', 'United Kingdom'),
(14012, '62.23.245.48', '62.23.245.63', 1041757488, 1041757503, 'FR', 'France'),
(14013, '62.23.245.64', '62.23.245.79', 1041757504, 1041757519, 'GB', 'United Kingdom'),
(14014, '62.23.245.80', '62.23.245.143', 1041757520, 1041757583, 'FR', 'France'),
(14015, '62.23.245.144', '62.23.245.151', 1041757584, 1041757591, 'GB', 'United Kingdom'),
(14016, '62.23.245.152', '62.23.245.167', 1041757592, 1041757607, 'FR', 'France'),
(14017, '62.23.245.168', '62.23.245.175', 1041757608, 1041757615, 'GB', 'United Kingdom'),
(14018, '62.23.245.176', '62.23.245.191', 1041757616, 1041757631, 'FR', 'France'),
(14019, '62.23.245.192', '62.23.245.207', 1041757632, 1041757647, 'GB', 'United Kingdom'),
(14020, '62.23.245.208', '62.23.245.223', 1041757648, 1041757663, 'FR', 'France'),
(14021, '62.23.245.224', '62.23.245.231', 1041757664, 1041757671, 'GB', 'United Kingdom'),
(14022, '62.23.245.232', '62.23.245.247', 1041757672, 1041757687, 'FR', 'France'),
(14023, '62.23.245.248', '62.23.245.255', 1041757688, 1041757695, 'GB', 'United Kingdom'),
(14024, '62.23.246.0', '62.23.247.79', 1041757696, 1041758031, 'FR', 'France'),
(14025, '62.23.247.80', '62.23.247.87', 1041758032, 1041758039, 'GB', 'United Kingdom'),
(14026, '62.23.247.88', '62.23.247.143', 1041758040, 1041758095, 'FR', 'France'),
(14027, '62.23.247.144', '62.23.247.159', 1041758096, 1041758111, 'GB', 'United Kingdom'),
(14028, '62.23.247.160', '62.23.247.207', 1041758112, 1041758159, 'FR', 'France'),
(14029, '62.23.247.208', '62.23.247.215', 1041758160, 1041758167, 'GB', 'United Kingdom'),
(14030, '62.23.247.216', '62.23.248.47', 1041758168, 1041758255, 'FR', 'France'),
(14031, '62.23.248.48', '62.23.248.63', 1041758256, 1041758271, 'GB', 'United Kingdom'),
(14032, '62.23.248.64', '62.23.248.111', 1041758272, 1041758319, 'FR', 'France'),
(14033, '62.23.248.112', '62.23.248.135', 1041758320, 1041758343, 'GB', 'United Kingdom'),
(14034, '62.23.248.136', '62.23.248.143', 1041758344, 1041758351, 'FR', 'France'),
(14035, '62.23.248.144', '62.23.248.159', 1041758352, 1041758367, 'GB', 'United Kingdom'),
(14036, '62.23.248.160', '62.23.248.183', 1041758368, 1041758391, 'FR', 'France'),
(14037, '62.23.248.184', '62.23.248.191', 1041758392, 1041758399, 'GB', 'United Kingdom'),
(14038, '62.23.248.192', '62.23.248.199', 1041758400, 1041758407, 'FR', 'France'),
(14039, '62.23.248.200', '62.23.248.207', 1041758408, 1041758415, 'GB', 'United Kingdom'),
(14040, '62.23.248.208', '62.23.248.215', 1041758416, 1041758423, 'FR', 'France'),
(14041, '62.23.248.216', '62.23.248.223', 1041758424, 1041758431, 'GB', 'United Kingdom'),
(14042, '62.23.248.224', '62.23.249.215', 1041758432, 1041758679, 'FR', 'France'),
(14043, '62.23.249.216', '62.23.249.223', 1041758680, 1041758687, 'GB', 'United Kingdom'),
(14044, '62.23.249.224', '62.23.251.255', 1041758688, 1041759231, 'FR', 'France'),
(14045, '62.23.252.0', '62.23.255.255', 1041759232, 1041760255, 'GB', 'United Kingdom'),
(14046, '62.24.0.0', '62.24.31.255', 1041760256, 1041768447, 'DE', 'Germany'),
(14047, '62.24.32.0', '62.24.63.255', 1041768448, 1041776639, 'NO', 'Norway'),
(14048, '62.24.64.0', '62.24.95.255', 1041776640, 1041784831, 'CZ', 'Czech Republic'),
(14049, '62.24.96.0', '62.24.127.255', 1041784832, 1041793023, 'KE', 'Kenya'),
(14050, '62.24.128.0', '62.24.255.255', 1041793024, 1041825791, 'GB', 'United Kingdom'),
(14051, '62.25.0.0', '62.25.63.255', 1041825792, 1041842175, 'NL', 'Netherlands'),
(14052, '62.25.64.0', '62.25.255.255', 1041842176, 1041891327, 'GB', 'United Kingdom'),
(14053, '62.26.0.0', '62.26.117.255', 1041891328, 1041921535, 'DE', 'Germany'),
(14054, '62.26.118.0', '62.26.118.191', 1041921536, 1041921727, 'US', 'United States'),
(14055, '62.26.118.192', '62.26.209.255', 1041921728, 1041945087, 'DE', 'Germany'),
(14056, '62.26.210.0', '62.26.210.63', 1041945088, 1041945151, 'AT', 'Austria'),
(14057, '62.26.210.64', '62.27.6.63', 1041945152, 1041958463, 'DE', 'Germany'),
(14058, '62.27.6.64', '62.27.6.127', 1041958464, 1041958527, 'DK', 'Denmark'),
(14059, '62.27.6.128', '62.27.9.255', 1041958528, 1041959423, 'DE', 'Germany'),
(14060, '62.27.10.0', '62.27.10.255', 1041959424, 1041959679, 'US', 'United States'),
(14061, '62.27.11.0', '62.27.255.255', 1041959680, 1042022399, 'DE', 'Germany'),
(14062, '62.28.0.0', '62.28.91.195', 1042022400, 1042045891, 'PT', 'Portugal'),
(14063, '62.28.91.196', '62.28.91.199', 1042045892, 1042045895, 'A2', 'Satellite Provider'),
(14064, '62.28.91.200', '62.28.251.83', 1042045896, 1042086739, 'PT', 'Portugal'),
(14065, '62.28.251.84', '62.28.251.87', 1042086740, 1042086743, 'A2', 'Satellite Provider'),
(14066, '62.28.251.88', '62.28.255.255', 1042086744, 1042087935, 'PT', 'Portugal'),
(14067, '62.29.0.0', '62.29.127.255', 1042087936, 1042120703, 'TR', 'Turkey'),
(14068, '62.29.128.0', '62.29.255.255', 1042120704, 1042153471, 'PL', 'Poland'),
(14069, '62.30.0.0', '62.31.255.255', 1042153472, 1042284543, 'GB', 'United Kingdom'),
(14070, '62.32.0.0', '62.32.15.15', 1042284544, 1042288399, 'CH', 'Switzerland'),
(14071, '62.32.15.16', '62.32.15.31', 1042288400, 1042288415, 'GB', 'United Kingdom'),
(14072, '62.32.15.32', '62.32.31.255', 1042288416, 1042292735, 'CH', 'Switzerland'),
(14073, '62.32.32.0', '62.32.33.255', 1042292736, 1042293247, 'NL', 'Netherlands'),
(14074, '62.32.34.0', '62.32.34.255', 1042293248, 1042293503, 'GB', 'United Kingdom'),
(14075, '62.32.35.0', '62.32.35.31', 1042293504, 1042293535, 'IT', 'Italy'),
(14076, '62.32.35.32', '62.32.35.63', 1042293536, 1042293567, 'IR', 'Iran, Islamic Republic of'),
(14077, '62.32.35.64', '62.32.35.127', 1042293568, 1042293631, 'IT', 'Italy'),
(14078, '62.32.35.128', '62.32.35.255', 1042293632, 1042293759, 'GE', 'Georgia'),
(14079, '62.32.36.0', '62.32.36.225', 1042293760, 1042293985, 'IT', 'Italy'),
(14080, '62.32.36.226', '62.32.39.255', 1042293986, 1042294783, 'NL', 'Netherlands'),
(14081, '62.32.40.0', '62.32.44.255', 1042294784, 1042296063, 'GE', 'Georgia'),
(14082, '62.32.45.0', '62.32.45.127', 1042296064, 1042296191, 'CY', 'Cyprus'),
(14083, '62.32.45.128', '62.32.46.255', 1042296192, 1042296575, 'GE', 'Georgia'),
(14084, '62.32.47.0', '62.32.47.255', 1042296576, 1042296831, 'BY', 'Belarus'),
(14085, '62.32.48.0', '62.32.49.127', 1042296832, 1042297215, 'NL', 'Netherlands'),
(14086, '62.32.49.128', '62.32.49.231', 1042297216, 1042297319, 'IR', 'Iran, Islamic Republic of'),
(14087, '62.32.49.232', '62.32.49.239', 1042297320, 1042297327, 'GE', 'Georgia'),
(14088, '62.32.49.240', '62.32.50.255', 1042297328, 1042297599, 'IR', 'Iran, Islamic Republic of'),
(14089, '62.32.51.0', '62.32.51.255', 1042297600, 1042297855, 'GB', 'United Kingdom'),
(14090, '62.32.52.0', '62.32.52.255', 1042297856, 1042298111, 'NL', 'Netherlands'),
(14091, '62.32.53.0', '62.32.53.31', 1042298112, 1042298143, 'US', 'United States'),
(14092, '62.32.53.32', '62.32.53.63', 1042298144, 1042298175, 'NL', 'Netherlands'),
(14093, '62.32.53.64', '62.32.53.127', 1042298176, 1042298239, 'IR', 'Iran, Islamic Republic of'),
(14094, '62.32.53.128', '62.32.53.167', 1042298240, 1042298279, 'IQ', 'Iraq'),
(14095, '62.32.53.168', '62.32.53.175', 1042298280, 1042298287, 'IR', 'Iran, Islamic Republic of'),
(14096, '62.32.53.176', '62.32.53.191', 1042298288, 1042298303, 'GB', 'United Kingdom'),
(14097, '62.32.53.192', '62.32.53.223', 1042298304, 1042298335, 'IQ', 'Iraq'),
(14098, '62.32.53.224', '62.32.53.239', 1042298336, 1042298351, 'IR', 'Iran, Islamic Republic of'),
(14099, '62.32.53.240', '62.32.53.255', 1042298352, 1042298367, 'NL', 'Netherlands'),
(14100, '62.32.54.0', '62.32.54.255', 1042298368, 1042298623, 'GB', 'United Kingdom'),
(14101, '62.32.55.0', '62.32.55.255', 1042298624, 1042298879, 'NL', 'Netherlands'),
(14102, '62.32.56.0', '62.32.56.255', 1042298880, 1042299135, 'GB', 'United Kingdom'),
(14103, '62.32.57.0', '62.32.57.255', 1042299136, 1042299391, 'IQ', 'Iraq'),
(14104, '62.32.58.0', '62.32.60.255', 1042299392, 1042300159, 'NL', 'Netherlands'),
(14105, '62.32.61.0', '62.32.61.15', 1042300160, 1042300175, 'BY', 'Belarus'),
(14106, '62.32.61.16', '62.32.61.63', 1042300176, 1042300223, 'IQ', 'Iraq'),
(14107, '62.32.61.64', '62.32.61.95', 1042300224, 1042300255, 'AM', 'Armenia'),
(14108, '62.32.61.96', '62.32.61.127', 1042300256, 1042300287, 'IR', 'Iran, Islamic Republic of'),
(14109, '62.32.61.128', '62.32.61.191', 1042300288, 1042300351, 'IT', 'Italy'),
(14110, '62.32.61.192', '62.32.61.223', 1042300352, 1042300383, 'IQ', 'Iraq'),
(14111, '62.32.61.224', '62.32.61.255', 1042300384, 1042300415, 'IR', 'Iran, Islamic Republic of'),
(14112, '62.32.62.0', '62.32.62.63', 1042300416, 1042300479, 'NL', 'Netherlands'),
(14113, '62.32.62.64', '62.32.62.79', 1042300480, 1042300495, 'IQ', 'Iraq'),
(14114, '62.32.62.80', '62.32.62.127', 1042300496, 1042300543, 'GB', 'United Kingdom'),
(14115, '62.32.62.128', '62.32.62.223', 1042300544, 1042300639, 'IQ', 'Iraq'),
(14116, '62.32.62.224', '62.32.62.231', 1042300640, 1042300647, 'NL', 'Netherlands'),
(14117, '62.32.62.232', '62.32.62.239', 1042300648, 1042300655, 'IQ', 'Iraq'),
(14118, '62.32.62.240', '62.32.62.255', 1042300656, 1042300671, 'LB', 'Lebanon'),
(14119, '62.32.63.0', '62.32.63.127', 1042300672, 1042300799, 'IQ', 'Iraq'),
(14120, '62.32.63.128', '62.32.63.191', 1042300800, 1042300863, 'IR', 'Iran, Islamic Republic of'),
(14121, '62.32.63.192', '62.32.63.223', 1042300864, 1042300895, 'LB', 'Lebanon'),
(14122, '62.32.63.224', '62.32.63.231', 1042300896, 1042300903, 'MD', 'Moldova, Republic of'),
(14123, '62.32.63.232', '62.32.63.239', 1042300904, 1042300911, 'UA', 'Ukraine'),
(14124, '62.32.63.240', '62.32.63.247', 1042300912, 1042300919, 'NL', 'Netherlands'),
(14125, '62.32.63.248', '62.32.63.255', 1042300920, 1042300927, 'UA', 'Ukraine'),
(14126, '62.32.64.0', '62.32.95.255', 1042300928, 1042309119, 'RU', 'Russian Federation'),
(14127, '62.32.96.0', '62.32.127.255', 1042309120, 1042317311, 'GB', 'United Kingdom'),
(14128, '62.32.128.0', '62.32.255.255', 1042317312, 1042350079, 'ES', 'Spain'),
(14129, '62.33.0.0', '62.33.255.255', 1042350080, 1042415615, 'RU', 'Russian Federation'),
(14130, '62.34.0.0', '62.35.255.255', 1042415616, 1042546687, 'FR', 'France'),
(14131, '62.36.0.0', '62.37.255.255', 1042546688, 1042677759, 'ES', 'Spain'),
(14132, '62.38.0.0', '62.38.255.255', 1042677760, 1042743295, 'GR', 'Greece'),
(14133, '62.39.0.0', '62.39.255.255', 1042743296, 1042808831, 'FR', 'France'),
(14134, '62.40.0.0', '62.40.31.255', 1042808832, 1042817023, 'DE', 'Germany'),
(14135, '62.40.32.0', '62.40.63.255', 1042817024, 1042825215, 'IE', 'Ireland'),
(14136, '62.40.64.0', '62.40.95.255', 1042825216, 1042833407, 'CZ', 'Czech Republic'),
(14137, '62.40.96.0', '62.40.127.255', 1042833408, 1042841599, 'GB', 'United Kingdom'),
(14138, '62.40.128.0', '62.40.255.255', 1042841600, 1042874367, 'AT', 'Austria'),
(14139, '62.41.0.0', '62.41.3.255', 1042874368, 1042875391, 'NL', 'Netherlands'),
(14140, '62.41.4.0', '62.41.4.7', 1042875392, 1042875399, 'GB', 'United Kingdom'),
(14141, '62.41.4.8', '62.41.4.15', 1042875400, 1042875407, 'DE', 'Germany'),
(14142, '62.41.4.16', '62.41.4.31', 1042875408, 1042875423, 'NL', 'Netherlands'),
(14143, '62.41.4.32', '62.41.4.63', 1042875424, 1042875455, 'GB', 'United Kingdom'),
(14144, '62.41.4.64', '62.41.5.255', 1042875456, 1042875903, 'NL', 'Netherlands'),
(14145, '62.41.6.0', '62.41.7.127', 1042875904, 1042876287, 'GB', 'United Kingdom'),
(14146, '62.41.7.128', '62.41.7.255', 1042876288, 1042876415, 'NL', 'Netherlands'),
(14147, '62.41.8.0', '62.41.8.63', 1042876416, 1042876479, 'GB', 'United Kingdom'),
(14148, '62.41.8.64', '62.41.8.231', 1042876480, 1042876647, 'NL', 'Netherlands'),
(14149, '62.41.8.232', '62.41.8.247', 1042876648, 1042876663, 'GB', 'United Kingdom'),
(14150, '62.41.8.248', '62.41.8.255', 1042876664, 1042876671, 'NL', 'Netherlands'),
(14151, '62.41.9.0', '62.41.9.255', 1042876672, 1042876927, 'DE', 'Germany'),
(14152, '62.41.10.0', '62.41.10.255', 1042876928, 1042877183, 'GB', 'United Kingdom'),
(14153, '62.41.11.0', '62.41.13.255', 1042877184, 1042877951, 'DE', 'Germany'),
(14154, '62.41.14.0', '62.41.14.255', 1042877952, 1042878207, 'NL', 'Netherlands'),
(14155, '62.41.15.0', '62.41.15.255', 1042878208, 1042878463, 'GB', 'United Kingdom'),
(14156, '62.41.16.0', '62.41.19.255', 1042878464, 1042879487, 'NL', 'Netherlands'),
(14157, '62.41.20.0', '62.41.20.255', 1042879488, 1042879743, 'US', 'United States'),
(14158, '62.41.21.0', '62.41.21.255', 1042879744, 1042879999, 'NL', 'Netherlands'),
(14159, '62.41.22.0', '62.41.22.7', 1042880000, 1042880007, 'GB', 'United Kingdom'),
(14160, '62.41.22.8', '62.41.22.31', 1042880008, 1042880031, 'NL', 'Netherlands'),
(14161, '62.41.22.32', '62.41.22.63', 1042880032, 1042880063, 'BE', 'Belgium'),
(14162, '62.41.22.64', '62.41.24.127', 1042880064, 1042880639, 'NL', 'Netherlands'),
(14163, '62.41.24.128', '62.41.24.255', 1042880640, 1042880767, 'GB', 'United Kingdom'),
(14164, '62.41.25.0', '62.41.31.255', 1042880768, 1042882559, 'NL', 'Netherlands'),
(14165, '62.41.32.0', '62.41.32.255', 1042882560, 1042882815, 'DE', 'Germany'),
(14166, '62.41.33.0', '62.41.55.255', 1042882816, 1042888703, 'NL', 'Netherlands'),
(14167, '62.41.56.0', '62.41.56.255', 1042888704, 1042888959, 'GB', 'United Kingdom'),
(14168, '62.41.57.0', '62.41.57.255', 1042888960, 1042889215, 'NL', 'Netherlands'),
(14169, '62.41.58.0', '62.41.58.255', 1042889216, 1042889471, 'DE', 'Germany'),
(14170, '62.41.59.0', '62.41.60.255', 1042889472, 1042889983, 'NL', 'Netherlands'),
(14171, '62.41.61.0', '62.41.61.135', 1042889984, 1042890119, 'GB', 'United Kingdom'),
(14172, '62.41.61.136', '62.41.61.143', 1042890120, 1042890127, 'NL', 'Netherlands'),
(14173, '62.41.61.144', '62.41.61.159', 1042890128, 1042890143, 'GB', 'United Kingdom'),
(14174, '62.41.61.160', '62.41.61.255', 1042890144, 1042890239, 'NL', 'Netherlands'),
(14175, '62.41.62.0', '62.41.62.255', 1042890240, 1042890495, 'GB', 'United Kingdom'),
(14176, '62.41.63.0', '62.41.63.255', 1042890496, 1042890751, 'FR', 'France'),
(14177, '62.41.64.0', '62.41.64.63', 1042890752, 1042890815, 'GB', 'United Kingdom'),
(14178, '62.41.64.64', '62.41.64.67', 1042890816, 1042890819, 'FR', 'France'),
(14179, '62.41.64.68', '62.41.64.192', 1042890820, 1042890944, 'NL', 'Netherlands'),
(14180, '62.41.64.193', '62.41.64.198', 1042890945, 1042890950, 'GB', 'United Kingdom'),
(14181, '62.41.64.199', '62.41.64.207', 1042890951, 1042890959, 'NL', 'Netherlands'),
(14182, '62.41.64.208', '62.41.64.239', 1042890960, 1042890991, 'GB', 'United Kingdom'),
(14183, '62.41.64.240', '62.41.67.255', 1042890992, 1042891775, 'NL', 'Netherlands'),
(14184, '62.41.68.0', '62.41.68.63', 1042891776, 1042891839, 'GB', 'United Kingdom'),
(14185, '62.41.68.64', '62.41.68.95', 1042891840, 1042891871, 'BE', 'Belgium'),
(14186, '62.41.68.96', '62.41.68.239', 1042891872, 1042892015, 'NL', 'Netherlands'),
(14187, '62.41.68.240', '62.41.68.255', 1042892016, 1042892031, 'DE', 'Germany'),
(14188, '62.41.69.0', '62.41.69.255', 1042892032, 1042892287, 'NL', 'Netherlands'),
(14189, '62.41.70.0', '62.41.70.255', 1042892288, 1042892543, 'FR', 'France'),
(14190, '62.41.71.0', '62.41.71.255', 1042892544, 1042892799, 'NL', 'Netherlands'),
(14191, '62.41.72.0', '62.41.72.255', 1042892800, 1042893055, 'EU', 'Europe'),
(14192, '62.41.73.0', '62.41.73.31', 1042893056, 1042893087, 'GB', 'United Kingdom'),
(14193, '62.41.73.32', '62.41.73.79', 1042893088, 1042893135, 'NL', 'Netherlands'),
(14194, '62.41.73.80', '62.41.73.87', 1042893136, 1042893143, 'DE', 'Germany'),
(14195, '62.41.73.88', '62.41.73.95', 1042893144, 1042893151, 'NL', 'Netherlands'),
(14196, '62.41.73.96', '62.41.73.111', 1042893152, 1042893167, 'PL', 'Poland'),
(14197, '62.41.73.112', '62.41.73.127', 1042893168, 1042893183, 'NL', 'Netherlands'),
(14198, '62.41.73.128', '62.41.73.255', 1042893184, 1042893311, 'GB', 'United Kingdom'),
(14199, '62.41.74.0', '62.41.76.255', 1042893312, 1042894079, 'NL', 'Netherlands'),
(14200, '62.41.77.0', '62.41.77.63', 1042894080, 1042894143, 'DE', 'Germany'),
(14201, '62.41.77.64', '62.41.77.95', 1042894144, 1042894175, 'SE', 'Sweden'),
(14202, '62.41.77.96', '62.41.77.255', 1042894176, 1042894335, 'NL', 'Netherlands'),
(14203, '62.41.78.0', '62.41.78.19', 1042894336, 1042894355, 'FR', 'France'),
(14204, '62.41.78.20', '62.41.78.23', 1042894356, 1042894359, 'NL', 'Netherlands'),
(14205, '62.41.78.24', '62.41.78.31', 1042894360, 1042894367, 'GB', 'United Kingdom'),
(14206, '62.41.78.32', '62.41.78.63', 1042894368, 1042894399, 'NL', 'Netherlands'),
(14207, '62.41.78.64', '62.41.78.79', 1042894400, 1042894415, 'GB', 'United Kingdom'),
(14208, '62.41.78.80', '62.41.78.95', 1042894416, 1042894431, 'NL', 'Netherlands'),
(14209, '62.41.78.96', '62.41.78.127', 1042894432, 1042894463, 'PT', 'Portugal'),
(14210, '62.41.78.128', '62.41.78.223', 1042894464, 1042894559, 'NL', 'Netherlands'),
(14211, '62.41.78.224', '62.41.78.255', 1042894560, 1042894591, 'DE', 'Germany'),
(14212, '62.41.79.0', '62.41.79.191', 1042894592, 1042894783, 'NL', 'Netherlands'),
(14213, '62.41.79.192', '62.41.79.255', 1042894784, 1042894847, 'DE', 'Germany'),
(14214, '62.41.80.0', '62.41.80.255', 1042894848, 1042895103, 'NL', 'Netherlands'),
(14215, '62.41.81.0', '62.41.81.127', 1042895104, 1042895231, 'GB', 'United Kingdom'),
(14216, '62.41.81.128', '62.41.81.255', 1042895232, 1042895359, 'DE', 'Germany'),
(14217, '62.41.82.0', '62.41.82.255', 1042895360, 1042895615, 'NL', 'Netherlands'),
(14218, '62.41.83.0', '62.41.83.255', 1042895616, 1042895871, 'GB', 'United Kingdom'),
(14219, '62.41.84.0', '62.41.84.255', 1042895872, 1042896127, 'NL', 'Netherlands'),
(14220, '62.41.85.0', '62.41.85.127', 1042896128, 1042896255, 'GB', 'United Kingdom'),
(14221, '62.41.85.128', '62.41.101.255', 1042896256, 1042900479, 'NL', 'Netherlands'),
(14222, '62.41.102.0', '62.41.102.255', 1042900480, 1042900735, 'GB', 'United Kingdom'),
(14223, '62.41.103.0', '62.41.160.47', 1042900736, 1042915375, 'NL', 'Netherlands'),
(14224, '62.41.160.48', '62.41.160.63', 1042915376, 1042915391, 'DE', 'Germany'),
(14225, '62.41.160.64', '62.41.255.255', 1042915392, 1042939903, 'NL', 'Netherlands'),
(14226, '62.42.0.0', '62.43.255.255', 1042939904, 1043070975, 'ES', 'Spain'),
(14227, '62.44.0.0', '62.44.31.255', 1043070976, 1043079167, 'CZ', 'Czech Republic'),
(14228, '62.44.32.0', '62.44.63.255', 1043079168, 1043087359, 'DE', 'Germany'),
(14229, '62.44.64.0', '62.44.95.255', 1043087360, 1043095551, 'GB', 'United Kingdom'),
(14230, '62.44.96.0', '62.44.127.255', 1043095552, 1043103743, 'BG', 'Bulgaria'),
(14231, '62.44.128.0', '62.44.191.255', 1043103744, 1043120127, 'DK', 'Denmark'),
(14232, '62.44.192.0', '62.44.255.255', 1043120128, 1043136511, 'FI', 'Finland'),
(14233, '62.45.0.0', '62.45.255.255', 1043136512, 1043202047, 'NL', 'Netherlands'),
(14234, '62.46.0.0', '62.47.255.255', 1043202048, 1043333119, 'AT', 'Austria'),
(14235, '62.48.0.0', '62.48.31.255', 1043333120, 1043341311, 'CH', 'Switzerland'),
(14236, '62.48.32.0', '62.48.63.255', 1043341312, 1043349503, 'IT', 'Italy'),
(14237, '62.48.64.0', '62.48.69.67', 1043349504, 1043350851, 'DE', 'Germany'),
(14238, '62.48.69.68', '62.48.69.71', 1043350852, 1043350855, 'CH', 'Switzerland'),
(14239, '62.48.69.72', '62.48.89.119', 1043350856, 1043356023, 'DE', 'Germany'),
(14240, '62.48.89.120', '62.48.89.127', 1043356024, 1043356031, 'CH', 'Switzerland'),
(14241, '62.48.89.128', '62.48.95.255', 1043356032, 1043357695, 'DE', 'Germany'),
(14242, '62.48.96.0', '62.48.127.255', 1043357696, 1043365887, 'CH', 'Switzerland'),
(14243, '62.48.128.0', '62.48.255.255', 1043365888, 1043398655, 'PT', 'Portugal'),
(14244, '62.49.0.0', '62.49.255.255', 1043398656, 1043464191, 'GB', 'United Kingdom'),
(14245, '62.50.0.0', '62.50.0.95', 1043464192, 1043464287, 'NL', 'Netherlands'),
(14246, '62.50.0.96', '62.50.0.119', 1043464288, 1043464311, 'GB', 'United Kingdom'),
(14247, '62.50.0.120', '62.50.2.95', 1043464312, 1043464799, 'NL', 'Netherlands'),
(14248, '62.50.2.96', '62.50.2.103', 1043464800, 1043464807, 'GB', 'United Kingdom'),
(14249, '62.50.2.104', '62.50.2.119', 1043464808, 1043464823, 'NL', 'Netherlands'),
(14250, '62.50.2.120', '62.50.2.127', 1043464824, 1043464831, 'GB', 'United Kingdom'),
(14251, '62.50.2.128', '62.50.2.223', 1043464832, 1043464927, 'NL', 'Netherlands'),
(14252, '62.50.2.224', '62.50.3.95', 1043464928, 1043465055, 'GB', 'United Kingdom'),
(14253, '62.50.3.96', '62.50.3.111', 1043465056, 1043465071, 'NL', 'Netherlands'),
(14254, '62.50.3.112', '62.50.3.127', 1043465072, 1043465087, 'GB', 'United Kingdom'),
(14255, '62.50.3.128', '62.50.6.47', 1043465088, 1043465775, 'NL', 'Netherlands'),
(14256, '62.50.6.48', '62.50.6.55', 1043465776, 1043465783, 'GB', 'United Kingdom'),
(14257, '62.50.6.56', '62.50.6.111', 1043465784, 1043465839, 'NL', 'Netherlands'),
(14258, '62.50.6.112', '62.50.6.127', 1043465840, 1043465855, 'GB', 'United Kingdom'),
(14259, '62.50.6.128', '62.50.6.143', 1043465856, 1043465871, 'NL', 'Netherlands'),
(14260, '62.50.6.144', '62.50.6.191', 1043465872, 1043465919, 'GB', 'United Kingdom'),
(14261, '62.50.6.192', '62.50.6.255', 1043465920, 1043465983, 'NL', 'Netherlands'),
(14262, '62.50.7.0', '62.50.8.7', 1043465984, 1043466247, 'GB', 'United Kingdom'),
(14263, '62.50.8.8', '62.50.8.79', 1043466248, 1043466319, 'NL', 'Netherlands'),
(14264, '62.50.8.80', '62.50.8.87', 1043466320, 1043466327, 'GB', 'United Kingdom'),
(14265, '62.50.8.88', '62.50.8.95', 1043466328, 1043466335, 'NL', 'Netherlands'),
(14266, '62.50.8.96', '62.50.8.111', 1043466336, 1043466351, 'GB', 'United Kingdom'),
(14267, '62.50.8.112', '62.50.8.191', 1043466352, 1043466431, 'NL', 'Netherlands'),
(14268, '62.50.8.192', '62.50.8.207', 1043466432, 1043466447, 'GB', 'United Kingdom'),
(14269, '62.50.8.208', '62.50.8.215', 1043466448, 1043466455, 'NL', 'Netherlands'),
(14270, '62.50.8.216', '62.50.8.223', 1043466456, 1043466463, 'GB', 'United Kingdom'),
(14271, '62.50.8.224', '62.50.8.255', 1043466464, 1043466495, 'NL', 'Netherlands'),
(14272, '62.50.9.0', '62.50.9.7', 1043466496, 1043466503, 'GB', 'United Kingdom'),
(14273, '62.50.9.8', '62.50.9.15', 1043466504, 1043466511, 'NL', 'Netherlands'),
(14274, '62.50.9.16', '62.50.9.23', 1043466512, 1043466519, 'GB', 'United Kingdom'),
(14275, '62.50.9.24', '62.50.9.63', 1043466520, 1043466559, 'NL', 'Netherlands'),
(14276, '62.50.9.64', '62.50.9.79', 1043466560, 1043466575, 'GB', 'United Kingdom'),
(14277, '62.50.9.80', '62.50.9.87', 1043466576, 1043466583, 'NL', 'Netherlands'),
(14278, '62.50.9.88', '62.50.9.111', 1043466584, 1043466607, 'GB', 'United Kingdom'),
(14279, '62.50.9.112', '62.50.10.135', 1043466608, 1043466887, 'NL', 'Netherlands'),
(14280, '62.50.10.136', '62.50.10.175', 1043466888, 1043466927, 'GB', 'United Kingdom'),
(14281, '62.50.10.176', '62.50.10.191', 1043466928, 1043466943, 'NL', 'Netherlands'),
(14282, '62.50.10.192', '62.50.10.239', 1043466944, 1043466991, 'GB', 'United Kingdom'),
(14283, '62.50.10.240', '62.50.10.255', 1043466992, 1043467007, 'NL', 'Netherlands'),
(14284, '62.50.11.0', '62.50.11.31', 1043467008, 1043467039, 'GB', 'United Kingdom'),
(14285, '62.50.11.32', '62.50.11.63', 1043467040, 1043467071, 'NL', 'Netherlands'),
(14286, '62.50.11.64', '62.50.11.79', 1043467072, 1043467087, 'GB', 'United Kingdom'),
(14287, '62.50.11.80', '62.50.11.95', 1043467088, 1043467103, 'NL', 'Netherlands'),
(14288, '62.50.11.96', '62.50.11.191', 1043467104, 1043467199, 'GB', 'United Kingdom'),
(14289, '62.50.11.192', '62.50.11.223', 1043467200, 1043467231, 'NL', 'Netherlands'),
(14290, '62.50.11.224', '62.50.12.255', 1043467232, 1043467519, 'GB', 'United Kingdom'),
(14291, '62.50.13.0', '62.50.13.15', 1043467520, 1043467535, 'NL', 'Netherlands'),
(14292, '62.50.13.16', '62.50.13.63', 1043467536, 1043467583, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(14293, '62.50.13.64', '62.50.13.79', 1043467584, 1043467599, 'NL', 'Netherlands'),
(14294, '62.50.13.80', '62.50.13.95', 1043467600, 1043467615, 'GB', 'United Kingdom'),
(14295, '62.50.13.96', '62.50.13.143', 1043467616, 1043467663, 'NL', 'Netherlands'),
(14296, '62.50.13.144', '62.50.13.159', 1043467664, 1043467679, 'GB', 'United Kingdom'),
(14297, '62.50.13.160', '62.50.13.175', 1043467680, 1043467695, 'NL', 'Netherlands'),
(14298, '62.50.13.176', '62.50.13.239', 1043467696, 1043467759, 'GB', 'United Kingdom'),
(14299, '62.50.13.240', '62.50.13.255', 1043467760, 1043467775, 'NL', 'Netherlands'),
(14300, '62.50.14.0', '62.50.14.39', 1043467776, 1043467815, 'GB', 'United Kingdom'),
(14301, '62.50.14.40', '62.50.14.63', 1043467816, 1043467839, 'NL', 'Netherlands'),
(14302, '62.50.14.64', '62.50.14.95', 1043467840, 1043467871, 'GB', 'United Kingdom'),
(14303, '62.50.14.96', '62.50.14.191', 1043467872, 1043467967, 'NL', 'Netherlands'),
(14304, '62.50.14.192', '62.50.14.207', 1043467968, 1043467983, 'GB', 'United Kingdom'),
(14305, '62.50.14.208', '62.50.14.223', 1043467984, 1043467999, 'NL', 'Netherlands'),
(14306, '62.50.14.224', '62.50.15.31', 1043468000, 1043468063, 'GB', 'United Kingdom'),
(14307, '62.50.15.32', '62.50.15.95', 1043468064, 1043468127, 'NL', 'Netherlands'),
(14308, '62.50.15.96', '62.50.15.127', 1043468128, 1043468159, 'GB', 'United Kingdom'),
(14309, '62.50.15.128', '62.50.15.159', 1043468160, 1043468191, 'NL', 'Netherlands'),
(14310, '62.50.15.160', '62.50.16.127', 1043468192, 1043468415, 'GB', 'United Kingdom'),
(14311, '62.50.16.128', '62.50.17.31', 1043468416, 1043468575, 'NL', 'Netherlands'),
(14312, '62.50.17.32', '62.50.17.111', 1043468576, 1043468655, 'GB', 'United Kingdom'),
(14313, '62.50.17.112', '62.50.17.119', 1043468656, 1043468663, 'NL', 'Netherlands'),
(14314, '62.50.17.120', '62.50.17.127', 1043468664, 1043468671, 'GB', 'United Kingdom'),
(14315, '62.50.17.128', '62.50.17.207', 1043468672, 1043468751, 'NL', 'Netherlands'),
(14316, '62.50.17.208', '62.50.17.223', 1043468752, 1043468767, 'GB', 'United Kingdom'),
(14317, '62.50.17.224', '62.50.17.239', 1043468768, 1043468783, 'NL', 'Netherlands'),
(14318, '62.50.17.240', '62.50.17.247', 1043468784, 1043468791, 'GB', 'United Kingdom'),
(14319, '62.50.17.248', '62.50.17.255', 1043468792, 1043468799, 'NL', 'Netherlands'),
(14320, '62.50.18.0', '62.50.18.31', 1043468800, 1043468831, 'GB', 'United Kingdom'),
(14321, '62.50.18.32', '62.50.18.63', 1043468832, 1043468863, 'NL', 'Netherlands'),
(14322, '62.50.18.64', '62.50.18.95', 1043468864, 1043468895, 'GB', 'United Kingdom'),
(14323, '62.50.18.96', '62.50.18.103', 1043468896, 1043468903, 'NL', 'Netherlands'),
(14324, '62.50.18.104', '62.50.18.111', 1043468904, 1043468911, 'GB', 'United Kingdom'),
(14325, '62.50.18.112', '62.50.18.127', 1043468912, 1043468927, 'NL', 'Netherlands'),
(14326, '62.50.18.128', '62.50.18.135', 1043468928, 1043468935, 'GB', 'United Kingdom'),
(14327, '62.50.18.136', '62.50.18.159', 1043468936, 1043468959, 'NL', 'Netherlands'),
(14328, '62.50.18.160', '62.50.18.167', 1043468960, 1043468967, 'GB', 'United Kingdom'),
(14329, '62.50.18.168', '62.50.18.223', 1043468968, 1043469023, 'NL', 'Netherlands'),
(14330, '62.50.18.224', '62.50.18.255', 1043469024, 1043469055, 'GB', 'United Kingdom'),
(14331, '62.50.19.0', '62.50.19.31', 1043469056, 1043469087, 'NL', 'Netherlands'),
(14332, '62.50.19.32', '62.50.19.95', 1043469088, 1043469151, 'GB', 'United Kingdom'),
(14333, '62.50.19.96', '62.50.19.103', 1043469152, 1043469159, 'NL', 'Netherlands'),
(14334, '62.50.19.104', '62.50.19.127', 1043469160, 1043469183, 'GB', 'United Kingdom'),
(14335, '62.50.19.128', '62.50.19.143', 1043469184, 1043469199, 'NL', 'Netherlands'),
(14336, '62.50.19.144', '62.50.19.151', 1043469200, 1043469207, 'GB', 'United Kingdom'),
(14337, '62.50.19.152', '62.50.19.167', 1043469208, 1043469223, 'NL', 'Netherlands'),
(14338, '62.50.19.168', '62.50.19.175', 1043469224, 1043469231, 'GB', 'United Kingdom'),
(14339, '62.50.19.176', '62.50.19.183', 1043469232, 1043469239, 'NL', 'Netherlands'),
(14340, '62.50.19.184', '62.50.19.191', 1043469240, 1043469247, 'GB', 'United Kingdom'),
(14341, '62.50.19.192', '62.50.20.47', 1043469248, 1043469359, 'NL', 'Netherlands'),
(14342, '62.50.20.48', '62.50.20.63', 1043469360, 1043469375, 'GB', 'United Kingdom'),
(14343, '62.50.20.64', '62.50.20.87', 1043469376, 1043469399, 'NL', 'Netherlands'),
(14344, '62.50.20.88', '62.50.20.127', 1043469400, 1043469439, 'GB', 'United Kingdom'),
(14345, '62.50.20.128', '62.50.20.247', 1043469440, 1043469559, 'NL', 'Netherlands'),
(14346, '62.50.20.248', '62.50.20.255', 1043469560, 1043469567, 'GB', 'United Kingdom'),
(14347, '62.50.21.0', '62.50.22.19', 1043469568, 1043469843, 'NL', 'Netherlands'),
(14348, '62.50.22.20', '62.50.22.23', 1043469844, 1043469847, 'GB', 'United Kingdom'),
(14349, '62.50.22.24', '62.50.22.95', 1043469848, 1043469919, 'NL', 'Netherlands'),
(14350, '62.50.22.96', '62.50.22.115', 1043469920, 1043469939, 'GB', 'United Kingdom'),
(14351, '62.50.22.116', '62.50.22.119', 1043469940, 1043469943, 'NL', 'Netherlands'),
(14352, '62.50.22.120', '62.50.23.47', 1043469944, 1043470127, 'GB', 'United Kingdom'),
(14353, '62.50.23.48', '62.50.23.143', 1043470128, 1043470223, 'NL', 'Netherlands'),
(14354, '62.50.23.144', '62.50.23.191', 1043470224, 1043470271, 'GB', 'United Kingdom'),
(14355, '62.50.23.192', '62.50.23.223', 1043470272, 1043470303, 'NL', 'Netherlands'),
(14356, '62.50.23.224', '62.50.23.255', 1043470304, 1043470335, 'GB', 'United Kingdom'),
(14357, '62.50.24.0', '62.50.25.255', 1043470336, 1043470847, 'NL', 'Netherlands'),
(14358, '62.50.26.0', '62.50.31.255', 1043470848, 1043472383, 'GB', 'United Kingdom'),
(14359, '62.50.32.0', '62.50.32.11', 1043472384, 1043472395, 'DE', 'Germany'),
(14360, '62.50.32.12', '62.50.32.15', 1043472396, 1043472399, 'GB', 'United Kingdom'),
(14361, '62.50.32.16', '62.50.32.39', 1043472400, 1043472423, 'DE', 'Germany'),
(14362, '62.50.32.40', '62.50.32.47', 1043472424, 1043472431, 'GB', 'United Kingdom'),
(14363, '62.50.32.48', '62.50.32.59', 1043472432, 1043472443, 'DE', 'Germany'),
(14364, '62.50.32.60', '62.50.32.83', 1043472444, 1043472467, 'GB', 'United Kingdom'),
(14365, '62.50.32.84', '62.50.32.91', 1043472468, 1043472475, 'DE', 'Germany'),
(14366, '62.50.32.92', '62.50.32.103', 1043472476, 1043472487, 'GB', 'United Kingdom'),
(14367, '62.50.32.104', '62.50.32.111', 1043472488, 1043472495, 'DE', 'Germany'),
(14368, '62.50.32.112', '62.50.32.119', 1043472496, 1043472503, 'GB', 'United Kingdom'),
(14369, '62.50.32.120', '62.50.33.103', 1043472504, 1043472743, 'DE', 'Germany'),
(14370, '62.50.33.104', '62.50.33.111', 1043472744, 1043472751, 'GB', 'United Kingdom'),
(14371, '62.50.33.112', '62.50.33.255', 1043472752, 1043472895, 'DE', 'Germany'),
(14372, '62.50.34.0', '62.50.34.255', 1043472896, 1043473151, 'GB', 'United Kingdom'),
(14373, '62.50.35.0', '62.50.35.95', 1043473152, 1043473247, 'DE', 'Germany'),
(14374, '62.50.35.96', '62.50.35.103', 1043473248, 1043473255, 'GB', 'United Kingdom'),
(14375, '62.50.35.104', '62.50.36.3', 1043473256, 1043473411, 'DE', 'Germany'),
(14376, '62.50.36.4', '62.50.36.7', 1043473412, 1043473415, 'GB', 'United Kingdom'),
(14377, '62.50.36.8', '62.50.36.171', 1043473416, 1043473579, 'DE', 'Germany'),
(14378, '62.50.36.172', '62.50.36.175', 1043473580, 1043473583, 'GB', 'United Kingdom'),
(14379, '62.50.36.176', '62.50.38.63', 1043473584, 1043473983, 'DE', 'Germany'),
(14380, '62.50.38.64', '62.50.38.95', 1043473984, 1043474015, 'GB', 'United Kingdom'),
(14381, '62.50.38.96', '62.50.38.111', 1043474016, 1043474031, 'DE', 'Germany'),
(14382, '62.50.38.112', '62.50.38.127', 1043474032, 1043474047, 'GB', 'United Kingdom'),
(14383, '62.50.38.128', '62.50.40.23', 1043474048, 1043474455, 'DE', 'Germany'),
(14384, '62.50.40.24', '62.50.40.31', 1043474456, 1043474463, 'GB', 'United Kingdom'),
(14385, '62.50.40.32', '62.50.40.55', 1043474464, 1043474487, 'DE', 'Germany'),
(14386, '62.50.40.56', '62.50.40.63', 1043474488, 1043474495, 'GB', 'United Kingdom'),
(14387, '62.50.40.64', '62.50.40.67', 1043474496, 1043474499, 'DE', 'Germany'),
(14388, '62.50.40.68', '62.50.40.71', 1043474500, 1043474503, 'GB', 'United Kingdom'),
(14389, '62.50.40.72', '62.50.44.135', 1043474504, 1043475591, 'DE', 'Germany'),
(14390, '62.50.44.136', '62.50.44.255', 1043475592, 1043475711, 'GB', 'United Kingdom'),
(14391, '62.50.45.0', '62.50.45.175', 1043475712, 1043475887, 'DE', 'Germany'),
(14392, '62.50.45.176', '62.50.45.207', 1043475888, 1043475919, 'GB', 'United Kingdom'),
(14393, '62.50.45.208', '62.50.46.15', 1043475920, 1043475983, 'DE', 'Germany'),
(14394, '62.50.46.16', '62.50.46.23', 1043475984, 1043475991, 'GB', 'United Kingdom'),
(14395, '62.50.46.24', '62.50.47.95', 1043475992, 1043476319, 'DE', 'Germany'),
(14396, '62.50.47.96', '62.50.47.127', 1043476320, 1043476351, 'GB', 'United Kingdom'),
(14397, '62.50.47.128', '62.50.48.3', 1043476352, 1043476483, 'DE', 'Germany'),
(14398, '62.50.48.4', '62.50.48.7', 1043476484, 1043476487, 'GB', 'United Kingdom'),
(14399, '62.50.48.8', '62.50.48.63', 1043476488, 1043476543, 'DE', 'Germany'),
(14400, '62.50.48.64', '62.50.48.79', 1043476544, 1043476559, 'GB', 'United Kingdom'),
(14401, '62.50.48.80', '62.50.48.95', 1043476560, 1043476575, 'DE', 'Germany'),
(14402, '62.50.48.96', '62.50.48.127', 1043476576, 1043476607, 'GB', 'United Kingdom'),
(14403, '62.50.48.128', '62.50.48.255', 1043476608, 1043476735, 'DE', 'Germany'),
(14404, '62.50.49.0', '62.50.49.31', 1043476736, 1043476767, 'GB', 'United Kingdom'),
(14405, '62.50.49.32', '62.50.49.79', 1043476768, 1043476815, 'DE', 'Germany'),
(14406, '62.50.49.80', '62.50.49.255', 1043476816, 1043476991, 'GB', 'United Kingdom'),
(14407, '62.50.50.0', '62.50.51.255', 1043476992, 1043477503, 'DE', 'Germany'),
(14408, '62.50.52.0', '62.50.52.255', 1043477504, 1043477759, 'GB', 'United Kingdom'),
(14409, '62.50.53.0', '62.50.54.31', 1043477760, 1043478047, 'DE', 'Germany'),
(14410, '62.50.54.32', '62.50.54.47', 1043478048, 1043478063, 'GB', 'United Kingdom'),
(14411, '62.50.54.48', '62.50.54.163', 1043478064, 1043478179, 'DE', 'Germany'),
(14412, '62.50.54.164', '62.50.54.255', 1043478180, 1043478271, 'GB', 'United Kingdom'),
(14413, '62.50.55.0', '62.50.55.15', 1043478272, 1043478287, 'DE', 'Germany'),
(14414, '62.50.55.16', '62.50.58.255', 1043478288, 1043479295, 'GB', 'United Kingdom'),
(14415, '62.50.59.0', '62.50.59.255', 1043479296, 1043479551, 'DE', 'Germany'),
(14416, '62.50.60.0', '62.50.61.255', 1043479552, 1043480063, 'GB', 'United Kingdom'),
(14417, '62.50.62.0', '62.50.63.31', 1043480064, 1043480351, 'DE', 'Germany'),
(14418, '62.50.63.32', '62.50.63.39', 1043480352, 1043480359, 'GB', 'United Kingdom'),
(14419, '62.50.63.40', '62.50.63.43', 1043480360, 1043480363, 'DE', 'Germany'),
(14420, '62.50.63.44', '62.50.63.255', 1043480364, 1043480575, 'GB', 'United Kingdom'),
(14421, '62.50.64.0', '62.50.64.111', 1043480576, 1043480687, 'CH', 'Switzerland'),
(14422, '62.50.64.112', '62.50.64.119', 1043480688, 1043480695, 'GB', 'United Kingdom'),
(14423, '62.50.64.120', '62.50.64.255', 1043480696, 1043480831, 'CH', 'Switzerland'),
(14424, '62.50.65.0', '62.50.68.255', 1043480832, 1043481855, 'GB', 'United Kingdom'),
(14425, '62.50.69.0', '62.50.69.103', 1043481856, 1043481959, 'CH', 'Switzerland'),
(14426, '62.50.69.104', '62.50.69.111', 1043481960, 1043481967, 'GB', 'United Kingdom'),
(14427, '62.50.69.112', '62.50.69.143', 1043481968, 1043481999, 'CH', 'Switzerland'),
(14428, '62.50.69.144', '62.50.69.159', 1043482000, 1043482015, 'GB', 'United Kingdom'),
(14429, '62.50.69.160', '62.50.69.223', 1043482016, 1043482079, 'CH', 'Switzerland'),
(14430, '62.50.69.224', '62.50.71.255', 1043482080, 1043482623, 'GB', 'United Kingdom'),
(14431, '62.50.72.0', '62.50.72.23', 1043482624, 1043482647, 'CH', 'Switzerland'),
(14432, '62.50.72.24', '62.50.72.43', 1043482648, 1043482667, 'GB', 'United Kingdom'),
(14433, '62.50.72.44', '62.50.72.47', 1043482668, 1043482671, 'CH', 'Switzerland'),
(14434, '62.50.72.48', '62.50.72.63', 1043482672, 1043482687, 'GB', 'United Kingdom'),
(14435, '62.50.72.64', '62.50.72.95', 1043482688, 1043482719, 'CH', 'Switzerland'),
(14436, '62.50.72.96', '62.50.72.111', 1043482720, 1043482735, 'GB', 'United Kingdom'),
(14437, '62.50.72.112', '62.50.72.135', 1043482736, 1043482759, 'CH', 'Switzerland'),
(14438, '62.50.72.136', '62.50.72.159', 1043482760, 1043482783, 'GB', 'United Kingdom'),
(14439, '62.50.72.160', '62.50.72.167', 1043482784, 1043482791, 'CH', 'Switzerland'),
(14440, '62.50.72.168', '62.50.72.183', 1043482792, 1043482807, 'GB', 'United Kingdom'),
(14441, '62.50.72.184', '62.50.73.15', 1043482808, 1043482895, 'CH', 'Switzerland'),
(14442, '62.50.73.16', '62.50.73.31', 1043482896, 1043482911, 'GB', 'United Kingdom'),
(14443, '62.50.73.32', '62.50.73.71', 1043482912, 1043482951, 'CH', 'Switzerland'),
(14444, '62.50.73.72', '62.50.73.79', 1043482952, 1043482959, 'GB', 'United Kingdom'),
(14445, '62.50.73.80', '62.50.73.95', 1043482960, 1043482975, 'CH', 'Switzerland'),
(14446, '62.50.73.96', '62.50.73.115', 1043482976, 1043482995, 'GB', 'United Kingdom'),
(14447, '62.50.73.116', '62.50.73.159', 1043482996, 1043483039, 'CH', 'Switzerland'),
(14448, '62.50.73.160', '62.50.73.167', 1043483040, 1043483047, 'GB', 'United Kingdom'),
(14449, '62.50.73.168', '62.50.73.179', 1043483048, 1043483059, 'CH', 'Switzerland'),
(14450, '62.50.73.180', '62.50.73.183', 1043483060, 1043483063, 'GB', 'United Kingdom'),
(14451, '62.50.73.184', '62.50.73.223', 1043483064, 1043483103, 'CH', 'Switzerland'),
(14452, '62.50.73.224', '62.50.73.231', 1043483104, 1043483111, 'GB', 'United Kingdom'),
(14453, '62.50.73.232', '62.50.74.95', 1043483112, 1043483231, 'CH', 'Switzerland'),
(14454, '62.50.74.96', '62.50.74.99', 1043483232, 1043483235, 'GB', 'United Kingdom'),
(14455, '62.50.74.100', '62.50.74.143', 1043483236, 1043483279, 'CH', 'Switzerland'),
(14456, '62.50.74.144', '62.50.74.159', 1043483280, 1043483295, 'GB', 'United Kingdom'),
(14457, '62.50.74.160', '62.50.74.175', 1043483296, 1043483311, 'CH', 'Switzerland'),
(14458, '62.50.74.176', '62.50.74.183', 1043483312, 1043483319, 'GB', 'United Kingdom'),
(14459, '62.50.74.184', '62.50.74.191', 1043483320, 1043483327, 'CH', 'Switzerland'),
(14460, '62.50.74.192', '62.50.74.199', 1043483328, 1043483335, 'GB', 'United Kingdom'),
(14461, '62.50.74.200', '62.50.74.207', 1043483336, 1043483343, 'CH', 'Switzerland'),
(14462, '62.50.74.208', '62.50.74.223', 1043483344, 1043483359, 'GB', 'United Kingdom'),
(14463, '62.50.74.224', '62.50.74.255', 1043483360, 1043483391, 'CH', 'Switzerland'),
(14464, '62.50.75.0', '62.50.75.14', 1043483392, 1043483406, 'GB', 'United Kingdom'),
(14465, '62.50.75.15', '62.50.75.15', 1043483407, 1043483407, 'CH', 'Switzerland'),
(14466, '62.50.75.16', '62.50.76.7', 1043483408, 1043483655, 'GB', 'United Kingdom'),
(14467, '62.50.76.8', '62.50.76.31', 1043483656, 1043483679, 'CH', 'Switzerland'),
(14468, '62.50.76.32', '62.50.76.39', 1043483680, 1043483687, 'GB', 'United Kingdom'),
(14469, '62.50.76.40', '62.50.76.111', 1043483688, 1043483759, 'CH', 'Switzerland'),
(14470, '62.50.76.112', '62.50.76.127', 1043483760, 1043483775, 'GB', 'United Kingdom'),
(14471, '62.50.76.128', '62.50.76.191', 1043483776, 1043483839, 'CH', 'Switzerland'),
(14472, '62.50.76.192', '62.50.76.223', 1043483840, 1043483871, 'GB', 'United Kingdom'),
(14473, '62.50.76.224', '62.50.77.7', 1043483872, 1043483911, 'CH', 'Switzerland'),
(14474, '62.50.77.8', '62.50.77.255', 1043483912, 1043484159, 'GB', 'United Kingdom'),
(14475, '62.50.78.0', '62.50.78.31', 1043484160, 1043484191, 'CH', 'Switzerland'),
(14476, '62.50.78.32', '62.50.78.39', 1043484192, 1043484199, 'GB', 'United Kingdom'),
(14477, '62.50.78.40', '62.50.78.55', 1043484200, 1043484215, 'CH', 'Switzerland'),
(14478, '62.50.78.56', '62.50.78.71', 1043484216, 1043484231, 'GB', 'United Kingdom'),
(14479, '62.50.78.72', '62.50.78.191', 1043484232, 1043484351, 'CH', 'Switzerland'),
(14480, '62.50.78.192', '62.50.78.223', 1043484352, 1043484383, 'GB', 'United Kingdom'),
(14481, '62.50.78.224', '62.50.79.15', 1043484384, 1043484431, 'CH', 'Switzerland'),
(14482, '62.50.79.16', '62.50.79.47', 1043484432, 1043484463, 'GB', 'United Kingdom'),
(14483, '62.50.79.48', '62.50.79.135', 1043484464, 1043484551, 'CH', 'Switzerland'),
(14484, '62.50.79.136', '62.50.79.143', 1043484552, 1043484559, 'GB', 'United Kingdom'),
(14485, '62.50.79.144', '62.50.79.159', 1043484560, 1043484575, 'CH', 'Switzerland'),
(14486, '62.50.79.160', '62.50.79.167', 1043484576, 1043484583, 'GB', 'United Kingdom'),
(14487, '62.50.79.168', '62.50.79.207', 1043484584, 1043484623, 'CH', 'Switzerland'),
(14488, '62.50.79.208', '62.50.79.215', 1043484624, 1043484631, 'GB', 'United Kingdom'),
(14489, '62.50.79.216', '62.50.79.255', 1043484632, 1043484671, 'CH', 'Switzerland'),
(14490, '62.50.80.0', '62.50.80.7', 1043484672, 1043484679, 'GB', 'United Kingdom'),
(14491, '62.50.80.8', '62.50.80.79', 1043484680, 1043484751, 'CH', 'Switzerland'),
(14492, '62.50.80.80', '62.50.80.95', 1043484752, 1043484767, 'GB', 'United Kingdom'),
(14493, '62.50.80.96', '62.50.80.127', 1043484768, 1043484799, 'CH', 'Switzerland'),
(14494, '62.50.80.128', '62.50.80.255', 1043484800, 1043484927, 'GB', 'United Kingdom'),
(14495, '62.50.81.0', '62.50.81.7', 1043484928, 1043484935, 'CH', 'Switzerland'),
(14496, '62.50.81.8', '62.50.81.15', 1043484936, 1043484943, 'GB', 'United Kingdom'),
(14497, '62.50.81.16', '62.50.81.31', 1043484944, 1043484959, 'CH', 'Switzerland'),
(14498, '62.50.81.32', '62.50.81.63', 1043484960, 1043484991, 'GB', 'United Kingdom'),
(14499, '62.50.81.64', '62.50.81.127', 1043484992, 1043485055, 'CH', 'Switzerland'),
(14500, '62.50.81.128', '62.50.82.7', 1043485056, 1043485191, 'GB', 'United Kingdom'),
(14501, '62.50.82.8', '62.50.82.11', 1043485192, 1043485195, 'CH', 'Switzerland'),
(14502, '62.50.82.12', '62.50.82.255', 1043485196, 1043485439, 'GB', 'United Kingdom'),
(14503, '62.50.83.0', '62.50.83.127', 1043485440, 1043485567, 'CH', 'Switzerland'),
(14504, '62.50.83.128', '62.50.83.255', 1043485568, 1043485695, 'GB', 'United Kingdom'),
(14505, '62.50.84.0', '62.50.86.31', 1043485696, 1043486239, 'CH', 'Switzerland'),
(14506, '62.50.86.32', '62.50.86.255', 1043486240, 1043486463, 'GB', 'United Kingdom'),
(14507, '62.50.87.0', '62.50.87.23', 1043486464, 1043486487, 'CH', 'Switzerland'),
(14508, '62.50.87.24', '62.50.87.255', 1043486488, 1043486719, 'GB', 'United Kingdom'),
(14509, '62.50.88.0', '62.50.88.3', 1043486720, 1043486723, 'CH', 'Switzerland'),
(14510, '62.50.88.4', '62.50.88.255', 1043486724, 1043486975, 'GB', 'United Kingdom'),
(14511, '62.50.89.0', '62.50.89.63', 1043486976, 1043487039, 'CH', 'Switzerland'),
(14512, '62.50.89.64', '62.50.89.79', 1043487040, 1043487055, 'GB', 'United Kingdom'),
(14513, '62.50.89.80', '62.50.89.127', 1043487056, 1043487103, 'CH', 'Switzerland'),
(14514, '62.50.89.128', '62.50.89.255', 1043487104, 1043487231, 'GB', 'United Kingdom'),
(14515, '62.50.90.0', '62.50.90.211', 1043487232, 1043487443, 'CH', 'Switzerland'),
(14516, '62.50.90.212', '62.50.90.215', 1043487444, 1043487447, 'GB', 'United Kingdom'),
(14517, '62.50.90.216', '62.50.90.223', 1043487448, 1043487455, 'CH', 'Switzerland'),
(14518, '62.50.90.224', '62.50.90.255', 1043487456, 1043487487, 'GB', 'United Kingdom'),
(14519, '62.50.91.0', '62.50.91.135', 1043487488, 1043487623, 'CH', 'Switzerland'),
(14520, '62.50.91.136', '62.50.91.143', 1043487624, 1043487631, 'GB', 'United Kingdom'),
(14521, '62.50.91.144', '62.50.91.191', 1043487632, 1043487679, 'CH', 'Switzerland'),
(14522, '62.50.91.192', '62.50.91.255', 1043487680, 1043487743, 'GB', 'United Kingdom'),
(14523, '62.50.92.0', '62.50.92.7', 1043487744, 1043487751, 'CH', 'Switzerland'),
(14524, '62.50.92.8', '62.50.95.255', 1043487752, 1043488767, 'GB', 'United Kingdom'),
(14525, '62.50.96.0', '62.50.127.255', 1043488768, 1043496959, 'DE', 'Germany'),
(14526, '62.50.128.0', '62.50.128.95', 1043496960, 1043497055, 'FR', 'France'),
(14527, '62.50.128.96', '62.50.128.119', 1043497056, 1043497079, 'GB', 'United Kingdom'),
(14528, '62.50.128.120', '62.50.128.255', 1043497080, 1043497215, 'FR', 'France'),
(14529, '62.50.129.0', '62.50.131.31', 1043497216, 1043497759, 'GB', 'United Kingdom'),
(14530, '62.50.131.32', '62.50.131.39', 1043497760, 1043497767, 'FR', 'France'),
(14531, '62.50.131.40', '62.50.131.129', 1043497768, 1043497857, 'GB', 'United Kingdom'),
(14532, '62.50.131.130', '62.50.131.130', 1043497858, 1043497858, 'FR', 'France'),
(14533, '62.50.131.131', '62.50.131.135', 1043497859, 1043497863, 'GB', 'United Kingdom'),
(14534, '62.50.131.136', '62.50.131.143', 1043497864, 1043497871, 'FR', 'France'),
(14535, '62.50.131.144', '62.50.131.175', 1043497872, 1043497903, 'GB', 'United Kingdom'),
(14536, '62.50.131.176', '62.50.131.183', 1043497904, 1043497911, 'FR', 'France'),
(14537, '62.50.131.184', '62.50.131.199', 1043497912, 1043497927, 'GB', 'United Kingdom'),
(14538, '62.50.131.200', '62.50.131.207', 1043497928, 1043497935, 'FR', 'France'),
(14539, '62.50.131.208', '62.50.131.255', 1043497936, 1043497983, 'GB', 'United Kingdom'),
(14540, '62.50.132.0', '62.50.132.31', 1043497984, 1043498015, 'FR', 'France'),
(14541, '62.50.132.32', '62.50.132.39', 1043498016, 1043498023, 'GB', 'United Kingdom'),
(14542, '62.50.132.40', '62.50.132.47', 1043498024, 1043498031, 'FR', 'France'),
(14543, '62.50.132.48', '62.50.132.55', 1043498032, 1043498039, 'GB', 'United Kingdom'),
(14544, '62.50.132.56', '62.50.132.87', 1043498040, 1043498071, 'FR', 'France'),
(14545, '62.50.132.88', '62.50.132.111', 1043498072, 1043498095, 'GB', 'United Kingdom'),
(14546, '62.50.132.112', '62.50.132.127', 1043498096, 1043498111, 'FR', 'France'),
(14547, '62.50.132.128', '62.50.132.167', 1043498112, 1043498151, 'GB', 'United Kingdom'),
(14548, '62.50.132.168', '62.50.132.199', 1043498152, 1043498183, 'FR', 'France'),
(14549, '62.50.132.200', '62.50.132.211', 1043498184, 1043498195, 'GB', 'United Kingdom'),
(14550, '62.50.132.212', '62.50.132.223', 1043498196, 1043498207, 'FR', 'France'),
(14551, '62.50.132.224', '62.50.132.239', 1043498208, 1043498223, 'GB', 'United Kingdom'),
(14552, '62.50.132.240', '62.50.132.255', 1043498224, 1043498239, 'FR', 'France'),
(14553, '62.50.133.0', '62.50.133.3', 1043498240, 1043498243, 'GB', 'United Kingdom'),
(14554, '62.50.133.4', '62.50.133.7', 1043498244, 1043498247, 'FR', 'France'),
(14555, '62.50.133.8', '62.50.133.255', 1043498248, 1043498495, 'GB', 'United Kingdom'),
(14556, '62.50.134.0', '62.50.134.31', 1043498496, 1043498527, 'FR', 'France'),
(14557, '62.50.134.32', '62.50.134.47', 1043498528, 1043498543, 'GB', 'United Kingdom'),
(14558, '62.50.134.48', '62.50.134.143', 1043498544, 1043498639, 'FR', 'France'),
(14559, '62.50.134.144', '62.50.134.159', 1043498640, 1043498655, 'GB', 'United Kingdom'),
(14560, '62.50.134.160', '62.50.134.175', 1043498656, 1043498671, 'FR', 'France'),
(14561, '62.50.134.176', '62.50.135.63', 1043498672, 1043498815, 'GB', 'United Kingdom'),
(14562, '62.50.135.64', '62.50.135.159', 1043498816, 1043498911, 'FR', 'France'),
(14563, '62.50.135.160', '62.50.137.3', 1043498912, 1043499267, 'GB', 'United Kingdom'),
(14564, '62.50.137.4', '62.50.137.255', 1043499268, 1043499519, 'FR', 'France'),
(14565, '62.50.138.0', '62.50.159.255', 1043499520, 1043505151, 'GB', 'United Kingdom'),
(14566, '62.50.160.0', '62.50.191.255', 1043505152, 1043513343, 'NO', 'Norway'),
(14567, '62.50.192.0', '62.50.255.255', 1043513344, 1043529727, 'GB', 'United Kingdom'),
(14568, '62.51.0.0', '62.51.255.255', 1043529728, 1043595263, 'NL', 'Netherlands'),
(14569, '62.52.0.0', '62.52.20.255', 1043595264, 1043600639, 'DE', 'Germany'),
(14570, '62.52.21.0', '62.52.21.255', 1043600640, 1043600895, 'FR', 'France'),
(14571, '62.52.22.0', '62.52.42.239', 1043600896, 1043606255, 'DE', 'Germany'),
(14572, '62.52.42.240', '62.52.42.255', 1043606256, 1043606271, 'GB', 'United Kingdom'),
(14573, '62.52.43.0', '62.52.48.127', 1043606272, 1043607679, 'DE', 'Germany'),
(14574, '62.52.48.128', '62.52.48.159', 1043607680, 1043607711, 'FR', 'France'),
(14575, '62.52.48.160', '62.52.54.191', 1043607712, 1043609279, 'DE', 'Germany'),
(14576, '62.52.54.192', '62.52.54.255', 1043609280, 1043609343, 'AT', 'Austria'),
(14577, '62.52.55.0', '62.52.55.119', 1043609344, 1043609463, 'DE', 'Germany'),
(14578, '62.52.55.120', '62.52.55.127', 1043609464, 1043609471, 'IE', 'Ireland'),
(14579, '62.52.55.128', '62.52.95.255', 1043609472, 1043619839, 'DE', 'Germany'),
(14580, '62.52.96.0', '62.52.96.255', 1043619840, 1043620095, 'IE', 'Ireland'),
(14581, '62.52.97.0', '62.52.102.127', 1043620096, 1043621503, 'DE', 'Germany'),
(14582, '62.52.102.128', '62.52.102.191', 1043621504, 1043621567, 'GB', 'United Kingdom'),
(14583, '62.52.102.192', '62.52.109.47', 1043621568, 1043623215, 'DE', 'Germany'),
(14584, '62.52.109.48', '62.52.109.63', 1043623216, 1043623231, 'GB', 'United Kingdom'),
(14585, '62.52.109.64', '62.52.149.255', 1043623232, 1043633663, 'DE', 'Germany'),
(14586, '62.52.150.0', '62.52.150.255', 1043633664, 1043633919, 'FR', 'France'),
(14587, '62.52.151.0', '62.53.2.255', 1043633920, 1043661567, 'DE', 'Germany'),
(14588, '62.53.3.0', '62.53.3.255', 1043661568, 1043661823, 'GB', 'United Kingdom'),
(14589, '62.53.4.0', '62.53.125.255', 1043661824, 1043693055, 'DE', 'Germany'),
(14590, '62.53.126.0', '62.53.126.71', 1043693056, 1043693127, 'GB', 'United Kingdom'),
(14591, '62.53.126.72', '62.53.126.127', 1043693128, 1043693183, 'DE', 'Germany'),
(14592, '62.53.126.128', '62.53.127.255', 1043693184, 1043693567, 'GB', 'United Kingdom'),
(14593, '62.53.128.0', '62.53.226.127', 1043693568, 1043718783, 'DE', 'Germany'),
(14594, '62.53.226.128', '62.53.226.159', 1043718784, 1043718815, 'FR', 'France'),
(14595, '62.53.226.160', '62.53.229.231', 1043718816, 1043719655, 'DE', 'Germany'),
(14596, '62.53.229.232', '62.53.229.255', 1043719656, 1043719679, 'CH', 'Switzerland'),
(14597, '62.53.230.0', '62.55.255.255', 1043719680, 1043857407, 'DE', 'Germany'),
(14598, '62.56.0.0', '62.56.127.255', 1043857408, 1043890175, 'GB', 'United Kingdom'),
(14599, '62.56.128.0', '62.56.128.7', 1043890176, 1043890183, 'A2', 'Satellite Provider'),
(14600, '62.56.128.8', '62.56.128.15', 1043890184, 1043890191, 'NG', 'Nigeria'),
(14601, '62.56.128.16', '62.56.128.31', 1043890192, 1043890207, 'A2', 'Satellite Provider'),
(14602, '62.56.128.32', '62.56.128.63', 1043890208, 1043890239, 'NG', 'Nigeria'),
(14603, '62.56.128.64', '62.56.129.63', 1043890240, 1043890495, 'A2', 'Satellite Provider'),
(14604, '62.56.129.64', '62.56.129.159', 1043890496, 1043890591, 'NG', 'Nigeria'),
(14605, '62.56.129.160', '62.56.134.63', 1043890592, 1043891775, 'A2', 'Satellite Provider'),
(14606, '62.56.134.64', '62.56.134.127', 1043891776, 1043891839, 'NG', 'Nigeria'),
(14607, '62.56.134.128', '62.56.135.255', 1043891840, 1043892223, 'A2', 'Satellite Provider'),
(14608, '62.56.136.0', '62.56.136.15', 1043892224, 1043892239, 'MZ', 'Mozambique'),
(14609, '62.56.136.16', '62.56.136.31', 1043892240, 1043892255, 'A2', 'Satellite Provider'),
(14610, '62.56.136.32', '62.56.136.63', 1043892256, 1043892287, 'MZ', 'Mozambique'),
(14611, '62.56.136.64', '62.56.136.255', 1043892288, 1043892479, 'A2', 'Satellite Provider'),
(14612, '62.56.137.0', '62.56.137.255', 1043892480, 1043892735, 'CD', 'Congo, The Democratic Republic of the'),
(14613, '62.56.138.0', '62.56.138.255', 1043892736, 1043892991, 'MZ', 'Mozambique'),
(14614, '62.56.139.0', '62.56.141.63', 1043892992, 1043893567, 'A2', 'Satellite Provider'),
(14615, '62.56.141.64', '62.56.141.79', 1043893568, 1043893583, 'NG', 'Nigeria'),
(14616, '62.56.141.80', '62.56.145.31', 1043893584, 1043894559, 'A2', 'Satellite Provider'),
(14617, '62.56.145.32', '62.56.145.63', 1043894560, 1043894591, 'LR', 'Liberia'),
(14618, '62.56.145.64', '62.56.145.223', 1043894592, 1043894751, 'A2', 'Satellite Provider'),
(14619, '62.56.145.224', '62.56.145.255', 1043894752, 1043894783, 'NG', 'Nigeria'),
(14620, '62.56.146.0', '62.56.146.63', 1043894784, 1043894847, 'LR', 'Liberia'),
(14621, '62.56.146.64', '62.56.146.95', 1043894848, 1043894879, 'NG', 'Nigeria'),
(14622, '62.56.146.96', '62.56.146.255', 1043894880, 1043895039, 'A2', 'Satellite Provider'),
(14623, '62.56.147.0', '62.56.147.127', 1043895040, 1043895167, 'NG', 'Nigeria'),
(14624, '62.56.147.128', '62.56.150.175', 1043895168, 1043895983, 'A2', 'Satellite Provider'),
(14625, '62.56.150.176', '62.56.150.191', 1043895984, 1043895999, 'AO', 'Angola'),
(14626, '62.56.150.192', '62.56.150.255', 1043896000, 1043896063, 'A2', 'Satellite Provider'),
(14627, '62.56.151.0', '62.56.151.255', 1043896064, 1043896319, 'NG', 'Nigeria'),
(14628, '62.56.152.0', '62.56.155.255', 1043896320, 1043897343, 'A2', 'Satellite Provider'),
(14629, '62.56.156.0', '62.56.157.255', 1043897344, 1043897855, 'KE', 'Kenya'),
(14630, '62.56.158.0', '62.56.160.255', 1043897856, 1043898623, 'A2', 'Satellite Provider'),
(14631, '62.56.161.0', '62.56.161.127', 1043898624, 1043898751, 'TZ', 'Tanzania, United Republic of'),
(14632, '62.56.161.128', '62.56.163.255', 1043898752, 1043899391, 'A2', 'Satellite Provider'),
(14633, '62.56.164.0', '62.56.164.255', 1043899392, 1043899647, 'CG', 'Congo'),
(14634, '62.56.165.0', '62.56.193.255', 1043899648, 1043907071, 'A2', 'Satellite Provider'),
(14635, '62.56.194.0', '62.56.194.255', 1043907072, 1043907327, 'NG', 'Nigeria'),
(14636, '62.56.195.0', '62.56.207.95', 1043907328, 1043910495, 'A2', 'Satellite Provider'),
(14637, '62.56.207.96', '62.56.207.103', 1043910496, 1043910503, 'GB', 'United Kingdom'),
(14638, '62.56.207.104', '62.56.215.255', 1043910504, 1043912703, 'A2', 'Satellite Provider'),
(14639, '62.56.216.0', '62.56.217.255', 1043912704, 1043913215, 'ZM', 'Zambia'),
(14640, '62.56.218.0', '62.56.223.255', 1043913216, 1043914751, 'A2', 'Satellite Provider'),
(14641, '62.56.224.0', '62.56.224.127', 1043914752, 1043914879, 'NG', 'Nigeria'),
(14642, '62.56.224.128', '62.56.231.255', 1043914880, 1043916799, 'A2', 'Satellite Provider'),
(14643, '62.56.232.0', '62.56.232.255', 1043916800, 1043917055, 'NG', 'Nigeria'),
(14644, '62.56.233.0', '62.56.251.255', 1043917056, 1043921919, 'A2', 'Satellite Provider'),
(14645, '62.56.252.0', '62.56.255.255', 1043921920, 1043922943, 'IL', 'Israel'),
(14646, '62.57.0.0', '62.57.255.255', 1043922944, 1043988479, 'ES', 'Spain'),
(14647, '62.58.0.0', '62.58.0.15', 1043988480, 1043988495, 'BE', 'Belgium'),
(14648, '62.58.0.16', '62.58.0.31', 1043988496, 1043988511, 'NL', 'Netherlands'),
(14649, '62.58.0.32', '62.58.0.39', 1043988512, 1043988519, 'BE', 'Belgium'),
(14650, '62.58.0.40', '62.58.0.47', 1043988520, 1043988527, 'NL', 'Netherlands'),
(14651, '62.58.0.48', '62.58.0.71', 1043988528, 1043988551, 'BE', 'Belgium'),
(14652, '62.58.0.72', '62.58.0.79', 1043988552, 1043988559, 'NL', 'Netherlands'),
(14653, '62.58.0.80', '62.58.0.95', 1043988560, 1043988575, 'BE', 'Belgium'),
(14654, '62.58.0.96', '62.58.0.127', 1043988576, 1043988607, 'NL', 'Netherlands'),
(14655, '62.58.0.128', '62.58.0.199', 1043988608, 1043988679, 'BE', 'Belgium'),
(14656, '62.58.0.200', '62.58.0.231', 1043988680, 1043988711, 'NL', 'Netherlands'),
(14657, '62.58.0.232', '62.58.0.239', 1043988712, 1043988719, 'BE', 'Belgium'),
(14658, '62.58.0.240', '62.58.0.247', 1043988720, 1043988727, 'NL', 'Netherlands'),
(14659, '62.58.0.248', '62.58.0.255', 1043988728, 1043988735, 'BE', 'Belgium'),
(14660, '62.58.1.0', '62.58.1.31', 1043988736, 1043988767, 'NL', 'Netherlands'),
(14661, '62.58.1.32', '62.58.1.39', 1043988768, 1043988775, 'BE', 'Belgium'),
(14662, '62.58.1.40', '62.58.1.63', 1043988776, 1043988799, 'NL', 'Netherlands'),
(14663, '62.58.1.64', '62.58.1.159', 1043988800, 1043988895, 'BE', 'Belgium'),
(14664, '62.58.1.160', '62.58.1.191', 1043988896, 1043988927, 'NL', 'Netherlands'),
(14665, '62.58.1.192', '62.58.2.127', 1043988928, 1043989119, 'BE', 'Belgium'),
(14666, '62.58.2.128', '62.58.3.255', 1043989120, 1043989503, 'NL', 'Netherlands'),
(14667, '62.58.4.0', '62.58.4.31', 1043989504, 1043989535, 'BE', 'Belgium'),
(14668, '62.58.4.32', '62.58.4.39', 1043989536, 1043989543, 'NL', 'Netherlands'),
(14669, '62.58.4.40', '62.58.4.63', 1043989544, 1043989567, 'BE', 'Belgium'),
(14670, '62.58.4.64', '62.58.4.79', 1043989568, 1043989583, 'NL', 'Netherlands'),
(14671, '62.58.4.80', '62.58.4.87', 1043989584, 1043989591, 'BE', 'Belgium'),
(14672, '62.58.4.88', '62.58.4.95', 1043989592, 1043989599, 'NL', 'Netherlands'),
(14673, '62.58.4.96', '62.58.4.135', 1043989600, 1043989639, 'BE', 'Belgium'),
(14674, '62.58.4.136', '62.58.4.151', 1043989640, 1043989655, 'NL', 'Netherlands'),
(14675, '62.58.4.152', '62.58.4.159', 1043989656, 1043989663, 'BE', 'Belgium'),
(14676, '62.58.4.160', '62.58.4.191', 1043989664, 1043989695, 'NL', 'Netherlands'),
(14677, '62.58.4.192', '62.58.4.247', 1043989696, 1043989751, 'BE', 'Belgium'),
(14678, '62.58.4.248', '62.58.6.127', 1043989752, 1043990143, 'NL', 'Netherlands'),
(14679, '62.58.6.128', '62.58.6.255', 1043990144, 1043990271, 'BE', 'Belgium'),
(14680, '62.58.7.0', '62.58.7.95', 1043990272, 1043990367, 'NL', 'Netherlands'),
(14681, '62.58.7.96', '62.58.8.7', 1043990368, 1043990535, 'BE', 'Belgium'),
(14682, '62.58.8.8', '62.58.8.15', 1043990536, 1043990543, 'NL', 'Netherlands'),
(14683, '62.58.8.16', '62.58.8.39', 1043990544, 1043990567, 'BE', 'Belgium'),
(14684, '62.58.8.40', '62.58.8.63', 1043990568, 1043990591, 'NL', 'Netherlands'),
(14685, '62.58.8.64', '62.58.8.87', 1043990592, 1043990615, 'BE', 'Belgium'),
(14686, '62.58.8.88', '62.58.8.95', 1043990616, 1043990623, 'NL', 'Netherlands'),
(14687, '62.58.8.96', '62.58.8.103', 1043990624, 1043990631, 'BE', 'Belgium'),
(14688, '62.58.8.104', '62.58.8.255', 1043990632, 1043990783, 'NL', 'Netherlands'),
(14689, '62.58.9.0', '62.58.10.15', 1043990784, 1043991055, 'BE', 'Belgium'),
(14690, '62.58.10.16', '62.58.10.23', 1043991056, 1043991063, 'NL', 'Netherlands'),
(14691, '62.58.10.24', '62.58.10.63', 1043991064, 1043991103, 'BE', 'Belgium'),
(14692, '62.58.10.64', '62.58.10.191', 1043991104, 1043991231, 'NL', 'Netherlands'),
(14693, '62.58.10.192', '62.58.13.255', 1043991232, 1043992063, 'BE', 'Belgium'),
(14694, '62.58.14.0', '62.58.14.255', 1043992064, 1043992319, 'NL', 'Netherlands'),
(14695, '62.58.15.0', '62.58.15.255', 1043992320, 1043992575, 'BE', 'Belgium'),
(14696, '62.58.16.0', '62.58.16.159', 1043992576, 1043992735, 'NL', 'Netherlands'),
(14697, '62.58.16.160', '62.58.19.255', 1043992736, 1043993599, 'BE', 'Belgium'),
(14698, '62.58.20.0', '62.58.20.255', 1043993600, 1043993855, 'NL', 'Netherlands'),
(14699, '62.58.21.0', '62.58.24.19', 1043993856, 1043994643, 'BE', 'Belgium'),
(14700, '62.58.24.20', '62.58.24.27', 1043994644, 1043994651, 'NL', 'Netherlands'),
(14701, '62.58.24.28', '62.58.24.31', 1043994652, 1043994655, 'BE', 'Belgium'),
(14702, '62.58.24.32', '62.58.24.43', 1043994656, 1043994667, 'NL', 'Netherlands'),
(14703, '62.58.24.44', '62.58.24.47', 1043994668, 1043994671, 'BE', 'Belgium'),
(14704, '62.58.24.48', '62.58.24.51', 1043994672, 1043994675, 'NL', 'Netherlands'),
(14705, '62.58.24.52', '62.58.24.55', 1043994676, 1043994679, 'BE', 'Belgium'),
(14706, '62.58.24.56', '62.58.24.75', 1043994680, 1043994699, 'NL', 'Netherlands'),
(14707, '62.58.24.76', '62.58.24.79', 1043994700, 1043994703, 'BE', 'Belgium'),
(14708, '62.58.24.80', '62.58.24.83', 1043994704, 1043994707, 'NL', 'Netherlands'),
(14709, '62.58.24.84', '62.58.24.87', 1043994708, 1043994711, 'BE', 'Belgium'),
(14710, '62.58.24.88', '62.58.24.99', 1043994712, 1043994723, 'NL', 'Netherlands'),
(14711, '62.58.24.100', '62.58.24.103', 1043994724, 1043994727, 'BE', 'Belgium'),
(14712, '62.58.24.104', '62.58.24.123', 1043994728, 1043994747, 'NL', 'Netherlands'),
(14713, '62.58.24.124', '62.58.24.131', 1043994748, 1043994755, 'BE', 'Belgium'),
(14714, '62.58.24.132', '62.58.24.135', 1043994756, 1043994759, 'NL', 'Netherlands'),
(14715, '62.58.24.136', '62.58.24.167', 1043994760, 1043994791, 'BE', 'Belgium'),
(14716, '62.58.24.168', '62.58.24.171', 1043994792, 1043994795, 'NL', 'Netherlands'),
(14717, '62.58.24.172', '62.58.24.187', 1043994796, 1043994811, 'BE', 'Belgium'),
(14718, '62.58.24.188', '62.58.24.191', 1043994812, 1043994815, 'NL', 'Netherlands'),
(14719, '62.58.24.192', '62.58.24.227', 1043994816, 1043994851, 'BE', 'Belgium'),
(14720, '62.58.24.228', '62.58.24.231', 1043994852, 1043994855, 'NL', 'Netherlands'),
(14721, '62.58.24.232', '62.58.24.239', 1043994856, 1043994863, 'BE', 'Belgium'),
(14722, '62.58.24.240', '62.58.24.243', 1043994864, 1043994867, 'NL', 'Netherlands'),
(14723, '62.58.24.244', '62.58.24.247', 1043994868, 1043994871, 'BE', 'Belgium'),
(14724, '62.58.24.248', '62.58.24.251', 1043994872, 1043994875, 'NL', 'Netherlands'),
(14725, '62.58.24.252', '62.58.24.255', 1043994876, 1043994879, 'BE', 'Belgium'),
(14726, '62.58.25.0', '62.58.25.7', 1043994880, 1043994887, 'NL', 'Netherlands'),
(14727, '62.58.25.8', '62.58.25.27', 1043994888, 1043994907, 'BE', 'Belgium'),
(14728, '62.58.25.28', '62.58.25.31', 1043994908, 1043994911, 'NL', 'Netherlands'),
(14729, '62.58.25.32', '62.58.25.51', 1043994912, 1043994931, 'BE', 'Belgium'),
(14730, '62.58.25.52', '62.58.25.55', 1043994932, 1043994935, 'NL', 'Netherlands'),
(14731, '62.58.25.56', '62.58.25.95', 1043994936, 1043994975, 'BE', 'Belgium'),
(14732, '62.58.25.96', '62.58.25.99', 1043994976, 1043994979, 'NL', 'Netherlands'),
(14733, '62.58.25.100', '62.58.25.115', 1043994980, 1043994995, 'BE', 'Belgium'),
(14734, '62.58.25.116', '62.58.25.123', 1043994996, 1043995003, 'NL', 'Netherlands'),
(14735, '62.58.25.124', '62.58.25.143', 1043995004, 1043995023, 'BE', 'Belgium'),
(14736, '62.58.25.144', '62.58.25.147', 1043995024, 1043995027, 'NL', 'Netherlands'),
(14737, '62.58.25.148', '62.58.25.163', 1043995028, 1043995043, 'BE', 'Belgium'),
(14738, '62.58.25.164', '62.58.25.171', 1043995044, 1043995051, 'NL', 'Netherlands'),
(14739, '62.58.25.172', '62.58.25.179', 1043995052, 1043995059, 'BE', 'Belgium'),
(14740, '62.58.25.180', '62.58.25.183', 1043995060, 1043995063, 'NL', 'Netherlands'),
(14741, '62.58.25.184', '62.58.25.223', 1043995064, 1043995103, 'BE', 'Belgium'),
(14742, '62.58.25.224', '62.58.25.231', 1043995104, 1043995111, 'NL', 'Netherlands'),
(14743, '62.58.25.232', '62.58.25.247', 1043995112, 1043995127, 'BE', 'Belgium'),
(14744, '62.58.25.248', '62.58.25.251', 1043995128, 1043995131, 'NL', 'Netherlands'),
(14745, '62.58.25.252', '62.58.25.255', 1043995132, 1043995135, 'BE', 'Belgium'),
(14746, '62.58.26.0', '62.58.26.3', 1043995136, 1043995139, 'NL', 'Netherlands'),
(14747, '62.58.26.4', '62.58.26.15', 1043995140, 1043995151, 'BE', 'Belgium'),
(14748, '62.58.26.16', '62.58.26.19', 1043995152, 1043995155, 'NL', 'Netherlands'),
(14749, '62.58.26.20', '62.58.26.47', 1043995156, 1043995183, 'BE', 'Belgium'),
(14750, '62.58.26.48', '62.58.26.51', 1043995184, 1043995187, 'NL', 'Netherlands'),
(14751, '62.58.26.52', '62.58.26.83', 1043995188, 1043995219, 'BE', 'Belgium'),
(14752, '62.58.26.84', '62.58.26.87', 1043995220, 1043995223, 'NL', 'Netherlands'),
(14753, '62.58.26.88', '62.58.26.143', 1043995224, 1043995279, 'BE', 'Belgium'),
(14754, '62.58.26.144', '62.58.26.147', 1043995280, 1043995283, 'NL', 'Netherlands'),
(14755, '62.58.26.148', '62.58.26.155', 1043995284, 1043995291, 'BE', 'Belgium'),
(14756, '62.58.26.156', '62.58.26.159', 1043995292, 1043995295, 'NL', 'Netherlands'),
(14757, '62.58.26.160', '62.58.26.167', 1043995296, 1043995303, 'BE', 'Belgium'),
(14758, '62.58.26.168', '62.58.26.175', 1043995304, 1043995311, 'NL', 'Netherlands'),
(14759, '62.58.26.176', '62.58.28.15', 1043995312, 1043995663, 'BE', 'Belgium'),
(14760, '62.58.28.16', '62.58.28.39', 1043995664, 1043995687, 'NL', 'Netherlands'),
(14761, '62.58.28.40', '62.58.28.47', 1043995688, 1043995695, 'BE', 'Belgium'),
(14762, '62.58.28.48', '62.58.28.55', 1043995696, 1043995703, 'NL', 'Netherlands'),
(14763, '62.58.28.56', '62.58.28.71', 1043995704, 1043995719, 'BE', 'Belgium'),
(14764, '62.58.28.72', '62.58.28.87', 1043995720, 1043995735, 'NL', 'Netherlands'),
(14765, '62.58.28.88', '62.58.28.119', 1043995736, 1043995767, 'BE', 'Belgium'),
(14766, '62.58.28.120', '62.58.28.135', 1043995768, 1043995783, 'NL', 'Netherlands'),
(14767, '62.58.28.136', '62.58.28.159', 1043995784, 1043995807, 'BE', 'Belgium'),
(14768, '62.58.28.160', '62.58.28.183', 1043995808, 1043995831, 'NL', 'Netherlands'),
(14769, '62.58.28.184', '62.58.28.215', 1043995832, 1043995863, 'BE', 'Belgium'),
(14770, '62.58.28.216', '62.58.28.239', 1043995864, 1043995887, 'NL', 'Netherlands'),
(14771, '62.58.28.240', '62.58.29.15', 1043995888, 1043995919, 'BE', 'Belgium'),
(14772, '62.58.29.16', '62.58.29.31', 1043995920, 1043995935, 'NL', 'Netherlands'),
(14773, '62.58.29.32', '62.58.29.39', 1043995936, 1043995943, 'BE', 'Belgium'),
(14774, '62.58.29.40', '62.58.29.47', 1043995944, 1043995951, 'NL', 'Netherlands'),
(14775, '62.58.29.48', '62.58.29.71', 1043995952, 1043995975, 'BE', 'Belgium'),
(14776, '62.58.29.72', '62.58.29.95', 1043995976, 1043995999, 'NL', 'Netherlands'),
(14777, '62.58.29.96', '62.58.29.111', 1043996000, 1043996015, 'BE', 'Belgium'),
(14778, '62.58.29.112', '62.58.29.119', 1043996016, 1043996023, 'NL', 'Netherlands'),
(14779, '62.58.29.120', '62.58.29.191', 1043996024, 1043996095, 'BE', 'Belgium'),
(14780, '62.58.29.192', '62.58.29.199', 1043996096, 1043996103, 'NL', 'Netherlands'),
(14781, '62.58.29.200', '62.58.29.207', 1043996104, 1043996111, 'BE', 'Belgium'),
(14782, '62.58.29.208', '62.58.29.215', 1043996112, 1043996119, 'NL', 'Netherlands'),
(14783, '62.58.29.216', '62.58.29.239', 1043996120, 1043996143, 'BE', 'Belgium'),
(14784, '62.58.29.240', '62.58.29.247', 1043996144, 1043996151, 'NL', 'Netherlands'),
(14785, '62.58.29.248', '62.58.29.255', 1043996152, 1043996159, 'BE', 'Belgium'),
(14786, '62.58.30.0', '62.58.30.127', 1043996160, 1043996287, 'NL', 'Netherlands'),
(14787, '62.58.30.128', '62.58.30.159', 1043996288, 1043996319, 'BE', 'Belgium'),
(14788, '62.58.30.160', '62.58.30.175', 1043996320, 1043996335, 'NL', 'Netherlands'),
(14789, '62.58.30.176', '62.58.30.255', 1043996336, 1043996415, 'BE', 'Belgium'),
(14790, '62.58.31.0', '62.58.32.7', 1043996416, 1043996679, 'NL', 'Netherlands'),
(14791, '62.58.32.8', '62.58.32.15', 1043996680, 1043996687, 'BE', 'Belgium'),
(14792, '62.58.32.16', '62.58.32.23', 1043996688, 1043996695, 'NL', 'Netherlands'),
(14793, '62.58.32.24', '62.58.32.31', 1043996696, 1043996703, 'BE', 'Belgium'),
(14794, '62.58.32.32', '62.58.32.39', 1043996704, 1043996711, 'NL', 'Netherlands'),
(14795, '62.58.32.40', '62.58.32.63', 1043996712, 1043996735, 'BE', 'Belgium'),
(14796, '62.58.32.64', '62.58.32.103', 1043996736, 1043996775, 'NL', 'Netherlands'),
(14797, '62.58.32.104', '62.58.32.119', 1043996776, 1043996791, 'BE', 'Belgium'),
(14798, '62.58.32.120', '62.58.32.127', 1043996792, 1043996799, 'NL', 'Netherlands'),
(14799, '62.58.32.128', '62.58.32.143', 1043996800, 1043996815, 'BE', 'Belgium'),
(14800, '62.58.32.144', '62.58.32.223', 1043996816, 1043996895, 'NL', 'Netherlands'),
(14801, '62.58.32.224', '62.58.32.255', 1043996896, 1043996927, 'BE', 'Belgium'),
(14802, '62.58.33.0', '62.58.34.191', 1043996928, 1043997375, 'NL', 'Netherlands'),
(14803, '62.58.34.192', '62.58.35.23', 1043997376, 1043997463, 'BE', 'Belgium'),
(14804, '62.58.35.24', '62.58.35.31', 1043997464, 1043997471, 'NL', 'Netherlands'),
(14805, '62.58.35.32', '62.58.35.79', 1043997472, 1043997519, 'BE', 'Belgium'),
(14806, '62.58.35.80', '62.58.35.111', 1043997520, 1043997551, 'NL', 'Netherlands'),
(14807, '62.58.35.112', '62.58.35.119', 1043997552, 1043997559, 'BE', 'Belgium'),
(14808, '62.58.35.120', '62.58.35.143', 1043997560, 1043997583, 'NL', 'Netherlands'),
(14809, '62.58.35.144', '62.58.35.175', 1043997584, 1043997615, 'BE', 'Belgium'),
(14810, '62.58.35.176', '62.58.35.191', 1043997616, 1043997631, 'NL', 'Netherlands'),
(14811, '62.58.35.192', '62.58.35.199', 1043997632, 1043997639, 'BE', 'Belgium'),
(14812, '62.58.35.200', '62.58.35.223', 1043997640, 1043997663, 'NL', 'Netherlands'),
(14813, '62.58.35.224', '62.58.35.247', 1043997664, 1043997687, 'BE', 'Belgium'),
(14814, '62.58.35.248', '62.58.36.127', 1043997688, 1043997823, 'NL', 'Netherlands'),
(14815, '62.58.36.128', '62.58.36.191', 1043997824, 1043997887, 'BE', 'Belgium'),
(14816, '62.58.36.192', '62.58.36.207', 1043997888, 1043997903, 'NL', 'Netherlands'),
(14817, '62.58.36.208', '62.58.36.223', 1043997904, 1043997919, 'BE', 'Belgium'),
(14818, '62.58.36.224', '62.58.36.231', 1043997920, 1043997927, 'NL', 'Netherlands'),
(14819, '62.58.36.232', '62.58.37.127', 1043997928, 1043998079, 'BE', 'Belgium'),
(14820, '62.58.37.128', '62.58.37.151', 1043998080, 1043998103, 'NL', 'Netherlands'),
(14821, '62.58.37.152', '62.58.37.159', 1043998104, 1043998111, 'BE', 'Belgium'),
(14822, '62.58.37.160', '62.58.37.191', 1043998112, 1043998143, 'NL', 'Netherlands'),
(14823, '62.58.37.192', '62.58.37.199', 1043998144, 1043998151, 'BE', 'Belgium'),
(14824, '62.58.37.200', '62.58.37.207', 1043998152, 1043998159, 'NL', 'Netherlands'),
(14825, '62.58.37.208', '62.58.37.215', 1043998160, 1043998167, 'BE', 'Belgium'),
(14826, '62.58.37.216', '62.58.37.239', 1043998168, 1043998191, 'NL', 'Netherlands'),
(14827, '62.58.37.240', '62.58.37.243', 1043998192, 1043998195, 'BE', 'Belgium'),
(14828, '62.58.37.244', '62.58.37.246', 1043998196, 1043998198, 'NL', 'Netherlands'),
(14829, '62.58.37.247', '62.58.37.247', 1043998199, 1043998199, 'BE', 'Belgium'),
(14830, '62.58.37.248', '62.58.37.255', 1043998200, 1043998207, 'NL', 'Netherlands'),
(14831, '62.58.38.0', '62.58.38.255', 1043998208, 1043998463, 'BE', 'Belgium'),
(14832, '62.58.39.0', '62.58.39.255', 1043998464, 1043998719, 'NL', 'Netherlands'),
(14833, '62.58.40.0', '62.58.40.39', 1043998720, 1043998759, 'BE', 'Belgium'),
(14834, '62.58.40.40', '62.58.40.63', 1043998760, 1043998783, 'NL', 'Netherlands'),
(14835, '62.58.40.64', '62.58.40.79', 1043998784, 1043998799, 'BE', 'Belgium'),
(14836, '62.58.40.80', '62.58.40.135', 1043998800, 1043998855, 'NL', 'Netherlands'),
(14837, '62.58.40.136', '62.58.40.143', 1043998856, 1043998863, 'BE', 'Belgium'),
(14838, '62.58.40.144', '62.58.40.159', 1043998864, 1043998879, 'NL', 'Netherlands'),
(14839, '62.58.40.160', '62.58.40.167', 1043998880, 1043998887, 'BE', 'Belgium'),
(14840, '62.58.40.168', '62.58.40.191', 1043998888, 1043998911, 'NL', 'Netherlands'),
(14841, '62.58.40.192', '62.58.40.255', 1043998912, 1043998975, 'BE', 'Belgium'),
(14842, '62.58.41.0', '62.58.41.7', 1043998976, 1043998983, 'NL', 'Netherlands'),
(14843, '62.58.41.8', '62.58.41.63', 1043998984, 1043999039, 'BE', 'Belgium'),
(14844, '62.58.41.64', '62.58.41.79', 1043999040, 1043999055, 'NL', 'Netherlands'),
(14845, '62.58.41.80', '62.58.41.95', 1043999056, 1043999071, 'BE', 'Belgium'),
(14846, '62.58.41.96', '62.58.41.135', 1043999072, 1043999111, 'NL', 'Netherlands'),
(14847, '62.58.41.136', '62.58.41.143', 1043999112, 1043999119, 'BE', 'Belgium'),
(14848, '62.58.41.144', '62.58.41.167', 1043999120, 1043999143, 'NL', 'Netherlands'),
(14849, '62.58.41.168', '62.58.41.175', 1043999144, 1043999151, 'BE', 'Belgium'),
(14850, '62.58.41.176', '62.58.41.183', 1043999152, 1043999159, 'NL', 'Netherlands'),
(14851, '62.58.41.184', '62.58.41.231', 1043999160, 1043999207, 'BE', 'Belgium'),
(14852, '62.58.41.232', '62.58.41.239', 1043999208, 1043999215, 'NL', 'Netherlands'),
(14853, '62.58.41.240', '62.58.41.255', 1043999216, 1043999231, 'BE', 'Belgium'),
(14854, '62.58.42.0', '62.58.42.255', 1043999232, 1043999487, 'NL', 'Netherlands'),
(14855, '62.58.43.0', '62.58.44.7', 1043999488, 1043999751, 'BE', 'Belgium'),
(14856, '62.58.44.8', '62.58.44.15', 1043999752, 1043999759, 'NL', 'Netherlands'),
(14857, '62.58.44.16', '62.58.44.31', 1043999760, 1043999775, 'BE', 'Belgium'),
(14858, '62.58.44.32', '62.58.44.39', 1043999776, 1043999783, 'NL', 'Netherlands'),
(14859, '62.58.44.40', '62.58.44.47', 1043999784, 1043999791, 'BE', 'Belgium'),
(14860, '62.58.44.48', '62.58.44.79', 1043999792, 1043999823, 'NL', 'Netherlands'),
(14861, '62.58.44.80', '62.58.44.87', 1043999824, 1043999831, 'BE', 'Belgium'),
(14862, '62.58.44.88', '62.58.44.207', 1043999832, 1043999951, 'NL', 'Netherlands'),
(14863, '62.58.44.208', '62.58.45.31', 1043999952, 1044000031, 'BE', 'Belgium'),
(14864, '62.58.45.32', '62.58.45.63', 1044000032, 1044000063, 'NL', 'Netherlands'),
(14865, '62.58.45.64', '62.58.45.95', 1044000064, 1044000095, 'BE', 'Belgium'),
(14866, '62.58.45.96', '62.58.47.255', 1044000096, 1044000767, 'NL', 'Netherlands'),
(14867, '62.58.48.0', '62.58.48.63', 1044000768, 1044000831, 'BE', 'Belgium'),
(14868, '62.58.48.64', '62.58.48.127', 1044000832, 1044000895, 'NL', 'Netherlands'),
(14869, '62.58.48.128', '62.58.48.231', 1044000896, 1044000999, 'BE', 'Belgium'),
(14870, '62.58.48.232', '62.58.48.247', 1044001000, 1044001015, 'NL', 'Netherlands'),
(14871, '62.58.48.248', '62.58.49.247', 1044001016, 1044001271, 'BE', 'Belgium'),
(14872, '62.58.49.248', '62.58.51.127', 1044001272, 1044001663, 'NL', 'Netherlands'),
(14873, '62.58.51.128', '62.58.51.255', 1044001664, 1044001791, 'BE', 'Belgium'),
(14874, '62.58.52.0', '62.58.52.31', 1044001792, 1044001823, 'NL', 'Netherlands'),
(14875, '62.58.52.32', '62.58.52.47', 1044001824, 1044001839, 'BE', 'Belgium'),
(14876, '62.58.52.48', '62.58.52.55', 1044001840, 1044001847, 'NL', 'Netherlands'),
(14877, '62.58.52.56', '62.58.52.103', 1044001848, 1044001895, 'BE', 'Belgium'),
(14878, '62.58.52.104', '62.58.52.135', 1044001896, 1044001927, 'NL', 'Netherlands'),
(14879, '62.58.52.136', '62.58.52.143', 1044001928, 1044001935, 'BE', 'Belgium'),
(14880, '62.58.52.144', '62.58.52.191', 1044001936, 1044001983, 'NL', 'Netherlands'),
(14881, '62.58.52.192', '62.58.52.231', 1044001984, 1044002023, 'BE', 'Belgium'),
(14882, '62.58.52.232', '62.58.52.247', 1044002024, 1044002039, 'NL', 'Netherlands'),
(14883, '62.58.52.248', '62.58.53.15', 1044002040, 1044002063, 'BE', 'Belgium'),
(14884, '62.58.53.16', '62.58.53.39', 1044002064, 1044002087, 'NL', 'Netherlands'),
(14885, '62.58.53.40', '62.58.53.47', 1044002088, 1044002095, 'BE', 'Belgium'),
(14886, '62.58.53.48', '62.58.53.55', 1044002096, 1044002103, 'NL', 'Netherlands'),
(14887, '62.58.53.56', '62.58.53.87', 1044002104, 1044002135, 'BE', 'Belgium'),
(14888, '62.58.53.88', '62.58.53.95', 1044002136, 1044002143, 'NL', 'Netherlands'),
(14889, '62.58.53.96', '62.58.53.255', 1044002144, 1044002303, 'BE', 'Belgium'),
(14890, '62.58.54.0', '62.58.56.15', 1044002304, 1044002831, 'NL', 'Netherlands'),
(14891, '62.58.56.16', '62.58.56.39', 1044002832, 1044002855, 'BE', 'Belgium'),
(14892, '62.58.56.40', '62.58.56.43', 1044002856, 1044002859, 'NL', 'Netherlands'),
(14893, '62.58.56.44', '62.58.56.63', 1044002860, 1044002879, 'BE', 'Belgium'),
(14894, '62.58.56.64', '62.58.56.67', 1044002880, 1044002883, 'NL', 'Netherlands'),
(14895, '62.58.56.68', '62.58.56.75', 1044002884, 1044002891, 'BE', 'Belgium'),
(14896, '62.58.56.76', '62.58.56.83', 1044002892, 1044002899, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(14897, '62.58.56.84', '62.58.56.95', 1044002900, 1044002911, 'BE', 'Belgium'),
(14898, '62.58.56.96', '62.58.56.103', 1044002912, 1044002919, 'NL', 'Netherlands'),
(14899, '62.58.56.104', '62.58.56.115', 1044002920, 1044002931, 'BE', 'Belgium'),
(14900, '62.58.56.116', '62.58.56.131', 1044002932, 1044002947, 'NL', 'Netherlands'),
(14901, '62.58.56.132', '62.58.56.143', 1044002948, 1044002959, 'BE', 'Belgium'),
(14902, '62.58.56.144', '62.58.56.159', 1044002960, 1044002975, 'NL', 'Netherlands'),
(14903, '62.58.56.160', '62.58.56.167', 1044002976, 1044002983, 'BE', 'Belgium'),
(14904, '62.58.56.168', '62.58.56.171', 1044002984, 1044002987, 'NL', 'Netherlands'),
(14905, '62.58.56.172', '62.58.56.183', 1044002988, 1044002999, 'BE', 'Belgium'),
(14906, '62.58.56.184', '62.58.56.187', 1044003000, 1044003003, 'NL', 'Netherlands'),
(14907, '62.58.56.188', '62.58.56.203', 1044003004, 1044003019, 'BE', 'Belgium'),
(14908, '62.58.56.204', '62.58.56.207', 1044003020, 1044003023, 'NL', 'Netherlands'),
(14909, '62.58.56.208', '62.58.56.211', 1044003024, 1044003027, 'BE', 'Belgium'),
(14910, '62.58.56.212', '62.58.56.215', 1044003028, 1044003031, 'NL', 'Netherlands'),
(14911, '62.58.56.216', '62.58.56.255', 1044003032, 1044003071, 'BE', 'Belgium'),
(14912, '62.58.57.0', '62.58.57.7', 1044003072, 1044003079, 'NL', 'Netherlands'),
(14913, '62.58.57.8', '62.58.57.27', 1044003080, 1044003099, 'BE', 'Belgium'),
(14914, '62.58.57.28', '62.58.57.31', 1044003100, 1044003103, 'NL', 'Netherlands'),
(14915, '62.58.57.32', '62.58.57.43', 1044003104, 1044003115, 'BE', 'Belgium'),
(14916, '62.58.57.44', '62.58.57.47', 1044003116, 1044003119, 'NL', 'Netherlands'),
(14917, '62.58.57.48', '62.58.57.51', 1044003120, 1044003123, 'BE', 'Belgium'),
(14918, '62.58.57.52', '62.58.57.59', 1044003124, 1044003131, 'NL', 'Netherlands'),
(14919, '62.58.57.60', '62.58.57.75', 1044003132, 1044003147, 'BE', 'Belgium'),
(14920, '62.58.57.76', '62.58.57.79', 1044003148, 1044003151, 'NL', 'Netherlands'),
(14921, '62.58.57.80', '62.58.57.83', 1044003152, 1044003155, 'BE', 'Belgium'),
(14922, '62.58.57.84', '62.58.57.87', 1044003156, 1044003159, 'NL', 'Netherlands'),
(14923, '62.58.57.88', '62.58.57.95', 1044003160, 1044003167, 'BE', 'Belgium'),
(14924, '62.58.57.96', '62.58.57.99', 1044003168, 1044003171, 'NL', 'Netherlands'),
(14925, '62.58.57.100', '62.58.57.111', 1044003172, 1044003183, 'BE', 'Belgium'),
(14926, '62.58.57.112', '62.58.57.115', 1044003184, 1044003187, 'NL', 'Netherlands'),
(14927, '62.58.57.116', '62.58.57.139', 1044003188, 1044003211, 'BE', 'Belgium'),
(14928, '62.58.57.140', '62.58.57.143', 1044003212, 1044003215, 'NL', 'Netherlands'),
(14929, '62.58.57.144', '62.58.57.151', 1044003216, 1044003223, 'BE', 'Belgium'),
(14930, '62.58.57.152', '62.58.57.155', 1044003224, 1044003227, 'NL', 'Netherlands'),
(14931, '62.58.57.156', '62.58.57.163', 1044003228, 1044003235, 'BE', 'Belgium'),
(14932, '62.58.57.164', '62.58.57.179', 1044003236, 1044003251, 'NL', 'Netherlands'),
(14933, '62.58.57.180', '62.58.57.207', 1044003252, 1044003279, 'BE', 'Belgium'),
(14934, '62.58.57.208', '62.58.57.211', 1044003280, 1044003283, 'NL', 'Netherlands'),
(14935, '62.58.57.212', '62.58.57.219', 1044003284, 1044003291, 'BE', 'Belgium'),
(14936, '62.58.57.220', '62.58.57.223', 1044003292, 1044003295, 'NL', 'Netherlands'),
(14937, '62.58.57.224', '62.58.57.227', 1044003296, 1044003299, 'BE', 'Belgium'),
(14938, '62.58.57.228', '62.58.57.231', 1044003300, 1044003303, 'NL', 'Netherlands'),
(14939, '62.58.57.232', '62.58.57.239', 1044003304, 1044003311, 'BE', 'Belgium'),
(14940, '62.58.57.240', '62.58.57.243', 1044003312, 1044003315, 'NL', 'Netherlands'),
(14941, '62.58.57.244', '62.58.58.3', 1044003316, 1044003331, 'BE', 'Belgium'),
(14942, '62.58.58.4', '62.58.58.15', 1044003332, 1044003343, 'NL', 'Netherlands'),
(14943, '62.58.58.16', '62.58.58.31', 1044003344, 1044003359, 'BE', 'Belgium'),
(14944, '62.58.58.32', '62.58.58.34', 1044003360, 1044003362, 'NL', 'Netherlands'),
(14945, '62.58.58.35', '62.58.58.35', 1044003363, 1044003363, 'BE', 'Belgium'),
(14946, '62.58.58.36', '62.58.58.43', 1044003364, 1044003371, 'NL', 'Netherlands'),
(14947, '62.58.58.44', '62.58.58.51', 1044003372, 1044003379, 'BE', 'Belgium'),
(14948, '62.58.58.52', '62.58.58.55', 1044003380, 1044003383, 'NL', 'Netherlands'),
(14949, '62.58.58.56', '62.58.58.95', 1044003384, 1044003423, 'BE', 'Belgium'),
(14950, '62.58.58.96', '62.58.58.99', 1044003424, 1044003427, 'NL', 'Netherlands'),
(14951, '62.58.58.100', '62.58.58.131', 1044003428, 1044003459, 'BE', 'Belgium'),
(14952, '62.58.58.132', '62.58.58.135', 1044003460, 1044003463, 'NL', 'Netherlands'),
(14953, '62.58.58.136', '62.58.58.139', 1044003464, 1044003467, 'BE', 'Belgium'),
(14954, '62.58.58.140', '62.58.58.143', 1044003468, 1044003471, 'NL', 'Netherlands'),
(14955, '62.58.58.144', '62.58.58.155', 1044003472, 1044003483, 'BE', 'Belgium'),
(14956, '62.58.58.156', '62.58.58.159', 1044003484, 1044003487, 'NL', 'Netherlands'),
(14957, '62.58.58.160', '62.58.58.183', 1044003488, 1044003511, 'BE', 'Belgium'),
(14958, '62.58.58.184', '62.58.58.199', 1044003512, 1044003527, 'NL', 'Netherlands'),
(14959, '62.58.58.200', '62.58.58.211', 1044003528, 1044003539, 'BE', 'Belgium'),
(14960, '62.58.58.212', '62.58.58.215', 1044003540, 1044003543, 'NL', 'Netherlands'),
(14961, '62.58.58.216', '62.58.58.223', 1044003544, 1044003551, 'BE', 'Belgium'),
(14962, '62.58.58.224', '62.58.58.235', 1044003552, 1044003563, 'NL', 'Netherlands'),
(14963, '62.58.58.236', '62.58.58.251', 1044003564, 1044003579, 'BE', 'Belgium'),
(14964, '62.58.58.252', '62.58.59.7', 1044003580, 1044003591, 'NL', 'Netherlands'),
(14965, '62.58.59.8', '62.58.59.11', 1044003592, 1044003595, 'BE', 'Belgium'),
(14966, '62.58.59.12', '62.58.59.15', 1044003596, 1044003599, 'NL', 'Netherlands'),
(14967, '62.58.59.16', '62.58.59.35', 1044003600, 1044003619, 'BE', 'Belgium'),
(14968, '62.58.59.36', '62.58.59.47', 1044003620, 1044003631, 'NL', 'Netherlands'),
(14969, '62.58.59.48', '62.58.59.51', 1044003632, 1044003635, 'BE', 'Belgium'),
(14970, '62.58.59.52', '62.58.59.55', 1044003636, 1044003639, 'NL', 'Netherlands'),
(14971, '62.58.59.56', '62.58.59.63', 1044003640, 1044003647, 'BE', 'Belgium'),
(14972, '62.58.59.64', '62.58.59.67', 1044003648, 1044003651, 'NL', 'Netherlands'),
(14973, '62.58.59.68', '62.58.59.71', 1044003652, 1044003655, 'BE', 'Belgium'),
(14974, '62.58.59.72', '62.58.59.75', 1044003656, 1044003659, 'NL', 'Netherlands'),
(14975, '62.58.59.76', '62.58.59.79', 1044003660, 1044003663, 'BE', 'Belgium'),
(14976, '62.58.59.80', '62.58.59.83', 1044003664, 1044003667, 'NL', 'Netherlands'),
(14977, '62.58.59.84', '62.58.59.91', 1044003668, 1044003675, 'BE', 'Belgium'),
(14978, '62.58.59.92', '62.58.59.99', 1044003676, 1044003683, 'NL', 'Netherlands'),
(14979, '62.58.59.100', '62.58.59.103', 1044003684, 1044003687, 'BE', 'Belgium'),
(14980, '62.58.59.104', '62.58.59.107', 1044003688, 1044003691, 'NL', 'Netherlands'),
(14981, '62.58.59.108', '62.58.59.111', 1044003692, 1044003695, 'BE', 'Belgium'),
(14982, '62.58.59.112', '62.58.59.115', 1044003696, 1044003699, 'NL', 'Netherlands'),
(14983, '62.58.59.116', '62.58.59.139', 1044003700, 1044003723, 'BE', 'Belgium'),
(14984, '62.58.59.140', '62.58.59.143', 1044003724, 1044003727, 'NL', 'Netherlands'),
(14985, '62.58.59.144', '62.58.59.147', 1044003728, 1044003731, 'BE', 'Belgium'),
(14986, '62.58.59.148', '62.58.59.167', 1044003732, 1044003751, 'NL', 'Netherlands'),
(14987, '62.58.59.168', '62.58.59.171', 1044003752, 1044003755, 'BE', 'Belgium'),
(14988, '62.58.59.172', '62.58.59.191', 1044003756, 1044003775, 'NL', 'Netherlands'),
(14989, '62.58.59.192', '62.58.59.199', 1044003776, 1044003783, 'BE', 'Belgium'),
(14990, '62.58.59.200', '62.58.59.203', 1044003784, 1044003787, 'NL', 'Netherlands'),
(14991, '62.58.59.204', '62.58.59.223', 1044003788, 1044003807, 'BE', 'Belgium'),
(14992, '62.58.59.224', '62.58.59.227', 1044003808, 1044003811, 'NL', 'Netherlands'),
(14993, '62.58.59.228', '62.58.59.231', 1044003812, 1044003815, 'BE', 'Belgium'),
(14994, '62.58.59.232', '62.58.59.235', 1044003816, 1044003819, 'NL', 'Netherlands'),
(14995, '62.58.59.236', '62.58.59.239', 1044003820, 1044003823, 'BE', 'Belgium'),
(14996, '62.58.59.240', '62.58.59.247', 1044003824, 1044003831, 'NL', 'Netherlands'),
(14997, '62.58.59.248', '62.58.60.15', 1044003832, 1044003855, 'BE', 'Belgium'),
(14998, '62.58.60.16', '62.58.60.31', 1044003856, 1044003871, 'NL', 'Netherlands'),
(14999, '62.58.60.32', '62.58.60.39', 1044003872, 1044003879, 'BE', 'Belgium'),
(15000, '62.58.60.40', '62.58.60.55', 1044003880, 1044003895, 'NL', 'Netherlands'),
(15001, '62.58.60.56', '62.58.60.71', 1044003896, 1044003911, 'BE', 'Belgium'),
(15002, '62.58.60.72', '62.58.60.79', 1044003912, 1044003919, 'NL', 'Netherlands'),
(15003, '62.58.60.80', '62.58.60.87', 1044003920, 1044003927, 'BE', 'Belgium'),
(15004, '62.58.60.88', '62.58.60.119', 1044003928, 1044003959, 'NL', 'Netherlands'),
(15005, '62.58.60.120', '62.58.60.127', 1044003960, 1044003967, 'BE', 'Belgium'),
(15006, '62.58.60.128', '62.58.60.135', 1044003968, 1044003975, 'NL', 'Netherlands'),
(15007, '62.58.60.136', '62.58.60.143', 1044003976, 1044003983, 'BE', 'Belgium'),
(15008, '62.58.60.144', '62.58.60.151', 1044003984, 1044003991, 'NL', 'Netherlands'),
(15009, '62.58.60.152', '62.58.60.175', 1044003992, 1044004015, 'BE', 'Belgium'),
(15010, '62.58.60.176', '62.58.60.239', 1044004016, 1044004079, 'NL', 'Netherlands'),
(15011, '62.58.60.240', '62.58.60.255', 1044004080, 1044004095, 'BE', 'Belgium'),
(15012, '62.58.61.0', '62.58.61.207', 1044004096, 1044004303, 'NL', 'Netherlands'),
(15013, '62.58.61.208', '62.58.61.255', 1044004304, 1044004351, 'BE', 'Belgium'),
(15014, '62.58.62.0', '62.58.64.15', 1044004352, 1044004879, 'NL', 'Netherlands'),
(15015, '62.58.64.16', '62.58.64.39', 1044004880, 1044004903, 'BE', 'Belgium'),
(15016, '62.58.64.40', '62.58.64.47', 1044004904, 1044004911, 'NL', 'Netherlands'),
(15017, '62.58.64.48', '62.58.64.63', 1044004912, 1044004927, 'BE', 'Belgium'),
(15018, '62.58.64.64', '62.58.64.127', 1044004928, 1044004991, 'NL', 'Netherlands'),
(15019, '62.58.64.128', '62.58.67.7', 1044004992, 1044005639, 'BE', 'Belgium'),
(15020, '62.58.67.8', '62.58.67.15', 1044005640, 1044005647, 'NL', 'Netherlands'),
(15021, '62.58.67.16', '62.58.67.31', 1044005648, 1044005663, 'BE', 'Belgium'),
(15022, '62.58.67.32', '62.58.67.39', 1044005664, 1044005671, 'NL', 'Netherlands'),
(15023, '62.58.67.40', '62.58.67.47', 1044005672, 1044005679, 'BE', 'Belgium'),
(15024, '62.58.67.48', '62.58.67.55', 1044005680, 1044005687, 'NL', 'Netherlands'),
(15025, '62.58.67.56', '62.58.67.63', 1044005688, 1044005695, 'BE', 'Belgium'),
(15026, '62.58.67.64', '62.58.67.127', 1044005696, 1044005759, 'NL', 'Netherlands'),
(15027, '62.58.67.128', '62.58.67.167', 1044005760, 1044005799, 'BE', 'Belgium'),
(15028, '62.58.67.168', '62.58.67.175', 1044005800, 1044005807, 'NL', 'Netherlands'),
(15029, '62.58.67.176', '62.58.67.191', 1044005808, 1044005823, 'BE', 'Belgium'),
(15030, '62.58.67.192', '62.58.67.215', 1044005824, 1044005847, 'NL', 'Netherlands'),
(15031, '62.58.67.216', '62.58.67.255', 1044005848, 1044005887, 'BE', 'Belgium'),
(15032, '62.58.68.0', '62.58.68.255', 1044005888, 1044006143, 'NL', 'Netherlands'),
(15033, '62.58.69.0', '62.58.71.255', 1044006144, 1044006911, 'BE', 'Belgium'),
(15034, '62.58.72.0', '62.58.72.15', 1044006912, 1044006927, 'NL', 'Netherlands'),
(15035, '62.58.72.16', '62.58.72.23', 1044006928, 1044006935, 'BE', 'Belgium'),
(15036, '62.58.72.24', '62.58.72.31', 1044006936, 1044006943, 'NL', 'Netherlands'),
(15037, '62.58.72.32', '62.58.72.95', 1044006944, 1044007007, 'BE', 'Belgium'),
(15038, '62.58.72.96', '62.58.72.111', 1044007008, 1044007023, 'NL', 'Netherlands'),
(15039, '62.58.72.112', '62.58.72.119', 1044007024, 1044007031, 'BE', 'Belgium'),
(15040, '62.58.72.120', '62.58.72.127', 1044007032, 1044007039, 'NL', 'Netherlands'),
(15041, '62.58.72.128', '62.58.72.135', 1044007040, 1044007047, 'BE', 'Belgium'),
(15042, '62.58.72.136', '62.58.72.143', 1044007048, 1044007055, 'NL', 'Netherlands'),
(15043, '62.58.72.144', '62.58.72.151', 1044007056, 1044007063, 'BE', 'Belgium'),
(15044, '62.58.72.152', '62.58.72.175', 1044007064, 1044007087, 'NL', 'Netherlands'),
(15045, '62.58.72.176', '62.58.72.207', 1044007088, 1044007119, 'BE', 'Belgium'),
(15046, '62.58.72.208', '62.58.72.223', 1044007120, 1044007135, 'NL', 'Netherlands'),
(15047, '62.58.72.224', '62.58.72.255', 1044007136, 1044007167, 'BE', 'Belgium'),
(15048, '62.58.73.0', '62.58.74.255', 1044007168, 1044007679, 'NL', 'Netherlands'),
(15049, '62.58.75.0', '62.58.75.255', 1044007680, 1044007935, 'BE', 'Belgium'),
(15050, '62.58.76.0', '62.58.76.31', 1044007936, 1044007967, 'NL', 'Netherlands'),
(15051, '62.58.76.32', '62.58.76.47', 1044007968, 1044007983, 'BE', 'Belgium'),
(15052, '62.58.76.48', '62.58.76.55', 1044007984, 1044007991, 'NL', 'Netherlands'),
(15053, '62.58.76.56', '62.58.76.71', 1044007992, 1044008007, 'BE', 'Belgium'),
(15054, '62.58.76.72', '62.58.76.87', 1044008008, 1044008023, 'NL', 'Netherlands'),
(15055, '62.58.76.88', '62.58.76.95', 1044008024, 1044008031, 'BE', 'Belgium'),
(15056, '62.58.76.96', '62.58.76.103', 1044008032, 1044008039, 'NL', 'Netherlands'),
(15057, '62.58.76.104', '62.58.76.111', 1044008040, 1044008047, 'BE', 'Belgium'),
(15058, '62.58.76.112', '62.58.76.127', 1044008048, 1044008063, 'NL', 'Netherlands'),
(15059, '62.58.76.128', '62.58.76.159', 1044008064, 1044008095, 'BE', 'Belgium'),
(15060, '62.58.76.160', '62.58.76.191', 1044008096, 1044008127, 'NL', 'Netherlands'),
(15061, '62.58.76.192', '62.58.76.247', 1044008128, 1044008183, 'BE', 'Belgium'),
(15062, '62.58.76.248', '62.58.77.31', 1044008184, 1044008223, 'NL', 'Netherlands'),
(15063, '62.58.77.32', '62.58.77.47', 1044008224, 1044008239, 'BE', 'Belgium'),
(15064, '62.58.77.48', '62.58.77.63', 1044008240, 1044008255, 'NL', 'Netherlands'),
(15065, '62.58.77.64', '62.58.77.87', 1044008256, 1044008279, 'BE', 'Belgium'),
(15066, '62.58.77.88', '62.58.77.95', 1044008280, 1044008287, 'NL', 'Netherlands'),
(15067, '62.58.77.96', '62.58.77.127', 1044008288, 1044008319, 'BE', 'Belgium'),
(15068, '62.58.77.128', '62.58.79.31', 1044008320, 1044008735, 'NL', 'Netherlands'),
(15069, '62.58.79.32', '62.58.80.95', 1044008736, 1044009055, 'BE', 'Belgium'),
(15070, '62.58.80.96', '62.58.80.127', 1044009056, 1044009087, 'NL', 'Netherlands'),
(15071, '62.58.80.128', '62.58.80.223', 1044009088, 1044009183, 'BE', 'Belgium'),
(15072, '62.58.80.224', '62.58.80.239', 1044009184, 1044009199, 'NL', 'Netherlands'),
(15073, '62.58.80.240', '62.58.80.255', 1044009200, 1044009215, 'BE', 'Belgium'),
(15074, '62.58.81.0', '62.58.81.239', 1044009216, 1044009455, 'NL', 'Netherlands'),
(15075, '62.58.81.240', '62.58.82.15', 1044009456, 1044009487, 'BE', 'Belgium'),
(15076, '62.58.82.16', '62.58.82.31', 1044009488, 1044009503, 'NL', 'Netherlands'),
(15077, '62.58.82.32', '62.58.82.63', 1044009504, 1044009535, 'BE', 'Belgium'),
(15078, '62.58.82.64', '62.58.82.111', 1044009536, 1044009583, 'NL', 'Netherlands'),
(15079, '62.58.82.112', '62.58.82.127', 1044009584, 1044009599, 'BE', 'Belgium'),
(15080, '62.58.82.128', '62.58.83.255', 1044009600, 1044009983, 'NL', 'Netherlands'),
(15081, '62.58.84.0', '62.58.87.255', 1044009984, 1044011007, 'BE', 'Belgium'),
(15082, '62.58.88.0', '62.58.88.11', 1044011008, 1044011019, 'NL', 'Netherlands'),
(15083, '62.58.88.12', '62.58.88.15', 1044011020, 1044011023, 'BE', 'Belgium'),
(15084, '62.58.88.16', '62.58.88.31', 1044011024, 1044011039, 'NL', 'Netherlands'),
(15085, '62.58.88.32', '62.58.88.35', 1044011040, 1044011043, 'BE', 'Belgium'),
(15086, '62.58.88.36', '62.58.88.47', 1044011044, 1044011055, 'NL', 'Netherlands'),
(15087, '62.58.88.48', '62.58.88.51', 1044011056, 1044011059, 'BE', 'Belgium'),
(15088, '62.58.88.52', '62.58.88.215', 1044011060, 1044011223, 'NL', 'Netherlands'),
(15089, '62.58.88.216', '62.58.88.219', 1044011224, 1044011227, 'BE', 'Belgium'),
(15090, '62.58.88.220', '62.58.89.103', 1044011228, 1044011367, 'NL', 'Netherlands'),
(15091, '62.58.89.104', '62.58.89.107', 1044011368, 1044011371, 'BE', 'Belgium'),
(15092, '62.58.89.108', '62.58.89.163', 1044011372, 1044011427, 'NL', 'Netherlands'),
(15093, '62.58.89.164', '62.58.89.167', 1044011428, 1044011431, 'BE', 'Belgium'),
(15094, '62.58.89.168', '62.58.89.191', 1044011432, 1044011455, 'NL', 'Netherlands'),
(15095, '62.58.89.192', '62.58.89.195', 1044011456, 1044011459, 'BE', 'Belgium'),
(15096, '62.58.89.196', '62.58.90.115', 1044011460, 1044011635, 'NL', 'Netherlands'),
(15097, '62.58.90.116', '62.58.90.119', 1044011636, 1044011639, 'BE', 'Belgium'),
(15098, '62.58.90.120', '62.58.90.183', 1044011640, 1044011703, 'NL', 'Netherlands'),
(15099, '62.58.90.184', '62.58.90.187', 1044011704, 1044011707, 'BE', 'Belgium'),
(15100, '62.58.90.188', '62.58.90.211', 1044011708, 1044011731, 'NL', 'Netherlands'),
(15101, '62.58.90.212', '62.58.90.215', 1044011732, 1044011735, 'BE', 'Belgium'),
(15102, '62.58.90.216', '62.58.90.243', 1044011736, 1044011763, 'NL', 'Netherlands'),
(15103, '62.58.90.244', '62.58.90.247', 1044011764, 1044011767, 'BE', 'Belgium'),
(15104, '62.58.90.248', '62.58.90.251', 1044011768, 1044011771, 'NL', 'Netherlands'),
(15105, '62.58.90.252', '62.58.90.255', 1044011772, 1044011775, 'BE', 'Belgium'),
(15106, '62.58.91.0', '62.58.91.15', 1044011776, 1044011791, 'NL', 'Netherlands'),
(15107, '62.58.91.16', '62.58.91.19', 1044011792, 1044011795, 'BE', 'Belgium'),
(15108, '62.58.91.20', '62.58.91.195', 1044011796, 1044011971, 'NL', 'Netherlands'),
(15109, '62.58.91.196', '62.58.91.255', 1044011972, 1044012031, 'BE', 'Belgium'),
(15110, '62.58.92.0', '62.58.92.7', 1044012032, 1044012039, 'NL', 'Netherlands'),
(15111, '62.58.92.8', '62.58.92.31', 1044012040, 1044012063, 'BE', 'Belgium'),
(15112, '62.58.92.32', '62.58.92.55', 1044012064, 1044012087, 'NL', 'Netherlands'),
(15113, '62.58.92.56', '62.58.92.63', 1044012088, 1044012095, 'BE', 'Belgium'),
(15114, '62.58.92.64', '62.58.92.71', 1044012096, 1044012103, 'NL', 'Netherlands'),
(15115, '62.58.92.72', '62.58.92.79', 1044012104, 1044012111, 'BE', 'Belgium'),
(15116, '62.58.92.80', '62.58.92.87', 1044012112, 1044012119, 'NL', 'Netherlands'),
(15117, '62.58.92.88', '62.58.92.103', 1044012120, 1044012135, 'BE', 'Belgium'),
(15118, '62.58.92.104', '62.58.92.111', 1044012136, 1044012143, 'NL', 'Netherlands'),
(15119, '62.58.92.112', '62.58.92.119', 1044012144, 1044012151, 'BE', 'Belgium'),
(15120, '62.58.92.120', '62.58.92.127', 1044012152, 1044012159, 'NL', 'Netherlands'),
(15121, '62.58.92.128', '62.58.92.135', 1044012160, 1044012167, 'BE', 'Belgium'),
(15122, '62.58.92.136', '62.58.92.159', 1044012168, 1044012191, 'NL', 'Netherlands'),
(15123, '62.58.92.160', '62.58.92.191', 1044012192, 1044012223, 'BE', 'Belgium'),
(15124, '62.58.92.192', '62.58.92.207', 1044012224, 1044012239, 'NL', 'Netherlands'),
(15125, '62.58.92.208', '62.58.92.223', 1044012240, 1044012255, 'BE', 'Belgium'),
(15126, '62.58.92.224', '62.58.95.255', 1044012256, 1044013055, 'NL', 'Netherlands'),
(15127, '62.58.96.0', '62.58.96.55', 1044013056, 1044013111, 'BE', 'Belgium'),
(15128, '62.58.96.56', '62.58.96.63', 1044013112, 1044013119, 'NL', 'Netherlands'),
(15129, '62.58.96.64', '62.58.96.79', 1044013120, 1044013135, 'BE', 'Belgium'),
(15130, '62.58.96.80', '62.58.96.87', 1044013136, 1044013143, 'NL', 'Netherlands'),
(15131, '62.58.96.88', '62.58.96.191', 1044013144, 1044013247, 'BE', 'Belgium'),
(15132, '62.58.96.192', '62.58.96.207', 1044013248, 1044013263, 'NL', 'Netherlands'),
(15133, '62.58.96.208', '62.58.96.215', 1044013264, 1044013271, 'BE', 'Belgium'),
(15134, '62.58.96.216', '62.58.96.223', 1044013272, 1044013279, 'NL', 'Netherlands'),
(15135, '62.58.96.224', '62.58.97.63', 1044013280, 1044013375, 'BE', 'Belgium'),
(15136, '62.58.97.64', '62.58.97.127', 1044013376, 1044013439, 'NL', 'Netherlands'),
(15137, '62.58.97.128', '62.58.98.7', 1044013440, 1044013575, 'BE', 'Belgium'),
(15138, '62.58.98.8', '62.58.98.15', 1044013576, 1044013583, 'NL', 'Netherlands'),
(15139, '62.58.98.16', '62.58.98.47', 1044013584, 1044013615, 'BE', 'Belgium'),
(15140, '62.58.98.48', '62.58.98.55', 1044013616, 1044013623, 'NL', 'Netherlands'),
(15141, '62.58.98.56', '62.58.100.31', 1044013624, 1044014111, 'BE', 'Belgium'),
(15142, '62.58.100.32', '62.58.100.39', 1044014112, 1044014119, 'NL', 'Netherlands'),
(15143, '62.58.100.40', '62.58.112.15', 1044014120, 1044017167, 'BE', 'Belgium'),
(15144, '62.58.112.16', '62.58.112.35', 1044017168, 1044017187, 'NL', 'Netherlands'),
(15145, '62.58.112.36', '62.58.112.39', 1044017188, 1044017191, 'BE', 'Belgium'),
(15146, '62.58.112.40', '62.58.112.47', 1044017192, 1044017199, 'NL', 'Netherlands'),
(15147, '62.58.112.48', '62.58.112.63', 1044017200, 1044017215, 'BE', 'Belgium'),
(15148, '62.58.112.64', '62.58.112.95', 1044017216, 1044017247, 'NL', 'Netherlands'),
(15149, '62.58.112.96', '62.58.112.207', 1044017248, 1044017359, 'BE', 'Belgium'),
(15150, '62.58.112.208', '62.58.112.231', 1044017360, 1044017383, 'NL', 'Netherlands'),
(15151, '62.58.112.232', '62.58.112.247', 1044017384, 1044017399, 'BE', 'Belgium'),
(15152, '62.58.112.248', '62.58.112.255', 1044017400, 1044017407, 'NL', 'Netherlands'),
(15153, '62.58.113.0', '62.58.114.255', 1044017408, 1044017919, 'BE', 'Belgium'),
(15154, '62.58.115.0', '62.58.115.63', 1044017920, 1044017983, 'NL', 'Netherlands'),
(15155, '62.58.115.64', '62.58.115.119', 1044017984, 1044018039, 'BE', 'Belgium'),
(15156, '62.58.115.120', '62.58.115.127', 1044018040, 1044018047, 'NL', 'Netherlands'),
(15157, '62.58.115.128', '62.58.120.79', 1044018048, 1044019279, 'BE', 'Belgium'),
(15158, '62.58.120.80', '62.58.120.83', 1044019280, 1044019283, 'NL', 'Netherlands'),
(15159, '62.58.120.84', '62.58.120.91', 1044019284, 1044019291, 'BE', 'Belgium'),
(15160, '62.58.120.92', '62.58.120.95', 1044019292, 1044019295, 'NL', 'Netherlands'),
(15161, '62.58.120.96', '62.58.120.115', 1044019296, 1044019315, 'BE', 'Belgium'),
(15162, '62.58.120.116', '62.58.120.123', 1044019316, 1044019323, 'NL', 'Netherlands'),
(15163, '62.58.120.124', '62.58.120.147', 1044019324, 1044019347, 'BE', 'Belgium'),
(15164, '62.58.120.148', '62.58.120.151', 1044019348, 1044019351, 'NL', 'Netherlands'),
(15165, '62.58.120.152', '62.58.120.183', 1044019352, 1044019383, 'BE', 'Belgium'),
(15166, '62.58.120.184', '62.58.120.199', 1044019384, 1044019399, 'NL', 'Netherlands'),
(15167, '62.58.120.200', '62.58.120.203', 1044019400, 1044019403, 'BE', 'Belgium'),
(15168, '62.58.120.204', '62.58.120.207', 1044019404, 1044019407, 'NL', 'Netherlands'),
(15169, '62.58.120.208', '62.58.120.215', 1044019408, 1044019415, 'BE', 'Belgium'),
(15170, '62.58.120.216', '62.58.120.239', 1044019416, 1044019439, 'NL', 'Netherlands'),
(15171, '62.58.120.240', '62.58.120.243', 1044019440, 1044019443, 'BE', 'Belgium'),
(15172, '62.58.120.244', '62.58.121.15', 1044019444, 1044019471, 'NL', 'Netherlands'),
(15173, '62.58.121.16', '62.58.121.35', 1044019472, 1044019491, 'BE', 'Belgium'),
(15174, '62.58.121.36', '62.58.121.39', 1044019492, 1044019495, 'NL', 'Netherlands'),
(15175, '62.58.121.40', '62.58.121.47', 1044019496, 1044019503, 'BE', 'Belgium'),
(15176, '62.58.121.48', '62.58.121.51', 1044019504, 1044019507, 'NL', 'Netherlands'),
(15177, '62.58.121.52', '62.58.121.239', 1044019508, 1044019695, 'BE', 'Belgium'),
(15178, '62.58.121.240', '62.58.121.243', 1044019696, 1044019699, 'NL', 'Netherlands'),
(15179, '62.58.121.244', '62.58.122.107', 1044019700, 1044019819, 'BE', 'Belgium'),
(15180, '62.58.122.108', '62.58.122.111', 1044019820, 1044019823, 'NL', 'Netherlands'),
(15181, '62.58.122.112', '62.58.123.27', 1044019824, 1044019995, 'BE', 'Belgium'),
(15182, '62.58.123.28', '62.58.123.31', 1044019996, 1044019999, 'NL', 'Netherlands'),
(15183, '62.58.123.32', '62.58.123.179', 1044020000, 1044020147, 'BE', 'Belgium'),
(15184, '62.58.123.180', '62.58.123.183', 1044020148, 1044020151, 'NL', 'Netherlands'),
(15185, '62.58.123.184', '62.58.123.247', 1044020152, 1044020215, 'BE', 'Belgium'),
(15186, '62.58.123.248', '62.58.123.251', 1044020216, 1044020219, 'NL', 'Netherlands'),
(15187, '62.58.123.252', '62.58.124.31', 1044020220, 1044020255, 'BE', 'Belgium'),
(15188, '62.58.124.32', '62.58.124.39', 1044020256, 1044020263, 'NL', 'Netherlands'),
(15189, '62.58.124.40', '62.58.124.79', 1044020264, 1044020303, 'BE', 'Belgium'),
(15190, '62.58.124.80', '62.58.124.95', 1044020304, 1044020319, 'NL', 'Netherlands'),
(15191, '62.58.124.96', '62.58.125.31', 1044020320, 1044020511, 'BE', 'Belgium'),
(15192, '62.58.125.32', '62.58.125.71', 1044020512, 1044020551, 'NL', 'Netherlands'),
(15193, '62.58.125.72', '62.58.125.87', 1044020552, 1044020567, 'BE', 'Belgium'),
(15194, '62.58.125.88', '62.58.125.111', 1044020568, 1044020591, 'NL', 'Netherlands'),
(15195, '62.58.125.112', '62.58.125.127', 1044020592, 1044020607, 'BE', 'Belgium'),
(15196, '62.58.125.128', '62.58.125.191', 1044020608, 1044020671, 'NL', 'Netherlands'),
(15197, '62.58.125.192', '62.58.125.255', 1044020672, 1044020735, 'BE', 'Belgium'),
(15198, '62.58.126.0', '62.58.129.255', 1044020736, 1044021759, 'NL', 'Netherlands'),
(15199, '62.58.130.0', '62.58.130.127', 1044021760, 1044021887, 'BE', 'Belgium'),
(15200, '62.58.130.128', '62.58.132.47', 1044021888, 1044022319, 'NL', 'Netherlands'),
(15201, '62.58.132.48', '62.58.132.63', 1044022320, 1044022335, 'BE', 'Belgium'),
(15202, '62.58.132.64', '62.58.132.79', 1044022336, 1044022351, 'NL', 'Netherlands'),
(15203, '62.58.132.80', '62.58.132.143', 1044022352, 1044022415, 'BE', 'Belgium'),
(15204, '62.58.132.144', '62.58.133.255', 1044022416, 1044022783, 'NL', 'Netherlands'),
(15205, '62.58.134.0', '62.58.134.255', 1044022784, 1044023039, 'BE', 'Belgium'),
(15206, '62.58.135.0', '62.58.135.255', 1044023040, 1044023295, 'NL', 'Netherlands'),
(15207, '62.58.136.0', '62.58.136.47', 1044023296, 1044023343, 'BE', 'Belgium'),
(15208, '62.58.136.48', '62.58.136.63', 1044023344, 1044023359, 'NL', 'Netherlands'),
(15209, '62.58.136.64', '62.58.136.111', 1044023360, 1044023407, 'BE', 'Belgium'),
(15210, '62.58.136.112', '62.58.136.143', 1044023408, 1044023439, 'NL', 'Netherlands'),
(15211, '62.58.136.144', '62.58.139.255', 1044023440, 1044024319, 'BE', 'Belgium'),
(15212, '62.58.140.0', '62.58.140.127', 1044024320, 1044024447, 'NL', 'Netherlands'),
(15213, '62.58.140.128', '62.58.140.255', 1044024448, 1044024575, 'BE', 'Belgium'),
(15214, '62.58.141.0', '62.58.142.3', 1044024576, 1044024835, 'NL', 'Netherlands'),
(15215, '62.58.142.4', '62.58.142.11', 1044024836, 1044024843, 'BE', 'Belgium'),
(15216, '62.58.142.12', '62.58.142.15', 1044024844, 1044024847, 'NL', 'Netherlands'),
(15217, '62.58.142.16', '62.58.142.19', 1044024848, 1044024851, 'BE', 'Belgium'),
(15218, '62.58.142.20', '62.58.142.23', 1044024852, 1044024855, 'NL', 'Netherlands'),
(15219, '62.58.142.24', '62.58.142.31', 1044024856, 1044024863, 'BE', 'Belgium'),
(15220, '62.58.142.32', '62.58.142.35', 1044024864, 1044024867, 'NL', 'Netherlands'),
(15221, '62.58.142.36', '62.58.142.43', 1044024868, 1044024875, 'BE', 'Belgium'),
(15222, '62.58.142.44', '62.58.142.51', 1044024876, 1044024883, 'NL', 'Netherlands'),
(15223, '62.58.142.52', '62.58.142.55', 1044024884, 1044024887, 'BE', 'Belgium'),
(15224, '62.58.142.56', '62.58.142.59', 1044024888, 1044024891, 'NL', 'Netherlands'),
(15225, '62.58.142.60', '62.58.142.127', 1044024892, 1044024959, 'BE', 'Belgium'),
(15226, '62.58.142.128', '62.58.144.7', 1044024960, 1044025351, 'NL', 'Netherlands'),
(15227, '62.58.144.8', '62.58.144.255', 1044025352, 1044025599, 'BE', 'Belgium'),
(15228, '62.58.145.0', '62.58.145.255', 1044025600, 1044025855, 'NL', 'Netherlands'),
(15229, '62.58.146.0', '62.58.146.7', 1044025856, 1044025863, 'BE', 'Belgium'),
(15230, '62.58.146.8', '62.58.146.15', 1044025864, 1044025871, 'NL', 'Netherlands'),
(15231, '62.58.146.16', '62.58.146.23', 1044025872, 1044025879, 'BE', 'Belgium'),
(15232, '62.58.146.24', '62.58.146.71', 1044025880, 1044025927, 'NL', 'Netherlands'),
(15233, '62.58.146.72', '62.58.146.79', 1044025928, 1044025935, 'BE', 'Belgium'),
(15234, '62.58.146.80', '62.58.146.111', 1044025936, 1044025967, 'NL', 'Netherlands'),
(15235, '62.58.146.112', '62.58.146.127', 1044025968, 1044025983, 'BE', 'Belgium'),
(15236, '62.58.146.128', '62.58.146.143', 1044025984, 1044025999, 'NL', 'Netherlands'),
(15237, '62.58.146.144', '62.58.146.151', 1044026000, 1044026007, 'BE', 'Belgium'),
(15238, '62.58.146.152', '62.58.146.167', 1044026008, 1044026023, 'NL', 'Netherlands'),
(15239, '62.58.146.168', '62.58.146.175', 1044026024, 1044026031, 'BE', 'Belgium'),
(15240, '62.58.146.176', '62.58.146.191', 1044026032, 1044026047, 'NL', 'Netherlands'),
(15241, '62.58.146.192', '62.58.146.199', 1044026048, 1044026055, 'BE', 'Belgium'),
(15242, '62.58.146.200', '62.58.146.223', 1044026056, 1044026079, 'NL', 'Netherlands'),
(15243, '62.58.146.224', '62.58.146.239', 1044026080, 1044026095, 'BE', 'Belgium'),
(15244, '62.58.146.240', '62.58.146.255', 1044026096, 1044026111, 'NL', 'Netherlands'),
(15245, '62.58.147.0', '62.58.147.7', 1044026112, 1044026119, 'BE', 'Belgium'),
(15246, '62.58.147.8', '62.58.147.31', 1044026120, 1044026143, 'NL', 'Netherlands'),
(15247, '62.58.147.32', '62.58.147.47', 1044026144, 1044026159, 'BE', 'Belgium'),
(15248, '62.58.147.48', '62.58.147.55', 1044026160, 1044026167, 'NL', 'Netherlands'),
(15249, '62.58.147.56', '62.58.147.63', 1044026168, 1044026175, 'BE', 'Belgium'),
(15250, '62.58.147.64', '62.58.147.71', 1044026176, 1044026183, 'NL', 'Netherlands'),
(15251, '62.58.147.72', '62.58.147.87', 1044026184, 1044026199, 'BE', 'Belgium'),
(15252, '62.58.147.88', '62.58.147.95', 1044026200, 1044026207, 'NL', 'Netherlands'),
(15253, '62.58.147.96', '62.58.147.103', 1044026208, 1044026215, 'BE', 'Belgium'),
(15254, '62.58.147.104', '62.58.147.135', 1044026216, 1044026247, 'NL', 'Netherlands'),
(15255, '62.58.147.136', '62.58.147.143', 1044026248, 1044026255, 'BE', 'Belgium'),
(15256, '62.58.147.144', '62.58.147.151', 1044026256, 1044026263, 'NL', 'Netherlands'),
(15257, '62.58.147.152', '62.58.147.167', 1044026264, 1044026279, 'BE', 'Belgium'),
(15258, '62.58.147.168', '62.58.147.215', 1044026280, 1044026327, 'NL', 'Netherlands'),
(15259, '62.58.147.216', '62.58.147.231', 1044026328, 1044026343, 'BE', 'Belgium'),
(15260, '62.58.147.232', '62.58.148.15', 1044026344, 1044026383, 'NL', 'Netherlands'),
(15261, '62.58.148.16', '62.58.148.23', 1044026384, 1044026391, 'BE', 'Belgium'),
(15262, '62.58.148.24', '62.58.148.31', 1044026392, 1044026399, 'NL', 'Netherlands'),
(15263, '62.58.148.32', '62.58.148.39', 1044026400, 1044026407, 'BE', 'Belgium'),
(15264, '62.58.148.40', '62.58.148.47', 1044026408, 1044026415, 'NL', 'Netherlands'),
(15265, '62.58.148.48', '62.58.148.63', 1044026416, 1044026431, 'BE', 'Belgium'),
(15266, '62.58.148.64', '62.58.148.79', 1044026432, 1044026447, 'NL', 'Netherlands'),
(15267, '62.58.148.80', '62.58.148.87', 1044026448, 1044026455, 'BE', 'Belgium'),
(15268, '62.58.148.88', '62.58.148.111', 1044026456, 1044026479, 'NL', 'Netherlands'),
(15269, '62.58.148.112', '62.58.148.119', 1044026480, 1044026487, 'BE', 'Belgium'),
(15270, '62.58.148.120', '62.58.148.151', 1044026488, 1044026519, 'NL', 'Netherlands'),
(15271, '62.58.148.152', '62.58.148.167', 1044026520, 1044026535, 'BE', 'Belgium'),
(15272, '62.58.148.168', '62.58.148.239', 1044026536, 1044026607, 'NL', 'Netherlands'),
(15273, '62.58.148.240', '62.58.148.247', 1044026608, 1044026615, 'BE', 'Belgium'),
(15274, '62.58.148.248', '62.58.149.7', 1044026616, 1044026631, 'NL', 'Netherlands'),
(15275, '62.58.149.8', '62.58.149.15', 1044026632, 1044026639, 'BE', 'Belgium'),
(15276, '62.58.149.16', '62.58.149.23', 1044026640, 1044026647, 'NL', 'Netherlands'),
(15277, '62.58.149.24', '62.58.149.31', 1044026648, 1044026655, 'BE', 'Belgium'),
(15278, '62.58.149.32', '62.58.149.39', 1044026656, 1044026663, 'NL', 'Netherlands'),
(15279, '62.58.149.40', '62.58.149.47', 1044026664, 1044026671, 'BE', 'Belgium'),
(15280, '62.58.149.48', '62.58.149.55', 1044026672, 1044026679, 'NL', 'Netherlands'),
(15281, '62.58.149.56', '62.58.149.63', 1044026680, 1044026687, 'BE', 'Belgium'),
(15282, '62.58.149.64', '62.58.149.71', 1044026688, 1044026695, 'NL', 'Netherlands'),
(15283, '62.58.149.72', '62.58.149.79', 1044026696, 1044026703, 'BE', 'Belgium'),
(15284, '62.58.149.80', '62.58.149.103', 1044026704, 1044026727, 'NL', 'Netherlands'),
(15285, '62.58.149.104', '62.58.149.143', 1044026728, 1044026767, 'BE', 'Belgium'),
(15286, '62.58.149.144', '62.58.149.167', 1044026768, 1044026791, 'NL', 'Netherlands'),
(15287, '62.58.149.168', '62.58.149.175', 1044026792, 1044026799, 'BE', 'Belgium'),
(15288, '62.58.149.176', '62.58.149.191', 1044026800, 1044026815, 'NL', 'Netherlands'),
(15289, '62.58.149.192', '62.58.149.215', 1044026816, 1044026839, 'BE', 'Belgium'),
(15290, '62.58.149.216', '62.58.149.231', 1044026840, 1044026855, 'NL', 'Netherlands'),
(15291, '62.58.149.232', '62.58.149.239', 1044026856, 1044026863, 'BE', 'Belgium'),
(15292, '62.58.149.240', '62.58.150.15', 1044026864, 1044026895, 'NL', 'Netherlands'),
(15293, '62.58.150.16', '62.58.151.127', 1044026896, 1044027263, 'BE', 'Belgium'),
(15294, '62.58.151.128', '62.58.152.15', 1044027264, 1044027407, 'NL', 'Netherlands'),
(15295, '62.58.152.16', '62.58.152.23', 1044027408, 1044027415, 'BE', 'Belgium'),
(15296, '62.58.152.24', '62.58.152.31', 1044027416, 1044027423, 'NL', 'Netherlands'),
(15297, '62.58.152.32', '62.58.152.39', 1044027424, 1044027431, 'BE', 'Belgium'),
(15298, '62.58.152.40', '62.58.152.55', 1044027432, 1044027447, 'NL', 'Netherlands'),
(15299, '62.58.152.56', '62.58.152.63', 1044027448, 1044027455, 'BE', 'Belgium'),
(15300, '62.58.152.64', '62.58.152.79', 1044027456, 1044027471, 'NL', 'Netherlands'),
(15301, '62.58.152.80', '62.58.152.95', 1044027472, 1044027487, 'BE', 'Belgium'),
(15302, '62.58.152.96', '62.58.152.127', 1044027488, 1044027519, 'NL', 'Netherlands'),
(15303, '62.58.152.128', '62.58.152.135', 1044027520, 1044027527, 'BE', 'Belgium'),
(15304, '62.58.152.136', '62.58.152.143', 1044027528, 1044027535, 'NL', 'Netherlands'),
(15305, '62.58.152.144', '62.58.152.183', 1044027536, 1044027575, 'BE', 'Belgium'),
(15306, '62.58.152.184', '62.58.152.191', 1044027576, 1044027583, 'NL', 'Netherlands'),
(15307, '62.58.152.192', '62.58.152.199', 1044027584, 1044027591, 'BE', 'Belgium'),
(15308, '62.58.152.200', '62.58.152.247', 1044027592, 1044027639, 'NL', 'Netherlands'),
(15309, '62.58.152.248', '62.58.152.255', 1044027640, 1044027647, 'BE', 'Belgium'),
(15310, '62.58.153.0', '62.58.153.7', 1044027648, 1044027655, 'NL', 'Netherlands'),
(15311, '62.58.153.8', '62.58.153.23', 1044027656, 1044027671, 'BE', 'Belgium'),
(15312, '62.58.153.24', '62.58.153.39', 1044027672, 1044027687, 'NL', 'Netherlands'),
(15313, '62.58.153.40', '62.58.153.63', 1044027688, 1044027711, 'BE', 'Belgium'),
(15314, '62.58.153.64', '62.58.153.79', 1044027712, 1044027727, 'NL', 'Netherlands'),
(15315, '62.58.153.80', '62.58.153.127', 1044027728, 1044027775, 'BE', 'Belgium'),
(15316, '62.58.153.128', '62.58.153.191', 1044027776, 1044027839, 'NL', 'Netherlands'),
(15317, '62.58.153.192', '62.58.153.255', 1044027840, 1044027903, 'BE', 'Belgium'),
(15318, '62.58.154.0', '62.58.154.255', 1044027904, 1044028159, 'NL', 'Netherlands'),
(15319, '62.58.155.0', '62.58.156.127', 1044028160, 1044028543, 'BE', 'Belgium'),
(15320, '62.58.156.128', '62.58.156.143', 1044028544, 1044028559, 'NL', 'Netherlands'),
(15321, '62.58.156.144', '62.58.157.127', 1044028560, 1044028799, 'BE', 'Belgium'),
(15322, '62.58.157.128', '62.58.157.255', 1044028800, 1044028927, 'NL', 'Netherlands'),
(15323, '62.58.158.0', '62.58.158.7', 1044028928, 1044028935, 'BE', 'Belgium'),
(15324, '62.58.158.8', '62.58.158.15', 1044028936, 1044028943, 'NL', 'Netherlands'),
(15325, '62.58.158.16', '62.58.158.27', 1044028944, 1044028955, 'BE', 'Belgium'),
(15326, '62.58.158.28', '62.58.158.31', 1044028956, 1044028959, 'NL', 'Netherlands'),
(15327, '62.58.158.32', '62.58.158.83', 1044028960, 1044029011, 'BE', 'Belgium'),
(15328, '62.58.158.84', '62.58.158.87', 1044029012, 1044029015, 'NL', 'Netherlands'),
(15329, '62.58.158.88', '62.58.158.91', 1044029016, 1044029019, 'BE', 'Belgium'),
(15330, '62.58.158.92', '62.58.158.95', 1044029020, 1044029023, 'NL', 'Netherlands'),
(15331, '62.58.158.96', '62.58.158.99', 1044029024, 1044029027, 'BE', 'Belgium'),
(15332, '62.58.158.100', '62.58.158.103', 1044029028, 1044029031, 'NL', 'Netherlands'),
(15333, '62.58.158.104', '62.58.158.111', 1044029032, 1044029039, 'BE', 'Belgium'),
(15334, '62.58.158.112', '62.58.158.115', 1044029040, 1044029043, 'NL', 'Netherlands'),
(15335, '62.58.158.116', '62.58.159.127', 1044029044, 1044029311, 'BE', 'Belgium'),
(15336, '62.58.159.128', '62.58.160.1', 1044029312, 1044029441, 'NL', 'Netherlands'),
(15337, '62.58.160.2', '62.58.160.2', 1044029442, 1044029442, 'BE', 'Belgium'),
(15338, '62.58.160.3', '62.58.160.5', 1044029443, 1044029445, 'NL', 'Netherlands'),
(15339, '62.58.160.6', '62.58.160.8', 1044029446, 1044029448, 'BE', 'Belgium'),
(15340, '62.58.160.9', '62.58.160.11', 1044029449, 1044029451, 'NL', 'Netherlands'),
(15341, '62.58.160.12', '62.58.160.12', 1044029452, 1044029452, 'BE', 'Belgium'),
(15342, '62.58.160.13', '62.58.160.13', 1044029453, 1044029453, 'NL', 'Netherlands'),
(15343, '62.58.160.14', '62.58.160.15', 1044029454, 1044029455, 'BE', 'Belgium'),
(15344, '62.58.160.16', '62.58.160.23', 1044029456, 1044029463, 'NL', 'Netherlands'),
(15345, '62.58.160.24', '62.58.160.26', 1044029464, 1044029466, 'BE', 'Belgium'),
(15346, '62.58.160.27', '62.58.160.27', 1044029467, 1044029467, 'NL', 'Netherlands'),
(15347, '62.58.160.28', '62.58.160.30', 1044029468, 1044029470, 'BE', 'Belgium'),
(15348, '62.58.160.31', '62.58.160.39', 1044029471, 1044029479, 'NL', 'Netherlands'),
(15349, '62.58.160.40', '62.58.160.43', 1044029480, 1044029483, 'BE', 'Belgium'),
(15350, '62.58.160.44', '62.58.160.45', 1044029484, 1044029485, 'NL', 'Netherlands'),
(15351, '62.58.160.46', '62.58.160.47', 1044029486, 1044029487, 'BE', 'Belgium'),
(15352, '62.58.160.48', '62.58.160.48', 1044029488, 1044029488, 'NL', 'Netherlands'),
(15353, '62.58.160.49', '62.58.160.49', 1044029489, 1044029489, 'BE', 'Belgium'),
(15354, '62.58.160.50', '62.58.160.52', 1044029490, 1044029492, 'NL', 'Netherlands'),
(15355, '62.58.160.53', '62.58.160.53', 1044029493, 1044029493, 'BE', 'Belgium'),
(15356, '62.58.160.54', '62.58.160.54', 1044029494, 1044029494, 'NL', 'Netherlands'),
(15357, '62.58.160.55', '62.58.160.57', 1044029495, 1044029497, 'BE', 'Belgium'),
(15358, '62.58.160.58', '62.58.160.58', 1044029498, 1044029498, 'NL', 'Netherlands'),
(15359, '62.58.160.59', '62.58.160.61', 1044029499, 1044029501, 'BE', 'Belgium'),
(15360, '62.58.160.62', '62.58.160.62', 1044029502, 1044029502, 'NL', 'Netherlands'),
(15361, '62.58.160.63', '62.58.160.65', 1044029503, 1044029505, 'BE', 'Belgium'),
(15362, '62.58.160.66', '62.58.160.69', 1044029506, 1044029509, 'NL', 'Netherlands'),
(15363, '62.58.160.70', '62.58.160.70', 1044029510, 1044029510, 'BE', 'Belgium'),
(15364, '62.58.160.71', '62.58.160.71', 1044029511, 1044029511, 'NL', 'Netherlands'),
(15365, '62.58.160.72', '62.58.160.95', 1044029512, 1044029535, 'BE', 'Belgium'),
(15366, '62.58.160.96', '62.58.160.96', 1044029536, 1044029536, 'NL', 'Netherlands'),
(15367, '62.58.160.97', '62.58.160.97', 1044029537, 1044029537, 'BE', 'Belgium'),
(15368, '62.58.160.98', '62.58.160.98', 1044029538, 1044029538, 'NL', 'Netherlands'),
(15369, '62.58.160.99', '62.58.160.105', 1044029539, 1044029545, 'BE', 'Belgium'),
(15370, '62.58.160.106', '62.58.160.106', 1044029546, 1044029546, 'NL', 'Netherlands'),
(15371, '62.58.160.107', '62.58.160.108', 1044029547, 1044029548, 'BE', 'Belgium'),
(15372, '62.58.160.109', '62.58.160.109', 1044029549, 1044029549, 'NL', 'Netherlands'),
(15373, '62.58.160.110', '62.58.160.112', 1044029550, 1044029552, 'BE', 'Belgium'),
(15374, '62.58.160.113', '62.58.160.113', 1044029553, 1044029553, 'NL', 'Netherlands'),
(15375, '62.58.160.114', '62.58.160.114', 1044029554, 1044029554, 'BE', 'Belgium'),
(15376, '62.58.160.115', '62.58.160.116', 1044029555, 1044029556, 'NL', 'Netherlands'),
(15377, '62.58.160.117', '62.58.160.117', 1044029557, 1044029557, 'BE', 'Belgium'),
(15378, '62.58.160.118', '62.58.160.118', 1044029558, 1044029558, 'NL', 'Netherlands'),
(15379, '62.58.160.119', '62.58.160.121', 1044029559, 1044029561, 'BE', 'Belgium'),
(15380, '62.58.160.122', '62.58.160.127', 1044029562, 1044029567, 'NL', 'Netherlands'),
(15381, '62.58.160.128', '62.58.160.128', 1044029568, 1044029568, 'BE', 'Belgium'),
(15382, '62.58.160.129', '62.58.160.129', 1044029569, 1044029569, 'NL', 'Netherlands'),
(15383, '62.58.160.130', '62.58.160.132', 1044029570, 1044029572, 'BE', 'Belgium'),
(15384, '62.58.160.133', '62.58.160.135', 1044029573, 1044029575, 'NL', 'Netherlands'),
(15385, '62.58.160.136', '62.58.160.140', 1044029576, 1044029580, 'BE', 'Belgium'),
(15386, '62.58.160.141', '62.58.160.141', 1044029581, 1044029581, 'NL', 'Netherlands'),
(15387, '62.58.160.142', '62.58.160.144', 1044029582, 1044029584, 'BE', 'Belgium'),
(15388, '62.58.160.145', '62.58.160.145', 1044029585, 1044029585, 'NL', 'Netherlands'),
(15389, '62.58.160.146', '62.58.160.146', 1044029586, 1044029586, 'BE', 'Belgium'),
(15390, '62.58.160.147', '62.58.160.147', 1044029587, 1044029587, 'NL', 'Netherlands'),
(15391, '62.58.160.148', '62.58.160.150', 1044029588, 1044029590, 'BE', 'Belgium'),
(15392, '62.58.160.151', '62.58.160.155', 1044029591, 1044029595, 'NL', 'Netherlands'),
(15393, '62.58.160.156', '62.58.160.156', 1044029596, 1044029596, 'BE', 'Belgium'),
(15394, '62.58.160.157', '62.58.160.158', 1044029597, 1044029598, 'NL', 'Netherlands'),
(15395, '62.58.160.159', '62.58.160.159', 1044029599, 1044029599, 'BE', 'Belgium'),
(15396, '62.58.160.160', '62.58.160.160', 1044029600, 1044029600, 'NL', 'Netherlands'),
(15397, '62.58.160.161', '62.58.160.161', 1044029601, 1044029601, 'BE', 'Belgium'),
(15398, '62.58.160.162', '62.58.160.163', 1044029602, 1044029603, 'NL', 'Netherlands'),
(15399, '62.58.160.164', '62.58.160.166', 1044029604, 1044029606, 'BE', 'Belgium'),
(15400, '62.58.160.167', '62.58.160.168', 1044029607, 1044029608, 'NL', 'Netherlands'),
(15401, '62.58.160.169', '62.58.160.169', 1044029609, 1044029609, 'BE', 'Belgium'),
(15402, '62.58.160.170', '62.58.160.170', 1044029610, 1044029610, 'NL', 'Netherlands'),
(15403, '62.58.160.171', '62.58.160.171', 1044029611, 1044029611, 'BE', 'Belgium'),
(15404, '62.58.160.172', '62.58.160.172', 1044029612, 1044029612, 'NL', 'Netherlands'),
(15405, '62.58.160.173', '62.58.160.176', 1044029613, 1044029616, 'BE', 'Belgium'),
(15406, '62.58.160.177', '62.58.160.178', 1044029617, 1044029618, 'NL', 'Netherlands'),
(15407, '62.58.160.179', '62.58.160.180', 1044029619, 1044029620, 'BE', 'Belgium'),
(15408, '62.58.160.181', '62.58.160.182', 1044029621, 1044029622, 'NL', 'Netherlands'),
(15409, '62.58.160.183', '62.58.160.185', 1044029623, 1044029625, 'BE', 'Belgium'),
(15410, '62.58.160.186', '62.58.160.188', 1044029626, 1044029628, 'NL', 'Netherlands'),
(15411, '62.58.160.189', '62.58.160.190', 1044029629, 1044029630, 'BE', 'Belgium'),
(15412, '62.58.160.191', '62.58.160.191', 1044029631, 1044029631, 'NL', 'Netherlands'),
(15413, '62.58.160.192', '62.58.160.194', 1044029632, 1044029634, 'BE', 'Belgium'),
(15414, '62.58.160.195', '62.58.160.195', 1044029635, 1044029635, 'NL', 'Netherlands'),
(15415, '62.58.160.196', '62.58.160.196', 1044029636, 1044029636, 'BE', 'Belgium'),
(15416, '62.58.160.197', '62.58.160.198', 1044029637, 1044029638, 'NL', 'Netherlands'),
(15417, '62.58.160.199', '62.58.160.200', 1044029639, 1044029640, 'BE', 'Belgium'),
(15418, '62.58.160.201', '62.58.160.201', 1044029641, 1044029641, 'NL', 'Netherlands'),
(15419, '62.58.160.202', '62.58.160.202', 1044029642, 1044029642, 'BE', 'Belgium'),
(15420, '62.58.160.203', '62.58.160.207', 1044029643, 1044029647, 'NL', 'Netherlands'),
(15421, '62.58.160.208', '62.58.160.208', 1044029648, 1044029648, 'BE', 'Belgium'),
(15422, '62.58.160.209', '62.58.160.211', 1044029649, 1044029651, 'NL', 'Netherlands'),
(15423, '62.58.160.212', '62.58.160.212', 1044029652, 1044029652, 'BE', 'Belgium'),
(15424, '62.58.160.213', '62.58.160.219', 1044029653, 1044029659, 'NL', 'Netherlands'),
(15425, '62.58.160.220', '62.58.160.220', 1044029660, 1044029660, 'BE', 'Belgium'),
(15426, '62.58.160.221', '62.58.160.223', 1044029661, 1044029663, 'NL', 'Netherlands'),
(15427, '62.58.160.224', '62.58.160.225', 1044029664, 1044029665, 'BE', 'Belgium'),
(15428, '62.58.160.226', '62.58.160.227', 1044029666, 1044029667, 'NL', 'Netherlands'),
(15429, '62.58.160.228', '62.58.160.228', 1044029668, 1044029668, 'BE', 'Belgium'),
(15430, '62.58.160.229', '62.58.160.229', 1044029669, 1044029669, 'NL', 'Netherlands'),
(15431, '62.58.160.230', '62.58.160.232', 1044029670, 1044029672, 'BE', 'Belgium'),
(15432, '62.58.160.233', '62.58.160.236', 1044029673, 1044029676, 'NL', 'Netherlands'),
(15433, '62.58.160.237', '62.58.160.238', 1044029677, 1044029678, 'BE', 'Belgium'),
(15434, '62.58.160.239', '62.58.160.240', 1044029679, 1044029680, 'NL', 'Netherlands'),
(15435, '62.58.160.241', '62.58.160.241', 1044029681, 1044029681, 'BE', 'Belgium'),
(15436, '62.58.160.242', '62.58.160.242', 1044029682, 1044029682, 'NL', 'Netherlands'),
(15437, '62.58.160.243', '62.58.160.244', 1044029683, 1044029684, 'BE', 'Belgium'),
(15438, '62.58.160.245', '62.58.160.246', 1044029685, 1044029686, 'NL', 'Netherlands'),
(15439, '62.58.160.247', '62.58.160.247', 1044029687, 1044029687, 'BE', 'Belgium'),
(15440, '62.58.160.248', '62.58.160.253', 1044029688, 1044029693, 'NL', 'Netherlands'),
(15441, '62.58.160.254', '62.58.160.254', 1044029694, 1044029694, 'BE', 'Belgium'),
(15442, '62.58.160.255', '62.58.160.255', 1044029695, 1044029695, 'NL', 'Netherlands'),
(15443, '62.58.161.0', '62.58.161.15', 1044029696, 1044029711, 'BE', 'Belgium'),
(15444, '62.58.161.16', '62.58.161.23', 1044029712, 1044029719, 'NL', 'Netherlands'),
(15445, '62.58.161.24', '62.58.161.31', 1044029720, 1044029727, 'BE', 'Belgium'),
(15446, '62.58.161.32', '62.58.161.47', 1044029728, 1044029743, 'NL', 'Netherlands'),
(15447, '62.58.161.48', '62.58.161.71', 1044029744, 1044029767, 'BE', 'Belgium'),
(15448, '62.58.161.72', '62.58.161.79', 1044029768, 1044029775, 'NL', 'Netherlands'),
(15449, '62.58.161.80', '62.58.161.87', 1044029776, 1044029783, 'BE', 'Belgium'),
(15450, '62.58.161.88', '62.58.161.127', 1044029784, 1044029823, 'NL', 'Netherlands'),
(15451, '62.58.161.128', '62.58.161.143', 1044029824, 1044029839, 'BE', 'Belgium'),
(15452, '62.58.161.144', '62.58.161.175', 1044029840, 1044029871, 'NL', 'Netherlands'),
(15453, '62.58.161.176', '62.58.161.183', 1044029872, 1044029879, 'BE', 'Belgium'),
(15454, '62.58.161.184', '62.58.161.191', 1044029880, 1044029887, 'NL', 'Netherlands'),
(15455, '62.58.161.192', '62.58.161.223', 1044029888, 1044029919, 'BE', 'Belgium'),
(15456, '62.58.161.224', '62.58.161.255', 1044029920, 1044029951, 'NL', 'Netherlands'),
(15457, '62.58.162.0', '62.58.162.7', 1044029952, 1044029959, 'BE', 'Belgium'),
(15458, '62.58.162.8', '62.58.162.15', 1044029960, 1044029967, 'NL', 'Netherlands'),
(15459, '62.58.162.16', '62.58.162.31', 1044029968, 1044029983, 'BE', 'Belgium'),
(15460, '62.58.162.32', '62.58.162.63', 1044029984, 1044030015, 'NL', 'Netherlands'),
(15461, '62.58.162.64', '62.58.162.79', 1044030016, 1044030031, 'BE', 'Belgium'),
(15462, '62.58.162.80', '62.58.162.95', 1044030032, 1044030047, 'NL', 'Netherlands'),
(15463, '62.58.162.96', '62.58.162.103', 1044030048, 1044030055, 'BE', 'Belgium'),
(15464, '62.58.162.104', '62.58.162.111', 1044030056, 1044030063, 'NL', 'Netherlands'),
(15465, '62.58.162.112', '62.58.162.119', 1044030064, 1044030071, 'BE', 'Belgium'),
(15466, '62.58.162.120', '62.58.162.159', 1044030072, 1044030111, 'NL', 'Netherlands'),
(15467, '62.58.162.160', '62.58.162.167', 1044030112, 1044030119, 'BE', 'Belgium'),
(15468, '62.58.162.168', '62.58.162.175', 1044030120, 1044030127, 'NL', 'Netherlands'),
(15469, '62.58.162.176', '62.58.162.183', 1044030128, 1044030135, 'BE', 'Belgium'),
(15470, '62.58.162.184', '62.58.162.239', 1044030136, 1044030191, 'NL', 'Netherlands'),
(15471, '62.58.162.240', '62.58.163.15', 1044030192, 1044030223, 'BE', 'Belgium'),
(15472, '62.58.163.16', '62.58.163.23', 1044030224, 1044030231, 'NL', 'Netherlands'),
(15473, '62.58.163.24', '62.58.163.31', 1044030232, 1044030239, 'BE', 'Belgium'),
(15474, '62.58.163.32', '62.58.163.39', 1044030240, 1044030247, 'NL', 'Netherlands'),
(15475, '62.58.163.40', '62.58.163.55', 1044030248, 1044030263, 'BE', 'Belgium'),
(15476, '62.58.163.56', '62.58.163.71', 1044030264, 1044030279, 'NL', 'Netherlands'),
(15477, '62.58.163.72', '62.58.163.87', 1044030280, 1044030295, 'BE', 'Belgium'),
(15478, '62.58.163.88', '62.58.163.95', 1044030296, 1044030303, 'NL', 'Netherlands'),
(15479, '62.58.163.96', '62.58.163.103', 1044030304, 1044030311, 'BE', 'Belgium'),
(15480, '62.58.163.104', '62.58.163.127', 1044030312, 1044030335, 'NL', 'Netherlands'),
(15481, '62.58.163.128', '62.58.163.135', 1044030336, 1044030343, 'BE', 'Belgium'),
(15482, '62.58.163.136', '62.58.163.143', 1044030344, 1044030351, 'NL', 'Netherlands'),
(15483, '62.58.163.144', '62.58.163.151', 1044030352, 1044030359, 'BE', 'Belgium'),
(15484, '62.58.163.152', '62.58.163.167', 1044030360, 1044030375, 'NL', 'Netherlands'),
(15485, '62.58.163.168', '62.58.163.183', 1044030376, 1044030391, 'BE', 'Belgium'),
(15486, '62.58.163.184', '62.58.163.191', 1044030392, 1044030399, 'NL', 'Netherlands'),
(15487, '62.58.163.192', '62.58.163.207', 1044030400, 1044030415, 'BE', 'Belgium'),
(15488, '62.58.163.208', '62.58.163.231', 1044030416, 1044030439, 'NL', 'Netherlands'),
(15489, '62.58.163.232', '62.58.163.239', 1044030440, 1044030447, 'BE', 'Belgium'),
(15490, '62.58.163.240', '62.58.163.255', 1044030448, 1044030463, 'NL', 'Netherlands'),
(15491, '62.58.164.0', '62.58.164.7', 1044030464, 1044030471, 'BE', 'Belgium'),
(15492, '62.58.164.8', '62.58.164.23', 1044030472, 1044030487, 'NL', 'Netherlands'),
(15493, '62.58.164.24', '62.58.164.31', 1044030488, 1044030495, 'BE', 'Belgium'),
(15494, '62.58.164.32', '62.58.164.63', 1044030496, 1044030527, 'NL', 'Netherlands'),
(15495, '62.58.164.64', '62.58.164.71', 1044030528, 1044030535, 'BE', 'Belgium'),
(15496, '62.58.164.72', '62.58.164.79', 1044030536, 1044030543, 'NL', 'Netherlands'),
(15497, '62.58.164.80', '62.58.164.87', 1044030544, 1044030551, 'BE', 'Belgium'),
(15498, '62.58.164.88', '62.58.164.119', 1044030552, 1044030583, 'NL', 'Netherlands'),
(15499, '62.58.164.120', '62.58.164.127', 1044030584, 1044030591, 'BE', 'Belgium'),
(15500, '62.58.164.128', '62.58.164.143', 1044030592, 1044030607, 'NL', 'Netherlands'),
(15501, '62.58.164.144', '62.58.164.159', 1044030608, 1044030623, 'BE', 'Belgium'),
(15502, '62.58.164.160', '62.58.164.175', 1044030624, 1044030639, 'NL', 'Netherlands'),
(15503, '62.58.164.176', '62.58.164.191', 1044030640, 1044030655, 'BE', 'Belgium');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(15504, '62.58.164.192', '62.58.164.207', 1044030656, 1044030671, 'NL', 'Netherlands'),
(15505, '62.58.164.208', '62.58.164.223', 1044030672, 1044030687, 'BE', 'Belgium'),
(15506, '62.58.164.224', '62.58.164.239', 1044030688, 1044030703, 'NL', 'Netherlands'),
(15507, '62.58.164.240', '62.58.165.15', 1044030704, 1044030735, 'BE', 'Belgium'),
(15508, '62.58.165.16', '62.58.165.39', 1044030736, 1044030759, 'NL', 'Netherlands'),
(15509, '62.58.165.40', '62.58.165.55', 1044030760, 1044030775, 'BE', 'Belgium'),
(15510, '62.58.165.56', '62.58.165.79', 1044030776, 1044030799, 'NL', 'Netherlands'),
(15511, '62.58.165.80', '62.58.165.87', 1044030800, 1044030807, 'BE', 'Belgium'),
(15512, '62.58.165.88', '62.58.165.95', 1044030808, 1044030815, 'NL', 'Netherlands'),
(15513, '62.58.165.96', '62.58.165.103', 1044030816, 1044030823, 'BE', 'Belgium'),
(15514, '62.58.165.104', '62.58.165.111', 1044030824, 1044030831, 'NL', 'Netherlands'),
(15515, '62.58.165.112', '62.58.165.127', 1044030832, 1044030847, 'BE', 'Belgium'),
(15516, '62.58.165.128', '62.58.165.159', 1044030848, 1044030879, 'NL', 'Netherlands'),
(15517, '62.58.165.160', '62.58.165.167', 1044030880, 1044030887, 'BE', 'Belgium'),
(15518, '62.58.165.168', '62.58.165.175', 1044030888, 1044030895, 'NL', 'Netherlands'),
(15519, '62.58.165.176', '62.58.165.183', 1044030896, 1044030903, 'BE', 'Belgium'),
(15520, '62.58.165.184', '62.58.165.191', 1044030904, 1044030911, 'NL', 'Netherlands'),
(15521, '62.58.165.192', '62.58.165.199', 1044030912, 1044030919, 'BE', 'Belgium'),
(15522, '62.58.165.200', '62.58.165.207', 1044030920, 1044030927, 'NL', 'Netherlands'),
(15523, '62.58.165.208', '62.58.165.215', 1044030928, 1044030935, 'BE', 'Belgium'),
(15524, '62.58.165.216', '62.58.165.239', 1044030936, 1044030959, 'NL', 'Netherlands'),
(15525, '62.58.165.240', '62.58.165.247', 1044030960, 1044030967, 'BE', 'Belgium'),
(15526, '62.58.165.248', '62.58.165.255', 1044030968, 1044030975, 'NL', 'Netherlands'),
(15527, '62.58.166.0', '62.58.166.15', 1044030976, 1044030991, 'BE', 'Belgium'),
(15528, '62.58.166.16', '62.58.166.23', 1044030992, 1044030999, 'NL', 'Netherlands'),
(15529, '62.58.166.24', '62.58.166.31', 1044031000, 1044031007, 'BE', 'Belgium'),
(15530, '62.58.166.32', '62.58.166.63', 1044031008, 1044031039, 'NL', 'Netherlands'),
(15531, '62.58.166.64', '62.58.166.127', 1044031040, 1044031103, 'BE', 'Belgium'),
(15532, '62.58.166.128', '62.58.166.143', 1044031104, 1044031119, 'NL', 'Netherlands'),
(15533, '62.58.166.144', '62.58.166.151', 1044031120, 1044031127, 'BE', 'Belgium'),
(15534, '62.58.166.152', '62.58.166.175', 1044031128, 1044031151, 'NL', 'Netherlands'),
(15535, '62.58.166.176', '62.58.166.191', 1044031152, 1044031167, 'BE', 'Belgium'),
(15536, '62.58.166.192', '62.58.167.39', 1044031168, 1044031271, 'NL', 'Netherlands'),
(15537, '62.58.167.40', '62.58.167.63', 1044031272, 1044031295, 'BE', 'Belgium'),
(15538, '62.58.167.64', '62.58.167.87', 1044031296, 1044031319, 'NL', 'Netherlands'),
(15539, '62.58.167.88', '62.58.167.103', 1044031320, 1044031335, 'BE', 'Belgium'),
(15540, '62.58.167.104', '62.58.167.111', 1044031336, 1044031343, 'NL', 'Netherlands'),
(15541, '62.58.167.112', '62.58.167.119', 1044031344, 1044031351, 'BE', 'Belgium'),
(15542, '62.58.167.120', '62.58.167.127', 1044031352, 1044031359, 'NL', 'Netherlands'),
(15543, '62.58.167.128', '62.58.167.128', 1044031360, 1044031360, 'BE', 'Belgium'),
(15544, '62.58.167.129', '62.58.167.131', 1044031361, 1044031363, 'NL', 'Netherlands'),
(15545, '62.58.167.132', '62.58.167.132', 1044031364, 1044031364, 'BE', 'Belgium'),
(15546, '62.58.167.133', '62.58.167.135', 1044031365, 1044031367, 'NL', 'Netherlands'),
(15547, '62.58.167.136', '62.58.167.143', 1044031368, 1044031375, 'BE', 'Belgium'),
(15548, '62.58.167.144', '62.58.167.167', 1044031376, 1044031399, 'NL', 'Netherlands'),
(15549, '62.58.167.168', '62.58.167.199', 1044031400, 1044031431, 'BE', 'Belgium'),
(15550, '62.58.167.200', '62.58.167.207', 1044031432, 1044031439, 'NL', 'Netherlands'),
(15551, '62.58.167.208', '62.58.167.223', 1044031440, 1044031455, 'BE', 'Belgium'),
(15552, '62.58.167.224', '62.58.167.247', 1044031456, 1044031479, 'NL', 'Netherlands'),
(15553, '62.58.167.248', '62.58.167.255', 1044031480, 1044031487, 'BE', 'Belgium'),
(15554, '62.58.168.0', '62.58.168.1', 1044031488, 1044031489, 'NL', 'Netherlands'),
(15555, '62.58.168.2', '62.58.168.2', 1044031490, 1044031490, 'BE', 'Belgium'),
(15556, '62.58.168.3', '62.58.168.6', 1044031491, 1044031494, 'NL', 'Netherlands'),
(15557, '62.58.168.7', '62.58.168.7', 1044031495, 1044031495, 'BE', 'Belgium'),
(15558, '62.58.168.8', '62.58.168.8', 1044031496, 1044031496, 'NL', 'Netherlands'),
(15559, '62.58.168.9', '62.58.168.9', 1044031497, 1044031497, 'BE', 'Belgium'),
(15560, '62.58.168.10', '62.58.168.19', 1044031498, 1044031507, 'NL', 'Netherlands'),
(15561, '62.58.168.20', '62.58.168.20', 1044031508, 1044031508, 'BE', 'Belgium'),
(15562, '62.58.168.21', '62.58.168.21', 1044031509, 1044031509, 'NL', 'Netherlands'),
(15563, '62.58.168.22', '62.58.168.22', 1044031510, 1044031510, 'BE', 'Belgium'),
(15564, '62.58.168.23', '62.58.168.31', 1044031511, 1044031519, 'NL', 'Netherlands'),
(15565, '62.58.168.32', '62.58.168.32', 1044031520, 1044031520, 'BE', 'Belgium'),
(15566, '62.58.168.33', '62.58.168.35', 1044031521, 1044031523, 'NL', 'Netherlands'),
(15567, '62.58.168.36', '62.58.168.36', 1044031524, 1044031524, 'BE', 'Belgium'),
(15568, '62.58.168.37', '62.58.168.43', 1044031525, 1044031531, 'NL', 'Netherlands'),
(15569, '62.58.168.44', '62.58.168.44', 1044031532, 1044031532, 'BE', 'Belgium'),
(15570, '62.58.168.45', '62.58.168.45', 1044031533, 1044031533, 'NL', 'Netherlands'),
(15571, '62.58.168.46', '62.58.168.48', 1044031534, 1044031536, 'BE', 'Belgium'),
(15572, '62.58.168.49', '62.58.168.62', 1044031537, 1044031550, 'NL', 'Netherlands'),
(15573, '62.58.168.63', '62.58.168.63', 1044031551, 1044031551, 'BE', 'Belgium'),
(15574, '62.58.168.64', '62.58.168.64', 1044031552, 1044031552, 'NL', 'Netherlands'),
(15575, '62.58.168.65', '62.58.168.65', 1044031553, 1044031553, 'BE', 'Belgium'),
(15576, '62.58.168.66', '62.58.168.68', 1044031554, 1044031556, 'NL', 'Netherlands'),
(15577, '62.58.168.69', '62.58.168.69', 1044031557, 1044031557, 'BE', 'Belgium'),
(15578, '62.58.168.70', '62.58.168.70', 1044031558, 1044031558, 'NL', 'Netherlands'),
(15579, '62.58.168.71', '62.58.168.71', 1044031559, 1044031559, 'BE', 'Belgium'),
(15580, '62.58.168.72', '62.58.168.74', 1044031560, 1044031562, 'NL', 'Netherlands'),
(15581, '62.58.168.75', '62.58.168.75', 1044031563, 1044031563, 'BE', 'Belgium'),
(15582, '62.58.168.76', '62.58.168.78', 1044031564, 1044031566, 'NL', 'Netherlands'),
(15583, '62.58.168.79', '62.58.168.79', 1044031567, 1044031567, 'BE', 'Belgium'),
(15584, '62.58.168.80', '62.58.168.80', 1044031568, 1044031568, 'NL', 'Netherlands'),
(15585, '62.58.168.81', '62.58.168.81', 1044031569, 1044031569, 'BE', 'Belgium'),
(15586, '62.58.168.82', '62.58.168.83', 1044031570, 1044031571, 'NL', 'Netherlands'),
(15587, '62.58.168.84', '62.58.168.84', 1044031572, 1044031572, 'BE', 'Belgium'),
(15588, '62.58.168.85', '62.58.168.85', 1044031573, 1044031573, 'NL', 'Netherlands'),
(15589, '62.58.168.86', '62.58.168.86', 1044031574, 1044031574, 'BE', 'Belgium'),
(15590, '62.58.168.87', '62.58.168.91', 1044031575, 1044031579, 'NL', 'Netherlands'),
(15591, '62.58.168.92', '62.58.168.93', 1044031580, 1044031581, 'BE', 'Belgium'),
(15592, '62.58.168.94', '62.58.168.94', 1044031582, 1044031582, 'NL', 'Netherlands'),
(15593, '62.58.168.95', '62.58.168.96', 1044031583, 1044031584, 'BE', 'Belgium'),
(15594, '62.58.168.97', '62.58.168.104', 1044031585, 1044031592, 'NL', 'Netherlands'),
(15595, '62.58.168.105', '62.58.168.105', 1044031593, 1044031593, 'BE', 'Belgium'),
(15596, '62.58.168.106', '62.58.168.109', 1044031594, 1044031597, 'NL', 'Netherlands'),
(15597, '62.58.168.110', '62.58.168.110', 1044031598, 1044031598, 'BE', 'Belgium'),
(15598, '62.58.168.111', '62.58.168.111', 1044031599, 1044031599, 'NL', 'Netherlands'),
(15599, '62.58.168.112', '62.58.168.112', 1044031600, 1044031600, 'BE', 'Belgium'),
(15600, '62.58.168.113', '62.58.168.139', 1044031601, 1044031627, 'NL', 'Netherlands'),
(15601, '62.58.168.140', '62.58.168.140', 1044031628, 1044031628, 'BE', 'Belgium'),
(15602, '62.58.168.141', '62.58.168.141', 1044031629, 1044031629, 'NL', 'Netherlands'),
(15603, '62.58.168.142', '62.58.168.142', 1044031630, 1044031630, 'BE', 'Belgium'),
(15604, '62.58.168.143', '62.58.168.147', 1044031631, 1044031635, 'NL', 'Netherlands'),
(15605, '62.58.168.148', '62.58.168.148', 1044031636, 1044031636, 'BE', 'Belgium'),
(15606, '62.58.168.149', '62.58.168.152', 1044031637, 1044031640, 'NL', 'Netherlands'),
(15607, '62.58.168.153', '62.58.168.153', 1044031641, 1044031641, 'BE', 'Belgium'),
(15608, '62.58.168.154', '62.58.168.155', 1044031642, 1044031643, 'NL', 'Netherlands'),
(15609, '62.58.168.156', '62.58.168.156', 1044031644, 1044031644, 'BE', 'Belgium'),
(15610, '62.58.168.157', '62.58.168.163', 1044031645, 1044031651, 'NL', 'Netherlands'),
(15611, '62.58.168.164', '62.58.168.164', 1044031652, 1044031652, 'BE', 'Belgium'),
(15612, '62.58.168.165', '62.58.168.166', 1044031653, 1044031654, 'NL', 'Netherlands'),
(15613, '62.58.168.167', '62.58.168.167', 1044031655, 1044031655, 'BE', 'Belgium'),
(15614, '62.58.168.168', '62.58.168.168', 1044031656, 1044031656, 'NL', 'Netherlands'),
(15615, '62.58.168.169', '62.58.168.170', 1044031657, 1044031658, 'BE', 'Belgium'),
(15616, '62.58.168.171', '62.58.168.178', 1044031659, 1044031666, 'NL', 'Netherlands'),
(15617, '62.58.168.179', '62.58.168.179', 1044031667, 1044031667, 'BE', 'Belgium'),
(15618, '62.58.168.180', '62.58.168.180', 1044031668, 1044031668, 'NL', 'Netherlands'),
(15619, '62.58.168.181', '62.58.168.182', 1044031669, 1044031670, 'BE', 'Belgium'),
(15620, '62.58.168.183', '62.58.168.185', 1044031671, 1044031673, 'NL', 'Netherlands'),
(15621, '62.58.168.186', '62.58.168.186', 1044031674, 1044031674, 'BE', 'Belgium'),
(15622, '62.58.168.187', '62.58.168.187', 1044031675, 1044031675, 'NL', 'Netherlands'),
(15623, '62.58.168.188', '62.58.168.189', 1044031676, 1044031677, 'BE', 'Belgium'),
(15624, '62.58.168.190', '62.58.168.195', 1044031678, 1044031683, 'NL', 'Netherlands'),
(15625, '62.58.168.196', '62.58.168.196', 1044031684, 1044031684, 'BE', 'Belgium'),
(15626, '62.58.168.197', '62.58.168.199', 1044031685, 1044031687, 'NL', 'Netherlands'),
(15627, '62.58.168.200', '62.58.168.200', 1044031688, 1044031688, 'BE', 'Belgium'),
(15628, '62.58.168.201', '62.58.168.202', 1044031689, 1044031690, 'NL', 'Netherlands'),
(15629, '62.58.168.203', '62.58.168.204', 1044031691, 1044031692, 'BE', 'Belgium'),
(15630, '62.58.168.205', '62.58.168.210', 1044031693, 1044031698, 'NL', 'Netherlands'),
(15631, '62.58.168.211', '62.58.168.211', 1044031699, 1044031699, 'BE', 'Belgium'),
(15632, '62.58.168.212', '62.58.168.214', 1044031700, 1044031702, 'NL', 'Netherlands'),
(15633, '62.58.168.215', '62.58.168.216', 1044031703, 1044031704, 'BE', 'Belgium'),
(15634, '62.58.168.217', '62.58.168.221', 1044031705, 1044031709, 'NL', 'Netherlands'),
(15635, '62.58.168.222', '62.58.168.222', 1044031710, 1044031710, 'BE', 'Belgium'),
(15636, '62.58.168.223', '62.58.168.223', 1044031711, 1044031711, 'NL', 'Netherlands'),
(15637, '62.58.168.224', '62.58.168.224', 1044031712, 1044031712, 'BE', 'Belgium'),
(15638, '62.58.168.225', '62.58.168.226', 1044031713, 1044031714, 'NL', 'Netherlands'),
(15639, '62.58.168.227', '62.58.168.227', 1044031715, 1044031715, 'BE', 'Belgium'),
(15640, '62.58.168.228', '62.58.168.229', 1044031716, 1044031717, 'NL', 'Netherlands'),
(15641, '62.58.168.230', '62.58.168.231', 1044031718, 1044031719, 'BE', 'Belgium'),
(15642, '62.58.168.232', '62.58.168.233', 1044031720, 1044031721, 'NL', 'Netherlands'),
(15643, '62.58.168.234', '62.58.168.235', 1044031722, 1044031723, 'BE', 'Belgium'),
(15644, '62.58.168.236', '62.58.168.238', 1044031724, 1044031726, 'NL', 'Netherlands'),
(15645, '62.58.168.239', '62.58.168.239', 1044031727, 1044031727, 'BE', 'Belgium'),
(15646, '62.58.168.240', '62.58.169.7', 1044031728, 1044031751, 'NL', 'Netherlands'),
(15647, '62.58.169.8', '62.58.169.15', 1044031752, 1044031759, 'BE', 'Belgium'),
(15648, '62.58.169.16', '62.58.169.55', 1044031760, 1044031799, 'NL', 'Netherlands'),
(15649, '62.58.169.56', '62.58.169.63', 1044031800, 1044031807, 'BE', 'Belgium'),
(15650, '62.58.169.64', '62.58.169.71', 1044031808, 1044031815, 'NL', 'Netherlands'),
(15651, '62.58.169.72', '62.58.169.127', 1044031816, 1044031871, 'BE', 'Belgium'),
(15652, '62.58.169.128', '62.58.169.135', 1044031872, 1044031879, 'NL', 'Netherlands'),
(15653, '62.58.169.136', '62.58.169.151', 1044031880, 1044031895, 'BE', 'Belgium'),
(15654, '62.58.169.152', '62.58.169.183', 1044031896, 1044031927, 'NL', 'Netherlands'),
(15655, '62.58.169.184', '62.58.169.199', 1044031928, 1044031943, 'BE', 'Belgium'),
(15656, '62.58.169.200', '62.58.169.207', 1044031944, 1044031951, 'NL', 'Netherlands'),
(15657, '62.58.169.208', '62.58.169.247', 1044031952, 1044031991, 'BE', 'Belgium'),
(15658, '62.58.169.248', '62.58.169.255', 1044031992, 1044031999, 'NL', 'Netherlands'),
(15659, '62.58.170.0', '62.58.170.31', 1044032000, 1044032031, 'BE', 'Belgium'),
(15660, '62.58.170.32', '62.58.170.47', 1044032032, 1044032047, 'NL', 'Netherlands'),
(15661, '62.58.170.48', '62.58.170.55', 1044032048, 1044032055, 'BE', 'Belgium'),
(15662, '62.58.170.56', '62.58.170.71', 1044032056, 1044032071, 'NL', 'Netherlands'),
(15663, '62.58.170.72', '62.58.170.79', 1044032072, 1044032079, 'BE', 'Belgium'),
(15664, '62.58.170.80', '62.58.170.103', 1044032080, 1044032103, 'NL', 'Netherlands'),
(15665, '62.58.170.104', '62.58.170.127', 1044032104, 1044032127, 'BE', 'Belgium'),
(15666, '62.58.170.128', '62.58.170.143', 1044032128, 1044032143, 'NL', 'Netherlands'),
(15667, '62.58.170.144', '62.58.170.167', 1044032144, 1044032167, 'BE', 'Belgium'),
(15668, '62.58.170.168', '62.58.170.175', 1044032168, 1044032175, 'NL', 'Netherlands'),
(15669, '62.58.170.176', '62.58.170.183', 1044032176, 1044032183, 'BE', 'Belgium'),
(15670, '62.58.170.184', '62.58.170.191', 1044032184, 1044032191, 'NL', 'Netherlands'),
(15671, '62.58.170.192', '62.58.170.199', 1044032192, 1044032199, 'BE', 'Belgium'),
(15672, '62.58.170.200', '62.58.170.223', 1044032200, 1044032223, 'NL', 'Netherlands'),
(15673, '62.58.170.224', '62.58.170.239', 1044032224, 1044032239, 'BE', 'Belgium'),
(15674, '62.58.170.240', '62.58.171.7', 1044032240, 1044032263, 'NL', 'Netherlands'),
(15675, '62.58.171.8', '62.58.171.31', 1044032264, 1044032287, 'BE', 'Belgium'),
(15676, '62.58.171.32', '62.58.171.47', 1044032288, 1044032303, 'NL', 'Netherlands'),
(15677, '62.58.171.48', '62.58.171.71', 1044032304, 1044032327, 'BE', 'Belgium'),
(15678, '62.58.171.72', '62.58.171.119', 1044032328, 1044032375, 'NL', 'Netherlands'),
(15679, '62.58.171.120', '62.58.171.151', 1044032376, 1044032407, 'BE', 'Belgium'),
(15680, '62.58.171.152', '62.58.171.215', 1044032408, 1044032471, 'NL', 'Netherlands'),
(15681, '62.58.171.216', '62.58.171.223', 1044032472, 1044032479, 'BE', 'Belgium'),
(15682, '62.58.171.224', '62.58.172.15', 1044032480, 1044032527, 'NL', 'Netherlands'),
(15683, '62.58.172.16', '62.58.172.47', 1044032528, 1044032559, 'BE', 'Belgium'),
(15684, '62.58.172.48', '62.58.172.71', 1044032560, 1044032583, 'NL', 'Netherlands'),
(15685, '62.58.172.72', '62.58.172.103', 1044032584, 1044032615, 'BE', 'Belgium'),
(15686, '62.58.172.104', '62.58.172.127', 1044032616, 1044032639, 'NL', 'Netherlands'),
(15687, '62.58.172.128', '62.58.172.135', 1044032640, 1044032647, 'BE', 'Belgium'),
(15688, '62.58.172.136', '62.58.172.143', 1044032648, 1044032655, 'NL', 'Netherlands'),
(15689, '62.58.172.144', '62.58.172.151', 1044032656, 1044032663, 'BE', 'Belgium'),
(15690, '62.58.172.152', '62.58.172.183', 1044032664, 1044032695, 'NL', 'Netherlands'),
(15691, '62.58.172.184', '62.58.172.191', 1044032696, 1044032703, 'BE', 'Belgium'),
(15692, '62.58.172.192', '62.58.172.207', 1044032704, 1044032719, 'NL', 'Netherlands'),
(15693, '62.58.172.208', '62.58.172.215', 1044032720, 1044032727, 'BE', 'Belgium'),
(15694, '62.58.172.216', '62.58.172.223', 1044032728, 1044032735, 'NL', 'Netherlands'),
(15695, '62.58.172.224', '62.58.172.231', 1044032736, 1044032743, 'BE', 'Belgium'),
(15696, '62.58.172.232', '62.58.173.7', 1044032744, 1044032775, 'NL', 'Netherlands'),
(15697, '62.58.173.8', '62.58.173.15', 1044032776, 1044032783, 'BE', 'Belgium'),
(15698, '62.58.173.16', '62.58.173.23', 1044032784, 1044032791, 'NL', 'Netherlands'),
(15699, '62.58.173.24', '62.58.173.31', 1044032792, 1044032799, 'BE', 'Belgium'),
(15700, '62.58.173.32', '62.58.173.47', 1044032800, 1044032815, 'NL', 'Netherlands'),
(15701, '62.58.173.48', '62.58.173.63', 1044032816, 1044032831, 'BE', 'Belgium'),
(15702, '62.58.173.64', '62.58.173.87', 1044032832, 1044032855, 'NL', 'Netherlands'),
(15703, '62.58.173.88', '62.58.173.95', 1044032856, 1044032863, 'BE', 'Belgium'),
(15704, '62.58.173.96', '62.58.173.119', 1044032864, 1044032887, 'NL', 'Netherlands'),
(15705, '62.58.173.120', '62.58.173.135', 1044032888, 1044032903, 'BE', 'Belgium'),
(15706, '62.58.173.136', '62.58.173.159', 1044032904, 1044032927, 'NL', 'Netherlands'),
(15707, '62.58.173.160', '62.58.173.167', 1044032928, 1044032935, 'BE', 'Belgium'),
(15708, '62.58.173.168', '62.58.173.175', 1044032936, 1044032943, 'NL', 'Netherlands'),
(15709, '62.58.173.176', '62.58.173.191', 1044032944, 1044032959, 'BE', 'Belgium'),
(15710, '62.58.173.192', '62.58.173.199', 1044032960, 1044032967, 'NL', 'Netherlands'),
(15711, '62.58.173.200', '62.58.173.207', 1044032968, 1044032975, 'BE', 'Belgium'),
(15712, '62.58.173.208', '62.58.173.223', 1044032976, 1044032991, 'NL', 'Netherlands'),
(15713, '62.58.173.224', '62.58.173.231', 1044032992, 1044032999, 'BE', 'Belgium'),
(15714, '62.58.173.232', '62.58.174.7', 1044033000, 1044033031, 'NL', 'Netherlands'),
(15715, '62.58.174.8', '62.58.174.31', 1044033032, 1044033055, 'BE', 'Belgium'),
(15716, '62.58.174.32', '62.58.174.47', 1044033056, 1044033071, 'NL', 'Netherlands'),
(15717, '62.58.174.48', '62.58.174.55', 1044033072, 1044033079, 'BE', 'Belgium'),
(15718, '62.58.174.56', '62.58.174.63', 1044033080, 1044033087, 'NL', 'Netherlands'),
(15719, '62.58.174.64', '62.58.174.71', 1044033088, 1044033095, 'BE', 'Belgium'),
(15720, '62.58.174.72', '62.58.174.87', 1044033096, 1044033111, 'NL', 'Netherlands'),
(15721, '62.58.174.88', '62.58.174.95', 1044033112, 1044033119, 'BE', 'Belgium'),
(15722, '62.58.174.96', '62.58.174.111', 1044033120, 1044033135, 'NL', 'Netherlands'),
(15723, '62.58.174.112', '62.58.174.135', 1044033136, 1044033159, 'BE', 'Belgium'),
(15724, '62.58.174.136', '62.58.174.183', 1044033160, 1044033207, 'NL', 'Netherlands'),
(15725, '62.58.174.184', '62.58.174.191', 1044033208, 1044033215, 'BE', 'Belgium'),
(15726, '62.58.174.192', '62.58.174.199', 1044033216, 1044033223, 'NL', 'Netherlands'),
(15727, '62.58.174.200', '62.58.174.207', 1044033224, 1044033231, 'BE', 'Belgium'),
(15728, '62.58.174.208', '62.58.175.55', 1044033232, 1044033335, 'NL', 'Netherlands'),
(15729, '62.58.175.56', '62.58.175.63', 1044033336, 1044033343, 'BE', 'Belgium'),
(15730, '62.58.175.64', '62.58.175.71', 1044033344, 1044033351, 'NL', 'Netherlands'),
(15731, '62.58.175.72', '62.58.175.79', 1044033352, 1044033359, 'BE', 'Belgium'),
(15732, '62.58.175.80', '62.58.175.95', 1044033360, 1044033375, 'NL', 'Netherlands'),
(15733, '62.58.175.96', '62.58.175.127', 1044033376, 1044033407, 'BE', 'Belgium'),
(15734, '62.58.175.128', '62.58.175.151', 1044033408, 1044033431, 'NL', 'Netherlands'),
(15735, '62.58.175.152', '62.58.175.167', 1044033432, 1044033447, 'BE', 'Belgium'),
(15736, '62.58.175.168', '62.58.175.247', 1044033448, 1044033527, 'NL', 'Netherlands'),
(15737, '62.58.175.248', '62.58.175.255', 1044033528, 1044033535, 'BE', 'Belgium'),
(15738, '62.58.176.0', '62.58.176.7', 1044033536, 1044033543, 'NL', 'Netherlands'),
(15739, '62.58.176.8', '62.58.176.15', 1044033544, 1044033551, 'BE', 'Belgium'),
(15740, '62.58.176.16', '62.58.176.39', 1044033552, 1044033575, 'NL', 'Netherlands'),
(15741, '62.58.176.40', '62.58.176.47', 1044033576, 1044033583, 'BE', 'Belgium'),
(15742, '62.58.176.48', '62.58.176.87', 1044033584, 1044033623, 'NL', 'Netherlands'),
(15743, '62.58.176.88', '62.58.176.95', 1044033624, 1044033631, 'BE', 'Belgium'),
(15744, '62.58.176.96', '62.58.176.119', 1044033632, 1044033655, 'NL', 'Netherlands'),
(15745, '62.58.176.120', '62.58.176.127', 1044033656, 1044033663, 'BE', 'Belgium'),
(15746, '62.58.176.128', '62.58.176.135', 1044033664, 1044033671, 'NL', 'Netherlands'),
(15747, '62.58.176.136', '62.58.176.151', 1044033672, 1044033687, 'BE', 'Belgium'),
(15748, '62.58.176.152', '62.58.176.183', 1044033688, 1044033719, 'NL', 'Netherlands'),
(15749, '62.58.176.184', '62.58.176.191', 1044033720, 1044033727, 'BE', 'Belgium'),
(15750, '62.58.176.192', '62.58.177.55', 1044033728, 1044033847, 'NL', 'Netherlands'),
(15751, '62.58.177.56', '62.58.177.63', 1044033848, 1044033855, 'BE', 'Belgium'),
(15752, '62.58.177.64', '62.58.177.103', 1044033856, 1044033895, 'NL', 'Netherlands'),
(15753, '62.58.177.104', '62.58.177.111', 1044033896, 1044033903, 'BE', 'Belgium'),
(15754, '62.58.177.112', '62.58.177.135', 1044033904, 1044033927, 'NL', 'Netherlands'),
(15755, '62.58.177.136', '62.58.177.143', 1044033928, 1044033935, 'BE', 'Belgium'),
(15756, '62.58.177.144', '62.58.177.199', 1044033936, 1044033991, 'NL', 'Netherlands'),
(15757, '62.58.177.200', '62.58.177.207', 1044033992, 1044033999, 'BE', 'Belgium'),
(15758, '62.58.177.208', '62.58.177.223', 1044034000, 1044034015, 'NL', 'Netherlands'),
(15759, '62.58.177.224', '62.58.177.231', 1044034016, 1044034023, 'BE', 'Belgium'),
(15760, '62.58.177.232', '62.58.177.239', 1044034024, 1044034031, 'NL', 'Netherlands'),
(15761, '62.58.177.240', '62.58.177.247', 1044034032, 1044034039, 'BE', 'Belgium'),
(15762, '62.58.177.248', '62.58.178.7', 1044034040, 1044034055, 'NL', 'Netherlands'),
(15763, '62.58.178.8', '62.58.178.15', 1044034056, 1044034063, 'BE', 'Belgium'),
(15764, '62.58.178.16', '62.58.178.47', 1044034064, 1044034095, 'NL', 'Netherlands'),
(15765, '62.58.178.48', '62.58.178.71', 1044034096, 1044034119, 'BE', 'Belgium'),
(15766, '62.58.178.72', '62.58.178.79', 1044034120, 1044034127, 'NL', 'Netherlands'),
(15767, '62.58.178.80', '62.58.178.95', 1044034128, 1044034143, 'BE', 'Belgium'),
(15768, '62.58.178.96', '62.58.178.159', 1044034144, 1044034207, 'NL', 'Netherlands'),
(15769, '62.58.178.160', '62.58.178.167', 1044034208, 1044034215, 'BE', 'Belgium'),
(15770, '62.58.178.168', '62.58.178.183', 1044034216, 1044034231, 'NL', 'Netherlands'),
(15771, '62.58.178.184', '62.58.178.199', 1044034232, 1044034247, 'BE', 'Belgium'),
(15772, '62.58.178.200', '62.58.178.215', 1044034248, 1044034263, 'NL', 'Netherlands'),
(15773, '62.58.178.216', '62.58.178.223', 1044034264, 1044034271, 'BE', 'Belgium'),
(15774, '62.58.178.224', '62.58.178.231', 1044034272, 1044034279, 'NL', 'Netherlands'),
(15775, '62.58.178.232', '62.58.178.247', 1044034280, 1044034295, 'BE', 'Belgium'),
(15776, '62.58.178.248', '62.58.178.255', 1044034296, 1044034303, 'NL', 'Netherlands'),
(15777, '62.58.179.0', '62.58.179.7', 1044034304, 1044034311, 'BE', 'Belgium'),
(15778, '62.58.179.8', '62.58.179.23', 1044034312, 1044034327, 'NL', 'Netherlands'),
(15779, '62.58.179.24', '62.58.179.31', 1044034328, 1044034335, 'BE', 'Belgium'),
(15780, '62.58.179.32', '62.58.179.71', 1044034336, 1044034375, 'NL', 'Netherlands'),
(15781, '62.58.179.72', '62.58.179.79', 1044034376, 1044034383, 'BE', 'Belgium'),
(15782, '62.58.179.80', '62.58.179.183', 1044034384, 1044034487, 'NL', 'Netherlands'),
(15783, '62.58.179.184', '62.58.179.191', 1044034488, 1044034495, 'BE', 'Belgium'),
(15784, '62.58.179.192', '62.58.179.207', 1044034496, 1044034511, 'NL', 'Netherlands'),
(15785, '62.58.179.208', '62.58.179.215', 1044034512, 1044034519, 'BE', 'Belgium'),
(15786, '62.58.179.216', '62.58.180.55', 1044034520, 1044034615, 'NL', 'Netherlands'),
(15787, '62.58.180.56', '62.58.180.63', 1044034616, 1044034623, 'BE', 'Belgium'),
(15788, '62.58.180.64', '62.58.180.103', 1044034624, 1044034663, 'NL', 'Netherlands'),
(15789, '62.58.180.104', '62.58.180.111', 1044034664, 1044034671, 'BE', 'Belgium'),
(15790, '62.58.180.112', '62.58.180.175', 1044034672, 1044034735, 'NL', 'Netherlands'),
(15791, '62.58.180.176', '62.58.180.183', 1044034736, 1044034743, 'BE', 'Belgium'),
(15792, '62.58.180.184', '62.58.180.191', 1044034744, 1044034751, 'NL', 'Netherlands'),
(15793, '62.58.180.192', '62.58.180.199', 1044034752, 1044034759, 'BE', 'Belgium'),
(15794, '62.58.180.200', '62.58.180.223', 1044034760, 1044034783, 'NL', 'Netherlands'),
(15795, '62.58.180.224', '62.58.180.231', 1044034784, 1044034791, 'BE', 'Belgium'),
(15796, '62.58.180.232', '62.58.181.31', 1044034792, 1044034847, 'NL', 'Netherlands'),
(15797, '62.58.181.32', '62.58.181.39', 1044034848, 1044034855, 'BE', 'Belgium'),
(15798, '62.58.181.40', '62.58.181.103', 1044034856, 1044034919, 'NL', 'Netherlands'),
(15799, '62.58.181.104', '62.58.181.111', 1044034920, 1044034927, 'BE', 'Belgium'),
(15800, '62.58.181.112', '62.58.181.159', 1044034928, 1044034975, 'NL', 'Netherlands'),
(15801, '62.58.181.160', '62.58.181.167', 1044034976, 1044034983, 'BE', 'Belgium'),
(15802, '62.58.181.168', '62.58.181.183', 1044034984, 1044034999, 'NL', 'Netherlands'),
(15803, '62.58.181.184', '62.58.181.191', 1044035000, 1044035007, 'BE', 'Belgium'),
(15804, '62.58.181.192', '62.58.181.215', 1044035008, 1044035031, 'NL', 'Netherlands'),
(15805, '62.58.181.216', '62.58.181.223', 1044035032, 1044035039, 'BE', 'Belgium'),
(15806, '62.58.181.224', '62.58.181.231', 1044035040, 1044035047, 'NL', 'Netherlands'),
(15807, '62.58.181.232', '62.58.181.239', 1044035048, 1044035055, 'BE', 'Belgium'),
(15808, '62.58.181.240', '62.58.181.247', 1044035056, 1044035063, 'NL', 'Netherlands'),
(15809, '62.58.181.248', '62.58.181.255', 1044035064, 1044035071, 'BE', 'Belgium'),
(15810, '62.58.182.0', '62.58.182.15', 1044035072, 1044035087, 'NL', 'Netherlands'),
(15811, '62.58.182.16', '62.58.182.23', 1044035088, 1044035095, 'BE', 'Belgium'),
(15812, '62.58.182.24', '62.58.182.71', 1044035096, 1044035143, 'NL', 'Netherlands'),
(15813, '62.58.182.72', '62.58.182.79', 1044035144, 1044035151, 'BE', 'Belgium'),
(15814, '62.58.182.80', '62.58.182.119', 1044035152, 1044035191, 'NL', 'Netherlands'),
(15815, '62.58.182.120', '62.58.182.127', 1044035192, 1044035199, 'BE', 'Belgium'),
(15816, '62.58.182.128', '62.58.182.151', 1044035200, 1044035223, 'NL', 'Netherlands'),
(15817, '62.58.182.152', '62.58.182.159', 1044035224, 1044035231, 'BE', 'Belgium'),
(15818, '62.58.182.160', '62.58.182.183', 1044035232, 1044035255, 'NL', 'Netherlands'),
(15819, '62.58.182.184', '62.58.182.191', 1044035256, 1044035263, 'BE', 'Belgium'),
(15820, '62.58.182.192', '62.58.182.215', 1044035264, 1044035287, 'NL', 'Netherlands'),
(15821, '62.58.182.216', '62.58.182.239', 1044035288, 1044035311, 'BE', 'Belgium'),
(15822, '62.58.182.240', '62.58.182.255', 1044035312, 1044035327, 'NL', 'Netherlands'),
(15823, '62.58.183.0', '62.58.183.23', 1044035328, 1044035351, 'BE', 'Belgium'),
(15824, '62.58.183.24', '62.58.183.39', 1044035352, 1044035367, 'NL', 'Netherlands'),
(15825, '62.58.183.40', '62.58.183.47', 1044035368, 1044035375, 'BE', 'Belgium'),
(15826, '62.58.183.48', '62.58.183.79', 1044035376, 1044035407, 'NL', 'Netherlands'),
(15827, '62.58.183.80', '62.58.183.95', 1044035408, 1044035423, 'BE', 'Belgium'),
(15828, '62.58.183.96', '62.58.183.119', 1044035424, 1044035447, 'NL', 'Netherlands'),
(15829, '62.58.183.120', '62.58.183.143', 1044035448, 1044035471, 'BE', 'Belgium'),
(15830, '62.58.183.144', '62.58.183.151', 1044035472, 1044035479, 'NL', 'Netherlands'),
(15831, '62.58.183.152', '62.58.183.159', 1044035480, 1044035487, 'BE', 'Belgium'),
(15832, '62.58.183.160', '62.58.183.167', 1044035488, 1044035495, 'NL', 'Netherlands'),
(15833, '62.58.183.168', '62.58.183.175', 1044035496, 1044035503, 'BE', 'Belgium'),
(15834, '62.58.183.176', '62.58.183.183', 1044035504, 1044035511, 'NL', 'Netherlands'),
(15835, '62.58.183.184', '62.58.183.199', 1044035512, 1044035527, 'BE', 'Belgium'),
(15836, '62.58.183.200', '62.58.183.207', 1044035528, 1044035535, 'NL', 'Netherlands'),
(15837, '62.58.183.208', '62.58.183.215', 1044035536, 1044035543, 'BE', 'Belgium'),
(15838, '62.58.183.216', '62.58.183.231', 1044035544, 1044035559, 'NL', 'Netherlands'),
(15839, '62.58.183.232', '62.58.184.7', 1044035560, 1044035591, 'BE', 'Belgium'),
(15840, '62.58.184.8', '62.58.184.23', 1044035592, 1044035607, 'NL', 'Netherlands'),
(15841, '62.58.184.24', '62.58.184.39', 1044035608, 1044035623, 'BE', 'Belgium'),
(15842, '62.58.184.40', '62.58.184.71', 1044035624, 1044035655, 'NL', 'Netherlands'),
(15843, '62.58.184.72', '62.58.184.79', 1044035656, 1044035663, 'BE', 'Belgium'),
(15844, '62.58.184.80', '62.58.184.87', 1044035664, 1044035671, 'NL', 'Netherlands'),
(15845, '62.58.184.88', '62.58.184.95', 1044035672, 1044035679, 'BE', 'Belgium'),
(15846, '62.58.184.96', '62.58.184.127', 1044035680, 1044035711, 'NL', 'Netherlands'),
(15847, '62.58.184.128', '62.58.184.143', 1044035712, 1044035727, 'BE', 'Belgium'),
(15848, '62.58.184.144', '62.58.184.167', 1044035728, 1044035751, 'NL', 'Netherlands'),
(15849, '62.58.184.168', '62.58.184.175', 1044035752, 1044035759, 'BE', 'Belgium'),
(15850, '62.58.184.176', '62.58.184.207', 1044035760, 1044035791, 'NL', 'Netherlands'),
(15851, '62.58.184.208', '62.58.184.223', 1044035792, 1044035807, 'BE', 'Belgium'),
(15852, '62.58.184.224', '62.58.184.247', 1044035808, 1044035831, 'NL', 'Netherlands'),
(15853, '62.58.184.248', '62.58.184.255', 1044035832, 1044035839, 'BE', 'Belgium'),
(15854, '62.58.185.0', '62.58.185.7', 1044035840, 1044035847, 'NL', 'Netherlands'),
(15855, '62.58.185.8', '62.58.185.31', 1044035848, 1044035871, 'BE', 'Belgium'),
(15856, '62.58.185.32', '62.58.185.47', 1044035872, 1044035887, 'NL', 'Netherlands'),
(15857, '62.58.185.48', '62.58.185.55', 1044035888, 1044035895, 'BE', 'Belgium'),
(15858, '62.58.185.56', '62.58.185.63', 1044035896, 1044035903, 'NL', 'Netherlands'),
(15859, '62.58.185.64', '62.58.185.79', 1044035904, 1044035919, 'BE', 'Belgium'),
(15860, '62.58.185.80', '62.58.185.95', 1044035920, 1044035935, 'NL', 'Netherlands'),
(15861, '62.58.185.96', '62.58.185.127', 1044035936, 1044035967, 'BE', 'Belgium'),
(15862, '62.58.185.128', '62.58.185.135', 1044035968, 1044035975, 'NL', 'Netherlands'),
(15863, '62.58.185.136', '62.58.185.151', 1044035976, 1044035991, 'BE', 'Belgium'),
(15864, '62.58.185.152', '62.58.185.159', 1044035992, 1044035999, 'NL', 'Netherlands'),
(15865, '62.58.185.160', '62.58.185.167', 1044036000, 1044036007, 'BE', 'Belgium'),
(15866, '62.58.185.168', '62.58.185.199', 1044036008, 1044036039, 'NL', 'Netherlands'),
(15867, '62.58.185.200', '62.58.185.207', 1044036040, 1044036047, 'BE', 'Belgium'),
(15868, '62.58.185.208', '62.58.185.239', 1044036048, 1044036079, 'NL', 'Netherlands'),
(15869, '62.58.185.240', '62.58.185.247', 1044036080, 1044036087, 'BE', 'Belgium'),
(15870, '62.58.185.248', '62.58.185.255', 1044036088, 1044036095, 'NL', 'Netherlands'),
(15871, '62.58.186.0', '62.58.186.7', 1044036096, 1044036103, 'BE', 'Belgium'),
(15872, '62.58.186.8', '62.58.186.15', 1044036104, 1044036111, 'NL', 'Netherlands'),
(15873, '62.58.186.16', '62.58.186.23', 1044036112, 1044036119, 'BE', 'Belgium'),
(15874, '62.58.186.24', '62.58.186.31', 1044036120, 1044036127, 'NL', 'Netherlands'),
(15875, '62.58.186.32', '62.58.186.39', 1044036128, 1044036135, 'BE', 'Belgium'),
(15876, '62.58.186.40', '62.58.186.47', 1044036136, 1044036143, 'NL', 'Netherlands'),
(15877, '62.58.186.48', '62.58.186.63', 1044036144, 1044036159, 'BE', 'Belgium'),
(15878, '62.58.186.64', '62.58.186.71', 1044036160, 1044036167, 'NL', 'Netherlands'),
(15879, '62.58.186.72', '62.58.186.103', 1044036168, 1044036199, 'BE', 'Belgium'),
(15880, '62.58.186.104', '62.58.186.127', 1044036200, 1044036223, 'NL', 'Netherlands'),
(15881, '62.58.186.128', '62.58.186.151', 1044036224, 1044036247, 'BE', 'Belgium'),
(15882, '62.58.186.152', '62.58.186.159', 1044036248, 1044036255, 'NL', 'Netherlands'),
(15883, '62.58.186.160', '62.58.186.175', 1044036256, 1044036271, 'BE', 'Belgium'),
(15884, '62.58.186.176', '62.58.186.199', 1044036272, 1044036295, 'NL', 'Netherlands'),
(15885, '62.58.186.200', '62.58.186.215', 1044036296, 1044036311, 'BE', 'Belgium'),
(15886, '62.58.186.216', '62.58.186.231', 1044036312, 1044036327, 'NL', 'Netherlands'),
(15887, '62.58.186.232', '62.58.186.239', 1044036328, 1044036335, 'BE', 'Belgium'),
(15888, '62.58.186.240', '62.58.187.47', 1044036336, 1044036399, 'NL', 'Netherlands'),
(15889, '62.58.187.48', '62.58.187.55', 1044036400, 1044036407, 'BE', 'Belgium'),
(15890, '62.58.187.56', '62.58.187.63', 1044036408, 1044036415, 'NL', 'Netherlands'),
(15891, '62.58.187.64', '62.58.187.71', 1044036416, 1044036423, 'BE', 'Belgium'),
(15892, '62.58.187.72', '62.58.187.87', 1044036424, 1044036439, 'NL', 'Netherlands'),
(15893, '62.58.187.88', '62.58.187.95', 1044036440, 1044036447, 'BE', 'Belgium'),
(15894, '62.58.187.96', '62.58.187.119', 1044036448, 1044036471, 'NL', 'Netherlands'),
(15895, '62.58.187.120', '62.58.187.127', 1044036472, 1044036479, 'BE', 'Belgium'),
(15896, '62.58.187.128', '62.58.187.151', 1044036480, 1044036503, 'NL', 'Netherlands'),
(15897, '62.58.187.152', '62.58.187.159', 1044036504, 1044036511, 'BE', 'Belgium'),
(15898, '62.58.187.160', '62.58.187.175', 1044036512, 1044036527, 'NL', 'Netherlands'),
(15899, '62.58.187.176', '62.58.187.191', 1044036528, 1044036543, 'BE', 'Belgium'),
(15900, '62.58.187.192', '62.58.187.207', 1044036544, 1044036559, 'NL', 'Netherlands'),
(15901, '62.58.187.208', '62.58.187.215', 1044036560, 1044036567, 'BE', 'Belgium'),
(15902, '62.58.187.216', '62.58.187.223', 1044036568, 1044036575, 'NL', 'Netherlands'),
(15903, '62.58.187.224', '62.58.188.15', 1044036576, 1044036623, 'BE', 'Belgium'),
(15904, '62.58.188.16', '62.58.188.39', 1044036624, 1044036647, 'NL', 'Netherlands'),
(15905, '62.58.188.40', '62.58.188.47', 1044036648, 1044036655, 'BE', 'Belgium'),
(15906, '62.58.188.48', '62.58.188.63', 1044036656, 1044036671, 'NL', 'Netherlands'),
(15907, '62.58.188.64', '62.58.188.79', 1044036672, 1044036687, 'BE', 'Belgium'),
(15908, '62.58.188.80', '62.58.188.127', 1044036688, 1044036735, 'NL', 'Netherlands'),
(15909, '62.58.188.128', '62.58.188.135', 1044036736, 1044036743, 'BE', 'Belgium'),
(15910, '62.58.188.136', '62.58.188.151', 1044036744, 1044036759, 'NL', 'Netherlands'),
(15911, '62.58.188.152', '62.58.188.159', 1044036760, 1044036767, 'BE', 'Belgium'),
(15912, '62.58.188.160', '62.58.188.167', 1044036768, 1044036775, 'NL', 'Netherlands'),
(15913, '62.58.188.168', '62.58.188.175', 1044036776, 1044036783, 'BE', 'Belgium'),
(15914, '62.58.188.176', '62.58.188.183', 1044036784, 1044036791, 'NL', 'Netherlands'),
(15915, '62.58.188.184', '62.58.188.191', 1044036792, 1044036799, 'BE', 'Belgium'),
(15916, '62.58.188.192', '62.58.188.199', 1044036800, 1044036807, 'NL', 'Netherlands'),
(15917, '62.58.188.200', '62.58.188.207', 1044036808, 1044036815, 'BE', 'Belgium'),
(15918, '62.58.188.208', '62.58.188.255', 1044036816, 1044036863, 'NL', 'Netherlands'),
(15919, '62.58.189.0', '62.58.189.0', 1044036864, 1044036864, 'BE', 'Belgium'),
(15920, '62.58.189.1', '62.58.189.1', 1044036865, 1044036865, 'NL', 'Netherlands'),
(15921, '62.58.189.2', '62.58.189.2', 1044036866, 1044036866, 'BE', 'Belgium'),
(15922, '62.58.189.3', '62.58.189.26', 1044036867, 1044036890, 'NL', 'Netherlands'),
(15923, '62.58.189.27', '62.58.189.27', 1044036891, 1044036891, 'BE', 'Belgium'),
(15924, '62.58.189.28', '62.58.189.35', 1044036892, 1044036899, 'NL', 'Netherlands'),
(15925, '62.58.189.36', '62.58.189.36', 1044036900, 1044036900, 'BE', 'Belgium'),
(15926, '62.58.189.37', '62.58.189.43', 1044036901, 1044036907, 'NL', 'Netherlands'),
(15927, '62.58.189.44', '62.58.189.44', 1044036908, 1044036908, 'BE', 'Belgium'),
(15928, '62.58.189.45', '62.58.189.45', 1044036909, 1044036909, 'NL', 'Netherlands'),
(15929, '62.58.189.46', '62.58.189.46', 1044036910, 1044036910, 'BE', 'Belgium'),
(15930, '62.58.189.47', '62.58.189.63', 1044036911, 1044036927, 'NL', 'Netherlands'),
(15931, '62.58.189.64', '62.58.189.64', 1044036928, 1044036928, 'BE', 'Belgium'),
(15932, '62.58.189.65', '62.58.189.78', 1044036929, 1044036942, 'NL', 'Netherlands'),
(15933, '62.58.189.79', '62.58.189.79', 1044036943, 1044036943, 'BE', 'Belgium'),
(15934, '62.58.189.80', '62.58.189.84', 1044036944, 1044036948, 'NL', 'Netherlands'),
(15935, '62.58.189.85', '62.58.189.87', 1044036949, 1044036951, 'BE', 'Belgium'),
(15936, '62.58.189.88', '62.58.189.93', 1044036952, 1044036957, 'NL', 'Netherlands'),
(15937, '62.58.189.94', '62.58.189.94', 1044036958, 1044036958, 'BE', 'Belgium'),
(15938, '62.58.189.95', '62.58.189.103', 1044036959, 1044036967, 'NL', 'Netherlands'),
(15939, '62.58.189.104', '62.58.189.104', 1044036968, 1044036968, 'BE', 'Belgium'),
(15940, '62.58.189.105', '62.58.189.106', 1044036969, 1044036970, 'NL', 'Netherlands'),
(15941, '62.58.189.107', '62.58.189.107', 1044036971, 1044036971, 'BE', 'Belgium'),
(15942, '62.58.189.108', '62.58.189.112', 1044036972, 1044036976, 'NL', 'Netherlands'),
(15943, '62.58.189.113', '62.58.189.113', 1044036977, 1044036977, 'BE', 'Belgium'),
(15944, '62.58.189.114', '62.58.189.120', 1044036978, 1044036984, 'NL', 'Netherlands'),
(15945, '62.58.189.121', '62.58.189.121', 1044036985, 1044036985, 'BE', 'Belgium'),
(15946, '62.58.189.122', '62.58.189.126', 1044036986, 1044036990, 'NL', 'Netherlands'),
(15947, '62.58.189.127', '62.58.189.127', 1044036991, 1044036991, 'BE', 'Belgium'),
(15948, '62.58.189.128', '62.58.189.143', 1044036992, 1044037007, 'NL', 'Netherlands'),
(15949, '62.58.189.144', '62.58.189.146', 1044037008, 1044037010, 'BE', 'Belgium'),
(15950, '62.58.189.147', '62.58.189.150', 1044037011, 1044037014, 'NL', 'Netherlands'),
(15951, '62.58.189.151', '62.58.189.151', 1044037015, 1044037015, 'BE', 'Belgium'),
(15952, '62.58.189.152', '62.58.189.157', 1044037016, 1044037021, 'NL', 'Netherlands'),
(15953, '62.58.189.158', '62.58.189.158', 1044037022, 1044037022, 'BE', 'Belgium'),
(15954, '62.58.189.159', '62.58.189.159', 1044037023, 1044037023, 'NL', 'Netherlands'),
(15955, '62.58.189.160', '62.58.189.161', 1044037024, 1044037025, 'BE', 'Belgium'),
(15956, '62.58.189.162', '62.58.189.162', 1044037026, 1044037026, 'NL', 'Netherlands'),
(15957, '62.58.189.163', '62.58.189.163', 1044037027, 1044037027, 'BE', 'Belgium'),
(15958, '62.58.189.164', '62.58.189.173', 1044037028, 1044037037, 'NL', 'Netherlands'),
(15959, '62.58.189.174', '62.58.189.174', 1044037038, 1044037038, 'BE', 'Belgium'),
(15960, '62.58.189.175', '62.58.189.178', 1044037039, 1044037042, 'NL', 'Netherlands'),
(15961, '62.58.189.179', '62.58.189.179', 1044037043, 1044037043, 'BE', 'Belgium'),
(15962, '62.58.189.180', '62.58.189.183', 1044037044, 1044037047, 'NL', 'Netherlands'),
(15963, '62.58.189.184', '62.58.189.184', 1044037048, 1044037048, 'BE', 'Belgium'),
(15964, '62.58.189.185', '62.58.189.185', 1044037049, 1044037049, 'NL', 'Netherlands'),
(15965, '62.58.189.186', '62.58.189.187', 1044037050, 1044037051, 'BE', 'Belgium'),
(15966, '62.58.189.188', '62.58.189.192', 1044037052, 1044037056, 'NL', 'Netherlands'),
(15967, '62.58.189.193', '62.58.189.193', 1044037057, 1044037057, 'BE', 'Belgium'),
(15968, '62.58.189.194', '62.58.189.197', 1044037058, 1044037061, 'NL', 'Netherlands'),
(15969, '62.58.189.198', '62.58.189.199', 1044037062, 1044037063, 'BE', 'Belgium'),
(15970, '62.58.189.200', '62.58.189.201', 1044037064, 1044037065, 'NL', 'Netherlands'),
(15971, '62.58.189.202', '62.58.189.202', 1044037066, 1044037066, 'BE', 'Belgium'),
(15972, '62.58.189.203', '62.58.189.206', 1044037067, 1044037070, 'NL', 'Netherlands'),
(15973, '62.58.189.207', '62.58.189.207', 1044037071, 1044037071, 'BE', 'Belgium'),
(15974, '62.58.189.208', '62.58.189.210', 1044037072, 1044037074, 'NL', 'Netherlands'),
(15975, '62.58.189.211', '62.58.189.211', 1044037075, 1044037075, 'BE', 'Belgium'),
(15976, '62.58.189.212', '62.58.189.227', 1044037076, 1044037091, 'NL', 'Netherlands'),
(15977, '62.58.189.228', '62.58.189.228', 1044037092, 1044037092, 'BE', 'Belgium'),
(15978, '62.58.189.229', '62.58.189.234', 1044037093, 1044037098, 'NL', 'Netherlands'),
(15979, '62.58.189.235', '62.58.189.236', 1044037099, 1044037100, 'BE', 'Belgium'),
(15980, '62.58.189.237', '62.58.189.237', 1044037101, 1044037101, 'NL', 'Netherlands'),
(15981, '62.58.189.238', '62.58.189.238', 1044037102, 1044037102, 'BE', 'Belgium'),
(15982, '62.58.189.239', '62.58.189.242', 1044037103, 1044037106, 'NL', 'Netherlands'),
(15983, '62.58.189.243', '62.58.189.243', 1044037107, 1044037107, 'BE', 'Belgium'),
(15984, '62.58.189.244', '62.58.189.245', 1044037108, 1044037109, 'NL', 'Netherlands'),
(15985, '62.58.189.246', '62.58.189.246', 1044037110, 1044037110, 'BE', 'Belgium'),
(15986, '62.58.189.247', '62.58.190.23', 1044037111, 1044037143, 'NL', 'Netherlands'),
(15987, '62.58.190.24', '62.58.190.31', 1044037144, 1044037151, 'BE', 'Belgium'),
(15988, '62.58.190.32', '62.58.190.39', 1044037152, 1044037159, 'NL', 'Netherlands'),
(15989, '62.58.190.40', '62.58.190.47', 1044037160, 1044037167, 'BE', 'Belgium'),
(15990, '62.58.190.48', '62.58.190.71', 1044037168, 1044037191, 'NL', 'Netherlands'),
(15991, '62.58.190.72', '62.58.190.103', 1044037192, 1044037223, 'BE', 'Belgium'),
(15992, '62.58.190.104', '62.58.190.151', 1044037224, 1044037271, 'NL', 'Netherlands'),
(15993, '62.58.190.152', '62.58.190.159', 1044037272, 1044037279, 'BE', 'Belgium'),
(15994, '62.58.190.160', '62.58.190.167', 1044037280, 1044037287, 'NL', 'Netherlands'),
(15995, '62.58.190.168', '62.58.190.175', 1044037288, 1044037295, 'BE', 'Belgium'),
(15996, '62.58.190.176', '62.58.190.199', 1044037296, 1044037319, 'NL', 'Netherlands'),
(15997, '62.58.190.200', '62.58.190.207', 1044037320, 1044037327, 'BE', 'Belgium'),
(15998, '62.58.190.208', '62.58.190.255', 1044037328, 1044037375, 'NL', 'Netherlands'),
(15999, '62.58.191.0', '62.58.191.255', 1044037376, 1044037631, 'BE', 'Belgium'),
(16000, '62.58.192.0', '62.58.192.35', 1044037632, 1044037667, 'NL', 'Netherlands'),
(16001, '62.58.192.36', '62.58.192.39', 1044037668, 1044037671, 'BE', 'Belgium'),
(16002, '62.58.192.40', '62.58.192.71', 1044037672, 1044037703, 'NL', 'Netherlands'),
(16003, '62.58.192.72', '62.58.192.79', 1044037704, 1044037711, 'BE', 'Belgium'),
(16004, '62.58.192.80', '62.58.192.103', 1044037712, 1044037735, 'NL', 'Netherlands'),
(16005, '62.58.192.104', '62.58.192.111', 1044037736, 1044037743, 'BE', 'Belgium'),
(16006, '62.58.192.112', '62.58.192.127', 1044037744, 1044037759, 'NL', 'Netherlands'),
(16007, '62.58.192.128', '62.58.192.131', 1044037760, 1044037763, 'BE', 'Belgium'),
(16008, '62.58.192.132', '62.58.192.143', 1044037764, 1044037775, 'NL', 'Netherlands'),
(16009, '62.58.192.144', '62.58.192.151', 1044037776, 1044037783, 'BE', 'Belgium'),
(16010, '62.58.192.152', '62.58.192.159', 1044037784, 1044037791, 'NL', 'Netherlands'),
(16011, '62.58.192.160', '62.58.192.191', 1044037792, 1044037823, 'BE', 'Belgium'),
(16012, '62.58.192.192', '62.58.192.199', 1044037824, 1044037831, 'NL', 'Netherlands'),
(16013, '62.58.192.200', '62.58.192.207', 1044037832, 1044037839, 'BE', 'Belgium'),
(16014, '62.58.192.208', '62.58.192.223', 1044037840, 1044037855, 'NL', 'Netherlands'),
(16015, '62.58.192.224', '62.58.192.255', 1044037856, 1044037887, 'BE', 'Belgium'),
(16016, '62.58.193.0', '62.58.193.255', 1044037888, 1044038143, 'NL', 'Netherlands'),
(16017, '62.58.194.0', '62.58.195.127', 1044038144, 1044038527, 'BE', 'Belgium'),
(16018, '62.58.195.128', '62.58.195.135', 1044038528, 1044038535, 'NL', 'Netherlands'),
(16019, '62.58.195.136', '62.58.195.143', 1044038536, 1044038543, 'BE', 'Belgium'),
(16020, '62.58.195.144', '62.58.195.159', 1044038544, 1044038559, 'NL', 'Netherlands'),
(16021, '62.58.195.160', '62.58.195.167', 1044038560, 1044038567, 'BE', 'Belgium'),
(16022, '62.58.195.168', '62.58.195.175', 1044038568, 1044038575, 'NL', 'Netherlands'),
(16023, '62.58.195.176', '62.58.195.183', 1044038576, 1044038583, 'BE', 'Belgium'),
(16024, '62.58.195.184', '62.58.195.191', 1044038584, 1044038591, 'NL', 'Netherlands'),
(16025, '62.58.195.192', '62.58.195.199', 1044038592, 1044038599, 'BE', 'Belgium'),
(16026, '62.58.195.200', '62.58.195.207', 1044038600, 1044038607, 'NL', 'Netherlands'),
(16027, '62.58.195.208', '62.58.195.223', 1044038608, 1044038623, 'BE', 'Belgium'),
(16028, '62.58.195.224', '62.58.195.239', 1044038624, 1044038639, 'NL', 'Netherlands'),
(16029, '62.58.195.240', '62.58.195.247', 1044038640, 1044038647, 'BE', 'Belgium'),
(16030, '62.58.195.248', '62.58.196.15', 1044038648, 1044038671, 'NL', 'Netherlands'),
(16031, '62.58.196.16', '62.58.196.23', 1044038672, 1044038679, 'BE', 'Belgium'),
(16032, '62.58.196.24', '62.58.196.31', 1044038680, 1044038687, 'NL', 'Netherlands'),
(16033, '62.58.196.32', '62.58.196.47', 1044038688, 1044038703, 'BE', 'Belgium'),
(16034, '62.58.196.48', '62.58.196.127', 1044038704, 1044038783, 'NL', 'Netherlands'),
(16035, '62.58.196.128', '62.58.196.255', 1044038784, 1044038911, 'BE', 'Belgium'),
(16036, '62.58.197.0', '62.58.197.7', 1044038912, 1044038919, 'NL', 'Netherlands'),
(16037, '62.58.197.8', '62.58.197.15', 1044038920, 1044038927, 'BE', 'Belgium'),
(16038, '62.58.197.16', '62.58.197.23', 1044038928, 1044038935, 'NL', 'Netherlands'),
(16039, '62.58.197.24', '62.58.197.31', 1044038936, 1044038943, 'BE', 'Belgium'),
(16040, '62.58.197.32', '62.58.198.127', 1044038944, 1044039295, 'NL', 'Netherlands'),
(16041, '62.58.198.128', '62.58.198.135', 1044039296, 1044039303, 'BE', 'Belgium'),
(16042, '62.58.198.136', '62.58.198.143', 1044039304, 1044039311, 'NL', 'Netherlands'),
(16043, '62.58.198.144', '62.58.198.191', 1044039312, 1044039359, 'BE', 'Belgium'),
(16044, '62.58.198.192', '62.58.200.7', 1044039360, 1044039687, 'NL', 'Netherlands'),
(16045, '62.58.200.8', '62.58.200.15', 1044039688, 1044039695, 'BE', 'Belgium'),
(16046, '62.58.200.16', '62.58.200.71', 1044039696, 1044039751, 'NL', 'Netherlands'),
(16047, '62.58.200.72', '62.58.200.79', 1044039752, 1044039759, 'BE', 'Belgium'),
(16048, '62.58.200.80', '62.58.200.95', 1044039760, 1044039775, 'NL', 'Netherlands'),
(16049, '62.58.200.96', '62.58.200.175', 1044039776, 1044039855, 'BE', 'Belgium'),
(16050, '62.58.200.176', '62.58.201.15', 1044039856, 1044039951, 'NL', 'Netherlands'),
(16051, '62.58.201.16', '62.58.201.23', 1044039952, 1044039959, 'BE', 'Belgium'),
(16052, '62.58.201.24', '62.58.201.31', 1044039960, 1044039967, 'NL', 'Netherlands'),
(16053, '62.58.201.32', '62.58.201.79', 1044039968, 1044040015, 'BE', 'Belgium'),
(16054, '62.58.201.80', '62.58.201.127', 1044040016, 1044040063, 'NL', 'Netherlands'),
(16055, '62.58.201.128', '62.58.201.175', 1044040064, 1044040111, 'BE', 'Belgium'),
(16056, '62.58.201.176', '62.58.201.207', 1044040112, 1044040143, 'NL', 'Netherlands'),
(16057, '62.58.201.208', '62.58.201.223', 1044040144, 1044040159, 'BE', 'Belgium'),
(16058, '62.58.201.224', '62.58.201.255', 1044040160, 1044040191, 'NL', 'Netherlands'),
(16059, '62.58.202.0', '62.58.202.31', 1044040192, 1044040223, 'BE', 'Belgium'),
(16060, '62.58.202.32', '62.58.202.39', 1044040224, 1044040231, 'NL', 'Netherlands'),
(16061, '62.58.202.40', '62.58.202.47', 1044040232, 1044040239, 'BE', 'Belgium'),
(16062, '62.58.202.48', '62.58.202.63', 1044040240, 1044040255, 'NL', 'Netherlands'),
(16063, '62.58.202.64', '62.58.203.255', 1044040256, 1044040703, 'BE', 'Belgium'),
(16064, '62.58.204.0', '62.58.207.255', 1044040704, 1044041727, 'NL', 'Netherlands'),
(16065, '62.58.208.0', '62.58.215.255', 1044041728, 1044043775, 'BE', 'Belgium'),
(16066, '62.58.216.0', '62.58.216.7', 1044043776, 1044043783, 'NL', 'Netherlands'),
(16067, '62.58.216.8', '62.58.216.11', 1044043784, 1044043787, 'BE', 'Belgium'),
(16068, '62.58.216.12', '62.58.216.15', 1044043788, 1044043791, 'NL', 'Netherlands'),
(16069, '62.58.216.16', '62.58.216.19', 1044043792, 1044043795, 'BE', 'Belgium'),
(16070, '62.58.216.20', '62.58.216.23', 1044043796, 1044043799, 'NL', 'Netherlands'),
(16071, '62.58.216.24', '62.58.216.27', 1044043800, 1044043803, 'BE', 'Belgium'),
(16072, '62.58.216.28', '62.58.216.31', 1044043804, 1044043807, 'NL', 'Netherlands'),
(16073, '62.58.216.32', '62.58.216.35', 1044043808, 1044043811, 'BE', 'Belgium'),
(16074, '62.58.216.36', '62.58.216.47', 1044043812, 1044043823, 'NL', 'Netherlands'),
(16075, '62.58.216.48', '62.58.216.51', 1044043824, 1044043827, 'BE', 'Belgium'),
(16076, '62.58.216.52', '62.58.216.59', 1044043828, 1044043835, 'NL', 'Netherlands'),
(16077, '62.58.216.60', '62.58.216.71', 1044043836, 1044043847, 'BE', 'Belgium'),
(16078, '62.58.216.72', '62.58.216.75', 1044043848, 1044043851, 'NL', 'Netherlands'),
(16079, '62.58.216.76', '62.58.216.103', 1044043852, 1044043879, 'BE', 'Belgium'),
(16080, '62.58.216.104', '62.58.216.107', 1044043880, 1044043883, 'NL', 'Netherlands'),
(16081, '62.58.216.108', '62.58.216.119', 1044043884, 1044043895, 'BE', 'Belgium'),
(16082, '62.58.216.120', '62.58.216.127', 1044043896, 1044043903, 'NL', 'Netherlands'),
(16083, '62.58.216.128', '62.58.216.131', 1044043904, 1044043907, 'BE', 'Belgium'),
(16084, '62.58.216.132', '62.58.216.143', 1044043908, 1044043919, 'NL', 'Netherlands'),
(16085, '62.58.216.144', '62.58.216.151', 1044043920, 1044043927, 'BE', 'Belgium'),
(16086, '62.58.216.152', '62.58.216.155', 1044043928, 1044043931, 'NL', 'Netherlands'),
(16087, '62.58.216.156', '62.58.216.159', 1044043932, 1044043935, 'BE', 'Belgium'),
(16088, '62.58.216.160', '62.58.216.167', 1044043936, 1044043943, 'NL', 'Netherlands'),
(16089, '62.58.216.168', '62.58.216.179', 1044043944, 1044043955, 'BE', 'Belgium'),
(16090, '62.58.216.180', '62.58.216.195', 1044043956, 1044043971, 'NL', 'Netherlands'),
(16091, '62.58.216.196', '62.58.216.199', 1044043972, 1044043975, 'BE', 'Belgium'),
(16092, '62.58.216.200', '62.58.216.211', 1044043976, 1044043987, 'NL', 'Netherlands'),
(16093, '62.58.216.212', '62.58.216.223', 1044043988, 1044043999, 'BE', 'Belgium'),
(16094, '62.58.216.224', '62.58.216.227', 1044044000, 1044044003, 'NL', 'Netherlands'),
(16095, '62.58.216.228', '62.58.216.231', 1044044004, 1044044007, 'BE', 'Belgium'),
(16096, '62.58.216.232', '62.58.216.235', 1044044008, 1044044011, 'NL', 'Netherlands'),
(16097, '62.58.216.236', '62.58.216.239', 1044044012, 1044044015, 'BE', 'Belgium'),
(16098, '62.58.216.240', '62.58.216.243', 1044044016, 1044044019, 'NL', 'Netherlands'),
(16099, '62.58.216.244', '62.58.216.251', 1044044020, 1044044027, 'BE', 'Belgium'),
(16100, '62.58.216.252', '62.58.217.3', 1044044028, 1044044035, 'NL', 'Netherlands'),
(16101, '62.58.217.4', '62.58.217.11', 1044044036, 1044044043, 'BE', 'Belgium'),
(16102, '62.58.217.12', '62.58.217.19', 1044044044, 1044044051, 'NL', 'Netherlands'),
(16103, '62.58.217.20', '62.58.217.23', 1044044052, 1044044055, 'BE', 'Belgium');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(16104, '62.58.217.24', '62.58.217.27', 1044044056, 1044044059, 'NL', 'Netherlands'),
(16105, '62.58.217.28', '62.58.217.39', 1044044060, 1044044071, 'BE', 'Belgium'),
(16106, '62.58.217.40', '62.58.217.51', 1044044072, 1044044083, 'NL', 'Netherlands'),
(16107, '62.58.217.52', '62.58.217.67', 1044044084, 1044044099, 'BE', 'Belgium'),
(16108, '62.58.217.68', '62.58.217.87', 1044044100, 1044044119, 'NL', 'Netherlands'),
(16109, '62.58.217.88', '62.58.217.99', 1044044120, 1044044131, 'BE', 'Belgium'),
(16110, '62.58.217.100', '62.58.217.103', 1044044132, 1044044135, 'NL', 'Netherlands'),
(16111, '62.58.217.104', '62.58.217.111', 1044044136, 1044044143, 'BE', 'Belgium'),
(16112, '62.58.217.112', '62.58.217.131', 1044044144, 1044044163, 'NL', 'Netherlands'),
(16113, '62.58.217.132', '62.58.217.135', 1044044164, 1044044167, 'BE', 'Belgium'),
(16114, '62.58.217.136', '62.58.217.139', 1044044168, 1044044171, 'NL', 'Netherlands'),
(16115, '62.58.217.140', '62.58.217.155', 1044044172, 1044044187, 'BE', 'Belgium'),
(16116, '62.58.217.156', '62.58.217.183', 1044044188, 1044044215, 'NL', 'Netherlands'),
(16117, '62.58.217.184', '62.58.217.195', 1044044216, 1044044227, 'BE', 'Belgium'),
(16118, '62.58.217.196', '62.58.217.211', 1044044228, 1044044243, 'NL', 'Netherlands'),
(16119, '62.58.217.212', '62.58.217.215', 1044044244, 1044044247, 'BE', 'Belgium'),
(16120, '62.58.217.216', '62.58.217.219', 1044044248, 1044044251, 'NL', 'Netherlands'),
(16121, '62.58.217.220', '62.58.221.255', 1044044252, 1044045311, 'BE', 'Belgium'),
(16122, '62.58.222.0', '62.58.223.127', 1044045312, 1044045695, 'NL', 'Netherlands'),
(16123, '62.58.223.128', '62.58.224.87', 1044045696, 1044045911, 'BE', 'Belgium'),
(16124, '62.58.224.88', '62.58.224.95', 1044045912, 1044045919, 'NL', 'Netherlands'),
(16125, '62.58.224.96', '62.58.224.255', 1044045920, 1044046079, 'BE', 'Belgium'),
(16126, '62.58.225.0', '62.58.225.143', 1044046080, 1044046223, 'NL', 'Netherlands'),
(16127, '62.58.225.144', '62.58.225.151', 1044046224, 1044046231, 'BE', 'Belgium'),
(16128, '62.58.225.152', '62.58.225.159', 1044046232, 1044046239, 'NL', 'Netherlands'),
(16129, '62.58.225.160', '62.58.225.239', 1044046240, 1044046319, 'BE', 'Belgium'),
(16130, '62.58.225.240', '62.58.225.247', 1044046320, 1044046327, 'NL', 'Netherlands'),
(16131, '62.58.225.248', '62.58.248.19', 1044046328, 1044051987, 'BE', 'Belgium'),
(16132, '62.58.248.20', '62.58.248.23', 1044051988, 1044051991, 'NL', 'Netherlands'),
(16133, '62.58.248.24', '62.58.248.43', 1044051992, 1044052011, 'BE', 'Belgium'),
(16134, '62.58.248.44', '62.58.248.47', 1044052012, 1044052015, 'NL', 'Netherlands'),
(16135, '62.58.248.48', '62.58.248.63', 1044052016, 1044052031, 'BE', 'Belgium'),
(16136, '62.58.248.64', '62.58.248.71', 1044052032, 1044052039, 'NL', 'Netherlands'),
(16137, '62.58.248.72', '62.58.248.95', 1044052040, 1044052063, 'BE', 'Belgium'),
(16138, '62.58.248.96', '62.58.248.99', 1044052064, 1044052067, 'NL', 'Netherlands'),
(16139, '62.58.248.100', '62.58.248.139', 1044052068, 1044052107, 'BE', 'Belgium'),
(16140, '62.58.248.140', '62.58.248.143', 1044052108, 1044052111, 'NL', 'Netherlands'),
(16141, '62.58.248.144', '62.58.248.163', 1044052112, 1044052131, 'BE', 'Belgium'),
(16142, '62.58.248.164', '62.58.248.167', 1044052132, 1044052135, 'NL', 'Netherlands'),
(16143, '62.58.248.168', '62.58.248.255', 1044052136, 1044052223, 'BE', 'Belgium'),
(16144, '62.58.249.0', '62.58.249.3', 1044052224, 1044052227, 'NL', 'Netherlands'),
(16145, '62.58.249.4', '62.58.249.31', 1044052228, 1044052255, 'BE', 'Belgium'),
(16146, '62.58.249.32', '62.58.249.35', 1044052256, 1044052259, 'NL', 'Netherlands'),
(16147, '62.58.249.36', '62.58.249.123', 1044052260, 1044052347, 'BE', 'Belgium'),
(16148, '62.58.249.124', '62.58.249.135', 1044052348, 1044052359, 'NL', 'Netherlands'),
(16149, '62.58.249.136', '62.58.249.139', 1044052360, 1044052363, 'BE', 'Belgium'),
(16150, '62.58.249.140', '62.58.249.151', 1044052364, 1044052375, 'NL', 'Netherlands'),
(16151, '62.58.249.152', '62.58.249.255', 1044052376, 1044052479, 'BE', 'Belgium'),
(16152, '62.58.250.0', '62.58.250.3', 1044052480, 1044052483, 'NL', 'Netherlands'),
(16153, '62.58.250.4', '62.58.251.231', 1044052484, 1044052967, 'BE', 'Belgium'),
(16154, '62.58.251.232', '62.58.251.235', 1044052968, 1044052971, 'NL', 'Netherlands'),
(16155, '62.58.251.236', '62.58.251.247', 1044052972, 1044052983, 'BE', 'Belgium'),
(16156, '62.58.251.248', '62.58.251.251', 1044052984, 1044052987, 'NL', 'Netherlands'),
(16157, '62.58.251.252', '62.58.252.63', 1044052988, 1044053055, 'BE', 'Belgium'),
(16158, '62.58.252.64', '62.58.252.71', 1044053056, 1044053063, 'NL', 'Netherlands'),
(16159, '62.58.252.72', '62.58.253.7', 1044053064, 1044053255, 'BE', 'Belgium'),
(16160, '62.58.253.8', '62.58.253.15', 1044053256, 1044053263, 'NL', 'Netherlands'),
(16161, '62.58.253.16', '62.58.253.207', 1044053264, 1044053455, 'BE', 'Belgium'),
(16162, '62.58.253.208', '62.58.253.215', 1044053456, 1044053463, 'NL', 'Netherlands'),
(16163, '62.58.253.216', '62.58.254.63', 1044053464, 1044053567, 'BE', 'Belgium'),
(16164, '62.58.254.64', '62.59.20.127', 1044053568, 1044059263, 'NL', 'Netherlands'),
(16165, '62.59.20.128', '62.59.23.31', 1044059264, 1044059935, 'BE', 'Belgium'),
(16166, '62.59.23.32', '62.59.23.127', 1044059936, 1044060031, 'NL', 'Netherlands'),
(16167, '62.59.23.128', '62.59.23.159', 1044060032, 1044060063, 'BE', 'Belgium'),
(16168, '62.59.23.160', '62.59.27.255', 1044060064, 1044061183, 'NL', 'Netherlands'),
(16169, '62.59.28.0', '62.59.28.39', 1044061184, 1044061223, 'BE', 'Belgium'),
(16170, '62.59.28.40', '62.59.28.79', 1044061224, 1044061263, 'NL', 'Netherlands'),
(16171, '62.59.28.80', '62.59.28.87', 1044061264, 1044061271, 'BE', 'Belgium'),
(16172, '62.59.28.88', '62.59.28.159', 1044061272, 1044061343, 'NL', 'Netherlands'),
(16173, '62.59.28.160', '62.59.28.191', 1044061344, 1044061375, 'BE', 'Belgium'),
(16174, '62.59.28.192', '62.59.28.207', 1044061376, 1044061391, 'NL', 'Netherlands'),
(16175, '62.59.28.208', '62.59.28.215', 1044061392, 1044061399, 'BE', 'Belgium'),
(16176, '62.59.28.216', '62.59.28.247', 1044061400, 1044061431, 'NL', 'Netherlands'),
(16177, '62.59.28.248', '62.59.28.255', 1044061432, 1044061439, 'BE', 'Belgium'),
(16178, '62.59.29.0', '62.59.29.255', 1044061440, 1044061695, 'NL', 'Netherlands'),
(16179, '62.59.30.0', '62.59.30.7', 1044061696, 1044061703, 'BE', 'Belgium'),
(16180, '62.59.30.8', '62.59.30.63', 1044061704, 1044061759, 'NL', 'Netherlands'),
(16181, '62.59.30.64', '62.59.30.79', 1044061760, 1044061775, 'BE', 'Belgium'),
(16182, '62.59.30.80', '62.59.30.87', 1044061776, 1044061783, 'NL', 'Netherlands'),
(16183, '62.59.30.88', '62.59.30.111', 1044061784, 1044061807, 'BE', 'Belgium'),
(16184, '62.59.30.112', '62.59.30.135', 1044061808, 1044061831, 'NL', 'Netherlands'),
(16185, '62.59.30.136', '62.59.30.143', 1044061832, 1044061839, 'BE', 'Belgium'),
(16186, '62.59.30.144', '62.59.30.183', 1044061840, 1044061879, 'NL', 'Netherlands'),
(16187, '62.59.30.184', '62.59.30.199', 1044061880, 1044061895, 'BE', 'Belgium'),
(16188, '62.59.30.200', '62.59.30.223', 1044061896, 1044061919, 'NL', 'Netherlands'),
(16189, '62.59.30.224', '62.59.30.255', 1044061920, 1044061951, 'BE', 'Belgium'),
(16190, '62.59.31.0', '62.59.31.63', 1044061952, 1044062015, 'NL', 'Netherlands'),
(16191, '62.59.31.64', '62.59.31.95', 1044062016, 1044062047, 'BE', 'Belgium'),
(16192, '62.59.31.96', '62.59.31.127', 1044062048, 1044062079, 'NL', 'Netherlands'),
(16193, '62.59.31.128', '62.59.31.143', 1044062080, 1044062095, 'BE', 'Belgium'),
(16194, '62.59.31.144', '62.59.31.151', 1044062096, 1044062103, 'NL', 'Netherlands'),
(16195, '62.59.31.152', '62.59.31.183', 1044062104, 1044062135, 'BE', 'Belgium'),
(16196, '62.59.31.184', '62.59.31.223', 1044062136, 1044062175, 'NL', 'Netherlands'),
(16197, '62.59.31.224', '62.59.31.247', 1044062176, 1044062199, 'BE', 'Belgium'),
(16198, '62.59.31.248', '62.59.32.15', 1044062200, 1044062223, 'NL', 'Netherlands'),
(16199, '62.59.32.16', '62.59.32.31', 1044062224, 1044062239, 'BE', 'Belgium'),
(16200, '62.59.32.32', '62.59.32.167', 1044062240, 1044062375, 'NL', 'Netherlands'),
(16201, '62.59.32.168', '62.59.32.175', 1044062376, 1044062383, 'BE', 'Belgium'),
(16202, '62.59.32.176', '62.59.32.191', 1044062384, 1044062399, 'NL', 'Netherlands'),
(16203, '62.59.32.192', '62.59.32.207', 1044062400, 1044062415, 'BE', 'Belgium'),
(16204, '62.59.32.208', '62.59.32.247', 1044062416, 1044062455, 'NL', 'Netherlands'),
(16205, '62.59.32.248', '62.59.33.7', 1044062456, 1044062471, 'BE', 'Belgium'),
(16206, '62.59.33.8', '62.59.33.39', 1044062472, 1044062503, 'NL', 'Netherlands'),
(16207, '62.59.33.40', '62.59.33.63', 1044062504, 1044062527, 'BE', 'Belgium'),
(16208, '62.59.33.64', '62.59.33.71', 1044062528, 1044062535, 'NL', 'Netherlands'),
(16209, '62.59.33.72', '62.59.33.79', 1044062536, 1044062543, 'BE', 'Belgium'),
(16210, '62.59.33.80', '62.59.33.111', 1044062544, 1044062575, 'NL', 'Netherlands'),
(16211, '62.59.33.112', '62.59.33.119', 1044062576, 1044062583, 'BE', 'Belgium'),
(16212, '62.59.33.120', '62.59.33.127', 1044062584, 1044062591, 'NL', 'Netherlands'),
(16213, '62.59.33.128', '62.59.33.135', 1044062592, 1044062599, 'BE', 'Belgium'),
(16214, '62.59.33.136', '62.59.33.143', 1044062600, 1044062607, 'NL', 'Netherlands'),
(16215, '62.59.33.144', '62.59.33.159', 1044062608, 1044062623, 'BE', 'Belgium'),
(16216, '62.59.33.160', '62.59.33.183', 1044062624, 1044062647, 'NL', 'Netherlands'),
(16217, '62.59.33.184', '62.59.33.191', 1044062648, 1044062655, 'BE', 'Belgium'),
(16218, '62.59.33.192', '62.59.33.199', 1044062656, 1044062663, 'NL', 'Netherlands'),
(16219, '62.59.33.200', '62.59.33.207', 1044062664, 1044062671, 'BE', 'Belgium'),
(16220, '62.59.33.208', '62.59.35.255', 1044062672, 1044063231, 'NL', 'Netherlands'),
(16221, '62.59.36.0', '62.59.36.123', 1044063232, 1044063355, 'BE', 'Belgium'),
(16222, '62.59.36.124', '62.59.36.131', 1044063356, 1044063363, 'NL', 'Netherlands'),
(16223, '62.59.36.132', '62.59.51.255', 1044063364, 1044067327, 'BE', 'Belgium'),
(16224, '62.59.52.0', '62.59.55.255', 1044067328, 1044068351, 'NL', 'Netherlands'),
(16225, '62.59.56.0', '62.59.58.127', 1044068352, 1044068991, 'BE', 'Belgium'),
(16226, '62.59.58.128', '62.59.60.255', 1044068992, 1044069631, 'NL', 'Netherlands'),
(16227, '62.59.61.0', '62.59.63.255', 1044069632, 1044070399, 'BE', 'Belgium'),
(16228, '62.59.64.0', '62.59.88.63', 1044070400, 1044076607, 'NL', 'Netherlands'),
(16229, '62.59.88.64', '62.59.88.255', 1044076608, 1044076799, 'BE', 'Belgium'),
(16230, '62.59.89.0', '62.59.89.255', 1044076800, 1044077055, 'NL', 'Netherlands'),
(16231, '62.59.90.0', '62.59.91.255', 1044077056, 1044077567, 'BE', 'Belgium'),
(16232, '62.59.92.0', '62.59.151.255', 1044077568, 1044092927, 'NL', 'Netherlands'),
(16233, '62.59.152.0', '62.59.152.255', 1044092928, 1044093183, 'BE', 'Belgium'),
(16234, '62.59.153.0', '62.59.159.255', 1044093184, 1044094975, 'NL', 'Netherlands'),
(16235, '62.59.160.0', '62.59.175.255', 1044094976, 1044099071, 'BE', 'Belgium'),
(16236, '62.59.176.0', '62.59.192.95', 1044099072, 1044103263, 'NL', 'Netherlands'),
(16237, '62.59.192.96', '62.59.192.255', 1044103264, 1044103423, 'BE', 'Belgium'),
(16238, '62.59.193.0', '62.59.195.63', 1044103424, 1044103999, 'NL', 'Netherlands'),
(16239, '62.59.195.64', '62.59.195.95', 1044104000, 1044104031, 'BE', 'Belgium'),
(16240, '62.59.195.96', '62.59.195.159', 1044104032, 1044104095, 'NL', 'Netherlands'),
(16241, '62.59.195.160', '62.59.195.223', 1044104096, 1044104159, 'BE', 'Belgium'),
(16242, '62.59.195.224', '62.59.196.95', 1044104160, 1044104287, 'NL', 'Netherlands'),
(16243, '62.59.196.96', '62.59.196.127', 1044104288, 1044104319, 'BE', 'Belgium'),
(16244, '62.59.196.128', '62.59.196.175', 1044104320, 1044104367, 'NL', 'Netherlands'),
(16245, '62.59.196.176', '62.59.196.191', 1044104368, 1044104383, 'BE', 'Belgium'),
(16246, '62.59.196.192', '62.59.197.95', 1044104384, 1044104543, 'NL', 'Netherlands'),
(16247, '62.59.197.96', '62.59.197.111', 1044104544, 1044104559, 'BE', 'Belgium'),
(16248, '62.59.197.112', '62.59.198.127', 1044104560, 1044104831, 'NL', 'Netherlands'),
(16249, '62.59.198.128', '62.59.199.63', 1044104832, 1044105023, 'BE', 'Belgium'),
(16250, '62.59.199.64', '62.59.199.95', 1044105024, 1044105055, 'NL', 'Netherlands'),
(16251, '62.59.199.96', '62.59.199.127', 1044105056, 1044105087, 'BE', 'Belgium'),
(16252, '62.59.199.128', '62.59.199.191', 1044105088, 1044105151, 'NL', 'Netherlands'),
(16253, '62.59.199.192', '62.59.206.19', 1044105152, 1044106771, 'BE', 'Belgium'),
(16254, '62.59.206.20', '62.59.206.23', 1044106772, 1044106775, 'NL', 'Netherlands'),
(16255, '62.59.206.24', '62.59.206.35', 1044106776, 1044106787, 'BE', 'Belgium'),
(16256, '62.59.206.36', '62.59.206.43', 1044106788, 1044106795, 'NL', 'Netherlands'),
(16257, '62.59.206.44', '62.59.206.55', 1044106796, 1044106807, 'BE', 'Belgium'),
(16258, '62.59.206.56', '62.59.206.63', 1044106808, 1044106815, 'NL', 'Netherlands'),
(16259, '62.59.206.64', '62.59.207.255', 1044106816, 1044107263, 'BE', 'Belgium'),
(16260, '62.59.208.0', '62.59.223.255', 1044107264, 1044111359, 'NL', 'Netherlands'),
(16261, '62.59.224.0', '62.59.239.255', 1044111360, 1044115455, 'BE', 'Belgium'),
(16262, '62.59.240.0', '62.59.247.255', 1044115456, 1044117503, 'NL', 'Netherlands'),
(16263, '62.59.248.0', '62.59.248.47', 1044117504, 1044117551, 'BE', 'Belgium'),
(16264, '62.59.248.48', '62.59.248.63', 1044117552, 1044117567, 'NL', 'Netherlands'),
(16265, '62.59.248.64', '62.59.251.255', 1044117568, 1044118527, 'BE', 'Belgium'),
(16266, '62.59.252.0', '62.59.252.255', 1044118528, 1044118783, 'NL', 'Netherlands'),
(16267, '62.59.253.0', '62.59.253.63', 1044118784, 1044118847, 'BE', 'Belgium'),
(16268, '62.59.253.64', '62.59.253.111', 1044118848, 1044118895, 'NL', 'Netherlands'),
(16269, '62.59.253.112', '62.59.253.119', 1044118896, 1044118903, 'BE', 'Belgium'),
(16270, '62.59.253.120', '62.59.255.255', 1044118904, 1044119551, 'NL', 'Netherlands'),
(16271, '62.60.0.0', '62.60.127.255', 1044119552, 1044152319, 'GB', 'United Kingdom'),
(16272, '62.60.128.0', '62.60.255.255', 1044152320, 1044185087, 'IR', 'Iran, Islamic Republic of'),
(16273, '62.61.0.0', '62.61.31.255', 1044185088, 1044193279, 'RU', 'Russian Federation'),
(16274, '62.61.32.0', '62.61.63.255', 1044193280, 1044201471, 'PL', 'Poland'),
(16275, '62.61.64.0', '62.61.127.255', 1044201472, 1044217855, 'FI', 'Finland'),
(16276, '62.61.128.0', '62.61.159.255', 1044217856, 1044226047, 'DK', 'Denmark'),
(16277, '62.61.160.0', '62.61.191.255', 1044226048, 1044234239, 'OM', 'Oman'),
(16278, '62.62.0.0', '62.62.2.255', 1044250624, 1044251391, 'BE', 'Belgium'),
(16279, '62.62.3.0', '62.62.3.255', 1044251392, 1044251647, 'EU', 'Europe'),
(16280, '62.62.4.0', '62.62.6.255', 1044251648, 1044252415, 'BE', 'Belgium'),
(16281, '62.62.7.0', '62.62.8.255', 1044252416, 1044252927, 'EU', 'Europe'),
(16282, '62.62.9.0', '62.62.10.255', 1044252928, 1044253439, 'BE', 'Belgium'),
(16283, '62.62.11.0', '62.62.11.255', 1044253440, 1044253695, 'EU', 'Europe'),
(16284, '62.62.12.0', '62.62.14.255', 1044253696, 1044254463, 'BE', 'Belgium'),
(16285, '62.62.15.0', '62.62.16.255', 1044254464, 1044254975, 'EU', 'Europe'),
(16286, '62.62.17.0', '62.62.18.255', 1044254976, 1044255487, 'BE', 'Belgium'),
(16287, '62.62.19.0', '62.62.20.255', 1044255488, 1044255999, 'EU', 'Europe'),
(16288, '62.62.21.0', '62.62.22.255', 1044256000, 1044256511, 'BE', 'Belgium'),
(16289, '62.62.23.0', '62.62.23.255', 1044256512, 1044256767, 'EU', 'Europe'),
(16290, '62.62.24.0', '62.62.26.255', 1044256768, 1044257535, 'BE', 'Belgium'),
(16291, '62.62.27.0', '62.62.27.255', 1044257536, 1044257791, 'EU', 'Europe'),
(16292, '62.62.28.0', '62.62.30.255', 1044257792, 1044258559, 'BE', 'Belgium'),
(16293, '62.62.31.0', '62.62.32.255', 1044258560, 1044259071, 'EU', 'Europe'),
(16294, '62.62.33.0', '62.62.34.255', 1044259072, 1044259583, 'BE', 'Belgium'),
(16295, '62.62.35.0', '62.62.36.255', 1044259584, 1044260095, 'EU', 'Europe'),
(16296, '62.62.37.0', '62.62.42.255', 1044260096, 1044261631, 'BE', 'Belgium'),
(16297, '62.62.43.0', '62.62.44.255', 1044261632, 1044262143, 'EU', 'Europe'),
(16298, '62.62.45.0', '62.62.45.255', 1044262144, 1044262399, 'BE', 'Belgium'),
(16299, '62.62.46.0', '62.62.48.255', 1044262400, 1044263167, 'EU', 'Europe'),
(16300, '62.62.49.0', '62.62.49.255', 1044263168, 1044263423, 'BE', 'Belgium'),
(16301, '62.62.50.0', '62.62.52.255', 1044263424, 1044264191, 'EU', 'Europe'),
(16302, '62.62.53.0', '62.62.53.255', 1044264192, 1044264447, 'BE', 'Belgium'),
(16303, '62.62.54.0', '62.62.56.255', 1044264448, 1044265215, 'EU', 'Europe'),
(16304, '62.62.57.0', '62.62.57.255', 1044265216, 1044265471, 'BE', 'Belgium'),
(16305, '62.62.58.0', '62.62.59.255', 1044265472, 1044265983, 'EU', 'Europe'),
(16306, '62.62.60.0', '62.62.62.255', 1044265984, 1044266751, 'BE', 'Belgium'),
(16307, '62.62.63.0', '62.62.65.255', 1044266752, 1044267519, 'EU', 'Europe'),
(16308, '62.62.66.0', '62.62.73.255', 1044267520, 1044269567, 'BE', 'Belgium'),
(16309, '62.62.74.0', '62.62.75.255', 1044269568, 1044270079, 'EU', 'Europe'),
(16310, '62.62.76.0', '62.62.81.255', 1044270080, 1044271615, 'BE', 'Belgium'),
(16311, '62.62.82.0', '62.62.83.255', 1044271616, 1044272127, 'EU', 'Europe'),
(16312, '62.62.84.0', '62.62.84.255', 1044272128, 1044272383, 'BE', 'Belgium'),
(16313, '62.62.85.0', '62.62.86.255', 1044272384, 1044272895, 'EU', 'Europe'),
(16314, '62.62.87.0', '62.62.87.255', 1044272896, 1044273151, 'BE', 'Belgium'),
(16315, '62.62.88.0', '62.62.127.255', 1044273152, 1044283391, 'EU', 'Europe'),
(16316, '62.62.128.0', '62.62.255.255', 1044283392, 1044316159, 'FR', 'France'),
(16317, '62.63.0.0', '62.63.63.255', 1044316160, 1044332543, 'NO', 'Norway'),
(16318, '62.63.64.0', '62.63.127.255', 1044332544, 1044348927, 'RU', 'Russian Federation'),
(16319, '62.63.128.0', '62.63.191.255', 1044348928, 1044365311, 'LV', 'Latvia'),
(16320, '62.63.192.0', '62.63.255.255', 1044365312, 1044381695, 'SE', 'Sweden'),
(16321, '62.64.0.0', '62.64.31.255', 1044381696, 1044389887, 'RU', 'Russian Federation'),
(16322, '62.64.32.0', '62.64.63.255', 1044389888, 1044398079, 'FR', 'France'),
(16323, '62.64.64.0', '62.64.127.255', 1044398080, 1044414463, 'UA', 'Ukraine'),
(16324, '62.64.128.0', '62.64.255.255', 1044414464, 1044447231, 'GB', 'United Kingdom'),
(16325, '62.65.0.0', '62.65.16.255', 1044447232, 1044451583, 'SE', 'Sweden'),
(16326, '62.65.17.0', '62.65.17.255', 1044451584, 1044451839, 'NO', 'Norway'),
(16327, '62.65.18.0', '62.65.23.63', 1044451840, 1044453183, 'SE', 'Sweden'),
(16328, '62.65.23.64', '62.65.23.143', 1044453184, 1044453263, 'NO', 'Norway'),
(16329, '62.65.23.144', '62.65.27.255', 1044453264, 1044454399, 'SE', 'Sweden'),
(16330, '62.65.28.0', '62.65.28.15', 1044454400, 1044454415, 'NO', 'Norway'),
(16331, '62.65.28.16', '62.65.28.23', 1044454416, 1044454423, 'SE', 'Sweden'),
(16332, '62.65.28.24', '62.65.28.27', 1044454424, 1044454427, 'NO', 'Norway'),
(16333, '62.65.28.28', '62.65.28.63', 1044454428, 1044454463, 'SE', 'Sweden'),
(16334, '62.65.28.64', '62.65.28.95', 1044454464, 1044454495, 'NO', 'Norway'),
(16335, '62.65.28.96', '62.65.28.111', 1044454496, 1044454511, 'SE', 'Sweden'),
(16336, '62.65.28.112', '62.65.28.159', 1044454512, 1044454559, 'NO', 'Norway'),
(16337, '62.65.28.160', '62.65.28.183', 1044454560, 1044454583, 'SE', 'Sweden'),
(16338, '62.65.28.184', '62.65.28.255', 1044454584, 1044454655, 'NO', 'Norway'),
(16339, '62.65.29.0', '62.65.29.255', 1044454656, 1044454911, 'SE', 'Sweden'),
(16340, '62.65.30.0', '62.65.31.255', 1044454912, 1044455423, 'NO', 'Norway'),
(16341, '62.65.32.0', '62.65.63.255', 1044455424, 1044463615, 'EE', 'Estonia'),
(16342, '62.65.64.0', '62.65.127.255', 1044463616, 1044479999, 'SE', 'Sweden'),
(16343, '62.65.128.0', '62.65.159.255', 1044480000, 1044488191, 'CH', 'Switzerland'),
(16344, '62.65.160.0', '62.65.186.63', 1044488192, 1044494911, 'SK', 'Slovakia'),
(16345, '62.65.186.64', '62.65.186.95', 1044494912, 1044494943, 'SR', 'Suriname'),
(16346, '62.65.186.96', '62.65.191.255', 1044494944, 1044496383, 'SK', 'Slovakia'),
(16347, '62.65.192.0', '62.65.255.255', 1044496384, 1044512767, 'EE', 'Estonia'),
(16348, '62.66.0.0', '62.66.255.255', 1044512768, 1044578303, 'DK', 'Denmark'),
(16349, '62.67.0.0', '62.67.8.255', 1044578304, 1044580607, 'DE', 'Germany'),
(16350, '62.67.9.0', '62.67.9.127', 1044580608, 1044580735, 'GB', 'United Kingdom'),
(16351, '62.67.9.128', '62.67.9.159', 1044580736, 1044580767, 'DE', 'Germany'),
(16352, '62.67.9.160', '62.67.9.191', 1044580768, 1044580799, 'GB', 'United Kingdom'),
(16353, '62.67.9.192', '62.67.10.255', 1044580800, 1044581119, 'DE', 'Germany'),
(16354, '62.67.11.0', '62.67.12.255', 1044581120, 1044581631, 'GB', 'United Kingdom'),
(16355, '62.67.13.0', '62.67.13.255', 1044581632, 1044581887, 'DE', 'Germany'),
(16356, '62.67.14.0', '62.67.31.255', 1044581888, 1044586495, 'GB', 'United Kingdom'),
(16357, '62.67.32.0', '62.67.33.255', 1044586496, 1044587007, 'DE', 'Germany'),
(16358, '62.67.34.0', '62.67.35.255', 1044587008, 1044587519, 'GB', 'United Kingdom'),
(16359, '62.67.36.0', '62.67.36.255', 1044587520, 1044587775, 'DE', 'Germany'),
(16360, '62.67.37.0', '62.67.37.255', 1044587776, 1044588031, 'GB', 'United Kingdom'),
(16361, '62.67.38.0', '62.67.38.255', 1044588032, 1044588287, 'DE', 'Germany'),
(16362, '62.67.39.0', '62.67.40.31', 1044588288, 1044588575, 'GB', 'United Kingdom'),
(16363, '62.67.40.32', '62.67.40.63', 1044588576, 1044588607, 'DE', 'Germany'),
(16364, '62.67.40.64', '62.67.40.255', 1044588608, 1044588799, 'GB', 'United Kingdom'),
(16365, '62.67.41.0', '62.67.43.255', 1044588800, 1044589567, 'DE', 'Germany'),
(16366, '62.67.44.0', '62.67.45.255', 1044589568, 1044590079, 'GB', 'United Kingdom'),
(16367, '62.67.46.0', '62.67.46.255', 1044590080, 1044590335, 'DE', 'Germany'),
(16368, '62.67.47.0', '62.67.47.255', 1044590336, 1044590591, 'GB', 'United Kingdom'),
(16369, '62.67.48.0', '62.67.48.79', 1044590592, 1044590671, 'DE', 'Germany'),
(16370, '62.67.48.80', '62.67.48.127', 1044590672, 1044590719, 'GB', 'United Kingdom'),
(16371, '62.67.48.128', '62.67.48.191', 1044590720, 1044590783, 'DE', 'Germany'),
(16372, '62.67.48.192', '62.67.48.255', 1044590784, 1044590847, 'GB', 'United Kingdom'),
(16373, '62.67.49.0', '62.67.53.255', 1044590848, 1044592127, 'DE', 'Germany'),
(16374, '62.67.54.0', '62.67.54.15', 1044592128, 1044592143, 'GB', 'United Kingdom'),
(16375, '62.67.54.16', '62.67.54.31', 1044592144, 1044592159, 'DE', 'Germany'),
(16376, '62.67.54.32', '62.67.54.63', 1044592160, 1044592191, 'GB', 'United Kingdom'),
(16377, '62.67.54.64', '62.67.54.127', 1044592192, 1044592255, 'DE', 'Germany'),
(16378, '62.67.54.128', '62.67.55.255', 1044592256, 1044592639, 'GB', 'United Kingdom'),
(16379, '62.67.56.0', '62.67.56.15', 1044592640, 1044592655, 'DE', 'Germany'),
(16380, '62.67.56.16', '62.67.56.31', 1044592656, 1044592671, 'GB', 'United Kingdom'),
(16381, '62.67.56.32', '62.67.56.63', 1044592672, 1044592703, 'DE', 'Germany'),
(16382, '62.67.56.64', '62.67.56.191', 1044592704, 1044592831, 'GB', 'United Kingdom'),
(16383, '62.67.56.192', '62.67.57.255', 1044592832, 1044593151, 'DE', 'Germany'),
(16384, '62.67.58.0', '62.67.59.255', 1044593152, 1044593663, 'GB', 'United Kingdom'),
(16385, '62.67.60.0', '62.67.62.255', 1044593664, 1044594431, 'DE', 'Germany'),
(16386, '62.67.63.0', '62.67.183.255', 1044594432, 1044625407, 'GB', 'United Kingdom'),
(16387, '62.67.184.0', '62.67.184.55', 1044625408, 1044625463, 'DE', 'Germany'),
(16388, '62.67.184.56', '62.67.184.63', 1044625464, 1044625471, 'GB', 'United Kingdom'),
(16389, '62.67.184.64', '62.67.184.127', 1044625472, 1044625535, 'DE', 'Germany'),
(16390, '62.67.184.128', '62.67.184.255', 1044625536, 1044625663, 'GB', 'United Kingdom'),
(16391, '62.67.185.0', '62.67.185.15', 1044625664, 1044625679, 'DE', 'Germany'),
(16392, '62.67.185.16', '62.67.191.255', 1044625680, 1044627455, 'GB', 'United Kingdom'),
(16393, '62.67.192.0', '62.67.194.255', 1044627456, 1044628223, 'DE', 'Germany'),
(16394, '62.67.195.0', '62.67.199.255', 1044628224, 1044629503, 'GB', 'United Kingdom'),
(16395, '62.67.200.0', '62.67.200.255', 1044629504, 1044629759, 'DE', 'Germany'),
(16396, '62.67.201.0', '62.67.207.255', 1044629760, 1044631551, 'GB', 'United Kingdom'),
(16397, '62.67.208.0', '62.67.209.95', 1044631552, 1044631903, 'DE', 'Germany'),
(16398, '62.67.209.96', '62.67.209.143', 1044631904, 1044631951, 'GB', 'United Kingdom'),
(16399, '62.67.209.144', '62.67.209.159', 1044631952, 1044631967, 'DE', 'Germany'),
(16400, '62.67.209.160', '62.67.209.255', 1044631968, 1044632063, 'GB', 'United Kingdom'),
(16401, '62.67.210.0', '62.67.213.255', 1044632064, 1044633087, 'DE', 'Germany'),
(16402, '62.67.214.0', '62.67.214.255', 1044633088, 1044633343, 'GB', 'United Kingdom'),
(16403, '62.67.215.0', '62.67.216.255', 1044633344, 1044633855, 'DE', 'Germany'),
(16404, '62.67.217.0', '62.67.219.255', 1044633856, 1044634623, 'GB', 'United Kingdom'),
(16405, '62.67.220.0', '62.67.220.255', 1044634624, 1044634879, 'DE', 'Germany'),
(16406, '62.67.221.0', '62.67.223.255', 1044634880, 1044635647, 'GB', 'United Kingdom'),
(16407, '62.67.224.0', '62.67.225.255', 1044635648, 1044636159, 'US', 'United States'),
(16408, '62.67.226.0', '62.67.233.255', 1044636160, 1044638207, 'DE', 'Germany'),
(16409, '62.67.234.0', '62.67.234.15', 1044638208, 1044638223, 'GB', 'United Kingdom'),
(16410, '62.67.234.16', '62.67.234.31', 1044638224, 1044638239, 'DE', 'Germany'),
(16411, '62.67.234.32', '62.67.234.65', 1044638240, 1044638273, 'GB', 'United Kingdom'),
(16412, '62.67.234.66', '62.67.234.66', 1044638274, 1044638274, 'A1', 'Anonymous Proxy'),
(16413, '62.67.234.67', '62.67.234.255', 1044638275, 1044638463, 'GB', 'United Kingdom'),
(16414, '62.67.235.0', '62.67.235.255', 1044638464, 1044638719, 'DE', 'Germany'),
(16415, '62.67.236.0', '62.67.236.255', 1044638720, 1044638975, 'GB', 'United Kingdom'),
(16416, '62.67.237.0', '62.67.237.255', 1044638976, 1044639231, 'DE', 'Germany'),
(16417, '62.67.238.0', '62.67.239.255', 1044639232, 1044639743, 'GB', 'United Kingdom'),
(16418, '62.67.240.0', '62.67.247.255', 1044639744, 1044641791, 'DE', 'Germany'),
(16419, '62.67.248.0', '62.67.251.255', 1044641792, 1044642815, 'US', 'United States'),
(16420, '62.67.252.0', '62.67.253.255', 1044642816, 1044643327, 'DE', 'Germany'),
(16421, '62.67.254.0', '62.67.255.255', 1044643328, 1044643839, 'GB', 'United Kingdom'),
(16422, '62.68.0.0', '62.68.31.255', 1044643840, 1044652031, 'DE', 'Germany'),
(16423, '62.68.32.0', '62.68.63.255', 1044652032, 1044660223, 'LY', 'Libyan Arab Jamahiriya'),
(16424, '62.68.64.0', '62.68.64.255', 1044660224, 1044660479, 'GR', 'Greece'),
(16425, '62.68.65.0', '62.68.66.255', 1044660480, 1044660991, 'US', 'United States'),
(16426, '62.68.67.0', '62.68.67.255', 1044660992, 1044661247, 'AU', 'Australia'),
(16427, '62.68.68.0', '62.68.68.255', 1044661248, 1044661503, 'SA', 'Saudi Arabia'),
(16428, '62.68.69.0', '62.68.69.255', 1044661504, 1044661759, 'GR', 'Greece'),
(16429, '62.68.70.0', '62.68.71.255', 1044661760, 1044662271, 'AU', 'Australia'),
(16430, '62.68.72.0', '62.68.77.255', 1044662272, 1044663807, 'US', 'United States'),
(16431, '62.68.78.0', '62.68.78.255', 1044663808, 1044664063, 'AU', 'Australia'),
(16432, '62.68.79.0', '62.68.80.255', 1044664064, 1044664575, 'US', 'United States'),
(16433, '62.68.81.0', '62.68.82.63', 1044664576, 1044664895, 'GR', 'Greece'),
(16434, '62.68.82.64', '62.68.82.127', 1044664896, 1044664959, 'IR', 'Iran, Islamic Republic of'),
(16435, '62.68.82.128', '62.68.83.255', 1044664960, 1044665343, 'GR', 'Greece'),
(16436, '62.68.84.0', '62.68.85.255', 1044665344, 1044665855, 'US', 'United States'),
(16437, '62.68.86.0', '62.68.87.255', 1044665856, 1044666367, 'GR', 'Greece'),
(16438, '62.68.88.0', '62.68.88.255', 1044666368, 1044666623, 'US', 'United States'),
(16439, '62.68.89.0', '62.68.91.255', 1044666624, 1044667391, 'GR', 'Greece'),
(16440, '62.68.92.0', '62.68.92.255', 1044667392, 1044667647, 'US', 'United States'),
(16441, '62.68.93.0', '62.68.94.255', 1044667648, 1044668159, 'GR', 'Greece'),
(16442, '62.68.95.0', '62.68.95.255', 1044668160, 1044668415, 'SA', 'Saudi Arabia'),
(16443, '62.68.96.0', '62.68.127.255', 1044668416, 1044676607, 'BA', 'Bosnia and Herzegovina'),
(16444, '62.68.128.0', '62.68.159.255', 1044676608, 1044684799, 'RU', 'Russian Federation'),
(16445, '62.68.160.0', '62.68.191.255', 1044684800, 1044692991, 'HU', 'Hungary'),
(16446, '62.68.192.0', '62.68.203.127', 1044692992, 1044695935, 'AT', 'Austria'),
(16447, '62.68.203.128', '62.68.203.254', 1044695936, 1044696062, 'DE', 'Germany'),
(16448, '62.68.203.255', '62.68.207.255', 1044696063, 1044697087, 'AT', 'Austria'),
(16449, '62.68.208.0', '62.68.208.255', 1044697088, 1044697343, 'DE', 'Germany'),
(16450, '62.68.209.0', '62.68.210.255', 1044697344, 1044697855, 'AT', 'Austria'),
(16451, '62.68.211.0', '62.68.211.254', 1044697856, 1044698110, 'DE', 'Germany'),
(16452, '62.68.211.255', '62.68.211.255', 1044698111, 1044698111, 'AT', 'Austria'),
(16453, '62.68.212.0', '62.68.212.255', 1044698112, 1044698367, 'DE', 'Germany'),
(16454, '62.68.213.0', '62.68.213.255', 1044698368, 1044698623, 'AT', 'Austria'),
(16455, '62.68.214.0', '62.68.215.254', 1044698624, 1044699134, 'DE', 'Germany'),
(16456, '62.68.215.255', '62.68.223.255', 1044699135, 1044701183, 'AT', 'Austria'),
(16457, '62.68.224.0', '62.68.255.255', 1044701184, 1044709375, 'EG', 'Egypt'),
(16458, '62.69.0.0', '62.69.31.255', 1044709376, 1044717567, 'RU', 'Russian Federation'),
(16459, '62.69.32.0', '62.69.127.255', 1044717568, 1044742143, 'GB', 'United Kingdom'),
(16460, '62.69.128.0', '62.69.128.255', 1044742144, 1044742399, 'KW', 'Kuwait'),
(16461, '62.69.129.0', '62.69.129.255', 1044742400, 1044742655, 'US', 'United States'),
(16462, '62.69.130.0', '62.69.159.255', 1044742656, 1044750335, 'KW', 'Kuwait'),
(16463, '62.69.160.0', '62.69.160.15', 1044750336, 1044750351, 'US', 'United States'),
(16464, '62.69.160.16', '62.69.160.19', 1044750352, 1044750355, 'HU', 'Hungary'),
(16465, '62.69.160.20', '62.69.160.23', 1044750356, 1044750359, 'BE', 'Belgium'),
(16466, '62.69.160.24', '62.69.160.27', 1044750360, 1044750363, 'GB', 'United Kingdom'),
(16467, '62.69.160.28', '62.69.160.31', 1044750364, 1044750367, 'FI', 'Finland'),
(16468, '62.69.160.32', '62.69.170.255', 1044750368, 1044753151, 'NL', 'Netherlands'),
(16469, '62.69.171.0', '62.69.171.31', 1044753152, 1044753183, 'DE', 'Germany'),
(16470, '62.69.171.32', '62.69.171.63', 1044753184, 1044753215, 'HU', 'Hungary'),
(16471, '62.69.171.64', '62.69.191.255', 1044753216, 1044758527, 'NL', 'Netherlands'),
(16472, '62.69.192.0', '62.69.255.255', 1044758528, 1044774911, 'PL', 'Poland'),
(16473, '62.70.0.0', '62.70.27.255', 1044774912, 1044782079, 'NO', 'Norway'),
(16474, '62.70.28.0', '62.70.28.255', 1044782080, 1044782335, 'EU', 'Europe'),
(16475, '62.70.29.0', '62.70.99.127', 1044782336, 1044800383, 'NO', 'Norway'),
(16476, '62.70.99.128', '62.70.99.255', 1044800384, 1044800511, 'IT', 'Italy'),
(16477, '62.70.100.0', '62.70.255.255', 1044800512, 1044840447, 'NO', 'Norway'),
(16478, '62.71.0.0', '62.71.255.255', 1044840448, 1044905983, 'FI', 'Finland'),
(16479, '62.72.0.0', '62.72.7.255', 1044905984, 1044908031, 'GB', 'United Kingdom'),
(16480, '62.72.8.0', '62.72.11.255', 1044908032, 1044909055, 'US', 'United States'),
(16481, '62.72.12.0', '62.72.18.255', 1044909056, 1044910847, 'GB', 'United Kingdom'),
(16482, '62.72.19.0', '62.72.19.255', 1044910848, 1044911103, 'DE', 'Germany'),
(16483, '62.72.20.0', '62.72.31.31', 1044911104, 1044913951, 'GB', 'United Kingdom'),
(16484, '62.72.31.32', '62.72.31.47', 1044913952, 1044913967, 'DE', 'Germany'),
(16485, '62.72.31.48', '62.72.31.63', 1044913968, 1044913983, 'GB', 'United Kingdom'),
(16486, '62.72.31.64', '62.72.31.95', 1044913984, 1044914015, 'DE', 'Germany'),
(16487, '62.72.31.96', '62.72.31.127', 1044914016, 1044914047, 'GB', 'United Kingdom'),
(16488, '62.72.31.128', '62.72.31.191', 1044914048, 1044914111, 'DE', 'Germany'),
(16489, '62.72.31.192', '62.72.41.255', 1044914112, 1044916735, 'GB', 'United Kingdom'),
(16490, '62.72.42.0', '62.72.43.255', 1044916736, 1044917247, 'DE', 'Germany'),
(16491, '62.72.44.0', '62.72.44.31', 1044917248, 1044917279, 'GB', 'United Kingdom'),
(16492, '62.72.44.32', '62.72.44.47', 1044917280, 1044917295, 'US', 'United States'),
(16493, '62.72.44.48', '62.72.44.63', 1044917296, 1044917311, 'DE', 'Germany'),
(16494, '62.72.44.64', '62.72.44.95', 1044917312, 1044917343, 'GB', 'United Kingdom'),
(16495, '62.72.44.96', '62.72.44.111', 1044917344, 1044917359, 'DE', 'Germany'),
(16496, '62.72.44.112', '62.72.44.255', 1044917360, 1044917503, 'GB', 'United Kingdom'),
(16497, '62.72.45.0', '62.72.45.255', 1044917504, 1044917759, 'DE', 'Germany'),
(16498, '62.72.46.0', '62.72.46.63', 1044917760, 1044917823, 'GB', 'United Kingdom'),
(16499, '62.72.46.64', '62.72.47.255', 1044917824, 1044918271, 'DE', 'Germany'),
(16500, '62.72.48.0', '62.72.48.15', 1044918272, 1044918287, 'GB', 'United Kingdom'),
(16501, '62.72.48.16', '62.72.51.255', 1044918288, 1044919295, 'DE', 'Germany'),
(16502, '62.72.52.0', '62.72.55.127', 1044919296, 1044920191, 'GB', 'United Kingdom'),
(16503, '62.72.55.128', '62.72.55.255', 1044920192, 1044920319, 'DE', 'Germany'),
(16504, '62.72.56.0', '62.72.59.255', 1044920320, 1044921343, 'GB', 'United Kingdom'),
(16505, '62.72.60.0', '62.72.63.255', 1044921344, 1044922367, 'US', 'United States'),
(16506, '62.72.64.0', '62.72.95.255', 1044922368, 1044930559, 'DE', 'Germany'),
(16507, '62.72.96.0', '62.72.96.135', 1044930560, 1044930695, 'BE', 'Belgium'),
(16508, '62.72.96.136', '62.72.96.143', 1044930696, 1044930703, 'GB', 'United Kingdom'),
(16509, '62.72.96.144', '62.72.96.191', 1044930704, 1044930751, 'BE', 'Belgium'),
(16510, '62.72.96.192', '62.72.96.223', 1044930752, 1044930783, 'GB', 'United Kingdom'),
(16511, '62.72.96.224', '62.72.96.231', 1044930784, 1044930791, 'BE', 'Belgium'),
(16512, '62.72.96.232', '62.72.96.235', 1044930792, 1044930795, 'GB', 'United Kingdom'),
(16513, '62.72.96.236', '62.72.96.239', 1044930796, 1044930799, 'BE', 'Belgium'),
(16514, '62.72.96.240', '62.72.96.247', 1044930800, 1044930807, 'GB', 'United Kingdom'),
(16515, '62.72.96.248', '62.72.97.7', 1044930808, 1044930823, 'BE', 'Belgium'),
(16516, '62.72.97.8', '62.72.97.15', 1044930824, 1044930831, 'GB', 'United Kingdom'),
(16517, '62.72.97.16', '62.72.97.31', 1044930832, 1044930847, 'BE', 'Belgium'),
(16518, '62.72.97.32', '62.72.97.63', 1044930848, 1044930879, 'FR', 'France'),
(16519, '62.72.97.64', '62.72.97.95', 1044930880, 1044930911, 'BE', 'Belgium'),
(16520, '62.72.97.96', '62.72.97.111', 1044930912, 1044930927, 'DE', 'Germany'),
(16521, '62.72.97.112', '62.72.97.119', 1044930928, 1044930935, 'GB', 'United Kingdom'),
(16522, '62.72.97.120', '62.72.97.151', 1044930936, 1044930967, 'BE', 'Belgium'),
(16523, '62.72.97.152', '62.72.97.159', 1044930968, 1044930975, 'FR', 'France'),
(16524, '62.72.97.160', '62.72.97.163', 1044930976, 1044930979, 'GB', 'United Kingdom'),
(16525, '62.72.97.164', '62.72.99.15', 1044930980, 1044931343, 'BE', 'Belgium'),
(16526, '62.72.99.16', '62.72.99.31', 1044931344, 1044931359, 'GB', 'United Kingdom'),
(16527, '62.72.99.32', '62.72.99.47', 1044931360, 1044931375, 'BE', 'Belgium'),
(16528, '62.72.99.48', '62.72.99.63', 1044931376, 1044931391, 'GB', 'United Kingdom'),
(16529, '62.72.99.64', '62.72.99.79', 1044931392, 1044931407, 'BE', 'Belgium'),
(16530, '62.72.99.80', '62.72.99.111', 1044931408, 1044931439, 'GB', 'United Kingdom'),
(16531, '62.72.99.112', '62.72.99.127', 1044931440, 1044931455, 'BE', 'Belgium'),
(16532, '62.72.99.128', '62.72.99.135', 1044931456, 1044931463, 'GB', 'United Kingdom'),
(16533, '62.72.99.136', '62.72.99.159', 1044931464, 1044931487, 'BE', 'Belgium'),
(16534, '62.72.99.160', '62.72.99.167', 1044931488, 1044931495, 'GB', 'United Kingdom'),
(16535, '62.72.99.168', '62.72.99.207', 1044931496, 1044931535, 'BE', 'Belgium'),
(16536, '62.72.99.208', '62.72.99.215', 1044931536, 1044931543, 'GB', 'United Kingdom'),
(16537, '62.72.99.216', '62.72.99.223', 1044931544, 1044931551, 'BE', 'Belgium'),
(16538, '62.72.99.224', '62.72.99.239', 1044931552, 1044931567, 'GB', 'United Kingdom'),
(16539, '62.72.99.240', '62.72.99.255', 1044931568, 1044931583, 'BE', 'Belgium'),
(16540, '62.72.100.0', '62.72.100.39', 1044931584, 1044931623, 'GB', 'United Kingdom'),
(16541, '62.72.100.40', '62.72.100.47', 1044931624, 1044931631, 'BE', 'Belgium'),
(16542, '62.72.100.48', '62.72.100.55', 1044931632, 1044931639, 'GB', 'United Kingdom'),
(16543, '62.72.100.56', '62.72.100.79', 1044931640, 1044931663, 'BE', 'Belgium'),
(16544, '62.72.100.80', '62.72.100.87', 1044931664, 1044931671, 'GB', 'United Kingdom'),
(16545, '62.72.100.88', '62.72.100.175', 1044931672, 1044931759, 'BE', 'Belgium'),
(16546, '62.72.100.176', '62.72.100.191', 1044931760, 1044931775, 'GB', 'United Kingdom'),
(16547, '62.72.100.192', '62.72.100.247', 1044931776, 1044931831, 'BE', 'Belgium'),
(16548, '62.72.100.248', '62.72.100.251', 1044931832, 1044931835, 'GB', 'United Kingdom'),
(16549, '62.72.100.252', '62.72.101.15', 1044931836, 1044931855, 'BE', 'Belgium'),
(16550, '62.72.101.16', '62.72.101.31', 1044931856, 1044931871, 'GB', 'United Kingdom'),
(16551, '62.72.101.32', '62.72.101.63', 1044931872, 1044931903, 'BE', 'Belgium'),
(16552, '62.72.101.64', '62.72.101.71', 1044931904, 1044931911, 'GB', 'United Kingdom'),
(16553, '62.72.101.72', '62.72.101.75', 1044931912, 1044931915, 'BE', 'Belgium'),
(16554, '62.72.101.76', '62.72.101.79', 1044931916, 1044931919, 'GB', 'United Kingdom'),
(16555, '62.72.101.80', '62.72.101.83', 1044931920, 1044931923, 'BE', 'Belgium'),
(16556, '62.72.101.84', '62.72.101.87', 1044931924, 1044931927, 'GB', 'United Kingdom'),
(16557, '62.72.101.88', '62.72.101.95', 1044931928, 1044931935, 'BE', 'Belgium'),
(16558, '62.72.101.96', '62.72.101.111', 1044931936, 1044931951, 'GB', 'United Kingdom'),
(16559, '62.72.101.112', '62.72.101.135', 1044931952, 1044931975, 'BE', 'Belgium'),
(16560, '62.72.101.136', '62.72.101.143', 1044931976, 1044931983, 'GB', 'United Kingdom'),
(16561, '62.72.101.144', '62.72.101.207', 1044931984, 1044932047, 'BE', 'Belgium'),
(16562, '62.72.101.208', '62.72.101.247', 1044932048, 1044932087, 'GB', 'United Kingdom'),
(16563, '62.72.101.248', '62.72.103.31', 1044932088, 1044932383, 'BE', 'Belgium'),
(16564, '62.72.103.32', '62.72.103.39', 1044932384, 1044932391, 'GB', 'United Kingdom'),
(16565, '62.72.103.40', '62.72.103.47', 1044932392, 1044932399, 'BE', 'Belgium'),
(16566, '62.72.103.48', '62.72.103.55', 1044932400, 1044932407, 'GB', 'United Kingdom'),
(16567, '62.72.103.56', '62.72.103.151', 1044932408, 1044932503, 'BE', 'Belgium'),
(16568, '62.72.103.152', '62.72.103.191', 1044932504, 1044932543, 'GB', 'United Kingdom'),
(16569, '62.72.103.192', '62.72.103.255', 1044932544, 1044932607, 'BE', 'Belgium'),
(16570, '62.72.104.0', '62.72.104.63', 1044932608, 1044932671, 'LU', 'Luxembourg'),
(16571, '62.72.104.64', '62.72.104.67', 1044932672, 1044932675, 'BE', 'Belgium'),
(16572, '62.72.104.68', '62.72.104.79', 1044932676, 1044932687, 'GB', 'United Kingdom'),
(16573, '62.72.104.80', '62.72.104.95', 1044932688, 1044932703, 'BE', 'Belgium'),
(16574, '62.72.104.96', '62.72.104.99', 1044932704, 1044932707, 'GB', 'United Kingdom'),
(16575, '62.72.104.100', '62.72.104.111', 1044932708, 1044932719, 'BE', 'Belgium'),
(16576, '62.72.104.112', '62.72.104.119', 1044932720, 1044932727, 'GB', 'United Kingdom'),
(16577, '62.72.104.120', '62.72.104.127', 1044932728, 1044932735, 'BE', 'Belgium'),
(16578, '62.72.104.128', '62.72.104.191', 1044932736, 1044932799, 'GB', 'United Kingdom'),
(16579, '62.72.104.192', '62.72.104.223', 1044932800, 1044932831, 'BE', 'Belgium'),
(16580, '62.72.104.224', '62.72.104.255', 1044932832, 1044932863, 'GB', 'United Kingdom'),
(16581, '62.72.105.0', '62.72.105.31', 1044932864, 1044932895, 'BE', 'Belgium'),
(16582, '62.72.105.32', '62.72.105.39', 1044932896, 1044932903, 'GB', 'United Kingdom'),
(16583, '62.72.105.40', '62.72.105.71', 1044932904, 1044932935, 'BE', 'Belgium'),
(16584, '62.72.105.72', '62.72.105.83', 1044932936, 1044932947, 'GB', 'United Kingdom'),
(16585, '62.72.105.84', '62.72.105.87', 1044932948, 1044932951, 'BE', 'Belgium'),
(16586, '62.72.105.88', '62.72.105.95', 1044932952, 1044932959, 'GB', 'United Kingdom'),
(16587, '62.72.105.96', '62.72.105.143', 1044932960, 1044933007, 'BE', 'Belgium'),
(16588, '62.72.105.144', '62.72.105.151', 1044933008, 1044933015, 'GB', 'United Kingdom'),
(16589, '62.72.105.152', '62.72.105.155', 1044933016, 1044933019, 'BE', 'Belgium'),
(16590, '62.72.105.156', '62.72.105.175', 1044933020, 1044933039, 'GB', 'United Kingdom'),
(16591, '62.72.105.176', '62.72.105.191', 1044933040, 1044933055, 'BE', 'Belgium'),
(16592, '62.72.105.192', '62.72.105.207', 1044933056, 1044933071, 'GB', 'United Kingdom'),
(16593, '62.72.105.208', '62.72.105.239', 1044933072, 1044933103, 'BE', 'Belgium'),
(16594, '62.72.105.240', '62.72.105.243', 1044933104, 1044933107, 'GB', 'United Kingdom'),
(16595, '62.72.105.244', '62.72.106.95', 1044933108, 1044933215, 'BE', 'Belgium'),
(16596, '62.72.106.96', '62.72.106.107', 1044933216, 1044933227, 'GB', 'United Kingdom'),
(16597, '62.72.106.108', '62.72.106.119', 1044933228, 1044933239, 'BE', 'Belgium'),
(16598, '62.72.106.120', '62.72.106.127', 1044933240, 1044933247, 'GB', 'United Kingdom'),
(16599, '62.72.106.128', '62.72.106.183', 1044933248, 1044933303, 'BE', 'Belgium'),
(16600, '62.72.106.184', '62.72.106.191', 1044933304, 1044933311, 'GB', 'United Kingdom'),
(16601, '62.72.106.192', '62.72.106.239', 1044933312, 1044933359, 'BE', 'Belgium'),
(16602, '62.72.106.240', '62.72.106.255', 1044933360, 1044933375, 'GB', 'United Kingdom'),
(16603, '62.72.107.0', '62.72.107.31', 1044933376, 1044933407, 'BE', 'Belgium'),
(16604, '62.72.107.32', '62.72.107.35', 1044933408, 1044933411, 'GB', 'United Kingdom'),
(16605, '62.72.107.36', '62.72.107.39', 1044933412, 1044933415, 'BE', 'Belgium'),
(16606, '62.72.107.40', '62.72.107.63', 1044933416, 1044933439, 'GB', 'United Kingdom'),
(16607, '62.72.107.64', '62.72.107.111', 1044933440, 1044933487, 'BE', 'Belgium'),
(16608, '62.72.107.112', '62.72.107.119', 1044933488, 1044933495, 'GB', 'United Kingdom'),
(16609, '62.72.107.120', '62.72.107.127', 1044933496, 1044933503, 'BE', 'Belgium'),
(16610, '62.72.107.128', '62.72.107.143', 1044933504, 1044933519, 'GB', 'United Kingdom'),
(16611, '62.72.107.144', '62.72.107.175', 1044933520, 1044933551, 'BE', 'Belgium'),
(16612, '62.72.107.176', '62.72.107.179', 1044933552, 1044933555, 'GB', 'United Kingdom'),
(16613, '62.72.107.180', '62.72.107.207', 1044933556, 1044933583, 'BE', 'Belgium'),
(16614, '62.72.107.208', '62.72.107.223', 1044933584, 1044933599, 'GB', 'United Kingdom'),
(16615, '62.72.107.224', '62.72.107.239', 1044933600, 1044933615, 'BE', 'Belgium'),
(16616, '62.72.107.240', '62.72.107.247', 1044933616, 1044933623, 'GB', 'United Kingdom'),
(16617, '62.72.107.248', '62.72.108.79', 1044933624, 1044933711, 'BE', 'Belgium'),
(16618, '62.72.108.80', '62.72.108.87', 1044933712, 1044933719, 'GB', 'United Kingdom'),
(16619, '62.72.108.88', '62.72.108.95', 1044933720, 1044933727, 'BE', 'Belgium'),
(16620, '62.72.108.96', '62.72.108.103', 1044933728, 1044933735, 'GB', 'United Kingdom'),
(16621, '62.72.108.104', '62.72.108.111', 1044933736, 1044933743, 'BE', 'Belgium'),
(16622, '62.72.108.112', '62.72.108.127', 1044933744, 1044933759, 'GB', 'United Kingdom'),
(16623, '62.72.108.128', '62.72.108.191', 1044933760, 1044933823, 'BE', 'Belgium'),
(16624, '62.72.108.192', '62.72.108.199', 1044933824, 1044933831, 'GB', 'United Kingdom'),
(16625, '62.72.108.200', '62.72.108.211', 1044933832, 1044933843, 'BE', 'Belgium'),
(16626, '62.72.108.212', '62.72.108.215', 1044933844, 1044933847, 'GB', 'United Kingdom'),
(16627, '62.72.108.216', '62.72.108.231', 1044933848, 1044933863, 'BE', 'Belgium'),
(16628, '62.72.108.232', '62.72.108.255', 1044933864, 1044933887, 'GB', 'United Kingdom'),
(16629, '62.72.109.0', '62.72.109.31', 1044933888, 1044933919, 'BE', 'Belgium'),
(16630, '62.72.109.32', '62.72.109.47', 1044933920, 1044933935, 'GB', 'United Kingdom'),
(16631, '62.72.109.48', '62.72.109.79', 1044933936, 1044933967, 'BE', 'Belgium'),
(16632, '62.72.109.80', '62.72.109.87', 1044933968, 1044933975, 'GB', 'United Kingdom'),
(16633, '62.72.109.88', '62.72.109.223', 1044933976, 1044934111, 'BE', 'Belgium'),
(16634, '62.72.109.224', '62.72.109.231', 1044934112, 1044934119, 'GB', 'United Kingdom'),
(16635, '62.72.109.232', '62.72.110.7', 1044934120, 1044934151, 'BE', 'Belgium'),
(16636, '62.72.110.8', '62.72.110.15', 1044934152, 1044934159, 'GB', 'United Kingdom'),
(16637, '62.72.110.16', '62.72.110.47', 1044934160, 1044934191, 'BE', 'Belgium'),
(16638, '62.72.110.48', '62.72.110.55', 1044934192, 1044934199, 'GB', 'United Kingdom'),
(16639, '62.72.110.56', '62.72.110.87', 1044934200, 1044934231, 'BE', 'Belgium'),
(16640, '62.72.110.88', '62.72.110.103', 1044934232, 1044934247, 'GB', 'United Kingdom'),
(16641, '62.72.110.104', '62.72.110.143', 1044934248, 1044934287, 'BE', 'Belgium'),
(16642, '62.72.110.144', '62.72.110.151', 1044934288, 1044934295, 'GB', 'United Kingdom'),
(16643, '62.72.110.152', '62.72.110.175', 1044934296, 1044934319, 'BE', 'Belgium'),
(16644, '62.72.110.176', '62.72.110.183', 1044934320, 1044934327, 'GB', 'United Kingdom'),
(16645, '62.72.110.184', '62.72.110.215', 1044934328, 1044934359, 'BE', 'Belgium'),
(16646, '62.72.110.216', '62.72.111.103', 1044934360, 1044934503, 'GB', 'United Kingdom'),
(16647, '62.72.111.104', '62.72.111.143', 1044934504, 1044934543, 'BE', 'Belgium'),
(16648, '62.72.111.144', '62.72.111.151', 1044934544, 1044934551, 'GB', 'United Kingdom'),
(16649, '62.72.111.152', '62.72.111.175', 1044934552, 1044934575, 'BE', 'Belgium'),
(16650, '62.72.111.176', '62.72.111.183', 1044934576, 1044934583, 'GB', 'United Kingdom'),
(16651, '62.72.111.184', '62.72.111.191', 1044934584, 1044934591, 'BE', 'Belgium'),
(16652, '62.72.111.192', '62.72.111.199', 1044934592, 1044934599, 'GB', 'United Kingdom'),
(16653, '62.72.111.200', '62.72.111.207', 1044934600, 1044934607, 'BE', 'Belgium'),
(16654, '62.72.111.208', '62.72.111.215', 1044934608, 1044934615, 'GB', 'United Kingdom'),
(16655, '62.72.111.216', '62.72.112.63', 1044934616, 1044934719, 'BE', 'Belgium'),
(16656, '62.72.112.64', '62.72.112.127', 1044934720, 1044934783, 'GB', 'United Kingdom'),
(16657, '62.72.112.128', '62.72.112.159', 1044934784, 1044934815, 'BE', 'Belgium'),
(16658, '62.72.112.160', '62.72.112.163', 1044934816, 1044934819, 'GB', 'United Kingdom'),
(16659, '62.72.112.164', '62.72.112.167', 1044934820, 1044934823, 'BE', 'Belgium'),
(16660, '62.72.112.168', '62.72.112.255', 1044934824, 1044934911, 'GB', 'United Kingdom'),
(16661, '62.72.113.0', '62.72.113.115', 1044934912, 1044935027, 'BE', 'Belgium'),
(16662, '62.72.113.116', '62.72.113.119', 1044935028, 1044935031, 'GB', 'United Kingdom'),
(16663, '62.72.113.120', '62.72.113.123', 1044935032, 1044935035, 'BE', 'Belgium'),
(16664, '62.72.113.124', '62.72.113.127', 1044935036, 1044935039, 'GB', 'United Kingdom'),
(16665, '62.72.113.128', '62.72.114.15', 1044935040, 1044935183, 'BE', 'Belgium'),
(16666, '62.72.114.16', '62.72.114.31', 1044935184, 1044935199, 'GB', 'United Kingdom'),
(16667, '62.72.114.32', '62.72.114.63', 1044935200, 1044935231, 'BE', 'Belgium'),
(16668, '62.72.114.64', '62.72.114.79', 1044935232, 1044935247, 'GB', 'United Kingdom'),
(16669, '62.72.114.80', '62.72.114.95', 1044935248, 1044935263, 'BE', 'Belgium'),
(16670, '62.72.114.96', '62.72.114.127', 1044935264, 1044935295, 'GB', 'United Kingdom'),
(16671, '62.72.114.128', '62.72.114.163', 1044935296, 1044935331, 'BE', 'Belgium'),
(16672, '62.72.114.164', '62.72.114.175', 1044935332, 1044935343, 'GB', 'United Kingdom'),
(16673, '62.72.114.176', '62.72.114.187', 1044935344, 1044935355, 'BE', 'Belgium'),
(16674, '62.72.114.188', '62.72.114.223', 1044935356, 1044935391, 'GB', 'United Kingdom'),
(16675, '62.72.114.224', '62.72.114.239', 1044935392, 1044935407, 'BE', 'Belgium'),
(16676, '62.72.114.240', '62.72.114.255', 1044935408, 1044935423, 'GB', 'United Kingdom'),
(16677, '62.72.115.0', '62.72.115.7', 1044935424, 1044935431, 'BE', 'Belgium'),
(16678, '62.72.115.8', '62.72.115.15', 1044935432, 1044935439, 'LU', 'Luxembourg'),
(16679, '62.72.115.16', '62.72.115.171', 1044935440, 1044935595, 'BE', 'Belgium'),
(16680, '62.72.115.172', '62.72.115.175', 1044935596, 1044935599, 'GB', 'United Kingdom'),
(16681, '62.72.115.176', '62.72.115.199', 1044935600, 1044935623, 'BE', 'Belgium'),
(16682, '62.72.115.200', '62.72.115.207', 1044935624, 1044935631, 'GB', 'United Kingdom'),
(16683, '62.72.115.208', '62.72.116.63', 1044935632, 1044935743, 'BE', 'Belgium'),
(16684, '62.72.116.64', '62.72.116.71', 1044935744, 1044935751, 'GB', 'United Kingdom'),
(16685, '62.72.116.72', '62.72.116.159', 1044935752, 1044935839, 'BE', 'Belgium'),
(16686, '62.72.116.160', '62.72.116.167', 1044935840, 1044935847, 'GB', 'United Kingdom'),
(16687, '62.72.116.168', '62.72.116.171', 1044935848, 1044935851, 'BE', 'Belgium'),
(16688, '62.72.116.172', '62.72.116.191', 1044935852, 1044935871, 'GB', 'United Kingdom'),
(16689, '62.72.116.192', '62.72.116.199', 1044935872, 1044935879, 'BE', 'Belgium'),
(16690, '62.72.116.200', '62.72.116.207', 1044935880, 1044935887, 'GB', 'United Kingdom'),
(16691, '62.72.116.208', '62.72.116.215', 1044935888, 1044935895, 'BE', 'Belgium'),
(16692, '62.72.116.216', '62.72.117.159', 1044935896, 1044936095, 'GB', 'United Kingdom'),
(16693, '62.72.117.160', '62.72.117.167', 1044936096, 1044936103, 'BE', 'Belgium'),
(16694, '62.72.117.168', '62.72.117.175', 1044936104, 1044936111, 'GB', 'United Kingdom'),
(16695, '62.72.117.176', '62.72.117.187', 1044936112, 1044936123, 'BE', 'Belgium'),
(16696, '62.72.117.188', '62.72.117.215', 1044936124, 1044936151, 'GB', 'United Kingdom'),
(16697, '62.72.117.216', '62.72.118.15', 1044936152, 1044936207, 'BE', 'Belgium'),
(16698, '62.72.118.16', '62.72.118.23', 1044936208, 1044936215, 'GB', 'United Kingdom'),
(16699, '62.72.118.24', '62.72.118.39', 1044936216, 1044936231, 'BE', 'Belgium'),
(16700, '62.72.118.40', '62.72.118.47', 1044936232, 1044936239, 'GB', 'United Kingdom'),
(16701, '62.72.118.48', '62.72.118.79', 1044936240, 1044936271, 'BE', 'Belgium'),
(16702, '62.72.118.80', '62.72.118.95', 1044936272, 1044936287, 'GB', 'United Kingdom'),
(16703, '62.72.118.96', '62.72.118.111', 1044936288, 1044936303, 'BE', 'Belgium'),
(16704, '62.72.118.112', '62.72.118.119', 1044936304, 1044936311, 'GB', 'United Kingdom'),
(16705, '62.72.118.120', '62.72.118.143', 1044936312, 1044936335, 'BE', 'Belgium'),
(16706, '62.72.118.144', '62.72.118.159', 1044936336, 1044936351, 'GB', 'United Kingdom'),
(16707, '62.72.118.160', '62.72.118.247', 1044936352, 1044936439, 'BE', 'Belgium'),
(16708, '62.72.118.248', '62.72.119.15', 1044936440, 1044936463, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(16709, '62.72.119.16', '62.72.119.47', 1044936464, 1044936495, 'BE', 'Belgium'),
(16710, '62.72.119.48', '62.72.119.55', 1044936496, 1044936503, 'GB', 'United Kingdom'),
(16711, '62.72.119.56', '62.72.120.7', 1044936504, 1044936711, 'BE', 'Belgium'),
(16712, '62.72.120.8', '62.72.120.15', 1044936712, 1044936719, 'GB', 'United Kingdom'),
(16713, '62.72.120.16', '62.72.120.143', 1044936720, 1044936847, 'BE', 'Belgium'),
(16714, '62.72.120.144', '62.72.120.159', 1044936848, 1044936863, 'GB', 'United Kingdom'),
(16715, '62.72.120.160', '62.72.120.191', 1044936864, 1044936895, 'BE', 'Belgium'),
(16716, '62.72.120.192', '62.72.120.199', 1044936896, 1044936903, 'GB', 'United Kingdom'),
(16717, '62.72.120.200', '62.72.120.207', 1044936904, 1044936911, 'BE', 'Belgium'),
(16718, '62.72.120.208', '62.72.120.255', 1044936912, 1044936959, 'GB', 'United Kingdom'),
(16719, '62.72.121.0', '62.72.121.63', 1044936960, 1044937023, 'BE', 'Belgium'),
(16720, '62.72.121.64', '62.72.121.71', 1044937024, 1044937031, 'GB', 'United Kingdom'),
(16721, '62.72.121.72', '62.72.121.223', 1044937032, 1044937183, 'BE', 'Belgium'),
(16722, '62.72.121.224', '62.72.121.227', 1044937184, 1044937187, 'GB', 'United Kingdom'),
(16723, '62.72.121.228', '62.72.122.71', 1044937188, 1044937287, 'BE', 'Belgium'),
(16724, '62.72.122.72', '62.72.122.95', 1044937288, 1044937311, 'GB', 'United Kingdom'),
(16725, '62.72.122.96', '62.72.122.175', 1044937312, 1044937391, 'BE', 'Belgium'),
(16726, '62.72.122.176', '62.72.122.183', 1044937392, 1044937399, 'GB', 'United Kingdom'),
(16727, '62.72.122.184', '62.72.123.15', 1044937400, 1044937487, 'BE', 'Belgium'),
(16728, '62.72.123.16', '62.72.123.31', 1044937488, 1044937503, 'GB', 'United Kingdom'),
(16729, '62.72.123.32', '62.72.123.43', 1044937504, 1044937515, 'BE', 'Belgium'),
(16730, '62.72.123.44', '62.72.123.59', 1044937516, 1044937531, 'GB', 'United Kingdom'),
(16731, '62.72.123.60', '62.72.123.63', 1044937532, 1044937535, 'BE', 'Belgium'),
(16732, '62.72.123.64', '62.72.123.79', 1044937536, 1044937551, 'GB', 'United Kingdom'),
(16733, '62.72.123.80', '62.72.123.95', 1044937552, 1044937567, 'BE', 'Belgium'),
(16734, '62.72.123.96', '62.72.123.111', 1044937568, 1044937583, 'GB', 'United Kingdom'),
(16735, '62.72.123.112', '62.72.123.119', 1044937584, 1044937591, 'BE', 'Belgium'),
(16736, '62.72.123.120', '62.72.123.127', 1044937592, 1044937599, 'GB', 'United Kingdom'),
(16737, '62.72.123.128', '62.72.123.143', 1044937600, 1044937615, 'BE', 'Belgium'),
(16738, '62.72.123.144', '62.72.123.159', 1044937616, 1044937631, 'GB', 'United Kingdom'),
(16739, '62.72.123.160', '62.72.123.207', 1044937632, 1044937679, 'BE', 'Belgium'),
(16740, '62.72.123.208', '62.72.123.223', 1044937680, 1044937695, 'GB', 'United Kingdom'),
(16741, '62.72.123.224', '62.72.123.231', 1044937696, 1044937703, 'BE', 'Belgium'),
(16742, '62.72.123.232', '62.72.123.239', 1044937704, 1044937711, 'GB', 'United Kingdom'),
(16743, '62.72.123.240', '62.72.124.19', 1044937712, 1044937747, 'BE', 'Belgium'),
(16744, '62.72.124.20', '62.72.124.39', 1044937748, 1044937767, 'GB', 'United Kingdom'),
(16745, '62.72.124.40', '62.72.124.103', 1044937768, 1044937831, 'BE', 'Belgium'),
(16746, '62.72.124.104', '62.72.124.111', 1044937832, 1044937839, 'GB', 'United Kingdom'),
(16747, '62.72.124.112', '62.72.124.119', 1044937840, 1044937847, 'BE', 'Belgium'),
(16748, '62.72.124.120', '62.72.124.159', 1044937848, 1044937887, 'GB', 'United Kingdom'),
(16749, '62.72.124.160', '62.72.124.175', 1044937888, 1044937903, 'BE', 'Belgium'),
(16750, '62.72.124.176', '62.72.124.187', 1044937904, 1044937915, 'GB', 'United Kingdom'),
(16751, '62.72.124.188', '62.72.124.243', 1044937916, 1044937971, 'BE', 'Belgium'),
(16752, '62.72.124.244', '62.72.124.247', 1044937972, 1044937975, 'GB', 'United Kingdom'),
(16753, '62.72.124.248', '62.72.125.63', 1044937976, 1044938047, 'BE', 'Belgium'),
(16754, '62.72.125.64', '62.72.125.95', 1044938048, 1044938079, 'GB', 'United Kingdom'),
(16755, '62.72.125.96', '62.72.125.119', 1044938080, 1044938103, 'BE', 'Belgium'),
(16756, '62.72.125.120', '62.72.125.123', 1044938104, 1044938107, 'GB', 'United Kingdom'),
(16757, '62.72.125.124', '62.72.125.127', 1044938108, 1044938111, 'BE', 'Belgium'),
(16758, '62.72.125.128', '62.72.125.159', 1044938112, 1044938143, 'GB', 'United Kingdom'),
(16759, '62.72.125.160', '62.72.125.191', 1044938144, 1044938175, 'BE', 'Belgium'),
(16760, '62.72.125.192', '62.72.125.223', 1044938176, 1044938207, 'GB', 'United Kingdom'),
(16761, '62.72.125.224', '62.72.125.251', 1044938208, 1044938235, 'BE', 'Belgium'),
(16762, '62.72.125.252', '62.72.126.31', 1044938236, 1044938271, 'GB', 'United Kingdom'),
(16763, '62.72.126.32', '62.72.126.95', 1044938272, 1044938335, 'BE', 'Belgium'),
(16764, '62.72.126.96', '62.72.126.103', 1044938336, 1044938343, 'GB', 'United Kingdom'),
(16765, '62.72.126.104', '62.72.126.127', 1044938344, 1044938367, 'BE', 'Belgium'),
(16766, '62.72.126.128', '62.72.126.159', 1044938368, 1044938399, 'GB', 'United Kingdom'),
(16767, '62.72.126.160', '62.72.126.167', 1044938400, 1044938407, 'BE', 'Belgium'),
(16768, '62.72.126.168', '62.72.126.175', 1044938408, 1044938415, 'GB', 'United Kingdom'),
(16769, '62.72.126.176', '62.72.126.183', 1044938416, 1044938423, 'BE', 'Belgium'),
(16770, '62.72.126.184', '62.72.126.191', 1044938424, 1044938431, 'GB', 'United Kingdom'),
(16771, '62.72.126.192', '62.72.126.239', 1044938432, 1044938479, 'BE', 'Belgium'),
(16772, '62.72.126.240', '62.72.127.15', 1044938480, 1044938511, 'GB', 'United Kingdom'),
(16773, '62.72.127.16', '62.72.127.23', 1044938512, 1044938519, 'BE', 'Belgium'),
(16774, '62.72.127.24', '62.72.127.27', 1044938520, 1044938523, 'GB', 'United Kingdom'),
(16775, '62.72.127.28', '62.72.127.63', 1044938524, 1044938559, 'BE', 'Belgium'),
(16776, '62.72.127.64', '62.72.127.127', 1044938560, 1044938623, 'LU', 'Luxembourg'),
(16777, '62.72.127.128', '62.72.127.135', 1044938624, 1044938631, 'BE', 'Belgium'),
(16778, '62.72.127.136', '62.72.127.143', 1044938632, 1044938639, 'GB', 'United Kingdom'),
(16779, '62.72.127.144', '62.72.127.159', 1044938640, 1044938655, 'BE', 'Belgium'),
(16780, '62.72.127.160', '62.72.127.199', 1044938656, 1044938695, 'GB', 'United Kingdom'),
(16781, '62.72.127.200', '62.72.127.207', 1044938696, 1044938703, 'BE', 'Belgium'),
(16782, '62.72.127.208', '62.72.127.223', 1044938704, 1044938719, 'GB', 'United Kingdom'),
(16783, '62.72.127.224', '62.72.127.255', 1044938720, 1044938751, 'LU', 'Luxembourg'),
(16784, '62.72.128.0', '62.72.159.255', 1044938752, 1044946943, 'GB', 'United Kingdom'),
(16785, '62.72.160.0', '62.72.191.255', 1044946944, 1044955135, 'UA', 'Ukraine'),
(16786, '62.72.192.0', '62.72.223.255', 1044955136, 1044963327, 'NL', 'Netherlands'),
(16787, '62.72.224.0', '62.72.255.255', 1044963328, 1044971519, 'FI', 'Finland'),
(16788, '62.73.0.0', '62.73.31.255', 1044971520, 1044979711, 'FR', 'France'),
(16789, '62.73.32.0', '62.73.63.255', 1044979712, 1044987903, 'FI', 'Finland'),
(16790, '62.73.64.0', '62.73.127.255', 1044987904, 1045004287, 'BG', 'Bulgaria'),
(16791, '62.73.128.0', '62.73.162.239', 1045004288, 1045013231, 'GB', 'United Kingdom'),
(16792, '62.73.162.240', '62.73.162.255', 1045013232, 1045013247, 'IE', 'Ireland'),
(16793, '62.73.163.0', '62.73.163.207', 1045013248, 1045013455, 'GB', 'United Kingdom'),
(16794, '62.73.163.208', '62.73.163.223', 1045013456, 1045013471, 'IE', 'Ireland'),
(16795, '62.73.163.224', '62.73.177.0', 1045013472, 1045016832, 'GB', 'United Kingdom'),
(16796, '62.73.177.1', '62.73.177.30', 1045016833, 1045016862, 'ES', 'Spain'),
(16797, '62.73.177.31', '62.73.177.48', 1045016863, 1045016880, 'GB', 'United Kingdom'),
(16798, '62.73.177.49', '62.73.177.54', 1045016881, 1045016886, 'ES', 'Spain'),
(16799, '62.73.177.55', '62.73.177.56', 1045016887, 1045016888, 'GB', 'United Kingdom'),
(16800, '62.73.177.57', '62.73.177.62', 1045016889, 1045016894, 'ES', 'Spain'),
(16801, '62.73.177.63', '62.73.177.63', 1045016895, 1045016895, 'GB', 'United Kingdom'),
(16802, '62.73.177.64', '62.73.177.79', 1045016896, 1045016911, 'ES', 'Spain'),
(16803, '62.73.177.80', '62.73.177.128', 1045016912, 1045016960, 'GB', 'United Kingdom'),
(16804, '62.73.177.129', '62.73.177.190', 1045016961, 1045017022, 'ES', 'Spain'),
(16805, '62.73.177.191', '62.73.182.31', 1045017023, 1045018143, 'GB', 'United Kingdom'),
(16806, '62.73.182.32', '62.73.182.39', 1045018144, 1045018151, 'AE', 'United Arab Emirates'),
(16807, '62.73.182.40', '62.73.182.95', 1045018152, 1045018207, 'GB', 'United Kingdom'),
(16808, '62.73.182.96', '62.73.182.119', 1045018208, 1045018231, 'FI', 'Finland'),
(16809, '62.73.182.120', '62.73.182.255', 1045018232, 1045018367, 'GB', 'United Kingdom'),
(16810, '62.73.183.0', '62.73.183.191', 1045018368, 1045018559, 'ES', 'Spain'),
(16811, '62.73.183.192', '62.73.183.255', 1045018560, 1045018623, 'GB', 'United Kingdom'),
(16812, '62.73.184.0', '62.73.184.159', 1045018624, 1045018783, 'ES', 'Spain'),
(16813, '62.73.184.160', '62.73.189.255', 1045018784, 1045020159, 'GB', 'United Kingdom'),
(16814, '62.73.190.0', '62.73.191.255', 1045020160, 1045020671, 'ES', 'Spain'),
(16815, '62.73.192.0', '62.73.255.255', 1045020672, 1045037055, 'NO', 'Norway'),
(16816, '62.74.0.0', '62.75.63.255', 1045037056, 1045118975, 'GR', 'Greece'),
(16817, '62.75.64.0', '62.75.64.255', 1045118976, 1045119231, 'US', 'United States'),
(16818, '62.75.65.0', '62.75.66.255', 1045119232, 1045119743, 'AL', 'Albania'),
(16819, '62.75.67.0', '62.75.127.255', 1045119744, 1045135359, 'GR', 'Greece'),
(16820, '62.75.128.0', '62.75.152.255', 1045135360, 1045141759, 'DE', 'Germany'),
(16821, '62.75.153.0', '62.75.153.255', 1045141760, 1045142015, 'PL', 'Poland'),
(16822, '62.75.154.0', '62.75.182.134', 1045142016, 1045149318, 'DE', 'Germany'),
(16823, '62.75.182.135', '62.75.182.135', 1045149319, 1045149319, 'US', 'United States'),
(16824, '62.75.182.136', '62.75.182.157', 1045149320, 1045149341, 'DE', 'Germany'),
(16825, '62.75.182.158', '62.75.182.160', 1045149342, 1045149344, 'US', 'United States'),
(16826, '62.75.182.161', '62.75.182.161', 1045149345, 1045149345, 'DE', 'Germany'),
(16827, '62.75.182.162', '62.75.182.162', 1045149346, 1045149346, 'PL', 'Poland'),
(16828, '62.75.182.163', '62.75.182.167', 1045149347, 1045149351, 'DE', 'Germany'),
(16829, '62.75.182.168', '62.75.182.168', 1045149352, 1045149352, 'GB', 'United Kingdom'),
(16830, '62.75.182.169', '62.75.182.169', 1045149353, 1045149353, 'DE', 'Germany'),
(16831, '62.75.182.170', '62.75.182.170', 1045149354, 1045149354, 'TR', 'Turkey'),
(16832, '62.75.182.171', '62.75.201.11', 1045149355, 1045154059, 'DE', 'Germany'),
(16833, '62.75.201.12', '62.75.201.12', 1045154060, 1045154060, 'IL', 'Israel'),
(16834, '62.75.201.13', '62.75.201.13', 1045154061, 1045154061, 'DE', 'Germany'),
(16835, '62.75.201.14', '62.75.201.14', 1045154062, 1045154062, 'BR', 'Brazil'),
(16836, '62.75.201.15', '62.75.201.17', 1045154063, 1045154065, 'DE', 'Germany'),
(16837, '62.75.201.18', '62.75.201.20', 1045154066, 1045154068, 'BR', 'Brazil'),
(16838, '62.75.201.21', '62.75.201.26', 1045154069, 1045154074, 'DE', 'Germany'),
(16839, '62.75.201.27', '62.75.201.35', 1045154075, 1045154083, 'BR', 'Brazil'),
(16840, '62.75.201.36', '62.75.201.36', 1045154084, 1045154084, 'IL', 'Israel'),
(16841, '62.75.201.37', '62.75.201.58', 1045154085, 1045154106, 'DE', 'Germany'),
(16842, '62.75.201.59', '62.75.201.60', 1045154107, 1045154108, 'IL', 'Israel'),
(16843, '62.75.201.61', '62.75.201.61', 1045154109, 1045154109, 'NL', 'Netherlands'),
(16844, '62.75.201.62', '62.75.201.62', 1045154110, 1045154110, 'IL', 'Israel'),
(16845, '62.75.201.63', '62.75.202.255', 1045154111, 1045154559, 'DE', 'Germany'),
(16846, '62.75.203.0', '62.75.203.31', 1045154560, 1045154591, 'NL', 'Netherlands'),
(16847, '62.75.203.32', '62.75.203.63', 1045154592, 1045154623, 'DE', 'Germany'),
(16848, '62.75.203.64', '62.75.203.95', 1045154624, 1045154655, 'GB', 'United Kingdom'),
(16849, '62.75.203.96', '62.75.203.127', 1045154656, 1045154687, 'MA', 'Morocco'),
(16850, '62.75.203.128', '62.75.203.159', 1045154688, 1045154719, 'US', 'United States'),
(16851, '62.75.203.160', '62.75.203.191', 1045154720, 1045154751, 'RU', 'Russian Federation'),
(16852, '62.75.203.192', '62.75.203.223', 1045154752, 1045154783, 'SE', 'Sweden'),
(16853, '62.75.203.224', '62.75.203.255', 1045154784, 1045154815, 'BR', 'Brazil'),
(16854, '62.75.204.0', '62.75.204.255', 1045154816, 1045155071, 'DE', 'Germany'),
(16855, '62.75.205.0', '62.75.205.255', 1045155072, 1045155327, 'CH', 'Switzerland'),
(16856, '62.75.206.0', '62.75.217.133', 1045155328, 1045158277, 'DE', 'Germany'),
(16857, '62.75.217.134', '62.75.217.134', 1045158278, 1045158278, 'IL', 'Israel'),
(16858, '62.75.217.135', '62.75.217.135', 1045158279, 1045158279, 'DE', 'Germany'),
(16859, '62.75.217.136', '62.75.217.136', 1045158280, 1045158280, 'IL', 'Israel'),
(16860, '62.75.217.137', '62.75.217.137', 1045158281, 1045158281, 'DE', 'Germany'),
(16861, '62.75.217.138', '62.75.217.140', 1045158282, 1045158284, 'IL', 'Israel'),
(16862, '62.75.217.141', '62.75.217.150', 1045158285, 1045158294, 'DE', 'Germany'),
(16863, '62.75.217.151', '62.75.217.155', 1045158295, 1045158299, 'IL', 'Israel'),
(16864, '62.75.217.156', '62.75.217.156', 1045158300, 1045158300, 'NL', 'Netherlands'),
(16865, '62.75.217.157', '62.75.217.157', 1045158301, 1045158301, 'US', 'United States'),
(16866, '62.75.217.158', '62.75.217.159', 1045158302, 1045158303, 'DE', 'Germany'),
(16867, '62.75.217.160', '62.75.217.160', 1045158304, 1045158304, 'IN', 'India'),
(16868, '62.75.217.161', '62.75.217.188', 1045158305, 1045158332, 'GB', 'United Kingdom'),
(16869, '62.75.217.189', '62.75.217.189', 1045158333, 1045158333, 'DE', 'Germany'),
(16870, '62.75.217.190', '62.75.217.190', 1045158334, 1045158334, 'GB', 'United Kingdom'),
(16871, '62.75.217.191', '62.75.227.255', 1045158335, 1045160959, 'DE', 'Germany'),
(16872, '62.75.228.0', '62.75.228.31', 1045160960, 1045160991, 'TR', 'Turkey'),
(16873, '62.75.228.32', '62.75.228.63', 1045160992, 1045161023, 'MA', 'Morocco'),
(16874, '62.75.228.64', '62.75.228.95', 1045161024, 1045161055, 'AT', 'Austria'),
(16875, '62.75.228.96', '62.75.228.127', 1045161056, 1045161087, 'US', 'United States'),
(16876, '62.75.228.128', '62.75.228.159', 1045161088, 1045161119, 'IN', 'India'),
(16877, '62.75.228.160', '62.75.228.191', 1045161120, 1045161151, 'SC', 'Seychelles'),
(16878, '62.75.228.192', '62.75.228.223', 1045161152, 1045161183, 'DE', 'Germany'),
(16879, '62.75.228.224', '62.75.228.255', 1045161184, 1045161215, 'IN', 'India'),
(16880, '62.75.229.0', '62.75.255.255', 1045161216, 1045168127, 'DE', 'Germany'),
(16881, '62.76.0.0', '62.76.255.255', 1045168128, 1045233663, 'RU', 'Russian Federation'),
(16882, '62.77.0.0', '62.77.31.255', 1045233664, 1045241855, 'GB', 'United Kingdom'),
(16883, '62.77.32.0', '62.77.63.255', 1045241856, 1045250047, 'IT', 'Italy'),
(16884, '62.77.64.0', '62.77.127.255', 1045250048, 1045266431, 'CZ', 'Czech Republic'),
(16885, '62.77.128.0', '62.77.159.255', 1045266432, 1045274623, 'HU', 'Hungary'),
(16886, '62.77.160.0', '62.77.191.255', 1045274624, 1045282815, 'IE', 'Ireland'),
(16887, '62.77.192.0', '62.77.255.255', 1045282816, 1045299199, 'HU', 'Hungary'),
(16888, '62.78.0.0', '62.78.11.255', 1045299200, 1045302271, 'GB', 'United Kingdom'),
(16889, '62.78.12.0', '62.78.15.255', 1045302272, 1045303295, 'EU', 'Europe'),
(16890, '62.78.16.0', '62.78.25.255', 1045303296, 1045305855, 'DE', 'Germany'),
(16891, '62.78.26.0', '62.78.31.255', 1045305856, 1045307391, 'EU', 'Europe'),
(16892, '62.78.32.0', '62.78.63.255', 1045307392, 1045315583, 'RU', 'Russian Federation'),
(16893, '62.78.64.0', '62.78.79.255', 1045315584, 1045319679, 'DE', 'Germany'),
(16894, '62.78.80.0', '62.78.95.255', 1045319680, 1045323775, 'RU', 'Russian Federation'),
(16895, '62.78.96.0', '62.78.255.255', 1045323776, 1045364735, 'FI', 'Finland'),
(16896, '62.79.0.0', '62.79.255.255', 1045364736, 1045430271, 'DK', 'Denmark'),
(16897, '62.80.0.0', '62.80.25.239', 1045430272, 1045436911, 'DE', 'Germany'),
(16898, '62.80.25.240', '62.80.25.247', 1045436912, 1045436919, 'GB', 'United Kingdom'),
(16899, '62.80.25.248', '62.80.63.255', 1045436920, 1045446655, 'DE', 'Germany'),
(16900, '62.80.64.0', '62.80.64.255', 1045446656, 1045446911, 'HU', 'Hungary'),
(16901, '62.80.65.0', '62.80.65.255', 1045446912, 1045447167, 'SK', 'Slovakia'),
(16902, '62.80.66.0', '62.80.66.63', 1045447168, 1045447231, 'HU', 'Hungary'),
(16903, '62.80.66.64', '62.80.66.127', 1045447232, 1045447295, 'SK', 'Slovakia'),
(16904, '62.80.66.128', '62.80.66.143', 1045447296, 1045447311, 'HU', 'Hungary'),
(16905, '62.80.66.144', '62.80.67.95', 1045447312, 1045447519, 'SK', 'Slovakia'),
(16906, '62.80.67.96', '62.80.67.127', 1045447520, 1045447551, 'HU', 'Hungary'),
(16907, '62.80.67.128', '62.80.70.63', 1045447552, 1045448255, 'SK', 'Slovakia'),
(16908, '62.80.70.64', '62.80.70.71', 1045448256, 1045448263, 'HU', 'Hungary'),
(16909, '62.80.70.72', '62.80.71.255', 1045448264, 1045448703, 'SK', 'Slovakia'),
(16910, '62.80.72.0', '62.80.72.63', 1045448704, 1045448767, 'HU', 'Hungary'),
(16911, '62.80.72.64', '62.80.79.255', 1045448768, 1045450751, 'SK', 'Slovakia'),
(16912, '62.80.80.0', '62.80.81.255', 1045450752, 1045451263, 'CZ', 'Czech Republic'),
(16913, '62.80.82.0', '62.80.83.255', 1045451264, 1045451775, 'SK', 'Slovakia'),
(16914, '62.80.84.0', '62.80.85.47', 1045451776, 1045452079, 'CZ', 'Czech Republic'),
(16915, '62.80.85.48', '62.80.85.127', 1045452080, 1045452159, 'SK', 'Slovakia'),
(16916, '62.80.85.128', '62.80.85.255', 1045452160, 1045452287, 'CZ', 'Czech Republic'),
(16917, '62.80.86.0', '62.80.87.255', 1045452288, 1045452799, 'SK', 'Slovakia'),
(16918, '62.80.88.0', '62.80.88.255', 1045452800, 1045453055, 'CZ', 'Czech Republic'),
(16919, '62.80.89.0', '62.80.95.255', 1045453056, 1045454847, 'SK', 'Slovakia'),
(16920, '62.80.96.0', '62.80.119.255', 1045454848, 1045460991, 'DE', 'Germany'),
(16921, '62.80.120.0', '62.80.121.255', 1045460992, 1045461503, 'FR', 'France'),
(16922, '62.80.122.0', '62.80.122.127', 1045461504, 1045461631, 'DE', 'Germany'),
(16923, '62.80.122.128', '62.80.122.191', 1045461632, 1045461695, 'FR', 'France'),
(16924, '62.80.122.192', '62.80.122.199', 1045461696, 1045461703, 'DE', 'Germany'),
(16925, '62.80.122.200', '62.80.122.207', 1045461704, 1045461711, 'GB', 'United Kingdom'),
(16926, '62.80.122.208', '62.80.122.215', 1045461712, 1045461719, 'FR', 'France'),
(16927, '62.80.122.216', '62.80.122.223', 1045461720, 1045461727, 'IT', 'Italy'),
(16928, '62.80.122.224', '62.80.122.231', 1045461728, 1045461735, 'ES', 'Spain'),
(16929, '62.80.122.232', '62.80.122.239', 1045461736, 1045461743, 'NL', 'Netherlands'),
(16930, '62.80.122.240', '62.80.127.255', 1045461744, 1045463039, 'DE', 'Germany'),
(16931, '62.80.128.0', '62.80.159.255', 1045463040, 1045471231, 'FI', 'Finland'),
(16932, '62.80.160.0', '62.80.191.255', 1045471232, 1045479423, 'UA', 'Ukraine'),
(16933, '62.80.192.0', '62.80.223.255', 1045479424, 1045487615, 'SE', 'Sweden'),
(16934, '62.80.224.0', '62.80.255.255', 1045487616, 1045495807, 'LT', 'Lithuania'),
(16935, '62.81.0.0', '62.83.255.255', 1045495808, 1045692415, 'ES', 'Spain'),
(16936, '62.84.0.0', '62.84.31.255', 1045692416, 1045700607, 'LV', 'Latvia'),
(16937, '62.84.32.0', '62.84.63.255', 1045700608, 1045708799, 'KZ', 'Kazakhstan'),
(16938, '62.84.64.0', '62.84.95.255', 1045708800, 1045716991, 'LB', 'Lebanon'),
(16939, '62.84.96.0', '62.84.127.255', 1045716992, 1045725183, 'RU', 'Russian Federation'),
(16940, '62.84.128.0', '62.84.159.255', 1045725184, 1045733375, 'CZ', 'Czech Republic'),
(16941, '62.84.160.0', '62.84.191.255', 1045733376, 1045741567, 'GB', 'United Kingdom'),
(16942, '62.84.192.0', '62.84.192.255', 1045741568, 1045741823, 'SE', 'Sweden'),
(16943, '62.84.193.0', '62.84.193.7', 1045741824, 1045741831, 'GB', 'United Kingdom'),
(16944, '62.84.193.8', '62.84.193.15', 1045741832, 1045741839, 'BE', 'Belgium'),
(16945, '62.84.193.16', '62.84.193.63', 1045741840, 1045741887, 'SE', 'Sweden'),
(16946, '62.84.193.64', '62.84.193.215', 1045741888, 1045742039, 'GB', 'United Kingdom'),
(16947, '62.84.193.216', '62.84.193.223', 1045742040, 1045742047, 'SE', 'Sweden'),
(16948, '62.84.193.224', '62.84.194.31', 1045742048, 1045742111, 'GB', 'United Kingdom'),
(16949, '62.84.194.32', '62.84.194.35', 1045742112, 1045742115, 'SE', 'Sweden'),
(16950, '62.84.194.36', '62.84.194.95', 1045742116, 1045742175, 'GB', 'United Kingdom'),
(16951, '62.84.194.96', '62.84.194.111', 1045742176, 1045742191, 'SE', 'Sweden'),
(16952, '62.84.194.112', '62.84.194.255', 1045742192, 1045742335, 'GB', 'United Kingdom'),
(16953, '62.84.195.0', '62.84.195.55', 1045742336, 1045742391, 'SE', 'Sweden'),
(16954, '62.84.195.56', '62.84.195.59', 1045742392, 1045742395, 'GB', 'United Kingdom'),
(16955, '62.84.195.60', '62.84.195.135', 1045742396, 1045742471, 'SE', 'Sweden'),
(16956, '62.84.195.136', '62.84.195.143', 1045742472, 1045742479, 'GB', 'United Kingdom'),
(16957, '62.84.195.144', '62.84.195.151', 1045742480, 1045742487, 'SE', 'Sweden'),
(16958, '62.84.195.152', '62.84.195.159', 1045742488, 1045742495, 'GB', 'United Kingdom'),
(16959, '62.84.195.160', '62.84.195.175', 1045742496, 1045742511, 'SE', 'Sweden'),
(16960, '62.84.195.176', '62.84.195.239', 1045742512, 1045742575, 'GB', 'United Kingdom'),
(16961, '62.84.195.240', '62.84.196.31', 1045742576, 1045742623, 'SE', 'Sweden'),
(16962, '62.84.196.32', '62.84.196.159', 1045742624, 1045742751, 'GB', 'United Kingdom'),
(16963, '62.84.196.160', '62.84.196.167', 1045742752, 1045742759, 'SE', 'Sweden'),
(16964, '62.84.196.168', '62.84.196.255', 1045742760, 1045742847, 'GB', 'United Kingdom'),
(16965, '62.84.197.0', '62.84.197.135', 1045742848, 1045742983, 'SE', 'Sweden'),
(16966, '62.84.197.136', '62.84.197.143', 1045742984, 1045742991, 'GB', 'United Kingdom'),
(16967, '62.84.197.144', '62.84.197.159', 1045742992, 1045743007, 'SE', 'Sweden'),
(16968, '62.84.197.160', '62.84.197.167', 1045743008, 1045743015, 'FI', 'Finland'),
(16969, '62.84.197.168', '62.84.197.183', 1045743016, 1045743031, 'GB', 'United Kingdom'),
(16970, '62.84.197.184', '62.84.197.191', 1045743032, 1045743039, 'SE', 'Sweden'),
(16971, '62.84.197.192', '62.84.197.215', 1045743040, 1045743063, 'GB', 'United Kingdom'),
(16972, '62.84.197.216', '62.84.197.247', 1045743064, 1045743095, 'SE', 'Sweden'),
(16973, '62.84.197.248', '62.84.197.255', 1045743096, 1045743103, 'GB', 'United Kingdom'),
(16974, '62.84.198.0', '62.84.198.127', 1045743104, 1045743231, 'SE', 'Sweden'),
(16975, '62.84.198.128', '62.84.198.147', 1045743232, 1045743251, 'GB', 'United Kingdom'),
(16976, '62.84.198.148', '62.84.198.159', 1045743252, 1045743263, 'SE', 'Sweden'),
(16977, '62.84.198.160', '62.84.198.195', 1045743264, 1045743299, 'GB', 'United Kingdom'),
(16978, '62.84.198.196', '62.84.200.7', 1045743300, 1045743623, 'SE', 'Sweden'),
(16979, '62.84.200.8', '62.84.200.255', 1045743624, 1045743871, 'GB', 'United Kingdom'),
(16980, '62.84.201.0', '62.84.201.135', 1045743872, 1045744007, 'SE', 'Sweden'),
(16981, '62.84.201.136', '62.84.201.143', 1045744008, 1045744015, 'GB', 'United Kingdom'),
(16982, '62.84.201.144', '62.84.201.159', 1045744016, 1045744031, 'SE', 'Sweden'),
(16983, '62.84.201.160', '62.84.201.255', 1045744032, 1045744127, 'GB', 'United Kingdom'),
(16984, '62.84.202.0', '62.84.203.255', 1045744128, 1045744639, 'SE', 'Sweden'),
(16985, '62.84.204.0', '62.84.204.31', 1045744640, 1045744671, 'BE', 'Belgium'),
(16986, '62.84.204.32', '62.84.206.255', 1045744672, 1045745407, 'GB', 'United Kingdom'),
(16987, '62.84.207.0', '62.84.207.199', 1045745408, 1045745607, 'SE', 'Sweden'),
(16988, '62.84.207.200', '62.84.207.207', 1045745608, 1045745615, 'FI', 'Finland'),
(16989, '62.84.207.208', '62.84.207.219', 1045745616, 1045745627, 'SE', 'Sweden'),
(16990, '62.84.207.220', '62.84.207.223', 1045745628, 1045745631, 'GB', 'United Kingdom'),
(16991, '62.84.207.224', '62.84.207.239', 1045745632, 1045745647, 'SE', 'Sweden'),
(16992, '62.84.207.240', '62.84.207.247', 1045745648, 1045745655, 'GB', 'United Kingdom'),
(16993, '62.84.207.248', '62.84.207.255', 1045745656, 1045745663, 'FI', 'Finland'),
(16994, '62.84.208.0', '62.84.208.31', 1045745664, 1045745695, 'SE', 'Sweden'),
(16995, '62.84.208.32', '62.84.208.95', 1045745696, 1045745759, 'GB', 'United Kingdom'),
(16996, '62.84.208.96', '62.84.208.104', 1045745760, 1045745768, 'SE', 'Sweden'),
(16997, '62.84.208.105', '62.84.208.127', 1045745769, 1045745791, 'GB', 'United Kingdom'),
(16998, '62.84.208.128', '62.84.208.191', 1045745792, 1045745855, 'SE', 'Sweden'),
(16999, '62.84.208.192', '62.84.208.255', 1045745856, 1045745919, 'GB', 'United Kingdom'),
(17000, '62.84.209.0', '62.84.209.31', 1045745920, 1045745951, 'SE', 'Sweden'),
(17001, '62.84.209.32', '62.84.209.255', 1045745952, 1045746175, 'GB', 'United Kingdom'),
(17002, '62.84.210.0', '62.84.210.255', 1045746176, 1045746431, 'SE', 'Sweden'),
(17003, '62.84.211.0', '62.84.211.63', 1045746432, 1045746495, 'GB', 'United Kingdom'),
(17004, '62.84.211.64', '62.84.211.95', 1045746496, 1045746527, 'SE', 'Sweden'),
(17005, '62.84.211.96', '62.84.211.239', 1045746528, 1045746671, 'GB', 'United Kingdom'),
(17006, '62.84.211.240', '62.84.213.127', 1045746672, 1045747071, 'SE', 'Sweden'),
(17007, '62.84.213.128', '62.84.213.255', 1045747072, 1045747199, 'GB', 'United Kingdom'),
(17008, '62.84.214.0', '62.84.214.255', 1045747200, 1045747455, 'SE', 'Sweden'),
(17009, '62.84.215.0', '62.84.216.47', 1045747456, 1045747759, 'GB', 'United Kingdom'),
(17010, '62.84.216.48', '62.84.216.63', 1045747760, 1045747775, 'SE', 'Sweden'),
(17011, '62.84.216.64', '62.84.216.127', 1045747776, 1045747839, 'GB', 'United Kingdom'),
(17012, '62.84.216.128', '62.84.216.159', 1045747840, 1045747871, 'SE', 'Sweden'),
(17013, '62.84.216.160', '62.84.216.207', 1045747872, 1045747919, 'GB', 'United Kingdom'),
(17014, '62.84.216.208', '62.84.216.223', 1045747920, 1045747935, 'SE', 'Sweden'),
(17015, '62.84.216.224', '62.84.216.255', 1045747936, 1045747967, 'GB', 'United Kingdom'),
(17016, '62.84.217.0', '62.84.217.255', 1045747968, 1045748223, 'SE', 'Sweden'),
(17017, '62.84.218.0', '62.84.218.95', 1045748224, 1045748319, 'GB', 'United Kingdom'),
(17018, '62.84.218.96', '62.84.218.127', 1045748320, 1045748351, 'SE', 'Sweden'),
(17019, '62.84.218.128', '62.84.218.239', 1045748352, 1045748463, 'GB', 'United Kingdom'),
(17020, '62.84.218.240', '62.84.218.247', 1045748464, 1045748471, 'SE', 'Sweden'),
(17021, '62.84.218.248', '62.84.218.255', 1045748472, 1045748479, 'GB', 'United Kingdom'),
(17022, '62.84.219.0', '62.84.219.255', 1045748480, 1045748735, 'SE', 'Sweden'),
(17023, '62.84.220.0', '62.84.222.255', 1045748736, 1045749503, 'GB', 'United Kingdom'),
(17024, '62.84.223.0', '62.84.223.255', 1045749504, 1045749759, 'SE', 'Sweden'),
(17025, '62.84.224.0', '62.84.239.255', 1045749760, 1045753855, 'SI', 'Slovenia'),
(17026, '62.84.240.0', '62.84.247.255', 1045753856, 1045755903, 'NL', 'Netherlands'),
(17027, '62.84.248.0', '62.84.255.255', 1045755904, 1045757951, 'UA', 'Ukraine'),
(17028, '62.85.0.0', '62.85.127.255', 1045757952, 1045790719, 'LV', 'Latvia'),
(17029, '62.85.128.0', '62.85.159.255', 1045790720, 1045798911, 'FR', 'France'),
(17030, '62.85.160.0', '62.86.255.255', 1045798912, 1045889023, 'IT', 'Italy'),
(17031, '62.87.0.0', '62.87.127.255', 1045889024, 1045921791, 'ES', 'Spain'),
(17032, '62.87.128.0', '62.87.255.255', 1045921792, 1045954559, 'PL', 'Poland'),
(17033, '62.88.0.0', '62.88.127.255', 1045954560, 1045987327, 'BE', 'Belgium'),
(17034, '62.88.128.0', '62.88.255.255', 1045987328, 1046020095, 'SE', 'Sweden'),
(17035, '62.89.0.0', '62.89.31.255', 1046020096, 1046028287, 'AM', 'Armenia'),
(17036, '62.89.32.0', '62.89.63.255', 1046028288, 1046036479, 'NO', 'Norway'),
(17037, '62.89.64.0', '62.89.127.255', 1046036480, 1046052863, 'PL', 'Poland'),
(17038, '62.89.128.0', '62.89.159.255', 1046052864, 1046061055, 'GB', 'United Kingdom'),
(17039, '62.89.160.0', '62.89.191.255', 1046061056, 1046069247, 'DE', 'Germany'),
(17040, '62.89.192.0', '62.89.255.255', 1046069248, 1046085631, 'RU', 'Russian Federation'),
(17041, '62.90.0.0', '62.90.251.255', 1046085632, 1046150143, 'IL', 'Israel'),
(17042, '62.90.252.0', '62.90.253.209', 1046150144, 1046150609, 'LR', 'Liberia'),
(17043, '62.90.253.210', '62.90.255.255', 1046150610, 1046151167, 'IL', 'Israel'),
(17044, '62.91.0.0', '62.91.255.255', 1046151168, 1046216703, 'DE', 'Germany'),
(17045, '62.92.0.0', '62.92.34.239', 1046216704, 1046225647, 'NO', 'Norway'),
(17046, '62.92.34.240', '62.92.34.247', 1046225648, 1046225655, 'SE', 'Sweden'),
(17047, '62.92.34.248', '62.92.48.119', 1046225656, 1046229111, 'NO', 'Norway'),
(17048, '62.92.48.120', '62.92.48.127', 1046229112, 1046229119, 'SE', 'Sweden'),
(17049, '62.92.48.128', '62.92.255.255', 1046229120, 1046282239, 'NO', 'Norway'),
(17050, '62.93.0.0', '62.93.1.127', 1046282240, 1046282623, 'DE', 'Germany'),
(17051, '62.93.1.128', '62.93.1.255', 1046282624, 1046282751, 'US', 'United States'),
(17052, '62.93.2.0', '62.93.2.255', 1046282752, 1046283007, 'DE', 'Germany'),
(17053, '62.93.3.0', '62.93.3.127', 1046283008, 1046283135, 'BZ', 'Belize'),
(17054, '62.93.3.128', '62.93.3.159', 1046283136, 1046283167, 'DE', 'Germany'),
(17055, '62.93.3.160', '62.93.3.191', 1046283168, 1046283199, 'US', 'United States'),
(17056, '62.93.3.192', '62.93.3.239', 1046283200, 1046283247, 'DE', 'Germany'),
(17057, '62.93.3.240', '62.93.3.247', 1046283248, 1046283255, 'US', 'United States'),
(17058, '62.93.3.248', '62.93.3.255', 1046283256, 1046283263, 'DE', 'Germany'),
(17059, '62.93.4.0', '62.93.4.63', 1046283264, 1046283327, 'LU', 'Luxembourg'),
(17060, '62.93.4.64', '62.93.10.255', 1046283328, 1046285055, 'DE', 'Germany'),
(17061, '62.93.11.0', '62.93.11.63', 1046285056, 1046285119, 'HR', 'Croatia'),
(17062, '62.93.11.64', '62.93.11.127', 1046285120, 1046285183, 'MT', 'Malta'),
(17063, '62.93.11.128', '62.93.11.191', 1046285184, 1046285247, 'BZ', 'Belize'),
(17064, '62.93.11.192', '62.93.11.255', 1046285248, 1046285311, 'BA', 'Bosnia and Herzegovina'),
(17065, '62.93.12.0', '62.93.16.31', 1046285312, 1046286367, 'DE', 'Germany'),
(17066, '62.93.16.32', '62.93.16.63', 1046286368, 1046286399, 'US', 'United States'),
(17067, '62.93.16.64', '62.93.16.191', 1046286400, 1046286527, 'DE', 'Germany'),
(17068, '62.93.16.192', '62.93.16.255', 1046286528, 1046286591, 'US', 'United States'),
(17069, '62.93.17.0', '62.93.17.71', 1046286592, 1046286663, 'DE', 'Germany'),
(17070, '62.93.17.72', '62.93.17.79', 1046286664, 1046286671, 'BZ', 'Belize'),
(17071, '62.93.17.80', '62.93.17.191', 1046286672, 1046286783, 'DE', 'Germany'),
(17072, '62.93.17.192', '62.93.17.255', 1046286784, 1046286847, 'US', 'United States'),
(17073, '62.93.18.0', '62.93.18.87', 1046286848, 1046286935, 'DE', 'Germany'),
(17074, '62.93.18.88', '62.93.18.95', 1046286936, 1046286943, 'ES', 'Spain'),
(17075, '62.93.18.96', '62.93.18.191', 1046286944, 1046287039, 'DE', 'Germany'),
(17076, '62.93.18.192', '62.93.18.255', 1046287040, 1046287103, 'US', 'United States'),
(17077, '62.93.19.0', '62.93.19.7', 1046287104, 1046287111, 'DE', 'Germany'),
(17078, '62.93.19.8', '62.93.19.15', 1046287112, 1046287119, 'US', 'United States'),
(17079, '62.93.19.16', '62.93.19.31', 1046287120, 1046287135, 'DE', 'Germany'),
(17080, '62.93.19.32', '62.93.19.63', 1046287136, 1046287167, 'US', 'United States'),
(17081, '62.93.19.64', '62.93.19.191', 1046287168, 1046287295, 'DE', 'Germany'),
(17082, '62.93.19.192', '62.93.19.255', 1046287296, 1046287359, 'US', 'United States'),
(17083, '62.93.20.0', '62.93.23.255', 1046287360, 1046288383, 'DE', 'Germany'),
(17084, '62.93.24.0', '62.93.24.127', 1046288384, 1046288511, 'CZ', 'Czech Republic'),
(17085, '62.93.24.128', '62.93.24.159', 1046288512, 1046288543, 'US', 'United States'),
(17086, '62.93.24.160', '62.93.25.23', 1046288544, 1046288663, 'CZ', 'Czech Republic'),
(17087, '62.93.25.24', '62.93.25.31', 1046288664, 1046288671, 'DE', 'Germany'),
(17088, '62.93.25.32', '62.93.25.63', 1046288672, 1046288703, 'US', 'United States'),
(17089, '62.93.25.64', '62.93.25.127', 1046288704, 1046288767, 'DE', 'Germany'),
(17090, '62.93.25.128', '62.93.25.135', 1046288768, 1046288775, 'AG', 'Antigua and Barbuda'),
(17091, '62.93.25.136', '62.93.25.255', 1046288776, 1046288895, 'DE', 'Germany'),
(17092, '62.93.26.0', '62.93.31.255', 1046288896, 1046290431, 'AG', 'Antigua and Barbuda'),
(17093, '62.93.32.0', '62.93.63.255', 1046290432, 1046298623, 'PL', 'Poland'),
(17094, '62.93.64.0', '62.93.68.255', 1046298624, 1046299903, 'AT', 'Austria'),
(17095, '62.93.69.0', '62.93.69.255', 1046299904, 1046300159, 'MK', 'Macedonia'),
(17096, '62.93.70.0', '62.93.72.127', 1046300160, 1046300799, 'AT', 'Austria'),
(17097, '62.93.72.128', '62.93.72.255', 1046300800, 1046300927, 'MK', 'Macedonia'),
(17098, '62.93.73.0', '62.93.77.191', 1046300928, 1046302143, 'AT', 'Austria'),
(17099, '62.93.77.192', '62.93.77.255', 1046302144, 1046302207, 'MK', 'Macedonia'),
(17100, '62.93.78.0', '62.93.80.191', 1046302208, 1046302911, 'AT', 'Austria'),
(17101, '62.93.80.192', '62.93.80.255', 1046302912, 1046302975, 'MK', 'Macedonia'),
(17102, '62.93.81.0', '62.93.89.255', 1046302976, 1046305279, 'AT', 'Austria'),
(17103, '62.93.90.0', '62.93.90.127', 1046305280, 1046305407, 'MK', 'Macedonia'),
(17104, '62.93.90.128', '62.93.90.255', 1046305408, 1046305535, 'AT', 'Austria'),
(17105, '62.93.91.0', '62.93.91.127', 1046305536, 1046305663, 'MK', 'Macedonia'),
(17106, '62.93.91.128', '62.93.91.255', 1046305664, 1046305791, 'AT', 'Austria'),
(17107, '62.93.92.0', '62.93.95.255', 1046305792, 1046306815, 'MK', 'Macedonia'),
(17108, '62.93.96.0', '62.93.104.63', 1046306816, 1046308927, 'AT', 'Austria'),
(17109, '62.93.104.64', '62.93.106.127', 1046308928, 1046309503, 'MK', 'Macedonia'),
(17110, '62.93.106.128', '62.93.107.255', 1046309504, 1046309887, 'AT', 'Austria'),
(17111, '62.93.108.0', '62.93.108.255', 1046309888, 1046310143, 'MK', 'Macedonia'),
(17112, '62.93.109.0', '62.93.109.255', 1046310144, 1046310399, 'AT', 'Austria'),
(17113, '62.93.110.0', '62.93.115.255', 1046310400, 1046311935, 'MK', 'Macedonia'),
(17114, '62.93.116.0', '62.93.127.255', 1046311936, 1046315007, 'AT', 'Austria'),
(17115, '62.93.128.0', '62.93.129.255', 1046315008, 1046315519, 'FR', 'France'),
(17116, '62.93.130.0', '62.93.131.255', 1046315520, 1046316031, 'IT', 'Italy'),
(17117, '62.93.132.0', '62.93.133.255', 1046316032, 1046316543, 'FR', 'France'),
(17118, '62.93.134.0', '62.93.135.255', 1046316544, 1046317055, 'DK', 'Denmark'),
(17119, '62.93.136.0', '62.93.137.255', 1046317056, 1046317567, 'ES', 'Spain'),
(17120, '62.93.138.0', '62.93.140.255', 1046317568, 1046318335, 'NL', 'Netherlands'),
(17121, '62.93.141.0', '62.93.141.255', 1046318336, 1046318591, 'GB', 'United Kingdom'),
(17122, '62.93.142.0', '62.93.159.255', 1046318592, 1046323199, 'NL', 'Netherlands'),
(17123, '62.93.160.0', '62.93.175.111', 1046323200, 1046327151, 'ES', 'Spain'),
(17124, '62.93.175.112', '62.93.175.115', 1046327152, 1046327155, 'FR', 'France'),
(17125, '62.93.175.116', '62.93.191.255', 1046327156, 1046331391, 'ES', 'Spain'),
(17126, '62.93.192.0', '62.93.192.127', 1046331392, 1046331519, 'DE', 'Germany'),
(17127, '62.93.192.128', '62.93.192.255', 1046331520, 1046331647, 'EU', 'Europe'),
(17128, '62.93.193.0', '62.93.193.31', 1046331648, 1046331679, 'DE', 'Germany'),
(17129, '62.93.193.32', '62.93.193.95', 1046331680, 1046331743, 'EU', 'Europe'),
(17130, '62.93.193.96', '62.93.193.127', 1046331744, 1046331775, 'DE', 'Germany'),
(17131, '62.93.193.128', '62.93.193.191', 1046331776, 1046331839, 'EU', 'Europe'),
(17132, '62.93.193.192', '62.93.193.223', 1046331840, 1046331871, 'DE', 'Germany'),
(17133, '62.93.193.224', '62.93.194.255', 1046331872, 1046332159, 'EU', 'Europe'),
(17134, '62.93.195.0', '62.93.195.255', 1046332160, 1046332415, 'FR', 'France'),
(17135, '62.93.196.0', '62.93.196.31', 1046332416, 1046332447, 'DE', 'Germany'),
(17136, '62.93.196.32', '62.93.199.255', 1046332448, 1046333439, 'EU', 'Europe'),
(17137, '62.93.200.0', '62.93.200.255', 1046333440, 1046333695, 'DE', 'Germany'),
(17138, '62.93.201.0', '62.93.204.255', 1046333696, 1046334719, 'EU', 'Europe'),
(17139, '62.93.205.0', '62.93.205.255', 1046334720, 1046334975, 'DE', 'Germany'),
(17140, '62.93.206.0', '62.93.211.255', 1046334976, 1046336511, 'EU', 'Europe'),
(17141, '62.93.212.0', '62.93.213.255', 1046336512, 1046337023, 'DE', 'Germany'),
(17142, '62.93.214.0', '62.93.215.255', 1046337024, 1046337535, 'EU', 'Europe'),
(17143, '62.93.216.0', '62.93.217.255', 1046337536, 1046338047, 'DE', 'Germany'),
(17144, '62.93.218.0', '62.93.224.255', 1046338048, 1046339839, 'EU', 'Europe'),
(17145, '62.93.225.0', '62.93.225.255', 1046339840, 1046340095, 'FR', 'France'),
(17146, '62.93.226.0', '62.93.238.255', 1046340096, 1046343423, 'EU', 'Europe'),
(17147, '62.93.239.0', '62.93.239.255', 1046343424, 1046343679, 'NL', 'Netherlands'),
(17148, '62.93.240.0', '62.93.244.255', 1046343680, 1046344959, 'EU', 'Europe'),
(17149, '62.93.245.0', '62.93.245.255', 1046344960, 1046345215, 'DE', 'Germany'),
(17150, '62.93.246.0', '62.93.246.111', 1046345216, 1046345327, 'EU', 'Europe'),
(17151, '62.93.246.112', '62.93.247.255', 1046345328, 1046345727, 'DE', 'Germany'),
(17152, '62.93.248.0', '62.93.249.127', 1046345728, 1046346111, 'EU', 'Europe'),
(17153, '62.93.249.128', '62.93.249.255', 1046346112, 1046346239, 'DE', 'Germany'),
(17154, '62.93.250.0', '62.93.250.63', 1046346240, 1046346303, 'EU', 'Europe'),
(17155, '62.93.250.64', '62.93.250.127', 1046346304, 1046346367, 'DE', 'Germany'),
(17156, '62.93.250.128', '62.93.251.15', 1046346368, 1046346511, 'EU', 'Europe'),
(17157, '62.93.251.16', '62.93.251.63', 1046346512, 1046346559, 'DE', 'Germany'),
(17158, '62.93.251.64', '62.93.255.255', 1046346560, 1046347775, 'EU', 'Europe'),
(17159, '62.94.0.0', '62.94.8.15', 1046347776, 1046349839, 'IT', 'Italy'),
(17160, '62.94.8.16', '62.94.8.23', 1046349840, 1046349847, 'FR', 'France'),
(17161, '62.94.8.24', '62.94.19.191', 1046349848, 1046352831, 'IT', 'Italy'),
(17162, '62.94.19.192', '62.94.19.207', 1046352832, 1046352847, 'SM', 'San Marino'),
(17163, '62.94.19.208', '62.94.74.87', 1046352848, 1046366807, 'IT', 'Italy'),
(17164, '62.94.74.88', '62.94.74.95', 1046366808, 1046366815, 'PL', 'Poland'),
(17165, '62.94.74.96', '62.94.145.207', 1046366816, 1046385103, 'IT', 'Italy'),
(17166, '62.94.145.208', '62.94.145.215', 1046385104, 1046385111, 'A2', 'Satellite Provider'),
(17167, '62.94.145.216', '62.94.255.255', 1046385112, 1046413311, 'IT', 'Italy'),
(17168, '62.95.0.0', '62.95.127.255', 1046413312, 1046446079, 'SE', 'Sweden'),
(17169, '62.95.128.0', '62.96.2.175', 1046446080, 1046479535, 'DE', 'Germany'),
(17170, '62.96.2.176', '62.96.2.191', 1046479536, 1046479551, 'GB', 'United Kingdom'),
(17171, '62.96.2.192', '62.96.2.223', 1046479552, 1046479583, 'DE', 'Germany'),
(17172, '62.96.2.224', '62.96.2.255', 1046479584, 1046479615, 'GB', 'United Kingdom'),
(17173, '62.96.3.0', '62.96.3.71', 1046479616, 1046479687, 'DE', 'Germany'),
(17174, '62.96.3.72', '62.96.3.79', 1046479688, 1046479695, 'GB', 'United Kingdom'),
(17175, '62.96.3.80', '62.96.4.175', 1046479696, 1046480047, 'DE', 'Germany'),
(17176, '62.96.4.176', '62.96.4.183', 1046480048, 1046480055, 'GB', 'United Kingdom'),
(17177, '62.96.4.184', '62.96.4.191', 1046480056, 1046480063, 'DE', 'Germany'),
(17178, '62.96.4.192', '62.96.4.223', 1046480064, 1046480095, 'GB', 'United Kingdom'),
(17179, '62.96.4.224', '62.96.5.255', 1046480096, 1046480383, 'DE', 'Germany'),
(17180, '62.96.6.0', '62.96.6.0', 1046480384, 1046480384, 'GB', 'United Kingdom'),
(17181, '62.96.6.1', '62.96.6.87', 1046480385, 1046480471, 'DE', 'Germany'),
(17182, '62.96.6.88', '62.96.6.95', 1046480472, 1046480479, 'GB', 'United Kingdom'),
(17183, '62.96.6.96', '62.96.7.79', 1046480480, 1046480719, 'DE', 'Germany'),
(17184, '62.96.7.80', '62.96.7.95', 1046480720, 1046480735, 'GB', 'United Kingdom'),
(17185, '62.96.7.96', '62.96.9.175', 1046480736, 1046481327, 'DE', 'Germany'),
(17186, '62.96.9.176', '62.96.9.223', 1046481328, 1046481375, 'GB', 'United Kingdom'),
(17187, '62.96.9.224', '62.96.10.127', 1046481376, 1046481535, 'DE', 'Germany'),
(17188, '62.96.10.128', '62.96.11.255', 1046481536, 1046481919, 'GB', 'United Kingdom'),
(17189, '62.96.12.0', '62.96.12.39', 1046481920, 1046481959, 'DE', 'Germany'),
(17190, '62.96.12.40', '62.96.12.47', 1046481960, 1046481967, 'GB', 'United Kingdom'),
(17191, '62.96.12.48', '62.96.15.63', 1046481968, 1046482751, 'DE', 'Germany'),
(17192, '62.96.15.64', '62.96.15.255', 1046482752, 1046482943, 'GB', 'United Kingdom'),
(17193, '62.96.16.0', '62.96.17.31', 1046482944, 1046483231, 'DE', 'Germany'),
(17194, '62.96.17.32', '62.96.18.15', 1046483232, 1046483471, 'GB', 'United Kingdom'),
(17195, '62.96.18.16', '62.96.18.127', 1046483472, 1046483583, 'DE', 'Germany'),
(17196, '62.96.18.128', '62.96.19.255', 1046483584, 1046483967, 'GB', 'United Kingdom'),
(17197, '62.96.20.0', '62.96.21.31', 1046483968, 1046484255, 'DE', 'Germany'),
(17198, '62.96.21.32', '62.96.21.63', 1046484256, 1046484287, 'GB', 'United Kingdom'),
(17199, '62.96.21.64', '62.96.21.127', 1046484288, 1046484351, 'DE', 'Germany'),
(17200, '62.96.21.128', '62.96.21.255', 1046484352, 1046484479, 'GB', 'United Kingdom'),
(17201, '62.96.22.0', '62.96.22.31', 1046484480, 1046484511, 'DE', 'Germany'),
(17202, '62.96.22.32', '62.96.22.127', 1046484512, 1046484607, 'GB', 'United Kingdom'),
(17203, '62.96.22.128', '62.96.22.143', 1046484608, 1046484623, 'DE', 'Germany'),
(17204, '62.96.22.144', '62.96.23.255', 1046484624, 1046484991, 'GB', 'United Kingdom'),
(17205, '62.96.24.0', '62.96.24.31', 1046484992, 1046485023, 'DE', 'Germany'),
(17206, '62.96.24.32', '62.96.24.39', 1046485024, 1046485031, 'GB', 'United Kingdom'),
(17207, '62.96.24.40', '62.96.24.135', 1046485032, 1046485127, 'DE', 'Germany'),
(17208, '62.96.24.136', '62.96.24.143', 1046485128, 1046485135, 'GB', 'United Kingdom'),
(17209, '62.96.24.144', '62.96.24.167', 1046485136, 1046485159, 'DE', 'Germany'),
(17210, '62.96.24.168', '62.96.24.175', 1046485160, 1046485167, 'GB', 'United Kingdom'),
(17211, '62.96.24.176', '62.96.25.31', 1046485168, 1046485279, 'DE', 'Germany'),
(17212, '62.96.25.32', '62.96.25.39', 1046485280, 1046485287, 'GB', 'United Kingdom'),
(17213, '62.96.25.40', '62.96.25.119', 1046485288, 1046485367, 'DE', 'Germany'),
(17214, '62.96.25.120', '62.96.25.127', 1046485368, 1046485375, 'GB', 'United Kingdom'),
(17215, '62.96.25.128', '62.96.25.247', 1046485376, 1046485495, 'DE', 'Germany'),
(17216, '62.96.25.248', '62.96.25.255', 1046485496, 1046485503, 'GB', 'United Kingdom'),
(17217, '62.96.26.0', '62.96.28.39', 1046485504, 1046486055, 'DE', 'Germany'),
(17218, '62.96.28.40', '62.96.28.47', 1046486056, 1046486063, 'GB', 'United Kingdom'),
(17219, '62.96.28.48', '62.96.28.135', 1046486064, 1046486151, 'DE', 'Germany'),
(17220, '62.96.28.136', '62.96.28.159', 1046486152, 1046486175, 'GB', 'United Kingdom'),
(17221, '62.96.28.160', '62.96.28.167', 1046486176, 1046486183, 'DE', 'Germany'),
(17222, '62.96.28.168', '62.96.28.175', 1046486184, 1046486191, 'GB', 'United Kingdom'),
(17223, '62.96.28.176', '62.96.29.103', 1046486192, 1046486375, 'DE', 'Germany'),
(17224, '62.96.29.104', '62.96.29.111', 1046486376, 1046486383, 'GB', 'United Kingdom'),
(17225, '62.96.29.112', '62.96.48.87', 1046486384, 1046491223, 'DE', 'Germany'),
(17226, '62.96.48.88', '62.96.48.95', 1046491224, 1046491231, 'GB', 'United Kingdom'),
(17227, '62.96.48.96', '62.96.48.255', 1046491232, 1046491391, 'DE', 'Germany'),
(17228, '62.96.49.0', '62.96.49.7', 1046491392, 1046491399, 'GB', 'United Kingdom'),
(17229, '62.96.49.8', '62.96.49.31', 1046491400, 1046491423, 'DE', 'Germany'),
(17230, '62.96.49.32', '62.96.49.39', 1046491424, 1046491431, 'GB', 'United Kingdom'),
(17231, '62.96.49.40', '62.96.50.95', 1046491432, 1046491743, 'DE', 'Germany'),
(17232, '62.96.50.96', '62.96.50.127', 1046491744, 1046491775, 'GB', 'United Kingdom'),
(17233, '62.96.50.128', '62.96.50.191', 1046491776, 1046491839, 'DE', 'Germany'),
(17234, '62.96.50.192', '62.96.51.255', 1046491840, 1046492159, 'GB', 'United Kingdom'),
(17235, '62.96.52.0', '62.96.52.159', 1046492160, 1046492319, 'DE', 'Germany'),
(17236, '62.96.52.160', '62.96.52.167', 1046492320, 1046492327, 'GB', 'United Kingdom'),
(17237, '62.96.52.168', '62.96.52.255', 1046492328, 1046492415, 'DE', 'Germany'),
(17238, '62.96.53.0', '62.96.53.31', 1046492416, 1046492447, 'GB', 'United Kingdom'),
(17239, '62.96.53.32', '62.96.53.87', 1046492448, 1046492503, 'DE', 'Germany'),
(17240, '62.96.53.88', '62.96.53.95', 1046492504, 1046492511, 'GB', 'United Kingdom'),
(17241, '62.96.53.96', '62.96.53.127', 1046492512, 1046492543, 'DE', 'Germany'),
(17242, '62.96.53.128', '62.96.53.135', 1046492544, 1046492551, 'GB', 'United Kingdom'),
(17243, '62.96.53.136', '62.96.53.239', 1046492552, 1046492655, 'DE', 'Germany'),
(17244, '62.96.53.240', '62.96.53.247', 1046492656, 1046492663, 'GB', 'United Kingdom'),
(17245, '62.96.53.248', '62.96.54.239', 1046492664, 1046492911, 'DE', 'Germany'),
(17246, '62.96.54.240', '62.96.55.39', 1046492912, 1046492967, 'GB', 'United Kingdom'),
(17247, '62.96.55.40', '62.96.55.143', 1046492968, 1046493071, 'DE', 'Germany'),
(17248, '62.96.55.144', '62.96.55.159', 1046493072, 1046493087, 'GB', 'United Kingdom'),
(17249, '62.96.55.160', '62.96.55.167', 1046493088, 1046493095, 'DE', 'Germany'),
(17250, '62.96.55.168', '62.96.55.175', 1046493096, 1046493103, 'GB', 'United Kingdom'),
(17251, '62.96.55.176', '62.96.56.207', 1046493104, 1046493391, 'DE', 'Germany'),
(17252, '62.96.56.208', '62.96.56.215', 1046493392, 1046493399, 'GB', 'United Kingdom'),
(17253, '62.96.56.216', '62.96.56.223', 1046493400, 1046493407, 'DE', 'Germany'),
(17254, '62.96.56.224', '62.96.57.31', 1046493408, 1046493471, 'GB', 'United Kingdom'),
(17255, '62.96.57.32', '62.96.57.47', 1046493472, 1046493487, 'DE', 'Germany'),
(17256, '62.96.57.48', '62.96.57.71', 1046493488, 1046493511, 'GB', 'United Kingdom'),
(17257, '62.96.57.72', '62.96.57.79', 1046493512, 1046493519, 'DE', 'Germany'),
(17258, '62.96.57.80', '62.96.57.95', 1046493520, 1046493535, 'GB', 'United Kingdom'),
(17259, '62.96.57.96', '62.96.57.111', 1046493536, 1046493551, 'DE', 'Germany'),
(17260, '62.96.57.112', '62.96.57.135', 1046493552, 1046493575, 'GB', 'United Kingdom'),
(17261, '62.96.57.136', '62.96.57.143', 1046493576, 1046493583, 'DE', 'Germany'),
(17262, '62.96.57.144', '62.96.57.151', 1046493584, 1046493591, 'GB', 'United Kingdom'),
(17263, '62.96.57.152', '62.96.57.159', 1046493592, 1046493599, 'DE', 'Germany'),
(17264, '62.96.57.160', '62.96.57.191', 1046493600, 1046493631, 'GB', 'United Kingdom'),
(17265, '62.96.57.192', '62.96.57.199', 1046493632, 1046493639, 'DE', 'Germany'),
(17266, '62.96.57.200', '62.96.57.255', 1046493640, 1046493695, 'GB', 'United Kingdom'),
(17267, '62.96.58.0', '62.96.58.255', 1046493696, 1046493951, 'DE', 'Germany'),
(17268, '62.96.59.0', '62.96.59.31', 1046493952, 1046493983, 'GB', 'United Kingdom'),
(17269, '62.96.59.32', '62.96.59.79', 1046493984, 1046494031, 'DE', 'Germany'),
(17270, '62.96.59.80', '62.96.59.87', 1046494032, 1046494039, 'GB', 'United Kingdom'),
(17271, '62.96.59.88', '62.96.59.135', 1046494040, 1046494087, 'DE', 'Germany'),
(17272, '62.96.59.136', '62.96.59.143', 1046494088, 1046494095, 'GB', 'United Kingdom'),
(17273, '62.96.59.144', '62.96.60.95', 1046494096, 1046494303, 'DE', 'Germany'),
(17274, '62.96.60.96', '62.96.60.103', 1046494304, 1046494311, 'GB', 'United Kingdom'),
(17275, '62.96.60.104', '62.96.60.119', 1046494312, 1046494327, 'DE', 'Germany'),
(17276, '62.96.60.120', '62.96.60.127', 1046494328, 1046494335, 'GB', 'United Kingdom'),
(17277, '62.96.60.128', '62.96.61.143', 1046494336, 1046494607, 'DE', 'Germany'),
(17278, '62.96.61.144', '62.96.61.151', 1046494608, 1046494615, 'GB', 'United Kingdom'),
(17279, '62.96.61.152', '62.96.61.159', 1046494616, 1046494623, 'DE', 'Germany'),
(17280, '62.96.61.160', '62.96.61.255', 1046494624, 1046494719, 'GB', 'United Kingdom'),
(17281, '62.96.62.0', '62.96.64.119', 1046494720, 1046495351, 'DE', 'Germany'),
(17282, '62.96.64.120', '62.96.64.127', 1046495352, 1046495359, 'GB', 'United Kingdom'),
(17283, '62.96.64.128', '62.96.64.175', 1046495360, 1046495407, 'DE', 'Germany'),
(17284, '62.96.64.176', '62.96.64.183', 1046495408, 1046495415, 'GB', 'United Kingdom'),
(17285, '62.96.64.184', '62.96.64.207', 1046495416, 1046495439, 'DE', 'Germany'),
(17286, '62.96.64.208', '62.96.64.215', 1046495440, 1046495447, 'GB', 'United Kingdom'),
(17287, '62.96.64.216', '62.96.64.255', 1046495448, 1046495487, 'DE', 'Germany'),
(17288, '62.96.65.0', '62.96.65.31', 1046495488, 1046495519, 'GB', 'United Kingdom'),
(17289, '62.96.65.32', '62.96.65.39', 1046495520, 1046495527, 'DE', 'Germany'),
(17290, '62.96.65.40', '62.96.65.47', 1046495528, 1046495535, 'GB', 'United Kingdom'),
(17291, '62.96.65.48', '62.96.65.55', 1046495536, 1046495543, 'DE', 'Germany'),
(17292, '62.96.65.56', '62.96.65.63', 1046495544, 1046495551, 'GB', 'United Kingdom'),
(17293, '62.96.65.64', '62.96.65.79', 1046495552, 1046495567, 'DE', 'Germany'),
(17294, '62.96.65.80', '62.96.65.87', 1046495568, 1046495575, 'GB', 'United Kingdom'),
(17295, '62.96.65.88', '62.96.65.111', 1046495576, 1046495599, 'DE', 'Germany'),
(17296, '62.96.65.112', '62.96.65.119', 1046495600, 1046495607, 'GB', 'United Kingdom'),
(17297, '62.96.65.120', '62.96.65.143', 1046495608, 1046495631, 'DE', 'Germany'),
(17298, '62.96.65.144', '62.96.65.151', 1046495632, 1046495639, 'GB', 'United Kingdom'),
(17299, '62.96.65.152', '62.96.65.159', 1046495640, 1046495647, 'DE', 'Germany'),
(17300, '62.96.65.160', '62.96.65.175', 1046495648, 1046495663, 'GB', 'United Kingdom'),
(17301, '62.96.65.176', '62.96.65.215', 1046495664, 1046495703, 'DE', 'Germany'),
(17302, '62.96.65.216', '62.96.65.231', 1046495704, 1046495719, 'GB', 'United Kingdom'),
(17303, '62.96.65.232', '62.96.66.135', 1046495720, 1046495879, 'DE', 'Germany'),
(17304, '62.96.66.136', '62.96.66.151', 1046495880, 1046495895, 'GB', 'United Kingdom'),
(17305, '62.96.66.152', '62.96.66.255', 1046495896, 1046495999, 'DE', 'Germany'),
(17306, '62.96.67.0', '62.96.67.47', 1046496000, 1046496047, 'GB', 'United Kingdom'),
(17307, '62.96.67.48', '62.96.67.127', 1046496048, 1046496127, 'DE', 'Germany'),
(17308, '62.96.67.128', '62.96.67.135', 1046496128, 1046496135, 'GB', 'United Kingdom'),
(17309, '62.96.67.136', '62.96.67.191', 1046496136, 1046496191, 'DE', 'Germany'),
(17310, '62.96.67.192', '62.96.67.215', 1046496192, 1046496215, 'GB', 'United Kingdom'),
(17311, '62.96.67.216', '62.96.67.231', 1046496216, 1046496231, 'DE', 'Germany'),
(17312, '62.96.67.232', '62.96.67.239', 1046496232, 1046496239, 'GB', 'United Kingdom'),
(17313, '62.96.67.240', '62.96.68.47', 1046496240, 1046496303, 'DE', 'Germany'),
(17314, '62.96.68.48', '62.96.68.255', 1046496304, 1046496511, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(17315, '62.96.69.0', '62.96.72.183', 1046496512, 1046497463, 'DE', 'Germany'),
(17316, '62.96.72.184', '62.96.72.191', 1046497464, 1046497471, 'GB', 'United Kingdom'),
(17317, '62.96.72.192', '62.96.72.199', 1046497472, 1046497479, 'DE', 'Germany'),
(17318, '62.96.72.200', '62.96.73.31', 1046497480, 1046497567, 'GB', 'United Kingdom'),
(17319, '62.96.73.32', '62.96.73.103', 1046497568, 1046497639, 'DE', 'Germany'),
(17320, '62.96.73.104', '62.96.73.111', 1046497640, 1046497647, 'GB', 'United Kingdom'),
(17321, '62.96.73.112', '62.96.73.127', 1046497648, 1046497663, 'DE', 'Germany'),
(17322, '62.96.73.128', '62.96.73.135', 1046497664, 1046497671, 'GB', 'United Kingdom'),
(17323, '62.96.73.136', '62.96.73.183', 1046497672, 1046497719, 'DE', 'Germany'),
(17324, '62.96.73.184', '62.96.73.191', 1046497720, 1046497727, 'GB', 'United Kingdom'),
(17325, '62.96.73.192', '62.96.73.223', 1046497728, 1046497759, 'DE', 'Germany'),
(17326, '62.96.73.224', '62.96.73.239', 1046497760, 1046497775, 'GB', 'United Kingdom'),
(17327, '62.96.73.240', '62.96.74.183', 1046497776, 1046497975, 'DE', 'Germany'),
(17328, '62.96.74.184', '62.96.74.191', 1046497976, 1046497983, 'GB', 'United Kingdom'),
(17329, '62.96.74.192', '62.96.74.255', 1046497984, 1046498047, 'DE', 'Germany'),
(17330, '62.96.75.0', '62.96.75.31', 1046498048, 1046498079, 'GB', 'United Kingdom'),
(17331, '62.96.75.32', '62.96.75.55', 1046498080, 1046498103, 'DE', 'Germany'),
(17332, '62.96.75.56', '62.96.75.63', 1046498104, 1046498111, 'GB', 'United Kingdom'),
(17333, '62.96.75.64', '62.96.75.111', 1046498112, 1046498159, 'DE', 'Germany'),
(17334, '62.96.75.112', '62.96.75.119', 1046498160, 1046498167, 'GB', 'United Kingdom'),
(17335, '62.96.75.120', '62.96.75.159', 1046498168, 1046498207, 'DE', 'Germany'),
(17336, '62.96.75.160', '62.96.75.167', 1046498208, 1046498215, 'GB', 'United Kingdom'),
(17337, '62.96.75.168', '62.96.75.191', 1046498216, 1046498239, 'DE', 'Germany'),
(17338, '62.96.75.192', '62.96.75.207', 1046498240, 1046498255, 'GB', 'United Kingdom'),
(17339, '62.96.75.208', '62.96.75.215', 1046498256, 1046498263, 'DE', 'Germany'),
(17340, '62.96.75.216', '62.96.75.223', 1046498264, 1046498271, 'GB', 'United Kingdom'),
(17341, '62.96.75.224', '62.96.75.231', 1046498272, 1046498279, 'DE', 'Germany'),
(17342, '62.96.75.232', '62.96.75.247', 1046498280, 1046498295, 'GB', 'United Kingdom'),
(17343, '62.96.75.248', '62.96.76.55', 1046498296, 1046498359, 'DE', 'Germany'),
(17344, '62.96.76.56', '62.96.76.63', 1046498360, 1046498367, 'GB', 'United Kingdom'),
(17345, '62.96.76.64', '62.96.76.151', 1046498368, 1046498455, 'DE', 'Germany'),
(17346, '62.96.76.152', '62.96.77.31', 1046498456, 1046498591, 'GB', 'United Kingdom'),
(17347, '62.96.77.32', '62.96.77.71', 1046498592, 1046498631, 'DE', 'Germany'),
(17348, '62.96.77.72', '62.96.77.79', 1046498632, 1046498639, 'GB', 'United Kingdom'),
(17349, '62.96.77.80', '62.96.77.95', 1046498640, 1046498655, 'DE', 'Germany'),
(17350, '62.96.77.96', '62.96.77.103', 1046498656, 1046498663, 'GB', 'United Kingdom'),
(17351, '62.96.77.104', '62.96.77.119', 1046498664, 1046498679, 'DE', 'Germany'),
(17352, '62.96.77.120', '62.96.77.127', 1046498680, 1046498687, 'GB', 'United Kingdom'),
(17353, '62.96.77.128', '62.96.77.159', 1046498688, 1046498719, 'DE', 'Germany'),
(17354, '62.96.77.160', '62.96.77.167', 1046498720, 1046498727, 'GB', 'United Kingdom'),
(17355, '62.96.77.168', '62.96.78.3', 1046498728, 1046498819, 'DE', 'Germany'),
(17356, '62.96.78.4', '62.96.79.255', 1046498820, 1046499327, 'GB', 'United Kingdom'),
(17357, '62.96.80.0', '62.96.92.255', 1046499328, 1046502655, 'DE', 'Germany'),
(17358, '62.96.93.0', '62.96.93.63', 1046502656, 1046502719, 'GB', 'United Kingdom'),
(17359, '62.96.93.64', '62.96.93.207', 1046502720, 1046502863, 'DE', 'Germany'),
(17360, '62.96.93.208', '62.96.93.255', 1046502864, 1046502911, 'GB', 'United Kingdom'),
(17361, '62.96.94.0', '62.96.99.223', 1046502912, 1046504415, 'DE', 'Germany'),
(17362, '62.96.99.224', '62.96.99.255', 1046504416, 1046504447, 'GB', 'United Kingdom'),
(17363, '62.96.100.0', '62.96.113.239', 1046504448, 1046508015, 'DE', 'Germany'),
(17364, '62.96.113.240', '62.96.113.255', 1046508016, 1046508031, 'GB', 'United Kingdom'),
(17365, '62.96.114.0', '62.96.115.255', 1046508032, 1046508543, 'DE', 'Germany'),
(17366, '62.96.116.0', '62.96.127.255', 1046508544, 1046511615, 'GB', 'United Kingdom'),
(17367, '62.96.128.0', '62.96.146.63', 1046511616, 1046516287, 'DE', 'Germany'),
(17368, '62.96.146.64', '62.96.147.255', 1046516288, 1046516735, 'GB', 'United Kingdom'),
(17369, '62.96.148.0', '62.96.148.15', 1046516736, 1046516751, 'DE', 'Germany'),
(17370, '62.96.148.16', '62.96.148.255', 1046516752, 1046516991, 'GB', 'United Kingdom'),
(17371, '62.96.149.0', '62.96.149.39', 1046516992, 1046517031, 'DE', 'Germany'),
(17372, '62.96.149.40', '62.96.149.47', 1046517032, 1046517039, 'GB', 'United Kingdom'),
(17373, '62.96.149.48', '62.96.149.95', 1046517040, 1046517087, 'DE', 'Germany'),
(17374, '62.96.149.96', '62.96.151.255', 1046517088, 1046517759, 'GB', 'United Kingdom'),
(17375, '62.96.152.0', '62.96.153.255', 1046517760, 1046518271, 'DE', 'Germany'),
(17376, '62.96.154.0', '62.96.155.255', 1046518272, 1046518783, 'GB', 'United Kingdom'),
(17377, '62.96.156.0', '62.96.156.255', 1046518784, 1046519039, 'DE', 'Germany'),
(17378, '62.96.157.0', '62.96.157.127', 1046519040, 1046519167, 'GB', 'United Kingdom'),
(17379, '62.96.157.128', '62.96.158.119', 1046519168, 1046519415, 'DE', 'Germany'),
(17380, '62.96.158.120', '62.96.176.255', 1046519416, 1046524159, 'GB', 'United Kingdom'),
(17381, '62.96.177.0', '62.96.177.31', 1046524160, 1046524191, 'DE', 'Germany'),
(17382, '62.96.177.32', '62.96.177.47', 1046524192, 1046524207, 'GB', 'United Kingdom'),
(17383, '62.96.177.48', '62.96.177.55', 1046524208, 1046524215, 'DE', 'Germany'),
(17384, '62.96.177.56', '62.96.177.127', 1046524216, 1046524287, 'GB', 'United Kingdom'),
(17385, '62.96.177.128', '62.96.177.195', 1046524288, 1046524355, 'DE', 'Germany'),
(17386, '62.96.177.196', '62.96.177.255', 1046524356, 1046524415, 'GB', 'United Kingdom'),
(17387, '62.96.178.0', '62.96.180.255', 1046524416, 1046525183, 'DE', 'Germany'),
(17388, '62.96.181.0', '62.96.181.31', 1046525184, 1046525215, 'GB', 'United Kingdom'),
(17389, '62.96.181.32', '62.96.181.63', 1046525216, 1046525247, 'DE', 'Germany'),
(17390, '62.96.181.64', '62.96.181.127', 1046525248, 1046525311, 'GB', 'United Kingdom'),
(17391, '62.96.181.128', '62.96.181.159', 1046525312, 1046525343, 'DE', 'Germany'),
(17392, '62.96.181.160', '62.96.181.255', 1046525344, 1046525439, 'GB', 'United Kingdom'),
(17393, '62.96.182.0', '62.96.182.255', 1046525440, 1046525695, 'DE', 'Germany'),
(17394, '62.96.183.0', '62.96.186.127', 1046525696, 1046526591, 'GB', 'United Kingdom'),
(17395, '62.96.186.128', '62.96.186.135', 1046526592, 1046526599, 'DE', 'Germany'),
(17396, '62.96.186.136', '62.96.186.167', 1046526600, 1046526631, 'GB', 'United Kingdom'),
(17397, '62.96.186.168', '62.96.186.171', 1046526632, 1046526635, 'DE', 'Germany'),
(17398, '62.96.186.172', '62.96.186.255', 1046526636, 1046526719, 'GB', 'United Kingdom'),
(17399, '62.96.187.0', '62.96.189.255', 1046526720, 1046527487, 'DE', 'Germany'),
(17400, '62.96.190.0', '62.96.190.255', 1046527488, 1046527743, 'GB', 'United Kingdom'),
(17401, '62.96.191.0', '62.96.191.255', 1046527744, 1046527999, 'DE', 'Germany'),
(17402, '62.96.192.0', '62.96.192.255', 1046528000, 1046528255, 'GB', 'United Kingdom'),
(17403, '62.96.193.0', '62.96.193.31', 1046528256, 1046528287, 'DE', 'Germany'),
(17404, '62.96.193.32', '62.96.193.63', 1046528288, 1046528319, 'GB', 'United Kingdom'),
(17405, '62.96.193.64', '62.96.193.79', 1046528320, 1046528335, 'DE', 'Germany'),
(17406, '62.96.193.80', '62.96.193.135', 1046528336, 1046528391, 'GB', 'United Kingdom'),
(17407, '62.96.193.136', '62.96.193.143', 1046528392, 1046528399, 'DE', 'Germany'),
(17408, '62.96.193.144', '62.96.193.203', 1046528400, 1046528459, 'GB', 'United Kingdom'),
(17409, '62.96.193.204', '62.96.193.207', 1046528460, 1046528463, 'DE', 'Germany'),
(17410, '62.96.193.208', '62.96.193.215', 1046528464, 1046528471, 'GB', 'United Kingdom'),
(17411, '62.96.193.216', '62.96.193.223', 1046528472, 1046528479, 'DE', 'Germany'),
(17412, '62.96.193.224', '62.96.193.231', 1046528480, 1046528487, 'GB', 'United Kingdom'),
(17413, '62.96.193.232', '62.96.193.239', 1046528488, 1046528495, 'DE', 'Germany'),
(17414, '62.96.193.240', '62.96.194.7', 1046528496, 1046528519, 'GB', 'United Kingdom'),
(17415, '62.96.194.8', '62.96.194.15', 1046528520, 1046528527, 'DE', 'Germany'),
(17416, '62.96.194.16', '62.96.194.31', 1046528528, 1046528543, 'GB', 'United Kingdom'),
(17417, '62.96.194.32', '62.96.194.47', 1046528544, 1046528559, 'DE', 'Germany'),
(17418, '62.96.194.48', '62.96.194.63', 1046528560, 1046528575, 'GB', 'United Kingdom'),
(17419, '62.96.194.64', '62.96.194.75', 1046528576, 1046528587, 'DE', 'Germany'),
(17420, '62.96.194.76', '62.96.194.87', 1046528588, 1046528599, 'GB', 'United Kingdom'),
(17421, '62.96.194.88', '62.96.194.91', 1046528600, 1046528603, 'DE', 'Germany'),
(17422, '62.96.194.92', '62.96.194.95', 1046528604, 1046528607, 'GB', 'United Kingdom'),
(17423, '62.96.194.96', '62.96.194.127', 1046528608, 1046528639, 'DE', 'Germany'),
(17424, '62.96.194.128', '62.96.194.191', 1046528640, 1046528703, 'GB', 'United Kingdom'),
(17425, '62.96.194.192', '62.96.194.255', 1046528704, 1046528767, 'DE', 'Germany'),
(17426, '62.96.195.0', '62.96.199.255', 1046528768, 1046530047, 'GB', 'United Kingdom'),
(17427, '62.96.200.0', '62.96.202.127', 1046530048, 1046530687, 'DE', 'Germany'),
(17428, '62.96.202.128', '62.96.202.255', 1046530688, 1046530815, 'GB', 'United Kingdom'),
(17429, '62.96.203.0', '62.96.203.63', 1046530816, 1046530879, 'DE', 'Germany'),
(17430, '62.96.203.64', '62.96.203.127', 1046530880, 1046530943, 'GB', 'United Kingdom'),
(17431, '62.96.203.128', '62.96.203.131', 1046530944, 1046530947, 'DE', 'Germany'),
(17432, '62.96.203.132', '62.96.203.151', 1046530948, 1046530967, 'GB', 'United Kingdom'),
(17433, '62.96.203.152', '62.96.203.159', 1046530968, 1046530975, 'DE', 'Germany'),
(17434, '62.96.203.160', '62.96.203.191', 1046530976, 1046531007, 'GB', 'United Kingdom'),
(17435, '62.96.203.192', '62.96.204.55', 1046531008, 1046531127, 'DE', 'Germany'),
(17436, '62.96.204.56', '62.96.206.255', 1046531128, 1046531839, 'GB', 'United Kingdom'),
(17437, '62.96.207.0', '62.96.207.255', 1046531840, 1046532095, 'DE', 'Germany'),
(17438, '62.96.208.0', '62.96.215.127', 1046532096, 1046534015, 'GB', 'United Kingdom'),
(17439, '62.96.215.128', '62.96.215.159', 1046534016, 1046534047, 'DE', 'Germany'),
(17440, '62.96.215.160', '62.96.215.175', 1046534048, 1046534063, 'GB', 'United Kingdom'),
(17441, '62.96.215.176', '62.96.215.183', 1046534064, 1046534071, 'DE', 'Germany'),
(17442, '62.96.215.184', '62.96.215.255', 1046534072, 1046534143, 'GB', 'United Kingdom'),
(17443, '62.96.216.0', '62.96.218.87', 1046534144, 1046534743, 'DE', 'Germany'),
(17444, '62.96.218.88', '62.96.218.191', 1046534744, 1046534847, 'GB', 'United Kingdom'),
(17445, '62.96.218.192', '62.96.218.239', 1046534848, 1046534895, 'DE', 'Germany'),
(17446, '62.96.218.240', '62.96.218.255', 1046534896, 1046534911, 'GB', 'United Kingdom'),
(17447, '62.96.219.0', '62.96.220.143', 1046534912, 1046535311, 'DE', 'Germany'),
(17448, '62.96.220.144', '62.96.220.191', 1046535312, 1046535359, 'GB', 'United Kingdom'),
(17449, '62.96.220.192', '62.96.220.255', 1046535360, 1046535423, 'DE', 'Germany'),
(17450, '62.96.221.0', '62.96.221.63', 1046535424, 1046535487, 'GB', 'United Kingdom'),
(17451, '62.96.221.64', '62.96.221.127', 1046535488, 1046535551, 'DE', 'Germany'),
(17452, '62.96.221.128', '62.96.221.195', 1046535552, 1046535619, 'GB', 'United Kingdom'),
(17453, '62.96.221.196', '62.96.221.199', 1046535620, 1046535623, 'DE', 'Germany'),
(17454, '62.96.221.200', '62.96.223.87', 1046535624, 1046536023, 'GB', 'United Kingdom'),
(17455, '62.96.223.88', '62.96.223.103', 1046536024, 1046536039, 'DE', 'Germany'),
(17456, '62.96.223.104', '62.96.223.127', 1046536040, 1046536063, 'GB', 'United Kingdom'),
(17457, '62.96.223.128', '62.96.223.215', 1046536064, 1046536151, 'DE', 'Germany'),
(17458, '62.96.223.216', '62.96.223.223', 1046536152, 1046536159, 'GB', 'United Kingdom'),
(17459, '62.96.223.224', '62.96.223.231', 1046536160, 1046536167, 'DE', 'Germany'),
(17460, '62.96.223.232', '62.96.223.255', 1046536168, 1046536191, 'GB', 'United Kingdom'),
(17461, '62.96.224.0', '62.96.224.7', 1046536192, 1046536199, 'DE', 'Germany'),
(17462, '62.96.224.8', '62.96.224.19', 1046536200, 1046536211, 'GB', 'United Kingdom'),
(17463, '62.96.224.20', '62.96.224.23', 1046536212, 1046536215, 'DE', 'Germany'),
(17464, '62.96.224.24', '62.96.224.63', 1046536216, 1046536255, 'GB', 'United Kingdom'),
(17465, '62.96.224.64', '62.96.224.79', 1046536256, 1046536271, 'DE', 'Germany'),
(17466, '62.96.224.80', '62.96.224.87', 1046536272, 1046536279, 'GB', 'United Kingdom'),
(17467, '62.96.224.88', '62.96.224.91', 1046536280, 1046536283, 'DE', 'Germany'),
(17468, '62.96.224.92', '62.96.224.95', 1046536284, 1046536287, 'GB', 'United Kingdom'),
(17469, '62.96.224.96', '62.96.224.103', 1046536288, 1046536295, 'DE', 'Germany'),
(17470, '62.96.224.104', '62.96.224.127', 1046536296, 1046536319, 'GB', 'United Kingdom'),
(17471, '62.96.224.128', '62.96.224.159', 1046536320, 1046536351, 'DE', 'Germany'),
(17472, '62.96.224.160', '62.96.224.163', 1046536352, 1046536355, 'GB', 'United Kingdom'),
(17473, '62.96.224.164', '62.96.224.167', 1046536356, 1046536359, 'DE', 'Germany'),
(17474, '62.96.224.168', '62.96.225.159', 1046536360, 1046536607, 'GB', 'United Kingdom'),
(17475, '62.96.225.160', '62.96.225.219', 1046536608, 1046536667, 'DE', 'Germany'),
(17476, '62.96.225.220', '62.96.226.255', 1046536668, 1046536959, 'GB', 'United Kingdom'),
(17477, '62.96.227.0', '62.96.227.63', 1046536960, 1046537023, 'DE', 'Germany'),
(17478, '62.96.227.64', '62.96.227.95', 1046537024, 1046537055, 'GB', 'United Kingdom'),
(17479, '62.96.227.96', '62.96.227.111', 1046537056, 1046537071, 'DE', 'Germany'),
(17480, '62.96.227.112', '62.96.227.127', 1046537072, 1046537087, 'GB', 'United Kingdom'),
(17481, '62.96.227.128', '62.96.227.191', 1046537088, 1046537151, 'DE', 'Germany'),
(17482, '62.96.227.192', '62.96.227.255', 1046537152, 1046537215, 'GB', 'United Kingdom'),
(17483, '62.96.228.0', '62.96.229.255', 1046537216, 1046537727, 'DE', 'Germany'),
(17484, '62.96.230.0', '62.96.230.255', 1046537728, 1046537983, 'GB', 'United Kingdom'),
(17485, '62.96.231.0', '62.96.231.255', 1046537984, 1046538239, 'DE', 'Germany'),
(17486, '62.96.232.0', '62.96.232.191', 1046538240, 1046538431, 'GB', 'United Kingdom'),
(17487, '62.96.232.192', '62.96.232.207', 1046538432, 1046538447, 'DE', 'Germany'),
(17488, '62.96.232.208', '62.96.232.223', 1046538448, 1046538463, 'GB', 'United Kingdom'),
(17489, '62.96.232.224', '62.96.232.255', 1046538464, 1046538495, 'DE', 'Germany'),
(17490, '62.96.233.0', '62.96.233.255', 1046538496, 1046538751, 'GB', 'United Kingdom'),
(17491, '62.96.234.0', '62.96.237.255', 1046538752, 1046539775, 'DE', 'Germany'),
(17492, '62.96.238.0', '62.96.238.255', 1046539776, 1046540031, 'GB', 'United Kingdom'),
(17493, '62.96.239.0', '62.96.239.255', 1046540032, 1046540287, 'DE', 'Germany'),
(17494, '62.96.240.0', '62.96.240.255', 1046540288, 1046540543, 'GB', 'United Kingdom'),
(17495, '62.96.241.0', '62.96.244.127', 1046540544, 1046541439, 'DE', 'Germany'),
(17496, '62.96.244.128', '62.96.244.191', 1046541440, 1046541503, 'GB', 'United Kingdom'),
(17497, '62.96.244.192', '62.96.244.255', 1046541504, 1046541567, 'DE', 'Germany'),
(17498, '62.96.245.0', '62.96.245.63', 1046541568, 1046541631, 'GB', 'United Kingdom'),
(17499, '62.96.245.64', '62.96.245.127', 1046541632, 1046541695, 'DE', 'Germany'),
(17500, '62.96.245.128', '62.96.245.159', 1046541696, 1046541727, 'GB', 'United Kingdom'),
(17501, '62.96.245.160', '62.96.245.191', 1046541728, 1046541759, 'DE', 'Germany'),
(17502, '62.96.245.192', '62.96.245.199', 1046541760, 1046541767, 'GB', 'United Kingdom'),
(17503, '62.96.245.200', '62.96.245.207', 1046541768, 1046541775, 'DE', 'Germany'),
(17504, '62.96.245.208', '62.96.245.239', 1046541776, 1046541807, 'GB', 'United Kingdom'),
(17505, '62.96.245.240', '62.96.250.255', 1046541808, 1046543103, 'DE', 'Germany'),
(17506, '62.96.251.0', '62.96.251.159', 1046543104, 1046543263, 'GB', 'United Kingdom'),
(17507, '62.96.251.160', '62.96.251.191', 1046543264, 1046543295, 'DE', 'Germany'),
(17508, '62.96.251.192', '62.96.251.223', 1046543296, 1046543327, 'GB', 'United Kingdom'),
(17509, '62.96.251.224', '62.96.251.239', 1046543328, 1046543343, 'DE', 'Germany'),
(17510, '62.96.251.240', '62.96.251.255', 1046543344, 1046543359, 'GB', 'United Kingdom'),
(17511, '62.96.252.0', '62.96.252.255', 1046543360, 1046543615, 'DE', 'Germany'),
(17512, '62.96.253.0', '62.96.254.255', 1046543616, 1046544127, 'GB', 'United Kingdom'),
(17513, '62.96.255.0', '62.96.255.255', 1046544128, 1046544383, 'DE', 'Germany'),
(17514, '62.97.0.0', '62.97.63.255', 1046544384, 1046560767, 'IT', 'Italy'),
(17515, '62.97.64.0', '62.97.102.95', 1046560768, 1046570591, 'ES', 'Spain'),
(17516, '62.97.102.96', '62.97.102.111', 1046570592, 1046570607, 'CH', 'Switzerland'),
(17517, '62.97.102.112', '62.97.107.231', 1046570608, 1046572007, 'ES', 'Spain'),
(17518, '62.97.107.232', '62.97.107.239', 1046572008, 1046572015, 'DK', 'Denmark'),
(17519, '62.97.107.240', '62.97.159.255', 1046572016, 1046585343, 'ES', 'Spain'),
(17520, '62.97.160.0', '62.97.255.255', 1046585344, 1046609919, 'NO', 'Norway'),
(17521, '62.98.0.0', '62.98.255.255', 1046609920, 1046675455, 'IT', 'Italy'),
(17522, '62.99.0.0', '62.99.127.255', 1046675456, 1046708223, 'ES', 'Spain'),
(17523, '62.99.128.0', '62.99.255.255', 1046708224, 1046740991, 'AT', 'Austria'),
(17524, '62.100.0.0', '62.100.63.255', 1046740992, 1046757375, 'NL', 'Netherlands'),
(17525, '62.100.64.0', '62.100.95.255', 1046757376, 1046765567, 'IT', 'Italy'),
(17526, '62.100.96.0', '62.100.127.255', 1046765568, 1046773759, 'ES', 'Spain'),
(17527, '62.100.128.0', '62.100.159.255', 1046773760, 1046781951, 'FR', 'France'),
(17528, '62.100.160.0', '62.100.191.255', 1046781952, 1046790143, 'GB', 'United Kingdom'),
(17529, '62.100.192.0', '62.100.195.255', 1046790144, 1046791167, 'US', 'United States'),
(17530, '62.100.196.0', '62.100.223.255', 1046791168, 1046798335, 'GB', 'United Kingdom'),
(17531, '62.100.224.0', '62.100.255.255', 1046798336, 1046806527, 'HU', 'Hungary'),
(17532, '62.101.0.0', '62.101.31.255', 1046806528, 1046814719, 'IT', 'Italy'),
(17533, '62.101.32.0', '62.101.63.255', 1046814720, 1046822911, 'SE', 'Sweden'),
(17534, '62.101.64.0', '62.101.127.255', 1046822912, 1046839295, 'IT', 'Italy'),
(17535, '62.101.128.0', '62.101.159.255', 1046839296, 1046847487, 'BA', 'Bosnia and Herzegovina'),
(17536, '62.101.160.0', '62.101.191.255', 1046847488, 1046855679, 'ES', 'Spain'),
(17537, '62.101.192.0', '62.101.255.255', 1046855680, 1046872063, 'NO', 'Norway'),
(17538, '62.102.0.0', '62.102.2.7', 1046872064, 1046872583, 'BE', 'Belgium'),
(17539, '62.102.2.8', '62.102.2.31', 1046872584, 1046872607, 'EU', 'Europe'),
(17540, '62.102.2.32', '62.102.2.39', 1046872608, 1046872615, 'BE', 'Belgium'),
(17541, '62.102.2.40', '62.102.3.143', 1046872616, 1046872975, 'EU', 'Europe'),
(17542, '62.102.3.144', '62.102.3.167', 1046872976, 1046872999, 'BE', 'Belgium'),
(17543, '62.102.3.168', '62.102.3.255', 1046873000, 1046873087, 'EU', 'Europe'),
(17544, '62.102.4.0', '62.102.4.191', 1046873088, 1046873279, 'BE', 'Belgium'),
(17545, '62.102.4.192', '62.102.5.255', 1046873280, 1046873599, 'EU', 'Europe'),
(17546, '62.102.6.0', '62.102.24.255', 1046873600, 1046878463, 'BE', 'Belgium'),
(17547, '62.102.25.0', '62.102.28.23', 1046878464, 1046879255, 'EU', 'Europe'),
(17548, '62.102.28.24', '62.102.28.31', 1046879256, 1046879263, 'BE', 'Belgium'),
(17549, '62.102.28.32', '62.102.28.39', 1046879264, 1046879271, 'EU', 'Europe'),
(17550, '62.102.28.40', '62.102.28.79', 1046879272, 1046879311, 'BE', 'Belgium'),
(17551, '62.102.28.80', '62.102.28.95', 1046879312, 1046879327, 'EU', 'Europe'),
(17552, '62.102.28.96', '62.102.29.7', 1046879328, 1046879495, 'BE', 'Belgium'),
(17553, '62.102.29.8', '62.102.29.15', 1046879496, 1046879503, 'EU', 'Europe'),
(17554, '62.102.29.16', '62.102.29.23', 1046879504, 1046879511, 'BE', 'Belgium'),
(17555, '62.102.29.24', '62.102.29.55', 1046879512, 1046879543, 'EU', 'Europe'),
(17556, '62.102.29.56', '62.102.29.63', 1046879544, 1046879551, 'BE', 'Belgium'),
(17557, '62.102.29.64', '62.102.29.103', 1046879552, 1046879591, 'EU', 'Europe'),
(17558, '62.102.29.104', '62.102.29.135', 1046879592, 1046879623, 'BE', 'Belgium'),
(17559, '62.102.29.136', '62.102.29.159', 1046879624, 1046879647, 'EU', 'Europe'),
(17560, '62.102.29.160', '62.102.29.167', 1046879648, 1046879655, 'BE', 'Belgium'),
(17561, '62.102.29.168', '62.102.29.199', 1046879656, 1046879687, 'EU', 'Europe'),
(17562, '62.102.29.200', '62.102.29.223', 1046879688, 1046879711, 'BE', 'Belgium'),
(17563, '62.102.29.224', '62.102.29.231', 1046879712, 1046879719, 'EU', 'Europe'),
(17564, '62.102.29.232', '62.102.29.247', 1046879720, 1046879735, 'BE', 'Belgium'),
(17565, '62.102.29.248', '62.102.30.31', 1046879736, 1046879775, 'EU', 'Europe'),
(17566, '62.102.30.32', '62.102.30.47', 1046879776, 1046879791, 'BE', 'Belgium'),
(17567, '62.102.30.48', '62.102.30.63', 1046879792, 1046879807, 'EU', 'Europe'),
(17568, '62.102.30.64', '62.102.30.87', 1046879808, 1046879831, 'BE', 'Belgium'),
(17569, '62.102.30.88', '62.102.30.95', 1046879832, 1046879839, 'EU', 'Europe'),
(17570, '62.102.30.96', '62.102.30.103', 1046879840, 1046879847, 'BE', 'Belgium'),
(17571, '62.102.30.104', '62.102.30.151', 1046879848, 1046879895, 'EU', 'Europe'),
(17572, '62.102.30.152', '62.102.30.167', 1046879896, 1046879911, 'BE', 'Belgium'),
(17573, '62.102.30.168', '62.102.30.199', 1046879912, 1046879943, 'EU', 'Europe'),
(17574, '62.102.30.200', '62.102.30.215', 1046879944, 1046879959, 'BE', 'Belgium'),
(17575, '62.102.30.216', '62.102.30.223', 1046879960, 1046879967, 'EU', 'Europe'),
(17576, '62.102.30.224', '62.102.31.127', 1046879968, 1046880127, 'BE', 'Belgium'),
(17577, '62.102.31.128', '62.102.31.135', 1046880128, 1046880135, 'EU', 'Europe'),
(17578, '62.102.31.136', '62.102.31.143', 1046880136, 1046880143, 'BE', 'Belgium'),
(17579, '62.102.31.144', '62.102.31.151', 1046880144, 1046880151, 'EU', 'Europe'),
(17580, '62.102.31.152', '62.102.31.191', 1046880152, 1046880191, 'BE', 'Belgium'),
(17581, '62.102.31.192', '62.102.31.255', 1046880192, 1046880255, 'EU', 'Europe'),
(17582, '62.102.32.0', '62.102.32.255', 1046880256, 1046880511, 'BE', 'Belgium'),
(17583, '62.102.33.0', '62.102.33.7', 1046880512, 1046880519, 'EU', 'Europe'),
(17584, '62.102.33.8', '62.102.33.15', 1046880520, 1046880527, 'BE', 'Belgium'),
(17585, '62.102.33.16', '62.102.33.47', 1046880528, 1046880559, 'EU', 'Europe'),
(17586, '62.102.33.48', '62.102.33.55', 1046880560, 1046880567, 'RO', 'Romania'),
(17587, '62.102.33.56', '62.102.33.79', 1046880568, 1046880591, 'EU', 'Europe'),
(17588, '62.102.33.80', '62.102.33.103', 1046880592, 1046880615, 'BE', 'Belgium'),
(17589, '62.102.33.104', '62.102.33.127', 1046880616, 1046880639, 'EU', 'Europe'),
(17590, '62.102.33.128', '62.102.33.159', 1046880640, 1046880671, 'BE', 'Belgium'),
(17591, '62.102.33.160', '62.102.33.223', 1046880672, 1046880735, 'EU', 'Europe'),
(17592, '62.102.33.224', '62.102.33.247', 1046880736, 1046880759, 'BE', 'Belgium'),
(17593, '62.102.33.248', '62.102.33.255', 1046880760, 1046880767, 'EU', 'Europe'),
(17594, '62.102.34.0', '62.102.34.127', 1046880768, 1046880895, 'DE', 'Germany'),
(17595, '62.102.34.128', '62.102.34.135', 1046880896, 1046880903, 'EU', 'Europe'),
(17596, '62.102.34.136', '62.102.34.143', 1046880904, 1046880911, 'BE', 'Belgium'),
(17597, '62.102.34.144', '62.102.34.151', 1046880912, 1046880919, 'EU', 'Europe'),
(17598, '62.102.34.152', '62.102.34.167', 1046880920, 1046880935, 'BE', 'Belgium'),
(17599, '62.102.34.168', '62.102.34.215', 1046880936, 1046880983, 'EU', 'Europe'),
(17600, '62.102.34.216', '62.102.35.15', 1046880984, 1046881039, 'BE', 'Belgium'),
(17601, '62.102.35.16', '62.102.35.31', 1046881040, 1046881055, 'EU', 'Europe'),
(17602, '62.102.35.32', '62.102.35.47', 1046881056, 1046881071, 'BE', 'Belgium'),
(17603, '62.102.35.48', '62.102.35.55', 1046881072, 1046881079, 'EU', 'Europe'),
(17604, '62.102.35.56', '62.102.35.63', 1046881080, 1046881087, 'BE', 'Belgium'),
(17605, '62.102.35.64', '62.102.35.87', 1046881088, 1046881111, 'EU', 'Europe'),
(17606, '62.102.35.88', '62.102.35.103', 1046881112, 1046881127, 'BE', 'Belgium'),
(17607, '62.102.35.104', '62.102.35.111', 1046881128, 1046881135, 'EU', 'Europe'),
(17608, '62.102.35.112', '62.102.35.215', 1046881136, 1046881239, 'BE', 'Belgium'),
(17609, '62.102.35.216', '62.102.35.255', 1046881240, 1046881279, 'EU', 'Europe'),
(17610, '62.102.36.0', '62.102.38.255', 1046881280, 1046882047, 'BE', 'Belgium'),
(17611, '62.102.39.0', '62.102.39.255', 1046882048, 1046882303, 'EU', 'Europe'),
(17612, '62.102.40.0', '62.102.48.31', 1046882304, 1046884383, 'BE', 'Belgium'),
(17613, '62.102.48.32', '62.102.51.255', 1046884384, 1046885375, 'EU', 'Europe'),
(17614, '62.102.52.0', '62.102.63.255', 1046885376, 1046888447, 'BE', 'Belgium'),
(17615, '62.102.64.0', '62.102.90.255', 1046888448, 1046895359, 'GB', 'United Kingdom'),
(17616, '62.102.91.0', '62.102.94.255', 1046895360, 1046896383, 'EU', 'Europe'),
(17617, '62.102.95.0', '62.102.99.255', 1046896384, 1046897663, 'GB', 'United Kingdom'),
(17618, '62.102.100.0', '62.102.102.255', 1046897664, 1046898431, 'BE', 'Belgium'),
(17619, '62.102.103.0', '62.102.103.255', 1046898432, 1046898687, 'EU', 'Europe'),
(17620, '62.102.104.0', '62.102.104.255', 1046898688, 1046898943, 'BE', 'Belgium'),
(17621, '62.102.105.0', '62.102.105.223', 1046898944, 1046899167, 'EU', 'Europe'),
(17622, '62.102.105.224', '62.102.127.255', 1046899168, 1046904831, 'BE', 'Belgium'),
(17623, '62.102.128.0', '62.102.135.255', 1046904832, 1046906879, 'SK', 'Slovakia'),
(17624, '62.102.136.0', '62.102.143.255', 1046906880, 1046908927, 'IR', 'Iran, Islamic Republic of'),
(17625, '62.102.144.0', '62.102.151.255', 1046908928, 1046910975, 'SE', 'Sweden'),
(17626, '62.102.152.0', '62.102.159.255', 1046910976, 1046913023, 'IT', 'Italy'),
(17627, '62.102.160.0', '62.102.191.255', 1046913024, 1046921215, 'NO', 'Norway'),
(17628, '62.102.192.0', '62.102.223.255', 1046921216, 1046929407, 'DE', 'Germany'),
(17629, '62.102.224.0', '62.102.255.255', 1046929408, 1046937599, 'FR', 'France'),
(17630, '62.103.0.0', '62.103.255.255', 1046937600, 1047003135, 'GR', 'Greece'),
(17631, '62.104.0.0', '62.104.255.255', 1047003136, 1047068671, 'DE', 'Germany'),
(17632, '62.105.0.0', '62.105.63.255', 1047068672, 1047085055, 'RU', 'Russian Federation'),
(17633, '62.105.64.0', '62.105.127.255', 1047085056, 1047101439, 'GB', 'United Kingdom'),
(17634, '62.105.128.0', '62.105.159.255', 1047101440, 1047109631, 'RU', 'Russian Federation'),
(17635, '62.105.160.0', '62.105.191.255', 1047109632, 1047117823, 'GB', 'United Kingdom'),
(17636, '62.105.192.0', '62.105.255.255', 1047117824, 1047134207, 'NL', 'Netherlands'),
(17637, '62.106.0.0', '62.106.63.255', 1047134208, 1047150591, 'FI', 'Finland'),
(17638, '62.106.64.0', '62.106.95.255', 1047150592, 1047158783, 'FR', 'France'),
(17639, '62.106.96.0', '62.106.127.255', 1047158784, 1047166975, 'RU', 'Russian Federation'),
(17640, '62.106.128.0', '62.106.255.255', 1047166976, 1047199743, 'FR', 'France'),
(17641, '62.107.0.0', '62.107.255.255', 1047199744, 1047265279, 'DK', 'Denmark'),
(17642, '62.108.0.0', '62.108.31.255', 1047265280, 1047273471, 'NL', 'Netherlands'),
(17643, '62.108.32.0', '62.108.63.255', 1047273472, 1047281663, 'DE', 'Germany'),
(17644, '62.108.64.0', '62.108.95.255', 1047281664, 1047289855, 'TR', 'Turkey'),
(17645, '62.108.96.0', '62.108.117.119', 1047289856, 1047295351, 'RS', 'Serbia'),
(17646, '62.108.117.120', '62.108.117.127', 1047295352, 1047295359, 'HU', 'Hungary'),
(17647, '62.108.117.128', '62.108.127.255', 1047295360, 1047298047, 'RS', 'Serbia'),
(17648, '62.108.128.0', '62.108.135.255', 1047298048, 1047300095, 'CH', 'Switzerland'),
(17649, '62.108.136.0', '62.108.137.63', 1047300096, 1047300415, 'GB', 'United Kingdom'),
(17650, '62.108.137.64', '62.108.137.127', 1047300416, 1047300479, 'CH', 'Switzerland'),
(17651, '62.108.137.128', '62.108.137.143', 1047300480, 1047300495, 'FR', 'France'),
(17652, '62.108.137.144', '62.108.137.255', 1047300496, 1047300607, 'CH', 'Switzerland'),
(17653, '62.108.138.0', '62.108.138.31', 1047300608, 1047300639, 'GB', 'United Kingdom'),
(17654, '62.108.138.32', '62.108.143.255', 1047300640, 1047302143, 'CH', 'Switzerland'),
(17655, '62.108.144.0', '62.108.144.15', 1047302144, 1047302159, 'US', 'United States'),
(17656, '62.108.144.16', '62.108.144.31', 1047302160, 1047302175, 'GB', 'United Kingdom'),
(17657, '62.108.144.32', '62.108.144.47', 1047302176, 1047302191, 'AU', 'Australia'),
(17658, '62.108.144.48', '62.108.159.255', 1047302192, 1047306239, 'CH', 'Switzerland'),
(17659, '62.108.160.0', '62.108.191.255', 1047306240, 1047314431, 'PL', 'Poland'),
(17660, '62.108.192.0', '62.108.223.255', 1047314432, 1047322623, 'SE', 'Sweden'),
(17661, '62.108.224.0', '62.108.255.255', 1047322624, 1047330815, 'IT', 'Italy'),
(17662, '62.109.0.0', '62.109.31.255', 1047330816, 1047339007, 'RU', 'Russian Federation'),
(17663, '62.109.32.0', '62.109.36.247', 1047339008, 1047340279, 'SE', 'Sweden'),
(17664, '62.109.36.248', '62.109.36.255', 1047340280, 1047340287, 'DK', 'Denmark'),
(17665, '62.109.37.0', '62.109.37.143', 1047340288, 1047340431, 'SE', 'Sweden'),
(17666, '62.109.37.144', '62.109.37.151', 1047340432, 1047340439, 'NO', 'Norway'),
(17667, '62.109.37.152', '62.109.38.255', 1047340440, 1047340799, 'SE', 'Sweden'),
(17668, '62.109.39.0', '62.109.39.255', 1047340800, 1047341055, 'NO', 'Norway'),
(17669, '62.109.40.0', '62.109.50.255', 1047341056, 1047343871, 'SE', 'Sweden'),
(17670, '62.109.51.0', '62.109.51.255', 1047343872, 1047344127, 'NO', 'Norway'),
(17671, '62.109.52.0', '62.109.60.175', 1047344128, 1047346351, 'SE', 'Sweden'),
(17672, '62.109.60.176', '62.109.60.183', 1047346352, 1047346359, 'FI', 'Finland'),
(17673, '62.109.60.184', '62.109.60.255', 1047346360, 1047346431, 'SE', 'Sweden'),
(17674, '62.109.61.0', '62.109.61.255', 1047346432, 1047346687, 'FI', 'Finland'),
(17675, '62.109.62.0', '62.109.63.255', 1047346688, 1047347199, 'SE', 'Sweden'),
(17676, '62.109.64.0', '62.109.127.255', 1047347200, 1047363583, 'DE', 'Germany'),
(17677, '62.109.128.0', '62.109.159.255', 1047363584, 1047371775, 'CZ', 'Czech Republic'),
(17678, '62.109.160.0', '62.109.166.247', 1047371776, 1047373559, 'RU', 'Russian Federation'),
(17679, '62.109.166.248', '62.109.166.255', 1047373560, 1047373567, 'FI', 'Finland'),
(17680, '62.109.167.0', '62.109.191.255', 1047373568, 1047379967, 'RU', 'Russian Federation'),
(17681, '62.109.192.0', '62.109.255.255', 1047379968, 1047396351, 'NL', 'Netherlands'),
(17682, '62.110.0.0', '62.110.255.255', 1047396352, 1047461887, 'IT', 'Italy'),
(17683, '62.111.0.0', '62.111.127.255', 1047461888, 1047494655, 'DE', 'Germany'),
(17684, '62.111.128.0', '62.111.255.255', 1047494656, 1047527423, 'PL', 'Poland'),
(17685, '62.112.0.0', '62.112.31.255', 1047527424, 1047535615, 'BE', 'Belgium'),
(17686, '62.112.32.0', '62.112.95.255', 1047535616, 1047551999, 'DE', 'Germany'),
(17687, '62.112.96.0', '62.112.127.255', 1047552000, 1047560191, 'RU', 'Russian Federation'),
(17688, '62.112.128.0', '62.112.131.191', 1047560192, 1047561151, 'DE', 'Germany'),
(17689, '62.112.131.192', '62.112.131.199', 1047561152, 1047561159, 'AT', 'Austria'),
(17690, '62.112.131.200', '62.112.134.159', 1047561160, 1047561887, 'DE', 'Germany'),
(17691, '62.112.134.160', '62.112.134.163', 1047561888, 1047561891, 'US', 'United States'),
(17692, '62.112.134.164', '62.112.139.63', 1047561892, 1047563071, 'DE', 'Germany'),
(17693, '62.112.139.64', '62.112.139.127', 1047563072, 1047563135, 'ES', 'Spain'),
(17694, '62.112.139.128', '62.112.140.23', 1047563136, 1047563287, 'DE', 'Germany'),
(17695, '62.112.140.24', '62.112.140.31', 1047563288, 1047563295, 'CH', 'Switzerland'),
(17696, '62.112.140.32', '62.112.140.39', 1047563296, 1047563303, 'DE', 'Germany'),
(17697, '62.112.140.40', '62.112.140.47', 1047563304, 1047563311, 'CH', 'Switzerland'),
(17698, '62.112.140.48', '62.112.140.55', 1047563312, 1047563319, 'DE', 'Germany'),
(17699, '62.112.140.56', '62.112.140.59', 1047563320, 1047563323, 'CH', 'Switzerland'),
(17700, '62.112.140.60', '62.112.140.67', 1047563324, 1047563331, 'DE', 'Germany'),
(17701, '62.112.140.68', '62.112.140.71', 1047563332, 1047563335, 'CH', 'Switzerland'),
(17702, '62.112.140.72', '62.112.140.87', 1047563336, 1047563351, 'DE', 'Germany'),
(17703, '62.112.140.88', '62.112.140.91', 1047563352, 1047563355, 'CH', 'Switzerland'),
(17704, '62.112.140.92', '62.112.140.99', 1047563356, 1047563363, 'DE', 'Germany'),
(17705, '62.112.140.100', '62.112.140.103', 1047563364, 1047563367, 'ES', 'Spain'),
(17706, '62.112.140.104', '62.112.140.139', 1047563368, 1047563403, 'DE', 'Germany'),
(17707, '62.112.140.140', '62.112.140.143', 1047563404, 1047563407, 'NL', 'Netherlands'),
(17708, '62.112.140.144', '62.112.140.147', 1047563408, 1047563411, 'CH', 'Switzerland'),
(17709, '62.112.140.148', '62.112.140.151', 1047563412, 1047563415, 'DE', 'Germany'),
(17710, '62.112.140.152', '62.112.140.155', 1047563416, 1047563419, 'BE', 'Belgium'),
(17711, '62.112.140.156', '62.112.140.167', 1047563420, 1047563431, 'DE', 'Germany'),
(17712, '62.112.140.168', '62.112.140.171', 1047563432, 1047563435, 'CH', 'Switzerland'),
(17713, '62.112.140.172', '62.112.140.179', 1047563436, 1047563443, 'DE', 'Germany'),
(17714, '62.112.140.180', '62.112.140.183', 1047563444, 1047563447, 'CH', 'Switzerland'),
(17715, '62.112.140.184', '62.112.140.187', 1047563448, 1047563451, 'DE', 'Germany'),
(17716, '62.112.140.188', '62.112.140.191', 1047563452, 1047563455, 'NL', 'Netherlands'),
(17717, '62.112.140.192', '62.112.140.203', 1047563456, 1047563467, 'DE', 'Germany'),
(17718, '62.112.140.204', '62.112.140.207', 1047563468, 1047563471, 'CH', 'Switzerland'),
(17719, '62.112.140.208', '62.112.141.35', 1047563472, 1047563555, 'DE', 'Germany'),
(17720, '62.112.141.36', '62.112.141.39', 1047563556, 1047563559, 'CH', 'Switzerland'),
(17721, '62.112.141.40', '62.112.147.51', 1047563560, 1047565107, 'DE', 'Germany'),
(17722, '62.112.147.52', '62.112.147.55', 1047565108, 1047565111, 'IT', 'Italy'),
(17723, '62.112.147.56', '62.112.147.75', 1047565112, 1047565131, 'DE', 'Germany'),
(17724, '62.112.147.76', '62.112.147.79', 1047565132, 1047565135, 'GB', 'United Kingdom'),
(17725, '62.112.147.80', '62.112.148.31', 1047565136, 1047565343, 'DE', 'Germany'),
(17726, '62.112.148.32', '62.112.148.47', 1047565344, 1047565359, 'CH', 'Switzerland'),
(17727, '62.112.148.48', '62.112.148.191', 1047565360, 1047565503, 'DE', 'Germany'),
(17728, '62.112.148.192', '62.112.148.195', 1047565504, 1047565507, 'CZ', 'Czech Republic'),
(17729, '62.112.148.196', '62.112.150.15', 1047565508, 1047565839, 'DE', 'Germany'),
(17730, '62.112.150.16', '62.112.150.63', 1047565840, 1047565887, 'CH', 'Switzerland'),
(17731, '62.112.150.64', '62.112.150.191', 1047565888, 1047566015, 'DE', 'Germany'),
(17732, '62.112.150.192', '62.112.150.255', 1047566016, 1047566079, 'CZ', 'Czech Republic'),
(17733, '62.112.151.0', '62.112.152.27', 1047566080, 1047566363, 'DE', 'Germany'),
(17734, '62.112.152.28', '62.112.152.31', 1047566364, 1047566367, 'CH', 'Switzerland'),
(17735, '62.112.152.32', '62.112.152.67', 1047566368, 1047566403, 'DE', 'Germany'),
(17736, '62.112.152.68', '62.112.152.79', 1047566404, 1047566415, 'CH', 'Switzerland'),
(17737, '62.112.152.80', '62.112.152.99', 1047566416, 1047566435, 'DE', 'Germany'),
(17738, '62.112.152.100', '62.112.152.103', 1047566436, 1047566439, 'CH', 'Switzerland'),
(17739, '62.112.152.104', '62.112.152.107', 1047566440, 1047566443, 'DE', 'Germany'),
(17740, '62.112.152.108', '62.112.152.111', 1047566444, 1047566447, 'AT', 'Austria'),
(17741, '62.112.152.112', '62.112.152.115', 1047566448, 1047566451, 'DE', 'Germany'),
(17742, '62.112.152.116', '62.112.152.123', 1047566452, 1047566459, 'CH', 'Switzerland'),
(17743, '62.112.152.124', '62.112.152.139', 1047566460, 1047566475, 'DE', 'Germany'),
(17744, '62.112.152.140', '62.112.152.143', 1047566476, 1047566479, 'CH', 'Switzerland'),
(17745, '62.112.152.144', '62.112.152.159', 1047566480, 1047566495, 'DE', 'Germany'),
(17746, '62.112.152.160', '62.112.152.163', 1047566496, 1047566499, 'CH', 'Switzerland'),
(17747, '62.112.152.164', '62.112.152.171', 1047566500, 1047566507, 'DE', 'Germany'),
(17748, '62.112.152.172', '62.112.152.175', 1047566508, 1047566511, 'CH', 'Switzerland'),
(17749, '62.112.152.176', '62.112.152.183', 1047566512, 1047566519, 'DE', 'Germany'),
(17750, '62.112.152.184', '62.112.152.203', 1047566520, 1047566539, 'CH', 'Switzerland'),
(17751, '62.112.152.204', '62.112.152.207', 1047566540, 1047566543, 'DE', 'Germany'),
(17752, '62.112.152.208', '62.112.152.211', 1047566544, 1047566547, 'CH', 'Switzerland'),
(17753, '62.112.152.212', '62.112.152.223', 1047566548, 1047566559, 'DE', 'Germany'),
(17754, '62.112.152.224', '62.112.152.227', 1047566560, 1047566563, 'CH', 'Switzerland'),
(17755, '62.112.152.228', '62.112.153.255', 1047566564, 1047566847, 'DE', 'Germany'),
(17756, '62.112.154.0', '62.112.154.3', 1047566848, 1047566851, 'AT', 'Austria'),
(17757, '62.112.154.4', '62.112.154.23', 1047566852, 1047566871, 'DE', 'Germany'),
(17758, '62.112.154.24', '62.112.154.31', 1047566872, 1047566879, 'CH', 'Switzerland'),
(17759, '62.112.154.32', '62.112.154.43', 1047566880, 1047566891, 'DE', 'Germany'),
(17760, '62.112.154.44', '62.112.154.55', 1047566892, 1047566903, 'CH', 'Switzerland'),
(17761, '62.112.154.56', '62.112.154.99', 1047566904, 1047566947, 'DE', 'Germany'),
(17762, '62.112.154.100', '62.112.154.103', 1047566948, 1047566951, 'AT', 'Austria'),
(17763, '62.112.154.104', '62.112.154.115', 1047566952, 1047566963, 'DE', 'Germany'),
(17764, '62.112.154.116', '62.112.154.119', 1047566964, 1047566967, 'AT', 'Austria'),
(17765, '62.112.154.120', '62.112.154.123', 1047566968, 1047566971, 'CH', 'Switzerland'),
(17766, '62.112.154.124', '62.112.154.147', 1047566972, 1047566995, 'DE', 'Germany'),
(17767, '62.112.154.148', '62.112.154.151', 1047566996, 1047566999, 'CH', 'Switzerland'),
(17768, '62.112.154.152', '62.112.154.167', 1047567000, 1047567015, 'DE', 'Germany'),
(17769, '62.112.154.168', '62.112.154.171', 1047567016, 1047567019, 'CH', 'Switzerland'),
(17770, '62.112.154.172', '62.112.154.179', 1047567020, 1047567027, 'DE', 'Germany'),
(17771, '62.112.154.180', '62.112.154.183', 1047567028, 1047567031, 'CH', 'Switzerland'),
(17772, '62.112.154.184', '62.112.154.191', 1047567032, 1047567039, 'DE', 'Germany'),
(17773, '62.112.154.192', '62.112.154.195', 1047567040, 1047567043, 'AT', 'Austria'),
(17774, '62.112.154.196', '62.112.154.199', 1047567044, 1047567047, 'CH', 'Switzerland'),
(17775, '62.112.154.200', '62.112.154.215', 1047567048, 1047567063, 'DE', 'Germany'),
(17776, '62.112.154.216', '62.112.154.219', 1047567064, 1047567067, 'CH', 'Switzerland'),
(17777, '62.112.154.220', '62.112.154.223', 1047567068, 1047567071, 'BE', 'Belgium'),
(17778, '62.112.154.224', '62.112.154.227', 1047567072, 1047567075, 'NL', 'Netherlands'),
(17779, '62.112.154.228', '62.112.154.231', 1047567076, 1047567079, 'DE', 'Germany'),
(17780, '62.112.154.232', '62.112.154.235', 1047567080, 1047567083, 'NL', 'Netherlands'),
(17781, '62.112.154.236', '62.112.155.31', 1047567084, 1047567135, 'DE', 'Germany'),
(17782, '62.112.155.32', '62.112.155.39', 1047567136, 1047567143, 'GB', 'United Kingdom'),
(17783, '62.112.155.40', '62.112.155.43', 1047567144, 1047567147, 'CH', 'Switzerland'),
(17784, '62.112.155.44', '62.112.155.47', 1047567148, 1047567151, 'BE', 'Belgium'),
(17785, '62.112.155.48', '62.112.155.55', 1047567152, 1047567159, 'CH', 'Switzerland'),
(17786, '62.112.155.56', '62.112.155.59', 1047567160, 1047567163, 'DE', 'Germany'),
(17787, '62.112.155.60', '62.112.155.63', 1047567164, 1047567167, 'AT', 'Austria'),
(17788, '62.112.155.64', '62.112.155.71', 1047567168, 1047567175, 'CH', 'Switzerland'),
(17789, '62.112.155.72', '62.112.155.107', 1047567176, 1047567211, 'DE', 'Germany'),
(17790, '62.112.155.108', '62.112.155.123', 1047567212, 1047567227, 'CH', 'Switzerland'),
(17791, '62.112.155.124', '62.112.155.135', 1047567228, 1047567239, 'DE', 'Germany'),
(17792, '62.112.155.136', '62.112.155.139', 1047567240, 1047567243, 'CH', 'Switzerland'),
(17793, '62.112.155.140', '62.112.155.143', 1047567244, 1047567247, 'DE', 'Germany'),
(17794, '62.112.155.144', '62.112.155.151', 1047567248, 1047567255, 'CH', 'Switzerland'),
(17795, '62.112.155.152', '62.112.155.175', 1047567256, 1047567279, 'DE', 'Germany'),
(17796, '62.112.155.176', '62.112.155.183', 1047567280, 1047567287, 'CH', 'Switzerland'),
(17797, '62.112.155.184', '62.112.155.203', 1047567288, 1047567307, 'DE', 'Germany'),
(17798, '62.112.155.204', '62.112.155.207', 1047567308, 1047567311, 'CH', 'Switzerland'),
(17799, '62.112.155.208', '62.112.155.211', 1047567312, 1047567315, 'DE', 'Germany'),
(17800, '62.112.155.212', '62.112.155.215', 1047567316, 1047567319, 'AT', 'Austria'),
(17801, '62.112.155.216', '62.112.155.223', 1047567320, 1047567327, 'CH', 'Switzerland'),
(17802, '62.112.155.224', '62.112.155.239', 1047567328, 1047567343, 'DE', 'Germany'),
(17803, '62.112.155.240', '62.112.155.247', 1047567344, 1047567351, 'AT', 'Austria'),
(17804, '62.112.155.248', '62.112.155.255', 1047567352, 1047567359, 'DE', 'Germany'),
(17805, '62.112.156.0', '62.112.156.15', 1047567360, 1047567375, 'CH', 'Switzerland'),
(17806, '62.112.156.16', '62.112.156.87', 1047567376, 1047567447, 'DE', 'Germany'),
(17807, '62.112.156.88', '62.112.156.91', 1047567448, 1047567451, 'CH', 'Switzerland'),
(17808, '62.112.156.92', '62.112.156.95', 1047567452, 1047567455, 'AT', 'Austria'),
(17809, '62.112.156.96', '62.112.156.103', 1047567456, 1047567463, 'DE', 'Germany'),
(17810, '62.112.156.104', '62.112.156.111', 1047567464, 1047567471, 'CH', 'Switzerland'),
(17811, '62.112.156.112', '62.112.156.115', 1047567472, 1047567475, 'DE', 'Germany'),
(17812, '62.112.156.116', '62.112.156.123', 1047567476, 1047567483, 'CH', 'Switzerland'),
(17813, '62.112.156.124', '62.112.156.135', 1047567484, 1047567495, 'DE', 'Germany'),
(17814, '62.112.156.136', '62.112.156.139', 1047567496, 1047567499, 'CH', 'Switzerland'),
(17815, '62.112.156.140', '62.112.156.175', 1047567500, 1047567535, 'DE', 'Germany'),
(17816, '62.112.156.176', '62.112.156.179', 1047567536, 1047567539, 'CH', 'Switzerland'),
(17817, '62.112.156.180', '62.112.156.191', 1047567540, 1047567551, 'DE', 'Germany'),
(17818, '62.112.156.192', '62.112.156.195', 1047567552, 1047567555, 'CH', 'Switzerland'),
(17819, '62.112.156.196', '62.112.156.223', 1047567556, 1047567583, 'DE', 'Germany'),
(17820, '62.112.156.224', '62.112.156.255', 1047567584, 1047567615, 'CZ', 'Czech Republic'),
(17821, '62.112.157.0', '62.112.157.39', 1047567616, 1047567655, 'DE', 'Germany'),
(17822, '62.112.157.40', '62.112.157.43', 1047567656, 1047567659, 'CH', 'Switzerland'),
(17823, '62.112.157.44', '62.112.157.111', 1047567660, 1047567727, 'DE', 'Germany'),
(17824, '62.112.157.112', '62.112.157.115', 1047567728, 1047567731, 'BE', 'Belgium'),
(17825, '62.112.157.116', '62.112.157.119', 1047567732, 1047567735, 'DE', 'Germany'),
(17826, '62.112.157.120', '62.112.157.127', 1047567736, 1047567743, 'CH', 'Switzerland'),
(17827, '62.112.157.128', '62.112.157.135', 1047567744, 1047567751, 'DE', 'Germany'),
(17828, '62.112.157.136', '62.112.157.139', 1047567752, 1047567755, 'LU', 'Luxembourg'),
(17829, '62.112.157.140', '62.112.157.143', 1047567756, 1047567759, 'CH', 'Switzerland'),
(17830, '62.112.157.144', '62.112.157.207', 1047567760, 1047567823, 'DE', 'Germany'),
(17831, '62.112.157.208', '62.112.157.223', 1047567824, 1047567839, 'CH', 'Switzerland'),
(17832, '62.112.157.224', '62.112.157.231', 1047567840, 1047567847, 'DE', 'Germany'),
(17833, '62.112.157.232', '62.112.157.235', 1047567848, 1047567851, 'CH', 'Switzerland'),
(17834, '62.112.157.236', '62.112.157.239', 1047567852, 1047567855, 'BE', 'Belgium'),
(17835, '62.112.157.240', '62.112.157.255', 1047567856, 1047567871, 'DE', 'Germany'),
(17836, '62.112.158.0', '62.112.158.3', 1047567872, 1047567875, 'CH', 'Switzerland'),
(17837, '62.112.158.4', '62.112.158.7', 1047567876, 1047567879, 'AT', 'Austria'),
(17838, '62.112.158.8', '62.112.158.11', 1047567880, 1047567883, 'CH', 'Switzerland'),
(17839, '62.112.158.12', '62.112.158.31', 1047567884, 1047567903, 'DE', 'Germany'),
(17840, '62.112.158.32', '62.112.158.67', 1047567904, 1047567939, 'CH', 'Switzerland'),
(17841, '62.112.158.68', '62.112.158.111', 1047567940, 1047567983, 'DE', 'Germany'),
(17842, '62.112.158.112', '62.112.158.127', 1047567984, 1047567999, 'ES', 'Spain'),
(17843, '62.112.158.128', '62.112.158.175', 1047568000, 1047568047, 'DE', 'Germany'),
(17844, '62.112.158.176', '62.112.158.179', 1047568048, 1047568051, 'CH', 'Switzerland'),
(17845, '62.112.158.180', '62.112.158.183', 1047568052, 1047568055, 'DE', 'Germany'),
(17846, '62.112.158.184', '62.112.158.187', 1047568056, 1047568059, 'CH', 'Switzerland'),
(17847, '62.112.158.188', '62.112.159.31', 1047568060, 1047568159, 'DE', 'Germany'),
(17848, '62.112.159.32', '62.112.159.35', 1047568160, 1047568163, 'CH', 'Switzerland'),
(17849, '62.112.159.36', '62.112.159.59', 1047568164, 1047568187, 'DE', 'Germany'),
(17850, '62.112.159.60', '62.112.159.63', 1047568188, 1047568191, 'CH', 'Switzerland'),
(17851, '62.112.159.64', '62.112.159.87', 1047568192, 1047568215, 'DE', 'Germany'),
(17852, '62.112.159.88', '62.112.159.91', 1047568216, 1047568219, 'CH', 'Switzerland'),
(17853, '62.112.159.92', '62.112.159.119', 1047568220, 1047568247, 'DE', 'Germany'),
(17854, '62.112.159.120', '62.112.159.123', 1047568248, 1047568251, 'CH', 'Switzerland'),
(17855, '62.112.159.124', '62.112.159.131', 1047568252, 1047568259, 'DE', 'Germany'),
(17856, '62.112.159.132', '62.112.159.135', 1047568260, 1047568263, 'AT', 'Austria'),
(17857, '62.112.159.136', '62.112.159.211', 1047568264, 1047568339, 'DE', 'Germany'),
(17858, '62.112.159.212', '62.112.159.215', 1047568340, 1047568343, 'CH', 'Switzerland'),
(17859, '62.112.159.216', '62.112.159.235', 1047568344, 1047568363, 'DE', 'Germany'),
(17860, '62.112.159.236', '62.112.159.239', 1047568364, 1047568367, 'CH', 'Switzerland'),
(17861, '62.112.159.240', '62.112.159.255', 1047568368, 1047568383, 'DE', 'Germany'),
(17862, '62.112.160.0', '62.112.191.255', 1047568384, 1047576575, 'NL', 'Netherlands'),
(17863, '62.112.192.0', '62.112.223.255', 1047576576, 1047584767, 'HU', 'Hungary'),
(17864, '62.112.224.0', '62.112.255.31', 1047584768, 1047592735, 'NL', 'Netherlands'),
(17865, '62.112.255.32', '62.112.255.39', 1047592736, 1047592743, 'FR', 'France'),
(17866, '62.112.255.40', '62.112.255.255', 1047592744, 1047592959, 'NL', 'Netherlands'),
(17867, '62.113.0.0', '62.113.31.255', 1047592960, 1047601151, 'BA', 'Bosnia and Herzegovina'),
(17868, '62.113.32.0', '62.113.127.255', 1047601152, 1047625727, 'RU', 'Russian Federation'),
(17869, '62.113.128.0', '62.113.159.255', 1047625728, 1047633919, 'NO', 'Norway'),
(17870, '62.113.160.0', '62.113.191.255', 1047633920, 1047642111, 'FI', 'Finland'),
(17871, '62.113.192.0', '62.113.255.255', 1047642112, 1047658495, 'DE', 'Germany'),
(17872, '62.114.0.0', '62.114.255.255', 1047658496, 1047724031, 'EG', 'Egypt'),
(17873, '62.115.0.0', '62.115.15.255', 1047724032, 1047728127, 'EU', 'Europe'),
(17874, '62.115.16.0', '62.115.31.255', 1047728128, 1047732223, 'SE', 'Sweden'),
(17875, '62.115.32.0', '62.115.63.255', 1047732224, 1047740415, 'EU', 'Europe'),
(17876, '62.115.64.0', '62.115.64.15', 1047740416, 1047740431, 'US', 'United States'),
(17877, '62.115.64.16', '62.115.64.31', 1047740432, 1047740447, 'DE', 'Germany'),
(17878, '62.115.64.32', '62.115.64.47', 1047740448, 1047740463, 'IT', 'Italy'),
(17879, '62.115.64.48', '62.115.64.127', 1047740464, 1047740543, 'SE', 'Sweden'),
(17880, '62.115.64.128', '62.115.64.255', 1047740544, 1047740671, 'DE', 'Germany'),
(17881, '62.115.65.0', '62.115.65.255', 1047740672, 1047740927, 'A2', 'Satellite Provider'),
(17882, '62.115.66.0', '62.115.225.47', 1047740928, 1047781679, 'EU', 'Europe'),
(17883, '62.115.225.48', '62.115.225.63', 1047781680, 1047781695, 'GB', 'United Kingdom'),
(17884, '62.115.225.64', '62.115.229.39', 1047781696, 1047782695, 'EU', 'Europe'),
(17885, '62.115.229.40', '62.115.229.47', 1047782696, 1047782703, 'GB', 'United Kingdom'),
(17886, '62.115.229.48', '62.115.229.63', 1047782704, 1047782719, 'EU', 'Europe'),
(17887, '62.115.229.64', '62.115.229.95', 1047782720, 1047782751, 'SE', 'Sweden'),
(17888, '62.115.229.96', '62.115.229.127', 1047782752, 1047782783, 'NO', 'Norway'),
(17889, '62.115.229.128', '62.115.229.159', 1047782784, 1047782815, 'FI', 'Finland'),
(17890, '62.115.229.160', '62.115.229.191', 1047782816, 1047782847, 'EU', 'Europe'),
(17891, '62.115.229.192', '62.115.229.255', 1047782848, 1047782911, 'SE', 'Sweden'),
(17892, '62.115.230.0', '62.115.239.255', 1047782912, 1047785471, 'EU', 'Europe'),
(17893, '62.115.240.0', '62.115.249.255', 1047785472, 1047788031, 'DE', 'Germany'),
(17894, '62.115.250.0', '62.115.255.63', 1047788032, 1047789375, 'EU', 'Europe'),
(17895, '62.115.255.64', '62.115.255.71', 1047789376, 1047789383, 'GB', 'United Kingdom'),
(17896, '62.115.255.72', '62.115.255.95', 1047789384, 1047789407, 'EU', 'Europe'),
(17897, '62.115.255.96', '62.115.255.111', 1047789408, 1047789423, 'DE', 'Germany'),
(17898, '62.115.255.112', '62.115.255.127', 1047789424, 1047789439, 'EU', 'Europe'),
(17899, '62.115.255.128', '62.115.255.159', 1047789440, 1047789471, 'SE', 'Sweden'),
(17900, '62.115.255.160', '62.115.255.223', 1047789472, 1047789535, 'EU', 'Europe'),
(17901, '62.115.255.224', '62.115.255.255', 1047789536, 1047789567, 'DE', 'Germany'),
(17902, '62.116.0.0', '62.116.64.79', 1047789568, 1047806031, 'AT', 'Austria'),
(17903, '62.116.64.80', '62.116.64.95', 1047806032, 1047806047, 'IT', 'Italy'),
(17904, '62.116.64.96', '62.116.127.255', 1047806048, 1047822335, 'AT', 'Austria'),
(17905, '62.116.128.0', '62.116.191.255', 1047822336, 1047838719, 'DE', 'Germany'),
(17906, '62.116.192.0', '62.116.223.255', 1047838720, 1047846911, 'DK', 'Denmark'),
(17907, '62.116.224.0', '62.116.255.255', 1047846912, 1047855103, 'SE', 'Sweden'),
(17908, '62.117.0.0', '62.117.31.255', 1047855104, 1047863295, 'DE', 'Germany'),
(17909, '62.117.32.0', '62.117.63.255', 1047863296, 1047871487, 'EG', 'Egypt'),
(17910, '62.117.64.0', '62.117.127.255', 1047871488, 1047887871, 'RU', 'Russian Federation'),
(17911, '62.117.128.0', '62.117.255.255', 1047887872, 1047920639, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(17912, '62.118.0.0', '62.118.79.255', 1047920640, 1047941119, 'RU', 'Russian Federation'),
(17913, '62.118.80.0', '62.118.80.255', 1047941120, 1047941375, 'GB', 'United Kingdom'),
(17914, '62.118.81.0', '62.118.255.255', 1047941376, 1047986175, 'RU', 'Russian Federation'),
(17915, '62.119.0.0', '62.119.43.255', 1047986176, 1047997439, 'SE', 'Sweden'),
(17916, '62.119.44.0', '62.119.44.63', 1047997440, 1047997503, 'NO', 'Norway'),
(17917, '62.119.44.64', '62.119.67.175', 1047997504, 1048003503, 'SE', 'Sweden'),
(17918, '62.119.67.176', '62.119.67.183', 1048003504, 1048003511, 'NO', 'Norway'),
(17919, '62.119.67.184', '62.119.99.255', 1048003512, 1048011775, 'SE', 'Sweden'),
(17920, '62.119.100.0', '62.119.100.255', 1048011776, 1048012031, 'EU', 'Europe'),
(17921, '62.119.101.0', '62.119.102.95', 1048012032, 1048012383, 'SE', 'Sweden'),
(17922, '62.119.102.96', '62.119.102.103', 1048012384, 1048012391, 'DE', 'Germany'),
(17923, '62.119.102.104', '62.119.255.255', 1048012392, 1048051711, 'SE', 'Sweden'),
(17924, '62.120.0.0', '62.120.255.255', 1048051712, 1048117247, 'SA', 'Saudi Arabia'),
(17925, '62.121.0.0', '62.121.31.255', 1048117248, 1048125439, 'GB', 'United Kingdom'),
(17926, '62.121.32.0', '62.121.63.255', 1048125440, 1048133631, 'FI', 'Finland'),
(17927, '62.121.64.0', '62.121.159.255', 1048133632, 1048158207, 'PL', 'Poland'),
(17928, '62.121.160.0', '62.121.191.255', 1048158208, 1048166399, 'DK', 'Denmark'),
(17929, '62.121.192.0', '62.121.255.255', 1048166400, 1048182783, 'CH', 'Switzerland'),
(17930, '62.122.0.0', '62.122.7.255', 1048182784, 1048184831, 'UA', 'Ukraine'),
(17931, '62.122.8.0', '62.122.15.255', 1048184832, 1048186879, 'FR', 'France'),
(17932, '62.122.16.0', '62.122.23.255', 1048186880, 1048188927, 'LV', 'Latvia'),
(17933, '62.122.24.0', '62.122.31.255', 1048188928, 1048190975, 'BE', 'Belgium'),
(17934, '62.122.32.0', '62.122.39.255', 1048190976, 1048193023, 'UA', 'Ukraine'),
(17935, '62.122.40.0', '62.122.47.255', 1048193024, 1048195071, 'RO', 'Romania'),
(17936, '62.122.48.0', '62.122.55.255', 1048195072, 1048197119, 'RU', 'Russian Federation'),
(17937, '62.122.56.0', '62.122.71.255', 1048197120, 1048201215, 'UA', 'Ukraine'),
(17938, '62.122.72.0', '62.122.79.255', 1048201216, 1048203263, 'EU', 'Europe'),
(17939, '62.122.80.0', '62.122.87.255', 1048203264, 1048205311, 'DE', 'Germany'),
(17940, '62.122.88.0', '62.122.103.255', 1048205312, 1048209407, 'RU', 'Russian Federation'),
(17941, '62.122.104.0', '62.122.111.255', 1048209408, 1048211455, 'UA', 'Ukraine'),
(17942, '62.122.112.0', '62.122.127.255', 1048211456, 1048215551, 'PL', 'Poland'),
(17943, '62.122.128.0', '62.122.135.255', 1048215552, 1048217599, 'RU', 'Russian Federation'),
(17944, '62.122.136.0', '62.122.143.255', 1048217600, 1048219647, 'TJ', 'Tajikistan'),
(17945, '62.122.144.0', '62.122.151.255', 1048219648, 1048221695, 'RU', 'Russian Federation'),
(17946, '62.122.152.0', '62.122.159.255', 1048221696, 1048223743, 'UA', 'Ukraine'),
(17947, '62.122.160.0', '62.122.167.255', 1048223744, 1048225791, 'DK', 'Denmark'),
(17948, '62.122.168.0', '62.122.175.255', 1048225792, 1048227839, 'CZ', 'Czech Republic'),
(17949, '62.122.176.0', '62.122.199.255', 1048227840, 1048233983, 'RU', 'Russian Federation'),
(17950, '62.122.200.0', '62.122.207.255', 1048233984, 1048236031, 'UA', 'Ukraine'),
(17951, '62.122.208.0', '62.122.223.255', 1048236032, 1048240127, 'RU', 'Russian Federation'),
(17952, '62.122.224.0', '62.122.231.255', 1048240128, 1048242175, 'IL', 'Israel'),
(17953, '62.122.232.0', '62.122.239.255', 1048242176, 1048244223, 'PL', 'Poland'),
(17954, '62.122.240.0', '62.122.247.255', 1048244224, 1048246271, 'RU', 'Russian Federation'),
(17955, '62.122.248.0', '62.122.255.255', 1048246272, 1048248319, 'NO', 'Norway'),
(17956, '62.123.0.0', '62.123.255.255', 1048248320, 1048313855, 'IT', 'Italy'),
(17957, '62.124.0.0', '62.126.255.255', 1048313856, 1048510463, 'GB', 'United Kingdom'),
(17958, '62.127.0.0', '62.127.255.255', 1048510464, 1048575999, 'SE', 'Sweden'),
(17959, '62.128.0.0', '62.128.31.255', 1048576000, 1048584191, 'DE', 'Germany'),
(17960, '62.128.32.0', '62.128.63.255', 1048584192, 1048592383, 'IL', 'Israel'),
(17961, '62.128.64.0', '62.128.95.255', 1048592384, 1048600575, 'IT', 'Italy'),
(17962, '62.128.96.0', '62.128.99.255', 1048600576, 1048601599, 'UA', 'Ukraine'),
(17963, '62.128.100.0', '62.128.101.255', 1048601600, 1048602111, 'RU', 'Russian Federation'),
(17964, '62.128.102.0', '62.128.111.255', 1048602112, 1048604671, 'UA', 'Ukraine'),
(17965, '62.128.112.0', '62.128.112.15', 1048604672, 1048604687, 'EE', 'Estonia'),
(17966, '62.128.112.16', '62.128.112.79', 1048604688, 1048604751, 'UA', 'Ukraine'),
(17967, '62.128.112.80', '62.128.112.87', 1048604752, 1048604759, 'EE', 'Estonia'),
(17968, '62.128.112.88', '62.128.112.255', 1048604760, 1048604927, 'UA', 'Ukraine'),
(17969, '62.128.113.0', '62.128.113.17', 1048604928, 1048604945, 'LT', 'Lithuania'),
(17970, '62.128.113.18', '62.128.113.27', 1048604946, 1048604955, 'UA', 'Ukraine'),
(17971, '62.128.113.28', '62.128.113.31', 1048604956, 1048604959, 'LT', 'Lithuania'),
(17972, '62.128.113.32', '62.128.113.35', 1048604960, 1048604963, 'UA', 'Ukraine'),
(17973, '62.128.113.36', '62.128.113.39', 1048604964, 1048604967, 'LT', 'Lithuania'),
(17974, '62.128.113.40', '62.128.113.43', 1048604968, 1048604971, 'UA', 'Ukraine'),
(17975, '62.128.113.44', '62.128.113.63', 1048604972, 1048604991, 'LT', 'Lithuania'),
(17976, '62.128.113.64', '62.128.113.127', 1048604992, 1048605055, 'UA', 'Ukraine'),
(17977, '62.128.113.128', '62.128.113.135', 1048605056, 1048605063, 'LT', 'Lithuania'),
(17978, '62.128.113.136', '62.128.113.143', 1048605064, 1048605071, 'UA', 'Ukraine'),
(17979, '62.128.113.144', '62.128.113.151', 1048605072, 1048605079, 'LT', 'Lithuania'),
(17980, '62.128.113.152', '62.128.113.175', 1048605080, 1048605103, 'UA', 'Ukraine'),
(17981, '62.128.113.176', '62.128.113.191', 1048605104, 1048605119, 'LT', 'Lithuania'),
(17982, '62.128.113.192', '62.128.115.255', 1048605120, 1048605695, 'UA', 'Ukraine'),
(17983, '62.128.116.0', '62.128.119.255', 1048605696, 1048606719, 'EE', 'Estonia'),
(17984, '62.128.120.0', '62.128.121.255', 1048606720, 1048607231, 'UA', 'Ukraine'),
(17985, '62.128.122.0', '62.128.123.31', 1048607232, 1048607519, 'EE', 'Estonia'),
(17986, '62.128.123.32', '62.128.123.255', 1048607520, 1048607743, 'UA', 'Ukraine'),
(17987, '62.128.124.0', '62.128.124.15', 1048607744, 1048607759, 'EE', 'Estonia'),
(17988, '62.128.124.16', '62.128.124.31', 1048607760, 1048607775, 'UA', 'Ukraine'),
(17989, '62.128.124.32', '62.128.124.95', 1048607776, 1048607839, 'EE', 'Estonia'),
(17990, '62.128.124.96', '62.128.125.255', 1048607840, 1048608255, 'UA', 'Ukraine'),
(17991, '62.128.126.0', '62.128.126.31', 1048608256, 1048608287, 'RU', 'Russian Federation'),
(17992, '62.128.126.32', '62.128.127.159', 1048608288, 1048608671, 'UA', 'Ukraine'),
(17993, '62.128.127.160', '62.128.127.191', 1048608672, 1048608703, 'EE', 'Estonia'),
(17994, '62.128.127.192', '62.128.127.199', 1048608704, 1048608711, 'UA', 'Ukraine'),
(17995, '62.128.127.200', '62.128.127.215', 1048608712, 1048608727, 'EE', 'Estonia'),
(17996, '62.128.127.216', '62.128.127.219', 1048608728, 1048608731, 'UA', 'Ukraine'),
(17997, '62.128.127.220', '62.128.127.255', 1048608732, 1048608767, 'EE', 'Estonia'),
(17998, '62.128.128.0', '62.128.138.255', 1048608768, 1048611583, 'GB', 'United Kingdom'),
(17999, '62.128.139.0', '62.128.139.255', 1048611584, 1048611839, 'FR', 'France'),
(18000, '62.128.140.0', '62.128.153.255', 1048611840, 1048615423, 'GB', 'United Kingdom'),
(18001, '62.128.154.0', '62.128.154.63', 1048615424, 1048615487, 'US', 'United States'),
(18002, '62.128.154.64', '62.128.159.255', 1048615488, 1048616959, 'GB', 'United Kingdom'),
(18003, '62.128.160.0', '62.128.160.255', 1048616960, 1048617215, 'A2', 'Satellite Provider'),
(18004, '62.128.161.0', '62.128.166.255', 1048617216, 1048618751, 'KE', 'Kenya'),
(18005, '62.128.167.0', '62.128.167.255', 1048618752, 1048619007, 'A2', 'Satellite Provider'),
(18006, '62.128.168.0', '62.128.175.255', 1048619008, 1048621055, 'KE', 'Kenya'),
(18007, '62.128.176.0', '62.128.191.255', 1048621056, 1048625151, 'US', 'United States'),
(18008, '62.128.192.0', '62.128.223.255', 1048625152, 1048633343, 'GB', 'United Kingdom'),
(18009, '62.128.224.0', '62.128.255.255', 1048633344, 1048641535, 'NO', 'Norway'),
(18010, '62.129.0.0', '62.129.31.255', 1048641536, 1048649727, 'FR', 'France'),
(18011, '62.129.32.0', '62.129.63.255', 1048649728, 1048657919, 'CZ', 'Czech Republic'),
(18012, '62.129.64.0', '62.129.127.255', 1048657920, 1048674303, 'GB', 'United Kingdom'),
(18013, '62.129.128.0', '62.129.159.255', 1048674304, 1048682495, 'NL', 'Netherlands'),
(18014, '62.129.160.0', '62.129.191.255', 1048682496, 1048690687, 'FR', 'France'),
(18015, '62.129.192.0', '62.129.255.255', 1048690688, 1048707071, 'PL', 'Poland'),
(18016, '62.130.0.0', '62.130.255.255', 1048707072, 1048772607, 'GB', 'United Kingdom'),
(18017, '62.131.0.0', '62.131.255.255', 1048772608, 1048838143, 'NL', 'Netherlands'),
(18018, '62.132.0.0', '62.132.0.31', 1048838144, 1048838175, 'DE', 'Germany'),
(18019, '62.132.0.32', '62.132.0.63', 1048838176, 1048838207, 'PL', 'Poland'),
(18020, '62.132.0.64', '62.132.0.95', 1048838208, 1048838239, 'NL', 'Netherlands'),
(18021, '62.132.0.96', '62.132.6.255', 1048838240, 1048839935, 'DE', 'Germany'),
(18022, '62.132.7.0', '62.132.9.255', 1048839936, 1048840703, 'NL', 'Netherlands'),
(18023, '62.132.10.0', '62.132.19.255', 1048840704, 1048843263, 'DE', 'Germany'),
(18024, '62.132.20.0', '62.132.20.47', 1048843264, 1048843311, 'NL', 'Netherlands'),
(18025, '62.132.20.48', '62.132.20.55', 1048843312, 1048843319, 'DE', 'Germany'),
(18026, '62.132.20.56', '62.132.21.79', 1048843320, 1048843599, 'NL', 'Netherlands'),
(18027, '62.132.21.80', '62.132.21.87', 1048843600, 1048843607, 'DE', 'Germany'),
(18028, '62.132.21.88', '62.132.22.175', 1048843608, 1048843951, 'NL', 'Netherlands'),
(18029, '62.132.22.176', '62.132.22.183', 1048843952, 1048843959, 'DE', 'Germany'),
(18030, '62.132.22.184', '62.132.22.207', 1048843960, 1048843983, 'NL', 'Netherlands'),
(18031, '62.132.22.208', '62.132.22.215', 1048843984, 1048843991, 'DE', 'Germany'),
(18032, '62.132.22.216', '62.132.23.231', 1048843992, 1048844263, 'NL', 'Netherlands'),
(18033, '62.132.23.232', '62.132.23.239', 1048844264, 1048844271, 'DE', 'Germany'),
(18034, '62.132.23.240', '62.132.23.255', 1048844272, 1048844287, 'NL', 'Netherlands'),
(18035, '62.132.24.0', '62.132.24.31', 1048844288, 1048844319, 'DE', 'Germany'),
(18036, '62.132.24.32', '62.132.24.63', 1048844320, 1048844351, 'NL', 'Netherlands'),
(18037, '62.132.24.64', '62.132.28.255', 1048844352, 1048845567, 'DE', 'Germany'),
(18038, '62.132.29.0', '62.132.29.135', 1048845568, 1048845703, 'NL', 'Netherlands'),
(18039, '62.132.29.136', '62.132.29.143', 1048845704, 1048845711, 'DE', 'Germany'),
(18040, '62.132.29.144', '62.132.29.191', 1048845712, 1048845759, 'NL', 'Netherlands'),
(18041, '62.132.29.192', '62.132.29.199', 1048845760, 1048845767, 'DE', 'Germany'),
(18042, '62.132.29.200', '62.132.30.31', 1048845768, 1048845855, 'NL', 'Netherlands'),
(18043, '62.132.30.32', '62.132.30.39', 1048845856, 1048845863, 'DE', 'Germany'),
(18044, '62.132.30.40', '62.132.32.239', 1048845864, 1048846575, 'NL', 'Netherlands'),
(18045, '62.132.32.240', '62.132.32.247', 1048846576, 1048846583, 'DE', 'Germany'),
(18046, '62.132.32.248', '62.132.33.55', 1048846584, 1048846647, 'NL', 'Netherlands'),
(18047, '62.132.33.56', '62.132.33.71', 1048846648, 1048846663, 'DE', 'Germany'),
(18048, '62.132.33.72', '62.132.33.95', 1048846664, 1048846687, 'NL', 'Netherlands'),
(18049, '62.132.33.96', '62.132.33.103', 1048846688, 1048846695, 'DE', 'Germany'),
(18050, '62.132.33.104', '62.132.33.255', 1048846696, 1048846847, 'NL', 'Netherlands'),
(18051, '62.132.34.0', '62.132.35.255', 1048846848, 1048847359, 'DE', 'Germany'),
(18052, '62.132.36.0', '62.132.36.63', 1048847360, 1048847423, 'NL', 'Netherlands'),
(18053, '62.132.36.64', '62.132.36.71', 1048847424, 1048847431, 'DE', 'Germany'),
(18054, '62.132.36.72', '62.132.36.95', 1048847432, 1048847455, 'NL', 'Netherlands'),
(18055, '62.132.36.96', '62.132.36.103', 1048847456, 1048847463, 'DE', 'Germany'),
(18056, '62.132.36.104', '62.132.38.247', 1048847464, 1048848119, 'NL', 'Netherlands'),
(18057, '62.132.38.248', '62.132.38.255', 1048848120, 1048848127, 'DE', 'Germany'),
(18058, '62.132.39.0', '62.132.39.7', 1048848128, 1048848135, 'NL', 'Netherlands'),
(18059, '62.132.39.8', '62.132.39.15', 1048848136, 1048848143, 'DE', 'Germany'),
(18060, '62.132.39.16', '62.132.40.95', 1048848144, 1048848479, 'NL', 'Netherlands'),
(18061, '62.132.40.96', '62.132.40.103', 1048848480, 1048848487, 'DE', 'Germany'),
(18062, '62.132.40.104', '62.132.40.167', 1048848488, 1048848551, 'NL', 'Netherlands'),
(18063, '62.132.40.168', '62.132.40.175', 1048848552, 1048848559, 'DE', 'Germany'),
(18064, '62.132.40.176', '62.132.41.63', 1048848560, 1048848703, 'NL', 'Netherlands'),
(18065, '62.132.41.64', '62.132.41.71', 1048848704, 1048848711, 'DE', 'Germany'),
(18066, '62.132.41.72', '62.132.41.95', 1048848712, 1048848735, 'NL', 'Netherlands'),
(18067, '62.132.41.96', '62.132.41.103', 1048848736, 1048848743, 'DE', 'Germany'),
(18068, '62.132.41.104', '62.132.41.255', 1048848744, 1048848895, 'NL', 'Netherlands'),
(18069, '62.132.42.0', '62.132.43.255', 1048848896, 1048849407, 'DE', 'Germany'),
(18070, '62.132.44.0', '62.132.44.151', 1048849408, 1048849559, 'NL', 'Netherlands'),
(18071, '62.132.44.152', '62.132.44.159', 1048849560, 1048849567, 'DE', 'Germany'),
(18072, '62.132.44.160', '62.132.44.191', 1048849568, 1048849599, 'NL', 'Netherlands'),
(18073, '62.132.44.192', '62.132.44.199', 1048849600, 1048849607, 'DE', 'Germany'),
(18074, '62.132.44.200', '62.132.45.199', 1048849608, 1048849863, 'NL', 'Netherlands'),
(18075, '62.132.45.200', '62.132.45.207', 1048849864, 1048849871, 'DE', 'Germany'),
(18076, '62.132.45.208', '62.132.50.15', 1048849872, 1048850959, 'NL', 'Netherlands'),
(18077, '62.132.50.16', '62.132.50.23', 1048850960, 1048850967, 'DE', 'Germany'),
(18078, '62.132.50.24', '62.132.50.87', 1048850968, 1048851031, 'NL', 'Netherlands'),
(18079, '62.132.50.88', '62.132.50.95', 1048851032, 1048851039, 'DE', 'Germany'),
(18080, '62.132.50.96', '62.132.50.207', 1048851040, 1048851151, 'NL', 'Netherlands'),
(18081, '62.132.50.208', '62.132.50.215', 1048851152, 1048851159, 'DE', 'Germany'),
(18082, '62.132.50.216', '62.132.51.23', 1048851160, 1048851223, 'NL', 'Netherlands'),
(18083, '62.132.51.24', '62.132.51.31', 1048851224, 1048851231, 'DE', 'Germany'),
(18084, '62.132.51.32', '62.132.52.135', 1048851232, 1048851591, 'NL', 'Netherlands'),
(18085, '62.132.52.136', '62.132.52.151', 1048851592, 1048851607, 'DE', 'Germany'),
(18086, '62.132.52.152', '62.132.52.199', 1048851608, 1048851655, 'NL', 'Netherlands'),
(18087, '62.132.52.200', '62.132.52.207', 1048851656, 1048851663, 'DE', 'Germany'),
(18088, '62.132.52.208', '62.132.52.223', 1048851664, 1048851679, 'NL', 'Netherlands'),
(18089, '62.132.52.224', '62.132.52.231', 1048851680, 1048851687, 'DE', 'Germany'),
(18090, '62.132.52.232', '62.132.52.247', 1048851688, 1048851703, 'NL', 'Netherlands'),
(18091, '62.132.52.248', '62.132.52.255', 1048851704, 1048851711, 'DE', 'Germany'),
(18092, '62.132.53.0', '62.132.53.31', 1048851712, 1048851743, 'NL', 'Netherlands'),
(18093, '62.132.53.32', '62.132.53.39', 1048851744, 1048851751, 'DE', 'Germany'),
(18094, '62.132.53.40', '62.132.54.71', 1048851752, 1048852039, 'NL', 'Netherlands'),
(18095, '62.132.54.72', '62.132.54.79', 1048852040, 1048852047, 'DE', 'Germany'),
(18096, '62.132.54.80', '62.132.55.111', 1048852048, 1048852335, 'NL', 'Netherlands'),
(18097, '62.132.55.112', '62.132.55.119', 1048852336, 1048852343, 'DE', 'Germany'),
(18098, '62.132.55.120', '62.132.57.135', 1048852344, 1048852871, 'NL', 'Netherlands'),
(18099, '62.132.57.136', '62.132.57.143', 1048852872, 1048852879, 'DE', 'Germany'),
(18100, '62.132.57.144', '62.132.58.135', 1048852880, 1048853127, 'NL', 'Netherlands'),
(18101, '62.132.58.136', '62.132.58.143', 1048853128, 1048853135, 'DE', 'Germany'),
(18102, '62.132.58.144', '62.132.58.151', 1048853136, 1048853143, 'NL', 'Netherlands'),
(18103, '62.132.58.152', '62.132.58.159', 1048853144, 1048853151, 'DE', 'Germany'),
(18104, '62.132.58.160', '62.132.58.199', 1048853152, 1048853191, 'NL', 'Netherlands'),
(18105, '62.132.58.200', '62.132.58.207', 1048853192, 1048853199, 'DE', 'Germany'),
(18106, '62.132.58.208', '62.132.59.79', 1048853200, 1048853327, 'NL', 'Netherlands'),
(18107, '62.132.59.80', '62.132.59.87', 1048853328, 1048853335, 'DE', 'Germany'),
(18108, '62.132.59.88', '62.132.60.71', 1048853336, 1048853575, 'NL', 'Netherlands'),
(18109, '62.132.60.72', '62.132.60.79', 1048853576, 1048853583, 'DE', 'Germany'),
(18110, '62.132.60.80', '62.132.60.151', 1048853584, 1048853655, 'NL', 'Netherlands'),
(18111, '62.132.60.152', '62.132.60.159', 1048853656, 1048853663, 'DE', 'Germany'),
(18112, '62.132.60.160', '62.132.61.103', 1048853664, 1048853863, 'NL', 'Netherlands'),
(18113, '62.132.61.104', '62.132.61.111', 1048853864, 1048853871, 'DE', 'Germany'),
(18114, '62.132.61.112', '62.132.62.39', 1048853872, 1048854055, 'NL', 'Netherlands'),
(18115, '62.132.62.40', '62.132.62.47', 1048854056, 1048854063, 'DE', 'Germany'),
(18116, '62.132.62.48', '62.132.63.119', 1048854064, 1048854391, 'NL', 'Netherlands'),
(18117, '62.132.63.120', '62.132.63.135', 1048854392, 1048854407, 'DE', 'Germany'),
(18118, '62.132.63.136', '62.132.63.255', 1048854408, 1048854527, 'NL', 'Netherlands'),
(18119, '62.132.64.0', '62.132.65.255', 1048854528, 1048855039, 'DE', 'Germany'),
(18120, '62.132.66.0', '62.132.66.7', 1048855040, 1048855047, 'NL', 'Netherlands'),
(18121, '62.132.66.8', '62.132.66.15', 1048855048, 1048855055, 'DE', 'Germany'),
(18122, '62.132.66.16', '62.132.66.175', 1048855056, 1048855215, 'NL', 'Netherlands'),
(18123, '62.132.66.176', '62.132.66.183', 1048855216, 1048855223, 'DE', 'Germany'),
(18124, '62.132.66.184', '62.132.66.231', 1048855224, 1048855271, 'NL', 'Netherlands'),
(18125, '62.132.66.232', '62.132.66.239', 1048855272, 1048855279, 'DE', 'Germany'),
(18126, '62.132.66.240', '62.132.69.87', 1048855280, 1048855895, 'NL', 'Netherlands'),
(18127, '62.132.69.88', '62.132.69.95', 1048855896, 1048855903, 'DE', 'Germany'),
(18128, '62.132.69.96', '62.132.69.207', 1048855904, 1048856015, 'NL', 'Netherlands'),
(18129, '62.132.69.208', '62.132.69.223', 1048856016, 1048856031, 'DE', 'Germany'),
(18130, '62.132.69.224', '62.132.70.31', 1048856032, 1048856095, 'NL', 'Netherlands'),
(18131, '62.132.70.32', '62.132.70.39', 1048856096, 1048856103, 'DE', 'Germany'),
(18132, '62.132.70.40', '62.132.71.39', 1048856104, 1048856359, 'NL', 'Netherlands'),
(18133, '62.132.71.40', '62.132.71.47', 1048856360, 1048856367, 'DE', 'Germany'),
(18134, '62.132.71.48', '62.132.71.55', 1048856368, 1048856375, 'NL', 'Netherlands'),
(18135, '62.132.71.56', '62.132.71.63', 1048856376, 1048856383, 'DE', 'Germany'),
(18136, '62.132.71.64', '62.132.71.239', 1048856384, 1048856559, 'NL', 'Netherlands'),
(18137, '62.132.71.240', '62.132.71.247', 1048856560, 1048856567, 'DE', 'Germany'),
(18138, '62.132.71.248', '62.132.72.111', 1048856568, 1048856687, 'NL', 'Netherlands'),
(18139, '62.132.72.112', '62.132.72.119', 1048856688, 1048856695, 'DE', 'Germany'),
(18140, '62.132.72.120', '62.132.73.7', 1048856696, 1048856839, 'NL', 'Netherlands'),
(18141, '62.132.73.8', '62.132.73.15', 1048856840, 1048856847, 'DE', 'Germany'),
(18142, '62.132.73.16', '62.132.73.87', 1048856848, 1048856919, 'NL', 'Netherlands'),
(18143, '62.132.73.88', '62.132.73.95', 1048856920, 1048856927, 'DE', 'Germany'),
(18144, '62.132.73.96', '62.132.73.167', 1048856928, 1048856999, 'NL', 'Netherlands'),
(18145, '62.132.73.168', '62.132.73.175', 1048857000, 1048857007, 'DE', 'Germany'),
(18146, '62.132.73.176', '62.132.74.119', 1048857008, 1048857207, 'NL', 'Netherlands'),
(18147, '62.132.74.120', '62.132.74.127', 1048857208, 1048857215, 'DE', 'Germany'),
(18148, '62.132.74.128', '62.132.76.167', 1048857216, 1048857767, 'NL', 'Netherlands'),
(18149, '62.132.76.168', '62.132.76.175', 1048857768, 1048857775, 'DE', 'Germany'),
(18150, '62.132.76.176', '62.132.77.255', 1048857776, 1048858111, 'NL', 'Netherlands'),
(18151, '62.132.78.0', '62.132.79.255', 1048858112, 1048858623, 'DE', 'Germany'),
(18152, '62.132.80.0', '62.132.81.215', 1048858624, 1048859095, 'NL', 'Netherlands'),
(18153, '62.132.81.216', '62.132.81.223', 1048859096, 1048859103, 'DE', 'Germany'),
(18154, '62.132.81.224', '62.132.84.255', 1048859104, 1048859903, 'NL', 'Netherlands'),
(18155, '62.132.85.0', '62.132.85.7', 1048859904, 1048859911, 'DE', 'Germany'),
(18156, '62.132.85.8', '62.132.86.151', 1048859912, 1048860311, 'NL', 'Netherlands'),
(18157, '62.132.86.152', '62.132.86.159', 1048860312, 1048860319, 'DE', 'Germany'),
(18158, '62.132.86.160', '62.132.86.247', 1048860320, 1048860407, 'NL', 'Netherlands'),
(18159, '62.132.86.248', '62.132.86.255', 1048860408, 1048860415, 'DE', 'Germany'),
(18160, '62.132.87.0', '62.132.87.39', 1048860416, 1048860455, 'NL', 'Netherlands'),
(18161, '62.132.87.40', '62.132.87.47', 1048860456, 1048860463, 'DE', 'Germany'),
(18162, '62.132.87.48', '62.132.87.95', 1048860464, 1048860511, 'NL', 'Netherlands'),
(18163, '62.132.87.96', '62.132.87.103', 1048860512, 1048860519, 'DE', 'Germany'),
(18164, '62.132.87.104', '62.132.87.191', 1048860520, 1048860607, 'NL', 'Netherlands'),
(18165, '62.132.87.192', '62.132.87.199', 1048860608, 1048860615, 'DE', 'Germany'),
(18166, '62.132.87.200', '62.132.90.199', 1048860616, 1048861383, 'NL', 'Netherlands'),
(18167, '62.132.90.200', '62.132.90.207', 1048861384, 1048861391, 'DE', 'Germany'),
(18168, '62.132.90.208', '62.132.90.247', 1048861392, 1048861431, 'NL', 'Netherlands'),
(18169, '62.132.90.248', '62.132.90.255', 1048861432, 1048861439, 'DE', 'Germany'),
(18170, '62.132.91.0', '62.132.94.39', 1048861440, 1048862247, 'NL', 'Netherlands'),
(18171, '62.132.94.40', '62.132.94.47', 1048862248, 1048862255, 'DE', 'Germany'),
(18172, '62.132.94.48', '62.132.94.79', 1048862256, 1048862287, 'NL', 'Netherlands'),
(18173, '62.132.94.80', '62.132.94.87', 1048862288, 1048862295, 'DE', 'Germany'),
(18174, '62.132.94.88', '62.132.95.47', 1048862296, 1048862511, 'NL', 'Netherlands'),
(18175, '62.132.95.48', '62.132.95.55', 1048862512, 1048862519, 'DE', 'Germany'),
(18176, '62.132.95.56', '62.132.95.159', 1048862520, 1048862623, 'NL', 'Netherlands'),
(18177, '62.132.95.160', '62.132.95.175', 1048862624, 1048862639, 'DE', 'Germany'),
(18178, '62.132.95.176', '62.132.95.207', 1048862640, 1048862671, 'NL', 'Netherlands'),
(18179, '62.132.95.208', '62.132.95.215', 1048862672, 1048862679, 'DE', 'Germany'),
(18180, '62.132.95.216', '62.132.95.247', 1048862680, 1048862711, 'NL', 'Netherlands'),
(18181, '62.132.95.248', '62.132.95.255', 1048862712, 1048862719, 'DE', 'Germany'),
(18182, '62.132.96.0', '62.132.96.199', 1048862720, 1048862919, 'NL', 'Netherlands'),
(18183, '62.132.96.200', '62.132.96.207', 1048862920, 1048862927, 'DE', 'Germany'),
(18184, '62.132.96.208', '62.132.97.135', 1048862928, 1048863111, 'NL', 'Netherlands'),
(18185, '62.132.97.136', '62.132.97.143', 1048863112, 1048863119, 'DE', 'Germany'),
(18186, '62.132.97.144', '62.132.98.39', 1048863120, 1048863271, 'NL', 'Netherlands'),
(18187, '62.132.98.40', '62.132.98.47', 1048863272, 1048863279, 'DE', 'Germany'),
(18188, '62.132.98.48', '62.132.98.87', 1048863280, 1048863319, 'NL', 'Netherlands'),
(18189, '62.132.98.88', '62.132.98.95', 1048863320, 1048863327, 'DE', 'Germany'),
(18190, '62.132.98.96', '62.132.98.111', 1048863328, 1048863343, 'NL', 'Netherlands'),
(18191, '62.132.98.112', '62.132.98.119', 1048863344, 1048863351, 'DE', 'Germany'),
(18192, '62.132.98.120', '62.132.98.159', 1048863352, 1048863391, 'NL', 'Netherlands'),
(18193, '62.132.98.160', '62.132.98.167', 1048863392, 1048863399, 'DE', 'Germany'),
(18194, '62.132.98.168', '62.132.99.87', 1048863400, 1048863575, 'NL', 'Netherlands'),
(18195, '62.132.99.88', '62.132.99.103', 1048863576, 1048863591, 'DE', 'Germany'),
(18196, '62.132.99.104', '62.132.99.143', 1048863592, 1048863631, 'NL', 'Netherlands'),
(18197, '62.132.99.144', '62.132.99.151', 1048863632, 1048863639, 'DE', 'Germany'),
(18198, '62.132.99.152', '62.132.99.255', 1048863640, 1048863743, 'NL', 'Netherlands'),
(18199, '62.132.100.0', '62.132.100.7', 1048863744, 1048863751, 'DE', 'Germany'),
(18200, '62.132.100.8', '62.132.100.47', 1048863752, 1048863791, 'NL', 'Netherlands'),
(18201, '62.132.100.48', '62.132.100.55', 1048863792, 1048863799, 'DE', 'Germany'),
(18202, '62.132.100.56', '62.132.101.71', 1048863800, 1048864071, 'NL', 'Netherlands'),
(18203, '62.132.101.72', '62.132.101.79', 1048864072, 1048864079, 'DE', 'Germany'),
(18204, '62.132.101.80', '62.132.101.167', 1048864080, 1048864167, 'NL', 'Netherlands'),
(18205, '62.132.101.168', '62.132.101.175', 1048864168, 1048864175, 'DE', 'Germany'),
(18206, '62.132.101.176', '62.132.102.215', 1048864176, 1048864471, 'NL', 'Netherlands'),
(18207, '62.132.102.216', '62.132.102.223', 1048864472, 1048864479, 'DE', 'Germany'),
(18208, '62.132.102.224', '62.132.104.7', 1048864480, 1048864775, 'NL', 'Netherlands'),
(18209, '62.132.104.8', '62.132.104.15', 1048864776, 1048864783, 'DE', 'Germany'),
(18210, '62.132.104.16', '62.132.105.255', 1048864784, 1048865279, 'NL', 'Netherlands'),
(18211, '62.132.106.0', '62.132.107.255', 1048865280, 1048865791, 'DE', 'Germany'),
(18212, '62.132.108.0', '62.132.108.111', 1048865792, 1048865903, 'NL', 'Netherlands'),
(18213, '62.132.108.112', '62.132.108.119', 1048865904, 1048865911, 'DE', 'Germany'),
(18214, '62.132.108.120', '62.132.108.143', 1048865912, 1048865935, 'NL', 'Netherlands'),
(18215, '62.132.108.144', '62.132.108.151', 1048865936, 1048865943, 'DE', 'Germany'),
(18216, '62.132.108.152', '62.132.109.47', 1048865944, 1048866095, 'NL', 'Netherlands'),
(18217, '62.132.109.48', '62.132.109.55', 1048866096, 1048866103, 'DE', 'Germany'),
(18218, '62.132.109.56', '62.132.112.215', 1048866104, 1048867031, 'NL', 'Netherlands'),
(18219, '62.132.112.216', '62.132.112.223', 1048867032, 1048867039, 'DE', 'Germany'),
(18220, '62.132.112.224', '62.132.113.135', 1048867040, 1048867207, 'NL', 'Netherlands'),
(18221, '62.132.113.136', '62.132.113.143', 1048867208, 1048867215, 'DE', 'Germany'),
(18222, '62.132.113.144', '62.132.113.223', 1048867216, 1048867295, 'NL', 'Netherlands'),
(18223, '62.132.113.224', '62.132.113.231', 1048867296, 1048867303, 'DE', 'Germany'),
(18224, '62.132.113.232', '62.132.113.255', 1048867304, 1048867327, 'NL', 'Netherlands'),
(18225, '62.132.114.0', '62.132.117.255', 1048867328, 1048868351, 'DE', 'Germany'),
(18226, '62.132.118.0', '62.132.119.47', 1048868352, 1048868655, 'NL', 'Netherlands'),
(18227, '62.132.119.48', '62.132.119.55', 1048868656, 1048868663, 'DE', 'Germany'),
(18228, '62.132.119.56', '62.132.121.63', 1048868664, 1048869183, 'NL', 'Netherlands'),
(18229, '62.132.121.64', '62.132.121.71', 1048869184, 1048869191, 'DE', 'Germany'),
(18230, '62.132.121.72', '62.132.121.143', 1048869192, 1048869263, 'NL', 'Netherlands'),
(18231, '62.132.121.144', '62.132.121.159', 1048869264, 1048869279, 'DE', 'Germany'),
(18232, '62.132.121.160', '62.132.121.247', 1048869280, 1048869367, 'NL', 'Netherlands'),
(18233, '62.132.121.248', '62.132.121.255', 1048869368, 1048869375, 'DE', 'Germany'),
(18234, '62.132.122.0', '62.132.122.103', 1048869376, 1048869479, 'NL', 'Netherlands'),
(18235, '62.132.122.104', '62.132.122.111', 1048869480, 1048869487, 'DE', 'Germany'),
(18236, '62.132.122.112', '62.132.122.167', 1048869488, 1048869543, 'NL', 'Netherlands'),
(18237, '62.132.122.168', '62.132.122.175', 1048869544, 1048869551, 'DE', 'Germany'),
(18238, '62.132.122.176', '62.132.122.239', 1048869552, 1048869615, 'NL', 'Netherlands'),
(18239, '62.132.122.240', '62.132.122.247', 1048869616, 1048869623, 'DE', 'Germany'),
(18240, '62.132.122.248', '62.132.123.55', 1048869624, 1048869687, 'NL', 'Netherlands'),
(18241, '62.132.123.56', '62.132.123.63', 1048869688, 1048869695, 'DE', 'Germany'),
(18242, '62.132.123.64', '62.132.123.127', 1048869696, 1048869759, 'NL', 'Netherlands'),
(18243, '62.132.123.128', '62.132.123.135', 1048869760, 1048869767, 'DE', 'Germany'),
(18244, '62.132.123.136', '62.132.123.215', 1048869768, 1048869847, 'NL', 'Netherlands'),
(18245, '62.132.123.216', '62.132.123.231', 1048869848, 1048869863, 'DE', 'Germany'),
(18246, '62.132.123.232', '62.132.124.63', 1048869864, 1048869951, 'NL', 'Netherlands'),
(18247, '62.132.124.64', '62.132.124.79', 1048869952, 1048869967, 'DE', 'Germany'),
(18248, '62.132.124.80', '62.132.124.87', 1048869968, 1048869975, 'NL', 'Netherlands'),
(18249, '62.132.124.88', '62.132.124.95', 1048869976, 1048869983, 'DE', 'Germany'),
(18250, '62.132.124.96', '62.132.124.127', 1048869984, 1048870015, 'NL', 'Netherlands'),
(18251, '62.132.124.128', '62.132.124.135', 1048870016, 1048870023, 'DE', 'Germany'),
(18252, '62.132.124.136', '62.132.124.199', 1048870024, 1048870087, 'NL', 'Netherlands'),
(18253, '62.132.124.200', '62.132.124.207', 1048870088, 1048870095, 'DE', 'Germany'),
(18254, '62.132.124.208', '62.132.124.215', 1048870096, 1048870103, 'NL', 'Netherlands'),
(18255, '62.132.124.216', '62.132.124.223', 1048870104, 1048870111, 'DE', 'Germany'),
(18256, '62.132.124.224', '62.132.124.239', 1048870112, 1048870127, 'NL', 'Netherlands'),
(18257, '62.132.124.240', '62.132.124.247', 1048870128, 1048870135, 'DE', 'Germany'),
(18258, '62.132.124.248', '62.132.125.135', 1048870136, 1048870279, 'NL', 'Netherlands'),
(18259, '62.132.125.136', '62.132.125.143', 1048870280, 1048870287, 'DE', 'Germany'),
(18260, '62.132.125.144', '62.132.125.255', 1048870288, 1048870399, 'NL', 'Netherlands'),
(18261, '62.132.126.0', '62.132.127.255', 1048870400, 1048870911, 'DE', 'Germany'),
(18262, '62.132.128.0', '62.132.128.183', 1048870912, 1048871095, 'NL', 'Netherlands'),
(18263, '62.132.128.184', '62.132.128.191', 1048871096, 1048871103, 'DE', 'Germany'),
(18264, '62.132.128.192', '62.132.129.55', 1048871104, 1048871223, 'NL', 'Netherlands'),
(18265, '62.132.129.56', '62.132.129.63', 1048871224, 1048871231, 'DE', 'Germany'),
(18266, '62.132.129.64', '62.132.131.255', 1048871232, 1048871935, 'NL', 'Netherlands'),
(18267, '62.132.132.0', '62.132.134.255', 1048871936, 1048872703, 'DE', 'Germany'),
(18268, '62.132.135.0', '62.132.135.31', 1048872704, 1048872735, 'NL', 'Netherlands'),
(18269, '62.132.135.32', '62.132.135.39', 1048872736, 1048872743, 'DE', 'Germany'),
(18270, '62.132.135.40', '62.132.137.47', 1048872744, 1048873263, 'NL', 'Netherlands'),
(18271, '62.132.137.48', '62.132.137.55', 1048873264, 1048873271, 'DE', 'Germany'),
(18272, '62.132.137.56', '62.132.139.15', 1048873272, 1048873743, 'NL', 'Netherlands'),
(18273, '62.132.139.16', '62.132.139.23', 1048873744, 1048873751, 'DE', 'Germany'),
(18274, '62.132.139.24', '62.132.139.63', 1048873752, 1048873791, 'NL', 'Netherlands'),
(18275, '62.132.139.64', '62.132.139.71', 1048873792, 1048873799, 'DE', 'Germany'),
(18276, '62.132.139.72', '62.132.139.207', 1048873800, 1048873935, 'NL', 'Netherlands'),
(18277, '62.132.139.208', '62.132.139.223', 1048873936, 1048873951, 'DE', 'Germany'),
(18278, '62.132.139.224', '62.132.140.31', 1048873952, 1048874015, 'NL', 'Netherlands'),
(18279, '62.132.140.32', '62.132.140.39', 1048874016, 1048874023, 'DE', 'Germany'),
(18280, '62.132.140.40', '62.132.140.167', 1048874024, 1048874151, 'NL', 'Netherlands'),
(18281, '62.132.140.168', '62.132.140.175', 1048874152, 1048874159, 'DE', 'Germany'),
(18282, '62.132.140.176', '62.132.141.55', 1048874160, 1048874295, 'NL', 'Netherlands'),
(18283, '62.132.141.56', '62.132.141.63', 1048874296, 1048874303, 'DE', 'Germany'),
(18284, '62.132.141.64', '62.132.141.87', 1048874304, 1048874327, 'NL', 'Netherlands'),
(18285, '62.132.141.88', '62.132.141.95', 1048874328, 1048874335, 'DE', 'Germany'),
(18286, '62.132.141.96', '62.132.141.119', 1048874336, 1048874359, 'NL', 'Netherlands'),
(18287, '62.132.141.120', '62.132.141.127', 1048874360, 1048874367, 'DE', 'Germany'),
(18288, '62.132.141.128', '62.132.141.175', 1048874368, 1048874415, 'NL', 'Netherlands'),
(18289, '62.132.141.176', '62.132.141.183', 1048874416, 1048874423, 'DE', 'Germany'),
(18290, '62.132.141.184', '62.132.141.207', 1048874424, 1048874447, 'NL', 'Netherlands'),
(18291, '62.132.141.208', '62.132.141.215', 1048874448, 1048874455, 'DE', 'Germany'),
(18292, '62.132.141.216', '62.132.141.231', 1048874456, 1048874471, 'NL', 'Netherlands'),
(18293, '62.132.141.232', '62.132.141.239', 1048874472, 1048874479, 'DE', 'Germany'),
(18294, '62.132.141.240', '62.132.142.39', 1048874480, 1048874535, 'NL', 'Netherlands'),
(18295, '62.132.142.40', '62.132.142.47', 1048874536, 1048874543, 'DE', 'Germany'),
(18296, '62.132.142.48', '62.132.142.207', 1048874544, 1048874703, 'NL', 'Netherlands'),
(18297, '62.132.142.208', '62.132.142.215', 1048874704, 1048874711, 'DE', 'Germany'),
(18298, '62.132.142.216', '62.132.144.7', 1048874712, 1048875015, 'NL', 'Netherlands'),
(18299, '62.132.144.8', '62.132.144.15', 1048875016, 1048875023, 'DE', 'Germany'),
(18300, '62.132.144.16', '62.132.144.183', 1048875024, 1048875191, 'NL', 'Netherlands'),
(18301, '62.132.144.184', '62.132.144.191', 1048875192, 1048875199, 'DE', 'Germany'),
(18302, '62.132.144.192', '62.132.145.127', 1048875200, 1048875391, 'NL', 'Netherlands'),
(18303, '62.132.145.128', '62.132.145.135', 1048875392, 1048875399, 'DE', 'Germany'),
(18304, '62.132.145.136', '62.132.146.151', 1048875400, 1048875671, 'NL', 'Netherlands'),
(18305, '62.132.146.152', '62.132.146.159', 1048875672, 1048875679, 'DE', 'Germany'),
(18306, '62.132.146.160', '62.132.146.167', 1048875680, 1048875687, 'NL', 'Netherlands'),
(18307, '62.132.146.168', '62.132.146.175', 1048875688, 1048875695, 'DE', 'Germany'),
(18308, '62.132.146.176', '62.132.146.183', 1048875696, 1048875703, 'NL', 'Netherlands'),
(18309, '62.132.146.184', '62.132.146.191', 1048875704, 1048875711, 'DE', 'Germany'),
(18310, '62.132.146.192', '62.132.147.47', 1048875712, 1048875823, 'NL', 'Netherlands'),
(18311, '62.132.147.48', '62.132.147.63', 1048875824, 1048875839, 'DE', 'Germany'),
(18312, '62.132.147.64', '62.132.148.223', 1048875840, 1048876255, 'NL', 'Netherlands'),
(18313, '62.132.148.224', '62.132.148.231', 1048876256, 1048876263, 'DE', 'Germany'),
(18314, '62.132.148.232', '62.132.149.39', 1048876264, 1048876327, 'NL', 'Netherlands'),
(18315, '62.132.149.40', '62.132.149.47', 1048876328, 1048876335, 'DE', 'Germany'),
(18316, '62.132.149.48', '62.132.151.7', 1048876336, 1048876807, 'NL', 'Netherlands'),
(18317, '62.132.151.8', '62.132.151.15', 1048876808, 1048876815, 'DE', 'Germany'),
(18318, '62.132.151.16', '62.132.151.23', 1048876816, 1048876823, 'NL', 'Netherlands'),
(18319, '62.132.151.24', '62.132.151.31', 1048876824, 1048876831, 'DE', 'Germany'),
(18320, '62.132.151.32', '62.132.151.191', 1048876832, 1048876991, 'NL', 'Netherlands'),
(18321, '62.132.151.192', '62.132.151.199', 1048876992, 1048876999, 'DE', 'Germany'),
(18322, '62.132.151.200', '62.132.151.223', 1048877000, 1048877023, 'NL', 'Netherlands'),
(18323, '62.132.151.224', '62.132.151.231', 1048877024, 1048877031, 'DE', 'Germany'),
(18324, '62.132.151.232', '62.132.151.239', 1048877032, 1048877039, 'NL', 'Netherlands'),
(18325, '62.132.151.240', '62.132.151.255', 1048877040, 1048877055, 'DE', 'Germany'),
(18326, '62.132.152.0', '62.132.152.15', 1048877056, 1048877071, 'NL', 'Netherlands'),
(18327, '62.132.152.16', '62.132.152.23', 1048877072, 1048877079, 'DE', 'Germany'),
(18328, '62.132.152.24', '62.132.152.47', 1048877080, 1048877103, 'NL', 'Netherlands'),
(18329, '62.132.152.48', '62.132.152.55', 1048877104, 1048877111, 'DE', 'Germany'),
(18330, '62.132.152.56', '62.132.152.135', 1048877112, 1048877191, 'NL', 'Netherlands'),
(18331, '62.132.152.136', '62.132.152.143', 1048877192, 1048877199, 'DE', 'Germany'),
(18332, '62.132.152.144', '62.132.152.191', 1048877200, 1048877247, 'NL', 'Netherlands'),
(18333, '62.132.152.192', '62.132.152.207', 1048877248, 1048877263, 'DE', 'Germany'),
(18334, '62.132.152.208', '62.132.152.231', 1048877264, 1048877287, 'NL', 'Netherlands'),
(18335, '62.132.152.232', '62.132.152.239', 1048877288, 1048877295, 'DE', 'Germany'),
(18336, '62.132.152.240', '62.132.152.255', 1048877296, 1048877311, 'NL', 'Netherlands'),
(18337, '62.132.153.0', '62.132.156.7', 1048877312, 1048878087, 'DE', 'Germany'),
(18338, '62.132.156.8', '62.132.156.23', 1048878088, 1048878103, 'NL', 'Netherlands'),
(18339, '62.132.156.24', '62.132.156.31', 1048878104, 1048878111, 'DE', 'Germany'),
(18340, '62.132.156.32', '62.132.156.255', 1048878112, 1048878335, 'NL', 'Netherlands'),
(18341, '62.132.157.0', '62.132.157.7', 1048878336, 1048878343, 'DE', 'Germany'),
(18342, '62.132.157.8', '62.132.157.111', 1048878344, 1048878447, 'NL', 'Netherlands'),
(18343, '62.132.157.112', '62.132.157.119', 1048878448, 1048878455, 'DE', 'Germany'),
(18344, '62.132.157.120', '62.132.157.151', 1048878456, 1048878487, 'NL', 'Netherlands'),
(18345, '62.132.157.152', '62.132.157.159', 1048878488, 1048878495, 'DE', 'Germany'),
(18346, '62.132.157.160', '62.132.157.207', 1048878496, 1048878543, 'NL', 'Netherlands'),
(18347, '62.132.157.208', '62.132.157.215', 1048878544, 1048878551, 'DE', 'Germany'),
(18348, '62.132.157.216', '62.132.158.71', 1048878552, 1048878663, 'NL', 'Netherlands'),
(18349, '62.132.158.72', '62.132.158.79', 1048878664, 1048878671, 'DE', 'Germany'),
(18350, '62.132.158.80', '62.132.158.159', 1048878672, 1048878751, 'NL', 'Netherlands'),
(18351, '62.132.158.160', '62.132.158.167', 1048878752, 1048878759, 'DE', 'Germany'),
(18352, '62.132.158.168', '62.132.158.223', 1048878760, 1048878815, 'NL', 'Netherlands'),
(18353, '62.132.158.224', '62.132.158.231', 1048878816, 1048878823, 'DE', 'Germany'),
(18354, '62.132.158.232', '62.132.158.239', 1048878824, 1048878831, 'NL', 'Netherlands'),
(18355, '62.132.158.240', '62.132.158.247', 1048878832, 1048878839, 'DE', 'Germany'),
(18356, '62.132.158.248', '62.132.159.135', 1048878840, 1048878983, 'NL', 'Netherlands'),
(18357, '62.132.159.136', '62.132.159.143', 1048878984, 1048878991, 'DE', 'Germany'),
(18358, '62.132.159.144', '62.132.159.199', 1048878992, 1048879047, 'NL', 'Netherlands'),
(18359, '62.132.159.200', '62.132.159.207', 1048879048, 1048879055, 'DE', 'Germany'),
(18360, '62.132.159.208', '62.132.160.95', 1048879056, 1048879199, 'NL', 'Netherlands'),
(18361, '62.132.160.96', '62.132.160.103', 1048879200, 1048879207, 'DE', 'Germany'),
(18362, '62.132.160.104', '62.132.160.159', 1048879208, 1048879263, 'NL', 'Netherlands'),
(18363, '62.132.160.160', '62.132.160.167', 1048879264, 1048879271, 'DE', 'Germany'),
(18364, '62.132.160.168', '62.132.160.231', 1048879272, 1048879335, 'NL', 'Netherlands'),
(18365, '62.132.160.232', '62.132.160.239', 1048879336, 1048879343, 'DE', 'Germany'),
(18366, '62.132.160.240', '62.132.161.95', 1048879344, 1048879455, 'NL', 'Netherlands'),
(18367, '62.132.161.96', '62.132.161.103', 1048879456, 1048879463, 'DE', 'Germany'),
(18368, '62.132.161.104', '62.132.162.71', 1048879464, 1048879687, 'NL', 'Netherlands'),
(18369, '62.132.162.72', '62.132.162.79', 1048879688, 1048879695, 'DE', 'Germany'),
(18370, '62.132.162.80', '62.132.164.183', 1048879696, 1048880311, 'NL', 'Netherlands'),
(18371, '62.132.164.184', '62.132.164.199', 1048880312, 1048880327, 'DE', 'Germany'),
(18372, '62.132.164.200', '62.132.165.255', 1048880328, 1048880639, 'NL', 'Netherlands'),
(18373, '62.132.166.0', '62.132.168.7', 1048880640, 1048881159, 'DE', 'Germany'),
(18374, '62.132.168.8', '62.132.169.207', 1048881160, 1048881615, 'NL', 'Netherlands'),
(18375, '62.132.169.208', '62.132.169.223', 1048881616, 1048881631, 'DE', 'Germany'),
(18376, '62.132.169.224', '62.132.171.151', 1048881632, 1048882071, 'NL', 'Netherlands'),
(18377, '62.132.171.152', '62.132.171.159', 1048882072, 1048882079, 'DE', 'Germany'),
(18378, '62.132.171.160', '62.132.171.223', 1048882080, 1048882143, 'NL', 'Netherlands'),
(18379, '62.132.171.224', '62.132.171.231', 1048882144, 1048882151, 'DE', 'Germany'),
(18380, '62.132.171.232', '62.132.172.23', 1048882152, 1048882199, 'NL', 'Netherlands'),
(18381, '62.132.172.24', '62.132.172.31', 1048882200, 1048882207, 'DE', 'Germany'),
(18382, '62.132.172.32', '62.132.172.135', 1048882208, 1048882311, 'NL', 'Netherlands'),
(18383, '62.132.172.136', '62.132.172.143', 1048882312, 1048882319, 'DE', 'Germany'),
(18384, '62.132.172.144', '62.132.173.63', 1048882320, 1048882495, 'NL', 'Netherlands'),
(18385, '62.132.173.64', '62.132.173.71', 1048882496, 1048882503, 'DE', 'Germany'),
(18386, '62.132.173.72', '62.132.173.239', 1048882504, 1048882671, 'NL', 'Netherlands'),
(18387, '62.132.173.240', '62.132.173.247', 1048882672, 1048882679, 'DE', 'Germany'),
(18388, '62.132.173.248', '62.132.174.15', 1048882680, 1048882703, 'NL', 'Netherlands'),
(18389, '62.132.174.16', '62.132.174.23', 1048882704, 1048882711, 'DE', 'Germany'),
(18390, '62.132.174.24', '62.132.174.55', 1048882712, 1048882743, 'NL', 'Netherlands'),
(18391, '62.132.174.56', '62.132.174.63', 1048882744, 1048882751, 'DE', 'Germany'),
(18392, '62.132.174.64', '62.132.174.135', 1048882752, 1048882823, 'NL', 'Netherlands'),
(18393, '62.132.174.136', '62.132.174.143', 1048882824, 1048882831, 'DE', 'Germany'),
(18394, '62.132.174.144', '62.132.174.167', 1048882832, 1048882855, 'NL', 'Netherlands'),
(18395, '62.132.174.168', '62.132.174.175', 1048882856, 1048882863, 'DE', 'Germany'),
(18396, '62.132.174.176', '62.132.175.7', 1048882864, 1048882951, 'NL', 'Netherlands'),
(18397, '62.132.175.8', '62.132.175.15', 1048882952, 1048882959, 'DE', 'Germany'),
(18398, '62.132.175.16', '62.132.175.223', 1048882960, 1048883167, 'NL', 'Netherlands'),
(18399, '62.132.175.224', '62.132.175.231', 1048883168, 1048883175, 'DE', 'Germany'),
(18400, '62.132.175.232', '62.132.176.119', 1048883176, 1048883319, 'NL', 'Netherlands'),
(18401, '62.132.176.120', '62.132.176.127', 1048883320, 1048883327, 'DE', 'Germany'),
(18402, '62.132.176.128', '62.132.176.151', 1048883328, 1048883351, 'NL', 'Netherlands'),
(18403, '62.132.176.152', '62.132.176.159', 1048883352, 1048883359, 'DE', 'Germany'),
(18404, '62.132.176.160', '62.132.178.159', 1048883360, 1048883871, 'NL', 'Netherlands'),
(18405, '62.132.178.160', '62.132.178.167', 1048883872, 1048883879, 'DE', 'Germany'),
(18406, '62.132.178.168', '62.132.180.55', 1048883880, 1048884279, 'NL', 'Netherlands'),
(18407, '62.132.180.56', '62.132.180.71', 1048884280, 1048884295, 'DE', 'Germany'),
(18408, '62.132.180.72', '62.132.181.239', 1048884296, 1048884719, 'NL', 'Netherlands'),
(18409, '62.132.181.240', '62.132.181.247', 1048884720, 1048884727, 'DE', 'Germany'),
(18410, '62.132.181.248', '62.132.182.239', 1048884728, 1048884975, 'NL', 'Netherlands'),
(18411, '62.132.182.240', '62.132.183.7', 1048884976, 1048884999, 'DE', 'Germany'),
(18412, '62.132.183.8', '62.132.183.119', 1048885000, 1048885111, 'NL', 'Netherlands'),
(18413, '62.132.183.120', '62.132.183.127', 1048885112, 1048885119, 'DE', 'Germany'),
(18414, '62.132.183.128', '62.132.184.223', 1048885120, 1048885471, 'NL', 'Netherlands'),
(18415, '62.132.184.224', '62.132.184.231', 1048885472, 1048885479, 'DE', 'Germany'),
(18416, '62.132.184.232', '62.132.185.71', 1048885480, 1048885575, 'NL', 'Netherlands'),
(18417, '62.132.185.72', '62.132.185.79', 1048885576, 1048885583, 'DE', 'Germany'),
(18418, '62.132.185.80', '62.132.185.199', 1048885584, 1048885703, 'NL', 'Netherlands'),
(18419, '62.132.185.200', '62.132.185.207', 1048885704, 1048885711, 'DE', 'Germany'),
(18420, '62.132.185.208', '62.132.186.7', 1048885712, 1048885767, 'NL', 'Netherlands'),
(18421, '62.132.186.8', '62.132.186.15', 1048885768, 1048885775, 'DE', 'Germany'),
(18422, '62.132.186.16', '62.132.186.55', 1048885776, 1048885815, 'NL', 'Netherlands'),
(18423, '62.132.186.56', '62.132.186.63', 1048885816, 1048885823, 'DE', 'Germany'),
(18424, '62.132.186.64', '62.132.186.79', 1048885824, 1048885839, 'NL', 'Netherlands'),
(18425, '62.132.186.80', '62.132.186.87', 1048885840, 1048885847, 'DE', 'Germany'),
(18426, '62.132.186.88', '62.132.187.223', 1048885848, 1048886239, 'NL', 'Netherlands'),
(18427, '62.132.187.224', '62.132.187.231', 1048886240, 1048886247, 'DE', 'Germany'),
(18428, '62.132.187.232', '62.132.188.71', 1048886248, 1048886343, 'NL', 'Netherlands'),
(18429, '62.132.188.72', '62.132.188.79', 1048886344, 1048886351, 'DE', 'Germany'),
(18430, '62.132.188.80', '62.132.188.159', 1048886352, 1048886431, 'NL', 'Netherlands'),
(18431, '62.132.188.160', '62.132.188.167', 1048886432, 1048886439, 'DE', 'Germany'),
(18432, '62.132.188.168', '62.132.188.191', 1048886440, 1048886463, 'NL', 'Netherlands'),
(18433, '62.132.188.192', '62.132.188.199', 1048886464, 1048886471, 'DE', 'Germany'),
(18434, '62.132.188.200', '62.132.189.87', 1048886472, 1048886615, 'NL', 'Netherlands'),
(18435, '62.132.189.88', '62.132.189.95', 1048886616, 1048886623, 'DE', 'Germany'),
(18436, '62.132.189.96', '62.132.190.87', 1048886624, 1048886871, 'NL', 'Netherlands'),
(18437, '62.132.190.88', '62.132.190.95', 1048886872, 1048886879, 'DE', 'Germany'),
(18438, '62.132.190.96', '62.132.190.119', 1048886880, 1048886903, 'NL', 'Netherlands'),
(18439, '62.132.190.120', '62.132.190.127', 1048886904, 1048886911, 'DE', 'Germany'),
(18440, '62.132.190.128', '62.132.190.255', 1048886912, 1048887039, 'NL', 'Netherlands'),
(18441, '62.132.191.0', '62.132.191.7', 1048887040, 1048887047, 'DE', 'Germany'),
(18442, '62.132.191.8', '62.132.194.127', 1048887048, 1048887935, 'NL', 'Netherlands'),
(18443, '62.132.194.128', '62.132.194.191', 1048887936, 1048887999, 'DE', 'Germany'),
(18444, '62.132.194.192', '62.132.202.127', 1048888000, 1048889983, 'NL', 'Netherlands'),
(18445, '62.132.202.128', '62.132.202.159', 1048889984, 1048890015, 'DE', 'Germany'),
(18446, '62.132.202.160', '62.132.207.255', 1048890016, 1048891391, 'NL', 'Netherlands'),
(18447, '62.132.208.0', '62.132.208.7', 1048891392, 1048891399, 'DE', 'Germany'),
(18448, '62.132.208.8', '62.132.209.175', 1048891400, 1048891823, 'NL', 'Netherlands'),
(18449, '62.132.209.176', '62.132.209.183', 1048891824, 1048891831, 'DE', 'Germany'),
(18450, '62.132.209.184', '62.132.210.7', 1048891832, 1048891911, 'NL', 'Netherlands'),
(18451, '62.132.210.8', '62.132.210.15', 1048891912, 1048891919, 'DE', 'Germany'),
(18452, '62.132.210.16', '62.132.211.151', 1048891920, 1048892311, 'NL', 'Netherlands'),
(18453, '62.132.211.152', '62.132.211.159', 1048892312, 1048892319, 'DE', 'Germany'),
(18454, '62.132.211.160', '62.132.211.183', 1048892320, 1048892343, 'NL', 'Netherlands'),
(18455, '62.132.211.184', '62.132.211.191', 1048892344, 1048892351, 'DE', 'Germany'),
(18456, '62.132.211.192', '62.132.211.207', 1048892352, 1048892367, 'NL', 'Netherlands'),
(18457, '62.132.211.208', '62.132.211.215', 1048892368, 1048892375, 'DE', 'Germany'),
(18458, '62.132.211.216', '62.132.213.143', 1048892376, 1048892815, 'NL', 'Netherlands'),
(18459, '62.132.213.144', '62.132.213.151', 1048892816, 1048892823, 'DE', 'Germany'),
(18460, '62.132.213.152', '62.132.213.191', 1048892824, 1048892863, 'NL', 'Netherlands'),
(18461, '62.132.213.192', '62.132.213.199', 1048892864, 1048892871, 'DE', 'Germany'),
(18462, '62.132.213.200', '62.132.213.223', 1048892872, 1048892895, 'NL', 'Netherlands'),
(18463, '62.132.213.224', '62.132.213.231', 1048892896, 1048892903, 'DE', 'Germany'),
(18464, '62.132.213.232', '62.132.215.95', 1048892904, 1048893279, 'NL', 'Netherlands'),
(18465, '62.132.215.96', '62.132.215.103', 1048893280, 1048893287, 'DE', 'Germany'),
(18466, '62.132.215.104', '62.132.215.119', 1048893288, 1048893303, 'NL', 'Netherlands'),
(18467, '62.132.215.120', '62.132.215.127', 1048893304, 1048893311, 'DE', 'Germany'),
(18468, '62.132.215.128', '62.132.216.151', 1048893312, 1048893591, 'NL', 'Netherlands'),
(18469, '62.132.216.152', '62.132.216.159', 1048893592, 1048893599, 'DE', 'Germany'),
(18470, '62.132.216.160', '62.132.217.7', 1048893600, 1048893703, 'NL', 'Netherlands'),
(18471, '62.132.217.8', '62.132.217.15', 1048893704, 1048893711, 'DE', 'Germany'),
(18472, '62.132.217.16', '62.132.217.23', 1048893712, 1048893719, 'NL', 'Netherlands'),
(18473, '62.132.217.24', '62.132.217.31', 1048893720, 1048893727, 'DE', 'Germany'),
(18474, '62.132.217.32', '62.132.217.223', 1048893728, 1048893919, 'NL', 'Netherlands'),
(18475, '62.132.217.224', '62.132.217.231', 1048893920, 1048893927, 'DE', 'Germany'),
(18476, '62.132.217.232', '62.132.218.31', 1048893928, 1048893983, 'NL', 'Netherlands'),
(18477, '62.132.218.32', '62.132.218.39', 1048893984, 1048893991, 'DE', 'Germany'),
(18478, '62.132.218.40', '62.132.218.87', 1048893992, 1048894039, 'NL', 'Netherlands'),
(18479, '62.132.218.88', '62.132.218.95', 1048894040, 1048894047, 'DE', 'Germany'),
(18480, '62.132.218.96', '62.132.218.119', 1048894048, 1048894071, 'NL', 'Netherlands'),
(18481, '62.132.218.120', '62.132.218.127', 1048894072, 1048894079, 'DE', 'Germany'),
(18482, '62.132.218.128', '62.132.219.7', 1048894080, 1048894215, 'NL', 'Netherlands'),
(18483, '62.132.219.8', '62.132.219.15', 1048894216, 1048894223, 'DE', 'Germany'),
(18484, '62.132.219.16', '62.132.220.7', 1048894224, 1048894471, 'NL', 'Netherlands'),
(18485, '62.132.220.8', '62.132.220.15', 1048894472, 1048894479, 'DE', 'Germany'),
(18486, '62.132.220.16', '62.132.220.23', 1048894480, 1048894487, 'NL', 'Netherlands'),
(18487, '62.132.220.24', '62.132.220.31', 1048894488, 1048894495, 'DE', 'Germany'),
(18488, '62.132.220.32', '62.132.220.143', 1048894496, 1048894607, 'NL', 'Netherlands'),
(18489, '62.132.220.144', '62.132.220.151', 1048894608, 1048894615, 'DE', 'Germany'),
(18490, '62.132.220.152', '62.132.220.207', 1048894616, 1048894671, 'NL', 'Netherlands'),
(18491, '62.132.220.208', '62.132.220.215', 1048894672, 1048894679, 'DE', 'Germany'),
(18492, '62.132.220.216', '62.132.221.15', 1048894680, 1048894735, 'NL', 'Netherlands'),
(18493, '62.132.221.16', '62.132.221.23', 1048894736, 1048894743, 'DE', 'Germany'),
(18494, '62.132.221.24', '62.132.221.175', 1048894744, 1048894895, 'NL', 'Netherlands'),
(18495, '62.132.221.176', '62.132.221.183', 1048894896, 1048894903, 'DE', 'Germany'),
(18496, '62.132.221.184', '62.132.222.55', 1048894904, 1048895031, 'NL', 'Netherlands'),
(18497, '62.132.222.56', '62.132.222.63', 1048895032, 1048895039, 'DE', 'Germany'),
(18498, '62.132.222.64', '62.132.222.103', 1048895040, 1048895079, 'NL', 'Netherlands'),
(18499, '62.132.222.104', '62.132.222.111', 1048895080, 1048895087, 'DE', 'Germany'),
(18500, '62.132.222.112', '62.132.223.39', 1048895088, 1048895271, 'NL', 'Netherlands'),
(18501, '62.132.223.40', '62.132.223.47', 1048895272, 1048895279, 'DE', 'Germany'),
(18502, '62.132.223.48', '62.132.223.207', 1048895280, 1048895439, 'NL', 'Netherlands'),
(18503, '62.132.223.208', '62.132.223.215', 1048895440, 1048895447, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(18504, '62.132.223.216', '62.132.224.63', 1048895448, 1048895551, 'NL', 'Netherlands'),
(18505, '62.132.224.64', '62.132.224.71', 1048895552, 1048895559, 'DE', 'Germany'),
(18506, '62.132.224.72', '62.132.224.159', 1048895560, 1048895647, 'NL', 'Netherlands'),
(18507, '62.132.224.160', '62.132.224.167', 1048895648, 1048895655, 'DE', 'Germany'),
(18508, '62.132.224.168', '62.132.225.223', 1048895656, 1048895967, 'NL', 'Netherlands'),
(18509, '62.132.225.224', '62.132.225.231', 1048895968, 1048895975, 'DE', 'Germany'),
(18510, '62.132.225.232', '62.132.226.231', 1048895976, 1048896231, 'NL', 'Netherlands'),
(18511, '62.132.226.232', '62.132.226.239', 1048896232, 1048896239, 'DE', 'Germany'),
(18512, '62.132.226.240', '62.132.227.15', 1048896240, 1048896271, 'NL', 'Netherlands'),
(18513, '62.132.227.16', '62.132.227.23', 1048896272, 1048896279, 'DE', 'Germany'),
(18514, '62.132.227.24', '62.132.227.63', 1048896280, 1048896319, 'NL', 'Netherlands'),
(18515, '62.132.227.64', '62.132.227.71', 1048896320, 1048896327, 'DE', 'Germany'),
(18516, '62.132.227.72', '62.132.227.223', 1048896328, 1048896479, 'NL', 'Netherlands'),
(18517, '62.132.227.224', '62.132.227.231', 1048896480, 1048896487, 'DE', 'Germany'),
(18518, '62.132.227.232', '62.132.228.7', 1048896488, 1048896519, 'NL', 'Netherlands'),
(18519, '62.132.228.8', '62.132.228.23', 1048896520, 1048896535, 'DE', 'Germany'),
(18520, '62.132.228.24', '62.132.228.159', 1048896536, 1048896671, 'NL', 'Netherlands'),
(18521, '62.132.228.160', '62.132.228.167', 1048896672, 1048896679, 'DE', 'Germany'),
(18522, '62.132.228.168', '62.132.228.175', 1048896680, 1048896687, 'NL', 'Netherlands'),
(18523, '62.132.228.176', '62.132.228.183', 1048896688, 1048896695, 'DE', 'Germany'),
(18524, '62.132.228.184', '62.132.228.223', 1048896696, 1048896735, 'NL', 'Netherlands'),
(18525, '62.132.228.224', '62.132.228.231', 1048896736, 1048896743, 'DE', 'Germany'),
(18526, '62.132.228.232', '62.132.229.103', 1048896744, 1048896871, 'NL', 'Netherlands'),
(18527, '62.132.229.104', '62.132.229.111', 1048896872, 1048896879, 'DE', 'Germany'),
(18528, '62.132.229.112', '62.132.229.199', 1048896880, 1048896967, 'NL', 'Netherlands'),
(18529, '62.132.229.200', '62.132.229.207', 1048896968, 1048896975, 'DE', 'Germany'),
(18530, '62.132.229.208', '62.132.230.95', 1048896976, 1048897119, 'NL', 'Netherlands'),
(18531, '62.132.230.96', '62.132.230.111', 1048897120, 1048897135, 'DE', 'Germany'),
(18532, '62.132.230.112', '62.132.230.215', 1048897136, 1048897239, 'NL', 'Netherlands'),
(18533, '62.132.230.216', '62.132.230.223', 1048897240, 1048897247, 'DE', 'Germany'),
(18534, '62.132.230.224', '62.132.230.247', 1048897248, 1048897271, 'NL', 'Netherlands'),
(18535, '62.132.230.248', '62.132.230.255', 1048897272, 1048897279, 'DE', 'Germany'),
(18536, '62.132.231.0', '62.132.231.15', 1048897280, 1048897295, 'NL', 'Netherlands'),
(18537, '62.132.231.16', '62.132.231.31', 1048897296, 1048897311, 'DE', 'Germany'),
(18538, '62.132.231.32', '62.132.231.39', 1048897312, 1048897319, 'NL', 'Netherlands'),
(18539, '62.132.231.40', '62.132.231.47', 1048897320, 1048897327, 'DE', 'Germany'),
(18540, '62.132.231.48', '62.132.231.87', 1048897328, 1048897367, 'NL', 'Netherlands'),
(18541, '62.132.231.88', '62.132.231.95', 1048897368, 1048897375, 'DE', 'Germany'),
(18542, '62.132.231.96', '62.132.231.183', 1048897376, 1048897463, 'NL', 'Netherlands'),
(18543, '62.132.231.184', '62.132.231.191', 1048897464, 1048897471, 'DE', 'Germany'),
(18544, '62.132.231.192', '62.132.231.215', 1048897472, 1048897495, 'NL', 'Netherlands'),
(18545, '62.132.231.216', '62.132.231.223', 1048897496, 1048897503, 'DE', 'Germany'),
(18546, '62.132.231.224', '62.132.232.199', 1048897504, 1048897735, 'NL', 'Netherlands'),
(18547, '62.132.232.200', '62.132.232.207', 1048897736, 1048897743, 'DE', 'Germany'),
(18548, '62.132.232.208', '62.132.236.159', 1048897744, 1048898719, 'NL', 'Netherlands'),
(18549, '62.132.236.160', '62.132.236.167', 1048898720, 1048898727, 'DE', 'Germany'),
(18550, '62.132.236.168', '62.132.237.175', 1048898728, 1048898991, 'NL', 'Netherlands'),
(18551, '62.132.237.176', '62.132.237.183', 1048898992, 1048898999, 'DE', 'Germany'),
(18552, '62.132.237.184', '62.132.237.231', 1048899000, 1048899047, 'NL', 'Netherlands'),
(18553, '62.132.237.232', '62.132.237.239', 1048899048, 1048899055, 'DE', 'Germany'),
(18554, '62.132.237.240', '62.132.238.199', 1048899056, 1048899271, 'NL', 'Netherlands'),
(18555, '62.132.238.200', '62.132.238.207', 1048899272, 1048899279, 'DE', 'Germany'),
(18556, '62.132.238.208', '62.132.238.215', 1048899280, 1048899287, 'NL', 'Netherlands'),
(18557, '62.132.238.216', '62.132.238.223', 1048899288, 1048899295, 'DE', 'Germany'),
(18558, '62.132.238.224', '62.132.238.231', 1048899296, 1048899303, 'NL', 'Netherlands'),
(18559, '62.132.238.232', '62.132.238.239', 1048899304, 1048899311, 'DE', 'Germany'),
(18560, '62.132.238.240', '62.132.240.7', 1048899312, 1048899591, 'NL', 'Netherlands'),
(18561, '62.132.240.8', '62.132.240.15', 1048899592, 1048899599, 'DE', 'Germany'),
(18562, '62.132.240.16', '62.132.241.231', 1048899600, 1048900071, 'NL', 'Netherlands'),
(18563, '62.132.241.232', '62.132.241.239', 1048900072, 1048900079, 'DE', 'Germany'),
(18564, '62.132.241.240', '62.132.242.31', 1048900080, 1048900127, 'NL', 'Netherlands'),
(18565, '62.132.242.32', '62.132.242.39', 1048900128, 1048900135, 'DE', 'Germany'),
(18566, '62.132.242.40', '62.132.242.215', 1048900136, 1048900311, 'NL', 'Netherlands'),
(18567, '62.132.242.216', '62.132.242.223', 1048900312, 1048900319, 'DE', 'Germany'),
(18568, '62.132.242.224', '62.132.242.247', 1048900320, 1048900343, 'NL', 'Netherlands'),
(18569, '62.132.242.248', '62.132.242.255', 1048900344, 1048900351, 'DE', 'Germany'),
(18570, '62.132.243.0', '62.132.243.15', 1048900352, 1048900367, 'NL', 'Netherlands'),
(18571, '62.132.243.16', '62.132.243.23', 1048900368, 1048900375, 'DE', 'Germany'),
(18572, '62.132.243.24', '62.132.243.39', 1048900376, 1048900391, 'NL', 'Netherlands'),
(18573, '62.132.243.40', '62.132.243.47', 1048900392, 1048900399, 'DE', 'Germany'),
(18574, '62.132.243.48', '62.132.244.95', 1048900400, 1048900703, 'NL', 'Netherlands'),
(18575, '62.132.244.96', '62.132.244.103', 1048900704, 1048900711, 'DE', 'Germany'),
(18576, '62.132.244.104', '62.132.245.71', 1048900712, 1048900935, 'NL', 'Netherlands'),
(18577, '62.132.245.72', '62.132.245.87', 1048900936, 1048900951, 'DE', 'Germany'),
(18578, '62.132.245.88', '62.132.246.47', 1048900952, 1048901167, 'NL', 'Netherlands'),
(18579, '62.132.246.48', '62.132.246.55', 1048901168, 1048901175, 'DE', 'Germany'),
(18580, '62.132.246.56', '62.132.246.79', 1048901176, 1048901199, 'NL', 'Netherlands'),
(18581, '62.132.246.80', '62.132.246.87', 1048901200, 1048901207, 'DE', 'Germany'),
(18582, '62.132.246.88', '62.132.246.191', 1048901208, 1048901311, 'NL', 'Netherlands'),
(18583, '62.132.246.192', '62.132.246.199', 1048901312, 1048901319, 'DE', 'Germany'),
(18584, '62.132.246.200', '62.132.246.207', 1048901320, 1048901327, 'NL', 'Netherlands'),
(18585, '62.132.246.208', '62.132.246.215', 1048901328, 1048901335, 'DE', 'Germany'),
(18586, '62.132.246.216', '62.132.247.239', 1048901336, 1048901615, 'NL', 'Netherlands'),
(18587, '62.132.247.240', '62.132.247.247', 1048901616, 1048901623, 'DE', 'Germany'),
(18588, '62.132.247.248', '62.132.248.199', 1048901624, 1048901831, 'NL', 'Netherlands'),
(18589, '62.132.248.200', '62.132.248.207', 1048901832, 1048901839, 'DE', 'Germany'),
(18590, '62.132.248.208', '62.132.248.215', 1048901840, 1048901847, 'NL', 'Netherlands'),
(18591, '62.132.248.216', '62.132.248.231', 1048901848, 1048901863, 'DE', 'Germany'),
(18592, '62.132.248.232', '62.132.250.191', 1048901864, 1048902335, 'NL', 'Netherlands'),
(18593, '62.132.250.192', '62.132.250.199', 1048902336, 1048902343, 'DE', 'Germany'),
(18594, '62.132.250.200', '62.132.250.215', 1048902344, 1048902359, 'NL', 'Netherlands'),
(18595, '62.132.250.216', '62.132.250.223', 1048902360, 1048902367, 'DE', 'Germany'),
(18596, '62.132.250.224', '62.132.250.247', 1048902368, 1048902391, 'NL', 'Netherlands'),
(18597, '62.132.250.248', '62.132.250.255', 1048902392, 1048902399, 'DE', 'Germany'),
(18598, '62.132.251.0', '62.132.251.47', 1048902400, 1048902447, 'NL', 'Netherlands'),
(18599, '62.132.251.48', '62.132.251.55', 1048902448, 1048902455, 'DE', 'Germany'),
(18600, '62.132.251.56', '62.132.251.127', 1048902456, 1048902527, 'NL', 'Netherlands'),
(18601, '62.132.251.128', '62.132.251.135', 1048902528, 1048902535, 'DE', 'Germany'),
(18602, '62.132.251.136', '62.132.251.183', 1048902536, 1048902583, 'NL', 'Netherlands'),
(18603, '62.132.251.184', '62.132.251.191', 1048902584, 1048902591, 'DE', 'Germany'),
(18604, '62.132.251.192', '62.132.252.15', 1048902592, 1048902671, 'NL', 'Netherlands'),
(18605, '62.132.252.16', '62.132.252.23', 1048902672, 1048902679, 'DE', 'Germany'),
(18606, '62.132.252.24', '62.132.253.159', 1048902680, 1048903071, 'NL', 'Netherlands'),
(18607, '62.132.253.160', '62.132.253.167', 1048903072, 1048903079, 'DE', 'Germany'),
(18608, '62.132.253.168', '62.132.253.183', 1048903080, 1048903095, 'NL', 'Netherlands'),
(18609, '62.132.253.184', '62.132.253.191', 1048903096, 1048903103, 'DE', 'Germany'),
(18610, '62.132.253.192', '62.132.255.255', 1048903104, 1048903679, 'NL', 'Netherlands'),
(18611, '62.133.0.0', '62.133.31.255', 1048903680, 1048911871, 'GB', 'United Kingdom'),
(18612, '62.133.32.0', '62.133.63.255', 1048911872, 1048920063, 'IT', 'Italy'),
(18613, '62.133.64.0', '62.133.127.255', 1048920064, 1048936447, 'NL', 'Netherlands'),
(18614, '62.133.128.0', '62.133.159.255', 1048936448, 1048944639, 'PL', 'Poland'),
(18615, '62.133.160.0', '62.133.191.255', 1048944640, 1048952831, 'RU', 'Russian Federation'),
(18616, '62.133.192.0', '62.133.194.63', 1048952832, 1048953407, 'NL', 'Netherlands'),
(18617, '62.133.194.64', '62.133.194.95', 1048953408, 1048953439, 'BE', 'Belgium'),
(18618, '62.133.194.96', '62.133.200.87', 1048953440, 1048954967, 'NL', 'Netherlands'),
(18619, '62.133.200.88', '62.133.200.95', 1048954968, 1048954975, 'BE', 'Belgium'),
(18620, '62.133.200.96', '62.133.255.255', 1048954976, 1048969215, 'NL', 'Netherlands'),
(18621, '62.134.0.0', '62.134.2.127', 1048969216, 1048969855, 'EU', 'Europe'),
(18622, '62.134.2.128', '62.134.2.159', 1048969856, 1048969887, 'DE', 'Germany'),
(18623, '62.134.2.160', '62.134.7.55', 1048969888, 1048971063, 'EU', 'Europe'),
(18624, '62.134.7.56', '62.134.7.60', 1048971064, 1048971068, 'DE', 'Germany'),
(18625, '62.134.7.61', '62.134.8.63', 1048971069, 1048971327, 'EU', 'Europe'),
(18626, '62.134.8.64', '62.134.8.127', 1048971328, 1048971391, 'DE', 'Germany'),
(18627, '62.134.8.128', '62.134.13.175', 1048971392, 1048972719, 'EU', 'Europe'),
(18628, '62.134.13.176', '62.134.13.183', 1048972720, 1048972727, 'DE', 'Germany'),
(18629, '62.134.13.184', '62.134.16.127', 1048972728, 1048973439, 'EU', 'Europe'),
(18630, '62.134.16.128', '62.134.16.255', 1048973440, 1048973567, 'DE', 'Germany'),
(18631, '62.134.17.0', '62.134.19.255', 1048973568, 1048974335, 'EU', 'Europe'),
(18632, '62.134.20.0', '62.134.23.79', 1048974336, 1048975183, 'DE', 'Germany'),
(18633, '62.134.23.80', '62.134.27.159', 1048975184, 1048976287, 'EU', 'Europe'),
(18634, '62.134.27.160', '62.134.27.167', 1048976288, 1048976295, 'DE', 'Germany'),
(18635, '62.134.27.168', '62.134.27.168', 1048976296, 1048976296, 'EU', 'Europe'),
(18636, '62.134.27.169', '62.134.27.174', 1048976297, 1048976302, 'DE', 'Germany'),
(18637, '62.134.27.175', '62.134.27.175', 1048976303, 1048976303, 'EU', 'Europe'),
(18638, '62.134.27.176', '62.134.27.191', 1048976304, 1048976319, 'DE', 'Germany'),
(18639, '62.134.27.192', '62.134.27.255', 1048976320, 1048976383, 'EU', 'Europe'),
(18640, '62.134.28.0', '62.134.28.63', 1048976384, 1048976447, 'DE', 'Germany'),
(18641, '62.134.28.64', '62.134.28.127', 1048976448, 1048976511, 'EU', 'Europe'),
(18642, '62.134.28.128', '62.134.31.255', 1048976512, 1048977407, 'DE', 'Germany'),
(18643, '62.134.32.0', '62.134.35.255', 1048977408, 1048978431, 'EU', 'Europe'),
(18644, '62.134.36.0', '62.134.37.255', 1048978432, 1048978943, 'DE', 'Germany'),
(18645, '62.134.38.0', '62.134.38.191', 1048978944, 1048979135, 'EU', 'Europe'),
(18646, '62.134.38.192', '62.134.39.95', 1048979136, 1048979295, 'DE', 'Germany'),
(18647, '62.134.39.96', '62.134.39.255', 1048979296, 1048979455, 'EU', 'Europe'),
(18648, '62.134.40.0', '62.134.43.255', 1048979456, 1048980479, 'DE', 'Germany'),
(18649, '62.134.44.0', '62.134.44.255', 1048980480, 1048980735, 'EU', 'Europe'),
(18650, '62.134.45.0', '62.134.45.55', 1048980736, 1048980791, 'DE', 'Germany'),
(18651, '62.134.45.56', '62.134.45.67', 1048980792, 1048980803, 'EU', 'Europe'),
(18652, '62.134.45.68', '62.134.45.71', 1048980804, 1048980807, 'DE', 'Germany'),
(18653, '62.134.45.72', '62.134.45.79', 1048980808, 1048980815, 'EU', 'Europe'),
(18654, '62.134.45.80', '62.134.45.87', 1048980816, 1048980823, 'DE', 'Germany'),
(18655, '62.134.45.88', '62.134.45.95', 1048980824, 1048980831, 'EU', 'Europe'),
(18656, '62.134.45.96', '62.134.45.223', 1048980832, 1048980959, 'DE', 'Germany'),
(18657, '62.134.45.224', '62.134.45.231', 1048980960, 1048980967, 'EU', 'Europe'),
(18658, '62.134.45.232', '62.134.45.239', 1048980968, 1048980975, 'DE', 'Germany'),
(18659, '62.134.45.240', '62.134.47.255', 1048980976, 1048981503, 'EU', 'Europe'),
(18660, '62.134.48.0', '62.134.48.255', 1048981504, 1048981759, 'DE', 'Germany'),
(18661, '62.134.49.0', '62.134.49.31', 1048981760, 1048981791, 'EU', 'Europe'),
(18662, '62.134.49.32', '62.134.49.63', 1048981792, 1048981823, 'DE', 'Germany'),
(18663, '62.134.49.64', '62.134.49.255', 1048981824, 1048982015, 'EU', 'Europe'),
(18664, '62.134.50.0', '62.134.51.255', 1048982016, 1048982527, 'DE', 'Germany'),
(18665, '62.134.52.0', '62.134.53.39', 1048982528, 1048982823, 'EU', 'Europe'),
(18666, '62.134.53.40', '62.134.53.159', 1048982824, 1048982943, 'DE', 'Germany'),
(18667, '62.134.53.160', '62.134.53.175', 1048982944, 1048982959, 'EU', 'Europe'),
(18668, '62.134.53.176', '62.134.53.239', 1048982960, 1048983023, 'DE', 'Germany'),
(18669, '62.134.53.240', '62.134.54.127', 1048983024, 1048983167, 'EU', 'Europe'),
(18670, '62.134.54.128', '62.134.55.127', 1048983168, 1048983423, 'DE', 'Germany'),
(18671, '62.134.55.128', '62.134.55.191', 1048983424, 1048983487, 'EU', 'Europe'),
(18672, '62.134.55.192', '62.134.56.127', 1048983488, 1048983679, 'DE', 'Germany'),
(18673, '62.134.56.128', '62.134.61.255', 1048983680, 1048985087, 'EU', 'Europe'),
(18674, '62.134.62.0', '62.134.62.79', 1048985088, 1048985167, 'DE', 'Germany'),
(18675, '62.134.62.80', '62.134.62.95', 1048985168, 1048985183, 'EU', 'Europe'),
(18676, '62.134.62.96', '62.134.62.111', 1048985184, 1048985199, 'DE', 'Germany'),
(18677, '62.134.62.112', '62.134.62.127', 1048985200, 1048985215, 'EU', 'Europe'),
(18678, '62.134.62.128', '62.134.63.31', 1048985216, 1048985375, 'DE', 'Germany'),
(18679, '62.134.63.32', '62.134.68.255', 1048985376, 1048986879, 'EU', 'Europe'),
(18680, '62.134.69.0', '62.134.69.255', 1048986880, 1048987135, 'DE', 'Germany'),
(18681, '62.134.70.0', '62.134.87.255', 1048987136, 1048991743, 'EU', 'Europe'),
(18682, '62.134.88.0', '62.134.88.3', 1048991744, 1048991747, 'DE', 'Germany'),
(18683, '62.134.88.4', '62.134.127.255', 1048991748, 1049001983, 'EU', 'Europe'),
(18684, '62.134.128.0', '62.134.128.31', 1049001984, 1049002015, 'DE', 'Germany'),
(18685, '62.134.128.32', '62.134.128.127', 1049002016, 1049002111, 'EU', 'Europe'),
(18686, '62.134.128.128', '62.134.128.255', 1049002112, 1049002239, 'DE', 'Germany'),
(18687, '62.134.129.0', '62.134.132.255', 1049002240, 1049003263, 'EU', 'Europe'),
(18688, '62.134.133.0', '62.134.136.255', 1049003264, 1049004287, 'DE', 'Germany'),
(18689, '62.134.137.0', '62.134.137.63', 1049004288, 1049004351, 'EU', 'Europe'),
(18690, '62.134.137.64', '62.134.137.127', 1049004352, 1049004415, 'DE', 'Germany'),
(18691, '62.134.137.128', '62.134.137.255', 1049004416, 1049004543, 'EU', 'Europe'),
(18692, '62.134.138.0', '62.134.143.255', 1049004544, 1049006079, 'DE', 'Germany'),
(18693, '62.134.144.0', '62.134.147.255', 1049006080, 1049007103, 'EU', 'Europe'),
(18694, '62.134.148.0', '62.134.148.7', 1049007104, 1049007111, 'DE', 'Germany'),
(18695, '62.134.148.8', '62.134.148.255', 1049007112, 1049007359, 'EU', 'Europe'),
(18696, '62.134.149.0', '62.134.157.127', 1049007360, 1049009535, 'DE', 'Germany'),
(18697, '62.134.157.128', '62.134.157.151', 1049009536, 1049009559, 'EU', 'Europe'),
(18698, '62.134.157.152', '62.134.157.159', 1049009560, 1049009567, 'DE', 'Germany'),
(18699, '62.134.157.160', '62.134.157.175', 1049009568, 1049009583, 'EU', 'Europe'),
(18700, '62.134.157.176', '62.134.157.207', 1049009584, 1049009615, 'DE', 'Germany'),
(18701, '62.134.157.208', '62.134.157.239', 1049009616, 1049009647, 'EU', 'Europe'),
(18702, '62.134.157.240', '62.134.157.254', 1049009648, 1049009662, 'DE', 'Germany'),
(18703, '62.134.157.255', '62.134.157.255', 1049009663, 1049009663, 'EU', 'Europe'),
(18704, '62.134.158.0', '62.134.167.255', 1049009664, 1049012223, 'DE', 'Germany'),
(18705, '62.134.168.0', '62.134.168.0', 1049012224, 1049012224, 'EU', 'Europe'),
(18706, '62.134.168.1', '62.134.168.2', 1049012225, 1049012226, 'DE', 'Germany'),
(18707, '62.134.168.3', '62.134.169.255', 1049012227, 1049012735, 'EU', 'Europe'),
(18708, '62.134.170.0', '62.134.176.39', 1049012736, 1049014311, 'DE', 'Germany'),
(18709, '62.134.176.40', '62.134.176.63', 1049014312, 1049014335, 'EU', 'Europe'),
(18710, '62.134.176.64', '62.134.176.95', 1049014336, 1049014367, 'DE', 'Germany'),
(18711, '62.134.176.96', '62.134.177.255', 1049014368, 1049014783, 'EU', 'Europe'),
(18712, '62.134.178.0', '62.134.185.127', 1049014784, 1049016703, 'DE', 'Germany'),
(18713, '62.134.185.128', '62.134.185.135', 1049016704, 1049016711, 'FR', 'France'),
(18714, '62.134.185.136', '62.134.185.139', 1049016712, 1049016715, 'RU', 'Russian Federation'),
(18715, '62.134.185.140', '62.134.185.167', 1049016716, 1049016743, 'DE', 'Germany'),
(18716, '62.134.185.168', '62.134.185.175', 1049016744, 1049016751, 'MA', 'Morocco'),
(18717, '62.134.185.176', '62.134.185.183', 1049016752, 1049016759, 'DE', 'Germany'),
(18718, '62.134.185.184', '62.134.185.191', 1049016760, 1049016767, 'FR', 'France'),
(18719, '62.134.185.192', '62.134.185.239', 1049016768, 1049016815, 'DE', 'Germany'),
(18720, '62.134.185.240', '62.134.185.255', 1049016816, 1049016831, 'NL', 'Netherlands'),
(18721, '62.134.186.0', '62.134.186.15', 1049016832, 1049016847, 'DE', 'Germany'),
(18722, '62.134.186.16', '62.134.186.31', 1049016848, 1049016863, 'FR', 'France'),
(18723, '62.134.186.32', '62.134.190.127', 1049016864, 1049017983, 'DE', 'Germany'),
(18724, '62.134.190.128', '62.134.190.191', 1049017984, 1049018047, 'GE', 'Georgia'),
(18725, '62.134.190.192', '62.134.198.223', 1049018048, 1049020127, 'DE', 'Germany'),
(18726, '62.134.198.224', '62.134.198.231', 1049020128, 1049020135, 'FR', 'France'),
(18727, '62.134.198.232', '62.134.203.159', 1049020136, 1049021343, 'DE', 'Germany'),
(18728, '62.134.203.160', '62.134.203.191', 1049021344, 1049021375, 'US', 'United States'),
(18729, '62.134.203.192', '62.134.223.255', 1049021376, 1049026559, 'DE', 'Germany'),
(18730, '62.134.224.0', '62.134.224.255', 1049026560, 1049026815, 'EU', 'Europe'),
(18731, '62.134.225.0', '62.134.244.191', 1049026816, 1049031871, 'DE', 'Germany'),
(18732, '62.134.244.192', '62.134.244.223', 1049031872, 1049031903, 'EU', 'Europe'),
(18733, '62.134.244.224', '62.134.245.207', 1049031904, 1049032143, 'DE', 'Germany'),
(18734, '62.134.245.208', '62.134.245.231', 1049032144, 1049032167, 'EU', 'Europe'),
(18735, '62.134.245.232', '62.134.245.235', 1049032168, 1049032171, 'DE', 'Germany'),
(18736, '62.134.245.236', '62.134.245.255', 1049032172, 1049032191, 'EU', 'Europe'),
(18737, '62.134.246.0', '62.134.246.99', 1049032192, 1049032291, 'DE', 'Germany'),
(18738, '62.134.246.100', '62.134.246.103', 1049032292, 1049032295, 'EU', 'Europe'),
(18739, '62.134.246.104', '62.134.246.191', 1049032296, 1049032383, 'DE', 'Germany'),
(18740, '62.134.246.192', '62.134.246.207', 1049032384, 1049032399, 'EU', 'Europe'),
(18741, '62.134.246.208', '62.134.247.175', 1049032400, 1049032623, 'DE', 'Germany'),
(18742, '62.134.247.176', '62.134.247.183', 1049032624, 1049032631, 'EU', 'Europe'),
(18743, '62.134.247.184', '62.134.247.191', 1049032632, 1049032639, 'DE', 'Germany'),
(18744, '62.134.247.192', '62.134.247.199', 1049032640, 1049032647, 'EU', 'Europe'),
(18745, '62.134.247.200', '62.134.247.251', 1049032648, 1049032699, 'DE', 'Germany'),
(18746, '62.134.247.252', '62.134.247.255', 1049032700, 1049032703, 'EU', 'Europe'),
(18747, '62.134.248.0', '62.134.255.255', 1049032704, 1049034751, 'DE', 'Germany'),
(18748, '62.135.0.0', '62.135.127.255', 1049034752, 1049067519, 'EG', 'Egypt'),
(18749, '62.135.128.0', '62.135.255.255', 1049067520, 1049100287, 'DK', 'Denmark'),
(18750, '62.136.0.0', '62.137.255.255', 1049100288, 1049231359, 'GB', 'United Kingdom'),
(18751, '62.138.0.0', '62.138.255.255', 1049231360, 1049296895, 'DE', 'Germany'),
(18752, '62.139.0.0', '62.139.255.255', 1049296896, 1049362431, 'EG', 'Egypt'),
(18753, '62.140.0.0', '62.140.0.191', 1049362432, 1049362623, 'DE', 'Germany'),
(18754, '62.140.0.192', '62.140.0.255', 1049362624, 1049362687, 'GB', 'United Kingdom'),
(18755, '62.140.1.0', '62.140.1.127', 1049362688, 1049362815, 'DE', 'Germany'),
(18756, '62.140.1.128', '62.140.1.255', 1049362816, 1049362943, 'GB', 'United Kingdom'),
(18757, '62.140.2.0', '62.140.2.15', 1049362944, 1049362959, 'DE', 'Germany'),
(18758, '62.140.2.16', '62.140.2.127', 1049362960, 1049363071, 'GB', 'United Kingdom'),
(18759, '62.140.2.128', '62.140.2.191', 1049363072, 1049363135, 'DE', 'Germany'),
(18760, '62.140.2.192', '62.140.5.255', 1049363136, 1049363967, 'GB', 'United Kingdom'),
(18761, '62.140.6.0', '62.140.6.255', 1049363968, 1049364223, 'DE', 'Germany'),
(18762, '62.140.7.0', '62.140.9.255', 1049364224, 1049364991, 'GB', 'United Kingdom'),
(18763, '62.140.10.0', '62.140.10.255', 1049364992, 1049365247, 'DE', 'Germany'),
(18764, '62.140.11.0', '62.140.12.207', 1049365248, 1049365711, 'GB', 'United Kingdom'),
(18765, '62.140.12.208', '62.140.12.215', 1049365712, 1049365719, 'DE', 'Germany'),
(18766, '62.140.12.216', '62.140.12.223', 1049365720, 1049365727, 'GB', 'United Kingdom'),
(18767, '62.140.12.224', '62.140.12.247', 1049365728, 1049365751, 'DE', 'Germany'),
(18768, '62.140.12.248', '62.140.13.127', 1049365752, 1049365887, 'GB', 'United Kingdom'),
(18769, '62.140.13.128', '62.140.13.191', 1049365888, 1049365951, 'DE', 'Germany'),
(18770, '62.140.13.192', '62.140.13.255', 1049365952, 1049366015, 'GB', 'United Kingdom'),
(18771, '62.140.14.0', '62.140.14.255', 1049366016, 1049366271, 'DE', 'Germany'),
(18772, '62.140.15.0', '62.140.15.63', 1049366272, 1049366335, 'GB', 'United Kingdom'),
(18773, '62.140.15.64', '62.140.15.127', 1049366336, 1049366399, 'DE', 'Germany'),
(18774, '62.140.15.128', '62.140.15.255', 1049366400, 1049366527, 'GB', 'United Kingdom'),
(18775, '62.140.16.0', '62.140.23.255', 1049366528, 1049368575, 'DE', 'Germany'),
(18776, '62.140.24.0', '62.140.24.95', 1049368576, 1049368671, 'GB', 'United Kingdom'),
(18777, '62.140.24.96', '62.140.24.111', 1049368672, 1049368687, 'DE', 'Germany'),
(18778, '62.140.24.112', '62.140.27.255', 1049368688, 1049369599, 'GB', 'United Kingdom'),
(18779, '62.140.28.0', '62.140.29.79', 1049369600, 1049369935, 'DE', 'Germany'),
(18780, '62.140.29.80', '62.140.29.127', 1049369936, 1049369983, 'GB', 'United Kingdom'),
(18781, '62.140.29.128', '62.140.29.191', 1049369984, 1049370047, 'DE', 'Germany'),
(18782, '62.140.29.192', '62.140.29.255', 1049370048, 1049370111, 'GB', 'United Kingdom'),
(18783, '62.140.30.0', '62.140.30.31', 1049370112, 1049370143, 'DE', 'Germany'),
(18784, '62.140.30.32', '62.140.30.63', 1049370144, 1049370175, 'GB', 'United Kingdom'),
(18785, '62.140.30.64', '62.140.30.143', 1049370176, 1049370255, 'DE', 'Germany'),
(18786, '62.140.30.144', '62.140.30.255', 1049370256, 1049370367, 'GB', 'United Kingdom'),
(18787, '62.140.31.0', '62.140.31.255', 1049370368, 1049370623, 'DE', 'Germany'),
(18788, '62.140.32.0', '62.140.63.255', 1049370624, 1049378815, 'AT', 'Austria'),
(18789, '62.140.64.0', '62.140.127.255', 1049378816, 1049395199, 'EG', 'Egypt'),
(18790, '62.140.128.0', '62.140.166.127', 1049395200, 1049405055, 'NL', 'Netherlands'),
(18791, '62.140.166.128', '62.140.166.255', 1049405056, 1049405183, 'GB', 'United Kingdom'),
(18792, '62.140.167.0', '62.140.167.63', 1049405184, 1049405247, 'LU', 'Luxembourg'),
(18793, '62.140.167.64', '62.140.167.127', 1049405248, 1049405311, 'NL', 'Netherlands'),
(18794, '62.140.167.128', '62.140.167.191', 1049405312, 1049405375, 'BE', 'Belgium'),
(18795, '62.140.167.192', '62.140.167.255', 1049405376, 1049405439, 'NL', 'Netherlands'),
(18796, '62.140.168.0', '62.140.168.127', 1049405440, 1049405567, 'DE', 'Germany'),
(18797, '62.140.168.128', '62.140.168.191', 1049405568, 1049405631, 'BE', 'Belgium'),
(18798, '62.140.168.192', '62.140.168.255', 1049405632, 1049405695, 'AT', 'Austria'),
(18799, '62.140.169.0', '62.140.169.63', 1049405696, 1049405759, 'CH', 'Switzerland'),
(18800, '62.140.169.64', '62.140.169.127', 1049405760, 1049405823, 'ES', 'Spain'),
(18801, '62.140.169.128', '62.140.169.191', 1049405824, 1049405887, 'FR', 'France'),
(18802, '62.140.169.192', '62.140.169.255', 1049405888, 1049405951, 'GB', 'United Kingdom'),
(18803, '62.140.170.0', '62.140.176.127', 1049405952, 1049407615, 'NL', 'Netherlands'),
(18804, '62.140.176.128', '62.140.177.255', 1049407616, 1049407999, 'CH', 'Switzerland'),
(18805, '62.140.178.0', '62.140.181.255', 1049408000, 1049409023, 'NL', 'Netherlands'),
(18806, '62.140.182.0', '62.140.182.255', 1049409024, 1049409279, 'DE', 'Germany'),
(18807, '62.140.183.0', '62.140.191.255', 1049409280, 1049411583, 'NL', 'Netherlands'),
(18808, '62.140.192.0', '62.140.223.255', 1049411584, 1049419775, 'GB', 'United Kingdom'),
(18809, '62.140.224.0', '62.140.255.255', 1049419776, 1049427967, 'RU', 'Russian Federation'),
(18810, '62.141.0.0', '62.141.31.255', 1049427968, 1049436159, 'CZ', 'Czech Republic'),
(18811, '62.141.32.0', '62.141.63.255', 1049436160, 1049444351, 'DE', 'Germany'),
(18812, '62.141.64.0', '62.141.127.255', 1049444352, 1049460735, 'RU', 'Russian Federation'),
(18813, '62.141.128.0', '62.141.159.255', 1049460736, 1049468927, 'NO', 'Norway'),
(18814, '62.141.160.0', '62.141.191.255', 1049468928, 1049477119, 'DE', 'Germany'),
(18815, '62.141.192.0', '62.141.255.255', 1049477120, 1049493503, 'PL', 'Poland'),
(18816, '62.142.0.0', '62.142.95.255', 1049493504, 1049518079, 'FI', 'Finland'),
(18817, '62.142.96.0', '62.142.96.15', 1049518080, 1049518095, 'GB', 'United Kingdom'),
(18818, '62.142.96.16', '62.142.255.255', 1049518096, 1049559039, 'FI', 'Finland'),
(18819, '62.143.0.0', '62.144.111.103', 1049559040, 1049653095, 'DE', 'Germany'),
(18820, '62.144.111.104', '62.144.111.111', 1049653096, 1049653103, 'US', 'United States'),
(18821, '62.144.111.112', '62.145.31.255', 1049653104, 1049698303, 'DE', 'Germany'),
(18822, '62.145.32.0', '62.145.34.255', 1049698304, 1049699071, 'NL', 'Netherlands'),
(18823, '62.145.35.0', '62.145.35.255', 1049699072, 1049699327, 'A2', 'Satellite Provider'),
(18824, '62.145.36.0', '62.145.36.255', 1049699328, 1049699583, 'NL', 'Netherlands'),
(18825, '62.145.37.0', '62.145.37.255', 1049699584, 1049699839, 'BW', 'Botswana'),
(18826, '62.145.38.0', '62.145.63.255', 1049699840, 1049706495, 'NL', 'Netherlands'),
(18827, '62.145.64.0', '62.145.65.255', 1049706496, 1049707007, 'GB', 'United Kingdom'),
(18828, '62.145.66.0', '62.145.67.255', 1049707008, 1049707519, 'NL', 'Netherlands'),
(18829, '62.145.68.0', '62.145.68.255', 1049707520, 1049707775, 'LB', 'Lebanon'),
(18830, '62.145.69.0', '62.145.69.255', 1049707776, 1049708031, 'DZ', 'Algeria'),
(18831, '62.145.70.0', '62.145.73.255', 1049708032, 1049709055, 'GB', 'United Kingdom'),
(18832, '62.145.74.0', '62.145.74.255', 1049709056, 1049709311, 'NL', 'Netherlands'),
(18833, '62.145.75.0', '62.145.75.255', 1049709312, 1049709567, 'GB', 'United Kingdom'),
(18834, '62.145.76.0', '62.145.77.255', 1049709568, 1049710079, 'A2', 'Satellite Provider'),
(18835, '62.145.78.0', '62.145.78.255', 1049710080, 1049710335, 'GB', 'United Kingdom'),
(18836, '62.145.79.0', '62.145.79.255', 1049710336, 1049710591, 'A2', 'Satellite Provider'),
(18837, '62.145.80.0', '62.145.88.255', 1049710592, 1049712895, 'GB', 'United Kingdom'),
(18838, '62.145.89.0', '62.145.89.159', 1049712896, 1049713055, 'IR', 'Iran, Islamic Republic of'),
(18839, '62.145.89.160', '62.145.89.191', 1049713056, 1049713087, 'MA', 'Morocco'),
(18840, '62.145.89.192', '62.145.89.255', 1049713088, 1049713151, 'IR', 'Iran, Islamic Republic of'),
(18841, '62.145.90.0', '62.145.91.255', 1049713152, 1049713663, 'NL', 'Netherlands'),
(18842, '62.145.92.0', '62.145.92.127', 1049713664, 1049713791, 'LB', 'Lebanon'),
(18843, '62.145.92.128', '62.145.92.255', 1049713792, 1049713919, 'IR', 'Iran, Islamic Republic of'),
(18844, '62.145.93.0', '62.145.93.255', 1049713920, 1049714175, 'GB', 'United Kingdom'),
(18845, '62.145.94.0', '62.145.95.255', 1049714176, 1049714687, 'NL', 'Netherlands'),
(18846, '62.145.96.0', '62.145.99.255', 1049714688, 1049715711, 'IR', 'Iran, Islamic Republic of'),
(18847, '62.145.100.0', '62.145.103.255', 1049715712, 1049716735, 'NL', 'Netherlands'),
(18848, '62.145.104.0', '62.145.107.255', 1049716736, 1049717759, 'IQ', 'Iraq'),
(18849, '62.145.108.0', '62.145.108.255', 1049717760, 1049718015, 'GB', 'United Kingdom'),
(18850, '62.145.109.0', '62.145.109.255', 1049718016, 1049718271, 'IR', 'Iran, Islamic Republic of'),
(18851, '62.145.110.0', '62.145.127.255', 1049718272, 1049722879, 'NL', 'Netherlands'),
(18852, '62.145.128.0', '62.145.159.255', 1049722880, 1049731071, 'IS', 'Iceland'),
(18853, '62.145.160.0', '62.145.191.255', 1049731072, 1049739263, 'FI', 'Finland'),
(18854, '62.145.192.0', '62.145.255.255', 1049739264, 1049755647, 'NL', 'Netherlands'),
(18855, '62.146.0.0', '62.146.6.199', 1049755648, 1049757383, 'DE', 'Germany'),
(18856, '62.146.6.200', '62.146.6.207', 1049757384, 1049757391, 'IT', 'Italy'),
(18857, '62.146.6.208', '62.146.9.111', 1049757392, 1049758063, 'DE', 'Germany'),
(18858, '62.146.9.112', '62.146.9.119', 1049758064, 1049758071, 'PL', 'Poland'),
(18859, '62.146.9.120', '62.146.9.143', 1049758072, 1049758095, 'DE', 'Germany'),
(18860, '62.146.9.144', '62.146.9.151', 1049758096, 1049758103, 'ES', 'Spain'),
(18861, '62.146.9.152', '62.146.11.63', 1049758104, 1049758527, 'DE', 'Germany'),
(18862, '62.146.11.64', '62.146.11.95', 1049758528, 1049758559, 'DK', 'Denmark'),
(18863, '62.146.11.96', '62.146.16.239', 1049758560, 1049759983, 'DE', 'Germany'),
(18864, '62.146.16.240', '62.146.16.255', 1049759984, 1049759999, 'AE', 'United Arab Emirates'),
(18865, '62.146.17.0', '62.146.19.127', 1049760000, 1049760639, 'DE', 'Germany'),
(18866, '62.146.19.128', '62.146.19.191', 1049760640, 1049760703, 'IT', 'Italy'),
(18867, '62.146.19.192', '62.146.19.255', 1049760704, 1049760767, 'DE', 'Germany'),
(18868, '62.146.20.0', '62.146.20.7', 1049760768, 1049760775, 'ES', 'Spain'),
(18869, '62.146.20.8', '62.146.20.159', 1049760776, 1049760927, 'DE', 'Germany'),
(18870, '62.146.20.160', '62.146.20.191', 1049760928, 1049760959, 'DK', 'Denmark'),
(18871, '62.146.20.192', '62.146.20.255', 1049760960, 1049761023, 'PL', 'Poland'),
(18872, '62.146.21.0', '62.146.23.255', 1049761024, 1049761791, 'DE', 'Germany'),
(18873, '62.146.24.0', '62.146.24.255', 1049761792, 1049762047, 'PL', 'Poland'),
(18874, '62.146.25.0', '62.146.25.223', 1049762048, 1049762271, 'DE', 'Germany'),
(18875, '62.146.25.224', '62.146.25.255', 1049762272, 1049762303, 'DK', 'Denmark'),
(18876, '62.146.26.0', '62.146.28.223', 1049762304, 1049763039, 'DE', 'Germany'),
(18877, '62.146.28.224', '62.146.28.239', 1049763040, 1049763055, 'CH', 'Switzerland'),
(18878, '62.146.28.240', '62.146.29.255', 1049763056, 1049763327, 'DE', 'Germany'),
(18879, '62.146.30.0', '62.146.30.255', 1049763328, 1049763583, 'PL', 'Poland'),
(18880, '62.146.31.0', '62.146.34.95', 1049763584, 1049764447, 'DE', 'Germany'),
(18881, '62.146.34.96', '62.146.34.111', 1049764448, 1049764463, 'AE', 'United Arab Emirates'),
(18882, '62.146.34.112', '62.146.34.127', 1049764464, 1049764479, 'DE', 'Germany'),
(18883, '62.146.34.128', '62.146.34.191', 1049764480, 1049764543, 'CH', 'Switzerland'),
(18884, '62.146.34.192', '62.146.39.63', 1049764544, 1049765695, 'DE', 'Germany'),
(18885, '62.146.39.64', '62.146.39.159', 1049765696, 1049765791, 'PL', 'Poland'),
(18886, '62.146.39.160', '62.146.40.255', 1049765792, 1049766143, 'DE', 'Germany'),
(18887, '62.146.41.0', '62.146.41.255', 1049766144, 1049766399, 'DK', 'Denmark'),
(18888, '62.146.42.0', '62.146.42.15', 1049766400, 1049766415, 'DE', 'Germany'),
(18889, '62.146.42.16', '62.146.42.31', 1049766416, 1049766431, 'ES', 'Spain'),
(18890, '62.146.42.32', '62.146.42.111', 1049766432, 1049766511, 'DE', 'Germany'),
(18891, '62.146.42.112', '62.146.42.127', 1049766512, 1049766527, 'AE', 'United Arab Emirates'),
(18892, '62.146.42.128', '62.146.47.255', 1049766528, 1049767935, 'DE', 'Germany'),
(18893, '62.146.48.0', '62.146.48.15', 1049767936, 1049767951, 'AE', 'United Arab Emirates'),
(18894, '62.146.48.16', '62.146.48.127', 1049767952, 1049768063, 'DE', 'Germany'),
(18895, '62.146.48.128', '62.146.48.159', 1049768064, 1049768095, 'DK', 'Denmark'),
(18896, '62.146.48.160', '62.146.49.175', 1049768096, 1049768367, 'DE', 'Germany'),
(18897, '62.146.49.176', '62.146.49.183', 1049768368, 1049768375, 'NL', 'Netherlands'),
(18898, '62.146.49.184', '62.146.49.191', 1049768376, 1049768383, 'GB', 'United Kingdom'),
(18899, '62.146.49.192', '62.146.51.63', 1049768384, 1049768767, 'DE', 'Germany'),
(18900, '62.146.51.64', '62.146.51.95', 1049768768, 1049768799, 'AE', 'United Arab Emirates'),
(18901, '62.146.51.96', '62.146.52.159', 1049768800, 1049769119, 'DE', 'Germany'),
(18902, '62.146.52.160', '62.146.52.191', 1049769120, 1049769151, 'AE', 'United Arab Emirates'),
(18903, '62.146.52.192', '62.146.56.127', 1049769152, 1049770111, 'DE', 'Germany'),
(18904, '62.146.56.128', '62.146.56.143', 1049770112, 1049770127, 'AE', 'United Arab Emirates'),
(18905, '62.146.56.144', '62.146.67.95', 1049770128, 1049772895, 'DE', 'Germany'),
(18906, '62.146.67.96', '62.146.67.127', 1049772896, 1049772927, 'AE', 'United Arab Emirates'),
(18907, '62.146.67.128', '62.146.67.255', 1049772928, 1049773055, 'ES', 'Spain'),
(18908, '62.146.68.0', '62.146.73.31', 1049773056, 1049774367, 'DE', 'Germany'),
(18909, '62.146.73.32', '62.146.73.63', 1049774368, 1049774399, 'IT', 'Italy'),
(18910, '62.146.73.64', '62.146.75.239', 1049774400, 1049775087, 'DE', 'Germany'),
(18911, '62.146.75.240', '62.146.75.255', 1049775088, 1049775103, 'AE', 'United Arab Emirates'),
(18912, '62.146.76.0', '62.146.76.15', 1049775104, 1049775119, 'CH', 'Switzerland'),
(18913, '62.146.76.16', '62.146.81.63', 1049775120, 1049776447, 'DE', 'Germany'),
(18914, '62.146.81.64', '62.146.81.95', 1049776448, 1049776479, 'AE', 'United Arab Emirates'),
(18915, '62.146.81.96', '62.146.83.127', 1049776480, 1049777023, 'DE', 'Germany'),
(18916, '62.146.83.128', '62.146.83.143', 1049777024, 1049777039, 'CH', 'Switzerland'),
(18917, '62.146.83.144', '62.146.87.191', 1049777040, 1049778111, 'DE', 'Germany'),
(18918, '62.146.87.192', '62.146.87.223', 1049778112, 1049778143, 'ES', 'Spain'),
(18919, '62.146.87.224', '62.146.88.159', 1049778144, 1049778335, 'DE', 'Germany'),
(18920, '62.146.88.160', '62.146.88.175', 1049778336, 1049778351, 'AE', 'United Arab Emirates'),
(18921, '62.146.88.176', '62.146.89.103', 1049778352, 1049778535, 'DE', 'Germany'),
(18922, '62.146.89.104', '62.146.89.111', 1049778536, 1049778543, 'AT', 'Austria'),
(18923, '62.146.89.112', '62.146.91.191', 1049778544, 1049779135, 'DE', 'Germany'),
(18924, '62.146.91.192', '62.146.91.223', 1049779136, 1049779167, 'AE', 'United Arab Emirates'),
(18925, '62.146.91.224', '62.146.104.31', 1049779168, 1049782303, 'DE', 'Germany'),
(18926, '62.146.104.32', '62.146.104.63', 1049782304, 1049782335, 'AE', 'United Arab Emirates'),
(18927, '62.146.104.64', '62.146.105.215', 1049782336, 1049782743, 'DE', 'Germany'),
(18928, '62.146.105.216', '62.146.105.223', 1049782744, 1049782751, 'IT', 'Italy'),
(18929, '62.146.105.224', '62.146.107.31', 1049782752, 1049783071, 'DE', 'Germany'),
(18930, '62.146.107.32', '62.146.107.63', 1049783072, 1049783103, 'DK', 'Denmark'),
(18931, '62.146.107.64', '62.146.109.191', 1049783104, 1049783743, 'DE', 'Germany'),
(18932, '62.146.109.192', '62.146.109.207', 1049783744, 1049783759, 'AE', 'United Arab Emirates'),
(18933, '62.146.109.208', '62.146.114.167', 1049783760, 1049784999, 'DE', 'Germany'),
(18934, '62.146.114.168', '62.146.114.175', 1049785000, 1049785007, 'AT', 'Austria'),
(18935, '62.146.114.176', '62.146.151.255', 1049785008, 1049794559, 'DE', 'Germany'),
(18936, '62.146.152.0', '62.146.155.255', 1049794560, 1049795583, 'CH', 'Switzerland'),
(18937, '62.146.156.0', '62.146.217.255', 1049795584, 1049811455, 'DE', 'Germany'),
(18938, '62.146.218.0', '62.146.218.255', 1049811456, 1049811711, 'PL', 'Poland'),
(18939, '62.146.219.0', '62.146.220.255', 1049811712, 1049812223, 'DE', 'Germany'),
(18940, '62.146.221.0', '62.146.221.255', 1049812224, 1049812479, 'PL', 'Poland'),
(18941, '62.146.222.0', '62.146.240.199', 1049812480, 1049817287, 'DE', 'Germany'),
(18942, '62.146.240.200', '62.146.240.207', 1049817288, 1049817295, 'AE', 'United Arab Emirates'),
(18943, '62.146.240.208', '62.146.255.255', 1049817296, 1049821183, 'DE', 'Germany'),
(18944, '62.147.0.0', '62.147.255.255', 1049821184, 1049886719, 'FR', 'France'),
(18945, '62.148.0.0', '62.148.31.255', 1049886720, 1049894911, 'RU', 'Russian Federation'),
(18946, '62.148.32.0', '62.148.63.255', 1049894912, 1049903103, 'NO', 'Norway'),
(18947, '62.148.64.0', '62.148.95.255', 1049903104, 1049911295, 'PL', 'Poland'),
(18948, '62.148.96.0', '62.148.127.255', 1049911296, 1049919487, 'FI', 'Finland'),
(18949, '62.148.128.0', '62.148.159.255', 1049919488, 1049927679, 'RU', 'Russian Federation'),
(18950, '62.148.160.0', '62.148.191.255', 1049927680, 1049935871, 'NL', 'Netherlands'),
(18951, '62.148.192.0', '62.148.223.255', 1049935872, 1049944063, 'FI', 'Finland'),
(18952, '62.148.224.0', '62.148.255.255', 1049944064, 1049952255, 'RU', 'Russian Federation'),
(18953, '62.149.0.0', '62.149.31.255', 1049952256, 1049960447, 'UA', 'Ukraine'),
(18954, '62.149.32.0', '62.149.63.255', 1049960448, 1049968639, 'GB', 'United Kingdom'),
(18955, '62.149.64.0', '62.149.127.255', 1049968640, 1049985023, 'SA', 'Saudi Arabia'),
(18956, '62.149.128.0', '62.149.255.255', 1049985024, 1050017791, 'IT', 'Italy'),
(18957, '62.150.0.0', '62.150.90.255', 1050017792, 1050041087, 'KW', 'Kuwait'),
(18958, '62.150.91.0', '62.150.92.255', 1050041088, 1050041599, 'US', 'United States'),
(18959, '62.150.93.0', '62.150.255.255', 1050041600, 1050083327, 'KW', 'Kuwait'),
(18960, '62.151.0.0', '62.151.255.255', 1050083328, 1050148863, 'ES', 'Spain'),
(18961, '62.152.0.0', '62.152.31.255', 1050148864, 1050157055, 'CY', 'Cyprus'),
(18962, '62.152.32.0', '62.152.95.255', 1050157056, 1050173439, 'RU', 'Russian Federation'),
(18963, '62.152.96.0', '62.152.115.183', 1050173440, 1050178487, 'IT', 'Italy'),
(18964, '62.152.115.184', '62.152.115.191', 1050178488, 1050178495, 'ES', 'Spain'),
(18965, '62.152.115.192', '62.152.127.255', 1050178496, 1050181631, 'IT', 'Italy'),
(18966, '62.152.128.0', '62.152.159.255', 1050181632, 1050189823, 'PL', 'Poland'),
(18967, '62.152.160.0', '62.152.191.255', 1050189824, 1050198015, 'DE', 'Germany'),
(18968, '62.152.192.0', '62.152.223.255', 1050198016, 1050206207, 'RU', 'Russian Federation'),
(18969, '62.152.224.0', '62.152.227.23', 1050206208, 1050206999, 'SK', 'Slovakia'),
(18970, '62.152.227.24', '62.152.227.31', 1050207000, 1050207007, 'SR', 'Suriname'),
(18971, '62.152.227.32', '62.152.255.255', 1050207008, 1050214399, 'SK', 'Slovakia'),
(18972, '62.153.0.0', '62.153.126.63', 1050214400, 1050246719, 'DE', 'Germany'),
(18973, '62.153.126.64', '62.153.126.79', 1050246720, 1050246735, 'BE', 'Belgium'),
(18974, '62.153.126.80', '62.153.211.255', 1050246736, 1050268671, 'DE', 'Germany'),
(18975, '62.153.212.0', '62.153.213.255', 1050268672, 1050269183, 'US', 'United States'),
(18976, '62.153.214.0', '62.153.226.255', 1050269184, 1050272511, 'DE', 'Germany'),
(18977, '62.153.227.0', '62.153.227.255', 1050272512, 1050272767, 'EU', 'Europe'),
(18978, '62.153.228.0', '62.154.143.255', 1050272768, 1050316799, 'DE', 'Germany'),
(18979, '62.154.144.0', '62.154.145.255', 1050316800, 1050317311, 'US', 'United States'),
(18980, '62.154.146.0', '62.154.157.103', 1050317312, 1050320231, 'DE', 'Germany'),
(18981, '62.154.157.104', '62.154.157.111', 1050320232, 1050320239, 'GB', 'United Kingdom'),
(18982, '62.154.157.112', '62.154.205.25', 1050320240, 1050332441, 'DE', 'Germany'),
(18983, '62.154.205.26', '62.154.205.26', 1050332442, 1050332442, 'GB', 'United Kingdom'),
(18984, '62.154.205.27', '62.154.236.255', 1050332443, 1050340607, 'DE', 'Germany'),
(18985, '62.154.237.0', '62.154.237.31', 1050340608, 1050340639, 'US', 'United States'),
(18986, '62.154.237.32', '62.156.155.23', 1050340640, 1050450711, 'DE', 'Germany'),
(18987, '62.156.155.24', '62.156.155.31', 1050450712, 1050450719, 'NL', 'Netherlands'),
(18988, '62.156.155.32', '62.156.233.255', 1050450720, 1050470911, 'DE', 'Germany'),
(18989, '62.156.234.0', '62.156.234.255', 1050470912, 1050471167, 'GB', 'United Kingdom'),
(18990, '62.156.235.0', '62.156.235.223', 1050471168, 1050471391, 'DE', 'Germany'),
(18991, '62.156.235.224', '62.156.235.231', 1050471392, 1050471399, 'IT', 'Italy'),
(18992, '62.156.235.232', '62.157.112.31', 1050471400, 1050505247, 'DE', 'Germany'),
(18993, '62.157.112.32', '62.157.112.63', 1050505248, 1050505279, 'CA', 'Canada'),
(18994, '62.157.112.64', '62.157.120.239', 1050505280, 1050507503, 'DE', 'Germany'),
(18995, '62.157.120.240', '62.157.120.255', 1050507504, 1050507519, 'A2', 'Satellite Provider'),
(18996, '62.157.121.0', '62.157.179.39', 1050507520, 1050522407, 'DE', 'Germany'),
(18997, '62.157.179.40', '62.157.179.47', 1050522408, 1050522415, 'CH', 'Switzerland'),
(18998, '62.157.179.48', '62.159.46.111', 1050522416, 1050619503, 'DE', 'Germany'),
(18999, '62.159.46.112', '62.159.46.119', 1050619504, 1050619511, 'CH', 'Switzerland'),
(19000, '62.159.46.120', '62.159.53.223', 1050619512, 1050621407, 'DE', 'Germany'),
(19001, '62.159.53.224', '62.159.53.255', 1050621408, 1050621439, 'BE', 'Belgium'),
(19002, '62.159.54.0', '62.159.77.163', 1050621440, 1050627491, 'DE', 'Germany'),
(19003, '62.159.77.164', '62.159.77.167', 1050627492, 1050627495, 'EU', 'Europe'),
(19004, '62.159.77.168', '62.159.136.255', 1050627496, 1050642687, 'DE', 'Germany'),
(19005, '62.159.137.0', '62.159.137.255', 1050642688, 1050642943, 'US', 'United States'),
(19006, '62.159.138.0', '62.159.223.207', 1050642944, 1050664911, 'DE', 'Germany'),
(19007, '62.159.223.208', '62.159.223.215', 1050664912, 1050664919, 'IT', 'Italy'),
(19008, '62.159.223.216', '62.159.233.255', 1050664920, 1050667519, 'DE', 'Germany'),
(19009, '62.159.234.0', '62.159.234.255', 1050667520, 1050667775, 'FR', 'France'),
(19010, '62.159.235.0', '62.159.253.95', 1050667776, 1050672479, 'DE', 'Germany'),
(19011, '62.159.253.96', '62.159.253.103', 1050672480, 1050672487, 'SG', 'Singapore'),
(19012, '62.159.253.104', '62.159.255.255', 1050672488, 1050673151, 'DE', 'Germany'),
(19013, '62.160.0.0', '62.160.12.246', 1050673152, 1050676470, 'FR', 'France'),
(19014, '62.160.12.247', '62.160.12.247', 1050676471, 1050676471, 'BE', 'Belgium'),
(19015, '62.160.12.248', '62.160.16.87', 1050676472, 1050677335, 'FR', 'France'),
(19016, '62.160.16.88', '62.160.16.95', 1050677336, 1050677343, 'DE', 'Germany'),
(19017, '62.160.16.96', '62.160.17.1', 1050677344, 1050677505, 'FR', 'France'),
(19018, '62.160.17.2', '62.160.17.2', 1050677506, 1050677506, 'BE', 'Belgium'),
(19019, '62.160.17.3', '62.160.17.198', 1050677507, 1050677702, 'FR', 'France'),
(19020, '62.160.17.199', '62.160.17.199', 1050677703, 1050677703, 'BE', 'Belgium'),
(19021, '62.160.17.200', '62.160.41.63', 1050677704, 1050683711, 'FR', 'France'),
(19022, '62.160.41.64', '62.160.41.71', 1050683712, 1050683719, 'DK', 'Denmark'),
(19023, '62.160.41.72', '62.160.42.191', 1050683720, 1050684095, 'FR', 'France'),
(19024, '62.160.42.192', '62.160.42.199', 1050684096, 1050684103, 'GB', 'United Kingdom'),
(19025, '62.160.42.200', '62.160.44.193', 1050684104, 1050684609, 'FR', 'France'),
(19026, '62.160.44.194', '62.160.44.194', 1050684610, 1050684610, 'LU', 'Luxembourg'),
(19027, '62.160.44.195', '62.160.115.31', 1050684611, 1050702623, 'FR', 'France'),
(19028, '62.160.115.32', '62.160.115.39', 1050702624, 1050702631, 'DE', 'Germany'),
(19029, '62.160.115.40', '62.160.120.210', 1050702632, 1050704082, 'FR', 'France'),
(19030, '62.160.120.211', '62.160.120.211', 1050704083, 1050704083, 'BE', 'Belgium'),
(19031, '62.160.120.212', '62.160.123.21', 1050704084, 1050704661, 'FR', 'France'),
(19032, '62.160.123.22', '62.160.123.22', 1050704662, 1050704662, 'GB', 'United Kingdom'),
(19033, '62.160.123.23', '62.160.194.15', 1050704663, 1050722831, 'FR', 'France'),
(19034, '62.160.194.16', '62.160.194.23', 1050722832, 1050722839, 'DE', 'Germany'),
(19035, '62.160.194.24', '62.160.204.87', 1050722840, 1050725463, 'FR', 'France'),
(19036, '62.160.204.88', '62.160.204.95', 1050725464, 1050725471, 'GB', 'United Kingdom'),
(19037, '62.160.204.96', '62.160.207.191', 1050725472, 1050726335, 'FR', 'France'),
(19038, '62.160.207.192', '62.160.207.199', 1050726336, 1050726343, 'DE', 'Germany'),
(19039, '62.160.207.200', '62.160.226.138', 1050726344, 1050731146, 'FR', 'France'),
(19040, '62.160.226.139', '62.160.226.139', 1050731147, 1050731147, 'GB', 'United Kingdom'),
(19041, '62.160.226.140', '62.161.96.212', 1050731148, 1050763476, 'FR', 'France'),
(19042, '62.161.96.213', '62.161.96.213', 1050763477, 1050763477, 'GB', 'United Kingdom'),
(19043, '62.161.96.214', '62.161.106.29', 1050763478, 1050765853, 'FR', 'France'),
(19044, '62.161.106.30', '62.161.106.30', 1050765854, 1050765854, 'BE', 'Belgium'),
(19045, '62.161.106.31', '62.161.109.73', 1050765855, 1050766665, 'FR', 'France'),
(19046, '62.161.109.74', '62.161.109.74', 1050766666, 1050766666, 'BE', 'Belgium'),
(19047, '62.161.109.75', '62.161.109.137', 1050766667, 1050766729, 'FR', 'France'),
(19048, '62.161.109.138', '62.161.109.138', 1050766730, 1050766730, 'BE', 'Belgium'),
(19049, '62.161.109.139', '62.161.116.167', 1050766731, 1050768551, 'FR', 'France'),
(19050, '62.161.116.168', '62.161.116.174', 1050768552, 1050768558, 'CH', 'Switzerland'),
(19051, '62.161.116.175', '62.161.255.255', 1050768559, 1050804223, 'FR', 'France'),
(19052, '62.162.0.0', '62.162.255.255', 1050804224, 1050869759, 'MK', 'Macedonia'),
(19053, '62.163.0.0', '62.163.255.255', 1050869760, 1050935295, 'NL', 'Netherlands'),
(19054, '62.164.0.0', '62.164.21.255', 1050935296, 1050940927, 'EU', 'Europe'),
(19055, '62.164.22.0', '62.164.22.255', 1050940928, 1050941183, 'ES', 'Spain'),
(19056, '62.164.23.0', '62.164.30.255', 1050941184, 1050943231, 'EU', 'Europe'),
(19057, '62.164.31.0', '62.164.31.255', 1050943232, 1050943487, 'ES', 'Spain'),
(19058, '62.164.32.0', '62.164.39.255', 1050943488, 1050945535, 'EU', 'Europe'),
(19059, '62.164.40.0', '62.164.40.255', 1050945536, 1050945791, 'ES', 'Spain'),
(19060, '62.164.41.0', '62.164.51.255', 1050945792, 1050948607, 'EU', 'Europe'),
(19061, '62.164.52.0', '62.164.52.255', 1050948608, 1050948863, 'ES', 'Spain'),
(19062, '62.164.53.0', '62.164.127.255', 1050948864, 1050968063, 'EU', 'Europe'),
(19063, '62.164.128.0', '62.164.255.255', 1050968064, 1051000831, 'GB', 'United Kingdom'),
(19064, '62.165.0.0', '62.165.63.255', 1051000832, 1051017215, 'RU', 'Russian Federation'),
(19065, '62.165.64.0', '62.165.127.255', 1051017216, 1051033599, 'NL', 'Netherlands'),
(19066, '62.165.128.0', '62.165.191.255', 1051033600, 1051049983, 'FI', 'Finland'),
(19067, '62.165.192.0', '62.165.255.255', 1051049984, 1051066367, 'HU', 'Hungary'),
(19068, '62.166.0.0', '62.166.63.255', 1051066368, 1051082751, 'BE', 'Belgium'),
(19069, '62.166.64.0', '62.166.69.255', 1051082752, 1051084287, 'NL', 'Netherlands'),
(19070, '62.166.70.0', '62.166.71.255', 1051084288, 1051084799, 'BE', 'Belgium'),
(19071, '62.166.72.0', '62.166.118.255', 1051084800, 1051096831, 'NL', 'Netherlands'),
(19072, '62.166.119.0', '62.166.119.255', 1051096832, 1051097087, 'BE', 'Belgium'),
(19073, '62.166.120.0', '62.166.123.255', 1051097088, 1051098111, 'NL', 'Netherlands'),
(19074, '62.166.124.0', '62.166.127.255', 1051098112, 1051099135, 'BE', 'Belgium'),
(19075, '62.166.128.0', '62.166.129.255', 1051099136, 1051099647, 'NL', 'Netherlands'),
(19076, '62.166.130.0', '62.166.130.15', 1051099648, 1051099663, 'BE', 'Belgium'),
(19077, '62.166.130.16', '62.166.130.23', 1051099664, 1051099671, 'NL', 'Netherlands'),
(19078, '62.166.130.24', '62.166.130.39', 1051099672, 1051099687, 'BE', 'Belgium'),
(19079, '62.166.130.40', '62.166.130.47', 1051099688, 1051099695, 'NL', 'Netherlands'),
(19080, '62.166.130.48', '62.166.130.63', 1051099696, 1051099711, 'BE', 'Belgium'),
(19081, '62.166.130.64', '62.166.130.79', 1051099712, 1051099727, 'NL', 'Netherlands'),
(19082, '62.166.130.80', '62.166.130.127', 1051099728, 1051099775, 'BE', 'Belgium'),
(19083, '62.166.130.128', '62.166.130.143', 1051099776, 1051099791, 'NL', 'Netherlands'),
(19084, '62.166.130.144', '62.166.130.167', 1051099792, 1051099815, 'BE', 'Belgium'),
(19085, '62.166.130.168', '62.166.130.175', 1051099816, 1051099823, 'NL', 'Netherlands'),
(19086, '62.166.130.176', '62.166.130.207', 1051099824, 1051099855, 'BE', 'Belgium'),
(19087, '62.166.130.208', '62.166.130.215', 1051099856, 1051099863, 'NL', 'Netherlands'),
(19088, '62.166.130.216', '62.166.130.231', 1051099864, 1051099879, 'BE', 'Belgium'),
(19089, '62.166.130.232', '62.166.130.239', 1051099880, 1051099887, 'NL', 'Netherlands'),
(19090, '62.166.130.240', '62.166.131.23', 1051099888, 1051099927, 'BE', 'Belgium'),
(19091, '62.166.131.24', '62.166.131.63', 1051099928, 1051099967, 'NL', 'Netherlands'),
(19092, '62.166.131.64', '62.166.131.71', 1051099968, 1051099975, 'BE', 'Belgium'),
(19093, '62.166.131.72', '62.166.131.79', 1051099976, 1051099983, 'NL', 'Netherlands'),
(19094, '62.166.131.80', '62.166.131.111', 1051099984, 1051100015, 'BE', 'Belgium'),
(19095, '62.166.131.112', '62.166.131.119', 1051100016, 1051100023, 'NL', 'Netherlands'),
(19096, '62.166.131.120', '62.166.131.175', 1051100024, 1051100079, 'BE', 'Belgium'),
(19097, '62.166.131.176', '62.166.131.191', 1051100080, 1051100095, 'NL', 'Netherlands'),
(19098, '62.166.131.192', '62.166.131.247', 1051100096, 1051100151, 'BE', 'Belgium'),
(19099, '62.166.131.248', '62.166.131.255', 1051100152, 1051100159, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(19100, '62.166.132.0', '62.166.133.39', 1051100160, 1051100455, 'BE', 'Belgium'),
(19101, '62.166.133.40', '62.166.133.47', 1051100456, 1051100463, 'NL', 'Netherlands'),
(19102, '62.166.133.48', '62.166.133.71', 1051100464, 1051100487, 'BE', 'Belgium'),
(19103, '62.166.133.72', '62.166.133.83', 1051100488, 1051100499, 'NL', 'Netherlands'),
(19104, '62.166.133.84', '62.166.133.175', 1051100500, 1051100591, 'BE', 'Belgium'),
(19105, '62.166.133.176', '62.166.133.191', 1051100592, 1051100607, 'NL', 'Netherlands'),
(19106, '62.166.133.192', '62.166.133.215', 1051100608, 1051100631, 'BE', 'Belgium'),
(19107, '62.166.133.216', '62.166.133.247', 1051100632, 1051100663, 'NL', 'Netherlands'),
(19108, '62.166.133.248', '62.166.134.23', 1051100664, 1051100695, 'BE', 'Belgium'),
(19109, '62.166.134.24', '62.166.134.31', 1051100696, 1051100703, 'NL', 'Netherlands'),
(19110, '62.166.134.32', '62.166.134.39', 1051100704, 1051100711, 'BE', 'Belgium'),
(19111, '62.166.134.40', '62.166.134.63', 1051100712, 1051100735, 'NL', 'Netherlands'),
(19112, '62.166.134.64', '62.166.134.159', 1051100736, 1051100831, 'BE', 'Belgium'),
(19113, '62.166.134.160', '62.166.134.167', 1051100832, 1051100839, 'NL', 'Netherlands'),
(19114, '62.166.134.168', '62.166.134.207', 1051100840, 1051100879, 'BE', 'Belgium'),
(19115, '62.166.134.208', '62.166.134.239', 1051100880, 1051100911, 'NL', 'Netherlands'),
(19116, '62.166.134.240', '62.166.135.23', 1051100912, 1051100951, 'BE', 'Belgium'),
(19117, '62.166.135.24', '62.166.135.39', 1051100952, 1051100967, 'NL', 'Netherlands'),
(19118, '62.166.135.40', '62.166.135.119', 1051100968, 1051101047, 'BE', 'Belgium'),
(19119, '62.166.135.120', '62.166.135.127', 1051101048, 1051101055, 'NL', 'Netherlands'),
(19120, '62.166.135.128', '62.166.135.199', 1051101056, 1051101127, 'BE', 'Belgium'),
(19121, '62.166.135.200', '62.166.135.223', 1051101128, 1051101151, 'NL', 'Netherlands'),
(19122, '62.166.135.224', '62.166.136.23', 1051101152, 1051101207, 'BE', 'Belgium'),
(19123, '62.166.136.24', '62.166.136.47', 1051101208, 1051101231, 'NL', 'Netherlands'),
(19124, '62.166.136.48', '62.166.136.63', 1051101232, 1051101247, 'BE', 'Belgium'),
(19125, '62.166.136.64', '62.166.136.95', 1051101248, 1051101279, 'NL', 'Netherlands'),
(19126, '62.166.136.96', '62.166.136.103', 1051101280, 1051101287, 'BE', 'Belgium'),
(19127, '62.166.136.104', '62.166.136.223', 1051101288, 1051101407, 'NL', 'Netherlands'),
(19128, '62.166.136.224', '62.166.136.231', 1051101408, 1051101415, 'BE', 'Belgium'),
(19129, '62.166.136.232', '62.166.136.247', 1051101416, 1051101431, 'NL', 'Netherlands'),
(19130, '62.166.136.248', '62.166.137.7', 1051101432, 1051101447, 'BE', 'Belgium'),
(19131, '62.166.137.8', '62.166.137.23', 1051101448, 1051101463, 'NL', 'Netherlands'),
(19132, '62.166.137.24', '62.166.137.31', 1051101464, 1051101471, 'BE', 'Belgium'),
(19133, '62.166.137.32', '62.166.137.151', 1051101472, 1051101591, 'NL', 'Netherlands'),
(19134, '62.166.137.152', '62.166.137.167', 1051101592, 1051101607, 'BE', 'Belgium'),
(19135, '62.166.137.168', '62.166.137.175', 1051101608, 1051101615, 'NL', 'Netherlands'),
(19136, '62.166.137.176', '62.166.137.183', 1051101616, 1051101623, 'BE', 'Belgium'),
(19137, '62.166.137.184', '62.166.137.191', 1051101624, 1051101631, 'NL', 'Netherlands'),
(19138, '62.166.137.192', '62.166.137.215', 1051101632, 1051101655, 'BE', 'Belgium'),
(19139, '62.166.137.216', '62.166.137.231', 1051101656, 1051101671, 'NL', 'Netherlands'),
(19140, '62.166.137.232', '62.166.137.247', 1051101672, 1051101687, 'BE', 'Belgium'),
(19141, '62.166.137.248', '62.166.138.23', 1051101688, 1051101719, 'NL', 'Netherlands'),
(19142, '62.166.138.24', '62.166.138.39', 1051101720, 1051101735, 'BE', 'Belgium'),
(19143, '62.166.138.40', '62.166.138.87', 1051101736, 1051101783, 'NL', 'Netherlands'),
(19144, '62.166.138.88', '62.166.138.111', 1051101784, 1051101807, 'BE', 'Belgium'),
(19145, '62.166.138.112', '62.166.138.127', 1051101808, 1051101823, 'NL', 'Netherlands'),
(19146, '62.166.138.128', '62.166.138.159', 1051101824, 1051101855, 'BE', 'Belgium'),
(19147, '62.166.138.160', '62.166.138.223', 1051101856, 1051101919, 'NL', 'Netherlands'),
(19148, '62.166.138.224', '62.166.138.231', 1051101920, 1051101927, 'BE', 'Belgium'),
(19149, '62.166.138.232', '62.166.139.7', 1051101928, 1051101959, 'NL', 'Netherlands'),
(19150, '62.166.139.8', '62.166.139.15', 1051101960, 1051101967, 'BE', 'Belgium'),
(19151, '62.166.139.16', '62.166.139.31', 1051101968, 1051101983, 'NL', 'Netherlands'),
(19152, '62.166.139.32', '62.166.139.55', 1051101984, 1051102007, 'BE', 'Belgium'),
(19153, '62.166.139.56', '62.166.139.103', 1051102008, 1051102055, 'NL', 'Netherlands'),
(19154, '62.166.139.104', '62.166.139.119', 1051102056, 1051102071, 'BE', 'Belgium'),
(19155, '62.166.139.120', '62.166.139.127', 1051102072, 1051102079, 'NL', 'Netherlands'),
(19156, '62.166.139.128', '62.166.139.135', 1051102080, 1051102087, 'BE', 'Belgium'),
(19157, '62.166.139.136', '62.166.139.143', 1051102088, 1051102095, 'NL', 'Netherlands'),
(19158, '62.166.139.144', '62.166.139.151', 1051102096, 1051102103, 'BE', 'Belgium'),
(19159, '62.166.139.152', '62.166.139.167', 1051102104, 1051102119, 'NL', 'Netherlands'),
(19160, '62.166.139.168', '62.166.139.207', 1051102120, 1051102159, 'BE', 'Belgium'),
(19161, '62.166.139.208', '62.166.139.255', 1051102160, 1051102207, 'NL', 'Netherlands'),
(19162, '62.166.140.0', '62.166.142.159', 1051102208, 1051102879, 'BE', 'Belgium'),
(19163, '62.166.142.160', '62.166.142.167', 1051102880, 1051102887, 'NL', 'Netherlands'),
(19164, '62.166.142.168', '62.166.143.31', 1051102888, 1051103007, 'BE', 'Belgium'),
(19165, '62.166.143.32', '62.166.143.39', 1051103008, 1051103015, 'NL', 'Netherlands'),
(19166, '62.166.143.40', '62.166.143.135', 1051103016, 1051103111, 'BE', 'Belgium'),
(19167, '62.166.143.136', '62.166.143.143', 1051103112, 1051103119, 'NL', 'Netherlands'),
(19168, '62.166.143.144', '62.166.143.231', 1051103120, 1051103207, 'BE', 'Belgium'),
(19169, '62.166.143.232', '62.166.143.239', 1051103208, 1051103215, 'NL', 'Netherlands'),
(19170, '62.166.143.240', '62.166.143.255', 1051103216, 1051103231, 'BE', 'Belgium'),
(19171, '62.166.144.0', '62.166.144.1', 1051103232, 1051103233, 'NL', 'Netherlands'),
(19172, '62.166.144.2', '62.166.144.15', 1051103234, 1051103247, 'BE', 'Belgium'),
(19173, '62.166.144.16', '62.166.144.55', 1051103248, 1051103287, 'NL', 'Netherlands'),
(19174, '62.166.144.56', '62.166.144.63', 1051103288, 1051103295, 'BE', 'Belgium'),
(19175, '62.166.144.64', '62.166.144.127', 1051103296, 1051103359, 'NL', 'Netherlands'),
(19176, '62.166.144.128', '62.166.144.135', 1051103360, 1051103367, 'BE', 'Belgium'),
(19177, '62.166.144.136', '62.166.144.199', 1051103368, 1051103431, 'NL', 'Netherlands'),
(19178, '62.166.144.200', '62.166.144.215', 1051103432, 1051103447, 'BE', 'Belgium'),
(19179, '62.166.144.216', '62.166.145.15', 1051103448, 1051103503, 'NL', 'Netherlands'),
(19180, '62.166.145.16', '62.166.145.31', 1051103504, 1051103519, 'BE', 'Belgium'),
(19181, '62.166.145.32', '62.166.145.39', 1051103520, 1051103527, 'NL', 'Netherlands'),
(19182, '62.166.145.40', '62.166.145.47', 1051103528, 1051103535, 'BE', 'Belgium'),
(19183, '62.166.145.48', '62.166.145.55', 1051103536, 1051103543, 'NL', 'Netherlands'),
(19184, '62.166.145.56', '62.166.145.79', 1051103544, 1051103567, 'BE', 'Belgium'),
(19185, '62.166.145.80', '62.166.145.95', 1051103568, 1051103583, 'NL', 'Netherlands'),
(19186, '62.166.145.96', '62.166.145.119', 1051103584, 1051103607, 'BE', 'Belgium'),
(19187, '62.166.145.120', '62.166.145.151', 1051103608, 1051103639, 'NL', 'Netherlands'),
(19188, '62.166.145.152', '62.166.145.159', 1051103640, 1051103647, 'BE', 'Belgium'),
(19189, '62.166.145.160', '62.166.145.175', 1051103648, 1051103663, 'NL', 'Netherlands'),
(19190, '62.166.145.176', '62.166.145.191', 1051103664, 1051103679, 'BE', 'Belgium'),
(19191, '62.166.145.192', '62.166.145.199', 1051103680, 1051103687, 'NL', 'Netherlands'),
(19192, '62.166.145.200', '62.166.145.215', 1051103688, 1051103703, 'BE', 'Belgium'),
(19193, '62.166.145.216', '62.166.146.23', 1051103704, 1051103767, 'NL', 'Netherlands'),
(19194, '62.166.146.24', '62.166.146.31', 1051103768, 1051103775, 'BE', 'Belgium'),
(19195, '62.166.146.32', '62.166.146.55', 1051103776, 1051103799, 'NL', 'Netherlands'),
(19196, '62.166.146.56', '62.166.146.71', 1051103800, 1051103815, 'BE', 'Belgium'),
(19197, '62.166.146.72', '62.166.146.79', 1051103816, 1051103823, 'NL', 'Netherlands'),
(19198, '62.166.146.80', '62.166.146.87', 1051103824, 1051103831, 'BE', 'Belgium'),
(19199, '62.166.146.88', '62.166.146.119', 1051103832, 1051103863, 'NL', 'Netherlands'),
(19200, '62.166.146.120', '62.166.146.127', 1051103864, 1051103871, 'BE', 'Belgium'),
(19201, '62.166.146.128', '62.166.146.135', 1051103872, 1051103879, 'NL', 'Netherlands'),
(19202, '62.166.146.136', '62.166.146.143', 1051103880, 1051103887, 'BE', 'Belgium'),
(19203, '62.166.146.144', '62.166.146.167', 1051103888, 1051103911, 'NL', 'Netherlands'),
(19204, '62.166.146.168', '62.166.146.183', 1051103912, 1051103927, 'BE', 'Belgium'),
(19205, '62.166.146.184', '62.166.146.215', 1051103928, 1051103959, 'NL', 'Netherlands'),
(19206, '62.166.146.216', '62.166.146.231', 1051103960, 1051103975, 'BE', 'Belgium'),
(19207, '62.166.146.232', '62.166.146.247', 1051103976, 1051103991, 'NL', 'Netherlands'),
(19208, '62.166.146.248', '62.166.146.255', 1051103992, 1051103999, 'BE', 'Belgium'),
(19209, '62.166.147.0', '62.166.147.15', 1051104000, 1051104015, 'NL', 'Netherlands'),
(19210, '62.166.147.16', '62.166.147.39', 1051104016, 1051104039, 'BE', 'Belgium'),
(19211, '62.166.147.40', '62.166.147.71', 1051104040, 1051104071, 'NL', 'Netherlands'),
(19212, '62.166.147.72', '62.166.147.79', 1051104072, 1051104079, 'BE', 'Belgium'),
(19213, '62.166.147.80', '62.166.147.111', 1051104080, 1051104111, 'NL', 'Netherlands'),
(19214, '62.166.147.112', '62.166.147.143', 1051104112, 1051104143, 'BE', 'Belgium'),
(19215, '62.166.147.144', '62.166.147.167', 1051104144, 1051104167, 'NL', 'Netherlands'),
(19216, '62.166.147.168', '62.166.147.183', 1051104168, 1051104183, 'BE', 'Belgium'),
(19217, '62.166.147.184', '62.166.147.191', 1051104184, 1051104191, 'NL', 'Netherlands'),
(19218, '62.166.147.192', '62.166.147.199', 1051104192, 1051104199, 'BE', 'Belgium'),
(19219, '62.166.147.200', '62.166.147.231', 1051104200, 1051104231, 'NL', 'Netherlands'),
(19220, '62.166.147.232', '62.166.147.255', 1051104232, 1051104255, 'BE', 'Belgium'),
(19221, '62.166.148.0', '62.166.148.55', 1051104256, 1051104311, 'NL', 'Netherlands'),
(19222, '62.166.148.56', '62.166.148.63', 1051104312, 1051104319, 'BE', 'Belgium'),
(19223, '62.166.148.64', '62.166.148.71', 1051104320, 1051104327, 'NL', 'Netherlands'),
(19224, '62.166.148.72', '62.166.148.79', 1051104328, 1051104335, 'BE', 'Belgium'),
(19225, '62.166.148.80', '62.166.148.95', 1051104336, 1051104351, 'NL', 'Netherlands'),
(19226, '62.166.148.96', '62.166.148.111', 1051104352, 1051104367, 'BE', 'Belgium'),
(19227, '62.166.148.112', '62.166.148.127', 1051104368, 1051104383, 'NL', 'Netherlands'),
(19228, '62.166.148.128', '62.166.148.143', 1051104384, 1051104399, 'BE', 'Belgium'),
(19229, '62.166.148.144', '62.166.148.247', 1051104400, 1051104503, 'NL', 'Netherlands'),
(19230, '62.166.148.248', '62.166.149.15', 1051104504, 1051104527, 'BE', 'Belgium'),
(19231, '62.166.149.16', '62.166.149.47', 1051104528, 1051104559, 'NL', 'Netherlands'),
(19232, '62.166.149.48', '62.166.149.55', 1051104560, 1051104567, 'BE', 'Belgium'),
(19233, '62.166.149.56', '62.166.149.71', 1051104568, 1051104583, 'NL', 'Netherlands'),
(19234, '62.166.149.72', '62.166.149.87', 1051104584, 1051104599, 'BE', 'Belgium'),
(19235, '62.166.149.88', '62.166.149.95', 1051104600, 1051104607, 'NL', 'Netherlands'),
(19236, '62.166.149.96', '62.166.149.119', 1051104608, 1051104631, 'BE', 'Belgium'),
(19237, '62.166.149.120', '62.166.149.167', 1051104632, 1051104679, 'NL', 'Netherlands'),
(19238, '62.166.149.168', '62.166.149.183', 1051104680, 1051104695, 'BE', 'Belgium'),
(19239, '62.166.149.184', '62.166.149.207', 1051104696, 1051104719, 'NL', 'Netherlands'),
(19240, '62.166.149.208', '62.166.149.215', 1051104720, 1051104727, 'BE', 'Belgium'),
(19241, '62.166.149.216', '62.166.149.239', 1051104728, 1051104751, 'NL', 'Netherlands'),
(19242, '62.166.149.240', '62.166.149.247', 1051104752, 1051104759, 'BE', 'Belgium'),
(19243, '62.166.149.248', '62.166.150.23', 1051104760, 1051104791, 'NL', 'Netherlands'),
(19244, '62.166.150.24', '62.166.150.31', 1051104792, 1051104799, 'BE', 'Belgium'),
(19245, '62.166.150.32', '62.166.150.55', 1051104800, 1051104823, 'NL', 'Netherlands'),
(19246, '62.166.150.56', '62.166.150.63', 1051104824, 1051104831, 'BE', 'Belgium'),
(19247, '62.166.150.64', '62.166.150.71', 1051104832, 1051104839, 'NL', 'Netherlands'),
(19248, '62.166.150.72', '62.166.150.95', 1051104840, 1051104863, 'BE', 'Belgium'),
(19249, '62.166.150.96', '62.166.150.135', 1051104864, 1051104903, 'NL', 'Netherlands'),
(19250, '62.166.150.136', '62.166.150.143', 1051104904, 1051104911, 'BE', 'Belgium'),
(19251, '62.166.150.144', '62.166.150.167', 1051104912, 1051104935, 'NL', 'Netherlands'),
(19252, '62.166.150.168', '62.166.150.175', 1051104936, 1051104943, 'BE', 'Belgium'),
(19253, '62.166.150.176', '62.166.150.183', 1051104944, 1051104951, 'NL', 'Netherlands'),
(19254, '62.166.150.184', '62.166.150.199', 1051104952, 1051104967, 'BE', 'Belgium'),
(19255, '62.166.150.200', '62.166.150.207', 1051104968, 1051104975, 'NL', 'Netherlands'),
(19256, '62.166.150.208', '62.166.150.215', 1051104976, 1051104983, 'BE', 'Belgium'),
(19257, '62.166.150.216', '62.166.150.223', 1051104984, 1051104991, 'NL', 'Netherlands'),
(19258, '62.166.150.224', '62.166.150.231', 1051104992, 1051104999, 'BE', 'Belgium'),
(19259, '62.166.150.232', '62.166.151.23', 1051105000, 1051105047, 'NL', 'Netherlands'),
(19260, '62.166.151.24', '62.166.151.31', 1051105048, 1051105055, 'BE', 'Belgium'),
(19261, '62.166.151.32', '62.166.151.39', 1051105056, 1051105063, 'NL', 'Netherlands'),
(19262, '62.166.151.40', '62.166.151.55', 1051105064, 1051105079, 'BE', 'Belgium'),
(19263, '62.166.151.56', '62.166.151.79', 1051105080, 1051105103, 'NL', 'Netherlands'),
(19264, '62.166.151.80', '62.166.151.95', 1051105104, 1051105119, 'BE', 'Belgium'),
(19265, '62.166.151.96', '62.166.151.103', 1051105120, 1051105127, 'NL', 'Netherlands'),
(19266, '62.166.151.104', '62.166.151.111', 1051105128, 1051105135, 'BE', 'Belgium'),
(19267, '62.166.151.112', '62.166.151.119', 1051105136, 1051105143, 'NL', 'Netherlands'),
(19268, '62.166.151.120', '62.166.151.127', 1051105144, 1051105151, 'BE', 'Belgium'),
(19269, '62.166.151.128', '62.166.151.159', 1051105152, 1051105183, 'NL', 'Netherlands'),
(19270, '62.166.151.160', '62.166.151.175', 1051105184, 1051105199, 'BE', 'Belgium'),
(19271, '62.166.151.176', '62.166.151.183', 1051105200, 1051105207, 'NL', 'Netherlands'),
(19272, '62.166.151.184', '62.166.151.199', 1051105208, 1051105223, 'BE', 'Belgium'),
(19273, '62.166.151.200', '62.166.151.231', 1051105224, 1051105255, 'NL', 'Netherlands'),
(19274, '62.166.151.232', '62.166.151.239', 1051105256, 1051105263, 'BE', 'Belgium'),
(19275, '62.166.151.240', '62.166.151.247', 1051105264, 1051105271, 'NL', 'Netherlands'),
(19276, '62.166.151.248', '62.166.151.255', 1051105272, 1051105279, 'BE', 'Belgium'),
(19277, '62.166.152.0', '62.166.152.39', 1051105280, 1051105319, 'NL', 'Netherlands'),
(19278, '62.166.152.40', '62.166.152.47', 1051105320, 1051105327, 'BE', 'Belgium'),
(19279, '62.166.152.48', '62.166.152.79', 1051105328, 1051105359, 'NL', 'Netherlands'),
(19280, '62.166.152.80', '62.166.152.103', 1051105360, 1051105383, 'BE', 'Belgium'),
(19281, '62.166.152.104', '62.166.152.159', 1051105384, 1051105439, 'NL', 'Netherlands'),
(19282, '62.166.152.160', '62.166.152.175', 1051105440, 1051105455, 'BE', 'Belgium'),
(19283, '62.166.152.176', '62.166.152.223', 1051105456, 1051105503, 'NL', 'Netherlands'),
(19284, '62.166.152.224', '62.166.152.231', 1051105504, 1051105511, 'BE', 'Belgium'),
(19285, '62.166.152.232', '62.166.152.239', 1051105512, 1051105519, 'NL', 'Netherlands'),
(19286, '62.166.152.240', '62.166.153.15', 1051105520, 1051105551, 'BE', 'Belgium'),
(19287, '62.166.153.16', '62.166.153.63', 1051105552, 1051105599, 'NL', 'Netherlands'),
(19288, '62.166.153.64', '62.166.153.71', 1051105600, 1051105607, 'BE', 'Belgium'),
(19289, '62.166.153.72', '62.166.153.167', 1051105608, 1051105703, 'NL', 'Netherlands'),
(19290, '62.166.153.168', '62.166.153.175', 1051105704, 1051105711, 'BE', 'Belgium'),
(19291, '62.166.153.176', '62.166.153.255', 1051105712, 1051105791, 'NL', 'Netherlands'),
(19292, '62.166.154.0', '62.166.154.7', 1051105792, 1051105799, 'BE', 'Belgium'),
(19293, '62.166.154.8', '62.166.154.15', 1051105800, 1051105807, 'NL', 'Netherlands'),
(19294, '62.166.154.16', '62.166.154.23', 1051105808, 1051105815, 'BE', 'Belgium'),
(19295, '62.166.154.24', '62.166.154.39', 1051105816, 1051105831, 'NL', 'Netherlands'),
(19296, '62.166.154.40', '62.166.154.47', 1051105832, 1051105839, 'BE', 'Belgium'),
(19297, '62.166.154.48', '62.166.154.71', 1051105840, 1051105863, 'NL', 'Netherlands'),
(19298, '62.166.154.72', '62.166.154.79', 1051105864, 1051105871, 'BE', 'Belgium'),
(19299, '62.166.154.80', '62.166.154.103', 1051105872, 1051105895, 'NL', 'Netherlands'),
(19300, '62.166.154.104', '62.166.154.111', 1051105896, 1051105903, 'BE', 'Belgium'),
(19301, '62.166.154.112', '62.166.154.119', 1051105904, 1051105911, 'NL', 'Netherlands'),
(19302, '62.166.154.120', '62.166.154.151', 1051105912, 1051105943, 'BE', 'Belgium'),
(19303, '62.166.154.152', '62.166.154.175', 1051105944, 1051105967, 'NL', 'Netherlands'),
(19304, '62.166.154.176', '62.166.154.191', 1051105968, 1051105983, 'BE', 'Belgium'),
(19305, '62.166.154.192', '62.166.154.207', 1051105984, 1051105999, 'NL', 'Netherlands'),
(19306, '62.166.154.208', '62.166.154.231', 1051106000, 1051106023, 'BE', 'Belgium'),
(19307, '62.166.154.232', '62.166.154.239', 1051106024, 1051106031, 'NL', 'Netherlands'),
(19308, '62.166.154.240', '62.166.154.247', 1051106032, 1051106039, 'BE', 'Belgium'),
(19309, '62.166.154.248', '62.166.154.255', 1051106040, 1051106047, 'NL', 'Netherlands'),
(19310, '62.166.155.0', '62.166.155.7', 1051106048, 1051106055, 'BE', 'Belgium'),
(19311, '62.166.155.8', '62.166.155.23', 1051106056, 1051106071, 'NL', 'Netherlands'),
(19312, '62.166.155.24', '62.166.155.31', 1051106072, 1051106079, 'BE', 'Belgium'),
(19313, '62.166.155.32', '62.166.155.39', 1051106080, 1051106087, 'NL', 'Netherlands'),
(19314, '62.166.155.40', '62.166.155.55', 1051106088, 1051106103, 'BE', 'Belgium'),
(19315, '62.166.155.56', '62.166.155.63', 1051106104, 1051106111, 'NL', 'Netherlands'),
(19316, '62.166.155.64', '62.166.155.71', 1051106112, 1051106119, 'BE', 'Belgium'),
(19317, '62.166.155.72', '62.166.155.79', 1051106120, 1051106127, 'NL', 'Netherlands'),
(19318, '62.166.155.80', '62.166.155.95', 1051106128, 1051106143, 'BE', 'Belgium'),
(19319, '62.166.155.96', '62.166.155.119', 1051106144, 1051106167, 'NL', 'Netherlands'),
(19320, '62.166.155.120', '62.166.155.127', 1051106168, 1051106175, 'BE', 'Belgium'),
(19321, '62.166.155.128', '62.166.155.135', 1051106176, 1051106183, 'NL', 'Netherlands'),
(19322, '62.166.155.136', '62.166.155.143', 1051106184, 1051106191, 'BE', 'Belgium'),
(19323, '62.166.155.144', '62.166.155.199', 1051106192, 1051106247, 'NL', 'Netherlands'),
(19324, '62.166.155.200', '62.166.155.223', 1051106248, 1051106271, 'BE', 'Belgium'),
(19325, '62.166.155.224', '62.166.155.255', 1051106272, 1051106303, 'NL', 'Netherlands'),
(19326, '62.166.156.0', '62.166.156.7', 1051106304, 1051106311, 'BE', 'Belgium'),
(19327, '62.166.156.8', '62.166.156.15', 1051106312, 1051106319, 'NL', 'Netherlands'),
(19328, '62.166.156.16', '62.166.156.23', 1051106320, 1051106327, 'BE', 'Belgium'),
(19329, '62.166.156.24', '62.166.156.31', 1051106328, 1051106335, 'NL', 'Netherlands'),
(19330, '62.166.156.32', '62.166.156.47', 1051106336, 1051106351, 'BE', 'Belgium'),
(19331, '62.166.156.48', '62.166.156.79', 1051106352, 1051106383, 'NL', 'Netherlands'),
(19332, '62.166.156.80', '62.166.156.95', 1051106384, 1051106399, 'BE', 'Belgium'),
(19333, '62.166.156.96', '62.166.156.119', 1051106400, 1051106423, 'NL', 'Netherlands'),
(19334, '62.166.156.120', '62.166.156.127', 1051106424, 1051106431, 'BE', 'Belgium'),
(19335, '62.166.156.128', '62.166.156.159', 1051106432, 1051106463, 'NL', 'Netherlands'),
(19336, '62.166.156.160', '62.166.156.167', 1051106464, 1051106471, 'BE', 'Belgium'),
(19337, '62.166.156.168', '62.166.156.199', 1051106472, 1051106503, 'NL', 'Netherlands'),
(19338, '62.166.156.200', '62.166.156.215', 1051106504, 1051106519, 'BE', 'Belgium'),
(19339, '62.166.156.216', '62.166.156.223', 1051106520, 1051106527, 'NL', 'Netherlands'),
(19340, '62.166.156.224', '62.166.156.231', 1051106528, 1051106535, 'BE', 'Belgium'),
(19341, '62.166.156.232', '62.166.156.239', 1051106536, 1051106543, 'NL', 'Netherlands'),
(19342, '62.166.156.240', '62.166.156.247', 1051106544, 1051106551, 'BE', 'Belgium'),
(19343, '62.166.156.248', '62.166.157.23', 1051106552, 1051106583, 'NL', 'Netherlands'),
(19344, '62.166.157.24', '62.166.157.39', 1051106584, 1051106599, 'BE', 'Belgium'),
(19345, '62.166.157.40', '62.166.157.47', 1051106600, 1051106607, 'NL', 'Netherlands'),
(19346, '62.166.157.48', '62.166.157.55', 1051106608, 1051106615, 'BE', 'Belgium'),
(19347, '62.166.157.56', '62.166.157.79', 1051106616, 1051106639, 'NL', 'Netherlands'),
(19348, '62.166.157.80', '62.166.157.95', 1051106640, 1051106655, 'BE', 'Belgium'),
(19349, '62.166.157.96', '62.166.157.103', 1051106656, 1051106663, 'NL', 'Netherlands'),
(19350, '62.166.157.104', '62.166.157.111', 1051106664, 1051106671, 'BE', 'Belgium'),
(19351, '62.166.157.112', '62.166.157.151', 1051106672, 1051106711, 'NL', 'Netherlands'),
(19352, '62.166.157.152', '62.166.157.159', 1051106712, 1051106719, 'BE', 'Belgium'),
(19353, '62.166.157.160', '62.166.157.199', 1051106720, 1051106759, 'NL', 'Netherlands'),
(19354, '62.166.157.200', '62.166.157.207', 1051106760, 1051106767, 'BE', 'Belgium'),
(19355, '62.166.157.208', '62.166.157.215', 1051106768, 1051106775, 'NL', 'Netherlands'),
(19356, '62.166.157.216', '62.166.157.223', 1051106776, 1051106783, 'BE', 'Belgium'),
(19357, '62.166.157.224', '62.166.157.239', 1051106784, 1051106799, 'NL', 'Netherlands'),
(19358, '62.166.157.240', '62.166.157.247', 1051106800, 1051106807, 'BE', 'Belgium'),
(19359, '62.166.157.248', '62.166.158.7', 1051106808, 1051106823, 'NL', 'Netherlands'),
(19360, '62.166.158.8', '62.166.158.15', 1051106824, 1051106831, 'BE', 'Belgium'),
(19361, '62.166.158.16', '62.166.158.31', 1051106832, 1051106847, 'NL', 'Netherlands'),
(19362, '62.166.158.32', '62.166.158.47', 1051106848, 1051106863, 'BE', 'Belgium'),
(19363, '62.166.158.48', '62.166.158.79', 1051106864, 1051106895, 'NL', 'Netherlands'),
(19364, '62.166.158.80', '62.166.158.95', 1051106896, 1051106911, 'BE', 'Belgium'),
(19365, '62.166.158.96', '62.166.158.111', 1051106912, 1051106927, 'NL', 'Netherlands'),
(19366, '62.166.158.112', '62.166.158.119', 1051106928, 1051106935, 'BE', 'Belgium'),
(19367, '62.166.158.120', '62.166.158.127', 1051106936, 1051106943, 'NL', 'Netherlands'),
(19368, '62.166.158.128', '62.166.158.135', 1051106944, 1051106951, 'BE', 'Belgium'),
(19369, '62.166.158.136', '62.166.158.143', 1051106952, 1051106959, 'NL', 'Netherlands'),
(19370, '62.166.158.144', '62.166.158.151', 1051106960, 1051106967, 'BE', 'Belgium'),
(19371, '62.166.158.152', '62.166.158.159', 1051106968, 1051106975, 'NL', 'Netherlands'),
(19372, '62.166.158.160', '62.166.158.191', 1051106976, 1051107007, 'BE', 'Belgium'),
(19373, '62.166.158.192', '62.166.158.199', 1051107008, 1051107015, 'NL', 'Netherlands'),
(19374, '62.166.158.200', '62.166.158.223', 1051107016, 1051107039, 'BE', 'Belgium'),
(19375, '62.166.158.224', '62.166.158.239', 1051107040, 1051107055, 'NL', 'Netherlands'),
(19376, '62.166.158.240', '62.166.158.247', 1051107056, 1051107063, 'BE', 'Belgium'),
(19377, '62.166.158.248', '62.166.158.255', 1051107064, 1051107071, 'NL', 'Netherlands'),
(19378, '62.166.159.0', '62.166.159.23', 1051107072, 1051107095, 'BE', 'Belgium'),
(19379, '62.166.159.24', '62.166.159.31', 1051107096, 1051107103, 'NL', 'Netherlands'),
(19380, '62.166.159.32', '62.166.159.47', 1051107104, 1051107119, 'BE', 'Belgium'),
(19381, '62.166.159.48', '62.166.159.55', 1051107120, 1051107127, 'NL', 'Netherlands'),
(19382, '62.166.159.56', '62.166.159.63', 1051107128, 1051107135, 'BE', 'Belgium'),
(19383, '62.166.159.64', '62.166.159.71', 1051107136, 1051107143, 'NL', 'Netherlands'),
(19384, '62.166.159.72', '62.166.159.95', 1051107144, 1051107167, 'BE', 'Belgium'),
(19385, '62.166.159.96', '62.166.159.111', 1051107168, 1051107183, 'NL', 'Netherlands'),
(19386, '62.166.159.112', '62.166.159.143', 1051107184, 1051107215, 'BE', 'Belgium'),
(19387, '62.166.159.144', '62.166.159.151', 1051107216, 1051107223, 'NL', 'Netherlands'),
(19388, '62.166.159.152', '62.166.159.159', 1051107224, 1051107231, 'BE', 'Belgium'),
(19389, '62.166.159.160', '62.166.159.167', 1051107232, 1051107239, 'NL', 'Netherlands'),
(19390, '62.166.159.168', '62.166.159.175', 1051107240, 1051107247, 'BE', 'Belgium'),
(19391, '62.166.159.176', '62.166.159.207', 1051107248, 1051107279, 'NL', 'Netherlands'),
(19392, '62.166.159.208', '62.166.159.215', 1051107280, 1051107287, 'BE', 'Belgium'),
(19393, '62.166.159.216', '62.166.159.223', 1051107288, 1051107295, 'NL', 'Netherlands'),
(19394, '62.166.159.224', '62.166.159.231', 1051107296, 1051107303, 'BE', 'Belgium'),
(19395, '62.166.159.232', '62.166.159.239', 1051107304, 1051107311, 'NL', 'Netherlands'),
(19396, '62.166.159.240', '62.166.159.255', 1051107312, 1051107327, 'BE', 'Belgium'),
(19397, '62.166.160.0', '62.166.160.1', 1051107328, 1051107329, 'NL', 'Netherlands'),
(19398, '62.166.160.2', '62.166.160.31', 1051107330, 1051107359, 'BE', 'Belgium'),
(19399, '62.166.160.32', '62.166.160.47', 1051107360, 1051107375, 'NL', 'Netherlands'),
(19400, '62.166.160.48', '62.166.160.55', 1051107376, 1051107383, 'BE', 'Belgium'),
(19401, '62.166.160.56', '62.166.160.63', 1051107384, 1051107391, 'NL', 'Netherlands'),
(19402, '62.166.160.64', '62.166.160.79', 1051107392, 1051107407, 'BE', 'Belgium'),
(19403, '62.166.160.80', '62.166.160.95', 1051107408, 1051107423, 'NL', 'Netherlands'),
(19404, '62.166.160.96', '62.166.160.127', 1051107424, 1051107455, 'BE', 'Belgium'),
(19405, '62.166.160.128', '62.166.160.191', 1051107456, 1051107519, 'NL', 'Netherlands'),
(19406, '62.166.160.192', '62.166.161.255', 1051107520, 1051107839, 'BE', 'Belgium'),
(19407, '62.166.162.0', '62.166.191.255', 1051107840, 1051115519, 'NL', 'Netherlands'),
(19408, '62.166.192.0', '62.166.214.135', 1051115520, 1051121287, 'BE', 'Belgium'),
(19409, '62.166.214.136', '62.166.214.143', 1051121288, 1051121295, 'NL', 'Netherlands'),
(19410, '62.166.214.144', '62.166.223.255', 1051121296, 1051123711, 'BE', 'Belgium'),
(19411, '62.166.224.0', '62.166.224.127', 1051123712, 1051123839, 'NL', 'Netherlands'),
(19412, '62.166.224.128', '62.166.224.143', 1051123840, 1051123855, 'BE', 'Belgium'),
(19413, '62.166.224.144', '62.166.224.199', 1051123856, 1051123911, 'NL', 'Netherlands'),
(19414, '62.166.224.200', '62.166.224.223', 1051123912, 1051123935, 'BE', 'Belgium'),
(19415, '62.166.224.224', '62.166.226.255', 1051123936, 1051124479, 'NL', 'Netherlands'),
(19416, '62.166.227.0', '62.166.227.127', 1051124480, 1051124607, 'BE', 'Belgium'),
(19417, '62.166.227.128', '62.166.228.31', 1051124608, 1051124767, 'NL', 'Netherlands'),
(19418, '62.166.228.32', '62.166.228.79', 1051124768, 1051124815, 'BE', 'Belgium'),
(19419, '62.166.228.80', '62.166.228.159', 1051124816, 1051124895, 'NL', 'Netherlands'),
(19420, '62.166.228.160', '62.166.228.175', 1051124896, 1051124911, 'BE', 'Belgium'),
(19421, '62.166.228.176', '62.166.229.255', 1051124912, 1051125247, 'NL', 'Netherlands'),
(19422, '62.166.230.0', '62.166.231.255', 1051125248, 1051125759, 'BE', 'Belgium'),
(19423, '62.166.232.0', '62.166.255.255', 1051125760, 1051131903, 'NL', 'Netherlands'),
(19424, '62.167.0.0', '62.167.255.255', 1051131904, 1051197439, 'CH', 'Switzerland'),
(19425, '62.168.0.0', '62.168.63.255', 1051197440, 1051213823, 'CZ', 'Czech Republic'),
(19426, '62.168.64.0', '62.168.127.255', 1051213824, 1051230207, 'SK', 'Slovakia'),
(19427, '62.168.128.0', '62.168.159.255', 1051230208, 1051238399, 'SE', 'Sweden'),
(19428, '62.168.160.0', '62.168.191.255', 1051238400, 1051246591, 'GE', 'Georgia'),
(19429, '62.168.192.0', '62.168.223.255', 1051246592, 1051254783, 'DE', 'Germany'),
(19430, '62.168.224.0', '62.168.255.255', 1051254784, 1051262975, 'RU', 'Russian Federation'),
(19431, '62.169.0.0', '62.169.31.255', 1051262976, 1051271167, 'DE', 'Germany'),
(19432, '62.169.32.0', '62.169.63.255', 1051271168, 1051279359, 'IT', 'Italy'),
(19433, '62.169.64.0', '62.169.127.255', 1051279360, 1051295743, 'PT', 'Portugal'),
(19434, '62.169.128.0', '62.169.159.255', 1051295744, 1051303935, 'GB', 'United Kingdom'),
(19435, '62.169.160.0', '62.169.191.255', 1051303936, 1051312127, 'SK', 'Slovakia'),
(19436, '62.169.192.0', '62.169.255.255', 1051312128, 1051328511, 'GR', 'Greece'),
(19437, '62.170.0.0', '62.172.1.255', 1051328512, 1051460095, 'GB', 'United Kingdom'),
(19438, '62.172.2.0', '62.172.2.255', 1051460096, 1051460351, 'ES', 'Spain'),
(19439, '62.172.3.0', '62.172.255.255', 1051460352, 1051525119, 'GB', 'United Kingdom'),
(19440, '62.173.0.0', '62.173.31.255', 1051525120, 1051533311, 'MT', 'Malta'),
(19441, '62.173.32.0', '62.173.63.255', 1051533312, 1051541503, 'NG', 'Nigeria'),
(19442, '62.173.64.0', '62.173.94.161', 1051541504, 1051549345, 'GB', 'United Kingdom'),
(19443, '62.173.94.162', '62.173.94.162', 1051549346, 1051549346, 'EU', 'Europe'),
(19444, '62.173.94.163', '62.173.127.255', 1051549347, 1051557887, 'GB', 'United Kingdom'),
(19445, '62.173.128.0', '62.173.159.255', 1051557888, 1051566079, 'RU', 'Russian Federation'),
(19446, '62.173.160.0', '62.173.191.255', 1051566080, 1051574271, 'IT', 'Italy'),
(19447, '62.173.192.0', '62.173.193.95', 1051574272, 1051574623, 'GB', 'United Kingdom'),
(19448, '62.173.193.96', '62.173.193.127', 1051574624, 1051574655, 'GM', 'Gambia'),
(19449, '62.173.193.128', '62.173.204.191', 1051574656, 1051577535, 'GB', 'United Kingdom'),
(19450, '62.173.204.192', '62.173.204.223', 1051577536, 1051577567, 'NL', 'Netherlands'),
(19451, '62.173.204.224', '62.173.205.255', 1051577568, 1051577855, 'GB', 'United Kingdom'),
(19452, '62.173.206.0', '62.173.206.255', 1051577856, 1051578111, 'NL', 'Netherlands'),
(19453, '62.173.207.0', '62.173.207.31', 1051578112, 1051578143, 'GB', 'United Kingdom'),
(19454, '62.173.207.32', '62.173.207.63', 1051578144, 1051578175, 'NL', 'Netherlands'),
(19455, '62.173.207.64', '62.173.207.135', 1051578176, 1051578247, 'GB', 'United Kingdom'),
(19456, '62.173.207.136', '62.173.207.143', 1051578248, 1051578255, 'FR', 'France'),
(19457, '62.173.207.144', '62.173.207.191', 1051578256, 1051578303, 'GB', 'United Kingdom'),
(19458, '62.173.207.192', '62.173.207.223', 1051578304, 1051578335, 'NL', 'Netherlands'),
(19459, '62.173.207.224', '62.173.216.119', 1051578336, 1051580535, 'GB', 'United Kingdom'),
(19460, '62.173.216.120', '62.173.216.127', 1051580536, 1051580543, 'SZ', 'Swaziland'),
(19461, '62.173.216.128', '62.173.230.207', 1051580544, 1051584207, 'GB', 'United Kingdom'),
(19462, '62.173.230.208', '62.173.230.223', 1051584208, 1051584223, 'BE', 'Belgium'),
(19463, '62.173.230.224', '62.173.255.255', 1051584224, 1051590655, 'GB', 'United Kingdom'),
(19464, '62.174.0.0', '62.175.180.255', 1051590656, 1051702527, 'ES', 'Spain'),
(19465, '62.175.181.0', '62.175.181.255', 1051702528, 1051702783, 'US', 'United States'),
(19466, '62.175.182.0', '62.175.255.255', 1051702784, 1051721727, 'ES', 'Spain'),
(19467, '62.176.0.0', '62.176.31.255', 1051721728, 1051729919, 'RU', 'Russian Federation'),
(19468, '62.176.32.0', '62.176.63.255', 1051729920, 1051738111, 'FI', 'Finland'),
(19469, '62.176.64.0', '62.176.127.255', 1051738112, 1051754495, 'BG', 'Bulgaria'),
(19470, '62.176.128.0', '62.176.159.255', 1051754496, 1051762687, 'DE', 'Germany'),
(19471, '62.176.160.0', '62.176.191.255', 1051762688, 1051770879, 'SK', 'Slovakia'),
(19472, '62.176.192.0', '62.176.223.255', 1051770880, 1051779071, 'NO', 'Norway'),
(19473, '62.176.224.0', '62.176.255.255', 1051779072, 1051787263, 'DE', 'Germany'),
(19474, '62.177.0.0', '62.177.31.255', 1051787264, 1051795455, 'IT', 'Italy'),
(19475, '62.177.32.0', '62.177.63.255', 1051795456, 1051803647, 'RU', 'Russian Federation'),
(19476, '62.177.64.0', '62.177.127.255', 1051803648, 1051820031, 'CZ', 'Czech Republic'),
(19477, '62.177.128.0', '62.177.255.255', 1051820032, 1051852799, 'NL', 'Netherlands'),
(19478, '62.178.0.0', '62.178.255.255', 1051852800, 1051918335, 'AT', 'Austria'),
(19479, '62.179.0.0', '62.179.3.255', 1051918336, 1051919359, 'PL', 'Poland'),
(19480, '62.179.4.0', '62.179.7.255', 1051919360, 1051920383, 'AT', 'Austria'),
(19481, '62.179.8.0', '62.179.9.255', 1051920384, 1051920895, 'PL', 'Poland'),
(19482, '62.179.10.0', '62.179.109.127', 1051920896, 1051946367, 'AT', 'Austria'),
(19483, '62.179.109.128', '62.179.109.143', 1051946368, 1051946383, 'NL', 'Netherlands'),
(19484, '62.179.109.144', '62.179.109.159', 1051946384, 1051946399, 'CH', 'Switzerland'),
(19485, '62.179.109.160', '62.179.109.175', 1051946400, 1051946415, 'NL', 'Netherlands'),
(19486, '62.179.109.176', '62.179.109.191', 1051946416, 1051946431, 'CH', 'Switzerland'),
(19487, '62.179.109.192', '62.179.109.207', 1051946432, 1051946447, 'NL', 'Netherlands'),
(19488, '62.179.109.208', '62.179.109.223', 1051946448, 1051946463, 'CH', 'Switzerland'),
(19489, '62.179.109.224', '62.179.109.239', 1051946464, 1051946479, 'NL', 'Netherlands'),
(19490, '62.179.109.240', '62.179.109.255', 1051946480, 1051946495, 'CH', 'Switzerland'),
(19491, '62.179.110.0', '62.179.122.255', 1051946496, 1051949823, 'AT', 'Austria'),
(19492, '62.179.123.0', '62.179.123.127', 1051949824, 1051949951, 'NL', 'Netherlands'),
(19493, '62.179.123.128', '62.179.255.255', 1051949952, 1051983871, 'AT', 'Austria'),
(19494, '62.180.0.0', '62.180.10.255', 1051983872, 1051986687, 'EU', 'Europe'),
(19495, '62.180.11.0', '62.180.11.255', 1051986688, 1051986943, 'DE', 'Germany'),
(19496, '62.180.12.0', '62.180.23.255', 1051986944, 1051990015, 'EU', 'Europe'),
(19497, '62.180.24.0', '62.180.27.255', 1051990016, 1051991039, 'DE', 'Germany'),
(19498, '62.180.28.0', '62.180.30.255', 1051991040, 1051991807, 'EU', 'Europe'),
(19499, '62.180.31.0', '62.180.31.127', 1051991808, 1051991935, 'DE', 'Germany'),
(19500, '62.180.31.128', '62.180.31.255', 1051991936, 1051992063, 'EU', 'Europe'),
(19501, '62.180.32.0', '62.180.42.15', 1051992064, 1051994639, 'DE', 'Germany'),
(19502, '62.180.42.16', '62.180.42.23', 1051994640, 1051994647, 'EU', 'Europe'),
(19503, '62.180.42.24', '62.180.42.47', 1051994648, 1051994671, 'DE', 'Germany'),
(19504, '62.180.42.48', '62.180.42.75', 1051994672, 1051994699, 'EU', 'Europe'),
(19505, '62.180.42.76', '62.180.42.79', 1051994700, 1051994703, 'BE', 'Belgium'),
(19506, '62.180.42.80', '62.180.42.91', 1051994704, 1051994715, 'EU', 'Europe'),
(19507, '62.180.42.92', '62.180.42.95', 1051994716, 1051994719, 'DE', 'Germany'),
(19508, '62.180.42.96', '62.180.42.127', 1051994720, 1051994751, 'BE', 'Belgium'),
(19509, '62.180.42.128', '62.180.42.167', 1051994752, 1051994791, 'EU', 'Europe'),
(19510, '62.180.42.168', '62.180.42.175', 1051994792, 1051994799, 'NL', 'Netherlands'),
(19511, '62.180.42.176', '62.180.42.207', 1051994800, 1051994831, 'DE', 'Germany'),
(19512, '62.180.42.208', '62.180.42.239', 1051994832, 1051994863, 'EU', 'Europe'),
(19513, '62.180.42.240', '62.180.42.247', 1051994864, 1051994871, 'DE', 'Germany'),
(19514, '62.180.42.248', '62.180.43.63', 1051994872, 1051994943, 'EU', 'Europe'),
(19515, '62.180.43.64', '62.180.43.175', 1051994944, 1051995055, 'DE', 'Germany'),
(19516, '62.180.43.176', '62.180.44.255', 1051995056, 1051995391, 'EU', 'Europe'),
(19517, '62.180.45.0', '62.180.47.255', 1051995392, 1051996159, 'DE', 'Germany'),
(19518, '62.180.48.0', '62.180.48.175', 1051996160, 1051996335, 'EU', 'Europe'),
(19519, '62.180.48.176', '62.180.48.191', 1051996336, 1051996351, 'DE', 'Germany'),
(19520, '62.180.48.192', '62.180.50.207', 1051996352, 1051996879, 'EU', 'Europe'),
(19521, '62.180.50.208', '62.180.50.255', 1051996880, 1051996927, 'DE', 'Germany'),
(19522, '62.180.51.0', '62.180.52.255', 1051996928, 1051997439, 'EU', 'Europe'),
(19523, '62.180.53.0', '62.180.53.255', 1051997440, 1051997695, 'DE', 'Germany'),
(19524, '62.180.54.0', '62.180.54.15', 1051997696, 1051997711, 'EU', 'Europe'),
(19525, '62.180.54.16', '62.180.54.31', 1051997712, 1051997727, 'DE', 'Germany'),
(19526, '62.180.54.32', '62.180.54.255', 1051997728, 1051997951, 'EU', 'Europe'),
(19527, '62.180.55.0', '62.180.55.31', 1051997952, 1051997983, 'DE', 'Germany'),
(19528, '62.180.55.32', '62.180.56.39', 1051997984, 1051998247, 'EU', 'Europe'),
(19529, '62.180.56.40', '62.180.56.47', 1051998248, 1051998255, 'DE', 'Germany'),
(19530, '62.180.56.48', '62.180.57.223', 1051998256, 1051998687, 'EU', 'Europe'),
(19531, '62.180.57.224', '62.180.57.231', 1051998688, 1051998695, 'DE', 'Germany'),
(19532, '62.180.57.232', '62.180.59.63', 1051998696, 1051999039, 'EU', 'Europe'),
(19533, '62.180.59.64', '62.180.59.67', 1051999040, 1051999043, 'DE', 'Germany'),
(19534, '62.180.59.68', '62.180.59.159', 1051999044, 1051999135, 'EU', 'Europe'),
(19535, '62.180.59.160', '62.180.59.175', 1051999136, 1051999151, 'DE', 'Germany'),
(19536, '62.180.59.176', '62.180.59.191', 1051999152, 1051999167, 'EU', 'Europe'),
(19537, '62.180.59.192', '62.180.60.127', 1051999168, 1051999359, 'DE', 'Germany'),
(19538, '62.180.60.128', '62.180.60.255', 1051999360, 1051999487, 'EU', 'Europe'),
(19539, '62.180.61.0', '62.180.61.255', 1051999488, 1051999743, 'DE', 'Germany'),
(19540, '62.180.62.0', '62.180.62.255', 1051999744, 1051999999, 'EU', 'Europe'),
(19541, '62.180.63.0', '62.180.63.63', 1052000000, 1052000063, 'DE', 'Germany'),
(19542, '62.180.63.64', '62.180.63.127', 1052000064, 1052000127, 'EU', 'Europe'),
(19543, '62.180.63.128', '62.180.63.143', 1052000128, 1052000143, 'DE', 'Germany'),
(19544, '62.180.63.144', '62.180.63.191', 1052000144, 1052000191, 'EU', 'Europe'),
(19545, '62.180.63.192', '62.180.64.255', 1052000192, 1052000511, 'DE', 'Germany'),
(19546, '62.180.65.0', '62.180.65.7', 1052000512, 1052000519, 'EU', 'Europe'),
(19547, '62.180.65.8', '62.180.65.15', 1052000520, 1052000527, 'DE', 'Germany'),
(19548, '62.180.65.16', '62.180.65.23', 1052000528, 1052000535, 'EU', 'Europe'),
(19549, '62.180.65.24', '62.180.65.27', 1052000536, 1052000539, 'DE', 'Germany'),
(19550, '62.180.65.28', '62.180.65.71', 1052000540, 1052000583, 'EU', 'Europe'),
(19551, '62.180.65.72', '62.180.65.111', 1052000584, 1052000623, 'DE', 'Germany'),
(19552, '62.180.65.112', '62.180.65.119', 1052000624, 1052000631, 'EU', 'Europe'),
(19553, '62.180.65.120', '62.180.71.255', 1052000632, 1052002303, 'DE', 'Germany'),
(19554, '62.180.72.0', '62.180.72.15', 1052002304, 1052002319, 'EU', 'Europe'),
(19555, '62.180.72.16', '62.180.72.31', 1052002320, 1052002335, 'DE', 'Germany'),
(19556, '62.180.72.32', '62.180.72.63', 1052002336, 1052002367, 'EU', 'Europe'),
(19557, '62.180.72.64', '62.180.72.127', 1052002368, 1052002431, 'DE', 'Germany'),
(19558, '62.180.72.128', '62.180.72.135', 1052002432, 1052002439, 'EU', 'Europe'),
(19559, '62.180.72.136', '62.180.72.143', 1052002440, 1052002447, 'DE', 'Germany'),
(19560, '62.180.72.144', '62.180.72.159', 1052002448, 1052002463, 'EU', 'Europe'),
(19561, '62.180.72.160', '62.180.72.207', 1052002464, 1052002511, 'DE', 'Germany'),
(19562, '62.180.72.208', '62.180.72.215', 1052002512, 1052002519, 'EU', 'Europe'),
(19563, '62.180.72.216', '62.180.72.219', 1052002520, 1052002523, 'DE', 'Germany'),
(19564, '62.180.72.220', '62.180.72.223', 1052002524, 1052002527, 'EU', 'Europe'),
(19565, '62.180.72.224', '62.180.72.231', 1052002528, 1052002535, 'DE', 'Germany'),
(19566, '62.180.72.232', '62.180.75.255', 1052002536, 1052003327, 'EU', 'Europe'),
(19567, '62.180.76.0', '62.180.76.31', 1052003328, 1052003359, 'DE', 'Germany'),
(19568, '62.180.76.32', '62.180.76.71', 1052003360, 1052003399, 'EU', 'Europe'),
(19569, '62.180.76.72', '62.180.76.127', 1052003400, 1052003455, 'DE', 'Germany'),
(19570, '62.180.76.128', '62.180.76.151', 1052003456, 1052003479, 'EU', 'Europe'),
(19571, '62.180.76.152', '62.180.76.159', 1052003480, 1052003487, 'DE', 'Germany'),
(19572, '62.180.76.160', '62.180.76.223', 1052003488, 1052003551, 'EU', 'Europe'),
(19573, '62.180.76.224', '62.180.77.255', 1052003552, 1052003839, 'DE', 'Germany'),
(19574, '62.180.78.0', '62.180.78.127', 1052003840, 1052003967, 'EU', 'Europe'),
(19575, '62.180.78.128', '62.180.78.159', 1052003968, 1052003999, 'DE', 'Germany'),
(19576, '62.180.78.160', '62.180.81.63', 1052004000, 1052004671, 'EU', 'Europe'),
(19577, '62.180.81.64', '62.180.81.79', 1052004672, 1052004687, 'DE', 'Germany'),
(19578, '62.180.81.80', '62.180.81.95', 1052004688, 1052004703, 'EU', 'Europe'),
(19579, '62.180.81.96', '62.180.81.127', 1052004704, 1052004735, 'DE', 'Germany'),
(19580, '62.180.81.128', '62.180.81.143', 1052004736, 1052004751, 'EU', 'Europe'),
(19581, '62.180.81.144', '62.180.81.151', 1052004752, 1052004759, 'DE', 'Germany'),
(19582, '62.180.81.152', '62.180.81.159', 1052004760, 1052004767, 'EU', 'Europe'),
(19583, '62.180.81.160', '62.180.81.175', 1052004768, 1052004783, 'DE', 'Germany'),
(19584, '62.180.81.176', '62.180.81.207', 1052004784, 1052004815, 'EU', 'Europe'),
(19585, '62.180.81.208', '62.180.81.223', 1052004816, 1052004831, 'DE', 'Germany'),
(19586, '62.180.81.224', '62.180.82.31', 1052004832, 1052004895, 'EU', 'Europe'),
(19587, '62.180.82.32', '62.180.82.95', 1052004896, 1052004959, 'DE', 'Germany'),
(19588, '62.180.82.96', '62.180.82.255', 1052004960, 1052005119, 'EU', 'Europe'),
(19589, '62.180.83.0', '62.180.83.31', 1052005120, 1052005151, 'DE', 'Germany'),
(19590, '62.180.83.32', '62.180.83.127', 1052005152, 1052005247, 'EU', 'Europe'),
(19591, '62.180.83.128', '62.180.84.255', 1052005248, 1052005631, 'DE', 'Germany'),
(19592, '62.180.85.0', '62.180.85.255', 1052005632, 1052005887, 'EU', 'Europe'),
(19593, '62.180.86.0', '62.180.86.23', 1052005888, 1052005911, 'DE', 'Germany'),
(19594, '62.180.86.24', '62.180.88.143', 1052005912, 1052006543, 'EU', 'Europe'),
(19595, '62.180.88.144', '62.180.88.159', 1052006544, 1052006559, 'DE', 'Germany'),
(19596, '62.180.88.160', '62.180.90.127', 1052006560, 1052007039, 'EU', 'Europe'),
(19597, '62.180.90.128', '62.180.90.191', 1052007040, 1052007103, 'DE', 'Germany'),
(19598, '62.180.90.192', '62.180.92.7', 1052007104, 1052007431, 'EU', 'Europe'),
(19599, '62.180.92.8', '62.180.92.11', 1052007432, 1052007435, 'DE', 'Germany'),
(19600, '62.180.92.12', '62.180.92.31', 1052007436, 1052007455, 'EU', 'Europe'),
(19601, '62.180.92.32', '62.180.92.47', 1052007456, 1052007471, 'DE', 'Germany'),
(19602, '62.180.92.48', '62.180.92.95', 1052007472, 1052007519, 'EU', 'Europe'),
(19603, '62.180.92.96', '62.180.92.111', 1052007520, 1052007535, 'DE', 'Germany'),
(19604, '62.180.92.112', '62.180.93.95', 1052007536, 1052007775, 'EU', 'Europe'),
(19605, '62.180.93.96', '62.180.93.111', 1052007776, 1052007791, 'DE', 'Germany'),
(19606, '62.180.93.112', '62.180.93.255', 1052007792, 1052007935, 'EU', 'Europe'),
(19607, '62.180.94.0', '62.180.95.31', 1052007936, 1052008223, 'DE', 'Germany'),
(19608, '62.180.95.32', '62.180.96.67', 1052008224, 1052008515, 'EU', 'Europe'),
(19609, '62.180.96.68', '62.180.96.79', 1052008516, 1052008527, 'DE', 'Germany'),
(19610, '62.180.96.80', '62.180.96.95', 1052008528, 1052008543, 'EU', 'Europe'),
(19611, '62.180.96.96', '62.180.96.135', 1052008544, 1052008583, 'DE', 'Germany'),
(19612, '62.180.96.136', '62.180.96.159', 1052008584, 1052008607, 'EU', 'Europe'),
(19613, '62.180.96.160', '62.180.96.175', 1052008608, 1052008623, 'DE', 'Germany'),
(19614, '62.180.96.176', '62.180.96.223', 1052008624, 1052008671, 'EU', 'Europe'),
(19615, '62.180.96.224', '62.180.96.239', 1052008672, 1052008687, 'DE', 'Germany'),
(19616, '62.180.96.240', '62.180.96.255', 1052008688, 1052008703, 'EU', 'Europe'),
(19617, '62.180.97.0', '62.180.98.127', 1052008704, 1052009087, 'DE', 'Germany'),
(19618, '62.180.98.128', '62.180.99.255', 1052009088, 1052009471, 'EU', 'Europe'),
(19619, '62.180.100.0', '62.180.100.15', 1052009472, 1052009487, 'DE', 'Germany'),
(19620, '62.180.100.16', '62.180.100.31', 1052009488, 1052009503, 'EU', 'Europe'),
(19621, '62.180.100.32', '62.180.100.63', 1052009504, 1052009535, 'DE', 'Germany'),
(19622, '62.180.100.64', '62.180.103.223', 1052009536, 1052010463, 'EU', 'Europe'),
(19623, '62.180.103.224', '62.180.104.23', 1052010464, 1052010519, 'DE', 'Germany'),
(19624, '62.180.104.24', '62.180.104.127', 1052010520, 1052010623, 'EU', 'Europe'),
(19625, '62.180.104.128', '62.180.104.159', 1052010624, 1052010655, 'DE', 'Germany'),
(19626, '62.180.104.160', '62.180.104.255', 1052010656, 1052010751, 'EU', 'Europe'),
(19627, '62.180.105.0', '62.180.106.127', 1052010752, 1052011135, 'DE', 'Germany'),
(19628, '62.180.106.128', '62.180.106.255', 1052011136, 1052011263, 'EU', 'Europe'),
(19629, '62.180.107.0', '62.180.110.255', 1052011264, 1052012287, 'DE', 'Germany'),
(19630, '62.180.111.0', '62.180.111.15', 1052012288, 1052012303, 'EU', 'Europe'),
(19631, '62.180.111.16', '62.180.111.47', 1052012304, 1052012335, 'DE', 'Germany'),
(19632, '62.180.111.48', '62.180.111.95', 1052012336, 1052012383, 'EU', 'Europe'),
(19633, '62.180.111.96', '62.180.111.111', 1052012384, 1052012399, 'DE', 'Germany'),
(19634, '62.180.111.112', '62.180.111.255', 1052012400, 1052012543, 'EU', 'Europe'),
(19635, '62.180.112.0', '62.180.113.255', 1052012544, 1052013055, 'DE', 'Germany'),
(19636, '62.180.114.0', '62.180.114.15', 1052013056, 1052013071, 'EU', 'Europe'),
(19637, '62.180.114.16', '62.180.114.31', 1052013072, 1052013087, 'DE', 'Germany'),
(19638, '62.180.114.32', '62.180.114.63', 1052013088, 1052013119, 'EU', 'Europe'),
(19639, '62.180.114.64', '62.180.114.71', 1052013120, 1052013127, 'DE', 'Germany'),
(19640, '62.180.114.72', '62.180.114.87', 1052013128, 1052013143, 'EU', 'Europe'),
(19641, '62.180.114.88', '62.180.114.95', 1052013144, 1052013151, 'DE', 'Germany'),
(19642, '62.180.114.96', '62.180.114.159', 1052013152, 1052013215, 'EU', 'Europe'),
(19643, '62.180.114.160', '62.180.114.207', 1052013216, 1052013263, 'DE', 'Germany'),
(19644, '62.180.114.208', '62.180.114.255', 1052013264, 1052013311, 'EU', 'Europe'),
(19645, '62.180.115.0', '62.180.115.255', 1052013312, 1052013567, 'DE', 'Germany'),
(19646, '62.180.116.0', '62.180.116.127', 1052013568, 1052013695, 'EU', 'Europe'),
(19647, '62.180.116.128', '62.180.116.255', 1052013696, 1052013823, 'DE', 'Germany'),
(19648, '62.180.117.0', '62.180.117.23', 1052013824, 1052013847, 'EU', 'Europe'),
(19649, '62.180.117.24', '62.180.117.31', 1052013848, 1052013855, 'DE', 'Germany'),
(19650, '62.180.117.32', '62.180.117.63', 1052013856, 1052013887, 'EU', 'Europe'),
(19651, '62.180.117.64', '62.180.117.127', 1052013888, 1052013951, 'DE', 'Germany'),
(19652, '62.180.117.128', '62.180.117.135', 1052013952, 1052013959, 'EU', 'Europe'),
(19653, '62.180.117.136', '62.180.117.139', 1052013960, 1052013963, 'DE', 'Germany'),
(19654, '62.180.117.140', '62.180.117.191', 1052013964, 1052014015, 'EU', 'Europe'),
(19655, '62.180.117.192', '62.180.117.255', 1052014016, 1052014079, 'DE', 'Germany'),
(19656, '62.180.118.0', '62.180.118.31', 1052014080, 1052014111, 'EU', 'Europe'),
(19657, '62.180.118.32', '62.180.118.159', 1052014112, 1052014239, 'DE', 'Germany'),
(19658, '62.180.118.160', '62.180.118.191', 1052014240, 1052014271, 'EU', 'Europe'),
(19659, '62.180.118.192', '62.180.118.223', 1052014272, 1052014303, 'DE', 'Germany'),
(19660, '62.180.118.224', '62.180.123.7', 1052014304, 1052015367, 'EU', 'Europe'),
(19661, '62.180.123.8', '62.180.123.15', 1052015368, 1052015375, 'DE', 'Germany'),
(19662, '62.180.123.16', '62.180.123.63', 1052015376, 1052015423, 'EU', 'Europe'),
(19663, '62.180.123.64', '62.180.123.159', 1052015424, 1052015519, 'DE', 'Germany'),
(19664, '62.180.123.160', '62.180.123.191', 1052015520, 1052015551, 'EU', 'Europe'),
(19665, '62.180.123.192', '62.180.123.223', 1052015552, 1052015583, 'DE', 'Germany'),
(19666, '62.180.123.224', '62.180.124.15', 1052015584, 1052015631, 'EU', 'Europe'),
(19667, '62.180.124.16', '62.180.124.31', 1052015632, 1052015647, 'DE', 'Germany'),
(19668, '62.180.124.32', '62.180.124.79', 1052015648, 1052015695, 'EU', 'Europe'),
(19669, '62.180.124.80', '62.180.124.111', 1052015696, 1052015727, 'DE', 'Germany'),
(19670, '62.180.124.112', '62.180.125.127', 1052015728, 1052015999, 'EU', 'Europe'),
(19671, '62.180.125.128', '62.180.125.255', 1052016000, 1052016127, 'DE', 'Germany'),
(19672, '62.180.126.0', '62.180.126.79', 1052016128, 1052016207, 'EU', 'Europe'),
(19673, '62.180.126.80', '62.180.126.95', 1052016208, 1052016223, 'DE', 'Germany'),
(19674, '62.180.126.96', '62.180.126.111', 1052016224, 1052016239, 'EU', 'Europe'),
(19675, '62.180.126.112', '62.180.126.119', 1052016240, 1052016247, 'DE', 'Germany'),
(19676, '62.180.126.120', '62.180.126.127', 1052016248, 1052016255, 'EU', 'Europe'),
(19677, '62.180.126.128', '62.180.126.195', 1052016256, 1052016323, 'DE', 'Germany'),
(19678, '62.180.126.196', '62.180.127.63', 1052016324, 1052016447, 'EU', 'Europe'),
(19679, '62.180.127.64', '62.180.127.79', 1052016448, 1052016463, 'DE', 'Germany'),
(19680, '62.180.127.80', '62.180.127.95', 1052016464, 1052016479, 'EU', 'Europe'),
(19681, '62.180.127.96', '62.180.127.127', 1052016480, 1052016511, 'DE', 'Germany'),
(19682, '62.180.127.128', '62.180.128.39', 1052016512, 1052016679, 'EU', 'Europe'),
(19683, '62.180.128.40', '62.180.128.47', 1052016680, 1052016687, 'DE', 'Germany'),
(19684, '62.180.128.48', '62.180.128.255', 1052016688, 1052016895, 'EU', 'Europe'),
(19685, '62.180.129.0', '62.180.129.255', 1052016896, 1052017151, 'DE', 'Germany'),
(19686, '62.180.130.0', '62.180.130.79', 1052017152, 1052017231, 'EU', 'Europe'),
(19687, '62.180.130.80', '62.180.130.95', 1052017232, 1052017247, 'DE', 'Germany'),
(19688, '62.180.130.96', '62.180.131.63', 1052017248, 1052017471, 'EU', 'Europe'),
(19689, '62.180.131.64', '62.180.131.95', 1052017472, 1052017503, 'DE', 'Germany'),
(19690, '62.180.131.96', '62.180.131.127', 1052017504, 1052017535, 'EU', 'Europe'),
(19691, '62.180.131.128', '62.180.131.159', 1052017536, 1052017567, 'DE', 'Germany'),
(19692, '62.180.131.160', '62.180.131.191', 1052017568, 1052017599, 'EU', 'Europe'),
(19693, '62.180.131.192', '62.180.131.255', 1052017600, 1052017663, 'DE', 'Germany'),
(19694, '62.180.132.0', '62.180.133.247', 1052017664, 1052018167, 'EU', 'Europe'),
(19695, '62.180.133.248', '62.180.134.255', 1052018168, 1052018431, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(19696, '62.180.135.0', '62.180.136.31', 1052018432, 1052018719, 'EU', 'Europe'),
(19697, '62.180.136.32', '62.180.136.79', 1052018720, 1052018767, 'DE', 'Germany'),
(19698, '62.180.136.80', '62.180.137.255', 1052018768, 1052019199, 'EU', 'Europe'),
(19699, '62.180.138.0', '62.180.138.255', 1052019200, 1052019455, 'DE', 'Germany'),
(19700, '62.180.139.0', '62.180.140.23', 1052019456, 1052019735, 'EU', 'Europe'),
(19701, '62.180.140.24', '62.180.140.63', 1052019736, 1052019775, 'DE', 'Germany'),
(19702, '62.180.140.64', '62.180.140.191', 1052019776, 1052019903, 'EU', 'Europe'),
(19703, '62.180.140.192', '62.180.141.79', 1052019904, 1052020047, 'DE', 'Germany'),
(19704, '62.180.141.80', '62.180.143.192', 1052020048, 1052020672, 'EU', 'Europe'),
(19705, '62.180.143.193', '62.180.143.222', 1052020673, 1052020702, 'DE', 'Germany'),
(19706, '62.180.143.223', '62.180.143.223', 1052020703, 1052020703, 'EU', 'Europe'),
(19707, '62.180.143.224', '62.180.143.255', 1052020704, 1052020735, 'DE', 'Germany'),
(19708, '62.180.144.0', '62.180.150.255', 1052020736, 1052022527, 'EU', 'Europe'),
(19709, '62.180.151.0', '62.180.151.255', 1052022528, 1052022783, 'DE', 'Germany'),
(19710, '62.180.152.0', '62.180.159.255', 1052022784, 1052024831, 'EU', 'Europe'),
(19711, '62.180.160.0', '62.180.224.31', 1052024832, 1052041247, 'DE', 'Germany'),
(19712, '62.180.224.32', '62.180.224.39', 1052041248, 1052041255, 'EU', 'Europe'),
(19713, '62.180.224.40', '62.180.224.63', 1052041256, 1052041279, 'DE', 'Germany'),
(19714, '62.180.224.64', '62.180.224.79', 1052041280, 1052041295, 'EU', 'Europe'),
(19715, '62.180.224.80', '62.180.224.111', 1052041296, 1052041327, 'DE', 'Germany'),
(19716, '62.180.224.112', '62.180.224.119', 1052041328, 1052041335, 'EU', 'Europe'),
(19717, '62.180.224.120', '62.180.224.143', 1052041336, 1052041359, 'DE', 'Germany'),
(19718, '62.180.224.144', '62.180.224.159', 1052041360, 1052041375, 'EU', 'Europe'),
(19719, '62.180.224.160', '62.180.225.127', 1052041376, 1052041599, 'DE', 'Germany'),
(19720, '62.180.225.128', '62.180.225.255', 1052041600, 1052041727, 'EU', 'Europe'),
(19721, '62.180.226.0', '62.180.226.135', 1052041728, 1052041863, 'DE', 'Germany'),
(19722, '62.180.226.136', '62.180.226.255', 1052041864, 1052041983, 'EU', 'Europe'),
(19723, '62.180.227.0', '62.180.227.111', 1052041984, 1052042095, 'DE', 'Germany'),
(19724, '62.180.227.112', '62.180.227.159', 1052042096, 1052042143, 'EU', 'Europe'),
(19725, '62.180.227.160', '62.180.227.199', 1052042144, 1052042183, 'DE', 'Germany'),
(19726, '62.180.227.200', '62.180.227.239', 1052042184, 1052042223, 'EU', 'Europe'),
(19727, '62.180.227.240', '62.180.227.255', 1052042224, 1052042239, 'DE', 'Germany'),
(19728, '62.180.228.0', '62.180.228.63', 1052042240, 1052042303, 'EU', 'Europe'),
(19729, '62.180.228.64', '62.180.228.71', 1052042304, 1052042311, 'DE', 'Germany'),
(19730, '62.180.228.72', '62.180.228.127', 1052042312, 1052042367, 'EU', 'Europe'),
(19731, '62.180.228.128', '62.180.228.191', 1052042368, 1052042431, 'DE', 'Germany'),
(19732, '62.180.228.192', '62.180.228.239', 1052042432, 1052042479, 'EU', 'Europe'),
(19733, '62.180.228.240', '62.180.229.23', 1052042480, 1052042519, 'DE', 'Germany'),
(19734, '62.180.229.24', '62.180.229.63', 1052042520, 1052042559, 'EU', 'Europe'),
(19735, '62.180.229.64', '62.180.229.79', 1052042560, 1052042575, 'DE', 'Germany'),
(19736, '62.180.229.80', '62.180.229.87', 1052042576, 1052042583, 'EU', 'Europe'),
(19737, '62.180.229.88', '62.180.229.191', 1052042584, 1052042687, 'DE', 'Germany'),
(19738, '62.180.229.192', '62.180.229.207', 1052042688, 1052042703, 'EU', 'Europe'),
(19739, '62.180.229.208', '62.180.229.255', 1052042704, 1052042751, 'DE', 'Germany'),
(19740, '62.180.230.0', '62.180.230.63', 1052042752, 1052042815, 'EU', 'Europe'),
(19741, '62.180.230.64', '62.180.230.111', 1052042816, 1052042863, 'DE', 'Germany'),
(19742, '62.180.230.112', '62.180.230.255', 1052042864, 1052043007, 'EU', 'Europe'),
(19743, '62.180.231.0', '62.180.231.95', 1052043008, 1052043103, 'DE', 'Germany'),
(19744, '62.180.231.96', '62.180.231.103', 1052043104, 1052043111, 'EU', 'Europe'),
(19745, '62.180.231.104', '62.180.231.119', 1052043112, 1052043127, 'DE', 'Germany'),
(19746, '62.180.231.120', '62.180.231.159', 1052043128, 1052043167, 'EU', 'Europe'),
(19747, '62.180.231.160', '62.180.231.255', 1052043168, 1052043263, 'DE', 'Germany'),
(19748, '62.180.232.0', '62.180.233.7', 1052043264, 1052043527, 'EU', 'Europe'),
(19749, '62.180.233.8', '62.180.233.15', 1052043528, 1052043535, 'DE', 'Germany'),
(19750, '62.180.233.16', '62.180.233.31', 1052043536, 1052043551, 'EU', 'Europe'),
(19751, '62.180.233.32', '62.180.233.55', 1052043552, 1052043575, 'DE', 'Germany'),
(19752, '62.180.233.56', '62.180.233.63', 1052043576, 1052043583, 'EU', 'Europe'),
(19753, '62.180.233.64', '62.180.233.131', 1052043584, 1052043651, 'DE', 'Germany'),
(19754, '62.180.233.132', '62.180.233.143', 1052043652, 1052043663, 'EU', 'Europe'),
(19755, '62.180.233.144', '62.180.233.159', 1052043664, 1052043679, 'DE', 'Germany'),
(19756, '62.180.233.160', '62.180.233.239', 1052043680, 1052043759, 'EU', 'Europe'),
(19757, '62.180.233.240', '62.180.233.255', 1052043760, 1052043775, 'DE', 'Germany'),
(19758, '62.180.234.0', '62.180.235.255', 1052043776, 1052044287, 'EU', 'Europe'),
(19759, '62.180.236.0', '62.180.236.63', 1052044288, 1052044351, 'DE', 'Germany'),
(19760, '62.180.236.64', '62.180.236.95', 1052044352, 1052044383, 'EU', 'Europe'),
(19761, '62.180.236.96', '62.180.236.111', 1052044384, 1052044399, 'DE', 'Germany'),
(19762, '62.180.236.112', '62.180.236.127', 1052044400, 1052044415, 'EU', 'Europe'),
(19763, '62.180.236.128', '62.180.236.159', 1052044416, 1052044447, 'DE', 'Germany'),
(19764, '62.180.236.160', '62.180.236.223', 1052044448, 1052044511, 'EU', 'Europe'),
(19765, '62.180.236.224', '62.180.236.239', 1052044512, 1052044527, 'DE', 'Germany'),
(19766, '62.180.236.240', '62.180.236.255', 1052044528, 1052044543, 'EU', 'Europe'),
(19767, '62.180.237.0', '62.180.238.127', 1052044544, 1052044927, 'DE', 'Germany'),
(19768, '62.180.238.128', '62.180.238.223', 1052044928, 1052045023, 'EU', 'Europe'),
(19769, '62.180.238.224', '62.180.238.255', 1052045024, 1052045055, 'DE', 'Germany'),
(19770, '62.180.239.0', '62.180.239.255', 1052045056, 1052045311, 'EU', 'Europe'),
(19771, '62.180.240.0', '62.180.243.55', 1052045312, 1052046135, 'DE', 'Germany'),
(19772, '62.180.243.56', '62.180.243.255', 1052046136, 1052046335, 'EU', 'Europe'),
(19773, '62.180.244.0', '62.180.244.255', 1052046336, 1052046591, 'DE', 'Germany'),
(19774, '62.180.245.0', '62.180.245.255', 1052046592, 1052046847, 'EU', 'Europe'),
(19775, '62.180.246.0', '62.180.247.35', 1052046848, 1052047139, 'DE', 'Germany'),
(19776, '62.180.247.36', '62.180.254.255', 1052047140, 1052049151, 'EU', 'Europe'),
(19777, '62.180.255.0', '62.180.255.31', 1052049152, 1052049183, 'DE', 'Germany'),
(19778, '62.180.255.32', '62.180.255.255', 1052049184, 1052049407, 'EU', 'Europe'),
(19779, '62.181.0.0', '62.181.31.255', 1052049408, 1052057599, 'PL', 'Poland'),
(19780, '62.181.32.0', '62.181.63.255', 1052057600, 1052065791, 'RU', 'Russian Federation'),
(19781, '62.181.64.0', '62.181.127.255', 1052065792, 1052082175, 'SE', 'Sweden'),
(19782, '62.181.128.0', '62.181.159.255', 1052082176, 1052090367, 'DE', 'Germany'),
(19783, '62.181.160.0', '62.181.191.255', 1052090368, 1052098559, 'PL', 'Poland'),
(19784, '62.181.192.0', '62.181.195.143', 1052098560, 1052099471, 'SE', 'Sweden'),
(19785, '62.181.195.144', '62.181.195.151', 1052099472, 1052099479, 'NO', 'Norway'),
(19786, '62.181.195.152', '62.181.213.159', 1052099480, 1052104095, 'SE', 'Sweden'),
(19787, '62.181.213.160', '62.181.213.191', 1052104096, 1052104127, 'DK', 'Denmark'),
(19788, '62.181.213.192', '62.182.7.255', 1052104128, 1052116991, 'SE', 'Sweden'),
(19789, '62.182.8.0', '62.182.15.255', 1052116992, 1052119039, 'RU', 'Russian Federation'),
(19790, '62.182.16.0', '62.182.23.255', 1052119040, 1052121087, 'RO', 'Romania'),
(19791, '62.182.24.0', '62.182.55.255', 1052121088, 1052129279, 'RU', 'Russian Federation'),
(19792, '62.182.56.0', '62.182.63.255', 1052129280, 1052131327, 'BE', 'Belgium'),
(19793, '62.182.64.0', '62.182.71.255', 1052131328, 1052133375, 'UA', 'Ukraine'),
(19794, '62.182.72.0', '62.182.79.255', 1052133376, 1052135423, 'RU', 'Russian Federation'),
(19795, '62.182.80.0', '62.182.87.255', 1052135424, 1052137471, 'UA', 'Ukraine'),
(19796, '62.182.88.0', '62.182.95.255', 1052137472, 1052139519, 'RU', 'Russian Federation'),
(19797, '62.182.96.0', '62.182.103.255', 1052139520, 1052141567, 'DE', 'Germany'),
(19798, '62.182.104.0', '62.182.111.255', 1052141568, 1052143615, 'PL', 'Poland'),
(19799, '62.182.112.0', '62.182.119.255', 1052143616, 1052145663, 'BG', 'Bulgaria'),
(19800, '62.182.120.0', '62.182.127.255', 1052145664, 1052147711, 'UA', 'Ukraine'),
(19801, '62.182.128.0', '62.182.143.255', 1052147712, 1052151807, 'RU', 'Russian Federation'),
(19802, '62.182.144.0', '62.182.151.255', 1052151808, 1052153855, 'PL', 'Poland'),
(19803, '62.182.152.0', '62.182.167.255', 1052153856, 1052157951, 'UA', 'Ukraine'),
(19804, '62.182.168.0', '62.182.175.255', 1052157952, 1052159999, 'DK', 'Denmark'),
(19805, '62.182.176.0', '62.182.183.255', 1052160000, 1052162047, 'LU', 'Luxembourg'),
(19806, '62.182.184.0', '62.182.191.255', 1052162048, 1052164095, 'CH', 'Switzerland'),
(19807, '62.182.192.0', '62.182.207.255', 1052164096, 1052168191, 'RU', 'Russian Federation'),
(19808, '62.182.208.0', '62.182.215.255', 1052168192, 1052170239, 'PL', 'Poland'),
(19809, '62.182.216.0', '62.182.223.255', 1052170240, 1052172287, 'SE', 'Sweden'),
(19810, '62.182.224.0', '62.182.231.255', 1052172288, 1052174335, 'PL', 'Poland'),
(19811, '62.182.232.0', '62.182.239.255', 1052174336, 1052176383, 'CZ', 'Czech Republic'),
(19812, '62.182.240.0', '62.182.247.255', 1052176384, 1052178431, 'NL', 'Netherlands'),
(19813, '62.182.248.0', '62.182.255.255', 1052178432, 1052180479, 'DK', 'Denmark'),
(19814, '62.183.0.0', '62.183.127.255', 1052180480, 1052213247, 'RU', 'Russian Federation'),
(19815, '62.183.128.0', '62.183.255.255', 1052213248, 1052246015, 'FI', 'Finland'),
(19816, '62.184.0.0', '62.184.3.255', 1052246016, 1052247039, 'DE', 'Germany'),
(19817, '62.184.4.0', '62.184.4.255', 1052247040, 1052247295, 'FR', 'France'),
(19818, '62.184.5.0', '62.184.5.63', 1052247296, 1052247359, 'DE', 'Germany'),
(19819, '62.184.5.64', '62.184.5.95', 1052247360, 1052247391, 'FR', 'France'),
(19820, '62.184.5.96', '62.184.5.111', 1052247392, 1052247407, 'DE', 'Germany'),
(19821, '62.184.5.112', '62.184.5.119', 1052247408, 1052247415, 'GB', 'United Kingdom'),
(19822, '62.184.5.120', '62.184.5.127', 1052247416, 1052247423, 'NL', 'Netherlands'),
(19823, '62.184.5.128', '62.184.5.255', 1052247424, 1052247551, 'GB', 'United Kingdom'),
(19824, '62.184.6.0', '62.184.8.31', 1052247552, 1052248095, 'DE', 'Germany'),
(19825, '62.184.8.32', '62.184.8.63', 1052248096, 1052248127, 'ZA', 'South Africa'),
(19826, '62.184.8.64', '62.184.8.71', 1052248128, 1052248135, 'FR', 'France'),
(19827, '62.184.8.72', '62.184.8.79', 1052248136, 1052248143, 'DE', 'Germany'),
(19828, '62.184.8.80', '62.184.8.95', 1052248144, 1052248159, 'BE', 'Belgium'),
(19829, '62.184.8.96', '62.184.13.31', 1052248160, 1052249375, 'DE', 'Germany'),
(19830, '62.184.13.32', '62.184.13.63', 1052249376, 1052249407, 'IT', 'Italy'),
(19831, '62.184.13.64', '62.184.13.127', 1052249408, 1052249471, 'DE', 'Germany'),
(19832, '62.184.13.128', '62.184.13.159', 1052249472, 1052249503, 'ZA', 'South Africa'),
(19833, '62.184.13.160', '62.184.18.31', 1052249504, 1052250655, 'DE', 'Germany'),
(19834, '62.184.18.32', '62.184.18.63', 1052250656, 1052250687, 'GB', 'United Kingdom'),
(19835, '62.184.18.64', '62.184.18.95', 1052250688, 1052250719, 'IL', 'Israel'),
(19836, '62.184.18.96', '62.184.18.111', 1052250720, 1052250735, 'IT', 'Italy'),
(19837, '62.184.18.112', '62.184.18.127', 1052250736, 1052250751, 'NL', 'Netherlands'),
(19838, '62.184.18.128', '62.184.26.191', 1052250752, 1052252863, 'DE', 'Germany'),
(19839, '62.184.26.192', '62.184.26.207', 1052252864, 1052252879, 'GB', 'United Kingdom'),
(19840, '62.184.26.208', '62.184.26.223', 1052252880, 1052252895, 'ZA', 'South Africa'),
(19841, '62.184.26.224', '62.184.26.255', 1052252896, 1052252927, 'IT', 'Italy'),
(19842, '62.184.27.0', '62.184.31.255', 1052252928, 1052254207, 'DE', 'Germany'),
(19843, '62.184.32.0', '62.184.36.23', 1052254208, 1052255255, 'NL', 'Netherlands'),
(19844, '62.184.36.24', '62.184.36.31', 1052255256, 1052255263, 'GB', 'United Kingdom'),
(19845, '62.184.36.32', '62.184.38.127', 1052255264, 1052255871, 'NL', 'Netherlands'),
(19846, '62.184.38.128', '62.184.38.191', 1052255872, 1052255935, 'GB', 'United Kingdom'),
(19847, '62.184.38.192', '62.184.43.255', 1052255936, 1052257279, 'NL', 'Netherlands'),
(19848, '62.184.44.0', '62.184.45.255', 1052257280, 1052257791, 'FR', 'France'),
(19849, '62.184.46.0', '62.184.47.255', 1052257792, 1052258303, 'AT', 'Austria'),
(19850, '62.184.48.0', '62.184.57.15', 1052258304, 1052260623, 'FR', 'France'),
(19851, '62.184.57.16', '62.184.57.23', 1052260624, 1052260631, 'ZA', 'South Africa'),
(19852, '62.184.57.24', '62.184.57.31', 1052260632, 1052260639, 'AT', 'Austria'),
(19853, '62.184.57.32', '62.184.57.127', 1052260640, 1052260735, 'FR', 'France'),
(19854, '62.184.57.128', '62.184.57.255', 1052260736, 1052260863, 'NL', 'Netherlands'),
(19855, '62.184.58.0', '62.184.58.31', 1052260864, 1052260895, 'TR', 'Turkey'),
(19856, '62.184.58.32', '62.184.58.191', 1052260896, 1052261055, 'FR', 'France'),
(19857, '62.184.58.192', '62.184.58.255', 1052261056, 1052261119, 'NL', 'Netherlands'),
(19858, '62.184.59.0', '62.184.63.255', 1052261120, 1052262399, 'FR', 'France'),
(19859, '62.184.64.0', '62.184.67.255', 1052262400, 1052263423, 'DK', 'Denmark'),
(19860, '62.184.68.0', '62.184.69.255', 1052263424, 1052263935, 'DE', 'Germany'),
(19861, '62.184.70.0', '62.184.71.255', 1052263936, 1052264447, 'DK', 'Denmark'),
(19862, '62.184.72.0', '62.184.72.191', 1052264448, 1052264639, 'SE', 'Sweden'),
(19863, '62.184.72.192', '62.184.72.255', 1052264640, 1052264703, 'IT', 'Italy'),
(19864, '62.184.73.0', '62.184.75.255', 1052264704, 1052265471, 'SE', 'Sweden'),
(19865, '62.184.76.0', '62.184.76.47', 1052265472, 1052265519, 'IT', 'Italy'),
(19866, '62.184.76.48', '62.184.76.63', 1052265520, 1052265535, 'GB', 'United Kingdom'),
(19867, '62.184.76.64', '62.184.76.127', 1052265536, 1052265599, 'DE', 'Germany'),
(19868, '62.184.76.128', '62.184.77.255', 1052265600, 1052265983, 'IT', 'Italy'),
(19869, '62.184.78.0', '62.184.78.255', 1052265984, 1052266239, 'DE', 'Germany'),
(19870, '62.184.79.0', '62.184.79.255', 1052266240, 1052266495, 'GB', 'United Kingdom'),
(19871, '62.184.80.0', '62.184.87.255', 1052266496, 1052268543, 'BE', 'Belgium'),
(19872, '62.184.88.0', '62.184.88.63', 1052268544, 1052268607, 'ZA', 'South Africa'),
(19873, '62.184.88.64', '62.184.88.127', 1052268608, 1052268671, 'BE', 'Belgium'),
(19874, '62.184.88.128', '62.184.88.159', 1052268672, 1052268703, 'IT', 'Italy'),
(19875, '62.184.88.160', '62.184.88.175', 1052268704, 1052268719, 'ZA', 'South Africa'),
(19876, '62.184.88.176', '62.184.88.191', 1052268720, 1052268735, 'NL', 'Netherlands'),
(19877, '62.184.88.192', '62.184.88.255', 1052268736, 1052268799, 'DE', 'Germany'),
(19878, '62.184.89.0', '62.184.95.255', 1052268800, 1052270591, 'ZA', 'South Africa'),
(19879, '62.184.96.0', '62.184.100.255', 1052270592, 1052271871, 'FR', 'France'),
(19880, '62.184.101.0', '62.184.101.255', 1052271872, 1052272127, 'BE', 'Belgium'),
(19881, '62.184.102.0', '62.184.103.159', 1052272128, 1052272543, 'FR', 'France'),
(19882, '62.184.103.160', '62.184.103.191', 1052272544, 1052272575, 'AT', 'Austria'),
(19883, '62.184.103.192', '62.184.103.255', 1052272576, 1052272639, 'SE', 'Sweden'),
(19884, '62.184.104.0', '62.184.109.255', 1052272640, 1052274175, 'FR', 'France'),
(19885, '62.184.110.0', '62.184.111.255', 1052274176, 1052274687, 'ZA', 'South Africa'),
(19886, '62.184.112.0', '62.184.112.255', 1052274688, 1052274943, 'ES', 'Spain'),
(19887, '62.184.113.0', '62.184.113.255', 1052274944, 1052275199, 'IT', 'Italy'),
(19888, '62.184.114.0', '62.184.115.255', 1052275200, 1052275711, 'AT', 'Austria'),
(19889, '62.184.116.0', '62.184.119.255', 1052275712, 1052276735, 'GB', 'United Kingdom'),
(19890, '62.184.120.0', '62.184.125.191', 1052276736, 1052278207, 'IT', 'Italy'),
(19891, '62.184.125.192', '62.184.125.255', 1052278208, 1052278271, 'GB', 'United Kingdom'),
(19892, '62.184.126.0', '62.184.127.255', 1052278272, 1052278783, 'IT', 'Italy'),
(19893, '62.184.128.0', '62.184.128.39', 1052278784, 1052278823, 'CH', 'Switzerland'),
(19894, '62.184.128.40', '62.184.128.47', 1052278824, 1052278831, 'GB', 'United Kingdom'),
(19895, '62.184.128.48', '62.184.128.63', 1052278832, 1052278847, 'AT', 'Austria'),
(19896, '62.184.128.64', '62.184.128.79', 1052278848, 1052278863, 'ZA', 'South Africa'),
(19897, '62.184.128.80', '62.184.128.95', 1052278864, 1052278879, 'NL', 'Netherlands'),
(19898, '62.184.128.96', '62.184.150.191', 1052278880, 1052284607, 'GB', 'United Kingdom'),
(19899, '62.184.150.192', '62.184.150.255', 1052284608, 1052284671, 'EU', 'Europe'),
(19900, '62.184.151.0', '62.184.159.255', 1052284672, 1052286975, 'GB', 'United Kingdom'),
(19901, '62.184.160.0', '62.184.161.255', 1052286976, 1052287487, 'CH', 'Switzerland'),
(19902, '62.184.162.0', '62.184.164.255', 1052287488, 1052288255, 'SE', 'Sweden'),
(19903, '62.184.165.0', '62.184.165.31', 1052288256, 1052288287, 'EU', 'Europe'),
(19904, '62.184.165.32', '62.184.165.39', 1052288288, 1052288295, 'IL', 'Israel'),
(19905, '62.184.165.40', '62.184.165.47', 1052288296, 1052288303, 'BE', 'Belgium'),
(19906, '62.184.165.48', '62.184.165.63', 1052288304, 1052288319, 'AT', 'Austria'),
(19907, '62.184.165.64', '62.184.165.127', 1052288320, 1052288383, 'EU', 'Europe'),
(19908, '62.184.165.128', '62.184.165.255', 1052288384, 1052288511, 'FR', 'France'),
(19909, '62.184.166.0', '62.184.167.255', 1052288512, 1052289023, 'AT', 'Austria'),
(19910, '62.184.168.0', '62.184.168.127', 1052289024, 1052289151, 'GB', 'United Kingdom'),
(19911, '62.184.168.128', '62.184.168.159', 1052289152, 1052289183, 'CH', 'Switzerland'),
(19912, '62.184.168.160', '62.184.168.191', 1052289184, 1052289215, 'DE', 'Germany'),
(19913, '62.184.168.192', '62.184.168.255', 1052289216, 1052289279, 'GB', 'United Kingdom'),
(19914, '62.184.169.0', '62.184.169.255', 1052289280, 1052289535, 'EU', 'Europe'),
(19915, '62.184.170.0', '62.184.171.255', 1052289536, 1052290047, 'GB', 'United Kingdom'),
(19916, '62.184.172.0', '62.184.172.15', 1052290048, 1052290063, 'CH', 'Switzerland'),
(19917, '62.184.172.16', '62.184.172.255', 1052290064, 1052290303, 'GB', 'United Kingdom'),
(19918, '62.184.173.0', '62.184.173.63', 1052290304, 1052290367, 'EU', 'Europe'),
(19919, '62.184.173.64', '62.184.173.95', 1052290368, 1052290399, 'CH', 'Switzerland'),
(19920, '62.184.173.96', '62.184.173.127', 1052290400, 1052290431, 'ZA', 'South Africa'),
(19921, '62.184.173.128', '62.184.173.255', 1052290432, 1052290559, 'FR', 'France'),
(19922, '62.184.174.0', '62.184.174.15', 1052290560, 1052290575, 'GB', 'United Kingdom'),
(19923, '62.184.174.16', '62.184.174.31', 1052290576, 1052290591, 'BE', 'Belgium'),
(19924, '62.184.174.32', '62.184.174.79', 1052290592, 1052290639, 'GB', 'United Kingdom'),
(19925, '62.184.174.80', '62.184.174.95', 1052290640, 1052290655, 'ZA', 'South Africa'),
(19926, '62.184.174.96', '62.184.174.127', 1052290656, 1052290687, 'DE', 'Germany'),
(19927, '62.184.174.128', '62.184.174.255', 1052290688, 1052290815, 'GB', 'United Kingdom'),
(19928, '62.184.175.0', '62.184.175.15', 1052290816, 1052290831, 'CH', 'Switzerland'),
(19929, '62.184.175.16', '62.184.176.255', 1052290832, 1052291327, 'GB', 'United Kingdom'),
(19930, '62.184.177.0', '62.184.177.255', 1052291328, 1052291583, 'CH', 'Switzerland'),
(19931, '62.184.178.0', '62.184.178.95', 1052291584, 1052291679, 'FI', 'Finland'),
(19932, '62.184.178.96', '62.184.178.103', 1052291680, 1052291687, 'TR', 'Turkey'),
(19933, '62.184.178.104', '62.184.178.111', 1052291688, 1052291695, 'GB', 'United Kingdom'),
(19934, '62.184.178.112', '62.184.178.127', 1052291696, 1052291711, 'CH', 'Switzerland'),
(19935, '62.184.178.128', '62.184.179.255', 1052291712, 1052292095, 'FR', 'France'),
(19936, '62.184.180.0', '62.184.207.255', 1052292096, 1052299263, 'GB', 'United Kingdom'),
(19937, '62.184.208.0', '62.184.209.255', 1052299264, 1052299775, 'EU', 'Europe'),
(19938, '62.184.210.0', '62.184.223.255', 1052299776, 1052303359, 'GB', 'United Kingdom'),
(19939, '62.184.224.0', '62.184.239.255', 1052303360, 1052307455, 'DE', 'Germany'),
(19940, '62.184.240.0', '62.184.246.255', 1052307456, 1052309247, 'CH', 'Switzerland'),
(19941, '62.184.247.0', '62.184.247.255', 1052309248, 1052309503, 'NO', 'Norway'),
(19942, '62.184.248.0', '62.184.251.255', 1052309504, 1052310527, 'CH', 'Switzerland'),
(19943, '62.184.252.0', '62.184.252.255', 1052310528, 1052310783, 'FR', 'France'),
(19944, '62.184.253.0', '62.184.253.255', 1052310784, 1052311039, 'AT', 'Austria'),
(19945, '62.184.254.0', '62.184.255.255', 1052311040, 1052311551, 'GB', 'United Kingdom'),
(19946, '62.185.0.0', '62.185.0.63', 1052311552, 1052311615, 'DE', 'Germany'),
(19947, '62.185.0.64', '62.185.0.127', 1052311616, 1052311679, 'BE', 'Belgium'),
(19948, '62.185.0.128', '62.185.1.63', 1052311680, 1052311871, 'DE', 'Germany'),
(19949, '62.185.1.64', '62.185.1.87', 1052311872, 1052311895, 'BE', 'Belgium'),
(19950, '62.185.1.88', '62.185.1.95', 1052311896, 1052311903, 'NL', 'Netherlands'),
(19951, '62.185.1.96', '62.185.1.127', 1052311904, 1052311935, 'IT', 'Italy'),
(19952, '62.185.1.128', '62.185.1.159', 1052311936, 1052311967, 'GB', 'United Kingdom'),
(19953, '62.185.1.160', '62.185.1.191', 1052311968, 1052311999, 'DE', 'Germany'),
(19954, '62.185.1.192', '62.185.1.255', 1052312000, 1052312063, 'CH', 'Switzerland'),
(19955, '62.185.2.0', '62.185.4.191', 1052312064, 1052312767, 'DE', 'Germany'),
(19956, '62.185.4.192', '62.185.4.255', 1052312768, 1052312831, 'EU', 'Europe'),
(19957, '62.185.5.0', '62.185.5.63', 1052312832, 1052312895, 'DE', 'Germany'),
(19958, '62.185.5.64', '62.185.5.71', 1052312896, 1052312903, 'CH', 'Switzerland'),
(19959, '62.185.5.72', '62.185.5.79', 1052312904, 1052312911, 'ES', 'Spain'),
(19960, '62.185.5.80', '62.185.5.95', 1052312912, 1052312927, 'CH', 'Switzerland'),
(19961, '62.185.5.96', '62.185.5.255', 1052312928, 1052313087, 'GB', 'United Kingdom'),
(19962, '62.185.6.0', '62.185.12.127', 1052313088, 1052314751, 'DE', 'Germany'),
(19963, '62.185.12.128', '62.185.12.191', 1052314752, 1052314815, 'ES', 'Spain'),
(19964, '62.185.12.192', '62.185.12.199', 1052314816, 1052314823, 'DE', 'Germany'),
(19965, '62.185.12.200', '62.185.12.207', 1052314824, 1052314831, 'ES', 'Spain'),
(19966, '62.185.12.208', '62.185.12.223', 1052314832, 1052314847, 'IT', 'Italy'),
(19967, '62.185.12.224', '62.185.13.191', 1052314848, 1052315071, 'DE', 'Germany'),
(19968, '62.185.13.192', '62.185.13.223', 1052315072, 1052315103, 'IT', 'Italy'),
(19969, '62.185.13.224', '62.185.13.255', 1052315104, 1052315135, 'AT', 'Austria'),
(19970, '62.185.14.0', '62.185.15.159', 1052315136, 1052315551, 'DE', 'Germany'),
(19971, '62.185.15.160', '62.185.15.191', 1052315552, 1052315583, 'ES', 'Spain'),
(19972, '62.185.15.192', '62.185.15.255', 1052315584, 1052315647, 'GB', 'United Kingdom'),
(19973, '62.185.16.0', '62.185.18.159', 1052315648, 1052316319, 'DE', 'Germany'),
(19974, '62.185.18.160', '62.185.18.175', 1052316320, 1052316335, 'NL', 'Netherlands'),
(19975, '62.185.18.176', '62.185.20.95', 1052316336, 1052316767, 'DE', 'Germany'),
(19976, '62.185.20.96', '62.185.20.127', 1052316768, 1052316799, 'IT', 'Italy'),
(19977, '62.185.20.128', '62.185.20.255', 1052316800, 1052316927, 'DE', 'Germany'),
(19978, '62.185.21.0', '62.185.21.255', 1052316928, 1052317183, 'EU', 'Europe'),
(19979, '62.185.22.0', '62.185.23.159', 1052317184, 1052317599, 'DE', 'Germany'),
(19980, '62.185.23.160', '62.185.23.167', 1052317600, 1052317607, 'BE', 'Belgium'),
(19981, '62.185.23.168', '62.185.23.175', 1052317608, 1052317615, 'DE', 'Germany'),
(19982, '62.185.23.176', '62.185.23.191', 1052317616, 1052317631, 'GB', 'United Kingdom'),
(19983, '62.185.23.192', '62.185.23.223', 1052317632, 1052317663, 'IT', 'Italy'),
(19984, '62.185.23.224', '62.185.25.95', 1052317664, 1052318047, 'DE', 'Germany'),
(19985, '62.185.25.96', '62.185.25.127', 1052318048, 1052318079, 'ES', 'Spain'),
(19986, '62.185.25.128', '62.185.25.255', 1052318080, 1052318207, 'SE', 'Sweden'),
(19987, '62.185.26.0', '62.185.27.255', 1052318208, 1052318719, 'DE', 'Germany'),
(19988, '62.185.28.0', '62.185.29.255', 1052318720, 1052319231, 'EU', 'Europe'),
(19989, '62.185.30.0', '62.185.31.255', 1052319232, 1052319743, 'DE', 'Germany'),
(19990, '62.185.32.0', '62.185.32.255', 1052319744, 1052319999, 'EU', 'Europe'),
(19991, '62.185.33.0', '62.185.33.79', 1052320000, 1052320079, 'GB', 'United Kingdom'),
(19992, '62.185.33.80', '62.185.33.87', 1052320080, 1052320087, 'CZ', 'Czech Republic'),
(19993, '62.185.33.88', '62.185.33.95', 1052320088, 1052320095, 'GB', 'United Kingdom'),
(19994, '62.185.33.96', '62.185.33.127', 1052320096, 1052320127, 'ZA', 'South Africa'),
(19995, '62.185.33.128', '62.185.33.255', 1052320128, 1052320255, 'BE', 'Belgium'),
(19996, '62.185.34.0', '62.185.41.191', 1052320256, 1052322239, 'GB', 'United Kingdom'),
(19997, '62.185.41.192', '62.185.41.255', 1052322240, 1052322303, 'CH', 'Switzerland'),
(19998, '62.185.42.0', '62.185.48.31', 1052322304, 1052323871, 'GB', 'United Kingdom'),
(19999, '62.185.48.32', '62.185.48.63', 1052323872, 1052323903, 'CH', 'Switzerland'),
(20000, '62.185.48.64', '62.185.52.63', 1052323904, 1052324927, 'GB', 'United Kingdom'),
(20001, '62.185.52.64', '62.185.52.79', 1052324928, 1052324943, 'ZA', 'South Africa'),
(20002, '62.185.52.80', '62.185.52.95', 1052324944, 1052324959, 'NL', 'Netherlands'),
(20003, '62.185.52.96', '62.185.52.127', 1052324960, 1052324991, 'ES', 'Spain'),
(20004, '62.185.52.128', '62.185.53.71', 1052324992, 1052325191, 'GB', 'United Kingdom'),
(20005, '62.185.53.72', '62.185.53.79', 1052325192, 1052325199, 'DE', 'Germany'),
(20006, '62.185.53.80', '62.185.53.95', 1052325200, 1052325215, 'AT', 'Austria'),
(20007, '62.185.53.96', '62.185.53.127', 1052325216, 1052325247, 'ZA', 'South Africa'),
(20008, '62.185.53.128', '62.185.53.191', 1052325248, 1052325311, 'GB', 'United Kingdom'),
(20009, '62.185.53.192', '62.185.53.255', 1052325312, 1052325375, 'NL', 'Netherlands'),
(20010, '62.185.54.0', '62.185.54.191', 1052325376, 1052325567, 'GB', 'United Kingdom'),
(20011, '62.185.54.192', '62.185.54.255', 1052325568, 1052325631, 'ZA', 'South Africa'),
(20012, '62.185.55.0', '62.185.63.255', 1052325632, 1052327935, 'GB', 'United Kingdom'),
(20013, '62.185.64.0', '62.185.65.31', 1052327936, 1052328223, 'CH', 'Switzerland'),
(20014, '62.185.65.32', '62.185.65.63', 1052328224, 1052328255, 'IT', 'Italy'),
(20015, '62.185.65.64', '62.185.65.127', 1052328256, 1052328319, 'ES', 'Spain'),
(20016, '62.185.65.128', '62.185.65.255', 1052328320, 1052328447, 'DE', 'Germany'),
(20017, '62.185.66.0', '62.185.66.191', 1052328448, 1052328639, 'CH', 'Switzerland'),
(20018, '62.185.66.192', '62.185.66.223', 1052328640, 1052328671, 'ZA', 'South Africa'),
(20019, '62.185.66.224', '62.185.66.255', 1052328672, 1052328703, 'ES', 'Spain'),
(20020, '62.185.67.0', '62.185.71.255', 1052328704, 1052329983, 'CH', 'Switzerland'),
(20021, '62.185.72.0', '62.185.72.255', 1052329984, 1052330239, 'DE', 'Germany'),
(20022, '62.185.73.0', '62.185.76.159', 1052330240, 1052331167, 'CH', 'Switzerland'),
(20023, '62.185.76.160', '62.185.76.175', 1052331168, 1052331183, 'GB', 'United Kingdom'),
(20024, '62.185.76.176', '62.185.76.191', 1052331184, 1052331199, 'CH', 'Switzerland'),
(20025, '62.185.76.192', '62.185.76.255', 1052331200, 1052331263, 'GB', 'United Kingdom'),
(20026, '62.185.77.0', '62.185.78.95', 1052331264, 1052331615, 'CH', 'Switzerland'),
(20027, '62.185.78.96', '62.185.78.127', 1052331616, 1052331647, 'AT', 'Austria'),
(20028, '62.185.78.128', '62.185.78.191', 1052331648, 1052331711, 'CH', 'Switzerland'),
(20029, '62.185.78.192', '62.185.78.223', 1052331712, 1052331743, 'GB', 'United Kingdom'),
(20030, '62.185.78.224', '62.185.79.255', 1052331744, 1052332031, 'CH', 'Switzerland'),
(20031, '62.185.80.0', '62.185.84.47', 1052332032, 1052333103, 'IT', 'Italy'),
(20032, '62.185.84.48', '62.185.84.63', 1052333104, 1052333119, 'CH', 'Switzerland'),
(20033, '62.185.84.64', '62.185.84.127', 1052333120, 1052333183, 'FR', 'France'),
(20034, '62.185.84.128', '62.185.84.255', 1052333184, 1052333311, 'ZA', 'South Africa'),
(20035, '62.185.85.0', '62.185.85.255', 1052333312, 1052333567, 'EU', 'Europe'),
(20036, '62.185.86.0', '62.185.90.159', 1052333568, 1052334751, 'IT', 'Italy'),
(20037, '62.185.90.160', '62.185.90.167', 1052334752, 1052334759, 'NL', 'Netherlands'),
(20038, '62.185.90.168', '62.185.90.175', 1052334760, 1052334767, 'ZA', 'South Africa'),
(20039, '62.185.90.176', '62.185.90.223', 1052334768, 1052334815, 'GB', 'United Kingdom'),
(20040, '62.185.90.224', '62.185.90.255', 1052334816, 1052334847, 'ZA', 'South Africa'),
(20041, '62.185.91.0', '62.185.93.63', 1052334848, 1052335423, 'IT', 'Italy'),
(20042, '62.185.93.64', '62.185.93.95', 1052335424, 1052335455, 'NL', 'Netherlands'),
(20043, '62.185.93.96', '62.185.93.159', 1052335456, 1052335519, 'ES', 'Spain'),
(20044, '62.185.93.160', '62.185.93.175', 1052335520, 1052335535, 'ZA', 'South Africa'),
(20045, '62.185.93.176', '62.185.93.191', 1052335536, 1052335551, 'DE', 'Germany'),
(20046, '62.185.93.192', '62.185.93.255', 1052335552, 1052335615, 'AT', 'Austria'),
(20047, '62.185.94.0', '62.185.95.255', 1052335616, 1052336127, 'BE', 'Belgium'),
(20048, '62.185.96.0', '62.185.96.127', 1052336128, 1052336255, 'FR', 'France'),
(20049, '62.185.96.128', '62.185.96.255', 1052336256, 1052336383, 'GB', 'United Kingdom'),
(20050, '62.185.97.0', '62.185.100.191', 1052336384, 1052337343, 'FR', 'France'),
(20051, '62.185.100.192', '62.185.100.223', 1052337344, 1052337375, 'DE', 'Germany'),
(20052, '62.185.100.224', '62.185.102.95', 1052337376, 1052337759, 'FR', 'France'),
(20053, '62.185.102.96', '62.185.102.223', 1052337760, 1052337887, 'GB', 'United Kingdom'),
(20054, '62.185.102.224', '62.185.102.239', 1052337888, 1052337903, 'ZA', 'South Africa'),
(20055, '62.185.102.240', '62.185.102.247', 1052337904, 1052337911, 'NL', 'Netherlands'),
(20056, '62.185.102.248', '62.185.102.255', 1052337912, 1052337919, 'ZA', 'South Africa'),
(20057, '62.185.103.0', '62.185.111.143', 1052337920, 1052340111, 'FR', 'France'),
(20058, '62.185.111.144', '62.185.111.159', 1052340112, 1052340127, 'ES', 'Spain'),
(20059, '62.185.111.160', '62.185.111.167', 1052340128, 1052340135, 'NL', 'Netherlands'),
(20060, '62.185.111.168', '62.185.111.255', 1052340136, 1052340223, 'FR', 'France'),
(20061, '62.185.112.0', '62.185.113.47', 1052340224, 1052340527, 'AT', 'Austria'),
(20062, '62.185.113.48', '62.185.113.63', 1052340528, 1052340543, 'BE', 'Belgium'),
(20063, '62.185.113.64', '62.185.113.95', 1052340544, 1052340575, 'IT', 'Italy'),
(20064, '62.185.113.96', '62.185.113.127', 1052340576, 1052340607, 'NL', 'Netherlands'),
(20065, '62.185.113.128', '62.185.113.191', 1052340608, 1052340671, 'HU', 'Hungary'),
(20066, '62.185.113.192', '62.185.113.223', 1052340672, 1052340703, 'GB', 'United Kingdom'),
(20067, '62.185.113.224', '62.185.113.239', 1052340704, 1052340719, 'ZA', 'South Africa'),
(20068, '62.185.113.240', '62.185.113.255', 1052340720, 1052340735, 'GB', 'United Kingdom'),
(20069, '62.185.114.0', '62.185.114.31', 1052340736, 1052340767, 'AT', 'Austria'),
(20070, '62.185.114.32', '62.185.114.63', 1052340768, 1052340799, 'DE', 'Germany'),
(20071, '62.185.114.64', '62.185.114.127', 1052340800, 1052340863, 'GB', 'United Kingdom'),
(20072, '62.185.114.128', '62.185.115.255', 1052340864, 1052341247, 'AT', 'Austria'),
(20073, '62.185.116.0', '62.185.116.255', 1052341248, 1052341503, 'DE', 'Germany'),
(20074, '62.185.117.0', '62.185.119.255', 1052341504, 1052342271, 'AT', 'Austria'),
(20075, '62.185.120.0', '62.185.120.31', 1052342272, 1052342303, 'SE', 'Sweden'),
(20076, '62.185.120.32', '62.185.120.63', 1052342304, 1052342335, 'CH', 'Switzerland'),
(20077, '62.185.120.64', '62.185.120.191', 1052342336, 1052342463, 'SE', 'Sweden'),
(20078, '62.185.120.192', '62.185.120.199', 1052342464, 1052342471, 'ZA', 'South Africa'),
(20079, '62.185.120.200', '62.185.120.207', 1052342472, 1052342479, 'GB', 'United Kingdom'),
(20080, '62.185.120.208', '62.185.120.223', 1052342480, 1052342495, 'ZA', 'South Africa'),
(20081, '62.185.120.224', '62.185.120.255', 1052342496, 1052342527, 'FR', 'France'),
(20082, '62.185.121.0', '62.185.125.95', 1052342528, 1052343647, 'CH', 'Switzerland'),
(20083, '62.185.125.96', '62.185.125.103', 1052343648, 1052343655, 'NL', 'Netherlands'),
(20084, '62.185.125.104', '62.185.125.111', 1052343656, 1052343663, 'GB', 'United Kingdom'),
(20085, '62.185.125.112', '62.185.125.127', 1052343664, 1052343679, 'DE', 'Germany'),
(20086, '62.185.125.128', '62.185.127.255', 1052343680, 1052344319, 'CH', 'Switzerland'),
(20087, '62.185.128.0', '62.185.130.31', 1052344320, 1052344863, 'NL', 'Netherlands'),
(20088, '62.185.130.32', '62.185.130.63', 1052344864, 1052344895, 'ES', 'Spain'),
(20089, '62.185.130.64', '62.185.130.127', 1052344896, 1052344959, 'IT', 'Italy'),
(20090, '62.185.130.128', '62.185.130.255', 1052344960, 1052345087, 'CH', 'Switzerland'),
(20091, '62.185.131.0', '62.185.131.47', 1052345088, 1052345135, 'NL', 'Netherlands'),
(20092, '62.185.131.48', '62.185.131.63', 1052345136, 1052345151, 'GB', 'United Kingdom'),
(20093, '62.185.131.64', '62.185.131.159', 1052345152, 1052345247, 'FR', 'France'),
(20094, '62.185.131.160', '62.185.131.191', 1052345248, 1052345279, 'IT', 'Italy'),
(20095, '62.185.131.192', '62.185.131.255', 1052345280, 1052345343, 'DE', 'Germany'),
(20096, '62.185.132.0', '62.185.132.127', 1052345344, 1052345471, 'NL', 'Netherlands'),
(20097, '62.185.132.128', '62.185.132.143', 1052345472, 1052345487, 'EU', 'Europe'),
(20098, '62.185.132.144', '62.185.132.159', 1052345488, 1052345503, 'NL', 'Netherlands'),
(20099, '62.185.132.160', '62.185.132.191', 1052345504, 1052345535, 'ZA', 'South Africa'),
(20100, '62.185.132.192', '62.185.132.207', 1052345536, 1052345551, 'AT', 'Austria'),
(20101, '62.185.132.208', '62.185.132.223', 1052345552, 1052345567, 'GB', 'United Kingdom'),
(20102, '62.185.132.224', '62.185.133.31', 1052345568, 1052345631, 'NL', 'Netherlands'),
(20103, '62.185.133.32', '62.185.133.63', 1052345632, 1052345663, 'IT', 'Italy'),
(20104, '62.185.133.64', '62.185.133.95', 1052345664, 1052345695, 'HU', 'Hungary'),
(20105, '62.185.133.96', '62.185.133.127', 1052345696, 1052345727, 'PT', 'Portugal'),
(20106, '62.185.133.128', '62.185.133.255', 1052345728, 1052345855, 'AT', 'Austria'),
(20107, '62.185.134.0', '62.185.138.23', 1052345856, 1052346903, 'NL', 'Netherlands'),
(20108, '62.185.138.24', '62.185.138.31', 1052346904, 1052346911, 'BE', 'Belgium'),
(20109, '62.185.138.32', '62.185.138.63', 1052346912, 1052346943, 'ZA', 'South Africa'),
(20110, '62.185.138.64', '62.185.138.127', 1052346944, 1052347007, 'ES', 'Spain'),
(20111, '62.185.138.128', '62.185.138.255', 1052347008, 1052347135, 'DE', 'Germany'),
(20112, '62.185.139.0', '62.185.139.255', 1052347136, 1052347391, 'NL', 'Netherlands'),
(20113, '62.185.140.0', '62.185.143.255', 1052347392, 1052348415, 'CH', 'Switzerland'),
(20114, '62.185.144.0', '62.185.145.127', 1052348416, 1052348799, 'GB', 'United Kingdom'),
(20115, '62.185.145.128', '62.185.145.159', 1052348800, 1052348831, 'DE', 'Germany'),
(20116, '62.185.145.160', '62.185.145.191', 1052348832, 1052348863, 'CH', 'Switzerland'),
(20117, '62.185.145.192', '62.185.145.207', 1052348864, 1052348879, 'DE', 'Germany'),
(20118, '62.185.145.208', '62.185.145.223', 1052348880, 1052348895, 'GB', 'United Kingdom'),
(20119, '62.185.145.224', '62.185.145.255', 1052348896, 1052348927, 'DE', 'Germany'),
(20120, '62.185.146.0', '62.185.146.191', 1052348928, 1052349119, 'GB', 'United Kingdom'),
(20121, '62.185.146.192', '62.185.146.223', 1052349120, 1052349151, 'BE', 'Belgium'),
(20122, '62.185.146.224', '62.185.147.159', 1052349152, 1052349343, 'GB', 'United Kingdom'),
(20123, '62.185.147.160', '62.185.147.191', 1052349344, 1052349375, 'DE', 'Germany'),
(20124, '62.185.147.192', '62.185.147.223', 1052349376, 1052349407, 'GB', 'United Kingdom'),
(20125, '62.185.147.224', '62.185.147.255', 1052349408, 1052349439, 'ZA', 'South Africa'),
(20126, '62.185.148.0', '62.185.160.47', 1052349440, 1052352559, 'GB', 'United Kingdom'),
(20127, '62.185.160.48', '62.185.160.79', 1052352560, 1052352591, 'ZA', 'South Africa'),
(20128, '62.185.160.80', '62.185.160.95', 1052352592, 1052352607, 'GB', 'United Kingdom'),
(20129, '62.185.160.96', '62.185.160.127', 1052352608, 1052352639, 'EU', 'Europe'),
(20130, '62.185.160.128', '62.185.160.191', 1052352640, 1052352703, 'GB', 'United Kingdom'),
(20131, '62.185.160.192', '62.185.160.255', 1052352704, 1052352767, 'DE', 'Germany'),
(20132, '62.185.161.0', '62.185.161.159', 1052352768, 1052352927, 'GB', 'United Kingdom'),
(20133, '62.185.161.160', '62.185.161.191', 1052352928, 1052352959, 'IT', 'Italy'),
(20134, '62.185.161.192', '62.185.161.223', 1052352960, 1052352991, 'ES', 'Spain'),
(20135, '62.185.161.224', '62.185.161.255', 1052352992, 1052353023, 'BE', 'Belgium'),
(20136, '62.185.162.0', '62.185.162.255', 1052353024, 1052353279, 'IT', 'Italy'),
(20137, '62.185.163.0', '62.185.163.127', 1052353280, 1052353407, 'DE', 'Germany'),
(20138, '62.185.163.128', '62.185.163.255', 1052353408, 1052353535, 'EU', 'Europe'),
(20139, '62.185.164.0', '62.185.166.63', 1052353536, 1052354111, 'DE', 'Germany'),
(20140, '62.185.166.64', '62.185.166.127', 1052354112, 1052354175, 'TR', 'Turkey'),
(20141, '62.185.166.128', '62.185.167.255', 1052354176, 1052354559, 'DE', 'Germany'),
(20142, '62.185.168.0', '62.185.175.255', 1052354560, 1052356607, 'GB', 'United Kingdom'),
(20143, '62.185.176.0', '62.185.176.95', 1052356608, 1052356703, 'ZA', 'South Africa'),
(20144, '62.185.176.96', '62.185.176.127', 1052356704, 1052356735, 'ES', 'Spain'),
(20145, '62.185.176.128', '62.185.176.191', 1052356736, 1052356799, 'RU', 'Russian Federation'),
(20146, '62.185.176.192', '62.185.176.255', 1052356800, 1052356863, 'IE', 'Ireland'),
(20147, '62.185.177.0', '62.185.183.79', 1052356864, 1052358479, 'ZA', 'South Africa'),
(20148, '62.185.183.80', '62.185.183.95', 1052358480, 1052358495, 'GB', 'United Kingdom'),
(20149, '62.185.183.96', '62.185.183.111', 1052358496, 1052358511, 'AT', 'Austria'),
(20150, '62.185.183.112', '62.185.183.127', 1052358512, 1052358527, 'ZA', 'South Africa'),
(20151, '62.185.183.128', '62.185.183.255', 1052358528, 1052358655, 'DE', 'Germany'),
(20152, '62.185.184.0', '62.185.188.159', 1052358656, 1052359839, 'ZA', 'South Africa'),
(20153, '62.185.188.160', '62.185.188.191', 1052359840, 1052359871, 'IE', 'Ireland'),
(20154, '62.185.188.192', '62.185.188.255', 1052359872, 1052359935, 'IT', 'Italy'),
(20155, '62.185.189.0', '62.185.192.31', 1052359936, 1052360735, 'ZA', 'South Africa'),
(20156, '62.185.192.32', '62.185.192.39', 1052360736, 1052360743, 'GB', 'United Kingdom'),
(20157, '62.185.192.40', '62.185.192.63', 1052360744, 1052360767, 'ZA', 'South Africa'),
(20158, '62.185.192.64', '62.185.192.79', 1052360768, 1052360783, 'DE', 'Germany'),
(20159, '62.185.192.80', '62.185.192.127', 1052360784, 1052360831, 'IT', 'Italy'),
(20160, '62.185.192.128', '62.185.192.255', 1052360832, 1052360959, 'GB', 'United Kingdom'),
(20161, '62.185.193.0', '62.185.193.31', 1052360960, 1052360991, 'FR', 'France'),
(20162, '62.185.193.32', '62.185.193.63', 1052360992, 1052361023, 'BE', 'Belgium'),
(20163, '62.185.193.64', '62.185.193.79', 1052361024, 1052361039, 'ZA', 'South Africa'),
(20164, '62.185.193.80', '62.185.193.95', 1052361040, 1052361055, 'NL', 'Netherlands'),
(20165, '62.185.193.96', '62.185.193.127', 1052361056, 1052361087, 'DE', 'Germany'),
(20166, '62.185.193.128', '62.185.193.191', 1052361088, 1052361151, 'ES', 'Spain'),
(20167, '62.185.193.192', '62.185.193.255', 1052361152, 1052361215, 'GB', 'United Kingdom'),
(20168, '62.185.194.0', '62.185.194.255', 1052361216, 1052361471, 'ZA', 'South Africa'),
(20169, '62.185.195.0', '62.185.195.175', 1052361472, 1052361647, 'BE', 'Belgium'),
(20170, '62.185.195.176', '62.185.195.183', 1052361648, 1052361655, 'GB', 'United Kingdom'),
(20171, '62.185.195.184', '62.185.195.191', 1052361656, 1052361663, 'DE', 'Germany'),
(20172, '62.185.195.192', '62.185.195.223', 1052361664, 1052361695, 'BE', 'Belgium'),
(20173, '62.185.195.224', '62.185.195.255', 1052361696, 1052361727, 'CH', 'Switzerland'),
(20174, '62.185.196.0', '62.185.196.191', 1052361728, 1052361919, 'IT', 'Italy'),
(20175, '62.185.196.192', '62.185.196.223', 1052361920, 1052361951, 'ZA', 'South Africa'),
(20176, '62.185.196.224', '62.185.196.239', 1052361952, 1052361967, 'IT', 'Italy'),
(20177, '62.185.196.240', '62.185.196.255', 1052361968, 1052361983, 'ZA', 'South Africa'),
(20178, '62.185.197.0', '62.185.197.255', 1052361984, 1052362239, 'IT', 'Italy'),
(20179, '62.185.198.0', '62.185.199.255', 1052362240, 1052362751, 'DK', 'Denmark'),
(20180, '62.185.200.0', '62.185.200.31', 1052362752, 1052362783, 'ES', 'Spain'),
(20181, '62.185.200.32', '62.185.200.63', 1052362784, 1052362815, 'GB', 'United Kingdom'),
(20182, '62.185.200.64', '62.185.200.127', 1052362816, 1052362879, 'CH', 'Switzerland'),
(20183, '62.185.200.128', '62.185.201.31', 1052362880, 1052363039, 'ES', 'Spain'),
(20184, '62.185.201.32', '62.185.201.63', 1052363040, 1052363071, 'EU', 'Europe'),
(20185, '62.185.201.64', '62.185.201.127', 1052363072, 1052363135, 'GB', 'United Kingdom'),
(20186, '62.185.201.128', '62.185.201.255', 1052363136, 1052363263, 'ES', 'Spain'),
(20187, '62.185.202.0', '62.185.206.255', 1052363264, 1052364543, 'DE', 'Germany'),
(20188, '62.185.207.0', '62.185.207.127', 1052364544, 1052364671, 'BE', 'Belgium'),
(20189, '62.185.207.128', '62.185.207.143', 1052364672, 1052364687, 'DE', 'Germany'),
(20190, '62.185.207.144', '62.185.207.151', 1052364688, 1052364695, 'GB', 'United Kingdom'),
(20191, '62.185.207.152', '62.185.207.159', 1052364696, 1052364703, 'NL', 'Netherlands'),
(20192, '62.185.207.160', '62.185.207.255', 1052364704, 1052364799, 'GB', 'United Kingdom'),
(20193, '62.185.208.0', '62.185.213.127', 1052364800, 1052366207, 'BE', 'Belgium'),
(20194, '62.185.213.128', '62.185.213.191', 1052366208, 1052366271, 'IE', 'Ireland'),
(20195, '62.185.213.192', '62.185.213.255', 1052366272, 1052366335, 'GB', 'United Kingdom'),
(20196, '62.185.214.0', '62.185.215.63', 1052366336, 1052366655, 'BE', 'Belgium'),
(20197, '62.185.215.64', '62.185.215.127', 1052366656, 1052366719, 'DE', 'Germany'),
(20198, '62.185.215.128', '62.185.219.255', 1052366720, 1052367871, 'BE', 'Belgium'),
(20199, '62.185.220.0', '62.185.223.255', 1052367872, 1052368895, 'DK', 'Denmark'),
(20200, '62.185.224.0', '62.185.224.127', 1052368896, 1052369023, 'IE', 'Ireland'),
(20201, '62.185.224.128', '62.185.224.143', 1052369024, 1052369039, 'IT', 'Italy'),
(20202, '62.185.224.144', '62.185.224.159', 1052369040, 1052369055, 'DE', 'Germany'),
(20203, '62.185.224.160', '62.185.224.191', 1052369056, 1052369087, 'ZA', 'South Africa'),
(20204, '62.185.224.192', '62.185.224.255', 1052369088, 1052369151, 'IT', 'Italy'),
(20205, '62.185.225.0', '62.185.225.255', 1052369152, 1052369407, 'IE', 'Ireland'),
(20206, '62.185.226.0', '62.185.226.255', 1052369408, 1052369663, 'HU', 'Hungary'),
(20207, '62.185.227.0', '62.185.227.191', 1052369664, 1052369855, 'CZ', 'Czech Republic'),
(20208, '62.185.227.192', '62.185.227.223', 1052369856, 1052369887, 'EU', 'Europe'),
(20209, '62.185.227.224', '62.185.227.255', 1052369888, 1052369919, 'CZ', 'Czech Republic'),
(20210, '62.185.228.0', '62.185.228.255', 1052369920, 1052370175, 'NO', 'Norway'),
(20211, '62.185.229.0', '62.185.229.255', 1052370176, 1052370431, 'DK', 'Denmark'),
(20212, '62.185.230.0', '62.185.230.127', 1052370432, 1052370559, 'SE', 'Sweden'),
(20213, '62.185.230.128', '62.185.230.191', 1052370560, 1052370623, 'DE', 'Germany'),
(20214, '62.185.230.192', '62.185.230.255', 1052370624, 1052370687, 'IT', 'Italy'),
(20215, '62.185.231.0', '62.185.231.255', 1052370688, 1052370943, 'DK', 'Denmark'),
(20216, '62.185.232.0', '62.185.237.31', 1052370944, 1052372255, 'GB', 'United Kingdom'),
(20217, '62.185.237.32', '62.185.237.63', 1052372256, 1052372287, 'ZA', 'South Africa'),
(20218, '62.185.237.64', '62.185.237.127', 1052372288, 1052372351, 'FI', 'Finland'),
(20219, '62.185.237.128', '62.185.243.255', 1052372352, 1052374015, 'GB', 'United Kingdom'),
(20220, '62.185.244.0', '62.185.247.255', 1052374016, 1052375039, 'CH', 'Switzerland'),
(20221, '62.185.248.0', '62.185.249.255', 1052375040, 1052375551, 'DE', 'Germany'),
(20222, '62.185.250.0', '62.185.250.127', 1052375552, 1052375679, 'EU', 'Europe'),
(20223, '62.185.250.128', '62.185.250.159', 1052375680, 1052375711, 'DE', 'Germany'),
(20224, '62.185.250.160', '62.185.250.255', 1052375712, 1052375807, 'FR', 'France'),
(20225, '62.185.251.0', '62.185.251.255', 1052375808, 1052376063, 'DE', 'Germany'),
(20226, '62.185.252.0', '62.185.252.255', 1052376064, 1052376319, 'EU', 'Europe'),
(20227, '62.185.253.0', '62.185.254.255', 1052376320, 1052376831, 'DE', 'Germany'),
(20228, '62.185.255.0', '62.185.255.255', 1052376832, 1052377087, 'ES', 'Spain'),
(20229, '62.186.0.0', '62.186.1.191', 1052377088, 1052377535, 'DE', 'Germany'),
(20230, '62.186.1.192', '62.186.1.255', 1052377536, 1052377599, 'NO', 'Norway'),
(20231, '62.186.2.0', '62.186.2.143', 1052377600, 1052377743, 'FR', 'France'),
(20232, '62.186.2.144', '62.186.2.159', 1052377744, 1052377759, 'NL', 'Netherlands'),
(20233, '62.186.2.160', '62.186.2.191', 1052377760, 1052377791, 'ZA', 'South Africa'),
(20234, '62.186.2.192', '62.186.2.255', 1052377792, 1052377855, 'GB', 'United Kingdom'),
(20235, '62.186.3.0', '62.186.3.15', 1052377856, 1052377871, 'DE', 'Germany'),
(20236, '62.186.3.16', '62.186.3.31', 1052377872, 1052377887, 'CH', 'Switzerland'),
(20237, '62.186.3.32', '62.186.3.63', 1052377888, 1052377919, 'EU', 'Europe'),
(20238, '62.186.3.64', '62.186.3.95', 1052377920, 1052377951, 'DE', 'Germany'),
(20239, '62.186.3.96', '62.186.3.127', 1052377952, 1052377983, 'FR', 'France'),
(20240, '62.186.3.128', '62.186.3.191', 1052377984, 1052378047, 'GB', 'United Kingdom'),
(20241, '62.186.3.192', '62.186.3.223', 1052378048, 1052378079, 'FR', 'France'),
(20242, '62.186.3.224', '62.186.3.255', 1052378080, 1052378111, 'NL', 'Netherlands'),
(20243, '62.186.4.0', '62.186.7.103', 1052378112, 1052378983, 'DE', 'Germany'),
(20244, '62.186.7.104', '62.186.7.111', 1052378984, 1052378991, 'NO', 'Norway'),
(20245, '62.186.7.112', '62.186.7.151', 1052378992, 1052379031, 'GB', 'United Kingdom'),
(20246, '62.186.7.152', '62.186.7.159', 1052379032, 1052379039, 'DE', 'Germany'),
(20247, '62.186.7.160', '62.186.7.223', 1052379040, 1052379103, 'GB', 'United Kingdom'),
(20248, '62.186.7.224', '62.186.7.255', 1052379104, 1052379135, 'SE', 'Sweden'),
(20249, '62.186.8.0', '62.186.8.255', 1052379136, 1052379391, 'EU', 'Europe'),
(20250, '62.186.9.0', '62.186.10.143', 1052379392, 1052379791, 'DE', 'Germany'),
(20251, '62.186.10.144', '62.186.10.151', 1052379792, 1052379799, 'GB', 'United Kingdom'),
(20252, '62.186.10.152', '62.186.10.159', 1052379800, 1052379807, 'NL', 'Netherlands'),
(20253, '62.186.10.160', '62.186.10.191', 1052379808, 1052379839, 'DE', 'Germany'),
(20254, '62.186.10.192', '62.186.10.255', 1052379840, 1052379903, 'ZA', 'South Africa'),
(20255, '62.186.11.0', '62.186.11.159', 1052379904, 1052380063, 'GB', 'United Kingdom'),
(20256, '62.186.11.160', '62.186.11.223', 1052380064, 1052380127, 'DE', 'Germany'),
(20257, '62.186.11.224', '62.186.11.255', 1052380128, 1052380159, 'NL', 'Netherlands'),
(20258, '62.186.12.0', '62.186.15.255', 1052380160, 1052381183, 'DE', 'Germany'),
(20259, '62.186.16.0', '62.186.16.255', 1052381184, 1052381439, 'EU', 'Europe'),
(20260, '62.186.17.0', '62.186.21.159', 1052381440, 1052382623, 'DE', 'Germany'),
(20261, '62.186.21.160', '62.186.21.191', 1052382624, 1052382655, 'EU', 'Europe'),
(20262, '62.186.21.192', '62.186.21.255', 1052382656, 1052382719, 'ES', 'Spain'),
(20263, '62.186.22.0', '62.186.22.255', 1052382720, 1052382975, 'DE', 'Germany'),
(20264, '62.186.23.0', '62.186.26.255', 1052382976, 1052383999, 'GB', 'United Kingdom'),
(20265, '62.186.27.0', '62.186.27.255', 1052384000, 1052384255, 'NL', 'Netherlands'),
(20266, '62.186.28.0', '62.186.31.255', 1052384256, 1052385279, 'GB', 'United Kingdom'),
(20267, '62.186.32.0', '62.186.32.255', 1052385280, 1052385535, 'DE', 'Germany'),
(20268, '62.186.33.0', '62.186.33.79', 1052385536, 1052385615, 'GB', 'United Kingdom'),
(20269, '62.186.33.80', '62.186.33.95', 1052385616, 1052385631, 'ZA', 'South Africa'),
(20270, '62.186.33.96', '62.186.33.159', 1052385632, 1052385695, 'GB', 'United Kingdom'),
(20271, '62.186.33.160', '62.186.33.255', 1052385696, 1052385791, 'FR', 'France'),
(20272, '62.186.34.0', '62.186.45.255', 1052385792, 1052388863, 'GB', 'United Kingdom'),
(20273, '62.186.46.0', '62.186.46.255', 1052388864, 1052389119, 'NL', 'Netherlands'),
(20274, '62.186.47.0', '62.186.52.31', 1052389120, 1052390431, 'GB', 'United Kingdom'),
(20275, '62.186.52.32', '62.186.52.47', 1052390432, 1052390447, 'ZA', 'South Africa'),
(20276, '62.186.52.48', '62.186.52.55', 1052390448, 1052390455, 'GB', 'United Kingdom'),
(20277, '62.186.52.56', '62.186.52.63', 1052390456, 1052390463, 'IT', 'Italy'),
(20278, '62.186.52.64', '62.186.63.255', 1052390464, 1052393471, 'GB', 'United Kingdom'),
(20279, '62.186.64.0', '62.186.64.127', 1052393472, 1052393599, 'CH', 'Switzerland'),
(20280, '62.186.64.128', '62.186.64.223', 1052393600, 1052393695, 'FR', 'France'),
(20281, '62.186.64.224', '62.186.67.31', 1052393696, 1052394271, 'CH', 'Switzerland'),
(20282, '62.186.67.32', '62.186.67.63', 1052394272, 1052394303, 'ZA', 'South Africa'),
(20283, '62.186.67.64', '62.186.67.127', 1052394304, 1052394367, 'GB', 'United Kingdom'),
(20284, '62.186.67.128', '62.186.70.255', 1052394368, 1052395263, 'CH', 'Switzerland'),
(20285, '62.186.71.0', '62.186.72.159', 1052395264, 1052395679, 'GB', 'United Kingdom'),
(20286, '62.186.72.160', '62.186.72.223', 1052395680, 1052395743, 'DE', 'Germany'),
(20287, '62.186.72.224', '62.186.72.255', 1052395744, 1052395775, 'ES', 'Spain'),
(20288, '62.186.73.0', '62.186.73.255', 1052395776, 1052396031, 'NL', 'Netherlands'),
(20289, '62.186.74.0', '62.186.75.255', 1052396032, 1052396543, 'CH', 'Switzerland'),
(20290, '62.186.76.0', '62.186.76.63', 1052396544, 1052396607, 'SE', 'Sweden'),
(20291, '62.186.76.64', '62.186.76.127', 1052396608, 1052396671, 'BE', 'Belgium'),
(20292, '62.186.76.128', '62.186.76.255', 1052396672, 1052396799, 'SE', 'Sweden');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(20293, '62.186.77.0', '62.186.77.63', 1052396800, 1052396863, 'TR', 'Turkey'),
(20294, '62.186.77.64', '62.186.77.127', 1052396864, 1052396927, 'RO', 'Romania'),
(20295, '62.186.77.128', '62.186.79.127', 1052396928, 1052397439, 'HU', 'Hungary'),
(20296, '62.186.79.128', '62.186.79.255', 1052397440, 1052397567, 'EU', 'Europe'),
(20297, '62.186.80.0', '62.186.85.191', 1052397568, 1052399039, 'IT', 'Italy'),
(20298, '62.186.85.192', '62.186.85.255', 1052399040, 1052399103, 'NO', 'Norway'),
(20299, '62.186.86.0', '62.186.89.31', 1052399104, 1052399903, 'IT', 'Italy'),
(20300, '62.186.89.32', '62.186.89.47', 1052399904, 1052399919, 'DE', 'Germany'),
(20301, '62.186.89.48', '62.186.89.55', 1052399920, 1052399927, 'NL', 'Netherlands'),
(20302, '62.186.89.56', '62.186.89.63', 1052399928, 1052399935, 'FR', 'France'),
(20303, '62.186.89.64', '62.186.89.127', 1052399936, 1052399999, 'IT', 'Italy'),
(20304, '62.186.89.128', '62.186.89.255', 1052400000, 1052400127, 'BE', 'Belgium'),
(20305, '62.186.90.0', '62.186.93.255', 1052400128, 1052401151, 'IT', 'Italy'),
(20306, '62.186.94.0', '62.186.94.127', 1052401152, 1052401279, 'BE', 'Belgium'),
(20307, '62.186.94.128', '62.186.94.159', 1052401280, 1052401311, 'IT', 'Italy'),
(20308, '62.186.94.160', '62.186.94.191', 1052401312, 1052401343, 'AT', 'Austria'),
(20309, '62.186.94.192', '62.186.94.255', 1052401344, 1052401407, 'ZA', 'South Africa'),
(20310, '62.186.95.0', '62.186.95.191', 1052401408, 1052401599, 'BE', 'Belgium'),
(20311, '62.186.95.192', '62.186.95.223', 1052401600, 1052401631, 'GB', 'United Kingdom'),
(20312, '62.186.95.224', '62.186.95.255', 1052401632, 1052401663, 'RU', 'Russian Federation'),
(20313, '62.186.96.0', '62.186.97.127', 1052401664, 1052402047, 'FR', 'France'),
(20314, '62.186.97.128', '62.186.97.255', 1052402048, 1052402175, 'NL', 'Netherlands'),
(20315, '62.186.98.0', '62.186.98.95', 1052402176, 1052402271, 'FR', 'France'),
(20316, '62.186.98.96', '62.186.98.127', 1052402272, 1052402303, 'IT', 'Italy'),
(20317, '62.186.98.128', '62.186.98.191', 1052402304, 1052402367, 'GB', 'United Kingdom'),
(20318, '62.186.98.192', '62.186.102.159', 1052402368, 1052403359, 'FR', 'France'),
(20319, '62.186.102.160', '62.186.102.191', 1052403360, 1052403391, 'DE', 'Germany'),
(20320, '62.186.102.192', '62.186.102.207', 1052403392, 1052403407, 'IT', 'Italy'),
(20321, '62.186.102.208', '62.186.102.215', 1052403408, 1052403415, 'GB', 'United Kingdom'),
(20322, '62.186.102.216', '62.186.102.223', 1052403416, 1052403423, 'NL', 'Netherlands'),
(20323, '62.186.102.224', '62.186.102.255', 1052403424, 1052403455, 'RO', 'Romania'),
(20324, '62.186.103.0', '62.186.104.15', 1052403456, 1052403727, 'FR', 'France'),
(20325, '62.186.104.16', '62.186.104.31', 1052403728, 1052403743, 'NL', 'Netherlands'),
(20326, '62.186.104.32', '62.186.104.63', 1052403744, 1052403775, 'FR', 'France'),
(20327, '62.186.104.64', '62.186.104.95', 1052403776, 1052403807, 'ZA', 'South Africa'),
(20328, '62.186.104.96', '62.186.104.127', 1052403808, 1052403839, 'EU', 'Europe'),
(20329, '62.186.104.128', '62.186.104.255', 1052403840, 1052403967, 'CH', 'Switzerland'),
(20330, '62.186.105.0', '62.186.106.159', 1052403968, 1052404383, 'FR', 'France'),
(20331, '62.186.106.160', '62.186.106.175', 1052404384, 1052404399, 'ZA', 'South Africa'),
(20332, '62.186.106.176', '62.186.106.223', 1052404400, 1052404447, 'FR', 'France'),
(20333, '62.186.106.224', '62.186.106.255', 1052404448, 1052404479, 'GB', 'United Kingdom'),
(20334, '62.186.107.0', '62.186.108.31', 1052404480, 1052404767, 'FR', 'France'),
(20335, '62.186.108.32', '62.186.108.47', 1052404768, 1052404783, 'ZA', 'South Africa'),
(20336, '62.186.108.48', '62.186.108.63', 1052404784, 1052404799, 'GB', 'United Kingdom'),
(20337, '62.186.108.64', '62.186.108.127', 1052404800, 1052404863, 'FR', 'France'),
(20338, '62.186.108.128', '62.186.108.255', 1052404864, 1052404991, 'GB', 'United Kingdom'),
(20339, '62.186.109.0', '62.186.111.255', 1052404992, 1052405759, 'FR', 'France'),
(20340, '62.186.112.0', '62.186.118.223', 1052405760, 1052407519, 'AT', 'Austria'),
(20341, '62.186.118.224', '62.186.118.239', 1052407520, 1052407535, 'FR', 'France'),
(20342, '62.186.118.240', '62.186.118.255', 1052407536, 1052407551, 'SE', 'Sweden'),
(20343, '62.186.119.0', '62.186.120.31', 1052407552, 1052407839, 'AT', 'Austria'),
(20344, '62.186.120.32', '62.186.120.63', 1052407840, 1052407871, 'ZA', 'South Africa'),
(20345, '62.186.120.64', '62.186.120.79', 1052407872, 1052407887, 'DE', 'Germany'),
(20346, '62.186.120.80', '62.186.120.95', 1052407888, 1052407903, 'ZA', 'South Africa'),
(20347, '62.186.120.96', '62.186.120.127', 1052407904, 1052407935, 'DE', 'Germany'),
(20348, '62.186.120.128', '62.186.121.95', 1052407936, 1052408159, 'AT', 'Austria'),
(20349, '62.186.121.96', '62.186.122.63', 1052408160, 1052408383, 'GB', 'United Kingdom'),
(20350, '62.186.122.64', '62.186.122.127', 1052408384, 1052408447, 'BE', 'Belgium'),
(20351, '62.186.122.128', '62.186.122.191', 1052408448, 1052408511, 'FR', 'France'),
(20352, '62.186.122.192', '62.186.122.255', 1052408512, 1052408575, 'GB', 'United Kingdom'),
(20353, '62.186.123.0', '62.186.123.255', 1052408576, 1052408831, 'AT', 'Austria'),
(20354, '62.186.124.0', '62.186.127.255', 1052408832, 1052409855, 'GB', 'United Kingdom'),
(20355, '62.186.128.0', '62.186.128.7', 1052409856, 1052409863, 'NL', 'Netherlands'),
(20356, '62.186.128.8', '62.186.128.15', 1052409864, 1052409871, 'DE', 'Germany'),
(20357, '62.186.128.16', '62.186.128.95', 1052409872, 1052409951, 'NL', 'Netherlands'),
(20358, '62.186.128.96', '62.186.128.127', 1052409952, 1052409983, 'BE', 'Belgium'),
(20359, '62.186.128.128', '62.186.128.191', 1052409984, 1052410047, 'GB', 'United Kingdom'),
(20360, '62.186.128.192', '62.186.128.255', 1052410048, 1052410111, 'BE', 'Belgium'),
(20361, '62.186.129.0', '62.186.132.255', 1052410112, 1052411135, 'EU', 'Europe'),
(20362, '62.186.133.0', '62.186.137.167', 1052411136, 1052412327, 'NL', 'Netherlands'),
(20363, '62.186.137.168', '62.186.137.175', 1052412328, 1052412335, 'EU', 'Europe'),
(20364, '62.186.137.176', '62.186.137.183', 1052412336, 1052412343, 'NL', 'Netherlands'),
(20365, '62.186.137.184', '62.186.137.191', 1052412344, 1052412351, 'GB', 'United Kingdom'),
(20366, '62.186.137.192', '62.186.137.255', 1052412352, 1052412415, 'CH', 'Switzerland'),
(20367, '62.186.138.0', '62.186.138.255', 1052412416, 1052412671, 'EU', 'Europe'),
(20368, '62.186.139.0', '62.186.139.159', 1052412672, 1052412831, 'NL', 'Netherlands'),
(20369, '62.186.139.160', '62.186.139.191', 1052412832, 1052412863, 'DE', 'Germany'),
(20370, '62.186.139.192', '62.186.143.255', 1052412864, 1052413951, 'NL', 'Netherlands'),
(20371, '62.186.144.0', '62.186.145.127', 1052413952, 1052414335, 'CZ', 'Czech Republic'),
(20372, '62.186.145.128', '62.186.145.255', 1052414336, 1052414463, 'EU', 'Europe'),
(20373, '62.186.146.0', '62.186.147.255', 1052414464, 1052414975, 'IE', 'Ireland'),
(20374, '62.186.148.0', '62.186.151.255', 1052414976, 1052415999, 'BE', 'Belgium'),
(20375, '62.186.152.0', '62.186.154.63', 1052416000, 1052416575, 'DE', 'Germany'),
(20376, '62.186.154.64', '62.186.154.127', 1052416576, 1052416639, 'ZA', 'South Africa'),
(20377, '62.186.154.128', '62.186.154.159', 1052416640, 1052416671, 'GB', 'United Kingdom'),
(20378, '62.186.154.160', '62.186.154.191', 1052416672, 1052416703, 'DE', 'Germany'),
(20379, '62.186.154.192', '62.186.154.223', 1052416704, 1052416735, 'IT', 'Italy'),
(20380, '62.186.154.224', '62.186.154.255', 1052416736, 1052416767, 'DE', 'Germany'),
(20381, '62.186.155.0', '62.186.156.47', 1052416768, 1052417071, 'NO', 'Norway'),
(20382, '62.186.156.48', '62.186.156.63', 1052417072, 1052417087, 'DE', 'Germany'),
(20383, '62.186.156.64', '62.186.156.95', 1052417088, 1052417119, 'AT', 'Austria'),
(20384, '62.186.156.96', '62.186.156.127', 1052417120, 1052417151, 'IT', 'Italy'),
(20385, '62.186.156.128', '62.186.156.255', 1052417152, 1052417279, 'GB', 'United Kingdom'),
(20386, '62.186.157.0', '62.186.157.79', 1052417280, 1052417359, 'NO', 'Norway'),
(20387, '62.186.157.80', '62.186.157.87', 1052417360, 1052417367, 'EU', 'Europe'),
(20388, '62.186.157.88', '62.186.157.255', 1052417368, 1052417535, 'NO', 'Norway'),
(20389, '62.186.158.0', '62.186.159.255', 1052417536, 1052418047, 'ZA', 'South Africa'),
(20390, '62.186.160.0', '62.186.165.255', 1052418048, 1052419583, 'BE', 'Belgium'),
(20391, '62.186.166.0', '62.186.167.191', 1052419584, 1052420031, 'IT', 'Italy'),
(20392, '62.186.167.192', '62.186.167.223', 1052420032, 1052420063, 'EU', 'Europe'),
(20393, '62.186.167.224', '62.186.167.255', 1052420064, 1052420095, 'IT', 'Italy'),
(20394, '62.186.168.0', '62.186.170.127', 1052420096, 1052420735, 'GB', 'United Kingdom'),
(20395, '62.186.170.128', '62.186.170.159', 1052420736, 1052420767, 'DE', 'Germany'),
(20396, '62.186.170.160', '62.186.170.175', 1052420768, 1052420783, 'GB', 'United Kingdom'),
(20397, '62.186.170.176', '62.186.170.191', 1052420784, 1052420799, 'ZA', 'South Africa'),
(20398, '62.186.170.192', '62.186.170.255', 1052420800, 1052420863, 'DE', 'Germany'),
(20399, '62.186.171.0', '62.186.175.255', 1052420864, 1052422143, 'GB', 'United Kingdom'),
(20400, '62.186.176.0', '62.186.178.191', 1052422144, 1052422847, 'ZA', 'South Africa'),
(20401, '62.186.178.192', '62.186.178.207', 1052422848, 1052422863, 'SE', 'Sweden'),
(20402, '62.186.178.208', '62.186.178.223', 1052422864, 1052422879, 'FR', 'France'),
(20403, '62.186.178.224', '62.186.180.31', 1052422880, 1052423199, 'ZA', 'South Africa'),
(20404, '62.186.180.32', '62.186.180.63', 1052423200, 1052423231, 'CH', 'Switzerland'),
(20405, '62.186.180.64', '62.186.180.127', 1052423232, 1052423295, 'ZA', 'South Africa'),
(20406, '62.186.180.128', '62.186.180.135', 1052423296, 1052423303, 'EU', 'Europe'),
(20407, '62.186.180.136', '62.186.180.143', 1052423304, 1052423311, 'CH', 'Switzerland'),
(20408, '62.186.180.144', '62.186.180.191', 1052423312, 1052423359, 'EU', 'Europe'),
(20409, '62.186.180.192', '62.186.180.255', 1052423360, 1052423423, 'NL', 'Netherlands'),
(20410, '62.186.181.0', '62.186.183.31', 1052423424, 1052423967, 'ZA', 'South Africa'),
(20411, '62.186.183.32', '62.186.183.63', 1052423968, 1052423999, 'EU', 'Europe'),
(20412, '62.186.183.64', '62.186.186.95', 1052424000, 1052424799, 'ZA', 'South Africa'),
(20413, '62.186.186.96', '62.186.186.111', 1052424800, 1052424815, 'GB', 'United Kingdom'),
(20414, '62.186.186.112', '62.186.186.119', 1052424816, 1052424823, 'ES', 'Spain'),
(20415, '62.186.186.120', '62.186.186.127', 1052424824, 1052424831, 'BE', 'Belgium'),
(20416, '62.186.186.128', '62.186.186.255', 1052424832, 1052424959, 'GB', 'United Kingdom'),
(20417, '62.186.187.0', '62.186.187.191', 1052424960, 1052425151, 'ZA', 'South Africa'),
(20418, '62.186.187.192', '62.186.187.255', 1052425152, 1052425215, 'BE', 'Belgium'),
(20419, '62.186.188.0', '62.186.191.255', 1052425216, 1052426239, 'ZA', 'South Africa'),
(20420, '62.186.192.0', '62.186.192.79', 1052426240, 1052426319, 'PT', 'Portugal'),
(20421, '62.186.192.80', '62.186.192.87', 1052426320, 1052426327, 'EU', 'Europe'),
(20422, '62.186.192.88', '62.186.192.255', 1052426328, 1052426495, 'PT', 'Portugal'),
(20423, '62.186.193.0', '62.186.193.15', 1052426496, 1052426511, 'EU', 'Europe'),
(20424, '62.186.193.16', '62.186.193.31', 1052426512, 1052426527, 'FR', 'France'),
(20425, '62.186.193.32', '62.186.193.255', 1052426528, 1052426751, 'EU', 'Europe'),
(20426, '62.186.194.0', '62.186.195.255', 1052426752, 1052427263, 'NL', 'Netherlands'),
(20427, '62.186.196.0', '62.186.198.63', 1052427264, 1052427839, 'CH', 'Switzerland'),
(20428, '62.186.198.64', '62.186.198.79', 1052427840, 1052427855, 'GB', 'United Kingdom'),
(20429, '62.186.198.80', '62.186.198.95', 1052427856, 1052427871, 'IT', 'Italy'),
(20430, '62.186.198.96', '62.186.198.127', 1052427872, 1052427903, 'AT', 'Austria'),
(20431, '62.186.198.128', '62.186.198.191', 1052427904, 1052427967, 'DE', 'Germany'),
(20432, '62.186.198.192', '62.186.198.255', 1052427968, 1052428031, 'GB', 'United Kingdom'),
(20433, '62.186.199.0', '62.186.199.255', 1052428032, 1052428287, 'CH', 'Switzerland'),
(20434, '62.186.200.0', '62.186.200.191', 1052428288, 1052428479, 'ES', 'Spain'),
(20435, '62.186.200.192', '62.186.200.255', 1052428480, 1052428543, 'BE', 'Belgium'),
(20436, '62.186.201.0', '62.186.204.95', 1052428544, 1052429407, 'ES', 'Spain'),
(20437, '62.186.204.96', '62.186.204.127', 1052429408, 1052429439, 'FR', 'France'),
(20438, '62.186.204.128', '62.186.204.255', 1052429440, 1052429567, 'BE', 'Belgium'),
(20439, '62.186.205.0', '62.186.205.191', 1052429568, 1052429759, 'ES', 'Spain'),
(20440, '62.186.205.192', '62.186.205.255', 1052429760, 1052429823, 'DE', 'Germany'),
(20441, '62.186.206.0', '62.186.207.255', 1052429824, 1052430335, 'ES', 'Spain'),
(20442, '62.186.208.0', '62.186.208.71', 1052430336, 1052430407, 'BE', 'Belgium'),
(20443, '62.186.208.72', '62.186.208.79', 1052430408, 1052430415, 'ZA', 'South Africa'),
(20444, '62.186.208.80', '62.186.208.95', 1052430416, 1052430431, 'FR', 'France'),
(20445, '62.186.208.96', '62.186.208.127', 1052430432, 1052430463, 'DE', 'Germany'),
(20446, '62.186.208.128', '62.186.208.191', 1052430464, 1052430527, 'BE', 'Belgium'),
(20447, '62.186.208.192', '62.186.208.255', 1052430528, 1052430591, 'DE', 'Germany'),
(20448, '62.186.209.0', '62.186.219.255', 1052430592, 1052433407, 'BE', 'Belgium'),
(20449, '62.186.220.0', '62.186.221.55', 1052433408, 1052433719, 'DK', 'Denmark'),
(20450, '62.186.221.56', '62.186.221.63', 1052433720, 1052433727, 'FR', 'France'),
(20451, '62.186.221.64', '62.186.221.255', 1052433728, 1052433919, 'DK', 'Denmark'),
(20452, '62.186.222.0', '62.186.223.255', 1052433920, 1052434431, 'ZA', 'South Africa'),
(20453, '62.186.224.0', '62.186.225.63', 1052434432, 1052434751, 'GB', 'United Kingdom'),
(20454, '62.186.225.64', '62.186.225.95', 1052434752, 1052434783, 'NO', 'Norway'),
(20455, '62.186.225.96', '62.186.227.255', 1052434784, 1052435455, 'GB', 'United Kingdom'),
(20456, '62.186.228.0', '62.186.228.191', 1052435456, 1052435647, 'NL', 'Netherlands'),
(20457, '62.186.228.192', '62.186.228.223', 1052435648, 1052435679, 'EU', 'Europe'),
(20458, '62.186.228.224', '62.186.231.255', 1052435680, 1052436479, 'NL', 'Netherlands'),
(20459, '62.186.232.0', '62.186.234.31', 1052436480, 1052437023, 'DE', 'Germany'),
(20460, '62.186.234.32', '62.186.234.63', 1052437024, 1052437055, 'ZA', 'South Africa'),
(20461, '62.186.234.64', '62.186.234.127', 1052437056, 1052437119, 'DE', 'Germany'),
(20462, '62.186.234.128', '62.186.234.143', 1052437120, 1052437135, 'ZA', 'South Africa'),
(20463, '62.186.234.144', '62.186.234.159', 1052437136, 1052437151, 'DE', 'Germany'),
(20464, '62.186.234.160', '62.186.234.191', 1052437152, 1052437183, 'GB', 'United Kingdom'),
(20465, '62.186.234.192', '62.186.234.255', 1052437184, 1052437247, 'ZA', 'South Africa'),
(20466, '62.186.235.0', '62.186.236.255', 1052437248, 1052437759, 'DE', 'Germany'),
(20467, '62.186.237.0', '62.186.237.255', 1052437760, 1052438015, 'CH', 'Switzerland'),
(20468, '62.186.238.0', '62.186.239.127', 1052438016, 1052438399, 'BE', 'Belgium'),
(20469, '62.186.239.128', '62.186.239.255', 1052438400, 1052438527, 'EU', 'Europe'),
(20470, '62.186.240.0', '62.186.243.207', 1052438528, 1052439503, 'AT', 'Austria'),
(20471, '62.186.243.208', '62.186.243.223', 1052439504, 1052439519, 'EU', 'Europe'),
(20472, '62.186.243.224', '62.186.243.255', 1052439520, 1052439551, 'AT', 'Austria'),
(20473, '62.186.244.0', '62.186.247.255', 1052439552, 1052440575, 'FR', 'France'),
(20474, '62.186.248.0', '62.186.250.255', 1052440576, 1052441343, 'DE', 'Germany'),
(20475, '62.186.251.0', '62.186.251.255', 1052441344, 1052441599, 'EU', 'Europe'),
(20476, '62.186.252.0', '62.186.255.255', 1052441600, 1052442623, 'GB', 'United Kingdom'),
(20477, '62.187.0.0', '62.187.3.255', 1052442624, 1052443647, 'DE', 'Germany'),
(20478, '62.187.4.0', '62.187.13.255', 1052443648, 1052446207, 'EU', 'Europe'),
(20479, '62.187.14.0', '62.187.15.255', 1052446208, 1052446719, 'DE', 'Germany'),
(20480, '62.187.16.0', '62.187.19.255', 1052446720, 1052447743, 'CZ', 'Czech Republic'),
(20481, '62.187.20.0', '62.187.20.127', 1052447744, 1052447871, 'PL', 'Poland'),
(20482, '62.187.20.128', '62.187.20.255', 1052447872, 1052447999, 'EU', 'Europe'),
(20483, '62.187.21.0', '62.187.21.127', 1052448000, 1052448127, 'PL', 'Poland'),
(20484, '62.187.21.128', '62.187.21.255', 1052448128, 1052448255, 'EU', 'Europe'),
(20485, '62.187.22.0', '62.187.31.255', 1052448256, 1052450815, 'ZA', 'South Africa'),
(20486, '62.187.32.0', '62.187.35.255', 1052450816, 1052451839, 'DE', 'Germany'),
(20487, '62.187.36.0', '62.187.37.63', 1052451840, 1052452159, 'NO', 'Norway'),
(20488, '62.187.37.64', '62.187.37.127', 1052452160, 1052452223, 'EU', 'Europe'),
(20489, '62.187.37.128', '62.187.37.255', 1052452224, 1052452351, 'NO', 'Norway'),
(20490, '62.187.38.0', '62.187.39.223', 1052452352, 1052452831, 'ES', 'Spain'),
(20491, '62.187.39.224', '62.187.39.239', 1052452832, 1052452847, 'GB', 'United Kingdom'),
(20492, '62.187.39.240', '62.187.39.255', 1052452848, 1052452863, 'FR', 'France'),
(20493, '62.187.40.0', '62.187.40.127', 1052452864, 1052452991, 'EU', 'Europe'),
(20494, '62.187.40.128', '62.187.40.135', 1052452992, 1052452999, 'SK', 'Slovakia'),
(20495, '62.187.40.136', '62.187.40.255', 1052453000, 1052453119, 'EU', 'Europe'),
(20496, '62.187.41.0', '62.187.41.255', 1052453120, 1052453375, 'FR', 'France'),
(20497, '62.187.42.0', '62.187.43.255', 1052453376, 1052453887, 'AT', 'Austria'),
(20498, '62.187.44.0', '62.187.47.255', 1052453888, 1052454911, 'GB', 'United Kingdom'),
(20499, '62.187.48.0', '62.187.48.31', 1052454912, 1052454943, 'FR', 'France'),
(20500, '62.187.48.32', '62.187.48.47', 1052454944, 1052454959, 'NL', 'Netherlands'),
(20501, '62.187.48.48', '62.187.48.63', 1052454960, 1052454975, 'EU', 'Europe'),
(20502, '62.187.48.64', '62.187.49.191', 1052454976, 1052455359, 'NL', 'Netherlands'),
(20503, '62.187.49.192', '62.187.49.255', 1052455360, 1052455423, 'EU', 'Europe'),
(20504, '62.187.50.0', '62.187.51.255', 1052455424, 1052455935, 'GB', 'United Kingdom'),
(20505, '62.187.52.0', '62.187.53.255', 1052455936, 1052456447, 'NL', 'Netherlands'),
(20506, '62.187.54.0', '62.187.55.255', 1052456448, 1052456959, 'CH', 'Switzerland'),
(20507, '62.187.56.0', '62.187.59.255', 1052456960, 1052457983, 'NL', 'Netherlands'),
(20508, '62.187.60.0', '62.187.61.127', 1052457984, 1052458367, 'AT', 'Austria'),
(20509, '62.187.61.128', '62.187.61.191', 1052458368, 1052458431, 'EU', 'Europe'),
(20510, '62.187.61.192', '62.187.61.255', 1052458432, 1052458495, 'AT', 'Austria'),
(20511, '62.187.62.0', '62.187.63.95', 1052458496, 1052458847, 'NL', 'Netherlands'),
(20512, '62.187.63.96', '62.187.63.111', 1052458848, 1052458863, 'FR', 'France'),
(20513, '62.187.63.112', '62.187.63.119', 1052458864, 1052458871, 'NL', 'Netherlands'),
(20514, '62.187.63.120', '62.187.63.127', 1052458872, 1052458879, 'FR', 'France'),
(20515, '62.187.63.128', '62.187.67.255', 1052458880, 1052460031, 'GB', 'United Kingdom'),
(20516, '62.187.68.0', '62.187.68.95', 1052460032, 1052460127, 'NO', 'Norway'),
(20517, '62.187.68.96', '62.187.68.191', 1052460128, 1052460223, 'EU', 'Europe'),
(20518, '62.187.68.192', '62.187.68.255', 1052460224, 1052460287, 'FR', 'France'),
(20519, '62.187.69.0', '62.187.69.255', 1052460288, 1052460543, 'EU', 'Europe'),
(20520, '62.187.70.0', '62.187.70.255', 1052460544, 1052460799, 'NO', 'Norway'),
(20521, '62.187.71.0', '62.187.71.255', 1052460800, 1052461055, 'DE', 'Germany'),
(20522, '62.187.72.0', '62.187.72.239', 1052461056, 1052461295, 'FR', 'France'),
(20523, '62.187.72.240', '62.187.72.255', 1052461296, 1052461311, 'BE', 'Belgium'),
(20524, '62.187.73.0', '62.187.75.127', 1052461312, 1052461951, 'FR', 'France'),
(20525, '62.187.75.128', '62.187.75.143', 1052461952, 1052461967, 'EU', 'Europe'),
(20526, '62.187.75.144', '62.187.79.255', 1052461968, 1052463103, 'FR', 'France'),
(20527, '62.187.80.0', '62.187.81.255', 1052463104, 1052463615, 'ES', 'Spain'),
(20528, '62.187.82.0', '62.187.85.255', 1052463616, 1052464639, 'GB', 'United Kingdom'),
(20529, '62.187.86.0', '62.187.87.31', 1052464640, 1052464927, 'ES', 'Spain'),
(20530, '62.187.87.32', '62.187.87.63', 1052464928, 1052464959, 'EU', 'Europe'),
(20531, '62.187.87.64', '62.187.87.191', 1052464960, 1052465087, 'ES', 'Spain'),
(20532, '62.187.87.192', '62.187.87.255', 1052465088, 1052465151, 'EU', 'Europe'),
(20533, '62.187.88.0', '62.187.88.223', 1052465152, 1052465375, 'ZA', 'South Africa'),
(20534, '62.187.88.224', '62.187.88.255', 1052465376, 1052465407, 'EU', 'Europe'),
(20535, '62.187.89.0', '62.187.89.255', 1052465408, 1052465663, 'ZA', 'South Africa'),
(20536, '62.187.90.0', '62.187.92.255', 1052465664, 1052466431, 'EU', 'Europe'),
(20537, '62.187.93.0', '62.187.99.255', 1052466432, 1052468223, 'FR', 'France'),
(20538, '62.187.100.0', '62.187.103.255', 1052468224, 1052469247, 'GB', 'United Kingdom'),
(20539, '62.187.104.0', '62.187.107.255', 1052469248, 1052470271, 'FR', 'France'),
(20540, '62.187.108.0', '62.187.109.255', 1052470272, 1052470783, 'ZA', 'South Africa'),
(20541, '62.187.110.0', '62.187.110.223', 1052470784, 1052471007, 'FR', 'France'),
(20542, '62.187.110.224', '62.187.110.255', 1052471008, 1052471039, 'EU', 'Europe'),
(20543, '62.187.111.0', '62.187.111.255', 1052471040, 1052471295, 'BE', 'Belgium'),
(20544, '62.187.112.0', '62.187.116.191', 1052471296, 1052472511, 'GB', 'United Kingdom'),
(20545, '62.187.116.192', '62.187.116.255', 1052472512, 1052472575, 'EU', 'Europe'),
(20546, '62.187.117.0', '62.187.127.95', 1052472576, 1052475231, 'GB', 'United Kingdom'),
(20547, '62.187.127.96', '62.187.127.103', 1052475232, 1052475239, 'EU', 'Europe'),
(20548, '62.187.127.104', '62.187.127.119', 1052475240, 1052475255, 'GB', 'United Kingdom'),
(20549, '62.187.127.120', '62.187.127.127', 1052475256, 1052475263, 'EU', 'Europe'),
(20550, '62.187.127.128', '62.187.127.255', 1052475264, 1052475391, 'GB', 'United Kingdom'),
(20551, '62.187.128.0', '62.187.131.223', 1052475392, 1052476383, 'FR', 'France'),
(20552, '62.187.131.224', '62.187.131.255', 1052476384, 1052476415, 'EU', 'Europe'),
(20553, '62.187.132.0', '62.187.143.255', 1052476416, 1052479487, 'FR', 'France'),
(20554, '62.187.144.0', '62.187.144.255', 1052479488, 1052479743, 'NL', 'Netherlands'),
(20555, '62.187.145.0', '62.187.145.255', 1052479744, 1052479999, 'DE', 'Germany'),
(20556, '62.187.146.0', '62.187.159.255', 1052480000, 1052483583, 'NL', 'Netherlands'),
(20557, '62.187.160.0', '62.187.161.159', 1052483584, 1052483999, 'IT', 'Italy'),
(20558, '62.187.161.160', '62.187.161.191', 1052484000, 1052484031, 'EU', 'Europe'),
(20559, '62.187.161.192', '62.187.166.159', 1052484032, 1052485279, 'IT', 'Italy'),
(20560, '62.187.166.160', '62.187.166.191', 1052485280, 1052485311, 'EU', 'Europe'),
(20561, '62.187.166.192', '62.187.167.255', 1052485312, 1052485631, 'IT', 'Italy'),
(20562, '62.187.168.0', '62.187.171.255', 1052485632, 1052486655, 'GB', 'United Kingdom'),
(20563, '62.187.172.0', '62.187.172.255', 1052486656, 1052486911, 'CH', 'Switzerland'),
(20564, '62.187.173.0', '62.187.173.63', 1052486912, 1052486975, 'DE', 'Germany'),
(20565, '62.187.173.64', '62.187.173.127', 1052486976, 1052487039, 'FR', 'France'),
(20566, '62.187.173.128', '62.187.173.255', 1052487040, 1052487167, 'DE', 'Germany'),
(20567, '62.187.174.0', '62.187.174.255', 1052487168, 1052487423, 'GB', 'United Kingdom'),
(20568, '62.187.175.0', '62.187.175.255', 1052487424, 1052487679, 'AT', 'Austria'),
(20569, '62.187.176.0', '62.187.179.255', 1052487680, 1052488703, 'CH', 'Switzerland'),
(20570, '62.187.180.0', '62.187.183.255', 1052488704, 1052489727, 'GB', 'United Kingdom'),
(20571, '62.187.184.0', '62.187.185.255', 1052489728, 1052490239, 'IE', 'Ireland'),
(20572, '62.187.186.0', '62.187.187.255', 1052490240, 1052490751, 'SE', 'Sweden'),
(20573, '62.187.188.0', '62.187.191.159', 1052490752, 1052491679, 'AT', 'Austria'),
(20574, '62.187.191.160', '62.187.191.167', 1052491680, 1052491687, 'EU', 'Europe'),
(20575, '62.187.191.168', '62.187.191.255', 1052491688, 1052491775, 'AT', 'Austria'),
(20576, '62.187.192.0', '62.187.198.255', 1052491776, 1052493567, 'BE', 'Belgium'),
(20577, '62.187.199.0', '62.187.199.127', 1052493568, 1052493695, 'EU', 'Europe'),
(20578, '62.187.199.128', '62.187.201.255', 1052493696, 1052494335, 'BE', 'Belgium'),
(20579, '62.187.202.0', '62.187.202.255', 1052494336, 1052494591, 'NL', 'Netherlands'),
(20580, '62.187.203.0', '62.187.206.79', 1052494592, 1052495439, 'BE', 'Belgium'),
(20581, '62.187.206.80', '62.187.206.127', 1052495440, 1052495487, 'FR', 'France'),
(20582, '62.187.206.128', '62.187.206.191', 1052495488, 1052495551, 'BE', 'Belgium'),
(20583, '62.187.206.192', '62.187.206.223', 1052495552, 1052495583, 'GB', 'United Kingdom'),
(20584, '62.187.206.224', '62.187.207.255', 1052495584, 1052495871, 'BE', 'Belgium'),
(20585, '62.187.208.0', '62.187.208.7', 1052495872, 1052495879, 'UA', 'Ukraine'),
(20586, '62.187.208.8', '62.187.208.255', 1052495880, 1052496127, 'EU', 'Europe'),
(20587, '62.187.209.0', '62.187.213.255', 1052496128, 1052497407, 'DE', 'Germany'),
(20588, '62.187.214.0', '62.187.214.255', 1052497408, 1052497663, 'EU', 'Europe'),
(20589, '62.187.215.0', '62.187.215.255', 1052497664, 1052497919, 'DE', 'Germany'),
(20590, '62.187.216.0', '62.187.217.255', 1052497920, 1052498431, 'ES', 'Spain'),
(20591, '62.187.218.0', '62.187.218.63', 1052498432, 1052498495, 'RO', 'Romania'),
(20592, '62.187.218.64', '62.187.219.255', 1052498496, 1052498943, 'EU', 'Europe'),
(20593, '62.187.220.0', '62.187.221.255', 1052498944, 1052499455, 'GB', 'United Kingdom'),
(20594, '62.187.222.0', '62.187.223.255', 1052499456, 1052499967, 'EU', 'Europe'),
(20595, '62.187.224.0', '62.187.224.223', 1052499968, 1052500191, 'DK', 'Denmark'),
(20596, '62.187.224.224', '62.187.224.239', 1052500192, 1052500207, 'EU', 'Europe'),
(20597, '62.187.224.240', '62.187.225.95', 1052500208, 1052500319, 'DK', 'Denmark'),
(20598, '62.187.225.96', '62.187.225.255', 1052500320, 1052500479, 'EU', 'Europe'),
(20599, '62.187.226.0', '62.187.227.255', 1052500480, 1052500991, 'GB', 'United Kingdom'),
(20600, '62.187.228.0', '62.187.228.31', 1052500992, 1052501023, 'FI', 'Finland'),
(20601, '62.187.228.32', '62.187.228.39', 1052501024, 1052501031, 'EU', 'Europe'),
(20602, '62.187.228.40', '62.187.228.47', 1052501032, 1052501039, 'FI', 'Finland'),
(20603, '62.187.228.48', '62.187.228.127', 1052501040, 1052501119, 'EU', 'Europe'),
(20604, '62.187.228.128', '62.187.228.255', 1052501120, 1052501247, 'FI', 'Finland'),
(20605, '62.187.229.0', '62.187.229.255', 1052501248, 1052501503, 'EU', 'Europe'),
(20606, '62.187.230.0', '62.187.231.255', 1052501504, 1052502015, 'CH', 'Switzerland'),
(20607, '62.187.232.0', '62.187.234.255', 1052502016, 1052502783, 'IE', 'Ireland'),
(20608, '62.187.235.0', '62.187.235.31', 1052502784, 1052502815, 'EU', 'Europe'),
(20609, '62.187.235.32', '62.187.235.63', 1052502816, 1052502847, 'IE', 'Ireland'),
(20610, '62.187.235.64', '62.187.235.255', 1052502848, 1052503039, 'EU', 'Europe'),
(20611, '62.187.236.0', '62.187.240.255', 1052503040, 1052504319, 'GB', 'United Kingdom'),
(20612, '62.187.241.0', '62.187.241.31', 1052504320, 1052504351, 'BY', 'Belarus'),
(20613, '62.187.241.32', '62.187.241.63', 1052504352, 1052504383, 'EU', 'Europe'),
(20614, '62.187.241.64', '62.187.253.191', 1052504384, 1052507583, 'GB', 'United Kingdom'),
(20615, '62.187.253.192', '62.187.253.255', 1052507584, 1052507647, 'EU', 'Europe'),
(20616, '62.187.254.0', '62.187.254.127', 1052507648, 1052507775, 'GB', 'United Kingdom'),
(20617, '62.187.254.128', '62.187.254.255', 1052507776, 1052507903, 'EU', 'Europe'),
(20618, '62.187.255.0', '62.189.28.223', 1052507904, 1052581087, 'GB', 'United Kingdom'),
(20619, '62.189.28.224', '62.189.28.239', 1052581088, 1052581103, 'GE', 'Georgia'),
(20620, '62.189.28.240', '62.189.88.223', 1052581104, 1052596447, 'GB', 'United Kingdom'),
(20621, '62.189.88.224', '62.189.88.239', 1052596448, 1052596463, 'IT', 'Italy'),
(20622, '62.189.88.240', '62.189.188.127', 1052596464, 1052621951, 'GB', 'United Kingdom'),
(20623, '62.189.188.128', '62.189.188.191', 1052621952, 1052622015, 'IE', 'Ireland'),
(20624, '62.189.188.192', '62.189.227.127', 1052622016, 1052631935, 'GB', 'United Kingdom'),
(20625, '62.189.227.128', '62.189.227.191', 1052631936, 1052631999, 'FR', 'France'),
(20626, '62.189.227.192', '62.189.239.63', 1052632000, 1052634943, 'GB', 'United Kingdom'),
(20627, '62.189.239.64', '62.189.239.71', 1052634944, 1052634951, 'IE', 'Ireland'),
(20628, '62.189.239.72', '62.190.18.255', 1052634952, 1052644095, 'GB', 'United Kingdom'),
(20629, '62.190.19.0', '62.190.19.255', 1052644096, 1052644351, 'SE', 'Sweden'),
(20630, '62.190.20.0', '62.190.30.255', 1052644352, 1052647167, 'GB', 'United Kingdom'),
(20631, '62.190.31.0', '62.190.31.255', 1052647168, 1052647423, 'SE', 'Sweden'),
(20632, '62.190.32.0', '62.190.56.255', 1052647424, 1052653823, 'GB', 'United Kingdom'),
(20633, '62.190.57.0', '62.190.57.255', 1052653824, 1052654079, 'EU', 'Europe'),
(20634, '62.190.58.0', '62.190.87.255', 1052654080, 1052661759, 'GB', 'United Kingdom'),
(20635, '62.190.88.0', '62.190.89.255', 1052661760, 1052662271, 'SE', 'Sweden'),
(20636, '62.190.90.0', '62.190.101.255', 1052662272, 1052665343, 'GB', 'United Kingdom'),
(20637, '62.190.102.0', '62.190.102.255', 1052665344, 1052665599, 'SE', 'Sweden'),
(20638, '62.190.103.0', '62.190.177.31', 1052665600, 1052684575, 'GB', 'United Kingdom'),
(20639, '62.190.177.32', '62.190.177.63', 1052684576, 1052684607, 'IT', 'Italy'),
(20640, '62.190.177.64', '62.191.255.255', 1052684608, 1052770303, 'GB', 'United Kingdom'),
(20641, '62.192.0.0', '62.192.21.31', 1052770304, 1052775711, 'CH', 'Switzerland'),
(20642, '62.192.21.32', '62.192.21.47', 1052775712, 1052775727, 'DE', 'Germany'),
(20643, '62.192.21.48', '62.192.28.31', 1052775728, 1052777503, 'CH', 'Switzerland'),
(20644, '62.192.28.32', '62.192.28.63', 1052777504, 1052777535, 'IT', 'Italy'),
(20645, '62.192.28.64', '62.192.31.255', 1052777536, 1052778495, 'CH', 'Switzerland'),
(20646, '62.192.32.0', '62.192.63.255', 1052778496, 1052786687, 'RU', 'Russian Federation'),
(20647, '62.192.64.0', '62.192.127.255', 1052786688, 1052803071, 'NL', 'Netherlands'),
(20648, '62.192.128.0', '62.192.128.255', 1052803072, 1052803327, 'A2', 'Satellite Provider'),
(20649, '62.192.129.0', '62.192.129.255', 1052803328, 1052803583, 'EU', 'Europe'),
(20650, '62.192.130.0', '62.192.133.255', 1052803584, 1052804607, 'US', 'United States'),
(20651, '62.192.134.0', '62.192.135.255', 1052804608, 1052805119, 'A2', 'Satellite Provider'),
(20652, '62.192.136.0', '62.192.136.255', 1052805120, 1052805375, 'US', 'United States'),
(20653, '62.192.137.0', '62.192.137.255', 1052805376, 1052805631, 'A2', 'Satellite Provider'),
(20654, '62.192.138.0', '62.192.138.255', 1052805632, 1052805887, 'US', 'United States'),
(20655, '62.192.139.0', '62.192.141.255', 1052805888, 1052806655, 'A2', 'Satellite Provider'),
(20656, '62.192.142.0', '62.192.142.255', 1052806656, 1052806911, 'US', 'United States'),
(20657, '62.192.143.0', '62.192.143.255', 1052806912, 1052807167, 'MW', 'Malawi'),
(20658, '62.192.144.0', '62.192.145.255', 1052807168, 1052807679, 'A2', 'Satellite Provider'),
(20659, '62.192.146.0', '62.192.153.255', 1052807680, 1052809727, 'US', 'United States'),
(20660, '62.192.154.0', '62.192.156.255', 1052809728, 1052810495, 'DE', 'Germany'),
(20661, '62.192.157.0', '62.192.157.255', 1052810496, 1052810751, 'US', 'United States'),
(20662, '62.192.158.0', '62.192.159.255', 1052810752, 1052811263, 'DE', 'Germany'),
(20663, '62.192.160.0', '62.192.191.255', 1052811264, 1052819455, 'RU', 'Russian Federation'),
(20664, '62.192.192.0', '62.192.223.255', 1052819456, 1052827647, 'DE', 'Germany'),
(20665, '62.192.224.0', '62.192.255.255', 1052827648, 1052835839, 'RU', 'Russian Federation'),
(20666, '62.193.0.0', '62.193.31.255', 1052835840, 1052844031, 'IR', 'Iran, Islamic Republic of'),
(20667, '62.193.32.0', '62.193.63.255', 1052844032, 1052852223, 'FR', 'France'),
(20668, '62.193.64.0', '62.193.127.255', 1052852224, 1052868607, 'EG', 'Egypt'),
(20669, '62.193.128.0', '62.193.159.255', 1052868608, 1052876799, 'RS', 'Serbia'),
(20670, '62.193.160.0', '62.193.191.255', 1052876800, 1052884991, 'NG', 'Nigeria'),
(20671, '62.193.192.0', '62.193.236.95', 1052884992, 1052896351, 'FR', 'France'),
(20672, '62.193.236.96', '62.193.236.96', 1052896352, 1052896352, 'A1', 'Anonymous Proxy'),
(20673, '62.193.236.97', '62.193.255.255', 1052896353, 1052901375, 'FR', 'France'),
(20674, '62.194.0.0', '62.195.255.255', 1052901376, 1053032447, 'NL', 'Netherlands'),
(20675, '62.196.0.0', '62.196.58.71', 1053032448, 1053047367, 'IT', 'Italy'),
(20676, '62.196.58.72', '62.196.58.79', 1053047368, 1053047375, 'TR', 'Turkey'),
(20677, '62.196.58.80', '62.196.255.255', 1053047376, 1053097983, 'IT', 'Italy'),
(20678, '62.197.0.0', '62.197.31.255', 1053097984, 1053106175, 'DE', 'Germany'),
(20679, '62.197.32.0', '62.197.63.255', 1053106176, 1053114367, 'GB', 'United Kingdom'),
(20680, '62.197.64.0', '62.197.127.255', 1053114368, 1053130751, 'BE', 'Belgium'),
(20681, '62.197.128.0', '62.197.159.255', 1053130752, 1053138943, 'NL', 'Netherlands'),
(20682, '62.197.160.0', '62.197.191.255', 1053138944, 1053147135, 'FI', 'Finland'),
(20683, '62.197.192.0', '62.197.255.255', 1053147136, 1053163519, 'SK', 'Slovakia'),
(20684, '62.198.0.0', '62.199.255.255', 1053163520, 1053294591, 'DK', 'Denmark'),
(20685, '62.200.0.0', '62.200.0.255', 1053294592, 1053294847, 'EU', 'Europe'),
(20686, '62.200.1.0', '62.200.1.255', 1053294848, 1053295103, 'AT', 'Austria'),
(20687, '62.200.2.0', '62.200.3.31', 1053295104, 1053295391, 'EU', 'Europe'),
(20688, '62.200.3.32', '62.200.3.63', 1053295392, 1053295423, 'AT', 'Austria'),
(20689, '62.200.3.64', '62.200.3.95', 1053295424, 1053295455, 'EU', 'Europe'),
(20690, '62.200.3.96', '62.200.3.111', 1053295456, 1053295471, 'AT', 'Austria'),
(20691, '62.200.3.112', '62.200.3.255', 1053295472, 1053295615, 'EU', 'Europe'),
(20692, '62.200.4.0', '62.200.7.255', 1053295616, 1053296639, 'AT', 'Austria'),
(20693, '62.200.8.0', '62.200.9.31', 1053296640, 1053296927, 'IT', 'Italy'),
(20694, '62.200.9.32', '62.200.9.95', 1053296928, 1053296991, 'EU', 'Europe'),
(20695, '62.200.9.96', '62.200.9.131', 1053296992, 1053297027, 'IT', 'Italy'),
(20696, '62.200.9.132', '62.200.9.143', 1053297028, 1053297039, 'EU', 'Europe'),
(20697, '62.200.9.144', '62.200.9.159', 1053297040, 1053297055, 'IT', 'Italy'),
(20698, '62.200.9.160', '62.200.9.175', 1053297056, 1053297071, 'EU', 'Europe'),
(20699, '62.200.9.176', '62.200.9.247', 1053297072, 1053297143, 'IT', 'Italy'),
(20700, '62.200.9.248', '62.200.13.255', 1053297144, 1053298175, 'EU', 'Europe'),
(20701, '62.200.14.0', '62.200.17.255', 1053298176, 1053299199, 'CH', 'Switzerland'),
(20702, '62.200.18.0', '62.200.19.255', 1053299200, 1053299711, 'EU', 'Europe'),
(20703, '62.200.20.0', '62.200.21.63', 1053299712, 1053300031, 'GB', 'United Kingdom'),
(20704, '62.200.21.64', '62.200.21.127', 1053300032, 1053300095, 'EU', 'Europe'),
(20705, '62.200.21.128', '62.200.21.135', 1053300096, 1053300103, 'GB', 'United Kingdom'),
(20706, '62.200.21.136', '62.200.21.143', 1053300104, 1053300111, 'EU', 'Europe'),
(20707, '62.200.21.144', '62.200.23.255', 1053300112, 1053300735, 'GB', 'United Kingdom'),
(20708, '62.200.24.0', '62.200.24.255', 1053300736, 1053300991, 'CH', 'Switzerland'),
(20709, '62.200.25.0', '62.200.25.63', 1053300992, 1053301055, 'FR', 'France'),
(20710, '62.200.25.64', '62.200.25.79', 1053301056, 1053301071, 'EU', 'Europe'),
(20711, '62.200.25.80', '62.200.25.143', 1053301072, 1053301135, 'FR', 'France'),
(20712, '62.200.25.144', '62.200.25.175', 1053301136, 1053301167, 'EU', 'Europe'),
(20713, '62.200.25.176', '62.200.26.31', 1053301168, 1053301279, 'FR', 'France'),
(20714, '62.200.26.32', '62.200.26.39', 1053301280, 1053301287, 'EU', 'Europe'),
(20715, '62.200.26.40', '62.200.26.47', 1053301288, 1053301295, 'FR', 'France'),
(20716, '62.200.26.48', '62.200.26.55', 1053301296, 1053301303, 'EU', 'Europe'),
(20717, '62.200.26.56', '62.200.26.111', 1053301304, 1053301359, 'FR', 'France'),
(20718, '62.200.26.112', '62.200.26.119', 1053301360, 1053301367, 'EU', 'Europe'),
(20719, '62.200.26.120', '62.200.26.255', 1053301368, 1053301503, 'FR', 'France'),
(20720, '62.200.27.0', '62.200.29.15', 1053301504, 1053302031, 'EU', 'Europe'),
(20721, '62.200.29.16', '62.200.29.39', 1053302032, 1053302055, 'FR', 'France'),
(20722, '62.200.29.40', '62.200.29.47', 1053302056, 1053302063, 'DE', 'Germany'),
(20723, '62.200.29.48', '62.200.29.143', 1053302064, 1053302159, 'FR', 'France'),
(20724, '62.200.29.144', '62.200.29.159', 1053302160, 1053302175, 'EU', 'Europe'),
(20725, '62.200.29.160', '62.200.29.175', 1053302176, 1053302191, 'FR', 'France'),
(20726, '62.200.29.176', '62.200.30.31', 1053302192, 1053302303, 'EU', 'Europe'),
(20727, '62.200.30.32', '62.200.30.63', 1053302304, 1053302335, 'FR', 'France'),
(20728, '62.200.30.64', '62.200.30.95', 1053302336, 1053302367, 'EU', 'Europe'),
(20729, '62.200.30.96', '62.200.30.103', 1053302368, 1053302375, 'FR', 'France'),
(20730, '62.200.30.104', '62.200.30.111', 1053302376, 1053302383, 'EU', 'Europe'),
(20731, '62.200.30.112', '62.200.31.159', 1053302384, 1053302687, 'FR', 'France'),
(20732, '62.200.31.160', '62.200.31.175', 1053302688, 1053302703, 'EU', 'Europe'),
(20733, '62.200.31.176', '62.200.31.183', 1053302704, 1053302711, 'GB', 'United Kingdom'),
(20734, '62.200.31.184', '62.200.31.255', 1053302712, 1053302783, 'FR', 'France'),
(20735, '62.200.32.0', '62.200.40.255', 1053302784, 1053305087, 'EU', 'Europe'),
(20736, '62.200.41.0', '62.200.44.95', 1053305088, 1053305951, 'GR', 'Greece'),
(20737, '62.200.44.96', '62.200.44.255', 1053305952, 1053306111, 'EU', 'Europe'),
(20738, '62.200.45.0', '62.200.47.255', 1053306112, 1053306879, 'GR', 'Greece'),
(20739, '62.200.48.0', '62.200.51.255', 1053306880, 1053307903, 'EU', 'Europe'),
(20740, '62.200.52.0', '62.200.52.39', 1053307904, 1053307943, 'GB', 'United Kingdom'),
(20741, '62.200.52.40', '62.200.52.51', 1053307944, 1053307955, 'EU', 'Europe'),
(20742, '62.200.52.52', '62.200.52.63', 1053307956, 1053307967, 'GB', 'United Kingdom'),
(20743, '62.200.52.64', '62.200.52.79', 1053307968, 1053307983, 'EU', 'Europe'),
(20744, '62.200.52.80', '62.200.54.127', 1053307984, 1053308543, 'GB', 'United Kingdom'),
(20745, '62.200.54.128', '62.200.54.255', 1053308544, 1053308671, 'EU', 'Europe'),
(20746, '62.200.55.0', '62.200.55.15', 1053308672, 1053308687, 'GB', 'United Kingdom'),
(20747, '62.200.55.16', '62.200.55.95', 1053308688, 1053308767, 'EU', 'Europe'),
(20748, '62.200.55.96', '62.200.55.159', 1053308768, 1053308831, 'GB', 'United Kingdom'),
(20749, '62.200.55.160', '62.200.55.167', 1053308832, 1053308839, 'EU', 'Europe'),
(20750, '62.200.55.168', '62.200.55.191', 1053308840, 1053308863, 'GB', 'United Kingdom'),
(20751, '62.200.55.192', '62.200.55.255', 1053308864, 1053308927, 'EU', 'Europe'),
(20752, '62.200.56.0', '62.200.56.63', 1053308928, 1053308991, 'ZA', 'South Africa'),
(20753, '62.200.56.64', '62.200.56.255', 1053308992, 1053309183, 'EU', 'Europe'),
(20754, '62.200.57.0', '62.200.59.255', 1053309184, 1053309951, 'ZA', 'South Africa'),
(20755, '62.200.60.0', '62.200.64.255', 1053309952, 1053311231, 'EU', 'Europe'),
(20756, '62.200.65.0', '62.200.65.127', 1053311232, 1053311359, 'CZ', 'Czech Republic'),
(20757, '62.200.65.128', '62.200.68.255', 1053311360, 1053312255, 'EU', 'Europe'),
(20758, '62.200.69.0', '62.200.69.255', 1053312256, 1053312511, 'DK', 'Denmark'),
(20759, '62.200.70.0', '62.200.70.255', 1053312512, 1053312767, 'EU', 'Europe'),
(20760, '62.200.71.0', '62.200.71.47', 1053312768, 1053312815, 'DK', 'Denmark'),
(20761, '62.200.71.48', '62.200.71.63', 1053312816, 1053312831, 'EU', 'Europe'),
(20762, '62.200.71.64', '62.200.71.103', 1053312832, 1053312871, 'DK', 'Denmark'),
(20763, '62.200.71.104', '62.200.71.111', 1053312872, 1053312879, 'EU', 'Europe'),
(20764, '62.200.71.112', '62.200.71.143', 1053312880, 1053312911, 'DK', 'Denmark'),
(20765, '62.200.71.144', '62.200.71.159', 1053312912, 1053312927, 'EU', 'Europe'),
(20766, '62.200.71.160', '62.200.71.191', 1053312928, 1053312959, 'DK', 'Denmark'),
(20767, '62.200.71.192', '62.200.71.255', 1053312960, 1053313023, 'EU', 'Europe'),
(20768, '62.200.72.0', '62.200.73.191', 1053313024, 1053313471, 'GB', 'United Kingdom'),
(20769, '62.200.73.192', '62.200.73.199', 1053313472, 1053313479, 'EU', 'Europe'),
(20770, '62.200.73.200', '62.200.75.7', 1053313480, 1053313799, 'GB', 'United Kingdom'),
(20771, '62.200.75.8', '62.200.75.31', 1053313800, 1053313823, 'EU', 'Europe'),
(20772, '62.200.75.32', '62.200.75.39', 1053313824, 1053313831, 'GB', 'United Kingdom'),
(20773, '62.200.75.40', '62.200.75.127', 1053313832, 1053313919, 'EU', 'Europe'),
(20774, '62.200.75.128', '62.200.75.255', 1053313920, 1053314047, 'GB', 'United Kingdom'),
(20775, '62.200.76.0', '62.200.76.15', 1053314048, 1053314063, 'EU', 'Europe'),
(20776, '62.200.76.16', '62.200.76.31', 1053314064, 1053314079, 'CZ', 'Czech Republic'),
(20777, '62.200.76.32', '62.200.79.255', 1053314080, 1053315071, 'EU', 'Europe'),
(20778, '62.200.80.0', '62.200.87.255', 1053315072, 1053317119, 'GB', 'United Kingdom'),
(20779, '62.200.88.0', '62.200.88.175', 1053317120, 1053317295, 'ZA', 'South Africa'),
(20780, '62.200.88.176', '62.200.88.255', 1053317296, 1053317375, 'EU', 'Europe'),
(20781, '62.200.89.0', '62.200.89.255', 1053317376, 1053317631, 'GB', 'United Kingdom'),
(20782, '62.200.90.0', '62.200.91.255', 1053317632, 1053318143, 'EU', 'Europe'),
(20783, '62.200.92.0', '62.200.93.255', 1053318144, 1053318655, 'GB', 'United Kingdom'),
(20784, '62.200.94.0', '62.200.94.255', 1053318656, 1053318911, 'FI', 'Finland'),
(20785, '62.200.95.0', '62.200.95.15', 1053318912, 1053318927, 'EU', 'Europe'),
(20786, '62.200.95.16', '62.200.95.23', 1053318928, 1053318935, 'FI', 'Finland'),
(20787, '62.200.95.24', '62.200.95.31', 1053318936, 1053318943, 'EU', 'Europe'),
(20788, '62.200.95.32', '62.200.95.39', 1053318944, 1053318951, 'FI', 'Finland'),
(20789, '62.200.95.40', '62.200.95.63', 1053318952, 1053318975, 'EU', 'Europe'),
(20790, '62.200.95.64', '62.200.95.95', 1053318976, 1053319007, 'FI', 'Finland'),
(20791, '62.200.95.96', '62.200.95.255', 1053319008, 1053319167, 'EU', 'Europe'),
(20792, '62.200.96.0', '62.200.99.255', 1053319168, 1053320191, 'DE', 'Germany'),
(20793, '62.200.100.0', '62.200.100.31', 1053320192, 1053320223, 'EU', 'Europe'),
(20794, '62.200.100.32', '62.200.100.127', 1053320224, 1053320319, 'DE', 'Germany'),
(20795, '62.200.100.128', '62.200.100.255', 1053320320, 1053320447, 'EU', 'Europe'),
(20796, '62.200.101.0', '62.200.101.255', 1053320448, 1053320703, 'DE', 'Germany'),
(20797, '62.200.102.0', '62.200.123.255', 1053320704, 1053326335, 'EU', 'Europe'),
(20798, '62.200.124.0', '62.200.124.63', 1053326336, 1053326399, 'BE', 'Belgium'),
(20799, '62.200.124.64', '62.200.124.95', 1053326400, 1053326431, 'EU', 'Europe'),
(20800, '62.200.124.96', '62.200.124.111', 1053326432, 1053326447, 'GB', 'United Kingdom'),
(20801, '62.200.124.112', '62.200.124.119', 1053326448, 1053326455, 'EU', 'Europe'),
(20802, '62.200.124.120', '62.200.124.127', 1053326456, 1053326463, 'BE', 'Belgium'),
(20803, '62.200.124.128', '62.200.124.191', 1053326464, 1053326527, 'EU', 'Europe'),
(20804, '62.200.124.192', '62.200.124.207', 1053326528, 1053326543, 'BE', 'Belgium'),
(20805, '62.200.124.208', '62.200.124.223', 1053326544, 1053326559, 'EU', 'Europe'),
(20806, '62.200.124.224', '62.200.125.255', 1053326560, 1053326847, 'BE', 'Belgium'),
(20807, '62.200.126.0', '62.200.126.255', 1053326848, 1053327103, 'FI', 'Finland'),
(20808, '62.200.127.0', '62.200.127.255', 1053327104, 1053327359, 'DK', 'Denmark'),
(20809, '62.200.128.0', '62.200.129.255', 1053327360, 1053327871, 'EU', 'Europe'),
(20810, '62.200.130.0', '62.200.131.255', 1053327872, 1053328383, 'ZA', 'South Africa'),
(20811, '62.200.132.0', '62.200.132.255', 1053328384, 1053328639, 'EU', 'Europe'),
(20812, '62.200.133.0', '62.200.133.223', 1053328640, 1053328863, 'ZA', 'South Africa'),
(20813, '62.200.133.224', '62.200.133.255', 1053328864, 1053328895, 'EU', 'Europe'),
(20814, '62.200.134.0', '62.200.134.191', 1053328896, 1053329087, 'ZA', 'South Africa'),
(20815, '62.200.134.192', '62.200.134.223', 1053329088, 1053329119, 'EU', 'Europe'),
(20816, '62.200.134.224', '62.200.134.239', 1053329120, 1053329135, 'ZA', 'South Africa'),
(20817, '62.200.134.240', '62.200.134.247', 1053329136, 1053329143, 'EU', 'Europe'),
(20818, '62.200.134.248', '62.200.134.255', 1053329144, 1053329151, 'ZA', 'South Africa'),
(20819, '62.200.135.0', '62.200.135.31', 1053329152, 1053329183, 'EU', 'Europe'),
(20820, '62.200.135.32', '62.200.135.127', 1053329184, 1053329279, 'ZA', 'South Africa'),
(20821, '62.200.135.128', '62.200.135.255', 1053329280, 1053329407, 'EU', 'Europe'),
(20822, '62.200.136.0', '62.200.136.79', 1053329408, 1053329487, 'ES', 'Spain'),
(20823, '62.200.136.80', '62.200.136.95', 1053329488, 1053329503, 'EU', 'Europe'),
(20824, '62.200.136.96', '62.200.136.119', 1053329504, 1053329527, 'ES', 'Spain'),
(20825, '62.200.136.120', '62.200.136.223', 1053329528, 1053329631, 'EU', 'Europe'),
(20826, '62.200.136.224', '62.200.136.255', 1053329632, 1053329663, 'ES', 'Spain'),
(20827, '62.200.137.0', '62.200.139.255', 1053329664, 1053330431, 'EU', 'Europe'),
(20828, '62.200.140.0', '62.200.140.255', 1053330432, 1053330687, 'ES', 'Spain'),
(20829, '62.200.141.0', '62.200.143.255', 1053330688, 1053331455, 'EU', 'Europe'),
(20830, '62.200.144.0', '62.200.144.31', 1053331456, 1053331487, 'NL', 'Netherlands'),
(20831, '62.200.144.32', '62.200.144.127', 1053331488, 1053331583, 'EU', 'Europe'),
(20832, '62.200.144.128', '62.200.144.207', 1053331584, 1053331663, 'NL', 'Netherlands'),
(20833, '62.200.144.208', '62.200.144.223', 1053331664, 1053331679, 'EU', 'Europe'),
(20834, '62.200.144.224', '62.200.144.247', 1053331680, 1053331703, 'NL', 'Netherlands'),
(20835, '62.200.144.248', '62.200.144.255', 1053331704, 1053331711, 'EU', 'Europe'),
(20836, '62.200.145.0', '62.200.145.227', 1053331712, 1053331939, 'NL', 'Netherlands'),
(20837, '62.200.145.228', '62.200.145.255', 1053331940, 1053331967, 'EU', 'Europe'),
(20838, '62.200.146.0', '62.200.147.47', 1053331968, 1053332271, 'NL', 'Netherlands'),
(20839, '62.200.147.48', '62.200.147.95', 1053332272, 1053332319, 'EU', 'Europe'),
(20840, '62.200.147.96', '62.200.147.127', 1053332320, 1053332351, 'NL', 'Netherlands'),
(20841, '62.200.147.128', '62.200.147.223', 1053332352, 1053332447, 'EU', 'Europe'),
(20842, '62.200.147.224', '62.200.147.255', 1053332448, 1053332479, 'NL', 'Netherlands'),
(20843, '62.200.148.0', '62.200.149.255', 1053332480, 1053332991, 'EU', 'Europe'),
(20844, '62.200.150.0', '62.200.153.255', 1053332992, 1053334015, 'BE', 'Belgium'),
(20845, '62.200.154.0', '62.200.154.63', 1053334016, 1053334079, 'EU', 'Europe'),
(20846, '62.200.154.64', '62.200.154.175', 1053334080, 1053334191, 'DK', 'Denmark'),
(20847, '62.200.154.176', '62.200.154.183', 1053334192, 1053334199, 'EU', 'Europe'),
(20848, '62.200.154.184', '62.200.154.207', 1053334200, 1053334223, 'DK', 'Denmark'),
(20849, '62.200.154.208', '62.200.154.223', 1053334224, 1053334239, 'EU', 'Europe'),
(20850, '62.200.154.224', '62.200.155.255', 1053334240, 1053334527, 'DK', 'Denmark'),
(20851, '62.200.156.0', '62.200.156.255', 1053334528, 1053334783, 'SE', 'Sweden'),
(20852, '62.200.157.0', '62.200.159.255', 1053334784, 1053335551, 'EU', 'Europe'),
(20853, '62.200.160.0', '62.200.164.255', 1053335552, 1053336831, 'ZA', 'South Africa'),
(20854, '62.200.165.0', '62.200.165.255', 1053336832, 1053337087, 'EU', 'Europe'),
(20855, '62.200.166.0', '62.200.166.31', 1053337088, 1053337119, 'ZA', 'South Africa'),
(20856, '62.200.166.32', '62.200.166.39', 1053337120, 1053337127, 'EU', 'Europe'),
(20857, '62.200.166.40', '62.200.166.95', 1053337128, 1053337183, 'ZA', 'South Africa'),
(20858, '62.200.166.96', '62.200.168.7', 1053337184, 1053337607, 'EU', 'Europe'),
(20859, '62.200.168.8', '62.200.168.31', 1053337608, 1053337631, 'CH', 'Switzerland'),
(20860, '62.200.168.32', '62.200.168.255', 1053337632, 1053337855, 'EU', 'Europe'),
(20861, '62.200.169.0', '62.200.169.255', 1053337856, 1053338111, 'ZA', 'South Africa'),
(20862, '62.200.170.0', '62.200.171.255', 1053338112, 1053338623, 'FI', 'Finland'),
(20863, '62.200.172.0', '62.200.173.63', 1053338624, 1053338943, 'NO', 'Norway'),
(20864, '62.200.173.64', '62.200.173.95', 1053338944, 1053338975, 'EU', 'Europe'),
(20865, '62.200.173.96', '62.200.173.103', 1053338976, 1053338983, 'NO', 'Norway'),
(20866, '62.200.173.104', '62.200.173.255', 1053338984, 1053339135, 'EU', 'Europe'),
(20867, '62.200.174.0', '62.200.175.31', 1053339136, 1053339423, 'NO', 'Norway'),
(20868, '62.200.175.32', '62.200.175.63', 1053339424, 1053339455, 'EU', 'Europe'),
(20869, '62.200.175.64', '62.200.175.127', 1053339456, 1053339519, 'NO', 'Norway'),
(20870, '62.200.175.128', '62.200.175.199', 1053339520, 1053339591, 'EU', 'Europe'),
(20871, '62.200.175.200', '62.200.175.207', 1053339592, 1053339599, 'NO', 'Norway'),
(20872, '62.200.175.208', '62.200.175.223', 1053339600, 1053339615, 'EU', 'Europe'),
(20873, '62.200.175.224', '62.200.175.231', 1053339616, 1053339623, 'NO', 'Norway'),
(20874, '62.200.175.232', '62.200.175.239', 1053339624, 1053339631, 'EU', 'Europe'),
(20875, '62.200.175.240', '62.200.175.255', 1053339632, 1053339647, 'NO', 'Norway'),
(20876, '62.200.176.0', '62.200.177.255', 1053339648, 1053340159, 'AT', 'Austria'),
(20877, '62.200.178.0', '62.200.178.255', 1053340160, 1053340415, 'ZA', 'South Africa'),
(20878, '62.200.179.0', '62.200.179.63', 1053340416, 1053340479, 'EU', 'Europe'),
(20879, '62.200.179.64', '62.200.179.95', 1053340480, 1053340511, 'NL', 'Netherlands'),
(20880, '62.200.179.96', '62.200.179.255', 1053340512, 1053340671, 'EU', 'Europe'),
(20881, '62.200.180.0', '62.200.183.127', 1053340672, 1053341567, 'GB', 'United Kingdom'),
(20882, '62.200.183.128', '62.200.183.135', 1053341568, 1053341575, 'EU', 'Europe'),
(20883, '62.200.183.136', '62.200.183.207', 1053341576, 1053341647, 'GB', 'United Kingdom'),
(20884, '62.200.183.208', '62.200.183.215', 1053341648, 1053341655, 'EU', 'Europe'),
(20885, '62.200.183.216', '62.200.183.255', 1053341656, 1053341695, 'GB', 'United Kingdom'),
(20886, '62.200.184.0', '62.200.191.255', 1053341696, 1053343743, 'EU', 'Europe'),
(20887, '62.200.192.0', '62.200.193.255', 1053343744, 1053344255, 'FI', 'Finland'),
(20888, '62.200.194.0', '62.200.197.255', 1053344256, 1053345279, 'EU', 'Europe'),
(20889, '62.200.198.0', '62.200.198.95', 1053345280, 1053345375, 'PK', 'Pakistan'),
(20890, '62.200.198.96', '62.200.198.127', 1053345376, 1053345407, 'EU', 'Europe'),
(20891, '62.200.198.128', '62.200.198.191', 1053345408, 1053345471, 'PK', 'Pakistan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(20892, '62.200.198.192', '62.200.207.255', 1053345472, 1053347839, 'EU', 'Europe'),
(20893, '62.200.208.0', '62.200.209.255', 1053347840, 1053348351, 'NL', 'Netherlands'),
(20894, '62.200.210.0', '62.200.211.31', 1053348352, 1053348639, 'EU', 'Europe'),
(20895, '62.200.211.32', '62.200.211.47', 1053348640, 1053348655, 'PT', 'Portugal'),
(20896, '62.200.211.48', '62.200.212.255', 1053348656, 1053349119, 'EU', 'Europe'),
(20897, '62.200.213.0', '62.200.214.255', 1053349120, 1053349631, 'NL', 'Netherlands'),
(20898, '62.200.215.0', '62.200.215.255', 1053349632, 1053349887, 'EU', 'Europe'),
(20899, '62.200.216.0', '62.200.216.63', 1053349888, 1053349951, 'IE', 'Ireland'),
(20900, '62.200.216.64', '62.200.216.255', 1053349952, 1053350143, 'EU', 'Europe'),
(20901, '62.200.217.0', '62.200.217.191', 1053350144, 1053350335, 'IE', 'Ireland'),
(20902, '62.200.217.192', '62.200.217.207', 1053350336, 1053350351, 'EU', 'Europe'),
(20903, '62.200.217.208', '62.200.217.215', 1053350352, 1053350359, 'IE', 'Ireland'),
(20904, '62.200.217.216', '62.200.217.231', 1053350360, 1053350375, 'EU', 'Europe'),
(20905, '62.200.217.232', '62.200.217.247', 1053350376, 1053350391, 'IE', 'Ireland'),
(20906, '62.200.217.248', '62.200.217.255', 1053350392, 1053350399, 'EU', 'Europe'),
(20907, '62.200.218.0', '62.200.218.87', 1053350400, 1053350487, 'BE', 'Belgium'),
(20908, '62.200.218.88', '62.200.218.255', 1053350488, 1053350655, 'EU', 'Europe'),
(20909, '62.200.219.0', '62.200.219.255', 1053350656, 1053350911, 'BE', 'Belgium'),
(20910, '62.200.220.0', '62.200.223.255', 1053350912, 1053351935, 'EU', 'Europe'),
(20911, '62.200.224.0', '62.200.224.255', 1053351936, 1053352191, 'IL', 'Israel'),
(20912, '62.200.225.0', '62.200.228.143', 1053352192, 1053353103, 'EU', 'Europe'),
(20913, '62.200.228.144', '62.200.228.159', 1053353104, 1053353119, 'IE', 'Ireland'),
(20914, '62.200.228.160', '62.200.228.175', 1053353120, 1053353135, 'EU', 'Europe'),
(20915, '62.200.228.176', '62.200.228.255', 1053353136, 1053353215, 'IE', 'Ireland'),
(20916, '62.200.229.0', '62.200.229.7', 1053353216, 1053353223, 'GB', 'United Kingdom'),
(20917, '62.200.229.8', '62.200.229.31', 1053353224, 1053353247, 'IE', 'Ireland'),
(20918, '62.200.229.32', '62.200.229.47', 1053353248, 1053353263, 'EU', 'Europe'),
(20919, '62.200.229.48', '62.200.229.63', 1053353264, 1053353279, 'IE', 'Ireland'),
(20920, '62.200.229.64', '62.200.231.255', 1053353280, 1053353983, 'EU', 'Europe'),
(20921, '62.200.232.0', '62.200.232.255', 1053353984, 1053354239, 'IL', 'Israel'),
(20922, '62.200.233.0', '62.200.233.255', 1053354240, 1053354495, 'EU', 'Europe'),
(20923, '62.200.234.0', '62.200.234.159', 1053354496, 1053354655, 'IL', 'Israel'),
(20924, '62.200.234.160', '62.200.234.191', 1053354656, 1053354687, 'EU', 'Europe'),
(20925, '62.200.234.192', '62.200.234.223', 1053354688, 1053354719, 'IL', 'Israel'),
(20926, '62.200.234.224', '62.200.234.255', 1053354720, 1053354751, 'EU', 'Europe'),
(20927, '62.200.235.0', '62.200.235.79', 1053354752, 1053354831, 'IL', 'Israel'),
(20928, '62.200.235.80', '62.200.235.103', 1053354832, 1053354855, 'EU', 'Europe'),
(20929, '62.200.235.104', '62.200.235.111', 1053354856, 1053354863, 'IL', 'Israel'),
(20930, '62.200.235.112', '62.200.235.119', 1053354864, 1053354871, 'EU', 'Europe'),
(20931, '62.200.235.120', '62.200.235.127', 1053354872, 1053354879, 'IL', 'Israel'),
(20932, '62.200.235.128', '62.200.235.159', 1053354880, 1053354911, 'EU', 'Europe'),
(20933, '62.200.235.160', '62.200.235.255', 1053354912, 1053355007, 'IL', 'Israel'),
(20934, '62.200.236.0', '62.200.255.255', 1053355008, 1053360127, 'EU', 'Europe'),
(20935, '62.201.0.0', '62.201.15.255', 1053360128, 1053364223, 'ES', 'Spain'),
(20936, '62.201.16.0', '62.201.31.255', 1053364224, 1053368319, 'CZ', 'Czech Republic'),
(20937, '62.201.32.0', '62.201.63.255', 1053368320, 1053376511, 'SE', 'Sweden'),
(20938, '62.201.64.0', '62.201.127.255', 1053376512, 1053392895, 'HU', 'Hungary'),
(20939, '62.201.128.0', '62.201.159.255', 1053392896, 1053401087, 'FR', 'France'),
(20940, '62.201.160.0', '62.201.191.255', 1053401088, 1053409279, 'DE', 'Germany'),
(20941, '62.201.192.0', '62.201.255.255', 1053409280, 1053425663, 'IQ', 'Iraq'),
(20942, '62.202.0.0', '62.203.255.255', 1053425664, 1053556735, 'CH', 'Switzerland'),
(20943, '62.204.0.0', '62.204.31.255', 1053556736, 1053564927, 'FI', 'Finland'),
(20944, '62.204.32.0', '62.204.63.255', 1053564928, 1053573119, 'GB', 'United Kingdom'),
(20945, '62.204.64.0', '62.204.95.255', 1053573120, 1053581311, 'NL', 'Netherlands'),
(20946, '62.204.96.0', '62.204.127.255', 1053581312, 1053589503, 'CH', 'Switzerland'),
(20947, '62.204.128.0', '62.204.159.255', 1053589504, 1053597695, 'BG', 'Bulgaria'),
(20948, '62.204.160.0', '62.204.191.255', 1053597696, 1053605887, 'DE', 'Germany'),
(20949, '62.204.192.0', '62.204.223.255', 1053605888, 1053614079, 'ES', 'Spain'),
(20950, '62.204.224.0', '62.204.255.255', 1053614080, 1053622271, 'CZ', 'Czech Republic'),
(20951, '62.205.0.0', '62.205.31.255', 1053622272, 1053630463, 'IT', 'Italy'),
(20952, '62.205.32.0', '62.205.63.255', 1053630464, 1053638655, 'GR', 'Greece'),
(20953, '62.205.64.0', '62.205.127.255', 1053638656, 1053655039, 'BE', 'Belgium'),
(20954, '62.205.128.0', '62.205.159.255', 1053655040, 1053663231, 'UA', 'Ukraine'),
(20955, '62.205.160.0', '62.205.191.255', 1053663232, 1053671423, 'RU', 'Russian Federation'),
(20956, '62.205.192.0', '62.205.255.255', 1053671424, 1053687807, 'LV', 'Latvia'),
(20957, '62.206.0.0', '62.206.57.235', 1053687808, 1053702635, 'DE', 'Germany'),
(20958, '62.206.57.236', '62.206.57.239', 1053702636, 1053702639, 'GB', 'United Kingdom'),
(20959, '62.206.57.240', '62.206.255.255', 1053702640, 1053753343, 'DE', 'Germany'),
(20960, '62.207.0.0', '62.207.255.255', 1053753344, 1053818879, 'NL', 'Netherlands'),
(20961, '62.208.0.0', '62.208.1.255', 1053818880, 1053819391, 'DE', 'Germany'),
(20962, '62.208.2.0', '62.208.2.31', 1053819392, 1053819423, 'EU', 'Europe'),
(20963, '62.208.2.32', '62.208.2.47', 1053819424, 1053819439, 'DE', 'Germany'),
(20964, '62.208.2.48', '62.208.2.127', 1053819440, 1053819519, 'EU', 'Europe'),
(20965, '62.208.2.128', '62.208.2.171', 1053819520, 1053819563, 'DE', 'Germany'),
(20966, '62.208.2.172', '62.208.2.191', 1053819564, 1053819583, 'EU', 'Europe'),
(20967, '62.208.2.192', '62.208.2.255', 1053819584, 1053819647, 'DE', 'Germany'),
(20968, '62.208.3.0', '62.208.4.255', 1053819648, 1053820159, 'EU', 'Europe'),
(20969, '62.208.5.0', '62.208.7.255', 1053820160, 1053820927, 'DE', 'Germany'),
(20970, '62.208.8.0', '62.208.9.255', 1053820928, 1053821439, 'EU', 'Europe'),
(20971, '62.208.10.0', '62.208.10.7', 1053821440, 1053821447, 'GB', 'United Kingdom'),
(20972, '62.208.10.8', '62.208.10.127', 1053821448, 1053821567, 'EU', 'Europe'),
(20973, '62.208.10.128', '62.208.10.255', 1053821568, 1053821695, 'GB', 'United Kingdom'),
(20974, '62.208.11.0', '62.208.20.15', 1053821696, 1053824015, 'EU', 'Europe'),
(20975, '62.208.20.16', '62.208.20.23', 1053824016, 1053824023, 'DE', 'Germany'),
(20976, '62.208.20.24', '62.208.20.127', 1053824024, 1053824127, 'EU', 'Europe'),
(20977, '62.208.20.128', '62.208.20.255', 1053824128, 1053824255, 'NL', 'Netherlands'),
(20978, '62.208.21.0', '62.208.23.255', 1053824256, 1053825023, 'EU', 'Europe'),
(20979, '62.208.24.0', '62.208.26.255', 1053825024, 1053825791, 'ES', 'Spain'),
(20980, '62.208.27.0', '62.208.27.127', 1053825792, 1053825919, 'GB', 'United Kingdom'),
(20981, '62.208.27.128', '62.208.27.255', 1053825920, 1053826047, 'ES', 'Spain'),
(20982, '62.208.28.0', '62.208.30.255', 1053826048, 1053826815, 'EU', 'Europe'),
(20983, '62.208.31.0', '62.208.32.255', 1053826816, 1053827327, 'DE', 'Germany'),
(20984, '62.208.33.0', '62.208.33.255', 1053827328, 1053827583, 'BE', 'Belgium'),
(20985, '62.208.34.0', '62.208.42.255', 1053827584, 1053829887, 'EU', 'Europe'),
(20986, '62.208.43.0', '62.208.43.255', 1053829888, 1053830143, 'DE', 'Germany'),
(20987, '62.208.44.0', '62.208.47.255', 1053830144, 1053831167, 'EU', 'Europe'),
(20988, '62.208.48.0', '62.208.48.255', 1053831168, 1053831423, 'DE', 'Germany'),
(20989, '62.208.49.0', '62.208.62.191', 1053831424, 1053834943, 'EU', 'Europe'),
(20990, '62.208.62.192', '62.208.62.223', 1053834944, 1053834975, 'DE', 'Germany'),
(20991, '62.208.62.224', '62.208.63.255', 1053834976, 1053835263, 'EU', 'Europe'),
(20992, '62.208.64.0', '62.208.65.255', 1053835264, 1053835775, 'DE', 'Germany'),
(20993, '62.208.66.0', '62.208.71.255', 1053835776, 1053837311, 'EU', 'Europe'),
(20994, '62.208.72.0', '62.208.72.127', 1053837312, 1053837439, 'FK', 'Falkland Islands (Malvinas)'),
(20995, '62.208.72.128', '62.208.72.143', 1053837440, 1053837455, 'GB', 'United Kingdom'),
(20996, '62.208.72.144', '62.208.72.255', 1053837456, 1053837567, 'EU', 'Europe'),
(20997, '62.208.73.0', '62.208.73.255', 1053837568, 1053837823, 'GB', 'United Kingdom'),
(20998, '62.208.74.0', '62.208.75.255', 1053837824, 1053838335, 'FK', 'Falkland Islands (Malvinas)'),
(20999, '62.208.76.0', '62.208.76.255', 1053838336, 1053838591, 'DE', 'Germany'),
(21000, '62.208.77.0', '62.208.84.15', 1053838592, 1053840399, 'EU', 'Europe'),
(21001, '62.208.84.16', '62.208.84.31', 1053840400, 1053840415, 'DE', 'Germany'),
(21002, '62.208.84.32', '62.208.84.63', 1053840416, 1053840447, 'EU', 'Europe'),
(21003, '62.208.84.64', '62.208.84.127', 1053840448, 1053840511, 'DE', 'Germany'),
(21004, '62.208.84.128', '62.208.94.255', 1053840512, 1053843199, 'EU', 'Europe'),
(21005, '62.208.95.0', '62.208.95.31', 1053843200, 1053843231, 'DK', 'Denmark'),
(21006, '62.208.95.32', '62.208.95.255', 1053843232, 1053843455, 'GB', 'United Kingdom'),
(21007, '62.208.96.0', '62.208.96.255', 1053843456, 1053843711, 'EU', 'Europe'),
(21008, '62.208.97.0', '62.208.97.255', 1053843712, 1053843967, 'DE', 'Germany'),
(21009, '62.208.98.0', '62.208.98.255', 1053843968, 1053844223, 'GB', 'United Kingdom'),
(21010, '62.208.99.0', '62.208.99.255', 1053844224, 1053844479, 'DE', 'Germany'),
(21011, '62.208.100.0', '62.208.101.255', 1053844480, 1053844991, 'EU', 'Europe'),
(21012, '62.208.102.0', '62.208.103.255', 1053844992, 1053845503, 'DE', 'Germany'),
(21013, '62.208.104.0', '62.208.104.223', 1053845504, 1053845727, 'EU', 'Europe'),
(21014, '62.208.104.224', '62.208.104.231', 1053845728, 1053845735, 'DE', 'Germany'),
(21015, '62.208.104.232', '62.208.105.255', 1053845736, 1053846015, 'EU', 'Europe'),
(21016, '62.208.106.0', '62.208.107.255', 1053846016, 1053846527, 'DE', 'Germany'),
(21017, '62.208.108.0', '62.208.108.255', 1053846528, 1053846783, 'EU', 'Europe'),
(21018, '62.208.109.0', '62.208.111.255', 1053846784, 1053847551, 'DE', 'Germany'),
(21019, '62.208.112.0', '62.208.119.255', 1053847552, 1053849599, 'GB', 'United Kingdom'),
(21020, '62.208.120.0', '62.208.122.255', 1053849600, 1053850367, 'DE', 'Germany'),
(21021, '62.208.123.0', '62.208.125.255', 1053850368, 1053851135, 'EU', 'Europe'),
(21022, '62.208.126.0', '62.208.127.255', 1053851136, 1053851647, 'DE', 'Germany'),
(21023, '62.208.128.0', '62.208.128.255', 1053851648, 1053851903, 'EU', 'Europe'),
(21024, '62.208.129.0', '62.208.129.15', 1053851904, 1053851919, 'FR', 'France'),
(21025, '62.208.129.16', '62.208.129.127', 1053851920, 1053852031, 'EU', 'Europe'),
(21026, '62.208.129.128', '62.208.129.143', 1053852032, 1053852047, 'IT', 'Italy'),
(21027, '62.208.129.144', '62.208.129.207', 1053852048, 1053852111, 'EU', 'Europe'),
(21028, '62.208.129.208', '62.208.129.223', 1053852112, 1053852127, 'GB', 'United Kingdom'),
(21029, '62.208.129.224', '62.208.129.255', 1053852128, 1053852159, 'DE', 'Germany'),
(21030, '62.208.130.0', '62.208.135.255', 1053852160, 1053853695, 'EU', 'Europe'),
(21031, '62.208.136.0', '62.208.159.255', 1053853696, 1053859839, 'GB', 'United Kingdom'),
(21032, '62.208.160.0', '62.208.163.255', 1053859840, 1053860863, 'DE', 'Germany'),
(21033, '62.208.164.0', '62.208.170.255', 1053860864, 1053862655, 'EU', 'Europe'),
(21034, '62.208.171.0', '62.208.171.127', 1053862656, 1053862783, 'DE', 'Germany'),
(21035, '62.208.171.128', '62.208.171.191', 1053862784, 1053862847, 'EU', 'Europe'),
(21036, '62.208.171.192', '62.208.171.223', 1053862848, 1053862879, 'DE', 'Germany'),
(21037, '62.208.171.224', '62.208.173.255', 1053862880, 1053863423, 'EU', 'Europe'),
(21038, '62.208.174.0', '62.208.179.255', 1053863424, 1053864959, 'DE', 'Germany'),
(21039, '62.208.180.0', '62.208.180.255', 1053864960, 1053865215, 'EU', 'Europe'),
(21040, '62.208.181.0', '62.208.182.255', 1053865216, 1053865727, 'DE', 'Germany'),
(21041, '62.208.183.0', '62.208.183.31', 1053865728, 1053865759, 'US', 'United States'),
(21042, '62.208.183.32', '62.208.183.255', 1053865760, 1053865983, 'EU', 'Europe'),
(21043, '62.208.184.0', '62.208.184.255', 1053865984, 1053866239, 'DE', 'Germany'),
(21044, '62.208.185.0', '62.208.185.255', 1053866240, 1053866495, 'ES', 'Spain'),
(21045, '62.208.186.0', '62.208.187.47', 1053866496, 1053866799, 'DE', 'Germany'),
(21046, '62.208.187.48', '62.208.187.55', 1053866800, 1053866807, 'EU', 'Europe'),
(21047, '62.208.187.56', '62.208.187.71', 1053866808, 1053866823, 'DE', 'Germany'),
(21048, '62.208.187.72', '62.208.187.79', 1053866824, 1053866831, 'EU', 'Europe'),
(21049, '62.208.187.80', '62.208.187.95', 1053866832, 1053866847, 'DE', 'Germany'),
(21050, '62.208.187.96', '62.208.189.255', 1053866848, 1053867519, 'EU', 'Europe'),
(21051, '62.208.190.0', '62.208.190.255', 1053867520, 1053867775, 'DE', 'Germany'),
(21052, '62.208.191.0', '62.208.191.199', 1053867776, 1053867975, 'EU', 'Europe'),
(21053, '62.208.191.200', '62.208.191.207', 1053867976, 1053867983, 'DE', 'Germany'),
(21054, '62.208.191.208', '62.208.191.215', 1053867984, 1053867991, 'EU', 'Europe'),
(21055, '62.208.191.216', '62.208.191.223', 1053867992, 1053867999, 'DE', 'Germany'),
(21056, '62.208.191.224', '62.208.191.231', 1053868000, 1053868007, 'EU', 'Europe'),
(21057, '62.208.191.232', '62.208.191.239', 1053868008, 1053868015, 'DE', 'Germany'),
(21058, '62.208.191.240', '62.208.191.255', 1053868016, 1053868031, 'EU', 'Europe'),
(21059, '62.208.192.0', '62.208.193.159', 1053868032, 1053868447, 'ES', 'Spain'),
(21060, '62.208.193.160', '62.208.193.167', 1053868448, 1053868455, 'GB', 'United Kingdom'),
(21061, '62.208.193.168', '62.208.194.255', 1053868456, 1053868799, 'EU', 'Europe'),
(21062, '62.208.195.0', '62.208.197.255', 1053868800, 1053869567, 'DE', 'Germany'),
(21063, '62.208.198.0', '62.208.199.255', 1053869568, 1053870079, 'EU', 'Europe'),
(21064, '62.208.200.0', '62.208.200.255', 1053870080, 1053870335, 'DE', 'Germany'),
(21065, '62.208.201.0', '62.208.201.255', 1053870336, 1053870591, 'GB', 'United Kingdom'),
(21066, '62.208.202.0', '62.208.202.255', 1053870592, 1053870847, 'EU', 'Europe'),
(21067, '62.208.203.0', '62.208.204.255', 1053870848, 1053871359, 'DE', 'Germany'),
(21068, '62.208.205.0', '62.208.205.255', 1053871360, 1053871615, 'EU', 'Europe'),
(21069, '62.208.206.0', '62.208.206.255', 1053871616, 1053871871, 'DE', 'Germany'),
(21070, '62.208.207.0', '62.208.208.255', 1053871872, 1053872383, 'EU', 'Europe'),
(21071, '62.208.209.0', '62.208.209.63', 1053872384, 1053872447, 'DE', 'Germany'),
(21072, '62.208.209.64', '62.208.210.255', 1053872448, 1053872895, 'EU', 'Europe'),
(21073, '62.208.211.0', '62.208.213.255', 1053872896, 1053873663, 'DE', 'Germany'),
(21074, '62.208.214.0', '62.208.223.255', 1053873664, 1053876223, 'EU', 'Europe'),
(21075, '62.208.224.0', '62.208.224.255', 1053876224, 1053876479, 'DE', 'Germany'),
(21076, '62.208.225.0', '62.208.225.255', 1053876480, 1053876735, 'GB', 'United Kingdom'),
(21077, '62.208.226.0', '62.208.226.255', 1053876736, 1053876991, 'DE', 'Germany'),
(21078, '62.208.227.0', '62.208.227.255', 1053876992, 1053877247, 'EU', 'Europe'),
(21079, '62.208.228.0', '62.208.231.255', 1053877248, 1053878271, 'DE', 'Germany'),
(21080, '62.208.232.0', '62.208.233.255', 1053878272, 1053878783, 'GB', 'United Kingdom'),
(21081, '62.208.234.0', '62.208.235.7', 1053878784, 1053879047, 'DE', 'Germany'),
(21082, '62.208.235.8', '62.208.235.15', 1053879048, 1053879055, 'EU', 'Europe'),
(21083, '62.208.235.16', '62.208.235.31', 1053879056, 1053879071, 'DE', 'Germany'),
(21084, '62.208.235.32', '62.208.235.127', 1053879072, 1053879167, 'GB', 'United Kingdom'),
(21085, '62.208.235.128', '62.208.235.255', 1053879168, 1053879295, 'EU', 'Europe'),
(21086, '62.208.236.0', '62.208.246.255', 1053879296, 1053882111, 'DE', 'Germany'),
(21087, '62.208.247.0', '62.208.247.255', 1053882112, 1053882367, 'EU', 'Europe'),
(21088, '62.208.248.0', '62.208.249.255', 1053882368, 1053882879, 'DE', 'Germany'),
(21089, '62.208.250.0', '62.208.251.255', 1053882880, 1053883391, 'GB', 'United Kingdom'),
(21090, '62.208.252.0', '62.208.255.255', 1053883392, 1053884415, 'DE', 'Germany'),
(21091, '62.209.0.0', '62.209.31.255', 1053884416, 1053892607, 'BH', 'Bahrain'),
(21092, '62.209.32.0', '62.209.32.11', 1053892608, 1053892619, 'DE', 'Germany'),
(21093, '62.209.32.12', '62.209.32.15', 1053892620, 1053892623, 'GB', 'United Kingdom'),
(21094, '62.209.32.16', '62.209.33.79', 1053892624, 1053892943, 'DE', 'Germany'),
(21095, '62.209.33.80', '62.209.33.95', 1053892944, 1053892959, 'GB', 'United Kingdom'),
(21096, '62.209.33.96', '62.209.39.95', 1053892960, 1053894495, 'DE', 'Germany'),
(21097, '62.209.39.96', '62.209.39.127', 1053894496, 1053894527, 'GB', 'United Kingdom'),
(21098, '62.209.39.128', '62.209.40.63', 1053894528, 1053894719, 'DE', 'Germany'),
(21099, '62.209.40.64', '62.209.40.79', 1053894720, 1053894735, 'FR', 'France'),
(21100, '62.209.40.80', '62.209.40.87', 1053894736, 1053894743, 'GB', 'United Kingdom'),
(21101, '62.209.40.88', '62.209.40.95', 1053894744, 1053894751, 'GE', 'Georgia'),
(21102, '62.209.40.96', '62.209.40.127', 1053894752, 1053894783, 'DE', 'Germany'),
(21103, '62.209.40.128', '62.209.40.159', 1053894784, 1053894815, 'IL', 'Israel'),
(21104, '62.209.40.160', '62.209.40.175', 1053894816, 1053894831, 'DE', 'Germany'),
(21105, '62.209.40.176', '62.209.40.191', 1053894832, 1053894847, 'US', 'United States'),
(21106, '62.209.40.192', '62.209.42.255', 1053894848, 1053895423, 'DE', 'Germany'),
(21107, '62.209.43.0', '62.209.43.255', 1053895424, 1053895679, 'GB', 'United Kingdom'),
(21108, '62.209.44.0', '62.209.45.151', 1053895680, 1053896087, 'DE', 'Germany'),
(21109, '62.209.45.152', '62.209.45.159', 1053896088, 1053896095, 'US', 'United States'),
(21110, '62.209.45.160', '62.209.45.191', 1053896096, 1053896127, 'GB', 'United Kingdom'),
(21111, '62.209.45.192', '62.209.45.223', 1053896128, 1053896159, 'DE', 'Germany'),
(21112, '62.209.45.224', '62.209.45.239', 1053896160, 1053896175, 'US', 'United States'),
(21113, '62.209.45.240', '62.209.46.255', 1053896176, 1053896447, 'DE', 'Germany'),
(21114, '62.209.47.0', '62.209.47.255', 1053896448, 1053896703, 'US', 'United States'),
(21115, '62.209.48.0', '62.209.63.255', 1053896704, 1053900799, 'DE', 'Germany'),
(21116, '62.209.64.0', '62.209.127.255', 1053900800, 1053917183, 'NO', 'Norway'),
(21117, '62.209.128.0', '62.209.159.255', 1053917184, 1053925375, 'UZ', 'Uzbekistan'),
(21118, '62.209.160.0', '62.209.166.247', 1053925376, 1053927159, 'SE', 'Sweden'),
(21119, '62.209.166.248', '62.209.166.255', 1053927160, 1053927167, 'FI', 'Finland'),
(21120, '62.209.167.0', '62.209.191.255', 1053927168, 1053933567, 'SE', 'Sweden'),
(21121, '62.209.192.0', '62.209.255.255', 1053933568, 1053949951, 'CZ', 'Czech Republic'),
(21122, '62.210.0.0', '62.210.134.159', 1053949952, 1053984415, 'FR', 'France'),
(21123, '62.210.134.160', '62.210.134.191', 1053984416, 1053984447, 'US', 'United States'),
(21124, '62.210.134.192', '62.210.136.127', 1053984448, 1053984895, 'FR', 'France'),
(21125, '62.210.136.128', '62.210.136.255', 1053984896, 1053985023, 'US', 'United States'),
(21126, '62.210.137.0', '62.210.255.255', 1053985024, 1054015487, 'FR', 'France'),
(21127, '62.211.0.0', '62.212.31.255', 1054015488, 1054089215, 'IT', 'Italy'),
(21128, '62.212.32.0', '62.212.63.255', 1054089216, 1054097407, 'GE', 'Georgia'),
(21129, '62.212.64.0', '62.212.95.255', 1054097408, 1054105599, 'NL', 'Netherlands'),
(21130, '62.212.96.0', '62.212.127.255', 1054105600, 1054113791, 'FR', 'France'),
(21131, '62.212.128.0', '62.212.159.255', 1054113792, 1054121983, 'NL', 'Netherlands'),
(21132, '62.212.160.0', '62.212.191.255', 1054121984, 1054130175, 'AT', 'Austria'),
(21133, '62.212.192.0', '62.212.223.255', 1054130176, 1054138367, 'LT', 'Lithuania'),
(21134, '62.212.224.0', '62.212.255.255', 1054138368, 1054146559, 'AZ', 'Azerbaijan'),
(21135, '62.213.0.0', '62.213.127.255', 1054146560, 1054179327, 'RU', 'Russian Federation'),
(21136, '62.213.128.0', '62.213.131.255', 1054179328, 1054180351, 'GB', 'United Kingdom'),
(21137, '62.213.132.0', '62.213.135.0', 1054180352, 1054181120, 'DE', 'Germany'),
(21138, '62.213.135.1', '62.213.135.255', 1054181121, 1054181375, 'GB', 'United Kingdom'),
(21139, '62.213.136.0', '62.213.139.255', 1054181376, 1054182399, 'DE', 'Germany'),
(21140, '62.213.140.0', '62.213.143.255', 1054182400, 1054183423, 'GB', 'United Kingdom'),
(21141, '62.213.144.0', '62.213.151.0', 1054183424, 1054185216, 'DE', 'Germany'),
(21142, '62.213.151.1', '62.213.151.255', 1054185217, 1054185471, 'GB', 'United Kingdom'),
(21143, '62.213.152.0', '62.213.155.0', 1054185472, 1054186240, 'DE', 'Germany'),
(21144, '62.213.155.1', '62.213.155.255', 1054186241, 1054186495, 'GB', 'United Kingdom'),
(21145, '62.213.156.0', '62.213.159.0', 1054186496, 1054187264, 'DE', 'Germany'),
(21146, '62.213.159.1', '62.213.159.255', 1054187265, 1054187519, 'GB', 'United Kingdom'),
(21147, '62.213.160.0', '62.213.191.255', 1054187520, 1054195711, 'BG', 'Bulgaria'),
(21148, '62.213.192.0', '62.213.255.255', 1054195712, 1054212095, 'BE', 'Belgium'),
(21149, '62.214.0.0', '62.214.1.167', 1054212096, 1054212519, 'DE', 'Germany'),
(21150, '62.214.1.168', '62.214.1.175', 1054212520, 1054212527, 'NL', 'Netherlands'),
(21151, '62.214.1.176', '62.214.255.255', 1054212528, 1054277631, 'DE', 'Germany'),
(21152, '62.215.0.0', '62.215.255.255', 1054277632, 1054343167, 'KW', 'Kuwait'),
(21153, '62.216.0.0', '62.216.31.255', 1054343168, 1054351359, 'NL', 'Netherlands'),
(21154, '62.216.32.0', '62.216.63.255', 1054351360, 1054359551, 'UA', 'Ukraine'),
(21155, '62.216.64.0', '62.216.95.255', 1054359552, 1054367743, 'RO', 'Romania'),
(21156, '62.216.96.0', '62.216.127.255', 1054367744, 1054375935, 'FI', 'Finland'),
(21157, '62.216.128.0', '62.216.147.255', 1054375936, 1054381055, 'GB', 'United Kingdom'),
(21158, '62.216.148.0', '62.216.149.255', 1054381056, 1054381567, 'EG', 'Egypt'),
(21159, '62.216.150.0', '62.216.150.15', 1054381568, 1054381583, 'SG', 'Singapore'),
(21160, '62.216.150.16', '62.216.150.31', 1054381584, 1054381599, 'HK', 'Hong Kong'),
(21161, '62.216.150.32', '62.216.150.47', 1054381600, 1054381615, 'GB', 'United Kingdom'),
(21162, '62.216.150.48', '62.216.150.63', 1054381616, 1054381631, 'US', 'United States'),
(21163, '62.216.150.64', '62.216.159.255', 1054381632, 1054384127, 'GB', 'United Kingdom'),
(21164, '62.216.160.0', '62.216.223.255', 1054384128, 1054400511, 'DE', 'Germany'),
(21165, '62.216.224.0', '62.216.255.255', 1054400512, 1054408703, 'GB', 'United Kingdom'),
(21166, '62.217.0.0', '62.217.31.255', 1054408704, 1054416895, 'FR', 'France'),
(21167, '62.217.32.0', '62.217.63.255', 1054416896, 1054425087, 'DE', 'Germany'),
(21168, '62.217.64.0', '62.217.127.255', 1054425088, 1054441471, 'GR', 'Greece'),
(21169, '62.217.128.0', '62.217.159.255', 1054441472, 1054449663, 'AZ', 'Azerbaijan'),
(21170, '62.217.160.0', '62.217.191.255', 1054449664, 1054457855, 'RU', 'Russian Federation'),
(21171, '62.217.192.0', '62.217.255.255', 1054457856, 1054474239, 'RO', 'Romania'),
(21172, '62.218.0.0', '62.218.255.255', 1054474240, 1054539775, 'AT', 'Austria'),
(21173, '62.219.0.0', '62.219.255.255', 1054539776, 1054605311, 'IL', 'Israel'),
(21174, '62.220.0.0', '62.220.31.255', 1054605312, 1054613503, 'DE', 'Germany'),
(21175, '62.220.32.0', '62.220.63.255', 1054613504, 1054621695, 'RU', 'Russian Federation'),
(21176, '62.220.64.0', '62.220.95.255', 1054621696, 1054629887, 'IT', 'Italy'),
(21177, '62.220.96.0', '62.220.127.255', 1054629888, 1054638079, 'IR', 'Iran, Islamic Republic of'),
(21178, '62.220.128.0', '62.220.159.255', 1054638080, 1054646271, 'CH', 'Switzerland'),
(21179, '62.220.160.0', '62.220.191.255', 1054646272, 1054654463, 'SE', 'Sweden'),
(21180, '62.220.192.0', '62.220.223.255', 1054654464, 1054662655, 'MK', 'Macedonia'),
(21181, '62.220.224.0', '62.220.255.255', 1054662656, 1054670847, 'FI', 'Finland'),
(21182, '62.221.0.0', '62.221.0.255', 1054670848, 1054671103, 'GB', 'United Kingdom'),
(21183, '62.221.1.0', '62.221.1.63', 1054671104, 1054671167, 'EU', 'Europe'),
(21184, '62.221.1.64', '62.221.1.127', 1054671168, 1054671231, 'IE', 'Ireland'),
(21185, '62.221.1.128', '62.221.2.11', 1054671232, 1054671371, 'EU', 'Europe'),
(21186, '62.221.2.12', '62.221.2.15', 1054671372, 1054671375, 'IE', 'Ireland'),
(21187, '62.221.2.16', '62.221.2.55', 1054671376, 1054671415, 'EU', 'Europe'),
(21188, '62.221.2.56', '62.221.2.63', 1054671416, 1054671423, 'IE', 'Ireland'),
(21189, '62.221.2.64', '62.221.2.71', 1054671424, 1054671431, 'EU', 'Europe'),
(21190, '62.221.2.72', '62.221.2.79', 1054671432, 1054671439, 'IE', 'Ireland'),
(21191, '62.221.2.80', '62.221.5.31', 1054671440, 1054672159, 'EU', 'Europe'),
(21192, '62.221.5.32', '62.221.5.47', 1054672160, 1054672175, 'IE', 'Ireland'),
(21193, '62.221.5.48', '62.221.5.127', 1054672176, 1054672255, 'EU', 'Europe'),
(21194, '62.221.5.128', '62.221.5.159', 1054672256, 1054672287, 'IE', 'Ireland'),
(21195, '62.221.5.160', '62.221.5.191', 1054672288, 1054672319, 'EU', 'Europe'),
(21196, '62.221.5.192', '62.221.5.207', 1054672320, 1054672335, 'US', 'United States'),
(21197, '62.221.5.208', '62.221.5.239', 1054672336, 1054672367, 'IE', 'Ireland'),
(21198, '62.221.5.240', '62.221.5.255', 1054672368, 1054672383, 'EU', 'Europe'),
(21199, '62.221.6.0', '62.221.6.63', 1054672384, 1054672447, 'IE', 'Ireland'),
(21200, '62.221.6.64', '62.221.7.79', 1054672448, 1054672719, 'EU', 'Europe'),
(21201, '62.221.7.80', '62.221.7.87', 1054672720, 1054672727, 'IE', 'Ireland'),
(21202, '62.221.7.88', '62.221.7.103', 1054672728, 1054672743, 'EU', 'Europe'),
(21203, '62.221.7.104', '62.221.7.127', 1054672744, 1054672767, 'IE', 'Ireland'),
(21204, '62.221.7.128', '62.221.7.135', 1054672768, 1054672775, 'EU', 'Europe'),
(21205, '62.221.7.136', '62.221.7.143', 1054672776, 1054672783, 'IE', 'Ireland'),
(21206, '62.221.7.144', '62.221.7.151', 1054672784, 1054672791, 'EU', 'Europe'),
(21207, '62.221.7.152', '62.221.7.167', 1054672792, 1054672807, 'IE', 'Ireland'),
(21208, '62.221.7.168', '62.221.10.255', 1054672808, 1054673663, 'EU', 'Europe'),
(21209, '62.221.11.0', '62.221.11.63', 1054673664, 1054673727, 'IE', 'Ireland'),
(21210, '62.221.11.64', '62.221.11.191', 1054673728, 1054673855, 'EU', 'Europe'),
(21211, '62.221.11.192', '62.221.11.255', 1054673856, 1054673919, 'IE', 'Ireland'),
(21212, '62.221.12.0', '62.221.12.31', 1054673920, 1054673951, 'EU', 'Europe'),
(21213, '62.221.12.32', '62.221.12.127', 1054673952, 1054674047, 'IE', 'Ireland'),
(21214, '62.221.12.128', '62.221.12.159', 1054674048, 1054674079, 'EU', 'Europe'),
(21215, '62.221.12.160', '62.221.12.191', 1054674080, 1054674111, 'IE', 'Ireland'),
(21216, '62.221.12.192', '62.221.14.23', 1054674112, 1054674455, 'EU', 'Europe'),
(21217, '62.221.14.24', '62.221.14.39', 1054674456, 1054674471, 'IE', 'Ireland'),
(21218, '62.221.14.40', '62.221.14.47', 1054674472, 1054674479, 'EU', 'Europe'),
(21219, '62.221.14.48', '62.221.14.63', 1054674480, 1054674495, 'IE', 'Ireland'),
(21220, '62.221.14.64', '62.221.14.71', 1054674496, 1054674503, 'EU', 'Europe'),
(21221, '62.221.14.72', '62.221.14.79', 1054674504, 1054674511, 'IE', 'Ireland'),
(21222, '62.221.14.80', '62.221.14.87', 1054674512, 1054674519, 'EU', 'Europe'),
(21223, '62.221.14.88', '62.221.14.95', 1054674520, 1054674527, 'GB', 'United Kingdom'),
(21224, '62.221.14.96', '62.221.14.255', 1054674528, 1054674687, 'EU', 'Europe'),
(21225, '62.221.15.0', '62.221.16.255', 1054674688, 1054675199, 'IE', 'Ireland'),
(21226, '62.221.17.0', '62.221.17.255', 1054675200, 1054675455, 'EU', 'Europe'),
(21227, '62.221.18.0', '62.221.18.255', 1054675456, 1054675711, 'IE', 'Ireland'),
(21228, '62.221.19.0', '62.221.19.255', 1054675712, 1054675967, 'EU', 'Europe'),
(21229, '62.221.20.0', '62.221.20.255', 1054675968, 1054676223, 'US', 'United States'),
(21230, '62.221.21.0', '62.221.31.255', 1054676224, 1054679039, 'EU', 'Europe'),
(21231, '62.221.32.0', '62.221.63.255', 1054679040, 1054687231, 'UA', 'Ukraine'),
(21232, '62.221.64.0', '62.221.127.255', 1054687232, 1054703615, 'MD', 'Moldova, Republic of'),
(21233, '62.221.128.0', '62.221.159.255', 1054703616, 1054711807, 'BG', 'Bulgaria'),
(21234, '62.221.160.0', '62.221.191.255', 1054711808, 1054719999, 'IT', 'Italy'),
(21235, '62.221.192.0', '62.223.255.255', 1054720000, 1054867455, 'NL', 'Netherlands'),
(21236, '62.224.0.0', '62.225.39.255', 1054867456, 1054943231, 'DE', 'Germany'),
(21237, '62.225.40.0', '62.225.40.255', 1054943232, 1054943487, 'PL', 'Poland'),
(21238, '62.225.41.0', '62.225.59.157', 1054943488, 1054948253, 'DE', 'Germany'),
(21239, '62.225.59.158', '62.225.59.158', 1054948254, 1054948254, 'EU', 'Europe'),
(21240, '62.225.59.159', '62.225.65.175', 1054948255, 1054949807, 'DE', 'Germany'),
(21241, '62.225.65.176', '62.225.65.183', 1054949808, 1054949815, 'ES', 'Spain'),
(21242, '62.225.65.184', '62.225.140.199', 1054949816, 1054969031, 'DE', 'Germany'),
(21243, '62.225.140.200', '62.225.140.207', 1054969032, 1054969039, 'AT', 'Austria'),
(21244, '62.225.140.208', '62.225.159.255', 1054969040, 1054973951, 'DE', 'Germany'),
(21245, '62.225.160.0', '62.225.160.255', 1054973952, 1054974207, 'EU', 'Europe'),
(21246, '62.225.161.0', '62.225.178.255', 1054974208, 1054978815, 'DE', 'Germany'),
(21247, '62.225.179.0', '62.225.179.255', 1054978816, 1054979071, 'FR', 'France'),
(21248, '62.225.180.0', '62.227.255.255', 1054979072, 1055129599, 'DE', 'Germany'),
(21249, '62.228.0.0', '62.228.224.83', 1055129600, 1055187027, 'CY', 'Cyprus'),
(21250, '62.228.224.84', '62.228.253.255', 1055187028, 1055194623, 'GR', 'Greece'),
(21251, '62.228.254.0', '62.228.255.255', 1055194624, 1055195135, 'CY', 'Cyprus'),
(21252, '62.229.0.0', '62.229.3.255', 1055195136, 1055196159, 'EU', 'Europe'),
(21253, '62.229.4.0', '62.229.10.127', 1055196160, 1055197823, 'CH', 'Switzerland'),
(21254, '62.229.10.128', '62.229.10.223', 1055197824, 1055197919, 'EU', 'Europe'),
(21255, '62.229.10.224', '62.229.12.255', 1055197920, 1055198463, 'CH', 'Switzerland'),
(21256, '62.229.13.0', '62.229.14.255', 1055198464, 1055198975, 'EU', 'Europe'),
(21257, '62.229.15.0', '62.229.15.127', 1055198976, 1055199103, 'CH', 'Switzerland'),
(21258, '62.229.15.128', '62.229.16.127', 1055199104, 1055199359, 'EU', 'Europe'),
(21259, '62.229.16.128', '62.229.16.143', 1055199360, 1055199375, 'CH', 'Switzerland'),
(21260, '62.229.16.144', '62.229.16.231', 1055199376, 1055199463, 'EU', 'Europe'),
(21261, '62.229.16.232', '62.229.16.255', 1055199464, 1055199487, 'CH', 'Switzerland'),
(21262, '62.229.17.0', '62.229.20.159', 1055199488, 1055200415, 'EU', 'Europe'),
(21263, '62.229.20.160', '62.229.20.167', 1055200416, 1055200423, 'PT', 'Portugal'),
(21264, '62.229.20.168', '62.229.22.255', 1055200424, 1055201023, 'EU', 'Europe'),
(21265, '62.229.23.0', '62.229.23.255', 1055201024, 1055201279, 'US', 'United States'),
(21266, '62.229.24.0', '62.229.31.255', 1055201280, 1055203327, 'EU', 'Europe'),
(21267, '62.229.32.0', '62.229.32.15', 1055203328, 1055203343, 'CZ', 'Czech Republic'),
(21268, '62.229.32.16', '62.229.33.255', 1055203344, 1055203839, 'EU', 'Europe'),
(21269, '62.229.34.0', '62.229.34.255', 1055203840, 1055204095, 'CZ', 'Czech Republic'),
(21270, '62.229.35.0', '62.229.37.255', 1055204096, 1055204863, 'EU', 'Europe'),
(21271, '62.229.38.0', '62.229.38.255', 1055204864, 1055205119, 'CZ', 'Czech Republic'),
(21272, '62.229.39.0', '62.229.40.255', 1055205120, 1055205631, 'EU', 'Europe'),
(21273, '62.229.41.0', '62.229.41.255', 1055205632, 1055205887, 'CZ', 'Czech Republic'),
(21274, '62.229.42.0', '62.229.44.255', 1055205888, 1055206655, 'EU', 'Europe'),
(21275, '62.229.45.0', '62.229.45.255', 1055206656, 1055206911, 'CZ', 'Czech Republic'),
(21276, '62.229.46.0', '62.229.46.255', 1055206912, 1055207167, 'EU', 'Europe'),
(21277, '62.229.47.0', '62.229.47.255', 1055207168, 1055207423, 'CZ', 'Czech Republic'),
(21278, '62.229.48.0', '62.229.48.255', 1055207424, 1055207679, 'EU', 'Europe'),
(21279, '62.229.49.0', '62.229.54.255', 1055207680, 1055209215, 'CZ', 'Czech Republic'),
(21280, '62.229.55.0', '62.229.56.255', 1055209216, 1055209727, 'EU', 'Europe'),
(21281, '62.229.57.0', '62.229.58.255', 1055209728, 1055210239, 'CZ', 'Czech Republic'),
(21282, '62.229.59.0', '62.229.62.255', 1055210240, 1055211263, 'EU', 'Europe'),
(21283, '62.229.63.0', '62.229.63.255', 1055211264, 1055211519, 'CZ', 'Czech Republic'),
(21284, '62.229.64.0', '62.229.66.11', 1055211520, 1055212043, 'EU', 'Europe'),
(21285, '62.229.66.12', '62.229.66.99', 1055212044, 1055212131, 'PT', 'Portugal'),
(21286, '62.229.66.100', '62.229.66.143', 1055212132, 1055212175, 'EU', 'Europe'),
(21287, '62.229.66.144', '62.229.66.147', 1055212176, 1055212179, 'PT', 'Portugal'),
(21288, '62.229.66.148', '62.229.66.151', 1055212180, 1055212183, 'EU', 'Europe'),
(21289, '62.229.66.152', '62.229.66.215', 1055212184, 1055212247, 'PT', 'Portugal'),
(21290, '62.229.66.216', '62.229.67.63', 1055212248, 1055212351, 'EU', 'Europe'),
(21291, '62.229.67.64', '62.229.67.127', 1055212352, 1055212415, 'PT', 'Portugal'),
(21292, '62.229.67.128', '62.229.70.207', 1055212416, 1055213263, 'EU', 'Europe'),
(21293, '62.229.70.208', '62.229.70.251', 1055213264, 1055213307, 'PT', 'Portugal'),
(21294, '62.229.70.252', '62.229.70.255', 1055213308, 1055213311, 'EU', 'Europe'),
(21295, '62.229.71.0', '62.229.71.7', 1055213312, 1055213319, 'PT', 'Portugal'),
(21296, '62.229.71.8', '62.229.71.15', 1055213320, 1055213327, 'EU', 'Europe'),
(21297, '62.229.71.16', '62.229.71.47', 1055213328, 1055213359, 'PT', 'Portugal'),
(21298, '62.229.71.48', '62.229.71.55', 1055213360, 1055213367, 'EU', 'Europe'),
(21299, '62.229.71.56', '62.229.71.143', 1055213368, 1055213455, 'PT', 'Portugal'),
(21300, '62.229.71.144', '62.229.71.159', 1055213456, 1055213471, 'EU', 'Europe'),
(21301, '62.229.71.160', '62.229.71.255', 1055213472, 1055213567, 'PT', 'Portugal'),
(21302, '62.229.72.0', '62.229.73.255', 1055213568, 1055214079, 'EU', 'Europe'),
(21303, '62.229.74.0', '62.229.74.159', 1055214080, 1055214239, 'PT', 'Portugal'),
(21304, '62.229.74.160', '62.229.74.191', 1055214240, 1055214271, 'EU', 'Europe'),
(21305, '62.229.74.192', '62.229.76.255', 1055214272, 1055214847, 'PT', 'Portugal'),
(21306, '62.229.77.0', '62.229.78.255', 1055214848, 1055215359, 'EU', 'Europe'),
(21307, '62.229.79.0', '62.229.81.127', 1055215360, 1055215999, 'PT', 'Portugal'),
(21308, '62.229.81.128', '62.229.81.159', 1055216000, 1055216031, 'EU', 'Europe'),
(21309, '62.229.81.160', '62.229.82.255', 1055216032, 1055216383, 'PT', 'Portugal'),
(21310, '62.229.83.0', '62.229.84.255', 1055216384, 1055216895, 'EU', 'Europe'),
(21311, '62.229.85.0', '62.229.87.255', 1055216896, 1055217663, 'PT', 'Portugal'),
(21312, '62.229.88.0', '62.229.90.31', 1055217664, 1055218207, 'EU', 'Europe'),
(21313, '62.229.90.32', '62.229.90.63', 1055218208, 1055218239, 'PT', 'Portugal'),
(21314, '62.229.90.64', '62.229.90.95', 1055218240, 1055218271, 'EU', 'Europe'),
(21315, '62.229.90.96', '62.229.90.123', 1055218272, 1055218299, 'PT', 'Portugal'),
(21316, '62.229.90.124', '62.229.90.175', 1055218300, 1055218351, 'EU', 'Europe'),
(21317, '62.229.90.176', '62.229.90.207', 1055218352, 1055218383, 'PT', 'Portugal'),
(21318, '62.229.90.208', '62.229.90.215', 1055218384, 1055218391, 'EU', 'Europe'),
(21319, '62.229.90.216', '62.229.90.223', 1055218392, 1055218399, 'PT', 'Portugal'),
(21320, '62.229.90.224', '62.229.90.255', 1055218400, 1055218431, 'EU', 'Europe'),
(21321, '62.229.91.0', '62.229.91.15', 1055218432, 1055218447, 'PT', 'Portugal'),
(21322, '62.229.91.16', '62.229.91.31', 1055218448, 1055218463, 'EU', 'Europe'),
(21323, '62.229.91.32', '62.229.91.39', 1055218464, 1055218471, 'PT', 'Portugal'),
(21324, '62.229.91.40', '62.229.91.47', 1055218472, 1055218479, 'EU', 'Europe'),
(21325, '62.229.91.48', '62.229.91.255', 1055218480, 1055218687, 'PT', 'Portugal'),
(21326, '62.229.92.0', '62.229.97.255', 1055218688, 1055220223, 'EU', 'Europe'),
(21327, '62.229.98.0', '62.229.98.63', 1055220224, 1055220287, 'NL', 'Netherlands'),
(21328, '62.229.98.64', '62.229.98.127', 1055220288, 1055220351, 'EU', 'Europe'),
(21329, '62.229.98.128', '62.229.98.175', 1055220352, 1055220399, 'NL', 'Netherlands'),
(21330, '62.229.98.176', '62.229.102.255', 1055220400, 1055221503, 'EU', 'Europe'),
(21331, '62.229.103.0', '62.229.103.127', 1055221504, 1055221631, 'BE', 'Belgium'),
(21332, '62.229.103.128', '62.229.110.255', 1055221632, 1055223551, 'EU', 'Europe'),
(21333, '62.229.111.0', '62.229.111.255', 1055223552, 1055223807, 'NL', 'Netherlands'),
(21334, '62.229.112.0', '62.229.112.95', 1055223808, 1055223903, 'EU', 'Europe'),
(21335, '62.229.112.96', '62.229.112.191', 1055223904, 1055223999, 'LU', 'Luxembourg'),
(21336, '62.229.112.192', '62.229.112.255', 1055224000, 1055224063, 'EU', 'Europe'),
(21337, '62.229.113.0', '62.229.114.143', 1055224064, 1055224463, 'LU', 'Luxembourg'),
(21338, '62.229.114.144', '62.229.114.255', 1055224464, 1055224575, 'EU', 'Europe'),
(21339, '62.229.115.0', '62.229.115.31', 1055224576, 1055224607, 'LU', 'Luxembourg'),
(21340, '62.229.115.32', '62.229.115.255', 1055224608, 1055224831, 'EU', 'Europe'),
(21341, '62.229.116.0', '62.229.116.79', 1055224832, 1055224911, 'LU', 'Luxembourg'),
(21342, '62.229.116.80', '62.229.120.255', 1055224912, 1055226111, 'EU', 'Europe'),
(21343, '62.229.121.0', '62.229.121.63', 1055226112, 1055226175, 'ES', 'Spain'),
(21344, '62.229.121.64', '62.229.121.79', 1055226176, 1055226191, 'EU', 'Europe'),
(21345, '62.229.121.80', '62.229.121.95', 1055226192, 1055226207, 'ES', 'Spain'),
(21346, '62.229.121.96', '62.229.121.127', 1055226208, 1055226239, 'EU', 'Europe'),
(21347, '62.229.121.128', '62.229.121.143', 1055226240, 1055226255, 'ES', 'Spain'),
(21348, '62.229.121.144', '62.229.121.151', 1055226256, 1055226263, 'EU', 'Europe'),
(21349, '62.229.121.152', '62.229.121.159', 1055226264, 1055226271, 'ES', 'Spain'),
(21350, '62.229.121.160', '62.229.121.255', 1055226272, 1055226367, 'EU', 'Europe'),
(21351, '62.229.122.0', '62.229.122.31', 1055226368, 1055226399, 'ES', 'Spain'),
(21352, '62.229.122.32', '62.229.126.247', 1055226400, 1055227639, 'EU', 'Europe'),
(21353, '62.229.126.248', '62.229.126.255', 1055227640, 1055227647, 'PT', 'Portugal'),
(21354, '62.229.127.0', '62.229.127.255', 1055227648, 1055227903, 'EU', 'Europe'),
(21355, '62.229.128.0', '62.229.128.255', 1055227904, 1055228159, 'TR', 'Turkey'),
(21356, '62.229.129.0', '62.229.131.255', 1055228160, 1055228927, 'EU', 'Europe'),
(21357, '62.229.132.0', '62.229.132.255', 1055228928, 1055229183, 'TR', 'Turkey'),
(21358, '62.229.133.0', '62.229.143.255', 1055229184, 1055231999, 'EU', 'Europe'),
(21359, '62.229.144.0', '62.229.144.255', 1055232000, 1055232255, 'NL', 'Netherlands'),
(21360, '62.229.145.0', '62.229.145.255', 1055232256, 1055232511, 'EU', 'Europe'),
(21361, '62.229.146.0', '62.229.147.255', 1055232512, 1055233023, 'NL', 'Netherlands'),
(21362, '62.229.148.0', '62.229.152.15', 1055233024, 1055234063, 'EU', 'Europe'),
(21363, '62.229.152.16', '62.229.152.31', 1055234064, 1055234079, 'NL', 'Netherlands'),
(21364, '62.229.152.32', '62.229.152.79', 1055234080, 1055234127, 'US', 'United States'),
(21365, '62.229.152.80', '62.229.182.255', 1055234128, 1055241983, 'EU', 'Europe'),
(21366, '62.229.183.0', '62.229.183.255', 1055241984, 1055242239, 'GR', 'Greece'),
(21367, '62.229.184.0', '62.229.224.255', 1055242240, 1055252735, 'EU', 'Europe'),
(21368, '62.229.225.0', '62.229.225.255', 1055252736, 1055252991, 'ES', 'Spain'),
(21369, '62.229.226.0', '62.229.226.63', 1055252992, 1055253055, 'EU', 'Europe'),
(21370, '62.229.226.64', '62.229.226.95', 1055253056, 1055253087, 'ES', 'Spain'),
(21371, '62.229.226.96', '62.229.239.127', 1055253088, 1055256447, 'EU', 'Europe'),
(21372, '62.229.239.128', '62.229.239.143', 1055256448, 1055256463, 'ES', 'Spain'),
(21373, '62.229.239.144', '62.230.255.255', 1055256464, 1055326207, 'EU', 'Europe'),
(21374, '62.231.0.0', '62.231.31.255', 1055326208, 1055334399, 'RU', 'Russian Federation'),
(21375, '62.231.32.0', '62.231.63.255', 1055334400, 1055342591, 'IE', 'Ireland'),
(21376, '62.231.64.0', '62.231.127.255', 1055342592, 1055358975, 'RO', 'Romania'),
(21377, '62.231.128.0', '62.231.159.255', 1055358976, 1055367167, 'GB', 'United Kingdom'),
(21378, '62.231.160.0', '62.231.191.255', 1055367168, 1055375359, 'RU', 'Russian Federation'),
(21379, '62.231.192.0', '62.231.255.255', 1055375360, 1055391743, 'OM', 'Oman'),
(21380, '62.232.0.0', '62.232.255.255', 1055391744, 1055457279, 'GB', 'United Kingdom'),
(21381, '62.233.0.0', '62.233.31.255', 1055457280, 1055465471, 'BE', 'Belgium'),
(21382, '62.233.32.0', '62.233.63.255', 1055465472, 1055473663, 'FR', 'France'),
(21383, '62.233.64.0', '62.233.127.255', 1055473664, 1055490047, 'GB', 'United Kingdom'),
(21384, '62.233.128.0', '62.233.255.255', 1055490048, 1055522815, 'PL', 'Poland'),
(21385, '62.234.0.0', '62.234.255.255', 1055522816, 1055588351, 'NL', 'Netherlands'),
(21386, '62.235.0.0', '62.235.255.255', 1055588352, 1055653887, 'BE', 'Belgium'),
(21387, '62.236.0.0', '62.237.255.255', 1055653888, 1055784959, 'FI', 'Finland'),
(21388, '62.238.0.0', '62.238.255.255', 1055784960, 1055850495, 'NL', 'Netherlands'),
(21389, '62.239.0.0', '62.239.255.255', 1055850496, 1055916031, 'GB', 'United Kingdom'),
(21390, '62.240.0.0', '62.240.31.255', 1055916032, 1055924223, 'RS', 'Serbia'),
(21391, '62.240.32.0', '62.240.63.255', 1055924224, 1055932415, 'LY', 'Libyan Arab Jamahiriya'),
(21392, '62.240.64.0', '62.240.95.255', 1055932416, 1055940607, 'FI', 'Finland'),
(21393, '62.240.96.0', '62.240.127.255', 1055940608, 1055948799, 'EG', 'Egypt'),
(21394, '62.240.128.0', '62.240.159.255', 1055948800, 1055956991, 'DE', 'Germany'),
(21395, '62.240.160.0', '62.240.164.175', 1055956992, 1055958191, 'CZ', 'Czech Republic'),
(21396, '62.240.164.176', '62.240.164.191', 1055958192, 1055958207, 'GB', 'United Kingdom'),
(21397, '62.240.164.192', '62.240.191.255', 1055958208, 1055965183, 'CZ', 'Czech Republic'),
(21398, '62.240.192.0', '62.240.223.255', 1055965184, 1055973375, 'CH', 'Switzerland'),
(21399, '62.240.224.0', '62.240.255.255', 1055973376, 1055981567, 'FR', 'France'),
(21400, '62.241.0.0', '62.241.31.255', 1055981568, 1055989759, 'IT', 'Italy'),
(21401, '62.241.32.0', '62.241.41.246', 1055989760, 1055992310, 'DE', 'Germany'),
(21402, '62.241.41.247', '62.241.41.254', 1055992311, 1055992318, 'CH', 'Switzerland'),
(21403, '62.241.41.255', '62.241.63.255', 1055992319, 1055997951, 'DE', 'Germany'),
(21404, '62.241.64.0', '62.241.127.255', 1055997952, 1056014335, 'FR', 'France'),
(21405, '62.241.128.0', '62.241.159.255', 1056014336, 1056022527, 'EG', 'Egypt'),
(21406, '62.241.160.0', '62.241.191.255', 1056022528, 1056030719, 'GB', 'United Kingdom'),
(21407, '62.241.192.0', '62.241.255.255', 1056030720, 1056047103, 'FI', 'Finland'),
(21408, '62.242.0.0', '62.243.188.255', 1056047104, 1056161023, 'DK', 'Denmark'),
(21409, '62.243.189.0', '62.243.189.255', 1056161024, 1056161279, 'US', 'United States'),
(21410, '62.243.190.0', '62.243.255.255', 1056161280, 1056178175, 'DK', 'Denmark'),
(21411, '62.244.0.0', '62.244.63.255', 1056178176, 1056194559, 'UA', 'Ukraine'),
(21412, '62.244.64.0', '62.244.127.255', 1056194560, 1056210943, 'FR', 'France'),
(21413, '62.244.128.0', '62.244.159.255', 1056210944, 1056219135, 'PL', 'Poland'),
(21414, '62.244.160.0', '62.244.191.255', 1056219136, 1056227327, 'GB', 'United Kingdom'),
(21415, '62.244.192.0', '62.244.255.255', 1056227328, 1056243711, 'TR', 'Turkey'),
(21416, '62.245.0.0', '62.245.2.31', 1056243712, 1056244255, 'CH', 'Switzerland'),
(21417, '62.245.2.32', '62.245.2.63', 1056244256, 1056244287, 'FR', 'France'),
(21418, '62.245.2.64', '62.245.2.111', 1056244288, 1056244335, 'MC', 'Monaco'),
(21419, '62.245.2.112', '62.245.2.143', 1056244336, 1056244367, 'FR', 'France'),
(21420, '62.245.2.144', '62.245.2.191', 1056244368, 1056244415, 'CH', 'Switzerland'),
(21421, '62.245.2.192', '62.245.2.255', 1056244416, 1056244479, 'MC', 'Monaco'),
(21422, '62.245.3.0', '62.245.31.255', 1056244480, 1056251903, 'CH', 'Switzerland'),
(21423, '62.245.32.0', '62.245.63.255', 1056251904, 1056260095, 'RU', 'Russian Federation'),
(21424, '62.245.64.0', '62.245.127.255', 1056260096, 1056276479, 'CZ', 'Czech Republic'),
(21425, '62.245.128.0', '62.245.167.47', 1056276480, 1056286511, 'DE', 'Germany'),
(21426, '62.245.167.48', '62.245.167.55', 1056286512, 1056286519, 'A2', 'Satellite Provider'),
(21427, '62.245.167.56', '62.245.167.127', 1056286520, 1056286591, 'DE', 'Germany'),
(21428, '62.245.167.128', '62.245.167.191', 1056286592, 1056286655, 'A2', 'Satellite Provider'),
(21429, '62.245.167.192', '62.246.255.255', 1056286656, 1056374783, 'DE', 'Germany'),
(21430, '62.247.0.0', '62.247.255.255', 1056374784, 1056440319, 'SE', 'Sweden'),
(21431, '62.248.0.0', '62.248.127.255', 1056440320, 1056473087, 'TR', 'Turkey'),
(21432, '62.248.128.0', '62.248.255.255', 1056473088, 1056505855, 'FI', 'Finland'),
(21433, '62.249.0.0', '62.249.4.135', 1056505856, 1056507015, 'PT', 'Portugal'),
(21434, '62.249.4.136', '62.249.4.143', 1056507016, 1056507023, 'ES', 'Spain'),
(21435, '62.249.4.144', '62.249.31.255', 1056507024, 1056514047, 'PT', 'Portugal'),
(21436, '62.249.32.0', '62.249.63.255', 1056514048, 1056522239, 'IT', 'Italy'),
(21437, '62.249.64.0', '62.249.127.255', 1056522240, 1056538623, 'AT', 'Austria'),
(21438, '62.249.128.0', '62.249.159.255', 1056538624, 1056546815, 'RU', 'Russian Federation'),
(21439, '62.249.160.0', '62.249.191.255', 1056546816, 1056555007, 'NO', 'Norway'),
(21440, '62.249.192.0', '62.249.255.255', 1056555008, 1056571391, 'GB', 'United Kingdom'),
(21441, '62.250.0.0', '62.251.127.255', 1056571392, 1056669695, 'NL', 'Netherlands'),
(21442, '62.251.128.0', '62.251.255.255', 1056669696, 1056702463, 'MA', 'Morocco'),
(21443, '62.252.0.0', '62.254.160.63', 1056702464, 1056874559, 'GB', 'United Kingdom'),
(21444, '62.254.160.64', '62.254.160.71', 1056874560, 1056874567, 'IE', 'Ireland'),
(21445, '62.254.160.72', '62.254.160.103', 1056874568, 1056874599, 'GB', 'United Kingdom'),
(21446, '62.254.160.104', '62.254.160.111', 1056874600, 1056874607, 'IE', 'Ireland'),
(21447, '62.254.160.112', '62.254.160.143', 1056874608, 1056874639, 'GB', 'United Kingdom'),
(21448, '62.254.160.144', '62.254.160.151', 1056874640, 1056874647, 'IE', 'Ireland'),
(21449, '62.254.160.152', '62.254.160.159', 1056874648, 1056874655, 'GB', 'United Kingdom'),
(21450, '62.254.160.160', '62.254.160.183', 1056874656, 1056874679, 'IE', 'Ireland'),
(21451, '62.254.160.184', '62.254.160.255', 1056874680, 1056874751, 'GB', 'United Kingdom'),
(21452, '62.254.161.0', '62.254.161.255', 1056874752, 1056875007, 'IE', 'Ireland'),
(21453, '62.254.162.0', '62.254.162.63', 1056875008, 1056875071, 'GB', 'United Kingdom'),
(21454, '62.254.162.64', '62.254.162.95', 1056875072, 1056875103, 'IE', 'Ireland'),
(21455, '62.254.162.96', '62.254.162.103', 1056875104, 1056875111, 'GB', 'United Kingdom'),
(21456, '62.254.162.104', '62.254.162.127', 1056875112, 1056875135, 'IE', 'Ireland'),
(21457, '62.254.162.128', '62.254.162.143', 1056875136, 1056875151, 'GB', 'United Kingdom'),
(21458, '62.254.162.144', '62.254.162.159', 1056875152, 1056875167, 'IE', 'Ireland'),
(21459, '62.254.162.160', '62.254.162.255', 1056875168, 1056875263, 'GB', 'United Kingdom'),
(21460, '62.254.163.0', '62.254.163.47', 1056875264, 1056875311, 'IE', 'Ireland'),
(21461, '62.254.163.48', '62.254.164.95', 1056875312, 1056875615, 'GB', 'United Kingdom'),
(21462, '62.254.164.96', '62.254.164.103', 1056875616, 1056875623, 'IE', 'Ireland'),
(21463, '62.254.164.104', '62.254.164.119', 1056875624, 1056875639, 'GB', 'United Kingdom'),
(21464, '62.254.164.120', '62.254.164.151', 1056875640, 1056875671, 'IE', 'Ireland'),
(21465, '62.254.164.152', '62.254.165.255', 1056875672, 1056876031, 'GB', 'United Kingdom'),
(21466, '62.254.166.0', '62.254.166.15', 1056876032, 1056876047, 'IE', 'Ireland'),
(21467, '62.254.166.16', '62.255.255.255', 1056876048, 1056964607, 'GB', 'United Kingdom'),
(21468, '63.0.0.0', '63.65.9.255', 1056964608, 1061227007, 'US', 'United States'),
(21469, '63.65.10.0', '63.65.10.255', 1061227008, 1061227263, 'HT', 'Haiti'),
(21470, '63.65.11.0', '63.65.12.254', 1061227264, 1061227774, 'BO', 'Bolivia'),
(21471, '63.65.12.255', '63.69.122.191', 1061227775, 1061518015, 'US', 'United States'),
(21472, '63.69.122.192', '63.69.122.223', 1061518016, 1061518047, 'A2', 'Satellite Provider'),
(21473, '63.69.122.224', '63.70.23.255', 1061518048, 1061558271, 'US', 'United States'),
(21474, '63.70.24.0', '63.70.27.255', 1061558272, 1061559295, 'PK', 'Pakistan'),
(21475, '63.70.28.0', '63.70.142.255', 1061559296, 1061588735, 'US', 'United States'),
(21476, '63.70.143.0', '63.70.143.255', 1061588736, 1061588991, 'GU', 'Guam'),
(21477, '63.70.144.0', '63.71.62.31', 1061588992, 1061633567, 'US', 'United States'),
(21478, '63.71.62.32', '63.71.62.39', 1061633568, 1061633575, 'CA', 'Canada'),
(21479, '63.71.62.40', '63.73.108.95', 1061633576, 1061776479, 'US', 'United States'),
(21480, '63.73.108.96', '63.73.108.255', 1061776480, 1061776639, 'CA', 'Canada'),
(21481, '63.73.109.0', '63.74.130.159', 1061776640, 1061847711, 'US', 'United States'),
(21482, '63.74.130.160', '63.74.130.191', 1061847712, 1061847743, 'FR', 'France'),
(21483, '63.74.130.192', '63.74.153.255', 1061847744, 1061853695, 'US', 'United States'),
(21484, '63.74.154.0', '63.74.155.255', 1061853696, 1061854207, 'GB', 'United Kingdom'),
(21485, '63.74.156.0', '63.75.233.255', 1061854208, 1061939711, 'US', 'United States'),
(21486, '63.75.234.0', '63.75.235.255', 1061939712, 1061940223, 'JM', 'Jamaica'),
(21487, '63.75.236.0', '63.77.227.255', 1061940224, 1062069247, 'US', 'United States'),
(21488, '63.77.228.0', '63.77.231.255', 1062069248, 1062070271, 'PR', 'Puerto Rico'),
(21489, '63.77.232.0', '63.80.46.255', 1062070272, 1062219519, 'US', 'United States'),
(21490, '63.80.47.0', '63.80.47.255', 1062219520, 1062219775, 'IN', 'India'),
(21491, '63.80.48.0', '63.80.60.127', 1062219776, 1062222975, 'US', 'United States'),
(21492, '63.80.60.128', '63.80.60.191', 1062222976, 1062223039, 'PH', 'Philippines'),
(21493, '63.80.60.192', '63.80.143.215', 1062223040, 1062244311, 'US', 'United States'),
(21494, '63.80.143.216', '63.80.143.223', 1062244312, 1062244319, 'PH', 'Philippines'),
(21495, '63.80.143.224', '63.80.167.255', 1062244320, 1062250495, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(21496, '63.80.168.0', '63.80.171.255', 1062250496, 1062251519, 'UM', 'United States Minor Outlying Islands'),
(21497, '63.80.172.0', '63.80.215.255', 1062251520, 1062262783, 'US', 'United States'),
(21498, '63.80.216.0', '63.80.216.255', 1062262784, 1062263039, 'PH', 'Philippines'),
(21499, '63.80.217.0', '63.82.157.15', 1062263040, 1062378767, 'US', 'United States'),
(21500, '63.82.157.16', '63.82.157.31', 1062378768, 1062378783, 'CA', 'Canada'),
(21501, '63.82.157.32', '63.83.99.255', 1062378784, 1062429695, 'US', 'United States'),
(21502, '63.83.100.0', '63.83.101.255', 1062429696, 1062430207, 'PR', 'Puerto Rico'),
(21503, '63.83.102.0', '63.84.16.3', 1062430208, 1062473731, 'US', 'United States'),
(21504, '63.84.16.4', '63.84.16.4', 1062473732, 1062473732, 'IN', 'India'),
(21505, '63.84.16.5', '63.84.24.159', 1062473733, 1062475935, 'US', 'United States'),
(21506, '63.84.24.160', '63.84.24.175', 1062475936, 1062475951, 'GB', 'United Kingdom'),
(21507, '63.84.24.176', '63.84.64.255', 1062475952, 1062486271, 'US', 'United States'),
(21508, '63.84.65.0', '63.84.65.255', 1062486272, 1062486527, 'MX', 'Mexico'),
(21509, '63.84.66.0', '63.84.109.255', 1062486528, 1062497791, 'US', 'United States'),
(21510, '63.84.110.0', '63.84.111.255', 1062497792, 1062498303, 'FM', 'Micronesia, Federated States of'),
(21511, '63.84.112.0', '63.84.235.255', 1062498304, 1062530047, 'US', 'United States'),
(21512, '63.84.236.0', '63.84.239.255', 1062530048, 1062531071, 'EC', 'Ecuador'),
(21513, '63.84.240.0', '63.85.41.255', 1062531072, 1062545919, 'US', 'United States'),
(21514, '63.85.42.0', '63.85.43.255', 1062545920, 1062546431, 'BM', 'Bermuda'),
(21515, '63.85.44.0', '63.85.242.255', 1062546432, 1062597375, 'US', 'United States'),
(21516, '63.85.243.0', '63.85.243.255', 1062597376, 1062597631, 'PR', 'Puerto Rico'),
(21517, '63.85.244.0', '63.86.28.159', 1062597632, 1062608031, 'US', 'United States'),
(21518, '63.86.28.160', '63.86.28.167', 1062608032, 1062608039, 'CA', 'Canada'),
(21519, '63.86.28.168', '63.86.138.255', 1062608040, 1062636287, 'US', 'United States'),
(21520, '63.86.139.0', '63.86.139.63', 1062636288, 1062636351, 'GB', 'United Kingdom'),
(21521, '63.86.139.64', '63.87.229.239', 1062636352, 1062725103, 'US', 'United States'),
(21522, '63.87.229.240', '63.87.229.247', 1062725104, 1062725111, 'IL', 'Israel'),
(21523, '63.87.229.248', '63.90.33.255', 1062725112, 1062871551, 'US', 'United States'),
(21524, '63.90.34.0', '63.90.36.255', 1062871552, 1062872319, 'PR', 'Puerto Rico'),
(21525, '63.90.37.0', '63.96.193.255', 1062872320, 1063305727, 'US', 'United States'),
(21526, '63.96.194.0', '63.96.194.255', 1063305728, 1063305983, 'CA', 'Canada'),
(21527, '63.96.195.0', '63.98.11.255', 1063305984, 1063390207, 'US', 'United States'),
(21528, '63.98.12.0', '63.98.12.255', 1063390208, 1063390463, 'PR', 'Puerto Rico'),
(21529, '63.98.13.0', '63.99.176.135', 1063390464, 1063497863, 'US', 'United States'),
(21530, '63.99.176.136', '63.99.176.143', 1063497864, 1063497871, 'CA', 'Canada'),
(21531, '63.99.176.144', '63.99.201.63', 1063497872, 1063504191, 'US', 'United States'),
(21532, '63.99.201.64', '63.99.201.127', 1063504192, 1063504255, 'MX', 'Mexico'),
(21533, '63.99.201.128', '63.100.165.239', 1063504256, 1063560687, 'US', 'United States'),
(21534, '63.100.165.240', '63.100.165.255', 1063560688, 1063560703, 'CA', 'Canada'),
(21535, '63.100.166.0', '63.100.191.255', 1063560704, 1063567359, 'US', 'United States'),
(21536, '63.100.192.0', '63.100.197.255', 1063567360, 1063568895, 'A2', 'Satellite Provider'),
(21537, '63.100.198.0', '63.100.198.255', 1063568896, 1063569151, 'TZ', 'Tanzania, United Republic of'),
(21538, '63.100.199.0', '63.100.216.175', 1063569152, 1063573679, 'A2', 'Satellite Provider'),
(21539, '63.100.216.176', '63.100.216.191', 1063573680, 1063573695, 'VN', 'Vietnam'),
(21540, '63.100.216.192', '63.100.223.255', 1063573696, 1063575551, 'A2', 'Satellite Provider'),
(21541, '63.100.224.0', '63.100.241.95', 1063575552, 1063579999, 'US', 'United States'),
(21542, '63.100.241.96', '63.100.241.111', 1063580000, 1063580015, 'CA', 'Canada'),
(21543, '63.100.241.112', '63.101.15.47', 1063580016, 1063587631, 'US', 'United States'),
(21544, '63.101.15.48', '63.101.15.63', 1063587632, 1063587647, 'CA', 'Canada'),
(21545, '63.101.15.64', '63.101.58.255', 1063587648, 1063598847, 'US', 'United States'),
(21546, '63.101.59.0', '63.101.59.15', 1063598848, 1063598863, 'CA', 'Canada'),
(21547, '63.101.59.16', '63.102.159.255', 1063598864, 1063690239, 'US', 'United States'),
(21548, '63.102.160.0', '63.102.160.255', 1063690240, 1063690495, 'PR', 'Puerto Rico'),
(21549, '63.102.161.0', '63.103.49.255', 1063690496, 1063727615, 'US', 'United States'),
(21550, '63.103.50.0', '63.103.51.255', 1063727616, 1063728127, 'GU', 'Guam'),
(21551, '63.103.52.0', '63.103.127.255', 1063728128, 1063747583, 'US', 'United States'),
(21552, '63.103.128.0', '63.103.128.255', 1063747584, 1063747839, 'A2', 'Satellite Provider'),
(21553, '63.103.129.0', '63.103.129.255', 1063747840, 1063748095, 'UG', 'Uganda'),
(21554, '63.103.130.0', '63.103.131.255', 1063748096, 1063748607, 'A2', 'Satellite Provider'),
(21555, '63.103.132.0', '63.103.133.255', 1063748608, 1063749119, 'GH', 'Ghana'),
(21556, '63.103.134.0', '63.103.135.255', 1063749120, 1063749631, 'US', 'United States'),
(21557, '63.103.136.0', '63.103.136.255', 1063749632, 1063749887, 'LR', 'Liberia'),
(21558, '63.103.137.0', '63.103.137.255', 1063749888, 1063750143, 'SA', 'Saudi Arabia'),
(21559, '63.103.138.0', '63.103.138.255', 1063750144, 1063750399, 'NG', 'Nigeria'),
(21560, '63.103.139.0', '63.103.139.63', 1063750400, 1063750463, 'SA', 'Saudi Arabia'),
(21561, '63.103.139.64', '63.103.139.127', 1063750464, 1063750527, 'NG', 'Nigeria'),
(21562, '63.103.139.128', '63.103.139.143', 1063750528, 1063750543, 'US', 'United States'),
(21563, '63.103.139.144', '63.103.139.159', 1063750544, 1063750559, 'A2', 'Satellite Provider'),
(21564, '63.103.139.160', '63.103.139.255', 1063750560, 1063750655, 'US', 'United States'),
(21565, '63.103.140.0', '63.103.143.255', 1063750656, 1063751679, 'NG', 'Nigeria'),
(21566, '63.103.144.0', '63.103.148.255', 1063751680, 1063752959, 'US', 'United States'),
(21567, '63.103.149.0', '63.103.149.255', 1063752960, 1063753215, 'A2', 'Satellite Provider'),
(21568, '63.103.150.0', '63.105.191.255', 1063753216, 1063895039, 'US', 'United States'),
(21569, '63.105.192.0', '63.105.207.255', 1063895040, 1063899135, 'KR', 'Korea, Republic of'),
(21570, '63.105.208.0', '63.108.84.127', 1063899136, 1064064127, 'US', 'United States'),
(21571, '63.108.84.128', '63.108.84.191', 1064064128, 1064064191, 'CA', 'Canada'),
(21572, '63.108.84.192', '63.109.65.255', 1064064192, 1064124927, 'US', 'United States'),
(21573, '63.109.66.0', '63.109.68.255', 1064124928, 1064125695, 'EC', 'Ecuador'),
(21574, '63.109.69.0', '63.109.69.255', 1064125696, 1064125951, 'US', 'United States'),
(21575, '63.109.70.0', '63.109.70.255', 1064125952, 1064126207, 'PE', 'Peru'),
(21576, '63.109.71.0', '63.109.72.255', 1064126208, 1064126719, 'US', 'United States'),
(21577, '63.109.73.0', '63.109.73.255', 1064126720, 1064126975, 'EC', 'Ecuador'),
(21578, '63.109.74.0', '63.109.75.255', 1064126976, 1064127487, 'US', 'United States'),
(21579, '63.109.76.0', '63.109.77.255', 1064127488, 1064127999, 'EC', 'Ecuador'),
(21580, '63.109.78.0', '63.109.244.255', 1064128000, 1064170751, 'US', 'United States'),
(21581, '63.109.245.0', '63.109.245.47', 1064170752, 1064170799, 'A2', 'Satellite Provider'),
(21582, '63.109.245.48', '63.109.245.55', 1064170800, 1064170807, 'NG', 'Nigeria'),
(21583, '63.109.245.56', '63.109.245.71', 1064170808, 1064170823, 'IN', 'India'),
(21584, '63.109.245.72', '63.109.245.79', 1064170824, 1064170831, 'A2', 'Satellite Provider'),
(21585, '63.109.245.80', '63.109.245.119', 1064170832, 1064170871, 'IN', 'India'),
(21586, '63.109.245.120', '63.109.245.127', 1064170872, 1064170879, 'A2', 'Satellite Provider'),
(21587, '63.109.245.128', '63.109.245.159', 1064170880, 1064170911, 'DE', 'Germany'),
(21588, '63.109.245.160', '63.109.245.167', 1064170912, 1064170919, 'A2', 'Satellite Provider'),
(21589, '63.109.245.168', '63.109.245.175', 1064170920, 1064170927, 'NG', 'Nigeria'),
(21590, '63.109.245.176', '63.109.245.191', 1064170928, 1064170943, 'DE', 'Germany'),
(21591, '63.109.245.192', '63.109.245.239', 1064170944, 1064170991, 'A2', 'Satellite Provider'),
(21592, '63.109.245.240', '63.109.245.247', 1064170992, 1064170999, 'NG', 'Nigeria'),
(21593, '63.109.245.248', '63.109.245.255', 1064171000, 1064171007, 'A2', 'Satellite Provider'),
(21594, '63.109.246.0', '63.109.246.127', 1064171008, 1064171135, 'NG', 'Nigeria'),
(21595, '63.109.246.128', '63.109.246.255', 1064171136, 1064171263, 'IN', 'India'),
(21596, '63.109.247.0', '63.109.248.31', 1064171264, 1064171551, 'NG', 'Nigeria'),
(21597, '63.109.248.32', '63.109.248.39', 1064171552, 1064171559, 'TZ', 'Tanzania, United Republic of'),
(21598, '63.109.248.40', '63.109.248.55', 1064171560, 1064171575, 'A2', 'Satellite Provider'),
(21599, '63.109.248.56', '63.109.248.63', 1064171576, 1064171583, 'PK', 'Pakistan'),
(21600, '63.109.248.64', '63.109.248.87', 1064171584, 1064171607, 'A2', 'Satellite Provider'),
(21601, '63.109.248.88', '63.109.248.95', 1064171608, 1064171615, 'PK', 'Pakistan'),
(21602, '63.109.248.96', '63.109.248.111', 1064171616, 1064171631, 'GH', 'Ghana'),
(21603, '63.109.248.112', '63.109.248.127', 1064171632, 1064171647, 'A2', 'Satellite Provider'),
(21604, '63.109.248.128', '63.109.248.255', 1064171648, 1064171775, 'NG', 'Nigeria'),
(21605, '63.109.249.0', '63.109.249.23', 1064171776, 1064171799, 'A2', 'Satellite Provider'),
(21606, '63.109.249.24', '63.109.249.39', 1064171800, 1064171815, 'IN', 'India'),
(21607, '63.109.249.40', '63.109.249.47', 1064171816, 1064171823, 'A2', 'Satellite Provider'),
(21608, '63.109.249.48', '63.109.249.63', 1064171824, 1064171839, 'IN', 'India'),
(21609, '63.109.249.64', '63.109.249.79', 1064171840, 1064171855, 'A2', 'Satellite Provider'),
(21610, '63.109.249.80', '63.109.249.95', 1064171856, 1064171871, 'TZ', 'Tanzania, United Republic of'),
(21611, '63.109.249.96', '63.109.249.127', 1064171872, 1064171903, 'A2', 'Satellite Provider'),
(21612, '63.109.249.128', '63.109.249.135', 1064171904, 1064171911, 'NG', 'Nigeria'),
(21613, '63.109.249.136', '63.109.249.143', 1064171912, 1064171919, 'A2', 'Satellite Provider'),
(21614, '63.109.249.144', '63.109.249.151', 1064171920, 1064171927, 'PK', 'Pakistan'),
(21615, '63.109.249.152', '63.109.249.159', 1064171928, 1064171935, 'A2', 'Satellite Provider'),
(21616, '63.109.249.160', '63.109.249.191', 1064171936, 1064171967, 'NG', 'Nigeria'),
(21617, '63.109.249.192', '63.109.249.255', 1064171968, 1064172031, 'A2', 'Satellite Provider'),
(21618, '63.109.250.0', '63.110.119.255', 1064172032, 1064204287, 'US', 'United States'),
(21619, '63.110.120.0', '63.110.123.255', 1064204288, 1064205311, 'MX', 'Mexico'),
(21620, '63.110.124.0', '63.110.188.255', 1064205312, 1064221951, 'US', 'United States'),
(21621, '63.110.189.0', '63.110.189.255', 1064221952, 1064222207, 'MX', 'Mexico'),
(21622, '63.110.190.0', '63.110.224.111', 1064222208, 1064231023, 'US', 'United States'),
(21623, '63.110.224.112', '63.110.224.127', 1064231024, 1064231039, 'CA', 'Canada'),
(21624, '63.110.224.128', '63.112.5.167', 1064231040, 1064306087, 'US', 'United States'),
(21625, '63.112.5.168', '63.112.5.175', 1064306088, 1064306095, 'AU', 'Australia'),
(21626, '63.112.5.176', '63.113.126.255', 1064306096, 1064402687, 'US', 'United States'),
(21627, '63.113.127.0', '63.113.127.63', 1064402688, 1064402751, 'CA', 'Canada'),
(21628, '63.113.127.64', '63.114.36.255', 1064402752, 1064445183, 'US', 'United States'),
(21629, '63.114.37.0', '63.114.37.255', 1064445184, 1064445439, 'PK', 'Pakistan'),
(21630, '63.114.38.0', '63.117.71.255', 1064445440, 1064650751, 'US', 'United States'),
(21631, '63.117.72.0', '63.117.75.255', 1064650752, 1064651775, 'EC', 'Ecuador'),
(21632, '63.117.76.0', '63.119.21.255', 1064651776, 1064769023, 'US', 'United States'),
(21633, '63.119.22.0', '63.119.23.255', 1064769024, 1064769535, 'A2', 'Satellite Provider'),
(21634, '63.119.24.0', '63.119.58.103', 1064769536, 1064778343, 'US', 'United States'),
(21635, '63.119.58.104', '63.119.58.111', 1064778344, 1064778351, 'CA', 'Canada'),
(21636, '63.119.58.112', '63.122.50.255', 1064778352, 1064973055, 'US', 'United States'),
(21637, '63.122.51.0', '63.122.51.127', 1064973056, 1064973183, 'AU', 'Australia'),
(21638, '63.122.51.128', '63.123.93.127', 1064973184, 1065049471, 'US', 'United States'),
(21639, '63.123.93.128', '63.123.93.191', 1065049472, 1065049535, 'CA', 'Canada'),
(21640, '63.123.93.192', '63.128.141.127', 1065049536, 1065389439, 'US', 'United States'),
(21641, '63.128.141.128', '63.128.141.143', 1065389440, 1065389455, 'MY', 'Malaysia'),
(21642, '63.128.141.144', '63.128.145.255', 1065389456, 1065390591, 'US', 'United States'),
(21643, '63.128.146.0', '63.128.146.7', 1065390592, 1065390599, 'MY', 'Malaysia'),
(21644, '63.128.146.8', '63.128.146.63', 1065390600, 1065390655, 'US', 'United States'),
(21645, '63.128.146.64', '63.128.146.95', 1065390656, 1065390687, 'MX', 'Mexico'),
(21646, '63.128.146.96', '63.130.128.31', 1065390688, 1065517087, 'US', 'United States'),
(21647, '63.130.128.32', '63.130.128.63', 1065517088, 1065517119, 'A2', 'Satellite Provider'),
(21648, '63.130.128.64', '63.130.136.255', 1065517120, 1065519359, 'US', 'United States'),
(21649, '63.130.137.0', '63.130.137.127', 1065519360, 1065519487, 'CA', 'Canada'),
(21650, '63.130.137.128', '63.130.142.255', 1065519488, 1065520895, 'US', 'United States'),
(21651, '63.130.143.0', '63.130.143.15', 1065520896, 1065520911, 'CA', 'Canada'),
(21652, '63.130.143.16', '63.130.143.31', 1065520912, 1065520927, 'IT', 'Italy'),
(21653, '63.130.143.32', '63.130.181.255', 1065520928, 1065530879, 'US', 'United States'),
(21654, '63.130.182.0', '63.130.191.255', 1065530880, 1065533439, 'TC', 'Turks and Caicos Islands'),
(21655, '63.130.192.0', '63.130.207.255', 1065533440, 1065537535, 'US', 'United States'),
(21656, '63.130.208.0', '63.130.223.255', 1065537536, 1065541631, 'TC', 'Turks and Caicos Islands'),
(21657, '63.130.224.0', '63.130.247.255', 1065541632, 1065547775, 'US', 'United States'),
(21658, '63.130.248.0', '63.130.248.255', 1065547776, 1065548031, 'FK', 'Falkland Islands (Malvinas)'),
(21659, '63.130.249.0', '63.130.250.255', 1065548032, 1065548543, 'TC', 'Turks and Caicos Islands'),
(21660, '63.130.251.0', '63.131.131.63', 1065548544, 1065583423, 'US', 'United States'),
(21661, '63.131.131.64', '63.131.131.79', 1065583424, 1065583439, 'HK', 'Hong Kong'),
(21662, '63.131.131.80', '63.131.239.255', 1065583440, 1065611263, 'US', 'United States'),
(21663, '63.131.240.0', '63.131.255.255', 1065611264, 1065615359, 'PR', 'Puerto Rico'),
(21664, '63.132.0.0', '63.134.255.255', 1065615360, 1065811967, 'US', 'United States'),
(21665, '63.135.0.0', '63.135.31.255', 1065811968, 1065820159, 'CA', 'Canada'),
(21666, '63.135.32.0', '63.135.239.255', 1065820160, 1065873407, 'US', 'United States'),
(21667, '63.135.240.0', '63.135.255.255', 1065873408, 1065877503, 'PR', 'Puerto Rico'),
(21668, '63.136.0.0', '63.136.111.255', 1065877504, 1065906175, 'US', 'United States'),
(21669, '63.136.112.0', '63.136.119.255', 1065906176, 1065908223, 'KY', 'Cayman Islands'),
(21670, '63.136.120.0', '63.136.192.159', 1065908224, 1065926815, 'US', 'United States'),
(21671, '63.136.192.160', '63.136.192.175', 1065926816, 1065926831, 'CA', 'Canada'),
(21672, '63.136.192.176', '63.142.159.255', 1065926832, 1066311679, 'US', 'United States'),
(21673, '63.142.160.0', '63.142.175.255', 1066311680, 1066315775, 'CA', 'Canada'),
(21674, '63.142.176.0', '63.142.239.255', 1066315776, 1066332159, 'US', 'United States'),
(21675, '63.142.240.0', '63.142.255.255', 1066332160, 1066336255, 'CA', 'Canada'),
(21676, '63.143.0.0', '63.143.63.255', 1066336256, 1066352639, 'US', 'United States'),
(21677, '63.143.64.0', '63.143.75.255', 1066352640, 1066355711, 'JM', 'Jamaica'),
(21678, '63.143.76.0', '63.143.76.255', 1066355712, 1066355967, 'BB', 'Barbados'),
(21679, '63.143.77.0', '63.143.127.255', 1066355968, 1066369023, 'JM', 'Jamaica'),
(21680, '63.143.128.0', '63.147.30.215', 1066369024, 1066606295, 'US', 'United States'),
(21681, '63.147.30.216', '63.147.30.223', 1066606296, 1066606303, 'GB', 'United Kingdom'),
(21682, '63.147.30.224', '63.150.137.231', 1066606304, 1066830311, 'US', 'United States'),
(21683, '63.150.137.232', '63.150.137.239', 1066830312, 1066830319, 'SG', 'Singapore'),
(21684, '63.150.137.240', '63.150.140.143', 1066830320, 1066830991, 'US', 'United States'),
(21685, '63.150.140.144', '63.150.140.151', 1066830992, 1066830999, 'JP', 'Japan'),
(21686, '63.150.140.152', '63.150.140.223', 1066831000, 1066831071, 'US', 'United States'),
(21687, '63.150.140.224', '63.150.140.239', 1066831072, 1066831087, 'JP', 'Japan'),
(21688, '63.150.140.240', '63.156.193.255', 1066831088, 1067237887, 'US', 'United States'),
(21689, '63.156.194.0', '63.156.195.255', 1067237888, 1067238399, 'JP', 'Japan'),
(21690, '63.156.196.0', '63.160.90.63', 1067238400, 1067473471, 'US', 'United States'),
(21691, '63.160.90.64', '63.160.90.127', 1067473472, 1067473535, 'CA', 'Canada'),
(21692, '63.160.90.128', '63.160.95.63', 1067473536, 1067474751, 'US', 'United States'),
(21693, '63.160.95.64', '63.160.95.79', 1067474752, 1067474767, 'NL', 'Netherlands'),
(21694, '63.160.95.80', '63.160.122.255', 1067474768, 1067481855, 'US', 'United States'),
(21695, '63.160.123.0', '63.160.123.255', 1067481856, 1067482111, 'CA', 'Canada'),
(21696, '63.160.124.0', '63.160.173.191', 1067482112, 1067494847, 'US', 'United States'),
(21697, '63.160.173.192', '63.160.173.223', 1067494848, 1067494879, 'CA', 'Canada'),
(21698, '63.160.173.224', '63.160.207.255', 1067494880, 1067503615, 'US', 'United States'),
(21699, '63.160.208.0', '63.160.208.127', 1067503616, 1067503743, 'CA', 'Canada'),
(21700, '63.160.208.128', '63.161.63.255', 1067503744, 1067532287, 'US', 'United States'),
(21701, '63.161.64.0', '63.161.65.255', 1067532288, 1067532799, 'HN', 'Honduras'),
(21702, '63.161.66.0', '63.161.86.39', 1067532800, 1067537959, 'US', 'United States'),
(21703, '63.161.86.40', '63.161.86.47', 1067537960, 1067537967, 'GB', 'United Kingdom'),
(21704, '63.161.86.48', '63.161.142.255', 1067537968, 1067552511, 'US', 'United States'),
(21705, '63.161.143.0', '63.161.143.255', 1067552512, 1067552767, 'PR', 'Puerto Rico'),
(21706, '63.161.144.0', '63.161.223.255', 1067552768, 1067573247, 'US', 'United States'),
(21707, '63.161.224.0', '63.161.224.7', 1067573248, 1067573255, 'SG', 'Singapore'),
(21708, '63.161.224.8', '63.161.231.255', 1067573256, 1067575295, 'US', 'United States'),
(21709, '63.161.232.0', '63.161.239.255', 1067575296, 1067577343, 'HN', 'Honduras'),
(21710, '63.161.240.0', '63.162.33.223', 1067577344, 1067590111, 'US', 'United States'),
(21711, '63.162.33.224', '63.162.33.255', 1067590112, 1067590143, 'CA', 'Canada'),
(21712, '63.162.34.0', '63.162.48.255', 1067590144, 1067593983, 'US', 'United States'),
(21713, '63.162.49.0', '63.162.49.255', 1067593984, 1067594239, 'PR', 'Puerto Rico'),
(21714, '63.162.50.0', '63.162.141.255', 1067594240, 1067617791, 'US', 'United States'),
(21715, '63.162.142.0', '63.162.142.255', 1067617792, 1067618047, 'CN', 'China'),
(21716, '63.162.143.0', '63.162.155.255', 1067618048, 1067621375, 'US', 'United States'),
(21717, '63.162.156.0', '63.162.156.255', 1067621376, 1067621631, 'PR', 'Puerto Rico'),
(21718, '63.162.157.0', '63.162.173.239', 1067621632, 1067625967, 'US', 'United States'),
(21719, '63.162.173.240', '63.162.173.255', 1067625968, 1067625983, 'CH', 'Switzerland'),
(21720, '63.162.174.0', '63.163.24.135', 1067625984, 1067653255, 'US', 'United States'),
(21721, '63.163.24.136', '63.163.24.143', 1067653256, 1067653263, 'PR', 'Puerto Rico'),
(21722, '63.163.24.144', '63.163.179.255', 1067653264, 1067693055, 'US', 'United States'),
(21723, '63.163.180.0', '63.163.181.255', 1067693056, 1067693567, 'CO', 'Colombia'),
(21724, '63.163.182.0', '63.163.209.255', 1067693568, 1067700735, 'US', 'United States'),
(21725, '63.163.210.0', '63.163.211.255', 1067700736, 1067701247, 'AN', 'Netherlands Antilles'),
(21726, '63.163.212.0', '63.164.55.255', 1067701248, 1067726847, 'US', 'United States'),
(21727, '63.164.56.0', '63.164.57.255', 1067726848, 1067727359, 'EC', 'Ecuador'),
(21728, '63.164.58.0', '63.164.94.255', 1067727360, 1067736831, 'US', 'United States'),
(21729, '63.164.95.0', '63.164.95.255', 1067736832, 1067737087, 'PR', 'Puerto Rico'),
(21730, '63.164.96.0', '63.164.107.255', 1067737088, 1067740159, 'US', 'United States'),
(21731, '63.164.108.0', '63.164.111.255', 1067740160, 1067741183, 'HN', 'Honduras'),
(21732, '63.164.112.0', '63.164.196.127', 1067741184, 1067762815, 'US', 'United States'),
(21733, '63.164.196.128', '63.164.196.143', 1067762816, 1067762831, 'CA', 'Canada'),
(21734, '63.164.196.144', '63.165.9.255', 1067762832, 1067780607, 'US', 'United States'),
(21735, '63.165.10.0', '63.165.10.255', 1067780608, 1067780863, 'GB', 'United Kingdom'),
(21736, '63.165.11.0', '63.165.175.15', 1067780864, 1067822863, 'US', 'United States'),
(21737, '63.165.175.16', '63.165.175.23', 1067822864, 1067822871, 'CA', 'Canada'),
(21738, '63.165.175.24', '63.165.182.255', 1067822872, 1067824895, 'US', 'United States'),
(21739, '63.165.183.0', '63.165.183.255', 1067824896, 1067825151, 'PR', 'Puerto Rico'),
(21740, '63.165.184.0', '63.165.188.63', 1067825152, 1067826239, 'US', 'United States'),
(21741, '63.165.188.64', '63.165.188.71', 1067826240, 1067826247, 'CA', 'Canada'),
(21742, '63.165.188.72', '63.165.235.255', 1067826248, 1067838463, 'US', 'United States'),
(21743, '63.165.236.0', '63.165.236.127', 1067838464, 1067838591, 'IT', 'Italy'),
(21744, '63.165.236.128', '63.166.50.191', 1067838592, 1067856575, 'US', 'United States'),
(21745, '63.166.50.192', '63.166.50.223', 1067856576, 1067856607, 'CO', 'Colombia'),
(21746, '63.166.50.224', '63.166.78.255', 1067856608, 1067863807, 'US', 'United States'),
(21747, '63.166.79.0', '63.166.79.127', 1067863808, 1067863935, 'CA', 'Canada'),
(21748, '63.166.79.128', '63.166.252.199', 1067863936, 1067908295, 'US', 'United States'),
(21749, '63.166.252.200', '63.166.252.207', 1067908296, 1067908303, 'CH', 'Switzerland'),
(21750, '63.166.252.208', '63.166.255.159', 1067908304, 1067909023, 'US', 'United States'),
(21751, '63.166.255.160', '63.166.255.175', 1067909024, 1067909039, 'SG', 'Singapore'),
(21752, '63.166.255.176', '63.167.21.159', 1067909040, 1067914655, 'US', 'United States'),
(21753, '63.167.21.160', '63.167.21.255', 1067914656, 1067914751, 'CA', 'Canada'),
(21754, '63.167.22.0', '63.167.38.31', 1067914752, 1067918879, 'US', 'United States'),
(21755, '63.167.38.32', '63.167.38.39', 1067918880, 1067918887, 'NL', 'Netherlands'),
(21756, '63.167.38.40', '63.167.55.31', 1067918888, 1067923231, 'US', 'United States'),
(21757, '63.167.55.32', '63.167.55.39', 1067923232, 1067923239, 'CA', 'Canada'),
(21758, '63.167.55.40', '63.167.100.191', 1067923240, 1067934911, 'US', 'United States'),
(21759, '63.167.100.192', '63.167.100.207', 1067934912, 1067934927, 'CN', 'China'),
(21760, '63.167.100.208', '63.167.178.63', 1067934928, 1067954751, 'US', 'United States'),
(21761, '63.167.178.64', '63.167.178.95', 1067954752, 1067954783, 'DK', 'Denmark'),
(21762, '63.167.178.96', '63.168.12.167', 1067954784, 1067977895, 'US', 'United States'),
(21763, '63.168.12.168', '63.168.12.175', 1067977896, 1067977903, 'CA', 'Canada'),
(21764, '63.168.12.176', '63.168.15.255', 1067977904, 1067978751, 'US', 'United States'),
(21765, '63.168.16.0', '63.168.16.255', 1067978752, 1067979007, 'PR', 'Puerto Rico'),
(21766, '63.168.17.0', '63.168.56.255', 1067979008, 1067989247, 'US', 'United States'),
(21767, '63.168.57.0', '63.168.57.255', 1067989248, 1067989503, 'EC', 'Ecuador'),
(21768, '63.168.58.0', '63.168.92.255', 1067989504, 1067998463, 'US', 'United States'),
(21769, '63.168.93.0', '63.168.93.255', 1067998464, 1067998719, 'CO', 'Colombia'),
(21770, '63.168.94.0', '63.168.115.255', 1067998720, 1068004351, 'US', 'United States'),
(21771, '63.168.116.0', '63.168.116.255', 1068004352, 1068004607, 'CA', 'Canada'),
(21772, '63.168.117.0', '63.168.167.255', 1068004608, 1068017663, 'US', 'United States'),
(21773, '63.168.168.0', '63.168.169.255', 1068017664, 1068018175, 'YE', 'Yemen'),
(21774, '63.168.170.0', '63.169.119.231', 1068018176, 1068070887, 'US', 'United States'),
(21775, '63.169.119.232', '63.169.119.239', 1068070888, 1068070895, 'CA', 'Canada'),
(21776, '63.169.119.240', '63.169.168.255', 1068070896, 1068083455, 'US', 'United States'),
(21777, '63.169.169.0', '63.169.169.255', 1068083456, 1068083711, 'PR', 'Puerto Rico'),
(21778, '63.169.170.0', '63.169.219.159', 1068083712, 1068096415, 'US', 'United States'),
(21779, '63.169.219.160', '63.169.219.191', 1068096416, 1068096447, 'CA', 'Canada'),
(21780, '63.169.219.192', '63.170.53.111', 1068096448, 1068119407, 'US', 'United States'),
(21781, '63.170.53.112', '63.170.53.127', 1068119408, 1068119423, 'DE', 'Germany'),
(21782, '63.170.53.128', '63.170.241.15', 1068119424, 1068167439, 'US', 'United States'),
(21783, '63.170.241.16', '63.170.241.23', 1068167440, 1068167447, 'GB', 'United Kingdom'),
(21784, '63.170.241.24', '63.171.17.255', 1068167448, 1068175871, 'US', 'United States'),
(21785, '63.171.18.0', '63.171.19.255', 1068175872, 1068176383, 'YE', 'Yemen'),
(21786, '63.171.20.0', '63.171.107.223', 1068176384, 1068198879, 'US', 'United States'),
(21787, '63.171.107.224', '63.171.107.255', 1068198880, 1068198911, 'IN', 'India'),
(21788, '63.171.108.0', '63.171.111.255', 1068198912, 1068199935, 'US', 'United States'),
(21789, '63.171.112.0', '63.171.127.255', 1068199936, 1068204031, 'CA', 'Canada'),
(21790, '63.171.128.0', '63.171.231.255', 1068204032, 1068230655, 'US', 'United States'),
(21791, '63.171.232.0', '63.171.232.255', 1068230656, 1068230911, 'CO', 'Colombia'),
(21792, '63.171.233.0', '63.172.187.63', 1068230912, 1068284735, 'US', 'United States'),
(21793, '63.172.187.64', '63.172.187.71', 1068284736, 1068284743, 'CA', 'Canada'),
(21794, '63.172.187.72', '63.172.187.79', 1068284744, 1068284751, 'US', 'United States'),
(21795, '63.172.187.80', '63.172.187.87', 1068284752, 1068284759, 'DK', 'Denmark'),
(21796, '63.172.187.88', '63.173.95.255', 1068284760, 1068326911, 'US', 'United States'),
(21797, '63.173.96.0', '63.173.96.255', 1068326912, 1068327167, 'EC', 'Ecuador'),
(21798, '63.173.97.0', '63.173.171.255', 1068327168, 1068346367, 'US', 'United States'),
(21799, '63.173.172.0', '63.173.173.255', 1068346368, 1068346879, 'YE', 'Yemen'),
(21800, '63.173.174.0', '63.173.236.111', 1068346880, 1068362863, 'US', 'United States'),
(21801, '63.173.236.112', '63.173.236.127', 1068362864, 1068362879, 'GB', 'United Kingdom'),
(21802, '63.173.236.128', '63.174.199.255', 1068362880, 1068419071, 'US', 'United States'),
(21803, '63.174.200.0', '63.174.207.255', 1068419072, 1068421119, 'CO', 'Colombia'),
(21804, '63.174.208.0', '63.174.226.255', 1068421120, 1068425983, 'US', 'United States'),
(21805, '63.174.227.0', '63.174.227.255', 1068425984, 1068426239, 'EC', 'Ecuador'),
(21806, '63.174.228.0', '63.175.111.255', 1068426240, 1068462079, 'US', 'United States'),
(21807, '63.175.112.0', '63.175.112.255', 1068462080, 1068462335, 'PR', 'Puerto Rico'),
(21808, '63.175.113.0', '63.175.156.255', 1068462336, 1068473599, 'US', 'United States'),
(21809, '63.175.157.0', '63.175.157.255', 1068473600, 1068473855, 'BB', 'Barbados'),
(21810, '63.175.158.0', '63.175.182.159', 1068473856, 1068480159, 'US', 'United States'),
(21811, '63.175.182.160', '63.175.182.191', 1068480160, 1068480191, 'IN', 'India'),
(21812, '63.175.182.192', '63.175.183.175', 1068480192, 1068480431, 'US', 'United States'),
(21813, '63.175.183.176', '63.175.183.191', 1068480432, 1068480447, 'SE', 'Sweden'),
(21814, '63.175.183.192', '63.175.185.255', 1068480448, 1068481023, 'US', 'United States'),
(21815, '63.175.186.0', '63.175.187.255', 1068481024, 1068481535, 'PR', 'Puerto Rico'),
(21816, '63.175.188.0', '63.175.225.255', 1068481536, 1068491263, 'US', 'United States'),
(21817, '63.175.226.0', '63.175.226.255', 1068491264, 1068491519, 'HN', 'Honduras'),
(21818, '63.175.227.0', '63.193.38.82', 1068491520, 1069622866, 'US', 'United States'),
(21819, '63.193.38.83', '63.193.38.83', 1069622867, 1069622867, 'MX', 'Mexico'),
(21820, '63.193.38.84', '63.208.219.55', 1069622868, 1070652215, 'US', 'United States'),
(21821, '63.208.219.56', '63.208.219.56', 1070652216, 1070652216, 'A1', 'Anonymous Proxy'),
(21822, '63.208.219.57', '63.209.153.255', 1070652217, 1070701055, 'US', 'United States'),
(21823, '63.209.154.0', '63.209.154.255', 1070701056, 1070701311, 'DO', 'Dominican Republic'),
(21824, '63.209.155.0', '63.209.155.255', 1070701312, 1070701567, 'HT', 'Haiti'),
(21825, '63.209.156.0', '63.210.8.255', 1070701568, 1070729471, 'US', 'United States'),
(21826, '63.210.9.0', '63.210.9.255', 1070729472, 1070729727, 'CA', 'Canada'),
(21827, '63.210.10.0', '63.211.50.55', 1070729728, 1070805559, 'US', 'United States'),
(21828, '63.211.50.56', '63.211.50.63', 1070805560, 1070805567, 'VG', 'Virgin Islands, British'),
(21829, '63.211.50.64', '63.215.176.255', 1070805568, 1071100159, 'US', 'United States'),
(21830, '63.215.177.0', '63.215.177.255', 1071100160, 1071100415, 'PR', 'Puerto Rico'),
(21831, '63.215.178.0', '63.215.179.255', 1071100416, 1071100927, 'US', 'United States'),
(21832, '63.215.180.0', '63.215.183.255', 1071100928, 1071101951, 'PR', 'Puerto Rico'),
(21833, '63.215.184.0', '63.216.55.255', 1071101952, 1071134719, 'US', 'United States'),
(21834, '63.216.56.0', '63.216.63.255', 1071134720, 1071136767, 'HK', 'Hong Kong'),
(21835, '63.216.64.0', '63.216.83.255', 1071136768, 1071141887, 'US', 'United States'),
(21836, '63.216.84.0', '63.216.87.255', 1071141888, 1071142911, 'HK', 'Hong Kong'),
(21837, '63.216.88.0', '63.216.95.255', 1071142912, 1071144959, 'US', 'United States'),
(21838, '63.216.96.0', '63.216.119.255', 1071144960, 1071151103, 'GB', 'United Kingdom'),
(21839, '63.216.120.0', '63.216.127.255', 1071151104, 1071153151, 'LB', 'Lebanon'),
(21840, '63.216.128.0', '63.216.143.255', 1071153152, 1071157247, 'US', 'United States'),
(21841, '63.216.144.0', '63.216.147.255', 1071157248, 1071158271, 'SG', 'Singapore'),
(21842, '63.216.148.0', '63.216.151.255', 1071158272, 1071159295, 'US', 'United States'),
(21843, '63.216.152.0', '63.216.155.255', 1071159296, 1071160319, 'SG', 'Singapore'),
(21844, '63.216.156.0', '63.216.163.255', 1071160320, 1071162367, 'US', 'United States'),
(21845, '63.216.164.0', '63.216.167.255', 1071162368, 1071163391, 'KR', 'Korea, Republic of'),
(21846, '63.216.168.0', '63.216.175.255', 1071163392, 1071165439, 'HK', 'Hong Kong'),
(21847, '63.216.176.0', '63.216.179.255', 1071165440, 1071166463, 'US', 'United States'),
(21848, '63.216.180.0', '63.216.183.255', 1071166464, 1071167487, 'A2', 'Satellite Provider'),
(21849, '63.216.184.0', '63.216.191.255', 1071167488, 1071169535, 'US', 'United States'),
(21850, '63.216.192.0', '63.216.199.255', 1071169536, 1071171583, 'TW', 'Taiwan'),
(21851, '63.216.200.0', '63.217.39.255', 1071171584, 1071196159, 'US', 'United States'),
(21852, '63.217.40.0', '63.217.47.255', 1071196160, 1071198207, 'HK', 'Hong Kong'),
(21853, '63.217.48.0', '63.217.51.255', 1071198208, 1071199231, 'JP', 'Japan'),
(21854, '63.217.52.0', '63.217.59.255', 1071199232, 1071201279, 'US', 'United States'),
(21855, '63.217.60.0', '63.217.63.255', 1071201280, 1071202303, 'TH', 'Thailand'),
(21856, '63.217.64.0', '63.217.71.255', 1071202304, 1071204351, 'US', 'United States'),
(21857, '63.217.72.0', '63.217.75.255', 1071204352, 1071205375, 'HK', 'Hong Kong'),
(21858, '63.217.76.0', '63.217.79.255', 1071205376, 1071206399, 'US', 'United States'),
(21859, '63.217.80.0', '63.217.87.255', 1071206400, 1071208447, 'HK', 'Hong Kong'),
(21860, '63.217.88.0', '63.217.95.255', 1071208448, 1071210495, 'TW', 'Taiwan'),
(21861, '63.217.96.0', '63.217.119.255', 1071210496, 1071216639, 'US', 'United States'),
(21862, '63.217.120.0', '63.217.123.255', 1071216640, 1071217663, 'AU', 'Australia'),
(21863, '63.217.124.0', '63.217.163.255', 1071217664, 1071227903, 'US', 'United States'),
(21864, '63.217.164.0', '63.217.167.255', 1071227904, 1071228927, 'A2', 'Satellite Provider'),
(21865, '63.217.168.0', '63.218.0.255', 1071228928, 1071251711, 'US', 'United States'),
(21866, '63.218.1.0', '63.218.3.255', 1071251712, 1071252479, 'HK', 'Hong Kong'),
(21867, '63.218.4.0', '63.218.12.255', 1071252480, 1071254783, 'US', 'United States'),
(21868, '63.218.13.0', '63.218.13.255', 1071254784, 1071255039, 'GB', 'United Kingdom'),
(21869, '63.218.14.0', '63.218.14.255', 1071255040, 1071255295, 'US', 'United States'),
(21870, '63.218.15.0', '63.218.15.255', 1071255296, 1071255551, 'DE', 'Germany'),
(21871, '63.218.16.0', '63.218.18.255', 1071255552, 1071256319, 'US', 'United States'),
(21872, '63.218.19.0', '63.218.19.255', 1071256320, 1071256575, 'HK', 'Hong Kong'),
(21873, '63.218.20.0', '63.218.28.255', 1071256576, 1071258879, 'US', 'United States'),
(21874, '63.218.29.0', '63.218.29.255', 1071258880, 1071259135, 'HK', 'Hong Kong'),
(21875, '63.218.30.0', '63.218.33.255', 1071259136, 1071260159, 'US', 'United States'),
(21876, '63.218.34.0', '63.218.35.255', 1071260160, 1071260671, 'GB', 'United Kingdom'),
(21877, '63.218.36.0', '63.218.36.255', 1071260672, 1071260927, 'US', 'United States'),
(21878, '63.218.37.0', '63.218.39.255', 1071260928, 1071261695, 'IT', 'Italy'),
(21879, '63.218.40.0', '63.218.51.255', 1071261696, 1071264767, 'US', 'United States'),
(21880, '63.218.52.0', '63.218.55.255', 1071264768, 1071265791, 'GB', 'United Kingdom'),
(21881, '63.218.56.0', '63.218.60.255', 1071265792, 1071267071, 'US', 'United States'),
(21882, '63.218.61.0', '63.218.63.255', 1071267072, 1071267839, 'HK', 'Hong Kong'),
(21883, '63.218.64.0', '63.218.64.255', 1071267840, 1071268095, 'US', 'United States'),
(21884, '63.218.65.0', '63.218.67.255', 1071268096, 1071268863, 'NL', 'Netherlands'),
(21885, '63.218.68.0', '63.218.74.255', 1071268864, 1071270655, 'US', 'United States'),
(21886, '63.218.75.0', '63.218.75.255', 1071270656, 1071270911, 'AP', 'Asia/Pacific Region'),
(21887, '63.218.76.0', '63.218.76.255', 1071270912, 1071271167, 'US', 'United States'),
(21888, '63.218.77.0', '63.218.77.95', 1071271168, 1071271263, 'AP', 'Asia/Pacific Region'),
(21889, '63.218.77.96', '63.218.77.111', 1071271264, 1071271279, 'US', 'United States'),
(21890, '63.218.77.112', '63.218.77.191', 1071271280, 1071271359, 'AP', 'Asia/Pacific Region'),
(21891, '63.218.77.192', '63.218.78.255', 1071271360, 1071271679, 'US', 'United States'),
(21892, '63.218.79.0', '63.218.79.255', 1071271680, 1071271935, 'TW', 'Taiwan'),
(21893, '63.218.80.0', '63.218.80.255', 1071271936, 1071272191, 'US', 'United States'),
(21894, '63.218.81.0', '63.218.81.255', 1071272192, 1071272447, 'SE', 'Sweden'),
(21895, '63.218.82.0', '63.218.88.255', 1071272448, 1071274239, 'US', 'United States'),
(21896, '63.218.89.0', '63.218.89.255', 1071274240, 1071274495, 'FR', 'France'),
(21897, '63.218.90.0', '63.218.114.255', 1071274496, 1071280895, 'US', 'United States'),
(21898, '63.218.115.0', '63.218.115.255', 1071280896, 1071281151, 'HK', 'Hong Kong'),
(21899, '63.218.116.0', '63.218.116.255', 1071281152, 1071281407, 'US', 'United States'),
(21900, '63.218.117.0', '63.218.117.255', 1071281408, 1071281663, 'AU', 'Australia'),
(21901, '63.218.118.0', '63.218.122.255', 1071281664, 1071282943, 'US', 'United States'),
(21902, '63.218.123.0', '63.218.123.255', 1071282944, 1071283199, 'PH', 'Philippines'),
(21903, '63.218.124.0', '63.218.126.255', 1071283200, 1071283967, 'US', 'United States'),
(21904, '63.218.127.0', '63.218.127.255', 1071283968, 1071284223, 'A2', 'Satellite Provider'),
(21905, '63.218.128.0', '63.218.136.255', 1071284224, 1071286527, 'US', 'United States'),
(21906, '63.218.137.0', '63.218.139.255', 1071286528, 1071287295, 'LB', 'Lebanon'),
(21907, '63.218.140.0', '63.218.140.255', 1071287296, 1071287551, 'US', 'United States'),
(21908, '63.218.141.0', '63.218.141.255', 1071287552, 1071287807, 'A2', 'Satellite Provider'),
(21909, '63.218.142.0', '63.218.142.255', 1071287808, 1071288063, 'US', 'United States'),
(21910, '63.218.143.0', '63.218.143.255', 1071288064, 1071288319, 'FR', 'France'),
(21911, '63.218.144.0', '63.218.144.255', 1071288320, 1071288575, 'US', 'United States'),
(21912, '63.218.145.0', '63.218.145.255', 1071288576, 1071288831, 'HK', 'Hong Kong'),
(21913, '63.218.146.0', '63.218.146.255', 1071288832, 1071289087, 'US', 'United States'),
(21914, '63.218.147.0', '63.218.147.255', 1071289088, 1071289343, 'JP', 'Japan'),
(21915, '63.218.148.0', '63.218.148.255', 1071289344, 1071289599, 'US', 'United States'),
(21916, '63.218.149.0', '63.218.149.255', 1071289600, 1071289855, 'KR', 'Korea, Republic of'),
(21917, '63.218.150.0', '63.218.150.255', 1071289856, 1071290111, 'US', 'United States'),
(21918, '63.218.151.0', '63.218.151.255', 1071290112, 1071290367, 'KW', 'Kuwait'),
(21919, '63.218.152.0', '63.218.156.255', 1071290368, 1071291647, 'US', 'United States'),
(21920, '63.218.157.0', '63.218.157.255', 1071291648, 1071291903, 'AU', 'Australia'),
(21921, '63.218.158.0', '63.218.158.255', 1071291904, 1071292159, 'US', 'United States'),
(21922, '63.218.159.0', '63.218.159.255', 1071292160, 1071292415, 'HK', 'Hong Kong'),
(21923, '63.218.160.0', '63.218.162.255', 1071292416, 1071293183, 'US', 'United States'),
(21924, '63.218.163.0', '63.218.163.255', 1071293184, 1071293439, 'SG', 'Singapore'),
(21925, '63.218.164.0', '63.218.164.255', 1071293440, 1071293695, 'US', 'United States'),
(21926, '63.218.165.0', '63.218.165.255', 1071293696, 1071293951, 'SG', 'Singapore'),
(21927, '63.218.166.0', '63.218.166.255', 1071293952, 1071294207, 'US', 'United States'),
(21928, '63.218.167.0', '63.218.167.255', 1071294208, 1071294463, 'MY', 'Malaysia'),
(21929, '63.218.168.0', '63.218.168.255', 1071294464, 1071294719, 'US', 'United States'),
(21930, '63.218.169.0', '63.218.169.255', 1071294720, 1071294975, 'A2', 'Satellite Provider'),
(21931, '63.218.170.0', '63.218.170.255', 1071294976, 1071295231, 'US', 'United States'),
(21932, '63.218.171.0', '63.218.171.255', 1071295232, 1071295487, 'TH', 'Thailand'),
(21933, '63.218.172.0', '63.218.172.255', 1071295488, 1071295743, 'US', 'United States'),
(21934, '63.218.173.0', '63.218.173.255', 1071295744, 1071295999, 'GR', 'Greece'),
(21935, '63.218.174.0', '63.218.174.255', 1071296000, 1071296255, 'US', 'United States'),
(21936, '63.218.175.0', '63.218.175.255', 1071296256, 1071296511, 'HK', 'Hong Kong'),
(21937, '63.218.176.0', '63.218.176.255', 1071296512, 1071296767, 'US', 'United States'),
(21938, '63.218.177.0', '63.218.177.255', 1071296768, 1071297023, 'AE', 'United Arab Emirates'),
(21939, '63.218.178.0', '63.218.180.255', 1071297024, 1071297791, 'US', 'United States'),
(21940, '63.218.181.0', '63.218.181.255', 1071297792, 1071298047, 'IN', 'India'),
(21941, '63.218.182.0', '63.218.182.255', 1071298048, 1071298303, 'US', 'United States'),
(21942, '63.218.183.0', '63.218.183.255', 1071298304, 1071298559, 'JP', 'Japan'),
(21943, '63.218.184.0', '63.218.184.255', 1071298560, 1071298815, 'US', 'United States'),
(21944, '63.218.185.0', '63.218.185.255', 1071298816, 1071299071, 'VN', 'Vietnam'),
(21945, '63.218.186.0', '63.218.186.255', 1071299072, 1071299327, 'US', 'United States'),
(21946, '63.218.187.0', '63.218.187.255', 1071299328, 1071299583, 'VN', 'Vietnam'),
(21947, '63.218.188.0', '63.218.188.255', 1071299584, 1071299839, 'US', 'United States'),
(21948, '63.218.189.0', '63.218.191.255', 1071299840, 1071300607, 'FR', 'France'),
(21949, '63.218.192.0', '63.218.193.255', 1071300608, 1071301119, 'US', 'United States'),
(21950, '63.218.194.0', '63.218.195.255', 1071301120, 1071301631, 'FR', 'France'),
(21951, '63.218.196.0', '63.218.196.255', 1071301632, 1071301887, 'US', 'United States'),
(21952, '63.218.197.0', '63.218.197.255', 1071301888, 1071302143, 'VN', 'Vietnam'),
(21953, '63.218.198.0', '63.218.214.255', 1071302144, 1071306495, 'US', 'United States'),
(21954, '63.218.215.0', '63.218.215.255', 1071306496, 1071306751, 'HK', 'Hong Kong'),
(21955, '63.218.216.0', '63.218.226.95', 1071306752, 1071309407, 'US', 'United States'),
(21956, '63.218.226.96', '63.218.226.127', 1071309408, 1071309439, 'HK', 'Hong Kong'),
(21957, '63.218.226.128', '63.218.226.159', 1071309440, 1071309471, 'US', 'United States'),
(21958, '63.218.226.160', '63.218.226.191', 1071309472, 1071309503, 'HK', 'Hong Kong'),
(21959, '63.218.226.192', '63.218.227.127', 1071309504, 1071309695, 'US', 'United States'),
(21960, '63.218.227.128', '63.218.227.159', 1071309696, 1071309727, 'HK', 'Hong Kong'),
(21961, '63.218.227.160', '63.218.228.255', 1071309728, 1071310079, 'US', 'United States'),
(21962, '63.218.229.0', '63.218.229.255', 1071310080, 1071310335, 'SG', 'Singapore'),
(21963, '63.218.230.0', '63.218.243.255', 1071310336, 1071313919, 'US', 'United States'),
(21964, '63.218.244.0', '63.218.244.255', 1071313920, 1071314175, 'TW', 'Taiwan'),
(21965, '63.218.245.0', '63.218.246.255', 1071314176, 1071314687, 'US', 'United States'),
(21966, '63.218.247.0', '63.218.247.255', 1071314688, 1071314943, 'TW', 'Taiwan'),
(21967, '63.218.248.0', '63.218.248.255', 1071314944, 1071315199, 'US', 'United States'),
(21968, '63.218.249.0', '63.218.249.255', 1071315200, 1071315455, 'SG', 'Singapore'),
(21969, '63.218.250.0', '63.218.250.255', 1071315456, 1071315711, 'US', 'United States'),
(21970, '63.218.251.0', '63.218.251.255', 1071315712, 1071315967, 'JP', 'Japan'),
(21971, '63.218.252.0', '63.219.6.255', 1071315968, 1071318783, 'US', 'United States'),
(21972, '63.219.7.0', '63.219.7.255', 1071318784, 1071319039, 'IN', 'India'),
(21973, '63.219.8.0', '63.219.15.255', 1071319040, 1071321087, 'US', 'United States'),
(21974, '63.219.16.0', '63.219.19.255', 1071321088, 1071322111, 'HK', 'Hong Kong'),
(21975, '63.219.20.0', '63.219.176.31', 1071322112, 1071362079, 'US', 'United States'),
(21976, '63.219.176.32', '63.219.176.63', 1071362080, 1071362111, 'HK', 'Hong Kong'),
(21977, '63.219.176.64', '63.219.176.159', 1071362112, 1071362207, 'US', 'United States'),
(21978, '63.219.176.160', '63.219.176.191', 1071362208, 1071362239, 'HK', 'Hong Kong'),
(21979, '63.219.176.192', '63.219.255.255', 1071362240, 1071382527, 'US', 'United States'),
(21980, '63.220.0.0', '63.220.7.255', 1071382528, 1071384575, 'HK', 'Hong Kong'),
(21981, '63.220.8.0', '63.220.127.255', 1071384576, 1071415295, 'US', 'United States'),
(21982, '63.220.128.0', '63.220.135.255', 1071415296, 1071417343, 'TW', 'Taiwan'),
(21983, '63.220.136.0', '63.220.247.255', 1071417344, 1071446015, 'US', 'United States'),
(21984, '63.220.248.0', '63.220.255.255', 1071446016, 1071448063, 'NL', 'Netherlands'),
(21985, '63.221.0.0', '63.221.79.255', 1071448064, 1071468543, 'US', 'United States'),
(21986, '63.221.80.0', '63.221.87.255', 1071468544, 1071470591, 'TW', 'Taiwan'),
(21987, '63.221.88.0', '63.221.135.255', 1071470592, 1071482879, 'US', 'United States'),
(21988, '63.221.136.0', '63.221.136.239', 1071482880, 1071483119, 'HK', 'Hong Kong'),
(21989, '63.221.136.240', '63.221.136.255', 1071483120, 1071483135, 'US', 'United States'),
(21990, '63.221.137.0', '63.221.143.255', 1071483136, 1071484927, 'HK', 'Hong Kong'),
(21991, '63.221.144.0', '63.221.151.255', 1071484928, 1071486975, 'US', 'United States'),
(21992, '63.221.152.0', '63.221.154.63', 1071486976, 1071487551, 'HK', 'Hong Kong'),
(21993, '63.221.154.64', '63.221.154.127', 1071487552, 1071487615, 'JP', 'Japan'),
(21994, '63.221.154.128', '63.221.154.159', 1071487616, 1071487647, 'MY', 'Malaysia'),
(21995, '63.221.154.160', '63.221.154.191', 1071487648, 1071487679, 'HK', 'Hong Kong'),
(21996, '63.221.154.192', '63.221.154.223', 1071487680, 1071487711, 'SG', 'Singapore'),
(21997, '63.221.154.224', '63.221.159.255', 1071487712, 1071489023, 'HK', 'Hong Kong'),
(21998, '63.221.160.0', '63.222.15.255', 1071489024, 1071517695, 'US', 'United States'),
(21999, '63.222.16.0', '63.222.23.255', 1071517696, 1071519743, 'HK', 'Hong Kong'),
(22000, '63.222.24.0', '63.223.0.255', 1071519744, 1071579391, 'US', 'United States'),
(22001, '63.223.1.0', '63.223.1.255', 1071579392, 1071579647, 'CA', 'Canada'),
(22002, '63.223.2.0', '63.223.78.1', 1071579648, 1071599105, 'US', 'United States'),
(22003, '63.223.78.2', '63.223.78.30', 1071599106, 1071599134, 'PH', 'Philippines'),
(22004, '63.223.78.31', '63.223.78.196', 1071599135, 1071599300, 'US', 'United States'),
(22005, '63.223.78.197', '63.223.78.209', 1071599301, 1071599313, 'PH', 'Philippines'),
(22006, '63.223.78.210', '63.223.79.32', 1071599314, 1071599392, 'US', 'United States'),
(22007, '63.223.79.33', '63.223.79.55', 1071599393, 1071599415, 'PH', 'Philippines'),
(22008, '63.223.79.56', '63.223.79.117', 1071599416, 1071599477, 'US', 'United States'),
(22009, '63.223.79.118', '63.223.79.130', 1071599478, 1071599490, 'PH', 'Philippines'),
(22010, '63.223.79.131', '63.228.185.103', 1071599491, 1071954279, 'US', 'United States'),
(22011, '63.228.185.104', '63.228.185.111', 1071954280, 1071954287, 'FR', 'France'),
(22012, '63.228.185.112', '63.228.185.199', 1071954288, 1071954375, 'US', 'United States'),
(22013, '63.228.185.200', '63.228.185.207', 1071954376, 1071954383, 'NE', 'Niger'),
(22014, '63.228.185.208', '63.229.51.223', 1071954384, 1071985631, 'US', 'United States'),
(22015, '63.229.51.224', '63.229.51.255', 1071985632, 1071985663, 'ML', 'Mali'),
(22016, '63.229.52.0', '63.231.211.191', 1071985664, 1072157631, 'US', 'United States'),
(22017, '63.231.211.192', '63.231.211.223', 1072157632, 1072157663, 'GE', 'Georgia'),
(22018, '63.231.211.224', '63.231.211.255', 1072157664, 1072157695, 'RO', 'Romania'),
(22019, '63.231.212.0', '63.232.233.255', 1072157696, 1072228863, 'US', 'United States'),
(22020, '63.232.234.0', '63.232.235.255', 1072228864, 1072229375, 'CA', 'Canada'),
(22021, '63.232.236.0', '63.234.236.255', 1072229376, 1072360703, 'US', 'United States'),
(22022, '63.234.237.0', '63.234.237.255', 1072360704, 1072360959, 'HK', 'Hong Kong'),
(22023, '63.234.238.0', '63.235.4.7', 1072360960, 1072366599, 'US', 'United States'),
(22024, '63.235.4.8', '63.235.4.15', 1072366600, 1072366607, 'CA', 'Canada'),
(22025, '63.235.4.16', '63.237.63.183', 1072366608, 1072512951, 'US', 'United States'),
(22026, '63.237.63.184', '63.237.63.191', 1072512952, 1072512959, 'CA', 'Canada'),
(22027, '63.237.63.192', '63.238.222.15', 1072512960, 1072619023, 'US', 'United States'),
(22028, '63.238.222.16', '63.238.222.31', 1072619024, 1072619039, 'CA', 'Canada'),
(22029, '63.238.222.32', '63.240.17.39', 1072619040, 1072697639, 'US', 'United States'),
(22030, '63.240.17.40', '63.240.17.47', 1072697640, 1072697647, 'IL', 'Israel'),
(22031, '63.240.17.48', '63.240.54.255', 1072697648, 1072707327, 'US', 'United States'),
(22032, '63.240.55.0', '63.240.55.255', 1072707328, 1072707583, 'IN', 'India'),
(22033, '63.240.56.0', '63.240.66.183', 1072707584, 1072710327, 'US', 'United States'),
(22034, '63.240.66.184', '63.240.66.191', 1072710328, 1072710335, 'DE', 'Germany'),
(22035, '63.240.66.192', '63.240.71.55', 1072710336, 1072711479, 'US', 'United States'),
(22036, '63.240.71.56', '63.240.71.63', 1072711480, 1072711487, 'DE', 'Germany'),
(22037, '63.240.71.64', '63.240.71.95', 1072711488, 1072711519, 'US', 'United States'),
(22038, '63.240.71.96', '63.240.71.111', 1072711520, 1072711535, 'DE', 'Germany'),
(22039, '63.240.71.112', '63.240.75.31', 1072711536, 1072712479, 'US', 'United States'),
(22040, '63.240.75.32', '63.240.75.47', 1072712480, 1072712495, 'IL', 'Israel'),
(22041, '63.240.75.48', '63.240.83.23', 1072712496, 1072714519, 'US', 'United States'),
(22042, '63.240.83.24', '63.240.83.31', 1072714520, 1072714527, 'DE', 'Germany'),
(22043, '63.240.83.32', '63.240.88.167', 1072714528, 1072715943, 'US', 'United States'),
(22044, '63.240.88.168', '63.240.88.175', 1072715944, 1072715951, 'IL', 'Israel'),
(22045, '63.240.88.176', '63.240.91.127', 1072715952, 1072716671, 'US', 'United States'),
(22046, '63.240.91.128', '63.240.91.159', 1072716672, 1072716703, 'IL', 'Israel'),
(22047, '63.240.91.160', '63.240.96.207', 1072716704, 1072718031, 'US', 'United States'),
(22048, '63.240.96.208', '63.240.96.215', 1072718032, 1072718039, 'DE', 'Germany'),
(22049, '63.240.96.216', '63.240.125.63', 1072718040, 1072725311, 'US', 'United States'),
(22050, '63.240.125.64', '63.240.125.95', 1072725312, 1072725343, 'DE', 'Germany'),
(22051, '63.240.125.96', '63.240.131.255', 1072725344, 1072727039, 'US', 'United States'),
(22052, '63.240.132.0', '63.240.132.7', 1072727040, 1072727047, 'JM', 'Jamaica'),
(22053, '63.240.132.8', '63.240.132.175', 1072727048, 1072727215, 'US', 'United States'),
(22054, '63.240.132.176', '63.240.132.183', 1072727216, 1072727223, 'JM', 'Jamaica'),
(22055, '63.240.132.184', '63.240.133.255', 1072727224, 1072727551, 'US', 'United States'),
(22056, '63.240.134.0', '63.240.134.15', 1072727552, 1072727567, 'DE', 'Germany'),
(22057, '63.240.134.16', '63.241.60.191', 1072727568, 1072774335, 'US', 'United States'),
(22058, '63.241.60.192', '63.241.60.223', 1072774336, 1072774367, 'JP', 'Japan'),
(22059, '63.241.60.224', '63.241.61.63', 1072774368, 1072774463, 'US', 'United States'),
(22060, '63.241.61.64', '63.241.61.79', 1072774464, 1072774479, 'JP', 'Japan'),
(22061, '63.241.61.80', '63.241.73.159', 1072774480, 1072777631, 'US', 'United States'),
(22062, '63.241.73.160', '63.241.73.175', 1072777632, 1072777647, 'TW', 'Taiwan'),
(22063, '63.241.73.176', '63.241.104.7', 1072777648, 1072785415, 'US', 'United States'),
(22064, '63.241.104.8', '63.241.104.15', 1072785416, 1072785423, 'DK', 'Denmark'),
(22065, '63.241.104.16', '63.241.104.31', 1072785424, 1072785439, 'US', 'United States'),
(22066, '63.241.104.32', '63.241.104.63', 1072785440, 1072785471, 'DK', 'Denmark'),
(22067, '63.241.104.64', '63.241.121.255', 1072785472, 1072790015, 'US', 'United States'),
(22068, '63.241.122.0', '63.241.122.15', 1072790016, 1072790031, 'JP', 'Japan'),
(22069, '63.241.122.16', '63.243.127.255', 1072790032, 1072922623, 'US', 'United States'),
(22070, '63.243.128.0', '63.243.128.255', 1072922624, 1072922879, 'CA', 'Canada'),
(22071, '63.243.129.0', '63.243.129.255', 1072922880, 1072923135, 'US', 'United States'),
(22072, '63.243.130.0', '63.243.130.255', 1072923136, 1072923391, 'CA', 'Canada'),
(22073, '63.243.131.0', '63.243.132.255', 1072923392, 1072923903, 'US', 'United States'),
(22074, '63.243.133.0', '63.243.133.255', 1072923904, 1072924159, 'CA', 'Canada'),
(22075, '63.243.134.0', '63.243.135.255', 1072924160, 1072924671, 'HT', 'Haiti'),
(22076, '63.243.136.0', '63.243.137.255', 1072924672, 1072925183, 'US', 'United States'),
(22077, '63.243.138.0', '63.243.139.255', 1072925184, 1072925695, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(22078, '63.243.140.0', '63.243.141.255', 1072925696, 1072926207, 'CA', 'Canada'),
(22079, '63.243.142.0', '63.243.143.7', 1072926208, 1072926471, 'US', 'United States'),
(22080, '63.243.143.8', '63.243.143.63', 1072926472, 1072926527, 'CA', 'Canada'),
(22081, '63.243.143.64', '63.243.143.127', 1072926528, 1072926591, 'US', 'United States'),
(22082, '63.243.143.128', '63.243.143.255', 1072926592, 1072926719, 'CA', 'Canada'),
(22083, '63.243.144.0', '63.243.144.255', 1072926720, 1072926975, 'PH', 'Philippines'),
(22084, '63.243.145.0', '63.243.146.255', 1072926976, 1072927487, 'CA', 'Canada'),
(22085, '63.243.147.0', '63.243.147.255', 1072927488, 1072927743, 'US', 'United States'),
(22086, '63.243.148.0', '63.243.149.47', 1072927744, 1072928047, 'CA', 'Canada'),
(22087, '63.243.149.48', '63.243.149.63', 1072928048, 1072928063, 'IE', 'Ireland'),
(22088, '63.243.149.64', '63.243.149.95', 1072928064, 1072928095, 'US', 'United States'),
(22089, '63.243.149.96', '63.243.149.127', 1072928096, 1072928127, 'CA', 'Canada'),
(22090, '63.243.149.128', '63.243.149.255', 1072928128, 1072928255, 'US', 'United States'),
(22091, '63.243.150.0', '63.243.150.7', 1072928256, 1072928263, 'CA', 'Canada'),
(22092, '63.243.150.8', '63.243.150.31', 1072928264, 1072928287, 'US', 'United States'),
(22093, '63.243.150.32', '63.243.150.63', 1072928288, 1072928319, 'CA', 'Canada'),
(22094, '63.243.150.64', '63.243.150.127', 1072928320, 1072928383, 'GA', 'Gabon'),
(22095, '63.243.150.128', '63.243.150.191', 1072928384, 1072928447, 'US', 'United States'),
(22096, '63.243.150.192', '63.243.154.255', 1072928448, 1072929535, 'CA', 'Canada'),
(22097, '63.243.155.0', '63.243.155.255', 1072929536, 1072929791, 'US', 'United States'),
(22098, '63.243.156.0', '63.243.156.255', 1072929792, 1072930047, 'CA', 'Canada'),
(22099, '63.243.157.0', '63.243.157.255', 1072930048, 1072930303, 'US', 'United States'),
(22100, '63.243.158.0', '63.243.160.255', 1072930304, 1072931071, 'CA', 'Canada'),
(22101, '63.243.161.0', '63.243.161.127', 1072931072, 1072931199, 'US', 'United States'),
(22102, '63.243.161.128', '63.243.162.255', 1072931200, 1072931583, 'CA', 'Canada'),
(22103, '63.243.163.0', '63.243.163.255', 1072931584, 1072931839, 'SY', 'Syrian Arab Republic'),
(22104, '63.243.164.0', '63.243.166.255', 1072931840, 1072932607, 'CA', 'Canada'),
(22105, '63.243.167.0', '63.243.167.255', 1072932608, 1072932863, 'NG', 'Nigeria'),
(22106, '63.243.168.0', '63.243.171.255', 1072932864, 1072933887, 'US', 'United States'),
(22107, '63.243.172.0', '63.243.173.255', 1072933888, 1072934399, 'CA', 'Canada'),
(22108, '63.243.174.0', '63.243.174.255', 1072934400, 1072934655, 'US', 'United States'),
(22109, '63.243.175.0', '63.243.175.127', 1072934656, 1072934783, 'CA', 'Canada'),
(22110, '63.243.175.128', '63.243.175.191', 1072934784, 1072934847, 'AU', 'Australia'),
(22111, '63.243.175.192', '63.243.175.223', 1072934848, 1072934879, 'CA', 'Canada'),
(22112, '63.243.175.224', '63.243.175.255', 1072934880, 1072934911, 'TW', 'Taiwan'),
(22113, '63.243.176.0', '63.243.176.31', 1072934912, 1072934943, 'CA', 'Canada'),
(22114, '63.243.176.32', '63.243.176.63', 1072934944, 1072934975, 'PH', 'Philippines'),
(22115, '63.243.176.64', '63.243.176.127', 1072934976, 1072935039, 'CA', 'Canada'),
(22116, '63.243.176.128', '63.243.176.223', 1072935040, 1072935135, 'US', 'United States'),
(22117, '63.243.176.224', '63.243.176.247', 1072935136, 1072935159, 'CA', 'Canada'),
(22118, '63.243.176.248', '63.243.176.255', 1072935160, 1072935167, 'US', 'United States'),
(22119, '63.243.177.0', '63.243.178.255', 1072935168, 1072935679, 'CA', 'Canada'),
(22120, '63.243.179.0', '63.243.179.127', 1072935680, 1072935807, 'PH', 'Philippines'),
(22121, '63.243.179.128', '63.243.181.255', 1072935808, 1072936447, 'CA', 'Canada'),
(22122, '63.243.182.0', '63.243.182.255', 1072936448, 1072936703, 'PH', 'Philippines'),
(22123, '63.243.183.0', '63.243.184.255', 1072936704, 1072937215, 'US', 'United States'),
(22124, '63.243.185.0', '63.243.185.255', 1072937216, 1072937471, 'IR', 'Iran, Islamic Republic of'),
(22125, '63.243.186.0', '63.243.186.255', 1072937472, 1072937727, 'US', 'United States'),
(22126, '63.243.187.0', '63.243.188.255', 1072937728, 1072938239, 'CA', 'Canada'),
(22127, '63.243.189.0', '63.243.189.255', 1072938240, 1072938495, 'VG', 'Virgin Islands, British'),
(22128, '63.243.190.0', '63.243.190.255', 1072938496, 1072938751, 'CA', 'Canada'),
(22129, '63.243.191.0', '63.243.191.255', 1072938752, 1072939007, 'US', 'United States'),
(22130, '63.243.192.0', '63.243.193.255', 1072939008, 1072939519, 'CA', 'Canada'),
(22131, '63.243.194.0', '63.243.195.255', 1072939520, 1072940031, 'US', 'United States'),
(22132, '63.243.196.0', '63.243.255.255', 1072940032, 1072955391, 'CA', 'Canada'),
(22133, '63.244.0.0', '63.245.7.255', 1072955392, 1073022975, 'US', 'United States'),
(22134, '63.245.8.0', '63.245.18.255', 1073022976, 1073025791, 'HN', 'Honduras'),
(22135, '63.245.19.0', '63.245.19.255', 1073025792, 1073026047, 'NI', 'Nicaragua'),
(22136, '63.245.20.0', '63.245.20.255', 1073026048, 1073026303, 'US', 'United States'),
(22137, '63.245.21.0', '63.245.21.255', 1073026304, 1073026559, 'DO', 'Dominican Republic'),
(22138, '63.245.22.0', '63.245.23.255', 1073026560, 1073027071, 'PR', 'Puerto Rico'),
(22139, '63.245.24.0', '63.245.28.255', 1073027072, 1073028351, 'NI', 'Nicaragua'),
(22140, '63.245.29.0', '63.245.29.255', 1073028352, 1073028607, 'US', 'United States'),
(22141, '63.245.30.0', '63.245.31.255', 1073028608, 1073029119, 'GD', 'Grenada'),
(22142, '63.245.32.0', '63.245.39.255', 1073029120, 1073031167, 'PR', 'Puerto Rico'),
(22143, '63.245.40.0', '63.245.40.255', 1073031168, 1073031423, 'US', 'United States'),
(22144, '63.245.41.0', '63.245.42.255', 1073031424, 1073031935, 'AN', 'Netherlands Antilles'),
(22145, '63.245.43.0', '63.245.47.255', 1073031936, 1073033215, 'US', 'United States'),
(22146, '63.245.48.0', '63.245.55.255', 1073033216, 1073035263, 'AN', 'Netherlands Antilles'),
(22147, '63.245.56.0', '63.245.59.0', 1073035264, 1073036032, 'GD', 'Grenada'),
(22148, '63.245.59.1', '63.245.60.255', 1073036033, 1073036543, 'US', 'United States'),
(22149, '63.245.61.0', '63.245.62.255', 1073036544, 1073037055, 'MX', 'Mexico'),
(22150, '63.245.63.0', '63.245.63.255', 1073037056, 1073037311, 'AN', 'Netherlands Antilles'),
(22151, '63.245.64.0', '63.245.65.255', 1073037312, 1073037823, 'CO', 'Colombia'),
(22152, '63.245.66.0', '63.245.67.255', 1073037824, 1073038335, 'GD', 'Grenada'),
(22153, '63.245.68.0', '63.245.71.255', 1073038336, 1073039359, 'US', 'United States'),
(22154, '63.245.72.0', '63.245.79.255', 1073039360, 1073041407, 'GT', 'Guatemala'),
(22155, '63.245.80.0', '63.245.87.255', 1073041408, 1073043455, 'CO', 'Colombia'),
(22156, '63.245.88.0', '63.245.89.255', 1073043456, 1073043967, 'PR', 'Puerto Rico'),
(22157, '63.245.90.0', '63.245.92.255', 1073043968, 1073044735, 'US', 'United States'),
(22158, '63.245.93.0', '63.245.93.255', 1073044736, 1073044991, 'PR', 'Puerto Rico'),
(22159, '63.245.94.0', '63.245.94.255', 1073044992, 1073045247, 'US', 'United States'),
(22160, '63.245.95.0', '63.245.95.255', 1073045248, 1073045503, 'PR', 'Puerto Rico'),
(22161, '63.245.96.0', '63.245.103.255', 1073045504, 1073047551, 'CO', 'Colombia'),
(22162, '63.245.104.0', '63.245.111.255', 1073047552, 1073049599, 'PR', 'Puerto Rico'),
(22163, '63.245.112.0', '63.245.123.255', 1073049600, 1073052671, 'BS', 'Bahamas'),
(22164, '63.245.124.0', '63.245.213.4', 1073052672, 1073075460, 'US', 'United States'),
(22165, '63.245.213.5', '63.245.214.4', 1073075461, 1073075716, 'NL', 'Netherlands'),
(22166, '63.245.214.5', '63.246.19.69', 1073075717, 1073091397, 'US', 'United States'),
(22167, '63.246.19.70', '63.246.19.79', 1073091398, 1073091407, 'CH', 'Switzerland'),
(22168, '63.246.19.80', '63.246.28.14', 1073091408, 1073093646, 'US', 'United States'),
(22169, '63.246.28.15', '63.246.28.22', 1073093647, 1073093654, 'PE', 'Peru'),
(22170, '63.246.28.23', '63.246.31.157', 1073093655, 1073094557, 'US', 'United States'),
(22171, '63.246.31.158', '63.246.31.170', 1073094558, 1073094570, 'IT', 'Italy'),
(22172, '63.246.31.171', '63.250.95.255', 1073094571, 1073373183, 'US', 'United States'),
(22173, '63.250.96.0', '63.250.127.255', 1073373184, 1073381375, 'CA', 'Canada'),
(22174, '63.250.128.0', '63.250.128.15', 1073381376, 1073381391, 'US', 'United States'),
(22175, '63.250.128.16', '63.250.128.87', 1073381392, 1073381463, 'NL', 'Netherlands'),
(22176, '63.250.128.88', '63.250.128.95', 1073381464, 1073381471, 'US', 'United States'),
(22177, '63.250.128.96', '63.250.128.255', 1073381472, 1073381631, 'NL', 'Netherlands'),
(22178, '63.250.129.0', '63.250.129.255', 1073381632, 1073381887, 'EU', 'Europe'),
(22179, '63.250.130.0', '63.250.133.31', 1073381888, 1073382687, 'US', 'United States'),
(22180, '63.250.133.32', '63.250.133.39', 1073382688, 1073382695, 'CA', 'Canada'),
(22181, '63.250.133.40', '63.250.133.159', 1073382696, 1073382815, 'US', 'United States'),
(22182, '63.250.133.160', '63.250.133.191', 1073382816, 1073382847, 'CR', 'Costa Rica'),
(22183, '63.250.133.192', '63.250.133.199', 1073382848, 1073382855, 'US', 'United States'),
(22184, '63.250.133.200', '63.250.133.207', 1073382856, 1073382863, 'BR', 'Brazil'),
(22185, '63.250.133.208', '63.250.133.223', 1073382864, 1073382879, 'US', 'United States'),
(22186, '63.250.133.224', '63.250.133.255', 1073382880, 1073382911, 'AR', 'Argentina'),
(22187, '63.250.134.0', '63.250.134.47', 1073382912, 1073382959, 'US', 'United States'),
(22188, '63.250.134.48', '63.250.134.63', 1073382960, 1073382975, 'CA', 'Canada'),
(22189, '63.250.134.64', '63.250.136.95', 1073382976, 1073383519, 'US', 'United States'),
(22190, '63.250.136.96', '63.250.136.127', 1073383520, 1073383551, 'SV', 'El Salvador'),
(22191, '63.250.136.128', '63.250.137.47', 1073383552, 1073383727, 'US', 'United States'),
(22192, '63.250.137.48', '63.250.137.55', 1073383728, 1073383735, 'CA', 'Canada'),
(22193, '63.250.137.56', '63.250.137.159', 1073383736, 1073383839, 'US', 'United States'),
(22194, '63.250.137.160', '63.250.137.191', 1073383840, 1073383871, 'VE', 'Venezuela'),
(22195, '63.250.137.192', '63.250.138.255', 1073383872, 1073384191, 'US', 'United States'),
(22196, '63.250.139.0', '63.250.139.31', 1073384192, 1073384223, 'BR', 'Brazil'),
(22197, '63.250.139.32', '63.250.139.95', 1073384224, 1073384287, 'US', 'United States'),
(22198, '63.250.139.96', '63.250.139.103', 1073384288, 1073384295, 'BR', 'Brazil'),
(22199, '63.250.139.104', '63.250.140.63', 1073384296, 1073384511, 'US', 'United States'),
(22200, '63.250.140.64', '63.250.140.127', 1073384512, 1073384575, 'CA', 'Canada'),
(22201, '63.250.140.128', '63.250.140.159', 1073384576, 1073384607, 'US', 'United States'),
(22202, '63.250.140.160', '63.250.140.191', 1073384608, 1073384639, 'BR', 'Brazil'),
(22203, '63.250.140.192', '63.250.141.7', 1073384640, 1073384711, 'US', 'United States'),
(22204, '63.250.141.8', '63.250.141.15', 1073384712, 1073384719, 'CL', 'Chile'),
(22205, '63.250.141.16', '63.250.141.71', 1073384720, 1073384775, 'US', 'United States'),
(22206, '63.250.141.72', '63.250.141.79', 1073384776, 1073384783, 'CA', 'Canada'),
(22207, '63.250.141.80', '63.250.141.175', 1073384784, 1073384879, 'US', 'United States'),
(22208, '63.250.141.176', '63.250.141.183', 1073384880, 1073384887, 'CA', 'Canada'),
(22209, '63.250.141.184', '63.250.142.127', 1073384888, 1073385087, 'US', 'United States'),
(22210, '63.250.142.128', '63.250.142.135', 1073385088, 1073385095, 'CA', 'Canada'),
(22211, '63.250.142.136', '63.250.142.191', 1073385096, 1073385151, 'US', 'United States'),
(22212, '63.250.142.192', '63.250.142.223', 1073385152, 1073385183, 'BR', 'Brazil'),
(22213, '63.250.142.224', '63.250.143.63', 1073385184, 1073385279, 'US', 'United States'),
(22214, '63.250.143.64', '63.250.143.95', 1073385280, 1073385311, 'BR', 'Brazil'),
(22215, '63.250.143.96', '63.250.160.7', 1073385312, 1073389575, 'US', 'United States'),
(22216, '63.250.160.8', '63.250.160.15', 1073389576, 1073389583, 'CA', 'Canada'),
(22217, '63.250.160.16', '63.250.160.31', 1073389584, 1073389599, 'US', 'United States'),
(22218, '63.250.160.32', '63.250.160.63', 1073389600, 1073389631, 'GB', 'United Kingdom'),
(22219, '63.250.160.64', '63.250.160.215', 1073389632, 1073389783, 'US', 'United States'),
(22220, '63.250.160.216', '63.250.160.223', 1073389784, 1073389791, 'CL', 'Chile'),
(22221, '63.250.160.224', '63.250.162.127', 1073389792, 1073390207, 'US', 'United States'),
(22222, '63.250.162.128', '63.250.162.135', 1073390208, 1073390215, 'CA', 'Canada'),
(22223, '63.250.162.136', '63.250.162.191', 1073390216, 1073390271, 'US', 'United States'),
(22224, '63.250.162.192', '63.250.162.223', 1073390272, 1073390303, 'CA', 'Canada'),
(22225, '63.250.162.224', '63.250.176.223', 1073390304, 1073393887, 'US', 'United States'),
(22226, '63.250.176.224', '63.250.176.231', 1073393888, 1073393895, 'CO', 'Colombia'),
(22227, '63.250.176.232', '63.250.176.247', 1073393896, 1073393911, 'US', 'United States'),
(22228, '63.250.176.248', '63.250.176.255', 1073393912, 1073393919, 'CO', 'Colombia'),
(22229, '63.250.177.0', '63.250.178.15', 1073393920, 1073394191, 'US', 'United States'),
(22230, '63.250.178.16', '63.250.178.31', 1073394192, 1073394207, 'MX', 'Mexico'),
(22231, '63.250.178.32', '63.250.178.63', 1073394208, 1073394239, 'CA', 'Canada'),
(22232, '63.250.178.64', '63.250.178.71', 1073394240, 1073394247, 'MX', 'Mexico'),
(22233, '63.250.178.72', '63.250.178.87', 1073394248, 1073394263, 'US', 'United States'),
(22234, '63.250.178.88', '63.250.178.95', 1073394264, 1073394271, 'MX', 'Mexico'),
(22235, '63.250.178.96', '63.250.178.103', 1073394272, 1073394279, 'US', 'United States'),
(22236, '63.250.178.104', '63.250.178.111', 1073394280, 1073394287, 'MX', 'Mexico'),
(22237, '63.250.178.112', '63.250.178.119', 1073394288, 1073394295, 'US', 'United States'),
(22238, '63.250.178.120', '63.250.178.127', 1073394296, 1073394303, 'MX', 'Mexico'),
(22239, '63.250.178.128', '63.250.178.135', 1073394304, 1073394311, 'AR', 'Argentina'),
(22240, '63.250.178.136', '63.250.179.7', 1073394312, 1073394439, 'US', 'United States'),
(22241, '63.250.179.8', '63.250.179.31', 1073394440, 1073394463, 'MX', 'Mexico'),
(22242, '63.250.179.32', '63.250.179.63', 1073394464, 1073394495, 'US', 'United States'),
(22243, '63.250.179.64', '63.250.179.71', 1073394496, 1073394503, 'MX', 'Mexico'),
(22244, '63.250.179.72', '63.250.179.111', 1073394504, 1073394543, 'US', 'United States'),
(22245, '63.250.179.112', '63.250.179.127', 1073394544, 1073394559, 'MX', 'Mexico'),
(22246, '63.250.179.128', '63.250.179.159', 1073394560, 1073394591, 'US', 'United States'),
(22247, '63.250.179.160', '63.250.179.191', 1073394592, 1073394623, 'AF', 'Afghanistan'),
(22248, '63.250.179.192', '63.250.180.31', 1073394624, 1073394719, 'US', 'United States'),
(22249, '63.250.180.32', '63.250.180.63', 1073394720, 1073394751, 'BR', 'Brazil'),
(22250, '63.250.180.64', '63.250.180.79', 1073394752, 1073394767, 'AR', 'Argentina'),
(22251, '63.250.180.80', '63.250.180.111', 1073394768, 1073394799, 'US', 'United States'),
(22252, '63.250.180.112', '63.250.180.119', 1073394800, 1073394807, 'CA', 'Canada'),
(22253, '63.250.180.120', '63.250.181.23', 1073394808, 1073394967, 'US', 'United States'),
(22254, '63.250.181.24', '63.250.181.31', 1073394968, 1073394975, 'AR', 'Argentina'),
(22255, '63.250.181.32', '63.250.181.223', 1073394976, 1073395167, 'US', 'United States'),
(22256, '63.250.181.224', '63.250.181.231', 1073395168, 1073395175, 'AR', 'Argentina'),
(22257, '63.250.181.232', '63.250.181.239', 1073395176, 1073395183, 'US', 'United States'),
(22258, '63.250.181.240', '63.250.181.247', 1073395184, 1073395191, 'AR', 'Argentina'),
(22259, '63.250.181.248', '63.250.182.39', 1073395192, 1073395239, 'US', 'United States'),
(22260, '63.250.182.40', '63.250.182.47', 1073395240, 1073395247, 'BR', 'Brazil'),
(22261, '63.250.182.48', '63.250.182.199', 1073395248, 1073395399, 'US', 'United States'),
(22262, '63.250.182.200', '63.250.182.207', 1073395400, 1073395407, 'CA', 'Canada'),
(22263, '63.250.182.208', '63.250.182.223', 1073395408, 1073395423, 'PR', 'Puerto Rico'),
(22264, '63.250.182.224', '63.250.184.255', 1073395424, 1073395967, 'US', 'United States'),
(22265, '63.250.185.0', '63.250.185.31', 1073395968, 1073395999, 'BR', 'Brazil'),
(22266, '63.250.185.32', '63.250.185.223', 1073396000, 1073396191, 'US', 'United States'),
(22267, '63.250.185.224', '63.250.185.239', 1073396192, 1073396207, 'CA', 'Canada'),
(22268, '63.250.185.240', '63.250.185.247', 1073396208, 1073396215, 'BR', 'Brazil'),
(22269, '63.250.185.248', '63.250.188.15', 1073396216, 1073396751, 'US', 'United States'),
(22270, '63.250.188.16', '63.250.188.95', 1073396752, 1073396831, 'BR', 'Brazil'),
(22271, '63.250.188.96', '63.250.188.127', 1073396832, 1073396863, 'US', 'United States'),
(22272, '63.250.188.128', '63.250.188.159', 1073396864, 1073396895, 'CA', 'Canada'),
(22273, '63.250.188.160', '63.250.188.175', 1073396896, 1073396911, 'US', 'United States'),
(22274, '63.250.188.176', '63.250.188.183', 1073396912, 1073396919, 'CA', 'Canada'),
(22275, '63.250.188.184', '63.250.188.191', 1073396920, 1073396927, 'US', 'United States'),
(22276, '63.250.188.192', '63.250.188.199', 1073396928, 1073396935, 'VE', 'Venezuela'),
(22277, '63.250.188.200', '63.250.188.223', 1073396936, 1073396959, 'US', 'United States'),
(22278, '63.250.188.224', '63.250.188.255', 1073396960, 1073396991, 'CA', 'Canada'),
(22279, '63.250.189.0', '63.250.189.71', 1073396992, 1073397063, 'US', 'United States'),
(22280, '63.250.189.72', '63.250.189.79', 1073397064, 1073397071, 'BR', 'Brazil'),
(22281, '63.250.189.80', '63.251.44.151', 1073397072, 1073425559, 'US', 'United States'),
(22282, '63.251.44.152', '63.251.44.159', 1073425560, 1073425567, 'CA', 'Canada'),
(22283, '63.251.44.160', '63.251.48.127', 1073425568, 1073426559, 'US', 'United States'),
(22284, '63.251.48.128', '63.251.48.191', 1073426560, 1073426623, 'AU', 'Australia'),
(22285, '63.251.48.192', '63.251.80.175', 1073426624, 1073434799, 'US', 'United States'),
(22286, '63.251.80.176', '63.251.80.183', 1073434800, 1073434807, 'GB', 'United Kingdom'),
(22287, '63.251.80.184', '63.251.83.191', 1073434808, 1073435583, 'US', 'United States'),
(22288, '63.251.83.192', '63.251.83.255', 1073435584, 1073435647, 'CA', 'Canada'),
(22289, '63.251.84.0', '63.251.93.255', 1073435648, 1073438207, 'US', 'United States'),
(22290, '63.251.94.0', '63.251.94.255', 1073438208, 1073438463, 'A2', 'Satellite Provider'),
(22291, '63.251.95.0', '63.251.112.47', 1073438464, 1073442863, 'US', 'United States'),
(22292, '63.251.112.48', '63.251.112.63', 1073442864, 1073442879, 'GB', 'United Kingdom'),
(22293, '63.251.112.64', '63.251.135.223', 1073442880, 1073448927, 'US', 'United States'),
(22294, '63.251.135.224', '63.251.135.255', 1073448928, 1073448959, 'IL', 'Israel'),
(22295, '63.251.136.0', '63.251.141.159', 1073448960, 1073450399, 'US', 'United States'),
(22296, '63.251.141.160', '63.251.141.191', 1073450400, 1073450431, 'GB', 'United Kingdom'),
(22297, '63.251.141.192', '64.4.63.255', 1073450432, 1074020351, 'US', 'United States'),
(22298, '64.4.64.0', '64.4.95.255', 1074020352, 1074028543, 'CA', 'Canada'),
(22299, '64.4.96.0', '64.5.191.255', 1074028544, 1074118655, 'US', 'United States'),
(22300, '64.5.192.0', '64.5.199.255', 1074118656, 1074120703, 'CA', 'Canada'),
(22301, '64.5.200.0', '64.5.200.15', 1074120704, 1074120719, 'US', 'United States'),
(22302, '64.5.200.16', '64.5.200.255', 1074120720, 1074120959, 'CA', 'Canada'),
(22303, '64.5.201.0', '64.5.201.255', 1074120960, 1074121215, 'US', 'United States'),
(22304, '64.5.202.0', '64.5.206.175', 1074121216, 1074122415, 'CA', 'Canada'),
(22305, '64.5.206.176', '64.5.206.191', 1074122416, 1074122431, 'US', 'United States'),
(22306, '64.5.206.192', '64.5.216.255', 1074122432, 1074125055, 'CA', 'Canada'),
(22307, '64.5.217.0', '64.5.217.255', 1074125056, 1074125311, 'US', 'United States'),
(22308, '64.5.218.0', '64.5.223.255', 1074125312, 1074126847, 'CA', 'Canada'),
(22309, '64.5.224.0', '64.5.225.255', 1074126848, 1074127359, 'US', 'United States'),
(22310, '64.5.226.0', '64.5.230.127', 1074127360, 1074128511, 'CA', 'Canada'),
(22311, '64.5.230.128', '64.5.230.191', 1074128512, 1074128575, 'US', 'United States'),
(22312, '64.5.230.192', '64.5.239.255', 1074128576, 1074130943, 'CA', 'Canada'),
(22313, '64.5.240.0', '64.5.240.255', 1074130944, 1074131199, 'US', 'United States'),
(22314, '64.5.241.0', '64.5.255.255', 1074131200, 1074135039, 'CA', 'Canada'),
(22315, '64.6.0.0', '64.6.191.255', 1074135040, 1074184191, 'US', 'United States'),
(22316, '64.6.192.0', '64.6.207.255', 1074184192, 1074188287, 'CA', 'Canada'),
(22317, '64.6.208.0', '64.7.111.255', 1074188288, 1074229247, 'US', 'United States'),
(22318, '64.7.112.0', '64.7.159.255', 1074229248, 1074241535, 'CA', 'Canada'),
(22319, '64.7.160.0', '64.10.0.255', 1074241536, 1074397439, 'US', 'United States'),
(22320, '64.10.1.0', '64.10.7.63', 1074397440, 1074399039, 'CA', 'Canada'),
(22321, '64.10.7.64', '64.10.7.255', 1074399040, 1074399231, 'US', 'United States'),
(22322, '64.10.8.0', '64.10.43.127', 1074399232, 1074408319, 'CA', 'Canada'),
(22323, '64.10.43.128', '64.10.43.255', 1074408320, 1074408447, 'US', 'United States'),
(22324, '64.10.44.0', '64.10.254.255', 1074408448, 1074462463, 'CA', 'Canada'),
(22325, '64.10.255.0', '64.11.3.255', 1074462464, 1074463743, 'US', 'United States'),
(22326, '64.11.4.0', '64.11.120.255', 1074463744, 1074493695, 'CA', 'Canada'),
(22327, '64.11.121.0', '64.11.121.127', 1074493696, 1074493823, 'US', 'United States'),
(22328, '64.11.121.128', '64.11.124.255', 1074493824, 1074494719, 'CA', 'Canada'),
(22329, '64.11.125.0', '64.11.128.255', 1074494720, 1074495743, 'US', 'United States'),
(22330, '64.11.129.0', '64.11.197.255', 1074495744, 1074513407, 'CA', 'Canada'),
(22331, '64.11.198.0', '64.14.52.31', 1074513408, 1074672671, 'US', 'United States'),
(22332, '64.14.52.32', '64.14.52.63', 1074672672, 1074672703, 'IN', 'India'),
(22333, '64.14.52.64', '64.14.53.47', 1074672704, 1074672943, 'US', 'United States'),
(22334, '64.14.53.48', '64.14.53.63', 1074672944, 1074672959, 'DK', 'Denmark'),
(22335, '64.14.53.64', '64.14.55.255', 1074672960, 1074673663, 'US', 'United States'),
(22336, '64.14.56.0', '64.14.56.15', 1074673664, 1074673679, 'CY', 'Cyprus'),
(22337, '64.14.56.16', '64.14.62.111', 1074673680, 1074675311, 'US', 'United States'),
(22338, '64.14.62.112', '64.14.62.127', 1074675312, 1074675327, 'NO', 'Norway'),
(22339, '64.14.62.128', '64.14.63.223', 1074675328, 1074675679, 'US', 'United States'),
(22340, '64.14.63.224', '64.14.63.231', 1074675680, 1074675687, 'GB', 'United Kingdom'),
(22341, '64.14.63.232', '64.14.83.47', 1074675688, 1074680623, 'US', 'United States'),
(22342, '64.14.83.48', '64.14.83.63', 1074680624, 1074680639, 'CA', 'Canada'),
(22343, '64.14.83.64', '64.14.83.127', 1074680640, 1074680703, 'US', 'United States'),
(22344, '64.14.83.128', '64.14.83.143', 1074680704, 1074680719, 'IL', 'Israel'),
(22345, '64.14.83.144', '64.14.85.175', 1074680720, 1074681263, 'US', 'United States'),
(22346, '64.14.85.176', '64.14.85.191', 1074681264, 1074681279, 'CA', 'Canada'),
(22347, '64.14.85.192', '64.14.85.255', 1074681280, 1074681343, 'US', 'United States'),
(22348, '64.14.86.0', '64.14.86.15', 1074681344, 1074681359, 'CA', 'Canada'),
(22349, '64.14.86.16', '64.14.91.63', 1074681360, 1074682687, 'US', 'United States'),
(22350, '64.14.91.64', '64.14.91.127', 1074682688, 1074682751, 'CA', 'Canada'),
(22351, '64.14.91.128', '64.14.92.143', 1074682752, 1074683023, 'US', 'United States'),
(22352, '64.14.92.144', '64.14.92.159', 1074683024, 1074683039, 'CA', 'Canada'),
(22353, '64.14.92.160', '64.14.95.159', 1074683040, 1074683807, 'US', 'United States'),
(22354, '64.14.95.160', '64.14.95.191', 1074683808, 1074683839, 'CA', 'Canada'),
(22355, '64.14.95.192', '64.14.123.79', 1074683840, 1074690895, 'US', 'United States'),
(22356, '64.14.123.80', '64.14.123.95', 1074690896, 1074690911, 'AR', 'Argentina'),
(22357, '64.14.123.96', '64.14.123.127', 1074690912, 1074690943, 'US', 'United States'),
(22358, '64.14.123.128', '64.14.123.191', 1074690944, 1074691007, 'AR', 'Argentina'),
(22359, '64.14.123.192', '64.14.124.63', 1074691008, 1074691135, 'US', 'United States'),
(22360, '64.14.124.64', '64.14.124.127', 1074691136, 1074691199, 'AR', 'Argentina'),
(22361, '64.14.124.128', '64.14.165.15', 1074691200, 1074701583, 'US', 'United States'),
(22362, '64.14.165.16', '64.14.165.23', 1074701584, 1074701591, 'CA', 'Canada'),
(22363, '64.14.165.24', '64.14.165.31', 1074701592, 1074701599, 'US', 'United States'),
(22364, '64.14.165.32', '64.14.165.63', 1074701600, 1074701631, 'CA', 'Canada'),
(22365, '64.14.165.64', '64.14.169.191', 1074701632, 1074702783, 'US', 'United States'),
(22366, '64.14.169.192', '64.14.169.255', 1074702784, 1074702847, 'CA', 'Canada'),
(22367, '64.14.170.0', '64.14.172.255', 1074702848, 1074703615, 'US', 'United States'),
(22368, '64.14.173.0', '64.14.173.255', 1074703616, 1074703871, 'GB', 'United Kingdom'),
(22369, '64.14.174.0', '64.14.175.255', 1074703872, 1074704383, 'US', 'United States'),
(22370, '64.14.176.0', '64.14.176.255', 1074704384, 1074704639, 'GB', 'United Kingdom'),
(22371, '64.14.177.0', '64.14.177.63', 1074704640, 1074704703, 'US', 'United States'),
(22372, '64.14.177.64', '64.14.177.71', 1074704704, 1074704711, 'CH', 'Switzerland'),
(22373, '64.14.177.72', '64.14.177.127', 1074704712, 1074704767, 'US', 'United States'),
(22374, '64.14.177.128', '64.14.177.191', 1074704768, 1074704831, 'CH', 'Switzerland'),
(22375, '64.14.177.192', '64.14.181.63', 1074704832, 1074705727, 'US', 'United States'),
(22376, '64.14.181.64', '64.14.181.79', 1074705728, 1074705743, 'GB', 'United Kingdom'),
(22377, '64.14.181.80', '64.14.181.127', 1074705744, 1074705791, 'US', 'United States'),
(22378, '64.14.181.128', '64.14.181.135', 1074705792, 1074705799, 'IL', 'Israel'),
(22379, '64.14.181.136', '64.14.181.223', 1074705800, 1074705887, 'US', 'United States'),
(22380, '64.14.181.224', '64.14.181.239', 1074705888, 1074705903, 'IL', 'Israel'),
(22381, '64.14.181.240', '64.14.182.255', 1074705904, 1074706175, 'US', 'United States'),
(22382, '64.14.183.0', '64.14.183.127', 1074706176, 1074706303, 'IL', 'Israel'),
(22383, '64.14.183.128', '64.14.183.191', 1074706304, 1074706367, 'US', 'United States'),
(22384, '64.14.183.192', '64.14.183.255', 1074706368, 1074706431, 'GB', 'United Kingdom'),
(22385, '64.14.184.0', '64.14.184.247', 1074706432, 1074706679, 'US', 'United States'),
(22386, '64.14.184.248', '64.14.184.255', 1074706680, 1074706687, 'GB', 'United Kingdom'),
(22387, '64.14.185.0', '64.14.189.63', 1074706688, 1074707775, 'US', 'United States'),
(22388, '64.14.189.64', '64.14.189.127', 1074707776, 1074707839, 'GB', 'United Kingdom'),
(22389, '64.14.189.128', '64.14.189.255', 1074707840, 1074707967, 'US', 'United States'),
(22390, '64.14.190.0', '64.14.190.255', 1074707968, 1074708223, 'GB', 'United Kingdom'),
(22391, '64.14.191.0', '64.14.193.255', 1074708224, 1074708991, 'US', 'United States'),
(22392, '64.14.194.0', '64.14.194.255', 1074708992, 1074709247, 'PH', 'Philippines'),
(22393, '64.14.195.0', '64.14.201.255', 1074709248, 1074711039, 'US', 'United States'),
(22394, '64.14.202.0', '64.14.202.15', 1074711040, 1074711055, 'IN', 'India'),
(22395, '64.14.202.16', '64.14.224.7', 1074711056, 1074716679, 'US', 'United States'),
(22396, '64.14.224.8', '64.14.224.15', 1074716680, 1074716687, 'GB', 'United Kingdom'),
(22397, '64.14.224.16', '64.14.224.47', 1074716688, 1074716719, 'US', 'United States'),
(22398, '64.14.224.48', '64.14.224.63', 1074716720, 1074716735, 'GB', 'United Kingdom'),
(22399, '64.14.224.64', '64.15.31.255', 1074716736, 1074733055, 'US', 'United States'),
(22400, '64.15.32.0', '64.15.47.255', 1074733056, 1074737151, 'AU', 'Australia'),
(22401, '64.15.48.0', '64.15.79.255', 1074737152, 1074745343, 'CA', 'Canada'),
(22402, '64.15.80.0', '64.15.127.255', 1074745344, 1074757631, 'US', 'United States'),
(22403, '64.15.128.0', '64.15.159.255', 1074757632, 1074765823, 'CA', 'Canada'),
(22404, '64.15.160.0', '64.15.204.255', 1074765824, 1074777343, 'US', 'United States'),
(22405, '64.15.205.0', '64.15.205.255', 1074777344, 1074777599, 'AU', 'Australia'),
(22406, '64.15.206.0', '64.15.227.191', 1074777600, 1074783167, 'US', 'United States'),
(22407, '64.15.227.192', '64.15.227.223', 1074783168, 1074783199, 'CA', 'Canada'),
(22408, '64.15.227.224', '64.15.227.255', 1074783200, 1074783231, 'BM', 'Bermuda'),
(22409, '64.15.228.0', '64.15.238.31', 1074783232, 1074785823, 'US', 'United States'),
(22410, '64.15.238.32', '64.15.238.63', 1074785824, 1074785855, 'AU', 'Australia'),
(22411, '64.15.238.64', '64.17.61.31', 1074785856, 1074871583, 'US', 'United States'),
(22412, '64.17.61.32', '64.17.61.55', 1074871584, 1074871607, 'CA', 'Canada'),
(22413, '64.17.61.56', '64.17.61.63', 1074871608, 1074871615, 'US', 'United States'),
(22414, '64.17.61.64', '64.17.61.127', 1074871616, 1074871679, 'CA', 'Canada'),
(22415, '64.17.61.128', '64.18.63.255', 1074871680, 1074937855, 'US', 'United States'),
(22416, '64.18.64.0', '64.18.95.255', 1074937856, 1074946047, 'CA', 'Canada'),
(22417, '64.18.96.0', '64.18.159.255', 1074946048, 1074962431, 'US', 'United States'),
(22418, '64.18.160.0', '64.18.191.255', 1074962432, 1074970623, 'CA', 'Canada'),
(22419, '64.18.192.0', '64.20.40.152', 1074970624, 1075062936, 'US', 'United States'),
(22420, '64.20.40.153', '64.20.40.153', 1075062937, 1075062937, 'SA', 'Saudi Arabia'),
(22421, '64.20.40.154', '64.20.252.231', 1075062938, 1075117287, 'US', 'United States'),
(22422, '64.20.252.232', '64.20.252.255', 1075117288, 1075117311, 'IN', 'India'),
(22423, '64.20.253.0', '64.21.114.2', 1075117312, 1075147266, 'US', 'United States'),
(22424, '64.21.114.3', '64.21.114.3', 1075147267, 1075147267, 'PK', 'Pakistan'),
(22425, '64.21.114.4', '64.23.63.255', 1075147268, 1075265535, 'US', 'United States'),
(22426, '64.23.64.0', '64.23.79.255', 1075265536, 1075269631, 'KR', 'Korea, Republic of'),
(22427, '64.23.80.0', '64.25.159.255', 1075269632, 1075421183, 'US', 'United States'),
(22428, '64.25.160.0', '64.25.191.255', 1075421184, 1075429375, 'CA', 'Canada'),
(22429, '64.25.192.0', '64.26.127.255', 1075429376, 1075478527, 'US', 'United States'),
(22430, '64.26.128.0', '64.26.130.63', 1075478528, 1075479103, 'CA', 'Canada'),
(22431, '64.26.130.64', '64.26.130.71', 1075479104, 1075479111, 'GB', 'United Kingdom'),
(22432, '64.26.130.72', '64.26.130.95', 1075479112, 1075479135, 'CA', 'Canada'),
(22433, '64.26.130.96', '64.26.130.111', 1075479136, 1075479151, 'US', 'United States'),
(22434, '64.26.130.112', '64.26.132.55', 1075479152, 1075479607, 'CA', 'Canada'),
(22435, '64.26.132.56', '64.26.132.63', 1075479608, 1075479615, 'US', 'United States'),
(22436, '64.26.132.64', '64.26.135.95', 1075479616, 1075480415, 'CA', 'Canada'),
(22437, '64.26.135.96', '64.26.135.103', 1075480416, 1075480423, 'US', 'United States'),
(22438, '64.26.135.104', '64.26.144.31', 1075480424, 1075482655, 'CA', 'Canada'),
(22439, '64.26.144.32', '64.26.144.47', 1075482656, 1075482671, 'US', 'United States'),
(22440, '64.26.144.48', '64.26.191.255', 1075482672, 1075494911, 'CA', 'Canada'),
(22441, '64.26.192.0', '64.27.7.63', 1075494912, 1075513151, 'US', 'United States'),
(22442, '64.27.7.64', '64.27.7.95', 1075513152, 1075513183, 'KW', 'Kuwait'),
(22443, '64.27.7.96', '64.27.83.119', 1075513184, 1075532663, 'US', 'United States'),
(22444, '64.27.83.120', '64.27.83.129', 1075532664, 1075532673, 'IT', 'Italy'),
(22445, '64.27.83.130', '64.27.182.255', 1075532674, 1075558143, 'US', 'United States'),
(22446, '64.27.183.0', '64.27.185.255', 1075558144, 1075558911, 'VI', 'Virgin Islands, U.S.'),
(22447, '64.27.186.0', '64.27.255.255', 1075558912, 1075576831, 'US', 'United States'),
(22448, '64.28.0.0', '64.28.0.39', 1075576832, 1075576871, 'NO', 'Norway'),
(22449, '64.28.0.40', '64.28.0.47', 1075576872, 1075576879, 'GB', 'United Kingdom'),
(22450, '64.28.0.48', '64.28.0.119', 1075576880, 1075576951, 'NO', 'Norway'),
(22451, '64.28.0.120', '64.28.0.127', 1075576952, 1075576959, 'GB', 'United Kingdom'),
(22452, '64.28.0.128', '64.28.0.135', 1075576960, 1075576967, 'NO', 'Norway'),
(22453, '64.28.0.136', '64.28.0.143', 1075576968, 1075576975, 'GB', 'United Kingdom'),
(22454, '64.28.0.144', '64.28.0.159', 1075576976, 1075576991, 'NO', 'Norway'),
(22455, '64.28.0.160', '64.28.0.191', 1075576992, 1075577023, 'GB', 'United Kingdom'),
(22456, '64.28.0.192', '64.28.0.235', 1075577024, 1075577067, 'NO', 'Norway'),
(22457, '64.28.0.236', '64.28.0.239', 1075577068, 1075577071, 'GB', 'United Kingdom'),
(22458, '64.28.0.240', '64.28.0.255', 1075577072, 1075577087, 'NO', 'Norway'),
(22459, '64.28.1.0', '64.28.1.15', 1075577088, 1075577103, 'GB', 'United Kingdom'),
(22460, '64.28.1.16', '64.28.1.183', 1075577104, 1075577271, 'NO', 'Norway'),
(22461, '64.28.1.184', '64.28.1.191', 1075577272, 1075577279, 'GB', 'United Kingdom'),
(22462, '64.28.1.192', '64.28.1.223', 1075577280, 1075577311, 'NO', 'Norway'),
(22463, '64.28.1.224', '64.28.2.255', 1075577312, 1075577599, 'GB', 'United Kingdom'),
(22464, '64.28.3.0', '64.28.3.15', 1075577600, 1075577615, 'NO', 'Norway'),
(22465, '64.28.3.16', '64.28.3.23', 1075577616, 1075577623, 'GB', 'United Kingdom'),
(22466, '64.28.3.24', '64.28.3.175', 1075577624, 1075577775, 'NO', 'Norway'),
(22467, '64.28.3.176', '64.28.3.191', 1075577776, 1075577791, 'GB', 'United Kingdom'),
(22468, '64.28.3.192', '64.28.3.255', 1075577792, 1075577855, 'NO', 'Norway'),
(22469, '64.28.4.0', '64.28.4.255', 1075577856, 1075578111, 'GB', 'United Kingdom'),
(22470, '64.28.5.0', '64.28.6.255', 1075578112, 1075578623, 'NO', 'Norway'),
(22471, '64.28.7.0', '64.28.7.255', 1075578624, 1075578879, 'GB', 'United Kingdom'),
(22472, '64.28.8.0', '64.28.8.47', 1075578880, 1075578927, 'NO', 'Norway'),
(22473, '64.28.8.48', '64.28.8.63', 1075578928, 1075578943, 'GB', 'United Kingdom'),
(22474, '64.28.8.64', '64.28.8.127', 1075578944, 1075579007, 'NO', 'Norway'),
(22475, '64.28.8.128', '64.28.8.159', 1075579008, 1075579039, 'GB', 'United Kingdom'),
(22476, '64.28.8.160', '64.28.8.167', 1075579040, 1075579047, 'NO', 'Norway'),
(22477, '64.28.8.168', '64.28.8.179', 1075579048, 1075579059, 'GB', 'United Kingdom'),
(22478, '64.28.8.180', '64.28.11.99', 1075579060, 1075579747, 'NO', 'Norway'),
(22479, '64.28.11.100', '64.28.11.103', 1075579748, 1075579751, 'GB', 'United Kingdom'),
(22480, '64.28.11.104', '64.28.12.31', 1075579752, 1075579935, 'NO', 'Norway'),
(22481, '64.28.12.32', '64.28.12.39', 1075579936, 1075579943, 'GB', 'United Kingdom'),
(22482, '64.28.12.40', '64.28.12.63', 1075579944, 1075579967, 'NO', 'Norway'),
(22483, '64.28.12.64', '64.28.12.71', 1075579968, 1075579975, 'GB', 'United Kingdom'),
(22484, '64.28.12.72', '64.28.12.79', 1075579976, 1075579983, 'NO', 'Norway'),
(22485, '64.28.12.80', '64.28.12.95', 1075579984, 1075579999, 'GB', 'United Kingdom'),
(22486, '64.28.12.96', '64.28.12.151', 1075580000, 1075580055, 'NO', 'Norway'),
(22487, '64.28.12.152', '64.28.12.159', 1075580056, 1075580063, 'GB', 'United Kingdom'),
(22488, '64.28.12.160', '64.28.17.87', 1075580064, 1075581271, 'NO', 'Norway'),
(22489, '64.28.17.88', '64.28.17.95', 1075581272, 1075581279, 'NL', 'Netherlands'),
(22490, '64.28.17.96', '64.28.17.111', 1075581280, 1075581295, 'NO', 'Norway'),
(22491, '64.28.17.112', '64.28.17.127', 1075581296, 1075581311, 'NL', 'Netherlands'),
(22492, '64.28.17.128', '64.28.18.7', 1075581312, 1075581447, 'NO', 'Norway'),
(22493, '64.28.18.8', '64.28.18.15', 1075581448, 1075581455, 'NL', 'Netherlands'),
(22494, '64.28.18.16', '64.28.18.31', 1075581456, 1075581471, 'NO', 'Norway'),
(22495, '64.28.18.32', '64.28.18.39', 1075581472, 1075581479, 'NL', 'Netherlands'),
(22496, '64.28.18.40', '64.28.18.55', 1075581480, 1075581495, 'NO', 'Norway'),
(22497, '64.28.18.56', '64.28.18.59', 1075581496, 1075581499, 'NL', 'Netherlands'),
(22498, '64.28.18.60', '64.28.18.103', 1075581500, 1075581543, 'NO', 'Norway'),
(22499, '64.28.18.104', '64.28.18.111', 1075581544, 1075581551, 'NL', 'Netherlands'),
(22500, '64.28.18.112', '64.28.18.255', 1075581552, 1075581695, 'NO', 'Norway'),
(22501, '64.28.19.0', '64.28.19.127', 1075581696, 1075581823, 'NL', 'Netherlands'),
(22502, '64.28.19.128', '64.28.22.31', 1075581824, 1075582495, 'NO', 'Norway'),
(22503, '64.28.22.32', '64.28.22.47', 1075582496, 1075582511, 'NL', 'Netherlands'),
(22504, '64.28.22.48', '64.28.22.63', 1075582512, 1075582527, 'NO', 'Norway'),
(22505, '64.28.22.64', '64.28.22.95', 1075582528, 1075582559, 'NL', 'Netherlands'),
(22506, '64.28.22.96', '64.28.22.151', 1075582560, 1075582615, 'NO', 'Norway'),
(22507, '64.28.22.152', '64.28.22.159', 1075582616, 1075582623, 'NL', 'Netherlands'),
(22508, '64.28.22.160', '64.28.23.255', 1075582624, 1075582975, 'NO', 'Norway'),
(22509, '64.28.24.0', '64.28.24.31', 1075582976, 1075583007, 'NL', 'Netherlands'),
(22510, '64.28.24.32', '64.28.24.63', 1075583008, 1075583039, 'NO', 'Norway'),
(22511, '64.28.24.64', '64.28.24.79', 1075583040, 1075583055, 'NL', 'Netherlands'),
(22512, '64.28.24.80', '64.28.24.143', 1075583056, 1075583119, 'NO', 'Norway'),
(22513, '64.28.24.144', '64.28.24.147', 1075583120, 1075583123, 'NL', 'Netherlands'),
(22514, '64.28.24.148', '64.28.24.151', 1075583124, 1075583127, 'NO', 'Norway'),
(22515, '64.28.24.152', '64.28.24.159', 1075583128, 1075583135, 'NL', 'Netherlands'),
(22516, '64.28.24.160', '64.28.24.171', 1075583136, 1075583147, 'NO', 'Norway'),
(22517, '64.28.24.172', '64.28.24.175', 1075583148, 1075583151, 'NL', 'Netherlands'),
(22518, '64.28.24.176', '64.28.26.15', 1075583152, 1075583503, 'NO', 'Norway'),
(22519, '64.28.26.16', '64.28.26.31', 1075583504, 1075583519, 'NL', 'Netherlands'),
(22520, '64.28.26.32', '64.28.26.63', 1075583520, 1075583551, 'NO', 'Norway'),
(22521, '64.28.26.64', '64.28.26.79', 1075583552, 1075583567, 'NL', 'Netherlands'),
(22522, '64.28.26.80', '64.28.26.95', 1075583568, 1075583583, 'NO', 'Norway'),
(22523, '64.28.26.96', '64.28.26.103', 1075583584, 1075583591, 'NL', 'Netherlands'),
(22524, '64.28.26.104', '64.28.26.159', 1075583592, 1075583647, 'NO', 'Norway'),
(22525, '64.28.26.160', '64.28.26.175', 1075583648, 1075583663, 'NL', 'Netherlands'),
(22526, '64.28.26.176', '64.28.26.255', 1075583664, 1075583743, 'NO', 'Norway'),
(22527, '64.28.27.0', '64.28.27.15', 1075583744, 1075583759, 'NL', 'Netherlands'),
(22528, '64.28.27.16', '64.28.27.39', 1075583760, 1075583783, 'NO', 'Norway'),
(22529, '64.28.27.40', '64.28.27.47', 1075583784, 1075583791, 'NL', 'Netherlands'),
(22530, '64.28.27.48', '64.28.27.159', 1075583792, 1075583903, 'NO', 'Norway'),
(22531, '64.28.27.160', '64.28.27.167', 1075583904, 1075583911, 'NL', 'Netherlands'),
(22532, '64.28.27.168', '64.28.28.71', 1075583912, 1075584071, 'NO', 'Norway'),
(22533, '64.28.28.72', '64.28.28.95', 1075584072, 1075584095, 'NL', 'Netherlands'),
(22534, '64.28.28.96', '64.28.29.99', 1075584096, 1075584355, 'NO', 'Norway'),
(22535, '64.28.29.100', '64.28.29.111', 1075584356, 1075584367, 'NL', 'Netherlands'),
(22536, '64.28.29.112', '64.28.30.183', 1075584368, 1075584695, 'NO', 'Norway'),
(22537, '64.28.30.184', '64.28.30.199', 1075584696, 1075584711, 'NL', 'Netherlands'),
(22538, '64.28.30.200', '64.28.31.255', 1075584712, 1075585023, 'NO', 'Norway'),
(22539, '64.28.32.0', '64.28.66.239', 1075585024, 1075593967, 'US', 'United States'),
(22540, '64.28.66.240', '64.28.66.255', 1075593968, 1075593983, 'CA', 'Canada'),
(22541, '64.28.67.0', '64.28.70.223', 1075593984, 1075594975, 'US', 'United States'),
(22542, '64.28.70.224', '64.28.70.239', 1075594976, 1075594991, 'CA', 'Canada'),
(22543, '64.28.70.240', '64.28.72.79', 1075594992, 1075595343, 'US', 'United States'),
(22544, '64.28.72.80', '64.28.72.95', 1075595344, 1075595359, 'CA', 'Canada'),
(22545, '64.28.72.96', '64.28.74.255', 1075595360, 1075596031, 'US', 'United States'),
(22546, '64.28.75.0', '64.28.75.15', 1075596032, 1075596047, 'CA', 'Canada'),
(22547, '64.28.75.16', '64.28.78.31', 1075596048, 1075596831, 'US', 'United States'),
(22548, '64.28.78.32', '64.28.78.47', 1075596832, 1075596847, 'CA', 'Canada'),
(22549, '64.28.78.48', '64.28.78.223', 1075596848, 1075597023, 'US', 'United States'),
(22550, '64.28.78.224', '64.28.78.239', 1075597024, 1075597039, 'CA', 'Canada'),
(22551, '64.28.78.240', '64.28.79.111', 1075597040, 1075597167, 'US', 'United States'),
(22552, '64.28.79.112', '64.28.79.127', 1075597168, 1075597183, 'CA', 'Canada'),
(22553, '64.28.79.128', '64.28.80.63', 1075597184, 1075597375, 'US', 'United States'),
(22554, '64.28.80.64', '64.28.80.95', 1075597376, 1075597407, 'CA', 'Canada'),
(22555, '64.28.80.96', '64.28.80.111', 1075597408, 1075597423, 'US', 'United States'),
(22556, '64.28.80.112', '64.28.80.127', 1075597424, 1075597439, 'IL', 'Israel'),
(22557, '64.28.80.128', '64.28.80.239', 1075597440, 1075597551, 'US', 'United States'),
(22558, '64.28.80.240', '64.28.81.31', 1075597552, 1075597599, 'CA', 'Canada'),
(22559, '64.28.81.32', '64.28.84.31', 1075597600, 1075598367, 'US', 'United States'),
(22560, '64.28.84.32', '64.28.84.47', 1075598368, 1075598383, 'CA', 'Canada'),
(22561, '64.28.84.48', '64.28.86.95', 1075598384, 1075598943, 'US', 'United States'),
(22562, '64.28.86.96', '64.28.86.143', 1075598944, 1075598991, 'CA', 'Canada'),
(22563, '64.28.86.144', '64.28.86.159', 1075598992, 1075599007, 'US', 'United States'),
(22564, '64.28.86.160', '64.28.86.191', 1075599008, 1075599039, 'CA', 'Canada'),
(22565, '64.28.86.192', '64.28.88.111', 1075599040, 1075599471, 'US', 'United States'),
(22566, '64.28.88.112', '64.28.88.127', 1075599472, 1075599487, 'IL', 'Israel'),
(22567, '64.28.88.128', '64.28.90.95', 1075599488, 1075599967, 'US', 'United States'),
(22568, '64.28.90.96', '64.28.90.111', 1075599968, 1075599983, 'IE', 'Ireland'),
(22569, '64.28.90.112', '64.28.95.127', 1075599984, 1075601279, 'US', 'United States'),
(22570, '64.28.95.128', '64.28.95.143', 1075601280, 1075601295, 'CA', 'Canada'),
(22571, '64.28.95.144', '64.28.127.255', 1075601296, 1075609599, 'US', 'United States'),
(22572, '64.28.128.0', '64.28.143.255', 1075609600, 1075613695, 'TT', 'Trinidad and Tobago'),
(22573, '64.28.144.0', '64.30.143.255', 1075613696, 1075744767, 'US', 'United States'),
(22574, '64.30.144.0', '64.30.159.255', 1075744768, 1075748863, 'A2', 'Satellite Provider'),
(22575, '64.30.160.0', '64.31.33.255', 1075748864, 1075782143, 'US', 'United States'),
(22576, '64.31.34.0', '64.31.34.255', 1075782144, 1075782399, 'A1', 'Anonymous Proxy'),
(22577, '64.31.35.0', '64.32.63.255', 1075782400, 1075855359, 'US', 'United States'),
(22578, '64.32.64.0', '64.32.127.255', 1075855360, 1075871743, 'DO', 'Dominican Republic'),
(22579, '64.32.128.0', '64.33.255.255', 1075871744, 1075970047, 'US', 'United States'),
(22580, '64.34.0.0', '64.34.7.255', 1075970048, 1075972095, 'CA', 'Canada'),
(22581, '64.34.8.0', '64.34.8.255', 1075972096, 1075972351, 'GB', 'United Kingdom'),
(22582, '64.34.9.0', '64.34.14.71', 1075972352, 1075973703, 'US', 'United States'),
(22583, '64.34.14.72', '64.34.14.79', 1075973704, 1075973711, 'CA', 'Canada'),
(22584, '64.34.14.80', '64.34.14.255', 1075973712, 1075973887, 'US', 'United States'),
(22585, '64.34.15.0', '64.34.15.255', 1075973888, 1075974143, 'CA', 'Canada'),
(22586, '64.34.16.0', '64.34.19.255', 1075974144, 1075975167, 'US', 'United States'),
(22587, '64.34.20.0', '64.34.21.255', 1075975168, 1075975679, 'CA', 'Canada'),
(22588, '64.34.22.0', '64.34.22.135', 1075975680, 1075975815, 'US', 'United States'),
(22589, '64.34.22.136', '64.34.23.47', 1075975816, 1075975983, 'CA', 'Canada'),
(22590, '64.34.23.48', '64.34.23.63', 1075975984, 1075975999, 'US', 'United States'),
(22591, '64.34.23.64', '64.34.23.239', 1075976000, 1075976175, 'CA', 'Canada'),
(22592, '64.34.23.240', '64.34.23.255', 1075976176, 1075976191, 'US', 'United States'),
(22593, '64.34.24.0', '64.34.24.255', 1075976192, 1075976447, 'CA', 'Canada'),
(22594, '64.34.25.0', '64.34.25.31', 1075976448, 1075976479, 'US', 'United States'),
(22595, '64.34.25.32', '64.34.25.63', 1075976480, 1075976511, 'CA', 'Canada'),
(22596, '64.34.25.64', '64.34.25.95', 1075976512, 1075976543, 'US', 'United States'),
(22597, '64.34.25.96', '64.34.25.199', 1075976544, 1075976647, 'CA', 'Canada'),
(22598, '64.34.25.200', '64.34.25.207', 1075976648, 1075976655, 'US', 'United States'),
(22599, '64.34.25.208', '64.34.25.239', 1075976656, 1075976687, 'CA', 'Canada'),
(22600, '64.34.25.240', '64.34.25.247', 1075976688, 1075976695, 'US', 'United States'),
(22601, '64.34.25.248', '64.34.25.255', 1075976696, 1075976703, 'CA', 'Canada'),
(22602, '64.34.26.0', '64.34.26.255', 1075976704, 1075976959, 'US', 'United States'),
(22603, '64.34.27.0', '64.34.27.63', 1075976960, 1075977023, 'CA', 'Canada'),
(22604, '64.34.27.64', '64.34.27.79', 1075977024, 1075977039, 'US', 'United States'),
(22605, '64.34.27.80', '64.34.27.111', 1075977040, 1075977071, 'CA', 'Canada'),
(22606, '64.34.27.112', '64.34.27.127', 1075977072, 1075977087, 'US', 'United States'),
(22607, '64.34.27.128', '64.34.27.239', 1075977088, 1075977199, 'CA', 'Canada'),
(22608, '64.34.27.240', '64.34.27.255', 1075977200, 1075977215, 'US', 'United States'),
(22609, '64.34.28.0', '64.34.31.255', 1075977216, 1075978239, 'CA', 'Canada'),
(22610, '64.34.32.0', '64.34.33.191', 1075978240, 1075978687, 'US', 'United States'),
(22611, '64.34.33.192', '64.34.33.223', 1075978688, 1075978719, 'CA', 'Canada'),
(22612, '64.34.33.224', '64.34.37.31', 1075978720, 1075979551, 'US', 'United States'),
(22613, '64.34.37.32', '64.34.37.63', 1075979552, 1075979583, 'CA', 'Canada'),
(22614, '64.34.37.64', '64.34.41.31', 1075979584, 1075980575, 'US', 'United States'),
(22615, '64.34.41.32', '64.34.41.47', 1075980576, 1075980591, 'GB', 'United Kingdom'),
(22616, '64.34.41.48', '64.34.47.255', 1075980592, 1075982335, 'US', 'United States'),
(22617, '64.34.48.0', '64.34.48.255', 1075982336, 1075982591, 'CA', 'Canada'),
(22618, '64.34.49.0', '64.34.49.7', 1075982592, 1075982599, 'US', 'United States'),
(22619, '64.34.49.8', '64.34.49.15', 1075982600, 1075982607, 'NZ', 'New Zealand'),
(22620, '64.34.49.16', '64.34.49.63', 1075982608, 1075982655, 'CA', 'Canada'),
(22621, '64.34.49.64', '64.34.49.79', 1075982656, 1075982671, 'MX', 'Mexico'),
(22622, '64.34.49.80', '64.34.49.103', 1075982672, 1075982695, 'CA', 'Canada'),
(22623, '64.34.49.104', '64.34.49.111', 1075982696, 1075982703, 'US', 'United States'),
(22624, '64.34.49.112', '64.34.49.159', 1075982704, 1075982751, 'CA', 'Canada'),
(22625, '64.34.49.160', '64.34.49.191', 1075982752, 1075982783, 'MX', 'Mexico'),
(22626, '64.34.49.192', '64.34.49.223', 1075982784, 1075982815, 'US', 'United States'),
(22627, '64.34.49.224', '64.34.49.239', 1075982816, 1075982831, 'CA', 'Canada'),
(22628, '64.34.49.240', '64.34.49.255', 1075982832, 1075982847, 'US', 'United States'),
(22629, '64.34.50.0', '64.34.51.79', 1075982848, 1075983183, 'CA', 'Canada'),
(22630, '64.34.51.80', '64.34.51.87', 1075983184, 1075983191, 'US', 'United States'),
(22631, '64.34.51.88', '64.34.51.95', 1075983192, 1075983199, 'CA', 'Canada'),
(22632, '64.34.51.96', '64.34.51.127', 1075983200, 1075983231, 'US', 'United States'),
(22633, '64.34.51.128', '64.34.55.255', 1075983232, 1075984383, 'CA', 'Canada'),
(22634, '64.34.56.0', '64.34.57.183', 1075984384, 1075984823, 'US', 'United States'),
(22635, '64.34.57.184', '64.34.57.191', 1075984824, 1075984831, 'CA', 'Canada'),
(22636, '64.34.57.192', '64.34.61.255', 1075984832, 1075985919, 'US', 'United States'),
(22637, '64.34.62.0', '64.34.74.63', 1075985920, 1075989055, 'CA', 'Canada'),
(22638, '64.34.74.64', '64.34.74.127', 1075989056, 1075989119, 'US', 'United States'),
(22639, '64.34.74.128', '64.34.74.255', 1075989120, 1075989247, 'CA', 'Canada'),
(22640, '64.34.75.0', '64.34.75.63', 1075989248, 1075989311, 'FI', 'Finland'),
(22641, '64.34.75.64', '64.34.75.79', 1075989312, 1075989327, 'CA', 'Canada'),
(22642, '64.34.75.80', '64.34.75.87', 1075989328, 1075989335, 'US', 'United States'),
(22643, '64.34.75.88', '64.34.75.111', 1075989336, 1075989359, 'CA', 'Canada'),
(22644, '64.34.75.112', '64.34.75.127', 1075989360, 1075989375, 'US', 'United States'),
(22645, '64.34.75.128', '64.34.75.207', 1075989376, 1075989455, 'CA', 'Canada'),
(22646, '64.34.75.208', '64.34.75.223', 1075989456, 1075989471, 'US', 'United States'),
(22647, '64.34.75.224', '64.34.77.31', 1075989472, 1075989791, 'CA', 'Canada'),
(22648, '64.34.77.32', '64.34.77.63', 1075989792, 1075989823, 'US', 'United States'),
(22649, '64.34.77.64', '64.34.79.255', 1075989824, 1075990527, 'CA', 'Canada'),
(22650, '64.34.80.0', '64.34.80.199', 1075990528, 1075990727, 'US', 'United States'),
(22651, '64.34.80.200', '64.34.80.207', 1075990728, 1075990735, 'CA', 'Canada'),
(22652, '64.34.80.208', '64.34.83.255', 1075990736, 1075991551, 'US', 'United States'),
(22653, '64.34.84.0', '64.34.84.31', 1075991552, 1075991583, 'CA', 'Canada'),
(22654, '64.34.84.32', '64.34.84.119', 1075991584, 1075991671, 'US', 'United States'),
(22655, '64.34.84.120', '64.34.84.127', 1075991672, 1075991679, 'CA', 'Canada'),
(22656, '64.34.84.128', '64.34.86.255', 1075991680, 1075992319, 'US', 'United States'),
(22657, '64.34.87.0', '64.34.87.127', 1075992320, 1075992447, 'GB', 'United Kingdom'),
(22658, '64.34.87.128', '64.34.95.239', 1075992448, 1075994607, 'US', 'United States'),
(22659, '64.34.95.240', '64.34.95.255', 1075994608, 1075994623, 'BE', 'Belgium'),
(22660, '64.34.96.0', '64.34.97.127', 1075994624, 1075995007, 'CA', 'Canada'),
(22661, '64.34.97.128', '64.34.97.143', 1075995008, 1075995023, 'VG', 'Virgin Islands, British'),
(22662, '64.34.97.144', '64.34.97.159', 1075995024, 1075995039, 'US', 'United States'),
(22663, '64.34.97.160', '64.34.97.175', 1075995040, 1075995055, 'CA', 'Canada'),
(22664, '64.34.97.176', '64.34.97.191', 1075995056, 1075995071, 'US', 'United States'),
(22665, '64.34.97.192', '64.34.97.199', 1075995072, 1075995079, 'MX', 'Mexico'),
(22666, '64.34.97.200', '64.34.97.207', 1075995080, 1075995087, 'CA', 'Canada'),
(22667, '64.34.97.208', '64.34.97.223', 1075995088, 1075995103, 'US', 'United States'),
(22668, '64.34.97.224', '64.34.98.127', 1075995104, 1075995263, 'CA', 'Canada'),
(22669, '64.34.98.128', '64.34.98.159', 1075995264, 1075995295, 'US', 'United States'),
(22670, '64.34.98.160', '64.34.98.190', 1075995296, 1075995326, 'CA', 'Canada'),
(22671, '64.34.98.191', '64.34.98.207', 1075995327, 1075995343, 'US', 'United States'),
(22672, '64.34.98.208', '64.34.99.87', 1075995344, 1075995479, 'CA', 'Canada'),
(22673, '64.34.99.88', '64.34.99.95', 1075995480, 1075995487, 'US', 'United States'),
(22674, '64.34.99.96', '64.34.99.111', 1075995488, 1075995503, 'CA', 'Canada'),
(22675, '64.34.99.112', '64.34.99.127', 1075995504, 1075995519, 'MX', 'Mexico'),
(22676, '64.34.99.128', '64.34.99.175', 1075995520, 1075995567, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(22677, '64.34.99.176', '64.34.99.191', 1075995568, 1075995583, 'CN', 'China'),
(22678, '64.34.99.192', '64.34.103.255', 1075995584, 1075996671, 'CA', 'Canada'),
(22679, '64.34.104.0', '64.34.104.79', 1075996672, 1075996751, 'US', 'United States'),
(22680, '64.34.104.80', '64.34.104.95', 1075996752, 1075996767, 'CA', 'Canada'),
(22681, '64.34.104.96', '64.34.104.127', 1075996768, 1075996799, 'BV', 'Bouvet Island'),
(22682, '64.34.104.128', '64.34.105.191', 1075996800, 1075997119, 'CA', 'Canada'),
(22683, '64.34.105.192', '64.34.105.255', 1075997120, 1075997183, 'MX', 'Mexico'),
(22684, '64.34.106.0', '64.34.107.79', 1075997184, 1075997519, 'CA', 'Canada'),
(22685, '64.34.107.80', '64.34.107.95', 1075997520, 1075997535, 'US', 'United States'),
(22686, '64.34.107.96', '64.34.107.255', 1075997536, 1075997695, 'CA', 'Canada'),
(22687, '64.34.108.0', '64.34.108.127', 1075997696, 1075997823, 'CR', 'Costa Rica'),
(22688, '64.34.108.128', '64.34.108.223', 1075997824, 1075997919, 'US', 'United States'),
(22689, '64.34.108.224', '64.34.108.239', 1075997920, 1075997935, 'CA', 'Canada'),
(22690, '64.34.108.240', '64.34.108.255', 1075997936, 1075997951, 'US', 'United States'),
(22691, '64.34.109.0', '64.34.110.143', 1075997952, 1075998351, 'CA', 'Canada'),
(22692, '64.34.110.144', '64.34.110.223', 1075998352, 1075998431, 'US', 'United States'),
(22693, '64.34.110.224', '64.34.113.255', 1075998432, 1075999231, 'CA', 'Canada'),
(22694, '64.34.114.0', '64.34.116.255', 1075999232, 1075999999, 'US', 'United States'),
(22695, '64.34.117.0', '64.34.117.255', 1076000000, 1076000255, 'CA', 'Canada'),
(22696, '64.34.118.0', '64.34.119.255', 1076000256, 1076000767, 'US', 'United States'),
(22697, '64.34.120.0', '64.34.124.255', 1076000768, 1076002047, 'CA', 'Canada'),
(22698, '64.34.125.0', '64.34.128.7', 1076002048, 1076002823, 'US', 'United States'),
(22699, '64.34.128.8', '64.34.128.15', 1076002824, 1076002831, 'CA', 'Canada'),
(22700, '64.34.128.16', '64.34.128.63', 1076002832, 1076002879, 'US', 'United States'),
(22701, '64.34.128.64', '64.34.128.159', 1076002880, 1076002975, 'CA', 'Canada'),
(22702, '64.34.128.160', '64.34.128.207', 1076002976, 1076003023, 'US', 'United States'),
(22703, '64.34.128.208', '64.34.128.215', 1076003024, 1076003031, 'CA', 'Canada'),
(22704, '64.34.128.216', '64.34.128.223', 1076003032, 1076003039, 'US', 'United States'),
(22705, '64.34.128.224', '64.34.128.239', 1076003040, 1076003055, 'CA', 'Canada'),
(22706, '64.34.128.240', '64.34.128.255', 1076003056, 1076003071, 'US', 'United States'),
(22707, '64.34.129.0', '64.34.129.255', 1076003072, 1076003327, 'CA', 'Canada'),
(22708, '64.34.130.0', '64.34.130.31', 1076003328, 1076003359, 'US', 'United States'),
(22709, '64.34.130.32', '64.34.130.47', 1076003360, 1076003375, 'CA', 'Canada'),
(22710, '64.34.130.48', '64.34.130.63', 1076003376, 1076003391, 'US', 'United States'),
(22711, '64.34.130.64', '64.34.130.79', 1076003392, 1076003407, 'CA', 'Canada'),
(22712, '64.34.130.80', '64.34.130.191', 1076003408, 1076003519, 'US', 'United States'),
(22713, '64.34.130.192', '64.34.134.31', 1076003520, 1076004383, 'CA', 'Canada'),
(22714, '64.34.134.32', '64.34.134.71', 1076004384, 1076004423, 'US', 'United States'),
(22715, '64.34.134.72', '64.34.134.79', 1076004424, 1076004431, 'CA', 'Canada'),
(22716, '64.34.134.80', '64.34.134.119', 1076004432, 1076004471, 'US', 'United States'),
(22717, '64.34.134.120', '64.34.134.127', 1076004472, 1076004479, 'CA', 'Canada'),
(22718, '64.34.134.128', '64.34.134.143', 1076004480, 1076004495, 'US', 'United States'),
(22719, '64.34.134.144', '64.34.134.159', 1076004496, 1076004511, 'CA', 'Canada'),
(22720, '64.34.134.160', '64.34.134.191', 1076004512, 1076004543, 'US', 'United States'),
(22721, '64.34.134.192', '64.34.134.239', 1076004544, 1076004591, 'CA', 'Canada'),
(22722, '64.34.134.240', '64.34.134.255', 1076004592, 1076004607, 'US', 'United States'),
(22723, '64.34.135.0', '64.34.135.31', 1076004608, 1076004639, 'CA', 'Canada'),
(22724, '64.34.135.32', '64.34.135.95', 1076004640, 1076004703, 'US', 'United States'),
(22725, '64.34.135.96', '64.34.136.255', 1076004704, 1076005119, 'CA', 'Canada'),
(22726, '64.34.137.0', '64.34.137.31', 1076005120, 1076005151, 'NZ', 'New Zealand'),
(22727, '64.34.137.32', '64.34.137.39', 1076005152, 1076005159, 'CA', 'Canada'),
(22728, '64.34.137.40', '64.34.137.47', 1076005160, 1076005167, 'US', 'United States'),
(22729, '64.34.137.48', '64.34.137.71', 1076005168, 1076005191, 'CA', 'Canada'),
(22730, '64.34.137.72', '64.34.137.87', 1076005192, 1076005207, 'US', 'United States'),
(22731, '64.34.137.88', '64.34.137.103', 1076005208, 1076005223, 'CA', 'Canada'),
(22732, '64.34.137.104', '64.34.137.119', 1076005224, 1076005239, 'US', 'United States'),
(22733, '64.34.137.120', '64.34.137.127', 1076005240, 1076005247, 'CA', 'Canada'),
(22734, '64.34.137.128', '64.34.137.143', 1076005248, 1076005263, 'US', 'United States'),
(22735, '64.34.137.144', '64.34.137.159', 1076005264, 1076005279, 'CA', 'Canada'),
(22736, '64.34.137.160', '64.34.137.191', 1076005280, 1076005311, 'US', 'United States'),
(22737, '64.34.137.192', '64.34.137.223', 1076005312, 1076005343, 'CA', 'Canada'),
(22738, '64.34.137.224', '64.34.137.255', 1076005344, 1076005375, 'US', 'United States'),
(22739, '64.34.138.0', '64.34.139.255', 1076005376, 1076005887, 'CA', 'Canada'),
(22740, '64.34.140.0', '64.34.140.127', 1076005888, 1076006015, 'US', 'United States'),
(22741, '64.34.140.128', '64.34.140.167', 1076006016, 1076006055, 'CA', 'Canada'),
(22742, '64.34.140.168', '64.34.140.191', 1076006056, 1076006079, 'US', 'United States'),
(22743, '64.34.140.192', '64.34.140.223', 1076006080, 1076006111, 'CA', 'Canada'),
(22744, '64.34.140.224', '64.34.141.127', 1076006112, 1076006271, 'US', 'United States'),
(22745, '64.34.141.128', '64.34.141.159', 1076006272, 1076006303, 'CA', 'Canada'),
(22746, '64.34.141.160', '64.34.141.191', 1076006304, 1076006335, 'US', 'United States'),
(22747, '64.34.141.192', '64.34.141.223', 1076006336, 1076006367, 'CA', 'Canada'),
(22748, '64.34.141.224', '64.34.141.239', 1076006368, 1076006383, 'US', 'United States'),
(22749, '64.34.141.240', '64.34.143.63', 1076006384, 1076006719, 'CA', 'Canada'),
(22750, '64.34.143.64', '64.34.143.95', 1076006720, 1076006751, 'US', 'United States'),
(22751, '64.34.143.96', '64.34.143.127', 1076006752, 1076006783, 'CA', 'Canada'),
(22752, '64.34.143.128', '64.34.143.255', 1076006784, 1076006911, 'US', 'United States'),
(22753, '64.34.144.0', '64.34.144.255', 1076006912, 1076007167, 'CA', 'Canada'),
(22754, '64.34.145.0', '64.34.145.15', 1076007168, 1076007183, 'US', 'United States'),
(22755, '64.34.145.16', '64.34.145.79', 1076007184, 1076007247, 'CA', 'Canada'),
(22756, '64.34.145.80', '64.34.145.95', 1076007248, 1076007263, 'US', 'United States'),
(22757, '64.34.145.96', '64.34.148.11', 1076007264, 1076007947, 'CA', 'Canada'),
(22758, '64.34.148.12', '64.34.148.15', 1076007948, 1076007951, 'US', 'United States'),
(22759, '64.34.148.16', '64.34.148.127', 1076007952, 1076008063, 'CA', 'Canada'),
(22760, '64.34.148.128', '64.34.148.255', 1076008064, 1076008191, 'US', 'United States'),
(22761, '64.34.149.0', '64.34.154.159', 1076008192, 1076009631, 'CA', 'Canada'),
(22762, '64.34.154.160', '64.34.154.167', 1076009632, 1076009639, 'US', 'United States'),
(22763, '64.34.154.168', '64.34.154.171', 1076009640, 1076009643, 'CA', 'Canada'),
(22764, '64.34.154.172', '64.34.154.191', 1076009644, 1076009663, 'US', 'United States'),
(22765, '64.34.154.192', '64.34.154.223', 1076009664, 1076009695, 'CA', 'Canada'),
(22766, '64.34.154.224', '64.34.154.239', 1076009696, 1076009711, 'US', 'United States'),
(22767, '64.34.154.240', '64.34.155.159', 1076009712, 1076009887, 'CA', 'Canada'),
(22768, '64.34.155.160', '64.34.155.191', 1076009888, 1076009919, 'US', 'United States'),
(22769, '64.34.155.192', '64.34.158.231', 1076009920, 1076010727, 'CA', 'Canada'),
(22770, '64.34.158.232', '64.34.158.239', 1076010728, 1076010735, 'US', 'United States'),
(22771, '64.34.158.240', '64.34.159.255', 1076010736, 1076011007, 'CA', 'Canada'),
(22772, '64.34.160.0', '64.34.164.204', 1076011008, 1076012236, 'US', 'United States'),
(22773, '64.34.164.205', '64.34.164.205', 1076012237, 1076012237, 'IN', 'India'),
(22774, '64.34.164.206', '64.34.168.38', 1076012238, 1076013094, 'US', 'United States'),
(22775, '64.34.168.39', '64.34.168.39', 1076013095, 1076013095, 'IN', 'India'),
(22776, '64.34.168.40', '64.34.188.127', 1076013096, 1076018303, 'US', 'United States'),
(22777, '64.34.188.128', '64.34.188.191', 1076018304, 1076018367, 'BR', 'Brazil'),
(22778, '64.34.188.192', '64.34.211.243', 1076018368, 1076024307, 'US', 'United States'),
(22779, '64.34.211.244', '64.34.211.251', 1076024308, 1076024315, 'CA', 'Canada'),
(22780, '64.34.211.252', '64.34.219.255', 1076024316, 1076026367, 'US', 'United States'),
(22781, '64.34.220.0', '64.34.220.159', 1076026368, 1076026527, 'CA', 'Canada'),
(22782, '64.34.220.160', '64.34.220.191', 1076026528, 1076026559, 'US', 'United States'),
(22783, '64.34.220.192', '64.34.220.239', 1076026560, 1076026607, 'CA', 'Canada'),
(22784, '64.34.220.240', '64.34.220.255', 1076026608, 1076026623, 'SG', 'Singapore'),
(22785, '64.34.221.0', '64.34.222.95', 1076026624, 1076026975, 'CA', 'Canada'),
(22786, '64.34.222.96', '64.34.222.151', 1076026976, 1076027031, 'US', 'United States'),
(22787, '64.34.222.152', '64.34.223.127', 1076027032, 1076027263, 'CA', 'Canada'),
(22788, '64.34.223.128', '64.34.223.159', 1076027264, 1076027295, 'US', 'United States'),
(22789, '64.34.223.160', '64.34.224.15', 1076027296, 1076027407, 'CA', 'Canada'),
(22790, '64.34.224.16', '64.34.224.31', 1076027408, 1076027423, 'US', 'United States'),
(22791, '64.34.224.32', '64.34.225.63', 1076027424, 1076027711, 'CA', 'Canada'),
(22792, '64.34.225.64', '64.34.225.79', 1076027712, 1076027727, 'US', 'United States'),
(22793, '64.34.225.80', '64.34.225.127', 1076027728, 1076027775, 'CA', 'Canada'),
(22794, '64.34.225.128', '64.34.225.143', 1076027776, 1076027791, 'US', 'United States'),
(22795, '64.34.225.144', '64.34.226.7', 1076027792, 1076027911, 'CA', 'Canada'),
(22796, '64.34.226.8', '64.34.226.15', 1076027912, 1076027919, 'US', 'United States'),
(22797, '64.34.226.16', '64.34.226.239', 1076027920, 1076028143, 'CA', 'Canada'),
(22798, '64.34.226.240', '64.34.226.247', 1076028144, 1076028151, 'US', 'United States'),
(22799, '64.34.226.248', '64.34.228.63', 1076028152, 1076028479, 'CA', 'Canada'),
(22800, '64.34.228.64', '64.34.228.127', 1076028480, 1076028543, 'GB', 'United Kingdom'),
(22801, '64.34.228.128', '64.34.228.255', 1076028544, 1076028671, 'CA', 'Canada'),
(22802, '64.34.229.0', '64.34.229.255', 1076028672, 1076028927, 'US', 'United States'),
(22803, '64.34.230.0', '64.34.230.255', 1076028928, 1076029183, 'BZ', 'Belize'),
(22804, '64.34.231.0', '64.34.231.31', 1076029184, 1076029215, 'CA', 'Canada'),
(22805, '64.34.231.32', '64.34.231.39', 1076029216, 1076029223, 'US', 'United States'),
(22806, '64.34.231.40', '64.34.231.47', 1076029224, 1076029231, 'DM', 'Dominica'),
(22807, '64.34.231.48', '64.34.231.55', 1076029232, 1076029239, 'CA', 'Canada'),
(22808, '64.34.231.56', '64.34.231.63', 1076029240, 1076029247, 'US', 'United States'),
(22809, '64.34.231.64', '64.34.231.71', 1076029248, 1076029255, 'CA', 'Canada'),
(22810, '64.34.231.72', '64.34.231.87', 1076029256, 1076029271, 'US', 'United States'),
(22811, '64.34.231.88', '64.34.231.127', 1076029272, 1076029311, 'CA', 'Canada'),
(22812, '64.34.231.128', '64.34.231.135', 1076029312, 1076029319, 'GB', 'United Kingdom'),
(22813, '64.34.231.136', '64.34.231.231', 1076029320, 1076029415, 'CA', 'Canada'),
(22814, '64.34.231.232', '64.34.231.238', 1076029416, 1076029422, 'US', 'United States'),
(22815, '64.34.231.239', '64.34.231.246', 1076029423, 1076029430, 'CA', 'Canada'),
(22816, '64.34.231.247', '64.34.231.255', 1076029431, 1076029439, 'US', 'United States'),
(22817, '64.34.232.0', '64.34.235.15', 1076029440, 1076030223, 'CA', 'Canada'),
(22818, '64.34.235.16', '64.34.235.23', 1076030224, 1076030231, 'US', 'United States'),
(22819, '64.34.235.24', '64.34.235.111', 1076030232, 1076030319, 'CA', 'Canada'),
(22820, '64.34.235.112', '64.34.235.127', 1076030320, 1076030335, 'US', 'United States'),
(22821, '64.34.235.128', '64.34.235.191', 1076030336, 1076030399, 'CA', 'Canada'),
(22822, '64.34.235.192', '64.34.235.255', 1076030400, 1076030463, 'US', 'United States'),
(22823, '64.34.236.0', '64.34.236.159', 1076030464, 1076030623, 'CA', 'Canada'),
(22824, '64.34.236.160', '64.34.236.167', 1076030624, 1076030631, 'US', 'United States'),
(22825, '64.34.236.168', '64.34.239.255', 1076030632, 1076031487, 'CA', 'Canada'),
(22826, '64.34.240.0', '64.34.240.255', 1076031488, 1076031743, 'US', 'United States'),
(22827, '64.34.241.0', '64.34.241.255', 1076031744, 1076031999, 'CA', 'Canada'),
(22828, '64.34.242.0', '64.34.242.255', 1076032000, 1076032255, 'US', 'United States'),
(22829, '64.34.243.0', '64.34.243.255', 1076032256, 1076032511, 'CA', 'Canada'),
(22830, '64.34.244.0', '64.34.248.111', 1076032512, 1076033647, 'US', 'United States'),
(22831, '64.34.248.112', '64.34.248.127', 1076033648, 1076033663, 'EG', 'Egypt'),
(22832, '64.34.248.128', '64.34.248.135', 1076033664, 1076033671, 'US', 'United States'),
(22833, '64.34.248.136', '64.34.248.151', 1076033672, 1076033687, 'CA', 'Canada'),
(22834, '64.34.248.152', '64.34.249.63', 1076033688, 1076033855, 'US', 'United States'),
(22835, '64.34.249.64', '64.34.249.79', 1076033856, 1076033871, 'CA', 'Canada'),
(22836, '64.34.249.80', '64.34.249.111', 1076033872, 1076033903, 'US', 'United States'),
(22837, '64.34.249.112', '64.34.249.159', 1076033904, 1076033951, 'CA', 'Canada'),
(22838, '64.34.249.160', '64.34.249.255', 1076033952, 1076034047, 'US', 'United States'),
(22839, '64.34.250.0', '64.34.250.15', 1076034048, 1076034063, 'CN', 'China'),
(22840, '64.34.250.16', '64.34.251.175', 1076034064, 1076034479, 'US', 'United States'),
(22841, '64.34.251.176', '64.34.251.191', 1076034480, 1076034495, 'CA', 'Canada'),
(22842, '64.34.251.192', '64.34.254.223', 1076034496, 1076035295, 'US', 'United States'),
(22843, '64.34.254.224', '64.34.254.255', 1076035296, 1076035327, 'EG', 'Egypt'),
(22844, '64.34.255.0', '64.34.255.87', 1076035328, 1076035415, 'US', 'United States'),
(22845, '64.34.255.88', '64.34.255.95', 1076035416, 1076035423, 'EG', 'Egypt'),
(22846, '64.34.255.96', '64.34.255.191', 1076035424, 1076035519, 'US', 'United States'),
(22847, '64.34.255.192', '64.34.255.255', 1076035520, 1076035583, 'IN', 'India'),
(22848, '64.35.0.0', '64.35.2.151', 1076035584, 1076036247, 'US', 'United States'),
(22849, '64.35.2.152', '64.35.2.159', 1076036248, 1076036255, 'IL', 'Israel'),
(22850, '64.35.2.160', '64.35.2.255', 1076036256, 1076036351, 'US', 'United States'),
(22851, '64.35.3.0', '64.35.3.253', 1076036352, 1076036605, 'ES', 'Spain'),
(22852, '64.35.3.254', '64.35.4.127', 1076036606, 1076036735, 'US', 'United States'),
(22853, '64.35.4.128', '64.35.4.143', 1076036736, 1076036751, 'CA', 'Canada'),
(22854, '64.35.4.144', '64.35.4.183', 1076036752, 1076036791, 'US', 'United States'),
(22855, '64.35.4.184', '64.35.4.191', 1076036792, 1076036799, 'ZA', 'South Africa'),
(22856, '64.35.4.192', '64.35.7.63', 1076036800, 1076037439, 'US', 'United States'),
(22857, '64.35.7.64', '64.35.7.71', 1076037440, 1076037447, 'MX', 'Mexico'),
(22858, '64.35.7.72', '64.35.31.255', 1076037448, 1076043775, 'US', 'United States'),
(22859, '64.35.32.0', '64.35.32.63', 1076043776, 1076043839, 'CA', 'Canada'),
(22860, '64.35.32.64', '64.35.32.95', 1076043840, 1076043871, 'MX', 'Mexico'),
(22861, '64.35.32.96', '64.35.33.63', 1076043872, 1076044095, 'US', 'United States'),
(22862, '64.35.33.64', '64.35.33.95', 1076044096, 1076044127, 'IN', 'India'),
(22863, '64.35.33.96', '64.35.33.143', 1076044128, 1076044175, 'US', 'United States'),
(22864, '64.35.33.144', '64.35.33.151', 1076044176, 1076044183, 'IE', 'Ireland'),
(22865, '64.35.33.152', '64.35.33.159', 1076044184, 1076044191, 'FR', 'France'),
(22866, '64.35.33.160', '64.35.35.7', 1076044192, 1076044551, 'US', 'United States'),
(22867, '64.35.35.8', '64.35.35.23', 1076044552, 1076044567, 'DE', 'Germany'),
(22868, '64.35.35.24', '64.35.35.159', 1076044568, 1076044703, 'US', 'United States'),
(22869, '64.35.35.160', '64.35.35.191', 1076044704, 1076044735, 'AR', 'Argentina'),
(22870, '64.35.35.192', '64.35.46.167', 1076044736, 1076047527, 'US', 'United States'),
(22871, '64.35.46.168', '64.35.46.175', 1076047528, 1076047535, 'JP', 'Japan'),
(22872, '64.35.46.176', '64.35.46.191', 1076047536, 1076047551, 'US', 'United States'),
(22873, '64.35.46.192', '64.35.46.223', 1076047552, 1076047583, 'CH', 'Switzerland'),
(22874, '64.35.46.224', '64.35.48.95', 1076047584, 1076047967, 'US', 'United States'),
(22875, '64.35.48.96', '64.35.48.103', 1076047968, 1076047975, 'VE', 'Venezuela'),
(22876, '64.35.48.104', '64.35.50.255', 1076047976, 1076048639, 'US', 'United States'),
(22877, '64.35.51.0', '64.35.51.31', 1076048640, 1076048671, 'MX', 'Mexico'),
(22878, '64.35.51.32', '64.35.51.63', 1076048672, 1076048703, 'AR', 'Argentina'),
(22879, '64.35.51.64', '64.35.51.95', 1076048704, 1076048735, 'US', 'United States'),
(22880, '64.35.51.96', '64.35.51.127', 1076048736, 1076048767, 'CA', 'Canada'),
(22881, '64.35.51.128', '64.35.51.191', 1076048768, 1076048831, 'US', 'United States'),
(22882, '64.35.51.192', '64.35.51.223', 1076048832, 1076048863, 'IL', 'Israel'),
(22883, '64.35.51.224', '64.35.52.255', 1076048864, 1076049151, 'US', 'United States'),
(22884, '64.35.53.0', '64.35.53.255', 1076049152, 1076049407, 'DE', 'Germany'),
(22885, '64.35.54.0', '64.35.54.31', 1076049408, 1076049439, 'CA', 'Canada'),
(22886, '64.35.54.32', '64.35.55.255', 1076049440, 1076049919, 'US', 'United States'),
(22887, '64.35.56.0', '64.35.56.255', 1076049920, 1076050175, 'IL', 'Israel'),
(22888, '64.35.57.0', '64.37.31.255', 1076050176, 1076174847, 'US', 'United States'),
(22889, '64.37.32.0', '64.37.47.255', 1076174848, 1076178943, 'BM', 'Bermuda'),
(22890, '64.37.48.0', '64.37.48.217', 1076178944, 1076179161, 'US', 'United States'),
(22891, '64.37.48.218', '64.37.48.219', 1076179162, 1076179163, 'IN', 'India'),
(22892, '64.37.48.220', '64.37.48.252', 1076179164, 1076179196, 'US', 'United States'),
(22893, '64.37.48.253', '64.37.48.254', 1076179197, 1076179198, 'IN', 'India'),
(22894, '64.37.48.255', '64.37.52.233', 1076179199, 1076180201, 'US', 'United States'),
(22895, '64.37.52.234', '64.37.52.254', 1076180202, 1076180222, 'PK', 'Pakistan'),
(22896, '64.37.52.255', '64.37.55.59', 1076180223, 1076180795, 'US', 'United States'),
(22897, '64.37.55.60', '64.37.55.63', 1076180796, 1076180799, 'IN', 'India'),
(22898, '64.37.55.64', '64.37.56.244', 1076180800, 1076181236, 'US', 'United States'),
(22899, '64.37.56.245', '64.37.56.245', 1076181237, 1076181237, 'CA', 'Canada'),
(22900, '64.37.56.246', '64.37.63.255', 1076181238, 1076183039, 'US', 'United States'),
(22901, '64.37.64.0', '64.37.64.31', 1076183040, 1076183071, 'IN', 'India'),
(22902, '64.37.64.32', '64.37.64.191', 1076183072, 1076183231, 'US', 'United States'),
(22903, '64.37.64.192', '64.37.64.255', 1076183232, 1076183295, 'CA', 'Canada'),
(22904, '64.37.65.0', '64.37.66.255', 1076183296, 1076183807, 'US', 'United States'),
(22905, '64.37.67.0', '64.37.67.255', 1076183808, 1076184063, 'CA', 'Canada'),
(22906, '64.37.68.0', '64.37.68.31', 1076184064, 1076184095, 'VE', 'Venezuela'),
(22907, '64.37.68.32', '64.37.68.95', 1076184096, 1076184159, 'US', 'United States'),
(22908, '64.37.68.96', '64.37.68.127', 1076184160, 1076184191, 'PK', 'Pakistan'),
(22909, '64.37.68.128', '64.37.68.159', 1076184192, 1076184223, 'IN', 'India'),
(22910, '64.37.68.160', '64.37.68.191', 1076184224, 1076184255, 'US', 'United States'),
(22911, '64.37.68.192', '64.37.68.223', 1076184256, 1076184287, 'BE', 'Belgium'),
(22912, '64.37.68.224', '64.37.68.255', 1076184288, 1076184319, 'CA', 'Canada'),
(22913, '64.37.69.0', '64.37.69.255', 1076184320, 1076184575, 'US', 'United States'),
(22914, '64.37.70.0', '64.37.70.255', 1076184576, 1076184831, 'CA', 'Canada'),
(22915, '64.37.71.0', '64.37.72.127', 1076184832, 1076185215, 'US', 'United States'),
(22916, '64.37.72.128', '64.37.72.255', 1076185216, 1076185343, 'CA', 'Canada'),
(22917, '64.37.73.0', '64.37.73.95', 1076185344, 1076185439, 'US', 'United States'),
(22918, '64.37.73.96', '64.37.73.127', 1076185440, 1076185471, 'IT', 'Italy'),
(22919, '64.37.73.128', '64.37.73.159', 1076185472, 1076185503, 'US', 'United States'),
(22920, '64.37.73.160', '64.37.73.191', 1076185504, 1076185535, 'DO', 'Dominican Republic'),
(22921, '64.37.73.192', '64.37.75.63', 1076185536, 1076185919, 'US', 'United States'),
(22922, '64.37.75.64', '64.37.75.95', 1076185920, 1076185951, 'CA', 'Canada'),
(22923, '64.37.75.96', '64.37.75.127', 1076185952, 1076185983, 'US', 'United States'),
(22924, '64.37.75.128', '64.37.75.159', 1076185984, 1076186015, 'PK', 'Pakistan'),
(22925, '64.37.75.160', '64.37.75.191', 1076186016, 1076186047, 'US', 'United States'),
(22926, '64.37.75.192', '64.37.75.223', 1076186048, 1076186079, 'IN', 'India'),
(22927, '64.37.75.224', '64.37.76.191', 1076186080, 1076186303, 'US', 'United States'),
(22928, '64.37.76.192', '64.37.76.223', 1076186304, 1076186335, 'CA', 'Canada'),
(22929, '64.37.76.224', '64.37.76.255', 1076186336, 1076186367, 'IT', 'Italy'),
(22930, '64.37.77.0', '64.37.77.255', 1076186368, 1076186623, 'CA', 'Canada'),
(22931, '64.37.78.0', '64.37.78.127', 1076186624, 1076186751, 'US', 'United States'),
(22932, '64.37.78.128', '64.37.78.159', 1076186752, 1076186783, 'CA', 'Canada'),
(22933, '64.37.78.160', '64.37.78.191', 1076186784, 1076186815, 'TW', 'Taiwan'),
(22934, '64.37.78.192', '64.37.80.255', 1076186816, 1076187391, 'US', 'United States'),
(22935, '64.37.81.0', '64.37.81.255', 1076187392, 1076187647, 'CA', 'Canada'),
(22936, '64.37.82.0', '64.37.82.31', 1076187648, 1076187679, 'BE', 'Belgium'),
(22937, '64.37.82.32', '64.37.82.95', 1076187680, 1076187743, 'US', 'United States'),
(22938, '64.37.82.96', '64.37.82.127', 1076187744, 1076187775, 'CA', 'Canada'),
(22939, '64.37.82.128', '64.37.82.159', 1076187776, 1076187807, 'AU', 'Australia'),
(22940, '64.37.82.160', '64.37.82.255', 1076187808, 1076187903, 'US', 'United States'),
(22941, '64.37.83.0', '64.37.83.255', 1076187904, 1076188159, 'CA', 'Canada'),
(22942, '64.37.84.0', '64.37.84.127', 1076188160, 1076188287, 'US', 'United States'),
(22943, '64.37.84.128', '64.37.84.255', 1076188288, 1076188415, 'BE', 'Belgium'),
(22944, '64.37.85.0', '64.37.87.255', 1076188416, 1076189183, 'US', 'United States'),
(22945, '64.37.88.0', '64.37.88.31', 1076189184, 1076189215, 'VE', 'Venezuela'),
(22946, '64.37.88.32', '64.37.88.95', 1076189216, 1076189279, 'CA', 'Canada'),
(22947, '64.37.88.96', '64.37.88.127', 1076189280, 1076189311, 'US', 'United States'),
(22948, '64.37.88.128', '64.37.88.159', 1076189312, 1076189343, 'CA', 'Canada'),
(22949, '64.37.88.160', '64.37.88.223', 1076189344, 1076189407, 'US', 'United States'),
(22950, '64.37.88.224', '64.37.88.255', 1076189408, 1076189439, 'IN', 'India'),
(22951, '64.37.89.0', '64.37.91.127', 1076189440, 1076190079, 'US', 'United States'),
(22952, '64.37.91.128', '64.37.91.191', 1076190080, 1076190143, 'IN', 'India'),
(22953, '64.37.91.192', '64.37.91.223', 1076190144, 1076190175, 'BE', 'Belgium'),
(22954, '64.37.91.224', '64.37.91.255', 1076190176, 1076190207, 'IN', 'India'),
(22955, '64.37.92.0', '64.37.92.255', 1076190208, 1076190463, 'CA', 'Canada'),
(22956, '64.37.93.0', '64.37.94.63', 1076190464, 1076190783, 'US', 'United States'),
(22957, '64.37.94.64', '64.37.94.95', 1076190784, 1076190815, 'CA', 'Canada'),
(22958, '64.37.94.96', '64.37.94.127', 1076190816, 1076190847, 'IN', 'India'),
(22959, '64.37.94.128', '64.37.94.193', 1076190848, 1076190913, 'US', 'United States'),
(22960, '64.37.94.194', '64.37.94.225', 1076190914, 1076190945, 'IN', 'India'),
(22961, '64.37.94.226', '64.37.95.255', 1076190946, 1076191231, 'US', 'United States'),
(22962, '64.37.96.0', '64.37.96.255', 1076191232, 1076191487, 'CA', 'Canada'),
(22963, '64.37.97.0', '64.37.99.127', 1076191488, 1076192127, 'US', 'United States'),
(22964, '64.37.99.128', '64.37.99.191', 1076192128, 1076192191, 'CA', 'Canada'),
(22965, '64.37.99.192', '64.37.99.255', 1076192192, 1076192255, 'US', 'United States'),
(22966, '64.37.100.0', '64.37.100.127', 1076192256, 1076192383, 'BE', 'Belgium'),
(22967, '64.37.100.128', '64.37.101.255', 1076192384, 1076192767, 'US', 'United States'),
(22968, '64.37.102.0', '64.37.102.63', 1076192768, 1076192831, 'IN', 'India'),
(22969, '64.37.102.64', '64.37.103.127', 1076192832, 1076193151, 'US', 'United States'),
(22970, '64.37.103.128', '64.37.103.159', 1076193152, 1076193183, 'TR', 'Turkey'),
(22971, '64.37.103.160', '64.37.103.223', 1076193184, 1076193247, 'US', 'United States'),
(22972, '64.37.103.224', '64.37.103.255', 1076193248, 1076193279, 'CA', 'Canada'),
(22973, '64.37.104.0', '64.37.104.255', 1076193280, 1076193535, 'PK', 'Pakistan'),
(22974, '64.37.105.0', '64.37.108.63', 1076193536, 1076194367, 'US', 'United States'),
(22975, '64.37.108.64', '64.37.108.95', 1076194368, 1076194399, 'IN', 'India'),
(22976, '64.37.108.96', '64.37.108.127', 1076194400, 1076194431, 'IL', 'Israel'),
(22977, '64.37.108.128', '64.37.108.159', 1076194432, 1076194463, 'IN', 'India'),
(22978, '64.37.108.160', '64.37.108.223', 1076194464, 1076194527, 'BE', 'Belgium'),
(22979, '64.37.108.224', '64.37.108.255', 1076194528, 1076194559, 'US', 'United States'),
(22980, '64.37.109.0', '64.37.109.255', 1076194560, 1076194815, 'CA', 'Canada'),
(22981, '64.37.110.0', '64.37.110.255', 1076194816, 1076195071, 'US', 'United States'),
(22982, '64.37.111.0', '64.37.111.255', 1076195072, 1076195327, 'IN', 'India'),
(22983, '64.37.112.0', '64.37.112.223', 1076195328, 1076195551, 'US', 'United States'),
(22984, '64.37.112.224', '64.37.112.255', 1076195552, 1076195583, 'IN', 'India'),
(22985, '64.37.113.0', '64.37.114.31', 1076195584, 1076195871, 'US', 'United States'),
(22986, '64.37.114.32', '64.37.114.63', 1076195872, 1076195903, 'BE', 'Belgium'),
(22987, '64.37.114.64', '64.37.114.159', 1076195904, 1076195999, 'US', 'United States'),
(22988, '64.37.114.160', '64.37.114.191', 1076196000, 1076196031, 'CN', 'China'),
(22989, '64.37.114.192', '64.37.114.223', 1076196032, 1076196063, 'CA', 'Canada'),
(22990, '64.37.114.224', '64.37.114.255', 1076196064, 1076196095, 'US', 'United States'),
(22991, '64.37.115.0', '64.37.116.63', 1076196096, 1076196415, 'CA', 'Canada'),
(22992, '64.37.116.64', '64.37.116.127', 1076196416, 1076196479, 'US', 'United States'),
(22993, '64.37.116.128', '64.37.116.159', 1076196480, 1076196511, 'FR', 'France'),
(22994, '64.37.116.160', '64.37.117.33', 1076196512, 1076196641, 'US', 'United States'),
(22995, '64.37.117.34', '64.37.117.63', 1076196642, 1076196671, 'BE', 'Belgium'),
(22996, '64.37.117.64', '64.37.117.255', 1076196672, 1076196863, 'US', 'United States'),
(22997, '64.37.118.0', '64.37.118.127', 1076196864, 1076196991, 'IN', 'India'),
(22998, '64.37.118.128', '64.37.118.255', 1076196992, 1076197119, 'US', 'United States'),
(22999, '64.37.119.0', '64.37.119.255', 1076197120, 1076197375, 'CA', 'Canada'),
(23000, '64.37.120.0', '64.37.120.255', 1076197376, 1076197631, 'US', 'United States'),
(23001, '64.37.121.0', '64.37.121.31', 1076197632, 1076197663, 'BE', 'Belgium'),
(23002, '64.37.121.32', '64.37.123.255', 1076197664, 1076198399, 'US', 'United States'),
(23003, '64.37.124.0', '64.37.124.255', 1076198400, 1076198655, 'CA', 'Canada'),
(23004, '64.37.125.0', '64.37.125.255', 1076198656, 1076198911, 'AE', 'United Arab Emirates'),
(23005, '64.37.126.0', '64.37.200.159', 1076198912, 1076218015, 'US', 'United States'),
(23006, '64.37.200.160', '64.37.200.167', 1076218016, 1076218023, 'GB', 'United Kingdom'),
(23007, '64.37.200.168', '64.37.206.15', 1076218024, 1076219407, 'US', 'United States'),
(23008, '64.37.206.16', '64.37.206.23', 1076219408, 1076219415, 'GB', 'United Kingdom'),
(23009, '64.37.206.24', '64.38.3.217', 1076219416, 1076233177, 'US', 'United States'),
(23010, '64.38.3.218', '64.38.3.218', 1076233178, 1076233178, 'TC', 'Turks and Caicos Islands'),
(23011, '64.38.3.219', '64.38.193.95', 1076233179, 1076281695, 'US', 'United States'),
(23012, '64.38.193.96', '64.38.193.127', 1076281696, 1076281727, 'TH', 'Thailand'),
(23013, '64.38.193.128', '64.38.194.255', 1076281728, 1076282111, 'US', 'United States'),
(23014, '64.38.195.0', '64.38.195.31', 1076282112, 1076282143, 'AU', 'Australia'),
(23015, '64.38.195.32', '64.38.195.239', 1076282144, 1076282351, 'US', 'United States'),
(23016, '64.38.195.240', '64.38.195.255', 1076282352, 1076282367, 'CA', 'Canada'),
(23017, '64.38.196.0', '64.38.201.255', 1076282368, 1076283903, 'US', 'United States'),
(23018, '64.38.202.0', '64.38.202.255', 1076283904, 1076284159, 'NO', 'Norway'),
(23019, '64.38.203.0', '64.38.203.159', 1076284160, 1076284319, 'US', 'United States'),
(23020, '64.38.203.160', '64.38.203.175', 1076284320, 1076284335, 'GB', 'United Kingdom'),
(23021, '64.38.203.176', '64.38.205.7', 1076284336, 1076284679, 'US', 'United States'),
(23022, '64.38.205.8', '64.38.205.15', 1076284680, 1076284687, 'HU', 'Hungary'),
(23023, '64.38.205.16', '64.38.207.255', 1076284688, 1076285439, 'US', 'United States'),
(23024, '64.38.208.0', '64.38.208.15', 1076285440, 1076285455, 'DK', 'Denmark'),
(23025, '64.38.208.16', '64.38.225.159', 1076285456, 1076289951, 'US', 'United States'),
(23026, '64.38.225.160', '64.38.225.175', 1076289952, 1076289967, 'GB', 'United Kingdom'),
(23027, '64.38.225.176', '64.38.233.63', 1076289968, 1076291903, 'US', 'United States'),
(23028, '64.38.233.64', '64.38.233.79', 1076291904, 1076291919, 'UA', 'Ukraine'),
(23029, '64.38.233.80', '64.38.235.207', 1076291920, 1076292559, 'US', 'United States'),
(23030, '64.38.235.208', '64.38.235.215', 1076292560, 1076292567, 'NL', 'Netherlands'),
(23031, '64.38.235.216', '64.38.243.255', 1076292568, 1076294655, 'US', 'United States'),
(23032, '64.38.244.0', '64.38.244.31', 1076294656, 1076294687, 'CY', 'Cyprus'),
(23033, '64.38.244.32', '64.38.244.47', 1076294688, 1076294703, 'US', 'United States'),
(23034, '64.38.244.48', '64.38.244.63', 1076294704, 1076294719, 'NO', 'Norway'),
(23035, '64.38.244.64', '64.38.245.159', 1076294720, 1076295071, 'US', 'United States'),
(23036, '64.38.245.160', '64.38.245.175', 1076295072, 1076295087, 'NL', 'Netherlands'),
(23037, '64.38.245.176', '64.38.245.255', 1076295088, 1076295167, 'US', 'United States'),
(23038, '64.38.246.0', '64.38.246.31', 1076295168, 1076295199, 'CY', 'Cyprus'),
(23039, '64.38.246.32', '64.39.3.7', 1076295200, 1076298503, 'US', 'United States'),
(23040, '64.39.3.8', '64.39.3.15', 1076298504, 1076298511, 'GB', 'United Kingdom'),
(23041, '64.39.3.16', '64.39.3.95', 1076298512, 1076298591, 'US', 'United States'),
(23042, '64.39.3.96', '64.39.3.111', 1076298592, 1076298607, 'BD', 'Bangladesh'),
(23043, '64.39.3.112', '64.39.3.135', 1076298608, 1076298631, 'US', 'United States'),
(23044, '64.39.3.136', '64.39.3.159', 1076298632, 1076298655, 'BD', 'Bangladesh'),
(23045, '64.39.3.160', '64.39.3.199', 1076298656, 1076298695, 'US', 'United States'),
(23046, '64.39.3.200', '64.39.3.207', 1076298696, 1076298703, 'MH', 'Marshall Islands'),
(23047, '64.39.3.208', '64.39.4.167', 1076298704, 1076298919, 'US', 'United States'),
(23048, '64.39.4.168', '64.39.4.175', 1076298920, 1076298927, 'GB', 'United Kingdom'),
(23049, '64.39.4.176', '64.39.4.223', 1076298928, 1076298975, 'US', 'United States'),
(23050, '64.39.4.224', '64.39.4.231', 1076298976, 1076298983, 'IL', 'Israel'),
(23051, '64.39.4.232', '64.39.4.239', 1076298984, 1076298991, 'MX', 'Mexico'),
(23052, '64.39.4.240', '64.39.4.247', 1076298992, 1076298999, 'US', 'United States'),
(23053, '64.39.4.248', '64.39.4.255', 1076299000, 1076299007, 'MX', 'Mexico'),
(23054, '64.39.5.0', '64.39.5.15', 1076299008, 1076299023, 'IN', 'India'),
(23055, '64.39.5.16', '64.39.5.87', 1076299024, 1076299095, 'US', 'United States'),
(23056, '64.39.5.88', '64.39.5.95', 1076299096, 1076299103, 'AU', 'Australia'),
(23057, '64.39.5.96', '64.39.5.119', 1076299104, 1076299127, 'US', 'United States'),
(23058, '64.39.5.120', '64.39.5.127', 1076299128, 1076299135, 'FR', 'France'),
(23059, '64.39.5.128', '64.39.5.151', 1076299136, 1076299159, 'US', 'United States'),
(23060, '64.39.5.152', '64.39.5.159', 1076299160, 1076299167, 'CA', 'Canada'),
(23061, '64.39.5.160', '64.39.5.167', 1076299168, 1076299175, 'US', 'United States'),
(23062, '64.39.5.168', '64.39.5.175', 1076299176, 1076299183, 'DE', 'Germany'),
(23063, '64.39.5.176', '64.39.6.7', 1076299184, 1076299271, 'US', 'United States'),
(23064, '64.39.6.8', '64.39.6.15', 1076299272, 1076299279, 'AU', 'Australia'),
(23065, '64.39.6.16', '64.39.6.23', 1076299280, 1076299287, 'US', 'United States'),
(23066, '64.39.6.24', '64.39.6.31', 1076299288, 1076299295, 'GB', 'United Kingdom'),
(23067, '64.39.6.32', '64.39.6.39', 1076299296, 1076299303, 'US', 'United States'),
(23068, '64.39.6.40', '64.39.6.47', 1076299304, 1076299311, 'IN', 'India'),
(23069, '64.39.6.48', '64.39.6.135', 1076299312, 1076299399, 'US', 'United States'),
(23070, '64.39.6.136', '64.39.6.143', 1076299400, 1076299407, 'DK', 'Denmark'),
(23071, '64.39.6.144', '64.39.6.151', 1076299408, 1076299415, 'PE', 'Peru'),
(23072, '64.39.6.152', '64.39.6.207', 1076299416, 1076299471, 'US', 'United States'),
(23073, '64.39.6.208', '64.39.6.215', 1076299472, 1076299479, 'ID', 'Indonesia'),
(23074, '64.39.6.216', '64.39.6.223', 1076299480, 1076299487, 'GB', 'United Kingdom'),
(23075, '64.39.6.224', '64.39.6.239', 1076299488, 1076299503, 'IN', 'India'),
(23076, '64.39.6.240', '64.39.6.255', 1076299504, 1076299519, 'BH', 'Bahrain'),
(23077, '64.39.7.0', '64.39.7.31', 1076299520, 1076299551, 'US', 'United States'),
(23078, '64.39.7.32', '64.39.7.63', 1076299552, 1076299583, 'IN', 'India'),
(23079, '64.39.7.64', '64.39.7.127', 1076299584, 1076299647, 'US', 'United States'),
(23080, '64.39.7.128', '64.39.7.143', 1076299648, 1076299663, 'BD', 'Bangladesh'),
(23081, '64.39.7.144', '64.39.7.159', 1076299664, 1076299679, 'US', 'United States'),
(23082, '64.39.7.160', '64.39.7.167', 1076299680, 1076299687, 'VI', 'Virgin Islands, U.S.'),
(23083, '64.39.7.168', '64.39.7.207', 1076299688, 1076299727, 'US', 'United States'),
(23084, '64.39.7.208', '64.39.7.215', 1076299728, 1076299735, 'AU', 'Australia'),
(23085, '64.39.7.216', '64.39.7.247', 1076299736, 1076299767, 'US', 'United States'),
(23086, '64.39.7.248', '64.39.7.255', 1076299768, 1076299775, 'MX', 'Mexico'),
(23087, '64.39.8.0', '64.39.8.47', 1076299776, 1076299823, 'US', 'United States'),
(23088, '64.39.8.48', '64.39.8.55', 1076299824, 1076299831, 'GB', 'United Kingdom'),
(23089, '64.39.8.56', '64.39.8.71', 1076299832, 1076299847, 'US', 'United States'),
(23090, '64.39.8.72', '64.39.8.79', 1076299848, 1076299855, 'VI', 'Virgin Islands, U.S.'),
(23091, '64.39.8.80', '64.39.8.87', 1076299856, 1076299863, 'GB', 'United Kingdom'),
(23092, '64.39.8.88', '64.39.8.95', 1076299864, 1076299871, 'CA', 'Canada'),
(23093, '64.39.8.96', '64.39.8.167', 1076299872, 1076299943, 'US', 'United States'),
(23094, '64.39.8.168', '64.39.8.175', 1076299944, 1076299951, 'IT', 'Italy'),
(23095, '64.39.8.176', '64.39.8.183', 1076299952, 1076299959, 'US', 'United States'),
(23096, '64.39.8.184', '64.39.8.199', 1076299960, 1076299975, 'FR', 'France'),
(23097, '64.39.8.200', '64.39.8.239', 1076299976, 1076300015, 'US', 'United States'),
(23098, '64.39.8.240', '64.39.8.255', 1076300016, 1076300031, 'GB', 'United Kingdom'),
(23099, '64.39.9.0', '64.39.9.15', 1076300032, 1076300047, 'US', 'United States'),
(23100, '64.39.9.16', '64.39.9.23', 1076300048, 1076300055, 'BD', 'Bangladesh'),
(23101, '64.39.9.24', '64.39.9.39', 1076300056, 1076300071, 'GB', 'United Kingdom'),
(23102, '64.39.9.40', '64.39.9.47', 1076300072, 1076300079, 'CK', 'Cook Islands'),
(23103, '64.39.9.48', '64.39.9.63', 1076300080, 1076300095, 'IL', 'Israel'),
(23104, '64.39.9.64', '64.39.9.79', 1076300096, 1076300111, 'BD', 'Bangladesh'),
(23105, '64.39.9.80', '64.39.9.87', 1076300112, 1076300119, 'IN', 'India'),
(23106, '64.39.9.88', '64.39.9.175', 1076300120, 1076300207, 'US', 'United States'),
(23107, '64.39.9.176', '64.39.9.191', 1076300208, 1076300223, 'RU', 'Russian Federation'),
(23108, '64.39.9.192', '64.39.9.199', 1076300224, 1076300231, 'MX', 'Mexico'),
(23109, '64.39.9.200', '64.39.9.223', 1076300232, 1076300255, 'US', 'United States'),
(23110, '64.39.9.224', '64.39.9.239', 1076300256, 1076300271, 'SE', 'Sweden'),
(23111, '64.39.9.240', '64.39.9.247', 1076300272, 1076300279, 'ID', 'Indonesia'),
(23112, '64.39.9.248', '64.39.9.255', 1076300280, 1076300287, 'AU', 'Australia'),
(23113, '64.39.10.0', '64.39.10.7', 1076300288, 1076300295, 'US', 'United States'),
(23114, '64.39.10.8', '64.39.10.15', 1076300296, 1076300303, 'IN', 'India'),
(23115, '64.39.10.16', '64.39.10.23', 1076300304, 1076300311, 'US', 'United States'),
(23116, '64.39.10.24', '64.39.10.31', 1076300312, 1076300319, 'GB', 'United Kingdom'),
(23117, '64.39.10.32', '64.39.10.47', 1076300320, 1076300335, 'US', 'United States'),
(23118, '64.39.10.48', '64.39.10.55', 1076300336, 1076300343, 'IN', 'India'),
(23119, '64.39.10.56', '64.39.10.95', 1076300344, 1076300383, 'US', 'United States'),
(23120, '64.39.10.96', '64.39.10.103', 1076300384, 1076300391, 'GB', 'United Kingdom'),
(23121, '64.39.10.104', '64.39.10.111', 1076300392, 1076300399, 'IN', 'India'),
(23122, '64.39.10.112', '64.39.10.159', 1076300400, 1076300447, 'US', 'United States'),
(23123, '64.39.10.160', '64.39.10.167', 1076300448, 1076300455, 'MY', 'Malaysia'),
(23124, '64.39.10.168', '64.39.10.175', 1076300456, 1076300463, 'US', 'United States'),
(23125, '64.39.10.176', '64.39.10.183', 1076300464, 1076300471, 'IN', 'India'),
(23126, '64.39.10.184', '64.39.10.191', 1076300472, 1076300479, 'US', 'United States'),
(23127, '64.39.10.192', '64.39.10.199', 1076300480, 1076300487, 'IN', 'India'),
(23128, '64.39.10.200', '64.39.10.223', 1076300488, 1076300511, 'US', 'United States'),
(23129, '64.39.10.224', '64.39.10.231', 1076300512, 1076300519, 'IN', 'India'),
(23130, '64.39.10.232', '64.39.10.239', 1076300520, 1076300527, 'GB', 'United Kingdom'),
(23131, '64.39.10.240', '64.39.11.119', 1076300528, 1076300663, 'US', 'United States'),
(23132, '64.39.11.120', '64.39.11.127', 1076300664, 1076300671, 'AU', 'Australia'),
(23133, '64.39.11.128', '64.39.11.255', 1076300672, 1076300799, 'US', 'United States'),
(23134, '64.39.12.0', '64.39.12.7', 1076300800, 1076300807, 'IN', 'India'),
(23135, '64.39.12.8', '64.39.12.47', 1076300808, 1076300847, 'US', 'United States'),
(23136, '64.39.12.48', '64.39.12.55', 1076300848, 1076300855, 'AU', 'Australia'),
(23137, '64.39.12.56', '64.39.12.103', 1076300856, 1076300903, 'US', 'United States'),
(23138, '64.39.12.104', '64.39.12.111', 1076300904, 1076300911, 'IN', 'India'),
(23139, '64.39.12.112', '64.39.12.119', 1076300912, 1076300919, 'US', 'United States'),
(23140, '64.39.12.120', '64.39.12.127', 1076300920, 1076300927, 'IN', 'India'),
(23141, '64.39.12.128', '64.39.12.191', 1076300928, 1076300991, 'US', 'United States'),
(23142, '64.39.12.192', '64.39.12.207', 1076300992, 1076301007, 'NZ', 'New Zealand'),
(23143, '64.39.12.208', '64.39.12.215', 1076301008, 1076301015, 'US', 'United States'),
(23144, '64.39.12.216', '64.39.12.223', 1076301016, 1076301023, 'GR', 'Greece'),
(23145, '64.39.12.224', '64.39.12.247', 1076301024, 1076301047, 'US', 'United States'),
(23146, '64.39.12.248', '64.39.12.255', 1076301048, 1076301055, 'AU', 'Australia'),
(23147, '64.39.13.0', '64.39.13.31', 1076301056, 1076301087, 'US', 'United States'),
(23148, '64.39.13.32', '64.39.13.39', 1076301088, 1076301095, 'CA', 'Canada'),
(23149, '64.39.13.40', '64.39.13.87', 1076301096, 1076301143, 'US', 'United States'),
(23150, '64.39.13.88', '64.39.13.95', 1076301144, 1076301151, 'NL', 'Netherlands'),
(23151, '64.39.13.96', '64.39.13.103', 1076301152, 1076301159, 'US', 'United States'),
(23152, '64.39.13.104', '64.39.13.111', 1076301160, 1076301167, 'GB', 'United Kingdom'),
(23153, '64.39.13.112', '64.39.13.127', 1076301168, 1076301183, 'US', 'United States'),
(23154, '64.39.13.128', '64.39.13.135', 1076301184, 1076301191, 'AU', 'Australia'),
(23155, '64.39.13.136', '64.39.13.143', 1076301192, 1076301199, 'US', 'United States'),
(23156, '64.39.13.144', '64.39.13.151', 1076301200, 1076301207, 'AU', 'Australia'),
(23157, '64.39.13.152', '64.39.13.207', 1076301208, 1076301263, 'US', 'United States'),
(23158, '64.39.13.208', '64.39.13.215', 1076301264, 1076301271, 'CA', 'Canada'),
(23159, '64.39.13.216', '64.39.13.223', 1076301272, 1076301279, 'IN', 'India'),
(23160, '64.39.13.224', '64.39.15.255', 1076301280, 1076301823, 'US', 'United States'),
(23161, '64.39.16.0', '64.39.16.7', 1076301824, 1076301831, 'IN', 'India'),
(23162, '64.39.16.8', '64.39.16.47', 1076301832, 1076301871, 'US', 'United States'),
(23163, '64.39.16.48', '64.39.16.55', 1076301872, 1076301879, 'SE', 'Sweden'),
(23164, '64.39.16.56', '64.39.16.71', 1076301880, 1076301895, 'US', 'United States'),
(23165, '64.39.16.72', '64.39.16.79', 1076301896, 1076301903, 'IL', 'Israel'),
(23166, '64.39.16.80', '64.39.16.103', 1076301904, 1076301927, 'US', 'United States'),
(23167, '64.39.16.104', '64.39.16.111', 1076301928, 1076301935, 'AU', 'Australia'),
(23168, '64.39.16.112', '64.39.18.23', 1076301936, 1076302359, 'US', 'United States'),
(23169, '64.39.18.24', '64.39.18.31', 1076302360, 1076302367, 'GB', 'United Kingdom'),
(23170, '64.39.18.32', '64.39.18.71', 1076302368, 1076302407, 'US', 'United States'),
(23171, '64.39.18.72', '64.39.18.79', 1076302408, 1076302415, 'IN', 'India'),
(23172, '64.39.18.80', '64.39.18.103', 1076302416, 1076302439, 'US', 'United States'),
(23173, '64.39.18.104', '64.39.18.111', 1076302440, 1076302447, 'CA', 'Canada'),
(23174, '64.39.18.112', '64.39.18.159', 1076302448, 1076302495, 'US', 'United States'),
(23175, '64.39.18.160', '64.39.18.167', 1076302496, 1076302503, 'BD', 'Bangladesh'),
(23176, '64.39.18.168', '64.39.18.175', 1076302504, 1076302511, 'GB', 'United Kingdom'),
(23177, '64.39.18.176', '64.39.18.183', 1076302512, 1076302519, 'US', 'United States'),
(23178, '64.39.18.184', '64.39.18.191', 1076302520, 1076302527, 'DE', 'Germany'),
(23179, '64.39.18.192', '64.39.19.47', 1076302528, 1076302639, 'US', 'United States'),
(23180, '64.39.19.48', '64.39.19.63', 1076302640, 1076302655, 'FR', 'France'),
(23181, '64.39.19.64', '64.39.19.127', 1076302656, 1076302719, 'US', 'United States'),
(23182, '64.39.19.128', '64.39.19.143', 1076302720, 1076302735, 'NZ', 'New Zealand'),
(23183, '64.39.19.144', '64.39.19.159', 1076302736, 1076302751, 'US', 'United States'),
(23184, '64.39.19.160', '64.39.19.167', 1076302752, 1076302759, 'DK', 'Denmark'),
(23185, '64.39.19.168', '64.39.19.191', 1076302760, 1076302783, 'US', 'United States'),
(23186, '64.39.19.192', '64.39.19.207', 1076302784, 1076302799, 'IN', 'India'),
(23187, '64.39.19.208', '64.39.19.215', 1076302800, 1076302807, 'US', 'United States'),
(23188, '64.39.19.216', '64.39.19.223', 1076302808, 1076302815, 'AU', 'Australia'),
(23189, '64.39.19.224', '64.39.19.247', 1076302816, 1076302839, 'US', 'United States'),
(23190, '64.39.19.248', '64.39.19.255', 1076302840, 1076302847, 'GB', 'United Kingdom'),
(23191, '64.39.20.0', '64.39.20.7', 1076302848, 1076302855, 'NZ', 'New Zealand'),
(23192, '64.39.20.8', '64.39.20.31', 1076302856, 1076302879, 'US', 'United States'),
(23193, '64.39.20.32', '64.39.20.39', 1076302880, 1076302887, 'IN', 'India'),
(23194, '64.39.20.40', '64.39.20.63', 1076302888, 1076302911, 'US', 'United States'),
(23195, '64.39.20.64', '64.39.20.71', 1076302912, 1076302919, 'IN', 'India'),
(23196, '64.39.20.72', '64.39.20.135', 1076302920, 1076302983, 'US', 'United States'),
(23197, '64.39.20.136', '64.39.20.143', 1076302984, 1076302991, 'AR', 'Argentina'),
(23198, '64.39.20.144', '64.39.20.231', 1076302992, 1076303079, 'US', 'United States'),
(23199, '64.39.20.232', '64.39.20.239', 1076303080, 1076303087, 'RU', 'Russian Federation'),
(23200, '64.39.20.240', '64.39.21.63', 1076303088, 1076303167, 'US', 'United States'),
(23201, '64.39.21.64', '64.39.21.79', 1076303168, 1076303183, 'CA', 'Canada'),
(23202, '64.39.21.80', '64.39.21.111', 1076303184, 1076303215, 'US', 'United States'),
(23203, '64.39.21.112', '64.39.21.119', 1076303216, 1076303223, 'IN', 'India'),
(23204, '64.39.21.120', '64.39.21.127', 1076303224, 1076303231, 'MX', 'Mexico'),
(23205, '64.39.21.128', '64.39.21.167', 1076303232, 1076303271, 'US', 'United States'),
(23206, '64.39.21.168', '64.39.21.183', 1076303272, 1076303287, 'AU', 'Australia'),
(23207, '64.39.21.184', '64.39.21.215', 1076303288, 1076303319, 'US', 'United States'),
(23208, '64.39.21.216', '64.39.21.223', 1076303320, 1076303327, 'EG', 'Egypt'),
(23209, '64.39.21.224', '64.39.21.231', 1076303328, 1076303335, 'AU', 'Australia'),
(23210, '64.39.21.232', '64.39.21.255', 1076303336, 1076303359, 'US', 'United States'),
(23211, '64.39.22.0', '64.39.22.31', 1076303360, 1076303391, 'BH', 'Bahrain'),
(23212, '64.39.22.32', '64.39.22.79', 1076303392, 1076303439, 'US', 'United States'),
(23213, '64.39.22.80', '64.39.22.95', 1076303440, 1076303455, 'KW', 'Kuwait'),
(23214, '64.39.22.96', '64.39.22.135', 1076303456, 1076303495, 'US', 'United States'),
(23215, '64.39.22.136', '64.39.22.151', 1076303496, 1076303511, 'AU', 'Australia'),
(23216, '64.39.22.152', '64.39.22.159', 1076303512, 1076303519, 'CA', 'Canada'),
(23217, '64.39.22.160', '64.39.22.167', 1076303520, 1076303527, 'US', 'United States'),
(23218, '64.39.22.168', '64.39.22.175', 1076303528, 1076303535, 'AU', 'Australia'),
(23219, '64.39.22.176', '64.39.22.191', 1076303536, 1076303551, 'US', 'United States'),
(23220, '64.39.22.192', '64.39.22.199', 1076303552, 1076303559, 'AU', 'Australia'),
(23221, '64.39.22.200', '64.39.22.239', 1076303560, 1076303599, 'US', 'United States'),
(23222, '64.39.22.240', '64.39.22.255', 1076303600, 1076303615, 'AU', 'Australia'),
(23223, '64.39.23.0', '64.39.23.15', 1076303616, 1076303631, 'US', 'United States'),
(23224, '64.39.23.16', '64.39.23.23', 1076303632, 1076303639, 'CH', 'Switzerland'),
(23225, '64.39.23.24', '64.39.23.31', 1076303640, 1076303647, 'US', 'United States'),
(23226, '64.39.23.32', '64.39.23.39', 1076303648, 1076303655, 'AU', 'Australia'),
(23227, '64.39.23.40', '64.39.23.47', 1076303656, 1076303663, 'US', 'United States'),
(23228, '64.39.23.48', '64.39.23.63', 1076303664, 1076303679, 'GI', 'Gibraltar'),
(23229, '64.39.23.64', '64.39.23.79', 1076303680, 1076303695, 'US', 'United States'),
(23230, '64.39.23.80', '64.39.23.87', 1076303696, 1076303703, 'GB', 'United Kingdom'),
(23231, '64.39.23.88', '64.39.23.95', 1076303704, 1076303711, 'US', 'United States'),
(23232, '64.39.23.96', '64.39.23.103', 1076303712, 1076303719, 'CA', 'Canada'),
(23233, '64.39.23.104', '64.39.23.159', 1076303720, 1076303775, 'US', 'United States'),
(23234, '64.39.23.160', '64.39.23.175', 1076303776, 1076303791, 'AU', 'Australia'),
(23235, '64.39.23.176', '64.39.23.215', 1076303792, 1076303831, 'US', 'United States'),
(23236, '64.39.23.216', '64.39.23.223', 1076303832, 1076303839, 'SE', 'Sweden'),
(23237, '64.39.23.224', '64.39.24.111', 1076303840, 1076303983, 'US', 'United States'),
(23238, '64.39.24.112', '64.39.24.119', 1076303984, 1076303991, 'AU', 'Australia'),
(23239, '64.39.24.120', '64.39.24.159', 1076303992, 1076304031, 'US', 'United States'),
(23240, '64.39.24.160', '64.39.24.167', 1076304032, 1076304039, 'CA', 'Canada'),
(23241, '64.39.24.168', '64.39.24.207', 1076304040, 1076304079, 'US', 'United States'),
(23242, '64.39.24.208', '64.39.24.215', 1076304080, 1076304087, 'CA', 'Canada'),
(23243, '64.39.24.216', '64.39.24.255', 1076304088, 1076304127, 'US', 'United States'),
(23244, '64.39.25.0', '64.39.25.7', 1076304128, 1076304135, 'CA', 'Canada'),
(23245, '64.39.25.8', '64.39.25.23', 1076304136, 1076304151, 'US', 'United States'),
(23246, '64.39.25.24', '64.39.25.31', 1076304152, 1076304159, 'CA', 'Canada'),
(23247, '64.39.25.32', '64.39.25.63', 1076304160, 1076304191, 'BH', 'Bahrain'),
(23248, '64.39.25.64', '64.39.25.87', 1076304192, 1076304215, 'US', 'United States'),
(23249, '64.39.25.88', '64.39.25.95', 1076304216, 1076304223, 'GI', 'Gibraltar'),
(23250, '64.39.25.96', '64.39.25.127', 1076304224, 1076304255, 'US', 'United States'),
(23251, '64.39.25.128', '64.39.25.255', 1076304256, 1076304383, 'IT', 'Italy'),
(23252, '64.39.26.0', '64.39.26.7', 1076304384, 1076304391, 'CA', 'Canada'),
(23253, '64.39.26.8', '64.39.26.23', 1076304392, 1076304407, 'US', 'United States'),
(23254, '64.39.26.24', '64.39.26.31', 1076304408, 1076304415, 'CA', 'Canada'),
(23255, '64.39.26.32', '64.39.26.55', 1076304416, 1076304439, 'US', 'United States'),
(23256, '64.39.26.56', '64.39.26.63', 1076304440, 1076304447, 'CA', 'Canada'),
(23257, '64.39.26.64', '64.39.26.103', 1076304448, 1076304487, 'US', 'United States'),
(23258, '64.39.26.104', '64.39.26.111', 1076304488, 1076304495, 'EG', 'Egypt'),
(23259, '64.39.26.112', '64.39.26.183', 1076304496, 1076304567, 'US', 'United States'),
(23260, '64.39.26.184', '64.39.26.191', 1076304568, 1076304575, 'IN', 'India'),
(23261, '64.39.26.192', '64.39.26.199', 1076304576, 1076304583, 'BM', 'Bermuda'),
(23262, '64.39.26.200', '64.39.26.207', 1076304584, 1076304591, 'CA', 'Canada'),
(23263, '64.39.26.208', '64.39.26.223', 1076304592, 1076304607, 'US', 'United States'),
(23264, '64.39.26.224', '64.39.26.231', 1076304608, 1076304615, 'GB', 'United Kingdom'),
(23265, '64.39.26.232', '64.39.26.239', 1076304616, 1076304623, 'US', 'United States'),
(23266, '64.39.26.240', '64.39.26.247', 1076304624, 1076304631, 'GB', 'United Kingdom'),
(23267, '64.39.26.248', '64.39.26.255', 1076304632, 1076304639, 'US', 'United States'),
(23268, '64.39.27.0', '64.39.27.7', 1076304640, 1076304647, 'GB', 'United Kingdom'),
(23269, '64.39.27.8', '64.39.27.15', 1076304648, 1076304655, 'JP', 'Japan'),
(23270, '64.39.27.16', '64.39.27.23', 1076304656, 1076304663, 'SE', 'Sweden'),
(23271, '64.39.27.24', '64.39.27.47', 1076304664, 1076304687, 'US', 'United States'),
(23272, '64.39.27.48', '64.39.27.55', 1076304688, 1076304695, 'IN', 'India'),
(23273, '64.39.27.56', '64.39.27.111', 1076304696, 1076304751, 'US', 'United States'),
(23274, '64.39.27.112', '64.39.27.119', 1076304752, 1076304759, 'RU', 'Russian Federation'),
(23275, '64.39.27.120', '64.39.27.191', 1076304760, 1076304831, 'US', 'United States'),
(23276, '64.39.27.192', '64.39.27.199', 1076304832, 1076304839, 'VE', 'Venezuela'),
(23277, '64.39.27.200', '64.39.27.255', 1076304840, 1076304895, 'US', 'United States'),
(23278, '64.39.28.0', '64.39.28.15', 1076304896, 1076304911, 'AU', 'Australia'),
(23279, '64.39.28.16', '64.39.28.23', 1076304912, 1076304919, 'US', 'United States'),
(23280, '64.39.28.24', '64.39.28.31', 1076304920, 1076304927, 'ES', 'Spain'),
(23281, '64.39.28.32', '64.39.28.55', 1076304928, 1076304951, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(23282, '64.39.28.56', '64.39.28.63', 1076304952, 1076304959, 'NZ', 'New Zealand'),
(23283, '64.39.28.64', '64.39.28.95', 1076304960, 1076304991, 'US', 'United States'),
(23284, '64.39.28.96', '64.39.28.103', 1076304992, 1076304999, 'ID', 'Indonesia'),
(23285, '64.39.28.104', '64.39.28.127', 1076305000, 1076305023, 'US', 'United States'),
(23286, '64.39.28.128', '64.39.28.143', 1076305024, 1076305039, 'CA', 'Canada'),
(23287, '64.39.28.144', '64.39.28.159', 1076305040, 1076305055, 'RU', 'Russian Federation'),
(23288, '64.39.28.160', '64.39.28.183', 1076305056, 1076305079, 'US', 'United States'),
(23289, '64.39.28.184', '64.39.28.191', 1076305080, 1076305087, 'AT', 'Austria'),
(23290, '64.39.28.192', '64.39.28.215', 1076305088, 1076305111, 'GB', 'United Kingdom'),
(23291, '64.39.28.216', '64.39.29.15', 1076305112, 1076305167, 'US', 'United States'),
(23292, '64.39.29.16', '64.39.29.23', 1076305168, 1076305175, 'FR', 'France'),
(23293, '64.39.29.24', '64.39.29.39', 1076305176, 1076305191, 'US', 'United States'),
(23294, '64.39.29.40', '64.39.29.55', 1076305192, 1076305207, 'CA', 'Canada'),
(23295, '64.39.29.56', '64.39.29.63', 1076305208, 1076305215, 'AR', 'Argentina'),
(23296, '64.39.29.64', '64.39.29.79', 1076305216, 1076305231, 'DE', 'Germany'),
(23297, '64.39.29.80', '64.39.29.87', 1076305232, 1076305239, 'US', 'United States'),
(23298, '64.39.29.88', '64.39.29.95', 1076305240, 1076305247, 'GB', 'United Kingdom'),
(23299, '64.39.29.96', '64.39.29.103', 1076305248, 1076305255, 'VE', 'Venezuela'),
(23300, '64.39.29.104', '64.39.29.111', 1076305256, 1076305263, 'US', 'United States'),
(23301, '64.39.29.112', '64.39.29.119', 1076305264, 1076305271, 'CA', 'Canada'),
(23302, '64.39.29.120', '64.39.29.151', 1076305272, 1076305303, 'US', 'United States'),
(23303, '64.39.29.152', '64.39.29.159', 1076305304, 1076305311, 'RU', 'Russian Federation'),
(23304, '64.39.29.160', '64.39.34.31', 1076305312, 1076306463, 'US', 'United States'),
(23305, '64.39.34.32', '64.39.34.47', 1076306464, 1076306479, 'GB', 'United Kingdom'),
(23306, '64.39.34.48', '64.39.34.79', 1076306480, 1076306511, 'US', 'United States'),
(23307, '64.39.34.80', '64.39.34.95', 1076306512, 1076306527, 'AE', 'United Arab Emirates'),
(23308, '64.39.34.96', '64.39.38.39', 1076306528, 1076307495, 'US', 'United States'),
(23309, '64.39.38.40', '64.39.38.47', 1076307496, 1076307503, 'DE', 'Germany'),
(23310, '64.39.38.48', '64.39.38.63', 1076307504, 1076307519, 'US', 'United States'),
(23311, '64.39.38.64', '64.39.38.79', 1076307520, 1076307535, 'DE', 'Germany'),
(23312, '64.39.38.80', '64.39.39.31', 1076307536, 1076307743, 'US', 'United States'),
(23313, '64.39.39.32', '64.39.39.95', 1076307744, 1076307807, 'DE', 'Germany'),
(23314, '64.39.39.96', '64.39.39.255', 1076307808, 1076307967, 'US', 'United States'),
(23315, '64.39.40.0', '64.39.40.255', 1076307968, 1076308223, 'DE', 'Germany'),
(23316, '64.39.41.0', '64.39.42.15', 1076308224, 1076308495, 'US', 'United States'),
(23317, '64.39.42.16', '64.39.42.31', 1076308496, 1076308511, 'AE', 'United Arab Emirates'),
(23318, '64.39.42.32', '64.39.42.95', 1076308512, 1076308575, 'US', 'United States'),
(23319, '64.39.42.96', '64.39.42.111', 1076308576, 1076308591, 'IL', 'Israel'),
(23320, '64.39.42.112', '64.39.42.191', 1076308592, 1076308671, 'US', 'United States'),
(23321, '64.39.42.192', '64.39.42.207', 1076308672, 1076308687, 'DE', 'Germany'),
(23322, '64.39.42.208', '64.39.43.255', 1076308688, 1076308991, 'US', 'United States'),
(23323, '64.39.44.0', '64.39.44.15', 1076308992, 1076309007, 'IE', 'Ireland'),
(23324, '64.39.44.16', '64.39.44.127', 1076309008, 1076309119, 'US', 'United States'),
(23325, '64.39.44.128', '64.39.44.143', 1076309120, 1076309135, 'IE', 'Ireland'),
(23326, '64.39.44.144', '64.39.44.159', 1076309136, 1076309151, 'US', 'United States'),
(23327, '64.39.44.160', '64.39.44.191', 1076309152, 1076309183, 'DE', 'Germany'),
(23328, '64.39.44.192', '64.39.47.207', 1076309184, 1076309967, 'US', 'United States'),
(23329, '64.39.47.208', '64.39.47.223', 1076309968, 1076309983, 'DE', 'Germany'),
(23330, '64.39.47.224', '64.39.47.255', 1076309984, 1076310015, 'US', 'United States'),
(23331, '64.39.48.0', '64.39.48.255', 1076310016, 1076310271, 'DE', 'Germany'),
(23332, '64.39.49.0', '64.39.49.31', 1076310272, 1076310303, 'AE', 'United Arab Emirates'),
(23333, '64.39.49.32', '64.39.49.95', 1076310304, 1076310367, 'US', 'United States'),
(23334, '64.39.49.96', '64.39.49.111', 1076310368, 1076310383, 'IE', 'Ireland'),
(23335, '64.39.49.112', '64.39.49.127', 1076310384, 1076310399, 'US', 'United States'),
(23336, '64.39.49.128', '64.39.49.159', 1076310400, 1076310431, 'AE', 'United Arab Emirates'),
(23337, '64.39.49.160', '64.39.49.191', 1076310432, 1076310463, 'AU', 'Australia'),
(23338, '64.39.49.192', '64.39.49.255', 1076310464, 1076310527, 'IL', 'Israel'),
(23339, '64.39.50.0', '64.39.159.255', 1076310528, 1076338687, 'US', 'United States'),
(23340, '64.39.160.0', '64.39.191.255', 1076338688, 1076346879, 'CA', 'Canada'),
(23341, '64.39.192.0', '64.40.95.255', 1076346880, 1076387839, 'US', 'United States'),
(23342, '64.40.96.0', '64.40.118.255', 1076387840, 1076393727, 'CA', 'Canada'),
(23343, '64.40.119.0', '64.40.120.255', 1076393728, 1076394239, 'US', 'United States'),
(23344, '64.40.121.0', '64.40.127.255', 1076394240, 1076396031, 'CA', 'Canada'),
(23345, '64.40.128.0', '64.40.159.255', 1076396032, 1076404223, 'US', 'United States'),
(23346, '64.40.160.0', '64.40.166.255', 1076404224, 1076406015, 'A2', 'Satellite Provider'),
(23347, '64.40.167.0', '64.40.167.255', 1076406016, 1076406271, 'US', 'United States'),
(23348, '64.40.168.0', '64.40.174.255', 1076406272, 1076408063, 'A2', 'Satellite Provider'),
(23349, '64.40.175.0', '64.40.175.255', 1076408064, 1076408319, 'US', 'United States'),
(23350, '64.40.176.0', '64.40.191.255', 1076408320, 1076412415, 'CA', 'Canada'),
(23351, '64.40.192.0', '64.40.239.255', 1076412416, 1076424703, 'US', 'United States'),
(23352, '64.40.240.0', '64.40.255.255', 1076424704, 1076428799, 'CA', 'Canada'),
(23353, '64.41.0.0', '64.41.251.255', 1076428800, 1076493311, 'US', 'United States'),
(23354, '64.41.252.0', '64.41.252.63', 1076493312, 1076493375, 'IN', 'India'),
(23355, '64.41.252.64', '64.42.191.255', 1076493376, 1076543487, 'US', 'United States'),
(23356, '64.42.192.0', '64.42.255.255', 1076543488, 1076559871, 'CA', 'Canada'),
(23357, '64.43.0.0', '64.44.13.255', 1076559872, 1076628991, 'US', 'United States'),
(23358, '64.44.14.0', '64.44.14.255', 1076628992, 1076629247, 'VI', 'Virgin Islands, U.S.'),
(23359, '64.44.15.0', '64.45.22.79', 1076629248, 1076696655, 'US', 'United States'),
(23360, '64.45.22.80', '64.45.22.87', 1076696656, 1076696663, 'CA', 'Canada'),
(23361, '64.45.22.88', '64.45.25.159', 1076696664, 1076697503, 'US', 'United States'),
(23362, '64.45.25.160', '64.45.25.175', 1076697504, 1076697519, 'NZ', 'New Zealand'),
(23363, '64.45.25.176', '64.45.25.223', 1076697520, 1076697567, 'US', 'United States'),
(23364, '64.45.25.224', '64.45.25.239', 1076697568, 1076697583, 'PE', 'Peru'),
(23365, '64.45.25.240', '64.45.29.197', 1076697584, 1076698565, 'US', 'United States'),
(23366, '64.45.29.198', '64.45.29.212', 1076698566, 1076698580, 'AU', 'Australia'),
(23367, '64.45.29.213', '64.45.52.120', 1076698581, 1076704376, 'US', 'United States'),
(23368, '64.45.52.121', '64.45.52.149', 1076704377, 1076704405, 'CO', 'Colombia'),
(23369, '64.45.52.150', '64.45.53.231', 1076704406, 1076704743, 'US', 'United States'),
(23370, '64.45.53.232', '64.45.53.239', 1076704744, 1076704751, 'GB', 'United Kingdom'),
(23371, '64.45.53.240', '64.45.55.167', 1076704752, 1076705191, 'US', 'United States'),
(23372, '64.45.55.168', '64.45.55.175', 1076705192, 1076705199, 'AE', 'United Arab Emirates'),
(23373, '64.45.55.176', '64.45.55.191', 1076705200, 1076705215, 'US', 'United States'),
(23374, '64.45.55.192', '64.45.55.223', 1076705216, 1076705247, 'CA', 'Canada'),
(23375, '64.45.55.224', '64.45.57.183', 1076705248, 1076705719, 'US', 'United States'),
(23376, '64.45.57.184', '64.45.57.193', 1076705720, 1076705729, 'AU', 'Australia'),
(23377, '64.45.57.194', '64.45.63.15', 1076705730, 1076707087, 'US', 'United States'),
(23378, '64.45.63.16', '64.45.63.31', 1076707088, 1076707103, 'AT', 'Austria'),
(23379, '64.45.63.32', '64.45.63.47', 1076707104, 1076707119, 'GB', 'United Kingdom'),
(23380, '64.45.63.48', '64.45.63.239', 1076707120, 1076707311, 'US', 'United States'),
(23381, '64.45.63.240', '64.45.63.247', 1076707312, 1076707319, 'AR', 'Argentina'),
(23382, '64.45.63.248', '64.45.255.255', 1076707320, 1076756479, 'US', 'United States'),
(23383, '64.46.0.0', '64.46.63.255', 1076756480, 1076772863, 'CA', 'Canada'),
(23384, '64.46.64.0', '64.47.111.255', 1076772864, 1076850687, 'US', 'United States'),
(23385, '64.47.112.0', '64.47.112.255', 1076850688, 1076850943, 'CA', 'Canada'),
(23386, '64.47.113.0', '64.47.227.255', 1076850944, 1076880383, 'US', 'United States'),
(23387, '64.47.228.0', '64.47.228.255', 1076880384, 1076880639, 'CH', 'Switzerland'),
(23388, '64.47.229.0', '64.49.127.255', 1076880640, 1076985855, 'US', 'United States'),
(23389, '64.49.128.0', '64.49.191.255', 1076985856, 1077002239, 'A2', 'Satellite Provider'),
(23390, '64.49.192.0', '64.49.192.15', 1077002240, 1077002255, 'US', 'United States'),
(23391, '64.49.192.16', '64.49.192.31', 1077002256, 1077002271, 'GB', 'United Kingdom'),
(23392, '64.49.192.32', '64.49.192.103', 1077002272, 1077002343, 'US', 'United States'),
(23393, '64.49.192.104', '64.49.192.111', 1077002344, 1077002351, 'VE', 'Venezuela'),
(23394, '64.49.192.112', '64.49.192.119', 1077002352, 1077002359, 'US', 'United States'),
(23395, '64.49.192.120', '64.49.192.127', 1077002360, 1077002367, 'AG', 'Antigua and Barbuda'),
(23396, '64.49.192.128', '64.49.192.159', 1077002368, 1077002399, 'US', 'United States'),
(23397, '64.49.192.160', '64.49.192.167', 1077002400, 1077002407, 'CA', 'Canada'),
(23398, '64.49.192.168', '64.49.192.255', 1077002408, 1077002495, 'US', 'United States'),
(23399, '64.49.193.0', '64.49.193.7', 1077002496, 1077002503, 'CA', 'Canada'),
(23400, '64.49.193.8', '64.49.193.47', 1077002504, 1077002543, 'US', 'United States'),
(23401, '64.49.193.48', '64.49.193.55', 1077002544, 1077002551, 'CY', 'Cyprus'),
(23402, '64.49.193.56', '64.49.193.63', 1077002552, 1077002559, 'CA', 'Canada'),
(23403, '64.49.193.64', '64.49.193.79', 1077002560, 1077002575, 'US', 'United States'),
(23404, '64.49.193.80', '64.49.193.87', 1077002576, 1077002583, 'CA', 'Canada'),
(23405, '64.49.193.88', '64.49.193.103', 1077002584, 1077002599, 'US', 'United States'),
(23406, '64.49.193.104', '64.49.193.111', 1077002600, 1077002607, 'BH', 'Bahrain'),
(23407, '64.49.193.112', '64.49.194.71', 1077002608, 1077002823, 'US', 'United States'),
(23408, '64.49.194.72', '64.49.194.79', 1077002824, 1077002831, 'IN', 'India'),
(23409, '64.49.194.80', '64.49.194.95', 1077002832, 1077002847, 'FR', 'France'),
(23410, '64.49.194.96', '64.49.194.103', 1077002848, 1077002855, 'NZ', 'New Zealand'),
(23411, '64.49.194.104', '64.49.194.111', 1077002856, 1077002863, 'AU', 'Australia'),
(23412, '64.49.194.112', '64.49.194.159', 1077002864, 1077002911, 'US', 'United States'),
(23413, '64.49.194.160', '64.49.194.175', 1077002912, 1077002927, 'MX', 'Mexico'),
(23414, '64.49.194.176', '64.49.194.183', 1077002928, 1077002935, 'IN', 'India'),
(23415, '64.49.194.184', '64.49.194.191', 1077002936, 1077002943, 'CA', 'Canada'),
(23416, '64.49.194.192', '64.49.194.239', 1077002944, 1077002991, 'US', 'United States'),
(23417, '64.49.194.240', '64.49.194.247', 1077002992, 1077002999, 'BH', 'Bahrain'),
(23418, '64.49.194.248', '64.49.195.15', 1077003000, 1077003023, 'US', 'United States'),
(23419, '64.49.195.16', '64.49.195.31', 1077003024, 1077003039, 'RU', 'Russian Federation'),
(23420, '64.49.195.32', '64.49.195.39', 1077003040, 1077003047, 'AU', 'Australia'),
(23421, '64.49.195.40', '64.49.195.71', 1077003048, 1077003079, 'US', 'United States'),
(23422, '64.49.195.72', '64.49.195.79', 1077003080, 1077003087, 'IN', 'India'),
(23423, '64.49.195.80', '64.49.195.191', 1077003088, 1077003199, 'US', 'United States'),
(23424, '64.49.195.192', '64.49.195.223', 1077003200, 1077003231, 'IN', 'India'),
(23425, '64.49.195.224', '64.49.196.167', 1077003232, 1077003431, 'US', 'United States'),
(23426, '64.49.196.168', '64.49.196.175', 1077003432, 1077003439, 'IE', 'Ireland'),
(23427, '64.49.196.176', '64.49.197.167', 1077003440, 1077003687, 'US', 'United States'),
(23428, '64.49.197.168', '64.49.197.175', 1077003688, 1077003695, 'PH', 'Philippines'),
(23429, '64.49.197.176', '64.49.197.191', 1077003696, 1077003711, 'US', 'United States'),
(23430, '64.49.197.192', '64.49.197.207', 1077003712, 1077003727, 'AU', 'Australia'),
(23431, '64.49.197.208', '64.49.197.215', 1077003728, 1077003735, 'DE', 'Germany'),
(23432, '64.49.197.216', '64.49.198.7', 1077003736, 1077003783, 'US', 'United States'),
(23433, '64.49.198.8', '64.49.198.15', 1077003784, 1077003791, 'CA', 'Canada'),
(23434, '64.49.198.16', '64.49.198.31', 1077003792, 1077003807, 'US', 'United States'),
(23435, '64.49.198.32', '64.49.198.39', 1077003808, 1077003815, 'AU', 'Australia'),
(23436, '64.49.198.40', '64.49.198.119', 1077003816, 1077003895, 'US', 'United States'),
(23437, '64.49.198.120', '64.49.198.127', 1077003896, 1077003903, 'IN', 'India'),
(23438, '64.49.198.128', '64.49.198.143', 1077003904, 1077003919, 'US', 'United States'),
(23439, '64.49.198.144', '64.49.198.151', 1077003920, 1077003927, 'JP', 'Japan'),
(23440, '64.49.198.152', '64.49.198.183', 1077003928, 1077003959, 'US', 'United States'),
(23441, '64.49.198.184', '64.49.198.191', 1077003960, 1077003967, 'BH', 'Bahrain'),
(23442, '64.49.198.192', '64.49.198.215', 1077003968, 1077003991, 'US', 'United States'),
(23443, '64.49.198.216', '64.49.198.223', 1077003992, 1077003999, 'AT', 'Austria'),
(23444, '64.49.198.224', '64.49.199.87', 1077004000, 1077004119, 'US', 'United States'),
(23445, '64.49.199.88', '64.49.199.95', 1077004120, 1077004127, 'GB', 'United Kingdom'),
(23446, '64.49.199.96', '64.49.199.111', 1077004128, 1077004143, 'US', 'United States'),
(23447, '64.49.199.112', '64.49.199.127', 1077004144, 1077004159, 'FR', 'France'),
(23448, '64.49.199.128', '64.49.199.167', 1077004160, 1077004199, 'US', 'United States'),
(23449, '64.49.199.168', '64.49.199.175', 1077004200, 1077004207, 'NZ', 'New Zealand'),
(23450, '64.49.199.176', '64.49.199.207', 1077004208, 1077004239, 'US', 'United States'),
(23451, '64.49.199.208', '64.49.199.215', 1077004240, 1077004247, 'GB', 'United Kingdom'),
(23452, '64.49.199.216', '64.49.199.223', 1077004248, 1077004255, 'US', 'United States'),
(23453, '64.49.199.224', '64.49.199.231', 1077004256, 1077004263, 'AU', 'Australia'),
(23454, '64.49.199.232', '64.49.200.15', 1077004264, 1077004303, 'US', 'United States'),
(23455, '64.49.200.16', '64.49.200.31', 1077004304, 1077004319, 'FR', 'France'),
(23456, '64.49.200.32', '64.49.200.39', 1077004320, 1077004327, 'AU', 'Australia'),
(23457, '64.49.200.40', '64.49.200.55', 1077004328, 1077004343, 'US', 'United States'),
(23458, '64.49.200.56', '64.49.200.63', 1077004344, 1077004351, 'AT', 'Austria'),
(23459, '64.49.200.64', '64.49.200.79', 1077004352, 1077004367, 'US', 'United States'),
(23460, '64.49.200.80', '64.49.200.87', 1077004368, 1077004375, 'ZA', 'South Africa'),
(23461, '64.49.200.88', '64.49.200.143', 1077004376, 1077004431, 'US', 'United States'),
(23462, '64.49.200.144', '64.49.200.151', 1077004432, 1077004439, 'CA', 'Canada'),
(23463, '64.49.200.152', '64.49.200.223', 1077004440, 1077004511, 'US', 'United States'),
(23464, '64.49.200.224', '64.49.200.239', 1077004512, 1077004527, 'FR', 'France'),
(23465, '64.49.200.240', '64.49.200.255', 1077004528, 1077004543, 'US', 'United States'),
(23466, '64.49.201.0', '64.49.201.15', 1077004544, 1077004559, 'CA', 'Canada'),
(23467, '64.49.201.16', '64.49.201.39', 1077004560, 1077004583, 'US', 'United States'),
(23468, '64.49.201.40', '64.49.201.47', 1077004584, 1077004591, 'CA', 'Canada'),
(23469, '64.49.201.48', '64.49.201.143', 1077004592, 1077004687, 'US', 'United States'),
(23470, '64.49.201.144', '64.49.201.151', 1077004688, 1077004695, 'GB', 'United Kingdom'),
(23471, '64.49.201.152', '64.49.201.159', 1077004696, 1077004703, 'AE', 'United Arab Emirates'),
(23472, '64.49.201.160', '64.49.201.191', 1077004704, 1077004735, 'FR', 'France'),
(23473, '64.49.201.192', '64.49.201.199', 1077004736, 1077004743, 'US', 'United States'),
(23474, '64.49.201.200', '64.49.201.207', 1077004744, 1077004751, 'CA', 'Canada'),
(23475, '64.49.201.208', '64.49.201.215', 1077004752, 1077004759, 'US', 'United States'),
(23476, '64.49.201.216', '64.49.201.223', 1077004760, 1077004767, 'NZ', 'New Zealand'),
(23477, '64.49.201.224', '64.49.201.239', 1077004768, 1077004783, 'US', 'United States'),
(23478, '64.49.201.240', '64.49.201.247', 1077004784, 1077004791, 'CA', 'Canada'),
(23479, '64.49.201.248', '64.49.201.255', 1077004792, 1077004799, 'GB', 'United Kingdom'),
(23480, '64.49.202.0', '64.49.202.15', 1077004800, 1077004815, 'CA', 'Canada'),
(23481, '64.49.202.16', '64.49.202.47', 1077004816, 1077004847, 'US', 'United States'),
(23482, '64.49.202.48', '64.49.202.63', 1077004848, 1077004863, 'CA', 'Canada'),
(23483, '64.49.202.64', '64.49.202.71', 1077004864, 1077004871, 'US', 'United States'),
(23484, '64.49.202.72', '64.49.202.79', 1077004872, 1077004879, 'GB', 'United Kingdom'),
(23485, '64.49.202.80', '64.49.203.63', 1077004880, 1077005119, 'US', 'United States'),
(23486, '64.49.203.64', '64.49.203.95', 1077005120, 1077005151, 'AU', 'Australia'),
(23487, '64.49.203.96', '64.49.203.239', 1077005152, 1077005295, 'US', 'United States'),
(23488, '64.49.203.240', '64.49.203.247', 1077005296, 1077005303, 'CN', 'China'),
(23489, '64.49.203.248', '64.49.204.175', 1077005304, 1077005487, 'US', 'United States'),
(23490, '64.49.204.176', '64.49.204.191', 1077005488, 1077005503, 'CA', 'Canada'),
(23491, '64.49.204.192', '64.49.204.223', 1077005504, 1077005535, 'US', 'United States'),
(23492, '64.49.204.224', '64.49.204.231', 1077005536, 1077005543, 'AU', 'Australia'),
(23493, '64.49.204.232', '64.49.204.239', 1077005544, 1077005551, 'US', 'United States'),
(23494, '64.49.204.240', '64.49.204.247', 1077005552, 1077005559, 'CA', 'Canada'),
(23495, '64.49.204.248', '64.49.205.63', 1077005560, 1077005631, 'US', 'United States'),
(23496, '64.49.205.64', '64.49.205.127', 1077005632, 1077005695, 'AU', 'Australia'),
(23497, '64.49.205.128', '64.49.205.255', 1077005696, 1077005823, 'US', 'United States'),
(23498, '64.49.206.0', '64.49.206.15', 1077005824, 1077005839, 'AU', 'Australia'),
(23499, '64.49.206.16', '64.49.206.71', 1077005840, 1077005895, 'US', 'United States'),
(23500, '64.49.206.72', '64.49.206.79', 1077005896, 1077005903, 'RU', 'Russian Federation'),
(23501, '64.49.206.80', '64.49.206.87', 1077005904, 1077005911, 'VE', 'Venezuela'),
(23502, '64.49.206.88', '64.49.206.119', 1077005912, 1077005943, 'US', 'United States'),
(23503, '64.49.206.120', '64.49.206.127', 1077005944, 1077005951, 'TR', 'Turkey'),
(23504, '64.49.206.128', '64.49.206.199', 1077005952, 1077006023, 'US', 'United States'),
(23505, '64.49.206.200', '64.49.206.207', 1077006024, 1077006031, 'IN', 'India'),
(23506, '64.49.206.208', '64.49.206.215', 1077006032, 1077006039, 'US', 'United States'),
(23507, '64.49.206.216', '64.49.206.223', 1077006040, 1077006047, 'NZ', 'New Zealand'),
(23508, '64.49.206.224', '64.49.206.247', 1077006048, 1077006071, 'US', 'United States'),
(23509, '64.49.206.248', '64.49.206.255', 1077006072, 1077006079, 'IN', 'India'),
(23510, '64.49.207.0', '64.49.207.79', 1077006080, 1077006159, 'US', 'United States'),
(23511, '64.49.207.80', '64.49.207.87', 1077006160, 1077006167, 'AE', 'United Arab Emirates'),
(23512, '64.49.207.88', '64.49.208.71', 1077006168, 1077006407, 'US', 'United States'),
(23513, '64.49.208.72', '64.49.208.79', 1077006408, 1077006415, 'CA', 'Canada'),
(23514, '64.49.208.80', '64.49.208.127', 1077006416, 1077006463, 'US', 'United States'),
(23515, '64.49.208.128', '64.49.208.135', 1077006464, 1077006471, 'AU', 'Australia'),
(23516, '64.49.208.136', '64.49.209.31', 1077006472, 1077006623, 'US', 'United States'),
(23517, '64.49.209.32', '64.49.209.39', 1077006624, 1077006631, 'GB', 'United Kingdom'),
(23518, '64.49.209.40', '64.49.209.47', 1077006632, 1077006639, 'ES', 'Spain'),
(23519, '64.49.209.48', '64.49.209.55', 1077006640, 1077006647, 'IE', 'Ireland'),
(23520, '64.49.209.56', '64.49.209.127', 1077006648, 1077006719, 'US', 'United States'),
(23521, '64.49.209.128', '64.49.209.143', 1077006720, 1077006735, 'AU', 'Australia'),
(23522, '64.49.209.144', '64.49.209.151', 1077006736, 1077006743, 'US', 'United States'),
(23523, '64.49.209.152', '64.49.209.159', 1077006744, 1077006751, 'IL', 'Israel'),
(23524, '64.49.209.160', '64.49.209.255', 1077006752, 1077006847, 'US', 'United States'),
(23525, '64.49.210.0', '64.49.210.15', 1077006848, 1077006863, 'CA', 'Canada'),
(23526, '64.49.210.16', '64.49.210.39', 1077006864, 1077006887, 'US', 'United States'),
(23527, '64.49.210.40', '64.49.210.47', 1077006888, 1077006895, 'IN', 'India'),
(23528, '64.49.210.48', '64.49.210.79', 1077006896, 1077006927, 'US', 'United States'),
(23529, '64.49.210.80', '64.49.210.87', 1077006928, 1077006935, 'CA', 'Canada'),
(23530, '64.49.210.88', '64.49.210.95', 1077006936, 1077006943, 'AR', 'Argentina'),
(23531, '64.49.210.96', '64.49.210.111', 1077006944, 1077006959, 'US', 'United States'),
(23532, '64.49.210.112', '64.49.210.119', 1077006960, 1077006967, 'MX', 'Mexico'),
(23533, '64.49.210.120', '64.49.210.143', 1077006968, 1077006991, 'US', 'United States'),
(23534, '64.49.210.144', '64.49.210.151', 1077006992, 1077006999, 'CA', 'Canada'),
(23535, '64.49.210.152', '64.49.210.159', 1077007000, 1077007007, 'HK', 'Hong Kong'),
(23536, '64.49.210.160', '64.49.210.215', 1077007008, 1077007063, 'CA', 'Canada'),
(23537, '64.49.210.216', '64.49.210.223', 1077007064, 1077007071, 'US', 'United States'),
(23538, '64.49.210.224', '64.49.210.239', 1077007072, 1077007087, 'CA', 'Canada'),
(23539, '64.49.210.240', '64.49.210.255', 1077007088, 1077007103, 'US', 'United States'),
(23540, '64.49.211.0', '64.49.211.7', 1077007104, 1077007111, 'NL', 'Netherlands'),
(23541, '64.49.211.8', '64.49.211.15', 1077007112, 1077007119, 'CA', 'Canada'),
(23542, '64.49.211.16', '64.49.211.63', 1077007120, 1077007167, 'US', 'United States'),
(23543, '64.49.211.64', '64.49.211.87', 1077007168, 1077007191, 'CA', 'Canada'),
(23544, '64.49.211.88', '64.49.211.95', 1077007192, 1077007199, 'KR', 'Korea, Republic of'),
(23545, '64.49.211.96', '64.49.211.143', 1077007200, 1077007247, 'US', 'United States'),
(23546, '64.49.211.144', '64.49.211.151', 1077007248, 1077007255, 'BZ', 'Belize'),
(23547, '64.49.211.152', '64.49.211.183', 1077007256, 1077007287, 'US', 'United States'),
(23548, '64.49.211.184', '64.49.211.191', 1077007288, 1077007295, 'CA', 'Canada'),
(23549, '64.49.211.192', '64.49.211.199', 1077007296, 1077007303, 'AU', 'Australia'),
(23550, '64.49.211.200', '64.49.211.207', 1077007304, 1077007311, 'IN', 'India'),
(23551, '64.49.211.208', '64.49.214.63', 1077007312, 1077007935, 'US', 'United States'),
(23552, '64.49.214.64', '64.49.214.71', 1077007936, 1077007943, 'AU', 'Australia'),
(23553, '64.49.214.72', '64.49.214.95', 1077007944, 1077007967, 'US', 'United States'),
(23554, '64.49.214.96', '64.49.214.111', 1077007968, 1077007983, 'NL', 'Netherlands'),
(23555, '64.49.214.112', '64.49.214.175', 1077007984, 1077008047, 'US', 'United States'),
(23556, '64.49.214.176', '64.49.214.191', 1077008048, 1077008063, 'FR', 'France'),
(23557, '64.49.214.192', '64.49.214.255', 1077008064, 1077008127, 'US', 'United States'),
(23558, '64.49.215.0', '64.49.215.63', 1077008128, 1077008191, 'CA', 'Canada'),
(23559, '64.49.215.64', '64.49.215.79', 1077008192, 1077008207, 'US', 'United States'),
(23560, '64.49.215.80', '64.49.215.87', 1077008208, 1077008215, 'CA', 'Canada'),
(23561, '64.49.215.88', '64.49.215.111', 1077008216, 1077008239, 'US', 'United States'),
(23562, '64.49.215.112', '64.49.215.143', 1077008240, 1077008271, 'CA', 'Canada'),
(23563, '64.49.215.144', '64.49.215.167', 1077008272, 1077008295, 'US', 'United States'),
(23564, '64.49.215.168', '64.49.215.183', 1077008296, 1077008311, 'CA', 'Canada'),
(23565, '64.49.215.184', '64.49.215.191', 1077008312, 1077008319, 'US', 'United States'),
(23566, '64.49.215.192', '64.49.215.207', 1077008320, 1077008335, 'CA', 'Canada'),
(23567, '64.49.215.208', '64.49.215.215', 1077008336, 1077008343, 'US', 'United States'),
(23568, '64.49.215.216', '64.49.215.255', 1077008344, 1077008383, 'CA', 'Canada'),
(23569, '64.49.216.0', '64.49.217.95', 1077008384, 1077008735, 'US', 'United States'),
(23570, '64.49.217.96', '64.49.217.111', 1077008736, 1077008751, 'BM', 'Bermuda'),
(23571, '64.49.217.112', '64.49.217.239', 1077008752, 1077008879, 'US', 'United States'),
(23572, '64.49.217.240', '64.49.217.255', 1077008880, 1077008895, 'GB', 'United Kingdom'),
(23573, '64.49.218.0', '64.49.223.255', 1077008896, 1077010431, 'US', 'United States'),
(23574, '64.49.224.0', '64.49.224.7', 1077010432, 1077010439, 'HK', 'Hong Kong'),
(23575, '64.49.224.8', '64.49.227.47', 1077010440, 1077011247, 'US', 'United States'),
(23576, '64.49.227.48', '64.49.227.55', 1077011248, 1077011255, 'CA', 'Canada'),
(23577, '64.49.227.56', '64.49.227.87', 1077011256, 1077011287, 'US', 'United States'),
(23578, '64.49.227.88', '64.49.227.95', 1077011288, 1077011295, 'AU', 'Australia'),
(23579, '64.49.227.96', '64.49.227.111', 1077011296, 1077011311, 'US', 'United States'),
(23580, '64.49.227.112', '64.49.227.119', 1077011312, 1077011319, 'IN', 'India'),
(23581, '64.49.227.120', '64.49.227.127', 1077011320, 1077011327, 'TR', 'Turkey'),
(23582, '64.49.227.128', '64.49.228.143', 1077011328, 1077011599, 'US', 'United States'),
(23583, '64.49.228.144', '64.49.228.151', 1077011600, 1077011607, 'EG', 'Egypt'),
(23584, '64.49.228.152', '64.49.228.159', 1077011608, 1077011615, 'NZ', 'New Zealand'),
(23585, '64.49.228.160', '64.49.229.95', 1077011616, 1077011807, 'US', 'United States'),
(23586, '64.49.229.96', '64.49.229.111', 1077011808, 1077011823, 'GR', 'Greece'),
(23587, '64.49.229.112', '64.49.229.119', 1077011824, 1077011831, 'AT', 'Austria'),
(23588, '64.49.229.120', '64.49.230.63', 1077011832, 1077012031, 'US', 'United States'),
(23589, '64.49.230.64', '64.49.230.71', 1077012032, 1077012039, 'CO', 'Colombia'),
(23590, '64.49.230.72', '64.49.230.95', 1077012040, 1077012063, 'US', 'United States'),
(23591, '64.49.230.96', '64.49.230.111', 1077012064, 1077012079, 'AU', 'Australia'),
(23592, '64.49.230.112', '64.49.230.143', 1077012080, 1077012111, 'US', 'United States'),
(23593, '64.49.230.144', '64.49.230.159', 1077012112, 1077012127, 'GB', 'United Kingdom'),
(23594, '64.49.230.160', '64.49.230.175', 1077012128, 1077012143, 'US', 'United States'),
(23595, '64.49.230.176', '64.49.230.191', 1077012144, 1077012159, 'EG', 'Egypt'),
(23596, '64.49.230.192', '64.49.230.199', 1077012160, 1077012167, 'GB', 'United Kingdom'),
(23597, '64.49.230.200', '64.49.231.71', 1077012168, 1077012295, 'US', 'United States'),
(23598, '64.49.231.72', '64.49.231.79', 1077012296, 1077012303, 'HK', 'Hong Kong'),
(23599, '64.49.231.80', '64.49.231.87', 1077012304, 1077012311, 'IN', 'India'),
(23600, '64.49.231.88', '64.49.231.231', 1077012312, 1077012455, 'US', 'United States'),
(23601, '64.49.231.232', '64.49.231.239', 1077012456, 1077012463, 'IN', 'India'),
(23602, '64.49.231.240', '64.49.232.15', 1077012464, 1077012495, 'US', 'United States'),
(23603, '64.49.232.16', '64.49.232.31', 1077012496, 1077012511, 'IT', 'Italy'),
(23604, '64.49.232.32', '64.49.232.79', 1077012512, 1077012559, 'US', 'United States'),
(23605, '64.49.232.80', '64.49.232.87', 1077012560, 1077012567, 'CA', 'Canada'),
(23606, '64.49.232.88', '64.49.232.95', 1077012568, 1077012575, 'US', 'United States'),
(23607, '64.49.232.96', '64.49.232.103', 1077012576, 1077012583, 'ES', 'Spain'),
(23608, '64.49.232.104', '64.49.234.255', 1077012584, 1077013247, 'US', 'United States'),
(23609, '64.49.235.0', '64.49.235.7', 1077013248, 1077013255, 'HK', 'Hong Kong'),
(23610, '64.49.235.8', '64.49.235.15', 1077013256, 1077013263, 'US', 'United States'),
(23611, '64.49.235.16', '64.49.235.31', 1077013264, 1077013279, 'MX', 'Mexico'),
(23612, '64.49.235.32', '64.49.235.95', 1077013280, 1077013343, 'US', 'United States'),
(23613, '64.49.235.96', '64.49.235.103', 1077013344, 1077013351, 'AU', 'Australia'),
(23614, '64.49.235.104', '64.49.235.111', 1077013352, 1077013359, 'US', 'United States'),
(23615, '64.49.235.112', '64.49.235.127', 1077013360, 1077013375, 'NL', 'Netherlands'),
(23616, '64.49.235.128', '64.49.235.143', 1077013376, 1077013391, 'US', 'United States'),
(23617, '64.49.235.144', '64.49.235.151', 1077013392, 1077013399, 'HK', 'Hong Kong'),
(23618, '64.49.235.152', '64.49.235.159', 1077013400, 1077013407, 'US', 'United States'),
(23619, '64.49.235.160', '64.49.235.167', 1077013408, 1077013415, 'NZ', 'New Zealand'),
(23620, '64.49.235.168', '64.49.235.183', 1077013416, 1077013431, 'US', 'United States'),
(23621, '64.49.235.184', '64.49.235.191', 1077013432, 1077013439, 'NZ', 'New Zealand'),
(23622, '64.49.235.192', '64.49.236.7', 1077013440, 1077013511, 'US', 'United States'),
(23623, '64.49.236.8', '64.49.236.15', 1077013512, 1077013519, 'NZ', 'New Zealand'),
(23624, '64.49.236.16', '64.49.236.47', 1077013520, 1077013551, 'US', 'United States'),
(23625, '64.49.236.48', '64.49.236.55', 1077013552, 1077013559, 'IN', 'India'),
(23626, '64.49.236.56', '64.49.236.63', 1077013560, 1077013567, 'RU', 'Russian Federation'),
(23627, '64.49.236.64', '64.49.236.143', 1077013568, 1077013647, 'US', 'United States'),
(23628, '64.49.236.144', '64.49.236.159', 1077013648, 1077013663, 'DK', 'Denmark'),
(23629, '64.49.236.160', '64.49.236.167', 1077013664, 1077013671, 'US', 'United States'),
(23630, '64.49.236.168', '64.49.236.175', 1077013672, 1077013679, 'CA', 'Canada'),
(23631, '64.49.236.176', '64.49.236.191', 1077013680, 1077013695, 'US', 'United States'),
(23632, '64.49.236.192', '64.49.236.199', 1077013696, 1077013703, 'CA', 'Canada'),
(23633, '64.49.236.200', '64.49.236.231', 1077013704, 1077013735, 'US', 'United States'),
(23634, '64.49.236.232', '64.49.236.239', 1077013736, 1077013743, 'CR', 'Costa Rica'),
(23635, '64.49.236.240', '64.49.236.255', 1077013744, 1077013759, 'IN', 'India'),
(23636, '64.49.237.0', '64.49.238.95', 1077013760, 1077014111, 'US', 'United States'),
(23637, '64.49.238.96', '64.49.238.111', 1077014112, 1077014127, 'MX', 'Mexico'),
(23638, '64.49.238.112', '64.49.238.135', 1077014128, 1077014151, 'US', 'United States'),
(23639, '64.49.238.136', '64.49.238.143', 1077014152, 1077014159, 'AU', 'Australia'),
(23640, '64.49.238.144', '64.49.238.151', 1077014160, 1077014167, 'US', 'United States'),
(23641, '64.49.238.152', '64.49.238.159', 1077014168, 1077014175, 'IN', 'India'),
(23642, '64.49.238.160', '64.49.239.255', 1077014176, 1077014527, 'US', 'United States'),
(23643, '64.49.240.0', '64.49.240.7', 1077014528, 1077014535, 'CA', 'Canada'),
(23644, '64.49.240.8', '64.49.240.39', 1077014536, 1077014567, 'US', 'United States'),
(23645, '64.49.240.40', '64.49.240.47', 1077014568, 1077014575, 'FR', 'France'),
(23646, '64.49.240.48', '64.49.240.79', 1077014576, 1077014607, 'US', 'United States'),
(23647, '64.49.240.80', '64.49.240.95', 1077014608, 1077014623, 'BY', 'Belarus'),
(23648, '64.49.240.96', '64.49.240.103', 1077014624, 1077014631, 'US', 'United States'),
(23649, '64.49.240.104', '64.49.240.111', 1077014632, 1077014639, 'IN', 'India'),
(23650, '64.49.240.112', '64.49.240.119', 1077014640, 1077014647, 'US', 'United States'),
(23651, '64.49.240.120', '64.49.240.175', 1077014648, 1077014703, 'HK', 'Hong Kong'),
(23652, '64.49.240.176', '64.49.240.183', 1077014704, 1077014711, 'ZA', 'South Africa'),
(23653, '64.49.240.184', '64.49.240.215', 1077014712, 1077014743, 'US', 'United States'),
(23654, '64.49.240.216', '64.49.240.239', 1077014744, 1077014767, 'AE', 'United Arab Emirates'),
(23655, '64.49.240.240', '64.49.243.255', 1077014768, 1077015551, 'US', 'United States'),
(23656, '64.49.244.0', '64.49.244.7', 1077015552, 1077015559, 'GB', 'United Kingdom'),
(23657, '64.49.244.8', '64.49.244.71', 1077015560, 1077015623, 'US', 'United States'),
(23658, '64.49.244.72', '64.49.244.79', 1077015624, 1077015631, 'IN', 'India'),
(23659, '64.49.244.80', '64.49.245.23', 1077015632, 1077015831, 'US', 'United States'),
(23660, '64.49.245.24', '64.49.245.39', 1077015832, 1077015847, 'ZA', 'South Africa'),
(23661, '64.49.245.40', '64.49.245.63', 1077015848, 1077015871, 'US', 'United States'),
(23662, '64.49.245.64', '64.49.245.71', 1077015872, 1077015879, 'CA', 'Canada'),
(23663, '64.49.245.72', '64.49.245.111', 1077015880, 1077015919, 'US', 'United States'),
(23664, '64.49.245.112', '64.49.245.127', 1077015920, 1077015935, 'GB', 'United Kingdom'),
(23665, '64.49.245.128', '64.49.250.239', 1077015936, 1077017327, 'US', 'United States'),
(23666, '64.49.250.240', '64.49.250.247', 1077017328, 1077017335, 'IN', 'India'),
(23667, '64.49.250.248', '64.49.251.95', 1077017336, 1077017439, 'US', 'United States'),
(23668, '64.49.251.96', '64.49.251.111', 1077017440, 1077017455, 'FR', 'France'),
(23669, '64.49.251.112', '64.49.252.31', 1077017456, 1077017631, 'US', 'United States'),
(23670, '64.49.252.32', '64.49.252.47', 1077017632, 1077017647, 'VG', 'Virgin Islands, British'),
(23671, '64.49.252.48', '64.49.253.167', 1077017648, 1077018023, 'US', 'United States'),
(23672, '64.49.253.168', '64.49.253.175', 1077018024, 1077018031, 'GB', 'United Kingdom'),
(23673, '64.49.253.176', '64.49.253.223', 1077018032, 1077018079, 'US', 'United States'),
(23674, '64.49.253.224', '64.49.253.255', 1077018080, 1077018111, 'BD', 'Bangladesh'),
(23675, '64.49.254.0', '64.50.143.255', 1077018112, 1077055487, 'US', 'United States'),
(23676, '64.50.144.0', '64.50.159.255', 1077055488, 1077059583, 'CA', 'Canada'),
(23677, '64.50.160.0', '64.55.143.255', 1077059584, 1077383167, 'US', 'United States'),
(23678, '64.55.144.0', '64.55.147.255', 1077383168, 1077384191, 'A1', 'Anonymous Proxy'),
(23679, '64.55.148.0', '64.56.127.255', 1077384192, 1077444607, 'US', 'United States'),
(23680, '64.56.128.0', '64.56.159.255', 1077444608, 1077452799, 'CA', 'Canada'),
(23681, '64.56.160.0', '64.56.191.255', 1077452800, 1077460991, 'JP', 'Japan'),
(23682, '64.56.192.0', '64.56.223.255', 1077460992, 1077469183, 'US', 'United States'),
(23683, '64.56.224.0', '64.56.255.255', 1077469184, 1077477375, 'CA', 'Canada'),
(23684, '64.57.0.0', '64.57.111.255', 1077477376, 1077506047, 'US', 'United States'),
(23685, '64.57.112.0', '64.57.127.255', 1077506048, 1077510143, 'LS', 'Lesotho'),
(23686, '64.57.128.0', '64.58.71.239', 1077510144, 1077561327, 'US', 'United States'),
(23687, '64.58.71.240', '64.58.71.255', 1077561328, 1077561343, 'AR', 'Argentina'),
(23688, '64.58.72.0', '64.58.88.63', 1077561344, 1077565503, 'US', 'United States'),
(23689, '64.58.88.64', '64.58.88.127', 1077565504, 1077565567, 'AR', 'Argentina'),
(23690, '64.58.88.128', '64.58.95.255', 1077565568, 1077567487, 'US', 'United States'),
(23691, '64.58.96.0', '64.58.111.255', 1077567488, 1077571583, 'A2', 'Satellite Provider'),
(23692, '64.58.112.0', '64.59.73.31', 1077571584, 1077627167, 'US', 'United States'),
(23693, '64.59.73.32', '64.59.73.63', 1077627168, 1077627199, 'EC', 'Ecuador'),
(23694, '64.59.73.64', '64.59.80.223', 1077627200, 1077629151, 'US', 'United States'),
(23695, '64.59.80.224', '64.59.80.255', 1077629152, 1077629183, 'CA', 'Canada'),
(23696, '64.59.81.0', '64.59.82.95', 1077629184, 1077629535, 'US', 'United States'),
(23697, '64.59.82.96', '64.59.82.127', 1077629536, 1077629567, 'CA', 'Canada'),
(23698, '64.59.82.128', '64.59.83.207', 1077629568, 1077629903, 'US', 'United States'),
(23699, '64.59.83.208', '64.59.83.223', 1077629904, 1077629919, 'AN', 'Netherlands Antilles'),
(23700, '64.59.83.224', '64.59.88.191', 1077629920, 1077631167, 'US', 'United States'),
(23701, '64.59.88.192', '64.59.88.255', 1077631168, 1077631231, 'NL', 'Netherlands'),
(23702, '64.59.89.0', '64.59.92.159', 1077631232, 1077632159, 'US', 'United States'),
(23703, '64.59.92.160', '64.59.92.191', 1077632160, 1077632191, 'GB', 'United Kingdom'),
(23704, '64.59.92.192', '64.59.99.31', 1077632192, 1077633823, 'US', 'United States'),
(23705, '64.59.99.32', '64.59.99.63', 1077633824, 1077633855, 'AN', 'Netherlands Antilles'),
(23706, '64.59.99.64', '64.59.126.95', 1077633856, 1077640799, 'US', 'United States'),
(23707, '64.59.126.96', '64.59.126.127', 1077640800, 1077640831, 'EC', 'Ecuador'),
(23708, '64.59.126.128', '64.59.127.255', 1077640832, 1077641215, 'US', 'United States'),
(23709, '64.59.128.0', '64.59.191.255', 1077641216, 1077657599, 'CA', 'Canada'),
(23710, '64.59.192.0', '64.62.132.255', 1077657600, 1077839103, 'US', 'United States'),
(23711, '64.62.133.0', '64.62.133.15', 1077839104, 1077839119, 'ES', 'Spain'),
(23712, '64.62.133.16', '64.62.134.183', 1077839120, 1077839543, 'US', 'United States'),
(23713, '64.62.134.184', '64.62.134.191', 1077839544, 1077839551, 'ES', 'Spain'),
(23714, '64.62.134.192', '64.62.137.255', 1077839552, 1077840383, 'US', 'United States'),
(23715, '64.62.138.0', '64.62.138.255', 1077840384, 1077840639, 'A1', 'Anonymous Proxy'),
(23716, '64.62.139.0', '64.62.140.255', 1077840640, 1077841151, 'US', 'United States'),
(23717, '64.62.141.0', '64.62.141.255', 1077841152, 1077841407, 'GB', 'United Kingdom'),
(23718, '64.62.142.0', '64.62.143.7', 1077841408, 1077841671, 'US', 'United States'),
(23719, '64.62.143.8', '64.62.143.15', 1077841672, 1077841679, 'ES', 'Spain'),
(23720, '64.62.143.16', '64.62.151.7', 1077841680, 1077843719, 'US', 'United States'),
(23721, '64.62.151.8', '64.62.151.15', 1077843720, 1077843727, 'CN', 'China'),
(23722, '64.62.151.16', '64.62.153.159', 1077843728, 1077844383, 'US', 'United States'),
(23723, '64.62.153.160', '64.62.153.167', 1077844384, 1077844391, 'A1', 'Anonymous Proxy'),
(23724, '64.62.153.168', '64.62.160.255', 1077844392, 1077846271, 'US', 'United States'),
(23725, '64.62.161.0', '64.62.161.255', 1077846272, 1077846527, 'JP', 'Japan'),
(23726, '64.62.162.0', '64.62.169.255', 1077846528, 1077848575, 'US', 'United States'),
(23727, '64.62.170.0', '64.62.170.255', 1077848576, 1077848831, 'GR', 'Greece'),
(23728, '64.62.171.0', '64.62.180.239', 1077848832, 1077851375, 'US', 'United States'),
(23729, '64.62.180.240', '64.62.180.247', 1077851376, 1077851383, 'FR', 'France'),
(23730, '64.62.180.248', '64.62.181.79', 1077851384, 1077851471, 'US', 'United States'),
(23731, '64.62.181.80', '64.62.181.95', 1077851472, 1077851487, 'HK', 'Hong Kong'),
(23732, '64.62.181.96', '64.62.185.255', 1077851488, 1077852671, 'US', 'United States'),
(23733, '64.62.186.0', '64.62.186.255', 1077852672, 1077852927, 'CA', 'Canada'),
(23734, '64.62.187.0', '64.62.199.15', 1077852928, 1077856015, 'US', 'United States'),
(23735, '64.62.199.16', '64.62.199.31', 1077856016, 1077856031, 'IT', 'Italy'),
(23736, '64.62.199.32', '64.62.199.127', 1077856032, 1077856127, 'US', 'United States'),
(23737, '64.62.199.128', '64.62.199.191', 1077856128, 1077856191, 'AU', 'Australia'),
(23738, '64.62.199.192', '64.62.199.223', 1077856192, 1077856223, 'IT', 'Italy'),
(23739, '64.62.199.224', '64.62.203.255', 1077856224, 1077857279, 'US', 'United States'),
(23740, '64.62.204.0', '64.62.204.255', 1077857280, 1077857535, 'CA', 'Canada'),
(23741, '64.62.205.0', '64.62.205.31', 1077857536, 1077857567, 'US', 'United States'),
(23742, '64.62.205.32', '64.62.205.39', 1077857568, 1077857575, 'IT', 'Italy'),
(23743, '64.62.205.40', '64.62.206.223', 1077857576, 1077858015, 'US', 'United States'),
(23744, '64.62.206.224', '64.62.206.255', 1077858016, 1077858047, 'CN', 'China'),
(23745, '64.62.207.0', '64.62.210.95', 1077858048, 1077858911, 'US', 'United States'),
(23746, '64.62.210.96', '64.62.210.127', 1077858912, 1077858943, 'LV', 'Latvia'),
(23747, '64.62.210.128', '64.62.210.159', 1077858944, 1077858975, 'ZA', 'South Africa'),
(23748, '64.62.210.160', '64.62.214.95', 1077858976, 1077859935, 'US', 'United States'),
(23749, '64.62.214.96', '64.62.214.111', 1077859936, 1077859951, 'IT', 'Italy'),
(23750, '64.62.214.112', '64.62.214.127', 1077859952, 1077859967, 'US', 'United States'),
(23751, '64.62.214.128', '64.62.214.255', 1077859968, 1077860095, 'IT', 'Italy'),
(23752, '64.62.215.0', '64.62.218.255', 1077860096, 1077861119, 'US', 'United States'),
(23753, '64.62.219.0', '64.62.219.255', 1077861120, 1077861375, 'IT', 'Italy'),
(23754, '64.62.220.0', '64.62.227.39', 1077861376, 1077863207, 'US', 'United States'),
(23755, '64.62.227.40', '64.62.227.47', 1077863208, 1077863215, 'NG', 'Nigeria'),
(23756, '64.62.227.48', '64.62.232.255', 1077863216, 1077864703, 'US', 'United States'),
(23757, '64.62.233.0', '64.62.233.15', 1077864704, 1077864719, 'IT', 'Italy'),
(23758, '64.62.233.16', '64.62.237.255', 1077864720, 1077865983, 'US', 'United States'),
(23759, '64.62.238.0', '64.62.238.255', 1077865984, 1077866239, 'CA', 'Canada'),
(23760, '64.62.239.0', '64.62.244.135', 1077866240, 1077867655, 'US', 'United States'),
(23761, '64.62.244.136', '64.62.244.143', 1077867656, 1077867663, 'CK', 'Cook Islands'),
(23762, '64.62.244.144', '64.62.244.255', 1077867664, 1077867775, 'US', 'United States'),
(23763, '64.62.245.0', '64.62.246.127', 1077867776, 1077868159, 'IT', 'Italy'),
(23764, '64.62.246.128', '64.62.249.31', 1077868160, 1077868831, 'US', 'United States'),
(23765, '64.62.249.32', '64.62.249.47', 1077868832, 1077868847, 'AE', 'United Arab Emirates'),
(23766, '64.62.249.48', '64.62.252.95', 1077868848, 1077869663, 'US', 'United States'),
(23767, '64.62.252.96', '64.62.252.103', 1077869664, 1077869671, 'LV', 'Latvia'),
(23768, '64.62.252.104', '64.62.252.191', 1077869672, 1077869759, 'US', 'United States'),
(23769, '64.62.252.192', '64.62.252.255', 1077869760, 1077869823, 'GR', 'Greece'),
(23770, '64.62.253.0', '64.62.254.255', 1077869824, 1077870335, 'US', 'United States'),
(23771, '64.62.255.0', '64.62.255.255', 1077870336, 1077870591, 'CN', 'China'),
(23772, '64.63.0.0', '64.64.0.9', 1077870592, 1077936137, 'US', 'United States'),
(23773, '64.64.0.10', '64.64.0.13', 1077936138, 1077936141, 'CN', 'China'),
(23774, '64.64.0.14', '64.64.0.21', 1077936142, 1077936149, 'US', 'United States'),
(23775, '64.64.0.22', '64.64.0.22', 1077936150, 1077936150, 'NL', 'Netherlands'),
(23776, '64.64.0.23', '64.64.0.23', 1077936151, 1077936151, 'GB', 'United Kingdom'),
(23777, '64.64.0.24', '64.64.0.41', 1077936152, 1077936169, 'US', 'United States'),
(23778, '64.64.0.42', '64.64.0.45', 1077936170, 1077936173, 'CA', 'Canada'),
(23779, '64.64.0.46', '64.64.0.61', 1077936174, 1077936189, 'US', 'United States'),
(23780, '64.64.0.62', '64.64.0.65', 1077936190, 1077936193, 'CA', 'Canada'),
(23781, '64.64.0.66', '64.64.0.73', 1077936194, 1077936201, 'US', 'United States'),
(23782, '64.64.0.74', '64.64.0.77', 1077936202, 1077936205, 'GB', 'United Kingdom'),
(23783, '64.64.0.78', '64.64.0.81', 1077936206, 1077936209, 'US', 'United States'),
(23784, '64.64.0.82', '64.64.0.85', 1077936210, 1077936213, 'GR', 'Greece'),
(23785, '64.64.0.86', '64.64.0.97', 1077936214, 1077936225, 'US', 'United States'),
(23786, '64.64.0.98', '64.64.0.101', 1077936226, 1077936229, 'IN', 'India'),
(23787, '64.64.0.102', '64.64.0.105', 1077936230, 1077936233, 'US', 'United States'),
(23788, '64.64.0.106', '64.64.0.109', 1077936234, 1077936237, 'ES', 'Spain'),
(23789, '64.64.0.110', '64.64.0.129', 1077936238, 1077936257, 'US', 'United States'),
(23790, '64.64.0.130', '64.64.0.133', 1077936258, 1077936261, 'AU', 'Australia'),
(23791, '64.64.0.134', '64.64.0.137', 1077936262, 1077936265, 'IN', 'India'),
(23792, '64.64.0.138', '64.64.0.145', 1077936266, 1077936273, 'US', 'United States'),
(23793, '64.64.0.146', '64.64.0.149', 1077936274, 1077936277, 'ES', 'Spain'),
(23794, '64.64.0.150', '64.64.0.169', 1077936278, 1077936297, 'US', 'United States'),
(23795, '64.64.0.170', '64.64.0.173', 1077936298, 1077936301, 'NG', 'Nigeria'),
(23796, '64.64.0.174', '64.64.0.177', 1077936302, 1077936305, 'US', 'United States'),
(23797, '64.64.0.178', '64.64.0.181', 1077936306, 1077936309, 'ZA', 'South Africa'),
(23798, '64.64.0.182', '64.64.0.185', 1077936310, 1077936313, 'US', 'United States'),
(23799, '64.64.0.186', '64.64.0.189', 1077936314, 1077936317, 'BR', 'Brazil'),
(23800, '64.64.0.190', '64.64.0.193', 1077936318, 1077936321, 'US', 'United States'),
(23801, '64.64.0.194', '64.64.0.197', 1077936322, 1077936325, 'GB', 'United Kingdom'),
(23802, '64.64.0.198', '64.64.0.201', 1077936326, 1077936329, 'MX', 'Mexico'),
(23803, '64.64.0.202', '64.64.0.217', 1077936330, 1077936345, 'US', 'United States'),
(23804, '64.64.0.218', '64.64.0.221', 1077936346, 1077936349, 'DO', 'Dominican Republic'),
(23805, '64.64.0.222', '64.64.0.223', 1077936350, 1077936351, 'IN', 'India'),
(23806, '64.64.0.224', '64.64.0.237', 1077936352, 1077936365, 'US', 'United States'),
(23807, '64.64.0.238', '64.64.0.241', 1077936366, 1077936369, 'NO', 'Norway'),
(23808, '64.64.0.242', '64.64.0.245', 1077936370, 1077936373, 'GB', 'United Kingdom'),
(23809, '64.64.0.246', '64.64.0.249', 1077936374, 1077936377, 'US', 'United States'),
(23810, '64.64.0.250', '64.64.0.253', 1077936378, 1077936381, 'IE', 'Ireland'),
(23811, '64.64.0.254', '64.64.1.17', 1077936382, 1077936401, 'US', 'United States'),
(23812, '64.64.1.18', '64.64.1.25', 1077936402, 1077936409, 'GB', 'United Kingdom'),
(23813, '64.64.1.26', '64.64.1.29', 1077936410, 1077936413, 'CO', 'Colombia'),
(23814, '64.64.1.30', '64.64.1.33', 1077936414, 1077936417, 'AU', 'Australia'),
(23815, '64.64.1.34', '64.64.1.42', 1077936418, 1077936426, 'US', 'United States'),
(23816, '64.64.1.43', '64.64.1.45', 1077936427, 1077936429, 'TH', 'Thailand'),
(23817, '64.64.1.46', '64.64.1.49', 1077936430, 1077936433, 'US', 'United States'),
(23818, '64.64.1.50', '64.64.1.53', 1077936434, 1077936437, 'CZ', 'Czech Republic'),
(23819, '64.64.1.54', '64.64.1.57', 1077936438, 1077936441, 'NO', 'Norway'),
(23820, '64.64.1.58', '64.64.1.61', 1077936442, 1077936445, 'US', 'United States'),
(23821, '64.64.1.62', '64.64.1.65', 1077936446, 1077936449, 'TW', 'Taiwan'),
(23822, '64.64.1.66', '64.64.1.69', 1077936450, 1077936453, 'US', 'United States'),
(23823, '64.64.1.70', '64.64.1.73', 1077936454, 1077936457, 'PT', 'Portugal'),
(23824, '64.64.1.74', '64.64.1.77', 1077936458, 1077936461, 'US', 'United States'),
(23825, '64.64.1.78', '64.64.1.79', 1077936462, 1077936463, 'GB', 'United Kingdom'),
(23826, '64.64.1.80', '64.64.1.81', 1077936464, 1077936465, 'US', 'United States'),
(23827, '64.64.1.82', '64.64.1.85', 1077936466, 1077936469, 'IN', 'India'),
(23828, '64.64.1.86', '64.64.1.89', 1077936470, 1077936473, 'US', 'United States'),
(23829, '64.64.1.90', '64.64.1.90', 1077936474, 1077936474, 'CA', 'Canada'),
(23830, '64.64.1.91', '64.64.1.91', 1077936475, 1077936475, 'US', 'United States'),
(23831, '64.64.1.92', '64.64.1.93', 1077936476, 1077936477, 'GB', 'United Kingdom'),
(23832, '64.64.1.94', '64.64.1.101', 1077936478, 1077936485, 'US', 'United States'),
(23833, '64.64.1.102', '64.64.1.105', 1077936486, 1077936489, 'TR', 'Turkey'),
(23834, '64.64.1.106', '64.64.1.109', 1077936490, 1077936493, 'FR', 'France'),
(23835, '64.64.1.110', '64.64.1.117', 1077936494, 1077936501, 'US', 'United States'),
(23836, '64.64.1.118', '64.64.1.121', 1077936502, 1077936505, 'AR', 'Argentina'),
(23837, '64.64.1.122', '64.64.1.129', 1077936506, 1077936513, 'US', 'United States'),
(23838, '64.64.1.130', '64.64.1.133', 1077936514, 1077936517, 'BR', 'Brazil'),
(23839, '64.64.1.134', '64.64.1.137', 1077936518, 1077936521, 'US', 'United States'),
(23840, '64.64.1.138', '64.64.1.141', 1077936522, 1077936525, 'IN', 'India'),
(23841, '64.64.1.142', '64.64.1.145', 1077936526, 1077936529, 'US', 'United States'),
(23842, '64.64.1.146', '64.64.1.149', 1077936530, 1077936533, 'PH', 'Philippines'),
(23843, '64.64.1.150', '64.64.1.161', 1077936534, 1077936545, 'US', 'United States'),
(23844, '64.64.1.162', '64.64.1.165', 1077936546, 1077936549, 'MY', 'Malaysia'),
(23845, '64.64.1.166', '64.64.1.189', 1077936550, 1077936573, 'US', 'United States'),
(23846, '64.64.1.190', '64.64.1.193', 1077936574, 1077936577, 'AR', 'Argentina'),
(23847, '64.64.1.194', '64.64.1.209', 1077936578, 1077936593, 'US', 'United States'),
(23848, '64.64.1.210', '64.64.1.213', 1077936594, 1077936597, 'GR', 'Greece'),
(23849, '64.64.1.214', '64.64.1.217', 1077936598, 1077936601, 'CA', 'Canada'),
(23850, '64.64.1.218', '64.64.1.221', 1077936602, 1077936605, 'TH', 'Thailand'),
(23851, '64.64.1.222', '64.64.1.225', 1077936606, 1077936609, 'JO', 'Jordan'),
(23852, '64.64.1.226', '64.64.1.229', 1077936610, 1077936613, 'US', 'United States'),
(23853, '64.64.1.230', '64.64.1.233', 1077936614, 1077936617, 'UY', 'Uruguay'),
(23854, '64.64.1.234', '64.64.1.237', 1077936618, 1077936621, 'US', 'United States'),
(23855, '64.64.1.238', '64.64.1.238', 1077936622, 1077936622, 'AU', 'Australia'),
(23856, '64.64.1.239', '64.64.1.246', 1077936623, 1077936630, 'US', 'United States'),
(23857, '64.64.1.247', '64.64.1.250', 1077936631, 1077936634, 'PE', 'Peru'),
(23858, '64.64.1.251', '64.64.1.254', 1077936635, 1077936638, 'CA', 'Canada'),
(23859, '64.64.1.255', '64.64.2.5', 1077936639, 1077936645, 'US', 'United States'),
(23860, '64.64.2.6', '64.64.2.9', 1077936646, 1077936649, 'HK', 'Hong Kong'),
(23861, '64.64.2.10', '64.64.2.13', 1077936650, 1077936653, 'CA', 'Canada'),
(23862, '64.64.2.14', '64.64.2.27', 1077936654, 1077936667, 'US', 'United States'),
(23863, '64.64.2.28', '64.64.2.31', 1077936668, 1077936671, 'CA', 'Canada'),
(23864, '64.64.2.32', '64.64.2.43', 1077936672, 1077936683, 'US', 'United States'),
(23865, '64.64.2.44', '64.64.2.44', 1077936684, 1077936684, 'HU', 'Hungary'),
(23866, '64.64.2.45', '64.64.2.51', 1077936685, 1077936691, 'US', 'United States'),
(23867, '64.64.2.52', '64.64.2.55', 1077936692, 1077936695, 'IT', 'Italy'),
(23868, '64.64.2.56', '64.64.2.59', 1077936696, 1077936699, 'OM', 'Oman'),
(23869, '64.64.2.60', '64.64.2.102', 1077936700, 1077936742, 'US', 'United States'),
(23870, '64.64.2.103', '64.64.2.103', 1077936743, 1077936743, 'BE', 'Belgium'),
(23871, '64.64.2.104', '64.64.2.119', 1077936744, 1077936759, 'US', 'United States'),
(23872, '64.64.2.120', '64.64.2.123', 1077936760, 1077936763, 'GB', 'United Kingdom'),
(23873, '64.64.2.124', '64.64.2.127', 1077936764, 1077936767, 'UA', 'Ukraine'),
(23874, '64.64.2.128', '64.64.2.131', 1077936768, 1077936771, 'US', 'United States'),
(23875, '64.64.2.132', '64.64.2.135', 1077936772, 1077936775, 'IT', 'Italy'),
(23876, '64.64.2.136', '64.64.2.149', 1077936776, 1077936789, 'US', 'United States'),
(23877, '64.64.2.150', '64.64.2.153', 1077936790, 1077936793, 'NG', 'Nigeria'),
(23878, '64.64.2.154', '64.64.2.157', 1077936794, 1077936797, 'AU', 'Australia'),
(23879, '64.64.2.158', '64.64.2.161', 1077936798, 1077936801, 'SI', 'Slovenia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(23880, '64.64.2.162', '64.64.2.165', 1077936802, 1077936805, 'IT', 'Italy'),
(23881, '64.64.2.166', '64.64.2.178', 1077936806, 1077936818, 'US', 'United States'),
(23882, '64.64.2.179', '64.64.2.182', 1077936819, 1077936822, 'RS', 'Serbia'),
(23883, '64.64.2.183', '64.64.2.186', 1077936823, 1077936826, 'TH', 'Thailand'),
(23884, '64.64.2.187', '64.64.2.194', 1077936827, 1077936834, 'US', 'United States'),
(23885, '64.64.2.195', '64.64.2.198', 1077936835, 1077936838, 'VE', 'Venezuela'),
(23886, '64.64.2.199', '64.64.2.206', 1077936839, 1077936846, 'US', 'United States'),
(23887, '64.64.2.207', '64.64.2.210', 1077936847, 1077936850, 'PK', 'Pakistan'),
(23888, '64.64.2.211', '64.64.2.214', 1077936851, 1077936854, 'GB', 'United Kingdom'),
(23889, '64.64.2.215', '64.64.2.219', 1077936855, 1077936859, 'IN', 'India'),
(23890, '64.64.2.220', '64.64.2.231', 1077936860, 1077936871, 'US', 'United States'),
(23891, '64.64.2.232', '64.64.2.235', 1077936872, 1077936875, 'LV', 'Latvia'),
(23892, '64.64.2.236', '64.64.2.239', 1077936876, 1077936879, 'CA', 'Canada'),
(23893, '64.64.2.240', '64.64.2.243', 1077936880, 1077936883, 'IT', 'Italy'),
(23894, '64.64.2.244', '64.64.2.247', 1077936884, 1077936887, 'CO', 'Colombia'),
(23895, '64.64.2.248', '64.64.2.251', 1077936888, 1077936891, 'US', 'United States'),
(23896, '64.64.2.252', '64.64.2.252', 1077936892, 1077936892, 'OM', 'Oman'),
(23897, '64.64.2.253', '64.64.3.17', 1077936893, 1077936913, 'US', 'United States'),
(23898, '64.64.3.18', '64.64.3.21', 1077936914, 1077936917, 'ES', 'Spain'),
(23899, '64.64.3.22', '64.64.3.25', 1077936918, 1077936921, 'ID', 'Indonesia'),
(23900, '64.64.3.26', '64.64.3.49', 1077936922, 1077936945, 'US', 'United States'),
(23901, '64.64.3.50', '64.64.3.53', 1077936946, 1077936949, 'GB', 'United Kingdom'),
(23902, '64.64.3.54', '64.64.3.61', 1077936950, 1077936957, 'US', 'United States'),
(23903, '64.64.3.62', '64.64.3.65', 1077936958, 1077936961, 'MA', 'Morocco'),
(23904, '64.64.3.66', '64.64.3.69', 1077936962, 1077936965, 'TR', 'Turkey'),
(23905, '64.64.3.70', '64.64.3.73', 1077936966, 1077936969, 'SE', 'Sweden'),
(23906, '64.64.3.74', '64.64.3.85', 1077936970, 1077936981, 'US', 'United States'),
(23907, '64.64.3.86', '64.64.3.89', 1077936982, 1077936985, 'AR', 'Argentina'),
(23908, '64.64.3.90', '64.64.3.93', 1077936986, 1077936989, 'ES', 'Spain'),
(23909, '64.64.3.94', '64.64.3.109', 1077936990, 1077937005, 'US', 'United States'),
(23910, '64.64.3.110', '64.64.3.111', 1077937006, 1077937007, 'CA', 'Canada'),
(23911, '64.64.3.112', '64.64.3.119', 1077937008, 1077937015, 'US', 'United States'),
(23912, '64.64.3.120', '64.64.3.123', 1077937016, 1077937019, 'CA', 'Canada'),
(23913, '64.64.3.124', '64.64.3.127', 1077937020, 1077937023, 'GB', 'United Kingdom'),
(23914, '64.64.3.128', '64.64.3.131', 1077937024, 1077937027, 'DE', 'Germany'),
(23915, '64.64.3.132', '64.64.3.151', 1077937028, 1077937047, 'US', 'United States'),
(23916, '64.64.3.152', '64.64.3.155', 1077937048, 1077937051, 'BZ', 'Belize'),
(23917, '64.64.3.156', '64.64.3.171', 1077937052, 1077937067, 'US', 'United States'),
(23918, '64.64.3.172', '64.64.3.175', 1077937068, 1077937071, 'GB', 'United Kingdom'),
(23919, '64.64.3.176', '64.64.3.183', 1077937072, 1077937079, 'US', 'United States'),
(23920, '64.64.3.184', '64.64.3.187', 1077937080, 1077937083, 'SE', 'Sweden'),
(23921, '64.64.3.188', '64.64.3.191', 1077937084, 1077937087, 'US', 'United States'),
(23922, '64.64.3.192', '64.64.3.192', 1077937088, 1077937088, 'BE', 'Belgium'),
(23923, '64.64.3.193', '64.64.3.193', 1077937089, 1077937089, 'CA', 'Canada'),
(23924, '64.64.3.194', '64.64.3.197', 1077937090, 1077937093, 'IT', 'Italy'),
(23925, '64.64.3.198', '64.64.3.233', 1077937094, 1077937129, 'US', 'United States'),
(23926, '64.64.3.234', '64.64.3.237', 1077937130, 1077937133, 'CA', 'Canada'),
(23927, '64.64.3.238', '64.64.3.241', 1077937134, 1077937137, 'NG', 'Nigeria'),
(23928, '64.64.3.242', '64.64.3.249', 1077937138, 1077937145, 'US', 'United States'),
(23929, '64.64.3.250', '64.64.3.253', 1077937146, 1077937149, 'CA', 'Canada'),
(23930, '64.64.3.254', '64.64.4.5', 1077937150, 1077937157, 'US', 'United States'),
(23931, '64.64.4.6', '64.64.4.9', 1077937158, 1077937161, 'TR', 'Turkey'),
(23932, '64.64.4.10', '64.64.4.13', 1077937162, 1077937165, 'NI', 'Nicaragua'),
(23933, '64.64.4.14', '64.64.4.28', 1077937166, 1077937180, 'US', 'United States'),
(23934, '64.64.4.29', '64.64.4.32', 1077937181, 1077937184, 'SA', 'Saudi Arabia'),
(23935, '64.64.4.33', '64.64.4.44', 1077937185, 1077937196, 'US', 'United States'),
(23936, '64.64.4.45', '64.64.4.48', 1077937197, 1077937200, 'LK', 'Sri Lanka'),
(23937, '64.64.4.49', '64.64.4.52', 1077937201, 1077937204, 'US', 'United States'),
(23938, '64.64.4.53', '64.64.4.56', 1077937205, 1077937208, 'AT', 'Austria'),
(23939, '64.64.4.57', '64.64.4.60', 1077937209, 1077937212, 'US', 'United States'),
(23940, '64.64.4.61', '64.64.4.62', 1077937213, 1077937214, 'CA', 'Canada'),
(23941, '64.64.4.63', '64.64.4.70', 1077937215, 1077937222, 'US', 'United States'),
(23942, '64.64.4.71', '64.64.4.74', 1077937223, 1077937226, 'CA', 'Canada'),
(23943, '64.64.4.75', '64.64.4.78', 1077937227, 1077937230, 'JM', 'Jamaica'),
(23944, '64.64.4.79', '64.64.4.83', 1077937231, 1077937235, 'US', 'United States'),
(23945, '64.64.4.84', '64.64.4.87', 1077937236, 1077937239, 'JO', 'Jordan'),
(23946, '64.64.4.88', '64.64.4.108', 1077937240, 1077937260, 'US', 'United States'),
(23947, '64.64.4.109', '64.64.4.117', 1077937261, 1077937269, 'EE', 'Estonia'),
(23948, '64.64.4.118', '64.64.4.121', 1077937270, 1077937273, 'LV', 'Latvia'),
(23949, '64.64.4.122', '64.64.4.137', 1077937274, 1077937289, 'US', 'United States'),
(23950, '64.64.4.138', '64.64.4.141', 1077937290, 1077937293, 'GF', 'French Guiana'),
(23951, '64.64.4.142', '64.64.4.145', 1077937294, 1077937297, 'US', 'United States'),
(23952, '64.64.4.146', '64.64.4.149', 1077937298, 1077937301, 'GB', 'United Kingdom'),
(23953, '64.64.4.150', '64.64.4.153', 1077937302, 1077937305, 'US', 'United States'),
(23954, '64.64.4.154', '64.64.4.157', 1077937306, 1077937309, 'ES', 'Spain'),
(23955, '64.64.4.158', '64.64.4.183', 1077937310, 1077937335, 'US', 'United States'),
(23956, '64.64.4.184', '64.64.4.197', 1077937336, 1077937349, 'GB', 'United Kingdom'),
(23957, '64.64.4.198', '64.64.4.201', 1077937350, 1077937353, 'CA', 'Canada'),
(23958, '64.64.4.202', '64.64.4.205', 1077937354, 1077937357, 'US', 'United States'),
(23959, '64.64.4.206', '64.64.4.209', 1077937358, 1077937361, 'CA', 'Canada'),
(23960, '64.64.4.210', '64.64.4.213', 1077937362, 1077937365, 'US', 'United States'),
(23961, '64.64.4.214', '64.64.4.217', 1077937366, 1077937369, 'AR', 'Argentina'),
(23962, '64.64.4.218', '64.64.4.242', 1077937370, 1077937394, 'CA', 'Canada'),
(23963, '64.64.4.243', '64.64.4.246', 1077937395, 1077937398, 'CN', 'China'),
(23964, '64.64.4.247', '64.64.4.250', 1077937399, 1077937402, 'MX', 'Mexico'),
(23965, '64.64.4.251', '64.64.5.9', 1077937403, 1077937417, 'US', 'United States'),
(23966, '64.64.5.10', '64.64.5.13', 1077937418, 1077937421, 'IN', 'India'),
(23967, '64.64.5.14', '64.64.5.21', 1077937422, 1077937429, 'US', 'United States'),
(23968, '64.64.5.22', '64.64.5.25', 1077937430, 1077937433, 'TH', 'Thailand'),
(23969, '64.64.5.26', '64.64.5.29', 1077937434, 1077937437, 'GB', 'United Kingdom'),
(23970, '64.64.5.30', '64.64.5.33', 1077937438, 1077937441, 'CA', 'Canada'),
(23971, '64.64.5.34', '64.64.5.37', 1077937442, 1077937445, 'US', 'United States'),
(23972, '64.64.5.38', '64.64.5.39', 1077937446, 1077937447, 'ES', 'Spain'),
(23973, '64.64.5.40', '64.64.5.41', 1077937448, 1077937449, 'US', 'United States'),
(23974, '64.64.5.42', '64.64.5.45', 1077937450, 1077937453, 'GR', 'Greece'),
(23975, '64.64.5.46', '64.64.5.49', 1077937454, 1077937457, 'SA', 'Saudi Arabia'),
(23976, '64.64.5.50', '64.64.5.53', 1077937458, 1077937461, 'GB', 'United Kingdom'),
(23977, '64.64.5.54', '64.64.5.66', 1077937462, 1077937474, 'US', 'United States'),
(23978, '64.64.5.67', '64.64.5.70', 1077937475, 1077937478, 'DK', 'Denmark'),
(23979, '64.64.5.71', '64.64.5.74', 1077937479, 1077937482, 'MX', 'Mexico'),
(23980, '64.64.5.75', '64.64.5.76', 1077937483, 1077937484, 'US', 'United States'),
(23981, '64.64.5.77', '64.64.5.77', 1077937485, 1077937485, 'LK', 'Sri Lanka'),
(23982, '64.64.5.78', '64.64.5.94', 1077937486, 1077937502, 'US', 'United States'),
(23983, '64.64.5.95', '64.64.5.98', 1077937503, 1077937506, 'GB', 'United Kingdom'),
(23984, '64.64.5.99', '64.64.5.102', 1077937507, 1077937510, 'CH', 'Switzerland'),
(23985, '64.64.5.103', '64.64.5.106', 1077937511, 1077937514, 'CR', 'Costa Rica'),
(23986, '64.64.5.107', '64.64.5.123', 1077937515, 1077937531, 'US', 'United States'),
(23987, '64.64.5.124', '64.64.5.127', 1077937532, 1077937535, 'IN', 'India'),
(23988, '64.64.5.128', '64.64.5.131', 1077937536, 1077937539, 'ES', 'Spain'),
(23989, '64.64.5.132', '64.64.5.139', 1077937540, 1077937547, 'AT', 'Austria'),
(23990, '64.64.5.140', '64.64.5.163', 1077937548, 1077937571, 'US', 'United States'),
(23991, '64.64.5.164', '64.64.5.167', 1077937572, 1077937575, 'CY', 'Cyprus'),
(23992, '64.64.5.168', '64.64.5.169', 1077937576, 1077937577, 'GB', 'United Kingdom'),
(23993, '64.64.5.170', '64.64.5.189', 1077937578, 1077937597, 'US', 'United States'),
(23994, '64.64.5.190', '64.64.5.193', 1077937598, 1077937601, 'IN', 'India'),
(23995, '64.64.5.194', '64.64.5.209', 1077937602, 1077937617, 'US', 'United States'),
(23996, '64.64.5.210', '64.64.5.213', 1077937618, 1077937621, 'IN', 'India'),
(23997, '64.64.5.214', '64.64.5.217', 1077937622, 1077937625, 'GB', 'United Kingdom'),
(23998, '64.64.5.218', '64.64.5.221', 1077937626, 1077937629, 'IT', 'Italy'),
(23999, '64.64.5.222', '64.64.6.14', 1077937630, 1077937678, 'US', 'United States'),
(24000, '64.64.6.15', '64.64.6.18', 1077937679, 1077937682, 'ZA', 'South Africa'),
(24001, '64.64.6.19', '64.64.6.22', 1077937683, 1077937686, 'US', 'United States'),
(24002, '64.64.6.23', '64.64.6.26', 1077937687, 1077937690, 'IN', 'India'),
(24003, '64.64.6.27', '64.64.6.38', 1077937691, 1077937702, 'US', 'United States'),
(24004, '64.64.6.39', '64.64.6.42', 1077937703, 1077937706, 'PK', 'Pakistan'),
(24005, '64.64.6.43', '64.64.6.46', 1077937707, 1077937710, 'RS', 'Serbia'),
(24006, '64.64.6.47', '64.64.6.50', 1077937711, 1077937714, 'AN', 'Netherlands Antilles'),
(24007, '64.64.6.51', '64.64.6.54', 1077937715, 1077937718, 'US', 'United States'),
(24008, '64.64.6.55', '64.64.6.58', 1077937719, 1077937722, 'IN', 'India'),
(24009, '64.64.6.59', '64.64.6.62', 1077937723, 1077937726, 'AU', 'Australia'),
(24010, '64.64.6.63', '64.64.6.66', 1077937727, 1077937730, 'SG', 'Singapore'),
(24011, '64.64.6.67', '64.64.6.70', 1077937731, 1077937734, 'US', 'United States'),
(24012, '64.64.6.71', '64.64.6.74', 1077937735, 1077937738, 'BA', 'Bosnia and Herzegovina'),
(24013, '64.64.6.75', '64.64.6.78', 1077937739, 1077937742, 'IL', 'Israel'),
(24014, '64.64.6.79', '64.64.6.86', 1077937743, 1077937750, 'US', 'United States'),
(24015, '64.64.6.87', '64.64.6.90', 1077937751, 1077937754, 'AU', 'Australia'),
(24016, '64.64.6.91', '64.64.6.94', 1077937755, 1077937758, 'US', 'United States'),
(24017, '64.64.6.95', '64.64.6.98', 1077937759, 1077937762, 'NL', 'Netherlands'),
(24018, '64.64.6.99', '64.64.6.102', 1077937763, 1077937766, 'US', 'United States'),
(24019, '64.64.6.103', '64.64.6.106', 1077937767, 1077937770, 'RU', 'Russian Federation'),
(24020, '64.64.6.107', '64.64.6.138', 1077937771, 1077937802, 'US', 'United States'),
(24021, '64.64.6.139', '64.64.6.142', 1077937803, 1077937806, 'BE', 'Belgium'),
(24022, '64.64.6.143', '64.64.6.158', 1077937807, 1077937822, 'US', 'United States'),
(24023, '64.64.6.159', '64.64.6.162', 1077937823, 1077937826, 'GB', 'United Kingdom'),
(24024, '64.64.6.163', '64.64.6.190', 1077937827, 1077937854, 'US', 'United States'),
(24025, '64.64.6.191', '64.64.6.198', 1077937855, 1077937862, 'TH', 'Thailand'),
(24026, '64.64.6.199', '64.64.6.202', 1077937863, 1077937866, 'SA', 'Saudi Arabia'),
(24027, '64.64.6.203', '64.64.6.206', 1077937867, 1077937870, 'GB', 'United Kingdom'),
(24028, '64.64.6.207', '64.64.6.214', 1077937871, 1077937878, 'US', 'United States'),
(24029, '64.64.6.215', '64.64.6.218', 1077937879, 1077937882, 'GB', 'United Kingdom'),
(24030, '64.64.6.219', '64.64.6.222', 1077937883, 1077937886, 'US', 'United States'),
(24031, '64.64.6.223', '64.64.6.226', 1077937887, 1077937890, 'GR', 'Greece'),
(24032, '64.64.6.227', '64.64.6.238', 1077937891, 1077937902, 'US', 'United States'),
(24033, '64.64.6.239', '64.64.6.242', 1077937903, 1077937906, 'IN', 'India'),
(24034, '64.64.6.243', '64.64.7.13', 1077937907, 1077937933, 'US', 'United States'),
(24035, '64.64.7.14', '64.64.7.17', 1077937934, 1077937937, 'IT', 'Italy'),
(24036, '64.64.7.18', '64.64.7.21', 1077937938, 1077937941, 'US', 'United States'),
(24037, '64.64.7.22', '64.64.7.25', 1077937942, 1077937945, 'NO', 'Norway'),
(24038, '64.64.7.26', '64.64.7.29', 1077937946, 1077937949, 'MY', 'Malaysia'),
(24039, '64.64.7.30', '64.64.7.33', 1077937950, 1077937953, 'CL', 'Chile'),
(24040, '64.64.7.34', '64.64.7.43', 1077937954, 1077937963, 'US', 'United States'),
(24041, '64.64.7.44', '64.64.7.47', 1077937964, 1077937967, 'NO', 'Norway'),
(24042, '64.64.7.48', '64.64.7.55', 1077937968, 1077937975, 'US', 'United States'),
(24043, '64.64.7.56', '64.64.7.59', 1077937976, 1077937979, 'TH', 'Thailand'),
(24044, '64.64.7.60', '64.64.7.63', 1077937980, 1077937983, 'CN', 'China'),
(24045, '64.64.7.64', '64.64.7.83', 1077937984, 1077938003, 'US', 'United States'),
(24046, '64.64.7.84', '64.64.7.87', 1077938004, 1077938007, 'TH', 'Thailand'),
(24047, '64.64.7.88', '64.64.7.91', 1077938008, 1077938011, 'US', 'United States'),
(24048, '64.64.7.92', '64.64.7.101', 1077938012, 1077938021, 'GB', 'United Kingdom'),
(24049, '64.64.7.102', '64.64.7.105', 1077938022, 1077938025, 'US', 'United States'),
(24050, '64.64.7.106', '64.64.7.109', 1077938026, 1077938029, 'FR', 'France'),
(24051, '64.64.7.110', '64.64.7.113', 1077938030, 1077938033, 'US', 'United States'),
(24052, '64.64.7.114', '64.64.7.117', 1077938034, 1077938037, 'SA', 'Saudi Arabia'),
(24053, '64.64.7.118', '64.64.7.121', 1077938038, 1077938041, 'AU', 'Australia'),
(24054, '64.64.7.122', '64.64.7.125', 1077938042, 1077938045, 'US', 'United States'),
(24055, '64.64.7.126', '64.64.7.129', 1077938046, 1077938049, 'RU', 'Russian Federation'),
(24056, '64.64.7.130', '64.64.7.153', 1077938050, 1077938073, 'US', 'United States'),
(24057, '64.64.7.154', '64.64.7.157', 1077938074, 1077938077, 'CN', 'China'),
(24058, '64.64.7.158', '64.64.7.161', 1077938078, 1077938081, 'US', 'United States'),
(24059, '64.64.7.162', '64.64.7.165', 1077938082, 1077938085, 'IN', 'India'),
(24060, '64.64.7.166', '64.64.7.169', 1077938086, 1077938089, 'US', 'United States'),
(24061, '64.64.7.170', '64.64.7.173', 1077938090, 1077938093, 'CA', 'Canada'),
(24062, '64.64.7.174', '64.64.7.201', 1077938094, 1077938121, 'US', 'United States'),
(24063, '64.64.7.202', '64.64.7.205', 1077938122, 1077938125, 'DZ', 'Algeria'),
(24064, '64.64.7.206', '64.64.7.209', 1077938126, 1077938129, 'IN', 'India'),
(24065, '64.64.7.210', '64.64.7.213', 1077938130, 1077938133, 'ID', 'Indonesia'),
(24066, '64.64.7.214', '64.64.7.217', 1077938134, 1077938137, 'CA', 'Canada'),
(24067, '64.64.7.218', '64.64.7.221', 1077938138, 1077938141, 'GB', 'United Kingdom'),
(24068, '64.64.7.222', '64.64.7.225', 1077938142, 1077938145, 'CA', 'Canada'),
(24069, '64.64.7.226', '64.64.7.229', 1077938146, 1077938149, 'US', 'United States'),
(24070, '64.64.7.230', '64.64.7.233', 1077938150, 1077938153, 'IN', 'India'),
(24071, '64.64.7.234', '64.64.7.237', 1077938154, 1077938157, 'AR', 'Argentina'),
(24072, '64.64.7.238', '64.64.8.9', 1077938158, 1077938185, 'US', 'United States'),
(24073, '64.64.8.10', '64.64.8.13', 1077938186, 1077938189, 'PH', 'Philippines'),
(24074, '64.64.8.14', '64.64.8.25', 1077938190, 1077938201, 'US', 'United States'),
(24075, '64.64.8.26', '64.64.8.29', 1077938202, 1077938205, 'CA', 'Canada'),
(24076, '64.64.8.30', '64.64.8.33', 1077938206, 1077938209, 'AR', 'Argentina'),
(24077, '64.64.8.34', '64.64.8.45', 1077938210, 1077938221, 'US', 'United States'),
(24078, '64.64.8.46', '64.64.8.49', 1077938222, 1077938225, 'IN', 'India'),
(24079, '64.64.8.50', '64.64.8.82', 1077938226, 1077938258, 'US', 'United States'),
(24080, '64.64.8.83', '64.64.8.86', 1077938259, 1077938262, 'PE', 'Peru'),
(24081, '64.64.8.87', '64.64.8.90', 1077938263, 1077938266, 'US', 'United States'),
(24082, '64.64.8.91', '64.64.8.93', 1077938267, 1077938269, 'GB', 'United Kingdom'),
(24083, '64.64.8.94', '64.64.8.101', 1077938270, 1077938277, 'US', 'United States'),
(24084, '64.64.8.102', '64.64.8.105', 1077938278, 1077938281, 'GB', 'United Kingdom'),
(24085, '64.64.8.106', '64.64.8.107', 1077938282, 1077938283, 'DE', 'Germany'),
(24086, '64.64.8.108', '64.64.8.108', 1077938284, 1077938284, 'CH', 'Switzerland'),
(24087, '64.64.8.109', '64.64.8.112', 1077938285, 1077938288, 'CA', 'Canada'),
(24088, '64.64.8.113', '64.64.8.116', 1077938289, 1077938292, 'US', 'United States'),
(24089, '64.64.8.117', '64.64.8.120', 1077938293, 1077938296, 'GB', 'United Kingdom'),
(24090, '64.64.8.121', '64.64.8.133', 1077938297, 1077938309, 'US', 'United States'),
(24091, '64.64.8.134', '64.64.8.137', 1077938310, 1077938313, 'TH', 'Thailand'),
(24092, '64.64.8.138', '64.64.8.145', 1077938314, 1077938321, 'US', 'United States'),
(24093, '64.64.8.146', '64.64.8.149', 1077938322, 1077938325, 'GB', 'United Kingdom'),
(24094, '64.64.8.150', '64.64.8.153', 1077938326, 1077938329, 'PK', 'Pakistan'),
(24095, '64.64.8.154', '64.64.8.157', 1077938330, 1077938333, 'US', 'United States'),
(24096, '64.64.8.158', '64.64.8.161', 1077938334, 1077938337, 'MX', 'Mexico'),
(24097, '64.64.8.162', '64.64.8.169', 1077938338, 1077938345, 'US', 'United States'),
(24098, '64.64.8.170', '64.64.8.173', 1077938346, 1077938349, 'SA', 'Saudi Arabia'),
(24099, '64.64.8.174', '64.64.8.181', 1077938350, 1077938357, 'US', 'United States'),
(24100, '64.64.8.182', '64.64.8.185', 1077938358, 1077938361, 'ID', 'Indonesia'),
(24101, '64.64.8.186', '64.64.8.189', 1077938362, 1077938365, 'US', 'United States'),
(24102, '64.64.8.190', '64.64.8.196', 1077938366, 1077938372, 'IN', 'India'),
(24103, '64.64.8.197', '64.64.8.200', 1077938373, 1077938376, 'DK', 'Denmark'),
(24104, '64.64.8.201', '64.64.8.204', 1077938377, 1077938380, 'IL', 'Israel'),
(24105, '64.64.8.205', '64.64.8.208', 1077938381, 1077938384, 'LT', 'Lithuania'),
(24106, '64.64.8.209', '64.64.8.220', 1077938385, 1077938396, 'US', 'United States'),
(24107, '64.64.8.221', '64.64.8.224', 1077938397, 1077938400, 'CA', 'Canada'),
(24108, '64.64.8.225', '64.64.8.228', 1077938401, 1077938404, 'US', 'United States'),
(24109, '64.64.8.229', '64.64.8.232', 1077938405, 1077938408, 'IT', 'Italy'),
(24110, '64.64.8.233', '64.64.8.236', 1077938409, 1077938412, 'US', 'United States'),
(24111, '64.64.8.237', '64.64.8.240', 1077938413, 1077938416, 'PT', 'Portugal'),
(24112, '64.64.8.241', '64.64.8.250', 1077938417, 1077938426, 'US', 'United States'),
(24113, '64.64.8.251', '64.64.8.254', 1077938427, 1077938430, 'SE', 'Sweden'),
(24114, '64.64.8.255', '64.64.9.5', 1077938431, 1077938437, 'US', 'United States'),
(24115, '64.64.9.6', '64.64.9.9', 1077938438, 1077938441, 'PE', 'Peru'),
(24116, '64.64.9.10', '64.64.9.13', 1077938442, 1077938445, 'US', 'United States'),
(24117, '64.64.9.14', '64.64.9.14', 1077938446, 1077938446, 'BE', 'Belgium'),
(24118, '64.64.9.15', '64.64.9.58', 1077938447, 1077938490, 'US', 'United States'),
(24119, '64.64.9.59', '64.64.9.62', 1077938491, 1077938494, 'MT', 'Malta'),
(24120, '64.64.9.63', '64.64.9.74', 1077938495, 1077938506, 'US', 'United States'),
(24121, '64.64.9.75', '64.64.9.78', 1077938507, 1077938510, 'DK', 'Denmark'),
(24122, '64.64.9.79', '64.64.9.97', 1077938511, 1077938529, 'US', 'United States'),
(24123, '64.64.9.98', '64.64.9.101', 1077938530, 1077938533, 'NZ', 'New Zealand'),
(24124, '64.64.9.102', '64.64.9.105', 1077938534, 1077938537, 'CA', 'Canada'),
(24125, '64.64.9.106', '64.64.9.109', 1077938538, 1077938541, 'ES', 'Spain'),
(24126, '64.64.9.110', '64.64.9.113', 1077938542, 1077938545, 'CY', 'Cyprus'),
(24127, '64.64.9.114', '64.64.9.119', 1077938546, 1077938551, 'US', 'United States'),
(24128, '64.64.9.120', '64.64.9.120', 1077938552, 1077938552, 'ES', 'Spain'),
(24129, '64.64.9.121', '64.64.9.138', 1077938553, 1077938570, 'US', 'United States'),
(24130, '64.64.9.139', '64.64.9.139', 1077938571, 1077938571, 'NL', 'Netherlands'),
(24131, '64.64.9.140', '64.64.9.140', 1077938572, 1077938572, 'US', 'United States'),
(24132, '64.64.9.141', '64.64.9.144', 1077938573, 1077938576, 'CO', 'Colombia'),
(24133, '64.64.9.145', '64.64.9.148', 1077938577, 1077938580, 'US', 'United States'),
(24134, '64.64.9.149', '64.64.9.152', 1077938581, 1077938584, 'CA', 'Canada'),
(24135, '64.64.9.153', '64.64.9.156', 1077938585, 1077938588, 'US', 'United States'),
(24136, '64.64.9.157', '64.64.9.160', 1077938589, 1077938592, 'MX', 'Mexico'),
(24137, '64.64.9.161', '64.64.9.164', 1077938593, 1077938596, 'US', 'United States'),
(24138, '64.64.9.165', '64.64.9.168', 1077938597, 1077938600, 'DO', 'Dominican Republic'),
(24139, '64.64.9.169', '64.64.9.198', 1077938601, 1077938630, 'US', 'United States'),
(24140, '64.64.9.199', '64.64.9.212', 1077938631, 1077938644, 'IN', 'India'),
(24141, '64.64.9.213', '64.64.9.216', 1077938645, 1077938648, 'US', 'United States'),
(24142, '64.64.9.217', '64.64.9.220', 1077938649, 1077938652, 'CA', 'Canada'),
(24143, '64.64.9.221', '64.64.9.224', 1077938653, 1077938656, 'CN', 'China'),
(24144, '64.64.9.225', '64.64.9.228', 1077938657, 1077938660, 'RO', 'Romania'),
(24145, '64.64.9.229', '64.64.9.232', 1077938661, 1077938664, 'TR', 'Turkey'),
(24146, '64.64.9.233', '64.64.9.236', 1077938665, 1077938668, 'CA', 'Canada'),
(24147, '64.64.9.237', '64.64.9.240', 1077938669, 1077938672, 'US', 'United States'),
(24148, '64.64.9.241', '64.64.9.244', 1077938673, 1077938676, 'GB', 'United Kingdom'),
(24149, '64.64.9.245', '64.64.9.248', 1077938677, 1077938680, 'IN', 'India'),
(24150, '64.64.9.249', '64.64.10.14', 1077938681, 1077938702, 'US', 'United States'),
(24151, '64.64.10.15', '64.64.10.18', 1077938703, 1077938706, 'ID', 'Indonesia'),
(24152, '64.64.10.19', '64.64.10.46', 1077938707, 1077938734, 'GB', 'United Kingdom'),
(24153, '64.64.10.47', '64.64.10.47', 1077938735, 1077938735, 'PK', 'Pakistan'),
(24154, '64.64.10.48', '64.64.10.51', 1077938736, 1077938739, 'EG', 'Egypt'),
(24155, '64.64.10.52', '64.64.10.61', 1077938740, 1077938749, 'NO', 'Norway'),
(24156, '64.64.10.62', '64.64.10.62', 1077938750, 1077938750, 'NL', 'Netherlands'),
(24157, '64.64.10.63', '64.64.10.77', 1077938751, 1077938765, 'US', 'United States'),
(24158, '64.64.10.78', '64.64.10.81', 1077938766, 1077938769, 'CN', 'China'),
(24159, '64.64.10.82', '64.64.10.89', 1077938770, 1077938777, 'US', 'United States'),
(24160, '64.64.10.90', '64.64.10.93', 1077938778, 1077938781, 'RO', 'Romania'),
(24161, '64.64.10.94', '64.64.10.97', 1077938782, 1077938785, 'US', 'United States'),
(24162, '64.64.10.98', '64.64.10.101', 1077938786, 1077938789, 'GR', 'Greece'),
(24163, '64.64.10.102', '64.64.10.105', 1077938790, 1077938793, 'CA', 'Canada'),
(24164, '64.64.10.106', '64.64.10.109', 1077938794, 1077938797, 'IE', 'Ireland'),
(24165, '64.64.10.110', '64.64.10.113', 1077938798, 1077938801, 'SG', 'Singapore'),
(24166, '64.64.10.114', '64.64.10.117', 1077938802, 1077938805, 'US', 'United States'),
(24167, '64.64.10.118', '64.64.10.121', 1077938806, 1077938809, 'DK', 'Denmark'),
(24168, '64.64.10.122', '64.64.10.125', 1077938810, 1077938813, 'HK', 'Hong Kong'),
(24169, '64.64.10.126', '64.64.10.141', 1077938814, 1077938829, 'US', 'United States'),
(24170, '64.64.10.142', '64.64.10.143', 1077938830, 1077938831, 'ES', 'Spain'),
(24171, '64.64.10.144', '64.64.10.147', 1077938832, 1077938835, 'CA', 'Canada'),
(24172, '64.64.10.148', '64.64.10.160', 1077938836, 1077938848, 'US', 'United States'),
(24173, '64.64.10.161', '64.64.10.164', 1077938849, 1077938852, 'IT', 'Italy'),
(24174, '64.64.10.165', '64.64.10.168', 1077938853, 1077938856, 'ES', 'Spain'),
(24175, '64.64.10.169', '64.64.10.172', 1077938857, 1077938860, 'EE', 'Estonia'),
(24176, '64.64.10.173', '64.64.10.179', 1077938861, 1077938867, 'IN', 'India'),
(24177, '64.64.10.180', '64.64.10.199', 1077938868, 1077938887, 'US', 'United States'),
(24178, '64.64.10.200', '64.64.10.203', 1077938888, 1077938891, 'VI', 'Virgin Islands, U.S.'),
(24179, '64.64.10.204', '64.64.10.207', 1077938892, 1077938895, 'US', 'United States'),
(24180, '64.64.10.208', '64.64.10.239', 1077938896, 1077938927, 'CA', 'Canada'),
(24181, '64.64.10.240', '64.64.10.243', 1077938928, 1077938931, 'US', 'United States'),
(24182, '64.64.10.244', '64.64.10.247', 1077938932, 1077938935, 'MY', 'Malaysia'),
(24183, '64.64.10.248', '64.64.11.5', 1077938936, 1077938949, 'US', 'United States'),
(24184, '64.64.11.6', '64.64.11.25', 1077938950, 1077938969, 'CA', 'Canada'),
(24185, '64.64.11.26', '64.64.11.37', 1077938970, 1077938981, 'US', 'United States'),
(24186, '64.64.11.38', '64.64.11.38', 1077938982, 1077938982, 'NL', 'Netherlands'),
(24187, '64.64.11.39', '64.64.11.39', 1077938983, 1077938983, 'US', 'United States'),
(24188, '64.64.11.40', '64.64.11.44', 1077938984, 1077938988, 'CA', 'Canada'),
(24189, '64.64.11.45', '64.64.11.48', 1077938989, 1077938992, 'ZA', 'South Africa'),
(24190, '64.64.11.49', '64.64.11.61', 1077938993, 1077939005, 'US', 'United States'),
(24191, '64.64.11.62', '64.64.11.65', 1077939006, 1077939009, 'BE', 'Belgium'),
(24192, '64.64.11.66', '64.64.11.69', 1077939010, 1077939013, 'ID', 'Indonesia'),
(24193, '64.64.11.70', '64.64.11.73', 1077939014, 1077939017, 'GB', 'United Kingdom'),
(24194, '64.64.11.74', '64.64.11.77', 1077939018, 1077939021, 'TH', 'Thailand'),
(24195, '64.64.11.78', '64.64.11.81', 1077939022, 1077939025, 'GB', 'United Kingdom'),
(24196, '64.64.11.82', '64.64.11.84', 1077939026, 1077939028, 'TH', 'Thailand'),
(24197, '64.64.11.85', '64.64.11.88', 1077939029, 1077939032, 'US', 'United States'),
(24198, '64.64.11.89', '64.64.11.92', 1077939033, 1077939036, 'IE', 'Ireland'),
(24199, '64.64.11.93', '64.64.11.100', 1077939037, 1077939044, 'US', 'United States'),
(24200, '64.64.11.101', '64.64.11.104', 1077939045, 1077939048, 'IN', 'India'),
(24201, '64.64.11.105', '64.64.11.120', 1077939049, 1077939064, 'US', 'United States'),
(24202, '64.64.11.121', '64.64.11.121', 1077939065, 1077939065, 'TH', 'Thailand'),
(24203, '64.64.11.122', '64.64.11.125', 1077939066, 1077939069, 'CA', 'Canada'),
(24204, '64.64.11.126', '64.64.11.134', 1077939070, 1077939078, 'US', 'United States'),
(24205, '64.64.11.135', '64.64.11.138', 1077939079, 1077939082, 'IN', 'India'),
(24206, '64.64.11.139', '64.64.11.142', 1077939083, 1077939086, 'US', 'United States'),
(24207, '64.64.11.143', '64.64.11.146', 1077939087, 1077939090, 'ES', 'Spain'),
(24208, '64.64.11.147', '64.64.11.155', 1077939091, 1077939099, 'US', 'United States'),
(24209, '64.64.11.156', '64.64.11.159', 1077939100, 1077939103, 'ID', 'Indonesia'),
(24210, '64.64.11.160', '64.64.11.163', 1077939104, 1077939107, 'PS', 'Palestinian Territory, Occupied'),
(24211, '64.64.11.164', '64.64.11.167', 1077939108, 1077939111, 'GB', 'United Kingdom'),
(24212, '64.64.11.168', '64.64.11.183', 1077939112, 1077939127, 'US', 'United States'),
(24213, '64.64.11.184', '64.64.11.187', 1077939128, 1077939131, 'CA', 'Canada'),
(24214, '64.64.11.188', '64.64.11.191', 1077939132, 1077939135, 'US', 'United States'),
(24215, '64.64.11.192', '64.64.11.195', 1077939136, 1077939139, 'IN', 'India'),
(24216, '64.64.11.196', '64.64.11.245', 1077939140, 1077939189, 'US', 'United States'),
(24217, '64.64.11.246', '64.64.11.249', 1077939190, 1077939193, 'CA', 'Canada'),
(24218, '64.64.11.250', '64.64.12.9', 1077939194, 1077939209, 'US', 'United States'),
(24219, '64.64.12.10', '64.64.12.10', 1077939210, 1077939210, 'BE', 'Belgium'),
(24220, '64.64.12.11', '64.64.12.18', 1077939211, 1077939218, 'US', 'United States'),
(24221, '64.64.12.19', '64.64.12.19', 1077939219, 1077939219, 'NL', 'Netherlands'),
(24222, '64.64.12.20', '64.64.12.23', 1077939220, 1077939223, 'US', 'United States'),
(24223, '64.64.12.24', '64.64.12.28', 1077939224, 1077939228, 'BR', 'Brazil'),
(24224, '64.64.12.29', '64.64.12.40', 1077939229, 1077939240, 'US', 'United States'),
(24225, '64.64.12.41', '64.64.12.44', 1077939241, 1077939244, 'NL', 'Netherlands'),
(24226, '64.64.12.45', '64.64.12.51', 1077939245, 1077939251, 'US', 'United States'),
(24227, '64.64.12.52', '64.64.12.55', 1077939252, 1077939255, 'BR', 'Brazil'),
(24228, '64.64.12.56', '64.64.12.59', 1077939256, 1077939259, 'FR', 'France'),
(24229, '64.64.12.60', '64.64.12.63', 1077939260, 1077939263, 'US', 'United States'),
(24230, '64.64.12.64', '64.64.12.67', 1077939264, 1077939267, 'MY', 'Malaysia'),
(24231, '64.64.12.68', '64.64.12.84', 1077939268, 1077939284, 'US', 'United States'),
(24232, '64.64.12.85', '64.64.12.88', 1077939285, 1077939288, 'ES', 'Spain'),
(24233, '64.64.12.89', '64.64.12.92', 1077939289, 1077939292, 'US', 'United States'),
(24234, '64.64.12.93', '64.64.12.96', 1077939293, 1077939296, 'IT', 'Italy'),
(24235, '64.64.12.97', '64.64.12.100', 1077939297, 1077939300, 'CA', 'Canada'),
(24236, '64.64.12.101', '64.64.12.121', 1077939301, 1077939321, 'US', 'United States'),
(24237, '64.64.12.122', '64.64.12.125', 1077939322, 1077939325, 'CA', 'Canada'),
(24238, '64.64.12.126', '64.64.12.142', 1077939326, 1077939342, 'US', 'United States'),
(24239, '64.64.12.143', '64.64.12.146', 1077939343, 1077939346, 'ID', 'Indonesia'),
(24240, '64.64.12.147', '64.64.12.150', 1077939347, 1077939350, 'US', 'United States'),
(24241, '64.64.12.151', '64.64.12.154', 1077939351, 1077939354, 'IN', 'India'),
(24242, '64.64.12.155', '64.64.12.158', 1077939355, 1077939358, 'GB', 'United Kingdom'),
(24243, '64.64.12.159', '64.64.12.162', 1077939359, 1077939362, 'IN', 'India'),
(24244, '64.64.12.163', '64.64.12.175', 1077939363, 1077939375, 'US', 'United States'),
(24245, '64.64.12.176', '64.64.12.179', 1077939376, 1077939379, 'AE', 'United Arab Emirates'),
(24246, '64.64.12.180', '64.64.12.187', 1077939380, 1077939387, 'US', 'United States'),
(24247, '64.64.12.188', '64.64.12.191', 1077939388, 1077939391, 'PK', 'Pakistan'),
(24248, '64.64.12.192', '64.64.12.195', 1077939392, 1077939395, 'US', 'United States'),
(24249, '64.64.12.196', '64.64.12.199', 1077939396, 1077939399, 'SE', 'Sweden'),
(24250, '64.64.12.200', '64.64.12.210', 1077939400, 1077939410, 'US', 'United States'),
(24251, '64.64.12.211', '64.64.12.214', 1077939411, 1077939414, 'CN', 'China'),
(24252, '64.64.12.215', '64.64.12.215', 1077939415, 1077939415, 'US', 'United States'),
(24253, '64.64.12.216', '64.64.12.223', 1077939416, 1077939423, 'BE', 'Belgium'),
(24254, '64.64.12.224', '64.64.12.239', 1077939424, 1077939439, 'US', 'United States'),
(24255, '64.64.12.240', '64.64.12.243', 1077939440, 1077939443, 'IS', 'Iceland'),
(24256, '64.64.12.244', '64.64.12.247', 1077939444, 1077939447, 'US', 'United States'),
(24257, '64.64.12.248', '64.64.12.251', 1077939448, 1077939451, 'IN', 'India'),
(24258, '64.64.12.252', '64.64.13.35', 1077939452, 1077939491, 'US', 'United States'),
(24259, '64.64.13.36', '64.64.13.39', 1077939492, 1077939495, 'GB', 'United Kingdom'),
(24260, '64.64.13.40', '64.64.13.67', 1077939496, 1077939523, 'US', 'United States'),
(24261, '64.64.13.68', '64.64.13.77', 1077939524, 1077939533, 'CA', 'Canada'),
(24262, '64.64.13.78', '64.64.13.101', 1077939534, 1077939557, 'US', 'United States'),
(24263, '64.64.13.102', '64.64.13.105', 1077939558, 1077939561, 'MU', 'Mauritius'),
(24264, '64.64.13.106', '64.64.13.113', 1077939562, 1077939569, 'US', 'United States'),
(24265, '64.64.13.114', '64.64.13.118', 1077939570, 1077939574, 'OM', 'Oman'),
(24266, '64.64.13.119', '64.64.13.126', 1077939575, 1077939582, 'US', 'United States'),
(24267, '64.64.13.127', '64.64.13.130', 1077939583, 1077939586, 'GH', 'Ghana'),
(24268, '64.64.13.131', '64.64.13.169', 1077939587, 1077939625, 'US', 'United States'),
(24269, '64.64.13.170', '64.64.13.174', 1077939626, 1077939630, 'UY', 'Uruguay'),
(24270, '64.64.13.175', '64.64.13.178', 1077939631, 1077939634, 'GB', 'United Kingdom'),
(24271, '64.64.13.179', '64.64.13.188', 1077939635, 1077939644, 'US', 'United States'),
(24272, '64.64.13.189', '64.64.13.192', 1077939645, 1077939648, 'GR', 'Greece'),
(24273, '64.64.13.193', '64.64.13.227', 1077939649, 1077939683, 'US', 'United States'),
(24274, '64.64.13.228', '64.64.13.231', 1077939684, 1077939687, 'CY', 'Cyprus'),
(24275, '64.64.13.232', '64.64.14.13', 1077939688, 1077939725, 'US', 'United States'),
(24276, '64.64.14.14', '64.64.14.15', 1077939726, 1077939727, 'DE', 'Germany'),
(24277, '64.64.14.16', '64.64.14.78', 1077939728, 1077939790, 'US', 'United States'),
(24278, '64.64.14.79', '64.64.14.82', 1077939791, 1077939794, 'PE', 'Peru'),
(24279, '64.64.14.83', '64.64.14.111', 1077939795, 1077939823, 'US', 'United States'),
(24280, '64.64.14.112', '64.64.14.115', 1077939824, 1077939827, 'BR', 'Brazil'),
(24281, '64.64.14.116', '64.64.14.125', 1077939828, 1077939837, 'PT', 'Portugal'),
(24282, '64.64.14.126', '64.64.14.183', 1077939838, 1077939895, 'US', 'United States'),
(24283, '64.64.14.184', '64.64.14.187', 1077939896, 1077939899, 'GB', 'United Kingdom'),
(24284, '64.64.14.188', '64.64.14.247', 1077939900, 1077939959, 'US', 'United States'),
(24285, '64.64.14.248', '64.64.14.251', 1077939960, 1077939963, 'CA', 'Canada'),
(24286, '64.64.14.252', '64.64.15.5', 1077939964, 1077939973, 'US', 'United States'),
(24287, '64.64.15.6', '64.64.15.9', 1077939974, 1077939977, 'CL', 'Chile'),
(24288, '64.64.15.10', '64.64.15.13', 1077939978, 1077939981, 'US', 'United States'),
(24289, '64.64.15.14', '64.64.15.17', 1077939982, 1077939985, 'MU', 'Mauritius'),
(24290, '64.64.15.18', '64.64.15.29', 1077939986, 1077939997, 'US', 'United States'),
(24291, '64.64.15.30', '64.64.15.33', 1077939998, 1077940001, 'GB', 'United Kingdom'),
(24292, '64.64.15.34', '64.64.15.37', 1077940002, 1077940005, 'EG', 'Egypt'),
(24293, '64.64.15.38', '64.64.15.104', 1077940006, 1077940072, 'US', 'United States'),
(24294, '64.64.15.105', '64.64.15.108', 1077940073, 1077940076, 'BE', 'Belgium'),
(24295, '64.64.15.109', '64.64.15.165', 1077940077, 1077940133, 'US', 'United States'),
(24296, '64.64.15.166', '64.64.15.169', 1077940134, 1077940137, 'IN', 'India'),
(24297, '64.64.15.170', '64.64.16.61', 1077940138, 1077940285, 'US', 'United States'),
(24298, '64.64.16.62', '64.64.16.65', 1077940286, 1077940289, 'AU', 'Australia'),
(24299, '64.64.16.66', '64.64.16.154', 1077940290, 1077940378, 'US', 'United States'),
(24300, '64.64.16.155', '64.64.16.158', 1077940379, 1077940382, 'PK', 'Pakistan'),
(24301, '64.64.16.159', '64.64.24.17', 1077940383, 1077942289, 'US', 'United States'),
(24302, '64.64.24.18', '64.64.24.18', 1077942290, 1077942290, 'CN', 'China'),
(24303, '64.64.24.19', '64.64.24.38', 1077942291, 1077942310, 'US', 'United States'),
(24304, '64.64.24.39', '64.64.24.42', 1077942311, 1077942314, 'AU', 'Australia'),
(24305, '64.64.24.43', '64.64.24.70', 1077942315, 1077942342, 'US', 'United States'),
(24306, '64.64.24.71', '64.64.24.74', 1077942343, 1077942346, 'CN', 'China'),
(24307, '64.64.24.75', '64.64.24.91', 1077942347, 1077942363, 'US', 'United States'),
(24308, '64.64.24.92', '64.64.24.95', 1077942364, 1077942367, 'AU', 'Australia'),
(24309, '64.64.24.96', '64.64.24.118', 1077942368, 1077942390, 'US', 'United States'),
(24310, '64.64.24.119', '64.64.24.126', 1077942391, 1077942398, 'CA', 'Canada'),
(24311, '64.64.24.127', '64.64.24.139', 1077942399, 1077942411, 'US', 'United States'),
(24312, '64.64.24.140', '64.64.24.143', 1077942412, 1077942415, 'CA', 'Canada'),
(24313, '64.64.24.144', '64.64.24.155', 1077942416, 1077942427, 'US', 'United States'),
(24314, '64.64.24.156', '64.64.24.159', 1077942428, 1077942431, 'CA', 'Canada'),
(24315, '64.64.24.160', '64.64.24.163', 1077942432, 1077942435, 'SG', 'Singapore'),
(24316, '64.64.24.164', '64.64.24.171', 1077942436, 1077942443, 'US', 'United States'),
(24317, '64.64.24.172', '64.64.24.175', 1077942444, 1077942447, 'IN', 'India'),
(24318, '64.64.24.176', '64.64.24.184', 1077942448, 1077942456, 'US', 'United States'),
(24319, '64.64.24.185', '64.64.24.189', 1077942457, 1077942461, 'CN', 'China'),
(24320, '64.64.24.190', '64.64.24.221', 1077942462, 1077942493, 'US', 'United States'),
(24321, '64.64.24.222', '64.64.24.225', 1077942494, 1077942497, 'MX', 'Mexico'),
(24322, '64.64.24.226', '64.64.24.229', 1077942498, 1077942501, 'VN', 'Vietnam'),
(24323, '64.64.24.230', '64.64.24.233', 1077942502, 1077942505, 'IN', 'India'),
(24324, '64.64.24.234', '64.64.24.237', 1077942506, 1077942509, 'GB', 'United Kingdom'),
(24325, '64.64.24.238', '64.64.24.241', 1077942510, 1077942513, 'AE', 'United Arab Emirates'),
(24326, '64.64.24.242', '64.64.25.7', 1077942514, 1077942535, 'US', 'United States'),
(24327, '64.64.25.8', '64.64.25.11', 1077942536, 1077942539, 'AU', 'Australia'),
(24328, '64.64.25.12', '64.64.25.15', 1077942540, 1077942543, 'IN', 'India'),
(24329, '64.64.25.16', '64.64.25.16', 1077942544, 1077942544, 'US', 'United States'),
(24330, '64.64.25.17', '64.64.25.31', 1077942545, 1077942559, 'CN', 'China'),
(24331, '64.64.25.32', '64.64.25.44', 1077942560, 1077942572, 'US', 'United States'),
(24332, '64.64.25.45', '64.64.25.48', 1077942573, 1077942576, 'CA', 'Canada'),
(24333, '64.64.25.49', '64.64.25.72', 1077942577, 1077942600, 'US', 'United States'),
(24334, '64.64.25.73', '64.64.25.76', 1077942601, 1077942604, 'PE', 'Peru'),
(24335, '64.64.25.77', '64.64.25.80', 1077942605, 1077942608, 'CO', 'Colombia'),
(24336, '64.64.25.81', '64.64.25.84', 1077942609, 1077942612, 'JP', 'Japan'),
(24337, '64.64.25.85', '64.64.25.88', 1077942613, 1077942616, 'US', 'United States'),
(24338, '64.64.25.89', '64.64.25.92', 1077942617, 1077942620, 'MX', 'Mexico'),
(24339, '64.64.25.93', '64.64.25.96', 1077942621, 1077942624, 'BD', 'Bangladesh'),
(24340, '64.64.25.97', '64.64.25.108', 1077942625, 1077942636, 'US', 'United States'),
(24341, '64.64.25.109', '64.64.25.112', 1077942637, 1077942640, 'AU', 'Australia'),
(24342, '64.64.25.113', '64.64.25.128', 1077942641, 1077942656, 'US', 'United States'),
(24343, '64.64.25.129', '64.64.25.132', 1077942657, 1077942660, 'CA', 'Canada'),
(24344, '64.64.25.133', '64.64.25.144', 1077942661, 1077942672, 'US', 'United States'),
(24345, '64.64.25.145', '64.64.25.148', 1077942673, 1077942676, 'AU', 'Australia'),
(24346, '64.64.25.149', '64.64.25.190', 1077942677, 1077942718, 'US', 'United States'),
(24347, '64.64.25.191', '64.64.25.194', 1077942719, 1077942722, 'CA', 'Canada'),
(24348, '64.64.25.195', '64.64.25.218', 1077942723, 1077942746, 'US', 'United States'),
(24349, '64.64.25.219', '64.64.25.222', 1077942747, 1077942750, 'GB', 'United Kingdom'),
(24350, '64.64.25.223', '64.64.25.226', 1077942751, 1077942754, 'MY', 'Malaysia'),
(24351, '64.64.25.227', '64.64.25.230', 1077942755, 1077942758, 'UA', 'Ukraine'),
(24352, '64.64.25.231', '64.64.25.234', 1077942759, 1077942762, 'US', 'United States'),
(24353, '64.64.25.235', '64.64.25.238', 1077942763, 1077942766, 'AU', 'Australia'),
(24354, '64.64.25.239', '64.64.25.242', 1077942767, 1077942770, 'SG', 'Singapore'),
(24355, '64.64.25.243', '64.64.26.29', 1077942771, 1077942813, 'US', 'United States'),
(24356, '64.64.26.30', '64.64.26.33', 1077942814, 1077942817, 'OM', 'Oman'),
(24357, '64.64.26.34', '64.64.26.66', 1077942818, 1077942850, 'US', 'United States'),
(24358, '64.64.26.67', '64.64.26.70', 1077942851, 1077942854, 'CN', 'China'),
(24359, '64.64.26.71', '64.64.26.74', 1077942855, 1077942858, 'ID', 'Indonesia'),
(24360, '64.64.26.75', '64.64.26.83', 1077942859, 1077942867, 'US', 'United States'),
(24361, '64.64.26.84', '64.64.26.87', 1077942868, 1077942871, 'CA', 'Canada'),
(24362, '64.64.26.88', '64.64.26.105', 1077942872, 1077942889, 'US', 'United States'),
(24363, '64.64.26.106', '64.64.26.109', 1077942890, 1077942893, 'ES', 'Spain'),
(24364, '64.64.26.110', '64.64.26.138', 1077942894, 1077942922, 'US', 'United States'),
(24365, '64.64.26.139', '64.64.26.142', 1077942923, 1077942926, 'ZA', 'South Africa'),
(24366, '64.64.26.143', '64.64.26.146', 1077942927, 1077942930, 'CA', 'Canada'),
(24367, '64.64.26.147', '64.64.26.159', 1077942931, 1077942943, 'US', 'United States'),
(24368, '64.64.26.160', '64.64.26.163', 1077942944, 1077942947, 'CA', 'Canada'),
(24369, '64.64.26.164', '64.64.26.176', 1077942948, 1077942960, 'US', 'United States'),
(24370, '64.64.26.177', '64.64.26.180', 1077942961, 1077942964, 'OM', 'Oman'),
(24371, '64.64.26.181', '64.64.26.188', 1077942965, 1077942972, 'US', 'United States'),
(24372, '64.64.26.189', '64.64.26.192', 1077942973, 1077942976, 'CA', 'Canada'),
(24373, '64.64.26.193', '64.64.26.200', 1077942977, 1077942984, 'US', 'United States'),
(24374, '64.64.26.201', '64.64.26.204', 1077942985, 1077942988, 'IN', 'India'),
(24375, '64.64.26.205', '64.64.26.208', 1077942989, 1077942992, 'NZ', 'New Zealand'),
(24376, '64.64.26.209', '64.64.26.244', 1077942993, 1077943028, 'US', 'United States'),
(24377, '64.64.26.245', '64.64.26.254', 1077943029, 1077943038, 'TH', 'Thailand'),
(24378, '64.64.26.255', '64.64.27.5', 1077943039, 1077943045, 'US', 'United States'),
(24379, '64.64.27.6', '64.64.27.13', 1077943046, 1077943053, 'FI', 'Finland'),
(24380, '64.64.27.14', '64.64.27.56', 1077943054, 1077943096, 'US', 'United States'),
(24381, '64.64.27.57', '64.64.27.60', 1077943097, 1077943100, 'AU', 'Australia'),
(24382, '64.64.27.61', '64.64.27.64', 1077943101, 1077943104, 'US', 'United States'),
(24383, '64.64.27.65', '64.64.27.68', 1077943105, 1077943108, 'CN', 'China'),
(24384, '64.64.27.69', '64.64.27.69', 1077943109, 1077943109, 'US', 'United States'),
(24385, '64.64.27.70', '64.64.27.70', 1077943110, 1077943110, 'CN', 'China'),
(24386, '64.64.27.71', '64.64.27.99', 1077943111, 1077943139, 'US', 'United States'),
(24387, '64.64.27.100', '64.64.27.103', 1077943140, 1077943143, 'IN', 'India'),
(24388, '64.64.27.104', '64.64.27.135', 1077943144, 1077943175, 'US', 'United States'),
(24389, '64.64.27.136', '64.64.27.139', 1077943176, 1077943179, 'DO', 'Dominican Republic'),
(24390, '64.64.27.140', '64.64.27.143', 1077943180, 1077943183, 'AU', 'Australia'),
(24391, '64.64.27.144', '64.64.27.151', 1077943184, 1077943191, 'CA', 'Canada'),
(24392, '64.64.27.152', '64.64.27.184', 1077943192, 1077943224, 'US', 'United States'),
(24393, '64.64.27.185', '64.64.27.188', 1077943225, 1077943228, 'MY', 'Malaysia'),
(24394, '64.64.27.189', '64.64.27.202', 1077943229, 1077943242, 'US', 'United States'),
(24395, '64.64.27.203', '64.64.27.206', 1077943243, 1077943246, 'IN', 'India'),
(24396, '64.64.27.207', '64.64.27.207', 1077943247, 1077943247, 'US', 'United States'),
(24397, '64.64.27.208', '64.64.27.211', 1077943248, 1077943251, 'PK', 'Pakistan'),
(24398, '64.64.27.212', '64.64.27.230', 1077943252, 1077943270, 'US', 'United States'),
(24399, '64.64.27.231', '64.64.27.234', 1077943271, 1077943274, 'BD', 'Bangladesh'),
(24400, '64.64.27.235', '64.64.27.239', 1077943275, 1077943279, 'US', 'United States'),
(24401, '64.64.27.240', '64.64.27.243', 1077943280, 1077943283, 'CN', 'China'),
(24402, '64.64.27.244', '64.64.27.247', 1077943284, 1077943287, 'SG', 'Singapore'),
(24403, '64.64.27.248', '64.64.27.251', 1077943288, 1077943291, 'TH', 'Thailand'),
(24404, '64.64.27.252', '64.64.28.17', 1077943292, 1077943313, 'US', 'United States'),
(24405, '64.64.28.18', '64.64.28.18', 1077943314, 1077943314, 'BE', 'Belgium'),
(24406, '64.64.28.19', '64.64.28.22', 1077943315, 1077943318, 'CN', 'China'),
(24407, '64.64.28.23', '64.64.28.82', 1077943319, 1077943378, 'US', 'United States'),
(24408, '64.64.28.83', '64.64.28.83', 1077943379, 1077943379, 'CZ', 'Czech Republic'),
(24409, '64.64.28.84', '64.64.28.110', 1077943380, 1077943406, 'US', 'United States'),
(24410, '64.64.28.111', '64.64.28.114', 1077943407, 1077943410, 'AU', 'Australia'),
(24411, '64.64.28.115', '64.64.28.124', 1077943411, 1077943420, 'US', 'United States'),
(24412, '64.64.28.125', '64.64.28.125', 1077943421, 1077943421, 'CN', 'China'),
(24413, '64.64.28.126', '64.64.28.129', 1077943422, 1077943425, 'US', 'United States'),
(24414, '64.64.28.130', '64.64.28.130', 1077943426, 1077943426, 'CN', 'China'),
(24415, '64.64.28.131', '64.64.28.134', 1077943427, 1077943430, 'MY', 'Malaysia'),
(24416, '64.64.28.135', '64.64.28.207', 1077943431, 1077943503, 'US', 'United States'),
(24417, '64.64.28.208', '64.64.28.211', 1077943504, 1077943507, 'CA', 'Canada'),
(24418, '64.64.28.212', '64.64.28.227', 1077943508, 1077943523, 'US', 'United States'),
(24419, '64.64.28.228', '64.64.28.231', 1077943524, 1077943527, 'AU', 'Australia'),
(24420, '64.64.28.232', '64.64.28.235', 1077943528, 1077943531, 'US', 'United States'),
(24421, '64.64.28.236', '64.64.28.239', 1077943532, 1077943535, 'AU', 'Australia'),
(24422, '64.64.28.240', '64.64.28.243', 1077943536, 1077943539, 'ID', 'Indonesia'),
(24423, '64.64.28.244', '64.64.28.244', 1077943540, 1077943540, 'US', 'United States'),
(24424, '64.64.28.245', '64.64.28.248', 1077943541, 1077943544, 'CA', 'Canada'),
(24425, '64.64.28.249', '64.64.29.22', 1077943545, 1077943574, 'US', 'United States'),
(24426, '64.64.29.23', '64.64.29.23', 1077943575, 1077943575, 'BE', 'Belgium'),
(24427, '64.64.29.24', '64.64.29.24', 1077943576, 1077943576, 'CZ', 'Czech Republic'),
(24428, '64.64.29.25', '64.64.29.82', 1077943577, 1077943634, 'US', 'United States'),
(24429, '64.64.29.83', '64.64.29.86', 1077943635, 1077943638, 'ZA', 'South Africa'),
(24430, '64.64.29.87', '64.64.29.122', 1077943639, 1077943674, 'US', 'United States'),
(24431, '64.64.29.123', '64.64.29.123', 1077943675, 1077943675, 'CN', 'China'),
(24432, '64.64.29.124', '64.64.29.237', 1077943676, 1077943789, 'US', 'United States'),
(24433, '64.64.29.238', '64.64.29.238', 1077943790, 1077943790, 'AU', 'Australia'),
(24434, '64.64.29.239', '64.64.29.242', 1077943791, 1077943794, 'US', 'United States'),
(24435, '64.64.29.243', '64.64.29.244', 1077943795, 1077943796, 'SG', 'Singapore'),
(24436, '64.64.29.245', '64.64.30.17', 1077943797, 1077943825, 'US', 'United States'),
(24437, '64.64.30.18', '64.64.30.21', 1077943826, 1077943829, 'HK', 'Hong Kong'),
(24438, '64.64.30.22', '64.64.30.37', 1077943830, 1077943845, 'US', 'United States'),
(24439, '64.64.30.38', '64.64.30.41', 1077943846, 1077943849, 'AU', 'Australia'),
(24440, '64.64.30.42', '64.64.30.45', 1077943850, 1077943853, 'UA', 'Ukraine'),
(24441, '64.64.30.46', '64.64.30.59', 1077943854, 1077943867, 'US', 'United States'),
(24442, '64.64.30.60', '64.64.30.60', 1077943868, 1077943868, 'CN', 'China'),
(24443, '64.64.30.61', '64.64.30.68', 1077943869, 1077943876, 'US', 'United States'),
(24444, '64.64.30.69', '64.64.30.72', 1077943877, 1077943880, 'CA', 'Canada'),
(24445, '64.64.30.73', '64.64.30.88', 1077943881, 1077943896, 'US', 'United States'),
(24446, '64.64.30.89', '64.64.30.89', 1077943897, 1077943897, 'CN', 'China'),
(24447, '64.64.30.90', '64.64.30.93', 1077943898, 1077943901, 'US', 'United States'),
(24448, '64.64.30.94', '64.64.30.97', 1077943902, 1077943905, 'AU', 'Australia'),
(24449, '64.64.30.98', '64.64.30.113', 1077943906, 1077943921, 'US', 'United States'),
(24450, '64.64.30.114', '64.64.30.117', 1077943922, 1077943925, 'AU', 'Australia'),
(24451, '64.64.30.118', '64.64.30.131', 1077943926, 1077943939, 'US', 'United States'),
(24452, '64.64.30.132', '64.64.30.132', 1077943940, 1077943940, 'BE', 'Belgium'),
(24453, '64.64.30.133', '64.64.30.136', 1077943941, 1077943944, 'US', 'United States'),
(24454, '64.64.30.137', '64.64.30.140', 1077943945, 1077943948, 'KH', 'Cambodia'),
(24455, '64.64.30.141', '64.64.30.156', 1077943949, 1077943964, 'US', 'United States'),
(24456, '64.64.30.157', '64.64.30.160', 1077943965, 1077943968, 'IN', 'India'),
(24457, '64.64.30.161', '64.64.30.162', 1077943969, 1077943970, 'US', 'United States'),
(24458, '64.64.30.163', '64.64.30.164', 1077943971, 1077943972, 'CN', 'China'),
(24459, '64.64.30.165', '64.64.30.168', 1077943973, 1077943976, 'PK', 'Pakistan'),
(24460, '64.64.30.169', '64.64.30.176', 1077943977, 1077943984, 'AU', 'Australia'),
(24461, '64.64.30.177', '64.64.30.184', 1077943985, 1077943992, 'US', 'United States'),
(24462, '64.64.30.185', '64.64.30.188', 1077943993, 1077943996, 'CA', 'Canada'),
(24463, '64.64.30.189', '64.64.30.192', 1077943997, 1077944000, 'AR', 'Argentina'),
(24464, '64.64.30.193', '64.64.30.205', 1077944001, 1077944013, 'US', 'United States'),
(24465, '64.64.30.206', '64.64.30.209', 1077944014, 1077944017, 'IN', 'India'),
(24466, '64.64.30.210', '64.64.30.217', 1077944018, 1077944025, 'US', 'United States'),
(24467, '64.64.30.218', '64.64.30.220', 1077944026, 1077944028, 'CN', 'China'),
(24468, '64.64.30.221', '64.64.30.250', 1077944029, 1077944058, 'US', 'United States'),
(24469, '64.64.30.251', '64.64.30.254', 1077944059, 1077944062, 'CA', 'Canada'),
(24470, '64.64.30.255', '64.64.31.17', 1077944063, 1077944081, 'US', 'United States'),
(24471, '64.64.31.18', '64.64.31.21', 1077944082, 1077944085, 'CA', 'Canada'),
(24472, '64.64.31.22', '64.64.31.33', 1077944086, 1077944097, 'US', 'United States'),
(24473, '64.64.31.34', '64.64.31.37', 1077944098, 1077944101, 'AU', 'Australia'),
(24474, '64.64.31.38', '64.64.31.63', 1077944102, 1077944127, 'US', 'United States'),
(24475, '64.64.31.64', '64.64.31.64', 1077944128, 1077944128, 'BE', 'Belgium'),
(24476, '64.64.31.65', '64.64.31.72', 1077944129, 1077944136, 'US', 'United States'),
(24477, '64.64.31.73', '64.64.31.73', 1077944137, 1077944137, 'BE', 'Belgium'),
(24478, '64.64.31.74', '64.64.31.77', 1077944138, 1077944141, 'PL', 'Poland'),
(24479, '64.64.31.78', '64.64.31.109', 1077944142, 1077944173, 'US', 'United States'),
(24480, '64.64.31.110', '64.64.31.113', 1077944174, 1077944177, 'CA', 'Canada'),
(24481, '64.64.31.114', '64.64.31.117', 1077944178, 1077944181, 'US', 'United States'),
(24482, '64.64.31.118', '64.64.31.118', 1077944182, 1077944182, 'CN', 'China'),
(24483, '64.64.31.119', '64.64.31.122', 1077944183, 1077944186, 'US', 'United States'),
(24484, '64.64.31.123', '64.64.31.126', 1077944187, 1077944190, 'PH', 'Philippines'),
(24485, '64.64.31.127', '64.64.31.134', 1077944191, 1077944198, 'US', 'United States'),
(24486, '64.64.31.135', '64.64.31.138', 1077944199, 1077944202, 'CA', 'Canada'),
(24487, '64.64.31.139', '64.64.31.146', 1077944203, 1077944210, 'CN', 'China'),
(24488, '64.64.31.147', '64.64.31.154', 1077944211, 1077944218, 'US', 'United States'),
(24489, '64.64.31.155', '64.64.31.155', 1077944219, 1077944219, 'BE', 'Belgium'),
(24490, '64.64.31.156', '64.64.31.159', 1077944220, 1077944223, 'US', 'United States'),
(24491, '64.64.31.160', '64.64.31.163', 1077944224, 1077944227, 'CA', 'Canada'),
(24492, '64.64.31.164', '64.64.31.167', 1077944228, 1077944231, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(24493, '64.64.31.168', '64.64.31.171', 1077944232, 1077944235, 'JP', 'Japan'),
(24494, '64.64.31.172', '64.64.31.179', 1077944236, 1077944243, 'US', 'United States'),
(24495, '64.64.31.180', '64.64.31.183', 1077944244, 1077944247, 'AU', 'Australia'),
(24496, '64.64.31.184', '64.64.31.191', 1077944248, 1077944255, 'US', 'United States'),
(24497, '64.64.31.192', '64.64.31.195', 1077944256, 1077944259, 'TH', 'Thailand'),
(24498, '64.64.31.196', '64.64.31.207', 1077944260, 1077944271, 'US', 'United States'),
(24499, '64.64.31.208', '64.64.31.211', 1077944272, 1077944275, 'CA', 'Canada'),
(24500, '64.64.31.212', '64.64.31.215', 1077944276, 1077944279, 'US', 'United States'),
(24501, '64.64.31.216', '64.64.31.219', 1077944280, 1077944283, 'TH', 'Thailand'),
(24502, '64.64.31.220', '64.64.31.220', 1077944284, 1077944284, 'US', 'United States'),
(24503, '64.64.31.221', '64.64.31.222', 1077944285, 1077944286, 'RO', 'Romania'),
(24504, '64.64.31.223', '64.64.31.231', 1077944287, 1077944295, 'US', 'United States'),
(24505, '64.64.31.232', '64.64.31.235', 1077944296, 1077944299, 'CZ', 'Czech Republic'),
(24506, '64.64.31.236', '64.64.31.244', 1077944300, 1077944308, 'US', 'United States'),
(24507, '64.64.31.245', '64.64.31.248', 1077944309, 1077944312, 'CN', 'China'),
(24508, '64.64.31.249', '64.64.31.252', 1077944313, 1077944316, 'US', 'United States'),
(24509, '64.64.31.253', '64.64.31.253', 1077944317, 1077944317, 'CZ', 'Czech Republic'),
(24510, '64.64.31.254', '64.64.96.47', 1077944318, 1077960751, 'US', 'United States'),
(24511, '64.64.96.48', '64.64.96.55', 1077960752, 1077960759, 'CA', 'Canada'),
(24512, '64.64.96.56', '64.64.96.87', 1077960760, 1077960791, 'US', 'United States'),
(24513, '64.64.96.88', '64.64.96.95', 1077960792, 1077960799, 'CO', 'Colombia'),
(24514, '64.64.96.96', '64.64.127.191', 1077960800, 1077968831, 'US', 'United States'),
(24515, '64.64.127.192', '64.64.127.199', 1077968832, 1077968839, 'CA', 'Canada'),
(24516, '64.64.127.200', '64.64.127.207', 1077968840, 1077968847, 'DK', 'Denmark'),
(24517, '64.64.127.208', '64.64.159.255', 1077968848, 1077977087, 'US', 'United States'),
(24518, '64.64.160.0', '64.64.191.255', 1077977088, 1077985279, 'CA', 'Canada'),
(24519, '64.64.192.0', '64.64.223.255', 1077985280, 1077993471, 'US', 'United States'),
(24520, '64.64.224.0', '64.64.255.255', 1077993472, 1078001663, 'CA', 'Canada'),
(24521, '64.65.0.0', '64.65.255.255', 1078001664, 1078067199, 'US', 'United States'),
(24522, '64.66.0.0', '64.66.15.255', 1078067200, 1078071295, 'BS', 'Bahamas'),
(24523, '64.66.16.0', '64.66.31.255', 1078071296, 1078075391, 'CA', 'Canada'),
(24524, '64.66.32.0', '64.66.223.255', 1078075392, 1078124543, 'US', 'United States'),
(24525, '64.66.224.0', '64.66.239.255', 1078124544, 1078128639, 'CA', 'Canada'),
(24526, '64.66.240.0', '64.68.191.255', 1078128640, 1078247423, 'US', 'United States'),
(24527, '64.68.192.0', '64.68.207.255', 1078247424, 1078251519, 'CA', 'Canada'),
(24528, '64.68.208.0', '64.68.212.15', 1078251520, 1078252559, 'US', 'United States'),
(24529, '64.68.212.16', '64.68.212.47', 1078252560, 1078252591, 'MX', 'Mexico'),
(24530, '64.68.212.48', '64.68.212.95', 1078252592, 1078252639, 'US', 'United States'),
(24531, '64.68.212.96', '64.68.212.111', 1078252640, 1078252655, 'MX', 'Mexico'),
(24532, '64.68.212.112', '64.68.216.255', 1078252656, 1078253823, 'US', 'United States'),
(24533, '64.68.217.0', '64.68.217.63', 1078253824, 1078253887, 'MX', 'Mexico'),
(24534, '64.68.217.64', '64.69.63.255', 1078253888, 1078280191, 'US', 'United States'),
(24535, '64.69.64.0', '64.69.65.135', 1078280192, 1078280583, 'CA', 'Canada'),
(24536, '64.69.65.136', '64.69.65.143', 1078280584, 1078280591, 'US', 'United States'),
(24537, '64.69.65.144', '64.69.65.191', 1078280592, 1078280639, 'CA', 'Canada'),
(24538, '64.69.65.192', '64.69.65.207', 1078280640, 1078280655, 'US', 'United States'),
(24539, '64.69.65.208', '64.69.65.223', 1078280656, 1078280671, 'CA', 'Canada'),
(24540, '64.69.65.224', '64.69.65.247', 1078280672, 1078280695, 'US', 'United States'),
(24541, '64.69.65.248', '64.69.66.191', 1078280696, 1078280895, 'CA', 'Canada'),
(24542, '64.69.66.192', '64.69.67.127', 1078280896, 1078281087, 'US', 'United States'),
(24543, '64.69.67.128', '64.69.68.63', 1078281088, 1078281279, 'CA', 'Canada'),
(24544, '64.69.68.64', '64.69.68.79', 1078281280, 1078281295, 'US', 'United States'),
(24545, '64.69.68.80', '64.69.69.239', 1078281296, 1078281711, 'CA', 'Canada'),
(24546, '64.69.69.240', '64.69.69.247', 1078281712, 1078281719, 'US', 'United States'),
(24547, '64.69.69.248', '64.69.70.7', 1078281720, 1078281735, 'CA', 'Canada'),
(24548, '64.69.70.8', '64.69.70.15', 1078281736, 1078281743, 'US', 'United States'),
(24549, '64.69.70.16', '64.69.70.31', 1078281744, 1078281759, 'CA', 'Canada'),
(24550, '64.69.70.32', '64.69.70.63', 1078281760, 1078281791, 'KN', 'Saint Kitts and Nevis'),
(24551, '64.69.70.64', '64.69.71.135', 1078281792, 1078282119, 'CA', 'Canada'),
(24552, '64.69.71.136', '64.69.71.239', 1078282120, 1078282223, 'US', 'United States'),
(24553, '64.69.71.240', '64.69.71.254', 1078282224, 1078282238, 'CA', 'Canada'),
(24554, '64.69.71.255', '64.69.71.255', 1078282239, 1078282239, 'US', 'United States'),
(24555, '64.69.72.0', '64.69.75.7', 1078282240, 1078283015, 'CA', 'Canada'),
(24556, '64.69.75.8', '64.69.75.15', 1078283016, 1078283023, 'VG', 'Virgin Islands, British'),
(24557, '64.69.75.16', '64.69.75.95', 1078283024, 1078283103, 'CA', 'Canada'),
(24558, '64.69.75.96', '64.69.75.103', 1078283104, 1078283111, 'MX', 'Mexico'),
(24559, '64.69.75.104', '64.69.75.111', 1078283112, 1078283119, 'CA', 'Canada'),
(24560, '64.69.75.112', '64.69.75.127', 1078283120, 1078283135, 'US', 'United States'),
(24561, '64.69.75.128', '64.69.75.255', 1078283136, 1078283263, 'CA', 'Canada'),
(24562, '64.69.76.0', '64.69.76.0', 1078283264, 1078283264, 'US', 'United States'),
(24563, '64.69.76.1', '64.69.76.111', 1078283265, 1078283375, 'CA', 'Canada'),
(24564, '64.69.76.112', '64.69.76.127', 1078283376, 1078283391, 'MX', 'Mexico'),
(24565, '64.69.76.128', '64.69.76.135', 1078283392, 1078283399, 'US', 'United States'),
(24566, '64.69.76.136', '64.69.76.143', 1078283400, 1078283407, 'MX', 'Mexico'),
(24567, '64.69.76.144', '64.69.76.159', 1078283408, 1078283423, 'US', 'United States'),
(24568, '64.69.76.160', '64.69.76.223', 1078283424, 1078283487, 'CA', 'Canada'),
(24569, '64.69.76.224', '64.69.76.239', 1078283488, 1078283503, 'US', 'United States'),
(24570, '64.69.76.240', '64.69.77.31', 1078283504, 1078283551, 'CA', 'Canada'),
(24571, '64.69.77.32', '64.69.77.63', 1078283552, 1078283583, 'US', 'United States'),
(24572, '64.69.77.64', '64.69.77.127', 1078283584, 1078283647, 'CA', 'Canada'),
(24573, '64.69.77.128', '64.69.77.159', 1078283648, 1078283679, 'US', 'United States'),
(24574, '64.69.77.160', '64.69.77.167', 1078283680, 1078283687, 'CA', 'Canada'),
(24575, '64.69.77.168', '64.69.77.175', 1078283688, 1078283695, 'US', 'United States'),
(24576, '64.69.77.176', '64.69.77.215', 1078283696, 1078283735, 'CA', 'Canada'),
(24577, '64.69.77.216', '64.69.77.223', 1078283736, 1078283743, 'US', 'United States'),
(24578, '64.69.77.224', '64.69.77.231', 1078283744, 1078283751, 'CA', 'Canada'),
(24579, '64.69.77.232', '64.69.77.255', 1078283752, 1078283775, 'US', 'United States'),
(24580, '64.69.78.0', '64.69.78.223', 1078283776, 1078283999, 'CA', 'Canada'),
(24581, '64.69.78.224', '64.69.78.231', 1078284000, 1078284007, 'US', 'United States'),
(24582, '64.69.78.232', '64.69.78.239', 1078284008, 1078284015, 'CA', 'Canada'),
(24583, '64.69.78.240', '64.69.78.255', 1078284016, 1078284031, 'US', 'United States'),
(24584, '64.69.79.0', '64.69.79.127', 1078284032, 1078284159, 'BS', 'Bahamas'),
(24585, '64.69.79.128', '64.69.79.223', 1078284160, 1078284255, 'CA', 'Canada'),
(24586, '64.69.79.224', '64.69.80.63', 1078284256, 1078284351, 'US', 'United States'),
(24587, '64.69.80.64', '64.69.80.79', 1078284352, 1078284367, 'CA', 'Canada'),
(24588, '64.69.80.80', '64.69.80.95', 1078284368, 1078284383, 'BV', 'Bouvet Island'),
(24589, '64.69.80.96', '64.69.80.111', 1078284384, 1078284399, 'US', 'United States'),
(24590, '64.69.80.112', '64.69.81.143', 1078284400, 1078284687, 'CA', 'Canada'),
(24591, '64.69.81.144', '64.69.81.151', 1078284688, 1078284695, 'US', 'United States'),
(24592, '64.69.81.152', '64.69.81.159', 1078284696, 1078284703, 'MX', 'Mexico'),
(24593, '64.69.81.160', '64.69.81.175', 1078284704, 1078284719, 'CA', 'Canada'),
(24594, '64.69.81.176', '64.69.81.191', 1078284720, 1078284735, 'US', 'United States'),
(24595, '64.69.81.192', '64.69.82.191', 1078284736, 1078284991, 'CA', 'Canada'),
(24596, '64.69.82.192', '64.69.82.207', 1078284992, 1078285007, 'US', 'United States'),
(24597, '64.69.82.208', '64.69.82.215', 1078285008, 1078285015, 'CA', 'Canada'),
(24598, '64.69.82.216', '64.69.82.239', 1078285016, 1078285039, 'US', 'United States'),
(24599, '64.69.82.240', '64.69.83.111', 1078285040, 1078285167, 'CA', 'Canada'),
(24600, '64.69.83.112', '64.69.83.119', 1078285168, 1078285175, 'US', 'United States'),
(24601, '64.69.83.120', '64.69.83.135', 1078285176, 1078285191, 'CA', 'Canada'),
(24602, '64.69.83.136', '64.69.83.159', 1078285192, 1078285215, 'US', 'United States'),
(24603, '64.69.83.160', '64.69.83.175', 1078285216, 1078285231, 'CA', 'Canada'),
(24604, '64.69.83.176', '64.69.83.191', 1078285232, 1078285247, 'US', 'United States'),
(24605, '64.69.83.192', '64.69.83.199', 1078285248, 1078285255, 'CA', 'Canada'),
(24606, '64.69.83.200', '64.69.83.223', 1078285256, 1078285279, 'US', 'United States'),
(24607, '64.69.83.224', '64.69.83.231', 1078285280, 1078285287, 'MX', 'Mexico'),
(24608, '64.69.83.232', '64.69.83.239', 1078285288, 1078285295, 'US', 'United States'),
(24609, '64.69.83.240', '64.69.83.247', 1078285296, 1078285303, 'CA', 'Canada'),
(24610, '64.69.83.248', '64.69.83.255', 1078285304, 1078285311, 'US', 'United States'),
(24611, '64.69.84.0', '64.69.85.71', 1078285312, 1078285639, 'CA', 'Canada'),
(24612, '64.69.85.72', '64.69.85.79', 1078285640, 1078285647, 'US', 'United States'),
(24613, '64.69.85.80', '64.69.85.87', 1078285648, 1078285655, 'CA', 'Canada'),
(24614, '64.69.85.88', '64.69.85.95', 1078285656, 1078285663, 'US', 'United States'),
(24615, '64.69.85.96', '64.69.85.127', 1078285664, 1078285695, 'CA', 'Canada'),
(24616, '64.69.85.128', '64.69.85.135', 1078285696, 1078285703, 'MX', 'Mexico'),
(24617, '64.69.85.136', '64.69.85.143', 1078285704, 1078285711, 'US', 'United States'),
(24618, '64.69.85.144', '64.69.86.111', 1078285712, 1078285935, 'CA', 'Canada'),
(24619, '64.69.86.112', '64.69.86.119', 1078285936, 1078285943, 'US', 'United States'),
(24620, '64.69.86.120', '64.69.86.127', 1078285944, 1078285951, 'CA', 'Canada'),
(24621, '64.69.86.128', '64.69.86.191', 1078285952, 1078286015, 'US', 'United States'),
(24622, '64.69.86.192', '64.69.86.223', 1078286016, 1078286047, 'CA', 'Canada'),
(24623, '64.69.86.224', '64.69.86.255', 1078286048, 1078286079, 'US', 'United States'),
(24624, '64.69.87.0', '64.69.87.31', 1078286080, 1078286111, 'CA', 'Canada'),
(24625, '64.69.87.32', '64.69.87.35', 1078286112, 1078286115, 'US', 'United States'),
(24626, '64.69.87.36', '64.69.87.63', 1078286116, 1078286143, 'CA', 'Canada'),
(24627, '64.69.87.64', '64.69.87.127', 1078286144, 1078286207, 'US', 'United States'),
(24628, '64.69.87.128', '64.69.87.255', 1078286208, 1078286335, 'CA', 'Canada'),
(24629, '64.69.88.0', '64.69.88.15', 1078286336, 1078286351, 'US', 'United States'),
(24630, '64.69.88.16', '64.69.88.31', 1078286352, 1078286367, 'CA', 'Canada'),
(24631, '64.69.88.32', '64.69.88.127', 1078286368, 1078286463, 'US', 'United States'),
(24632, '64.69.88.128', '64.69.88.207', 1078286464, 1078286543, 'CA', 'Canada'),
(24633, '64.69.88.208', '64.69.88.223', 1078286544, 1078286559, 'US', 'United States'),
(24634, '64.69.88.224', '64.69.88.239', 1078286560, 1078286575, 'TW', 'Taiwan'),
(24635, '64.69.88.240', '64.69.88.255', 1078286576, 1078286591, 'CA', 'Canada'),
(24636, '64.69.89.0', '64.69.89.63', 1078286592, 1078286655, 'US', 'United States'),
(24637, '64.69.89.64', '64.69.89.95', 1078286656, 1078286687, 'CA', 'Canada'),
(24638, '64.69.89.96', '64.69.89.159', 1078286688, 1078286751, 'US', 'United States'),
(24639, '64.69.89.160', '64.69.89.167', 1078286752, 1078286759, 'CA', 'Canada'),
(24640, '64.69.89.168', '64.69.89.191', 1078286760, 1078286783, 'US', 'United States'),
(24641, '64.69.89.192', '64.69.89.199', 1078286784, 1078286791, 'MX', 'Mexico'),
(24642, '64.69.89.200', '64.69.89.255', 1078286792, 1078286847, 'US', 'United States'),
(24643, '64.69.90.0', '64.69.90.127', 1078286848, 1078286975, 'CA', 'Canada'),
(24644, '64.69.90.128', '64.69.90.143', 1078286976, 1078286991, 'US', 'United States'),
(24645, '64.69.90.144', '64.69.90.183', 1078286992, 1078287031, 'CA', 'Canada'),
(24646, '64.69.90.184', '64.69.90.191', 1078287032, 1078287039, 'US', 'United States'),
(24647, '64.69.90.192', '64.69.90.223', 1078287040, 1078287071, 'CA', 'Canada'),
(24648, '64.69.90.224', '64.69.90.255', 1078287072, 1078287103, 'US', 'United States'),
(24649, '64.69.91.0', '64.69.91.79', 1078287104, 1078287183, 'CA', 'Canada'),
(24650, '64.69.91.80', '64.69.91.127', 1078287184, 1078287231, 'US', 'United States'),
(24651, '64.69.91.128', '64.69.91.135', 1078287232, 1078287239, 'CA', 'Canada'),
(24652, '64.69.91.136', '64.69.91.143', 1078287240, 1078287247, 'US', 'United States'),
(24653, '64.69.91.144', '64.69.91.175', 1078287248, 1078287279, 'CA', 'Canada'),
(24654, '64.69.91.176', '64.69.91.207', 1078287280, 1078287311, 'US', 'United States'),
(24655, '64.69.91.208', '64.69.91.223', 1078287312, 1078287327, 'CA', 'Canada'),
(24656, '64.69.91.224', '64.69.91.239', 1078287328, 1078287343, 'US', 'United States'),
(24657, '64.69.91.240', '64.69.93.143', 1078287344, 1078287759, 'CA', 'Canada'),
(24658, '64.69.93.144', '64.69.93.151', 1078287760, 1078287767, 'US', 'United States'),
(24659, '64.69.93.152', '64.69.93.223', 1078287768, 1078287839, 'CA', 'Canada'),
(24660, '64.69.93.224', '64.69.93.247', 1078287840, 1078287863, 'US', 'United States'),
(24661, '64.69.93.248', '64.69.95.255', 1078287864, 1078288383, 'CA', 'Canada'),
(24662, '64.69.96.0', '64.69.166.255', 1078288384, 1078306559, 'US', 'United States'),
(24663, '64.69.167.0', '64.69.167.255', 1078306560, 1078306815, 'GB', 'United Kingdom'),
(24664, '64.69.168.0', '64.69.179.63', 1078306816, 1078309695, 'US', 'United States'),
(24665, '64.69.179.64', '64.69.179.79', 1078309696, 1078309711, 'GB', 'United Kingdom'),
(24666, '64.69.179.80', '64.69.180.79', 1078309712, 1078309967, 'US', 'United States'),
(24667, '64.69.180.80', '64.69.180.111', 1078309968, 1078309999, 'GB', 'United Kingdom'),
(24668, '64.69.180.112', '64.69.189.63', 1078310000, 1078312255, 'US', 'United States'),
(24669, '64.69.189.64', '64.69.189.79', 1078312256, 1078312271, 'GB', 'United Kingdom'),
(24670, '64.69.189.80', '64.70.27.191', 1078312272, 1078336447, 'US', 'United States'),
(24671, '64.70.27.192', '64.70.27.199', 1078336448, 1078336455, 'HK', 'Hong Kong'),
(24672, '64.70.27.200', '64.70.27.207', 1078336456, 1078336463, 'US', 'United States'),
(24673, '64.70.27.208', '64.70.27.223', 1078336464, 1078336479, 'HK', 'Hong Kong'),
(24674, '64.70.27.224', '64.70.48.175', 1078336480, 1078341807, 'US', 'United States'),
(24675, '64.70.48.176', '64.70.48.191', 1078341808, 1078341823, 'PH', 'Philippines'),
(24676, '64.70.48.192', '64.70.77.255', 1078341824, 1078349311, 'US', 'United States'),
(24677, '64.70.78.0', '64.70.79.255', 1078349312, 1078349823, 'PH', 'Philippines'),
(24678, '64.70.80.0', '64.71.129.127', 1078349824, 1078428031, 'US', 'United States'),
(24679, '64.71.129.128', '64.71.129.255', 1078428032, 1078428159, 'AU', 'Australia'),
(24680, '64.71.130.0', '64.71.130.95', 1078428160, 1078428255, 'US', 'United States'),
(24681, '64.71.130.96', '64.71.130.103', 1078428256, 1078428263, 'PH', 'Philippines'),
(24682, '64.71.130.104', '64.71.133.71', 1078428264, 1078428999, 'US', 'United States'),
(24683, '64.71.133.72', '64.71.133.79', 1078429000, 1078429007, 'MX', 'Mexico'),
(24684, '64.71.133.80', '64.71.135.183', 1078429008, 1078429623, 'US', 'United States'),
(24685, '64.71.135.184', '64.71.135.191', 1078429624, 1078429631, 'AU', 'Australia'),
(24686, '64.71.135.192', '64.71.135.255', 1078429632, 1078429695, 'US', 'United States'),
(24687, '64.71.136.0', '64.71.136.255', 1078429696, 1078429951, 'GR', 'Greece'),
(24688, '64.71.137.0', '64.71.137.143', 1078429952, 1078430095, 'US', 'United States'),
(24689, '64.71.137.144', '64.71.137.159', 1078430096, 1078430111, 'AE', 'United Arab Emirates'),
(24690, '64.71.137.160', '64.71.137.207', 1078430112, 1078430159, 'US', 'United States'),
(24691, '64.71.137.208', '64.71.137.215', 1078430160, 1078430167, 'FJ', 'Fiji'),
(24692, '64.71.137.216', '64.71.140.127', 1078430168, 1078430847, 'US', 'United States'),
(24693, '64.71.140.128', '64.71.140.135', 1078430848, 1078430855, 'JP', 'Japan'),
(24694, '64.71.140.136', '64.71.140.191', 1078430856, 1078430911, 'US', 'United States'),
(24695, '64.71.140.192', '64.71.140.255', 1078430912, 1078430975, 'AU', 'Australia'),
(24696, '64.71.141.0', '64.71.145.95', 1078430976, 1078432095, 'US', 'United States'),
(24697, '64.71.145.96', '64.71.145.103', 1078432096, 1078432103, 'JP', 'Japan'),
(24698, '64.71.145.104', '64.71.145.151', 1078432104, 1078432151, 'US', 'United States'),
(24699, '64.71.145.152', '64.71.145.159', 1078432152, 1078432159, 'JP', 'Japan'),
(24700, '64.71.145.160', '64.71.145.223', 1078432160, 1078432223, 'US', 'United States'),
(24701, '64.71.145.224', '64.71.145.239', 1078432224, 1078432239, 'AE', 'United Arab Emirates'),
(24702, '64.71.145.240', '64.71.147.255', 1078432240, 1078432767, 'US', 'United States'),
(24703, '64.71.148.0', '64.71.148.7', 1078432768, 1078432775, 'GB', 'United Kingdom'),
(24704, '64.71.148.8', '64.71.148.111', 1078432776, 1078432879, 'US', 'United States'),
(24705, '64.71.148.112', '64.71.148.119', 1078432880, 1078432887, 'GB', 'United Kingdom'),
(24706, '64.71.148.120', '64.71.150.31', 1078432888, 1078433311, 'US', 'United States'),
(24707, '64.71.150.32', '64.71.150.36', 1078433312, 1078433316, 'IT', 'Italy'),
(24708, '64.71.150.37', '64.71.150.37', 1078433317, 1078433317, 'A1', 'Anonymous Proxy'),
(24709, '64.71.150.38', '64.71.150.63', 1078433318, 1078433343, 'IT', 'Italy'),
(24710, '64.71.150.64', '64.71.151.95', 1078433344, 1078433631, 'US', 'United States'),
(24711, '64.71.151.96', '64.71.151.127', 1078433632, 1078433663, 'CN', 'China'),
(24712, '64.71.151.128', '64.71.153.31', 1078433664, 1078434079, 'US', 'United States'),
(24713, '64.71.153.32', '64.71.153.39', 1078434080, 1078434087, 'LV', 'Latvia'),
(24714, '64.71.153.40', '64.71.153.223', 1078434088, 1078434271, 'US', 'United States'),
(24715, '64.71.153.224', '64.71.153.255', 1078434272, 1078434303, 'GR', 'Greece'),
(24716, '64.71.154.0', '64.71.155.199', 1078434304, 1078434759, 'US', 'United States'),
(24717, '64.71.155.200', '64.71.155.207', 1078434760, 1078434767, 'BE', 'Belgium'),
(24718, '64.71.155.208', '64.71.155.215', 1078434768, 1078434775, 'US', 'United States'),
(24719, '64.71.155.216', '64.71.155.223', 1078434776, 1078434783, 'JP', 'Japan'),
(24720, '64.71.155.224', '64.71.156.111', 1078434784, 1078434927, 'US', 'United States'),
(24721, '64.71.156.112', '64.71.156.127', 1078434928, 1078434943, 'DE', 'Germany'),
(24722, '64.71.156.128', '64.71.158.95', 1078434944, 1078435423, 'US', 'United States'),
(24723, '64.71.158.96', '64.71.158.127', 1078435424, 1078435455, 'HK', 'Hong Kong'),
(24724, '64.71.158.128', '64.71.158.143', 1078435456, 1078435471, 'US', 'United States'),
(24725, '64.71.158.144', '64.71.158.151', 1078435472, 1078435479, 'BM', 'Bermuda'),
(24726, '64.71.158.152', '64.71.160.31', 1078435480, 1078435871, 'US', 'United States'),
(24727, '64.71.160.32', '64.71.160.39', 1078435872, 1078435879, 'A1', 'Anonymous Proxy'),
(24728, '64.71.160.40', '64.71.163.111', 1078435880, 1078436719, 'US', 'United States'),
(24729, '64.71.163.112', '64.71.163.119', 1078436720, 1078436727, 'JP', 'Japan'),
(24730, '64.71.163.120', '64.71.163.159', 1078436728, 1078436767, 'US', 'United States'),
(24731, '64.71.163.160', '64.71.163.191', 1078436768, 1078436799, 'GB', 'United Kingdom'),
(24732, '64.71.163.192', '64.71.166.95', 1078436800, 1078437471, 'US', 'United States'),
(24733, '64.71.166.96', '64.71.166.103', 1078437472, 1078437479, 'JP', 'Japan'),
(24734, '64.71.166.104', '64.71.166.127', 1078437480, 1078437503, 'US', 'United States'),
(24735, '64.71.166.128', '64.71.166.191', 1078437504, 1078437567, 'IT', 'Italy'),
(24736, '64.71.166.192', '64.71.166.223', 1078437568, 1078437599, 'HK', 'Hong Kong'),
(24737, '64.71.166.224', '64.71.169.255', 1078437600, 1078438399, 'US', 'United States'),
(24738, '64.71.170.0', '64.71.170.255', 1078438400, 1078438655, 'CA', 'Canada'),
(24739, '64.71.171.0', '64.71.171.255', 1078438656, 1078438911, 'US', 'United States'),
(24740, '64.71.172.0', '64.71.172.255', 1078438912, 1078439167, 'CN', 'China'),
(24741, '64.71.173.0', '64.71.174.255', 1078439168, 1078439679, 'US', 'United States'),
(24742, '64.71.175.0', '64.71.175.255', 1078439680, 1078439935, 'NL', 'Netherlands'),
(24743, '64.71.176.0', '64.71.176.191', 1078439936, 1078440127, 'US', 'United States'),
(24744, '64.71.176.192', '64.71.176.223', 1078440128, 1078440159, 'MX', 'Mexico'),
(24745, '64.71.176.224', '64.71.191.23', 1078440160, 1078443799, 'US', 'United States'),
(24746, '64.71.191.24', '64.71.191.31', 1078443800, 1078443807, 'A1', 'Anonymous Proxy'),
(24747, '64.71.191.32', '64.71.226.255', 1078443808, 1078452991, 'US', 'United States'),
(24748, '64.71.227.0', '64.71.227.255', 1078452992, 1078453247, 'AZ', 'Azerbaijan'),
(24749, '64.71.228.0', '64.71.230.127', 1078453248, 1078453887, 'US', 'United States'),
(24750, '64.71.230.128', '64.71.230.143', 1078453888, 1078453903, 'AF', 'Afghanistan'),
(24751, '64.71.230.144', '64.71.230.175', 1078453904, 1078453935, 'US', 'United States'),
(24752, '64.71.230.176', '64.71.230.191', 1078453936, 1078453951, 'AT', 'Austria'),
(24753, '64.71.230.192', '64.71.233.31', 1078453952, 1078454559, 'US', 'United States'),
(24754, '64.71.233.32', '64.71.233.39', 1078454560, 1078454567, 'GB', 'United Kingdom'),
(24755, '64.71.233.40', '64.71.233.127', 1078454568, 1078454655, 'US', 'United States'),
(24756, '64.71.233.128', '64.71.233.135', 1078454656, 1078454663, 'UY', 'Uruguay'),
(24757, '64.71.233.136', '64.71.233.175', 1078454664, 1078454703, 'US', 'United States'),
(24758, '64.71.233.176', '64.71.233.191', 1078454704, 1078454719, 'AT', 'Austria'),
(24759, '64.71.233.192', '64.71.236.47', 1078454720, 1078455343, 'US', 'United States'),
(24760, '64.71.236.48', '64.71.236.63', 1078455344, 1078455359, 'AT', 'Austria'),
(24761, '64.71.236.64', '64.71.239.255', 1078455360, 1078456319, 'US', 'United States'),
(24762, '64.71.240.0', '64.71.255.255', 1078456320, 1078460415, 'CA', 'Canada'),
(24763, '64.72.0.0', '64.72.223.255', 1078460416, 1078517759, 'US', 'United States'),
(24764, '64.72.224.0', '64.72.255.255', 1078517760, 1078525951, 'CA', 'Canada'),
(24765, '64.73.0.0', '64.73.192.255', 1078525952, 1078575359, 'US', 'United States'),
(24766, '64.73.193.0', '64.73.193.255', 1078575360, 1078575615, 'CA', 'Canada'),
(24767, '64.73.194.0', '64.73.194.63', 1078575616, 1078575679, 'US', 'United States'),
(24768, '64.73.194.64', '64.73.194.127', 1078575680, 1078575743, 'AU', 'Australia'),
(24769, '64.73.194.128', '64.73.194.191', 1078575744, 1078575807, 'US', 'United States'),
(24770, '64.73.194.192', '64.73.194.255', 1078575808, 1078575871, 'IN', 'India'),
(24771, '64.73.195.0', '64.73.197.255', 1078575872, 1078576639, 'US', 'United States'),
(24772, '64.73.198.0', '64.73.198.255', 1078576640, 1078576895, 'CA', 'Canada'),
(24773, '64.73.199.0', '64.73.199.15', 1078576896, 1078576911, 'US', 'United States'),
(24774, '64.73.199.16', '64.73.199.47', 1078576912, 1078576943, 'IN', 'India'),
(24775, '64.73.199.48', '64.73.202.47', 1078576944, 1078577711, 'US', 'United States'),
(24776, '64.73.202.48', '64.73.202.63', 1078577712, 1078577727, 'IN', 'India'),
(24777, '64.73.202.64', '64.73.206.63', 1078577728, 1078578751, 'US', 'United States'),
(24778, '64.73.206.64', '64.73.206.127', 1078578752, 1078578815, 'CA', 'Canada'),
(24779, '64.73.206.128', '64.73.206.191', 1078578816, 1078578879, 'US', 'United States'),
(24780, '64.73.206.192', '64.73.206.255', 1078578880, 1078578943, 'IN', 'India'),
(24781, '64.73.207.0', '64.73.213.31', 1078578944, 1078580511, 'US', 'United States'),
(24782, '64.73.213.32', '64.73.213.63', 1078580512, 1078580543, 'CA', 'Canada'),
(24783, '64.73.213.64', '64.73.213.223', 1078580544, 1078580703, 'US', 'United States'),
(24784, '64.73.213.224', '64.73.213.255', 1078580704, 1078580735, 'CA', 'Canada'),
(24785, '64.73.214.0', '64.73.216.15', 1078580736, 1078581263, 'US', 'United States'),
(24786, '64.73.216.16', '64.73.216.31', 1078581264, 1078581279, 'IN', 'India'),
(24787, '64.73.216.32', '64.73.216.63', 1078581280, 1078581311, 'US', 'United States'),
(24788, '64.73.216.64', '64.73.216.79', 1078581312, 1078581327, 'CR', 'Costa Rica'),
(24789, '64.73.216.80', '64.73.216.111', 1078581328, 1078581359, 'US', 'United States'),
(24790, '64.73.216.112', '64.73.216.143', 1078581360, 1078581391, 'IN', 'India'),
(24791, '64.73.216.144', '64.73.216.255', 1078581392, 1078581503, 'US', 'United States'),
(24792, '64.73.217.0', '64.73.217.255', 1078581504, 1078581759, 'CA', 'Canada'),
(24793, '64.73.218.0', '64.74.35.191', 1078581760, 1078600639, 'US', 'United States'),
(24794, '64.74.35.192', '64.74.35.199', 1078600640, 1078600647, 'GB', 'United Kingdom'),
(24795, '64.74.35.200', '64.74.94.127', 1078600648, 1078615679, 'US', 'United States'),
(24796, '64.74.94.128', '64.74.94.159', 1078615680, 1078615711, 'GB', 'United Kingdom'),
(24797, '64.74.94.160', '64.74.117.255', 1078615712, 1078621695, 'US', 'United States'),
(24798, '64.74.118.0', '64.74.118.255', 1078621696, 1078621951, 'IN', 'India'),
(24799, '64.74.119.0', '64.74.232.175', 1078621952, 1078651055, 'US', 'United States'),
(24800, '64.74.232.176', '64.74.232.191', 1078651056, 1078651071, 'CA', 'Canada'),
(24801, '64.74.232.192', '64.74.245.223', 1078651072, 1078654431, 'US', 'United States'),
(24802, '64.74.245.224', '64.74.245.231', 1078654432, 1078654439, 'AU', 'Australia'),
(24803, '64.74.245.232', '64.75.14.191', 1078654440, 1078660799, 'US', 'United States'),
(24804, '64.75.14.192', '64.75.14.223', 1078660800, 1078660831, 'CN', 'China'),
(24805, '64.75.14.224', '64.75.18.175', 1078660832, 1078661807, 'US', 'United States'),
(24806, '64.75.18.176', '64.75.18.191', 1078661808, 1078661823, 'IN', 'India'),
(24807, '64.75.18.192', '64.75.255.255', 1078661824, 1078722559, 'US', 'United States'),
(24808, '64.76.0.0', '64.76.29.143', 1078722560, 1078730127, 'AR', 'Argentina'),
(24809, '64.76.29.144', '64.76.29.151', 1078730128, 1078730135, 'CH', 'Switzerland'),
(24810, '64.76.29.152', '64.76.47.255', 1078730136, 1078734847, 'AR', 'Argentina'),
(24811, '64.76.48.0', '64.76.59.255', 1078734848, 1078737919, 'CO', 'Colombia'),
(24812, '64.76.60.0', '64.76.63.255', 1078737920, 1078738943, 'EC', 'Ecuador'),
(24813, '64.76.64.0', '64.76.65.255', 1078738944, 1078739455, 'VE', 'Venezuela'),
(24814, '64.76.66.0', '64.76.67.255', 1078739456, 1078739967, 'US', 'United States'),
(24815, '64.76.68.0', '64.76.79.255', 1078739968, 1078743039, 'PE', 'Peru'),
(24816, '64.76.80.0', '64.76.91.255', 1078743040, 1078746111, 'CO', 'Colombia'),
(24817, '64.76.92.0', '64.76.95.255', 1078746112, 1078747135, 'PE', 'Peru'),
(24818, '64.76.96.0', '64.76.103.255', 1078747136, 1078749183, 'CL', 'Chile'),
(24819, '64.76.104.0', '64.76.108.23', 1078749184, 1078750231, 'PE', 'Peru'),
(24820, '64.76.108.24', '64.76.108.31', 1078750232, 1078750239, 'CA', 'Canada'),
(24821, '64.76.108.32', '64.76.111.255', 1078750240, 1078751231, 'PE', 'Peru'),
(24822, '64.76.112.0', '64.76.119.255', 1078751232, 1078753279, 'CO', 'Colombia'),
(24823, '64.76.120.0', '64.76.127.255', 1078753280, 1078755327, 'AR', 'Argentina'),
(24824, '64.76.128.0', '64.76.135.255', 1078755328, 1078757375, 'PE', 'Peru'),
(24825, '64.76.136.0', '64.76.136.47', 1078757376, 1078757423, 'CL', 'Chile'),
(24826, '64.76.136.48', '64.76.136.63', 1078757424, 1078757439, 'EC', 'Ecuador'),
(24827, '64.76.136.64', '64.76.175.255', 1078757440, 1078767615, 'CL', 'Chile'),
(24828, '64.76.176.0', '64.76.179.255', 1078767616, 1078768639, 'CO', 'Colombia'),
(24829, '64.76.180.0', '64.76.183.255', 1078768640, 1078769663, 'CL', 'Chile'),
(24830, '64.76.184.0', '64.76.191.255', 1078769664, 1078771711, 'CO', 'Colombia'),
(24831, '64.76.192.0', '64.76.199.255', 1078771712, 1078773759, 'EC', 'Ecuador'),
(24832, '64.76.200.0', '64.76.207.255', 1078773760, 1078775807, 'PE', 'Peru'),
(24833, '64.76.208.0', '64.76.215.255', 1078775808, 1078777855, 'CO', 'Colombia'),
(24834, '64.76.216.0', '64.76.227.255', 1078777856, 1078780927, 'EC', 'Ecuador'),
(24835, '64.76.228.0', '64.76.233.255', 1078780928, 1078782463, 'US', 'United States'),
(24836, '64.76.234.0', '64.76.234.255', 1078782464, 1078782719, 'PA', 'Panama'),
(24837, '64.76.235.0', '64.77.12.47', 1078782720, 1078791215, 'US', 'United States'),
(24838, '64.77.12.48', '64.77.12.55', 1078791216, 1078791223, 'AU', 'Australia'),
(24839, '64.77.12.56', '64.77.12.87', 1078791224, 1078791255, 'US', 'United States'),
(24840, '64.77.12.88', '64.77.12.95', 1078791256, 1078791263, 'CO', 'Colombia'),
(24841, '64.77.12.96', '64.77.12.135', 1078791264, 1078791303, 'US', 'United States'),
(24842, '64.77.12.136', '64.77.12.143', 1078791304, 1078791311, 'CA', 'Canada'),
(24843, '64.77.12.144', '64.77.12.151', 1078791312, 1078791319, 'US', 'United States'),
(24844, '64.77.12.152', '64.77.12.175', 1078791320, 1078791343, 'AU', 'Australia'),
(24845, '64.77.12.176', '64.77.12.223', 1078791344, 1078791391, 'US', 'United States'),
(24846, '64.77.12.224', '64.77.12.239', 1078791392, 1078791407, 'MX', 'Mexico'),
(24847, '64.77.12.240', '64.77.13.15', 1078791408, 1078791439, 'US', 'United States'),
(24848, '64.77.13.16', '64.77.13.23', 1078791440, 1078791447, 'PK', 'Pakistan'),
(24849, '64.77.13.24', '64.77.13.47', 1078791448, 1078791471, 'US', 'United States'),
(24850, '64.77.13.48', '64.77.13.63', 1078791472, 1078791487, 'IL', 'Israel'),
(24851, '64.77.13.64', '64.77.13.79', 1078791488, 1078791503, 'US', 'United States'),
(24852, '64.77.13.80', '64.77.13.95', 1078791504, 1078791519, 'MX', 'Mexico'),
(24853, '64.77.13.96', '64.77.14.31', 1078791520, 1078791711, 'US', 'United States'),
(24854, '64.77.14.32', '64.77.14.47', 1078791712, 1078791727, 'AU', 'Australia'),
(24855, '64.77.14.48', '64.77.15.79', 1078791728, 1078792015, 'US', 'United States'),
(24856, '64.77.15.80', '64.77.15.95', 1078792016, 1078792031, 'AU', 'Australia'),
(24857, '64.77.15.96', '64.77.15.159', 1078792032, 1078792095, 'US', 'United States'),
(24858, '64.77.15.160', '64.77.15.175', 1078792096, 1078792111, 'AU', 'Australia'),
(24859, '64.77.15.176', '64.77.15.191', 1078792112, 1078792127, 'IN', 'India'),
(24860, '64.77.15.192', '64.77.15.239', 1078792128, 1078792175, 'US', 'United States'),
(24861, '64.77.15.240', '64.77.15.255', 1078792176, 1078792191, 'AU', 'Australia'),
(24862, '64.77.16.0', '64.77.17.63', 1078792192, 1078792511, 'US', 'United States'),
(24863, '64.77.17.64', '64.77.17.95', 1078792512, 1078792543, 'SG', 'Singapore'),
(24864, '64.77.17.96', '64.77.19.159', 1078792544, 1078793119, 'US', 'United States'),
(24865, '64.77.19.160', '64.77.19.191', 1078793120, 1078793151, 'CA', 'Canada'),
(24866, '64.77.19.192', '64.77.21.63', 1078793152, 1078793535, 'US', 'United States'),
(24867, '64.77.21.64', '64.77.21.127', 1078793536, 1078793599, 'ZA', 'South Africa'),
(24868, '64.77.21.128', '64.77.21.191', 1078793600, 1078793663, 'US', 'United States'),
(24869, '64.77.21.192', '64.77.21.255', 1078793664, 1078793727, 'ZA', 'South Africa'),
(24870, '64.77.22.0', '64.77.24.255', 1078793728, 1078794495, 'US', 'United States'),
(24871, '64.77.25.0', '64.77.25.63', 1078794496, 1078794559, 'ZA', 'South Africa'),
(24872, '64.77.25.64', '64.77.25.95', 1078794560, 1078794591, 'US', 'United States'),
(24873, '64.77.25.96', '64.77.25.127', 1078794592, 1078794623, 'AU', 'Australia'),
(24874, '64.77.25.128', '64.77.27.151', 1078794624, 1078795159, 'US', 'United States'),
(24875, '64.77.27.152', '64.77.27.159', 1078795160, 1078795167, 'AE', 'United Arab Emirates'),
(24876, '64.77.27.160', '64.77.27.247', 1078795168, 1078795255, 'US', 'United States'),
(24877, '64.77.27.248', '64.77.27.255', 1078795256, 1078795263, 'MX', 'Mexico'),
(24878, '64.77.28.0', '64.77.29.247', 1078795264, 1078795767, 'US', 'United States'),
(24879, '64.77.29.248', '64.77.29.255', 1078795768, 1078795775, 'IN', 'India'),
(24880, '64.77.30.0', '64.77.30.7', 1078795776, 1078795783, 'CA', 'Canada'),
(24881, '64.77.30.8', '64.77.30.31', 1078795784, 1078795807, 'US', 'United States'),
(24882, '64.77.30.32', '64.77.30.39', 1078795808, 1078795815, 'AU', 'Australia'),
(24883, '64.77.30.40', '64.77.30.47', 1078795816, 1078795823, 'US', 'United States'),
(24884, '64.77.30.48', '64.77.30.55', 1078795824, 1078795831, 'CA', 'Canada'),
(24885, '64.77.30.56', '64.77.30.111', 1078795832, 1078795887, 'US', 'United States'),
(24886, '64.77.30.112', '64.77.30.119', 1078795888, 1078795895, 'CA', 'Canada'),
(24887, '64.77.30.120', '64.77.30.127', 1078795896, 1078795903, 'US', 'United States'),
(24888, '64.77.30.128', '64.77.30.135', 1078795904, 1078795911, 'ES', 'Spain'),
(24889, '64.77.30.136', '64.77.36.87', 1078795912, 1078797399, 'US', 'United States'),
(24890, '64.77.36.88', '64.77.36.95', 1078797400, 1078797407, 'CA', 'Canada'),
(24891, '64.77.36.96', '64.77.37.23', 1078797408, 1078797591, 'US', 'United States'),
(24892, '64.77.37.24', '64.77.37.31', 1078797592, 1078797599, 'IN', 'India'),
(24893, '64.77.37.32', '64.77.37.135', 1078797600, 1078797703, 'US', 'United States'),
(24894, '64.77.37.136', '64.77.37.143', 1078797704, 1078797711, 'JP', 'Japan'),
(24895, '64.77.37.144', '64.77.37.223', 1078797712, 1078797791, 'US', 'United States'),
(24896, '64.77.37.224', '64.77.37.247', 1078797792, 1078797815, 'IN', 'India'),
(24897, '64.77.37.248', '64.77.38.167', 1078797816, 1078797991, 'US', 'United States'),
(24898, '64.77.38.168', '64.77.38.175', 1078797992, 1078797999, 'CA', 'Canada'),
(24899, '64.77.38.176', '64.77.38.247', 1078798000, 1078798071, 'US', 'United States'),
(24900, '64.77.38.248', '64.77.38.255', 1078798072, 1078798079, 'GB', 'United Kingdom'),
(24901, '64.77.39.0', '64.77.39.31', 1078798080, 1078798111, 'US', 'United States'),
(24902, '64.77.39.32', '64.77.39.39', 1078798112, 1078798119, 'CA', 'Canada'),
(24903, '64.77.39.40', '64.77.39.71', 1078798120, 1078798151, 'US', 'United States'),
(24904, '64.77.39.72', '64.77.39.79', 1078798152, 1078798159, 'AU', 'Australia'),
(24905, '64.77.39.80', '64.77.39.103', 1078798160, 1078798183, 'US', 'United States'),
(24906, '64.77.39.104', '64.77.39.111', 1078798184, 1078798191, 'FR', 'France'),
(24907, '64.77.39.112', '64.77.39.119', 1078798192, 1078798199, 'IN', 'India'),
(24908, '64.77.39.120', '64.77.39.127', 1078798200, 1078798207, 'US', 'United States'),
(24909, '64.77.39.128', '64.77.39.135', 1078798208, 1078798215, 'IN', 'India'),
(24910, '64.77.39.136', '64.77.39.143', 1078798216, 1078798223, 'GB', 'United Kingdom'),
(24911, '64.77.39.144', '64.77.39.151', 1078798224, 1078798231, 'GR', 'Greece'),
(24912, '64.77.39.152', '64.77.39.199', 1078798232, 1078798279, 'US', 'United States'),
(24913, '64.77.39.200', '64.77.39.207', 1078798280, 1078798287, 'PK', 'Pakistan'),
(24914, '64.77.39.208', '64.77.40.111', 1078798288, 1078798447, 'US', 'United States'),
(24915, '64.77.40.112', '64.77.40.119', 1078798448, 1078798455, 'AT', 'Austria'),
(24916, '64.77.40.120', '64.77.40.239', 1078798456, 1078798575, 'US', 'United States'),
(24917, '64.77.40.240', '64.77.40.255', 1078798576, 1078798591, 'AR', 'Argentina'),
(24918, '64.77.41.0', '64.77.41.95', 1078798592, 1078798687, 'US', 'United States'),
(24919, '64.77.41.96', '64.77.41.111', 1078798688, 1078798703, 'AU', 'Australia'),
(24920, '64.77.41.112', '64.77.42.63', 1078798704, 1078798911, 'US', 'United States'),
(24921, '64.77.42.64', '64.77.42.79', 1078798912, 1078798927, 'IT', 'Italy'),
(24922, '64.77.42.80', '64.77.42.223', 1078798928, 1078799071, 'US', 'United States'),
(24923, '64.77.42.224', '64.77.42.239', 1078799072, 1078799087, 'CA', 'Canada'),
(24924, '64.77.42.240', '64.77.43.159', 1078799088, 1078799263, 'US', 'United States'),
(24925, '64.77.43.160', '64.77.43.191', 1078799264, 1078799295, 'MX', 'Mexico'),
(24926, '64.77.43.192', '64.77.44.63', 1078799296, 1078799423, 'US', 'United States'),
(24927, '64.77.44.64', '64.77.44.95', 1078799424, 1078799455, 'MX', 'Mexico'),
(24928, '64.77.44.96', '64.77.44.191', 1078799456, 1078799551, 'US', 'United States'),
(24929, '64.77.44.192', '64.77.44.223', 1078799552, 1078799583, 'ID', 'Indonesia'),
(24930, '64.77.44.224', '64.77.45.63', 1078799584, 1078799679, 'US', 'United States'),
(24931, '64.77.45.64', '64.77.45.127', 1078799680, 1078799743, 'BR', 'Brazil'),
(24932, '64.77.45.128', '64.77.46.127', 1078799744, 1078799999, 'US', 'United States'),
(24933, '64.77.46.128', '64.77.46.159', 1078800000, 1078800031, 'AU', 'Australia'),
(24934, '64.77.46.160', '64.77.47.63', 1078800032, 1078800191, 'US', 'United States'),
(24935, '64.77.47.64', '64.77.47.95', 1078800192, 1078800223, 'IN', 'India'),
(24936, '64.77.47.96', '64.77.47.159', 1078800224, 1078800287, 'US', 'United States'),
(24937, '64.77.47.160', '64.77.47.191', 1078800288, 1078800319, 'MX', 'Mexico'),
(24938, '64.77.47.192', '64.77.49.159', 1078800320, 1078800799, 'US', 'United States'),
(24939, '64.77.49.160', '64.77.49.191', 1078800800, 1078800831, 'FR', 'France'),
(24940, '64.77.49.192', '64.77.51.175', 1078800832, 1078801327, 'US', 'United States'),
(24941, '64.77.51.176', '64.77.51.191', 1078801328, 1078801343, 'CL', 'Chile'),
(24942, '64.77.51.192', '64.77.81.159', 1078801344, 1078808991, 'US', 'United States'),
(24943, '64.77.81.160', '64.77.81.191', 1078808992, 1078809023, 'AU', 'Australia'),
(24944, '64.77.81.192', '64.77.84.47', 1078809024, 1078809647, 'US', 'United States'),
(24945, '64.77.84.48', '64.77.84.63', 1078809648, 1078809663, 'CA', 'Canada'),
(24946, '64.77.84.64', '64.77.101.183', 1078809664, 1078814135, 'US', 'United States'),
(24947, '64.77.101.184', '64.77.101.191', 1078814136, 1078814143, 'HK', 'Hong Kong'),
(24948, '64.77.101.192', '64.77.102.191', 1078814144, 1078814399, 'US', 'United States'),
(24949, '64.77.102.192', '64.77.102.207', 1078814400, 1078814415, 'CA', 'Canada'),
(24950, '64.77.102.208', '64.78.161.255', 1078814416, 1078895103, 'US', 'United States'),
(24951, '64.78.162.0', '64.78.162.255', 1078895104, 1078895359, 'CN', 'China'),
(24952, '64.78.163.0', '64.78.165.95', 1078895360, 1078895967, 'US', 'United States'),
(24953, '64.78.165.96', '64.78.165.111', 1078895968, 1078895983, 'CN', 'China'),
(24954, '64.78.165.112', '64.79.100.255', 1078895984, 1078945023, 'US', 'United States'),
(24955, '64.79.101.0', '64.79.101.255', 1078945024, 1078945279, 'GB', 'United Kingdom'),
(24956, '64.79.102.0', '64.79.146.255', 1078945280, 1078956799, 'US', 'United States'),
(24957, '64.79.147.0', '64.79.147.255', 1078956800, 1078957055, 'GB', 'United Kingdom'),
(24958, '64.79.148.0', '64.85.31.255', 1078957056, 1079320575, 'US', 'United States'),
(24959, '64.85.32.0', '64.85.32.95', 1079320576, 1079320671, 'CA', 'Canada'),
(24960, '64.85.32.96', '64.85.32.127', 1079320672, 1079320703, 'US', 'United States'),
(24961, '64.85.32.128', '64.85.38.79', 1079320704, 1079322191, 'CA', 'Canada'),
(24962, '64.85.38.80', '64.85.38.87', 1079322192, 1079322199, 'US', 'United States'),
(24963, '64.85.38.88', '64.85.40.79', 1079322200, 1079322703, 'CA', 'Canada'),
(24964, '64.85.40.80', '64.85.40.95', 1079322704, 1079322719, 'US', 'United States'),
(24965, '64.85.40.96', '64.85.40.191', 1079322720, 1079322815, 'CA', 'Canada'),
(24966, '64.85.40.192', '64.85.40.215', 1079322816, 1079322839, 'US', 'United States'),
(24967, '64.85.40.216', '64.85.40.223', 1079322840, 1079322847, 'CA', 'Canada'),
(24968, '64.85.40.224', '64.85.40.239', 1079322848, 1079322863, 'US', 'United States'),
(24969, '64.85.40.240', '64.85.42.95', 1079322864, 1079323231, 'CA', 'Canada'),
(24970, '64.85.42.96', '64.85.42.111', 1079323232, 1079323247, 'US', 'United States'),
(24971, '64.85.42.112', '64.85.42.127', 1079323248, 1079323263, 'CA', 'Canada'),
(24972, '64.85.42.128', '64.85.42.143', 1079323264, 1079323279, 'US', 'United States'),
(24973, '64.85.42.144', '64.85.42.175', 1079323280, 1079323311, 'CA', 'Canada'),
(24974, '64.85.42.176', '64.85.42.191', 1079323312, 1079323327, 'US', 'United States'),
(24975, '64.85.42.192', '64.85.43.23', 1079323328, 1079323415, 'CA', 'Canada'),
(24976, '64.85.43.24', '64.85.43.31', 1079323416, 1079323423, 'US', 'United States'),
(24977, '64.85.43.32', '64.85.43.55', 1079323424, 1079323447, 'CA', 'Canada'),
(24978, '64.85.43.56', '64.85.43.63', 1079323448, 1079323455, 'US', 'United States'),
(24979, '64.85.43.64', '64.85.43.191', 1079323456, 1079323583, 'CA', 'Canada'),
(24980, '64.85.43.192', '64.85.43.207', 1079323584, 1079323599, 'US', 'United States'),
(24981, '64.85.43.208', '64.85.43.223', 1079323600, 1079323615, 'CA', 'Canada'),
(24982, '64.85.43.224', '64.85.43.255', 1079323616, 1079323647, 'US', 'United States'),
(24983, '64.85.44.0', '64.85.47.39', 1079323648, 1079324455, 'CA', 'Canada'),
(24984, '64.85.47.40', '64.85.47.47', 1079324456, 1079324463, 'US', 'United States'),
(24985, '64.85.47.48', '64.85.48.127', 1079324464, 1079324799, 'CA', 'Canada'),
(24986, '64.85.48.128', '64.85.48.159', 1079324800, 1079324831, 'US', 'United States'),
(24987, '64.85.48.160', '64.85.51.15', 1079324832, 1079325455, 'CA', 'Canada'),
(24988, '64.85.51.16', '64.85.51.43', 1079325456, 1079325483, 'US', 'United States'),
(24989, '64.85.51.44', '64.85.51.87', 1079325484, 1079325527, 'CA', 'Canada'),
(24990, '64.85.51.88', '64.85.51.95', 1079325528, 1079325535, 'US', 'United States'),
(24991, '64.85.51.96', '64.85.51.107', 1079325536, 1079325547, 'CA', 'Canada'),
(24992, '64.85.51.108', '64.85.51.119', 1079325548, 1079325559, 'US', 'United States'),
(24993, '64.85.51.120', '64.85.51.159', 1079325560, 1079325599, 'CA', 'Canada'),
(24994, '64.85.51.160', '64.85.51.167', 1079325600, 1079325607, 'US', 'United States'),
(24995, '64.85.51.168', '64.85.51.255', 1079325608, 1079325695, 'CA', 'Canada'),
(24996, '64.85.52.0', '64.85.52.31', 1079325696, 1079325727, 'US', 'United States'),
(24997, '64.85.52.32', '64.85.52.175', 1079325728, 1079325871, 'CA', 'Canada'),
(24998, '64.85.52.176', '64.85.52.191', 1079325872, 1079325887, 'US', 'United States'),
(24999, '64.85.52.192', '64.85.53.39', 1079325888, 1079325991, 'CA', 'Canada'),
(25000, '64.85.53.40', '64.85.53.47', 1079325992, 1079325999, 'US', 'United States'),
(25001, '64.85.53.48', '64.85.59.128', 1079326000, 1079327616, 'CA', 'Canada'),
(25002, '64.85.59.129', '64.85.59.129', 1079327617, 1079327617, 'US', 'United States'),
(25003, '64.85.59.130', '64.85.62.247', 1079327618, 1079328503, 'CA', 'Canada'),
(25004, '64.85.62.248', '64.85.62.255', 1079328504, 1079328511, 'US', 'United States'),
(25005, '64.85.63.0', '64.85.63.255', 1079328512, 1079328767, 'CA', 'Canada'),
(25006, '64.85.64.0', '64.85.68.127', 1079328768, 1079329919, 'US', 'United States'),
(25007, '64.85.68.128', '64.85.68.159', 1079329920, 1079329951, 'CA', 'Canada'),
(25008, '64.85.68.160', '64.85.163.15', 1079329952, 1079354127, 'US', 'United States'),
(25009, '64.85.163.16', '64.85.163.31', 1079354128, 1079354143, 'TR', 'Turkey'),
(25010, '64.85.163.32', '64.85.163.127', 1079354144, 1079354239, 'US', 'United States'),
(25011, '64.85.163.128', '64.85.163.159', 1079354240, 1079354271, 'CA', 'Canada'),
(25012, '64.85.163.160', '64.85.165.79', 1079354272, 1079354703, 'US', 'United States'),
(25013, '64.85.165.80', '64.85.165.87', 1079354704, 1079354711, 'CA', 'Canada'),
(25014, '64.85.165.88', '64.85.167.223', 1079354712, 1079355359, 'US', 'United States'),
(25015, '64.85.167.224', '64.85.167.231', 1079355360, 1079355367, 'CA', 'Canada'),
(25016, '64.85.167.232', '64.85.170.63', 1079355368, 1079355967, 'US', 'United States'),
(25017, '64.85.170.64', '64.85.170.87', 1079355968, 1079355991, 'CA', 'Canada'),
(25018, '64.85.170.88', '64.85.255.255', 1079355992, 1079377919, 'US', 'United States'),
(25019, '64.86.0.0', '64.86.3.255', 1079377920, 1079378943, 'CA', 'Canada'),
(25020, '64.86.4.0', '64.86.4.255', 1079378944, 1079379199, 'US', 'United States'),
(25021, '64.86.5.0', '64.86.5.255', 1079379200, 1079379455, 'CA', 'Canada'),
(25022, '64.86.6.0', '64.86.6.255', 1079379456, 1079379711, 'US', 'United States'),
(25023, '64.86.7.0', '64.86.11.191', 1079379712, 1079380927, 'CA', 'Canada'),
(25024, '64.86.11.192', '64.86.11.255', 1079380928, 1079380991, 'US', 'United States'),
(25025, '64.86.12.0', '64.86.14.63', 1079380992, 1079381567, 'CA', 'Canada'),
(25026, '64.86.14.64', '64.86.14.95', 1079381568, 1079381599, 'US', 'United States'),
(25027, '64.86.14.96', '64.86.14.127', 1079381600, 1079381631, 'WS', 'Samoa'),
(25028, '64.86.14.128', '64.86.14.255', 1079381632, 1079381759, 'CA', 'Canada'),
(25029, '64.86.15.0', '64.86.16.255', 1079381760, 1079382271, 'US', 'United States'),
(25030, '64.86.17.0', '64.86.17.255', 1079382272, 1079382527, 'CA', 'Canada'),
(25031, '64.86.18.0', '64.86.19.255', 1079382528, 1079383039, 'US', 'United States'),
(25032, '64.86.20.0', '64.86.20.255', 1079383040, 1079383295, 'VG', 'Virgin Islands, British'),
(25033, '64.86.21.0', '64.86.22.255', 1079383296, 1079383807, 'US', 'United States'),
(25034, '64.86.23.0', '64.86.23.255', 1079383808, 1079384063, 'MH', 'Marshall Islands'),
(25035, '64.86.24.0', '64.86.24.255', 1079384064, 1079384319, 'LR', 'Liberia'),
(25036, '64.86.25.0', '64.86.25.255', 1079384320, 1079384575, 'CA', 'Canada'),
(25037, '64.86.26.0', '64.86.27.255', 1079384576, 1079385087, 'ZW', 'Zimbabwe'),
(25038, '64.86.28.0', '64.86.28.255', 1079385088, 1079385343, 'US', 'United States'),
(25039, '64.86.29.0', '64.86.29.127', 1079385344, 1079385471, 'CA', 'Canada'),
(25040, '64.86.29.128', '64.86.29.255', 1079385472, 1079385599, 'US', 'United States'),
(25041, '64.86.30.0', '64.86.33.255', 1079385600, 1079386623, 'CA', 'Canada'),
(25042, '64.86.34.0', '64.86.34.255', 1079386624, 1079386879, 'SG', 'Singapore'),
(25043, '64.86.35.0', '64.86.35.255', 1079386880, 1079387135, 'EG', 'Egypt'),
(25044, '64.86.36.0', '64.86.38.255', 1079387136, 1079387903, 'US', 'United States'),
(25045, '64.86.39.0', '64.86.39.255', 1079387904, 1079388159, 'PH', 'Philippines'),
(25046, '64.86.40.0', '64.86.44.255', 1079388160, 1079389439, 'CA', 'Canada'),
(25047, '64.86.45.0', '64.86.45.127', 1079389440, 1079389567, 'US', 'United States'),
(25048, '64.86.45.128', '64.86.45.255', 1079389568, 1079389695, 'CA', 'Canada'),
(25049, '64.86.46.0', '64.86.46.255', 1079389696, 1079389951, 'US', 'United States'),
(25050, '64.86.47.0', '64.86.49.255', 1079389952, 1079390719, 'CA', 'Canada'),
(25051, '64.86.50.0', '64.86.52.255', 1079390720, 1079391487, 'US', 'United States'),
(25052, '64.86.53.0', '64.86.53.127', 1079391488, 1079391615, 'CA', 'Canada'),
(25053, '64.86.53.128', '64.86.53.191', 1079391616, 1079391679, 'US', 'United States'),
(25054, '64.86.53.192', '64.86.53.255', 1079391680, 1079391743, 'CA', 'Canada'),
(25055, '64.86.54.0', '64.86.55.255', 1079391744, 1079392255, 'HT', 'Haiti'),
(25056, '64.86.56.0', '64.86.61.255', 1079392256, 1079393791, 'CA', 'Canada'),
(25057, '64.86.62.0', '64.86.62.255', 1079393792, 1079394047, 'US', 'United States'),
(25058, '64.86.63.0', '64.86.63.15', 1079394048, 1079394063, 'CA', 'Canada'),
(25059, '64.86.63.16', '64.86.63.23', 1079394064, 1079394071, 'SG', 'Singapore'),
(25060, '64.86.63.24', '64.86.63.31', 1079394072, 1079394079, 'CA', 'Canada'),
(25061, '64.86.63.32', '64.86.63.63', 1079394080, 1079394111, 'US', 'United States'),
(25062, '64.86.63.64', '64.86.63.95', 1079394112, 1079394143, 'AF', 'Afghanistan'),
(25063, '64.86.63.96', '64.86.63.127', 1079394144, 1079394175, 'CA', 'Canada'),
(25064, '64.86.63.128', '64.86.63.159', 1079394176, 1079394207, 'US', 'United States'),
(25065, '64.86.63.160', '64.86.63.191', 1079394208, 1079394239, 'CA', 'Canada'),
(25066, '64.86.63.192', '64.86.63.255', 1079394240, 1079394303, 'US', 'United States'),
(25067, '64.86.64.0', '64.86.67.255', 1079394304, 1079395327, 'EC', 'Ecuador'),
(25068, '64.86.68.0', '64.86.69.255', 1079395328, 1079395839, 'CA', 'Canada'),
(25069, '64.86.70.0', '64.86.70.255', 1079395840, 1079396095, 'US', 'United States'),
(25070, '64.86.71.0', '64.86.71.255', 1079396096, 1079396351, 'CA', 'Canada'),
(25071, '64.86.72.0', '64.86.75.255', 1079396352, 1079397375, 'MP', 'Northern Mariana Islands'),
(25072, '64.86.76.0', '64.86.76.255', 1079397376, 1079397631, 'MH', 'Marshall Islands'),
(25073, '64.86.77.0', '64.86.77.255', 1079397632, 1079397887, 'CA', 'Canada'),
(25074, '64.86.78.0', '64.86.79.255', 1079397888, 1079398399, 'US', 'United States'),
(25075, '64.86.80.0', '64.86.84.159', 1079398400, 1079399583, 'CA', 'Canada'),
(25076, '64.86.84.160', '64.86.84.175', 1079399584, 1079399599, 'US', 'United States'),
(25077, '64.86.84.176', '64.86.87.255', 1079399600, 1079400447, 'CA', 'Canada'),
(25078, '64.86.88.0', '64.86.88.63', 1079400448, 1079400511, 'FR', 'France'),
(25079, '64.86.88.64', '64.86.88.127', 1079400512, 1079400575, 'CA', 'Canada'),
(25080, '64.86.88.128', '64.86.88.191', 1079400576, 1079400639, 'US', 'United States'),
(25081, '64.86.88.192', '64.86.89.63', 1079400640, 1079400767, 'CA', 'Canada'),
(25082, '64.86.89.64', '64.86.89.127', 1079400768, 1079400831, 'US', 'United States'),
(25083, '64.86.89.128', '64.86.90.255', 1079400832, 1079401215, 'CA', 'Canada'),
(25084, '64.86.91.0', '64.86.91.255', 1079401216, 1079401471, 'US', 'United States'),
(25085, '64.86.92.0', '64.86.98.255', 1079401472, 1079403263, 'CA', 'Canada'),
(25086, '64.86.99.0', '64.86.99.255', 1079403264, 1079403519, 'US', 'United States'),
(25087, '64.86.100.0', '64.86.100.255', 1079403520, 1079403775, 'CA', 'Canada'),
(25088, '64.86.101.0', '64.86.101.31', 1079403776, 1079403807, 'US', 'United States'),
(25089, '64.86.101.32', '64.86.101.127', 1079403808, 1079403903, 'CA', 'Canada'),
(25090, '64.86.101.128', '64.86.101.159', 1079403904, 1079403935, 'US', 'United States'),
(25091, '64.86.101.160', '64.86.101.223', 1079403936, 1079403999, 'CA', 'Canada'),
(25092, '64.86.101.224', '64.86.101.255', 1079404000, 1079404031, 'US', 'United States'),
(25093, '64.86.102.0', '64.86.103.255', 1079404032, 1079404543, 'CA', 'Canada'),
(25094, '64.86.104.0', '64.86.106.63', 1079404544, 1079405119, 'US', 'United States'),
(25095, '64.86.106.64', '64.86.107.95', 1079405120, 1079405407, 'CA', 'Canada'),
(25096, '64.86.107.96', '64.86.107.127', 1079405408, 1079405439, 'BD', 'Bangladesh');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(25097, '64.86.107.128', '64.86.107.255', 1079405440, 1079405567, 'US', 'United States'),
(25098, '64.86.108.0', '64.86.113.255', 1079405568, 1079407103, 'CA', 'Canada'),
(25099, '64.86.114.0', '64.86.114.255', 1079407104, 1079407359, 'US', 'United States'),
(25100, '64.86.115.0', '64.86.115.255', 1079407360, 1079407615, 'CA', 'Canada'),
(25101, '64.86.116.0', '64.86.117.255', 1079407616, 1079408127, 'US', 'United States'),
(25102, '64.86.118.0', '64.86.118.255', 1079408128, 1079408383, 'CA', 'Canada'),
(25103, '64.86.119.0', '64.86.119.31', 1079408384, 1079408415, 'ZA', 'South Africa'),
(25104, '64.86.119.32', '64.86.119.63', 1079408416, 1079408447, 'US', 'United States'),
(25105, '64.86.119.64', '64.86.119.255', 1079408448, 1079408639, 'CA', 'Canada'),
(25106, '64.86.120.0', '64.86.120.255', 1079408640, 1079408895, 'US', 'United States'),
(25107, '64.86.121.0', '64.86.122.255', 1079408896, 1079409407, 'PK', 'Pakistan'),
(25108, '64.86.123.0', '64.86.124.255', 1079409408, 1079409919, 'US', 'United States'),
(25109, '64.86.125.0', '64.86.127.255', 1079409920, 1079410687, 'CA', 'Canada'),
(25110, '64.86.128.0', '64.86.128.255', 1079410688, 1079410943, 'US', 'United States'),
(25111, '64.86.129.0', '64.86.129.255', 1079410944, 1079411199, 'CA', 'Canada'),
(25112, '64.86.130.0', '64.86.130.255', 1079411200, 1079411455, 'US', 'United States'),
(25113, '64.86.131.0', '64.86.131.255', 1079411456, 1079411711, 'PK', 'Pakistan'),
(25114, '64.86.132.0', '64.86.135.255', 1079411712, 1079412735, 'CA', 'Canada'),
(25115, '64.86.136.0', '64.86.137.255', 1079412736, 1079413247, 'US', 'United States'),
(25116, '64.86.138.0', '64.86.138.63', 1079413248, 1079413311, 'CA', 'Canada'),
(25117, '64.86.138.64', '64.86.138.95', 1079413312, 1079413343, 'US', 'United States'),
(25118, '64.86.138.96', '64.86.138.127', 1079413344, 1079413375, 'CA', 'Canada'),
(25119, '64.86.138.128', '64.86.138.159', 1079413376, 1079413407, 'US', 'United States'),
(25120, '64.86.138.160', '64.86.139.31', 1079413408, 1079413535, 'CA', 'Canada'),
(25121, '64.86.139.32', '64.86.139.63', 1079413536, 1079413567, 'US', 'United States'),
(25122, '64.86.139.64', '64.86.141.255', 1079413568, 1079414271, 'CA', 'Canada'),
(25123, '64.86.142.0', '64.86.144.255', 1079414272, 1079415039, 'US', 'United States'),
(25124, '64.86.145.0', '64.86.145.255', 1079415040, 1079415295, 'HN', 'Honduras'),
(25125, '64.86.146.0', '64.86.171.255', 1079415296, 1079421951, 'CA', 'Canada'),
(25126, '64.86.172.0', '64.86.172.255', 1079421952, 1079422207, 'US', 'United States'),
(25127, '64.86.173.0', '64.86.173.31', 1079422208, 1079422239, 'CA', 'Canada'),
(25128, '64.86.173.32', '64.86.173.63', 1079422240, 1079422271, 'US', 'United States'),
(25129, '64.86.173.64', '64.86.183.255', 1079422272, 1079425023, 'CA', 'Canada'),
(25130, '64.86.184.0', '64.86.184.255', 1079425024, 1079425279, 'US', 'United States'),
(25131, '64.86.185.0', '64.86.185.255', 1079425280, 1079425535, 'CA', 'Canada'),
(25132, '64.86.186.0', '64.86.186.15', 1079425536, 1079425551, 'US', 'United States'),
(25133, '64.86.186.16', '64.86.193.255', 1079425552, 1079427583, 'CA', 'Canada'),
(25134, '64.86.194.0', '64.86.195.255', 1079427584, 1079428095, 'PW', 'Palau'),
(25135, '64.86.196.0', '64.86.209.255', 1079428096, 1079431679, 'CA', 'Canada'),
(25136, '64.86.210.0', '64.86.211.255', 1079431680, 1079432191, 'ZM', 'Zambia'),
(25137, '64.86.212.0', '64.86.213.255', 1079432192, 1079432703, 'CA', 'Canada'),
(25138, '64.86.214.0', '64.86.214.255', 1079432704, 1079432959, 'US', 'United States'),
(25139, '64.86.215.0', '64.86.215.255', 1079432960, 1079433215, 'CA', 'Canada'),
(25140, '64.86.216.0', '64.86.223.255', 1079433216, 1079435263, 'CR', 'Costa Rica'),
(25141, '64.86.224.0', '64.86.225.255', 1079435264, 1079435775, 'CO', 'Colombia'),
(25142, '64.86.226.0', '64.86.231.255', 1079435776, 1079437311, 'CA', 'Canada'),
(25143, '64.86.232.0', '64.86.239.255', 1079437312, 1079439359, 'US', 'United States'),
(25144, '64.86.240.0', '64.86.251.255', 1079439360, 1079442431, 'CA', 'Canada'),
(25145, '64.86.252.0', '64.86.252.255', 1079442432, 1079442687, 'US', 'United States'),
(25146, '64.86.253.0', '64.86.254.255', 1079442688, 1079443199, 'CA', 'Canada'),
(25147, '64.86.255.0', '64.86.255.31', 1079443200, 1079443231, 'PW', 'Palau'),
(25148, '64.86.255.32', '64.86.255.127', 1079443232, 1079443327, 'CA', 'Canada'),
(25149, '64.86.255.128', '64.86.255.255', 1079443328, 1079443455, 'AU', 'Australia'),
(25150, '64.87.0.0', '64.87.63.255', 1079443456, 1079459839, 'US', 'United States'),
(25151, '64.87.64.0', '64.87.255.255', 1079459840, 1079508991, 'CA', 'Canada'),
(25152, '64.88.0.0', '64.88.225.255', 1079508992, 1079566847, 'US', 'United States'),
(25153, '64.88.226.0', '64.88.226.255', 1079566848, 1079567103, 'GB', 'United Kingdom'),
(25154, '64.88.227.0', '64.88.227.255', 1079567104, 1079567359, 'US', 'United States'),
(25155, '64.88.228.0', '64.88.228.255', 1079567360, 1079567615, 'AU', 'Australia'),
(25156, '64.88.229.0', '64.88.255.255', 1079567616, 1079574527, 'US', 'United States'),
(25157, '64.89.0.0', '64.89.7.167', 1079574528, 1079576487, 'PR', 'Puerto Rico'),
(25158, '64.89.7.168', '64.89.7.175', 1079576488, 1079576495, 'US', 'United States'),
(25159, '64.89.7.176', '64.89.15.255', 1079576496, 1079578623, 'PR', 'Puerto Rico'),
(25160, '64.89.16.0', '64.89.42.111', 1079578624, 1079585391, 'US', 'United States'),
(25161, '64.89.42.112', '64.89.42.127', 1079585392, 1079585407, 'IN', 'India'),
(25162, '64.89.42.128', '64.89.191.255', 1079585408, 1079623679, 'US', 'United States'),
(25163, '64.89.192.0', '64.89.207.255', 1079623680, 1079627775, 'PR', 'Puerto Rico'),
(25164, '64.89.208.0', '64.90.95.255', 1079627776, 1079664639, 'US', 'United States'),
(25165, '64.90.96.0', '64.90.111.255', 1079664640, 1079668735, 'CA', 'Canada'),
(25166, '64.90.112.0', '64.92.221.159', 1079668736, 1079827871, 'US', 'United States'),
(25167, '64.92.221.160', '64.92.221.175', 1079827872, 1079827887, 'RU', 'Russian Federation'),
(25168, '64.92.221.176', '64.93.82.223', 1079827888, 1079857887, 'US', 'United States'),
(25169, '64.93.82.224', '64.93.82.239', 1079857888, 1079857903, 'NZ', 'New Zealand'),
(25170, '64.93.82.240', '64.93.95.255', 1079857904, 1079861247, 'US', 'United States'),
(25171, '64.93.96.0', '64.93.111.255', 1079861248, 1079865343, 'CA', 'Canada'),
(25172, '64.93.112.0', '64.94.163.63', 1079865344, 1079943999, 'US', 'United States'),
(25173, '64.94.163.64', '64.94.163.95', 1079944000, 1079944031, 'AU', 'Australia'),
(25174, '64.94.163.96', '64.94.164.103', 1079944032, 1079944295, 'US', 'United States'),
(25175, '64.94.164.104', '64.94.164.111', 1079944296, 1079944303, 'IL', 'Israel'),
(25176, '64.94.164.112', '64.94.172.31', 1079944304, 1079946271, 'US', 'United States'),
(25177, '64.94.172.32', '64.94.172.63', 1079946272, 1079946303, 'IE', 'Ireland'),
(25178, '64.94.172.64', '64.94.172.191', 1079946304, 1079946431, 'US', 'United States'),
(25179, '64.94.172.192', '64.94.172.223', 1079946432, 1079946463, 'CA', 'Canada'),
(25180, '64.94.172.224', '64.94.200.159', 1079946464, 1079953567, 'US', 'United States'),
(25181, '64.94.200.160', '64.94.200.191', 1079953568, 1079953599, 'GB', 'United Kingdom'),
(25182, '64.94.200.192', '64.94.236.255', 1079953600, 1079962879, 'US', 'United States'),
(25183, '64.94.237.0', '64.94.237.255', 1079962880, 1079963135, 'GB', 'United Kingdom'),
(25184, '64.94.238.0', '64.95.211.239', 1079963136, 1080021999, 'US', 'United States'),
(25185, '64.95.211.240', '64.95.211.247', 1080022000, 1080022007, 'GT', 'Guatemala'),
(25186, '64.95.211.248', '64.95.245.63', 1080022008, 1080030527, 'US', 'United States'),
(25187, '64.95.245.64', '64.95.245.127', 1080030528, 1080030591, 'AR', 'Argentina'),
(25188, '64.95.245.128', '64.95.255.255', 1080030592, 1080033279, 'US', 'United States'),
(25189, '64.96.0.0', '64.99.255.255', 1080033280, 1080295423, 'CA', 'Canada'),
(25190, '64.100.0.0', '64.103.25.232', 1080295424, 1080498664, 'US', 'United States'),
(25191, '64.103.25.233', '64.103.25.233', 1080498665, 1080498665, 'EU', 'Europe'),
(25192, '64.103.25.234', '64.103.36.255', 1080498666, 1080501503, 'US', 'United States'),
(25193, '64.103.37.0', '64.103.37.255', 1080501504, 1080501759, 'EU', 'Europe'),
(25194, '64.103.38.0', '64.104.47.130', 1080501760, 1080569730, 'US', 'United States'),
(25195, '64.104.47.131', '64.104.47.131', 1080569731, 1080569731, 'JP', 'Japan'),
(25196, '64.104.47.132', '64.104.94.255', 1080569732, 1080581887, 'US', 'United States'),
(25197, '64.104.95.0', '64.104.95.255', 1080581888, 1080582143, 'AP', 'Asia/Pacific Region'),
(25198, '64.104.96.0', '64.104.206.255', 1080582144, 1080610559, 'US', 'United States'),
(25199, '64.104.207.0', '64.104.207.255', 1080610560, 1080610815, 'AU', 'Australia'),
(25200, '64.104.208.0', '64.104.251.255', 1080610816, 1080622079, 'US', 'United States'),
(25201, '64.104.252.0', '64.104.252.255', 1080622080, 1080622335, 'AU', 'Australia'),
(25202, '64.104.253.0', '64.106.133.139', 1080622336, 1080722827, 'US', 'United States'),
(25203, '64.106.133.140', '64.106.133.149', 1080722828, 1080722837, 'IT', 'Italy'),
(25204, '64.106.133.150', '64.106.134.49', 1080722838, 1080722993, 'US', 'United States'),
(25205, '64.106.134.50', '64.106.134.59', 1080722994, 1080723003, 'CA', 'Canada'),
(25206, '64.106.134.60', '64.106.134.169', 1080723004, 1080723113, 'US', 'United States'),
(25207, '64.106.134.170', '64.106.134.179', 1080723114, 1080723123, 'BR', 'Brazil'),
(25208, '64.106.134.180', '64.106.135.29', 1080723124, 1080723229, 'US', 'United States'),
(25209, '64.106.135.30', '64.106.135.39', 1080723230, 1080723239, 'GB', 'United Kingdom'),
(25210, '64.106.135.40', '64.106.135.59', 1080723240, 1080723259, 'US', 'United States'),
(25211, '64.106.135.60', '64.106.135.69', 1080723260, 1080723269, 'GB', 'United Kingdom'),
(25212, '64.106.135.70', '64.106.135.159', 1080723270, 1080723359, 'US', 'United States'),
(25213, '64.106.135.160', '64.106.135.169', 1080723360, 1080723369, 'BR', 'Brazil'),
(25214, '64.106.135.170', '64.106.136.109', 1080723370, 1080723565, 'US', 'United States'),
(25215, '64.106.136.110', '64.106.136.119', 1080723566, 1080723575, 'AE', 'United Arab Emirates'),
(25216, '64.106.136.120', '64.106.140.39', 1080723576, 1080724519, 'US', 'United States'),
(25217, '64.106.140.40', '64.106.140.59', 1080724520, 1080724539, 'CA', 'Canada'),
(25218, '64.106.140.60', '64.106.141.139', 1080724540, 1080724875, 'US', 'United States'),
(25219, '64.106.141.140', '64.106.141.149', 1080724876, 1080724885, 'SY', 'Syrian Arab Republic'),
(25220, '64.106.141.150', '64.106.142.49', 1080724886, 1080725041, 'US', 'United States'),
(25221, '64.106.142.50', '64.106.142.59', 1080725042, 1080725051, 'QA', 'Qatar'),
(25222, '64.106.142.60', '64.106.142.89', 1080725052, 1080725081, 'US', 'United States'),
(25223, '64.106.142.90', '64.106.142.99', 1080725082, 1080725091, 'QA', 'Qatar'),
(25224, '64.106.142.100', '64.106.142.179', 1080725092, 1080725171, 'US', 'United States'),
(25225, '64.106.142.180', '64.106.142.189', 1080725172, 1080725181, 'QA', 'Qatar'),
(25226, '64.106.142.190', '64.106.143.29', 1080725182, 1080725277, 'US', 'United States'),
(25227, '64.106.143.30', '64.106.143.39', 1080725278, 1080725287, 'CA', 'Canada'),
(25228, '64.106.143.40', '64.106.143.49', 1080725288, 1080725297, 'NZ', 'New Zealand'),
(25229, '64.106.143.50', '64.106.143.219', 1080725298, 1080725467, 'US', 'United States'),
(25230, '64.106.143.220', '64.106.143.229', 1080725468, 1080725477, 'LB', 'Lebanon'),
(25231, '64.106.143.230', '64.106.144.209', 1080725478, 1080725713, 'US', 'United States'),
(25232, '64.106.144.210', '64.106.144.219', 1080725714, 1080725723, 'BE', 'Belgium'),
(25233, '64.106.144.220', '64.106.145.169', 1080725724, 1080725929, 'US', 'United States'),
(25234, '64.106.145.170', '64.106.145.179', 1080725930, 1080725939, 'BE', 'Belgium'),
(25235, '64.106.145.180', '64.106.146.169', 1080725940, 1080726185, 'US', 'United States'),
(25236, '64.106.146.170', '64.106.146.179', 1080726186, 1080726195, 'JO', 'Jordan'),
(25237, '64.106.146.180', '64.106.148.79', 1080726196, 1080726607, 'US', 'United States'),
(25238, '64.106.148.80', '64.106.148.89', 1080726608, 1080726617, 'CA', 'Canada'),
(25239, '64.106.148.90', '64.106.150.89', 1080726618, 1080727129, 'US', 'United States'),
(25240, '64.106.150.90', '64.106.150.99', 1080727130, 1080727139, 'AU', 'Australia'),
(25241, '64.106.150.100', '64.106.150.119', 1080727140, 1080727159, 'US', 'United States'),
(25242, '64.106.150.120', '64.106.150.129', 1080727160, 1080727169, 'CA', 'Canada'),
(25243, '64.106.150.130', '64.106.150.149', 1080727170, 1080727189, 'US', 'United States'),
(25244, '64.106.150.150', '64.106.150.159', 1080727190, 1080727199, 'AU', 'Australia'),
(25245, '64.106.150.160', '64.106.152.189', 1080727200, 1080727741, 'US', 'United States'),
(25246, '64.106.152.190', '64.106.152.209', 1080727742, 1080727761, 'BR', 'Brazil'),
(25247, '64.106.152.210', '64.106.152.229', 1080727762, 1080727781, 'US', 'United States'),
(25248, '64.106.152.230', '64.106.152.249', 1080727782, 1080727801, 'GB', 'United Kingdom'),
(25249, '64.106.152.250', '64.106.156.49', 1080727802, 1080728625, 'US', 'United States'),
(25250, '64.106.156.50', '64.106.156.79', 1080728626, 1080728655, 'NZ', 'New Zealand'),
(25251, '64.106.156.80', '64.106.156.199', 1080728656, 1080728775, 'US', 'United States'),
(25252, '64.106.156.200', '64.106.156.229', 1080728776, 1080728805, 'SE', 'Sweden'),
(25253, '64.106.156.230', '64.106.157.49', 1080728806, 1080728881, 'US', 'United States'),
(25254, '64.106.157.50', '64.106.157.59', 1080728882, 1080728891, 'IN', 'India'),
(25255, '64.106.157.60', '64.106.158.39', 1080728892, 1080729127, 'US', 'United States'),
(25256, '64.106.158.40', '64.106.158.49', 1080729128, 1080729137, 'UA', 'Ukraine'),
(25257, '64.106.158.50', '64.106.158.59', 1080729138, 1080729147, 'US', 'United States'),
(25258, '64.106.158.60', '64.106.158.69', 1080729148, 1080729157, 'CA', 'Canada'),
(25259, '64.106.158.70', '64.106.158.89', 1080729158, 1080729177, 'US', 'United States'),
(25260, '64.106.158.90', '64.106.158.99', 1080729178, 1080729187, 'KH', 'Cambodia'),
(25261, '64.106.158.100', '64.106.158.129', 1080729188, 1080729217, 'US', 'United States'),
(25262, '64.106.158.130', '64.106.158.149', 1080729218, 1080729237, 'KH', 'Cambodia'),
(25263, '64.106.158.150', '64.106.158.199', 1080729238, 1080729287, 'US', 'United States'),
(25264, '64.106.158.200', '64.106.158.209', 1080729288, 1080729297, 'IT', 'Italy'),
(25265, '64.106.158.210', '64.106.160.29', 1080729298, 1080729629, 'US', 'United States'),
(25266, '64.106.160.30', '64.106.160.39', 1080729630, 1080729639, 'JP', 'Japan'),
(25267, '64.106.160.40', '64.106.160.49', 1080729640, 1080729649, 'CA', 'Canada'),
(25268, '64.106.160.50', '64.106.170.159', 1080729650, 1080732319, 'US', 'United States'),
(25269, '64.106.170.160', '64.106.170.191', 1080732320, 1080732351, 'QA', 'Qatar'),
(25270, '64.106.170.192', '64.106.174.9', 1080732352, 1080733193, 'US', 'United States'),
(25271, '64.106.174.10', '64.106.174.19', 1080733194, 1080733203, 'NZ', 'New Zealand'),
(25272, '64.106.174.20', '64.106.174.29', 1080733204, 1080733213, 'LB', 'Lebanon'),
(25273, '64.106.174.30', '64.106.174.49', 1080733214, 1080733233, 'US', 'United States'),
(25274, '64.106.174.50', '64.106.174.59', 1080733234, 1080733243, 'DK', 'Denmark'),
(25275, '64.106.174.60', '64.106.196.191', 1080733244, 1080739007, 'US', 'United States'),
(25276, '64.106.196.192', '64.106.196.207', 1080739008, 1080739023, 'JO', 'Jordan'),
(25277, '64.106.196.208', '64.106.200.59', 1080739024, 1080739899, 'US', 'United States'),
(25278, '64.106.200.60', '64.106.200.69', 1080739900, 1080739909, 'IN', 'India'),
(25279, '64.106.200.70', '64.106.201.139', 1080739910, 1080740235, 'US', 'United States'),
(25280, '64.106.201.140', '64.106.201.159', 1080740236, 1080740255, 'UA', 'Ukraine'),
(25281, '64.106.201.160', '64.106.202.199', 1080740256, 1080740551, 'US', 'United States'),
(25282, '64.106.202.200', '64.106.202.209', 1080740552, 1080740561, 'UA', 'Ukraine'),
(25283, '64.106.202.210', '64.106.205.69', 1080740562, 1080741189, 'US', 'United States'),
(25284, '64.106.205.70', '64.106.205.79', 1080741190, 1080741199, 'GR', 'Greece'),
(25285, '64.106.205.80', '64.106.205.149', 1080741200, 1080741269, 'US', 'United States'),
(25286, '64.106.205.150', '64.106.205.159', 1080741270, 1080741279, 'GR', 'Greece'),
(25287, '64.106.205.160', '64.106.205.169', 1080741280, 1080741289, 'GB', 'United Kingdom'),
(25288, '64.106.205.170', '64.106.206.119', 1080741290, 1080741495, 'US', 'United States'),
(25289, '64.106.206.120', '64.106.206.129', 1080741496, 1080741505, 'CA', 'Canada'),
(25290, '64.106.206.130', '64.106.206.229', 1080741506, 1080741605, 'US', 'United States'),
(25291, '64.106.206.230', '64.106.206.239', 1080741606, 1080741615, 'SE', 'Sweden'),
(25292, '64.106.206.240', '64.106.207.39', 1080741616, 1080741671, 'US', 'United States'),
(25293, '64.106.207.40', '64.106.207.49', 1080741672, 1080741681, 'CA', 'Canada'),
(25294, '64.106.207.50', '64.106.217.19', 1080741682, 1080744211, 'US', 'United States'),
(25295, '64.106.217.20', '64.106.217.29', 1080744212, 1080744221, 'CA', 'Canada'),
(25296, '64.106.217.30', '64.106.218.63', 1080744222, 1080744511, 'US', 'United States'),
(25297, '64.106.218.64', '64.106.218.127', 1080744512, 1080744575, 'NO', 'Norway'),
(25298, '64.106.218.128', '64.106.226.195', 1080744576, 1080746691, 'US', 'United States'),
(25299, '64.106.226.196', '64.106.226.227', 1080746692, 1080746723, 'QA', 'Qatar'),
(25300, '64.106.226.228', '64.106.229.69', 1080746724, 1080747333, 'US', 'United States'),
(25301, '64.106.229.70', '64.106.229.79', 1080747334, 1080747343, 'NZ', 'New Zealand'),
(25302, '64.106.229.80', '64.106.229.89', 1080747344, 1080747353, 'CA', 'Canada'),
(25303, '64.106.229.90', '64.106.229.239', 1080747354, 1080747503, 'US', 'United States'),
(25304, '64.106.229.240', '64.106.229.249', 1080747504, 1080747513, 'CA', 'Canada'),
(25305, '64.106.229.250', '64.106.230.19', 1080747514, 1080747539, 'US', 'United States'),
(25306, '64.106.230.20', '64.106.230.39', 1080747540, 1080747559, 'CA', 'Canada'),
(25307, '64.106.230.40', '64.106.231.99', 1080747560, 1080747875, 'US', 'United States'),
(25308, '64.106.231.100', '64.106.231.109', 1080747876, 1080747885, 'ES', 'Spain'),
(25309, '64.106.231.110', '64.106.231.139', 1080747886, 1080747915, 'US', 'United States'),
(25310, '64.106.231.140', '64.106.231.149', 1080747916, 1080747925, 'IL', 'Israel'),
(25311, '64.106.231.150', '64.106.231.179', 1080747926, 1080747955, 'US', 'United States'),
(25312, '64.106.231.180', '64.106.231.189', 1080747956, 1080747965, 'ES', 'Spain'),
(25313, '64.106.231.190', '64.106.231.199', 1080747966, 1080747975, 'US', 'United States'),
(25314, '64.106.231.200', '64.106.231.229', 1080747976, 1080748005, 'CA', 'Canada'),
(25315, '64.106.231.230', '64.106.232.31', 1080748006, 1080748063, 'US', 'United States'),
(25316, '64.106.232.32', '64.106.232.63', 1080748064, 1080748095, 'QA', 'Qatar'),
(25317, '64.106.232.64', '64.106.238.255', 1080748096, 1080749823, 'US', 'United States'),
(25318, '64.106.239.0', '64.106.239.127', 1080749824, 1080749951, 'CA', 'Canada'),
(25319, '64.106.239.128', '64.106.242.9', 1080749952, 1080750601, 'US', 'United States'),
(25320, '64.106.242.10', '64.106.242.19', 1080750602, 1080750611, 'GB', 'United Kingdom'),
(25321, '64.106.242.20', '64.110.15.255', 1080750612, 1080954879, 'US', 'United States'),
(25322, '64.110.23.102', '64.110.23.102', 1080956774, 1080956774, 'GB', 'United Kingdom'),
(25323, '64.110.28.0', '64.110.28.255', 1080957952, 1080958207, 'A2', 'Satellite Provider'),
(25324, '64.110.29.0', '64.110.29.255', 1080958208, 1080958463, 'BH', 'Bahrain'),
(25325, '64.110.30.0', '64.110.30.255', 1080958464, 1080958719, 'A2', 'Satellite Provider'),
(25326, '64.110.31.0', '64.110.31.255', 1080958720, 1080958975, 'BH', 'Bahrain'),
(25327, '64.110.32.0', '64.110.36.255', 1080958976, 1080960255, 'A2', 'Satellite Provider'),
(25328, '64.110.37.0', '64.110.37.255', 1080960256, 1080960511, 'BH', 'Bahrain'),
(25329, '64.110.38.0', '64.110.50.255', 1080960512, 1080963839, 'A2', 'Satellite Provider'),
(25330, '64.110.51.0', '64.110.63.255', 1080963840, 1080967167, 'US', 'United States'),
(25331, '64.110.64.0', '64.110.67.255', 1080967168, 1080968191, 'A2', 'Satellite Provider'),
(25332, '64.110.68.0', '64.110.68.255', 1080968192, 1080968447, 'BH', 'Bahrain'),
(25333, '64.110.69.0', '64.110.72.255', 1080968448, 1080969471, 'A2', 'Satellite Provider'),
(25334, '64.110.73.0', '64.110.73.255', 1080969472, 1080969727, 'BH', 'Bahrain'),
(25335, '64.110.74.0', '64.110.85.31', 1080969728, 1080972575, 'A2', 'Satellite Provider'),
(25336, '64.110.85.32', '64.110.85.63', 1080972576, 1080972607, 'ID', 'Indonesia'),
(25337, '64.110.85.64', '64.110.94.191', 1080972608, 1080975039, 'A2', 'Satellite Provider'),
(25338, '64.110.94.192', '64.110.94.255', 1080975040, 1080975103, 'BJ', 'Benin'),
(25339, '64.110.95.0', '64.110.127.255', 1080975104, 1080983551, 'A2', 'Satellite Provider'),
(25340, '64.110.128.0', '64.110.143.255', 1080983552, 1080987647, 'US', 'United States'),
(25341, '64.110.144.0', '64.110.147.255', 1080987648, 1080988671, 'A2', 'Satellite Provider'),
(25342, '64.110.148.0', '64.110.152.255', 1080988672, 1080989951, 'US', 'United States'),
(25343, '64.110.153.0', '64.110.153.255', 1080989952, 1080990207, 'A2', 'Satellite Provider'),
(25344, '64.110.154.0', '64.110.191.255', 1080990208, 1080999935, 'US', 'United States'),
(25345, '64.110.192.0', '64.110.255.255', 1080999936, 1081016319, 'CA', 'Canada'),
(25346, '64.111.0.0', '64.111.81.255', 1081016320, 1081037311, 'US', 'United States'),
(25347, '64.111.82.0', '64.111.82.255', 1081037312, 1081037567, 'CA', 'Canada'),
(25348, '64.111.83.0', '64.111.85.255', 1081037568, 1081038335, 'US', 'United States'),
(25349, '64.111.86.0', '64.111.95.255', 1081038336, 1081040895, 'CA', 'Canada'),
(25350, '64.111.96.0', '64.111.122.28', 1081040896, 1081047580, 'US', 'United States'),
(25351, '64.111.122.29', '64.111.122.29', 1081047581, 1081047581, 'A1', 'Anonymous Proxy'),
(25352, '64.111.122.30', '64.112.158.255', 1081047582, 1081122559, 'US', 'United States'),
(25353, '64.112.159.0', '64.112.159.255', 1081122560, 1081122815, 'VI', 'Virgin Islands, U.S.'),
(25354, '64.112.160.0', '64.113.255.255', 1081122816, 1081212927, 'US', 'United States'),
(25355, '64.114.0.0', '64.114.255.255', 1081212928, 1081278463, 'CA', 'Canada'),
(25356, '64.115.0.0', '64.116.96.31', 1081278464, 1081368607, 'US', 'United States'),
(25357, '64.116.96.32', '64.116.96.39', 1081368608, 1081368615, 'CO', 'Colombia'),
(25358, '64.116.96.40', '64.116.96.47', 1081368616, 1081368623, 'US', 'United States'),
(25359, '64.116.96.48', '64.116.96.55', 1081368624, 1081368631, 'CO', 'Colombia'),
(25360, '64.116.96.56', '64.116.96.167', 1081368632, 1081368743, 'US', 'United States'),
(25361, '64.116.96.168', '64.116.96.191', 1081368744, 1081368767, 'CO', 'Colombia'),
(25362, '64.116.96.192', '64.116.98.31', 1081368768, 1081369119, 'US', 'United States'),
(25363, '64.116.98.32', '64.116.98.63', 1081369120, 1081369151, 'CO', 'Colombia'),
(25364, '64.116.98.64', '64.116.98.95', 1081369152, 1081369183, 'US', 'United States'),
(25365, '64.116.98.96', '64.116.98.127', 1081369184, 1081369215, 'CO', 'Colombia'),
(25366, '64.116.98.128', '64.116.99.255', 1081369216, 1081369599, 'US', 'United States'),
(25367, '64.116.100.0', '64.116.101.255', 1081369600, 1081370111, 'CO', 'Colombia'),
(25368, '64.116.102.0', '64.116.129.55', 1081370112, 1081377079, 'US', 'United States'),
(25369, '64.116.129.56', '64.116.129.63', 1081377080, 1081377087, 'VE', 'Venezuela'),
(25370, '64.116.129.64', '64.116.129.95', 1081377088, 1081377119, 'US', 'United States'),
(25371, '64.116.129.96', '64.116.129.111', 1081377120, 1081377135, 'VE', 'Venezuela'),
(25372, '64.116.129.112', '64.116.129.159', 1081377136, 1081377183, 'US', 'United States'),
(25373, '64.116.129.160', '64.116.129.175', 1081377184, 1081377199, 'VE', 'Venezuela'),
(25374, '64.116.129.176', '64.116.129.223', 1081377200, 1081377247, 'US', 'United States'),
(25375, '64.116.129.224', '64.116.129.255', 1081377248, 1081377279, 'VE', 'Venezuela'),
(25376, '64.116.130.0', '64.116.131.127', 1081377280, 1081377663, 'US', 'United States'),
(25377, '64.116.131.128', '64.116.131.255', 1081377664, 1081377791, 'VE', 'Venezuela'),
(25378, '64.116.132.0', '64.116.132.95', 1081377792, 1081377887, 'US', 'United States'),
(25379, '64.116.132.96', '64.116.132.127', 1081377888, 1081377919, 'VE', 'Venezuela'),
(25380, '64.116.132.128', '64.116.132.143', 1081377920, 1081377935, 'US', 'United States'),
(25381, '64.116.132.144', '64.116.132.159', 1081377936, 1081377951, 'VE', 'Venezuela'),
(25382, '64.116.132.160', '64.116.132.223', 1081377952, 1081378015, 'US', 'United States'),
(25383, '64.116.132.224', '64.116.132.255', 1081378016, 1081378047, 'VE', 'Venezuela'),
(25384, '64.116.133.0', '64.116.134.71', 1081378048, 1081378375, 'US', 'United States'),
(25385, '64.116.134.72', '64.116.134.95', 1081378376, 1081378399, 'VE', 'Venezuela'),
(25386, '64.116.134.96', '64.116.134.191', 1081378400, 1081378495, 'US', 'United States'),
(25387, '64.116.134.192', '64.116.135.15', 1081378496, 1081378575, 'VE', 'Venezuela'),
(25388, '64.116.135.16', '64.116.135.47', 1081378576, 1081378607, 'US', 'United States'),
(25389, '64.116.135.48', '64.116.135.95', 1081378608, 1081378655, 'VE', 'Venezuela'),
(25390, '64.116.135.96', '64.116.137.255', 1081378656, 1081379327, 'US', 'United States'),
(25391, '64.116.138.0', '64.116.139.255', 1081379328, 1081379839, 'VE', 'Venezuela'),
(25392, '64.116.140.0', '64.116.160.255', 1081379840, 1081385215, 'US', 'United States'),
(25393, '64.116.161.0', '64.116.162.63', 1081385216, 1081385535, 'PA', 'Panama'),
(25394, '64.116.162.64', '64.116.163.255', 1081385536, 1081385983, 'US', 'United States'),
(25395, '64.116.164.0', '64.116.164.7', 1081385984, 1081385991, 'PA', 'Panama'),
(25396, '64.116.164.8', '64.116.164.15', 1081385992, 1081385999, 'US', 'United States'),
(25397, '64.116.164.16', '64.116.164.31', 1081386000, 1081386015, 'PA', 'Panama'),
(25398, '64.116.164.32', '64.116.164.63', 1081386016, 1081386047, 'VE', 'Venezuela'),
(25399, '64.116.164.64', '64.116.169.255', 1081386048, 1081387519, 'US', 'United States'),
(25400, '64.116.170.0', '64.116.171.255', 1081387520, 1081388031, 'PA', 'Panama'),
(25401, '64.116.172.0', '64.116.172.95', 1081388032, 1081388127, 'US', 'United States'),
(25402, '64.116.172.96', '64.116.172.111', 1081388128, 1081388143, 'PA', 'Panama'),
(25403, '64.116.172.112', '64.116.172.119', 1081388144, 1081388151, 'PR', 'Puerto Rico'),
(25404, '64.116.172.120', '64.116.183.255', 1081388152, 1081391103, 'US', 'United States'),
(25405, '64.116.184.0', '64.116.191.255', 1081391104, 1081393151, 'PA', 'Panama'),
(25406, '64.116.192.0', '64.116.192.255', 1081393152, 1081393407, 'US', 'United States'),
(25407, '64.116.193.0', '64.116.194.87', 1081393408, 1081393751, 'CL', 'Chile'),
(25408, '64.116.194.88', '64.116.194.95', 1081393752, 1081393759, 'US', 'United States'),
(25409, '64.116.194.96', '64.116.194.119', 1081393760, 1081393783, 'CL', 'Chile'),
(25410, '64.116.194.120', '64.116.194.167', 1081393784, 1081393831, 'US', 'United States'),
(25411, '64.116.194.168', '64.116.194.175', 1081393832, 1081393839, 'CL', 'Chile'),
(25412, '64.116.194.176', '64.116.194.223', 1081393840, 1081393887, 'US', 'United States'),
(25413, '64.116.194.224', '64.116.194.239', 1081393888, 1081393903, 'CL', 'Chile'),
(25414, '64.116.194.240', '64.116.194.255', 1081393904, 1081393919, 'US', 'United States'),
(25415, '64.116.195.0', '64.116.207.255', 1081393920, 1081397247, 'CL', 'Chile'),
(25416, '64.116.208.0', '64.116.209.255', 1081397248, 1081397759, 'US', 'United States'),
(25417, '64.116.210.0', '64.116.213.255', 1081397760, 1081398783, 'CL', 'Chile'),
(25418, '64.116.214.0', '64.116.215.255', 1081398784, 1081399295, 'US', 'United States'),
(25419, '64.116.216.0', '64.116.223.255', 1081399296, 1081401343, 'CL', 'Chile'),
(25420, '64.116.224.0', '64.116.224.47', 1081401344, 1081401391, 'AR', 'Argentina'),
(25421, '64.116.224.48', '64.116.224.71', 1081401392, 1081401415, 'US', 'United States'),
(25422, '64.116.224.72', '64.116.224.79', 1081401416, 1081401423, 'AR', 'Argentina'),
(25423, '64.116.224.80', '64.116.224.95', 1081401424, 1081401439, 'US', 'United States'),
(25424, '64.116.224.96', '64.116.224.127', 1081401440, 1081401471, 'AR', 'Argentina'),
(25425, '64.116.224.128', '64.116.224.223', 1081401472, 1081401567, 'US', 'United States'),
(25426, '64.116.224.224', '64.116.224.255', 1081401568, 1081401599, 'AR', 'Argentina'),
(25427, '64.116.225.0', '64.116.225.23', 1081401600, 1081401623, 'US', 'United States'),
(25428, '64.116.225.24', '64.116.225.31', 1081401624, 1081401631, 'AR', 'Argentina'),
(25429, '64.116.225.32', '64.116.225.63', 1081401632, 1081401663, 'US', 'United States'),
(25430, '64.116.225.64', '64.116.225.135', 1081401664, 1081401735, 'AR', 'Argentina'),
(25431, '64.116.225.136', '64.116.225.143', 1081401736, 1081401743, 'US', 'United States'),
(25432, '64.116.225.144', '64.116.225.175', 1081401744, 1081401775, 'AR', 'Argentina'),
(25433, '64.116.225.176', '64.116.225.191', 1081401776, 1081401791, 'US', 'United States'),
(25434, '64.116.225.192', '64.116.225.207', 1081401792, 1081401807, 'AR', 'Argentina'),
(25435, '64.116.225.208', '64.116.225.215', 1081401808, 1081401815, 'US', 'United States'),
(25436, '64.116.225.216', '64.116.225.223', 1081401816, 1081401823, 'AR', 'Argentina'),
(25437, '64.116.225.224', '64.116.225.255', 1081401824, 1081401855, 'US', 'United States'),
(25438, '64.116.226.0', '64.116.227.255', 1081401856, 1081402367, 'AR', 'Argentina'),
(25439, '64.116.228.0', '64.116.230.15', 1081402368, 1081402895, 'US', 'United States'),
(25440, '64.116.230.16', '64.116.230.127', 1081402896, 1081403007, 'AR', 'Argentina'),
(25441, '64.116.230.128', '64.116.230.175', 1081403008, 1081403055, 'US', 'United States'),
(25442, '64.116.230.176', '64.116.230.223', 1081403056, 1081403103, 'AR', 'Argentina'),
(25443, '64.116.230.224', '64.116.230.239', 1081403104, 1081403119, 'US', 'United States'),
(25444, '64.116.230.240', '64.116.232.95', 1081403120, 1081403487, 'AR', 'Argentina'),
(25445, '64.116.232.96', '64.116.232.127', 1081403488, 1081403519, 'US', 'United States'),
(25446, '64.116.232.128', '64.116.232.143', 1081403520, 1081403535, 'AR', 'Argentina'),
(25447, '64.116.232.144', '64.116.232.151', 1081403536, 1081403543, 'US', 'United States'),
(25448, '64.116.232.152', '64.116.232.159', 1081403544, 1081403551, 'AR', 'Argentina'),
(25449, '64.116.232.160', '64.116.232.223', 1081403552, 1081403615, 'US', 'United States'),
(25450, '64.116.232.224', '64.116.232.239', 1081403616, 1081403631, 'AR', 'Argentina'),
(25451, '64.116.232.240', '64.116.233.199', 1081403632, 1081403847, 'US', 'United States'),
(25452, '64.116.233.200', '64.116.233.207', 1081403848, 1081403855, 'AR', 'Argentina'),
(25453, '64.116.233.208', '64.116.233.215', 1081403856, 1081403863, 'US', 'United States'),
(25454, '64.116.233.216', '64.116.233.223', 1081403864, 1081403871, 'AR', 'Argentina'),
(25455, '64.116.233.224', '64.116.233.255', 1081403872, 1081403903, 'US', 'United States'),
(25456, '64.116.234.0', '64.116.234.63', 1081403904, 1081403967, 'AR', 'Argentina'),
(25457, '64.116.234.64', '64.116.234.127', 1081403968, 1081404031, 'US', 'United States'),
(25458, '64.116.234.128', '64.116.234.191', 1081404032, 1081404095, 'AR', 'Argentina'),
(25459, '64.116.234.192', '64.116.238.127', 1081404096, 1081405055, 'US', 'United States'),
(25460, '64.116.238.128', '64.116.238.191', 1081405056, 1081405119, 'AR', 'Argentina'),
(25461, '64.116.238.192', '64.117.0.255', 1081405120, 1081409791, 'US', 'United States'),
(25462, '64.117.1.0', '64.117.1.255', 1081409792, 1081410047, 'PR', 'Puerto Rico'),
(25463, '64.117.2.0', '64.117.3.255', 1081410048, 1081410559, 'US', 'United States'),
(25464, '64.117.4.0', '64.117.7.255', 1081410560, 1081411583, 'PR', 'Puerto Rico'),
(25465, '64.117.8.0', '64.117.13.255', 1081411584, 1081413119, 'US', 'United States'),
(25466, '64.117.14.0', '64.117.14.255', 1081413120, 1081413375, 'PR', 'Puerto Rico'),
(25467, '64.117.15.0', '64.117.15.47', 1081413376, 1081413423, 'US', 'United States'),
(25468, '64.117.15.48', '64.117.15.63', 1081413424, 1081413439, 'PR', 'Puerto Rico'),
(25469, '64.117.15.64', '64.117.15.151', 1081413440, 1081413527, 'US', 'United States'),
(25470, '64.117.15.152', '64.117.15.159', 1081413528, 1081413535, 'CA', 'Canada'),
(25471, '64.117.15.160', '64.117.15.191', 1081413536, 1081413567, 'US', 'United States'),
(25472, '64.117.15.192', '64.117.15.199', 1081413568, 1081413575, 'CA', 'Canada'),
(25473, '64.117.15.200', '64.117.15.207', 1081413576, 1081413583, 'US', 'United States'),
(25474, '64.117.15.208', '64.117.15.255', 1081413584, 1081413631, 'PR', 'Puerto Rico'),
(25475, '64.117.16.0', '64.117.25.255', 1081413632, 1081416191, 'US', 'United States'),
(25476, '64.117.26.0', '64.117.26.255', 1081416192, 1081416447, 'PR', 'Puerto Rico'),
(25477, '64.117.27.0', '64.117.38.63', 1081416448, 1081419327, 'US', 'United States'),
(25478, '64.117.38.64', '64.117.38.127', 1081419328, 1081419391, 'PR', 'Puerto Rico'),
(25479, '64.117.38.128', '64.117.38.159', 1081419392, 1081419423, 'US', 'United States'),
(25480, '64.117.38.160', '64.117.38.167', 1081419424, 1081419431, 'PR', 'Puerto Rico'),
(25481, '64.117.38.168', '64.117.38.183', 1081419432, 1081419447, 'US', 'United States'),
(25482, '64.117.38.184', '64.117.38.191', 1081419448, 1081419455, 'PR', 'Puerto Rico'),
(25483, '64.117.38.192', '64.117.39.255', 1081419456, 1081419775, 'US', 'United States'),
(25484, '64.117.40.0', '64.117.41.255', 1081419776, 1081420287, 'PR', 'Puerto Rico'),
(25485, '64.117.42.0', '64.117.42.31', 1081420288, 1081420319, 'US', 'United States'),
(25486, '64.117.42.32', '64.117.42.63', 1081420320, 1081420351, 'PR', 'Puerto Rico'),
(25487, '64.117.42.64', '64.117.128.63', 1081420352, 1081442367, 'US', 'United States'),
(25488, '64.117.128.64', '64.117.128.95', 1081442368, 1081442399, 'CL', 'Chile'),
(25489, '64.117.128.96', '64.117.130.143', 1081442400, 1081442959, 'US', 'United States'),
(25490, '64.117.130.144', '64.117.130.151', 1081442960, 1081442967, 'CL', 'Chile'),
(25491, '64.117.130.152', '64.117.131.255', 1081442968, 1081443327, 'US', 'United States'),
(25492, '64.117.132.0', '64.117.135.255', 1081443328, 1081444351, 'CL', 'Chile'),
(25493, '64.117.136.0', '64.117.139.255', 1081444352, 1081445375, 'US', 'United States'),
(25494, '64.117.140.0', '64.117.143.255', 1081445376, 1081446399, 'CL', 'Chile'),
(25495, '64.117.144.0', '64.117.199.255', 1081446400, 1081460735, 'US', 'United States'),
(25496, '64.117.200.0', '64.117.207.255', 1081460736, 1081462783, 'PA', 'Panama'),
(25497, '64.117.208.0', '64.117.208.31', 1081462784, 1081462815, 'CO', 'Colombia'),
(25498, '64.117.208.32', '64.117.208.63', 1081462816, 1081462847, 'BR', 'Brazil'),
(25499, '64.117.208.64', '64.117.208.135', 1081462848, 1081462919, 'US', 'United States'),
(25500, '64.117.208.136', '64.117.208.143', 1081462920, 1081462927, 'BR', 'Brazil'),
(25501, '64.117.208.144', '64.117.209.191', 1081462928, 1081463231, 'US', 'United States'),
(25502, '64.117.209.192', '64.117.209.207', 1081463232, 1081463247, 'BR', 'Brazil'),
(25503, '64.117.209.208', '64.117.209.215', 1081463248, 1081463255, 'US', 'United States'),
(25504, '64.117.209.216', '64.117.209.223', 1081463256, 1081463263, 'BR', 'Brazil'),
(25505, '64.117.209.224', '64.117.209.247', 1081463264, 1081463287, 'US', 'United States'),
(25506, '64.117.209.248', '64.117.210.95', 1081463288, 1081463391, 'BR', 'Brazil'),
(25507, '64.117.210.96', '64.117.210.127', 1081463392, 1081463423, 'US', 'United States'),
(25508, '64.117.210.128', '64.117.210.191', 1081463424, 1081463487, 'BR', 'Brazil'),
(25509, '64.117.210.192', '64.118.15.255', 1081463488, 1081479167, 'US', 'United States'),
(25510, '64.118.16.0', '64.118.31.239', 1081479168, 1081483247, 'CA', 'Canada'),
(25511, '64.118.31.240', '64.118.31.247', 1081483248, 1081483255, 'US', 'United States'),
(25512, '64.118.31.248', '64.118.31.255', 1081483256, 1081483263, 'CA', 'Canada'),
(25513, '64.118.32.0', '64.118.48.7', 1081483264, 1081487367, 'US', 'United States'),
(25514, '64.118.48.8', '64.118.48.15', 1081487368, 1081487375, 'A2', 'Satellite Provider'),
(25515, '64.118.48.16', '64.118.48.47', 1081487376, 1081487407, 'US', 'United States'),
(25516, '64.118.48.48', '64.118.48.159', 1081487408, 1081487519, 'A2', 'Satellite Provider'),
(25517, '64.118.48.160', '64.118.48.223', 1081487520, 1081487583, 'US', 'United States'),
(25518, '64.118.48.224', '64.118.49.255', 1081487584, 1081487871, 'A2', 'Satellite Provider'),
(25519, '64.118.50.0', '64.118.50.107', 1081487872, 1081487979, 'US', 'United States'),
(25520, '64.118.50.108', '64.118.50.119', 1081487980, 1081487991, 'A2', 'Satellite Provider'),
(25521, '64.118.50.120', '64.118.50.239', 1081487992, 1081488111, 'US', 'United States'),
(25522, '64.118.50.240', '64.118.50.247', 1081488112, 1081488119, 'A2', 'Satellite Provider'),
(25523, '64.118.50.248', '64.118.50.251', 1081488120, 1081488123, 'US', 'United States'),
(25524, '64.118.50.252', '64.118.51.7', 1081488124, 1081488135, 'A2', 'Satellite Provider'),
(25525, '64.118.51.8', '64.118.51.31', 1081488136, 1081488159, 'US', 'United States'),
(25526, '64.118.51.32', '64.118.51.39', 1081488160, 1081488167, 'A2', 'Satellite Provider'),
(25527, '64.118.51.40', '64.118.51.167', 1081488168, 1081488295, 'US', 'United States'),
(25528, '64.118.51.168', '64.118.51.175', 1081488296, 1081488303, 'A2', 'Satellite Provider'),
(25529, '64.118.51.176', '64.118.51.207', 1081488304, 1081488335, 'US', 'United States'),
(25530, '64.118.51.208', '64.118.51.215', 1081488336, 1081488343, 'A2', 'Satellite Provider'),
(25531, '64.118.51.216', '64.118.51.223', 1081488344, 1081488351, 'US', 'United States'),
(25532, '64.118.51.224', '64.118.51.255', 1081488352, 1081488383, 'A2', 'Satellite Provider'),
(25533, '64.118.52.0', '64.118.57.7', 1081488384, 1081489671, 'US', 'United States'),
(25534, '64.118.57.8', '64.118.57.15', 1081489672, 1081489679, 'A2', 'Satellite Provider'),
(25535, '64.118.57.16', '64.118.57.23', 1081489680, 1081489687, 'US', 'United States'),
(25536, '64.118.57.24', '64.118.57.255', 1081489688, 1081489919, 'A2', 'Satellite Provider'),
(25537, '64.118.58.0', '64.119.95.255', 1081489920, 1081565183, 'US', 'United States'),
(25538, '64.119.96.0', '64.119.127.255', 1081565184, 1081573375, 'CA', 'Canada'),
(25539, '64.119.128.0', '64.119.160.47', 1081573376, 1081581615, 'US', 'United States'),
(25540, '64.119.160.48', '64.119.160.55', 1081581616, 1081581623, 'JP', 'Japan'),
(25541, '64.119.160.56', '64.119.160.127', 1081581624, 1081581695, 'US', 'United States'),
(25542, '64.119.160.128', '64.119.160.135', 1081581696, 1081581703, 'AE', 'United Arab Emirates'),
(25543, '64.119.160.136', '64.119.161.191', 1081581704, 1081582015, 'US', 'United States'),
(25544, '64.119.161.192', '64.119.161.255', 1081582016, 1081582079, 'GB', 'United Kingdom'),
(25545, '64.119.162.0', '64.119.162.87', 1081582080, 1081582167, 'US', 'United States'),
(25546, '64.119.162.88', '64.119.162.95', 1081582168, 1081582175, 'AE', 'United Arab Emirates'),
(25547, '64.119.162.96', '64.119.162.103', 1081582176, 1081582183, 'US', 'United States'),
(25548, '64.119.162.104', '64.119.162.119', 1081582184, 1081582199, 'ID', 'Indonesia'),
(25549, '64.119.162.120', '64.119.162.143', 1081582200, 1081582223, 'US', 'United States'),
(25550, '64.119.162.144', '64.119.162.151', 1081582224, 1081582231, 'JP', 'Japan'),
(25551, '64.119.162.152', '64.119.162.255', 1081582232, 1081582335, 'US', 'United States'),
(25552, '64.119.163.0', '64.119.163.7', 1081582336, 1081582343, 'MY', 'Malaysia'),
(25553, '64.119.163.8', '64.119.163.231', 1081582344, 1081582567, 'US', 'United States'),
(25554, '64.119.163.232', '64.119.163.255', 1081582568, 1081582591, 'MY', 'Malaysia'),
(25555, '64.119.164.0', '64.119.164.103', 1081582592, 1081582695, 'US', 'United States'),
(25556, '64.119.164.104', '64.119.164.111', 1081582696, 1081582703, 'MY', 'Malaysia'),
(25557, '64.119.164.112', '64.119.165.223', 1081582704, 1081583071, 'US', 'United States'),
(25558, '64.119.165.224', '64.119.165.255', 1081583072, 1081583103, 'MY', 'Malaysia'),
(25559, '64.119.166.0', '64.119.167.191', 1081583104, 1081583551, 'US', 'United States'),
(25560, '64.119.167.192', '64.119.167.207', 1081583552, 1081583567, 'MY', 'Malaysia'),
(25561, '64.119.167.208', '64.119.168.191', 1081583568, 1081583807, 'US', 'United States'),
(25562, '64.119.168.192', '64.119.168.199', 1081583808, 1081583815, 'AU', 'Australia'),
(25563, '64.119.168.200', '64.119.169.15', 1081583816, 1081583887, 'US', 'United States'),
(25564, '64.119.169.16', '64.119.169.39', 1081583888, 1081583911, 'MY', 'Malaysia'),
(25565, '64.119.169.40', '64.119.169.47', 1081583912, 1081583919, 'JP', 'Japan'),
(25566, '64.119.169.48', '64.119.169.127', 1081583920, 1081583999, 'US', 'United States'),
(25567, '64.119.169.128', '64.119.169.135', 1081584000, 1081584007, 'MY', 'Malaysia'),
(25568, '64.119.169.136', '64.119.169.207', 1081584008, 1081584079, 'US', 'United States'),
(25569, '64.119.169.208', '64.119.169.215', 1081584080, 1081584087, 'MY', 'Malaysia'),
(25570, '64.119.169.216', '64.119.170.71', 1081584088, 1081584199, 'US', 'United States'),
(25571, '64.119.170.72', '64.119.170.95', 1081584200, 1081584223, 'MY', 'Malaysia'),
(25572, '64.119.170.96', '64.119.171.79', 1081584224, 1081584463, 'US', 'United States'),
(25573, '64.119.171.80', '64.119.171.103', 1081584464, 1081584487, 'MY', 'Malaysia'),
(25574, '64.119.171.104', '64.119.171.159', 1081584488, 1081584543, 'US', 'United States'),
(25575, '64.119.171.160', '64.119.171.191', 1081584544, 1081584575, 'MY', 'Malaysia'),
(25576, '64.119.171.192', '64.119.175.31', 1081584576, 1081585439, 'US', 'United States'),
(25577, '64.119.175.32', '64.119.175.47', 1081585440, 1081585455, 'AE', 'United Arab Emirates'),
(25578, '64.119.175.48', '64.119.175.95', 1081585456, 1081585503, 'US', 'United States'),
(25579, '64.119.175.96', '64.119.175.111', 1081585504, 1081585519, 'LB', 'Lebanon'),
(25580, '64.119.175.112', '64.119.178.55', 1081585520, 1081586231, 'US', 'United States'),
(25581, '64.119.178.56', '64.119.178.63', 1081586232, 1081586239, 'IT', 'Italy'),
(25582, '64.119.178.64', '64.119.178.71', 1081586240, 1081586247, 'AU', 'Australia'),
(25583, '64.119.178.72', '64.119.184.47', 1081586248, 1081587759, 'US', 'United States'),
(25584, '64.119.184.48', '64.119.184.55', 1081587760, 1081587767, 'AU', 'Australia'),
(25585, '64.119.184.56', '64.119.187.63', 1081587768, 1081588543, 'US', 'United States'),
(25586, '64.119.187.64', '64.119.187.71', 1081588544, 1081588551, 'KH', 'Cambodia'),
(25587, '64.119.187.72', '64.119.188.15', 1081588552, 1081588751, 'US', 'United States'),
(25588, '64.119.188.16', '64.119.188.31', 1081588752, 1081588767, 'AU', 'Australia'),
(25589, '64.119.188.32', '64.119.191.255', 1081588768, 1081589759, 'US', 'United States'),
(25590, '64.119.192.0', '64.119.207.255', 1081589760, 1081593855, 'BB', 'Barbados'),
(25591, '64.119.208.0', '64.119.223.255', 1081593856, 1081597951, 'CA', 'Canada'),
(25592, '64.119.224.0', '64.120.7.255', 1081597952, 1081608191, 'US', 'United States'),
(25593, '64.120.8.0', '64.120.8.15', 1081608192, 1081608207, 'CA', 'Canada'),
(25594, '64.120.8.16', '64.120.8.31', 1081608208, 1081608223, 'US', 'United States'),
(25595, '64.120.8.32', '64.120.8.39', 1081608224, 1081608231, 'CA', 'Canada'),
(25596, '64.120.8.40', '64.120.8.127', 1081608232, 1081608319, 'US', 'United States'),
(25597, '64.120.8.128', '64.120.8.135', 1081608320, 1081608327, 'CA', 'Canada'),
(25598, '64.120.8.136', '64.120.8.143', 1081608328, 1081608335, 'US', 'United States'),
(25599, '64.120.8.144', '64.120.8.151', 1081608336, 1081608343, 'CA', 'Canada'),
(25600, '64.120.8.152', '64.120.9.55', 1081608344, 1081608503, 'US', 'United States'),
(25601, '64.120.9.56', '64.120.9.63', 1081608504, 1081608511, 'CA', 'Canada'),
(25602, '64.120.9.64', '64.120.9.127', 1081608512, 1081608575, 'US', 'United States'),
(25603, '64.120.9.128', '64.120.9.135', 1081608576, 1081608583, 'CA', 'Canada'),
(25604, '64.120.9.136', '64.120.14.95', 1081608584, 1081609823, 'US', 'United States'),
(25605, '64.120.14.96', '64.120.14.103', 1081609824, 1081609831, 'LK', 'Sri Lanka'),
(25606, '64.120.14.104', '64.120.14.159', 1081609832, 1081609887, 'US', 'United States'),
(25607, '64.120.14.160', '64.120.14.191', 1081609888, 1081609919, 'IN', 'India'),
(25608, '64.120.14.192', '64.120.20.151', 1081609920, 1081611415, 'US', 'United States'),
(25609, '64.120.20.152', '64.120.20.159', 1081611416, 1081611423, 'IN', 'India'),
(25610, '64.120.20.160', '64.120.20.247', 1081611424, 1081611511, 'US', 'United States'),
(25611, '64.120.20.248', '64.120.20.255', 1081611512, 1081611519, 'IN', 'India'),
(25612, '64.120.21.0', '64.120.22.39', 1081611520, 1081611815, 'US', 'United States'),
(25613, '64.120.22.40', '64.120.22.47', 1081611816, 1081611823, 'IN', 'India'),
(25614, '64.120.22.48', '64.120.22.55', 1081611824, 1081611831, 'US', 'United States'),
(25615, '64.120.22.56', '64.120.22.63', 1081611832, 1081611839, 'IN', 'India'),
(25616, '64.120.22.64', '64.120.22.71', 1081611840, 1081611847, 'US', 'United States'),
(25617, '64.120.22.72', '64.120.22.79', 1081611848, 1081611855, 'IN', 'India'),
(25618, '64.120.22.80', '64.120.22.127', 1081611856, 1081611903, 'US', 'United States'),
(25619, '64.120.22.128', '64.120.22.135', 1081611904, 1081611911, 'IN', 'India'),
(25620, '64.120.22.136', '64.120.22.143', 1081611912, 1081611919, 'US', 'United States'),
(25621, '64.120.22.144', '64.120.22.151', 1081611920, 1081611927, 'IN', 'India'),
(25622, '64.120.22.152', '64.120.22.159', 1081611928, 1081611935, 'LK', 'Sri Lanka'),
(25623, '64.120.22.160', '64.120.22.167', 1081611936, 1081611943, 'IN', 'India'),
(25624, '64.120.22.168', '64.120.22.239', 1081611944, 1081612015, 'US', 'United States'),
(25625, '64.120.22.240', '64.120.22.247', 1081612016, 1081612023, 'IN', 'India'),
(25626, '64.120.22.248', '64.120.23.127', 1081612024, 1081612159, 'US', 'United States'),
(25627, '64.120.23.128', '64.120.23.159', 1081612160, 1081612191, 'IN', 'India'),
(25628, '64.120.23.160', '64.120.25.111', 1081612192, 1081612655, 'US', 'United States'),
(25629, '64.120.25.112', '64.120.25.119', 1081612656, 1081612663, 'CA', 'Canada'),
(25630, '64.120.25.120', '64.120.25.127', 1081612664, 1081612671, 'IN', 'India'),
(25631, '64.120.25.128', '64.120.28.39', 1081612672, 1081613351, 'US', 'United States'),
(25632, '64.120.28.40', '64.120.28.47', 1081613352, 1081613359, 'CA', 'Canada'),
(25633, '64.120.28.48', '64.120.28.87', 1081613360, 1081613399, 'US', 'United States'),
(25634, '64.120.28.88', '64.120.28.95', 1081613400, 1081613407, 'CA', 'Canada'),
(25635, '64.120.28.96', '64.120.28.135', 1081613408, 1081613447, 'US', 'United States'),
(25636, '64.120.28.136', '64.120.28.143', 1081613448, 1081613455, 'CA', 'Canada'),
(25637, '64.120.28.144', '64.120.28.231', 1081613456, 1081613543, 'US', 'United States'),
(25638, '64.120.28.232', '64.120.28.239', 1081613544, 1081613551, 'CA', 'Canada'),
(25639, '64.120.28.240', '64.120.46.127', 1081613552, 1081618047, 'US', 'United States'),
(25640, '64.120.46.128', '64.120.46.135', 1081618048, 1081618055, 'ZA', 'South Africa'),
(25641, '64.120.46.136', '64.120.50.7', 1081618056, 1081618951, 'US', 'United States'),
(25642, '64.120.50.8', '64.120.50.15', 1081618952, 1081618959, 'GB', 'United Kingdom'),
(25643, '64.120.50.16', '64.120.53.63', 1081618960, 1081619775, 'US', 'United States'),
(25644, '64.120.53.64', '64.120.53.79', 1081619776, 1081619791, 'CA', 'Canada'),
(25645, '64.120.53.80', '64.120.76.71', 1081619792, 1081625671, 'US', 'United States'),
(25646, '64.120.76.72', '64.120.76.79', 1081625672, 1081625679, 'CA', 'Canada'),
(25647, '64.120.76.80', '64.120.76.175', 1081625680, 1081625775, 'US', 'United States'),
(25648, '64.120.76.176', '64.120.76.183', 1081625776, 1081625783, 'CA', 'Canada'),
(25649, '64.120.76.184', '64.120.96.183', 1081625784, 1081630903, 'US', 'United States'),
(25650, '64.120.96.184', '64.120.96.191', 1081630904, 1081630911, 'CA', 'Canada'),
(25651, '64.120.96.192', '64.124.17.23', 1081630912, 1081872663, 'US', 'United States'),
(25652, '64.124.17.24', '64.124.17.31', 1081872664, 1081872671, 'FI', 'Finland'),
(25653, '64.124.17.32', '64.124.150.63', 1081872672, 1081906751, 'US', 'United States'),
(25654, '64.124.150.64', '64.124.150.127', 1081906752, 1081906815, 'IL', 'Israel'),
(25655, '64.124.150.128', '64.124.170.15', 1081906816, 1081911823, 'US', 'United States'),
(25656, '64.124.170.16', '64.124.170.23', 1081911824, 1081911831, 'GB', 'United Kingdom'),
(25657, '64.124.170.24', '64.124.170.127', 1081911832, 1081911935, 'US', 'United States'),
(25658, '64.124.170.128', '64.124.170.143', 1081911936, 1081911951, 'GB', 'United Kingdom'),
(25659, '64.124.170.144', '64.124.172.255', 1081911952, 1081912575, 'US', 'United States'),
(25660, '64.124.173.0', '64.124.173.63', 1081912576, 1081912639, 'DE', 'Germany'),
(25661, '64.124.173.64', '64.124.229.223', 1081912640, 1081927135, 'US', 'United States'),
(25662, '64.124.229.224', '64.124.229.231', 1081927136, 1081927143, 'GB', 'United Kingdom'),
(25663, '64.124.229.232', '64.127.102.255', 1081927144, 1082091263, 'US', 'United States'),
(25664, '64.127.103.0', '64.127.103.7', 1082091264, 1082091271, 'CN', 'China'),
(25665, '64.127.103.8', '64.127.105.223', 1082091272, 1082091999, 'US', 'United States'),
(25666, '64.127.105.224', '64.127.105.231', 1082092000, 1082092007, 'CA', 'Canada'),
(25667, '64.127.105.232', '64.127.112.111', 1082092008, 1082093679, 'US', 'United States'),
(25668, '64.127.112.112', '64.127.112.127', 1082093680, 1082093695, 'AU', 'Australia'),
(25669, '64.127.112.128', '64.127.125.159', 1082093696, 1082097055, 'US', 'United States'),
(25670, '64.127.125.160', '64.127.125.175', 1082097056, 1082097071, 'CA', 'Canada'),
(25671, '64.127.125.176', '64.128.31.255', 1082097072, 1082138623, 'US', 'United States'),
(25672, '64.128.32.0', '64.128.35.17', 1082138624, 1082139409, 'A2', 'Satellite Provider'),
(25673, '64.128.35.18', '64.128.35.18', 1082139410, 1082139410, 'ZA', 'South Africa'),
(25674, '64.128.35.19', '64.128.39.255', 1082139411, 1082140671, 'A2', 'Satellite Provider'),
(25675, '64.128.40.0', '64.130.207.255', 1082140672, 1082314751, 'US', 'United States'),
(25676, '64.130.208.0', '64.130.209.255', 1082314752, 1082315263, 'CA', 'Canada'),
(25677, '64.130.210.0', '64.130.210.207', 1082315264, 1082315471, 'US', 'United States'),
(25678, '64.130.210.208', '64.130.223.255', 1082315472, 1082318847, 'CA', 'Canada'),
(25679, '64.130.224.0', '64.131.66.144', 1082318848, 1082344080, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(25680, '64.131.66.145', '64.131.66.148', 1082344081, 1082344084, 'GB', 'United Kingdom'),
(25681, '64.131.66.149', '64.131.69.80', 1082344085, 1082344784, 'US', 'United States'),
(25682, '64.131.69.81', '64.131.69.82', 1082344785, 1082344786, 'HN', 'Honduras'),
(25683, '64.131.69.83', '64.131.73.5', 1082344787, 1082345733, 'US', 'United States'),
(25684, '64.131.73.6', '64.131.73.9', 1082345734, 1082345737, 'CA', 'Canada'),
(25685, '64.131.73.10', '64.131.76.14', 1082345738, 1082346510, 'US', 'United States'),
(25686, '64.131.76.15', '64.131.76.18', 1082346511, 1082346514, 'IN', 'India'),
(25687, '64.131.76.19', '64.131.80.220', 1082346515, 1082347740, 'US', 'United States'),
(25688, '64.131.80.221', '64.131.80.224', 1082347741, 1082347744, 'IN', 'India'),
(25689, '64.131.80.225', '64.131.81.106', 1082347745, 1082347882, 'US', 'United States'),
(25690, '64.131.81.107', '64.131.81.110', 1082347883, 1082347886, 'IN', 'India'),
(25691, '64.131.81.111', '64.131.81.116', 1082347887, 1082347892, 'US', 'United States'),
(25692, '64.131.81.117', '64.131.81.120', 1082347893, 1082347896, 'IN', 'India'),
(25693, '64.131.81.121', '64.131.81.229', 1082347897, 1082348005, 'US', 'United States'),
(25694, '64.131.81.230', '64.131.81.233', 1082348006, 1082348009, 'IN', 'India'),
(25695, '64.131.81.234', '64.131.82.83', 1082348010, 1082348115, 'US', 'United States'),
(25696, '64.131.82.84', '64.131.82.91', 1082348116, 1082348123, 'CA', 'Canada'),
(25697, '64.131.82.92', '64.131.83.31', 1082348124, 1082348319, 'US', 'United States'),
(25698, '64.131.83.32', '64.131.83.39', 1082348320, 1082348327, 'GB', 'United Kingdom'),
(25699, '64.131.83.40', '64.131.83.47', 1082348328, 1082348335, 'US', 'United States'),
(25700, '64.131.83.48', '64.131.83.55', 1082348336, 1082348343, 'GB', 'United Kingdom'),
(25701, '64.131.83.56', '64.131.83.111', 1082348344, 1082348399, 'US', 'United States'),
(25702, '64.131.83.112', '64.131.83.119', 1082348400, 1082348407, 'BE', 'Belgium'),
(25703, '64.131.83.120', '64.131.83.127', 1082348408, 1082348415, 'US', 'United States'),
(25704, '64.131.83.128', '64.131.83.135', 1082348416, 1082348423, 'GB', 'United Kingdom'),
(25705, '64.131.83.136', '64.131.84.255', 1082348424, 1082348799, 'US', 'United States'),
(25706, '64.131.85.0', '64.131.85.31', 1082348800, 1082348831, 'CA', 'Canada'),
(25707, '64.131.85.32', '64.131.88.7', 1082348832, 1082349575, 'US', 'United States'),
(25708, '64.131.88.8', '64.131.88.15', 1082349576, 1082349583, 'SA', 'Saudi Arabia'),
(25709, '64.131.88.16', '64.131.88.23', 1082349584, 1082349591, 'CA', 'Canada'),
(25710, '64.131.88.24', '64.131.88.47', 1082349592, 1082349615, 'US', 'United States'),
(25711, '64.131.88.48', '64.131.88.55', 1082349616, 1082349623, 'IT', 'Italy'),
(25712, '64.131.88.56', '64.131.88.71', 1082349624, 1082349639, 'US', 'United States'),
(25713, '64.131.88.72', '64.131.88.79', 1082349640, 1082349647, 'GB', 'United Kingdom'),
(25714, '64.131.88.80', '64.131.88.167', 1082349648, 1082349735, 'US', 'United States'),
(25715, '64.131.88.168', '64.131.88.175', 1082349736, 1082349743, 'MY', 'Malaysia'),
(25716, '64.131.88.176', '64.131.88.199', 1082349744, 1082349767, 'US', 'United States'),
(25717, '64.131.88.200', '64.131.88.207', 1082349768, 1082349775, 'GR', 'Greece'),
(25718, '64.131.88.208', '64.131.88.215', 1082349776, 1082349783, 'IT', 'Italy'),
(25719, '64.131.88.216', '64.131.88.239', 1082349784, 1082349807, 'US', 'United States'),
(25720, '64.131.88.240', '64.131.88.247', 1082349808, 1082349815, 'GB', 'United Kingdom'),
(25721, '64.131.88.248', '64.131.92.63', 1082349816, 1082350655, 'US', 'United States'),
(25722, '64.131.92.64', '64.131.92.79', 1082350656, 1082350671, 'IT', 'Italy'),
(25723, '64.131.92.80', '64.131.93.63', 1082350672, 1082350911, 'US', 'United States'),
(25724, '64.131.93.64', '64.131.93.95', 1082350912, 1082350943, 'RU', 'Russian Federation'),
(25725, '64.131.93.96', '64.131.95.1', 1082350944, 1082351361, 'US', 'United States'),
(25726, '64.131.95.2', '64.131.95.2', 1082351362, 1082351362, 'SA', 'Saudi Arabia'),
(25727, '64.131.95.3', '64.132.104.255', 1082351363, 1082419455, 'US', 'United States'),
(25728, '64.132.105.0', '64.132.105.255', 1082419456, 1082419711, 'A2', 'Satellite Provider'),
(25729, '64.132.106.0', '64.132.162.191', 1082419712, 1082434239, 'US', 'United States'),
(25730, '64.132.162.192', '64.132.162.207', 1082434240, 1082434255, 'IN', 'India'),
(25731, '64.132.162.208', '64.135.128.35', 1082434256, 1082621987, 'US', 'United States'),
(25732, '64.135.128.36', '64.135.128.39', 1082621988, 1082621991, 'ME', 'Montenegro'),
(25733, '64.135.128.40', '64.136.97.255', 1082621992, 1082679807, 'US', 'United States'),
(25734, '64.136.112.0', '64.136.127.255', 1082683392, 1082687487, 'CA', 'Canada'),
(25735, '64.136.128.0', '64.138.3.31', 1082687488, 1082786591, 'US', 'United States'),
(25736, '64.138.3.32', '64.138.3.63', 1082786592, 1082786623, 'HK', 'Hong Kong'),
(25737, '64.138.3.64', '64.138.10.95', 1082786624, 1082788447, 'US', 'United States'),
(25738, '64.138.10.96', '64.138.10.103', 1082788448, 1082788455, 'SG', 'Singapore'),
(25739, '64.138.10.104', '64.138.11.159', 1082788456, 1082788767, 'US', 'United States'),
(25740, '64.138.11.160', '64.138.11.191', 1082788768, 1082788799, 'SG', 'Singapore'),
(25741, '64.138.11.192', '64.138.16.255', 1082788800, 1082790143, 'US', 'United States'),
(25742, '64.138.17.0', '64.138.17.255', 1082790144, 1082790399, 'IN', 'India'),
(25743, '64.138.18.0', '64.138.132.255', 1082790400, 1082819839, 'US', 'United States'),
(25744, '64.138.133.0', '64.138.134.255', 1082819840, 1082820351, 'IN', 'India'),
(25745, '64.138.135.0', '64.139.134.223', 1082820352, 1082885855, 'US', 'United States'),
(25746, '64.139.134.224', '64.139.134.255', 1082885856, 1082885887, 'CA', 'Canada'),
(25747, '64.139.135.0', '64.140.111.255', 1082885888, 1082945535, 'US', 'United States'),
(25748, '64.140.112.0', '64.140.125.79', 1082945536, 1082948943, 'CA', 'Canada'),
(25749, '64.140.125.80', '64.140.125.95', 1082948944, 1082948959, 'US', 'United States'),
(25750, '64.140.125.96', '64.140.127.255', 1082948960, 1082949631, 'CA', 'Canada'),
(25751, '64.140.128.0', '64.140.139.255', 1082949632, 1082952703, 'US', 'United States'),
(25752, '64.140.140.0', '64.140.140.255', 1082952704, 1082952959, 'CA', 'Canada'),
(25753, '64.140.141.0', '64.140.255.255', 1082952960, 1082982399, 'US', 'United States'),
(25754, '64.141.0.0', '64.141.127.255', 1082982400, 1083015167, 'CA', 'Canada'),
(25755, '64.141.128.0', '64.145.65.127', 1083015168, 1083261311, 'US', 'United States'),
(25756, '64.145.65.128', '64.145.65.255', 1083261312, 1083261439, 'A1', 'Anonymous Proxy'),
(25757, '64.145.66.0', '64.145.77.127', 1083261440, 1083264383, 'US', 'United States'),
(25758, '64.145.77.128', '64.145.77.191', 1083264384, 1083264447, 'A1', 'Anonymous Proxy'),
(25759, '64.145.77.192', '64.145.77.207', 1083264448, 1083264463, 'US', 'United States'),
(25760, '64.145.77.208', '64.145.77.255', 1083264464, 1083264511, 'A1', 'Anonymous Proxy'),
(25761, '64.145.78.0', '64.145.79.255', 1083264512, 1083265023, 'US', 'United States'),
(25762, '64.145.80.0', '64.145.80.255', 1083265024, 1083265279, 'CA', 'Canada'),
(25763, '64.145.81.0', '64.147.79.255', 1083265280, 1083396095, 'US', 'United States'),
(25764, '64.147.80.0', '64.147.95.255', 1083396096, 1083400191, 'BM', 'Bermuda'),
(25765, '64.147.96.0', '64.147.164.127', 1083400192, 1083417727, 'US', 'United States'),
(25766, '64.147.164.128', '64.147.164.191', 1083417728, 1083417791, 'CA', 'Canada'),
(25767, '64.147.164.192', '64.147.239.255', 1083417792, 1083437055, 'US', 'United States'),
(25768, '64.147.240.0', '64.147.255.255', 1083437056, 1083441151, 'CA', 'Canada'),
(25769, '64.148.0.0', '64.148.178.191', 1083441152, 1083486911, 'US', 'United States'),
(25770, '64.148.178.192', '64.148.178.223', 1083486912, 1083486943, 'IS', 'Iceland'),
(25771, '64.148.178.224', '64.150.181.42', 1083486944, 1083618602, 'US', 'United States'),
(25772, '64.150.181.43', '64.150.181.51', 1083618603, 1083618611, 'DE', 'Germany'),
(25773, '64.150.181.52', '64.150.181.154', 1083618612, 1083618714, 'US', 'United States'),
(25774, '64.150.181.155', '64.150.181.165', 1083618715, 1083618725, 'BR', 'Brazil'),
(25775, '64.150.181.166', '64.150.186.114', 1083618726, 1083619954, 'US', 'United States'),
(25776, '64.150.186.115', '64.150.186.146', 1083619955, 1083619986, 'CY', 'Cyprus'),
(25777, '64.150.186.147', '64.150.191.255', 1083619987, 1083621375, 'US', 'United States'),
(25778, '64.150.192.0', '64.150.255.255', 1083621376, 1083637759, 'BS', 'Bahamas'),
(25779, '64.151.0.0', '64.151.191.255', 1083637760, 1083686911, 'US', 'United States'),
(25780, '64.151.192.0', '64.151.255.255', 1083686912, 1083703295, 'CA', 'Canada'),
(25781, '64.152.0.0', '64.152.135.255', 1083703296, 1083738111, 'US', 'United States'),
(25782, '64.152.136.0', '64.152.143.255', 1083738112, 1083740159, 'PR', 'Puerto Rico'),
(25783, '64.152.144.0', '64.157.142.255', 1083740160, 1084067583, 'US', 'United States'),
(25784, '64.157.143.0', '64.157.143.255', 1084067584, 1084067839, 'CA', 'Canada'),
(25785, '64.157.144.0', '64.178.127.255', 1084067840, 1085439999, 'US', 'United States'),
(25786, '64.178.128.0', '64.178.159.255', 1085440000, 1085448191, 'CA', 'Canada'),
(25787, '64.178.160.0', '64.178.191.255', 1085448192, 1085456383, 'US', 'United States'),
(25788, '64.178.192.0', '64.178.197.255', 1085456384, 1085457919, 'PR', 'Puerto Rico'),
(25789, '64.178.198.0', '64.178.198.255', 1085457920, 1085458175, 'US', 'United States'),
(25790, '64.178.199.0', '64.178.223.255', 1085458176, 1085464575, 'PR', 'Puerto Rico'),
(25791, '64.178.224.0', '64.179.207.255', 1085464576, 1085526015, 'US', 'United States'),
(25792, '64.179.208.0', '64.179.223.255', 1085526016, 1085530111, 'CA', 'Canada'),
(25793, '64.179.224.0', '64.179.255.255', 1085530112, 1085538303, 'US', 'United States'),
(25794, '64.180.0.0', '64.180.255.255', 1085538304, 1085603839, 'CA', 'Canada'),
(25795, '64.181.0.0', '64.182.1.24', 1085603840, 1085669656, 'US', 'United States'),
(25796, '64.182.1.25', '64.182.1.32', 1085669657, 1085669664, 'BZ', 'Belize'),
(25797, '64.182.1.33', '64.182.1.162', 1085669665, 1085669794, 'US', 'United States'),
(25798, '64.182.1.163', '64.182.1.171', 1085669795, 1085669803, 'IS', 'Iceland'),
(25799, '64.182.1.172', '64.182.1.206', 1085669804, 1085669838, 'US', 'United States'),
(25800, '64.182.1.207', '64.182.1.215', 1085669839, 1085669847, 'FR', 'France'),
(25801, '64.182.1.216', '64.182.3.198', 1085669848, 1085670342, 'US', 'United States'),
(25802, '64.182.3.199', '64.182.3.207', 1085670343, 1085670351, 'IS', 'Iceland'),
(25803, '64.182.3.208', '64.182.4.55', 1085670352, 1085670455, 'US', 'United States'),
(25804, '64.182.4.56', '64.182.4.63', 1085670456, 1085670463, 'NL', 'Netherlands'),
(25805, '64.182.4.64', '64.182.4.228', 1085670464, 1085670628, 'US', 'United States'),
(25806, '64.182.4.229', '64.182.4.236', 1085670629, 1085670636, 'GR', 'Greece'),
(25807, '64.182.4.237', '64.182.4.244', 1085670637, 1085670644, 'GE', 'Georgia'),
(25808, '64.182.4.245', '64.182.7.160', 1085670645, 1085671328, 'US', 'United States'),
(25809, '64.182.7.161', '64.182.7.168', 1085671329, 1085671336, 'IR', 'Iran, Islamic Republic of'),
(25810, '64.182.7.169', '64.182.9.8', 1085671337, 1085671688, 'US', 'United States'),
(25811, '64.182.9.9', '64.182.9.16', 1085671689, 1085671696, 'LB', 'Lebanon'),
(25812, '64.182.9.17', '64.182.9.32', 1085671697, 1085671712, 'US', 'United States'),
(25813, '64.182.9.33', '64.182.9.40', 1085671713, 1085671720, 'AS', 'American Samoa'),
(25814, '64.182.9.41', '64.182.13.169', 1085671721, 1085672873, 'US', 'United States'),
(25815, '64.182.13.170', '64.182.13.177', 1085672874, 1085672881, 'NL', 'Netherlands'),
(25816, '64.182.13.178', '64.182.14.9', 1085672882, 1085672969, 'US', 'United States'),
(25817, '64.182.14.10', '64.182.14.18', 1085672970, 1085672978, 'CA', 'Canada'),
(25818, '64.182.14.19', '64.182.35.72', 1085672979, 1085678408, 'US', 'United States'),
(25819, '64.182.35.73', '64.182.35.81', 1085678409, 1085678417, 'CA', 'Canada'),
(25820, '64.182.35.82', '64.182.37.179', 1085678418, 1085679027, 'US', 'United States'),
(25821, '64.182.37.180', '64.182.37.197', 1085679028, 1085679045, 'FR', 'France'),
(25822, '64.182.37.198', '64.182.48.31', 1085679046, 1085681695, 'US', 'United States'),
(25823, '64.182.48.32', '64.182.48.47', 1085681696, 1085681711, 'AS', 'American Samoa'),
(25824, '64.182.48.48', '64.182.48.92', 1085681712, 1085681756, 'US', 'United States'),
(25825, '64.182.48.93', '64.182.48.101', 1085681757, 1085681765, 'EG', 'Egypt'),
(25826, '64.182.48.102', '64.182.48.242', 1085681766, 1085681906, 'US', 'United States'),
(25827, '64.182.48.243', '64.182.48.251', 1085681907, 1085681915, 'CA', 'Canada'),
(25828, '64.182.48.252', '64.182.50.155', 1085681916, 1085682331, 'US', 'United States'),
(25829, '64.182.50.156', '64.182.50.163', 1085682332, 1085682339, 'CA', 'Canada'),
(25830, '64.182.50.164', '64.182.50.198', 1085682340, 1085682374, 'US', 'United States'),
(25831, '64.182.50.199', '64.182.50.206', 1085682375, 1085682382, 'HK', 'Hong Kong'),
(25832, '64.182.50.207', '64.182.52.175', 1085682383, 1085682863, 'US', 'United States'),
(25833, '64.182.52.176', '64.182.52.184', 1085682864, 1085682872, 'AS', 'American Samoa'),
(25834, '64.182.52.185', '64.182.52.226', 1085682873, 1085682914, 'US', 'United States'),
(25835, '64.182.52.227', '64.182.52.234', 1085682915, 1085682922, 'WS', 'Samoa'),
(25836, '64.182.52.235', '64.182.56.193', 1085682923, 1085683905, 'US', 'United States'),
(25837, '64.182.56.194', '64.182.56.202', 1085683906, 1085683914, 'TC', 'Turks and Caicos Islands'),
(25838, '64.182.56.203', '64.182.59.0', 1085683915, 1085684480, 'US', 'United States'),
(25839, '64.182.59.1', '64.182.59.254', 1085684481, 1085684734, 'AS', 'American Samoa'),
(25840, '64.182.59.255', '64.182.61.233', 1085684735, 1085685225, 'US', 'United States'),
(25841, '64.182.61.234', '64.182.61.241', 1085685226, 1085685233, 'CA', 'Canada'),
(25842, '64.182.61.242', '64.182.62.56', 1085685234, 1085685304, 'US', 'United States'),
(25843, '64.182.62.57', '64.182.62.64', 1085685305, 1085685312, 'SA', 'Saudi Arabia'),
(25844, '64.182.62.65', '64.182.62.97', 1085685313, 1085685345, 'US', 'United States'),
(25845, '64.182.62.98', '64.182.62.105', 1085685346, 1085685353, 'CA', 'Canada'),
(25846, '64.182.62.106', '64.182.63.70', 1085685354, 1085685574, 'US', 'United States'),
(25847, '64.182.63.71', '64.182.63.80', 1085685575, 1085685584, 'EG', 'Egypt'),
(25848, '64.182.63.81', '64.182.63.132', 1085685585, 1085685636, 'US', 'United States'),
(25849, '64.182.63.133', '64.182.63.141', 1085685637, 1085685645, 'SN', 'Senegal'),
(25850, '64.182.63.142', '64.182.63.165', 1085685646, 1085685669, 'US', 'United States'),
(25851, '64.182.63.166', '64.182.63.181', 1085685670, 1085685685, 'CA', 'Canada'),
(25852, '64.182.63.182', '64.184.191.255', 1085685686, 1085849599, 'US', 'United States'),
(25853, '64.184.192.0', '64.184.223.255', 1085849600, 1085857791, 'CA', 'Canada'),
(25854, '64.184.224.0', '64.185.191.255', 1085857792, 1085915135, 'US', 'United States'),
(25855, '64.185.192.0', '64.185.223.255', 1085915136, 1085923327, 'PR', 'Puerto Rico'),
(25856, '64.185.224.0', '64.185.237.109', 1085923328, 1085926765, 'US', 'United States'),
(25857, '64.185.237.110', '64.185.237.110', 1085926766, 1085926766, 'A1', 'Anonymous Proxy'),
(25858, '64.185.237.111', '64.186.255.255', 1085926767, 1085997055, 'US', 'United States'),
(25859, '64.187.0.0', '64.187.63.255', 1085997056, 1086013439, 'CA', 'Canada'),
(25860, '64.187.64.0', '64.187.97.191', 1086013440, 1086022079, 'US', 'United States'),
(25861, '64.187.97.192', '64.187.97.223', 1086022080, 1086022111, 'CA', 'Canada'),
(25862, '64.187.97.224', '64.187.98.31', 1086022112, 1086022175, 'US', 'United States'),
(25863, '64.187.98.32', '64.187.98.63', 1086022176, 1086022207, 'CA', 'Canada'),
(25864, '64.187.98.64', '64.187.102.7', 1086022208, 1086023175, 'US', 'United States'),
(25865, '64.187.102.8', '64.187.102.15', 1086023176, 1086023183, 'GB', 'United Kingdom'),
(25866, '64.187.102.16', '64.187.102.119', 1086023184, 1086023287, 'US', 'United States'),
(25867, '64.187.102.120', '64.187.102.127', 1086023288, 1086023295, 'NZ', 'New Zealand'),
(25868, '64.187.102.128', '64.187.102.167', 1086023296, 1086023335, 'US', 'United States'),
(25869, '64.187.102.168', '64.187.102.175', 1086023336, 1086023343, 'RO', 'Romania'),
(25870, '64.187.102.176', '64.187.110.231', 1086023344, 1086025447, 'US', 'United States'),
(25871, '64.187.110.232', '64.187.110.239', 1086025448, 1086025455, 'CA', 'Canada'),
(25872, '64.187.110.240', '64.187.123.119', 1086025456, 1086028663, 'US', 'United States'),
(25873, '64.187.123.120', '64.187.123.127', 1086028664, 1086028671, 'BR', 'Brazil'),
(25874, '64.187.123.128', '64.187.123.207', 1086028672, 1086028751, 'US', 'United States'),
(25875, '64.187.123.208', '64.187.123.215', 1086028752, 1086028759, 'BR', 'Brazil'),
(25876, '64.187.123.216', '64.191.197.255', 1086028760, 1086309887, 'US', 'United States'),
(25877, '64.191.198.0', '64.191.198.255', 1086309888, 1086310143, 'AU', 'Australia'),
(25878, '64.191.199.0', '64.191.228.255', 1086310144, 1086317823, 'US', 'United States'),
(25879, '64.191.229.0', '64.191.229.255', 1086317824, 1086318079, 'CA', 'Canada'),
(25880, '64.191.230.0', '64.192.130.127', 1086318080, 1086358143, 'US', 'United States'),
(25881, '64.192.130.128', '64.192.130.255', 1086358144, 1086358271, 'PA', 'Panama'),
(25882, '64.192.131.0', '64.192.134.191', 1086358272, 1086359231, 'US', 'United States'),
(25883, '64.192.134.192', '64.192.134.255', 1086359232, 1086359295, 'IL', 'Israel'),
(25884, '64.192.135.0', '64.192.136.63', 1086359296, 1086359615, 'US', 'United States'),
(25885, '64.192.136.64', '64.192.136.95', 1086359616, 1086359647, 'LB', 'Lebanon'),
(25886, '64.192.136.96', '64.193.121.255', 1086359648, 1086421503, 'US', 'United States'),
(25887, '64.193.122.0', '64.193.123.255', 1086421504, 1086422015, 'MP', 'Northern Mariana Islands'),
(25888, '64.193.124.0', '64.194.80.255', 1086422016, 1086476543, 'US', 'United States'),
(25889, '64.194.81.0', '64.194.81.63', 1086476544, 1086476607, 'BM', 'Bermuda'),
(25890, '64.194.81.64', '64.200.239.127', 1086476608, 1086910335, 'US', 'United States'),
(25891, '64.200.239.128', '64.200.239.255', 1086910336, 1086910463, 'LB', 'Lebanon'),
(25892, '64.200.240.0', '64.201.31.255', 1086910464, 1086922751, 'US', 'United States'),
(25893, '64.201.32.0', '64.201.32.255', 1086922752, 1086923007, 'CA', 'Canada'),
(25894, '64.201.33.0', '64.201.33.255', 1086923008, 1086923263, 'NG', 'Nigeria'),
(25895, '64.201.34.0', '64.201.63.255', 1086923264, 1086930943, 'CA', 'Canada'),
(25896, '64.201.64.0', '64.201.106.135', 1086930944, 1086941831, 'US', 'United States'),
(25897, '64.201.106.136', '64.201.106.139', 1086941832, 1086941835, 'CA', 'Canada'),
(25898, '64.201.106.140', '64.201.107.127', 1086941836, 1086942079, 'US', 'United States'),
(25899, '64.201.107.128', '64.201.107.135', 1086942080, 1086942087, 'CA', 'Canada'),
(25900, '64.201.107.136', '64.201.110.255', 1086942088, 1086942975, 'US', 'United States'),
(25901, '64.201.111.0', '64.201.111.255', 1086942976, 1086943231, 'CA', 'Canada'),
(25902, '64.201.112.0', '64.201.159.255', 1086943232, 1086955519, 'US', 'United States'),
(25903, '64.201.160.0', '64.201.223.255', 1086955520, 1086971903, 'CA', 'Canada'),
(25904, '64.201.224.0', '64.202.143.255', 1086971904, 1087016959, 'US', 'United States'),
(25905, '64.202.144.0', '64.202.159.255', 1087016960, 1087021055, 'CA', 'Canada'),
(25906, '64.202.160.0', '64.208.48.255', 1087021056, 1087385855, 'US', 'United States'),
(25907, '64.208.49.0', '64.208.49.255', 1087385856, 1087386111, 'EU', 'Europe'),
(25908, '64.208.50.0', '64.208.181.255', 1087386112, 1087419903, 'US', 'United States'),
(25909, '64.208.182.0', '64.208.182.255', 1087419904, 1087420159, 'CA', 'Canada'),
(25910, '64.208.183.0', '64.208.231.151', 1087420160, 1087432599, 'US', 'United States'),
(25911, '64.208.231.152', '64.208.231.159', 1087432600, 1087432607, 'FR', 'France'),
(25912, '64.208.231.160', '64.208.245.127', 1087432608, 1087436159, 'US', 'United States'),
(25913, '64.208.245.128', '64.208.245.135', 1087436160, 1087436167, 'CH', 'Switzerland'),
(25914, '64.208.245.136', '64.209.7.255', 1087436168, 1087440895, 'US', 'United States'),
(25915, '64.209.8.0', '64.209.15.255', 1087440896, 1087442943, 'PR', 'Puerto Rico'),
(25916, '64.209.16.0', '64.209.18.95', 1087442944, 1087443551, 'US', 'United States'),
(25917, '64.209.18.96', '64.209.18.127', 1087443552, 1087443583, 'DE', 'Germany'),
(25918, '64.209.18.128', '64.209.20.255', 1087443584, 1087444223, 'US', 'United States'),
(25919, '64.209.21.0', '64.209.21.255', 1087444224, 1087444479, 'GB', 'United Kingdom'),
(25920, '64.209.22.0', '64.209.101.241', 1087444480, 1087464945, 'US', 'United States'),
(25921, '64.209.101.242', '64.209.101.245', 1087464946, 1087464949, 'GB', 'United Kingdom'),
(25922, '64.209.101.246', '64.209.111.27', 1087464950, 1087467291, 'US', 'United States'),
(25923, '64.209.111.28', '64.209.111.31', 1087467292, 1087467295, 'BR', 'Brazil'),
(25924, '64.209.111.32', '64.209.221.95', 1087467296, 1087495519, 'US', 'United States'),
(25925, '64.209.221.96', '64.209.221.111', 1087495520, 1087495535, 'TW', 'Taiwan'),
(25926, '64.209.221.112', '64.209.225.255', 1087495536, 1087496703, 'US', 'United States'),
(25927, '64.209.226.0', '64.209.226.255', 1087496704, 1087496959, 'CA', 'Canada'),
(25928, '64.209.227.0', '64.209.230.127', 1087496960, 1087497855, 'US', 'United States'),
(25929, '64.209.230.128', '64.209.230.159', 1087497856, 1087497887, 'CA', 'Canada'),
(25930, '64.209.230.160', '64.210.196.191', 1087497888, 1087554751, 'US', 'United States'),
(25931, '64.210.196.192', '64.210.196.199', 1087554752, 1087554759, 'IL', 'Israel'),
(25932, '64.210.196.200', '64.211.150.165', 1087554760, 1087608485, 'US', 'United States'),
(25933, '64.211.150.166', '64.211.150.166', 1087608486, 1087608486, 'GB', 'United Kingdom'),
(25934, '64.211.150.167', '64.212.32.75', 1087608487, 1087643723, 'US', 'United States'),
(25935, '64.212.32.76', '64.212.32.79', 1087643724, 1087643727, 'FR', 'France'),
(25936, '64.212.32.80', '64.212.168.159', 1087643728, 1087678623, 'US', 'United States'),
(25937, '64.212.168.160', '64.212.168.191', 1087678624, 1087678655, 'GB', 'United Kingdom'),
(25938, '64.212.168.192', '64.212.199.255', 1087678656, 1087686655, 'US', 'United States'),
(25939, '64.212.200.0', '64.212.200.255', 1087686656, 1087686911, 'PR', 'Puerto Rico'),
(25940, '64.212.201.0', '64.212.233.215', 1087686912, 1087695319, 'US', 'United States'),
(25941, '64.212.233.216', '64.212.233.219', 1087695320, 1087695323, 'GB', 'United Kingdom'),
(25942, '64.212.233.220', '64.213.52.31', 1087695324, 1087714335, 'US', 'United States'),
(25943, '64.213.52.32', '64.213.52.63', 1087714336, 1087714367, 'NL', 'Netherlands'),
(25944, '64.213.52.64', '64.213.55.255', 1087714368, 1087715327, 'US', 'United States'),
(25945, '64.213.56.0', '64.213.63.255', 1087715328, 1087717375, 'PA', 'Panama'),
(25946, '64.213.64.0', '64.213.98.16', 1087717376, 1087726096, 'US', 'United States'),
(25947, '64.213.98.17', '64.213.98.17', 1087726097, 1087726097, 'GB', 'United Kingdom'),
(25948, '64.213.98.18', '64.213.135.87', 1087726098, 1087735639, 'US', 'United States'),
(25949, '64.213.135.88', '64.213.135.95', 1087735640, 1087735647, 'GB', 'United Kingdom'),
(25950, '64.213.135.96', '64.213.176.31', 1087735648, 1087746079, 'US', 'United States'),
(25951, '64.213.176.32', '64.213.176.35', 1087746080, 1087746083, 'HK', 'Hong Kong'),
(25952, '64.213.176.36', '64.213.223.255', 1087746084, 1087758335, 'US', 'United States'),
(25953, '64.213.224.0', '64.213.255.255', 1087758336, 1087766527, 'PR', 'Puerto Rico'),
(25954, '64.214.0.0', '64.214.129.235', 1087766528, 1087799787, 'US', 'United States'),
(25955, '64.214.129.236', '64.214.129.239', 1087799788, 1087799791, 'CH', 'Switzerland'),
(25956, '64.214.129.240', '64.214.230.255', 1087799792, 1087825663, 'US', 'United States'),
(25957, '64.214.231.0', '64.214.231.255', 1087825664, 1087825919, 'SA', 'Saudi Arabia'),
(25958, '64.214.232.0', '64.215.119.255', 1087825920, 1087862783, 'US', 'United States'),
(25959, '64.215.120.0', '64.215.127.255', 1087862784, 1087864831, 'PA', 'Panama'),
(25960, '64.215.128.0', '64.216.81.175', 1087864832, 1087918511, 'US', 'United States'),
(25961, '64.216.81.176', '64.216.81.183', 1087918512, 1087918519, 'PR', 'Puerto Rico'),
(25962, '64.216.81.184', '64.216.205.31', 1087918520, 1087950111, 'US', 'United States'),
(25963, '64.216.205.32', '64.216.205.39', 1087950112, 1087950119, 'PR', 'Puerto Rico'),
(25964, '64.216.205.40', '64.217.193.223', 1087950120, 1088012767, 'US', 'United States'),
(25965, '64.217.193.224', '64.217.193.231', 1088012768, 1088012775, 'PR', 'Puerto Rico'),
(25966, '64.217.193.232', '64.224.10.16', 1088012776, 1088424464, 'US', 'United States'),
(25967, '64.224.10.17', '64.224.10.30', 1088424465, 1088424478, 'AU', 'Australia'),
(25968, '64.224.10.31', '64.224.112.144', 1088424479, 1088450704, 'US', 'United States'),
(25969, '64.224.112.145', '64.224.112.158', 1088450705, 1088450718, 'ES', 'Spain'),
(25970, '64.224.112.159', '64.224.116.176', 1088450719, 1088451760, 'US', 'United States'),
(25971, '64.224.116.177', '64.224.116.190', 1088451761, 1088451774, 'CA', 'Canada'),
(25972, '64.224.116.191', '64.224.118.16', 1088451775, 1088452112, 'US', 'United States'),
(25973, '64.224.118.17', '64.224.118.30', 1088452113, 1088452126, 'CA', 'Canada'),
(25974, '64.224.118.31', '64.224.119.48', 1088452127, 1088452400, 'US', 'United States'),
(25975, '64.224.119.49', '64.224.119.62', 1088452401, 1088452414, 'VE', 'Venezuela'),
(25976, '64.224.119.63', '64.224.121.160', 1088452415, 1088453024, 'US', 'United States'),
(25977, '64.224.121.161', '64.224.121.174', 1088453025, 1088453038, 'JP', 'Japan'),
(25978, '64.224.121.175', '64.224.121.240', 1088453039, 1088453104, 'US', 'United States'),
(25979, '64.224.121.241', '64.224.121.254', 1088453105, 1088453118, 'CL', 'Chile'),
(25980, '64.224.121.255', '64.224.123.112', 1088453119, 1088453488, 'US', 'United States'),
(25981, '64.224.123.113', '64.224.123.126', 1088453489, 1088453502, 'IE', 'Ireland'),
(25982, '64.224.123.127', '64.224.123.160', 1088453503, 1088453536, 'US', 'United States'),
(25983, '64.224.123.161', '64.224.123.174', 1088453537, 1088453550, 'CL', 'Chile'),
(25984, '64.224.123.175', '64.224.124.176', 1088453551, 1088453808, 'US', 'United States'),
(25985, '64.224.124.177', '64.224.124.190', 1088453809, 1088453822, 'AR', 'Argentina'),
(25986, '64.224.124.191', '64.224.124.208', 1088453823, 1088453840, 'US', 'United States'),
(25987, '64.224.124.209', '64.224.124.222', 1088453841, 1088453854, 'LB', 'Lebanon'),
(25988, '64.224.124.223', '64.224.124.224', 1088453855, 1088453856, 'US', 'United States'),
(25989, '64.224.124.225', '64.224.124.238', 1088453857, 1088453870, 'CN', 'China'),
(25990, '64.224.124.239', '64.224.127.48', 1088453871, 1088454448, 'US', 'United States'),
(25991, '64.224.127.49', '64.224.127.62', 1088454449, 1088454462, 'LB', 'Lebanon'),
(25992, '64.224.127.63', '64.224.201.31', 1088454463, 1088473375, 'US', 'United States'),
(25993, '64.224.201.32', '64.224.201.47', 1088473376, 1088473391, 'ES', 'Spain'),
(25994, '64.224.201.48', '64.224.202.95', 1088473392, 1088473695, 'US', 'United States'),
(25995, '64.224.202.96', '64.224.202.111', 1088473696, 1088473711, 'IE', 'Ireland'),
(25996, '64.224.202.112', '64.225.121.15', 1088473712, 1088518415, 'US', 'United States'),
(25997, '64.225.121.16', '64.225.121.31', 1088518416, 1088518431, 'HK', 'Hong Kong'),
(25998, '64.225.121.32', '64.225.121.79', 1088518432, 1088518479, 'US', 'United States'),
(25999, '64.225.121.80', '64.225.121.95', 1088518480, 1088518495, 'TH', 'Thailand'),
(26000, '64.225.121.96', '64.225.123.15', 1088518496, 1088518927, 'US', 'United States'),
(26001, '64.225.123.16', '64.225.123.95', 1088518928, 1088519007, 'UA', 'Ukraine'),
(26002, '64.225.123.96', '64.225.137.175', 1088519008, 1088522671, 'US', 'United States'),
(26003, '64.225.137.176', '64.225.137.191', 1088522672, 1088522687, 'CA', 'Canada'),
(26004, '64.225.137.192', '64.225.137.239', 1088522688, 1088522735, 'US', 'United States'),
(26005, '64.225.137.240', '64.225.137.255', 1088522736, 1088522751, 'TH', 'Thailand'),
(26006, '64.225.138.0', '64.225.139.191', 1088522752, 1088523199, 'US', 'United States'),
(26007, '64.225.139.192', '64.225.139.207', 1088523200, 1088523215, 'TH', 'Thailand'),
(26008, '64.225.139.208', '64.225.140.175', 1088523216, 1088523439, 'US', 'United States'),
(26009, '64.225.140.176', '64.225.140.223', 1088523440, 1088523487, 'JP', 'Japan'),
(26010, '64.225.140.224', '64.225.143.239', 1088523488, 1088524271, 'US', 'United States'),
(26011, '64.225.143.240', '64.225.143.254', 1088524272, 1088524286, 'IN', 'India'),
(26012, '64.225.143.255', '64.227.255.255', 1088524287, 1088684031, 'US', 'United States'),
(26013, '64.228.0.0', '64.231.255.255', 1088684032, 1088946175, 'CA', 'Canada'),
(26014, '64.232.0.0', '64.232.14.159', 1088946176, 1088949919, 'US', 'United States'),
(26015, '64.232.14.160', '64.232.14.175', 1088949920, 1088949935, 'CA', 'Canada'),
(26016, '64.232.14.176', '64.233.161.255', 1088949936, 1089053183, 'US', 'United States'),
(26017, '64.233.162.0', '64.233.162.255', 1089053184, 1089053439, 'BR', 'Brazil'),
(26018, '64.233.163.0', '64.233.166.135', 1089053440, 1089054343, 'US', 'United States'),
(26019, '64.233.166.136', '64.233.166.136', 1089054344, 1089054344, 'GB', 'United Kingdom'),
(26020, '64.233.166.137', '64.233.177.255', 1089054345, 1089057279, 'US', 'United States'),
(26021, '64.233.178.0', '64.233.178.255', 1089057280, 1089057535, 'EU', 'Europe'),
(26022, '64.233.179.0', '64.233.181.255', 1089057536, 1089058303, 'US', 'United States'),
(26023, '64.233.182.0', '64.233.182.135', 1089058304, 1089058439, 'TW', 'Taiwan'),
(26024, '64.233.182.136', '64.233.182.136', 1089058440, 1089058440, 'EU', 'Europe'),
(26025, '64.233.182.137', '64.233.182.255', 1089058441, 1089058559, 'TW', 'Taiwan'),
(26026, '64.233.183.0', '64.235.47.31', 1089058560, 1089154847, 'US', 'United States'),
(26027, '64.235.47.32', '64.235.47.39', 1089154848, 1089154855, 'VE', 'Venezuela'),
(26028, '64.235.47.40', '64.235.47.99', 1089154856, 1089154915, 'US', 'United States'),
(26029, '64.235.47.100', '64.235.47.116', 1089154916, 1089154932, 'AU', 'Australia'),
(26030, '64.235.47.117', '64.235.47.152', 1089154933, 1089154968, 'US', 'United States'),
(26031, '64.235.47.153', '64.235.47.161', 1089154969, 1089154977, 'IN', 'India'),
(26032, '64.235.47.162', '64.235.47.195', 1089154978, 1089155011, 'US', 'United States'),
(26033, '64.235.47.196', '64.235.47.215', 1089155012, 1089155031, 'TR', 'Turkey'),
(26034, '64.235.47.216', '64.235.95.255', 1089155032, 1089167359, 'US', 'United States'),
(26035, '64.235.96.0', '64.235.111.255', 1089167360, 1089171455, 'CA', 'Canada'),
(26036, '64.235.112.0', '64.235.113.255', 1089171456, 1089171967, 'A2', 'Satellite Provider'),
(26037, '64.235.114.0', '64.235.116.255', 1089171968, 1089172735, 'US', 'United States'),
(26038, '64.235.117.0', '64.235.117.103', 1089172736, 1089172839, 'A2', 'Satellite Provider'),
(26039, '64.235.117.104', '64.235.117.127', 1089172840, 1089172863, 'US', 'United States'),
(26040, '64.235.117.128', '64.235.117.159', 1089172864, 1089172895, 'A2', 'Satellite Provider'),
(26041, '64.235.117.160', '64.235.117.191', 1089172896, 1089172927, 'US', 'United States'),
(26042, '64.235.117.192', '64.235.117.247', 1089172928, 1089172983, 'A2', 'Satellite Provider'),
(26043, '64.235.117.248', '64.235.117.255', 1089172984, 1089172991, 'US', 'United States'),
(26044, '64.235.118.0', '64.235.118.127', 1089172992, 1089173119, 'NL', 'Netherlands'),
(26045, '64.235.118.128', '64.235.118.255', 1089173120, 1089173247, 'A2', 'Satellite Provider'),
(26046, '64.235.119.0', '64.235.122.255', 1089173248, 1089174271, 'US', 'United States'),
(26047, '64.235.123.0', '64.235.127.255', 1089174272, 1089175551, 'A2', 'Satellite Provider'),
(26048, '64.235.128.0', '64.235.191.255', 1089175552, 1089191935, 'US', 'United States'),
(26049, '64.235.192.0', '64.235.194.143', 1089191936, 1089192591, 'CA', 'Canada'),
(26050, '64.235.194.144', '64.235.194.151', 1089192592, 1089192599, 'IT', 'Italy'),
(26051, '64.235.194.152', '64.235.210.79', 1089192600, 1089196623, 'CA', 'Canada'),
(26052, '64.235.210.80', '64.235.210.95', 1089196624, 1089196639, 'US', 'United States'),
(26053, '64.235.210.96', '64.235.223.255', 1089196640, 1089200127, 'CA', 'Canada'),
(26054, '64.235.224.0', '64.235.226.111', 1089200128, 1089200751, 'US', 'United States'),
(26055, '64.235.226.112', '64.235.226.143', 1089200752, 1089200783, 'CA', 'Canada'),
(26056, '64.235.226.144', '64.235.236.239', 1089200784, 1089203439, 'US', 'United States'),
(26057, '64.235.236.240', '64.235.236.247', 1089203440, 1089203447, 'AU', 'Australia'),
(26058, '64.235.236.248', '64.235.241.95', 1089203448, 1089204575, 'US', 'United States'),
(26059, '64.235.241.96', '64.235.241.127', 1089204576, 1089204607, 'CA', 'Canada'),
(26060, '64.235.241.128', '64.236.4.127', 1089204608, 1089209471, 'US', 'United States'),
(26061, '64.236.4.128', '64.236.4.135', 1089209472, 1089209479, 'GB', 'United Kingdom'),
(26062, '64.236.4.136', '64.236.4.143', 1089209480, 1089209487, 'FR', 'France'),
(26063, '64.236.4.144', '64.236.4.151', 1089209488, 1089209495, 'DE', 'Germany'),
(26064, '64.236.4.152', '64.236.7.255', 1089209496, 1089210367, 'US', 'United States'),
(26065, '64.236.8.0', '64.236.8.63', 1089210368, 1089210431, 'JP', 'Japan'),
(26066, '64.236.8.64', '64.236.8.255', 1089210432, 1089210623, 'US', 'United States'),
(26067, '64.236.9.0', '64.236.9.255', 1089210624, 1089210879, 'GB', 'United Kingdom'),
(26068, '64.236.10.0', '64.236.11.255', 1089210880, 1089211391, 'BR', 'Brazil'),
(26069, '64.236.12.0', '64.236.44.255', 1089211392, 1089219839, 'US', 'United States'),
(26070, '64.236.45.0', '64.236.45.255', 1089219840, 1089220095, 'JP', 'Japan'),
(26071, '64.236.46.0', '64.236.79.255', 1089220096, 1089228799, 'US', 'United States'),
(26072, '64.236.80.0', '64.236.81.255', 1089228800, 1089229311, 'GB', 'United Kingdom'),
(26073, '64.236.82.0', '64.236.89.255', 1089229312, 1089231359, 'US', 'United States'),
(26074, '64.236.90.0', '64.236.90.31', 1089231360, 1089231391, 'DE', 'Germany'),
(26075, '64.236.90.32', '64.236.99.255', 1089231392, 1089233919, 'US', 'United States'),
(26076, '64.236.100.0', '64.236.100.255', 1089233920, 1089234175, 'JP', 'Japan'),
(26077, '64.236.101.0', '64.236.105.255', 1089234176, 1089235455, 'US', 'United States'),
(26078, '64.236.106.0', '64.236.107.255', 1089235456, 1089235967, 'GB', 'United Kingdom'),
(26079, '64.236.108.0', '64.236.159.255', 1089235968, 1089249279, 'US', 'United States'),
(26080, '64.236.160.0', '64.236.160.255', 1089249280, 1089249535, 'IE', 'Ireland'),
(26081, '64.236.161.0', '64.236.163.22', 1089249536, 1089250070, 'US', 'United States'),
(26082, '64.236.163.23', '64.236.163.23', 1089250071, 1089250071, 'EU', 'Europe'),
(26083, '64.236.163.24', '64.236.214.255', 1089250072, 1089263359, 'US', 'United States'),
(26084, '64.236.215.0', '64.236.215.255', 1089263360, 1089263615, 'FR', 'France'),
(26085, '64.236.216.0', '64.236.216.255', 1089263616, 1089263871, 'GB', 'United Kingdom'),
(26086, '64.236.217.0', '64.236.217.255', 1089263872, 1089264127, 'EU', 'Europe'),
(26087, '64.236.218.0', '64.236.219.255', 1089264128, 1089264639, 'FR', 'France'),
(26088, '64.236.220.0', '64.236.223.255', 1089264640, 1089265663, 'US', 'United States'),
(26089, '64.236.224.0', '64.236.224.255', 1089265664, 1089265919, 'GB', 'United Kingdom'),
(26090, '64.236.225.0', '64.236.226.255', 1089265920, 1089266431, 'US', 'United States'),
(26091, '64.236.227.0', '64.236.228.255', 1089266432, 1089266943, 'GB', 'United Kingdom'),
(26092, '64.236.229.0', '64.237.32.11', 1089266944, 1089282059, 'US', 'United States'),
(26093, '64.237.32.12', '64.237.32.15', 1089282060, 1089282063, 'CA', 'Canada'),
(26094, '64.237.32.16', '64.237.32.27', 1089282064, 1089282075, 'US', 'United States'),
(26095, '64.237.32.28', '64.237.32.31', 1089282076, 1089282079, 'CA', 'Canada'),
(26096, '64.237.32.32', '64.237.32.47', 1089282080, 1089282095, 'US', 'United States'),
(26097, '64.237.32.48', '64.237.32.51', 1089282096, 1089282099, 'CA', 'Canada'),
(26098, '64.237.32.52', '64.237.34.127', 1089282100, 1089282687, 'US', 'United States'),
(26099, '64.237.34.128', '64.237.34.143', 1089282688, 1089282703, 'A1', 'Anonymous Proxy'),
(26100, '64.237.34.144', '64.237.34.151', 1089282704, 1089282711, 'CA', 'Canada'),
(26101, '64.237.34.152', '64.237.45.63', 1089282712, 1089285439, 'US', 'United States'),
(26102, '64.237.45.64', '64.237.45.79', 1089285440, 1089285455, 'A1', 'Anonymous Proxy'),
(26103, '64.237.45.80', '64.237.127.255', 1089285456, 1089306623, 'US', 'United States'),
(26104, '64.237.128.0', '64.237.255.255', 1089306624, 1089339391, 'PR', 'Puerto Rico'),
(26105, '64.238.0.0', '64.238.210.15', 1089339392, 1089393167, 'US', 'United States'),
(26106, '64.238.210.16', '64.238.210.23', 1089393168, 1089393175, 'CA', 'Canada'),
(26107, '64.238.210.24', '64.238.210.71', 1089393176, 1089393223, 'US', 'United States'),
(26108, '64.238.210.72', '64.238.210.79', 1089393224, 1089393231, 'CA', 'Canada'),
(26109, '64.238.210.80', '64.238.210.143', 1089393232, 1089393295, 'US', 'United States'),
(26110, '64.238.210.144', '64.238.210.255', 1089393296, 1089393407, 'CA', 'Canada'),
(26111, '64.238.211.0', '64.239.242.95', 1089393408, 1089466975, 'US', 'United States'),
(26112, '64.239.242.96', '64.239.242.111', 1089466976, 1089466991, 'CA', 'Canada'),
(26113, '64.239.242.112', '64.239.247.255', 1089466992, 1089468415, 'US', 'United States'),
(26114, '64.239.248.0', '64.239.248.255', 1089468416, 1089468671, 'A2', 'Satellite Provider'),
(26115, '64.239.249.0', '64.240.48.175', 1089468672, 1089482927, 'US', 'United States'),
(26116, '64.240.48.176', '64.240.48.183', 1089482928, 1089482935, 'CA', 'Canada'),
(26117, '64.240.48.184', '64.240.62.255', 1089482936, 1089486591, 'US', 'United States'),
(26118, '64.240.63.0', '64.240.63.15', 1089486592, 1089486607, 'CA', 'Canada'),
(26119, '64.240.63.16', '64.240.70.79', 1089486608, 1089488463, 'US', 'United States'),
(26120, '64.240.70.80', '64.240.70.95', 1089488464, 1089488479, 'JP', 'Japan'),
(26121, '64.240.70.96', '64.240.85.127', 1089488480, 1089492351, 'US', 'United States'),
(26122, '64.240.85.128', '64.240.85.191', 1089492352, 1089492415, 'CA', 'Canada'),
(26123, '64.240.85.192', '64.240.90.127', 1089492416, 1089493631, 'US', 'United States'),
(26124, '64.240.90.128', '64.240.90.143', 1089493632, 1089493647, 'CA', 'Canada'),
(26125, '64.240.90.144', '64.240.130.127', 1089493648, 1089503871, 'US', 'United States'),
(26126, '64.240.130.128', '64.240.130.135', 1089503872, 1089503879, 'CA', 'Canada'),
(26127, '64.240.130.136', '64.240.143.87', 1089503880, 1089507159, 'US', 'United States'),
(26128, '64.240.143.88', '64.240.143.95', 1089507160, 1089507167, 'CA', 'Canada'),
(26129, '64.240.143.96', '64.240.219.255', 1089507168, 1089526783, 'US', 'United States'),
(26130, '64.240.220.0', '64.240.220.255', 1089526784, 1089527039, 'VE', 'Venezuela'),
(26131, '64.240.221.0', '64.241.63.255', 1089527040, 1089552383, 'US', 'United States'),
(26132, '64.241.64.0', '64.241.64.7', 1089552384, 1089552391, 'AU', 'Australia'),
(26133, '64.241.64.8', '64.241.84.47', 1089552392, 1089557551, 'US', 'United States'),
(26134, '64.241.84.48', '64.241.84.55', 1089557552, 1089557559, 'CA', 'Canada'),
(26135, '64.241.84.56', '64.241.126.95', 1089557560, 1089568351, 'US', 'United States'),
(26136, '64.241.126.96', '64.241.126.103', 1089568352, 1089568359, 'CA', 'Canada'),
(26137, '64.241.126.104', '64.241.149.175', 1089568360, 1089574319, 'US', 'United States'),
(26138, '64.241.149.176', '64.241.149.183', 1089574320, 1089574327, 'CA', 'Canada'),
(26139, '64.241.149.184', '64.241.158.175', 1089574328, 1089576623, 'US', 'United States'),
(26140, '64.241.158.176', '64.241.158.183', 1089576624, 1089576631, 'CA', 'Canada'),
(26141, '64.241.158.184', '64.241.168.207', 1089576632, 1089579215, 'US', 'United States'),
(26142, '64.241.168.208', '64.241.168.215', 1089579216, 1089579223, 'VI', 'Virgin Islands, U.S.'),
(26143, '64.241.168.216', '64.241.169.255', 1089579224, 1089579519, 'US', 'United States'),
(26144, '64.241.170.0', '64.241.171.255', 1089579520, 1089580031, 'VE', 'Venezuela'),
(26145, '64.241.172.0', '64.241.176.231', 1089580032, 1089581287, 'US', 'United States'),
(26146, '64.241.176.232', '64.241.176.239', 1089581288, 1089581295, 'CA', 'Canada'),
(26147, '64.241.176.240', '64.241.194.255', 1089581296, 1089585919, 'US', 'United States'),
(26148, '64.241.195.0', '64.241.195.31', 1089585920, 1089585951, 'CA', 'Canada'),
(26149, '64.241.195.32', '64.241.203.31', 1089585952, 1089587999, 'US', 'United States'),
(26150, '64.241.203.32', '64.241.203.47', 1089588000, 1089588015, 'IN', 'India'),
(26151, '64.241.203.48', '64.241.225.15', 1089588016, 1089593615, 'US', 'United States'),
(26152, '64.241.225.16', '64.241.225.23', 1089593616, 1089593623, 'CA', 'Canada'),
(26153, '64.241.225.24', '64.241.231.143', 1089593624, 1089595279, 'US', 'United States'),
(26154, '64.241.231.144', '64.241.231.151', 1089595280, 1089595287, 'CA', 'Canada'),
(26155, '64.241.231.152', '64.241.236.127', 1089595288, 1089596543, 'US', 'United States'),
(26156, '64.241.236.128', '64.241.236.159', 1089596544, 1089596575, 'CA', 'Canada'),
(26157, '64.241.236.160', '64.241.245.255', 1089596576, 1089598975, 'US', 'United States'),
(26158, '64.241.246.0', '64.241.246.255', 1089598976, 1089599231, 'HK', 'Hong Kong'),
(26159, '64.241.247.0', '64.242.97.31', 1089599232, 1089626399, 'US', 'United States'),
(26160, '64.242.97.32', '64.242.97.39', 1089626400, 1089626407, 'CA', 'Canada'),
(26161, '64.242.97.40', '64.242.97.47', 1089626408, 1089626415, 'US', 'United States'),
(26162, '64.242.97.48', '64.242.97.63', 1089626416, 1089626431, 'CA', 'Canada'),
(26163, '64.242.97.64', '64.242.115.79', 1089626432, 1089631055, 'US', 'United States'),
(26164, '64.242.115.80', '64.242.115.95', 1089631056, 1089631071, 'CA', 'Canada'),
(26165, '64.242.115.96', '64.242.169.15', 1089631072, 1089644815, 'US', 'United States'),
(26166, '64.242.169.16', '64.242.169.31', 1089644816, 1089644831, 'GB', 'United Kingdom'),
(26167, '64.242.169.32', '64.243.113.63', 1089644832, 1089696063, 'US', 'United States'),
(26168, '64.243.113.64', '64.243.113.71', 1089696064, 1089696071, 'GB', 'United Kingdom'),
(26169, '64.243.113.72', '64.243.142.31', 1089696072, 1089703455, 'US', 'United States'),
(26170, '64.243.142.32', '64.243.142.63', 1089703456, 1089703487, 'CA', 'Canada'),
(26171, '64.243.142.64', '64.243.210.127', 1089703488, 1089720959, 'US', 'United States'),
(26172, '64.243.210.128', '64.243.210.135', 1089720960, 1089720967, 'CA', 'Canada'),
(26173, '64.243.210.136', '64.243.210.191', 1089720968, 1089721023, 'US', 'United States'),
(26174, '64.243.210.192', '64.243.210.255', 1089721024, 1089721087, 'CA', 'Canada'),
(26175, '64.243.211.0', '64.243.212.159', 1089721088, 1089721503, 'US', 'United States'),
(26176, '64.243.212.160', '64.243.212.175', 1089721504, 1089721519, 'CA', 'Canada'),
(26177, '64.243.212.176', '64.243.213.127', 1089721520, 1089721727, 'US', 'United States'),
(26178, '64.243.213.128', '64.243.213.191', 1089721728, 1089721791, 'CA', 'Canada'),
(26179, '64.243.213.192', '64.243.221.175', 1089721792, 1089723823, 'US', 'United States'),
(26180, '64.243.221.176', '64.243.221.183', 1089723824, 1089723831, 'CA', 'Canada'),
(26181, '64.243.221.184', '64.244.56.55', 1089723832, 1089746999, 'US', 'United States'),
(26182, '64.244.56.56', '64.244.56.63', 1089747000, 1089747007, 'MU', 'Mauritius'),
(26183, '64.244.56.64', '64.246.69.255', 1089747008, 1089881599, 'US', 'United States'),
(26184, '64.246.70.0', '64.246.71.255', 1089881600, 1089882111, 'GB', 'United Kingdom'),
(26185, '64.246.72.0', '64.246.73.255', 1089882112, 1089882623, 'US', 'United States'),
(26186, '64.246.74.0', '64.246.75.255', 1089882624, 1089883135, 'GB', 'United Kingdom'),
(26187, '64.246.76.0', '64.246.91.255', 1089883136, 1089887231, 'US', 'United States'),
(26188, '64.246.92.0', '64.246.93.255', 1089887232, 1089887743, 'GB', 'United Kingdom'),
(26189, '64.246.94.0', '64.247.127.255', 1089887744, 1089961983, 'US', 'United States'),
(26190, '64.247.128.0', '64.247.159.255', 1089961984, 1089970175, 'CA', 'Canada'),
(26191, '64.247.160.0', '64.247.175.255', 1089970176, 1089974271, 'PR', 'Puerto Rico'),
(26192, '64.247.176.0', '64.250.79.255', 1089974272, 1090146303, 'US', 'United States'),
(26193, '64.250.80.0', '64.250.95.255', 1090146304, 1090150399, 'CA', 'Canada'),
(26194, '64.250.96.0', '64.250.182.79', 1090150400, 1090172495, 'US', 'United States'),
(26195, '64.250.182.80', '64.250.182.95', 1090172496, 1090172511, 'GB', 'United Kingdom'),
(26196, '64.250.182.96', '64.251.63.255', 1090172512, 1090207743, 'US', 'United States'),
(26197, '64.251.64.0', '64.251.95.255', 1090207744, 1090215935, 'CA', 'Canada'),
(26198, '64.251.96.0', '64.253.127.255', 1090215936, 1090355199, 'US', 'United States'),
(26199, '64.253.128.0', '64.253.132.103', 1090355200, 1090356327, 'CA', 'Canada'),
(26200, '64.253.132.104', '64.253.132.111', 1090356328, 1090356335, 'US', 'United States'),
(26201, '64.253.132.112', '64.253.132.175', 1090356336, 1090356399, 'CA', 'Canada'),
(26202, '64.253.132.176', '64.253.132.191', 1090356400, 1090356415, 'US', 'United States'),
(26203, '64.253.132.192', '64.253.137.31', 1090356416, 1090357535, 'CA', 'Canada'),
(26204, '64.253.137.32', '64.253.137.63', 1090357536, 1090357567, 'US', 'United States'),
(26205, '64.253.137.64', '64.253.137.159', 1090357568, 1090357663, 'CA', 'Canada'),
(26206, '64.253.137.160', '64.253.137.175', 1090357664, 1090357679, 'US', 'United States'),
(26207, '64.253.137.176', '64.253.137.199', 1090357680, 1090357703, 'CA', 'Canada'),
(26208, '64.253.137.200', '64.253.137.207', 1090357704, 1090357711, 'US', 'United States'),
(26209, '64.253.137.208', '64.253.137.223', 1090357712, 1090357727, 'CA', 'Canada'),
(26210, '64.253.137.224', '64.253.137.231', 1090357728, 1090357735, 'US', 'United States'),
(26211, '64.253.137.232', '64.253.159.255', 1090357736, 1090363391, 'CA', 'Canada'),
(26212, '64.253.160.0', '64.253.255.255', 1090363392, 1090387967, 'US', 'United States'),
(26213, '64.254.0.0', '64.254.13.4', 1090387968, 1090391300, 'CA', 'Canada'),
(26214, '64.254.13.5', '64.254.13.6', 1090391301, 1090391302, 'US', 'United States'),
(26215, '64.254.13.7', '64.254.13.63', 1090391303, 1090391359, 'CA', 'Canada'),
(26216, '64.254.13.64', '64.254.13.64', 1090391360, 1090391360, 'US', 'United States'),
(26217, '64.254.13.65', '64.254.31.255', 1090391361, 1090396159, 'CA', 'Canada'),
(26218, '64.254.32.0', '64.254.139.207', 1090396160, 1090423759, 'US', 'United States'),
(26219, '64.254.139.208', '64.254.139.231', 1090423760, 1090423783, 'FI', 'Finland'),
(26220, '64.254.139.232', '64.254.141.31', 1090423784, 1090424095, 'US', 'United States'),
(26221, '64.254.141.32', '64.254.141.63', 1090424096, 1090424127, 'FI', 'Finland'),
(26222, '64.254.141.64', '64.254.141.223', 1090424128, 1090424287, 'US', 'United States'),
(26223, '64.254.141.224', '64.254.141.255', 1090424288, 1090424319, 'FI', 'Finland'),
(26224, '64.254.142.0', '64.254.143.255', 1090424320, 1090424831, 'US', 'United States'),
(26225, '64.254.144.0', '64.254.159.255', 1090424832, 1090428927, 'CA', 'Canada'),
(26226, '64.254.160.0', '64.254.223.255', 1090428928, 1090445311, 'US', 'United States'),
(26227, '64.254.224.0', '64.254.231.255', 1090445312, 1090447359, 'CA', 'Canada'),
(26228, '64.254.232.0', '64.254.232.127', 1090447360, 1090447487, 'US', 'United States'),
(26229, '64.254.232.128', '64.254.234.255', 1090447488, 1090448127, 'CA', 'Canada'),
(26230, '64.254.235.0', '64.254.235.127', 1090448128, 1090448255, 'US', 'United States'),
(26231, '64.254.235.128', '64.254.255.255', 1090448256, 1090453503, 'CA', 'Canada'),
(26232, '64.255.0.0', '64.255.173.111', 1090453504, 1090497903, 'US', 'United States'),
(26233, '64.255.173.112', '64.255.173.127', 1090497904, 1090497919, 'AU', 'Australia'),
(26234, '64.255.173.128', '64.255.179.255', 1090497920, 1090499583, 'US', 'United States'),
(26235, '64.255.180.0', '64.255.180.255', 1090499584, 1090499839, 'A2', 'Satellite Provider'),
(26236, '64.255.181.0', '65.17.196.29', 1090499840, 1091683357, 'US', 'United States'),
(26237, '65.17.196.30', '65.17.196.39', 1091683358, 1091683367, 'GB', 'United Kingdom'),
(26238, '65.17.196.40', '65.17.196.79', 1091683368, 1091683407, 'US', 'United States'),
(26239, '65.17.196.80', '65.17.196.89', 1091683408, 1091683417, 'BE', 'Belgium'),
(26240, '65.17.196.90', '65.17.196.109', 1091683418, 1091683437, 'US', 'United States'),
(26241, '65.17.196.110', '65.17.196.119', 1091683438, 1091683447, 'QA', 'Qatar'),
(26242, '65.17.196.120', '65.17.197.9', 1091683448, 1091683593, 'US', 'United States'),
(26243, '65.17.197.10', '65.17.197.19', 1091683594, 1091683603, 'CA', 'Canada'),
(26244, '65.17.197.20', '65.17.197.29', 1091683604, 1091683613, 'US', 'United States'),
(26245, '65.17.197.30', '65.17.197.69', 1091683614, 1091683653, 'CA', 'Canada'),
(26246, '65.17.197.70', '65.17.198.29', 1091683654, 1091683869, 'US', 'United States'),
(26247, '65.17.198.30', '65.17.198.49', 1091683870, 1091683889, 'AU', 'Australia'),
(26248, '65.17.198.50', '65.17.202.15', 1091683890, 1091684879, 'US', 'United States'),
(26249, '65.17.202.16', '65.17.202.31', 1091684880, 1091684895, 'CA', 'Canada'),
(26250, '65.17.202.32', '65.17.205.63', 1091684896, 1091685695, 'US', 'United States'),
(26251, '65.17.205.64', '65.17.205.79', 1091685696, 1091685711, 'QA', 'Qatar'),
(26252, '65.17.205.80', '65.17.205.127', 1091685712, 1091685759, 'US', 'United States'),
(26253, '65.17.205.128', '65.17.205.255', 1091685760, 1091685887, 'QA', 'Qatar'),
(26254, '65.17.206.0', '65.17.210.255', 1091685888, 1091687167, 'US', 'United States'),
(26255, '65.17.211.0', '65.17.211.15', 1091687168, 1091687183, 'CA', 'Canada'),
(26256, '65.17.211.16', '65.17.211.191', 1091687184, 1091687359, 'US', 'United States'),
(26257, '65.17.211.192', '65.17.211.223', 1091687360, 1091687391, 'CA', 'Canada'),
(26258, '65.17.211.224', '65.17.213.31', 1091687392, 1091687711, 'US', 'United States'),
(26259, '65.17.213.32', '65.17.213.47', 1091687712, 1091687727, 'ES', 'Spain'),
(26260, '65.17.213.48', '65.17.213.63', 1091687728, 1091687743, 'CO', 'Colombia'),
(26261, '65.17.213.64', '65.17.213.127', 1091687744, 1091687807, 'US', 'United States'),
(26262, '65.17.213.128', '65.17.213.159', 1091687808, 1091687839, 'CR', 'Costa Rica'),
(26263, '65.17.213.160', '65.17.213.191', 1091687840, 1091687871, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(26264, '65.17.213.192', '65.17.219.39', 1091687872, 1091689255, 'US', 'United States'),
(26265, '65.17.219.40', '65.17.219.49', 1091689256, 1091689265, 'GB', 'United Kingdom'),
(26266, '65.17.219.50', '65.17.219.79', 1091689266, 1091689295, 'US', 'United States'),
(26267, '65.17.219.80', '65.17.219.89', 1091689296, 1091689305, 'NZ', 'New Zealand'),
(26268, '65.17.219.90', '65.17.219.119', 1091689306, 1091689335, 'US', 'United States'),
(26269, '65.17.219.120', '65.17.219.129', 1091689336, 1091689345, 'SI', 'Slovenia'),
(26270, '65.17.219.130', '65.17.223.255', 1091689346, 1091690495, 'US', 'United States'),
(26271, '65.17.224.0', '65.17.224.15', 1091690496, 1091690511, 'CA', 'Canada'),
(26272, '65.17.224.16', '65.17.224.31', 1091690512, 1091690527, 'GB', 'United Kingdom'),
(26273, '65.17.224.32', '65.17.224.255', 1091690528, 1091690751, 'US', 'United States'),
(26274, '65.17.225.0', '65.17.225.63', 1091690752, 1091690815, 'GB', 'United Kingdom'),
(26275, '65.17.225.64', '65.17.227.63', 1091690816, 1091691327, 'US', 'United States'),
(26276, '65.17.227.64', '65.17.227.95', 1091691328, 1091691359, 'SA', 'Saudi Arabia'),
(26277, '65.17.227.96', '65.17.231.59', 1091691360, 1091692347, 'US', 'United States'),
(26278, '65.17.231.60', '65.17.231.69', 1091692348, 1091692357, 'SY', 'Syrian Arab Republic'),
(26279, '65.17.231.70', '65.17.231.109', 1091692358, 1091692397, 'US', 'United States'),
(26280, '65.17.231.110', '65.17.231.119', 1091692398, 1091692407, 'NL', 'Netherlands'),
(26281, '65.17.231.120', '65.17.231.159', 1091692408, 1091692447, 'US', 'United States'),
(26282, '65.17.231.160', '65.17.231.169', 1091692448, 1091692457, 'GB', 'United Kingdom'),
(26283, '65.17.231.170', '65.17.232.29', 1091692458, 1091692573, 'US', 'United States'),
(26284, '65.17.232.30', '65.17.232.39', 1091692574, 1091692583, 'BE', 'Belgium'),
(26285, '65.17.232.40', '65.17.232.99', 1091692584, 1091692643, 'US', 'United States'),
(26286, '65.17.232.100', '65.17.232.109', 1091692644, 1091692653, 'PH', 'Philippines'),
(26287, '65.17.232.110', '65.17.232.159', 1091692654, 1091692703, 'US', 'United States'),
(26288, '65.17.232.160', '65.17.232.169', 1091692704, 1091692713, 'SI', 'Slovenia'),
(26289, '65.17.232.170', '65.17.232.179', 1091692714, 1091692723, 'US', 'United States'),
(26290, '65.17.232.180', '65.17.232.189', 1091692724, 1091692733, 'CA', 'Canada'),
(26291, '65.17.232.190', '65.17.234.39', 1091692734, 1091693095, 'US', 'United States'),
(26292, '65.17.234.40', '65.17.234.79', 1091693096, 1091693135, 'NZ', 'New Zealand'),
(26293, '65.17.234.80', '65.17.239.111', 1091693136, 1091694447, 'US', 'United States'),
(26294, '65.17.239.112', '65.17.239.127', 1091694448, 1091694463, 'BG', 'Bulgaria'),
(26295, '65.17.239.128', '65.17.241.29', 1091694464, 1091694877, 'US', 'United States'),
(26296, '65.17.241.30', '65.17.241.39', 1091694878, 1091694887, 'DE', 'Germany'),
(26297, '65.17.241.40', '65.17.241.159', 1091694888, 1091695007, 'US', 'United States'),
(26298, '65.17.241.160', '65.17.241.169', 1091695008, 1091695017, 'CA', 'Canada'),
(26299, '65.17.241.170', '65.17.242.19', 1091695018, 1091695123, 'US', 'United States'),
(26300, '65.17.242.20', '65.17.242.59', 1091695124, 1091695163, 'CA', 'Canada'),
(26301, '65.17.242.60', '65.17.242.109', 1091695164, 1091695213, 'US', 'United States'),
(26302, '65.17.242.110', '65.17.242.119', 1091695214, 1091695223, 'CA', 'Canada'),
(26303, '65.17.242.120', '65.17.242.179', 1091695224, 1091695283, 'US', 'United States'),
(26304, '65.17.242.180', '65.17.242.189', 1091695284, 1091695293, 'CA', 'Canada'),
(26305, '65.17.242.190', '65.19.131.215', 1091695294, 1091797975, 'US', 'United States'),
(26306, '65.19.131.216', '65.19.131.223', 1091797976, 1091797983, 'A1', 'Anonymous Proxy'),
(26307, '65.19.131.224', '65.19.134.111', 1091797984, 1091798639, 'US', 'United States'),
(26308, '65.19.134.112', '65.19.134.119', 1091798640, 1091798647, 'CN', 'China'),
(26309, '65.19.134.120', '65.19.134.255', 1091798648, 1091798783, 'US', 'United States'),
(26310, '65.19.135.0', '65.19.135.255', 1091798784, 1091799039, 'CN', 'China'),
(26311, '65.19.136.0', '65.19.138.167', 1091799040, 1091799719, 'US', 'United States'),
(26312, '65.19.138.168', '65.19.138.175', 1091799720, 1091799727, 'SG', 'Singapore'),
(26313, '65.19.138.176', '65.19.140.255', 1091799728, 1091800319, 'US', 'United States'),
(26314, '65.19.141.0', '65.19.141.7', 1091800320, 1091800327, 'JP', 'Japan'),
(26315, '65.19.141.8', '65.19.147.255', 1091800328, 1091802111, 'US', 'United States'),
(26316, '65.19.148.0', '65.19.148.255', 1091802112, 1091802367, 'CA', 'Canada'),
(26317, '65.19.149.0', '65.19.151.255', 1091802368, 1091803135, 'US', 'United States'),
(26318, '65.19.152.0', '65.19.152.255', 1091803136, 1091803391, 'CN', 'China'),
(26319, '65.19.153.0', '65.19.154.63', 1091803392, 1091803711, 'US', 'United States'),
(26320, '65.19.154.64', '65.19.154.127', 1091803712, 1091803775, 'TH', 'Thailand'),
(26321, '65.19.154.128', '65.19.154.223', 1091803776, 1091803871, 'US', 'United States'),
(26322, '65.19.154.224', '65.19.154.255', 1091803872, 1091803903, 'NL', 'Netherlands'),
(26323, '65.19.155.0', '65.19.167.255', 1091803904, 1091807231, 'US', 'United States'),
(26324, '65.19.168.0', '65.19.168.255', 1091807232, 1091807487, 'CA', 'Canada'),
(26325, '65.19.169.0', '65.19.170.255', 1091807488, 1091807999, 'US', 'United States'),
(26326, '65.19.171.0', '65.19.172.255', 1091808000, 1091808511, 'CA', 'Canada'),
(26327, '65.19.173.0', '65.19.176.95', 1091808512, 1091809375, 'US', 'United States'),
(26328, '65.19.176.96', '65.19.176.111', 1091809376, 1091809391, 'GB', 'United Kingdom'),
(26329, '65.19.176.112', '65.19.176.127', 1091809392, 1091809407, 'US', 'United States'),
(26330, '65.19.176.128', '65.19.176.191', 1091809408, 1091809471, 'JP', 'Japan'),
(26331, '65.19.176.192', '65.19.187.255', 1091809472, 1091812351, 'US', 'United States'),
(26332, '65.19.188.0', '65.19.188.255', 1091812352, 1091812607, 'CN', 'China'),
(26333, '65.19.189.0', '65.21.255.255', 1091812608, 1091960831, 'US', 'United States'),
(26334, '65.22.0.0', '65.22.255.255', 1091960832, 1092026367, 'CA', 'Canada'),
(26335, '65.23.0.0', '65.23.157.29', 1092026368, 1092066589, 'US', 'United States'),
(26336, '65.23.157.30', '65.23.157.37', 1092066590, 1092066597, 'KN', 'Saint Kitts and Nevis'),
(26337, '65.23.157.38', '65.23.158.226', 1092066598, 1092067042, 'US', 'United States'),
(26338, '65.23.158.227', '65.23.158.234', 1092067043, 1092067050, 'KN', 'Saint Kitts and Nevis'),
(26339, '65.23.158.235', '65.23.191.255', 1092067051, 1092075519, 'US', 'United States'),
(26340, '65.23.192.0', '65.23.255.255', 1092075520, 1092091903, 'PR', 'Puerto Rico'),
(26341, '65.24.0.0', '65.36.243.63', 1092091904, 1092940607, 'US', 'United States'),
(26342, '65.36.243.64', '65.36.243.95', 1092940608, 1092940639, 'AU', 'Australia'),
(26343, '65.36.243.96', '65.38.31.255', 1092940640, 1093017599, 'US', 'United States'),
(26344, '65.38.32.0', '65.38.47.255', 1093017600, 1093021695, 'CA', 'Canada'),
(26345, '65.38.48.0', '65.38.63.255', 1093021696, 1093025791, 'US', 'United States'),
(26346, '65.38.64.0', '65.38.95.255', 1093025792, 1093033983, 'CA', 'Canada'),
(26347, '65.38.96.0', '65.38.166.111', 1093033984, 1093052015, 'US', 'United States'),
(26348, '65.38.166.112', '65.38.166.119', 1093052016, 1093052023, 'CA', 'Canada'),
(26349, '65.38.166.120', '65.38.169.223', 1093052024, 1093052895, 'US', 'United States'),
(26350, '65.38.169.224', '65.38.169.239', 1093052896, 1093052911, 'AR', 'Argentina'),
(26351, '65.38.169.240', '65.38.174.175', 1093052912, 1093054127, 'US', 'United States'),
(26352, '65.38.174.176', '65.38.174.191', 1093054128, 1093054143, 'FR', 'France'),
(26353, '65.38.174.192', '65.38.175.79', 1093054144, 1093054287, 'US', 'United States'),
(26354, '65.38.175.80', '65.38.175.95', 1093054288, 1093054303, 'GB', 'United Kingdom'),
(26355, '65.38.175.96', '65.38.179.255', 1093054304, 1093055487, 'US', 'United States'),
(26356, '65.38.180.0', '65.38.181.127', 1093055488, 1093055871, 'AR', 'Argentina'),
(26357, '65.38.181.128', '65.38.182.95', 1093055872, 1093056095, 'US', 'United States'),
(26358, '65.38.182.96', '65.38.182.127', 1093056096, 1093056127, 'SY', 'Syrian Arab Republic'),
(26359, '65.38.182.128', '65.38.182.167', 1093056128, 1093056167, 'US', 'United States'),
(26360, '65.38.182.168', '65.38.182.175', 1093056168, 1093056175, 'RO', 'Romania'),
(26361, '65.38.182.176', '65.38.183.191', 1093056176, 1093056447, 'US', 'United States'),
(26362, '65.38.183.192', '65.38.183.207', 1093056448, 1093056463, 'FR', 'France'),
(26363, '65.38.183.208', '65.38.183.223', 1093056464, 1093056479, 'CA', 'Canada'),
(26364, '65.38.183.224', '65.38.183.255', 1093056480, 1093056511, 'US', 'United States'),
(26365, '65.38.184.0', '65.38.184.7', 1093056512, 1093056519, 'GB', 'United Kingdom'),
(26366, '65.38.184.8', '65.38.184.79', 1093056520, 1093056591, 'US', 'United States'),
(26367, '65.38.184.80', '65.38.184.87', 1093056592, 1093056599, 'CA', 'Canada'),
(26368, '65.38.184.88', '65.38.186.79', 1093056600, 1093057103, 'US', 'United States'),
(26369, '65.38.186.80', '65.38.186.95', 1093057104, 1093057119, 'JP', 'Japan'),
(26370, '65.38.186.96', '65.38.186.239', 1093057120, 1093057263, 'US', 'United States'),
(26371, '65.38.186.240', '65.38.186.255', 1093057264, 1093057279, 'IT', 'Italy'),
(26372, '65.38.187.0', '65.38.187.31', 1093057280, 1093057311, 'US', 'United States'),
(26373, '65.38.187.32', '65.38.187.63', 1093057312, 1093057343, 'CY', 'Cyprus'),
(26374, '65.38.187.64', '65.38.187.111', 1093057344, 1093057391, 'US', 'United States'),
(26375, '65.38.187.112', '65.38.187.127', 1093057392, 1093057407, 'RO', 'Romania'),
(26376, '65.38.187.128', '65.38.190.47', 1093057408, 1093058095, 'US', 'United States'),
(26377, '65.38.190.48', '65.38.190.63', 1093058096, 1093058111, 'SY', 'Syrian Arab Republic'),
(26378, '65.38.190.64', '65.38.190.223', 1093058112, 1093058271, 'US', 'United States'),
(26379, '65.38.190.224', '65.38.190.239', 1093058272, 1093058287, 'SY', 'Syrian Arab Republic'),
(26380, '65.38.190.240', '65.38.191.255', 1093058288, 1093058559, 'US', 'United States'),
(26381, '65.38.192.0', '65.38.209.255', 1093058560, 1093063167, 'PR', 'Puerto Rico'),
(26382, '65.38.210.0', '65.38.211.255', 1093063168, 1093063679, 'DO', 'Dominican Republic'),
(26383, '65.38.212.0', '65.38.223.255', 1093063680, 1093066751, 'PR', 'Puerto Rico'),
(26384, '65.38.224.0', '65.38.255.255', 1093066752, 1093074943, 'US', 'United States'),
(26385, '65.39.0.0', '65.39.63.255', 1093074944, 1093091327, 'CA', 'Canada'),
(26386, '65.39.64.0', '65.39.127.255', 1093091328, 1093107711, 'US', 'United States'),
(26387, '65.39.128.0', '65.39.128.111', 1093107712, 1093107823, 'CA', 'Canada'),
(26388, '65.39.128.112', '65.39.128.127', 1093107824, 1093107839, 'US', 'United States'),
(26389, '65.39.128.128', '65.39.129.255', 1093107840, 1093108223, 'CA', 'Canada'),
(26390, '65.39.130.0', '65.39.130.255', 1093108224, 1093108479, 'US', 'United States'),
(26391, '65.39.131.0', '65.39.134.119', 1093108480, 1093109367, 'CA', 'Canada'),
(26392, '65.39.134.120', '65.39.134.127', 1093109368, 1093109375, 'US', 'United States'),
(26393, '65.39.134.128', '65.39.136.119', 1093109376, 1093109879, 'CA', 'Canada'),
(26394, '65.39.136.120', '65.39.136.127', 1093109880, 1093109887, 'US', 'United States'),
(26395, '65.39.136.128', '65.39.136.207', 1093109888, 1093109967, 'CA', 'Canada'),
(26396, '65.39.136.208', '65.39.136.223', 1093109968, 1093109983, 'US', 'United States'),
(26397, '65.39.136.224', '65.39.137.255', 1093109984, 1093110271, 'CA', 'Canada'),
(26398, '65.39.138.0', '65.39.138.255', 1093110272, 1093110527, 'US', 'United States'),
(26399, '65.39.139.0', '65.39.139.255', 1093110528, 1093110783, 'CA', 'Canada'),
(26400, '65.39.140.0', '65.39.140.31', 1093110784, 1093110815, 'US', 'United States'),
(26401, '65.39.140.32', '65.39.140.63', 1093110816, 1093110847, 'CA', 'Canada'),
(26402, '65.39.140.64', '65.39.140.127', 1093110848, 1093110911, 'US', 'United States'),
(26403, '65.39.140.128', '65.39.140.255', 1093110912, 1093111039, 'CA', 'Canada'),
(26404, '65.39.141.0', '65.39.141.255', 1093111040, 1093111295, 'US', 'United States'),
(26405, '65.39.142.0', '65.39.143.159', 1093111296, 1093111711, 'CA', 'Canada'),
(26406, '65.39.143.160', '65.39.143.175', 1093111712, 1093111727, 'US', 'United States'),
(26407, '65.39.143.176', '65.39.143.191', 1093111728, 1093111743, 'CA', 'Canada'),
(26408, '65.39.143.192', '65.39.143.207', 1093111744, 1093111759, 'US', 'United States'),
(26409, '65.39.143.208', '65.39.144.63', 1093111760, 1093111871, 'CA', 'Canada'),
(26410, '65.39.144.64', '65.39.144.95', 1093111872, 1093111903, 'US', 'United States'),
(26411, '65.39.144.96', '65.39.144.127', 1093111904, 1093111935, 'CA', 'Canada'),
(26412, '65.39.144.128', '65.39.144.143', 1093111936, 1093111951, 'US', 'United States'),
(26413, '65.39.144.144', '65.39.144.151', 1093111952, 1093111959, 'CA', 'Canada'),
(26414, '65.39.144.152', '65.39.144.159', 1093111960, 1093111967, 'BV', 'Bouvet Island'),
(26415, '65.39.144.160', '65.39.146.111', 1093111968, 1093112431, 'CA', 'Canada'),
(26416, '65.39.146.112', '65.39.146.159', 1093112432, 1093112479, 'US', 'United States'),
(26417, '65.39.146.160', '65.39.146.223', 1093112480, 1093112543, 'CA', 'Canada'),
(26418, '65.39.146.224', '65.39.147.255', 1093112544, 1093112831, 'US', 'United States'),
(26419, '65.39.148.0', '65.39.148.79', 1093112832, 1093112911, 'CA', 'Canada'),
(26420, '65.39.148.80', '65.39.148.87', 1093112912, 1093112919, 'US', 'United States'),
(26421, '65.39.148.88', '65.39.148.127', 1093112920, 1093112959, 'CA', 'Canada'),
(26422, '65.39.148.128', '65.39.148.255', 1093112960, 1093113087, 'US', 'United States'),
(26423, '65.39.149.0', '65.39.149.103', 1093113088, 1093113191, 'CA', 'Canada'),
(26424, '65.39.149.104', '65.39.149.119', 1093113192, 1093113207, 'US', 'United States'),
(26425, '65.39.149.120', '65.39.150.35', 1093113208, 1093113379, 'CA', 'Canada'),
(26426, '65.39.150.36', '65.39.150.39', 1093113380, 1093113383, 'US', 'United States'),
(26427, '65.39.150.40', '65.39.150.143', 1093113384, 1093113487, 'CA', 'Canada'),
(26428, '65.39.150.144', '65.39.150.159', 1093113488, 1093113503, 'US', 'United States'),
(26429, '65.39.150.160', '65.39.151.143', 1093113504, 1093113743, 'CA', 'Canada'),
(26430, '65.39.151.144', '65.39.151.159', 1093113744, 1093113759, 'US', 'United States'),
(26431, '65.39.151.160', '65.39.151.183', 1093113760, 1093113783, 'CA', 'Canada'),
(26432, '65.39.151.184', '65.39.151.191', 1093113784, 1093113791, 'US', 'United States'),
(26433, '65.39.151.192', '65.39.151.247', 1093113792, 1093113847, 'CA', 'Canada'),
(26434, '65.39.151.248', '65.39.154.255', 1093113848, 1093114623, 'US', 'United States'),
(26435, '65.39.155.0', '65.39.155.55', 1093114624, 1093114679, 'CA', 'Canada'),
(26436, '65.39.155.56', '65.39.155.79', 1093114680, 1093114703, 'US', 'United States'),
(26437, '65.39.155.80', '65.39.155.87', 1093114704, 1093114711, 'CA', 'Canada'),
(26438, '65.39.155.88', '65.39.155.95', 1093114712, 1093114719, 'VG', 'Virgin Islands, British'),
(26439, '65.39.155.96', '65.39.155.199', 1093114720, 1093114823, 'CA', 'Canada'),
(26440, '65.39.155.200', '65.39.155.219', 1093114824, 1093114843, 'US', 'United States'),
(26441, '65.39.155.220', '65.39.155.223', 1093114844, 1093114847, 'CA', 'Canada'),
(26442, '65.39.155.224', '65.39.155.239', 1093114848, 1093114863, 'US', 'United States'),
(26443, '65.39.155.240', '65.39.163.255', 1093114864, 1093116927, 'CA', 'Canada'),
(26444, '65.39.164.0', '65.39.164.255', 1093116928, 1093117183, 'HK', 'Hong Kong'),
(26445, '65.39.165.0', '65.39.165.255', 1093117184, 1093117439, 'US', 'United States'),
(26446, '65.39.166.0', '65.39.166.15', 1093117440, 1093117455, 'CA', 'Canada'),
(26447, '65.39.166.16', '65.39.166.63', 1093117456, 1093117503, 'US', 'United States'),
(26448, '65.39.166.64', '65.39.166.79', 1093117504, 1093117519, 'CA', 'Canada'),
(26449, '65.39.166.80', '65.39.166.87', 1093117520, 1093117527, 'US', 'United States'),
(26450, '65.39.166.88', '65.39.166.127', 1093117528, 1093117567, 'CA', 'Canada'),
(26451, '65.39.166.128', '65.39.166.159', 1093117568, 1093117599, 'US', 'United States'),
(26452, '65.39.166.160', '65.39.166.167', 1093117600, 1093117607, 'CA', 'Canada'),
(26453, '65.39.166.168', '65.39.166.175', 1093117608, 1093117615, 'US', 'United States'),
(26454, '65.39.166.176', '65.39.166.191', 1093117616, 1093117631, 'CA', 'Canada'),
(26455, '65.39.166.192', '65.39.166.207', 1093117632, 1093117647, 'VG', 'Virgin Islands, British'),
(26456, '65.39.166.208', '65.39.168.255', 1093117648, 1093118207, 'CA', 'Canada'),
(26457, '65.39.169.0', '65.39.169.255', 1093118208, 1093118463, 'HK', 'Hong Kong'),
(26458, '65.39.170.0', '65.39.170.31', 1093118464, 1093118495, 'CA', 'Canada'),
(26459, '65.39.170.32', '65.39.170.63', 1093118496, 1093118527, 'US', 'United States'),
(26460, '65.39.170.64', '65.39.170.67', 1093118528, 1093118531, 'CA', 'Canada'),
(26461, '65.39.170.68', '65.39.170.127', 1093118532, 1093118591, 'US', 'United States'),
(26462, '65.39.170.128', '65.39.170.255', 1093118592, 1093118719, 'CA', 'Canada'),
(26463, '65.39.171.0', '65.39.172.7', 1093118720, 1093118983, 'US', 'United States'),
(26464, '65.39.172.8', '65.39.172.31', 1093118984, 1093119007, 'CA', 'Canada'),
(26465, '65.39.172.32', '65.39.172.39', 1093119008, 1093119015, 'US', 'United States'),
(26466, '65.39.172.40', '65.39.172.47', 1093119016, 1093119023, 'CA', 'Canada'),
(26467, '65.39.172.48', '65.39.172.63', 1093119024, 1093119039, 'US', 'United States'),
(26468, '65.39.172.64', '65.39.172.159', 1093119040, 1093119135, 'CA', 'Canada'),
(26469, '65.39.172.160', '65.39.172.191', 1093119136, 1093119167, 'US', 'United States'),
(26470, '65.39.172.192', '65.39.173.79', 1093119168, 1093119311, 'CA', 'Canada'),
(26471, '65.39.173.80', '65.39.173.95', 1093119312, 1093119327, 'US', 'United States'),
(26472, '65.39.173.96', '65.39.174.175', 1093119328, 1093119663, 'CA', 'Canada'),
(26473, '65.39.174.176', '65.39.174.183', 1093119664, 1093119671, 'US', 'United States'),
(26474, '65.39.174.184', '65.39.174.207', 1093119672, 1093119695, 'CA', 'Canada'),
(26475, '65.39.174.208', '65.39.174.255', 1093119696, 1093119743, 'US', 'United States'),
(26476, '65.39.175.0', '65.39.175.87', 1093119744, 1093119831, 'CA', 'Canada'),
(26477, '65.39.175.88', '65.39.175.95', 1093119832, 1093119839, 'US', 'United States'),
(26478, '65.39.175.96', '65.39.177.127', 1093119840, 1093120383, 'CA', 'Canada'),
(26479, '65.39.177.128', '65.39.177.143', 1093120384, 1093120399, 'US', 'United States'),
(26480, '65.39.177.144', '65.39.177.159', 1093120400, 1093120415, 'BV', 'Bouvet Island'),
(26481, '65.39.177.160', '65.39.178.255', 1093120416, 1093120767, 'CA', 'Canada'),
(26482, '65.39.179.0', '65.39.179.143', 1093120768, 1093120911, 'US', 'United States'),
(26483, '65.39.179.144', '65.39.179.175', 1093120912, 1093120943, 'CA', 'Canada'),
(26484, '65.39.179.176', '65.39.179.191', 1093120944, 1093120959, 'US', 'United States'),
(26485, '65.39.179.192', '65.39.183.255', 1093120960, 1093122047, 'CA', 'Canada'),
(26486, '65.39.184.0', '65.39.184.255', 1093122048, 1093122303, 'US', 'United States'),
(26487, '65.39.185.0', '65.39.185.143', 1093122304, 1093122447, 'CA', 'Canada'),
(26488, '65.39.185.144', '65.39.185.159', 1093122448, 1093122463, 'US', 'United States'),
(26489, '65.39.185.160', '65.39.185.191', 1093122464, 1093122495, 'CA', 'Canada'),
(26490, '65.39.185.192', '65.39.185.231', 1093122496, 1093122535, 'US', 'United States'),
(26491, '65.39.185.232', '65.39.185.239', 1093122536, 1093122543, 'CA', 'Canada'),
(26492, '65.39.185.240', '65.39.185.247', 1093122544, 1093122551, 'US', 'United States'),
(26493, '65.39.185.248', '65.39.185.255', 1093122552, 1093122559, 'CA', 'Canada'),
(26494, '65.39.186.0', '65.39.186.31', 1093122560, 1093122591, 'US', 'United States'),
(26495, '65.39.186.32', '65.39.186.95', 1093122592, 1093122655, 'CA', 'Canada'),
(26496, '65.39.186.96', '65.39.186.111', 1093122656, 1093122671, 'US', 'United States'),
(26497, '65.39.186.112', '65.39.186.127', 1093122672, 1093122687, 'CA', 'Canada'),
(26498, '65.39.186.128', '65.39.186.159', 1093122688, 1093122719, 'US', 'United States'),
(26499, '65.39.186.160', '65.39.186.207', 1093122720, 1093122767, 'CA', 'Canada'),
(26500, '65.39.186.208', '65.39.186.223', 1093122768, 1093122783, 'US', 'United States'),
(26501, '65.39.186.224', '65.39.186.231', 1093122784, 1093122791, 'CA', 'Canada'),
(26502, '65.39.186.232', '65.39.186.239', 1093122792, 1093122799, 'US', 'United States'),
(26503, '65.39.186.240', '65.39.186.247', 1093122800, 1093122807, 'CA', 'Canada'),
(26504, '65.39.186.248', '65.39.187.255', 1093122808, 1093123071, 'US', 'United States'),
(26505, '65.39.188.0', '65.39.190.255', 1093123072, 1093123839, 'CA', 'Canada'),
(26506, '65.39.191.0', '65.39.191.63', 1093123840, 1093123903, 'US', 'United States'),
(26507, '65.39.191.64', '65.39.191.95', 1093123904, 1093123935, 'AN', 'Netherlands Antilles'),
(26508, '65.39.191.96', '65.39.191.103', 1093123936, 1093123943, 'US', 'United States'),
(26509, '65.39.191.104', '65.39.191.127', 1093123944, 1093123967, 'CA', 'Canada'),
(26510, '65.39.191.128', '65.39.191.143', 1093123968, 1093123983, 'US', 'United States'),
(26511, '65.39.191.144', '65.39.191.159', 1093123984, 1093123999, 'VG', 'Virgin Islands, British'),
(26512, '65.39.191.160', '65.39.191.255', 1093124000, 1093124095, 'US', 'United States'),
(26513, '65.39.192.0', '65.39.192.191', 1093124096, 1093124287, 'CA', 'Canada'),
(26514, '65.39.192.192', '65.39.192.255', 1093124288, 1093124351, 'US', 'United States'),
(26515, '65.39.193.0', '65.39.193.207', 1093124352, 1093124559, 'CA', 'Canada'),
(26516, '65.39.193.208', '65.39.193.223', 1093124560, 1093124575, 'US', 'United States'),
(26517, '65.39.193.224', '65.39.195.127', 1093124576, 1093124991, 'CA', 'Canada'),
(26518, '65.39.195.128', '65.39.195.191', 1093124992, 1093125055, 'US', 'United States'),
(26519, '65.39.195.192', '65.39.198.79', 1093125056, 1093125711, 'CA', 'Canada'),
(26520, '65.39.198.80', '65.39.198.87', 1093125712, 1093125719, 'US', 'United States'),
(26521, '65.39.198.88', '65.39.198.143', 1093125720, 1093125775, 'CA', 'Canada'),
(26522, '65.39.198.144', '65.39.198.239', 1093125776, 1093125871, 'US', 'United States'),
(26523, '65.39.198.240', '65.39.199.127', 1093125872, 1093126015, 'CA', 'Canada'),
(26524, '65.39.199.128', '65.39.199.159', 1093126016, 1093126047, 'US', 'United States'),
(26525, '65.39.199.160', '65.39.199.175', 1093126048, 1093126063, 'CA', 'Canada'),
(26526, '65.39.199.176', '65.39.199.191', 1093126064, 1093126079, 'US', 'United States'),
(26527, '65.39.199.192', '65.39.199.223', 1093126080, 1093126111, 'CA', 'Canada'),
(26528, '65.39.199.224', '65.39.199.246', 1093126112, 1093126134, 'US', 'United States'),
(26529, '65.39.199.247', '65.39.199.254', 1093126135, 1093126142, 'CA', 'Canada'),
(26530, '65.39.199.255', '65.39.199.255', 1093126143, 1093126143, 'US', 'United States'),
(26531, '65.39.200.0', '65.39.200.255', 1093126144, 1093126399, 'CA', 'Canada'),
(26532, '65.39.201.0', '65.39.201.31', 1093126400, 1093126431, 'VG', 'Virgin Islands, British'),
(26533, '65.39.201.32', '65.39.201.135', 1093126432, 1093126535, 'CA', 'Canada'),
(26534, '65.39.201.136', '65.39.201.143', 1093126536, 1093126543, 'US', 'United States'),
(26535, '65.39.201.144', '65.39.201.239', 1093126544, 1093126639, 'CA', 'Canada'),
(26536, '65.39.201.240', '65.39.201.255', 1093126640, 1093126655, 'US', 'United States'),
(26537, '65.39.202.0', '65.39.202.31', 1093126656, 1093126687, 'CA', 'Canada'),
(26538, '65.39.202.32', '65.39.202.63', 1093126688, 1093126719, 'US', 'United States'),
(26539, '65.39.202.64', '65.39.202.95', 1093126720, 1093126751, 'CA', 'Canada'),
(26540, '65.39.202.96', '65.39.202.111', 1093126752, 1093126767, 'US', 'United States'),
(26541, '65.39.202.112', '65.39.202.127', 1093126768, 1093126783, 'CA', 'Canada'),
(26542, '65.39.202.128', '65.39.202.145', 1093126784, 1093126801, 'US', 'United States'),
(26543, '65.39.202.146', '65.39.202.153', 1093126802, 1093126809, 'CA', 'Canada'),
(26544, '65.39.202.154', '65.39.202.167', 1093126810, 1093126823, 'US', 'United States'),
(26545, '65.39.202.168', '65.39.202.183', 1093126824, 1093126839, 'CA', 'Canada'),
(26546, '65.39.202.184', '65.39.202.255', 1093126840, 1093126911, 'US', 'United States'),
(26547, '65.39.203.0', '65.39.203.255', 1093126912, 1093127167, 'CA', 'Canada'),
(26548, '65.39.204.0', '65.39.204.23', 1093127168, 1093127191, 'US', 'United States'),
(26549, '65.39.204.24', '65.39.204.31', 1093127192, 1093127199, 'CA', 'Canada'),
(26550, '65.39.204.32', '65.39.204.255', 1093127200, 1093127423, 'US', 'United States'),
(26551, '65.39.205.0', '65.39.205.31', 1093127424, 1093127455, 'CA', 'Canada'),
(26552, '65.39.205.32', '65.39.205.127', 1093127456, 1093127551, 'US', 'United States'),
(26553, '65.39.205.128', '65.39.205.191', 1093127552, 1093127615, 'CA', 'Canada'),
(26554, '65.39.205.192', '65.39.205.223', 1093127616, 1093127647, 'US', 'United States'),
(26555, '65.39.205.224', '65.39.205.239', 1093127648, 1093127663, 'CA', 'Canada'),
(26556, '65.39.205.240', '65.39.206.95', 1093127664, 1093127775, 'US', 'United States'),
(26557, '65.39.206.96', '65.39.206.111', 1093127776, 1093127791, 'CA', 'Canada'),
(26558, '65.39.206.112', '65.39.207.255', 1093127792, 1093128191, 'US', 'United States'),
(26559, '65.39.208.0', '65.39.208.223', 1093128192, 1093128415, 'CA', 'Canada'),
(26560, '65.39.208.224', '65.39.208.255', 1093128416, 1093128447, 'US', 'United States'),
(26561, '65.39.209.0', '65.39.211.255', 1093128448, 1093129215, 'CA', 'Canada'),
(26562, '65.39.212.0', '65.39.216.127', 1093129216, 1093130367, 'US', 'United States'),
(26563, '65.39.216.128', '65.39.216.175', 1093130368, 1093130415, 'CA', 'Canada'),
(26564, '65.39.216.176', '65.39.216.191', 1093130416, 1093130431, 'US', 'United States'),
(26565, '65.39.216.192', '65.39.219.207', 1093130432, 1093131215, 'CA', 'Canada'),
(26566, '65.39.219.208', '65.39.219.223', 1093131216, 1093131231, 'US', 'United States'),
(26567, '65.39.219.224', '65.39.219.239', 1093131232, 1093131247, 'VG', 'Virgin Islands, British'),
(26568, '65.39.219.240', '65.39.219.255', 1093131248, 1093131263, 'CA', 'Canada'),
(26569, '65.39.220.0', '65.39.220.127', 1093131264, 1093131391, 'US', 'United States'),
(26570, '65.39.220.128', '65.39.220.223', 1093131392, 1093131487, 'CA', 'Canada'),
(26571, '65.39.220.224', '65.39.223.255', 1093131488, 1093132287, 'US', 'United States'),
(26572, '65.39.224.0', '65.39.227.255', 1093132288, 1093133311, 'CA', 'Canada'),
(26573, '65.39.228.0', '65.39.228.63', 1093133312, 1093133375, 'US', 'United States'),
(26574, '65.39.228.64', '65.39.231.183', 1093133376, 1093134263, 'CA', 'Canada'),
(26575, '65.39.231.184', '65.39.231.191', 1093134264, 1093134271, 'US', 'United States'),
(26576, '65.39.231.192', '65.39.231.255', 1093134272, 1093134335, 'CA', 'Canada'),
(26577, '65.39.232.0', '65.39.235.255', 1093134336, 1093135359, 'US', 'United States'),
(26578, '65.39.236.0', '65.39.237.23', 1093135360, 1093135639, 'CA', 'Canada'),
(26579, '65.39.237.24', '65.39.237.31', 1093135640, 1093135647, 'US', 'United States'),
(26580, '65.39.237.32', '65.39.240.255', 1093135648, 1093136639, 'CA', 'Canada'),
(26581, '65.39.241.0', '65.39.241.255', 1093136640, 1093136895, 'US', 'United States'),
(26582, '65.39.242.0', '65.39.243.199', 1093136896, 1093137351, 'CA', 'Canada'),
(26583, '65.39.243.200', '65.39.243.207', 1093137352, 1093137359, 'US', 'United States'),
(26584, '65.39.243.208', '65.39.243.223', 1093137360, 1093137375, 'MX', 'Mexico'),
(26585, '65.39.243.224', '65.39.247.255', 1093137376, 1093138431, 'CA', 'Canada'),
(26586, '65.39.248.0', '65.39.248.127', 1093138432, 1093138559, 'US', 'United States'),
(26587, '65.39.248.128', '65.39.248.191', 1093138560, 1093138623, 'CA', 'Canada'),
(26588, '65.39.248.192', '65.39.251.255', 1093138624, 1093139455, 'US', 'United States'),
(26589, '65.39.252.0', '65.39.252.127', 1093139456, 1093139583, 'CA', 'Canada'),
(26590, '65.39.252.128', '65.39.252.191', 1093139584, 1093139647, 'US', 'United States'),
(26591, '65.39.252.192', '65.39.252.223', 1093139648, 1093139679, 'CA', 'Canada'),
(26592, '65.39.252.224', '65.39.252.239', 1093139680, 1093139695, 'US', 'United States'),
(26593, '65.39.252.240', '65.39.254.255', 1093139696, 1093140223, 'CA', 'Canada'),
(26594, '65.39.255.0', '65.48.26.167', 1093140224, 1093671591, 'US', 'United States'),
(26595, '65.48.26.168', '65.48.26.175', 1093671592, 1093671599, 'UY', 'Uruguay'),
(26596, '65.48.26.176', '65.48.127.255', 1093671600, 1093697535, 'US', 'United States'),
(26597, '65.48.128.0', '65.48.133.255', 1093697536, 1093699071, 'BB', 'Barbados'),
(26598, '65.48.134.0', '65.48.139.255', 1093699072, 1093700607, 'GD', 'Grenada'),
(26599, '65.48.140.0', '65.48.143.255', 1093700608, 1093701631, 'VC', 'Saint Vincent and the Grenadines'),
(26600, '65.48.144.0', '65.48.169.255', 1093701632, 1093708287, 'BB', 'Barbados'),
(26601, '65.48.170.0', '65.48.173.255', 1093708288, 1093709311, 'LC', 'Saint Lucia'),
(26602, '65.48.174.0', '65.48.201.255', 1093709312, 1093716479, 'BB', 'Barbados'),
(26603, '65.48.202.0', '65.48.206.255', 1093716480, 1093717759, 'GD', 'Grenada'),
(26604, '65.48.207.0', '65.48.214.255', 1093717760, 1093719807, 'BB', 'Barbados'),
(26605, '65.48.215.0', '65.48.216.255', 1093719808, 1093720319, 'LC', 'Saint Lucia'),
(26606, '65.48.217.0', '65.48.220.255', 1093720320, 1093721343, 'VG', 'Virgin Islands, British'),
(26607, '65.48.221.0', '65.48.228.255', 1093721344, 1093723391, 'BB', 'Barbados'),
(26608, '65.48.229.0', '65.48.229.255', 1093723392, 1093723647, 'VC', 'Saint Vincent and the Grenadines'),
(26609, '65.48.230.0', '65.48.232.255', 1093723648, 1093724415, 'BB', 'Barbados'),
(26610, '65.48.233.0', '65.48.235.255', 1093724416, 1093725183, 'VC', 'Saint Vincent and the Grenadines'),
(26611, '65.48.236.0', '65.48.255.255', 1093725184, 1093730303, 'BB', 'Barbados'),
(26612, '65.49.0.0', '65.49.1.255', 1093730304, 1093730815, 'US', 'United States'),
(26613, '65.49.2.0', '65.49.2.255', 1093730816, 1093731071, 'A1', 'Anonymous Proxy'),
(26614, '65.49.3.0', '65.49.13.255', 1093731072, 1093733887, 'US', 'United States'),
(26615, '65.49.14.0', '65.49.14.255', 1093733888, 1093734143, 'A1', 'Anonymous Proxy'),
(26616, '65.49.15.0', '65.49.27.31', 1093734144, 1093737247, 'US', 'United States'),
(26617, '65.49.27.32', '65.49.27.47', 1093737248, 1093737263, 'AE', 'United Arab Emirates'),
(26618, '65.49.27.48', '65.49.27.207', 1093737264, 1093737423, 'US', 'United States'),
(26619, '65.49.27.208', '65.49.27.215', 1093737424, 1093737431, 'GB', 'United Kingdom'),
(26620, '65.49.27.216', '65.49.38.63', 1093737432, 1093740095, 'US', 'United States'),
(26621, '65.49.38.64', '65.49.38.127', 1093740096, 1093740159, 'JP', 'Japan'),
(26622, '65.49.38.128', '65.49.39.47', 1093740160, 1093740335, 'US', 'United States'),
(26623, '65.49.39.48', '65.49.39.63', 1093740336, 1093740351, 'SG', 'Singapore'),
(26624, '65.49.39.64', '65.49.39.127', 1093740352, 1093740415, 'JP', 'Japan'),
(26625, '65.49.39.128', '65.49.44.31', 1093740416, 1093741599, 'US', 'United States'),
(26626, '65.49.44.32', '65.49.44.39', 1093741600, 1093741607, 'ES', 'Spain'),
(26627, '65.49.44.40', '65.49.51.63', 1093741608, 1093743423, 'US', 'United States'),
(26628, '65.49.51.64', '65.49.51.127', 1093743424, 1093743487, 'JP', 'Japan'),
(26629, '65.49.51.128', '65.49.52.127', 1093743488, 1093743743, 'US', 'United States'),
(26630, '65.49.52.128', '65.49.52.191', 1093743744, 1093743807, 'CA', 'Canada'),
(26631, '65.49.52.192', '65.49.64.191', 1093743808, 1093746879, 'US', 'United States'),
(26632, '65.49.64.192', '65.49.64.255', 1093746880, 1093746943, 'DE', 'Germany'),
(26633, '65.49.65.0', '65.49.68.127', 1093746944, 1093747839, 'US', 'United States'),
(26634, '65.49.68.128', '65.49.68.191', 1093747840, 1093747903, 'A1', 'Anonymous Proxy'),
(26635, '65.49.68.192', '65.49.72.63', 1093747904, 1093748799, 'US', 'United States'),
(26636, '65.49.72.64', '65.49.72.127', 1093748800, 1093748863, 'CN', 'China'),
(26637, '65.49.72.128', '65.59.218.255', 1093748864, 1094441727, 'US', 'United States'),
(26638, '65.59.219.0', '65.59.219.255', 1094441728, 1094441983, 'A1', 'Anonymous Proxy'),
(26639, '65.59.220.0', '65.61.128.183', 1094441984, 1094549687, 'US', 'United States'),
(26640, '65.61.128.184', '65.61.128.191', 1094549688, 1094549695, 'CA', 'Canada'),
(26641, '65.61.128.192', '65.61.129.23', 1094549696, 1094549783, 'US', 'United States'),
(26642, '65.61.129.24', '65.61.129.31', 1094549784, 1094549791, 'AU', 'Australia'),
(26643, '65.61.129.32', '65.61.129.47', 1094549792, 1094549807, 'US', 'United States'),
(26644, '65.61.129.48', '65.61.129.55', 1094549808, 1094549815, 'UZ', 'Uzbekistan'),
(26645, '65.61.129.56', '65.61.129.103', 1094549816, 1094549863, 'US', 'United States'),
(26646, '65.61.129.104', '65.61.129.111', 1094549864, 1094549871, 'BD', 'Bangladesh'),
(26647, '65.61.129.112', '65.61.129.175', 1094549872, 1094549935, 'US', 'United States'),
(26648, '65.61.129.176', '65.61.129.183', 1094549936, 1094549943, 'CA', 'Canada'),
(26649, '65.61.129.184', '65.61.129.191', 1094549944, 1094549951, 'CY', 'Cyprus'),
(26650, '65.61.129.192', '65.61.130.207', 1094549952, 1094550223, 'US', 'United States'),
(26651, '65.61.130.208', '65.61.130.223', 1094550224, 1094550239, 'AU', 'Australia'),
(26652, '65.61.130.224', '65.61.130.231', 1094550240, 1094550247, 'BD', 'Bangladesh'),
(26653, '65.61.130.232', '65.61.131.215', 1094550248, 1094550487, 'US', 'United States'),
(26654, '65.61.131.216', '65.61.131.223', 1094550488, 1094550495, 'RO', 'Romania'),
(26655, '65.61.131.224', '65.61.132.79', 1094550496, 1094550607, 'US', 'United States'),
(26656, '65.61.132.80', '65.61.132.87', 1094550608, 1094550615, 'BD', 'Bangladesh'),
(26657, '65.61.132.88', '65.61.132.151', 1094550616, 1094550679, 'US', 'United States'),
(26658, '65.61.132.152', '65.61.132.167', 1094550680, 1094550695, 'VE', 'Venezuela'),
(26659, '65.61.132.168', '65.61.133.15', 1094550696, 1094550799, 'US', 'United States'),
(26660, '65.61.133.16', '65.61.133.23', 1094550800, 1094550807, 'NL', 'Netherlands'),
(26661, '65.61.133.24', '65.61.133.39', 1094550808, 1094550823, 'US', 'United States'),
(26662, '65.61.133.40', '65.61.133.47', 1094550824, 1094550831, 'CA', 'Canada'),
(26663, '65.61.133.48', '65.61.133.63', 1094550832, 1094550847, 'US', 'United States'),
(26664, '65.61.133.64', '65.61.133.71', 1094550848, 1094550855, 'IN', 'India'),
(26665, '65.61.133.72', '65.61.133.95', 1094550856, 1094550879, 'US', 'United States'),
(26666, '65.61.133.96', '65.61.133.103', 1094550880, 1094550887, 'NZ', 'New Zealand'),
(26667, '65.61.133.104', '65.61.133.111', 1094550888, 1094550895, 'JP', 'Japan'),
(26668, '65.61.133.112', '65.61.133.127', 1094550896, 1094550911, 'US', 'United States'),
(26669, '65.61.133.128', '65.61.133.135', 1094550912, 1094550919, 'JM', 'Jamaica'),
(26670, '65.61.133.136', '65.61.133.183', 1094550920, 1094550967, 'US', 'United States'),
(26671, '65.61.133.184', '65.61.133.191', 1094550968, 1094550975, 'JM', 'Jamaica'),
(26672, '65.61.133.192', '65.61.133.207', 1094550976, 1094550991, 'US', 'United States'),
(26673, '65.61.133.208', '65.61.133.215', 1094550992, 1094550999, 'NL', 'Netherlands'),
(26674, '65.61.133.216', '65.61.134.167', 1094551000, 1094551207, 'US', 'United States'),
(26675, '65.61.134.168', '65.61.134.175', 1094551208, 1094551215, 'GB', 'United Kingdom'),
(26676, '65.61.134.176', '65.61.134.191', 1094551216, 1094551231, 'AU', 'Australia'),
(26677, '65.61.134.192', '65.61.135.159', 1094551232, 1094551455, 'US', 'United States'),
(26678, '65.61.135.160', '65.61.135.175', 1094551456, 1094551471, 'SE', 'Sweden'),
(26679, '65.61.135.176', '65.61.137.31', 1094551472, 1094551839, 'US', 'United States'),
(26680, '65.61.137.32', '65.61.137.47', 1094551840, 1094551855, 'GB', 'United Kingdom'),
(26681, '65.61.137.48', '65.61.137.215', 1094551856, 1094552023, 'US', 'United States'),
(26682, '65.61.137.216', '65.61.137.223', 1094552024, 1094552031, 'IN', 'India'),
(26683, '65.61.137.224', '65.61.138.127', 1094552032, 1094552191, 'US', 'United States'),
(26684, '65.61.138.128', '65.61.138.135', 1094552192, 1094552199, 'GB', 'United Kingdom'),
(26685, '65.61.138.136', '65.61.138.175', 1094552200, 1094552239, 'US', 'United States'),
(26686, '65.61.138.176', '65.61.138.183', 1094552240, 1094552247, 'IN', 'India'),
(26687, '65.61.138.184', '65.61.138.223', 1094552248, 1094552287, 'US', 'United States'),
(26688, '65.61.138.224', '65.61.138.247', 1094552288, 1094552311, 'NZ', 'New Zealand'),
(26689, '65.61.138.248', '65.61.138.255', 1094552312, 1094552319, 'US', 'United States'),
(26690, '65.61.139.0', '65.61.139.15', 1094552320, 1094552335, 'IN', 'India'),
(26691, '65.61.139.16', '65.61.139.55', 1094552336, 1094552375, 'US', 'United States'),
(26692, '65.61.139.56', '65.61.139.63', 1094552376, 1094552383, 'AE', 'United Arab Emirates'),
(26693, '65.61.139.64', '65.61.139.207', 1094552384, 1094552527, 'US', 'United States'),
(26694, '65.61.139.208', '65.61.139.223', 1094552528, 1094552543, 'CY', 'Cyprus'),
(26695, '65.61.139.224', '65.61.139.231', 1094552544, 1094552551, 'US', 'United States'),
(26696, '65.61.139.232', '65.61.139.239', 1094552552, 1094552559, 'NL', 'Netherlands'),
(26697, '65.61.139.240', '65.61.144.255', 1094552560, 1094553855, 'US', 'United States'),
(26698, '65.61.145.0', '65.61.145.7', 1094553856, 1094553863, 'GB', 'United Kingdom'),
(26699, '65.61.145.8', '65.61.145.71', 1094553864, 1094553927, 'US', 'United States'),
(26700, '65.61.145.72', '65.61.145.79', 1094553928, 1094553935, 'IN', 'India'),
(26701, '65.61.145.80', '65.61.145.119', 1094553936, 1094553975, 'US', 'United States'),
(26702, '65.61.145.120', '65.61.145.127', 1094553976, 1094553983, 'NZ', 'New Zealand'),
(26703, '65.61.145.128', '65.61.148.255', 1094553984, 1094554879, 'US', 'United States'),
(26704, '65.61.149.0', '65.61.149.7', 1094554880, 1094554887, 'LK', 'Sri Lanka'),
(26705, '65.61.149.8', '65.61.149.87', 1094554888, 1094554967, 'US', 'United States'),
(26706, '65.61.149.88', '65.61.149.95', 1094554968, 1094554975, 'UZ', 'Uzbekistan'),
(26707, '65.61.149.96', '65.61.149.197', 1094554976, 1094555077, 'US', 'United States'),
(26708, '65.61.149.198', '65.61.149.201', 1094555078, 1094555081, 'IN', 'India'),
(26709, '65.61.149.202', '65.61.154.31', 1094555082, 1094556191, 'US', 'United States'),
(26710, '65.61.154.32', '65.61.154.47', 1094556192, 1094556207, 'IN', 'India'),
(26711, '65.61.154.48', '65.61.156.31', 1094556208, 1094556703, 'US', 'United States'),
(26712, '65.61.156.32', '65.61.156.47', 1094556704, 1094556719, 'CA', 'Canada'),
(26713, '65.61.156.48', '65.61.156.111', 1094556720, 1094556783, 'US', 'United States'),
(26714, '65.61.156.112', '65.61.156.127', 1094556784, 1094556799, 'NZ', 'New Zealand'),
(26715, '65.61.156.128', '65.61.157.255', 1094556800, 1094557183, 'US', 'United States'),
(26716, '65.61.158.0', '65.61.158.15', 1094557184, 1094557199, 'AU', 'Australia'),
(26717, '65.61.158.16', '65.61.158.87', 1094557200, 1094557271, 'US', 'United States'),
(26718, '65.61.158.88', '65.61.158.95', 1094557272, 1094557279, 'CA', 'Canada'),
(26719, '65.61.158.96', '65.61.160.55', 1094557280, 1094557751, 'US', 'United States'),
(26720, '65.61.160.56', '65.61.160.63', 1094557752, 1094557759, 'GB', 'United Kingdom'),
(26721, '65.61.160.64', '65.61.162.255', 1094557760, 1094558463, 'US', 'United States'),
(26722, '65.61.163.0', '65.61.163.7', 1094558464, 1094558471, 'JP', 'Japan'),
(26723, '65.61.163.8', '65.61.164.31', 1094558472, 1094558751, 'US', 'United States'),
(26724, '65.61.164.32', '65.61.164.63', 1094558752, 1094558783, 'CA', 'Canada'),
(26725, '65.61.164.64', '65.61.164.255', 1094558784, 1094558975, 'US', 'United States'),
(26726, '65.61.165.0', '65.61.165.15', 1094558976, 1094558991, 'BD', 'Bangladesh'),
(26727, '65.61.165.16', '65.61.167.47', 1094558992, 1094559535, 'US', 'United States'),
(26728, '65.61.167.48', '65.61.167.63', 1094559536, 1094559551, 'GB', 'United Kingdom'),
(26729, '65.61.167.64', '65.61.167.135', 1094559552, 1094559623, 'US', 'United States'),
(26730, '65.61.167.136', '65.61.167.143', 1094559624, 1094559631, 'CA', 'Canada'),
(26731, '65.61.167.144', '65.61.167.255', 1094559632, 1094559743, 'US', 'United States'),
(26732, '65.61.168.0', '65.61.168.31', 1094559744, 1094559775, 'AU', 'Australia'),
(26733, '65.61.168.32', '65.61.168.63', 1094559776, 1094559807, 'US', 'United States'),
(26734, '65.61.168.64', '65.61.168.159', 1094559808, 1094559903, 'AU', 'Australia'),
(26735, '65.61.168.160', '65.61.168.175', 1094559904, 1094559919, 'US', 'United States'),
(26736, '65.61.168.176', '65.61.168.191', 1094559920, 1094559935, 'AU', 'Australia'),
(26737, '65.61.168.192', '65.61.169.63', 1094559936, 1094560063, 'US', 'United States'),
(26738, '65.61.169.64', '65.61.169.103', 1094560064, 1094560103, 'FR', 'France'),
(26739, '65.61.169.104', '65.61.169.255', 1094560104, 1094560255, 'US', 'United States'),
(26740, '65.61.170.0', '65.61.170.7', 1094560256, 1094560263, 'IN', 'India'),
(26741, '65.61.170.8', '65.61.170.23', 1094560264, 1094560279, 'US', 'United States'),
(26742, '65.61.170.24', '65.61.170.31', 1094560280, 1094560287, 'GB', 'United Kingdom'),
(26743, '65.61.170.32', '65.61.170.63', 1094560288, 1094560319, 'US', 'United States'),
(26744, '65.61.170.64', '65.61.170.79', 1094560320, 1094560335, 'IN', 'India'),
(26745, '65.61.170.80', '65.61.172.63', 1094560336, 1094560831, 'US', 'United States'),
(26746, '65.61.172.64', '65.61.172.95', 1094560832, 1094560863, 'BD', 'Bangladesh'),
(26747, '65.61.172.96', '65.61.172.127', 1094560864, 1094560895, 'US', 'United States'),
(26748, '65.61.172.128', '65.61.172.255', 1094560896, 1094561023, 'CA', 'Canada'),
(26749, '65.61.173.0', '65.61.173.23', 1094561024, 1094561047, 'US', 'United States'),
(26750, '65.61.173.24', '65.61.173.31', 1094561048, 1094561055, 'CA', 'Canada'),
(26751, '65.61.173.32', '65.61.174.31', 1094561056, 1094561311, 'US', 'United States'),
(26752, '65.61.174.32', '65.61.174.39', 1094561312, 1094561319, 'ES', 'Spain'),
(26753, '65.61.174.40', '65.61.174.47', 1094561320, 1094561327, 'CA', 'Canada'),
(26754, '65.61.174.48', '65.61.174.119', 1094561328, 1094561399, 'US', 'United States'),
(26755, '65.61.174.120', '65.61.174.127', 1094561400, 1094561407, 'IL', 'Israel'),
(26756, '65.61.174.128', '65.61.174.255', 1094561408, 1094561535, 'US', 'United States'),
(26757, '65.61.175.0', '65.61.175.103', 1094561536, 1094561639, 'HK', 'Hong Kong'),
(26758, '65.61.175.104', '65.61.176.39', 1094561640, 1094561831, 'US', 'United States'),
(26759, '65.61.176.40', '65.61.176.47', 1094561832, 1094561839, 'AU', 'Australia'),
(26760, '65.61.176.48', '65.61.176.63', 1094561840, 1094561855, 'US', 'United States'),
(26761, '65.61.176.64', '65.61.176.127', 1094561856, 1094561919, 'AU', 'Australia'),
(26762, '65.61.176.128', '65.61.178.127', 1094561920, 1094562431, 'US', 'United States'),
(26763, '65.61.178.128', '65.61.178.151', 1094562432, 1094562455, 'TH', 'Thailand'),
(26764, '65.61.178.152', '65.61.179.239', 1094562456, 1094562799, 'US', 'United States'),
(26765, '65.61.179.240', '65.61.179.247', 1094562800, 1094562807, 'CA', 'Canada'),
(26766, '65.61.179.248', '65.61.180.63', 1094562808, 1094562879, 'US', 'United States'),
(26767, '65.61.180.64', '65.61.180.79', 1094562880, 1094562895, 'MX', 'Mexico'),
(26768, '65.61.180.80', '65.61.180.95', 1094562896, 1094562911, 'US', 'United States'),
(26769, '65.61.180.96', '65.61.180.111', 1094562912, 1094562927, 'DK', 'Denmark'),
(26770, '65.61.180.112', '65.61.183.159', 1094562928, 1094563743, 'US', 'United States'),
(26771, '65.61.183.160', '65.61.183.191', 1094563744, 1094563775, 'BD', 'Bangladesh'),
(26772, '65.61.183.192', '65.61.184.47', 1094563776, 1094563887, 'US', 'United States'),
(26773, '65.61.184.48', '65.61.184.55', 1094563888, 1094563895, 'MX', 'Mexico'),
(26774, '65.61.184.56', '65.61.187.63', 1094563896, 1094564671, 'US', 'United States'),
(26775, '65.61.187.64', '65.61.187.95', 1094564672, 1094564703, 'BD', 'Bangladesh'),
(26776, '65.61.187.96', '65.61.191.63', 1094564704, 1094565695, 'US', 'United States'),
(26777, '65.61.191.64', '65.61.191.95', 1094565696, 1094565727, 'BD', 'Bangladesh'),
(26778, '65.61.191.96', '65.61.191.255', 1094565728, 1094565887, 'US', 'United States'),
(26779, '65.61.192.0', '65.61.200.110', 1094565888, 1094568046, 'CA', 'Canada'),
(26780, '65.61.200.111', '65.61.200.125', 1094568047, 1094568061, 'MO', 'Macau'),
(26781, '65.61.200.126', '65.61.255.255', 1094568062, 1094582271, 'CA', 'Canada'),
(26782, '65.62.0.0', '65.73.45.255', 1094582272, 1095314943, 'US', 'United States'),
(26783, '65.73.46.0', '65.73.46.0', 1095314944, 1095314944, 'A1', 'Anonymous Proxy'),
(26784, '65.73.46.1', '65.75.63.255', 1095314945, 1095450623, 'US', 'United States'),
(26785, '65.75.64.0', '65.75.127.255', 1095450624, 1095467007, 'BS', 'Bahamas'),
(26786, '65.75.128.0', '65.77.243.255', 1095467008, 1095627775, 'US', 'United States'),
(26787, '65.77.244.0', '65.77.245.255', 1095627776, 1095628287, 'CA', 'Canada'),
(26788, '65.77.246.0', '65.87.16.151', 1095628288, 1096224919, 'US', 'United States'),
(26789, '65.87.16.152', '65.87.16.159', 1096224920, 1096224927, 'CO', 'Colombia'),
(26790, '65.87.16.160', '65.87.223.255', 1096224928, 1096278015, 'US', 'United States'),
(26791, '65.87.224.0', '65.87.255.255', 1096278016, 1096286207, 'CA', 'Canada'),
(26792, '65.88.0.0', '65.88.18.63', 1096286208, 1096290879, 'US', 'United States'),
(26793, '65.88.18.64', '65.88.18.127', 1096290880, 1096290943, 'A2', 'Satellite Provider'),
(26794, '65.88.18.128', '65.88.253.255', 1096290944, 1096351231, 'US', 'United States'),
(26795, '65.88.254.0', '65.88.255.255', 1096351232, 1096351743, 'A2', 'Satellite Provider'),
(26796, '65.89.0.0', '65.91.139.255', 1096351744, 1096518655, 'US', 'United States'),
(26797, '65.91.140.0', '65.91.140.255', 1096518656, 1096518911, 'A2', 'Satellite Provider'),
(26798, '65.91.141.0', '65.91.141.255', 1096518912, 1096519167, 'US', 'United States'),
(26799, '65.91.142.0', '65.91.142.255', 1096519168, 1096519423, 'CD', 'Congo, The Democratic Republic of the'),
(26800, '65.91.143.0', '65.91.143.255', 1096519424, 1096519679, 'SL', 'Sierra Leone'),
(26801, '65.91.144.0', '65.91.226.255', 1096519680, 1096540927, 'US', 'United States'),
(26802, '65.91.227.0', '65.91.227.255', 1096540928, 1096541183, 'A1', 'Anonymous Proxy'),
(26803, '65.91.228.0', '65.91.255.255', 1096541184, 1096548351, 'US', 'United States'),
(26804, '65.92.0.0', '65.95.255.255', 1096548352, 1096810495, 'CA', 'Canada'),
(26805, '65.96.0.0', '65.97.31.255', 1096810496, 1096884223, 'US', 'United States'),
(26806, '65.97.32.0', '65.97.47.255', 1096884224, 1096888319, 'CA', 'Canada'),
(26807, '65.97.48.0', '65.97.57.255', 1096888320, 1096890879, 'US', 'United States'),
(26808, '65.97.58.0', '65.97.58.255', 1096890880, 1096891135, 'GB', 'United Kingdom'),
(26809, '65.97.59.0', '65.97.191.255', 1096891136, 1096925183, 'US', 'United States'),
(26810, '65.97.192.0', '65.97.255.255', 1096925184, 1096941567, 'CA', 'Canada'),
(26811, '65.98.0.0', '65.98.23.15', 1096941568, 1096947471, 'US', 'United States'),
(26812, '65.98.23.16', '65.98.23.23', 1096947472, 1096947479, 'MY', 'Malaysia'),
(26813, '65.98.23.24', '65.98.35.23', 1096947480, 1096950551, 'US', 'United States'),
(26814, '65.98.35.24', '65.98.35.31', 1096950552, 1096950559, 'CA', 'Canada'),
(26815, '65.98.35.32', '65.98.42.135', 1096950560, 1096952455, 'US', 'United States'),
(26816, '65.98.42.136', '65.98.42.143', 1096952456, 1096952463, 'GB', 'United Kingdom'),
(26817, '65.98.42.144', '65.98.42.199', 1096952464, 1096952519, 'US', 'United States'),
(26818, '65.98.42.200', '65.98.42.207', 1096952520, 1096952527, 'GB', 'United Kingdom'),
(26819, '65.98.42.208', '65.98.58.47', 1096952528, 1096956463, 'US', 'United States'),
(26820, '65.98.58.48', '65.98.58.55', 1096956464, 1096956471, 'GB', 'United Kingdom'),
(26821, '65.98.58.56', '65.98.58.215', 1096956472, 1096956631, 'US', 'United States'),
(26822, '65.98.58.216', '65.98.58.223', 1096956632, 1096956639, 'GB', 'United Kingdom'),
(26823, '65.98.58.224', '65.98.61.63', 1096956640, 1096957247, 'US', 'United States'),
(26824, '65.98.61.64', '65.98.61.71', 1096957248, 1096957255, 'CA', 'Canada'),
(26825, '65.98.61.72', '65.98.63.79', 1096957256, 1096957775, 'US', 'United States'),
(26826, '65.98.63.80', '65.98.63.95', 1096957776, 1096957791, 'IE', 'Ireland'),
(26827, '65.98.63.96', '65.98.70.111', 1096957792, 1096959599, 'US', 'United States'),
(26828, '65.98.70.112', '65.98.70.119', 1096959600, 1096959607, 'GB', 'United Kingdom'),
(26829, '65.98.70.120', '65.98.74.255', 1096959608, 1096960767, 'US', 'United States'),
(26830, '65.98.75.0', '65.98.75.127', 1096960768, 1096960895, 'GB', 'United Kingdom'),
(26831, '65.98.75.128', '65.98.96.159', 1096960896, 1096966303, 'US', 'United States'),
(26832, '65.98.96.160', '65.98.96.167', 1096966304, 1096966311, 'IN', 'India'),
(26833, '65.98.96.168', '65.98.103.191', 1096966312, 1096968127, 'US', 'United States'),
(26834, '65.98.103.192', '65.98.103.223', 1096968128, 1096968159, 'CA', 'Canada'),
(26835, '65.98.103.224', '65.98.107.111', 1096968160, 1096969071, 'US', 'United States'),
(26836, '65.98.107.112', '65.98.107.119', 1096969072, 1096969079, 'CA', 'Canada'),
(26837, '65.98.107.120', '65.98.108.255', 1096969080, 1096969471, 'US', 'United States'),
(26838, '65.98.109.0', '65.98.109.7', 1096969472, 1096969479, 'IN', 'India'),
(26839, '65.98.109.8', '65.99.193.47', 1096969480, 1097056559, 'US', 'United States'),
(26840, '65.99.193.48', '65.99.193.63', 1097056560, 1097056575, 'SE', 'Sweden'),
(26841, '65.99.193.64', '65.99.197.87', 1097056576, 1097057623, 'US', 'United States'),
(26842, '65.99.197.88', '65.99.197.95', 1097057624, 1097057631, 'IT', 'Italy'),
(26843, '65.99.197.96', '65.99.197.119', 1097057632, 1097057655, 'US', 'United States'),
(26844, '65.99.197.120', '65.99.197.127', 1097057656, 1097057663, 'NZ', 'New Zealand'),
(26845, '65.99.197.128', '65.99.197.191', 1097057664, 1097057727, 'US', 'United States'),
(26846, '65.99.197.192', '65.99.197.199', 1097057728, 1097057735, 'NZ', 'New Zealand'),
(26847, '65.99.197.200', '65.99.197.207', 1097057736, 1097057743, 'IT', 'Italy'),
(26848, '65.99.197.208', '65.99.199.255', 1097057744, 1097058303, 'US', 'United States'),
(26849, '65.99.200.0', '65.99.200.63', 1097058304, 1097058367, 'IT', 'Italy'),
(26850, '65.99.200.64', '65.99.204.63', 1097058368, 1097059391, 'US', 'United States'),
(26851, '65.99.204.64', '65.99.204.71', 1097059392, 1097059399, 'PR', 'Puerto Rico'),
(26852, '65.99.204.72', '65.99.207.255', 1097059400, 1097060351, 'US', 'United States'),
(26853, '65.99.208.0', '65.99.208.7', 1097060352, 1097060359, 'IT', 'Italy'),
(26854, '65.99.208.8', '65.99.208.15', 1097060360, 1097060367, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(26855, '65.99.208.16', '65.99.208.31', 1097060368, 1097060383, 'US', 'United States'),
(26856, '65.99.208.32', '65.99.208.47', 1097060384, 1097060399, 'IT', 'Italy'),
(26857, '65.99.208.48', '65.99.208.111', 1097060400, 1097060463, 'US', 'United States'),
(26858, '65.99.208.112', '65.99.208.119', 1097060464, 1097060471, 'IT', 'Italy'),
(26859, '65.99.208.120', '65.99.220.239', 1097060472, 1097063663, 'US', 'United States'),
(26860, '65.99.220.240', '65.99.220.255', 1097063664, 1097063679, 'IT', 'Italy'),
(26861, '65.99.221.0', '65.99.226.191', 1097063680, 1097065151, 'US', 'United States'),
(26862, '65.99.226.192', '65.99.226.207', 1097065152, 1097065167, 'CA', 'Canada'),
(26863, '65.99.226.208', '65.99.235.255', 1097065168, 1097067519, 'US', 'United States'),
(26864, '65.99.236.0', '65.99.237.255', 1097067520, 1097068031, 'GB', 'United Kingdom'),
(26865, '65.99.238.0', '65.99.241.255', 1097068032, 1097069055, 'US', 'United States'),
(26866, '65.99.242.0', '65.99.242.255', 1097069056, 1097069311, 'CA', 'Canada'),
(26867, '65.99.243.0', '65.100.228.255', 1097069312, 1097131263, 'US', 'United States'),
(26868, '65.100.229.0', '65.100.229.103', 1097131264, 1097131367, 'CN', 'China'),
(26869, '65.100.229.104', '65.100.229.111', 1097131368, 1097131375, 'US', 'United States'),
(26870, '65.100.229.112', '65.100.229.159', 1097131376, 1097131423, 'CN', 'China'),
(26871, '65.100.229.160', '65.100.229.175', 1097131424, 1097131439, 'US', 'United States'),
(26872, '65.100.229.176', '65.100.229.183', 1097131440, 1097131447, 'HK', 'Hong Kong'),
(26873, '65.100.229.184', '65.100.229.191', 1097131448, 1097131455, 'US', 'United States'),
(26874, '65.100.229.192', '65.100.229.207', 1097131456, 1097131471, 'CN', 'China'),
(26875, '65.100.229.208', '65.109.255.255', 1097131472, 1097727999, 'US', 'United States'),
(26876, '65.110.0.0', '65.110.4.127', 1097728000, 1097729151, 'CA', 'Canada'),
(26877, '65.110.4.128', '65.110.4.143', 1097729152, 1097729167, 'US', 'United States'),
(26878, '65.110.4.144', '65.110.11.31', 1097729168, 1097730847, 'CA', 'Canada'),
(26879, '65.110.11.32', '65.110.11.39', 1097730848, 1097730855, 'US', 'United States'),
(26880, '65.110.11.40', '65.110.13.119', 1097730856, 1097731447, 'CA', 'Canada'),
(26881, '65.110.13.120', '65.110.13.127', 1097731448, 1097731455, 'GB', 'United Kingdom'),
(26882, '65.110.13.128', '65.110.31.255', 1097731456, 1097736191, 'CA', 'Canada'),
(26883, '65.110.32.0', '65.110.159.255', 1097736192, 1097768959, 'US', 'United States'),
(26884, '65.110.160.0', '65.110.191.255', 1097768960, 1097777151, 'CA', 'Canada'),
(26885, '65.110.192.0', '65.111.15.255', 1097777152, 1097797631, 'US', 'United States'),
(26886, '65.111.16.0', '65.111.16.255', 1097797632, 1097797887, 'DE', 'Germany'),
(26887, '65.111.17.0', '65.111.17.255', 1097797888, 1097798143, 'CA', 'Canada'),
(26888, '65.111.18.0', '65.111.20.255', 1097798144, 1097798911, 'US', 'United States'),
(26889, '65.111.21.0', '65.111.21.255', 1097798912, 1097799167, 'IE', 'Ireland'),
(26890, '65.111.22.0', '65.111.143.255', 1097799168, 1097830399, 'US', 'United States'),
(26891, '65.111.144.0', '65.111.159.255', 1097830400, 1097834495, 'CA', 'Canada'),
(26892, '65.111.160.0', '65.111.170.141', 1097834496, 1097837197, 'US', 'United States'),
(26893, '65.111.170.142', '65.111.170.142', 1097837198, 1097837198, 'AE', 'United Arab Emirates'),
(26894, '65.111.170.143', '65.112.144.255', 1097837199, 1097896191, 'US', 'United States'),
(26895, '65.112.145.0', '65.112.146.71', 1097896192, 1097896519, 'VI', 'Virgin Islands, U.S.'),
(26896, '65.112.146.72', '65.112.146.79', 1097896520, 1097896527, 'US', 'United States'),
(26897, '65.112.146.80', '65.112.147.7', 1097896528, 1097896711, 'VI', 'Virgin Islands, U.S.'),
(26898, '65.112.147.8', '65.112.147.15', 1097896712, 1097896719, 'US', 'United States'),
(26899, '65.112.147.16', '65.112.148.255', 1097896720, 1097897215, 'VI', 'Virgin Islands, U.S.'),
(26900, '65.112.149.0', '65.113.87.255', 1097897216, 1097947135, 'US', 'United States'),
(26901, '65.113.88.0', '65.113.88.15', 1097947136, 1097947151, 'VI', 'Virgin Islands, U.S.'),
(26902, '65.113.88.16', '65.113.88.31', 1097947152, 1097947167, 'US', 'United States'),
(26903, '65.113.88.32', '65.113.88.71', 1097947168, 1097947207, 'VI', 'Virgin Islands, U.S.'),
(26904, '65.113.88.72', '65.113.88.79', 1097947208, 1097947215, 'US', 'United States'),
(26905, '65.113.88.80', '65.113.88.191', 1097947216, 1097947327, 'VI', 'Virgin Islands, U.S.'),
(26906, '65.113.88.192', '65.113.88.255', 1097947328, 1097947391, 'US', 'United States'),
(26907, '65.113.89.0', '65.113.89.71', 1097947392, 1097947463, 'VI', 'Virgin Islands, U.S.'),
(26908, '65.113.89.72', '65.113.89.79', 1097947464, 1097947471, 'US', 'United States'),
(26909, '65.113.89.80', '65.113.89.127', 1097947472, 1097947519, 'VI', 'Virgin Islands, U.S.'),
(26910, '65.113.89.128', '65.113.89.135', 1097947520, 1097947527, 'US', 'United States'),
(26911, '65.113.89.136', '65.113.89.167', 1097947528, 1097947559, 'VI', 'Virgin Islands, U.S.'),
(26912, '65.113.89.168', '65.113.89.175', 1097947560, 1097947567, 'US', 'United States'),
(26913, '65.113.89.176', '65.113.89.215', 1097947568, 1097947607, 'VI', 'Virgin Islands, U.S.'),
(26914, '65.113.89.216', '65.113.89.231', 1097947608, 1097947623, 'US', 'United States'),
(26915, '65.113.89.232', '65.113.89.247', 1097947624, 1097947639, 'VI', 'Virgin Islands, U.S.'),
(26916, '65.113.89.248', '65.113.89.255', 1097947640, 1097947647, 'US', 'United States'),
(26917, '65.113.90.0', '65.113.90.31', 1097947648, 1097947679, 'VI', 'Virgin Islands, U.S.'),
(26918, '65.113.90.32', '65.113.90.47', 1097947680, 1097947695, 'US', 'United States'),
(26919, '65.113.90.48', '65.113.90.87', 1097947696, 1097947735, 'VI', 'Virgin Islands, U.S.'),
(26920, '65.113.90.88', '65.113.90.95', 1097947736, 1097947743, 'US', 'United States'),
(26921, '65.113.90.96', '65.113.90.103', 1097947744, 1097947751, 'VI', 'Virgin Islands, U.S.'),
(26922, '65.113.90.104', '65.113.90.127', 1097947752, 1097947775, 'US', 'United States'),
(26923, '65.113.90.128', '65.113.90.223', 1097947776, 1097947871, 'VI', 'Virgin Islands, U.S.'),
(26924, '65.113.90.224', '65.113.90.239', 1097947872, 1097947887, 'US', 'United States'),
(26925, '65.113.90.240', '65.113.91.87', 1097947888, 1097947991, 'VI', 'Virgin Islands, U.S.'),
(26926, '65.113.91.88', '65.113.91.95', 1097947992, 1097947999, 'US', 'United States'),
(26927, '65.113.91.96', '65.113.91.111', 1097948000, 1097948015, 'VI', 'Virgin Islands, U.S.'),
(26928, '65.113.91.112', '65.113.91.127', 1097948016, 1097948031, 'US', 'United States'),
(26929, '65.113.91.128', '65.113.92.119', 1097948032, 1097948279, 'VI', 'Virgin Islands, U.S.'),
(26930, '65.113.92.120', '65.113.92.127', 1097948280, 1097948287, 'US', 'United States'),
(26931, '65.113.92.128', '65.113.92.167', 1097948288, 1097948327, 'VI', 'Virgin Islands, U.S.'),
(26932, '65.113.92.168', '65.113.92.175', 1097948328, 1097948335, 'US', 'United States'),
(26933, '65.113.92.176', '65.113.95.79', 1097948336, 1097949007, 'VI', 'Virgin Islands, U.S.'),
(26934, '65.113.95.80', '65.113.95.127', 1097949008, 1097949055, 'US', 'United States'),
(26935, '65.113.95.128', '65.113.95.255', 1097949056, 1097949183, 'VI', 'Virgin Islands, U.S.'),
(26936, '65.113.96.0', '65.113.103.255', 1097949184, 1097951231, 'US', 'United States'),
(26937, '65.113.104.0', '65.113.104.15', 1097951232, 1097951247, 'VI', 'Virgin Islands, U.S.'),
(26938, '65.113.104.16', '65.113.104.31', 1097951248, 1097951263, 'US', 'United States'),
(26939, '65.113.104.32', '65.113.104.127', 1097951264, 1097951359, 'VI', 'Virgin Islands, U.S.'),
(26940, '65.113.104.128', '65.113.104.143', 1097951360, 1097951375, 'US', 'United States'),
(26941, '65.113.104.144', '65.113.111.255', 1097951376, 1097953279, 'VI', 'Virgin Islands, U.S.'),
(26942, '65.113.112.0', '65.115.6.159', 1097953280, 1098057375, 'US', 'United States'),
(26943, '65.115.6.160', '65.115.6.191', 1098057376, 1098057407, 'CA', 'Canada'),
(26944, '65.115.6.192', '65.117.3.79', 1098057408, 1098187599, 'US', 'United States'),
(26945, '65.117.3.80', '65.117.3.87', 1098187600, 1098187607, 'GB', 'United Kingdom'),
(26946, '65.117.3.88', '65.117.5.15', 1098187608, 1098188047, 'US', 'United States'),
(26947, '65.117.5.16', '65.117.5.23', 1098188048, 1098188055, 'CA', 'Canada'),
(26948, '65.117.5.24', '65.119.141.47', 1098188056, 1098353967, 'US', 'United States'),
(26949, '65.119.141.48', '65.119.141.63', 1098353968, 1098353983, 'CA', 'Canada'),
(26950, '65.119.141.64', '65.119.251.63', 1098353984, 1098382143, 'US', 'United States'),
(26951, '65.119.251.64', '65.119.251.95', 1098382144, 1098382175, 'CA', 'Canada'),
(26952, '65.119.251.96', '65.120.13.87', 1098382176, 1098386775, 'US', 'United States'),
(26953, '65.120.13.88', '65.120.13.95', 1098386776, 1098386783, 'PR', 'Puerto Rico'),
(26954, '65.120.13.96', '65.120.55.255', 1098386784, 1098397695, 'US', 'United States'),
(26955, '65.120.56.0', '65.120.59.255', 1098397696, 1098398719, 'A2', 'Satellite Provider'),
(26956, '65.120.60.0', '65.120.60.255', 1098398720, 1098398975, 'US', 'United States'),
(26957, '65.120.61.0', '65.120.63.255', 1098398976, 1098399743, 'A2', 'Satellite Provider'),
(26958, '65.120.64.0', '65.127.193.55', 1098399744, 1098891575, 'US', 'United States'),
(26959, '65.127.193.56', '65.127.193.87', 1098891576, 1098891607, 'AU', 'Australia'),
(26960, '65.127.193.88', '65.127.193.103', 1098891608, 1098891623, 'US', 'United States'),
(26961, '65.127.193.104', '65.127.193.111', 1098891624, 1098891631, 'AU', 'Australia'),
(26962, '65.127.193.112', '65.127.193.127', 1098891632, 1098891647, 'US', 'United States'),
(26963, '65.127.193.128', '65.127.193.159', 1098891648, 1098891679, 'AU', 'Australia'),
(26964, '65.127.193.160', '65.127.193.191', 1098891680, 1098891711, 'US', 'United States'),
(26965, '65.127.193.192', '65.127.193.223', 1098891712, 1098891743, 'SG', 'Singapore'),
(26966, '65.127.193.224', '65.127.193.255', 1098891744, 1098891775, 'AU', 'Australia'),
(26967, '65.127.194.0', '65.127.194.95', 1098891776, 1098891871, 'US', 'United States'),
(26968, '65.127.194.96', '65.127.194.111', 1098891872, 1098891887, 'AU', 'Australia'),
(26969, '65.127.194.112', '65.127.194.127', 1098891888, 1098891903, 'US', 'United States'),
(26970, '65.127.194.128', '65.127.194.159', 1098891904, 1098891935, 'AU', 'Australia'),
(26971, '65.127.194.160', '65.127.194.191', 1098891936, 1098891967, 'US', 'United States'),
(26972, '65.127.194.192', '65.127.194.223', 1098891968, 1098891999, 'AU', 'Australia'),
(26973, '65.127.194.224', '65.127.194.239', 1098892000, 1098892015, 'US', 'United States'),
(26974, '65.127.194.240', '65.127.194.255', 1098892016, 1098892031, 'AU', 'Australia'),
(26975, '65.127.195.0', '65.160.142.127', 1098892032, 1101041279, 'US', 'United States'),
(26976, '65.160.142.128', '65.160.142.255', 1101041280, 1101041407, 'IN', 'India'),
(26977, '65.160.143.0', '65.161.31.183', 1101041408, 1101078455, 'US', 'United States'),
(26978, '65.161.31.184', '65.161.31.191', 1101078456, 1101078463, 'CA', 'Canada'),
(26979, '65.161.31.192', '65.161.167.47', 1101078464, 1101113135, 'US', 'United States'),
(26980, '65.161.167.48', '65.161.167.55', 1101113136, 1101113143, 'CA', 'Canada'),
(26981, '65.161.167.56', '65.161.187.31', 1101113144, 1101118239, 'US', 'United States'),
(26982, '65.161.187.32', '65.161.187.63', 1101118240, 1101118271, 'GB', 'United Kingdom'),
(26983, '65.161.187.64', '65.161.199.255', 1101118272, 1101121535, 'US', 'United States'),
(26984, '65.161.200.0', '65.161.200.255', 1101121536, 1101121791, 'EC', 'Ecuador'),
(26985, '65.161.201.0', '65.162.15.255', 1101121792, 1101139967, 'US', 'United States'),
(26986, '65.162.16.0', '65.162.16.255', 1101139968, 1101140223, 'PR', 'Puerto Rico'),
(26987, '65.162.17.0', '65.162.162.135', 1101140224, 1101177479, 'US', 'United States'),
(26988, '65.162.162.136', '65.162.162.143', 1101177480, 1101177487, 'FR', 'France'),
(26989, '65.162.162.144', '65.162.183.255', 1101177488, 1101182975, 'US', 'United States'),
(26990, '65.162.184.0', '65.162.185.255', 1101182976, 1101183487, 'YE', 'Yemen'),
(26991, '65.162.186.0', '65.162.213.255', 1101183488, 1101190655, 'US', 'United States'),
(26992, '65.162.214.0', '65.162.215.255', 1101190656, 1101191167, 'EC', 'Ecuador'),
(26993, '65.162.216.0', '65.163.91.255', 1101191168, 1101224959, 'US', 'United States'),
(26994, '65.163.92.0', '65.163.92.255', 1101224960, 1101225215, 'EC', 'Ecuador'),
(26995, '65.163.93.0', '65.163.240.255', 1101225216, 1101263103, 'US', 'United States'),
(26996, '65.163.241.0', '65.163.241.255', 1101263104, 1101263359, 'AN', 'Netherlands Antilles'),
(26997, '65.163.242.0', '65.164.2.255', 1101263360, 1101267711, 'US', 'United States'),
(26998, '65.164.3.0', '65.164.3.255', 1101267712, 1101267967, 'CA', 'Canada'),
(26999, '65.164.4.0', '65.164.89.255', 1101267968, 1101289983, 'US', 'United States'),
(27000, '65.164.90.0', '65.164.90.255', 1101289984, 1101290239, 'AN', 'Netherlands Antilles'),
(27001, '65.164.91.0', '65.164.144.255', 1101290240, 1101304063, 'US', 'United States'),
(27002, '65.164.145.0', '65.164.145.255', 1101304064, 1101304319, 'EC', 'Ecuador'),
(27003, '65.164.146.0', '65.164.147.255', 1101304320, 1101304831, 'US', 'United States'),
(27004, '65.164.148.0', '65.164.151.255', 1101304832, 1101305855, 'HN', 'Honduras'),
(27005, '65.164.152.0', '65.164.152.191', 1101305856, 1101306047, 'US', 'United States'),
(27006, '65.164.152.192', '65.164.152.223', 1101306048, 1101306079, 'PR', 'Puerto Rico'),
(27007, '65.164.152.224', '65.165.28.239', 1101306080, 1101339887, 'US', 'United States'),
(27008, '65.165.28.240', '65.165.28.255', 1101339888, 1101339903, 'CA', 'Canada'),
(27009, '65.165.29.0', '65.165.79.255', 1101339904, 1101352959, 'US', 'United States'),
(27010, '65.165.80.0', '65.165.87.255', 1101352960, 1101355007, 'HN', 'Honduras'),
(27011, '65.165.88.0', '65.165.96.159', 1101355008, 1101357215, 'US', 'United States'),
(27012, '65.165.96.160', '65.165.96.167', 1101357216, 1101357223, 'SE', 'Sweden'),
(27013, '65.165.96.168', '65.165.202.223', 1101357224, 1101384415, 'US', 'United States'),
(27014, '65.165.202.224', '65.165.202.255', 1101384416, 1101384447, 'CA', 'Canada'),
(27015, '65.165.203.0', '65.165.208.127', 1101384448, 1101385855, 'US', 'United States'),
(27016, '65.165.208.128', '65.165.208.191', 1101385856, 1101385919, 'DK', 'Denmark'),
(27017, '65.165.208.192', '65.166.15.175', 1101385920, 1101402031, 'US', 'United States'),
(27018, '65.166.15.176', '65.166.15.191', 1101402032, 1101402047, 'PR', 'Puerto Rico'),
(27019, '65.166.15.192', '65.166.108.255', 1101402048, 1101425919, 'US', 'United States'),
(27020, '65.166.109.0', '65.166.109.255', 1101425920, 1101426175, 'EC', 'Ecuador'),
(27021, '65.166.110.0', '65.166.131.127', 1101426176, 1101431679, 'US', 'United States'),
(27022, '65.166.131.128', '65.166.131.255', 1101431680, 1101431807, 'AU', 'Australia'),
(27023, '65.166.132.0', '65.166.165.39', 1101431808, 1101440295, 'US', 'United States'),
(27024, '65.166.165.40', '65.166.165.47', 1101440296, 1101440303, 'CA', 'Canada'),
(27025, '65.166.165.48', '65.166.186.143', 1101440304, 1101445775, 'US', 'United States'),
(27026, '65.166.186.144', '65.166.186.159', 1101445776, 1101445791, 'CA', 'Canada'),
(27027, '65.166.186.160', '65.166.248.255', 1101445792, 1101461759, 'US', 'United States'),
(27028, '65.166.249.0', '65.166.249.255', 1101461760, 1101462015, 'AN', 'Netherlands Antilles'),
(27029, '65.166.250.0', '65.167.23.255', 1101462016, 1101469695, 'US', 'United States'),
(27030, '65.167.24.0', '65.167.31.255', 1101469696, 1101471743, 'HN', 'Honduras'),
(27031, '65.167.32.0', '65.167.47.255', 1101471744, 1101475839, 'US', 'United States'),
(27032, '65.167.48.0', '65.167.63.255', 1101475840, 1101479935, 'CO', 'Colombia'),
(27033, '65.167.64.0', '65.167.79.255', 1101479936, 1101484031, 'US', 'United States'),
(27034, '65.167.80.0', '65.167.95.255', 1101484032, 1101488127, 'CO', 'Colombia'),
(27035, '65.167.96.0', '65.167.113.143', 1101488128, 1101492623, 'US', 'United States'),
(27036, '65.167.113.144', '65.167.113.159', 1101492624, 1101492639, 'BE', 'Belgium'),
(27037, '65.167.113.160', '65.167.132.191', 1101492640, 1101497535, 'US', 'United States'),
(27038, '65.167.132.192', '65.167.132.223', 1101497536, 1101497567, 'DK', 'Denmark'),
(27039, '65.167.132.224', '65.167.225.255', 1101497568, 1101521407, 'US', 'United States'),
(27040, '65.167.226.0', '65.167.227.255', 1101521408, 1101521919, 'AS', 'American Samoa'),
(27041, '65.167.228.0', '65.167.232.95', 1101521920, 1101523039, 'US', 'United States'),
(27042, '65.167.232.96', '65.167.232.127', 1101523040, 1101523071, 'GB', 'United Kingdom'),
(27043, '65.167.232.128', '65.168.51.255', 1101523072, 1101542399, 'US', 'United States'),
(27044, '65.168.52.0', '65.168.53.255', 1101542400, 1101542911, 'CO', 'Colombia'),
(27045, '65.168.54.0', '65.168.177.255', 1101542912, 1101574655, 'US', 'United States'),
(27046, '65.168.178.0', '65.168.179.255', 1101574656, 1101575167, 'EC', 'Ecuador'),
(27047, '65.168.180.0', '65.169.90.15', 1101575168, 1101617679, 'US', 'United States'),
(27048, '65.169.90.16', '65.169.90.23', 1101617680, 1101617687, 'CA', 'Canada'),
(27049, '65.169.90.24', '65.169.96.47', 1101617688, 1101619247, 'US', 'United States'),
(27050, '65.169.96.48', '65.169.96.55', 1101619248, 1101619255, 'NL', 'Netherlands'),
(27051, '65.169.96.56', '65.169.158.255', 1101619256, 1101635327, 'US', 'United States'),
(27052, '65.169.159.0', '65.169.159.255', 1101635328, 1101635583, 'HN', 'Honduras'),
(27053, '65.169.160.0', '65.169.217.255', 1101635584, 1101650431, 'US', 'United States'),
(27054, '65.169.218.0', '65.169.219.255', 1101650432, 1101650943, 'HN', 'Honduras'),
(27055, '65.169.220.0', '65.170.10.231', 1101650944, 1101662951, 'US', 'United States'),
(27056, '65.170.10.232', '65.170.10.239', 1101662952, 1101662959, 'PR', 'Puerto Rico'),
(27057, '65.170.10.240', '65.170.30.255', 1101662960, 1101668095, 'US', 'United States'),
(27058, '65.170.31.0', '65.170.31.255', 1101668096, 1101668351, 'EC', 'Ecuador'),
(27059, '65.170.32.0', '65.170.62.103', 1101668352, 1101676135, 'US', 'United States'),
(27060, '65.170.62.104', '65.170.62.111', 1101676136, 1101676143, 'CA', 'Canada'),
(27061, '65.170.62.112', '65.170.63.255', 1101676144, 1101676543, 'US', 'United States'),
(27062, '65.170.64.0', '65.170.71.255', 1101676544, 1101678591, 'EC', 'Ecuador'),
(27063, '65.170.72.0', '65.170.82.255', 1101678592, 1101681407, 'US', 'United States'),
(27064, '65.170.83.0', '65.170.83.255', 1101681408, 1101681663, 'NL', 'Netherlands'),
(27065, '65.170.84.0', '65.170.98.135', 1101681664, 1101685383, 'US', 'United States'),
(27066, '65.170.98.136', '65.170.98.143', 1101685384, 1101685391, 'NL', 'Netherlands'),
(27067, '65.170.98.144', '65.171.2.199', 1101685392, 1101726407, 'US', 'United States'),
(27068, '65.171.2.200', '65.171.2.207', 1101726408, 1101726415, 'CA', 'Canada'),
(27069, '65.171.2.208', '65.171.25.103', 1101726416, 1101732199, 'US', 'United States'),
(27070, '65.171.25.104', '65.171.25.111', 1101732200, 1101732207, 'CH', 'Switzerland'),
(27071, '65.171.25.112', '65.171.97.255', 1101732208, 1101750783, 'US', 'United States'),
(27072, '65.171.98.0', '65.171.99.255', 1101750784, 1101751295, 'BM', 'Bermuda'),
(27073, '65.171.100.0', '65.171.163.255', 1101751296, 1101767679, 'US', 'United States'),
(27074, '65.171.164.0', '65.171.165.255', 1101767680, 1101768191, 'AN', 'Netherlands Antilles'),
(27075, '65.171.166.0', '65.172.1.255', 1101768192, 1101791743, 'US', 'United States'),
(27076, '65.172.2.0', '65.172.2.255', 1101791744, 1101791999, 'A2', 'Satellite Provider'),
(27077, '65.172.3.0', '65.172.3.255', 1101792000, 1101792255, 'US', 'United States'),
(27078, '65.172.4.0', '65.172.5.255', 1101792256, 1101792767, 'A2', 'Satellite Provider'),
(27079, '65.172.6.0', '65.172.47.255', 1101792768, 1101803519, 'US', 'United States'),
(27080, '65.172.48.0', '65.172.51.255', 1101803520, 1101804543, 'HN', 'Honduras'),
(27081, '65.172.52.0', '65.172.179.255', 1101804544, 1101837311, 'US', 'United States'),
(27082, '65.172.180.0', '65.172.180.255', 1101837312, 1101837567, 'EC', 'Ecuador'),
(27083, '65.172.181.0', '65.172.255.255', 1101837568, 1101856767, 'US', 'United States'),
(27084, '65.173.0.0', '65.173.0.7', 1101856768, 1101856775, 'DK', 'Denmark'),
(27085, '65.173.0.8', '65.173.2.15', 1101856776, 1101857295, 'US', 'United States'),
(27086, '65.173.2.16', '65.173.2.31', 1101857296, 1101857311, 'CA', 'Canada'),
(27087, '65.173.2.32', '65.173.29.31', 1101857312, 1101864223, 'US', 'United States'),
(27088, '65.173.29.32', '65.173.29.63', 1101864224, 1101864255, 'BE', 'Belgium'),
(27089, '65.173.29.64', '65.173.47.255', 1101864256, 1101869055, 'US', 'United States'),
(27090, '65.173.48.0', '65.173.49.255', 1101869056, 1101869567, 'GH', 'Ghana'),
(27091, '65.173.50.0', '65.173.55.255', 1101869568, 1101871103, 'US', 'United States'),
(27092, '65.173.56.0', '65.173.63.255', 1101871104, 1101873151, 'BO', 'Bolivia'),
(27093, '65.173.64.0', '65.173.98.79', 1101873152, 1101881935, 'US', 'United States'),
(27094, '65.173.98.80', '65.173.98.95', 1101881936, 1101881951, 'GB', 'United Kingdom'),
(27095, '65.173.98.96', '65.173.189.255', 1101881952, 1101905407, 'US', 'United States'),
(27096, '65.173.190.0', '65.173.190.255', 1101905408, 1101905663, 'GH', 'Ghana'),
(27097, '65.173.191.0', '65.173.252.127', 1101905664, 1101921407, 'US', 'United States'),
(27098, '65.173.252.128', '65.173.252.191', 1101921408, 1101921471, 'BA', 'Bosnia and Herzegovina'),
(27099, '65.173.252.192', '65.174.117.183', 1101921472, 1101952439, 'US', 'United States'),
(27100, '65.174.117.184', '65.174.117.191', 1101952440, 1101952447, 'CA', 'Canada'),
(27101, '65.174.117.192', '65.174.237.255', 1101952448, 1101983231, 'US', 'United States'),
(27102, '65.174.238.0', '65.174.239.255', 1101983232, 1101983743, 'AN', 'Netherlands Antilles'),
(27103, '65.174.240.0', '65.175.63.255', 1101983744, 1102004223, 'US', 'United States'),
(27104, '65.175.64.0', '65.175.64.255', 1102004224, 1102004479, 'IN', 'India'),
(27105, '65.175.65.0', '65.175.65.255', 1102004480, 1102004735, 'US', 'United States'),
(27106, '65.175.66.0', '65.175.66.255', 1102004736, 1102004991, 'IN', 'India'),
(27107, '65.175.67.0', '65.175.67.255', 1102004992, 1102005247, 'US', 'United States'),
(27108, '65.175.68.0', '65.175.68.255', 1102005248, 1102005503, 'CA', 'Canada'),
(27109, '65.175.69.0', '65.175.69.255', 1102005504, 1102005759, 'PK', 'Pakistan'),
(27110, '65.175.70.0', '65.175.70.63', 1102005760, 1102005823, 'BE', 'Belgium'),
(27111, '65.175.70.64', '65.175.71.255', 1102005824, 1102006271, 'US', 'United States'),
(27112, '65.175.72.0', '65.175.72.255', 1102006272, 1102006527, 'CA', 'Canada'),
(27113, '65.175.73.0', '65.175.75.255', 1102006528, 1102007295, 'US', 'United States'),
(27114, '65.175.76.0', '65.175.76.255', 1102007296, 1102007551, 'PK', 'Pakistan'),
(27115, '65.175.77.0', '65.175.77.47', 1102007552, 1102007599, 'US', 'United States'),
(27116, '65.175.77.48', '65.175.77.63', 1102007600, 1102007615, 'AR', 'Argentina'),
(27117, '65.175.77.64', '65.175.77.127', 1102007616, 1102007679, 'US', 'United States'),
(27118, '65.175.77.128', '65.175.77.143', 1102007680, 1102007695, 'IN', 'India'),
(27119, '65.175.77.144', '65.175.77.239', 1102007696, 1102007791, 'US', 'United States'),
(27120, '65.175.77.240', '65.175.77.255', 1102007792, 1102007807, 'VE', 'Venezuela'),
(27121, '65.175.78.0', '65.175.79.15', 1102007808, 1102008079, 'US', 'United States'),
(27122, '65.175.79.16', '65.175.79.23', 1102008080, 1102008087, 'DO', 'Dominican Republic'),
(27123, '65.175.79.24', '65.175.79.31', 1102008088, 1102008095, 'US', 'United States'),
(27124, '65.175.79.32', '65.175.79.39', 1102008096, 1102008103, 'CA', 'Canada'),
(27125, '65.175.79.40', '65.175.79.159', 1102008104, 1102008223, 'US', 'United States'),
(27126, '65.175.79.160', '65.175.79.167', 1102008224, 1102008231, 'CA', 'Canada'),
(27127, '65.175.79.168', '65.175.81.31', 1102008232, 1102008607, 'US', 'United States'),
(27128, '65.175.81.32', '65.175.81.63', 1102008608, 1102008639, 'CA', 'Canada'),
(27129, '65.175.81.64', '65.175.81.95', 1102008640, 1102008671, 'BE', 'Belgium'),
(27130, '65.175.81.96', '65.175.81.159', 1102008672, 1102008735, 'US', 'United States'),
(27131, '65.175.81.160', '65.175.81.191', 1102008736, 1102008767, 'BE', 'Belgium'),
(27132, '65.175.81.192', '65.175.81.255', 1102008768, 1102008831, 'US', 'United States'),
(27133, '65.175.82.0', '65.175.82.31', 1102008832, 1102008863, 'BE', 'Belgium'),
(27134, '65.175.82.32', '65.175.88.255', 1102008864, 1102010623, 'US', 'United States'),
(27135, '65.175.89.0', '65.175.89.255', 1102010624, 1102010879, 'PK', 'Pakistan'),
(27136, '65.175.90.0', '65.175.92.255', 1102010880, 1102011647, 'US', 'United States'),
(27137, '65.175.93.0', '65.175.93.15', 1102011648, 1102011663, 'VE', 'Venezuela'),
(27138, '65.175.93.16', '65.175.93.95', 1102011664, 1102011743, 'US', 'United States'),
(27139, '65.175.93.96', '65.175.93.111', 1102011744, 1102011759, 'TR', 'Turkey'),
(27140, '65.175.93.112', '65.175.93.207', 1102011760, 1102011855, 'US', 'United States'),
(27141, '65.175.93.208', '65.175.93.223', 1102011856, 1102011871, 'CR', 'Costa Rica'),
(27142, '65.175.93.224', '65.175.93.239', 1102011872, 1102011887, 'US', 'United States'),
(27143, '65.175.93.240', '65.175.93.255', 1102011888, 1102011903, 'AU', 'Australia'),
(27144, '65.175.94.0', '65.175.97.127', 1102011904, 1102012799, 'US', 'United States'),
(27145, '65.175.97.128', '65.175.97.255', 1102012800, 1102012927, 'IN', 'India'),
(27146, '65.175.98.0', '65.175.98.47', 1102012928, 1102012975, 'US', 'United States'),
(27147, '65.175.98.48', '65.175.98.63', 1102012976, 1102012991, 'IN', 'India'),
(27148, '65.175.98.64', '65.175.98.239', 1102012992, 1102013167, 'US', 'United States'),
(27149, '65.175.98.240', '65.175.98.255', 1102013168, 1102013183, 'VE', 'Venezuela'),
(27150, '65.175.99.0', '65.175.103.63', 1102013184, 1102014271, 'US', 'United States'),
(27151, '65.175.103.64', '65.175.103.127', 1102014272, 1102014335, 'IN', 'India'),
(27152, '65.175.103.128', '65.175.103.191', 1102014336, 1102014399, 'CA', 'Canada'),
(27153, '65.175.103.192', '65.175.110.255', 1102014400, 1102016255, 'US', 'United States'),
(27154, '65.175.111.0', '65.175.111.31', 1102016256, 1102016287, 'AR', 'Argentina'),
(27155, '65.175.111.32', '65.175.111.95', 1102016288, 1102016351, 'US', 'United States'),
(27156, '65.175.111.96', '65.175.111.127', 1102016352, 1102016383, 'MY', 'Malaysia'),
(27157, '65.175.111.128', '65.175.114.63', 1102016384, 1102017087, 'US', 'United States'),
(27158, '65.175.114.64', '65.175.114.95', 1102017088, 1102017119, 'DM', 'Dominica'),
(27159, '65.175.114.96', '65.175.119.127', 1102017120, 1102018431, 'US', 'United States'),
(27160, '65.175.119.128', '65.175.119.191', 1102018432, 1102018495, 'TZ', 'Tanzania, United Republic of'),
(27161, '65.175.119.192', '65.175.123.255', 1102018496, 1102019583, 'US', 'United States'),
(27162, '65.175.124.0', '65.175.124.127', 1102019584, 1102019711, 'IN', 'India'),
(27163, '65.175.124.128', '65.181.31.255', 1102019712, 1102389247, 'US', 'United States'),
(27164, '65.181.32.0', '65.181.47.255', 1102389248, 1102393343, 'CA', 'Canada'),
(27165, '65.181.48.0', '65.181.255.255', 1102393344, 1102446591, 'US', 'United States'),
(27166, '65.182.0.0', '65.182.6.255', 1102446592, 1102448383, 'HN', 'Honduras'),
(27167, '65.182.7.0', '65.182.9.255', 1102448384, 1102449151, 'US', 'United States'),
(27168, '65.182.10.0', '65.182.10.255', 1102449152, 1102449407, 'SV', 'El Salvador'),
(27169, '65.182.11.0', '65.182.30.255', 1102449408, 1102454527, 'CR', 'Costa Rica'),
(27170, '65.182.31.0', '65.182.31.255', 1102454528, 1102454783, 'HN', 'Honduras'),
(27171, '65.182.32.0', '65.182.162.59', 1102454784, 1102488123, 'US', 'United States'),
(27172, '65.182.162.60', '65.182.162.99', 1102488124, 1102488163, 'IN', 'India'),
(27173, '65.182.162.100', '65.182.162.220', 1102488164, 1102488284, 'US', 'United States'),
(27174, '65.182.162.221', '65.182.162.251', 1102488285, 1102488315, 'IN', 'India'),
(27175, '65.182.162.252', '65.182.186.15', 1102488316, 1102494223, 'US', 'United States'),
(27176, '65.182.186.16', '65.182.186.19', 1102494224, 1102494227, 'AU', 'Australia'),
(27177, '65.182.186.20', '65.182.186.54', 1102494228, 1102494262, 'US', 'United States'),
(27178, '65.182.186.55', '65.182.186.71', 1102494263, 1102494279, 'AU', 'Australia'),
(27179, '65.182.186.72', '65.182.186.124', 1102494280, 1102494332, 'US', 'United States'),
(27180, '65.182.186.125', '65.182.186.170', 1102494333, 1102494378, 'AU', 'Australia'),
(27181, '65.182.186.171', '65.182.191.31', 1102494379, 1102495519, 'US', 'United States'),
(27182, '65.182.191.32', '65.182.191.39', 1102495520, 1102495527, 'AU', 'Australia'),
(27183, '65.182.191.40', '65.182.255.255', 1102495528, 1102512127, 'US', 'United States'),
(27184, '65.183.0.0', '65.183.15.255', 1102512128, 1102516223, 'JM', 'Jamaica'),
(27185, '65.183.16.0', '65.194.45.255', 1102516224, 1103244799, 'US', 'United States'),
(27186, '65.194.46.0', '65.194.46.255', 1103244800, 1103245055, 'EC', 'Ecuador'),
(27187, '65.194.47.0', '65.197.180.159', 1103245056, 1103475871, 'US', 'United States'),
(27188, '65.197.180.160', '65.197.180.167', 1103475872, 1103475879, 'AF', 'Afghanistan'),
(27189, '65.197.180.168', '65.197.181.255', 1103475880, 1103476223, 'US', 'United States'),
(27190, '65.197.182.0', '65.197.182.31', 1103476224, 1103476255, 'CA', 'Canada'),
(27191, '65.197.182.32', '65.198.207.255', 1103476256, 1103548415, 'US', 'United States'),
(27192, '65.198.208.0', '65.198.215.255', 1103548416, 1103550463, 'BS', 'Bahamas'),
(27193, '65.198.216.0', '65.199.100.31', 1103550464, 1103586335, 'US', 'United States'),
(27194, '65.199.100.32', '65.199.100.47', 1103586336, 1103586351, 'DE', 'Germany'),
(27195, '65.199.100.48', '65.199.100.63', 1103586352, 1103586367, 'US', 'United States'),
(27196, '65.199.100.64', '65.199.100.71', 1103586368, 1103586375, 'AF', 'Afghanistan'),
(27197, '65.199.100.72', '65.199.111.23', 1103586376, 1103589143, 'US', 'United States'),
(27198, '65.199.111.24', '65.199.111.31', 1103589144, 1103589151, 'AF', 'Afghanistan'),
(27199, '65.199.111.32', '65.199.167.255', 1103589152, 1103603711, 'US', 'United States'),
(27200, '65.199.168.0', '65.199.175.255', 1103603712, 1103605759, 'EC', 'Ecuador'),
(27201, '65.199.176.0', '65.199.243.255', 1103605760, 1103623167, 'US', 'United States'),
(27202, '65.199.244.0', '65.199.245.255', 1103623168, 1103623679, 'CO', 'Colombia'),
(27203, '65.199.246.0', '65.200.192.255', 1103623680, 1103675647, 'US', 'United States'),
(27204, '65.200.193.0', '65.200.193.63', 1103675648, 1103675711, 'AU', 'Australia'),
(27205, '65.200.193.64', '65.200.193.127', 1103675712, 1103675775, 'US', 'United States'),
(27206, '65.200.193.128', '65.200.193.255', 1103675776, 1103675903, 'AU', 'Australia'),
(27207, '65.200.194.0', '65.200.194.255', 1103675904, 1103676159, 'US', 'United States'),
(27208, '65.200.195.0', '65.200.195.15', 1103676160, 1103676175, 'AU', 'Australia'),
(27209, '65.200.195.16', '65.200.204.79', 1103676176, 1103678543, 'US', 'United States'),
(27210, '65.200.204.80', '65.200.204.87', 1103678544, 1103678551, 'PH', 'Philippines'),
(27211, '65.200.204.88', '65.200.204.191', 1103678552, 1103678655, 'US', 'United States'),
(27212, '65.200.204.192', '65.200.204.255', 1103678656, 1103678719, 'PH', 'Philippines'),
(27213, '65.200.205.0', '65.200.205.111', 1103678720, 1103678831, 'US', 'United States'),
(27214, '65.200.205.112', '65.200.205.127', 1103678832, 1103678847, 'AU', 'Australia'),
(27215, '65.200.205.128', '65.202.47.23', 1103678848, 1103769367, 'US', 'United States'),
(27216, '65.202.47.24', '65.202.47.31', 1103769368, 1103769375, 'LU', 'Luxembourg'),
(27217, '65.202.47.32', '65.204.158.223', 1103769376, 1103929055, 'US', 'United States'),
(27218, '65.204.158.224', '65.204.158.231', 1103929056, 1103929063, 'MX', 'Mexico'),
(27219, '65.204.158.232', '65.204.165.255', 1103929064, 1103930879, 'US', 'United States'),
(27220, '65.204.166.0', '65.204.166.255', 1103930880, 1103931135, 'MX', 'Mexico'),
(27221, '65.204.167.0', '65.205.132.255', 1103931136, 1103987967, 'US', 'United States'),
(27222, '65.205.133.0', '65.205.133.255', 1103987968, 1103988223, 'BR', 'Brazil'),
(27223, '65.205.134.0', '65.205.149.255', 1103988224, 1103992319, 'US', 'United States'),
(27224, '65.205.150.0', '65.205.150.255', 1103992320, 1103992575, 'FI', 'Finland'),
(27225, '65.205.151.0', '65.205.167.255', 1103992576, 1103996927, 'US', 'United States'),
(27226, '65.205.168.0', '65.205.169.255', 1103996928, 1103997439, 'EC', 'Ecuador'),
(27227, '65.205.170.0', '65.205.193.127', 1103997440, 1104003455, 'US', 'United States'),
(27228, '65.205.193.128', '65.205.193.255', 1104003456, 1104003583, 'PH', 'Philippines'),
(27229, '65.205.194.0', '65.206.54.159', 1104003584, 1104033439, 'US', 'United States'),
(27230, '65.206.54.160', '65.206.54.191', 1104033440, 1104033471, 'GB', 'United Kingdom'),
(27231, '65.206.54.192', '65.206.219.183', 1104033472, 1104075703, 'US', 'United States'),
(27232, '65.206.219.184', '65.206.219.191', 1104075704, 1104075711, 'CH', 'Switzerland'),
(27233, '65.206.219.192', '65.206.241.239', 1104075712, 1104081391, 'US', 'United States'),
(27234, '65.206.241.240', '65.206.241.247', 1104081392, 1104081399, 'PR', 'Puerto Rico'),
(27235, '65.206.241.248', '65.206.245.247', 1104081400, 1104082423, 'US', 'United States'),
(27236, '65.206.245.248', '65.206.245.255', 1104082424, 1104082431, 'UM', 'United States Minor Outlying Islands'),
(27237, '65.206.246.0', '65.207.4.159', 1104082432, 1104086175, 'US', 'United States'),
(27238, '65.207.4.160', '65.207.4.167', 1104086176, 1104086183, 'VI', 'Virgin Islands, U.S.'),
(27239, '65.207.4.168', '65.207.44.151', 1104086184, 1104096407, 'US', 'United States'),
(27240, '65.207.44.152', '65.207.44.159', 1104096408, 1104096415, 'DE', 'Germany'),
(27241, '65.207.44.160', '65.208.63.255', 1104096416, 1104166911, 'US', 'United States'),
(27242, '65.208.64.0', '65.208.71.255', 1104166912, 1104168959, 'CO', 'Colombia'),
(27243, '65.208.72.0', '65.209.65.39', 1104168960, 1104232743, 'US', 'United States'),
(27244, '65.209.65.40', '65.209.65.47', 1104232744, 1104232751, 'CA', 'Canada'),
(27245, '65.209.65.48', '65.209.191.255', 1104232752, 1104265215, 'US', 'United States'),
(27246, '65.209.192.0', '65.209.193.255', 1104265216, 1104265727, 'PH', 'Philippines'),
(27247, '65.209.194.0', '65.211.41.151', 1104265728, 1104357783, 'US', 'United States'),
(27248, '65.211.41.152', '65.211.41.159', 1104357784, 1104357791, 'AF', 'Afghanistan'),
(27249, '65.211.41.160', '65.212.3.255', 1104357792, 1104413695, 'US', 'United States'),
(27250, '65.212.4.0', '65.212.4.15', 1104413696, 1104413711, 'CA', 'Canada'),
(27251, '65.212.4.16', '65.212.6.79', 1104413712, 1104414287, 'US', 'United States'),
(27252, '65.212.6.80', '65.212.6.95', 1104414288, 1104414303, 'CA', 'Canada'),
(27253, '65.212.6.96', '65.213.54.255', 1104414304, 1104492287, 'US', 'United States'),
(27254, '65.213.55.0', '65.213.55.255', 1104492288, 1104492543, 'PH', 'Philippines'),
(27255, '65.213.56.0', '65.213.122.39', 1104492544, 1104509479, 'US', 'United States'),
(27256, '65.213.122.40', '65.213.122.47', 1104509480, 1104509487, 'AF', 'Afghanistan'),
(27257, '65.213.122.48', '65.213.127.255', 1104509488, 1104510975, 'US', 'United States'),
(27258, '65.213.128.0', '65.213.130.255', 1104510976, 1104511743, 'EC', 'Ecuador'),
(27259, '65.213.131.0', '65.214.61.31', 1104511744, 1104559391, 'US', 'United States'),
(27260, '65.214.61.32', '65.214.61.39', 1104559392, 1104559399, 'CA', 'Canada'),
(27261, '65.214.61.40', '65.214.61.127', 1104559400, 1104559487, 'US', 'United States'),
(27262, '65.214.61.128', '65.214.61.143', 1104559488, 1104559503, 'CA', 'Canada'),
(27263, '65.214.61.144', '65.215.35.31', 1104559504, 1104618271, 'US', 'United States'),
(27264, '65.215.35.32', '65.215.35.63', 1104618272, 1104618303, 'CA', 'Canada'),
(27265, '65.215.35.64', '65.215.77.255', 1104618304, 1104629247, 'US', 'United States'),
(27266, '65.215.78.0', '65.215.79.255', 1104629248, 1104629759, 'GH', 'Ghana'),
(27267, '65.215.80.0', '65.215.84.191', 1104629760, 1104630975, 'US', 'United States'),
(27268, '65.215.84.192', '65.215.84.255', 1104630976, 1104631039, 'CA', 'Canada'),
(27269, '65.215.85.0', '65.215.224.127', 1104631040, 1104666751, 'US', 'United States'),
(27270, '65.215.224.128', '65.215.224.143', 1104666752, 1104666767, 'CA', 'Canada'),
(27271, '65.215.224.144', '65.216.132.79', 1104666768, 1104708687, 'US', 'United States'),
(27272, '65.216.132.80', '65.216.132.95', 1104708688, 1104708703, 'DE', 'Germany'),
(27273, '65.216.132.96', '65.216.143.15', 1104708704, 1104711439, 'US', 'United States'),
(27274, '65.216.143.16', '65.216.143.31', 1104711440, 1104711455, 'AF', 'Afghanistan'),
(27275, '65.216.143.32', '65.217.184.31', 1104711456, 1104787487, 'US', 'United States'),
(27276, '65.217.184.32', '65.217.184.63', 1104787488, 1104787519, 'GB', 'United Kingdom'),
(27277, '65.217.184.64', '65.218.143.255', 1104787520, 1104842751, 'US', 'United States'),
(27278, '65.218.144.0', '65.218.151.255', 1104842752, 1104844799, 'PR', 'Puerto Rico'),
(27279, '65.218.152.0', '65.218.254.7', 1104844800, 1104870919, 'US', 'United States'),
(27280, '65.218.254.8', '65.218.254.15', 1104870920, 1104870927, 'MX', 'Mexico'),
(27281, '65.218.254.16', '65.219.15.71', 1104870928, 1104875335, 'US', 'United States'),
(27282, '65.219.15.72', '65.219.15.87', 1104875336, 1104875351, 'AF', 'Afghanistan'),
(27283, '65.219.15.88', '65.219.37.191', 1104875352, 1104881087, 'US', 'United States'),
(27284, '65.219.37.192', '65.219.37.255', 1104881088, 1104881151, 'PH', 'Philippines'),
(27285, '65.219.38.0', '65.221.124.255', 1104881152, 1105034495, 'US', 'United States'),
(27286, '65.221.125.0', '65.221.125.255', 1105034496, 1105034751, 'IT', 'Italy'),
(27287, '65.221.126.0', '65.222.122.255', 1105034752, 1105099519, 'US', 'United States'),
(27288, '65.222.123.0', '65.222.123.255', 1105099520, 1105099775, 'EC', 'Ecuador'),
(27289, '65.222.124.0', '65.223.27.39', 1105099776, 1105140519, 'US', 'United States'),
(27290, '65.223.27.40', '65.223.27.47', 1105140520, 1105140527, 'MX', 'Mexico'),
(27291, '65.223.27.48', '65.223.34.191', 1105140528, 1105142463, 'US', 'United States'),
(27292, '65.223.34.192', '65.223.34.199', 1105142464, 1105142471, 'MN', 'Mongolia'),
(27293, '65.223.34.200', '65.223.36.255', 1105142472, 1105143039, 'US', 'United States'),
(27294, '65.223.37.0', '65.223.37.7', 1105143040, 1105143047, 'MN', 'Mongolia'),
(27295, '65.223.37.8', '65.223.76.191', 1105143048, 1105153215, 'US', 'United States'),
(27296, '65.223.76.192', '65.223.76.255', 1105153216, 1105153279, 'PH', 'Philippines'),
(27297, '65.223.77.0', '65.240.226.127', 1105153280, 1106305663, 'US', 'United States'),
(27298, '65.240.226.128', '65.240.226.135', 1106305664, 1106305671, 'CA', 'Canada'),
(27299, '65.240.226.136', '65.240.227.255', 1106305672, 1106306047, 'US', 'United States'),
(27300, '65.240.228.0', '65.240.228.31', 1106306048, 1106306079, 'CA', 'Canada'),
(27301, '65.240.228.32', '65.240.235.127', 1106306080, 1106307967, 'US', 'United States'),
(27302, '65.240.235.128', '65.240.235.191', 1106307968, 1106308031, 'CA', 'Canada'),
(27303, '65.240.235.192', '65.241.27.47', 1106308032, 1106320175, 'US', 'United States'),
(27304, '65.241.27.48', '65.241.27.55', 1106320176, 1106320183, 'CA', 'Canada'),
(27305, '65.241.27.56', '65.241.40.175', 1106320184, 1106323631, 'US', 'United States'),
(27306, '65.241.40.176', '65.241.40.183', 1106323632, 1106323639, 'AF', 'Afghanistan'),
(27307, '65.241.40.184', '65.241.40.199', 1106323640, 1106323655, 'US', 'United States'),
(27308, '65.241.40.200', '65.241.40.207', 1106323656, 1106323663, 'AF', 'Afghanistan'),
(27309, '65.241.40.208', '65.241.142.31', 1106323664, 1106349599, 'US', 'United States'),
(27310, '65.241.142.32', '65.241.142.39', 1106349600, 1106349607, 'UM', 'United States Minor Outlying Islands'),
(27311, '65.241.142.40', '65.242.196.31', 1106349608, 1106428959, 'US', 'United States'),
(27312, '65.242.196.32', '65.242.196.47', 1106428960, 1106428975, 'UM', 'United States Minor Outlying Islands'),
(27313, '65.242.196.48', '65.242.245.143', 1106428976, 1106441615, 'US', 'United States'),
(27314, '65.242.245.144', '65.242.245.151', 1106441616, 1106441623, 'A2', 'Satellite Provider'),
(27315, '65.242.245.152', '65.242.253.103', 1106441624, 1106443623, 'US', 'United States'),
(27316, '65.242.253.104', '65.242.253.111', 1106443624, 1106443631, 'CA', 'Canada'),
(27317, '65.242.253.112', '65.243.99.63', 1106443632, 1106469695, 'US', 'United States'),
(27318, '65.243.99.64', '65.243.99.127', 1106469696, 1106469759, 'CO', 'Colombia'),
(27319, '65.243.99.128', '65.243.99.255', 1106469760, 1106469887, 'US', 'United States'),
(27320, '65.243.100.0', '65.243.103.255', 1106469888, 1106470911, 'BS', 'Bahamas'),
(27321, '65.243.104.0', '65.243.119.255', 1106470912, 1106475007, 'US', 'United States'),
(27322, '65.243.120.0', '65.243.121.255', 1106475008, 1106475519, 'CO', 'Colombia'),
(27323, '65.243.122.0', '65.243.156.127', 1106475520, 1106484351, 'US', 'United States'),
(27324, '65.243.156.128', '65.243.156.191', 1106484352, 1106484415, 'PH', 'Philippines'),
(27325, '65.243.156.192', '65.243.199.71', 1106484416, 1106495303, 'US', 'United States'),
(27326, '65.243.199.72', '65.243.199.87', 1106495304, 1106495319, 'GB', 'United Kingdom'),
(27327, '65.243.199.88', '65.244.90.23', 1106495320, 1106532887, 'US', 'United States'),
(27328, '65.244.90.24', '65.244.90.31', 1106532888, 1106532895, 'TW', 'Taiwan'),
(27329, '65.244.90.32', '65.244.148.31', 1106532896, 1106547743, 'US', 'United States'),
(27330, '65.244.148.32', '65.244.148.47', 1106547744, 1106547759, 'DK', 'Denmark'),
(27331, '65.244.148.48', '65.244.224.255', 1106547760, 1106567423, 'US', 'United States'),
(27332, '65.244.225.0', '65.244.225.31', 1106567424, 1106567455, 'NZ', 'New Zealand'),
(27333, '65.244.225.32', '65.245.118.127', 1106567456, 1106605695, 'US', 'United States'),
(27334, '65.245.118.128', '65.245.118.135', 1106605696, 1106605703, 'DE', 'Germany'),
(27335, '65.245.118.136', '65.246.172.119', 1106605704, 1106685047, 'US', 'United States'),
(27336, '65.246.172.120', '65.246.172.127', 1106685048, 1106685055, 'CA', 'Canada'),
(27337, '65.246.172.128', '65.247.203.255', 1106685056, 1106758655, 'US', 'United States'),
(27338, '65.247.204.0', '65.247.205.255', 1106758656, 1106759167, 'EC', 'Ecuador'),
(27339, '65.247.206.0', '65.247.207.255', 1106759168, 1106759679, 'CO', 'Colombia'),
(27340, '65.247.208.0', '65.247.239.255', 1106759680, 1106767871, 'US', 'United States'),
(27341, '65.247.240.0', '65.247.241.255', 1106767872, 1106768383, 'CO', 'Colombia'),
(27342, '65.247.242.0', '65.247.243.255', 1106768384, 1106768895, 'EC', 'Ecuador'),
(27343, '65.247.244.0', '65.247.247.255', 1106768896, 1106769919, 'CO', 'Colombia'),
(27344, '65.247.248.0', '65.248.166.255', 1106769920, 1106814719, 'US', 'United States'),
(27345, '65.248.167.0', '65.248.167.255', 1106814720, 1106814975, 'EC', 'Ecuador'),
(27346, '65.248.168.0', '65.254.214.255', 1106814976, 1107220223, 'US', 'United States'),
(27347, '65.254.215.0', '65.254.215.15', 1107220224, 1107220239, 'FI', 'Finland'),
(27348, '65.254.215.16', '65.255.36.255', 1107220240, 1107240191, 'US', 'United States'),
(27349, '65.255.37.0', '65.255.37.255', 1107240192, 1107240447, 'A1', 'Anonymous Proxy'),
(27350, '65.255.38.0', '65.255.40.255', 1107240448, 1107241215, 'US', 'United States'),
(27351, '65.255.41.0', '65.255.41.127', 1107241216, 1107241343, 'CN', 'China'),
(27352, '65.255.41.128', '65.255.41.255', 1107241344, 1107241471, 'US', 'United States'),
(27353, '65.255.42.0', '65.255.42.127', 1107241472, 1107241599, 'CN', 'China'),
(27354, '65.255.42.128', '65.255.47.255', 1107241600, 1107243007, 'US', 'United States'),
(27355, '65.255.48.0', '65.255.63.255', 1107243008, 1107247103, 'TC', 'Turks and Caicos Islands'),
(27356, '65.255.64.0', '65.255.175.255', 1107247104, 1107275775, 'US', 'United States'),
(27357, '65.255.176.0', '65.255.191.255', 1107275776, 1107279871, 'CA', 'Canada'),
(27358, '65.255.192.0', '65.255.223.255', 1107279872, 1107288063, 'US', 'United States'),
(27359, '65.255.224.0', '65.255.239.255', 1107288064, 1107292159, 'CA', 'Canada'),
(27360, '65.255.240.0', '66.6.47.255', 1107292160, 1107701759, 'US', 'United States'),
(27361, '66.6.48.0', '66.6.63.255', 1107701760, 1107705855, 'CA', 'Canada'),
(27362, '66.6.64.0', '66.7.181.23', 1107705856, 1107801367, 'US', 'United States'),
(27363, '66.7.181.24', '66.7.181.31', 1107801368, 1107801375, 'CA', 'Canada'),
(27364, '66.7.181.32', '66.7.210.74', 1107801376, 1107808842, 'US', 'United States'),
(27365, '66.7.210.75', '66.7.210.78', 1107808843, 1107808846, 'PE', 'Peru'),
(27366, '66.7.210.79', '66.7.210.109', 1107808847, 1107808877, 'US', 'United States'),
(27367, '66.7.210.110', '66.7.210.113', 1107808878, 1107808881, 'PE', 'Peru'),
(27368, '66.7.210.114', '66.7.214.58', 1107808882, 1107809850, 'US', 'United States'),
(27369, '66.7.214.59', '66.7.214.59', 1107809851, 1107809851, 'CA', 'Canada'),
(27370, '66.7.214.60', '66.7.255.255', 1107809852, 1107820543, 'US', 'United States'),
(27371, '66.8.0.0', '66.8.127.255', 1107820544, 1107853311, 'ZA', 'South Africa'),
(27372, '66.8.128.0', '66.9.34.255', 1107853312, 1107895039, 'US', 'United States'),
(27373, '66.9.35.0', '66.9.37.255', 1107895040, 1107895807, 'GB', 'United Kingdom'),
(27374, '66.9.38.0', '66.9.47.255', 1107895808, 1107898367, 'US', 'United States'),
(27375, '66.9.48.0', '66.9.53.255', 1107898368, 1107899903, 'GB', 'United Kingdom'),
(27376, '66.9.54.0', '66.9.56.255', 1107899904, 1107900671, 'US', 'United States'),
(27377, '66.9.57.0', '66.9.57.255', 1107900672, 1107900927, 'GB', 'United Kingdom'),
(27378, '66.9.58.0', '66.9.79.255', 1107900928, 1107906559, 'US', 'United States'),
(27379, '66.9.80.0', '66.9.80.255', 1107906560, 1107906815, 'GB', 'United Kingdom'),
(27380, '66.9.81.0', '66.9.84.255', 1107906816, 1107907839, 'US', 'United States'),
(27381, '66.9.85.0', '66.9.85.255', 1107907840, 1107908095, 'GB', 'United Kingdom'),
(27382, '66.9.86.0', '66.9.90.255', 1107908096, 1107909375, 'US', 'United States'),
(27383, '66.9.91.0', '66.9.91.255', 1107909376, 1107909631, 'GB', 'United Kingdom'),
(27384, '66.9.92.0', '66.9.92.255', 1107909632, 1107909887, 'US', 'United States'),
(27385, '66.9.93.0', '66.9.93.255', 1107909888, 1107910143, 'GB', 'United Kingdom'),
(27386, '66.9.94.0', '66.9.159.255', 1107910144, 1107927039, 'US', 'United States'),
(27387, '66.9.160.0', '66.9.161.255', 1107927040, 1107927551, 'GB', 'United Kingdom'),
(27388, '66.9.162.0', '66.9.193.255', 1107927552, 1107935743, 'US', 'United States'),
(27389, '66.9.194.0', '66.9.197.255', 1107935744, 1107936767, 'GB', 'United Kingdom'),
(27390, '66.9.198.0', '66.9.235.255', 1107936768, 1107946495, 'US', 'United States'),
(27391, '66.9.236.0', '66.9.237.255', 1107946496, 1107947007, 'GB', 'United Kingdom'),
(27392, '66.9.238.0', '66.9.240.255', 1107947008, 1107947775, 'US', 'United States'),
(27393, '66.9.241.0', '66.9.241.255', 1107947776, 1107948031, 'GB', 'United Kingdom'),
(27394, '66.9.242.0', '66.9.243.255', 1107948032, 1107948543, 'US', 'United States'),
(27395, '66.9.244.0', '66.9.244.255', 1107948544, 1107948799, 'GB', 'United Kingdom'),
(27396, '66.9.245.0', '66.11.31.255', 1107948800, 1108025343, 'US', 'United States'),
(27397, '66.11.32.0', '66.11.47.255', 1108025344, 1108029439, 'CA', 'Canada'),
(27398, '66.11.48.0', '66.11.63.255', 1108029440, 1108033535, 'US', 'United States'),
(27399, '66.11.64.0', '66.11.95.255', 1108033536, 1108041727, 'CA', 'Canada'),
(27400, '66.11.96.0', '66.11.143.255', 1108041728, 1108054015, 'US', 'United States'),
(27401, '66.11.144.0', '66.11.145.7', 1108054016, 1108054279, 'CA', 'Canada'),
(27402, '66.11.145.8', '66.11.145.15', 1108054280, 1108054287, 'FR', 'France'),
(27403, '66.11.145.16', '66.11.145.31', 1108054288, 1108054303, 'CA', 'Canada'),
(27404, '66.11.145.32', '66.11.145.47', 1108054304, 1108054319, 'US', 'United States'),
(27405, '66.11.145.48', '66.11.145.255', 1108054320, 1108054527, 'CA', 'Canada'),
(27406, '66.11.146.0', '66.11.146.15', 1108054528, 1108054543, 'US', 'United States'),
(27407, '66.11.146.16', '66.11.146.159', 1108054544, 1108054687, 'CA', 'Canada'),
(27408, '66.11.146.160', '66.11.146.167', 1108054688, 1108054695, 'US', 'United States'),
(27409, '66.11.146.168', '66.11.146.223', 1108054696, 1108054751, 'CA', 'Canada'),
(27410, '66.11.146.224', '66.11.146.239', 1108054752, 1108054767, 'US', 'United States'),
(27411, '66.11.146.240', '66.11.147.255', 1108054768, 1108055039, 'CA', 'Canada'),
(27412, '66.11.148.0', '66.11.148.63', 1108055040, 1108055103, 'US', 'United States'),
(27413, '66.11.148.64', '66.11.149.103', 1108055104, 1108055399, 'CA', 'Canada'),
(27414, '66.11.149.104', '66.11.149.111', 1108055400, 1108055407, 'US', 'United States'),
(27415, '66.11.149.112', '66.11.149.127', 1108055408, 1108055423, 'CA', 'Canada'),
(27416, '66.11.149.128', '66.11.149.143', 1108055424, 1108055439, 'US', 'United States'),
(27417, '66.11.149.144', '66.11.149.159', 1108055440, 1108055455, 'CA', 'Canada'),
(27418, '66.11.149.160', '66.11.149.175', 1108055456, 1108055471, 'US', 'United States'),
(27419, '66.11.149.176', '66.11.149.223', 1108055472, 1108055519, 'CA', 'Canada'),
(27420, '66.11.149.224', '66.11.149.255', 1108055520, 1108055551, 'US', 'United States'),
(27421, '66.11.150.0', '66.11.151.95', 1108055552, 1108055903, 'CA', 'Canada'),
(27422, '66.11.151.96', '66.11.151.111', 1108055904, 1108055919, 'US', 'United States'),
(27423, '66.11.151.112', '66.11.151.159', 1108055920, 1108055967, 'CA', 'Canada'),
(27424, '66.11.151.160', '66.11.151.175', 1108055968, 1108055983, 'US', 'United States'),
(27425, '66.11.151.176', '66.11.152.63', 1108055984, 1108056127, 'PA', 'Panama'),
(27426, '66.11.152.64', '66.11.152.127', 1108056128, 1108056191, 'US', 'United States'),
(27427, '66.11.152.128', '66.11.152.143', 1108056192, 1108056207, 'CA', 'Canada'),
(27428, '66.11.152.144', '66.11.152.151', 1108056208, 1108056215, 'GB', 'United Kingdom'),
(27429, '66.11.152.152', '66.11.152.159', 1108056216, 1108056223, 'CA', 'Canada'),
(27430, '66.11.152.160', '66.11.152.191', 1108056224, 1108056255, 'US', 'United States'),
(27431, '66.11.152.192', '66.11.152.223', 1108056256, 1108056287, 'CA', 'Canada'),
(27432, '66.11.152.224', '66.11.152.255', 1108056288, 1108056319, 'CR', 'Costa Rica'),
(27433, '66.11.153.0', '66.11.153.31', 1108056320, 1108056351, 'CA', 'Canada'),
(27434, '66.11.153.32', '66.11.153.63', 1108056352, 1108056383, 'US', 'United States'),
(27435, '66.11.153.64', '66.11.153.87', 1108056384, 1108056407, 'CA', 'Canada'),
(27436, '66.11.153.88', '66.11.153.95', 1108056408, 1108056415, 'US', 'United States'),
(27437, '66.11.153.96', '66.11.154.3', 1108056416, 1108056579, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(27438, '66.11.154.4', '66.11.154.5', 1108056580, 1108056581, 'US', 'United States'),
(27439, '66.11.154.6', '66.11.154.95', 1108056582, 1108056671, 'CA', 'Canada'),
(27440, '66.11.154.96', '66.11.154.127', 1108056672, 1108056703, 'US', 'United States'),
(27441, '66.11.154.128', '66.11.154.151', 1108056704, 1108056727, 'CA', 'Canada'),
(27442, '66.11.154.152', '66.11.154.159', 1108056728, 1108056735, 'US', 'United States'),
(27443, '66.11.154.160', '66.11.154.207', 1108056736, 1108056783, 'CA', 'Canada'),
(27444, '66.11.154.208', '66.11.154.215', 1108056784, 1108056791, 'CR', 'Costa Rica'),
(27445, '66.11.154.216', '66.11.154.223', 1108056792, 1108056799, 'GB', 'United Kingdom'),
(27446, '66.11.154.224', '66.11.155.239', 1108056800, 1108057071, 'CA', 'Canada'),
(27447, '66.11.155.240', '66.11.155.247', 1108057072, 1108057079, 'NL', 'Netherlands'),
(27448, '66.11.155.248', '66.11.155.255', 1108057080, 1108057087, 'US', 'United States'),
(27449, '66.11.156.0', '66.11.156.47', 1108057088, 1108057135, 'CA', 'Canada'),
(27450, '66.11.156.48', '66.11.156.63', 1108057136, 1108057151, 'US', 'United States'),
(27451, '66.11.156.64', '66.11.156.127', 1108057152, 1108057215, 'CA', 'Canada'),
(27452, '66.11.156.128', '66.11.156.151', 1108057216, 1108057239, 'US', 'United States'),
(27453, '66.11.156.152', '66.11.156.247', 1108057240, 1108057335, 'CA', 'Canada'),
(27454, '66.11.156.248', '66.11.156.255', 1108057336, 1108057343, 'GB', 'United Kingdom'),
(27455, '66.11.157.0', '66.11.157.39', 1108057344, 1108057383, 'CA', 'Canada'),
(27456, '66.11.157.40', '66.11.157.47', 1108057384, 1108057391, 'US', 'United States'),
(27457, '66.11.157.48', '66.11.157.159', 1108057392, 1108057503, 'CA', 'Canada'),
(27458, '66.11.157.160', '66.11.157.175', 1108057504, 1108057519, 'BS', 'Bahamas'),
(27459, '66.11.157.176', '66.11.157.191', 1108057520, 1108057535, 'US', 'United States'),
(27460, '66.11.157.192', '66.11.191.255', 1108057536, 1108066303, 'CA', 'Canada'),
(27461, '66.11.192.0', '66.18.63.255', 1108066304, 1108492287, 'US', 'United States'),
(27462, '66.18.64.0', '66.18.95.255', 1108492288, 1108500479, 'ZA', 'South Africa'),
(27463, '66.18.96.0', '66.18.191.255', 1108500480, 1108525055, 'US', 'United States'),
(27464, '66.18.192.0', '66.18.255.255', 1108525056, 1108541439, 'CA', 'Canada'),
(27465, '66.19.0.0', '66.23.226.239', 1108541440, 1108861679, 'US', 'United States'),
(27466, '66.23.226.240', '66.23.226.247', 1108861680, 1108861687, 'LK', 'Sri Lanka'),
(27467, '66.23.226.248', '66.23.229.63', 1108861688, 1108862271, 'US', 'United States'),
(27468, '66.23.229.64', '66.23.229.127', 1108862272, 1108862335, 'LT', 'Lithuania'),
(27469, '66.23.229.128', '66.29.211.44', 1108862336, 1109250860, 'US', 'United States'),
(27470, '66.29.211.45', '66.29.211.52', 1109250861, 1109250868, 'PH', 'Philippines'),
(27471, '66.29.211.53', '66.29.217.103', 1109250869, 1109252455, 'US', 'United States'),
(27472, '66.29.217.104', '66.29.217.111', 1109252456, 1109252463, 'AU', 'Australia'),
(27473, '66.29.217.112', '66.35.192.31', 1109252464, 1109639199, 'US', 'United States'),
(27474, '66.35.192.32', '66.35.192.47', 1109639200, 1109639215, 'IN', 'India'),
(27475, '66.35.192.48', '66.35.201.191', 1109639216, 1109641663, 'US', 'United States'),
(27476, '66.35.201.192', '66.35.201.207', 1109641664, 1109641679, 'JP', 'Japan'),
(27477, '66.35.201.208', '66.35.204.127', 1109641680, 1109642367, 'US', 'United States'),
(27478, '66.35.204.128', '66.35.204.143', 1109642368, 1109642383, 'IL', 'Israel'),
(27479, '66.35.204.144', '66.35.204.175', 1109642384, 1109642415, 'US', 'United States'),
(27480, '66.35.204.176', '66.35.204.191', 1109642416, 1109642431, 'IL', 'Israel'),
(27481, '66.35.204.192', '66.35.205.87', 1109642432, 1109642583, 'US', 'United States'),
(27482, '66.35.205.88', '66.35.205.95', 1109642584, 1109642591, 'DE', 'Germany'),
(27483, '66.35.205.96', '66.35.208.39', 1109642592, 1109643303, 'US', 'United States'),
(27484, '66.35.208.40', '66.35.208.47', 1109643304, 1109643311, 'DE', 'Germany'),
(27485, '66.35.208.48', '66.35.208.255', 1109643312, 1109643519, 'US', 'United States'),
(27486, '66.35.209.0', '66.35.209.31', 1109643520, 1109643551, 'CA', 'Canada'),
(27487, '66.35.209.32', '66.35.223.127', 1109643552, 1109647231, 'US', 'United States'),
(27488, '66.35.223.128', '66.35.223.143', 1109647232, 1109647247, 'AU', 'Australia'),
(27489, '66.35.223.144', '66.35.227.191', 1109647248, 1109648319, 'US', 'United States'),
(27490, '66.35.227.192', '66.35.227.207', 1109648320, 1109648335, 'JP', 'Japan'),
(27491, '66.35.227.208', '66.35.230.31', 1109648336, 1109648927, 'US', 'United States'),
(27492, '66.35.230.32', '66.35.230.47', 1109648928, 1109648943, 'AU', 'Australia'),
(27493, '66.35.230.48', '66.35.236.207', 1109648944, 1109650639, 'US', 'United States'),
(27494, '66.35.236.208', '66.35.236.223', 1109650640, 1109650655, 'AU', 'Australia'),
(27495, '66.35.236.224', '66.36.127.255', 1109650656, 1109688319, 'US', 'United States'),
(27496, '66.36.128.0', '66.36.159.255', 1109688320, 1109696511, 'CA', 'Canada'),
(27497, '66.36.160.0', '66.36.195.255', 1109696512, 1109705727, 'US', 'United States'),
(27498, '66.36.196.0', '66.36.196.15', 1109705728, 1109705743, 'CG', 'Congo'),
(27499, '66.36.196.16', '66.36.196.31', 1109705744, 1109705759, 'US', 'United States'),
(27500, '66.36.196.32', '66.36.196.63', 1109705760, 1109705791, 'CD', 'Congo, The Democratic Republic of the'),
(27501, '66.36.196.64', '66.36.196.95', 1109705792, 1109705823, 'US', 'United States'),
(27502, '66.36.196.96', '66.36.196.111', 1109705824, 1109705839, 'CD', 'Congo, The Democratic Republic of the'),
(27503, '66.36.196.112', '66.36.196.127', 1109705840, 1109705855, 'US', 'United States'),
(27504, '66.36.196.128', '66.36.196.200', 1109705856, 1109705928, 'CD', 'Congo, The Democratic Republic of the'),
(27505, '66.36.196.201', '66.36.196.201', 1109705929, 1109705929, 'LB', 'Lebanon'),
(27506, '66.36.196.202', '66.36.196.255', 1109705930, 1109705983, 'CD', 'Congo, The Democratic Republic of the'),
(27507, '66.36.197.0', '66.36.200.255', 1109705984, 1109707007, 'US', 'United States'),
(27508, '66.36.201.0', '66.36.201.255', 1109707008, 1109707263, 'JM', 'Jamaica'),
(27509, '66.36.202.0', '66.36.202.255', 1109707264, 1109707519, 'US', 'United States'),
(27510, '66.36.203.0', '66.36.203.255', 1109707520, 1109707775, 'MW', 'Malawi'),
(27511, '66.36.204.0', '66.36.207.95', 1109707776, 1109708639, 'US', 'United States'),
(27512, '66.36.207.96', '66.36.207.127', 1109708640, 1109708671, 'HT', 'Haiti'),
(27513, '66.36.207.128', '66.36.211.255', 1109708672, 1109709823, 'US', 'United States'),
(27514, '66.36.212.0', '66.36.215.255', 1109709824, 1109710847, 'ZM', 'Zambia'),
(27515, '66.36.216.0', '66.36.217.71', 1109710848, 1109711175, 'US', 'United States'),
(27516, '66.36.217.72', '66.36.217.79', 1109711176, 1109711183, 'HT', 'Haiti'),
(27517, '66.36.217.80', '66.36.223.127', 1109711184, 1109712767, 'US', 'United States'),
(27518, '66.36.223.128', '66.36.223.255', 1109712768, 1109712895, 'A2', 'Satellite Provider'),
(27519, '66.36.224.0', '66.37.67.255', 1109712896, 1109738495, 'US', 'United States'),
(27520, '66.37.68.0', '66.37.68.127', 1109738496, 1109738623, 'VA', 'Holy See (Vatican City State)'),
(27521, '66.37.68.128', '66.37.207.95', 1109738624, 1109774175, 'US', 'United States'),
(27522, '66.37.207.96', '66.37.207.103', 1109774176, 1109774183, 'CA', 'Canada'),
(27523, '66.37.207.104', '66.37.216.191', 1109774184, 1109776575, 'US', 'United States'),
(27524, '66.37.216.192', '66.37.216.223', 1109776576, 1109776607, 'CN', 'China'),
(27525, '66.37.216.224', '66.37.216.231', 1109776608, 1109776615, 'CA', 'Canada'),
(27526, '66.37.216.232', '66.38.127.255', 1109776616, 1109819391, 'US', 'United States'),
(27527, '66.38.128.0', '66.38.216.191', 1109819392, 1109842111, 'CA', 'Canada'),
(27528, '66.38.216.192', '66.38.216.223', 1109842112, 1109842143, 'US', 'United States'),
(27529, '66.38.216.224', '66.38.242.255', 1109842144, 1109848831, 'CA', 'Canada'),
(27530, '66.38.243.0', '66.38.243.255', 1109848832, 1109849087, 'A1', 'Anonymous Proxy'),
(27531, '66.38.244.0', '66.38.255.255', 1109849088, 1109852159, 'CA', 'Canada'),
(27532, '66.39.0.0', '66.39.196.79', 1109852160, 1109902415, 'US', 'United States'),
(27533, '66.39.196.80', '66.39.196.95', 1109902416, 1109902431, 'CY', 'Cyprus'),
(27534, '66.39.196.96', '66.39.196.175', 1109902432, 1109902511, 'US', 'United States'),
(27535, '66.39.196.176', '66.39.196.191', 1109902512, 1109902527, 'CY', 'Cyprus'),
(27536, '66.39.196.192', '66.40.2.255', 1109902528, 1109918463, 'US', 'United States'),
(27537, '66.40.3.0', '66.40.3.255', 1109918464, 1109918719, 'GB', 'United Kingdom'),
(27538, '66.40.4.0', '66.40.7.255', 1109918720, 1109919743, 'US', 'United States'),
(27539, '66.40.8.0', '66.40.8.255', 1109919744, 1109919999, 'GB', 'United Kingdom'),
(27540, '66.40.9.0', '66.40.21.63', 1109920000, 1109923135, 'US', 'United States'),
(27541, '66.40.21.64', '66.40.21.79', 1109923136, 1109923151, 'BG', 'Bulgaria'),
(27542, '66.40.21.80', '66.40.21.111', 1109923152, 1109923183, 'US', 'United States'),
(27543, '66.40.21.112', '66.40.21.127', 1109923184, 1109923199, 'SK', 'Slovakia'),
(27544, '66.40.21.128', '66.40.21.207', 1109923200, 1109923279, 'US', 'United States'),
(27545, '66.40.21.208', '66.40.21.223', 1109923280, 1109923295, 'GB', 'United Kingdom'),
(27546, '66.40.21.224', '66.40.23.63', 1109923296, 1109923647, 'US', 'United States'),
(27547, '66.40.23.64', '66.40.23.127', 1109923648, 1109923711, 'CA', 'Canada'),
(27548, '66.40.23.128', '66.40.30.127', 1109923712, 1109925503, 'US', 'United States'),
(27549, '66.40.30.128', '66.40.30.191', 1109925504, 1109925567, 'GB', 'United Kingdom'),
(27550, '66.40.30.192', '66.40.36.255', 1109925568, 1109927167, 'US', 'United States'),
(27551, '66.40.37.0', '66.40.37.255', 1109927168, 1109927423, 'AU', 'Australia'),
(27552, '66.40.38.0', '66.40.65.255', 1109927424, 1109934591, 'US', 'United States'),
(27553, '66.40.66.0', '66.40.66.255', 1109934592, 1109934847, 'GB', 'United Kingdom'),
(27554, '66.40.67.0', '66.40.136.87', 1109934848, 1109952599, 'US', 'United States'),
(27555, '66.40.136.88', '66.40.136.95', 1109952600, 1109952607, 'JP', 'Japan'),
(27556, '66.40.136.96', '66.40.136.111', 1109952608, 1109952623, 'US', 'United States'),
(27557, '66.40.136.112', '66.40.136.119', 1109952624, 1109952631, 'GB', 'United Kingdom'),
(27558, '66.40.136.120', '66.40.142.119', 1109952632, 1109954167, 'US', 'United States'),
(27559, '66.40.142.120', '66.40.142.127', 1109954168, 1109954175, 'VE', 'Venezuela'),
(27560, '66.40.142.128', '66.40.143.47', 1109954176, 1109954351, 'US', 'United States'),
(27561, '66.40.143.48', '66.40.143.63', 1109954352, 1109954367, 'ES', 'Spain'),
(27562, '66.40.143.64', '66.43.47.255', 1109954368, 1110126591, 'US', 'United States'),
(27563, '66.43.48.0', '66.43.63.255', 1110126592, 1110130687, 'CA', 'Canada'),
(27564, '66.43.64.0', '66.45.244.63', 1110130688, 1110307903, 'US', 'United States'),
(27565, '66.45.244.64', '66.45.244.127', 1110307904, 1110307967, 'AU', 'Australia'),
(27566, '66.45.244.128', '66.45.255.255', 1110307968, 1110310911, 'US', 'United States'),
(27567, '66.46.0.0', '66.46.255.255', 1110310912, 1110376447, 'CA', 'Canada'),
(27568, '66.47.0.0', '66.47.154.57', 1110376448, 1110415929, 'US', 'United States'),
(27569, '66.47.154.58', '66.47.154.58', 1110415930, 1110415930, 'A1', 'Anonymous Proxy'),
(27570, '66.47.154.59', '66.47.255.255', 1110415931, 1110441983, 'US', 'United States'),
(27571, '66.48.0.0', '66.48.0.255', 1110441984, 1110442239, 'CA', 'Canada'),
(27572, '66.48.1.0', '66.48.1.63', 1110442240, 1110442303, 'US', 'United States'),
(27573, '66.48.1.64', '66.48.1.127', 1110442304, 1110442367, 'CA', 'Canada'),
(27574, '66.48.1.128', '66.48.1.191', 1110442368, 1110442431, 'US', 'United States'),
(27575, '66.48.1.192', '66.48.2.223', 1110442432, 1110442719, 'CA', 'Canada'),
(27576, '66.48.2.224', '66.48.2.255', 1110442720, 1110442751, 'US', 'United States'),
(27577, '66.48.3.0', '66.48.3.111', 1110442752, 1110442863, 'CA', 'Canada'),
(27578, '66.48.3.112', '66.48.3.255', 1110442864, 1110443007, 'US', 'United States'),
(27579, '66.48.4.0', '66.48.5.31', 1110443008, 1110443295, 'CA', 'Canada'),
(27580, '66.48.5.32', '66.48.5.63', 1110443296, 1110443327, 'US', 'United States'),
(27581, '66.48.5.64', '66.48.6.31', 1110443328, 1110443551, 'CA', 'Canada'),
(27582, '66.48.6.32', '66.48.6.191', 1110443552, 1110443711, 'US', 'United States'),
(27583, '66.48.6.192', '66.48.6.199', 1110443712, 1110443719, 'CA', 'Canada'),
(27584, '66.48.6.200', '66.48.7.127', 1110443720, 1110443903, 'US', 'United States'),
(27585, '66.48.7.128', '66.48.7.255', 1110443904, 1110444031, 'CA', 'Canada'),
(27586, '66.48.8.0', '66.48.8.255', 1110444032, 1110444287, 'US', 'United States'),
(27587, '66.48.9.0', '66.48.10.255', 1110444288, 1110444799, 'CA', 'Canada'),
(27588, '66.48.11.0', '66.48.11.255', 1110444800, 1110445055, 'US', 'United States'),
(27589, '66.48.12.0', '66.48.18.63', 1110445056, 1110446655, 'CA', 'Canada'),
(27590, '66.48.18.64', '66.48.18.127', 1110446656, 1110446719, 'IL', 'Israel'),
(27591, '66.48.18.128', '66.48.18.255', 1110446720, 1110446847, 'CA', 'Canada'),
(27592, '66.48.19.0', '66.48.19.127', 1110446848, 1110446975, 'US', 'United States'),
(27593, '66.48.19.128', '66.48.19.191', 1110446976, 1110447039, 'CA', 'Canada'),
(27594, '66.48.19.192', '66.48.19.255', 1110447040, 1110447103, 'US', 'United States'),
(27595, '66.48.20.0', '66.48.24.255', 1110447104, 1110448383, 'CA', 'Canada'),
(27596, '66.48.25.0', '66.48.25.255', 1110448384, 1110448639, 'US', 'United States'),
(27597, '66.48.26.0', '66.48.27.159', 1110448640, 1110449055, 'CA', 'Canada'),
(27598, '66.48.27.160', '66.48.27.255', 1110449056, 1110449151, 'US', 'United States'),
(27599, '66.48.28.0', '66.48.30.39', 1110449152, 1110449703, 'CA', 'Canada'),
(27600, '66.48.30.40', '66.48.30.55', 1110449704, 1110449719, 'US', 'United States'),
(27601, '66.48.30.56', '66.48.30.71', 1110449720, 1110449735, 'CA', 'Canada'),
(27602, '66.48.30.72', '66.48.30.87', 1110449736, 1110449751, 'US', 'United States'),
(27603, '66.48.30.88', '66.48.30.119', 1110449752, 1110449783, 'CA', 'Canada'),
(27604, '66.48.30.120', '66.48.30.127', 1110449784, 1110449791, 'US', 'United States'),
(27605, '66.48.30.128', '66.48.30.135', 1110449792, 1110449799, 'CA', 'Canada'),
(27606, '66.48.30.136', '66.48.30.143', 1110449800, 1110449807, 'US', 'United States'),
(27607, '66.48.30.144', '66.48.30.215', 1110449808, 1110449879, 'CA', 'Canada'),
(27608, '66.48.30.216', '66.48.30.231', 1110449880, 1110449895, 'US', 'United States'),
(27609, '66.48.30.232', '66.48.31.23', 1110449896, 1110449943, 'CA', 'Canada'),
(27610, '66.48.31.24', '66.48.31.47', 1110449944, 1110449967, 'US', 'United States'),
(27611, '66.48.31.48', '66.48.31.55', 1110449968, 1110449975, 'CA', 'Canada'),
(27612, '66.48.31.56', '66.48.31.111', 1110449976, 1110450031, 'US', 'United States'),
(27613, '66.48.31.112', '66.48.31.151', 1110450032, 1110450071, 'CA', 'Canada'),
(27614, '66.48.31.152', '66.48.31.255', 1110450072, 1110450175, 'US', 'United States'),
(27615, '66.48.32.0', '66.48.36.127', 1110450176, 1110451327, 'CA', 'Canada'),
(27616, '66.48.36.128', '66.48.36.255', 1110451328, 1110451455, 'US', 'United States'),
(27617, '66.48.37.0', '66.48.37.255', 1110451456, 1110451711, 'CA', 'Canada'),
(27618, '66.48.38.0', '66.48.38.255', 1110451712, 1110451967, 'US', 'United States'),
(27619, '66.48.39.0', '66.48.43.255', 1110451968, 1110453247, 'CA', 'Canada'),
(27620, '66.48.44.0', '66.48.47.255', 1110453248, 1110454271, 'US', 'United States'),
(27621, '66.48.48.0', '66.48.51.255', 1110454272, 1110455295, 'CA', 'Canada'),
(27622, '66.48.52.0', '66.48.63.255', 1110455296, 1110458367, 'US', 'United States'),
(27623, '66.48.64.0', '66.48.64.47', 1110458368, 1110458415, 'CA', 'Canada'),
(27624, '66.48.64.48', '66.48.64.63', 1110458416, 1110458431, 'US', 'United States'),
(27625, '66.48.64.64', '66.48.64.111', 1110458432, 1110458479, 'CA', 'Canada'),
(27626, '66.48.64.112', '66.48.64.127', 1110458480, 1110458495, 'US', 'United States'),
(27627, '66.48.64.128', '66.48.64.207', 1110458496, 1110458575, 'CA', 'Canada'),
(27628, '66.48.64.208', '66.48.65.15', 1110458576, 1110458639, 'US', 'United States'),
(27629, '66.48.65.16', '66.48.65.63', 1110458640, 1110458687, 'CA', 'Canada'),
(27630, '66.48.65.64', '66.48.65.79', 1110458688, 1110458703, 'US', 'United States'),
(27631, '66.48.65.80', '66.48.65.111', 1110458704, 1110458735, 'CA', 'Canada'),
(27632, '66.48.65.112', '66.48.65.143', 1110458736, 1110458767, 'US', 'United States'),
(27633, '66.48.65.144', '66.48.65.159', 1110458768, 1110458783, 'CA', 'Canada'),
(27634, '66.48.65.160', '66.48.65.207', 1110458784, 1110458831, 'US', 'United States'),
(27635, '66.48.65.208', '66.48.65.223', 1110458832, 1110458847, 'CA', 'Canada'),
(27636, '66.48.65.224', '66.48.65.255', 1110458848, 1110458879, 'US', 'United States'),
(27637, '66.48.66.0', '66.48.66.47', 1110458880, 1110458927, 'CA', 'Canada'),
(27638, '66.48.66.48', '66.48.66.63', 1110458928, 1110458943, 'US', 'United States'),
(27639, '66.48.66.64', '66.48.66.127', 1110458944, 1110459007, 'CA', 'Canada'),
(27640, '66.48.66.128', '66.48.66.143', 1110459008, 1110459023, 'US', 'United States'),
(27641, '66.48.66.144', '66.48.66.191', 1110459024, 1110459071, 'CA', 'Canada'),
(27642, '66.48.66.192', '66.48.66.207', 1110459072, 1110459087, 'US', 'United States'),
(27643, '66.48.66.208', '66.48.67.15', 1110459088, 1110459151, 'CA', 'Canada'),
(27644, '66.48.67.16', '66.48.67.31', 1110459152, 1110459167, 'US', 'United States'),
(27645, '66.48.67.32', '66.48.67.47', 1110459168, 1110459183, 'CA', 'Canada'),
(27646, '66.48.67.48', '66.48.67.63', 1110459184, 1110459199, 'US', 'United States'),
(27647, '66.48.67.64', '66.48.67.79', 1110459200, 1110459215, 'CA', 'Canada'),
(27648, '66.48.67.80', '66.48.67.175', 1110459216, 1110459311, 'US', 'United States'),
(27649, '66.48.67.176', '66.48.67.207', 1110459312, 1110459343, 'CA', 'Canada'),
(27650, '66.48.67.208', '66.48.67.255', 1110459344, 1110459391, 'US', 'United States'),
(27651, '66.48.68.0', '66.48.68.31', 1110459392, 1110459423, 'CA', 'Canada'),
(27652, '66.48.68.32', '66.48.68.63', 1110459424, 1110459455, 'US', 'United States'),
(27653, '66.48.68.64', '66.48.69.95', 1110459456, 1110459743, 'CA', 'Canada'),
(27654, '66.48.69.96', '66.48.69.255', 1110459744, 1110459903, 'US', 'United States'),
(27655, '66.48.70.0', '66.48.70.63', 1110459904, 1110459967, 'CA', 'Canada'),
(27656, '66.48.70.64', '66.48.71.63', 1110459968, 1110460223, 'US', 'United States'),
(27657, '66.48.71.64', '66.48.71.159', 1110460224, 1110460319, 'CA', 'Canada'),
(27658, '66.48.71.160', '66.48.71.223', 1110460320, 1110460383, 'US', 'United States'),
(27659, '66.48.71.224', '66.48.72.31', 1110460384, 1110460447, 'CA', 'Canada'),
(27660, '66.48.72.32', '66.48.72.63', 1110460448, 1110460479, 'US', 'United States'),
(27661, '66.48.72.64', '66.48.72.223', 1110460480, 1110460639, 'CA', 'Canada'),
(27662, '66.48.72.224', '66.48.72.255', 1110460640, 1110460671, 'US', 'United States'),
(27663, '66.48.73.0', '66.48.73.47', 1110460672, 1110460719, 'CA', 'Canada'),
(27664, '66.48.73.48', '66.48.73.71', 1110460720, 1110460743, 'US', 'United States'),
(27665, '66.48.73.72', '66.48.73.103', 1110460744, 1110460775, 'CA', 'Canada'),
(27666, '66.48.73.104', '66.48.73.111', 1110460776, 1110460783, 'US', 'United States'),
(27667, '66.48.73.112', '66.48.73.159', 1110460784, 1110460831, 'CA', 'Canada'),
(27668, '66.48.73.160', '66.48.73.191', 1110460832, 1110460863, 'US', 'United States'),
(27669, '66.48.73.192', '66.48.73.215', 1110460864, 1110460887, 'CA', 'Canada'),
(27670, '66.48.73.216', '66.48.73.231', 1110460888, 1110460903, 'US', 'United States'),
(27671, '66.48.73.232', '66.48.73.239', 1110460904, 1110460911, 'CA', 'Canada'),
(27672, '66.48.73.240', '66.48.74.7', 1110460912, 1110460935, 'US', 'United States'),
(27673, '66.48.74.8', '66.48.74.71', 1110460936, 1110460999, 'CA', 'Canada'),
(27674, '66.48.74.72', '66.48.74.255', 1110461000, 1110461183, 'US', 'United States'),
(27675, '66.48.75.0', '66.48.75.191', 1110461184, 1110461375, 'CA', 'Canada'),
(27676, '66.48.75.192', '66.48.75.255', 1110461376, 1110461439, 'US', 'United States'),
(27677, '66.48.76.0', '66.48.77.127', 1110461440, 1110461823, 'CA', 'Canada'),
(27678, '66.48.77.128', '66.48.78.127', 1110461824, 1110462079, 'US', 'United States'),
(27679, '66.48.78.128', '66.48.79.63', 1110462080, 1110462271, 'CA', 'Canada'),
(27680, '66.48.79.64', '66.48.79.127', 1110462272, 1110462335, 'US', 'United States'),
(27681, '66.48.79.128', '66.48.80.255', 1110462336, 1110462719, 'CA', 'Canada'),
(27682, '66.48.81.0', '66.48.81.127', 1110462720, 1110462847, 'US', 'United States'),
(27683, '66.48.81.128', '66.48.82.127', 1110462848, 1110463103, 'CA', 'Canada'),
(27684, '66.48.82.128', '66.48.82.255', 1110463104, 1110463231, 'US', 'United States'),
(27685, '66.48.83.0', '66.48.83.255', 1110463232, 1110463487, 'CA', 'Canada'),
(27686, '66.48.84.0', '66.48.85.255', 1110463488, 1110463999, 'US', 'United States'),
(27687, '66.48.86.0', '66.48.88.255', 1110464000, 1110464767, 'CA', 'Canada'),
(27688, '66.48.89.0', '66.48.89.127', 1110464768, 1110464895, 'US', 'United States'),
(27689, '66.48.89.128', '66.48.89.191', 1110464896, 1110464959, 'CA', 'Canada'),
(27690, '66.48.89.192', '66.48.89.255', 1110464960, 1110465023, 'US', 'United States'),
(27691, '66.48.90.0', '66.48.91.255', 1110465024, 1110465535, 'CA', 'Canada'),
(27692, '66.48.92.0', '66.48.93.255', 1110465536, 1110466047, 'US', 'United States'),
(27693, '66.48.94.0', '66.48.94.255', 1110466048, 1110466303, 'CA', 'Canada'),
(27694, '66.48.95.0', '66.48.95.255', 1110466304, 1110466559, 'US', 'United States'),
(27695, '66.48.96.0', '66.48.96.7', 1110466560, 1110466567, 'CA', 'Canada'),
(27696, '66.48.96.8', '66.48.96.255', 1110466568, 1110466815, 'US', 'United States'),
(27697, '66.48.97.0', '66.48.97.31', 1110466816, 1110466847, 'CA', 'Canada'),
(27698, '66.48.97.32', '66.48.99.255', 1110466848, 1110467583, 'US', 'United States'),
(27699, '66.48.100.0', '66.48.100.127', 1110467584, 1110467711, 'CA', 'Canada'),
(27700, '66.48.100.128', '66.48.118.255', 1110467712, 1110472447, 'US', 'United States'),
(27701, '66.48.119.0', '66.48.123.255', 1110472448, 1110473727, 'CA', 'Canada'),
(27702, '66.48.124.0', '66.48.124.255', 1110473728, 1110473983, 'US', 'United States'),
(27703, '66.48.125.0', '66.48.126.63', 1110473984, 1110474303, 'CA', 'Canada'),
(27704, '66.48.126.64', '66.48.126.255', 1110474304, 1110474495, 'US', 'United States'),
(27705, '66.48.127.0', '66.48.127.255', 1110474496, 1110474751, 'CA', 'Canada'),
(27706, '66.48.128.0', '66.49.127.255', 1110474752, 1110540287, 'US', 'United States'),
(27707, '66.49.128.0', '66.49.255.255', 1110540288, 1110573055, 'CA', 'Canada'),
(27708, '66.50.0.0', '66.50.55.255', 1110573056, 1110587391, 'PR', 'Puerto Rico'),
(27709, '66.50.56.0', '66.50.88.192', 1110587392, 1110595776, 'US', 'United States'),
(27710, '66.50.88.193', '66.50.255.255', 1110595777, 1110638591, 'PR', 'Puerto Rico'),
(27711, '66.51.0.0', '66.51.61.255', 1110638592, 1110654463, 'US', 'United States'),
(27712, '66.51.62.0', '66.51.62.255', 1110654464, 1110654719, 'HT', 'Haiti'),
(27713, '66.51.63.0', '66.51.95.255', 1110654720, 1110663167, 'US', 'United States'),
(27714, '66.51.96.0', '66.51.143.255', 1110663168, 1110675455, 'CA', 'Canada'),
(27715, '66.51.144.0', '66.51.159.255', 1110675456, 1110679551, 'US', 'United States'),
(27716, '66.51.160.0', '66.51.175.31', 1110679552, 1110683423, 'CA', 'Canada'),
(27717, '66.51.175.32', '66.51.175.39', 1110683424, 1110683431, 'US', 'United States'),
(27718, '66.51.175.40', '66.51.175.255', 1110683432, 1110683647, 'CA', 'Canada'),
(27719, '66.51.176.0', '66.51.239.255', 1110683648, 1110700031, 'US', 'United States'),
(27720, '66.51.240.0', '66.51.255.255', 1110700032, 1110704127, 'CA', 'Canada'),
(27721, '66.52.0.0', '66.54.79.255', 1110704128, 1110855679, 'US', 'United States'),
(27722, '66.54.80.0', '66.54.83.255', 1110855680, 1110856703, 'CN', 'China'),
(27723, '66.54.84.0', '66.54.87.255', 1110856704, 1110857727, 'IN', 'India'),
(27724, '66.54.88.0', '66.54.91.255', 1110857728, 1110858751, 'SG', 'Singapore'),
(27725, '66.54.92.0', '66.54.111.255', 1110858752, 1110863871, 'US', 'United States'),
(27726, '66.54.112.0', '66.54.119.255', 1110863872, 1110865919, 'JM', 'Jamaica'),
(27727, '66.54.120.0', '66.54.125.255', 1110865920, 1110867455, 'KY', 'Cayman Islands'),
(27728, '66.54.126.0', '66.54.127.255', 1110867456, 1110867967, 'JM', 'Jamaica'),
(27729, '66.54.128.0', '66.54.139.31', 1110867968, 1110870815, 'US', 'United States'),
(27730, '66.54.139.32', '66.54.139.63', 1110870816, 1110870847, 'HK', 'Hong Kong'),
(27731, '66.54.139.64', '66.54.139.135', 1110870848, 1110870919, 'US', 'United States'),
(27732, '66.54.139.136', '66.54.139.143', 1110870920, 1110870927, 'JP', 'Japan'),
(27733, '66.54.139.144', '66.54.203.255', 1110870928, 1110887423, 'US', 'United States'),
(27734, '66.54.204.0', '66.54.204.255', 1110887424, 1110887679, 'IE', 'Ireland'),
(27735, '66.54.205.0', '66.55.111.255', 1110887680, 1110929407, 'US', 'United States'),
(27736, '66.55.112.0', '66.55.127.255', 1110929408, 1110933503, 'BM', 'Bermuda'),
(27737, '66.55.128.0', '66.55.156.79', 1110933504, 1110940751, 'US', 'United States'),
(27738, '66.55.156.80', '66.55.156.95', 1110940752, 1110940767, 'A1', 'Anonymous Proxy'),
(27739, '66.55.156.96', '66.59.127.255', 1110940768, 1111195647, 'US', 'United States'),
(27740, '66.59.128.0', '66.59.191.255', 1111195648, 1111212031, 'CA', 'Canada'),
(27741, '66.59.192.0', '66.59.255.255', 1111212032, 1111228415, 'US', 'United States'),
(27742, '66.60.0.0', '66.60.63.255', 1111228416, 1111244799, 'AR', 'Argentina'),
(27743, '66.60.64.0', '66.70.20.9', 1111244800, 1111888905, 'US', 'United States'),
(27744, '66.70.20.10', '66.70.20.19', 1111888906, 1111888915, 'IN', 'India'),
(27745, '66.70.20.20', '66.70.64.63', 1111888916, 1111900223, 'US', 'United States'),
(27746, '66.70.64.64', '66.70.64.127', 1111900224, 1111900287, 'NL', 'Netherlands'),
(27747, '66.70.64.128', '66.70.70.109', 1111900288, 1111901805, 'US', 'United States'),
(27748, '66.70.70.110', '66.70.70.119', 1111901806, 1111901815, 'GB', 'United Kingdom'),
(27749, '66.70.70.120', '66.77.57.255', 1111901816, 1112357375, 'US', 'United States'),
(27750, '66.77.58.0', '66.77.58.127', 1112357376, 1112357503, 'CA', 'Canada'),
(27751, '66.77.58.128', '66.77.71.255', 1112357504, 1112360959, 'US', 'United States'),
(27752, '66.77.72.0', '66.77.72.63', 1112360960, 1112361023, 'CA', 'Canada'),
(27753, '66.77.72.64', '66.78.95.255', 1112361024, 1112432639, 'US', 'United States'),
(27754, '66.78.96.0', '66.78.127.255', 1112432640, 1112440831, 'CA', 'Canada'),
(27755, '66.78.128.0', '66.79.223.255', 1112440832, 1112530943, 'US', 'United States'),
(27756, '66.79.224.0', '66.79.255.255', 1112530944, 1112539135, 'CA', 'Canada'),
(27757, '66.80.0.0', '66.85.130.191', 1112539136, 1112900287, 'US', 'United States'),
(27758, '66.85.130.192', '66.85.130.255', 1112900288, 1112900351, 'GB', 'United Kingdom'),
(27759, '66.85.131.0', '66.85.132.103', 1112900352, 1112900711, 'US', 'United States'),
(27760, '66.85.132.104', '66.85.132.111', 1112900712, 1112900719, 'MV', 'Maldives'),
(27761, '66.85.132.112', '66.85.132.255', 1112900720, 1112900863, 'US', 'United States'),
(27762, '66.85.133.0', '66.85.137.255', 1112900864, 1112902143, 'A1', 'Anonymous Proxy'),
(27763, '66.85.138.0', '66.85.139.255', 1112902144, 1112902655, 'US', 'United States'),
(27764, '66.85.140.0', '66.85.140.255', 1112902656, 1112902911, 'A1', 'Anonymous Proxy'),
(27765, '66.85.141.0', '66.85.144.31', 1112902912, 1112903711, 'US', 'United States'),
(27766, '66.85.144.32', '66.85.144.39', 1112903712, 1112903719, 'TR', 'Turkey'),
(27767, '66.85.144.40', '66.85.144.255', 1112903720, 1112903935, 'US', 'United States'),
(27768, '66.85.145.0', '66.85.145.63', 1112903936, 1112903999, 'GB', 'United Kingdom'),
(27769, '66.85.145.64', '66.85.146.255', 1112904000, 1112904447, 'US', 'United States'),
(27770, '66.85.147.0', '66.85.147.63', 1112904448, 1112904511, 'GB', 'United Kingdom'),
(27771, '66.85.147.64', '66.85.150.191', 1112904512, 1112905407, 'US', 'United States'),
(27772, '66.85.150.192', '66.85.150.255', 1112905408, 1112905471, 'GB', 'United Kingdom'),
(27773, '66.85.151.0', '66.85.154.127', 1112905472, 1112906367, 'US', 'United States'),
(27774, '66.85.154.128', '66.85.154.135', 1112906368, 1112906375, 'BR', 'Brazil'),
(27775, '66.85.154.136', '66.85.154.191', 1112906376, 1112906431, 'US', 'United States'),
(27776, '66.85.154.192', '66.85.154.199', 1112906432, 1112906439, 'GB', 'United Kingdom'),
(27777, '66.85.154.200', '66.85.156.191', 1112906440, 1112906943, 'US', 'United States'),
(27778, '66.85.156.192', '66.85.156.207', 1112906944, 1112906959, 'BR', 'Brazil'),
(27779, '66.85.156.208', '66.85.159.255', 1112906960, 1112907775, 'US', 'United States'),
(27780, '66.85.160.0', '66.85.160.7', 1112907776, 1112907783, 'CA', 'Canada'),
(27781, '66.85.160.8', '66.85.160.143', 1112907784, 1112907919, 'US', 'United States'),
(27782, '66.85.160.144', '66.85.160.159', 1112907920, 1112907935, 'EG', 'Egypt'),
(27783, '66.85.160.160', '66.90.70.63', 1112907936, 1113212479, 'US', 'United States'),
(27784, '66.90.70.64', '66.90.70.79', 1113212480, 1113212495, 'CA', 'Canada'),
(27785, '66.90.70.80', '66.96.15.255', 1113212496, 1113591807, 'US', 'United States'),
(27786, '66.96.16.0', '66.96.31.255', 1113591808, 1113595903, 'CA', 'Canada'),
(27787, '66.96.32.0', '66.96.33.255', 1113595904, 1113596415, 'CL', 'Chile'),
(27788, '66.96.34.0', '66.96.35.255', 1113596416, 1113596927, 'GT', 'Guatemala'),
(27789, '66.96.36.0', '66.96.36.255', 1113596928, 1113597183, 'PE', 'Peru'),
(27790, '66.96.37.0', '66.96.37.255', 1113597184, 1113597439, 'US', 'United States'),
(27791, '66.96.38.0', '66.96.38.255', 1113597440, 1113597695, 'PE', 'Peru'),
(27792, '66.96.39.0', '66.96.41.255', 1113597696, 1113598463, 'PA', 'Panama'),
(27793, '66.96.42.0', '66.96.45.255', 1113598464, 1113599487, 'US', 'United States'),
(27794, '66.96.46.0', '66.96.47.255', 1113599488, 1113599999, 'VE', 'Venezuela'),
(27795, '66.96.48.0', '66.96.48.255', 1113600000, 1113600255, 'US', 'United States'),
(27796, '66.96.49.0', '66.96.59.255', 1113600256, 1113603071, 'VE', 'Venezuela'),
(27797, '66.96.60.0', '66.96.60.255', 1113603072, 1113603327, 'CL', 'Chile'),
(27798, '66.96.61.0', '66.96.61.255', 1113603328, 1113603583, 'SV', 'El Salvador'),
(27799, '66.96.62.0', '66.96.62.255', 1113603584, 1113603839, 'US', 'United States'),
(27800, '66.96.63.0', '66.96.63.255', 1113603840, 1113604095, 'CA', 'Canada'),
(27801, '66.96.64.0', '66.97.15.255', 1113604096, 1113657343, 'US', 'United States'),
(27802, '66.97.16.0', '66.97.31.255', 1113657344, 1113661439, 'CA', 'Canada'),
(27803, '66.97.32.0', '66.97.169.63', 1113661440, 1113696575, 'US', 'United States'),
(27804, '66.97.169.64', '66.97.169.127', 1113696576, 1113696639, 'CA', 'Canada'),
(27805, '66.97.169.128', '66.97.170.63', 1113696640, 1113696831, 'US', 'United States'),
(27806, '66.97.170.64', '66.97.170.127', 1113696832, 1113696895, 'CA', 'Canada'),
(27807, '66.97.170.128', '66.97.255.255', 1113696896, 1113718783, 'US', 'United States'),
(27808, '66.98.0.0', '66.98.95.255', 1113718784, 1113743359, 'DO', 'Dominican Republic'),
(27809, '66.98.96.0', '66.98.130.119', 1113743360, 1113752183, 'US', 'United States'),
(27810, '66.98.130.120', '66.98.130.120', 1113752184, 1113752184, 'A1', 'Anonymous Proxy'),
(27811, '66.98.130.121', '66.98.130.242', 1113752185, 1113752306, 'US', 'United States'),
(27812, '66.98.130.243', '66.98.130.243', 1113752307, 1113752307, 'A1', 'Anonymous Proxy'),
(27813, '66.98.130.244', '66.98.131.12', 1113752308, 1113752332, 'US', 'United States'),
(27814, '66.98.131.13', '66.98.131.13', 1113752333, 1113752333, 'AE', 'United Arab Emirates'),
(27815, '66.98.131.14', '66.98.131.114', 1113752334, 1113752434, 'US', 'United States'),
(27816, '66.98.131.115', '66.98.131.115', 1113752435, 1113752435, 'A1', 'Anonymous Proxy'),
(27817, '66.98.131.116', '66.98.131.149', 1113752436, 1113752469, 'US', 'United States'),
(27818, '66.98.131.150', '66.98.131.150', 1113752470, 1113752470, 'A1', 'Anonymous Proxy'),
(27819, '66.98.131.151', '66.98.178.145', 1113752471, 1113764497, 'US', 'United States'),
(27820, '66.98.178.146', '66.98.178.146', 1113764498, 1113764498, 'A1', 'Anonymous Proxy'),
(27821, '66.98.178.147', '66.98.198.59', 1113764499, 1113769531, 'US', 'United States'),
(27822, '66.98.198.60', '66.98.199.59', 1113769532, 1113769787, 'A1', 'Anonymous Proxy'),
(27823, '66.98.199.60', '66.100.16.55', 1113769788, 1113854007, 'US', 'United States'),
(27824, '66.100.16.56', '66.100.16.63', 1113854008, 1113854015, 'CA', 'Canada'),
(27825, '66.100.16.64', '66.100.16.255', 1113854016, 1113854207, 'US', 'United States'),
(27826, '66.100.17.0', '66.100.17.255', 1113854208, 1113854463, 'CA', 'Canada'),
(27827, '66.100.18.0', '66.100.19.255', 1113854464, 1113854975, 'US', 'United States'),
(27828, '66.100.20.0', '66.100.21.255', 1113854976, 1113855487, 'CA', 'Canada'),
(27829, '66.100.22.0', '66.100.28.63', 1113855488, 1113857087, 'US', 'United States'),
(27830, '66.100.28.64', '66.100.28.127', 1113857088, 1113857151, 'CA', 'Canada'),
(27831, '66.100.28.128', '66.100.48.103', 1113857152, 1113862247, 'US', 'United States'),
(27832, '66.100.48.104', '66.100.48.111', 1113862248, 1113862255, 'MX', 'Mexico'),
(27833, '66.100.48.112', '66.100.58.31', 1113862256, 1113864735, 'US', 'United States'),
(27834, '66.100.58.32', '66.100.58.39', 1113864736, 1113864743, 'BR', 'Brazil'),
(27835, '66.100.58.40', '66.100.58.63', 1113864744, 1113864767, 'US', 'United States'),
(27836, '66.100.58.64', '66.100.58.79', 1113864768, 1113864783, 'VI', 'Virgin Islands, U.S.'),
(27837, '66.100.58.80', '66.100.125.15', 1113864784, 1113881871, 'US', 'United States'),
(27838, '66.100.125.16', '66.100.125.23', 1113881872, 1113881879, 'GB', 'United Kingdom'),
(27839, '66.100.125.24', '66.100.126.239', 1113881880, 1113882351, 'US', 'United States'),
(27840, '66.100.126.240', '66.100.126.247', 1113882352, 1113882359, 'CA', 'Canada'),
(27841, '66.100.126.248', '66.100.151.87', 1113882360, 1113888599, 'US', 'United States'),
(27842, '66.100.151.88', '66.100.151.95', 1113888600, 1113888607, 'CA', 'Canada'),
(27843, '66.100.151.96', '66.100.208.191', 1113888608, 1113903295, 'US', 'United States'),
(27844, '66.100.208.192', '66.100.208.255', 1113903296, 1113903359, 'CA', 'Canada'),
(27845, '66.100.209.0', '66.100.218.127', 1113903360, 1113905791, 'US', 'United States'),
(27846, '66.100.218.128', '66.100.218.143', 1113905792, 1113905807, 'CA', 'Canada'),
(27847, '66.100.218.144', '66.101.5.159', 1113905808, 1113916831, 'US', 'United States'),
(27848, '66.101.5.160', '66.101.5.167', 1113916832, 1113916839, 'GB', 'United Kingdom'),
(27849, '66.101.5.168', '66.101.15.151', 1113916840, 1113919383, 'US', 'United States'),
(27850, '66.101.15.152', '66.101.15.159', 1113919384, 1113919391, 'CA', 'Canada'),
(27851, '66.101.15.160', '66.101.32.255', 1113919392, 1113923839, 'US', 'United States'),
(27852, '66.101.33.0', '66.101.33.63', 1113923840, 1113923903, 'BR', 'Brazil'),
(27853, '66.101.33.64', '66.101.68.15', 1113923904, 1113932815, 'US', 'United States'),
(27854, '66.101.68.16', '66.101.68.23', 1113932816, 1113932823, 'CA', 'Canada'),
(27855, '66.101.68.24', '66.102.11.255', 1113932824, 1113983999, 'US', 'United States'),
(27856, '66.102.12.0', '66.102.12.255', 1113984000, 1113984255, 'NL', 'Netherlands'),
(27857, '66.102.13.0', '66.102.63.255', 1113984256, 1113997311, 'US', 'United States'),
(27858, '66.102.64.0', '66.102.95.255', 1113997312, 1114005503, 'CA', 'Canada'),
(27859, '66.102.96.0', '66.103.31.255', 1114005504, 1114054655, 'US', 'United States'),
(27860, '66.103.32.0', '66.103.63.255', 1114054656, 1114062847, 'CA', 'Canada'),
(27861, '66.103.64.0', '66.103.191.255', 1114062848, 1114095615, 'US', 'United States'),
(27862, '66.103.192.0', '66.103.223.255', 1114095616, 1114103807, 'CA', 'Canada'),
(27863, '66.103.224.0', '66.104.226.239', 1114103808, 1114170095, 'US', 'United States'),
(27864, '66.104.226.240', '66.104.226.255', 1114170096, 1114170111, 'CA', 'Canada'),
(27865, '66.104.227.0', '66.109.255.255', 1114170112, 1114505215, 'US', 'United States'),
(27866, '66.110.0.0', '66.110.7.255', 1114505216, 1114507263, 'CA', 'Canada'),
(27867, '66.110.8.0', '66.110.8.31', 1114507264, 1114507295, 'US', 'United States'),
(27868, '66.110.8.32', '66.110.8.63', 1114507296, 1114507327, 'CA', 'Canada'),
(27869, '66.110.8.64', '66.110.8.127', 1114507328, 1114507391, 'US', 'United States'),
(27870, '66.110.8.128', '66.110.8.159', 1114507392, 1114507423, 'CA', 'Canada'),
(27871, '66.110.8.160', '66.110.8.167', 1114507424, 1114507431, 'GB', 'United Kingdom'),
(27872, '66.110.8.168', '66.110.11.255', 1114507432, 1114508287, 'CA', 'Canada'),
(27873, '66.110.12.0', '66.110.13.255', 1114508288, 1114508799, 'US', 'United States'),
(27874, '66.110.14.0', '66.110.23.255', 1114508800, 1114511359, 'CA', 'Canada'),
(27875, '66.110.24.0', '66.110.25.255', 1114511360, 1114511871, 'US', 'United States'),
(27876, '66.110.26.0', '66.110.31.255', 1114511872, 1114513407, 'CA', 'Canada'),
(27877, '66.110.32.0', '66.110.39.255', 1114513408, 1114515455, 'SA', 'Saudi Arabia'),
(27878, '66.110.40.0', '66.110.47.255', 1114515456, 1114517503, 'US', 'United States'),
(27879, '66.110.48.0', '66.110.55.255', 1114517504, 1114519551, 'CA', 'Canada'),
(27880, '66.110.56.0', '66.110.57.255', 1114519552, 1114520063, 'US', 'United States'),
(27881, '66.110.58.0', '66.110.58.255', 1114520064, 1114520319, 'PH', 'Philippines'),
(27882, '66.110.59.0', '66.110.59.255', 1114520320, 1114520575, 'US', 'United States'),
(27883, '66.110.60.0', '66.110.60.255', 1114520576, 1114520831, 'PH', 'Philippines'),
(27884, '66.110.61.0', '66.110.73.255', 1114520832, 1114524159, 'CA', 'Canada'),
(27885, '66.110.74.0', '66.110.75.255', 1114524160, 1114524671, 'ZA', 'South Africa'),
(27886, '66.110.76.0', '66.110.109.255', 1114524672, 1114533375, 'CA', 'Canada'),
(27887, '66.110.110.0', '66.110.111.255', 1114533376, 1114533887, 'ZA', 'South Africa'),
(27888, '66.110.112.0', '66.110.127.255', 1114533888, 1114537983, 'AO', 'Angola'),
(27889, '66.110.128.0', '66.110.175.255', 1114537984, 1114550271, 'CA', 'Canada'),
(27890, '66.110.176.0', '66.111.35.119', 1114550272, 1114579831, 'US', 'United States'),
(27891, '66.111.35.120', '66.111.35.120', 1114579832, 1114579832, 'A1', 'Anonymous Proxy'),
(27892, '66.111.35.121', '66.111.227.131', 1114579833, 1114628995, 'US', 'United States'),
(27893, '66.111.227.132', '66.111.227.132', 1114628996, 1114628996, 'A1', 'Anonymous Proxy'),
(27894, '66.111.227.133', '66.112.68.255', 1114628997, 1114653951, 'US', 'United States'),
(27895, '66.112.69.0', '66.112.69.31', 1114653952, 1114653983, 'MO', 'Macau'),
(27896, '66.112.69.32', '66.112.84.135', 1114653984, 1114657927, 'US', 'United States'),
(27897, '66.112.84.136', '66.112.84.143', 1114657928, 1114657935, 'LA', 'Lao People''s Democratic Republic'),
(27898, '66.112.84.144', '66.112.175.255', 1114657936, 1114681343, 'US', 'United States'),
(27899, '66.112.176.0', '66.112.191.255', 1114681344, 1114685439, 'CA', 'Canada'),
(27900, '66.112.192.0', '66.113.111.255', 1114685440, 1114730495, 'US', 'United States'),
(27901, '66.113.112.0', '66.113.127.255', 1114730496, 1114734591, 'CA', 'Canada'),
(27902, '66.113.128.0', '66.115.128.47', 1114734592, 1114865711, 'US', 'United States'),
(27903, '66.115.128.48', '66.115.128.63', 1114865712, 1114865727, 'CA', 'Canada'),
(27904, '66.115.128.64', '66.115.165.255', 1114865728, 1114875391, 'US', 'United States'),
(27905, '66.115.166.0', '66.115.168.255', 1114875392, 1114876159, 'CA', 'Canada'),
(27906, '66.115.169.0', '66.115.170.31', 1114876160, 1114876447, 'US', 'United States'),
(27907, '66.115.170.32', '66.115.170.47', 1114876448, 1114876463, 'CA', 'Canada'),
(27908, '66.115.170.48', '66.115.170.63', 1114876464, 1114876479, 'AD', 'Andorra'),
(27909, '66.115.170.64', '66.115.170.127', 1114876480, 1114876543, 'CA', 'Canada'),
(27910, '66.115.170.128', '66.115.170.159', 1114876544, 1114876575, 'GB', 'United Kingdom'),
(27911, '66.115.170.160', '66.115.171.239', 1114876576, 1114876911, 'US', 'United States'),
(27912, '66.115.171.240', '66.115.171.255', 1114876912, 1114876927, 'AD', 'Andorra'),
(27913, '66.115.172.0', '66.115.172.255', 1114876928, 1114877183, 'CA', 'Canada'),
(27914, '66.115.173.0', '66.115.173.255', 1114877184, 1114877439, 'CY', 'Cyprus'),
(27915, '66.115.174.0', '66.115.174.255', 1114877440, 1114877695, 'US', 'United States'),
(27916, '66.115.175.0', '66.115.175.63', 1114877696, 1114877759, 'SK', 'Slovakia'),
(27917, '66.115.175.64', '66.115.175.95', 1114877760, 1114877791, 'US', 'United States'),
(27918, '66.115.175.96', '66.115.175.111', 1114877792, 1114877807, 'CA', 'Canada'),
(27919, '66.115.175.112', '66.115.175.255', 1114877808, 1114877951, 'US', 'United States'),
(27920, '66.115.176.0', '66.115.176.255', 1114877952, 1114878207, 'PA', 'Panama'),
(27921, '66.115.177.0', '66.115.177.255', 1114878208, 1114878463, 'US', 'United States'),
(27922, '66.115.178.0', '66.115.178.255', 1114878464, 1114878719, 'NL', 'Netherlands'),
(27923, '66.115.179.0', '66.115.179.129', 1114878720, 1114878849, 'US', 'United States'),
(27924, '66.115.179.130', '66.115.180.1', 1114878850, 1114878977, 'LT', 'Lithuania'),
(27925, '66.115.180.2', '66.115.184.79', 1114878978, 1114880079, 'US', 'United States'),
(27926, '66.115.184.80', '66.115.184.95', 1114880080, 1114880095, 'CY', 'Cyprus'),
(27927, '66.115.184.96', '66.115.185.127', 1114880096, 1114880383, 'US', 'United States'),
(27928, '66.115.185.128', '66.115.185.143', 1114880384, 1114880399, 'CY', 'Cyprus'),
(27929, '66.115.185.144', '66.115.185.151', 1114880400, 1114880407, 'GB', 'United Kingdom'),
(27930, '66.115.185.152', '66.115.188.255', 1114880408, 1114881279, 'US', 'United States'),
(27931, '66.115.189.0', '66.115.189.127', 1114881280, 1114881407, 'CY', 'Cyprus'),
(27932, '66.115.189.128', '66.115.189.191', 1114881408, 1114881471, 'US', 'United States'),
(27933, '66.115.189.192', '66.115.189.255', 1114881472, 1114881535, 'CY', 'Cyprus'),
(27934, '66.115.190.0', '66.116.109.63', 1114881536, 1114926399, 'US', 'United States'),
(27935, '66.116.109.64', '66.116.109.95', 1114926400, 1114926431, 'NL', 'Netherlands'),
(27936, '66.116.109.96', '66.116.118.223', 1114926432, 1114928863, 'US', 'United States'),
(27937, '66.116.118.224', '66.116.118.231', 1114928864, 1114928871, 'GB', 'United Kingdom'),
(27938, '66.116.118.232', '66.116.119.175', 1114928872, 1114929071, 'US', 'United States'),
(27939, '66.116.119.176', '66.116.119.191', 1114929072, 1114929087, 'RU', 'Russian Federation'),
(27940, '66.116.119.192', '66.116.123.255', 1114929088, 1114930175, 'US', 'United States'),
(27941, '66.116.124.0', '66.116.124.127', 1114930176, 1114930303, 'GB', 'United Kingdom'),
(27942, '66.116.124.128', '66.117.11.31', 1114930304, 1114966815, 'US', 'United States'),
(27943, '66.117.11.32', '66.117.11.47', 1114966816, 1114966831, 'GB', 'United Kingdom'),
(27944, '66.117.11.48', '66.119.36.255', 1114966832, 1115104511, 'US', 'United States'),
(27945, '66.119.37.0', '66.119.37.127', 1115104512, 1115104639, 'CA', 'Canada'),
(27946, '66.119.37.128', '66.119.65.255', 1115104640, 1115111935, 'US', 'United States'),
(27947, '66.119.66.0', '66.119.66.127', 1115111936, 1115112063, 'PR', 'Puerto Rico'),
(27948, '66.119.66.128', '66.119.66.143', 1115112064, 1115112079, 'US', 'United States'),
(27949, '66.119.66.144', '66.119.66.151', 1115112080, 1115112087, 'ES', 'Spain'),
(27950, '66.119.66.152', '66.119.68.127', 1115112088, 1115112575, 'US', 'United States'),
(27951, '66.119.68.128', '66.119.68.159', 1115112576, 1115112607, 'IN', 'India'),
(27952, '66.119.68.160', '66.119.71.255', 1115112608, 1115113471, 'US', 'United States'),
(27953, '66.119.72.0', '66.119.75.255', 1115113472, 1115114495, 'HN', 'Honduras'),
(27954, '66.119.76.0', '66.119.76.255', 1115114496, 1115114751, 'MX', 'Mexico'),
(27955, '66.119.77.0', '66.119.77.255', 1115114752, 1115115007, 'GT', 'Guatemala'),
(27956, '66.119.78.0', '66.119.79.255', 1115115008, 1115115519, 'US', 'United States'),
(27957, '66.119.80.0', '66.119.83.255', 1115115520, 1115116543, 'HN', 'Honduras'),
(27958, '66.119.84.0', '66.119.85.255', 1115116544, 1115117055, 'US', 'United States'),
(27959, '66.119.86.0', '66.119.86.255', 1115117056, 1115117311, 'GB', 'United Kingdom'),
(27960, '66.119.87.0', '66.119.87.255', 1115117312, 1115117567, 'US', 'United States'),
(27961, '66.119.88.0', '66.119.91.255', 1115117568, 1115118591, 'HN', 'Honduras'),
(27962, '66.119.92.0', '66.119.95.255', 1115118592, 1115119615, 'SV', 'El Salvador'),
(27963, '66.119.96.0', '66.119.127.255', 1115119616, 1115127807, 'US', 'United States'),
(27964, '66.119.128.0', '66.119.143.255', 1115127808, 1115131903, 'CA', 'Canada'),
(27965, '66.119.144.0', '66.119.159.255', 1115131904, 1115135999, 'US', 'United States'),
(27966, '66.119.160.0', '66.119.170.111', 1115136000, 1115138671, 'CA', 'Canada'),
(27967, '66.119.170.112', '66.119.170.119', 1115138672, 1115138679, 'US', 'United States'),
(27968, '66.119.170.120', '66.119.191.255', 1115138680, 1115144191, 'CA', 'Canada'),
(27969, '66.119.192.0', '66.128.31.255', 1115144192, 1115693055, 'US', 'United States'),
(27970, '66.128.48.0', '66.128.48.23', 1115697152, 1115697175, 'US', 'United States'),
(27971, '66.128.48.24', '66.128.48.31', 1115697176, 1115697183, 'AU', 'Australia'),
(27972, '66.128.48.32', '66.128.48.47', 1115697184, 1115697199, 'US', 'United States'),
(27973, '66.128.48.48', '66.128.48.55', 1115697200, 1115697207, 'ID', 'Indonesia'),
(27974, '66.128.48.56', '66.128.48.63', 1115697208, 1115697215, 'US', 'United States'),
(27975, '66.128.48.64', '66.128.48.71', 1115697216, 1115697223, 'ID', 'Indonesia'),
(27976, '66.128.48.72', '66.128.48.79', 1115697224, 1115697231, 'CA', 'Canada'),
(27977, '66.128.48.80', '66.128.48.111', 1115697232, 1115697263, 'US', 'United States'),
(27978, '66.128.48.112', '66.128.48.127', 1115697264, 1115697279, 'IN', 'India'),
(27979, '66.128.48.128', '66.128.50.151', 1115697280, 1115697815, 'US', 'United States'),
(27980, '66.128.50.152', '66.128.50.159', 1115697816, 1115697823, 'DO', 'Dominican Republic'),
(27981, '66.128.50.160', '66.128.51.23', 1115697824, 1115697943, 'US', 'United States'),
(27982, '66.128.51.24', '66.128.51.31', 1115697944, 1115697951, 'MX', 'Mexico'),
(27983, '66.128.51.32', '66.128.51.41', 1115697952, 1115697961, 'DO', 'Dominican Republic'),
(27984, '66.128.51.42', '66.128.51.79', 1115697962, 1115697999, 'US', 'United States'),
(27985, '66.128.51.80', '66.128.51.87', 1115698000, 1115698007, 'DO', 'Dominican Republic'),
(27986, '66.128.51.88', '66.128.51.207', 1115698008, 1115698127, 'US', 'United States'),
(27987, '66.128.51.208', '66.128.51.215', 1115698128, 1115698135, 'DO', 'Dominican Republic'),
(27988, '66.128.51.216', '66.128.52.255', 1115698136, 1115698431, 'US', 'United States'),
(27989, '66.128.53.0', '66.128.53.255', 1115698432, 1115698687, 'DO', 'Dominican Republic'),
(27990, '66.128.54.0', '66.128.54.95', 1115698688, 1115698783, 'US', 'United States'),
(27991, '66.128.54.96', '66.128.54.103', 1115698784, 1115698791, 'CO', 'Colombia'),
(27992, '66.128.54.104', '66.128.58.191', 1115698792, 1115699903, 'US', 'United States'),
(27993, '66.128.58.192', '66.128.58.199', 1115699904, 1115699911, 'CA', 'Canada'),
(27994, '66.128.58.200', '66.128.58.207', 1115699912, 1115699919, 'US', 'United States'),
(27995, '66.128.58.208', '66.128.58.215', 1115699920, 1115699927, 'CA', 'Canada'),
(27996, '66.128.58.216', '66.128.59.255', 1115699928, 1115700223, 'US', 'United States'),
(27997, '66.128.60.0', '66.128.60.255', 1115700224, 1115700479, 'DO', 'Dominican Republic'),
(27998, '66.128.61.0', '66.128.61.255', 1115700480, 1115700735, 'US', 'United States'),
(27999, '66.128.62.0', '66.128.62.7', 1115700736, 1115700743, 'CA', 'Canada'),
(28000, '66.128.62.8', '66.128.79.255', 1115700744, 1115705343, 'US', 'United States'),
(28001, '66.128.80.0', '66.128.95.255', 1115705344, 1115709439, 'CA', 'Canada'),
(28002, '66.128.96.0', '66.129.70.31', 1115709440, 1115768351, 'US', 'United States'),
(28003, '66.129.70.32', '66.129.70.47', 1115768352, 1115768367, 'CA', 'Canada'),
(28004, '66.129.70.48', '66.129.95.79', 1115768368, 1115774799, 'US', 'United States'),
(28005, '66.129.95.80', '66.129.95.95', 1115774800, 1115774815, 'A2', 'Satellite Provider'),
(28006, '66.129.95.96', '66.129.112.143', 1115774816, 1115779215, 'US', 'United States'),
(28007, '66.129.112.144', '66.129.112.151', 1115779216, 1115779223, 'CA', 'Canada'),
(28008, '66.129.112.152', '66.129.127.255', 1115779224, 1115783167, 'US', 'United States'),
(28009, '66.129.128.0', '66.129.133.151', 1115783168, 1115784599, 'CA', 'Canada'),
(28010, '66.129.133.152', '66.129.133.159', 1115784600, 1115784607, 'US', 'United States'),
(28011, '66.129.133.160', '66.129.159.255', 1115784608, 1115791359, 'CA', 'Canada'),
(28012, '66.129.160.0', '66.129.175.255', 1115791360, 1115795455, 'PR', 'Puerto Rico'),
(28013, '66.129.176.0', '66.129.191.255', 1115795456, 1115799551, 'CA', 'Canada'),
(28014, '66.129.192.0', '66.129.255.255', 1115799552, 1115815935, 'US', 'United States'),
(28015, '66.130.0.0', '66.131.255.255', 1115815936, 1115947007, 'CA', 'Canada'),
(28016, '66.132.0.0', '66.133.5.255', 1115947008, 1116014079, 'US', 'United States'),
(28017, '66.133.6.0', '66.133.6.255', 1116014080, 1116014335, 'A2', 'Satellite Provider'),
(28018, '66.133.7.0', '66.133.7.255', 1116014336, 1116014591, 'US', 'United States'),
(28019, '66.133.8.0', '66.133.8.255', 1116014592, 1116014847, 'A2', 'Satellite Provider'),
(28020, '66.133.9.0', '66.133.12.255', 1116014848, 1116015871, 'US', 'United States'),
(28021, '66.133.13.0', '66.133.13.255', 1116015872, 1116016127, 'A2', 'Satellite Provider'),
(28022, '66.133.14.0', '66.133.33.255', 1116016128, 1116021247, 'US', 'United States'),
(28023, '66.133.34.0', '66.133.34.255', 1116021248, 1116021503, 'CI', 'Cote D''Ivoire'),
(28024, '66.133.35.0', '66.133.56.255', 1116021504, 1116027135, 'US', 'United States'),
(28025, '66.133.57.0', '66.133.59.255', 1116027136, 1116027903, 'A2', 'Satellite Provider'),
(28026, '66.133.60.0', '66.133.114.63', 1116027904, 1116041791, 'US', 'United States'),
(28027, '66.133.114.64', '66.133.114.79', 1116041792, 1116041807, 'CA', 'Canada'),
(28028, '66.133.114.80', '66.135.42.207', 1116041808, 1116154575, 'US', 'United States'),
(28029, '66.135.42.208', '66.135.42.223', 1116154576, 1116154591, 'AE', 'United Arab Emirates'),
(28030, '66.135.42.224', '66.135.57.63', 1116154592, 1116158271, 'US', 'United States'),
(28031, '66.135.57.64', '66.135.57.127', 1116158272, 1116158335, 'CA', 'Canada'),
(28032, '66.135.57.128', '66.135.57.255', 1116158336, 1116158463, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(28033, '66.135.58.0', '66.135.58.31', 1116158464, 1116158495, 'AU', 'Australia'),
(28034, '66.135.58.32', '66.135.58.159', 1116158496, 1116158623, 'US', 'United States'),
(28035, '66.135.58.160', '66.135.58.255', 1116158624, 1116158719, 'CA', 'Canada'),
(28036, '66.135.59.0', '66.135.62.31', 1116158720, 1116159519, 'US', 'United States'),
(28037, '66.135.62.32', '66.135.62.47', 1116159520, 1116159535, 'BR', 'Brazil'),
(28038, '66.135.62.48', '66.135.95.255', 1116159536, 1116168191, 'US', 'United States'),
(28039, '66.135.96.0', '66.135.100.95', 1116168192, 1116169311, 'CA', 'Canada'),
(28040, '66.135.100.96', '66.135.100.111', 1116169312, 1116169327, 'US', 'United States'),
(28041, '66.135.100.112', '66.135.122.255', 1116169328, 1116175103, 'CA', 'Canada'),
(28042, '66.135.123.0', '66.135.123.31', 1116175104, 1116175135, 'JM', 'Jamaica'),
(28043, '66.135.123.32', '66.135.127.255', 1116175136, 1116176383, 'CA', 'Canada'),
(28044, '66.135.128.0', '66.139.76.177', 1116176384, 1116425393, 'US', 'United States'),
(28045, '66.139.76.178', '66.139.76.178', 1116425394, 1116425394, 'A1', 'Anonymous Proxy'),
(28046, '66.139.76.179', '66.141.7.63', 1116425395, 1116538687, 'US', 'United States'),
(28047, '66.141.7.64', '66.141.7.79', 1116538688, 1116538703, 'UA', 'Ukraine'),
(28048, '66.141.7.80', '66.146.127.255', 1116538704, 1116897279, 'US', 'United States'),
(28049, '66.146.128.0', '66.146.159.255', 1116897280, 1116905471, 'CA', 'Canada'),
(28050, '66.146.160.0', '66.150.43.255', 1116905472, 1117137919, 'US', 'United States'),
(28051, '66.150.44.0', '66.150.44.255', 1117137920, 1117138175, 'CA', 'Canada'),
(28052, '66.150.45.0', '66.150.60.255', 1117138176, 1117142271, 'US', 'United States'),
(28053, '66.150.61.0', '66.150.61.255', 1117142272, 1117142527, 'CA', 'Canada'),
(28054, '66.150.62.0', '66.150.142.15', 1117142528, 1117163023, 'US', 'United States'),
(28055, '66.150.142.16', '66.150.142.23', 1117163024, 1117163031, 'CA', 'Canada'),
(28056, '66.150.142.24', '66.150.160.239', 1117163032, 1117167855, 'US', 'United States'),
(28057, '66.150.160.240', '66.150.160.255', 1117167856, 1117167871, 'GB', 'United Kingdom'),
(28058, '66.150.161.0', '66.150.167.95', 1117167872, 1117169503, 'US', 'United States'),
(28059, '66.150.167.96', '66.150.167.127', 1117169504, 1117169535, 'CA', 'Canada'),
(28060, '66.150.167.128', '66.150.173.127', 1117169536, 1117171071, 'US', 'United States'),
(28061, '66.150.173.128', '66.150.173.159', 1117171072, 1117171103, 'CA', 'Canada'),
(28062, '66.150.173.160', '66.150.201.175', 1117171104, 1117178287, 'US', 'United States'),
(28063, '66.150.201.176', '66.150.201.191', 1117178288, 1117178303, 'GB', 'United Kingdom'),
(28064, '66.150.201.192', '66.150.247.63', 1117178304, 1117189951, 'US', 'United States'),
(28065, '66.150.247.64', '66.150.247.127', 1117189952, 1117190015, 'KR', 'Korea, Republic of'),
(28066, '66.150.247.128', '66.151.14.215', 1117190016, 1117195991, 'US', 'United States'),
(28067, '66.151.14.216', '66.151.14.223', 1117195992, 1117195999, 'A2', 'Satellite Provider'),
(28068, '66.151.14.224', '66.151.24.255', 1117196000, 1117198591, 'US', 'United States'),
(28069, '66.151.25.0', '66.151.25.255', 1117198592, 1117198847, 'CA', 'Canada'),
(28070, '66.151.26.0', '66.152.63.255', 1117198848, 1117274111, 'US', 'United States'),
(28071, '66.152.64.0', '66.152.95.255', 1117274112, 1117282303, 'CA', 'Canada'),
(28072, '66.152.96.0', '66.152.163.159', 1117282304, 1117299615, 'US', 'United States'),
(28073, '66.152.163.160', '66.152.163.167', 1117299616, 1117299623, 'GB', 'United Kingdom'),
(28074, '66.152.163.168', '66.152.177.63', 1117299624, 1117303103, 'US', 'United States'),
(28075, '66.152.177.64', '66.152.177.127', 1117303104, 1117303167, 'CA', 'Canada'),
(28076, '66.152.177.128', '66.152.187.71', 1117303168, 1117305671, 'US', 'United States'),
(28077, '66.152.187.72', '66.152.187.79', 1117305672, 1117305679, 'GB', 'United Kingdom'),
(28078, '66.152.187.80', '66.154.80.63', 1117305680, 1117409343, 'US', 'United States'),
(28079, '66.154.80.64', '66.154.80.71', 1117409344, 1117409351, 'GB', 'United Kingdom'),
(28080, '66.154.80.72', '66.154.81.247', 1117409352, 1117409783, 'US', 'United States'),
(28081, '66.154.81.248', '66.154.81.255', 1117409784, 1117409791, 'GB', 'United Kingdom'),
(28082, '66.154.82.0', '66.154.83.191', 1117409792, 1117410239, 'US', 'United States'),
(28083, '66.154.83.192', '66.154.83.255', 1117410240, 1117410303, 'GB', 'United Kingdom'),
(28084, '66.154.84.0', '66.154.95.255', 1117410304, 1117413375, 'US', 'United States'),
(28085, '66.154.96.0', '66.154.103.255', 1117413376, 1117415423, 'CA', 'Canada'),
(28086, '66.154.104.0', '66.154.106.255', 1117415424, 1117416191, 'AN', 'Netherlands Antilles'),
(28087, '66.154.107.0', '66.154.107.255', 1117416192, 1117416447, 'CA', 'Canada'),
(28088, '66.154.108.0', '66.154.108.255', 1117416448, 1117416703, 'US', 'United States'),
(28089, '66.154.109.0', '66.154.110.255', 1117416704, 1117417215, 'CA', 'Canada'),
(28090, '66.154.111.0', '66.154.111.7', 1117417216, 1117417223, 'US', 'United States'),
(28091, '66.154.111.8', '66.154.111.15', 1117417224, 1117417231, 'CA', 'Canada'),
(28092, '66.154.111.16', '66.154.111.23', 1117417232, 1117417239, 'US', 'United States'),
(28093, '66.154.111.24', '66.154.111.31', 1117417240, 1117417247, 'CA', 'Canada'),
(28094, '66.154.111.32', '66.154.111.47', 1117417248, 1117417263, 'US', 'United States'),
(28095, '66.154.111.48', '66.154.111.63', 1117417264, 1117417279, 'CA', 'Canada'),
(28096, '66.154.111.64', '66.154.111.127', 1117417280, 1117417343, 'US', 'United States'),
(28097, '66.154.111.128', '66.154.116.159', 1117417344, 1117418655, 'CA', 'Canada'),
(28098, '66.154.116.160', '66.154.116.175', 1117418656, 1117418671, 'US', 'United States'),
(28099, '66.154.116.176', '66.154.120.255', 1117418672, 1117419775, 'CA', 'Canada'),
(28100, '66.154.121.0', '66.154.121.255', 1117419776, 1117420031, 'US', 'United States'),
(28101, '66.154.122.0', '66.154.123.127', 1117420032, 1117420415, 'CA', 'Canada'),
(28102, '66.154.123.128', '66.154.123.159', 1117420416, 1117420447, 'US', 'United States'),
(28103, '66.154.123.160', '66.154.125.255', 1117420448, 1117421055, 'CA', 'Canada'),
(28104, '66.154.126.0', '66.154.126.255', 1117421056, 1117421311, 'US', 'United States'),
(28105, '66.154.127.0', '66.154.127.255', 1117421312, 1117421567, 'CA', 'Canada'),
(28106, '66.154.128.0', '66.158.127.255', 1117421568, 1117683711, 'US', 'United States'),
(28107, '66.158.128.0', '66.158.159.255', 1117683712, 1117691903, 'CA', 'Canada'),
(28108, '66.158.160.0', '66.159.31.255', 1117691904, 1117724671, 'US', 'United States'),
(28109, '66.159.32.0', '66.159.47.255', 1117724672, 1117728767, 'CA', 'Canada'),
(28110, '66.159.48.0', '66.159.111.255', 1117728768, 1117745151, 'US', 'United States'),
(28111, '66.159.112.0', '66.159.127.255', 1117745152, 1117749247, 'CA', 'Canada'),
(28112, '66.159.128.0', '66.160.56.223', 1117749248, 1117796575, 'US', 'United States'),
(28113, '66.160.56.224', '66.160.56.239', 1117796576, 1117796591, 'CA', 'Canada'),
(28114, '66.160.56.240', '66.160.128.39', 1117796592, 1117814823, 'US', 'United States'),
(28115, '66.160.128.40', '66.160.128.47', 1117814824, 1117814831, 'CN', 'China'),
(28116, '66.160.128.48', '66.160.129.255', 1117814832, 1117815295, 'US', 'United States'),
(28117, '66.160.130.0', '66.160.130.255', 1117815296, 1117815551, 'CN', 'China'),
(28118, '66.160.131.0', '66.160.140.63', 1117815552, 1117817919, 'US', 'United States'),
(28119, '66.160.140.64', '66.160.140.127', 1117817920, 1117817983, 'CA', 'Canada'),
(28120, '66.160.140.128', '66.160.144.95', 1117817984, 1117818975, 'US', 'United States'),
(28121, '66.160.144.96', '66.160.144.111', 1117818976, 1117818991, 'HK', 'Hong Kong'),
(28122, '66.160.144.112', '66.160.146.239', 1117818992, 1117819631, 'US', 'United States'),
(28123, '66.160.146.240', '66.160.146.255', 1117819632, 1117819647, 'AE', 'United Arab Emirates'),
(28124, '66.160.147.0', '66.160.157.255', 1117819648, 1117822463, 'US', 'United States'),
(28125, '66.160.158.0', '66.160.158.63', 1117822464, 1117822527, 'CA', 'Canada'),
(28126, '66.160.158.64', '66.160.160.255', 1117822528, 1117823231, 'US', 'United States'),
(28127, '66.160.161.0', '66.160.161.255', 1117823232, 1117823487, 'CA', 'Canada'),
(28128, '66.160.162.0', '66.160.162.255', 1117823488, 1117823743, 'CN', 'China'),
(28129, '66.160.163.0', '66.160.163.255', 1117823744, 1117823999, 'US', 'United States'),
(28130, '66.160.164.0', '66.160.165.255', 1117824000, 1117824511, 'GR', 'Greece'),
(28131, '66.160.166.0', '66.160.184.255', 1117824512, 1117829375, 'US', 'United States'),
(28132, '66.160.185.0', '66.160.185.255', 1117829376, 1117829631, 'GR', 'Greece'),
(28133, '66.160.186.0', '66.160.192.191', 1117829632, 1117831359, 'US', 'United States'),
(28134, '66.160.192.192', '66.160.192.255', 1117831360, 1117831423, 'A2', 'Satellite Provider'),
(28135, '66.160.193.0', '66.162.255.255', 1117831424, 1117978623, 'US', 'United States'),
(28136, '66.163.0.0', '66.163.3.111', 1117978624, 1117979503, 'CA', 'Canada'),
(28137, '66.163.3.112', '66.163.3.127', 1117979504, 1117979519, 'US', 'United States'),
(28138, '66.163.3.128', '66.163.15.175', 1117979520, 1117982639, 'CA', 'Canada'),
(28139, '66.163.15.176', '66.163.15.191', 1117982640, 1117982655, 'US', 'United States'),
(28140, '66.163.15.192', '66.163.17.23', 1117982656, 1117982999, 'CA', 'Canada'),
(28141, '66.163.17.24', '66.163.17.31', 1117983000, 1117983007, 'US', 'United States'),
(28142, '66.163.17.32', '66.163.17.47', 1117983008, 1117983023, 'CA', 'Canada'),
(28143, '66.163.17.48', '66.163.17.63', 1117983024, 1117983039, 'US', 'United States'),
(28144, '66.163.17.64', '66.163.17.239', 1117983040, 1117983215, 'CA', 'Canada'),
(28145, '66.163.17.240', '66.163.17.247', 1117983216, 1117983223, 'US', 'United States'),
(28146, '66.163.17.248', '66.163.20.87', 1117983224, 1117983831, 'CA', 'Canada'),
(28147, '66.163.20.88', '66.163.20.95', 1117983832, 1117983839, 'US', 'United States'),
(28148, '66.163.20.96', '66.163.21.23', 1117983840, 1117984023, 'CA', 'Canada'),
(28149, '66.163.21.24', '66.163.21.47', 1117984024, 1117984047, 'US', 'United States'),
(28150, '66.163.21.48', '66.163.25.31', 1117984048, 1117985055, 'CA', 'Canada'),
(28151, '66.163.25.32', '66.163.25.55', 1117985056, 1117985079, 'US', 'United States'),
(28152, '66.163.25.56', '66.163.26.143', 1117985080, 1117985423, 'CA', 'Canada'),
(28153, '66.163.26.144', '66.163.26.167', 1117985424, 1117985447, 'US', 'United States'),
(28154, '66.163.26.168', '66.163.26.183', 1117985448, 1117985463, 'CA', 'Canada'),
(28155, '66.163.26.184', '66.163.26.191', 1117985464, 1117985471, 'US', 'United States'),
(28156, '66.163.26.192', '66.163.27.79', 1117985472, 1117985615, 'CA', 'Canada'),
(28157, '66.163.27.80', '66.163.27.111', 1117985616, 1117985647, 'US', 'United States'),
(28158, '66.163.27.112', '66.163.27.231', 1117985648, 1117985767, 'CA', 'Canada'),
(28159, '66.163.27.232', '66.163.27.239', 1117985768, 1117985775, 'US', 'United States'),
(28160, '66.163.27.240', '66.163.31.15', 1117985776, 1117986575, 'CA', 'Canada'),
(28161, '66.163.31.16', '66.163.31.127', 1117986576, 1117986687, 'US', 'United States'),
(28162, '66.163.31.128', '66.163.31.255', 1117986688, 1117986815, 'CA', 'Canada'),
(28163, '66.163.32.0', '66.163.63.255', 1117986816, 1117995007, 'US', 'United States'),
(28164, '66.163.64.0', '66.163.79.255', 1117995008, 1117999103, 'CA', 'Canada'),
(28165, '66.163.80.0', '66.163.192.7', 1117999104, 1118027783, 'US', 'United States'),
(28166, '66.163.192.8', '66.163.198.159', 1118027784, 1118029471, 'CA', 'Canada'),
(28167, '66.163.198.160', '66.163.198.207', 1118029472, 1118029519, 'US', 'United States'),
(28168, '66.163.198.208', '66.163.198.239', 1118029520, 1118029551, 'CA', 'Canada'),
(28169, '66.163.198.240', '66.163.198.255', 1118029552, 1118029567, 'US', 'United States'),
(28170, '66.163.199.0', '66.163.204.143', 1118029568, 1118030991, 'CA', 'Canada'),
(28171, '66.163.204.144', '66.163.204.151', 1118030992, 1118030999, 'US', 'United States'),
(28172, '66.163.204.152', '66.163.204.223', 1118031000, 1118031071, 'CA', 'Canada'),
(28173, '66.163.204.224', '66.163.204.231', 1118031072, 1118031079, 'US', 'United States'),
(28174, '66.163.204.232', '66.163.205.159', 1118031080, 1118031263, 'CA', 'Canada'),
(28175, '66.163.205.160', '66.163.205.191', 1118031264, 1118031295, 'US', 'United States'),
(28176, '66.163.205.192', '66.163.205.207', 1118031296, 1118031311, 'CA', 'Canada'),
(28177, '66.163.205.208', '66.163.205.215', 1118031312, 1118031319, 'US', 'United States'),
(28178, '66.163.205.216', '66.163.206.15', 1118031320, 1118031375, 'CA', 'Canada'),
(28179, '66.163.206.16', '66.163.206.23', 1118031376, 1118031383, 'CR', 'Costa Rica'),
(28180, '66.163.206.24', '66.163.206.71', 1118031384, 1118031431, 'CA', 'Canada'),
(28181, '66.163.206.72', '66.163.206.79', 1118031432, 1118031439, 'US', 'United States'),
(28182, '66.163.206.80', '66.163.207.143', 1118031440, 1118031759, 'CA', 'Canada'),
(28183, '66.163.207.144', '66.163.207.183', 1118031760, 1118031799, 'US', 'United States'),
(28184, '66.163.207.184', '66.163.207.255', 1118031800, 1118031871, 'CA', 'Canada'),
(28185, '66.163.208.0', '66.165.63.255', 1118031872, 1118126079, 'US', 'United States'),
(28186, '66.165.64.0', '66.165.66.127', 1118126080, 1118126719, 'CA', 'Canada'),
(28187, '66.165.66.128', '66.165.66.255', 1118126720, 1118126847, 'US', 'United States'),
(28188, '66.165.67.0', '66.165.68.127', 1118126848, 1118127231, 'CA', 'Canada'),
(28189, '66.165.68.128', '66.165.68.255', 1118127232, 1118127359, 'US', 'United States'),
(28190, '66.165.69.0', '66.165.69.255', 1118127360, 1118127615, 'CA', 'Canada'),
(28191, '66.165.70.0', '66.165.72.127', 1118127616, 1118128255, 'US', 'United States'),
(28192, '66.165.72.128', '66.165.72.191', 1118128256, 1118128319, 'CA', 'Canada'),
(28193, '66.165.72.192', '66.165.72.255', 1118128320, 1118128383, 'MY', 'Malaysia'),
(28194, '66.165.73.0', '66.165.73.255', 1118128384, 1118128639, 'CA', 'Canada'),
(28195, '66.165.74.0', '66.165.76.127', 1118128640, 1118129279, 'US', 'United States'),
(28196, '66.165.76.128', '66.165.77.255', 1118129280, 1118129663, 'CA', 'Canada'),
(28197, '66.165.78.0', '66.165.78.31', 1118129664, 1118129695, 'BR', 'Brazil'),
(28198, '66.165.78.32', '66.165.78.159', 1118129696, 1118129823, 'US', 'United States'),
(28199, '66.165.78.160', '66.165.78.191', 1118129824, 1118129855, 'AU', 'Australia'),
(28200, '66.165.78.192', '66.165.78.223', 1118129856, 1118129887, 'US', 'United States'),
(28201, '66.165.78.224', '66.165.78.255', 1118129888, 1118129919, 'CA', 'Canada'),
(28202, '66.165.79.0', '66.165.81.255', 1118129920, 1118130687, 'US', 'United States'),
(28203, '66.165.82.0', '66.165.84.255', 1118130688, 1118131455, 'CA', 'Canada'),
(28204, '66.165.85.0', '66.165.85.127', 1118131456, 1118131583, 'US', 'United States'),
(28205, '66.165.85.128', '66.165.85.255', 1118131584, 1118131711, 'IN', 'India'),
(28206, '66.165.86.0', '66.165.88.255', 1118131712, 1118132479, 'CA', 'Canada'),
(28207, '66.165.89.0', '66.165.90.255', 1118132480, 1118132991, 'US', 'United States'),
(28208, '66.165.91.0', '66.165.92.127', 1118132992, 1118133375, 'CA', 'Canada'),
(28209, '66.165.92.128', '66.165.92.255', 1118133376, 1118133503, 'US', 'United States'),
(28210, '66.165.93.0', '66.165.93.127', 1118133504, 1118133631, 'CA', 'Canada'),
(28211, '66.165.93.128', '66.165.93.255', 1118133632, 1118133759, 'US', 'United States'),
(28212, '66.165.94.0', '66.165.94.127', 1118133760, 1118133887, 'CA', 'Canada'),
(28213, '66.165.94.128', '66.165.98.31', 1118133888, 1118134815, 'US', 'United States'),
(28214, '66.165.98.32', '66.165.98.95', 1118134816, 1118134879, 'CA', 'Canada'),
(28215, '66.165.98.96', '66.165.98.127', 1118134880, 1118134911, 'US', 'United States'),
(28216, '66.165.98.128', '66.165.98.191', 1118134912, 1118134975, 'CA', 'Canada'),
(28217, '66.165.98.192', '66.165.98.223', 1118134976, 1118135007, 'US', 'United States'),
(28218, '66.165.98.224', '66.165.98.255', 1118135008, 1118135039, 'IN', 'India'),
(28219, '66.165.99.0', '66.165.101.15', 1118135040, 1118135567, 'US', 'United States'),
(28220, '66.165.101.16', '66.165.101.31', 1118135568, 1118135583, 'CA', 'Canada'),
(28221, '66.165.101.32', '66.165.101.63', 1118135584, 1118135615, 'US', 'United States'),
(28222, '66.165.101.64', '66.165.101.79', 1118135616, 1118135631, 'TZ', 'Tanzania, United Republic of'),
(28223, '66.165.101.80', '66.165.101.255', 1118135632, 1118135807, 'US', 'United States'),
(28224, '66.165.102.0', '66.165.103.127', 1118135808, 1118136191, 'CA', 'Canada'),
(28225, '66.165.103.128', '66.165.105.255', 1118136192, 1118136831, 'US', 'United States'),
(28226, '66.165.106.0', '66.165.106.31', 1118136832, 1118136863, 'IN', 'India'),
(28227, '66.165.106.32', '66.165.106.63', 1118136864, 1118136895, 'BE', 'Belgium'),
(28228, '66.165.106.64', '66.165.106.95', 1118136896, 1118136927, 'US', 'United States'),
(28229, '66.165.106.96', '66.165.106.127', 1118136928, 1118136959, 'CA', 'Canada'),
(28230, '66.165.106.128', '66.165.107.31', 1118136960, 1118137119, 'US', 'United States'),
(28231, '66.165.107.32', '66.165.107.63', 1118137120, 1118137151, 'IL', 'Israel'),
(28232, '66.165.107.64', '66.165.107.127', 1118137152, 1118137215, 'US', 'United States'),
(28233, '66.165.107.128', '66.165.107.159', 1118137216, 1118137247, 'GB', 'United Kingdom'),
(28234, '66.165.107.160', '66.165.112.191', 1118137248, 1118138559, 'US', 'United States'),
(28235, '66.165.112.192', '66.165.112.223', 1118138560, 1118138591, 'AU', 'Australia'),
(28236, '66.165.112.224', '66.165.112.255', 1118138592, 1118138623, 'FR', 'France'),
(28237, '66.165.113.0', '66.165.113.255', 1118138624, 1118138879, 'US', 'United States'),
(28238, '66.165.114.0', '66.165.114.255', 1118138880, 1118139135, 'CA', 'Canada'),
(28239, '66.165.115.0', '66.165.117.255', 1118139136, 1118139903, 'US', 'United States'),
(28240, '66.165.118.0', '66.165.119.255', 1118139904, 1118140415, 'CA', 'Canada'),
(28241, '66.165.120.0', '66.165.121.159', 1118140416, 1118140831, 'US', 'United States'),
(28242, '66.165.121.160', '66.165.121.223', 1118140832, 1118140895, 'VE', 'Venezuela'),
(28243, '66.165.121.224', '66.165.122.255', 1118140896, 1118141183, 'US', 'United States'),
(28244, '66.165.123.0', '66.165.123.255', 1118141184, 1118141439, 'CA', 'Canada'),
(28245, '66.165.124.0', '66.165.124.255', 1118141440, 1118141695, 'US', 'United States'),
(28246, '66.165.125.0', '66.165.125.255', 1118141696, 1118141951, 'CA', 'Canada'),
(28247, '66.165.126.0', '66.165.126.15', 1118141952, 1118141967, 'CN', 'China'),
(28248, '66.165.126.16', '66.165.126.111', 1118141968, 1118142063, 'US', 'United States'),
(28249, '66.165.126.112', '66.165.126.127', 1118142064, 1118142079, 'IN', 'India'),
(28250, '66.165.126.128', '66.165.162.47', 1118142080, 1118151215, 'US', 'United States'),
(28251, '66.165.162.48', '66.165.162.63', 1118151216, 1118151231, 'TT', 'Trinidad and Tobago'),
(28252, '66.165.162.64', '66.165.162.223', 1118151232, 1118151391, 'US', 'United States'),
(28253, '66.165.162.224', '66.165.162.239', 1118151392, 1118151407, 'PR', 'Puerto Rico'),
(28254, '66.165.162.240', '66.165.162.255', 1118151408, 1118151423, 'US', 'United States'),
(28255, '66.165.163.0', '66.165.163.7', 1118151424, 1118151431, 'ES', 'Spain'),
(28256, '66.165.163.8', '66.165.163.39', 1118151432, 1118151463, 'US', 'United States'),
(28257, '66.165.163.40', '66.165.163.47', 1118151464, 1118151471, 'CR', 'Costa Rica'),
(28258, '66.165.163.48', '66.165.163.207', 1118151472, 1118151631, 'US', 'United States'),
(28259, '66.165.163.208', '66.165.163.223', 1118151632, 1118151647, 'MX', 'Mexico'),
(28260, '66.165.163.224', '66.165.164.111', 1118151648, 1118151791, 'US', 'United States'),
(28261, '66.165.164.112', '66.165.164.115', 1118151792, 1118151795, 'BR', 'Brazil'),
(28262, '66.165.164.116', '66.165.165.79', 1118151796, 1118152015, 'US', 'United States'),
(28263, '66.165.165.80', '66.165.165.95', 1118152016, 1118152031, 'CO', 'Colombia'),
(28264, '66.165.165.96', '66.165.166.47', 1118152032, 1118152239, 'US', 'United States'),
(28265, '66.165.166.48', '66.165.166.63', 1118152240, 1118152255, 'AW', 'Aruba'),
(28266, '66.165.166.64', '66.165.166.79', 1118152256, 1118152271, 'PR', 'Puerto Rico'),
(28267, '66.165.166.80', '66.165.166.95', 1118152272, 1118152287, 'US', 'United States'),
(28268, '66.165.166.96', '66.165.166.111', 1118152288, 1118152303, 'BR', 'Brazil'),
(28269, '66.165.166.112', '66.165.166.127', 1118152304, 1118152319, 'FR', 'France'),
(28270, '66.165.166.128', '66.165.166.223', 1118152320, 1118152415, 'US', 'United States'),
(28271, '66.165.166.224', '66.165.166.239', 1118152416, 1118152431, 'PR', 'Puerto Rico'),
(28272, '66.165.166.240', '66.165.168.175', 1118152432, 1118152879, 'US', 'United States'),
(28273, '66.165.168.176', '66.165.168.191', 1118152880, 1118152895, 'DO', 'Dominican Republic'),
(28274, '66.165.168.192', '66.165.169.111', 1118152896, 1118153071, 'US', 'United States'),
(28275, '66.165.169.112', '66.165.169.127', 1118153072, 1118153087, 'UY', 'Uruguay'),
(28276, '66.165.169.128', '66.165.169.191', 1118153088, 1118153151, 'US', 'United States'),
(28277, '66.165.169.192', '66.165.169.207', 1118153152, 1118153167, 'AR', 'Argentina'),
(28278, '66.165.169.208', '66.165.170.207', 1118153168, 1118153423, 'US', 'United States'),
(28279, '66.165.170.208', '66.165.170.223', 1118153424, 1118153439, 'BR', 'Brazil'),
(28280, '66.165.170.224', '66.165.171.71', 1118153440, 1118153543, 'US', 'United States'),
(28281, '66.165.171.72', '66.165.171.75', 1118153544, 1118153547, 'BR', 'Brazil'),
(28282, '66.165.171.76', '66.165.171.79', 1118153548, 1118153551, 'US', 'United States'),
(28283, '66.165.171.80', '66.165.171.95', 1118153552, 1118153567, 'DE', 'Germany'),
(28284, '66.165.171.96', '66.165.171.207', 1118153568, 1118153679, 'US', 'United States'),
(28285, '66.165.171.208', '66.165.171.223', 1118153680, 1118153695, 'VE', 'Venezuela'),
(28286, '66.165.171.224', '66.165.172.143', 1118153696, 1118153871, 'US', 'United States'),
(28287, '66.165.172.144', '66.165.172.159', 1118153872, 1118153887, 'CO', 'Colombia'),
(28288, '66.165.172.160', '66.165.172.191', 1118153888, 1118153919, 'US', 'United States'),
(28289, '66.165.172.192', '66.165.172.207', 1118153920, 1118153935, 'PA', 'Panama'),
(28290, '66.165.172.208', '66.165.172.223', 1118153936, 1118153951, 'TT', 'Trinidad and Tobago'),
(28291, '66.165.172.224', '66.165.173.79', 1118153952, 1118154063, 'US', 'United States'),
(28292, '66.165.173.80', '66.165.173.95', 1118154064, 1118154079, 'MX', 'Mexico'),
(28293, '66.165.173.96', '66.165.173.223', 1118154080, 1118154207, 'US', 'United States'),
(28294, '66.165.173.224', '66.165.173.239', 1118154208, 1118154223, 'CL', 'Chile'),
(28295, '66.165.173.240', '66.165.177.95', 1118154224, 1118155103, 'US', 'United States'),
(28296, '66.165.177.96', '66.165.177.111', 1118155104, 1118155119, 'NL', 'Netherlands'),
(28297, '66.165.177.112', '66.165.177.175', 1118155120, 1118155183, 'US', 'United States'),
(28298, '66.165.177.176', '66.165.177.191', 1118155184, 1118155199, 'CA', 'Canada'),
(28299, '66.165.177.192', '66.165.177.207', 1118155200, 1118155215, 'US', 'United States'),
(28300, '66.165.177.208', '66.165.177.223', 1118155216, 1118155231, 'PA', 'Panama'),
(28301, '66.165.177.224', '66.165.180.223', 1118155232, 1118155999, 'US', 'United States'),
(28302, '66.165.180.224', '66.165.180.239', 1118156000, 1118156015, 'GT', 'Guatemala'),
(28303, '66.165.180.240', '66.165.182.31', 1118156016, 1118156319, 'US', 'United States'),
(28304, '66.165.182.32', '66.165.182.47', 1118156320, 1118156335, 'PE', 'Peru'),
(28305, '66.165.182.48', '66.165.182.111', 1118156336, 1118156399, 'US', 'United States'),
(28306, '66.165.182.112', '66.165.182.127', 1118156400, 1118156415, 'VE', 'Venezuela'),
(28307, '66.165.182.128', '66.165.182.255', 1118156416, 1118156543, 'US', 'United States'),
(28308, '66.165.183.0', '66.165.183.15', 1118156544, 1118156559, 'UY', 'Uruguay'),
(28309, '66.165.183.16', '66.165.183.63', 1118156560, 1118156607, 'US', 'United States'),
(28310, '66.165.183.64', '66.165.183.79', 1118156608, 1118156623, 'ES', 'Spain'),
(28311, '66.165.183.80', '66.165.183.159', 1118156624, 1118156703, 'US', 'United States'),
(28312, '66.165.183.160', '66.165.183.175', 1118156704, 1118156719, 'DK', 'Denmark'),
(28313, '66.165.183.176', '66.165.187.127', 1118156720, 1118157695, 'US', 'United States'),
(28314, '66.165.187.128', '66.165.187.143', 1118157696, 1118157711, 'NL', 'Netherlands'),
(28315, '66.165.187.144', '66.165.187.191', 1118157712, 1118157759, 'US', 'United States'),
(28316, '66.165.187.192', '66.165.187.207', 1118157760, 1118157775, 'GY', 'Guyana'),
(28317, '66.165.187.208', '66.165.187.223', 1118157776, 1118157791, 'AR', 'Argentina'),
(28318, '66.165.187.224', '66.165.188.255', 1118157792, 1118158079, 'US', 'United States'),
(28319, '66.165.189.0', '66.165.189.7', 1118158080, 1118158087, 'PA', 'Panama'),
(28320, '66.165.189.8', '66.165.189.239', 1118158088, 1118158319, 'US', 'United States'),
(28321, '66.165.189.240', '66.165.189.243', 1118158320, 1118158323, 'SV', 'El Salvador'),
(28322, '66.165.189.244', '66.165.189.251', 1118158324, 1118158331, 'US', 'United States'),
(28323, '66.165.189.252', '66.165.189.255', 1118158332, 1118158335, 'SV', 'El Salvador'),
(28324, '66.165.190.0', '66.165.191.255', 1118158336, 1118158847, 'US', 'United States'),
(28325, '66.165.192.0', '66.165.223.255', 1118158848, 1118167039, 'CA', 'Canada'),
(28326, '66.165.224.0', '66.170.143.255', 1118167040, 1118474239, 'US', 'United States'),
(28327, '66.170.144.0', '66.170.145.39', 1118474240, 1118474535, 'CA', 'Canada'),
(28328, '66.170.145.40', '66.170.145.47', 1118474536, 1118474543, 'US', 'United States'),
(28329, '66.170.145.48', '66.170.145.95', 1118474544, 1118474591, 'CA', 'Canada'),
(28330, '66.170.145.96', '66.170.145.103', 1118474592, 1118474599, 'US', 'United States'),
(28331, '66.170.145.104', '66.170.145.111', 1118474600, 1118474607, 'CA', 'Canada'),
(28332, '66.170.145.112', '66.170.145.119', 1118474608, 1118474615, 'US', 'United States'),
(28333, '66.170.145.120', '66.170.146.111', 1118474616, 1118474863, 'CA', 'Canada'),
(28334, '66.170.146.112', '66.170.146.119', 1118474864, 1118474871, 'US', 'United States'),
(28335, '66.170.146.120', '66.170.146.127', 1118474872, 1118474879, 'CA', 'Canada'),
(28336, '66.170.146.128', '66.170.146.159', 1118474880, 1118474911, 'US', 'United States'),
(28337, '66.170.146.160', '66.170.147.79', 1118474912, 1118475087, 'CA', 'Canada'),
(28338, '66.170.147.80', '66.170.147.87', 1118475088, 1118475095, 'US', 'United States'),
(28339, '66.170.147.88', '66.170.147.207', 1118475096, 1118475215, 'CA', 'Canada'),
(28340, '66.170.147.208', '66.170.147.215', 1118475216, 1118475223, 'US', 'United States'),
(28341, '66.170.147.216', '66.170.147.223', 1118475224, 1118475231, 'CA', 'Canada'),
(28342, '66.170.147.224', '66.170.147.239', 1118475232, 1118475247, 'US', 'United States'),
(28343, '66.170.147.240', '66.170.154.7', 1118475248, 1118476807, 'CA', 'Canada'),
(28344, '66.170.154.8', '66.170.154.31', 1118476808, 1118476831, 'US', 'United States'),
(28345, '66.170.154.32', '66.170.154.87', 1118476832, 1118476887, 'CA', 'Canada'),
(28346, '66.170.154.88', '66.170.154.95', 1118476888, 1118476895, 'US', 'United States'),
(28347, '66.170.154.96', '66.170.156.223', 1118476896, 1118477535, 'CA', 'Canada'),
(28348, '66.170.156.224', '66.170.156.231', 1118477536, 1118477543, 'US', 'United States'),
(28349, '66.170.156.232', '66.170.159.255', 1118477544, 1118478335, 'CA', 'Canada'),
(28350, '66.170.160.0', '66.171.31.255', 1118478336, 1118511103, 'US', 'United States'),
(28351, '66.171.32.0', '66.171.63.255', 1118511104, 1118519295, 'CA', 'Canada'),
(28352, '66.171.64.0', '66.171.95.255', 1118519296, 1118527487, 'US', 'United States'),
(28353, '66.171.96.0', '66.171.111.255', 1118527488, 1118531583, 'CA', 'Canada'),
(28354, '66.171.112.0', '66.171.127.255', 1118531584, 1118535679, 'US', 'United States'),
(28355, '66.171.128.0', '66.171.143.255', 1118535680, 1118539775, 'CA', 'Canada'),
(28356, '66.171.144.0', '66.171.159.255', 1118539776, 1118543871, 'US', 'United States'),
(28357, '66.171.160.0', '66.171.175.255', 1118543872, 1118547967, 'CA', 'Canada'),
(28358, '66.171.176.0', '66.171.237.255', 1118547968, 1118563839, 'US', 'United States'),
(28359, '66.171.238.0', '66.171.239.255', 1118563840, 1118564351, 'BZ', 'Belize'),
(28360, '66.171.240.0', '66.171.240.255', 1118564352, 1118564607, 'US', 'United States'),
(28361, '66.171.241.0', '66.171.241.31', 1118564608, 1118564639, 'NO', 'Norway'),
(28362, '66.171.241.32', '66.171.241.47', 1118564640, 1118564655, 'US', 'United States'),
(28363, '66.171.241.48', '66.171.241.63', 1118564656, 1118564671, 'IN', 'India'),
(28364, '66.171.241.64', '66.171.242.31', 1118564672, 1118564895, 'US', 'United States'),
(28365, '66.171.242.32', '66.171.242.63', 1118564896, 1118564927, 'AU', 'Australia'),
(28366, '66.171.242.64', '66.171.243.255', 1118564928, 1118565375, 'US', 'United States'),
(28367, '66.171.244.0', '66.171.244.31', 1118565376, 1118565407, 'EG', 'Egypt'),
(28368, '66.171.244.32', '66.172.15.15', 1118565408, 1118572303, 'US', 'United States'),
(28369, '66.172.15.16', '66.172.15.31', 1118572304, 1118572319, 'A1', 'Anonymous Proxy'),
(28370, '66.172.15.32', '66.172.15.63', 1118572320, 1118572351, 'US', 'United States'),
(28371, '66.172.15.64', '66.172.15.255', 1118572352, 1118572543, 'A1', 'Anonymous Proxy'),
(28372, '66.172.16.0', '66.175.96.151', 1118572544, 1118789783, 'US', 'United States'),
(28373, '66.175.96.152', '66.175.96.159', 1118789784, 1118789791, 'BB', 'Barbados'),
(28374, '66.175.96.160', '66.175.98.207', 1118789792, 1118790351, 'US', 'United States'),
(28375, '66.175.98.208', '66.175.98.223', 1118790352, 1118790367, 'GB', 'United Kingdom'),
(28376, '66.175.98.224', '66.175.103.127', 1118790368, 1118791551, 'US', 'United States'),
(28377, '66.175.103.128', '66.175.103.143', 1118791552, 1118791567, 'LU', 'Luxembourg'),
(28378, '66.175.103.144', '66.175.103.175', 1118791568, 1118791599, 'US', 'United States'),
(28379, '66.175.103.176', '66.175.103.191', 1118791600, 1118791615, 'ES', 'Spain'),
(28380, '66.175.103.192', '66.175.108.111', 1118791616, 1118792815, 'US', 'United States'),
(28381, '66.175.108.112', '66.175.108.127', 1118792816, 1118792831, 'DO', 'Dominican Republic'),
(28382, '66.175.108.128', '66.175.109.15', 1118792832, 1118792975, 'US', 'United States'),
(28383, '66.175.109.16', '66.175.109.31', 1118792976, 1118792991, 'BB', 'Barbados'),
(28384, '66.175.109.32', '66.175.110.191', 1118792992, 1118793407, 'US', 'United States'),
(28385, '66.175.110.192', '66.175.110.207', 1118793408, 1118793423, 'BB', 'Barbados'),
(28386, '66.175.110.208', '66.175.110.255', 1118793424, 1118793471, 'US', 'United States'),
(28387, '66.175.111.0', '66.175.111.255', 1118793472, 1118793727, 'CO', 'Colombia'),
(28388, '66.175.112.0', '66.175.112.95', 1118793728, 1118793823, 'US', 'United States'),
(28389, '66.175.112.96', '66.175.112.111', 1118793824, 1118793839, 'CA', 'Canada'),
(28390, '66.175.112.112', '66.175.112.207', 1118793840, 1118793935, 'US', 'United States'),
(28391, '66.175.112.208', '66.175.112.223', 1118793936, 1118793951, 'ES', 'Spain'),
(28392, '66.175.112.224', '66.175.112.239', 1118793952, 1118793967, 'US', 'United States'),
(28393, '66.175.112.240', '66.175.112.255', 1118793968, 1118793983, 'HT', 'Haiti'),
(28394, '66.175.113.0', '66.175.114.47', 1118793984, 1118794287, 'US', 'United States'),
(28395, '66.175.114.48', '66.175.114.63', 1118794288, 1118794303, 'BR', 'Brazil'),
(28396, '66.175.114.64', '66.175.116.47', 1118794304, 1118794799, 'US', 'United States'),
(28397, '66.175.116.48', '66.175.116.63', 1118794800, 1118794815, 'PR', 'Puerto Rico'),
(28398, '66.175.116.64', '66.175.116.207', 1118794816, 1118794959, 'US', 'United States'),
(28399, '66.175.116.208', '66.175.116.223', 1118794960, 1118794975, 'JM', 'Jamaica'),
(28400, '66.175.116.224', '66.175.118.143', 1118794976, 1118795407, 'US', 'United States'),
(28401, '66.175.118.144', '66.175.118.159', 1118795408, 1118795423, 'PE', 'Peru'),
(28402, '66.175.118.160', '66.175.120.15', 1118795424, 1118795791, 'US', 'United States'),
(28403, '66.175.120.16', '66.175.120.31', 1118795792, 1118795807, 'AG', 'Antigua and Barbuda'),
(28404, '66.175.120.32', '66.175.120.119', 1118795808, 1118795895, 'US', 'United States'),
(28405, '66.175.120.120', '66.175.120.127', 1118795896, 1118795903, 'CY', 'Cyprus'),
(28406, '66.175.120.128', '66.175.122.79', 1118795904, 1118796367, 'US', 'United States'),
(28407, '66.175.122.80', '66.175.122.95', 1118796368, 1118796383, 'DO', 'Dominican Republic'),
(28408, '66.175.122.96', '66.175.122.255', 1118796384, 1118796543, 'US', 'United States'),
(28409, '66.175.123.0', '66.175.123.255', 1118796544, 1118796799, 'GB', 'United Kingdom'),
(28410, '66.175.124.0', '66.175.125.7', 1118796800, 1118797063, 'US', 'United States'),
(28411, '66.175.125.8', '66.175.125.15', 1118797064, 1118797071, 'CR', 'Costa Rica'),
(28412, '66.175.125.16', '66.175.211.255', 1118797072, 1118819327, 'US', 'United States'),
(28413, '66.175.212.0', '66.175.216.255', 1118819328, 1118820607, 'A1', 'Anonymous Proxy'),
(28414, '66.175.217.0', '66.177.255.255', 1118820608, 1118961663, 'US', 'United States'),
(28415, '66.178.0.0', '66.178.4.143', 1118961664, 1118962831, 'A2', 'Satellite Provider'),
(28416, '66.178.4.144', '66.178.4.151', 1118962832, 1118962839, 'SA', 'Saudi Arabia'),
(28417, '66.178.4.152', '66.178.4.159', 1118962840, 1118962847, 'NG', 'Nigeria'),
(28418, '66.178.4.160', '66.178.4.255', 1118962848, 1118962943, 'A2', 'Satellite Provider'),
(28419, '66.178.5.0', '66.178.5.255', 1118962944, 1118963199, 'AS', 'American Samoa'),
(28420, '66.178.6.0', '66.178.6.255', 1118963200, 1118963455, 'A2', 'Satellite Provider'),
(28421, '66.178.7.0', '66.178.7.7', 1118963456, 1118963463, 'TZ', 'Tanzania, United Republic of'),
(28422, '66.178.7.8', '66.178.7.15', 1118963464, 1118963471, 'A2', 'Satellite Provider'),
(28423, '66.178.7.16', '66.178.7.23', 1118963472, 1118963479, 'NG', 'Nigeria'),
(28424, '66.178.7.24', '66.178.7.31', 1118963480, 1118963487, 'GB', 'United Kingdom'),
(28425, '66.178.7.32', '66.178.7.39', 1118963488, 1118963495, 'AO', 'Angola'),
(28426, '66.178.7.40', '66.178.7.127', 1118963496, 1118963583, 'A2', 'Satellite Provider'),
(28427, '66.178.7.128', '66.178.7.191', 1118963584, 1118963647, 'KE', 'Kenya'),
(28428, '66.178.7.192', '66.178.8.255', 1118963648, 1118963967, 'A2', 'Satellite Provider'),
(28429, '66.178.9.0', '66.178.9.23', 1118963968, 1118963991, 'LB', 'Lebanon'),
(28430, '66.178.9.24', '66.178.12.127', 1118963992, 1118964863, 'A2', 'Satellite Provider'),
(28431, '66.178.12.128', '66.178.12.143', 1118964864, 1118964879, 'LB', 'Lebanon'),
(28432, '66.178.12.144', '66.178.12.255', 1118964880, 1118964991, 'A2', 'Satellite Provider'),
(28433, '66.178.13.0', '66.178.13.255', 1118964992, 1118965247, 'AN', 'Netherlands Antilles'),
(28434, '66.178.14.0', '66.178.14.255', 1118965248, 1118965503, 'AS', 'American Samoa'),
(28435, '66.178.15.0', '66.178.16.79', 1118965504, 1118965839, 'A2', 'Satellite Provider'),
(28436, '66.178.16.80', '66.178.16.87', 1118965840, 1118965847, 'EC', 'Ecuador'),
(28437, '66.178.16.88', '66.178.16.151', 1118965848, 1118965911, 'A2', 'Satellite Provider'),
(28438, '66.178.16.152', '66.178.16.159', 1118965912, 1118965919, 'MA', 'Morocco'),
(28439, '66.178.16.160', '66.178.16.231', 1118965920, 1118965991, 'A2', 'Satellite Provider'),
(28440, '66.178.16.232', '66.178.16.247', 1118965992, 1118966007, 'NG', 'Nigeria'),
(28441, '66.178.16.248', '66.178.16.255', 1118966008, 1118966015, 'A2', 'Satellite Provider'),
(28442, '66.178.17.0', '66.178.17.255', 1118966016, 1118966271, 'BR', 'Brazil'),
(28443, '66.178.18.0', '66.178.18.79', 1118966272, 1118966351, 'SV', 'El Salvador'),
(28444, '66.178.18.80', '66.178.18.95', 1118966352, 1118966367, 'A2', 'Satellite Provider'),
(28445, '66.178.18.96', '66.178.18.127', 1118966368, 1118966399, 'SV', 'El Salvador'),
(28446, '66.178.18.128', '66.178.18.135', 1118966400, 1118966407, 'A2', 'Satellite Provider'),
(28447, '66.178.18.136', '66.178.18.143', 1118966408, 1118966415, 'SV', 'El Salvador'),
(28448, '66.178.18.144', '66.178.18.151', 1118966416, 1118966423, 'NI', 'Nicaragua'),
(28449, '66.178.18.152', '66.178.18.183', 1118966424, 1118966455, 'A2', 'Satellite Provider'),
(28450, '66.178.18.184', '66.178.18.191', 1118966456, 1118966463, 'NI', 'Nicaragua'),
(28451, '66.178.18.192', '66.178.18.215', 1118966464, 1118966487, 'A2', 'Satellite Provider'),
(28452, '66.178.18.216', '66.178.18.223', 1118966488, 1118966495, 'NI', 'Nicaragua'),
(28453, '66.178.18.224', '66.178.18.231', 1118966496, 1118966503, 'A2', 'Satellite Provider'),
(28454, '66.178.18.232', '66.178.18.239', 1118966504, 1118966511, 'NI', 'Nicaragua'),
(28455, '66.178.18.240', '66.178.18.247', 1118966512, 1118966519, 'A2', 'Satellite Provider'),
(28456, '66.178.18.248', '66.178.18.255', 1118966520, 1118966527, 'NI', 'Nicaragua'),
(28457, '66.178.19.0', '66.178.19.127', 1118966528, 1118966655, 'US', 'United States'),
(28458, '66.178.19.128', '66.178.19.159', 1118966656, 1118966687, 'SV', 'El Salvador'),
(28459, '66.178.19.160', '66.178.19.167', 1118966688, 1118966695, 'NI', 'Nicaragua'),
(28460, '66.178.19.168', '66.178.19.175', 1118966696, 1118966703, 'A2', 'Satellite Provider'),
(28461, '66.178.19.176', '66.178.19.183', 1118966704, 1118966711, 'NI', 'Nicaragua'),
(28462, '66.178.19.184', '66.178.19.191', 1118966712, 1118966719, 'A2', 'Satellite Provider'),
(28463, '66.178.19.192', '66.178.19.255', 1118966720, 1118966783, 'EC', 'Ecuador'),
(28464, '66.178.20.0', '66.178.20.7', 1118966784, 1118966791, 'LB', 'Lebanon'),
(28465, '66.178.20.8', '66.178.20.23', 1118966792, 1118966807, 'A2', 'Satellite Provider'),
(28466, '66.178.20.24', '66.178.20.31', 1118966808, 1118966815, 'LB', 'Lebanon'),
(28467, '66.178.20.32', '66.178.20.63', 1118966816, 1118966847, 'A2', 'Satellite Provider'),
(28468, '66.178.20.64', '66.178.20.127', 1118966848, 1118966911, 'PY', 'Paraguay'),
(28469, '66.178.20.128', '66.178.20.175', 1118966912, 1118966959, 'A2', 'Satellite Provider'),
(28470, '66.178.20.176', '66.178.20.191', 1118966960, 1118966975, 'SA', 'Saudi Arabia'),
(28471, '66.178.20.192', '66.178.20.207', 1118966976, 1118966991, 'A2', 'Satellite Provider'),
(28472, '66.178.20.208', '66.178.20.215', 1118966992, 1118966999, 'SA', 'Saudi Arabia'),
(28473, '66.178.20.216', '66.178.20.231', 1118967000, 1118967015, 'LB', 'Lebanon'),
(28474, '66.178.20.232', '66.178.20.255', 1118967016, 1118967039, 'A2', 'Satellite Provider'),
(28475, '66.178.21.0', '66.178.21.7', 1118967040, 1118967047, 'LB', 'Lebanon'),
(28476, '66.178.21.8', '66.178.21.23', 1118967048, 1118967063, 'A2', 'Satellite Provider'),
(28477, '66.178.21.24', '66.178.21.95', 1118967064, 1118967135, 'SA', 'Saudi Arabia'),
(28478, '66.178.21.96', '66.178.21.127', 1118967136, 1118967167, 'LB', 'Lebanon'),
(28479, '66.178.21.128', '66.178.21.159', 1118967168, 1118967199, 'SA', 'Saudi Arabia'),
(28480, '66.178.21.160', '66.178.21.167', 1118967200, 1118967207, 'A2', 'Satellite Provider'),
(28481, '66.178.21.168', '66.178.21.207', 1118967208, 1118967247, 'LB', 'Lebanon'),
(28482, '66.178.21.208', '66.178.21.215', 1118967248, 1118967255, 'A2', 'Satellite Provider'),
(28483, '66.178.21.216', '66.178.21.231', 1118967256, 1118967271, 'LB', 'Lebanon'),
(28484, '66.178.21.232', '66.178.21.239', 1118967272, 1118967279, 'A2', 'Satellite Provider'),
(28485, '66.178.21.240', '66.178.21.247', 1118967280, 1118967287, 'LB', 'Lebanon'),
(28486, '66.178.21.248', '66.178.21.255', 1118967288, 1118967295, 'A2', 'Satellite Provider'),
(28487, '66.178.22.0', '66.178.22.31', 1118967296, 1118967327, 'LB', 'Lebanon'),
(28488, '66.178.22.32', '66.178.22.39', 1118967328, 1118967335, 'A2', 'Satellite Provider'),
(28489, '66.178.22.40', '66.178.22.47', 1118967336, 1118967343, 'LB', 'Lebanon'),
(28490, '66.178.22.48', '66.178.22.63', 1118967344, 1118967359, 'A2', 'Satellite Provider'),
(28491, '66.178.22.64', '66.178.22.71', 1118967360, 1118967367, 'LB', 'Lebanon'),
(28492, '66.178.22.72', '66.178.22.79', 1118967368, 1118967375, 'SA', 'Saudi Arabia'),
(28493, '66.178.22.80', '66.178.22.87', 1118967376, 1118967383, 'LB', 'Lebanon'),
(28494, '66.178.22.88', '66.178.22.95', 1118967384, 1118967391, 'A2', 'Satellite Provider'),
(28495, '66.178.22.96', '66.178.22.103', 1118967392, 1118967399, 'MA', 'Morocco'),
(28496, '66.178.22.104', '66.178.22.127', 1118967400, 1118967423, 'LB', 'Lebanon'),
(28497, '66.178.22.128', '66.178.22.191', 1118967424, 1118967487, 'A2', 'Satellite Provider'),
(28498, '66.178.22.192', '66.178.22.223', 1118967488, 1118967519, 'SA', 'Saudi Arabia'),
(28499, '66.178.22.224', '66.178.22.239', 1118967520, 1118967535, 'A2', 'Satellite Provider'),
(28500, '66.178.22.240', '66.178.22.247', 1118967536, 1118967543, 'LB', 'Lebanon'),
(28501, '66.178.22.248', '66.178.22.255', 1118967544, 1118967551, 'SA', 'Saudi Arabia'),
(28502, '66.178.23.0', '66.178.23.15', 1118967552, 1118967567, 'LB', 'Lebanon'),
(28503, '66.178.23.16', '66.178.23.31', 1118967568, 1118967583, 'A2', 'Satellite Provider'),
(28504, '66.178.23.32', '66.178.23.63', 1118967584, 1118967615, 'SA', 'Saudi Arabia'),
(28505, '66.178.23.64', '66.178.23.79', 1118967616, 1118967631, 'A2', 'Satellite Provider'),
(28506, '66.178.23.80', '66.178.23.95', 1118967632, 1118967647, 'SA', 'Saudi Arabia'),
(28507, '66.178.23.96', '66.178.23.111', 1118967648, 1118967663, 'LB', 'Lebanon'),
(28508, '66.178.23.112', '66.178.23.127', 1118967664, 1118967679, 'SA', 'Saudi Arabia'),
(28509, '66.178.23.128', '66.178.23.191', 1118967680, 1118967743, 'LB', 'Lebanon'),
(28510, '66.178.23.192', '66.178.23.223', 1118967744, 1118967775, 'SA', 'Saudi Arabia'),
(28511, '66.178.23.224', '66.178.23.247', 1118967776, 1118967799, 'A2', 'Satellite Provider'),
(28512, '66.178.23.248', '66.178.23.255', 1118967800, 1118967807, 'RW', 'Rwanda'),
(28513, '66.178.24.0', '66.178.24.31', 1118967808, 1118967839, 'A2', 'Satellite Provider'),
(28514, '66.178.24.32', '66.178.24.39', 1118967840, 1118967847, 'LB', 'Lebanon'),
(28515, '66.178.24.40', '66.178.24.95', 1118967848, 1118967903, 'A2', 'Satellite Provider'),
(28516, '66.178.24.96', '66.178.24.207', 1118967904, 1118968015, 'SA', 'Saudi Arabia'),
(28517, '66.178.24.208', '66.178.24.231', 1118968016, 1118968039, 'A2', 'Satellite Provider'),
(28518, '66.178.24.232', '66.178.24.239', 1118968040, 1118968047, 'LB', 'Lebanon'),
(28519, '66.178.24.240', '66.178.24.247', 1118968048, 1118968055, 'A2', 'Satellite Provider'),
(28520, '66.178.24.248', '66.178.25.31', 1118968056, 1118968095, 'SA', 'Saudi Arabia'),
(28521, '66.178.25.32', '66.178.25.47', 1118968096, 1118968111, 'A2', 'Satellite Provider'),
(28522, '66.178.25.48', '66.178.25.63', 1118968112, 1118968127, 'LB', 'Lebanon'),
(28523, '66.178.25.64', '66.178.25.95', 1118968128, 1118968159, 'SA', 'Saudi Arabia'),
(28524, '66.178.25.96', '66.178.25.111', 1118968160, 1118968175, 'LB', 'Lebanon'),
(28525, '66.178.25.112', '66.178.25.119', 1118968176, 1118968183, 'AE', 'United Arab Emirates'),
(28526, '66.178.25.120', '66.178.25.127', 1118968184, 1118968191, 'A2', 'Satellite Provider'),
(28527, '66.178.25.128', '66.178.25.143', 1118968192, 1118968207, 'SA', 'Saudi Arabia'),
(28528, '66.178.25.144', '66.178.25.159', 1118968208, 1118968223, 'IQ', 'Iraq'),
(28529, '66.178.25.160', '66.178.25.191', 1118968224, 1118968255, 'A2', 'Satellite Provider'),
(28530, '66.178.25.192', '66.178.25.223', 1118968256, 1118968287, 'IQ', 'Iraq'),
(28531, '66.178.25.224', '66.178.25.231', 1118968288, 1118968295, 'AE', 'United Arab Emirates'),
(28532, '66.178.25.232', '66.178.25.239', 1118968296, 1118968303, 'A2', 'Satellite Provider'),
(28533, '66.178.25.240', '66.178.25.255', 1118968304, 1118968319, 'AE', 'United Arab Emirates'),
(28534, '66.178.26.0', '66.178.26.255', 1118968320, 1118968575, 'SR', 'Suriname'),
(28535, '66.178.27.0', '66.178.27.255', 1118968576, 1118968831, 'A2', 'Satellite Provider'),
(28536, '66.178.28.0', '66.178.28.143', 1118968832, 1118968975, 'SA', 'Saudi Arabia'),
(28537, '66.178.28.144', '66.178.28.159', 1118968976, 1118968991, 'A2', 'Satellite Provider'),
(28538, '66.178.28.160', '66.178.28.175', 1118968992, 1118969007, 'SA', 'Saudi Arabia'),
(28539, '66.178.28.176', '66.178.28.191', 1118969008, 1118969023, 'A2', 'Satellite Provider'),
(28540, '66.178.28.192', '66.178.29.127', 1118969024, 1118969215, 'SA', 'Saudi Arabia'),
(28541, '66.178.29.128', '66.178.29.191', 1118969216, 1118969279, 'A2', 'Satellite Provider'),
(28542, '66.178.29.192', '66.178.29.255', 1118969280, 1118969343, 'SA', 'Saudi Arabia'),
(28543, '66.178.30.0', '66.178.30.23', 1118969344, 1118969367, 'A2', 'Satellite Provider'),
(28544, '66.178.30.24', '66.178.30.31', 1118969368, 1118969375, 'NI', 'Nicaragua'),
(28545, '66.178.30.32', '66.178.30.127', 1118969376, 1118969471, 'A2', 'Satellite Provider'),
(28546, '66.178.30.128', '66.178.30.255', 1118969472, 1118969599, 'TT', 'Trinidad and Tobago'),
(28547, '66.178.31.0', '66.178.31.127', 1118969600, 1118969727, 'GY', 'Guyana'),
(28548, '66.178.31.128', '66.178.31.255', 1118969728, 1118969855, 'A2', 'Satellite Provider'),
(28549, '66.178.32.0', '66.178.32.255', 1118969856, 1118970111, 'LB', 'Lebanon'),
(28550, '66.178.33.0', '66.178.33.7', 1118970112, 1118970119, 'KE', 'Kenya'),
(28551, '66.178.33.8', '66.178.33.127', 1118970120, 1118970239, 'A2', 'Satellite Provider'),
(28552, '66.178.33.128', '66.178.33.255', 1118970240, 1118970367, 'NG', 'Nigeria'),
(28553, '66.178.34.0', '66.178.34.255', 1118970368, 1118970623, 'GB', 'United Kingdom'),
(28554, '66.178.35.0', '66.178.35.127', 1118970624, 1118970751, 'SA', 'Saudi Arabia'),
(28555, '66.178.35.128', '66.178.35.255', 1118970752, 1118970879, 'GY', 'Guyana'),
(28556, '66.178.36.0', '66.178.38.128', 1118970880, 1118971520, 'SR', 'Suriname'),
(28557, '66.178.38.129', '66.178.38.255', 1118971521, 1118971647, 'A2', 'Satellite Provider'),
(28558, '66.178.39.0', '66.178.39.255', 1118971648, 1118971903, 'GY', 'Guyana'),
(28559, '66.178.40.0', '66.178.40.255', 1118971904, 1118972159, 'A2', 'Satellite Provider'),
(28560, '66.178.41.0', '66.178.41.255', 1118972160, 1118972415, 'VE', 'Venezuela'),
(28561, '66.178.42.0', '66.178.42.255', 1118972416, 1118972671, 'GB', 'United Kingdom'),
(28562, '66.178.43.0', '66.178.43.255', 1118972672, 1118972927, 'SA', 'Saudi Arabia'),
(28563, '66.178.44.0', '66.178.44.15', 1118972928, 1118972943, 'NI', 'Nicaragua'),
(28564, '66.178.44.16', '66.178.44.31', 1118972944, 1118972959, 'VE', 'Venezuela'),
(28565, '66.178.44.32', '66.178.44.39', 1118972960, 1118972967, 'A2', 'Satellite Provider'),
(28566, '66.178.44.40', '66.178.44.47', 1118972968, 1118972975, 'NI', 'Nicaragua'),
(28567, '66.178.44.48', '66.178.44.55', 1118972976, 1118972983, 'A2', 'Satellite Provider'),
(28568, '66.178.44.56', '66.178.44.71', 1118972984, 1118972999, 'NI', 'Nicaragua'),
(28569, '66.178.44.72', '66.178.44.79', 1118973000, 1118973007, 'SV', 'El Salvador'),
(28570, '66.178.44.80', '66.178.44.103', 1118973008, 1118973031, 'A2', 'Satellite Provider'),
(28571, '66.178.44.104', '66.178.44.111', 1118973032, 1118973039, 'NI', 'Nicaragua'),
(28572, '66.178.44.112', '66.178.44.119', 1118973040, 1118973047, 'A2', 'Satellite Provider'),
(28573, '66.178.44.120', '66.178.44.127', 1118973048, 1118973055, 'NI', 'Nicaragua'),
(28574, '66.178.44.128', '66.178.44.135', 1118973056, 1118973063, 'A2', 'Satellite Provider'),
(28575, '66.178.44.136', '66.178.44.143', 1118973064, 1118973071, 'EC', 'Ecuador'),
(28576, '66.178.44.144', '66.178.44.151', 1118973072, 1118973079, 'SV', 'El Salvador'),
(28577, '66.178.44.152', '66.178.44.183', 1118973080, 1118973111, 'VE', 'Venezuela'),
(28578, '66.178.44.184', '66.178.44.191', 1118973112, 1118973119, 'SV', 'El Salvador'),
(28579, '66.178.44.192', '66.178.44.223', 1118973120, 1118973151, 'NI', 'Nicaragua'),
(28580, '66.178.44.224', '66.178.44.231', 1118973152, 1118973159, 'A2', 'Satellite Provider'),
(28581, '66.178.44.232', '66.178.44.239', 1118973160, 1118973167, 'NI', 'Nicaragua'),
(28582, '66.178.44.240', '66.178.44.255', 1118973168, 1118973183, 'A2', 'Satellite Provider'),
(28583, '66.178.45.0', '66.178.45.255', 1118973184, 1118973439, 'VE', 'Venezuela'),
(28584, '66.178.46.0', '66.178.46.255', 1118973440, 1118973695, 'US', 'United States'),
(28585, '66.178.47.0', '66.178.47.255', 1118973696, 1118973951, 'NG', 'Nigeria'),
(28586, '66.178.48.0', '66.178.48.63', 1118973952, 1118974015, 'GY', 'Guyana'),
(28587, '66.178.48.64', '66.178.48.95', 1118974016, 1118974047, 'A2', 'Satellite Provider'),
(28588, '66.178.48.96', '66.178.48.103', 1118974048, 1118974055, 'SV', 'El Salvador'),
(28589, '66.178.48.104', '66.178.48.143', 1118974056, 1118974095, 'A2', 'Satellite Provider'),
(28590, '66.178.48.144', '66.178.48.151', 1118974096, 1118974103, 'EC', 'Ecuador'),
(28591, '66.178.48.152', '66.178.48.159', 1118974104, 1118974111, 'SV', 'El Salvador'),
(28592, '66.178.48.160', '66.178.48.167', 1118974112, 1118974119, 'NI', 'Nicaragua'),
(28593, '66.178.48.168', '66.178.48.175', 1118974120, 1118974127, 'A2', 'Satellite Provider'),
(28594, '66.178.48.176', '66.178.48.183', 1118974128, 1118974135, 'US', 'United States'),
(28595, '66.178.48.184', '66.178.48.255', 1118974136, 1118974207, 'EC', 'Ecuador'),
(28596, '66.178.49.0', '66.178.49.7', 1118974208, 1118974215, 'US', 'United States'),
(28597, '66.178.49.8', '66.178.53.255', 1118974216, 1118975487, 'A2', 'Satellite Provider'),
(28598, '66.178.54.0', '66.178.54.255', 1118975488, 1118975743, 'KE', 'Kenya'),
(28599, '66.178.55.0', '66.178.55.255', 1118975744, 1118975999, 'A2', 'Satellite Provider'),
(28600, '66.178.56.0', '66.178.56.255', 1118976000, 1118976255, 'GB', 'United Kingdom'),
(28601, '66.178.57.0', '66.178.57.31', 1118976256, 1118976287, 'LB', 'Lebanon'),
(28602, '66.178.57.32', '66.178.57.39', 1118976288, 1118976295, 'A2', 'Satellite Provider'),
(28603, '66.178.57.40', '66.178.57.55', 1118976296, 1118976311, 'SA', 'Saudi Arabia'),
(28604, '66.178.57.56', '66.178.57.63', 1118976312, 1118976319, 'A2', 'Satellite Provider'),
(28605, '66.178.57.64', '66.178.57.71', 1118976320, 1118976327, 'SA', 'Saudi Arabia'),
(28606, '66.178.57.72', '66.178.57.87', 1118976328, 1118976343, 'A2', 'Satellite Provider'),
(28607, '66.178.57.88', '66.178.57.103', 1118976344, 1118976359, 'LB', 'Lebanon'),
(28608, '66.178.57.104', '66.178.57.111', 1118976360, 1118976367, 'A2', 'Satellite Provider'),
(28609, '66.178.57.112', '66.178.57.119', 1118976368, 1118976375, 'SA', 'Saudi Arabia'),
(28610, '66.178.57.120', '66.178.57.127', 1118976376, 1118976383, 'LB', 'Lebanon'),
(28611, '66.178.57.128', '66.178.57.135', 1118976384, 1118976391, 'SA', 'Saudi Arabia'),
(28612, '66.178.57.136', '66.178.57.143', 1118976392, 1118976399, 'A2', 'Satellite Provider');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(28613, '66.178.57.144', '66.178.57.167', 1118976400, 1118976423, 'SA', 'Saudi Arabia'),
(28614, '66.178.57.168', '66.178.57.255', 1118976424, 1118976511, 'A2', 'Satellite Provider'),
(28615, '66.178.58.0', '66.178.58.63', 1118976512, 1118976575, 'NG', 'Nigeria'),
(28616, '66.178.58.64', '66.178.58.87', 1118976576, 1118976599, 'A2', 'Satellite Provider'),
(28617, '66.178.58.88', '66.178.58.95', 1118976600, 1118976607, 'NG', 'Nigeria'),
(28618, '66.178.58.96', '66.178.58.103', 1118976608, 1118976615, 'LB', 'Lebanon'),
(28619, '66.178.58.104', '66.178.58.175', 1118976616, 1118976687, 'A2', 'Satellite Provider'),
(28620, '66.178.58.176', '66.178.58.191', 1118976688, 1118976703, 'NG', 'Nigeria'),
(28621, '66.178.58.192', '66.178.58.215', 1118976704, 1118976727, 'A2', 'Satellite Provider'),
(28622, '66.178.58.216', '66.178.58.223', 1118976728, 1118976735, 'NG', 'Nigeria'),
(28623, '66.178.58.224', '66.178.58.255', 1118976736, 1118976767, 'A2', 'Satellite Provider'),
(28624, '66.178.59.0', '66.178.59.23', 1118976768, 1118976791, 'NG', 'Nigeria'),
(28625, '66.178.59.24', '66.178.59.63', 1118976792, 1118976831, 'A2', 'Satellite Provider'),
(28626, '66.178.59.64', '66.178.59.95', 1118976832, 1118976863, 'NG', 'Nigeria'),
(28627, '66.178.59.96', '66.178.59.127', 1118976864, 1118976895, 'A2', 'Satellite Provider'),
(28628, '66.178.59.128', '66.178.59.255', 1118976896, 1118977023, 'NG', 'Nigeria'),
(28629, '66.178.60.0', '66.178.60.255', 1118977024, 1118977279, 'SA', 'Saudi Arabia'),
(28630, '66.178.61.0', '66.178.61.31', 1118977280, 1118977311, 'A2', 'Satellite Provider'),
(28631, '66.178.61.32', '66.178.61.63', 1118977312, 1118977343, 'NG', 'Nigeria'),
(28632, '66.178.61.64', '66.178.61.71', 1118977344, 1118977351, 'KE', 'Kenya'),
(28633, '66.178.61.72', '66.178.61.255', 1118977352, 1118977535, 'A2', 'Satellite Provider'),
(28634, '66.178.62.0', '66.178.62.255', 1118977536, 1118977791, 'US', 'United States'),
(28635, '66.178.63.0', '66.178.63.47', 1118977792, 1118977839, 'A2', 'Satellite Provider'),
(28636, '66.178.63.48', '66.178.63.55', 1118977840, 1118977847, 'LB', 'Lebanon'),
(28637, '66.178.63.56', '66.178.63.87', 1118977848, 1118977879, 'A2', 'Satellite Provider'),
(28638, '66.178.63.88', '66.178.63.95', 1118977880, 1118977887, 'NI', 'Nicaragua'),
(28639, '66.178.63.96', '66.178.63.255', 1118977888, 1118978047, 'A2', 'Satellite Provider'),
(28640, '66.178.64.0', '66.178.65.135', 1118978048, 1118978439, 'SA', 'Saudi Arabia'),
(28641, '66.178.65.136', '66.178.65.143', 1118978440, 1118978447, 'A2', 'Satellite Provider'),
(28642, '66.178.65.144', '66.178.65.159', 1118978448, 1118978463, 'LB', 'Lebanon'),
(28643, '66.178.65.160', '66.178.65.223', 1118978464, 1118978527, 'SA', 'Saudi Arabia'),
(28644, '66.178.65.224', '66.178.67.255', 1118978528, 1118979071, 'A2', 'Satellite Provider'),
(28645, '66.178.68.0', '66.178.68.223', 1118979072, 1118979295, 'SA', 'Saudi Arabia'),
(28646, '66.178.68.224', '66.178.68.255', 1118979296, 1118979327, 'LB', 'Lebanon'),
(28647, '66.178.69.0', '66.178.69.127', 1118979328, 1118979455, 'SA', 'Saudi Arabia'),
(28648, '66.178.69.128', '66.178.69.151', 1118979456, 1118979479, 'LB', 'Lebanon'),
(28649, '66.178.69.152', '66.178.69.167', 1118979480, 1118979495, 'SA', 'Saudi Arabia'),
(28650, '66.178.69.168', '66.178.69.175', 1118979496, 1118979503, 'LB', 'Lebanon'),
(28651, '66.178.69.176', '66.178.69.207', 1118979504, 1118979535, 'SA', 'Saudi Arabia'),
(28652, '66.178.69.208', '66.178.69.247', 1118979536, 1118979575, 'LB', 'Lebanon'),
(28653, '66.178.69.248', '66.178.70.127', 1118979576, 1118979711, 'SA', 'Saudi Arabia'),
(28654, '66.178.70.128', '66.178.70.191', 1118979712, 1118979775, 'LB', 'Lebanon'),
(28655, '66.178.70.192', '66.178.70.255', 1118979776, 1118979839, 'A2', 'Satellite Provider'),
(28656, '66.178.71.0', '66.178.71.15', 1118979840, 1118979855, 'NI', 'Nicaragua'),
(28657, '66.178.71.16', '66.178.71.55', 1118979856, 1118979895, 'A2', 'Satellite Provider'),
(28658, '66.178.71.56', '66.178.71.63', 1118979896, 1118979903, 'NI', 'Nicaragua'),
(28659, '66.178.71.64', '66.178.71.255', 1118979904, 1118980095, 'A2', 'Satellite Provider'),
(28660, '66.178.72.0', '66.178.72.255', 1118980096, 1118980351, 'NG', 'Nigeria'),
(28661, '66.178.73.0', '66.178.73.255', 1118980352, 1118980607, 'A2', 'Satellite Provider'),
(28662, '66.178.74.0', '66.178.74.255', 1118980608, 1118980863, 'TZ', 'Tanzania, United Republic of'),
(28663, '66.178.75.0', '66.178.75.255', 1118980864, 1118981119, 'AN', 'Netherlands Antilles'),
(28664, '66.178.76.0', '66.178.76.255', 1118981120, 1118981375, 'A2', 'Satellite Provider'),
(28665, '66.178.77.0', '66.178.77.255', 1118981376, 1118981631, 'IQ', 'Iraq'),
(28666, '66.178.78.0', '66.178.78.55', 1118981632, 1118981687, 'EC', 'Ecuador'),
(28667, '66.178.78.56', '66.178.78.63', 1118981688, 1118981695, 'A2', 'Satellite Provider'),
(28668, '66.178.78.64', '66.178.78.103', 1118981696, 1118981735, 'SV', 'El Salvador'),
(28669, '66.178.78.104', '66.178.78.111', 1118981736, 1118981743, 'EC', 'Ecuador'),
(28670, '66.178.78.112', '66.178.78.119', 1118981744, 1118981751, 'SV', 'El Salvador'),
(28671, '66.178.78.120', '66.178.78.127', 1118981752, 1118981759, 'NG', 'Nigeria'),
(28672, '66.178.78.128', '66.178.78.151', 1118981760, 1118981783, 'A2', 'Satellite Provider'),
(28673, '66.178.78.152', '66.178.78.159', 1118981784, 1118981791, 'NI', 'Nicaragua'),
(28674, '66.178.78.160', '66.178.78.191', 1118981792, 1118981823, 'NG', 'Nigeria'),
(28675, '66.178.78.192', '66.178.78.199', 1118981824, 1118981831, 'EC', 'Ecuador'),
(28676, '66.178.78.200', '66.178.78.223', 1118981832, 1118981855, 'NI', 'Nicaragua'),
(28677, '66.178.78.224', '66.178.78.231', 1118981856, 1118981863, 'EC', 'Ecuador'),
(28678, '66.178.78.232', '66.178.78.239', 1118981864, 1118981871, 'NI', 'Nicaragua'),
(28679, '66.178.78.240', '66.178.78.247', 1118981872, 1118981879, 'A2', 'Satellite Provider'),
(28680, '66.178.78.248', '66.178.78.255', 1118981880, 1118981887, 'NI', 'Nicaragua'),
(28681, '66.178.79.0', '66.178.80.31', 1118981888, 1118982175, 'A2', 'Satellite Provider'),
(28682, '66.178.80.32', '66.178.80.39', 1118982176, 1118982183, 'NG', 'Nigeria'),
(28683, '66.178.80.40', '66.178.80.47', 1118982184, 1118982191, 'A2', 'Satellite Provider'),
(28684, '66.178.80.48', '66.178.80.55', 1118982192, 1118982199, 'KE', 'Kenya'),
(28685, '66.178.80.56', '66.178.80.63', 1118982200, 1118982207, 'US', 'United States'),
(28686, '66.178.80.64', '66.178.80.71', 1118982208, 1118982215, 'A2', 'Satellite Provider'),
(28687, '66.178.80.72', '66.178.80.135', 1118982216, 1118982279, 'NG', 'Nigeria'),
(28688, '66.178.80.136', '66.178.80.143', 1118982280, 1118982287, 'A2', 'Satellite Provider'),
(28689, '66.178.80.144', '66.178.80.151', 1118982288, 1118982295, 'NG', 'Nigeria'),
(28690, '66.178.80.152', '66.178.80.159', 1118982296, 1118982303, 'A2', 'Satellite Provider'),
(28691, '66.178.80.160', '66.178.80.167', 1118982304, 1118982311, 'KE', 'Kenya'),
(28692, '66.178.80.168', '66.178.80.183', 1118982312, 1118982327, 'NG', 'Nigeria'),
(28693, '66.178.80.184', '66.178.80.191', 1118982328, 1118982335, 'A2', 'Satellite Provider'),
(28694, '66.178.80.192', '66.178.80.223', 1118982336, 1118982367, 'NG', 'Nigeria'),
(28695, '66.178.80.224', '66.178.80.239', 1118982368, 1118982383, 'A2', 'Satellite Provider'),
(28696, '66.178.80.240', '66.178.80.247', 1118982384, 1118982391, 'NG', 'Nigeria'),
(28697, '66.178.80.248', '66.178.80.255', 1118982392, 1118982399, 'A2', 'Satellite Provider'),
(28698, '66.178.81.0', '66.178.81.15', 1118982400, 1118982415, 'NG', 'Nigeria'),
(28699, '66.178.81.16', '66.178.81.31', 1118982416, 1118982431, 'SV', 'El Salvador'),
(28700, '66.178.81.32', '66.178.81.47', 1118982432, 1118982447, 'NG', 'Nigeria'),
(28701, '66.178.81.48', '66.178.81.63', 1118982448, 1118982463, 'US', 'United States'),
(28702, '66.178.81.64', '66.178.81.79', 1118982464, 1118982479, 'NG', 'Nigeria'),
(28703, '66.178.81.80', '66.178.81.87', 1118982480, 1118982487, 'A2', 'Satellite Provider'),
(28704, '66.178.81.88', '66.178.81.151', 1118982488, 1118982551, 'NG', 'Nigeria'),
(28705, '66.178.81.152', '66.178.81.159', 1118982552, 1118982559, 'US', 'United States'),
(28706, '66.178.81.160', '66.178.81.167', 1118982560, 1118982567, 'NG', 'Nigeria'),
(28707, '66.178.81.168', '66.178.81.175', 1118982568, 1118982575, 'US', 'United States'),
(28708, '66.178.81.176', '66.178.81.183', 1118982576, 1118982583, 'NG', 'Nigeria'),
(28709, '66.178.81.184', '66.178.81.191', 1118982584, 1118982591, 'CM', 'Cameroon'),
(28710, '66.178.81.192', '66.178.81.199', 1118982592, 1118982599, 'NG', 'Nigeria'),
(28711, '66.178.81.200', '66.178.81.207', 1118982600, 1118982607, 'A2', 'Satellite Provider'),
(28712, '66.178.81.208', '66.178.81.247', 1118982608, 1118982647, 'NG', 'Nigeria'),
(28713, '66.178.81.248', '66.178.82.127', 1118982648, 1118982783, 'A2', 'Satellite Provider'),
(28714, '66.178.82.128', '66.178.82.255', 1118982784, 1118982911, 'NG', 'Nigeria'),
(28715, '66.178.83.0', '66.178.83.7', 1118982912, 1118982919, 'LB', 'Lebanon'),
(28716, '66.178.83.8', '66.178.83.15', 1118982920, 1118982927, 'A2', 'Satellite Provider'),
(28717, '66.178.83.16', '66.178.83.23', 1118982928, 1118982935, 'NG', 'Nigeria'),
(28718, '66.178.83.24', '66.178.83.167', 1118982936, 1118983079, 'A2', 'Satellite Provider'),
(28719, '66.178.83.168', '66.178.83.175', 1118983080, 1118983087, 'NG', 'Nigeria'),
(28720, '66.178.83.176', '66.178.83.255', 1118983088, 1118983167, 'A2', 'Satellite Provider'),
(28721, '66.178.84.0', '66.178.84.31', 1118983168, 1118983199, 'AE', 'United Arab Emirates'),
(28722, '66.178.84.32', '66.178.84.111', 1118983200, 1118983279, 'SA', 'Saudi Arabia'),
(28723, '66.178.84.112', '66.178.84.127', 1118983280, 1118983295, 'A2', 'Satellite Provider'),
(28724, '66.178.84.128', '66.178.84.191', 1118983296, 1118983359, 'AE', 'United Arab Emirates'),
(28725, '66.178.84.192', '66.178.84.255', 1118983360, 1118983423, 'A2', 'Satellite Provider'),
(28726, '66.178.85.0', '66.178.85.255', 1118983424, 1118983679, 'NI', 'Nicaragua'),
(28727, '66.178.86.0', '66.178.86.63', 1118983680, 1118983743, 'TZ', 'Tanzania, United Republic of'),
(28728, '66.178.86.64', '66.178.86.79', 1118983744, 1118983759, 'VE', 'Venezuela'),
(28729, '66.178.86.80', '66.178.86.127', 1118983760, 1118983807, 'A2', 'Satellite Provider'),
(28730, '66.178.86.128', '66.178.86.159', 1118983808, 1118983839, 'NG', 'Nigeria'),
(28731, '66.178.86.160', '66.178.86.191', 1118983840, 1118983871, 'A2', 'Satellite Provider'),
(28732, '66.178.86.192', '66.178.86.199', 1118983872, 1118983879, 'TZ', 'Tanzania, United Republic of'),
(28733, '66.178.86.200', '66.178.86.239', 1118983880, 1118983919, 'US', 'United States'),
(28734, '66.178.86.240', '66.178.88.255', 1118983920, 1118984447, 'A2', 'Satellite Provider'),
(28735, '66.178.89.0', '66.178.89.255', 1118984448, 1118984703, 'SA', 'Saudi Arabia'),
(28736, '66.178.90.0', '66.178.90.71', 1118984704, 1118984775, 'TZ', 'Tanzania, United Republic of'),
(28737, '66.178.90.72', '66.178.90.79', 1118984776, 1118984783, 'IQ', 'Iraq'),
(28738, '66.178.90.80', '66.178.90.87', 1118984784, 1118984791, 'A2', 'Satellite Provider'),
(28739, '66.178.90.88', '66.178.90.95', 1118984792, 1118984799, 'NG', 'Nigeria'),
(28740, '66.178.90.96', '66.178.90.103', 1118984800, 1118984807, 'A2', 'Satellite Provider'),
(28741, '66.178.90.104', '66.178.90.111', 1118984808, 1118984815, 'LB', 'Lebanon'),
(28742, '66.178.90.112', '66.178.90.127', 1118984816, 1118984831, 'A2', 'Satellite Provider'),
(28743, '66.178.90.128', '66.178.90.135', 1118984832, 1118984839, 'LB', 'Lebanon'),
(28744, '66.178.90.136', '66.178.90.143', 1118984840, 1118984847, 'SA', 'Saudi Arabia'),
(28745, '66.178.90.144', '66.178.90.151', 1118984848, 1118984855, 'A2', 'Satellite Provider'),
(28746, '66.178.90.152', '66.178.90.159', 1118984856, 1118984863, 'IQ', 'Iraq'),
(28747, '66.178.90.160', '66.178.90.183', 1118984864, 1118984887, 'TZ', 'Tanzania, United Republic of'),
(28748, '66.178.90.184', '66.178.90.191', 1118984888, 1118984895, 'LB', 'Lebanon'),
(28749, '66.178.90.192', '66.178.90.239', 1118984896, 1118984943, 'SA', 'Saudi Arabia'),
(28750, '66.178.90.240', '66.178.90.247', 1118984944, 1118984951, 'LB', 'Lebanon'),
(28751, '66.178.90.248', '66.178.90.255', 1118984952, 1118984959, 'SA', 'Saudi Arabia'),
(28752, '66.178.91.0', '66.178.91.255', 1118984960, 1118985215, 'LB', 'Lebanon'),
(28753, '66.178.92.0', '66.178.94.255', 1118985216, 1118985983, 'A2', 'Satellite Provider'),
(28754, '66.178.95.0', '66.178.95.127', 1118985984, 1118986111, 'NG', 'Nigeria'),
(28755, '66.178.95.128', '66.178.95.255', 1118986112, 1118986239, 'A2', 'Satellite Provider'),
(28756, '66.178.96.0', '66.178.98.255', 1118986240, 1118987007, 'GB', 'United Kingdom'),
(28757, '66.178.99.0', '66.178.99.255', 1118987008, 1118987263, 'US', 'United States'),
(28758, '66.178.100.0', '66.178.103.255', 1118987264, 1118988287, 'KE', 'Kenya'),
(28759, '66.178.104.0', '66.178.104.255', 1118988288, 1118988543, 'A2', 'Satellite Provider'),
(28760, '66.178.105.0', '66.178.105.31', 1118988544, 1118988575, 'NG', 'Nigeria'),
(28761, '66.178.105.32', '66.178.105.71', 1118988576, 1118988615, 'A2', 'Satellite Provider'),
(28762, '66.178.105.72', '66.178.105.79', 1118988616, 1118988623, 'GB', 'United Kingdom'),
(28763, '66.178.105.80', '66.178.105.191', 1118988624, 1118988735, 'A2', 'Satellite Provider'),
(28764, '66.178.105.192', '66.178.105.207', 1118988736, 1118988751, 'GB', 'United Kingdom'),
(28765, '66.178.105.208', '66.178.105.255', 1118988752, 1118988799, 'A2', 'Satellite Provider'),
(28766, '66.178.106.0', '66.178.106.255', 1118988800, 1118989055, 'VE', 'Venezuela'),
(28767, '66.178.107.0', '66.178.107.127', 1118989056, 1118989183, 'KE', 'Kenya'),
(28768, '66.178.107.128', '66.178.107.255', 1118989184, 1118989311, 'GB', 'United Kingdom'),
(28769, '66.178.108.0', '66.178.109.255', 1118989312, 1118989823, 'KE', 'Kenya'),
(28770, '66.178.110.0', '66.178.110.127', 1118989824, 1118989951, 'A2', 'Satellite Provider'),
(28771, '66.178.110.128', '66.178.110.255', 1118989952, 1118990079, 'FR', 'France'),
(28772, '66.178.111.0', '66.178.111.191', 1118990080, 1118990271, 'A2', 'Satellite Provider'),
(28773, '66.178.111.192', '66.178.111.223', 1118990272, 1118990303, 'US', 'United States'),
(28774, '66.178.111.224', '66.178.113.127', 1118990304, 1118990719, 'A2', 'Satellite Provider'),
(28775, '66.178.113.128', '66.178.113.135', 1118990720, 1118990727, 'KE', 'Kenya'),
(28776, '66.178.113.136', '66.178.116.127', 1118990728, 1118991487, 'A2', 'Satellite Provider'),
(28777, '66.178.116.128', '66.178.116.255', 1118991488, 1118991615, 'LR', 'Liberia'),
(28778, '66.178.117.0', '66.178.120.255', 1118991616, 1118992639, 'A2', 'Satellite Provider'),
(28779, '66.178.121.0', '66.178.121.15', 1118992640, 1118992655, 'KE', 'Kenya'),
(28780, '66.178.121.16', '66.178.121.95', 1118992656, 1118992735, 'A2', 'Satellite Provider'),
(28781, '66.178.121.96', '66.178.121.103', 1118992736, 1118992743, 'SA', 'Saudi Arabia'),
(28782, '66.178.121.104', '66.178.121.127', 1118992744, 1118992767, 'A2', 'Satellite Provider'),
(28783, '66.178.121.128', '66.178.121.199', 1118992768, 1118992839, 'US', 'United States'),
(28784, '66.178.121.200', '66.178.122.255', 1118992840, 1118993151, 'A2', 'Satellite Provider'),
(28785, '66.178.123.0', '66.178.123.255', 1118993152, 1118993407, 'GY', 'Guyana'),
(28786, '66.178.124.0', '66.178.126.255', 1118993408, 1118994175, 'A2', 'Satellite Provider'),
(28787, '66.178.127.0', '66.178.127.255', 1118994176, 1118994431, 'LR', 'Liberia'),
(28788, '66.178.128.0', '66.178.242.119', 1118994432, 1119023735, 'US', 'United States'),
(28789, '66.178.242.120', '66.178.242.127', 1119023736, 1119023743, 'UY', 'Uruguay'),
(28790, '66.178.242.128', '66.180.63.255', 1119023744, 1119109119, 'US', 'United States'),
(28791, '66.180.64.0', '66.180.71.255', 1119109120, 1119111167, 'CA', 'Canada'),
(28792, '66.180.80.0', '66.180.203.223', 1119113216, 1119144927, 'US', 'United States'),
(28793, '66.180.203.224', '66.180.203.231', 1119144928, 1119144935, 'AU', 'Australia'),
(28794, '66.180.203.232', '66.180.223.255', 1119144936, 1119150079, 'US', 'United States'),
(28795, '66.180.240.0', '66.181.33.135', 1119154176, 1119166855, 'US', 'United States'),
(28796, '66.181.33.136', '66.181.33.151', 1119166856, 1119166871, 'HT', 'Haiti'),
(28797, '66.181.33.152', '66.181.34.103', 1119166872, 1119167079, 'US', 'United States'),
(28798, '66.181.34.104', '66.181.34.111', 1119167080, 1119167087, 'CA', 'Canada'),
(28799, '66.181.34.112', '66.181.34.143', 1119167088, 1119167119, 'US', 'United States'),
(28800, '66.181.34.144', '66.181.34.151', 1119167120, 1119167127, 'MX', 'Mexico'),
(28801, '66.181.34.152', '66.181.35.127', 1119167128, 1119167359, 'US', 'United States'),
(28802, '66.181.35.128', '66.181.35.135', 1119167360, 1119167367, 'CA', 'Canada'),
(28803, '66.181.35.136', '66.181.35.175', 1119167368, 1119167407, 'US', 'United States'),
(28804, '66.181.35.176', '66.181.35.183', 1119167408, 1119167415, 'CA', 'Canada'),
(28805, '66.181.35.184', '66.181.36.7', 1119167416, 1119167495, 'US', 'United States'),
(28806, '66.181.36.8', '66.181.36.15', 1119167496, 1119167503, 'CA', 'Canada'),
(28807, '66.181.36.16', '66.181.37.95', 1119167504, 1119167839, 'US', 'United States'),
(28808, '66.181.37.96', '66.181.37.111', 1119167840, 1119167855, 'CA', 'Canada'),
(28809, '66.181.37.112', '66.181.38.23', 1119167856, 1119168023, 'US', 'United States'),
(28810, '66.181.38.24', '66.181.38.31', 1119168024, 1119168031, 'CA', 'Canada'),
(28811, '66.181.38.32', '66.181.38.183', 1119168032, 1119168183, 'US', 'United States'),
(28812, '66.181.38.184', '66.181.38.191', 1119168184, 1119168191, 'CA', 'Canada'),
(28813, '66.181.38.192', '66.181.39.95', 1119168192, 1119168351, 'US', 'United States'),
(28814, '66.181.39.96', '66.181.39.103', 1119168352, 1119168359, 'AF', 'Afghanistan'),
(28815, '66.181.39.104', '66.181.40.175', 1119168360, 1119168687, 'US', 'United States'),
(28816, '66.181.40.176', '66.181.40.183', 1119168688, 1119168695, 'CA', 'Canada'),
(28817, '66.181.40.184', '66.181.41.207', 1119168696, 1119168975, 'US', 'United States'),
(28818, '66.181.41.208', '66.181.41.215', 1119168976, 1119168983, 'CA', 'Canada'),
(28819, '66.181.41.216', '66.181.43.79', 1119168984, 1119169359, 'US', 'United States'),
(28820, '66.181.43.80', '66.181.43.87', 1119169360, 1119169367, 'HT', 'Haiti'),
(28821, '66.181.43.88', '66.181.43.255', 1119169368, 1119169535, 'US', 'United States'),
(28822, '66.181.44.0', '66.181.44.7', 1119169536, 1119169543, 'CA', 'Canada'),
(28823, '66.181.44.8', '66.181.44.63', 1119169544, 1119169599, 'US', 'United States'),
(28824, '66.181.44.64', '66.181.44.79', 1119169600, 1119169615, 'MX', 'Mexico'),
(28825, '66.181.44.80', '66.181.47.135', 1119169616, 1119170439, 'US', 'United States'),
(28826, '66.181.47.136', '66.181.47.143', 1119170440, 1119170447, 'CA', 'Canada'),
(28827, '66.181.47.144', '66.181.48.63', 1119170448, 1119170623, 'US', 'United States'),
(28828, '66.181.48.64', '66.181.48.71', 1119170624, 1119170631, 'CA', 'Canada'),
(28829, '66.181.48.72', '66.181.50.135', 1119170632, 1119171207, 'US', 'United States'),
(28830, '66.181.50.136', '66.181.50.143', 1119171208, 1119171215, 'CA', 'Canada'),
(28831, '66.181.50.144', '66.181.51.55', 1119171216, 1119171383, 'US', 'United States'),
(28832, '66.181.51.56', '66.181.51.63', 1119171384, 1119171391, 'CA', 'Canada'),
(28833, '66.181.51.64', '66.181.54.103', 1119171392, 1119172199, 'US', 'United States'),
(28834, '66.181.54.104', '66.181.54.111', 1119172200, 1119172207, 'CA', 'Canada'),
(28835, '66.181.54.112', '66.181.57.31', 1119172208, 1119172895, 'US', 'United States'),
(28836, '66.181.57.32', '66.181.57.127', 1119172896, 1119172991, 'MX', 'Mexico'),
(28837, '66.181.57.128', '66.181.57.143', 1119172992, 1119173007, 'US', 'United States'),
(28838, '66.181.57.144', '66.181.57.231', 1119173008, 1119173095, 'MX', 'Mexico'),
(28839, '66.181.57.232', '66.181.57.255', 1119173096, 1119173119, 'US', 'United States'),
(28840, '66.181.58.0', '66.181.58.23', 1119173120, 1119173143, 'MX', 'Mexico'),
(28841, '66.181.58.24', '66.181.58.31', 1119173144, 1119173151, 'US', 'United States'),
(28842, '66.181.58.32', '66.181.58.87', 1119173152, 1119173207, 'MX', 'Mexico'),
(28843, '66.181.58.88', '66.181.58.95', 1119173208, 1119173215, 'US', 'United States'),
(28844, '66.181.58.96', '66.181.58.103', 1119173216, 1119173223, 'MX', 'Mexico'),
(28845, '66.181.58.104', '66.181.58.111', 1119173224, 1119173231, 'US', 'United States'),
(28846, '66.181.58.112', '66.181.58.143', 1119173232, 1119173263, 'MX', 'Mexico'),
(28847, '66.181.58.144', '66.181.58.159', 1119173264, 1119173279, 'US', 'United States'),
(28848, '66.181.58.160', '66.181.58.175', 1119173280, 1119173295, 'MX', 'Mexico'),
(28849, '66.181.58.176', '66.181.58.191', 1119173296, 1119173311, 'US', 'United States'),
(28850, '66.181.58.192', '66.181.58.223', 1119173312, 1119173343, 'MX', 'Mexico'),
(28851, '66.181.58.224', '66.181.58.231', 1119173344, 1119173351, 'US', 'United States'),
(28852, '66.181.58.232', '66.181.58.247', 1119173352, 1119173367, 'MX', 'Mexico'),
(28853, '66.181.58.248', '66.181.58.255', 1119173368, 1119173375, 'US', 'United States'),
(28854, '66.181.59.0', '66.181.59.23', 1119173376, 1119173399, 'MX', 'Mexico'),
(28855, '66.181.59.24', '66.181.59.31', 1119173400, 1119173407, 'US', 'United States'),
(28856, '66.181.59.32', '66.181.59.95', 1119173408, 1119173471, 'MX', 'Mexico'),
(28857, '66.181.59.96', '66.181.59.119', 1119173472, 1119173495, 'US', 'United States'),
(28858, '66.181.59.120', '66.181.59.151', 1119173496, 1119173527, 'MX', 'Mexico'),
(28859, '66.181.59.152', '66.181.59.159', 1119173528, 1119173535, 'US', 'United States'),
(28860, '66.181.59.160', '66.181.59.167', 1119173536, 1119173543, 'MX', 'Mexico'),
(28861, '66.181.59.168', '66.181.59.175', 1119173544, 1119173551, 'US', 'United States'),
(28862, '66.181.59.176', '66.181.59.199', 1119173552, 1119173575, 'MX', 'Mexico'),
(28863, '66.181.59.200', '66.181.59.215', 1119173576, 1119173591, 'US', 'United States'),
(28864, '66.181.59.216', '66.181.60.23', 1119173592, 1119173655, 'MX', 'Mexico'),
(28865, '66.181.60.24', '66.181.60.39', 1119173656, 1119173671, 'US', 'United States'),
(28866, '66.181.60.40', '66.181.60.47', 1119173672, 1119173679, 'MX', 'Mexico'),
(28867, '66.181.60.48', '66.181.60.71', 1119173680, 1119173703, 'US', 'United States'),
(28868, '66.181.60.72', '66.181.60.95', 1119173704, 1119173727, 'MX', 'Mexico'),
(28869, '66.181.60.96', '66.181.60.103', 1119173728, 1119173735, 'US', 'United States'),
(28870, '66.181.60.104', '66.181.60.119', 1119173736, 1119173751, 'MX', 'Mexico'),
(28871, '66.181.60.120', '66.181.60.135', 1119173752, 1119173767, 'US', 'United States'),
(28872, '66.181.60.136', '66.181.60.143', 1119173768, 1119173775, 'MX', 'Mexico'),
(28873, '66.181.60.144', '66.181.60.167', 1119173776, 1119173799, 'US', 'United States'),
(28874, '66.181.60.168', '66.181.60.183', 1119173800, 1119173815, 'MX', 'Mexico'),
(28875, '66.181.60.184', '66.181.60.199', 1119173816, 1119173831, 'US', 'United States'),
(28876, '66.181.60.200', '66.181.60.215', 1119173832, 1119173847, 'MX', 'Mexico'),
(28877, '66.181.60.216', '66.181.60.231', 1119173848, 1119173863, 'US', 'United States'),
(28878, '66.181.60.232', '66.181.60.239', 1119173864, 1119173871, 'MX', 'Mexico'),
(28879, '66.181.60.240', '66.181.61.47', 1119173872, 1119173935, 'US', 'United States'),
(28880, '66.181.61.48', '66.181.61.95', 1119173936, 1119173983, 'MX', 'Mexico'),
(28881, '66.181.61.96', '66.181.61.111', 1119173984, 1119173999, 'US', 'United States'),
(28882, '66.181.61.112', '66.181.61.119', 1119174000, 1119174007, 'MX', 'Mexico'),
(28883, '66.181.61.120', '66.181.61.135', 1119174008, 1119174023, 'US', 'United States'),
(28884, '66.181.61.136', '66.181.61.143', 1119174024, 1119174031, 'GT', 'Guatemala'),
(28885, '66.181.61.144', '66.181.61.151', 1119174032, 1119174039, 'MX', 'Mexico'),
(28886, '66.181.61.152', '66.181.61.159', 1119174040, 1119174047, 'US', 'United States'),
(28887, '66.181.61.160', '66.181.61.231', 1119174048, 1119174119, 'MX', 'Mexico'),
(28888, '66.181.61.232', '66.181.61.239', 1119174120, 1119174127, 'US', 'United States'),
(28889, '66.181.61.240', '66.181.62.55', 1119174128, 1119174199, 'MX', 'Mexico'),
(28890, '66.181.62.56', '66.181.62.71', 1119174200, 1119174215, 'US', 'United States'),
(28891, '66.181.62.72', '66.181.62.103', 1119174216, 1119174247, 'GT', 'Guatemala'),
(28892, '66.181.62.104', '66.181.62.143', 1119174248, 1119174287, 'US', 'United States'),
(28893, '66.181.62.144', '66.181.62.175', 1119174288, 1119174319, 'MX', 'Mexico'),
(28894, '66.181.62.176', '66.181.62.199', 1119174320, 1119174343, 'US', 'United States'),
(28895, '66.181.62.200', '66.181.62.207', 1119174344, 1119174351, 'GT', 'Guatemala'),
(28896, '66.181.62.208', '66.181.62.215', 1119174352, 1119174359, 'MX', 'Mexico'),
(28897, '66.181.62.216', '66.181.62.255', 1119174360, 1119174399, 'US', 'United States'),
(28898, '66.181.63.0', '66.181.63.7', 1119174400, 1119174407, 'GT', 'Guatemala'),
(28899, '66.181.63.8', '66.181.63.15', 1119174408, 1119174415, 'MX', 'Mexico'),
(28900, '66.181.63.16', '66.181.63.23', 1119174416, 1119174423, 'US', 'United States'),
(28901, '66.181.63.24', '66.181.63.71', 1119174424, 1119174471, 'MX', 'Mexico'),
(28902, '66.181.63.72', '66.181.63.79', 1119174472, 1119174479, 'US', 'United States'),
(28903, '66.181.63.80', '66.181.63.111', 1119174480, 1119174511, 'MX', 'Mexico'),
(28904, '66.181.63.112', '66.181.63.135', 1119174512, 1119174535, 'US', 'United States'),
(28905, '66.181.63.136', '66.181.63.143', 1119174536, 1119174543, 'MX', 'Mexico'),
(28906, '66.181.63.144', '66.181.207.255', 1119174544, 1119211519, 'US', 'United States'),
(28907, '66.181.208.0', '66.181.223.255', 1119211520, 1119215615, 'CA', 'Canada'),
(28908, '66.181.224.0', '66.182.255.255', 1119215616, 1119289343, 'US', 'United States'),
(28909, '66.183.0.0', '66.183.255.255', 1119289344, 1119354879, 'CA', 'Canada'),
(28910, '66.184.0.0', '66.184.56.191', 1119354880, 1119369407, 'US', 'United States'),
(28911, '66.184.56.192', '66.184.56.199', 1119369408, 1119369415, 'UM', 'United States Minor Outlying Islands'),
(28912, '66.184.56.200', '66.185.31.255', 1119369416, 1119428607, 'US', 'United States'),
(28913, '66.185.32.0', '66.185.47.255', 1119428608, 1119432703, 'VI', 'Virgin Islands, U.S.'),
(28914, '66.185.48.0', '66.185.63.255', 1119432704, 1119436799, 'CA', 'Canada'),
(28915, '66.185.64.0', '66.185.79.255', 1119436800, 1119440895, 'US', 'United States'),
(28916, '66.185.80.0', '66.185.95.255', 1119440896, 1119444991, 'CA', 'Canada'),
(28917, '66.185.96.0', '66.185.102.223', 1119444992, 1119446751, 'US', 'United States'),
(28918, '66.185.102.224', '66.185.102.231', 1119446752, 1119446759, 'CO', 'Colombia'),
(28919, '66.185.102.232', '66.185.191.255', 1119446760, 1119469567, 'US', 'United States'),
(28920, '66.185.192.0', '66.185.223.255', 1119469568, 1119477759, 'CA', 'Canada'),
(28921, '66.185.224.0', '66.186.2.159', 1119477760, 1119486623, 'US', 'United States'),
(28922, '66.186.2.160', '66.186.2.167', 1119486624, 1119486631, 'AU', 'Australia'),
(28923, '66.186.2.168', '66.186.17.191', 1119486632, 1119490495, 'US', 'United States'),
(28924, '66.186.17.192', '66.186.17.223', 1119490496, 1119490527, 'GI', 'Gibraltar'),
(28925, '66.186.17.224', '66.186.63.255', 1119490528, 1119502335, 'US', 'United States'),
(28926, '66.186.64.0', '66.186.95.255', 1119502336, 1119510527, 'CA', 'Canada'),
(28927, '66.186.96.0', '66.187.25.255', 1119510528, 1119558143, 'US', 'United States'),
(28928, '66.187.26.0', '66.187.27.255', 1119558144, 1119558655, 'PR', 'Puerto Rico'),
(28929, '66.187.28.0', '66.187.111.255', 1119558656, 1119580159, 'US', 'United States'),
(28930, '66.187.112.0', '66.187.127.255', 1119580160, 1119584255, 'CA', 'Canada'),
(28931, '66.187.128.0', '66.193.215.191', 1119584256, 1119999935, 'US', 'United States'),
(28932, '66.193.215.192', '66.193.215.223', 1119999936, 1119999967, 'A2', 'Satellite Provider'),
(28933, '66.193.215.224', '66.194.19.191', 1119999968, 1120015295, 'US', 'United States'),
(28934, '66.194.19.192', '66.194.19.223', 1120015296, 1120015327, 'A2', 'Satellite Provider'),
(28935, '66.194.19.224', '66.194.211.255', 1120015328, 1120064511, 'US', 'United States'),
(28936, '66.194.212.0', '66.194.212.255', 1120064512, 1120064767, 'AR', 'Argentina'),
(28937, '66.194.213.0', '66.196.31.255', 1120064768, 1120149503, 'US', 'United States'),
(28938, '66.196.32.0', '66.196.32.95', 1120149504, 1120149599, 'CA', 'Canada'),
(28939, '66.196.32.96', '66.196.32.127', 1120149600, 1120149631, 'US', 'United States'),
(28940, '66.196.32.128', '66.196.34.15', 1120149632, 1120150031, 'CA', 'Canada'),
(28941, '66.196.34.16', '66.196.34.23', 1120150032, 1120150039, 'TW', 'Taiwan'),
(28942, '66.196.34.24', '66.196.40.143', 1120150040, 1120151695, 'CA', 'Canada'),
(28943, '66.196.40.144', '66.196.40.159', 1120151696, 1120151711, 'TW', 'Taiwan'),
(28944, '66.196.40.160', '66.196.42.95', 1120151712, 1120152159, 'CA', 'Canada'),
(28945, '66.196.42.96', '66.196.42.127', 1120152160, 1120152191, 'US', 'United States'),
(28946, '66.196.42.128', '66.196.47.255', 1120152192, 1120153599, 'CA', 'Canada'),
(28947, '66.196.48.0', '66.197.255.255', 1120153600, 1120272383, 'US', 'United States'),
(28948, '66.198.0.0', '66.198.17.255', 1120272384, 1120276991, 'CA', 'Canada'),
(28949, '66.198.18.0', '66.198.19.255', 1120276992, 1120277503, 'US', 'United States'),
(28950, '66.198.20.0', '66.198.31.255', 1120277504, 1120280575, 'CA', 'Canada'),
(28951, '66.198.32.0', '66.198.32.255', 1120280576, 1120280831, 'US', 'United States'),
(28952, '66.198.33.0', '66.198.33.23', 1120280832, 1120280855, 'CA', 'Canada'),
(28953, '66.198.33.24', '66.198.33.31', 1120280856, 1120280863, 'US', 'United States'),
(28954, '66.198.33.32', '66.198.33.255', 1120280864, 1120281087, 'CA', 'Canada'),
(28955, '66.198.34.0', '66.198.34.7', 1120281088, 1120281095, 'PG', 'Papua New Guinea'),
(28956, '66.198.34.8', '66.198.34.15', 1120281096, 1120281103, 'US', 'United States'),
(28957, '66.198.34.16', '66.198.34.23', 1120281104, 1120281111, 'CA', 'Canada'),
(28958, '66.198.34.24', '66.198.34.31', 1120281112, 1120281119, 'US', 'United States'),
(28959, '66.198.34.32', '66.198.34.47', 1120281120, 1120281135, 'ZA', 'South Africa'),
(28960, '66.198.34.48', '66.198.34.63', 1120281136, 1120281151, 'US', 'United States'),
(28961, '66.198.34.64', '66.198.35.31', 1120281152, 1120281375, 'CA', 'Canada'),
(28962, '66.198.35.32', '66.198.35.39', 1120281376, 1120281383, 'AR', 'Argentina'),
(28963, '66.198.35.40', '66.198.35.47', 1120281384, 1120281391, 'US', 'United States'),
(28964, '66.198.35.48', '66.198.35.255', 1120281392, 1120281599, 'CA', 'Canada'),
(28965, '66.198.36.0', '66.198.38.255', 1120281600, 1120282367, 'US', 'United States'),
(28966, '66.198.39.0', '66.198.39.255', 1120282368, 1120282623, 'SY', 'Syrian Arab Republic'),
(28967, '66.198.40.0', '66.198.40.255', 1120282624, 1120282879, 'US', 'United States'),
(28968, '66.198.41.0', '66.198.41.255', 1120282880, 1120283135, 'SY', 'Syrian Arab Republic'),
(28969, '66.198.42.0', '66.198.42.255', 1120283136, 1120283391, 'US', 'United States'),
(28970, '66.198.43.0', '66.198.43.255', 1120283392, 1120283647, 'CA', 'Canada'),
(28971, '66.198.44.0', '66.198.47.255', 1120283648, 1120284671, 'EC', 'Ecuador'),
(28972, '66.198.48.0', '66.198.55.255', 1120284672, 1120286719, 'CA', 'Canada'),
(28973, '66.198.56.0', '66.198.64.255', 1120286720, 1120289023, 'US', 'United States'),
(28974, '66.198.65.0', '66.198.69.255', 1120289024, 1120290303, 'CA', 'Canada'),
(28975, '66.198.70.0', '66.198.70.255', 1120290304, 1120290559, 'US', 'United States'),
(28976, '66.198.71.0', '66.198.80.255', 1120290560, 1120293119, 'CA', 'Canada'),
(28977, '66.198.81.0', '66.198.82.255', 1120293120, 1120293631, 'US', 'United States'),
(28978, '66.198.83.0', '66.198.103.255', 1120293632, 1120299007, 'CA', 'Canada'),
(28979, '66.198.104.0', '66.198.104.255', 1120299008, 1120299263, 'PK', 'Pakistan'),
(28980, '66.198.105.0', '66.198.105.255', 1120299264, 1120299519, 'US', 'United States'),
(28981, '66.198.106.0', '66.198.110.255', 1120299520, 1120300799, 'PK', 'Pakistan'),
(28982, '66.198.111.0', '66.198.111.255', 1120300800, 1120301055, 'US', 'United States'),
(28983, '66.198.112.0', '66.198.126.255', 1120301056, 1120304895, 'CA', 'Canada'),
(28984, '66.198.127.0', '66.198.127.255', 1120304896, 1120305151, 'US', 'United States'),
(28985, '66.198.128.0', '66.198.133.255', 1120305152, 1120306687, 'CA', 'Canada'),
(28986, '66.198.134.0', '66.198.134.255', 1120306688, 1120306943, 'PH', 'Philippines'),
(28987, '66.198.135.0', '66.198.135.255', 1120306944, 1120307199, 'US', 'United States'),
(28988, '66.198.136.0', '66.198.138.255', 1120307200, 1120307967, 'EC', 'Ecuador'),
(28989, '66.198.139.0', '66.198.139.255', 1120307968, 1120308223, 'PH', 'Philippines'),
(28990, '66.198.140.0', '66.198.143.255', 1120308224, 1120309247, 'CA', 'Canada'),
(28991, '66.198.144.0', '66.198.144.255', 1120309248, 1120309503, 'US', 'United States'),
(28992, '66.198.145.0', '66.198.145.255', 1120309504, 1120309759, 'CA', 'Canada'),
(28993, '66.198.146.0', '66.198.146.255', 1120309760, 1120310015, 'US', 'United States'),
(28994, '66.198.147.0', '66.198.149.255', 1120310016, 1120310783, 'PH', 'Philippines'),
(28995, '66.198.150.0', '66.198.153.255', 1120310784, 1120311807, 'CA', 'Canada'),
(28996, '66.198.154.0', '66.198.154.255', 1120311808, 1120312063, 'US', 'United States'),
(28997, '66.198.155.0', '66.198.156.127', 1120312064, 1120312447, 'PH', 'Philippines'),
(28998, '66.198.156.128', '66.198.156.255', 1120312448, 1120312575, 'CA', 'Canada'),
(28999, '66.198.157.0', '66.198.157.255', 1120312576, 1120312831, 'PH', 'Philippines'),
(29000, '66.198.158.0', '66.198.159.255', 1120312832, 1120313343, 'CA', 'Canada'),
(29001, '66.198.160.0', '66.198.160.255', 1120313344, 1120313599, 'US', 'United States'),
(29002, '66.198.161.0', '66.198.166.255', 1120313600, 1120315135, 'CA', 'Canada'),
(29003, '66.198.167.0', '66.198.167.255', 1120315136, 1120315391, 'US', 'United States'),
(29004, '66.198.168.0', '66.198.191.255', 1120315392, 1120321535, 'CA', 'Canada'),
(29005, '66.198.192.0', '66.199.31.255', 1120321536, 1120346111, 'US', 'United States'),
(29006, '66.199.32.0', '66.199.35.159', 1120346112, 1120347039, 'CA', 'Canada'),
(29007, '66.199.35.160', '66.199.35.175', 1120347040, 1120347055, 'US', 'United States'),
(29008, '66.199.35.176', '66.199.35.255', 1120347056, 1120347135, 'CA', 'Canada'),
(29009, '66.199.36.0', '66.199.36.255', 1120347136, 1120347391, 'US', 'United States'),
(29010, '66.199.37.0', '66.199.37.135', 1120347392, 1120347527, 'CA', 'Canada'),
(29011, '66.199.37.136', '66.199.37.143', 1120347528, 1120347535, 'US', 'United States'),
(29012, '66.199.37.144', '66.199.37.199', 1120347536, 1120347591, 'CA', 'Canada'),
(29013, '66.199.37.200', '66.199.37.215', 1120347592, 1120347607, 'US', 'United States'),
(29014, '66.199.37.216', '66.199.47.255', 1120347608, 1120350207, 'CA', 'Canada'),
(29015, '66.199.48.0', '66.199.127.255', 1120350208, 1120370687, 'US', 'United States'),
(29016, '66.199.128.0', '66.199.129.255', 1120370688, 1120371199, 'CA', 'Canada'),
(29017, '66.199.130.0', '66.199.130.255', 1120371200, 1120371455, 'US', 'United States'),
(29018, '66.199.131.0', '66.199.131.55', 1120371456, 1120371511, 'CA', 'Canada'),
(29019, '66.199.131.56', '66.199.131.95', 1120371512, 1120371551, 'US', 'United States'),
(29020, '66.199.131.96', '66.199.131.191', 1120371552, 1120371647, 'CA', 'Canada'),
(29021, '66.199.131.192', '66.199.131.195', 1120371648, 1120371651, 'US', 'United States'),
(29022, '66.199.131.196', '66.199.131.255', 1120371652, 1120371711, 'CA', 'Canada'),
(29023, '66.199.132.0', '66.199.133.255', 1120371712, 1120372223, 'US', 'United States'),
(29024, '66.199.134.0', '66.199.134.255', 1120372224, 1120372479, 'CA', 'Canada'),
(29025, '66.199.135.0', '66.199.135.255', 1120372480, 1120372735, 'US', 'United States'),
(29026, '66.199.136.0', '66.199.138.175', 1120372736, 1120373423, 'CA', 'Canada'),
(29027, '66.199.138.176', '66.199.138.255', 1120373424, 1120373503, 'US', 'United States'),
(29028, '66.199.139.0', '66.199.141.31', 1120373504, 1120374047, 'CA', 'Canada'),
(29029, '66.199.141.32', '66.199.141.47', 1120374048, 1120374063, 'US', 'United States'),
(29030, '66.199.141.48', '66.199.141.255', 1120374064, 1120374271, 'CA', 'Canada'),
(29031, '66.199.142.0', '66.199.142.31', 1120374272, 1120374303, 'US', 'United States'),
(29032, '66.199.142.32', '66.199.142.127', 1120374304, 1120374399, 'CA', 'Canada'),
(29033, '66.199.142.128', '66.199.142.143', 1120374400, 1120374415, 'US', 'United States'),
(29034, '66.199.142.144', '66.199.142.207', 1120374416, 1120374479, 'CA', 'Canada'),
(29035, '66.199.142.208', '66.199.142.215', 1120374480, 1120374487, 'US', 'United States'),
(29036, '66.199.142.216', '66.199.142.239', 1120374488, 1120374511, 'CA', 'Canada'),
(29037, '66.199.142.240', '66.199.143.255', 1120374512, 1120374783, 'US', 'United States'),
(29038, '66.199.144.0', '66.199.145.203', 1120374784, 1120375243, 'CA', 'Canada'),
(29039, '66.199.145.204', '66.199.145.223', 1120375244, 1120375263, 'US', 'United States'),
(29040, '66.199.145.224', '66.199.146.127', 1120375264, 1120375423, 'CA', 'Canada'),
(29041, '66.199.146.128', '66.199.146.255', 1120375424, 1120375551, 'US', 'United States'),
(29042, '66.199.147.0', '66.199.149.15', 1120375552, 1120376079, 'CA', 'Canada'),
(29043, '66.199.149.16', '66.199.149.63', 1120376080, 1120376127, 'US', 'United States'),
(29044, '66.199.149.64', '66.199.149.159', 1120376128, 1120376223, 'CA', 'Canada'),
(29045, '66.199.149.160', '66.199.149.175', 1120376224, 1120376239, 'US', 'United States'),
(29046, '66.199.149.176', '66.199.149.191', 1120376240, 1120376255, 'MX', 'Mexico'),
(29047, '66.199.149.192', '66.199.149.223', 1120376256, 1120376287, 'CA', 'Canada'),
(29048, '66.199.149.224', '66.199.149.239', 1120376288, 1120376303, 'US', 'United States'),
(29049, '66.199.149.240', '66.199.150.7', 1120376304, 1120376327, 'CA', 'Canada'),
(29050, '66.199.150.8', '66.199.150.63', 1120376328, 1120376383, 'US', 'United States'),
(29051, '66.199.150.64', '66.199.150.127', 1120376384, 1120376447, 'CA', 'Canada'),
(29052, '66.199.150.128', '66.199.150.135', 1120376448, 1120376455, 'US', 'United States'),
(29053, '66.199.150.136', '66.199.150.174', 1120376456, 1120376494, 'CA', 'Canada'),
(29054, '66.199.150.175', '66.199.150.239', 1120376495, 1120376559, 'US', 'United States'),
(29055, '66.199.150.240', '66.199.151.71', 1120376560, 1120376647, 'CA', 'Canada'),
(29056, '66.199.151.72', '66.199.151.95', 1120376648, 1120376671, 'US', 'United States'),
(29057, '66.199.151.96', '66.199.151.103', 1120376672, 1120376679, 'MX', 'Mexico'),
(29058, '66.199.151.104', '66.199.151.111', 1120376680, 1120376687, 'CA', 'Canada'),
(29059, '66.199.151.112', '66.199.151.191', 1120376688, 1120376767, 'US', 'United States'),
(29060, '66.199.151.192', '66.199.151.239', 1120376768, 1120376815, 'CA', 'Canada'),
(29061, '66.199.151.240', '66.199.151.255', 1120376816, 1120376831, 'US', 'United States'),
(29062, '66.199.152.0', '66.199.153.79', 1120376832, 1120377167, 'CA', 'Canada'),
(29063, '66.199.153.80', '66.199.153.111', 1120377168, 1120377199, 'US', 'United States'),
(29064, '66.199.153.112', '66.199.153.127', 1120377200, 1120377215, 'CA', 'Canada'),
(29065, '66.199.153.128', '66.199.153.159', 1120377216, 1120377247, 'US', 'United States'),
(29066, '66.199.153.160', '66.199.155.191', 1120377248, 1120377791, 'CA', 'Canada'),
(29067, '66.199.155.192', '66.199.155.223', 1120377792, 1120377823, 'US', 'United States'),
(29068, '66.199.155.224', '66.199.157.255', 1120377824, 1120378367, 'CA', 'Canada'),
(29069, '66.199.158.0', '66.199.158.255', 1120378368, 1120378623, 'US', 'United States'),
(29070, '66.199.159.0', '66.199.160.31', 1120378624, 1120378911, 'CA', 'Canada'),
(29071, '66.199.160.32', '66.199.160.47', 1120378912, 1120378927, 'US', 'United States'),
(29072, '66.199.160.48', '66.199.160.159', 1120378928, 1120379039, 'CA', 'Canada'),
(29073, '66.199.160.160', '66.199.160.191', 1120379040, 1120379071, 'PA', 'Panama'),
(29074, '66.199.160.192', '66.199.161.31', 1120379072, 1120379167, 'CA', 'Canada'),
(29075, '66.199.161.32', '66.199.161.47', 1120379168, 1120379183, 'US', 'United States'),
(29076, '66.199.161.48', '66.199.164.123', 1120379184, 1120380027, 'CA', 'Canada'),
(29077, '66.199.164.124', '66.199.164.127', 1120380028, 1120380031, 'US', 'United States'),
(29078, '66.199.164.128', '66.199.164.191', 1120380032, 1120380095, 'CA', 'Canada'),
(29079, '66.199.164.192', '66.199.164.223', 1120380096, 1120380127, 'US', 'United States'),
(29080, '66.199.164.224', '66.199.164.227', 1120380128, 1120380131, 'CA', 'Canada'),
(29081, '66.199.164.228', '66.199.165.63', 1120380132, 1120380223, 'US', 'United States'),
(29082, '66.199.165.64', '66.199.165.79', 1120380224, 1120380239, 'CA', 'Canada'),
(29083, '66.199.165.80', '66.199.165.103', 1120380240, 1120380263, 'US', 'United States'),
(29084, '66.199.165.104', '66.199.165.111', 1120380264, 1120380271, 'CA', 'Canada'),
(29085, '66.199.165.112', '66.199.165.255', 1120380272, 1120380415, 'US', 'United States'),
(29086, '66.199.166.0', '66.199.166.15', 1120380416, 1120380431, 'VG', 'Virgin Islands, British'),
(29087, '66.199.166.16', '66.199.166.31', 1120380432, 1120380447, 'CA', 'Canada'),
(29088, '66.199.166.32', '66.199.166.63', 1120380448, 1120380479, 'US', 'United States'),
(29089, '66.199.166.64', '66.199.166.223', 1120380480, 1120380639, 'CA', 'Canada'),
(29090, '66.199.166.224', '66.199.166.239', 1120380640, 1120380655, 'US', 'United States'),
(29091, '66.199.166.240', '66.199.166.243', 1120380656, 1120380659, 'CA', 'Canada'),
(29092, '66.199.166.244', '66.199.166.247', 1120380660, 1120380663, 'US', 'United States'),
(29093, '66.199.166.248', '66.199.168.127', 1120380664, 1120381055, 'CA', 'Canada'),
(29094, '66.199.168.128', '66.199.168.143', 1120381056, 1120381071, 'US', 'United States'),
(29095, '66.199.168.144', '66.199.168.159', 1120381072, 1120381087, 'PA', 'Panama'),
(29096, '66.199.168.160', '66.199.168.167', 1120381088, 1120381095, 'US', 'United States'),
(29097, '66.199.168.168', '66.199.168.175', 1120381096, 1120381103, 'CA', 'Canada'),
(29098, '66.199.168.176', '66.199.168.191', 1120381104, 1120381119, 'US', 'United States'),
(29099, '66.199.168.192', '66.199.173.23', 1120381120, 1120382231, 'CA', 'Canada'),
(29100, '66.199.173.24', '66.199.173.31', 1120382232, 1120382239, 'US', 'United States'),
(29101, '66.199.173.32', '66.199.173.63', 1120382240, 1120382271, 'CA', 'Canada'),
(29102, '66.199.173.64', '66.199.173.159', 1120382272, 1120382367, 'US', 'United States'),
(29103, '66.199.173.160', '66.199.173.223', 1120382368, 1120382431, 'CA', 'Canada'),
(29104, '66.199.173.224', '66.199.173.255', 1120382432, 1120382463, 'US', 'United States'),
(29105, '66.199.174.0', '66.199.175.255', 1120382464, 1120382975, 'CA', 'Canada'),
(29106, '66.199.176.0', '66.199.177.31', 1120382976, 1120383263, 'US', 'United States'),
(29107, '66.199.177.32', '66.199.177.95', 1120383264, 1120383327, 'CA', 'Canada'),
(29108, '66.199.177.96', '66.199.177.111', 1120383328, 1120383343, 'US', 'United States'),
(29109, '66.199.177.112', '66.199.177.135', 1120383344, 1120383367, 'CA', 'Canada'),
(29110, '66.199.177.136', '66.199.177.191', 1120383368, 1120383423, 'US', 'United States'),
(29111, '66.199.177.192', '66.199.177.207', 1120383424, 1120383439, 'CA', 'Canada'),
(29112, '66.199.177.208', '66.199.179.31', 1120383440, 1120383775, 'US', 'United States'),
(29113, '66.199.179.32', '66.199.179.207', 1120383776, 1120383951, 'CA', 'Canada'),
(29114, '66.199.179.208', '66.199.179.255', 1120383952, 1120383999, 'US', 'United States'),
(29115, '66.199.180.0', '66.199.183.255', 1120384000, 1120385023, 'CA', 'Canada'),
(29116, '66.199.184.0', '66.199.184.111', 1120385024, 1120385135, 'US', 'United States'),
(29117, '66.199.184.112', '66.199.184.119', 1120385136, 1120385143, 'CA', 'Canada'),
(29118, '66.199.184.120', '66.199.184.127', 1120385144, 1120385151, 'US', 'United States'),
(29119, '66.199.184.128', '66.199.184.159', 1120385152, 1120385183, 'GB', 'United Kingdom'),
(29120, '66.199.184.160', '66.199.185.255', 1120385184, 1120385535, 'CA', 'Canada'),
(29121, '66.199.186.0', '66.199.189.255', 1120385536, 1120386559, 'US', 'United States'),
(29122, '66.199.190.0', '66.199.191.255', 1120386560, 1120387071, 'CA', 'Canada'),
(29123, '66.199.192.0', '66.201.64.127', 1120387072, 1120485503, 'US', 'United States'),
(29124, '66.201.64.128', '66.201.64.255', 1120485504, 1120485631, 'IN', 'India'),
(29125, '66.201.65.0', '66.201.66.191', 1120485632, 1120486079, 'US', 'United States'),
(29126, '66.201.66.192', '66.201.66.255', 1120486080, 1120486143, 'IN', 'India'),
(29127, '66.201.67.0', '66.201.67.255', 1120486144, 1120486399, 'US', 'United States'),
(29128, '66.201.68.0', '66.201.69.255', 1120486400, 1120486911, 'CA', 'Canada'),
(29129, '66.201.70.0', '66.201.70.191', 1120486912, 1120487103, 'US', 'United States'),
(29130, '66.201.70.192', '66.201.70.255', 1120487104, 1120487167, 'CA', 'Canada'),
(29131, '66.201.71.0', '66.201.71.31', 1120487168, 1120487199, 'US', 'United States'),
(29132, '66.201.71.32', '66.201.71.63', 1120487200, 1120487231, 'CA', 'Canada'),
(29133, '66.201.71.64', '66.201.71.191', 1120487232, 1120487359, 'US', 'United States'),
(29134, '66.201.71.192', '66.201.71.223', 1120487360, 1120487391, 'CA', 'Canada'),
(29135, '66.201.71.224', '66.201.71.255', 1120487392, 1120487423, 'BE', 'Belgium'),
(29136, '66.201.72.0', '66.201.72.255', 1120487424, 1120487679, 'CA', 'Canada'),
(29137, '66.201.73.0', '66.201.74.255', 1120487680, 1120488191, 'US', 'United States'),
(29138, '66.201.75.0', '66.201.76.255', 1120488192, 1120488703, 'CA', 'Canada'),
(29139, '66.201.77.0', '66.201.77.63', 1120488704, 1120488767, 'US', 'United States'),
(29140, '66.201.77.64', '66.201.77.95', 1120488768, 1120488799, 'VE', 'Venezuela'),
(29141, '66.201.77.96', '66.201.77.127', 1120488800, 1120488831, 'IL', 'Israel'),
(29142, '66.201.77.128', '66.201.77.159', 1120488832, 1120488863, 'CA', 'Canada'),
(29143, '66.201.77.160', '66.201.77.191', 1120488864, 1120488895, 'BE', 'Belgium'),
(29144, '66.201.77.192', '66.201.77.223', 1120488896, 1120488927, 'KN', 'Saint Kitts and Nevis'),
(29145, '66.201.77.224', '66.201.78.255', 1120488928, 1120489215, 'US', 'United States'),
(29146, '66.201.79.0', '66.201.79.127', 1120489216, 1120489343, 'CA', 'Canada'),
(29147, '66.201.79.128', '66.201.79.255', 1120489344, 1120489471, 'US', 'United States'),
(29148, '66.201.80.0', '66.201.80.255', 1120489472, 1120489727, 'CA', 'Canada'),
(29149, '66.201.81.0', '66.201.81.255', 1120489728, 1120489983, 'US', 'United States'),
(29150, '66.201.82.0', '66.201.84.255', 1120489984, 1120490751, 'CA', 'Canada'),
(29151, '66.201.85.0', '66.201.85.31', 1120490752, 1120490783, 'GB', 'United Kingdom'),
(29152, '66.201.85.32', '66.201.85.255', 1120490784, 1120491007, 'US', 'United States'),
(29153, '66.201.86.0', '66.201.88.255', 1120491008, 1120491775, 'CA', 'Canada'),
(29154, '66.201.89.0', '66.201.91.127', 1120491776, 1120492415, 'US', 'United States'),
(29155, '66.201.91.128', '66.201.91.255', 1120492416, 1120492543, 'FR', 'France'),
(29156, '66.201.92.0', '66.201.93.255', 1120492544, 1120493055, 'CA', 'Canada'),
(29157, '66.201.94.0', '66.201.94.31', 1120493056, 1120493087, 'IN', 'India'),
(29158, '66.201.94.32', '66.201.94.127', 1120493088, 1120493183, 'US', 'United States'),
(29159, '66.201.94.128', '66.201.94.159', 1120493184, 1120493215, 'CA', 'Canada'),
(29160, '66.201.94.160', '66.201.94.191', 1120493216, 1120493247, 'BE', 'Belgium'),
(29161, '66.201.94.192', '66.201.94.255', 1120493248, 1120493311, 'US', 'United States'),
(29162, '66.201.95.0', '66.201.95.255', 1120493312, 1120493567, 'CA', 'Canada'),
(29163, '66.201.96.0', '66.201.96.255', 1120493568, 1120493823, 'US', 'United States'),
(29164, '66.201.97.0', '66.201.97.255', 1120493824, 1120494079, 'CA', 'Canada'),
(29165, '66.201.98.0', '66.201.98.255', 1120494080, 1120494335, 'US', 'United States'),
(29166, '66.201.99.0', '66.201.99.255', 1120494336, 1120494591, 'CA', 'Canada'),
(29167, '66.201.100.0', '66.201.101.127', 1120494592, 1120494975, 'US', 'United States'),
(29168, '66.201.101.128', '66.201.101.191', 1120494976, 1120495039, 'CA', 'Canada'),
(29169, '66.201.101.192', '66.201.104.127', 1120495040, 1120495743, 'US', 'United States'),
(29170, '66.201.104.128', '66.201.104.255', 1120495744, 1120495871, 'SG', 'Singapore'),
(29171, '66.201.105.0', '66.201.106.95', 1120495872, 1120496223, 'US', 'United States'),
(29172, '66.201.106.96', '66.201.106.127', 1120496224, 1120496255, 'BE', 'Belgium'),
(29173, '66.201.106.128', '66.201.106.159', 1120496256, 1120496287, 'CA', 'Canada'),
(29174, '66.201.106.160', '66.201.107.1', 1120496288, 1120496385, 'US', 'United States'),
(29175, '66.201.107.2', '66.201.107.254', 1120496386, 1120496638, 'CA', 'Canada'),
(29176, '66.201.107.255', '66.201.107.255', 1120496639, 1120496639, 'US', 'United States'),
(29177, '66.201.108.0', '66.201.109.255', 1120496640, 1120497151, 'CA', 'Canada'),
(29178, '66.201.110.0', '66.201.110.31', 1120497152, 1120497183, 'BE', 'Belgium'),
(29179, '66.201.110.32', '66.201.110.63', 1120497184, 1120497215, 'US', 'United States'),
(29180, '66.201.110.64', '66.201.110.95', 1120497216, 1120497247, 'BE', 'Belgium'),
(29181, '66.201.110.96', '66.201.110.159', 1120497248, 1120497311, 'US', 'United States'),
(29182, '66.201.110.160', '66.201.110.191', 1120497312, 1120497343, 'IN', 'India'),
(29183, '66.201.110.192', '66.201.110.223', 1120497344, 1120497375, 'US', 'United States'),
(29184, '66.201.110.224', '66.201.111.255', 1120497376, 1120497663, 'CA', 'Canada'),
(29185, '66.201.112.0', '66.201.112.127', 1120497664, 1120497791, 'US', 'United States'),
(29186, '66.201.112.128', '66.201.112.255', 1120497792, 1120497919, 'AU', 'Australia'),
(29187, '66.201.113.0', '66.201.113.63', 1120497920, 1120497983, 'US', 'United States'),
(29188, '66.201.113.64', '66.201.113.93', 1120497984, 1120498013, 'BE', 'Belgium'),
(29189, '66.201.113.94', '66.201.113.223', 1120498014, 1120498143, 'US', 'United States'),
(29190, '66.201.113.224', '66.201.114.127', 1120498144, 1120498303, 'CA', 'Canada'),
(29191, '66.201.114.128', '66.201.116.255', 1120498304, 1120498943, 'US', 'United States'),
(29192, '66.201.117.0', '66.201.117.255', 1120498944, 1120499199, 'CA', 'Canada'),
(29193, '66.201.118.0', '66.201.119.127', 1120499200, 1120499583, 'US', 'United States'),
(29194, '66.201.119.128', '66.201.119.159', 1120499584, 1120499615, 'FR', 'France'),
(29195, '66.201.119.160', '66.201.119.191', 1120499616, 1120499647, 'IN', 'India'),
(29196, '66.201.119.192', '66.201.123.159', 1120499648, 1120500639, 'US', 'United States'),
(29197, '66.201.123.160', '66.201.123.191', 1120500640, 1120500671, 'BE', 'Belgium');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(29198, '66.201.123.192', '66.201.125.255', 1120500672, 1120501247, 'US', 'United States'),
(29199, '66.201.126.0', '66.201.126.255', 1120501248, 1120501503, 'CA', 'Canada'),
(29200, '66.201.127.0', '66.201.159.255', 1120501504, 1120509951, 'US', 'United States'),
(29201, '66.201.160.0', '66.201.181.255', 1120509952, 1120515583, 'SV', 'El Salvador'),
(29202, '66.201.182.0', '66.201.182.255', 1120515584, 1120515839, 'GT', 'Guatemala'),
(29203, '66.201.183.0', '66.201.183.255', 1120515840, 1120516095, 'SV', 'El Salvador'),
(29204, '66.201.184.0', '66.201.188.255', 1120516096, 1120517375, 'US', 'United States'),
(29205, '66.201.189.0', '66.201.189.255', 1120517376, 1120517631, 'AR', 'Argentina'),
(29206, '66.201.190.0', '66.201.190.255', 1120517632, 1120517887, 'US', 'United States'),
(29207, '66.201.191.0', '66.201.191.255', 1120517888, 1120518143, 'CL', 'Chile'),
(29208, '66.201.192.0', '66.201.255.255', 1120518144, 1120534527, 'CA', 'Canada'),
(29209, '66.202.0.0', '66.202.133.63', 1120534528, 1120568639, 'US', 'United States'),
(29210, '66.202.133.64', '66.202.133.95', 1120568640, 1120568671, 'CA', 'Canada'),
(29211, '66.202.133.96', '66.202.158.191', 1120568672, 1120575167, 'US', 'United States'),
(29212, '66.202.158.192', '66.202.158.223', 1120575168, 1120575199, 'CA', 'Canada'),
(29213, '66.202.158.224', '66.203.159.255', 1120575200, 1120641023, 'US', 'United States'),
(29214, '66.203.160.0', '66.203.223.255', 1120641024, 1120657407, 'CA', 'Canada'),
(29215, '66.203.224.0', '66.205.0.255', 1120657408, 1120731391, 'US', 'United States'),
(29216, '66.205.1.0', '66.205.1.255', 1120731392, 1120731647, 'A2', 'Satellite Provider'),
(29217, '66.205.2.0', '66.205.19.207', 1120731648, 1120736207, 'US', 'United States'),
(29218, '66.205.19.208', '66.205.19.223', 1120736208, 1120736223, 'PY', 'Paraguay'),
(29219, '66.205.19.224', '66.205.22.223', 1120736224, 1120736991, 'US', 'United States'),
(29220, '66.205.22.224', '66.205.22.239', 1120736992, 1120737007, 'KN', 'Saint Kitts and Nevis'),
(29221, '66.205.22.240', '66.205.22.255', 1120737008, 1120737023, 'US', 'United States'),
(29222, '66.205.23.0', '66.205.23.255', 1120737024, 1120737279, 'BS', 'Bahamas'),
(29223, '66.205.24.0', '66.205.34.111', 1120737280, 1120739951, 'US', 'United States'),
(29224, '66.205.34.112', '66.205.34.143', 1120739952, 1120739983, 'MX', 'Mexico'),
(29225, '66.205.34.144', '66.205.34.151', 1120739984, 1120739991, 'US', 'United States'),
(29226, '66.205.34.152', '66.205.34.239', 1120739992, 1120740079, 'MX', 'Mexico'),
(29227, '66.205.34.240', '66.205.34.255', 1120740080, 1120740095, 'US', 'United States'),
(29228, '66.205.35.0', '66.205.35.255', 1120740096, 1120740351, 'MX', 'Mexico'),
(29229, '66.205.36.0', '66.205.39.255', 1120740352, 1120741375, 'TT', 'Trinidad and Tobago'),
(29230, '66.205.40.0', '66.205.40.255', 1120741376, 1120741631, 'US', 'United States'),
(29231, '66.205.41.0', '66.205.41.255', 1120741632, 1120741887, 'MX', 'Mexico'),
(29232, '66.205.42.0', '66.205.47.255', 1120741888, 1120743423, 'US', 'United States'),
(29233, '66.205.48.0', '66.205.48.255', 1120743424, 1120743679, 'KN', 'Saint Kitts and Nevis'),
(29234, '66.205.49.0', '66.205.51.255', 1120743680, 1120744447, 'US', 'United States'),
(29235, '66.205.52.0', '66.205.52.255', 1120744448, 1120744703, 'KN', 'Saint Kitts and Nevis'),
(29236, '66.205.53.0', '66.205.55.255', 1120744704, 1120745471, 'US', 'United States'),
(29237, '66.205.56.0', '66.205.56.255', 1120745472, 1120745727, 'A2', 'Satellite Provider'),
(29238, '66.205.57.0', '66.206.115.255', 1120745728, 1120826367, 'US', 'United States'),
(29239, '66.206.116.0', '66.206.116.255', 1120826368, 1120826623, 'CA', 'Canada'),
(29240, '66.206.117.0', '66.206.194.95', 1120826624, 1120846431, 'US', 'United States'),
(29241, '66.206.194.96', '66.206.194.127', 1120846432, 1120846463, 'CA', 'Canada'),
(29242, '66.206.194.128', '66.206.223.255', 1120846464, 1120854015, 'US', 'United States'),
(29243, '66.206.224.0', '66.206.255.255', 1120854016, 1120862207, 'CA', 'Canada'),
(29244, '66.207.0.0', '66.207.31.255', 1120862208, 1120870399, 'US', 'United States'),
(29245, '66.207.48.0', '66.207.49.11', 1120874496, 1120874763, 'US', 'United States'),
(29246, '66.207.49.12', '66.207.49.15', 1120874764, 1120874767, 'A2', 'Satellite Provider'),
(29247, '66.207.49.16', '66.207.49.23', 1120874768, 1120874775, 'US', 'United States'),
(29248, '66.207.49.24', '66.207.49.27', 1120874776, 1120874779, 'A2', 'Satellite Provider'),
(29249, '66.207.49.28', '66.207.49.63', 1120874780, 1120874815, 'US', 'United States'),
(29250, '66.207.49.64', '66.207.49.79', 1120874816, 1120874831, 'A2', 'Satellite Provider'),
(29251, '66.207.49.80', '66.207.49.87', 1120874832, 1120874839, 'US', 'United States'),
(29252, '66.207.49.88', '66.207.49.95', 1120874840, 1120874847, 'A2', 'Satellite Provider'),
(29253, '66.207.49.96', '66.207.49.127', 1120874848, 1120874879, 'US', 'United States'),
(29254, '66.207.49.128', '66.207.49.135', 1120874880, 1120874887, 'A2', 'Satellite Provider'),
(29255, '66.207.49.136', '66.207.49.143', 1120874888, 1120874895, 'US', 'United States'),
(29256, '66.207.49.144', '66.207.49.159', 1120874896, 1120874911, 'A2', 'Satellite Provider'),
(29257, '66.207.49.160', '66.207.49.183', 1120874912, 1120874935, 'US', 'United States'),
(29258, '66.207.49.184', '66.207.49.191', 1120874936, 1120874943, 'A2', 'Satellite Provider'),
(29259, '66.207.49.192', '66.207.49.207', 1120874944, 1120874959, 'CA', 'Canada'),
(29260, '66.207.49.208', '66.207.49.227', 1120874960, 1120874979, 'US', 'United States'),
(29261, '66.207.49.228', '66.207.49.231', 1120874980, 1120874983, 'A2', 'Satellite Provider'),
(29262, '66.207.49.232', '66.207.49.255', 1120874984, 1120875007, 'US', 'United States'),
(29263, '66.207.50.0', '66.207.50.255', 1120875008, 1120875263, 'AS', 'American Samoa'),
(29264, '66.207.51.0', '66.207.54.255', 1120875264, 1120876287, 'US', 'United States'),
(29265, '66.207.55.0', '66.207.55.255', 1120876288, 1120876543, 'A2', 'Satellite Provider'),
(29266, '66.207.56.0', '66.207.56.23', 1120876544, 1120876567, 'JO', 'Jordan'),
(29267, '66.207.56.24', '66.207.56.31', 1120876568, 1120876575, 'A2', 'Satellite Provider'),
(29268, '66.207.56.32', '66.207.56.47', 1120876576, 1120876591, 'JO', 'Jordan'),
(29269, '66.207.56.48', '66.207.56.55', 1120876592, 1120876599, 'A2', 'Satellite Provider'),
(29270, '66.207.56.56', '66.207.56.63', 1120876600, 1120876607, 'JO', 'Jordan'),
(29271, '66.207.56.64', '66.207.56.71', 1120876608, 1120876615, 'A2', 'Satellite Provider'),
(29272, '66.207.56.72', '66.207.56.79', 1120876616, 1120876623, 'US', 'United States'),
(29273, '66.207.56.80', '66.207.56.111', 1120876624, 1120876655, 'A2', 'Satellite Provider'),
(29274, '66.207.56.112', '66.207.56.127', 1120876656, 1120876671, 'US', 'United States'),
(29275, '66.207.56.128', '66.207.56.255', 1120876672, 1120876799, 'A2', 'Satellite Provider'),
(29276, '66.207.57.0', '66.207.59.255', 1120876800, 1120877567, 'US', 'United States'),
(29277, '66.207.60.0', '66.207.60.7', 1120877568, 1120877575, 'A2', 'Satellite Provider'),
(29278, '66.207.60.8', '66.207.60.15', 1120877576, 1120877583, 'CA', 'Canada'),
(29279, '66.207.60.16', '66.207.60.255', 1120877584, 1120877823, 'A2', 'Satellite Provider'),
(29280, '66.207.61.0', '66.207.63.23', 1120877824, 1120878359, 'US', 'United States'),
(29281, '66.207.63.24', '66.207.63.255', 1120878360, 1120878591, 'A2', 'Satellite Provider'),
(29282, '66.207.64.0', '66.207.95.255', 1120878592, 1120886783, 'US', 'United States'),
(29283, '66.207.96.0', '66.207.96.127', 1120886784, 1120886911, 'CA', 'Canada'),
(29284, '66.207.96.128', '66.207.96.255', 1120886912, 1120887039, 'NG', 'Nigeria'),
(29285, '66.207.97.0', '66.207.101.63', 1120887040, 1120888127, 'CA', 'Canada'),
(29286, '66.207.101.64', '66.207.101.95', 1120888128, 1120888159, 'US', 'United States'),
(29287, '66.207.101.96', '66.207.127.255', 1120888160, 1120894975, 'CA', 'Canada'),
(29288, '66.207.128.0', '66.207.191.255', 1120894976, 1120911359, 'US', 'United States'),
(29289, '66.207.192.0', '66.207.203.239', 1120911360, 1120914415, 'CA', 'Canada'),
(29290, '66.207.203.240', '66.207.203.255', 1120914416, 1120914431, 'AT', 'Austria'),
(29291, '66.207.204.0', '66.207.220.95', 1120914432, 1120918623, 'CA', 'Canada'),
(29292, '66.207.220.96', '66.207.220.111', 1120918624, 1120918639, 'NA', 'Namibia'),
(29293, '66.207.220.112', '66.207.223.255', 1120918640, 1120919551, 'CA', 'Canada'),
(29294, '66.207.224.0', '66.209.47.255', 1120919552, 1121005567, 'US', 'United States'),
(29295, '66.209.48.0', '66.209.63.255', 1121005568, 1121009663, 'CA', 'Canada'),
(29296, '66.209.64.0', '66.209.175.255', 1121009664, 1121038335, 'US', 'United States'),
(29297, '66.209.176.0', '66.209.191.255', 1121038336, 1121042431, 'CA', 'Canada'),
(29298, '66.209.192.0', '66.212.159.255', 1121042432, 1121230847, 'US', 'United States'),
(29299, '66.212.160.0', '66.212.164.247', 1121230848, 1121232119, 'CA', 'Canada'),
(29300, '66.212.164.248', '66.212.164.255', 1121232120, 1121232127, 'US', 'United States'),
(29301, '66.212.165.0', '66.212.169.127', 1121232128, 1121233279, 'CA', 'Canada'),
(29302, '66.212.169.128', '66.212.169.159', 1121233280, 1121233311, 'DE', 'Germany'),
(29303, '66.212.169.160', '66.212.170.47', 1121233312, 1121233455, 'CA', 'Canada'),
(29304, '66.212.170.48', '66.212.170.55', 1121233456, 1121233463, 'US', 'United States'),
(29305, '66.212.170.56', '66.212.170.63', 1121233464, 1121233471, 'DE', 'Germany'),
(29306, '66.212.170.64', '66.212.170.167', 1121233472, 1121233575, 'CA', 'Canada'),
(29307, '66.212.170.168', '66.212.170.175', 1121233576, 1121233583, 'US', 'United States'),
(29308, '66.212.170.176', '66.212.170.191', 1121233584, 1121233599, 'DE', 'Germany'),
(29309, '66.212.170.192', '66.212.191.255', 1121233600, 1121239039, 'CA', 'Canada'),
(29310, '66.212.192.0', '66.212.223.255', 1121239040, 1121247231, 'US', 'United States'),
(29311, '66.212.224.0', '66.212.224.7', 1121247232, 1121247239, 'CA', 'Canada'),
(29312, '66.212.224.8', '66.212.224.23', 1121247240, 1121247255, 'AG', 'Antigua and Barbuda'),
(29313, '66.212.224.24', '66.212.224.31', 1121247256, 1121247263, 'CA', 'Canada'),
(29314, '66.212.224.32', '66.212.224.39', 1121247264, 1121247271, 'CR', 'Costa Rica'),
(29315, '66.212.224.40', '66.212.224.47', 1121247272, 1121247279, 'CA', 'Canada'),
(29316, '66.212.224.48', '66.212.224.55', 1121247280, 1121247287, 'GI', 'Gibraltar'),
(29317, '66.212.224.56', '66.212.224.63', 1121247288, 1121247295, 'CY', 'Cyprus'),
(29318, '66.212.224.64', '66.212.224.255', 1121247296, 1121247487, 'CA', 'Canada'),
(29319, '66.212.225.0', '66.212.225.7', 1121247488, 1121247495, 'VG', 'Virgin Islands, British'),
(29320, '66.212.225.8', '66.212.225.15', 1121247496, 1121247503, 'CA', 'Canada'),
(29321, '66.212.225.16', '66.212.225.23', 1121247504, 1121247511, 'AW', 'Aruba'),
(29322, '66.212.225.24', '66.212.225.31', 1121247512, 1121247519, 'VG', 'Virgin Islands, British'),
(29323, '66.212.225.32', '66.212.225.39', 1121247520, 1121247527, 'BZ', 'Belize'),
(29324, '66.212.225.40', '66.212.225.47', 1121247528, 1121247535, 'VG', 'Virgin Islands, British'),
(29325, '66.212.225.48', '66.212.225.55', 1121247536, 1121247543, 'BZ', 'Belize'),
(29326, '66.212.225.56', '66.212.225.63', 1121247544, 1121247551, 'CA', 'Canada'),
(29327, '66.212.225.64', '66.212.225.71', 1121247552, 1121247559, 'VG', 'Virgin Islands, British'),
(29328, '66.212.225.72', '66.212.225.79', 1121247560, 1121247567, 'CA', 'Canada'),
(29329, '66.212.225.80', '66.212.225.95', 1121247568, 1121247583, 'MT', 'Malta'),
(29330, '66.212.225.96', '66.212.225.103', 1121247584, 1121247591, 'CY', 'Cyprus'),
(29331, '66.212.225.104', '66.212.225.127', 1121247592, 1121247615, 'CA', 'Canada'),
(29332, '66.212.225.128', '66.212.225.143', 1121247616, 1121247631, 'BZ', 'Belize'),
(29333, '66.212.225.144', '66.212.225.159', 1121247632, 1121247647, 'VG', 'Virgin Islands, British'),
(29334, '66.212.225.160', '66.212.225.175', 1121247648, 1121247663, 'US', 'United States'),
(29335, '66.212.225.176', '66.212.225.207', 1121247664, 1121247695, 'BZ', 'Belize'),
(29336, '66.212.225.208', '66.212.225.223', 1121247696, 1121247711, 'CA', 'Canada'),
(29337, '66.212.225.224', '66.212.225.231', 1121247712, 1121247719, 'AN', 'Netherlands Antilles'),
(29338, '66.212.225.232', '66.212.225.255', 1121247720, 1121247743, 'CA', 'Canada'),
(29339, '66.212.226.0', '66.212.226.31', 1121247744, 1121247775, 'BZ', 'Belize'),
(29340, '66.212.226.32', '66.212.226.79', 1121247776, 1121247823, 'CA', 'Canada'),
(29341, '66.212.226.80', '66.212.226.111', 1121247824, 1121247855, 'AG', 'Antigua and Barbuda'),
(29342, '66.212.226.112', '66.212.226.223', 1121247856, 1121247967, 'CA', 'Canada'),
(29343, '66.212.226.224', '66.212.226.255', 1121247968, 1121247999, 'CR', 'Costa Rica'),
(29344, '66.212.227.0', '66.212.227.7', 1121248000, 1121248007, 'AG', 'Antigua and Barbuda'),
(29345, '66.212.227.8', '66.212.227.15', 1121248008, 1121248015, 'BZ', 'Belize'),
(29346, '66.212.227.16', '66.212.227.39', 1121248016, 1121248039, 'CA', 'Canada'),
(29347, '66.212.227.40', '66.212.227.55', 1121248040, 1121248055, 'AG', 'Antigua and Barbuda'),
(29348, '66.212.227.56', '66.212.227.63', 1121248056, 1121248063, 'AW', 'Aruba'),
(29349, '66.212.227.64', '66.212.227.79', 1121248064, 1121248079, 'AG', 'Antigua and Barbuda'),
(29350, '66.212.227.80', '66.212.227.95', 1121248080, 1121248095, 'CA', 'Canada'),
(29351, '66.212.227.96', '66.212.227.111', 1121248096, 1121248111, 'AG', 'Antigua and Barbuda'),
(29352, '66.212.227.112', '66.212.227.127', 1121248112, 1121248127, 'AN', 'Netherlands Antilles'),
(29353, '66.212.227.128', '66.212.227.135', 1121248128, 1121248135, 'MT', 'Malta'),
(29354, '66.212.227.136', '66.212.227.159', 1121248136, 1121248159, 'CA', 'Canada'),
(29355, '66.212.227.160', '66.212.227.255', 1121248160, 1121248255, 'AG', 'Antigua and Barbuda'),
(29356, '66.212.228.0', '66.212.228.31', 1121248256, 1121248287, 'CA', 'Canada'),
(29357, '66.212.228.32', '66.212.228.55', 1121248288, 1121248311, 'BZ', 'Belize'),
(29358, '66.212.228.56', '66.212.228.63', 1121248312, 1121248319, 'MT', 'Malta'),
(29359, '66.212.228.64', '66.212.228.79', 1121248320, 1121248335, 'CA', 'Canada'),
(29360, '66.212.228.80', '66.212.228.87', 1121248336, 1121248343, 'VG', 'Virgin Islands, British'),
(29361, '66.212.228.88', '66.212.228.95', 1121248344, 1121248351, 'BZ', 'Belize'),
(29362, '66.212.228.96', '66.212.228.111', 1121248352, 1121248367, 'MT', 'Malta'),
(29363, '66.212.228.112', '66.212.228.127', 1121248368, 1121248383, 'CA', 'Canada'),
(29364, '66.212.228.128', '66.212.228.143', 1121248384, 1121248399, 'VG', 'Virgin Islands, British'),
(29365, '66.212.228.144', '66.212.228.151', 1121248400, 1121248407, 'CA', 'Canada'),
(29366, '66.212.228.152', '66.212.228.175', 1121248408, 1121248431, 'PA', 'Panama'),
(29367, '66.212.228.176', '66.212.228.191', 1121248432, 1121248447, 'CA', 'Canada'),
(29368, '66.212.228.192', '66.212.228.239', 1121248448, 1121248495, 'BZ', 'Belize'),
(29369, '66.212.228.240', '66.212.230.15', 1121248496, 1121248783, 'CA', 'Canada'),
(29370, '66.212.230.16', '66.212.230.31', 1121248784, 1121248799, 'VG', 'Virgin Islands, British'),
(29371, '66.212.230.32', '66.212.230.95', 1121248800, 1121248863, 'CA', 'Canada'),
(29372, '66.212.230.96', '66.212.230.111', 1121248864, 1121248879, 'VG', 'Virgin Islands, British'),
(29373, '66.212.230.112', '66.212.230.143', 1121248880, 1121248911, 'CA', 'Canada'),
(29374, '66.212.230.144', '66.212.230.151', 1121248912, 1121248919, 'BZ', 'Belize'),
(29375, '66.212.230.152', '66.212.230.191', 1121248920, 1121248959, 'VG', 'Virgin Islands, British'),
(29376, '66.212.230.192', '66.212.230.215', 1121248960, 1121248983, 'CA', 'Canada'),
(29377, '66.212.230.216', '66.212.230.223', 1121248984, 1121248991, 'MT', 'Malta'),
(29378, '66.212.230.224', '66.212.230.255', 1121248992, 1121249023, 'VG', 'Virgin Islands, British'),
(29379, '66.212.231.0', '66.212.231.255', 1121249024, 1121249279, 'CA', 'Canada'),
(29380, '66.212.232.0', '66.212.232.63', 1121249280, 1121249343, 'MT', 'Malta'),
(29381, '66.212.232.64', '66.212.232.95', 1121249344, 1121249375, 'CA', 'Canada'),
(29382, '66.212.232.96', '66.212.232.103', 1121249376, 1121249383, 'VG', 'Virgin Islands, British'),
(29383, '66.212.232.104', '66.212.232.111', 1121249384, 1121249391, 'CA', 'Canada'),
(29384, '66.212.232.112', '66.212.232.119', 1121249392, 1121249399, 'AW', 'Aruba'),
(29385, '66.212.232.120', '66.212.232.127', 1121249400, 1121249407, 'CA', 'Canada'),
(29386, '66.212.232.128', '66.212.232.159', 1121249408, 1121249439, 'AG', 'Antigua and Barbuda'),
(29387, '66.212.232.160', '66.212.232.255', 1121249440, 1121249535, 'CA', 'Canada'),
(29388, '66.212.233.0', '66.212.233.7', 1121249536, 1121249543, 'BZ', 'Belize'),
(29389, '66.212.233.8', '66.212.233.15', 1121249544, 1121249551, 'AG', 'Antigua and Barbuda'),
(29390, '66.212.233.16', '66.212.233.63', 1121249552, 1121249599, 'CA', 'Canada'),
(29391, '66.212.233.64', '66.212.233.79', 1121249600, 1121249615, 'IM', 'Isle of Man'),
(29392, '66.212.233.80', '66.212.233.95', 1121249616, 1121249631, 'VG', 'Virgin Islands, British'),
(29393, '66.212.233.96', '66.212.233.207', 1121249632, 1121249743, 'CA', 'Canada'),
(29394, '66.212.233.208', '66.212.233.215', 1121249744, 1121249751, 'CR', 'Costa Rica'),
(29395, '66.212.233.216', '66.212.233.223', 1121249752, 1121249759, 'CA', 'Canada'),
(29396, '66.212.233.224', '66.212.233.239', 1121249760, 1121249775, 'BZ', 'Belize'),
(29397, '66.212.233.240', '66.212.233.255', 1121249776, 1121249791, 'CA', 'Canada'),
(29398, '66.212.234.0', '66.212.234.255', 1121249792, 1121250047, 'AG', 'Antigua and Barbuda'),
(29399, '66.212.235.0', '66.212.235.31', 1121250048, 1121250079, 'CR', 'Costa Rica'),
(29400, '66.212.235.32', '66.212.235.47', 1121250080, 1121250095, 'AG', 'Antigua and Barbuda'),
(29401, '66.212.235.48', '66.212.235.63', 1121250096, 1121250111, 'CA', 'Canada'),
(29402, '66.212.235.64', '66.212.235.79', 1121250112, 1121250127, 'CR', 'Costa Rica'),
(29403, '66.212.235.80', '66.212.235.95', 1121250128, 1121250143, 'CA', 'Canada'),
(29404, '66.212.235.96', '66.212.235.127', 1121250144, 1121250175, 'GB', 'United Kingdom'),
(29405, '66.212.235.128', '66.212.235.135', 1121250176, 1121250183, 'AW', 'Aruba'),
(29406, '66.212.235.136', '66.212.235.159', 1121250184, 1121250207, 'BZ', 'Belize'),
(29407, '66.212.235.160', '66.212.235.255', 1121250208, 1121250303, 'CA', 'Canada'),
(29408, '66.212.236.0', '66.212.237.255', 1121250304, 1121250815, 'BZ', 'Belize'),
(29409, '66.212.238.0', '66.212.238.15', 1121250816, 1121250831, 'AG', 'Antigua and Barbuda'),
(29410, '66.212.238.16', '66.212.238.23', 1121250832, 1121250839, 'BZ', 'Belize'),
(29411, '66.212.238.24', '66.212.238.63', 1121250840, 1121250879, 'AG', 'Antigua and Barbuda'),
(29412, '66.212.238.64', '66.212.238.95', 1121250880, 1121250911, 'VG', 'Virgin Islands, British'),
(29413, '66.212.238.96', '66.212.238.127', 1121250912, 1121250943, 'CA', 'Canada'),
(29414, '66.212.238.128', '66.212.238.191', 1121250944, 1121251007, 'BZ', 'Belize'),
(29415, '66.212.238.192', '66.212.238.199', 1121251008, 1121251015, 'VG', 'Virgin Islands, British'),
(29416, '66.212.238.200', '66.212.238.223', 1121251016, 1121251039, 'CA', 'Canada'),
(29417, '66.212.238.224', '66.212.238.231', 1121251040, 1121251047, 'CR', 'Costa Rica'),
(29418, '66.212.238.232', '66.212.238.239', 1121251048, 1121251055, 'AW', 'Aruba'),
(29419, '66.212.238.240', '66.212.239.15', 1121251056, 1121251087, 'CA', 'Canada'),
(29420, '66.212.239.16', '66.212.239.23', 1121251088, 1121251095, 'CY', 'Cyprus'),
(29421, '66.212.239.24', '66.212.239.31', 1121251096, 1121251103, 'CA', 'Canada'),
(29422, '66.212.239.32', '66.212.239.47', 1121251104, 1121251119, 'BZ', 'Belize'),
(29423, '66.212.239.48', '66.212.239.63', 1121251120, 1121251135, 'CA', 'Canada'),
(29424, '66.212.239.64', '66.212.239.95', 1121251136, 1121251167, 'AG', 'Antigua and Barbuda'),
(29425, '66.212.239.96', '66.212.239.127', 1121251168, 1121251199, 'VG', 'Virgin Islands, British'),
(29426, '66.212.239.128', '66.212.239.191', 1121251200, 1121251263, 'AW', 'Aruba'),
(29427, '66.212.239.192', '66.212.239.207', 1121251264, 1121251279, 'CA', 'Canada'),
(29428, '66.212.239.208', '66.212.239.215', 1121251280, 1121251287, 'BZ', 'Belize'),
(29429, '66.212.239.216', '66.212.239.239', 1121251288, 1121251311, 'IM', 'Isle of Man'),
(29430, '66.212.239.240', '66.212.239.255', 1121251312, 1121251327, 'BZ', 'Belize'),
(29431, '66.212.240.0', '66.212.240.255', 1121251328, 1121251583, 'CA', 'Canada'),
(29432, '66.212.241.0', '66.212.241.7', 1121251584, 1121251591, 'BZ', 'Belize'),
(29433, '66.212.241.8', '66.212.241.15', 1121251592, 1121251599, 'MT', 'Malta'),
(29434, '66.212.241.16', '66.212.241.23', 1121251600, 1121251607, 'CA', 'Canada'),
(29435, '66.212.241.24', '66.212.241.31', 1121251608, 1121251615, 'BZ', 'Belize'),
(29436, '66.212.241.32', '66.212.241.63', 1121251616, 1121251647, 'NL', 'Netherlands'),
(29437, '66.212.241.64', '66.212.241.71', 1121251648, 1121251655, 'BZ', 'Belize'),
(29438, '66.212.241.72', '66.212.241.79', 1121251656, 1121251663, 'CA', 'Canada'),
(29439, '66.212.241.80', '66.212.241.87', 1121251664, 1121251671, 'MT', 'Malta'),
(29440, '66.212.241.88', '66.212.241.95', 1121251672, 1121251679, 'CA', 'Canada'),
(29441, '66.212.241.96', '66.212.241.103', 1121251680, 1121251687, 'AG', 'Antigua and Barbuda'),
(29442, '66.212.241.104', '66.212.241.127', 1121251688, 1121251711, 'BZ', 'Belize'),
(29443, '66.212.241.128', '66.212.241.143', 1121251712, 1121251727, 'CA', 'Canada'),
(29444, '66.212.241.144', '66.212.241.207', 1121251728, 1121251791, 'BZ', 'Belize'),
(29445, '66.212.241.208', '66.212.241.223', 1121251792, 1121251807, 'VG', 'Virgin Islands, British'),
(29446, '66.212.241.224', '66.212.241.247', 1121251808, 1121251831, 'CA', 'Canada'),
(29447, '66.212.241.248', '66.212.241.255', 1121251832, 1121251839, 'VG', 'Virgin Islands, British'),
(29448, '66.212.242.0', '66.212.242.7', 1121251840, 1121251847, 'BZ', 'Belize'),
(29449, '66.212.242.8', '66.212.242.15', 1121251848, 1121251855, 'CA', 'Canada'),
(29450, '66.212.242.16', '66.212.242.23', 1121251856, 1121251863, 'AN', 'Netherlands Antilles'),
(29451, '66.212.242.24', '66.212.242.31', 1121251864, 1121251871, 'BZ', 'Belize'),
(29452, '66.212.242.32', '66.212.242.47', 1121251872, 1121251887, 'VG', 'Virgin Islands, British'),
(29453, '66.212.242.48', '66.212.242.55', 1121251888, 1121251895, 'CY', 'Cyprus'),
(29454, '66.212.242.56', '66.212.242.63', 1121251896, 1121251903, 'CA', 'Canada'),
(29455, '66.212.242.64', '66.212.242.95', 1121251904, 1121251935, 'AG', 'Antigua and Barbuda'),
(29456, '66.212.242.96', '66.212.242.103', 1121251936, 1121251943, 'CY', 'Cyprus'),
(29457, '66.212.242.104', '66.212.242.111', 1121251944, 1121251951, 'MT', 'Malta'),
(29458, '66.212.242.112', '66.212.242.127', 1121251952, 1121251967, 'CA', 'Canada'),
(29459, '66.212.242.128', '66.212.242.143', 1121251968, 1121251983, 'MT', 'Malta'),
(29460, '66.212.242.144', '66.212.242.151', 1121251984, 1121251991, 'CA', 'Canada'),
(29461, '66.212.242.152', '66.212.242.159', 1121251992, 1121251999, 'AG', 'Antigua and Barbuda'),
(29462, '66.212.242.160', '66.212.242.223', 1121252000, 1121252063, 'CA', 'Canada'),
(29463, '66.212.242.224', '66.212.244.7', 1121252064, 1121252359, 'AG', 'Antigua and Barbuda'),
(29464, '66.212.244.8', '66.212.244.15', 1121252360, 1121252367, 'ZA', 'South Africa'),
(29465, '66.212.244.16', '66.212.244.23', 1121252368, 1121252375, 'GG', 'Guernsey'),
(29466, '66.212.244.24', '66.212.244.31', 1121252376, 1121252383, 'MT', 'Malta'),
(29467, '66.212.244.32', '66.212.244.39', 1121252384, 1121252391, 'CR', 'Costa Rica'),
(29468, '66.212.244.40', '66.212.244.47', 1121252392, 1121252399, 'GG', 'Guernsey'),
(29469, '66.212.244.48', '66.212.244.63', 1121252400, 1121252415, 'MT', 'Malta'),
(29470, '66.212.244.64', '66.212.244.127', 1121252416, 1121252479, 'GI', 'Gibraltar'),
(29471, '66.212.244.128', '66.212.244.255', 1121252480, 1121252607, 'CR', 'Costa Rica'),
(29472, '66.212.245.0', '66.212.245.63', 1121252608, 1121252671, 'AW', 'Aruba'),
(29473, '66.212.245.64', '66.212.245.127', 1121252672, 1121252735, 'BZ', 'Belize'),
(29474, '66.212.245.128', '66.212.245.255', 1121252736, 1121252863, 'CA', 'Canada'),
(29475, '66.212.246.0', '66.212.246.255', 1121252864, 1121253119, 'BZ', 'Belize'),
(29476, '66.212.247.0', '66.212.249.255', 1121253120, 1121253887, 'CA', 'Canada'),
(29477, '66.212.250.0', '66.212.250.255', 1121253888, 1121254143, 'BZ', 'Belize'),
(29478, '66.212.251.0', '66.212.251.7', 1121254144, 1121254151, 'CA', 'Canada'),
(29479, '66.212.251.8', '66.212.251.15', 1121254152, 1121254159, 'AG', 'Antigua and Barbuda'),
(29480, '66.212.251.16', '66.212.251.47', 1121254160, 1121254191, 'CA', 'Canada'),
(29481, '66.212.251.48', '66.212.251.55', 1121254192, 1121254199, 'CR', 'Costa Rica'),
(29482, '66.212.251.56', '66.212.251.63', 1121254200, 1121254207, 'AW', 'Aruba'),
(29483, '66.212.251.64', '66.212.251.71', 1121254208, 1121254215, 'GI', 'Gibraltar'),
(29484, '66.212.251.72', '66.212.251.79', 1121254216, 1121254223, 'CA', 'Canada'),
(29485, '66.212.251.80', '66.212.251.87', 1121254224, 1121254231, 'BZ', 'Belize'),
(29486, '66.212.251.88', '66.212.251.95', 1121254232, 1121254239, 'CA', 'Canada'),
(29487, '66.212.251.96', '66.212.251.111', 1121254240, 1121254255, 'CR', 'Costa Rica'),
(29488, '66.212.251.112', '66.212.251.127', 1121254256, 1121254271, 'AG', 'Antigua and Barbuda'),
(29489, '66.212.251.128', '66.212.255.255', 1121254272, 1121255423, 'CA', 'Canada'),
(29490, '66.213.0.0', '66.216.64.47', 1121255424, 1121468463, 'US', 'United States'),
(29491, '66.216.64.48', '66.216.64.63', 1121468464, 1121468479, 'AR', 'Argentina'),
(29492, '66.216.64.64', '66.216.64.79', 1121468480, 1121468495, 'US', 'United States'),
(29493, '66.216.64.80', '66.216.64.95', 1121468496, 1121468511, 'PK', 'Pakistan'),
(29494, '66.216.64.96', '66.216.64.103', 1121468512, 1121468519, 'AU', 'Australia'),
(29495, '66.216.64.104', '66.216.64.111', 1121468520, 1121468527, 'IN', 'India'),
(29496, '66.216.64.112', '66.216.64.135', 1121468528, 1121468551, 'US', 'United States'),
(29497, '66.216.64.136', '66.216.64.143', 1121468552, 1121468559, 'CA', 'Canada'),
(29498, '66.216.64.144', '66.216.64.151', 1121468560, 1121468567, 'US', 'United States'),
(29499, '66.216.64.152', '66.216.64.159', 1121468568, 1121468575, 'AU', 'Australia'),
(29500, '66.216.64.160', '66.216.64.175', 1121468576, 1121468591, 'US', 'United States'),
(29501, '66.216.64.176', '66.216.64.184', 1121468592, 1121468600, 'AU', 'Australia'),
(29502, '66.216.64.185', '66.216.65.239', 1121468601, 1121468911, 'US', 'United States'),
(29503, '66.216.65.240', '66.216.65.255', 1121468912, 1121468927, 'GB', 'United Kingdom'),
(29504, '66.216.66.0', '66.216.66.247', 1121468928, 1121469175, 'US', 'United States'),
(29505, '66.216.66.248', '66.216.66.255', 1121469176, 1121469183, 'CA', 'Canada'),
(29506, '66.216.67.0', '66.216.67.183', 1121469184, 1121469367, 'US', 'United States'),
(29507, '66.216.67.184', '66.216.67.191', 1121469368, 1121469375, 'CA', 'Canada'),
(29508, '66.216.67.192', '66.216.69.143', 1121469376, 1121469839, 'US', 'United States'),
(29509, '66.216.69.144', '66.216.69.151', 1121469840, 1121469847, 'AU', 'Australia'),
(29510, '66.216.69.152', '66.216.69.175', 1121469848, 1121469871, 'US', 'United States'),
(29511, '66.216.69.176', '66.216.69.183', 1121469872, 1121469879, 'SE', 'Sweden'),
(29512, '66.216.69.184', '66.216.69.215', 1121469880, 1121469911, 'US', 'United States'),
(29513, '66.216.69.216', '66.216.69.223', 1121469912, 1121469919, 'PH', 'Philippines'),
(29514, '66.216.69.224', '66.216.70.63', 1121469920, 1121470015, 'US', 'United States'),
(29515, '66.216.70.64', '66.216.70.95', 1121470016, 1121470047, 'AU', 'Australia'),
(29516, '66.216.70.96', '66.216.70.223', 1121470048, 1121470175, 'US', 'United States'),
(29517, '66.216.70.224', '66.216.70.239', 1121470176, 1121470191, 'CA', 'Canada'),
(29518, '66.216.70.240', '66.216.71.7', 1121470192, 1121470215, 'US', 'United States'),
(29519, '66.216.71.8', '66.216.71.15', 1121470216, 1121470223, 'CA', 'Canada'),
(29520, '66.216.71.16', '66.216.71.55', 1121470224, 1121470263, 'US', 'United States'),
(29521, '66.216.71.56', '66.216.71.63', 1121470264, 1121470271, 'CA', 'Canada'),
(29522, '66.216.71.64', '66.216.71.103', 1121470272, 1121470311, 'US', 'United States'),
(29523, '66.216.71.104', '66.216.71.111', 1121470312, 1121470319, 'IL', 'Israel'),
(29524, '66.216.71.112', '66.216.71.215', 1121470320, 1121470423, 'US', 'United States'),
(29525, '66.216.71.216', '66.216.71.255', 1121470424, 1121470463, 'NL', 'Netherlands'),
(29526, '66.216.72.0', '66.216.72.87', 1121470464, 1121470551, 'US', 'United States'),
(29527, '66.216.72.88', '66.216.72.95', 1121470552, 1121470559, 'LB', 'Lebanon'),
(29528, '66.216.72.96', '66.216.72.119', 1121470560, 1121470583, 'US', 'United States'),
(29529, '66.216.72.120', '66.216.72.127', 1121470584, 1121470591, 'AU', 'Australia'),
(29530, '66.216.72.128', '66.216.72.239', 1121470592, 1121470703, 'US', 'United States'),
(29531, '66.216.72.240', '66.216.72.247', 1121470704, 1121470711, 'VU', 'Vanuatu'),
(29532, '66.216.72.248', '66.216.73.7', 1121470712, 1121470727, 'US', 'United States'),
(29533, '66.216.73.8', '66.216.73.15', 1121470728, 1121470735, 'CA', 'Canada'),
(29534, '66.216.73.16', '66.216.73.39', 1121470736, 1121470759, 'US', 'United States'),
(29535, '66.216.73.40', '66.216.73.47', 1121470760, 1121470767, 'FR', 'France'),
(29536, '66.216.73.48', '66.216.73.95', 1121470768, 1121470815, 'US', 'United States'),
(29537, '66.216.73.96', '66.216.73.111', 1121470816, 1121470831, 'AU', 'Australia'),
(29538, '66.216.73.112', '66.216.73.127', 1121470832, 1121470847, 'US', 'United States'),
(29539, '66.216.73.128', '66.216.73.143', 1121470848, 1121470863, 'AU', 'Australia'),
(29540, '66.216.73.144', '66.216.73.151', 1121470864, 1121470871, 'US', 'United States'),
(29541, '66.216.73.152', '66.216.73.159', 1121470872, 1121470879, 'AU', 'Australia'),
(29542, '66.216.73.160', '66.216.74.87', 1121470880, 1121471063, 'US', 'United States'),
(29543, '66.216.74.88', '66.216.74.95', 1121471064, 1121471071, 'AU', 'Australia'),
(29544, '66.216.74.96', '66.216.74.111', 1121471072, 1121471087, 'US', 'United States'),
(29545, '66.216.74.112', '66.216.74.119', 1121471088, 1121471095, 'AU', 'Australia'),
(29546, '66.216.74.120', '66.216.74.151', 1121471096, 1121471127, 'US', 'United States'),
(29547, '66.216.74.152', '66.216.74.159', 1121471128, 1121471135, 'AU', 'Australia'),
(29548, '66.216.74.160', '66.216.74.175', 1121471136, 1121471151, 'US', 'United States'),
(29549, '66.216.74.176', '66.216.74.183', 1121471152, 1121471159, 'CH', 'Switzerland'),
(29550, '66.216.74.184', '66.216.75.47', 1121471160, 1121471279, 'US', 'United States'),
(29551, '66.216.75.48', '66.216.75.63', 1121471280, 1121471295, 'GB', 'United Kingdom'),
(29552, '66.216.75.64', '66.216.75.143', 1121471296, 1121471375, 'US', 'United States'),
(29553, '66.216.75.144', '66.216.75.159', 1121471376, 1121471391, 'DK', 'Denmark'),
(29554, '66.216.75.160', '66.216.75.239', 1121471392, 1121471471, 'US', 'United States'),
(29555, '66.216.75.240', '66.216.75.255', 1121471472, 1121471487, 'CA', 'Canada'),
(29556, '66.216.76.0', '66.216.76.15', 1121471488, 1121471503, 'MY', 'Malaysia'),
(29557, '66.216.76.16', '66.216.76.23', 1121471504, 1121471511, 'US', 'United States'),
(29558, '66.216.76.24', '66.216.76.31', 1121471512, 1121471519, 'BR', 'Brazil'),
(29559, '66.216.76.32', '66.216.76.39', 1121471520, 1121471527, 'US', 'United States'),
(29560, '66.216.76.40', '66.216.76.47', 1121471528, 1121471535, 'EC', 'Ecuador'),
(29561, '66.216.76.48', '66.216.76.71', 1121471536, 1121471559, 'US', 'United States'),
(29562, '66.216.76.72', '66.216.76.87', 1121471560, 1121471575, 'CA', 'Canada'),
(29563, '66.216.76.88', '66.216.76.103', 1121471576, 1121471591, 'US', 'United States'),
(29564, '66.216.76.104', '66.216.76.111', 1121471592, 1121471599, 'CA', 'Canada'),
(29565, '66.216.76.112', '66.216.76.135', 1121471600, 1121471623, 'US', 'United States'),
(29566, '66.216.76.136', '66.216.76.143', 1121471624, 1121471631, 'CA', 'Canada'),
(29567, '66.216.76.144', '66.216.76.167', 1121471632, 1121471655, 'US', 'United States'),
(29568, '66.216.76.168', '66.216.76.175', 1121471656, 1121471663, 'CA', 'Canada'),
(29569, '66.216.76.176', '66.216.76.215', 1121471664, 1121471703, 'US', 'United States'),
(29570, '66.216.76.216', '66.216.76.223', 1121471704, 1121471711, 'JP', 'Japan'),
(29571, '66.216.76.224', '66.216.76.231', 1121471712, 1121471719, 'US', 'United States'),
(29572, '66.216.76.232', '66.216.76.239', 1121471720, 1121471727, 'IT', 'Italy'),
(29573, '66.216.76.240', '66.216.77.191', 1121471728, 1121471935, 'US', 'United States'),
(29574, '66.216.77.192', '66.216.77.199', 1121471936, 1121471943, 'CA', 'Canada'),
(29575, '66.216.77.200', '66.216.77.207', 1121471944, 1121471951, 'IN', 'India'),
(29576, '66.216.77.208', '66.216.77.231', 1121471952, 1121471975, 'US', 'United States'),
(29577, '66.216.77.232', '66.216.77.239', 1121471976, 1121471983, 'CA', 'Canada'),
(29578, '66.216.77.240', '66.216.78.47', 1121471984, 1121472047, 'US', 'United States'),
(29579, '66.216.78.48', '66.216.78.55', 1121472048, 1121472055, 'MY', 'Malaysia'),
(29580, '66.216.78.56', '66.216.79.7', 1121472056, 1121472263, 'US', 'United States'),
(29581, '66.216.79.8', '66.216.79.15', 1121472264, 1121472271, 'LK', 'Sri Lanka'),
(29582, '66.216.79.16', '66.216.79.31', 1121472272, 1121472287, 'US', 'United States'),
(29583, '66.216.79.32', '66.216.79.47', 1121472288, 1121472303, 'IN', 'India'),
(29584, '66.216.79.48', '66.216.79.119', 1121472304, 1121472375, 'US', 'United States'),
(29585, '66.216.79.120', '66.216.79.191', 1121472376, 1121472447, 'AU', 'Australia'),
(29586, '66.216.79.192', '66.216.79.255', 1121472448, 1121472511, 'US', 'United States'),
(29587, '66.216.80.0', '66.216.80.7', 1121472512, 1121472519, 'NZ', 'New Zealand'),
(29588, '66.216.80.8', '66.216.80.15', 1121472520, 1121472527, 'CA', 'Canada'),
(29589, '66.216.80.16', '66.216.80.47', 1121472528, 1121472559, 'US', 'United States'),
(29590, '66.216.80.48', '66.216.80.55', 1121472560, 1121472567, 'IN', 'India'),
(29591, '66.216.80.56', '66.216.80.143', 1121472568, 1121472655, 'US', 'United States'),
(29592, '66.216.80.144', '66.216.80.151', 1121472656, 1121472663, 'UA', 'Ukraine'),
(29593, '66.216.80.152', '66.216.80.215', 1121472664, 1121472727, 'US', 'United States'),
(29594, '66.216.80.216', '66.216.80.223', 1121472728, 1121472735, 'CA', 'Canada'),
(29595, '66.216.80.224', '66.216.80.231', 1121472736, 1121472743, 'LB', 'Lebanon'),
(29596, '66.216.80.232', '66.216.81.7', 1121472744, 1121472775, 'US', 'United States'),
(29597, '66.216.81.8', '66.216.81.39', 1121472776, 1121472807, 'RU', 'Russian Federation'),
(29598, '66.216.81.40', '66.216.81.63', 1121472808, 1121472831, 'US', 'United States'),
(29599, '66.216.81.64', '66.216.81.71', 1121472832, 1121472839, 'LB', 'Lebanon'),
(29600, '66.216.81.72', '66.216.81.79', 1121472840, 1121472847, 'US', 'United States'),
(29601, '66.216.81.80', '66.216.81.95', 1121472848, 1121472863, 'IN', 'India'),
(29602, '66.216.81.96', '66.216.81.103', 1121472864, 1121472871, 'US', 'United States'),
(29603, '66.216.81.104', '66.216.81.111', 1121472872, 1121472879, 'SE', 'Sweden'),
(29604, '66.216.81.112', '66.216.81.119', 1121472880, 1121472887, 'IT', 'Italy'),
(29605, '66.216.81.120', '66.216.81.159', 1121472888, 1121472927, 'US', 'United States'),
(29606, '66.216.81.160', '66.216.81.167', 1121472928, 1121472935, 'GB', 'United Kingdom'),
(29607, '66.216.81.168', '66.216.82.151', 1121472936, 1121473175, 'US', 'United States'),
(29608, '66.216.82.152', '66.216.82.159', 1121473176, 1121473183, 'FR', 'France'),
(29609, '66.216.82.160', '66.216.82.215', 1121473184, 1121473239, 'US', 'United States'),
(29610, '66.216.82.216', '66.216.82.223', 1121473240, 1121473247, 'ES', 'Spain'),
(29611, '66.216.82.224', '66.216.82.255', 1121473248, 1121473279, 'US', 'United States'),
(29612, '66.216.83.0', '66.216.83.15', 1121473280, 1121473295, 'AU', 'Australia'),
(29613, '66.216.83.16', '66.216.83.23', 1121473296, 1121473303, 'US', 'United States'),
(29614, '66.216.83.24', '66.216.83.31', 1121473304, 1121473311, 'AU', 'Australia'),
(29615, '66.216.83.32', '66.216.83.159', 1121473312, 1121473439, 'US', 'United States'),
(29616, '66.216.83.160', '66.216.83.191', 1121473440, 1121473471, 'AU', 'Australia'),
(29617, '66.216.83.192', '66.216.83.199', 1121473472, 1121473479, 'US', 'United States'),
(29618, '66.216.83.200', '66.216.83.207', 1121473480, 1121473487, 'CA', 'Canada'),
(29619, '66.216.83.208', '66.216.84.63', 1121473488, 1121473599, 'US', 'United States'),
(29620, '66.216.84.64', '66.216.84.71', 1121473600, 1121473607, 'GB', 'United Kingdom'),
(29621, '66.216.84.72', '66.216.85.79', 1121473608, 1121473871, 'US', 'United States'),
(29622, '66.216.85.80', '66.216.85.95', 1121473872, 1121473887, 'NL', 'Netherlands'),
(29623, '66.216.85.96', '66.216.85.215', 1121473888, 1121474007, 'US', 'United States'),
(29624, '66.216.85.216', '66.216.85.223', 1121474008, 1121474015, 'DE', 'Germany'),
(29625, '66.216.85.224', '66.216.85.239', 1121474016, 1121474031, 'US', 'United States'),
(29626, '66.216.85.240', '66.216.85.247', 1121474032, 1121474039, 'AG', 'Antigua and Barbuda'),
(29627, '66.216.85.248', '66.216.86.15', 1121474040, 1121474063, 'US', 'United States'),
(29628, '66.216.86.16', '66.216.86.23', 1121474064, 1121474071, 'GB', 'United Kingdom'),
(29629, '66.216.86.24', '66.216.86.31', 1121474072, 1121474079, 'SI', 'Slovenia'),
(29630, '66.216.86.32', '66.216.86.47', 1121474080, 1121474095, 'US', 'United States'),
(29631, '66.216.86.48', '66.216.86.63', 1121474096, 1121474111, 'CA', 'Canada'),
(29632, '66.216.86.64', '66.216.86.103', 1121474112, 1121474151, 'US', 'United States'),
(29633, '66.216.86.104', '66.216.86.111', 1121474152, 1121474159, 'CA', 'Canada'),
(29634, '66.216.86.112', '66.216.87.47', 1121474160, 1121474351, 'US', 'United States'),
(29635, '66.216.87.48', '66.216.87.55', 1121474352, 1121474359, 'NZ', 'New Zealand'),
(29636, '66.216.87.56', '66.216.87.79', 1121474360, 1121474383, 'US', 'United States'),
(29637, '66.216.87.80', '66.216.87.111', 1121474384, 1121474415, 'AU', 'Australia'),
(29638, '66.216.87.112', '66.216.87.231', 1121474416, 1121474535, 'US', 'United States'),
(29639, '66.216.87.232', '66.216.87.239', 1121474536, 1121474543, 'GB', 'United Kingdom'),
(29640, '66.216.87.240', '66.216.88.31', 1121474544, 1121474591, 'US', 'United States'),
(29641, '66.216.88.32', '66.216.88.47', 1121474592, 1121474607, 'CA', 'Canada'),
(29642, '66.216.88.48', '66.216.89.111', 1121474608, 1121474927, 'US', 'United States'),
(29643, '66.216.89.112', '66.216.89.119', 1121474928, 1121474935, 'AU', 'Australia'),
(29644, '66.216.89.120', '66.216.90.63', 1121474936, 1121475135, 'US', 'United States'),
(29645, '66.216.90.64', '66.216.90.79', 1121475136, 1121475151, 'FR', 'France'),
(29646, '66.216.90.80', '66.216.90.127', 1121475152, 1121475199, 'US', 'United States'),
(29647, '66.216.90.128', '66.216.90.143', 1121475200, 1121475215, 'IN', 'India'),
(29648, '66.216.90.144', '66.216.90.223', 1121475216, 1121475295, 'US', 'United States'),
(29649, '66.216.90.224', '66.216.90.255', 1121475296, 1121475327, 'BD', 'Bangladesh'),
(29650, '66.216.91.0', '66.216.93.127', 1121475328, 1121475967, 'US', 'United States'),
(29651, '66.216.93.128', '66.216.93.191', 1121475968, 1121476031, 'AU', 'Australia'),
(29652, '66.216.93.192', '66.216.94.95', 1121476032, 1121476191, 'US', 'United States'),
(29653, '66.216.94.96', '66.216.94.127', 1121476192, 1121476223, 'BD', 'Bangladesh'),
(29654, '66.216.94.128', '66.216.95.79', 1121476224, 1121476431, 'US', 'United States'),
(29655, '66.216.95.80', '66.216.95.87', 1121476432, 1121476439, 'JP', 'Japan'),
(29656, '66.216.95.88', '66.216.97.63', 1121476440, 1121476927, 'US', 'United States'),
(29657, '66.216.97.64', '66.216.97.71', 1121476928, 1121476935, 'IN', 'India'),
(29658, '66.216.97.72', '66.216.99.15', 1121476936, 1121477391, 'US', 'United States'),
(29659, '66.216.99.16', '66.216.99.23', 1121477392, 1121477399, 'IN', 'India'),
(29660, '66.216.99.24', '66.216.99.39', 1121477400, 1121477415, 'US', 'United States'),
(29661, '66.216.99.40', '66.216.99.47', 1121477416, 1121477423, 'NZ', 'New Zealand'),
(29662, '66.216.99.48', '66.216.99.63', 1121477424, 1121477439, 'US', 'United States'),
(29663, '66.216.99.64', '66.216.99.71', 1121477440, 1121477447, 'ID', 'Indonesia'),
(29664, '66.216.99.72', '66.216.99.175', 1121477448, 1121477551, 'US', 'United States'),
(29665, '66.216.99.176', '66.216.99.191', 1121477552, 1121477567, 'CA', 'Canada'),
(29666, '66.216.99.192', '66.216.99.223', 1121477568, 1121477599, 'US', 'United States'),
(29667, '66.216.99.224', '66.216.99.231', 1121477600, 1121477607, 'AU', 'Australia'),
(29668, '66.216.99.232', '66.216.101.47', 1121477608, 1121477935, 'US', 'United States'),
(29669, '66.216.101.48', '66.216.101.55', 1121477936, 1121477943, 'CA', 'Canada'),
(29670, '66.216.101.56', '66.216.101.135', 1121477944, 1121478023, 'US', 'United States'),
(29671, '66.216.101.136', '66.216.101.143', 1121478024, 1121478031, 'GB', 'United Kingdom'),
(29672, '66.216.101.144', '66.216.101.191', 1121478032, 1121478079, 'US', 'United States'),
(29673, '66.216.101.192', '66.216.101.199', 1121478080, 1121478087, 'CA', 'Canada'),
(29674, '66.216.101.200', '66.216.101.207', 1121478088, 1121478095, 'US', 'United States'),
(29675, '66.216.101.208', '66.216.101.223', 1121478096, 1121478111, 'CA', 'Canada'),
(29676, '66.216.101.224', '66.216.102.23', 1121478112, 1121478167, 'US', 'United States'),
(29677, '66.216.102.24', '66.216.102.31', 1121478168, 1121478175, 'AU', 'Australia'),
(29678, '66.216.102.32', '66.216.102.63', 1121478176, 1121478207, 'US', 'United States'),
(29679, '66.216.102.64', '66.216.102.95', 1121478208, 1121478239, 'GB', 'United Kingdom'),
(29680, '66.216.102.96', '66.216.102.199', 1121478240, 1121478343, 'US', 'United States'),
(29681, '66.216.102.200', '66.216.102.223', 1121478344, 1121478367, 'AU', 'Australia'),
(29682, '66.216.102.224', '66.216.103.111', 1121478368, 1121478511, 'US', 'United States'),
(29683, '66.216.103.112', '66.216.103.119', 1121478512, 1121478519, 'RU', 'Russian Federation'),
(29684, '66.216.103.120', '66.216.103.127', 1121478520, 1121478527, 'KE', 'Kenya'),
(29685, '66.216.103.128', '66.216.103.191', 1121478528, 1121478591, 'US', 'United States'),
(29686, '66.216.103.192', '66.216.103.255', 1121478592, 1121478655, 'AU', 'Australia'),
(29687, '66.216.104.0', '66.216.104.31', 1121478656, 1121478687, 'US', 'United States'),
(29688, '66.216.104.32', '66.216.104.47', 1121478688, 1121478703, 'NZ', 'New Zealand'),
(29689, '66.216.104.48', '66.216.105.55', 1121478704, 1121478967, 'US', 'United States'),
(29690, '66.216.105.56', '66.216.105.63', 1121478968, 1121478975, 'AU', 'Australia'),
(29691, '66.216.105.64', '66.216.105.79', 1121478976, 1121478991, 'US', 'United States'),
(29692, '66.216.105.80', '66.216.105.87', 1121478992, 1121478999, 'IN', 'India'),
(29693, '66.216.105.88', '66.216.105.111', 1121479000, 1121479023, 'US', 'United States'),
(29694, '66.216.105.112', '66.216.105.119', 1121479024, 1121479031, 'CY', 'Cyprus'),
(29695, '66.216.105.120', '66.216.105.231', 1121479032, 1121479143, 'US', 'United States'),
(29696, '66.216.105.232', '66.216.105.255', 1121479144, 1121479167, 'EG', 'Egypt'),
(29697, '66.216.106.0', '66.216.106.47', 1121479168, 1121479215, 'US', 'United States'),
(29698, '66.216.106.48', '66.216.106.63', 1121479216, 1121479231, 'CA', 'Canada'),
(29699, '66.216.106.64', '66.216.106.127', 1121479232, 1121479295, 'US', 'United States'),
(29700, '66.216.106.128', '66.216.106.135', 1121479296, 1121479303, 'HK', 'Hong Kong'),
(29701, '66.216.106.136', '66.216.106.175', 1121479304, 1121479343, 'CA', 'Canada'),
(29702, '66.216.106.176', '66.216.106.191', 1121479344, 1121479359, 'US', 'United States'),
(29703, '66.216.106.192', '66.216.106.199', 1121479360, 1121479367, 'NZ', 'New Zealand'),
(29704, '66.216.106.200', '66.216.106.239', 1121479368, 1121479407, 'US', 'United States'),
(29705, '66.216.106.240', '66.216.106.247', 1121479408, 1121479415, 'CA', 'Canada'),
(29706, '66.216.106.248', '66.216.108.7', 1121479416, 1121479687, 'US', 'United States'),
(29707, '66.216.108.8', '66.216.108.15', 1121479688, 1121479695, 'CA', 'Canada'),
(29708, '66.216.108.16', '66.216.108.79', 1121479696, 1121479759, 'US', 'United States'),
(29709, '66.216.108.80', '66.216.108.103', 1121479760, 1121479783, 'AU', 'Australia'),
(29710, '66.216.108.104', '66.216.108.151', 1121479784, 1121479831, 'US', 'United States'),
(29711, '66.216.108.152', '66.216.108.159', 1121479832, 1121479839, 'NZ', 'New Zealand'),
(29712, '66.216.108.160', '66.216.108.167', 1121479840, 1121479847, 'IN', 'India'),
(29713, '66.216.108.168', '66.216.108.239', 1121479848, 1121479919, 'US', 'United States'),
(29714, '66.216.108.240', '66.216.108.247', 1121479920, 1121479927, 'AU', 'Australia'),
(29715, '66.216.108.248', '66.216.112.79', 1121479928, 1121480783, 'US', 'United States'),
(29716, '66.216.112.80', '66.216.112.87', 1121480784, 1121480791, 'TH', 'Thailand'),
(29717, '66.216.112.88', '66.216.112.143', 1121480792, 1121480847, 'US', 'United States'),
(29718, '66.216.112.144', '66.216.112.151', 1121480848, 1121480855, 'CY', 'Cyprus'),
(29719, '66.216.112.152', '66.216.112.199', 1121480856, 1121480903, 'US', 'United States'),
(29720, '66.216.112.200', '66.216.112.207', 1121480904, 1121480911, 'HK', 'Hong Kong'),
(29721, '66.216.112.208', '66.216.112.255', 1121480912, 1121480959, 'US', 'United States'),
(29722, '66.216.113.0', '66.216.113.7', 1121480960, 1121480967, 'AU', 'Australia'),
(29723, '66.216.113.8', '66.216.113.31', 1121480968, 1121480991, 'US', 'United States'),
(29724, '66.216.113.32', '66.216.113.63', 1121480992, 1121481023, 'AU', 'Australia'),
(29725, '66.216.113.64', '66.216.113.79', 1121481024, 1121481039, 'US', 'United States'),
(29726, '66.216.113.80', '66.216.113.87', 1121481040, 1121481047, 'AU', 'Australia'),
(29727, '66.216.113.88', '66.216.113.95', 1121481048, 1121481055, 'US', 'United States'),
(29728, '66.216.113.96', '66.216.113.127', 1121481056, 1121481087, 'AU', 'Australia'),
(29729, '66.216.113.128', '66.216.114.191', 1121481088, 1121481407, 'US', 'United States'),
(29730, '66.216.114.192', '66.216.114.199', 1121481408, 1121481415, 'GB', 'United Kingdom'),
(29731, '66.216.114.200', '66.216.114.223', 1121481416, 1121481439, 'US', 'United States'),
(29732, '66.216.114.224', '66.216.114.231', 1121481440, 1121481447, 'AT', 'Austria'),
(29733, '66.216.114.232', '66.216.120.47', 1121481448, 1121482799, 'US', 'United States'),
(29734, '66.216.120.48', '66.216.120.55', 1121482800, 1121482807, 'AU', 'Australia'),
(29735, '66.216.120.56', '66.216.123.47', 1121482808, 1121483567, 'US', 'United States'),
(29736, '66.216.123.48', '66.216.123.55', 1121483568, 1121483575, 'PT', 'Portugal'),
(29737, '66.216.123.56', '66.216.123.239', 1121483576, 1121483759, 'US', 'United States'),
(29738, '66.216.123.240', '66.216.123.255', 1121483760, 1121483775, 'FR', 'France'),
(29739, '66.216.124.0', '66.219.24.79', 1121483776, 1121654863, 'US', 'United States'),
(29740, '66.219.24.80', '66.219.24.95', 1121654864, 1121654879, 'IN', 'India'),
(29741, '66.219.24.96', '66.219.24.191', 1121654880, 1121654975, 'US', 'United States'),
(29742, '66.219.24.192', '66.219.24.207', 1121654976, 1121654991, 'FR', 'France'),
(29743, '66.219.24.208', '66.219.25.191', 1121654992, 1121655231, 'US', 'United States'),
(29744, '66.219.25.192', '66.219.25.223', 1121655232, 1121655263, 'AR', 'Argentina'),
(29745, '66.219.25.224', '66.219.26.143', 1121655264, 1121655439, 'US', 'United States'),
(29746, '66.219.26.144', '66.219.26.151', 1121655440, 1121655447, 'IN', 'India'),
(29747, '66.219.26.152', '66.219.26.159', 1121655448, 1121655455, 'US', 'United States'),
(29748, '66.219.26.160', '66.219.26.167', 1121655456, 1121655463, 'IN', 'India'),
(29749, '66.219.26.168', '66.219.28.255', 1121655464, 1121656063, 'US', 'United States'),
(29750, '66.219.29.0', '66.219.29.31', 1121656064, 1121656095, 'NZ', 'New Zealand'),
(29751, '66.219.29.32', '66.220.3.31', 1121656096, 1121714975, 'US', 'United States'),
(29752, '66.220.3.32', '66.220.3.47', 1121714976, 1121714991, 'AU', 'Australia'),
(29753, '66.220.3.48', '66.220.3.54', 1121714992, 1121714998, 'US', 'United States'),
(29754, '66.220.3.55', '66.220.3.55', 1121714999, 1121714999, 'KW', 'Kuwait'),
(29755, '66.220.3.56', '66.220.6.223', 1121715000, 1121715935, 'US', 'United States'),
(29756, '66.220.6.224', '66.220.6.231', 1121715936, 1121715943, 'A1', 'Anonymous Proxy'),
(29757, '66.220.6.232', '66.220.12.183', 1121715944, 1121717431, 'US', 'United States'),
(29758, '66.220.12.184', '66.220.12.191', 1121717432, 1121717439, 'JP', 'Japan'),
(29759, '66.220.12.192', '66.222.127.255', 1121717440, 1121878015, 'US', 'United States'),
(29760, '66.222.128.0', '66.222.255.255', 1121878016, 1121910783, 'CA', 'Canada'),
(29761, '66.223.0.0', '66.225.127.255', 1121910784, 1122074623, 'US', 'United States'),
(29762, '66.225.128.0', '66.225.179.255', 1122074624, 1122087935, 'CA', 'Canada'),
(29763, '66.225.180.0', '66.225.180.255', 1122087936, 1122088191, 'US', 'United States'),
(29764, '66.225.181.0', '66.225.191.255', 1122088192, 1122091007, 'CA', 'Canada'),
(29765, '66.225.192.0', '66.225.198.79', 1122091008, 1122092623, 'US', 'United States'),
(29766, '66.225.198.80', '66.225.198.87', 1122092624, 1122092631, 'CA', 'Canada'),
(29767, '66.225.198.88', '66.225.198.143', 1122092632, 1122092687, 'US', 'United States'),
(29768, '66.225.198.144', '66.225.198.151', 1122092688, 1122092695, 'GB', 'United Kingdom'),
(29769, '66.225.198.152', '66.225.198.255', 1122092696, 1122092799, 'US', 'United States'),
(29770, '66.225.199.0', '66.225.199.255', 1122092800, 1122093055, 'CA', 'Canada'),
(29771, '66.225.200.0', '66.225.202.239', 1122093056, 1122093807, 'US', 'United States'),
(29772, '66.225.202.240', '66.225.202.247', 1122093808, 1122093815, 'HK', 'Hong Kong'),
(29773, '66.225.202.248', '66.225.231.135', 1122093816, 1122101127, 'US', 'United States'),
(29774, '66.225.231.136', '66.225.231.143', 1122101128, 1122101135, 'SE', 'Sweden'),
(29775, '66.225.231.144', '66.225.232.127', 1122101136, 1122101375, 'US', 'United States'),
(29776, '66.225.232.128', '66.225.232.135', 1122101376, 1122101383, 'CO', 'Colombia'),
(29777, '66.225.232.136', '66.225.232.223', 1122101384, 1122101471, 'US', 'United States'),
(29778, '66.225.232.224', '66.225.232.231', 1122101472, 1122101479, 'VE', 'Venezuela'),
(29779, '66.225.232.232', '66.225.240.175', 1122101480, 1122103471, 'US', 'United States'),
(29780, '66.225.240.176', '66.225.240.183', 1122103472, 1122103479, 'BE', 'Belgium'),
(29781, '66.225.240.184', '66.226.75.153', 1122103480, 1122126745, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(29782, '66.226.75.154', '66.226.75.161', 1122126746, 1122126753, 'CH', 'Switzerland'),
(29783, '66.226.75.162', '66.226.127.255', 1122126754, 1122140159, 'US', 'United States'),
(29784, '66.226.128.0', '66.226.159.255', 1122140160, 1122148351, 'CA', 'Canada'),
(29785, '66.226.160.0', '66.227.25.15', 1122148352, 1122179343, 'US', 'United States'),
(29786, '66.227.25.16', '66.227.25.23', 1122179344, 1122179351, 'CA', 'Canada'),
(29787, '66.227.25.24', '66.227.96.191', 1122179352, 1122197695, 'US', 'United States'),
(29788, '66.227.96.192', '66.227.96.223', 1122197696, 1122197727, 'GB', 'United Kingdom'),
(29789, '66.227.96.224', '66.227.96.231', 1122197728, 1122197735, 'US', 'United States'),
(29790, '66.227.96.232', '66.227.96.239', 1122197736, 1122197743, 'GB', 'United Kingdom'),
(29791, '66.227.96.240', '66.227.97.7', 1122197744, 1122197767, 'US', 'United States'),
(29792, '66.227.97.8', '66.227.97.15', 1122197768, 1122197775, 'FR', 'France'),
(29793, '66.227.97.16', '66.227.117.255', 1122197776, 1122203135, 'US', 'United States'),
(29794, '66.227.118.0', '66.227.118.255', 1122203136, 1122203391, 'GB', 'United Kingdom'),
(29795, '66.227.119.0', '66.228.120.33', 1122203392, 1122269217, 'US', 'United States'),
(29796, '66.228.120.34', '66.228.120.34', 1122269218, 1122269218, 'A1', 'Anonymous Proxy'),
(29797, '66.228.120.35', '66.229.66.63', 1122269219, 1122320959, 'US', 'United States'),
(29798, '66.229.66.64', '66.229.66.99', 1122320960, 1122320995, 'PT', 'Portugal'),
(29799, '66.229.66.100', '66.230.164.31', 1122320996, 1122411551, 'US', 'United States'),
(29800, '66.230.164.32', '66.230.164.63', 1122411552, 1122411583, 'AU', 'Australia'),
(29801, '66.230.164.64', '66.230.167.209', 1122411584, 1122412497, 'US', 'United States'),
(29802, '66.230.167.210', '66.230.167.210', 1122412498, 1122412498, 'LB', 'Lebanon'),
(29803, '66.230.167.211', '66.230.182.255', 1122412499, 1122416383, 'US', 'United States'),
(29804, '66.230.183.0', '66.230.183.255', 1122416384, 1122416639, 'DM', 'Dominica'),
(29805, '66.230.184.0', '66.230.188.255', 1122416640, 1122417919, 'US', 'United States'),
(29806, '66.230.189.0', '66.230.189.255', 1122417920, 1122418175, 'AU', 'Australia'),
(29807, '66.230.190.0', '66.231.63.255', 1122418176, 1122451455, 'US', 'United States'),
(29808, '66.231.64.0', '66.231.79.255', 1122451456, 1122455551, 'CO', 'Colombia'),
(29809, '66.231.80.0', '66.231.159.255', 1122455552, 1122476031, 'US', 'United States'),
(29810, '66.231.160.0', '66.231.175.255', 1122476032, 1122480127, 'PR', 'Puerto Rico'),
(29811, '66.231.176.0', '66.231.176.31', 1122480128, 1122480159, 'US', 'United States'),
(29812, '66.231.176.32', '66.231.176.39', 1122480160, 1122480167, 'RU', 'Russian Federation'),
(29813, '66.231.176.40', '66.231.176.79', 1122480168, 1122480207, 'US', 'United States'),
(29814, '66.231.176.80', '66.231.176.95', 1122480208, 1122480223, 'GB', 'United Kingdom'),
(29815, '66.231.176.96', '66.231.176.103', 1122480224, 1122480231, 'PL', 'Poland'),
(29816, '66.231.176.104', '66.231.177.31', 1122480232, 1122480415, 'US', 'United States'),
(29817, '66.231.177.32', '66.231.177.39', 1122480416, 1122480423, 'CL', 'Chile'),
(29818, '66.231.177.40', '66.231.177.95', 1122480424, 1122480479, 'US', 'United States'),
(29819, '66.231.177.96', '66.231.177.103', 1122480480, 1122480487, 'CA', 'Canada'),
(29820, '66.231.177.104', '66.231.226.127', 1122480488, 1122493055, 'US', 'United States'),
(29821, '66.231.226.128', '66.231.226.255', 1122493056, 1122493183, 'ES', 'Spain'),
(29822, '66.231.227.0', '66.231.227.255', 1122493184, 1122493439, 'US', 'United States'),
(29823, '66.231.228.0', '66.231.230.255', 1122493440, 1122494207, 'PR', 'Puerto Rico'),
(29824, '66.231.231.0', '66.231.234.255', 1122494208, 1122495231, 'US', 'United States'),
(29825, '66.231.235.0', '66.231.237.255', 1122495232, 1122495999, 'PR', 'Puerto Rico'),
(29826, '66.231.238.0', '66.231.243.255', 1122496000, 1122497535, 'US', 'United States'),
(29827, '66.231.244.0', '66.231.245.255', 1122497536, 1122498047, 'PR', 'Puerto Rico'),
(29828, '66.231.246.0', '66.231.247.255', 1122498048, 1122498559, 'US', 'United States'),
(29829, '66.231.248.0', '66.231.248.255', 1122498560, 1122498815, 'PR', 'Puerto Rico'),
(29830, '66.231.249.0', '66.231.251.255', 1122498816, 1122499583, 'US', 'United States'),
(29831, '66.231.252.0', '66.231.253.255', 1122499584, 1122500095, 'PR', 'Puerto Rico'),
(29832, '66.231.254.0', '66.232.109.91', 1122500096, 1122528603, 'US', 'United States'),
(29833, '66.232.109.92', '66.232.109.101', 1122528604, 1122528613, 'ES', 'Spain'),
(29834, '66.232.109.102', '66.232.135.255', 1122528614, 1122535423, 'US', 'United States'),
(29835, '66.232.136.0', '66.232.147.255', 1122535424, 1122538495, 'KR', 'Korea, Republic of'),
(29836, '66.232.148.0', '66.234.15.255', 1122538496, 1122635775, 'US', 'United States'),
(29837, '66.234.16.0', '66.234.31.255', 1122635776, 1122639871, 'CA', 'Canada'),
(29838, '66.234.32.0', '66.234.138.63', 1122639872, 1122667071, 'US', 'United States'),
(29839, '66.234.138.64', '66.234.138.127', 1122667072, 1122667135, 'CH', 'Switzerland'),
(29840, '66.234.138.128', '66.235.242.79', 1122667136, 1122759247, 'US', 'United States'),
(29841, '66.235.242.80', '66.235.242.95', 1122759248, 1122759263, 'CA', 'Canada'),
(29842, '66.235.242.96', '66.241.127.255', 1122759264, 1123123199, 'US', 'United States'),
(29843, '66.241.128.0', '66.241.143.255', 1123123200, 1123127295, 'CA', 'Canada'),
(29844, '66.241.144.0', '66.242.36.63', 1123127296, 1123165247, 'US', 'United States'),
(29845, '66.242.36.64', '66.242.36.127', 1123165248, 1123165311, 'CA', 'Canada'),
(29846, '66.242.36.128', '66.242.95.255', 1123165312, 1123180543, 'US', 'United States'),
(29847, '66.242.96.0', '66.242.111.255', 1123180544, 1123184639, 'CA', 'Canada'),
(29848, '66.242.112.0', '66.244.127.255', 1123184640, 1123319807, 'US', 'United States'),
(29849, '66.244.128.0', '66.244.143.255', 1123319808, 1123323903, 'CA', 'Canada'),
(29850, '66.244.144.0', '66.244.191.255', 1123323904, 1123336191, 'US', 'United States'),
(29851, '66.244.192.0', '66.244.255.255', 1123336192, 1123352575, 'CA', 'Canada'),
(29852, '66.245.0.0', '66.247.199.255', 1123352576, 1123534847, 'US', 'United States'),
(29853, '66.247.200.0', '66.247.207.255', 1123534848, 1123536895, 'AW', 'Aruba'),
(29854, '66.247.208.0', '66.248.129.31', 1123536896, 1123582239, 'US', 'United States'),
(29855, '66.248.129.32', '66.248.129.63', 1123582240, 1123582271, 'CY', 'Cyprus'),
(29856, '66.248.129.64', '66.248.137.255', 1123582272, 1123584511, 'US', 'United States'),
(29857, '66.248.138.0', '66.248.138.255', 1123584512, 1123584767, 'ES', 'Spain'),
(29858, '66.248.139.0', '66.248.157.255', 1123584768, 1123589631, 'US', 'United States'),
(29859, '66.248.158.0', '66.248.158.255', 1123589632, 1123589887, 'DE', 'Germany'),
(29860, '66.248.159.0', '66.248.159.255', 1123589888, 1123590143, 'US', 'United States'),
(29861, '66.248.160.0', '66.248.191.255', 1123590144, 1123598335, 'VI', 'Virgin Islands, U.S.'),
(29862, '66.248.192.0', '66.249.143.255', 1123598336, 1123651583, 'US', 'United States'),
(29863, '66.249.144.0', '66.249.144.255', 1123651584, 1123651839, 'JM', 'Jamaica'),
(29864, '66.249.145.0', '66.249.145.255', 1123651840, 1123652095, 'BB', 'Barbados'),
(29865, '66.249.146.0', '66.249.149.255', 1123652096, 1123653119, 'JM', 'Jamaica'),
(29866, '66.249.150.0', '66.249.150.255', 1123653120, 1123653375, 'BB', 'Barbados'),
(29867, '66.249.151.0', '66.249.151.255', 1123653376, 1123653631, 'JM', 'Jamaica'),
(29868, '66.249.152.0', '66.249.155.255', 1123653632, 1123654655, 'KY', 'Cayman Islands'),
(29869, '66.249.156.0', '66.249.159.255', 1123654656, 1123655679, 'JM', 'Jamaica'),
(29870, '66.249.160.0', '66.249.191.255', 1123655680, 1123663871, 'US', 'United States'),
(29871, '66.249.192.0', '66.249.207.255', 1123663872, 1123667967, 'SV', 'El Salvador'),
(29872, '66.249.208.0', '66.249.215.255', 1123667968, 1123670015, 'PR', 'Puerto Rico'),
(29873, '66.249.216.0', '66.249.219.255', 1123670016, 1123671039, 'US', 'United States'),
(29874, '66.249.220.0', '66.249.223.255', 1123671040, 1123672063, 'PY', 'Paraguay'),
(29875, '66.249.224.0', '66.250.55.255', 1123672064, 1123694591, 'US', 'United States'),
(29876, '66.250.56.0', '66.250.56.255', 1123694592, 1123694847, 'CA', 'Canada'),
(29877, '66.250.57.0', '66.251.127.255', 1123694848, 1123778559, 'US', 'United States'),
(29878, '66.251.192.0', '66.251.192.255', 1123794944, 1123795199, 'DO', 'Dominican Republic'),
(29879, '66.251.193.0', '66.251.215.255', 1123795200, 1123801087, 'US', 'United States'),
(29880, '66.251.216.0', '66.251.216.255', 1123801088, 1123801343, 'RU', 'Russian Federation'),
(29881, '66.251.217.0', '66.252.143.255', 1123801344, 1123848191, 'US', 'United States'),
(29882, '66.252.144.0', '66.252.159.255', 1123848192, 1123852287, 'CA', 'Canada'),
(29883, '66.252.160.0', '66.252.229.111', 1123852288, 1123870063, 'US', 'United States'),
(29884, '66.252.229.112', '66.252.229.119', 1123870064, 1123870071, 'GB', 'United Kingdom'),
(29885, '66.252.229.120', '66.252.230.87', 1123870072, 1123870295, 'US', 'United States'),
(29886, '66.252.230.88', '66.252.230.95', 1123870296, 1123870303, 'HK', 'Hong Kong'),
(29887, '66.252.230.96', '66.252.230.135', 1123870304, 1123870343, 'US', 'United States'),
(29888, '66.252.230.136', '66.252.230.143', 1123870344, 1123870351, 'HK', 'Hong Kong'),
(29889, '66.252.230.144', '66.254.31.255', 1123870352, 1123950591, 'US', 'United States'),
(29890, '66.254.32.0', '66.254.63.255', 1123950592, 1123958783, 'CA', 'Canada'),
(29891, '66.254.64.0', '66.255.80.95', 1123958784, 1124028511, 'US', 'United States'),
(29892, '66.255.80.96', '66.255.80.127', 1124028512, 1124028543, 'NC', 'New Caledonia'),
(29893, '66.255.80.128', '67.15.31.255', 1124028544, 1125064703, 'US', 'United States'),
(29894, '67.15.32.0', '67.15.33.255', 1125064704, 1125065215, 'GB', 'United Kingdom'),
(29895, '67.15.34.0', '67.15.76.147', 1125065216, 1125076115, 'US', 'United States'),
(29896, '67.15.76.148', '67.15.76.148', 1125076116, 1125076116, 'A1', 'Anonymous Proxy'),
(29897, '67.15.76.149', '67.15.76.199', 1125076117, 1125076167, 'US', 'United States'),
(29898, '67.15.76.200', '67.15.76.200', 1125076168, 1125076168, 'A1', 'Anonymous Proxy'),
(29899, '67.15.76.201', '67.15.77.115', 1125076169, 1125076339, 'US', 'United States'),
(29900, '67.15.77.116', '67.15.77.116', 1125076340, 1125076340, 'A1', 'Anonymous Proxy'),
(29901, '67.15.77.117', '67.15.77.124', 1125076341, 1125076348, 'US', 'United States'),
(29902, '67.15.77.125', '67.15.77.125', 1125076349, 1125076349, 'A1', 'Anonymous Proxy'),
(29903, '67.15.77.126', '67.15.95.255', 1125076350, 1125081087, 'US', 'United States'),
(29904, '67.15.96.0', '67.15.96.63', 1125081088, 1125081151, 'CL', 'Chile'),
(29905, '67.15.96.64', '67.15.96.95', 1125081152, 1125081183, 'CA', 'Canada'),
(29906, '67.15.96.96', '67.15.96.127', 1125081184, 1125081215, 'US', 'United States'),
(29907, '67.15.96.128', '67.15.96.191', 1125081216, 1125081279, 'GB', 'United Kingdom'),
(29908, '67.15.96.192', '67.15.98.255', 1125081280, 1125081855, 'US', 'United States'),
(29909, '67.15.99.0', '67.15.99.255', 1125081856, 1125082111, 'DE', 'Germany'),
(29910, '67.15.100.0', '67.15.100.255', 1125082112, 1125082367, 'US', 'United States'),
(29911, '67.15.101.0', '67.15.101.255', 1125082368, 1125082623, 'DE', 'Germany'),
(29912, '67.15.102.0', '67.15.102.31', 1125082624, 1125082655, 'US', 'United States'),
(29913, '67.15.102.32', '67.15.102.63', 1125082656, 1125082687, 'UY', 'Uruguay'),
(29914, '67.15.102.64', '67.15.102.159', 1125082688, 1125082783, 'US', 'United States'),
(29915, '67.15.102.160', '67.15.102.175', 1125082784, 1125082799, 'UY', 'Uruguay'),
(29916, '67.15.102.176', '67.15.103.127', 1125082800, 1125083007, 'US', 'United States'),
(29917, '67.15.103.128', '67.15.103.143', 1125083008, 1125083023, 'RU', 'Russian Federation'),
(29918, '67.15.103.144', '67.15.107.63', 1125083024, 1125083967, 'US', 'United States'),
(29919, '67.15.107.64', '67.15.107.127', 1125083968, 1125084031, 'UY', 'Uruguay'),
(29920, '67.15.107.128', '67.15.107.159', 1125084032, 1125084063, 'US', 'United States'),
(29921, '67.15.107.160', '67.15.107.191', 1125084064, 1125084095, 'SE', 'Sweden'),
(29922, '67.15.107.192', '67.15.111.207', 1125084096, 1125085135, 'US', 'United States'),
(29923, '67.15.111.208', '67.15.111.223', 1125085136, 1125085151, 'DE', 'Germany'),
(29924, '67.15.111.224', '67.15.115.127', 1125085152, 1125086079, 'US', 'United States'),
(29925, '67.15.115.128', '67.15.115.191', 1125086080, 1125086143, 'AU', 'Australia'),
(29926, '67.15.115.192', '67.15.122.255', 1125086144, 1125087999, 'US', 'United States'),
(29927, '67.15.123.0', '67.15.123.255', 1125088000, 1125088255, 'CA', 'Canada'),
(29928, '67.15.124.0', '67.15.131.255', 1125088256, 1125090303, 'US', 'United States'),
(29929, '67.15.132.0', '67.15.132.31', 1125090304, 1125090335, 'AU', 'Australia'),
(29930, '67.15.132.32', '67.15.132.63', 1125090336, 1125090367, 'US', 'United States'),
(29931, '67.15.132.64', '67.15.132.127', 1125090368, 1125090431, 'ZA', 'South Africa'),
(29932, '67.15.132.128', '67.15.132.175', 1125090432, 1125090479, 'US', 'United States'),
(29933, '67.15.132.176', '67.15.132.191', 1125090480, 1125090495, 'DE', 'Germany'),
(29934, '67.15.132.192', '67.15.135.15', 1125090496, 1125091087, 'US', 'United States'),
(29935, '67.15.135.16', '67.15.135.31', 1125091088, 1125091103, 'CA', 'Canada'),
(29936, '67.15.135.32', '67.15.135.63', 1125091104, 1125091135, 'US', 'United States'),
(29937, '67.15.135.64', '67.15.135.95', 1125091136, 1125091167, 'SK', 'Slovakia'),
(29938, '67.15.135.96', '67.15.135.111', 1125091168, 1125091183, 'US', 'United States'),
(29939, '67.15.135.112', '67.15.135.127', 1125091184, 1125091199, 'UY', 'Uruguay'),
(29940, '67.15.135.128', '67.15.136.127', 1125091200, 1125091455, 'US', 'United States'),
(29941, '67.15.136.128', '67.15.136.191', 1125091456, 1125091519, 'ES', 'Spain'),
(29942, '67.15.136.192', '67.15.136.255', 1125091520, 1125091583, 'US', 'United States'),
(29943, '67.15.137.0', '67.15.137.63', 1125091584, 1125091647, 'GB', 'United Kingdom'),
(29944, '67.15.137.64', '67.15.137.79', 1125091648, 1125091663, 'US', 'United States'),
(29945, '67.15.137.80', '67.15.137.95', 1125091664, 1125091679, 'HU', 'Hungary'),
(29946, '67.15.137.96', '67.15.137.127', 1125091680, 1125091711, 'SE', 'Sweden'),
(29947, '67.15.137.128', '67.15.137.159', 1125091712, 1125091743, 'CA', 'Canada'),
(29948, '67.15.137.160', '67.15.137.175', 1125091744, 1125091759, 'US', 'United States'),
(29949, '67.15.137.176', '67.15.137.191', 1125091760, 1125091775, 'UY', 'Uruguay'),
(29950, '67.15.137.192', '67.15.137.255', 1125091776, 1125091839, 'CA', 'Canada'),
(29951, '67.15.138.0', '67.15.144.95', 1125091840, 1125093471, 'US', 'United States'),
(29952, '67.15.144.96', '67.15.144.127', 1125093472, 1125093503, 'IL', 'Israel'),
(29953, '67.15.144.128', '67.15.144.191', 1125093504, 1125093567, 'SK', 'Slovakia'),
(29954, '67.15.144.192', '67.15.144.255', 1125093568, 1125093631, 'AU', 'Australia'),
(29955, '67.15.145.0', '67.15.148.63', 1125093632, 1125094463, 'US', 'United States'),
(29956, '67.15.148.64', '67.15.148.127', 1125094464, 1125094527, 'BR', 'Brazil'),
(29957, '67.15.148.128', '67.15.148.255', 1125094528, 1125094655, 'US', 'United States'),
(29958, '67.15.149.0', '67.15.149.15', 1125094656, 1125094671, 'GB', 'United Kingdom'),
(29959, '67.15.149.16', '67.15.149.127', 1125094672, 1125094783, 'US', 'United States'),
(29960, '67.15.149.128', '67.15.149.143', 1125094784, 1125094799, 'GB', 'United Kingdom'),
(29961, '67.15.149.144', '67.15.149.191', 1125094800, 1125094847, 'CA', 'Canada'),
(29962, '67.15.149.192', '67.15.149.255', 1125094848, 1125094911, 'BR', 'Brazil'),
(29963, '67.15.150.0', '67.15.150.127', 1125094912, 1125095039, 'AU', 'Australia'),
(29964, '67.15.150.128', '67.15.150.255', 1125095040, 1125095167, 'GB', 'United Kingdom'),
(29965, '67.15.151.0', '67.15.151.15', 1125095168, 1125095183, 'BE', 'Belgium'),
(29966, '67.15.151.16', '67.15.151.127', 1125095184, 1125095295, 'US', 'United States'),
(29967, '67.15.151.128', '67.15.151.159', 1125095296, 1125095327, 'AU', 'Australia'),
(29968, '67.15.151.160', '67.15.157.255', 1125095328, 1125096959, 'US', 'United States'),
(29969, '67.15.158.0', '67.15.158.127', 1125096960, 1125097087, 'AR', 'Argentina'),
(29970, '67.15.158.128', '67.15.158.255', 1125097088, 1125097215, 'US', 'United States'),
(29971, '67.15.159.0', '67.15.159.63', 1125097216, 1125097279, 'AU', 'Australia'),
(29972, '67.15.159.64', '67.15.159.127', 1125097280, 1125097343, 'BR', 'Brazil'),
(29973, '67.15.159.128', '67.15.159.191', 1125097344, 1125097407, 'US', 'United States'),
(29974, '67.15.159.192', '67.15.159.223', 1125097408, 1125097439, 'IL', 'Israel'),
(29975, '67.15.159.224', '67.15.159.239', 1125097440, 1125097455, 'US', 'United States'),
(29976, '67.15.159.240', '67.15.159.255', 1125097456, 1125097471, 'GB', 'United Kingdom'),
(29977, '67.15.160.0', '67.15.161.63', 1125097472, 1125097791, 'US', 'United States'),
(29978, '67.15.161.64', '67.15.161.95', 1125097792, 1125097823, 'ES', 'Spain'),
(29979, '67.15.161.96', '67.15.161.127', 1125097824, 1125097855, 'AU', 'Australia'),
(29980, '67.15.161.128', '67.15.161.143', 1125097856, 1125097871, 'JO', 'Jordan'),
(29981, '67.15.161.144', '67.15.161.159', 1125097872, 1125097887, 'UY', 'Uruguay'),
(29982, '67.15.161.160', '67.15.161.191', 1125097888, 1125097919, 'US', 'United States'),
(29983, '67.15.161.192', '67.15.161.255', 1125097920, 1125097983, 'IL', 'Israel'),
(29984, '67.15.162.0', '67.15.168.255', 1125097984, 1125099775, 'US', 'United States'),
(29985, '67.15.169.0', '67.15.169.255', 1125099776, 1125100031, 'GB', 'United Kingdom'),
(29986, '67.15.170.0', '67.15.182.255', 1125100032, 1125103359, 'US', 'United States'),
(29987, '67.15.183.0', '67.15.183.127', 1125103360, 1125103487, 'A1', 'Anonymous Proxy'),
(29988, '67.15.183.128', '67.15.183.159', 1125103488, 1125103519, 'UY', 'Uruguay'),
(29989, '67.15.183.160', '67.15.193.191', 1125103520, 1125106111, 'US', 'United States'),
(29990, '67.15.193.192', '67.15.193.255', 1125106112, 1125106175, 'GB', 'United Kingdom'),
(29991, '67.15.194.0', '67.15.194.31', 1125106176, 1125106207, 'AU', 'Australia'),
(29992, '67.15.194.32', '67.15.194.47', 1125106208, 1125106223, 'TR', 'Turkey'),
(29993, '67.15.194.48', '67.15.194.63', 1125106224, 1125106239, 'FR', 'France'),
(29994, '67.15.194.64', '67.15.194.79', 1125106240, 1125106255, 'UY', 'Uruguay'),
(29995, '67.15.194.80', '67.15.194.95', 1125106256, 1125106271, 'FR', 'France'),
(29996, '67.15.194.96', '67.15.194.127', 1125106272, 1125106303, 'US', 'United States'),
(29997, '67.15.194.128', '67.15.194.191', 1125106304, 1125106367, 'DE', 'Germany'),
(29998, '67.15.194.192', '67.15.209.255', 1125106368, 1125110271, 'US', 'United States'),
(29999, '67.15.210.0', '67.15.210.63', 1125110272, 1125110335, 'GB', 'United Kingdom'),
(30000, '67.15.210.64', '67.15.210.127', 1125110336, 1125110399, 'US', 'United States'),
(30001, '67.15.210.128', '67.15.210.191', 1125110400, 1125110463, 'KW', 'Kuwait'),
(30002, '67.15.210.192', '67.15.211.255', 1125110464, 1125110783, 'US', 'United States'),
(30003, '67.15.212.0', '67.15.212.127', 1125110784, 1125110911, 'MA', 'Morocco'),
(30004, '67.15.212.128', '67.15.212.143', 1125110912, 1125110927, 'UY', 'Uruguay'),
(30005, '67.15.212.144', '67.15.212.159', 1125110928, 1125110943, 'TW', 'Taiwan'),
(30006, '67.15.212.160', '67.15.212.175', 1125110944, 1125110959, 'CA', 'Canada'),
(30007, '67.15.212.176', '67.15.212.191', 1125110960, 1125110975, 'US', 'United States'),
(30008, '67.15.212.192', '67.15.212.255', 1125110976, 1125111039, 'MA', 'Morocco'),
(30009, '67.15.213.0', '67.15.214.127', 1125111040, 1125111423, 'US', 'United States'),
(30010, '67.15.214.128', '67.15.214.143', 1125111424, 1125111439, 'BR', 'Brazil'),
(30011, '67.15.214.144', '67.15.214.159', 1125111440, 1125111455, 'US', 'United States'),
(30012, '67.15.214.160', '67.15.214.175', 1125111456, 1125111471, 'CA', 'Canada'),
(30013, '67.15.214.176', '67.15.214.191', 1125111472, 1125111487, 'US', 'United States'),
(30014, '67.15.214.192', '67.15.214.223', 1125111488, 1125111519, 'GB', 'United Kingdom'),
(30015, '67.15.214.224', '67.15.214.239', 1125111520, 1125111535, 'IL', 'Israel'),
(30016, '67.15.214.240', '67.15.215.191', 1125111536, 1125111743, 'US', 'United States'),
(30017, '67.15.215.192', '67.15.215.223', 1125111744, 1125111775, 'DE', 'Germany'),
(30018, '67.15.215.224', '67.15.218.127', 1125111776, 1125112447, 'US', 'United States'),
(30019, '67.15.218.128', '67.15.218.191', 1125112448, 1125112511, 'PL', 'Poland'),
(30020, '67.15.218.192', '67.15.219.191', 1125112512, 1125112767, 'US', 'United States'),
(30021, '67.15.219.192', '67.15.219.207', 1125112768, 1125112783, 'GB', 'United Kingdom'),
(30022, '67.15.219.208', '67.15.219.255', 1125112784, 1125112831, 'US', 'United States'),
(30023, '67.15.220.0', '67.15.220.255', 1125112832, 1125113087, 'MA', 'Morocco'),
(30024, '67.15.221.0', '67.15.230.255', 1125113088, 1125115647, 'US', 'United States'),
(30025, '67.15.231.0', '67.15.231.15', 1125115648, 1125115663, 'ES', 'Spain'),
(30026, '67.15.231.16', '67.15.231.79', 1125115664, 1125115727, 'US', 'United States'),
(30027, '67.15.231.80', '67.15.231.95', 1125115728, 1125115743, 'ES', 'Spain'),
(30028, '67.15.231.96', '67.15.232.255', 1125115744, 1125116159, 'US', 'United States'),
(30029, '67.15.233.0', '67.15.233.31', 1125116160, 1125116191, 'BR', 'Brazil'),
(30030, '67.15.233.32', '67.15.233.63', 1125116192, 1125116223, 'TR', 'Turkey'),
(30031, '67.15.233.64', '67.15.233.255', 1125116224, 1125116415, 'US', 'United States'),
(30032, '67.15.234.0', '67.15.234.255', 1125116416, 1125116671, 'MA', 'Morocco'),
(30033, '67.15.235.0', '67.15.236.31', 1125116672, 1125116959, 'US', 'United States'),
(30034, '67.15.236.32', '67.15.236.63', 1125116960, 1125116991, 'JP', 'Japan'),
(30035, '67.15.236.64', '67.15.236.95', 1125116992, 1125117023, 'US', 'United States'),
(30036, '67.15.236.96', '67.15.236.127', 1125117024, 1125117055, 'BR', 'Brazil'),
(30037, '67.15.236.128', '67.15.236.223', 1125117056, 1125117151, 'US', 'United States'),
(30038, '67.15.236.224', '67.15.236.239', 1125117152, 1125117167, 'UY', 'Uruguay'),
(30039, '67.15.236.240', '67.15.236.255', 1125117168, 1125117183, 'US', 'United States'),
(30040, '67.15.237.0', '67.15.237.255', 1125117184, 1125117439, 'MA', 'Morocco'),
(30041, '67.15.238.0', '67.15.242.31', 1125117440, 1125118495, 'US', 'United States'),
(30042, '67.15.242.32', '67.15.242.47', 1125118496, 1125118511, 'BR', 'Brazil'),
(30043, '67.15.242.48', '67.15.242.63', 1125118512, 1125118527, 'US', 'United States'),
(30044, '67.15.242.64', '67.15.242.95', 1125118528, 1125118559, 'UY', 'Uruguay'),
(30045, '67.15.242.96', '67.15.242.127', 1125118560, 1125118591, 'TR', 'Turkey'),
(30046, '67.15.242.128', '67.15.242.191', 1125118592, 1125118655, 'US', 'United States'),
(30047, '67.15.242.192', '67.15.242.223', 1125118656, 1125118687, 'IL', 'Israel'),
(30048, '67.15.242.224', '67.15.242.255', 1125118688, 1125118719, 'BR', 'Brazil'),
(30049, '67.15.243.0', '67.15.244.223', 1125118720, 1125119199, 'US', 'United States'),
(30050, '67.15.244.224', '67.15.244.255', 1125119200, 1125119231, 'TR', 'Turkey'),
(30051, '67.15.245.0', '67.15.246.255', 1125119232, 1125119743, 'US', 'United States'),
(30052, '67.15.247.0', '67.15.247.127', 1125119744, 1125119871, 'RO', 'Romania'),
(30053, '67.15.247.128', '67.15.247.159', 1125119872, 1125119903, 'US', 'United States'),
(30054, '67.15.247.160', '67.15.247.191', 1125119904, 1125119935, 'IL', 'Israel'),
(30055, '67.15.247.192', '67.15.247.223', 1125119936, 1125119967, 'JP', 'Japan'),
(30056, '67.15.247.224', '67.15.248.255', 1125119968, 1125120255, 'US', 'United States'),
(30057, '67.15.249.0', '67.15.249.255', 1125120256, 1125120511, 'MA', 'Morocco'),
(30058, '67.15.250.0', '67.15.250.255', 1125120512, 1125120767, 'US', 'United States'),
(30059, '67.15.251.0', '67.15.251.31', 1125120768, 1125120799, 'UY', 'Uruguay'),
(30060, '67.15.251.32', '67.15.251.63', 1125120800, 1125120831, 'IL', 'Israel'),
(30061, '67.15.251.64', '67.15.251.95', 1125120832, 1125120863, 'US', 'United States'),
(30062, '67.15.251.96', '67.15.251.127', 1125120864, 1125120895, 'GB', 'United Kingdom'),
(30063, '67.15.251.128', '67.15.251.255', 1125120896, 1125121023, 'RO', 'Romania'),
(30064, '67.15.252.0', '67.17.199.25', 1125121024, 1125238553, 'US', 'United States'),
(30065, '67.17.199.26', '67.17.199.26', 1125238554, 1125238554, 'ES', 'Spain'),
(30066, '67.17.199.27', '67.18.145.1', 1125238555, 1125290241, 'US', 'United States'),
(30067, '67.18.145.2', '67.18.145.2', 1125290242, 1125290242, 'AE', 'United Arab Emirates'),
(30068, '67.18.145.3', '67.19.123.1', 1125290243, 1125350145, 'US', 'United States'),
(30069, '67.19.123.2', '67.19.123.2', 1125350146, 1125350146, 'A1', 'Anonymous Proxy'),
(30070, '67.19.123.3', '67.20.48.3', 1125350147, 1125396483, 'US', 'United States'),
(30071, '67.20.48.4', '67.20.48.11', 1125396484, 1125396491, 'LK', 'Sri Lanka'),
(30072, '67.20.48.12', '67.20.50.7', 1125396492, 1125396999, 'US', 'United States'),
(30073, '67.20.50.8', '67.20.50.15', 1125397000, 1125397007, 'ES', 'Spain'),
(30074, '67.20.50.16', '67.20.55.194', 1125397008, 1125398466, 'US', 'United States'),
(30075, '67.20.55.195', '67.20.55.196', 1125398467, 1125398468, 'LK', 'Sri Lanka'),
(30076, '67.20.55.197', '67.21.16.183', 1125398469, 1125454007, 'US', 'United States'),
(30077, '67.21.16.184', '67.21.16.191', 1125454008, 1125454015, 'GB', 'United Kingdom'),
(30078, '67.21.16.192', '67.21.17.31', 1125454016, 1125454111, 'US', 'United States'),
(30079, '67.21.17.32', '67.21.17.39', 1125454112, 1125454119, 'ES', 'Spain'),
(30080, '67.21.17.40', '67.21.17.191', 1125454120, 1125454271, 'US', 'United States'),
(30081, '67.21.17.192', '67.21.17.199', 1125454272, 1125454279, 'DE', 'Germany'),
(30082, '67.21.17.200', '67.21.17.223', 1125454280, 1125454303, 'US', 'United States'),
(30083, '67.21.17.224', '67.21.17.243', 1125454304, 1125454323, 'NO', 'Norway'),
(30084, '67.21.17.244', '67.21.17.247', 1125454324, 1125454327, 'SG', 'Singapore'),
(30085, '67.21.17.248', '67.21.18.7', 1125454328, 1125454343, 'US', 'United States'),
(30086, '67.21.18.8', '67.21.18.15', 1125454344, 1125454351, 'NO', 'Norway'),
(30087, '67.21.18.16', '67.21.18.35', 1125454352, 1125454371, 'US', 'United States'),
(30088, '67.21.18.36', '67.21.18.39', 1125454372, 1125454375, 'ES', 'Spain'),
(30089, '67.21.18.40', '67.21.18.47', 1125454376, 1125454383, 'US', 'United States'),
(30090, '67.21.18.48', '67.21.18.59', 1125454384, 1125454395, 'NO', 'Norway'),
(30091, '67.21.18.60', '67.21.18.75', 1125454396, 1125454411, 'US', 'United States'),
(30092, '67.21.18.76', '67.21.18.87', 1125454412, 1125454423, 'NO', 'Norway'),
(30093, '67.21.18.88', '67.21.18.99', 1125454424, 1125454435, 'ES', 'Spain'),
(30094, '67.21.18.100', '67.21.18.103', 1125454436, 1125454439, 'NO', 'Norway'),
(30095, '67.21.18.104', '67.21.18.111', 1125454440, 1125454447, 'ES', 'Spain'),
(30096, '67.21.18.112', '67.21.18.115', 1125454448, 1125454451, 'NO', 'Norway'),
(30097, '67.21.18.116', '67.21.18.123', 1125454452, 1125454459, 'US', 'United States'),
(30098, '67.21.18.124', '67.21.18.127', 1125454460, 1125454463, 'NO', 'Norway'),
(30099, '67.21.18.128', '67.21.18.131', 1125454464, 1125454467, 'ES', 'Spain'),
(30100, '67.21.18.132', '67.21.18.135', 1125454468, 1125454471, 'NO', 'Norway'),
(30101, '67.21.18.136', '67.21.18.143', 1125454472, 1125454479, 'ES', 'Spain'),
(30102, '67.21.18.144', '67.21.18.147', 1125454480, 1125454483, 'NO', 'Norway'),
(30103, '67.21.18.148', '67.21.18.151', 1125454484, 1125454487, 'ES', 'Spain'),
(30104, '67.21.18.152', '67.21.18.159', 1125454488, 1125454495, 'NO', 'Norway'),
(30105, '67.21.18.160', '67.21.18.163', 1125454496, 1125454499, 'CA', 'Canada'),
(30106, '67.21.18.164', '67.21.18.175', 1125454500, 1125454511, 'US', 'United States'),
(30107, '67.21.18.176', '67.21.18.191', 1125454512, 1125454527, 'NO', 'Norway'),
(30108, '67.21.18.192', '67.21.18.207', 1125454528, 1125454543, 'US', 'United States'),
(30109, '67.21.18.208', '67.21.18.215', 1125454544, 1125454551, 'ES', 'Spain'),
(30110, '67.21.18.216', '67.21.18.251', 1125454552, 1125454587, 'US', 'United States'),
(30111, '67.21.18.252', '67.21.18.255', 1125454588, 1125454591, 'CA', 'Canada'),
(30112, '67.21.19.0', '67.21.19.255', 1125454592, 1125454847, 'A2', 'Satellite Provider'),
(30113, '67.21.20.0', '67.21.21.255', 1125454848, 1125455359, 'US', 'United States'),
(30114, '67.21.22.0', '67.21.22.3', 1125455360, 1125455363, 'CA', 'Canada'),
(30115, '67.21.22.4', '67.21.22.35', 1125455364, 1125455395, 'US', 'United States'),
(30116, '67.21.22.36', '67.21.22.39', 1125455396, 1125455399, 'NO', 'Norway'),
(30117, '67.21.22.40', '67.21.22.63', 1125455400, 1125455423, 'US', 'United States'),
(30118, '67.21.22.64', '67.21.22.67', 1125455424, 1125455427, 'ES', 'Spain'),
(30119, '67.21.22.68', '67.21.22.71', 1125455428, 1125455431, 'GB', 'United Kingdom'),
(30120, '67.21.22.72', '67.21.22.75', 1125455432, 1125455435, 'US', 'United States'),
(30121, '67.21.22.76', '67.21.22.79', 1125455436, 1125455439, 'ES', 'Spain'),
(30122, '67.21.22.80', '67.21.22.83', 1125455440, 1125455443, 'CA', 'Canada'),
(30123, '67.21.22.84', '67.21.22.87', 1125455444, 1125455447, 'US', 'United States'),
(30124, '67.21.22.88', '67.21.22.91', 1125455448, 1125455451, 'NO', 'Norway'),
(30125, '67.21.22.92', '67.21.22.115', 1125455452, 1125455475, 'US', 'United States'),
(30126, '67.21.22.116', '67.21.22.119', 1125455476, 1125455479, 'NO', 'Norway'),
(30127, '67.21.22.120', '67.21.22.131', 1125455480, 1125455491, 'US', 'United States'),
(30128, '67.21.22.132', '67.21.22.135', 1125455492, 1125455495, 'GB', 'United Kingdom'),
(30129, '67.21.22.136', '67.21.22.139', 1125455496, 1125455499, 'CA', 'Canada'),
(30130, '67.21.22.140', '67.21.22.147', 1125455500, 1125455507, 'US', 'United States'),
(30131, '67.21.22.148', '67.21.22.155', 1125455508, 1125455515, 'ES', 'Spain'),
(30132, '67.21.22.156', '67.21.22.159', 1125455516, 1125455519, 'CA', 'Canada'),
(30133, '67.21.22.160', '67.21.22.163', 1125455520, 1125455523, 'ES', 'Spain'),
(30134, '67.21.22.164', '67.21.22.167', 1125455524, 1125455527, 'US', 'United States'),
(30135, '67.21.22.168', '67.21.22.171', 1125455528, 1125455531, 'GB', 'United Kingdom'),
(30136, '67.21.22.172', '67.21.22.175', 1125455532, 1125455535, 'NO', 'Norway'),
(30137, '67.21.22.176', '67.21.22.183', 1125455536, 1125455543, 'US', 'United States'),
(30138, '67.21.22.184', '67.21.22.187', 1125455544, 1125455547, 'ES', 'Spain'),
(30139, '67.21.22.188', '67.21.22.191', 1125455548, 1125455551, 'VG', 'Virgin Islands, British'),
(30140, '67.21.22.192', '67.21.22.195', 1125455552, 1125455555, 'ES', 'Spain'),
(30141, '67.21.22.196', '67.21.22.199', 1125455556, 1125455559, 'US', 'United States'),
(30142, '67.21.22.200', '67.21.22.203', 1125455560, 1125455563, 'NZ', 'New Zealand'),
(30143, '67.21.22.204', '67.21.22.207', 1125455564, 1125455567, 'ES', 'Spain'),
(30144, '67.21.22.208', '67.21.22.211', 1125455568, 1125455571, 'US', 'United States'),
(30145, '67.21.22.212', '67.21.22.215', 1125455572, 1125455575, 'NO', 'Norway'),
(30146, '67.21.22.216', '67.21.22.219', 1125455576, 1125455579, 'AN', 'Netherlands Antilles'),
(30147, '67.21.22.220', '67.21.22.255', 1125455580, 1125455615, 'US', 'United States'),
(30148, '67.21.23.0', '67.21.23.255', 1125455616, 1125455871, 'A2', 'Satellite Provider'),
(30149, '67.21.24.0', '67.21.25.3', 1125455872, 1125456131, 'US', 'United States'),
(30150, '67.21.25.4', '67.21.25.7', 1125456132, 1125456135, 'NO', 'Norway'),
(30151, '67.21.25.8', '67.21.25.11', 1125456136, 1125456139, 'A2', 'Satellite Provider'),
(30152, '67.21.25.12', '67.21.25.35', 1125456140, 1125456163, 'US', 'United States'),
(30153, '67.21.25.36', '67.21.25.39', 1125456164, 1125456167, 'NO', 'Norway'),
(30154, '67.21.25.40', '67.21.25.47', 1125456168, 1125456175, 'US', 'United States'),
(30155, '67.21.25.48', '67.21.25.51', 1125456176, 1125456179, 'NO', 'Norway'),
(30156, '67.21.25.52', '67.21.25.63', 1125456180, 1125456191, 'US', 'United States'),
(30157, '67.21.25.64', '67.21.25.67', 1125456192, 1125456195, 'GB', 'United Kingdom'),
(30158, '67.21.25.68', '67.21.25.71', 1125456196, 1125456199, 'NO', 'Norway'),
(30159, '67.21.25.72', '67.21.25.75', 1125456200, 1125456203, 'AN', 'Netherlands Antilles'),
(30160, '67.21.25.76', '67.21.25.79', 1125456204, 1125456207, 'US', 'United States'),
(30161, '67.21.25.80', '67.21.25.83', 1125456208, 1125456211, 'SG', 'Singapore'),
(30162, '67.21.25.84', '67.21.25.103', 1125456212, 1125456231, 'US', 'United States'),
(30163, '67.21.25.104', '67.21.25.111', 1125456232, 1125456239, 'ES', 'Spain'),
(30164, '67.21.25.112', '67.21.25.119', 1125456240, 1125456247, 'GB', 'United Kingdom'),
(30165, '67.21.25.120', '67.21.25.131', 1125456248, 1125456259, 'AN', 'Netherlands Antilles'),
(30166, '67.21.25.132', '67.21.25.135', 1125456260, 1125456263, 'ES', 'Spain'),
(30167, '67.21.25.136', '67.21.26.23', 1125456264, 1125456407, 'US', 'United States'),
(30168, '67.21.26.24', '67.21.26.27', 1125456408, 1125456411, 'AN', 'Netherlands Antilles'),
(30169, '67.21.26.28', '67.21.26.31', 1125456412, 1125456415, 'US', 'United States'),
(30170, '67.21.26.32', '67.21.26.35', 1125456416, 1125456419, 'AN', 'Netherlands Antilles'),
(30171, '67.21.26.36', '67.21.95.255', 1125456420, 1125474303, 'US', 'United States'),
(30172, '67.21.96.0', '67.21.111.255', 1125474304, 1125478399, 'CA', 'Canada'),
(30173, '67.21.112.0', '67.21.115.31', 1125478400, 1125479199, 'US', 'United States'),
(30174, '67.21.115.32', '67.21.115.95', 1125479200, 1125479263, 'BR', 'Brazil'),
(30175, '67.21.115.96', '67.21.122.255', 1125479264, 1125481215, 'US', 'United States'),
(30176, '67.21.123.0', '67.21.123.255', 1125481216, 1125481471, 'CA', 'Canada'),
(30177, '67.21.124.0', '67.21.169.135', 1125481472, 1125493127, 'US', 'United States'),
(30178, '67.21.169.136', '67.21.169.143', 1125493128, 1125493135, 'CA', 'Canada'),
(30179, '67.21.169.144', '67.21.191.255', 1125493136, 1125498879, 'US', 'United States'),
(30180, '67.21.192.0', '67.21.227.255', 1125498880, 1125508095, 'CA', 'Canada'),
(30181, '67.21.228.0', '67.21.228.255', 1125508096, 1125508351, 'PA', 'Panama'),
(30182, '67.21.229.0', '67.21.251.255', 1125508352, 1125514239, 'CA', 'Canada'),
(30183, '67.21.252.0', '67.21.252.255', 1125514240, 1125514495, 'CY', 'Cyprus'),
(30184, '67.21.253.0', '67.21.253.255', 1125514496, 1125514751, 'US', 'United States'),
(30185, '67.21.254.0', '67.21.255.255', 1125514752, 1125515263, 'CA', 'Canada'),
(30186, '67.22.0.0', '67.22.49.255', 1125515264, 1125528063, 'US', 'United States'),
(30187, '67.22.50.0', '67.22.50.255', 1125528064, 1125528319, 'GB', 'United Kingdom'),
(30188, '67.22.51.0', '67.22.63.255', 1125528320, 1125531647, 'US', 'United States'),
(30189, '67.22.64.0', '67.22.96.63', 1125531648, 1125539903, 'CA', 'Canada'),
(30190, '67.22.96.64', '67.22.96.95', 1125539904, 1125539935, 'US', 'United States'),
(30191, '67.22.96.96', '67.22.97.55', 1125539936, 1125540151, 'CA', 'Canada'),
(30192, '67.22.97.56', '67.22.97.63', 1125540152, 1125540159, 'GB', 'United Kingdom'),
(30193, '67.22.97.64', '67.22.97.111', 1125540160, 1125540207, 'CA', 'Canada'),
(30194, '67.22.97.112', '67.22.97.127', 1125540208, 1125540223, 'US', 'United States'),
(30195, '67.22.97.128', '67.22.98.127', 1125540224, 1125540479, 'CA', 'Canada'),
(30196, '67.22.98.128', '67.22.98.143', 1125540480, 1125540495, 'US', 'United States'),
(30197, '67.22.98.144', '67.22.98.159', 1125540496, 1125540511, 'CA', 'Canada'),
(30198, '67.22.98.160', '67.22.98.175', 1125540512, 1125540527, 'US', 'United States'),
(30199, '67.22.98.176', '67.22.98.191', 1125540528, 1125540543, 'IE', 'Ireland'),
(30200, '67.22.98.192', '67.22.98.223', 1125540544, 1125540575, 'CA', 'Canada'),
(30201, '67.22.98.224', '67.22.98.239', 1125540576, 1125540591, 'US', 'United States'),
(30202, '67.22.98.240', '67.22.99.95', 1125540592, 1125540703, 'CA', 'Canada'),
(30203, '67.22.99.96', '67.22.99.103', 1125540704, 1125540711, 'US', 'United States'),
(30204, '67.22.99.104', '67.22.100.63', 1125540712, 1125540927, 'CA', 'Canada'),
(30205, '67.22.100.64', '67.22.100.95', 1125540928, 1125540959, 'US', 'United States'),
(30206, '67.22.100.96', '67.22.101.31', 1125540960, 1125541151, 'CA', 'Canada'),
(30207, '67.22.101.32', '67.22.101.39', 1125541152, 1125541159, 'CN', 'China'),
(30208, '67.22.101.40', '67.22.101.63', 1125541160, 1125541183, 'CA', 'Canada'),
(30209, '67.22.101.64', '67.22.101.95', 1125541184, 1125541215, 'KY', 'Cayman Islands'),
(30210, '67.22.101.96', '67.22.101.103', 1125541216, 1125541223, 'CA', 'Canada'),
(30211, '67.22.101.104', '67.22.101.111', 1125541224, 1125541231, 'US', 'United States'),
(30212, '67.22.101.112', '67.22.101.127', 1125541232, 1125541247, 'CA', 'Canada'),
(30213, '67.22.101.128', '67.22.101.159', 1125541248, 1125541279, 'US', 'United States'),
(30214, '67.22.101.160', '67.22.102.15', 1125541280, 1125541391, 'CA', 'Canada'),
(30215, '67.22.102.16', '67.22.102.31', 1125541392, 1125541407, 'US', 'United States'),
(30216, '67.22.102.32', '67.22.102.111', 1125541408, 1125541487, 'CA', 'Canada'),
(30217, '67.22.102.112', '67.22.102.127', 1125541488, 1125541503, 'US', 'United States'),
(30218, '67.22.102.128', '67.22.102.167', 1125541504, 1125541543, 'CA', 'Canada'),
(30219, '67.22.102.168', '67.22.102.175', 1125541544, 1125541551, 'CN', 'China'),
(30220, '67.22.102.176', '67.22.103.175', 1125541552, 1125541807, 'CA', 'Canada'),
(30221, '67.22.103.176', '67.22.103.183', 1125541808, 1125541815, 'US', 'United States'),
(30222, '67.22.103.184', '67.22.104.63', 1125541816, 1125541951, 'CA', 'Canada'),
(30223, '67.22.104.64', '67.22.104.71', 1125541952, 1125541959, 'BM', 'Bermuda'),
(30224, '67.22.104.72', '67.22.104.255', 1125541960, 1125542143, 'CA', 'Canada'),
(30225, '67.22.105.0', '67.22.105.15', 1125542144, 1125542159, 'US', 'United States'),
(30226, '67.22.105.16', '67.22.105.31', 1125542160, 1125542175, 'CA', 'Canada'),
(30227, '67.22.105.32', '67.22.105.55', 1125542176, 1125542199, 'US', 'United States'),
(30228, '67.22.105.56', '67.22.105.95', 1125542200, 1125542239, 'CA', 'Canada'),
(30229, '67.22.105.96', '67.22.105.111', 1125542240, 1125542255, 'FR', 'France'),
(30230, '67.22.105.112', '67.22.105.207', 1125542256, 1125542351, 'CA', 'Canada'),
(30231, '67.22.105.208', '67.22.105.223', 1125542352, 1125542367, 'US', 'United States'),
(30232, '67.22.105.224', '67.22.111.7', 1125542368, 1125543687, 'CA', 'Canada'),
(30233, '67.22.111.8', '67.22.111.15', 1125543688, 1125543695, 'US', 'United States'),
(30234, '67.22.111.16', '67.22.111.207', 1125543696, 1125543887, 'CA', 'Canada'),
(30235, '67.22.111.208', '67.22.111.223', 1125543888, 1125543903, 'US', 'United States'),
(30236, '67.22.111.224', '67.22.111.239', 1125543904, 1125543919, 'CA', 'Canada'),
(30237, '67.22.111.240', '67.22.119.255', 1125543920, 1125545983, 'US', 'United States'),
(30238, '67.22.128.0', '67.22.129.3', 1125548032, 1125548291, 'CA', 'Canada'),
(30239, '67.22.129.4', '67.22.129.63', 1125548292, 1125548351, 'US', 'United States'),
(30240, '67.22.129.64', '67.22.135.255', 1125548352, 1125550079, 'CA', 'Canada'),
(30241, '67.22.136.0', '67.22.136.255', 1125550080, 1125550335, 'US', 'United States'),
(30242, '67.22.137.0', '67.22.143.255', 1125550336, 1125552127, 'CA', 'Canada'),
(30243, '67.22.144.0', '67.22.223.255', 1125552128, 1125572607, 'US', 'United States'),
(30244, '67.22.224.0', '67.22.239.255', 1125572608, 1125576703, 'CA', 'Canada'),
(30245, '67.22.240.0', '67.23.49.27', 1125576704, 1125593371, 'US', 'United States'),
(30246, '67.23.49.28', '67.23.49.31', 1125593372, 1125593375, 'GB', 'United Kingdom'),
(30247, '67.23.49.32', '67.23.49.159', 1125593376, 1125593503, 'US', 'United States'),
(30248, '67.23.49.160', '67.23.49.255', 1125593504, 1125593599, 'CA', 'Canada'),
(30249, '67.23.50.0', '67.23.58.47', 1125593600, 1125595695, 'US', 'United States'),
(30250, '67.23.58.48', '67.23.58.63', 1125595696, 1125595711, 'NG', 'Nigeria'),
(30251, '67.23.58.64', '67.23.60.183', 1125595712, 1125596343, 'US', 'United States'),
(30252, '67.23.60.184', '67.23.60.191', 1125596344, 1125596351, 'NO', 'Norway'),
(30253, '67.23.60.192', '67.23.61.63', 1125596352, 1125596479, 'US', 'United States'),
(30254, '67.23.61.64', '67.23.61.87', 1125596480, 1125596503, 'GB', 'United Kingdom'),
(30255, '67.23.61.88', '67.23.62.15', 1125596504, 1125596687, 'US', 'United States'),
(30256, '67.23.62.16', '67.23.62.23', 1125596688, 1125596695, 'VE', 'Venezuela'),
(30257, '67.23.62.24', '67.23.127.255', 1125596696, 1125613567, 'US', 'United States'),
(30258, '67.23.128.0', '67.23.143.255', 1125613568, 1125617663, 'CA', 'Canada'),
(30259, '67.23.144.0', '67.23.165.255', 1125617664, 1125623295, 'US', 'United States'),
(30260, '67.23.166.0', '67.23.166.255', 1125623296, 1125623551, 'IN', 'India'),
(30261, '67.23.167.0', '67.23.167.255', 1125623552, 1125623807, 'US', 'United States'),
(30262, '67.23.168.0', '67.23.168.255', 1125623808, 1125624063, 'A1', 'Anonymous Proxy'),
(30263, '67.23.169.0', '67.23.176.255', 1125624064, 1125626111, 'US', 'United States'),
(30264, '67.23.177.0', '67.23.177.255', 1125626112, 1125626367, 'A1', 'Anonymous Proxy'),
(30265, '67.23.178.0', '67.23.186.255', 1125626368, 1125628671, 'US', 'United States'),
(30266, '67.23.187.0', '67.23.187.31', 1125628672, 1125628703, 'NZ', 'New Zealand'),
(30267, '67.23.187.32', '67.23.238.62', 1125628704, 1125641790, 'US', 'United States'),
(30268, '67.23.238.63', '67.23.238.64', 1125641791, 1125641792, 'CA', 'Canada'),
(30269, '67.23.238.65', '67.23.239.201', 1125641793, 1125642185, 'US', 'United States'),
(30270, '67.23.239.202', '67.23.239.205', 1125642186, 1125642189, 'CA', 'Canada'),
(30271, '67.23.239.206', '67.23.240.61', 1125642190, 1125642301, 'US', 'United States'),
(30272, '67.23.240.62', '67.23.240.63', 1125642302, 1125642303, 'IN', 'India'),
(30273, '67.23.240.64', '67.23.241.178', 1125642304, 1125642674, 'US', 'United States'),
(30274, '67.23.241.179', '67.23.241.198', 1125642675, 1125642694, 'BO', 'Bolivia'),
(30275, '67.23.241.199', '67.23.243.175', 1125642695, 1125643183, 'US', 'United States'),
(30276, '67.23.243.176', '67.23.243.179', 1125643184, 1125643187, 'BR', 'Brazil'),
(30277, '67.23.243.180', '67.23.249.226', 1125643188, 1125644770, 'US', 'United States'),
(30278, '67.23.249.227', '67.23.249.227', 1125644771, 1125644771, 'PK', 'Pakistan'),
(30279, '67.23.249.228', '67.23.252.137', 1125644772, 1125645449, 'US', 'United States'),
(30280, '67.23.252.138', '67.23.252.141', 1125645450, 1125645453, 'CA', 'Canada'),
(30281, '67.23.252.142', '67.43.127.255', 1125645454, 1126924287, 'US', 'United States'),
(30282, '67.43.128.0', '67.43.143.255', 1126924288, 1126928383, 'CA', 'Canada'),
(30283, '67.43.144.0', '67.43.144.255', 1126928384, 1126928639, 'A1', 'Anonymous Proxy'),
(30284, '67.43.145.0', '67.43.155.255', 1126928640, 1126931455, 'US', 'United States'),
(30285, '67.43.156.0', '67.43.156.255', 1126931456, 1126931711, 'A1', 'Anonymous Proxy'),
(30286, '67.43.157.0', '67.43.223.255', 1126931712, 1126948863, 'US', 'United States'),
(30287, '67.43.224.0', '67.43.225.255', 1126948864, 1126949375, 'CA', 'Canada'),
(30288, '67.43.226.0', '67.43.226.127', 1126949376, 1126949503, 'GB', 'United Kingdom'),
(30289, '67.43.226.128', '67.43.226.183', 1126949504, 1126949559, 'CA', 'Canada'),
(30290, '67.43.226.184', '67.43.226.191', 1126949560, 1126949567, 'BZ', 'Belize'),
(30291, '67.43.226.192', '67.43.226.207', 1126949568, 1126949583, 'CA', 'Canada'),
(30292, '67.43.226.208', '67.43.226.215', 1126949584, 1126949591, 'LB', 'Lebanon'),
(30293, '67.43.226.216', '67.43.226.231', 1126949592, 1126949607, 'CA', 'Canada'),
(30294, '67.43.226.232', '67.43.226.239', 1126949608, 1126949615, 'CN', 'China'),
(30295, '67.43.226.240', '67.43.226.255', 1126949616, 1126949631, 'LB', 'Lebanon'),
(30296, '67.43.227.0', '67.43.227.63', 1126949632, 1126949695, 'CA', 'Canada'),
(30297, '67.43.227.64', '67.43.227.127', 1126949696, 1126949759, 'PK', 'Pakistan'),
(30298, '67.43.227.128', '67.43.229.47', 1126949760, 1126950191, 'CA', 'Canada'),
(30299, '67.43.229.48', '67.43.229.55', 1126950192, 1126950199, 'ES', 'Spain'),
(30300, '67.43.229.56', '67.43.229.63', 1126950200, 1126950207, 'HR', 'Croatia'),
(30301, '67.43.229.64', '67.43.230.15', 1126950208, 1126950415, 'CA', 'Canada'),
(30302, '67.43.230.16', '67.43.230.23', 1126950416, 1126950423, 'PK', 'Pakistan'),
(30303, '67.43.230.24', '67.43.230.63', 1126950424, 1126950463, 'CA', 'Canada'),
(30304, '67.43.230.64', '67.43.230.95', 1126950464, 1126950495, 'IT', 'Italy'),
(30305, '67.43.230.96', '67.43.230.199', 1126950496, 1126950599, 'CA', 'Canada'),
(30306, '67.43.230.200', '67.43.230.207', 1126950600, 1126950607, 'CN', 'China'),
(30307, '67.43.230.208', '67.43.230.223', 1126950608, 1126950623, 'CA', 'Canada'),
(30308, '67.43.230.224', '67.43.230.255', 1126950624, 1126950655, 'FR', 'France'),
(30309, '67.43.231.0', '67.43.231.127', 1126950656, 1126950783, 'CA', 'Canada'),
(30310, '67.43.231.128', '67.43.231.191', 1126950784, 1126950847, 'MY', 'Malaysia'),
(30311, '67.43.231.192', '67.43.235.95', 1126950848, 1126951775, 'CA', 'Canada'),
(30312, '67.43.235.96', '67.43.235.103', 1126951776, 1126951783, 'PH', 'Philippines'),
(30313, '67.43.235.104', '67.43.236.31', 1126951784, 1126951967, 'CA', 'Canada'),
(30314, '67.43.236.32', '67.43.236.39', 1126951968, 1126951975, 'KP', 'Korea, Democratic People''s Republic of'),
(30315, '67.43.236.40', '67.43.236.63', 1126951976, 1126951999, 'CA', 'Canada'),
(30316, '67.43.236.64', '67.43.236.71', 1126952000, 1126952007, 'LB', 'Lebanon'),
(30317, '67.43.236.72', '67.43.236.79', 1126952008, 1126952015, 'CA', 'Canada'),
(30318, '67.43.236.80', '67.43.236.87', 1126952016, 1126952023, 'LB', 'Lebanon'),
(30319, '67.43.236.88', '67.43.236.95', 1126952024, 1126952031, 'CA', 'Canada'),
(30320, '67.43.236.96', '67.43.236.103', 1126952032, 1126952039, 'LB', 'Lebanon'),
(30321, '67.43.236.104', '67.43.237.71', 1126952040, 1126952263, 'CA', 'Canada'),
(30322, '67.43.237.72', '67.43.237.79', 1126952264, 1126952271, 'PH', 'Philippines'),
(30323, '67.43.237.80', '67.43.238.111', 1126952272, 1126952559, 'CA', 'Canada'),
(30324, '67.43.238.112', '67.43.238.119', 1126952560, 1126952567, 'TH', 'Thailand'),
(30325, '67.43.238.120', '67.43.239.191', 1126952568, 1126952895, 'CA', 'Canada'),
(30326, '67.43.239.192', '67.43.239.255', 1126952896, 1126952959, 'CY', 'Cyprus'),
(30327, '67.43.240.0', '67.54.255.255', 1126952960, 1127677951, 'US', 'United States'),
(30328, '67.55.0.0', '67.55.63.255', 1127677952, 1127694335, 'CA', 'Canada'),
(30329, '67.55.64.0', '67.55.115.75', 1127694336, 1127707467, 'US', 'United States'),
(30330, '67.55.115.76', '67.55.115.76', 1127707468, 1127707468, 'A1', 'Anonymous Proxy'),
(30331, '67.55.115.77', '67.58.191.255', 1127707469, 1127923711, 'US', 'United States'),
(30332, '67.58.192.0', '67.58.223.255', 1127923712, 1127931903, 'CA', 'Canada'),
(30333, '67.58.224.0', '67.59.140.255', 1127931904, 1127976191, 'US', 'United States'),
(30334, '67.59.141.0', '67.59.141.31', 1127976192, 1127976223, 'IL', 'Israel'),
(30335, '67.59.141.32', '67.59.152.103', 1127976224, 1127979111, 'US', 'United States'),
(30336, '67.59.152.104', '67.59.152.111', 1127979112, 1127979119, 'CA', 'Canada'),
(30337, '67.59.152.112', '67.59.179.167', 1127979120, 1127986087, 'US', 'United States'),
(30338, '67.59.179.168', '67.59.179.175', 1127986088, 1127986095, 'RO', 'Romania'),
(30339, '67.59.179.176', '67.59.182.247', 1127986096, 1127986935, 'US', 'United States'),
(30340, '67.59.182.248', '67.59.182.255', 1127986936, 1127986943, 'IN', 'India'),
(30341, '67.59.183.0', '67.59.189.71', 1127986944, 1127988551, 'US', 'United States'),
(30342, '67.59.189.72', '67.59.189.79', 1127988552, 1127988559, 'AU', 'Australia'),
(30343, '67.59.189.80', '67.59.189.207', 1127988560, 1127988687, 'US', 'United States'),
(30344, '67.59.189.208', '67.59.189.215', 1127988688, 1127988695, 'IL', 'Israel'),
(30345, '67.59.189.216', '67.67.255.255', 1127988696, 1128529919, 'US', 'United States'),
(30346, '67.68.0.0', '67.69.150.143', 1128529920, 1128633999, 'CA', 'Canada'),
(30347, '67.69.150.144', '67.69.150.159', 1128634000, 1128634015, 'US', 'United States'),
(30348, '67.69.150.160', '67.69.177.255', 1128634016, 1128641023, 'CA', 'Canada'),
(30349, '67.69.178.0', '67.69.179.255', 1128641024, 1128641535, 'US', 'United States'),
(30350, '67.69.180.0', '67.71.255.255', 1128641536, 1128792063, 'CA', 'Canada'),
(30351, '67.72.0.0', '67.72.103.255', 1128792064, 1128818687, 'US', 'United States'),
(30352, '67.72.104.0', '67.72.104.31', 1128818688, 1128818719, 'CA', 'Canada'),
(30353, '67.72.104.32', '67.129.214.63', 1128818720, 1132582463, 'US', 'United States'),
(30354, '67.129.214.64', '67.129.214.79', 1132582464, 1132582479, 'CA', 'Canada'),
(30355, '67.129.214.80', '67.131.154.7', 1132582480, 1132698119, 'US', 'United States'),
(30356, '67.131.154.8', '67.131.154.15', 1132698120, 1132698127, 'CA', 'Canada'),
(30357, '67.131.154.16', '67.131.214.135', 1132698128, 1132713607, 'US', 'United States'),
(30358, '67.131.214.136', '67.131.214.143', 1132713608, 1132713615, 'CA', 'Canada'),
(30359, '67.131.214.144', '67.132.157.7', 1132713616, 1132764423, 'US', 'United States'),
(30360, '67.132.157.8', '67.132.157.15', 1132764424, 1132764431, 'MX', 'Mexico'),
(30361, '67.132.157.16', '67.134.214.31', 1132764432, 1132910111, 'US', 'United States'),
(30362, '67.134.214.32', '67.134.214.63', 1132910112, 1132910143, 'AU', 'Australia'),
(30363, '67.134.214.64', '67.135.103.231', 1132910144, 1132947431, 'US', 'United States'),
(30364, '67.135.103.232', '67.135.103.239', 1132947432, 1132947439, 'CA', 'Canada'),
(30365, '67.135.103.240', '67.135.130.207', 1132947440, 1132954319, 'US', 'United States'),
(30366, '67.135.130.208', '67.135.130.223', 1132954320, 1132954335, 'IS', 'Iceland'),
(30367, '67.135.130.224', '67.143.62.255', 1132954336, 1133461247, 'US', 'United States'),
(30368, '67.143.63.0', '67.143.63.255', 1133461248, 1133461503, 'CA', 'Canada'),
(30369, '67.143.64.0', '67.148.49.31', 1133461504, 1133785375, 'US', 'United States'),
(30370, '67.148.49.32', '67.148.49.39', 1133785376, 1133785383, 'NE', 'Niger'),
(30371, '67.148.49.40', '67.148.49.47', 1133785384, 1133785391, 'US', 'United States'),
(30372, '67.148.49.48', '67.148.49.63', 1133785392, 1133785407, 'GB', 'United Kingdom'),
(30373, '67.148.49.64', '67.148.49.127', 1133785408, 1133785471, 'US', 'United States'),
(30374, '67.148.49.128', '67.148.49.159', 1133785472, 1133785503, 'GB', 'United Kingdom'),
(30375, '67.148.49.160', '67.148.49.223', 1133785504, 1133785567, 'US', 'United States'),
(30376, '67.148.49.224', '67.148.49.255', 1133785568, 1133785599, 'BE', 'Belgium'),
(30377, '67.148.50.0', '67.151.233.255', 1133785600, 1134029311, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(30378, '67.151.234.0', '67.151.234.255', 1134029312, 1134029567, 'A2', 'Satellite Provider'),
(30379, '67.151.235.0', '67.158.47.255', 1134029568, 1134440447, 'US', 'United States'),
(30380, '67.158.48.0', '67.158.60.0', 1134440448, 1134443520, 'CN', 'China'),
(30381, '67.158.60.1', '67.158.63.255', 1134443521, 1134444543, 'US', 'United States'),
(30382, '67.158.64.0', '67.158.79.255', 1134444544, 1134448639, 'CA', 'Canada'),
(30383, '67.158.80.0', '67.159.2.153', 1134448640, 1134494361, 'US', 'United States'),
(30384, '67.159.2.154', '67.159.2.154', 1134494362, 1134494362, 'A1', 'Anonymous Proxy'),
(30385, '67.159.2.155', '67.159.3.225', 1134494363, 1134494689, 'US', 'United States'),
(30386, '67.159.3.226', '67.159.3.226', 1134494690, 1134494690, 'A1', 'Anonymous Proxy'),
(30387, '67.159.3.227', '67.159.9.41', 1134494691, 1134496041, 'US', 'United States'),
(30388, '67.159.9.42', '67.159.9.42', 1134496042, 1134496042, 'A1', 'Anonymous Proxy'),
(30389, '67.159.9.43', '67.159.23.75', 1134496043, 1134499659, 'US', 'United States'),
(30390, '67.159.23.76', '67.159.23.76', 1134499660, 1134499660, 'A1', 'Anonymous Proxy'),
(30391, '67.159.23.77', '67.159.33.210', 1134499661, 1134502354, 'US', 'United States'),
(30392, '67.159.33.211', '67.159.33.211', 1134502355, 1134502355, 'A1', 'Anonymous Proxy'),
(30393, '67.159.33.212', '67.159.46.193', 1134502356, 1134505665, 'US', 'United States'),
(30394, '67.159.46.194', '67.159.46.194', 1134505666, 1134505666, 'A1', 'Anonymous Proxy'),
(30395, '67.159.46.195', '67.159.47.139', 1134505667, 1134505867, 'US', 'United States'),
(30396, '67.159.47.140', '67.159.47.140', 1134505868, 1134505868, 'A1', 'Anonymous Proxy'),
(30397, '67.159.47.141', '67.159.47.203', 1134505869, 1134505931, 'US', 'United States'),
(30398, '67.159.47.204', '67.159.47.206', 1134505932, 1134505934, 'A1', 'Anonymous Proxy'),
(30399, '67.159.47.207', '67.159.50.132', 1134505935, 1134506628, 'US', 'United States'),
(30400, '67.159.50.133', '67.159.50.133', 1134506629, 1134506629, 'A1', 'Anonymous Proxy'),
(30401, '67.159.50.134', '67.159.51.155', 1134506630, 1134506907, 'US', 'United States'),
(30402, '67.159.51.156', '67.159.51.158', 1134506908, 1134506910, 'A1', 'Anonymous Proxy'),
(30403, '67.159.51.159', '67.159.56.235', 1134506911, 1134508267, 'US', 'United States'),
(30404, '67.159.56.236', '67.159.56.236', 1134508268, 1134508268, 'A1', 'Anonymous Proxy'),
(30405, '67.159.56.237', '67.159.203.255', 1134508269, 1134545919, 'US', 'United States'),
(30406, '67.159.204.0', '67.159.204.31', 1134545920, 1134545951, 'BH', 'Bahrain'),
(30407, '67.159.204.32', '67.159.204.255', 1134545952, 1134546175, 'US', 'United States'),
(30408, '67.159.205.0', '67.159.205.31', 1134546176, 1134546207, 'BH', 'Bahrain'),
(30409, '67.159.205.32', '67.159.207.255', 1134546208, 1134546943, 'US', 'United States'),
(30410, '67.159.208.0', '67.159.223.255', 1134546944, 1134551039, 'CA', 'Canada'),
(30411, '67.159.224.0', '67.163.15.46', 1134551040, 1134759726, 'US', 'United States'),
(30412, '67.163.15.47', '67.163.15.47', 1134759727, 1134759727, 'A1', 'Anonymous Proxy'),
(30413, '67.163.15.48', '67.189.223.143', 1134759728, 1136517007, 'US', 'United States'),
(30414, '67.189.223.144', '67.189.223.159', 1136517008, 1136517023, 'GB', 'United Kingdom'),
(30415, '67.189.223.160', '67.189.223.175', 1136517024, 1136517039, 'US', 'United States'),
(30416, '67.189.223.176', '67.189.223.191', 1136517040, 1136517055, 'GB', 'United Kingdom'),
(30417, '67.189.223.192', '67.192.0.119', 1136517056, 1136656503, 'US', 'United States'),
(30418, '67.192.0.120', '67.192.0.127', 1136656504, 1136656511, 'CA', 'Canada'),
(30419, '67.192.0.128', '67.192.0.199', 1136656512, 1136656583, 'US', 'United States'),
(30420, '67.192.0.200', '67.192.0.207', 1136656584, 1136656591, 'GB', 'United Kingdom'),
(30421, '67.192.0.208', '67.192.0.231', 1136656592, 1136656615, 'US', 'United States'),
(30422, '67.192.0.232', '67.192.0.247', 1136656616, 1136656631, 'AU', 'Australia'),
(30423, '67.192.0.248', '67.192.1.223', 1136656632, 1136656863, 'US', 'United States'),
(30424, '67.192.1.224', '67.192.1.255', 1136656864, 1136656895, 'CA', 'Canada'),
(30425, '67.192.2.0', '67.192.2.143', 1136656896, 1136657039, 'US', 'United States'),
(30426, '67.192.2.144', '67.192.2.151', 1136657040, 1136657047, 'CA', 'Canada'),
(30427, '67.192.2.152', '67.192.4.207', 1136657048, 1136657615, 'US', 'United States'),
(30428, '67.192.4.208', '67.192.4.215', 1136657616, 1136657623, 'GB', 'United Kingdom'),
(30429, '67.192.4.216', '67.192.5.111', 1136657624, 1136657775, 'US', 'United States'),
(30430, '67.192.5.112', '67.192.5.119', 1136657776, 1136657783, 'CA', 'Canada'),
(30431, '67.192.5.120', '67.192.5.151', 1136657784, 1136657815, 'US', 'United States'),
(30432, '67.192.5.152', '67.192.5.159', 1136657816, 1136657823, 'CA', 'Canada'),
(30433, '67.192.5.160', '67.192.5.207', 1136657824, 1136657871, 'US', 'United States'),
(30434, '67.192.5.208', '67.192.5.223', 1136657872, 1136657887, 'GT', 'Guatemala'),
(30435, '67.192.5.224', '67.192.5.247', 1136657888, 1136657911, 'US', 'United States'),
(30436, '67.192.5.248', '67.192.5.255', 1136657912, 1136657919, 'CA', 'Canada'),
(30437, '67.192.6.0', '67.192.6.167', 1136657920, 1136658087, 'US', 'United States'),
(30438, '67.192.6.168', '67.192.6.175', 1136658088, 1136658095, 'CN', 'China'),
(30439, '67.192.6.176', '67.192.6.191', 1136658096, 1136658111, 'MX', 'Mexico'),
(30440, '67.192.6.192', '67.192.6.199', 1136658112, 1136658119, 'US', 'United States'),
(30441, '67.192.6.200', '67.192.6.207', 1136658120, 1136658127, 'JP', 'Japan'),
(30442, '67.192.6.208', '67.192.6.215', 1136658128, 1136658135, 'US', 'United States'),
(30443, '67.192.6.216', '67.192.6.223', 1136658136, 1136658143, 'AU', 'Australia'),
(30444, '67.192.6.224', '67.192.6.231', 1136658144, 1136658151, 'US', 'United States'),
(30445, '67.192.6.232', '67.192.6.239', 1136658152, 1136658159, 'AU', 'Australia'),
(30446, '67.192.6.240', '67.192.8.7', 1136658160, 1136658439, 'US', 'United States'),
(30447, '67.192.8.8', '67.192.8.15', 1136658440, 1136658447, 'MX', 'Mexico'),
(30448, '67.192.8.16', '67.192.9.23', 1136658448, 1136658711, 'US', 'United States'),
(30449, '67.192.9.24', '67.192.9.31', 1136658712, 1136658719, 'IN', 'India'),
(30450, '67.192.9.32', '67.192.9.39', 1136658720, 1136658727, 'NZ', 'New Zealand'),
(30451, '67.192.9.40', '67.192.10.47', 1136658728, 1136658991, 'US', 'United States'),
(30452, '67.192.10.48', '67.192.10.55', 1136658992, 1136658999, 'AU', 'Australia'),
(30453, '67.192.10.56', '67.192.10.79', 1136659000, 1136659023, 'US', 'United States'),
(30454, '67.192.10.80', '67.192.10.87', 1136659024, 1136659031, 'AU', 'Australia'),
(30455, '67.192.10.88', '67.192.10.95', 1136659032, 1136659039, 'US', 'United States'),
(30456, '67.192.10.96', '67.192.10.103', 1136659040, 1136659047, 'AU', 'Australia'),
(30457, '67.192.10.104', '67.192.12.143', 1136659048, 1136659599, 'US', 'United States'),
(30458, '67.192.12.144', '67.192.12.151', 1136659600, 1136659607, 'MX', 'Mexico'),
(30459, '67.192.12.152', '67.192.12.183', 1136659608, 1136659639, 'US', 'United States'),
(30460, '67.192.12.184', '67.192.12.191', 1136659640, 1136659647, 'FR', 'France'),
(30461, '67.192.12.192', '67.192.13.55', 1136659648, 1136659767, 'US', 'United States'),
(30462, '67.192.13.56', '67.192.13.63', 1136659768, 1136659775, 'CA', 'Canada'),
(30463, '67.192.13.64', '67.192.13.215', 1136659776, 1136659927, 'US', 'United States'),
(30464, '67.192.13.216', '67.192.13.223', 1136659928, 1136659935, 'CA', 'Canada'),
(30465, '67.192.13.224', '67.192.13.255', 1136659936, 1136659967, 'US', 'United States'),
(30466, '67.192.14.0', '67.192.14.7', 1136659968, 1136659975, 'CA', 'Canada'),
(30467, '67.192.14.8', '67.192.14.79', 1136659976, 1136660047, 'US', 'United States'),
(30468, '67.192.14.80', '67.192.14.87', 1136660048, 1136660055, 'GB', 'United Kingdom'),
(30469, '67.192.14.88', '67.192.14.255', 1136660056, 1136660223, 'US', 'United States'),
(30470, '67.192.15.0', '67.192.15.7', 1136660224, 1136660231, 'CA', 'Canada'),
(30471, '67.192.15.8', '67.192.15.15', 1136660232, 1136660239, 'US', 'United States'),
(30472, '67.192.15.16', '67.192.15.23', 1136660240, 1136660247, 'GB', 'United Kingdom'),
(30473, '67.192.15.24', '67.192.15.247', 1136660248, 1136660471, 'US', 'United States'),
(30474, '67.192.15.248', '67.192.15.255', 1136660472, 1136660479, 'GB', 'United Kingdom'),
(30475, '67.192.16.0', '67.192.16.7', 1136660480, 1136660487, 'US', 'United States'),
(30476, '67.192.16.8', '67.192.16.15', 1136660488, 1136660495, 'NO', 'Norway'),
(30477, '67.192.16.16', '67.192.16.31', 1136660496, 1136660511, 'US', 'United States'),
(30478, '67.192.16.32', '67.192.16.39', 1136660512, 1136660519, 'HR', 'Croatia'),
(30479, '67.192.16.40', '67.192.17.23', 1136660520, 1136660759, 'US', 'United States'),
(30480, '67.192.17.24', '67.192.17.31', 1136660760, 1136660767, 'CA', 'Canada'),
(30481, '67.192.17.32', '67.192.17.39', 1136660768, 1136660775, 'US', 'United States'),
(30482, '67.192.17.40', '67.192.17.55', 1136660776, 1136660791, 'CA', 'Canada'),
(30483, '67.192.17.56', '67.192.17.87', 1136660792, 1136660823, 'US', 'United States'),
(30484, '67.192.17.88', '67.192.17.103', 1136660824, 1136660839, 'CA', 'Canada'),
(30485, '67.192.17.104', '67.192.17.135', 1136660840, 1136660871, 'US', 'United States'),
(30486, '67.192.17.136', '67.192.17.143', 1136660872, 1136660879, 'AU', 'Australia'),
(30487, '67.192.17.144', '67.192.17.207', 1136660880, 1136660943, 'US', 'United States'),
(30488, '67.192.17.208', '67.192.17.215', 1136660944, 1136660951, 'IN', 'India'),
(30489, '67.192.17.216', '67.192.19.47', 1136660952, 1136661295, 'US', 'United States'),
(30490, '67.192.19.48', '67.192.19.55', 1136661296, 1136661303, 'TW', 'Taiwan'),
(30491, '67.192.19.56', '67.192.19.79', 1136661304, 1136661327, 'US', 'United States'),
(30492, '67.192.19.80', '67.192.19.87', 1136661328, 1136661335, 'IN', 'India'),
(30493, '67.192.19.88', '67.192.19.95', 1136661336, 1136661343, 'US', 'United States'),
(30494, '67.192.19.96', '67.192.19.103', 1136661344, 1136661351, 'CN', 'China'),
(30495, '67.192.19.104', '67.192.19.119', 1136661352, 1136661367, 'US', 'United States'),
(30496, '67.192.19.120', '67.192.19.127', 1136661368, 1136661375, 'IN', 'India'),
(30497, '67.192.19.128', '67.192.19.151', 1136661376, 1136661399, 'US', 'United States'),
(30498, '67.192.19.152', '67.192.19.159', 1136661400, 1136661407, 'MX', 'Mexico'),
(30499, '67.192.19.160', '67.192.20.127', 1136661408, 1136661631, 'US', 'United States'),
(30500, '67.192.20.128', '67.192.20.135', 1136661632, 1136661639, 'IN', 'India'),
(30501, '67.192.20.136', '67.192.20.183', 1136661640, 1136661687, 'US', 'United States'),
(30502, '67.192.20.184', '67.192.20.191', 1136661688, 1136661695, 'GB', 'United Kingdom'),
(30503, '67.192.20.192', '67.192.20.223', 1136661696, 1136661727, 'US', 'United States'),
(30504, '67.192.20.224', '67.192.20.239', 1136661728, 1136661743, 'CA', 'Canada'),
(30505, '67.192.20.240', '67.192.21.159', 1136661744, 1136661919, 'US', 'United States'),
(30506, '67.192.21.160', '67.192.21.191', 1136661920, 1136661951, 'CA', 'Canada'),
(30507, '67.192.21.192', '67.192.22.71', 1136661952, 1136662087, 'US', 'United States'),
(30508, '67.192.22.72', '67.192.22.79', 1136662088, 1136662095, 'CA', 'Canada'),
(30509, '67.192.22.80', '67.192.22.135', 1136662096, 1136662151, 'US', 'United States'),
(30510, '67.192.22.136', '67.192.22.143', 1136662152, 1136662159, 'MX', 'Mexico'),
(30511, '67.192.22.144', '67.192.24.47', 1136662160, 1136662575, 'US', 'United States'),
(30512, '67.192.24.48', '67.192.24.55', 1136662576, 1136662583, 'CA', 'Canada'),
(30513, '67.192.24.56', '67.192.24.135', 1136662584, 1136662663, 'US', 'United States'),
(30514, '67.192.24.136', '67.192.24.143', 1136662664, 1136662671, 'CA', 'Canada'),
(30515, '67.192.24.144', '67.192.25.31', 1136662672, 1136662815, 'US', 'United States'),
(30516, '67.192.25.32', '67.192.25.39', 1136662816, 1136662823, 'IN', 'India'),
(30517, '67.192.25.40', '67.192.25.127', 1136662824, 1136662911, 'US', 'United States'),
(30518, '67.192.25.128', '67.192.25.135', 1136662912, 1136662919, 'IN', 'India'),
(30519, '67.192.25.136', '67.192.26.207', 1136662920, 1136663247, 'US', 'United States'),
(30520, '67.192.26.208', '67.192.26.215', 1136663248, 1136663255, 'CL', 'Chile'),
(30521, '67.192.26.216', '67.192.28.23', 1136663256, 1136663575, 'US', 'United States'),
(30522, '67.192.28.24', '67.192.28.31', 1136663576, 1136663583, 'CN', 'China'),
(30523, '67.192.28.32', '67.192.28.127', 1136663584, 1136663679, 'US', 'United States'),
(30524, '67.192.28.128', '67.192.28.135', 1136663680, 1136663687, 'IN', 'India'),
(30525, '67.192.28.136', '67.192.28.143', 1136663688, 1136663695, 'JP', 'Japan'),
(30526, '67.192.28.144', '67.192.31.223', 1136663696, 1136664543, 'US', 'United States'),
(30527, '67.192.31.224', '67.192.31.231', 1136664544, 1136664551, 'AU', 'Australia'),
(30528, '67.192.31.232', '67.192.32.63', 1136664552, 1136664639, 'US', 'United States'),
(30529, '67.192.32.64', '67.192.32.71', 1136664640, 1136664647, 'CA', 'Canada'),
(30530, '67.192.32.72', '67.192.32.215', 1136664648, 1136664791, 'US', 'United States'),
(30531, '67.192.32.216', '67.192.32.223', 1136664792, 1136664799, 'GB', 'United Kingdom'),
(30532, '67.192.32.224', '67.192.32.239', 1136664800, 1136664815, 'US', 'United States'),
(30533, '67.192.32.240', '67.192.32.247', 1136664816, 1136664823, 'IL', 'Israel'),
(30534, '67.192.32.248', '67.192.33.15', 1136664824, 1136664847, 'US', 'United States'),
(30535, '67.192.33.16', '67.192.33.31', 1136664848, 1136664863, 'CA', 'Canada'),
(30536, '67.192.33.32', '67.192.34.15', 1136664864, 1136665103, 'US', 'United States'),
(30537, '67.192.34.16', '67.192.34.23', 1136665104, 1136665111, 'AU', 'Australia'),
(30538, '67.192.34.24', '67.192.34.47', 1136665112, 1136665135, 'US', 'United States'),
(30539, '67.192.34.48', '67.192.34.55', 1136665136, 1136665143, 'GB', 'United Kingdom'),
(30540, '67.192.34.56', '67.192.36.55', 1136665144, 1136665655, 'US', 'United States'),
(30541, '67.192.36.56', '67.192.36.63', 1136665656, 1136665663, 'IN', 'India'),
(30542, '67.192.36.64', '67.192.36.135', 1136665664, 1136665735, 'US', 'United States'),
(30543, '67.192.36.136', '67.192.36.143', 1136665736, 1136665743, 'GB', 'United Kingdom'),
(30544, '67.192.36.144', '67.192.36.159', 1136665744, 1136665759, 'US', 'United States'),
(30545, '67.192.36.160', '67.192.36.167', 1136665760, 1136665767, 'CA', 'Canada'),
(30546, '67.192.36.168', '67.192.36.231', 1136665768, 1136665831, 'US', 'United States'),
(30547, '67.192.36.232', '67.192.36.239', 1136665832, 1136665839, 'CA', 'Canada'),
(30548, '67.192.36.240', '67.192.37.63', 1136665840, 1136665919, 'US', 'United States'),
(30549, '67.192.37.64', '67.192.37.71', 1136665920, 1136665927, 'DE', 'Germany'),
(30550, '67.192.37.72', '67.192.38.31', 1136665928, 1136666143, 'US', 'United States'),
(30551, '67.192.38.32', '67.192.38.39', 1136666144, 1136666151, 'CA', 'Canada'),
(30552, '67.192.38.40', '67.192.38.111', 1136666152, 1136666223, 'US', 'United States'),
(30553, '67.192.38.112', '67.192.38.119', 1136666224, 1136666231, 'PT', 'Portugal'),
(30554, '67.192.38.120', '67.192.38.239', 1136666232, 1136666351, 'US', 'United States'),
(30555, '67.192.38.240', '67.192.38.247', 1136666352, 1136666359, 'IL', 'Israel'),
(30556, '67.192.38.248', '67.192.39.79', 1136666360, 1136666447, 'US', 'United States'),
(30557, '67.192.39.80', '67.192.39.95', 1136666448, 1136666463, 'GB', 'United Kingdom'),
(30558, '67.192.39.96', '67.192.40.119', 1136666464, 1136666743, 'US', 'United States'),
(30559, '67.192.40.120', '67.192.40.127', 1136666744, 1136666751, 'CA', 'Canada'),
(30560, '67.192.40.128', '67.192.40.167', 1136666752, 1136666791, 'US', 'United States'),
(30561, '67.192.40.168', '67.192.40.175', 1136666792, 1136666799, 'IL', 'Israel'),
(30562, '67.192.40.176', '67.192.40.239', 1136666800, 1136666863, 'US', 'United States'),
(30563, '67.192.40.240', '67.192.40.247', 1136666864, 1136666871, 'GB', 'United Kingdom'),
(30564, '67.192.40.248', '67.192.41.111', 1136666872, 1136666991, 'US', 'United States'),
(30565, '67.192.41.112', '67.192.41.127', 1136666992, 1136667007, 'CA', 'Canada'),
(30566, '67.192.41.128', '67.192.41.207', 1136667008, 1136667087, 'US', 'United States'),
(30567, '67.192.41.208', '67.192.41.223', 1136667088, 1136667103, 'IL', 'Israel'),
(30568, '67.192.41.224', '67.192.43.55', 1136667104, 1136667447, 'US', 'United States'),
(30569, '67.192.43.56', '67.192.43.63', 1136667448, 1136667455, 'GB', 'United Kingdom'),
(30570, '67.192.43.64', '67.192.43.159', 1136667456, 1136667551, 'US', 'United States'),
(30571, '67.192.43.160', '67.192.43.167', 1136667552, 1136667559, 'AU', 'Australia'),
(30572, '67.192.43.168', '67.192.43.207', 1136667560, 1136667599, 'US', 'United States'),
(30573, '67.192.43.208', '67.192.43.223', 1136667600, 1136667615, 'IN', 'India'),
(30574, '67.192.43.224', '67.192.44.7', 1136667616, 1136667655, 'US', 'United States'),
(30575, '67.192.44.8', '67.192.44.15', 1136667656, 1136667663, 'CA', 'Canada'),
(30576, '67.192.44.16', '67.192.44.111', 1136667664, 1136667759, 'US', 'United States'),
(30577, '67.192.44.112', '67.192.44.119', 1136667760, 1136667767, 'KW', 'Kuwait'),
(30578, '67.192.44.120', '67.192.45.119', 1136667768, 1136668023, 'US', 'United States'),
(30579, '67.192.45.120', '67.192.45.127', 1136668024, 1136668031, 'GB', 'United Kingdom'),
(30580, '67.192.45.128', '67.192.45.223', 1136668032, 1136668127, 'US', 'United States'),
(30581, '67.192.45.224', '67.192.45.255', 1136668128, 1136668159, 'AU', 'Australia'),
(30582, '67.192.46.0', '67.192.46.31', 1136668160, 1136668191, 'US', 'United States'),
(30583, '67.192.46.32', '67.192.46.47', 1136668192, 1136668207, 'MX', 'Mexico'),
(30584, '67.192.46.48', '67.192.46.127', 1136668208, 1136668287, 'US', 'United States'),
(30585, '67.192.46.128', '67.192.46.143', 1136668288, 1136668303, 'IN', 'India'),
(30586, '67.192.46.144', '67.192.46.159', 1136668304, 1136668319, 'MX', 'Mexico'),
(30587, '67.192.46.160', '67.192.46.175', 1136668320, 1136668335, 'US', 'United States'),
(30588, '67.192.46.176', '67.192.46.191', 1136668336, 1136668351, 'MX', 'Mexico'),
(30589, '67.192.46.192', '67.192.46.223', 1136668352, 1136668383, 'US', 'United States'),
(30590, '67.192.46.224', '67.192.46.255', 1136668384, 1136668415, 'IN', 'India'),
(30591, '67.192.47.0', '67.192.47.31', 1136668416, 1136668447, 'US', 'United States'),
(30592, '67.192.47.32', '67.192.47.39', 1136668448, 1136668455, 'IN', 'India'),
(30593, '67.192.47.40', '67.192.47.143', 1136668456, 1136668559, 'US', 'United States'),
(30594, '67.192.47.144', '67.192.47.151', 1136668560, 1136668567, 'CA', 'Canada'),
(30595, '67.192.47.152', '67.192.47.255', 1136668568, 1136668671, 'US', 'United States'),
(30596, '67.192.48.0', '67.192.48.7', 1136668672, 1136668679, 'IN', 'India'),
(30597, '67.192.48.8', '67.192.48.215', 1136668680, 1136668887, 'US', 'United States'),
(30598, '67.192.48.216', '67.192.48.223', 1136668888, 1136668895, 'CL', 'Chile'),
(30599, '67.192.48.224', '67.192.49.215', 1136668896, 1136669143, 'US', 'United States'),
(30600, '67.192.49.216', '67.192.49.223', 1136669144, 1136669151, 'IN', 'India'),
(30601, '67.192.49.224', '67.192.50.79', 1136669152, 1136669263, 'US', 'United States'),
(30602, '67.192.50.80', '67.192.50.95', 1136669264, 1136669279, 'GB', 'United Kingdom'),
(30603, '67.192.50.96', '67.192.50.159', 1136669280, 1136669343, 'US', 'United States'),
(30604, '67.192.50.160', '67.192.50.175', 1136669344, 1136669359, 'CO', 'Colombia'),
(30605, '67.192.50.176', '67.192.51.47', 1136669360, 1136669487, 'US', 'United States'),
(30606, '67.192.51.48', '67.192.51.55', 1136669488, 1136669495, 'CA', 'Canada'),
(30607, '67.192.51.56', '67.192.51.71', 1136669496, 1136669511, 'US', 'United States'),
(30608, '67.192.51.72', '67.192.51.79', 1136669512, 1136669519, 'CA', 'Canada'),
(30609, '67.192.51.80', '67.192.51.127', 1136669520, 1136669567, 'US', 'United States'),
(30610, '67.192.51.128', '67.192.51.135', 1136669568, 1136669575, 'CA', 'Canada'),
(30611, '67.192.51.136', '67.192.51.143', 1136669576, 1136669583, 'MX', 'Mexico'),
(30612, '67.192.51.144', '67.192.52.79', 1136669584, 1136669775, 'US', 'United States'),
(30613, '67.192.52.80', '67.192.52.87', 1136669776, 1136669783, 'NL', 'Netherlands'),
(30614, '67.192.52.88', '67.192.52.215', 1136669784, 1136669911, 'US', 'United States'),
(30615, '67.192.52.216', '67.192.52.223', 1136669912, 1136669919, 'ES', 'Spain'),
(30616, '67.192.52.224', '67.192.53.111', 1136669920, 1136670063, 'US', 'United States'),
(30617, '67.192.53.112', '67.192.53.119', 1136670064, 1136670071, 'SG', 'Singapore'),
(30618, '67.192.53.120', '67.192.53.199', 1136670072, 1136670151, 'US', 'United States'),
(30619, '67.192.53.200', '67.192.53.207', 1136670152, 1136670159, 'SG', 'Singapore'),
(30620, '67.192.53.208', '67.192.55.255', 1136670160, 1136670719, 'US', 'United States'),
(30621, '67.192.56.0', '67.192.56.255', 1136670720, 1136670975, 'GB', 'United Kingdom'),
(30622, '67.192.57.0', '67.192.64.231', 1136670976, 1136672999, 'US', 'United States'),
(30623, '67.192.64.232', '67.192.64.239', 1136673000, 1136673007, 'CA', 'Canada'),
(30624, '67.192.64.240', '67.192.65.15', 1136673008, 1136673039, 'US', 'United States'),
(30625, '67.192.65.16', '67.192.65.23', 1136673040, 1136673047, 'IN', 'India'),
(30626, '67.192.65.24', '67.192.65.207', 1136673048, 1136673231, 'US', 'United States'),
(30627, '67.192.65.208', '67.192.65.215', 1136673232, 1136673239, 'GB', 'United Kingdom'),
(30628, '67.192.65.216', '67.192.65.255', 1136673240, 1136673279, 'US', 'United States'),
(30629, '67.192.66.0', '67.192.66.7', 1136673280, 1136673287, 'CA', 'Canada'),
(30630, '67.192.66.8', '67.192.66.47', 1136673288, 1136673327, 'US', 'United States'),
(30631, '67.192.66.48', '67.192.66.55', 1136673328, 1136673335, 'CA', 'Canada'),
(30632, '67.192.66.56', '67.192.66.143', 1136673336, 1136673423, 'US', 'United States'),
(30633, '67.192.66.144', '67.192.66.151', 1136673424, 1136673431, 'CA', 'Canada'),
(30634, '67.192.66.152', '67.192.67.23', 1136673432, 1136673559, 'US', 'United States'),
(30635, '67.192.67.24', '67.192.67.31', 1136673560, 1136673567, 'VE', 'Venezuela'),
(30636, '67.192.67.32', '67.192.67.167', 1136673568, 1136673703, 'US', 'United States'),
(30637, '67.192.67.168', '67.192.67.175', 1136673704, 1136673711, 'MX', 'Mexico'),
(30638, '67.192.67.176', '67.192.68.63', 1136673712, 1136673855, 'US', 'United States'),
(30639, '67.192.68.64', '67.192.68.71', 1136673856, 1136673863, 'CA', 'Canada'),
(30640, '67.192.68.72', '67.192.68.111', 1136673864, 1136673903, 'US', 'United States'),
(30641, '67.192.68.112', '67.192.68.127', 1136673904, 1136673919, 'CA', 'Canada'),
(30642, '67.192.68.128', '67.192.68.135', 1136673920, 1136673927, 'GB', 'United Kingdom'),
(30643, '67.192.68.136', '67.192.69.31', 1136673928, 1136674079, 'US', 'United States'),
(30644, '67.192.69.32', '67.192.69.47', 1136674080, 1136674095, 'AU', 'Australia'),
(30645, '67.192.69.48', '67.192.70.143', 1136674096, 1136674447, 'US', 'United States'),
(30646, '67.192.70.144', '67.192.70.159', 1136674448, 1136674463, 'AU', 'Australia'),
(30647, '67.192.70.160', '67.192.71.23', 1136674464, 1136674583, 'US', 'United States'),
(30648, '67.192.71.24', '67.192.71.31', 1136674584, 1136674591, 'CA', 'Canada'),
(30649, '67.192.71.32', '67.192.71.47', 1136674592, 1136674607, 'MX', 'Mexico'),
(30650, '67.192.71.48', '67.192.71.247', 1136674608, 1136674807, 'US', 'United States'),
(30651, '67.192.71.248', '67.192.71.255', 1136674808, 1136674815, 'GB', 'United Kingdom'),
(30652, '67.192.72.0', '67.192.72.47', 1136674816, 1136674863, 'US', 'United States'),
(30653, '67.192.72.48', '67.192.72.55', 1136674864, 1136674871, 'IN', 'India'),
(30654, '67.192.72.56', '67.192.72.79', 1136674872, 1136674895, 'US', 'United States'),
(30655, '67.192.72.80', '67.192.72.87', 1136674896, 1136674903, 'IL', 'Israel'),
(30656, '67.192.72.88', '67.192.72.95', 1136674904, 1136674911, 'GB', 'United Kingdom'),
(30657, '67.192.72.96', '67.192.72.151', 1136674912, 1136674967, 'US', 'United States'),
(30658, '67.192.72.152', '67.192.72.159', 1136674968, 1136674975, 'CA', 'Canada'),
(30659, '67.192.72.160', '67.192.72.191', 1136674976, 1136675007, 'US', 'United States'),
(30660, '67.192.72.192', '67.192.72.199', 1136675008, 1136675015, 'AU', 'Australia'),
(30661, '67.192.72.200', '67.192.72.207', 1136675016, 1136675023, 'CL', 'Chile'),
(30662, '67.192.72.208', '67.192.72.239', 1136675024, 1136675055, 'US', 'United States'),
(30663, '67.192.72.240', '67.192.72.247', 1136675056, 1136675063, 'ES', 'Spain'),
(30664, '67.192.72.248', '67.192.73.239', 1136675064, 1136675311, 'US', 'United States'),
(30665, '67.192.73.240', '67.192.73.247', 1136675312, 1136675319, 'GB', 'United Kingdom'),
(30666, '67.192.73.248', '67.192.75.167', 1136675320, 1136675751, 'US', 'United States'),
(30667, '67.192.75.168', '67.192.75.175', 1136675752, 1136675759, 'IN', 'India'),
(30668, '67.192.75.176', '67.192.75.231', 1136675760, 1136675815, 'US', 'United States'),
(30669, '67.192.75.232', '67.192.75.239', 1136675816, 1136675823, 'AE', 'United Arab Emirates'),
(30670, '67.192.75.240', '67.192.75.255', 1136675824, 1136675839, 'US', 'United States'),
(30671, '67.192.76.0', '67.192.76.255', 1136675840, 1136676095, 'GB', 'United Kingdom'),
(30672, '67.192.77.0', '67.192.77.31', 1136676096, 1136676127, 'US', 'United States'),
(30673, '67.192.77.32', '67.192.77.47', 1136676128, 1136676143, 'IE', 'Ireland'),
(30674, '67.192.77.48', '67.192.77.159', 1136676144, 1136676255, 'US', 'United States'),
(30675, '67.192.77.160', '67.192.77.175', 1136676256, 1136676271, 'CA', 'Canada'),
(30676, '67.192.77.176', '67.192.78.199', 1136676272, 1136676551, 'US', 'United States'),
(30677, '67.192.78.200', '67.192.78.207', 1136676552, 1136676559, 'GB', 'United Kingdom'),
(30678, '67.192.78.208', '67.192.78.231', 1136676560, 1136676583, 'US', 'United States'),
(30679, '67.192.78.232', '67.192.78.239', 1136676584, 1136676591, 'AU', 'Australia'),
(30680, '67.192.78.240', '67.192.79.63', 1136676592, 1136676671, 'US', 'United States'),
(30681, '67.192.79.64', '67.192.79.71', 1136676672, 1136676679, 'CA', 'Canada'),
(30682, '67.192.79.72', '67.192.81.255', 1136676680, 1136677375, 'US', 'United States'),
(30683, '67.192.82.0', '67.192.82.15', 1136677376, 1136677391, 'AU', 'Australia'),
(30684, '67.192.82.16', '67.192.82.87', 1136677392, 1136677463, 'US', 'United States'),
(30685, '67.192.82.88', '67.192.82.95', 1136677464, 1136677471, 'CA', 'Canada'),
(30686, '67.192.82.96', '67.192.82.239', 1136677472, 1136677615, 'US', 'United States'),
(30687, '67.192.82.240', '67.192.82.255', 1136677616, 1136677631, 'CA', 'Canada'),
(30688, '67.192.83.0', '67.192.84.215', 1136677632, 1136678103, 'US', 'United States'),
(30689, '67.192.84.216', '67.192.84.223', 1136678104, 1136678111, 'IN', 'India'),
(30690, '67.192.84.224', '67.192.85.159', 1136678112, 1136678303, 'US', 'United States'),
(30691, '67.192.85.160', '67.192.85.175', 1136678304, 1136678319, 'MX', 'Mexico'),
(30692, '67.192.85.176', '67.192.86.31', 1136678320, 1136678431, 'US', 'United States'),
(30693, '67.192.86.32', '67.192.86.47', 1136678432, 1136678447, 'GB', 'United Kingdom'),
(30694, '67.192.86.48', '67.192.88.159', 1136678448, 1136679071, 'US', 'United States'),
(30695, '67.192.88.160', '67.192.88.175', 1136679072, 1136679087, 'CA', 'Canada'),
(30696, '67.192.88.176', '67.192.88.223', 1136679088, 1136679135, 'US', 'United States'),
(30697, '67.192.88.224', '67.192.88.255', 1136679136, 1136679167, 'BR', 'Brazil'),
(30698, '67.192.89.0', '67.192.89.47', 1136679168, 1136679215, 'US', 'United States'),
(30699, '67.192.89.48', '67.192.89.55', 1136679216, 1136679223, 'GB', 'United Kingdom'),
(30700, '67.192.89.56', '67.192.89.63', 1136679224, 1136679231, 'US', 'United States'),
(30701, '67.192.89.64', '67.192.89.95', 1136679232, 1136679263, 'IL', 'Israel'),
(30702, '67.192.89.96', '67.192.89.111', 1136679264, 1136679279, 'US', 'United States'),
(30703, '67.192.89.112', '67.192.89.127', 1136679280, 1136679295, 'CA', 'Canada'),
(30704, '67.192.89.128', '67.192.92.119', 1136679296, 1136680055, 'US', 'United States'),
(30705, '67.192.92.120', '67.192.92.127', 1136680056, 1136680063, 'CA', 'Canada'),
(30706, '67.192.92.128', '67.192.92.207', 1136680064, 1136680143, 'US', 'United States'),
(30707, '67.192.92.208', '67.192.92.215', 1136680144, 1136680151, 'NO', 'Norway'),
(30708, '67.192.92.216', '67.192.92.223', 1136680152, 1136680159, 'US', 'United States'),
(30709, '67.192.92.224', '67.192.92.239', 1136680160, 1136680175, 'BD', 'Bangladesh'),
(30710, '67.192.92.240', '67.192.93.119', 1136680176, 1136680311, 'US', 'United States'),
(30711, '67.192.93.120', '67.192.93.127', 1136680312, 1136680319, 'IN', 'India'),
(30712, '67.192.93.128', '67.192.95.39', 1136680320, 1136680743, 'US', 'United States'),
(30713, '67.192.95.40', '67.192.95.47', 1136680744, 1136680751, 'BD', 'Bangladesh'),
(30714, '67.192.95.48', '67.192.95.55', 1136680752, 1136680759, 'IN', 'India'),
(30715, '67.192.95.56', '67.192.96.207', 1136680760, 1136681167, 'US', 'United States'),
(30716, '67.192.96.208', '67.192.96.215', 1136681168, 1136681175, 'CA', 'Canada'),
(30717, '67.192.96.216', '67.192.96.231', 1136681176, 1136681191, 'US', 'United States'),
(30718, '67.192.96.232', '67.192.96.239', 1136681192, 1136681199, 'MX', 'Mexico'),
(30719, '67.192.96.240', '67.192.96.255', 1136681200, 1136681215, 'US', 'United States'),
(30720, '67.192.97.0', '67.192.97.7', 1136681216, 1136681223, 'HN', 'Honduras'),
(30721, '67.192.97.8', '67.192.97.15', 1136681224, 1136681231, 'US', 'United States'),
(30722, '67.192.97.16', '67.192.97.23', 1136681232, 1136681239, 'IL', 'Israel'),
(30723, '67.192.97.24', '67.192.97.95', 1136681240, 1136681311, 'US', 'United States'),
(30724, '67.192.97.96', '67.192.97.103', 1136681312, 1136681319, 'BR', 'Brazil'),
(30725, '67.192.97.104', '67.192.97.223', 1136681320, 1136681439, 'US', 'United States'),
(30726, '67.192.97.224', '67.192.97.231', 1136681440, 1136681447, 'GB', 'United Kingdom'),
(30727, '67.192.97.232', '67.192.97.239', 1136681448, 1136681455, 'US', 'United States'),
(30728, '67.192.97.240', '67.192.97.255', 1136681456, 1136681471, 'IL', 'Israel'),
(30729, '67.192.98.0', '67.192.98.15', 1136681472, 1136681487, 'US', 'United States'),
(30730, '67.192.98.16', '67.192.98.23', 1136681488, 1136681495, 'GB', 'United Kingdom'),
(30731, '67.192.98.24', '67.192.98.87', 1136681496, 1136681559, 'US', 'United States'),
(30732, '67.192.98.88', '67.192.98.95', 1136681560, 1136681567, 'CA', 'Canada'),
(30733, '67.192.98.96', '67.192.101.31', 1136681568, 1136682271, 'US', 'United States'),
(30734, '67.192.101.32', '67.192.101.63', 1136682272, 1136682303, 'GB', 'United Kingdom'),
(30735, '67.192.101.64', '67.192.101.255', 1136682304, 1136682495, 'US', 'United States'),
(30736, '67.192.102.0', '67.192.102.7', 1136682496, 1136682503, 'CA', 'Canada'),
(30737, '67.192.102.8', '67.192.102.31', 1136682504, 1136682527, 'US', 'United States'),
(30738, '67.192.102.32', '67.192.102.63', 1136682528, 1136682559, 'CA', 'Canada'),
(30739, '67.192.102.64', '67.192.102.87', 1136682560, 1136682583, 'US', 'United States'),
(30740, '67.192.102.88', '67.192.102.95', 1136682584, 1136682591, 'CA', 'Canada'),
(30741, '67.192.102.96', '67.192.102.199', 1136682592, 1136682695, 'US', 'United States'),
(30742, '67.192.102.200', '67.192.102.207', 1136682696, 1136682703, 'CA', 'Canada'),
(30743, '67.192.102.208', '67.192.103.111', 1136682704, 1136682863, 'US', 'United States'),
(30744, '67.192.103.112', '67.192.103.119', 1136682864, 1136682871, 'CA', 'Canada'),
(30745, '67.192.103.120', '67.192.104.87', 1136682872, 1136683095, 'US', 'United States'),
(30746, '67.192.104.88', '67.192.104.95', 1136683096, 1136683103, 'IL', 'Israel'),
(30747, '67.192.104.96', '67.192.105.103', 1136683104, 1136683367, 'US', 'United States'),
(30748, '67.192.105.104', '67.192.105.111', 1136683368, 1136683375, 'GB', 'United Kingdom'),
(30749, '67.192.105.112', '67.192.105.119', 1136683376, 1136683383, 'ZA', 'South Africa'),
(30750, '67.192.105.120', '67.192.106.7', 1136683384, 1136683527, 'US', 'United States'),
(30751, '67.192.106.8', '67.192.106.15', 1136683528, 1136683535, 'AU', 'Australia'),
(30752, '67.192.106.16', '67.192.106.23', 1136683536, 1136683543, 'US', 'United States'),
(30753, '67.192.106.24', '67.192.106.31', 1136683544, 1136683551, 'AE', 'United Arab Emirates'),
(30754, '67.192.106.32', '67.192.108.15', 1136683552, 1136684047, 'US', 'United States'),
(30755, '67.192.108.16', '67.192.108.31', 1136684048, 1136684063, 'CA', 'Canada'),
(30756, '67.192.108.32', '67.192.108.55', 1136684064, 1136684087, 'US', 'United States'),
(30757, '67.192.108.56', '67.192.108.63', 1136684088, 1136684095, 'MX', 'Mexico'),
(30758, '67.192.108.64', '67.192.108.71', 1136684096, 1136684103, 'US', 'United States'),
(30759, '67.192.108.72', '67.192.108.79', 1136684104, 1136684111, 'CA', 'Canada'),
(30760, '67.192.108.80', '67.192.108.199', 1136684112, 1136684231, 'US', 'United States'),
(30761, '67.192.108.200', '67.192.108.207', 1136684232, 1136684239, 'CA', 'Canada'),
(30762, '67.192.108.208', '67.192.108.215', 1136684240, 1136684247, 'IN', 'India'),
(30763, '67.192.108.216', '67.192.109.175', 1136684248, 1136684463, 'US', 'United States'),
(30764, '67.192.109.176', '67.192.109.183', 1136684464, 1136684471, 'CA', 'Canada'),
(30765, '67.192.109.184', '67.192.110.15', 1136684472, 1136684559, 'US', 'United States'),
(30766, '67.192.110.16', '67.192.110.31', 1136684560, 1136684575, 'CA', 'Canada'),
(30767, '67.192.110.32', '67.192.110.63', 1136684576, 1136684607, 'US', 'United States'),
(30768, '67.192.110.64', '67.192.110.71', 1136684608, 1136684615, 'CA', 'Canada'),
(30769, '67.192.110.72', '67.192.110.79', 1136684616, 1136684623, 'US', 'United States'),
(30770, '67.192.110.80', '67.192.110.87', 1136684624, 1136684631, 'IN', 'India'),
(30771, '67.192.110.88', '67.192.110.119', 1136684632, 1136684663, 'US', 'United States'),
(30772, '67.192.110.120', '67.192.110.127', 1136684664, 1136684671, 'AU', 'Australia'),
(30773, '67.192.110.128', '67.192.110.135', 1136684672, 1136684679, 'GB', 'United Kingdom'),
(30774, '67.192.110.136', '67.192.110.159', 1136684680, 1136684703, 'US', 'United States'),
(30775, '67.192.110.160', '67.192.110.175', 1136684704, 1136684719, 'MX', 'Mexico'),
(30776, '67.192.110.176', '67.192.110.191', 1136684720, 1136684735, 'US', 'United States'),
(30777, '67.192.110.192', '67.192.110.207', 1136684736, 1136684751, 'IN', 'India'),
(30778, '67.192.110.208', '67.192.111.7', 1136684752, 1136684807, 'US', 'United States'),
(30779, '67.192.111.8', '67.192.111.15', 1136684808, 1136684815, 'IT', 'Italy'),
(30780, '67.192.111.16', '67.192.111.95', 1136684816, 1136684895, 'US', 'United States'),
(30781, '67.192.111.96', '67.192.111.111', 1136684896, 1136684911, 'CA', 'Canada'),
(30782, '67.192.111.112', '67.192.111.119', 1136684912, 1136684919, 'HR', 'Croatia'),
(30783, '67.192.111.120', '67.192.111.175', 1136684920, 1136684975, 'US', 'United States'),
(30784, '67.192.111.176', '67.192.111.183', 1136684976, 1136684983, 'CA', 'Canada'),
(30785, '67.192.111.184', '67.192.111.191', 1136684984, 1136684991, 'US', 'United States'),
(30786, '67.192.111.192', '67.192.111.199', 1136684992, 1136684999, 'JP', 'Japan'),
(30787, '67.192.111.200', '67.192.111.255', 1136685000, 1136685055, 'US', 'United States'),
(30788, '67.192.112.0', '67.192.112.127', 1136685056, 1136685183, 'CA', 'Canada'),
(30789, '67.192.112.128', '67.192.112.135', 1136685184, 1136685191, 'US', 'United States'),
(30790, '67.192.112.136', '67.192.112.143', 1136685192, 1136685199, 'BM', 'Bermuda'),
(30791, '67.192.112.144', '67.192.112.175', 1136685200, 1136685231, 'US', 'United States'),
(30792, '67.192.112.176', '67.192.112.183', 1136685232, 1136685239, 'CN', 'China'),
(30793, '67.192.112.184', '67.192.112.191', 1136685240, 1136685247, 'US', 'United States'),
(30794, '67.192.112.192', '67.192.112.207', 1136685248, 1136685263, 'CA', 'Canada'),
(30795, '67.192.112.208', '67.192.114.223', 1136685264, 1136685791, 'US', 'United States'),
(30796, '67.192.114.224', '67.192.114.231', 1136685792, 1136685799, 'IL', 'Israel'),
(30797, '67.192.114.232', '67.192.115.47', 1136685800, 1136685871, 'US', 'United States'),
(30798, '67.192.115.48', '67.192.115.55', 1136685872, 1136685879, 'CA', 'Canada'),
(30799, '67.192.115.56', '67.192.115.79', 1136685880, 1136685903, 'US', 'United States'),
(30800, '67.192.115.80', '67.192.115.87', 1136685904, 1136685911, 'HR', 'Croatia'),
(30801, '67.192.115.88', '67.192.115.111', 1136685912, 1136685935, 'US', 'United States'),
(30802, '67.192.115.112', '67.192.115.119', 1136685936, 1136685943, 'IT', 'Italy'),
(30803, '67.192.115.120', '67.192.115.223', 1136685944, 1136686047, 'US', 'United States'),
(30804, '67.192.115.224', '67.192.115.231', 1136686048, 1136686055, 'IE', 'Ireland'),
(30805, '67.192.115.232', '67.192.128.119', 1136686056, 1136689271, 'US', 'United States'),
(30806, '67.192.128.120', '67.192.128.127', 1136689272, 1136689279, 'MX', 'Mexico'),
(30807, '67.192.128.128', '67.192.129.23', 1136689280, 1136689431, 'US', 'United States'),
(30808, '67.192.129.24', '67.192.129.31', 1136689432, 1136689439, 'BM', 'Bermuda'),
(30809, '67.192.129.32', '67.192.129.95', 1136689440, 1136689503, 'US', 'United States'),
(30810, '67.192.129.96', '67.192.129.103', 1136689504, 1136689511, 'VE', 'Venezuela'),
(30811, '67.192.129.104', '67.192.129.143', 1136689512, 1136689551, 'US', 'United States'),
(30812, '67.192.129.144', '67.192.129.151', 1136689552, 1136689559, 'IN', 'India'),
(30813, '67.192.129.152', '67.192.130.71', 1136689560, 1136689735, 'US', 'United States'),
(30814, '67.192.130.72', '67.192.130.79', 1136689736, 1136689743, 'GB', 'United Kingdom'),
(30815, '67.192.130.80', '67.192.130.151', 1136689744, 1136689815, 'US', 'United States'),
(30816, '67.192.130.152', '67.192.130.159', 1136689816, 1136689823, 'GB', 'United Kingdom'),
(30817, '67.192.130.160', '67.192.131.31', 1136689824, 1136689951, 'US', 'United States'),
(30818, '67.192.131.32', '67.192.131.39', 1136689952, 1136689959, 'CA', 'Canada'),
(30819, '67.192.131.40', '67.192.131.55', 1136689960, 1136689975, 'US', 'United States'),
(30820, '67.192.131.56', '67.192.131.63', 1136689976, 1136689983, 'IL', 'Israel'),
(30821, '67.192.131.64', '67.192.131.103', 1136689984, 1136690023, 'US', 'United States'),
(30822, '67.192.131.104', '67.192.131.111', 1136690024, 1136690031, 'IN', 'India'),
(30823, '67.192.131.112', '67.192.131.135', 1136690032, 1136690055, 'US', 'United States'),
(30824, '67.192.131.136', '67.192.131.143', 1136690056, 1136690063, 'CA', 'Canada'),
(30825, '67.192.131.144', '67.192.131.159', 1136690064, 1136690079, 'US', 'United States'),
(30826, '67.192.131.160', '67.192.131.167', 1136690080, 1136690087, 'AU', 'Australia'),
(30827, '67.192.131.168', '67.192.132.231', 1136690088, 1136690407, 'US', 'United States'),
(30828, '67.192.132.232', '67.192.132.239', 1136690408, 1136690415, 'BD', 'Bangladesh'),
(30829, '67.192.132.240', '67.192.134.159', 1136690416, 1136690847, 'US', 'United States'),
(30830, '67.192.134.160', '67.192.134.175', 1136690848, 1136690863, 'GB', 'United Kingdom'),
(30831, '67.192.134.176', '67.192.136.215', 1136690864, 1136691415, 'US', 'United States'),
(30832, '67.192.136.216', '67.192.136.223', 1136691416, 1136691423, 'CA', 'Canada'),
(30833, '67.192.136.224', '67.192.138.223', 1136691424, 1136691935, 'US', 'United States'),
(30834, '67.192.138.224', '67.192.138.231', 1136691936, 1136691943, 'CA', 'Canada'),
(30835, '67.192.138.232', '67.192.139.71', 1136691944, 1136692039, 'US', 'United States'),
(30836, '67.192.139.72', '67.192.139.79', 1136692040, 1136692047, 'AU', 'Australia'),
(30837, '67.192.139.80', '67.192.139.103', 1136692048, 1136692071, 'US', 'United States'),
(30838, '67.192.139.104', '67.192.139.111', 1136692072, 1136692079, 'CA', 'Canada'),
(30839, '67.192.139.112', '67.192.140.15', 1136692080, 1136692239, 'US', 'United States'),
(30840, '67.192.140.16', '67.192.140.23', 1136692240, 1136692247, 'AR', 'Argentina'),
(30841, '67.192.140.24', '67.192.140.95', 1136692248, 1136692319, 'US', 'United States'),
(30842, '67.192.140.96', '67.192.140.103', 1136692320, 1136692327, 'NL', 'Netherlands'),
(30843, '67.192.140.104', '67.192.141.55', 1136692328, 1136692535, 'US', 'United States'),
(30844, '67.192.141.56', '67.192.141.63', 1136692536, 1136692543, 'GB', 'United Kingdom'),
(30845, '67.192.141.64', '67.192.142.63', 1136692544, 1136692799, 'US', 'United States'),
(30846, '67.192.142.64', '67.192.142.71', 1136692800, 1136692807, 'NZ', 'New Zealand'),
(30847, '67.192.142.72', '67.192.142.183', 1136692808, 1136692919, 'US', 'United States'),
(30848, '67.192.142.184', '67.192.142.191', 1136692920, 1136692927, 'IN', 'India'),
(30849, '67.192.142.192', '67.192.142.255', 1136692928, 1136692991, 'US', 'United States'),
(30850, '67.192.143.0', '67.192.143.63', 1136692992, 1136693055, 'IR', 'Iran, Islamic Republic of'),
(30851, '67.192.143.64', '67.192.143.71', 1136693056, 1136693063, 'AU', 'Australia'),
(30852, '67.192.143.72', '67.192.144.255', 1136693064, 1136693503, 'US', 'United States'),
(30853, '67.192.145.0', '67.192.145.7', 1136693504, 1136693511, 'GB', 'United Kingdom'),
(30854, '67.192.145.8', '67.192.145.15', 1136693512, 1136693519, 'CA', 'Canada'),
(30855, '67.192.145.16', '67.192.146.127', 1136693520, 1136693887, 'US', 'United States'),
(30856, '67.192.146.128', '67.192.146.143', 1136693888, 1136693903, 'CA', 'Canada'),
(30857, '67.192.146.144', '67.192.146.191', 1136693904, 1136693951, 'US', 'United States'),
(30858, '67.192.146.192', '67.192.146.199', 1136693952, 1136693959, 'CA', 'Canada'),
(30859, '67.192.146.200', '67.192.146.207', 1136693960, 1136693967, 'AU', 'Australia'),
(30860, '67.192.146.208', '67.192.146.215', 1136693968, 1136693975, 'US', 'United States'),
(30861, '67.192.146.216', '67.192.146.223', 1136693976, 1136693983, 'GB', 'United Kingdom'),
(30862, '67.192.146.224', '67.192.147.63', 1136693984, 1136694079, 'US', 'United States'),
(30863, '67.192.147.64', '67.192.147.71', 1136694080, 1136694087, 'BG', 'Bulgaria'),
(30864, '67.192.147.72', '67.192.147.247', 1136694088, 1136694263, 'US', 'United States'),
(30865, '67.192.147.248', '67.192.147.255', 1136694264, 1136694271, 'GB', 'United Kingdom'),
(30866, '67.192.148.0', '67.192.148.31', 1136694272, 1136694303, 'US', 'United States'),
(30867, '67.192.148.32', '67.192.148.39', 1136694304, 1136694311, 'KR', 'Korea, Republic of'),
(30868, '67.192.148.40', '67.192.148.47', 1136694312, 1136694319, 'US', 'United States'),
(30869, '67.192.148.48', '67.192.148.55', 1136694320, 1136694327, 'KR', 'Korea, Republic of'),
(30870, '67.192.148.56', '67.192.148.127', 1136694328, 1136694399, 'US', 'United States'),
(30871, '67.192.148.128', '67.192.148.143', 1136694400, 1136694415, 'CA', 'Canada'),
(30872, '67.192.148.144', '67.192.150.111', 1136694416, 1136694895, 'US', 'United States'),
(30873, '67.192.150.112', '67.192.150.119', 1136694896, 1136694903, 'AU', 'Australia'),
(30874, '67.192.150.120', '67.192.150.207', 1136694904, 1136694991, 'US', 'United States'),
(30875, '67.192.150.208', '67.192.150.215', 1136694992, 1136694999, 'GB', 'United Kingdom'),
(30876, '67.192.150.216', '67.192.152.207', 1136695000, 1136695503, 'US', 'United States'),
(30877, '67.192.152.208', '67.192.152.215', 1136695504, 1136695511, 'GB', 'United Kingdom'),
(30878, '67.192.152.216', '67.192.153.151', 1136695512, 1136695703, 'US', 'United States'),
(30879, '67.192.153.152', '67.192.153.159', 1136695704, 1136695711, 'DK', 'Denmark'),
(30880, '67.192.153.160', '67.192.153.167', 1136695712, 1136695719, 'US', 'United States'),
(30881, '67.192.153.168', '67.192.153.175', 1136695720, 1136695727, 'IL', 'Israel'),
(30882, '67.192.153.176', '67.192.153.191', 1136695728, 1136695743, 'DK', 'Denmark'),
(30883, '67.192.153.192', '67.192.155.23', 1136695744, 1136696087, 'US', 'United States'),
(30884, '67.192.155.24', '67.192.155.31', 1136696088, 1136696095, 'AU', 'Australia'),
(30885, '67.192.155.32', '67.192.155.47', 1136696096, 1136696111, 'US', 'United States'),
(30886, '67.192.155.48', '67.192.155.63', 1136696112, 1136696127, 'AU', 'Australia'),
(30887, '67.192.155.64', '67.192.155.199', 1136696128, 1136696263, 'US', 'United States'),
(30888, '67.192.155.200', '67.192.155.207', 1136696264, 1136696271, 'CA', 'Canada'),
(30889, '67.192.155.208', '67.192.157.71', 1136696272, 1136696647, 'US', 'United States'),
(30890, '67.192.157.72', '67.192.157.79', 1136696648, 1136696655, 'GB', 'United Kingdom'),
(30891, '67.192.157.80', '67.192.157.95', 1136696656, 1136696671, 'US', 'United States'),
(30892, '67.192.157.96', '67.192.157.103', 1136696672, 1136696679, 'IL', 'Israel'),
(30893, '67.192.157.104', '67.192.157.135', 1136696680, 1136696711, 'US', 'United States'),
(30894, '67.192.157.136', '67.192.157.143', 1136696712, 1136696719, 'GT', 'Guatemala'),
(30895, '67.192.157.144', '67.192.157.191', 1136696720, 1136696767, 'US', 'United States'),
(30896, '67.192.157.192', '67.192.157.199', 1136696768, 1136696775, 'IL', 'Israel'),
(30897, '67.192.157.200', '67.192.158.23', 1136696776, 1136696855, 'US', 'United States'),
(30898, '67.192.158.24', '67.192.158.31', 1136696856, 1136696863, 'GB', 'United Kingdom'),
(30899, '67.192.158.32', '67.192.158.215', 1136696864, 1136697047, 'US', 'United States'),
(30900, '67.192.158.216', '67.192.158.223', 1136697048, 1136697055, 'BM', 'Bermuda'),
(30901, '67.192.158.224', '67.192.160.111', 1136697056, 1136697455, 'US', 'United States'),
(30902, '67.192.160.112', '67.192.160.119', 1136697456, 1136697463, 'CA', 'Canada'),
(30903, '67.192.160.120', '67.192.161.47', 1136697464, 1136697647, 'US', 'United States'),
(30904, '67.192.161.48', '67.192.161.55', 1136697648, 1136697655, 'CA', 'Canada'),
(30905, '67.192.161.56', '67.192.161.167', 1136697656, 1136697767, 'US', 'United States'),
(30906, '67.192.161.168', '67.192.161.175', 1136697768, 1136697775, 'GB', 'United Kingdom'),
(30907, '67.192.161.176', '67.192.162.119', 1136697776, 1136697975, 'US', 'United States'),
(30908, '67.192.162.120', '67.192.162.127', 1136697976, 1136697983, 'CA', 'Canada'),
(30909, '67.192.162.128', '67.192.162.167', 1136697984, 1136698023, 'US', 'United States'),
(30910, '67.192.162.168', '67.192.162.175', 1136698024, 1136698031, 'GB', 'United Kingdom'),
(30911, '67.192.162.176', '67.192.162.183', 1136698032, 1136698039, 'US', 'United States'),
(30912, '67.192.162.184', '67.192.162.255', 1136698040, 1136698111, 'IE', 'Ireland'),
(30913, '67.192.163.0', '67.192.165.191', 1136698112, 1136698815, 'US', 'United States'),
(30914, '67.192.165.192', '67.192.165.199', 1136698816, 1136698823, 'GB', 'United Kingdom'),
(30915, '67.192.165.200', '67.192.166.143', 1136698824, 1136699023, 'US', 'United States'),
(30916, '67.192.166.144', '67.192.166.159', 1136699024, 1136699039, 'GB', 'United Kingdom'),
(30917, '67.192.166.160', '67.192.166.207', 1136699040, 1136699087, 'US', 'United States'),
(30918, '67.192.166.208', '67.192.166.215', 1136699088, 1136699095, 'GB', 'United Kingdom'),
(30919, '67.192.166.216', '67.192.168.95', 1136699096, 1136699487, 'US', 'United States'),
(30920, '67.192.168.96', '67.192.168.111', 1136699488, 1136699503, 'CA', 'Canada'),
(30921, '67.192.168.112', '67.192.168.119', 1136699504, 1136699511, 'US', 'United States'),
(30922, '67.192.168.120', '67.192.168.127', 1136699512, 1136699519, 'SE', 'Sweden'),
(30923, '67.192.168.128', '67.192.168.191', 1136699520, 1136699583, 'US', 'United States'),
(30924, '67.192.168.192', '67.192.168.207', 1136699584, 1136699599, 'CA', 'Canada'),
(30925, '67.192.168.208', '67.192.168.231', 1136699600, 1136699623, 'US', 'United States'),
(30926, '67.192.168.232', '67.192.168.239', 1136699624, 1136699631, 'CA', 'Canada'),
(30927, '67.192.168.240', '67.192.168.255', 1136699632, 1136699647, 'IN', 'India'),
(30928, '67.192.169.0', '67.192.169.47', 1136699648, 1136699695, 'US', 'United States'),
(30929, '67.192.169.48', '67.192.169.55', 1136699696, 1136699703, 'AU', 'Australia'),
(30930, '67.192.169.56', '67.192.169.191', 1136699704, 1136699839, 'US', 'United States'),
(30931, '67.192.169.192', '67.192.169.199', 1136699840, 1136699847, 'MT', 'Malta'),
(30932, '67.192.169.200', '67.192.170.31', 1136699848, 1136699935, 'US', 'United States'),
(30933, '67.192.170.32', '67.192.170.39', 1136699936, 1136699943, 'AU', 'Australia'),
(30934, '67.192.170.40', '67.192.170.95', 1136699944, 1136699999, 'US', 'United States'),
(30935, '67.192.170.96', '67.192.170.103', 1136700000, 1136700007, 'GB', 'United Kingdom'),
(30936, '67.192.170.104', '67.192.170.127', 1136700008, 1136700031, 'US', 'United States'),
(30937, '67.192.170.128', '67.192.170.135', 1136700032, 1136700039, 'CA', 'Canada'),
(30938, '67.192.170.136', '67.192.170.199', 1136700040, 1136700103, 'US', 'United States'),
(30939, '67.192.170.200', '67.192.170.207', 1136700104, 1136700111, 'NZ', 'New Zealand'),
(30940, '67.192.170.208', '67.192.171.103', 1136700112, 1136700263, 'US', 'United States'),
(30941, '67.192.171.104', '67.192.171.111', 1136700264, 1136700271, 'IL', 'Israel'),
(30942, '67.192.171.112', '67.192.171.183', 1136700272, 1136700343, 'US', 'United States'),
(30943, '67.192.171.184', '67.192.171.191', 1136700344, 1136700351, 'MX', 'Mexico'),
(30944, '67.192.171.192', '67.192.172.63', 1136700352, 1136700479, 'US', 'United States'),
(30945, '67.192.172.64', '67.192.172.71', 1136700480, 1136700487, 'NZ', 'New Zealand'),
(30946, '67.192.172.72', '67.192.172.167', 1136700488, 1136700583, 'US', 'United States'),
(30947, '67.192.172.168', '67.192.172.175', 1136700584, 1136700591, 'AU', 'Australia'),
(30948, '67.192.172.176', '67.192.172.247', 1136700592, 1136700663, 'US', 'United States'),
(30949, '67.192.172.248', '67.192.172.255', 1136700664, 1136700671, 'DK', 'Denmark'),
(30950, '67.192.173.0', '67.192.173.111', 1136700672, 1136700783, 'US', 'United States'),
(30951, '67.192.173.112', '67.192.173.119', 1136700784, 1136700791, 'CA', 'Canada'),
(30952, '67.192.173.120', '67.192.173.175', 1136700792, 1136700847, 'US', 'United States'),
(30953, '67.192.173.176', '67.192.173.183', 1136700848, 1136700855, 'CL', 'Chile'),
(30954, '67.192.173.184', '67.192.173.239', 1136700856, 1136700911, 'US', 'United States'),
(30955, '67.192.173.240', '67.192.173.247', 1136700912, 1136700919, 'CA', 'Canada'),
(30956, '67.192.173.248', '67.192.174.191', 1136700920, 1136701119, 'US', 'United States'),
(30957, '67.192.174.192', '67.192.174.255', 1136701120, 1136701183, 'AU', 'Australia'),
(30958, '67.192.175.0', '67.192.175.95', 1136701184, 1136701279, 'US', 'United States'),
(30959, '67.192.175.96', '67.192.175.103', 1136701280, 1136701287, 'CA', 'Canada'),
(30960, '67.192.175.104', '67.192.175.151', 1136701288, 1136701335, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(30961, '67.192.175.152', '67.192.175.159', 1136701336, 1136701343, 'GB', 'United Kingdom'),
(30962, '67.192.175.160', '67.192.176.15', 1136701344, 1136701455, 'US', 'United States'),
(30963, '67.192.176.16', '67.192.176.23', 1136701456, 1136701463, 'IN', 'India'),
(30964, '67.192.176.24', '67.192.176.87', 1136701464, 1136701527, 'US', 'United States'),
(30965, '67.192.176.88', '67.192.176.103', 1136701528, 1136701543, 'CA', 'Canada'),
(30966, '67.192.176.104', '67.192.180.247', 1136701544, 1136702711, 'US', 'United States'),
(30967, '67.192.180.248', '67.192.180.255', 1136702712, 1136702719, 'GB', 'United Kingdom'),
(30968, '67.192.181.0', '67.192.181.7', 1136702720, 1136702727, 'CA', 'Canada'),
(30969, '67.192.181.8', '67.192.181.79', 1136702728, 1136702799, 'US', 'United States'),
(30970, '67.192.181.80', '67.192.181.87', 1136702800, 1136702807, 'GB', 'United Kingdom'),
(30971, '67.192.181.88', '67.192.181.151', 1136702808, 1136702871, 'US', 'United States'),
(30972, '67.192.181.152', '67.192.181.159', 1136702872, 1136702879, 'AT', 'Austria'),
(30973, '67.192.181.160', '67.192.181.191', 1136702880, 1136702911, 'US', 'United States'),
(30974, '67.192.181.192', '67.192.181.199', 1136702912, 1136702919, 'GB', 'United Kingdom'),
(30975, '67.192.181.200', '67.192.182.119', 1136702920, 1136703095, 'US', 'United States'),
(30976, '67.192.182.120', '67.192.182.127', 1136703096, 1136703103, 'CA', 'Canada'),
(30977, '67.192.182.128', '67.192.183.47', 1136703104, 1136703279, 'US', 'United States'),
(30978, '67.192.183.48', '67.192.183.55', 1136703280, 1136703287, 'CA', 'Canada'),
(30979, '67.192.183.56', '67.192.188.127', 1136703288, 1136704639, 'US', 'United States'),
(30980, '67.192.188.128', '67.192.188.191', 1136704640, 1136704703, 'GB', 'United Kingdom'),
(30981, '67.192.188.192', '67.192.192.39', 1136704704, 1136705575, 'US', 'United States'),
(30982, '67.192.192.40', '67.192.192.47', 1136705576, 1136705583, 'CA', 'Canada'),
(30983, '67.192.192.48', '67.192.192.135', 1136705584, 1136705671, 'US', 'United States'),
(30984, '67.192.192.136', '67.192.192.143', 1136705672, 1136705679, 'CA', 'Canada'),
(30985, '67.192.192.144', '67.192.193.15', 1136705680, 1136705807, 'US', 'United States'),
(30986, '67.192.193.16', '67.192.193.23', 1136705808, 1136705815, 'IN', 'India'),
(30987, '67.192.193.24', '67.192.193.31', 1136705816, 1136705823, 'RU', 'Russian Federation'),
(30988, '67.192.193.32', '67.192.194.39', 1136705824, 1136706087, 'US', 'United States'),
(30989, '67.192.194.40', '67.192.194.47', 1136706088, 1136706095, 'IN', 'India'),
(30990, '67.192.194.48', '67.192.194.71', 1136706096, 1136706119, 'US', 'United States'),
(30991, '67.192.194.72', '67.192.194.79', 1136706120, 1136706127, 'CA', 'Canada'),
(30992, '67.192.194.80', '67.192.194.183', 1136706128, 1136706231, 'US', 'United States'),
(30993, '67.192.194.184', '67.192.194.191', 1136706232, 1136706239, 'MX', 'Mexico'),
(30994, '67.192.194.192', '67.192.195.55', 1136706240, 1136706359, 'US', 'United States'),
(30995, '67.192.195.56', '67.192.195.63', 1136706360, 1136706367, 'BM', 'Bermuda'),
(30996, '67.192.195.64', '67.192.195.151', 1136706368, 1136706455, 'US', 'United States'),
(30997, '67.192.195.152', '67.192.195.159', 1136706456, 1136706463, 'GB', 'United Kingdom'),
(30998, '67.192.195.160', '67.192.195.167', 1136706464, 1136706471, 'CA', 'Canada'),
(30999, '67.192.195.168', '67.192.195.191', 1136706472, 1136706495, 'US', 'United States'),
(31000, '67.192.195.192', '67.192.195.255', 1136706496, 1136706559, 'IE', 'Ireland'),
(31001, '67.192.196.0', '67.192.196.31', 1136706560, 1136706591, 'US', 'United States'),
(31002, '67.192.196.32', '67.192.196.39', 1136706592, 1136706599, 'AU', 'Australia'),
(31003, '67.192.196.40', '67.192.196.143', 1136706600, 1136706703, 'US', 'United States'),
(31004, '67.192.196.144', '67.192.196.151', 1136706704, 1136706711, 'CA', 'Canada'),
(31005, '67.192.196.152', '67.192.197.119', 1136706712, 1136706935, 'US', 'United States'),
(31006, '67.192.197.120', '67.192.197.127', 1136706936, 1136706943, 'AU', 'Australia'),
(31007, '67.192.197.128', '67.192.198.15', 1136706944, 1136707087, 'US', 'United States'),
(31008, '67.192.198.16', '67.192.198.23', 1136707088, 1136707095, 'GB', 'United Kingdom'),
(31009, '67.192.198.24', '67.192.198.103', 1136707096, 1136707175, 'US', 'United States'),
(31010, '67.192.198.104', '67.192.198.111', 1136707176, 1136707183, 'ZA', 'South Africa'),
(31011, '67.192.198.112', '67.192.198.191', 1136707184, 1136707263, 'US', 'United States'),
(31012, '67.192.198.192', '67.192.198.199', 1136707264, 1136707271, 'IN', 'India'),
(31013, '67.192.198.200', '67.192.200.167', 1136707272, 1136707751, 'US', 'United States'),
(31014, '67.192.200.168', '67.192.200.175', 1136707752, 1136707759, 'GB', 'United Kingdom'),
(31015, '67.192.200.176', '67.192.200.191', 1136707760, 1136707775, 'US', 'United States'),
(31016, '67.192.200.192', '67.192.200.199', 1136707776, 1136707783, 'BR', 'Brazil'),
(31017, '67.192.200.200', '67.192.201.7', 1136707784, 1136707847, 'US', 'United States'),
(31018, '67.192.201.8', '67.192.201.15', 1136707848, 1136707855, 'SG', 'Singapore'),
(31019, '67.192.201.16', '67.192.201.47', 1136707856, 1136707887, 'US', 'United States'),
(31020, '67.192.201.48', '67.192.201.55', 1136707888, 1136707895, 'CA', 'Canada'),
(31021, '67.192.201.56', '67.192.201.199', 1136707896, 1136708039, 'US', 'United States'),
(31022, '67.192.201.200', '67.192.201.207', 1136708040, 1136708047, 'CA', 'Canada'),
(31023, '67.192.201.208', '67.192.204.71', 1136708048, 1136708679, 'US', 'United States'),
(31024, '67.192.204.72', '67.192.204.79', 1136708680, 1136708687, 'GB', 'United Kingdom'),
(31025, '67.192.204.80', '67.192.205.7', 1136708688, 1136708871, 'US', 'United States'),
(31026, '67.192.205.8', '67.192.205.15', 1136708872, 1136708879, 'GB', 'United Kingdom'),
(31027, '67.192.205.16', '67.192.205.159', 1136708880, 1136709023, 'US', 'United States'),
(31028, '67.192.205.160', '67.192.205.167', 1136709024, 1136709031, 'BD', 'Bangladesh'),
(31029, '67.192.205.168', '67.192.208.15', 1136709032, 1136709647, 'US', 'United States'),
(31030, '67.192.208.16', '67.192.208.23', 1136709648, 1136709655, 'CA', 'Canada'),
(31031, '67.192.208.24', '67.192.208.47', 1136709656, 1136709679, 'US', 'United States'),
(31032, '67.192.208.48', '67.192.208.63', 1136709680, 1136709695, 'AU', 'Australia'),
(31033, '67.192.208.64', '67.192.208.135', 1136709696, 1136709767, 'US', 'United States'),
(31034, '67.192.208.136', '67.192.208.143', 1136709768, 1136709775, 'GB', 'United Kingdom'),
(31035, '67.192.208.144', '67.192.208.183', 1136709776, 1136709815, 'US', 'United States'),
(31036, '67.192.208.184', '67.192.208.191', 1136709816, 1136709823, 'CA', 'Canada'),
(31037, '67.192.208.192', '67.192.209.39', 1136709824, 1136709927, 'US', 'United States'),
(31038, '67.192.209.40', '67.192.209.47', 1136709928, 1136709935, 'CA', 'Canada'),
(31039, '67.192.209.48', '67.192.210.47', 1136709936, 1136710191, 'US', 'United States'),
(31040, '67.192.210.48', '67.192.210.55', 1136710192, 1136710199, 'GB', 'United Kingdom'),
(31041, '67.192.210.56', '67.192.211.15', 1136710200, 1136710415, 'US', 'United States'),
(31042, '67.192.211.16', '67.192.211.31', 1136710416, 1136710431, 'AU', 'Australia'),
(31043, '67.192.211.32', '67.192.215.55', 1136710432, 1136711479, 'US', 'United States'),
(31044, '67.192.215.56', '67.192.215.63', 1136711480, 1136711487, 'ZA', 'South Africa'),
(31045, '67.192.215.64', '67.192.216.247', 1136711488, 1136711927, 'US', 'United States'),
(31046, '67.192.216.248', '67.192.216.255', 1136711928, 1136711935, 'GB', 'United Kingdom'),
(31047, '67.192.217.0', '67.192.217.55', 1136711936, 1136711991, 'US', 'United States'),
(31048, '67.192.217.56', '67.192.217.63', 1136711992, 1136711999, 'AU', 'Australia'),
(31049, '67.192.217.64', '67.192.219.159', 1136712000, 1136712607, 'US', 'United States'),
(31050, '67.192.219.160', '67.192.219.167', 1136712608, 1136712615, 'GB', 'United Kingdom'),
(31051, '67.192.219.168', '67.192.219.247', 1136712616, 1136712695, 'US', 'United States'),
(31052, '67.192.219.248', '67.192.219.255', 1136712696, 1136712703, 'CA', 'Canada'),
(31053, '67.192.220.0', '67.192.221.31', 1136712704, 1136712991, 'US', 'United States'),
(31054, '67.192.221.32', '67.192.221.39', 1136712992, 1136712999, 'CA', 'Canada'),
(31055, '67.192.221.40', '67.192.221.127', 1136713000, 1136713087, 'US', 'United States'),
(31056, '67.192.221.128', '67.192.221.143', 1136713088, 1136713103, 'CA', 'Canada'),
(31057, '67.192.221.144', '67.192.221.191', 1136713104, 1136713151, 'US', 'United States'),
(31058, '67.192.221.192', '67.192.221.207', 1136713152, 1136713167, 'CA', 'Canada'),
(31059, '67.192.221.208', '67.192.222.255', 1136713168, 1136713471, 'US', 'United States'),
(31060, '67.192.223.0', '67.192.223.7', 1136713472, 1136713479, 'SG', 'Singapore'),
(31061, '67.192.223.8', '67.192.223.111', 1136713480, 1136713583, 'US', 'United States'),
(31062, '67.192.223.112', '67.192.223.119', 1136713584, 1136713591, 'CA', 'Canada'),
(31063, '67.192.223.120', '67.192.224.191', 1136713592, 1136713919, 'US', 'United States'),
(31064, '67.192.224.192', '67.192.224.207', 1136713920, 1136713935, 'NO', 'Norway'),
(31065, '67.192.224.208', '67.192.225.47', 1136713936, 1136714031, 'US', 'United States'),
(31066, '67.192.225.48', '67.192.225.55', 1136714032, 1136714039, 'BR', 'Brazil'),
(31067, '67.192.225.56', '67.192.225.183', 1136714040, 1136714167, 'US', 'United States'),
(31068, '67.192.225.184', '67.192.225.191', 1136714168, 1136714175, 'IE', 'Ireland'),
(31069, '67.192.225.192', '67.192.226.15', 1136714176, 1136714255, 'US', 'United States'),
(31070, '67.192.226.16', '67.192.226.23', 1136714256, 1136714263, 'GB', 'United Kingdom'),
(31071, '67.192.226.24', '67.192.226.31', 1136714264, 1136714271, 'US', 'United States'),
(31072, '67.192.226.32', '67.192.226.39', 1136714272, 1136714279, 'GB', 'United Kingdom'),
(31073, '67.192.226.40', '67.192.227.143', 1136714280, 1136714639, 'US', 'United States'),
(31074, '67.192.227.144', '67.192.227.151', 1136714640, 1136714647, 'DE', 'Germany'),
(31075, '67.192.227.152', '67.192.227.175', 1136714648, 1136714671, 'US', 'United States'),
(31076, '67.192.227.176', '67.192.227.183', 1136714672, 1136714679, 'CN', 'China'),
(31077, '67.192.227.184', '67.192.229.127', 1136714680, 1136715135, 'US', 'United States'),
(31078, '67.192.229.128', '67.192.229.143', 1136715136, 1136715151, 'MX', 'Mexico'),
(31079, '67.192.229.144', '67.192.231.103', 1136715152, 1136715623, 'US', 'United States'),
(31080, '67.192.231.104', '67.192.231.111', 1136715624, 1136715631, 'AU', 'Australia'),
(31081, '67.192.231.112', '67.192.233.255', 1136715632, 1136716287, 'US', 'United States'),
(31082, '67.192.234.0', '67.192.234.7', 1136716288, 1136716295, 'ZA', 'South Africa'),
(31083, '67.192.234.8', '67.192.234.143', 1136716296, 1136716431, 'US', 'United States'),
(31084, '67.192.234.144', '67.192.234.151', 1136716432, 1136716439, 'IN', 'India'),
(31085, '67.192.234.152', '67.192.234.159', 1136716440, 1136716447, 'US', 'United States'),
(31086, '67.192.234.160', '67.192.234.191', 1136716448, 1136716479, 'CA', 'Canada'),
(31087, '67.192.234.192', '67.192.235.87', 1136716480, 1136716631, 'US', 'United States'),
(31088, '67.192.235.88', '67.192.235.95', 1136716632, 1136716639, 'AU', 'Australia'),
(31089, '67.192.235.96', '67.192.235.159', 1136716640, 1136716703, 'US', 'United States'),
(31090, '67.192.235.160', '67.192.235.167', 1136716704, 1136716711, 'IN', 'India'),
(31091, '67.192.235.168', '67.192.235.215', 1136716712, 1136716759, 'US', 'United States'),
(31092, '67.192.235.216', '67.192.235.223', 1136716760, 1136716767, 'CA', 'Canada'),
(31093, '67.192.235.224', '67.192.235.231', 1136716768, 1136716775, 'US', 'United States'),
(31094, '67.192.235.232', '67.192.235.239', 1136716776, 1136716783, 'NZ', 'New Zealand'),
(31095, '67.192.235.240', '67.192.235.255', 1136716784, 1136716799, 'US', 'United States'),
(31096, '67.192.236.0', '67.192.236.31', 1136716800, 1136716831, 'VI', 'Virgin Islands, U.S.'),
(31097, '67.192.236.32', '67.192.237.111', 1136716832, 1136717167, 'US', 'United States'),
(31098, '67.192.237.112', '67.192.237.127', 1136717168, 1136717183, 'IT', 'Italy'),
(31099, '67.192.237.128', '67.192.238.87', 1136717184, 1136717399, 'US', 'United States'),
(31100, '67.192.238.88', '67.192.238.95', 1136717400, 1136717407, 'GB', 'United Kingdom'),
(31101, '67.192.238.96', '67.192.238.239', 1136717408, 1136717551, 'US', 'United States'),
(31102, '67.192.238.240', '67.192.238.247', 1136717552, 1136717559, 'CA', 'Canada'),
(31103, '67.192.238.248', '67.192.239.15', 1136717560, 1136717583, 'US', 'United States'),
(31104, '67.192.239.16', '67.192.239.31', 1136717584, 1136717599, 'GB', 'United Kingdom'),
(31105, '67.192.239.32', '67.192.240.111', 1136717600, 1136717935, 'US', 'United States'),
(31106, '67.192.240.112', '67.192.240.119', 1136717936, 1136717943, 'CA', 'Canada'),
(31107, '67.192.240.120', '67.192.242.55', 1136717944, 1136718391, 'US', 'United States'),
(31108, '67.192.242.56', '67.192.242.63', 1136718392, 1136718399, 'MX', 'Mexico'),
(31109, '67.192.242.64', '67.192.242.103', 1136718400, 1136718439, 'US', 'United States'),
(31110, '67.192.242.104', '67.192.242.111', 1136718440, 1136718447, 'IN', 'India'),
(31111, '67.192.242.112', '67.192.242.151', 1136718448, 1136718487, 'US', 'United States'),
(31112, '67.192.242.152', '67.192.242.159', 1136718488, 1136718495, 'IN', 'India'),
(31113, '67.192.242.160', '67.192.243.167', 1136718496, 1136718759, 'US', 'United States'),
(31114, '67.192.243.168', '67.192.243.175', 1136718760, 1136718767, 'AU', 'Australia'),
(31115, '67.192.243.176', '67.192.243.199', 1136718768, 1136718791, 'US', 'United States'),
(31116, '67.192.243.200', '67.192.243.207', 1136718792, 1136718799, 'CA', 'Canada'),
(31117, '67.192.243.208', '67.192.244.31', 1136718800, 1136718879, 'US', 'United States'),
(31118, '67.192.244.32', '67.192.244.47', 1136718880, 1136718895, 'AU', 'Australia'),
(31119, '67.192.244.48', '67.192.255.255', 1136718896, 1136721919, 'US', 'United States'),
(31120, '67.193.0.0', '67.193.255.255', 1136721920, 1136787455, 'CA', 'Canada'),
(31121, '67.194.0.0', '67.200.33.15', 1136787456, 1137189135, 'US', 'United States'),
(31122, '67.200.33.16', '67.200.33.31', 1137189136, 1137189151, 'IE', 'Ireland'),
(31123, '67.200.33.32', '67.200.33.127', 1137189152, 1137189247, 'US', 'United States'),
(31124, '67.200.33.128', '67.200.33.135', 1137189248, 1137189255, 'GB', 'United Kingdom'),
(31125, '67.200.33.136', '67.200.33.143', 1137189256, 1137189263, 'US', 'United States'),
(31126, '67.200.33.144', '67.200.33.151', 1137189264, 1137189271, 'GB', 'United Kingdom'),
(31127, '67.200.33.152', '67.200.57.255', 1137189272, 1137195519, 'US', 'United States'),
(31128, '67.200.58.0', '67.200.58.255', 1137195520, 1137195775, 'JP', 'Japan'),
(31129, '67.200.59.0', '67.201.33.159', 1137195776, 1137254815, 'US', 'United States'),
(31130, '67.201.33.160', '67.201.33.175', 1137254816, 1137254831, 'NZ', 'New Zealand'),
(31131, '67.201.33.176', '67.201.34.255', 1137254832, 1137255167, 'US', 'United States'),
(31132, '67.201.35.0', '67.201.35.255', 1137255168, 1137255423, 'IT', 'Italy'),
(31133, '67.201.36.0', '67.201.38.255', 1137255424, 1137256191, 'US', 'United States'),
(31134, '67.201.39.0', '67.201.39.11', 1137256192, 1137256203, 'IT', 'Italy'),
(31135, '67.201.39.12', '67.201.57.127', 1137256204, 1137260927, 'US', 'United States'),
(31136, '67.201.57.128', '67.201.57.159', 1137260928, 1137260959, 'IT', 'Italy'),
(31137, '67.201.57.160', '67.201.58.63', 1137260960, 1137261119, 'US', 'United States'),
(31138, '67.201.58.64', '67.201.58.127', 1137261120, 1137261183, 'IT', 'Italy'),
(31139, '67.201.58.128', '67.201.127.255', 1137261184, 1137278975, 'US', 'United States'),
(31140, '67.201.128.0', '67.201.143.255', 1137278976, 1137283071, 'CA', 'Canada'),
(31141, '67.201.144.0', '67.201.159.255', 1137283072, 1137287167, 'US', 'United States'),
(31142, '67.201.160.0', '67.201.191.255', 1137287168, 1137295359, 'CA', 'Canada'),
(31143, '67.201.192.0', '67.202.114.135', 1137295360, 1137341063, 'US', 'United States'),
(31144, '67.202.114.136', '67.202.114.136', 1137341064, 1137341064, 'GB', 'United Kingdom'),
(31145, '67.202.114.137', '67.202.223.255', 1137341065, 1137369087, 'US', 'United States'),
(31146, '67.202.224.0', '67.202.225.15', 1137369088, 1137369359, 'CA', 'Canada'),
(31147, '67.202.225.16', '67.202.225.31', 1137369360, 1137369375, 'US', 'United States'),
(31148, '67.202.225.32', '67.202.225.175', 1137369376, 1137369519, 'CA', 'Canada'),
(31149, '67.202.225.176', '67.202.225.191', 1137369520, 1137369535, 'US', 'United States'),
(31150, '67.202.225.192', '67.202.226.255', 1137369536, 1137369855, 'CA', 'Canada'),
(31151, '67.202.227.0', '67.202.251.255', 1137369856, 1137376255, 'US', 'United States'),
(31152, '67.202.252.0', '67.202.252.79', 1137376256, 1137376335, 'CA', 'Canada'),
(31153, '67.202.252.80', '67.202.252.95', 1137376336, 1137376351, 'US', 'United States'),
(31154, '67.202.252.96', '67.202.252.111', 1137376352, 1137376367, 'CA', 'Canada'),
(31155, '67.202.252.112', '67.202.252.127', 1137376368, 1137376383, 'US', 'United States'),
(31156, '67.202.252.128', '67.202.252.207', 1137376384, 1137376463, 'CA', 'Canada'),
(31157, '67.202.252.208', '67.202.252.223', 1137376464, 1137376479, 'US', 'United States'),
(31158, '67.202.252.224', '67.202.252.255', 1137376480, 1137376511, 'CA', 'Canada'),
(31159, '67.202.253.0', '67.202.253.127', 1137376512, 1137376639, 'US', 'United States'),
(31160, '67.202.253.128', '67.202.253.207', 1137376640, 1137376719, 'CA', 'Canada'),
(31161, '67.202.253.208', '67.203.0.31', 1137376720, 1137377311, 'US', 'United States'),
(31162, '67.203.0.32', '67.203.0.47', 1137377312, 1137377327, 'DE', 'Germany'),
(31163, '67.203.0.48', '67.203.24.31', 1137377328, 1137383455, 'US', 'United States'),
(31164, '67.203.24.32', '67.203.24.47', 1137383456, 1137383471, 'DE', 'Germany'),
(31165, '67.203.24.48', '67.203.191.255', 1137383472, 1137426431, 'US', 'United States'),
(31166, '67.203.192.0', '67.203.255.255', 1137426432, 1137442815, 'PR', 'Puerto Rico'),
(31167, '67.204.0.0', '67.204.63.255', 1137442816, 1137459199, 'CA', 'Canada'),
(31168, '67.204.64.0', '67.204.191.255', 1137459200, 1137491967, 'US', 'United States'),
(31169, '67.204.192.0', '67.204.255.255', 1137491968, 1137508351, 'CA', 'Canada'),
(31170, '67.205.0.0', '67.205.63.255', 1137508352, 1137524735, 'US', 'United States'),
(31171, '67.205.64.0', '67.205.67.138', 1137524736, 1137525642, 'CA', 'Canada'),
(31172, '67.205.67.139', '67.205.67.139', 1137525643, 1137525643, 'A1', 'Anonymous Proxy'),
(31173, '67.205.67.140', '67.205.127.255', 1137525644, 1137541119, 'CA', 'Canada'),
(31174, '67.205.128.0', '67.206.191.255', 1137541120, 1137623039, 'US', 'United States'),
(31175, '67.206.192.0', '67.206.255.255', 1137623040, 1137639423, 'PR', 'Puerto Rico'),
(31176, '67.207.0.0', '67.208.0.7', 1137639424, 1137704967, 'US', 'United States'),
(31177, '67.208.0.8', '67.208.1.71', 1137704968, 1137705287, 'CA', 'Canada'),
(31178, '67.208.1.72', '67.208.1.79', 1137705288, 1137705295, 'US', 'United States'),
(31179, '67.208.1.80', '67.208.1.167', 1137705296, 1137705383, 'CA', 'Canada'),
(31180, '67.208.1.168', '67.208.1.175', 1137705384, 1137705391, 'NL', 'Netherlands'),
(31181, '67.208.1.176', '67.208.1.231', 1137705392, 1137705447, 'CA', 'Canada'),
(31182, '67.208.1.232', '67.208.1.239', 1137705448, 1137705455, 'US', 'United States'),
(31183, '67.208.1.240', '67.208.2.255', 1137705456, 1137705727, 'CA', 'Canada'),
(31184, '67.208.3.0', '67.208.3.7', 1137705728, 1137705735, 'US', 'United States'),
(31185, '67.208.3.8', '67.208.3.39', 1137705736, 1137705767, 'CA', 'Canada'),
(31186, '67.208.3.40', '67.208.3.63', 1137705768, 1137705791, 'US', 'United States'),
(31187, '67.208.3.64', '67.208.3.151', 1137705792, 1137705879, 'CA', 'Canada'),
(31188, '67.208.3.152', '67.208.3.159', 1137705880, 1137705887, 'US', 'United States'),
(31189, '67.208.3.160', '67.208.3.175', 1137705888, 1137705903, 'CA', 'Canada'),
(31190, '67.208.3.176', '67.208.3.183', 1137705904, 1137705911, 'US', 'United States'),
(31191, '67.208.3.184', '67.208.3.215', 1137705912, 1137705943, 'CA', 'Canada'),
(31192, '67.208.3.216', '67.208.3.223', 1137705944, 1137705951, 'US', 'United States'),
(31193, '67.208.3.224', '67.208.5.7', 1137705952, 1137706247, 'CA', 'Canada'),
(31194, '67.208.5.8', '67.208.5.23', 1137706248, 1137706263, 'US', 'United States'),
(31195, '67.208.5.24', '67.208.5.79', 1137706264, 1137706319, 'CA', 'Canada'),
(31196, '67.208.5.80', '67.208.5.119', 1137706320, 1137706359, 'US', 'United States'),
(31197, '67.208.5.120', '67.208.5.135', 1137706360, 1137706375, 'CA', 'Canada'),
(31198, '67.208.5.136', '67.208.5.143', 1137706376, 1137706383, 'US', 'United States'),
(31199, '67.208.5.144', '67.208.7.23', 1137706384, 1137706775, 'CA', 'Canada'),
(31200, '67.208.7.24', '67.208.7.39', 1137706776, 1137706791, 'US', 'United States'),
(31201, '67.208.7.40', '67.208.7.55', 1137706792, 1137706807, 'CA', 'Canada'),
(31202, '67.208.7.56', '67.208.7.71', 1137706808, 1137706823, 'US', 'United States'),
(31203, '67.208.7.72', '67.208.7.79', 1137706824, 1137706831, 'CA', 'Canada'),
(31204, '67.208.7.80', '67.208.7.87', 1137706832, 1137706839, 'US', 'United States'),
(31205, '67.208.7.88', '67.208.7.127', 1137706840, 1137706879, 'CA', 'Canada'),
(31206, '67.208.7.128', '67.208.7.135', 1137706880, 1137706887, 'US', 'United States'),
(31207, '67.208.7.136', '67.208.7.151', 1137706888, 1137706903, 'CA', 'Canada'),
(31208, '67.208.7.152', '67.208.7.191', 1137706904, 1137706943, 'US', 'United States'),
(31209, '67.208.7.192', '67.208.7.239', 1137706944, 1137706991, 'CA', 'Canada'),
(31210, '67.208.7.240', '67.208.7.255', 1137706992, 1137707007, 'US', 'United States'),
(31211, '67.208.8.0', '67.208.8.63', 1137707008, 1137707071, 'CA', 'Canada'),
(31212, '67.208.8.64', '67.208.8.87', 1137707072, 1137707095, 'US', 'United States'),
(31213, '67.208.8.88', '67.208.8.119', 1137707096, 1137707127, 'CA', 'Canada'),
(31214, '67.208.8.120', '67.208.8.135', 1137707128, 1137707143, 'US', 'United States'),
(31215, '67.208.8.136', '67.208.8.143', 1137707144, 1137707151, 'CA', 'Canada'),
(31216, '67.208.8.144', '67.208.8.151', 1137707152, 1137707159, 'NL', 'Netherlands'),
(31217, '67.208.8.152', '67.208.8.183', 1137707160, 1137707191, 'US', 'United States'),
(31218, '67.208.8.184', '67.208.8.191', 1137707192, 1137707199, 'CA', 'Canada'),
(31219, '67.208.8.192', '67.208.8.199', 1137707200, 1137707207, 'NL', 'Netherlands'),
(31220, '67.208.8.200', '67.208.8.215', 1137707208, 1137707223, 'US', 'United States'),
(31221, '67.208.8.216', '67.208.8.247', 1137707224, 1137707255, 'CA', 'Canada'),
(31222, '67.208.8.248', '67.208.8.255', 1137707256, 1137707263, 'US', 'United States'),
(31223, '67.208.9.0', '67.208.9.255', 1137707264, 1137707519, 'CA', 'Canada'),
(31224, '67.208.10.0', '67.208.10.55', 1137707520, 1137707575, 'US', 'United States'),
(31225, '67.208.10.56', '67.208.10.63', 1137707576, 1137707583, 'NL', 'Netherlands'),
(31226, '67.208.10.64', '67.208.10.103', 1137707584, 1137707623, 'CA', 'Canada'),
(31227, '67.208.10.104', '67.208.10.127', 1137707624, 1137707647, 'US', 'United States'),
(31228, '67.208.10.128', '67.208.10.143', 1137707648, 1137707663, 'CA', 'Canada'),
(31229, '67.208.10.144', '67.208.10.159', 1137707664, 1137707679, 'US', 'United States'),
(31230, '67.208.10.160', '67.208.10.175', 1137707680, 1137707695, 'CA', 'Canada'),
(31231, '67.208.10.176', '67.208.10.199', 1137707696, 1137707719, 'NL', 'Netherlands'),
(31232, '67.208.10.200', '67.208.10.207', 1137707720, 1137707727, 'CA', 'Canada'),
(31233, '67.208.10.208', '67.208.10.223', 1137707728, 1137707743, 'US', 'United States'),
(31234, '67.208.10.224', '67.208.10.239', 1137707744, 1137707759, 'CA', 'Canada'),
(31235, '67.208.10.240', '67.208.10.255', 1137707760, 1137707775, 'US', 'United States'),
(31236, '67.208.11.0', '67.208.11.255', 1137707776, 1137708031, 'CA', 'Canada'),
(31237, '67.208.12.0', '67.208.12.119', 1137708032, 1137708151, 'US', 'United States'),
(31238, '67.208.12.120', '67.208.12.135', 1137708152, 1137708167, 'CA', 'Canada'),
(31239, '67.208.12.136', '67.208.12.143', 1137708168, 1137708175, 'US', 'United States'),
(31240, '67.208.12.144', '67.208.12.151', 1137708176, 1137708183, 'CA', 'Canada'),
(31241, '67.208.12.152', '67.208.12.175', 1137708184, 1137708207, 'US', 'United States'),
(31242, '67.208.12.176', '67.208.12.183', 1137708208, 1137708215, 'CA', 'Canada'),
(31243, '67.208.12.184', '67.208.12.215', 1137708216, 1137708247, 'US', 'United States'),
(31244, '67.208.12.216', '67.208.12.223', 1137708248, 1137708255, 'CA', 'Canada'),
(31245, '67.208.12.224', '67.208.12.247', 1137708256, 1137708279, 'US', 'United States'),
(31246, '67.208.12.248', '67.208.15.127', 1137708280, 1137708927, 'CA', 'Canada'),
(31247, '67.208.15.128', '67.208.15.143', 1137708928, 1137708943, 'US', 'United States'),
(31248, '67.208.15.144', '67.208.15.151', 1137708944, 1137708951, 'CA', 'Canada'),
(31249, '67.208.15.152', '67.208.15.159', 1137708952, 1137708959, 'US', 'United States'),
(31250, '67.208.15.160', '67.208.15.207', 1137708960, 1137709007, 'CA', 'Canada'),
(31251, '67.208.15.208', '67.208.15.223', 1137709008, 1137709023, 'US', 'United States'),
(31252, '67.208.15.224', '67.208.17.39', 1137709024, 1137709351, 'CA', 'Canada'),
(31253, '67.208.17.40', '67.208.17.47', 1137709352, 1137709359, 'US', 'United States'),
(31254, '67.208.17.48', '67.208.17.71', 1137709360, 1137709383, 'CA', 'Canada'),
(31255, '67.208.17.72', '67.208.17.79', 1137709384, 1137709391, 'US', 'United States'),
(31256, '67.208.17.80', '67.208.17.87', 1137709392, 1137709399, 'CA', 'Canada'),
(31257, '67.208.17.88', '67.208.17.95', 1137709400, 1137709407, 'US', 'United States'),
(31258, '67.208.17.96', '67.208.17.111', 1137709408, 1137709423, 'CA', 'Canada'),
(31259, '67.208.17.112', '67.208.17.119', 1137709424, 1137709431, 'US', 'United States'),
(31260, '67.208.17.120', '67.208.17.127', 1137709432, 1137709439, 'CA', 'Canada'),
(31261, '67.208.17.128', '67.208.17.135', 1137709440, 1137709447, 'US', 'United States'),
(31262, '67.208.17.136', '67.208.17.151', 1137709448, 1137709463, 'CA', 'Canada'),
(31263, '67.208.17.152', '67.208.17.175', 1137709464, 1137709487, 'US', 'United States'),
(31264, '67.208.17.176', '67.208.19.7', 1137709488, 1137709831, 'CA', 'Canada'),
(31265, '67.208.19.8', '67.208.19.15', 1137709832, 1137709839, 'US', 'United States'),
(31266, '67.208.19.16', '67.208.19.79', 1137709840, 1137709903, 'CA', 'Canada'),
(31267, '67.208.19.80', '67.208.19.87', 1137709904, 1137709911, 'US', 'United States'),
(31268, '67.208.19.88', '67.208.19.135', 1137709912, 1137709959, 'CA', 'Canada'),
(31269, '67.208.19.136', '67.208.19.143', 1137709960, 1137709967, 'NL', 'Netherlands'),
(31270, '67.208.19.144', '67.208.20.7', 1137709968, 1137710087, 'CA', 'Canada'),
(31271, '67.208.20.8', '67.208.20.15', 1137710088, 1137710095, 'US', 'United States'),
(31272, '67.208.20.16', '67.208.20.71', 1137710096, 1137710151, 'CA', 'Canada'),
(31273, '67.208.20.72', '67.208.20.79', 1137710152, 1137710159, 'US', 'United States'),
(31274, '67.208.20.80', '67.208.20.95', 1137710160, 1137710175, 'CA', 'Canada'),
(31275, '67.208.20.96', '67.208.20.103', 1137710176, 1137710183, 'US', 'United States'),
(31276, '67.208.20.104', '67.208.20.111', 1137710184, 1137710191, 'CA', 'Canada'),
(31277, '67.208.20.112', '67.208.20.119', 1137710192, 1137710199, 'NL', 'Netherlands'),
(31278, '67.208.20.120', '67.208.20.135', 1137710200, 1137710215, 'CA', 'Canada'),
(31279, '67.208.20.136', '67.208.20.151', 1137710216, 1137710231, 'US', 'United States'),
(31280, '67.208.20.152', '67.208.20.159', 1137710232, 1137710239, 'NL', 'Netherlands'),
(31281, '67.208.20.160', '67.208.20.167', 1137710240, 1137710247, 'US', 'United States'),
(31282, '67.208.20.168', '67.208.20.215', 1137710248, 1137710295, 'CA', 'Canada'),
(31283, '67.208.20.216', '67.208.20.231', 1137710296, 1137710311, 'US', 'United States'),
(31284, '67.208.20.232', '67.208.22.255', 1137710312, 1137710847, 'CA', 'Canada'),
(31285, '67.208.23.0', '67.208.23.111', 1137710848, 1137710959, 'US', 'United States'),
(31286, '67.208.23.112', '67.208.23.119', 1137710960, 1137710967, 'CA', 'Canada'),
(31287, '67.208.23.120', '67.208.24.31', 1137710968, 1137711135, 'US', 'United States'),
(31288, '67.208.24.32', '67.208.24.63', 1137711136, 1137711167, 'CA', 'Canada'),
(31289, '67.208.24.64', '67.208.24.71', 1137711168, 1137711175, 'US', 'United States'),
(31290, '67.208.24.72', '67.208.24.87', 1137711176, 1137711191, 'CA', 'Canada'),
(31291, '67.208.24.88', '67.208.24.95', 1137711192, 1137711199, 'NL', 'Netherlands'),
(31292, '67.208.24.96', '67.208.24.103', 1137711200, 1137711207, 'CA', 'Canada'),
(31293, '67.208.24.104', '67.208.24.111', 1137711208, 1137711215, 'NL', 'Netherlands'),
(31294, '67.208.24.112', '67.208.24.119', 1137711216, 1137711223, 'US', 'United States'),
(31295, '67.208.24.120', '67.208.24.127', 1137711224, 1137711231, 'CA', 'Canada'),
(31296, '67.208.24.128', '67.208.24.135', 1137711232, 1137711239, 'NL', 'Netherlands'),
(31297, '67.208.24.136', '67.208.24.143', 1137711240, 1137711247, 'US', 'United States'),
(31298, '67.208.24.144', '67.208.24.151', 1137711248, 1137711255, 'CA', 'Canada'),
(31299, '67.208.24.152', '67.208.24.159', 1137711256, 1137711263, 'NL', 'Netherlands'),
(31300, '67.208.24.160', '67.208.24.175', 1137711264, 1137711279, 'US', 'United States'),
(31301, '67.208.24.176', '67.208.24.183', 1137711280, 1137711287, 'NL', 'Netherlands'),
(31302, '67.208.24.184', '67.208.24.191', 1137711288, 1137711295, 'US', 'United States'),
(31303, '67.208.24.192', '67.208.24.199', 1137711296, 1137711303, 'NL', 'Netherlands'),
(31304, '67.208.24.200', '67.208.24.231', 1137711304, 1137711335, 'US', 'United States'),
(31305, '67.208.24.232', '67.208.25.7', 1137711336, 1137711367, 'CA', 'Canada'),
(31306, '67.208.25.8', '67.208.25.15', 1137711368, 1137711375, 'US', 'United States'),
(31307, '67.208.25.16', '67.208.25.39', 1137711376, 1137711399, 'CA', 'Canada'),
(31308, '67.208.25.40', '67.208.25.47', 1137711400, 1137711407, 'US', 'United States'),
(31309, '67.208.25.48', '67.208.25.79', 1137711408, 1137711439, 'CA', 'Canada'),
(31310, '67.208.25.80', '67.208.25.95', 1137711440, 1137711455, 'US', 'United States'),
(31311, '67.208.25.96', '67.208.25.111', 1137711456, 1137711471, 'CA', 'Canada'),
(31312, '67.208.25.112', '67.208.25.127', 1137711472, 1137711487, 'US', 'United States'),
(31313, '67.208.25.128', '67.208.25.143', 1137711488, 1137711503, 'CA', 'Canada'),
(31314, '67.208.25.144', '67.208.25.151', 1137711504, 1137711511, 'US', 'United States'),
(31315, '67.208.25.152', '67.208.25.199', 1137711512, 1137711559, 'CA', 'Canada'),
(31316, '67.208.25.200', '67.208.25.207', 1137711560, 1137711567, 'US', 'United States'),
(31317, '67.208.25.208', '67.208.25.215', 1137711568, 1137711575, 'CA', 'Canada'),
(31318, '67.208.25.216', '67.208.26.23', 1137711576, 1137711639, 'US', 'United States'),
(31319, '67.208.26.24', '67.208.26.31', 1137711640, 1137711647, 'CA', 'Canada'),
(31320, '67.208.26.32', '67.208.26.39', 1137711648, 1137711655, 'US', 'United States'),
(31321, '67.208.26.40', '67.208.26.71', 1137711656, 1137711687, 'CA', 'Canada'),
(31322, '67.208.26.72', '67.208.26.87', 1137711688, 1137711703, 'US', 'United States'),
(31323, '67.208.26.88', '67.208.26.127', 1137711704, 1137711743, 'CA', 'Canada'),
(31324, '67.208.26.128', '67.208.26.135', 1137711744, 1137711751, 'US', 'United States'),
(31325, '67.208.26.136', '67.208.26.143', 1137711752, 1137711759, 'CA', 'Canada'),
(31326, '67.208.26.144', '67.208.26.151', 1137711760, 1137711767, 'US', 'United States'),
(31327, '67.208.26.152', '67.208.26.175', 1137711768, 1137711791, 'CA', 'Canada'),
(31328, '67.208.26.176', '67.208.26.191', 1137711792, 1137711807, 'US', 'United States'),
(31329, '67.208.26.192', '67.208.26.247', 1137711808, 1137711863, 'CA', 'Canada'),
(31330, '67.208.26.248', '67.208.26.255', 1137711864, 1137711871, 'US', 'United States'),
(31331, '67.208.27.0', '67.208.27.135', 1137711872, 1137712007, 'CA', 'Canada'),
(31332, '67.208.27.136', '67.208.27.143', 1137712008, 1137712015, 'US', 'United States'),
(31333, '67.208.27.144', '67.208.27.183', 1137712016, 1137712055, 'CA', 'Canada'),
(31334, '67.208.27.184', '67.208.27.247', 1137712056, 1137712119, 'US', 'United States'),
(31335, '67.208.27.248', '67.208.27.255', 1137712120, 1137712127, 'CA', 'Canada'),
(31336, '67.208.28.0', '67.208.28.7', 1137712128, 1137712135, 'US', 'United States'),
(31337, '67.208.28.8', '67.208.28.23', 1137712136, 1137712151, 'CA', 'Canada'),
(31338, '67.208.28.24', '67.208.28.55', 1137712152, 1137712183, 'US', 'United States'),
(31339, '67.208.28.56', '67.208.28.63', 1137712184, 1137712191, 'CA', 'Canada'),
(31340, '67.208.28.64', '67.208.28.87', 1137712192, 1137712215, 'US', 'United States'),
(31341, '67.208.28.88', '67.208.28.95', 1137712216, 1137712223, 'CA', 'Canada'),
(31342, '67.208.28.96', '67.208.28.111', 1137712224, 1137712239, 'US', 'United States'),
(31343, '67.208.28.112', '67.208.28.127', 1137712240, 1137712255, 'CA', 'Canada'),
(31344, '67.208.28.128', '67.208.28.135', 1137712256, 1137712263, 'US', 'United States'),
(31345, '67.208.28.136', '67.208.28.151', 1137712264, 1137712279, 'CA', 'Canada'),
(31346, '67.208.28.152', '67.208.28.159', 1137712280, 1137712287, 'US', 'United States'),
(31347, '67.208.28.160', '67.208.28.167', 1137712288, 1137712295, 'CA', 'Canada'),
(31348, '67.208.28.168', '67.208.28.199', 1137712296, 1137712327, 'US', 'United States'),
(31349, '67.208.28.200', '67.208.28.215', 1137712328, 1137712343, 'CA', 'Canada'),
(31350, '67.208.28.216', '67.208.28.231', 1137712344, 1137712359, 'US', 'United States'),
(31351, '67.208.28.232', '67.208.28.255', 1137712360, 1137712383, 'CA', 'Canada'),
(31352, '67.208.29.0', '67.208.30.31', 1137712384, 1137712671, 'US', 'United States'),
(31353, '67.208.30.32', '67.208.30.47', 1137712672, 1137712687, 'CA', 'Canada'),
(31354, '67.208.30.48', '67.208.30.71', 1137712688, 1137712711, 'US', 'United States'),
(31355, '67.208.30.72', '67.208.30.79', 1137712712, 1137712719, 'CA', 'Canada'),
(31356, '67.208.30.80', '67.208.30.119', 1137712720, 1137712759, 'US', 'United States'),
(31357, '67.208.30.120', '67.208.30.127', 1137712760, 1137712767, 'CA', 'Canada'),
(31358, '67.208.30.128', '67.208.31.23', 1137712768, 1137712919, 'US', 'United States'),
(31359, '67.208.31.24', '67.208.31.31', 1137712920, 1137712927, 'CA', 'Canada'),
(31360, '67.208.31.32', '67.208.31.63', 1137712928, 1137712959, 'US', 'United States'),
(31361, '67.208.31.64', '67.208.31.79', 1137712960, 1137712975, 'CA', 'Canada'),
(31362, '67.208.31.80', '67.208.31.119', 1137712976, 1137713015, 'US', 'United States'),
(31363, '67.208.31.120', '67.208.31.127', 1137713016, 1137713023, 'CA', 'Canada'),
(31364, '67.208.31.128', '67.208.31.175', 1137713024, 1137713071, 'US', 'United States'),
(31365, '67.208.31.176', '67.208.31.191', 1137713072, 1137713087, 'CA', 'Canada'),
(31366, '67.208.31.192', '67.208.31.207', 1137713088, 1137713103, 'US', 'United States'),
(31367, '67.208.31.208', '67.208.31.215', 1137713104, 1137713111, 'CA', 'Canada'),
(31368, '67.208.31.216', '67.208.31.231', 1137713112, 1137713127, 'US', 'United States'),
(31369, '67.208.31.232', '67.208.31.239', 1137713128, 1137713135, 'CA', 'Canada'),
(31370, '67.208.31.240', '67.208.76.79', 1137713136, 1137724495, 'US', 'United States'),
(31371, '67.208.76.80', '67.208.76.95', 1137724496, 1137724511, 'CA', 'Canada'),
(31372, '67.208.76.96', '67.208.76.127', 1137724512, 1137724543, 'US', 'United States'),
(31373, '67.208.76.128', '67.208.76.159', 1137724544, 1137724575, 'CA', 'Canada'),
(31374, '67.208.76.160', '67.208.76.191', 1137724576, 1137724607, 'US', 'United States'),
(31375, '67.208.76.192', '67.208.76.207', 1137724608, 1137724623, 'CA', 'Canada'),
(31376, '67.208.76.208', '67.208.76.239', 1137724624, 1137724655, 'US', 'United States'),
(31377, '67.208.76.240', '67.208.77.15', 1137724656, 1137724687, 'CA', 'Canada'),
(31378, '67.208.77.16', '67.208.77.31', 1137724688, 1137724703, 'US', 'United States'),
(31379, '67.208.77.32', '67.208.77.47', 1137724704, 1137724719, 'CA', 'Canada'),
(31380, '67.208.77.48', '67.208.77.175', 1137724720, 1137724847, 'US', 'United States'),
(31381, '67.208.77.176', '67.208.77.191', 1137724848, 1137724863, 'CA', 'Canada'),
(31382, '67.208.77.192', '67.208.77.239', 1137724864, 1137724911, 'US', 'United States'),
(31383, '67.208.77.240', '67.208.77.255', 1137724912, 1137724927, 'CA', 'Canada'),
(31384, '67.208.78.0', '67.208.207.255', 1137724928, 1137758207, 'US', 'United States'),
(31385, '67.208.208.0', '67.208.208.255', 1137758208, 1137758463, 'GB', 'United Kingdom'),
(31386, '67.208.209.0', '67.208.209.31', 1137758464, 1137758495, 'US', 'United States'),
(31387, '67.208.209.32', '67.208.209.63', 1137758496, 1137758527, 'AU', 'Australia'),
(31388, '67.208.209.64', '67.208.209.207', 1137758528, 1137758671, 'US', 'United States'),
(31389, '67.208.209.208', '67.208.209.223', 1137758672, 1137758687, 'CH', 'Switzerland'),
(31390, '67.208.209.224', '67.209.59.255', 1137758688, 1137785855, 'US', 'United States'),
(31391, '67.209.60.0', '67.209.60.255', 1137785856, 1137786111, 'HU', 'Hungary'),
(31392, '67.209.61.0', '67.209.95.255', 1137786112, 1137795071, 'US', 'United States'),
(31393, '67.209.96.0', '67.209.111.255', 1137795072, 1137799167, 'A2', 'Satellite Provider'),
(31394, '67.209.112.0', '67.210.15.255', 1137799168, 1137840127, 'US', 'United States'),
(31395, '67.210.16.0', '67.210.16.255', 1137840128, 1137840383, 'CA', 'Canada'),
(31396, '67.210.17.0', '67.210.29.255', 1137840384, 1137843711, 'US', 'United States'),
(31397, '67.210.30.0', '67.210.30.63', 1137843712, 1137843775, 'NO', 'Norway'),
(31398, '67.210.30.64', '67.210.127.255', 1137843776, 1137868799, 'US', 'United States'),
(31399, '67.210.128.0', '67.210.143.255', 1137868800, 1137872895, 'CA', 'Canada'),
(31400, '67.210.144.0', '67.210.159.255', 1137872896, 1137876991, 'US', 'United States'),
(31401, '67.210.160.0', '67.210.175.255', 1137876992, 1137881087, 'CA', 'Canada'),
(31402, '67.210.176.0', '67.210.207.255', 1137881088, 1137889279, 'US', 'United States'),
(31403, '67.210.208.0', '67.210.223.255', 1137889280, 1137893375, 'CA', 'Canada'),
(31404, '67.210.224.0', '67.210.225.159', 1137893376, 1137893791, 'US', 'United States'),
(31405, '67.210.225.160', '67.210.225.167', 1137893792, 1137893799, 'ES', 'Spain'),
(31406, '67.210.225.168', '67.210.225.175', 1137893800, 1137893807, 'US', 'United States'),
(31407, '67.210.225.176', '67.210.225.191', 1137893808, 1137893823, 'AR', 'Argentina'),
(31408, '67.210.225.192', '67.210.227.143', 1137893824, 1137894287, 'US', 'United States'),
(31409, '67.210.227.144', '67.210.227.151', 1137894288, 1137894295, 'GB', 'United Kingdom'),
(31410, '67.210.227.152', '67.210.228.127', 1137894296, 1137894527, 'US', 'United States'),
(31411, '67.210.228.128', '67.210.228.135', 1137894528, 1137894535, 'CO', 'Colombia'),
(31412, '67.210.228.136', '67.210.228.207', 1137894536, 1137894607, 'US', 'United States'),
(31413, '67.210.228.208', '67.210.228.215', 1137894608, 1137894615, 'DO', 'Dominican Republic'),
(31414, '67.210.228.216', '67.210.231.95', 1137894616, 1137895263, 'US', 'United States'),
(31415, '67.210.231.96', '67.210.231.127', 1137895264, 1137895295, 'AU', 'Australia'),
(31416, '67.210.231.128', '67.210.231.143', 1137895296, 1137895311, 'US', 'United States'),
(31417, '67.210.231.144', '67.210.231.151', 1137895312, 1137895319, 'AU', 'Australia'),
(31418, '67.210.231.152', '67.210.233.63', 1137895320, 1137895743, 'US', 'United States'),
(31419, '67.210.233.64', '67.210.233.71', 1137895744, 1137895751, 'CO', 'Colombia'),
(31420, '67.210.233.72', '67.210.235.159', 1137895752, 1137896351, 'US', 'United States'),
(31421, '67.210.235.160', '67.210.235.167', 1137896352, 1137896359, 'IN', 'India'),
(31422, '67.210.235.168', '67.211.63.255', 1137896360, 1137917951, 'US', 'United States'),
(31423, '67.211.64.0', '67.211.79.255', 1137917952, 1137922047, 'CA', 'Canada'),
(31424, '67.211.80.0', '67.211.95.255', 1137922048, 1137926143, 'US', 'United States'),
(31425, '67.211.96.0', '67.211.101.95', 1137926144, 1137927519, 'CA', 'Canada'),
(31426, '67.211.101.96', '67.211.101.103', 1137927520, 1137927527, 'AG', 'Antigua and Barbuda'),
(31427, '67.211.101.104', '67.211.101.255', 1137927528, 1137927679, 'CA', 'Canada'),
(31428, '67.211.102.0', '67.211.102.127', 1137927680, 1137927807, 'CR', 'Costa Rica'),
(31429, '67.211.102.128', '67.211.102.255', 1137927808, 1137927935, 'CA', 'Canada'),
(31430, '67.211.103.0', '67.211.103.127', 1137927936, 1137928063, 'VG', 'Virgin Islands, British'),
(31431, '67.211.103.128', '67.211.103.191', 1137928064, 1137928127, 'BZ', 'Belize'),
(31432, '67.211.103.192', '67.211.104.63', 1137928128, 1137928255, 'CA', 'Canada'),
(31433, '67.211.104.64', '67.211.104.127', 1137928256, 1137928319, 'BZ', 'Belize'),
(31434, '67.211.104.128', '67.211.109.255', 1137928320, 1137929727, 'CA', 'Canada'),
(31435, '67.211.110.0', '67.211.110.255', 1137929728, 1137929983, 'IE', 'Ireland'),
(31436, '67.211.111.0', '67.211.111.159', 1137929984, 1137930143, 'CA', 'Canada'),
(31437, '67.211.111.160', '67.211.111.175', 1137930144, 1137930159, 'MT', 'Malta'),
(31438, '67.211.111.176', '67.211.127.255', 1137930160, 1137934335, 'CA', 'Canada'),
(31439, '67.211.128.0', '67.211.175.217', 1137934336, 1137946585, 'US', 'United States'),
(31440, '67.211.175.218', '67.211.175.225', 1137946586, 1137946593, 'NO', 'Norway'),
(31441, '67.211.175.226', '67.211.191.255', 1137946594, 1137950719, 'US', 'United States'),
(31442, '67.211.192.0', '67.211.197.255', 1137950720, 1137952255, 'CA', 'Canada'),
(31443, '67.211.198.0', '67.211.199.255', 1137952256, 1137952767, 'US', 'United States'),
(31444, '67.211.200.0', '67.211.205.255', 1137952768, 1137954303, 'CA', 'Canada'),
(31445, '67.211.206.0', '67.211.239.255', 1137954304, 1137963007, 'US', 'United States'),
(31446, '67.211.240.0', '67.211.255.255', 1137963008, 1137967103, 'VI', 'Virgin Islands, U.S.'),
(31447, '67.212.0.0', '67.212.31.255', 1137967104, 1137975295, 'CA', 'Canada'),
(31448, '67.212.32.0', '67.212.63.255', 1137975296, 1137983487, 'US', 'United States'),
(31449, '67.212.64.0', '67.212.67.73', 1137983488, 1137984329, 'CA', 'Canada'),
(31450, '67.212.67.74', '67.212.67.74', 1137984330, 1137984330, 'A1', 'Anonymous Proxy'),
(31451, '67.212.67.75', '67.212.81.255', 1137984331, 1137988095, 'CA', 'Canada'),
(31452, '67.212.82.0', '67.212.83.255', 1137988096, 1137988607, 'A1', 'Anonymous Proxy'),
(31453, '67.212.84.0', '67.212.95.255', 1137988608, 1137991679, 'CA', 'Canada'),
(31454, '67.212.96.0', '67.212.128.191', 1137991680, 1138000063, 'US', 'United States'),
(31455, '67.212.128.192', '67.212.128.223', 1138000064, 1138000095, 'CA', 'Canada'),
(31456, '67.212.128.224', '67.212.134.111', 1138000096, 1138001519, 'US', 'United States'),
(31457, '67.212.134.112', '67.212.134.127', 1138001520, 1138001535, 'CA', 'Canada'),
(31458, '67.212.134.128', '67.213.63.255', 1138001536, 1138049023, 'US', 'United States'),
(31459, '67.213.64.0', '67.213.81.255', 1138049024, 1138053631, 'CA', 'Canada'),
(31460, '67.213.82.0', '67.213.82.255', 1138053632, 1138053887, 'US', 'United States'),
(31461, '67.213.83.0', '67.213.111.255', 1138053888, 1138061311, 'CA', 'Canada'),
(31462, '67.213.112.0', '67.214.255.255', 1138061312, 1138163711, 'US', 'United States'),
(31463, '67.215.0.0', '67.215.0.255', 1138163712, 1138163967, 'CA', 'Canada'),
(31464, '67.215.1.0', '67.215.1.7', 1138163968, 1138163975, 'MA', 'Morocco'),
(31465, '67.215.1.8', '67.215.1.23', 1138163976, 1138163991, 'CA', 'Canada'),
(31466, '67.215.1.24', '67.215.1.31', 1138163992, 1138163999, 'HR', 'Croatia'),
(31467, '67.215.1.32', '67.215.1.39', 1138164000, 1138164007, 'PA', 'Panama'),
(31468, '67.215.1.40', '67.215.1.47', 1138164008, 1138164015, 'FR', 'France'),
(31469, '67.215.1.48', '67.215.1.159', 1138164016, 1138164127, 'CA', 'Canada'),
(31470, '67.215.1.160', '67.215.1.183', 1138164128, 1138164151, 'FR', 'France'),
(31471, '67.215.1.184', '67.215.1.207', 1138164152, 1138164175, 'CA', 'Canada'),
(31472, '67.215.1.208', '67.215.1.215', 1138164176, 1138164183, 'SK', 'Slovakia'),
(31473, '67.215.1.216', '67.215.1.223', 1138164184, 1138164191, 'PH', 'Philippines'),
(31474, '67.215.1.224', '67.215.1.231', 1138164192, 1138164199, 'PK', 'Pakistan'),
(31475, '67.215.1.232', '67.215.1.239', 1138164200, 1138164207, 'CA', 'Canada'),
(31476, '67.215.1.240', '67.215.1.247', 1138164208, 1138164215, 'US', 'United States'),
(31477, '67.215.1.248', '67.215.2.31', 1138164216, 1138164255, 'CA', 'Canada'),
(31478, '67.215.2.32', '67.215.2.39', 1138164256, 1138164263, 'LB', 'Lebanon'),
(31479, '67.215.2.40', '67.215.2.47', 1138164264, 1138164271, 'FR', 'France'),
(31480, '67.215.2.48', '67.215.2.55', 1138164272, 1138164279, 'PH', 'Philippines'),
(31481, '67.215.2.56', '67.215.2.103', 1138164280, 1138164327, 'CA', 'Canada'),
(31482, '67.215.2.104', '67.215.2.111', 1138164328, 1138164335, 'PA', 'Panama'),
(31483, '67.215.2.112', '67.215.2.143', 1138164336, 1138164367, 'CA', 'Canada'),
(31484, '67.215.2.144', '67.215.2.151', 1138164368, 1138164375, 'PH', 'Philippines'),
(31485, '67.215.2.152', '67.215.2.175', 1138164376, 1138164399, 'FR', 'France'),
(31486, '67.215.2.176', '67.215.3.31', 1138164400, 1138164511, 'CA', 'Canada'),
(31487, '67.215.3.32', '67.215.3.63', 1138164512, 1138164543, 'FR', 'France'),
(31488, '67.215.3.64', '67.215.3.103', 1138164544, 1138164583, 'CA', 'Canada'),
(31489, '67.215.3.104', '67.215.3.111', 1138164584, 1138164591, 'NZ', 'New Zealand'),
(31490, '67.215.3.112', '67.215.3.175', 1138164592, 1138164655, 'CA', 'Canada'),
(31491, '67.215.3.176', '67.215.3.183', 1138164656, 1138164663, 'MA', 'Morocco'),
(31492, '67.215.3.184', '67.215.4.79', 1138164664, 1138164815, 'CA', 'Canada'),
(31493, '67.215.4.80', '67.215.4.87', 1138164816, 1138164823, 'US', 'United States'),
(31494, '67.215.4.88', '67.215.4.95', 1138164824, 1138164831, 'CA', 'Canada'),
(31495, '67.215.4.96', '67.215.4.103', 1138164832, 1138164839, 'PH', 'Philippines'),
(31496, '67.215.4.104', '67.215.4.127', 1138164840, 1138164863, 'CA', 'Canada'),
(31497, '67.215.4.128', '67.215.4.255', 1138164864, 1138164991, 'US', 'United States'),
(31498, '67.215.5.0', '67.215.6.63', 1138164992, 1138165311, 'CA', 'Canada'),
(31499, '67.215.6.64', '67.215.6.71', 1138165312, 1138165319, 'US', 'United States'),
(31500, '67.215.6.72', '67.215.6.183', 1138165320, 1138165431, 'CA', 'Canada'),
(31501, '67.215.6.184', '67.215.6.191', 1138165432, 1138165439, 'LB', 'Lebanon'),
(31502, '67.215.6.192', '67.215.6.239', 1138165440, 1138165487, 'CA', 'Canada'),
(31503, '67.215.6.240', '67.215.6.255', 1138165488, 1138165503, 'SK', 'Slovakia'),
(31504, '67.215.7.0', '67.215.8.47', 1138165504, 1138165807, 'CA', 'Canada'),
(31505, '67.215.8.48', '67.215.8.55', 1138165808, 1138165815, 'FR', 'France'),
(31506, '67.215.8.56', '67.215.8.63', 1138165816, 1138165823, 'CH', 'Switzerland'),
(31507, '67.215.8.64', '67.215.8.135', 1138165824, 1138165895, 'CA', 'Canada'),
(31508, '67.215.8.136', '67.215.8.143', 1138165896, 1138165903, 'LB', 'Lebanon'),
(31509, '67.215.8.144', '67.215.8.175', 1138165904, 1138165935, 'CA', 'Canada'),
(31510, '67.215.8.176', '67.215.8.183', 1138165936, 1138165943, 'IL', 'Israel'),
(31511, '67.215.8.184', '67.215.8.199', 1138165944, 1138165959, 'CA', 'Canada'),
(31512, '67.215.8.200', '67.215.8.215', 1138165960, 1138165975, 'FR', 'France'),
(31513, '67.215.8.216', '67.215.8.223', 1138165976, 1138165983, 'US', 'United States'),
(31514, '67.215.8.224', '67.215.9.167', 1138165984, 1138166183, 'CA', 'Canada'),
(31515, '67.215.9.168', '67.215.9.175', 1138166184, 1138166191, 'FR', 'France'),
(31516, '67.215.9.176', '67.215.9.183', 1138166192, 1138166199, 'CA', 'Canada'),
(31517, '67.215.9.184', '67.215.9.191', 1138166200, 1138166207, 'FR', 'France'),
(31518, '67.215.9.192', '67.215.10.255', 1138166208, 1138166527, 'CA', 'Canada'),
(31519, '67.215.11.0', '67.215.11.7', 1138166528, 1138166535, 'TR', 'Turkey'),
(31520, '67.215.11.8', '67.215.11.111', 1138166536, 1138166639, 'CA', 'Canada'),
(31521, '67.215.11.112', '67.215.11.119', 1138166640, 1138166647, 'FR', 'France'),
(31522, '67.215.11.120', '67.215.11.127', 1138166648, 1138166655, 'CA', 'Canada'),
(31523, '67.215.11.128', '67.215.11.135', 1138166656, 1138166663, 'FR', 'France'),
(31524, '67.215.11.136', '67.215.11.143', 1138166664, 1138166671, 'LB', 'Lebanon'),
(31525, '67.215.11.144', '67.215.11.175', 1138166672, 1138166703, 'CA', 'Canada'),
(31526, '67.215.11.176', '67.215.11.183', 1138166704, 1138166711, 'FR', 'France'),
(31527, '67.215.11.184', '67.215.11.191', 1138166712, 1138166719, 'AE', 'United Arab Emirates'),
(31528, '67.215.11.192', '67.215.12.35', 1138166720, 1138166819, 'CA', 'Canada'),
(31529, '67.215.12.36', '67.215.12.39', 1138166820, 1138166823, 'PA', 'Panama'),
(31530, '67.215.12.40', '67.215.12.95', 1138166824, 1138166879, 'CA', 'Canada'),
(31531, '67.215.12.96', '67.215.12.103', 1138166880, 1138166887, 'RU', 'Russian Federation'),
(31532, '67.215.12.104', '67.215.12.135', 1138166888, 1138166919, 'CA', 'Canada'),
(31533, '67.215.12.136', '67.215.12.143', 1138166920, 1138166927, 'PH', 'Philippines'),
(31534, '67.215.12.144', '67.215.12.183', 1138166928, 1138166967, 'CA', 'Canada'),
(31535, '67.215.12.184', '67.215.12.199', 1138166968, 1138166983, 'FR', 'France'),
(31536, '67.215.12.200', '67.215.12.207', 1138166984, 1138166991, 'SE', 'Sweden'),
(31537, '67.215.12.208', '67.215.12.215', 1138166992, 1138166999, 'PH', 'Philippines'),
(31538, '67.215.12.216', '67.215.12.223', 1138167000, 1138167007, 'CA', 'Canada'),
(31539, '67.215.12.224', '67.215.12.231', 1138167008, 1138167015, 'FR', 'France'),
(31540, '67.215.12.232', '67.215.12.247', 1138167016, 1138167031, 'CA', 'Canada'),
(31541, '67.215.12.248', '67.215.12.255', 1138167032, 1138167039, 'FR', 'France'),
(31542, '67.215.13.0', '67.215.13.159', 1138167040, 1138167199, 'MA', 'Morocco'),
(31543, '67.215.13.160', '67.215.13.167', 1138167200, 1138167207, 'UA', 'Ukraine'),
(31544, '67.215.13.168', '67.215.13.175', 1138167208, 1138167215, 'AE', 'United Arab Emirates'),
(31545, '67.215.13.176', '67.215.13.179', 1138167216, 1138167219, 'PH', 'Philippines'),
(31546, '67.215.13.180', '67.215.13.199', 1138167220, 1138167239, 'CA', 'Canada'),
(31547, '67.215.13.200', '67.215.13.207', 1138167240, 1138167247, 'FR', 'France'),
(31548, '67.215.13.208', '67.215.14.247', 1138167248, 1138167543, 'CA', 'Canada'),
(31549, '67.215.14.248', '67.215.14.255', 1138167544, 1138167551, 'PA', 'Panama'),
(31550, '67.215.15.0', '67.215.15.255', 1138167552, 1138167807, 'CA', 'Canada'),
(31551, '67.215.16.0', '67.215.47.255', 1138167808, 1138175999, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(31552, '67.215.48.0', '67.215.63.255', 1138176000, 1138180095, 'CA', 'Canada'),
(31553, '67.215.64.0', '67.215.79.255', 1138180096, 1138184191, 'US', 'United States'),
(31554, '67.215.80.0', '67.215.80.255', 1138184192, 1138184447, 'SG', 'Singapore'),
(31555, '67.215.81.0', '67.215.95.255', 1138184448, 1138188287, 'US', 'United States'),
(31556, '67.215.96.0', '67.215.111.255', 1138188288, 1138192383, 'PR', 'Puerto Rico'),
(31557, '67.215.112.0', '67.215.127.255', 1138192384, 1138196479, 'US', 'United States'),
(31558, '67.215.128.0', '67.215.159.255', 1138196480, 1138204671, 'CA', 'Canada'),
(31559, '67.215.160.0', '67.215.191.255', 1138204672, 1138212863, 'US', 'United States'),
(31560, '67.215.192.0', '67.215.207.255', 1138212864, 1138216959, 'CA', 'Canada'),
(31561, '67.215.208.0', '67.216.163.111', 1138216960, 1138271087, 'US', 'United States'),
(31562, '67.216.163.112', '67.216.163.127', 1138271088, 1138271103, 'TN', 'Tunisia'),
(31563, '67.216.163.128', '67.217.165.143', 1138271104, 1138337167, 'US', 'United States'),
(31564, '67.217.165.144', '67.217.165.159', 1138337168, 1138337183, 'GB', 'United Kingdom'),
(31565, '67.217.165.160', '67.217.165.175', 1138337184, 1138337199, 'US', 'United States'),
(31566, '67.217.165.176', '67.217.165.183', 1138337200, 1138337207, 'SG', 'Singapore'),
(31567, '67.217.165.184', '67.218.231.255', 1138337208, 1138419711, 'US', 'United States'),
(31568, '67.218.232.0', '67.218.232.255', 1138419712, 1138419967, 'DE', 'Germany'),
(31569, '67.218.233.0', '67.218.241.255', 1138419968, 1138422271, 'US', 'United States'),
(31570, '67.218.242.0', '67.218.242.255', 1138422272, 1138422527, 'DE', 'Germany'),
(31571, '67.218.243.0', '67.218.249.255', 1138422528, 1138424319, 'US', 'United States'),
(31572, '67.218.250.0', '67.218.250.255', 1138424320, 1138424575, 'CA', 'Canada'),
(31573, '67.218.251.0', '67.219.211.255', 1138424576, 1138480127, 'US', 'United States'),
(31574, '67.219.212.0', '67.219.212.255', 1138480128, 1138480383, 'AU', 'Australia'),
(31575, '67.219.213.0', '67.219.213.255', 1138480384, 1138480639, 'US', 'United States'),
(31576, '67.219.214.0', '67.219.216.255', 1138480640, 1138481407, 'AU', 'Australia'),
(31577, '67.219.217.0', '67.219.217.255', 1138481408, 1138481663, 'US', 'United States'),
(31578, '67.219.218.0', '67.219.221.255', 1138481664, 1138482687, 'AU', 'Australia'),
(31579, '67.219.222.0', '67.220.31.255', 1138482688, 1138499583, 'US', 'United States'),
(31580, '67.220.32.0', '67.220.47.255', 1138499584, 1138503679, 'CA', 'Canada'),
(31581, '67.220.48.0', '67.220.64.255', 1138503680, 1138508031, 'US', 'United States'),
(31582, '67.220.65.0', '67.220.65.63', 1138508032, 1138508095, 'GB', 'United Kingdom'),
(31583, '67.220.65.64', '67.220.66.159', 1138508096, 1138508447, 'US', 'United States'),
(31584, '67.220.66.160', '67.220.66.191', 1138508448, 1138508479, 'IT', 'Italy'),
(31585, '67.220.66.192', '67.220.66.223', 1138508480, 1138508511, 'US', 'United States'),
(31586, '67.220.66.224', '67.220.66.255', 1138508512, 1138508543, 'CR', 'Costa Rica'),
(31587, '67.220.67.0', '67.220.67.31', 1138508544, 1138508575, 'US', 'United States'),
(31588, '67.220.67.32', '67.220.67.47', 1138508576, 1138508591, 'IT', 'Italy'),
(31589, '67.220.67.48', '67.220.67.191', 1138508592, 1138508735, 'US', 'United States'),
(31590, '67.220.67.192', '67.220.67.223', 1138508736, 1138508767, 'CR', 'Costa Rica'),
(31591, '67.220.67.224', '67.220.71.255', 1138508768, 1138509823, 'US', 'United States'),
(31592, '67.220.72.0', '67.220.75.255', 1138509824, 1138510847, 'IN', 'India'),
(31593, '67.220.76.0', '67.220.76.31', 1138510848, 1138510879, 'CA', 'Canada'),
(31594, '67.220.76.32', '67.220.76.63', 1138510880, 1138510911, 'US', 'United States'),
(31595, '67.220.76.64', '67.220.76.127', 1138510912, 1138510975, 'IN', 'India'),
(31596, '67.220.76.128', '67.220.76.255', 1138510976, 1138511103, 'MY', 'Malaysia'),
(31597, '67.220.77.0', '67.220.77.63', 1138511104, 1138511167, 'CH', 'Switzerland'),
(31598, '67.220.77.64', '67.220.81.255', 1138511168, 1138512383, 'US', 'United States'),
(31599, '67.220.82.0', '67.220.82.31', 1138512384, 1138512415, 'ID', 'Indonesia'),
(31600, '67.220.82.32', '67.220.82.255', 1138512416, 1138512639, 'US', 'United States'),
(31601, '67.220.83.0', '67.220.83.31', 1138512640, 1138512671, 'ID', 'Indonesia'),
(31602, '67.220.83.32', '67.220.83.255', 1138512672, 1138512895, 'US', 'United States'),
(31603, '67.220.84.0', '67.220.84.31', 1138512896, 1138512927, 'ID', 'Indonesia'),
(31604, '67.220.84.32', '67.220.208.255', 1138512928, 1138544895, 'US', 'United States'),
(31605, '67.220.209.0', '67.220.209.255', 1138544896, 1138545151, 'GB', 'United Kingdom'),
(31606, '67.220.210.0', '67.221.143.255', 1138545152, 1138593791, 'US', 'United States'),
(31607, '67.221.144.0', '67.221.159.255', 1138593792, 1138597887, 'CA', 'Canada'),
(31608, '67.221.160.0', '67.221.169.255', 1138597888, 1138600447, 'US', 'United States'),
(31609, '67.221.170.0', '67.221.170.255', 1138600448, 1138600703, 'BE', 'Belgium'),
(31610, '67.221.171.0', '67.221.228.3', 1138600704, 1138615299, 'US', 'United States'),
(31611, '67.221.228.4', '67.221.228.27', 1138615300, 1138615323, 'IT', 'Italy'),
(31612, '67.221.228.28', '67.221.254.255', 1138615324, 1138622207, 'US', 'United States'),
(31613, '67.221.255.0', '67.221.255.255', 1138622208, 1138622463, 'A1', 'Anonymous Proxy'),
(31614, '67.222.0.0', '67.222.128.13', 1138622464, 1138655245, 'US', 'United States'),
(31615, '67.222.128.14', '67.222.128.84', 1138655246, 1138655316, 'CA', 'Canada'),
(31616, '67.222.128.85', '67.222.128.142', 1138655317, 1138655374, 'US', 'United States'),
(31617, '67.222.128.143', '67.222.128.150', 1138655375, 1138655382, 'CA', 'Canada'),
(31618, '67.222.128.151', '67.222.128.214', 1138655383, 1138655446, 'US', 'United States'),
(31619, '67.222.128.215', '67.222.128.222', 1138655447, 1138655454, 'CA', 'Canada'),
(31620, '67.222.128.223', '67.222.128.226', 1138655455, 1138655458, 'US', 'United States'),
(31621, '67.222.128.227', '67.222.128.254', 1138655459, 1138655486, 'CA', 'Canada'),
(31622, '67.222.128.255', '67.222.129.15', 1138655487, 1138655503, 'US', 'United States'),
(31623, '67.222.129.16', '67.222.129.33', 1138655504, 1138655521, 'MX', 'Mexico'),
(31624, '67.222.129.34', '67.222.129.93', 1138655522, 1138655581, 'US', 'United States'),
(31625, '67.222.129.94', '67.222.129.101', 1138655582, 1138655589, 'MX', 'Mexico'),
(31626, '67.222.129.102', '67.222.129.121', 1138655590, 1138655609, 'US', 'United States'),
(31627, '67.222.129.122', '67.222.129.129', 1138655610, 1138655617, 'MX', 'Mexico'),
(31628, '67.222.129.130', '67.222.129.141', 1138655618, 1138655629, 'US', 'United States'),
(31629, '67.222.129.142', '67.222.129.149', 1138655630, 1138655637, 'EG', 'Egypt'),
(31630, '67.222.129.150', '67.222.129.207', 1138655638, 1138655695, 'US', 'United States'),
(31631, '67.222.129.208', '67.222.129.215', 1138655696, 1138655703, 'MX', 'Mexico'),
(31632, '67.222.129.216', '67.222.129.227', 1138655704, 1138655715, 'US', 'United States'),
(31633, '67.222.129.228', '67.222.129.235', 1138655716, 1138655723, 'GB', 'United Kingdom'),
(31634, '67.222.129.236', '67.222.129.243', 1138655724, 1138655731, 'US', 'United States'),
(31635, '67.222.129.244', '67.222.129.251', 1138655732, 1138655739, 'VE', 'Venezuela'),
(31636, '67.222.129.252', '67.222.130.73', 1138655740, 1138655817, 'US', 'United States'),
(31637, '67.222.130.74', '67.222.130.81', 1138655818, 1138655825, 'MX', 'Mexico'),
(31638, '67.222.130.82', '67.222.130.155', 1138655826, 1138655899, 'US', 'United States'),
(31639, '67.222.130.156', '67.222.130.167', 1138655900, 1138655911, 'MX', 'Mexico'),
(31640, '67.222.130.168', '67.222.131.25', 1138655912, 1138656025, 'US', 'United States'),
(31641, '67.222.131.26', '67.222.131.33', 1138656026, 1138656033, 'MX', 'Mexico'),
(31642, '67.222.131.34', '67.222.131.69', 1138656034, 1138656069, 'US', 'United States'),
(31643, '67.222.131.70', '67.222.131.77', 1138656070, 1138656077, 'EG', 'Egypt'),
(31644, '67.222.131.78', '67.222.131.93', 1138656078, 1138656093, 'MX', 'Mexico'),
(31645, '67.222.131.94', '67.222.131.141', 1138656094, 1138656141, 'US', 'United States'),
(31646, '67.222.131.142', '67.222.131.173', 1138656142, 1138656173, 'GB', 'United Kingdom'),
(31647, '67.222.131.174', '67.222.131.190', 1138656174, 1138656190, 'US', 'United States'),
(31648, '67.222.131.191', '67.222.131.198', 1138656191, 1138656198, 'CH', 'Switzerland'),
(31649, '67.222.131.199', '67.222.131.206', 1138656199, 1138656206, 'GB', 'United Kingdom'),
(31650, '67.222.131.207', '67.222.131.222', 1138656207, 1138656222, 'US', 'United States'),
(31651, '67.222.131.223', '67.222.131.230', 1138656223, 1138656230, 'EG', 'Egypt'),
(31652, '67.222.131.231', '67.222.132.132', 1138656231, 1138656388, 'US', 'United States'),
(31653, '67.222.132.133', '67.222.132.140', 1138656389, 1138656396, 'ID', 'Indonesia'),
(31654, '67.222.132.141', '67.222.133.85', 1138656397, 1138656597, 'US', 'United States'),
(31655, '67.222.133.86', '67.222.133.101', 1138656598, 1138656613, 'EG', 'Egypt'),
(31656, '67.222.133.102', '67.222.133.149', 1138656614, 1138656661, 'US', 'United States'),
(31657, '67.222.133.150', '67.222.133.157', 1138656662, 1138656669, 'MA', 'Morocco'),
(31658, '67.222.133.158', '67.222.133.233', 1138656670, 1138656745, 'US', 'United States'),
(31659, '67.222.133.234', '67.222.133.241', 1138656746, 1138656753, 'AE', 'United Arab Emirates'),
(31660, '67.222.133.242', '67.222.134.141', 1138656754, 1138656909, 'US', 'United States'),
(31661, '67.222.134.142', '67.222.134.149', 1138656910, 1138656917, 'IN', 'India'),
(31662, '67.222.134.150', '67.222.134.229', 1138656918, 1138656997, 'US', 'United States'),
(31663, '67.222.134.230', '67.222.134.237', 1138656998, 1138657005, 'EG', 'Egypt'),
(31664, '67.222.134.238', '67.222.135.77', 1138657006, 1138657101, 'US', 'United States'),
(31665, '67.222.135.78', '67.222.135.85', 1138657102, 1138657109, 'IN', 'India'),
(31666, '67.222.135.86', '67.222.135.86', 1138657110, 1138657110, 'US', 'United States'),
(31667, '67.222.135.87', '67.222.135.94', 1138657111, 1138657118, 'SE', 'Sweden'),
(31668, '67.222.135.95', '67.222.135.99', 1138657119, 1138657123, 'US', 'United States'),
(31669, '67.222.135.100', '67.222.135.107', 1138657124, 1138657131, 'EG', 'Egypt'),
(31670, '67.222.135.108', '67.222.135.149', 1138657132, 1138657173, 'US', 'United States'),
(31671, '67.222.135.150', '67.222.135.157', 1138657174, 1138657181, 'EG', 'Egypt'),
(31672, '67.222.135.158', '67.222.135.182', 1138657182, 1138657206, 'US', 'United States'),
(31673, '67.222.135.183', '67.222.135.190', 1138657207, 1138657214, 'EG', 'Egypt'),
(31674, '67.222.135.191', '67.222.135.198', 1138657215, 1138657222, 'IN', 'India'),
(31675, '67.222.135.199', '67.222.135.211', 1138657223, 1138657235, 'US', 'United States'),
(31676, '67.222.135.212', '67.222.135.220', 1138657236, 1138657244, 'MA', 'Morocco'),
(31677, '67.222.135.221', '67.222.136.44', 1138657245, 1138657324, 'US', 'United States'),
(31678, '67.222.136.45', '67.222.136.52', 1138657325, 1138657332, 'LK', 'Sri Lanka'),
(31679, '67.222.136.53', '67.222.136.121', 1138657333, 1138657401, 'US', 'United States'),
(31680, '67.222.136.122', '67.222.136.129', 1138657402, 1138657409, 'IN', 'India'),
(31681, '67.222.136.130', '67.222.136.224', 1138657410, 1138657504, 'US', 'United States'),
(31682, '67.222.136.225', '67.222.136.240', 1138657505, 1138657520, 'EG', 'Egypt'),
(31683, '67.222.136.241', '67.222.137.196', 1138657521, 1138657732, 'US', 'United States'),
(31684, '67.222.137.197', '67.222.137.204', 1138657733, 1138657740, 'VE', 'Venezuela'),
(31685, '67.222.137.205', '67.222.137.212', 1138657741, 1138657748, 'US', 'United States'),
(31686, '67.222.137.213', '67.222.137.244', 1138657749, 1138657780, 'GB', 'United Kingdom'),
(31687, '67.222.137.245', '67.222.139.9', 1138657781, 1138658057, 'US', 'United States'),
(31688, '67.222.139.10', '67.222.139.75', 1138658058, 1138658123, 'GB', 'United Kingdom'),
(31689, '67.222.139.76', '67.222.139.83', 1138658124, 1138658131, 'US', 'United States'),
(31690, '67.222.139.84', '67.222.139.115', 1138658132, 1138658163, 'EG', 'Egypt'),
(31691, '67.222.139.116', '67.222.139.127', 1138658164, 1138658175, 'US', 'United States'),
(31692, '67.222.139.128', '67.222.139.254', 1138658176, 1138658302, 'GB', 'United Kingdom'),
(31693, '67.222.139.255', '67.222.140.127', 1138658303, 1138658431, 'US', 'United States'),
(31694, '67.222.140.128', '67.222.140.192', 1138658432, 1138658496, 'PK', 'Pakistan'),
(31695, '67.222.140.193', '67.222.143.9', 1138658497, 1138659081, 'US', 'United States'),
(31696, '67.222.143.10', '67.222.143.135', 1138659082, 1138659207, 'ES', 'Spain'),
(31697, '67.222.143.136', '67.222.143.235', 1138659208, 1138659307, 'US', 'United States'),
(31698, '67.222.143.236', '67.222.143.243', 1138659308, 1138659315, 'EG', 'Egypt'),
(31699, '67.222.143.244', '67.222.144.41', 1138659316, 1138659369, 'US', 'United States'),
(31700, '67.222.144.42', '67.222.144.73', 1138659370, 1138659401, 'GB', 'United Kingdom'),
(31701, '67.222.144.74', '67.222.144.97', 1138659402, 1138659425, 'US', 'United States'),
(31702, '67.222.144.98', '67.222.144.105', 1138659426, 1138659433, 'VE', 'Venezuela'),
(31703, '67.222.144.106', '67.222.144.137', 1138659434, 1138659465, 'US', 'United States'),
(31704, '67.222.144.138', '67.222.144.169', 1138659466, 1138659497, 'GB', 'United Kingdom'),
(31705, '67.222.144.170', '67.222.145.9', 1138659498, 1138659593, 'US', 'United States'),
(31706, '67.222.145.10', '67.222.145.25', 1138659594, 1138659609, 'LK', 'Sri Lanka'),
(31707, '67.222.145.26', '67.222.145.58', 1138659610, 1138659642, 'GB', 'United Kingdom'),
(31708, '67.222.145.59', '67.222.145.66', 1138659643, 1138659650, 'ID', 'Indonesia'),
(31709, '67.222.145.67', '67.222.145.89', 1138659651, 1138659673, 'US', 'United States'),
(31710, '67.222.145.90', '67.222.145.97', 1138659674, 1138659681, 'MA', 'Morocco'),
(31711, '67.222.145.98', '67.222.145.105', 1138659682, 1138659689, 'ID', 'Indonesia'),
(31712, '67.222.145.106', '67.222.145.113', 1138659690, 1138659697, 'US', 'United States'),
(31713, '67.222.145.114', '67.222.145.121', 1138659698, 1138659705, 'ID', 'Indonesia'),
(31714, '67.222.145.122', '67.222.145.139', 1138659706, 1138659723, 'US', 'United States'),
(31715, '67.222.145.140', '67.222.145.147', 1138659724, 1138659731, 'ID', 'Indonesia'),
(31716, '67.222.145.148', '67.222.145.197', 1138659732, 1138659781, 'US', 'United States'),
(31717, '67.222.145.198', '67.222.145.205', 1138659782, 1138659789, 'NZ', 'New Zealand'),
(31718, '67.222.145.206', '67.222.145.213', 1138659790, 1138659797, 'ID', 'Indonesia'),
(31719, '67.222.145.214', '67.222.145.221', 1138659798, 1138659805, 'US', 'United States'),
(31720, '67.222.145.222', '67.222.145.229', 1138659806, 1138659813, 'ID', 'Indonesia'),
(31721, '67.222.145.230', '67.222.145.237', 1138659814, 1138659821, 'LK', 'Sri Lanka'),
(31722, '67.222.145.238', '67.222.145.239', 1138659822, 1138659823, 'US', 'United States'),
(31723, '67.222.145.240', '67.222.145.247', 1138659824, 1138659831, 'ID', 'Indonesia'),
(31724, '67.222.145.248', '67.222.146.9', 1138659832, 1138659849, 'US', 'United States'),
(31725, '67.222.146.10', '67.222.146.17', 1138659850, 1138659857, 'MA', 'Morocco'),
(31726, '67.222.146.18', '67.222.146.49', 1138659858, 1138659889, 'GB', 'United Kingdom'),
(31727, '67.222.146.50', '67.222.146.82', 1138659890, 1138659922, 'US', 'United States'),
(31728, '67.222.146.83', '67.222.146.90', 1138659923, 1138659930, 'LK', 'Sri Lanka'),
(31729, '67.222.146.91', '67.222.146.143', 1138659931, 1138659983, 'US', 'United States'),
(31730, '67.222.146.144', '67.222.146.159', 1138659984, 1138659999, 'EG', 'Egypt'),
(31731, '67.222.146.160', '67.222.146.195', 1138660000, 1138660035, 'US', 'United States'),
(31732, '67.222.146.196', '67.222.146.203', 1138660036, 1138660043, 'IN', 'India'),
(31733, '67.222.146.204', '67.222.146.210', 1138660044, 1138660050, 'US', 'United States'),
(31734, '67.222.146.211', '67.222.146.218', 1138660051, 1138660058, 'PH', 'Philippines'),
(31735, '67.222.146.219', '67.222.147.9', 1138660059, 1138660105, 'US', 'United States'),
(31736, '67.222.147.10', '67.222.147.41', 1138660106, 1138660137, 'GB', 'United Kingdom'),
(31737, '67.222.147.42', '67.222.147.73', 1138660138, 1138660169, 'US', 'United States'),
(31738, '67.222.147.74', '67.222.147.81', 1138660170, 1138660177, 'MA', 'Morocco'),
(31739, '67.222.147.82', '67.222.147.89', 1138660178, 1138660185, 'ID', 'Indonesia'),
(31740, '67.222.147.90', '67.222.147.97', 1138660186, 1138660193, 'US', 'United States'),
(31741, '67.222.147.98', '67.222.147.105', 1138660194, 1138660201, 'EG', 'Egypt'),
(31742, '67.222.147.106', '67.222.147.121', 1138660202, 1138660217, 'US', 'United States'),
(31743, '67.222.147.122', '67.222.147.129', 1138660218, 1138660225, 'IN', 'India'),
(31744, '67.222.147.130', '67.222.147.137', 1138660226, 1138660233, 'US', 'United States'),
(31745, '67.222.147.138', '67.222.147.145', 1138660234, 1138660241, 'EG', 'Egypt'),
(31746, '67.222.147.146', '67.222.147.174', 1138660242, 1138660270, 'US', 'United States'),
(31747, '67.222.147.175', '67.222.147.214', 1138660271, 1138660310, 'GB', 'United Kingdom'),
(31748, '67.222.147.215', '67.222.147.215', 1138660311, 1138660311, 'US', 'United States'),
(31749, '67.222.147.216', '67.222.147.237', 1138660312, 1138660333, 'GB', 'United Kingdom'),
(31750, '67.222.147.238', '67.222.148.147', 1138660334, 1138660499, 'US', 'United States'),
(31751, '67.222.148.148', '67.222.148.155', 1138660500, 1138660507, 'AE', 'United Arab Emirates'),
(31752, '67.222.148.156', '67.222.149.17', 1138660508, 1138660625, 'US', 'United States'),
(31753, '67.222.149.18', '67.222.149.25', 1138660626, 1138660633, 'EG', 'Egypt'),
(31754, '67.222.149.26', '67.222.149.37', 1138660634, 1138660645, 'US', 'United States'),
(31755, '67.222.149.38', '67.222.149.45', 1138660646, 1138660653, 'VE', 'Venezuela'),
(31756, '67.222.149.46', '67.222.149.57', 1138660654, 1138660665, 'US', 'United States'),
(31757, '67.222.149.58', '67.222.149.65', 1138660666, 1138660673, 'IN', 'India'),
(31758, '67.222.149.66', '67.222.149.86', 1138660674, 1138660694, 'US', 'United States'),
(31759, '67.222.149.87', '67.222.149.118', 1138660695, 1138660726, 'GB', 'United Kingdom'),
(31760, '67.222.149.119', '67.222.149.126', 1138660727, 1138660734, 'EG', 'Egypt'),
(31761, '67.222.149.127', '67.222.149.197', 1138660735, 1138660805, 'US', 'United States'),
(31762, '67.222.149.198', '67.222.149.213', 1138660806, 1138660821, 'EG', 'Egypt'),
(31763, '67.222.149.214', '67.222.150.9', 1138660822, 1138660873, 'US', 'United States'),
(31764, '67.222.150.10', '67.222.150.17', 1138660874, 1138660881, 'EG', 'Egypt'),
(31765, '67.222.150.18', '67.222.150.102', 1138660882, 1138660966, 'US', 'United States'),
(31766, '67.222.150.103', '67.222.150.110', 1138660967, 1138660974, 'VE', 'Venezuela'),
(31767, '67.222.150.111', '67.222.150.118', 1138660975, 1138660982, 'US', 'United States'),
(31768, '67.222.150.119', '67.222.150.126', 1138660983, 1138660990, 'EG', 'Egypt'),
(31769, '67.222.150.127', '67.222.150.138', 1138660991, 1138661002, 'US', 'United States'),
(31770, '67.222.150.139', '67.222.150.146', 1138661003, 1138661010, 'LK', 'Sri Lanka'),
(31771, '67.222.150.147', '67.222.150.191', 1138661011, 1138661055, 'US', 'United States'),
(31772, '67.222.150.192', '67.222.150.199', 1138661056, 1138661063, 'EG', 'Egypt'),
(31773, '67.222.150.200', '67.222.151.17', 1138661064, 1138661137, 'US', 'United States'),
(31774, '67.222.151.18', '67.222.151.57', 1138661138, 1138661177, 'EG', 'Egypt'),
(31775, '67.222.151.58', '67.222.152.65', 1138661178, 1138661441, 'US', 'United States'),
(31776, '67.222.152.66', '67.222.152.73', 1138661442, 1138661449, 'EG', 'Egypt'),
(31777, '67.222.152.74', '67.222.152.81', 1138661450, 1138661457, 'US', 'United States'),
(31778, '67.222.152.82', '67.222.152.89', 1138661458, 1138661465, 'EG', 'Egypt'),
(31779, '67.222.152.90', '67.222.152.145', 1138661466, 1138661521, 'US', 'United States'),
(31780, '67.222.152.146', '67.222.152.153', 1138661522, 1138661529, 'EG', 'Egypt'),
(31781, '67.222.152.154', '67.222.152.231', 1138661530, 1138661607, 'US', 'United States'),
(31782, '67.222.152.232', '67.222.152.239', 1138661608, 1138661615, 'LK', 'Sri Lanka'),
(31783, '67.222.152.240', '67.222.153.37', 1138661616, 1138661669, 'US', 'United States'),
(31784, '67.222.153.38', '67.222.153.45', 1138661670, 1138661677, 'IN', 'India'),
(31785, '67.222.153.46', '67.222.153.97', 1138661678, 1138661729, 'US', 'United States'),
(31786, '67.222.153.98', '67.222.153.105', 1138661730, 1138661737, 'ID', 'Indonesia'),
(31787, '67.222.153.106', '67.222.153.137', 1138661738, 1138661769, 'US', 'United States'),
(31788, '67.222.153.138', '67.222.153.145', 1138661770, 1138661777, 'MA', 'Morocco'),
(31789, '67.222.153.146', '67.222.153.189', 1138661778, 1138661821, 'US', 'United States'),
(31790, '67.222.153.190', '67.222.153.197', 1138661822, 1138661829, 'MA', 'Morocco'),
(31791, '67.222.153.198', '67.222.154.25', 1138661830, 1138661913, 'US', 'United States'),
(31792, '67.222.154.26', '67.222.154.66', 1138661914, 1138661954, 'EG', 'Egypt'),
(31793, '67.222.154.67', '67.222.155.129', 1138661955, 1138662273, 'US', 'United States'),
(31794, '67.222.155.130', '67.222.155.165', 1138662274, 1138662309, 'EG', 'Egypt'),
(31795, '67.222.155.166', '67.222.155.189', 1138662310, 1138662333, 'US', 'United States'),
(31796, '67.222.155.190', '67.222.155.209', 1138662334, 1138662353, 'GB', 'United Kingdom'),
(31797, '67.222.155.210', '67.222.155.225', 1138662354, 1138662369, 'US', 'United States'),
(31798, '67.222.155.226', '67.222.155.249', 1138662370, 1138662393, 'GB', 'United Kingdom'),
(31799, '67.222.155.250', '67.222.156.73', 1138662394, 1138662473, 'US', 'United States'),
(31800, '67.222.156.74', '67.222.156.105', 1138662474, 1138662505, 'GB', 'United Kingdom'),
(31801, '67.222.156.106', '67.222.156.137', 1138662506, 1138662537, 'US', 'United States'),
(31802, '67.222.156.138', '67.222.156.145', 1138662538, 1138662545, 'EG', 'Egypt'),
(31803, '67.222.156.146', '67.222.156.175', 1138662546, 1138662575, 'US', 'United States'),
(31804, '67.222.156.176', '67.222.156.207', 1138662576, 1138662607, 'MX', 'Mexico'),
(31805, '67.222.156.208', '67.222.156.223', 1138662608, 1138662623, 'US', 'United States'),
(31806, '67.222.156.224', '67.222.156.239', 1138662624, 1138662639, 'GB', 'United Kingdom'),
(31807, '67.222.156.240', '67.222.157.137', 1138662640, 1138662793, 'US', 'United States'),
(31808, '67.222.157.138', '67.222.157.145', 1138662794, 1138662801, 'ID', 'Indonesia'),
(31809, '67.222.157.146', '67.222.157.185', 1138662802, 1138662841, 'US', 'United States'),
(31810, '67.222.157.186', '67.222.157.193', 1138662842, 1138662849, 'GB', 'United Kingdom'),
(31811, '67.222.157.194', '67.222.158.109', 1138662850, 1138663021, 'US', 'United States'),
(31812, '67.222.158.110', '67.222.158.254', 1138663022, 1138663166, 'GB', 'United Kingdom'),
(31813, '67.222.158.255', '67.223.95.255', 1138663167, 1138712575, 'US', 'United States'),
(31814, '67.223.96.0', '67.223.99.239', 1138712576, 1138713583, 'CA', 'Canada'),
(31815, '67.223.99.240', '67.223.99.255', 1138713584, 1138713599, 'MY', 'Malaysia'),
(31816, '67.223.100.0', '67.223.101.215', 1138713600, 1138714071, 'CA', 'Canada'),
(31817, '67.223.101.216', '67.223.101.223', 1138714072, 1138714079, 'US', 'United States'),
(31818, '67.223.101.224', '67.223.101.231', 1138714080, 1138714087, 'ES', 'Spain'),
(31819, '67.223.101.232', '67.223.111.255', 1138714088, 1138716671, 'CA', 'Canada'),
(31820, '67.223.112.0', '67.223.127.255', 1138716672, 1138720767, 'US', 'United States'),
(31821, '67.223.128.0', '67.223.159.255', 1138720768, 1138728959, 'CA', 'Canada'),
(31822, '67.223.160.0', '67.224.79.255', 1138728960, 1138774015, 'US', 'United States'),
(31823, '67.224.80.0', '67.224.95.255', 1138774016, 1138778111, 'CA', 'Canada'),
(31824, '67.224.96.0', '67.224.103.255', 1138778112, 1138780159, 'US', 'United States'),
(31825, '67.224.104.0', '67.224.104.31', 1138780160, 1138780191, 'CA', 'Canada'),
(31826, '67.224.104.32', '67.224.104.111', 1138780192, 1138780271, 'US', 'United States'),
(31827, '67.224.104.112', '67.224.104.127', 1138780272, 1138780287, 'CA', 'Canada'),
(31828, '67.224.104.128', '67.224.127.255', 1138780288, 1138786303, 'US', 'United States'),
(31829, '67.224.128.0', '67.224.255.255', 1138786304, 1138819071, 'PR', 'Puerto Rico'),
(31830, '67.225.0.0', '67.225.127.255', 1138819072, 1138851839, 'CA', 'Canada'),
(31831, '67.225.128.0', '67.225.128.7', 1138851840, 1138851847, 'US', 'United States'),
(31832, '67.225.128.8', '67.225.128.15', 1138851848, 1138851855, 'IN', 'India'),
(31833, '67.225.128.16', '67.225.181.170', 1138851856, 1138865578, 'US', 'United States'),
(31834, '67.225.181.171', '67.225.181.178', 1138865579, 1138865586, 'IN', 'India'),
(31835, '67.225.181.179', '67.225.215.140', 1138865587, 1138874252, 'US', 'United States'),
(31836, '67.225.215.141', '67.225.215.152', 1138874253, 1138874264, 'UY', 'Uruguay'),
(31837, '67.225.215.153', '67.225.247.27', 1138874265, 1138882331, 'US', 'United States'),
(31838, '67.225.247.28', '67.225.247.35', 1138882332, 1138882339, 'GB', 'United Kingdom'),
(31839, '67.225.247.36', '67.225.247.141', 1138882340, 1138882445, 'US', 'United States'),
(31840, '67.225.247.142', '67.225.247.149', 1138882446, 1138882453, 'GB', 'United Kingdom'),
(31841, '67.225.247.150', '67.226.127.255', 1138882454, 1138917375, 'US', 'United States'),
(31842, '67.226.128.0', '67.226.207.255', 1138917376, 1138937855, 'CA', 'Canada'),
(31843, '67.226.208.0', '67.226.223.255', 1138937856, 1138941951, 'US', 'United States'),
(31844, '67.226.224.0', '67.226.255.255', 1138941952, 1138950143, 'CA', 'Canada'),
(31845, '67.227.0.0', '67.229.255.255', 1138950144, 1139146751, 'US', 'United States'),
(31846, '67.230.0.0', '67.230.31.255', 1139146752, 1139154943, 'GT', 'Guatemala'),
(31847, '67.230.32.0', '67.230.79.255', 1139154944, 1139167231, 'JM', 'Jamaica'),
(31848, '67.230.80.0', '67.230.81.255', 1139167232, 1139167743, 'US', 'United States'),
(31849, '67.230.82.0', '67.230.86.127', 1139167744, 1139168895, 'PR', 'Puerto Rico'),
(31850, '67.230.86.128', '67.230.87.255', 1139168896, 1139169279, 'US', 'United States'),
(31851, '67.230.88.0', '67.230.90.255', 1139169280, 1139170047, 'PR', 'Puerto Rico'),
(31852, '67.230.91.0', '67.230.95.255', 1139170048, 1139171327, 'US', 'United States'),
(31853, '67.230.96.0', '67.230.111.255', 1139171328, 1139175423, 'GT', 'Guatemala'),
(31854, '67.230.112.0', '67.230.127.255', 1139175424, 1139179519, 'US', 'United States'),
(31855, '67.230.128.0', '67.230.163.255', 1139179520, 1139188735, 'CA', 'Canada'),
(31856, '67.230.164.0', '67.230.164.255', 1139188736, 1139188991, 'GB', 'United Kingdom'),
(31857, '67.230.165.0', '67.230.182.255', 1139188992, 1139193599, 'CA', 'Canada'),
(31858, '67.230.183.0', '67.230.184.255', 1139193600, 1139194111, 'US', 'United States'),
(31859, '67.230.185.0', '67.230.185.255', 1139194112, 1139194367, 'CA', 'Canada'),
(31860, '67.230.186.0', '67.230.186.255', 1139194368, 1139194623, 'US', 'United States'),
(31861, '67.230.187.0', '67.230.187.255', 1139194624, 1139194879, 'CA', 'Canada'),
(31862, '67.230.188.0', '67.230.188.255', 1139194880, 1139195135, 'US', 'United States'),
(31863, '67.230.189.0', '67.230.189.255', 1139195136, 1139195391, 'GB', 'United Kingdom'),
(31864, '67.230.190.0', '67.230.191.255', 1139195392, 1139195903, 'CA', 'Canada'),
(31865, '67.230.192.0', '67.231.207.255', 1139195904, 1139265535, 'US', 'United States'),
(31866, '67.231.208.0', '67.231.223.255', 1139265536, 1139269631, 'CA', 'Canada'),
(31867, '67.231.224.0', '67.231.242.255', 1139269632, 1139274495, 'US', 'United States'),
(31868, '67.231.243.0', '67.231.243.255', 1139274496, 1139274751, 'A1', 'Anonymous Proxy'),
(31869, '67.231.244.0', '68.64.45.191', 1139274752, 1145056703, 'US', 'United States'),
(31870, '68.64.45.192', '68.64.45.207', 1145056704, 1145056719, 'CO', 'Colombia'),
(31871, '68.64.45.208', '68.66.47.255', 1145056720, 1145188351, 'US', 'United States'),
(31872, '68.66.48.0', '68.66.63.255', 1145188352, 1145192447, 'CA', 'Canada'),
(31873, '68.66.64.0', '68.67.1.255', 1145192448, 1145242111, 'US', 'United States'),
(31874, '68.67.2.0', '68.67.2.255', 1145242112, 1145242367, 'NO', 'Norway'),
(31875, '68.67.3.0', '68.67.5.255', 1145242368, 1145243135, 'US', 'United States'),
(31876, '68.67.6.0', '68.67.6.255', 1145243136, 1145243391, 'EU', 'Europe'),
(31877, '68.67.7.0', '68.67.7.255', 1145243392, 1145243647, 'US', 'United States'),
(31878, '68.67.8.0', '68.67.9.255', 1145243648, 1145244159, 'EU', 'Europe'),
(31879, '68.67.10.0', '68.67.10.255', 1145244160, 1145244415, 'NO', 'Norway'),
(31880, '68.67.11.0', '68.67.31.255', 1145244416, 1145249791, 'US', 'United States'),
(31881, '68.67.32.0', '68.67.63.255', 1145249792, 1145257983, 'CA', 'Canada'),
(31882, '68.67.64.0', '68.67.67.255', 1145257984, 1145259007, 'US', 'United States'),
(31883, '68.67.68.0', '68.67.68.63', 1145259008, 1145259071, 'IN', 'India'),
(31884, '68.67.68.64', '68.67.68.239', 1145259072, 1145259247, 'US', 'United States'),
(31885, '68.67.68.240', '68.67.68.243', 1145259248, 1145259251, 'AE', 'United Arab Emirates'),
(31886, '68.67.68.244', '68.67.68.255', 1145259252, 1145259263, 'US', 'United States'),
(31887, '68.67.69.0', '68.67.69.63', 1145259264, 1145259327, 'IN', 'India'),
(31888, '68.67.69.64', '68.67.69.159', 1145259328, 1145259423, 'US', 'United States'),
(31889, '68.67.69.160', '68.67.69.191', 1145259424, 1145259455, 'AE', 'United Arab Emirates'),
(31890, '68.67.69.192', '68.67.71.255', 1145259456, 1145260031, 'US', 'United States'),
(31891, '68.67.72.0', '68.67.72.63', 1145260032, 1145260095, 'IN', 'India'),
(31892, '68.67.72.64', '68.67.74.79', 1145260096, 1145260623, 'US', 'United States'),
(31893, '68.67.74.80', '68.67.74.87', 1145260624, 1145260631, 'IN', 'India'),
(31894, '68.67.74.88', '68.67.74.207', 1145260632, 1145260751, 'US', 'United States'),
(31895, '68.67.74.208', '68.67.74.223', 1145260752, 1145260767, 'AE', 'United Arab Emirates'),
(31896, '68.67.74.224', '68.67.75.255', 1145260768, 1145261055, 'US', 'United States'),
(31897, '68.67.76.0', '68.67.76.63', 1145261056, 1145261119, 'IN', 'India'),
(31898, '68.67.76.64', '68.67.76.255', 1145261120, 1145261311, 'US', 'United States'),
(31899, '68.67.77.0', '68.67.77.63', 1145261312, 1145261375, 'IN', 'India'),
(31900, '68.67.77.64', '68.67.77.95', 1145261376, 1145261407, 'US', 'United States'),
(31901, '68.67.77.96', '68.67.77.127', 1145261408, 1145261439, 'AE', 'United Arab Emirates'),
(31902, '68.67.77.128', '68.67.78.79', 1145261440, 1145261647, 'US', 'United States'),
(31903, '68.67.78.80', '68.67.78.95', 1145261648, 1145261663, 'AE', 'United Arab Emirates'),
(31904, '68.67.78.96', '68.67.255.255', 1145261664, 1145307135, 'US', 'United States'),
(31905, '68.68.0.0', '68.68.15.255', 1145307136, 1145311231, 'CA', 'Canada'),
(31906, '68.68.16.0', '68.68.101.39', 1145311232, 1145333031, 'US', 'United States'),
(31907, '68.68.101.40', '68.68.101.47', 1145333032, 1145333039, 'IT', 'Italy'),
(31908, '68.68.101.48', '68.68.101.199', 1145333040, 1145333191, 'US', 'United States'),
(31909, '68.68.101.200', '68.68.101.207', 1145333192, 1145333199, 'CN', 'China'),
(31910, '68.68.101.208', '68.68.101.223', 1145333200, 1145333215, 'US', 'United States'),
(31911, '68.68.101.224', '68.68.101.231', 1145333216, 1145333223, 'CN', 'China'),
(31912, '68.68.101.232', '68.68.101.247', 1145333224, 1145333239, 'US', 'United States'),
(31913, '68.68.101.248', '68.68.101.255', 1145333240, 1145333247, 'CN', 'China'),
(31914, '68.68.102.0', '68.68.102.79', 1145333248, 1145333327, 'US', 'United States'),
(31915, '68.68.102.80', '68.68.102.95', 1145333328, 1145333343, 'CN', 'China'),
(31916, '68.68.102.96', '68.68.102.103', 1145333344, 1145333351, 'US', 'United States'),
(31917, '68.68.102.104', '68.68.102.111', 1145333352, 1145333359, 'CN', 'China'),
(31918, '68.68.102.112', '68.68.102.119', 1145333360, 1145333367, 'US', 'United States'),
(31919, '68.68.102.120', '68.68.102.127', 1145333368, 1145333375, 'PA', 'Panama'),
(31920, '68.68.102.128', '68.68.102.255', 1145333376, 1145333503, 'BD', 'Bangladesh'),
(31921, '68.68.103.0', '68.68.104.103', 1145333504, 1145333863, 'US', 'United States'),
(31922, '68.68.104.104', '68.68.104.111', 1145333864, 1145333871, 'EG', 'Egypt'),
(31923, '68.68.104.112', '68.68.104.119', 1145333872, 1145333879, 'US', 'United States'),
(31924, '68.68.104.120', '68.68.104.135', 1145333880, 1145333895, 'CN', 'China'),
(31925, '68.68.104.136', '68.68.105.135', 1145333896, 1145334151, 'US', 'United States'),
(31926, '68.68.105.136', '68.68.105.151', 1145334152, 1145334167, 'CN', 'China'),
(31927, '68.68.105.152', '68.68.105.159', 1145334168, 1145334175, 'US', 'United States'),
(31928, '68.68.105.160', '68.68.105.207', 1145334176, 1145334223, 'CN', 'China'),
(31929, '68.68.105.208', '68.68.105.215', 1145334224, 1145334231, 'US', 'United States'),
(31930, '68.68.105.216', '68.68.105.223', 1145334232, 1145334239, 'CN', 'China'),
(31931, '68.68.105.224', '68.68.109.63', 1145334240, 1145335103, 'US', 'United States'),
(31932, '68.68.109.64', '68.68.109.95', 1145335104, 1145335135, 'NL', 'Netherlands'),
(31933, '68.68.109.96', '68.68.109.127', 1145335136, 1145335167, 'US', 'United States'),
(31934, '68.68.109.128', '68.68.109.143', 1145335168, 1145335183, 'CN', 'China'),
(31935, '68.68.109.144', '68.68.109.175', 1145335184, 1145335215, 'US', 'United States'),
(31936, '68.68.109.176', '68.68.109.183', 1145335216, 1145335223, 'CN', 'China'),
(31937, '68.68.109.184', '68.69.15.255', 1145335224, 1145376767, 'US', 'United States'),
(31938, '68.69.16.0', '68.69.31.255', 1145376768, 1145380863, 'CA', 'Canada'),
(31939, '68.69.32.0', '68.69.127.255', 1145380864, 1145405439, 'US', 'United States'),
(31940, '68.69.128.0', '68.69.159.255', 1145405440, 1145413631, 'CA', 'Canada'),
(31941, '68.69.160.0', '68.69.191.255', 1145413632, 1145421823, 'US', 'United States'),
(31942, '68.69.192.0', '68.69.223.255', 1145421824, 1145430015, 'CA', 'Canada'),
(31943, '68.69.224.0', '68.70.143.255', 1145430016, 1145475071, 'US', 'United States'),
(31944, '68.70.144.0', '68.70.151.23', 1145475072, 1145476887, 'CA', 'Canada'),
(31945, '68.70.151.24', '68.70.151.31', 1145476888, 1145476895, 'US', 'United States'),
(31946, '68.70.151.32', '68.70.159.255', 1145476896, 1145479167, 'CA', 'Canada'),
(31947, '68.70.160.0', '68.70.177.63', 1145479168, 1145483583, 'US', 'United States'),
(31948, '68.70.177.64', '68.70.177.71', 1145483584, 1145483591, 'VG', 'Virgin Islands, British'),
(31949, '68.70.177.72', '68.70.178.255', 1145483592, 1145484031, 'US', 'United States'),
(31950, '68.70.179.0', '68.70.179.31', 1145484032, 1145484063, 'VG', 'Virgin Islands, British'),
(31951, '68.70.179.32', '68.70.255.255', 1145484064, 1145503743, 'US', 'United States'),
(31952, '68.71.0.0', '68.71.63.255', 1145503744, 1145520127, 'CA', 'Canada'),
(31953, '68.71.64.0', '68.71.191.255', 1145520128, 1145552895, 'US', 'United States'),
(31954, '68.71.192.0', '68.71.207.255', 1145552896, 1145556991, 'CA', 'Canada'),
(31955, '68.71.208.0', '68.71.250.95', 1145556992, 1145567839, 'US', 'United States'),
(31956, '68.71.250.96', '68.71.250.127', 1145567840, 1145567871, 'CN', 'China'),
(31957, '68.71.250.128', '68.140.67.255', 1145567872, 1150043135, 'US', 'United States'),
(31958, '68.140.68.0', '68.140.71.255', 1150043136, 1150044159, 'VA', 'Holy See (Vatican City State)'),
(31959, '68.140.72.0', '68.140.79.255', 1150044160, 1150046207, 'US', 'United States'),
(31960, '68.140.80.0', '68.140.95.255', 1150046208, 1150050303, 'JP', 'Japan'),
(31961, '68.140.96.0', '68.143.255.255', 1150050304, 1150287871, 'US', 'United States'),
(31962, '68.144.0.0', '68.151.255.255', 1150287872, 1150812159, 'CA', 'Canada'),
(31963, '68.152.0.0', '68.168.111.255', 1150812160, 1151889407, 'US', 'United States'),
(31964, '68.168.112.0', '68.168.112.15', 1151889408, 1151889423, 'CA', 'Canada'),
(31965, '68.168.112.16', '68.168.112.23', 1151889424, 1151889431, 'US', 'United States'),
(31966, '68.168.112.24', '68.168.112.39', 1151889432, 1151889447, 'CA', 'Canada'),
(31967, '68.168.112.40', '68.168.112.47', 1151889448, 1151889455, 'FR', 'France'),
(31968, '68.168.112.48', '68.168.112.63', 1151889456, 1151889471, 'CA', 'Canada'),
(31969, '68.168.112.64', '68.168.112.79', 1151889472, 1151889487, 'RU', 'Russian Federation'),
(31970, '68.168.112.80', '68.168.112.87', 1151889488, 1151889495, 'CA', 'Canada'),
(31971, '68.168.112.88', '68.168.112.127', 1151889496, 1151889535, 'MA', 'Morocco'),
(31972, '68.168.112.128', '68.168.112.191', 1151889536, 1151889599, 'CN', 'China'),
(31973, '68.168.112.192', '68.168.112.207', 1151889600, 1151889615, 'CA', 'Canada'),
(31974, '68.168.112.208', '68.168.112.223', 1151889616, 1151889631, 'MA', 'Morocco'),
(31975, '68.168.112.224', '68.168.113.127', 1151889632, 1151889791, 'CA', 'Canada'),
(31976, '68.168.113.128', '68.168.113.159', 1151889792, 1151889823, 'MA', 'Morocco'),
(31977, '68.168.113.160', '68.168.113.175', 1151889824, 1151889839, 'CA', 'Canada'),
(31978, '68.168.113.176', '68.168.113.183', 1151889840, 1151889847, 'PH', 'Philippines'),
(31979, '68.168.113.184', '68.168.114.87', 1151889848, 1151890007, 'CA', 'Canada'),
(31980, '68.168.114.88', '68.168.114.95', 1151890008, 1151890015, 'GB', 'United Kingdom'),
(31981, '68.168.114.96', '68.168.114.159', 1151890016, 1151890079, 'CA', 'Canada'),
(31982, '68.168.114.160', '68.168.114.167', 1151890080, 1151890087, 'GB', 'United Kingdom'),
(31983, '68.168.114.168', '68.168.114.175', 1151890088, 1151890095, 'CA', 'Canada'),
(31984, '68.168.114.176', '68.168.114.207', 1151890096, 1151890127, 'GB', 'United Kingdom'),
(31985, '68.168.114.208', '68.168.124.255', 1151890128, 1151892735, 'CA', 'Canada'),
(31986, '68.168.125.0', '68.168.125.255', 1151892736, 1151892991, 'MA', 'Morocco'),
(31987, '68.168.126.0', '68.168.135.255', 1151892992, 1151895551, 'CA', 'Canada'),
(31988, '68.168.136.0', '68.168.136.255', 1151895552, 1151895807, 'US', 'United States'),
(31989, '68.168.137.0', '68.168.137.111', 1151895808, 1151895919, 'CA', 'Canada'),
(31990, '68.168.137.112', '68.168.137.127', 1151895920, 1151895935, 'US', 'United States'),
(31991, '68.168.137.128', '68.168.138.255', 1151895936, 1151896319, 'CA', 'Canada'),
(31992, '68.168.139.0', '68.168.139.255', 1151896320, 1151896575, 'US', 'United States'),
(31993, '68.168.140.0', '68.168.140.255', 1151896576, 1151896831, 'CA', 'Canada'),
(31994, '68.168.141.0', '68.168.141.255', 1151896832, 1151897087, 'US', 'United States'),
(31995, '68.168.142.0', '68.168.142.255', 1151897088, 1151897343, 'CA', 'Canada'),
(31996, '68.168.143.0', '68.169.68.0', 1151897344, 1151943680, 'US', 'United States'),
(31997, '68.169.68.1', '68.169.68.128', 1151943681, 1151943808, 'GB', 'United Kingdom'),
(31998, '68.169.68.129', '68.169.68.191', 1151943809, 1151943871, 'NL', 'Netherlands'),
(31999, '68.169.68.192', '68.169.68.255', 1151943872, 1151943935, 'CA', 'Canada'),
(32000, '68.169.69.0', '68.169.69.63', 1151943936, 1151943999, 'DE', 'Germany'),
(32001, '68.169.69.64', '68.169.69.127', 1151944000, 1151944063, 'HK', 'Hong Kong'),
(32002, '68.169.69.128', '68.169.69.143', 1151944064, 1151944079, 'CH', 'Switzerland'),
(32003, '68.169.69.144', '68.169.69.159', 1151944080, 1151944095, 'NO', 'Norway'),
(32004, '68.169.69.160', '68.169.69.175', 1151944096, 1151944111, 'KR', 'Korea, Republic of'),
(32005, '68.169.69.176', '68.169.69.191', 1151944112, 1151944127, 'US', 'United States'),
(32006, '68.169.69.192', '68.169.69.223', 1151944128, 1151944159, 'AU', 'Australia'),
(32007, '68.169.69.224', '68.169.69.239', 1151944160, 1151944175, 'FR', 'France'),
(32008, '68.169.69.240', '68.169.75.255', 1151944176, 1151945727, 'US', 'United States'),
(32009, '68.169.76.0', '68.169.76.31', 1151945728, 1151945759, 'RU', 'Russian Federation'),
(32010, '68.169.76.32', '68.169.76.63', 1151945760, 1151945791, 'IR', 'Iran, Islamic Republic of'),
(32011, '68.169.76.64', '68.169.76.95', 1151945792, 1151945823, 'IT', 'Italy'),
(32012, '68.169.76.96', '68.169.76.127', 1151945824, 1151945855, 'US', 'United States'),
(32013, '68.169.76.128', '68.169.76.159', 1151945856, 1151945887, 'SE', 'Sweden'),
(32014, '68.169.76.160', '68.169.76.191', 1151945888, 1151945919, 'US', 'United States'),
(32015, '68.169.76.192', '68.169.76.207', 1151945920, 1151945935, 'JP', 'Japan'),
(32016, '68.169.76.208', '68.169.77.255', 1151945936, 1151946239, 'US', 'United States'),
(32017, '68.169.78.0', '68.169.79.255', 1151946240, 1151946751, 'GB', 'United Kingdom'),
(32018, '68.169.80.0', '68.171.63.255', 1151946752, 1152073727, 'US', 'United States'),
(32019, '68.171.64.0', '68.171.79.255', 1152073728, 1152077823, 'CA', 'Canada'),
(32020, '68.171.80.0', '68.171.96.255', 1152077824, 1152082175, 'US', 'United States'),
(32021, '68.171.97.0', '68.171.97.127', 1152082176, 1152082303, 'IN', 'India'),
(32022, '68.171.97.128', '68.171.101.255', 1152082304, 1152083455, 'US', 'United States'),
(32023, '68.171.102.0', '68.171.103.255', 1152083456, 1152083967, 'CN', 'China'),
(32024, '68.171.104.0', '68.171.106.255', 1152083968, 1152084735, 'US', 'United States'),
(32025, '68.171.107.0', '68.171.107.255', 1152084736, 1152084991, 'IN', 'India'),
(32026, '68.171.108.0', '68.178.255.255', 1152084992, 1152581631, 'US', 'United States'),
(32027, '68.179.0.0', '68.179.127.255', 1152581632, 1152614399, 'CA', 'Canada'),
(32028, '68.179.128.0', '68.181.255.255', 1152614400, 1152778239, 'US', 'United States'),
(32029, '68.182.0.0', '68.182.255.255', 1152778240, 1152843775, 'CA', 'Canada'),
(32030, '68.183.0.0', '68.208.23.255', 1152843776, 1154488319, 'US', 'United States'),
(32031, '68.208.24.0', '68.208.25.255', 1154488320, 1154488831, 'A2', 'Satellite Provider'),
(32032, '68.208.26.0', '68.232.63.255', 1154488832, 1156071423, 'US', 'United States'),
(32033, '68.232.64.0', '68.232.95.255', 1156071424, 1156079615, 'CA', 'Canada'),
(32034, '68.232.96.0', '68.233.34.207', 1156079616, 1156129487, 'US', 'United States'),
(32035, '68.233.34.208', '68.233.34.215', 1156129488, 1156129495, 'JP', 'Japan'),
(32036, '68.233.34.216', '68.233.36.191', 1156129496, 1156129983, 'US', 'United States'),
(32037, '68.233.36.192', '68.233.36.207', 1156129984, 1156129999, 'CY', 'Cyprus'),
(32038, '68.233.36.208', '68.235.47.255', 1156130000, 1156263935, 'US', 'United States'),
(32039, '68.235.48.0', '68.235.55.255', 1156263936, 1156265983, 'CA', 'Canada'),
(32040, '68.235.56.0', '68.235.175.255', 1156265984, 1156296703, 'US', 'United States'),
(32041, '68.235.176.0', '68.235.191.255', 1156296704, 1156300799, 'CA', 'Canada'),
(32042, '68.235.192.0', '69.0.166.31', 1156300800, 1157670431, 'US', 'United States'),
(32043, '69.0.166.32', '69.0.166.63', 1157670432, 1157670463, 'CA', 'Canada'),
(32044, '69.0.166.64', '69.1.78.255', 1157670464, 1157713663, 'US', 'United States'),
(32045, '69.1.79.0', '69.1.79.127', 1157713664, 1157713791, 'CA', 'Canada'),
(32046, '69.1.79.128', '69.1.232.255', 1157713792, 1157753087, 'US', 'United States'),
(32047, '69.1.233.0', '69.1.233.255', 1157753088, 1157753343, 'GB', 'United Kingdom'),
(32048, '69.1.234.0', '69.1.241.111', 1157753344, 1157755247, 'US', 'United States'),
(32049, '69.1.241.112', '69.1.241.127', 1157755248, 1157755263, 'GR', 'Greece'),
(32050, '69.1.241.128', '69.1.252.255', 1157755264, 1157758207, 'US', 'United States'),
(32051, '69.1.253.0', '69.1.253.255', 1157758208, 1157758463, 'RU', 'Russian Federation'),
(32052, '69.1.254.0', '69.4.79.255', 1157758464, 1157910527, 'US', 'United States'),
(32053, '69.4.80.0', '69.4.84.255', 1157910528, 1157911807, 'CA', 'Canada'),
(32054, '69.4.85.0', '69.4.85.255', 1157911808, 1157912063, 'US', 'United States'),
(32055, '69.4.86.0', '69.4.86.189', 1157912064, 1157912253, 'CA', 'Canada'),
(32056, '69.4.86.190', '69.4.86.254', 1157912254, 1157912318, 'US', 'United States'),
(32057, '69.4.86.255', '69.4.88.255', 1157912319, 1157912831, 'CA', 'Canada'),
(32058, '69.4.89.0', '69.4.89.255', 1157912832, 1157913087, 'US', 'United States'),
(32059, '69.4.90.0', '69.4.90.255', 1157913088, 1157913343, 'CA', 'Canada'),
(32060, '69.4.91.0', '69.4.91.255', 1157913344, 1157913599, 'US', 'United States'),
(32061, '69.4.92.0', '69.4.95.255', 1157913600, 1157914623, 'CA', 'Canada'),
(32062, '69.4.96.0', '69.4.159.255', 1157914624, 1157931007, 'US', 'United States'),
(32063, '69.4.160.0', '69.4.175.255', 1157931008, 1157935103, 'BS', 'Bahamas'),
(32064, '69.4.176.0', '69.4.207.255', 1157935104, 1157943295, 'US', 'United States'),
(32065, '69.4.208.0', '69.4.223.255', 1157943296, 1157947391, 'CA', 'Canada'),
(32066, '69.4.224.0', '69.4.237.199', 1157947392, 1157950919, 'US', 'United States'),
(32067, '69.4.237.200', '69.4.237.255', 1157950920, 1157950975, 'HK', 'Hong Kong'),
(32068, '69.4.238.0', '69.6.23.255', 1157950976, 1158027263, 'US', 'United States'),
(32069, '69.6.24.0', '69.6.24.255', 1158027264, 1158027519, 'CA', 'Canada'),
(32070, '69.6.25.0', '69.6.27.255', 1158027520, 1158028287, 'US', 'United States'),
(32071, '69.6.28.0', '69.6.28.255', 1158028288, 1158028543, 'CA', 'Canada'),
(32072, '69.6.29.0', '69.7.133.255', 1158028544, 1158120959, 'US', 'United States'),
(32073, '69.7.134.0', '69.7.134.255', 1158120960, 1158121215, 'GB', 'United Kingdom'),
(32074, '69.7.135.0', '69.7.239.255', 1158121216, 1158148095, 'US', 'United States'),
(32075, '69.7.240.0', '69.7.255.255', 1158148096, 1158152191, 'CA', 'Canada'),
(32076, '69.8.0.0', '69.9.63.255', 1158152192, 1158234111, 'US', 'United States'),
(32077, '69.9.64.0', '69.9.127.255', 1158234112, 1158250495, 'CA', 'Canada'),
(32078, '69.9.128.0', '69.10.44.191', 1158250496, 1158294719, 'US', 'United States'),
(32079, '69.10.44.192', '69.10.44.223', 1158294720, 1158294751, 'GB', 'United Kingdom'),
(32080, '69.10.44.224', '69.10.48.255', 1158294752, 1158295807, 'US', 'United States'),
(32081, '69.10.49.0', '69.10.49.255', 1158295808, 1158296063, 'GB', 'United Kingdom'),
(32082, '69.10.50.0', '69.10.127.255', 1158296064, 1158316031, 'US', 'United States'),
(32083, '69.10.128.0', '69.10.138.255', 1158316032, 1158318847, 'CA', 'Canada'),
(32084, '69.10.139.0', '69.10.139.255', 1158318848, 1158319103, 'A1', 'Anonymous Proxy'),
(32085, '69.10.140.0', '69.10.143.159', 1158319104, 1158320031, 'CA', 'Canada'),
(32086, '69.10.143.160', '69.10.143.175', 1158320032, 1158320047, 'SY', 'Syrian Arab Republic'),
(32087, '69.10.143.176', '69.10.153.239', 1158320048, 1158322671, 'CA', 'Canada'),
(32088, '69.10.153.240', '69.10.153.255', 1158322672, 1158322687, 'SY', 'Syrian Arab Republic'),
(32089, '69.10.154.0', '69.10.157.79', 1158322688, 1158323535, 'CA', 'Canada'),
(32090, '69.10.157.80', '69.10.157.95', 1158323536, 1158323551, 'SY', 'Syrian Arab Republic'),
(32091, '69.10.157.96', '69.10.157.239', 1158323552, 1158323695, 'CA', 'Canada'),
(32092, '69.10.157.240', '69.10.157.255', 1158323696, 1158323711, 'SY', 'Syrian Arab Republic'),
(32093, '69.10.158.0', '69.10.159.255', 1158323712, 1158324223, 'CA', 'Canada'),
(32094, '69.10.160.0', '69.10.223.255', 1158324224, 1158340607, 'US', 'United States'),
(32095, '69.10.224.0', '69.10.234.31', 1158340608, 1158343199, 'CA', 'Canada'),
(32096, '69.10.234.32', '69.10.234.63', 1158343200, 1158343231, 'US', 'United States'),
(32097, '69.10.234.64', '69.10.239.255', 1158343232, 1158344703, 'CA', 'Canada'),
(32098, '69.10.240.0', '69.10.255.255', 1158344704, 1158348799, 'US', 'United States'),
(32099, '69.11.0.0', '69.11.127.255', 1158348800, 1158381567, 'CA', 'Canada'),
(32100, '69.11.128.0', '69.13.6.9', 1158381568, 1158481417, 'US', 'United States'),
(32101, '69.13.6.10', '69.13.6.18', 1158481418, 1158481426, 'CA', 'Canada'),
(32102, '69.13.6.19', '69.13.6.19', 1158481427, 1158481427, 'US', 'United States'),
(32103, '69.13.6.20', '69.13.6.28', 1158481428, 1158481436, 'CA', 'Canada'),
(32104, '69.13.6.29', '69.13.6.189', 1158481437, 1158481597, 'US', 'United States'),
(32105, '69.13.6.190', '69.13.6.198', 1158481598, 1158481606, 'CA', 'Canada'),
(32106, '69.13.6.199', '69.13.7.73', 1158481607, 1158481737, 'US', 'United States'),
(32107, '69.13.7.74', '69.13.7.81', 1158481738, 1158481745, 'CA', 'Canada'),
(32108, '69.13.7.82', '69.13.33.209', 1158481746, 1158488529, 'US', 'United States'),
(32109, '69.13.33.210', '69.13.33.222', 1158488530, 1158488542, 'IL', 'Israel'),
(32110, '69.13.33.223', '69.13.35.1', 1158488543, 1158488833, 'US', 'United States'),
(32111, '69.13.35.2', '69.13.35.14', 1158488834, 1158488846, 'IL', 'Israel'),
(32112, '69.13.35.15', '69.13.53.1', 1158488847, 1158493441, 'US', 'United States'),
(32113, '69.13.53.2', '69.13.53.126', 1158493442, 1158493566, 'CA', 'Canada'),
(32114, '69.13.53.127', '69.13.64.241', 1158493567, 1158496497, 'US', 'United States'),
(32115, '69.13.64.242', '69.13.64.250', 1158496498, 1158496506, 'TC', 'Turks and Caicos Islands'),
(32116, '69.13.64.251', '69.13.65.18', 1158496507, 1158496530, 'US', 'United States'),
(32117, '69.13.65.19', '69.13.65.27', 1158496531, 1158496539, 'WS', 'Samoa'),
(32118, '69.13.65.28', '69.13.66.11', 1158496540, 1158496779, 'US', 'United States'),
(32119, '69.13.66.12', '69.13.66.20', 1158496780, 1158496788, 'FJ', 'Fiji'),
(32120, '69.13.66.21', '69.13.66.29', 1158496789, 1158496797, 'BE', 'Belgium'),
(32121, '69.13.66.30', '69.13.66.38', 1158496798, 1158496806, 'US', 'United States'),
(32122, '69.13.66.39', '69.13.66.47', 1158496807, 1158496815, 'PE', 'Peru'),
(32123, '69.13.66.48', '69.13.69.80', 1158496816, 1158497616, 'US', 'United States'),
(32124, '69.13.69.81', '69.13.69.89', 1158497617, 1158497625, 'CH', 'Switzerland'),
(32125, '69.13.69.90', '69.13.69.116', 1158497626, 1158497652, 'US', 'United States'),
(32126, '69.13.69.117', '69.13.69.125', 1158497653, 1158497661, 'CA', 'Canada'),
(32127, '69.13.69.126', '69.13.69.134', 1158497662, 1158497670, 'GE', 'Georgia'),
(32128, '69.13.69.135', '69.13.69.234', 1158497671, 1158497770, 'US', 'United States'),
(32129, '69.13.69.235', '69.13.69.243', 1158497771, 1158497779, 'CA', 'Canada'),
(32130, '69.13.69.244', '69.13.70.33', 1158497780, 1158497825, 'US', 'United States'),
(32131, '69.13.70.34', '69.13.70.42', 1158497826, 1158497834, 'GE', 'Georgia'),
(32132, '69.13.70.43', '69.13.70.73', 1158497835, 1158497865, 'WS', 'Samoa'),
(32133, '69.13.70.74', '69.13.70.240', 1158497866, 1158498032, 'US', 'United States'),
(32134, '69.13.70.241', '69.13.70.249', 1158498033, 1158498041, 'HK', 'Hong Kong'),
(32135, '69.13.70.250', '69.13.71.234', 1158498042, 1158498282, 'US', 'United States'),
(32136, '69.13.71.235', '69.13.71.243', 1158498283, 1158498291, 'MX', 'Mexico'),
(32137, '69.13.71.244', '69.13.72.153', 1158498292, 1158498457, 'US', 'United States'),
(32138, '69.13.72.154', '69.13.72.162', 1158498458, 1158498466, 'GR', 'Greece'),
(32139, '69.13.72.163', '69.13.73.218', 1158498467, 1158498778, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(32140, '69.13.73.219', '69.13.73.227', 1158498779, 1158498787, 'IT', 'Italy'),
(32141, '69.13.73.228', '69.13.75.99', 1158498788, 1158499171, 'US', 'United States'),
(32142, '69.13.75.100', '69.13.75.107', 1158499172, 1158499179, 'VI', 'Virgin Islands, U.S.'),
(32143, '69.13.75.108', '69.13.75.243', 1158499180, 1158499315, 'US', 'United States'),
(32144, '69.13.75.244', '69.13.75.254', 1158499316, 1158499326, 'CA', 'Canada'),
(32145, '69.13.75.255', '69.13.76.54', 1158499327, 1158499382, 'US', 'United States'),
(32146, '69.13.76.55', '69.13.76.63', 1158499383, 1158499391, 'AS', 'American Samoa'),
(32147, '69.13.76.64', '69.13.76.72', 1158499392, 1158499400, 'NL', 'Netherlands'),
(32148, '69.13.76.73', '69.13.76.81', 1158499401, 1158499409, 'FR', 'France'),
(32149, '69.13.76.82', '69.13.77.0', 1158499410, 1158499584, 'US', 'United States'),
(32150, '69.13.77.1', '69.13.77.254', 1158499585, 1158499838, 'CA', 'Canada'),
(32151, '69.13.77.255', '69.13.83.0', 1158499839, 1158501120, 'US', 'United States'),
(32152, '69.13.83.1', '69.13.83.254', 1158501121, 1158501374, 'PR', 'Puerto Rico'),
(32153, '69.13.83.255', '69.13.97.71', 1158501375, 1158504775, 'US', 'United States'),
(32154, '69.13.97.72', '69.13.97.80', 1158504776, 1158504784, 'CA', 'Canada'),
(32155, '69.13.97.81', '69.13.97.132', 1158504785, 1158504836, 'US', 'United States'),
(32156, '69.13.97.133', '69.13.97.141', 1158504837, 1158504845, 'JM', 'Jamaica'),
(32157, '69.13.97.142', '69.13.97.159', 1158504846, 1158504863, 'US', 'United States'),
(32158, '69.13.97.160', '69.13.97.168', 1158504864, 1158504872, 'GR', 'Greece'),
(32159, '69.13.97.169', '69.13.97.237', 1158504873, 1158504941, 'US', 'United States'),
(32160, '69.13.97.238', '69.13.97.246', 1158504942, 1158504950, 'CA', 'Canada'),
(32161, '69.13.97.247', '69.13.97.247', 1158504951, 1158504951, 'US', 'United States'),
(32162, '69.13.97.248', '69.13.97.255', 1158504952, 1158504959, 'KE', 'Kenya'),
(32163, '69.13.98.0', '69.13.100.181', 1158504960, 1158505653, 'US', 'United States'),
(32164, '69.13.100.182', '69.13.100.255', 1158505654, 1158505727, 'AU', 'Australia'),
(32165, '69.13.101.0', '69.13.105.41', 1158505728, 1158506793, 'US', 'United States'),
(32166, '69.13.105.42', '69.13.105.57', 1158506794, 1158506809, 'IN', 'India'),
(32167, '69.13.105.58', '69.13.128.101', 1158506810, 1158512741, 'US', 'United States'),
(32168, '69.13.128.102', '69.13.128.110', 1158512742, 1158512750, 'PK', 'Pakistan'),
(32169, '69.13.128.111', '69.13.129.154', 1158512751, 1158513050, 'US', 'United States'),
(32170, '69.13.129.155', '69.13.129.163', 1158513051, 1158513059, 'AS', 'American Samoa'),
(32171, '69.13.129.164', '69.13.129.174', 1158513060, 1158513070, 'US', 'United States'),
(32172, '69.13.129.175', '69.13.129.183', 1158513071, 1158513079, 'AS', 'American Samoa'),
(32173, '69.13.129.184', '69.13.130.210', 1158513080, 1158513362, 'US', 'United States'),
(32174, '69.13.130.211', '69.13.130.219', 1158513363, 1158513371, 'TC', 'Turks and Caicos Islands'),
(32175, '69.13.130.220', '69.13.130.246', 1158513372, 1158513398, 'US', 'United States'),
(32176, '69.13.130.247', '69.13.130.255', 1158513399, 1158513407, 'CA', 'Canada'),
(32177, '69.13.131.0', '69.13.131.192', 1158513408, 1158513600, 'US', 'United States'),
(32178, '69.13.131.193', '69.13.131.201', 1158513601, 1158513609, 'CA', 'Canada'),
(32179, '69.13.131.202', '69.13.131.210', 1158513610, 1158513618, 'US', 'United States'),
(32180, '69.13.131.211', '69.13.131.219', 1158513619, 1158513627, 'CO', 'Colombia'),
(32181, '69.13.131.220', '69.13.132.18', 1158513628, 1158513682, 'US', 'United States'),
(32182, '69.13.132.19', '69.13.132.27', 1158513683, 1158513691, 'CA', 'Canada'),
(32183, '69.13.132.28', '69.13.132.92', 1158513692, 1158513756, 'US', 'United States'),
(32184, '69.13.132.93', '69.13.132.101', 1158513757, 1158513765, 'TC', 'Turks and Caicos Islands'),
(32185, '69.13.132.102', '69.13.132.186', 1158513766, 1158513850, 'US', 'United States'),
(32186, '69.13.132.187', '69.13.132.195', 1158513851, 1158513859, 'SZ', 'Swaziland'),
(32187, '69.13.132.196', '69.13.132.213', 1158513860, 1158513877, 'US', 'United States'),
(32188, '69.13.132.214', '69.13.132.222', 1158513878, 1158513886, 'BZ', 'Belize'),
(32189, '69.13.132.223', '69.13.133.137', 1158513887, 1158514057, 'US', 'United States'),
(32190, '69.13.133.138', '69.13.133.146', 1158514058, 1158514066, 'SN', 'Senegal'),
(32191, '69.13.133.147', '69.13.133.155', 1158514067, 1158514075, 'US', 'United States'),
(32192, '69.13.133.156', '69.13.133.164', 1158514076, 1158514084, 'MX', 'Mexico'),
(32193, '69.13.133.165', '69.13.133.209', 1158514085, 1158514129, 'US', 'United States'),
(32194, '69.13.133.210', '69.13.133.218', 1158514130, 1158514138, 'TW', 'Taiwan'),
(32195, '69.13.133.219', '69.13.134.155', 1158514139, 1158514331, 'US', 'United States'),
(32196, '69.13.134.156', '69.13.134.164', 1158514332, 1158514340, 'CA', 'Canada'),
(32197, '69.13.134.165', '69.13.134.173', 1158514341, 1158514349, 'US', 'United States'),
(32198, '69.13.134.174', '69.13.134.182', 1158514350, 1158514358, 'MX', 'Mexico'),
(32199, '69.13.134.183', '69.13.134.191', 1158514359, 1158514367, 'US', 'United States'),
(32200, '69.13.134.192', '69.13.134.200', 1158514368, 1158514376, 'CA', 'Canada'),
(32201, '69.13.134.201', '69.13.135.0', 1158514377, 1158514432, 'US', 'United States'),
(32202, '69.13.135.1', '69.13.135.128', 1158514433, 1158514560, 'AS', 'American Samoa'),
(32203, '69.13.135.129', '69.13.135.232', 1158514561, 1158514664, 'US', 'United States'),
(32204, '69.13.135.233', '69.13.135.241', 1158514665, 1158514673, 'FR', 'France'),
(32205, '69.13.135.242', '69.13.136.99', 1158514674, 1158514787, 'US', 'United States'),
(32206, '69.13.136.100', '69.13.136.108', 1158514788, 1158514796, 'AS', 'American Samoa'),
(32207, '69.13.136.109', '69.13.138.73', 1158514797, 1158515273, 'US', 'United States'),
(32208, '69.13.138.74', '69.13.138.82', 1158515274, 1158515282, 'BZ', 'Belize'),
(32209, '69.13.138.83', '69.13.144.108', 1158515283, 1158516844, 'US', 'United States'),
(32210, '69.13.144.109', '69.13.144.117', 1158516845, 1158516853, 'CA', 'Canada'),
(32211, '69.13.144.118', '69.13.144.123', 1158516854, 1158516859, 'US', 'United States'),
(32212, '69.13.144.124', '69.13.144.132', 1158516860, 1158516868, 'AU', 'Australia'),
(32213, '69.13.144.133', '69.13.144.202', 1158516869, 1158516938, 'US', 'United States'),
(32214, '69.13.144.203', '69.13.144.211', 1158516939, 1158516947, 'CA', 'Canada'),
(32215, '69.13.144.212', '69.13.146.36', 1158516948, 1158517284, 'US', 'United States'),
(32216, '69.13.146.37', '69.13.146.45', 1158517285, 1158517293, 'PK', 'Pakistan'),
(32217, '69.13.146.46', '69.13.146.178', 1158517294, 1158517426, 'US', 'United States'),
(32218, '69.13.146.179', '69.13.146.187', 1158517427, 1158517435, 'BG', 'Bulgaria'),
(32219, '69.13.146.188', '69.13.146.218', 1158517436, 1158517466, 'US', 'United States'),
(32220, '69.13.146.219', '69.13.146.227', 1158517467, 1158517475, 'BE', 'Belgium'),
(32221, '69.13.146.228', '69.13.149.4', 1158517476, 1158518020, 'US', 'United States'),
(32222, '69.13.149.5', '69.13.149.13', 1158518021, 1158518029, 'CA', 'Canada'),
(32223, '69.13.149.14', '69.13.149.91', 1158518030, 1158518107, 'US', 'United States'),
(32224, '69.13.149.92', '69.13.149.100', 1158518108, 1158518116, 'TH', 'Thailand'),
(32225, '69.13.149.101', '69.13.149.230', 1158518117, 1158518246, 'US', 'United States'),
(32226, '69.13.149.231', '69.13.149.239', 1158518247, 1158518255, 'CA', 'Canada'),
(32227, '69.13.149.240', '69.13.150.75', 1158518256, 1158518347, 'US', 'United States'),
(32228, '69.13.150.76', '69.13.150.84', 1158518348, 1158518356, 'NO', 'Norway'),
(32229, '69.13.150.85', '69.13.151.199', 1158518357, 1158518727, 'US', 'United States'),
(32230, '69.13.151.200', '69.13.151.208', 1158518728, 1158518736, 'SZ', 'Swaziland'),
(32231, '69.13.151.209', '69.13.152.0', 1158518737, 1158518784, 'US', 'United States'),
(32232, '69.13.152.1', '69.13.152.254', 1158518785, 1158519038, 'NO', 'Norway'),
(32233, '69.13.152.255', '69.13.153.9', 1158519039, 1158519049, 'US', 'United States'),
(32234, '69.13.153.10', '69.13.153.18', 1158519050, 1158519058, 'CH', 'Switzerland'),
(32235, '69.13.153.19', '69.13.153.27', 1158519059, 1158519067, 'NL', 'Netherlands'),
(32236, '69.13.153.28', '69.13.154.177', 1158519068, 1158519473, 'US', 'United States'),
(32237, '69.13.154.178', '69.13.154.187', 1158519474, 1158519483, 'CA', 'Canada'),
(32238, '69.13.154.188', '69.13.155.64', 1158519484, 1158519616, 'US', 'United States'),
(32239, '69.13.155.65', '69.13.155.73', 1158519617, 1158519625, 'WS', 'Samoa'),
(32240, '69.13.155.74', '69.13.155.206', 1158519626, 1158519758, 'US', 'United States'),
(32241, '69.13.155.207', '69.13.155.224', 1158519759, 1158519776, 'CA', 'Canada'),
(32242, '69.13.155.225', '69.13.155.242', 1158519777, 1158519794, 'US', 'United States'),
(32243, '69.13.155.243', '69.13.155.251', 1158519795, 1158519803, 'NO', 'Norway'),
(32244, '69.13.155.252', '69.13.156.18', 1158519804, 1158519826, 'US', 'United States'),
(32245, '69.13.156.19', '69.13.156.145', 1158519827, 1158519953, 'WS', 'Samoa'),
(32246, '69.13.156.146', '69.13.158.221', 1158519954, 1158520541, 'US', 'United States'),
(32247, '69.13.158.222', '69.13.158.230', 1158520542, 1158520550, 'IS', 'Iceland'),
(32248, '69.13.158.231', '69.13.177.0', 1158520551, 1158525184, 'US', 'United States'),
(32249, '69.13.177.1', '69.13.177.136', 1158525185, 1158525320, 'BE', 'Belgium'),
(32250, '69.13.177.137', '69.13.179.45', 1158525321, 1158525741, 'US', 'United States'),
(32251, '69.13.179.46', '69.13.179.54', 1158525742, 1158525750, 'BZ', 'Belize'),
(32252, '69.13.179.55', '69.13.179.80', 1158525751, 1158525776, 'US', 'United States'),
(32253, '69.13.179.81', '69.13.179.89', 1158525777, 1158525785, 'FR', 'France'),
(32254, '69.13.179.90', '69.13.179.125', 1158525786, 1158525821, 'US', 'United States'),
(32255, '69.13.179.126', '69.13.179.134', 1158525822, 1158525830, 'IT', 'Italy'),
(32256, '69.13.179.135', '69.13.181.89', 1158525831, 1158526297, 'US', 'United States'),
(32257, '69.13.181.90', '69.13.181.98', 1158526298, 1158526306, 'IT', 'Italy'),
(32258, '69.13.181.99', '69.13.181.127', 1158526307, 1158526335, 'US', 'United States'),
(32259, '69.13.181.128', '69.13.181.136', 1158526336, 1158526344, 'FR', 'France'),
(32260, '69.13.181.137', '69.13.181.138', 1158526345, 1158526346, 'US', 'United States'),
(32261, '69.13.181.139', '69.13.181.147', 1158526347, 1158526355, 'PE', 'Peru'),
(32262, '69.13.181.148', '69.13.181.149', 1158526356, 1158526357, 'US', 'United States'),
(32263, '69.13.181.150', '69.13.181.158', 1158526358, 1158526366, 'CA', 'Canada'),
(32264, '69.13.181.159', '69.13.181.160', 1158526367, 1158526368, 'US', 'United States'),
(32265, '69.13.181.161', '69.13.181.169', 1158526369, 1158526377, 'CH', 'Switzerland'),
(32266, '69.13.181.170', '69.13.183.210', 1158526378, 1158526930, 'US', 'United States'),
(32267, '69.13.183.211', '69.13.183.243', 1158526931, 1158526963, 'AS', 'American Samoa'),
(32268, '69.13.183.244', '69.13.184.11', 1158526964, 1158526987, 'US', 'United States'),
(32269, '69.13.184.12', '69.13.184.20', 1158526988, 1158526996, 'MY', 'Malaysia'),
(32270, '69.13.184.21', '69.13.184.92', 1158526997, 1158527068, 'US', 'United States'),
(32271, '69.13.184.93', '69.13.184.101', 1158527069, 1158527077, 'WS', 'Samoa'),
(32272, '69.13.184.102', '69.13.184.110', 1158527078, 1158527086, 'US', 'United States'),
(32273, '69.13.184.111', '69.13.184.119', 1158527087, 1158527095, 'CA', 'Canada'),
(32274, '69.13.184.120', '69.13.184.121', 1158527096, 1158527097, 'US', 'United States'),
(32275, '69.13.184.122', '69.13.184.130', 1158527098, 1158527106, 'KE', 'Kenya'),
(32276, '69.13.184.131', '69.13.184.157', 1158527107, 1158527133, 'US', 'United States'),
(32277, '69.13.184.158', '69.13.184.166', 1158527134, 1158527142, 'FR', 'France'),
(32278, '69.13.184.167', '69.13.184.240', 1158527143, 1158527216, 'US', 'United States'),
(32279, '69.13.184.241', '69.13.184.249', 1158527217, 1158527225, 'CA', 'Canada'),
(32280, '69.13.184.250', '69.13.185.56', 1158527226, 1158527288, 'US', 'United States'),
(32281, '69.13.185.57', '69.13.185.65', 1158527289, 1158527297, 'CA', 'Canada'),
(32282, '69.13.185.66', '69.13.185.74', 1158527298, 1158527306, 'US', 'United States'),
(32283, '69.13.185.75', '69.13.185.83', 1158527307, 1158527315, 'BA', 'Bosnia and Herzegovina'),
(32284, '69.13.185.84', '69.13.185.222', 1158527316, 1158527454, 'US', 'United States'),
(32285, '69.13.185.223', '69.13.185.231', 1158527455, 1158527463, 'IR', 'Iran, Islamic Republic of'),
(32286, '69.13.185.232', '69.13.187.95', 1158527464, 1158527839, 'US', 'United States'),
(32287, '69.13.187.96', '69.13.187.104', 1158527840, 1158527848, 'AS', 'American Samoa'),
(32288, '69.13.187.105', '69.13.189.0', 1158527849, 1158528256, 'US', 'United States'),
(32289, '69.13.189.1', '69.13.189.255', 1158528257, 1158528511, 'CA', 'Canada'),
(32290, '69.13.190.0', '69.13.190.0', 1158528512, 1158528512, 'US', 'United States'),
(32291, '69.13.190.1', '69.13.190.9', 1158528513, 1158528521, 'AS', 'American Samoa'),
(32292, '69.13.190.10', '69.13.190.63', 1158528522, 1158528575, 'US', 'United States'),
(32293, '69.13.190.64', '69.13.190.72', 1158528576, 1158528584, 'MX', 'Mexico'),
(32294, '69.13.190.73', '69.13.190.117', 1158528585, 1158528629, 'US', 'United States'),
(32295, '69.13.190.118', '69.13.190.126', 1158528630, 1158528638, 'CA', 'Canada'),
(32296, '69.13.190.127', '69.13.190.135', 1158528639, 1158528647, 'VN', 'Vietnam'),
(32297, '69.13.190.136', '69.13.190.243', 1158528648, 1158528755, 'US', 'United States'),
(32298, '69.13.190.244', '69.13.190.252', 1158528756, 1158528764, 'SN', 'Senegal'),
(32299, '69.13.190.253', '69.13.191.9', 1158528765, 1158528777, 'US', 'United States'),
(32300, '69.13.191.10', '69.13.191.18', 1158528778, 1158528786, 'AS', 'American Samoa'),
(32301, '69.13.191.19', '69.13.230.112', 1158528787, 1158538864, 'US', 'United States'),
(32302, '69.13.230.113', '69.13.230.120', 1158538865, 1158538872, 'WS', 'Samoa'),
(32303, '69.13.230.121', '69.16.146.255', 1158538873, 1158714111, 'US', 'United States'),
(32304, '69.16.147.0', '69.16.147.255', 1158714112, 1158714367, 'A1', 'Anonymous Proxy'),
(32305, '69.16.148.0', '69.16.150.127', 1158714368, 1158715007, 'US', 'United States'),
(32306, '69.16.150.128', '69.16.150.159', 1158715008, 1158715039, 'IE', 'Ireland'),
(32307, '69.16.150.160', '69.16.155.255', 1158715040, 1158716415, 'US', 'United States'),
(32308, '69.16.156.0', '69.16.156.7', 1158716416, 1158716423, 'IN', 'India'),
(32309, '69.16.156.8', '69.16.156.127', 1158716424, 1158716543, 'US', 'United States'),
(32310, '69.16.156.128', '69.16.156.135', 1158716544, 1158716551, 'IE', 'Ireland'),
(32311, '69.16.156.136', '69.16.156.255', 1158716552, 1158716671, 'US', 'United States'),
(32312, '69.16.157.0', '69.16.157.31', 1158716672, 1158716703, 'IE', 'Ireland'),
(32313, '69.16.157.32', '69.16.162.15', 1158716704, 1158717967, 'US', 'United States'),
(32314, '69.16.162.16', '69.16.162.31', 1158717968, 1158717983, 'CA', 'Canada'),
(32315, '69.16.162.32', '69.16.162.47', 1158717984, 1158717999, 'US', 'United States'),
(32316, '69.16.162.48', '69.16.162.63', 1158718000, 1158718015, 'CY', 'Cyprus'),
(32317, '69.16.162.64', '69.16.196.75', 1158718016, 1158726731, 'US', 'United States'),
(32318, '69.16.196.76', '69.16.196.83', 1158726732, 1158726739, 'CA', 'Canada'),
(32319, '69.16.196.84', '69.16.220.76', 1158726740, 1158732876, 'US', 'United States'),
(32320, '69.16.220.77', '69.16.220.84', 1158732877, 1158732884, 'GB', 'United Kingdom'),
(32321, '69.16.220.85', '69.16.233.113', 1158732885, 1158736241, 'US', 'United States'),
(32322, '69.16.233.114', '69.16.233.121', 1158736242, 1158736249, 'IN', 'India'),
(32323, '69.16.233.122', '69.17.127.255', 1158736250, 1158774783, 'US', 'United States'),
(32324, '69.17.128.0', '69.17.136.115', 1158774784, 1158776947, 'CA', 'Canada'),
(32325, '69.17.136.116', '69.17.136.119', 1158776948, 1158776951, 'US', 'United States'),
(32326, '69.17.136.120', '69.17.191.255', 1158776952, 1158791167, 'CA', 'Canada'),
(32327, '69.17.192.0', '69.17.203.255', 1158791168, 1158794239, 'BM', 'Bermuda'),
(32328, '69.17.204.0', '69.17.204.255', 1158794240, 1158794495, 'US', 'United States'),
(32329, '69.17.205.0', '69.17.223.255', 1158794496, 1158799359, 'BM', 'Bermuda'),
(32330, '69.17.224.0', '69.17.255.255', 1158799360, 1158807551, 'CA', 'Canada'),
(32331, '69.18.0.0', '69.20.8.151', 1158807552, 1158940823, 'US', 'United States'),
(32332, '69.20.8.152', '69.20.8.159', 1158940824, 1158940831, 'ES', 'Spain'),
(32333, '69.20.8.160', '69.20.8.239', 1158940832, 1158940911, 'US', 'United States'),
(32334, '69.20.8.240', '69.20.8.247', 1158940912, 1158940919, 'CA', 'Canada'),
(32335, '69.20.8.248', '69.20.10.63', 1158940920, 1158941247, 'US', 'United States'),
(32336, '69.20.10.64', '69.20.10.71', 1158941248, 1158941255, 'CY', 'Cyprus'),
(32337, '69.20.10.72', '69.20.10.167', 1158941256, 1158941351, 'US', 'United States'),
(32338, '69.20.10.168', '69.20.10.175', 1158941352, 1158941359, 'CR', 'Costa Rica'),
(32339, '69.20.10.176', '69.20.10.183', 1158941360, 1158941367, 'CA', 'Canada'),
(32340, '69.20.10.184', '69.20.10.215', 1158941368, 1158941399, 'US', 'United States'),
(32341, '69.20.10.216', '69.20.10.223', 1158941400, 1158941407, 'CA', 'Canada'),
(32342, '69.20.10.224', '69.20.12.79', 1158941408, 1158941775, 'US', 'United States'),
(32343, '69.20.12.80', '69.20.12.95', 1158941776, 1158941791, 'JM', 'Jamaica'),
(32344, '69.20.12.96', '69.20.12.103', 1158941792, 1158941799, 'IE', 'Ireland'),
(32345, '69.20.12.104', '69.20.14.63', 1158941800, 1158942271, 'US', 'United States'),
(32346, '69.20.14.64', '69.20.14.71', 1158942272, 1158942279, 'IE', 'Ireland'),
(32347, '69.20.14.72', '69.20.14.103', 1158942280, 1158942311, 'US', 'United States'),
(32348, '69.20.14.104', '69.20.14.111', 1158942312, 1158942319, 'CA', 'Canada'),
(32349, '69.20.14.112', '69.20.18.191', 1158942320, 1158943423, 'US', 'United States'),
(32350, '69.20.18.192', '69.20.18.199', 1158943424, 1158943431, 'PK', 'Pakistan'),
(32351, '69.20.18.200', '69.20.19.47', 1158943432, 1158943535, 'US', 'United States'),
(32352, '69.20.19.48', '69.20.19.55', 1158943536, 1158943543, 'CA', 'Canada'),
(32353, '69.20.19.56', '69.20.19.111', 1158943544, 1158943599, 'US', 'United States'),
(32354, '69.20.19.112', '69.20.19.127', 1158943600, 1158943615, 'GB', 'United Kingdom'),
(32355, '69.20.19.128', '69.20.19.219', 1158943616, 1158943707, 'US', 'United States'),
(32356, '69.20.19.220', '69.20.19.221', 1158943708, 1158943709, 'CA', 'Canada'),
(32357, '69.20.19.222', '69.20.20.119', 1158943710, 1158943863, 'US', 'United States'),
(32358, '69.20.20.120', '69.20.20.127', 1158943864, 1158943871, 'CR', 'Costa Rica'),
(32359, '69.20.20.128', '69.20.20.151', 1158943872, 1158943895, 'US', 'United States'),
(32360, '69.20.20.152', '69.20.20.159', 1158943896, 1158943903, 'GB', 'United Kingdom'),
(32361, '69.20.20.160', '69.20.20.231', 1158943904, 1158943975, 'US', 'United States'),
(32362, '69.20.20.232', '69.20.20.239', 1158943976, 1158943983, 'CA', 'Canada'),
(32363, '69.20.20.240', '69.20.22.23', 1158943984, 1158944279, 'US', 'United States'),
(32364, '69.20.22.24', '69.20.22.31', 1158944280, 1158944287, 'AE', 'United Arab Emirates'),
(32365, '69.20.22.32', '69.20.24.95', 1158944288, 1158944863, 'US', 'United States'),
(32366, '69.20.24.96', '69.20.24.103', 1158944864, 1158944871, 'CA', 'Canada'),
(32367, '69.20.24.104', '69.20.24.127', 1158944872, 1158944895, 'US', 'United States'),
(32368, '69.20.24.128', '69.20.24.135', 1158944896, 1158944903, 'ZA', 'South Africa'),
(32369, '69.20.24.136', '69.20.24.183', 1158944904, 1158944951, 'US', 'United States'),
(32370, '69.20.24.184', '69.20.24.191', 1158944952, 1158944959, 'IN', 'India'),
(32371, '69.20.24.192', '69.20.25.71', 1158944960, 1158945095, 'US', 'United States'),
(32372, '69.20.25.72', '69.20.25.79', 1158945096, 1158945103, 'TH', 'Thailand'),
(32373, '69.20.25.80', '69.20.25.87', 1158945104, 1158945111, 'US', 'United States'),
(32374, '69.20.25.88', '69.20.25.95', 1158945112, 1158945119, 'CA', 'Canada'),
(32375, '69.20.25.96', '69.20.25.103', 1158945120, 1158945127, 'US', 'United States'),
(32376, '69.20.25.104', '69.20.25.111', 1158945128, 1158945135, 'MX', 'Mexico'),
(32377, '69.20.25.112', '69.20.25.247', 1158945136, 1158945271, 'US', 'United States'),
(32378, '69.20.25.248', '69.20.26.7', 1158945272, 1158945287, 'CA', 'Canada'),
(32379, '69.20.26.8', '69.20.26.39', 1158945288, 1158945319, 'US', 'United States'),
(32380, '69.20.26.40', '69.20.26.55', 1158945320, 1158945335, 'CA', 'Canada'),
(32381, '69.20.26.56', '69.20.26.255', 1158945336, 1158945535, 'US', 'United States'),
(32382, '69.20.27.0', '69.20.27.7', 1158945536, 1158945543, 'CA', 'Canada'),
(32383, '69.20.27.8', '69.20.27.255', 1158945544, 1158945791, 'US', 'United States'),
(32384, '69.20.28.0', '69.20.28.7', 1158945792, 1158945799, 'IE', 'Ireland'),
(32385, '69.20.28.8', '69.20.28.15', 1158945800, 1158945807, 'US', 'United States'),
(32386, '69.20.28.16', '69.20.28.23', 1158945808, 1158945815, 'IE', 'Ireland'),
(32387, '69.20.28.24', '69.20.28.31', 1158945816, 1158945823, 'US', 'United States'),
(32388, '69.20.28.32', '69.20.28.39', 1158945824, 1158945831, 'JP', 'Japan'),
(32389, '69.20.28.40', '69.20.28.143', 1158945832, 1158945935, 'US', 'United States'),
(32390, '69.20.28.144', '69.20.28.151', 1158945936, 1158945943, 'CA', 'Canada'),
(32391, '69.20.28.152', '69.20.28.255', 1158945944, 1158946047, 'US', 'United States'),
(32392, '69.20.29.0', '69.20.29.7', 1158946048, 1158946055, 'CA', 'Canada'),
(32393, '69.20.29.8', '69.20.29.103', 1158946056, 1158946151, 'US', 'United States'),
(32394, '69.20.29.104', '69.20.29.111', 1158946152, 1158946159, 'IE', 'Ireland'),
(32395, '69.20.29.112', '69.20.29.159', 1158946160, 1158946207, 'US', 'United States'),
(32396, '69.20.29.160', '69.20.29.167', 1158946208, 1158946215, 'CA', 'Canada'),
(32397, '69.20.29.168', '69.20.30.183', 1158946216, 1158946487, 'US', 'United States'),
(32398, '69.20.30.184', '69.20.30.191', 1158946488, 1158946495, 'GB', 'United Kingdom'),
(32399, '69.20.30.192', '69.20.30.247', 1158946496, 1158946551, 'US', 'United States'),
(32400, '69.20.30.248', '69.20.30.255', 1158946552, 1158946559, 'CH', 'Switzerland'),
(32401, '69.20.31.0', '69.20.31.15', 1158946560, 1158946575, 'US', 'United States'),
(32402, '69.20.31.16', '69.20.31.23', 1158946576, 1158946583, 'IN', 'India'),
(32403, '69.20.31.24', '69.20.31.151', 1158946584, 1158946711, 'US', 'United States'),
(32404, '69.20.31.152', '69.20.31.159', 1158946712, 1158946719, 'HK', 'Hong Kong'),
(32405, '69.20.31.160', '69.20.31.211', 1158946720, 1158946771, 'US', 'United States'),
(32406, '69.20.31.212', '69.20.31.212', 1158946772, 1158946772, 'MX', 'Mexico'),
(32407, '69.20.31.213', '69.20.34.63', 1158946773, 1158947391, 'US', 'United States'),
(32408, '69.20.34.64', '69.20.34.71', 1158947392, 1158947399, 'CA', 'Canada'),
(32409, '69.20.34.72', '69.20.35.7', 1158947400, 1158947591, 'US', 'United States'),
(32410, '69.20.35.8', '69.20.35.15', 1158947592, 1158947599, 'JP', 'Japan'),
(32411, '69.20.35.16', '69.20.35.63', 1158947600, 1158947647, 'US', 'United States'),
(32412, '69.20.35.64', '69.20.35.71', 1158947648, 1158947655, 'CA', 'Canada'),
(32413, '69.20.35.72', '69.20.35.79', 1158947656, 1158947663, 'US', 'United States'),
(32414, '69.20.35.80', '69.20.35.111', 1158947664, 1158947695, 'IE', 'Ireland'),
(32415, '69.20.35.112', '69.20.35.127', 1158947696, 1158947711, 'US', 'United States'),
(32416, '69.20.35.128', '69.20.35.135', 1158947712, 1158947719, 'CA', 'Canada'),
(32417, '69.20.35.136', '69.20.35.151', 1158947720, 1158947735, 'US', 'United States'),
(32418, '69.20.35.152', '69.20.35.159', 1158947736, 1158947743, 'IN', 'India'),
(32419, '69.20.35.160', '69.20.35.207', 1158947744, 1158947791, 'US', 'United States'),
(32420, '69.20.35.208', '69.20.35.215', 1158947792, 1158947799, 'IN', 'India'),
(32421, '69.20.35.216', '69.20.35.247', 1158947800, 1158947831, 'US', 'United States'),
(32422, '69.20.35.248', '69.20.35.255', 1158947832, 1158947839, 'TR', 'Turkey'),
(32423, '69.20.36.0', '69.20.36.7', 1158947840, 1158947847, 'US', 'United States'),
(32424, '69.20.36.8', '69.20.36.9', 1158947848, 1158947849, 'CA', 'Canada'),
(32425, '69.20.36.10', '69.20.38.31', 1158947850, 1158948383, 'US', 'United States'),
(32426, '69.20.38.32', '69.20.38.39', 1158948384, 1158948391, 'IT', 'Italy'),
(32427, '69.20.38.40', '69.20.40.31', 1158948392, 1158948895, 'US', 'United States'),
(32428, '69.20.40.32', '69.20.40.39', 1158948896, 1158948903, 'CA', 'Canada'),
(32429, '69.20.40.40', '69.20.40.103', 1158948904, 1158948967, 'US', 'United States'),
(32430, '69.20.40.104', '69.20.40.111', 1158948968, 1158948975, 'CA', 'Canada'),
(32431, '69.20.40.112', '69.20.40.143', 1158948976, 1158949007, 'US', 'United States'),
(32432, '69.20.40.144', '69.20.40.151', 1158949008, 1158949015, 'IL', 'Israel'),
(32433, '69.20.40.152', '69.20.41.167', 1158949016, 1158949287, 'US', 'United States'),
(32434, '69.20.41.168', '69.20.41.175', 1158949288, 1158949295, 'CA', 'Canada'),
(32435, '69.20.41.176', '69.20.44.217', 1158949296, 1158950105, 'US', 'United States'),
(32436, '69.20.44.218', '69.20.44.219', 1158950106, 1158950107, 'CA', 'Canada'),
(32437, '69.20.44.220', '69.20.45.191', 1158950108, 1158950335, 'US', 'United States'),
(32438, '69.20.45.192', '69.20.45.207', 1158950336, 1158950351, 'CA', 'Canada'),
(32439, '69.20.45.208', '69.20.45.215', 1158950352, 1158950359, 'IN', 'India'),
(32440, '69.20.45.216', '69.20.45.223', 1158950360, 1158950367, 'CA', 'Canada'),
(32441, '69.20.45.224', '69.20.47.111', 1158950368, 1158950767, 'US', 'United States'),
(32442, '69.20.47.112', '69.20.47.119', 1158950768, 1158950775, 'TH', 'Thailand'),
(32443, '69.20.47.120', '69.20.49.63', 1158950776, 1158951231, 'US', 'United States'),
(32444, '69.20.49.64', '69.20.49.95', 1158951232, 1158951263, 'TH', 'Thailand'),
(32445, '69.20.49.96', '69.20.49.255', 1158951264, 1158951423, 'US', 'United States'),
(32446, '69.20.50.0', '69.20.50.15', 1158951424, 1158951439, 'CA', 'Canada'),
(32447, '69.20.50.16', '69.20.50.23', 1158951440, 1158951447, 'NL', 'Netherlands'),
(32448, '69.20.50.24', '69.20.50.127', 1158951448, 1158951551, 'US', 'United States'),
(32449, '69.20.50.128', '69.20.50.135', 1158951552, 1158951559, 'NL', 'Netherlands'),
(32450, '69.20.50.136', '69.20.50.151', 1158951560, 1158951575, 'US', 'United States'),
(32451, '69.20.50.152', '69.20.50.159', 1158951576, 1158951583, 'CA', 'Canada'),
(32452, '69.20.50.160', '69.20.50.203', 1158951584, 1158951627, 'US', 'United States'),
(32453, '69.20.50.204', '69.20.50.207', 1158951628, 1158951631, 'CA', 'Canada'),
(32454, '69.20.50.208', '69.20.51.63', 1158951632, 1158951743, 'US', 'United States'),
(32455, '69.20.51.64', '69.20.51.71', 1158951744, 1158951751, 'IN', 'India'),
(32456, '69.20.51.72', '69.20.51.159', 1158951752, 1158951839, 'US', 'United States'),
(32457, '69.20.51.160', '69.20.51.175', 1158951840, 1158951855, 'CA', 'Canada'),
(32458, '69.20.51.176', '69.20.55.7', 1158951856, 1158952711, 'US', 'United States'),
(32459, '69.20.55.8', '69.20.55.15', 1158952712, 1158952719, 'IN', 'India'),
(32460, '69.20.55.16', '69.20.55.39', 1158952720, 1158952743, 'US', 'United States'),
(32461, '69.20.55.40', '69.20.55.47', 1158952744, 1158952751, 'FI', 'Finland'),
(32462, '69.20.55.48', '69.20.55.111', 1158952752, 1158952815, 'US', 'United States'),
(32463, '69.20.55.112', '69.20.55.119', 1158952816, 1158952823, 'CA', 'Canada'),
(32464, '69.20.55.120', '69.20.55.191', 1158952824, 1158952895, 'US', 'United States'),
(32465, '69.20.55.192', '69.20.55.199', 1158952896, 1158952903, 'IL', 'Israel'),
(32466, '69.20.55.200', '69.20.58.31', 1158952904, 1158953503, 'US', 'United States'),
(32467, '69.20.58.32', '69.20.58.39', 1158953504, 1158953511, 'NL', 'Netherlands'),
(32468, '69.20.58.40', '69.20.63.63', 1158953512, 1158954815, 'US', 'United States'),
(32469, '69.20.63.64', '69.20.63.71', 1158954816, 1158954823, 'GB', 'United Kingdom'),
(32470, '69.20.63.72', '69.20.63.79', 1158954824, 1158954831, 'CA', 'Canada'),
(32471, '69.20.63.80', '69.20.64.7', 1158954832, 1158955015, 'US', 'United States'),
(32472, '69.20.64.8', '69.20.64.15', 1158955016, 1158955023, 'CA', 'Canada'),
(32473, '69.20.64.16', '69.20.64.31', 1158955024, 1158955039, 'US', 'United States'),
(32474, '69.20.64.32', '69.20.64.39', 1158955040, 1158955047, 'GB', 'United Kingdom'),
(32475, '69.20.64.40', '69.20.68.31', 1158955048, 1158956063, 'US', 'United States'),
(32476, '69.20.68.32', '69.20.68.47', 1158956064, 1158956079, 'NL', 'Netherlands'),
(32477, '69.20.68.48', '69.20.68.63', 1158956080, 1158956095, 'US', 'United States'),
(32478, '69.20.68.64', '69.20.68.71', 1158956096, 1158956103, 'CA', 'Canada'),
(32479, '69.20.68.72', '69.20.69.7', 1158956104, 1158956295, 'US', 'United States'),
(32480, '69.20.69.8', '69.20.69.15', 1158956296, 1158956303, 'CA', 'Canada'),
(32481, '69.20.69.16', '69.20.73.143', 1158956304, 1158957455, 'US', 'United States'),
(32482, '69.20.73.144', '69.20.73.159', 1158957456, 1158957471, 'NL', 'Netherlands'),
(32483, '69.20.73.160', '69.20.74.79', 1158957472, 1158957647, 'US', 'United States'),
(32484, '69.20.74.80', '69.20.74.87', 1158957648, 1158957655, 'AU', 'Australia'),
(32485, '69.20.74.88', '69.20.74.95', 1158957656, 1158957663, 'PE', 'Peru'),
(32486, '69.20.74.96', '69.20.74.233', 1158957664, 1158957801, 'US', 'United States'),
(32487, '69.20.74.234', '69.20.74.235', 1158957802, 1158957803, 'NL', 'Netherlands'),
(32488, '69.20.74.236', '69.20.76.215', 1158957804, 1158958295, 'US', 'United States'),
(32489, '69.20.76.216', '69.20.76.223', 1158958296, 1158958303, 'AG', 'Antigua and Barbuda'),
(32490, '69.20.76.224', '69.20.76.231', 1158958304, 1158958311, 'ES', 'Spain'),
(32491, '69.20.76.232', '69.20.77.31', 1158958312, 1158958367, 'US', 'United States'),
(32492, '69.20.77.32', '69.20.77.39', 1158958368, 1158958375, 'CA', 'Canada'),
(32493, '69.20.77.40', '69.20.77.255', 1158958376, 1158958591, 'US', 'United States'),
(32494, '69.20.78.0', '69.20.78.7', 1158958592, 1158958599, 'ZA', 'South Africa'),
(32495, '69.20.78.8', '69.20.78.15', 1158958600, 1158958607, 'IL', 'Israel'),
(32496, '69.20.78.16', '69.20.78.79', 1158958608, 1158958671, 'US', 'United States'),
(32497, '69.20.78.80', '69.20.78.87', 1158958672, 1158958679, 'SA', 'Saudi Arabia'),
(32498, '69.20.78.88', '69.20.78.127', 1158958680, 1158958719, 'US', 'United States'),
(32499, '69.20.78.128', '69.20.78.159', 1158958720, 1158958751, 'CA', 'Canada'),
(32500, '69.20.78.160', '69.20.79.183', 1158958752, 1158959031, 'US', 'United States'),
(32501, '69.20.79.184', '69.20.79.191', 1158959032, 1158959039, 'CA', 'Canada'),
(32502, '69.20.79.192', '69.20.79.231', 1158959040, 1158959079, 'US', 'United States'),
(32503, '69.20.79.232', '69.20.79.233', 1158959080, 1158959081, 'BG', 'Bulgaria'),
(32504, '69.20.79.234', '69.20.80.31', 1158959082, 1158959135, 'US', 'United States'),
(32505, '69.20.80.32', '69.20.80.47', 1158959136, 1158959151, 'BD', 'Bangladesh'),
(32506, '69.20.80.48', '69.20.82.63', 1158959152, 1158959679, 'US', 'United States'),
(32507, '69.20.82.64', '69.20.82.71', 1158959680, 1158959687, 'CR', 'Costa Rica'),
(32508, '69.20.82.72', '69.20.85.71', 1158959688, 1158960455, 'US', 'United States'),
(32509, '69.20.85.72', '69.20.85.79', 1158960456, 1158960463, 'IN', 'India'),
(32510, '69.20.85.80', '69.20.85.151', 1158960464, 1158960535, 'US', 'United States'),
(32511, '69.20.85.152', '69.20.85.159', 1158960536, 1158960543, 'NZ', 'New Zealand'),
(32512, '69.20.85.160', '69.20.87.167', 1158960544, 1158961063, 'US', 'United States'),
(32513, '69.20.87.168', '69.20.87.175', 1158961064, 1158961071, 'TW', 'Taiwan'),
(32514, '69.20.87.176', '69.20.87.255', 1158961072, 1158961151, 'US', 'United States'),
(32515, '69.20.88.0', '69.20.88.7', 1158961152, 1158961159, 'GB', 'United Kingdom'),
(32516, '69.20.88.8', '69.20.88.23', 1158961160, 1158961175, 'US', 'United States'),
(32517, '69.20.88.24', '69.20.88.31', 1158961176, 1158961183, 'CA', 'Canada'),
(32518, '69.20.88.32', '69.20.88.103', 1158961184, 1158961255, 'US', 'United States'),
(32519, '69.20.88.104', '69.20.88.111', 1158961256, 1158961263, 'ES', 'Spain'),
(32520, '69.20.88.112', '69.20.90.111', 1158961264, 1158961775, 'US', 'United States'),
(32521, '69.20.90.112', '69.20.90.119', 1158961776, 1158961783, 'CA', 'Canada'),
(32522, '69.20.90.120', '69.20.91.103', 1158961784, 1158962023, 'US', 'United States'),
(32523, '69.20.91.104', '69.20.91.107', 1158962024, 1158962027, 'IL', 'Israel'),
(32524, '69.20.91.108', '69.20.91.255', 1158962028, 1158962175, 'US', 'United States'),
(32525, '69.20.92.0', '69.20.92.7', 1158962176, 1158962183, 'GB', 'United Kingdom'),
(32526, '69.20.92.8', '69.20.92.111', 1158962184, 1158962287, 'US', 'United States'),
(32527, '69.20.92.112', '69.20.92.119', 1158962288, 1158962295, 'ZA', 'South Africa'),
(32528, '69.20.92.120', '69.20.93.159', 1158962296, 1158962591, 'US', 'United States'),
(32529, '69.20.93.160', '69.20.93.175', 1158962592, 1158962607, 'GB', 'United Kingdom'),
(32530, '69.20.93.176', '69.20.93.183', 1158962608, 1158962615, 'US', 'United States'),
(32531, '69.20.93.184', '69.20.93.191', 1158962616, 1158962623, 'GB', 'United Kingdom'),
(32532, '69.20.93.192', '69.20.93.239', 1158962624, 1158962671, 'US', 'United States'),
(32533, '69.20.93.240', '69.20.93.243', 1158962672, 1158962675, 'IN', 'India'),
(32534, '69.20.93.244', '69.20.96.71', 1158962676, 1158963271, 'US', 'United States'),
(32535, '69.20.96.72', '69.20.96.79', 1158963272, 1158963279, 'IE', 'Ireland'),
(32536, '69.20.96.80', '69.20.96.253', 1158963280, 1158963453, 'US', 'United States'),
(32537, '69.20.96.254', '69.20.96.255', 1158963454, 1158963455, 'CA', 'Canada'),
(32538, '69.20.97.0', '69.20.97.191', 1158963456, 1158963647, 'US', 'United States'),
(32539, '69.20.97.192', '69.20.97.207', 1158963648, 1158963663, 'IN', 'India'),
(32540, '69.20.97.208', '69.20.98.15', 1158963664, 1158963727, 'US', 'United States'),
(32541, '69.20.98.16', '69.20.98.23', 1158963728, 1158963735, 'GB', 'United Kingdom'),
(32542, '69.20.98.24', '69.20.99.135', 1158963736, 1158964103, 'US', 'United States'),
(32543, '69.20.99.136', '69.20.99.143', 1158964104, 1158964111, 'IN', 'India'),
(32544, '69.20.99.144', '69.20.99.221', 1158964112, 1158964189, 'US', 'United States'),
(32545, '69.20.99.222', '69.20.99.223', 1158964190, 1158964191, 'CA', 'Canada'),
(32546, '69.20.99.224', '69.20.100.63', 1158964192, 1158964287, 'US', 'United States'),
(32547, '69.20.100.64', '69.20.100.95', 1158964288, 1158964319, 'CA', 'Canada'),
(32548, '69.20.100.96', '69.20.101.151', 1158964320, 1158964631, 'US', 'United States'),
(32549, '69.20.101.152', '69.20.101.159', 1158964632, 1158964639, 'CA', 'Canada'),
(32550, '69.20.101.160', '69.20.101.167', 1158964640, 1158964647, 'MX', 'Mexico'),
(32551, '69.20.101.168', '69.20.101.221', 1158964648, 1158964701, 'US', 'United States'),
(32552, '69.20.101.222', '69.20.101.223', 1158964702, 1158964703, 'CA', 'Canada'),
(32553, '69.20.101.224', '69.20.102.63', 1158964704, 1158964799, 'US', 'United States'),
(32554, '69.20.102.64', '69.20.102.71', 1158964800, 1158964807, 'IE', 'Ireland'),
(32555, '69.20.102.72', '69.20.102.95', 1158964808, 1158964831, 'US', 'United States'),
(32556, '69.20.102.96', '69.20.102.103', 1158964832, 1158964839, 'GB', 'United Kingdom'),
(32557, '69.20.102.104', '69.20.102.207', 1158964840, 1158964943, 'US', 'United States'),
(32558, '69.20.102.208', '69.20.102.215', 1158964944, 1158964951, 'MX', 'Mexico'),
(32559, '69.20.102.216', '69.20.103.95', 1158964952, 1158965087, 'US', 'United States'),
(32560, '69.20.103.96', '69.20.103.119', 1158965088, 1158965111, 'CA', 'Canada'),
(32561, '69.20.103.120', '69.20.103.127', 1158965112, 1158965119, 'US', 'United States'),
(32562, '69.20.103.128', '69.20.103.143', 1158965120, 1158965135, 'AR', 'Argentina'),
(32563, '69.20.103.144', '69.20.103.167', 1158965136, 1158965159, 'US', 'United States'),
(32564, '69.20.103.168', '69.20.103.175', 1158965160, 1158965167, 'IL', 'Israel'),
(32565, '69.20.103.176', '69.20.103.207', 1158965168, 1158965199, 'US', 'United States'),
(32566, '69.20.103.208', '69.20.103.223', 1158965200, 1158965215, 'CA', 'Canada'),
(32567, '69.20.103.224', '69.20.103.255', 1158965216, 1158965247, 'US', 'United States'),
(32568, '69.20.104.0', '69.20.104.7', 1158965248, 1158965255, 'IN', 'India'),
(32569, '69.20.104.8', '69.20.105.55', 1158965256, 1158965559, 'US', 'United States'),
(32570, '69.20.105.56', '69.20.105.63', 1158965560, 1158965567, 'IN', 'India'),
(32571, '69.20.105.64', '69.20.105.239', 1158965568, 1158965743, 'US', 'United States'),
(32572, '69.20.105.240', '69.20.105.247', 1158965744, 1158965751, 'IN', 'India'),
(32573, '69.20.105.248', '69.20.107.111', 1158965752, 1158966127, 'US', 'United States'),
(32574, '69.20.107.112', '69.20.107.127', 1158966128, 1158966143, 'FR', 'France'),
(32575, '69.20.107.128', '69.20.108.63', 1158966144, 1158966335, 'US', 'United States'),
(32576, '69.20.108.64', '69.20.108.71', 1158966336, 1158966343, 'PL', 'Poland'),
(32577, '69.20.108.72', '69.20.108.87', 1158966344, 1158966359, 'CA', 'Canada'),
(32578, '69.20.108.88', '69.20.109.39', 1158966360, 1158966567, 'US', 'United States'),
(32579, '69.20.109.40', '69.20.109.63', 1158966568, 1158966591, 'CA', 'Canada'),
(32580, '69.20.109.64', '69.20.110.15', 1158966592, 1158966799, 'US', 'United States'),
(32581, '69.20.110.16', '69.20.110.23', 1158966800, 1158966807, 'CA', 'Canada'),
(32582, '69.20.110.24', '69.20.110.103', 1158966808, 1158966887, 'US', 'United States'),
(32583, '69.20.110.104', '69.20.110.111', 1158966888, 1158966895, 'EG', 'Egypt'),
(32584, '69.20.110.112', '69.20.110.127', 1158966896, 1158966911, 'US', 'United States'),
(32585, '69.20.110.128', '69.20.110.135', 1158966912, 1158966919, 'MX', 'Mexico'),
(32586, '69.20.110.136', '69.20.110.175', 1158966920, 1158966959, 'US', 'United States'),
(32587, '69.20.110.176', '69.20.110.183', 1158966960, 1158966967, 'MX', 'Mexico'),
(32588, '69.20.110.184', '69.20.110.207', 1158966968, 1158966991, 'US', 'United States'),
(32589, '69.20.110.208', '69.20.110.215', 1158966992, 1158966999, 'CA', 'Canada'),
(32590, '69.20.110.216', '69.20.111.223', 1158967000, 1158967263, 'US', 'United States'),
(32591, '69.20.111.224', '69.20.111.239', 1158967264, 1158967279, 'TH', 'Thailand'),
(32592, '69.20.111.240', '69.20.112.31', 1158967280, 1158967327, 'US', 'United States'),
(32593, '69.20.112.32', '69.20.112.39', 1158967328, 1158967335, 'JP', 'Japan'),
(32594, '69.20.112.40', '69.20.112.47', 1158967336, 1158967343, 'GB', 'United Kingdom'),
(32595, '69.20.112.48', '69.20.112.231', 1158967344, 1158967527, 'US', 'United States'),
(32596, '69.20.112.232', '69.20.112.239', 1158967528, 1158967535, 'CA', 'Canada'),
(32597, '69.20.112.240', '69.20.112.247', 1158967536, 1158967543, 'IE', 'Ireland'),
(32598, '69.20.112.248', '69.20.113.7', 1158967544, 1158967559, 'US', 'United States'),
(32599, '69.20.113.8', '69.20.113.15', 1158967560, 1158967567, 'CA', 'Canada'),
(32600, '69.20.113.16', '69.20.113.63', 1158967568, 1158967615, 'US', 'United States'),
(32601, '69.20.113.64', '69.20.113.71', 1158967616, 1158967623, 'GT', 'Guatemala'),
(32602, '69.20.113.72', '69.20.113.79', 1158967624, 1158967631, 'US', 'United States'),
(32603, '69.20.113.80', '69.20.113.127', 1158967632, 1158967679, 'CA', 'Canada'),
(32604, '69.20.113.128', '69.20.114.207', 1158967680, 1158968015, 'US', 'United States'),
(32605, '69.20.114.208', '69.20.114.209', 1158968016, 1158968017, 'GB', 'United Kingdom'),
(32606, '69.20.114.210', '69.20.115.7', 1158968018, 1158968071, 'US', 'United States'),
(32607, '69.20.115.8', '69.20.115.15', 1158968072, 1158968079, 'MT', 'Malta'),
(32608, '69.20.115.16', '69.20.115.39', 1158968080, 1158968103, 'US', 'United States'),
(32609, '69.20.115.40', '69.20.115.47', 1158968104, 1158968111, 'HU', 'Hungary'),
(32610, '69.20.115.48', '69.20.115.143', 1158968112, 1158968207, 'US', 'United States'),
(32611, '69.20.115.144', '69.20.115.175', 1158968208, 1158968239, 'CA', 'Canada'),
(32612, '69.20.115.176', '69.20.117.247', 1158968240, 1158968823, 'US', 'United States'),
(32613, '69.20.117.248', '69.20.117.251', 1158968824, 1158968827, 'GB', 'United Kingdom'),
(32614, '69.20.117.252', '69.20.120.103', 1158968828, 1158969447, 'US', 'United States'),
(32615, '69.20.120.104', '69.20.120.111', 1158969448, 1158969455, 'CA', 'Canada'),
(32616, '69.20.120.112', '69.20.121.63', 1158969456, 1158969663, 'US', 'United States'),
(32617, '69.20.121.64', '69.20.121.79', 1158969664, 1158969679, 'MX', 'Mexico'),
(32618, '69.20.121.80', '69.20.121.103', 1158969680, 1158969703, 'US', 'United States'),
(32619, '69.20.121.104', '69.20.121.111', 1158969704, 1158969711, 'CA', 'Canada'),
(32620, '69.20.121.112', '69.20.123.15', 1158969712, 1158970127, 'US', 'United States'),
(32621, '69.20.123.16', '69.20.123.23', 1158970128, 1158970135, 'CA', 'Canada'),
(32622, '69.20.123.24', '69.20.123.175', 1158970136, 1158970287, 'US', 'United States'),
(32623, '69.20.123.176', '69.20.123.183', 1158970288, 1158970295, 'CA', 'Canada'),
(32624, '69.20.123.184', '69.20.123.191', 1158970296, 1158970303, 'MY', 'Malaysia'),
(32625, '69.20.123.192', '69.20.126.63', 1158970304, 1158970943, 'US', 'United States'),
(32626, '69.20.126.64', '69.20.126.95', 1158970944, 1158970975, 'CA', 'Canada'),
(32627, '69.20.126.96', '69.20.223.255', 1158970976, 1158995967, 'US', 'United States'),
(32628, '69.20.224.0', '69.20.231.159', 1158995968, 1158997919, 'CA', 'Canada'),
(32629, '69.20.231.160', '69.20.231.175', 1158997920, 1158997935, 'GB', 'United Kingdom'),
(32630, '69.20.231.176', '69.20.236.231', 1158997936, 1158999271, 'CA', 'Canada'),
(32631, '69.20.236.232', '69.20.236.239', 1158999272, 1158999279, 'SK', 'Slovakia'),
(32632, '69.20.236.240', '69.20.238.111', 1158999280, 1158999663, 'CA', 'Canada'),
(32633, '69.20.238.112', '69.20.238.119', 1158999664, 1158999671, 'US', 'United States'),
(32634, '69.20.238.120', '69.20.239.55', 1158999672, 1158999863, 'CA', 'Canada'),
(32635, '69.20.239.56', '69.20.239.63', 1158999864, 1158999871, 'US', 'United States'),
(32636, '69.20.239.64', '69.20.255.255', 1158999872, 1159004159, 'CA', 'Canada'),
(32637, '69.21.0.0', '69.24.47.255', 1159004160, 1159213055, 'US', 'United States'),
(32638, '69.24.48.0', '69.24.63.255', 1159213056, 1159217151, 'CA', 'Canada'),
(32639, '69.24.64.0', '69.24.191.255', 1159217152, 1159249919, 'US', 'United States'),
(32640, '69.24.192.0', '69.24.207.255', 1159249920, 1159254015, 'PR', 'Puerto Rico'),
(32641, '69.24.208.0', '69.24.241.7', 1159254016, 1159262471, 'US', 'United States'),
(32642, '69.24.241.8', '69.24.241.11', 1159262472, 1159262475, 'TZ', 'Tanzania, United Republic of'),
(32643, '69.24.241.12', '69.24.241.15', 1159262476, 1159262479, 'SA', 'Saudi Arabia'),
(32644, '69.24.241.16', '69.24.241.19', 1159262480, 1159262483, 'US', 'United States'),
(32645, '69.24.241.20', '69.24.241.23', 1159262484, 1159262487, 'TZ', 'Tanzania, United Republic of'),
(32646, '69.24.241.24', '69.24.241.27', 1159262488, 1159262491, 'SA', 'Saudi Arabia'),
(32647, '69.24.241.28', '69.24.242.7', 1159262492, 1159262727, 'US', 'United States'),
(32648, '69.24.242.8', '69.24.242.11', 1159262728, 1159262731, 'DE', 'Germany'),
(32649, '69.24.242.12', '69.24.242.15', 1159262732, 1159262735, 'RU', 'Russian Federation'),
(32650, '69.24.242.16', '69.24.242.19', 1159262736, 1159262739, 'US', 'United States'),
(32651, '69.24.242.20', '69.24.242.23', 1159262740, 1159262743, 'DE', 'Germany'),
(32652, '69.24.242.24', '69.24.242.31', 1159262744, 1159262751, 'RU', 'Russian Federation'),
(32653, '69.24.242.32', '69.24.242.247', 1159262752, 1159262967, 'US', 'United States'),
(32654, '69.24.242.248', '69.24.242.255', 1159262968, 1159262975, 'RU', 'Russian Federation'),
(32655, '69.24.243.0', '69.24.244.47', 1159262976, 1159263279, 'US', 'United States'),
(32656, '69.24.244.48', '69.24.244.63', 1159263280, 1159263295, 'DE', 'Germany'),
(32657, '69.24.244.64', '69.24.244.143', 1159263296, 1159263375, 'US', 'United States'),
(32658, '69.24.244.144', '69.24.244.159', 1159263376, 1159263391, 'ES', 'Spain'),
(32659, '69.24.244.160', '69.24.245.15', 1159263392, 1159263503, 'US', 'United States'),
(32660, '69.24.245.16', '69.24.245.31', 1159263504, 1159263519, 'CZ', 'Czech Republic'),
(32661, '69.24.245.32', '69.24.245.111', 1159263520, 1159263599, 'US', 'United States'),
(32662, '69.24.245.112', '69.24.245.127', 1159263600, 1159263615, 'RU', 'Russian Federation'),
(32663, '69.24.245.128', '69.24.246.63', 1159263616, 1159263807, 'US', 'United States'),
(32664, '69.24.246.64', '69.24.246.79', 1159263808, 1159263823, 'EG', 'Egypt'),
(32665, '69.24.246.80', '69.24.246.223', 1159263824, 1159263967, 'US', 'United States'),
(32666, '69.24.246.224', '69.24.246.239', 1159263968, 1159263983, 'NG', 'Nigeria'),
(32667, '69.24.246.240', '69.24.247.31', 1159263984, 1159264031, 'US', 'United States'),
(32668, '69.24.247.32', '69.24.247.47', 1159264032, 1159264047, 'ZA', 'South Africa'),
(32669, '69.24.247.48', '69.24.247.207', 1159264048, 1159264207, 'US', 'United States'),
(32670, '69.24.247.208', '69.24.247.223', 1159264208, 1159264223, 'AE', 'United Arab Emirates'),
(32671, '69.24.247.224', '69.24.248.95', 1159264224, 1159264351, 'US', 'United States'),
(32672, '69.24.248.96', '69.24.248.111', 1159264352, 1159264367, 'MY', 'Malaysia'),
(32673, '69.24.248.112', '69.24.248.127', 1159264368, 1159264383, 'US', 'United States'),
(32674, '69.24.248.128', '69.24.248.143', 1159264384, 1159264399, 'TW', 'Taiwan'),
(32675, '69.24.248.144', '69.24.249.111', 1159264400, 1159264623, 'US', 'United States'),
(32676, '69.24.249.112', '69.24.249.127', 1159264624, 1159264639, 'JP', 'Japan'),
(32677, '69.24.249.128', '69.24.249.143', 1159264640, 1159264655, 'US', 'United States'),
(32678, '69.24.249.144', '69.24.249.159', 1159264656, 1159264671, 'AU', 'Australia'),
(32679, '69.24.249.160', '69.24.249.255', 1159264672, 1159264767, 'US', 'United States'),
(32680, '69.24.250.0', '69.24.250.15', 1159264768, 1159264783, 'AR', 'Argentina'),
(32681, '69.24.250.16', '69.24.250.191', 1159264784, 1159264959, 'US', 'United States'),
(32682, '69.24.250.192', '69.24.250.207', 1159264960, 1159264975, 'BR', 'Brazil'),
(32683, '69.24.250.208', '69.25.2.119', 1159264976, 1159266935, 'US', 'United States'),
(32684, '69.25.2.120', '69.25.2.127', 1159266936, 1159266943, 'PR', 'Puerto Rico'),
(32685, '69.25.2.128', '69.25.10.255', 1159266944, 1159269119, 'US', 'United States'),
(32686, '69.25.11.0', '69.25.11.255', 1159269120, 1159269375, 'AR', 'Argentina'),
(32687, '69.25.12.0', '69.25.31.255', 1159269376, 1159274495, 'US', 'United States'),
(32688, '69.25.32.0', '69.25.32.255', 1159274496, 1159274751, 'GB', 'United Kingdom'),
(32689, '69.25.33.0', '69.25.40.255', 1159274752, 1159276799, 'US', 'United States'),
(32690, '69.25.41.0', '69.25.41.255', 1159276800, 1159277055, 'A2', 'Satellite Provider'),
(32691, '69.25.42.0', '69.25.60.15', 1159277056, 1159281679, 'US', 'United States'),
(32692, '69.25.60.16', '69.25.60.31', 1159281680, 1159281695, 'HK', 'Hong Kong'),
(32693, '69.25.60.32', '69.25.60.63', 1159281696, 1159281727, 'US', 'United States'),
(32694, '69.25.60.64', '69.25.60.79', 1159281728, 1159281743, 'HK', 'Hong Kong'),
(32695, '69.25.60.80', '69.25.60.255', 1159281744, 1159281919, 'US', 'United States'),
(32696, '69.25.61.0', '69.25.61.255', 1159281920, 1159282175, 'GB', 'United Kingdom'),
(32697, '69.25.62.0', '69.25.95.31', 1159282176, 1159290655, 'US', 'United States'),
(32698, '69.25.95.32', '69.25.95.63', 1159290656, 1159290687, 'CA', 'Canada'),
(32699, '69.25.95.64', '69.25.103.135', 1159290688, 1159292807, 'US', 'United States'),
(32700, '69.25.103.136', '69.25.103.143', 1159292808, 1159292815, 'AU', 'Australia'),
(32701, '69.25.103.144', '69.25.105.159', 1159292816, 1159293343, 'US', 'United States'),
(32702, '69.25.105.160', '69.25.105.175', 1159293344, 1159293359, 'KR', 'Korea, Republic of'),
(32703, '69.25.105.176', '69.25.106.47', 1159293360, 1159293487, 'US', 'United States'),
(32704, '69.25.106.48', '69.25.106.63', 1159293488, 1159293503, 'BR', 'Brazil'),
(32705, '69.25.106.64', '69.25.133.255', 1159293504, 1159300607, 'US', 'United States'),
(32706, '69.25.134.0', '69.25.134.255', 1159300608, 1159300863, 'SE', 'Sweden'),
(32707, '69.25.135.0', '69.25.185.255', 1159300864, 1159313919, 'US', 'United States'),
(32708, '69.25.186.0', '69.25.186.7', 1159313920, 1159313927, 'MX', 'Mexico'),
(32709, '69.25.186.8', '69.25.186.159', 1159313928, 1159314079, 'US', 'United States'),
(32710, '69.25.186.160', '69.25.186.167', 1159314080, 1159314087, 'TR', 'Turkey'),
(32711, '69.25.186.168', '69.25.187.191', 1159314088, 1159314367, 'US', 'United States'),
(32712, '69.25.187.192', '69.25.187.207', 1159314368, 1159314383, 'BR', 'Brazil'),
(32713, '69.25.187.208', '69.25.189.255', 1159314384, 1159314943, 'US', 'United States'),
(32714, '69.25.190.0', '69.25.190.255', 1159314944, 1159315199, 'CR', 'Costa Rica'),
(32715, '69.25.191.0', '69.25.201.255', 1159315200, 1159318015, 'US', 'United States'),
(32716, '69.25.202.0', '69.25.202.31', 1159318016, 1159318047, 'GB', 'United Kingdom'),
(32717, '69.25.202.32', '69.25.243.143', 1159318048, 1159328655, 'US', 'United States'),
(32718, '69.25.243.144', '69.25.243.159', 1159328656, 1159328671, 'FR', 'France'),
(32719, '69.25.243.160', '69.26.63.255', 1159328672, 1159348223, 'US', 'United States'),
(32720, '69.26.64.0', '69.26.95.255', 1159348224, 1159356415, 'CA', 'Canada'),
(32721, '69.26.96.0', '69.27.95.255', 1159356416, 1159421951, 'US', 'United States'),
(32722, '69.27.96.0', '69.27.127.255', 1159421952, 1159430143, 'CA', 'Canada'),
(32723, '69.27.128.0', '69.28.68.119', 1159430144, 1159480439, 'US', 'United States'),
(32724, '69.28.68.120', '69.28.68.127', 1159480440, 1159480447, 'CA', 'Canada'),
(32725, '69.28.68.128', '69.28.76.55', 1159480448, 1159482423, 'US', 'United States'),
(32726, '69.28.76.56', '69.28.76.63', 1159482424, 1159482431, 'AN', 'Netherlands Antilles'),
(32727, '69.28.76.64', '69.28.191.255', 1159482432, 1159512063, 'US', 'United States'),
(32728, '69.28.192.0', '69.28.192.95', 1159512064, 1159512159, 'CA', 'Canada'),
(32729, '69.28.192.96', '69.28.192.127', 1159512160, 1159512191, 'US', 'United States'),
(32730, '69.28.192.128', '69.28.195.63', 1159512192, 1159512895, 'CA', 'Canada'),
(32731, '69.28.195.64', '69.28.195.127', 1159512896, 1159512959, 'US', 'United States'),
(32732, '69.28.195.128', '69.28.195.175', 1159512960, 1159513007, 'CA', 'Canada'),
(32733, '69.28.195.176', '69.28.195.191', 1159513008, 1159513023, 'US', 'United States'),
(32734, '69.28.195.192', '69.28.196.255', 1159513024, 1159513343, 'CA', 'Canada'),
(32735, '69.28.197.0', '69.28.197.31', 1159513344, 1159513375, 'US', 'United States'),
(32736, '69.28.197.32', '69.28.197.95', 1159513376, 1159513439, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(32737, '69.28.197.96', '69.28.197.143', 1159513440, 1159513487, 'US', 'United States'),
(32738, '69.28.197.144', '69.28.197.175', 1159513488, 1159513519, 'CA', 'Canada'),
(32739, '69.28.197.176', '69.28.197.191', 1159513520, 1159513535, 'US', 'United States'),
(32740, '69.28.197.192', '69.28.197.223', 1159513536, 1159513567, 'CA', 'Canada'),
(32741, '69.28.197.224', '69.28.197.255', 1159513568, 1159513599, 'US', 'United States'),
(32742, '69.28.198.0', '69.28.202.255', 1159513600, 1159514879, 'CA', 'Canada'),
(32743, '69.28.203.0', '69.28.203.255', 1159514880, 1159515135, 'US', 'United States'),
(32744, '69.28.204.0', '69.28.205.255', 1159515136, 1159515647, 'CA', 'Canada'),
(32745, '69.28.206.0', '69.28.206.63', 1159515648, 1159515711, 'US', 'United States'),
(32746, '69.28.206.64', '69.28.206.239', 1159515712, 1159515887, 'CA', 'Canada'),
(32747, '69.28.206.240', '69.28.206.247', 1159515888, 1159515895, 'US', 'United States'),
(32748, '69.28.206.248', '69.28.206.255', 1159515896, 1159515903, 'MX', 'Mexico'),
(32749, '69.28.207.0', '69.28.207.255', 1159515904, 1159516159, 'CA', 'Canada'),
(32750, '69.28.208.0', '69.28.208.95', 1159516160, 1159516255, 'US', 'United States'),
(32751, '69.28.208.96', '69.28.208.127', 1159516256, 1159516287, 'CA', 'Canada'),
(32752, '69.28.208.128', '69.28.208.255', 1159516288, 1159516415, 'US', 'United States'),
(32753, '69.28.209.0', '69.28.209.255', 1159516416, 1159516671, 'NL', 'Netherlands'),
(32754, '69.28.210.0', '69.28.211.191', 1159516672, 1159517119, 'US', 'United States'),
(32755, '69.28.211.192', '69.28.211.223', 1159517120, 1159517151, 'CA', 'Canada'),
(32756, '69.28.211.224', '69.28.211.255', 1159517152, 1159517183, 'US', 'United States'),
(32757, '69.28.212.0', '69.28.212.143', 1159517184, 1159517327, 'CA', 'Canada'),
(32758, '69.28.212.144', '69.28.212.159', 1159517328, 1159517343, 'US', 'United States'),
(32759, '69.28.212.160', '69.28.212.175', 1159517344, 1159517359, 'CA', 'Canada'),
(32760, '69.28.212.176', '69.28.212.255', 1159517360, 1159517439, 'US', 'United States'),
(32761, '69.28.213.0', '69.28.213.159', 1159517440, 1159517599, 'CA', 'Canada'),
(32762, '69.28.213.160', '69.28.213.191', 1159517600, 1159517631, 'US', 'United States'),
(32763, '69.28.213.192', '69.28.213.223', 1159517632, 1159517663, 'CA', 'Canada'),
(32764, '69.28.213.224', '69.28.213.255', 1159517664, 1159517695, 'US', 'United States'),
(32765, '69.28.214.0', '69.28.215.23', 1159517696, 1159517975, 'CA', 'Canada'),
(32766, '69.28.215.24', '69.28.215.39', 1159517976, 1159517991, 'US', 'United States'),
(32767, '69.28.215.40', '69.28.215.47', 1159517992, 1159517999, 'CA', 'Canada'),
(32768, '69.28.215.48', '69.28.215.63', 1159518000, 1159518015, 'US', 'United States'),
(32769, '69.28.215.64', '69.28.215.223', 1159518016, 1159518175, 'CA', 'Canada'),
(32770, '69.28.215.224', '69.28.215.239', 1159518176, 1159518191, 'US', 'United States'),
(32771, '69.28.215.240', '69.28.215.255', 1159518192, 1159518207, 'CA', 'Canada'),
(32772, '69.28.216.0', '69.28.221.255', 1159518208, 1159519743, 'US', 'United States'),
(32773, '69.28.222.0', '69.28.225.255', 1159519744, 1159520767, 'CA', 'Canada'),
(32774, '69.28.226.0', '69.28.226.31', 1159520768, 1159520799, 'US', 'United States'),
(32775, '69.28.226.32', '69.28.226.63', 1159520800, 1159520831, 'CA', 'Canada'),
(32776, '69.28.226.64', '69.28.226.95', 1159520832, 1159520863, 'US', 'United States'),
(32777, '69.28.226.96', '69.28.226.103', 1159520864, 1159520871, 'CA', 'Canada'),
(32778, '69.28.226.104', '69.28.226.127', 1159520872, 1159520895, 'US', 'United States'),
(32779, '69.28.226.128', '69.28.226.191', 1159520896, 1159520959, 'CA', 'Canada'),
(32780, '69.28.226.192', '69.28.226.207', 1159520960, 1159520975, 'US', 'United States'),
(32781, '69.28.226.208', '69.28.226.239', 1159520976, 1159521007, 'CA', 'Canada'),
(32782, '69.28.226.240', '69.28.227.63', 1159521008, 1159521087, 'US', 'United States'),
(32783, '69.28.227.64', '69.28.227.175', 1159521088, 1159521199, 'CA', 'Canada'),
(32784, '69.28.227.176', '69.28.227.191', 1159521200, 1159521215, 'US', 'United States'),
(32785, '69.28.227.192', '69.28.230.31', 1159521216, 1159521823, 'CA', 'Canada'),
(32786, '69.28.230.32', '69.28.230.63', 1159521824, 1159521855, 'US', 'United States'),
(32787, '69.28.230.64', '69.28.230.239', 1159521856, 1159522031, 'CA', 'Canada'),
(32788, '69.28.230.240', '69.28.230.255', 1159522032, 1159522047, 'US', 'United States'),
(32789, '69.28.231.0', '69.28.231.47', 1159522048, 1159522095, 'CA', 'Canada'),
(32790, '69.28.231.48', '69.28.231.63', 1159522096, 1159522111, 'US', 'United States'),
(32791, '69.28.231.64', '69.28.231.95', 1159522112, 1159522143, 'CA', 'Canada'),
(32792, '69.28.231.96', '69.28.231.119', 1159522144, 1159522167, 'US', 'United States'),
(32793, '69.28.231.120', '69.28.231.127', 1159522168, 1159522175, 'CA', 'Canada'),
(32794, '69.28.231.128', '69.28.231.159', 1159522176, 1159522207, 'US', 'United States'),
(32795, '69.28.231.160', '69.28.231.191', 1159522208, 1159522239, 'CA', 'Canada'),
(32796, '69.28.231.192', '69.28.231.223', 1159522240, 1159522271, 'BV', 'Bouvet Island'),
(32797, '69.28.231.224', '69.28.231.239', 1159522272, 1159522287, 'CA', 'Canada'),
(32798, '69.28.231.240', '69.28.231.255', 1159522288, 1159522303, 'BV', 'Bouvet Island'),
(32799, '69.28.232.0', '69.28.233.255', 1159522304, 1159522815, 'US', 'United States'),
(32800, '69.28.234.0', '69.28.235.255', 1159522816, 1159523327, 'CA', 'Canada'),
(32801, '69.28.236.0', '69.28.236.255', 1159523328, 1159523583, 'US', 'United States'),
(32802, '69.28.237.0', '69.28.239.255', 1159523584, 1159524351, 'CA', 'Canada'),
(32803, '69.28.240.0', '69.28.243.255', 1159524352, 1159525375, 'US', 'United States'),
(32804, '69.28.244.0', '69.28.247.255', 1159525376, 1159526399, 'CA', 'Canada'),
(32805, '69.28.248.0', '69.28.253.255', 1159526400, 1159527935, 'US', 'United States'),
(32806, '69.28.254.0', '69.28.254.255', 1159527936, 1159528191, 'CA', 'Canada'),
(32807, '69.28.255.0', '69.29.14.71', 1159528192, 1159532103, 'US', 'United States'),
(32808, '69.29.14.72', '69.29.14.79', 1159532104, 1159532111, 'MO', 'Macau'),
(32809, '69.29.14.80', '69.29.124.15', 1159532112, 1159560207, 'US', 'United States'),
(32810, '69.29.124.16', '69.29.124.23', 1159560208, 1159560215, 'MO', 'Macau'),
(32811, '69.29.124.24', '69.30.244.39', 1159560216, 1159656487, 'US', 'United States'),
(32812, '69.30.244.40', '69.30.244.47', 1159656488, 1159656495, 'BR', 'Brazil'),
(32813, '69.30.244.48', '69.30.246.63', 1159656496, 1159657023, 'US', 'United States'),
(32814, '69.30.246.64', '69.30.246.79', 1159657024, 1159657039, 'AU', 'Australia'),
(32815, '69.30.246.80', '69.30.254.55', 1159657040, 1159659063, 'US', 'United States'),
(32816, '69.30.254.56', '69.30.254.71', 1159659064, 1159659079, 'IN', 'India'),
(32817, '69.30.254.72', '69.31.34.255', 1159659080, 1159668479, 'US', 'United States'),
(32818, '69.31.35.0', '69.31.35.255', 1159668480, 1159668735, 'CA', 'Canada'),
(32819, '69.31.36.0', '69.31.54.127', 1159668736, 1159673471, 'US', 'United States'),
(32820, '69.31.54.128', '69.31.54.159', 1159673472, 1159673503, 'CA', 'Canada'),
(32821, '69.31.54.160', '69.31.67.255', 1159673504, 1159676927, 'US', 'United States'),
(32822, '69.31.68.0', '69.31.68.255', 1159676928, 1159677183, 'A1', 'Anonymous Proxy'),
(32823, '69.31.69.0', '69.31.136.255', 1159677184, 1159694591, 'US', 'United States'),
(32824, '69.31.137.0', '69.31.137.255', 1159694592, 1159694847, 'CA', 'Canada'),
(32825, '69.31.138.0', '69.31.159.255', 1159694848, 1159700479, 'US', 'United States'),
(32826, '69.31.160.0', '69.31.255.255', 1159700480, 1159725055, 'CA', 'Canada'),
(32827, '69.32.0.0', '69.36.5.255', 1159725056, 1159988735, 'US', 'United States'),
(32828, '69.36.6.0', '69.36.6.255', 1159988736, 1159988991, 'MX', 'Mexico'),
(32829, '69.36.7.0', '69.36.32.255', 1159988992, 1159995647, 'US', 'United States'),
(32830, '69.36.33.0', '69.36.33.7', 1159995648, 1159995655, 'AU', 'Australia'),
(32831, '69.36.33.8', '69.36.34.159', 1159995656, 1159996063, 'US', 'United States'),
(32832, '69.36.34.160', '69.36.34.175', 1159996064, 1159996079, 'GB', 'United Kingdom'),
(32833, '69.36.34.176', '69.36.35.127', 1159996080, 1159996287, 'US', 'United States'),
(32834, '69.36.35.128', '69.36.35.159', 1159996288, 1159996319, 'AU', 'Australia'),
(32835, '69.36.35.160', '69.36.35.223', 1159996320, 1159996383, 'US', 'United States'),
(32836, '69.36.35.224', '69.36.35.255', 1159996384, 1159996415, 'AU', 'Australia'),
(32837, '69.36.36.0', '69.36.40.143', 1159996416, 1159997583, 'US', 'United States'),
(32838, '69.36.40.144', '69.36.40.151', 1159997584, 1159997591, 'BB', 'Barbados'),
(32839, '69.36.40.152', '69.36.40.183', 1159997592, 1159997623, 'US', 'United States'),
(32840, '69.36.40.184', '69.36.40.191', 1159997624, 1159997631, 'SC', 'Seychelles'),
(32841, '69.36.40.192', '69.36.44.111', 1159997632, 1159998575, 'US', 'United States'),
(32842, '69.36.44.112', '69.36.44.119', 1159998576, 1159998583, 'UG', 'Uganda'),
(32843, '69.36.44.120', '69.36.44.239', 1159998584, 1159998703, 'US', 'United States'),
(32844, '69.36.44.240', '69.36.44.247', 1159998704, 1159998711, 'RS', 'Serbia'),
(32845, '69.36.44.248', '69.36.95.255', 1159998712, 1160011775, 'US', 'United States'),
(32846, '69.36.96.0', '69.36.99.239', 1160011776, 1160012783, 'CA', 'Canada'),
(32847, '69.36.99.240', '69.36.99.247', 1160012784, 1160012791, 'US', 'United States'),
(32848, '69.36.99.248', '69.36.102.87', 1160012792, 1160013399, 'CA', 'Canada'),
(32849, '69.36.102.88', '69.36.102.111', 1160013400, 1160013423, 'US', 'United States'),
(32850, '69.36.102.112', '69.36.102.151', 1160013424, 1160013463, 'CA', 'Canada'),
(32851, '69.36.102.152', '69.36.102.167', 1160013464, 1160013479, 'US', 'United States'),
(32852, '69.36.102.168', '69.36.103.79', 1160013480, 1160013647, 'CA', 'Canada'),
(32853, '69.36.103.80', '69.36.103.95', 1160013648, 1160013663, 'US', 'United States'),
(32854, '69.36.103.96', '69.36.103.111', 1160013664, 1160013679, 'CA', 'Canada'),
(32855, '69.36.103.112', '69.36.103.119', 1160013680, 1160013687, 'US', 'United States'),
(32856, '69.36.103.120', '69.36.107.183', 1160013688, 1160014775, 'CA', 'Canada'),
(32857, '69.36.107.184', '69.36.107.191', 1160014776, 1160014783, 'US', 'United States'),
(32858, '69.36.107.192', '69.36.108.111', 1160014784, 1160014959, 'CA', 'Canada'),
(32859, '69.36.108.112', '69.36.108.119', 1160014960, 1160014967, 'US', 'United States'),
(32860, '69.36.108.120', '69.36.108.159', 1160014968, 1160015007, 'CA', 'Canada'),
(32861, '69.36.108.160', '69.36.108.167', 1160015008, 1160015015, 'US', 'United States'),
(32862, '69.36.108.168', '69.36.108.183', 1160015016, 1160015031, 'CA', 'Canada'),
(32863, '69.36.108.184', '69.36.108.191', 1160015032, 1160015039, 'US', 'United States'),
(32864, '69.36.108.192', '69.36.108.215', 1160015040, 1160015063, 'CA', 'Canada'),
(32865, '69.36.108.216', '69.36.108.223', 1160015064, 1160015071, 'US', 'United States'),
(32866, '69.36.108.224', '69.36.109.39', 1160015072, 1160015143, 'CA', 'Canada'),
(32867, '69.36.109.40', '69.36.109.47', 1160015144, 1160015151, 'US', 'United States'),
(32868, '69.36.109.48', '69.36.109.63', 1160015152, 1160015167, 'CA', 'Canada'),
(32869, '69.36.109.64', '69.36.109.87', 1160015168, 1160015191, 'US', 'United States'),
(32870, '69.36.109.88', '69.36.109.127', 1160015192, 1160015231, 'CA', 'Canada'),
(32871, '69.36.109.128', '69.36.109.135', 1160015232, 1160015239, 'US', 'United States'),
(32872, '69.36.109.136', '69.36.109.175', 1160015240, 1160015279, 'CA', 'Canada'),
(32873, '69.36.109.176', '69.36.109.183', 1160015280, 1160015287, 'US', 'United States'),
(32874, '69.36.109.184', '69.36.109.207', 1160015288, 1160015311, 'CA', 'Canada'),
(32875, '69.36.109.208', '69.36.109.223', 1160015312, 1160015327, 'US', 'United States'),
(32876, '69.36.109.224', '69.36.112.127', 1160015328, 1160015999, 'CA', 'Canada'),
(32877, '69.36.112.128', '69.36.112.223', 1160016000, 1160016095, 'US', 'United States'),
(32878, '69.36.112.224', '69.36.113.55', 1160016096, 1160016183, 'CA', 'Canada'),
(32879, '69.36.113.56', '69.36.113.63', 1160016184, 1160016191, 'US', 'United States'),
(32880, '69.36.113.64', '69.36.113.95', 1160016192, 1160016223, 'CA', 'Canada'),
(32881, '69.36.113.96', '69.36.113.111', 1160016224, 1160016239, 'US', 'United States'),
(32882, '69.36.113.112', '69.36.113.119', 1160016240, 1160016247, 'CA', 'Canada'),
(32883, '69.36.113.120', '69.36.113.135', 1160016248, 1160016263, 'US', 'United States'),
(32884, '69.36.113.136', '69.36.113.143', 1160016264, 1160016271, 'CA', 'Canada'),
(32885, '69.36.113.144', '69.36.113.151', 1160016272, 1160016279, 'US', 'United States'),
(32886, '69.36.113.152', '69.36.113.167', 1160016280, 1160016295, 'CA', 'Canada'),
(32887, '69.36.113.168', '69.36.113.191', 1160016296, 1160016319, 'US', 'United States'),
(32888, '69.36.113.192', '69.36.113.215', 1160016320, 1160016343, 'CA', 'Canada'),
(32889, '69.36.113.216', '69.36.113.223', 1160016344, 1160016351, 'US', 'United States'),
(32890, '69.36.113.224', '69.36.113.231', 1160016352, 1160016359, 'CA', 'Canada'),
(32891, '69.36.113.232', '69.36.113.255', 1160016360, 1160016383, 'US', 'United States'),
(32892, '69.36.114.0', '69.36.115.255', 1160016384, 1160016895, 'CA', 'Canada'),
(32893, '69.36.116.0', '69.36.116.7', 1160016896, 1160016903, 'US', 'United States'),
(32894, '69.36.116.8', '69.36.116.47', 1160016904, 1160016943, 'CA', 'Canada'),
(32895, '69.36.116.48', '69.36.116.55', 1160016944, 1160016951, 'US', 'United States'),
(32896, '69.36.116.56', '69.36.116.127', 1160016952, 1160017023, 'CA', 'Canada'),
(32897, '69.36.116.128', '69.36.116.135', 1160017024, 1160017031, 'US', 'United States'),
(32898, '69.36.116.136', '69.36.116.247', 1160017032, 1160017143, 'CA', 'Canada'),
(32899, '69.36.116.248', '69.36.117.7', 1160017144, 1160017159, 'US', 'United States'),
(32900, '69.36.117.8', '69.36.127.255', 1160017160, 1160019967, 'CA', 'Canada'),
(32901, '69.36.128.0', '69.41.168.54', 1160019968, 1160357942, 'US', 'United States'),
(32902, '69.41.168.55', '69.41.168.55', 1160357943, 1160357943, 'A1', 'Anonymous Proxy'),
(32903, '69.41.168.56', '69.41.191.255', 1160357944, 1160364031, 'US', 'United States'),
(32904, '69.41.192.0', '69.41.207.255', 1160364032, 1160368127, 'CA', 'Canada'),
(32905, '69.41.208.0', '69.42.47.255', 1160368128, 1160392703, 'US', 'United States'),
(32906, '69.42.48.0', '69.42.63.255', 1160392704, 1160396799, 'CA', 'Canada'),
(32907, '69.42.64.0', '69.42.64.207', 1160396800, 1160397007, 'US', 'United States'),
(32908, '69.42.64.208', '69.42.64.223', 1160397008, 1160397023, 'GB', 'United Kingdom'),
(32909, '69.42.64.224', '69.42.98.127', 1160397024, 1160405631, 'US', 'United States'),
(32910, '69.42.98.128', '69.42.99.255', 1160405632, 1160406015, 'DO', 'Dominican Republic'),
(32911, '69.42.100.0', '69.42.100.255', 1160406016, 1160406271, 'US', 'United States'),
(32912, '69.42.101.0', '69.42.101.31', 1160406272, 1160406303, 'VE', 'Venezuela'),
(32913, '69.42.101.32', '69.42.101.47', 1160406304, 1160406319, 'US', 'United States'),
(32914, '69.42.101.48', '69.42.101.63', 1160406320, 1160406335, 'DO', 'Dominican Republic'),
(32915, '69.42.101.64', '69.42.101.159', 1160406336, 1160406431, 'US', 'United States'),
(32916, '69.42.101.160', '69.42.101.175', 1160406432, 1160406447, 'ES', 'Spain'),
(32917, '69.42.101.176', '69.42.101.207', 1160406448, 1160406479, 'US', 'United States'),
(32918, '69.42.101.208', '69.42.101.215', 1160406480, 1160406487, 'A2', 'Satellite Provider'),
(32919, '69.42.101.216', '69.42.108.31', 1160406488, 1160408095, 'US', 'United States'),
(32920, '69.42.108.32', '69.42.108.47', 1160408096, 1160408111, 'GD', 'Grenada'),
(32921, '69.42.108.48', '69.42.108.63', 1160408112, 1160408127, 'ES', 'Spain'),
(32922, '69.42.108.64', '69.42.108.255', 1160408128, 1160408319, 'US', 'United States'),
(32923, '69.42.109.0', '69.42.109.255', 1160408320, 1160408575, 'CA', 'Canada'),
(32924, '69.42.110.0', '69.42.113.79', 1160408576, 1160409423, 'US', 'United States'),
(32925, '69.42.113.80', '69.42.113.95', 1160409424, 1160409439, 'PT', 'Portugal'),
(32926, '69.42.113.96', '69.42.113.255', 1160409440, 1160409599, 'US', 'United States'),
(32927, '69.42.114.0', '69.42.115.255', 1160409600, 1160410111, 'CO', 'Colombia'),
(32928, '69.42.116.0', '69.42.116.31', 1160410112, 1160410143, 'US', 'United States'),
(32929, '69.42.116.32', '69.42.116.63', 1160410144, 1160410175, 'PR', 'Puerto Rico'),
(32930, '69.42.116.64', '69.42.116.79', 1160410176, 1160410191, 'US', 'United States'),
(32931, '69.42.116.80', '69.42.116.95', 1160410192, 1160410207, 'BM', 'Bermuda'),
(32932, '69.42.116.96', '69.42.116.127', 1160410208, 1160410239, 'US', 'United States'),
(32933, '69.42.116.128', '69.42.116.143', 1160410240, 1160410255, 'MX', 'Mexico'),
(32934, '69.42.116.144', '69.42.116.175', 1160410256, 1160410287, 'US', 'United States'),
(32935, '69.42.116.176', '69.42.116.191', 1160410288, 1160410303, 'DO', 'Dominican Republic'),
(32936, '69.42.116.192', '69.42.117.79', 1160410304, 1160410447, 'US', 'United States'),
(32937, '69.42.117.80', '69.42.117.95', 1160410448, 1160410463, 'UY', 'Uruguay'),
(32938, '69.42.117.96', '69.42.117.111', 1160410464, 1160410479, 'TT', 'Trinidad and Tobago'),
(32939, '69.42.117.112', '69.42.117.127', 1160410480, 1160410495, 'US', 'United States'),
(32940, '69.42.117.128', '69.42.117.143', 1160410496, 1160410511, 'PR', 'Puerto Rico'),
(32941, '69.42.117.144', '69.42.117.151', 1160410512, 1160410519, 'EC', 'Ecuador'),
(32942, '69.42.117.152', '69.42.117.183', 1160410520, 1160410551, 'US', 'United States'),
(32943, '69.42.117.184', '69.42.117.191', 1160410552, 1160410559, 'EC', 'Ecuador'),
(32944, '69.42.117.192', '69.42.121.15', 1160410560, 1160411407, 'US', 'United States'),
(32945, '69.42.121.16', '69.42.121.31', 1160411408, 1160411423, 'GB', 'United Kingdom'),
(32946, '69.42.121.32', '69.42.121.175', 1160411424, 1160411567, 'US', 'United States'),
(32947, '69.42.121.176', '69.42.121.191', 1160411568, 1160411583, 'BR', 'Brazil'),
(32948, '69.42.121.192', '69.42.126.191', 1160411584, 1160412863, 'US', 'United States'),
(32949, '69.42.126.192', '69.42.126.207', 1160412864, 1160412879, 'GT', 'Guatemala'),
(32950, '69.42.126.208', '69.42.137.149', 1160412880, 1160415637, 'US', 'United States'),
(32951, '69.42.137.150', '69.42.137.245', 1160415638, 1160415733, 'KN', 'Saint Kitts and Nevis'),
(32952, '69.42.137.246', '69.42.138.2', 1160415734, 1160415746, 'US', 'United States'),
(32953, '69.42.138.3', '69.42.138.32', 1160415747, 1160415776, 'CA', 'Canada'),
(32954, '69.42.138.33', '69.42.175.255', 1160415777, 1160425471, 'US', 'United States'),
(32955, '69.42.176.0', '69.42.191.255', 1160425472, 1160429567, 'CA', 'Canada'),
(32956, '69.42.192.0', '69.42.208.31', 1160429568, 1160433695, 'US', 'United States'),
(32957, '69.42.208.32', '69.42.208.47', 1160433696, 1160433711, 'GR', 'Greece'),
(32958, '69.42.208.48', '69.42.209.95', 1160433712, 1160434015, 'US', 'United States'),
(32959, '69.42.209.96', '69.42.209.127', 1160434016, 1160434047, 'TR', 'Turkey'),
(32960, '69.42.209.128', '69.42.209.191', 1160434048, 1160434111, 'PT', 'Portugal'),
(32961, '69.42.209.192', '69.42.210.127', 1160434112, 1160434303, 'US', 'United States'),
(32962, '69.42.210.128', '69.42.210.191', 1160434304, 1160434367, 'NL', 'Netherlands'),
(32963, '69.42.210.192', '69.42.211.127', 1160434368, 1160434559, 'US', 'United States'),
(32964, '69.42.211.128', '69.42.211.191', 1160434560, 1160434623, 'GB', 'United Kingdom'),
(32965, '69.42.211.192', '69.42.212.191', 1160434624, 1160434879, 'US', 'United States'),
(32966, '69.42.212.192', '69.42.212.255', 1160434880, 1160434943, 'IN', 'India'),
(32967, '69.42.213.0', '69.42.213.63', 1160434944, 1160435007, 'US', 'United States'),
(32968, '69.42.213.64', '69.42.213.255', 1160435008, 1160435199, 'IN', 'India'),
(32969, '69.42.214.0', '69.42.219.63', 1160435200, 1160436543, 'US', 'United States'),
(32970, '69.42.219.64', '69.42.219.95', 1160436544, 1160436575, 'ID', 'Indonesia'),
(32971, '69.42.219.96', '69.42.219.127', 1160436576, 1160436607, 'CO', 'Colombia'),
(32972, '69.42.219.128', '69.42.220.63', 1160436608, 1160436799, 'US', 'United States'),
(32973, '69.42.220.64', '69.42.220.127', 1160436800, 1160436863, 'PK', 'Pakistan'),
(32974, '69.42.220.128', '69.42.220.191', 1160436864, 1160436927, 'PT', 'Portugal'),
(32975, '69.42.220.192', '69.42.221.127', 1160436928, 1160437119, 'US', 'United States'),
(32976, '69.42.221.128', '69.42.221.191', 1160437120, 1160437183, 'IT', 'Italy'),
(32977, '69.42.221.192', '69.42.221.255', 1160437184, 1160437247, 'US', 'United States'),
(32978, '69.42.222.0', '69.42.222.31', 1160437248, 1160437279, 'PT', 'Portugal'),
(32979, '69.42.222.32', '69.42.222.95', 1160437280, 1160437343, 'US', 'United States'),
(32980, '69.42.222.96', '69.42.222.127', 1160437344, 1160437375, 'CA', 'Canada'),
(32981, '69.42.222.128', '69.42.222.255', 1160437376, 1160437503, 'US', 'United States'),
(32982, '69.42.223.0', '69.42.223.31', 1160437504, 1160437535, 'PT', 'Portugal'),
(32983, '69.42.223.32', '69.42.223.191', 1160437536, 1160437695, 'US', 'United States'),
(32984, '69.42.223.192', '69.42.223.255', 1160437696, 1160437759, 'IN', 'India'),
(32985, '69.42.224.0', '69.43.159.255', 1160437760, 1160486911, 'US', 'United States'),
(32986, '69.43.160.0', '69.43.161.255', 1160486912, 1160487423, 'AU', 'Australia'),
(32987, '69.43.162.0', '69.43.197.231', 1160487424, 1160496615, 'US', 'United States'),
(32988, '69.43.197.232', '69.43.197.239', 1160496616, 1160496623, 'CA', 'Canada'),
(32989, '69.43.197.240', '69.43.223.255', 1160496624, 1160503295, 'US', 'United States'),
(32990, '69.43.224.0', '69.43.226.63', 1160503296, 1160503871, 'A2', 'Satellite Provider'),
(32991, '69.43.226.64', '69.43.226.95', 1160503872, 1160503903, 'US', 'United States'),
(32992, '69.43.226.96', '69.43.227.95', 1160503904, 1160504159, 'A2', 'Satellite Provider'),
(32993, '69.43.227.96', '69.43.227.111', 1160504160, 1160504175, 'US', 'United States'),
(32994, '69.43.227.112', '69.43.227.127', 1160504176, 1160504191, 'A2', 'Satellite Provider'),
(32995, '69.43.227.128', '69.43.227.143', 1160504192, 1160504207, 'AU', 'Australia'),
(32996, '69.43.227.144', '69.43.227.223', 1160504208, 1160504287, 'A2', 'Satellite Provider'),
(32997, '69.43.227.224', '69.43.227.239', 1160504288, 1160504303, 'US', 'United States'),
(32998, '69.43.227.240', '69.43.227.255', 1160504304, 1160504319, 'A2', 'Satellite Provider'),
(32999, '69.43.228.0', '69.43.228.63', 1160504320, 1160504383, 'US', 'United States'),
(33000, '69.43.228.64', '69.43.228.191', 1160504384, 1160504511, 'A2', 'Satellite Provider'),
(33001, '69.43.228.192', '69.43.228.223', 1160504512, 1160504543, 'NP', 'Nepal'),
(33002, '69.43.228.224', '69.43.228.255', 1160504544, 1160504575, 'AF', 'Afghanistan'),
(33003, '69.43.229.0', '69.43.231.255', 1160504576, 1160505343, 'A2', 'Satellite Provider'),
(33004, '69.43.232.0', '69.43.233.255', 1160505344, 1160505855, 'AU', 'Australia'),
(33005, '69.43.234.0', '69.43.239.255', 1160505856, 1160507391, 'A2', 'Satellite Provider'),
(33006, '69.43.240.0', '69.44.119.255', 1160507392, 1160542207, 'US', 'United States'),
(33007, '69.44.120.0', '69.44.120.31', 1160542208, 1160542239, 'LB', 'Lebanon'),
(33008, '69.44.120.32', '69.44.124.95', 1160542240, 1160543327, 'US', 'United States'),
(33009, '69.44.124.96', '69.44.124.127', 1160543328, 1160543359, 'MX', 'Mexico'),
(33010, '69.44.124.128', '69.44.127.55', 1160543360, 1160544055, 'US', 'United States'),
(33011, '69.44.127.56', '69.44.127.71', 1160544056, 1160544071, 'CA', 'Canada'),
(33012, '69.44.127.72', '69.44.127.135', 1160544072, 1160544135, 'US', 'United States'),
(33013, '69.44.127.136', '69.44.127.143', 1160544136, 1160544143, 'LB', 'Lebanon'),
(33014, '69.44.127.144', '69.44.141.255', 1160544144, 1160547839, 'US', 'United States'),
(33015, '69.44.142.0', '69.44.143.255', 1160547840, 1160548351, 'MX', 'Mexico'),
(33016, '69.44.144.0', '69.44.201.255', 1160548352, 1160563199, 'US', 'United States'),
(33017, '69.44.202.0', '69.44.203.255', 1160563200, 1160563711, 'MP', 'Northern Mariana Islands'),
(33018, '69.44.204.0', '69.45.127.255', 1160563712, 1160609791, 'US', 'United States'),
(33019, '69.45.128.0', '69.45.131.255', 1160609792, 1160610815, 'MX', 'Mexico'),
(33020, '69.45.132.0', '69.46.68.143', 1160610816, 1160660111, 'US', 'United States'),
(33021, '69.46.68.144', '69.46.68.151', 1160660112, 1160660119, 'GB', 'United Kingdom'),
(33022, '69.46.68.152', '69.46.69.193', 1160660120, 1160660417, 'US', 'United States'),
(33023, '69.46.69.194', '69.46.69.194', 1160660418, 1160660418, 'A1', 'Anonymous Proxy'),
(33024, '69.46.69.195', '69.46.74.135', 1160660419, 1160661639, 'US', 'United States'),
(33025, '69.46.74.136', '69.46.74.143', 1160661640, 1160661647, 'GB', 'United Kingdom'),
(33026, '69.46.74.144', '69.46.77.215', 1160661648, 1160662487, 'US', 'United States'),
(33027, '69.46.77.216', '69.46.77.223', 1160662488, 1160662495, 'GB', 'United Kingdom'),
(33028, '69.46.77.224', '69.46.78.215', 1160662496, 1160662743, 'US', 'United States'),
(33029, '69.46.78.216', '69.46.78.223', 1160662744, 1160662751, 'GB', 'United Kingdom'),
(33030, '69.46.78.224', '69.46.82.127', 1160662752, 1160663679, 'US', 'United States'),
(33031, '69.46.82.128', '69.46.82.159', 1160663680, 1160663711, 'HK', 'Hong Kong'),
(33032, '69.46.82.160', '69.46.90.23', 1160663712, 1160665623, 'US', 'United States'),
(33033, '69.46.90.24', '69.46.90.31', 1160665624, 1160665631, 'GB', 'United Kingdom'),
(33034, '69.46.90.32', '69.46.90.207', 1160665632, 1160665807, 'US', 'United States'),
(33035, '69.46.90.208', '69.46.90.215', 1160665808, 1160665815, 'GB', 'United Kingdom'),
(33036, '69.46.90.216', '69.46.95.207', 1160665816, 1160667087, 'US', 'United States'),
(33037, '69.46.95.208', '69.46.95.215', 1160667088, 1160667095, 'GB', 'United Kingdom'),
(33038, '69.46.95.216', '69.46.95.255', 1160667096, 1160667135, 'US', 'United States'),
(33039, '69.46.96.0', '69.46.127.255', 1160667136, 1160675327, 'CA', 'Canada'),
(33040, '69.46.128.0', '69.46.134.151', 1160675328, 1160677015, 'US', 'United States'),
(33041, '69.46.134.152', '69.46.134.159', 1160677016, 1160677023, 'AR', 'Argentina'),
(33042, '69.46.134.160', '69.46.135.127', 1160677024, 1160677247, 'US', 'United States'),
(33043, '69.46.135.128', '69.46.135.159', 1160677248, 1160677279, 'GB', 'United Kingdom'),
(33044, '69.46.135.160', '69.46.135.255', 1160677280, 1160677375, 'US', 'United States'),
(33045, '69.46.136.0', '69.46.136.63', 1160677376, 1160677439, 'GB', 'United Kingdom'),
(33046, '69.46.136.64', '69.46.139.255', 1160677440, 1160678399, 'US', 'United States'),
(33047, '69.46.140.0', '69.46.140.255', 1160678400, 1160678655, 'MX', 'Mexico'),
(33048, '69.46.141.0', '69.46.159.255', 1160678656, 1160683519, 'US', 'United States'),
(33049, '69.46.160.0', '69.46.162.7', 1160683520, 1160684039, 'CA', 'Canada'),
(33050, '69.46.162.8', '69.46.162.15', 1160684040, 1160684047, 'US', 'United States'),
(33051, '69.46.162.16', '69.46.162.31', 1160684048, 1160684063, 'CA', 'Canada'),
(33052, '69.46.162.32', '69.46.162.39', 1160684064, 1160684071, 'US', 'United States'),
(33053, '69.46.162.40', '69.46.164.71', 1160684072, 1160684615, 'CA', 'Canada'),
(33054, '69.46.164.72', '69.46.164.79', 1160684616, 1160684623, 'US', 'United States'),
(33055, '69.46.164.80', '69.46.164.87', 1160684624, 1160684631, 'CA', 'Canada'),
(33056, '69.46.164.88', '69.46.164.95', 1160684632, 1160684639, 'US', 'United States'),
(33057, '69.46.164.96', '69.46.165.87', 1160684640, 1160684887, 'CA', 'Canada'),
(33058, '69.46.165.88', '69.46.165.95', 1160684888, 1160684895, 'US', 'United States'),
(33059, '69.46.165.96', '69.46.171.231', 1160684896, 1160686567, 'CA', 'Canada'),
(33060, '69.46.171.232', '69.46.171.239', 1160686568, 1160686575, 'US', 'United States'),
(33061, '69.46.171.240', '69.46.174.167', 1160686576, 1160687271, 'CA', 'Canada'),
(33062, '69.46.174.168', '69.46.174.175', 1160687272, 1160687279, 'US', 'United States'),
(33063, '69.46.174.176', '69.46.175.223', 1160687280, 1160687583, 'CA', 'Canada'),
(33064, '69.46.175.224', '69.46.175.231', 1160687584, 1160687591, 'US', 'United States'),
(33065, '69.46.175.232', '69.46.178.63', 1160687592, 1160688191, 'CA', 'Canada'),
(33066, '69.46.178.64', '69.46.178.71', 1160688192, 1160688199, 'US', 'United States'),
(33067, '69.46.178.72', '69.46.178.127', 1160688200, 1160688255, 'CA', 'Canada'),
(33068, '69.46.178.128', '69.46.178.135', 1160688256, 1160688263, 'US', 'United States'),
(33069, '69.46.178.136', '69.46.178.223', 1160688264, 1160688351, 'CA', 'Canada'),
(33070, '69.46.178.224', '69.46.178.231', 1160688352, 1160688359, 'US', 'United States'),
(33071, '69.46.178.232', '69.46.179.171', 1160688360, 1160688555, 'CA', 'Canada'),
(33072, '69.46.179.172', '69.46.179.194', 1160688556, 1160688578, 'US', 'United States'),
(33073, '69.46.179.195', '69.46.180.47', 1160688579, 1160688687, 'CA', 'Canada'),
(33074, '69.46.180.48', '69.46.180.55', 1160688688, 1160688695, 'US', 'United States'),
(33075, '69.46.180.56', '69.46.180.63', 1160688696, 1160688703, 'CA', 'Canada'),
(33076, '69.46.180.64', '69.46.180.71', 1160688704, 1160688711, 'US', 'United States'),
(33077, '69.46.180.72', '69.46.180.127', 1160688712, 1160688767, 'CA', 'Canada'),
(33078, '69.46.180.128', '69.46.180.143', 1160688768, 1160688783, 'US', 'United States'),
(33079, '69.46.180.144', '69.46.180.175', 1160688784, 1160688815, 'CA', 'Canada'),
(33080, '69.46.180.176', '69.46.180.183', 1160688816, 1160688823, 'US', 'United States'),
(33081, '69.46.180.184', '69.46.180.191', 1160688824, 1160688831, 'CA', 'Canada'),
(33082, '69.46.180.192', '69.46.180.199', 1160688832, 1160688839, 'US', 'United States'),
(33083, '69.46.180.200', '69.46.182.15', 1160688840, 1160689167, 'CA', 'Canada'),
(33084, '69.46.182.16', '69.46.182.23', 1160689168, 1160689175, 'US', 'United States'),
(33085, '69.46.182.24', '69.46.182.47', 1160689176, 1160689199, 'CA', 'Canada'),
(33086, '69.46.182.48', '69.46.182.55', 1160689200, 1160689207, 'US', 'United States'),
(33087, '69.46.182.56', '69.46.182.79', 1160689208, 1160689231, 'CA', 'Canada'),
(33088, '69.46.182.80', '69.46.182.87', 1160689232, 1160689239, 'US', 'United States'),
(33089, '69.46.182.88', '69.46.182.135', 1160689240, 1160689287, 'CA', 'Canada'),
(33090, '69.46.182.136', '69.46.182.151', 1160689288, 1160689303, 'US', 'United States'),
(33091, '69.46.182.152', '69.46.182.159', 1160689304, 1160689311, 'CA', 'Canada'),
(33092, '69.46.182.160', '69.46.182.167', 1160689312, 1160689319, 'IN', 'India'),
(33093, '69.46.182.168', '69.46.182.215', 1160689320, 1160689367, 'CA', 'Canada'),
(33094, '69.46.182.216', '69.46.182.223', 1160689368, 1160689375, 'US', 'United States'),
(33095, '69.46.182.224', '69.46.183.11', 1160689376, 1160689419, 'CA', 'Canada'),
(33096, '69.46.183.12', '69.46.183.39', 1160689420, 1160689447, 'US', 'United States'),
(33097, '69.46.183.40', '69.46.183.123', 1160689448, 1160689531, 'CA', 'Canada'),
(33098, '69.46.183.124', '69.46.183.163', 1160689532, 1160689571, 'US', 'United States'),
(33099, '69.46.183.164', '69.46.184.29', 1160689572, 1160689693, 'CA', 'Canada'),
(33100, '69.46.184.30', '69.46.184.68', 1160689694, 1160689732, 'US', 'United States'),
(33101, '69.46.184.69', '69.46.184.69', 1160689733, 1160689733, 'CA', 'Canada'),
(33102, '69.46.184.70', '69.46.184.77', 1160689734, 1160689741, 'US', 'United States'),
(33103, '69.46.184.78', '69.46.184.102', 1160689742, 1160689766, 'CA', 'Canada'),
(33104, '69.46.184.103', '69.46.184.114', 1160689767, 1160689778, 'US', 'United States'),
(33105, '69.46.184.115', '69.46.184.125', 1160689779, 1160689789, 'CA', 'Canada'),
(33106, '69.46.184.126', '69.46.184.135', 1160689790, 1160689799, 'US', 'United States'),
(33107, '69.46.184.136', '69.46.184.136', 1160689800, 1160689800, 'CA', 'Canada'),
(33108, '69.46.184.137', '69.46.184.147', 1160689801, 1160689811, 'US', 'United States'),
(33109, '69.46.184.148', '69.46.184.170', 1160689812, 1160689834, 'CA', 'Canada'),
(33110, '69.46.184.171', '69.46.184.182', 1160689835, 1160689846, 'US', 'United States'),
(33111, '69.46.184.183', '69.46.184.197', 1160689847, 1160689861, 'CA', 'Canada'),
(33112, '69.46.184.198', '69.46.184.223', 1160689862, 1160689887, 'US', 'United States'),
(33113, '69.46.184.224', '69.46.185.23', 1160689888, 1160689943, 'CA', 'Canada'),
(33114, '69.46.185.24', '69.46.185.51', 1160689944, 1160689971, 'US', 'United States'),
(33115, '69.46.185.52', '69.46.185.183', 1160689972, 1160690103, 'CA', 'Canada'),
(33116, '69.46.185.184', '69.46.185.255', 1160690104, 1160690175, 'US', 'United States'),
(33117, '69.46.186.0', '69.46.186.173', 1160690176, 1160690349, 'CA', 'Canada'),
(33118, '69.46.186.174', '69.46.186.185', 1160690350, 1160690361, 'US', 'United States'),
(33119, '69.46.186.186', '69.46.186.186', 1160690362, 1160690362, 'CA', 'Canada'),
(33120, '69.46.186.187', '69.46.186.205', 1160690363, 1160690381, 'US', 'United States'),
(33121, '69.46.186.206', '69.46.186.210', 1160690382, 1160690386, 'CA', 'Canada'),
(33122, '69.46.186.211', '69.46.186.239', 1160690387, 1160690415, 'US', 'United States'),
(33123, '69.46.186.240', '69.46.187.15', 1160690416, 1160690447, 'CA', 'Canada'),
(33124, '69.46.187.16', '69.46.187.23', 1160690448, 1160690455, 'US', 'United States'),
(33125, '69.46.187.24', '69.46.187.127', 1160690456, 1160690559, 'CA', 'Canada'),
(33126, '69.46.187.128', '69.46.187.175', 1160690560, 1160690607, 'US', 'United States'),
(33127, '69.46.187.176', '69.46.188.7', 1160690608, 1160690695, 'CA', 'Canada'),
(33128, '69.46.188.8', '69.46.188.39', 1160690696, 1160690727, 'US', 'United States'),
(33129, '69.46.188.40', '69.46.188.47', 1160690728, 1160690735, 'CA', 'Canada'),
(33130, '69.46.188.48', '69.46.188.63', 1160690736, 1160690751, 'US', 'United States'),
(33131, '69.46.188.64', '69.46.188.95', 1160690752, 1160690783, 'CA', 'Canada'),
(33132, '69.46.188.96', '69.46.188.103', 1160690784, 1160690791, 'US', 'United States'),
(33133, '69.46.188.104', '69.46.188.119', 1160690792, 1160690807, 'CA', 'Canada'),
(33134, '69.46.188.120', '69.46.188.135', 1160690808, 1160690823, 'US', 'United States'),
(33135, '69.46.188.136', '69.46.188.223', 1160690824, 1160690911, 'CA', 'Canada'),
(33136, '69.46.188.224', '69.46.188.231', 1160690912, 1160690919, 'US', 'United States'),
(33137, '69.46.188.232', '69.46.189.7', 1160690920, 1160690951, 'CA', 'Canada'),
(33138, '69.46.189.8', '69.46.189.15', 1160690952, 1160690959, 'US', 'United States'),
(33139, '69.46.189.16', '69.46.189.67', 1160690960, 1160691011, 'CA', 'Canada'),
(33140, '69.46.189.68', '69.46.189.83', 1160691012, 1160691027, 'US', 'United States'),
(33141, '69.46.189.84', '69.46.191.95', 1160691028, 1160691551, 'CA', 'Canada'),
(33142, '69.46.191.96', '69.46.191.111', 1160691552, 1160691567, 'US', 'United States'),
(33143, '69.46.191.112', '69.46.191.135', 1160691568, 1160691591, 'CA', 'Canada'),
(33144, '69.46.191.136', '69.46.191.143', 1160691592, 1160691599, 'US', 'United States'),
(33145, '69.46.191.144', '69.46.191.159', 1160691600, 1160691615, 'CA', 'Canada'),
(33146, '69.46.191.160', '69.46.191.175', 1160691616, 1160691631, 'US', 'United States'),
(33147, '69.46.191.176', '69.46.191.183', 1160691632, 1160691639, 'CA', 'Canada'),
(33148, '69.46.191.184', '69.46.191.191', 1160691640, 1160691647, 'US', 'United States'),
(33149, '69.46.191.192', '69.46.191.215', 1160691648, 1160691671, 'CA', 'Canada'),
(33150, '69.46.191.216', '69.46.191.223', 1160691672, 1160691679, 'US', 'United States'),
(33151, '69.46.191.224', '69.46.191.255', 1160691680, 1160691711, 'CA', 'Canada'),
(33152, '69.46.192.0', '69.48.135.63', 1160691712, 1160808255, 'US', 'United States'),
(33153, '69.48.135.64', '69.48.135.95', 1160808256, 1160808287, 'CA', 'Canada'),
(33154, '69.48.135.96', '69.48.143.255', 1160808288, 1160810495, 'US', 'United States'),
(33155, '69.48.144.0', '69.48.144.255', 1160810496, 1160810751, 'CA', 'Canada'),
(33156, '69.48.145.0', '69.48.148.31', 1160810752, 1160811551, 'US', 'United States'),
(33157, '69.48.148.32', '69.48.148.39', 1160811552, 1160811559, 'BE', 'Belgium'),
(33158, '69.48.148.40', '69.49.31.255', 1160811560, 1160847359, 'US', 'United States'),
(33159, '69.49.32.0', '69.49.63.255', 1160847360, 1160855551, 'CA', 'Canada'),
(33160, '69.49.64.0', '69.49.96.255', 1160855552, 1160863999, 'US', 'United States'),
(33161, '69.49.97.0', '69.49.97.255', 1160864000, 1160864255, 'CA', 'Canada'),
(33162, '69.49.98.0', '69.50.1.255', 1160864256, 1160905215, 'US', 'United States'),
(33163, '69.50.2.0', '69.50.2.255', 1160905216, 1160905471, 'A1', 'Anonymous Proxy'),
(33164, '69.50.3.0', '69.50.63.255', 1160905472, 1160921087, 'US', 'United States'),
(33165, '69.50.64.0', '69.50.79.255', 1160921088, 1160925183, 'AG', 'Antigua and Barbuda'),
(33166, '69.50.80.0', '69.50.133.127', 1160925184, 1160938879, 'US', 'United States'),
(33167, '69.50.133.128', '69.50.133.135', 1160938880, 1160938887, 'NL', 'Netherlands'),
(33168, '69.50.133.136', '69.50.133.143', 1160938888, 1160938895, 'US', 'United States'),
(33169, '69.50.133.144', '69.50.133.159', 1160938896, 1160938911, 'CY', 'Cyprus'),
(33170, '69.50.133.160', '69.50.143.151', 1160938912, 1160941463, 'US', 'United States'),
(33171, '69.50.143.152', '69.50.143.159', 1160941464, 1160941471, 'RU', 'Russian Federation'),
(33172, '69.50.143.160', '69.50.143.191', 1160941472, 1160941503, 'US', 'United States'),
(33173, '69.50.143.192', '69.50.143.207', 1160941504, 1160941519, 'CY', 'Cyprus'),
(33174, '69.50.143.208', '69.50.143.223', 1160941520, 1160941535, 'US', 'United States'),
(33175, '69.50.143.224', '69.50.143.255', 1160941536, 1160941567, 'CA', 'Canada'),
(33176, '69.50.144.0', '69.50.159.255', 1160941568, 1160945663, 'US', 'United States'),
(33177, '69.50.160.0', '69.50.191.255', 1160945664, 1160953855, 'CA', 'Canada'),
(33178, '69.50.192.0', '69.51.16.255', 1160953856, 1160974591, 'US', 'United States'),
(33179, '69.51.17.0', '69.51.17.31', 1160974592, 1160974623, 'HK', 'Hong Kong'),
(33180, '69.51.17.32', '69.51.191.255', 1160974624, 1161019391, 'US', 'United States'),
(33181, '69.51.192.0', '69.51.255.255', 1161019392, 1161035775, 'CA', 'Canada'),
(33182, '69.52.0.0', '69.55.239.255', 1161035776, 1161293823, 'US', 'United States'),
(33183, '69.55.240.0', '69.55.255.255', 1161293824, 1161297919, 'CA', 'Canada'),
(33184, '69.56.0.0', '69.56.1.127', 1161297920, 1161298303, 'US', 'United States'),
(33185, '69.56.1.128', '69.56.1.135', 1161298304, 1161298311, 'IL', 'Israel'),
(33186, '69.56.1.136', '69.56.10.15', 1161298312, 1161300495, 'US', 'United States'),
(33187, '69.56.10.16', '69.56.10.39', 1161300496, 1161300519, 'CA', 'Canada'),
(33188, '69.56.10.40', '69.56.26.15', 1161300520, 1161304591, 'US', 'United States'),
(33189, '69.56.26.16', '69.56.26.23', 1161304592, 1161304599, 'AU', 'Australia'),
(33190, '69.56.26.24', '69.56.53.255', 1161304600, 1161311743, 'US', 'United States'),
(33191, '69.56.54.0', '69.56.54.15', 1161311744, 1161311759, 'KN', 'Saint Kitts and Nevis'),
(33192, '69.56.54.16', '69.56.54.247', 1161311760, 1161311991, 'US', 'United States'),
(33193, '69.56.54.248', '69.56.54.255', 1161311992, 1161311999, 'KN', 'Saint Kitts and Nevis'),
(33194, '69.56.55.0', '69.56.58.71', 1161312000, 1161312839, 'US', 'United States'),
(33195, '69.56.58.72', '69.56.58.87', 1161312840, 1161312855, 'BS', 'Bahamas'),
(33196, '69.56.58.88', '69.56.58.95', 1161312856, 1161312863, 'US', 'United States'),
(33197, '69.56.58.96', '69.56.58.103', 1161312864, 1161312871, 'BS', 'Bahamas'),
(33198, '69.56.58.104', '69.56.58.223', 1161312872, 1161312991, 'US', 'United States'),
(33199, '69.56.58.224', '69.56.58.231', 1161312992, 1161312999, 'IL', 'Israel'),
(33200, '69.56.58.232', '69.56.59.103', 1161313000, 1161313127, 'US', 'United States'),
(33201, '69.56.59.104', '69.56.59.111', 1161313128, 1161313135, 'BS', 'Bahamas'),
(33202, '69.56.59.112', '69.56.63.103', 1161313136, 1161314151, 'US', 'United States'),
(33203, '69.56.63.104', '69.56.63.111', 1161314152, 1161314159, 'CA', 'Canada'),
(33204, '69.56.63.112', '69.56.255.255', 1161314160, 1161363455, 'US', 'United States'),
(33205, '69.57.0.0', '69.57.15.255', 1161363456, 1161367551, 'CA', 'Canada'),
(33206, '69.57.16.0', '69.57.207.255', 1161367552, 1161416703, 'US', 'United States'),
(33207, '69.57.208.0', '69.57.223.255', 1161416704, 1161420799, 'CA', 'Canada'),
(33208, '69.57.224.0', '69.57.225.95', 1161420800, 1161421151, 'AG', 'Antigua and Barbuda'),
(33209, '69.57.225.96', '69.57.225.111', 1161421152, 1161421167, 'MS', 'Montserrat'),
(33210, '69.57.225.112', '69.57.225.255', 1161421168, 1161421311, 'AG', 'Antigua and Barbuda'),
(33211, '69.57.226.0', '69.57.226.255', 1161421312, 1161421567, 'AI', 'Anguilla'),
(33212, '69.57.227.0', '69.57.228.255', 1161421568, 1161422079, 'AG', 'Antigua and Barbuda'),
(33213, '69.57.229.0', '69.57.229.255', 1161422080, 1161422335, 'VG', 'Virgin Islands, British'),
(33214, '69.57.230.0', '69.57.230.255', 1161422336, 1161422591, 'LC', 'Saint Lucia'),
(33215, '69.57.231.0', '69.57.231.255', 1161422592, 1161422847, 'AG', 'Antigua and Barbuda'),
(33216, '69.57.232.0', '69.57.232.255', 1161422848, 1161423103, 'LC', 'Saint Lucia'),
(33217, '69.57.233.0', '69.57.233.255', 1161423104, 1161423359, 'VG', 'Virgin Islands, British'),
(33218, '69.57.234.0', '69.57.234.255', 1161423360, 1161423615, 'AI', 'Anguilla'),
(33219, '69.57.235.0', '69.57.235.255', 1161423616, 1161423871, 'AG', 'Antigua and Barbuda'),
(33220, '69.57.236.0', '69.57.236.255', 1161423872, 1161424127, 'LC', 'Saint Lucia'),
(33221, '69.57.237.0', '69.57.237.255', 1161424128, 1161424383, 'AI', 'Anguilla'),
(33222, '69.57.238.0', '69.57.238.255', 1161424384, 1161424639, 'KN', 'Saint Kitts and Nevis'),
(33223, '69.57.239.0', '69.57.239.255', 1161424640, 1161424895, 'LC', 'Saint Lucia'),
(33224, '69.57.240.0', '69.57.240.255', 1161424896, 1161425151, 'VG', 'Virgin Islands, British'),
(33225, '69.57.241.0', '69.57.241.255', 1161425152, 1161425407, 'DM', 'Dominica'),
(33226, '69.57.242.0', '69.57.242.255', 1161425408, 1161425663, 'AG', 'Antigua and Barbuda'),
(33227, '69.57.243.0', '69.57.243.255', 1161425664, 1161425919, 'AI', 'Anguilla'),
(33228, '69.57.244.0', '69.57.244.15', 1161425920, 1161425935, 'AG', 'Antigua and Barbuda'),
(33229, '69.57.244.16', '69.57.244.31', 1161425936, 1161425951, 'MS', 'Montserrat'),
(33230, '69.57.244.32', '69.57.244.223', 1161425952, 1161426143, 'AG', 'Antigua and Barbuda'),
(33231, '69.57.244.224', '69.57.244.255', 1161426144, 1161426175, 'MS', 'Montserrat'),
(33232, '69.57.245.0', '69.57.247.255', 1161426176, 1161426943, 'AG', 'Antigua and Barbuda'),
(33233, '69.57.248.0', '69.57.248.255', 1161426944, 1161427199, 'AI', 'Anguilla'),
(33234, '69.57.249.0', '69.57.249.255', 1161427200, 1161427455, 'VG', 'Virgin Islands, British'),
(33235, '69.57.250.0', '69.57.250.31', 1161427456, 1161427487, 'AG', 'Antigua and Barbuda'),
(33236, '69.57.250.32', '69.57.250.63', 1161427488, 1161427519, 'MS', 'Montserrat'),
(33237, '69.57.250.64', '69.57.252.255', 1161427520, 1161428223, 'AG', 'Antigua and Barbuda'),
(33238, '69.57.253.0', '69.57.255.255', 1161428224, 1161428991, 'KN', 'Saint Kitts and Nevis'),
(33239, '69.58.0.0', '69.58.95.255', 1161428992, 1161453567, 'US', 'United States'),
(33240, '69.58.96.0', '69.58.111.255', 1161453568, 1161457663, 'CA', 'Canada'),
(33241, '69.58.112.0', '69.59.27.3', 1161457664, 1161501443, 'US', 'United States'),
(33242, '69.59.27.4', '69.59.27.30', 1161501444, 1161501470, 'TR', 'Turkey'),
(33243, '69.59.27.31', '69.60.63.255', 1161501471, 1161576447, 'US', 'United States'),
(33244, '69.60.64.0', '69.60.79.255', 1161576448, 1161580543, 'CA', 'Canada'),
(33245, '69.60.80.0', '69.60.103.127', 1161580544, 1161586559, 'US', 'United States'),
(33246, '69.60.103.128', '69.60.103.191', 1161586560, 1161586623, 'A1', 'Anonymous Proxy'),
(33247, '69.60.103.192', '69.60.103.255', 1161586624, 1161586687, 'US', 'United States'),
(33248, '69.60.104.0', '69.60.104.255', 1161586688, 1161586943, 'PA', 'Panama'),
(33249, '69.60.105.0', '69.60.223.255', 1161586944, 1161617407, 'US', 'United States'),
(33250, '69.60.224.0', '69.60.255.255', 1161617408, 1161625599, 'CA', 'Canada'),
(33251, '69.61.0.0', '69.61.8.15', 1161625600, 1161627663, 'US', 'United States'),
(33252, '69.61.8.16', '69.61.8.31', 1161627664, 1161627679, 'SE', 'Sweden'),
(33253, '69.61.8.32', '69.61.8.39', 1161627680, 1161627687, 'US', 'United States'),
(33254, '69.61.8.40', '69.61.8.47', 1161627688, 1161627695, 'SI', 'Slovenia'),
(33255, '69.61.8.48', '69.61.8.55', 1161627696, 1161627703, 'US', 'United States'),
(33256, '69.61.8.56', '69.61.8.63', 1161627704, 1161627711, 'DE', 'Germany'),
(33257, '69.61.8.64', '69.61.8.79', 1161627712, 1161627727, 'US', 'United States'),
(33258, '69.61.8.80', '69.61.8.95', 1161627728, 1161627743, 'AR', 'Argentina'),
(33259, '69.61.8.96', '69.61.8.103', 1161627744, 1161627751, 'US', 'United States'),
(33260, '69.61.8.104', '69.61.8.111', 1161627752, 1161627759, 'PL', 'Poland'),
(33261, '69.61.8.112', '69.61.8.159', 1161627760, 1161627807, 'US', 'United States'),
(33262, '69.61.8.160', '69.61.8.167', 1161627808, 1161627815, 'SI', 'Slovenia'),
(33263, '69.61.8.168', '69.61.8.175', 1161627816, 1161627823, 'US', 'United States'),
(33264, '69.61.8.176', '69.61.8.183', 1161627824, 1161627831, 'AU', 'Australia'),
(33265, '69.61.8.184', '69.61.8.191', 1161627832, 1161627839, 'US', 'United States'),
(33266, '69.61.8.192', '69.61.8.199', 1161627840, 1161627847, 'AR', 'Argentina'),
(33267, '69.61.8.200', '69.61.8.207', 1161627848, 1161627855, 'US', 'United States'),
(33268, '69.61.8.208', '69.61.8.215', 1161627856, 1161627863, 'AR', 'Argentina'),
(33269, '69.61.8.216', '69.61.8.223', 1161627864, 1161627871, 'CA', 'Canada'),
(33270, '69.61.8.224', '69.61.8.231', 1161627872, 1161627879, 'SI', 'Slovenia'),
(33271, '69.61.8.232', '69.61.11.39', 1161627880, 1161628455, 'US', 'United States'),
(33272, '69.61.11.40', '69.61.11.47', 1161628456, 1161628463, 'GB', 'United Kingdom'),
(33273, '69.61.11.48', '69.61.11.63', 1161628464, 1161628479, 'US', 'United States'),
(33274, '69.61.11.64', '69.61.11.71', 1161628480, 1161628487, 'GB', 'United Kingdom'),
(33275, '69.61.11.72', '69.61.11.103', 1161628488, 1161628519, 'US', 'United States'),
(33276, '69.61.11.104', '69.61.11.111', 1161628520, 1161628527, 'PL', 'Poland'),
(33277, '69.61.11.112', '69.61.11.191', 1161628528, 1161628607, 'US', 'United States'),
(33278, '69.61.11.192', '69.61.11.223', 1161628608, 1161628639, 'AR', 'Argentina'),
(33279, '69.61.11.224', '69.61.11.231', 1161628640, 1161628647, 'IN', 'India'),
(33280, '69.61.11.232', '69.61.11.247', 1161628648, 1161628663, 'US', 'United States'),
(33281, '69.61.11.248', '69.61.11.255', 1161628664, 1161628671, 'AR', 'Argentina'),
(33282, '69.61.12.0', '69.61.14.15', 1161628672, 1161629199, 'US', 'United States'),
(33283, '69.61.14.16', '69.61.14.31', 1161629200, 1161629215, 'SI', 'Slovenia'),
(33284, '69.61.14.32', '69.61.14.55', 1161629216, 1161629239, 'US', 'United States'),
(33285, '69.61.14.56', '69.61.14.63', 1161629240, 1161629247, 'PL', 'Poland'),
(33286, '69.61.14.64', '69.61.14.79', 1161629248, 1161629263, 'US', 'United States'),
(33287, '69.61.14.80', '69.61.14.87', 1161629264, 1161629271, 'PL', 'Poland'),
(33288, '69.61.14.88', '69.61.14.159', 1161629272, 1161629343, 'US', 'United States'),
(33289, '69.61.14.160', '69.61.14.191', 1161629344, 1161629375, 'FI', 'Finland'),
(33290, '69.61.14.192', '69.61.14.199', 1161629376, 1161629383, 'CA', 'Canada'),
(33291, '69.61.14.200', '69.61.14.207', 1161629384, 1161629391, 'AR', 'Argentina'),
(33292, '69.61.14.208', '69.61.14.215', 1161629392, 1161629399, 'GB', 'United Kingdom'),
(33293, '69.61.14.216', '69.61.14.223', 1161629400, 1161629407, 'IL', 'Israel'),
(33294, '69.61.14.224', '69.61.14.231', 1161629408, 1161629415, 'GB', 'United Kingdom'),
(33295, '69.61.14.232', '69.61.14.239', 1161629416, 1161629423, 'SI', 'Slovenia'),
(33296, '69.61.14.240', '69.61.14.247', 1161629424, 1161629431, 'US', 'United States'),
(33297, '69.61.14.248', '69.61.14.255', 1161629432, 1161629439, 'MY', 'Malaysia'),
(33298, '69.61.15.0', '69.61.15.79', 1161629440, 1161629519, 'US', 'United States'),
(33299, '69.61.15.80', '69.61.15.87', 1161629520, 1161629527, 'GB', 'United Kingdom'),
(33300, '69.61.15.88', '69.61.15.95', 1161629528, 1161629535, 'MY', 'Malaysia'),
(33301, '69.61.15.96', '69.61.15.143', 1161629536, 1161629583, 'US', 'United States'),
(33302, '69.61.15.144', '69.61.15.159', 1161629584, 1161629599, 'GB', 'United Kingdom'),
(33303, '69.61.15.160', '69.61.15.175', 1161629600, 1161629615, 'PL', 'Poland'),
(33304, '69.61.15.176', '69.61.15.191', 1161629616, 1161629631, 'GB', 'United Kingdom'),
(33305, '69.61.15.192', '69.61.15.223', 1161629632, 1161629663, 'US', 'United States'),
(33306, '69.61.15.224', '69.61.15.231', 1161629664, 1161629671, 'AU', 'Australia'),
(33307, '69.61.15.232', '69.61.15.255', 1161629672, 1161629695, 'US', 'United States'),
(33308, '69.61.16.0', '69.61.16.7', 1161629696, 1161629703, 'PL', 'Poland'),
(33309, '69.61.16.8', '69.61.16.39', 1161629704, 1161629735, 'US', 'United States'),
(33310, '69.61.16.40', '69.61.16.47', 1161629736, 1161629743, 'PL', 'Poland'),
(33311, '69.61.16.48', '69.61.16.55', 1161629744, 1161629751, 'US', 'United States'),
(33312, '69.61.16.56', '69.61.16.63', 1161629752, 1161629759, 'AU', 'Australia'),
(33313, '69.61.16.64', '69.61.16.79', 1161629760, 1161629775, 'US', 'United States'),
(33314, '69.61.16.80', '69.61.16.95', 1161629776, 1161629791, 'PL', 'Poland'),
(33315, '69.61.16.96', '69.61.16.103', 1161629792, 1161629799, 'US', 'United States'),
(33316, '69.61.16.104', '69.61.16.111', 1161629800, 1161629807, 'IL', 'Israel'),
(33317, '69.61.16.112', '69.61.16.127', 1161629808, 1161629823, 'PL', 'Poland'),
(33318, '69.61.16.128', '69.61.16.159', 1161629824, 1161629855, 'US', 'United States'),
(33319, '69.61.16.160', '69.61.16.167', 1161629856, 1161629863, 'AR', 'Argentina'),
(33320, '69.61.16.168', '69.61.16.191', 1161629864, 1161629887, 'US', 'United States'),
(33321, '69.61.16.192', '69.61.16.207', 1161629888, 1161629903, 'CY', 'Cyprus'),
(33322, '69.61.16.208', '69.61.16.239', 1161629904, 1161629935, 'PL', 'Poland'),
(33323, '69.61.16.240', '69.61.16.247', 1161629936, 1161629943, 'US', 'United States'),
(33324, '69.61.16.248', '69.61.16.251', 1161629944, 1161629947, 'PL', 'Poland'),
(33325, '69.61.16.252', '69.61.18.39', 1161629948, 1161630247, 'US', 'United States'),
(33326, '69.61.18.40', '69.61.18.47', 1161630248, 1161630255, 'HR', 'Croatia'),
(33327, '69.61.18.48', '69.61.18.55', 1161630256, 1161630263, 'NL', 'Netherlands'),
(33328, '69.61.18.56', '69.61.18.63', 1161630264, 1161630271, 'AR', 'Argentina'),
(33329, '69.61.18.64', '69.61.18.127', 1161630272, 1161630335, 'US', 'United States'),
(33330, '69.61.18.128', '69.61.18.135', 1161630336, 1161630343, 'AR', 'Argentina');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(33331, '69.61.18.136', '69.61.18.143', 1161630344, 1161630351, 'IL', 'Israel'),
(33332, '69.61.18.144', '69.61.18.159', 1161630352, 1161630367, 'US', 'United States'),
(33333, '69.61.18.160', '69.61.18.167', 1161630368, 1161630375, 'GB', 'United Kingdom'),
(33334, '69.61.18.168', '69.61.18.175', 1161630376, 1161630383, 'US', 'United States'),
(33335, '69.61.18.176', '69.61.18.183', 1161630384, 1161630391, 'AR', 'Argentina'),
(33336, '69.61.18.184', '69.61.18.191', 1161630392, 1161630399, 'US', 'United States'),
(33337, '69.61.18.192', '69.61.18.223', 1161630400, 1161630431, 'GB', 'United Kingdom'),
(33338, '69.61.18.224', '69.61.18.231', 1161630432, 1161630439, 'US', 'United States'),
(33339, '69.61.18.232', '69.61.18.239', 1161630440, 1161630447, 'HR', 'Croatia'),
(33340, '69.61.18.240', '69.61.18.247', 1161630448, 1161630455, 'US', 'United States'),
(33341, '69.61.18.248', '69.61.18.255', 1161630456, 1161630463, 'NL', 'Netherlands'),
(33342, '69.61.19.0', '69.61.20.23', 1161630464, 1161630743, 'US', 'United States'),
(33343, '69.61.20.24', '69.61.20.31', 1161630744, 1161630751, 'GB', 'United Kingdom'),
(33344, '69.61.20.32', '69.61.20.47', 1161630752, 1161630767, 'US', 'United States'),
(33345, '69.61.20.48', '69.61.20.55', 1161630768, 1161630775, 'IL', 'Israel'),
(33346, '69.61.20.56', '69.61.20.87', 1161630776, 1161630807, 'US', 'United States'),
(33347, '69.61.20.88', '69.61.20.95', 1161630808, 1161630815, 'BG', 'Bulgaria'),
(33348, '69.61.20.96', '69.61.20.103', 1161630816, 1161630823, 'US', 'United States'),
(33349, '69.61.20.104', '69.61.20.111', 1161630824, 1161630831, 'GB', 'United Kingdom'),
(33350, '69.61.20.112', '69.61.20.175', 1161630832, 1161630895, 'US', 'United States'),
(33351, '69.61.20.176', '69.61.20.183', 1161630896, 1161630903, 'DK', 'Denmark'),
(33352, '69.61.20.184', '69.61.20.191', 1161630904, 1161630911, 'US', 'United States'),
(33353, '69.61.20.192', '69.61.20.199', 1161630912, 1161630919, 'KW', 'Kuwait'),
(33354, '69.61.20.200', '69.61.20.207', 1161630920, 1161630927, 'US', 'United States'),
(33355, '69.61.20.208', '69.61.20.215', 1161630928, 1161630935, 'GB', 'United Kingdom'),
(33356, '69.61.20.216', '69.61.20.223', 1161630936, 1161630943, 'SI', 'Slovenia'),
(33357, '69.61.20.224', '69.61.20.231', 1161630944, 1161630951, 'US', 'United States'),
(33358, '69.61.20.232', '69.61.20.239', 1161630952, 1161630959, 'TR', 'Turkey'),
(33359, '69.61.20.240', '69.61.20.247', 1161630960, 1161630967, 'US', 'United States'),
(33360, '69.61.20.248', '69.61.20.255', 1161630968, 1161630975, 'CZ', 'Czech Republic'),
(33361, '69.61.21.0', '69.61.21.63', 1161630976, 1161631039, 'US', 'United States'),
(33362, '69.61.21.64', '69.61.21.71', 1161631040, 1161631047, 'PL', 'Poland'),
(33363, '69.61.21.72', '69.61.21.79', 1161631048, 1161631055, 'IN', 'India'),
(33364, '69.61.21.80', '69.61.21.103', 1161631056, 1161631079, 'US', 'United States'),
(33365, '69.61.21.104', '69.61.21.111', 1161631080, 1161631087, 'SI', 'Slovenia'),
(33366, '69.61.21.112', '69.61.21.119', 1161631088, 1161631095, 'PL', 'Poland'),
(33367, '69.61.21.120', '69.61.21.127', 1161631096, 1161631103, 'AR', 'Argentina'),
(33368, '69.61.21.128', '69.61.21.135', 1161631104, 1161631111, 'KW', 'Kuwait'),
(33369, '69.61.21.136', '69.61.21.231', 1161631112, 1161631207, 'US', 'United States'),
(33370, '69.61.21.232', '69.61.21.239', 1161631208, 1161631215, 'AR', 'Argentina'),
(33371, '69.61.21.240', '69.61.22.199', 1161631216, 1161631431, 'US', 'United States'),
(33372, '69.61.22.200', '69.61.22.207', 1161631432, 1161631439, 'KW', 'Kuwait'),
(33373, '69.61.22.208', '69.61.22.239', 1161631440, 1161631471, 'US', 'United States'),
(33374, '69.61.22.240', '69.61.22.247', 1161631472, 1161631479, 'AR', 'Argentina'),
(33375, '69.61.22.248', '69.61.23.23', 1161631480, 1161631511, 'US', 'United States'),
(33376, '69.61.23.24', '69.61.23.31', 1161631512, 1161631519, 'BG', 'Bulgaria'),
(33377, '69.61.23.32', '69.61.23.47', 1161631520, 1161631535, 'GB', 'United Kingdom'),
(33378, '69.61.23.48', '69.61.23.135', 1161631536, 1161631623, 'US', 'United States'),
(33379, '69.61.23.136', '69.61.23.143', 1161631624, 1161631631, 'KW', 'Kuwait'),
(33380, '69.61.23.144', '69.61.23.167', 1161631632, 1161631655, 'US', 'United States'),
(33381, '69.61.23.168', '69.61.23.175', 1161631656, 1161631663, 'AR', 'Argentina'),
(33382, '69.61.23.176', '69.61.23.215', 1161631664, 1161631703, 'US', 'United States'),
(33383, '69.61.23.216', '69.61.23.223', 1161631704, 1161631711, 'NL', 'Netherlands'),
(33384, '69.61.23.224', '69.61.27.7', 1161631712, 1161632519, 'US', 'United States'),
(33385, '69.61.27.8', '69.61.27.15', 1161632520, 1161632527, 'BG', 'Bulgaria'),
(33386, '69.61.27.16', '69.61.27.47', 1161632528, 1161632559, 'US', 'United States'),
(33387, '69.61.27.48', '69.61.27.63', 1161632560, 1161632575, 'GB', 'United Kingdom'),
(33388, '69.61.27.64', '69.61.27.119', 1161632576, 1161632631, 'US', 'United States'),
(33389, '69.61.27.120', '69.61.27.127', 1161632632, 1161632639, 'GB', 'United Kingdom'),
(33390, '69.61.27.128', '69.61.27.175', 1161632640, 1161632687, 'US', 'United States'),
(33391, '69.61.27.176', '69.61.27.191', 1161632688, 1161632703, 'GB', 'United Kingdom'),
(33392, '69.61.27.192', '69.61.28.255', 1161632704, 1161633023, 'US', 'United States'),
(33393, '69.61.29.0', '69.61.29.31', 1161633024, 1161633055, 'CA', 'Canada'),
(33394, '69.61.29.32', '69.61.29.191', 1161633056, 1161633215, 'US', 'United States'),
(33395, '69.61.29.192', '69.61.29.207', 1161633216, 1161633231, 'EE', 'Estonia'),
(33396, '69.61.29.208', '69.61.29.215', 1161633232, 1161633239, 'US', 'United States'),
(33397, '69.61.29.216', '69.61.29.223', 1161633240, 1161633247, 'AU', 'Australia'),
(33398, '69.61.29.224', '69.61.29.239', 1161633248, 1161633263, 'US', 'United States'),
(33399, '69.61.29.240', '69.61.29.247', 1161633264, 1161633271, 'PL', 'Poland'),
(33400, '69.61.29.248', '69.61.31.7', 1161633272, 1161633543, 'US', 'United States'),
(33401, '69.61.31.8', '69.61.31.15', 1161633544, 1161633551, 'AR', 'Argentina'),
(33402, '69.61.31.16', '69.61.31.23', 1161633552, 1161633559, 'US', 'United States'),
(33403, '69.61.31.24', '69.61.31.31', 1161633560, 1161633567, 'IL', 'Israel'),
(33404, '69.61.31.32', '69.61.31.47', 1161633568, 1161633583, 'PL', 'Poland'),
(33405, '69.61.31.48', '69.61.31.95', 1161633584, 1161633631, 'US', 'United States'),
(33406, '69.61.31.96', '69.61.31.103', 1161633632, 1161633639, 'CA', 'Canada'),
(33407, '69.61.31.104', '69.61.33.7', 1161633640, 1161634055, 'US', 'United States'),
(33408, '69.61.33.8', '69.61.33.15', 1161634056, 1161634063, 'IN', 'India'),
(33409, '69.61.33.16', '69.61.33.79', 1161634064, 1161634127, 'US', 'United States'),
(33410, '69.61.33.80', '69.61.33.87', 1161634128, 1161634135, 'AR', 'Argentina'),
(33411, '69.61.33.88', '69.61.33.95', 1161634136, 1161634143, 'PH', 'Philippines'),
(33412, '69.61.33.96', '69.61.33.127', 1161634144, 1161634175, 'US', 'United States'),
(33413, '69.61.33.128', '69.61.33.143', 1161634176, 1161634191, 'PL', 'Poland'),
(33414, '69.61.33.144', '69.61.33.151', 1161634192, 1161634199, 'US', 'United States'),
(33415, '69.61.33.152', '69.61.33.159', 1161634200, 1161634207, 'NZ', 'New Zealand'),
(33416, '69.61.33.160', '69.61.33.175', 1161634208, 1161634223, 'US', 'United States'),
(33417, '69.61.33.176', '69.61.33.183', 1161634224, 1161634231, 'VN', 'Vietnam'),
(33418, '69.61.33.184', '69.61.33.191', 1161634232, 1161634239, 'US', 'United States'),
(33419, '69.61.33.192', '69.61.33.199', 1161634240, 1161634247, 'GB', 'United Kingdom'),
(33420, '69.61.33.200', '69.61.34.31', 1161634248, 1161634335, 'US', 'United States'),
(33421, '69.61.34.32', '69.61.34.47', 1161634336, 1161634351, 'PL', 'Poland'),
(33422, '69.61.34.48', '69.61.34.191', 1161634352, 1161634495, 'US', 'United States'),
(33423, '69.61.34.192', '69.61.34.199', 1161634496, 1161634503, 'GB', 'United Kingdom'),
(33424, '69.61.34.200', '69.61.34.215', 1161634504, 1161634519, 'US', 'United States'),
(33425, '69.61.34.216', '69.61.34.223', 1161634520, 1161634527, 'BG', 'Bulgaria'),
(33426, '69.61.34.224', '69.61.34.239', 1161634528, 1161634543, 'GB', 'United Kingdom'),
(33427, '69.61.34.240', '69.61.35.255', 1161634544, 1161634815, 'US', 'United States'),
(33428, '69.61.36.0', '69.61.36.15', 1161634816, 1161634831, 'PL', 'Poland'),
(33429, '69.61.36.16', '69.61.36.95', 1161634832, 1161634911, 'US', 'United States'),
(33430, '69.61.36.96', '69.61.36.111', 1161634912, 1161634927, 'GB', 'United Kingdom'),
(33431, '69.61.36.112', '69.61.36.191', 1161634928, 1161635007, 'US', 'United States'),
(33432, '69.61.36.192', '69.61.36.255', 1161635008, 1161635071, 'KW', 'Kuwait'),
(33433, '69.61.37.0', '69.61.40.31', 1161635072, 1161635871, 'US', 'United States'),
(33434, '69.61.40.32', '69.61.40.47', 1161635872, 1161635887, 'PL', 'Poland'),
(33435, '69.61.40.48', '69.61.40.255', 1161635888, 1161636095, 'US', 'United States'),
(33436, '69.61.41.0', '69.61.41.31', 1161636096, 1161636127, 'GB', 'United Kingdom'),
(33437, '69.61.41.32', '69.61.41.63', 1161636128, 1161636159, 'US', 'United States'),
(33438, '69.61.41.64', '69.61.41.127', 1161636160, 1161636223, 'IL', 'Israel'),
(33439, '69.61.41.128', '69.61.42.111', 1161636224, 1161636463, 'US', 'United States'),
(33440, '69.61.42.112', '69.61.42.119', 1161636464, 1161636471, 'EG', 'Egypt'),
(33441, '69.61.42.120', '69.61.42.143', 1161636472, 1161636495, 'US', 'United States'),
(33442, '69.61.42.144', '69.61.42.151', 1161636496, 1161636503, 'CA', 'Canada'),
(33443, '69.61.42.152', '69.61.42.223', 1161636504, 1161636575, 'US', 'United States'),
(33444, '69.61.42.224', '69.61.42.231', 1161636576, 1161636583, 'PL', 'Poland'),
(33445, '69.61.42.232', '69.61.45.7', 1161636584, 1161637127, 'US', 'United States'),
(33446, '69.61.45.8', '69.61.45.15', 1161637128, 1161637135, 'PL', 'Poland'),
(33447, '69.61.45.16', '69.61.45.23', 1161637136, 1161637143, 'CA', 'Canada'),
(33448, '69.61.45.24', '69.61.45.39', 1161637144, 1161637159, 'US', 'United States'),
(33449, '69.61.45.40', '69.61.45.47', 1161637160, 1161637167, 'NZ', 'New Zealand'),
(33450, '69.61.45.48', '69.61.45.55', 1161637168, 1161637175, 'GB', 'United Kingdom'),
(33451, '69.61.45.56', '69.61.45.79', 1161637176, 1161637199, 'US', 'United States'),
(33452, '69.61.45.80', '69.61.45.87', 1161637200, 1161637207, 'GB', 'United Kingdom'),
(33453, '69.61.45.88', '69.61.45.95', 1161637208, 1161637215, 'US', 'United States'),
(33454, '69.61.45.96', '69.61.45.103', 1161637216, 1161637223, 'PL', 'Poland'),
(33455, '69.61.45.104', '69.61.45.175', 1161637224, 1161637295, 'US', 'United States'),
(33456, '69.61.45.176', '69.61.45.183', 1161637296, 1161637303, 'AR', 'Argentina'),
(33457, '69.61.45.184', '69.61.47.23', 1161637304, 1161637655, 'US', 'United States'),
(33458, '69.61.47.24', '69.61.47.31', 1161637656, 1161637663, 'IL', 'Israel'),
(33459, '69.61.47.32', '69.61.47.39', 1161637664, 1161637671, 'PL', 'Poland'),
(33460, '69.61.47.40', '69.61.47.47', 1161637672, 1161637679, 'IL', 'Israel'),
(33461, '69.61.47.48', '69.61.47.63', 1161637680, 1161637695, 'AR', 'Argentina'),
(33462, '69.61.47.64', '69.61.47.143', 1161637696, 1161637775, 'US', 'United States'),
(33463, '69.61.47.144', '69.61.47.151', 1161637776, 1161637783, 'GB', 'United Kingdom'),
(33464, '69.61.47.152', '69.61.51.255', 1161637784, 1161638911, 'US', 'United States'),
(33465, '69.61.52.0', '69.61.52.31', 1161638912, 1161638943, 'PL', 'Poland'),
(33466, '69.61.52.32', '69.61.52.55', 1161638944, 1161638967, 'US', 'United States'),
(33467, '69.61.52.56', '69.61.52.63', 1161638968, 1161638975, 'GB', 'United Kingdom'),
(33468, '69.61.52.64', '69.61.52.79', 1161638976, 1161638991, 'US', 'United States'),
(33469, '69.61.52.80', '69.61.52.87', 1161638992, 1161638999, 'PL', 'Poland'),
(33470, '69.61.52.88', '69.61.52.95', 1161639000, 1161639007, 'US', 'United States'),
(33471, '69.61.52.96', '69.61.52.111', 1161639008, 1161639023, 'BG', 'Bulgaria'),
(33472, '69.61.52.112', '69.61.52.127', 1161639024, 1161639039, 'US', 'United States'),
(33473, '69.61.52.128', '69.61.52.135', 1161639040, 1161639047, 'CA', 'Canada'),
(33474, '69.61.52.136', '69.61.52.151', 1161639048, 1161639063, 'US', 'United States'),
(33475, '69.61.52.152', '69.61.52.159', 1161639064, 1161639071, 'PL', 'Poland'),
(33476, '69.61.52.160', '69.61.52.175', 1161639072, 1161639087, 'US', 'United States'),
(33477, '69.61.52.176', '69.61.52.183', 1161639088, 1161639095, 'CA', 'Canada'),
(33478, '69.61.52.184', '69.61.52.207', 1161639096, 1161639119, 'US', 'United States'),
(33479, '69.61.52.208', '69.61.52.215', 1161639120, 1161639127, 'DK', 'Denmark'),
(33480, '69.61.52.216', '69.61.52.239', 1161639128, 1161639151, 'US', 'United States'),
(33481, '69.61.52.240', '69.61.52.247', 1161639152, 1161639159, 'IL', 'Israel'),
(33482, '69.61.52.248', '69.61.54.23', 1161639160, 1161639447, 'US', 'United States'),
(33483, '69.61.54.24', '69.61.54.31', 1161639448, 1161639455, 'PT', 'Portugal'),
(33484, '69.61.54.32', '69.61.54.87', 1161639456, 1161639511, 'US', 'United States'),
(33485, '69.61.54.88', '69.61.54.95', 1161639512, 1161639519, 'GB', 'United Kingdom'),
(33486, '69.61.54.96', '69.61.54.103', 1161639520, 1161639527, 'PL', 'Poland'),
(33487, '69.61.54.104', '69.61.54.151', 1161639528, 1161639575, 'US', 'United States'),
(33488, '69.61.54.152', '69.61.54.159', 1161639576, 1161639583, 'BG', 'Bulgaria'),
(33489, '69.61.54.160', '69.61.55.7', 1161639584, 1161639687, 'US', 'United States'),
(33490, '69.61.55.8', '69.61.55.15', 1161639688, 1161639695, 'KW', 'Kuwait'),
(33491, '69.61.55.16', '69.61.55.23', 1161639696, 1161639703, 'US', 'United States'),
(33492, '69.61.55.24', '69.61.55.31', 1161639704, 1161639711, 'BZ', 'Belize'),
(33493, '69.61.55.32', '69.61.55.151', 1161639712, 1161639831, 'US', 'United States'),
(33494, '69.61.55.152', '69.61.55.159', 1161639832, 1161639839, 'AR', 'Argentina'),
(33495, '69.61.55.160', '69.61.55.207', 1161639840, 1161639887, 'US', 'United States'),
(33496, '69.61.55.208', '69.61.55.215', 1161639888, 1161639895, 'AT', 'Austria'),
(33497, '69.61.55.216', '69.61.56.23', 1161639896, 1161639959, 'US', 'United States'),
(33498, '69.61.56.24', '69.61.56.31', 1161639960, 1161639967, 'GB', 'United Kingdom'),
(33499, '69.61.56.32', '69.61.56.55', 1161639968, 1161639991, 'US', 'United States'),
(33500, '69.61.56.56', '69.61.56.63', 1161639992, 1161639999, 'HR', 'Croatia'),
(33501, '69.61.56.64', '69.61.56.79', 1161640000, 1161640015, 'US', 'United States'),
(33502, '69.61.56.80', '69.61.56.87', 1161640016, 1161640023, 'PL', 'Poland'),
(33503, '69.61.56.88', '69.61.56.95', 1161640024, 1161640031, 'AR', 'Argentina'),
(33504, '69.61.56.96', '69.61.56.159', 1161640032, 1161640095, 'US', 'United States'),
(33505, '69.61.56.160', '69.61.56.191', 1161640096, 1161640127, 'AR', 'Argentina'),
(33506, '69.61.56.192', '69.61.59.63', 1161640128, 1161640767, 'US', 'United States'),
(33507, '69.61.59.64', '69.61.59.79', 1161640768, 1161640783, 'RO', 'Romania'),
(33508, '69.61.59.80', '69.61.59.87', 1161640784, 1161640791, 'GB', 'United Kingdom'),
(33509, '69.61.59.88', '69.61.59.143', 1161640792, 1161640847, 'US', 'United States'),
(33510, '69.61.59.144', '69.61.59.159', 1161640848, 1161640863, 'PL', 'Poland'),
(33511, '69.61.59.160', '69.61.59.191', 1161640864, 1161640895, 'AR', 'Argentina'),
(33512, '69.61.59.192', '69.61.61.159', 1161640896, 1161641375, 'US', 'United States'),
(33513, '69.61.61.160', '69.61.61.167', 1161641376, 1161641383, 'KW', 'Kuwait'),
(33514, '69.61.61.168', '69.61.61.247', 1161641384, 1161641463, 'US', 'United States'),
(33515, '69.61.61.248', '69.61.61.255', 1161641464, 1161641471, 'IN', 'India'),
(33516, '69.61.62.0', '69.61.63.159', 1161641472, 1161641887, 'US', 'United States'),
(33517, '69.61.63.160', '69.61.63.183', 1161641888, 1161641911, 'KW', 'Kuwait'),
(33518, '69.61.63.184', '69.61.63.191', 1161641912, 1161641919, 'US', 'United States'),
(33519, '69.61.63.192', '69.61.63.255', 1161641920, 1161641983, 'PL', 'Poland'),
(33520, '69.61.64.0', '69.61.64.15', 1161641984, 1161641999, 'US', 'United States'),
(33521, '69.61.64.16', '69.61.64.23', 1161642000, 1161642007, 'IN', 'India'),
(33522, '69.61.64.24', '69.61.64.47', 1161642008, 1161642031, 'US', 'United States'),
(33523, '69.61.64.48', '69.61.64.55', 1161642032, 1161642039, 'GB', 'United Kingdom'),
(33524, '69.61.64.56', '69.61.64.191', 1161642040, 1161642175, 'US', 'United States'),
(33525, '69.61.64.192', '69.61.64.207', 1161642176, 1161642191, 'GB', 'United Kingdom'),
(33526, '69.61.64.208', '69.61.74.111', 1161642192, 1161644655, 'US', 'United States'),
(33527, '69.61.74.112', '69.61.74.127', 1161644656, 1161644671, 'PL', 'Poland'),
(33528, '69.61.74.128', '69.61.74.191', 1161644672, 1161644735, 'US', 'United States'),
(33529, '69.61.74.192', '69.61.74.199', 1161644736, 1161644743, 'GB', 'United Kingdom'),
(33530, '69.61.74.200', '69.61.74.207', 1161644744, 1161644751, 'AR', 'Argentina'),
(33531, '69.61.74.208', '69.61.74.223', 1161644752, 1161644767, 'PL', 'Poland'),
(33532, '69.61.74.224', '69.61.79.87', 1161644768, 1161645911, 'US', 'United States'),
(33533, '69.61.79.88', '69.61.79.95', 1161645912, 1161645919, 'GB', 'United Kingdom'),
(33534, '69.61.79.96', '69.61.79.111', 1161645920, 1161645935, 'US', 'United States'),
(33535, '69.61.79.112', '69.61.79.127', 1161645936, 1161645951, 'PL', 'Poland'),
(33536, '69.61.79.128', '69.61.83.15', 1161645952, 1161646863, 'US', 'United States'),
(33537, '69.61.83.16', '69.61.83.31', 1161646864, 1161646879, 'PL', 'Poland'),
(33538, '69.61.83.32', '69.61.83.47', 1161646880, 1161646895, 'US', 'United States'),
(33539, '69.61.83.48', '69.61.83.95', 1161646896, 1161646943, 'PL', 'Poland'),
(33540, '69.61.83.96', '69.61.83.255', 1161646944, 1161647103, 'US', 'United States'),
(33541, '69.61.84.0', '69.61.84.15', 1161647104, 1161647119, 'PL', 'Poland'),
(33542, '69.61.84.16', '69.61.84.31', 1161647120, 1161647135, 'US', 'United States'),
(33543, '69.61.84.32', '69.61.84.63', 1161647136, 1161647167, 'PL', 'Poland'),
(33544, '69.61.84.64', '69.61.92.255', 1161647168, 1161649407, 'US', 'United States'),
(33545, '69.61.93.0', '69.61.93.255', 1161649408, 1161649663, 'AR', 'Argentina'),
(33546, '69.61.94.0', '69.61.95.255', 1161649664, 1161650175, 'US', 'United States'),
(33547, '69.61.96.0', '69.61.96.7', 1161650176, 1161650183, 'HR', 'Croatia'),
(33548, '69.61.96.8', '69.61.96.15', 1161650184, 1161650191, 'AR', 'Argentina'),
(33549, '69.61.96.16', '69.61.96.39', 1161650192, 1161650215, 'US', 'United States'),
(33550, '69.61.96.40', '69.61.96.47', 1161650216, 1161650223, 'FI', 'Finland'),
(33551, '69.61.96.48', '69.61.96.151', 1161650224, 1161650327, 'US', 'United States'),
(33552, '69.61.96.152', '69.61.96.167', 1161650328, 1161650343, 'AR', 'Argentina'),
(33553, '69.61.96.168', '69.61.96.183', 1161650344, 1161650359, 'US', 'United States'),
(33554, '69.61.96.184', '69.61.96.191', 1161650360, 1161650367, 'IL', 'Israel'),
(33555, '69.61.96.192', '69.61.96.199', 1161650368, 1161650375, 'ES', 'Spain'),
(33556, '69.61.96.200', '69.61.96.215', 1161650376, 1161650391, 'US', 'United States'),
(33557, '69.61.96.216', '69.61.96.223', 1161650392, 1161650399, 'CA', 'Canada'),
(33558, '69.61.96.224', '69.61.96.239', 1161650400, 1161650415, 'US', 'United States'),
(33559, '69.61.96.240', '69.61.96.247', 1161650416, 1161650423, 'PL', 'Poland'),
(33560, '69.61.96.248', '69.61.98.111', 1161650424, 1161650799, 'US', 'United States'),
(33561, '69.61.98.112', '69.61.98.127', 1161650800, 1161650815, 'SI', 'Slovenia'),
(33562, '69.61.98.128', '69.61.98.135', 1161650816, 1161650823, 'US', 'United States'),
(33563, '69.61.98.136', '69.61.98.143', 1161650824, 1161650831, 'AU', 'Australia'),
(33564, '69.61.98.144', '69.61.98.159', 1161650832, 1161650847, 'US', 'United States'),
(33565, '69.61.98.160', '69.61.98.175', 1161650848, 1161650863, 'AR', 'Argentina'),
(33566, '69.61.98.176', '69.61.98.191', 1161650864, 1161650879, 'US', 'United States'),
(33567, '69.61.98.192', '69.61.98.207', 1161650880, 1161650895, 'GB', 'United Kingdom'),
(33568, '69.61.98.208', '69.61.98.239', 1161650896, 1161650927, 'US', 'United States'),
(33569, '69.61.98.240', '69.61.98.247', 1161650928, 1161650935, 'SI', 'Slovenia'),
(33570, '69.61.98.248', '69.61.98.255', 1161650936, 1161650943, 'US', 'United States'),
(33571, '69.61.99.0', '69.61.99.7', 1161650944, 1161650951, 'SI', 'Slovenia'),
(33572, '69.61.99.8', '69.61.99.23', 1161650952, 1161650967, 'US', 'United States'),
(33573, '69.61.99.24', '69.61.99.31', 1161650968, 1161650975, 'SI', 'Slovenia'),
(33574, '69.61.99.32', '69.61.99.111', 1161650976, 1161651055, 'US', 'United States'),
(33575, '69.61.99.112', '69.61.99.127', 1161651056, 1161651071, 'PL', 'Poland'),
(33576, '69.61.99.128', '69.61.99.135', 1161651072, 1161651079, 'SI', 'Slovenia'),
(33577, '69.61.99.136', '69.61.99.151', 1161651080, 1161651095, 'US', 'United States'),
(33578, '69.61.99.152', '69.61.99.159', 1161651096, 1161651103, 'HR', 'Croatia'),
(33579, '69.61.99.160', '69.61.99.191', 1161651104, 1161651135, 'GB', 'United Kingdom'),
(33580, '69.61.99.192', '69.61.99.199', 1161651136, 1161651143, 'BG', 'Bulgaria'),
(33581, '69.61.99.200', '69.61.99.239', 1161651144, 1161651183, 'US', 'United States'),
(33582, '69.61.99.240', '69.61.99.255', 1161651184, 1161651199, 'GB', 'United Kingdom'),
(33583, '69.61.100.0', '69.61.101.31', 1161651200, 1161651487, 'US', 'United States'),
(33584, '69.61.101.32', '69.61.101.47', 1161651488, 1161651503, 'GB', 'United Kingdom'),
(33585, '69.61.101.48', '69.61.101.55', 1161651504, 1161651511, 'US', 'United States'),
(33586, '69.61.101.56', '69.61.101.63', 1161651512, 1161651519, 'GB', 'United Kingdom'),
(33587, '69.61.101.64', '69.61.101.119', 1161651520, 1161651575, 'US', 'United States'),
(33588, '69.61.101.120', '69.61.101.127', 1161651576, 1161651583, 'CA', 'Canada'),
(33589, '69.61.101.128', '69.61.102.31', 1161651584, 1161651743, 'US', 'United States'),
(33590, '69.61.102.32', '69.61.102.63', 1161651744, 1161651775, 'GB', 'United Kingdom'),
(33591, '69.61.102.64', '69.61.102.95', 1161651776, 1161651807, 'AR', 'Argentina'),
(33592, '69.61.102.96', '69.61.102.127', 1161651808, 1161651839, 'US', 'United States'),
(33593, '69.61.102.128', '69.61.102.143', 1161651840, 1161651855, 'MY', 'Malaysia'),
(33594, '69.61.102.144', '69.61.103.127', 1161651856, 1161652095, 'US', 'United States'),
(33595, '69.61.103.128', '69.61.103.135', 1161652096, 1161652103, 'CY', 'Cyprus'),
(33596, '69.61.103.136', '69.61.103.175', 1161652104, 1161652143, 'US', 'United States'),
(33597, '69.61.103.176', '69.61.103.191', 1161652144, 1161652159, 'GB', 'United Kingdom'),
(33598, '69.61.103.192', '69.61.107.31', 1161652160, 1161653023, 'US', 'United States'),
(33599, '69.61.107.32', '69.61.107.63', 1161653024, 1161653055, 'AR', 'Argentina'),
(33600, '69.61.107.64', '69.61.107.95', 1161653056, 1161653087, 'US', 'United States'),
(33601, '69.61.107.96', '69.61.107.127', 1161653088, 1161653119, 'PL', 'Poland'),
(33602, '69.61.107.128', '69.61.108.255', 1161653120, 1161653503, 'US', 'United States'),
(33603, '69.61.109.0', '69.61.109.255', 1161653504, 1161653759, 'CA', 'Canada'),
(33604, '69.61.110.0', '69.61.110.31', 1161653760, 1161653791, 'US', 'United States'),
(33605, '69.61.110.32', '69.61.110.39', 1161653792, 1161653799, 'SI', 'Slovenia'),
(33606, '69.61.110.40', '69.61.110.71', 1161653800, 1161653831, 'US', 'United States'),
(33607, '69.61.110.72', '69.61.110.79', 1161653832, 1161653839, 'SI', 'Slovenia'),
(33608, '69.61.110.80', '69.61.110.87', 1161653840, 1161653847, 'US', 'United States'),
(33609, '69.61.110.88', '69.61.110.95', 1161653848, 1161653855, 'SI', 'Slovenia'),
(33610, '69.61.110.96', '69.61.110.127', 1161653856, 1161653887, 'US', 'United States'),
(33611, '69.61.110.128', '69.61.110.191', 1161653888, 1161653951, 'SE', 'Sweden'),
(33612, '69.61.110.192', '69.61.111.223', 1161653952, 1161654239, 'US', 'United States'),
(33613, '69.61.111.224', '69.61.111.231', 1161654240, 1161654247, 'GB', 'United Kingdom'),
(33614, '69.61.111.232', '69.61.111.247', 1161654248, 1161654263, 'US', 'United States'),
(33615, '69.61.111.248', '69.61.111.255', 1161654264, 1161654271, 'SI', 'Slovenia'),
(33616, '69.61.112.0', '69.61.125.63', 1161654272, 1161657663, 'US', 'United States'),
(33617, '69.61.125.64', '69.61.125.79', 1161657664, 1161657679, 'AF', 'Afghanistan'),
(33618, '69.61.125.80', '69.61.125.95', 1161657680, 1161657695, 'PL', 'Poland'),
(33619, '69.61.125.96', '69.61.127.23', 1161657696, 1161658135, 'US', 'United States'),
(33620, '69.61.127.24', '69.61.127.31', 1161658136, 1161658143, 'AR', 'Argentina'),
(33621, '69.61.127.32', '69.61.127.39', 1161658144, 1161658151, 'SI', 'Slovenia'),
(33622, '69.61.127.40', '69.61.127.47', 1161658152, 1161658159, 'AR', 'Argentina'),
(33623, '69.61.127.48', '69.63.31.255', 1161658160, 1161764863, 'US', 'United States'),
(33624, '69.63.32.0', '69.63.63.255', 1161764864, 1161773055, 'CA', 'Canada'),
(33625, '69.63.64.0', '69.63.79.255', 1161773056, 1161777151, 'SZ', 'Swaziland'),
(33626, '69.63.80.0', '69.63.130.29', 1161777152, 1161789981, 'US', 'United States'),
(33627, '69.63.130.30', '69.63.130.31', 1161789982, 1161789983, 'CA', 'Canada'),
(33628, '69.63.130.32', '69.63.130.32', 1161789984, 1161789984, 'US', 'United States'),
(33629, '69.63.130.33', '69.63.130.33', 1161789985, 1161789985, 'CA', 'Canada'),
(33630, '69.63.130.34', '69.63.130.213', 1161789986, 1161790165, 'US', 'United States'),
(33631, '69.63.130.214', '69.63.130.219', 1161790166, 1161790171, 'CA', 'Canada'),
(33632, '69.63.130.220', '69.63.130.244', 1161790172, 1161790196, 'US', 'United States'),
(33633, '69.63.130.245', '69.63.130.253', 1161790197, 1161790205, 'DE', 'Germany'),
(33634, '69.63.130.254', '69.63.132.12', 1161790206, 1161790476, 'US', 'United States'),
(33635, '69.63.132.13', '69.63.132.13', 1161790477, 1161790477, 'CA', 'Canada'),
(33636, '69.63.132.14', '69.63.132.14', 1161790478, 1161790478, 'US', 'United States'),
(33637, '69.63.132.15', '69.63.132.16', 1161790479, 1161790480, 'CA', 'Canada'),
(33638, '69.63.132.17', '69.63.132.19', 1161790481, 1161790483, 'US', 'United States'),
(33639, '69.63.132.20', '69.63.132.20', 1161790484, 1161790484, 'CA', 'Canada'),
(33640, '69.63.132.21', '69.63.132.22', 1161790485, 1161790486, 'US', 'United States'),
(33641, '69.63.132.23', '69.63.132.23', 1161790487, 1161790487, 'CA', 'Canada'),
(33642, '69.63.132.24', '69.63.132.36', 1161790488, 1161790500, 'US', 'United States'),
(33643, '69.63.132.37', '69.63.132.38', 1161790501, 1161790502, 'CA', 'Canada'),
(33644, '69.63.132.39', '69.63.132.52', 1161790503, 1161790516, 'US', 'United States'),
(33645, '69.63.132.53', '69.63.132.53', 1161790517, 1161790517, 'CA', 'Canada'),
(33646, '69.63.132.54', '69.63.132.59', 1161790518, 1161790523, 'US', 'United States'),
(33647, '69.63.132.60', '69.63.132.60', 1161790524, 1161790524, 'CA', 'Canada'),
(33648, '69.63.132.61', '69.63.132.67', 1161790525, 1161790531, 'US', 'United States'),
(33649, '69.63.132.68', '69.63.132.68', 1161790532, 1161790532, 'CA', 'Canada'),
(33650, '69.63.132.69', '69.63.132.69', 1161790533, 1161790533, 'US', 'United States'),
(33651, '69.63.132.70', '69.63.132.78', 1161790534, 1161790542, 'CA', 'Canada'),
(33652, '69.63.132.79', '69.63.133.119', 1161790543, 1161790839, 'US', 'United States'),
(33653, '69.63.133.120', '69.63.133.128', 1161790840, 1161790848, 'CA', 'Canada'),
(33654, '69.63.133.129', '69.63.135.89', 1161790849, 1161791321, 'US', 'United States'),
(33655, '69.63.135.90', '69.63.135.98', 1161791322, 1161791330, 'CA', 'Canada'),
(33656, '69.63.135.99', '69.63.135.149', 1161791331, 1161791381, 'US', 'United States'),
(33657, '69.63.135.150', '69.63.135.154', 1161791382, 1161791386, 'CA', 'Canada'),
(33658, '69.63.135.155', '69.63.145.59', 1161791387, 1161793851, 'US', 'United States'),
(33659, '69.63.145.60', '69.63.145.68', 1161793852, 1161793860, 'PA', 'Panama'),
(33660, '69.63.145.69', '69.63.145.119', 1161793861, 1161793911, 'US', 'United States'),
(33661, '69.63.145.120', '69.63.145.120', 1161793912, 1161793912, 'IT', 'Italy'),
(33662, '69.63.145.121', '69.63.145.124', 1161793913, 1161793916, 'US', 'United States'),
(33663, '69.63.145.125', '69.63.145.125', 1161793917, 1161793917, 'IT', 'Italy'),
(33664, '69.63.145.126', '69.63.145.128', 1161793918, 1161793920, 'US', 'United States'),
(33665, '69.63.145.129', '69.63.145.137', 1161793921, 1161793929, 'IT', 'Italy'),
(33666, '69.63.145.138', '69.63.145.219', 1161793930, 1161794011, 'US', 'United States'),
(33667, '69.63.145.220', '69.63.145.228', 1161794012, 1161794020, 'AO', 'Angola'),
(33668, '69.63.145.229', '69.63.145.244', 1161794021, 1161794036, 'US', 'United States'),
(33669, '69.63.145.245', '69.63.145.245', 1161794037, 1161794037, 'IT', 'Italy'),
(33670, '69.63.145.246', '69.63.145.247', 1161794038, 1161794039, 'US', 'United States'),
(33671, '69.63.145.248', '69.63.145.248', 1161794040, 1161794040, 'IT', 'Italy'),
(33672, '69.63.145.249', '69.63.147.164', 1161794041, 1161794468, 'US', 'United States'),
(33673, '69.63.147.165', '69.63.147.168', 1161794469, 1161794472, 'ZA', 'South Africa'),
(33674, '69.63.147.169', '69.63.148.89', 1161794473, 1161794649, 'US', 'United States'),
(33675, '69.63.148.90', '69.63.148.94', 1161794650, 1161794654, 'ZA', 'South Africa'),
(33676, '69.63.148.95', '69.63.152.59', 1161794655, 1161795643, 'US', 'United States'),
(33677, '69.63.152.60', '69.63.152.63', 1161795644, 1161795647, 'CA', 'Canada'),
(33678, '69.63.152.64', '69.63.152.79', 1161795648, 1161795663, 'US', 'United States'),
(33679, '69.63.152.80', '69.63.152.83', 1161795664, 1161795667, 'BR', 'Brazil'),
(33680, '69.63.152.84', '69.63.153.139', 1161795668, 1161795979, 'US', 'United States'),
(33681, '69.63.153.140', '69.63.153.143', 1161795980, 1161795983, 'CA', 'Canada'),
(33682, '69.63.153.144', '69.63.154.3', 1161795984, 1161796099, 'US', 'United States'),
(33683, '69.63.154.4', '69.63.154.7', 1161796100, 1161796103, 'CZ', 'Czech Republic'),
(33684, '69.63.154.8', '69.63.239.255', 1161796104, 1161818111, 'US', 'United States'),
(33685, '69.63.240.0', '69.63.255.255', 1161818112, 1161822207, 'CA', 'Canada'),
(33686, '69.64.0.0', '69.64.40.99', 1161822208, 1161832547, 'US', 'United States'),
(33687, '69.64.40.100', '69.64.40.102', 1161832548, 1161832550, 'CA', 'Canada'),
(33688, '69.64.40.103', '69.64.40.107', 1161832551, 1161832555, 'US', 'United States'),
(33689, '69.64.40.108', '69.64.40.108', 1161832556, 1161832556, 'CA', 'Canada'),
(33690, '69.64.40.109', '69.64.40.112', 1161832557, 1161832560, 'IN', 'India'),
(33691, '69.64.40.113', '69.64.40.114', 1161832561, 1161832562, 'US', 'United States'),
(33692, '69.64.40.115', '69.64.40.115', 1161832563, 1161832563, 'IN', 'India'),
(33693, '69.64.40.116', '69.64.40.117', 1161832564, 1161832565, 'US', 'United States'),
(33694, '69.64.40.118', '69.64.40.124', 1161832566, 1161832572, 'IN', 'India'),
(33695, '69.64.40.125', '69.64.40.125', 1161832573, 1161832573, 'US', 'United States'),
(33696, '69.64.40.126', '69.64.40.126', 1161832574, 1161832574, 'IN', 'India'),
(33697, '69.64.40.127', '69.64.40.129', 1161832575, 1161832577, 'US', 'United States'),
(33698, '69.64.40.130', '69.64.40.131', 1161832578, 1161832579, 'IN', 'India'),
(33699, '69.64.40.132', '69.64.40.134', 1161832580, 1161832582, 'PK', 'Pakistan'),
(33700, '69.64.40.135', '69.64.41.63', 1161832583, 1161832767, 'US', 'United States'),
(33701, '69.64.41.64', '69.64.41.127', 1161832768, 1161832831, 'BR', 'Brazil'),
(33702, '69.64.41.128', '69.64.42.38', 1161832832, 1161832998, 'US', 'United States'),
(33703, '69.64.42.39', '69.64.42.39', 1161832999, 1161832999, 'CA', 'Canada'),
(33704, '69.64.42.40', '69.64.42.40', 1161833000, 1161833000, 'TH', 'Thailand'),
(33705, '69.64.42.41', '69.64.42.43', 1161833001, 1161833003, 'US', 'United States'),
(33706, '69.64.42.44', '69.64.42.46', 1161833004, 1161833006, 'BG', 'Bulgaria'),
(33707, '69.64.42.47', '69.64.42.47', 1161833007, 1161833007, 'US', 'United States'),
(33708, '69.64.42.48', '69.64.42.48', 1161833008, 1161833008, 'BG', 'Bulgaria'),
(33709, '69.64.42.49', '69.64.42.51', 1161833009, 1161833011, 'US', 'United States'),
(33710, '69.64.42.52', '69.64.42.52', 1161833012, 1161833012, 'BG', 'Bulgaria'),
(33711, '69.64.42.53', '69.64.42.53', 1161833013, 1161833013, 'US', 'United States'),
(33712, '69.64.42.54', '69.64.42.54', 1161833014, 1161833014, 'BG', 'Bulgaria'),
(33713, '69.64.42.55', '69.64.42.57', 1161833015, 1161833017, 'US', 'United States'),
(33714, '69.64.42.58', '69.64.42.59', 1161833018, 1161833019, 'BG', 'Bulgaria'),
(33715, '69.64.42.60', '69.64.42.67', 1161833020, 1161833027, 'US', 'United States'),
(33716, '69.64.42.68', '69.64.42.69', 1161833028, 1161833029, 'BG', 'Bulgaria'),
(33717, '69.64.42.70', '69.64.42.76', 1161833030, 1161833036, 'US', 'United States'),
(33718, '69.64.42.77', '69.64.42.79', 1161833037, 1161833039, 'BG', 'Bulgaria'),
(33719, '69.64.42.80', '69.64.42.80', 1161833040, 1161833040, 'US', 'United States'),
(33720, '69.64.42.81', '69.64.42.82', 1161833041, 1161833042, 'BG', 'Bulgaria'),
(33721, '69.64.42.83', '69.64.42.86', 1161833043, 1161833046, 'US', 'United States'),
(33722, '69.64.42.87', '69.64.42.87', 1161833047, 1161833047, 'BG', 'Bulgaria'),
(33723, '69.64.42.88', '69.64.42.91', 1161833048, 1161833051, 'US', 'United States'),
(33724, '69.64.42.92', '69.64.42.92', 1161833052, 1161833052, 'BG', 'Bulgaria'),
(33725, '69.64.42.93', '69.64.42.93', 1161833053, 1161833053, 'US', 'United States'),
(33726, '69.64.42.94', '69.64.42.94', 1161833054, 1161833054, 'BG', 'Bulgaria'),
(33727, '69.64.42.95', '69.64.42.95', 1161833055, 1161833055, 'US', 'United States'),
(33728, '69.64.42.96', '69.64.42.98', 1161833056, 1161833058, 'BG', 'Bulgaria'),
(33729, '69.64.42.99', '69.64.42.102', 1161833059, 1161833062, 'US', 'United States'),
(33730, '69.64.42.103', '69.64.42.103', 1161833063, 1161833063, 'BG', 'Bulgaria'),
(33731, '69.64.42.104', '69.64.42.104', 1161833064, 1161833064, 'US', 'United States'),
(33732, '69.64.42.105', '69.64.42.112', 1161833065, 1161833072, 'BG', 'Bulgaria'),
(33733, '69.64.42.113', '69.64.42.113', 1161833073, 1161833073, 'US', 'United States'),
(33734, '69.64.42.114', '69.64.42.115', 1161833074, 1161833075, 'BG', 'Bulgaria'),
(33735, '69.64.42.116', '69.64.42.116', 1161833076, 1161833076, 'US', 'United States'),
(33736, '69.64.42.117', '69.64.42.117', 1161833077, 1161833077, 'TH', 'Thailand'),
(33737, '69.64.42.118', '69.64.42.121', 1161833078, 1161833081, 'BR', 'Brazil'),
(33738, '69.64.42.122', '69.64.42.122', 1161833082, 1161833082, 'US', 'United States'),
(33739, '69.64.42.123', '69.64.42.123', 1161833083, 1161833083, 'TH', 'Thailand'),
(33740, '69.64.42.124', '69.64.42.125', 1161833084, 1161833085, 'CA', 'Canada'),
(33741, '69.64.42.126', '69.64.42.126', 1161833086, 1161833086, 'US', 'United States'),
(33742, '69.64.42.127', '69.64.42.127', 1161833087, 1161833087, 'CA', 'Canada'),
(33743, '69.64.42.128', '69.64.42.130', 1161833088, 1161833090, 'US', 'United States'),
(33744, '69.64.42.131', '69.64.42.133', 1161833091, 1161833093, 'CA', 'Canada'),
(33745, '69.64.42.134', '69.64.42.134', 1161833094, 1161833094, 'US', 'United States'),
(33746, '69.64.42.135', '69.64.42.135', 1161833095, 1161833095, 'CA', 'Canada'),
(33747, '69.64.42.136', '69.64.42.137', 1161833096, 1161833097, 'US', 'United States'),
(33748, '69.64.42.138', '69.64.42.140', 1161833098, 1161833100, 'CA', 'Canada'),
(33749, '69.64.42.141', '69.64.42.141', 1161833101, 1161833101, 'US', 'United States'),
(33750, '69.64.42.142', '69.64.42.168', 1161833102, 1161833128, 'CA', 'Canada'),
(33751, '69.64.42.169', '69.64.42.169', 1161833129, 1161833129, 'US', 'United States'),
(33752, '69.64.42.170', '69.64.42.170', 1161833130, 1161833130, 'CA', 'Canada'),
(33753, '69.64.42.171', '69.64.42.171', 1161833131, 1161833131, 'US', 'United States'),
(33754, '69.64.42.172', '69.64.42.174', 1161833132, 1161833134, 'CA', 'Canada'),
(33755, '69.64.42.175', '69.64.42.176', 1161833135, 1161833136, 'US', 'United States'),
(33756, '69.64.42.177', '69.64.42.178', 1161833137, 1161833138, 'CA', 'Canada'),
(33757, '69.64.42.179', '69.64.42.179', 1161833139, 1161833139, 'US', 'United States'),
(33758, '69.64.42.180', '69.64.42.184', 1161833140, 1161833144, 'CA', 'Canada'),
(33759, '69.64.42.185', '69.64.42.185', 1161833145, 1161833145, 'US', 'United States'),
(33760, '69.64.42.186', '69.64.42.191', 1161833146, 1161833151, 'CA', 'Canada'),
(33761, '69.64.42.192', '69.64.42.192', 1161833152, 1161833152, 'US', 'United States'),
(33762, '69.64.42.193', '69.64.42.208', 1161833153, 1161833168, 'CA', 'Canada'),
(33763, '69.64.42.209', '69.64.42.209', 1161833169, 1161833169, 'US', 'United States'),
(33764, '69.64.42.210', '69.64.42.210', 1161833170, 1161833170, 'CA', 'Canada'),
(33765, '69.64.42.211', '69.64.42.231', 1161833171, 1161833191, 'US', 'United States'),
(33766, '69.64.42.232', '69.64.42.237', 1161833192, 1161833197, 'CA', 'Canada'),
(33767, '69.64.42.238', '69.64.42.238', 1161833198, 1161833198, 'US', 'United States'),
(33768, '69.64.42.239', '69.64.42.240', 1161833199, 1161833200, 'CA', 'Canada'),
(33769, '69.64.42.241', '69.64.45.191', 1161833201, 1161833919, 'US', 'United States'),
(33770, '69.64.45.192', '69.64.45.223', 1161833920, 1161833951, 'LT', 'Lithuania'),
(33771, '69.64.45.224', '69.64.45.239', 1161833952, 1161833967, 'US', 'United States'),
(33772, '69.64.45.240', '69.64.45.247', 1161833968, 1161833975, 'DE', 'Germany'),
(33773, '69.64.45.248', '69.64.51.77', 1161833976, 1161835341, 'US', 'United States'),
(33774, '69.64.51.78', '69.64.51.89', 1161835342, 1161835353, 'GR', 'Greece'),
(33775, '69.64.51.90', '69.64.53.52', 1161835354, 1161835828, 'US', 'United States'),
(33776, '69.64.53.53', '69.64.53.53', 1161835829, 1161835829, 'PK', 'Pakistan'),
(33777, '69.64.53.54', '69.64.53.165', 1161835830, 1161835941, 'US', 'United States'),
(33778, '69.64.53.166', '69.64.53.171', 1161835942, 1161835947, 'PK', 'Pakistan'),
(33779, '69.64.53.172', '69.64.53.176', 1161835948, 1161835952, 'US', 'United States'),
(33780, '69.64.53.177', '69.64.53.178', 1161835953, 1161835954, 'PK', 'Pakistan'),
(33781, '69.64.53.179', '69.64.53.179', 1161835955, 1161835955, 'US', 'United States'),
(33782, '69.64.53.180', '69.64.53.180', 1161835956, 1161835956, 'PK', 'Pakistan'),
(33783, '69.64.53.181', '69.64.53.181', 1161835957, 1161835957, 'US', 'United States'),
(33784, '69.64.53.182', '69.64.53.186', 1161835958, 1161835962, 'PK', 'Pakistan'),
(33785, '69.64.53.187', '69.64.53.193', 1161835963, 1161835969, 'US', 'United States'),
(33786, '69.64.53.194', '69.64.53.195', 1161835970, 1161835971, 'PK', 'Pakistan'),
(33787, '69.64.53.196', '69.64.53.197', 1161835972, 1161835973, 'TH', 'Thailand'),
(33788, '69.64.53.198', '69.64.53.207', 1161835974, 1161835983, 'CA', 'Canada'),
(33789, '69.64.53.208', '69.64.53.208', 1161835984, 1161835984, 'US', 'United States'),
(33790, '69.64.53.209', '69.64.53.211', 1161835985, 1161835987, 'CA', 'Canada'),
(33791, '69.64.53.212', '69.64.53.212', 1161835988, 1161835988, 'US', 'United States'),
(33792, '69.64.53.213', '69.64.53.218', 1161835989, 1161835994, 'CA', 'Canada'),
(33793, '69.64.53.219', '69.64.53.223', 1161835995, 1161835999, 'US', 'United States'),
(33794, '69.64.53.224', '69.64.53.225', 1161836000, 1161836001, 'CA', 'Canada'),
(33795, '69.64.53.226', '69.64.53.228', 1161836002, 1161836004, 'US', 'United States'),
(33796, '69.64.53.229', '69.64.53.235', 1161836005, 1161836011, 'CA', 'Canada'),
(33797, '69.64.53.236', '69.64.53.238', 1161836012, 1161836014, 'US', 'United States'),
(33798, '69.64.53.239', '69.64.53.240', 1161836015, 1161836016, 'CA', 'Canada'),
(33799, '69.64.53.241', '69.64.53.242', 1161836017, 1161836018, 'US', 'United States'),
(33800, '69.64.53.243', '69.64.53.252', 1161836019, 1161836028, 'CA', 'Canada'),
(33801, '69.64.53.253', '69.64.53.255', 1161836029, 1161836031, 'US', 'United States'),
(33802, '69.64.54.0', '69.64.54.31', 1161836032, 1161836063, 'CA', 'Canada'),
(33803, '69.64.54.32', '69.64.54.63', 1161836064, 1161836095, 'JP', 'Japan'),
(33804, '69.64.54.64', '69.64.54.127', 1161836096, 1161836159, 'US', 'United States'),
(33805, '69.64.54.128', '69.64.54.159', 1161836160, 1161836191, 'BR', 'Brazil'),
(33806, '69.64.54.160', '69.64.54.255', 1161836192, 1161836287, 'US', 'United States'),
(33807, '69.64.55.0', '69.64.55.31', 1161836288, 1161836319, 'RS', 'Serbia'),
(33808, '69.64.55.32', '69.64.55.95', 1161836320, 1161836383, 'US', 'United States'),
(33809, '69.64.55.96', '69.64.55.127', 1161836384, 1161836415, 'CY', 'Cyprus'),
(33810, '69.64.55.128', '69.64.55.159', 1161836416, 1161836447, 'BR', 'Brazil'),
(33811, '69.64.55.160', '69.64.55.191', 1161836448, 1161836479, 'US', 'United States'),
(33812, '69.64.55.192', '69.64.55.223', 1161836480, 1161836511, 'GB', 'United Kingdom'),
(33813, '69.64.55.224', '69.64.55.255', 1161836512, 1161836543, 'DE', 'Germany'),
(33814, '69.64.56.0', '69.64.59.255', 1161836544, 1161837567, 'US', 'United States'),
(33815, '69.64.60.0', '69.64.60.255', 1161837568, 1161837823, 'JP', 'Japan'),
(33816, '69.64.61.0', '69.64.61.50', 1161837824, 1161837874, 'US', 'United States'),
(33817, '69.64.61.51', '69.64.61.51', 1161837875, 1161837875, 'CA', 'Canada'),
(33818, '69.64.61.52', '69.64.61.52', 1161837876, 1161837876, 'US', 'United States'),
(33819, '69.64.61.53', '69.64.61.55', 1161837877, 1161837879, 'PK', 'Pakistan'),
(33820, '69.64.61.56', '69.64.63.212', 1161837880, 1161838548, 'US', 'United States'),
(33821, '69.64.63.213', '69.64.63.224', 1161838549, 1161838560, 'RU', 'Russian Federation'),
(33822, '69.64.63.225', '69.64.73.205', 1161838561, 1161841101, 'US', 'United States'),
(33823, '69.64.73.206', '69.64.73.216', 1161841102, 1161841112, 'DE', 'Germany'),
(33824, '69.64.73.217', '69.64.77.181', 1161841113, 1161842101, 'US', 'United States'),
(33825, '69.64.77.182', '69.64.77.189', 1161842102, 1161842109, 'CH', 'Switzerland'),
(33826, '69.64.77.190', '69.64.80.244', 1161842110, 1161842932, 'US', 'United States'),
(33827, '69.64.80.245', '69.64.80.252', 1161842933, 1161842940, 'MX', 'Mexico'),
(33828, '69.64.80.253', '69.64.81.11', 1161842941, 1161842955, 'US', 'United States'),
(33829, '69.64.81.12', '69.64.81.19', 1161842956, 1161842963, 'CA', 'Canada'),
(33830, '69.64.81.20', '69.64.81.26', 1161842964, 1161842970, 'US', 'United States'),
(33831, '69.64.81.27', '69.64.81.34', 1161842971, 1161842978, 'GB', 'United Kingdom'),
(33832, '69.64.81.35', '69.64.81.140', 1161842979, 1161843084, 'US', 'United States'),
(33833, '69.64.81.141', '69.64.81.148', 1161843085, 1161843092, 'MX', 'Mexico'),
(33834, '69.64.81.149', '69.64.81.154', 1161843093, 1161843098, 'US', 'United States'),
(33835, '69.64.81.155', '69.64.81.162', 1161843099, 1161843106, 'MX', 'Mexico'),
(33836, '69.64.81.163', '69.64.81.199', 1161843107, 1161843143, 'US', 'United States'),
(33837, '69.64.81.200', '69.64.81.209', 1161843144, 1161843153, 'CA', 'Canada'),
(33838, '69.64.81.210', '69.64.82.45', 1161843154, 1161843245, 'US', 'United States'),
(33839, '69.64.82.46', '69.64.82.53', 1161843246, 1161843253, 'MX', 'Mexico'),
(33840, '69.64.82.54', '69.64.169.231', 1161843254, 1161865703, 'US', 'United States'),
(33841, '69.64.169.232', '69.64.169.239', 1161865704, 1161865711, 'EG', 'Egypt'),
(33842, '69.64.169.240', '69.64.171.127', 1161865712, 1161866111, 'US', 'United States'),
(33843, '69.64.171.128', '69.64.171.143', 1161866112, 1161866127, 'MT', 'Malta'),
(33844, '69.64.171.144', '69.64.251.255', 1161866128, 1161886719, 'US', 'United States'),
(33845, '69.64.252.0', '69.64.253.255', 1161886720, 1161887231, 'DE', 'Germany'),
(33846, '69.64.254.0', '69.65.13.215', 1161887232, 1161891287, 'US', 'United States'),
(33847, '69.65.13.216', '69.65.13.223', 1161891288, 1161891295, 'CA', 'Canada'),
(33848, '69.65.13.224', '69.65.14.199', 1161891296, 1161891527, 'US', 'United States'),
(33849, '69.65.14.200', '69.65.14.207', 1161891528, 1161891535, 'CA', 'Canada'),
(33850, '69.65.14.208', '69.65.14.215', 1161891536, 1161891543, 'US', 'United States'),
(33851, '69.65.14.216', '69.65.14.223', 1161891544, 1161891551, 'CA', 'Canada'),
(33852, '69.65.14.224', '69.65.51.63', 1161891552, 1161900863, 'US', 'United States'),
(33853, '69.65.51.64', '69.65.51.95', 1161900864, 1161900895, 'A1', 'Anonymous Proxy'),
(33854, '69.65.51.96', '69.65.54.79', 1161900896, 1161901647, 'US', 'United States'),
(33855, '69.65.54.80', '69.65.54.87', 1161901648, 1161901655, 'VN', 'Vietnam'),
(33856, '69.65.54.88', '69.65.147.255', 1161901656, 1161925631, 'US', 'United States'),
(33857, '69.65.148.0', '69.65.148.255', 1161925632, 1161925887, 'EC', 'Ecuador'),
(33858, '69.65.149.0', '69.65.150.255', 1161925888, 1161926399, 'US', 'United States'),
(33859, '69.65.151.0', '69.65.151.255', 1161926400, 1161926655, 'EC', 'Ecuador'),
(33860, '69.65.152.0', '69.66.255.255', 1161926656, 1162018815, 'US', 'United States'),
(33861, '69.67.0.0', '69.67.15.255', 1162018816, 1162022911, 'CA', 'Canada'),
(33862, '69.67.16.0', '69.67.18.183', 1162022912, 1162023607, 'US', 'United States'),
(33863, '69.67.18.184', '69.67.18.191', 1162023608, 1162023615, 'FI', 'Finland'),
(33864, '69.67.18.192', '69.67.31.255', 1162023616, 1162027007, 'US', 'United States'),
(33865, '69.67.32.0', '69.67.47.255', 1162027008, 1162031103, 'ZA', 'South Africa'),
(33866, '69.67.48.0', '69.67.49.15', 1162031104, 1162031375, 'US', 'United States'),
(33867, '69.67.49.16', '69.67.49.23', 1162031376, 1162031383, 'CA', 'Canada'),
(33868, '69.67.49.24', '69.67.49.47', 1162031384, 1162031407, 'US', 'United States'),
(33869, '69.67.49.48', '69.67.49.63', 1162031408, 1162031423, 'DO', 'Dominican Republic'),
(33870, '69.67.49.64', '69.67.52.127', 1162031424, 1162032255, 'US', 'United States'),
(33871, '69.67.52.128', '69.67.52.143', 1162032256, 1162032271, 'CA', 'Canada'),
(33872, '69.67.52.144', '69.67.52.159', 1162032272, 1162032287, 'US', 'United States'),
(33873, '69.67.52.160', '69.67.52.175', 1162032288, 1162032303, 'BE', 'Belgium'),
(33874, '69.67.52.176', '69.67.52.231', 1162032304, 1162032359, 'US', 'United States'),
(33875, '69.67.52.232', '69.67.52.239', 1162032360, 1162032367, 'JO', 'Jordan'),
(33876, '69.67.52.240', '69.67.54.95', 1162032368, 1162032735, 'US', 'United States'),
(33877, '69.67.54.96', '69.67.54.127', 1162032736, 1162032767, 'CA', 'Canada'),
(33878, '69.67.54.128', '69.67.54.191', 1162032768, 1162032831, 'DO', 'Dominican Republic'),
(33879, '69.67.54.192', '69.67.56.95', 1162032832, 1162033247, 'US', 'United States'),
(33880, '69.67.56.96', '69.67.56.111', 1162033248, 1162033263, 'CA', 'Canada'),
(33881, '69.67.56.112', '69.67.59.63', 1162033264, 1162033983, 'US', 'United States'),
(33882, '69.67.59.64', '69.67.59.95', 1162033984, 1162034015, 'IN', 'India'),
(33883, '69.67.59.96', '69.67.159.255', 1162034016, 1162059775, 'US', 'United States'),
(33884, '69.67.160.0', '69.67.191.255', 1162059776, 1162067967, 'CA', 'Canada'),
(33885, '69.67.192.0', '69.69.215.42', 1162067968, 1162204970, 'US', 'United States'),
(33886, '69.69.215.43', '69.69.215.44', 1162204971, 1162204972, 'A1', 'Anonymous Proxy'),
(33887, '69.69.215.45', '69.69.255.255', 1162204973, 1162215423, 'US', 'United States'),
(33888, '69.70.0.0', '69.70.255.255', 1162215424, 1162280959, 'CA', 'Canada'),
(33889, '69.71.0.0', '69.71.58.207', 1162280960, 1162296015, 'US', 'United States'),
(33890, '69.71.58.208', '69.71.58.215', 1162296016, 1162296023, 'CA', 'Canada'),
(33891, '69.71.58.216', '69.71.60.87', 1162296024, 1162296407, 'US', 'United States'),
(33892, '69.71.60.88', '69.71.60.95', 1162296408, 1162296415, 'CA', 'Canada'),
(33893, '69.71.60.96', '69.71.63.255', 1162296416, 1162297343, 'US', 'United States'),
(33894, '69.71.64.0', '69.71.95.255', 1162297344, 1162305535, 'CA', 'Canada'),
(33895, '69.71.96.0', '69.71.127.255', 1162305536, 1162313727, 'US', 'United States'),
(33896, '69.71.128.0', '69.71.152.255', 1162313728, 1162320127, 'A2', 'Satellite Provider'),
(33897, '69.71.153.0', '69.71.153.255', 1162320128, 1162320383, 'US', 'United States'),
(33898, '69.71.154.0', '69.71.159.255', 1162320384, 1162321919, 'A2', 'Satellite Provider'),
(33899, '69.71.160.0', '69.72.187.95', 1162321920, 1162394463, 'US', 'United States'),
(33900, '69.72.187.96', '69.72.187.103', 1162394464, 1162394471, 'GB', 'United Kingdom'),
(33901, '69.72.187.104', '69.72.242.169', 1162394472, 1162408617, 'US', 'United States'),
(33902, '69.72.242.170', '69.72.242.170', 1162408618, 1162408618, 'A1', 'Anonymous Proxy'),
(33903, '69.72.242.171', '69.72.243.79', 1162408619, 1162408783, 'US', 'United States'),
(33904, '69.72.243.80', '69.72.243.127', 1162408784, 1162408831, 'CR', 'Costa Rica'),
(33905, '69.72.243.128', '69.72.246.255', 1162408832, 1162409727, 'US', 'United States'),
(33906, '69.72.247.0', '69.72.247.255', 1162409728, 1162409983, 'A1', 'Anonymous Proxy'),
(33907, '69.72.248.0', '69.73.179.135', 1162409984, 1162457991, 'US', 'United States'),
(33908, '69.73.179.136', '69.73.179.143', 1162457992, 1162457999, 'ID', 'Indonesia'),
(33909, '69.73.179.144', '69.73.191.255', 1162458000, 1162461183, 'US', 'United States'),
(33910, '69.73.192.0', '69.73.193.255', 1162461184, 1162461695, 'BB', 'Barbados'),
(33911, '69.73.194.0', '69.73.195.255', 1162461696, 1162462207, 'GD', 'Grenada'),
(33912, '69.73.196.0', '69.73.198.255', 1162462208, 1162462975, 'BB', 'Barbados'),
(33913, '69.73.199.0', '69.73.199.78', 1162462976, 1162463054, 'VC', 'Saint Vincent and the Grenadines'),
(33914, '69.73.199.79', '69.73.199.79', 1162463055, 1162463055, 'BB', 'Barbados'),
(33915, '69.73.199.80', '69.73.202.255', 1162463056, 1162463999, 'VC', 'Saint Vincent and the Grenadines'),
(33916, '69.73.203.0', '69.73.207.255', 1162464000, 1162465279, 'BB', 'Barbados'),
(33917, '69.73.208.0', '69.73.208.255', 1162465280, 1162465535, 'GD', 'Grenada'),
(33918, '69.73.209.0', '69.73.229.255', 1162465536, 1162470911, 'BB', 'Barbados'),
(33919, '69.73.230.0', '69.73.231.255', 1162470912, 1162471423, 'GD', 'Grenada'),
(33920, '69.73.232.0', '69.73.236.255', 1162471424, 1162472703, 'BB', 'Barbados'),
(33921, '69.73.237.0', '69.73.239.255', 1162472704, 1162473471, 'VC', 'Saint Vincent and the Grenadines'),
(33922, '69.73.240.0', '69.73.245.255', 1162473472, 1162475007, 'GD', 'Grenada'),
(33923, '69.73.246.0', '69.73.255.255', 1162475008, 1162477567, 'BB', 'Barbados'),
(33924, '69.74.0.0', '69.77.159.255', 1162477568, 1162715135, 'US', 'United States'),
(33925, '69.77.160.0', '69.77.163.255', 1162715136, 1162716159, 'CA', 'Canada'),
(33926, '69.77.164.0', '69.77.164.15', 1162716160, 1162716175, 'US', 'United States'),
(33927, '69.77.164.16', '69.77.173.31', 1162716176, 1162718495, 'CA', 'Canada'),
(33928, '69.77.173.32', '69.77.173.47', 1162718496, 1162718511, 'US', 'United States'),
(33929, '69.77.173.48', '69.77.177.111', 1162718512, 1162719599, 'CA', 'Canada'),
(33930, '69.77.177.112', '69.77.177.127', 1162719600, 1162719615, 'US', 'United States'),
(33931, '69.77.177.128', '69.77.191.255', 1162719616, 1162723327, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(33932, '69.77.192.0', '69.78.255.255', 1162723328, 1162805247, 'US', 'United States'),
(33933, '69.79.0.0', '69.79.23.255', 1162805248, 1162811391, 'PR', 'Puerto Rico'),
(33934, '69.79.24.0', '69.79.24.255', 1162811392, 1162811647, 'AN', 'Netherlands Antilles'),
(33935, '69.79.25.0', '69.79.26.255', 1162811648, 1162812159, 'US', 'United States'),
(33936, '69.79.27.0', '69.79.27.255', 1162812160, 1162812415, 'DO', 'Dominican Republic'),
(33937, '69.79.28.0', '69.79.31.255', 1162812416, 1162813439, 'BS', 'Bahamas'),
(33938, '69.79.32.0', '69.79.47.255', 1162813440, 1162817535, 'AN', 'Netherlands Antilles'),
(33939, '69.79.48.0', '69.79.63.255', 1162817536, 1162821631, 'GT', 'Guatemala'),
(33940, '69.79.64.0', '69.79.71.255', 1162821632, 1162823679, 'PR', 'Puerto Rico'),
(33941, '69.79.72.0', '69.79.79.255', 1162823680, 1162825727, 'GT', 'Guatemala'),
(33942, '69.79.80.0', '69.79.87.255', 1162825728, 1162827775, 'US', 'United States'),
(33943, '69.79.88.0', '69.79.111.255', 1162827776, 1162833919, 'PR', 'Puerto Rico'),
(33944, '69.79.112.0', '69.79.119.255', 1162833920, 1162835967, 'GT', 'Guatemala'),
(33945, '69.79.120.0', '69.79.120.255', 1162835968, 1162836223, 'BS', 'Bahamas'),
(33946, '69.79.121.0', '69.79.122.255', 1162836224, 1162836735, 'AN', 'Netherlands Antilles'),
(33947, '69.79.123.0', '69.79.123.255', 1162836736, 1162836991, 'US', 'United States'),
(33948, '69.79.124.0', '69.79.127.255', 1162836992, 1162838015, 'BS', 'Bahamas'),
(33949, '69.79.128.0', '69.79.135.255', 1162838016, 1162840063, 'PR', 'Puerto Rico'),
(33950, '69.79.136.0', '69.79.187.255', 1162840064, 1162853375, 'US', 'United States'),
(33951, '69.79.188.0', '69.79.191.255', 1162853376, 1162854399, 'PR', 'Puerto Rico'),
(33952, '69.79.192.0', '69.79.207.255', 1162854400, 1162858495, 'JM', 'Jamaica'),
(33953, '69.79.208.0', '69.79.223.255', 1162858496, 1162862591, 'HN', 'Honduras'),
(33954, '69.79.224.0', '69.79.255.255', 1162862592, 1162870783, 'US', 'United States'),
(33955, '69.80.0.0', '69.80.1.255', 1162870784, 1162871295, 'BB', 'Barbados'),
(33956, '69.80.2.0', '69.80.35.255', 1162871296, 1162879999, 'LC', 'Saint Lucia'),
(33957, '69.80.36.0', '69.80.45.255', 1162880000, 1162882559, 'DM', 'Dominica'),
(33958, '69.80.46.0', '69.80.50.255', 1162882560, 1162883839, 'GD', 'Grenada'),
(33959, '69.80.51.0', '69.80.63.255', 1162883840, 1162887167, 'BB', 'Barbados'),
(33960, '69.80.64.0', '69.80.95.255', 1162887168, 1162895359, 'US', 'United States'),
(33961, '69.80.96.0', '69.80.111.255', 1162895360, 1162899455, 'A1', 'Anonymous Proxy'),
(33962, '69.80.112.0', '69.80.215.159', 1162899456, 1162925983, 'US', 'United States'),
(33963, '69.80.215.160', '69.80.215.191', 1162925984, 1162926015, 'AU', 'Australia'),
(33964, '69.80.215.192', '69.80.215.247', 1162926016, 1162926071, 'US', 'United States'),
(33965, '69.80.215.248', '69.80.215.255', 1162926072, 1162926079, 'AU', 'Australia'),
(33966, '69.80.216.0', '69.87.255.255', 1162926080, 1163395071, 'US', 'United States'),
(33967, '69.88.0.0', '69.88.2.239', 1163395072, 1163395823, 'A2', 'Satellite Provider'),
(33968, '69.88.2.240', '69.88.2.243', 1163395824, 1163395827, 'NP', 'Nepal'),
(33969, '69.88.2.244', '69.88.2.247', 1163395828, 1163395831, 'AF', 'Afghanistan'),
(33970, '69.88.2.248', '69.88.2.255', 1163395832, 1163395839, 'A2', 'Satellite Provider'),
(33971, '69.88.3.0', '69.88.3.7', 1163395840, 1163395847, 'BD', 'Bangladesh'),
(33972, '69.88.3.8', '69.88.3.15', 1163395848, 1163395855, 'ID', 'Indonesia'),
(33973, '69.88.3.16', '69.88.3.23', 1163395856, 1163395863, 'BD', 'Bangladesh'),
(33974, '69.88.3.24', '69.88.3.31', 1163395864, 1163395871, 'ID', 'Indonesia'),
(33975, '69.88.3.32', '69.88.3.39', 1163395872, 1163395879, 'PK', 'Pakistan'),
(33976, '69.88.3.40', '69.88.3.71', 1163395880, 1163395911, 'ID', 'Indonesia'),
(33977, '69.88.3.72', '69.88.3.79', 1163395912, 1163395919, 'BD', 'Bangladesh'),
(33978, '69.88.3.80', '69.88.3.87', 1163395920, 1163395927, 'ID', 'Indonesia'),
(33979, '69.88.3.88', '69.88.3.103', 1163395928, 1163395943, 'BD', 'Bangladesh'),
(33980, '69.88.3.104', '69.88.3.111', 1163395944, 1163395951, 'A2', 'Satellite Provider'),
(33981, '69.88.3.112', '69.88.3.119', 1163395952, 1163395959, 'PK', 'Pakistan'),
(33982, '69.88.3.120', '69.88.3.183', 1163395960, 1163396023, 'ID', 'Indonesia'),
(33983, '69.88.3.184', '69.88.3.191', 1163396024, 1163396031, 'PK', 'Pakistan'),
(33984, '69.88.3.192', '69.88.3.239', 1163396032, 1163396079, 'ID', 'Indonesia'),
(33985, '69.88.3.240', '69.88.3.247', 1163396080, 1163396087, 'BD', 'Bangladesh'),
(33986, '69.88.3.248', '69.88.4.47', 1163396088, 1163396143, 'ID', 'Indonesia'),
(33987, '69.88.4.48', '69.88.4.55', 1163396144, 1163396151, 'BD', 'Bangladesh'),
(33988, '69.88.4.56', '69.88.4.95', 1163396152, 1163396191, 'ID', 'Indonesia'),
(33989, '69.88.4.96', '69.88.4.103', 1163396192, 1163396199, 'A2', 'Satellite Provider'),
(33990, '69.88.4.104', '69.88.4.111', 1163396200, 1163396207, 'ID', 'Indonesia'),
(33991, '69.88.4.112', '69.88.4.119', 1163396208, 1163396215, 'A2', 'Satellite Provider'),
(33992, '69.88.4.120', '69.88.4.135', 1163396216, 1163396231, 'ID', 'Indonesia'),
(33993, '69.88.4.136', '69.88.4.143', 1163396232, 1163396239, 'A2', 'Satellite Provider'),
(33994, '69.88.4.144', '69.88.4.151', 1163396240, 1163396247, 'ID', 'Indonesia'),
(33995, '69.88.4.152', '69.88.4.159', 1163396248, 1163396255, 'BD', 'Bangladesh'),
(33996, '69.88.4.160', '69.88.4.191', 1163396256, 1163396287, 'ID', 'Indonesia'),
(33997, '69.88.4.192', '69.88.4.199', 1163396288, 1163396295, 'A2', 'Satellite Provider'),
(33998, '69.88.4.200', '69.88.4.207', 1163396296, 1163396303, 'BD', 'Bangladesh'),
(33999, '69.88.4.208', '69.88.4.223', 1163396304, 1163396319, 'A2', 'Satellite Provider'),
(34000, '69.88.4.224', '69.88.4.231', 1163396320, 1163396327, 'BD', 'Bangladesh'),
(34001, '69.88.4.232', '69.88.4.247', 1163396328, 1163396343, 'ID', 'Indonesia'),
(34002, '69.88.4.248', '69.88.4.255', 1163396344, 1163396351, 'A2', 'Satellite Provider'),
(34003, '69.88.5.0', '69.88.5.31', 1163396352, 1163396383, 'ID', 'Indonesia'),
(34004, '69.88.5.32', '69.88.5.47', 1163396384, 1163396399, 'A2', 'Satellite Provider'),
(34005, '69.88.5.48', '69.88.5.79', 1163396400, 1163396431, 'BD', 'Bangladesh'),
(34006, '69.88.5.80', '69.88.5.167', 1163396432, 1163396519, 'A2', 'Satellite Provider'),
(34007, '69.88.5.168', '69.88.5.175', 1163396520, 1163396527, 'ID', 'Indonesia'),
(34008, '69.88.5.176', '69.88.5.207', 1163396528, 1163396559, 'A2', 'Satellite Provider'),
(34009, '69.88.5.208', '69.88.5.223', 1163396560, 1163396575, 'ID', 'Indonesia'),
(34010, '69.88.5.224', '69.88.6.15', 1163396576, 1163396623, 'A2', 'Satellite Provider'),
(34011, '69.88.6.16', '69.88.6.31', 1163396624, 1163396639, 'ID', 'Indonesia'),
(34012, '69.88.6.32', '69.88.6.47', 1163396640, 1163396655, 'A2', 'Satellite Provider'),
(34013, '69.88.6.48', '69.88.6.63', 1163396656, 1163396671, 'BD', 'Bangladesh'),
(34014, '69.88.6.64', '69.88.6.79', 1163396672, 1163396687, 'A2', 'Satellite Provider'),
(34015, '69.88.6.80', '69.88.6.111', 1163396688, 1163396719, 'BD', 'Bangladesh'),
(34016, '69.88.6.112', '69.88.6.223', 1163396720, 1163396831, 'A2', 'Satellite Provider'),
(34017, '69.88.6.224', '69.88.7.31', 1163396832, 1163396895, 'BD', 'Bangladesh'),
(34018, '69.88.7.32', '69.88.7.63', 1163396896, 1163396927, 'ID', 'Indonesia'),
(34019, '69.88.7.64', '69.88.7.127', 1163396928, 1163396991, 'A2', 'Satellite Provider'),
(34020, '69.88.7.128', '69.88.7.159', 1163396992, 1163397023, 'BD', 'Bangladesh'),
(34021, '69.88.7.160', '69.88.7.191', 1163397024, 1163397055, 'A2', 'Satellite Provider'),
(34022, '69.88.7.192', '69.88.7.223', 1163397056, 1163397087, 'BD', 'Bangladesh'),
(34023, '69.88.7.224', '69.88.7.255', 1163397088, 1163397119, 'A2', 'Satellite Provider'),
(34024, '69.88.8.0', '69.88.8.127', 1163397120, 1163397247, 'NP', 'Nepal'),
(34025, '69.88.8.128', '69.88.8.255', 1163397248, 1163397375, 'BD', 'Bangladesh'),
(34026, '69.88.9.0', '69.88.9.95', 1163397376, 1163397471, 'A2', 'Satellite Provider'),
(34027, '69.88.9.96', '69.88.9.103', 1163397472, 1163397479, 'US', 'United States'),
(34028, '69.88.9.104', '69.88.9.159', 1163397480, 1163397535, 'A2', 'Satellite Provider'),
(34029, '69.88.9.160', '69.88.9.167', 1163397536, 1163397543, 'US', 'United States'),
(34030, '69.88.9.168', '69.88.9.199', 1163397544, 1163397575, 'A2', 'Satellite Provider'),
(34031, '69.88.9.200', '69.88.9.207', 1163397576, 1163397583, 'BD', 'Bangladesh'),
(34032, '69.88.9.208', '69.88.10.31', 1163397584, 1163397663, 'A2', 'Satellite Provider'),
(34033, '69.88.10.32', '69.88.10.63', 1163397664, 1163397695, 'BD', 'Bangladesh'),
(34034, '69.88.10.64', '69.88.10.159', 1163397696, 1163397791, 'A2', 'Satellite Provider'),
(34035, '69.88.10.160', '69.88.10.175', 1163397792, 1163397807, 'AF', 'Afghanistan'),
(34036, '69.88.10.176', '69.88.10.223', 1163397808, 1163397855, 'A2', 'Satellite Provider'),
(34037, '69.88.10.224', '69.88.10.255', 1163397856, 1163397887, 'US', 'United States'),
(34038, '69.88.11.0', '69.88.11.255', 1163397888, 1163398143, 'NP', 'Nepal'),
(34039, '69.88.12.0', '69.88.12.95', 1163398144, 1163398239, 'A2', 'Satellite Provider'),
(34040, '69.88.12.96', '69.88.12.159', 1163398240, 1163398303, 'BD', 'Bangladesh'),
(34041, '69.88.12.160', '69.88.12.223', 1163398304, 1163398367, 'A2', 'Satellite Provider'),
(34042, '69.88.12.224', '69.88.12.255', 1163398368, 1163398399, 'BD', 'Bangladesh'),
(34043, '69.88.13.0', '69.88.13.255', 1163398400, 1163398655, 'US', 'United States'),
(34044, '69.88.14.0', '69.88.15.127', 1163398656, 1163399039, 'BD', 'Bangladesh'),
(34045, '69.88.15.128', '69.88.15.191', 1163399040, 1163399103, 'A2', 'Satellite Provider'),
(34046, '69.88.15.192', '69.88.16.127', 1163399104, 1163399295, 'BD', 'Bangladesh'),
(34047, '69.88.16.128', '69.88.17.255', 1163399296, 1163399679, 'A2', 'Satellite Provider'),
(34048, '69.88.18.0', '69.88.18.127', 1163399680, 1163399807, 'US', 'United States'),
(34049, '69.88.18.128', '69.88.18.255', 1163399808, 1163399935, 'A2', 'Satellite Provider'),
(34050, '69.88.19.0', '69.88.19.127', 1163399936, 1163400063, 'US', 'United States'),
(34051, '69.88.19.128', '69.88.20.255', 1163400064, 1163400447, 'A2', 'Satellite Provider'),
(34052, '69.88.21.0', '69.88.21.255', 1163400448, 1163400703, 'BD', 'Bangladesh'),
(34053, '69.88.22.0', '69.88.22.15', 1163400704, 1163400719, 'PK', 'Pakistan'),
(34054, '69.88.22.16', '69.88.22.23', 1163400720, 1163400727, 'ID', 'Indonesia'),
(34055, '69.88.22.24', '69.88.22.31', 1163400728, 1163400735, 'A2', 'Satellite Provider'),
(34056, '69.88.22.32', '69.88.22.39', 1163400736, 1163400743, 'PK', 'Pakistan'),
(34057, '69.88.22.40', '69.88.22.47', 1163400744, 1163400751, 'A2', 'Satellite Provider'),
(34058, '69.88.22.48', '69.88.22.55', 1163400752, 1163400759, 'PK', 'Pakistan'),
(34059, '69.88.22.56', '69.88.22.135', 1163400760, 1163400839, 'A2', 'Satellite Provider'),
(34060, '69.88.22.136', '69.88.22.143', 1163400840, 1163400847, 'ID', 'Indonesia'),
(34061, '69.88.22.144', '69.88.22.183', 1163400848, 1163400887, 'A2', 'Satellite Provider'),
(34062, '69.88.22.184', '69.88.22.223', 1163400888, 1163400927, 'ID', 'Indonesia'),
(34063, '69.88.22.224', '69.88.22.255', 1163400928, 1163400959, 'A2', 'Satellite Provider'),
(34064, '69.88.23.0', '69.88.23.255', 1163400960, 1163401215, 'BD', 'Bangladesh'),
(34065, '69.88.24.0', '69.88.24.23', 1163401216, 1163401239, 'ID', 'Indonesia'),
(34066, '69.88.24.24', '69.88.24.39', 1163401240, 1163401255, 'A2', 'Satellite Provider'),
(34067, '69.88.24.40', '69.88.24.47', 1163401256, 1163401263, 'ID', 'Indonesia'),
(34068, '69.88.24.48', '69.88.24.103', 1163401264, 1163401319, 'A2', 'Satellite Provider'),
(34069, '69.88.24.104', '69.88.24.111', 1163401320, 1163401327, 'PK', 'Pakistan'),
(34070, '69.88.24.112', '69.88.24.135', 1163401328, 1163401351, 'A2', 'Satellite Provider'),
(34071, '69.88.24.136', '69.88.24.143', 1163401352, 1163401359, 'PK', 'Pakistan'),
(34072, '69.88.24.144', '69.88.24.215', 1163401360, 1163401431, 'A2', 'Satellite Provider'),
(34073, '69.88.24.216', '69.88.24.223', 1163401432, 1163401439, 'PK', 'Pakistan'),
(34074, '69.88.24.224', '69.88.24.255', 1163401440, 1163401471, 'A2', 'Satellite Provider'),
(34075, '69.88.25.0', '69.88.25.255', 1163401472, 1163401727, 'ID', 'Indonesia'),
(34076, '69.88.26.0', '69.88.26.63', 1163401728, 1163401791, 'BD', 'Bangladesh'),
(34077, '69.88.26.64', '69.88.26.255', 1163401792, 1163401983, 'A2', 'Satellite Provider'),
(34078, '69.88.27.0', '69.88.28.127', 1163401984, 1163402367, 'BD', 'Bangladesh'),
(34079, '69.88.28.128', '69.88.28.255', 1163402368, 1163402495, 'A2', 'Satellite Provider'),
(34080, '69.88.29.0', '69.88.30.127', 1163402496, 1163402879, 'BD', 'Bangladesh'),
(34081, '69.88.30.128', '69.88.30.255', 1163402880, 1163403007, 'A2', 'Satellite Provider'),
(34082, '69.88.31.0', '69.88.31.63', 1163403008, 1163403071, 'BD', 'Bangladesh'),
(34083, '69.88.31.64', '69.88.31.127', 1163403072, 1163403135, 'US', 'United States'),
(34084, '69.88.31.128', '69.88.31.255', 1163403136, 1163403263, 'A2', 'Satellite Provider'),
(34085, '69.88.32.0', '69.88.47.255', 1163403264, 1163407359, 'US', 'United States'),
(34086, '69.88.48.0', '69.88.63.255', 1163407360, 1163411455, 'CA', 'Canada'),
(34087, '69.88.64.0', '69.89.31.255', 1163411456, 1163468799, 'US', 'United States'),
(34088, '69.89.32.0', '69.89.32.255', 1163468800, 1163469055, 'PR', 'Puerto Rico'),
(34089, '69.89.33.0', '69.89.33.255', 1163469056, 1163469311, 'US', 'United States'),
(34090, '69.89.34.0', '69.89.47.255', 1163469312, 1163472895, 'PR', 'Puerto Rico'),
(34091, '69.89.48.0', '69.89.66.191', 1163472896, 1163477695, 'US', 'United States'),
(34092, '69.89.66.192', '69.89.66.223', 1163477696, 1163477727, 'JP', 'Japan'),
(34093, '69.89.66.224', '69.89.68.31', 1163477728, 1163478047, 'US', 'United States'),
(34094, '69.89.68.32', '69.89.68.47', 1163478048, 1163478063, 'JP', 'Japan'),
(34095, '69.89.68.48', '69.89.255.255', 1163478064, 1163526143, 'US', 'United States'),
(34096, '69.90.0.0', '69.90.1.71', 1163526144, 1163526471, 'CA', 'Canada'),
(34097, '69.90.1.72', '69.90.1.159', 1163526472, 1163526559, 'US', 'United States'),
(34098, '69.90.1.160', '69.90.1.175', 1163526560, 1163526575, 'CA', 'Canada'),
(34099, '69.90.1.176', '69.90.1.255', 1163526576, 1163526655, 'US', 'United States'),
(34100, '69.90.2.0', '69.90.3.111', 1163526656, 1163527023, 'CA', 'Canada'),
(34101, '69.90.3.112', '69.90.3.127', 1163527024, 1163527039, 'BV', 'Bouvet Island'),
(34102, '69.90.3.128', '69.90.3.147', 1163527040, 1163527059, 'CA', 'Canada'),
(34103, '69.90.3.148', '69.90.3.159', 1163527060, 1163527071, 'US', 'United States'),
(34104, '69.90.3.160', '69.90.3.191', 1163527072, 1163527103, 'CA', 'Canada'),
(34105, '69.90.3.192', '69.90.3.223', 1163527104, 1163527135, 'US', 'United States'),
(34106, '69.90.3.224', '69.90.6.223', 1163527136, 1163527903, 'CA', 'Canada'),
(34107, '69.90.6.224', '69.90.6.255', 1163527904, 1163527935, 'US', 'United States'),
(34108, '69.90.7.0', '69.90.11.255', 1163527936, 1163529215, 'CA', 'Canada'),
(34109, '69.90.12.0', '69.90.15.255', 1163529216, 1163530239, 'US', 'United States'),
(34110, '69.90.16.0', '69.90.16.175', 1163530240, 1163530415, 'CA', 'Canada'),
(34111, '69.90.16.176', '69.90.16.191', 1163530416, 1163530431, 'US', 'United States'),
(34112, '69.90.16.192', '69.90.17.103', 1163530432, 1163530599, 'CA', 'Canada'),
(34113, '69.90.17.104', '69.90.17.127', 1163530600, 1163530623, 'US', 'United States'),
(34114, '69.90.17.128', '69.90.17.143', 1163530624, 1163530639, 'CA', 'Canada'),
(34115, '69.90.17.144', '69.90.17.159', 1163530640, 1163530655, 'US', 'United States'),
(34116, '69.90.17.160', '69.90.18.87', 1163530656, 1163530839, 'CA', 'Canada'),
(34117, '69.90.18.88', '69.90.18.95', 1163530840, 1163530847, 'RS', 'Serbia'),
(34118, '69.90.18.96', '69.90.18.135', 1163530848, 1163530887, 'CA', 'Canada'),
(34119, '69.90.18.136', '69.90.18.143', 1163530888, 1163530895, 'US', 'United States'),
(34120, '69.90.18.144', '69.90.18.151', 1163530896, 1163530903, 'CA', 'Canada'),
(34121, '69.90.18.152', '69.90.18.183', 1163530904, 1163530935, 'US', 'United States'),
(34122, '69.90.18.184', '69.90.18.207', 1163530936, 1163530959, 'CA', 'Canada'),
(34123, '69.90.18.208', '69.90.18.215', 1163530960, 1163530967, 'US', 'United States'),
(34124, '69.90.18.216', '69.90.26.223', 1163530968, 1163533023, 'CA', 'Canada'),
(34125, '69.90.26.224', '69.90.26.255', 1163533024, 1163533055, 'US', 'United States'),
(34126, '69.90.27.0', '69.90.28.127', 1163533056, 1163533439, 'CA', 'Canada'),
(34127, '69.90.28.128', '69.90.28.191', 1163533440, 1163533503, 'US', 'United States'),
(34128, '69.90.28.192', '69.90.28.239', 1163533504, 1163533551, 'CA', 'Canada'),
(34129, '69.90.28.240', '69.90.28.255', 1163533552, 1163533567, 'PA', 'Panama'),
(34130, '69.90.29.0', '69.90.29.127', 1163533568, 1163533695, 'CA', 'Canada'),
(34131, '69.90.29.128', '69.90.29.159', 1163533696, 1163533727, 'US', 'United States'),
(34132, '69.90.29.160', '69.90.29.191', 1163533728, 1163533759, 'CA', 'Canada'),
(34133, '69.90.29.192', '69.90.29.223', 1163533760, 1163533791, 'AU', 'Australia'),
(34134, '69.90.29.224', '69.90.29.239', 1163533792, 1163533807, 'US', 'United States'),
(34135, '69.90.29.240', '69.90.30.127', 1163533808, 1163533951, 'CA', 'Canada'),
(34136, '69.90.30.128', '69.90.30.191', 1163533952, 1163534015, 'US', 'United States'),
(34137, '69.90.30.192', '69.90.30.207', 1163534016, 1163534031, 'CA', 'Canada'),
(34138, '69.90.30.208', '69.90.30.223', 1163534032, 1163534047, 'US', 'United States'),
(34139, '69.90.30.224', '69.90.30.239', 1163534048, 1163534063, 'CA', 'Canada'),
(34140, '69.90.30.240', '69.90.30.247', 1163534064, 1163534071, 'US', 'United States'),
(34141, '69.90.30.248', '69.90.30.255', 1163534072, 1163534079, 'MX', 'Mexico'),
(34142, '69.90.31.0', '69.90.31.63', 1163534080, 1163534143, 'US', 'United States'),
(34143, '69.90.31.64', '69.90.31.95', 1163534144, 1163534175, 'CA', 'Canada'),
(34144, '69.90.31.96', '69.90.31.175', 1163534176, 1163534255, 'US', 'United States'),
(34145, '69.90.31.176', '69.90.31.231', 1163534256, 1163534311, 'CA', 'Canada'),
(34146, '69.90.31.232', '69.90.31.239', 1163534312, 1163534319, 'US', 'United States'),
(34147, '69.90.31.240', '69.90.31.247', 1163534320, 1163534327, 'CA', 'Canada'),
(34148, '69.90.31.248', '69.90.35.255', 1163534328, 1163535359, 'US', 'United States'),
(34149, '69.90.36.0', '69.90.36.255', 1163535360, 1163535615, 'CA', 'Canada'),
(34150, '69.90.37.0', '69.90.37.127', 1163535616, 1163535743, 'US', 'United States'),
(34151, '69.90.37.128', '69.90.37.223', 1163535744, 1163535839, 'CA', 'Canada'),
(34152, '69.90.37.224', '69.90.37.255', 1163535840, 1163535871, 'US', 'United States'),
(34153, '69.90.38.0', '69.90.39.255', 1163535872, 1163536383, 'CA', 'Canada'),
(34154, '69.90.40.0', '69.90.42.175', 1163536384, 1163537071, 'US', 'United States'),
(34155, '69.90.42.176', '69.90.42.183', 1163537072, 1163537079, 'CA', 'Canada'),
(34156, '69.90.42.184', '69.90.44.255', 1163537080, 1163537663, 'US', 'United States'),
(34157, '69.90.45.0', '69.90.55.255', 1163537664, 1163540479, 'CA', 'Canada'),
(34158, '69.90.56.0', '69.90.56.31', 1163540480, 1163540511, 'US', 'United States'),
(34159, '69.90.56.32', '69.90.56.127', 1163540512, 1163540607, 'CA', 'Canada'),
(34160, '69.90.56.128', '69.90.56.255', 1163540608, 1163540735, 'US', 'United States'),
(34161, '69.90.57.0', '69.90.59.255', 1163540736, 1163541503, 'CA', 'Canada'),
(34162, '69.90.60.0', '69.90.61.255', 1163541504, 1163542015, 'US', 'United States'),
(34163, '69.90.62.0', '69.90.65.63', 1163542016, 1163542847, 'CA', 'Canada'),
(34164, '69.90.65.64', '69.90.65.71', 1163542848, 1163542855, 'US', 'United States'),
(34165, '69.90.65.72', '69.90.65.135', 1163542856, 1163542919, 'CA', 'Canada'),
(34166, '69.90.65.136', '69.90.65.143', 1163542920, 1163542927, 'US', 'United States'),
(34167, '69.90.65.144', '69.90.68.135', 1163542928, 1163543687, 'CA', 'Canada'),
(34168, '69.90.68.136', '69.90.68.143', 1163543688, 1163543695, 'FI', 'Finland'),
(34169, '69.90.68.144', '69.90.69.15', 1163543696, 1163543823, 'CA', 'Canada'),
(34170, '69.90.69.16', '69.90.69.39', 1163543824, 1163543847, 'US', 'United States'),
(34171, '69.90.69.40', '69.90.69.175', 1163543848, 1163543983, 'CA', 'Canada'),
(34172, '69.90.69.176', '69.90.69.183', 1163543984, 1163543991, 'US', 'United States'),
(34173, '69.90.69.184', '69.90.70.255', 1163543992, 1163544319, 'CA', 'Canada'),
(34174, '69.90.71.0', '69.90.71.7', 1163544320, 1163544327, 'US', 'United States'),
(34175, '69.90.71.8', '69.90.71.15', 1163544328, 1163544335, 'GB', 'United Kingdom'),
(34176, '69.90.71.16', '69.90.71.63', 1163544336, 1163544383, 'CA', 'Canada'),
(34177, '69.90.71.64', '69.90.71.103', 1163544384, 1163544423, 'US', 'United States'),
(34178, '69.90.71.104', '69.90.71.255', 1163544424, 1163544575, 'CA', 'Canada'),
(34179, '69.90.72.0', '69.90.72.31', 1163544576, 1163544607, 'US', 'United States'),
(34180, '69.90.72.32', '69.90.72.175', 1163544608, 1163544751, 'CA', 'Canada'),
(34181, '69.90.72.176', '69.90.72.183', 1163544752, 1163544759, 'SG', 'Singapore'),
(34182, '69.90.72.184', '69.90.72.191', 1163544760, 1163544767, 'CA', 'Canada'),
(34183, '69.90.72.192', '69.90.72.223', 1163544768, 1163544799, 'US', 'United States'),
(34184, '69.90.72.224', '69.90.73.255', 1163544800, 1163545087, 'CA', 'Canada'),
(34185, '69.90.74.0', '69.90.74.127', 1163545088, 1163545215, 'US', 'United States'),
(34186, '69.90.74.128', '69.90.74.207', 1163545216, 1163545295, 'CA', 'Canada'),
(34187, '69.90.74.208', '69.90.74.215', 1163545296, 1163545303, 'US', 'United States'),
(34188, '69.90.74.216', '69.90.74.223', 1163545304, 1163545311, 'CA', 'Canada'),
(34189, '69.90.74.224', '69.90.74.255', 1163545312, 1163545343, 'BV', 'Bouvet Island'),
(34190, '69.90.75.0', '69.90.75.7', 1163545344, 1163545351, 'US', 'United States'),
(34191, '69.90.75.8', '69.90.75.15', 1163545352, 1163545359, 'CA', 'Canada'),
(34192, '69.90.75.16', '69.90.75.63', 1163545360, 1163545407, 'US', 'United States'),
(34193, '69.90.75.64', '69.90.75.127', 1163545408, 1163545471, 'CA', 'Canada'),
(34194, '69.90.75.128', '69.90.75.255', 1163545472, 1163545599, 'US', 'United States'),
(34195, '69.90.76.0', '69.90.76.31', 1163545600, 1163545631, 'CA', 'Canada'),
(34196, '69.90.76.32', '69.90.76.63', 1163545632, 1163545663, 'GB', 'United Kingdom'),
(34197, '69.90.76.64', '69.90.76.95', 1163545664, 1163545695, 'CA', 'Canada'),
(34198, '69.90.76.96', '69.90.76.127', 1163545696, 1163545727, 'US', 'United States'),
(34199, '69.90.76.128', '69.90.77.47', 1163545728, 1163545903, 'CA', 'Canada'),
(34200, '69.90.77.48', '69.90.77.55', 1163545904, 1163545911, 'US', 'United States'),
(34201, '69.90.77.56', '69.90.77.127', 1163545912, 1163545983, 'CA', 'Canada'),
(34202, '69.90.77.128', '69.90.77.159', 1163545984, 1163546015, 'US', 'United States'),
(34203, '69.90.77.160', '69.90.77.183', 1163546016, 1163546039, 'CA', 'Canada'),
(34204, '69.90.77.184', '69.90.77.191', 1163546040, 1163546047, 'NZ', 'New Zealand'),
(34205, '69.90.77.192', '69.90.78.7', 1163546048, 1163546119, 'CA', 'Canada'),
(34206, '69.90.78.8', '69.90.78.15', 1163546120, 1163546127, 'US', 'United States'),
(34207, '69.90.78.16', '69.90.78.23', 1163546128, 1163546135, 'CA', 'Canada'),
(34208, '69.90.78.24', '69.90.78.31', 1163546136, 1163546143, 'US', 'United States'),
(34209, '69.90.78.32', '69.90.78.87', 1163546144, 1163546199, 'CA', 'Canada'),
(34210, '69.90.78.88', '69.90.78.95', 1163546200, 1163546207, 'US', 'United States'),
(34211, '69.90.78.96', '69.90.79.31', 1163546208, 1163546399, 'CA', 'Canada'),
(34212, '69.90.79.32', '69.90.79.55', 1163546400, 1163546423, 'US', 'United States'),
(34213, '69.90.79.56', '69.90.79.79', 1163546424, 1163546447, 'CA', 'Canada'),
(34214, '69.90.79.80', '69.90.79.87', 1163546448, 1163546455, 'US', 'United States'),
(34215, '69.90.79.88', '69.90.79.159', 1163546456, 1163546527, 'CA', 'Canada'),
(34216, '69.90.79.160', '69.90.79.167', 1163546528, 1163546535, 'US', 'United States'),
(34217, '69.90.79.168', '69.90.79.183', 1163546536, 1163546551, 'CA', 'Canada'),
(34218, '69.90.79.184', '69.90.79.191', 1163546552, 1163546559, 'US', 'United States'),
(34219, '69.90.79.192', '69.90.83.63', 1163546560, 1163547455, 'CA', 'Canada'),
(34220, '69.90.83.64', '69.90.83.71', 1163547456, 1163547463, 'US', 'United States'),
(34221, '69.90.83.72', '69.90.83.95', 1163547464, 1163547487, 'CA', 'Canada'),
(34222, '69.90.83.96', '69.90.83.127', 1163547488, 1163547519, 'US', 'United States'),
(34223, '69.90.83.128', '69.90.83.143', 1163547520, 1163547535, 'CA', 'Canada'),
(34224, '69.90.83.144', '69.90.83.147', 1163547536, 1163547539, 'US', 'United States'),
(34225, '69.90.83.148', '69.90.83.175', 1163547540, 1163547567, 'CA', 'Canada'),
(34226, '69.90.83.176', '69.90.83.191', 1163547568, 1163547583, 'VG', 'Virgin Islands, British'),
(34227, '69.90.83.192', '69.90.85.47', 1163547584, 1163547951, 'CA', 'Canada'),
(34228, '69.90.85.48', '69.90.85.79', 1163547952, 1163547983, 'US', 'United States'),
(34229, '69.90.85.80', '69.90.94.31', 1163547984, 1163550239, 'CA', 'Canada'),
(34230, '69.90.94.32', '69.90.94.47', 1163550240, 1163550255, 'US', 'United States'),
(34231, '69.90.94.48', '69.90.94.127', 1163550256, 1163550335, 'CA', 'Canada'),
(34232, '69.90.94.128', '69.90.94.143', 1163550336, 1163550351, 'US', 'United States'),
(34233, '69.90.94.144', '69.90.94.159', 1163550352, 1163550367, 'CA', 'Canada'),
(34234, '69.90.94.160', '69.90.94.167', 1163550368, 1163550375, 'US', 'United States'),
(34235, '69.90.94.168', '69.90.94.175', 1163550376, 1163550383, 'CA', 'Canada'),
(34236, '69.90.94.176', '69.90.94.191', 1163550384, 1163550399, 'US', 'United States'),
(34237, '69.90.94.192', '69.90.96.63', 1163550400, 1163550783, 'CA', 'Canada'),
(34238, '69.90.96.64', '69.90.96.95', 1163550784, 1163550815, 'US', 'United States'),
(34239, '69.90.96.96', '69.90.97.95', 1163550816, 1163551071, 'CA', 'Canada'),
(34240, '69.90.97.96', '69.90.97.111', 1163551072, 1163551087, 'US', 'United States'),
(34241, '69.90.97.112', '69.90.98.191', 1163551088, 1163551423, 'CA', 'Canada'),
(34242, '69.90.98.192', '69.90.98.207', 1163551424, 1163551439, 'US', 'United States'),
(34243, '69.90.98.208', '69.90.99.135', 1163551440, 1163551623, 'CA', 'Canada'),
(34244, '69.90.99.136', '69.90.99.143', 1163551624, 1163551631, 'CN', 'China'),
(34245, '69.90.99.144', '69.90.99.175', 1163551632, 1163551663, 'CA', 'Canada'),
(34246, '69.90.99.176', '69.90.99.191', 1163551664, 1163551679, 'US', 'United States'),
(34247, '69.90.99.192', '69.90.99.239', 1163551680, 1163551727, 'CA', 'Canada'),
(34248, '69.90.99.240', '69.90.99.255', 1163551728, 1163551743, 'US', 'United States'),
(34249, '69.90.100.0', '69.90.102.127', 1163551744, 1163552383, 'CA', 'Canada'),
(34250, '69.90.102.128', '69.90.103.7', 1163552384, 1163552519, 'US', 'United States'),
(34251, '69.90.103.8', '69.90.103.15', 1163552520, 1163552527, 'CA', 'Canada'),
(34252, '69.90.103.16', '69.90.103.23', 1163552528, 1163552535, 'US', 'United States'),
(34253, '69.90.103.24', '69.90.103.63', 1163552536, 1163552575, 'CA', 'Canada'),
(34254, '69.90.103.64', '69.90.103.95', 1163552576, 1163552607, 'PA', 'Panama'),
(34255, '69.90.103.96', '69.90.103.167', 1163552608, 1163552679, 'CA', 'Canada'),
(34256, '69.90.103.168', '69.90.103.175', 1163552680, 1163552687, 'US', 'United States'),
(34257, '69.90.103.176', '69.90.103.183', 1163552688, 1163552695, 'CA', 'Canada'),
(34258, '69.90.103.184', '69.90.103.191', 1163552696, 1163552703, 'US', 'United States'),
(34259, '69.90.103.192', '69.90.108.63', 1163552704, 1163553855, 'CA', 'Canada'),
(34260, '69.90.108.64', '69.90.108.79', 1163553856, 1163553871, 'US', 'United States'),
(34261, '69.90.108.80', '69.90.108.127', 1163553872, 1163553919, 'CA', 'Canada'),
(34262, '69.90.108.128', '69.90.108.143', 1163553920, 1163553935, 'BV', 'Bouvet Island'),
(34263, '69.90.108.144', '69.90.108.159', 1163553936, 1163553951, 'US', 'United States'),
(34264, '69.90.108.160', '69.90.110.255', 1163553952, 1163554559, 'CA', 'Canada'),
(34265, '69.90.111.0', '69.90.111.31', 1163554560, 1163554591, 'US', 'United States'),
(34266, '69.90.111.32', '69.90.111.79', 1163554592, 1163554639, 'CA', 'Canada'),
(34267, '69.90.111.80', '69.90.111.87', 1163554640, 1163554647, 'US', 'United States'),
(34268, '69.90.111.88', '69.90.111.95', 1163554648, 1163554655, 'MX', 'Mexico'),
(34269, '69.90.111.96', '69.90.111.143', 1163554656, 1163554703, 'CA', 'Canada'),
(34270, '69.90.111.144', '69.90.111.191', 1163554704, 1163554751, 'US', 'United States'),
(34271, '69.90.111.192', '69.90.115.255', 1163554752, 1163555839, 'CA', 'Canada'),
(34272, '69.90.116.0', '69.90.116.255', 1163555840, 1163556095, 'US', 'United States'),
(34273, '69.90.117.0', '69.90.118.255', 1163556096, 1163556607, 'CA', 'Canada'),
(34274, '69.90.119.0', '69.90.123.95', 1163556608, 1163557727, 'US', 'United States'),
(34275, '69.90.123.96', '69.90.123.127', 1163557728, 1163557759, 'CA', 'Canada'),
(34276, '69.90.123.128', '69.90.124.127', 1163557760, 1163558015, 'US', 'United States'),
(34277, '69.90.124.128', '69.90.124.140', 1163558016, 1163558028, 'KW', 'Kuwait'),
(34278, '69.90.124.141', '69.90.132.255', 1163558029, 1163560191, 'US', 'United States'),
(34279, '69.90.133.0', '69.90.133.255', 1163560192, 1163560447, 'CA', 'Canada'),
(34280, '69.90.134.0', '69.90.135.255', 1163560448, 1163560959, 'US', 'United States'),
(34281, '69.90.136.0', '69.90.140.79', 1163560960, 1163562063, 'CA', 'Canada'),
(34282, '69.90.140.80', '69.90.140.95', 1163562064, 1163562079, 'US', 'United States'),
(34283, '69.90.140.96', '69.90.140.215', 1163562080, 1163562199, 'CA', 'Canada'),
(34284, '69.90.140.216', '69.90.140.223', 1163562200, 1163562207, 'US', 'United States'),
(34285, '69.90.140.224', '69.90.140.247', 1163562208, 1163562231, 'CA', 'Canada'),
(34286, '69.90.140.248', '69.90.140.255', 1163562232, 1163562239, 'US', 'United States'),
(34287, '69.90.141.0', '69.90.143.255', 1163562240, 1163563007, 'CA', 'Canada'),
(34288, '69.90.144.0', '69.90.147.255', 1163563008, 1163564031, 'US', 'United States'),
(34289, '69.90.148.0', '69.90.151.255', 1163564032, 1163565055, 'CA', 'Canada'),
(34290, '69.90.152.0', '69.90.155.223', 1163565056, 1163566047, 'US', 'United States'),
(34291, '69.90.155.224', '69.90.155.255', 1163566048, 1163566079, 'CA', 'Canada'),
(34292, '69.90.156.0', '69.90.159.255', 1163566080, 1163567103, 'US', 'United States'),
(34293, '69.90.160.0', '69.90.163.255', 1163567104, 1163568127, 'CA', 'Canada'),
(34294, '69.90.164.0', '69.90.172.255', 1163568128, 1163570431, 'US', 'United States'),
(34295, '69.90.173.0', '69.90.173.63', 1163570432, 1163570495, 'CA', 'Canada'),
(34296, '69.90.173.64', '69.90.175.255', 1163570496, 1163571199, 'US', 'United States'),
(34297, '69.90.176.0', '69.90.179.15', 1163571200, 1163571983, 'CA', 'Canada'),
(34298, '69.90.179.16', '69.90.179.31', 1163571984, 1163571999, 'US', 'United States'),
(34299, '69.90.179.32', '69.90.179.207', 1163572000, 1163572175, 'CA', 'Canada'),
(34300, '69.90.179.208', '69.90.179.215', 1163572176, 1163572183, 'US', 'United States'),
(34301, '69.90.179.216', '69.90.181.207', 1163572184, 1163572687, 'CA', 'Canada'),
(34302, '69.90.181.208', '69.90.181.223', 1163572688, 1163572703, 'US', 'United States'),
(34303, '69.90.181.224', '69.90.183.79', 1163572704, 1163573071, 'CA', 'Canada'),
(34304, '69.90.183.80', '69.90.183.95', 1163573072, 1163573087, 'US', 'United States'),
(34305, '69.90.183.96', '69.90.183.207', 1163573088, 1163573199, 'CA', 'Canada'),
(34306, '69.90.183.208', '69.90.183.223', 1163573200, 1163573215, 'US', 'United States'),
(34307, '69.90.183.224', '69.90.184.15', 1163573216, 1163573263, 'CA', 'Canada'),
(34308, '69.90.184.16', '69.90.184.191', 1163573264, 1163573439, 'US', 'United States'),
(34309, '69.90.184.192', '69.90.184.255', 1163573440, 1163573503, 'IN', 'India'),
(34310, '69.90.185.0', '69.90.191.255', 1163573504, 1163575295, 'US', 'United States'),
(34311, '69.90.192.0', '69.90.197.127', 1163575296, 1163576703, 'CA', 'Canada'),
(34312, '69.90.197.128', '69.90.197.223', 1163576704, 1163576799, 'US', 'United States'),
(34313, '69.90.197.224', '69.90.198.127', 1163576800, 1163576959, 'CA', 'Canada'),
(34314, '69.90.198.128', '69.90.198.159', 1163576960, 1163576991, 'US', 'United States'),
(34315, '69.90.198.160', '69.90.199.239', 1163576992, 1163577327, 'CA', 'Canada'),
(34316, '69.90.199.240', '69.90.200.31', 1163577328, 1163577375, 'US', 'United States'),
(34317, '69.90.200.32', '69.90.200.63', 1163577376, 1163577407, 'CA', 'Canada'),
(34318, '69.90.200.64', '69.90.200.79', 1163577408, 1163577423, 'US', 'United States'),
(34319, '69.90.200.80', '69.90.200.95', 1163577424, 1163577439, 'CA', 'Canada'),
(34320, '69.90.200.96', '69.90.200.127', 1163577440, 1163577471, 'US', 'United States'),
(34321, '69.90.200.128', '69.90.200.159', 1163577472, 1163577503, 'CA', 'Canada'),
(34322, '69.90.200.160', '69.90.202.7', 1163577504, 1163577863, 'US', 'United States'),
(34323, '69.90.202.8', '69.90.202.63', 1163577864, 1163577919, 'CA', 'Canada'),
(34324, '69.90.202.64', '69.90.202.95', 1163577920, 1163577951, 'US', 'United States'),
(34325, '69.90.202.96', '69.90.203.63', 1163577952, 1163578175, 'CA', 'Canada'),
(34326, '69.90.203.64', '69.90.203.79', 1163578176, 1163578191, 'US', 'United States'),
(34327, '69.90.203.80', '69.90.203.127', 1163578192, 1163578239, 'CA', 'Canada'),
(34328, '69.90.203.128', '69.90.203.143', 1163578240, 1163578255, 'US', 'United States'),
(34329, '69.90.203.144', '69.90.203.159', 1163578256, 1163578271, 'CA', 'Canada'),
(34330, '69.90.203.160', '69.90.203.175', 1163578272, 1163578287, 'US', 'United States'),
(34331, '69.90.203.176', '69.90.205.87', 1163578288, 1163578711, 'CA', 'Canada'),
(34332, '69.90.205.88', '69.90.205.91', 1163578712, 1163578715, 'US', 'United States'),
(34333, '69.90.205.92', '69.90.206.239', 1163578716, 1163579119, 'CA', 'Canada'),
(34334, '69.90.206.240', '69.90.206.247', 1163579120, 1163579127, 'US', 'United States'),
(34335, '69.90.206.248', '69.90.207.255', 1163579128, 1163579391, 'CA', 'Canada'),
(34336, '69.90.208.0', '69.90.208.127', 1163579392, 1163579519, 'US', 'United States'),
(34337, '69.90.208.128', '69.90.208.255', 1163579520, 1163579647, 'CA', 'Canada'),
(34338, '69.90.209.0', '69.90.209.223', 1163579648, 1163579871, 'US', 'United States'),
(34339, '69.90.209.224', '69.90.209.255', 1163579872, 1163579903, 'CA', 'Canada'),
(34340, '69.90.210.0', '69.90.210.255', 1163579904, 1163580159, 'NL', 'Netherlands'),
(34341, '69.90.211.0', '69.90.213.255', 1163580160, 1163580927, 'US', 'United States'),
(34342, '69.90.214.0', '69.90.214.255', 1163580928, 1163581183, 'CA', 'Canada'),
(34343, '69.90.215.0', '69.90.215.255', 1163581184, 1163581439, 'US', 'United States'),
(34344, '69.90.216.0', '69.90.216.63', 1163581440, 1163581503, 'CA', 'Canada'),
(34345, '69.90.216.64', '69.90.216.127', 1163581504, 1163581567, 'US', 'United States'),
(34346, '69.90.216.128', '69.90.216.143', 1163581568, 1163581583, 'CA', 'Canada'),
(34347, '69.90.216.144', '69.90.216.175', 1163581584, 1163581615, 'US', 'United States'),
(34348, '69.90.216.176', '69.90.216.191', 1163581616, 1163581631, 'CA', 'Canada'),
(34349, '69.90.216.192', '69.90.216.255', 1163581632, 1163581695, 'US', 'United States'),
(34350, '69.90.217.0', '69.90.218.31', 1163581696, 1163581983, 'CA', 'Canada'),
(34351, '69.90.218.32', '69.90.218.63', 1163581984, 1163582015, 'US', 'United States'),
(34352, '69.90.218.64', '69.90.218.159', 1163582016, 1163582111, 'CA', 'Canada'),
(34353, '69.90.218.160', '69.90.218.175', 1163582112, 1163582127, 'US', 'United States'),
(34354, '69.90.218.176', '69.90.218.207', 1163582128, 1163582159, 'CA', 'Canada'),
(34355, '69.90.218.208', '69.90.218.215', 1163582160, 1163582167, 'FI', 'Finland'),
(34356, '69.90.218.216', '69.90.218.231', 1163582168, 1163582183, 'CA', 'Canada'),
(34357, '69.90.218.232', '69.90.218.239', 1163582184, 1163582191, 'US', 'United States'),
(34358, '69.90.218.240', '69.90.223.255', 1163582192, 1163583487, 'CA', 'Canada'),
(34359, '69.90.224.0', '69.90.230.175', 1163583488, 1163585199, 'US', 'United States'),
(34360, '69.90.230.176', '69.90.230.191', 1163585200, 1163585215, 'CA', 'Canada'),
(34361, '69.90.230.192', '69.90.233.63', 1163585216, 1163585855, 'US', 'United States'),
(34362, '69.90.233.64', '69.90.233.79', 1163585856, 1163585871, 'CA', 'Canada'),
(34363, '69.90.233.80', '69.90.233.97', 1163585872, 1163585889, 'US', 'United States'),
(34364, '69.90.233.98', '69.90.233.113', 1163585890, 1163585905, 'GB', 'United Kingdom'),
(34365, '69.90.233.114', '69.90.236.180', 1163585906, 1163586740, 'US', 'United States'),
(34366, '69.90.236.181', '69.90.236.183', 1163586741, 1163586743, 'CA', 'Canada'),
(34367, '69.90.236.184', '69.90.236.184', 1163586744, 1163586744, 'NL', 'Netherlands'),
(34368, '69.90.236.185', '69.90.236.185', 1163586745, 1163586745, 'GB', 'United Kingdom'),
(34369, '69.90.236.186', '69.90.239.255', 1163586746, 1163587583, 'US', 'United States'),
(34370, '69.90.240.0', '69.90.241.255', 1163587584, 1163588095, 'CA', 'Canada'),
(34371, '69.90.242.0', '69.90.242.15', 1163588096, 1163588111, 'US', 'United States'),
(34372, '69.90.242.16', '69.90.242.63', 1163588112, 1163588159, 'CA', 'Canada'),
(34373, '69.90.242.64', '69.90.242.103', 1163588160, 1163588199, 'US', 'United States'),
(34374, '69.90.242.104', '69.90.242.111', 1163588200, 1163588207, 'DM', 'Dominica'),
(34375, '69.90.242.112', '69.90.242.119', 1163588208, 1163588215, 'CA', 'Canada'),
(34376, '69.90.242.120', '69.90.242.127', 1163588216, 1163588223, 'US', 'United States'),
(34377, '69.90.242.128', '69.90.243.255', 1163588224, 1163588607, 'CA', 'Canada'),
(34378, '69.90.244.0', '69.90.244.0', 1163588608, 1163588608, 'US', 'United States'),
(34379, '69.90.244.1', '69.90.244.87', 1163588609, 1163588695, 'CA', 'Canada'),
(34380, '69.90.244.88', '69.90.244.95', 1163588696, 1163588703, 'US', 'United States'),
(34381, '69.90.244.96', '69.90.244.119', 1163588704, 1163588727, 'CA', 'Canada'),
(34382, '69.90.244.120', '69.90.244.191', 1163588728, 1163588799, 'US', 'United States'),
(34383, '69.90.244.192', '69.90.244.207', 1163588800, 1163588815, 'CA', 'Canada'),
(34384, '69.90.244.208', '69.90.244.223', 1163588816, 1163588831, 'US', 'United States'),
(34385, '69.90.244.224', '69.90.244.239', 1163588832, 1163588847, 'CA', 'Canada'),
(34386, '69.90.244.240', '69.90.244.255', 1163588848, 1163588863, 'US', 'United States'),
(34387, '69.90.245.0', '69.90.247.255', 1163588864, 1163589631, 'CA', 'Canada'),
(34388, '69.90.248.0', '69.93.141.223', 1163589632, 1163759071, 'US', 'United States'),
(34389, '69.93.141.224', '69.93.141.239', 1163759072, 1163759087, 'AE', 'United Arab Emirates'),
(34390, '69.93.141.240', '69.95.65.111', 1163759088, 1163870575, 'US', 'United States'),
(34391, '69.95.65.112', '69.95.65.119', 1163870576, 1163870583, 'CN', 'China'),
(34392, '69.95.65.120', '69.95.88.119', 1163870584, 1163876471, 'US', 'United States'),
(34393, '69.95.88.120', '69.95.88.127', 1163876472, 1163876479, 'PA', 'Panama'),
(34394, '69.95.88.128', '69.95.95.255', 1163876480, 1163878399, 'US', 'United States'),
(34395, '69.95.96.0', '69.95.96.7', 1163878400, 1163878407, 'CN', 'China'),
(34396, '69.95.96.8', '69.147.224.71', 1163878408, 1167319111, 'US', 'United States'),
(34397, '69.147.224.72', '69.147.224.79', 1167319112, 1167319119, 'ZA', 'South Africa'),
(34398, '69.147.224.80', '69.147.224.215', 1167319120, 1167319255, 'US', 'United States'),
(34399, '69.147.224.216', '69.147.224.223', 1167319256, 1167319263, 'CA', 'Canada'),
(34400, '69.147.224.224', '69.147.225.63', 1167319264, 1167319359, 'US', 'United States'),
(34401, '69.147.225.64', '69.147.225.71', 1167319360, 1167319367, 'CA', 'Canada'),
(34402, '69.147.225.72', '69.147.228.7', 1167319368, 1167320071, 'US', 'United States'),
(34403, '69.147.228.8', '69.147.228.15', 1167320072, 1167320079, 'CA', 'Canada'),
(34404, '69.147.228.16', '69.147.233.103', 1167320080, 1167321447, 'US', 'United States'),
(34405, '69.147.233.104', '69.147.233.111', 1167321448, 1167321455, 'CA', 'Canada'),
(34406, '69.147.233.112', '69.147.235.103', 1167321456, 1167321959, 'US', 'United States'),
(34407, '69.147.235.104', '69.147.235.111', 1167321960, 1167321967, 'GB', 'United Kingdom'),
(34408, '69.147.235.112', '69.147.236.143', 1167321968, 1167322255, 'US', 'United States'),
(34409, '69.147.236.144', '69.147.236.151', 1167322256, 1167322263, 'CA', 'Canada'),
(34410, '69.147.236.152', '69.147.238.71', 1167322264, 1167322695, 'US', 'United States'),
(34411, '69.147.238.72', '69.147.238.79', 1167322696, 1167322703, 'IN', 'India'),
(34412, '69.147.238.80', '69.147.241.151', 1167322704, 1167323543, 'US', 'United States'),
(34413, '69.147.241.152', '69.147.241.159', 1167323544, 1167323551, 'CA', 'Canada'),
(34414, '69.147.241.160', '69.147.242.175', 1167323552, 1167323823, 'US', 'United States'),
(34415, '69.147.242.176', '69.147.242.183', 1167323824, 1167323831, 'IN', 'India'),
(34416, '69.147.242.184', '69.147.243.143', 1167323832, 1167324047, 'US', 'United States'),
(34417, '69.147.243.144', '69.147.243.151', 1167324048, 1167324055, 'CA', 'Canada'),
(34418, '69.147.243.152', '69.147.244.127', 1167324056, 1167324287, 'US', 'United States'),
(34419, '69.147.244.128', '69.147.244.135', 1167324288, 1167324295, 'GB', 'United Kingdom'),
(34420, '69.147.244.136', '69.147.244.151', 1167324296, 1167324311, 'US', 'United States'),
(34421, '69.147.244.152', '69.147.244.159', 1167324312, 1167324319, 'CA', 'Canada'),
(34422, '69.147.244.160', '69.147.250.31', 1167324320, 1167325727, 'US', 'United States'),
(34423, '69.147.250.32', '69.147.250.39', 1167325728, 1167325735, 'CA', 'Canada'),
(34424, '69.147.250.40', '69.147.250.239', 1167325736, 1167325935, 'US', 'United States'),
(34425, '69.147.250.240', '69.147.250.255', 1167325936, 1167325951, 'CA', 'Canada'),
(34426, '69.147.251.0', '69.147.252.23', 1167325952, 1167326231, 'US', 'United States'),
(34427, '69.147.252.24', '69.147.252.31', 1167326232, 1167326239, 'CA', 'Canada'),
(34428, '69.147.252.32', '69.147.252.63', 1167326240, 1167326271, 'IN', 'India'),
(34429, '69.147.252.64', '69.147.252.95', 1167326272, 1167326303, 'US', 'United States'),
(34430, '69.147.252.96', '69.147.252.127', 1167326304, 1167326335, 'IN', 'India'),
(34431, '69.147.252.128', '69.147.252.159', 1167326336, 1167326367, 'SI', 'Slovenia'),
(34432, '69.147.252.160', '69.147.252.191', 1167326368, 1167326399, 'US', 'United States'),
(34433, '69.147.252.192', '69.147.252.223', 1167326400, 1167326431, 'IN', 'India'),
(34434, '69.147.252.224', '69.147.252.231', 1167326432, 1167326439, 'US', 'United States'),
(34435, '69.147.252.232', '69.147.252.239', 1167326440, 1167326447, 'IN', 'India'),
(34436, '69.147.252.240', '69.147.255.7', 1167326448, 1167326983, 'US', 'United States'),
(34437, '69.147.255.8', '69.147.255.15', 1167326984, 1167326991, 'IN', 'India'),
(34438, '69.147.255.16', '69.147.255.135', 1167326992, 1167327111, 'US', 'United States'),
(34439, '69.147.255.136', '69.147.255.143', 1167327112, 1167327119, 'IN', 'India'),
(34440, '69.147.255.144', '69.147.255.231', 1167327120, 1167327207, 'US', 'United States'),
(34441, '69.147.255.232', '69.147.255.239', 1167327208, 1167327215, 'IN', 'India'),
(34442, '69.147.255.240', '69.153.149.143', 1167327216, 1167693199, 'US', 'United States'),
(34443, '69.153.149.144', '69.153.149.159', 1167693200, 1167693215, 'UA', 'Ukraine'),
(34444, '69.153.149.160', '69.155.255.255', 1167693216, 1167851519, 'US', 'United States'),
(34445, '69.156.0.0', '69.159.255.255', 1167851520, 1168113663, 'CA', 'Canada'),
(34446, '69.160.0.0', '69.160.95.255', 1168113664, 1168138239, 'US', 'United States'),
(34447, '69.160.96.0', '69.160.127.255', 1168138240, 1168146431, 'JM', 'Jamaica'),
(34448, '69.160.128.0', '69.160.253.255', 1168146432, 1168178687, 'US', 'United States'),
(34449, '69.160.254.0', '69.160.254.255', 1168178688, 1168178943, 'A1', 'Anonymous Proxy'),
(34450, '69.160.255.0', '69.161.127.255', 1168178944, 1168211967, 'US', 'United States'),
(34451, '69.161.128.0', '69.161.159.255', 1168211968, 1168220159, 'CA', 'Canada'),
(34452, '69.161.160.0', '69.163.32.255', 1168220160, 1168318719, 'US', 'United States'),
(34453, '69.163.33.0', '69.163.33.255', 1168318720, 1168318975, 'CA', 'Canada'),
(34454, '69.163.34.0', '69.163.43.255', 1168318976, 1168321535, 'US', 'United States'),
(34455, '69.163.44.0', '69.163.44.255', 1168321536, 1168321791, 'CA', 'Canada'),
(34456, '69.163.45.0', '69.164.67.255', 1168321792, 1168393215, 'US', 'United States'),
(34457, '69.164.68.0', '69.164.72.31', 1168393216, 1168394271, 'CA', 'Canada'),
(34458, '69.164.72.32', '69.164.72.39', 1168394272, 1168394279, 'US', 'United States'),
(34459, '69.164.72.40', '69.164.72.135', 1168394280, 1168394375, 'CA', 'Canada'),
(34460, '69.164.72.136', '69.164.72.143', 1168394376, 1168394383, 'US', 'United States'),
(34461, '69.164.72.144', '69.164.72.183', 1168394384, 1168394423, 'CA', 'Canada'),
(34462, '69.164.72.184', '69.164.72.191', 1168394424, 1168394431, 'US', 'United States'),
(34463, '69.164.72.192', '69.164.72.231', 1168394432, 1168394471, 'CA', 'Canada'),
(34464, '69.164.72.232', '69.164.72.239', 1168394472, 1168394479, 'US', 'United States'),
(34465, '69.164.72.240', '69.164.72.255', 1168394480, 1168394495, 'CA', 'Canada'),
(34466, '69.164.73.0', '69.164.73.15', 1168394496, 1168394511, 'US', 'United States'),
(34467, '69.164.73.16', '69.164.73.255', 1168394512, 1168394751, 'CA', 'Canada'),
(34468, '69.164.74.0', '69.164.175.255', 1168394752, 1168420863, 'US', 'United States'),
(34469, '69.164.176.0', '69.164.191.255', 1168420864, 1168424959, 'CA', 'Canada'),
(34470, '69.164.192.0', '69.165.51.255', 1168424960, 1168454655, 'US', 'United States'),
(34471, '69.165.52.0', '69.165.53.255', 1168454656, 1168455167, 'A1', 'Anonymous Proxy'),
(34472, '69.165.54.0', '69.165.127.255', 1168455168, 1168474111, 'US', 'United States'),
(34473, '69.165.128.0', '69.165.255.255', 1168474112, 1168506879, 'CA', 'Canada'),
(34474, '69.166.8.0', '69.166.15.255', 1168508928, 1168510975, 'US', 'United States'),
(34475, '69.166.16.0', '69.166.31.255', 1168510976, 1168515071, 'CA', 'Canada'),
(34476, '69.166.32.0', '69.166.111.255', 1168515072, 1168535551, 'US', 'United States'),
(34477, '69.166.112.0', '69.166.127.255', 1168535552, 1168539647, 'CA', 'Canada'),
(34478, '69.166.128.0', '69.167.190.212', 1168539648, 1168621268, 'US', 'United States'),
(34479, '69.167.190.213', '69.167.190.214', 1168621269, 1168621270, 'IN', 'India'),
(34480, '69.167.190.215', '69.168.127.255', 1168621271, 1168670719, 'US', 'United States'),
(34481, '69.168.128.0', '69.168.191.255', 1168670720, 1168687103, 'CA', 'Canada'),
(34482, '69.168.192.0', '69.171.95.255', 1168687104, 1168859135, 'US', 'United States'),
(34483, '69.171.96.0', '69.171.111.255', 1168859136, 1168863231, 'CA', 'Canada'),
(34484, '69.171.112.0', '69.171.127.255', 1168863232, 1168867327, 'US', 'United States'),
(34485, '69.171.128.0', '69.171.159.255', 1168867328, 1168875519, 'CA', 'Canada'),
(34486, '69.171.160.0', '69.171.207.255', 1168875520, 1168887807, 'US', 'United States'),
(34487, '69.171.208.0', '69.171.223.255', 1168887808, 1168891903, 'CA', 'Canada'),
(34488, '69.171.224.0', '69.172.63.255', 1168891904, 1168916479, 'US', 'United States'),
(34489, '69.172.64.0', '69.172.127.255', 1168916480, 1168932863, 'CA', 'Canada'),
(34490, '69.172.128.0', '69.172.139.127', 1168932864, 1168935807, 'US', 'United States'),
(34491, '69.172.139.128', '69.172.139.255', 1168935808, 1168935935, 'RU', 'Russian Federation'),
(34492, '69.172.140.0', '69.172.143.255', 1168935936, 1168936959, 'US', 'United States'),
(34493, '69.172.144.0', '69.172.191.255', 1168936960, 1168949247, 'CA', 'Canada'),
(34494, '69.172.192.0', '69.172.192.255', 1168949248, 1168949503, 'US', 'United States'),
(34495, '69.172.193.0', '69.172.193.255', 1168949504, 1168949759, 'CA', 'Canada'),
(34496, '69.172.194.0', '69.172.194.63', 1168949760, 1168949823, 'US', 'United States'),
(34497, '69.172.194.64', '69.172.194.95', 1168949824, 1168949855, 'CA', 'Canada'),
(34498, '69.172.194.96', '69.172.195.255', 1168949856, 1168950271, 'US', 'United States'),
(34499, '69.172.196.0', '69.172.202.15', 1168950272, 1168951823, 'CA', 'Canada'),
(34500, '69.172.202.16', '69.172.202.255', 1168951824, 1168952063, 'US', 'United States'),
(34501, '69.172.203.0', '69.172.203.31', 1168952064, 1168952095, 'CA', 'Canada'),
(34502, '69.172.203.32', '69.172.203.255', 1168952096, 1168952319, 'US', 'United States'),
(34503, '69.172.204.0', '69.172.205.255', 1168952320, 1168952831, 'CA', 'Canada'),
(34504, '69.172.206.0', '69.172.206.31', 1168952832, 1168952863, 'US', 'United States'),
(34505, '69.172.206.32', '69.172.206.47', 1168952864, 1168952879, 'CA', 'Canada'),
(34506, '69.172.206.48', '69.172.206.55', 1168952880, 1168952887, 'US', 'United States'),
(34507, '69.172.206.56', '69.172.206.63', 1168952888, 1168952895, 'CA', 'Canada'),
(34508, '69.172.206.64', '69.172.206.127', 1168952896, 1168952959, 'US', 'United States'),
(34509, '69.172.206.128', '69.172.206.255', 1168952960, 1168953087, 'CA', 'Canada'),
(34510, '69.172.207.0', '69.172.207.31', 1168953088, 1168953119, 'US', 'United States'),
(34511, '69.172.207.32', '69.172.207.255', 1168953120, 1168953343, 'CA', 'Canada'),
(34512, '69.172.208.0', '69.172.210.159', 1168953344, 1168954015, 'US', 'United States'),
(34513, '69.172.210.160', '69.172.210.191', 1168954016, 1168954047, 'IN', 'India'),
(34514, '69.172.210.192', '69.172.210.219', 1168954048, 1168954075, 'US', 'United States'),
(34515, '69.172.210.220', '69.172.210.223', 1168954076, 1168954079, 'CA', 'Canada'),
(34516, '69.172.210.224', '69.172.212.255', 1168954080, 1168954623, 'US', 'United States'),
(34517, '69.172.213.0', '69.172.213.63', 1168954624, 1168954687, 'IN', 'India'),
(34518, '69.172.213.64', '69.172.216.255', 1168954688, 1168955647, 'US', 'United States'),
(34519, '69.172.217.0', '69.172.217.255', 1168955648, 1168955903, 'CA', 'Canada'),
(34520, '69.172.218.0', '69.172.223.255', 1168955904, 1168957439, 'US', 'United States'),
(34521, '69.172.224.0', '69.172.226.95', 1168957440, 1168958047, 'CA', 'Canada'),
(34522, '69.172.226.96', '69.172.226.103', 1168958048, 1168958055, 'DE', 'Germany'),
(34523, '69.172.226.104', '69.172.226.111', 1168958056, 1168958063, 'CA', 'Canada'),
(34524, '69.172.226.112', '69.172.226.119', 1168958064, 1168958071, 'US', 'United States'),
(34525, '69.172.226.120', '69.172.226.159', 1168958072, 1168958111, 'CA', 'Canada'),
(34526, '69.172.226.160', '69.172.226.175', 1168958112, 1168958127, 'US', 'United States'),
(34527, '69.172.226.176', '69.172.226.239', 1168958128, 1168958191, 'CA', 'Canada'),
(34528, '69.172.226.240', '69.172.226.255', 1168958192, 1168958207, 'AU', 'Australia'),
(34529, '69.172.227.0', '69.172.227.3', 1168958208, 1168958211, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(34530, '69.172.227.4', '69.172.227.7', 1168958212, 1168958215, 'CA', 'Canada'),
(34531, '69.172.227.8', '69.172.227.15', 1168958216, 1168958223, 'US', 'United States'),
(34532, '69.172.227.16', '69.172.227.23', 1168958224, 1168958231, 'SG', 'Singapore'),
(34533, '69.172.227.24', '69.172.227.31', 1168958232, 1168958239, 'US', 'United States'),
(34534, '69.172.227.32', '69.172.227.215', 1168958240, 1168958423, 'CA', 'Canada'),
(34535, '69.172.227.216', '69.172.227.255', 1168958424, 1168958463, 'US', 'United States'),
(34536, '69.172.228.0', '69.172.228.15', 1168958464, 1168958479, 'CA', 'Canada'),
(34537, '69.172.228.16', '69.172.228.31', 1168958480, 1168958495, 'US', 'United States'),
(34538, '69.172.228.32', '69.172.228.95', 1168958496, 1168958559, 'IN', 'India'),
(34539, '69.172.228.96', '69.172.236.31', 1168958560, 1168960543, 'US', 'United States'),
(34540, '69.172.236.32', '69.172.236.79', 1168960544, 1168960591, 'CA', 'Canada'),
(34541, '69.172.236.80', '69.172.236.95', 1168960592, 1168960607, 'US', 'United States'),
(34542, '69.172.236.96', '69.172.236.111', 1168960608, 1168960623, 'CA', 'Canada'),
(34543, '69.172.236.112', '69.172.236.127', 1168960624, 1168960639, 'US', 'United States'),
(34544, '69.172.236.128', '69.172.236.255', 1168960640, 1168960767, 'CA', 'Canada'),
(34545, '69.172.237.0', '69.172.237.31', 1168960768, 1168960799, 'US', 'United States'),
(34546, '69.172.237.32', '69.172.237.63', 1168960800, 1168960831, 'CA', 'Canada'),
(34547, '69.172.237.64', '69.172.237.95', 1168960832, 1168960863, 'US', 'United States'),
(34548, '69.172.237.96', '69.172.237.119', 1168960864, 1168960887, 'CA', 'Canada'),
(34549, '69.172.237.120', '69.172.237.127', 1168960888, 1168960895, 'US', 'United States'),
(34550, '69.172.237.128', '69.172.241.191', 1168960896, 1168961983, 'CA', 'Canada'),
(34551, '69.172.241.192', '69.172.241.199', 1168961984, 1168961991, 'US', 'United States'),
(34552, '69.172.241.200', '69.172.241.231', 1168961992, 1168962023, 'CA', 'Canada'),
(34553, '69.172.241.232', '69.172.242.255', 1168962024, 1168962303, 'US', 'United States'),
(34554, '69.172.243.0', '69.172.243.255', 1168962304, 1168962559, 'CA', 'Canada'),
(34555, '69.172.244.0', '69.172.245.223', 1168962560, 1168963039, 'US', 'United States'),
(34556, '69.172.245.224', '69.172.245.255', 1168963040, 1168963071, 'ES', 'Spain'),
(34557, '69.172.246.0', '69.172.255.255', 1168963072, 1168965631, 'CA', 'Canada'),
(34558, '69.173.0.0', '69.173.31.255', 1168965632, 1168973823, 'US', 'United States'),
(34559, '69.173.32.0', '69.173.63.255', 1168973824, 1168982015, 'CA', 'Canada'),
(34560, '69.173.64.0', '69.174.80.255', 1168982016, 1169051903, 'US', 'United States'),
(34561, '69.174.81.0', '69.174.81.7', 1169051904, 1169051911, 'SG', 'Singapore'),
(34562, '69.174.81.8', '69.174.101.15', 1169051912, 1169057039, 'US', 'United States'),
(34563, '69.174.101.16', '69.174.101.31', 1169057040, 1169057055, 'BR', 'Brazil'),
(34564, '69.174.101.32', '69.174.101.47', 1169057056, 1169057071, 'US', 'United States'),
(34565, '69.174.101.48', '69.174.101.55', 1169057072, 1169057079, 'AR', 'Argentina'),
(34566, '69.174.101.56', '69.174.101.63', 1169057080, 1169057087, 'US', 'United States'),
(34567, '69.174.101.64', '69.174.101.95', 1169057088, 1169057119, 'BR', 'Brazil'),
(34568, '69.174.101.96', '69.174.101.103', 1169057120, 1169057127, 'US', 'United States'),
(34569, '69.174.101.104', '69.174.101.111', 1169057128, 1169057135, 'BR', 'Brazil'),
(34570, '69.174.101.112', '69.174.101.119', 1169057136, 1169057143, 'US', 'United States'),
(34571, '69.174.101.120', '69.174.101.127', 1169057144, 1169057151, 'BR', 'Brazil'),
(34572, '69.174.101.128', '69.174.101.191', 1169057152, 1169057215, 'US', 'United States'),
(34573, '69.174.101.192', '69.174.101.199', 1169057216, 1169057223, 'BR', 'Brazil'),
(34574, '69.174.101.200', '69.174.101.207', 1169057224, 1169057231, 'US', 'United States'),
(34575, '69.174.101.208', '69.174.101.223', 1169057232, 1169057247, 'BR', 'Brazil'),
(34576, '69.174.101.224', '69.174.101.239', 1169057248, 1169057263, 'US', 'United States'),
(34577, '69.174.101.240', '69.174.101.255', 1169057264, 1169057279, 'BR', 'Brazil'),
(34578, '69.174.102.0', '69.174.240.31', 1169057280, 1169092639, 'US', 'United States'),
(34579, '69.174.240.32', '69.174.240.63', 1169092640, 1169092671, 'GB', 'United Kingdom'),
(34580, '69.174.240.64', '69.174.248.57', 1169092672, 1169094713, 'US', 'United States'),
(34581, '69.174.248.58', '69.174.248.70', 1169094714, 1169094726, 'CA', 'Canada'),
(34582, '69.174.248.71', '69.174.248.99', 1169094727, 1169094755, 'US', 'United States'),
(34583, '69.174.248.100', '69.174.248.107', 1169094756, 1169094763, 'AU', 'Australia'),
(34584, '69.174.248.108', '69.174.248.115', 1169094764, 1169094771, 'IN', 'India'),
(34585, '69.174.248.116', '69.174.249.13', 1169094772, 1169094925, 'US', 'United States'),
(34586, '69.174.249.14', '69.174.249.21', 1169094926, 1169094933, 'IN', 'India'),
(34587, '69.174.249.22', '69.174.249.105', 1169094934, 1169095017, 'US', 'United States'),
(34588, '69.174.249.106', '69.174.249.115', 1169095018, 1169095027, 'IN', 'India'),
(34589, '69.174.249.116', '69.176.80.255', 1169095028, 1169182975, 'US', 'United States'),
(34590, '69.176.81.0', '69.176.82.255', 1169182976, 1169183487, 'CA', 'Canada'),
(34591, '69.176.83.0', '69.176.87.255', 1169183488, 1169184767, 'US', 'United States'),
(34592, '69.176.88.0', '69.176.88.255', 1169184768, 1169185023, 'CA', 'Canada'),
(34593, '69.176.89.0', '69.176.90.255', 1169185024, 1169185535, 'US', 'United States'),
(34594, '69.176.91.0', '69.176.92.255', 1169185536, 1169186047, 'CA', 'Canada'),
(34595, '69.176.93.0', '69.176.93.255', 1169186048, 1169186303, 'SG', 'Singapore'),
(34596, '69.176.94.0', '69.176.159.255', 1169186304, 1169203199, 'US', 'United States'),
(34597, '69.176.160.0', '69.176.191.255', 1169203200, 1169211391, 'CA', 'Canada'),
(34598, '69.176.192.0', '69.191.175.255', 1169211392, 1170190335, 'US', 'United States'),
(34599, '69.191.176.0', '69.191.177.255', 1170190336, 1170190847, 'GB', 'United Kingdom'),
(34600, '69.191.178.0', '69.195.193.127', 1170190848, 1170456959, 'US', 'United States'),
(34601, '69.195.193.128', '69.195.193.143', 1170456960, 1170456975, 'CR', 'Costa Rica'),
(34602, '69.195.193.144', '69.195.193.159', 1170456976, 1170456991, 'US', 'United States'),
(34603, '69.195.193.160', '69.195.193.175', 1170456992, 1170457007, 'PR', 'Puerto Rico'),
(34604, '69.195.193.176', '69.195.195.255', 1170457008, 1170457599, 'US', 'United States'),
(34605, '69.195.196.0', '69.195.196.63', 1170457600, 1170457663, 'BR', 'Brazil'),
(34606, '69.195.196.64', '69.195.197.207', 1170457664, 1170458063, 'US', 'United States'),
(34607, '69.195.197.208', '69.195.197.223', 1170458064, 1170458079, 'DE', 'Germany'),
(34608, '69.195.197.224', '69.195.209.127', 1170458080, 1170461055, 'US', 'United States'),
(34609, '69.195.209.128', '69.195.211.255', 1170461056, 1170461695, 'CO', 'Colombia'),
(34610, '69.195.212.0', '69.195.227.255', 1170461696, 1170465791, 'US', 'United States'),
(34611, '69.195.228.0', '69.195.228.255', 1170465792, 1170466047, 'CY', 'Cyprus'),
(34612, '69.195.229.0', '69.195.231.207', 1170466048, 1170466767, 'US', 'United States'),
(34613, '69.195.231.208', '69.195.231.223', 1170466768, 1170466783, 'MQ', 'Martinique'),
(34614, '69.195.231.224', '69.195.235.255', 1170466784, 1170467839, 'US', 'United States'),
(34615, '69.195.236.0', '69.195.237.255', 1170467840, 1170468351, 'DO', 'Dominican Republic'),
(34616, '69.195.238.0', '69.195.240.191', 1170468352, 1170469055, 'US', 'United States'),
(34617, '69.195.240.192', '69.195.240.207', 1170469056, 1170469071, 'VG', 'Virgin Islands, British'),
(34618, '69.195.240.208', '69.195.247.255', 1170469072, 1170470911, 'US', 'United States'),
(34619, '69.195.248.0', '69.195.248.255', 1170470912, 1170471167, 'ES', 'Spain'),
(34620, '69.195.249.0', '69.195.249.95', 1170471168, 1170471263, 'US', 'United States'),
(34621, '69.195.249.96', '69.195.249.111', 1170471264, 1170471279, 'CA', 'Canada'),
(34622, '69.195.249.112', '69.195.249.207', 1170471280, 1170471375, 'US', 'United States'),
(34623, '69.195.249.208', '69.195.249.223', 1170471376, 1170471391, 'UY', 'Uruguay'),
(34624, '69.195.249.224', '69.195.251.223', 1170471392, 1170471903, 'US', 'United States'),
(34625, '69.195.251.224', '69.195.251.239', 1170471904, 1170471919, 'BE', 'Belgium'),
(34626, '69.195.251.240', '69.195.254.255', 1170471920, 1170472703, 'US', 'United States'),
(34627, '69.195.255.0', '69.195.255.255', 1170472704, 1170472959, 'VG', 'Virgin Islands, British'),
(34628, '69.196.0.0', '69.196.31.255', 1170472960, 1170481151, 'CA', 'Canada'),
(34629, '69.196.32.0', '69.196.63.255', 1170481152, 1170489343, 'US', 'United States'),
(34630, '69.196.64.0', '69.196.95.255', 1170489344, 1170497535, 'CA', 'Canada'),
(34631, '69.196.96.0', '69.196.127.255', 1170497536, 1170505727, 'US', 'United States'),
(34632, '69.196.128.0', '69.196.191.255', 1170505728, 1170522111, 'CA', 'Canada'),
(34633, '69.196.192.0', '69.197.3.65', 1170522112, 1170539329, 'US', 'United States'),
(34634, '69.197.3.66', '69.197.3.66', 1170539330, 1170539330, 'CN', 'China'),
(34635, '69.197.3.67', '69.197.3.86', 1170539331, 1170539350, 'US', 'United States'),
(34636, '69.197.3.87', '69.197.3.88', 1170539351, 1170539352, 'CN', 'China'),
(34637, '69.197.3.89', '69.197.3.196', 1170539353, 1170539460, 'US', 'United States'),
(34638, '69.197.3.197', '69.197.3.197', 1170539461, 1170539461, 'PK', 'Pakistan'),
(34639, '69.197.3.198', '69.197.4.2', 1170539462, 1170539522, 'US', 'United States'),
(34640, '69.197.4.3', '69.197.4.3', 1170539523, 1170539523, 'AU', 'Australia'),
(34641, '69.197.4.4', '69.197.4.4', 1170539524, 1170539524, 'CN', 'China'),
(34642, '69.197.4.5', '69.197.4.64', 1170539525, 1170539584, 'US', 'United States'),
(34643, '69.197.4.65', '69.197.4.65', 1170539585, 1170539585, 'GB', 'United Kingdom'),
(34644, '69.197.4.66', '69.197.4.66', 1170539586, 1170539586, 'US', 'United States'),
(34645, '69.197.4.67', '69.197.4.67', 1170539587, 1170539587, 'SC', 'Seychelles'),
(34646, '69.197.4.68', '69.197.4.70', 1170539588, 1170539590, 'US', 'United States'),
(34647, '69.197.4.71', '69.197.4.71', 1170539591, 1170539591, 'CN', 'China'),
(34648, '69.197.4.72', '69.197.4.72', 1170539592, 1170539592, 'AU', 'Australia'),
(34649, '69.197.4.73', '69.197.4.131', 1170539593, 1170539651, 'US', 'United States'),
(34650, '69.197.4.132', '69.197.4.132', 1170539652, 1170539652, 'CN', 'China'),
(34651, '69.197.4.133', '69.197.4.133', 1170539653, 1170539653, 'GB', 'United Kingdom'),
(34652, '69.197.4.134', '69.197.4.192', 1170539654, 1170539712, 'US', 'United States'),
(34653, '69.197.4.193', '69.197.4.193', 1170539713, 1170539713, 'CN', 'China'),
(34654, '69.197.4.194', '69.197.4.194', 1170539714, 1170539714, 'US', 'United States'),
(34655, '69.197.4.195', '69.197.4.195', 1170539715, 1170539715, 'PK', 'Pakistan'),
(34656, '69.197.4.196', '69.197.4.201', 1170539716, 1170539721, 'US', 'United States'),
(34657, '69.197.4.202', '69.197.4.202', 1170539722, 1170539722, 'CN', 'China'),
(34658, '69.197.4.203', '69.197.4.203', 1170539723, 1170539723, 'KH', 'Cambodia'),
(34659, '69.197.4.204', '69.197.5.0', 1170539724, 1170539776, 'US', 'United States'),
(34660, '69.197.5.1', '69.197.5.1', 1170539777, 1170539777, 'SC', 'Seychelles'),
(34661, '69.197.5.2', '69.197.5.2', 1170539778, 1170539778, 'US', 'United States'),
(34662, '69.197.5.3', '69.197.5.3', 1170539779, 1170539779, 'SC', 'Seychelles'),
(34663, '69.197.5.4', '69.197.5.10', 1170539780, 1170539786, 'US', 'United States'),
(34664, '69.197.5.11', '69.197.5.11', 1170539787, 1170539787, 'CN', 'China'),
(34665, '69.197.5.12', '69.197.5.66', 1170539788, 1170539842, 'US', 'United States'),
(34666, '69.197.5.67', '69.197.5.67', 1170539843, 1170539843, 'MY', 'Malaysia'),
(34667, '69.197.5.68', '69.197.5.68', 1170539844, 1170539844, 'GB', 'United Kingdom'),
(34668, '69.197.5.69', '69.197.5.71', 1170539845, 1170539847, 'US', 'United States'),
(34669, '69.197.5.72', '69.197.5.72', 1170539848, 1170539848, 'CN', 'China'),
(34670, '69.197.5.73', '69.197.5.193', 1170539849, 1170539969, 'US', 'United States'),
(34671, '69.197.5.194', '69.197.5.194', 1170539970, 1170539970, 'KH', 'Cambodia'),
(34672, '69.197.5.195', '69.197.5.199', 1170539971, 1170539975, 'US', 'United States'),
(34673, '69.197.5.200', '69.197.5.200', 1170539976, 1170539976, 'CN', 'China'),
(34674, '69.197.5.201', '69.197.5.203', 1170539977, 1170539979, 'US', 'United States'),
(34675, '69.197.5.204', '69.197.5.204', 1170539980, 1170539980, 'CN', 'China'),
(34676, '69.197.5.205', '69.197.6.0', 1170539981, 1170540032, 'US', 'United States'),
(34677, '69.197.6.1', '69.197.6.1', 1170540033, 1170540033, 'GB', 'United Kingdom'),
(34678, '69.197.6.2', '69.197.6.6', 1170540034, 1170540038, 'US', 'United States'),
(34679, '69.197.6.7', '69.197.6.7', 1170540039, 1170540039, 'PH', 'Philippines'),
(34680, '69.197.6.8', '69.197.6.8', 1170540040, 1170540040, 'US', 'United States'),
(34681, '69.197.6.9', '69.197.6.9', 1170540041, 1170540041, 'CN', 'China'),
(34682, '69.197.6.10', '69.197.6.64', 1170540042, 1170540096, 'US', 'United States'),
(34683, '69.197.6.65', '69.197.6.65', 1170540097, 1170540097, 'TR', 'Turkey'),
(34684, '69.197.6.66', '69.197.6.133', 1170540098, 1170540165, 'US', 'United States'),
(34685, '69.197.6.134', '69.197.6.134', 1170540166, 1170540166, 'CN', 'China'),
(34686, '69.197.6.135', '69.197.6.197', 1170540167, 1170540229, 'US', 'United States'),
(34687, '69.197.6.198', '69.197.6.198', 1170540230, 1170540230, 'CN', 'China'),
(34688, '69.197.6.199', '69.197.6.199', 1170540231, 1170540231, 'US', 'United States'),
(34689, '69.197.6.200', '69.197.6.200', 1170540232, 1170540232, 'CN', 'China'),
(34690, '69.197.6.201', '69.197.7.0', 1170540233, 1170540288, 'US', 'United States'),
(34691, '69.197.7.1', '69.197.7.2', 1170540289, 1170540290, 'CN', 'China'),
(34692, '69.197.7.3', '69.197.7.71', 1170540291, 1170540359, 'US', 'United States'),
(34693, '69.197.7.72', '69.197.7.72', 1170540360, 1170540360, 'CN', 'China'),
(34694, '69.197.7.73', '69.197.7.73', 1170540361, 1170540361, 'CA', 'Canada'),
(34695, '69.197.7.74', '69.197.7.75', 1170540362, 1170540363, 'CN', 'China'),
(34696, '69.197.7.76', '69.197.7.81', 1170540364, 1170540369, 'US', 'United States'),
(34697, '69.197.7.82', '69.197.7.82', 1170540370, 1170540370, 'CN', 'China'),
(34698, '69.197.7.83', '69.197.7.83', 1170540371, 1170540371, 'US', 'United States'),
(34699, '69.197.7.84', '69.197.7.84', 1170540372, 1170540372, 'CN', 'China'),
(34700, '69.197.7.85', '69.197.7.130', 1170540373, 1170540418, 'US', 'United States'),
(34701, '69.197.7.131', '69.197.7.131', 1170540419, 1170540419, 'CN', 'China'),
(34702, '69.197.7.132', '69.197.7.138', 1170540420, 1170540426, 'US', 'United States'),
(34703, '69.197.7.139', '69.197.7.139', 1170540427, 1170540427, 'CN', 'China'),
(34704, '69.197.7.140', '69.197.7.140', 1170540428, 1170540428, 'US', 'United States'),
(34705, '69.197.7.141', '69.197.7.141', 1170540429, 1170540429, 'TR', 'Turkey'),
(34706, '69.197.7.142', '69.197.7.142', 1170540430, 1170540430, 'US', 'United States'),
(34707, '69.197.7.143', '69.197.7.143', 1170540431, 1170540431, 'CZ', 'Czech Republic'),
(34708, '69.197.7.144', '69.197.7.144', 1170540432, 1170540432, 'CN', 'China'),
(34709, '69.197.7.145', '69.197.7.203', 1170540433, 1170540491, 'US', 'United States'),
(34710, '69.197.7.204', '69.197.7.204', 1170540492, 1170540492, 'TR', 'Turkey'),
(34711, '69.197.7.205', '69.197.7.205', 1170540493, 1170540493, 'US', 'United States'),
(34712, '69.197.7.206', '69.197.7.206', 1170540494, 1170540494, 'TR', 'Turkey'),
(34713, '69.197.7.207', '69.197.7.208', 1170540495, 1170540496, 'US', 'United States'),
(34714, '69.197.7.209', '69.197.7.209', 1170540497, 1170540497, 'CZ', 'Czech Republic'),
(34715, '69.197.7.210', '69.197.7.215', 1170540498, 1170540503, 'US', 'United States'),
(34716, '69.197.7.216', '69.197.7.216', 1170540504, 1170540504, 'BD', 'Bangladesh'),
(34717, '69.197.7.217', '69.197.8.68', 1170540505, 1170540612, 'US', 'United States'),
(34718, '69.197.8.69', '69.197.8.69', 1170540613, 1170540613, 'AE', 'United Arab Emirates'),
(34719, '69.197.8.70', '69.197.8.75', 1170540614, 1170540619, 'US', 'United States'),
(34720, '69.197.8.76', '69.197.8.76', 1170540620, 1170540620, 'CN', 'China'),
(34721, '69.197.8.77', '69.197.8.77', 1170540621, 1170540621, 'US', 'United States'),
(34722, '69.197.8.78', '69.197.8.79', 1170540622, 1170540623, 'CN', 'China'),
(34723, '69.197.8.80', '69.197.8.81', 1170540624, 1170540625, 'US', 'United States'),
(34724, '69.197.8.82', '69.197.8.82', 1170540626, 1170540626, 'CN', 'China'),
(34725, '69.197.8.83', '69.197.8.85', 1170540627, 1170540629, 'US', 'United States'),
(34726, '69.197.8.86', '69.197.8.87', 1170540630, 1170540631, 'CN', 'China'),
(34727, '69.197.8.88', '69.197.16.255', 1170540632, 1170542847, 'US', 'United States'),
(34728, '69.197.17.0', '69.197.17.15', 1170542848, 1170542863, 'KH', 'Cambodia'),
(34729, '69.197.17.16', '69.197.17.47', 1170542864, 1170542895, 'US', 'United States'),
(34730, '69.197.17.48', '69.197.17.55', 1170542896, 1170542903, 'CN', 'China'),
(34731, '69.197.17.56', '69.197.17.75', 1170542904, 1170542923, 'US', 'United States'),
(34732, '69.197.17.76', '69.197.17.79', 1170542924, 1170542927, 'CN', 'China'),
(34733, '69.197.17.80', '69.197.17.95', 1170542928, 1170542943, 'US', 'United States'),
(34734, '69.197.17.96', '69.197.17.111', 1170542944, 1170542959, 'CN', 'China'),
(34735, '69.197.17.112', '69.197.17.119', 1170542960, 1170542967, 'US', 'United States'),
(34736, '69.197.17.120', '69.197.17.223', 1170542968, 1170543071, 'CN', 'China'),
(34737, '69.197.17.224', '69.197.17.227', 1170543072, 1170543075, 'TR', 'Turkey'),
(34738, '69.197.17.228', '69.197.17.239', 1170543076, 1170543087, 'US', 'United States'),
(34739, '69.197.17.240', '69.197.17.255', 1170543088, 1170543103, 'CN', 'China'),
(34740, '69.197.18.0', '69.197.18.31', 1170543104, 1170543135, 'US', 'United States'),
(34741, '69.197.18.32', '69.197.18.143', 1170543136, 1170543247, 'CN', 'China'),
(34742, '69.197.18.144', '69.197.19.255', 1170543248, 1170543615, 'US', 'United States'),
(34743, '69.197.20.0', '69.197.20.63', 1170543616, 1170543679, 'CN', 'China'),
(34744, '69.197.20.64', '69.197.20.103', 1170543680, 1170543719, 'US', 'United States'),
(34745, '69.197.20.104', '69.197.20.127', 1170543720, 1170543743, 'CN', 'China'),
(34746, '69.197.20.128', '69.197.20.143', 1170543744, 1170543759, 'US', 'United States'),
(34747, '69.197.20.144', '69.197.20.159', 1170543760, 1170543775, 'CN', 'China'),
(34748, '69.197.20.160', '69.197.20.255', 1170543776, 1170543871, 'US', 'United States'),
(34749, '69.197.21.0', '69.197.21.47', 1170543872, 1170543919, 'CN', 'China'),
(34750, '69.197.21.48', '69.197.21.55', 1170543920, 1170543927, 'BR', 'Brazil'),
(34751, '69.197.21.56', '69.197.21.175', 1170543928, 1170544047, 'CN', 'China'),
(34752, '69.197.21.176', '69.197.21.191', 1170544048, 1170544063, 'US', 'United States'),
(34753, '69.197.21.192', '69.197.22.63', 1170544064, 1170544191, 'CN', 'China'),
(34754, '69.197.22.64', '69.197.22.127', 1170544192, 1170544255, 'US', 'United States'),
(34755, '69.197.22.128', '69.197.22.255', 1170544256, 1170544383, 'PK', 'Pakistan'),
(34756, '69.197.23.0', '69.197.23.3', 1170544384, 1170544387, 'US', 'United States'),
(34757, '69.197.23.4', '69.197.23.7', 1170544388, 1170544391, 'BD', 'Bangladesh'),
(34758, '69.197.23.8', '69.197.23.47', 1170544392, 1170544431, 'US', 'United States'),
(34759, '69.197.23.48', '69.197.23.55', 1170544432, 1170544439, 'CN', 'China'),
(34760, '69.197.23.56', '69.197.23.159', 1170544440, 1170544543, 'US', 'United States'),
(34761, '69.197.23.160', '69.197.23.191', 1170544544, 1170544575, 'KR', 'Korea, Republic of'),
(34762, '69.197.23.192', '69.197.24.143', 1170544576, 1170544783, 'US', 'United States'),
(34763, '69.197.24.144', '69.197.24.159', 1170544784, 1170544799, 'CN', 'China'),
(34764, '69.197.24.160', '69.197.24.255', 1170544800, 1170544895, 'US', 'United States'),
(34765, '69.197.25.0', '69.197.25.63', 1170544896, 1170544959, 'CN', 'China'),
(34766, '69.197.25.64', '69.197.25.95', 1170544960, 1170544991, 'US', 'United States'),
(34767, '69.197.25.96', '69.197.25.127', 1170544992, 1170545023, 'SC', 'Seychelles'),
(34768, '69.197.25.128', '69.197.25.187', 1170545024, 1170545083, 'US', 'United States'),
(34769, '69.197.25.188', '69.197.25.255', 1170545084, 1170545151, 'CN', 'China'),
(34770, '69.197.26.0', '69.197.27.31', 1170545152, 1170545439, 'US', 'United States'),
(34771, '69.197.27.32', '69.197.27.63', 1170545440, 1170545471, 'SC', 'Seychelles'),
(34772, '69.197.27.64', '69.197.27.187', 1170545472, 1170545595, 'US', 'United States'),
(34773, '69.197.27.188', '69.197.27.191', 1170545596, 1170545599, 'FR', 'France'),
(34774, '69.197.27.192', '69.197.28.47', 1170545600, 1170545711, 'US', 'United States'),
(34775, '69.197.28.48', '69.197.28.127', 1170545712, 1170545791, 'CN', 'China'),
(34776, '69.197.28.128', '69.197.28.223', 1170545792, 1170545887, 'US', 'United States'),
(34777, '69.197.28.224', '69.197.29.63', 1170545888, 1170545983, 'CN', 'China'),
(34778, '69.197.29.64', '69.197.29.95', 1170545984, 1170546015, 'US', 'United States'),
(34779, '69.197.29.96', '69.197.29.127', 1170546016, 1170546047, 'CN', 'China'),
(34780, '69.197.29.128', '69.197.29.159', 1170546048, 1170546079, 'US', 'United States'),
(34781, '69.197.29.160', '69.197.29.255', 1170546080, 1170546175, 'CN', 'China'),
(34782, '69.197.30.0', '69.197.30.31', 1170546176, 1170546207, 'US', 'United States'),
(34783, '69.197.30.32', '69.197.30.63', 1170546208, 1170546239, 'CN', 'China'),
(34784, '69.197.30.64', '69.197.30.87', 1170546240, 1170546263, 'US', 'United States'),
(34785, '69.197.30.88', '69.197.30.95', 1170546264, 1170546271, 'CN', 'China'),
(34786, '69.197.30.96', '69.197.30.127', 1170546272, 1170546303, 'US', 'United States'),
(34787, '69.197.30.128', '69.197.30.159', 1170546304, 1170546335, 'CN', 'China'),
(34788, '69.197.30.160', '69.197.33.7', 1170546336, 1170546951, 'US', 'United States'),
(34789, '69.197.33.8', '69.197.33.11', 1170546952, 1170546955, 'CN', 'China'),
(34790, '69.197.33.12', '69.197.33.19', 1170546956, 1170546963, 'US', 'United States'),
(34791, '69.197.33.20', '69.197.33.23', 1170546964, 1170546967, 'AU', 'Australia'),
(34792, '69.197.33.24', '69.197.33.31', 1170546968, 1170546975, 'CN', 'China'),
(34793, '69.197.33.32', '69.197.33.47', 1170546976, 1170546991, 'US', 'United States'),
(34794, '69.197.33.48', '69.197.33.127', 1170546992, 1170547071, 'CN', 'China'),
(34795, '69.197.33.128', '69.197.33.191', 1170547072, 1170547135, 'US', 'United States'),
(34796, '69.197.33.192', '69.197.34.15', 1170547136, 1170547215, 'CN', 'China'),
(34797, '69.197.34.16', '69.197.34.127', 1170547216, 1170547327, 'US', 'United States'),
(34798, '69.197.34.128', '69.197.34.191', 1170547328, 1170547391, 'CN', 'China'),
(34799, '69.197.34.192', '69.197.34.255', 1170547392, 1170547455, 'US', 'United States'),
(34800, '69.197.35.0', '69.197.36.127', 1170547456, 1170547839, 'CN', 'China'),
(34801, '69.197.36.128', '69.197.36.159', 1170547840, 1170547871, 'US', 'United States'),
(34802, '69.197.36.160', '69.197.36.255', 1170547872, 1170547967, 'CN', 'China'),
(34803, '69.197.37.0', '69.197.38.67', 1170547968, 1170548291, 'US', 'United States'),
(34804, '69.197.38.68', '69.197.38.95', 1170548292, 1170548319, 'CN', 'China'),
(34805, '69.197.38.96', '69.197.38.255', 1170548320, 1170548479, 'US', 'United States'),
(34806, '69.197.39.0', '69.197.39.7', 1170548480, 1170548487, 'CN', 'China'),
(34807, '69.197.39.8', '69.197.39.39', 1170548488, 1170548519, 'US', 'United States'),
(34808, '69.197.39.40', '69.197.39.47', 1170548520, 1170548527, 'CN', 'China'),
(34809, '69.197.39.48', '69.197.39.95', 1170548528, 1170548575, 'US', 'United States'),
(34810, '69.197.39.96', '69.197.39.111', 1170548576, 1170548591, 'CN', 'China'),
(34811, '69.197.39.112', '69.197.39.119', 1170548592, 1170548599, 'US', 'United States'),
(34812, '69.197.39.120', '69.197.39.127', 1170548600, 1170548607, 'CN', 'China'),
(34813, '69.197.39.128', '69.197.39.255', 1170548608, 1170548735, 'US', 'United States'),
(34814, '69.197.40.0', '69.197.40.63', 1170548736, 1170548799, 'CN', 'China'),
(34815, '69.197.40.64', '69.197.40.79', 1170548800, 1170548815, 'US', 'United States'),
(34816, '69.197.40.80', '69.197.40.143', 1170548816, 1170548879, 'CN', 'China'),
(34817, '69.197.40.144', '69.197.40.151', 1170548880, 1170548887, 'US', 'United States'),
(34818, '69.197.40.152', '69.197.40.191', 1170548888, 1170548927, 'CN', 'China'),
(34819, '69.197.40.192', '69.197.41.255', 1170548928, 1170549247, 'US', 'United States'),
(34820, '69.197.42.0', '69.197.42.31', 1170549248, 1170549279, 'CN', 'China'),
(34821, '69.197.42.32', '69.197.42.95', 1170549280, 1170549343, 'US', 'United States'),
(34822, '69.197.42.96', '69.197.42.111', 1170549344, 1170549359, 'CN', 'China'),
(34823, '69.197.42.112', '69.197.42.115', 1170549360, 1170549363, 'US', 'United States'),
(34824, '69.197.42.116', '69.197.42.123', 1170549364, 1170549371, 'CN', 'China'),
(34825, '69.197.42.124', '69.197.42.255', 1170549372, 1170549503, 'US', 'United States'),
(34826, '69.197.43.0', '69.197.43.31', 1170549504, 1170549535, 'KR', 'Korea, Republic of'),
(34827, '69.197.43.32', '69.197.44.63', 1170549536, 1170549823, 'US', 'United States'),
(34828, '69.197.44.64', '69.197.44.127', 1170549824, 1170549887, 'CN', 'China'),
(34829, '69.197.44.128', '69.197.44.255', 1170549888, 1170550015, 'US', 'United States'),
(34830, '69.197.45.0', '69.197.45.127', 1170550016, 1170550143, 'CN', 'China'),
(34831, '69.197.45.128', '69.197.45.255', 1170550144, 1170550271, 'US', 'United States'),
(34832, '69.197.46.0', '69.197.47.15', 1170550272, 1170550543, 'CN', 'China'),
(34833, '69.197.47.16', '69.197.47.23', 1170550544, 1170550551, 'US', 'United States'),
(34834, '69.197.47.24', '69.197.47.31', 1170550552, 1170550559, 'CN', 'China'),
(34835, '69.197.47.32', '69.197.47.39', 1170550560, 1170550567, 'US', 'United States'),
(34836, '69.197.47.40', '69.197.47.47', 1170550568, 1170550575, 'CN', 'China'),
(34837, '69.197.47.48', '69.197.47.63', 1170550576, 1170550591, 'US', 'United States'),
(34838, '69.197.47.64', '69.197.47.95', 1170550592, 1170550623, 'CN', 'China'),
(34839, '69.197.47.96', '69.197.47.159', 1170550624, 1170550687, 'US', 'United States'),
(34840, '69.197.47.160', '69.197.47.191', 1170550688, 1170550719, 'CN', 'China'),
(34841, '69.197.47.192', '69.197.47.255', 1170550720, 1170550783, 'US', 'United States'),
(34842, '69.197.48.0', '69.197.48.255', 1170550784, 1170551039, 'CN', 'China'),
(34843, '69.197.49.0', '69.197.49.255', 1170551040, 1170551295, 'US', 'United States'),
(34844, '69.197.50.0', '69.197.50.111', 1170551296, 1170551407, 'CN', 'China'),
(34845, '69.197.50.112', '69.197.50.119', 1170551408, 1170551415, 'US', 'United States'),
(34846, '69.197.50.120', '69.197.50.127', 1170551416, 1170551423, 'CN', 'China'),
(34847, '69.197.50.128', '69.197.50.143', 1170551424, 1170551439, 'US', 'United States'),
(34848, '69.197.50.144', '69.197.50.167', 1170551440, 1170551463, 'CN', 'China'),
(34849, '69.197.50.168', '69.197.50.191', 1170551464, 1170551487, 'US', 'United States'),
(34850, '69.197.50.192', '69.197.51.191', 1170551488, 1170551743, 'CN', 'China'),
(34851, '69.197.51.192', '69.197.51.255', 1170551744, 1170551807, 'US', 'United States'),
(34852, '69.197.52.0', '69.197.54.255', 1170551808, 1170552575, 'KH', 'Cambodia'),
(34853, '69.197.55.0', '69.197.55.7', 1170552576, 1170552583, 'CN', 'China'),
(34854, '69.197.55.8', '69.197.55.15', 1170552584, 1170552591, 'US', 'United States'),
(34855, '69.197.55.16', '69.197.55.23', 1170552592, 1170552599, 'CN', 'China'),
(34856, '69.197.55.24', '69.197.55.79', 1170552600, 1170552655, 'US', 'United States'),
(34857, '69.197.55.80', '69.197.55.87', 1170552656, 1170552663, 'CN', 'China'),
(34858, '69.197.55.88', '69.197.55.255', 1170552664, 1170552831, 'US', 'United States'),
(34859, '69.197.56.0', '69.197.56.7', 1170552832, 1170552839, 'MY', 'Malaysia'),
(34860, '69.197.56.8', '69.197.56.31', 1170552840, 1170552863, 'CN', 'China'),
(34861, '69.197.56.32', '69.197.56.255', 1170552864, 1170553087, 'US', 'United States'),
(34862, '69.197.57.0', '69.197.57.63', 1170553088, 1170553151, 'GB', 'United Kingdom'),
(34863, '69.197.57.64', '69.197.57.127', 1170553152, 1170553215, 'CN', 'China'),
(34864, '69.197.57.128', '69.197.57.143', 1170553216, 1170553231, 'US', 'United States'),
(34865, '69.197.57.144', '69.197.58.63', 1170553232, 1170553407, 'CN', 'China'),
(34866, '69.197.58.64', '69.197.58.87', 1170553408, 1170553431, 'US', 'United States'),
(34867, '69.197.58.88', '69.197.58.95', 1170553432, 1170553439, 'CN', 'China'),
(34868, '69.197.58.96', '69.197.58.127', 1170553440, 1170553471, 'US', 'United States'),
(34869, '69.197.58.128', '69.197.58.191', 1170553472, 1170553535, 'PK', 'Pakistan'),
(34870, '69.197.58.192', '69.197.59.15', 1170553536, 1170553615, 'US', 'United States'),
(34871, '69.197.59.16', '69.197.59.19', 1170553616, 1170553619, 'SA', 'Saudi Arabia'),
(34872, '69.197.59.20', '69.197.59.27', 1170553620, 1170553627, 'US', 'United States'),
(34873, '69.197.59.28', '69.197.59.31', 1170553628, 1170553631, 'CN', 'China'),
(34874, '69.197.59.32', '69.197.59.35', 1170553632, 1170553635, 'US', 'United States'),
(34875, '69.197.59.36', '69.197.59.43', 1170553636, 1170553643, 'SA', 'Saudi Arabia'),
(34876, '69.197.59.44', '69.197.59.47', 1170553644, 1170553647, 'US', 'United States'),
(34877, '69.197.59.48', '69.197.59.51', 1170553648, 1170553651, 'BR', 'Brazil'),
(34878, '69.197.59.52', '69.197.59.55', 1170553652, 1170553655, 'TR', 'Turkey'),
(34879, '69.197.59.56', '69.197.59.59', 1170553656, 1170553659, 'US', 'United States'),
(34880, '69.197.59.60', '69.197.59.63', 1170553660, 1170553663, 'GB', 'United Kingdom'),
(34881, '69.197.59.64', '69.197.59.67', 1170553664, 1170553667, 'SA', 'Saudi Arabia'),
(34882, '69.197.59.68', '69.197.59.75', 1170553668, 1170553675, 'US', 'United States'),
(34883, '69.197.59.76', '69.197.59.79', 1170553676, 1170553679, 'GB', 'United Kingdom'),
(34884, '69.197.59.80', '69.197.59.87', 1170553680, 1170553687, 'CN', 'China'),
(34885, '69.197.59.88', '69.197.59.91', 1170553688, 1170553691, 'US', 'United States'),
(34886, '69.197.59.92', '69.197.59.95', 1170553692, 1170553695, 'PK', 'Pakistan'),
(34887, '69.197.59.96', '69.197.59.255', 1170553696, 1170553855, 'US', 'United States'),
(34888, '69.197.60.0', '69.197.60.127', 1170553856, 1170553983, 'MY', 'Malaysia'),
(34889, '69.197.60.128', '69.197.61.23', 1170553984, 1170554135, 'CN', 'China'),
(34890, '69.197.61.24', '69.197.61.39', 1170554136, 1170554151, 'US', 'United States'),
(34891, '69.197.61.40', '69.197.61.47', 1170554152, 1170554159, 'CN', 'China'),
(34892, '69.197.61.48', '69.197.61.79', 1170554160, 1170554191, 'US', 'United States'),
(34893, '69.197.61.80', '69.197.61.87', 1170554192, 1170554199, 'CN', 'China'),
(34894, '69.197.61.88', '69.197.61.255', 1170554200, 1170554367, 'US', 'United States'),
(34895, '69.197.62.0', '69.197.62.111', 1170554368, 1170554479, 'CN', 'China'),
(34896, '69.197.62.112', '69.197.62.115', 1170554480, 1170554483, 'US', 'United States'),
(34897, '69.197.62.116', '69.197.62.119', 1170554484, 1170554487, 'BD', 'Bangladesh'),
(34898, '69.197.62.120', '69.197.62.191', 1170554488, 1170554559, 'CN', 'China'),
(34899, '69.197.62.192', '69.197.63.39', 1170554560, 1170554663, 'US', 'United States'),
(34900, '69.197.63.40', '69.197.63.47', 1170554664, 1170554671, 'CN', 'China'),
(34901, '69.197.63.48', '69.197.63.51', 1170554672, 1170554675, 'US', 'United States'),
(34902, '69.197.63.52', '69.197.63.55', 1170554676, 1170554679, 'CZ', 'Czech Republic'),
(34903, '69.197.63.56', '69.197.63.59', 1170554680, 1170554683, 'US', 'United States'),
(34904, '69.197.63.60', '69.197.63.63', 1170554684, 1170554687, 'TR', 'Turkey'),
(34905, '69.197.63.64', '69.197.63.87', 1170554688, 1170554711, 'US', 'United States'),
(34906, '69.197.63.88', '69.197.63.91', 1170554712, 1170554715, 'PK', 'Pakistan'),
(34907, '69.197.63.92', '69.197.136.63', 1170554716, 1170573375, 'US', 'United States'),
(34908, '69.197.136.64', '69.197.136.79', 1170573376, 1170573391, 'RU', 'Russian Federation'),
(34909, '69.197.136.80', '69.197.136.80', 1170573392, 1170573392, 'US', 'United States'),
(34910, '69.197.136.81', '69.197.136.81', 1170573393, 1170573393, 'RU', 'Russian Federation'),
(34911, '69.197.136.82', '69.197.136.82', 1170573394, 1170573394, 'US', 'United States'),
(34912, '69.197.136.83', '69.197.136.127', 1170573395, 1170573439, 'RU', 'Russian Federation'),
(34913, '69.197.136.128', '69.197.181.215', 1170573440, 1170585047, 'US', 'United States'),
(34914, '69.197.181.216', '69.197.181.223', 1170585048, 1170585055, 'RU', 'Russian Federation'),
(34915, '69.197.181.224', '70.23.255.255', 1170585056, 1175977983, 'US', 'United States'),
(34916, '70.24.0.0', '70.25.96.71', 1175977984, 1176068167, 'CA', 'Canada'),
(34917, '70.25.96.72', '70.25.96.79', 1176068168, 1176068175, 'US', 'United States'),
(34918, '70.25.96.80', '70.25.96.95', 1176068176, 1176068191, 'CA', 'Canada'),
(34919, '70.25.96.96', '70.25.96.111', 1176068192, 1176068207, 'US', 'United States'),
(34920, '70.25.96.112', '70.25.99.143', 1176068208, 1176069007, 'CA', 'Canada'),
(34921, '70.25.99.144', '70.25.99.159', 1176069008, 1176069023, 'US', 'United States'),
(34922, '70.25.99.160', '70.25.224.159', 1176069024, 1176101023, 'CA', 'Canada'),
(34923, '70.25.224.160', '70.25.224.175', 1176101024, 1176101039, 'US', 'United States'),
(34924, '70.25.224.176', '70.25.254.7', 1176101040, 1176108551, 'CA', 'Canada'),
(34925, '70.25.254.8', '70.25.254.15', 1176108552, 1176108559, 'US', 'United States'),
(34926, '70.25.254.16', '70.31.255.255', 1176108560, 1176502271, 'CA', 'Canada'),
(34927, '70.32.0.0', '70.32.37.87', 1176502272, 1176511831, 'US', 'United States'),
(34928, '70.32.37.88', '70.32.37.95', 1176511832, 1176511839, 'CA', 'Canada'),
(34929, '70.32.37.96', '70.32.38.175', 1176511840, 1176512175, 'US', 'United States'),
(34930, '70.32.38.176', '70.32.38.183', 1176512176, 1176512183, 'CA', 'Canada'),
(34931, '70.32.38.184', '70.32.40.191', 1176512184, 1176512703, 'US', 'United States'),
(34932, '70.32.40.192', '70.32.40.199', 1176512704, 1176512711, 'ZA', 'South Africa'),
(34933, '70.32.40.200', '70.32.43.199', 1176512712, 1176513479, 'US', 'United States'),
(34934, '70.32.43.200', '70.32.43.207', 1176513480, 1176513487, 'CA', 'Canada'),
(34935, '70.32.43.208', '70.32.45.87', 1176513488, 1176513879, 'US', 'United States'),
(34936, '70.32.45.88', '70.32.45.95', 1176513880, 1176513887, 'GB', 'United Kingdom'),
(34937, '70.32.45.96', '70.32.46.223', 1176513888, 1176514271, 'US', 'United States'),
(34938, '70.32.46.224', '70.32.46.255', 1176514272, 1176514303, 'IN', 'India'),
(34939, '70.32.47.0', '70.33.162.255', 1176514304, 1176609535, 'US', 'United States'),
(34940, '70.33.163.0', '70.33.163.47', 1176609536, 1176609583, 'CA', 'Canada'),
(34941, '70.33.163.48', '70.33.163.63', 1176609584, 1176609599, 'US', 'United States'),
(34942, '70.33.163.64', '70.33.163.79', 1176609600, 1176609615, 'CA', 'Canada'),
(34943, '70.33.163.80', '70.33.163.95', 1176609616, 1176609631, 'US', 'United States'),
(34944, '70.33.163.96', '70.33.163.127', 1176609632, 1176609663, 'CA', 'Canada'),
(34945, '70.33.163.128', '70.33.180.39', 1176609664, 1176613927, 'US', 'United States'),
(34946, '70.33.180.40', '70.33.180.47', 1176613928, 1176613935, 'CA', 'Canada'),
(34947, '70.33.180.48', '70.33.191.255', 1176613936, 1176616959, 'US', 'United States'),
(34948, '70.33.192.0', '70.33.204.15', 1176616960, 1176620047, 'CA', 'Canada'),
(34949, '70.33.204.16', '70.33.204.23', 1176620048, 1176620055, 'US', 'United States'),
(34950, '70.33.204.24', '70.33.204.63', 1176620056, 1176620095, 'CA', 'Canada'),
(34951, '70.33.204.64', '70.33.204.95', 1176620096, 1176620127, 'US', 'United States'),
(34952, '70.33.204.96', '70.33.204.143', 1176620128, 1176620175, 'CA', 'Canada'),
(34953, '70.33.204.144', '70.33.204.151', 1176620176, 1176620183, 'US', 'United States'),
(34954, '70.33.204.152', '70.33.204.191', 1176620184, 1176620223, 'CA', 'Canada'),
(34955, '70.33.204.192', '70.33.204.223', 1176620224, 1176620255, 'US', 'United States'),
(34956, '70.33.204.224', '70.33.204.255', 1176620256, 1176620287, 'CA', 'Canada'),
(34957, '70.33.205.0', '70.33.205.31', 1176620288, 1176620319, 'US', 'United States'),
(34958, '70.33.205.32', '70.33.205.199', 1176620320, 1176620487, 'CA', 'Canada'),
(34959, '70.33.205.200', '70.33.205.223', 1176620488, 1176620511, 'US', 'United States'),
(34960, '70.33.205.224', '70.33.206.199', 1176620512, 1176620743, 'CA', 'Canada'),
(34961, '70.33.206.200', '70.33.206.239', 1176620744, 1176620783, 'US', 'United States'),
(34962, '70.33.206.240', '70.33.207.63', 1176620784, 1176620863, 'CA', 'Canada'),
(34963, '70.33.207.64', '70.33.207.79', 1176620864, 1176620879, 'US', 'United States'),
(34964, '70.33.207.80', '70.33.207.111', 1176620880, 1176620911, 'CA', 'Canada'),
(34965, '70.33.207.112', '70.33.207.127', 1176620912, 1176620927, 'US', 'United States'),
(34966, '70.33.207.128', '70.33.207.167', 1176620928, 1176620967, 'CA', 'Canada'),
(34967, '70.33.207.168', '70.33.207.175', 1176620968, 1176620975, 'US', 'United States'),
(34968, '70.33.207.176', '70.33.207.191', 1176620976, 1176620991, 'CA', 'Canada'),
(34969, '70.33.207.192', '70.33.207.199', 1176620992, 1176620999, 'US', 'United States'),
(34970, '70.33.207.200', '70.33.210.31', 1176621000, 1176621599, 'CA', 'Canada'),
(34971, '70.33.210.32', '70.33.210.63', 1176621600, 1176621631, 'US', 'United States'),
(34972, '70.33.210.64', '70.33.210.127', 1176621632, 1176621695, 'CA', 'Canada'),
(34973, '70.33.210.128', '70.33.210.159', 1176621696, 1176621727, 'US', 'United States'),
(34974, '70.33.210.160', '70.33.210.191', 1176621728, 1176621759, 'CA', 'Canada'),
(34975, '70.33.210.192', '70.33.210.255', 1176621760, 1176621823, 'US', 'United States'),
(34976, '70.33.211.0', '70.33.211.39', 1176621824, 1176621863, 'CA', 'Canada'),
(34977, '70.33.211.40', '70.33.211.63', 1176621864, 1176621887, 'US', 'United States'),
(34978, '70.33.211.64', '70.33.211.223', 1176621888, 1176622047, 'CA', 'Canada'),
(34979, '70.33.211.224', '70.33.211.255', 1176622048, 1176622079, 'US', 'United States'),
(34980, '70.33.212.0', '70.33.212.255', 1176622080, 1176622335, 'GB', 'United Kingdom'),
(34981, '70.33.213.0', '70.33.213.95', 1176622336, 1176622431, 'CA', 'Canada'),
(34982, '70.33.213.96', '70.33.213.119', 1176622432, 1176622455, 'US', 'United States'),
(34983, '70.33.213.120', '70.33.213.223', 1176622456, 1176622559, 'CA', 'Canada'),
(34984, '70.33.213.224', '70.33.213.255', 1176622560, 1176622591, 'US', 'United States'),
(34985, '70.33.214.0', '70.33.217.207', 1176622592, 1176623567, 'CA', 'Canada'),
(34986, '70.33.217.208', '70.33.217.223', 1176623568, 1176623583, 'US', 'United States'),
(34987, '70.33.217.224', '70.33.217.255', 1176623584, 1176623615, 'CA', 'Canada'),
(34988, '70.33.218.0', '70.33.218.255', 1176623616, 1176623871, 'US', 'United States'),
(34989, '70.33.219.0', '70.33.240.31', 1176623872, 1176629279, 'CA', 'Canada'),
(34990, '70.33.240.32', '70.33.240.47', 1176629280, 1176629295, 'US', 'United States'),
(34991, '70.33.240.48', '70.33.240.55', 1176629296, 1176629303, 'CA', 'Canada'),
(34992, '70.33.240.56', '70.33.240.63', 1176629304, 1176629311, 'US', 'United States'),
(34993, '70.33.240.64', '70.33.240.95', 1176629312, 1176629343, 'CA', 'Canada'),
(34994, '70.33.240.96', '70.33.240.127', 1176629344, 1176629375, 'US', 'United States'),
(34995, '70.33.240.128', '70.33.240.191', 1176629376, 1176629439, 'GI', 'Gibraltar'),
(34996, '70.33.240.192', '70.33.240.207', 1176629440, 1176629455, 'CA', 'Canada'),
(34997, '70.33.240.208', '70.33.240.215', 1176629456, 1176629463, 'GI', 'Gibraltar'),
(34998, '70.33.240.216', '70.33.240.255', 1176629464, 1176629503, 'US', 'United States'),
(34999, '70.33.241.0', '70.33.241.15', 1176629504, 1176629519, 'CA', 'Canada'),
(35000, '70.33.241.16', '70.33.241.31', 1176629520, 1176629535, 'NZ', 'New Zealand'),
(35001, '70.33.241.32', '70.33.241.191', 1176629536, 1176629695, 'CA', 'Canada'),
(35002, '70.33.241.192', '70.33.241.223', 1176629696, 1176629727, 'US', 'United States'),
(35003, '70.33.241.224', '70.33.241.255', 1176629728, 1176629759, 'CA', 'Canada'),
(35004, '70.33.242.0', '70.33.243.255', 1176629760, 1176630271, 'US', 'United States'),
(35005, '70.33.244.0', '70.33.247.255', 1176630272, 1176631295, 'CA', 'Canada'),
(35006, '70.33.248.0', '70.33.248.127', 1176631296, 1176631423, 'NL', 'Netherlands'),
(35007, '70.33.248.128', '70.34.111.255', 1176631424, 1176662015, 'US', 'United States'),
(35008, '70.34.112.0', '70.34.127.255', 1176662016, 1176666111, 'CA', 'Canada'),
(35009, '70.34.128.0', '70.35.15.255', 1176666112, 1176702975, 'US', 'United States'),
(35010, '70.35.16.0', '70.35.31.255', 1176702976, 1176707071, 'CA', 'Canada'),
(35011, '70.35.32.0', '70.35.127.255', 1176707072, 1176731647, 'US', 'United States'),
(35012, '70.35.128.0', '70.35.143.255', 1176731648, 1176735743, 'PR', 'Puerto Rico'),
(35013, '70.35.144.0', '70.35.159.255', 1176735744, 1176739839, 'A2', 'Satellite Provider'),
(35014, '70.35.160.0', '70.35.175.255', 1176739840, 1176743935, 'CA', 'Canada'),
(35015, '70.35.176.0', '70.35.207.255', 1176743936, 1176752127, 'US', 'United States'),
(35016, '70.35.208.0', '70.35.223.255', 1176752128, 1176756223, 'CA', 'Canada'),
(35017, '70.35.224.0', '70.35.255.255', 1176756224, 1176764415, 'US', 'United States'),
(35018, '70.36.0.0', '70.36.15.255', 1176764416, 1176768511, 'PM', 'Saint Pierre and Miquelon'),
(35019, '70.36.16.0', '70.36.24.191', 1176768512, 1176770751, 'US', 'United States'),
(35020, '70.36.24.192', '70.36.24.223', 1176770752, 1176770783, 'AE', 'United Arab Emirates'),
(35021, '70.36.24.224', '70.36.24.239', 1176770784, 1176770799, 'US', 'United States'),
(35022, '70.36.24.240', '70.36.24.243', 1176770800, 1176770803, 'KR', 'Korea, Republic of'),
(35023, '70.36.24.244', '70.36.24.251', 1176770804, 1176770811, 'US', 'United States'),
(35024, '70.36.24.252', '70.36.24.255', 1176770812, 1176770815, 'CA', 'Canada'),
(35025, '70.36.25.0', '70.36.25.15', 1176770816, 1176770831, 'US', 'United States'),
(35026, '70.36.25.16', '70.36.25.31', 1176770832, 1176770847, 'BR', 'Brazil'),
(35027, '70.36.25.32', '70.36.25.35', 1176770848, 1176770851, 'BM', 'Bermuda'),
(35028, '70.36.25.36', '70.36.25.103', 1176770852, 1176770919, 'US', 'United States'),
(35029, '70.36.25.104', '70.36.25.111', 1176770920, 1176770927, 'BR', 'Brazil'),
(35030, '70.36.25.112', '70.36.25.119', 1176770928, 1176770935, 'DO', 'Dominican Republic'),
(35031, '70.36.25.120', '70.36.26.255', 1176770936, 1176771327, 'US', 'United States'),
(35032, '70.36.27.0', '70.36.27.255', 1176771328, 1176771583, 'KR', 'Korea, Republic of'),
(35033, '70.36.28.0', '70.36.29.55', 1176771584, 1176771895, 'US', 'United States'),
(35034, '70.36.29.56', '70.36.29.63', 1176771896, 1176771903, 'AE', 'United Arab Emirates'),
(35035, '70.36.29.64', '70.36.29.239', 1176771904, 1176772079, 'US', 'United States'),
(35036, '70.36.29.240', '70.36.29.255', 1176772080, 1176772095, 'DO', 'Dominican Republic'),
(35037, '70.36.30.0', '70.36.47.255', 1176772096, 1176776703, 'US', 'United States'),
(35038, '70.36.48.0', '70.36.63.255', 1176776704, 1176780799, 'CA', 'Canada'),
(35039, '70.36.64.0', '70.37.255.255', 1176780800, 1176895487, 'US', 'United States'),
(35040, '70.38.0.0', '70.38.4.7', 1176895488, 1176896519, 'CA', 'Canada'),
(35041, '70.38.4.8', '70.38.4.15', 1176896520, 1176896527, 'MX', 'Mexico'),
(35042, '70.38.4.16', '70.38.4.31', 1176896528, 1176896543, 'CA', 'Canada'),
(35043, '70.38.4.32', '70.38.4.39', 1176896544, 1176896551, 'MX', 'Mexico'),
(35044, '70.38.4.40', '70.38.6.23', 1176896552, 1176897047, 'CA', 'Canada'),
(35045, '70.38.6.24', '70.38.6.31', 1176897048, 1176897055, 'US', 'United States'),
(35046, '70.38.6.32', '70.38.14.79', 1176897056, 1176899151, 'CA', 'Canada'),
(35047, '70.38.14.80', '70.38.14.87', 1176899152, 1176899159, 'KZ', 'Kazakhstan'),
(35048, '70.38.14.88', '70.38.49.191', 1176899160, 1176908223, 'CA', 'Canada'),
(35049, '70.38.49.192', '70.38.49.199', 1176908224, 1176908231, 'MX', 'Mexico'),
(35050, '70.38.49.200', '70.38.55.103', 1176908232, 1176909671, 'CA', 'Canada'),
(35051, '70.38.55.104', '70.38.55.111', 1176909672, 1176909679, 'US', 'United States'),
(35052, '70.38.55.112', '70.38.87.71', 1176909680, 1176917831, 'CA', 'Canada'),
(35053, '70.38.87.72', '70.38.87.79', 1176917832, 1176917839, 'AU', 'Australia'),
(35054, '70.38.87.80', '70.38.115.79', 1176917840, 1176925007, 'CA', 'Canada'),
(35055, '70.38.115.80', '70.38.115.87', 1176925008, 1176925015, 'NG', 'Nigeria'),
(35056, '70.38.115.88', '70.38.127.255', 1176925016, 1176928255, 'CA', 'Canada'),
(35057, '70.38.128.0', '70.39.141.255', 1176928256, 1176997375, 'US', 'United States'),
(35058, '70.39.142.0', '70.39.142.31', 1176997376, 1176997407, 'GB', 'United Kingdom'),
(35059, '70.39.142.32', '70.39.241.255', 1176997408, 1177022975, 'US', 'United States'),
(35060, '70.39.242.0', '70.39.242.255', 1177022976, 1177023231, 'GB', 'United Kingdom'),
(35061, '70.39.243.0', '70.40.15.255', 1177023232, 1177030655, 'US', 'United States'),
(35062, '70.40.16.0', '70.40.27.255', 1177030656, 1177033727, 'AG', 'Antigua and Barbuda'),
(35063, '70.40.28.0', '70.40.105.255', 1177033728, 1177053695, 'US', 'United States'),
(35064, '70.40.106.0', '70.40.106.255', 1177053696, 1177053951, 'GB', 'United Kingdom'),
(35065, '70.40.107.0', '70.40.127.255', 1177053952, 1177059327, 'US', 'United States'),
(35066, '70.40.128.0', '70.40.135.255', 1177059328, 1177061375, 'CA', 'Canada'),
(35067, '70.40.136.0', '70.40.138.255', 1177061376, 1177062143, 'US', 'United States'),
(35068, '70.40.139.0', '70.40.190.255', 1177062144, 1177075455, 'CA', 'Canada'),
(35069, '70.40.191.0', '70.42.25.223', 1177075456, 1177164255, 'US', 'United States'),
(35070, '70.42.25.224', '70.42.25.231', 1177164256, 1177164263, 'CA', 'Canada'),
(35071, '70.42.25.232', '70.42.26.127', 1177164264, 1177164415, 'US', 'United States'),
(35072, '70.42.26.128', '70.42.26.191', 1177164416, 1177164479, 'CA', 'Canada'),
(35073, '70.42.26.192', '70.42.26.223', 1177164480, 1177164511, 'US', 'United States'),
(35074, '70.42.26.224', '70.42.26.255', 1177164512, 1177164543, 'CA', 'Canada'),
(35075, '70.42.27.0', '70.42.28.63', 1177164544, 1177164863, 'US', 'United States'),
(35076, '70.42.28.64', '70.42.28.95', 1177164864, 1177164895, 'CA', 'Canada'),
(35077, '70.42.28.96', '70.42.28.127', 1177164896, 1177164927, 'US', 'United States'),
(35078, '70.42.28.128', '70.42.28.143', 1177164928, 1177164943, 'CA', 'Canada'),
(35079, '70.42.28.144', '70.42.29.2', 1177164944, 1177165058, 'US', 'United States'),
(35080, '70.42.29.3', '70.42.29.3', 1177165059, 1177165059, 'A1', 'Anonymous Proxy'),
(35081, '70.42.29.4', '70.42.29.255', 1177165060, 1177165311, 'US', 'United States'),
(35082, '70.42.30.0', '70.42.31.255', 1177165312, 1177165823, 'CA', 'Canada'),
(35083, '70.42.32.0', '70.42.39.127', 1177165824, 1177167743, 'US', 'United States'),
(35084, '70.42.39.128', '70.42.39.135', 1177167744, 1177167751, 'LB', 'Lebanon'),
(35085, '70.42.39.136', '70.42.39.223', 1177167752, 1177167839, 'US', 'United States'),
(35086, '70.42.39.224', '70.42.39.231', 1177167840, 1177167847, 'IL', 'Israel'),
(35087, '70.42.39.232', '70.42.41.95', 1177167848, 1177168223, 'US', 'United States'),
(35088, '70.42.41.96', '70.42.41.103', 1177168224, 1177168231, 'IE', 'Ireland'),
(35089, '70.42.41.104', '70.42.68.159', 1177168232, 1177175199, 'US', 'United States'),
(35090, '70.42.68.160', '70.42.68.191', 1177175200, 1177175231, 'CZ', 'Czech Republic'),
(35091, '70.42.68.192', '70.42.97.63', 1177175232, 1177182527, 'US', 'United States'),
(35092, '70.42.97.64', '70.42.97.127', 1177182528, 1177182591, 'CA', 'Canada'),
(35093, '70.42.97.128', '70.42.117.79', 1177182592, 1177187663, 'US', 'United States'),
(35094, '70.42.117.80', '70.42.117.87', 1177187664, 1177187671, 'GB', 'United Kingdom'),
(35095, '70.42.117.88', '70.42.208.103', 1177187672, 1177210983, 'US', 'United States'),
(35096, '70.42.208.104', '70.42.208.127', 1177210984, 1177211007, 'FR', 'France'),
(35097, '70.42.208.128', '70.44.255.255', 1177211008, 1177354239, 'US', 'United States'),
(35098, '70.45.0.0', '70.45.255.255', 1177354240, 1177419775, 'PR', 'Puerto Rico'),
(35099, '70.46.0.0', '70.47.78.121', 1177419776, 1177505401, 'US', 'United States'),
(35100, '70.47.78.122', '70.47.78.122', 1177505402, 1177505402, 'BB', 'Barbados'),
(35101, '70.47.78.123', '70.47.255.255', 1177505403, 1177550847, 'US', 'United States'),
(35102, '70.48.0.0', '70.54.222.15', 1177550848, 1178000911, 'CA', 'Canada'),
(35103, '70.54.222.16', '70.54.222.23', 1178000912, 1178000919, 'US', 'United States'),
(35104, '70.54.222.24', '70.55.255.255', 1178000920, 1178075135, 'CA', 'Canada'),
(35105, '70.56.0.0', '70.63.255.255', 1178075136, 1178599423, 'US', 'United States'),
(35106, '70.64.0.0', '70.83.255.255', 1178599424, 1179910143, 'CA', 'Canada'),
(35107, '70.84.0.0', '70.84.56.169', 1179910144, 1179924649, 'US', 'United States'),
(35108, '70.84.56.170', '70.84.56.170', 1179924650, 1179924650, 'A1', 'Anonymous Proxy'),
(35109, '70.84.56.171', '70.84.56.179', 1179924651, 1179924659, 'US', 'United States'),
(35110, '70.84.56.180', '70.84.56.180', 1179924660, 1179924660, 'A1', 'Anonymous Proxy'),
(35111, '70.84.56.181', '70.87.27.255', 1179924661, 1180113919, 'US', 'United States'),
(35112, '70.87.28.0', '70.87.29.255', 1180113920, 1180114431, 'AE', 'United Arab Emirates'),
(35113, '70.87.30.0', '70.87.70.193', 1180114432, 1180124865, 'US', 'United States'),
(35114, '70.87.70.194', '70.87.70.194', 1180124866, 1180124866, 'AE', 'United Arab Emirates'),
(35115, '70.87.70.195', '70.159.15.255', 1180124867, 1184829439, 'US', 'United States'),
(35116, '70.159.16.0', '70.159.16.255', 1184829440, 1184829695, 'A2', 'Satellite Provider'),
(35117, '70.159.17.0', '70.159.21.49', 1184829696, 1184830769, 'US', 'United States'),
(35118, '70.159.21.50', '70.159.21.50', 1184830770, 1184830770, 'A1', 'Anonymous Proxy'),
(35119, '70.159.21.51', '70.232.244.255', 1184830771, 1189672191, 'US', 'United States'),
(35120, '70.232.245.0', '70.232.245.57', 1189672192, 1189672249, 'A1', 'Anonymous Proxy'),
(35121, '70.232.245.58', '70.232.245.59', 1189672250, 1189672251, 'A2', 'Satellite Provider'),
(35122, '70.232.245.60', '70.232.245.255', 1189672252, 1189672447, 'A1', 'Anonymous Proxy'),
(35123, '70.232.246.0', '70.240.141.255', 1189672448, 1190170111, 'US', 'United States'),
(35124, '70.240.142.0', '70.240.142.15', 1190170112, 1190170127, 'UY', 'Uruguay'),
(35125, '70.240.142.16', '70.252.247.31', 1190170128, 1190983455, 'US', 'United States'),
(35126, '70.252.247.32', '70.252.247.63', 1190983456, 1190983487, 'UA', 'Ukraine');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(35127, '70.252.247.64', '71.7.127.255', 1190983488, 1191673855, 'US', 'United States'),
(35128, '71.7.128.0', '71.7.255.255', 1191673856, 1191706623, 'CA', 'Canada'),
(35129, '71.8.0.0', '71.16.255.255', 1191706624, 1192296447, 'US', 'United States'),
(35130, '71.17.0.0', '71.17.255.255', 1192296448, 1192361983, 'CA', 'Canada'),
(35131, '71.18.0.0', '71.18.255.255', 1192361984, 1192427519, 'US', 'United States'),
(35132, '71.19.0.0', '71.19.127.255', 1192427520, 1192460287, 'CA', 'Canada'),
(35133, '71.19.144.0', '71.19.159.255', 1192464384, 1192468479, 'US', 'United States'),
(35134, '71.19.160.0', '71.19.191.255', 1192468480, 1192476671, 'CA', 'Canada'),
(35135, '71.19.192.0', '71.19.239.255', 1192476672, 1192488959, 'US', 'United States'),
(35136, '71.19.240.0', '71.19.255.255', 1192488960, 1192493055, 'CA', 'Canada'),
(35137, '71.20.0.0', '71.130.65.39', 1192493056, 1199718695, 'US', 'United States'),
(35138, '71.130.65.40', '71.130.65.47', 1199718696, 1199718703, 'A2', 'Satellite Provider'),
(35139, '71.130.65.48', '71.130.79.255', 1199718704, 1199722495, 'US', 'United States'),
(35140, '71.130.80.0', '71.130.80.7', 1199722496, 1199722503, 'A2', 'Satellite Provider'),
(35141, '71.130.80.8', '72.0.63.255', 1199722504, 1207975935, 'US', 'United States'),
(35142, '72.0.64.0', '72.0.79.255', 1207975936, 1207980031, 'CA', 'Canada'),
(35143, '72.0.80.0', '72.0.191.255', 1207980032, 1208008703, 'US', 'United States'),
(35144, '72.0.192.0', '72.0.223.255', 1208008704, 1208016895, 'CA', 'Canada'),
(35145, '72.0.224.0', '72.0.239.255', 1208016896, 1208020991, 'US', 'United States'),
(35146, '72.0.240.0', '72.0.255.255', 1208020992, 1208025087, 'CA', 'Canada'),
(35147, '72.1.0.0', '72.1.100.255', 1208025088, 1208050943, 'US', 'United States'),
(35148, '72.1.101.0', '72.1.101.255', 1208050944, 1208051199, 'CA', 'Canada'),
(35149, '72.1.102.0', '72.1.121.47', 1208051200, 1208056111, 'US', 'United States'),
(35150, '72.1.121.48', '72.1.121.63', 1208056112, 1208056127, 'CN', 'China'),
(35151, '72.1.121.64', '72.1.191.255', 1208056128, 1208074239, 'US', 'United States'),
(35152, '72.1.192.0', '72.1.208.191', 1208074240, 1208078527, 'CA', 'Canada'),
(35153, '72.1.208.192', '72.1.208.255', 1208078528, 1208078591, 'US', 'United States'),
(35154, '72.1.209.0', '72.1.223.255', 1208078592, 1208082431, 'CA', 'Canada'),
(35155, '72.1.224.0', '72.1.255.255', 1208082432, 1208090623, 'US', 'United States'),
(35156, '72.2.0.0', '72.2.63.255', 1208090624, 1208107007, 'CA', 'Canada'),
(35157, '72.2.64.0', '72.2.122.175', 1208107008, 1208122031, 'US', 'United States'),
(35158, '72.2.122.176', '72.2.122.191', 1208122032, 1208122047, 'GB', 'United Kingdom'),
(35159, '72.2.122.192', '72.2.122.207', 1208122048, 1208122063, 'CA', 'Canada'),
(35160, '72.2.122.208', '72.3.131.255', 1208122064, 1208189951, 'US', 'United States'),
(35161, '72.3.132.0', '72.3.132.63', 1208189952, 1208190015, 'GB', 'United Kingdom'),
(35162, '72.3.132.64', '72.3.134.79', 1208190016, 1208190543, 'US', 'United States'),
(35163, '72.3.134.80', '72.3.134.95', 1208190544, 1208190559, 'GB', 'United Kingdom'),
(35164, '72.3.134.96', '72.3.134.119', 1208190560, 1208190583, 'US', 'United States'),
(35165, '72.3.134.120', '72.3.134.127', 1208190584, 1208190591, 'GB', 'United Kingdom'),
(35166, '72.3.134.128', '72.3.136.71', 1208190592, 1208191047, 'US', 'United States'),
(35167, '72.3.136.72', '72.3.136.79', 1208191048, 1208191055, 'AU', 'Australia'),
(35168, '72.3.136.80', '72.3.136.111', 1208191056, 1208191087, 'US', 'United States'),
(35169, '72.3.136.112', '72.3.136.119', 1208191088, 1208191095, 'NO', 'Norway'),
(35170, '72.3.136.120', '72.3.136.247', 1208191096, 1208191223, 'US', 'United States'),
(35171, '72.3.136.248', '72.3.136.255', 1208191224, 1208191231, 'BG', 'Bulgaria'),
(35172, '72.3.137.0', '72.3.137.79', 1208191232, 1208191311, 'US', 'United States'),
(35173, '72.3.137.80', '72.3.137.81', 1208191312, 1208191313, 'GB', 'United Kingdom'),
(35174, '72.3.137.82', '72.3.137.85', 1208191314, 1208191317, 'US', 'United States'),
(35175, '72.3.137.86', '72.3.137.87', 1208191318, 1208191319, 'GB', 'United Kingdom'),
(35176, '72.3.137.88', '72.3.137.127', 1208191320, 1208191359, 'US', 'United States'),
(35177, '72.3.137.128', '72.3.137.135', 1208191360, 1208191367, 'GB', 'United Kingdom'),
(35178, '72.3.137.136', '72.3.137.159', 1208191368, 1208191391, 'US', 'United States'),
(35179, '72.3.137.160', '72.3.137.191', 1208191392, 1208191423, 'NO', 'Norway'),
(35180, '72.3.137.192', '72.3.137.215', 1208191424, 1208191447, 'US', 'United States'),
(35181, '72.3.137.216', '72.3.137.223', 1208191448, 1208191455, 'IE', 'Ireland'),
(35182, '72.3.137.224', '72.3.138.79', 1208191456, 1208191567, 'US', 'United States'),
(35183, '72.3.138.80', '72.3.138.87', 1208191568, 1208191575, 'SG', 'Singapore'),
(35184, '72.3.138.88', '72.3.138.159', 1208191576, 1208191647, 'US', 'United States'),
(35185, '72.3.138.160', '72.3.138.167', 1208191648, 1208191655, 'AG', 'Antigua and Barbuda'),
(35186, '72.3.138.168', '72.3.140.167', 1208191656, 1208192167, 'US', 'United States'),
(35187, '72.3.140.168', '72.3.140.175', 1208192168, 1208192175, 'BM', 'Bermuda'),
(35188, '72.3.140.176', '72.3.141.55', 1208192176, 1208192311, 'US', 'United States'),
(35189, '72.3.141.56', '72.3.141.63', 1208192312, 1208192319, 'CA', 'Canada'),
(35190, '72.3.141.64', '72.3.141.103', 1208192320, 1208192359, 'US', 'United States'),
(35191, '72.3.141.104', '72.3.141.111', 1208192360, 1208192367, 'GB', 'United Kingdom'),
(35192, '72.3.141.112', '72.3.143.111', 1208192368, 1208192879, 'US', 'United States'),
(35193, '72.3.143.112', '72.3.143.127', 1208192880, 1208192895, 'MY', 'Malaysia'),
(35194, '72.3.143.128', '72.3.143.135', 1208192896, 1208192903, 'US', 'United States'),
(35195, '72.3.143.136', '72.3.143.143', 1208192904, 1208192911, 'CA', 'Canada'),
(35196, '72.3.143.144', '72.3.143.191', 1208192912, 1208192959, 'US', 'United States'),
(35197, '72.3.143.192', '72.3.143.199', 1208192960, 1208192967, 'IL', 'Israel'),
(35198, '72.3.143.200', '72.3.144.111', 1208192968, 1208193135, 'US', 'United States'),
(35199, '72.3.144.112', '72.3.144.127', 1208193136, 1208193151, 'MY', 'Malaysia'),
(35200, '72.3.144.128', '72.3.145.111', 1208193152, 1208193391, 'US', 'United States'),
(35201, '72.3.145.112', '72.3.145.127', 1208193392, 1208193407, 'AU', 'Australia'),
(35202, '72.3.145.128', '72.3.145.175', 1208193408, 1208193455, 'US', 'United States'),
(35203, '72.3.145.176', '72.3.145.183', 1208193456, 1208193463, 'PA', 'Panama'),
(35204, '72.3.145.184', '72.3.146.63', 1208193464, 1208193599, 'US', 'United States'),
(35205, '72.3.146.64', '72.3.146.79', 1208193600, 1208193615, 'CA', 'Canada'),
(35206, '72.3.146.80', '72.3.147.79', 1208193616, 1208193871, 'US', 'United States'),
(35207, '72.3.147.80', '72.3.147.87', 1208193872, 1208193879, 'AU', 'Australia'),
(35208, '72.3.147.88', '72.3.147.253', 1208193880, 1208194045, 'US', 'United States'),
(35209, '72.3.147.254', '72.3.147.255', 1208194046, 1208194047, 'IL', 'Israel'),
(35210, '72.3.148.0', '72.3.148.143', 1208194048, 1208194191, 'US', 'United States'),
(35211, '72.3.148.144', '72.3.148.175', 1208194192, 1208194223, 'MY', 'Malaysia'),
(35212, '72.3.148.176', '72.3.148.241', 1208194224, 1208194289, 'US', 'United States'),
(35213, '72.3.148.242', '72.3.148.243', 1208194290, 1208194291, 'GB', 'United Kingdom'),
(35214, '72.3.148.244', '72.3.149.207', 1208194292, 1208194511, 'US', 'United States'),
(35215, '72.3.149.208', '72.3.149.209', 1208194512, 1208194513, 'CA', 'Canada'),
(35216, '72.3.149.210', '72.3.149.215', 1208194514, 1208194519, 'US', 'United States'),
(35217, '72.3.149.216', '72.3.149.219', 1208194520, 1208194523, 'AU', 'Australia'),
(35218, '72.3.149.220', '72.3.153.31', 1208194524, 1208195359, 'US', 'United States'),
(35219, '72.3.153.32', '72.3.153.47', 1208195360, 1208195375, 'MY', 'Malaysia'),
(35220, '72.3.153.48', '72.3.153.63', 1208195376, 1208195391, 'US', 'United States'),
(35221, '72.3.153.64', '72.3.153.71', 1208195392, 1208195399, 'IN', 'India'),
(35222, '72.3.153.72', '72.3.153.119', 1208195400, 1208195447, 'US', 'United States'),
(35223, '72.3.153.120', '72.3.153.127', 1208195448, 1208195455, 'GB', 'United Kingdom'),
(35224, '72.3.153.128', '72.3.153.207', 1208195456, 1208195535, 'US', 'United States'),
(35225, '72.3.153.208', '72.3.153.223', 1208195536, 1208195551, 'GB', 'United Kingdom'),
(35226, '72.3.153.224', '72.3.154.119', 1208195552, 1208195703, 'US', 'United States'),
(35227, '72.3.154.120', '72.3.154.127', 1208195704, 1208195711, 'CA', 'Canada'),
(35228, '72.3.154.128', '72.3.154.143', 1208195712, 1208195727, 'TH', 'Thailand'),
(35229, '72.3.154.144', '72.3.154.175', 1208195728, 1208195759, 'US', 'United States'),
(35230, '72.3.154.176', '72.3.154.191', 1208195760, 1208195775, 'BG', 'Bulgaria'),
(35231, '72.3.154.192', '72.3.155.15', 1208195776, 1208195855, 'US', 'United States'),
(35232, '72.3.155.16', '72.3.155.31', 1208195856, 1208195871, 'GB', 'United Kingdom'),
(35233, '72.3.155.32', '72.3.155.47', 1208195872, 1208195887, 'US', 'United States'),
(35234, '72.3.155.48', '72.3.155.63', 1208195888, 1208195903, 'ID', 'Indonesia'),
(35235, '72.3.155.64', '72.3.156.47', 1208195904, 1208196143, 'US', 'United States'),
(35236, '72.3.156.48', '72.3.156.55', 1208196144, 1208196151, 'AU', 'Australia'),
(35237, '72.3.156.56', '72.3.156.231', 1208196152, 1208196327, 'US', 'United States'),
(35238, '72.3.156.232', '72.3.156.239', 1208196328, 1208196335, 'CA', 'Canada'),
(35239, '72.3.156.240', '72.3.157.255', 1208196336, 1208196607, 'US', 'United States'),
(35240, '72.3.158.0', '72.3.158.7', 1208196608, 1208196615, 'CA', 'Canada'),
(35241, '72.3.158.8', '72.3.158.95', 1208196616, 1208196703, 'US', 'United States'),
(35242, '72.3.158.96', '72.3.158.111', 1208196704, 1208196719, 'CA', 'Canada'),
(35243, '72.3.158.112', '72.3.159.87', 1208196720, 1208196951, 'US', 'United States'),
(35244, '72.3.159.88', '72.3.159.95', 1208196952, 1208196959, 'ZA', 'South Africa'),
(35245, '72.3.159.96', '72.3.159.191', 1208196960, 1208197055, 'US', 'United States'),
(35246, '72.3.159.192', '72.3.159.193', 1208197056, 1208197057, 'BR', 'Brazil'),
(35247, '72.3.159.194', '72.3.160.15', 1208197058, 1208197135, 'US', 'United States'),
(35248, '72.3.160.16', '72.3.160.47', 1208197136, 1208197167, 'MY', 'Malaysia'),
(35249, '72.3.160.48', '72.3.160.119', 1208197168, 1208197239, 'US', 'United States'),
(35250, '72.3.160.120', '72.3.160.127', 1208197240, 1208197247, 'CA', 'Canada'),
(35251, '72.3.160.128', '72.3.161.183', 1208197248, 1208197559, 'US', 'United States'),
(35252, '72.3.161.184', '72.3.161.191', 1208197560, 1208197567, 'AU', 'Australia'),
(35253, '72.3.161.192', '72.3.161.203', 1208197568, 1208197579, 'US', 'United States'),
(35254, '72.3.161.204', '72.3.161.207', 1208197580, 1208197583, 'GB', 'United Kingdom'),
(35255, '72.3.161.208', '72.3.161.255', 1208197584, 1208197631, 'US', 'United States'),
(35256, '72.3.162.0', '72.3.162.7', 1208197632, 1208197639, 'AU', 'Australia'),
(35257, '72.3.162.8', '72.3.162.39', 1208197640, 1208197671, 'US', 'United States'),
(35258, '72.3.162.40', '72.3.162.47', 1208197672, 1208197679, 'MX', 'Mexico'),
(35259, '72.3.162.48', '72.3.163.79', 1208197680, 1208197967, 'US', 'United States'),
(35260, '72.3.163.80', '72.3.163.95', 1208197968, 1208197983, 'AU', 'Australia'),
(35261, '72.3.163.96', '72.3.163.151', 1208197984, 1208198039, 'US', 'United States'),
(35262, '72.3.163.152', '72.3.163.159', 1208198040, 1208198047, 'BS', 'Bahamas'),
(35263, '72.3.163.160', '72.3.163.247', 1208198048, 1208198135, 'US', 'United States'),
(35264, '72.3.163.248', '72.3.163.255', 1208198136, 1208198143, 'AU', 'Australia'),
(35265, '72.3.164.0', '72.3.164.15', 1208198144, 1208198159, 'US', 'United States'),
(35266, '72.3.164.16', '72.3.164.23', 1208198160, 1208198167, 'ID', 'Indonesia'),
(35267, '72.3.164.24', '72.3.164.199', 1208198168, 1208198343, 'US', 'United States'),
(35268, '72.3.164.200', '72.3.164.203', 1208198344, 1208198347, 'GB', 'United Kingdom'),
(35269, '72.3.164.204', '72.3.164.205', 1208198348, 1208198349, 'CA', 'Canada'),
(35270, '72.3.164.206', '72.3.165.63', 1208198350, 1208198463, 'US', 'United States'),
(35271, '72.3.165.64', '72.3.165.71', 1208198464, 1208198471, 'CA', 'Canada'),
(35272, '72.3.165.72', '72.3.165.159', 1208198472, 1208198559, 'US', 'United States'),
(35273, '72.3.165.160', '72.3.165.175', 1208198560, 1208198575, 'IN', 'India'),
(35274, '72.3.165.176', '72.3.166.87', 1208198576, 1208198743, 'US', 'United States'),
(35275, '72.3.166.88', '72.3.166.95', 1208198744, 1208198751, 'GB', 'United Kingdom'),
(35276, '72.3.166.96', '72.3.167.143', 1208198752, 1208199055, 'US', 'United States'),
(35277, '72.3.167.144', '72.3.167.151', 1208199056, 1208199063, 'AU', 'Australia'),
(35278, '72.3.167.152', '72.3.167.175', 1208199064, 1208199087, 'US', 'United States'),
(35279, '72.3.167.176', '72.3.167.191', 1208199088, 1208199103, 'MY', 'Malaysia'),
(35280, '72.3.167.192', '72.3.167.215', 1208199104, 1208199127, 'US', 'United States'),
(35281, '72.3.167.216', '72.3.167.217', 1208199128, 1208199129, 'IE', 'Ireland'),
(35282, '72.3.167.218', '72.3.168.47', 1208199130, 1208199215, 'US', 'United States'),
(35283, '72.3.168.48', '72.3.168.55', 1208199216, 1208199223, 'AU', 'Australia'),
(35284, '72.3.168.56', '72.3.168.175', 1208199224, 1208199343, 'US', 'United States'),
(35285, '72.3.168.176', '72.3.168.183', 1208199344, 1208199351, 'CR', 'Costa Rica'),
(35286, '72.3.168.184', '72.3.168.191', 1208199352, 1208199359, 'MY', 'Malaysia'),
(35287, '72.3.168.192', '72.3.169.213', 1208199360, 1208199637, 'US', 'United States'),
(35288, '72.3.169.214', '72.3.169.215', 1208199638, 1208199639, 'NG', 'Nigeria'),
(35289, '72.3.169.216', '72.3.170.87', 1208199640, 1208199767, 'US', 'United States'),
(35290, '72.3.170.88', '72.3.170.95', 1208199768, 1208199775, 'MX', 'Mexico'),
(35291, '72.3.170.96', '72.3.170.103', 1208199776, 1208199783, 'MY', 'Malaysia'),
(35292, '72.3.170.104', '72.3.171.231', 1208199784, 1208200167, 'US', 'United States'),
(35293, '72.3.171.232', '72.3.171.239', 1208200168, 1208200175, 'CA', 'Canada'),
(35294, '72.3.171.240', '72.3.172.55', 1208200176, 1208200247, 'US', 'United States'),
(35295, '72.3.172.56', '72.3.172.63', 1208200248, 1208200255, 'MC', 'Monaco'),
(35296, '72.3.172.64', '72.3.172.79', 1208200256, 1208200271, 'US', 'United States'),
(35297, '72.3.172.80', '72.3.172.95', 1208200272, 1208200287, 'BD', 'Bangladesh'),
(35298, '72.3.172.96', '72.3.172.111', 1208200288, 1208200303, 'US', 'United States'),
(35299, '72.3.172.112', '72.3.172.127', 1208200304, 1208200319, 'AU', 'Australia'),
(35300, '72.3.172.128', '72.3.173.191', 1208200320, 1208200639, 'US', 'United States'),
(35301, '72.3.173.192', '72.3.173.199', 1208200640, 1208200647, 'FR', 'France'),
(35302, '72.3.173.200', '72.3.173.207', 1208200648, 1208200655, 'US', 'United States'),
(35303, '72.3.173.208', '72.3.173.215', 1208200656, 1208200663, 'BS', 'Bahamas'),
(35304, '72.3.173.216', '72.3.174.111', 1208200664, 1208200815, 'US', 'United States'),
(35305, '72.3.174.112', '72.3.174.183', 1208200816, 1208200887, 'BS', 'Bahamas'),
(35306, '72.3.174.184', '72.3.174.255', 1208200888, 1208200959, 'US', 'United States'),
(35307, '72.3.175.0', '72.3.175.3', 1208200960, 1208200963, 'ID', 'Indonesia'),
(35308, '72.3.175.4', '72.3.175.103', 1208200964, 1208201063, 'US', 'United States'),
(35309, '72.3.175.104', '72.3.175.111', 1208201064, 1208201071, 'IN', 'India'),
(35310, '72.3.175.112', '72.3.177.63', 1208201072, 1208201535, 'US', 'United States'),
(35311, '72.3.177.64', '72.3.177.71', 1208201536, 1208201543, 'GB', 'United Kingdom'),
(35312, '72.3.177.72', '72.3.177.159', 1208201544, 1208201631, 'US', 'United States'),
(35313, '72.3.177.160', '72.3.177.167', 1208201632, 1208201639, 'CA', 'Canada'),
(35314, '72.3.177.168', '72.3.177.255', 1208201640, 1208201727, 'US', 'United States'),
(35315, '72.3.178.0', '72.3.178.15', 1208201728, 1208201743, 'MY', 'Malaysia'),
(35316, '72.3.178.16', '72.3.178.223', 1208201744, 1208201951, 'US', 'United States'),
(35317, '72.3.178.224', '72.3.178.231', 1208201952, 1208201959, 'MY', 'Malaysia'),
(35318, '72.3.178.232', '72.3.179.23', 1208201960, 1208202007, 'US', 'United States'),
(35319, '72.3.179.24', '72.3.179.31', 1208202008, 1208202015, 'CA', 'Canada'),
(35320, '72.3.179.32', '72.3.179.47', 1208202016, 1208202031, 'US', 'United States'),
(35321, '72.3.179.48', '72.3.179.55', 1208202032, 1208202039, 'GB', 'United Kingdom'),
(35322, '72.3.179.56', '72.3.179.151', 1208202040, 1208202135, 'US', 'United States'),
(35323, '72.3.179.152', '72.3.179.159', 1208202136, 1208202143, 'MY', 'Malaysia'),
(35324, '72.3.179.160', '72.3.180.15', 1208202144, 1208202255, 'US', 'United States'),
(35325, '72.3.180.16', '72.3.180.47', 1208202256, 1208202287, 'MY', 'Malaysia'),
(35326, '72.3.180.48', '72.3.180.255', 1208202288, 1208202495, 'US', 'United States'),
(35327, '72.3.181.0', '72.3.181.15', 1208202496, 1208202511, 'GB', 'United Kingdom'),
(35328, '72.3.181.16', '72.3.181.23', 1208202512, 1208202519, 'AU', 'Australia'),
(35329, '72.3.181.24', '72.3.181.63', 1208202520, 1208202559, 'US', 'United States'),
(35330, '72.3.181.64', '72.3.181.79', 1208202560, 1208202575, 'JP', 'Japan'),
(35331, '72.3.181.80', '72.3.181.235', 1208202576, 1208202731, 'US', 'United States'),
(35332, '72.3.181.236', '72.3.181.237', 1208202732, 1208202733, 'CA', 'Canada'),
(35333, '72.3.181.238', '72.3.183.15', 1208202734, 1208203023, 'US', 'United States'),
(35334, '72.3.183.16', '72.3.183.63', 1208203024, 1208203071, 'MY', 'Malaysia'),
(35335, '72.3.183.64', '72.3.183.247', 1208203072, 1208203255, 'US', 'United States'),
(35336, '72.3.183.248', '72.3.183.249', 1208203256, 1208203257, 'RO', 'Romania'),
(35337, '72.3.183.250', '72.3.184.79', 1208203258, 1208203343, 'US', 'United States'),
(35338, '72.3.184.80', '72.3.184.87', 1208203344, 1208203351, 'AU', 'Australia'),
(35339, '72.3.184.88', '72.3.186.231', 1208203352, 1208204007, 'US', 'United States'),
(35340, '72.3.186.232', '72.3.186.239', 1208204008, 1208204015, 'NL', 'Netherlands'),
(35341, '72.3.186.240', '72.3.186.255', 1208204016, 1208204031, 'US', 'United States'),
(35342, '72.3.187.0', '72.3.187.7', 1208204032, 1208204039, 'GB', 'United Kingdom'),
(35343, '72.3.187.8', '72.3.187.15', 1208204040, 1208204047, 'US', 'United States'),
(35344, '72.3.187.16', '72.3.187.23', 1208204048, 1208204055, 'JP', 'Japan'),
(35345, '72.3.187.24', '72.3.187.227', 1208204056, 1208204259, 'US', 'United States'),
(35346, '72.3.187.228', '72.3.187.231', 1208204260, 1208204263, 'MX', 'Mexico'),
(35347, '72.3.187.232', '72.3.189.231', 1208204264, 1208204775, 'US', 'United States'),
(35348, '72.3.189.232', '72.3.189.239', 1208204776, 1208204783, 'CA', 'Canada'),
(35349, '72.3.189.240', '72.3.190.151', 1208204784, 1208204951, 'US', 'United States'),
(35350, '72.3.190.152', '72.3.190.159', 1208204952, 1208204959, 'MY', 'Malaysia'),
(35351, '72.3.190.160', '72.3.190.249', 1208204960, 1208205049, 'US', 'United States'),
(35352, '72.3.190.250', '72.3.190.253', 1208205050, 1208205053, 'IL', 'Israel'),
(35353, '72.3.190.254', '72.3.191.7', 1208205054, 1208205063, 'US', 'United States'),
(35354, '72.3.191.8', '72.3.191.23', 1208205064, 1208205079, 'MY', 'Malaysia'),
(35355, '72.3.191.24', '72.3.191.111', 1208205080, 1208205167, 'US', 'United States'),
(35356, '72.3.191.112', '72.3.191.175', 1208205168, 1208205231, 'MY', 'Malaysia'),
(35357, '72.3.191.176', '72.3.191.191', 1208205232, 1208205247, 'US', 'United States'),
(35358, '72.3.191.192', '72.3.191.207', 1208205248, 1208205263, 'IN', 'India'),
(35359, '72.3.191.208', '72.3.191.247', 1208205264, 1208205303, 'US', 'United States'),
(35360, '72.3.191.248', '72.3.191.255', 1208205304, 1208205311, 'CO', 'Colombia'),
(35361, '72.3.192.0', '72.3.192.95', 1208205312, 1208205407, 'US', 'United States'),
(35362, '72.3.192.96', '72.3.192.111', 1208205408, 1208205423, 'MY', 'Malaysia'),
(35363, '72.3.192.112', '72.3.192.143', 1208205424, 1208205455, 'US', 'United States'),
(35364, '72.3.192.144', '72.3.192.151', 1208205456, 1208205463, 'CA', 'Canada'),
(35365, '72.3.192.152', '72.3.192.211', 1208205464, 1208205523, 'US', 'United States'),
(35366, '72.3.192.212', '72.3.192.213', 1208205524, 1208205525, 'IN', 'India'),
(35367, '72.3.192.214', '72.3.193.135', 1208205526, 1208205703, 'US', 'United States'),
(35368, '72.3.193.136', '72.3.193.143', 1208205704, 1208205711, 'CA', 'Canada'),
(35369, '72.3.193.144', '72.3.194.135', 1208205712, 1208205959, 'US', 'United States'),
(35370, '72.3.194.136', '72.3.194.143', 1208205960, 1208205967, 'SG', 'Singapore'),
(35371, '72.3.194.144', '72.3.194.217', 1208205968, 1208206041, 'US', 'United States'),
(35372, '72.3.194.218', '72.3.194.219', 1208206042, 1208206043, 'SG', 'Singapore'),
(35373, '72.3.194.220', '72.3.196.199', 1208206044, 1208206535, 'US', 'United States'),
(35374, '72.3.196.200', '72.3.196.201', 1208206536, 1208206537, 'IL', 'Israel'),
(35375, '72.3.196.202', '72.3.196.223', 1208206538, 1208206559, 'US', 'United States'),
(35376, '72.3.196.224', '72.3.196.225', 1208206560, 1208206561, 'BH', 'Bahrain'),
(35377, '72.3.196.226', '72.3.197.191', 1208206562, 1208206783, 'US', 'United States'),
(35378, '72.3.197.192', '72.3.197.193', 1208206784, 1208206785, 'ZA', 'South Africa'),
(35379, '72.3.197.194', '72.3.198.247', 1208206786, 1208207095, 'US', 'United States'),
(35380, '72.3.198.248', '72.3.198.249', 1208207096, 1208207097, 'IN', 'India'),
(35381, '72.3.198.250', '72.3.199.79', 1208207098, 1208207183, 'US', 'United States'),
(35382, '72.3.199.80', '72.3.199.87', 1208207184, 1208207191, 'AU', 'Australia'),
(35383, '72.3.199.88', '72.3.199.255', 1208207192, 1208207359, 'US', 'United States'),
(35384, '72.3.200.0', '72.3.200.31', 1208207360, 1208207391, 'CA', 'Canada'),
(35385, '72.3.200.32', '72.3.200.103', 1208207392, 1208207463, 'US', 'United States'),
(35386, '72.3.200.104', '72.3.200.111', 1208207464, 1208207471, 'CA', 'Canada'),
(35387, '72.3.200.112', '72.3.200.223', 1208207472, 1208207583, 'US', 'United States'),
(35388, '72.3.200.224', '72.3.200.231', 1208207584, 1208207591, 'AU', 'Australia'),
(35389, '72.3.200.232', '72.3.200.239', 1208207592, 1208207599, 'US', 'United States'),
(35390, '72.3.200.240', '72.3.200.247', 1208207600, 1208207607, 'AU', 'Australia'),
(35391, '72.3.200.248', '72.3.201.7', 1208207608, 1208207623, 'US', 'United States'),
(35392, '72.3.201.8', '72.3.201.15', 1208207624, 1208207631, 'GB', 'United Kingdom'),
(35393, '72.3.201.16', '72.3.202.111', 1208207632, 1208207983, 'US', 'United States'),
(35394, '72.3.202.112', '72.3.202.127', 1208207984, 1208207999, 'NL', 'Netherlands'),
(35395, '72.3.202.128', '72.3.202.239', 1208208000, 1208208111, 'US', 'United States'),
(35396, '72.3.202.240', '72.3.202.255', 1208208112, 1208208127, 'CA', 'Canada'),
(35397, '72.3.203.0', '72.3.203.87', 1208208128, 1208208215, 'US', 'United States'),
(35398, '72.3.203.88', '72.3.203.95', 1208208216, 1208208223, 'CA', 'Canada'),
(35399, '72.3.203.96', '72.3.203.103', 1208208224, 1208208231, 'AU', 'Australia'),
(35400, '72.3.203.104', '72.3.203.175', 1208208232, 1208208303, 'US', 'United States'),
(35401, '72.3.203.176', '72.3.203.183', 1208208304, 1208208311, 'KR', 'Korea, Republic of'),
(35402, '72.3.203.184', '72.3.203.191', 1208208312, 1208208319, 'US', 'United States'),
(35403, '72.3.203.192', '72.3.203.193', 1208208320, 1208208321, 'CA', 'Canada'),
(35404, '72.3.203.194', '72.3.205.159', 1208208322, 1208208799, 'US', 'United States'),
(35405, '72.3.205.160', '72.3.205.167', 1208208800, 1208208807, 'AU', 'Australia'),
(35406, '72.3.205.168', '72.3.205.175', 1208208808, 1208208815, 'US', 'United States'),
(35407, '72.3.205.176', '72.3.205.191', 1208208816, 1208208831, 'CA', 'Canada'),
(35408, '72.3.205.192', '72.3.205.235', 1208208832, 1208208875, 'US', 'United States'),
(35409, '72.3.205.236', '72.3.205.237', 1208208876, 1208208877, 'CH', 'Switzerland'),
(35410, '72.3.205.238', '72.3.205.239', 1208208878, 1208208879, 'CA', 'Canada'),
(35411, '72.3.205.240', '72.3.206.31', 1208208880, 1208208927, 'US', 'United States'),
(35412, '72.3.206.32', '72.3.206.47', 1208208928, 1208208943, 'AU', 'Australia'),
(35413, '72.3.206.48', '72.3.206.199', 1208208944, 1208209095, 'US', 'United States'),
(35414, '72.3.206.200', '72.3.206.201', 1208209096, 1208209097, 'IN', 'India'),
(35415, '72.3.206.202', '72.3.207.23', 1208209098, 1208209175, 'US', 'United States'),
(35416, '72.3.207.24', '72.3.207.31', 1208209176, 1208209183, 'CA', 'Canada'),
(35417, '72.3.207.32', '72.3.207.63', 1208209184, 1208209215, 'US', 'United States'),
(35418, '72.3.207.64', '72.3.207.95', 1208209216, 1208209247, 'MY', 'Malaysia'),
(35419, '72.3.207.96', '72.3.207.207', 1208209248, 1208209359, 'US', 'United States'),
(35420, '72.3.207.208', '72.3.207.223', 1208209360, 1208209375, 'MY', 'Malaysia'),
(35421, '72.3.207.224', '72.3.207.239', 1208209376, 1208209391, 'US', 'United States'),
(35422, '72.3.207.240', '72.3.207.255', 1208209392, 1208209407, 'MY', 'Malaysia'),
(35423, '72.3.208.0', '72.3.209.55', 1208209408, 1208209719, 'US', 'United States'),
(35424, '72.3.209.56', '72.3.209.63', 1208209720, 1208209727, 'TH', 'Thailand'),
(35425, '72.3.209.64', '72.3.209.199', 1208209728, 1208209863, 'US', 'United States'),
(35426, '72.3.209.200', '72.3.209.207', 1208209864, 1208209871, 'GT', 'Guatemala'),
(35427, '72.3.209.208', '72.3.210.39', 1208209872, 1208209959, 'US', 'United States'),
(35428, '72.3.210.40', '72.3.210.47', 1208209960, 1208209967, 'IN', 'India'),
(35429, '72.3.210.48', '72.3.210.143', 1208209968, 1208210063, 'US', 'United States'),
(35430, '72.3.210.144', '72.3.210.151', 1208210064, 1208210071, 'HK', 'Hong Kong'),
(35431, '72.3.210.152', '72.3.210.159', 1208210072, 1208210079, 'US', 'United States'),
(35432, '72.3.210.160', '72.3.210.175', 1208210080, 1208210095, 'GB', 'United Kingdom'),
(35433, '72.3.210.176', '72.3.211.127', 1208210096, 1208210303, 'US', 'United States'),
(35434, '72.3.211.128', '72.3.211.175', 1208210304, 1208210351, 'GB', 'United Kingdom'),
(35435, '72.3.211.176', '72.3.211.255', 1208210352, 1208210431, 'US', 'United States'),
(35436, '72.3.212.0', '72.3.212.15', 1208210432, 1208210447, 'JP', 'Japan'),
(35437, '72.3.212.16', '72.3.212.79', 1208210448, 1208210511, 'US', 'United States'),
(35438, '72.3.212.80', '72.3.212.87', 1208210512, 1208210519, 'CA', 'Canada'),
(35439, '72.3.212.88', '72.3.213.63', 1208210520, 1208210751, 'US', 'United States'),
(35440, '72.3.213.64', '72.3.213.71', 1208210752, 1208210759, 'TR', 'Turkey'),
(35441, '72.3.213.72', '72.3.215.39', 1208210760, 1208211239, 'US', 'United States'),
(35442, '72.3.215.40', '72.3.215.47', 1208211240, 1208211247, 'JM', 'Jamaica'),
(35443, '72.3.215.48', '72.3.222.95', 1208211248, 1208213087, 'US', 'United States'),
(35444, '72.3.222.96', '72.3.222.111', 1208213088, 1208213103, 'NG', 'Nigeria'),
(35445, '72.3.222.112', '72.3.223.135', 1208213104, 1208213383, 'US', 'United States'),
(35446, '72.3.223.136', '72.3.223.143', 1208213384, 1208213391, 'CA', 'Canada'),
(35447, '72.3.223.144', '72.3.231.55', 1208213392, 1208215351, 'US', 'United States'),
(35448, '72.3.231.56', '72.3.231.63', 1208215352, 1208215359, 'PR', 'Puerto Rico'),
(35449, '72.3.231.64', '72.3.233.127', 1208215360, 1208215935, 'US', 'United States'),
(35450, '72.3.233.128', '72.3.233.143', 1208215936, 1208215951, 'GB', 'United Kingdom'),
(35451, '72.3.233.144', '72.3.235.47', 1208215952, 1208216367, 'US', 'United States'),
(35452, '72.3.235.48', '72.3.235.55', 1208216368, 1208216375, 'CA', 'Canada'),
(35453, '72.3.235.56', '72.3.239.103', 1208216376, 1208217447, 'US', 'United States'),
(35454, '72.3.239.104', '72.3.239.111', 1208217448, 1208217455, 'AE', 'United Arab Emirates'),
(35455, '72.3.239.112', '72.3.241.175', 1208217456, 1208218031, 'US', 'United States'),
(35456, '72.3.241.176', '72.3.241.183', 1208218032, 1208218039, 'HK', 'Hong Kong'),
(35457, '72.3.241.184', '72.3.243.47', 1208218040, 1208218415, 'US', 'United States'),
(35458, '72.3.243.48', '72.3.243.55', 1208218416, 1208218423, 'IN', 'India'),
(35459, '72.3.243.56', '72.3.246.23', 1208218424, 1208219159, 'US', 'United States'),
(35460, '72.3.246.24', '72.3.246.31', 1208219160, 1208219167, 'AU', 'Australia'),
(35461, '72.3.246.32', '72.3.246.175', 1208219168, 1208219311, 'US', 'United States'),
(35462, '72.3.246.176', '72.3.246.183', 1208219312, 1208219319, 'JP', 'Japan'),
(35463, '72.3.246.184', '72.3.251.239', 1208219320, 1208220655, 'US', 'United States'),
(35464, '72.3.251.240', '72.3.251.247', 1208220656, 1208220663, 'AU', 'Australia'),
(35465, '72.3.251.248', '72.3.251.255', 1208220664, 1208220671, 'NZ', 'New Zealand'),
(35466, '72.3.252.0', '72.3.252.71', 1208220672, 1208220743, 'US', 'United States'),
(35467, '72.3.252.72', '72.3.252.79', 1208220744, 1208220751, 'GB', 'United Kingdom'),
(35468, '72.3.252.80', '72.4.111.255', 1208220752, 1208250367, 'US', 'United States'),
(35469, '72.4.112.0', '72.4.112.7', 1208250368, 1208250375, 'CA', 'Canada'),
(35470, '72.4.112.8', '72.4.112.255', 1208250376, 1208250623, 'US', 'United States'),
(35471, '72.4.113.0', '72.4.113.7', 1208250624, 1208250631, 'NL', 'Netherlands'),
(35472, '72.4.113.8', '72.4.113.87', 1208250632, 1208250711, 'US', 'United States'),
(35473, '72.4.113.88', '72.4.113.95', 1208250712, 1208250719, 'GB', 'United Kingdom'),
(35474, '72.4.113.96', '72.4.113.111', 1208250720, 1208250735, 'US', 'United States'),
(35475, '72.4.113.112', '72.4.113.119', 1208250736, 1208250743, 'IN', 'India'),
(35476, '72.4.113.120', '72.4.115.63', 1208250744, 1208251199, 'US', 'United States'),
(35477, '72.4.115.64', '72.4.115.71', 1208251200, 1208251207, 'CA', 'Canada'),
(35478, '72.4.115.72', '72.4.115.79', 1208251208, 1208251215, 'US', 'United States'),
(35479, '72.4.115.80', '72.4.115.87', 1208251216, 1208251223, 'AU', 'Australia'),
(35480, '72.4.115.88', '72.4.116.23', 1208251224, 1208251415, 'US', 'United States'),
(35481, '72.4.116.24', '72.4.116.31', 1208251416, 1208251423, 'GB', 'United Kingdom'),
(35482, '72.4.116.32', '72.4.116.39', 1208251424, 1208251431, 'IL', 'Israel'),
(35483, '72.4.116.40', '72.4.116.47', 1208251432, 1208251439, 'US', 'United States'),
(35484, '72.4.116.48', '72.4.116.55', 1208251440, 1208251447, 'ES', 'Spain'),
(35485, '72.4.116.56', '72.4.116.87', 1208251448, 1208251479, 'US', 'United States'),
(35486, '72.4.116.88', '72.4.116.95', 1208251480, 1208251487, 'GB', 'United Kingdom'),
(35487, '72.4.116.96', '72.4.116.103', 1208251488, 1208251495, 'BB', 'Barbados'),
(35488, '72.4.116.104', '72.4.116.239', 1208251496, 1208251631, 'US', 'United States'),
(35489, '72.4.116.240', '72.4.116.255', 1208251632, 1208251647, 'GB', 'United Kingdom'),
(35490, '72.4.117.0', '72.4.117.31', 1208251648, 1208251679, 'US', 'United States'),
(35491, '72.4.117.32', '72.4.117.47', 1208251680, 1208251695, 'GB', 'United Kingdom'),
(35492, '72.4.117.48', '72.4.117.159', 1208251696, 1208251807, 'US', 'United States'),
(35493, '72.4.117.160', '72.4.117.175', 1208251808, 1208251823, 'CA', 'Canada'),
(35494, '72.4.117.176', '72.4.117.223', 1208251824, 1208251871, 'US', 'United States'),
(35495, '72.4.117.224', '72.4.117.239', 1208251872, 1208251887, 'GB', 'United Kingdom'),
(35496, '72.4.117.240', '72.4.117.255', 1208251888, 1208251903, 'IL', 'Israel'),
(35497, '72.4.118.0', '72.4.120.7', 1208251904, 1208252423, 'US', 'United States'),
(35498, '72.4.120.8', '72.4.120.15', 1208252424, 1208252431, 'CA', 'Canada'),
(35499, '72.4.120.16', '72.4.121.31', 1208252432, 1208252703, 'US', 'United States'),
(35500, '72.4.121.32', '72.4.121.63', 1208252704, 1208252735, 'AU', 'Australia'),
(35501, '72.4.121.64', '72.4.121.255', 1208252736, 1208252927, 'US', 'United States'),
(35502, '72.4.122.0', '72.4.122.255', 1208252928, 1208253183, 'MX', 'Mexico'),
(35503, '72.4.123.0', '72.4.124.159', 1208253184, 1208253599, 'US', 'United States'),
(35504, '72.4.124.160', '72.4.124.175', 1208253600, 1208253615, 'IN', 'India'),
(35505, '72.4.124.176', '72.5.55.143', 1208253616, 1208301455, 'US', 'United States'),
(35506, '72.5.55.144', '72.5.55.159', 1208301456, 1208301471, 'CA', 'Canada'),
(35507, '72.5.55.160', '72.5.180.255', 1208301472, 1208333567, 'US', 'United States'),
(35508, '72.5.181.0', '72.5.181.255', 1208333568, 1208333823, 'GB', 'United Kingdom'),
(35509, '72.5.182.0', '72.5.197.255', 1208333824, 1208337919, 'US', 'United States'),
(35510, '72.5.198.0', '72.5.198.255', 1208337920, 1208338175, 'A2', 'Satellite Provider'),
(35511, '72.5.199.0', '72.8.128.239', 1208338176, 1208516847, 'US', 'United States'),
(35512, '72.8.128.240', '72.8.128.243', 1208516848, 1208516851, 'MY', 'Malaysia'),
(35513, '72.8.128.244', '72.8.129.134', 1208516852, 1208516998, 'US', 'United States'),
(35514, '72.8.129.135', '72.8.129.135', 1208516999, 1208516999, 'CN', 'China'),
(35515, '72.8.129.136', '72.8.129.139', 1208517000, 1208517003, 'US', 'United States'),
(35516, '72.8.129.140', '72.8.129.144', 1208517004, 1208517008, 'CN', 'China'),
(35517, '72.8.129.145', '72.8.129.145', 1208517009, 1208517009, 'US', 'United States'),
(35518, '72.8.129.146', '72.8.129.146', 1208517010, 1208517010, 'CN', 'China'),
(35519, '72.8.129.147', '72.8.129.147', 1208517011, 1208517011, 'TR', 'Turkey'),
(35520, '72.8.129.148', '72.8.129.149', 1208517012, 1208517013, 'US', 'United States'),
(35521, '72.8.129.150', '72.8.129.150', 1208517014, 1208517014, 'GB', 'United Kingdom'),
(35522, '72.8.129.151', '72.8.129.151', 1208517015, 1208517015, 'CN', 'China'),
(35523, '72.8.129.152', '72.8.129.153', 1208517016, 1208517017, 'US', 'United States'),
(35524, '72.8.129.154', '72.8.129.154', 1208517018, 1208517018, 'GB', 'United Kingdom'),
(35525, '72.8.129.155', '72.8.129.157', 1208517019, 1208517021, 'US', 'United States'),
(35526, '72.8.129.158', '72.8.129.158', 1208517022, 1208517022, 'ES', 'Spain'),
(35527, '72.8.129.159', '72.8.129.159', 1208517023, 1208517023, 'CA', 'Canada'),
(35528, '72.8.129.160', '72.8.129.160', 1208517024, 1208517024, 'US', 'United States'),
(35529, '72.8.129.161', '72.8.129.161', 1208517025, 1208517025, 'PH', 'Philippines'),
(35530, '72.8.129.162', '72.8.129.162', 1208517026, 1208517026, 'CN', 'China'),
(35531, '72.8.129.163', '72.8.129.163', 1208517027, 1208517027, 'US', 'United States'),
(35532, '72.8.129.164', '72.8.129.164', 1208517028, 1208517028, 'CN', 'China'),
(35533, '72.8.129.165', '72.8.129.165', 1208517029, 1208517029, 'US', 'United States'),
(35534, '72.8.129.166', '72.8.129.166', 1208517030, 1208517030, 'CN', 'China'),
(35535, '72.8.129.167', '72.8.129.255', 1208517031, 1208517119, 'US', 'United States'),
(35536, '72.8.130.0', '72.8.130.255', 1208517120, 1208517375, 'KH', 'Cambodia'),
(35537, '72.8.131.0', '72.8.131.127', 1208517376, 1208517503, 'US', 'United States'),
(35538, '72.8.131.128', '72.8.131.191', 1208517504, 1208517567, 'CN', 'China'),
(35539, '72.8.131.192', '72.8.131.251', 1208517568, 1208517627, 'US', 'United States'),
(35540, '72.8.131.252', '72.8.131.255', 1208517628, 1208517631, 'PK', 'Pakistan'),
(35541, '72.8.132.0', '72.8.132.255', 1208517632, 1208517887, 'KH', 'Cambodia'),
(35542, '72.8.133.0', '72.8.133.127', 1208517888, 1208518015, 'TR', 'Turkey'),
(35543, '72.8.133.128', '72.8.133.191', 1208518016, 1208518079, 'CN', 'China'),
(35544, '72.8.133.192', '72.8.133.255', 1208518080, 1208518143, 'US', 'United States'),
(35545, '72.8.134.0', '72.8.134.63', 1208518144, 1208518207, 'CN', 'China'),
(35546, '72.8.134.64', '72.8.134.97', 1208518208, 1208518241, 'US', 'United States'),
(35547, '72.8.134.98', '72.8.134.98', 1208518242, 1208518242, 'CN', 'China'),
(35548, '72.8.134.99', '72.8.134.99', 1208518243, 1208518243, 'US', 'United States'),
(35549, '72.8.134.100', '72.8.134.100', 1208518244, 1208518244, 'CN', 'China'),
(35550, '72.8.134.101', '72.8.134.102', 1208518245, 1208518246, 'US', 'United States'),
(35551, '72.8.134.103', '72.8.134.103', 1208518247, 1208518247, 'KH', 'Cambodia'),
(35552, '72.8.134.104', '72.8.134.108', 1208518248, 1208518252, 'US', 'United States'),
(35553, '72.8.134.109', '72.8.134.109', 1208518253, 1208518253, 'CN', 'China'),
(35554, '72.8.134.110', '72.8.134.110', 1208518254, 1208518254, 'KR', 'Korea, Republic of'),
(35555, '72.8.134.111', '72.8.134.111', 1208518255, 1208518255, 'US', 'United States'),
(35556, '72.8.134.112', '72.8.134.112', 1208518256, 1208518256, 'NL', 'Netherlands'),
(35557, '72.8.134.113', '72.8.134.113', 1208518257, 1208518257, 'US', 'United States'),
(35558, '72.8.134.114', '72.8.134.114', 1208518258, 1208518258, 'CN', 'China'),
(35559, '72.8.134.115', '72.8.134.117', 1208518259, 1208518261, 'US', 'United States'),
(35560, '72.8.134.118', '72.8.134.118', 1208518262, 1208518262, 'TR', 'Turkey'),
(35561, '72.8.134.119', '72.8.134.119', 1208518263, 1208518263, 'CN', 'China'),
(35562, '72.8.134.120', '72.8.134.120', 1208518264, 1208518264, 'GB', 'United Kingdom'),
(35563, '72.8.134.121', '72.8.134.121', 1208518265, 1208518265, 'CN', 'China'),
(35564, '72.8.134.122', '72.8.134.122', 1208518266, 1208518266, 'US', 'United States'),
(35565, '72.8.134.123', '72.8.134.123', 1208518267, 1208518267, 'CN', 'China'),
(35566, '72.8.134.124', '72.8.134.124', 1208518268, 1208518268, 'US', 'United States'),
(35567, '72.8.134.125', '72.8.134.125', 1208518269, 1208518269, 'CN', 'China'),
(35568, '72.8.134.126', '72.8.134.255', 1208518270, 1208518399, 'US', 'United States'),
(35569, '72.8.135.0', '72.8.138.255', 1208518400, 1208519423, 'CN', 'China'),
(35570, '72.8.139.0', '72.8.139.255', 1208519424, 1208519679, 'US', 'United States'),
(35571, '72.8.140.0', '72.8.140.255', 1208519680, 1208519935, 'GB', 'United Kingdom'),
(35572, '72.8.141.0', '72.8.141.95', 1208519936, 1208520031, 'US', 'United States'),
(35573, '72.8.141.96', '72.8.141.127', 1208520032, 1208520063, 'MY', 'Malaysia'),
(35574, '72.8.141.128', '72.8.144.255', 1208520064, 1208520959, 'US', 'United States'),
(35575, '72.8.145.0', '72.8.147.255', 1208520960, 1208521727, 'CN', 'China'),
(35576, '72.8.148.0', '72.8.148.255', 1208521728, 1208521983, 'US', 'United States'),
(35577, '72.8.149.0', '72.8.149.255', 1208521984, 1208522239, 'CN', 'China'),
(35578, '72.8.150.0', '72.8.150.31', 1208522240, 1208522271, 'US', 'United States'),
(35579, '72.8.150.32', '72.8.150.63', 1208522272, 1208522303, 'TR', 'Turkey'),
(35580, '72.8.150.64', '72.8.150.79', 1208522304, 1208522319, 'US', 'United States'),
(35581, '72.8.150.80', '72.8.150.95', 1208522320, 1208522335, 'TR', 'Turkey'),
(35582, '72.8.150.96', '72.8.155.255', 1208522336, 1208523775, 'US', 'United States'),
(35583, '72.8.156.0', '72.8.156.127', 1208523776, 1208523903, 'GB', 'United Kingdom'),
(35584, '72.8.156.128', '72.8.156.199', 1208523904, 1208523975, 'US', 'United States'),
(35585, '72.8.156.200', '72.8.156.207', 1208523976, 1208523983, 'CN', 'China'),
(35586, '72.8.156.208', '72.8.156.215', 1208523984, 1208523991, 'US', 'United States'),
(35587, '72.8.156.216', '72.8.156.219', 1208523992, 1208523995, 'TR', 'Turkey'),
(35588, '72.8.156.220', '72.8.157.23', 1208523996, 1208524055, 'US', 'United States'),
(35589, '72.8.157.24', '72.8.157.27', 1208524056, 1208524059, 'BD', 'Bangladesh'),
(35590, '72.8.157.28', '72.8.157.59', 1208524060, 1208524091, 'US', 'United States'),
(35591, '72.8.157.60', '72.8.157.63', 1208524092, 1208524095, 'TR', 'Turkey'),
(35592, '72.8.157.64', '72.8.157.191', 1208524096, 1208524223, 'US', 'United States'),
(35593, '72.8.157.192', '72.8.157.195', 1208524224, 1208524227, 'SC', 'Seychelles'),
(35594, '72.8.157.196', '72.8.160.63', 1208524228, 1208524863, 'US', 'United States'),
(35595, '72.8.160.64', '72.8.160.127', 1208524864, 1208524927, 'PK', 'Pakistan'),
(35596, '72.8.160.128', '72.8.160.255', 1208524928, 1208525055, 'US', 'United States'),
(35597, '72.8.161.0', '72.8.162.23', 1208525056, 1208525335, 'CN', 'China'),
(35598, '72.8.162.24', '72.8.162.31', 1208525336, 1208525343, 'US', 'United States'),
(35599, '72.8.162.32', '72.8.162.63', 1208525344, 1208525375, 'TR', 'Turkey'),
(35600, '72.8.162.64', '72.8.162.255', 1208525376, 1208525567, 'US', 'United States'),
(35601, '72.8.163.0', '72.8.163.255', 1208525568, 1208525823, 'CN', 'China'),
(35602, '72.8.164.0', '72.8.166.255', 1208525824, 1208526591, 'US', 'United States'),
(35603, '72.8.167.0', '72.8.167.15', 1208526592, 1208526607, 'TR', 'Turkey'),
(35604, '72.8.167.16', '72.8.167.127', 1208526608, 1208526719, 'US', 'United States'),
(35605, '72.8.167.128', '72.8.167.143', 1208526720, 1208526735, 'BD', 'Bangladesh'),
(35606, '72.8.167.144', '72.8.168.71', 1208526736, 1208526919, 'US', 'United States'),
(35607, '72.8.168.72', '72.8.168.79', 1208526920, 1208526927, 'CN', 'China'),
(35608, '72.8.168.80', '72.8.171.63', 1208526928, 1208527679, 'US', 'United States'),
(35609, '72.8.171.64', '72.8.171.127', 1208527680, 1208527743, 'KH', 'Cambodia'),
(35610, '72.8.171.128', '72.8.172.143', 1208527744, 1208528015, 'US', 'United States'),
(35611, '72.8.172.144', '72.8.172.159', 1208528016, 1208528031, 'SC', 'Seychelles'),
(35612, '72.8.172.160', '72.8.172.255', 1208528032, 1208528127, 'US', 'United States'),
(35613, '72.8.173.0', '72.8.173.255', 1208528128, 1208528383, 'CN', 'China'),
(35614, '72.8.174.0', '72.8.174.63', 1208528384, 1208528447, 'US', 'United States'),
(35615, '72.8.174.64', '72.8.174.191', 1208528448, 1208528575, 'CN', 'China'),
(35616, '72.8.174.192', '72.8.176.31', 1208528576, 1208528927, 'US', 'United States'),
(35617, '72.8.176.32', '72.8.176.43', 1208528928, 1208528939, 'CN', 'China'),
(35618, '72.8.176.44', '72.8.176.47', 1208528940, 1208528943, 'PH', 'Philippines'),
(35619, '72.8.176.48', '72.8.176.51', 1208528944, 1208528947, 'US', 'United States'),
(35620, '72.8.176.52', '72.8.176.55', 1208528948, 1208528951, 'CN', 'China'),
(35621, '72.8.176.56', '72.8.176.59', 1208528952, 1208528955, 'US', 'United States'),
(35622, '72.8.176.60', '72.8.176.63', 1208528956, 1208528959, 'MY', 'Malaysia'),
(35623, '72.8.176.64', '72.8.176.71', 1208528960, 1208528967, 'US', 'United States'),
(35624, '72.8.176.72', '72.8.176.75', 1208528968, 1208528971, 'CN', 'China'),
(35625, '72.8.176.76', '72.8.176.135', 1208528972, 1208529031, 'US', 'United States'),
(35626, '72.8.176.136', '72.8.176.139', 1208529032, 1208529035, 'CN', 'China'),
(35627, '72.8.176.140', '72.8.176.147', 1208529036, 1208529043, 'US', 'United States'),
(35628, '72.8.176.148', '72.8.176.151', 1208529044, 1208529047, 'CN', 'China'),
(35629, '72.8.176.152', '72.8.176.163', 1208529048, 1208529059, 'US', 'United States'),
(35630, '72.8.176.164', '72.8.176.175', 1208529060, 1208529071, 'CN', 'China'),
(35631, '72.8.176.176', '72.8.176.183', 1208529072, 1208529079, 'US', 'United States'),
(35632, '72.8.176.184', '72.8.176.187', 1208529080, 1208529083, 'CN', 'China'),
(35633, '72.8.176.188', '72.8.177.7', 1208529084, 1208529159, 'US', 'United States'),
(35634, '72.8.177.8', '72.8.177.11', 1208529160, 1208529163, 'AU', 'Australia'),
(35635, '72.8.177.12', '72.8.178.3', 1208529164, 1208529411, 'US', 'United States'),
(35636, '72.8.178.4', '72.8.178.7', 1208529412, 1208529415, 'CN', 'China'),
(35637, '72.8.178.8', '72.8.178.11', 1208529416, 1208529419, 'IT', 'Italy'),
(35638, '72.8.178.12', '72.8.178.15', 1208529420, 1208529423, 'US', 'United States'),
(35639, '72.8.178.16', '72.8.178.19', 1208529424, 1208529427, 'CN', 'China'),
(35640, '72.8.178.20', '72.8.178.23', 1208529428, 1208529431, 'US', 'United States'),
(35641, '72.8.178.24', '72.8.178.27', 1208529432, 1208529435, 'CN', 'China'),
(35642, '72.8.178.28', '72.8.178.31', 1208529436, 1208529439, 'CA', 'Canada'),
(35643, '72.8.178.32', '72.8.178.39', 1208529440, 1208529447, 'US', 'United States'),
(35644, '72.8.178.40', '72.8.178.47', 1208529448, 1208529455, 'CN', 'China'),
(35645, '72.8.178.48', '72.8.178.55', 1208529456, 1208529463, 'US', 'United States'),
(35646, '72.8.178.56', '72.8.178.59', 1208529464, 1208529467, 'AE', 'United Arab Emirates'),
(35647, '72.8.178.60', '72.8.178.67', 1208529468, 1208529475, 'US', 'United States'),
(35648, '72.8.178.68', '72.8.178.71', 1208529476, 1208529479, 'PK', 'Pakistan'),
(35649, '72.8.178.72', '72.8.178.75', 1208529480, 1208529483, 'CN', 'China'),
(35650, '72.8.178.76', '72.8.178.127', 1208529484, 1208529535, 'US', 'United States'),
(35651, '72.8.178.128', '72.8.178.131', 1208529536, 1208529539, 'MX', 'Mexico'),
(35652, '72.8.178.132', '72.8.178.135', 1208529540, 1208529543, 'BR', 'Brazil'),
(35653, '72.8.178.136', '72.8.178.139', 1208529544, 1208529547, 'MY', 'Malaysia'),
(35654, '72.8.178.140', '72.8.178.155', 1208529548, 1208529563, 'US', 'United States'),
(35655, '72.8.178.156', '72.8.178.159', 1208529564, 1208529567, 'SA', 'Saudi Arabia'),
(35656, '72.8.178.160', '72.8.178.179', 1208529568, 1208529587, 'US', 'United States'),
(35657, '72.8.178.180', '72.8.178.183', 1208529588, 1208529591, 'HK', 'Hong Kong'),
(35658, '72.8.178.184', '72.8.178.191', 1208529592, 1208529599, 'US', 'United States'),
(35659, '72.8.178.192', '72.8.178.195', 1208529600, 1208529603, 'CN', 'China'),
(35660, '72.8.178.196', '72.8.178.255', 1208529604, 1208529663, 'US', 'United States'),
(35661, '72.8.179.0', '72.8.179.3', 1208529664, 1208529667, 'CN', 'China'),
(35662, '72.8.179.4', '72.8.179.15', 1208529668, 1208529679, 'US', 'United States'),
(35663, '72.8.179.16', '72.8.179.19', 1208529680, 1208529683, 'CN', 'China'),
(35664, '72.8.179.20', '72.8.179.23', 1208529684, 1208529687, 'AU', 'Australia'),
(35665, '72.8.179.24', '72.8.179.35', 1208529688, 1208529699, 'US', 'United States'),
(35666, '72.8.179.36', '72.8.179.43', 1208529700, 1208529707, 'CN', 'China'),
(35667, '72.8.179.44', '72.8.179.47', 1208529708, 1208529711, 'LV', 'Latvia'),
(35668, '72.8.179.48', '72.8.180.19', 1208529712, 1208529939, 'US', 'United States'),
(35669, '72.8.180.20', '72.8.180.23', 1208529940, 1208529943, 'CN', 'China'),
(35670, '72.8.180.24', '72.8.180.31', 1208529944, 1208529951, 'US', 'United States'),
(35671, '72.8.180.32', '72.8.180.35', 1208529952, 1208529955, 'CN', 'China'),
(35672, '72.8.180.36', '72.8.180.39', 1208529956, 1208529959, 'US', 'United States'),
(35673, '72.8.180.40', '72.8.180.43', 1208529960, 1208529963, 'CN', 'China'),
(35674, '72.8.180.44', '72.8.180.51', 1208529964, 1208529971, 'US', 'United States'),
(35675, '72.8.180.52', '72.8.180.67', 1208529972, 1208529987, 'CN', 'China'),
(35676, '72.8.180.68', '72.8.180.143', 1208529988, 1208530063, 'US', 'United States'),
(35677, '72.8.180.144', '72.8.180.147', 1208530064, 1208530067, 'FR', 'France'),
(35678, '72.8.180.148', '72.8.180.163', 1208530068, 1208530083, 'US', 'United States'),
(35679, '72.8.180.164', '72.8.180.167', 1208530084, 1208530087, 'CN', 'China'),
(35680, '72.8.180.168', '72.8.180.175', 1208530088, 1208530095, 'US', 'United States'),
(35681, '72.8.180.176', '72.8.180.179', 1208530096, 1208530099, 'CN', 'China'),
(35682, '72.8.180.180', '72.8.180.183', 1208530100, 1208530103, 'US', 'United States'),
(35683, '72.8.180.184', '72.8.180.187', 1208530104, 1208530107, 'CN', 'China'),
(35684, '72.8.180.188', '72.8.180.195', 1208530108, 1208530115, 'US', 'United States'),
(35685, '72.8.180.196', '72.8.180.199', 1208530116, 1208530119, 'CN', 'China'),
(35686, '72.8.180.200', '72.8.184.63', 1208530120, 1208531007, 'US', 'United States'),
(35687, '72.8.184.64', '72.8.184.127', 1208531008, 1208531071, 'CN', 'China'),
(35688, '72.8.184.128', '72.8.184.167', 1208531072, 1208531111, 'US', 'United States'),
(35689, '72.8.184.168', '72.8.184.175', 1208531112, 1208531119, 'CN', 'China'),
(35690, '72.8.184.176', '72.8.186.255', 1208531120, 1208531711, 'US', 'United States'),
(35691, '72.8.187.0', '72.8.188.3', 1208531712, 1208531971, 'CN', 'China'),
(35692, '72.8.188.4', '72.8.188.7', 1208531972, 1208531975, 'US', 'United States'),
(35693, '72.8.188.8', '72.8.188.11', 1208531976, 1208531979, 'CN', 'China'),
(35694, '72.8.188.12', '72.8.188.27', 1208531980, 1208531995, 'US', 'United States'),
(35695, '72.8.188.28', '72.8.188.31', 1208531996, 1208531999, 'CN', 'China'),
(35696, '72.8.188.32', '72.8.188.35', 1208532000, 1208532003, 'IT', 'Italy'),
(35697, '72.8.188.36', '72.8.188.55', 1208532004, 1208532023, 'US', 'United States'),
(35698, '72.8.188.56', '72.8.188.59', 1208532024, 1208532027, 'CN', 'China'),
(35699, '72.8.188.60', '72.8.188.67', 1208532028, 1208532035, 'US', 'United States'),
(35700, '72.8.188.68', '72.8.188.79', 1208532036, 1208532047, 'CN', 'China'),
(35701, '72.8.188.80', '72.8.188.83', 1208532048, 1208532051, 'US', 'United States'),
(35702, '72.8.188.84', '72.8.188.103', 1208532052, 1208532071, 'CN', 'China'),
(35703, '72.8.188.104', '72.8.188.107', 1208532072, 1208532075, 'US', 'United States'),
(35704, '72.8.188.108', '72.8.188.111', 1208532076, 1208532079, 'CN', 'China'),
(35705, '72.8.188.112', '72.8.188.115', 1208532080, 1208532083, 'LV', 'Latvia'),
(35706, '72.8.188.116', '72.8.188.123', 1208532084, 1208532091, 'US', 'United States'),
(35707, '72.8.188.124', '72.8.188.127', 1208532092, 1208532095, 'CA', 'Canada'),
(35708, '72.8.188.128', '72.8.189.63', 1208532096, 1208532287, 'US', 'United States'),
(35709, '72.8.189.64', '72.8.189.127', 1208532288, 1208532351, 'PK', 'Pakistan'),
(35710, '72.8.189.128', '72.9.144.132', 1208532352, 1208586372, 'US', 'United States'),
(35711, '72.9.144.133', '72.9.144.140', 1208586373, 1208586380, 'ID', 'Indonesia'),
(35712, '72.9.144.141', '72.9.144.179', 1208586381, 1208586419, 'US', 'United States'),
(35713, '72.9.144.180', '72.9.144.187', 1208586420, 1208586427, 'AE', 'United Arab Emirates'),
(35714, '72.9.144.188', '72.9.144.207', 1208586428, 1208586447, 'US', 'United States'),
(35715, '72.9.144.208', '72.9.144.215', 1208586448, 1208586455, 'TR', 'Turkey'),
(35716, '72.9.144.216', '72.9.145.30', 1208586456, 1208586526, 'US', 'United States'),
(35717, '72.9.145.31', '72.9.145.40', 1208586527, 1208586536, 'TR', 'Turkey'),
(35718, '72.9.145.41', '72.9.145.63', 1208586537, 1208586559, 'US', 'United States'),
(35719, '72.9.145.64', '72.9.145.71', 1208586560, 1208586567, 'EG', 'Egypt'),
(35720, '72.9.145.72', '72.9.145.77', 1208586568, 1208586573, 'US', 'United States'),
(35721, '72.9.145.78', '72.9.145.85', 1208586574, 1208586581, 'VE', 'Venezuela'),
(35722, '72.9.145.86', '72.9.145.93', 1208586582, 1208586589, 'LK', 'Sri Lanka'),
(35723, '72.9.145.94', '72.9.145.101', 1208586590, 1208586597, 'EG', 'Egypt'),
(35724, '72.9.145.102', '72.9.146.9', 1208586598, 1208586761, 'US', 'United States'),
(35725, '72.9.146.10', '72.9.146.22', 1208586762, 1208586774, 'GB', 'United Kingdom'),
(35726, '72.9.146.23', '72.9.146.119', 1208586775, 1208586871, 'US', 'United States'),
(35727, '72.9.146.120', '72.9.146.127', 1208586872, 1208586879, 'BS', 'Bahamas'),
(35728, '72.9.146.128', '72.9.146.167', 1208586880, 1208586919, 'US', 'United States'),
(35729, '72.9.146.168', '72.9.146.175', 1208586920, 1208586927, 'AF', 'Afghanistan'),
(35730, '72.9.146.176', '72.9.146.205', 1208586928, 1208586957, 'US', 'United States'),
(35731, '72.9.146.206', '72.9.146.221', 1208586958, 1208586973, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(35732, '72.9.146.222', '72.9.146.228', 1208586974, 1208586980, 'US', 'United States'),
(35733, '72.9.146.229', '72.9.146.236', 1208586981, 1208586988, 'EG', 'Egypt'),
(35734, '72.9.146.237', '72.9.147.17', 1208586989, 1208587025, 'US', 'United States'),
(35735, '72.9.147.18', '72.9.147.25', 1208587026, 1208587033, 'NZ', 'New Zealand'),
(35736, '72.9.147.26', '72.9.147.37', 1208587034, 1208587045, 'US', 'United States'),
(35737, '72.9.147.38', '72.9.147.45', 1208587046, 1208587053, 'IN', 'India'),
(35738, '72.9.147.46', '72.9.147.68', 1208587054, 1208587076, 'US', 'United States'),
(35739, '72.9.147.69', '72.9.147.75', 1208587077, 1208587083, 'LK', 'Sri Lanka'),
(35740, '72.9.147.76', '72.9.147.79', 1208587084, 1208587087, 'US', 'United States'),
(35741, '72.9.147.80', '72.9.147.87', 1208587088, 1208587095, 'LK', 'Sri Lanka'),
(35742, '72.9.147.88', '72.9.147.161', 1208587096, 1208587169, 'US', 'United States'),
(35743, '72.9.147.162', '72.9.147.169', 1208587170, 1208587177, 'MX', 'Mexico'),
(35744, '72.9.147.170', '72.9.147.179', 1208587178, 1208587187, 'US', 'United States'),
(35745, '72.9.147.180', '72.9.147.187', 1208587188, 1208587195, 'EG', 'Egypt'),
(35746, '72.9.147.188', '72.9.148.57', 1208587196, 1208587321, 'US', 'United States'),
(35747, '72.9.148.58', '72.9.148.65', 1208587322, 1208587329, 'GB', 'United Kingdom'),
(35748, '72.9.148.66', '72.9.148.69', 1208587330, 1208587333, 'US', 'United States'),
(35749, '72.9.148.70', '72.9.148.77', 1208587334, 1208587341, 'CA', 'Canada'),
(35750, '72.9.148.78', '72.9.148.81', 1208587342, 1208587345, 'US', 'United States'),
(35751, '72.9.148.82', '72.9.148.89', 1208587346, 1208587353, 'GB', 'United Kingdom'),
(35752, '72.9.148.90', '72.9.148.130', 1208587354, 1208587394, 'US', 'United States'),
(35753, '72.9.148.131', '72.9.148.138', 1208587395, 1208587402, 'EG', 'Egypt'),
(35754, '72.9.148.139', '72.9.148.154', 1208587403, 1208587418, 'US', 'United States'),
(35755, '72.9.148.155', '72.9.148.162', 1208587419, 1208587426, 'TR', 'Turkey'),
(35756, '72.9.148.163', '72.9.148.163', 1208587427, 1208587427, 'US', 'United States'),
(35757, '72.9.148.164', '72.9.148.179', 1208587428, 1208587443, 'GB', 'United Kingdom'),
(35758, '72.9.148.180', '72.9.148.186', 1208587444, 1208587450, 'US', 'United States'),
(35759, '72.9.148.187', '72.9.148.194', 1208587451, 1208587458, 'IN', 'India'),
(35760, '72.9.148.195', '72.9.148.215', 1208587459, 1208587479, 'US', 'United States'),
(35761, '72.9.148.216', '72.9.148.223', 1208587480, 1208587487, 'LK', 'Sri Lanka'),
(35762, '72.9.148.224', '72.9.148.224', 1208587488, 1208587488, 'US', 'United States'),
(35763, '72.9.148.225', '72.9.148.240', 1208587489, 1208587504, 'GB', 'United Kingdom'),
(35764, '72.9.148.241', '72.9.149.33', 1208587505, 1208587553, 'US', 'United States'),
(35765, '72.9.149.34', '72.9.149.41', 1208587554, 1208587561, 'ID', 'Indonesia'),
(35766, '72.9.149.42', '72.9.149.89', 1208587562, 1208587609, 'US', 'United States'),
(35767, '72.9.149.90', '72.9.149.97', 1208587610, 1208587617, 'EG', 'Egypt'),
(35768, '72.9.149.98', '72.9.149.109', 1208587618, 1208587629, 'US', 'United States'),
(35769, '72.9.149.110', '72.9.149.117', 1208587630, 1208587637, 'MA', 'Morocco'),
(35770, '72.9.149.118', '72.9.149.151', 1208587638, 1208587671, 'US', 'United States'),
(35771, '72.9.149.152', '72.9.149.159', 1208587672, 1208587679, 'EG', 'Egypt'),
(35772, '72.9.149.160', '72.9.149.185', 1208587680, 1208587705, 'US', 'United States'),
(35773, '72.9.149.186', '72.9.149.193', 1208587706, 1208587713, 'CA', 'Canada'),
(35774, '72.9.149.194', '72.9.149.208', 1208587714, 1208587728, 'US', 'United States'),
(35775, '72.9.149.209', '72.9.149.216', 1208587729, 1208587736, 'CA', 'Canada'),
(35776, '72.9.149.217', '72.9.149.245', 1208587737, 1208587765, 'US', 'United States'),
(35777, '72.9.149.246', '72.9.149.253', 1208587766, 1208587773, 'VE', 'Venezuela'),
(35778, '72.9.149.254', '72.9.150.168', 1208587774, 1208587944, 'US', 'United States'),
(35779, '72.9.150.169', '72.9.150.200', 1208587945, 1208587976, 'GB', 'United Kingdom'),
(35780, '72.9.150.201', '72.9.151.39', 1208587977, 1208588071, 'US', 'United States'),
(35781, '72.9.151.40', '72.9.151.47', 1208588072, 1208588079, 'RU', 'Russian Federation'),
(35782, '72.9.151.48', '72.9.151.71', 1208588080, 1208588103, 'US', 'United States'),
(35783, '72.9.151.72', '72.9.151.79', 1208588104, 1208588111, 'MA', 'Morocco'),
(35784, '72.9.151.80', '72.9.151.153', 1208588112, 1208588185, 'US', 'United States'),
(35785, '72.9.151.154', '72.9.151.161', 1208588186, 1208588193, 'EG', 'Egypt'),
(35786, '72.9.151.162', '72.9.153.47', 1208588194, 1208588591, 'US', 'United States'),
(35787, '72.9.153.48', '72.9.153.55', 1208588592, 1208588599, 'IN', 'India'),
(35788, '72.9.153.56', '72.9.153.184', 1208588600, 1208588728, 'US', 'United States'),
(35789, '72.9.153.185', '72.9.153.216', 1208588729, 1208588760, 'GB', 'United Kingdom'),
(35790, '72.9.153.217', '72.9.153.227', 1208588761, 1208588771, 'US', 'United States'),
(35791, '72.9.153.228', '72.9.153.235', 1208588772, 1208588779, 'GB', 'United Kingdom'),
(35792, '72.9.153.236', '72.9.154.53', 1208588780, 1208588853, 'US', 'United States'),
(35793, '72.9.154.54', '72.9.154.61', 1208588854, 1208588861, 'IN', 'India'),
(35794, '72.9.154.62', '72.9.154.153', 1208588862, 1208588953, 'US', 'United States'),
(35795, '72.9.154.154', '72.9.154.161', 1208588954, 1208588961, 'TR', 'Turkey'),
(35796, '72.9.154.162', '72.9.154.172', 1208588962, 1208588972, 'US', 'United States'),
(35797, '72.9.154.173', '72.9.154.185', 1208588973, 1208588985, 'GB', 'United Kingdom'),
(35798, '72.9.154.186', '72.9.154.189', 1208588986, 1208588989, 'US', 'United States'),
(35799, '72.9.154.190', '72.9.154.200', 1208588990, 1208589000, 'GB', 'United Kingdom'),
(35800, '72.9.154.201', '72.9.154.243', 1208589001, 1208589043, 'US', 'United States'),
(35801, '72.9.154.244', '72.9.154.251', 1208589044, 1208589051, 'BH', 'Bahrain'),
(35802, '72.9.154.252', '72.9.155.17', 1208589052, 1208589073, 'US', 'United States'),
(35803, '72.9.155.18', '72.9.155.25', 1208589074, 1208589081, 'CA', 'Canada'),
(35804, '72.9.155.26', '72.9.155.55', 1208589082, 1208589111, 'US', 'United States'),
(35805, '72.9.155.56', '72.9.155.63', 1208589112, 1208589119, 'VE', 'Venezuela'),
(35806, '72.9.155.64', '72.9.155.243', 1208589120, 1208589299, 'US', 'United States'),
(35807, '72.9.155.244', '72.9.155.251', 1208589300, 1208589307, 'LK', 'Sri Lanka'),
(35808, '72.9.155.252', '72.9.156.29', 1208589308, 1208589341, 'US', 'United States'),
(35809, '72.9.156.30', '72.9.156.37', 1208589342, 1208589349, 'ID', 'Indonesia'),
(35810, '72.9.156.38', '72.9.156.71', 1208589350, 1208589383, 'US', 'United States'),
(35811, '72.9.156.72', '72.9.156.79', 1208589384, 1208589391, 'BH', 'Bahrain'),
(35812, '72.9.156.80', '72.9.156.137', 1208589392, 1208589449, 'US', 'United States'),
(35813, '72.9.156.138', '72.9.156.145', 1208589450, 1208589457, 'EG', 'Egypt'),
(35814, '72.9.156.146', '72.9.157.9', 1208589458, 1208589577, 'US', 'United States'),
(35815, '72.9.157.10', '72.9.157.17', 1208589578, 1208589585, 'GB', 'United Kingdom'),
(35816, '72.9.157.18', '72.9.157.41', 1208589586, 1208589609, 'US', 'United States'),
(35817, '72.9.157.42', '72.9.157.49', 1208589610, 1208589617, 'EG', 'Egypt'),
(35818, '72.9.157.50', '72.9.157.71', 1208589618, 1208589639, 'US', 'United States'),
(35819, '72.9.157.72', '72.9.157.83', 1208589640, 1208589651, 'TR', 'Turkey'),
(35820, '72.9.157.84', '72.9.157.169', 1208589652, 1208589737, 'US', 'United States'),
(35821, '72.9.157.170', '72.9.157.177', 1208589738, 1208589745, 'EG', 'Egypt'),
(35822, '72.9.157.178', '72.9.158.33', 1208589746, 1208589857, 'US', 'United States'),
(35823, '72.9.158.34', '72.9.158.41', 1208589858, 1208589865, 'MA', 'Morocco'),
(35824, '72.9.158.42', '72.9.158.77', 1208589866, 1208589901, 'US', 'United States'),
(35825, '72.9.158.78', '72.9.158.101', 1208589902, 1208589925, 'EG', 'Egypt'),
(35826, '72.9.158.102', '72.9.158.135', 1208589926, 1208589959, 'US', 'United States'),
(35827, '72.9.158.136', '72.9.158.143', 1208589960, 1208589967, 'IR', 'Iran, Islamic Republic of'),
(35828, '72.9.158.144', '72.9.158.207', 1208589968, 1208590031, 'US', 'United States'),
(35829, '72.9.158.208', '72.9.158.231', 1208590032, 1208590055, 'EG', 'Egypt'),
(35830, '72.9.158.232', '72.9.159.11', 1208590056, 1208590091, 'US', 'United States'),
(35831, '72.9.159.12', '72.9.159.28', 1208590092, 1208590108, 'GB', 'United Kingdom'),
(35832, '72.9.159.29', '72.9.159.35', 1208590109, 1208590115, 'US', 'United States'),
(35833, '72.9.159.36', '72.9.159.43', 1208590116, 1208590123, 'EG', 'Egypt'),
(35834, '72.9.159.44', '72.9.159.90', 1208590124, 1208590170, 'US', 'United States'),
(35835, '72.9.159.91', '72.9.159.98', 1208590171, 1208590178, 'GB', 'United Kingdom'),
(35836, '72.9.159.99', '72.9.159.255', 1208590179, 1208590335, 'US', 'United States'),
(35837, '72.9.160.0', '72.9.191.255', 1208590336, 1208598527, 'CA', 'Canada'),
(35838, '72.9.192.0', '72.10.127.255', 1208598528, 1208647679, 'US', 'United States'),
(35839, '72.10.128.0', '72.10.161.191', 1208647680, 1208656319, 'CA', 'Canada'),
(35840, '72.10.161.192', '72.10.161.223', 1208656320, 1208656351, 'US', 'United States'),
(35841, '72.10.161.224', '72.10.162.127', 1208656352, 1208656511, 'CA', 'Canada'),
(35842, '72.10.162.128', '72.10.162.159', 1208656512, 1208656543, 'US', 'United States'),
(35843, '72.10.162.160', '72.10.162.191', 1208656544, 1208656575, 'CA', 'Canada'),
(35844, '72.10.162.192', '72.10.162.199', 1208656576, 1208656583, 'DO', 'Dominican Republic'),
(35845, '72.10.162.200', '72.10.162.207', 1208656584, 1208656591, 'PA', 'Panama'),
(35846, '72.10.162.208', '72.10.162.255', 1208656592, 1208656639, 'CA', 'Canada'),
(35847, '72.10.163.0', '72.10.163.63', 1208656640, 1208656703, 'MY', 'Malaysia'),
(35848, '72.10.163.64', '72.10.163.127', 1208656704, 1208656767, 'CA', 'Canada'),
(35849, '72.10.163.128', '72.10.163.255', 1208656768, 1208656895, 'MY', 'Malaysia'),
(35850, '72.10.164.0', '72.10.164.7', 1208656896, 1208656903, 'CA', 'Canada'),
(35851, '72.10.164.8', '72.10.164.15', 1208656904, 1208656911, 'LB', 'Lebanon'),
(35852, '72.10.164.16', '72.10.164.191', 1208656912, 1208657087, 'CA', 'Canada'),
(35853, '72.10.164.192', '72.10.164.207', 1208657088, 1208657103, 'MA', 'Morocco'),
(35854, '72.10.164.208', '72.10.164.243', 1208657104, 1208657139, 'CA', 'Canada'),
(35855, '72.10.164.244', '72.10.164.247', 1208657140, 1208657143, 'SE', 'Sweden'),
(35856, '72.10.164.248', '72.10.166.7', 1208657144, 1208657415, 'CA', 'Canada'),
(35857, '72.10.166.8', '72.10.166.15', 1208657416, 1208657423, 'CH', 'Switzerland'),
(35858, '72.10.166.16', '72.10.166.111', 1208657424, 1208657519, 'CA', 'Canada'),
(35859, '72.10.166.112', '72.10.166.119', 1208657520, 1208657527, 'MA', 'Morocco'),
(35860, '72.10.166.120', '72.10.166.123', 1208657528, 1208657531, 'PA', 'Panama'),
(35861, '72.10.166.124', '72.10.166.127', 1208657532, 1208657535, 'CA', 'Canada'),
(35862, '72.10.166.128', '72.10.166.135', 1208657536, 1208657543, 'SE', 'Sweden'),
(35863, '72.10.166.136', '72.10.166.143', 1208657544, 1208657551, 'CA', 'Canada'),
(35864, '72.10.166.144', '72.10.166.151', 1208657552, 1208657559, 'PH', 'Philippines'),
(35865, '72.10.166.152', '72.10.167.111', 1208657560, 1208657775, 'CA', 'Canada'),
(35866, '72.10.167.112', '72.10.167.119', 1208657776, 1208657783, 'PA', 'Panama'),
(35867, '72.10.167.120', '72.10.167.191', 1208657784, 1208657855, 'CA', 'Canada'),
(35868, '72.10.167.192', '72.10.167.207', 1208657856, 1208657871, 'PA', 'Panama'),
(35869, '72.10.167.208', '72.10.167.255', 1208657872, 1208657919, 'CA', 'Canada'),
(35870, '72.10.168.0', '72.10.168.55', 1208657920, 1208657975, 'MA', 'Morocco'),
(35871, '72.10.168.56', '72.10.168.63', 1208657976, 1208657983, 'CA', 'Canada'),
(35872, '72.10.168.64', '72.10.168.71', 1208657984, 1208657991, 'CN', 'China'),
(35873, '72.10.168.72', '72.10.168.95', 1208657992, 1208658015, 'MA', 'Morocco'),
(35874, '72.10.168.96', '72.10.168.111', 1208658016, 1208658031, 'CA', 'Canada'),
(35875, '72.10.168.112', '72.10.168.119', 1208658032, 1208658039, 'MA', 'Morocco'),
(35876, '72.10.168.120', '72.10.168.183', 1208658040, 1208658103, 'CA', 'Canada'),
(35877, '72.10.168.184', '72.10.168.191', 1208658104, 1208658111, 'FR', 'France'),
(35878, '72.10.168.192', '72.10.168.207', 1208658112, 1208658127, 'CA', 'Canada'),
(35879, '72.10.168.208', '72.10.168.223', 1208658128, 1208658143, 'MA', 'Morocco'),
(35880, '72.10.168.224', '72.10.168.239', 1208658144, 1208658159, 'CA', 'Canada'),
(35881, '72.10.168.240', '72.10.168.247', 1208658160, 1208658167, 'MA', 'Morocco'),
(35882, '72.10.168.248', '72.10.168.255', 1208658168, 1208658175, 'CA', 'Canada'),
(35883, '72.10.169.0', '72.10.169.23', 1208658176, 1208658199, 'MA', 'Morocco'),
(35884, '72.10.169.24', '72.10.169.47', 1208658200, 1208658223, 'CA', 'Canada'),
(35885, '72.10.169.48', '72.10.169.63', 1208658224, 1208658239, 'MA', 'Morocco'),
(35886, '72.10.169.64', '72.10.169.95', 1208658240, 1208658271, 'CA', 'Canada'),
(35887, '72.10.169.96', '72.10.169.103', 1208658272, 1208658279, 'IL', 'Israel'),
(35888, '72.10.169.104', '72.10.169.127', 1208658280, 1208658303, 'CA', 'Canada'),
(35889, '72.10.169.128', '72.10.169.159', 1208658304, 1208658335, 'US', 'United States'),
(35890, '72.10.169.160', '72.10.172.191', 1208658336, 1208659135, 'CA', 'Canada'),
(35891, '72.10.172.192', '72.10.172.207', 1208659136, 1208659151, 'CN', 'China'),
(35892, '72.10.172.208', '72.10.173.127', 1208659152, 1208659327, 'CA', 'Canada'),
(35893, '72.10.173.128', '72.10.173.159', 1208659328, 1208659359, 'US', 'United States'),
(35894, '72.10.173.160', '72.10.173.191', 1208659360, 1208659391, 'CA', 'Canada'),
(35895, '72.10.173.192', '72.10.173.199', 1208659392, 1208659399, 'CN', 'China'),
(35896, '72.10.173.200', '72.10.173.223', 1208659400, 1208659423, 'CA', 'Canada'),
(35897, '72.10.173.224', '72.10.173.255', 1208659424, 1208659455, 'US', 'United States'),
(35898, '72.10.174.0', '72.10.174.63', 1208659456, 1208659519, 'PK', 'Pakistan'),
(35899, '72.10.174.64', '72.10.174.95', 1208659520, 1208659551, 'US', 'United States'),
(35900, '72.10.174.96', '72.10.174.191', 1208659552, 1208659647, 'CA', 'Canada'),
(35901, '72.10.174.192', '72.10.174.255', 1208659648, 1208659711, 'ID', 'Indonesia'),
(35902, '72.10.175.0', '72.10.175.31', 1208659712, 1208659743, 'CA', 'Canada'),
(35903, '72.10.175.32', '72.10.175.63', 1208659744, 1208659775, 'ID', 'Indonesia'),
(35904, '72.10.175.64', '72.10.175.119', 1208659776, 1208659831, 'CA', 'Canada'),
(35905, '72.10.175.120', '72.10.175.127', 1208659832, 1208659839, 'ID', 'Indonesia'),
(35906, '72.10.175.128', '72.10.175.191', 1208659840, 1208659903, 'PK', 'Pakistan'),
(35907, '72.10.175.192', '72.10.175.255', 1208659904, 1208659967, 'CA', 'Canada'),
(35908, '72.10.176.0', '72.11.159.255', 1208659968, 1208721407, 'US', 'United States'),
(35909, '72.11.160.0', '72.11.191.255', 1208721408, 1208729599, 'CA', 'Canada'),
(35910, '72.11.192.0', '72.12.95.255', 1208729600, 1208770559, 'US', 'United States'),
(35911, '72.12.96.0', '72.12.111.255', 1208770560, 1208774655, 'CA', 'Canada'),
(35912, '72.12.112.0', '72.12.127.255', 1208774656, 1208778751, 'US', 'United States'),
(35913, '72.12.128.0', '72.12.191.255', 1208778752, 1208795135, 'CA', 'Canada'),
(35914, '72.12.192.0', '72.13.81.135', 1208795136, 1208832391, 'US', 'United States'),
(35915, '72.13.81.136', '72.13.81.151', 1208832392, 1208832407, 'CN', 'China'),
(35916, '72.13.81.152', '72.13.81.199', 1208832408, 1208832455, 'US', 'United States'),
(35917, '72.13.81.200', '72.13.81.207', 1208832456, 1208832463, 'CN', 'China'),
(35918, '72.13.81.208', '72.13.82.55', 1208832464, 1208832567, 'US', 'United States'),
(35919, '72.13.82.56', '72.13.82.63', 1208832568, 1208832575, 'CN', 'China'),
(35920, '72.13.82.64', '72.13.82.71', 1208832576, 1208832583, 'US', 'United States'),
(35921, '72.13.82.72', '72.13.82.79', 1208832584, 1208832591, 'CN', 'China'),
(35922, '72.13.82.80', '72.13.82.87', 1208832592, 1208832599, 'US', 'United States'),
(35923, '72.13.82.88', '72.13.82.95', 1208832600, 1208832607, 'CN', 'China'),
(35924, '72.13.82.96', '72.13.82.111', 1208832608, 1208832623, 'IT', 'Italy'),
(35925, '72.13.82.112', '72.13.82.119', 1208832624, 1208832631, 'NZ', 'New Zealand'),
(35926, '72.13.82.120', '72.13.82.127', 1208832632, 1208832639, 'CN', 'China'),
(35927, '72.13.82.128', '72.13.82.199', 1208832640, 1208832711, 'US', 'United States'),
(35928, '72.13.82.200', '72.13.82.207', 1208832712, 1208832719, 'CN', 'China'),
(35929, '72.13.82.208', '72.13.83.7', 1208832720, 1208832775, 'US', 'United States'),
(35930, '72.13.83.8', '72.13.83.15', 1208832776, 1208832783, 'CA', 'Canada'),
(35931, '72.13.83.16', '72.13.83.255', 1208832784, 1208833023, 'US', 'United States'),
(35932, '72.13.84.0', '72.13.84.7', 1208833024, 1208833031, 'PR', 'Puerto Rico'),
(35933, '72.13.84.8', '72.13.89.111', 1208833032, 1208834415, 'US', 'United States'),
(35934, '72.13.89.112', '72.13.89.119', 1208834416, 1208834423, 'TK', 'Tokelau'),
(35935, '72.13.89.120', '72.13.91.151', 1208834424, 1208834967, 'US', 'United States'),
(35936, '72.13.91.152', '72.13.91.159', 1208834968, 1208834975, 'ID', 'Indonesia'),
(35937, '72.13.91.160', '72.13.91.175', 1208834976, 1208834991, 'US', 'United States'),
(35938, '72.13.91.176', '72.13.91.183', 1208834992, 1208834999, 'NP', 'Nepal'),
(35939, '72.13.91.184', '72.13.91.191', 1208835000, 1208835007, 'CA', 'Canada'),
(35940, '72.13.91.192', '72.13.159.255', 1208835008, 1208852479, 'US', 'United States'),
(35941, '72.13.160.0', '72.13.191.255', 1208852480, 1208860671, 'CA', 'Canada'),
(35942, '72.13.192.0', '72.14.159.255', 1208860672, 1208918015, 'US', 'United States'),
(35943, '72.14.160.0', '72.14.167.199', 1208918016, 1208920007, 'CA', 'Canada'),
(35944, '72.14.167.200', '72.14.167.207', 1208920008, 1208920015, 'US', 'United States'),
(35945, '72.14.167.208', '72.14.175.255', 1208920016, 1208922111, 'CA', 'Canada'),
(35946, '72.14.176.0', '72.14.192.255', 1208922112, 1208926463, 'US', 'United States'),
(35947, '72.14.193.0', '72.14.193.255', 1208926464, 1208926719, 'EU', 'Europe'),
(35948, '72.14.194.0', '72.14.201.255', 1208926720, 1208928767, 'US', 'United States'),
(35949, '72.14.202.0', '72.14.202.255', 1208928768, 1208929023, 'TW', 'Taiwan'),
(35950, '72.14.203.0', '72.14.229.255', 1208929024, 1208935935, 'US', 'United States'),
(35951, '72.14.230.0', '72.14.230.7', 1208935936, 1208935943, 'AU', 'Australia'),
(35952, '72.14.230.8', '72.14.230.15', 1208935944, 1208935951, 'IN', 'India'),
(35953, '72.14.230.16', '72.14.230.23', 1208935952, 1208935959, 'SG', 'Singapore'),
(35954, '72.14.230.24', '72.14.230.31', 1208935960, 1208935967, 'HK', 'Hong Kong'),
(35955, '72.14.230.32', '72.14.230.39', 1208935968, 1208935975, 'KR', 'Korea, Republic of'),
(35956, '72.14.230.40', '72.14.230.47', 1208935976, 1208935983, 'TW', 'Taiwan'),
(35957, '72.14.230.48', '72.14.230.55', 1208935984, 1208935991, 'IN', 'India'),
(35958, '72.14.230.56', '72.14.230.63', 1208935992, 1208935999, 'JP', 'Japan'),
(35959, '72.14.230.64', '72.14.230.255', 1208936000, 1208936191, 'US', 'United States'),
(35960, '72.14.231.0', '72.14.231.7', 1208936192, 1208936199, 'AU', 'Australia'),
(35961, '72.14.231.8', '72.14.231.15', 1208936200, 1208936207, 'SG', 'Singapore'),
(35962, '72.14.231.16', '72.14.231.23', 1208936208, 1208936215, 'HK', 'Hong Kong'),
(35963, '72.14.231.24', '72.14.231.31', 1208936216, 1208936223, 'IN', 'India'),
(35964, '72.14.231.32', '72.14.231.39', 1208936224, 1208936231, 'KR', 'Korea, Republic of'),
(35965, '72.14.231.40', '72.14.231.47', 1208936232, 1208936239, 'TW', 'Taiwan'),
(35966, '72.14.231.48', '72.14.231.55', 1208936240, 1208936247, 'JP', 'Japan'),
(35967, '72.14.231.56', '72.14.231.63', 1208936248, 1208936255, 'IN', 'India'),
(35968, '72.14.231.64', '72.14.231.71', 1208936256, 1208936263, 'MY', 'Malaysia'),
(35969, '72.14.231.72', '72.15.47.255', 1208936264, 1208954879, 'US', 'United States'),
(35970, '72.15.48.0', '72.15.63.255', 1208954880, 1208958975, 'CA', 'Canada'),
(35971, '72.15.64.0', '72.15.127.255', 1208958976, 1208975359, 'US', 'United States'),
(35972, '72.15.128.0', '72.15.146.223', 1208975360, 1208980191, 'CA', 'Canada'),
(35973, '72.15.146.224', '72.15.146.255', 1208980192, 1208980223, 'US', 'United States'),
(35974, '72.15.147.0', '72.15.148.23', 1208980224, 1208980503, 'CA', 'Canada'),
(35975, '72.15.148.24', '72.15.148.31', 1208980504, 1208980511, 'US', 'United States'),
(35976, '72.15.148.32', '72.15.159.255', 1208980512, 1208983551, 'CA', 'Canada'),
(35977, '72.15.160.0', '72.15.192.31', 1208983552, 1208991775, 'US', 'United States'),
(35978, '72.15.192.32', '72.15.192.47', 1208991776, 1208991791, 'GB', 'United Kingdom'),
(35979, '72.15.192.48', '72.15.233.111', 1208991792, 1209002351, 'US', 'United States'),
(35980, '72.15.233.112', '72.15.233.127', 1209002352, 1209002367, 'A2', 'Satellite Provider'),
(35981, '72.15.233.128', '72.15.233.255', 1209002368, 1209002495, 'US', 'United States'),
(35982, '72.15.234.0', '72.15.234.191', 1209002496, 1209002687, 'A2', 'Satellite Provider'),
(35983, '72.15.234.192', '72.15.235.255', 1209002688, 1209003007, 'US', 'United States'),
(35984, '72.15.236.0', '72.15.239.255', 1209003008, 1209004031, 'A2', 'Satellite Provider'),
(35985, '72.15.240.0', '72.15.243.63', 1209004032, 1209004863, 'US', 'United States'),
(35986, '72.15.243.64', '72.15.243.127', 1209004864, 1209004927, 'GB', 'United Kingdom'),
(35987, '72.15.243.128', '72.18.196.3', 1209004928, 1209189379, 'US', 'United States'),
(35988, '72.18.196.4', '72.18.196.19', 1209189380, 1209189395, 'MX', 'Mexico'),
(35989, '72.18.196.20', '72.18.199.3', 1209189396, 1209190147, 'US', 'United States'),
(35990, '72.18.199.4', '72.18.199.19', 1209190148, 1209190163, 'MX', 'Mexico'),
(35991, '72.18.199.20', '72.18.199.23', 1209190164, 1209190167, 'US', 'United States'),
(35992, '72.18.199.24', '72.18.199.51', 1209190168, 1209190195, 'GR', 'Greece'),
(35993, '72.18.199.52', '72.18.201.195', 1209190196, 1209190851, 'US', 'United States'),
(35994, '72.18.201.196', '72.18.201.227', 1209190852, 1209190883, 'CA', 'Canada'),
(35995, '72.18.201.228', '72.18.201.255', 1209190884, 1209190911, 'US', 'United States'),
(35996, '72.18.202.0', '72.18.202.255', 1209190912, 1209191167, 'MX', 'Mexico'),
(35997, '72.18.203.0', '72.20.1.19', 1209191168, 1209270547, 'US', 'United States'),
(35998, '72.20.1.20', '72.20.1.23', 1209270548, 1209270551, 'ID', 'Indonesia'),
(35999, '72.20.1.24', '72.20.1.75', 1209270552, 1209270603, 'US', 'United States'),
(36000, '72.20.1.76', '72.20.1.79', 1209270604, 1209270607, 'CN', 'China'),
(36001, '72.20.1.80', '72.20.1.251', 1209270608, 1209270779, 'US', 'United States'),
(36002, '72.20.1.252', '72.20.2.3', 1209270780, 1209270787, 'CN', 'China'),
(36003, '72.20.2.4', '72.20.2.251', 1209270788, 1209271035, 'US', 'United States'),
(36004, '72.20.2.252', '72.20.2.255', 1209271036, 1209271039, 'BD', 'Bangladesh'),
(36005, '72.20.3.0', '72.20.3.43', 1209271040, 1209271083, 'US', 'United States'),
(36006, '72.20.3.44', '72.20.3.47', 1209271084, 1209271087, 'BR', 'Brazil'),
(36007, '72.20.3.48', '72.20.3.57', 1209271088, 1209271097, 'US', 'United States'),
(36008, '72.20.3.58', '72.20.3.58', 1209271098, 1209271098, 'A1', 'Anonymous Proxy'),
(36009, '72.20.3.59', '72.20.3.87', 1209271099, 1209271127, 'US', 'United States'),
(36010, '72.20.3.88', '72.20.3.91', 1209271128, 1209271131, 'SA', 'Saudi Arabia'),
(36011, '72.20.3.92', '72.20.3.151', 1209271132, 1209271191, 'US', 'United States'),
(36012, '72.20.3.152', '72.20.3.155', 1209271192, 1209271195, 'RO', 'Romania'),
(36013, '72.20.3.156', '72.20.3.167', 1209271196, 1209271207, 'US', 'United States'),
(36014, '72.20.3.168', '72.20.3.171', 1209271208, 1209271211, 'SC', 'Seychelles'),
(36015, '72.20.3.172', '72.20.3.175', 1209271212, 1209271215, 'US', 'United States'),
(36016, '72.20.3.176', '72.20.3.179', 1209271216, 1209271219, 'IN', 'India'),
(36017, '72.20.3.180', '72.20.4.71', 1209271220, 1209271367, 'US', 'United States'),
(36018, '72.20.4.72', '72.20.4.75', 1209271368, 1209271371, 'TR', 'Turkey'),
(36019, '72.20.4.76', '72.20.4.79', 1209271372, 1209271375, 'CN', 'China'),
(36020, '72.20.4.80', '72.20.4.139', 1209271376, 1209271435, 'US', 'United States'),
(36021, '72.20.4.140', '72.20.4.143', 1209271436, 1209271439, 'CN', 'China'),
(36022, '72.20.4.144', '72.20.4.155', 1209271440, 1209271451, 'US', 'United States'),
(36023, '72.20.4.156', '72.20.4.159', 1209271452, 1209271455, 'CN', 'China'),
(36024, '72.20.4.160', '72.20.4.167', 1209271456, 1209271463, 'US', 'United States'),
(36025, '72.20.4.168', '72.20.4.171', 1209271464, 1209271467, 'PK', 'Pakistan'),
(36026, '72.20.4.172', '72.20.4.187', 1209271468, 1209271483, 'US', 'United States'),
(36027, '72.20.4.188', '72.20.4.191', 1209271484, 1209271487, 'VN', 'Vietnam'),
(36028, '72.20.4.192', '72.20.4.195', 1209271488, 1209271491, 'CN', 'China'),
(36029, '72.20.4.196', '72.20.4.199', 1209271492, 1209271495, 'US', 'United States'),
(36030, '72.20.4.200', '72.20.4.203', 1209271496, 1209271499, 'CA', 'Canada'),
(36031, '72.20.4.204', '72.20.4.215', 1209271500, 1209271511, 'US', 'United States'),
(36032, '72.20.4.216', '72.20.4.219', 1209271512, 1209271515, 'CN', 'China'),
(36033, '72.20.4.220', '72.20.4.223', 1209271516, 1209271519, 'US', 'United States'),
(36034, '72.20.4.224', '72.20.4.227', 1209271520, 1209271523, 'CN', 'China'),
(36035, '72.20.4.228', '72.20.4.231', 1209271524, 1209271527, 'KH', 'Cambodia'),
(36036, '72.20.4.232', '72.20.4.251', 1209271528, 1209271547, 'US', 'United States'),
(36037, '72.20.4.252', '72.20.4.255', 1209271548, 1209271551, 'CN', 'China'),
(36038, '72.20.5.0', '72.20.5.23', 1209271552, 1209271575, 'US', 'United States'),
(36039, '72.20.5.24', '72.20.5.27', 1209271576, 1209271579, 'CN', 'China'),
(36040, '72.20.5.28', '72.20.5.31', 1209271580, 1209271583, 'BD', 'Bangladesh'),
(36041, '72.20.5.32', '72.20.5.55', 1209271584, 1209271607, 'US', 'United States'),
(36042, '72.20.5.56', '72.20.5.59', 1209271608, 1209271611, 'KH', 'Cambodia'),
(36043, '72.20.5.60', '72.20.5.63', 1209271612, 1209271615, 'CA', 'Canada'),
(36044, '72.20.5.64', '72.20.5.83', 1209271616, 1209271635, 'US', 'United States'),
(36045, '72.20.5.84', '72.20.5.91', 1209271636, 1209271643, 'CN', 'China'),
(36046, '72.20.5.92', '72.20.5.95', 1209271644, 1209271647, 'GB', 'United Kingdom'),
(36047, '72.20.5.96', '72.20.5.99', 1209271648, 1209271651, 'US', 'United States'),
(36048, '72.20.5.100', '72.20.5.103', 1209271652, 1209271655, 'DE', 'Germany'),
(36049, '72.20.5.104', '72.20.5.111', 1209271656, 1209271663, 'US', 'United States'),
(36050, '72.20.5.112', '72.20.5.115', 1209271664, 1209271667, 'CN', 'China'),
(36051, '72.20.5.116', '72.20.5.143', 1209271668, 1209271695, 'US', 'United States'),
(36052, '72.20.5.144', '72.20.5.147', 1209271696, 1209271699, 'SC', 'Seychelles'),
(36053, '72.20.5.148', '72.20.5.151', 1209271700, 1209271703, 'US', 'United States'),
(36054, '72.20.5.152', '72.20.5.155', 1209271704, 1209271707, 'CN', 'China'),
(36055, '72.20.5.156', '72.20.5.167', 1209271708, 1209271719, 'US', 'United States'),
(36056, '72.20.5.168', '72.20.5.171', 1209271720, 1209271723, 'CN', 'China'),
(36057, '72.20.5.172', '72.20.5.175', 1209271724, 1209271727, 'US', 'United States'),
(36058, '72.20.5.176', '72.20.5.183', 1209271728, 1209271735, 'CN', 'China'),
(36059, '72.20.5.184', '72.20.5.187', 1209271736, 1209271739, 'US', 'United States'),
(36060, '72.20.5.188', '72.20.5.195', 1209271740, 1209271747, 'GB', 'United Kingdom'),
(36061, '72.20.5.196', '72.20.5.215', 1209271748, 1209271767, 'US', 'United States'),
(36062, '72.20.5.216', '72.20.5.219', 1209271768, 1209271771, 'RO', 'Romania'),
(36063, '72.20.5.220', '72.20.5.223', 1209271772, 1209271775, 'US', 'United States'),
(36064, '72.20.5.224', '72.20.5.227', 1209271776, 1209271779, 'CN', 'China'),
(36065, '72.20.5.228', '72.20.5.231', 1209271780, 1209271783, 'US', 'United States'),
(36066, '72.20.5.232', '72.20.5.235', 1209271784, 1209271787, 'RO', 'Romania'),
(36067, '72.20.5.236', '72.20.5.243', 1209271788, 1209271795, 'US', 'United States'),
(36068, '72.20.5.244', '72.20.5.247', 1209271796, 1209271799, 'ZA', 'South Africa'),
(36069, '72.20.5.248', '72.20.5.251', 1209271800, 1209271803, 'US', 'United States'),
(36070, '72.20.5.252', '72.20.5.255', 1209271804, 1209271807, 'GB', 'United Kingdom'),
(36071, '72.20.6.0', '72.20.6.19', 1209271808, 1209271827, 'US', 'United States'),
(36072, '72.20.6.20', '72.20.6.23', 1209271828, 1209271831, 'KH', 'Cambodia'),
(36073, '72.20.6.24', '72.20.6.27', 1209271832, 1209271835, 'CN', 'China'),
(36074, '72.20.6.28', '72.20.6.39', 1209271836, 1209271847, 'US', 'United States'),
(36075, '72.20.6.40', '72.20.6.47', 1209271848, 1209271855, 'IN', 'India'),
(36076, '72.20.6.48', '72.20.6.51', 1209271856, 1209271859, 'US', 'United States'),
(36077, '72.20.6.52', '72.20.6.55', 1209271860, 1209271863, 'CN', 'China'),
(36078, '72.20.6.56', '72.20.6.59', 1209271864, 1209271867, 'US', 'United States'),
(36079, '72.20.6.60', '72.20.6.79', 1209271868, 1209271887, 'CN', 'China'),
(36080, '72.20.6.80', '72.20.6.83', 1209271888, 1209271891, 'US', 'United States'),
(36081, '72.20.6.84', '72.20.6.87', 1209271892, 1209271895, 'CN', 'China'),
(36082, '72.20.6.88', '72.20.6.103', 1209271896, 1209271911, 'US', 'United States'),
(36083, '72.20.6.104', '72.20.6.107', 1209271912, 1209271915, 'ID', 'Indonesia'),
(36084, '72.20.6.108', '72.20.6.115', 1209271916, 1209271923, 'US', 'United States'),
(36085, '72.20.6.116', '72.20.6.119', 1209271924, 1209271927, 'CA', 'Canada'),
(36086, '72.20.6.120', '72.20.6.127', 1209271928, 1209271935, 'US', 'United States'),
(36087, '72.20.6.128', '72.20.6.131', 1209271936, 1209271939, 'BD', 'Bangladesh'),
(36088, '72.20.6.132', '72.20.7.15', 1209271940, 1209272079, 'US', 'United States'),
(36089, '72.20.7.16', '72.20.7.31', 1209272080, 1209272095, 'CN', 'China'),
(36090, '72.20.7.32', '72.20.7.95', 1209272096, 1209272159, 'US', 'United States'),
(36091, '72.20.7.96', '72.20.7.111', 1209272160, 1209272175, 'IT', 'Italy'),
(36092, '72.20.7.112', '72.20.7.127', 1209272176, 1209272191, 'BR', 'Brazil'),
(36093, '72.20.7.128', '72.20.7.175', 1209272192, 1209272239, 'US', 'United States'),
(36094, '72.20.7.176', '72.20.7.223', 1209272240, 1209272287, 'CN', 'China'),
(36095, '72.20.7.224', '72.20.8.87', 1209272288, 1209272407, 'US', 'United States'),
(36096, '72.20.8.88', '72.20.8.95', 1209272408, 1209272415, 'PE', 'Peru'),
(36097, '72.20.8.96', '72.20.8.127', 1209272416, 1209272447, 'DE', 'Germany'),
(36098, '72.20.8.128', '72.20.8.159', 1209272448, 1209272479, 'KH', 'Cambodia'),
(36099, '72.20.8.160', '72.20.8.175', 1209272480, 1209272495, 'LV', 'Latvia'),
(36100, '72.20.8.176', '72.20.9.7', 1209272496, 1209272583, 'US', 'United States'),
(36101, '72.20.9.8', '72.20.9.15', 1209272584, 1209272591, 'PH', 'Philippines'),
(36102, '72.20.9.16', '72.20.9.23', 1209272592, 1209272599, 'GB', 'United Kingdom'),
(36103, '72.20.9.24', '72.20.9.31', 1209272600, 1209272607, 'BD', 'Bangladesh'),
(36104, '72.20.9.32', '72.20.9.47', 1209272608, 1209272623, 'SC', 'Seychelles'),
(36105, '72.20.9.48', '72.20.9.159', 1209272624, 1209272735, 'US', 'United States'),
(36106, '72.20.9.160', '72.20.9.191', 1209272736, 1209272767, 'CN', 'China'),
(36107, '72.20.9.192', '72.20.9.207', 1209272768, 1209272783, 'US', 'United States'),
(36108, '72.20.9.208', '72.20.9.223', 1209272784, 1209272799, 'CN', 'China'),
(36109, '72.20.9.224', '72.20.10.7', 1209272800, 1209272839, 'US', 'United States'),
(36110, '72.20.10.8', '72.20.10.15', 1209272840, 1209272847, 'CN', 'China'),
(36111, '72.20.10.16', '72.20.10.31', 1209272848, 1209272863, 'US', 'United States'),
(36112, '72.20.10.32', '72.20.10.63', 1209272864, 1209272895, 'MY', 'Malaysia'),
(36113, '72.20.10.64', '72.20.10.127', 1209272896, 1209272959, 'CN', 'China'),
(36114, '72.20.10.128', '72.20.10.191', 1209272960, 1209273023, 'BR', 'Brazil'),
(36115, '72.20.10.192', '72.20.10.223', 1209273024, 1209273055, 'US', 'United States'),
(36116, '72.20.10.224', '72.20.10.239', 1209273056, 1209273071, 'TR', 'Turkey'),
(36117, '72.20.10.240', '72.20.10.247', 1209273072, 1209273079, 'US', 'United States'),
(36118, '72.20.10.248', '72.20.10.251', 1209273080, 1209273083, 'SC', 'Seychelles'),
(36119, '72.20.10.252', '72.20.11.31', 1209273084, 1209273119, 'US', 'United States'),
(36120, '72.20.11.32', '72.20.11.47', 1209273120, 1209273135, 'BR', 'Brazil'),
(36121, '72.20.11.48', '72.20.11.63', 1209273136, 1209273151, 'TR', 'Turkey'),
(36122, '72.20.11.64', '72.20.11.119', 1209273152, 1209273207, 'US', 'United States'),
(36123, '72.20.11.120', '72.20.11.127', 1209273208, 1209273215, 'CA', 'Canada'),
(36124, '72.20.11.128', '72.20.11.191', 1209273216, 1209273279, 'US', 'United States'),
(36125, '72.20.11.192', '72.20.11.223', 1209273280, 1209273311, 'BR', 'Brazil'),
(36126, '72.20.11.224', '72.20.12.7', 1209273312, 1209273351, 'US', 'United States'),
(36127, '72.20.12.8', '72.20.12.15', 1209273352, 1209273359, 'CA', 'Canada'),
(36128, '72.20.12.16', '72.20.12.31', 1209273360, 1209273375, 'US', 'United States'),
(36129, '72.20.12.32', '72.20.12.63', 1209273376, 1209273407, 'TR', 'Turkey'),
(36130, '72.20.12.64', '72.20.12.127', 1209273408, 1209273471, 'CZ', 'Czech Republic'),
(36131, '72.20.12.128', '72.20.12.143', 1209273472, 1209273487, 'US', 'United States'),
(36132, '72.20.12.144', '72.20.12.175', 1209273488, 1209273519, 'CN', 'China'),
(36133, '72.20.12.176', '72.20.12.191', 1209273520, 1209273535, 'US', 'United States'),
(36134, '72.20.12.192', '72.20.12.207', 1209273536, 1209273551, 'VN', 'Vietnam'),
(36135, '72.20.12.208', '72.20.12.215', 1209273552, 1209273559, 'US', 'United States'),
(36136, '72.20.12.216', '72.20.12.219', 1209273560, 1209273563, 'AE', 'United Arab Emirates'),
(36137, '72.20.12.220', '72.20.13.47', 1209273564, 1209273647, 'US', 'United States'),
(36138, '72.20.13.48', '72.20.13.55', 1209273648, 1209273655, 'CN', 'China'),
(36139, '72.20.13.56', '72.20.13.63', 1209273656, 1209273663, 'US', 'United States'),
(36140, '72.20.13.64', '72.20.13.71', 1209273664, 1209273671, 'BD', 'Bangladesh'),
(36141, '72.20.13.72', '72.20.13.75', 1209273672, 1209273675, 'US', 'United States'),
(36142, '72.20.13.76', '72.20.13.79', 1209273676, 1209273679, 'GB', 'United Kingdom'),
(36143, '72.20.13.80', '72.20.14.135', 1209273680, 1209273991, 'US', 'United States'),
(36144, '72.20.14.136', '72.20.14.143', 1209273992, 1209273999, 'SC', 'Seychelles'),
(36145, '72.20.14.144', '72.20.14.167', 1209274000, 1209274023, 'US', 'United States'),
(36146, '72.20.14.168', '72.20.14.175', 1209274024, 1209274031, 'SA', 'Saudi Arabia'),
(36147, '72.20.14.176', '72.20.14.183', 1209274032, 1209274039, 'CZ', 'Czech Republic'),
(36148, '72.20.14.184', '72.20.15.3', 1209274040, 1209274115, 'US', 'United States'),
(36149, '72.20.15.4', '72.20.15.7', 1209274116, 1209274119, 'ZA', 'South Africa'),
(36150, '72.20.15.8', '72.20.15.63', 1209274120, 1209274175, 'US', 'United States'),
(36151, '72.20.15.64', '72.20.15.127', 1209274176, 1209274239, 'SC', 'Seychelles'),
(36152, '72.20.15.128', '72.20.16.223', 1209274240, 1209274591, 'US', 'United States'),
(36153, '72.20.16.224', '72.20.16.239', 1209274592, 1209274607, 'CN', 'China'),
(36154, '72.20.16.240', '72.20.16.255', 1209274608, 1209274623, 'SC', 'Seychelles'),
(36155, '72.20.17.0', '72.20.17.127', 1209274624, 1209274751, 'CN', 'China'),
(36156, '72.20.17.128', '72.20.17.255', 1209274752, 1209274879, 'US', 'United States'),
(36157, '72.20.18.0', '72.20.18.31', 1209274880, 1209274911, 'CN', 'China'),
(36158, '72.20.18.32', '72.20.18.55', 1209274912, 1209274935, 'US', 'United States'),
(36159, '72.20.18.56', '72.20.18.63', 1209274936, 1209274943, 'PH', 'Philippines'),
(36160, '72.20.18.64', '72.20.18.79', 1209274944, 1209274959, 'US', 'United States'),
(36161, '72.20.18.80', '72.20.18.87', 1209274960, 1209274967, 'PH', 'Philippines'),
(36162, '72.20.18.88', '72.20.18.95', 1209274968, 1209274975, 'US', 'United States'),
(36163, '72.20.18.96', '72.20.18.111', 1209274976, 1209274991, 'BD', 'Bangladesh'),
(36164, '72.20.18.112', '72.20.18.159', 1209274992, 1209275039, 'US', 'United States'),
(36165, '72.20.18.160', '72.20.18.191', 1209275040, 1209275071, 'BD', 'Bangladesh'),
(36166, '72.20.18.192', '72.20.18.255', 1209275072, 1209275135, 'GB', 'United Kingdom'),
(36167, '72.20.19.0', '72.20.20.255', 1209275136, 1209275647, 'US', 'United States'),
(36168, '72.20.21.0', '72.20.21.31', 1209275648, 1209275679, 'SC', 'Seychelles'),
(36169, '72.20.21.32', '72.20.21.47', 1209275680, 1209275695, 'TR', 'Turkey'),
(36170, '72.20.21.48', '72.20.21.143', 1209275696, 1209275791, 'US', 'United States'),
(36171, '72.20.21.144', '72.20.21.151', 1209275792, 1209275799, 'TR', 'Turkey'),
(36172, '72.20.21.152', '72.20.21.159', 1209275800, 1209275807, 'US', 'United States'),
(36173, '72.20.21.160', '72.20.21.175', 1209275808, 1209275823, 'ID', 'Indonesia'),
(36174, '72.20.21.176', '72.20.21.199', 1209275824, 1209275847, 'US', 'United States'),
(36175, '72.20.21.200', '72.20.21.207', 1209275848, 1209275855, 'AE', 'United Arab Emirates'),
(36176, '72.20.21.208', '72.20.21.211', 1209275856, 1209275859, 'CN', 'China'),
(36177, '72.20.21.212', '72.20.21.215', 1209275860, 1209275863, 'US', 'United States'),
(36178, '72.20.21.216', '72.20.21.223', 1209275864, 1209275871, 'SC', 'Seychelles'),
(36179, '72.20.21.224', '72.20.22.0', 1209275872, 1209275904, 'US', 'United States'),
(36180, '72.20.22.1', '72.20.22.1', 1209275905, 1209275905, 'MY', 'Malaysia'),
(36181, '72.20.22.2', '72.20.22.2', 1209275906, 1209275906, 'US', 'United States'),
(36182, '72.20.22.3', '72.20.22.4', 1209275907, 1209275908, 'KH', 'Cambodia'),
(36183, '72.20.22.5', '72.20.22.5', 1209275909, 1209275909, 'CN', 'China'),
(36184, '72.20.22.6', '72.20.22.9', 1209275910, 1209275913, 'US', 'United States'),
(36185, '72.20.22.10', '72.20.22.11', 1209275914, 1209275915, 'CN', 'China'),
(36186, '72.20.22.12', '72.20.22.20', 1209275916, 1209275924, 'US', 'United States'),
(36187, '72.20.22.21', '72.20.22.21', 1209275925, 1209275925, 'TR', 'Turkey'),
(36188, '72.20.22.22', '72.20.22.22', 1209275926, 1209275926, 'US', 'United States'),
(36189, '72.20.22.23', '72.20.22.23', 1209275927, 1209275927, 'ES', 'Spain'),
(36190, '72.20.22.24', '72.20.22.24', 1209275928, 1209275928, 'US', 'United States'),
(36191, '72.20.22.25', '72.20.22.25', 1209275929, 1209275929, 'MY', 'Malaysia'),
(36192, '72.20.22.26', '72.20.22.26', 1209275930, 1209275930, 'CN', 'China'),
(36193, '72.20.22.27', '72.20.22.27', 1209275931, 1209275931, 'US', 'United States'),
(36194, '72.20.22.28', '72.20.22.28', 1209275932, 1209275932, 'CN', 'China'),
(36195, '72.20.22.29', '72.20.22.127', 1209275933, 1209276031, 'US', 'United States'),
(36196, '72.20.22.128', '72.20.22.159', 1209276032, 1209276063, 'BR', 'Brazil'),
(36197, '72.20.22.160', '72.20.23.191', 1209276064, 1209276351, 'US', 'United States'),
(36198, '72.20.23.192', '72.20.24.143', 1209276352, 1209276559, 'CN', 'China'),
(36199, '72.20.24.144', '72.20.24.167', 1209276560, 1209276583, 'US', 'United States'),
(36200, '72.20.24.168', '72.20.24.239', 1209276584, 1209276655, 'CN', 'China'),
(36201, '72.20.24.240', '72.20.24.255', 1209276656, 1209276671, 'US', 'United States'),
(36202, '72.20.25.0', '72.20.25.31', 1209276672, 1209276703, 'CN', 'China'),
(36203, '72.20.25.32', '72.20.25.35', 1209276704, 1209276707, 'PH', 'Philippines'),
(36204, '72.20.25.36', '72.20.25.143', 1209276708, 1209276815, 'US', 'United States'),
(36205, '72.20.25.144', '72.20.25.147', 1209276816, 1209276819, 'CN', 'China'),
(36206, '72.20.25.148', '72.20.25.207', 1209276820, 1209276879, 'US', 'United States'),
(36207, '72.20.25.208', '72.20.25.223', 1209276880, 1209276895, 'PK', 'Pakistan'),
(36208, '72.20.25.224', '72.20.25.231', 1209276896, 1209276903, 'AU', 'Australia'),
(36209, '72.20.25.232', '72.20.25.239', 1209276904, 1209276911, 'CN', 'China'),
(36210, '72.20.25.240', '72.20.25.255', 1209276912, 1209276927, 'TR', 'Turkey'),
(36211, '72.20.26.0', '72.20.26.159', 1209276928, 1209277087, 'US', 'United States'),
(36212, '72.20.26.160', '72.20.26.167', 1209277088, 1209277095, 'SC', 'Seychelles'),
(36213, '72.20.26.168', '72.20.26.175', 1209277096, 1209277103, 'US', 'United States'),
(36214, '72.20.26.176', '72.20.26.191', 1209277104, 1209277119, 'TR', 'Turkey'),
(36215, '72.20.26.192', '72.20.26.215', 1209277120, 1209277143, 'US', 'United States'),
(36216, '72.20.26.216', '72.20.26.219', 1209277144, 1209277147, 'TR', 'Turkey'),
(36217, '72.20.26.220', '72.20.26.227', 1209277148, 1209277155, 'US', 'United States'),
(36218, '72.20.26.228', '72.20.26.228', 1209277156, 1209277156, 'CN', 'China'),
(36219, '72.20.26.229', '72.20.26.229', 1209277157, 1209277157, 'US', 'United States'),
(36220, '72.20.26.230', '72.20.26.230', 1209277158, 1209277158, 'IN', 'India'),
(36221, '72.20.26.231', '72.20.26.231', 1209277159, 1209277159, 'CN', 'China'),
(36222, '72.20.26.232', '72.20.26.232', 1209277160, 1209277160, 'US', 'United States'),
(36223, '72.20.26.233', '72.20.26.233', 1209277161, 1209277161, 'SC', 'Seychelles'),
(36224, '72.20.26.234', '72.20.26.235', 1209277162, 1209277163, 'US', 'United States'),
(36225, '72.20.26.236', '72.20.26.237', 1209277164, 1209277165, 'SC', 'Seychelles'),
(36226, '72.20.26.238', '72.20.26.238', 1209277166, 1209277166, 'GB', 'United Kingdom'),
(36227, '72.20.26.239', '72.20.26.239', 1209277167, 1209277167, 'CN', 'China'),
(36228, '72.20.26.240', '72.20.26.242', 1209277168, 1209277170, 'US', 'United States'),
(36229, '72.20.26.243', '72.20.26.243', 1209277171, 1209277171, 'CN', 'China'),
(36230, '72.20.26.244', '72.20.26.246', 1209277172, 1209277174, 'US', 'United States'),
(36231, '72.20.26.247', '72.20.26.247', 1209277175, 1209277175, 'MY', 'Malaysia'),
(36232, '72.20.26.248', '72.20.26.251', 1209277176, 1209277179, 'US', 'United States'),
(36233, '72.20.26.252', '72.20.26.252', 1209277180, 1209277180, 'CN', 'China'),
(36234, '72.20.26.253', '72.20.27.31', 1209277181, 1209277215, 'US', 'United States'),
(36235, '72.20.27.32', '72.20.27.47', 1209277216, 1209277231, 'BR', 'Brazil'),
(36236, '72.20.27.48', '72.20.27.63', 1209277232, 1209277247, 'US', 'United States'),
(36237, '72.20.27.64', '72.20.27.79', 1209277248, 1209277263, 'BR', 'Brazil'),
(36238, '72.20.27.80', '72.20.27.95', 1209277264, 1209277279, 'US', 'United States'),
(36239, '72.20.27.96', '72.20.27.99', 1209277280, 1209277283, 'BR', 'Brazil'),
(36240, '72.20.27.100', '72.20.27.103', 1209277284, 1209277287, 'US', 'United States'),
(36241, '72.20.27.104', '72.20.27.111', 1209277288, 1209277295, 'BD', 'Bangladesh'),
(36242, '72.20.27.112', '72.20.27.127', 1209277296, 1209277311, 'US', 'United States'),
(36243, '72.20.27.128', '72.20.27.191', 1209277312, 1209277375, 'CN', 'China'),
(36244, '72.20.27.192', '72.20.27.207', 1209277376, 1209277391, 'US', 'United States'),
(36245, '72.20.27.208', '72.20.27.235', 1209277392, 1209277419, 'CN', 'China'),
(36246, '72.20.27.236', '72.20.27.247', 1209277420, 1209277431, 'US', 'United States'),
(36247, '72.20.27.248', '72.20.27.255', 1209277432, 1209277439, 'ZA', 'South Africa'),
(36248, '72.20.28.0', '72.20.28.127', 1209277440, 1209277567, 'ES', 'Spain'),
(36249, '72.20.28.128', '72.20.28.143', 1209277568, 1209277583, 'US', 'United States'),
(36250, '72.20.28.144', '72.20.28.159', 1209277584, 1209277599, 'TR', 'Turkey'),
(36251, '72.20.28.160', '72.20.28.255', 1209277600, 1209277695, 'US', 'United States'),
(36252, '72.20.29.0', '72.20.29.255', 1209277696, 1209277951, 'KH', 'Cambodia'),
(36253, '72.20.30.0', '72.20.30.135', 1209277952, 1209278087, 'US', 'United States'),
(36254, '72.20.30.136', '72.20.30.143', 1209278088, 1209278095, 'AU', 'Australia'),
(36255, '72.20.30.144', '72.20.30.175', 1209278096, 1209278127, 'US', 'United States'),
(36256, '72.20.30.176', '72.20.30.191', 1209278128, 1209278143, 'AU', 'Australia'),
(36257, '72.20.30.192', '72.20.30.199', 1209278144, 1209278151, 'CN', 'China'),
(36258, '72.20.30.200', '72.20.30.203', 1209278152, 1209278155, 'US', 'United States'),
(36259, '72.20.30.204', '72.20.30.207', 1209278156, 1209278159, 'SC', 'Seychelles'),
(36260, '72.20.30.208', '72.20.30.255', 1209278160, 1209278207, 'US', 'United States'),
(36261, '72.20.31.0', '72.20.31.255', 1209278208, 1209278463, 'CN', 'China'),
(36262, '72.20.32.0', '72.20.32.3', 1209278464, 1209278467, 'PH', 'Philippines'),
(36263, '72.20.32.4', '72.20.32.7', 1209278468, 1209278471, 'US', 'United States'),
(36264, '72.20.32.8', '72.20.32.15', 1209278472, 1209278479, 'CA', 'Canada'),
(36265, '72.20.32.16', '72.20.32.63', 1209278480, 1209278527, 'US', 'United States'),
(36266, '72.20.32.64', '72.20.32.127', 1209278528, 1209278591, 'MY', 'Malaysia'),
(36267, '72.20.32.128', '72.20.33.7', 1209278592, 1209278727, 'US', 'United States'),
(36268, '72.20.33.8', '72.20.33.15', 1209278728, 1209278735, 'KH', 'Cambodia'),
(36269, '72.20.33.16', '72.20.33.79', 1209278736, 1209278799, 'US', 'United States'),
(36270, '72.20.33.80', '72.20.33.83', 1209278800, 1209278803, 'PK', 'Pakistan'),
(36271, '72.20.33.84', '72.20.33.211', 1209278804, 1209278931, 'US', 'United States'),
(36272, '72.20.33.212', '72.20.33.215', 1209278932, 1209278935, 'GB', 'United Kingdom'),
(36273, '72.20.33.216', '72.20.34.3', 1209278936, 1209278979, 'US', 'United States'),
(36274, '72.20.34.4', '72.20.34.7', 1209278980, 1209278983, 'KH', 'Cambodia'),
(36275, '72.20.34.8', '72.20.34.11', 1209278984, 1209278987, 'US', 'United States'),
(36276, '72.20.34.12', '72.20.34.19', 1209278988, 1209278995, 'KH', 'Cambodia'),
(36277, '72.20.34.20', '72.20.34.23', 1209278996, 1209278999, 'US', 'United States'),
(36278, '72.20.34.24', '72.20.34.27', 1209279000, 1209279003, 'CN', 'China'),
(36279, '72.20.34.28', '72.20.34.39', 1209279004, 1209279015, 'US', 'United States'),
(36280, '72.20.34.40', '72.20.34.47', 1209279016, 1209279023, 'CN', 'China'),
(36281, '72.20.34.48', '72.20.34.67', 1209279024, 1209279043, 'US', 'United States'),
(36282, '72.20.34.68', '72.20.34.71', 1209279044, 1209279047, 'CN', 'China'),
(36283, '72.20.34.72', '72.20.34.99', 1209279048, 1209279075, 'US', 'United States'),
(36284, '72.20.34.100', '72.20.34.103', 1209279076, 1209279079, 'CN', 'China'),
(36285, '72.20.34.104', '72.20.34.111', 1209279080, 1209279087, 'US', 'United States'),
(36286, '72.20.34.112', '72.20.34.115', 1209279088, 1209279091, 'CN', 'China'),
(36287, '72.20.34.116', '72.20.34.119', 1209279092, 1209279095, 'BD', 'Bangladesh'),
(36288, '72.20.34.120', '72.20.34.123', 1209279096, 1209279099, 'US', 'United States'),
(36289, '72.20.34.124', '72.20.34.127', 1209279100, 1209279103, 'CN', 'China'),
(36290, '72.20.34.128', '72.20.34.167', 1209279104, 1209279143, 'US', 'United States'),
(36291, '72.20.34.168', '72.20.34.175', 1209279144, 1209279151, 'CN', 'China'),
(36292, '72.20.34.176', '72.20.34.255', 1209279152, 1209279231, 'US', 'United States'),
(36293, '72.20.35.0', '72.20.35.63', 1209279232, 1209279295, 'BR', 'Brazil'),
(36294, '72.20.35.64', '72.20.35.255', 1209279296, 1209279487, 'US', 'United States'),
(36295, '72.20.36.0', '72.20.36.63', 1209279488, 1209279551, 'PK', 'Pakistan'),
(36296, '72.20.36.64', '72.20.36.95', 1209279552, 1209279583, 'US', 'United States'),
(36297, '72.20.36.96', '72.20.36.111', 1209279584, 1209279599, 'BD', 'Bangladesh'),
(36298, '72.20.36.112', '72.20.36.127', 1209279600, 1209279615, 'US', 'United States'),
(36299, '72.20.36.128', '72.20.36.255', 1209279616, 1209279743, 'GB', 'United Kingdom'),
(36300, '72.20.37.0', '72.20.37.63', 1209279744, 1209279807, 'US', 'United States'),
(36301, '72.20.37.64', '72.20.37.79', 1209279808, 1209279823, 'PH', 'Philippines'),
(36302, '72.20.37.80', '72.20.37.95', 1209279824, 1209279839, 'CN', 'China'),
(36303, '72.20.37.96', '72.20.37.127', 1209279840, 1209279871, 'US', 'United States'),
(36304, '72.20.37.128', '72.20.37.191', 1209279872, 1209279935, 'MY', 'Malaysia'),
(36305, '72.20.37.192', '72.20.37.223', 1209279936, 1209279967, 'US', 'United States'),
(36306, '72.20.37.224', '72.20.37.255', 1209279968, 1209279999, 'CN', 'China'),
(36307, '72.20.38.0', '72.20.38.7', 1209280000, 1209280007, 'TR', 'Turkey'),
(36308, '72.20.38.8', '72.20.38.27', 1209280008, 1209280027, 'US', 'United States'),
(36309, '72.20.38.28', '72.20.38.31', 1209280028, 1209280031, 'SA', 'Saudi Arabia'),
(36310, '72.20.38.32', '72.20.38.47', 1209280032, 1209280047, 'IN', 'India'),
(36311, '72.20.38.48', '72.20.38.159', 1209280048, 1209280159, 'US', 'United States'),
(36312, '72.20.38.160', '72.20.38.167', 1209280160, 1209280167, 'CN', 'China'),
(36313, '72.20.38.168', '72.20.38.191', 1209280168, 1209280191, 'US', 'United States'),
(36314, '72.20.38.192', '72.20.38.255', 1209280192, 1209280255, 'ID', 'Indonesia'),
(36315, '72.20.39.0', '72.20.39.63', 1209280256, 1209280319, 'SC', 'Seychelles'),
(36316, '72.20.39.64', '72.20.39.163', 1209280320, 1209280419, 'US', 'United States'),
(36317, '72.20.39.164', '72.20.39.167', 1209280420, 1209280423, 'VN', 'Vietnam'),
(36318, '72.20.39.168', '72.20.39.187', 1209280424, 1209280443, 'US', 'United States'),
(36319, '72.20.39.188', '72.20.39.191', 1209280444, 1209280447, 'GB', 'United Kingdom'),
(36320, '72.20.39.192', '72.20.39.207', 1209280448, 1209280463, 'IN', 'India'),
(36321, '72.20.39.208', '72.20.39.223', 1209280464, 1209280479, 'US', 'United States'),
(36322, '72.20.39.224', '72.20.39.231', 1209280480, 1209280487, 'CN', 'China'),
(36323, '72.20.39.232', '72.20.39.235', 1209280488, 1209280491, 'US', 'United States'),
(36324, '72.20.39.236', '72.20.39.239', 1209280492, 1209280495, 'AU', 'Australia'),
(36325, '72.20.39.240', '72.20.39.255', 1209280496, 1209280511, 'CN', 'China'),
(36326, '72.20.40.0', '72.20.40.3', 1209280512, 1209280515, 'US', 'United States'),
(36327, '72.20.40.4', '72.20.40.7', 1209280516, 1209280519, 'AU', 'Australia'),
(36328, '72.20.40.8', '72.20.40.23', 1209280520, 1209280535, 'US', 'United States'),
(36329, '72.20.40.24', '72.20.40.31', 1209280536, 1209280543, 'BD', 'Bangladesh'),
(36330, '72.20.40.32', '72.20.40.47', 1209280544, 1209280559, 'US', 'United States'),
(36331, '72.20.40.48', '72.20.40.63', 1209280560, 1209280575, 'CA', 'Canada'),
(36332, '72.20.40.64', '72.20.40.95', 1209280576, 1209280607, 'SC', 'Seychelles'),
(36333, '72.20.40.96', '72.20.40.107', 1209280608, 1209280619, 'US', 'United States'),
(36334, '72.20.40.108', '72.20.40.111', 1209280620, 1209280623, 'CN', 'China'),
(36335, '72.20.40.112', '72.20.41.127', 1209280624, 1209280895, 'US', 'United States'),
(36336, '72.20.41.128', '72.20.41.191', 1209280896, 1209280959, 'BR', 'Brazil'),
(36337, '72.20.41.192', '72.20.41.207', 1209280960, 1209280975, 'CN', 'China'),
(36338, '72.20.41.208', '72.20.42.211', 1209280976, 1209281235, 'US', 'United States'),
(36339, '72.20.42.212', '72.20.42.215', 1209281236, 1209281239, 'AU', 'Australia'),
(36340, '72.20.42.216', '72.20.42.223', 1209281240, 1209281247, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(36341, '72.20.42.224', '72.20.42.255', 1209281248, 1209281279, 'CA', 'Canada'),
(36342, '72.20.43.0', '72.20.43.255', 1209281280, 1209281535, 'KH', 'Cambodia'),
(36343, '72.20.44.0', '72.20.44.255', 1209281536, 1209281791, 'IN', 'India'),
(36344, '72.20.45.0', '72.20.45.71', 1209281792, 1209281863, 'US', 'United States'),
(36345, '72.20.45.72', '72.20.45.79', 1209281864, 1209281871, 'SC', 'Seychelles'),
(36346, '72.20.45.80', '72.20.45.135', 1209281872, 1209281927, 'US', 'United States'),
(36347, '72.20.45.136', '72.20.45.143', 1209281928, 1209281935, 'IN', 'India'),
(36348, '72.20.45.144', '72.20.46.15', 1209281936, 1209282063, 'US', 'United States'),
(36349, '72.20.46.16', '72.20.46.19', 1209282064, 1209282067, 'SA', 'Saudi Arabia'),
(36350, '72.20.46.20', '72.20.46.63', 1209282068, 1209282111, 'US', 'United States'),
(36351, '72.20.46.64', '72.20.46.95', 1209282112, 1209282143, 'SC', 'Seychelles'),
(36352, '72.20.46.96', '72.20.47.255', 1209282144, 1209282559, 'US', 'United States'),
(36353, '72.20.48.0', '72.20.48.63', 1209282560, 1209282623, 'CN', 'China'),
(36354, '72.20.48.64', '72.20.51.151', 1209282624, 1209283479, 'US', 'United States'),
(36355, '72.20.51.152', '72.20.51.159', 1209283480, 1209283487, 'GB', 'United Kingdom'),
(36356, '72.20.51.160', '72.20.51.175', 1209283488, 1209283503, 'TR', 'Turkey'),
(36357, '72.20.51.176', '72.20.51.191', 1209283504, 1209283519, 'US', 'United States'),
(36358, '72.20.51.192', '72.20.51.207', 1209283520, 1209283535, 'ES', 'Spain'),
(36359, '72.20.51.208', '72.20.51.215', 1209283536, 1209283543, 'GB', 'United Kingdom'),
(36360, '72.20.51.216', '72.20.51.219', 1209283544, 1209283547, 'SA', 'Saudi Arabia'),
(36361, '72.20.51.220', '72.20.51.223', 1209283548, 1209283551, 'US', 'United States'),
(36362, '72.20.51.224', '72.20.51.239', 1209283552, 1209283567, 'GB', 'United Kingdom'),
(36363, '72.20.51.240', '72.20.51.247', 1209283568, 1209283575, 'CN', 'China'),
(36364, '72.20.51.248', '72.20.51.255', 1209283576, 1209283583, 'US', 'United States'),
(36365, '72.20.52.0', '72.20.52.3', 1209283584, 1209283587, 'SA', 'Saudi Arabia'),
(36366, '72.20.52.4', '72.20.52.15', 1209283588, 1209283599, 'US', 'United States'),
(36367, '72.20.52.16', '72.20.52.23', 1209283600, 1209283607, 'IN', 'India'),
(36368, '72.20.52.24', '72.20.52.95', 1209283608, 1209283679, 'US', 'United States'),
(36369, '72.20.52.96', '72.20.52.99', 1209283680, 1209283683, 'CZ', 'Czech Republic'),
(36370, '72.20.52.100', '72.20.52.103', 1209283684, 1209283687, 'US', 'United States'),
(36371, '72.20.52.104', '72.20.52.111', 1209283688, 1209283695, 'CN', 'China'),
(36372, '72.20.52.112', '72.20.52.119', 1209283696, 1209283703, 'GB', 'United Kingdom'),
(36373, '72.20.52.120', '72.20.52.167', 1209283704, 1209283751, 'US', 'United States'),
(36374, '72.20.52.168', '72.20.52.175', 1209283752, 1209283759, 'BD', 'Bangladesh'),
(36375, '72.20.52.176', '72.20.52.191', 1209283760, 1209283775, 'US', 'United States'),
(36376, '72.20.52.192', '72.20.52.223', 1209283776, 1209283807, 'ZA', 'South Africa'),
(36377, '72.20.52.224', '72.20.52.255', 1209283808, 1209283839, 'MY', 'Malaysia'),
(36378, '72.20.53.0', '72.20.53.127', 1209283840, 1209283967, 'US', 'United States'),
(36379, '72.20.53.128', '72.20.53.255', 1209283968, 1209284095, 'GB', 'United Kingdom'),
(36380, '72.20.54.0', '72.20.54.31', 1209284096, 1209284127, 'CA', 'Canada'),
(36381, '72.20.54.32', '72.20.54.63', 1209284128, 1209284159, 'US', 'United States'),
(36382, '72.20.54.64', '72.20.54.127', 1209284160, 1209284223, 'TR', 'Turkey'),
(36383, '72.20.54.128', '72.20.55.23', 1209284224, 1209284375, 'US', 'United States'),
(36384, '72.20.55.24', '72.20.55.31', 1209284376, 1209284383, 'NL', 'Netherlands'),
(36385, '72.20.55.32', '72.20.55.255', 1209284384, 1209284607, 'US', 'United States'),
(36386, '72.20.56.0', '72.20.56.63', 1209284608, 1209284671, 'TR', 'Turkey'),
(36387, '72.20.56.64', '72.20.56.127', 1209284672, 1209284735, 'CN', 'China'),
(36388, '72.20.56.128', '72.20.56.151', 1209284736, 1209284759, 'US', 'United States'),
(36389, '72.20.56.152', '72.20.56.159', 1209284760, 1209284767, 'SC', 'Seychelles'),
(36390, '72.20.56.160', '72.20.56.191', 1209284768, 1209284799, 'MY', 'Malaysia'),
(36391, '72.20.56.192', '72.20.56.251', 1209284800, 1209284859, 'US', 'United States'),
(36392, '72.20.56.252', '72.20.56.255', 1209284860, 1209284863, 'IT', 'Italy'),
(36393, '72.20.57.0', '72.20.57.127', 1209284864, 1209284991, 'CN', 'China'),
(36394, '72.20.57.128', '72.20.57.129', 1209284992, 1209284993, 'US', 'United States'),
(36395, '72.20.57.130', '72.20.57.130', 1209284994, 1209284994, 'TR', 'Turkey'),
(36396, '72.20.57.131', '72.20.57.132', 1209284995, 1209284996, 'US', 'United States'),
(36397, '72.20.57.133', '72.20.57.133', 1209284997, 1209284997, 'KR', 'Korea, Republic of'),
(36398, '72.20.57.134', '72.20.57.140', 1209284998, 1209285004, 'US', 'United States'),
(36399, '72.20.57.141', '72.20.57.141', 1209285005, 1209285005, 'KR', 'Korea, Republic of'),
(36400, '72.20.57.142', '72.20.57.146', 1209285006, 1209285010, 'US', 'United States'),
(36401, '72.20.57.147', '72.20.57.147', 1209285011, 1209285011, 'CN', 'China'),
(36402, '72.20.57.148', '72.20.57.148', 1209285012, 1209285012, 'TR', 'Turkey'),
(36403, '72.20.57.149', '72.20.57.149', 1209285013, 1209285013, 'US', 'United States'),
(36404, '72.20.57.150', '72.20.57.150', 1209285014, 1209285014, 'CN', 'China'),
(36405, '72.20.57.151', '72.20.57.152', 1209285015, 1209285016, 'US', 'United States'),
(36406, '72.20.57.153', '72.20.57.153', 1209285017, 1209285017, 'CN', 'China'),
(36407, '72.20.57.154', '72.20.57.157', 1209285018, 1209285021, 'US', 'United States'),
(36408, '72.20.57.158', '72.20.57.158', 1209285022, 1209285022, 'CN', 'China'),
(36409, '72.20.57.159', '72.20.58.63', 1209285023, 1209285183, 'US', 'United States'),
(36410, '72.20.58.64', '72.20.58.127', 1209285184, 1209285247, 'AE', 'United Arab Emirates'),
(36411, '72.20.58.128', '72.20.59.255', 1209285248, 1209285631, 'US', 'United States'),
(36412, '72.20.60.0', '72.20.60.63', 1209285632, 1209285695, 'CN', 'China'),
(36413, '72.20.60.64', '72.20.60.255', 1209285696, 1209285887, 'US', 'United States'),
(36414, '72.20.61.0', '72.20.62.255', 1209285888, 1209286399, 'CN', 'China'),
(36415, '72.20.63.0', '72.21.10.145', 1209286400, 1209338513, 'US', 'United States'),
(36416, '72.21.10.146', '72.21.10.146', 1209338514, 1209338514, 'A1', 'Anonymous Proxy'),
(36417, '72.21.10.147', '72.21.83.159', 1209338515, 1209357215, 'US', 'United States'),
(36418, '72.21.83.160', '72.21.83.175', 1209357216, 1209357231, 'SI', 'Slovenia'),
(36419, '72.21.83.176', '72.21.88.255', 1209357232, 1209358591, 'US', 'United States'),
(36420, '72.21.89.0', '72.21.89.255', 1209358592, 1209358847, 'DE', 'Germany'),
(36421, '72.21.90.0', '72.22.127.255', 1209358848, 1209434111, 'US', 'United States'),
(36422, '72.22.128.0', '72.22.137.255', 1209434112, 1209436671, 'BB', 'Barbados'),
(36423, '72.22.138.0', '72.22.139.255', 1209436672, 1209437183, 'VC', 'Saint Vincent and the Grenadines'),
(36424, '72.22.140.0', '72.22.153.255', 1209437184, 1209440767, 'BB', 'Barbados'),
(36425, '72.22.154.0', '72.22.155.255', 1209440768, 1209441279, 'GD', 'Grenada'),
(36426, '72.22.156.0', '72.22.159.255', 1209441280, 1209442303, 'BB', 'Barbados'),
(36427, '72.22.160.0', '72.25.191.255', 1209442304, 1209647103, 'US', 'United States'),
(36428, '72.25.192.0', '72.25.255.255', 1209647104, 1209663487, 'CA', 'Canada'),
(36429, '72.26.0.0', '72.26.219.255', 1209663488, 1209719807, 'US', 'United States'),
(36430, '72.26.220.0', '72.26.223.255', 1209719808, 1209720831, 'SG', 'Singapore'),
(36431, '72.26.224.0', '72.26.255.255', 1209720832, 1209729023, 'US', 'United States'),
(36432, '72.27.0.0', '72.27.223.255', 1209729024, 1209786367, 'JM', 'Jamaica'),
(36433, '72.27.224.0', '72.28.63.255', 1209786368, 1209810943, 'US', 'United States'),
(36434, '72.28.64.0', '72.28.95.255', 1209810944, 1209819135, 'CA', 'Canada'),
(36435, '72.28.96.0', '72.28.98.255', 1209819136, 1209819903, 'US', 'United States'),
(36436, '72.28.99.0', '72.28.99.63', 1209819904, 1209819967, 'CA', 'Canada'),
(36437, '72.28.99.64', '72.28.99.255', 1209819968, 1209820159, 'US', 'United States'),
(36438, '72.28.100.0', '72.28.100.63', 1209820160, 1209820223, 'CA', 'Canada'),
(36439, '72.28.100.64', '72.28.255.255', 1209820224, 1209860095, 'US', 'United States'),
(36440, '72.29.0.0', '72.29.0.31', 1209860096, 1209860127, 'IN', 'India'),
(36441, '72.29.0.32', '72.29.0.63', 1209860128, 1209860159, 'BE', 'Belgium'),
(36442, '72.29.0.64', '72.29.1.95', 1209860160, 1209860447, 'US', 'United States'),
(36443, '72.29.1.96', '72.29.1.127', 1209860448, 1209860479, 'BE', 'Belgium'),
(36444, '72.29.1.128', '72.29.1.223', 1209860480, 1209860575, 'US', 'United States'),
(36445, '72.29.1.224', '72.29.1.255', 1209860576, 1209860607, 'IN', 'India'),
(36446, '72.29.2.0', '72.29.3.63', 1209860608, 1209860927, 'US', 'United States'),
(36447, '72.29.3.64', '72.29.3.95', 1209860928, 1209860959, 'AU', 'Australia'),
(36448, '72.29.3.96', '72.29.3.255', 1209860960, 1209861119, 'US', 'United States'),
(36449, '72.29.4.0', '72.29.4.255', 1209861120, 1209861375, 'CA', 'Canada'),
(36450, '72.29.5.0', '72.29.6.127', 1209861376, 1209861759, 'US', 'United States'),
(36451, '72.29.6.128', '72.29.6.255', 1209861760, 1209861887, 'FR', 'France'),
(36452, '72.29.7.0', '72.29.7.255', 1209861888, 1209862143, 'US', 'United States'),
(36453, '72.29.8.0', '72.29.8.255', 1209862144, 1209862399, 'CA', 'Canada'),
(36454, '72.29.9.0', '72.29.11.255', 1209862400, 1209863167, 'US', 'United States'),
(36455, '72.29.12.0', '72.29.12.255', 1209863168, 1209863423, 'CA', 'Canada'),
(36456, '72.29.13.0', '72.29.13.255', 1209863424, 1209863679, 'IN', 'India'),
(36457, '72.29.14.0', '72.29.14.255', 1209863680, 1209863935, 'US', 'United States'),
(36458, '72.29.15.0', '72.29.15.255', 1209863936, 1209864191, 'CA', 'Canada'),
(36459, '72.29.16.0', '72.29.17.95', 1209864192, 1209864543, 'US', 'United States'),
(36460, '72.29.17.96', '72.29.17.127', 1209864544, 1209864575, 'BE', 'Belgium'),
(36461, '72.29.17.128', '72.29.17.159', 1209864576, 1209864607, 'US', 'United States'),
(36462, '72.29.17.160', '72.29.17.191', 1209864608, 1209864639, 'BE', 'Belgium'),
(36463, '72.29.17.192', '72.29.17.223', 1209864640, 1209864671, 'IN', 'India'),
(36464, '72.29.17.224', '72.29.21.127', 1209864672, 1209865599, 'US', 'United States'),
(36465, '72.29.21.128', '72.29.21.255', 1209865600, 1209865727, 'IN', 'India'),
(36466, '72.29.22.0', '72.29.23.127', 1209865728, 1209866111, 'US', 'United States'),
(36467, '72.29.23.128', '72.29.23.159', 1209866112, 1209866143, 'IN', 'India'),
(36468, '72.29.23.160', '72.29.23.191', 1209866144, 1209866175, 'US', 'United States'),
(36469, '72.29.23.192', '72.29.23.223', 1209866176, 1209866207, 'BE', 'Belgium'),
(36470, '72.29.23.224', '72.29.23.255', 1209866208, 1209866239, 'IN', 'India'),
(36471, '72.29.24.0', '72.29.25.255', 1209866240, 1209866751, 'US', 'United States'),
(36472, '72.29.26.0', '72.29.26.255', 1209866752, 1209867007, 'IN', 'India'),
(36473, '72.29.27.0', '72.29.27.31', 1209867008, 1209867039, 'NZ', 'New Zealand'),
(36474, '72.29.27.32', '72.29.27.63', 1209867040, 1209867071, 'BE', 'Belgium'),
(36475, '72.29.27.64', '72.29.27.127', 1209867072, 1209867135, 'US', 'United States'),
(36476, '72.29.27.128', '72.29.27.159', 1209867136, 1209867167, 'BE', 'Belgium'),
(36477, '72.29.27.160', '72.29.27.191', 1209867168, 1209867199, 'US', 'United States'),
(36478, '72.29.27.192', '72.29.27.223', 1209867200, 1209867231, 'IN', 'India'),
(36479, '72.29.27.224', '72.29.27.255', 1209867232, 1209867263, 'US', 'United States'),
(36480, '72.29.28.0', '72.29.28.255', 1209867264, 1209867519, 'CA', 'Canada'),
(36481, '72.29.29.0', '72.29.69.174', 1209867520, 1209877934, 'US', 'United States'),
(36482, '72.29.69.175', '72.29.69.178', 1209877935, 1209877938, 'PK', 'Pakistan'),
(36483, '72.29.69.179', '72.29.76.2', 1209877939, 1209879554, 'US', 'United States'),
(36484, '72.29.76.3', '72.29.76.6', 1209879555, 1209879558, 'PE', 'Peru'),
(36485, '72.29.76.7', '72.29.78.61', 1209879559, 1209880125, 'US', 'United States'),
(36486, '72.29.78.62', '72.29.78.62', 1209880126, 1209880126, 'CA', 'Canada'),
(36487, '72.29.78.63', '72.29.82.131', 1209880127, 1209881219, 'US', 'United States'),
(36488, '72.29.82.132', '72.29.82.135', 1209881220, 1209881223, 'BR', 'Brazil'),
(36489, '72.29.82.136', '72.29.87.148', 1209881224, 1209882516, 'US', 'United States'),
(36490, '72.29.87.149', '72.29.87.149', 1209882517, 1209882517, 'CA', 'Canada'),
(36491, '72.29.87.150', '72.29.95.255', 1209882518, 1209884671, 'US', 'United States'),
(36492, '72.29.96.0', '72.29.96.7', 1209884672, 1209884679, 'IT', 'Italy'),
(36493, '72.29.96.8', '72.29.96.15', 1209884680, 1209884687, 'ES', 'Spain'),
(36494, '72.29.96.16', '72.29.96.151', 1209884688, 1209884823, 'US', 'United States'),
(36495, '72.29.96.152', '72.29.96.159', 1209884824, 1209884831, 'IT', 'Italy'),
(36496, '72.29.96.160', '72.29.97.191', 1209884832, 1209885119, 'US', 'United States'),
(36497, '72.29.97.192', '72.29.97.199', 1209885120, 1209885127, 'AU', 'Australia'),
(36498, '72.29.97.200', '72.29.97.215', 1209885128, 1209885143, 'IT', 'Italy'),
(36499, '72.29.97.216', '72.29.97.239', 1209885144, 1209885167, 'US', 'United States'),
(36500, '72.29.97.240', '72.29.97.247', 1209885168, 1209885175, 'IT', 'Italy'),
(36501, '72.29.97.248', '72.29.101.223', 1209885176, 1209886175, 'US', 'United States'),
(36502, '72.29.101.224', '72.29.101.255', 1209886176, 1209886207, 'GB', 'United Kingdom'),
(36503, '72.29.102.0', '72.29.118.191', 1209886208, 1209890495, 'US', 'United States'),
(36504, '72.29.118.192', '72.29.118.255', 1209890496, 1209890559, 'AU', 'Australia'),
(36505, '72.29.119.0', '72.29.130.127', 1209890560, 1209893503, 'US', 'United States'),
(36506, '72.29.130.128', '72.29.130.143', 1209893504, 1209893519, 'MX', 'Mexico'),
(36507, '72.29.130.144', '72.29.175.63', 1209893520, 1209904959, 'US', 'United States'),
(36508, '72.29.175.64', '72.29.175.79', 1209904960, 1209904975, 'GB', 'United Kingdom'),
(36509, '72.29.175.80', '72.29.223.255', 1209904976, 1209917439, 'US', 'United States'),
(36510, '72.29.224.0', '72.29.227.159', 1209917440, 1209918367, 'CA', 'Canada'),
(36511, '72.29.227.160', '72.29.227.191', 1209918368, 1209918399, 'US', 'United States'),
(36512, '72.29.227.192', '72.29.255.255', 1209918400, 1209925631, 'CA', 'Canada'),
(36513, '72.30.0.0', '72.32.1.79', 1209925632, 1210057039, 'US', 'United States'),
(36514, '72.32.1.80', '72.32.1.87', 1210057040, 1210057047, 'JM', 'Jamaica'),
(36515, '72.32.1.88', '72.32.1.95', 1210057048, 1210057055, 'US', 'United States'),
(36516, '72.32.1.96', '72.32.1.111', 1210057056, 1210057071, 'DE', 'Germany'),
(36517, '72.32.1.112', '72.32.3.47', 1210057072, 1210057519, 'US', 'United States'),
(36518, '72.32.3.48', '72.32.3.63', 1210057520, 1210057535, 'IN', 'India'),
(36519, '72.32.3.64', '72.32.3.95', 1210057536, 1210057567, 'US', 'United States'),
(36520, '72.32.3.96', '72.32.3.111', 1210057568, 1210057583, 'NG', 'Nigeria'),
(36521, '72.32.3.112', '72.32.3.143', 1210057584, 1210057615, 'US', 'United States'),
(36522, '72.32.3.144', '72.32.3.151', 1210057616, 1210057623, 'CA', 'Canada'),
(36523, '72.32.3.152', '72.32.3.167', 1210057624, 1210057639, 'US', 'United States'),
(36524, '72.32.3.168', '72.32.3.175', 1210057640, 1210057647, 'GB', 'United Kingdom'),
(36525, '72.32.3.176', '72.32.4.151', 1210057648, 1210057879, 'US', 'United States'),
(36526, '72.32.4.152', '72.32.4.159', 1210057880, 1210057887, 'IL', 'Israel'),
(36527, '72.32.4.160', '72.32.4.167', 1210057888, 1210057895, 'US', 'United States'),
(36528, '72.32.4.168', '72.32.4.175', 1210057896, 1210057903, 'MX', 'Mexico'),
(36529, '72.32.4.176', '72.32.4.183', 1210057904, 1210057911, 'GB', 'United Kingdom'),
(36530, '72.32.4.184', '72.32.5.175', 1210057912, 1210058159, 'US', 'United States'),
(36531, '72.32.5.176', '72.32.5.183', 1210058160, 1210058167, 'CA', 'Canada'),
(36532, '72.32.5.184', '72.32.5.207', 1210058168, 1210058191, 'US', 'United States'),
(36533, '72.32.5.208', '72.32.5.215', 1210058192, 1210058199, 'CA', 'Canada'),
(36534, '72.32.5.216', '72.32.7.119', 1210058200, 1210058615, 'US', 'United States'),
(36535, '72.32.7.120', '72.32.7.127', 1210058616, 1210058623, 'AU', 'Australia'),
(36536, '72.32.7.128', '72.32.10.7', 1210058624, 1210059271, 'US', 'United States'),
(36537, '72.32.10.8', '72.32.10.15', 1210059272, 1210059279, 'ES', 'Spain'),
(36538, '72.32.10.16', '72.32.10.39', 1210059280, 1210059303, 'US', 'United States'),
(36539, '72.32.10.40', '72.32.10.47', 1210059304, 1210059311, 'AU', 'Australia'),
(36540, '72.32.10.48', '72.32.11.71', 1210059312, 1210059591, 'US', 'United States'),
(36541, '72.32.11.72', '72.32.11.79', 1210059592, 1210059599, 'CA', 'Canada'),
(36542, '72.32.11.80', '72.32.11.247', 1210059600, 1210059767, 'US', 'United States'),
(36543, '72.32.11.248', '72.32.11.255', 1210059768, 1210059775, 'CH', 'Switzerland'),
(36544, '72.32.12.0', '72.32.12.15', 1210059776, 1210059791, 'GB', 'United Kingdom'),
(36545, '72.32.12.16', '72.32.12.255', 1210059792, 1210060031, 'US', 'United States'),
(36546, '72.32.13.0', '72.32.13.15', 1210060032, 1210060047, 'AE', 'United Arab Emirates'),
(36547, '72.32.13.16', '72.32.14.63', 1210060048, 1210060351, 'US', 'United States'),
(36548, '72.32.14.64', '72.32.14.71', 1210060352, 1210060359, 'IN', 'India'),
(36549, '72.32.14.72', '72.32.14.95', 1210060360, 1210060383, 'US', 'United States'),
(36550, '72.32.14.96', '72.32.14.119', 1210060384, 1210060407, 'IL', 'Israel'),
(36551, '72.32.14.120', '72.32.14.227', 1210060408, 1210060515, 'US', 'United States'),
(36552, '72.32.14.228', '72.32.14.229', 1210060516, 1210060517, 'IN', 'India'),
(36553, '72.32.14.230', '72.32.15.79', 1210060518, 1210060623, 'US', 'United States'),
(36554, '72.32.15.80', '72.32.15.95', 1210060624, 1210060639, 'CA', 'Canada'),
(36555, '72.32.15.96', '72.32.15.239', 1210060640, 1210060783, 'US', 'United States'),
(36556, '72.32.15.240', '72.32.15.243', 1210060784, 1210060787, 'NL', 'Netherlands'),
(36557, '72.32.15.244', '72.32.15.255', 1210060788, 1210060799, 'US', 'United States'),
(36558, '72.32.16.0', '72.32.16.15', 1210060800, 1210060815, 'BR', 'Brazil'),
(36559, '72.32.16.16', '72.32.16.39', 1210060816, 1210060839, 'US', 'United States'),
(36560, '72.32.16.40', '72.32.16.47', 1210060840, 1210060847, 'AU', 'Australia'),
(36561, '72.32.16.48', '72.32.18.15', 1210060848, 1210061327, 'US', 'United States'),
(36562, '72.32.18.16', '72.32.18.23', 1210061328, 1210061335, 'CA', 'Canada'),
(36563, '72.32.18.24', '72.32.18.55', 1210061336, 1210061367, 'US', 'United States'),
(36564, '72.32.18.56', '72.32.18.63', 1210061368, 1210061375, 'IN', 'India'),
(36565, '72.32.18.64', '72.32.18.95', 1210061376, 1210061407, 'US', 'United States'),
(36566, '72.32.18.96', '72.32.18.103', 1210061408, 1210061415, 'AU', 'Australia'),
(36567, '72.32.18.104', '72.32.18.151', 1210061416, 1210061463, 'US', 'United States'),
(36568, '72.32.18.152', '72.32.18.159', 1210061464, 1210061471, 'HK', 'Hong Kong'),
(36569, '72.32.18.160', '72.32.19.31', 1210061472, 1210061599, 'US', 'United States'),
(36570, '72.32.19.32', '72.32.19.63', 1210061600, 1210061631, 'IL', 'Israel'),
(36571, '72.32.19.64', '72.32.19.79', 1210061632, 1210061647, 'US', 'United States'),
(36572, '72.32.19.80', '72.32.19.87', 1210061648, 1210061655, 'IN', 'India'),
(36573, '72.32.19.88', '72.32.19.95', 1210061656, 1210061663, 'GB', 'United Kingdom'),
(36574, '72.32.19.96', '72.32.19.159', 1210061664, 1210061727, 'US', 'United States'),
(36575, '72.32.19.160', '72.32.19.167', 1210061728, 1210061735, 'GB', 'United Kingdom'),
(36576, '72.32.19.168', '72.32.19.235', 1210061736, 1210061803, 'US', 'United States'),
(36577, '72.32.19.236', '72.32.19.239', 1210061804, 1210061807, 'AU', 'Australia'),
(36578, '72.32.19.240', '72.32.20.167', 1210061808, 1210061991, 'US', 'United States'),
(36579, '72.32.20.168', '72.32.20.175', 1210061992, 1210061999, 'AU', 'Australia'),
(36580, '72.32.20.176', '72.32.20.255', 1210062000, 1210062079, 'US', 'United States'),
(36581, '72.32.21.0', '72.32.21.7', 1210062080, 1210062087, 'IN', 'India'),
(36582, '72.32.21.8', '72.32.21.15', 1210062088, 1210062095, 'US', 'United States'),
(36583, '72.32.21.16', '72.32.21.23', 1210062096, 1210062103, 'NZ', 'New Zealand'),
(36584, '72.32.21.24', '72.32.22.127', 1210062104, 1210062463, 'US', 'United States'),
(36585, '72.32.22.128', '72.32.22.143', 1210062464, 1210062479, 'IN', 'India'),
(36586, '72.32.22.144', '72.32.22.151', 1210062480, 1210062487, 'US', 'United States'),
(36587, '72.32.22.152', '72.32.22.159', 1210062488, 1210062495, 'MX', 'Mexico'),
(36588, '72.32.22.160', '72.32.23.223', 1210062496, 1210062815, 'US', 'United States'),
(36589, '72.32.23.224', '72.32.23.239', 1210062816, 1210062831, 'ZA', 'South Africa'),
(36590, '72.32.23.240', '72.32.23.255', 1210062832, 1210062847, 'IL', 'Israel'),
(36591, '72.32.24.0', '72.32.24.79', 1210062848, 1210062927, 'US', 'United States'),
(36592, '72.32.24.80', '72.32.24.87', 1210062928, 1210062935, 'AU', 'Australia'),
(36593, '72.32.24.88', '72.32.24.127', 1210062936, 1210062975, 'US', 'United States'),
(36594, '72.32.24.128', '72.32.24.135', 1210062976, 1210062983, 'CR', 'Costa Rica'),
(36595, '72.32.24.136', '72.32.28.195', 1210062984, 1210064067, 'US', 'United States'),
(36596, '72.32.28.196', '72.32.28.199', 1210064068, 1210064071, 'CA', 'Canada'),
(36597, '72.32.28.200', '72.32.29.183', 1210064072, 1210064311, 'US', 'United States'),
(36598, '72.32.29.184', '72.32.29.191', 1210064312, 1210064319, 'IE', 'Ireland'),
(36599, '72.32.29.192', '72.32.30.143', 1210064320, 1210064527, 'US', 'United States'),
(36600, '72.32.30.144', '72.32.30.151', 1210064528, 1210064535, 'AU', 'Australia'),
(36601, '72.32.30.152', '72.32.31.23', 1210064536, 1210064663, 'US', 'United States'),
(36602, '72.32.31.24', '72.32.31.31', 1210064664, 1210064671, 'AU', 'Australia'),
(36603, '72.32.31.32', '72.32.32.127', 1210064672, 1210065023, 'US', 'United States'),
(36604, '72.32.32.128', '72.32.32.135', 1210065024, 1210065031, 'CA', 'Canada'),
(36605, '72.32.32.136', '72.32.33.167', 1210065032, 1210065319, 'US', 'United States'),
(36606, '72.32.33.168', '72.32.33.175', 1210065320, 1210065327, 'AU', 'Australia'),
(36607, '72.32.33.176', '72.32.34.127', 1210065328, 1210065535, 'US', 'United States'),
(36608, '72.32.34.128', '72.32.34.135', 1210065536, 1210065543, 'IN', 'India'),
(36609, '72.32.34.136', '72.32.34.255', 1210065544, 1210065663, 'US', 'United States'),
(36610, '72.32.35.0', '72.32.35.15', 1210065664, 1210065679, 'IN', 'India'),
(36611, '72.32.35.16', '72.32.35.31', 1210065680, 1210065695, 'AU', 'Australia'),
(36612, '72.32.35.32', '72.32.35.39', 1210065696, 1210065703, 'IN', 'India'),
(36613, '72.32.35.40', '72.32.35.87', 1210065704, 1210065751, 'US', 'United States'),
(36614, '72.32.35.88', '72.32.35.95', 1210065752, 1210065759, 'GB', 'United Kingdom'),
(36615, '72.32.35.96', '72.32.35.119', 1210065760, 1210065783, 'US', 'United States'),
(36616, '72.32.35.120', '72.32.35.127', 1210065784, 1210065791, 'PA', 'Panama'),
(36617, '72.32.35.128', '72.32.35.159', 1210065792, 1210065823, 'US', 'United States'),
(36618, '72.32.35.160', '72.32.35.191', 1210065824, 1210065855, 'AU', 'Australia'),
(36619, '72.32.35.192', '72.32.37.111', 1210065856, 1210066287, 'US', 'United States'),
(36620, '72.32.37.112', '72.32.37.119', 1210066288, 1210066295, 'IN', 'India'),
(36621, '72.32.37.120', '72.32.39.99', 1210066296, 1210066787, 'US', 'United States'),
(36622, '72.32.39.100', '72.32.39.103', 1210066788, 1210066791, 'CR', 'Costa Rica'),
(36623, '72.32.39.104', '72.32.39.119', 1210066792, 1210066807, 'US', 'United States'),
(36624, '72.32.39.120', '72.32.39.143', 1210066808, 1210066831, 'CA', 'Canada'),
(36625, '72.32.39.144', '72.32.39.195', 1210066832, 1210066883, 'US', 'United States'),
(36626, '72.32.39.196', '72.32.39.199', 1210066884, 1210066887, 'CA', 'Canada'),
(36627, '72.32.39.200', '72.32.39.233', 1210066888, 1210066921, 'US', 'United States'),
(36628, '72.32.39.234', '72.32.39.235', 1210066922, 1210066923, 'IN', 'India'),
(36629, '72.32.39.236', '72.32.41.7', 1210066924, 1210067207, 'US', 'United States'),
(36630, '72.32.41.8', '72.32.41.15', 1210067208, 1210067215, 'AU', 'Australia'),
(36631, '72.32.41.16', '72.32.41.63', 1210067216, 1210067263, 'US', 'United States'),
(36632, '72.32.41.64', '72.32.41.87', 1210067264, 1210067287, 'GB', 'United Kingdom'),
(36633, '72.32.41.88', '72.32.42.176', 1210067288, 1210067632, 'US', 'United States'),
(36634, '72.32.42.177', '72.32.42.184', 1210067633, 1210067640, 'AU', 'Australia'),
(36635, '72.32.42.185', '72.32.42.215', 1210067641, 1210067671, 'US', 'United States'),
(36636, '72.32.42.216', '72.32.42.219', 1210067672, 1210067675, 'NL', 'Netherlands'),
(36637, '72.32.42.220', '72.32.44.71', 1210067676, 1210068039, 'US', 'United States'),
(36638, '72.32.44.72', '72.32.44.79', 1210068040, 1210068047, 'GB', 'United Kingdom'),
(36639, '72.32.44.80', '72.32.44.195', 1210068048, 1210068163, 'US', 'United States'),
(36640, '72.32.44.196', '72.32.44.197', 1210068164, 1210068165, 'IN', 'India'),
(36641, '72.32.44.198', '72.32.45.95', 1210068166, 1210068319, 'US', 'United States'),
(36642, '72.32.45.96', '72.32.45.103', 1210068320, 1210068327, 'CA', 'Canada'),
(36643, '72.32.45.104', '72.32.45.119', 1210068328, 1210068343, 'US', 'United States'),
(36644, '72.32.45.120', '72.32.45.127', 1210068344, 1210068351, 'MX', 'Mexico'),
(36645, '72.32.45.128', '72.32.45.223', 1210068352, 1210068447, 'US', 'United States'),
(36646, '72.32.45.224', '72.32.45.247', 1210068448, 1210068471, 'NO', 'Norway'),
(36647, '72.32.45.248', '72.32.46.127', 1210068472, 1210068607, 'US', 'United States'),
(36648, '72.32.46.128', '72.32.46.255', 1210068608, 1210068735, 'IL', 'Israel'),
(36649, '72.32.47.0', '72.32.47.167', 1210068736, 1210068903, 'US', 'United States'),
(36650, '72.32.47.168', '72.32.47.191', 1210068904, 1210068927, 'AU', 'Australia'),
(36651, '72.32.47.192', '72.32.48.23', 1210068928, 1210069015, 'US', 'United States'),
(36652, '72.32.48.24', '72.32.48.31', 1210069016, 1210069023, 'CA', 'Canada'),
(36653, '72.32.48.32', '72.32.48.167', 1210069024, 1210069159, 'US', 'United States'),
(36654, '72.32.48.168', '72.32.48.175', 1210069160, 1210069167, 'AU', 'Australia'),
(36655, '72.32.48.176', '72.32.52.159', 1210069168, 1210070175, 'US', 'United States'),
(36656, '72.32.52.160', '72.32.52.167', 1210070176, 1210070183, 'IL', 'Israel'),
(36657, '72.32.52.168', '72.32.54.103', 1210070184, 1210070631, 'US', 'United States'),
(36658, '72.32.54.104', '72.32.54.111', 1210070632, 1210070639, 'MX', 'Mexico'),
(36659, '72.32.54.112', '72.32.55.15', 1210070640, 1210070799, 'US', 'United States'),
(36660, '72.32.55.16', '72.32.55.23', 1210070800, 1210070807, 'AU', 'Australia'),
(36661, '72.32.55.24', '72.32.55.175', 1210070808, 1210070959, 'US', 'United States'),
(36662, '72.32.55.176', '72.32.55.183', 1210070960, 1210070967, 'JP', 'Japan'),
(36663, '72.32.55.184', '72.32.55.223', 1210070968, 1210071007, 'US', 'United States'),
(36664, '72.32.55.224', '72.32.55.231', 1210071008, 1210071015, 'GB', 'United Kingdom'),
(36665, '72.32.55.232', '72.32.55.255', 1210071016, 1210071039, 'US', 'United States'),
(36666, '72.32.56.0', '72.32.56.127', 1210071040, 1210071167, 'GB', 'United Kingdom'),
(36667, '72.32.56.128', '72.32.61.199', 1210071168, 1210072519, 'US', 'United States'),
(36668, '72.32.61.200', '72.32.61.207', 1210072520, 1210072527, 'NZ', 'New Zealand'),
(36669, '72.32.61.208', '72.32.61.239', 1210072528, 1210072559, 'US', 'United States'),
(36670, '72.32.61.240', '72.32.61.247', 1210072560, 1210072567, 'GB', 'United Kingdom'),
(36671, '72.32.61.248', '72.32.72.143', 1210072568, 1210075279, 'US', 'United States'),
(36672, '72.32.72.144', '72.32.72.159', 1210075280, 1210075295, 'FR', 'France'),
(36673, '72.32.72.160', '72.32.74.15', 1210075296, 1210075663, 'US', 'United States'),
(36674, '72.32.74.16', '72.32.74.23', 1210075664, 1210075671, 'IN', 'India'),
(36675, '72.32.74.24', '72.32.75.135', 1210075672, 1210076039, 'US', 'United States'),
(36676, '72.32.75.136', '72.32.75.143', 1210076040, 1210076047, 'CA', 'Canada'),
(36677, '72.32.75.144', '72.32.75.193', 1210076048, 1210076097, 'US', 'United States'),
(36678, '72.32.75.194', '72.32.75.195', 1210076098, 1210076099, 'NL', 'Netherlands'),
(36679, '72.32.75.196', '72.32.75.205', 1210076100, 1210076109, 'US', 'United States'),
(36680, '72.32.75.206', '72.32.75.207', 1210076110, 1210076111, 'CH', 'Switzerland'),
(36681, '72.32.75.208', '72.32.90.159', 1210076112, 1210079903, 'US', 'United States'),
(36682, '72.32.90.160', '72.32.90.167', 1210079904, 1210079911, 'IT', 'Italy'),
(36683, '72.32.90.168', '72.32.90.175', 1210079912, 1210079919, 'BM', 'Bermuda'),
(36684, '72.32.90.176', '72.32.91.79', 1210079920, 1210080079, 'US', 'United States'),
(36685, '72.32.91.80', '72.32.91.111', 1210080080, 1210080111, 'GB', 'United Kingdom'),
(36686, '72.32.91.112', '72.32.92.151', 1210080112, 1210080407, 'US', 'United States'),
(36687, '72.32.92.152', '72.32.92.199', 1210080408, 1210080455, 'NL', 'Netherlands'),
(36688, '72.32.92.200', '72.32.93.219', 1210080456, 1210080731, 'US', 'United States'),
(36689, '72.32.93.220', '72.32.93.221', 1210080732, 1210080733, 'IL', 'Israel'),
(36690, '72.32.93.222', '72.32.95.63', 1210080734, 1210081087, 'US', 'United States'),
(36691, '72.32.95.64', '72.32.95.79', 1210081088, 1210081103, 'CA', 'Canada'),
(36692, '72.32.95.80', '72.32.96.55', 1210081104, 1210081335, 'US', 'United States'),
(36693, '72.32.96.56', '72.32.96.63', 1210081336, 1210081343, 'CR', 'Costa Rica'),
(36694, '72.32.96.64', '72.32.97.23', 1210081344, 1210081559, 'US', 'United States'),
(36695, '72.32.97.24', '72.32.97.31', 1210081560, 1210081567, 'PK', 'Pakistan'),
(36696, '72.32.97.32', '72.32.97.63', 1210081568, 1210081599, 'US', 'United States'),
(36697, '72.32.97.64', '72.32.97.79', 1210081600, 1210081615, 'AU', 'Australia'),
(36698, '72.32.97.80', '72.32.97.253', 1210081616, 1210081789, 'US', 'United States'),
(36699, '72.32.97.254', '72.32.97.255', 1210081790, 1210081791, 'IN', 'India'),
(36700, '72.32.98.0', '72.32.98.31', 1210081792, 1210081823, 'US', 'United States'),
(36701, '72.32.98.32', '72.32.98.39', 1210081824, 1210081831, 'MX', 'Mexico'),
(36702, '72.32.98.40', '72.32.98.47', 1210081832, 1210081839, 'US', 'United States'),
(36703, '72.32.98.48', '72.32.98.55', 1210081840, 1210081847, 'MX', 'Mexico'),
(36704, '72.32.98.56', '72.32.98.87', 1210081848, 1210081879, 'US', 'United States'),
(36705, '72.32.98.88', '72.32.98.95', 1210081880, 1210081887, 'MX', 'Mexico'),
(36706, '72.32.98.96', '72.32.98.119', 1210081888, 1210081911, 'US', 'United States'),
(36707, '72.32.98.120', '72.32.98.127', 1210081912, 1210081919, 'AU', 'Australia'),
(36708, '72.32.98.128', '72.32.98.151', 1210081920, 1210081943, 'US', 'United States'),
(36709, '72.32.98.152', '72.32.98.159', 1210081944, 1210081951, 'CA', 'Canada'),
(36710, '72.32.98.160', '72.32.98.251', 1210081952, 1210082043, 'US', 'United States'),
(36711, '72.32.98.252', '72.32.98.255', 1210082044, 1210082047, 'CA', 'Canada'),
(36712, '72.32.99.0', '72.32.99.7', 1210082048, 1210082055, 'IN', 'India'),
(36713, '72.32.99.8', '72.32.99.151', 1210082056, 1210082199, 'US', 'United States'),
(36714, '72.32.99.152', '72.32.99.159', 1210082200, 1210082207, 'CA', 'Canada'),
(36715, '72.32.99.160', '72.32.100.23', 1210082208, 1210082327, 'US', 'United States'),
(36716, '72.32.100.24', '72.32.100.31', 1210082328, 1210082335, 'CA', 'Canada'),
(36717, '72.32.100.32', '72.32.100.143', 1210082336, 1210082447, 'US', 'United States'),
(36718, '72.32.100.144', '72.32.100.159', 1210082448, 1210082463, 'AU', 'Australia'),
(36719, '72.32.100.160', '72.32.101.95', 1210082464, 1210082655, 'US', 'United States'),
(36720, '72.32.101.96', '72.32.101.103', 1210082656, 1210082663, 'CA', 'Canada'),
(36721, '72.32.101.104', '72.32.101.237', 1210082664, 1210082797, 'US', 'United States'),
(36722, '72.32.101.238', '72.32.101.239', 1210082798, 1210082799, 'AU', 'Australia'),
(36723, '72.32.101.240', '72.32.101.249', 1210082800, 1210082809, 'US', 'United States'),
(36724, '72.32.101.250', '72.32.101.251', 1210082810, 1210082811, 'IN', 'India'),
(36725, '72.32.101.252', '72.32.102.15', 1210082812, 1210082831, 'US', 'United States'),
(36726, '72.32.102.16', '72.32.102.23', 1210082832, 1210082839, 'AU', 'Australia'),
(36727, '72.32.102.24', '72.32.102.31', 1210082840, 1210082847, 'IN', 'India'),
(36728, '72.32.102.32', '72.32.102.159', 1210082848, 1210082975, 'US', 'United States'),
(36729, '72.32.102.160', '72.32.102.175', 1210082976, 1210082991, 'GB', 'United Kingdom'),
(36730, '72.32.102.176', '72.32.102.255', 1210082992, 1210083071, 'US', 'United States'),
(36731, '72.32.103.0', '72.32.103.7', 1210083072, 1210083079, 'JP', 'Japan'),
(36732, '72.32.103.8', '72.32.104.239', 1210083080, 1210083567, 'US', 'United States'),
(36733, '72.32.104.240', '72.32.104.241', 1210083568, 1210083569, 'BH', 'Bahrain'),
(36734, '72.32.104.242', '72.32.105.135', 1210083570, 1210083719, 'US', 'United States'),
(36735, '72.32.105.136', '72.32.105.151', 1210083720, 1210083735, 'IN', 'India'),
(36736, '72.32.105.152', '72.32.106.31', 1210083736, 1210083871, 'US', 'United States'),
(36737, '72.32.106.32', '72.32.106.39', 1210083872, 1210083879, 'CA', 'Canada'),
(36738, '72.32.106.40', '72.32.106.143', 1210083880, 1210083983, 'US', 'United States'),
(36739, '72.32.106.144', '72.32.106.151', 1210083984, 1210083991, 'IN', 'India'),
(36740, '72.32.106.152', '72.32.107.119', 1210083992, 1210084215, 'US', 'United States'),
(36741, '72.32.107.120', '72.32.107.127', 1210084216, 1210084223, 'VE', 'Venezuela'),
(36742, '72.32.107.128', '72.32.107.167', 1210084224, 1210084263, 'US', 'United States'),
(36743, '72.32.107.168', '72.32.107.175', 1210084264, 1210084271, 'NZ', 'New Zealand'),
(36744, '72.32.107.176', '72.32.108.7', 1210084272, 1210084359, 'US', 'United States'),
(36745, '72.32.108.8', '72.32.108.15', 1210084360, 1210084367, 'BG', 'Bulgaria'),
(36746, '72.32.108.16', '72.32.108.63', 1210084368, 1210084415, 'US', 'United States'),
(36747, '72.32.108.64', '72.32.108.127', 1210084416, 1210084479, 'CA', 'Canada'),
(36748, '72.32.108.128', '72.32.109.103', 1210084480, 1210084711, 'US', 'United States'),
(36749, '72.32.109.104', '72.32.109.111', 1210084712, 1210084719, 'AU', 'Australia'),
(36750, '72.32.109.112', '72.32.109.175', 1210084720, 1210084783, 'US', 'United States'),
(36751, '72.32.109.176', '72.32.109.191', 1210084784, 1210084799, 'BD', 'Bangladesh'),
(36752, '72.32.109.192', '72.32.110.191', 1210084800, 1210085055, 'US', 'United States'),
(36753, '72.32.110.192', '72.32.110.193', 1210085056, 1210085057, 'AU', 'Australia'),
(36754, '72.32.110.194', '72.32.115.111', 1210085058, 1210086255, 'US', 'United States'),
(36755, '72.32.115.112', '72.32.115.119', 1210086256, 1210086263, 'MX', 'Mexico'),
(36756, '72.32.115.120', '72.32.116.103', 1210086264, 1210086503, 'US', 'United States'),
(36757, '72.32.116.104', '72.32.116.111', 1210086504, 1210086511, 'GB', 'United Kingdom'),
(36758, '72.32.116.112', '72.32.116.151', 1210086512, 1210086551, 'US', 'United States'),
(36759, '72.32.116.152', '72.32.116.159', 1210086552, 1210086559, 'SE', 'Sweden'),
(36760, '72.32.116.160', '72.32.116.183', 1210086560, 1210086583, 'US', 'United States'),
(36761, '72.32.116.184', '72.32.116.191', 1210086584, 1210086591, 'SE', 'Sweden'),
(36762, '72.32.116.192', '72.32.116.199', 1210086592, 1210086599, 'US', 'United States'),
(36763, '72.32.116.200', '72.32.116.207', 1210086600, 1210086607, 'NZ', 'New Zealand'),
(36764, '72.32.116.208', '72.32.116.223', 1210086608, 1210086623, 'US', 'United States'),
(36765, '72.32.116.224', '72.32.116.231', 1210086624, 1210086631, 'SE', 'Sweden'),
(36766, '72.32.116.232', '72.32.119.127', 1210086632, 1210087295, 'US', 'United States'),
(36767, '72.32.119.128', '72.32.119.135', 1210087296, 1210087303, 'GB', 'United Kingdom'),
(36768, '72.32.119.136', '72.32.119.255', 1210087304, 1210087423, 'US', 'United States'),
(36769, '72.32.120.0', '72.32.120.7', 1210087424, 1210087431, 'MX', 'Mexico'),
(36770, '72.32.120.8', '72.32.120.39', 1210087432, 1210087463, 'US', 'United States'),
(36771, '72.32.120.40', '72.32.120.47', 1210087464, 1210087471, 'CA', 'Canada'),
(36772, '72.32.120.48', '72.32.125.255', 1210087472, 1210088959, 'US', 'United States'),
(36773, '72.32.126.0', '72.32.126.7', 1210088960, 1210088967, 'GB', 'United Kingdom'),
(36774, '72.32.126.8', '72.32.126.87', 1210088968, 1210089047, 'US', 'United States'),
(36775, '72.32.126.88', '72.32.126.95', 1210089048, 1210089055, 'MX', 'Mexico'),
(36776, '72.32.126.96', '72.32.127.159', 1210089056, 1210089375, 'US', 'United States'),
(36777, '72.32.127.160', '72.32.127.167', 1210089376, 1210089383, 'CA', 'Canada'),
(36778, '72.32.127.168', '72.32.127.183', 1210089384, 1210089399, 'US', 'United States'),
(36779, '72.32.127.184', '72.32.127.191', 1210089400, 1210089407, 'GB', 'United Kingdom'),
(36780, '72.32.127.192', '72.32.128.233', 1210089408, 1210089705, 'US', 'United States'),
(36781, '72.32.128.234', '72.32.128.235', 1210089706, 1210089707, 'HK', 'Hong Kong'),
(36782, '72.32.128.236', '72.32.129.95', 1210089708, 1210089823, 'US', 'United States'),
(36783, '72.32.129.96', '72.32.129.127', 1210089824, 1210089855, 'CA', 'Canada'),
(36784, '72.32.129.128', '72.32.130.87', 1210089856, 1210090071, 'US', 'United States'),
(36785, '72.32.130.88', '72.32.130.95', 1210090072, 1210090079, 'MX', 'Mexico'),
(36786, '72.32.130.96', '72.32.131.47', 1210090080, 1210090287, 'US', 'United States'),
(36787, '72.32.131.48', '72.32.131.55', 1210090288, 1210090295, 'AU', 'Australia'),
(36788, '72.32.131.56', '72.32.131.127', 1210090296, 1210090367, 'US', 'United States'),
(36789, '72.32.131.128', '72.32.131.135', 1210090368, 1210090375, 'JM', 'Jamaica'),
(36790, '72.32.131.136', '72.32.131.143', 1210090376, 1210090383, 'US', 'United States'),
(36791, '72.32.131.144', '72.32.131.159', 1210090384, 1210090399, 'CA', 'Canada'),
(36792, '72.32.131.160', '72.32.131.199', 1210090400, 1210090439, 'US', 'United States'),
(36793, '72.32.131.200', '72.32.131.203', 1210090440, 1210090443, 'FR', 'France'),
(36794, '72.32.131.204', '72.32.131.235', 1210090444, 1210090475, 'US', 'United States'),
(36795, '72.32.131.236', '72.32.131.239', 1210090476, 1210090479, 'CA', 'Canada'),
(36796, '72.32.131.240', '72.32.132.127', 1210090480, 1210090623, 'US', 'United States'),
(36797, '72.32.132.128', '72.32.132.143', 1210090624, 1210090639, 'BD', 'Bangladesh'),
(36798, '72.32.132.144', '72.32.133.15', 1210090640, 1210090767, 'US', 'United States'),
(36799, '72.32.133.16', '72.32.133.31', 1210090768, 1210090783, 'BD', 'Bangladesh'),
(36800, '72.32.133.32', '72.32.133.63', 1210090784, 1210090815, 'US', 'United States'),
(36801, '72.32.133.64', '72.32.133.71', 1210090816, 1210090823, 'CA', 'Canada'),
(36802, '72.32.133.72', '72.32.133.143', 1210090824, 1210090895, 'US', 'United States'),
(36803, '72.32.133.144', '72.32.133.151', 1210090896, 1210090903, 'AU', 'Australia'),
(36804, '72.32.133.152', '72.32.134.71', 1210090904, 1210091079, 'US', 'United States'),
(36805, '72.32.134.72', '72.32.134.79', 1210091080, 1210091087, 'SG', 'Singapore'),
(36806, '72.32.134.80', '72.32.134.127', 1210091088, 1210091135, 'US', 'United States'),
(36807, '72.32.134.128', '72.32.134.143', 1210091136, 1210091151, 'CA', 'Canada'),
(36808, '72.32.134.144', '72.32.134.167', 1210091152, 1210091175, 'US', 'United States'),
(36809, '72.32.134.168', '72.32.134.175', 1210091176, 1210091183, 'SR', 'Suriname'),
(36810, '72.32.134.176', '72.32.135.87', 1210091184, 1210091351, 'US', 'United States'),
(36811, '72.32.135.88', '72.32.135.95', 1210091352, 1210091359, 'AU', 'Australia'),
(36812, '72.32.135.96', '72.32.136.15', 1210091360, 1210091535, 'US', 'United States'),
(36813, '72.32.136.16', '72.32.136.23', 1210091536, 1210091543, 'CA', 'Canada'),
(36814, '72.32.136.24', '72.32.136.159', 1210091544, 1210091679, 'US', 'United States'),
(36815, '72.32.136.160', '72.32.136.167', 1210091680, 1210091687, 'AU', 'Australia'),
(36816, '72.32.136.168', '72.32.136.203', 1210091688, 1210091723, 'US', 'United States'),
(36817, '72.32.136.204', '72.32.136.205', 1210091724, 1210091725, 'GB', 'United Kingdom'),
(36818, '72.32.136.206', '72.32.137.15', 1210091726, 1210091791, 'US', 'United States'),
(36819, '72.32.137.16', '72.32.137.31', 1210091792, 1210091807, 'CA', 'Canada'),
(36820, '72.32.137.32', '72.32.137.63', 1210091808, 1210091839, 'US', 'United States'),
(36821, '72.32.137.64', '72.32.137.71', 1210091840, 1210091847, 'CA', 'Canada'),
(36822, '72.32.137.72', '72.32.137.211', 1210091848, 1210091987, 'US', 'United States'),
(36823, '72.32.137.212', '72.32.137.215', 1210091988, 1210091991, 'GB', 'United Kingdom'),
(36824, '72.32.137.216', '72.32.138.255', 1210091992, 1210092287, 'US', 'United States'),
(36825, '72.32.139.0', '72.32.139.255', 1210092288, 1210092543, 'ES', 'Spain'),
(36826, '72.32.140.0', '72.32.140.23', 1210092544, 1210092567, 'US', 'United States'),
(36827, '72.32.140.24', '72.32.140.31', 1210092568, 1210092575, 'AU', 'Australia'),
(36828, '72.32.140.32', '72.32.140.39', 1210092576, 1210092583, 'CA', 'Canada'),
(36829, '72.32.140.40', '72.32.140.47', 1210092584, 1210092591, 'MX', 'Mexico'),
(36830, '72.32.140.48', '72.32.140.63', 1210092592, 1210092607, 'US', 'United States'),
(36831, '72.32.140.64', '72.32.140.95', 1210092608, 1210092639, 'GB', 'United Kingdom'),
(36832, '72.32.140.96', '72.32.140.255', 1210092640, 1210092799, 'US', 'United States'),
(36833, '72.32.141.0', '72.32.141.15', 1210092800, 1210092815, 'CA', 'Canada'),
(36834, '72.32.141.16', '72.32.142.135', 1210092816, 1210093191, 'US', 'United States'),
(36835, '72.32.142.136', '72.32.142.143', 1210093192, 1210093199, 'BR', 'Brazil'),
(36836, '72.32.142.144', '72.32.143.95', 1210093200, 1210093407, 'US', 'United States'),
(36837, '72.32.143.96', '72.32.143.111', 1210093408, 1210093423, 'MX', 'Mexico'),
(36838, '72.32.143.112', '72.32.144.71', 1210093424, 1210093639, 'US', 'United States'),
(36839, '72.32.144.72', '72.32.144.79', 1210093640, 1210093647, 'CA', 'Canada'),
(36840, '72.32.144.80', '72.32.144.95', 1210093648, 1210093663, 'US', 'United States'),
(36841, '72.32.144.96', '72.32.144.103', 1210093664, 1210093671, 'CA', 'Canada'),
(36842, '72.32.144.104', '72.32.144.111', 1210093672, 1210093679, 'AU', 'Australia'),
(36843, '72.32.144.112', '72.32.144.183', 1210093680, 1210093751, 'US', 'United States'),
(36844, '72.32.144.184', '72.32.144.191', 1210093752, 1210093759, 'AU', 'Australia'),
(36845, '72.32.144.192', '72.32.144.203', 1210093760, 1210093771, 'US', 'United States'),
(36846, '72.32.144.204', '72.32.144.207', 1210093772, 1210093775, 'HU', 'Hungary'),
(36847, '72.32.144.208', '72.32.144.247', 1210093776, 1210093815, 'US', 'United States'),
(36848, '72.32.144.248', '72.32.144.249', 1210093816, 1210093817, 'JE', 'Jersey'),
(36849, '72.32.144.250', '72.32.145.23', 1210093818, 1210093847, 'US', 'United States'),
(36850, '72.32.145.24', '72.32.145.31', 1210093848, 1210093855, 'AU', 'Australia'),
(36851, '72.32.145.32', '72.32.146.95', 1210093856, 1210094175, 'US', 'United States'),
(36852, '72.32.146.96', '72.32.146.103', 1210094176, 1210094183, 'TT', 'Trinidad and Tobago'),
(36853, '72.32.146.104', '72.32.147.71', 1210094184, 1210094407, 'US', 'United States'),
(36854, '72.32.147.72', '72.32.147.79', 1210094408, 1210094415, 'GB', 'United Kingdom'),
(36855, '72.32.147.80', '72.32.148.239', 1210094416, 1210094831, 'US', 'United States'),
(36856, '72.32.148.240', '72.32.148.255', 1210094832, 1210094847, 'SG', 'Singapore'),
(36857, '72.32.149.0', '72.32.149.7', 1210094848, 1210094855, 'US', 'United States'),
(36858, '72.32.149.8', '72.32.149.15', 1210094856, 1210094863, 'SE', 'Sweden'),
(36859, '72.32.149.16', '72.32.149.95', 1210094864, 1210094943, 'US', 'United States'),
(36860, '72.32.149.96', '72.32.149.103', 1210094944, 1210094951, 'GB', 'United Kingdom'),
(36861, '72.32.149.104', '72.32.149.111', 1210094952, 1210094959, 'US', 'United States'),
(36862, '72.32.149.112', '72.32.149.119', 1210094960, 1210094967, 'GB', 'United Kingdom'),
(36863, '72.32.149.120', '72.32.150.159', 1210094968, 1210095263, 'US', 'United States'),
(36864, '72.32.150.160', '72.32.150.167', 1210095264, 1210095271, 'GB', 'United Kingdom'),
(36865, '72.32.150.168', '72.32.151.143', 1210095272, 1210095503, 'US', 'United States'),
(36866, '72.32.151.144', '72.32.151.159', 1210095504, 1210095519, 'IN', 'India'),
(36867, '72.32.151.160', '72.32.151.167', 1210095520, 1210095527, 'NZ', 'New Zealand'),
(36868, '72.32.151.168', '72.32.152.95', 1210095528, 1210095711, 'US', 'United States'),
(36869, '72.32.152.96', '72.32.152.111', 1210095712, 1210095727, 'GB', 'United Kingdom'),
(36870, '72.32.152.112', '72.32.153.63', 1210095728, 1210095935, 'US', 'United States'),
(36871, '72.32.153.64', '72.32.153.79', 1210095936, 1210095951, 'IN', 'India'),
(36872, '72.32.153.80', '72.32.153.87', 1210095952, 1210095959, 'US', 'United States'),
(36873, '72.32.153.88', '72.32.153.95', 1210095960, 1210095967, 'GB', 'United Kingdom'),
(36874, '72.32.153.96', '72.32.154.167', 1210095968, 1210096295, 'US', 'United States'),
(36875, '72.32.154.168', '72.32.154.175', 1210096296, 1210096303, 'GB', 'United Kingdom'),
(36876, '72.32.154.176', '72.32.155.7', 1210096304, 1210096391, 'US', 'United States'),
(36877, '72.32.155.8', '72.32.155.15', 1210096392, 1210096399, 'AU', 'Australia'),
(36878, '72.32.155.16', '72.32.155.159', 1210096400, 1210096543, 'US', 'United States'),
(36879, '72.32.155.160', '72.32.155.167', 1210096544, 1210096551, 'MX', 'Mexico'),
(36880, '72.32.155.168', '72.32.155.175', 1210096552, 1210096559, 'US', 'United States'),
(36881, '72.32.155.176', '72.32.155.191', 1210096560, 1210096575, 'DE', 'Germany'),
(36882, '72.32.155.192', '72.32.156.231', 1210096576, 1210096871, 'US', 'United States'),
(36883, '72.32.156.232', '72.32.156.239', 1210096872, 1210096879, 'CA', 'Canada'),
(36884, '72.32.156.240', '72.32.157.255', 1210096880, 1210097151, 'US', 'United States'),
(36885, '72.32.158.0', '72.32.158.7', 1210097152, 1210097159, 'GB', 'United Kingdom'),
(36886, '72.32.158.8', '72.32.158.151', 1210097160, 1210097303, 'US', 'United States'),
(36887, '72.32.158.152', '72.32.158.159', 1210097304, 1210097311, 'MX', 'Mexico'),
(36888, '72.32.158.160', '72.32.158.183', 1210097312, 1210097335, 'US', 'United States'),
(36889, '72.32.158.184', '72.32.158.191', 1210097336, 1210097343, 'IE', 'Ireland'),
(36890, '72.32.158.192', '72.32.159.7', 1210097344, 1210097415, 'US', 'United States'),
(36891, '72.32.159.8', '72.32.159.15', 1210097416, 1210097423, 'ZA', 'South Africa'),
(36892, '72.32.159.16', '72.32.159.159', 1210097424, 1210097567, 'US', 'United States'),
(36893, '72.32.159.160', '72.32.159.167', 1210097568, 1210097575, 'GB', 'United Kingdom'),
(36894, '72.32.159.168', '72.32.159.247', 1210097576, 1210097655, 'US', 'United States'),
(36895, '72.32.159.248', '72.32.159.255', 1210097656, 1210097663, 'GB', 'United Kingdom'),
(36896, '72.32.160.0', '72.32.160.119', 1210097664, 1210097783, 'US', 'United States'),
(36897, '72.32.160.120', '72.32.160.127', 1210097784, 1210097791, 'GB', 'United Kingdom'),
(36898, '72.32.160.128', '72.32.161.191', 1210097792, 1210098111, 'US', 'United States'),
(36899, '72.32.161.192', '72.32.161.199', 1210098112, 1210098119, 'IL', 'Israel'),
(36900, '72.32.161.200', '72.32.161.207', 1210098120, 1210098127, 'US', 'United States'),
(36901, '72.32.161.208', '72.32.161.223', 1210098128, 1210098143, 'CA', 'Canada'),
(36902, '72.32.161.224', '72.32.162.39', 1210098144, 1210098215, 'US', 'United States'),
(36903, '72.32.162.40', '72.32.162.47', 1210098216, 1210098223, 'IN', 'India'),
(36904, '72.32.162.48', '72.32.162.143', 1210098224, 1210098319, 'US', 'United States'),
(36905, '72.32.162.144', '72.32.162.151', 1210098320, 1210098327, 'CA', 'Canada'),
(36906, '72.32.162.152', '72.32.163.95', 1210098328, 1210098527, 'US', 'United States'),
(36907, '72.32.163.96', '72.32.163.103', 1210098528, 1210098535, 'SG', 'Singapore'),
(36908, '72.32.163.104', '72.32.164.87', 1210098536, 1210098775, 'US', 'United States'),
(36909, '72.32.164.88', '72.32.164.95', 1210098776, 1210098783, 'CN', 'China'),
(36910, '72.32.164.96', '72.32.164.211', 1210098784, 1210098899, 'US', 'United States'),
(36911, '72.32.164.212', '72.32.164.213', 1210098900, 1210098901, 'MX', 'Mexico'),
(36912, '72.32.164.214', '72.32.165.15', 1210098902, 1210098959, 'US', 'United States'),
(36913, '72.32.165.16', '72.32.165.31', 1210098960, 1210098975, 'CA', 'Canada'),
(36914, '72.32.165.32', '72.32.166.183', 1210098976, 1210099383, 'US', 'United States'),
(36915, '72.32.166.184', '72.32.166.199', 1210099384, 1210099399, 'AE', 'United Arab Emirates'),
(36916, '72.32.166.200', '72.32.167.39', 1210099400, 1210099495, 'US', 'United States'),
(36917, '72.32.167.40', '72.32.167.47', 1210099496, 1210099503, 'BG', 'Bulgaria'),
(36918, '72.32.167.48', '72.32.167.55', 1210099504, 1210099511, 'US', 'United States'),
(36919, '72.32.167.56', '72.32.167.63', 1210099512, 1210099519, 'MX', 'Mexico'),
(36920, '72.32.167.64', '72.32.167.127', 1210099520, 1210099583, 'US', 'United States'),
(36921, '72.32.167.128', '72.32.167.135', 1210099584, 1210099591, 'CA', 'Canada'),
(36922, '72.32.167.136', '72.32.167.239', 1210099592, 1210099695, 'US', 'United States'),
(36923, '72.32.167.240', '72.32.167.255', 1210099696, 1210099711, 'AU', 'Australia'),
(36924, '72.32.168.0', '72.32.168.71', 1210099712, 1210099783, 'US', 'United States'),
(36925, '72.32.168.72', '72.32.168.79', 1210099784, 1210099791, 'NZ', 'New Zealand'),
(36926, '72.32.168.80', '72.32.168.167', 1210099792, 1210099879, 'US', 'United States'),
(36927, '72.32.168.168', '72.32.168.183', 1210099880, 1210099895, 'GB', 'United Kingdom'),
(36928, '72.32.168.184', '72.32.168.255', 1210099896, 1210099967, 'US', 'United States'),
(36929, '72.32.169.0', '72.32.169.7', 1210099968, 1210099975, 'MT', 'Malta'),
(36930, '72.32.169.8', '72.32.169.135', 1210099976, 1210100103, 'US', 'United States'),
(36931, '72.32.169.136', '72.32.169.143', 1210100104, 1210100111, 'MT', 'Malta'),
(36932, '72.32.169.144', '72.32.169.231', 1210100112, 1210100199, 'US', 'United States'),
(36933, '72.32.169.232', '72.32.169.235', 1210100200, 1210100203, 'CA', 'Canada'),
(36934, '72.32.169.236', '72.32.170.7', 1210100204, 1210100231, 'US', 'United States'),
(36935, '72.32.170.8', '72.32.170.15', 1210100232, 1210100239, 'CA', 'Canada'),
(36936, '72.32.170.16', '72.32.170.31', 1210100240, 1210100255, 'PK', 'Pakistan'),
(36937, '72.32.170.32', '72.32.170.63', 1210100256, 1210100287, 'CA', 'Canada'),
(36938, '72.32.170.64', '72.32.170.135', 1210100288, 1210100359, 'US', 'United States'),
(36939, '72.32.170.136', '72.32.170.143', 1210100360, 1210100367, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(36940, '72.32.170.144', '72.32.170.239', 1210100368, 1210100463, 'US', 'United States'),
(36941, '72.32.170.240', '72.32.170.255', 1210100464, 1210100479, 'CA', 'Canada'),
(36942, '72.32.171.0', '72.32.171.151', 1210100480, 1210100631, 'US', 'United States'),
(36943, '72.32.171.152', '72.32.171.159', 1210100632, 1210100639, 'NZ', 'New Zealand'),
(36944, '72.32.171.160', '72.32.173.31', 1210100640, 1210101023, 'US', 'United States'),
(36945, '72.32.173.32', '72.32.173.47', 1210101024, 1210101039, 'GB', 'United Kingdom'),
(36946, '72.32.173.48', '72.32.173.199', 1210101040, 1210101191, 'US', 'United States'),
(36947, '72.32.173.200', '72.32.173.203', 1210101192, 1210101195, 'CA', 'Canada'),
(36948, '72.32.173.204', '72.32.174.15', 1210101196, 1210101263, 'US', 'United States'),
(36949, '72.32.174.16', '72.32.174.31', 1210101264, 1210101279, 'MY', 'Malaysia'),
(36950, '72.32.174.32', '72.32.174.63', 1210101280, 1210101311, 'US', 'United States'),
(36951, '72.32.174.64', '72.32.174.71', 1210101312, 1210101319, 'IE', 'Ireland'),
(36952, '72.32.174.72', '72.32.174.79', 1210101320, 1210101327, 'IL', 'Israel'),
(36953, '72.32.174.80', '72.32.175.15', 1210101328, 1210101519, 'US', 'United States'),
(36954, '72.32.175.16', '72.32.175.23', 1210101520, 1210101527, 'IL', 'Israel'),
(36955, '72.32.175.24', '72.32.175.55', 1210101528, 1210101559, 'US', 'United States'),
(36956, '72.32.175.56', '72.32.175.63', 1210101560, 1210101567, 'AU', 'Australia'),
(36957, '72.32.175.64', '72.32.175.223', 1210101568, 1210101727, 'US', 'United States'),
(36958, '72.32.175.224', '72.32.175.239', 1210101728, 1210101743, 'GB', 'United Kingdom'),
(36959, '72.32.175.240', '72.32.176.103', 1210101744, 1210101863, 'US', 'United States'),
(36960, '72.32.176.104', '72.32.176.111', 1210101864, 1210101871, 'CH', 'Switzerland'),
(36961, '72.32.176.112', '72.32.176.119', 1210101872, 1210101879, 'US', 'United States'),
(36962, '72.32.176.120', '72.32.176.127', 1210101880, 1210101887, 'CA', 'Canada'),
(36963, '72.32.176.128', '72.32.178.15', 1210101888, 1210102287, 'US', 'United States'),
(36964, '72.32.178.16', '72.32.178.23', 1210102288, 1210102295, 'IL', 'Israel'),
(36965, '72.32.178.24', '72.32.178.127', 1210102296, 1210102399, 'US', 'United States'),
(36966, '72.32.178.128', '72.32.178.135', 1210102400, 1210102407, 'AU', 'Australia'),
(36967, '72.32.178.136', '72.32.180.31', 1210102408, 1210102815, 'US', 'United States'),
(36968, '72.32.180.32', '72.32.180.39', 1210102816, 1210102823, 'CA', 'Canada'),
(36969, '72.32.180.40', '72.32.180.95', 1210102824, 1210102879, 'US', 'United States'),
(36970, '72.32.180.96', '72.32.180.111', 1210102880, 1210102895, 'IL', 'Israel'),
(36971, '72.32.180.112', '72.32.188.231', 1210102896, 1210105063, 'US', 'United States'),
(36972, '72.32.188.232', '72.32.188.239', 1210105064, 1210105071, 'SE', 'Sweden'),
(36973, '72.32.188.240', '72.32.200.63', 1210105072, 1210107967, 'US', 'United States'),
(36974, '72.32.200.64', '72.32.200.71', 1210107968, 1210107975, 'MO', 'Macau'),
(36975, '72.32.200.72', '72.32.201.135', 1210107976, 1210108295, 'US', 'United States'),
(36976, '72.32.201.136', '72.32.201.143', 1210108296, 1210108303, 'IN', 'India'),
(36977, '72.32.201.144', '72.32.201.175', 1210108304, 1210108335, 'US', 'United States'),
(36978, '72.32.201.176', '72.32.201.183', 1210108336, 1210108343, 'CA', 'Canada'),
(36979, '72.32.201.184', '72.32.201.191', 1210108344, 1210108351, 'IL', 'Israel'),
(36980, '72.32.201.192', '72.32.201.199', 1210108352, 1210108359, 'US', 'United States'),
(36981, '72.32.201.200', '72.32.201.207', 1210108360, 1210108367, 'CA', 'Canada'),
(36982, '72.32.201.208', '72.32.202.7', 1210108368, 1210108423, 'US', 'United States'),
(36983, '72.32.202.8', '72.32.202.15', 1210108424, 1210108431, 'PR', 'Puerto Rico'),
(36984, '72.32.202.16', '72.32.202.215', 1210108432, 1210108631, 'US', 'United States'),
(36985, '72.32.202.216', '72.32.202.223', 1210108632, 1210108639, 'GB', 'United Kingdom'),
(36986, '72.32.202.224', '72.32.203.231', 1210108640, 1210108903, 'US', 'United States'),
(36987, '72.32.203.232', '72.32.203.239', 1210108904, 1210108911, 'AU', 'Australia'),
(36988, '72.32.203.240', '72.32.203.247', 1210108912, 1210108919, 'GB', 'United Kingdom'),
(36989, '72.32.203.248', '72.32.205.63', 1210108920, 1210109247, 'US', 'United States'),
(36990, '72.32.205.64', '72.32.205.71', 1210109248, 1210109255, 'DK', 'Denmark'),
(36991, '72.32.205.72', '72.32.205.79', 1210109256, 1210109263, 'IL', 'Israel'),
(36992, '72.32.205.80', '72.32.205.87', 1210109264, 1210109271, 'CA', 'Canada'),
(36993, '72.32.205.88', '72.32.205.159', 1210109272, 1210109343, 'US', 'United States'),
(36994, '72.32.205.160', '72.32.205.167', 1210109344, 1210109351, 'FI', 'Finland'),
(36995, '72.32.205.168', '72.32.207.55', 1210109352, 1210109751, 'US', 'United States'),
(36996, '72.32.207.56', '72.32.207.63', 1210109752, 1210109759, 'IL', 'Israel'),
(36997, '72.32.207.64', '72.32.207.71', 1210109760, 1210109767, 'GB', 'United Kingdom'),
(36998, '72.32.207.72', '72.32.207.79', 1210109768, 1210109775, 'IN', 'India'),
(36999, '72.32.207.80', '72.32.207.239', 1210109776, 1210109935, 'US', 'United States'),
(37000, '72.32.207.240', '72.32.207.247', 1210109936, 1210109943, 'BB', 'Barbados'),
(37001, '72.32.207.248', '72.32.212.31', 1210109944, 1210111007, 'US', 'United States'),
(37002, '72.32.212.32', '72.32.212.39', 1210111008, 1210111015, 'GB', 'United Kingdom'),
(37003, '72.32.212.40', '72.32.212.119', 1210111016, 1210111095, 'US', 'United States'),
(37004, '72.32.212.120', '72.32.212.127', 1210111096, 1210111103, 'CA', 'Canada'),
(37005, '72.32.212.128', '72.32.213.47', 1210111104, 1210111279, 'US', 'United States'),
(37006, '72.32.213.48', '72.32.213.55', 1210111280, 1210111287, 'VG', 'Virgin Islands, British'),
(37007, '72.32.213.56', '72.32.213.63', 1210111288, 1210111295, 'US', 'United States'),
(37008, '72.32.213.64', '72.32.213.71', 1210111296, 1210111303, 'AU', 'Australia'),
(37009, '72.32.213.72', '72.32.215.255', 1210111304, 1210111999, 'US', 'United States'),
(37010, '72.32.216.0', '72.32.216.7', 1210112000, 1210112007, 'CA', 'Canada'),
(37011, '72.32.216.8', '72.32.216.39', 1210112008, 1210112039, 'US', 'United States'),
(37012, '72.32.216.40', '72.32.216.47', 1210112040, 1210112047, 'IL', 'Israel'),
(37013, '72.32.216.48', '72.32.217.199', 1210112048, 1210112455, 'US', 'United States'),
(37014, '72.32.217.200', '72.32.217.207', 1210112456, 1210112463, 'ZA', 'South Africa'),
(37015, '72.32.217.208', '72.32.218.167', 1210112464, 1210112679, 'US', 'United States'),
(37016, '72.32.218.168', '72.32.218.175', 1210112680, 1210112687, 'CA', 'Canada'),
(37017, '72.32.218.176', '72.32.218.215', 1210112688, 1210112727, 'US', 'United States'),
(37018, '72.32.218.216', '72.32.218.223', 1210112728, 1210112735, 'PY', 'Paraguay'),
(37019, '72.32.218.224', '72.32.219.47', 1210112736, 1210112815, 'US', 'United States'),
(37020, '72.32.219.48', '72.32.219.55', 1210112816, 1210112823, 'MX', 'Mexico'),
(37021, '72.32.219.56', '72.32.219.71', 1210112824, 1210112839, 'US', 'United States'),
(37022, '72.32.219.72', '72.32.219.79', 1210112840, 1210112847, 'LT', 'Lithuania'),
(37023, '72.32.219.80', '72.32.219.87', 1210112848, 1210112855, 'IN', 'India'),
(37024, '72.32.219.88', '72.32.220.31', 1210112856, 1210113055, 'US', 'United States'),
(37025, '72.32.220.32', '72.32.220.39', 1210113056, 1210113063, 'CA', 'Canada'),
(37026, '72.32.220.40', '72.32.220.71', 1210113064, 1210113095, 'US', 'United States'),
(37027, '72.32.220.72', '72.32.220.79', 1210113096, 1210113103, 'BR', 'Brazil'),
(37028, '72.32.220.80', '72.32.221.255', 1210113104, 1210113535, 'US', 'United States'),
(37029, '72.32.222.0', '72.32.222.15', 1210113536, 1210113551, 'CA', 'Canada'),
(37030, '72.32.222.16', '72.32.222.79', 1210113552, 1210113615, 'US', 'United States'),
(37031, '72.32.222.80', '72.32.222.95', 1210113616, 1210113631, 'GB', 'United Kingdom'),
(37032, '72.32.222.96', '72.32.223.199', 1210113632, 1210113991, 'US', 'United States'),
(37033, '72.32.223.200', '72.32.223.207', 1210113992, 1210113999, 'IE', 'Ireland'),
(37034, '72.32.223.208', '72.32.224.47', 1210114000, 1210114095, 'US', 'United States'),
(37035, '72.32.224.48', '72.32.224.55', 1210114096, 1210114103, 'CR', 'Costa Rica'),
(37036, '72.32.224.56', '72.32.224.103', 1210114104, 1210114151, 'US', 'United States'),
(37037, '72.32.224.104', '72.32.224.111', 1210114152, 1210114159, 'MY', 'Malaysia'),
(37038, '72.32.224.112', '72.32.224.119', 1210114160, 1210114167, 'US', 'United States'),
(37039, '72.32.224.120', '72.32.224.127', 1210114168, 1210114175, 'HN', 'Honduras'),
(37040, '72.32.224.128', '72.32.224.231', 1210114176, 1210114279, 'US', 'United States'),
(37041, '72.32.224.232', '72.32.224.239', 1210114280, 1210114287, 'AU', 'Australia'),
(37042, '72.32.224.240', '72.32.225.47', 1210114288, 1210114351, 'US', 'United States'),
(37043, '72.32.225.48', '72.32.225.63', 1210114352, 1210114367, 'AU', 'Australia'),
(37044, '72.32.225.64', '72.32.225.135', 1210114368, 1210114439, 'US', 'United States'),
(37045, '72.32.225.136', '72.32.225.143', 1210114440, 1210114447, 'GB', 'United Kingdom'),
(37046, '72.32.225.144', '72.32.225.167', 1210114448, 1210114471, 'US', 'United States'),
(37047, '72.32.225.168', '72.32.225.175', 1210114472, 1210114479, 'AU', 'Australia'),
(37048, '72.32.225.176', '72.32.225.183', 1210114480, 1210114487, 'CL', 'Chile'),
(37049, '72.32.225.184', '72.32.225.191', 1210114488, 1210114495, 'AU', 'Australia'),
(37050, '72.32.225.192', '72.32.225.199', 1210114496, 1210114503, 'US', 'United States'),
(37051, '72.32.225.200', '72.32.225.207', 1210114504, 1210114511, 'BB', 'Barbados'),
(37052, '72.32.225.208', '72.32.225.247', 1210114512, 1210114551, 'US', 'United States'),
(37053, '72.32.225.248', '72.32.225.255', 1210114552, 1210114559, 'AU', 'Australia'),
(37054, '72.32.226.0', '72.32.226.63', 1210114560, 1210114623, 'US', 'United States'),
(37055, '72.32.226.64', '72.32.226.71', 1210114624, 1210114631, 'CA', 'Canada'),
(37056, '72.32.226.72', '72.32.226.151', 1210114632, 1210114711, 'US', 'United States'),
(37057, '72.32.226.152', '72.32.226.159', 1210114712, 1210114719, 'ZA', 'South Africa'),
(37058, '72.32.226.160', '72.32.226.199', 1210114720, 1210114759, 'US', 'United States'),
(37059, '72.32.226.200', '72.32.226.215', 1210114760, 1210114775, 'MT', 'Malta'),
(37060, '72.32.226.216', '72.32.227.15', 1210114776, 1210114831, 'US', 'United States'),
(37061, '72.32.227.16', '72.32.227.23', 1210114832, 1210114839, 'AU', 'Australia'),
(37062, '72.32.227.24', '72.32.227.175', 1210114840, 1210114991, 'US', 'United States'),
(37063, '72.32.227.176', '72.32.227.183', 1210114992, 1210114999, 'AU', 'Australia'),
(37064, '72.32.227.184', '72.32.228.7', 1210115000, 1210115079, 'US', 'United States'),
(37065, '72.32.228.8', '72.32.228.15', 1210115080, 1210115087, 'AU', 'Australia'),
(37066, '72.32.228.16', '72.32.228.63', 1210115088, 1210115135, 'US', 'United States'),
(37067, '72.32.228.64', '72.32.228.71', 1210115136, 1210115143, 'AU', 'Australia'),
(37068, '72.32.228.72', '72.32.228.127', 1210115144, 1210115199, 'US', 'United States'),
(37069, '72.32.228.128', '72.32.228.135', 1210115200, 1210115207, 'GB', 'United Kingdom'),
(37070, '72.32.228.136', '72.32.228.159', 1210115208, 1210115231, 'US', 'United States'),
(37071, '72.32.228.160', '72.32.228.167', 1210115232, 1210115239, 'AU', 'Australia'),
(37072, '72.32.228.168', '72.32.229.7', 1210115240, 1210115335, 'US', 'United States'),
(37073, '72.32.229.8', '72.32.229.15', 1210115336, 1210115343, 'GB', 'United Kingdom'),
(37074, '72.32.229.16', '72.32.229.143', 1210115344, 1210115471, 'US', 'United States'),
(37075, '72.32.229.144', '72.32.229.151', 1210115472, 1210115479, 'IN', 'India'),
(37076, '72.32.229.152', '72.32.229.167', 1210115480, 1210115495, 'US', 'United States'),
(37077, '72.32.229.168', '72.32.229.175', 1210115496, 1210115503, 'AU', 'Australia'),
(37078, '72.32.229.176', '72.32.229.215', 1210115504, 1210115543, 'US', 'United States'),
(37079, '72.32.229.216', '72.32.229.247', 1210115544, 1210115575, 'BB', 'Barbados'),
(37080, '72.32.229.248', '72.32.230.135', 1210115576, 1210115719, 'US', 'United States'),
(37081, '72.32.230.136', '72.32.230.143', 1210115720, 1210115727, 'AU', 'Australia'),
(37082, '72.32.230.144', '72.32.230.207', 1210115728, 1210115791, 'US', 'United States'),
(37083, '72.32.230.208', '72.32.230.215', 1210115792, 1210115799, 'GB', 'United Kingdom'),
(37084, '72.32.230.216', '72.32.231.71', 1210115800, 1210115911, 'US', 'United States'),
(37085, '72.32.231.72', '72.32.231.79', 1210115912, 1210115919, 'GB', 'United Kingdom'),
(37086, '72.32.231.80', '72.32.232.159', 1210115920, 1210116255, 'US', 'United States'),
(37087, '72.32.232.160', '72.32.232.167', 1210116256, 1210116263, 'IN', 'India'),
(37088, '72.32.232.168', '72.32.233.23', 1210116264, 1210116375, 'US', 'United States'),
(37089, '72.32.233.24', '72.32.233.31', 1210116376, 1210116383, 'CA', 'Canada'),
(37090, '72.32.233.32', '72.32.233.71', 1210116384, 1210116423, 'US', 'United States'),
(37091, '72.32.233.72', '72.32.233.79', 1210116424, 1210116431, 'GB', 'United Kingdom'),
(37092, '72.32.233.80', '72.32.233.175', 1210116432, 1210116527, 'US', 'United States'),
(37093, '72.32.233.176', '72.32.233.183', 1210116528, 1210116535, 'PR', 'Puerto Rico'),
(37094, '72.32.233.184', '72.32.234.63', 1210116536, 1210116671, 'US', 'United States'),
(37095, '72.32.234.64', '72.32.234.71', 1210116672, 1210116679, 'AU', 'Australia'),
(37096, '72.32.234.72', '72.32.234.79', 1210116680, 1210116687, 'GB', 'United Kingdom'),
(37097, '72.32.234.80', '72.32.234.87', 1210116688, 1210116695, 'NG', 'Nigeria'),
(37098, '72.32.234.88', '72.32.234.255', 1210116696, 1210116863, 'US', 'United States'),
(37099, '72.32.235.0', '72.32.235.7', 1210116864, 1210116871, 'GB', 'United Kingdom'),
(37100, '72.32.235.8', '72.32.236.71', 1210116872, 1210117191, 'US', 'United States'),
(37101, '72.32.236.72', '72.32.236.79', 1210117192, 1210117199, 'CA', 'Canada'),
(37102, '72.32.236.80', '72.32.237.191', 1210117200, 1210117567, 'US', 'United States'),
(37103, '72.32.237.192', '72.32.237.223', 1210117568, 1210117599, 'CA', 'Canada'),
(37104, '72.32.237.224', '72.32.237.255', 1210117600, 1210117631, 'US', 'United States'),
(37105, '72.32.238.0', '72.32.238.7', 1210117632, 1210117639, 'IN', 'India'),
(37106, '72.32.238.8', '72.32.238.15', 1210117640, 1210117647, 'GB', 'United Kingdom'),
(37107, '72.32.238.16', '72.32.238.23', 1210117648, 1210117655, 'AE', 'United Arab Emirates'),
(37108, '72.32.238.24', '72.32.238.239', 1210117656, 1210117871, 'US', 'United States'),
(37109, '72.32.238.240', '72.32.238.247', 1210117872, 1210117879, 'CA', 'Canada'),
(37110, '72.32.238.248', '72.32.238.255', 1210117880, 1210117887, 'US', 'United States'),
(37111, '72.32.239.0', '72.32.239.7', 1210117888, 1210117895, 'TH', 'Thailand'),
(37112, '72.32.239.8', '72.32.239.135', 1210117896, 1210118023, 'US', 'United States'),
(37113, '72.32.239.136', '72.32.239.143', 1210118024, 1210118031, 'GB', 'United Kingdom'),
(37114, '72.32.239.144', '72.32.239.201', 1210118032, 1210118089, 'US', 'United States'),
(37115, '72.32.239.202', '72.32.239.203', 1210118090, 1210118091, 'IN', 'India'),
(37116, '72.32.239.204', '72.32.240.47', 1210118092, 1210118191, 'US', 'United States'),
(37117, '72.32.240.48', '72.32.240.55', 1210118192, 1210118199, 'NZ', 'New Zealand'),
(37118, '72.32.240.56', '72.32.240.95', 1210118200, 1210118239, 'US', 'United States'),
(37119, '72.32.240.96', '72.32.240.111', 1210118240, 1210118255, 'TH', 'Thailand'),
(37120, '72.32.240.112', '72.32.241.31', 1210118256, 1210118431, 'US', 'United States'),
(37121, '72.32.241.32', '72.32.241.39', 1210118432, 1210118439, 'AU', 'Australia'),
(37122, '72.32.241.40', '72.32.241.255', 1210118440, 1210118655, 'US', 'United States'),
(37123, '72.32.242.0', '72.32.242.7', 1210118656, 1210118663, 'IN', 'India'),
(37124, '72.32.242.8', '72.32.242.31', 1210118664, 1210118687, 'US', 'United States'),
(37125, '72.32.242.32', '72.32.242.47', 1210118688, 1210118703, 'IN', 'India'),
(37126, '72.32.242.48', '72.32.242.231', 1210118704, 1210118887, 'US', 'United States'),
(37127, '72.32.242.232', '72.32.242.239', 1210118888, 1210118895, 'BR', 'Brazil'),
(37128, '72.32.242.240', '72.32.243.207', 1210118896, 1210119119, 'US', 'United States'),
(37129, '72.32.243.208', '72.32.243.223', 1210119120, 1210119135, 'GB', 'United Kingdom'),
(37130, '72.32.243.224', '72.32.244.15', 1210119136, 1210119183, 'US', 'United States'),
(37131, '72.32.244.16', '72.32.244.23', 1210119184, 1210119191, 'CA', 'Canada'),
(37132, '72.32.244.24', '72.32.244.87', 1210119192, 1210119255, 'US', 'United States'),
(37133, '72.32.244.88', '72.32.244.95', 1210119256, 1210119263, 'MY', 'Malaysia'),
(37134, '72.32.244.96', '72.32.244.143', 1210119264, 1210119311, 'US', 'United States'),
(37135, '72.32.244.144', '72.32.244.151', 1210119312, 1210119319, 'AN', 'Netherlands Antilles'),
(37136, '72.32.244.152', '72.32.245.127', 1210119320, 1210119551, 'US', 'United States'),
(37137, '72.32.245.128', '72.32.245.135', 1210119552, 1210119559, 'MX', 'Mexico'),
(37138, '72.32.245.136', '72.32.246.143', 1210119560, 1210119823, 'US', 'United States'),
(37139, '72.32.246.144', '72.32.246.151', 1210119824, 1210119831, 'CA', 'Canada'),
(37140, '72.32.246.152', '72.32.246.201', 1210119832, 1210119881, 'US', 'United States'),
(37141, '72.32.246.202', '72.32.246.203', 1210119882, 1210119883, 'GB', 'United Kingdom'),
(37142, '72.32.246.204', '72.32.247.71', 1210119884, 1210120007, 'US', 'United States'),
(37143, '72.32.247.72', '72.32.247.79', 1210120008, 1210120015, 'IN', 'India'),
(37144, '72.32.247.80', '72.32.250.143', 1210120016, 1210120847, 'US', 'United States'),
(37145, '72.32.250.144', '72.32.250.151', 1210120848, 1210120855, 'MY', 'Malaysia'),
(37146, '72.32.250.152', '72.32.250.191', 1210120856, 1210120895, 'US', 'United States'),
(37147, '72.32.250.192', '72.32.250.199', 1210120896, 1210120903, 'MX', 'Mexico'),
(37148, '72.32.250.200', '72.32.251.31', 1210120904, 1210120991, 'US', 'United States'),
(37149, '72.32.251.32', '72.32.251.39', 1210120992, 1210120999, 'IN', 'India'),
(37150, '72.32.251.40', '72.32.251.63', 1210121000, 1210121023, 'US', 'United States'),
(37151, '72.32.251.64', '72.32.251.79', 1210121024, 1210121039, 'AU', 'Australia'),
(37152, '72.32.251.80', '72.32.251.119', 1210121040, 1210121079, 'US', 'United States'),
(37153, '72.32.251.120', '72.32.251.127', 1210121080, 1210121087, 'BR', 'Brazil'),
(37154, '72.32.251.128', '72.32.255.47', 1210121088, 1210122031, 'US', 'United States'),
(37155, '72.32.255.48', '72.32.255.55', 1210122032, 1210122039, 'CA', 'Canada'),
(37156, '72.32.255.56', '72.32.255.79', 1210122040, 1210122063, 'US', 'United States'),
(37157, '72.32.255.80', '72.32.255.87', 1210122064, 1210122071, 'MX', 'Mexico'),
(37158, '72.32.255.88', '72.34.255.255', 1210122072, 1210253311, 'US', 'United States'),
(37159, '72.35.0.0', '72.35.5.111', 1210253312, 1210254703, 'CA', 'Canada'),
(37160, '72.35.5.112', '72.35.5.127', 1210254704, 1210254719, 'NZ', 'New Zealand'),
(37161, '72.35.5.128', '72.35.31.255', 1210254720, 1210261503, 'CA', 'Canada'),
(37162, '72.35.32.0', '72.36.245.191', 1210261504, 1210381759, 'US', 'United States'),
(37163, '72.36.245.192', '72.36.245.255', 1210381760, 1210381823, 'RU', 'Russian Federation'),
(37164, '72.36.246.0', '72.37.131.255', 1210381824, 1210418175, 'US', 'United States'),
(37165, '72.37.132.0', '72.37.132.31', 1210418176, 1210418207, 'SG', 'Singapore'),
(37166, '72.37.132.32', '72.37.166.159', 1210418208, 1210427039, 'US', 'United States'),
(37167, '72.37.166.160', '72.37.166.191', 1210427040, 1210427071, 'JP', 'Japan'),
(37168, '72.37.166.192', '72.37.255.255', 1210427072, 1210449919, 'US', 'United States'),
(37169, '72.38.0.0', '72.38.73.143', 1210449920, 1210468751, 'CA', 'Canada'),
(37170, '72.38.73.144', '72.38.73.159', 1210468752, 1210468767, 'US', 'United States'),
(37171, '72.38.73.160', '72.39.255.255', 1210468768, 1210580991, 'CA', 'Canada'),
(37172, '72.40.0.0', '72.44.70.151', 1210580992, 1210861207, 'US', 'United States'),
(37173, '72.44.70.152', '72.44.70.159', 1210861208, 1210861215, 'GB', 'United Kingdom'),
(37174, '72.44.70.160', '72.44.74.111', 1210861216, 1210862191, 'US', 'United States'),
(37175, '72.44.74.112', '72.44.74.119', 1210862192, 1210862199, 'GB', 'United Kingdom'),
(37176, '72.44.74.120', '72.44.86.110', 1210862200, 1210865262, 'US', 'United States'),
(37177, '72.44.86.111', '72.44.86.118', 1210865263, 1210865270, 'MY', 'Malaysia'),
(37178, '72.44.86.119', '72.44.91.3', 1210865271, 1210866435, 'US', 'United States'),
(37179, '72.44.91.4', '72.44.91.11', 1210866436, 1210866443, 'CL', 'Chile'),
(37180, '72.44.91.12', '72.45.63.255', 1210866444, 1210925055, 'US', 'United States'),
(37181, '72.45.64.0', '72.45.127.255', 1210925056, 1210941439, 'CA', 'Canada'),
(37182, '72.45.128.0', '72.46.226.159', 1210941440, 1211032223, 'US', 'United States'),
(37183, '72.46.226.160', '72.46.226.191', 1211032224, 1211032255, 'VE', 'Venezuela'),
(37184, '72.46.226.192', '72.46.226.207', 1211032256, 1211032271, 'US', 'United States'),
(37185, '72.46.226.208', '72.46.226.223', 1211032272, 1211032287, 'DO', 'Dominican Republic'),
(37186, '72.46.226.224', '72.46.229.255', 1211032288, 1211033087, 'US', 'United States'),
(37187, '72.46.230.0', '72.46.231.255', 1211033088, 1211033599, 'CO', 'Colombia'),
(37188, '72.46.232.0', '72.46.239.255', 1211033600, 1211035647, 'US', 'United States'),
(37189, '72.46.240.0', '72.46.240.15', 1211035648, 1211035663, 'PR', 'Puerto Rico'),
(37190, '72.46.240.16', '72.46.240.63', 1211035664, 1211035711, 'US', 'United States'),
(37191, '72.46.240.64', '72.46.240.127', 1211035712, 1211035775, 'CA', 'Canada'),
(37192, '72.46.240.128', '72.46.240.143', 1211035776, 1211035791, 'US', 'United States'),
(37193, '72.46.240.144', '72.46.240.159', 1211035792, 1211035807, 'CR', 'Costa Rica'),
(37194, '72.46.240.160', '72.46.241.127', 1211035808, 1211036031, 'US', 'United States'),
(37195, '72.46.241.128', '72.46.241.191', 1211036032, 1211036095, 'EC', 'Ecuador'),
(37196, '72.46.241.192', '72.46.244.31', 1211036096, 1211036703, 'US', 'United States'),
(37197, '72.46.244.32', '72.46.244.47', 1211036704, 1211036719, 'BO', 'Bolivia'),
(37198, '72.46.244.48', '72.46.244.63', 1211036720, 1211036735, 'US', 'United States'),
(37199, '72.46.244.64', '72.46.244.79', 1211036736, 1211036751, 'GT', 'Guatemala'),
(37200, '72.46.244.80', '72.46.245.63', 1211036752, 1211036991, 'US', 'United States'),
(37201, '72.46.245.64', '72.46.245.127', 1211036992, 1211037055, 'BR', 'Brazil'),
(37202, '72.46.245.128', '72.46.245.207', 1211037056, 1211037135, 'US', 'United States'),
(37203, '72.46.245.208', '72.46.245.223', 1211037136, 1211037151, 'GB', 'United Kingdom'),
(37204, '72.46.245.224', '72.46.245.255', 1211037152, 1211037183, 'DO', 'Dominican Republic'),
(37205, '72.46.246.0', '72.46.247.79', 1211037184, 1211037519, 'US', 'United States'),
(37206, '72.46.247.80', '72.46.247.95', 1211037520, 1211037535, 'UY', 'Uruguay'),
(37207, '72.46.247.96', '72.46.247.239', 1211037536, 1211037679, 'US', 'United States'),
(37208, '72.46.247.240', '72.46.247.255', 1211037680, 1211037695, 'AR', 'Argentina'),
(37209, '72.46.248.0', '72.46.249.47', 1211037696, 1211037999, 'US', 'United States'),
(37210, '72.46.249.48', '72.46.249.55', 1211038000, 1211038007, 'BB', 'Barbados'),
(37211, '72.46.249.56', '72.46.249.59', 1211038008, 1211038011, 'TT', 'Trinidad and Tobago'),
(37212, '72.46.249.60', '72.46.249.111', 1211038012, 1211038063, 'US', 'United States'),
(37213, '72.46.249.112', '72.46.249.127', 1211038064, 1211038079, 'TT', 'Trinidad and Tobago'),
(37214, '72.46.249.128', '72.46.251.255', 1211038080, 1211038719, 'US', 'United States'),
(37215, '72.46.252.0', '72.46.252.255', 1211038720, 1211038975, 'CY', 'Cyprus'),
(37216, '72.46.253.0', '72.46.253.31', 1211038976, 1211039007, 'US', 'United States'),
(37217, '72.46.253.32', '72.46.253.47', 1211039008, 1211039023, 'VG', 'Virgin Islands, British'),
(37218, '72.46.253.48', '72.46.253.111', 1211039024, 1211039087, 'US', 'United States'),
(37219, '72.46.253.112', '72.46.253.127', 1211039088, 1211039103, 'RU', 'Russian Federation'),
(37220, '72.46.253.128', '72.46.255.15', 1211039104, 1211039503, 'US', 'United States'),
(37221, '72.46.255.16', '72.46.255.31', 1211039504, 1211039519, 'A2', 'Satellite Provider'),
(37222, '72.46.255.32', '72.46.255.159', 1211039520, 1211039647, 'US', 'United States'),
(37223, '72.46.255.160', '72.46.255.175', 1211039648, 1211039663, 'AR', 'Argentina'),
(37224, '72.46.255.176', '72.46.255.191', 1211039664, 1211039679, 'US', 'United States'),
(37225, '72.46.255.192', '72.46.255.207', 1211039680, 1211039695, 'BR', 'Brazil'),
(37226, '72.46.255.208', '72.49.255.255', 1211039696, 1211236351, 'US', 'United States'),
(37227, '72.50.0.0', '72.50.127.255', 1211236352, 1211269119, 'PR', 'Puerto Rico'),
(37228, '72.50.128.0', '72.51.7.255', 1211269120, 1211303935, 'US', 'United States'),
(37229, '72.51.8.0', '72.51.8.223', 1211303936, 1211304159, 'CA', 'Canada'),
(37230, '72.51.8.224', '72.51.9.15', 1211304160, 1211304207, 'US', 'United States'),
(37231, '72.51.9.16', '72.51.9.23', 1211304208, 1211304215, 'CA', 'Canada'),
(37232, '72.51.9.24', '72.51.9.31', 1211304216, 1211304223, 'US', 'United States'),
(37233, '72.51.9.32', '72.51.9.47', 1211304224, 1211304239, 'CA', 'Canada'),
(37234, '72.51.9.48', '72.51.9.95', 1211304240, 1211304287, 'US', 'United States'),
(37235, '72.51.9.96', '72.51.9.127', 1211304288, 1211304319, 'CA', 'Canada'),
(37236, '72.51.9.128', '72.51.9.159', 1211304320, 1211304351, 'NL', 'Netherlands'),
(37237, '72.51.9.160', '72.51.10.255', 1211304352, 1211304703, 'CA', 'Canada'),
(37238, '72.51.11.0', '72.51.11.63', 1211304704, 1211304767, 'GB', 'United Kingdom'),
(37239, '72.51.11.64', '72.51.11.127', 1211304768, 1211304831, 'US', 'United States'),
(37240, '72.51.11.128', '72.51.11.255', 1211304832, 1211304959, 'CA', 'Canada'),
(37241, '72.51.12.0', '72.51.15.255', 1211304960, 1211305983, 'US', 'United States'),
(37242, '72.51.16.0', '72.51.16.127', 1211305984, 1211306111, 'NL', 'Netherlands'),
(37243, '72.51.16.128', '72.51.18.255', 1211306112, 1211306751, 'US', 'United States'),
(37244, '72.51.19.0', '72.51.19.127', 1211306752, 1211306879, 'CA', 'Canada'),
(37245, '72.51.19.128', '72.51.24.135', 1211306880, 1211308167, 'US', 'United States'),
(37246, '72.51.24.136', '72.51.24.143', 1211308168, 1211308175, 'CA', 'Canada'),
(37247, '72.51.24.144', '72.51.24.159', 1211308176, 1211308191, 'BV', 'Bouvet Island'),
(37248, '72.51.24.160', '72.51.25.255', 1211308192, 1211308543, 'CA', 'Canada'),
(37249, '72.51.26.0', '72.51.26.15', 1211308544, 1211308559, 'KN', 'Saint Kitts and Nevis'),
(37250, '72.51.26.16', '72.51.26.63', 1211308560, 1211308607, 'CA', 'Canada'),
(37251, '72.51.26.64', '72.51.26.71', 1211308608, 1211308615, 'US', 'United States'),
(37252, '72.51.26.72', '72.51.26.79', 1211308616, 1211308623, 'CA', 'Canada'),
(37253, '72.51.26.80', '72.51.26.95', 1211308624, 1211308639, 'US', 'United States'),
(37254, '72.51.26.96', '72.51.26.111', 1211308640, 1211308655, 'MX', 'Mexico'),
(37255, '72.51.26.112', '72.51.26.127', 1211308656, 1211308671, 'GB', 'United Kingdom'),
(37256, '72.51.26.128', '72.51.26.159', 1211308672, 1211308703, 'CA', 'Canada'),
(37257, '72.51.26.160', '72.51.26.175', 1211308704, 1211308719, 'VG', 'Virgin Islands, British'),
(37258, '72.51.26.176', '72.51.26.191', 1211308720, 1211308735, 'CA', 'Canada'),
(37259, '72.51.26.192', '72.51.26.207', 1211308736, 1211308751, 'BV', 'Bouvet Island'),
(37260, '72.51.26.208', '72.51.26.223', 1211308752, 1211308767, 'CA', 'Canada'),
(37261, '72.51.26.224', '72.51.26.239', 1211308768, 1211308783, 'US', 'United States'),
(37262, '72.51.26.240', '72.51.31.255', 1211308784, 1211310079, 'CA', 'Canada'),
(37263, '72.51.32.0', '72.51.33.68', 1211310080, 1211310404, 'US', 'United States'),
(37264, '72.51.33.69', '72.51.33.69', 1211310405, 1211310405, 'IN', 'India'),
(37265, '72.51.33.70', '72.51.35.103', 1211310406, 1211310951, 'US', 'United States'),
(37266, '72.51.35.104', '72.51.35.104', 1211310952, 1211310952, 'IN', 'India'),
(37267, '72.51.35.105', '72.51.37.18', 1211310953, 1211311378, 'US', 'United States'),
(37268, '72.51.37.19', '72.51.37.19', 1211311379, 1211311379, 'IN', 'India'),
(37269, '72.51.37.20', '72.51.37.34', 1211311380, 1211311394, 'US', 'United States'),
(37270, '72.51.37.35', '72.51.37.35', 1211311395, 1211311395, 'IN', 'India'),
(37271, '72.51.37.36', '72.51.39.11', 1211311396, 1211311883, 'US', 'United States'),
(37272, '72.51.39.12', '72.51.39.12', 1211311884, 1211311884, 'IN', 'India'),
(37273, '72.51.39.13', '72.51.39.91', 1211311885, 1211311963, 'US', 'United States'),
(37274, '72.51.39.92', '72.51.39.92', 1211311964, 1211311964, 'IN', 'India'),
(37275, '72.51.39.93', '72.51.41.185', 1211311965, 1211312569, 'US', 'United States'),
(37276, '72.51.41.186', '72.51.41.186', 1211312570, 1211312570, 'IN', 'India'),
(37277, '72.51.41.187', '72.51.44.67', 1211312571, 1211313219, 'US', 'United States'),
(37278, '72.51.44.68', '72.51.44.79', 1211313220, 1211313231, 'IN', 'India'),
(37279, '72.51.44.80', '72.51.44.159', 1211313232, 1211313311, 'US', 'United States'),
(37280, '72.51.44.160', '72.51.44.163', 1211313312, 1211313315, 'IN', 'India'),
(37281, '72.51.44.164', '72.51.45.23', 1211313316, 1211313431, 'US', 'United States'),
(37282, '72.51.45.24', '72.51.45.31', 1211313432, 1211313439, 'IN', 'India'),
(37283, '72.51.45.32', '72.51.45.159', 1211313440, 1211313567, 'US', 'United States'),
(37284, '72.51.45.160', '72.51.45.171', 1211313568, 1211313579, 'IN', 'India'),
(37285, '72.51.45.172', '72.51.48.207', 1211313580, 1211314383, 'US', 'United States'),
(37286, '72.51.48.208', '72.51.48.223', 1211314384, 1211314399, 'CA', 'Canada'),
(37287, '72.51.48.224', '72.51.48.239', 1211314400, 1211314415, 'US', 'United States'),
(37288, '72.51.48.240', '72.51.48.247', 1211314416, 1211314423, 'CA', 'Canada'),
(37289, '72.51.48.248', '72.51.49.207', 1211314424, 1211314639, 'US', 'United States'),
(37290, '72.51.49.208', '72.51.49.239', 1211314640, 1211314671, 'CA', 'Canada'),
(37291, '72.51.49.240', '72.51.50.175', 1211314672, 1211314863, 'US', 'United States'),
(37292, '72.51.50.176', '72.51.50.191', 1211314864, 1211314879, 'CA', 'Canada'),
(37293, '72.51.50.192', '72.51.56.255', 1211314880, 1211316479, 'US', 'United States'),
(37294, '72.51.57.0', '72.51.58.255', 1211316480, 1211316991, 'CA', 'Canada'),
(37295, '72.51.59.0', '72.51.60.255', 1211316992, 1211317503, 'US', 'United States'),
(37296, '72.51.61.0', '72.51.61.255', 1211317504, 1211317759, 'CA', 'Canada'),
(37297, '72.51.62.0', '72.51.63.255', 1211317760, 1211318271, 'US', 'United States'),
(37298, '72.51.64.0', '72.51.75.255', 1211318272, 1211321343, 'BB', 'Barbados'),
(37299, '72.51.76.0', '72.51.79.255', 1211321344, 1211322367, 'VC', 'Saint Vincent and the Grenadines'),
(37300, '72.51.80.0', '72.51.80.255', 1211322368, 1211322623, 'BB', 'Barbados'),
(37301, '72.51.81.0', '72.51.86.255', 1211322624, 1211324159, 'GD', 'Grenada'),
(37302, '72.51.87.0', '72.51.89.255', 1211324160, 1211324927, 'VC', 'Saint Vincent and the Grenadines'),
(37303, '72.51.90.0', '72.51.121.255', 1211324928, 1211333119, 'BB', 'Barbados'),
(37304, '72.51.122.0', '72.51.123.255', 1211333120, 1211333631, 'VC', 'Saint Vincent and the Grenadines'),
(37305, '72.51.124.0', '72.51.124.255', 1211333632, 1211333887, 'GD', 'Grenada'),
(37306, '72.51.125.0', '72.51.127.255', 1211333888, 1211334655, 'VG', 'Virgin Islands, British'),
(37307, '72.51.128.0', '72.52.0.63', 1211334656, 1211367487, 'US', 'United States'),
(37308, '72.52.0.64', '72.52.0.71', 1211367488, 1211367495, 'GB', 'United Kingdom'),
(37309, '72.52.0.72', '72.52.0.79', 1211367496, 1211367503, 'US', 'United States'),
(37310, '72.52.0.80', '72.52.0.95', 1211367504, 1211367519, 'CH', 'Switzerland'),
(37311, '72.52.0.96', '72.52.0.191', 1211367520, 1211367615, 'US', 'United States'),
(37312, '72.52.0.192', '72.52.0.255', 1211367616, 1211367679, 'GB', 'United Kingdom'),
(37313, '72.52.1.0', '72.52.1.255', 1211367680, 1211367935, 'US', 'United States'),
(37314, '72.52.2.0', '72.52.2.255', 1211367936, 1211368191, 'CA', 'Canada'),
(37315, '72.52.3.0', '72.52.3.255', 1211368192, 1211368447, 'EE', 'Estonia'),
(37316, '72.52.4.0', '72.52.65.215', 1211368448, 1211384279, 'US', 'United States'),
(37317, '72.52.65.216', '72.52.65.223', 1211384280, 1211384287, 'GB', 'United Kingdom'),
(37318, '72.52.65.224', '72.52.66.7', 1211384288, 1211384327, 'US', 'United States'),
(37319, '72.52.66.8', '72.52.66.15', 1211384328, 1211384335, 'A1', 'Anonymous Proxy'),
(37320, '72.52.66.16', '72.52.80.79', 1211384336, 1211387983, 'US', 'United States'),
(37321, '72.52.80.80', '72.52.80.95', 1211387984, 1211387999, 'AE', 'United Arab Emirates'),
(37322, '72.52.80.96', '72.52.80.255', 1211388000, 1211388159, 'US', 'United States'),
(37323, '72.52.81.0', '72.52.81.127', 1211388160, 1211388287, 'A1', 'Anonymous Proxy'),
(37324, '72.52.81.128', '72.52.93.223', 1211388288, 1211391455, 'US', 'United States'),
(37325, '72.52.93.224', '72.52.93.255', 1211391456, 1211391487, 'CN', 'China'),
(37326, '72.52.94.0', '72.52.94.223', 1211391488, 1211391711, 'US', 'United States'),
(37327, '72.52.94.224', '72.52.94.231', 1211391712, 1211391719, 'CN', 'China'),
(37328, '72.52.94.232', '72.52.94.239', 1211391720, 1211391727, 'US', 'United States'),
(37329, '72.52.94.240', '72.52.94.247', 1211391728, 1211391735, 'CN', 'China'),
(37330, '72.52.94.248', '72.52.98.95', 1211391736, 1211392607, 'US', 'United States'),
(37331, '72.52.98.96', '72.52.98.127', 1211392608, 1211392639, 'GB', 'United Kingdom'),
(37332, '72.52.98.128', '72.52.100.255', 1211392640, 1211393279, 'US', 'United States'),
(37333, '72.52.101.0', '72.52.101.31', 1211393280, 1211393311, 'AU', 'Australia'),
(37334, '72.52.101.32', '72.52.104.15', 1211393312, 1211394063, 'US', 'United States'),
(37335, '72.52.104.16', '72.52.104.31', 1211394064, 1211394079, 'ES', 'Spain'),
(37336, '72.52.104.32', '72.52.144.133', 1211394080, 1211404421, 'US', 'United States'),
(37337, '72.52.144.134', '72.52.144.134', 1211404422, 1211404422, 'CA', 'Canada'),
(37338, '72.52.144.135', '72.52.155.189', 1211404423, 1211407293, 'US', 'United States'),
(37339, '72.52.155.190', '72.52.155.229', 1211407294, 1211407333, 'MX', 'Mexico'),
(37340, '72.52.155.230', '72.52.203.97', 1211407334, 1211419489, 'US', 'United States'),
(37341, '72.52.203.98', '72.52.203.105', 1211419490, 1211419497, 'CA', 'Canada'),
(37342, '72.52.203.106', '72.52.212.43', 1211419498, 1211421739, 'US', 'United States'),
(37343, '72.52.212.44', '72.52.212.44', 1211421740, 1211421740, 'CA', 'Canada'),
(37344, '72.52.212.45', '72.52.255.255', 1211421741, 1211432959, 'US', 'United States'),
(37345, '72.53.0.0', '72.53.159.255', 1211432960, 1211473919, 'CA', 'Canada'),
(37346, '72.53.160.0', '72.55.127.255', 1211473920, 1211596799, 'US', 'United States'),
(37347, '72.55.128.0', '72.55.163.239', 1211596800, 1211605999, 'CA', 'Canada'),
(37348, '72.55.163.240', '72.55.163.243', 1211606000, 1211606003, 'US', 'United States'),
(37349, '72.55.163.244', '72.55.191.255', 1211606004, 1211613183, 'CA', 'Canada'),
(37350, '72.55.192.0', '72.64.146.72', 1211613184, 1212191304, 'US', 'United States'),
(37351, '72.64.146.73', '72.64.146.73', 1212191305, 1212191305, 'A1', 'Anonymous Proxy'),
(37352, '72.64.146.74', '72.64.146.135', 1212191306, 1212191367, 'US', 'United States'),
(37353, '72.64.146.136', '72.64.146.136', 1212191368, 1212191368, 'A1', 'Anonymous Proxy'),
(37354, '72.64.146.137', '72.93.73.127', 1212191369, 1214073215, 'US', 'United States'),
(37355, '72.93.73.128', '72.93.73.135', 1214073216, 1214073223, 'A2', 'Satellite Provider'),
(37356, '72.93.73.136', '72.135.255.255', 1214073224, 1216872447, 'US', 'United States'),
(37357, '72.136.0.0', '72.143.255.255', 1216872448, 1217396735, 'CA', 'Canada'),
(37358, '72.144.0.0', '72.163.215.255', 1217396736, 1218697215, 'US', 'United States'),
(37359, '72.163.216.0', '72.163.216.255', 1218697216, 1218697471, 'IN', 'India'),
(37360, '72.163.217.0', '72.164.95.31', 1218697472, 1218731807, 'US', 'United States'),
(37361, '72.164.95.32', '72.164.95.39', 1218731808, 1218731815, 'A2', 'Satellite Provider'),
(37362, '72.164.95.40', '72.165.19.255', 1218731816, 1218778111, 'US', 'United States'),
(37363, '72.165.20.0', '72.165.20.255', 1218778112, 1218778367, 'SG', 'Singapore'),
(37364, '72.165.21.0', '72.168.68.255', 1218778368, 1218987263, 'US', 'United States'),
(37365, '72.168.69.0', '72.168.69.255', 1218987264, 1218987519, 'CA', 'Canada'),
(37366, '72.168.70.0', '72.172.83.127', 1218987520, 1219253119, 'US', 'United States'),
(37367, '72.172.83.128', '72.172.83.143', 1219253120, 1219253135, 'IN', 'India'),
(37368, '72.172.83.144', '72.172.84.71', 1219253136, 1219253319, 'US', 'United States'),
(37369, '72.172.84.72', '72.172.84.79', 1219253320, 1219253327, 'CA', 'Canada'),
(37370, '72.172.84.80', '72.172.95.255', 1219253328, 1219256319, 'US', 'United States'),
(37371, '72.172.96.0', '72.172.127.255', 1219256320, 1219264511, 'CA', 'Canada'),
(37372, '72.172.128.0', '72.172.159.255', 1219264512, 1219272703, 'US', 'United States'),
(37373, '72.172.160.0', '72.172.175.255', 1219272704, 1219276799, 'CA', 'Canada'),
(37374, '72.172.176.0', '72.172.229.255', 1219276800, 1219290623, 'US', 'United States'),
(37375, '72.172.230.0', '72.172.230.127', 1219290624, 1219290751, 'AU', 'Australia'),
(37376, '72.172.230.128', '72.172.248.63', 1219290752, 1219295295, 'US', 'United States'),
(37377, '72.172.248.64', '72.172.248.127', 1219295296, 1219295359, 'GR', 'Greece'),
(37378, '72.172.248.128', '72.194.109.225', 1219295360, 1220701665, 'US', 'United States'),
(37379, '72.194.109.226', '72.194.109.226', 1220701666, 1220701666, 'A1', 'Anonymous Proxy'),
(37380, '72.194.109.227', '72.232.72.151', 1220701667, 1223182487, 'US', 'United States'),
(37381, '72.232.72.152', '72.232.72.167', 1223182488, 1223182503, 'ES', 'Spain'),
(37382, '72.232.72.168', '72.232.175.127', 1223182504, 1223208831, 'US', 'United States'),
(37383, '72.232.175.128', '72.232.175.255', 1223208832, 1223208959, 'ES', 'Spain'),
(37384, '72.232.176.0', '72.232.230.127', 1223208960, 1223222911, 'US', 'United States'),
(37385, '72.232.230.128', '72.232.230.255', 1223222912, 1223223039, 'BR', 'Brazil'),
(37386, '72.232.231.0', '72.233.37.255', 1223223040, 1223239167, 'US', 'United States'),
(37387, '72.233.38.0', '72.233.38.127', 1223239168, 1223239295, 'ES', 'Spain'),
(37388, '72.233.38.128', '72.233.57.127', 1223239296, 1223244159, 'US', 'United States'),
(37389, '72.233.57.128', '72.233.57.191', 1223244160, 1223244223, 'BR', 'Brazil'),
(37390, '72.233.57.192', '72.233.109.255', 1223244224, 1223257599, 'US', 'United States'),
(37391, '72.233.110.0', '72.233.110.127', 1223257600, 1223257727, 'MX', 'Mexico'),
(37392, '72.233.110.128', '72.248.255.255', 1223257728, 1224278015, 'US', 'United States'),
(37393, '72.249.0.0', '72.249.0.7', 1224278016, 1224278023, 'GB', 'United Kingdom'),
(37394, '72.249.0.8', '72.249.0.95', 1224278024, 1224278111, 'US', 'United States'),
(37395, '72.249.0.96', '72.249.0.127', 1224278112, 1224278143, 'MY', 'Malaysia'),
(37396, '72.249.0.128', '72.249.0.167', 1224278144, 1224278183, 'US', 'United States'),
(37397, '72.249.0.168', '72.249.0.175', 1224278184, 1224278191, 'CA', 'Canada'),
(37398, '72.249.0.176', '72.249.1.87', 1224278192, 1224278359, 'US', 'United States'),
(37399, '72.249.1.88', '72.249.1.95', 1224278360, 1224278367, 'GB', 'United Kingdom'),
(37400, '72.249.1.96', '72.249.2.71', 1224278368, 1224278599, 'US', 'United States'),
(37401, '72.249.2.72', '72.249.2.79', 1224278600, 1224278607, 'AU', 'Australia'),
(37402, '72.249.2.80', '72.249.3.31', 1224278608, 1224278815, 'US', 'United States'),
(37403, '72.249.3.32', '72.249.3.39', 1224278816, 1224278823, 'CH', 'Switzerland'),
(37404, '72.249.3.40', '72.249.33.255', 1224278824, 1224286719, 'US', 'United States'),
(37405, '72.249.34.0', '72.249.34.255', 1224286720, 1224286975, 'CA', 'Canada'),
(37406, '72.249.35.0', '72.249.49.255', 1224286976, 1224290815, 'US', 'United States'),
(37407, '72.249.50.0', '72.249.50.255', 1224290816, 1224291071, 'CA', 'Canada'),
(37408, '72.249.51.0', '72.249.54.255', 1224291072, 1224292095, 'US', 'United States'),
(37409, '72.249.55.0', '72.249.55.255', 1224292096, 1224292351, 'CA', 'Canada'),
(37410, '72.249.56.0', '72.249.67.255', 1224292352, 1224295423, 'US', 'United States'),
(37411, '72.249.68.0', '72.249.68.255', 1224295424, 1224295679, 'VN', 'Vietnam'),
(37412, '72.249.69.0', '72.249.71.255', 1224295680, 1224296447, 'US', 'United States'),
(37413, '72.249.72.0', '72.249.73.255', 1224296448, 1224296959, 'CA', 'Canada'),
(37414, '72.249.74.0', '72.249.83.255', 1224296960, 1224299519, 'US', 'United States'),
(37415, '72.249.84.0', '72.249.84.255', 1224299520, 1224299775, 'CA', 'Canada'),
(37416, '72.249.85.0', '72.249.98.255', 1224299776, 1224303359, 'US', 'United States'),
(37417, '72.249.99.0', '72.249.99.7', 1224303360, 1224303367, 'CA', 'Canada'),
(37418, '72.249.99.8', '72.249.129.23', 1224303368, 1224311063, 'US', 'United States'),
(37419, '72.249.129.24', '72.249.129.31', 1224311064, 1224311071, 'MX', 'Mexico'),
(37420, '72.249.129.32', '72.249.129.207', 1224311072, 1224311247, 'US', 'United States'),
(37421, '72.249.129.208', '72.249.129.215', 1224311248, 1224311255, 'CA', 'Canada'),
(37422, '72.249.129.216', '72.249.131.255', 1224311256, 1224311807, 'US', 'United States'),
(37423, '72.249.132.0', '72.249.133.255', 1224311808, 1224312319, 'CA', 'Canada'),
(37424, '72.249.134.0', '72.249.134.7', 1224312320, 1224312327, 'GB', 'United Kingdom'),
(37425, '72.249.134.8', '72.249.136.79', 1224312328, 1224312911, 'US', 'United States'),
(37426, '72.249.136.80', '72.249.136.95', 1224312912, 1224312927, 'AU', 'Australia'),
(37427, '72.249.136.96', '72.249.140.191', 1224312928, 1224314047, 'US', 'United States'),
(37428, '72.249.140.192', '72.249.140.223', 1224314048, 1224314079, 'GB', 'United Kingdom'),
(37429, '72.249.140.224', '72.249.143.63', 1224314080, 1224314687, 'US', 'United States'),
(37430, '72.249.143.64', '72.249.143.127', 1224314688, 1224314751, 'PA', 'Panama'),
(37431, '72.249.143.128', '72.249.153.255', 1224314752, 1224317439, 'US', 'United States'),
(37432, '72.249.154.0', '72.249.154.255', 1224317440, 1224317695, 'CA', 'Canada'),
(37433, '72.249.155.0', '72.249.156.255', 1224317696, 1224318207, 'US', 'United States'),
(37434, '72.249.157.0', '72.249.157.255', 1224318208, 1224318463, 'CA', 'Canada'),
(37435, '72.249.158.0', '72.249.168.255', 1224318464, 1224321279, 'US', 'United States'),
(37436, '72.249.169.0', '72.249.169.255', 1224321280, 1224321535, 'CA', 'Canada'),
(37437, '72.249.170.0', '72.249.173.255', 1224321536, 1224322559, 'US', 'United States'),
(37438, '72.249.174.0', '72.249.175.255', 1224322560, 1224323071, 'GB', 'United Kingdom'),
(37439, '72.249.176.0', '72.251.255.255', 1224323072, 1224474623, 'US', 'United States'),
(37440, '72.252.0.0', '72.252.3.255', 1224474624, 1224475647, 'GT', 'Guatemala'),
(37441, '72.252.4.0', '72.252.7.255', 1224475648, 1224476671, 'US', 'United States'),
(37442, '72.252.8.0', '72.252.15.255', 1224476672, 1224478719, 'AN', 'Netherlands Antilles'),
(37443, '72.252.16.0', '72.252.23.255', 1224478720, 1224480767, 'US', 'United States'),
(37444, '72.252.24.0', '72.252.39.255', 1224480768, 1224484863, 'JM', 'Jamaica'),
(37445, '72.252.40.0', '72.252.71.255', 1224484864, 1224493055, 'GT', 'Guatemala'),
(37446, '72.252.72.0', '72.252.87.255', 1224493056, 1224497151, 'US', 'United States'),
(37447, '72.252.88.0', '72.252.103.255', 1224497152, 1224501247, 'GT', 'Guatemala'),
(37448, '72.252.104.0', '72.252.112.255', 1224501248, 1224503551, 'JM', 'Jamaica'),
(37449, '72.252.113.0', '72.252.113.255', 1224503552, 1224503807, 'BS', 'Bahamas'),
(37450, '72.252.114.0', '72.252.191.0', 1224503808, 1224523520, 'JM', 'Jamaica'),
(37451, '72.252.191.1', '72.252.191.255', 1224523521, 1224523775, 'US', 'United States'),
(37452, '72.252.192.0', '72.252.199.0', 1224523776, 1224525568, 'JM', 'Jamaica'),
(37453, '72.252.199.1', '72.252.199.255', 1224525569, 1224525823, 'US', 'United States'),
(37454, '72.252.200.0', '72.252.207.0', 1224525824, 1224527616, 'JM', 'Jamaica'),
(37455, '72.252.207.1', '72.252.207.255', 1224527617, 1224527871, 'US', 'United States'),
(37456, '72.252.208.0', '72.252.215.0', 1224527872, 1224529664, 'JM', 'Jamaica'),
(37457, '72.252.215.1', '72.252.215.255', 1224529665, 1224529919, 'US', 'United States'),
(37458, '72.252.216.0', '72.252.255.0', 1224529920, 1224539904, 'JM', 'Jamaica'),
(37459, '72.252.255.1', '72.255.119.246', 1224539905, 1224701942, 'US', 'United States'),
(37460, '72.255.119.247', '72.255.119.247', 1224701943, 1224701943, 'CA', 'Canada'),
(37461, '72.255.119.248', '74.3.127.255', 1224701944, 1241743359, 'US', 'United States'),
(37462, '74.3.128.0', '74.3.191.255', 1241743360, 1241759743, 'CA', 'Canada'),
(37463, '74.3.192.0', '74.11.255.255', 1241759744, 1242300415, 'US', 'United States'),
(37464, '74.12.0.0', '74.15.255.255', 1242300416, 1242562559, 'CA', 'Canada'),
(37465, '74.16.0.0', '74.47.255.255', 1242562560, 1244659711, 'US', 'United States'),
(37466, '74.48.0.0', '74.49.255.255', 1244659712, 1244790783, 'CA', 'Canada'),
(37467, '74.50.0.0', '74.50.159.255', 1244790784, 1244831743, 'US', 'United States'),
(37468, '74.50.160.0', '74.50.191.255', 1244831744, 1244839935, 'CA', 'Canada'),
(37469, '74.50.192.0', '74.50.223.255', 1244839936, 1244848127, 'US', 'United States'),
(37470, '74.50.224.0', '74.50.239.255', 1244848128, 1244852223, 'CA', 'Canada'),
(37471, '74.50.240.0', '74.51.31.255', 1244852224, 1244864511, 'US', 'United States'),
(37472, '74.51.32.0', '74.51.63.255', 1244864512, 1244872703, 'CA', 'Canada'),
(37473, '74.51.64.0', '74.53.36.47', 1244872704, 1244996655, 'US', 'United States'),
(37474, '74.53.36.48', '74.53.36.55', 1244996656, 1244996663, 'CH', 'Switzerland'),
(37475, '74.53.36.56', '74.53.247.65', 1244996664, 1245050689, 'US', 'United States'),
(37476, '74.53.247.66', '74.53.247.66', 1245050690, 1245050690, 'SA', 'Saudi Arabia'),
(37477, '74.53.247.67', '74.53.253.129', 1245050691, 1245052289, 'US', 'United States'),
(37478, '74.53.253.130', '74.53.254.129', 1245052290, 1245052545, 'SA', 'Saudi Arabia'),
(37479, '74.53.254.130', '74.55.101.255', 1245052546, 1245144575, 'US', 'United States'),
(37480, '74.55.102.0', '74.55.102.255', 1245144576, 1245144831, 'CH', 'Switzerland'),
(37481, '74.55.103.0', '74.55.194.87', 1245144832, 1245168215, 'US', 'United States'),
(37482, '74.55.194.88', '74.55.194.91', 1245168216, 1245168219, 'CH', 'Switzerland'),
(37483, '74.55.194.92', '74.55.213.223', 1245168220, 1245173215, 'US', 'United States'),
(37484, '74.55.213.224', '74.55.213.231', 1245173216, 1245173223, 'CH', 'Switzerland'),
(37485, '74.55.213.232', '74.55.234.55', 1245173224, 1245178423, 'US', 'United States'),
(37486, '74.55.234.56', '74.55.234.63', 1245178424, 1245178431, 'IE', 'Ireland'),
(37487, '74.55.234.64', '74.55.255.255', 1245178432, 1245183999, 'US', 'United States'),
(37488, '74.56.0.0', '74.59.255.255', 1245184000, 1245446143, 'CA', 'Canada'),
(37489, '74.60.0.0', '74.63.75.227', 1245446144, 1245662179, 'US', 'United States'),
(37490, '74.63.75.228', '74.63.75.230', 1245662180, 1245662182, 'A1', 'Anonymous Proxy'),
(37491, '74.63.75.231', '74.63.82.147', 1245662183, 1245663891, 'US', 'United States'),
(37492, '74.63.82.148', '74.63.82.148', 1245663892, 1245663892, 'A1', 'Anonymous Proxy'),
(37493, '74.63.82.149', '74.63.82.155', 1245663893, 1245663899, 'US', 'United States'),
(37494, '74.63.82.156', '74.63.82.156', 1245663900, 1245663900, 'A1', 'Anonymous Proxy'),
(37495, '74.63.82.157', '74.63.86.163', 1245663901, 1245664931, 'US', 'United States'),
(37496, '74.63.86.164', '74.63.86.164', 1245664932, 1245664932, 'A1', 'Anonymous Proxy'),
(37497, '74.63.86.165', '74.63.86.171', 1245664933, 1245664939, 'US', 'United States'),
(37498, '74.63.86.172', '74.63.86.172', 1245664940, 1245664940, 'A1', 'Anonymous Proxy'),
(37499, '74.63.86.173', '74.63.89.201', 1245664941, 1245665737, 'US', 'United States'),
(37500, '74.63.89.202', '74.63.89.203', 1245665738, 1245665739, 'A1', 'Anonymous Proxy'),
(37501, '74.63.89.204', '74.63.89.209', 1245665740, 1245665745, 'US', 'United States'),
(37502, '74.63.89.210', '74.63.89.211', 1245665746, 1245665747, 'A1', 'Anonymous Proxy'),
(37503, '74.63.89.212', '74.81.166.3', 1245665748, 1246864899, 'US', 'United States'),
(37504, '74.81.166.4', '74.81.166.62', 1246864900, 1246864958, 'EG', 'Egypt'),
(37505, '74.81.166.63', '74.81.185.255', 1246864959, 1246870015, 'US', 'United States'),
(37506, '74.81.186.0', '74.81.186.63', 1246870016, 1246870079, 'UA', 'Ukraine'),
(37507, '74.81.186.64', '74.81.188.159', 1246870080, 1246870687, 'US', 'United States'),
(37508, '74.81.188.160', '74.81.188.191', 1246870688, 1246870719, 'UA', 'Ukraine'),
(37509, '74.81.188.192', '74.81.191.191', 1246870720, 1246871487, 'US', 'United States'),
(37510, '74.81.191.192', '74.81.191.223', 1246871488, 1246871519, 'UA', 'Ukraine'),
(37511, '74.81.191.224', '74.81.202.15', 1246871520, 1246874127, 'US', 'United States'),
(37512, '74.81.202.16', '74.81.202.104', 1246874128, 1246874216, 'GB', 'United Kingdom'),
(37513, '74.81.202.105', '74.81.203.0', 1246874217, 1246874368, 'US', 'United States'),
(37514, '74.81.203.1', '74.81.203.128', 1246874369, 1246874496, 'GB', 'United Kingdom'),
(37515, '74.81.203.129', '74.81.203.190', 1246874497, 1246874558, 'US', 'United States'),
(37516, '74.81.203.191', '74.81.203.222', 1246874559, 1246874590, 'GB', 'United Kingdom'),
(37517, '74.81.203.223', '74.81.207.117', 1246874591, 1246875509, 'US', 'United States'),
(37518, '74.81.207.118', '74.81.207.128', 1246875510, 1246875520, 'NL', 'Netherlands'),
(37519, '74.81.207.129', '74.82.57.255', 1246875521, 1246902783, 'US', 'United States'),
(37520, '74.82.58.0', '74.82.58.255', 1246902784, 1246903039, 'NL', 'Netherlands'),
(37521, '74.82.59.0', '74.82.191.255', 1246903040, 1246937087, 'US', 'United States'),
(37522, '74.82.192.0', '74.82.203.255', 1246937088, 1246940159, 'CA', 'Canada'),
(37523, '74.82.204.0', '74.82.204.255', 1246940160, 1246940415, 'GB', 'United Kingdom'),
(37524, '74.82.205.0', '74.82.216.55', 1246940416, 1246943287, 'CA', 'Canada'),
(37525, '74.82.216.56', '74.82.216.63', 1246943288, 1246943295, 'DE', 'Germany'),
(37526, '74.82.216.64', '74.82.223.255', 1246943296, 1246945279, 'CA', 'Canada'),
(37527, '74.82.224.0', '74.84.31.255', 1246945280, 1247027199, 'US', 'United States'),
(37528, '74.84.32.0', '74.84.60.191', 1247027200, 1247034559, 'A2', 'Satellite Provider'),
(37529, '74.84.60.192', '74.84.60.207', 1247034560, 1247034575, 'US', 'United States'),
(37530, '74.84.60.208', '74.84.63.255', 1247034576, 1247035391, 'A2', 'Satellite Provider'),
(37531, '74.84.64.0', '74.84.196.119', 1247035392, 1247069303, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(37532, '74.84.196.120', '74.84.196.127', 1247069304, 1247069311, 'VA', 'Holy See (Vatican City State)'),
(37533, '74.84.196.128', '74.84.202.95', 1247069312, 1247070815, 'US', 'United States'),
(37534, '74.84.202.96', '74.84.202.111', 1247070816, 1247070831, 'CA', 'Canada'),
(37535, '74.84.202.112', '74.84.209.207', 1247070832, 1247072719, 'US', 'United States'),
(37536, '74.84.209.208', '74.84.209.223', 1247072720, 1247072735, 'NL', 'Netherlands'),
(37537, '74.84.209.224', '74.84.213.255', 1247072736, 1247073791, 'US', 'United States'),
(37538, '74.84.214.0', '74.84.215.255', 1247073792, 1247074303, 'A2', 'Satellite Provider'),
(37539, '74.84.216.0', '74.85.12.255', 1247074304, 1247087871, 'US', 'United States'),
(37540, '74.85.13.0', '74.85.13.255', 1247087872, 1247088127, 'A1', 'Anonymous Proxy'),
(37541, '74.85.14.0', '74.85.151.255', 1247088128, 1247123455, 'US', 'United States'),
(37542, '74.85.152.0', '74.85.152.255', 1247123456, 1247123711, 'GB', 'United Kingdom'),
(37543, '74.85.153.0', '74.85.153.255', 1247123712, 1247123967, 'US', 'United States'),
(37544, '74.85.154.0', '74.85.154.255', 1247123968, 1247124223, 'LU', 'Luxembourg'),
(37545, '74.85.155.0', '74.91.15.255', 1247124224, 1247481855, 'US', 'United States'),
(37546, '74.91.16.0', '74.91.16.7', 1247481856, 1247481863, 'CN', 'China'),
(37547, '74.91.16.8', '74.91.16.15', 1247481864, 1247481871, 'US', 'United States'),
(37548, '74.91.16.16', '74.91.16.23', 1247481872, 1247481879, 'TR', 'Turkey'),
(37549, '74.91.16.24', '74.91.16.31', 1247481880, 1247481887, 'US', 'United States'),
(37550, '74.91.16.32', '74.91.16.47', 1247481888, 1247481903, 'CN', 'China'),
(37551, '74.91.16.48', '74.91.16.55', 1247481904, 1247481911, 'BO', 'Bolivia'),
(37552, '74.91.16.56', '74.91.16.71', 1247481912, 1247481927, 'CN', 'China'),
(37553, '74.91.16.72', '74.91.16.95', 1247481928, 1247481951, 'US', 'United States'),
(37554, '74.91.16.96', '74.91.16.111', 1247481952, 1247481967, 'CN', 'China'),
(37555, '74.91.16.112', '74.91.16.127', 1247481968, 1247481983, 'US', 'United States'),
(37556, '74.91.16.128', '74.91.16.159', 1247481984, 1247482015, 'GB', 'United Kingdom'),
(37557, '74.91.16.160', '74.91.16.191', 1247482016, 1247482047, 'CN', 'China'),
(37558, '74.91.16.192', '74.91.16.207', 1247482048, 1247482063, 'CA', 'Canada'),
(37559, '74.91.16.208', '74.91.16.215', 1247482064, 1247482071, 'BO', 'Bolivia'),
(37560, '74.91.16.216', '74.91.16.223', 1247482072, 1247482079, 'US', 'United States'),
(37561, '74.91.16.224', '74.91.17.63', 1247482080, 1247482175, 'CN', 'China'),
(37562, '74.91.17.64', '74.91.17.127', 1247482176, 1247482239, 'US', 'United States'),
(37563, '74.91.17.128', '74.91.17.143', 1247482240, 1247482255, 'GB', 'United Kingdom'),
(37564, '74.91.17.144', '74.91.17.207', 1247482256, 1247482319, 'CN', 'China'),
(37565, '74.91.17.208', '74.91.17.223', 1247482320, 1247482335, 'US', 'United States'),
(37566, '74.91.17.224', '74.91.17.239', 1247482336, 1247482351, 'CN', 'China'),
(37567, '74.91.17.240', '74.91.17.255', 1247482352, 1247482367, 'US', 'United States'),
(37568, '74.91.18.0', '74.91.18.15', 1247482368, 1247482383, 'GB', 'United Kingdom'),
(37569, '74.91.18.16', '74.91.18.175', 1247482384, 1247482543, 'CN', 'China'),
(37570, '74.91.18.176', '74.91.18.183', 1247482544, 1247482551, 'US', 'United States'),
(37571, '74.91.18.184', '74.91.18.191', 1247482552, 1247482559, 'CN', 'China'),
(37572, '74.91.18.192', '74.91.18.199', 1247482560, 1247482567, 'US', 'United States'),
(37573, '74.91.18.200', '74.91.18.215', 1247482568, 1247482583, 'CN', 'China'),
(37574, '74.91.18.216', '74.91.18.239', 1247482584, 1247482607, 'US', 'United States'),
(37575, '74.91.18.240', '74.91.18.255', 1247482608, 1247482623, 'CN', 'China'),
(37576, '74.91.19.0', '74.91.19.63', 1247482624, 1247482687, 'US', 'United States'),
(37577, '74.91.19.64', '74.91.19.127', 1247482688, 1247482751, 'CA', 'Canada'),
(37578, '74.91.19.128', '74.91.19.191', 1247482752, 1247482815, 'US', 'United States'),
(37579, '74.91.19.192', '74.91.19.255', 1247482816, 1247482879, 'CN', 'China'),
(37580, '74.91.20.0', '74.91.20.47', 1247482880, 1247482927, 'US', 'United States'),
(37581, '74.91.20.48', '74.91.20.71', 1247482928, 1247482951, 'BO', 'Bolivia'),
(37582, '74.91.20.72', '74.91.20.87', 1247482952, 1247482967, 'US', 'United States'),
(37583, '74.91.20.88', '74.91.20.95', 1247482968, 1247482975, 'CN', 'China'),
(37584, '74.91.20.96', '74.91.20.135', 1247482976, 1247483015, 'US', 'United States'),
(37585, '74.91.20.136', '74.91.20.159', 1247483016, 1247483039, 'CN', 'China'),
(37586, '74.91.20.160', '74.91.20.167', 1247483040, 1247483047, 'CA', 'Canada'),
(37587, '74.91.20.168', '74.91.20.199', 1247483048, 1247483079, 'US', 'United States'),
(37588, '74.91.20.200', '74.91.20.215', 1247483080, 1247483095, 'CN', 'China'),
(37589, '74.91.20.216', '74.91.20.231', 1247483096, 1247483111, 'US', 'United States'),
(37590, '74.91.20.232', '74.91.20.239', 1247483112, 1247483119, 'CN', 'China'),
(37591, '74.91.20.240', '74.91.22.255', 1247483120, 1247483647, 'US', 'United States'),
(37592, '74.91.23.0', '74.91.23.255', 1247483648, 1247483903, 'CN', 'China'),
(37593, '74.91.24.0', '74.91.28.255', 1247483904, 1247485183, 'US', 'United States'),
(37594, '74.91.29.0', '74.91.29.7', 1247485184, 1247485191, 'CN', 'China'),
(37595, '74.91.29.8', '74.91.29.47', 1247485192, 1247485231, 'US', 'United States'),
(37596, '74.91.29.48', '74.91.29.79', 1247485232, 1247485263, 'CN', 'China'),
(37597, '74.91.29.80', '74.91.29.255', 1247485264, 1247485439, 'US', 'United States'),
(37598, '74.91.30.0', '74.91.30.31', 1247485440, 1247485471, 'CN', 'China'),
(37599, '74.91.30.32', '74.91.30.39', 1247485472, 1247485479, 'US', 'United States'),
(37600, '74.91.30.40', '74.91.30.63', 1247485480, 1247485503, 'CN', 'China'),
(37601, '74.91.30.64', '74.91.30.71', 1247485504, 1247485511, 'US', 'United States'),
(37602, '74.91.30.72', '74.91.30.103', 1247485512, 1247485543, 'CN', 'China'),
(37603, '74.91.30.104', '74.91.30.175', 1247485544, 1247485615, 'US', 'United States'),
(37604, '74.91.30.176', '74.91.30.183', 1247485616, 1247485623, 'CN', 'China'),
(37605, '74.91.30.184', '74.91.30.191', 1247485624, 1247485631, 'US', 'United States'),
(37606, '74.91.30.192', '74.91.30.199', 1247485632, 1247485639, 'CN', 'China'),
(37607, '74.91.30.200', '74.91.30.207', 1247485640, 1247485647, 'US', 'United States'),
(37608, '74.91.30.208', '74.91.31.255', 1247485648, 1247485951, 'CN', 'China'),
(37609, '74.91.32.0', '74.112.39.255', 1247485952, 1248864255, 'US', 'United States'),
(37610, '74.112.40.0', '74.112.47.255', 1248864256, 1248866303, 'CA', 'Canada'),
(37611, '74.112.48.0', '74.112.123.255', 1248866304, 1248885759, 'US', 'United States'),
(37612, '74.112.124.0', '74.112.127.255', 1248885760, 1248886783, 'CA', 'Canada'),
(37613, '74.112.128.0', '74.112.132.127', 1248886784, 1248887935, 'US', 'United States'),
(37614, '74.112.132.128', '74.112.132.135', 1248887936, 1248887943, 'CA', 'Canada'),
(37615, '74.112.132.136', '74.112.132.247', 1248887944, 1248888055, 'US', 'United States'),
(37616, '74.112.132.248', '74.112.132.255', 1248888056, 1248888063, 'BR', 'Brazil'),
(37617, '74.112.133.0', '74.112.134.119', 1248888064, 1248888439, 'US', 'United States'),
(37618, '74.112.134.120', '74.112.134.127', 1248888440, 1248888447, 'BO', 'Bolivia'),
(37619, '74.112.134.128', '74.112.135.55', 1248888448, 1248888631, 'US', 'United States'),
(37620, '74.112.135.56', '74.112.135.63', 1248888632, 1248888639, 'CA', 'Canada'),
(37621, '74.112.135.64', '74.112.135.103', 1248888640, 1248888679, 'US', 'United States'),
(37622, '74.112.135.104', '74.112.135.111', 1248888680, 1248888687, 'BO', 'Bolivia'),
(37623, '74.112.135.112', '74.112.135.127', 1248888688, 1248888703, 'US', 'United States'),
(37624, '74.112.135.128', '74.112.135.135', 1248888704, 1248888711, 'BR', 'Brazil'),
(37625, '74.112.135.136', '74.112.168.239', 1248888712, 1248897263, 'US', 'United States'),
(37626, '74.112.168.240', '74.112.168.247', 1248897264, 1248897271, 'FR', 'France'),
(37627, '74.112.168.248', '74.112.175.255', 1248897272, 1248899071, 'US', 'United States'),
(37628, '74.112.176.0', '74.112.179.255', 1248899072, 1248900095, 'CA', 'Canada'),
(37629, '74.112.180.0', '74.112.187.255', 1248900096, 1248902143, 'US', 'United States'),
(37630, '74.112.188.0', '74.112.191.255', 1248902144, 1248903167, 'CA', 'Canada'),
(37631, '74.112.192.0', '74.112.194.15', 1248903168, 1248903695, 'US', 'United States'),
(37632, '74.112.194.16', '74.112.194.31', 1248903696, 1248903711, 'ZA', 'South Africa'),
(37633, '74.112.194.32', '74.112.194.95', 1248903712, 1248903775, 'US', 'United States'),
(37634, '74.112.194.96', '74.112.194.111', 1248903776, 1248903791, 'FR', 'France'),
(37635, '74.112.194.112', '74.112.231.255', 1248903792, 1248913407, 'US', 'United States'),
(37636, '74.112.232.0', '74.112.239.255', 1248913408, 1248915455, 'MF', 'Saint Martin'),
(37637, '74.112.240.0', '74.112.255.255', 1248915456, 1248919551, 'US', 'United States'),
(37638, '74.113.0.0', '74.113.3.255', 1248919552, 1248920575, 'CA', 'Canada'),
(37639, '74.113.4.0', '74.113.7.255', 1248920576, 1248921599, 'US', 'United States'),
(37640, '74.113.8.0', '74.113.15.255', 1248921600, 1248923647, 'CA', 'Canada'),
(37641, '74.113.16.0', '74.113.67.255', 1248923648, 1248936959, 'US', 'United States'),
(37642, '74.113.68.0', '74.113.75.255', 1248936960, 1248939007, 'CA', 'Canada'),
(37643, '74.113.76.0', '74.113.103.255', 1248939008, 1248946175, 'US', 'United States'),
(37644, '74.113.104.0', '74.113.107.255', 1248946176, 1248947199, 'VG', 'Virgin Islands, British'),
(37645, '74.113.108.0', '74.113.151.255', 1248947200, 1248958463, 'US', 'United States'),
(37646, '74.113.152.0', '74.113.155.255', 1248958464, 1248959487, 'CA', 'Canada'),
(37647, '74.113.156.0', '74.113.175.255', 1248959488, 1248964607, 'US', 'United States'),
(37648, '74.113.176.0', '74.113.183.255', 1248964608, 1248966655, 'CA', 'Canada'),
(37649, '74.113.184.0', '74.114.71.255', 1248966656, 1249003519, 'US', 'United States'),
(37650, '74.114.72.0', '74.114.79.255', 1249003520, 1249005567, 'CA', 'Canada'),
(37651, '74.114.80.0', '74.114.99.255', 1249005568, 1249010687, 'US', 'United States'),
(37652, '74.114.100.0', '74.114.103.255', 1249010688, 1249011711, 'CA', 'Canada'),
(37653, '74.114.104.0', '74.114.135.255', 1249011712, 1249019903, 'US', 'United States'),
(37654, '74.114.136.0', '74.114.139.255', 1249019904, 1249020927, 'CA', 'Canada'),
(37655, '74.114.140.0', '74.114.161.151', 1249020928, 1249026455, 'US', 'United States'),
(37656, '74.114.161.152', '74.114.161.159', 1249026456, 1249026463, 'ES', 'Spain'),
(37657, '74.114.161.160', '74.114.162.143', 1249026464, 1249026703, 'US', 'United States'),
(37658, '74.114.162.144', '74.114.162.151', 1249026704, 1249026711, 'ZA', 'South Africa'),
(37659, '74.114.162.152', '74.114.162.207', 1249026712, 1249026767, 'US', 'United States'),
(37660, '74.114.162.208', '74.114.162.215', 1249026768, 1249026775, 'CA', 'Canada'),
(37661, '74.114.162.216', '74.114.162.223', 1249026776, 1249026783, 'MX', 'Mexico'),
(37662, '74.114.162.224', '74.114.164.55', 1249026784, 1249027127, 'US', 'United States'),
(37663, '74.114.164.56', '74.114.164.63', 1249027128, 1249027135, 'ZA', 'South Africa'),
(37664, '74.114.164.64', '74.114.164.71', 1249027136, 1249027143, 'AU', 'Australia'),
(37665, '74.114.164.72', '74.114.164.103', 1249027144, 1249027175, 'US', 'United States'),
(37666, '74.114.164.104', '74.114.164.111', 1249027176, 1249027183, 'IN', 'India'),
(37667, '74.114.164.112', '74.114.165.23', 1249027184, 1249027351, 'US', 'United States'),
(37668, '74.114.165.24', '74.114.165.31', 1249027352, 1249027359, 'CA', 'Canada'),
(37669, '74.114.165.32', '74.114.165.63', 1249027360, 1249027391, 'US', 'United States'),
(37670, '74.114.165.64', '74.114.165.71', 1249027392, 1249027399, 'PH', 'Philippines'),
(37671, '74.114.165.72', '74.114.165.175', 1249027400, 1249027503, 'US', 'United States'),
(37672, '74.114.165.176', '74.114.165.191', 1249027504, 1249027519, 'CA', 'Canada'),
(37673, '74.114.165.192', '74.114.165.223', 1249027520, 1249027551, 'US', 'United States'),
(37674, '74.114.165.224', '74.114.165.231', 1249027552, 1249027559, 'CA', 'Canada'),
(37675, '74.114.165.232', '74.114.166.63', 1249027560, 1249027647, 'US', 'United States'),
(37676, '74.114.166.64', '74.114.166.71', 1249027648, 1249027655, 'GB', 'United Kingdom'),
(37677, '74.114.166.72', '74.114.166.135', 1249027656, 1249027719, 'US', 'United States'),
(37678, '74.114.166.136', '74.114.166.143', 1249027720, 1249027727, 'GR', 'Greece'),
(37679, '74.114.166.144', '74.114.166.239', 1249027728, 1249027823, 'US', 'United States'),
(37680, '74.114.166.240', '74.114.166.255', 1249027824, 1249027839, 'CA', 'Canada'),
(37681, '74.114.167.0', '74.114.167.55', 1249027840, 1249027895, 'US', 'United States'),
(37682, '74.114.167.56', '74.114.167.63', 1249027896, 1249027903, 'PL', 'Poland'),
(37683, '74.114.167.64', '74.114.167.79', 1249027904, 1249027919, 'US', 'United States'),
(37684, '74.114.167.80', '74.114.167.95', 1249027920, 1249027935, 'AU', 'Australia'),
(37685, '74.114.167.96', '74.114.171.255', 1249027936, 1249029119, 'US', 'United States'),
(37686, '74.114.172.0', '74.114.175.255', 1249029120, 1249030143, 'CA', 'Canada'),
(37687, '74.114.176.0', '74.114.199.255', 1249030144, 1249036287, 'US', 'United States'),
(37688, '74.114.200.0', '74.114.203.255', 1249036288, 1249037311, 'TC', 'Turks and Caicos Islands'),
(37689, '74.114.204.0', '74.114.204.31', 1249037312, 1249037343, 'US', 'United States'),
(37690, '74.114.204.32', '74.114.204.47', 1249037344, 1249037359, 'CA', 'Canada'),
(37691, '74.114.204.48', '74.114.207.255', 1249037360, 1249038335, 'US', 'United States'),
(37692, '74.114.208.0', '74.114.215.255', 1249038336, 1249040383, 'CA', 'Canada'),
(37693, '74.114.216.0', '74.114.239.255', 1249040384, 1249046527, 'US', 'United States'),
(37694, '74.114.240.0', '74.114.243.255', 1249046528, 1249047551, 'BM', 'Bermuda'),
(37695, '74.114.244.0', '74.114.255.255', 1249047552, 1249050623, 'US', 'United States'),
(37696, '74.115.0.0', '74.115.1.255', 1249050624, 1249051135, 'A1', 'Anonymous Proxy'),
(37697, '74.115.2.0', '74.115.2.255', 1249051136, 1249051391, 'US', 'United States'),
(37698, '74.115.3.0', '74.115.3.255', 1249051392, 1249051647, 'A1', 'Anonymous Proxy'),
(37699, '74.115.4.0', '74.115.4.255', 1249051648, 1249051903, 'US', 'United States'),
(37700, '74.115.5.0', '74.115.7.255', 1249051904, 1249052671, 'A1', 'Anonymous Proxy'),
(37701, '74.115.8.0', '74.115.33.255', 1249052672, 1249059327, 'US', 'United States'),
(37702, '74.115.34.0', '74.115.35.255', 1249059328, 1249059839, 'CA', 'Canada'),
(37703, '74.115.36.0', '74.115.123.255', 1249059840, 1249082367, 'US', 'United States'),
(37704, '74.115.124.0', '74.115.127.255', 1249082368, 1249083391, 'CA', 'Canada'),
(37705, '74.115.128.0', '74.115.159.255', 1249083392, 1249091583, 'US', 'United States'),
(37706, '74.115.160.0', '74.115.163.255', 1249091584, 1249092607, 'A1', 'Anonymous Proxy'),
(37707, '74.115.164.0', '74.115.169.127', 1249092608, 1249094015, 'US', 'United States'),
(37708, '74.115.169.128', '74.115.169.255', 1249094016, 1249094143, 'RO', 'Romania'),
(37709, '74.115.170.0', '74.115.191.255', 1249094144, 1249099775, 'US', 'United States'),
(37710, '74.115.192.0', '74.115.199.255', 1249099776, 1249101823, 'CA', 'Canada'),
(37711, '74.115.200.0', '74.115.203.255', 1249101824, 1249102847, 'PR', 'Puerto Rico'),
(37712, '74.115.204.0', '74.115.204.255', 1249102848, 1249103103, 'US', 'United States'),
(37713, '74.115.205.0', '74.115.207.255', 1249103104, 1249103871, 'CA', 'Canada'),
(37714, '74.115.208.0', '74.115.212.223', 1249103872, 1249105119, 'US', 'United States'),
(37715, '74.115.212.224', '74.115.212.231', 1249105120, 1249105127, 'AR', 'Argentina'),
(37716, '74.115.212.232', '74.115.213.127', 1249105128, 1249105279, 'US', 'United States'),
(37717, '74.115.213.128', '74.115.213.143', 1249105280, 1249105295, 'CA', 'Canada'),
(37718, '74.115.213.144', '74.115.213.215', 1249105296, 1249105367, 'US', 'United States'),
(37719, '74.115.213.216', '74.115.213.223', 1249105368, 1249105375, 'ES', 'Spain'),
(37720, '74.115.213.224', '74.115.214.127', 1249105376, 1249105535, 'US', 'United States'),
(37721, '74.115.214.128', '74.115.214.159', 1249105536, 1249105567, 'ES', 'Spain'),
(37722, '74.115.214.160', '74.115.214.191', 1249105568, 1249105599, 'CA', 'Canada'),
(37723, '74.115.214.192', '74.115.217.255', 1249105600, 1249106431, 'US', 'United States'),
(37724, '74.115.218.0', '74.115.218.255', 1249106432, 1249106687, 'DE', 'Germany'),
(37725, '74.115.219.0', '74.115.219.255', 1249106688, 1249106943, 'US', 'United States'),
(37726, '74.115.220.0', '74.115.223.255', 1249106944, 1249107967, 'CA', 'Canada'),
(37727, '74.115.224.0', '74.116.55.255', 1249107968, 1249130495, 'US', 'United States'),
(37728, '74.116.56.0', '74.116.59.255', 1249130496, 1249131519, 'JM', 'Jamaica'),
(37729, '74.116.60.0', '74.116.91.255', 1249131520, 1249139711, 'US', 'United States'),
(37730, '74.116.92.0', '74.116.94.255', 1249139712, 1249140479, 'GP', 'Guadeloupe'),
(37731, '74.116.95.0', '74.116.95.255', 1249140480, 1249140735, 'MF', 'Saint Martin'),
(37732, '74.116.96.0', '74.116.183.255', 1249140736, 1249163263, 'US', 'United States'),
(37733, '74.116.184.0', '74.116.199.255', 1249163264, 1249167359, 'CA', 'Canada'),
(37734, '74.116.200.0', '74.116.215.255', 1249167360, 1249171455, 'US', 'United States'),
(37735, '74.116.216.0', '74.116.223.255', 1249171456, 1249173503, 'CA', 'Canada'),
(37736, '74.116.224.0', '74.116.249.63', 1249173504, 1249179967, 'US', 'United States'),
(37737, '74.116.249.64', '74.116.249.79', 1249179968, 1249179983, 'SE', 'Sweden'),
(37738, '74.116.249.80', '74.117.39.255', 1249179984, 1249191935, 'US', 'United States'),
(37739, '74.117.40.0', '74.117.47.255', 1249191936, 1249193983, 'CA', 'Canada'),
(37740, '74.117.48.0', '74.117.51.255', 1249193984, 1249195007, 'US', 'United States'),
(37741, '74.117.52.0', '74.117.55.255', 1249195008, 1249196031, 'CA', 'Canada'),
(37742, '74.117.56.0', '74.117.83.255', 1249196032, 1249203199, 'US', 'United States'),
(37743, '74.117.84.0', '74.117.87.255', 1249203200, 1249204223, 'GD', 'Grenada'),
(37744, '74.117.88.0', '74.117.111.255', 1249204224, 1249210367, 'US', 'United States'),
(37745, '74.117.112.0', '74.117.119.255', 1249210368, 1249212415, 'KY', 'Cayman Islands'),
(37746, '74.117.120.0', '74.117.139.255', 1249212416, 1249217535, 'US', 'United States'),
(37747, '74.117.140.0', '74.117.143.255', 1249217536, 1249218559, 'CA', 'Canada'),
(37748, '74.117.144.0', '74.117.176.255', 1249218560, 1249227007, 'US', 'United States'),
(37749, '74.117.177.0', '74.117.177.63', 1249227008, 1249227071, 'CY', 'Cyprus'),
(37750, '74.117.177.64', '74.117.177.127', 1249227072, 1249227135, 'VG', 'Virgin Islands, British'),
(37751, '74.117.177.128', '74.117.177.159', 1249227136, 1249227167, 'US', 'United States'),
(37752, '74.117.177.160', '74.117.177.191', 1249227168, 1249227199, 'VG', 'Virgin Islands, British'),
(37753, '74.117.177.192', '74.117.177.255', 1249227200, 1249227263, 'HK', 'Hong Kong'),
(37754, '74.117.178.0', '74.117.178.255', 1249227264, 1249227519, 'VG', 'Virgin Islands, British'),
(37755, '74.117.179.0', '74.117.180.255', 1249227520, 1249228031, 'US', 'United States'),
(37756, '74.117.181.0', '74.117.181.31', 1249228032, 1249228063, 'CZ', 'Czech Republic'),
(37757, '74.117.181.32', '74.117.181.63', 1249228064, 1249228095, 'US', 'United States'),
(37758, '74.117.181.64', '74.117.181.191', 1249228096, 1249228223, 'UA', 'Ukraine'),
(37759, '74.117.181.192', '74.117.181.207', 1249228224, 1249228239, 'CZ', 'Czech Republic'),
(37760, '74.117.181.208', '74.117.181.255', 1249228240, 1249228287, 'US', 'United States'),
(37761, '74.117.182.0', '74.117.182.63', 1249228288, 1249228351, 'SC', 'Seychelles'),
(37762, '74.117.182.64', '74.117.184.207', 1249228352, 1249229007, 'US', 'United States'),
(37763, '74.117.184.208', '74.117.184.208', 1249229008, 1249229008, 'CA', 'Canada'),
(37764, '74.117.184.209', '74.117.185.31', 1249229009, 1249229087, 'US', 'United States'),
(37765, '74.117.185.32', '74.117.185.39', 1249229088, 1249229095, 'CA', 'Canada'),
(37766, '74.117.185.40', '74.117.185.160', 1249229096, 1249229216, 'US', 'United States'),
(37767, '74.117.185.161', '74.117.185.161', 1249229217, 1249229217, 'CA', 'Canada'),
(37768, '74.117.185.162', '74.117.185.233', 1249229218, 1249229289, 'US', 'United States'),
(37769, '74.117.185.234', '74.117.185.235', 1249229290, 1249229291, 'CA', 'Canada'),
(37770, '74.117.185.236', '74.117.187.23', 1249229292, 1249229591, 'US', 'United States'),
(37771, '74.117.187.24', '74.117.187.31', 1249229592, 1249229599, 'ES', 'Spain'),
(37772, '74.117.187.32', '74.117.206.255', 1249229600, 1249234687, 'US', 'United States'),
(37773, '74.117.207.0', '74.117.207.255', 1249234688, 1249234943, 'GB', 'United Kingdom'),
(37774, '74.117.208.0', '74.117.215.255', 1249234944, 1249236991, 'US', 'United States'),
(37775, '74.117.216.0', '74.117.223.255', 1249236992, 1249239039, 'KY', 'Cayman Islands'),
(37776, '74.117.224.0', '74.117.247.255', 1249239040, 1249245183, 'US', 'United States'),
(37777, '74.117.248.0', '74.117.255.255', 1249245184, 1249247231, 'CA', 'Canada'),
(37778, '74.118.0.0', '74.118.24.207', 1249247232, 1249253583, 'US', 'United States'),
(37779, '74.118.24.208', '74.118.24.215', 1249253584, 1249253591, 'VA', 'Holy See (Vatican City State)'),
(37780, '74.118.24.216', '74.118.35.255', 1249253592, 1249256447, 'US', 'United States'),
(37781, '74.118.36.0', '74.118.36.140', 1249256448, 1249256588, 'CA', 'Canada'),
(37782, '74.118.36.141', '74.118.36.165', 1249256589, 1249256613, 'US', 'United States'),
(37783, '74.118.36.166', '74.118.36.201', 1249256614, 1249256649, 'CA', 'Canada'),
(37784, '74.118.36.202', '74.118.36.239', 1249256650, 1249256687, 'GB', 'United Kingdom'),
(37785, '74.118.36.240', '74.118.37.131', 1249256688, 1249256835, 'CA', 'Canada'),
(37786, '74.118.37.132', '74.118.37.164', 1249256836, 1249256868, 'US', 'United States'),
(37787, '74.118.37.165', '74.118.38.28', 1249256869, 1249256988, 'CA', 'Canada'),
(37788, '74.118.38.29', '74.118.38.38', 1249256989, 1249256998, 'US', 'United States'),
(37789, '74.118.38.39', '74.118.38.39', 1249256999, 1249256999, 'CA', 'Canada'),
(37790, '74.118.38.40', '74.118.38.49', 1249257000, 1249257009, 'LB', 'Lebanon'),
(37791, '74.118.38.50', '74.118.38.218', 1249257010, 1249257178, 'CA', 'Canada'),
(37792, '74.118.38.219', '74.118.38.253', 1249257179, 1249257213, 'GB', 'United Kingdom'),
(37793, '74.118.38.254', '74.118.39.255', 1249257214, 1249257471, 'CA', 'Canada'),
(37794, '74.118.40.0', '74.118.51.255', 1249257472, 1249260543, 'US', 'United States'),
(37795, '74.118.52.0', '74.118.55.255', 1249260544, 1249261567, 'CA', 'Canada'),
(37796, '74.118.56.0', '74.118.99.255', 1249261568, 1249272831, 'US', 'United States'),
(37797, '74.118.100.0', '74.118.103.255', 1249272832, 1249273855, 'CA', 'Canada'),
(37798, '74.118.104.0', '74.118.247.255', 1249273856, 1249310719, 'US', 'United States'),
(37799, '74.118.248.0', '74.118.251.255', 1249310720, 1249311743, 'CA', 'Canada'),
(37800, '74.118.252.0', '74.118.255.255', 1249311744, 1249312767, 'US', 'United States'),
(37801, '74.119.0.0', '74.119.3.255', 1249312768, 1249313791, 'CA', 'Canada'),
(37802, '74.119.4.0', '74.119.87.255', 1249313792, 1249335295, 'US', 'United States'),
(37803, '74.119.88.0', '74.119.95.255', 1249335296, 1249337343, 'CA', 'Canada'),
(37804, '74.119.96.0', '74.119.183.255', 1249337344, 1249359871, 'US', 'United States'),
(37805, '74.119.184.0', '74.119.191.255', 1249359872, 1249361919, 'CA', 'Canada'),
(37806, '74.119.192.0', '74.120.12.127', 1249361920, 1249381503, 'US', 'United States'),
(37807, '74.120.12.128', '74.120.12.143', 1249381504, 1249381519, 'DE', 'Germany'),
(37808, '74.120.12.144', '74.120.13.127', 1249381520, 1249381759, 'US', 'United States'),
(37809, '74.120.13.128', '74.120.13.131', 1249381760, 1249381763, 'DE', 'Germany'),
(37810, '74.120.13.132', '74.120.13.132', 1249381764, 1249381764, 'A1', 'Anonymous Proxy'),
(37811, '74.120.13.133', '74.120.13.143', 1249381765, 1249381775, 'DE', 'Germany'),
(37812, '74.120.13.144', '74.120.15.143', 1249381776, 1249382287, 'US', 'United States'),
(37813, '74.120.15.144', '74.120.15.159', 1249382288, 1249382303, 'DE', 'Germany'),
(37814, '74.120.15.160', '74.120.23.255', 1249382304, 1249384447, 'US', 'United States'),
(37815, '74.120.24.0', '74.120.31.255', 1249384448, 1249386495, 'PR', 'Puerto Rico'),
(37816, '74.120.32.0', '74.120.51.255', 1249386496, 1249391615, 'US', 'United States'),
(37817, '74.120.52.0', '74.120.55.255', 1249391616, 1249392639, 'CA', 'Canada'),
(37818, '74.120.56.0', '74.120.71.255', 1249392640, 1249396735, 'US', 'United States'),
(37819, '74.120.72.0', '74.120.75.255', 1249396736, 1249397759, 'CA', 'Canada'),
(37820, '74.120.76.0', '74.120.119.255', 1249397760, 1249409023, 'US', 'United States'),
(37821, '74.120.120.0', '74.120.123.255', 1249409024, 1249410047, 'CA', 'Canada'),
(37822, '74.120.124.0', '74.120.240.79', 1249410048, 1249439823, 'US', 'United States'),
(37823, '74.120.240.80', '74.120.240.95', 1249439824, 1249439839, 'BR', 'Brazil'),
(37824, '74.120.240.96', '74.120.241.63', 1249439840, 1249440063, 'US', 'United States'),
(37825, '74.120.241.64', '74.120.241.127', 1249440064, 1249440127, 'AN', 'Netherlands Antilles'),
(37826, '74.120.241.128', '74.120.241.255', 1249440128, 1249440255, 'US', 'United States'),
(37827, '74.120.242.0', '74.120.242.15', 1249440256, 1249440271, 'AN', 'Netherlands Antilles'),
(37828, '74.120.242.16', '74.120.242.23', 1249440272, 1249440279, 'US', 'United States'),
(37829, '74.120.242.24', '74.120.242.31', 1249440280, 1249440287, 'FR', 'France'),
(37830, '74.120.242.32', '74.121.31.255', 1249440288, 1249452031, 'US', 'United States'),
(37831, '74.121.32.0', '74.121.35.255', 1249452032, 1249453055, 'CA', 'Canada'),
(37832, '74.121.36.0', '74.121.65.191', 1249453056, 1249460671, 'US', 'United States'),
(37833, '74.121.65.192', '74.121.65.207', 1249460672, 1249460687, 'CA', 'Canada'),
(37834, '74.121.65.208', '74.121.119.255', 1249460688, 1249474559, 'US', 'United States'),
(37835, '74.121.120.0', '74.121.123.255', 1249474560, 1249475583, 'CA', 'Canada'),
(37836, '74.121.124.0', '74.121.159.255', 1249475584, 1249484799, 'US', 'United States'),
(37837, '74.121.160.0', '74.121.167.255', 1249484800, 1249486847, 'CA', 'Canada'),
(37838, '74.121.168.0', '74.121.190.255', 1249486848, 1249492735, 'US', 'United States'),
(37839, '74.121.191.0', '74.121.191.255', 1249492736, 1249492991, 'CA', 'Canada'),
(37840, '74.121.192.0', '74.121.243.255', 1249492992, 1249506303, 'US', 'United States'),
(37841, '74.121.244.0', '74.121.247.255', 1249506304, 1249507327, 'CA', 'Canada'),
(37842, '74.121.248.0', '74.122.25.255', 1249507328, 1249516031, 'US', 'United States'),
(37843, '74.122.26.0', '74.122.26.255', 1249516032, 1249516287, 'GB', 'United Kingdom'),
(37844, '74.122.27.0', '74.122.51.255', 1249516288, 1249522687, 'US', 'United States'),
(37845, '74.122.52.0', '74.122.55.255', 1249522688, 1249523711, 'CA', 'Canada'),
(37846, '74.122.56.0', '74.122.87.255', 1249523712, 1249531903, 'US', 'United States'),
(37847, '74.122.88.0', '74.122.95.255', 1249531904, 1249533951, 'GD', 'Grenada'),
(37848, '74.122.96.0', '74.122.127.255', 1249533952, 1249542143, 'US', 'United States'),
(37849, '74.122.128.0', '74.122.135.255', 1249542144, 1249544191, 'CA', 'Canada'),
(37850, '74.122.136.0', '74.122.160.31', 1249544192, 1249550367, 'US', 'United States'),
(37851, '74.122.160.32', '74.122.160.39', 1249550368, 1249550375, 'HK', 'Hong Kong'),
(37852, '74.122.160.40', '74.122.207.255', 1249550376, 1249562623, 'US', 'United States'),
(37853, '74.122.208.0', '74.122.215.255', 1249562624, 1249564671, 'CA', 'Canada'),
(37854, '74.122.216.0', '74.122.227.70', 1249564672, 1249567558, 'US', 'United States'),
(37855, '74.122.227.71', '74.122.227.74', 1249567559, 1249567562, 'RU', 'Russian Federation'),
(37856, '74.122.227.75', '74.122.227.76', 1249567563, 1249567564, 'US', 'United States'),
(37857, '74.122.227.77', '74.122.227.81', 1249567565, 1249567569, 'RU', 'Russian Federation'),
(37858, '74.122.227.82', '74.122.230.63', 1249567570, 1249568319, 'US', 'United States'),
(37859, '74.122.230.64', '74.122.230.71', 1249568320, 1249568327, 'NL', 'Netherlands'),
(37860, '74.122.230.72', '74.122.243.255', 1249568328, 1249571839, 'US', 'United States'),
(37861, '74.122.244.0', '74.122.247.255', 1249571840, 1249572863, 'CA', 'Canada'),
(37862, '74.122.248.0', '74.123.7.255', 1249572864, 1249576959, 'US', 'United States'),
(37863, '74.123.8.0', '74.123.9.187', 1249576960, 1249577403, 'CA', 'Canada'),
(37864, '74.123.9.188', '74.123.9.252', 1249577404, 1249577468, 'US', 'United States'),
(37865, '74.123.9.253', '74.123.11.255', 1249577469, 1249577983, 'CA', 'Canada'),
(37866, '74.123.12.0', '74.123.67.255', 1249577984, 1249592319, 'US', 'United States'),
(37867, '74.123.68.0', '74.123.71.255', 1249592320, 1249593343, 'CA', 'Canada'),
(37868, '74.123.72.0', '74.123.91.255', 1249593344, 1249598463, 'US', 'United States'),
(37869, '74.123.92.0', '74.123.95.255', 1249598464, 1249599487, 'CA', 'Canada'),
(37870, '74.123.96.0', '74.123.245.255', 1249599488, 1249637887, 'US', 'United States'),
(37871, '74.123.246.0', '74.123.246.255', 1249637888, 1249638143, 'CA', 'Canada'),
(37872, '74.123.247.0', '74.124.196.53', 1249638144, 1249690677, 'US', 'United States'),
(37873, '74.124.196.54', '74.124.196.62', 1249690678, 1249690686, 'GB', 'United Kingdom'),
(37874, '74.124.196.63', '74.124.196.159', 1249690687, 1249690783, 'US', 'United States'),
(37875, '74.124.196.160', '74.124.196.191', 1249690784, 1249690815, 'AU', 'Australia'),
(37876, '74.124.196.192', '74.124.201.95', 1249690816, 1249691999, 'US', 'United States'),
(37877, '74.124.201.96', '74.124.201.127', 1249692000, 1249692031, 'CA', 'Canada'),
(37878, '74.124.201.128', '74.124.204.63', 1249692032, 1249692735, 'US', 'United States'),
(37879, '74.124.204.64', '74.124.204.95', 1249692736, 1249692767, 'HK', 'Hong Kong'),
(37880, '74.124.204.96', '74.124.206.79', 1249692768, 1249693263, 'US', 'United States'),
(37881, '74.124.206.80', '74.124.206.87', 1249693264, 1249693271, 'CA', 'Canada'),
(37882, '74.124.206.88', '74.125.16.63', 1249693272, 1249710143, 'US', 'United States'),
(37883, '74.125.16.64', '74.125.16.127', 1249710144, 1249710207, 'CN', 'China'),
(37884, '74.125.16.128', '74.125.16.191', 1249710208, 1249710271, 'NL', 'Netherlands'),
(37885, '74.125.16.192', '74.125.16.255', 1249710272, 1249710335, 'BE', 'Belgium'),
(37886, '74.125.17.0', '74.125.18.255', 1249710336, 1249710847, 'DE', 'Germany'),
(37887, '74.125.19.0', '74.125.37.255', 1249710848, 1249715711, 'US', 'United States'),
(37888, '74.125.38.0', '74.125.38.255', 1249715712, 1249715967, 'DE', 'Germany'),
(37889, '74.125.39.0', '74.125.41.255', 1249715968, 1249716735, 'US', 'United States'),
(37890, '74.125.42.0', '74.125.42.255', 1249716736, 1249716991, 'DE', 'Germany'),
(37891, '74.125.43.0', '74.125.57.23', 1249716992, 1249720599, 'US', 'United States'),
(37892, '74.125.57.24', '74.125.57.31', 1249720600, 1249720607, 'IT', 'Italy'),
(37893, '74.125.57.32', '74.125.57.175', 1249720608, 1249720751, 'US', 'United States'),
(37894, '74.125.57.176', '74.125.57.191', 1249720752, 1249720767, 'GB', 'United Kingdom'),
(37895, '74.125.57.192', '74.125.59.255', 1249720768, 1249721343, 'US', 'United States'),
(37896, '74.125.60.0', '74.125.60.7', 1249721344, 1249721351, 'AT', 'Austria'),
(37897, '74.125.60.8', '74.125.60.15', 1249721352, 1249721359, 'BE', 'Belgium'),
(37898, '74.125.60.16', '74.125.60.23', 1249721360, 1249721367, 'CH', 'Switzerland'),
(37899, '74.125.60.24', '74.125.60.31', 1249721368, 1249721375, 'CZ', 'Czech Republic'),
(37900, '74.125.60.32', '74.125.60.63', 1249721376, 1249721407, 'DE', 'Germany'),
(37901, '74.125.60.64', '74.125.60.71', 1249721408, 1249721415, 'ES', 'Spain'),
(37902, '74.125.60.72', '74.125.60.79', 1249721416, 1249721423, 'FI', 'Finland'),
(37903, '74.125.60.80', '74.125.60.87', 1249721424, 1249721431, 'FR', 'France'),
(37904, '74.125.60.88', '74.125.60.95', 1249721432, 1249721439, 'HU', 'Hungary'),
(37905, '74.125.60.96', '74.125.60.103', 1249721440, 1249721447, 'IE', 'Ireland'),
(37906, '74.125.60.104', '74.125.60.111', 1249721448, 1249721455, 'IT', 'Italy'),
(37907, '74.125.60.112', '74.125.60.119', 1249721456, 1249721463, 'NL', 'Netherlands'),
(37908, '74.125.60.120', '74.125.60.127', 1249721464, 1249721471, 'NO', 'Norway'),
(37909, '74.125.60.128', '74.125.60.135', 1249721472, 1249721479, 'PL', 'Poland'),
(37910, '74.125.60.136', '74.125.60.143', 1249721480, 1249721487, 'PT', 'Portugal'),
(37911, '74.125.60.144', '74.125.60.151', 1249721488, 1249721495, 'SE', 'Sweden'),
(37912, '74.125.60.152', '74.125.60.159', 1249721496, 1249721503, 'GB', 'United Kingdom'),
(37913, '74.125.60.160', '74.125.60.167', 1249721504, 1249721511, 'KE', 'Kenya'),
(37914, '74.125.60.168', '74.125.60.175', 1249721512, 1249721519, 'TR', 'Turkey'),
(37915, '74.125.60.176', '74.125.60.183', 1249721520, 1249721527, 'ZA', 'South Africa'),
(37916, '74.125.60.184', '74.125.60.191', 1249721528, 1249721535, 'DK', 'Denmark'),
(37917, '74.125.60.192', '74.125.60.255', 1249721536, 1249721599, 'US', 'United States'),
(37918, '74.125.61.0', '74.125.61.7', 1249721600, 1249721607, 'AT', 'Austria'),
(37919, '74.125.61.8', '74.125.61.15', 1249721608, 1249721615, 'BE', 'Belgium'),
(37920, '74.125.61.16', '74.125.61.23', 1249721616, 1249721623, 'CH', 'Switzerland'),
(37921, '74.125.61.24', '74.125.61.31', 1249721624, 1249721631, 'CZ', 'Czech Republic'),
(37922, '74.125.61.32', '74.125.61.47', 1249721632, 1249721647, 'DE', 'Germany'),
(37923, '74.125.61.48', '74.125.61.55', 1249721648, 1249721655, 'DK', 'Denmark'),
(37924, '74.125.61.56', '74.125.61.63', 1249721656, 1249721663, 'ES', 'Spain'),
(37925, '74.125.61.64', '74.125.61.71', 1249721664, 1249721671, 'FI', 'Finland'),
(37926, '74.125.61.72', '74.125.61.79', 1249721672, 1249721679, 'FR', 'France'),
(37927, '74.125.61.80', '74.125.61.87', 1249721680, 1249721687, 'HU', 'Hungary'),
(37928, '74.125.61.88', '74.125.61.95', 1249721688, 1249721695, 'IE', 'Ireland'),
(37929, '74.125.61.96', '74.125.61.103', 1249721696, 1249721703, 'IT', 'Italy'),
(37930, '74.125.61.104', '74.125.61.111', 1249721704, 1249721711, 'NL', 'Netherlands'),
(37931, '74.125.61.112', '74.125.61.119', 1249721712, 1249721719, 'NO', 'Norway'),
(37932, '74.125.61.120', '74.125.61.127', 1249721720, 1249721727, 'PL', 'Poland'),
(37933, '74.125.61.128', '74.125.61.135', 1249721728, 1249721735, 'PT', 'Portugal'),
(37934, '74.125.61.136', '74.125.61.143', 1249721736, 1249721743, 'SE', 'Sweden'),
(37935, '74.125.61.144', '74.125.61.151', 1249721744, 1249721751, 'GB', 'United Kingdom'),
(37936, '74.125.61.152', '74.125.61.159', 1249721752, 1249721759, 'DE', 'Germany'),
(37937, '74.125.61.160', '74.125.61.167', 1249721760, 1249721767, 'FR', 'France'),
(37938, '74.125.61.168', '74.125.61.175', 1249721768, 1249721775, 'IE', 'Ireland'),
(37939, '74.125.61.176', '74.125.61.183', 1249721776, 1249721783, 'RU', 'Russian Federation'),
(37940, '74.125.61.184', '74.125.61.191', 1249721784, 1249721791, 'GB', 'United Kingdom'),
(37941, '74.125.61.192', '74.125.61.199', 1249721792, 1249721799, 'KE', 'Kenya'),
(37942, '74.125.61.200', '74.125.61.207', 1249721800, 1249721807, 'TR', 'Turkey'),
(37943, '74.125.61.208', '74.125.61.215', 1249721808, 1249721815, 'ZA', 'South Africa'),
(37944, '74.125.61.216', '74.125.62.255', 1249721816, 1249722111, 'US', 'United States'),
(37945, '74.125.63.0', '74.125.63.255', 1249722112, 1249722367, 'IN', 'India'),
(37946, '74.125.64.0', '74.125.69.255', 1249722368, 1249723903, 'US', 'United States'),
(37947, '74.125.70.0', '74.125.70.255', 1249723904, 1249724159, 'CN', 'China'),
(37948, '74.125.71.0', '74.125.75.255', 1249724160, 1249725439, 'US', 'United States'),
(37949, '74.125.76.0', '74.125.76.255', 1249725440, 1249725695, 'NL', 'Netherlands'),
(37950, '74.125.77.0', '74.125.77.255', 1249725696, 1249725951, 'US', 'United States'),
(37951, '74.125.78.0', '74.125.78.255', 1249725952, 1249726207, 'NL', 'Netherlands'),
(37952, '74.125.79.0', '74.125.85.255', 1249726208, 1249727999, 'US', 'United States'),
(37953, '74.125.86.0', '74.125.86.255', 1249728000, 1249728255, 'HU', 'Hungary'),
(37954, '74.125.87.0', '74.125.151.255', 1249728256, 1249744895, 'US', 'United States'),
(37955, '74.125.152.0', '74.125.152.255', 1249744896, 1249745151, 'TW', 'Taiwan'),
(37956, '74.125.153.0', '74.126.5.223', 1249745152, 1249773023, 'US', 'United States'),
(37957, '74.126.5.224', '74.126.5.255', 1249773024, 1249773055, 'CA', 'Canada'),
(37958, '74.126.6.0', '74.126.95.255', 1249773056, 1249796095, 'US', 'United States'),
(37959, '74.126.96.0', '74.126.127.255', 1249796096, 1249804287, 'CA', 'Canada'),
(37960, '74.126.128.0', '74.127.6.255', 1249804288, 1249838847, 'US', 'United States'),
(37961, '74.127.7.0', '74.127.7.63', 1249838848, 1249838911, 'IN', 'India'),
(37962, '74.127.7.64', '74.127.7.127', 1249838912, 1249838975, 'US', 'United States'),
(37963, '74.127.7.128', '74.127.7.191', 1249838976, 1249839039, 'IN', 'India'),
(37964, '74.127.7.192', '74.127.9.63', 1249839040, 1249839423, 'US', 'United States'),
(37965, '74.127.9.64', '74.127.9.127', 1249839424, 1249839487, 'VE', 'Venezuela'),
(37966, '74.127.9.128', '74.127.24.31', 1249839488, 1249843231, 'US', 'United States'),
(37967, '74.127.24.32', '74.127.24.47', 1249843232, 1249843247, 'IN', 'India'),
(37968, '74.127.24.48', '74.127.24.223', 1249843248, 1249843423, 'US', 'United States'),
(37969, '74.127.24.224', '74.127.24.239', 1249843424, 1249843439, 'IN', 'India'),
(37970, '74.127.24.240', '74.127.32.63', 1249843440, 1249845311, 'US', 'United States'),
(37971, '74.127.32.64', '74.127.32.79', 1249845312, 1249845327, 'IN', 'India'),
(37972, '74.127.32.80', '74.127.32.95', 1249845328, 1249845343, 'US', 'United States'),
(37973, '74.127.32.96', '74.127.32.127', 1249845344, 1249845375, 'IN', 'India'),
(37974, '74.127.32.128', '74.127.38.63', 1249845376, 1249846847, 'US', 'United States'),
(37975, '74.127.38.64', '74.127.38.95', 1249846848, 1249846879, 'GB', 'United Kingdom'),
(37976, '74.127.38.96', '74.127.38.127', 1249846880, 1249846911, 'CN', 'China'),
(37977, '74.127.38.128', '74.127.38.255', 1249846912, 1249847039, 'US', 'United States'),
(37978, '74.127.39.0', '74.127.39.127', 1249847040, 1249847167, 'IN', 'India'),
(37979, '74.127.39.128', '74.127.42.31', 1249847168, 1249847839, 'US', 'United States'),
(37980, '74.127.42.32', '74.127.42.63', 1249847840, 1249847871, 'IN', 'India'),
(37981, '74.127.42.64', '74.127.42.95', 1249847872, 1249847903, 'US', 'United States'),
(37982, '74.127.42.96', '74.127.42.127', 1249847904, 1249847935, 'NO', 'Norway'),
(37983, '74.127.42.128', '74.127.46.95', 1249847936, 1249848927, 'US', 'United States'),
(37984, '74.127.46.96', '74.127.46.127', 1249848928, 1249848959, 'AU', 'Australia'),
(37985, '74.127.46.128', '74.127.51.255', 1249848960, 1249850367, 'US', 'United States'),
(37986, '74.127.52.0', '74.127.52.15', 1249850368, 1249850383, 'IN', 'India'),
(37987, '74.127.52.16', '74.127.52.143', 1249850384, 1249850511, 'US', 'United States'),
(37988, '74.127.52.144', '74.127.52.159', 1249850512, 1249850527, 'CA', 'Canada'),
(37989, '74.127.52.160', '74.127.52.175', 1249850528, 1249850543, 'US', 'United States'),
(37990, '74.127.52.176', '74.127.52.191', 1249850544, 1249850559, 'IN', 'India'),
(37991, '74.127.52.192', '74.127.52.207', 1249850560, 1249850575, 'US', 'United States'),
(37992, '74.127.52.208', '74.127.52.223', 1249850576, 1249850591, 'IN', 'India'),
(37993, '74.127.52.224', '74.127.52.239', 1249850592, 1249850607, 'NG', 'Nigeria'),
(37994, '74.127.52.240', '74.127.57.255', 1249850608, 1249851903, 'US', 'United States'),
(37995, '74.127.58.0', '74.127.58.255', 1249851904, 1249852159, 'FR', 'France'),
(37996, '74.127.59.0', '74.127.60.31', 1249852160, 1249852447, 'US', 'United States'),
(37997, '74.127.60.32', '74.127.60.63', 1249852448, 1249852479, 'IN', 'India'),
(37998, '74.127.60.64', '74.127.61.55', 1249852480, 1249852727, 'US', 'United States'),
(37999, '74.127.61.56', '74.127.61.63', 1249852728, 1249852735, 'CY', 'Cyprus'),
(38000, '74.127.61.64', '74.127.61.95', 1249852736, 1249852767, 'US', 'United States'),
(38001, '74.127.61.96', '74.127.61.103', 1249852768, 1249852775, 'ID', 'Indonesia'),
(38002, '74.127.61.104', '74.127.191.255', 1249852776, 1249886207, 'US', 'United States'),
(38003, '74.127.192.0', '74.127.255.255', 1249886208, 1249902591, 'CA', 'Canada'),
(38004, '74.128.0.0', '74.197.255.255', 1249902592, 1254490111, 'US', 'United States'),
(38005, '74.198.0.0', '74.198.255.255', 1254490112, 1254555647, 'CA', 'Canada'),
(38006, '74.199.0.0', '74.199.189.15', 1254555648, 1254604047, 'US', 'United States'),
(38007, '74.199.189.16', '74.199.189.31', 1254604048, 1254604063, 'ES', 'Spain'),
(38008, '74.199.189.32', '74.199.189.127', 1254604064, 1254604159, 'US', 'United States'),
(38009, '74.199.189.128', '74.199.189.143', 1254604160, 1254604175, 'GB', 'United Kingdom'),
(38010, '74.199.189.144', '74.199.189.159', 1254604176, 1254604191, 'US', 'United States'),
(38011, '74.199.189.160', '74.199.189.167', 1254604192, 1254604199, 'IE', 'Ireland'),
(38012, '74.199.189.168', '74.199.255.255', 1254604200, 1254621183, 'US', 'United States'),
(38013, '74.200.0.0', '74.200.31.255', 1254621184, 1254629375, 'CA', 'Canada'),
(38014, '74.200.32.0', '74.201.6.255', 1254629376, 1254688511, 'US', 'United States'),
(38015, '74.201.7.0', '74.201.7.31', 1254688512, 1254688543, 'CA', 'Canada'),
(38016, '74.201.7.32', '74.201.14.191', 1254688544, 1254690495, 'US', 'United States'),
(38017, '74.201.14.192', '74.201.14.199', 1254690496, 1254690503, 'CA', 'Canada'),
(38018, '74.201.14.200', '74.201.68.255', 1254690504, 1254704383, 'US', 'United States'),
(38019, '74.201.69.0', '74.201.69.255', 1254704384, 1254704639, 'PH', 'Philippines'),
(38020, '74.201.70.0', '74.201.71.7', 1254704640, 1254704903, 'US', 'United States'),
(38021, '74.201.71.8', '74.201.71.15', 1254704904, 1254704911, 'PH', 'Philippines'),
(38022, '74.201.71.16', '74.201.104.15', 1254704912, 1254713359, 'US', 'United States'),
(38023, '74.201.104.16', '74.201.104.63', 1254713360, 1254713407, 'CA', 'Canada'),
(38024, '74.201.104.64', '74.201.255.191', 1254713408, 1254752191, 'US', 'United States'),
(38025, '74.201.255.192', '74.201.255.207', 1254752192, 1254752207, 'CH', 'Switzerland'),
(38026, '74.201.255.208', '74.204.161.143', 1254752208, 1254924687, 'US', 'United States'),
(38027, '74.204.161.144', '74.204.161.159', 1254924688, 1254924703, 'RO', 'Romania'),
(38028, '74.204.161.160', '74.205.0.63', 1254924704, 1254948927, 'US', 'United States'),
(38029, '74.205.0.64', '74.205.0.71', 1254948928, 1254948935, 'SG', 'Singapore'),
(38030, '74.205.0.72', '74.205.1.127', 1254948936, 1254949247, 'US', 'United States'),
(38031, '74.205.1.128', '74.205.1.159', 1254949248, 1254949279, 'IN', 'India'),
(38032, '74.205.1.160', '74.205.5.55', 1254949280, 1254950199, 'US', 'United States'),
(38033, '74.205.5.56', '74.205.5.63', 1254950200, 1254950207, 'IL', 'Israel'),
(38034, '74.205.5.64', '74.205.7.15', 1254950208, 1254950671, 'US', 'United States'),
(38035, '74.205.7.16', '74.205.7.23', 1254950672, 1254950679, 'RU', 'Russian Federation'),
(38036, '74.205.7.24', '74.205.7.31', 1254950680, 1254950687, 'CA', 'Canada'),
(38037, '74.205.7.32', '74.205.7.95', 1254950688, 1254950751, 'US', 'United States'),
(38038, '74.205.7.96', '74.205.7.103', 1254950752, 1254950759, 'IL', 'Israel'),
(38039, '74.205.7.104', '74.205.7.111', 1254950760, 1254950767, 'US', 'United States'),
(38040, '74.205.7.112', '74.205.7.119', 1254950768, 1254950775, 'GR', 'Greece'),
(38041, '74.205.7.120', '74.205.7.191', 1254950776, 1254950847, 'US', 'United States'),
(38042, '74.205.7.192', '74.205.7.199', 1254950848, 1254950855, 'IL', 'Israel'),
(38043, '74.205.7.200', '74.205.8.7', 1254950856, 1254950919, 'US', 'United States'),
(38044, '74.205.8.8', '74.205.8.15', 1254950920, 1254950927, 'CA', 'Canada'),
(38045, '74.205.8.16', '74.205.8.39', 1254950928, 1254950951, 'US', 'United States'),
(38046, '74.205.8.40', '74.205.8.47', 1254950952, 1254950959, 'IN', 'India'),
(38047, '74.205.8.48', '74.205.9.79', 1254950960, 1254951247, 'US', 'United States'),
(38048, '74.205.9.80', '74.205.9.95', 1254951248, 1254951263, 'CA', 'Canada'),
(38049, '74.205.9.96', '74.205.10.7', 1254951264, 1254951431, 'US', 'United States'),
(38050, '74.205.10.8', '74.205.10.15', 1254951432, 1254951439, 'CA', 'Canada'),
(38051, '74.205.10.16', '74.205.10.47', 1254951440, 1254951471, 'US', 'United States'),
(38052, '74.205.10.48', '74.205.10.55', 1254951472, 1254951479, 'MX', 'Mexico'),
(38053, '74.205.10.56', '74.205.10.167', 1254951480, 1254951591, 'US', 'United States'),
(38054, '74.205.10.168', '74.205.10.175', 1254951592, 1254951599, 'IL', 'Israel'),
(38055, '74.205.10.176', '74.205.10.183', 1254951600, 1254951607, 'US', 'United States'),
(38056, '74.205.10.184', '74.205.10.191', 1254951608, 1254951615, 'IN', 'India'),
(38057, '74.205.10.192', '74.205.10.207', 1254951616, 1254951631, 'US', 'United States'),
(38058, '74.205.10.208', '74.205.10.215', 1254951632, 1254951639, 'JP', 'Japan'),
(38059, '74.205.10.216', '74.205.10.231', 1254951640, 1254951655, 'US', 'United States'),
(38060, '74.205.10.232', '74.205.10.239', 1254951656, 1254951663, 'CA', 'Canada'),
(38061, '74.205.10.240', '74.205.11.191', 1254951664, 1254951871, 'US', 'United States'),
(38062, '74.205.11.192', '74.205.11.207', 1254951872, 1254951887, 'TH', 'Thailand'),
(38063, '74.205.11.208', '74.205.12.111', 1254951888, 1254952047, 'US', 'United States'),
(38064, '74.205.12.112', '74.205.12.119', 1254952048, 1254952055, 'MX', 'Mexico'),
(38065, '74.205.12.120', '74.205.13.63', 1254952056, 1254952255, 'US', 'United States'),
(38066, '74.205.13.64', '74.205.13.71', 1254952256, 1254952263, 'CA', 'Canada'),
(38067, '74.205.13.72', '74.205.13.87', 1254952264, 1254952279, 'US', 'United States'),
(38068, '74.205.13.88', '74.205.13.95', 1254952280, 1254952287, 'CA', 'Canada'),
(38069, '74.205.13.96', '74.205.13.103', 1254952288, 1254952295, 'IL', 'Israel'),
(38070, '74.205.13.104', '74.205.14.143', 1254952296, 1254952591, 'US', 'United States'),
(38071, '74.205.14.144', '74.205.14.151', 1254952592, 1254952599, 'CA', 'Canada'),
(38072, '74.205.14.152', '74.205.15.223', 1254952600, 1254952927, 'US', 'United States'),
(38073, '74.205.15.224', '74.205.15.231', 1254952928, 1254952935, 'CA', 'Canada'),
(38074, '74.205.15.232', '74.205.16.71', 1254952936, 1254953031, 'US', 'United States'),
(38075, '74.205.16.72', '74.205.16.79', 1254953032, 1254953039, 'CA', 'Canada'),
(38076, '74.205.16.80', '74.205.16.87', 1254953040, 1254953047, 'ZA', 'South Africa'),
(38077, '74.205.16.88', '74.205.16.95', 1254953048, 1254953055, 'US', 'United States'),
(38078, '74.205.16.96', '74.205.16.103', 1254953056, 1254953063, 'IL', 'Israel'),
(38079, '74.205.16.104', '74.205.16.111', 1254953064, 1254953071, 'US', 'United States'),
(38080, '74.205.16.112', '74.205.16.119', 1254953072, 1254953079, 'CA', 'Canada'),
(38081, '74.205.16.120', '74.205.16.127', 1254953080, 1254953087, 'US', 'United States'),
(38082, '74.205.16.128', '74.205.16.135', 1254953088, 1254953095, 'CA', 'Canada'),
(38083, '74.205.16.136', '74.205.17.63', 1254953096, 1254953279, 'US', 'United States'),
(38084, '74.205.17.64', '74.205.17.79', 1254953280, 1254953295, 'BD', 'Bangladesh'),
(38085, '74.205.17.80', '74.205.17.111', 1254953296, 1254953327, 'US', 'United States'),
(38086, '74.205.17.112', '74.205.17.127', 1254953328, 1254953343, 'NL', 'Netherlands'),
(38087, '74.205.17.128', '74.205.18.143', 1254953344, 1254953615, 'US', 'United States'),
(38088, '74.205.18.144', '74.205.18.151', 1254953616, 1254953623, 'GB', 'United Kingdom'),
(38089, '74.205.18.152', '74.205.18.167', 1254953624, 1254953639, 'US', 'United States'),
(38090, '74.205.18.168', '74.205.18.175', 1254953640, 1254953647, 'TW', 'Taiwan'),
(38091, '74.205.18.176', '74.205.19.15', 1254953648, 1254953743, 'US', 'United States'),
(38092, '74.205.19.16', '74.205.19.23', 1254953744, 1254953751, 'IN', 'India'),
(38093, '74.205.19.24', '74.205.19.31', 1254953752, 1254953759, 'US', 'United States'),
(38094, '74.205.19.32', '74.205.19.39', 1254953760, 1254953767, 'IN', 'India'),
(38095, '74.205.19.40', '74.205.19.47', 1254953768, 1254953775, 'GB', 'United Kingdom'),
(38096, '74.205.19.48', '74.205.19.87', 1254953776, 1254953815, 'US', 'United States'),
(38097, '74.205.19.88', '74.205.19.95', 1254953816, 1254953823, 'GT', 'Guatemala'),
(38098, '74.205.19.96', '74.205.19.127', 1254953824, 1254953855, 'US', 'United States'),
(38099, '74.205.19.128', '74.205.19.151', 1254953856, 1254953879, 'NL', 'Netherlands'),
(38100, '74.205.19.152', '74.205.19.191', 1254953880, 1254953919, 'US', 'United States'),
(38101, '74.205.19.192', '74.205.19.207', 1254953920, 1254953935, 'NL', 'Netherlands'),
(38102, '74.205.19.208', '74.205.21.15', 1254953936, 1254954255, 'US', 'United States'),
(38103, '74.205.21.16', '74.205.21.23', 1254954256, 1254954263, 'CA', 'Canada'),
(38104, '74.205.21.24', '74.205.21.47', 1254954264, 1254954287, 'US', 'United States'),
(38105, '74.205.21.48', '74.205.21.55', 1254954288, 1254954295, 'CA', 'Canada'),
(38106, '74.205.21.56', '74.205.21.79', 1254954296, 1254954319, 'US', 'United States'),
(38107, '74.205.21.80', '74.205.21.87', 1254954320, 1254954327, 'CA', 'Canada'),
(38108, '74.205.21.88', '74.205.21.103', 1254954328, 1254954343, 'US', 'United States'),
(38109, '74.205.21.104', '74.205.21.111', 1254954344, 1254954351, 'TH', 'Thailand'),
(38110, '74.205.21.112', '74.205.22.143', 1254954352, 1254954639, 'US', 'United States'),
(38111, '74.205.22.144', '74.205.22.151', 1254954640, 1254954647, 'GB', 'United Kingdom'),
(38112, '74.205.22.152', '74.205.22.159', 1254954648, 1254954655, 'CA', 'Canada'),
(38113, '74.205.22.160', '74.205.22.167', 1254954656, 1254954663, 'US', 'United States'),
(38114, '74.205.22.168', '74.205.22.175', 1254954664, 1254954671, 'GB', 'United Kingdom'),
(38115, '74.205.22.176', '74.205.23.135', 1254954672, 1254954887, 'US', 'United States'),
(38116, '74.205.23.136', '74.205.23.143', 1254954888, 1254954895, 'IL', 'Israel'),
(38117, '74.205.23.144', '74.205.24.95', 1254954896, 1254955103, 'US', 'United States'),
(38118, '74.205.24.96', '74.205.24.103', 1254955104, 1254955111, 'GB', 'United Kingdom'),
(38119, '74.205.24.104', '74.205.26.79', 1254955112, 1254955599, 'US', 'United States'),
(38120, '74.205.26.80', '74.205.26.87', 1254955600, 1254955607, 'GB', 'United Kingdom'),
(38121, '74.205.26.88', '74.205.26.215', 1254955608, 1254955735, 'US', 'United States'),
(38122, '74.205.26.216', '74.205.26.223', 1254955736, 1254955743, 'GB', 'United Kingdom'),
(38123, '74.205.26.224', '74.205.28.103', 1254955744, 1254956135, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(38124, '74.205.28.104', '74.205.28.111', 1254956136, 1254956143, 'IL', 'Israel'),
(38125, '74.205.28.112', '74.205.29.95', 1254956144, 1254956383, 'US', 'United States'),
(38126, '74.205.29.96', '74.205.29.103', 1254956384, 1254956391, 'IL', 'Israel'),
(38127, '74.205.29.104', '74.205.31.255', 1254956392, 1254957055, 'US', 'United States'),
(38128, '74.205.32.0', '74.205.32.7', 1254957056, 1254957063, 'GB', 'United Kingdom'),
(38129, '74.205.32.8', '74.205.32.15', 1254957064, 1254957071, 'MX', 'Mexico'),
(38130, '74.205.32.16', '74.205.32.183', 1254957072, 1254957239, 'US', 'United States'),
(38131, '74.205.32.184', '74.205.32.191', 1254957240, 1254957247, 'GB', 'United Kingdom'),
(38132, '74.205.32.192', '74.205.32.199', 1254957248, 1254957255, 'MT', 'Malta'),
(38133, '74.205.32.200', '74.205.32.231', 1254957256, 1254957287, 'US', 'United States'),
(38134, '74.205.32.232', '74.205.32.239', 1254957288, 1254957295, 'IN', 'India'),
(38135, '74.205.32.240', '74.205.32.255', 1254957296, 1254957311, 'US', 'United States'),
(38136, '74.205.33.0', '74.205.33.15', 1254957312, 1254957327, 'CA', 'Canada'),
(38137, '74.205.33.16', '74.205.33.63', 1254957328, 1254957375, 'US', 'United States'),
(38138, '74.205.33.64', '74.205.33.79', 1254957376, 1254957391, 'CA', 'Canada'),
(38139, '74.205.33.80', '74.205.33.95', 1254957392, 1254957407, 'US', 'United States'),
(38140, '74.205.33.96', '74.205.33.111', 1254957408, 1254957423, 'IN', 'India'),
(38141, '74.205.33.112', '74.205.35.159', 1254957424, 1254957983, 'US', 'United States'),
(38142, '74.205.35.160', '74.205.35.167', 1254957984, 1254957991, 'MX', 'Mexico'),
(38143, '74.205.35.168', '74.205.36.223', 1254957992, 1254958303, 'US', 'United States'),
(38144, '74.205.36.224', '74.205.36.239', 1254958304, 1254958319, 'GB', 'United Kingdom'),
(38145, '74.205.36.240', '74.205.37.15', 1254958320, 1254958351, 'US', 'United States'),
(38146, '74.205.37.16', '74.205.37.23', 1254958352, 1254958359, 'BO', 'Bolivia'),
(38147, '74.205.37.24', '74.205.37.87', 1254958360, 1254958423, 'US', 'United States'),
(38148, '74.205.37.88', '74.205.37.95', 1254958424, 1254958431, 'NO', 'Norway'),
(38149, '74.205.37.96', '74.205.37.199', 1254958432, 1254958535, 'US', 'United States'),
(38150, '74.205.37.200', '74.205.37.207', 1254958536, 1254958543, 'CA', 'Canada'),
(38151, '74.205.37.208', '74.205.39.7', 1254958544, 1254958855, 'US', 'United States'),
(38152, '74.205.39.8', '74.205.39.15', 1254958856, 1254958863, 'NZ', 'New Zealand'),
(38153, '74.205.39.16', '74.205.39.47', 1254958864, 1254958895, 'US', 'United States'),
(38154, '74.205.39.48', '74.205.39.55', 1254958896, 1254958903, 'CA', 'Canada'),
(38155, '74.205.39.56', '74.205.40.47', 1254958904, 1254959151, 'US', 'United States'),
(38156, '74.205.40.48', '74.205.40.79', 1254959152, 1254959183, 'CA', 'Canada'),
(38157, '74.205.40.80', '74.205.41.31', 1254959184, 1254959391, 'US', 'United States'),
(38158, '74.205.41.32', '74.205.41.39', 1254959392, 1254959399, 'GB', 'United Kingdom'),
(38159, '74.205.41.40', '74.205.42.55', 1254959400, 1254959671, 'US', 'United States'),
(38160, '74.205.42.56', '74.205.42.63', 1254959672, 1254959679, 'GB', 'United Kingdom'),
(38161, '74.205.42.64', '74.205.42.159', 1254959680, 1254959775, 'US', 'United States'),
(38162, '74.205.42.160', '74.205.42.167', 1254959776, 1254959783, 'KR', 'Korea, Republic of'),
(38163, '74.205.42.168', '74.205.42.183', 1254959784, 1254959799, 'US', 'United States'),
(38164, '74.205.42.184', '74.205.42.191', 1254959800, 1254959807, 'GB', 'United Kingdom'),
(38165, '74.205.42.192', '74.205.43.55', 1254959808, 1254959927, 'US', 'United States'),
(38166, '74.205.43.56', '74.205.43.63', 1254959928, 1254959935, 'MX', 'Mexico'),
(38167, '74.205.43.64', '74.205.43.71', 1254959936, 1254959943, 'US', 'United States'),
(38168, '74.205.43.72', '74.205.43.79', 1254959944, 1254959951, 'CA', 'Canada'),
(38169, '74.205.43.80', '74.205.43.119', 1254959952, 1254959991, 'US', 'United States'),
(38170, '74.205.43.120', '74.205.43.127', 1254959992, 1254959999, 'MX', 'Mexico'),
(38171, '74.205.43.128', '74.205.43.167', 1254960000, 1254960039, 'US', 'United States'),
(38172, '74.205.43.168', '74.205.43.175', 1254960040, 1254960047, 'IN', 'India'),
(38173, '74.205.43.176', '74.205.44.151', 1254960048, 1254960279, 'US', 'United States'),
(38174, '74.205.44.152', '74.205.44.159', 1254960280, 1254960287, 'JM', 'Jamaica'),
(38175, '74.205.44.160', '74.205.44.223', 1254960288, 1254960351, 'US', 'United States'),
(38176, '74.205.44.224', '74.205.44.231', 1254960352, 1254960359, 'AU', 'Australia'),
(38177, '74.205.44.232', '74.205.44.239', 1254960360, 1254960367, 'CA', 'Canada'),
(38178, '74.205.44.240', '74.205.45.31', 1254960368, 1254960415, 'US', 'United States'),
(38179, '74.205.45.32', '74.205.45.39', 1254960416, 1254960423, 'CA', 'Canada'),
(38180, '74.205.45.40', '74.205.45.63', 1254960424, 1254960447, 'US', 'United States'),
(38181, '74.205.45.64', '74.205.45.71', 1254960448, 1254960455, 'AU', 'Australia'),
(38182, '74.205.45.72', '74.205.45.79', 1254960456, 1254960463, 'US', 'United States'),
(38183, '74.205.45.80', '74.205.45.87', 1254960464, 1254960471, 'SG', 'Singapore'),
(38184, '74.205.45.88', '74.205.45.95', 1254960472, 1254960479, 'AU', 'Australia'),
(38185, '74.205.45.96', '74.205.45.103', 1254960480, 1254960487, 'US', 'United States'),
(38186, '74.205.45.104', '74.205.45.111', 1254960488, 1254960495, 'GB', 'United Kingdom'),
(38187, '74.205.45.112', '74.205.45.175', 1254960496, 1254960559, 'US', 'United States'),
(38188, '74.205.45.176', '74.205.45.183', 1254960560, 1254960567, 'MY', 'Malaysia'),
(38189, '74.205.45.184', '74.205.45.199', 1254960568, 1254960583, 'US', 'United States'),
(38190, '74.205.45.200', '74.205.45.207', 1254960584, 1254960591, 'MY', 'Malaysia'),
(38191, '74.205.45.208', '74.205.46.15', 1254960592, 1254960655, 'US', 'United States'),
(38192, '74.205.46.16', '74.205.46.23', 1254960656, 1254960663, 'CA', 'Canada'),
(38193, '74.205.46.24', '74.205.46.239', 1254960664, 1254960879, 'US', 'United States'),
(38194, '74.205.46.240', '74.205.46.247', 1254960880, 1254960887, 'CA', 'Canada'),
(38195, '74.205.46.248', '74.205.47.7', 1254960888, 1254960903, 'US', 'United States'),
(38196, '74.205.47.8', '74.205.47.15', 1254960904, 1254960911, 'NZ', 'New Zealand'),
(38197, '74.205.47.16', '74.205.47.39', 1254960912, 1254960935, 'US', 'United States'),
(38198, '74.205.47.40', '74.205.47.47', 1254960936, 1254960943, 'IN', 'India'),
(38199, '74.205.47.48', '74.205.47.71', 1254960944, 1254960967, 'US', 'United States'),
(38200, '74.205.47.72', '74.205.47.79', 1254960968, 1254960975, 'IN', 'India'),
(38201, '74.205.47.80', '74.205.49.159', 1254960976, 1254961567, 'US', 'United States'),
(38202, '74.205.49.160', '74.205.49.191', 1254961568, 1254961599, 'BD', 'Bangladesh'),
(38203, '74.205.49.192', '74.205.50.79', 1254961600, 1254961743, 'US', 'United States'),
(38204, '74.205.50.80', '74.205.50.87', 1254961744, 1254961751, 'ZA', 'South Africa'),
(38205, '74.205.50.88', '74.205.50.103', 1254961752, 1254961767, 'GB', 'United Kingdom'),
(38206, '74.205.50.104', '74.205.50.159', 1254961768, 1254961823, 'US', 'United States'),
(38207, '74.205.50.160', '74.205.50.167', 1254961824, 1254961831, 'AE', 'United Arab Emirates'),
(38208, '74.205.50.168', '74.205.50.247', 1254961832, 1254961911, 'US', 'United States'),
(38209, '74.205.50.248', '74.205.50.255', 1254961912, 1254961919, 'CA', 'Canada'),
(38210, '74.205.51.0', '74.205.51.95', 1254961920, 1254962015, 'US', 'United States'),
(38211, '74.205.51.96', '74.205.51.103', 1254962016, 1254962023, 'AE', 'United Arab Emirates'),
(38212, '74.205.51.104', '74.205.52.15', 1254962024, 1254962191, 'US', 'United States'),
(38213, '74.205.52.16', '74.205.52.23', 1254962192, 1254962199, 'GB', 'United Kingdom'),
(38214, '74.205.52.24', '74.205.52.175', 1254962200, 1254962351, 'US', 'United States'),
(38215, '74.205.52.176', '74.205.52.183', 1254962352, 1254962359, 'GB', 'United Kingdom'),
(38216, '74.205.52.184', '74.205.53.79', 1254962360, 1254962511, 'US', 'United States'),
(38217, '74.205.53.80', '74.205.53.95', 1254962512, 1254962527, 'JP', 'Japan'),
(38218, '74.205.53.96', '74.205.54.7', 1254962528, 1254962695, 'US', 'United States'),
(38219, '74.205.54.8', '74.205.54.15', 1254962696, 1254962703, 'GB', 'United Kingdom'),
(38220, '74.205.54.16', '74.205.54.111', 1254962704, 1254962799, 'US', 'United States'),
(38221, '74.205.54.112', '74.205.54.119', 1254962800, 1254962807, 'CA', 'Canada'),
(38222, '74.205.54.120', '74.205.54.167', 1254962808, 1254962855, 'US', 'United States'),
(38223, '74.205.54.168', '74.205.54.175', 1254962856, 1254962863, 'CA', 'Canada'),
(38224, '74.205.54.176', '74.205.55.7', 1254962864, 1254962951, 'US', 'United States'),
(38225, '74.205.55.8', '74.205.55.15', 1254962952, 1254962959, 'NZ', 'New Zealand'),
(38226, '74.205.55.16', '74.205.55.31', 1254962960, 1254962975, 'US', 'United States'),
(38227, '74.205.55.32', '74.205.55.39', 1254962976, 1254962983, 'CA', 'Canada'),
(38228, '74.205.55.40', '74.205.55.103', 1254962984, 1254963047, 'US', 'United States'),
(38229, '74.205.55.104', '74.205.55.111', 1254963048, 1254963055, 'MX', 'Mexico'),
(38230, '74.205.55.112', '74.205.57.127', 1254963056, 1254963583, 'US', 'United States'),
(38231, '74.205.57.128', '74.205.57.135', 1254963584, 1254963591, 'AU', 'Australia'),
(38232, '74.205.57.136', '74.205.57.207', 1254963592, 1254963663, 'US', 'United States'),
(38233, '74.205.57.208', '74.205.57.215', 1254963664, 1254963671, 'GB', 'United Kingdom'),
(38234, '74.205.57.216', '74.205.59.111', 1254963672, 1254964079, 'US', 'United States'),
(38235, '74.205.59.112', '74.205.59.119', 1254964080, 1254964087, 'DK', 'Denmark'),
(38236, '74.205.59.120', '74.205.60.31', 1254964088, 1254964255, 'US', 'United States'),
(38237, '74.205.60.32', '74.205.60.39', 1254964256, 1254964263, 'BR', 'Brazil'),
(38238, '74.205.60.40', '74.205.60.111', 1254964264, 1254964335, 'US', 'United States'),
(38239, '74.205.60.112', '74.205.60.119', 1254964336, 1254964343, 'NZ', 'New Zealand'),
(38240, '74.205.60.120', '74.205.60.127', 1254964344, 1254964351, 'PR', 'Puerto Rico'),
(38241, '74.205.60.128', '74.205.60.167', 1254964352, 1254964391, 'US', 'United States'),
(38242, '74.205.60.168', '74.205.60.175', 1254964392, 1254964399, 'AU', 'Australia'),
(38243, '74.205.60.176', '74.205.61.159', 1254964400, 1254964639, 'US', 'United States'),
(38244, '74.205.61.160', '74.205.61.191', 1254964640, 1254964671, 'AU', 'Australia'),
(38245, '74.205.61.192', '74.205.62.63', 1254964672, 1254964799, 'US', 'United States'),
(38246, '74.205.62.64', '74.205.62.79', 1254964800, 1254964815, 'CA', 'Canada'),
(38247, '74.205.62.80', '74.205.62.191', 1254964816, 1254964927, 'US', 'United States'),
(38248, '74.205.62.192', '74.205.62.207', 1254964928, 1254964943, 'CA', 'Canada'),
(38249, '74.205.62.208', '74.205.63.103', 1254964944, 1254965095, 'US', 'United States'),
(38250, '74.205.63.104', '74.205.63.111', 1254965096, 1254965103, 'IN', 'India'),
(38251, '74.205.63.112', '74.205.63.247', 1254965104, 1254965239, 'US', 'United States'),
(38252, '74.205.63.248', '74.205.63.255', 1254965240, 1254965247, 'GB', 'United Kingdom'),
(38253, '74.205.64.0', '74.205.64.183', 1254965248, 1254965431, 'US', 'United States'),
(38254, '74.205.64.184', '74.205.64.191', 1254965432, 1254965439, 'GB', 'United Kingdom'),
(38255, '74.205.64.192', '74.205.65.231', 1254965440, 1254965735, 'US', 'United States'),
(38256, '74.205.65.232', '74.205.65.239', 1254965736, 1254965743, 'CA', 'Canada'),
(38257, '74.205.65.240', '74.205.66.127', 1254965744, 1254965887, 'US', 'United States'),
(38258, '74.205.66.128', '74.205.66.135', 1254965888, 1254965895, 'MX', 'Mexico'),
(38259, '74.205.66.136', '74.205.67.15', 1254965896, 1254966031, 'US', 'United States'),
(38260, '74.205.67.16', '74.205.67.23', 1254966032, 1254966039, 'CA', 'Canada'),
(38261, '74.205.67.24', '74.205.67.119', 1254966040, 1254966135, 'US', 'United States'),
(38262, '74.205.67.120', '74.205.67.127', 1254966136, 1254966143, 'GB', 'United Kingdom'),
(38263, '74.205.67.128', '74.205.67.223', 1254966144, 1254966239, 'US', 'United States'),
(38264, '74.205.67.224', '74.205.67.231', 1254966240, 1254966247, 'AU', 'Australia'),
(38265, '74.205.67.232', '74.205.68.111', 1254966248, 1254966383, 'US', 'United States'),
(38266, '74.205.68.112', '74.205.68.119', 1254966384, 1254966391, 'ZA', 'South Africa'),
(38267, '74.205.68.120', '74.205.68.215', 1254966392, 1254966487, 'US', 'United States'),
(38268, '74.205.68.216', '74.205.68.223', 1254966488, 1254966495, 'IE', 'Ireland'),
(38269, '74.205.68.224', '74.205.69.39', 1254966496, 1254966567, 'US', 'United States'),
(38270, '74.205.69.40', '74.205.69.47', 1254966568, 1254966575, 'ZA', 'South Africa'),
(38271, '74.205.69.48', '74.205.69.79', 1254966576, 1254966607, 'US', 'United States'),
(38272, '74.205.69.80', '74.205.69.87', 1254966608, 1254966615, 'JO', 'Jordan'),
(38273, '74.205.69.88', '74.205.69.127', 1254966616, 1254966655, 'US', 'United States'),
(38274, '74.205.69.128', '74.205.69.135', 1254966656, 1254966663, 'GB', 'United Kingdom'),
(38275, '74.205.69.136', '74.205.70.79', 1254966664, 1254966863, 'US', 'United States'),
(38276, '74.205.70.80', '74.205.70.95', 1254966864, 1254966879, 'IL', 'Israel'),
(38277, '74.205.70.96', '74.205.70.143', 1254966880, 1254966927, 'US', 'United States'),
(38278, '74.205.70.144', '74.205.70.159', 1254966928, 1254966943, 'FR', 'France'),
(38279, '74.205.70.160', '74.205.70.191', 1254966944, 1254966975, 'US', 'United States'),
(38280, '74.205.70.192', '74.205.70.207', 1254966976, 1254966991, 'IL', 'Israel'),
(38281, '74.205.70.208', '74.205.71.39', 1254966992, 1254967079, 'US', 'United States'),
(38282, '74.205.71.40', '74.205.71.47', 1254967080, 1254967087, 'PH', 'Philippines'),
(38283, '74.205.71.48', '74.205.71.239', 1254967088, 1254967279, 'US', 'United States'),
(38284, '74.205.71.240', '74.205.71.247', 1254967280, 1254967287, 'FR', 'France'),
(38285, '74.205.71.248', '74.205.72.223', 1254967288, 1254967519, 'US', 'United States'),
(38286, '74.205.72.224', '74.205.72.239', 1254967520, 1254967535, 'CA', 'Canada'),
(38287, '74.205.72.240', '74.205.73.55', 1254967536, 1254967607, 'US', 'United States'),
(38288, '74.205.73.56', '74.205.73.63', 1254967608, 1254967615, 'CA', 'Canada'),
(38289, '74.205.73.64', '74.205.73.95', 1254967616, 1254967647, 'US', 'United States'),
(38290, '74.205.73.96', '74.205.73.103', 1254967648, 1254967655, 'EG', 'Egypt'),
(38291, '74.205.73.104', '74.205.74.79', 1254967656, 1254967887, 'US', 'United States'),
(38292, '74.205.74.80', '74.205.74.87', 1254967888, 1254967895, 'CA', 'Canada'),
(38293, '74.205.74.88', '74.205.74.167', 1254967896, 1254967975, 'US', 'United States'),
(38294, '74.205.74.168', '74.205.74.183', 1254967976, 1254967991, 'IN', 'India'),
(38295, '74.205.74.184', '74.205.74.231', 1254967992, 1254968039, 'US', 'United States'),
(38296, '74.205.74.232', '74.205.74.239', 1254968040, 1254968047, 'CA', 'Canada'),
(38297, '74.205.74.240', '74.205.75.39', 1254968048, 1254968103, 'US', 'United States'),
(38298, '74.205.75.40', '74.205.75.47', 1254968104, 1254968111, 'UY', 'Uruguay'),
(38299, '74.205.75.48', '74.205.75.231', 1254968112, 1254968295, 'US', 'United States'),
(38300, '74.205.75.232', '74.205.75.239', 1254968296, 1254968303, 'IT', 'Italy'),
(38301, '74.205.75.240', '74.205.76.71', 1254968304, 1254968391, 'US', 'United States'),
(38302, '74.205.76.72', '74.205.76.79', 1254968392, 1254968399, 'SG', 'Singapore'),
(38303, '74.205.76.80', '74.205.76.167', 1254968400, 1254968487, 'US', 'United States'),
(38304, '74.205.76.168', '74.205.76.175', 1254968488, 1254968495, 'CA', 'Canada'),
(38305, '74.205.76.176', '74.205.76.183', 1254968496, 1254968503, 'US', 'United States'),
(38306, '74.205.76.184', '74.205.76.191', 1254968504, 1254968511, 'GB', 'United Kingdom'),
(38307, '74.205.76.192', '74.205.77.95', 1254968512, 1254968671, 'US', 'United States'),
(38308, '74.205.77.96', '74.205.77.103', 1254968672, 1254968679, 'DO', 'Dominican Republic'),
(38309, '74.205.77.104', '74.205.77.175', 1254968680, 1254968751, 'US', 'United States'),
(38310, '74.205.77.176', '74.205.77.183', 1254968752, 1254968759, 'GB', 'United Kingdom'),
(38311, '74.205.77.184', '74.205.78.95', 1254968760, 1254968927, 'US', 'United States'),
(38312, '74.205.78.96', '74.205.78.103', 1254968928, 1254968935, 'CA', 'Canada'),
(38313, '74.205.78.104', '74.205.78.119', 1254968936, 1254968951, 'US', 'United States'),
(38314, '74.205.78.120', '74.205.78.127', 1254968952, 1254968959, 'GB', 'United Kingdom'),
(38315, '74.205.78.128', '74.205.78.159', 1254968960, 1254968991, 'US', 'United States'),
(38316, '74.205.78.160', '74.205.78.167', 1254968992, 1254968999, 'CA', 'Canada'),
(38317, '74.205.78.168', '74.205.79.23', 1254969000, 1254969111, 'US', 'United States'),
(38318, '74.205.79.24', '74.205.79.39', 1254969112, 1254969127, 'AU', 'Australia'),
(38319, '74.205.79.40', '74.205.79.87', 1254969128, 1254969175, 'US', 'United States'),
(38320, '74.205.79.88', '74.205.79.95', 1254969176, 1254969183, 'AU', 'Australia'),
(38321, '74.205.79.96', '74.205.79.159', 1254969184, 1254969247, 'US', 'United States'),
(38322, '74.205.79.160', '74.205.79.167', 1254969248, 1254969255, 'CO', 'Colombia'),
(38323, '74.205.79.168', '74.205.79.175', 1254969256, 1254969263, 'BD', 'Bangladesh'),
(38324, '74.205.79.176', '74.205.79.199', 1254969264, 1254969287, 'US', 'United States'),
(38325, '74.205.79.200', '74.205.79.207', 1254969288, 1254969295, 'GB', 'United Kingdom'),
(38326, '74.205.79.208', '74.205.79.223', 1254969296, 1254969311, 'US', 'United States'),
(38327, '74.205.79.224', '74.205.79.231', 1254969312, 1254969319, 'CA', 'Canada'),
(38328, '74.205.79.232', '74.205.80.55', 1254969320, 1254969399, 'US', 'United States'),
(38329, '74.205.80.56', '74.205.80.63', 1254969400, 1254969407, 'CA', 'Canada'),
(38330, '74.205.80.64', '74.205.80.79', 1254969408, 1254969423, 'US', 'United States'),
(38331, '74.205.80.80', '74.205.80.87', 1254969424, 1254969431, 'CA', 'Canada'),
(38332, '74.205.80.88', '74.205.80.95', 1254969432, 1254969439, 'GB', 'United Kingdom'),
(38333, '74.205.80.96', '74.205.80.103', 1254969440, 1254969447, 'CA', 'Canada'),
(38334, '74.205.80.104', '74.205.80.111', 1254969448, 1254969455, 'US', 'United States'),
(38335, '74.205.80.112', '74.205.80.119', 1254969456, 1254969463, 'IL', 'Israel'),
(38336, '74.205.80.120', '74.205.80.127', 1254969464, 1254969471, 'GB', 'United Kingdom'),
(38337, '74.205.80.128', '74.205.80.151', 1254969472, 1254969495, 'US', 'United States'),
(38338, '74.205.80.152', '74.205.80.159', 1254969496, 1254969503, 'DK', 'Denmark'),
(38339, '74.205.80.160', '74.205.80.207', 1254969504, 1254969551, 'US', 'United States'),
(38340, '74.205.80.208', '74.205.80.215', 1254969552, 1254969559, 'CA', 'Canada'),
(38341, '74.205.80.216', '74.205.80.223', 1254969560, 1254969567, 'GB', 'United Kingdom'),
(38342, '74.205.80.224', '74.205.80.231', 1254969568, 1254969575, 'US', 'United States'),
(38343, '74.205.80.232', '74.205.80.239', 1254969576, 1254969583, 'AE', 'United Arab Emirates'),
(38344, '74.205.80.240', '74.205.81.127', 1254969584, 1254969727, 'US', 'United States'),
(38345, '74.205.81.128', '74.205.81.135', 1254969728, 1254969735, 'CA', 'Canada'),
(38346, '74.205.81.136', '74.205.82.191', 1254969736, 1254970047, 'US', 'United States'),
(38347, '74.205.82.192', '74.205.82.207', 1254970048, 1254970063, 'CA', 'Canada'),
(38348, '74.205.82.208', '74.205.82.239', 1254970064, 1254970095, 'US', 'United States'),
(38349, '74.205.82.240', '74.205.82.255', 1254970096, 1254970111, 'AE', 'United Arab Emirates'),
(38350, '74.205.83.0', '74.205.83.55', 1254970112, 1254970167, 'US', 'United States'),
(38351, '74.205.83.56', '74.205.83.63', 1254970168, 1254970175, 'GB', 'United Kingdom'),
(38352, '74.205.83.64', '74.205.83.71', 1254970176, 1254970183, 'US', 'United States'),
(38353, '74.205.83.72', '74.205.83.79', 1254970184, 1254970191, 'GB', 'United Kingdom'),
(38354, '74.205.83.80', '74.205.83.175', 1254970192, 1254970287, 'US', 'United States'),
(38355, '74.205.83.176', '74.205.83.183', 1254970288, 1254970295, 'IN', 'India'),
(38356, '74.205.83.184', '74.205.83.223', 1254970296, 1254970335, 'US', 'United States'),
(38357, '74.205.83.224', '74.205.83.231', 1254970336, 1254970343, 'CH', 'Switzerland'),
(38358, '74.205.83.232', '74.205.84.159', 1254970344, 1254970527, 'US', 'United States'),
(38359, '74.205.84.160', '74.205.84.175', 1254970528, 1254970543, 'GB', 'United Kingdom'),
(38360, '74.205.84.176', '74.205.84.223', 1254970544, 1254970591, 'US', 'United States'),
(38361, '74.205.84.224', '74.205.84.239', 1254970592, 1254970607, 'PH', 'Philippines'),
(38362, '74.205.84.240', '74.205.84.255', 1254970608, 1254970623, 'GH', 'Ghana'),
(38363, '74.205.85.0', '74.205.85.7', 1254970624, 1254970631, 'MX', 'Mexico'),
(38364, '74.205.85.8', '74.205.86.23', 1254970632, 1254970903, 'US', 'United States'),
(38365, '74.205.86.24', '74.205.86.31', 1254970904, 1254970911, 'CA', 'Canada'),
(38366, '74.205.86.32', '74.205.86.127', 1254970912, 1254971007, 'US', 'United States'),
(38367, '74.205.86.128', '74.205.86.135', 1254971008, 1254971015, 'JP', 'Japan'),
(38368, '74.205.86.136', '74.205.86.143', 1254971016, 1254971023, 'IN', 'India'),
(38369, '74.205.86.144', '74.205.86.175', 1254971024, 1254971055, 'US', 'United States'),
(38370, '74.205.86.176', '74.205.86.183', 1254971056, 1254971063, 'GB', 'United Kingdom'),
(38371, '74.205.86.184', '74.205.87.7', 1254971064, 1254971143, 'US', 'United States'),
(38372, '74.205.87.8', '74.205.87.15', 1254971144, 1254971151, 'CA', 'Canada'),
(38373, '74.205.87.16', '74.205.87.95', 1254971152, 1254971231, 'US', 'United States'),
(38374, '74.205.87.96', '74.205.87.103', 1254971232, 1254971239, 'IN', 'India'),
(38375, '74.205.87.104', '74.205.87.119', 1254971240, 1254971255, 'US', 'United States'),
(38376, '74.205.87.120', '74.205.87.127', 1254971256, 1254971263, 'CA', 'Canada'),
(38377, '74.205.87.128', '74.205.87.183', 1254971264, 1254971319, 'US', 'United States'),
(38378, '74.205.87.184', '74.205.87.191', 1254971320, 1254971327, 'MX', 'Mexico'),
(38379, '74.205.87.192', '74.205.90.47', 1254971328, 1254971951, 'US', 'United States'),
(38380, '74.205.90.48', '74.205.90.55', 1254971952, 1254971959, 'GB', 'United Kingdom'),
(38381, '74.205.90.56', '74.205.90.63', 1254971960, 1254971967, 'IN', 'India'),
(38382, '74.205.90.64', '74.205.91.79', 1254971968, 1254972239, 'US', 'United States'),
(38383, '74.205.91.80', '74.205.91.87', 1254972240, 1254972247, 'CA', 'Canada'),
(38384, '74.205.91.88', '74.205.91.247', 1254972248, 1254972407, 'US', 'United States'),
(38385, '74.205.91.248', '74.205.91.255', 1254972408, 1254972415, 'AU', 'Australia'),
(38386, '74.205.92.0', '74.205.92.15', 1254972416, 1254972431, 'US', 'United States'),
(38387, '74.205.92.16', '74.205.92.23', 1254972432, 1254972439, 'AU', 'Australia'),
(38388, '74.205.92.24', '74.205.92.31', 1254972440, 1254972447, 'US', 'United States'),
(38389, '74.205.92.32', '74.205.92.39', 1254972448, 1254972455, 'GG', 'Guernsey'),
(38390, '74.205.92.40', '74.205.93.55', 1254972456, 1254972727, 'US', 'United States'),
(38391, '74.205.93.56', '74.205.93.63', 1254972728, 1254972735, 'AU', 'Australia'),
(38392, '74.205.93.64', '74.205.93.207', 1254972736, 1254972879, 'US', 'United States'),
(38393, '74.205.93.208', '74.205.93.223', 1254972880, 1254972895, 'MX', 'Mexico'),
(38394, '74.205.93.224', '74.205.94.55', 1254972896, 1254972983, 'US', 'United States'),
(38395, '74.205.94.56', '74.205.94.63', 1254972984, 1254972991, 'CA', 'Canada'),
(38396, '74.205.94.64', '74.205.94.87', 1254972992, 1254973015, 'US', 'United States'),
(38397, '74.205.94.88', '74.205.94.95', 1254973016, 1254973023, 'BR', 'Brazil'),
(38398, '74.205.94.96', '74.205.94.119', 1254973024, 1254973047, 'US', 'United States'),
(38399, '74.205.94.120', '74.205.94.127', 1254973048, 1254973055, 'AU', 'Australia'),
(38400, '74.205.94.128', '74.205.96.31', 1254973056, 1254973471, 'US', 'United States'),
(38401, '74.205.96.32', '74.205.96.39', 1254973472, 1254973479, 'IN', 'India'),
(38402, '74.205.96.40', '74.205.96.135', 1254973480, 1254973575, 'US', 'United States'),
(38403, '74.205.96.136', '74.205.96.143', 1254973576, 1254973583, 'MX', 'Mexico'),
(38404, '74.205.96.144', '74.205.96.223', 1254973584, 1254973663, 'US', 'United States'),
(38405, '74.205.96.224', '74.205.96.231', 1254973664, 1254973671, 'PH', 'Philippines'),
(38406, '74.205.96.232', '74.205.96.239', 1254973672, 1254973679, 'US', 'United States'),
(38407, '74.205.96.240', '74.205.96.247', 1254973680, 1254973687, 'IN', 'India'),
(38408, '74.205.96.248', '74.205.96.255', 1254973688, 1254973695, 'US', 'United States'),
(38409, '74.205.97.0', '74.205.97.7', 1254973696, 1254973703, 'MY', 'Malaysia'),
(38410, '74.205.97.8', '74.205.97.111', 1254973704, 1254973807, 'US', 'United States'),
(38411, '74.205.97.112', '74.205.97.119', 1254973808, 1254973815, 'IN', 'India'),
(38412, '74.205.97.120', '74.205.97.199', 1254973816, 1254973895, 'US', 'United States'),
(38413, '74.205.97.200', '74.205.97.207', 1254973896, 1254973903, 'MX', 'Mexico'),
(38414, '74.205.97.208', '74.205.98.215', 1254973904, 1254974167, 'US', 'United States'),
(38415, '74.205.98.216', '74.205.98.223', 1254974168, 1254974175, 'MX', 'Mexico'),
(38416, '74.205.98.224', '74.205.99.119', 1254974176, 1254974327, 'US', 'United States'),
(38417, '74.205.99.120', '74.205.99.127', 1254974328, 1254974335, 'MX', 'Mexico'),
(38418, '74.205.99.128', '74.205.99.159', 1254974336, 1254974367, 'US', 'United States'),
(38419, '74.205.99.160', '74.205.99.167', 1254974368, 1254974375, 'CA', 'Canada'),
(38420, '74.205.99.168', '74.205.99.183', 1254974376, 1254974391, 'US', 'United States'),
(38421, '74.205.99.184', '74.205.99.191', 1254974392, 1254974399, 'CA', 'Canada'),
(38422, '74.205.99.192', '74.205.100.47', 1254974400, 1254974511, 'US', 'United States'),
(38423, '74.205.100.48', '74.205.100.55', 1254974512, 1254974519, 'IL', 'Israel'),
(38424, '74.205.100.56', '74.205.100.183', 1254974520, 1254974647, 'US', 'United States'),
(38425, '74.205.100.184', '74.205.100.191', 1254974648, 1254974655, 'CA', 'Canada'),
(38426, '74.205.100.192', '74.205.101.47', 1254974656, 1254974767, 'US', 'United States'),
(38427, '74.205.101.48', '74.205.101.55', 1254974768, 1254974775, 'GB', 'United Kingdom'),
(38428, '74.205.101.56', '74.205.101.167', 1254974776, 1254974887, 'US', 'United States'),
(38429, '74.205.101.168', '74.205.101.175', 1254974888, 1254974895, 'AU', 'Australia'),
(38430, '74.205.101.176', '74.205.101.231', 1254974896, 1254974951, 'US', 'United States'),
(38431, '74.205.101.232', '74.205.101.239', 1254974952, 1254974959, 'NZ', 'New Zealand'),
(38432, '74.205.101.240', '74.205.102.255', 1254974960, 1254975231, 'US', 'United States'),
(38433, '74.205.103.0', '74.205.103.7', 1254975232, 1254975239, 'AU', 'Australia'),
(38434, '74.205.103.8', '74.205.103.183', 1254975240, 1254975415, 'US', 'United States'),
(38435, '74.205.103.184', '74.205.103.191', 1254975416, 1254975423, 'CA', 'Canada'),
(38436, '74.205.103.192', '74.205.103.239', 1254975424, 1254975471, 'US', 'United States'),
(38437, '74.205.103.240', '74.205.103.255', 1254975472, 1254975487, 'GB', 'United Kingdom'),
(38438, '74.205.104.0', '74.205.104.127', 1254975488, 1254975615, 'US', 'United States'),
(38439, '74.205.104.128', '74.205.104.135', 1254975616, 1254975623, 'IN', 'India'),
(38440, '74.205.104.136', '74.205.105.143', 1254975624, 1254975887, 'US', 'United States'),
(38441, '74.205.105.144', '74.205.105.151', 1254975888, 1254975895, 'IN', 'India'),
(38442, '74.205.105.152', '74.205.105.175', 1254975896, 1254975919, 'US', 'United States'),
(38443, '74.205.105.176', '74.205.105.183', 1254975920, 1254975927, 'IN', 'India'),
(38444, '74.205.105.184', '74.205.105.191', 1254975928, 1254975935, 'CA', 'Canada'),
(38445, '74.205.105.192', '74.205.106.23', 1254975936, 1254976023, 'US', 'United States'),
(38446, '74.205.106.24', '74.205.106.31', 1254976024, 1254976031, 'GB', 'United Kingdom'),
(38447, '74.205.106.32', '74.205.106.127', 1254976032, 1254976127, 'US', 'United States'),
(38448, '74.205.106.128', '74.205.106.135', 1254976128, 1254976135, 'AU', 'Australia'),
(38449, '74.205.106.136', '74.205.106.151', 1254976136, 1254976151, 'US', 'United States'),
(38450, '74.205.106.152', '74.205.106.167', 1254976152, 1254976167, 'CA', 'Canada'),
(38451, '74.205.106.168', '74.205.107.47', 1254976168, 1254976303, 'US', 'United States'),
(38452, '74.205.107.48', '74.205.107.55', 1254976304, 1254976311, 'GB', 'United Kingdom'),
(38453, '74.205.107.56', '74.205.107.95', 1254976312, 1254976351, 'US', 'United States'),
(38454, '74.205.107.96', '74.205.107.103', 1254976352, 1254976359, 'GB', 'United Kingdom'),
(38455, '74.205.107.104', '74.205.107.143', 1254976360, 1254976399, 'US', 'United States'),
(38456, '74.205.107.144', '74.205.107.151', 1254976400, 1254976407, 'MX', 'Mexico'),
(38457, '74.205.107.152', '74.205.108.223', 1254976408, 1254976735, 'US', 'United States'),
(38458, '74.205.108.224', '74.205.108.239', 1254976736, 1254976751, 'CA', 'Canada'),
(38459, '74.205.108.240', '74.205.108.255', 1254976752, 1254976767, 'US', 'United States'),
(38460, '74.205.109.0', '74.205.109.7', 1254976768, 1254976775, 'GB', 'United Kingdom'),
(38461, '74.205.109.8', '74.205.109.23', 1254976776, 1254976791, 'US', 'United States'),
(38462, '74.205.109.24', '74.205.109.31', 1254976792, 1254976799, 'IN', 'India'),
(38463, '74.205.109.32', '74.205.109.135', 1254976800, 1254976903, 'US', 'United States'),
(38464, '74.205.109.136', '74.205.109.143', 1254976904, 1254976911, 'MX', 'Mexico'),
(38465, '74.205.109.144', '74.205.110.71', 1254976912, 1254977095, 'US', 'United States'),
(38466, '74.205.110.72', '74.205.110.79', 1254977096, 1254977103, 'CO', 'Colombia'),
(38467, '74.205.110.80', '74.205.110.111', 1254977104, 1254977135, 'US', 'United States'),
(38468, '74.205.110.112', '74.205.110.119', 1254977136, 1254977143, 'NZ', 'New Zealand'),
(38469, '74.205.110.120', '74.205.110.135', 1254977144, 1254977159, 'US', 'United States'),
(38470, '74.205.110.136', '74.205.110.143', 1254977160, 1254977167, 'IN', 'India'),
(38471, '74.205.110.144', '74.205.110.223', 1254977168, 1254977247, 'US', 'United States'),
(38472, '74.205.110.224', '74.205.110.231', 1254977248, 1254977255, 'CL', 'Chile'),
(38473, '74.205.110.232', '74.205.111.175', 1254977256, 1254977455, 'US', 'United States'),
(38474, '74.205.111.176', '74.205.111.191', 1254977456, 1254977471, 'IN', 'India'),
(38475, '74.205.111.192', '74.205.111.207', 1254977472, 1254977487, 'US', 'United States'),
(38476, '74.205.111.208', '74.205.111.223', 1254977488, 1254977503, 'TH', 'Thailand'),
(38477, '74.205.111.224', '74.205.112.111', 1254977504, 1254977647, 'US', 'United States'),
(38478, '74.205.112.112', '74.205.112.119', 1254977648, 1254977655, 'AE', 'United Arab Emirates'),
(38479, '74.205.112.120', '74.205.112.199', 1254977656, 1254977735, 'US', 'United States'),
(38480, '74.205.112.200', '74.205.112.207', 1254977736, 1254977743, 'NZ', 'New Zealand'),
(38481, '74.205.112.208', '74.205.112.255', 1254977744, 1254977791, 'US', 'United States'),
(38482, '74.205.113.0', '74.205.113.7', 1254977792, 1254977799, 'GB', 'United Kingdom'),
(38483, '74.205.113.8', '74.205.114.135', 1254977800, 1254978183, 'US', 'United States'),
(38484, '74.205.114.136', '74.205.114.143', 1254978184, 1254978191, 'GB', 'United Kingdom'),
(38485, '74.205.114.144', '74.205.115.23', 1254978192, 1254978327, 'US', 'United States'),
(38486, '74.205.115.24', '74.205.115.31', 1254978328, 1254978335, 'IN', 'India'),
(38487, '74.205.115.32', '74.205.115.71', 1254978336, 1254978375, 'US', 'United States'),
(38488, '74.205.115.72', '74.205.115.79', 1254978376, 1254978383, 'BR', 'Brazil'),
(38489, '74.205.115.80', '74.205.115.87', 1254978384, 1254978391, 'CA', 'Canada'),
(38490, '74.205.115.88', '74.205.115.143', 1254978392, 1254978447, 'US', 'United States'),
(38491, '74.205.115.144', '74.205.115.159', 1254978448, 1254978463, 'IN', 'India'),
(38492, '74.205.115.160', '74.205.115.191', 1254978464, 1254978495, 'US', 'United States'),
(38493, '74.205.115.192', '74.205.115.255', 1254978496, 1254978559, 'NL', 'Netherlands'),
(38494, '74.205.116.0', '74.205.116.191', 1254978560, 1254978751, 'US', 'United States'),
(38495, '74.205.116.192', '74.205.116.207', 1254978752, 1254978767, 'LB', 'Lebanon'),
(38496, '74.205.116.208', '74.205.119.79', 1254978768, 1254979407, 'US', 'United States'),
(38497, '74.205.119.80', '74.205.119.95', 1254979408, 1254979423, 'CA', 'Canada'),
(38498, '74.205.119.96', '74.205.159.255', 1254979424, 1254989823, 'US', 'United States'),
(38499, '74.205.160.0', '74.205.191.255', 1254989824, 1254998015, 'CA', 'Canada'),
(38500, '74.205.192.0', '74.205.207.255', 1254998016, 1255002111, 'US', 'United States'),
(38501, '74.205.208.0', '74.205.223.255', 1255002112, 1255006207, 'CA', 'Canada'),
(38502, '74.205.224.0', '74.205.228.255', 1255006208, 1255007487, 'US', 'United States'),
(38503, '74.205.229.0', '74.205.229.223', 1255007488, 1255007711, 'CA', 'Canada'),
(38504, '74.205.229.224', '74.205.244.15', 1255007712, 1255011343, 'US', 'United States'),
(38505, '74.205.244.16', '74.205.244.31', 1255011344, 1255011359, 'CA', 'Canada'),
(38506, '74.205.244.32', '74.205.244.47', 1255011360, 1255011375, 'US', 'United States'),
(38507, '74.205.244.48', '74.205.244.223', 1255011376, 1255011551, 'CA', 'Canada'),
(38508, '74.205.244.224', '74.205.244.231', 1255011552, 1255011559, 'US', 'United States'),
(38509, '74.205.244.232', '74.205.245.255', 1255011560, 1255011839, 'CA', 'Canada'),
(38510, '74.205.246.0', '74.206.98.143', 1255011840, 1255039631, 'US', 'United States'),
(38511, '74.206.98.144', '74.206.98.175', 1255039632, 1255039663, 'CA', 'Canada'),
(38512, '74.206.98.176', '74.206.110.191', 1255039664, 1255042751, 'US', 'United States'),
(38513, '74.206.110.192', '74.206.110.223', 1255042752, 1255042783, 'CA', 'Canada'),
(38514, '74.206.110.224', '74.206.127.255', 1255042784, 1255047167, 'US', 'United States'),
(38515, '74.206.128.0', '74.206.159.255', 1255047168, 1255055359, 'CA', 'Canada'),
(38516, '74.206.160.0', '74.206.169.223', 1255055360, 1255057887, 'US', 'United States'),
(38517, '74.206.169.224', '74.206.169.255', 1255057888, 1255057919, 'NL', 'Netherlands'),
(38518, '74.206.170.0', '74.206.172.239', 1255057920, 1255058671, 'US', 'United States'),
(38519, '74.206.172.240', '74.206.172.255', 1255058672, 1255058687, 'GB', 'United Kingdom'),
(38520, '74.206.173.0', '74.206.175.127', 1255058688, 1255059327, 'US', 'United States'),
(38521, '74.206.175.128', '74.206.175.143', 1255059328, 1255059343, 'NL', 'Netherlands'),
(38522, '74.206.175.144', '74.206.175.159', 1255059344, 1255059359, 'US', 'United States'),
(38523, '74.206.175.160', '74.206.175.191', 1255059360, 1255059391, 'CA', 'Canada'),
(38524, '74.206.175.192', '74.206.178.191', 1255059392, 1255060159, 'US', 'United States'),
(38525, '74.206.178.192', '74.206.178.223', 1255060160, 1255060191, 'NL', 'Netherlands'),
(38526, '74.206.178.224', '74.206.180.127', 1255060192, 1255060607, 'US', 'United States'),
(38527, '74.206.180.128', '74.206.180.143', 1255060608, 1255060623, 'AN', 'Netherlands Antilles'),
(38528, '74.206.180.144', '74.206.180.175', 1255060624, 1255060655, 'US', 'United States'),
(38529, '74.206.180.176', '74.206.180.191', 1255060656, 1255060671, 'AN', 'Netherlands Antilles'),
(38530, '74.206.180.192', '74.206.184.127', 1255060672, 1255061631, 'US', 'United States'),
(38531, '74.206.184.128', '74.206.184.143', 1255061632, 1255061647, 'CA', 'Canada'),
(38532, '74.206.184.144', '74.206.184.191', 1255061648, 1255061695, 'US', 'United States'),
(38533, '74.206.184.192', '74.206.184.223', 1255061696, 1255061727, 'CR', 'Costa Rica'),
(38534, '74.206.184.224', '74.206.185.223', 1255061728, 1255061983, 'US', 'United States'),
(38535, '74.206.185.224', '74.206.185.255', 1255061984, 1255062015, 'CA', 'Canada'),
(38536, '74.206.186.0', '74.206.187.191', 1255062016, 1255062463, 'US', 'United States'),
(38537, '74.206.187.192', '74.206.187.255', 1255062464, 1255062527, 'PA', 'Panama'),
(38538, '74.206.188.0', '74.206.191.255', 1255062528, 1255063551, 'US', 'United States'),
(38539, '74.206.192.0', '74.206.223.255', 1255063552, 1255071743, 'PR', 'Puerto Rico'),
(38540, '74.206.224.0', '74.208.253.255', 1255071744, 1255210495, 'US', 'United States'),
(38541, '74.208.254.0', '74.208.255.255', 1255210496, 1255211007, 'DE', 'Germany'),
(38542, '74.209.0.0', '74.209.133.255', 1255211008, 1255245311, 'US', 'United States'),
(38543, '74.209.134.0', '74.209.134.255', 1255245312, 1255245567, 'BR', 'Brazil'),
(38544, '74.209.135.0', '74.209.208.255', 1255245568, 1255264511, 'US', 'United States'),
(38545, '74.209.209.0', '74.209.209.255', 1255264512, 1255264767, 'SG', 'Singapore'),
(38546, '74.209.210.0', '74.209.211.255', 1255264768, 1255265279, 'US', 'United States'),
(38547, '74.209.212.0', '74.209.215.255', 1255265280, 1255266303, 'SG', 'Singapore'),
(38548, '74.209.216.0', '74.209.246.63', 1255266304, 1255274047, 'US', 'United States'),
(38549, '74.209.246.64', '74.209.246.95', 1255274048, 1255274079, 'GB', 'United Kingdom'),
(38550, '74.209.246.96', '74.209.247.255', 1255274080, 1255274495, 'US', 'United States'),
(38551, '74.209.248.0', '74.209.248.255', 1255274496, 1255274751, 'SG', 'Singapore'),
(38552, '74.209.249.0', '74.209.255.255', 1255274752, 1255276543, 'US', 'United States'),
(38553, '74.210.0.0', '74.210.255.255', 1255276544, 1255342079, 'CA', 'Canada'),
(38554, '74.211.0.0', '74.211.97.255', 1255342080, 1255367167, 'US', 'United States'),
(38555, '74.211.98.0', '74.211.98.255', 1255367168, 1255367423, 'DE', 'Germany'),
(38556, '74.211.99.0', '74.211.117.255', 1255367424, 1255372287, 'US', 'United States'),
(38557, '74.211.118.0', '74.211.118.255', 1255372288, 1255372543, 'PA', 'Panama'),
(38558, '74.211.119.0', '74.211.119.255', 1255372544, 1255372799, 'US', 'United States'),
(38559, '74.211.120.0', '74.211.120.255', 1255372800, 1255373055, 'DE', 'Germany'),
(38560, '74.211.121.0', '74.211.122.255', 1255373056, 1255373567, 'US', 'United States'),
(38561, '74.211.123.0', '74.211.123.31', 1255373568, 1255373599, 'PH', 'Philippines'),
(38562, '74.211.123.32', '74.213.63.255', 1255373600, 1255489535, 'US', 'United States'),
(38563, '74.213.64.0', '74.213.127.255', 1255489536, 1255505919, 'PR', 'Puerto Rico'),
(38564, '74.213.128.0', '74.213.159.255', 1255505920, 1255514111, 'US', 'United States'),
(38565, '74.213.160.0', '74.213.191.255', 1255514112, 1255522303, 'CA', 'Canada'),
(38566, '74.213.192.0', '74.214.127.255', 1255522304, 1255571455, 'US', 'United States'),
(38567, '74.214.128.0', '74.214.159.255', 1255571456, 1255579647, 'CA', 'Canada'),
(38568, '74.214.160.0', '74.215.255.255', 1255579648, 1255669759, 'US', 'United States'),
(38569, '74.216.0.0', '74.216.255.255', 1255669760, 1255735295, 'CA', 'Canada'),
(38570, '74.217.0.0', '74.217.44.239', 1255735296, 1255746799, 'US', 'United States'),
(38571, '74.217.44.240', '74.217.44.255', 1255746800, 1255746815, 'BB', 'Barbados'),
(38572, '74.217.45.0', '74.217.54.127', 1255746816, 1255749247, 'US', 'United States'),
(38573, '74.217.54.128', '74.217.54.191', 1255749248, 1255749311, 'CH', 'Switzerland'),
(38574, '74.217.54.192', '74.217.83.255', 1255749312, 1255756799, 'US', 'United States'),
(38575, '74.217.84.0', '74.217.84.15', 1255756800, 1255756815, 'CA', 'Canada'),
(38576, '74.217.84.16', '74.217.127.255', 1255756816, 1255768063, 'US', 'United States'),
(38577, '74.217.128.0', '74.217.129.255', 1255768064, 1255768575, 'CA', 'Canada'),
(38578, '74.217.130.0', '74.217.136.255', 1255768576, 1255770367, 'US', 'United States'),
(38579, '74.217.137.0', '74.217.137.255', 1255770368, 1255770623, 'CA', 'Canada'),
(38580, '74.217.138.0', '74.217.160.175', 1255770624, 1255776431, 'US', 'United States'),
(38581, '74.217.160.176', '74.217.160.183', 1255776432, 1255776439, 'LB', 'Lebanon'),
(38582, '74.217.160.184', '74.217.193.255', 1255776440, 1255784959, 'US', 'United States'),
(38583, '74.217.194.0', '74.217.194.7', 1255784960, 1255784967, 'BE', 'Belgium'),
(38584, '74.217.194.8', '74.217.207.223', 1255784968, 1255788511, 'US', 'United States'),
(38585, '74.217.207.224', '74.217.207.255', 1255788512, 1255788543, 'BE', 'Belgium'),
(38586, '74.217.208.0', '74.217.221.255', 1255788544, 1255792127, 'US', 'United States'),
(38587, '74.217.222.0', '74.217.222.255', 1255792128, 1255792383, 'IL', 'Israel'),
(38588, '74.217.223.0', '74.217.224.127', 1255792384, 1255792767, 'US', 'United States'),
(38589, '74.217.224.128', '74.217.224.255', 1255792768, 1255792895, 'IL', 'Israel'),
(38590, '74.217.225.0', '74.220.159.255', 1255792896, 1255972863, 'US', 'United States'),
(38591, '74.220.160.0', '74.220.191.255', 1255972864, 1255981055, 'CA', 'Canada'),
(38592, '74.220.192.0', '74.221.15.255', 1255981056, 1256001535, 'US', 'United States'),
(38593, '74.221.16.0', '74.221.31.255', 1256001536, 1256005631, 'CA', 'Canada'),
(38594, '74.221.32.0', '74.221.221.255', 1256005632, 1256054271, 'US', 'United States'),
(38595, '74.221.222.0', '74.221.222.31', 1256054272, 1256054303, 'CZ', 'Czech Republic'),
(38596, '74.221.222.32', '74.221.236.119', 1256054304, 1256057975, 'US', 'United States'),
(38597, '74.221.236.120', '74.221.236.127', 1256057976, 1256057983, 'BZ', 'Belize'),
(38598, '74.221.236.128', '74.221.239.95', 1256057984, 1256058719, 'US', 'United States'),
(38599, '74.221.239.96', '74.221.239.103', 1256058720, 1256058727, 'CA', 'Canada'),
(38600, '74.221.239.104', '74.222.63.255', 1256058728, 1256079359, 'US', 'United States'),
(38601, '74.222.64.0', '74.222.95.255', 1256079360, 1256087551, 'KY', 'Cayman Islands'),
(38602, '74.222.96.0', '75.7.67.255', 1256087552, 1258767359, 'US', 'United States'),
(38603, '75.7.68.0', '75.7.68.255', 1258767360, 1258767615, 'A1', 'Anonymous Proxy'),
(38604, '75.7.69.0', '75.10.45.15', 1258767616, 1258958095, 'US', 'United States'),
(38605, '75.10.45.16', '75.10.45.23', 1258958096, 1258958103, 'CA', 'Canada'),
(38606, '75.10.45.24', '75.75.224.255', 1258958104, 1263263999, 'US', 'United States'),
(38607, '75.75.225.0', '75.75.225.127', 1263264000, 1263264127, 'CA', 'Canada'),
(38608, '75.75.225.128', '75.75.226.255', 1263264128, 1263264511, 'US', 'United States'),
(38609, '75.75.227.0', '75.75.227.255', 1263264512, 1263264767, 'CA', 'Canada'),
(38610, '75.75.228.0', '75.75.241.179', 1263264768, 1263268275, 'US', 'United States'),
(38611, '75.75.241.180', '75.75.241.244', 1263268276, 1263268340, 'CA', 'Canada'),
(38612, '75.75.241.245', '75.75.241.247', 1263268341, 1263268343, 'US', 'United States'),
(38613, '75.75.241.248', '75.75.241.255', 1263268344, 1263268351, 'CA', 'Canada'),
(38614, '75.75.242.0', '75.75.248.255', 1263268352, 1263270143, 'US', 'United States'),
(38615, '75.75.249.0', '75.75.249.15', 1263270144, 1263270159, 'CA', 'Canada'),
(38616, '75.75.249.16', '75.75.253.255', 1263270160, 1263271423, 'US', 'United States'),
(38617, '75.75.254.0', '75.75.254.255', 1263271424, 1263271679, 'CA', 'Canada'),
(38618, '75.75.255.0', '75.98.15.255', 1263271680, 1264717823, 'US', 'United States'),
(38619, '75.98.16.0', '75.98.16.255', 1264717824, 1264718079, 'CA', 'Canada'),
(38620, '75.98.17.0', '75.98.19.127', 1264718080, 1264718719, 'US', 'United States'),
(38621, '75.98.19.128', '75.98.19.255', 1264718720, 1264718847, 'CA', 'Canada'),
(38622, '75.98.20.0', '75.98.20.255', 1264718848, 1264719103, 'US', 'United States'),
(38623, '75.98.21.0', '75.98.23.255', 1264719104, 1264719871, 'CA', 'Canada'),
(38624, '75.98.24.0', '75.98.78.63', 1264719872, 1264733759, 'US', 'United States'),
(38625, '75.98.78.64', '75.98.78.127', 1264733760, 1264733823, 'IL', 'Israel'),
(38626, '75.98.78.128', '75.98.191.255', 1264733824, 1264762879, 'US', 'United States'),
(38627, '75.98.192.0', '75.98.193.255', 1264762880, 1264763391, 'CA', 'Canada'),
(38628, '75.98.194.0', '75.98.194.255', 1264763392, 1264763647, 'IE', 'Ireland'),
(38629, '75.98.195.0', '75.98.199.255', 1264763648, 1264764927, 'CA', 'Canada'),
(38630, '75.98.200.0', '75.98.200.31', 1264764928, 1264764959, 'US', 'United States'),
(38631, '75.98.200.32', '75.98.207.255', 1264764960, 1264766975, 'CA', 'Canada'),
(38632, '75.98.208.0', '75.101.226.214', 1264766976, 1264968406, 'US', 'United States'),
(38633, '75.101.226.215', '75.101.226.215', 1264968407, 1264968407, 'A1', 'Anonymous Proxy'),
(38634, '75.101.226.216', '75.102.18.255', 1264968408, 1264980735, 'US', 'United States'),
(38635, '75.102.19.0', '75.102.19.7', 1264980736, 1264980743, 'CA', 'Canada'),
(38636, '75.102.19.8', '75.102.27.63', 1264980744, 1264982847, 'US', 'United States'),
(38637, '75.102.27.64', '75.102.27.71', 1264982848, 1264982855, 'CA', 'Canada'),
(38638, '75.102.27.72', '75.102.27.111', 1264982856, 1264982895, 'US', 'United States'),
(38639, '75.102.27.112', '75.102.27.119', 1264982896, 1264982903, 'AF', 'Afghanistan'),
(38640, '75.102.27.120', '75.102.33.255', 1264982904, 1264984575, 'US', 'United States'),
(38641, '75.102.34.0', '75.102.34.7', 1264984576, 1264984583, 'VE', 'Venezuela'),
(38642, '75.102.34.8', '75.102.34.223', 1264984584, 1264984799, 'US', 'United States'),
(38643, '75.102.34.224', '75.102.34.231', 1264984800, 1264984807, 'AF', 'Afghanistan'),
(38644, '75.102.34.232', '75.102.58.255', 1264984808, 1264990975, 'US', 'United States'),
(38645, '75.102.59.0', '75.102.59.255', 1264990976, 1264991231, 'NL', 'Netherlands'),
(38646, '75.102.60.0', '75.119.69.111', 1264991232, 1266107759, 'US', 'United States'),
(38647, '75.119.69.112', '75.119.69.127', 1266107760, 1266107775, 'UM', 'United States Minor Outlying Islands'),
(38648, '75.119.69.128', '75.119.223.255', 1266107776, 1266147327, 'US', 'United States'),
(38649, '75.119.224.0', '75.119.255.255', 1266147328, 1266155519, 'CA', 'Canada'),
(38650, '75.120.0.0', '75.125.25.63', 1266155520, 1266489663, 'US', 'United States'),
(38651, '75.125.25.64', '75.125.25.95', 1266489664, 1266489695, 'CA', 'Canada'),
(38652, '75.125.25.96', '75.125.58.127', 1266489696, 1266498175, 'US', 'United States'),
(38653, '75.125.58.128', '75.125.58.255', 1266498176, 1266498303, 'MA', 'Morocco'),
(38654, '75.125.59.0', '75.125.131.81', 1266498304, 1266516817, 'US', 'United States'),
(38655, '75.125.131.82', '75.125.131.94', 1266516818, 1266516830, 'IE', 'Ireland'),
(38656, '75.125.131.95', '75.151.255.255', 1266516831, 1268252671, 'US', 'United States'),
(38657, '75.152.0.0', '75.159.255.255', 1268252672, 1268776959, 'CA', 'Canada'),
(38658, '75.160.0.0', '76.8.31.255', 1268776960, 1275600895, 'US', 'United States'),
(38659, '76.8.32.0', '76.8.47.255', 1275600896, 1275604991, 'BM', 'Bermuda'),
(38660, '76.8.48.0', '76.8.49.15', 1275604992, 1275605263, 'US', 'United States'),
(38661, '76.8.49.16', '76.8.49.31', 1275605264, 1275605279, 'PL', 'Poland'),
(38662, '76.8.49.32', '76.8.50.63', 1275605280, 1275605567, 'US', 'United States'),
(38663, '76.8.50.64', '76.8.50.79', 1275605568, 1275605583, 'PL', 'Poland'),
(38664, '76.8.50.80', '76.8.51.63', 1275605584, 1275605823, 'US', 'United States'),
(38665, '76.8.51.64', '76.8.51.79', 1275605824, 1275605839, 'PL', 'Poland'),
(38666, '76.8.51.80', '76.8.52.191', 1275605840, 1275606207, 'US', 'United States'),
(38667, '76.8.52.192', '76.8.52.207', 1275606208, 1275606223, 'PL', 'Poland'),
(38668, '76.8.52.208', '76.8.53.95', 1275606224, 1275606367, 'US', 'United States'),
(38669, '76.8.53.96', '76.8.53.111', 1275606368, 1275606383, 'PL', 'Poland'),
(38670, '76.8.53.112', '76.8.55.191', 1275606384, 1275606975, 'US', 'United States'),
(38671, '76.8.55.192', '76.8.55.207', 1275606976, 1275606991, 'PL', 'Poland'),
(38672, '76.8.55.208', '76.8.56.31', 1275606992, 1275607071, 'US', 'United States'),
(38673, '76.8.56.32', '76.8.56.47', 1275607072, 1275607087, 'PL', 'Poland'),
(38674, '76.8.56.48', '76.8.57.111', 1275607088, 1275607407, 'US', 'United States'),
(38675, '76.8.57.112', '76.8.57.127', 1275607408, 1275607423, 'PL', 'Poland'),
(38676, '76.8.57.128', '76.8.60.255', 1275607424, 1275608319, 'US', 'United States'),
(38677, '76.8.61.0', '76.8.61.15', 1275608320, 1275608335, 'PL', 'Poland'),
(38678, '76.8.61.16', '76.8.61.255', 1275608336, 1275608575, 'US', 'United States'),
(38679, '76.8.62.0', '76.8.62.15', 1275608576, 1275608591, 'PL', 'Poland'),
(38680, '76.8.62.16', '76.8.62.255', 1275608592, 1275608831, 'US', 'United States'),
(38681, '76.8.63.0', '76.8.63.15', 1275608832, 1275608847, 'PL', 'Poland'),
(38682, '76.8.63.16', '76.8.111.255', 1275608848, 1275621375, 'US', 'United States'),
(38683, '76.8.112.0', '76.8.127.255', 1275621376, 1275625471, 'CA', 'Canada'),
(38684, '76.8.128.0', '76.8.255.255', 1275625472, 1275658239, 'US', 'United States'),
(38685, '76.9.0.0', '76.9.0.255', 1275658240, 1275658495, 'GB', 'United Kingdom'),
(38686, '76.9.1.0', '76.9.2.255', 1275658496, 1275659007, 'US', 'United States'),
(38687, '76.9.3.0', '76.9.3.255', 1275659008, 1275659263, 'GB', 'United Kingdom'),
(38688, '76.9.4.0', '76.9.26.255', 1275659264, 1275665151, 'US', 'United States'),
(38689, '76.9.27.0', '76.9.27.255', 1275665152, 1275665407, 'UA', 'Ukraine'),
(38690, '76.9.28.0', '76.9.31.255', 1275665408, 1275666431, 'US', 'United States'),
(38691, '76.9.32.0', '76.9.63.255', 1275666432, 1275674623, 'CA', 'Canada'),
(38692, '76.9.64.0', '76.9.191.255', 1275674624, 1275707391, 'US', 'United States'),
(38693, '76.9.192.0', '76.9.197.255', 1275707392, 1275708927, 'CA', 'Canada'),
(38694, '76.9.198.0', '76.9.198.255', 1275708928, 1275709183, 'US', 'United States'),
(38695, '76.9.199.0', '76.9.207.255', 1275709184, 1275711487, 'CA', 'Canada'),
(38696, '76.9.208.0', '76.9.211.255', 1275711488, 1275712511, 'US', 'United States'),
(38697, '76.9.212.0', '76.9.217.255', 1275712512, 1275714047, 'CA', 'Canada'),
(38698, '76.9.218.0', '76.9.219.255', 1275714048, 1275714559, 'US', 'United States'),
(38699, '76.9.220.0', '76.9.223.255', 1275714560, 1275715583, 'CA', 'Canada'),
(38700, '76.9.224.0', '76.10.127.255', 1275715584, 1275756543, 'US', 'United States'),
(38701, '76.10.128.0', '76.10.191.255', 1275756544, 1275772927, 'CA', 'Canada'),
(38702, '76.10.192.0', '76.10.255.255', 1275772928, 1275789311, 'US', 'United States'),
(38703, '76.11.0.0', '76.11.127.255', 1275789312, 1275822079, 'CA', 'Canada'),
(38704, '76.11.128.0', '76.12.0.119', 1275822080, 1275854967, 'US', 'United States'),
(38705, '76.12.0.120', '76.12.0.127', 1275854968, 1275854975, 'CA', 'Canada'),
(38706, '76.12.0.128', '76.12.13.39', 1275854976, 1275858215, 'US', 'United States'),
(38707, '76.12.13.40', '76.12.13.47', 1275858216, 1275858223, 'BB', 'Barbados'),
(38708, '76.12.13.48', '76.12.13.63', 1275858224, 1275858239, 'US', 'United States'),
(38709, '76.12.13.64', '76.12.13.71', 1275858240, 1275858247, 'CA', 'Canada'),
(38710, '76.12.13.72', '76.12.18.215', 1275858248, 1275859671, 'US', 'United States'),
(38711, '76.12.18.216', '76.12.18.223', 1275859672, 1275859679, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(38712, '76.12.18.224', '76.12.18.255', 1275859680, 1275859711, 'US', 'United States'),
(38713, '76.12.19.0', '76.12.19.7', 1275859712, 1275859719, 'PR', 'Puerto Rico'),
(38714, '76.12.19.8', '76.12.19.15', 1275859720, 1275859727, 'US', 'United States'),
(38715, '76.12.19.16', '76.12.19.31', 1275859728, 1275859743, 'PR', 'Puerto Rico'),
(38716, '76.12.19.32', '76.12.19.95', 1275859744, 1275859807, 'US', 'United States'),
(38717, '76.12.19.96', '76.12.19.103', 1275859808, 1275859815, 'AE', 'United Arab Emirates'),
(38718, '76.12.19.104', '76.12.20.119', 1275859816, 1275860087, 'US', 'United States'),
(38719, '76.12.20.120', '76.12.20.127', 1275860088, 1275860095, 'MX', 'Mexico'),
(38720, '76.12.20.128', '76.12.24.47', 1275860096, 1275861039, 'US', 'United States'),
(38721, '76.12.24.48', '76.12.24.63', 1275861040, 1275861055, 'CA', 'Canada'),
(38722, '76.12.24.64', '76.12.24.111', 1275861056, 1275861103, 'US', 'United States'),
(38723, '76.12.24.112', '76.12.24.127', 1275861104, 1275861119, 'GT', 'Guatemala'),
(38724, '76.12.24.128', '76.12.28.167', 1275861120, 1275862183, 'US', 'United States'),
(38725, '76.12.28.168', '76.12.28.175', 1275862184, 1275862191, 'JO', 'Jordan'),
(38726, '76.12.28.176', '76.12.36.111', 1275862192, 1275864175, 'US', 'United States'),
(38727, '76.12.36.112', '76.12.36.119', 1275864176, 1275864183, 'CA', 'Canada'),
(38728, '76.12.36.120', '76.12.39.223', 1275864184, 1275865055, 'US', 'United States'),
(38729, '76.12.39.224', '76.12.39.231', 1275865056, 1275865063, 'AU', 'Australia'),
(38730, '76.12.39.232', '76.12.41.39', 1275865064, 1275865383, 'US', 'United States'),
(38731, '76.12.41.40', '76.12.41.47', 1275865384, 1275865391, 'CA', 'Canada'),
(38732, '76.12.41.48', '76.12.42.111', 1275865392, 1275865711, 'US', 'United States'),
(38733, '76.12.42.112', '76.12.42.119', 1275865712, 1275865719, 'SA', 'Saudi Arabia'),
(38734, '76.12.42.120', '76.12.55.159', 1275865720, 1275869087, 'US', 'United States'),
(38735, '76.12.55.160', '76.12.55.167', 1275869088, 1275869095, 'CA', 'Canada'),
(38736, '76.12.55.168', '76.12.55.175', 1275869096, 1275869103, 'IL', 'Israel'),
(38737, '76.12.55.176', '76.12.57.95', 1275869104, 1275869535, 'US', 'United States'),
(38738, '76.12.57.96', '76.12.57.111', 1275869536, 1275869551, 'GB', 'United Kingdom'),
(38739, '76.12.57.112', '76.12.58.199', 1275869552, 1275869895, 'US', 'United States'),
(38740, '76.12.58.200', '76.12.58.207', 1275869896, 1275869903, 'IL', 'Israel'),
(38741, '76.12.58.208', '76.12.58.239', 1275869904, 1275869935, 'US', 'United States'),
(38742, '76.12.58.240', '76.12.58.247', 1275869936, 1275869943, 'PK', 'Pakistan'),
(38743, '76.12.58.248', '76.12.61.183', 1275869944, 1275870647, 'US', 'United States'),
(38744, '76.12.61.184', '76.12.61.191', 1275870648, 1275870655, 'CA', 'Canada'),
(38745, '76.12.61.192', '76.12.61.207', 1275870656, 1275870671, 'US', 'United States'),
(38746, '76.12.61.208', '76.12.61.231', 1275870672, 1275870695, 'CA', 'Canada'),
(38747, '76.12.61.232', '76.12.65.231', 1275870696, 1275871719, 'US', 'United States'),
(38748, '76.12.65.232', '76.12.65.239', 1275871720, 1275871727, 'GB', 'United Kingdom'),
(38749, '76.12.65.240', '76.12.70.127', 1275871728, 1275872895, 'US', 'United States'),
(38750, '76.12.70.128', '76.12.70.135', 1275872896, 1275872903, 'AU', 'Australia'),
(38751, '76.12.70.136', '76.12.70.143', 1275872904, 1275872911, 'CA', 'Canada'),
(38752, '76.12.70.144', '76.12.70.159', 1275872912, 1275872927, 'US', 'United States'),
(38753, '76.12.70.160', '76.12.70.167', 1275872928, 1275872935, 'CA', 'Canada'),
(38754, '76.12.70.168', '76.12.71.71', 1275872936, 1275873095, 'US', 'United States'),
(38755, '76.12.71.72', '76.12.71.79', 1275873096, 1275873103, 'CA', 'Canada'),
(38756, '76.12.71.80', '76.12.71.159', 1275873104, 1275873183, 'US', 'United States'),
(38757, '76.12.71.160', '76.12.71.191', 1275873184, 1275873215, 'AU', 'Australia'),
(38758, '76.12.71.192', '76.12.72.255', 1275873216, 1275873535, 'US', 'United States'),
(38759, '76.12.73.0', '76.12.73.7', 1275873536, 1275873543, 'CG', 'Congo'),
(38760, '76.12.73.8', '76.12.73.103', 1275873544, 1275873639, 'US', 'United States'),
(38761, '76.12.73.104', '76.12.73.111', 1275873640, 1275873647, 'SA', 'Saudi Arabia'),
(38762, '76.12.73.112', '76.12.79.63', 1275873648, 1275875135, 'US', 'United States'),
(38763, '76.12.79.64', '76.12.79.71', 1275875136, 1275875143, 'CA', 'Canada'),
(38764, '76.12.79.72', '76.12.79.175', 1275875144, 1275875247, 'US', 'United States'),
(38765, '76.12.79.176', '76.12.79.183', 1275875248, 1275875255, 'CA', 'Canada'),
(38766, '76.12.79.184', '76.12.80.31', 1275875256, 1275875359, 'US', 'United States'),
(38767, '76.12.80.32', '76.12.80.39', 1275875360, 1275875367, 'AU', 'Australia'),
(38768, '76.12.80.40', '76.12.80.151', 1275875368, 1275875479, 'US', 'United States'),
(38769, '76.12.80.152', '76.12.80.175', 1275875480, 1275875503, 'AU', 'Australia'),
(38770, '76.12.80.176', '76.12.81.183', 1275875504, 1275875767, 'US', 'United States'),
(38771, '76.12.81.184', '76.12.81.191', 1275875768, 1275875775, 'CA', 'Canada'),
(38772, '76.12.81.192', '76.12.85.15', 1275875776, 1275876623, 'US', 'United States'),
(38773, '76.12.85.16', '76.12.85.23', 1275876624, 1275876631, 'GB', 'United Kingdom'),
(38774, '76.12.85.24', '76.12.85.231', 1275876632, 1275876839, 'US', 'United States'),
(38775, '76.12.85.232', '76.12.85.239', 1275876840, 1275876847, 'CA', 'Canada'),
(38776, '76.12.85.240', '76.12.86.247', 1275876848, 1275877111, 'US', 'United States'),
(38777, '76.12.86.248', '76.12.86.255', 1275877112, 1275877119, 'CA', 'Canada'),
(38778, '76.12.87.0', '76.12.89.63', 1275877120, 1275877695, 'US', 'United States'),
(38779, '76.12.89.64', '76.12.89.71', 1275877696, 1275877703, 'PK', 'Pakistan'),
(38780, '76.12.89.72', '76.12.96.39', 1275877704, 1275879463, 'US', 'United States'),
(38781, '76.12.96.40', '76.12.96.47', 1275879464, 1275879471, 'GB', 'United Kingdom'),
(38782, '76.12.96.48', '76.12.96.63', 1275879472, 1275879487, 'AU', 'Australia'),
(38783, '76.12.96.64', '76.12.96.95', 1275879488, 1275879519, 'GB', 'United Kingdom'),
(38784, '76.12.96.96', '76.12.96.103', 1275879520, 1275879527, 'AU', 'Australia'),
(38785, '76.12.96.104', '76.12.96.111', 1275879528, 1275879535, 'US', 'United States'),
(38786, '76.12.96.112', '76.12.96.127', 1275879536, 1275879551, 'AU', 'Australia'),
(38787, '76.12.96.128', '76.12.97.31', 1275879552, 1275879711, 'US', 'United States'),
(38788, '76.12.97.32', '76.12.97.63', 1275879712, 1275879743, 'CA', 'Canada'),
(38789, '76.12.97.64', '76.12.97.111', 1275879744, 1275879791, 'US', 'United States'),
(38790, '76.12.97.112', '76.12.97.127', 1275879792, 1275879807, 'GB', 'United Kingdom'),
(38791, '76.12.97.128', '76.12.98.143', 1275879808, 1275880079, 'US', 'United States'),
(38792, '76.12.98.144', '76.12.98.159', 1275880080, 1275880095, 'AU', 'Australia'),
(38793, '76.12.98.160', '76.12.98.255', 1275880096, 1275880191, 'US', 'United States'),
(38794, '76.12.99.0', '76.12.99.15', 1275880192, 1275880207, 'MX', 'Mexico'),
(38795, '76.12.99.16', '76.12.99.55', 1275880208, 1275880247, 'US', 'United States'),
(38796, '76.12.99.56', '76.12.99.63', 1275880248, 1275880255, 'CA', 'Canada'),
(38797, '76.12.99.64', '76.12.101.79', 1275880256, 1275880783, 'US', 'United States'),
(38798, '76.12.101.80', '76.12.101.95', 1275880784, 1275880799, 'CA', 'Canada'),
(38799, '76.12.101.96', '76.12.105.63', 1275880800, 1275881791, 'US', 'United States'),
(38800, '76.12.105.64', '76.12.105.71', 1275881792, 1275881799, 'AU', 'Australia'),
(38801, '76.12.105.72', '76.12.105.79', 1275881800, 1275881807, 'CA', 'Canada'),
(38802, '76.12.105.80', '76.12.105.119', 1275881808, 1275881847, 'US', 'United States'),
(38803, '76.12.105.120', '76.12.105.143', 1275881848, 1275881871, 'CA', 'Canada'),
(38804, '76.12.105.144', '76.12.105.159', 1275881872, 1275881887, 'US', 'United States'),
(38805, '76.12.105.160', '76.12.105.167', 1275881888, 1275881895, 'CA', 'Canada'),
(38806, '76.12.105.168', '76.12.113.215', 1275881896, 1275883991, 'US', 'United States'),
(38807, '76.12.113.216', '76.12.113.223', 1275883992, 1275883999, 'CA', 'Canada'),
(38808, '76.12.113.224', '76.12.115.103', 1275884000, 1275884391, 'US', 'United States'),
(38809, '76.12.115.104', '76.12.115.111', 1275884392, 1275884399, 'AU', 'Australia'),
(38810, '76.12.115.112', '76.12.119.239', 1275884400, 1275885551, 'US', 'United States'),
(38811, '76.12.119.240', '76.12.119.247', 1275885552, 1275885559, 'IT', 'Italy'),
(38812, '76.12.119.248', '76.12.119.255', 1275885560, 1275885567, 'US', 'United States'),
(38813, '76.12.120.0', '76.12.120.15', 1275885568, 1275885583, 'IT', 'Italy'),
(38814, '76.12.120.16', '76.12.120.79', 1275885584, 1275885647, 'US', 'United States'),
(38815, '76.12.120.80', '76.12.120.87', 1275885648, 1275885655, 'AU', 'Australia'),
(38816, '76.12.120.88', '76.12.124.111', 1275885656, 1275886703, 'US', 'United States'),
(38817, '76.12.124.112', '76.12.124.127', 1275886704, 1275886719, 'CA', 'Canada'),
(38818, '76.12.124.128', '76.12.124.143', 1275886720, 1275886735, 'US', 'United States'),
(38819, '76.12.124.144', '76.12.124.151', 1275886736, 1275886743, 'AU', 'Australia'),
(38820, '76.12.124.152', '76.12.125.7', 1275886744, 1275886855, 'US', 'United States'),
(38821, '76.12.125.8', '76.12.125.15', 1275886856, 1275886863, 'IT', 'Italy'),
(38822, '76.12.125.16', '76.12.125.31', 1275886864, 1275886879, 'US', 'United States'),
(38823, '76.12.125.32', '76.12.125.47', 1275886880, 1275886895, 'IT', 'Italy'),
(38824, '76.12.125.48', '76.12.125.135', 1275886896, 1275886983, 'US', 'United States'),
(38825, '76.12.125.136', '76.12.125.143', 1275886984, 1275886991, 'PA', 'Panama'),
(38826, '76.12.125.144', '76.12.125.215', 1275886992, 1275887063, 'US', 'United States'),
(38827, '76.12.125.216', '76.12.125.223', 1275887064, 1275887071, 'AE', 'United Arab Emirates'),
(38828, '76.12.125.224', '76.12.125.231', 1275887072, 1275887079, 'US', 'United States'),
(38829, '76.12.125.232', '76.12.125.239', 1275887080, 1275887087, 'AE', 'United Arab Emirates'),
(38830, '76.12.125.240', '76.12.129.143', 1275887088, 1275888015, 'US', 'United States'),
(38831, '76.12.129.144', '76.12.129.151', 1275888016, 1275888023, 'IN', 'India'),
(38832, '76.12.129.152', '76.12.129.167', 1275888024, 1275888039, 'US', 'United States'),
(38833, '76.12.129.168', '76.12.129.175', 1275888040, 1275888047, 'GB', 'United Kingdom'),
(38834, '76.12.129.176', '76.12.129.223', 1275888048, 1275888095, 'US', 'United States'),
(38835, '76.12.129.224', '76.12.129.255', 1275888096, 1275888127, 'ZA', 'South Africa'),
(38836, '76.12.130.0', '76.12.130.183', 1275888128, 1275888311, 'US', 'United States'),
(38837, '76.12.130.184', '76.12.130.191', 1275888312, 1275888319, 'DE', 'Germany'),
(38838, '76.12.130.192', '76.12.136.31', 1275888320, 1275889695, 'US', 'United States'),
(38839, '76.12.136.32', '76.12.136.47', 1275889696, 1275889711, 'CA', 'Canada'),
(38840, '76.12.136.48', '76.12.137.47', 1275889712, 1275889967, 'US', 'United States'),
(38841, '76.12.137.48', '76.12.137.63', 1275889968, 1275889983, 'DE', 'Germany'),
(38842, '76.12.137.64', '76.12.137.119', 1275889984, 1275890039, 'US', 'United States'),
(38843, '76.12.137.120', '76.12.137.127', 1275890040, 1275890047, 'CA', 'Canada'),
(38844, '76.12.137.128', '76.12.137.167', 1275890048, 1275890087, 'US', 'United States'),
(38845, '76.12.137.168', '76.12.137.175', 1275890088, 1275890095, 'GB', 'United Kingdom'),
(38846, '76.12.137.176', '76.12.138.15', 1275890096, 1275890191, 'US', 'United States'),
(38847, '76.12.138.16', '76.12.138.31', 1275890192, 1275890207, 'SA', 'Saudi Arabia'),
(38848, '76.12.138.32', '76.12.138.183', 1275890208, 1275890359, 'US', 'United States'),
(38849, '76.12.138.184', '76.12.138.191', 1275890360, 1275890367, 'CA', 'Canada'),
(38850, '76.12.138.192', '76.12.138.247', 1275890368, 1275890423, 'US', 'United States'),
(38851, '76.12.138.248', '76.12.138.255', 1275890424, 1275890431, 'NL', 'Netherlands'),
(38852, '76.12.139.0', '76.12.139.255', 1275890432, 1275890687, 'US', 'United States'),
(38853, '76.12.140.0', '76.12.140.15', 1275890688, 1275890703, 'DE', 'Germany'),
(38854, '76.12.140.16', '76.12.140.47', 1275890704, 1275890735, 'US', 'United States'),
(38855, '76.12.140.48', '76.12.140.63', 1275890736, 1275890751, 'NL', 'Netherlands'),
(38856, '76.12.140.64', '76.12.141.63', 1275890752, 1275891007, 'US', 'United States'),
(38857, '76.12.141.64', '76.12.141.71', 1275891008, 1275891015, 'CA', 'Canada'),
(38858, '76.12.141.72', '76.12.141.119', 1275891016, 1275891063, 'US', 'United States'),
(38859, '76.12.141.120', '76.12.141.127', 1275891064, 1275891071, 'LB', 'Lebanon'),
(38860, '76.12.141.128', '76.12.141.247', 1275891072, 1275891191, 'US', 'United States'),
(38861, '76.12.141.248', '76.12.141.255', 1275891192, 1275891199, 'DE', 'Germany'),
(38862, '76.12.142.0', '76.12.143.7', 1275891200, 1275891463, 'US', 'United States'),
(38863, '76.12.143.8', '76.12.143.15', 1275891464, 1275891471, 'IE', 'Ireland'),
(38864, '76.12.143.16', '76.12.143.55', 1275891472, 1275891511, 'US', 'United States'),
(38865, '76.12.143.56', '76.12.143.63', 1275891512, 1275891519, 'AU', 'Australia'),
(38866, '76.12.143.64', '76.12.146.31', 1275891520, 1275892255, 'US', 'United States'),
(38867, '76.12.146.32', '76.12.146.55', 1275892256, 1275892279, 'DK', 'Denmark'),
(38868, '76.12.146.56', '76.12.146.199', 1275892280, 1275892423, 'US', 'United States'),
(38869, '76.12.146.200', '76.12.146.207', 1275892424, 1275892431, 'GB', 'United Kingdom'),
(38870, '76.12.146.208', '76.12.147.255', 1275892432, 1275892735, 'US', 'United States'),
(38871, '76.12.148.0', '76.12.148.31', 1275892736, 1275892767, 'GB', 'United Kingdom'),
(38872, '76.12.148.32', '76.12.148.215', 1275892768, 1275892951, 'US', 'United States'),
(38873, '76.12.148.216', '76.12.148.231', 1275892952, 1275892967, 'GB', 'United Kingdom'),
(38874, '76.12.148.232', '76.12.150.55', 1275892968, 1275893303, 'US', 'United States'),
(38875, '76.12.150.56', '76.12.150.63', 1275893304, 1275893311, 'CA', 'Canada'),
(38876, '76.12.150.64', '76.12.150.207', 1275893312, 1275893455, 'US', 'United States'),
(38877, '76.12.150.208', '76.12.150.215', 1275893456, 1275893463, 'MX', 'Mexico'),
(38878, '76.12.150.216', '76.12.151.159', 1275893464, 1275893663, 'US', 'United States'),
(38879, '76.12.151.160', '76.12.151.175', 1275893664, 1275893679, 'CA', 'Canada'),
(38880, '76.12.151.176', '76.12.152.15', 1275893680, 1275893775, 'US', 'United States'),
(38881, '76.12.152.16', '76.12.152.31', 1275893776, 1275893791, 'MX', 'Mexico'),
(38882, '76.12.152.32', '76.12.154.55', 1275893792, 1275894327, 'US', 'United States'),
(38883, '76.12.154.56', '76.12.154.63', 1275894328, 1275894335, 'GB', 'United Kingdom'),
(38884, '76.12.154.64', '76.12.154.111', 1275894336, 1275894383, 'US', 'United States'),
(38885, '76.12.154.112', '76.12.154.127', 1275894384, 1275894399, 'GB', 'United Kingdom'),
(38886, '76.12.154.128', '76.12.154.247', 1275894400, 1275894519, 'US', 'United States'),
(38887, '76.12.154.248', '76.12.154.255', 1275894520, 1275894527, 'AU', 'Australia'),
(38888, '76.12.155.0', '76.12.156.47', 1275894528, 1275894831, 'US', 'United States'),
(38889, '76.12.156.48', '76.12.156.79', 1275894832, 1275894863, 'AU', 'Australia'),
(38890, '76.12.156.80', '76.12.156.239', 1275894864, 1275895023, 'US', 'United States'),
(38891, '76.12.156.240', '76.12.156.255', 1275895024, 1275895039, 'CA', 'Canada'),
(38892, '76.12.157.0', '76.12.157.55', 1275895040, 1275895095, 'US', 'United States'),
(38893, '76.12.157.56', '76.12.157.63', 1275895096, 1275895103, 'CG', 'Congo'),
(38894, '76.12.157.64', '76.12.157.95', 1275895104, 1275895135, 'US', 'United States'),
(38895, '76.12.157.96', '76.12.157.103', 1275895136, 1275895143, 'SA', 'Saudi Arabia'),
(38896, '76.12.157.104', '76.12.157.119', 1275895144, 1275895159, 'US', 'United States'),
(38897, '76.12.157.120', '76.12.157.127', 1275895160, 1275895167, 'CA', 'Canada'),
(38898, '76.12.157.128', '76.12.157.151', 1275895168, 1275895191, 'US', 'United States'),
(38899, '76.12.157.152', '76.12.157.159', 1275895192, 1275895199, 'GB', 'United Kingdom'),
(38900, '76.12.157.160', '76.12.157.223', 1275895200, 1275895263, 'US', 'United States'),
(38901, '76.12.157.224', '76.12.157.231', 1275895264, 1275895271, 'NG', 'Nigeria'),
(38902, '76.12.157.232', '76.12.164.119', 1275895272, 1275896951, 'US', 'United States'),
(38903, '76.12.164.120', '76.12.164.127', 1275896952, 1275896959, 'PK', 'Pakistan'),
(38904, '76.12.164.128', '76.12.169.135', 1275896960, 1275898247, 'US', 'United States'),
(38905, '76.12.169.136', '76.12.169.143', 1275898248, 1275898255, 'IT', 'Italy'),
(38906, '76.12.169.144', '76.12.169.207', 1275898256, 1275898319, 'US', 'United States'),
(38907, '76.12.169.208', '76.12.169.223', 1275898320, 1275898335, 'IT', 'Italy'),
(38908, '76.12.169.224', '76.12.171.159', 1275898336, 1275898783, 'US', 'United States'),
(38909, '76.12.171.160', '76.12.171.167', 1275898784, 1275898791, 'AU', 'Australia'),
(38910, '76.12.171.168', '76.12.171.175', 1275898792, 1275898799, 'US', 'United States'),
(38911, '76.12.171.176', '76.12.171.183', 1275898800, 1275898807, 'AU', 'Australia'),
(38912, '76.12.171.184', '76.12.173.87', 1275898808, 1275899223, 'US', 'United States'),
(38913, '76.12.173.88', '76.12.173.95', 1275899224, 1275899231, 'PT', 'Portugal'),
(38914, '76.12.173.96', '76.12.175.239', 1275899232, 1275899887, 'US', 'United States'),
(38915, '76.12.175.240', '76.12.175.255', 1275899888, 1275899903, 'NO', 'Norway'),
(38916, '76.12.176.0', '76.12.176.47', 1275899904, 1275899951, 'US', 'United States'),
(38917, '76.12.176.48', '76.12.176.63', 1275899952, 1275899967, 'NG', 'Nigeria'),
(38918, '76.12.176.64', '76.12.177.111', 1275899968, 1275900271, 'US', 'United States'),
(38919, '76.12.177.112', '76.12.177.127', 1275900272, 1275900287, 'GB', 'United Kingdom'),
(38920, '76.12.177.128', '76.12.178.39', 1275900288, 1275900455, 'US', 'United States'),
(38921, '76.12.178.40', '76.12.178.63', 1275900456, 1275900479, 'AU', 'Australia'),
(38922, '76.12.178.64', '76.12.180.79', 1275900480, 1275901007, 'US', 'United States'),
(38923, '76.12.180.80', '76.12.180.95', 1275901008, 1275901023, 'PT', 'Portugal'),
(38924, '76.12.180.96', '76.12.180.207', 1275901024, 1275901135, 'US', 'United States'),
(38925, '76.12.180.208', '76.12.180.215', 1275901136, 1275901143, 'IL', 'Israel'),
(38926, '76.12.180.216', '76.12.181.255', 1275901144, 1275901439, 'US', 'United States'),
(38927, '76.12.182.0', '76.12.182.15', 1275901440, 1275901455, 'GB', 'United Kingdom'),
(38928, '76.12.182.16', '76.12.182.71', 1275901456, 1275901511, 'US', 'United States'),
(38929, '76.12.182.72', '76.12.182.79', 1275901512, 1275901519, 'MX', 'Mexico'),
(38930, '76.12.182.80', '76.12.183.87', 1275901520, 1275901783, 'US', 'United States'),
(38931, '76.12.183.88', '76.12.183.95', 1275901784, 1275901791, 'NG', 'Nigeria'),
(38932, '76.12.183.96', '76.12.184.39', 1275901792, 1275901991, 'US', 'United States'),
(38933, '76.12.184.40', '76.12.184.63', 1275901992, 1275902015, 'NG', 'Nigeria'),
(38934, '76.12.184.64', '76.12.184.79', 1275902016, 1275902031, 'US', 'United States'),
(38935, '76.12.184.80', '76.12.184.87', 1275902032, 1275902039, 'GB', 'United Kingdom'),
(38936, '76.12.184.88', '76.12.184.95', 1275902040, 1275902047, 'US', 'United States'),
(38937, '76.12.184.96', '76.12.184.127', 1275902048, 1275902079, 'GB', 'United Kingdom'),
(38938, '76.12.184.128', '76.12.184.143', 1275902080, 1275902095, 'CR', 'Costa Rica'),
(38939, '76.12.184.144', '76.12.184.167', 1275902096, 1275902119, 'US', 'United States'),
(38940, '76.12.184.168', '76.12.184.175', 1275902120, 1275902127, 'NG', 'Nigeria'),
(38941, '76.12.184.176', '76.12.185.95', 1275902128, 1275902303, 'US', 'United States'),
(38942, '76.12.185.96', '76.12.185.103', 1275902304, 1275902311, 'CA', 'Canada'),
(38943, '76.12.185.104', '76.12.185.127', 1275902312, 1275902335, 'US', 'United States'),
(38944, '76.12.185.128', '76.12.185.135', 1275902336, 1275902343, 'PK', 'Pakistan'),
(38945, '76.12.185.136', '76.12.185.175', 1275902344, 1275902383, 'US', 'United States'),
(38946, '76.12.185.176', '76.12.185.183', 1275902384, 1275902391, 'CA', 'Canada'),
(38947, '76.12.185.184', '76.12.191.31', 1275902392, 1275903775, 'US', 'United States'),
(38948, '76.12.191.32', '76.12.191.95', 1275903776, 1275903839, 'NO', 'Norway'),
(38949, '76.12.191.96', '76.12.191.119', 1275903840, 1275903863, 'US', 'United States'),
(38950, '76.12.191.120', '76.12.191.127', 1275903864, 1275903871, 'CA', 'Canada'),
(38951, '76.12.191.128', '76.12.195.55', 1275903872, 1275904823, 'US', 'United States'),
(38952, '76.12.195.56', '76.12.195.63', 1275904824, 1275904831, 'NG', 'Nigeria'),
(38953, '76.12.195.64', '76.12.195.223', 1275904832, 1275904991, 'US', 'United States'),
(38954, '76.12.195.224', '76.12.195.255', 1275904992, 1275905023, 'CA', 'Canada'),
(38955, '76.12.196.0', '76.12.198.231', 1275905024, 1275905767, 'US', 'United States'),
(38956, '76.12.198.232', '76.12.198.247', 1275905768, 1275905783, 'GB', 'United Kingdom'),
(38957, '76.12.198.248', '76.12.198.255', 1275905784, 1275905791, 'ZA', 'South Africa'),
(38958, '76.12.199.0', '76.12.201.39', 1275905792, 1275906343, 'US', 'United States'),
(38959, '76.12.201.40', '76.12.201.47', 1275906344, 1275906351, 'CA', 'Canada'),
(38960, '76.12.201.48', '76.12.203.255', 1275906352, 1275907071, 'US', 'United States'),
(38961, '76.12.204.0', '76.12.204.7', 1275907072, 1275907079, 'CA', 'Canada'),
(38962, '76.12.204.8', '76.12.207.71', 1275907080, 1275907911, 'US', 'United States'),
(38963, '76.12.207.72', '76.12.207.79', 1275907912, 1275907919, 'HK', 'Hong Kong'),
(38964, '76.12.207.80', '76.12.209.79', 1275907920, 1275908431, 'US', 'United States'),
(38965, '76.12.209.80', '76.12.209.95', 1275908432, 1275908447, 'GB', 'United Kingdom'),
(38966, '76.12.209.96', '76.12.213.63', 1275908448, 1275909439, 'US', 'United States'),
(38967, '76.12.213.64', '76.12.213.79', 1275909440, 1275909455, 'GB', 'United Kingdom'),
(38968, '76.12.213.80', '76.12.216.63', 1275909456, 1275910207, 'US', 'United States'),
(38969, '76.12.216.64', '76.12.216.79', 1275910208, 1275910223, 'PA', 'Panama'),
(38970, '76.12.216.80', '76.12.217.103', 1275910224, 1275910503, 'US', 'United States'),
(38971, '76.12.217.104', '76.12.217.111', 1275910504, 1275910511, 'IN', 'India'),
(38972, '76.12.217.112', '76.12.221.231', 1275910512, 1275911655, 'US', 'United States'),
(38973, '76.12.221.232', '76.12.221.239', 1275911656, 1275911663, 'CA', 'Canada'),
(38974, '76.12.221.240', '76.12.222.255', 1275911664, 1275911935, 'US', 'United States'),
(38975, '76.12.223.0', '76.12.223.31', 1275911936, 1275911967, 'CA', 'Canada'),
(38976, '76.12.223.32', '76.12.226.55', 1275911968, 1275912759, 'US', 'United States'),
(38977, '76.12.226.56', '76.12.226.79', 1275912760, 1275912783, 'CA', 'Canada'),
(38978, '76.12.226.80', '76.12.226.95', 1275912784, 1275912799, 'AU', 'Australia'),
(38979, '76.12.226.96', '76.12.226.175', 1275912800, 1275912879, 'US', 'United States'),
(38980, '76.12.226.176', '76.12.226.183', 1275912880, 1275912887, 'PT', 'Portugal'),
(38981, '76.12.226.184', '76.12.231.151', 1275912888, 1275914135, 'US', 'United States'),
(38982, '76.12.231.152', '76.12.231.159', 1275914136, 1275914143, 'AU', 'Australia'),
(38983, '76.12.231.160', '76.12.237.135', 1275914144, 1275915655, 'US', 'United States'),
(38984, '76.12.237.136', '76.12.237.143', 1275915656, 1275915663, 'MX', 'Mexico'),
(38985, '76.12.237.144', '76.12.239.135', 1275915664, 1275916167, 'US', 'United States'),
(38986, '76.12.239.136', '76.12.239.167', 1275916168, 1275916199, 'CA', 'Canada'),
(38987, '76.12.239.168', '76.12.240.63', 1275916200, 1275916351, 'US', 'United States'),
(38988, '76.12.240.64', '76.12.240.95', 1275916352, 1275916383, 'NL', 'Netherlands'),
(38989, '76.12.240.96', '76.12.242.87', 1275916384, 1275916887, 'US', 'United States'),
(38990, '76.12.242.88', '76.12.242.95', 1275916888, 1275916895, 'CA', 'Canada'),
(38991, '76.12.242.96', '76.12.248.95', 1275916896, 1275918431, 'US', 'United States'),
(38992, '76.12.248.96', '76.12.248.127', 1275918432, 1275918463, 'PK', 'Pakistan'),
(38993, '76.12.248.128', '76.12.248.143', 1275918464, 1275918479, 'IN', 'India'),
(38994, '76.12.248.144', '76.12.249.127', 1275918480, 1275918719, 'US', 'United States'),
(38995, '76.12.249.128', '76.12.249.143', 1275918720, 1275918735, 'CA', 'Canada'),
(38996, '76.12.249.144', '76.12.249.215', 1275918736, 1275918807, 'US', 'United States'),
(38997, '76.12.249.216', '76.12.249.223', 1275918808, 1275918815, 'NG', 'Nigeria'),
(38998, '76.12.249.224', '76.12.251.159', 1275918816, 1275919263, 'US', 'United States'),
(38999, '76.12.251.160', '76.12.251.175', 1275919264, 1275919279, 'IE', 'Ireland'),
(39000, '76.12.251.176', '76.12.254.39', 1275919280, 1275919911, 'US', 'United States'),
(39001, '76.12.254.40', '76.12.254.47', 1275919912, 1275919919, 'BR', 'Brazil'),
(39002, '76.12.254.48', '76.12.254.63', 1275919920, 1275919935, 'US', 'United States'),
(39003, '76.12.254.64', '76.12.254.95', 1275919936, 1275919967, 'BR', 'Brazil'),
(39004, '76.12.254.96', '76.12.254.127', 1275919968, 1275919999, 'IE', 'Ireland'),
(39005, '76.12.254.128', '76.12.254.143', 1275920000, 1275920015, 'GB', 'United Kingdom'),
(39006, '76.12.254.144', '76.12.254.183', 1275920016, 1275920055, 'US', 'United States'),
(39007, '76.12.254.184', '76.12.254.191', 1275920056, 1275920063, 'GB', 'United Kingdom'),
(39008, '76.12.254.192', '76.12.254.207', 1275920064, 1275920079, 'US', 'United States'),
(39009, '76.12.254.208', '76.12.254.223', 1275920080, 1275920095, 'CA', 'Canada'),
(39010, '76.12.254.224', '76.63.255.255', 1275920096, 1279262719, 'US', 'United States'),
(39011, '76.64.0.0', '76.71.255.255', 1279262720, 1279787007, 'CA', 'Canada'),
(39012, '76.72.0.0', '76.72.162.87', 1279787008, 1279828567, 'US', 'United States'),
(39013, '76.72.162.88', '76.72.162.95', 1279828568, 1279828575, 'CA', 'Canada'),
(39014, '76.72.162.96', '76.72.162.135', 1279828576, 1279828615, 'US', 'United States'),
(39015, '76.72.162.136', '76.72.162.143', 1279828616, 1279828623, 'CA', 'Canada'),
(39016, '76.72.162.144', '76.72.166.207', 1279828624, 1279829711, 'US', 'United States'),
(39017, '76.72.166.208', '76.72.166.255', 1279829712, 1279829759, 'FR', 'France'),
(39018, '76.72.167.0', '76.72.239.255', 1279829760, 1279848447, 'US', 'United States'),
(39019, '76.72.240.0', '76.72.255.255', 1279848448, 1279852543, 'PR', 'Puerto Rico'),
(39020, '76.73.0.0', '76.74.14.255', 1279852544, 1279921919, 'US', 'United States'),
(39021, '76.74.15.0', '76.74.15.127', 1279921920, 1279922047, 'IE', 'Ireland'),
(39022, '76.74.15.128', '76.74.89.15', 1279922048, 1279940879, 'US', 'United States'),
(39023, '76.74.89.16', '76.74.89.23', 1279940880, 1279940887, 'DE', 'Germany'),
(39024, '76.74.89.24', '76.74.89.79', 1279940888, 1279940943, 'US', 'United States'),
(39025, '76.74.89.80', '76.74.89.95', 1279940944, 1279940959, 'DE', 'Germany'),
(39026, '76.74.89.96', '76.74.89.127', 1279940960, 1279940991, 'US', 'United States'),
(39027, '76.74.89.128', '76.74.89.135', 1279940992, 1279940999, 'DE', 'Germany'),
(39028, '76.74.89.136', '76.74.99.255', 1279941000, 1279943679, 'US', 'United States'),
(39029, '76.74.100.0', '76.74.100.63', 1279943680, 1279943743, 'PR', 'Puerto Rico'),
(39030, '76.74.100.64', '76.74.127.255', 1279943744, 1279950847, 'US', 'United States'),
(39031, '76.74.128.0', '76.74.128.255', 1279950848, 1279951103, 'CA', 'Canada'),
(39032, '76.74.129.0', '76.74.129.63', 1279951104, 1279951167, 'US', 'United States'),
(39033, '76.74.129.64', '76.74.129.95', 1279951168, 1279951199, 'CA', 'Canada'),
(39034, '76.74.129.96', '76.74.129.119', 1279951200, 1279951223, 'US', 'United States'),
(39035, '76.74.129.120', '76.74.132.255', 1279951224, 1279952127, 'CA', 'Canada'),
(39036, '76.74.133.0', '76.74.133.31', 1279952128, 1279952159, 'US', 'United States'),
(39037, '76.74.133.32', '76.74.133.47', 1279952160, 1279952175, 'CA', 'Canada'),
(39038, '76.74.133.48', '76.74.133.63', 1279952176, 1279952191, 'US', 'United States'),
(39039, '76.74.133.64', '76.74.133.95', 1279952192, 1279952223, 'CA', 'Canada'),
(39040, '76.74.133.96', '76.74.133.103', 1279952224, 1279952231, 'US', 'United States'),
(39041, '76.74.133.104', '76.74.133.111', 1279952232, 1279952239, 'CA', 'Canada'),
(39042, '76.74.133.112', '76.74.133.255', 1279952240, 1279952383, 'US', 'United States'),
(39043, '76.74.134.0', '76.74.136.23', 1279952384, 1279952919, 'CA', 'Canada'),
(39044, '76.74.136.24', '76.74.136.31', 1279952920, 1279952927, 'VG', 'Virgin Islands, British'),
(39045, '76.74.136.32', '76.74.136.47', 1279952928, 1279952943, 'US', 'United States'),
(39046, '76.74.136.48', '76.74.136.127', 1279952944, 1279953023, 'CA', 'Canada'),
(39047, '76.74.136.128', '76.74.136.159', 1279953024, 1279953055, 'VG', 'Virgin Islands, British'),
(39048, '76.74.136.160', '76.74.136.191', 1279953056, 1279953087, 'US', 'United States'),
(39049, '76.74.136.192', '76.74.138.255', 1279953088, 1279953663, 'CA', 'Canada'),
(39050, '76.74.139.0', '76.74.139.23', 1279953664, 1279953687, 'US', 'United States'),
(39051, '76.74.139.24', '76.74.139.63', 1279953688, 1279953727, 'CA', 'Canada'),
(39052, '76.74.139.64', '76.74.139.95', 1279953728, 1279953759, 'US', 'United States'),
(39053, '76.74.139.96', '76.74.139.127', 1279953760, 1279953791, 'GB', 'United Kingdom'),
(39054, '76.74.139.128', '76.74.140.15', 1279953792, 1279953935, 'CA', 'Canada'),
(39055, '76.74.140.16', '76.74.140.47', 1279953936, 1279953967, 'US', 'United States'),
(39056, '76.74.140.48', '76.74.140.95', 1279953968, 1279954015, 'CA', 'Canada'),
(39057, '76.74.140.96', '76.74.140.127', 1279954016, 1279954047, 'US', 'United States'),
(39058, '76.74.140.128', '76.74.140.175', 1279954048, 1279954095, 'CA', 'Canada'),
(39059, '76.74.140.176', '76.74.140.199', 1279954096, 1279954119, 'US', 'United States'),
(39060, '76.74.140.200', '76.74.141.127', 1279954120, 1279954303, 'CA', 'Canada'),
(39061, '76.74.141.128', '76.74.141.255', 1279954304, 1279954431, 'US', 'United States'),
(39062, '76.74.142.0', '76.74.142.63', 1279954432, 1279954495, 'CA', 'Canada'),
(39063, '76.74.142.64', '76.74.142.111', 1279954496, 1279954543, 'US', 'United States'),
(39064, '76.74.142.112', '76.74.142.191', 1279954544, 1279954623, 'CA', 'Canada'),
(39065, '76.74.142.192', '76.74.142.223', 1279954624, 1279954655, 'US', 'United States'),
(39066, '76.74.142.224', '76.74.143.31', 1279954656, 1279954719, 'CA', 'Canada'),
(39067, '76.74.143.32', '76.74.143.39', 1279954720, 1279954727, 'US', 'United States'),
(39068, '76.74.143.40', '76.74.143.95', 1279954728, 1279954783, 'CA', 'Canada'),
(39069, '76.74.143.96', '76.74.143.151', 1279954784, 1279954839, 'US', 'United States'),
(39070, '76.74.143.152', '76.74.143.191', 1279954840, 1279954879, 'CA', 'Canada'),
(39071, '76.74.143.192', '76.74.143.227', 1279954880, 1279954915, 'US', 'United States'),
(39072, '76.74.143.228', '76.74.143.239', 1279954916, 1279954927, 'CA', 'Canada'),
(39073, '76.74.143.240', '76.74.144.151', 1279954928, 1279955095, 'US', 'United States'),
(39074, '76.74.144.152', '76.74.144.159', 1279955096, 1279955103, 'BB', 'Barbados'),
(39075, '76.74.144.160', '76.74.144.175', 1279955104, 1279955119, 'CA', 'Canada'),
(39076, '76.74.144.176', '76.74.144.207', 1279955120, 1279955151, 'US', 'United States'),
(39077, '76.74.144.208', '76.74.144.215', 1279955152, 1279955159, 'AU', 'Australia'),
(39078, '76.74.144.216', '76.74.148.91', 1279955160, 1279956059, 'US', 'United States'),
(39079, '76.74.148.92', '76.74.148.95', 1279956060, 1279956063, 'MX', 'Mexico'),
(39080, '76.74.148.96', '76.74.148.103', 1279956064, 1279956071, 'US', 'United States'),
(39081, '76.74.148.104', '76.74.148.111', 1279956072, 1279956079, 'CA', 'Canada'),
(39082, '76.74.148.112', '76.74.149.15', 1279956080, 1279956239, 'US', 'United States'),
(39083, '76.74.149.16', '76.74.149.31', 1279956240, 1279956255, 'CA', 'Canada'),
(39084, '76.74.149.32', '76.74.149.87', 1279956256, 1279956311, 'US', 'United States'),
(39085, '76.74.149.88', '76.74.149.127', 1279956312, 1279956351, 'CA', 'Canada'),
(39086, '76.74.149.128', '76.74.149.231', 1279956352, 1279956455, 'US', 'United States'),
(39087, '76.74.149.232', '76.74.149.239', 1279956456, 1279956463, 'PA', 'Panama'),
(39088, '76.74.149.240', '76.74.152.180', 1279956464, 1279957172, 'US', 'United States'),
(39089, '76.74.152.181', '76.74.152.181', 1279957173, 1279957173, 'IN', 'India'),
(39090, '76.74.152.182', '76.74.152.182', 1279957174, 1279957174, 'US', 'United States'),
(39091, '76.74.152.183', '76.74.152.183', 1279957175, 1279957175, 'IN', 'India'),
(39092, '76.74.152.184', '76.74.152.187', 1279957176, 1279957179, 'US', 'United States'),
(39093, '76.74.152.188', '76.74.152.188', 1279957180, 1279957180, 'IN', 'India'),
(39094, '76.74.152.189', '76.74.152.192', 1279957181, 1279957184, 'US', 'United States'),
(39095, '76.74.152.193', '76.74.152.193', 1279957185, 1279957185, 'IN', 'India'),
(39096, '76.74.152.194', '76.74.153.4', 1279957186, 1279957252, 'US', 'United States'),
(39097, '76.74.153.5', '76.74.153.5', 1279957253, 1279957253, 'IN', 'India'),
(39098, '76.74.153.6', '76.74.153.127', 1279957254, 1279957375, 'US', 'United States'),
(39099, '76.74.153.128', '76.74.153.135', 1279957376, 1279957383, 'IN', 'India'),
(39100, '76.74.153.136', '76.74.153.183', 1279957384, 1279957431, 'US', 'United States'),
(39101, '76.74.153.184', '76.74.153.191', 1279957432, 1279957439, 'IN', 'India'),
(39102, '76.74.153.192', '76.74.154.127', 1279957440, 1279957631, 'US', 'United States'),
(39103, '76.74.154.128', '76.74.154.147', 1279957632, 1279957651, 'IN', 'India'),
(39104, '76.74.154.148', '76.74.157.33', 1279957652, 1279958305, 'US', 'United States'),
(39105, '76.74.157.34', '76.74.157.34', 1279958306, 1279958306, 'IN', 'India'),
(39106, '76.74.157.35', '76.74.161.255', 1279958307, 1279959551, 'US', 'United States'),
(39107, '76.74.162.0', '76.74.162.255', 1279959552, 1279959807, 'CA', 'Canada'),
(39108, '76.74.163.0', '76.74.163.255', 1279959808, 1279960063, 'US', 'United States'),
(39109, '76.74.164.0', '76.74.164.63', 1279960064, 1279960127, 'CA', 'Canada'),
(39110, '76.74.164.64', '76.74.164.79', 1279960128, 1279960143, 'US', 'United States'),
(39111, '76.74.164.80', '76.74.164.95', 1279960144, 1279960159, 'CA', 'Canada'),
(39112, '76.74.164.96', '76.74.164.159', 1279960160, 1279960223, 'US', 'United States'),
(39113, '76.74.164.160', '76.74.164.255', 1279960224, 1279960319, 'CA', 'Canada'),
(39114, '76.74.165.0', '76.74.165.15', 1279960320, 1279960335, 'US', 'United States'),
(39115, '76.74.165.16', '76.74.165.23', 1279960336, 1279960343, 'CA', 'Canada'),
(39116, '76.74.165.24', '76.74.165.95', 1279960344, 1279960415, 'US', 'United States'),
(39117, '76.74.165.96', '76.74.165.207', 1279960416, 1279960527, 'CA', 'Canada'),
(39118, '76.74.165.208', '76.74.165.215', 1279960528, 1279960535, 'US', 'United States'),
(39119, '76.74.165.216', '76.74.165.239', 1279960536, 1279960559, 'CA', 'Canada'),
(39120, '76.74.165.240', '76.74.165.247', 1279960560, 1279960567, 'MX', 'Mexico'),
(39121, '76.74.165.248', '76.74.172.111', 1279960568, 1279962223, 'US', 'United States'),
(39122, '76.74.172.112', '76.74.172.127', 1279962224, 1279962239, 'CA', 'Canada'),
(39123, '76.74.172.128', '76.74.174.159', 1279962240, 1279962783, 'US', 'United States'),
(39124, '76.74.174.160', '76.74.174.167', 1279962784, 1279962791, 'CN', 'China'),
(39125, '76.74.174.168', '76.74.175.15', 1279962792, 1279962895, 'US', 'United States'),
(39126, '76.74.175.16', '76.74.175.31', 1279962896, 1279962911, 'CA', 'Canada'),
(39127, '76.74.175.32', '76.74.175.47', 1279962912, 1279962927, 'CN', 'China'),
(39128, '76.74.175.48', '76.74.175.63', 1279962928, 1279962943, 'US', 'United States'),
(39129, '76.74.175.64', '76.74.175.95', 1279962944, 1279962975, 'CN', 'China'),
(39130, '76.74.175.96', '76.74.175.255', 1279962976, 1279963135, 'US', 'United States'),
(39131, '76.74.176.0', '76.74.176.255', 1279963136, 1279963391, 'IN', 'India'),
(39132, '76.74.177.0', '76.74.179.31', 1279963392, 1279963935, 'US', 'United States'),
(39133, '76.74.179.32', '76.74.179.63', 1279963936, 1279963967, 'CA', 'Canada'),
(39134, '76.74.179.64', '76.74.183.255', 1279963968, 1279965183, 'US', 'United States'),
(39135, '76.74.184.0', '76.74.187.255', 1279965184, 1279966207, 'CA', 'Canada'),
(39136, '76.74.188.0', '76.74.191.255', 1279966208, 1279967231, 'US', 'United States'),
(39137, '76.74.192.0', '76.74.207.255', 1279967232, 1279971327, 'CA', 'Canada'),
(39138, '76.74.208.0', '76.74.208.255', 1279971328, 1279971583, 'US', 'United States'),
(39139, '76.74.209.0', '76.74.210.255', 1279971584, 1279972095, 'CA', 'Canada'),
(39140, '76.74.211.0', '76.74.218.63', 1279972096, 1279973951, 'US', 'United States'),
(39141, '76.74.218.64', '76.74.218.79', 1279973952, 1279973967, 'CA', 'Canada'),
(39142, '76.74.218.80', '76.74.218.95', 1279973968, 1279973983, 'US', 'United States'),
(39143, '76.74.218.96', '76.74.218.127', 1279973984, 1279974015, 'IN', 'India'),
(39144, '76.74.218.128', '76.74.219.31', 1279974016, 1279974175, 'US', 'United States'),
(39145, '76.74.219.32', '76.74.219.63', 1279974176, 1279974207, 'CN', 'China'),
(39146, '76.74.219.64', '76.74.219.127', 1279974208, 1279974271, 'CA', 'Canada'),
(39147, '76.74.219.128', '76.74.219.247', 1279974272, 1279974391, 'US', 'United States'),
(39148, '76.74.219.248', '76.74.219.255', 1279974392, 1279974399, 'CA', 'Canada'),
(39149, '76.74.220.0', '76.74.221.143', 1279974400, 1279974799, 'US', 'United States'),
(39150, '76.74.221.144', '76.74.221.159', 1279974800, 1279974815, 'CA', 'Canada'),
(39151, '76.74.221.160', '76.74.223.239', 1279974816, 1279975407, 'US', 'United States'),
(39152, '76.74.223.240', '76.74.223.255', 1279975408, 1279975423, 'NZ', 'New Zealand'),
(39153, '76.74.224.0', '76.74.225.15', 1279975424, 1279975695, 'CA', 'Canada'),
(39154, '76.74.225.16', '76.74.226.31', 1279975696, 1279975967, 'US', 'United States'),
(39155, '76.74.226.32', '76.74.226.39', 1279975968, 1279975975, 'HK', 'Hong Kong'),
(39156, '76.74.226.40', '76.74.226.47', 1279975976, 1279975983, 'US', 'United States'),
(39157, '76.74.226.48', '76.74.226.71', 1279975984, 1279976007, 'CA', 'Canada'),
(39158, '76.74.226.72', '76.74.226.95', 1279976008, 1279976031, 'US', 'United States'),
(39159, '76.74.226.96', '76.74.226.127', 1279976032, 1279976063, 'KN', 'Saint Kitts and Nevis'),
(39160, '76.74.226.128', '76.74.226.191', 1279976064, 1279976127, 'US', 'United States'),
(39161, '76.74.226.192', '76.74.226.207', 1279976128, 1279976143, 'CA', 'Canada'),
(39162, '76.74.226.208', '76.74.226.223', 1279976144, 1279976159, 'US', 'United States'),
(39163, '76.74.226.224', '76.74.229.255', 1279976160, 1279976959, 'CA', 'Canada'),
(39164, '76.74.230.0', '76.74.230.255', 1279976960, 1279977215, 'US', 'United States'),
(39165, '76.74.231.0', '76.74.231.255', 1279977216, 1279977471, 'CA', 'Canada'),
(39166, '76.74.232.0', '76.74.232.255', 1279977472, 1279977727, 'US', 'United States'),
(39167, '76.74.233.0', '76.74.234.127', 1279977728, 1279978111, 'CA', 'Canada'),
(39168, '76.74.234.128', '76.74.234.159', 1279978112, 1279978143, 'US', 'United States'),
(39169, '76.74.234.160', '76.74.235.31', 1279978144, 1279978271, 'CA', 'Canada'),
(39170, '76.74.235.32', '76.74.235.63', 1279978272, 1279978303, 'US', 'United States'),
(39171, '76.74.235.64', '76.74.235.127', 1279978304, 1279978367, 'CA', 'Canada'),
(39172, '76.74.235.128', '76.74.235.255', 1279978368, 1279978495, 'VG', 'Virgin Islands, British'),
(39173, '76.74.236.0', '76.74.236.187', 1279978496, 1279978683, 'US', 'United States'),
(39174, '76.74.236.188', '76.74.236.196', 1279978684, 1279978692, 'IN', 'India'),
(39175, '76.74.236.197', '76.74.236.197', 1279978693, 1279978693, 'US', 'United States'),
(39176, '76.74.236.198', '76.74.236.206', 1279978694, 1279978702, 'IN', 'India'),
(39177, '76.74.236.207', '76.74.239.160', 1279978703, 1279979424, 'US', 'United States'),
(39178, '76.74.239.161', '76.74.239.161', 1279979425, 1279979425, 'IN', 'India'),
(39179, '76.74.239.162', '76.74.240.39', 1279979426, 1279979559, 'US', 'United States'),
(39180, '76.74.240.40', '76.74.240.55', 1279979560, 1279979575, 'CA', 'Canada'),
(39181, '76.74.240.56', '76.74.240.63', 1279979576, 1279979583, 'US', 'United States'),
(39182, '76.74.240.64', '76.74.240.127', 1279979584, 1279979647, 'CA', 'Canada'),
(39183, '76.74.240.128', '76.74.240.255', 1279979648, 1279979775, 'US', 'United States'),
(39184, '76.74.241.0', '76.74.242.31', 1279979776, 1279980063, 'CA', 'Canada'),
(39185, '76.74.242.32', '76.74.242.39', 1279980064, 1279980071, 'US', 'United States'),
(39186, '76.74.242.40', '76.74.242.47', 1279980072, 1279980079, 'BV', 'Bouvet Island'),
(39187, '76.74.242.48', '76.74.242.95', 1279980080, 1279980127, 'CA', 'Canada'),
(39188, '76.74.242.96', '76.74.242.119', 1279980128, 1279980151, 'US', 'United States'),
(39189, '76.74.242.120', '76.74.242.127', 1279980152, 1279980159, 'CA', 'Canada'),
(39190, '76.74.242.128', '76.74.242.255', 1279980160, 1279980287, 'US', 'United States'),
(39191, '76.74.243.0', '76.74.247.255', 1279980288, 1279981567, 'CA', 'Canada'),
(39192, '76.74.248.0', '76.75.63.255', 1279981568, 1279999999, 'US', 'United States'),
(39193, '76.75.64.0', '76.75.191.255', 1280000000, 1280032767, 'CA', 'Canada'),
(39194, '76.75.192.0', '76.75.223.255', 1280032768, 1280040959, 'US', 'United States'),
(39195, '76.75.224.0', '76.75.234.7', 1280040960, 1280043527, 'CA', 'Canada'),
(39196, '76.75.234.8', '76.75.234.15', 1280043528, 1280043535, 'US', 'United States'),
(39197, '76.75.234.16', '76.75.234.31', 1280043536, 1280043551, 'CA', 'Canada'),
(39198, '76.75.234.32', '76.75.234.39', 1280043552, 1280043559, 'US', 'United States'),
(39199, '76.75.234.40', '76.75.234.47', 1280043560, 1280043567, 'CA', 'Canada'),
(39200, '76.75.234.48', '76.75.234.87', 1280043568, 1280043607, 'US', 'United States'),
(39201, '76.75.234.88', '76.75.234.159', 1280043608, 1280043679, 'CA', 'Canada'),
(39202, '76.75.234.160', '76.75.234.183', 1280043680, 1280043703, 'US', 'United States'),
(39203, '76.75.234.184', '76.75.234.191', 1280043704, 1280043711, 'CA', 'Canada'),
(39204, '76.75.234.192', '76.75.234.199', 1280043712, 1280043719, 'US', 'United States'),
(39205, '76.75.234.200', '76.75.234.231', 1280043720, 1280043751, 'CA', 'Canada'),
(39206, '76.75.234.232', '76.75.234.239', 1280043752, 1280043759, 'US', 'United States'),
(39207, '76.75.234.240', '76.75.234.247', 1280043760, 1280043767, 'CA', 'Canada'),
(39208, '76.75.234.248', '76.75.234.255', 1280043768, 1280043775, 'US', 'United States'),
(39209, '76.75.235.0', '76.75.235.31', 1280043776, 1280043807, 'CA', 'Canada'),
(39210, '76.75.235.32', '76.75.235.39', 1280043808, 1280043815, 'US', 'United States'),
(39211, '76.75.235.40', '76.75.235.47', 1280043816, 1280043823, 'CA', 'Canada'),
(39212, '76.75.235.48', '76.75.235.55', 1280043824, 1280043831, 'US', 'United States'),
(39213, '76.75.235.56', '76.75.235.183', 1280043832, 1280043959, 'CA', 'Canada'),
(39214, '76.75.235.184', '76.75.235.199', 1280043960, 1280043975, 'US', 'United States'),
(39215, '76.75.235.200', '76.75.237.159', 1280043976, 1280044447, 'CA', 'Canada'),
(39216, '76.75.237.160', '76.75.237.167', 1280044448, 1280044455, 'US', 'United States'),
(39217, '76.75.237.168', '76.75.237.175', 1280044456, 1280044463, 'CA', 'Canada'),
(39218, '76.75.237.176', '76.75.237.183', 1280044464, 1280044471, 'US', 'United States'),
(39219, '76.75.237.184', '76.75.237.215', 1280044472, 1280044503, 'CA', 'Canada'),
(39220, '76.75.237.216', '76.75.237.247', 1280044504, 1280044535, 'US', 'United States'),
(39221, '76.75.237.248', '76.75.240.7', 1280044536, 1280045063, 'CA', 'Canada'),
(39222, '76.75.240.8', '76.75.240.15', 1280045064, 1280045071, 'US', 'United States'),
(39223, '76.75.240.16', '76.75.240.111', 1280045072, 1280045167, 'CA', 'Canada'),
(39224, '76.75.240.112', '76.75.240.119', 1280045168, 1280045175, 'US', 'United States'),
(39225, '76.75.240.120', '76.75.240.127', 1280045176, 1280045183, 'CA', 'Canada'),
(39226, '76.75.240.128', '76.75.240.135', 1280045184, 1280045191, 'US', 'United States'),
(39227, '76.75.240.136', '76.75.241.127', 1280045192, 1280045439, 'CA', 'Canada'),
(39228, '76.75.241.128', '76.75.241.151', 1280045440, 1280045463, 'US', 'United States'),
(39229, '76.75.241.152', '76.75.241.199', 1280045464, 1280045511, 'CA', 'Canada'),
(39230, '76.75.241.200', '76.75.241.215', 1280045512, 1280045527, 'US', 'United States'),
(39231, '76.75.241.216', '76.75.241.239', 1280045528, 1280045551, 'CA', 'Canada'),
(39232, '76.75.241.240', '76.75.241.247', 1280045552, 1280045559, 'US', 'United States'),
(39233, '76.75.241.248', '76.75.242.143', 1280045560, 1280045711, 'CA', 'Canada'),
(39234, '76.75.242.144', '76.75.242.159', 1280045712, 1280045727, 'US', 'United States'),
(39235, '76.75.242.160', '76.75.242.215', 1280045728, 1280045783, 'CA', 'Canada'),
(39236, '76.75.242.216', '76.75.242.223', 1280045784, 1280045791, 'US', 'United States'),
(39237, '76.75.242.224', '76.75.243.55', 1280045792, 1280045879, 'CA', 'Canada'),
(39238, '76.75.243.56', '76.75.243.63', 1280045880, 1280045887, 'US', 'United States'),
(39239, '76.75.243.64', '76.75.243.215', 1280045888, 1280046039, 'CA', 'Canada'),
(39240, '76.75.243.216', '76.75.243.231', 1280046040, 1280046055, 'US', 'United States'),
(39241, '76.75.243.232', '76.75.244.87', 1280046056, 1280046167, 'CA', 'Canada'),
(39242, '76.75.244.88', '76.75.244.119', 1280046168, 1280046199, 'US', 'United States'),
(39243, '76.75.244.120', '76.75.244.151', 1280046200, 1280046231, 'CA', 'Canada'),
(39244, '76.75.244.152', '76.75.244.159', 1280046232, 1280046239, 'US', 'United States'),
(39245, '76.75.244.160', '76.75.244.167', 1280046240, 1280046247, 'CA', 'Canada'),
(39246, '76.75.244.168', '76.75.244.175', 1280046248, 1280046255, 'US', 'United States'),
(39247, '76.75.244.176', '76.75.245.7', 1280046256, 1280046343, 'CA', 'Canada'),
(39248, '76.75.245.8', '76.75.245.15', 1280046344, 1280046351, 'US', 'United States'),
(39249, '76.75.245.16', '76.75.245.87', 1280046352, 1280046423, 'CA', 'Canada'),
(39250, '76.75.245.88', '76.75.245.95', 1280046424, 1280046431, 'US', 'United States'),
(39251, '76.75.245.96', '76.75.245.191', 1280046432, 1280046527, 'CA', 'Canada'),
(39252, '76.75.245.192', '76.75.245.215', 1280046528, 1280046551, 'US', 'United States'),
(39253, '76.75.245.216', '76.75.246.159', 1280046552, 1280046751, 'CA', 'Canada'),
(39254, '76.75.246.160', '76.75.246.167', 1280046752, 1280046759, 'US', 'United States'),
(39255, '76.75.246.168', '76.75.246.199', 1280046760, 1280046791, 'CA', 'Canada'),
(39256, '76.75.246.200', '76.75.246.207', 1280046792, 1280046799, 'US', 'United States'),
(39257, '76.75.246.208', '76.75.247.23', 1280046800, 1280046871, 'CA', 'Canada'),
(39258, '76.75.247.24', '76.75.247.31', 1280046872, 1280046879, 'US', 'United States'),
(39259, '76.75.247.32', '76.75.247.103', 1280046880, 1280046951, 'CA', 'Canada'),
(39260, '76.75.247.104', '76.75.247.111', 1280046952, 1280046959, 'US', 'United States'),
(39261, '76.75.247.112', '76.75.247.247', 1280046960, 1280047095, 'CA', 'Canada'),
(39262, '76.75.247.248', '76.75.247.255', 1280047096, 1280047103, 'US', 'United States'),
(39263, '76.75.248.0', '76.75.248.79', 1280047104, 1280047183, 'CA', 'Canada'),
(39264, '76.75.248.80', '76.75.248.87', 1280047184, 1280047191, 'US', 'United States'),
(39265, '76.75.248.88', '76.75.249.135', 1280047192, 1280047495, 'CA', 'Canada'),
(39266, '76.75.249.136', '76.75.249.159', 1280047496, 1280047519, 'US', 'United States'),
(39267, '76.75.249.160', '76.75.249.167', 1280047520, 1280047527, 'CA', 'Canada'),
(39268, '76.75.249.168', '76.75.249.175', 1280047528, 1280047535, 'NL', 'Netherlands'),
(39269, '76.75.249.176', '76.75.249.183', 1280047536, 1280047543, 'CA', 'Canada'),
(39270, '76.75.249.184', '76.75.249.191', 1280047544, 1280047551, 'US', 'United States'),
(39271, '76.75.249.192', '76.75.249.223', 1280047552, 1280047583, 'CA', 'Canada'),
(39272, '76.75.249.224', '76.75.249.231', 1280047584, 1280047591, 'US', 'United States'),
(39273, '76.75.249.232', '76.75.250.159', 1280047592, 1280047775, 'CA', 'Canada'),
(39274, '76.75.250.160', '76.75.250.167', 1280047776, 1280047783, 'US', 'United States'),
(39275, '76.75.250.168', '76.75.250.183', 1280047784, 1280047799, 'CA', 'Canada'),
(39276, '76.75.250.184', '76.75.250.191', 1280047800, 1280047807, 'US', 'United States'),
(39277, '76.75.250.192', '76.75.250.215', 1280047808, 1280047831, 'CA', 'Canada'),
(39278, '76.75.250.216', '76.75.250.223', 1280047832, 1280047839, 'US', 'United States'),
(39279, '76.75.250.224', '76.75.251.95', 1280047840, 1280047967, 'CA', 'Canada'),
(39280, '76.75.251.96', '76.75.251.111', 1280047968, 1280047983, 'US', 'United States'),
(39281, '76.75.251.112', '76.75.251.119', 1280047984, 1280047991, 'CA', 'Canada'),
(39282, '76.75.251.120', '76.75.251.127', 1280047992, 1280047999, 'US', 'United States'),
(39283, '76.75.251.128', '76.75.251.223', 1280048000, 1280048095, 'CA', 'Canada'),
(39284, '76.75.251.224', '76.75.251.231', 1280048096, 1280048103, 'US', 'United States'),
(39285, '76.75.251.232', '76.75.251.247', 1280048104, 1280048119, 'CA', 'Canada'),
(39286, '76.75.251.248', '76.75.251.255', 1280048120, 1280048127, 'US', 'United States'),
(39287, '76.75.252.0', '76.75.253.15', 1280048128, 1280048399, 'CA', 'Canada'),
(39288, '76.75.253.16', '76.75.253.23', 1280048400, 1280048407, 'US', 'United States'),
(39289, '76.75.253.24', '76.75.253.207', 1280048408, 1280048591, 'CA', 'Canada'),
(39290, '76.75.253.208', '76.75.253.215', 1280048592, 1280048599, 'US', 'United States'),
(39291, '76.75.253.216', '76.75.253.223', 1280048600, 1280048607, 'CA', 'Canada'),
(39292, '76.75.253.224', '76.75.253.239', 1280048608, 1280048623, 'US', 'United States'),
(39293, '76.75.253.240', '76.75.253.247', 1280048624, 1280048631, 'NL', 'Netherlands'),
(39294, '76.75.253.248', '76.75.253.255', 1280048632, 1280048639, 'US', 'United States'),
(39295, '76.75.254.0', '76.75.254.95', 1280048640, 1280048735, 'CA', 'Canada'),
(39296, '76.75.254.96', '76.75.254.103', 1280048736, 1280048743, 'US', 'United States'),
(39297, '76.75.254.104', '76.75.254.255', 1280048744, 1280048895, 'CA', 'Canada'),
(39298, '76.75.255.0', '76.75.255.7', 1280048896, 1280048903, 'US', 'United States'),
(39299, '76.75.255.8', '76.75.255.15', 1280048904, 1280048911, 'CA', 'Canada'),
(39300, '76.75.255.16', '76.75.255.23', 1280048912, 1280048919, 'FR', 'France'),
(39301, '76.75.255.24', '76.75.255.95', 1280048920, 1280048991, 'CA', 'Canada'),
(39302, '76.75.255.96', '76.75.255.111', 1280048992, 1280049007, 'US', 'United States'),
(39303, '76.75.255.112', '76.75.255.167', 1280049008, 1280049063, 'CA', 'Canada'),
(39304, '76.75.255.168', '76.75.255.175', 1280049064, 1280049071, 'US', 'United States'),
(39305, '76.75.255.176', '76.75.255.199', 1280049072, 1280049095, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(39306, '76.75.255.200', '76.75.255.231', 1280049096, 1280049127, 'US', 'United States'),
(39307, '76.75.255.232', '76.75.255.255', 1280049128, 1280049151, 'CA', 'Canada'),
(39308, '76.76.0.0', '76.76.95.255', 1280049152, 1280073727, 'US', 'United States'),
(39309, '76.76.96.0', '76.76.127.255', 1280073728, 1280081919, 'CA', 'Canada'),
(39310, '76.76.128.0', '76.76.159.255', 1280081920, 1280090111, 'US', 'United States'),
(39311, '76.76.160.0', '76.76.163.255', 1280090112, 1280091135, 'AG', 'Antigua and Barbuda'),
(39312, '76.76.164.0', '76.76.167.255', 1280091136, 1280092159, 'VG', 'Virgin Islands, British'),
(39313, '76.76.168.0', '76.76.171.255', 1280092160, 1280093183, 'KN', 'Saint Kitts and Nevis'),
(39314, '76.76.172.0', '76.76.175.255', 1280093184, 1280094207, 'VG', 'Virgin Islands, British'),
(39315, '76.76.176.0', '76.76.179.255', 1280094208, 1280095231, 'AI', 'Anguilla'),
(39316, '76.76.180.0', '76.76.180.255', 1280095232, 1280095487, 'KN', 'Saint Kitts and Nevis'),
(39317, '76.76.181.0', '76.76.187.255', 1280095488, 1280097279, 'AG', 'Antigua and Barbuda'),
(39318, '76.76.188.0', '76.76.189.255', 1280097280, 1280097791, 'LC', 'Saint Lucia'),
(39319, '76.76.190.0', '76.76.191.255', 1280097792, 1280098303, 'AG', 'Antigua and Barbuda'),
(39320, '76.76.192.0', '76.76.207.255', 1280098304, 1280102399, 'PR', 'Puerto Rico'),
(39321, '76.76.208.0', '76.77.63.255', 1280102400, 1280131071, 'US', 'United States'),
(39322, '76.77.64.0', '76.77.95.255', 1280131072, 1280139263, 'CA', 'Canada'),
(39323, '76.77.96.0', '76.191.100.10', 1280139264, 1287611402, 'US', 'United States'),
(39324, '76.191.100.11', '76.191.100.11', 1287611403, 1287611403, 'A1', 'Anonymous Proxy'),
(39325, '76.191.100.12', '76.191.102.218', 1287611404, 1287612122, 'US', 'United States'),
(39326, '76.191.102.219', '76.191.102.232', 1287612123, 1287612136, 'SE', 'Sweden'),
(39327, '76.191.102.233', '76.195.115.127', 1287612137, 1287877503, 'US', 'United States'),
(39328, '76.195.115.128', '76.195.115.191', 1287877504, 1287877567, 'UM', 'United States Minor Outlying Islands'),
(39329, '76.195.115.192', '76.231.177.255', 1287877568, 1290252799, 'US', 'United States'),
(39330, '76.231.178.0', '76.231.178.63', 1290252800, 1290252863, 'GB', 'United Kingdom'),
(39331, '76.231.178.64', '76.255.255.255', 1290252864, 1291845631, 'US', 'United States'),
(39332, '77.0.0.0', '77.15.255.255', 1291845632, 1292894207, 'DE', 'Germany'),
(39333, '77.16.0.0', '77.19.255.255', 1292894208, 1293156351, 'NO', 'Norway'),
(39334, '77.20.0.0', '77.25.255.255', 1293156352, 1293549567, 'DE', 'Germany'),
(39335, '77.26.0.0', '77.27.255.255', 1293549568, 1293680639, 'ES', 'Spain'),
(39336, '77.28.0.0', '77.29.255.255', 1293680640, 1293811711, 'MK', 'Macedonia'),
(39337, '77.30.0.0', '77.31.255.255', 1293811712, 1293942783, 'SA', 'Saudi Arabia'),
(39338, '77.32.0.0', '77.33.255.255', 1293942784, 1294073855, 'PL', 'Poland'),
(39339, '77.34.0.0', '77.35.255.255', 1294073856, 1294204927, 'RU', 'Russian Federation'),
(39340, '77.36.0.0', '77.36.127.255', 1294204928, 1294237695, 'RO', 'Romania'),
(39341, '77.36.128.0', '77.36.255.255', 1294237696, 1294270463, 'IR', 'Iran, Islamic Republic of'),
(39342, '77.37.0.0', '77.37.31.63', 1294270464, 1294278463, 'DE', 'Germany'),
(39343, '77.37.31.64', '77.37.31.95', 1294278464, 1294278495, 'CA', 'Canada'),
(39344, '77.37.31.96', '77.37.127.255', 1294278496, 1294303231, 'DE', 'Germany'),
(39345, '77.37.128.0', '77.37.255.255', 1294303232, 1294335999, 'RU', 'Russian Federation'),
(39346, '77.38.0.0', '77.38.127.255', 1294336000, 1294368767, 'SI', 'Slovenia'),
(39347, '77.38.128.0', '77.38.255.255', 1294368768, 1294401535, 'LV', 'Latvia'),
(39348, '77.39.0.0', '77.39.127.255', 1294401536, 1294434303, 'RU', 'Russian Federation'),
(39349, '77.39.128.0', '77.39.255.255', 1294434304, 1294467071, 'IT', 'Italy'),
(39350, '77.40.0.0', '77.40.127.255', 1294467072, 1294499839, 'RU', 'Russian Federation'),
(39351, '77.40.128.0', '77.40.255.255', 1294499840, 1294532607, 'NO', 'Norway'),
(39352, '77.41.0.0', '77.41.255.255', 1294532608, 1294598143, 'RU', 'Russian Federation'),
(39353, '77.42.0.0', '77.42.127.255', 1294598144, 1294630911, 'IT', 'Italy'),
(39354, '77.42.128.0', '77.42.255.255', 1294630912, 1294663679, 'LB', 'Lebanon'),
(39355, '77.43.0.0', '77.43.127.255', 1294663680, 1294696447, 'IT', 'Italy'),
(39356, '77.43.128.0', '77.43.255.255', 1294696448, 1294729215, 'RU', 'Russian Federation'),
(39357, '77.44.0.0', '77.44.127.255', 1294729216, 1294761983, 'GB', 'United Kingdom'),
(39358, '77.44.128.0', '77.44.255.255', 1294761984, 1294794751, 'SY', 'Syrian Arab Republic'),
(39359, '77.45.0.0', '77.45.127.255', 1294794752, 1294827519, 'PL', 'Poland'),
(39360, '77.45.128.0', '77.45.255.255', 1294827520, 1294860287, 'RU', 'Russian Federation'),
(39361, '77.46.0.0', '77.46.127.255', 1294860288, 1294893055, 'PL', 'Poland'),
(39362, '77.46.128.0', '77.46.255.255', 1294893056, 1294925823, 'RS', 'Serbia'),
(39363, '77.47.0.0', '77.47.127.255', 1294925824, 1294958591, 'DE', 'Germany'),
(39364, '77.47.128.0', '77.47.255.255', 1294958592, 1294991359, 'UA', 'Ukraine'),
(39365, '77.48.0.0', '77.48.27.255', 1294991360, 1294998527, 'CZ', 'Czech Republic'),
(39366, '77.48.28.0', '77.48.28.63', 1294998528, 1294998591, 'SK', 'Slovakia'),
(39367, '77.48.28.64', '77.48.68.255', 1294998592, 1295009023, 'CZ', 'Czech Republic'),
(39368, '77.48.69.0', '77.48.70.127', 1295009024, 1295009407, 'SK', 'Slovakia'),
(39369, '77.48.70.128', '77.48.219.255', 1295009408, 1295047679, 'CZ', 'Czech Republic'),
(39370, '77.48.220.0', '77.48.221.255', 1295047680, 1295048191, 'SK', 'Slovakia'),
(39371, '77.48.222.0', '77.48.255.255', 1295048192, 1295056895, 'CZ', 'Czech Republic'),
(39372, '77.49.0.0', '77.49.255.255', 1295056896, 1295122431, 'GR', 'Greece'),
(39373, '77.50.0.0', '77.51.255.255', 1295122432, 1295253503, 'RU', 'Russian Federation'),
(39374, '77.52.0.0', '77.52.255.255', 1295253504, 1295319039, 'UA', 'Ukraine'),
(39375, '77.53.0.0', '77.53.117.127', 1295319040, 1295349119, 'SE', 'Sweden'),
(39376, '77.53.117.128', '77.53.117.255', 1295349120, 1295349247, 'NO', 'Norway'),
(39377, '77.53.118.0', '77.53.255.255', 1295349248, 1295384575, 'SE', 'Sweden'),
(39378, '77.54.0.0', '77.54.255.255', 1295384576, 1295450111, 'PT', 'Portugal'),
(39379, '77.55.0.0', '77.55.255.255', 1295450112, 1295515647, 'PL', 'Poland'),
(39380, '77.56.0.0', '77.59.255.255', 1295515648, 1295777791, 'CH', 'Switzerland'),
(39381, '77.60.0.0', '77.63.255.255', 1295777792, 1296039935, 'NL', 'Netherlands'),
(39382, '77.64.0.0', '77.64.127.255', 1296039936, 1296072703, 'SA', 'Saudi Arabia'),
(39383, '77.64.128.0', '77.64.255.255', 1296072704, 1296105471, 'DE', 'Germany'),
(39384, '77.65.0.0', '77.65.255.255', 1296105472, 1296171007, 'PL', 'Poland'),
(39385, '77.66.0.0', '77.66.2.79', 1296171008, 1296171599, 'DK', 'Denmark'),
(39386, '77.66.2.80', '77.66.2.80', 1296171600, 1296171600, 'DE', 'Germany'),
(39387, '77.66.2.81', '77.66.2.81', 1296171601, 1296171601, 'GB', 'United Kingdom'),
(39388, '77.66.2.82', '77.66.41.239', 1296171602, 1296181743, 'DK', 'Denmark'),
(39389, '77.66.41.240', '77.66.41.247', 1296181744, 1296181751, 'GB', 'United Kingdom'),
(39390, '77.66.41.248', '77.66.127.255', 1296181752, 1296203775, 'DK', 'Denmark'),
(39391, '77.66.128.0', '77.66.255.255', 1296203776, 1296236543, 'RU', 'Russian Federation'),
(39392, '77.67.0.0', '77.67.0.127', 1296236544, 1296236671, 'FR', 'France'),
(39393, '77.67.0.128', '77.67.0.255', 1296236672, 1296236799, 'US', 'United States'),
(39394, '77.67.1.0', '77.67.1.255', 1296236800, 1296237055, 'GB', 'United Kingdom'),
(39395, '77.67.2.0', '77.67.2.255', 1296237056, 1296237311, 'FR', 'France'),
(39396, '77.67.3.0', '77.67.3.255', 1296237312, 1296237567, 'US', 'United States'),
(39397, '77.67.4.0', '77.67.5.255', 1296237568, 1296238079, 'FR', 'France'),
(39398, '77.67.6.0', '77.67.7.255', 1296238080, 1296238591, 'DE', 'Germany'),
(39399, '77.67.8.0', '77.67.9.255', 1296238592, 1296239103, 'NL', 'Netherlands'),
(39400, '77.67.10.0', '77.67.10.127', 1296239104, 1296239231, 'FR', 'France'),
(39401, '77.67.10.128', '77.67.10.255', 1296239232, 1296239359, 'NL', 'Netherlands'),
(39402, '77.67.11.0', '77.67.11.255', 1296239360, 1296239615, 'DE', 'Germany'),
(39403, '77.67.12.0', '77.67.14.255', 1296239616, 1296240383, 'FR', 'France'),
(39404, '77.67.15.0', '77.67.17.255', 1296240384, 1296241151, 'BE', 'Belgium'),
(39405, '77.67.18.0', '77.67.18.255', 1296241152, 1296241407, 'IT', 'Italy'),
(39406, '77.67.19.0', '77.67.21.255', 1296241408, 1296242175, 'NL', 'Netherlands'),
(39407, '77.67.22.0', '77.67.22.127', 1296242176, 1296242303, 'DE', 'Germany'),
(39408, '77.67.22.128', '77.67.22.255', 1296242304, 1296242431, 'NL', 'Netherlands'),
(39409, '77.67.23.0', '77.67.23.255', 1296242432, 1296242687, 'BE', 'Belgium'),
(39410, '77.67.24.0', '77.67.25.255', 1296242688, 1296243199, 'FR', 'France'),
(39411, '77.67.26.0', '77.67.26.255', 1296243200, 1296243455, 'GB', 'United Kingdom'),
(39412, '77.67.27.0', '77.67.27.255', 1296243456, 1296243711, 'DE', 'Germany'),
(39413, '77.67.28.0', '77.67.29.255', 1296243712, 1296244223, 'US', 'United States'),
(39414, '77.67.30.0', '77.67.30.255', 1296244224, 1296244479, 'NL', 'Netherlands'),
(39415, '77.67.31.0', '77.67.31.255', 1296244480, 1296244735, 'GB', 'United Kingdom'),
(39416, '77.67.32.0', '77.67.32.255', 1296244736, 1296244991, 'IR', 'Iran, Islamic Republic of'),
(39417, '77.67.33.0', '77.67.33.255', 1296244992, 1296245247, 'CH', 'Switzerland'),
(39418, '77.67.34.0', '77.67.34.255', 1296245248, 1296245503, 'CA', 'Canada'),
(39419, '77.67.35.0', '77.67.35.255', 1296245504, 1296245759, 'NL', 'Netherlands'),
(39420, '77.67.36.0', '77.67.39.255', 1296245760, 1296246783, 'ES', 'Spain'),
(39421, '77.67.40.0', '77.67.41.255', 1296246784, 1296247295, 'NL', 'Netherlands'),
(39422, '77.67.42.0', '77.67.43.255', 1296247296, 1296247807, 'FR', 'France'),
(39423, '77.67.44.0', '77.67.44.63', 1296247808, 1296247871, 'US', 'United States'),
(39424, '77.67.44.64', '77.67.44.191', 1296247872, 1296247999, 'FR', 'France'),
(39425, '77.67.44.192', '77.67.44.255', 1296248000, 1296248063, 'IE', 'Ireland'),
(39426, '77.67.45.0', '77.67.45.127', 1296248064, 1296248191, 'FR', 'France'),
(39427, '77.67.45.128', '77.67.45.191', 1296248192, 1296248255, 'IE', 'Ireland'),
(39428, '77.67.45.192', '77.67.45.254', 1296248256, 1296248318, 'BE', 'Belgium'),
(39429, '77.67.45.255', '77.67.45.255', 1296248319, 1296248319, 'FR', 'France'),
(39430, '77.67.46.0', '77.67.46.63', 1296248320, 1296248383, 'BE', 'Belgium'),
(39431, '77.67.46.64', '77.67.46.127', 1296248384, 1296248447, 'IT', 'Italy'),
(39432, '77.67.46.128', '77.67.46.255', 1296248448, 1296248575, 'US', 'United States'),
(39433, '77.67.47.0', '77.67.47.127', 1296248576, 1296248703, 'IE', 'Ireland'),
(39434, '77.67.47.128', '77.67.48.127', 1296248704, 1296248959, 'FR', 'France'),
(39435, '77.67.48.128', '77.67.48.192', 1296248960, 1296249024, 'DE', 'Germany'),
(39436, '77.67.48.193', '77.67.51.255', 1296249025, 1296249855, 'FR', 'France'),
(39437, '77.67.52.0', '77.67.52.31', 1296249856, 1296249887, 'US', 'United States'),
(39438, '77.67.52.32', '77.67.52.95', 1296249888, 1296249951, 'FR', 'France'),
(39439, '77.67.52.96', '77.67.52.159', 1296249952, 1296250015, 'DE', 'Germany'),
(39440, '77.67.52.160', '77.67.52.191', 1296250016, 1296250047, 'IL', 'Israel'),
(39441, '77.67.52.192', '77.67.52.223', 1296250048, 1296250079, 'IE', 'Ireland'),
(39442, '77.67.52.224', '77.67.52.255', 1296250080, 1296250111, 'IL', 'Israel'),
(39443, '77.67.53.0', '77.67.53.31', 1296250112, 1296250143, 'IE', 'Ireland'),
(39444, '77.67.53.32', '77.67.53.63', 1296250144, 1296250175, 'GB', 'United Kingdom'),
(39445, '77.67.53.64', '77.67.53.95', 1296250176, 1296250207, 'FR', 'France'),
(39446, '77.67.53.96', '77.67.53.127', 1296250208, 1296250239, 'ES', 'Spain'),
(39447, '77.67.53.128', '77.67.53.159', 1296250240, 1296250271, 'BE', 'Belgium'),
(39448, '77.67.53.160', '77.67.53.191', 1296250272, 1296250303, 'DE', 'Germany'),
(39449, '77.67.53.192', '77.67.53.223', 1296250304, 1296250335, 'FR', 'France'),
(39450, '77.67.53.224', '77.67.53.255', 1296250336, 1296250367, 'ES', 'Spain'),
(39451, '77.67.54.0', '77.67.56.95', 1296250368, 1296250975, 'FR', 'France'),
(39452, '77.67.56.96', '77.67.56.127', 1296250976, 1296251007, 'DE', 'Germany'),
(39453, '77.67.56.128', '77.67.56.159', 1296251008, 1296251039, 'FR', 'France'),
(39454, '77.67.56.160', '77.67.56.191', 1296251040, 1296251071, 'US', 'United States'),
(39455, '77.67.56.192', '77.67.56.223', 1296251072, 1296251103, 'NL', 'Netherlands'),
(39456, '77.67.56.224', '77.67.56.255', 1296251104, 1296251135, 'ES', 'Spain'),
(39457, '77.67.57.0', '77.67.57.31', 1296251136, 1296251167, 'GB', 'United Kingdom'),
(39458, '77.67.57.32', '77.67.57.63', 1296251168, 1296251199, 'HR', 'Croatia'),
(39459, '77.67.57.64', '77.67.57.159', 1296251200, 1296251295, 'DE', 'Germany'),
(39460, '77.67.57.160', '77.67.57.191', 1296251296, 1296251327, 'BE', 'Belgium'),
(39461, '77.67.57.192', '77.67.57.223', 1296251328, 1296251359, 'IE', 'Ireland'),
(39462, '77.67.57.224', '77.67.57.255', 1296251360, 1296251391, 'DE', 'Germany'),
(39463, '77.67.58.0', '77.67.59.127', 1296251392, 1296251775, 'NL', 'Netherlands'),
(39464, '77.67.59.128', '77.67.59.255', 1296251776, 1296251903, 'DE', 'Germany'),
(39465, '77.67.60.0', '77.67.60.15', 1296251904, 1296251919, 'IR', 'Iran, Islamic Republic of'),
(39466, '77.67.60.16', '77.67.60.31', 1296251920, 1296251935, 'BE', 'Belgium'),
(39467, '77.67.60.32', '77.67.60.63', 1296251936, 1296251967, 'US', 'United States'),
(39468, '77.67.60.64', '77.67.60.111', 1296251968, 1296252015, 'NL', 'Netherlands'),
(39469, '77.67.60.112', '77.67.60.135', 1296252016, 1296252039, 'US', 'United States'),
(39470, '77.67.60.136', '77.67.60.151', 1296252040, 1296252055, 'DE', 'Germany'),
(39471, '77.67.60.152', '77.67.60.159', 1296252056, 1296252063, 'US', 'United States'),
(39472, '77.67.60.160', '77.67.60.175', 1296252064, 1296252079, 'IT', 'Italy'),
(39473, '77.67.60.176', '77.67.60.183', 1296252080, 1296252087, 'IE', 'Ireland'),
(39474, '77.67.60.184', '77.67.60.191', 1296252088, 1296252095, 'FR', 'France'),
(39475, '77.67.60.192', '77.67.60.207', 1296252096, 1296252111, 'BE', 'Belgium'),
(39476, '77.67.60.208', '77.67.60.223', 1296252112, 1296252127, 'GB', 'United Kingdom'),
(39477, '77.67.60.224', '77.67.60.239', 1296252128, 1296252143, 'ES', 'Spain'),
(39478, '77.67.60.240', '77.67.60.255', 1296252144, 1296252159, 'US', 'United States'),
(39479, '77.67.61.0', '77.67.61.15', 1296252160, 1296252175, 'GB', 'United Kingdom'),
(39480, '77.67.61.16', '77.67.61.31', 1296252176, 1296252191, 'PL', 'Poland'),
(39481, '77.67.61.32', '77.67.61.47', 1296252192, 1296252207, 'RO', 'Romania'),
(39482, '77.67.61.48', '77.67.61.63', 1296252208, 1296252223, 'BG', 'Bulgaria'),
(39483, '77.67.61.64', '77.67.61.79', 1296252224, 1296252239, 'GB', 'United Kingdom'),
(39484, '77.67.61.80', '77.67.61.95', 1296252240, 1296252255, 'IT', 'Italy'),
(39485, '77.67.61.96', '77.67.61.111', 1296252256, 1296252271, 'GB', 'United Kingdom'),
(39486, '77.67.61.112', '77.67.61.143', 1296252272, 1296252303, 'FR', 'France'),
(39487, '77.67.61.144', '77.67.61.159', 1296252304, 1296252319, 'IL', 'Israel'),
(39488, '77.67.61.160', '77.67.61.175', 1296252320, 1296252335, 'GB', 'United Kingdom'),
(39489, '77.67.61.176', '77.67.61.191', 1296252336, 1296252351, 'FR', 'France'),
(39490, '77.67.61.192', '77.67.61.199', 1296252352, 1296252359, 'DE', 'Germany'),
(39491, '77.67.61.200', '77.67.61.207', 1296252360, 1296252367, 'FR', 'France'),
(39492, '77.67.61.208', '77.67.61.223', 1296252368, 1296252383, 'DE', 'Germany'),
(39493, '77.67.61.224', '77.67.61.239', 1296252384, 1296252399, 'RO', 'Romania'),
(39494, '77.67.61.240', '77.67.61.255', 1296252400, 1296252415, 'IE', 'Ireland'),
(39495, '77.67.62.0', '77.67.62.255', 1296252416, 1296252671, 'FR', 'France'),
(39496, '77.67.63.0', '77.67.63.7', 1296252672, 1296252679, 'GB', 'United Kingdom'),
(39497, '77.67.63.8', '77.67.63.15', 1296252680, 1296252687, 'FR', 'France'),
(39498, '77.67.63.16', '77.67.63.23', 1296252688, 1296252695, 'NL', 'Netherlands'),
(39499, '77.67.63.24', '77.67.63.39', 1296252696, 1296252711, 'DE', 'Germany'),
(39500, '77.67.63.40', '77.67.63.47', 1296252712, 1296252719, 'FR', 'France'),
(39501, '77.67.63.48', '77.67.63.55', 1296252720, 1296252727, 'BE', 'Belgium'),
(39502, '77.67.63.56', '77.67.63.63', 1296252728, 1296252735, 'IL', 'Israel'),
(39503, '77.67.63.64', '77.67.63.67', 1296252736, 1296252739, 'FR', 'France'),
(39504, '77.67.63.68', '77.67.63.71', 1296252740, 1296252743, 'IM', 'Isle of Man'),
(39505, '77.67.63.72', '77.67.63.87', 1296252744, 1296252759, 'FR', 'France'),
(39506, '77.67.63.88', '77.67.63.119', 1296252760, 1296252791, 'DE', 'Germany'),
(39507, '77.67.63.120', '77.67.63.127', 1296252792, 1296252799, 'IE', 'Ireland'),
(39508, '77.67.63.128', '77.67.63.167', 1296252800, 1296252839, 'GB', 'United Kingdom'),
(39509, '77.67.63.168', '77.67.63.175', 1296252840, 1296252847, 'DE', 'Germany'),
(39510, '77.67.63.176', '77.67.63.183', 1296252848, 1296252855, 'GB', 'United Kingdom'),
(39511, '77.67.63.184', '77.67.63.199', 1296252856, 1296252871, 'IE', 'Ireland'),
(39512, '77.67.63.200', '77.67.63.215', 1296252872, 1296252887, 'DE', 'Germany'),
(39513, '77.67.63.216', '77.67.63.223', 1296252888, 1296252895, 'IE', 'Ireland'),
(39514, '77.67.63.224', '77.67.63.239', 1296252896, 1296252911, 'BE', 'Belgium'),
(39515, '77.67.63.240', '77.67.63.247', 1296252912, 1296252919, 'GB', 'United Kingdom'),
(39516, '77.67.63.248', '77.67.63.255', 1296252920, 1296252927, 'PL', 'Poland'),
(39517, '77.67.64.0', '77.67.74.255', 1296252928, 1296255743, 'DE', 'Germany'),
(39518, '77.67.75.0', '77.67.75.255', 1296255744, 1296255999, 'FR', 'France'),
(39519, '77.67.76.0', '77.67.79.255', 1296256000, 1296257023, 'DE', 'Germany'),
(39520, '77.67.80.0', '77.67.81.255', 1296257024, 1296257535, 'US', 'United States'),
(39521, '77.67.82.0', '77.67.82.255', 1296257536, 1296257791, 'DE', 'Germany'),
(39522, '77.67.83.0', '77.67.83.255', 1296257792, 1296258047, 'US', 'United States'),
(39523, '77.67.84.0', '77.67.84.255', 1296258048, 1296258303, 'TW', 'Taiwan'),
(39524, '77.67.85.0', '77.67.87.255', 1296258304, 1296259071, 'NL', 'Netherlands'),
(39525, '77.67.88.0', '77.67.89.255', 1296259072, 1296259583, 'US', 'United States'),
(39526, '77.67.90.0', '77.67.90.255', 1296259584, 1296259839, 'DE', 'Germany'),
(39527, '77.67.91.0', '77.67.92.255', 1296259840, 1296260351, 'NL', 'Netherlands'),
(39528, '77.67.93.0', '77.67.93.255', 1296260352, 1296260607, 'US', 'United States'),
(39529, '77.67.94.0', '77.67.99.255', 1296260608, 1296262143, 'DE', 'Germany'),
(39530, '77.67.100.0', '77.67.100.255', 1296262144, 1296262399, 'FR', 'France'),
(39531, '77.67.101.0', '77.67.101.255', 1296262400, 1296262655, 'US', 'United States'),
(39532, '77.67.102.0', '77.67.102.255', 1296262656, 1296262911, 'FR', 'France'),
(39533, '77.67.103.0', '77.67.106.255', 1296262912, 1296263935, 'US', 'United States'),
(39534, '77.67.107.0', '77.67.107.7', 1296263936, 1296263943, 'FR', 'France'),
(39535, '77.67.107.8', '77.67.107.63', 1296263944, 1296263999, 'US', 'United States'),
(39536, '77.67.107.64', '77.67.107.79', 1296264000, 1296264015, 'FR', 'France'),
(39537, '77.67.107.80', '77.67.107.87', 1296264016, 1296264023, 'US', 'United States'),
(39538, '77.67.107.88', '77.67.107.91', 1296264024, 1296264027, 'DE', 'Germany'),
(39539, '77.67.107.92', '77.67.107.95', 1296264028, 1296264031, 'FR', 'France'),
(39540, '77.67.107.96', '77.67.107.99', 1296264032, 1296264035, 'IM', 'Isle of Man'),
(39541, '77.67.107.100', '77.67.107.103', 1296264036, 1296264039, 'FR', 'France'),
(39542, '77.67.107.104', '77.67.107.111', 1296264040, 1296264047, 'US', 'United States'),
(39543, '77.67.107.112', '77.67.107.127', 1296264048, 1296264063, 'FR', 'France'),
(39544, '77.67.107.128', '77.67.107.215', 1296264064, 1296264151, 'GB', 'United Kingdom'),
(39545, '77.67.107.216', '77.67.107.255', 1296264152, 1296264191, 'FR', 'France'),
(39546, '77.67.108.0', '77.67.108.31', 1296264192, 1296264223, 'US', 'United States'),
(39547, '77.67.108.32', '77.67.108.47', 1296264224, 1296264239, 'IE', 'Ireland'),
(39548, '77.67.108.48', '77.67.108.79', 1296264240, 1296264271, 'FR', 'France'),
(39549, '77.67.108.80', '77.67.108.111', 1296264272, 1296264303, 'US', 'United States'),
(39550, '77.67.108.112', '77.67.108.127', 1296264304, 1296264319, 'CA', 'Canada'),
(39551, '77.67.108.128', '77.67.108.191', 1296264320, 1296264383, 'US', 'United States'),
(39552, '77.67.108.192', '77.67.108.255', 1296264384, 1296264447, 'FR', 'France'),
(39553, '77.67.109.0', '77.67.109.95', 1296264448, 1296264543, 'US', 'United States'),
(39554, '77.67.109.96', '77.67.109.191', 1296264544, 1296264639, 'CA', 'Canada'),
(39555, '77.67.109.192', '77.67.109.223', 1296264640, 1296264671, 'US', 'United States'),
(39556, '77.67.109.224', '77.67.109.255', 1296264672, 1296264703, 'FR', 'France'),
(39557, '77.67.110.0', '77.67.111.63', 1296264704, 1296265023, 'US', 'United States'),
(39558, '77.67.111.64', '77.67.111.127', 1296265024, 1296265087, 'FR', 'France'),
(39559, '77.67.111.128', '77.67.111.191', 1296265088, 1296265151, 'CA', 'Canada'),
(39560, '77.67.111.192', '77.67.111.255', 1296265152, 1296265215, 'FR', 'France'),
(39561, '77.67.112.0', '77.67.113.255', 1296265216, 1296265727, 'US', 'United States'),
(39562, '77.67.114.0', '77.67.115.255', 1296265728, 1296266239, 'FR', 'France'),
(39563, '77.67.116.0', '77.67.117.255', 1296266240, 1296266751, 'US', 'United States'),
(39564, '77.67.118.0', '77.67.118.255', 1296266752, 1296267007, 'FR', 'France'),
(39565, '77.67.119.0', '77.67.119.255', 1296267008, 1296267263, 'US', 'United States'),
(39566, '77.67.120.0', '77.67.120.255', 1296267264, 1296267519, 'FR', 'France'),
(39567, '77.67.121.0', '77.67.121.255', 1296267520, 1296267775, 'CA', 'Canada'),
(39568, '77.67.122.0', '77.67.122.255', 1296267776, 1296268031, 'US', 'United States'),
(39569, '77.67.123.0', '77.67.123.255', 1296268032, 1296268287, 'FR', 'France'),
(39570, '77.67.124.0', '77.67.125.255', 1296268288, 1296268799, 'US', 'United States'),
(39571, '77.67.126.0', '77.67.126.255', 1296268800, 1296269055, 'FR', 'France'),
(39572, '77.67.127.0', '77.67.127.255', 1296269056, 1296269311, 'US', 'United States'),
(39573, '77.67.128.0', '77.67.255.255', 1296269312, 1296302079, 'TR', 'Turkey'),
(39574, '77.68.0.0', '77.68.127.255', 1296302080, 1296334847, 'GB', 'United Kingdom'),
(39575, '77.68.128.0', '77.68.255.255', 1296334848, 1296367615, 'DK', 'Denmark'),
(39576, '77.69.0.0', '77.69.127.255', 1296367616, 1296400383, 'GR', 'Greece'),
(39577, '77.69.128.0', '77.69.255.255', 1296400384, 1296433151, 'BH', 'Bahrain'),
(39578, '77.70.0.0', '77.70.127.255', 1296433152, 1296465919, 'BG', 'Bulgaria'),
(39579, '77.70.128.0', '77.70.129.239', 1296465920, 1296466415, 'NO', 'Norway'),
(39580, '77.70.129.240', '77.70.129.255', 1296466416, 1296466431, 'NG', 'Nigeria'),
(39581, '77.70.130.0', '77.70.130.7', 1296466432, 1296466439, 'NO', 'Norway'),
(39582, '77.70.130.8', '77.70.130.15', 1296466440, 1296466447, 'TZ', 'Tanzania, United Republic of'),
(39583, '77.70.130.16', '77.70.130.63', 1296466448, 1296466495, 'NO', 'Norway'),
(39584, '77.70.130.64', '77.70.130.111', 1296466496, 1296466543, 'GN', 'Guinea'),
(39585, '77.70.130.112', '77.70.130.223', 1296466544, 1296466655, 'NO', 'Norway'),
(39586, '77.70.130.224', '77.70.130.239', 1296466656, 1296466671, 'BJ', 'Benin'),
(39587, '77.70.130.240', '77.70.153.63', 1296466672, 1296472383, 'NO', 'Norway'),
(39588, '77.70.153.64', '77.70.153.95', 1296472384, 1296472415, 'BI', 'Burundi'),
(39589, '77.70.153.96', '77.70.155.255', 1296472416, 1296473087, 'NO', 'Norway'),
(39590, '77.70.156.0', '77.70.161.255', 1296473088, 1296474623, 'LT', 'Lithuania'),
(39591, '77.70.162.0', '77.70.167.255', 1296474624, 1296476159, 'US', 'United States'),
(39592, '77.70.168.0', '77.70.181.255', 1296476160, 1296479743, 'LT', 'Lithuania'),
(39593, '77.70.182.0', '77.70.191.255', 1296479744, 1296482303, 'NO', 'Norway'),
(39594, '77.70.192.0', '77.70.255.255', 1296482304, 1296498687, 'LT', 'Lithuania'),
(39595, '77.71.0.0', '77.71.127.255', 1296498688, 1296531455, 'BG', 'Bulgaria'),
(39596, '77.71.128.0', '77.71.255.255', 1296531456, 1296564223, 'MT', 'Malta'),
(39597, '77.72.0.0', '77.72.7.255', 1296564224, 1296566271, 'GB', 'United Kingdom'),
(39598, '77.72.8.0', '77.72.15.255', 1296566272, 1296568319, 'DE', 'Germany'),
(39599, '77.72.16.0', '77.72.23.255', 1296568320, 1296570367, 'RU', 'Russian Federation'),
(39600, '77.72.24.0', '77.72.39.255', 1296570368, 1296574463, 'IT', 'Italy'),
(39601, '77.72.40.0', '77.72.47.255', 1296574464, 1296576511, 'FR', 'France'),
(39602, '77.72.48.0', '77.72.55.255', 1296576512, 1296578559, 'DK', 'Denmark'),
(39603, '77.72.56.0', '77.72.63.255', 1296578560, 1296580607, 'FI', 'Finland'),
(39604, '77.72.64.0', '77.72.71.255', 1296580608, 1296582655, 'CH', 'Switzerland'),
(39605, '77.72.72.0', '77.72.79.255', 1296582656, 1296584703, 'IE', 'Ireland'),
(39606, '77.72.80.0', '77.72.87.255', 1296584704, 1296586751, 'RU', 'Russian Federation'),
(39607, '77.72.88.0', '77.72.95.255', 1296586752, 1296588799, 'FR', 'France'),
(39608, '77.72.96.0', '77.72.103.255', 1296588800, 1296590847, 'SE', 'Sweden'),
(39609, '77.72.104.0', '77.72.111.255', 1296590848, 1296592895, 'ES', 'Spain'),
(39610, '77.72.112.0', '77.72.119.255', 1296592896, 1296594943, 'NL', 'Netherlands'),
(39611, '77.72.120.0', '77.72.127.255', 1296594944, 1296596991, 'RU', 'Russian Federation'),
(39612, '77.72.128.0', '77.72.135.255', 1296596992, 1296599039, 'DE', 'Germany'),
(39613, '77.72.136.0', '77.72.143.255', 1296599040, 1296601087, 'RU', 'Russian Federation'),
(39614, '77.72.144.0', '77.72.151.255', 1296601088, 1296603135, 'DE', 'Germany'),
(39615, '77.72.152.0', '77.72.159.255', 1296603136, 1296605183, 'NL', 'Netherlands'),
(39616, '77.72.160.0', '77.72.164.63', 1296605184, 1296606271, 'AT', 'Austria'),
(39617, '77.72.164.64', '77.72.164.127', 1296606272, 1296606335, 'DE', 'Germany'),
(39618, '77.72.164.128', '77.72.164.159', 1296606336, 1296606367, 'AT', 'Austria'),
(39619, '77.72.164.160', '77.72.164.191', 1296606368, 1296606399, 'CH', 'Switzerland'),
(39620, '77.72.164.192', '77.72.167.127', 1296606400, 1296607103, 'AT', 'Austria'),
(39621, '77.72.167.128', '77.72.167.159', 1296607104, 1296607135, 'CH', 'Switzerland'),
(39622, '77.72.167.160', '77.72.167.255', 1296607136, 1296607231, 'AT', 'Austria'),
(39623, '77.72.168.0', '77.72.169.255', 1296607232, 1296607743, 'CH', 'Switzerland'),
(39624, '77.72.170.0', '77.72.170.255', 1296607744, 1296607999, 'NL', 'Netherlands'),
(39625, '77.72.171.0', '77.72.174.255', 1296608000, 1296609023, 'CH', 'Switzerland'),
(39626, '77.72.175.0', '77.72.175.255', 1296609024, 1296609279, 'NL', 'Netherlands'),
(39627, '77.72.176.0', '77.72.183.255', 1296609280, 1296611327, 'CH', 'Switzerland'),
(39628, '77.72.184.0', '77.72.191.255', 1296611328, 1296613375, 'TR', 'Turkey'),
(39629, '77.72.192.0', '77.72.199.255', 1296613376, 1296615423, 'IT', 'Italy'),
(39630, '77.72.200.0', '77.72.207.255', 1296615424, 1296617471, 'GB', 'United Kingdom'),
(39631, '77.72.208.0', '77.72.215.255', 1296617472, 1296619519, 'ES', 'Spain'),
(39632, '77.72.216.0', '77.72.223.255', 1296619520, 1296621567, 'DE', 'Germany'),
(39633, '77.72.224.0', '77.72.231.255', 1296621568, 1296623615, 'SE', 'Sweden'),
(39634, '77.72.232.0', '77.72.239.255', 1296623616, 1296625663, 'BE', 'Belgium'),
(39635, '77.72.240.0', '77.72.255.255', 1296625664, 1296629759, 'RU', 'Russian Federation'),
(39636, '77.73.0.0', '77.73.15.255', 1296629760, 1296633855, 'GB', 'United Kingdom'),
(39637, '77.73.16.0', '77.73.23.255', 1296633856, 1296635903, 'NL', 'Netherlands'),
(39638, '77.73.24.0', '77.73.31.255', 1296635904, 1296637951, 'RU', 'Russian Federation'),
(39639, '77.73.32.0', '77.73.39.255', 1296637952, 1296639999, 'CH', 'Switzerland'),
(39640, '77.73.40.0', '77.73.47.255', 1296640000, 1296642047, 'ES', 'Spain'),
(39641, '77.73.48.0', '77.73.55.255', 1296642048, 1296644095, 'RU', 'Russian Federation'),
(39642, '77.73.56.0', '77.73.63.255', 1296644096, 1296646143, 'IT', 'Italy'),
(39643, '77.73.64.0', '77.73.71.255', 1296646144, 1296648191, 'RU', 'Russian Federation'),
(39644, '77.73.72.0', '77.73.79.255', 1296648192, 1296650239, 'GB', 'United Kingdom'),
(39645, '77.73.80.0', '77.73.87.255', 1296650240, 1296652287, 'ES', 'Spain'),
(39646, '77.73.88.0', '77.73.95.255', 1296652288, 1296654335, 'RU', 'Russian Federation'),
(39647, '77.73.96.0', '77.73.103.255', 1296654336, 1296656383, 'BE', 'Belgium'),
(39648, '77.73.104.0', '77.73.111.255', 1296656384, 1296658431, 'RU', 'Russian Federation'),
(39649, '77.73.112.0', '77.73.127.255', 1296658432, 1296662527, 'GB', 'United Kingdom'),
(39650, '77.73.128.0', '77.73.135.255', 1296662528, 1296664575, 'KZ', 'Kazakhstan'),
(39651, '77.73.136.0', '77.73.143.255', 1296664576, 1296666623, 'RU', 'Russian Federation'),
(39652, '77.73.144.0', '77.73.159.255', 1296666624, 1296670719, 'GB', 'United Kingdom'),
(39653, '77.73.160.0', '77.73.167.255', 1296670720, 1296672767, 'ES', 'Spain'),
(39654, '77.73.168.0', '77.73.175.255', 1296672768, 1296674815, 'GB', 'United Kingdom'),
(39655, '77.73.176.0', '77.73.183.255', 1296674816, 1296676863, 'BE', 'Belgium'),
(39656, '77.73.184.0', '77.73.185.151', 1296676864, 1296677271, 'NG', 'Nigeria'),
(39657, '77.73.185.152', '77.73.185.167', 1296677272, 1296677287, 'A2', 'Satellite Provider'),
(39658, '77.73.185.168', '77.73.185.191', 1296677288, 1296677311, 'NG', 'Nigeria'),
(39659, '77.73.185.192', '77.73.185.199', 1296677312, 1296677319, 'A2', 'Satellite Provider'),
(39660, '77.73.185.200', '77.73.185.223', 1296677320, 1296677343, 'NG', 'Nigeria'),
(39661, '77.73.185.224', '77.73.185.231', 1296677344, 1296677351, 'A2', 'Satellite Provider'),
(39662, '77.73.185.232', '77.73.185.247', 1296677352, 1296677367, 'NG', 'Nigeria'),
(39663, '77.73.185.248', '77.73.185.255', 1296677368, 1296677375, 'US', 'United States'),
(39664, '77.73.186.0', '77.73.186.135', 1296677376, 1296677511, 'NG', 'Nigeria'),
(39665, '77.73.186.136', '77.73.186.143', 1296677512, 1296677519, 'A2', 'Satellite Provider'),
(39666, '77.73.186.144', '77.73.186.215', 1296677520, 1296677591, 'NG', 'Nigeria'),
(39667, '77.73.186.216', '77.73.186.223', 1296677592, 1296677599, 'A2', 'Satellite Provider'),
(39668, '77.73.186.224', '77.73.187.71', 1296677600, 1296677703, 'NG', 'Nigeria'),
(39669, '77.73.187.72', '77.73.187.87', 1296677704, 1296677719, 'A2', 'Satellite Provider'),
(39670, '77.73.187.88', '77.73.187.103', 1296677720, 1296677735, 'NG', 'Nigeria'),
(39671, '77.73.187.104', '77.73.187.119', 1296677736, 1296677751, 'A2', 'Satellite Provider'),
(39672, '77.73.187.120', '77.73.187.135', 1296677752, 1296677767, 'NG', 'Nigeria'),
(39673, '77.73.187.136', '77.73.187.143', 1296677768, 1296677775, 'A2', 'Satellite Provider'),
(39674, '77.73.187.144', '77.73.188.71', 1296677776, 1296677959, 'NG', 'Nigeria'),
(39675, '77.73.188.72', '77.73.188.79', 1296677960, 1296677967, 'A2', 'Satellite Provider'),
(39676, '77.73.188.80', '77.73.188.103', 1296677968, 1296677991, 'NG', 'Nigeria'),
(39677, '77.73.188.104', '77.73.188.127', 1296677992, 1296678015, 'A2', 'Satellite Provider'),
(39678, '77.73.188.128', '77.73.188.159', 1296678016, 1296678047, 'NG', 'Nigeria'),
(39679, '77.73.188.160', '77.73.188.191', 1296678048, 1296678079, 'A2', 'Satellite Provider'),
(39680, '77.73.188.192', '77.73.188.231', 1296678080, 1296678119, 'NG', 'Nigeria'),
(39681, '77.73.188.232', '77.73.188.255', 1296678120, 1296678143, 'A2', 'Satellite Provider'),
(39682, '77.73.189.0', '77.73.189.7', 1296678144, 1296678151, 'NG', 'Nigeria'),
(39683, '77.73.189.8', '77.73.189.15', 1296678152, 1296678159, 'A2', 'Satellite Provider'),
(39684, '77.73.189.16', '77.73.189.71', 1296678160, 1296678215, 'NG', 'Nigeria'),
(39685, '77.73.189.72', '77.73.189.79', 1296678216, 1296678223, 'A2', 'Satellite Provider'),
(39686, '77.73.189.80', '77.73.189.207', 1296678224, 1296678351, 'NG', 'Nigeria'),
(39687, '77.73.189.208', '77.73.189.223', 1296678352, 1296678367, 'A2', 'Satellite Provider'),
(39688, '77.73.189.224', '77.73.190.15', 1296678368, 1296678415, 'NG', 'Nigeria'),
(39689, '77.73.190.16', '77.73.190.31', 1296678416, 1296678431, 'A2', 'Satellite Provider'),
(39690, '77.73.190.32', '77.73.190.47', 1296678432, 1296678447, 'NG', 'Nigeria'),
(39691, '77.73.190.48', '77.73.190.63', 1296678448, 1296678463, 'A2', 'Satellite Provider'),
(39692, '77.73.190.64', '77.73.190.71', 1296678464, 1296678471, 'NG', 'Nigeria'),
(39693, '77.73.190.72', '77.73.190.79', 1296678472, 1296678479, 'A2', 'Satellite Provider'),
(39694, '77.73.190.80', '77.73.191.119', 1296678480, 1296678775, 'NG', 'Nigeria'),
(39695, '77.73.191.120', '77.73.191.135', 1296678776, 1296678791, 'A2', 'Satellite Provider'),
(39696, '77.73.191.136', '77.73.191.175', 1296678792, 1296678831, 'NG', 'Nigeria'),
(39697, '77.73.191.176', '77.73.191.183', 1296678832, 1296678839, 'A2', 'Satellite Provider'),
(39698, '77.73.191.184', '77.73.191.255', 1296678840, 1296678911, 'NG', 'Nigeria'),
(39699, '77.73.192.0', '77.73.196.255', 1296678912, 1296680191, 'SA', 'Saudi Arabia'),
(39700, '77.73.197.0', '77.73.197.255', 1296680192, 1296680447, 'AE', 'United Arab Emirates'),
(39701, '77.73.198.0', '77.73.198.255', 1296680448, 1296680703, 'KW', 'Kuwait'),
(39702, '77.73.199.0', '77.73.199.255', 1296680704, 1296680959, 'SA', 'Saudi Arabia'),
(39703, '77.73.200.0', '77.73.207.255', 1296680960, 1296683007, 'ES', 'Spain'),
(39704, '77.73.208.0', '77.73.215.255', 1296683008, 1296685055, 'IE', 'Ireland'),
(39705, '77.73.216.0', '77.73.223.255', 1296685056, 1296687103, 'TR', 'Turkey'),
(39706, '77.73.224.0', '77.73.231.255', 1296687104, 1296689151, 'NL', 'Netherlands'),
(39707, '77.73.232.0', '77.73.239.255', 1296689152, 1296691199, 'RU', 'Russian Federation'),
(39708, '77.73.240.0', '77.73.247.255', 1296691200, 1296693247, 'CH', 'Switzerland'),
(39709, '77.73.248.0', '77.73.255.255', 1296693248, 1296695295, 'DE', 'Germany'),
(39710, '77.74.0.0', '77.74.5.255', 1296695296, 1296696831, 'CH', 'Switzerland'),
(39711, '77.74.6.0', '77.74.6.255', 1296696832, 1296697087, 'DE', 'Germany'),
(39712, '77.74.7.0', '77.74.7.255', 1296697088, 1296697343, 'CH', 'Switzerland'),
(39713, '77.74.8.0', '77.74.15.255', 1296697344, 1296699391, 'RU', 'Russian Federation'),
(39714, '77.74.16.0', '77.74.23.255', 1296699392, 1296701439, 'IT', 'Italy'),
(39715, '77.74.24.0', '77.74.31.255', 1296701440, 1296703487, 'RU', 'Russian Federation'),
(39716, '77.74.32.0', '77.74.39.255', 1296703488, 1296705535, 'BY', 'Belarus'),
(39717, '77.74.40.0', '77.74.47.255', 1296705536, 1296707583, 'GE', 'Georgia'),
(39718, '77.74.48.0', '77.74.55.255', 1296707584, 1296709631, 'NL', 'Netherlands'),
(39719, '77.74.56.0', '77.74.63.255', 1296709632, 1296711679, 'CY', 'Cyprus'),
(39720, '77.74.64.0', '77.74.71.255', 1296711680, 1296713727, 'KZ', 'Kazakhstan'),
(39721, '77.74.72.0', '77.74.79.255', 1296713728, 1296715775, 'RU', 'Russian Federation'),
(39722, '77.74.80.0', '77.74.87.255', 1296715776, 1296717823, 'CH', 'Switzerland'),
(39723, '77.74.88.0', '77.74.95.255', 1296717824, 1296719871, 'BE', 'Belgium'),
(39724, '77.74.96.0', '77.74.103.255', 1296719872, 1296721919, 'CH', 'Switzerland'),
(39725, '77.74.104.0', '77.74.111.255', 1296721920, 1296723967, 'GB', 'United Kingdom'),
(39726, '77.74.112.0', '77.74.119.255', 1296723968, 1296726015, 'AT', 'Austria'),
(39727, '77.74.120.0', '77.74.127.255', 1296726016, 1296728063, 'GB', 'United Kingdom'),
(39728, '77.74.128.0', '77.74.135.255', 1296728064, 1296730111, 'SE', 'Sweden'),
(39729, '77.74.136.0', '77.74.143.255', 1296730112, 1296732159, 'DE', 'Germany'),
(39730, '77.74.144.0', '77.74.151.255', 1296732160, 1296734207, 'IT', 'Italy'),
(39731, '77.74.152.0', '77.74.159.255', 1296734208, 1296736255, 'FR', 'France'),
(39732, '77.74.160.0', '77.74.167.255', 1296736256, 1296738303, 'NO', 'Norway'),
(39733, '77.74.168.0', '77.74.169.255', 1296738304, 1296738815, 'CH', 'Switzerland'),
(39734, '77.74.170.0', '77.74.171.255', 1296738816, 1296739327, 'FI', 'Finland'),
(39735, '77.74.172.0', '77.74.175.255', 1296739328, 1296740351, 'CH', 'Switzerland'),
(39736, '77.74.176.0', '77.74.191.255', 1296740352, 1296744447, 'RU', 'Russian Federation'),
(39737, '77.74.192.0', '77.74.199.255', 1296744448, 1296746495, 'GB', 'United Kingdom'),
(39738, '77.74.200.0', '77.74.207.255', 1296746496, 1296748543, 'SI', 'Slovenia'),
(39739, '77.74.208.0', '77.74.215.255', 1296748544, 1296750591, 'FR', 'France'),
(39740, '77.74.216.0', '77.74.223.255', 1296750592, 1296752639, 'NO', 'Norway'),
(39741, '77.74.224.0', '77.74.231.255', 1296752640, 1296754687, 'BA', 'Bosnia and Herzegovina'),
(39742, '77.74.232.0', '77.74.239.255', 1296754688, 1296756735, 'DE', 'Germany'),
(39743, '77.74.240.0', '77.74.247.255', 1296756736, 1296758783, 'FR', 'France'),
(39744, '77.74.248.0', '77.74.255.255', 1296758784, 1296760831, 'RS', 'Serbia'),
(39745, '77.75.0.0', '77.75.15.255', 1296760832, 1296764927, 'RU', 'Russian Federation'),
(39746, '77.75.16.0', '77.75.31.255', 1296764928, 1296769023, 'AT', 'Austria'),
(39747, '77.75.32.0', '77.75.39.255', 1296769024, 1296771071, 'TR', 'Turkey'),
(39748, '77.75.40.0', '77.75.47.255', 1296771072, 1296773119, 'LT', 'Lithuania'),
(39749, '77.75.48.0', '77.75.52.223', 1296773120, 1296774367, 'FR', 'France'),
(39750, '77.75.52.224', '77.75.55.255', 1296774368, 1296775167, 'EU', 'Europe'),
(39751, '77.75.56.0', '77.75.71.255', 1296775168, 1296779263, 'FR', 'France'),
(39752, '77.75.72.0', '77.75.79.255', 1296779264, 1296781311, 'CZ', 'Czech Republic'),
(39753, '77.75.80.0', '77.75.87.255', 1296781312, 1296783359, 'DK', 'Denmark'),
(39754, '77.75.88.0', '77.75.95.255', 1296783360, 1296785407, 'LB', 'Lebanon'),
(39755, '77.75.96.0', '77.75.103.255', 1296785408, 1296787455, 'IE', 'Ireland'),
(39756, '77.75.104.0', '77.75.111.255', 1296787456, 1296789503, 'GB', 'United Kingdom'),
(39757, '77.75.112.0', '77.75.119.255', 1296789504, 1296791551, 'CH', 'Switzerland'),
(39758, '77.75.120.0', '77.75.127.255', 1296791552, 1296793599, 'GB', 'United Kingdom'),
(39759, '77.75.128.0', '77.75.135.255', 1296793600, 1296795647, 'RU', 'Russian Federation'),
(39760, '77.75.136.0', '77.75.136.255', 1296795648, 1296795903, 'NL', 'Netherlands'),
(39761, '77.75.137.0', '77.75.143.255', 1296795904, 1296797695, 'GB', 'United Kingdom'),
(39762, '77.75.144.0', '77.75.151.255', 1296797696, 1296799743, 'UA', 'Ukraine'),
(39763, '77.75.152.0', '77.75.159.255', 1296799744, 1296801791, 'RU', 'Russian Federation'),
(39764, '77.75.160.0', '77.75.167.255', 1296801792, 1296803839, 'DK', 'Denmark'),
(39765, '77.75.168.0', '77.75.175.255', 1296803840, 1296805887, 'RU', 'Russian Federation'),
(39766, '77.75.176.0', '77.75.183.255', 1296805888, 1296807935, 'ES', 'Spain'),
(39767, '77.75.184.0', '77.75.199.255', 1296807936, 1296812031, 'GB', 'United Kingdom'),
(39768, '77.75.200.0', '77.75.207.255', 1296812032, 1296814079, 'DE', 'Germany'),
(39769, '77.75.208.0', '77.75.215.255', 1296814080, 1296816127, 'NO', 'Norway'),
(39770, '77.75.216.0', '77.75.223.255', 1296816128, 1296818175, 'TR', 'Turkey'),
(39771, '77.75.224.0', '77.75.231.255', 1296818176, 1296820223, 'ES', 'Spain'),
(39772, '77.75.232.0', '77.75.239.255', 1296820224, 1296822271, 'GB', 'United Kingdom'),
(39773, '77.75.240.0', '77.75.247.255', 1296822272, 1296824319, 'IE', 'Ireland'),
(39774, '77.75.248.0', '77.75.255.255', 1296824320, 1296826367, 'DE', 'Germany'),
(39775, '77.76.0.0', '77.76.63.255', 1296826368, 1296842751, 'BG', 'Bulgaria'),
(39776, '77.76.64.0', '77.76.127.255', 1296842752, 1296859135, 'GB', 'United Kingdom'),
(39777, '77.76.128.0', '77.76.191.255', 1296859136, 1296875519, 'BG', 'Bulgaria'),
(39778, '77.76.192.0', '77.76.255.255', 1296875520, 1296891903, 'DE', 'Germany'),
(39779, '77.77.0.0', '77.77.63.255', 1296891904, 1296908287, 'BG', 'Bulgaria'),
(39780, '77.77.64.0', '77.77.127.255', 1296908288, 1296924671, 'IR', 'Iran, Islamic Republic of'),
(39781, '77.77.128.0', '77.77.191.255', 1296924672, 1296941055, 'BG', 'Bulgaria'),
(39782, '77.77.192.0', '77.77.255.255', 1296941056, 1296957439, 'BA', 'Bosnia and Herzegovina'),
(39783, '77.78.0.0', '77.78.63.255', 1296957440, 1296973823, 'BG', 'Bulgaria'),
(39784, '77.78.64.0', '77.78.127.255', 1296973824, 1296990207, 'CZ', 'Czech Republic'),
(39785, '77.78.128.0', '77.78.191.255', 1296990208, 1297006591, 'BG', 'Bulgaria'),
(39786, '77.78.192.0', '77.78.255.255', 1297006592, 1297022975, 'BA', 'Bosnia and Herzegovina'),
(39787, '77.79.0.0', '77.79.14.255', 1297022976, 1297026815, 'LT', 'Lithuania'),
(39788, '77.79.15.0', '77.79.15.31', 1297026816, 1297026847, 'FR', 'France'),
(39789, '77.79.15.32', '77.79.15.63', 1297026848, 1297026879, 'LT', 'Lithuania'),
(39790, '77.79.15.64', '77.79.15.72', 1297026880, 1297026888, 'CY', 'Cyprus'),
(39791, '77.79.15.73', '77.79.63.255', 1297026889, 1297039359, 'LT', 'Lithuania'),
(39792, '77.79.64.0', '77.79.127.255', 1297039360, 1297055743, 'TR', 'Turkey'),
(39793, '77.79.128.0', '77.79.191.255', 1297055744, 1297072127, 'RU', 'Russian Federation'),
(39794, '77.79.192.0', '77.79.235.239', 1297072128, 1297083375, 'PL', 'Poland'),
(39795, '77.79.235.240', '77.79.235.255', 1297083376, 1297083391, 'SE', 'Sweden'),
(39796, '77.79.236.0', '77.79.255.255', 1297083392, 1297088511, 'PL', 'Poland'),
(39797, '77.80.0.0', '77.80.127.255', 1297088512, 1297121279, 'AT', 'Austria'),
(39798, '77.80.128.0', '77.80.255.255', 1297121280, 1297154047, 'SE', 'Sweden'),
(39799, '77.81.0.0', '77.81.239.255', 1297154048, 1297215487, 'RO', 'Romania'),
(39800, '77.81.240.0', '77.81.247.255', 1297215488, 1297217535, 'NL', 'Netherlands'),
(39801, '77.81.248.0', '77.81.255.255', 1297217536, 1297219583, 'RO', 'Romania'),
(39802, '77.82.0.0', '77.82.255.255', 1297219584, 1297285119, 'RU', 'Russian Federation'),
(39803, '77.83.0.0', '77.83.255.255', 1297285120, 1297350655, 'GR', 'Greece'),
(39804, '77.84.0.0', '77.84.255.255', 1297350656, 1297416191, 'FR', 'France'),
(39805, '77.85.0.0', '77.85.255.255', 1297416192, 1297481727, 'BG', 'Bulgaria'),
(39806, '77.86.0.0', '77.86.127.255', 1297481728, 1297514495, 'GB', 'United Kingdom'),
(39807, '77.86.128.0', '77.86.255.255', 1297514496, 1297547263, 'FI', 'Finland'),
(39808, '77.87.0.0', '77.87.7.255', 1297547264, 1297549311, 'PL', 'Poland'),
(39809, '77.87.8.0', '77.87.15.255', 1297549312, 1297551359, 'LT', 'Lithuania'),
(39810, '77.87.16.0', '77.87.23.255', 1297551360, 1297553407, 'SA', 'Saudi Arabia'),
(39811, '77.87.24.0', '77.87.31.255', 1297553408, 1297555455, 'IE', 'Ireland'),
(39812, '77.87.32.0', '77.87.47.255', 1297555456, 1297559551, 'UA', 'Ukraine'),
(39813, '77.87.48.0', '77.87.55.255', 1297559552, 1297561599, 'DE', 'Germany'),
(39814, '77.87.56.0', '77.87.63.255', 1297561600, 1297563647, 'NL', 'Netherlands'),
(39815, '77.87.64.0', '77.87.71.255', 1297563648, 1297565695, 'RU', 'Russian Federation'),
(39816, '77.87.72.0', '77.87.79.255', 1297565696, 1297567743, 'PL', 'Poland'),
(39817, '77.87.80.0', '77.87.87.255', 1297567744, 1297569791, 'RU', 'Russian Federation'),
(39818, '77.87.88.0', '77.87.95.255', 1297569792, 1297571839, 'RO', 'Romania'),
(39819, '77.87.96.0', '77.87.103.255', 1297571840, 1297573887, 'RU', 'Russian Federation'),
(39820, '77.87.104.0', '77.87.111.255', 1297573888, 1297575935, 'FR', 'France'),
(39821, '77.87.112.0', '77.87.119.255', 1297575936, 1297577983, 'RU', 'Russian Federation'),
(39822, '77.87.120.0', '77.87.127.255', 1297577984, 1297580031, 'PL', 'Poland'),
(39823, '77.87.128.0', '77.87.135.255', 1297580032, 1297582079, 'CH', 'Switzerland'),
(39824, '77.87.136.0', '77.87.143.255', 1297582080, 1297584127, 'PL', 'Poland'),
(39825, '77.87.144.0', '77.87.159.255', 1297584128, 1297588223, 'UA', 'Ukraine'),
(39826, '77.87.160.0', '77.87.167.255', 1297588224, 1297590271, 'NL', 'Netherlands'),
(39827, '77.87.168.0', '77.87.175.255', 1297590272, 1297592319, 'RU', 'Russian Federation'),
(39828, '77.87.176.0', '77.87.183.255', 1297592320, 1297594367, 'GB', 'United Kingdom'),
(39829, '77.87.184.0', '77.87.191.255', 1297594368, 1297596415, 'DE', 'Germany'),
(39830, '77.87.192.0', '77.87.199.255', 1297596416, 1297598463, 'UA', 'Ukraine'),
(39831, '77.87.200.0', '77.87.215.255', 1297598464, 1297602559, 'RU', 'Russian Federation'),
(39832, '77.87.216.0', '77.87.223.255', 1297602560, 1297604607, 'PL', 'Poland'),
(39833, '77.87.224.0', '77.87.231.255', 1297604608, 1297606655, 'DE', 'Germany'),
(39834, '77.87.232.0', '77.87.247.255', 1297606656, 1297610751, 'CZ', 'Czech Republic'),
(39835, '77.87.248.0', '77.87.255.255', 1297610752, 1297612799, 'DE', 'Germany'),
(39836, '77.88.0.0', '77.88.63.255', 1297612800, 1297629183, 'RU', 'Russian Federation'),
(39837, '77.88.64.0', '77.88.127.255', 1297629184, 1297645567, 'NO', 'Norway'),
(39838, '77.88.128.0', '77.88.191.255', 1297645568, 1297661951, 'PL', 'Poland'),
(39839, '77.88.192.0', '77.88.255.255', 1297661952, 1297678335, 'UA', 'Ukraine'),
(39840, '77.89.0.0', '77.89.63.255', 1297678336, 1297694719, 'IT', 'Italy'),
(39841, '77.89.64.0', '77.89.127.255', 1297694720, 1297711103, 'PL', 'Poland'),
(39842, '77.89.128.0', '77.89.191.255', 1297711104, 1297727487, 'GB', 'United Kingdom'),
(39843, '77.89.192.0', '77.89.255.255', 1297727488, 1297743871, 'MD', 'Moldova, Republic of'),
(39844, '77.90.0.0', '77.90.63.255', 1297743872, 1297760255, 'DE', 'Germany'),
(39845, '77.90.64.0', '77.90.127.255', 1297760256, 1297776639, 'LT', 'Lithuania'),
(39846, '77.90.128.0', '77.90.191.255', 1297776640, 1297793023, 'DE', 'Germany'),
(39847, '77.90.192.0', '77.90.255.255', 1297793024, 1297809407, 'UA', 'Ukraine'),
(39848, '77.91.0.0', '77.91.63.255', 1297809408, 1297825791, 'PL', 'Poland'),
(39849, '77.91.64.0', '77.91.127.255', 1297825792, 1297842175, 'RU', 'Russian Federation'),
(39850, '77.91.128.0', '77.91.191.255', 1297842176, 1297858559, 'UA', 'Ukraine'),
(39851, '77.91.192.0', '77.91.199.255', 1297858560, 1297860607, 'RU', 'Russian Federation'),
(39852, '77.91.200.0', '77.91.207.255', 1297860608, 1297862655, 'PT', 'Portugal'),
(39853, '77.91.208.0', '77.91.215.255', 1297862656, 1297864703, 'FI', 'Finland'),
(39854, '77.91.216.0', '77.91.223.255', 1297864704, 1297866751, 'SE', 'Sweden'),
(39855, '77.91.224.0', '77.91.227.167', 1297866752, 1297867687, 'RU', 'Russian Federation'),
(39856, '77.91.227.168', '77.91.227.175', 1297867688, 1297867695, 'CY', 'Cyprus'),
(39857, '77.91.227.176', '77.91.228.95', 1297867696, 1297867871, 'RU', 'Russian Federation'),
(39858, '77.91.228.96', '77.91.228.103', 1297867872, 1297867879, 'ES', 'Spain'),
(39859, '77.91.228.104', '77.91.231.255', 1297867880, 1297868799, 'RU', 'Russian Federation'),
(39860, '77.91.232.0', '77.91.239.255', 1297868800, 1297870847, 'DE', 'Germany'),
(39861, '77.91.240.0', '77.91.247.255', 1297870848, 1297872895, 'FR', 'France'),
(39862, '77.91.248.0', '77.91.255.255', 1297872896, 1297874943, 'GB', 'United Kingdom'),
(39863, '77.92.0.0', '77.92.2.31', 1297874944, 1297875487, 'CY', 'Cyprus'),
(39864, '77.92.2.32', '77.92.2.47', 1297875488, 1297875503, 'TR', 'Turkey'),
(39865, '77.92.2.48', '77.92.2.80', 1297875504, 1297875536, 'CY', 'Cyprus'),
(39866, '77.92.2.81', '77.92.2.95', 1297875537, 1297875551, 'TR', 'Turkey'),
(39867, '77.92.2.96', '77.92.16.0', 1297875552, 1297879040, 'CY', 'Cyprus'),
(39868, '77.92.16.1', '77.92.31.255', 1297879041, 1297883135, 'TR', 'Turkey'),
(39869, '77.92.32.0', '77.92.63.255', 1297883136, 1297891327, 'PL', 'Poland'),
(39870, '77.92.64.0', '77.92.95.255', 1297891328, 1297899519, 'GB', 'United Kingdom'),
(39871, '77.92.96.0', '77.92.159.255', 1297899520, 1297915903, 'TR', 'Turkey'),
(39872, '77.92.160.0', '77.92.191.255', 1297915904, 1297924095, 'BH', 'Bahrain'),
(39873, '77.92.192.0', '77.92.223.255', 1297924096, 1297932287, 'CZ', 'Czech Republic'),
(39874, '77.92.224.0', '77.92.255.255', 1297932288, 1297940479, 'GE', 'Georgia'),
(39875, '77.93.0.0', '77.93.31.255', 1297940480, 1297948671, 'LV', 'Latvia'),
(39876, '77.93.32.0', '77.93.63.255', 1297948672, 1297956863, 'UA', 'Ukraine'),
(39877, '77.93.64.0', '77.93.95.255', 1297956864, 1297965055, 'NL', 'Netherlands'),
(39878, '77.93.96.0', '77.93.127.255', 1297965056, 1297973247, 'RU', 'Russian Federation'),
(39879, '77.93.128.0', '77.93.159.255', 1297973248, 1297981439, 'GB', 'United Kingdom'),
(39880, '77.93.160.0', '77.93.191.255', 1297981440, 1297989631, 'RO', 'Romania'),
(39881, '77.93.192.0', '77.93.206.79', 1297989632, 1297993295, 'CZ', 'Czech Republic'),
(39882, '77.93.206.80', '77.93.206.95', 1297993296, 1297993311, 'SK', 'Slovakia'),
(39883, '77.93.206.96', '77.93.223.255', 1297993312, 1297997823, 'CZ', 'Czech Republic'),
(39884, '77.93.224.0', '77.93.255.255', 1297997824, 1298006015, 'IT', 'Italy'),
(39885, '77.94.0.0', '77.94.31.255', 1298006016, 1298014207, 'RU', 'Russian Federation'),
(39886, '77.94.32.0', '77.94.33.255', 1298014208, 1298014719, 'LT', 'Lithuania'),
(39887, '77.94.34.0', '77.94.34.255', 1298014720, 1298014975, 'RU', 'Russian Federation'),
(39888, '77.94.35.0', '77.94.35.255', 1298014976, 1298015231, 'LT', 'Lithuania'),
(39889, '77.94.36.0', '77.94.36.255', 1298015232, 1298015487, 'RU', 'Russian Federation'),
(39890, '77.94.37.0', '77.94.37.255', 1298015488, 1298015743, 'LB', 'Lebanon'),
(39891, '77.94.38.0', '77.94.38.255', 1298015744, 1298015999, 'IQ', 'Iraq'),
(39892, '77.94.39.0', '77.94.40.255', 1298016000, 1298016511, 'LB', 'Lebanon'),
(39893, '77.94.41.0', '77.94.42.255', 1298016512, 1298017023, 'RU', 'Russian Federation'),
(39894, '77.94.43.0', '77.94.47.255', 1298017024, 1298018303, 'BY', 'Belarus'),
(39895, '77.94.48.0', '77.94.48.255', 1298018304, 1298018559, 'TM', 'Turkmenistan'),
(39896, '77.94.49.0', '77.94.49.255', 1298018560, 1298018815, 'RU', 'Russian Federation'),
(39897, '77.94.50.0', '77.94.50.255', 1298018816, 1298019071, 'GB', 'United Kingdom'),
(39898, '77.94.51.0', '77.94.51.255', 1298019072, 1298019327, 'RU', 'Russian Federation'),
(39899, '77.94.52.0', '77.94.53.255', 1298019328, 1298019839, 'LT', 'Lithuania'),
(39900, '77.94.54.0', '77.94.55.255', 1298019840, 1298020351, 'RU', 'Russian Federation'),
(39901, '77.94.56.0', '77.94.63.255', 1298020352, 1298022399, 'BY', 'Belarus'),
(39902, '77.94.64.0', '77.94.95.255', 1298022400, 1298030591, 'IT', 'Italy'),
(39903, '77.94.96.0', '77.94.127.255', 1298030592, 1298038783, 'RU', 'Russian Federation'),
(39904, '77.94.128.0', '77.94.159.255', 1298038784, 1298046975, 'SI', 'Slovenia'),
(39905, '77.94.160.0', '77.94.223.255', 1298046976, 1298063359, 'RU', 'Russian Federation'),
(39906, '77.94.224.0', '77.94.231.255', 1298063360, 1298065407, 'FR', 'France'),
(39907, '77.94.232.0', '77.94.239.255', 1298065408, 1298067455, 'NO', 'Norway'),
(39908, '77.94.240.0', '77.94.255.255', 1298067456, 1298071551, 'NL', 'Netherlands'),
(39909, '77.95.0.0', '77.95.7.255', 1298071552, 1298073599, 'TJ', 'Tajikistan'),
(39910, '77.95.8.0', '77.95.15.255', 1298073600, 1298075647, 'RU', 'Russian Federation'),
(39911, '77.95.16.0', '77.95.19.255', 1298075648, 1298076671, 'CY', 'Cyprus');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(39912, '77.95.20.0', '77.95.23.255', 1298076672, 1298077695, 'US', 'United States'),
(39913, '77.95.24.0', '77.95.31.255', 1298077696, 1298079743, 'DE', 'Germany'),
(39914, '77.95.32.0', '77.95.39.255', 1298079744, 1298081791, 'GB', 'United Kingdom'),
(39915, '77.95.40.0', '77.95.47.255', 1298081792, 1298083839, 'CZ', 'Czech Republic'),
(39916, '77.95.48.0', '77.95.55.255', 1298083840, 1298085887, 'PL', 'Poland'),
(39917, '77.95.56.0', '77.95.63.255', 1298085888, 1298087935, 'KG', 'Kyrgyzstan'),
(39918, '77.95.64.0', '77.95.71.255', 1298087936, 1298089983, 'FR', 'France'),
(39919, '77.95.72.0', '77.95.79.255', 1298089984, 1298092031, 'NO', 'Norway'),
(39920, '77.95.80.0', '77.95.87.255', 1298092032, 1298094079, 'GB', 'United Kingdom'),
(39921, '77.95.88.0', '77.95.95.255', 1298094080, 1298096127, 'RU', 'Russian Federation'),
(39922, '77.95.96.0', '77.95.103.255', 1298096128, 1298098175, 'NL', 'Netherlands'),
(39923, '77.95.104.0', '77.95.111.255', 1298098176, 1298100223, 'SE', 'Sweden'),
(39924, '77.95.112.0', '77.95.119.255', 1298100224, 1298102271, 'GB', 'United Kingdom'),
(39925, '77.95.120.0', '77.95.121.159', 1298102272, 1298102687, 'CH', 'Switzerland'),
(39926, '77.95.121.160', '77.95.121.175', 1298102688, 1298102703, 'LV', 'Latvia'),
(39927, '77.95.121.176', '77.95.127.255', 1298102704, 1298104319, 'CH', 'Switzerland'),
(39928, '77.95.128.0', '77.95.135.255', 1298104320, 1298106367, 'RU', 'Russian Federation'),
(39929, '77.95.136.0', '77.95.143.255', 1298106368, 1298108415, 'IT', 'Italy'),
(39930, '77.95.144.0', '77.95.151.255', 1298108416, 1298110463, 'FI', 'Finland'),
(39931, '77.95.152.0', '77.95.159.255', 1298110464, 1298112511, 'ES', 'Spain'),
(39932, '77.95.160.0', '77.95.167.255', 1298112512, 1298114559, 'IE', 'Ireland'),
(39933, '77.95.168.0', '77.95.175.255', 1298114560, 1298116607, 'IT', 'Italy'),
(39934, '77.95.176.0', '77.95.183.255', 1298116608, 1298118655, 'GB', 'United Kingdom'),
(39935, '77.95.184.0', '77.95.191.255', 1298118656, 1298120703, 'AM', 'Armenia'),
(39936, '77.95.192.0', '77.95.199.255', 1298120704, 1298122751, 'CZ', 'Czech Republic'),
(39937, '77.95.200.0', '77.95.207.255', 1298122752, 1298124799, 'RU', 'Russian Federation'),
(39938, '77.95.208.0', '77.95.215.255', 1298124800, 1298126847, 'IT', 'Italy'),
(39939, '77.95.216.0', '77.95.218.255', 1298126848, 1298127615, 'SA', 'Saudi Arabia'),
(39940, '77.95.219.0', '77.95.220.255', 1298127616, 1298128127, 'IR', 'Iran, Islamic Republic of'),
(39941, '77.95.221.0', '77.95.223.255', 1298128128, 1298128895, 'SA', 'Saudi Arabia'),
(39942, '77.95.224.0', '77.95.226.55', 1298128896, 1298129463, 'NL', 'Netherlands'),
(39943, '77.95.226.56', '77.95.226.56', 1298129464, 1298129464, 'GB', 'United Kingdom'),
(39944, '77.95.226.57', '77.95.226.80', 1298129465, 1298129488, 'NL', 'Netherlands'),
(39945, '77.95.226.81', '77.95.226.87', 1298129489, 1298129495, 'GB', 'United Kingdom'),
(39946, '77.95.226.88', '77.95.227.80', 1298129496, 1298129744, 'NL', 'Netherlands'),
(39947, '77.95.227.81', '77.95.227.83', 1298129745, 1298129747, 'IT', 'Italy'),
(39948, '77.95.227.84', '77.95.229.23', 1298129748, 1298130199, 'NL', 'Netherlands'),
(39949, '77.95.229.24', '77.95.229.24', 1298130200, 1298130200, 'US', 'United States'),
(39950, '77.95.229.25', '77.95.229.26', 1298130201, 1298130202, 'NL', 'Netherlands'),
(39951, '77.95.229.27', '77.95.229.41', 1298130203, 1298130217, 'US', 'United States'),
(39952, '77.95.229.42', '77.95.231.255', 1298130218, 1298130943, 'NL', 'Netherlands'),
(39953, '77.95.232.0', '77.95.239.255', 1298130944, 1298132991, 'BG', 'Bulgaria'),
(39954, '77.95.240.0', '77.95.247.255', 1298132992, 1298135039, 'FI', 'Finland'),
(39955, '77.95.248.0', '77.95.255.255', 1298135040, 1298137087, 'NL', 'Netherlands'),
(39956, '77.96.0.0', '77.103.255.255', 1298137088, 1298661375, 'GB', 'United Kingdom'),
(39957, '77.104.0.0', '77.104.63.255', 1298661376, 1298677759, 'FR', 'France'),
(39958, '77.104.64.0', '77.104.127.255', 1298677760, 1298694143, 'IR', 'Iran, Islamic Republic of'),
(39959, '77.104.128.0', '77.104.191.255', 1298694144, 1298710527, 'RO', 'Romania'),
(39960, '77.104.192.0', '77.104.255.255', 1298710528, 1298726911, 'CZ', 'Czech Republic'),
(39961, '77.105.0.0', '77.105.63.255', 1298726912, 1298743295, 'RS', 'Serbia'),
(39962, '77.105.64.0', '77.105.127.255', 1298743296, 1298759679, 'FI', 'Finland'),
(39963, '77.105.128.0', '77.105.191.255', 1298759680, 1298776063, 'RU', 'Russian Federation'),
(39964, '77.105.192.0', '77.105.255.255', 1298776064, 1298792447, 'SE', 'Sweden'),
(39965, '77.106.0.0', '77.106.127.255', 1298792448, 1298825215, 'RU', 'Russian Federation'),
(39966, '77.106.128.0', '77.106.191.255', 1298825216, 1298841599, 'NO', 'Norway'),
(39967, '77.106.192.0', '77.106.255.255', 1298841600, 1298857983, 'RU', 'Russian Federation'),
(39968, '77.107.0.0', '77.107.63.255', 1298857984, 1298874367, 'SE', 'Sweden'),
(39969, '77.107.64.0', '77.107.191.255', 1298874368, 1298907135, 'GB', 'United Kingdom'),
(39970, '77.107.192.0', '77.107.223.127', 1298907136, 1298915199, 'IE', 'Ireland'),
(39971, '77.107.223.128', '77.107.223.143', 1298915200, 1298915215, 'CA', 'Canada'),
(39972, '77.107.223.144', '77.107.233.79', 1298915216, 1298917711, 'IE', 'Ireland'),
(39973, '77.107.233.80', '77.107.233.87', 1298917712, 1298917719, 'GB', 'United Kingdom'),
(39974, '77.107.233.88', '77.107.255.255', 1298917720, 1298923519, 'IE', 'Ireland'),
(39975, '77.108.0.0', '77.108.63.255', 1298923520, 1298939903, 'IT', 'Italy'),
(39976, '77.108.64.0', '77.108.127.255', 1298939904, 1298956287, 'RU', 'Russian Federation'),
(39977, '77.108.128.0', '77.108.191.255', 1298956288, 1298972671, 'GB', 'United Kingdom'),
(39978, '77.108.192.0', '77.108.255.255', 1298972672, 1298989055, 'RU', 'Russian Federation'),
(39979, '77.109.0.0', '77.109.63.255', 1298989056, 1299005439, 'UA', 'Ukraine'),
(39980, '77.109.64.0', '77.109.64.255', 1299005440, 1299005695, 'BE', 'Belgium'),
(39981, '77.109.65.0', '77.109.65.255', 1299005696, 1299005951, 'RU', 'Russian Federation'),
(39982, '77.109.66.0', '77.109.75.255', 1299005952, 1299008511, 'NL', 'Netherlands'),
(39983, '77.109.76.0', '77.109.80.255', 1299008512, 1299009791, 'BE', 'Belgium'),
(39984, '77.109.81.0', '77.109.81.255', 1299009792, 1299010047, 'NL', 'Netherlands'),
(39985, '77.109.82.0', '77.109.84.255', 1299010048, 1299010815, 'BE', 'Belgium'),
(39986, '77.109.85.0', '77.109.85.255', 1299010816, 1299011071, 'RU', 'Russian Federation'),
(39987, '77.109.86.0', '77.109.86.255', 1299011072, 1299011327, 'BE', 'Belgium'),
(39988, '77.109.87.0', '77.109.87.255', 1299011328, 1299011583, 'RU', 'Russian Federation'),
(39989, '77.109.88.0', '77.109.88.255', 1299011584, 1299011839, 'FR', 'France'),
(39990, '77.109.89.0', '77.109.89.255', 1299011840, 1299012095, 'DE', 'Germany'),
(39991, '77.109.90.0', '77.109.91.255', 1299012096, 1299012607, 'BE', 'Belgium'),
(39992, '77.109.92.0', '77.109.93.255', 1299012608, 1299013119, 'GB', 'United Kingdom'),
(39993, '77.109.94.0', '77.109.94.255', 1299013120, 1299013375, 'FR', 'France'),
(39994, '77.109.95.0', '77.109.95.255', 1299013376, 1299013631, 'DE', 'Germany'),
(39995, '77.109.96.0', '77.109.103.255', 1299013632, 1299015679, 'BE', 'Belgium'),
(39996, '77.109.104.0', '77.109.107.255', 1299015680, 1299016703, 'NL', 'Netherlands'),
(39997, '77.109.108.0', '77.109.108.255', 1299016704, 1299016959, 'BE', 'Belgium'),
(39998, '77.109.109.0', '77.109.109.255', 1299016960, 1299017215, 'NL', 'Netherlands'),
(39999, '77.109.110.0', '77.109.111.255', 1299017216, 1299017727, 'RU', 'Russian Federation'),
(40000, '77.109.112.0', '77.109.127.255', 1299017728, 1299021823, 'BE', 'Belgium'),
(40001, '77.109.128.0', '77.109.130.191', 1299021824, 1299022527, 'CH', 'Switzerland'),
(40002, '77.109.130.192', '77.109.130.207', 1299022528, 1299022543, 'DE', 'Germany'),
(40003, '77.109.130.208', '77.109.136.7', 1299022544, 1299023879, 'CH', 'Switzerland'),
(40004, '77.109.136.8', '77.109.136.15', 1299023880, 1299023887, 'DE', 'Germany'),
(40005, '77.109.136.16', '77.109.138.175', 1299023888, 1299024559, 'CH', 'Switzerland'),
(40006, '77.109.138.176', '77.109.138.191', 1299024560, 1299024575, 'DE', 'Germany'),
(40007, '77.109.138.192', '77.109.139.223', 1299024576, 1299024863, 'CH', 'Switzerland'),
(40008, '77.109.139.224', '77.109.139.231', 1299024864, 1299024871, 'DE', 'Germany'),
(40009, '77.109.139.232', '77.109.141.103', 1299024872, 1299025255, 'CH', 'Switzerland'),
(40010, '77.109.141.104', '77.109.141.111', 1299025256, 1299025263, 'US', 'United States'),
(40011, '77.109.141.112', '77.109.144.191', 1299025264, 1299026111, 'CH', 'Switzerland'),
(40012, '77.109.144.192', '77.109.144.207', 1299026112, 1299026127, 'ES', 'Spain'),
(40013, '77.109.144.208', '77.109.145.75', 1299026128, 1299026251, 'CH', 'Switzerland'),
(40014, '77.109.145.76', '77.109.145.87', 1299026252, 1299026263, 'PT', 'Portugal'),
(40015, '77.109.145.88', '77.109.191.255', 1299026264, 1299038207, 'CH', 'Switzerland'),
(40016, '77.109.192.0', '77.109.255.255', 1299038208, 1299054591, 'FI', 'Finland'),
(40017, '77.110.0.0', '77.110.63.255', 1299054592, 1299070975, 'SE', 'Sweden'),
(40018, '77.110.64.0', '77.110.127.255', 1299070976, 1299087359, 'SA', 'Saudi Arabia'),
(40019, '77.110.128.0', '77.110.191.255', 1299087360, 1299103743, 'HU', 'Hungary'),
(40020, '77.110.192.0', '77.110.255.255', 1299103744, 1299120127, 'NO', 'Norway'),
(40021, '77.111.0.0', '77.111.63.255', 1299120128, 1299136511, 'SI', 'Slovenia'),
(40022, '77.111.64.0', '77.111.191.255', 1299136512, 1299169279, 'HU', 'Hungary'),
(40023, '77.111.192.0', '77.111.211.255', 1299169280, 1299174399, 'FR', 'France'),
(40024, '77.111.212.0', '77.111.221.255', 1299174400, 1299176959, 'GB', 'United Kingdom'),
(40025, '77.111.222.0', '77.111.223.255', 1299176960, 1299177471, 'FR', 'France'),
(40026, '77.111.224.0', '77.111.233.255', 1299177472, 1299180031, 'DE', 'Germany'),
(40027, '77.111.234.0', '77.111.255.255', 1299180032, 1299185663, 'FR', 'France'),
(40028, '77.112.0.0', '77.115.255.255', 1299185664, 1299447807, 'PL', 'Poland'),
(40029, '77.116.0.0', '77.119.255.255', 1299447808, 1299709951, 'AT', 'Austria'),
(40030, '77.120.0.0', '77.123.255.255', 1299709952, 1299972095, 'UA', 'Ukraine'),
(40031, '77.124.0.0', '77.127.255.255', 1299972096, 1300234239, 'IL', 'Israel'),
(40032, '77.128.0.0', '77.159.255.255', 1300234240, 1302331391, 'FR', 'France'),
(40033, '77.160.0.0', '77.175.255.255', 1302331392, 1303379967, 'NL', 'Netherlands'),
(40034, '77.176.0.0', '77.191.255.255', 1303379968, 1304428543, 'DE', 'Germany'),
(40035, '77.192.0.0', '77.207.255.255', 1304428544, 1305477119, 'FR', 'France'),
(40036, '77.208.0.0', '77.211.255.255', 1305477120, 1305739263, 'ES', 'Spain'),
(40037, '77.212.0.0', '77.215.255.255', 1305739264, 1306001407, 'DK', 'Denmark'),
(40038, '77.216.0.0', '77.217.255.255', 1306001408, 1306132479, 'RU', 'Russian Federation'),
(40039, '77.218.0.0', '77.218.255.255', 1306132480, 1306198015, 'SE', 'Sweden'),
(40040, '77.219.0.0', '77.219.31.255', 1306198016, 1306206207, 'LV', 'Latvia'),
(40041, '77.219.32.0', '77.219.63.255', 1306206208, 1306214399, 'HR', 'Croatia'),
(40042, '77.219.64.0', '77.219.95.255', 1306214400, 1306222591, 'LT', 'Lithuania'),
(40043, '77.219.96.0', '77.219.127.255', 1306222592, 1306230783, 'HR', 'Croatia'),
(40044, '77.219.128.0', '77.219.159.255', 1306230784, 1306238975, 'LT', 'Lithuania'),
(40045, '77.219.160.0', '77.219.255.255', 1306238976, 1306263551, 'SE', 'Sweden'),
(40046, '77.220.0.0', '77.220.7.255', 1306263552, 1306265599, 'A2', 'Satellite Provider'),
(40047, '77.220.8.0', '77.220.12.255', 1306265600, 1306266879, 'KE', 'Kenya'),
(40048, '77.220.13.0', '77.220.13.255', 1306266880, 1306267135, 'NG', 'Nigeria'),
(40049, '77.220.14.0', '77.220.15.130', 1306267136, 1306267522, 'KE', 'Kenya'),
(40050, '77.220.15.131', '77.220.15.135', 1306267523, 1306267527, 'NG', 'Nigeria'),
(40051, '77.220.15.136', '77.220.31.255', 1306267528, 1306271743, 'KE', 'Kenya'),
(40052, '77.220.32.0', '77.220.63.255', 1306271744, 1306279935, 'RU', 'Russian Federation'),
(40053, '77.220.64.0', '77.220.86.207', 1306279936, 1306285775, 'IT', 'Italy'),
(40054, '77.220.86.208', '77.220.86.215', 1306285776, 1306285783, 'US', 'United States'),
(40055, '77.220.86.216', '77.220.87.255', 1306285784, 1306286079, 'IT', 'Italy'),
(40056, '77.220.88.0', '77.220.91.255', 1306286080, 1306287103, 'CH', 'Switzerland'),
(40057, '77.220.92.0', '77.220.93.255', 1306287104, 1306287615, 'IT', 'Italy'),
(40058, '77.220.94.0', '77.220.95.31', 1306287616, 1306287903, 'CH', 'Switzerland'),
(40059, '77.220.95.32', '77.220.95.255', 1306287904, 1306288127, 'IT', 'Italy'),
(40060, '77.220.96.0', '77.220.127.255', 1306288128, 1306296319, 'AT', 'Austria'),
(40061, '77.220.128.0', '77.220.185.231', 1306296320, 1306311143, 'RU', 'Russian Federation'),
(40062, '77.220.185.232', '77.220.185.239', 1306311144, 1306311151, 'CH', 'Switzerland'),
(40063, '77.220.185.240', '77.220.191.255', 1306311152, 1306312703, 'RU', 'Russian Federation'),
(40064, '77.220.192.0', '77.220.223.255', 1306312704, 1306320895, 'UZ', 'Uzbekistan'),
(40065, '77.220.224.0', '77.220.232.255', 1306320896, 1306323199, 'DE', 'Germany'),
(40066, '77.220.233.0', '77.220.233.63', 1306323200, 1306323263, 'NL', 'Netherlands'),
(40067, '77.220.233.64', '77.220.233.95', 1306323264, 1306323295, 'GB', 'United Kingdom'),
(40068, '77.220.233.96', '77.220.255.255', 1306323296, 1306329087, 'DE', 'Germany'),
(40069, '77.221.0.0', '77.221.31.255', 1306329088, 1306337279, 'BA', 'Bosnia and Herzegovina'),
(40070, '77.221.32.0', '77.221.63.255', 1306337280, 1306345471, 'HU', 'Hungary'),
(40071, '77.221.64.0', '77.221.95.255', 1306345472, 1306353663, 'LT', 'Lithuania'),
(40072, '77.221.96.0', '77.221.127.255', 1306353664, 1306361855, 'SA', 'Saudi Arabia'),
(40073, '77.221.128.0', '77.221.159.255', 1306361856, 1306370047, 'RU', 'Russian Federation'),
(40074, '77.221.160.0', '77.221.191.255', 1306370048, 1306378239, 'GB', 'United Kingdom'),
(40075, '77.221.192.0', '77.221.223.255', 1306378240, 1306386431, 'RU', 'Russian Federation'),
(40076, '77.221.224.0', '77.221.255.255', 1306386432, 1306394623, 'DK', 'Denmark'),
(40077, '77.222.0.0', '77.222.31.255', 1306394624, 1306402815, 'ME', 'Montenegro'),
(40078, '77.222.32.0', '77.222.63.255', 1306402816, 1306411007, 'RU', 'Russian Federation'),
(40079, '77.222.64.0', '77.222.95.255', 1306411008, 1306419199, 'NL', 'Netherlands'),
(40080, '77.222.96.0', '77.222.127.255', 1306419200, 1306427391, 'RU', 'Russian Federation'),
(40081, '77.222.128.0', '77.222.159.255', 1306427392, 1306435583, 'UA', 'Ukraine'),
(40082, '77.222.160.0', '77.222.223.255', 1306435584, 1306451967, 'NO', 'Norway'),
(40083, '77.222.224.0', '77.222.255.255', 1306451968, 1306460159, 'PL', 'Poland'),
(40084, '77.223.0.0', '77.223.31.255', 1306460160, 1306468351, 'IT', 'Italy'),
(40085, '77.223.32.0', '77.223.63.255', 1306468352, 1306476543, 'FI', 'Finland'),
(40086, '77.223.64.0', '77.223.127.255', 1306476544, 1306492927, 'RU', 'Russian Federation'),
(40087, '77.223.128.0', '77.223.159.255', 1306492928, 1306501119, 'TR', 'Turkey'),
(40088, '77.223.160.0', '77.223.191.255', 1306501120, 1306509311, 'NO', 'Norway'),
(40089, '77.223.192.0', '77.223.255.255', 1306509312, 1306525695, 'PL', 'Poland'),
(40090, '77.224.0.0', '77.231.255.255', 1306525696, 1307049983, 'ES', 'Spain'),
(40091, '77.232.0.0', '77.232.63.255', 1307049984, 1307066367, 'RU', 'Russian Federation'),
(40092, '77.232.64.0', '77.232.73.197', 1307066368, 1307068869, 'EU', 'Europe'),
(40093, '77.232.73.198', '77.232.73.198', 1307068870, 1307068870, 'CH', 'Switzerland'),
(40094, '77.232.73.199', '77.232.76.255', 1307068871, 1307069695, 'EU', 'Europe'),
(40095, '77.232.77.0', '77.232.77.223', 1307069696, 1307069919, 'DE', 'Germany'),
(40096, '77.232.77.224', '77.232.95.255', 1307069920, 1307074559, 'EU', 'Europe'),
(40097, '77.232.96.0', '77.232.127.255', 1307074560, 1307082751, 'SA', 'Saudi Arabia'),
(40098, '77.232.128.0', '77.232.159.255', 1307082752, 1307090943, 'RU', 'Russian Federation'),
(40099, '77.232.192.0', '77.232.223.255', 1307099136, 1307107327, 'RO', 'Romania'),
(40100, '77.232.224.0', '77.232.255.255', 1307107328, 1307115519, 'DE', 'Germany'),
(40101, '77.233.0.0', '77.233.31.255', 1307115520, 1307123711, 'RU', 'Russian Federation'),
(40102, '77.233.32.0', '77.233.63.255', 1307123712, 1307131903, 'NL', 'Netherlands'),
(40103, '77.233.64.0', '77.233.95.255', 1307131904, 1307140095, 'EE', 'Estonia'),
(40104, '77.233.96.0', '77.233.127.255', 1307140096, 1307148287, 'FR', 'France'),
(40105, '77.233.128.0', '77.233.159.255', 1307148288, 1307156479, 'GB', 'United Kingdom'),
(40106, '77.233.160.0', '77.233.223.255', 1307156480, 1307172863, 'RU', 'Russian Federation'),
(40107, '77.233.224.0', '77.233.255.255', 1307172864, 1307181055, 'DK', 'Denmark'),
(40108, '77.234.0.0', '77.234.31.255', 1307181056, 1307189247, 'RU', 'Russian Federation'),
(40109, '77.234.32.0', '77.234.39.255', 1307189248, 1307191295, 'DE', 'Germany'),
(40110, '77.234.40.0', '77.234.41.255', 1307191296, 1307191807, 'CZ', 'Czech Republic'),
(40111, '77.234.42.0', '77.234.42.255', 1307191808, 1307192063, 'US', 'United States'),
(40112, '77.234.43.0', '77.234.47.255', 1307192064, 1307193343, 'CZ', 'Czech Republic'),
(40113, '77.234.48.0', '77.234.55.255', 1307193344, 1307195391, 'NO', 'Norway'),
(40114, '77.234.56.0', '77.234.63.255', 1307195392, 1307197439, 'CH', 'Switzerland'),
(40115, '77.234.64.0', '77.234.95.255', 1307197440, 1307205631, 'HU', 'Hungary'),
(40116, '77.234.96.0', '77.234.127.255', 1307205632, 1307213823, 'FI', 'Finland'),
(40117, '77.234.128.0', '77.234.149.39', 1307213824, 1307219239, 'SI', 'Slovenia'),
(40118, '77.234.149.40', '77.234.149.47', 1307219240, 1307219247, 'MX', 'Mexico'),
(40119, '77.234.149.48', '77.234.159.255', 1307219248, 1307222015, 'SI', 'Slovenia'),
(40120, '77.234.160.0', '77.234.191.255', 1307222016, 1307230207, 'DK', 'Denmark'),
(40121, '77.234.192.0', '77.234.223.255', 1307230208, 1307238399, 'RU', 'Russian Federation'),
(40122, '77.234.224.0', '77.234.255.255', 1307238400, 1307246591, 'SK', 'Slovakia'),
(40123, '77.235.0.0', '77.235.31.255', 1307246592, 1307254783, 'KG', 'Kyrgyzstan'),
(40124, '77.235.32.0', '77.235.63.255', 1307254784, 1307262975, 'NL', 'Netherlands'),
(40125, '77.235.64.0', '77.235.95.255', 1307262976, 1307271167, 'AT', 'Austria'),
(40126, '77.235.96.0', '77.235.127.255', 1307271168, 1307279359, 'MD', 'Moldova, Republic of'),
(40127, '77.235.128.0', '77.235.159.255', 1307279360, 1307287551, 'LB', 'Lebanon'),
(40128, '77.235.160.0', '77.235.191.255', 1307287552, 1307295743, 'DE', 'Germany'),
(40129, '77.235.192.0', '77.235.223.255', 1307295744, 1307303935, 'RU', 'Russian Federation'),
(40130, '77.235.224.0', '77.235.255.255', 1307303936, 1307312127, 'SE', 'Sweden'),
(40131, '77.236.0.0', '77.236.31.255', 1307312128, 1307320319, 'PL', 'Poland'),
(40132, '77.236.32.0', '77.236.95.255', 1307320320, 1307336703, 'RU', 'Russian Federation'),
(40133, '77.236.96.0', '77.236.127.255', 1307336704, 1307344895, 'DE', 'Germany'),
(40134, '77.236.128.0', '77.236.159.255', 1307344896, 1307353087, 'RU', 'Russian Federation'),
(40135, '77.236.160.0', '77.236.191.255', 1307353088, 1307361279, 'BG', 'Bulgaria'),
(40136, '77.236.192.0', '77.236.223.255', 1307361280, 1307369471, 'CZ', 'Czech Republic'),
(40137, '77.236.224.0', '77.236.255.255', 1307369472, 1307377663, 'RU', 'Russian Federation'),
(40138, '77.237.0.0', '77.237.31.255', 1307377664, 1307385855, 'PL', 'Poland'),
(40139, '77.237.32.0', '77.237.63.127', 1307385856, 1307393919, 'AT', 'Austria'),
(40140, '77.237.63.128', '77.237.63.191', 1307393920, 1307393983, 'CZ', 'Czech Republic'),
(40141, '77.237.63.192', '77.237.63.255', 1307393984, 1307394047, 'AT', 'Austria'),
(40142, '77.237.64.0', '77.237.95.255', 1307394048, 1307402239, 'IR', 'Iran, Islamic Republic of'),
(40143, '77.237.96.0', '77.237.127.255', 1307402240, 1307410431, 'HR', 'Croatia'),
(40144, '77.237.128.0', '77.237.159.255', 1307410432, 1307418623, 'CZ', 'Czech Republic'),
(40145, '77.237.160.0', '77.237.191.255', 1307418624, 1307426815, 'IR', 'Iran, Islamic Republic of'),
(40146, '77.237.192.0', '77.237.223.255', 1307426816, 1307435007, 'CH', 'Switzerland'),
(40147, '77.237.224.0', '77.237.255.255', 1307435008, 1307443199, 'DE', 'Germany'),
(40148, '77.238.0.0', '77.238.31.255', 1307443200, 1307451391, 'IT', 'Italy'),
(40149, '77.238.32.0', '77.238.63.255', 1307451392, 1307459583, 'SE', 'Sweden'),
(40150, '77.238.64.0', '77.238.95.255', 1307459584, 1307467775, 'BG', 'Bulgaria'),
(40151, '77.238.96.0', '77.238.159.255', 1307467776, 1307484159, 'RU', 'Russian Federation'),
(40152, '77.238.160.0', '77.238.177.255', 1307484160, 1307488767, 'GB', 'United Kingdom'),
(40153, '77.238.178.0', '77.238.178.255', 1307488768, 1307489023, 'IE', 'Ireland'),
(40154, '77.238.179.0', '77.238.187.255', 1307489024, 1307491327, 'GB', 'United Kingdom'),
(40155, '77.238.188.0', '77.238.189.255', 1307491328, 1307491839, 'IE', 'Ireland'),
(40156, '77.238.190.0', '77.238.191.255', 1307491840, 1307492351, 'GB', 'United Kingdom'),
(40157, '77.238.192.0', '77.238.223.255', 1307492352, 1307500543, 'BA', 'Bosnia and Herzegovina'),
(40158, '77.238.224.0', '77.238.255.255', 1307500544, 1307508735, 'RU', 'Russian Federation'),
(40159, '77.239.0.0', '77.239.31.255', 1307508736, 1307516927, 'BA', 'Bosnia and Herzegovina'),
(40160, '77.239.32.0', '77.239.63.255', 1307516928, 1307525119, 'CH', 'Switzerland'),
(40161, '77.239.64.0', '77.239.95.255', 1307525120, 1307533311, 'BA', 'Bosnia and Herzegovina'),
(40162, '77.239.96.0', '77.239.103.255', 1307533312, 1307535359, 'GB', 'United Kingdom'),
(40163, '77.239.104.0', '77.239.104.255', 1307535360, 1307535615, 'DE', 'Germany'),
(40164, '77.239.105.0', '77.239.127.255', 1307535616, 1307541503, 'GB', 'United Kingdom'),
(40165, '77.239.128.0', '77.239.159.255', 1307541504, 1307549695, 'IT', 'Italy'),
(40166, '77.239.160.0', '77.239.191.255', 1307549696, 1307557887, 'UA', 'Ukraine'),
(40167, '77.239.192.0', '77.239.255.255', 1307557888, 1307574271, 'RU', 'Russian Federation'),
(40168, '77.240.0.0', '77.240.15.255', 1307574272, 1307578367, 'GB', 'United Kingdom'),
(40169, '77.240.16.0', '77.240.31.255', 1307578368, 1307582463, 'FI', 'Finland'),
(40170, '77.240.32.0', '77.240.47.255', 1307582464, 1307586559, 'KZ', 'Kazakhstan'),
(40171, '77.240.48.0', '77.240.63.255', 1307586560, 1307590655, 'GB', 'United Kingdom'),
(40172, '77.240.64.0', '77.240.79.255', 1307590656, 1307594751, 'SE', 'Sweden'),
(40173, '77.240.80.0', '77.240.95.255', 1307594752, 1307598847, 'SA', 'Saudi Arabia'),
(40174, '77.240.96.0', '77.240.111.255', 1307598848, 1307602943, 'CZ', 'Czech Republic'),
(40175, '77.240.112.0', '77.240.127.255', 1307602944, 1307607039, 'ES', 'Spain'),
(40176, '77.240.128.0', '77.240.143.255', 1307607040, 1307611135, 'SA', 'Saudi Arabia'),
(40177, '77.240.144.0', '77.240.175.255', 1307611136, 1307619327, 'RU', 'Russian Federation'),
(40178, '77.240.176.0', '77.240.191.255', 1307619328, 1307623423, 'CZ', 'Czech Republic'),
(40179, '77.240.192.0', '77.240.207.255', 1307623424, 1307627519, 'FR', 'France'),
(40180, '77.240.208.0', '77.240.223.255', 1307627520, 1307631615, 'SE', 'Sweden'),
(40181, '77.240.224.0', '77.240.239.255', 1307631616, 1307635711, 'IT', 'Italy'),
(40182, '77.240.240.0', '77.240.243.255', 1307635712, 1307636735, 'EE', 'Estonia'),
(40183, '77.240.244.0', '77.240.244.71', 1307636736, 1307636807, 'LV', 'Latvia'),
(40184, '77.240.244.72', '77.240.244.79', 1307636808, 1307636815, 'EE', 'Estonia'),
(40185, '77.240.244.80', '77.240.244.111', 1307636816, 1307636847, 'LV', 'Latvia'),
(40186, '77.240.244.112', '77.240.244.127', 1307636848, 1307636863, 'EE', 'Estonia'),
(40187, '77.240.244.128', '77.240.246.111', 1307636864, 1307637359, 'LV', 'Latvia'),
(40188, '77.240.246.112', '77.240.246.119', 1307637360, 1307637367, 'EE', 'Estonia'),
(40189, '77.240.246.120', '77.240.246.135', 1307637368, 1307637383, 'LV', 'Latvia'),
(40190, '77.240.246.136', '77.240.246.159', 1307637384, 1307637407, 'EE', 'Estonia'),
(40191, '77.240.246.160', '77.240.246.223', 1307637408, 1307637471, 'LV', 'Latvia'),
(40192, '77.240.246.224', '77.240.246.243', 1307637472, 1307637491, 'EE', 'Estonia'),
(40193, '77.240.246.244', '77.240.247.247', 1307637492, 1307637751, 'LV', 'Latvia'),
(40194, '77.240.247.248', '77.240.247.255', 1307637752, 1307637759, 'EE', 'Estonia'),
(40195, '77.240.248.0', '77.240.255.239', 1307637760, 1307639791, 'LT', 'Lithuania'),
(40196, '77.240.255.240', '77.240.255.255', 1307639792, 1307639807, 'EE', 'Estonia'),
(40197, '77.241.0.0', '77.241.15.255', 1307639808, 1307643903, 'IT', 'Italy'),
(40198, '77.241.16.0', '77.241.47.255', 1307643904, 1307652095, 'RU', 'Russian Federation'),
(40199, '77.241.48.0', '77.241.63.255', 1307652096, 1307656191, 'ES', 'Spain'),
(40200, '77.241.64.0', '77.241.79.255', 1307656192, 1307660287, 'JO', 'Jordan'),
(40201, '77.241.80.0', '77.241.87.255', 1307660288, 1307662335, 'BE', 'Belgium'),
(40202, '77.241.88.0', '77.241.88.15', 1307662336, 1307662351, 'NL', 'Netherlands'),
(40203, '77.241.88.16', '77.241.88.23', 1307662352, 1307662359, 'GB', 'United Kingdom'),
(40204, '77.241.88.24', '77.241.88.31', 1307662360, 1307662367, 'FR', 'France'),
(40205, '77.241.88.32', '77.241.95.255', 1307662368, 1307664383, 'BE', 'Belgium'),
(40206, '77.241.96.0', '77.241.111.255', 1307664384, 1307668479, 'NO', 'Norway'),
(40207, '77.241.112.0', '77.241.127.255', 1307668480, 1307672575, 'ES', 'Spain'),
(40208, '77.241.128.0', '77.241.143.255', 1307672576, 1307676671, 'DK', 'Denmark'),
(40209, '77.241.144.0', '77.241.159.255', 1307676672, 1307680767, 'RU', 'Russian Federation'),
(40210, '77.241.160.0', '77.241.175.255', 1307680768, 1307684863, 'LV', 'Latvia'),
(40211, '77.241.176.0', '77.241.191.255', 1307684864, 1307688959, 'GB', 'United Kingdom'),
(40212, '77.241.192.0', '77.241.207.255', 1307688960, 1307693055, 'LT', 'Lithuania'),
(40213, '77.241.208.0', '77.241.223.255', 1307693056, 1307697151, 'IT', 'Italy'),
(40214, '77.241.224.0', '77.241.224.255', 1307697152, 1307697407, 'NL', 'Netherlands'),
(40215, '77.241.225.0', '77.241.225.255', 1307697408, 1307697663, 'EU', 'Europe'),
(40216, '77.241.226.0', '77.241.229.255', 1307697664, 1307698687, 'NL', 'Netherlands'),
(40217, '77.241.230.0', '77.241.230.255', 1307698688, 1307698943, 'EU', 'Europe'),
(40218, '77.241.231.0', '77.241.239.255', 1307698944, 1307701247, 'NL', 'Netherlands'),
(40219, '77.241.240.0', '77.242.15.255', 1307701248, 1307709439, 'RU', 'Russian Federation'),
(40220, '77.242.16.0', '77.242.31.255', 1307709440, 1307713535, 'AL', 'Albania'),
(40221, '77.242.32.0', '77.242.47.255', 1307713536, 1307717631, 'IT', 'Italy'),
(40222, '77.242.48.0', '77.242.63.255', 1307717632, 1307721727, 'GE', 'Georgia'),
(40223, '77.242.64.0', '77.242.79.255', 1307721728, 1307725823, 'AT', 'Austria'),
(40224, '77.242.80.0', '77.242.95.255', 1307725824, 1307729919, 'CZ', 'Czech Republic'),
(40225, '77.242.96.0', '77.242.111.255', 1307729920, 1307734015, 'RU', 'Russian Federation'),
(40226, '77.242.112.0', '77.242.127.255', 1307734016, 1307738111, 'NL', 'Netherlands'),
(40227, '77.242.128.0', '77.242.143.255', 1307738112, 1307742207, 'IT', 'Italy'),
(40228, '77.242.144.0', '77.242.159.255', 1307742208, 1307746303, 'HU', 'Hungary'),
(40229, '77.242.160.0', '77.242.175.255', 1307746304, 1307750399, 'UA', 'Ukraine'),
(40230, '77.242.176.0', '77.242.191.255', 1307750400, 1307754495, 'IT', 'Italy'),
(40231, '77.242.192.0', '77.242.195.255', 1307754496, 1307755519, 'US', 'United States'),
(40232, '77.242.196.0', '77.242.196.255', 1307755520, 1307755775, 'A1', 'Anonymous Proxy'),
(40233, '77.242.197.0', '77.242.197.255', 1307755776, 1307756031, 'GB', 'United Kingdom'),
(40234, '77.242.198.0', '77.242.198.255', 1307756032, 1307756287, 'US', 'United States'),
(40235, '77.242.199.0', '77.242.199.143', 1307756288, 1307756431, 'GB', 'United Kingdom'),
(40236, '77.242.199.144', '77.242.199.159', 1307756432, 1307756447, 'FR', 'France'),
(40237, '77.242.199.160', '77.242.199.255', 1307756448, 1307756543, 'GB', 'United Kingdom'),
(40238, '77.242.200.0', '77.242.201.63', 1307756544, 1307756863, 'FR', 'France'),
(40239, '77.242.201.64', '77.242.201.103', 1307756864, 1307756903, 'GB', 'United Kingdom'),
(40240, '77.242.201.104', '77.242.201.111', 1307756904, 1307756911, 'US', 'United States'),
(40241, '77.242.201.112', '77.242.202.7', 1307756912, 1307757063, 'GB', 'United Kingdom'),
(40242, '77.242.202.8', '77.242.202.15', 1307757064, 1307757071, 'US', 'United States'),
(40243, '77.242.202.16', '77.242.202.127', 1307757072, 1307757183, 'GB', 'United Kingdom'),
(40244, '77.242.202.128', '77.242.202.223', 1307757184, 1307757279, 'US', 'United States'),
(40245, '77.242.202.224', '77.242.202.255', 1307757280, 1307757311, 'FR', 'France'),
(40246, '77.242.203.0', '77.242.207.255', 1307757312, 1307758591, 'GB', 'United Kingdom'),
(40247, '77.242.208.0', '77.242.223.255', 1307758592, 1307762687, 'SM', 'San Marino'),
(40248, '77.242.224.0', '77.242.239.255', 1307762688, 1307766783, 'PL', 'Poland'),
(40249, '77.242.240.0', '77.242.255.255', 1307766784, 1307770879, 'GB', 'United Kingdom'),
(40250, '77.243.0.0', '77.243.15.255', 1307770880, 1307774975, 'RU', 'Russian Federation'),
(40251, '77.243.16.0', '77.243.31.255', 1307774976, 1307779071, 'RS', 'Serbia'),
(40252, '77.243.32.0', '77.243.63.255', 1307779072, 1307787263, 'DK', 'Denmark'),
(40253, '77.243.64.0', '77.243.79.255', 1307787264, 1307791359, 'MT', 'Malta'),
(40254, '77.243.80.0', '77.243.95.255', 1307791360, 1307795455, 'KZ', 'Kazakhstan'),
(40255, '77.243.96.0', '77.243.127.255', 1307795456, 1307803647, 'RU', 'Russian Federation'),
(40256, '77.243.128.0', '77.243.143.255', 1307803648, 1307807743, 'DK', 'Denmark'),
(40257, '77.243.144.0', '77.243.159.255', 1307807744, 1307811839, 'SE', 'Sweden'),
(40258, '77.243.160.0', '77.243.175.255', 1307811840, 1307815935, 'NL', 'Netherlands'),
(40259, '77.243.176.0', '77.243.176.255', 1307815936, 1307816191, 'EU', 'Europe'),
(40260, '77.243.177.0', '77.243.177.255', 1307816192, 1307816447, 'GB', 'United Kingdom'),
(40261, '77.243.178.0', '77.243.181.255', 1307816448, 1307817471, 'EU', 'Europe'),
(40262, '77.243.182.0', '77.243.182.39', 1307817472, 1307817511, 'GB', 'United Kingdom'),
(40263, '77.243.182.40', '77.243.182.47', 1307817512, 1307817519, 'EU', 'Europe'),
(40264, '77.243.182.48', '77.243.182.63', 1307817520, 1307817535, 'GB', 'United Kingdom'),
(40265, '77.243.182.64', '77.243.184.64', 1307817536, 1307818048, 'EU', 'Europe'),
(40266, '77.243.184.65', '77.243.184.65', 1307818049, 1307818049, 'BE', 'Belgium'),
(40267, '77.243.184.66', '77.243.184.255', 1307818050, 1307818239, 'EU', 'Europe'),
(40268, '77.243.185.0', '77.243.185.255', 1307818240, 1307818495, 'GB', 'United Kingdom'),
(40269, '77.243.186.0', '77.243.186.255', 1307818496, 1307818751, 'DE', 'Germany'),
(40270, '77.243.187.0', '77.243.187.255', 1307818752, 1307819007, 'ES', 'Spain'),
(40271, '77.243.188.0', '77.243.188.255', 1307819008, 1307819263, 'DE', 'Germany'),
(40272, '77.243.189.0', '77.243.189.255', 1307819264, 1307819519, 'NL', 'Netherlands'),
(40273, '77.243.190.0', '77.243.190.255', 1307819520, 1307819775, 'BE', 'Belgium'),
(40274, '77.243.191.0', '77.243.191.255', 1307819776, 1307820031, 'IT', 'Italy'),
(40275, '77.243.192.0', '77.243.207.255', 1307820032, 1307824127, 'ES', 'Spain'),
(40276, '77.243.208.0', '77.243.223.255', 1307824128, 1307828223, 'HU', 'Hungary'),
(40277, '77.243.224.0', '77.243.231.112', 1307828224, 1307830128, 'NL', 'Netherlands'),
(40278, '77.243.231.113', '77.243.231.113', 1307830129, 1307830129, 'SE', 'Sweden'),
(40279, '77.243.231.114', '77.243.233.223', 1307830130, 1307830751, 'NL', 'Netherlands'),
(40280, '77.243.233.224', '77.243.233.239', 1307830752, 1307830767, 'BE', 'Belgium'),
(40281, '77.243.233.240', '77.243.239.255', 1307830768, 1307832319, 'NL', 'Netherlands'),
(40282, '77.243.240.0', '77.243.255.255', 1307832320, 1307836415, 'RU', 'Russian Federation'),
(40283, '77.244.0.0', '77.244.15.255', 1307836416, 1307840511, 'SE', 'Sweden'),
(40284, '77.244.16.0', '77.244.31.255', 1307840512, 1307844607, 'RU', 'Russian Federation'),
(40285, '77.244.32.0', '77.244.47.255', 1307844608, 1307848703, 'UA', 'Ukraine'),
(40286, '77.244.48.0', '77.244.63.255', 1307848704, 1307852799, 'CH', 'Switzerland'),
(40287, '77.244.64.0', '77.244.79.255', 1307852800, 1307856895, 'RU', 'Russian Federation'),
(40288, '77.244.80.0', '77.244.95.255', 1307856896, 1307860991, 'IT', 'Italy'),
(40289, '77.244.96.0', '77.244.96.63', 1307860992, 1307861055, 'DE', 'Germany'),
(40290, '77.244.96.64', '77.244.96.71', 1307861056, 1307861063, 'LU', 'Luxembourg'),
(40291, '77.244.96.72', '77.244.96.87', 1307861064, 1307861079, 'DE', 'Germany'),
(40292, '77.244.96.88', '77.244.96.91', 1307861080, 1307861083, 'LU', 'Luxembourg'),
(40293, '77.244.96.92', '77.244.96.127', 1307861084, 1307861119, 'DE', 'Germany'),
(40294, '77.244.96.128', '77.244.96.131', 1307861120, 1307861123, 'LU', 'Luxembourg'),
(40295, '77.244.96.132', '77.244.96.135', 1307861124, 1307861127, 'A2', 'Satellite Provider'),
(40296, '77.244.96.136', '77.244.96.159', 1307861128, 1307861151, 'DE', 'Germany'),
(40297, '77.244.96.160', '77.244.96.163', 1307861152, 1307861155, 'LU', 'Luxembourg'),
(40298, '77.244.96.164', '77.244.99.159', 1307861156, 1307861919, 'DE', 'Germany'),
(40299, '77.244.99.160', '77.244.99.175', 1307861920, 1307861935, 'LU', 'Luxembourg'),
(40300, '77.244.99.176', '77.244.99.223', 1307861936, 1307861983, 'DE', 'Germany'),
(40301, '77.244.99.224', '77.244.99.227', 1307861984, 1307861987, 'A2', 'Satellite Provider'),
(40302, '77.244.99.228', '77.244.108.63', 1307861988, 1307864127, 'DE', 'Germany'),
(40303, '77.244.108.64', '77.244.108.71', 1307864128, 1307864135, 'LU', 'Luxembourg'),
(40304, '77.244.108.72', '77.244.108.79', 1307864136, 1307864143, 'DE', 'Germany'),
(40305, '77.244.108.80', '77.244.108.83', 1307864144, 1307864147, 'A2', 'Satellite Provider'),
(40306, '77.244.108.84', '77.244.109.147', 1307864148, 1307864467, 'DE', 'Germany'),
(40307, '77.244.109.148', '77.244.109.151', 1307864468, 1307864471, 'LU', 'Luxembourg'),
(40308, '77.244.109.152', '77.244.109.159', 1307864472, 1307864479, 'DE', 'Germany'),
(40309, '77.244.109.160', '77.244.109.175', 1307864480, 1307864495, 'LU', 'Luxembourg'),
(40310, '77.244.109.176', '77.244.111.255', 1307864496, 1307865087, 'DE', 'Germany'),
(40311, '77.244.112.0', '77.244.127.255', 1307865088, 1307869183, 'AZ', 'Azerbaijan'),
(40312, '77.244.128.0', '77.244.143.255', 1307869184, 1307873279, 'GB', 'United Kingdom'),
(40313, '77.244.144.0', '77.244.159.255', 1307873280, 1307877375, 'TJ', 'Tajikistan'),
(40314, '77.244.160.0', '77.244.175.255', 1307877376, 1307881471, 'RU', 'Russian Federation'),
(40315, '77.244.176.0', '77.244.191.255', 1307881472, 1307885567, 'IT', 'Italy'),
(40316, '77.244.192.0', '77.244.207.255', 1307885568, 1307889663, 'BG', 'Bulgaria'),
(40317, '77.244.208.0', '77.244.223.255', 1307889664, 1307893759, 'RU', 'Russian Federation'),
(40318, '77.244.224.0', '77.244.239.255', 1307893760, 1307897855, 'SE', 'Sweden'),
(40319, '77.244.240.0', '77.244.254.223', 1307897856, 1307901663, 'AT', 'Austria'),
(40320, '77.244.254.224', '77.244.254.231', 1307901664, 1307901671, 'DE', 'Germany'),
(40321, '77.244.254.232', '77.244.255.255', 1307901672, 1307901951, 'AT', 'Austria'),
(40322, '77.245.0.0', '77.245.15.255', 1307901952, 1307906047, 'JO', 'Jordan'),
(40323, '77.245.16.0', '77.245.18.39', 1307906048, 1307906599, 'CH', 'Switzerland'),
(40324, '77.245.18.40', '77.245.18.47', 1307906600, 1307906607, 'DK', 'Denmark'),
(40325, '77.245.18.48', '77.245.20.191', 1307906608, 1307907263, 'CH', 'Switzerland'),
(40326, '77.245.20.192', '77.245.20.255', 1307907264, 1307907327, 'IM', 'Isle of Man'),
(40327, '77.245.21.0', '77.245.31.255', 1307907328, 1307910143, 'CH', 'Switzerland'),
(40328, '77.245.32.0', '77.245.47.255', 1307910144, 1307914239, 'DE', 'Germany'),
(40329, '77.245.48.0', '77.245.63.255', 1307914240, 1307918335, 'NL', 'Netherlands'),
(40330, '77.245.64.0', '77.245.79.255', 1307918336, 1307922431, 'GB', 'United Kingdom'),
(40331, '77.245.80.0', '77.245.95.255', 1307922432, 1307926527, 'NL', 'Netherlands'),
(40332, '77.245.96.0', '77.245.111.255', 1307926528, 1307930623, 'KZ', 'Kazakhstan'),
(40333, '77.245.112.0', '77.245.127.255', 1307930624, 1307934719, 'RU', 'Russian Federation'),
(40334, '77.245.128.0', '77.245.143.255', 1307934720, 1307938815, 'FR', 'France'),
(40335, '77.245.144.0', '77.245.151.255', 1307938816, 1307940863, 'TR', 'Turkey'),
(40336, '77.245.152.0', '77.245.152.255', 1307940864, 1307941119, 'US', 'United States'),
(40337, '77.245.153.0', '77.245.159.255', 1307941120, 1307942911, 'TR', 'Turkey'),
(40338, '77.245.160.0', '77.245.175.255', 1307942912, 1307947007, 'RU', 'Russian Federation'),
(40339, '77.245.176.0', '77.245.191.255', 1307947008, 1307951103, 'CH', 'Switzerland'),
(40340, '77.245.192.0', '77.245.223.255', 1307951104, 1307959295, 'RU', 'Russian Federation'),
(40341, '77.245.224.0', '77.245.239.255', 1307959296, 1307963391, 'IR', 'Iran, Islamic Republic of'),
(40342, '77.245.240.0', '77.245.255.255', 1307963392, 1307967487, 'PL', 'Poland'),
(40343, '77.246.0.0', '77.246.15.255', 1307967488, 1307971583, 'IT', 'Italy'),
(40344, '77.246.16.0', '77.246.47.255', 1307971584, 1307979775, 'GB', 'United Kingdom'),
(40345, '77.246.48.0', '77.246.55.255', 1307979776, 1307981823, 'ZW', 'Zimbabwe'),
(40346, '77.246.56.0', '77.246.59.255', 1307981824, 1307982847, 'ZA', 'South Africa'),
(40347, '77.246.60.0', '77.246.61.255', 1307982848, 1307983359, 'ZW', 'Zimbabwe'),
(40348, '77.246.62.0', '77.246.62.63', 1307983360, 1307983423, 'ZA', 'South Africa'),
(40349, '77.246.62.64', '77.246.62.127', 1307983424, 1307983487, 'BW', 'Botswana'),
(40350, '77.246.62.128', '77.246.62.191', 1307983488, 1307983551, 'ZM', 'Zambia'),
(40351, '77.246.62.192', '77.246.62.255', 1307983552, 1307983615, 'MZ', 'Mozambique'),
(40352, '77.246.63.0', '77.246.63.127', 1307983616, 1307983743, 'ZA', 'South Africa'),
(40353, '77.246.63.128', '77.246.63.255', 1307983744, 1307983871, 'ZM', 'Zambia'),
(40354, '77.246.64.0', '77.246.65.255', 1307983872, 1307984383, 'NG', 'Nigeria'),
(40355, '77.246.66.0', '77.246.79.255', 1307984384, 1307987967, 'LB', 'Lebanon'),
(40356, '77.246.80.0', '77.246.95.255', 1307987968, 1307992063, 'FR', 'France'),
(40357, '77.246.96.0', '77.246.111.255', 1307992064, 1307996159, 'RU', 'Russian Federation'),
(40358, '77.246.112.0', '77.246.127.255', 1307996160, 1308000255, 'DE', 'Germany'),
(40359, '77.246.128.0', '77.246.143.255', 1308000256, 1308004351, 'CH', 'Switzerland'),
(40360, '77.246.144.0', '77.246.159.255', 1308004352, 1308008447, 'RU', 'Russian Federation'),
(40361, '77.246.160.0', '77.246.175.255', 1308008448, 1308012543, 'GB', 'United Kingdom'),
(40362, '77.246.176.0', '77.246.191.255', 1308012544, 1308016639, 'ES', 'Spain'),
(40363, '77.246.192.0', '77.246.207.255', 1308016640, 1308020735, 'FI', 'Finland'),
(40364, '77.246.208.0', '77.246.223.255', 1308020736, 1308024831, 'BG', 'Bulgaria'),
(40365, '77.246.224.0', '77.246.255.255', 1308024832, 1308033023, 'RU', 'Russian Federation'),
(40366, '77.247.0.0', '77.247.0.255', 1308033024, 1308033279, 'NL', 'Netherlands'),
(40367, '77.247.1.0', '77.247.1.255', 1308033280, 1308033535, 'FR', 'France'),
(40368, '77.247.2.0', '77.247.2.255', 1308033536, 1308033791, 'DE', 'Germany'),
(40369, '77.247.3.0', '77.247.3.255', 1308033792, 1308034047, 'IT', 'Italy'),
(40370, '77.247.4.0', '77.247.5.255', 1308034048, 1308034559, 'GB', 'United Kingdom'),
(40371, '77.247.6.0', '77.247.6.255', 1308034560, 1308034815, 'CZ', 'Czech Republic'),
(40372, '77.247.7.0', '77.247.8.255', 1308034816, 1308035327, 'DE', 'Germany'),
(40373, '77.247.9.0', '77.247.9.255', 1308035328, 1308035583, 'GB', 'United Kingdom'),
(40374, '77.247.10.0', '77.247.10.255', 1308035584, 1308035839, 'AE', 'United Arab Emirates'),
(40375, '77.247.11.0', '77.247.11.255', 1308035840, 1308036095, 'GB', 'United Kingdom'),
(40376, '77.247.12.0', '77.247.12.255', 1308036096, 1308036351, 'SE', 'Sweden'),
(40377, '77.247.13.0', '77.247.13.255', 1308036352, 1308036607, 'BE', 'Belgium'),
(40378, '77.247.14.0', '77.247.14.255', 1308036608, 1308036863, 'ES', 'Spain'),
(40379, '77.247.15.0', '77.247.15.255', 1308036864, 1308037119, 'FR', 'France'),
(40380, '77.247.16.0', '77.247.31.255', 1308037120, 1308041215, 'UA', 'Ukraine'),
(40381, '77.247.32.0', '77.247.63.255', 1308041216, 1308049407, 'RU', 'Russian Federation'),
(40382, '77.247.64.0', '77.247.79.255', 1308049408, 1308053503, 'DK', 'Denmark'),
(40383, '77.247.80.0', '77.247.87.255', 1308053504, 1308055551, 'DE', 'Germany'),
(40384, '77.247.88.0', '77.247.95.255', 1308055552, 1308057599, 'AL', 'Albania'),
(40385, '77.247.96.0', '77.247.111.255', 1308057600, 1308061695, 'GR', 'Greece'),
(40386, '77.247.112.0', '77.247.143.255', 1308061696, 1308069887, 'RU', 'Russian Federation'),
(40387, '77.247.144.0', '77.247.159.255', 1308069888, 1308073983, 'NO', 'Norway'),
(40388, '77.247.160.0', '77.247.175.255', 1308073984, 1308078079, 'RU', 'Russian Federation'),
(40389, '77.247.176.0', '77.247.179.31', 1308078080, 1308078879, 'NL', 'Netherlands'),
(40390, '77.247.179.32', '77.247.179.63', 1308078880, 1308078911, 'FR', 'France'),
(40391, '77.247.179.64', '77.247.181.161', 1308078912, 1308079521, 'NL', 'Netherlands'),
(40392, '77.247.181.162', '77.247.181.165', 1308079522, 1308079525, 'A1', 'Anonymous Proxy'),
(40393, '77.247.181.166', '77.247.182.191', 1308079526, 1308079807, 'NL', 'Netherlands'),
(40394, '77.247.182.192', '77.247.182.207', 1308079808, 1308079823, 'SC', 'Seychelles'),
(40395, '77.247.182.208', '77.247.183.255', 1308079824, 1308080127, 'NL', 'Netherlands'),
(40396, '77.247.184.0', '77.247.191.255', 1308080128, 1308082175, 'RU', 'Russian Federation'),
(40397, '77.247.192.0', '77.247.199.255', 1308082176, 1308084223, 'GB', 'United Kingdom'),
(40398, '77.247.200.0', '77.247.207.255', 1308084224, 1308086271, 'RS', 'Serbia'),
(40399, '77.247.208.0', '77.247.215.255', 1308086272, 1308088319, 'RU', 'Russian Federation'),
(40400, '77.247.216.0', '77.247.223.255', 1308088320, 1308090367, 'UA', 'Ukraine'),
(40401, '77.247.224.0', '77.247.231.255', 1308090368, 1308092415, 'SK', 'Slovakia'),
(40402, '77.247.232.0', '77.247.247.255', 1308092416, 1308096511, 'RU', 'Russian Federation'),
(40403, '77.247.248.0', '77.247.255.255', 1308096512, 1308098559, 'RS', 'Serbia'),
(40404, '77.248.0.0', '77.251.255.255', 1308098560, 1308360703, 'NL', 'Netherlands'),
(40405, '77.252.0.0', '77.255.255.255', 1308360704, 1308622847, 'PL', 'Poland'),
(40406, '78.0.0.0', '78.3.255.255', 1308622848, 1308884991, 'HR', 'Croatia'),
(40407, '78.4.0.0', '78.7.255.255', 1308884992, 1309147135, 'IT', 'Italy'),
(40408, '78.8.0.0', '78.11.255.255', 1309147136, 1309409279, 'PL', 'Poland'),
(40409, '78.12.0.0', '78.15.255.255', 1309409280, 1309671423, 'IT', 'Italy'),
(40410, '78.16.0.0', '78.19.255.255', 1309671424, 1309933567, 'IE', 'Ireland'),
(40411, '78.20.0.0', '78.23.255.255', 1309933568, 1310195711, 'BE', 'Belgium'),
(40412, '78.24.0.0', '78.24.7.255', 1310195712, 1310197759, 'RU', 'Russian Federation'),
(40413, '78.24.8.0', '78.24.15.255', 1310197760, 1310199807, 'CZ', 'Czech Republic'),
(40414, '78.24.16.0', '78.24.22.255', 1310199808, 1310201599, 'IE', 'Ireland'),
(40415, '78.24.23.0', '78.24.23.255', 1310201600, 1310201855, 'GB', 'United Kingdom'),
(40416, '78.24.24.0', '78.24.31.255', 1310201856, 1310203903, 'RU', 'Russian Federation'),
(40417, '78.24.32.0', '78.24.39.255', 1310203904, 1310205951, 'FR', 'France'),
(40418, '78.24.40.0', '78.24.47.255', 1310205952, 1310207999, 'RU', 'Russian Federation'),
(40419, '78.24.48.0', '78.24.55.255', 1310208000, 1310210047, 'MD', 'Moldova, Republic of'),
(40420, '78.24.56.0', '78.24.63.255', 1310210048, 1310212095, 'RU', 'Russian Federation'),
(40421, '78.24.64.0', '78.24.71.255', 1310212096, 1310214143, 'HU', 'Hungary'),
(40422, '78.24.72.0', '78.24.79.255', 1310214144, 1310216191, 'UA', 'Ukraine'),
(40423, '78.24.80.0', '78.24.87.255', 1310216192, 1310218239, 'IT', 'Italy'),
(40424, '78.24.88.0', '78.24.95.255', 1310218240, 1310220287, 'NO', 'Norway'),
(40425, '78.24.96.0', '78.24.99.255', 1310220288, 1310221311, 'NL', 'Netherlands'),
(40426, '78.24.100.0', '78.24.100.255', 1310221312, 1310221567, 'MK', 'Macedonia'),
(40427, '78.24.101.0', '78.24.103.255', 1310221568, 1310222335, 'NL', 'Netherlands'),
(40428, '78.24.104.0', '78.24.111.255', 1310222336, 1310224383, 'RS', 'Serbia'),
(40429, '78.24.112.0', '78.24.119.255', 1310224384, 1310226431, 'GB', 'United Kingdom'),
(40430, '78.24.120.0', '78.24.127.255', 1310226432, 1310228479, 'BE', 'Belgium'),
(40431, '78.24.128.0', '78.24.135.255', 1310228480, 1310230527, 'FR', 'France'),
(40432, '78.24.136.0', '78.24.143.255', 1310230528, 1310232575, 'ES', 'Spain'),
(40433, '78.24.144.0', '78.24.151.255', 1310232576, 1310234623, 'NO', 'Norway'),
(40434, '78.24.152.0', '78.24.159.255', 1310234624, 1310236671, 'RU', 'Russian Federation'),
(40435, '78.24.160.0', '78.24.167.255', 1310236672, 1310238719, 'PL', 'Poland'),
(40436, '78.24.168.0', '78.24.175.255', 1310238720, 1310240767, 'BE', 'Belgium'),
(40437, '78.24.176.0', '78.24.183.255', 1310240768, 1310242815, 'RU', 'Russian Federation'),
(40438, '78.24.184.0', '78.24.191.255', 1310242816, 1310244863, 'HU', 'Hungary'),
(40439, '78.24.192.0', '78.24.199.255', 1310244864, 1310246911, 'EE', 'Estonia'),
(40440, '78.24.200.0', '78.24.200.15', 1310246912, 1310246927, 'FR', 'France'),
(40441, '78.24.200.16', '78.24.200.31', 1310246928, 1310246943, 'ES', 'Spain'),
(40442, '78.24.200.32', '78.24.200.47', 1310246944, 1310246959, 'IT', 'Italy'),
(40443, '78.24.200.48', '78.24.200.63', 1310246960, 1310246975, 'AT', 'Austria'),
(40444, '78.24.200.64', '78.24.200.79', 1310246976, 1310246991, 'PT', 'Portugal'),
(40445, '78.24.200.80', '78.24.200.95', 1310246992, 1310247007, 'NL', 'Netherlands'),
(40446, '78.24.200.96', '78.24.200.111', 1310247008, 1310247023, 'GB', 'United Kingdom'),
(40447, '78.24.200.112', '78.24.200.127', 1310247024, 1310247039, 'GR', 'Greece'),
(40448, '78.24.200.128', '78.24.200.143', 1310247040, 1310247055, 'CL', 'Chile'),
(40449, '78.24.200.144', '78.24.200.159', 1310247056, 1310247071, 'BE', 'Belgium'),
(40450, '78.24.200.160', '78.24.200.175', 1310247072, 1310247087, 'MX', 'Mexico'),
(40451, '78.24.200.176', '78.24.200.191', 1310247088, 1310247103, 'AR', 'Argentina'),
(40452, '78.24.200.192', '78.24.200.207', 1310247104, 1310247119, 'PL', 'Poland'),
(40453, '78.24.200.208', '78.24.200.223', 1310247120, 1310247135, 'IE', 'Ireland'),
(40454, '78.24.200.224', '78.24.200.239', 1310247136, 1310247151, 'CH', 'Switzerland'),
(40455, '78.24.200.240', '78.24.200.255', 1310247152, 1310247167, 'RU', 'Russian Federation'),
(40456, '78.24.201.0', '78.24.201.15', 1310247168, 1310247183, 'BE', 'Belgium'),
(40457, '78.24.201.16', '78.24.201.31', 1310247184, 1310247199, 'BR', 'Brazil'),
(40458, '78.24.201.32', '78.24.201.47', 1310247200, 1310247215, 'CZ', 'Czech Republic'),
(40459, '78.24.201.48', '78.24.201.63', 1310247216, 1310247231, 'HK', 'Hong Kong'),
(40460, '78.24.201.64', '78.24.201.79', 1310247232, 1310247247, 'LU', 'Luxembourg'),
(40461, '78.24.201.80', '78.24.201.95', 1310247248, 1310247263, 'CN', 'China'),
(40462, '78.24.201.96', '78.24.201.111', 1310247264, 1310247279, 'PH', 'Philippines'),
(40463, '78.24.201.112', '78.24.201.127', 1310247280, 1310247295, 'CH', 'Switzerland'),
(40464, '78.24.201.128', '78.24.201.143', 1310247296, 1310247311, 'JP', 'Japan'),
(40465, '78.24.201.144', '78.24.201.159', 1310247312, 1310247327, 'PE', 'Peru'),
(40466, '78.24.201.160', '78.24.201.175', 1310247328, 1310247343, 'DE', 'Germany'),
(40467, '78.24.201.176', '78.24.201.191', 1310247344, 1310247359, 'CA', 'Canada'),
(40468, '78.24.201.192', '78.24.201.207', 1310247360, 1310247375, 'CR', 'Costa Rica'),
(40469, '78.24.201.208', '78.24.201.223', 1310247376, 1310247391, 'IN', 'India'),
(40470, '78.24.201.224', '78.24.201.239', 1310247392, 1310247407, 'US', 'United States'),
(40471, '78.24.201.240', '78.24.201.255', 1310247408, 1310247423, 'CA', 'Canada'),
(40472, '78.24.202.0', '78.24.202.7', 1310247424, 1310247431, 'BE', 'Belgium'),
(40473, '78.24.202.8', '78.24.202.15', 1310247432, 1310247439, 'BR', 'Brazil'),
(40474, '78.24.202.16', '78.24.202.23', 1310247440, 1310247447, 'CZ', 'Czech Republic'),
(40475, '78.24.202.24', '78.24.202.31', 1310247448, 1310247455, 'HK', 'Hong Kong'),
(40476, '78.24.202.32', '78.24.202.39', 1310247456, 1310247463, 'LU', 'Luxembourg'),
(40477, '78.24.202.40', '78.24.202.47', 1310247464, 1310247471, 'CN', 'China'),
(40478, '78.24.202.48', '78.24.202.55', 1310247472, 1310247479, 'PH', 'Philippines'),
(40479, '78.24.202.56', '78.24.202.63', 1310247480, 1310247487, 'CH', 'Switzerland'),
(40480, '78.24.202.64', '78.24.202.71', 1310247488, 1310247495, 'JP', 'Japan'),
(40481, '78.24.202.72', '78.24.202.79', 1310247496, 1310247503, 'PE', 'Peru'),
(40482, '78.24.202.80', '78.24.202.87', 1310247504, 1310247511, 'DE', 'Germany'),
(40483, '78.24.202.88', '78.24.202.95', 1310247512, 1310247519, 'CA', 'Canada'),
(40484, '78.24.202.96', '78.24.202.103', 1310247520, 1310247527, 'CR', 'Costa Rica'),
(40485, '78.24.202.104', '78.24.202.111', 1310247528, 1310247535, 'IN', 'India'),
(40486, '78.24.202.112', '78.24.202.119', 1310247536, 1310247543, 'US', 'United States'),
(40487, '78.24.202.120', '78.24.202.127', 1310247544, 1310247551, 'CA', 'Canada'),
(40488, '78.24.202.128', '78.24.202.135', 1310247552, 1310247559, 'FR', 'France'),
(40489, '78.24.202.136', '78.24.202.143', 1310247560, 1310247567, 'ES', 'Spain'),
(40490, '78.24.202.144', '78.24.202.151', 1310247568, 1310247575, 'IT', 'Italy'),
(40491, '78.24.202.152', '78.24.202.159', 1310247576, 1310247583, 'AT', 'Austria'),
(40492, '78.24.202.160', '78.24.202.167', 1310247584, 1310247591, 'PT', 'Portugal'),
(40493, '78.24.202.168', '78.24.202.175', 1310247592, 1310247599, 'NL', 'Netherlands'),
(40494, '78.24.202.176', '78.24.202.183', 1310247600, 1310247607, 'GB', 'United Kingdom'),
(40495, '78.24.202.184', '78.24.202.191', 1310247608, 1310247615, 'GR', 'Greece'),
(40496, '78.24.202.192', '78.24.202.199', 1310247616, 1310247623, 'CL', 'Chile'),
(40497, '78.24.202.200', '78.24.202.207', 1310247624, 1310247631, 'BE', 'Belgium'),
(40498, '78.24.202.208', '78.24.202.215', 1310247632, 1310247639, 'MX', 'Mexico'),
(40499, '78.24.202.216', '78.24.202.223', 1310247640, 1310247647, 'AR', 'Argentina'),
(40500, '78.24.202.224', '78.24.202.231', 1310247648, 1310247655, 'PL', 'Poland'),
(40501, '78.24.202.232', '78.24.202.239', 1310247656, 1310247663, 'IE', 'Ireland'),
(40502, '78.24.202.240', '78.24.202.247', 1310247664, 1310247671, 'CH', 'Switzerland'),
(40503, '78.24.202.248', '78.24.202.255', 1310247672, 1310247679, 'RU', 'Russian Federation'),
(40504, '78.24.203.0', '78.24.203.7', 1310247680, 1310247687, 'BE', 'Belgium'),
(40505, '78.24.203.8', '78.24.203.15', 1310247688, 1310247695, 'BR', 'Brazil');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(40506, '78.24.203.16', '78.24.203.23', 1310247696, 1310247703, 'CZ', 'Czech Republic'),
(40507, '78.24.203.24', '78.24.203.31', 1310247704, 1310247711, 'HK', 'Hong Kong'),
(40508, '78.24.203.32', '78.24.203.39', 1310247712, 1310247719, 'LU', 'Luxembourg'),
(40509, '78.24.203.40', '78.24.203.47', 1310247720, 1310247727, 'CN', 'China'),
(40510, '78.24.203.48', '78.24.203.55', 1310247728, 1310247735, 'PH', 'Philippines'),
(40511, '78.24.203.56', '78.24.203.63', 1310247736, 1310247743, 'CH', 'Switzerland'),
(40512, '78.24.203.64', '78.24.203.71', 1310247744, 1310247751, 'JP', 'Japan'),
(40513, '78.24.203.72', '78.24.203.79', 1310247752, 1310247759, 'PE', 'Peru'),
(40514, '78.24.203.80', '78.24.203.87', 1310247760, 1310247767, 'DE', 'Germany'),
(40515, '78.24.203.88', '78.24.203.95', 1310247768, 1310247775, 'CA', 'Canada'),
(40516, '78.24.203.96', '78.24.203.103', 1310247776, 1310247783, 'CR', 'Costa Rica'),
(40517, '78.24.203.104', '78.24.203.111', 1310247784, 1310247791, 'IN', 'India'),
(40518, '78.24.203.112', '78.24.203.119', 1310247792, 1310247799, 'US', 'United States'),
(40519, '78.24.203.120', '78.24.203.127', 1310247800, 1310247807, 'CA', 'Canada'),
(40520, '78.24.203.128', '78.24.203.135', 1310247808, 1310247815, 'FR', 'France'),
(40521, '78.24.203.136', '78.24.203.143', 1310247816, 1310247823, 'ES', 'Spain'),
(40522, '78.24.203.144', '78.24.203.151', 1310247824, 1310247831, 'IT', 'Italy'),
(40523, '78.24.203.152', '78.24.203.159', 1310247832, 1310247839, 'AT', 'Austria'),
(40524, '78.24.203.160', '78.24.203.167', 1310247840, 1310247847, 'PT', 'Portugal'),
(40525, '78.24.203.168', '78.24.203.175', 1310247848, 1310247855, 'NL', 'Netherlands'),
(40526, '78.24.203.176', '78.24.203.183', 1310247856, 1310247863, 'GB', 'United Kingdom'),
(40527, '78.24.203.184', '78.24.203.191', 1310247864, 1310247871, 'GR', 'Greece'),
(40528, '78.24.203.192', '78.24.203.199', 1310247872, 1310247879, 'CL', 'Chile'),
(40529, '78.24.203.200', '78.24.203.207', 1310247880, 1310247887, 'BE', 'Belgium'),
(40530, '78.24.203.208', '78.24.203.215', 1310247888, 1310247895, 'MX', 'Mexico'),
(40531, '78.24.203.216', '78.24.203.223', 1310247896, 1310247903, 'AR', 'Argentina'),
(40532, '78.24.203.224', '78.24.203.231', 1310247904, 1310247911, 'PL', 'Poland'),
(40533, '78.24.203.232', '78.24.203.239', 1310247912, 1310247919, 'IE', 'Ireland'),
(40534, '78.24.203.240', '78.24.203.247', 1310247920, 1310247927, 'CH', 'Switzerland'),
(40535, '78.24.203.248', '78.24.203.255', 1310247928, 1310247935, 'RU', 'Russian Federation'),
(40536, '78.24.204.0', '78.24.204.15', 1310247936, 1310247951, 'TR', 'Turkey'),
(40537, '78.24.204.16', '78.24.204.31', 1310247952, 1310247967, 'SE', 'Sweden'),
(40538, '78.24.204.32', '78.24.204.47', 1310247968, 1310247983, 'NO', 'Norway'),
(40539, '78.24.204.48', '78.24.204.63', 1310247984, 1310247999, 'DK', 'Denmark'),
(40540, '78.24.204.64', '78.24.204.79', 1310248000, 1310248015, 'LV', 'Latvia'),
(40541, '78.24.204.80', '78.24.204.95', 1310248016, 1310248031, 'BG', 'Bulgaria'),
(40542, '78.24.204.96', '78.24.204.111', 1310248032, 1310248047, 'UA', 'Ukraine'),
(40543, '78.24.204.112', '78.24.204.127', 1310248048, 1310248063, 'CH', 'Switzerland'),
(40544, '78.24.204.128', '78.24.204.143', 1310248064, 1310248079, 'ZA', 'South Africa'),
(40545, '78.24.204.144', '78.24.204.159', 1310248080, 1310248095, 'LU', 'Luxembourg'),
(40546, '78.24.204.160', '78.24.204.175', 1310248096, 1310248111, 'UY', 'Uruguay'),
(40547, '78.24.204.176', '78.24.204.191', 1310248112, 1310248127, 'PA', 'Panama'),
(40548, '78.24.204.192', '78.24.204.207', 1310248128, 1310248143, 'MY', 'Malaysia'),
(40549, '78.24.204.208', '78.24.204.223', 1310248144, 1310248159, 'CO', 'Colombia'),
(40550, '78.24.204.224', '78.24.204.239', 1310248160, 1310248175, 'SG', 'Singapore'),
(40551, '78.24.204.240', '78.24.204.255', 1310248176, 1310248191, 'US', 'United States'),
(40552, '78.24.205.0', '78.24.205.15', 1310248192, 1310248207, 'RO', 'Romania'),
(40553, '78.24.205.16', '78.24.205.31', 1310248208, 1310248223, 'LT', 'Lithuania'),
(40554, '78.24.205.32', '78.24.205.47', 1310248224, 1310248239, 'BO', 'Bolivia'),
(40555, '78.24.205.48', '78.24.205.63', 1310248240, 1310248255, 'HU', 'Hungary'),
(40556, '78.24.205.64', '78.24.205.79', 1310248256, 1310248271, 'FI', 'Finland'),
(40557, '78.24.205.80', '78.24.205.95', 1310248272, 1310248287, 'IL', 'Israel'),
(40558, '78.24.205.96', '78.24.205.111', 1310248288, 1310248303, 'AU', 'Australia'),
(40559, '78.24.205.112', '78.24.205.127', 1310248304, 1310248319, 'NZ', 'New Zealand'),
(40560, '78.24.205.128', '78.24.205.143', 1310248320, 1310248335, 'VE', 'Venezuela'),
(40561, '78.24.205.144', '78.24.205.159', 1310248336, 1310248351, 'CR', 'Costa Rica'),
(40562, '78.24.205.160', '78.24.205.175', 1310248352, 1310248367, 'MA', 'Morocco'),
(40563, '78.24.205.176', '78.24.205.191', 1310248368, 1310248383, 'ID', 'Indonesia'),
(40564, '78.24.205.192', '78.24.205.207', 1310248384, 1310248399, 'SK', 'Slovakia'),
(40565, '78.24.205.208', '78.24.205.223', 1310248400, 1310248415, 'TW', 'Taiwan'),
(40566, '78.24.205.224', '78.24.205.239', 1310248416, 1310248431, 'PA', 'Panama'),
(40567, '78.24.205.240', '78.24.205.255', 1310248432, 1310248447, 'US', 'United States'),
(40568, '78.24.206.0', '78.24.206.7', 1310248448, 1310248455, 'BE', 'Belgium'),
(40569, '78.24.206.8', '78.24.206.15', 1310248456, 1310248463, 'BR', 'Brazil'),
(40570, '78.24.206.16', '78.24.206.39', 1310248464, 1310248487, 'FR', 'France'),
(40571, '78.24.206.40', '78.24.206.47', 1310248488, 1310248495, 'CN', 'China'),
(40572, '78.24.206.48', '78.24.206.55', 1310248496, 1310248503, 'FR', 'France'),
(40573, '78.24.206.56', '78.24.206.63', 1310248504, 1310248511, 'CH', 'Switzerland'),
(40574, '78.24.206.64', '78.24.206.71', 1310248512, 1310248519, 'JP', 'Japan'),
(40575, '78.24.206.72', '78.24.206.79', 1310248520, 1310248527, 'PE', 'Peru'),
(40576, '78.24.206.80', '78.24.206.87', 1310248528, 1310248535, 'DE', 'Germany'),
(40577, '78.24.206.88', '78.24.206.95', 1310248536, 1310248543, 'CA', 'Canada'),
(40578, '78.24.206.96', '78.24.206.103', 1310248544, 1310248551, 'CR', 'Costa Rica'),
(40579, '78.24.206.104', '78.24.206.111', 1310248552, 1310248559, 'IN', 'India'),
(40580, '78.24.206.112', '78.24.206.119', 1310248560, 1310248567, 'US', 'United States'),
(40581, '78.24.206.120', '78.24.206.127', 1310248568, 1310248575, 'CA', 'Canada'),
(40582, '78.24.206.128', '78.24.206.135', 1310248576, 1310248583, 'FR', 'France'),
(40583, '78.24.206.136', '78.24.206.143', 1310248584, 1310248591, 'ES', 'Spain'),
(40584, '78.24.206.144', '78.24.206.151', 1310248592, 1310248599, 'IT', 'Italy'),
(40585, '78.24.206.152', '78.24.206.159', 1310248600, 1310248607, 'AT', 'Austria'),
(40586, '78.24.206.160', '78.24.206.167', 1310248608, 1310248615, 'PT', 'Portugal'),
(40587, '78.24.206.168', '78.24.206.175', 1310248616, 1310248623, 'NL', 'Netherlands'),
(40588, '78.24.206.176', '78.24.206.183', 1310248624, 1310248631, 'GB', 'United Kingdom'),
(40589, '78.24.206.184', '78.24.206.191', 1310248632, 1310248639, 'GR', 'Greece'),
(40590, '78.24.206.192', '78.24.206.199', 1310248640, 1310248647, 'CL', 'Chile'),
(40591, '78.24.206.200', '78.24.206.207', 1310248648, 1310248655, 'BE', 'Belgium'),
(40592, '78.24.206.208', '78.24.206.215', 1310248656, 1310248663, 'MX', 'Mexico'),
(40593, '78.24.206.216', '78.24.206.223', 1310248664, 1310248671, 'AR', 'Argentina'),
(40594, '78.24.206.224', '78.24.206.231', 1310248672, 1310248679, 'PL', 'Poland'),
(40595, '78.24.206.232', '78.24.206.239', 1310248680, 1310248687, 'IE', 'Ireland'),
(40596, '78.24.206.240', '78.24.206.247', 1310248688, 1310248695, 'CH', 'Switzerland'),
(40597, '78.24.206.248', '78.24.206.255', 1310248696, 1310248703, 'RU', 'Russian Federation'),
(40598, '78.24.207.0', '78.24.207.255', 1310248704, 1310248959, 'CH', 'Switzerland'),
(40599, '78.24.208.0', '78.24.208.255', 1310248960, 1310249215, 'IM', 'Isle of Man'),
(40600, '78.24.209.0', '78.24.209.63', 1310249216, 1310249279, 'GB', 'United Kingdom'),
(40601, '78.24.209.64', '78.24.211.47', 1310249280, 1310249775, 'IM', 'Isle of Man'),
(40602, '78.24.211.48', '78.24.211.71', 1310249776, 1310249799, 'GG', 'Guernsey'),
(40603, '78.24.211.72', '78.24.212.127', 1310249800, 1310250111, 'IM', 'Isle of Man'),
(40604, '78.24.212.128', '78.24.212.159', 1310250112, 1310250143, 'GG', 'Guernsey'),
(40605, '78.24.212.160', '78.24.213.255', 1310250144, 1310250495, 'IM', 'Isle of Man'),
(40606, '78.24.214.0', '78.24.215.255', 1310250496, 1310251007, 'MT', 'Malta'),
(40607, '78.24.216.0', '78.24.231.255', 1310251008, 1310255103, 'RU', 'Russian Federation'),
(40608, '78.24.232.0', '78.24.239.255', 1310255104, 1310257151, 'CZ', 'Czech Republic'),
(40609, '78.24.240.0', '78.24.247.255', 1310257152, 1310259199, 'FR', 'France'),
(40610, '78.24.248.0', '78.24.255.255', 1310259200, 1310261247, 'GB', 'United Kingdom'),
(40611, '78.25.0.0', '78.25.63.255', 1310261248, 1310277631, 'UA', 'Ukraine'),
(40612, '78.25.64.0', '78.25.191.255', 1310277632, 1310310399, 'RU', 'Russian Federation'),
(40613, '78.25.192.0', '78.25.255.255', 1310310400, 1310326783, 'GB', 'United Kingdom'),
(40614, '78.26.0.0', '78.26.63.255', 1310326784, 1310343167, 'NO', 'Norway'),
(40615, '78.26.64.0', '78.26.127.255', 1310343168, 1310359551, 'IT', 'Italy'),
(40616, '78.26.128.0', '78.26.255.255', 1310359552, 1310392319, 'UA', 'Ukraine'),
(40617, '78.27.0.0', '78.27.63.255', 1310392320, 1310408703, 'NL', 'Netherlands'),
(40618, '78.27.64.0', '78.27.127.255', 1310408704, 1310425087, 'FI', 'Finland'),
(40619, '78.27.128.0', '78.27.255.255', 1310425088, 1310457855, 'UA', 'Ukraine'),
(40620, '78.28.0.0', '78.28.63.255', 1310457856, 1310474239, 'PL', 'Poland'),
(40621, '78.28.64.0', '78.28.127.255', 1310474240, 1310490623, 'EE', 'Estonia'),
(40622, '78.28.128.0', '78.28.191.255', 1310490624, 1310507007, 'BA', 'Bosnia and Herzegovina'),
(40623, '78.28.192.0', '78.28.255.255', 1310507008, 1310523391, 'LV', 'Latvia'),
(40624, '78.29.0.0', '78.29.127.255', 1310523392, 1310556159, 'RU', 'Russian Federation'),
(40625, '78.29.128.0', '78.29.191.255', 1310556160, 1310572543, 'PT', 'Portugal'),
(40626, '78.29.192.0', '78.29.255.255', 1310572544, 1310588927, 'BE', 'Belgium'),
(40627, '78.30.0.0', '78.30.63.255', 1310588928, 1310605311, 'RU', 'Russian Federation'),
(40628, '78.30.64.0', '78.30.127.255', 1310605312, 1310621695, 'PL', 'Poland'),
(40629, '78.30.128.0', '78.30.191.255', 1310621696, 1310638079, 'RS', 'Serbia'),
(40630, '78.30.192.0', '78.30.255.255', 1310638080, 1310654463, 'UA', 'Ukraine'),
(40631, '78.31.0.0', '78.31.7.255', 1310654464, 1310656511, 'RU', 'Russian Federation'),
(40632, '78.31.8.0', '78.31.11.255', 1310656512, 1310657535, 'GB', 'United Kingdom'),
(40633, '78.31.12.0', '78.31.15.255', 1310657536, 1310658559, 'SE', 'Sweden'),
(40634, '78.31.16.0', '78.31.23.255', 1310658560, 1310660607, 'RU', 'Russian Federation'),
(40635, '78.31.24.0', '78.31.31.255', 1310660608, 1310662655, 'CZ', 'Czech Republic'),
(40636, '78.31.32.0', '78.31.39.255', 1310662656, 1310664703, 'DK', 'Denmark'),
(40637, '78.31.40.0', '78.31.47.255', 1310664704, 1310666751, 'FR', 'France'),
(40638, '78.31.48.0', '78.31.55.255', 1310666752, 1310668799, 'NL', 'Netherlands'),
(40639, '78.31.56.0', '78.31.63.255', 1310668800, 1310670847, 'RO', 'Romania'),
(40640, '78.31.64.0', '78.31.71.255', 1310670848, 1310672895, 'DE', 'Germany'),
(40641, '78.31.72.0', '78.31.79.255', 1310672896, 1310674943, 'RU', 'Russian Federation'),
(40642, '78.31.80.0', '78.31.87.255', 1310674944, 1310676991, 'NO', 'Norway'),
(40643, '78.31.88.0', '78.31.95.255', 1310676992, 1310679039, 'PL', 'Poland'),
(40644, '78.31.96.0', '78.31.103.255', 1310679040, 1310681087, 'RU', 'Russian Federation'),
(40645, '78.31.104.0', '78.31.111.255', 1310681088, 1310683135, 'GB', 'United Kingdom'),
(40646, '78.31.112.0', '78.31.119.255', 1310683136, 1310685183, 'NL', 'Netherlands'),
(40647, '78.31.120.0', '78.31.127.255', 1310685184, 1310687231, 'PL', 'Poland'),
(40648, '78.31.128.0', '78.31.135.255', 1310687232, 1310689279, 'RO', 'Romania'),
(40649, '78.31.136.0', '78.31.159.255', 1310689280, 1310695423, 'PL', 'Poland'),
(40650, '78.31.160.0', '78.31.167.255', 1310695424, 1310697471, 'RO', 'Romania'),
(40651, '78.31.168.0', '78.31.175.255', 1310697472, 1310699519, 'DE', 'Germany'),
(40652, '78.31.176.0', '78.31.199.255', 1310699520, 1310705663, 'UA', 'Ukraine'),
(40653, '78.31.200.0', '78.31.223.255', 1310705664, 1310711807, 'RU', 'Russian Federation'),
(40654, '78.31.224.0', '78.31.231.255', 1310711808, 1310713855, 'LT', 'Lithuania'),
(40655, '78.31.232.0', '78.31.239.255', 1310713856, 1310715903, 'UA', 'Ukraine'),
(40656, '78.31.240.0', '78.31.247.255', 1310715904, 1310717951, 'RU', 'Russian Federation'),
(40657, '78.31.248.0', '78.31.255.255', 1310717952, 1310719999, 'UA', 'Ukraine'),
(40658, '78.32.0.0', '78.33.255.255', 1310720000, 1310851071, 'GB', 'United Kingdom'),
(40659, '78.34.0.0', '78.35.255.255', 1310851072, 1310982143, 'DE', 'Germany'),
(40660, '78.36.0.0', '78.37.255.255', 1310982144, 1311113215, 'RU', 'Russian Federation'),
(40661, '78.38.0.0', '78.39.255.255', 1311113216, 1311244287, 'IR', 'Iran, Islamic Republic of'),
(40662, '78.40.0.0', '78.40.7.255', 1311244288, 1311246335, 'MK', 'Macedonia'),
(40663, '78.40.8.0', '78.40.15.255', 1311246336, 1311248383, 'IT', 'Italy'),
(40664, '78.40.16.0', '78.40.23.255', 1311248384, 1311250431, 'GB', 'United Kingdom'),
(40665, '78.40.24.0', '78.40.31.255', 1311250432, 1311252479, 'RU', 'Russian Federation'),
(40666, '78.40.32.0', '78.40.35.167', 1311252480, 1311253415, 'GB', 'United Kingdom'),
(40667, '78.40.35.168', '78.40.35.175', 1311253416, 1311253423, 'IT', 'Italy'),
(40668, '78.40.35.176', '78.40.39.255', 1311253424, 1311254527, 'GB', 'United Kingdom'),
(40669, '78.40.40.0', '78.40.47.255', 1311254528, 1311256575, 'SE', 'Sweden'),
(40670, '78.40.48.0', '78.40.55.255', 1311256576, 1311258623, 'FR', 'France'),
(40671, '78.40.56.0', '78.40.71.255', 1311258624, 1311262719, 'GB', 'United Kingdom'),
(40672, '78.40.72.0', '78.40.72.255', 1311262720, 1311262975, 'FR', 'France'),
(40673, '78.40.73.0', '78.40.74.175', 1311262976, 1311263407, 'CH', 'Switzerland'),
(40674, '78.40.74.176', '78.40.74.191', 1311263408, 1311263423, 'BE', 'Belgium'),
(40675, '78.40.74.192', '78.40.75.127', 1311263424, 1311263615, 'CH', 'Switzerland'),
(40676, '78.40.75.128', '78.40.75.191', 1311263616, 1311263679, 'FR', 'France'),
(40677, '78.40.75.192', '78.40.76.127', 1311263680, 1311263871, 'CH', 'Switzerland'),
(40678, '78.40.76.128', '78.40.76.255', 1311263872, 1311263999, 'FR', 'France'),
(40679, '78.40.77.0', '78.40.77.255', 1311264000, 1311264255, 'CH', 'Switzerland'),
(40680, '78.40.78.0', '78.40.79.255', 1311264256, 1311264767, 'FR', 'France'),
(40681, '78.40.80.0', '78.40.87.255', 1311264768, 1311266815, 'RU', 'Russian Federation'),
(40682, '78.40.88.0', '78.40.95.255', 1311266816, 1311268863, 'FR', 'France'),
(40683, '78.40.96.0', '78.40.103.255', 1311268864, 1311270911, 'BE', 'Belgium'),
(40684, '78.40.104.0', '78.40.111.255', 1311270912, 1311272959, 'RU', 'Russian Federation'),
(40685, '78.40.112.0', '78.40.119.255', 1311272960, 1311275007, 'GB', 'United Kingdom'),
(40686, '78.40.120.0', '78.40.126.127', 1311275008, 1311276671, 'FR', 'France'),
(40687, '78.40.126.128', '78.40.126.159', 1311276672, 1311276703, 'RU', 'Russian Federation'),
(40688, '78.40.126.160', '78.40.127.79', 1311276704, 1311276879, 'FR', 'France'),
(40689, '78.40.127.80', '78.40.127.95', 1311276880, 1311276895, 'SC', 'Seychelles'),
(40690, '78.40.127.96', '78.40.127.255', 1311276896, 1311277055, 'FR', 'France'),
(40691, '78.40.128.0', '78.40.135.255', 1311277056, 1311279103, 'IT', 'Italy'),
(40692, '78.40.136.0', '78.40.139.255', 1311279104, 1311280127, 'BG', 'Bulgaria'),
(40693, '78.40.140.0', '78.40.140.255', 1311280128, 1311280383, 'MK', 'Macedonia'),
(40694, '78.40.141.0', '78.40.143.255', 1311280384, 1311281151, 'BG', 'Bulgaria'),
(40695, '78.40.144.0', '78.40.159.255', 1311281152, 1311285247, 'GB', 'United Kingdom'),
(40696, '78.40.160.0', '78.40.175.255', 1311285248, 1311289343, 'IT', 'Italy'),
(40697, '78.40.176.0', '78.40.183.255', 1311289344, 1311291391, 'LB', 'Lebanon'),
(40698, '78.40.184.0', '78.40.191.255', 1311291392, 1311293439, 'RU', 'Russian Federation'),
(40699, '78.40.192.0', '78.40.199.255', 1311293440, 1311295487, 'NL', 'Netherlands'),
(40700, '78.40.200.0', '78.40.207.255', 1311295488, 1311297535, 'IT', 'Italy'),
(40701, '78.40.208.0', '78.40.211.255', 1311297536, 1311298559, 'EU', 'Europe'),
(40702, '78.40.212.0', '78.40.215.255', 1311298560, 1311299583, 'AT', 'Austria'),
(40703, '78.40.216.0', '78.40.223.255', 1311299584, 1311301631, 'RU', 'Russian Federation'),
(40704, '78.40.224.0', '78.40.231.255', 1311301632, 1311303679, 'TR', 'Turkey'),
(40705, '78.40.232.0', '78.40.247.255', 1311303680, 1311307775, 'GB', 'United Kingdom'),
(40706, '78.40.248.0', '78.40.255.255', 1311307776, 1311309823, 'IS', 'Iceland'),
(40707, '78.41.0.0', '78.41.7.207', 1311309824, 1311311823, 'GB', 'United Kingdom'),
(40708, '78.41.7.208', '78.41.7.208', 1311311824, 1311311824, 'JE', 'Jersey'),
(40709, '78.41.7.209', '78.41.7.255', 1311311825, 1311311871, 'GB', 'United Kingdom'),
(40710, '78.41.8.0', '78.41.23.255', 1311311872, 1311315967, 'CZ', 'Czech Republic'),
(40711, '78.41.24.0', '78.41.28.255', 1311315968, 1311317247, 'PL', 'Poland'),
(40712, '78.41.29.0', '78.41.29.255', 1311317248, 1311317503, 'A2', 'Satellite Provider'),
(40713, '78.41.30.0', '78.41.31.255', 1311317504, 1311318015, 'PL', 'Poland'),
(40714, '78.41.32.0', '78.41.39.255', 1311318016, 1311320063, 'RU', 'Russian Federation'),
(40715, '78.41.40.0', '78.41.47.255', 1311320064, 1311322111, 'FR', 'France'),
(40716, '78.41.48.0', '78.41.55.255', 1311322112, 1311324159, 'IT', 'Italy'),
(40717, '78.41.56.0', '78.41.63.255', 1311324160, 1311326207, 'LB', 'Lebanon'),
(40718, '78.41.64.0', '78.41.71.159', 1311326208, 1311328159, 'BE', 'Belgium'),
(40719, '78.41.71.160', '78.41.71.191', 1311328160, 1311328191, 'LU', 'Luxembourg'),
(40720, '78.41.71.192', '78.41.71.255', 1311328192, 1311328255, 'BE', 'Belgium'),
(40721, '78.41.72.0', '78.41.79.255', 1311328256, 1311330303, 'NL', 'Netherlands'),
(40722, '78.41.80.0', '78.41.87.255', 1311330304, 1311332351, 'DE', 'Germany'),
(40723, '78.41.88.0', '78.41.111.255', 1311332352, 1311338495, 'RU', 'Russian Federation'),
(40724, '78.41.112.0', '78.41.119.255', 1311338496, 1311340543, 'AT', 'Austria'),
(40725, '78.41.120.0', '78.41.127.255', 1311340544, 1311342591, 'NO', 'Norway'),
(40726, '78.41.128.0', '78.41.135.255', 1311342592, 1311344639, 'FR', 'France'),
(40727, '78.41.136.0', '78.41.143.255', 1311344640, 1311346687, 'NO', 'Norway'),
(40728, '78.41.144.0', '78.41.151.255', 1311346688, 1311348735, 'AT', 'Austria'),
(40729, '78.41.152.0', '78.41.159.255', 1311348736, 1311350783, 'GB', 'United Kingdom'),
(40730, '78.41.160.0', '78.41.167.255', 1311350784, 1311352831, 'FR', 'France'),
(40731, '78.41.168.0', '78.41.175.255', 1311352832, 1311354879, 'SK', 'Slovakia'),
(40732, '78.41.176.0', '78.41.183.255', 1311354880, 1311356927, 'RU', 'Russian Federation'),
(40733, '78.41.184.0', '78.41.184.255', 1311356928, 1311357183, 'GB', 'United Kingdom'),
(40734, '78.41.185.0', '78.41.185.255', 1311357184, 1311357439, 'FR', 'France'),
(40735, '78.41.186.0', '78.41.186.255', 1311357440, 1311357695, 'IT', 'Italy'),
(40736, '78.41.187.0', '78.41.187.255', 1311357696, 1311357951, 'CH', 'Switzerland'),
(40737, '78.41.188.0', '78.41.188.255', 1311357952, 1311358207, 'CA', 'Canada'),
(40738, '78.41.189.0', '78.41.189.55', 1311358208, 1311358263, 'FR', 'France'),
(40739, '78.41.189.56', '78.41.189.63', 1311358264, 1311358271, 'ES', 'Spain'),
(40740, '78.41.189.64', '78.41.190.255', 1311358272, 1311358719, 'FR', 'France'),
(40741, '78.41.191.0', '78.41.191.255', 1311358720, 1311358975, 'BE', 'Belgium'),
(40742, '78.41.192.0', '78.41.199.255', 1311358976, 1311361023, 'RU', 'Russian Federation'),
(40743, '78.41.200.0', '78.41.201.6', 1311361024, 1311361286, 'NL', 'Netherlands'),
(40744, '78.41.201.7', '78.41.201.8', 1311361287, 1311361288, 'SA', 'Saudi Arabia'),
(40745, '78.41.201.9', '78.41.207.255', 1311361289, 1311363071, 'NL', 'Netherlands'),
(40746, '78.41.208.0', '78.41.215.255', 1311363072, 1311365119, 'GB', 'United Kingdom'),
(40747, '78.41.216.0', '78.41.223.255', 1311365120, 1311367167, 'DE', 'Germany'),
(40748, '78.41.224.0', '78.41.224.127', 1311367168, 1311367295, 'GN', 'Guinea'),
(40749, '78.41.224.128', '78.41.224.255', 1311367296, 1311367423, 'GA', 'Gabon'),
(40750, '78.41.225.0', '78.41.225.255', 1311367424, 1311367679, 'MM', 'Myanmar'),
(40751, '78.41.226.0', '78.41.226.31', 1311367680, 1311367711, 'UG', 'Uganda'),
(40752, '78.41.226.32', '78.41.226.63', 1311367712, 1311367743, 'CD', 'Congo, The Democratic Republic of the'),
(40753, '78.41.226.64', '78.41.226.95', 1311367744, 1311367775, 'SL', 'Sierra Leone'),
(40754, '78.41.226.96', '78.41.226.127', 1311367776, 1311367807, 'LR', 'Liberia'),
(40755, '78.41.226.128', '78.41.226.159', 1311367808, 1311367839, 'US', 'United States'),
(40756, '78.41.226.160', '78.41.226.191', 1311367840, 1311367871, 'DK', 'Denmark'),
(40757, '78.41.226.192', '78.41.226.207', 1311367872, 1311367887, 'LR', 'Liberia'),
(40758, '78.41.226.208', '78.41.226.215', 1311367888, 1311367895, 'DE', 'Germany'),
(40759, '78.41.226.216', '78.41.226.223', 1311367896, 1311367903, 'NG', 'Nigeria'),
(40760, '78.41.226.224', '78.41.226.247', 1311367904, 1311367927, 'A2', 'Satellite Provider'),
(40761, '78.41.226.248', '78.41.226.255', 1311367928, 1311367935, 'DE', 'Germany'),
(40762, '78.41.227.0', '78.41.227.255', 1311367936, 1311368191, 'A2', 'Satellite Provider'),
(40763, '78.41.228.0', '78.41.228.127', 1311368192, 1311368319, 'BD', 'Bangladesh'),
(40764, '78.41.228.128', '78.41.228.255', 1311368320, 1311368447, 'CF', 'Central African Republic'),
(40765, '78.41.229.0', '78.41.229.127', 1311368448, 1311368575, 'TZ', 'Tanzania, United Republic of'),
(40766, '78.41.229.128', '78.41.229.255', 1311368576, 1311368703, 'PG', 'Papua New Guinea'),
(40767, '78.41.230.0', '78.41.230.127', 1311368704, 1311368831, 'NP', 'Nepal'),
(40768, '78.41.230.128', '78.41.230.255', 1311368832, 1311368959, 'GM', 'Gambia'),
(40769, '78.41.231.0', '78.41.231.127', 1311368960, 1311369087, 'PT', 'Portugal'),
(40770, '78.41.231.128', '78.41.231.255', 1311369088, 1311369215, 'BT', 'Bhutan'),
(40771, '78.41.232.0', '78.41.239.255', 1311369216, 1311371263, 'FR', 'France'),
(40772, '78.41.240.0', '78.41.247.255', 1311371264, 1311373311, 'SE', 'Sweden'),
(40773, '78.41.248.0', '78.41.251.255', 1311373312, 1311374335, 'FR', 'France'),
(40774, '78.41.252.0', '78.41.252.15', 1311374336, 1311374351, 'ES', 'Spain'),
(40775, '78.41.252.16', '78.41.255.255', 1311374352, 1311375359, 'FR', 'France'),
(40776, '78.42.0.0', '78.43.255.255', 1311375360, 1311506431, 'DE', 'Germany'),
(40777, '78.44.0.0', '78.45.255.255', 1311506432, 1311637503, 'CZ', 'Czech Republic'),
(40778, '78.46.0.0', '78.46.150.119', 1311637504, 1311676023, 'DE', 'Germany'),
(40779, '78.46.150.120', '78.46.150.127', 1311676024, 1311676031, 'IT', 'Italy'),
(40780, '78.46.150.128', '78.46.242.71', 1311676032, 1311699527, 'DE', 'Germany'),
(40781, '78.46.242.72', '78.46.242.79', 1311699528, 1311699535, 'IT', 'Italy'),
(40782, '78.46.242.80', '78.47.18.7', 1311699536, 1311707655, 'DE', 'Germany'),
(40783, '78.47.18.8', '78.47.18.15', 1311707656, 1311707663, 'NL', 'Netherlands'),
(40784, '78.47.18.16', '78.47.212.127', 1311707664, 1311757439, 'DE', 'Germany'),
(40785, '78.47.212.128', '78.47.212.135', 1311757440, 1311757447, 'ES', 'Spain'),
(40786, '78.47.212.136', '78.47.212.151', 1311757448, 1311757463, 'DE', 'Germany'),
(40787, '78.47.212.152', '78.47.212.159', 1311757464, 1311757471, 'ES', 'Spain'),
(40788, '78.47.212.160', '78.47.251.15', 1311757472, 1311767311, 'DE', 'Germany'),
(40789, '78.47.251.16', '78.47.251.23', 1311767312, 1311767319, 'IT', 'Italy'),
(40790, '78.47.251.24', '78.55.255.255', 1311767320, 1312292863, 'DE', 'Germany'),
(40791, '78.56.0.0', '78.63.255.255', 1312292864, 1312817151, 'LT', 'Lithuania'),
(40792, '78.64.0.0', '78.79.255.255', 1312817152, 1313865727, 'SE', 'Sweden'),
(40793, '78.80.0.0', '78.80.255.255', 1313865728, 1313931263, 'CZ', 'Czech Republic'),
(40794, '78.81.0.0', '78.81.255.255', 1313931264, 1313996799, 'RU', 'Russian Federation'),
(40795, '78.82.0.0', '78.82.255.255', 1313996800, 1314062335, 'SE', 'Sweden'),
(40796, '78.83.0.0', '78.83.103.59', 1314062336, 1314088763, 'BG', 'Bulgaria'),
(40797, '78.83.103.60', '78.83.103.60', 1314088764, 1314088764, 'A1', 'Anonymous Proxy'),
(40798, '78.83.103.61', '78.83.255.255', 1314088765, 1314127871, 'BG', 'Bulgaria'),
(40799, '78.84.0.0', '78.84.255.255', 1314127872, 1314193407, 'LV', 'Latvia'),
(40800, '78.85.0.0', '78.85.255.255', 1314193408, 1314258943, 'RU', 'Russian Federation'),
(40801, '78.86.0.0', '78.86.255.255', 1314258944, 1314324479, 'GB', 'United Kingdom'),
(40802, '78.87.0.0', '78.87.255.255', 1314324480, 1314390015, 'GR', 'Greece'),
(40803, '78.88.0.0', '78.88.255.255', 1314390016, 1314455551, 'PL', 'Poland'),
(40804, '78.89.0.0', '78.89.132.255', 1314455552, 1314489599, 'KW', 'Kuwait'),
(40805, '78.89.133.0', '78.89.133.255', 1314489600, 1314489855, 'US', 'United States'),
(40806, '78.89.134.0', '78.89.255.255', 1314489856, 1314521087, 'KW', 'Kuwait'),
(40807, '78.90.0.0', '78.90.255.255', 1314521088, 1314586623, 'BG', 'Bulgaria'),
(40808, '78.91.0.0', '78.91.255.255', 1314586624, 1314652159, 'NO', 'Norway'),
(40809, '78.92.0.0', '78.92.255.255', 1314652160, 1314717695, 'HU', 'Hungary'),
(40810, '78.93.0.0', '78.93.255.255', 1314717696, 1314783231, 'SA', 'Saudi Arabia'),
(40811, '78.94.0.0', '78.94.255.255', 1314783232, 1314848767, 'DE', 'Germany'),
(40812, '78.95.0.0', '78.97.255.255', 1314848768, 1315045375, 'RO', 'Romania'),
(40813, '78.98.0.0', '78.99.255.255', 1315045376, 1315176447, 'SK', 'Slovakia'),
(40814, '78.100.0.0', '78.101.255.255', 1315176448, 1315307519, 'QA', 'Qatar'),
(40815, '78.102.0.0', '78.103.255.255', 1315307520, 1315438591, 'CZ', 'Czech Republic'),
(40816, '78.104.0.0', '78.104.255.255', 1315438592, 1315504127, 'AT', 'Austria'),
(40817, '78.105.0.0', '78.105.255.255', 1315504128, 1315569663, 'GB', 'United Kingdom'),
(40818, '78.106.0.0', '78.107.255.255', 1315569664, 1315700735, 'RU', 'Russian Federation'),
(40819, '78.108.0.0', '78.108.15.255', 1315700736, 1315704831, 'SE', 'Sweden'),
(40820, '78.108.16.0', '78.108.31.255', 1315704832, 1315708927, 'HU', 'Hungary'),
(40821, '78.108.32.0', '78.108.47.255', 1315708928, 1315713023, 'GR', 'Greece'),
(40822, '78.108.48.0', '78.108.63.255', 1315713024, 1315717119, 'SE', 'Sweden'),
(40823, '78.108.64.0', '78.108.95.255', 1315717120, 1315725311, 'RU', 'Russian Federation'),
(40824, '78.108.96.0', '78.108.111.255', 1315725312, 1315729407, 'CZ', 'Czech Republic'),
(40825, '78.108.112.0', '78.108.127.255', 1315729408, 1315733503, 'EU', 'Europe'),
(40826, '78.108.128.0', '78.108.143.255', 1315733504, 1315737599, 'NL', 'Netherlands'),
(40827, '78.108.144.0', '78.108.159.255', 1315737600, 1315741695, 'CZ', 'Czech Republic'),
(40828, '78.108.160.0', '78.108.175.255', 1315741696, 1315745791, 'LB', 'Lebanon'),
(40829, '78.108.176.0', '78.108.189.255', 1315745792, 1315749375, 'CZ', 'Czech Republic'),
(40830, '78.108.190.0', '78.108.190.127', 1315749376, 1315749503, 'ES', 'Spain'),
(40831, '78.108.190.128', '78.108.191.255', 1315749504, 1315749887, 'CZ', 'Czech Republic'),
(40832, '78.108.192.0', '78.108.207.255', 1315749888, 1315753983, 'RU', 'Russian Federation'),
(40833, '78.108.208.0', '78.108.223.255', 1315753984, 1315758079, 'KZ', 'Kazakhstan'),
(40834, '78.108.224.0', '78.108.239.255', 1315758080, 1315762175, 'FR', 'France'),
(40835, '78.108.240.0', '78.108.255.255', 1315762176, 1315766271, 'BG', 'Bulgaria'),
(40836, '78.109.0.0', '78.109.10.255', 1315766272, 1315769087, 'NL', 'Netherlands'),
(40837, '78.109.11.0', '78.109.11.255', 1315769088, 1315769343, 'EU', 'Europe'),
(40838, '78.109.12.0', '78.109.13.255', 1315769344, 1315769855, 'NL', 'Netherlands'),
(40839, '78.109.14.0', '78.109.14.255', 1315769856, 1315770111, 'EU', 'Europe'),
(40840, '78.109.15.0', '78.109.15.255', 1315770112, 1315770367, 'NL', 'Netherlands'),
(40841, '78.109.16.0', '78.109.16.15', 1315770368, 1315770383, 'UA', 'Ukraine'),
(40842, '78.109.16.16', '78.109.16.31', 1315770384, 1315770399, 'NA', 'Namibia'),
(40843, '78.109.16.32', '78.109.16.135', 1315770400, 1315770503, 'UA', 'Ukraine'),
(40844, '78.109.16.136', '78.109.16.143', 1315770504, 1315770511, 'NA', 'Namibia'),
(40845, '78.109.16.144', '78.109.16.207', 1315770512, 1315770575, 'UA', 'Ukraine'),
(40846, '78.109.16.208', '78.109.16.215', 1315770576, 1315770583, 'NA', 'Namibia'),
(40847, '78.109.16.216', '78.109.16.223', 1315770584, 1315770591, 'UA', 'Ukraine'),
(40848, '78.109.16.224', '78.109.16.231', 1315770592, 1315770599, 'NA', 'Namibia'),
(40849, '78.109.16.232', '78.109.17.15', 1315770600, 1315770639, 'UA', 'Ukraine'),
(40850, '78.109.17.16', '78.109.17.23', 1315770640, 1315770647, 'NA', 'Namibia'),
(40851, '78.109.17.24', '78.109.17.95', 1315770648, 1315770719, 'UA', 'Ukraine'),
(40852, '78.109.17.96', '78.109.17.103', 1315770720, 1315770727, 'NA', 'Namibia'),
(40853, '78.109.17.104', '78.109.18.95', 1315770728, 1315770975, 'UA', 'Ukraine'),
(40854, '78.109.18.96', '78.109.18.103', 1315770976, 1315770983, 'NA', 'Namibia'),
(40855, '78.109.18.104', '78.109.18.111', 1315770984, 1315770991, 'UA', 'Ukraine'),
(40856, '78.109.18.112', '78.109.18.119', 1315770992, 1315770999, 'NA', 'Namibia'),
(40857, '78.109.18.120', '78.109.19.63', 1315771000, 1315771199, 'UA', 'Ukraine'),
(40858, '78.109.19.64', '78.109.19.71', 1315771200, 1315771207, 'NA', 'Namibia'),
(40859, '78.109.19.72', '78.109.19.87', 1315771208, 1315771223, 'UA', 'Ukraine'),
(40860, '78.109.19.88', '78.109.19.95', 1315771224, 1315771231, 'NA', 'Namibia'),
(40861, '78.109.19.96', '78.109.19.111', 1315771232, 1315771247, 'UA', 'Ukraine'),
(40862, '78.109.19.112', '78.109.19.127', 1315771248, 1315771263, 'NA', 'Namibia'),
(40863, '78.109.19.128', '78.109.19.135', 1315771264, 1315771271, 'UA', 'Ukraine'),
(40864, '78.109.19.136', '78.109.19.143', 1315771272, 1315771279, 'NA', 'Namibia'),
(40865, '78.109.19.144', '78.109.20.23', 1315771280, 1315771415, 'UA', 'Ukraine'),
(40866, '78.109.20.24', '78.109.20.31', 1315771416, 1315771423, 'NA', 'Namibia'),
(40867, '78.109.20.32', '78.109.20.247', 1315771424, 1315771639, 'UA', 'Ukraine'),
(40868, '78.109.20.248', '78.109.20.255', 1315771640, 1315771647, 'NA', 'Namibia'),
(40869, '78.109.21.0', '78.109.21.111', 1315771648, 1315771759, 'UA', 'Ukraine'),
(40870, '78.109.21.112', '78.109.21.119', 1315771760, 1315771767, 'NA', 'Namibia'),
(40871, '78.109.21.120', '78.109.21.167', 1315771768, 1315771815, 'UA', 'Ukraine'),
(40872, '78.109.21.168', '78.109.21.175', 1315771816, 1315771823, 'NA', 'Namibia'),
(40873, '78.109.21.176', '78.109.21.223', 1315771824, 1315771871, 'UA', 'Ukraine'),
(40874, '78.109.21.224', '78.109.21.231', 1315771872, 1315771879, 'NA', 'Namibia'),
(40875, '78.109.21.232', '78.109.22.31', 1315771880, 1315771935, 'UA', 'Ukraine'),
(40876, '78.109.22.32', '78.109.22.47', 1315771936, 1315771951, 'NA', 'Namibia'),
(40877, '78.109.22.48', '78.109.22.55', 1315771952, 1315771959, 'UA', 'Ukraine'),
(40878, '78.109.22.56', '78.109.22.63', 1315771960, 1315771967, 'NA', 'Namibia'),
(40879, '78.109.22.64', '78.109.22.127', 1315771968, 1315772031, 'UA', 'Ukraine'),
(40880, '78.109.22.128', '78.109.22.135', 1315772032, 1315772039, 'NA', 'Namibia'),
(40881, '78.109.22.136', '78.109.23.7', 1315772040, 1315772167, 'UA', 'Ukraine'),
(40882, '78.109.23.8', '78.109.23.15', 1315772168, 1315772175, 'NA', 'Namibia'),
(40883, '78.109.23.16', '78.109.23.31', 1315772176, 1315772191, 'UA', 'Ukraine'),
(40884, '78.109.23.32', '78.109.23.39', 1315772192, 1315772199, 'NA', 'Namibia'),
(40885, '78.109.23.40', '78.109.23.63', 1315772200, 1315772223, 'UA', 'Ukraine'),
(40886, '78.109.23.64', '78.109.23.71', 1315772224, 1315772231, 'NA', 'Namibia'),
(40887, '78.109.23.72', '78.109.23.143', 1315772232, 1315772303, 'UA', 'Ukraine'),
(40888, '78.109.23.144', '78.109.23.151', 1315772304, 1315772311, 'NA', 'Namibia'),
(40889, '78.109.23.152', '78.109.23.159', 1315772312, 1315772319, 'UA', 'Ukraine'),
(40890, '78.109.23.160', '78.109.23.167', 1315772320, 1315772327, 'NA', 'Namibia'),
(40891, '78.109.23.168', '78.109.23.239', 1315772328, 1315772399, 'UA', 'Ukraine'),
(40892, '78.109.23.240', '78.109.23.247', 1315772400, 1315772407, 'NA', 'Namibia'),
(40893, '78.109.23.248', '78.109.24.47', 1315772408, 1315772463, 'UA', 'Ukraine'),
(40894, '78.109.24.48', '78.109.24.63', 1315772464, 1315772479, 'NA', 'Namibia'),
(40895, '78.109.24.64', '78.109.24.87', 1315772480, 1315772503, 'UA', 'Ukraine'),
(40896, '78.109.24.88', '78.109.24.95', 1315772504, 1315772511, 'NA', 'Namibia'),
(40897, '78.109.24.96', '78.109.24.167', 1315772512, 1315772583, 'UA', 'Ukraine'),
(40898, '78.109.24.168', '78.109.24.183', 1315772584, 1315772599, 'NA', 'Namibia'),
(40899, '78.109.24.184', '78.109.25.31', 1315772600, 1315772703, 'UA', 'Ukraine'),
(40900, '78.109.25.32', '78.109.25.39', 1315772704, 1315772711, 'NA', 'Namibia'),
(40901, '78.109.25.40', '78.109.25.215', 1315772712, 1315772887, 'UA', 'Ukraine'),
(40902, '78.109.25.216', '78.109.25.223', 1315772888, 1315772895, 'NA', 'Namibia'),
(40903, '78.109.25.224', '78.109.25.247', 1315772896, 1315772919, 'UA', 'Ukraine'),
(40904, '78.109.25.248', '78.109.25.255', 1315772920, 1315772927, 'NA', 'Namibia'),
(40905, '78.109.26.0', '78.109.28.23', 1315772928, 1315773463, 'UA', 'Ukraine'),
(40906, '78.109.28.24', '78.109.28.31', 1315773464, 1315773471, 'NA', 'Namibia'),
(40907, '78.109.28.32', '78.109.28.47', 1315773472, 1315773487, 'UA', 'Ukraine'),
(40908, '78.109.28.48', '78.109.28.55', 1315773488, 1315773495, 'NA', 'Namibia'),
(40909, '78.109.28.56', '78.109.28.71', 1315773496, 1315773511, 'UA', 'Ukraine'),
(40910, '78.109.28.72', '78.109.28.79', 1315773512, 1315773519, 'NA', 'Namibia'),
(40911, '78.109.28.80', '78.109.28.95', 1315773520, 1315773535, 'UA', 'Ukraine'),
(40912, '78.109.28.96', '78.109.28.103', 1315773536, 1315773543, 'NA', 'Namibia'),
(40913, '78.109.28.104', '78.109.28.111', 1315773544, 1315773551, 'UA', 'Ukraine'),
(40914, '78.109.28.112', '78.109.28.119', 1315773552, 1315773559, 'NA', 'Namibia'),
(40915, '78.109.28.120', '78.109.28.135', 1315773560, 1315773575, 'UA', 'Ukraine'),
(40916, '78.109.28.136', '78.109.28.143', 1315773576, 1315773583, 'NA', 'Namibia'),
(40917, '78.109.28.144', '78.109.28.215', 1315773584, 1315773655, 'UA', 'Ukraine'),
(40918, '78.109.28.216', '78.109.28.223', 1315773656, 1315773663, 'NA', 'Namibia'),
(40919, '78.109.28.224', '78.109.28.239', 1315773664, 1315773679, 'UA', 'Ukraine'),
(40920, '78.109.28.240', '78.109.28.247', 1315773680, 1315773687, 'NA', 'Namibia'),
(40921, '78.109.28.248', '78.109.29.7', 1315773688, 1315773703, 'UA', 'Ukraine'),
(40922, '78.109.29.8', '78.109.29.15', 1315773704, 1315773711, 'NA', 'Namibia'),
(40923, '78.109.29.16', '78.109.29.23', 1315773712, 1315773719, 'UA', 'Ukraine'),
(40924, '78.109.29.24', '78.109.29.55', 1315773720, 1315773751, 'NA', 'Namibia'),
(40925, '78.109.29.56', '78.109.29.199', 1315773752, 1315773895, 'UA', 'Ukraine'),
(40926, '78.109.29.200', '78.109.29.207', 1315773896, 1315773903, 'NA', 'Namibia'),
(40927, '78.109.29.208', '78.109.30.3', 1315773904, 1315773955, 'UA', 'Ukraine'),
(40928, '78.109.30.4', '78.109.30.7', 1315773956, 1315773959, 'NA', 'Namibia'),
(40929, '78.109.30.8', '78.109.30.31', 1315773960, 1315773983, 'UA', 'Ukraine'),
(40930, '78.109.30.32', '78.109.30.39', 1315773984, 1315773991, 'BY', 'Belarus'),
(40931, '78.109.30.40', '78.109.30.63', 1315773992, 1315774015, 'UA', 'Ukraine'),
(40932, '78.109.30.64', '78.109.30.79', 1315774016, 1315774031, 'NA', 'Namibia'),
(40933, '78.109.30.80', '78.109.30.87', 1315774032, 1315774039, 'UA', 'Ukraine'),
(40934, '78.109.30.88', '78.109.30.119', 1315774040, 1315774071, 'NA', 'Namibia'),
(40935, '78.109.30.120', '78.109.30.143', 1315774072, 1315774095, 'UA', 'Ukraine'),
(40936, '78.109.30.144', '78.109.30.159', 1315774096, 1315774111, 'NA', 'Namibia'),
(40937, '78.109.30.160', '78.109.30.183', 1315774112, 1315774135, 'UA', 'Ukraine'),
(40938, '78.109.30.184', '78.109.30.191', 1315774136, 1315774143, 'US', 'United States'),
(40939, '78.109.30.192', '78.109.30.239', 1315774144, 1315774191, 'UA', 'Ukraine'),
(40940, '78.109.30.240', '78.109.30.255', 1315774192, 1315774207, 'NA', 'Namibia'),
(40941, '78.109.31.0', '78.109.31.31', 1315774208, 1315774239, 'UA', 'Ukraine'),
(40942, '78.109.31.32', '78.109.31.47', 1315774240, 1315774255, 'RU', 'Russian Federation'),
(40943, '78.109.31.48', '78.109.31.55', 1315774256, 1315774263, 'NA', 'Namibia'),
(40944, '78.109.31.56', '78.109.31.215', 1315774264, 1315774423, 'UA', 'Ukraine'),
(40945, '78.109.31.216', '78.109.31.223', 1315774424, 1315774431, 'NA', 'Namibia'),
(40946, '78.109.31.224', '78.109.31.255', 1315774432, 1315774463, 'UA', 'Ukraine'),
(40947, '78.109.32.0', '78.109.47.255', 1315774464, 1315778559, 'RU', 'Russian Federation'),
(40948, '78.109.48.0', '78.109.55.255', 1315778560, 1315780607, 'AZ', 'Azerbaijan'),
(40949, '78.109.56.0', '78.109.56.255', 1315780608, 1315780863, 'DE', 'Germany'),
(40950, '78.109.57.0', '78.109.57.255', 1315780864, 1315781119, 'PL', 'Poland'),
(40951, '78.109.58.0', '78.109.59.255', 1315781120, 1315781631, 'DE', 'Germany'),
(40952, '78.109.60.0', '78.109.60.255', 1315781632, 1315781887, 'DK', 'Denmark'),
(40953, '78.109.61.0', '78.109.61.255', 1315781888, 1315782143, 'DE', 'Germany'),
(40954, '78.109.62.0', '78.109.62.255', 1315782144, 1315782399, 'PL', 'Poland'),
(40955, '78.109.63.0', '78.109.63.255', 1315782400, 1315782655, 'DE', 'Germany'),
(40956, '78.109.64.0', '78.109.79.255', 1315782656, 1315786751, 'AM', 'Armenia'),
(40957, '78.109.80.0', '78.109.95.0', 1315786752, 1315790592, 'FR', 'France'),
(40958, '78.109.95.1', '78.109.95.1', 1315790593, 1315790593, 'IT', 'Italy'),
(40959, '78.109.95.2', '78.109.95.255', 1315790594, 1315790847, 'FR', 'France'),
(40960, '78.109.96.0', '78.109.111.255', 1315790848, 1315794943, 'RS', 'Serbia'),
(40961, '78.109.112.0', '78.109.143.255', 1315794944, 1315803135, 'RU', 'Russian Federation'),
(40962, '78.109.144.0', '78.109.159.255', 1315803136, 1315807231, 'KZ', 'Kazakhstan'),
(40963, '78.109.160.0', '78.109.191.255', 1315807232, 1315815423, 'GB', 'United Kingdom'),
(40964, '78.109.192.0', '78.109.207.255', 1315815424, 1315819519, 'IR', 'Iran, Islamic Republic of'),
(40965, '78.109.208.0', '78.109.223.255', 1315819520, 1315823615, 'DK', 'Denmark'),
(40966, '78.109.224.0', '78.109.239.255', 1315823616, 1315827711, 'IQ', 'Iraq'),
(40967, '78.109.240.0', '78.109.255.255', 1315827712, 1315831807, 'RU', 'Russian Federation'),
(40968, '78.110.0.0', '78.110.15.255', 1315831808, 1315835903, 'SA', 'Saudi Arabia'),
(40969, '78.110.16.0', '78.110.16.255', 1315835904, 1315836159, 'CY', 'Cyprus'),
(40970, '78.110.17.0', '78.110.29.255', 1315836160, 1315839487, 'MT', 'Malta'),
(40971, '78.110.30.0', '78.110.30.255', 1315839488, 1315839743, 'CY', 'Cyprus'),
(40972, '78.110.31.0', '78.110.31.255', 1315839744, 1315839999, 'MT', 'Malta'),
(40973, '78.110.32.0', '78.110.47.255', 1315840000, 1315844095, 'EE', 'Estonia'),
(40974, '78.110.48.0', '78.110.63.255', 1315844096, 1315848191, 'RU', 'Russian Federation'),
(40975, '78.110.64.0', '78.110.79.255', 1315848192, 1315852287, 'BH', 'Bahrain'),
(40976, '78.110.80.0', '78.110.95.255', 1315852288, 1315856383, 'SE', 'Sweden'),
(40977, '78.110.96.0', '78.110.111.255', 1315856384, 1315860479, 'SY', 'Syrian Arab Republic'),
(40978, '78.110.112.0', '78.110.127.255', 1315860480, 1315864575, 'IR', 'Iran, Islamic Republic of'),
(40979, '78.110.128.0', '78.110.143.255', 1315864576, 1315868671, 'CH', 'Switzerland'),
(40980, '78.110.144.0', '78.110.159.255', 1315868672, 1315872767, 'RU', 'Russian Federation'),
(40981, '78.110.160.0', '78.110.169.111', 1315872768, 1315875183, 'GB', 'United Kingdom'),
(40982, '78.110.169.112', '78.110.169.127', 1315875184, 1315875199, 'ES', 'Spain'),
(40983, '78.110.169.128', '78.110.175.255', 1315875200, 1315876863, 'GB', 'United Kingdom'),
(40984, '78.110.176.0', '78.110.191.255', 1315876864, 1315880959, 'IT', 'Italy'),
(40985, '78.110.192.0', '78.110.207.255', 1315880960, 1315885055, 'BE', 'Belgium'),
(40986, '78.110.208.0', '78.110.223.255', 1315885056, 1315889151, 'CZ', 'Czech Republic'),
(40987, '78.110.224.0', '78.110.239.255', 1315889152, 1315893247, 'DE', 'Germany'),
(40988, '78.110.240.0', '78.110.255.255', 1315893248, 1315897343, 'RU', 'Russian Federation'),
(40989, '78.111.0.0', '78.111.15.255', 1315897344, 1315901439, 'IR', 'Iran, Islamic Republic of'),
(40990, '78.111.16.0', '78.111.31.255', 1315901440, 1315905535, 'UA', 'Ukraine'),
(40991, '78.111.32.0', '78.111.39.255', 1315905536, 1315907583, 'BA', 'Bosnia and Herzegovina'),
(40992, '78.111.40.0', '78.111.41.255', 1315907584, 1315908095, 'SI', 'Slovenia'),
(40993, '78.111.42.0', '78.111.47.255', 1315908096, 1315909631, 'BA', 'Bosnia and Herzegovina'),
(40994, '78.111.48.0', '78.111.63.255', 1315909632, 1315913727, 'AZ', 'Azerbaijan'),
(40995, '78.111.64.0', '78.111.79.255', 1315913728, 1315917823, 'DE', 'Germany'),
(40996, '78.111.80.0', '78.111.95.255', 1315917824, 1315921919, 'RU', 'Russian Federation'),
(40997, '78.111.96.0', '78.111.111.255', 1315921920, 1315926015, 'TR', 'Turkey'),
(40998, '78.111.112.0', '78.111.127.255', 1315926016, 1315930111, 'CZ', 'Czech Republic'),
(40999, '78.111.128.0', '78.111.128.63', 1315930112, 1315930175, 'LB', 'Lebanon'),
(41000, '78.111.128.64', '78.111.129.255', 1315930176, 1315930623, 'DE', 'Germany'),
(41001, '78.111.130.0', '78.111.130.255', 1315930624, 1315930879, 'LB', 'Lebanon'),
(41002, '78.111.131.0', '78.111.131.255', 1315930880, 1315931135, 'DE', 'Germany'),
(41003, '78.111.132.0', '78.111.132.255', 1315931136, 1315931391, 'LB', 'Lebanon'),
(41004, '78.111.133.0', '78.111.143.255', 1315931392, 1315934207, 'DE', 'Germany'),
(41005, '78.111.144.0', '78.111.159.255', 1315934208, 1315938303, 'RU', 'Russian Federation'),
(41006, '78.111.160.0', '78.111.175.255', 1315938304, 1315942399, 'DK', 'Denmark'),
(41007, '78.111.176.0', '78.111.191.255', 1315942400, 1315946495, 'UA', 'Ukraine'),
(41008, '78.111.192.0', '78.111.207.255', 1315946496, 1315950591, 'GG', 'Guernsey'),
(41009, '78.111.208.0', '78.111.223.255', 1315950592, 1315954687, 'UA', 'Ukraine'),
(41010, '78.111.224.0', '78.111.239.255', 1315954688, 1315958783, 'DE', 'Germany'),
(41011, '78.111.240.0', '78.111.255.255', 1315958784, 1315962879, 'RU', 'Russian Federation'),
(41012, '78.112.0.0', '78.127.255.255', 1315962880, 1317011455, 'FR', 'France'),
(41013, '78.128.0.0', '78.128.127.255', 1317011456, 1317044223, 'BG', 'Bulgaria'),
(41014, '78.128.128.0', '78.128.255.255', 1317044224, 1317076991, 'CZ', 'Czech Republic'),
(41015, '78.129.0.0', '78.129.127.255', 1317076992, 1317109759, 'BE', 'Belgium'),
(41016, '78.129.128.0', '78.129.141.15', 1317109760, 1317113103, 'GB', 'United Kingdom'),
(41017, '78.129.141.16', '78.129.141.31', 1317113104, 1317113119, 'IE', 'Ireland'),
(41018, '78.129.141.32', '78.129.143.255', 1317113120, 1317113855, 'GB', 'United Kingdom'),
(41019, '78.129.144.0', '78.129.144.255', 1317113856, 1317114111, 'US', 'United States'),
(41020, '78.129.145.0', '78.129.160.255', 1317114112, 1317118207, 'GB', 'United Kingdom'),
(41021, '78.129.161.0', '78.129.161.255', 1317118208, 1317118463, 'IN', 'India'),
(41022, '78.129.162.0', '78.129.164.127', 1317118464, 1317119103, 'GB', 'United Kingdom'),
(41023, '78.129.164.128', '78.129.164.143', 1317119104, 1317119119, 'CH', 'Switzerland'),
(41024, '78.129.164.144', '78.129.176.127', 1317119120, 1317122175, 'GB', 'United Kingdom'),
(41025, '78.129.176.128', '78.129.176.255', 1317122176, 1317122303, 'CY', 'Cyprus'),
(41026, '78.129.177.0', '78.129.177.255', 1317122304, 1317122559, 'RU', 'Russian Federation'),
(41027, '78.129.178.0', '78.129.183.255', 1317122560, 1317124095, 'GB', 'United Kingdom'),
(41028, '78.129.184.0', '78.129.184.255', 1317124096, 1317124351, 'US', 'United States'),
(41029, '78.129.185.0', '78.129.192.255', 1317124352, 1317126399, 'GB', 'United Kingdom'),
(41030, '78.129.193.0', '78.129.193.255', 1317126400, 1317126655, 'US', 'United States'),
(41031, '78.129.194.0', '78.129.194.159', 1317126656, 1317126815, 'GB', 'United Kingdom'),
(41032, '78.129.194.160', '78.129.194.191', 1317126816, 1317126847, 'US', 'United States'),
(41033, '78.129.194.192', '78.129.203.63', 1317126848, 1317129023, 'GB', 'United Kingdom'),
(41034, '78.129.203.64', '78.129.203.79', 1317129024, 1317129039, 'CH', 'Switzerland'),
(41035, '78.129.203.80', '78.129.204.63', 1317129040, 1317129279, 'GB', 'United Kingdom'),
(41036, '78.129.204.64', '78.129.204.127', 1317129280, 1317129343, 'CA', 'Canada'),
(41037, '78.129.204.128', '78.129.204.255', 1317129344, 1317129471, 'GB', 'United Kingdom'),
(41038, '78.129.205.0', '78.129.205.255', 1317129472, 1317129727, 'IT', 'Italy'),
(41039, '78.129.206.0', '78.129.208.255', 1317129728, 1317130495, 'GB', 'United Kingdom'),
(41040, '78.129.209.0', '78.129.209.15', 1317130496, 1317130511, 'CH', 'Switzerland'),
(41041, '78.129.209.16', '78.129.218.255', 1317130512, 1317133055, 'GB', 'United Kingdom'),
(41042, '78.129.219.0', '78.129.219.127', 1317133056, 1317133183, 'LV', 'Latvia'),
(41043, '78.129.219.128', '78.129.228.255', 1317133184, 1317135615, 'GB', 'United Kingdom'),
(41044, '78.129.229.0', '78.129.229.255', 1317135616, 1317135871, 'DE', 'Germany'),
(41045, '78.129.230.0', '78.129.235.31', 1317135872, 1317137183, 'GB', 'United Kingdom'),
(41046, '78.129.235.32', '78.129.235.63', 1317137184, 1317137215, 'CH', 'Switzerland'),
(41047, '78.129.235.64', '78.129.236.255', 1317137216, 1317137663, 'GB', 'United Kingdom'),
(41048, '78.129.237.0', '78.129.237.255', 1317137664, 1317137919, 'SE', 'Sweden'),
(41049, '78.129.238.0', '78.129.246.127', 1317137920, 1317140095, 'GB', 'United Kingdom'),
(41050, '78.129.246.128', '78.129.246.255', 1317140096, 1317140223, 'US', 'United States'),
(41051, '78.129.247.0', '78.129.248.79', 1317140224, 1317140559, 'GB', 'United Kingdom'),
(41052, '78.129.248.80', '78.129.248.95', 1317140560, 1317140575, 'FR', 'France'),
(41053, '78.129.248.96', '78.129.254.127', 1317140576, 1317142143, 'GB', 'United Kingdom'),
(41054, '78.129.254.128', '78.129.254.255', 1317142144, 1317142271, 'CA', 'Canada'),
(41055, '78.129.255.0', '78.129.255.255', 1317142272, 1317142527, 'GB', 'United Kingdom'),
(41056, '78.130.0.0', '78.130.127.255', 1317142528, 1317175295, 'PT', 'Portugal'),
(41057, '78.130.128.0', '78.130.255.255', 1317175296, 1317208063, 'BG', 'Bulgaria'),
(41058, '78.131.0.0', '78.131.127.255', 1317208064, 1317240831, 'HU', 'Hungary'),
(41059, '78.131.128.0', '78.131.255.255', 1317240832, 1317273599, 'PL', 'Poland'),
(41060, '78.132.0.0', '78.132.127.255', 1317273600, 1317306367, 'AT', 'Austria'),
(41061, '78.132.128.0', '78.132.255.255', 1317306368, 1317339135, 'RU', 'Russian Federation'),
(41062, '78.133.0.0', '78.133.127.255', 1317339136, 1317371903, 'MT', 'Malta'),
(41063, '78.133.128.0', '78.133.255.255', 1317371904, 1317404671, 'PL', 'Poland'),
(41064, '78.134.0.0', '78.134.127.255', 1317404672, 1317437439, 'IT', 'Italy'),
(41065, '78.134.128.0', '78.134.255.255', 1317437440, 1317470207, 'HR', 'Croatia'),
(41066, '78.135.0.0', '78.135.127.255', 1317470208, 1317502975, 'TR', 'Turkey'),
(41067, '78.135.128.0', '78.135.255.255', 1317502976, 1317535743, 'IE', 'Ireland'),
(41068, '78.136.0.0', '78.136.63.255', 1317535744, 1317552127, 'GB', 'United Kingdom'),
(41069, '78.136.64.0', '78.136.127.255', 1317552128, 1317568511, 'ES', 'Spain'),
(41070, '78.136.128.0', '78.136.191.255', 1317568512, 1317584895, 'CZ', 'Czech Republic'),
(41071, '78.136.192.0', '78.136.255.255', 1317584896, 1317601279, 'RU', 'Russian Federation'),
(41072, '78.137.0.0', '78.137.63.255', 1317601280, 1317617663, 'UA', 'Ukraine'),
(41073, '78.137.64.0', '78.137.127.255', 1317617664, 1317634047, 'RU', 'Russian Federation'),
(41074, '78.137.128.0', '78.137.139.255', 1317634048, 1317637119, 'IE', 'Ireland'),
(41075, '78.137.140.0', '78.137.140.255', 1317637120, 1317637375, 'GB', 'United Kingdom'),
(41076, '78.137.141.0', '78.137.153.255', 1317637376, 1317640703, 'IE', 'Ireland'),
(41077, '78.137.154.0', '78.137.155.255', 1317640704, 1317641215, 'GB', 'United Kingdom'),
(41078, '78.137.156.0', '78.137.156.255', 1317641216, 1317641471, 'IE', 'Ireland'),
(41079, '78.137.157.0', '78.137.157.255', 1317641472, 1317641727, 'GB', 'United Kingdom'),
(41080, '78.137.158.0', '78.137.162.111', 1317641728, 1317642863, 'IE', 'Ireland'),
(41081, '78.137.162.112', '78.137.162.127', 1317642864, 1317642879, 'GB', 'United Kingdom'),
(41082, '78.137.162.128', '78.137.162.223', 1317642880, 1317642975, 'IE', 'Ireland'),
(41083, '78.137.162.224', '78.137.162.239', 1317642976, 1317642991, 'GB', 'United Kingdom'),
(41084, '78.137.162.240', '78.137.163.15', 1317642992, 1317643023, 'IE', 'Ireland'),
(41085, '78.137.163.16', '78.137.163.31', 1317643024, 1317643039, 'GB', 'United Kingdom'),
(41086, '78.137.163.32', '78.137.172.95', 1317643040, 1317645407, 'IE', 'Ireland'),
(41087, '78.137.172.96', '78.137.172.111', 1317645408, 1317645423, 'GB', 'United Kingdom'),
(41088, '78.137.172.112', '78.137.172.159', 1317645424, 1317645471, 'IE', 'Ireland'),
(41089, '78.137.172.160', '78.137.173.255', 1317645472, 1317645823, 'GB', 'United Kingdom'),
(41090, '78.137.174.0', '78.137.178.47', 1317645824, 1317646895, 'IE', 'Ireland'),
(41091, '78.137.178.48', '78.137.178.63', 1317646896, 1317646911, 'GB', 'United Kingdom'),
(41092, '78.137.178.64', '78.137.178.143', 1317646912, 1317646991, 'IE', 'Ireland'),
(41093, '78.137.178.144', '78.137.178.151', 1317646992, 1317646999, 'GB', 'United Kingdom'),
(41094, '78.137.178.152', '78.137.179.255', 1317647000, 1317647359, 'IE', 'Ireland'),
(41095, '78.137.180.0', '78.137.180.255', 1317647360, 1317647615, 'GB', 'United Kingdom'),
(41096, '78.137.181.0', '78.137.183.255', 1317647616, 1317648383, 'IE', 'Ireland'),
(41097, '78.137.184.0', '78.137.189.255', 1317648384, 1317649919, 'GB', 'United Kingdom'),
(41098, '78.137.190.0', '78.137.190.103', 1317649920, 1317650023, 'IE', 'Ireland'),
(41099, '78.137.190.104', '78.137.190.111', 1317650024, 1317650031, 'GB', 'United Kingdom'),
(41100, '78.137.190.112', '78.137.190.127', 1317650032, 1317650047, 'IE', 'Ireland'),
(41101, '78.137.190.128', '78.137.190.175', 1317650048, 1317650095, 'GB', 'United Kingdom'),
(41102, '78.137.190.176', '78.137.190.215', 1317650096, 1317650135, 'IE', 'Ireland'),
(41103, '78.137.190.216', '78.137.190.223', 1317650136, 1317650143, 'GB', 'United Kingdom'),
(41104, '78.137.190.224', '78.137.191.255', 1317650144, 1317650431, 'IE', 'Ireland'),
(41105, '78.137.192.0', '78.137.255.255', 1317650432, 1317666815, 'PT', 'Portugal'),
(41106, '78.138.0.0', '78.138.0.7', 1317666816, 1317666823, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(41107, '78.138.0.8', '78.138.0.15', 1317666824, 1317666831, 'CD', 'Congo, The Democratic Republic of the'),
(41108, '78.138.0.16', '78.138.0.23', 1317666832, 1317666839, 'GB', 'United Kingdom'),
(41109, '78.138.0.24', '78.138.0.39', 1317666840, 1317666855, 'GH', 'Ghana'),
(41110, '78.138.0.40', '78.138.0.47', 1317666856, 1317666863, 'GB', 'United Kingdom'),
(41111, '78.138.0.48', '78.138.0.55', 1317666864, 1317666871, 'GH', 'Ghana'),
(41112, '78.138.0.56', '78.138.0.63', 1317666872, 1317666879, 'GB', 'United Kingdom'),
(41113, '78.138.0.64', '78.138.0.71', 1317666880, 1317666887, 'LR', 'Liberia'),
(41114, '78.138.0.72', '78.138.0.95', 1317666888, 1317666911, 'NG', 'Nigeria'),
(41115, '78.138.0.96', '78.138.0.143', 1317666912, 1317666959, 'GB', 'United Kingdom'),
(41116, '78.138.0.144', '78.138.0.151', 1317666960, 1317666967, 'NG', 'Nigeria'),
(41117, '78.138.0.152', '78.138.0.183', 1317666968, 1317666999, 'GB', 'United Kingdom'),
(41118, '78.138.0.184', '78.138.0.191', 1317667000, 1317667007, 'AO', 'Angola'),
(41119, '78.138.0.192', '78.138.0.199', 1317667008, 1317667015, 'GH', 'Ghana'),
(41120, '78.138.0.200', '78.138.0.239', 1317667016, 1317667055, 'GB', 'United Kingdom'),
(41121, '78.138.0.240', '78.138.0.247', 1317667056, 1317667063, 'LR', 'Liberia'),
(41122, '78.138.0.248', '78.138.1.31', 1317667064, 1317667103, 'GB', 'United Kingdom'),
(41123, '78.138.1.32', '78.138.1.39', 1317667104, 1317667111, 'UG', 'Uganda'),
(41124, '78.138.1.40', '78.138.1.63', 1317667112, 1317667135, 'GB', 'United Kingdom'),
(41125, '78.138.1.64', '78.138.1.71', 1317667136, 1317667143, 'AO', 'Angola'),
(41126, '78.138.1.72', '78.138.1.79', 1317667144, 1317667151, 'GB', 'United Kingdom'),
(41127, '78.138.1.80', '78.138.1.87', 1317667152, 1317667159, 'NG', 'Nigeria'),
(41128, '78.138.1.88', '78.138.1.95', 1317667160, 1317667167, 'AO', 'Angola'),
(41129, '78.138.1.96', '78.138.1.103', 1317667168, 1317667175, 'NG', 'Nigeria'),
(41130, '78.138.1.104', '78.138.1.119', 1317667176, 1317667191, 'GB', 'United Kingdom'),
(41131, '78.138.1.120', '78.138.1.135', 1317667192, 1317667207, 'NG', 'Nigeria'),
(41132, '78.138.1.136', '78.138.1.151', 1317667208, 1317667223, 'GB', 'United Kingdom'),
(41133, '78.138.1.152', '78.138.1.159', 1317667224, 1317667231, 'NG', 'Nigeria'),
(41134, '78.138.1.160', '78.138.1.167', 1317667232, 1317667239, 'GB', 'United Kingdom'),
(41135, '78.138.1.168', '78.138.1.175', 1317667240, 1317667247, 'NG', 'Nigeria'),
(41136, '78.138.1.176', '78.138.1.215', 1317667248, 1317667287, 'GB', 'United Kingdom'),
(41137, '78.138.1.216', '78.138.1.223', 1317667288, 1317667295, 'NG', 'Nigeria'),
(41138, '78.138.1.224', '78.138.1.239', 1317667296, 1317667311, 'GB', 'United Kingdom'),
(41139, '78.138.1.240', '78.138.2.7', 1317667312, 1317667335, 'NG', 'Nigeria'),
(41140, '78.138.2.8', '78.138.2.15', 1317667336, 1317667343, 'GB', 'United Kingdom'),
(41141, '78.138.2.16', '78.138.2.23', 1317667344, 1317667351, 'NG', 'Nigeria'),
(41142, '78.138.2.24', '78.138.2.31', 1317667352, 1317667359, 'AO', 'Angola'),
(41143, '78.138.2.32', '78.138.2.95', 1317667360, 1317667423, 'GB', 'United Kingdom'),
(41144, '78.138.2.96', '78.138.2.103', 1317667424, 1317667431, 'TD', 'Chad'),
(41145, '78.138.2.104', '78.138.2.111', 1317667432, 1317667439, 'GH', 'Ghana'),
(41146, '78.138.2.112', '78.138.2.127', 1317667440, 1317667455, 'GB', 'United Kingdom'),
(41147, '78.138.2.128', '78.138.2.135', 1317667456, 1317667463, 'NG', 'Nigeria'),
(41148, '78.138.2.136', '78.138.2.159', 1317667464, 1317667487, 'GB', 'United Kingdom'),
(41149, '78.138.2.160', '78.138.2.167', 1317667488, 1317667495, 'GH', 'Ghana'),
(41150, '78.138.2.168', '78.138.2.223', 1317667496, 1317667551, 'GB', 'United Kingdom'),
(41151, '78.138.2.224', '78.138.2.239', 1317667552, 1317667567, 'NG', 'Nigeria'),
(41152, '78.138.2.240', '78.138.3.151', 1317667568, 1317667735, 'GB', 'United Kingdom'),
(41153, '78.138.3.152', '78.138.3.159', 1317667736, 1317667743, 'NG', 'Nigeria'),
(41154, '78.138.3.160', '78.138.3.167', 1317667744, 1317667751, 'GB', 'United Kingdom'),
(41155, '78.138.3.168', '78.138.3.175', 1317667752, 1317667759, 'NG', 'Nigeria'),
(41156, '78.138.3.176', '78.138.3.183', 1317667760, 1317667767, 'FR', 'France'),
(41157, '78.138.3.184', '78.138.3.191', 1317667768, 1317667775, 'ZA', 'South Africa'),
(41158, '78.138.3.192', '78.138.3.199', 1317667776, 1317667783, 'US', 'United States'),
(41159, '78.138.3.200', '78.138.3.207', 1317667784, 1317667791, 'AO', 'Angola'),
(41160, '78.138.3.208', '78.138.3.215', 1317667792, 1317667799, 'NG', 'Nigeria'),
(41161, '78.138.3.216', '78.138.3.223', 1317667800, 1317667807, 'GB', 'United Kingdom'),
(41162, '78.138.3.224', '78.138.3.231', 1317667808, 1317667815, 'NG', 'Nigeria'),
(41163, '78.138.3.232', '78.138.3.240', 1317667816, 1317667824, 'UG', 'Uganda'),
(41164, '78.138.3.241', '78.138.5.47', 1317667825, 1317668143, 'GB', 'United Kingdom'),
(41165, '78.138.5.48', '78.138.5.55', 1317668144, 1317668151, 'AO', 'Angola'),
(41166, '78.138.5.56', '78.138.5.71', 1317668152, 1317668167, 'NG', 'Nigeria'),
(41167, '78.138.5.72', '78.138.5.87', 1317668168, 1317668183, 'GB', 'United Kingdom'),
(41168, '78.138.5.88', '78.138.5.95', 1317668184, 1317668191, 'CI', 'Cote D''Ivoire'),
(41169, '78.138.5.96', '78.138.5.103', 1317668192, 1317668199, 'GB', 'United Kingdom'),
(41170, '78.138.5.104', '78.138.5.111', 1317668200, 1317668207, 'BW', 'Botswana'),
(41171, '78.138.5.112', '78.138.5.119', 1317668208, 1317668215, 'LR', 'Liberia'),
(41172, '78.138.5.120', '78.138.5.127', 1317668216, 1317668223, 'GB', 'United Kingdom'),
(41173, '78.138.5.128', '78.138.5.135', 1317668224, 1317668231, 'NG', 'Nigeria'),
(41174, '78.138.5.136', '78.138.5.175', 1317668232, 1317668271, 'GB', 'United Kingdom'),
(41175, '78.138.5.176', '78.138.5.183', 1317668272, 1317668279, 'SL', 'Sierra Leone'),
(41176, '78.138.5.184', '78.138.5.207', 1317668280, 1317668303, 'GB', 'United Kingdom'),
(41177, '78.138.5.208', '78.138.5.215', 1317668304, 1317668311, 'UG', 'Uganda'),
(41178, '78.138.5.216', '78.138.5.223', 1317668312, 1317668319, 'IQ', 'Iraq'),
(41179, '78.138.5.224', '78.138.5.255', 1317668320, 1317668351, 'GB', 'United Kingdom'),
(41180, '78.138.6.0', '78.138.6.7', 1317668352, 1317668359, 'NG', 'Nigeria'),
(41181, '78.138.6.8', '78.138.6.15', 1317668360, 1317668367, 'SL', 'Sierra Leone'),
(41182, '78.138.6.16', '78.138.6.39', 1317668368, 1317668391, 'GB', 'United Kingdom'),
(41183, '78.138.6.40', '78.138.6.47', 1317668392, 1317668399, 'NG', 'Nigeria'),
(41184, '78.138.6.48', '78.138.6.55', 1317668400, 1317668407, 'GB', 'United Kingdom'),
(41185, '78.138.6.56', '78.138.6.63', 1317668408, 1317668415, 'GH', 'Ghana'),
(41186, '78.138.6.64', '78.138.6.95', 1317668416, 1317668447, 'NG', 'Nigeria'),
(41187, '78.138.6.96', '78.138.6.103', 1317668448, 1317668455, 'SL', 'Sierra Leone'),
(41188, '78.138.6.104', '78.138.6.111', 1317668456, 1317668463, 'GB', 'United Kingdom'),
(41189, '78.138.6.112', '78.138.6.119', 1317668464, 1317668471, 'AO', 'Angola'),
(41190, '78.138.6.120', '78.138.6.127', 1317668472, 1317668479, 'NG', 'Nigeria'),
(41191, '78.138.6.128', '78.138.6.135', 1317668480, 1317668487, 'GB', 'United Kingdom'),
(41192, '78.138.6.136', '78.138.6.143', 1317668488, 1317668495, 'UG', 'Uganda'),
(41193, '78.138.6.144', '78.138.6.151', 1317668496, 1317668503, 'GH', 'Ghana'),
(41194, '78.138.6.152', '78.138.6.159', 1317668504, 1317668511, 'CD', 'Congo, The Democratic Republic of the'),
(41195, '78.138.6.160', '78.138.6.167', 1317668512, 1317668519, 'GB', 'United Kingdom'),
(41196, '78.138.6.168', '78.138.6.175', 1317668520, 1317668527, 'MZ', 'Mozambique'),
(41197, '78.138.6.176', '78.138.6.183', 1317668528, 1317668535, 'GB', 'United Kingdom'),
(41198, '78.138.6.184', '78.138.6.191', 1317668536, 1317668543, 'BJ', 'Benin'),
(41199, '78.138.6.192', '78.138.6.199', 1317668544, 1317668551, 'GB', 'United Kingdom'),
(41200, '78.138.6.200', '78.138.6.207', 1317668552, 1317668559, 'AO', 'Angola'),
(41201, '78.138.6.208', '78.138.6.215', 1317668560, 1317668567, 'GB', 'United Kingdom'),
(41202, '78.138.6.216', '78.138.6.223', 1317668568, 1317668575, 'NG', 'Nigeria'),
(41203, '78.138.6.224', '78.138.6.231', 1317668576, 1317668583, 'GB', 'United Kingdom'),
(41204, '78.138.6.232', '78.138.6.239', 1317668584, 1317668591, 'LR', 'Liberia'),
(41205, '78.138.6.240', '78.138.6.247', 1317668592, 1317668599, 'UG', 'Uganda'),
(41206, '78.138.6.248', '78.138.7.7', 1317668600, 1317668615, 'GB', 'United Kingdom'),
(41207, '78.138.7.8', '78.138.7.15', 1317668616, 1317668623, 'UG', 'Uganda'),
(41208, '78.138.7.16', '78.138.7.23', 1317668624, 1317668631, 'IQ', 'Iraq'),
(41209, '78.138.7.24', '78.138.7.31', 1317668632, 1317668639, 'GB', 'United Kingdom'),
(41210, '78.138.7.32', '78.138.7.47', 1317668640, 1317668655, 'NG', 'Nigeria'),
(41211, '78.138.7.48', '78.138.7.63', 1317668656, 1317668671, 'GB', 'United Kingdom'),
(41212, '78.138.7.64', '78.138.7.79', 1317668672, 1317668687, 'NG', 'Nigeria'),
(41213, '78.138.7.80', '78.138.7.87', 1317668688, 1317668695, 'GB', 'United Kingdom'),
(41214, '78.138.7.88', '78.138.7.95', 1317668696, 1317668703, 'NG', 'Nigeria'),
(41215, '78.138.7.96', '78.138.7.119', 1317668704, 1317668727, 'GB', 'United Kingdom'),
(41216, '78.138.7.120', '78.138.7.127', 1317668728, 1317668735, 'NG', 'Nigeria'),
(41217, '78.138.7.128', '78.138.7.159', 1317668736, 1317668767, 'GB', 'United Kingdom'),
(41218, '78.138.7.160', '78.138.7.167', 1317668768, 1317668775, 'LR', 'Liberia'),
(41219, '78.138.7.168', '78.138.7.175', 1317668776, 1317668783, 'GB', 'United Kingdom'),
(41220, '78.138.7.176', '78.138.7.183', 1317668784, 1317668791, 'NG', 'Nigeria'),
(41221, '78.138.7.184', '78.138.7.199', 1317668792, 1317668807, 'GB', 'United Kingdom'),
(41222, '78.138.7.200', '78.138.7.207', 1317668808, 1317668815, 'NG', 'Nigeria'),
(41223, '78.138.7.208', '78.138.7.239', 1317668816, 1317668847, 'GB', 'United Kingdom'),
(41224, '78.138.7.240', '78.138.7.247', 1317668848, 1317668855, 'NG', 'Nigeria'),
(41225, '78.138.7.248', '78.138.7.255', 1317668856, 1317668863, 'GB', 'United Kingdom'),
(41226, '78.138.8.0', '78.138.8.7', 1317668864, 1317668871, 'LR', 'Liberia'),
(41227, '78.138.8.8', '78.138.8.143', 1317668872, 1317669007, 'GB', 'United Kingdom'),
(41228, '78.138.8.144', '78.138.8.151', 1317669008, 1317669015, 'NG', 'Nigeria'),
(41229, '78.138.8.152', '78.138.8.191', 1317669016, 1317669055, 'GB', 'United Kingdom'),
(41230, '78.138.8.192', '78.138.8.199', 1317669056, 1317669063, 'NG', 'Nigeria'),
(41231, '78.138.8.200', '78.138.8.231', 1317669064, 1317669095, 'GB', 'United Kingdom'),
(41232, '78.138.8.232', '78.138.8.239', 1317669096, 1317669103, 'NG', 'Nigeria'),
(41233, '78.138.8.240', '78.138.8.247', 1317669104, 1317669111, 'GB', 'United Kingdom'),
(41234, '78.138.8.248', '78.138.8.255', 1317669112, 1317669119, 'NG', 'Nigeria'),
(41235, '78.138.9.0', '78.138.9.255', 1317669120, 1317669375, 'GE', 'Georgia'),
(41236, '78.138.10.0', '78.138.10.255', 1317669376, 1317669631, 'CG', 'Congo'),
(41237, '78.138.11.0', '78.138.12.15', 1317669632, 1317669903, 'GB', 'United Kingdom'),
(41238, '78.138.12.16', '78.138.12.23', 1317669904, 1317669911, 'NG', 'Nigeria'),
(41239, '78.138.12.24', '78.138.12.31', 1317669912, 1317669919, 'GH', 'Ghana'),
(41240, '78.138.12.32', '78.138.12.55', 1317669920, 1317669943, 'GB', 'United Kingdom'),
(41241, '78.138.12.56', '78.138.12.71', 1317669944, 1317669959, 'NG', 'Nigeria'),
(41242, '78.138.12.72', '78.138.12.95', 1317669960, 1317669983, 'GB', 'United Kingdom'),
(41243, '78.138.12.96', '78.138.12.103', 1317669984, 1317669991, 'LR', 'Liberia'),
(41244, '78.138.12.104', '78.138.12.111', 1317669992, 1317669999, 'NG', 'Nigeria'),
(41245, '78.138.12.112', '78.138.12.175', 1317670000, 1317670063, 'GB', 'United Kingdom'),
(41246, '78.138.12.176', '78.138.12.215', 1317670064, 1317670103, 'NG', 'Nigeria'),
(41247, '78.138.12.216', '78.138.12.247', 1317670104, 1317670135, 'GB', 'United Kingdom'),
(41248, '78.138.12.248', '78.138.12.255', 1317670136, 1317670143, 'NG', 'Nigeria'),
(41249, '78.138.13.0', '78.138.13.31', 1317670144, 1317670175, 'SL', 'Sierra Leone'),
(41250, '78.138.13.32', '78.138.13.79', 1317670176, 1317670223, 'GB', 'United Kingdom'),
(41251, '78.138.13.80', '78.138.13.87', 1317670224, 1317670231, 'AO', 'Angola'),
(41252, '78.138.13.88', '78.138.13.95', 1317670232, 1317670239, 'GB', 'United Kingdom'),
(41253, '78.138.13.96', '78.138.13.103', 1317670240, 1317670247, 'NG', 'Nigeria'),
(41254, '78.138.13.104', '78.138.13.111', 1317670248, 1317670255, 'GB', 'United Kingdom'),
(41255, '78.138.13.112', '78.138.13.119', 1317670256, 1317670263, 'NG', 'Nigeria'),
(41256, '78.138.13.120', '78.138.14.47', 1317670264, 1317670447, 'GB', 'United Kingdom'),
(41257, '78.138.14.48', '78.138.14.55', 1317670448, 1317670455, 'IQ', 'Iraq'),
(41258, '78.138.14.56', '78.138.14.63', 1317670456, 1317670463, 'GB', 'United Kingdom'),
(41259, '78.138.14.64', '78.138.14.71', 1317670464, 1317670471, 'NG', 'Nigeria'),
(41260, '78.138.14.72', '78.138.14.79', 1317670472, 1317670479, 'CO', 'Colombia'),
(41261, '78.138.14.80', '78.138.14.111', 1317670480, 1317670511, 'GB', 'United Kingdom'),
(41262, '78.138.14.112', '78.138.14.119', 1317670512, 1317670519, 'CI', 'Cote D''Ivoire'),
(41263, '78.138.14.120', '78.138.14.143', 1317670520, 1317670543, 'NG', 'Nigeria'),
(41264, '78.138.14.144', '78.138.14.151', 1317670544, 1317670551, 'GB', 'United Kingdom'),
(41265, '78.138.14.152', '78.138.14.159', 1317670552, 1317670559, 'UG', 'Uganda'),
(41266, '78.138.14.160', '78.138.14.167', 1317670560, 1317670567, 'NG', 'Nigeria'),
(41267, '78.138.14.168', '78.138.14.175', 1317670568, 1317670575, 'GB', 'United Kingdom'),
(41268, '78.138.14.176', '78.138.14.183', 1317670576, 1317670583, 'NG', 'Nigeria'),
(41269, '78.138.14.184', '78.138.14.191', 1317670584, 1317670591, 'GH', 'Ghana'),
(41270, '78.138.14.192', '78.138.14.207', 1317670592, 1317670607, 'GB', 'United Kingdom'),
(41271, '78.138.14.208', '78.138.14.215', 1317670608, 1317670615, 'NG', 'Nigeria'),
(41272, '78.138.14.216', '78.138.14.231', 1317670616, 1317670631, 'UG', 'Uganda'),
(41273, '78.138.14.232', '78.138.14.239', 1317670632, 1317670639, 'NG', 'Nigeria'),
(41274, '78.138.14.240', '78.138.14.247', 1317670640, 1317670647, 'GB', 'United Kingdom'),
(41275, '78.138.14.248', '78.138.14.255', 1317670648, 1317670655, 'NG', 'Nigeria'),
(41276, '78.138.15.0', '78.138.15.7', 1317670656, 1317670663, 'AO', 'Angola'),
(41277, '78.138.15.8', '78.138.15.23', 1317670664, 1317670679, 'GB', 'United Kingdom'),
(41278, '78.138.15.24', '78.138.15.47', 1317670680, 1317670703, 'NG', 'Nigeria'),
(41279, '78.138.15.48', '78.138.15.55', 1317670704, 1317670711, 'GB', 'United Kingdom'),
(41280, '78.138.15.56', '78.138.15.63', 1317670712, 1317670719, 'GH', 'Ghana'),
(41281, '78.138.15.64', '78.138.15.71', 1317670720, 1317670727, 'GB', 'United Kingdom'),
(41282, '78.138.15.72', '78.138.15.79', 1317670728, 1317670735, 'GH', 'Ghana'),
(41283, '78.138.15.80', '78.138.15.111', 1317670736, 1317670767, 'GB', 'United Kingdom'),
(41284, '78.138.15.112', '78.138.15.119', 1317670768, 1317670775, 'GH', 'Ghana'),
(41285, '78.138.15.120', '78.138.15.127', 1317670776, 1317670783, 'GB', 'United Kingdom'),
(41286, '78.138.15.128', '78.138.15.135', 1317670784, 1317670791, 'GH', 'Ghana'),
(41287, '78.138.15.136', '78.138.15.159', 1317670792, 1317670815, 'GB', 'United Kingdom'),
(41288, '78.138.15.160', '78.138.15.167', 1317670816, 1317670823, 'NG', 'Nigeria'),
(41289, '78.138.15.168', '78.138.15.191', 1317670824, 1317670847, 'GB', 'United Kingdom'),
(41290, '78.138.15.192', '78.138.15.199', 1317670848, 1317670855, 'NG', 'Nigeria'),
(41291, '78.138.15.200', '78.138.15.207', 1317670856, 1317670863, 'CD', 'Congo, The Democratic Republic of the'),
(41292, '78.138.15.208', '78.138.15.223', 1317670864, 1317670879, 'GB', 'United Kingdom'),
(41293, '78.138.15.224', '78.138.15.231', 1317670880, 1317670887, 'NG', 'Nigeria'),
(41294, '78.138.15.232', '78.138.15.240', 1317670888, 1317670896, 'GB', 'United Kingdom'),
(41295, '78.138.15.241', '78.138.15.247', 1317670897, 1317670903, 'NG', 'Nigeria'),
(41296, '78.138.15.248', '78.138.17.7', 1317670904, 1317671175, 'GB', 'United Kingdom'),
(41297, '78.138.17.8', '78.138.17.23', 1317671176, 1317671191, 'NG', 'Nigeria'),
(41298, '78.138.17.24', '78.138.17.71', 1317671192, 1317671239, 'GB', 'United Kingdom'),
(41299, '78.138.17.72', '78.138.17.79', 1317671240, 1317671247, 'CI', 'Cote D''Ivoire'),
(41300, '78.138.17.80', '78.138.17.87', 1317671248, 1317671255, 'GB', 'United Kingdom'),
(41301, '78.138.17.88', '78.138.17.95', 1317671256, 1317671263, 'CI', 'Cote D''Ivoire'),
(41302, '78.138.17.96', '78.138.17.111', 1317671264, 1317671279, 'GB', 'United Kingdom'),
(41303, '78.138.17.112', '78.138.17.119', 1317671280, 1317671287, 'NG', 'Nigeria'),
(41304, '78.138.17.120', '78.138.17.127', 1317671288, 1317671295, 'GB', 'United Kingdom'),
(41305, '78.138.17.128', '78.138.17.135', 1317671296, 1317671303, 'NG', 'Nigeria'),
(41306, '78.138.17.136', '78.138.17.151', 1317671304, 1317671319, 'GB', 'United Kingdom'),
(41307, '78.138.17.152', '78.138.17.159', 1317671320, 1317671327, 'NG', 'Nigeria'),
(41308, '78.138.17.160', '78.138.17.167', 1317671328, 1317671335, 'GB', 'United Kingdom'),
(41309, '78.138.17.168', '78.138.17.175', 1317671336, 1317671343, 'BW', 'Botswana'),
(41310, '78.138.17.176', '78.138.17.191', 1317671344, 1317671359, 'GB', 'United Kingdom'),
(41311, '78.138.17.192', '78.138.17.199', 1317671360, 1317671367, 'NG', 'Nigeria'),
(41312, '78.138.17.200', '78.138.17.207', 1317671368, 1317671375, 'GB', 'United Kingdom'),
(41313, '78.138.17.208', '78.138.17.215', 1317671376, 1317671383, 'NG', 'Nigeria'),
(41314, '78.138.17.216', '78.138.17.223', 1317671384, 1317671391, 'CI', 'Cote D''Ivoire'),
(41315, '78.138.17.224', '78.138.17.231', 1317671392, 1317671399, 'GB', 'United Kingdom'),
(41316, '78.138.17.232', '78.138.17.239', 1317671400, 1317671407, 'IQ', 'Iraq'),
(41317, '78.138.17.240', '78.138.18.15', 1317671408, 1317671439, 'GB', 'United Kingdom'),
(41318, '78.138.18.16', '78.138.18.23', 1317671440, 1317671447, 'ZW', 'Zimbabwe'),
(41319, '78.138.18.24', '78.138.18.63', 1317671448, 1317671487, 'NG', 'Nigeria'),
(41320, '78.138.18.64', '78.138.18.103', 1317671488, 1317671527, 'GB', 'United Kingdom'),
(41321, '78.138.18.104', '78.138.18.111', 1317671528, 1317671535, 'NG', 'Nigeria'),
(41322, '78.138.18.112', '78.138.18.119', 1317671536, 1317671543, 'LR', 'Liberia'),
(41323, '78.138.18.120', '78.138.18.127', 1317671544, 1317671551, 'IQ', 'Iraq'),
(41324, '78.138.18.128', '78.138.18.135', 1317671552, 1317671559, 'GB', 'United Kingdom'),
(41325, '78.138.18.136', '78.138.18.143', 1317671560, 1317671567, 'NG', 'Nigeria'),
(41326, '78.138.18.144', '78.138.18.223', 1317671568, 1317671647, 'GB', 'United Kingdom'),
(41327, '78.138.18.224', '78.138.18.247', 1317671648, 1317671671, 'NG', 'Nigeria'),
(41328, '78.138.18.248', '78.138.18.255', 1317671672, 1317671679, 'AO', 'Angola'),
(41329, '78.138.19.0', '78.138.19.7', 1317671680, 1317671687, 'LR', 'Liberia'),
(41330, '78.138.19.8', '78.138.19.39', 1317671688, 1317671719, 'GB', 'United Kingdom'),
(41331, '78.138.19.40', '78.138.19.47', 1317671720, 1317671727, 'NG', 'Nigeria'),
(41332, '78.138.19.48', '78.138.19.79', 1317671728, 1317671759, 'GB', 'United Kingdom'),
(41333, '78.138.19.80', '78.138.19.87', 1317671760, 1317671767, 'AO', 'Angola'),
(41334, '78.138.19.88', '78.138.19.103', 1317671768, 1317671783, 'GB', 'United Kingdom'),
(41335, '78.138.19.104', '78.138.19.127', 1317671784, 1317671807, 'NG', 'Nigeria'),
(41336, '78.138.19.128', '78.138.19.143', 1317671808, 1317671823, 'CI', 'Cote D''Ivoire'),
(41337, '78.138.19.144', '78.138.19.151', 1317671824, 1317671831, 'NG', 'Nigeria'),
(41338, '78.138.19.152', '78.138.19.167', 1317671832, 1317671847, 'GB', 'United Kingdom'),
(41339, '78.138.19.168', '78.138.19.175', 1317671848, 1317671855, 'NG', 'Nigeria'),
(41340, '78.138.19.176', '78.138.19.183', 1317671856, 1317671863, 'UG', 'Uganda'),
(41341, '78.138.19.184', '78.138.19.207', 1317671864, 1317671887, 'GB', 'United Kingdom'),
(41342, '78.138.19.208', '78.138.19.215', 1317671888, 1317671895, 'NG', 'Nigeria'),
(41343, '78.138.19.216', '78.138.19.223', 1317671896, 1317671903, 'GB', 'United Kingdom'),
(41344, '78.138.19.224', '78.138.19.231', 1317671904, 1317671911, 'NG', 'Nigeria'),
(41345, '78.138.19.232', '78.138.19.239', 1317671912, 1317671919, 'AO', 'Angola'),
(41346, '78.138.19.240', '78.138.19.247', 1317671920, 1317671927, 'NG', 'Nigeria'),
(41347, '78.138.19.248', '78.138.19.255', 1317671928, 1317671935, 'GB', 'United Kingdom'),
(41348, '78.138.20.0', '78.138.21.255', 1317671936, 1317672447, 'GA', 'Gabon'),
(41349, '78.138.22.0', '78.138.22.7', 1317672448, 1317672455, 'GB', 'United Kingdom'),
(41350, '78.138.22.8', '78.138.22.15', 1317672456, 1317672463, 'GA', 'Gabon'),
(41351, '78.138.22.16', '78.138.22.23', 1317672464, 1317672471, 'NG', 'Nigeria'),
(41352, '78.138.22.24', '78.138.22.39', 1317672472, 1317672487, 'GB', 'United Kingdom'),
(41353, '78.138.22.40', '78.138.22.55', 1317672488, 1317672503, 'NG', 'Nigeria'),
(41354, '78.138.22.56', '78.138.22.135', 1317672504, 1317672583, 'GB', 'United Kingdom'),
(41355, '78.138.22.136', '78.138.22.143', 1317672584, 1317672591, 'CD', 'Congo, The Democratic Republic of the'),
(41356, '78.138.22.144', '78.138.22.167', 1317672592, 1317672615, 'GB', 'United Kingdom'),
(41357, '78.138.22.168', '78.138.22.175', 1317672616, 1317672623, 'NG', 'Nigeria'),
(41358, '78.138.22.176', '78.138.22.223', 1317672624, 1317672671, 'GB', 'United Kingdom'),
(41359, '78.138.22.224', '78.138.22.231', 1317672672, 1317672679, 'NG', 'Nigeria'),
(41360, '78.138.22.232', '78.138.23.23', 1317672680, 1317672727, 'GB', 'United Kingdom'),
(41361, '78.138.23.24', '78.138.23.31', 1317672728, 1317672735, 'UG', 'Uganda'),
(41362, '78.138.23.32', '78.138.23.39', 1317672736, 1317672743, 'LR', 'Liberia'),
(41363, '78.138.23.40', '78.138.23.55', 1317672744, 1317672759, 'GB', 'United Kingdom'),
(41364, '78.138.23.56', '78.138.23.63', 1317672760, 1317672767, 'NG', 'Nigeria'),
(41365, '78.138.23.64', '78.138.23.111', 1317672768, 1317672815, 'GB', 'United Kingdom'),
(41366, '78.138.23.112', '78.138.23.119', 1317672816, 1317672823, 'BW', 'Botswana'),
(41367, '78.138.23.120', '78.138.23.135', 1317672824, 1317672839, 'GB', 'United Kingdom'),
(41368, '78.138.23.136', '78.138.23.143', 1317672840, 1317672847, 'NG', 'Nigeria'),
(41369, '78.138.23.144', '78.138.23.159', 1317672848, 1317672863, 'GB', 'United Kingdom'),
(41370, '78.138.23.160', '78.138.23.167', 1317672864, 1317672871, 'NG', 'Nigeria'),
(41371, '78.138.23.168', '78.138.23.199', 1317672872, 1317672903, 'GB', 'United Kingdom'),
(41372, '78.138.23.200', '78.138.23.215', 1317672904, 1317672919, 'CI', 'Cote D''Ivoire'),
(41373, '78.138.23.216', '78.138.23.223', 1317672920, 1317672927, 'GH', 'Ghana'),
(41374, '78.138.23.224', '78.138.23.231', 1317672928, 1317672935, 'GB', 'United Kingdom'),
(41375, '78.138.23.232', '78.138.23.239', 1317672936, 1317672943, 'NG', 'Nigeria'),
(41376, '78.138.23.240', '78.138.23.255', 1317672944, 1317672959, 'GB', 'United Kingdom'),
(41377, '78.138.24.0', '78.138.25.15', 1317672960, 1317673231, 'NG', 'Nigeria'),
(41378, '78.138.25.16', '78.138.25.23', 1317673232, 1317673239, 'GB', 'United Kingdom'),
(41379, '78.138.25.24', '78.138.25.31', 1317673240, 1317673247, 'NG', 'Nigeria'),
(41380, '78.138.25.32', '78.138.25.119', 1317673248, 1317673335, 'GB', 'United Kingdom'),
(41381, '78.138.25.120', '78.138.25.127', 1317673336, 1317673343, 'GH', 'Ghana'),
(41382, '78.138.25.128', '78.138.25.143', 1317673344, 1317673359, 'GB', 'United Kingdom'),
(41383, '78.138.25.144', '78.138.25.151', 1317673360, 1317673367, 'NG', 'Nigeria'),
(41384, '78.138.25.152', '78.138.25.159', 1317673368, 1317673375, 'GB', 'United Kingdom'),
(41385, '78.138.25.160', '78.138.25.167', 1317673376, 1317673383, 'AO', 'Angola'),
(41386, '78.138.25.168', '78.138.25.175', 1317673384, 1317673391, 'NG', 'Nigeria'),
(41387, '78.138.25.176', '78.138.25.183', 1317673392, 1317673399, 'GB', 'United Kingdom'),
(41388, '78.138.25.184', '78.138.25.191', 1317673400, 1317673407, 'NG', 'Nigeria'),
(41389, '78.138.25.192', '78.138.25.207', 1317673408, 1317673423, 'GB', 'United Kingdom'),
(41390, '78.138.25.208', '78.138.25.215', 1317673424, 1317673431, 'NG', 'Nigeria'),
(41391, '78.138.25.216', '78.138.25.239', 1317673432, 1317673455, 'GB', 'United Kingdom'),
(41392, '78.138.25.240', '78.138.25.247', 1317673456, 1317673463, 'AO', 'Angola'),
(41393, '78.138.25.248', '78.138.25.255', 1317673464, 1317673471, 'GB', 'United Kingdom'),
(41394, '78.138.26.0', '78.138.26.7', 1317673472, 1317673479, 'NG', 'Nigeria'),
(41395, '78.138.26.8', '78.138.26.23', 1317673480, 1317673495, 'GB', 'United Kingdom'),
(41396, '78.138.26.24', '78.138.26.55', 1317673496, 1317673527, 'NG', 'Nigeria'),
(41397, '78.138.26.56', '78.138.26.63', 1317673528, 1317673535, 'GB', 'United Kingdom'),
(41398, '78.138.26.64', '78.138.26.79', 1317673536, 1317673551, 'ZW', 'Zimbabwe'),
(41399, '78.138.26.80', '78.138.26.95', 1317673552, 1317673567, 'GB', 'United Kingdom'),
(41400, '78.138.26.96', '78.138.26.103', 1317673568, 1317673575, 'NG', 'Nigeria'),
(41401, '78.138.26.104', '78.138.26.111', 1317673576, 1317673583, 'CD', 'Congo, The Democratic Republic of the'),
(41402, '78.138.26.112', '78.138.26.151', 1317673584, 1317673623, 'GB', 'United Kingdom'),
(41403, '78.138.26.152', '78.138.26.159', 1317673624, 1317673631, 'NG', 'Nigeria'),
(41404, '78.138.26.160', '78.138.26.167', 1317673632, 1317673639, 'GB', 'United Kingdom'),
(41405, '78.138.26.168', '78.138.26.175', 1317673640, 1317673647, 'AO', 'Angola'),
(41406, '78.138.26.176', '78.138.26.207', 1317673648, 1317673679, 'GB', 'United Kingdom'),
(41407, '78.138.26.208', '78.138.26.215', 1317673680, 1317673687, 'IQ', 'Iraq'),
(41408, '78.138.26.216', '78.138.26.223', 1317673688, 1317673695, 'GB', 'United Kingdom'),
(41409, '78.138.26.224', '78.138.26.231', 1317673696, 1317673703, 'NG', 'Nigeria'),
(41410, '78.138.26.232', '78.138.26.239', 1317673704, 1317673711, 'GB', 'United Kingdom'),
(41411, '78.138.26.240', '78.138.26.247', 1317673712, 1317673719, 'CO', 'Colombia'),
(41412, '78.138.26.248', '78.138.26.255', 1317673720, 1317673727, 'NG', 'Nigeria'),
(41413, '78.138.27.0', '78.138.27.7', 1317673728, 1317673735, 'GB', 'United Kingdom'),
(41414, '78.138.27.8', '78.138.27.15', 1317673736, 1317673743, 'AO', 'Angola'),
(41415, '78.138.27.16', '78.138.27.23', 1317673744, 1317673751, 'IQ', 'Iraq'),
(41416, '78.138.27.24', '78.138.27.87', 1317673752, 1317673815, 'GB', 'United Kingdom'),
(41417, '78.138.27.88', '78.138.27.95', 1317673816, 1317673823, 'LR', 'Liberia'),
(41418, '78.138.27.96', '78.138.27.135', 1317673824, 1317673863, 'GB', 'United Kingdom'),
(41419, '78.138.27.136', '78.138.27.143', 1317673864, 1317673871, 'NG', 'Nigeria'),
(41420, '78.138.27.144', '78.138.27.175', 1317673872, 1317673903, 'GB', 'United Kingdom'),
(41421, '78.138.27.176', '78.138.27.183', 1317673904, 1317673911, 'NG', 'Nigeria'),
(41422, '78.138.27.184', '78.138.27.191', 1317673912, 1317673919, 'AO', 'Angola'),
(41423, '78.138.27.192', '78.138.27.199', 1317673920, 1317673927, 'CI', 'Cote D''Ivoire'),
(41424, '78.138.27.200', '78.138.27.215', 1317673928, 1317673943, 'NG', 'Nigeria'),
(41425, '78.138.27.216', '78.138.27.223', 1317673944, 1317673951, 'AO', 'Angola'),
(41426, '78.138.27.224', '78.138.27.231', 1317673952, 1317673959, 'NG', 'Nigeria'),
(41427, '78.138.27.232', '78.138.27.247', 1317673960, 1317673975, 'GB', 'United Kingdom'),
(41428, '78.138.27.248', '78.138.28.255', 1317673976, 1317674239, 'NG', 'Nigeria'),
(41429, '78.138.29.0', '78.138.29.31', 1317674240, 1317674271, 'GB', 'United Kingdom'),
(41430, '78.138.29.32', '78.138.29.39', 1317674272, 1317674279, 'NG', 'Nigeria'),
(41431, '78.138.29.40', '78.138.29.47', 1317674280, 1317674287, 'GB', 'United Kingdom'),
(41432, '78.138.29.48', '78.138.29.55', 1317674288, 1317674295, 'GH', 'Ghana'),
(41433, '78.138.29.56', '78.138.29.63', 1317674296, 1317674303, 'AO', 'Angola'),
(41434, '78.138.29.64', '78.138.29.79', 1317674304, 1317674319, 'NG', 'Nigeria'),
(41435, '78.138.29.80', '78.138.29.111', 1317674320, 1317674351, 'GB', 'United Kingdom'),
(41436, '78.138.29.112', '78.138.29.119', 1317674352, 1317674359, 'NG', 'Nigeria'),
(41437, '78.138.29.120', '78.138.29.175', 1317674360, 1317674415, 'GB', 'United Kingdom'),
(41438, '78.138.29.176', '78.138.29.183', 1317674416, 1317674423, 'AO', 'Angola'),
(41439, '78.138.29.184', '78.138.29.191', 1317674424, 1317674431, 'UG', 'Uganda'),
(41440, '78.138.29.192', '78.138.29.199', 1317674432, 1317674439, 'GB', 'United Kingdom'),
(41441, '78.138.29.200', '78.138.29.200', 1317674440, 1317674440, 'AO', 'Angola'),
(41442, '78.138.29.201', '78.138.29.207', 1317674441, 1317674447, 'GB', 'United Kingdom'),
(41443, '78.138.29.208', '78.138.29.215', 1317674448, 1317674455, 'AO', 'Angola'),
(41444, '78.138.29.216', '78.138.29.223', 1317674456, 1317674463, 'GB', 'United Kingdom'),
(41445, '78.138.29.224', '78.138.29.231', 1317674464, 1317674471, 'NG', 'Nigeria'),
(41446, '78.138.29.232', '78.138.29.247', 1317674472, 1317674487, 'GB', 'United Kingdom'),
(41447, '78.138.29.248', '78.138.29.255', 1317674488, 1317674495, 'UG', 'Uganda'),
(41448, '78.138.30.0', '78.138.30.31', 1317674496, 1317674527, 'GB', 'United Kingdom'),
(41449, '78.138.30.32', '78.138.30.39', 1317674528, 1317674535, 'NG', 'Nigeria'),
(41450, '78.138.30.40', '78.138.30.47', 1317674536, 1317674543, 'IQ', 'Iraq'),
(41451, '78.138.30.48', '78.138.30.71', 1317674544, 1317674567, 'NG', 'Nigeria'),
(41452, '78.138.30.72', '78.138.30.111', 1317674568, 1317674607, 'GB', 'United Kingdom'),
(41453, '78.138.30.112', '78.138.30.119', 1317674608, 1317674615, 'NG', 'Nigeria'),
(41454, '78.138.30.120', '78.138.30.127', 1317674616, 1317674623, 'GB', 'United Kingdom'),
(41455, '78.138.30.128', '78.138.30.135', 1317674624, 1317674631, 'NG', 'Nigeria'),
(41456, '78.138.30.136', '78.138.30.143', 1317674632, 1317674639, 'GB', 'United Kingdom'),
(41457, '78.138.30.144', '78.138.30.151', 1317674640, 1317674647, 'NG', 'Nigeria'),
(41458, '78.138.30.152', '78.138.30.159', 1317674648, 1317674655, 'GB', 'United Kingdom'),
(41459, '78.138.30.160', '78.138.30.175', 1317674656, 1317674671, 'NG', 'Nigeria'),
(41460, '78.138.30.176', '78.138.30.191', 1317674672, 1317674687, 'GB', 'United Kingdom'),
(41461, '78.138.30.192', '78.138.30.207', 1317674688, 1317674703, 'NG', 'Nigeria'),
(41462, '78.138.30.208', '78.138.30.215', 1317674704, 1317674711, 'GB', 'United Kingdom'),
(41463, '78.138.30.216', '78.138.30.239', 1317674712, 1317674735, 'NG', 'Nigeria'),
(41464, '78.138.30.240', '78.138.30.247', 1317674736, 1317674743, 'AO', 'Angola'),
(41465, '78.138.30.248', '78.138.30.255', 1317674744, 1317674751, 'IQ', 'Iraq'),
(41466, '78.138.31.0', '78.138.31.7', 1317674752, 1317674759, 'NG', 'Nigeria'),
(41467, '78.138.31.8', '78.138.31.15', 1317674760, 1317674767, 'GB', 'United Kingdom'),
(41468, '78.138.31.16', '78.138.31.23', 1317674768, 1317674775, 'NG', 'Nigeria'),
(41469, '78.138.31.24', '78.138.31.31', 1317674776, 1317674783, 'GB', 'United Kingdom'),
(41470, '78.138.31.32', '78.138.31.39', 1317674784, 1317674791, 'NG', 'Nigeria'),
(41471, '78.138.31.40', '78.138.31.47', 1317674792, 1317674799, 'GB', 'United Kingdom'),
(41472, '78.138.31.48', '78.138.31.55', 1317674800, 1317674807, 'NG', 'Nigeria'),
(41473, '78.138.31.56', '78.138.31.71', 1317674808, 1317674823, 'GB', 'United Kingdom'),
(41474, '78.138.31.72', '78.138.31.79', 1317674824, 1317674831, 'NG', 'Nigeria'),
(41475, '78.138.31.80', '78.138.31.95', 1317674832, 1317674847, 'GB', 'United Kingdom'),
(41476, '78.138.31.96', '78.138.31.103', 1317674848, 1317674855, 'NG', 'Nigeria'),
(41477, '78.138.31.104', '78.138.31.127', 1317674856, 1317674879, 'GB', 'United Kingdom'),
(41478, '78.138.31.128', '78.138.31.135', 1317674880, 1317674887, 'NG', 'Nigeria'),
(41479, '78.138.31.136', '78.138.31.159', 1317674888, 1317674911, 'GB', 'United Kingdom'),
(41480, '78.138.31.160', '78.138.31.175', 1317674912, 1317674927, 'NG', 'Nigeria'),
(41481, '78.138.31.176', '78.138.31.183', 1317674928, 1317674935, 'GB', 'United Kingdom'),
(41482, '78.138.31.184', '78.138.31.191', 1317674936, 1317674943, 'NG', 'Nigeria'),
(41483, '78.138.31.192', '78.138.31.199', 1317674944, 1317674951, 'GA', 'Gabon'),
(41484, '78.138.31.200', '78.138.31.207', 1317674952, 1317674959, 'NG', 'Nigeria'),
(41485, '78.138.31.208', '78.138.31.215', 1317674960, 1317674967, 'GH', 'Ghana'),
(41486, '78.138.31.216', '78.138.31.231', 1317674968, 1317674983, 'NG', 'Nigeria'),
(41487, '78.138.31.232', '78.138.32.23', 1317674984, 1317675031, 'GB', 'United Kingdom'),
(41488, '78.138.32.24', '78.138.32.31', 1317675032, 1317675039, 'NG', 'Nigeria'),
(41489, '78.138.32.32', '78.138.32.55', 1317675040, 1317675063, 'GB', 'United Kingdom'),
(41490, '78.138.32.56', '78.138.32.63', 1317675064, 1317675071, 'AO', 'Angola'),
(41491, '78.138.32.64', '78.138.32.87', 1317675072, 1317675095, 'NG', 'Nigeria'),
(41492, '78.138.32.88', '78.138.32.191', 1317675096, 1317675199, 'GB', 'United Kingdom'),
(41493, '78.138.32.192', '78.138.32.207', 1317675200, 1317675215, 'NG', 'Nigeria'),
(41494, '78.138.32.208', '78.138.32.239', 1317675216, 1317675247, 'GB', 'United Kingdom'),
(41495, '78.138.32.240', '78.138.32.247', 1317675248, 1317675255, 'AO', 'Angola'),
(41496, '78.138.32.248', '78.138.33.7', 1317675256, 1317675271, 'GB', 'United Kingdom'),
(41497, '78.138.33.8', '78.138.33.15', 1317675272, 1317675279, 'NG', 'Nigeria'),
(41498, '78.138.33.16', '78.138.33.31', 1317675280, 1317675295, 'GB', 'United Kingdom'),
(41499, '78.138.33.32', '78.138.33.55', 1317675296, 1317675319, 'NG', 'Nigeria'),
(41500, '78.138.33.56', '78.138.33.87', 1317675320, 1317675351, 'GB', 'United Kingdom'),
(41501, '78.138.33.88', '78.138.33.95', 1317675352, 1317675359, 'IQ', 'Iraq'),
(41502, '78.138.33.96', '78.138.33.103', 1317675360, 1317675367, 'NG', 'Nigeria'),
(41503, '78.138.33.104', '78.138.33.159', 1317675368, 1317675423, 'GB', 'United Kingdom'),
(41504, '78.138.33.160', '78.138.33.175', 1317675424, 1317675439, 'NG', 'Nigeria'),
(41505, '78.138.33.176', '78.138.33.183', 1317675440, 1317675447, 'GB', 'United Kingdom'),
(41506, '78.138.33.184', '78.138.33.191', 1317675448, 1317675455, 'NG', 'Nigeria'),
(41507, '78.138.33.192', '78.138.33.199', 1317675456, 1317675463, 'GB', 'United Kingdom'),
(41508, '78.138.33.200', '78.138.33.207', 1317675464, 1317675471, 'CI', 'Cote D''Ivoire'),
(41509, '78.138.33.208', '78.138.33.239', 1317675472, 1317675503, 'GB', 'United Kingdom'),
(41510, '78.138.33.240', '78.138.33.247', 1317675504, 1317675511, 'NG', 'Nigeria'),
(41511, '78.138.33.248', '78.138.34.31', 1317675512, 1317675551, 'GB', 'United Kingdom'),
(41512, '78.138.34.32', '78.138.34.39', 1317675552, 1317675559, 'NG', 'Nigeria'),
(41513, '78.138.34.40', '78.138.34.47', 1317675560, 1317675567, 'NA', 'Namibia'),
(41514, '78.138.34.48', '78.138.34.71', 1317675568, 1317675591, 'GB', 'United Kingdom'),
(41515, '78.138.34.72', '78.138.34.87', 1317675592, 1317675607, 'NG', 'Nigeria'),
(41516, '78.138.34.88', '78.138.34.103', 1317675608, 1317675623, 'GB', 'United Kingdom'),
(41517, '78.138.34.104', '78.138.34.119', 1317675624, 1317675639, 'NG', 'Nigeria'),
(41518, '78.138.34.120', '78.138.34.127', 1317675640, 1317675647, 'FR', 'France'),
(41519, '78.138.34.128', '78.138.34.135', 1317675648, 1317675655, 'LR', 'Liberia'),
(41520, '78.138.34.136', '78.138.34.151', 1317675656, 1317675671, 'GB', 'United Kingdom'),
(41521, '78.138.34.152', '78.138.34.159', 1317675672, 1317675679, 'NG', 'Nigeria'),
(41522, '78.138.34.160', '78.138.34.175', 1317675680, 1317675695, 'GB', 'United Kingdom'),
(41523, '78.138.34.176', '78.138.34.183', 1317675696, 1317675703, 'NG', 'Nigeria'),
(41524, '78.138.34.184', '78.138.34.191', 1317675704, 1317675711, 'GB', 'United Kingdom'),
(41525, '78.138.34.192', '78.138.34.199', 1317675712, 1317675719, 'CM', 'Cameroon'),
(41526, '78.138.34.200', '78.138.34.223', 1317675720, 1317675743, 'GB', 'United Kingdom'),
(41527, '78.138.34.224', '78.138.34.231', 1317675744, 1317675751, 'GH', 'Ghana'),
(41528, '78.138.34.232', '78.138.34.239', 1317675752, 1317675759, 'NG', 'Nigeria'),
(41529, '78.138.34.240', '78.138.34.255', 1317675760, 1317675775, 'GH', 'Ghana'),
(41530, '78.138.35.0', '78.138.35.15', 1317675776, 1317675791, 'GB', 'United Kingdom'),
(41531, '78.138.35.16', '78.138.35.23', 1317675792, 1317675799, 'CD', 'Congo, The Democratic Republic of the'),
(41532, '78.138.35.24', '78.138.35.31', 1317675800, 1317675807, 'GB', 'United Kingdom'),
(41533, '78.138.35.32', '78.138.35.39', 1317675808, 1317675815, 'NG', 'Nigeria'),
(41534, '78.138.35.40', '78.138.35.47', 1317675816, 1317675823, 'GB', 'United Kingdom'),
(41535, '78.138.35.48', '78.138.35.63', 1317675824, 1317675839, 'NG', 'Nigeria'),
(41536, '78.138.35.64', '78.138.35.71', 1317675840, 1317675847, 'GB', 'United Kingdom'),
(41537, '78.138.35.72', '78.138.35.79', 1317675848, 1317675855, 'TD', 'Chad'),
(41538, '78.138.35.80', '78.138.35.127', 1317675856, 1317675903, 'GB', 'United Kingdom'),
(41539, '78.138.35.128', '78.138.35.135', 1317675904, 1317675911, 'UG', 'Uganda'),
(41540, '78.138.35.136', '78.138.35.143', 1317675912, 1317675919, 'NG', 'Nigeria'),
(41541, '78.138.35.144', '78.138.35.151', 1317675920, 1317675927, 'GB', 'United Kingdom'),
(41542, '78.138.35.152', '78.138.35.159', 1317675928, 1317675935, 'LR', 'Liberia'),
(41543, '78.138.35.160', '78.138.35.175', 1317675936, 1317675951, 'GB', 'United Kingdom'),
(41544, '78.138.35.176', '78.138.35.183', 1317675952, 1317675959, 'NG', 'Nigeria'),
(41545, '78.138.35.184', '78.138.35.191', 1317675960, 1317675967, 'GB', 'United Kingdom'),
(41546, '78.138.35.192', '78.138.35.199', 1317675968, 1317675975, 'NG', 'Nigeria'),
(41547, '78.138.35.200', '78.138.35.215', 1317675976, 1317675991, 'GB', 'United Kingdom'),
(41548, '78.138.35.216', '78.138.35.223', 1317675992, 1317675999, 'NG', 'Nigeria'),
(41549, '78.138.35.224', '78.138.35.231', 1317676000, 1317676007, 'GB', 'United Kingdom'),
(41550, '78.138.35.232', '78.138.35.239', 1317676008, 1317676015, 'GH', 'Ghana'),
(41551, '78.138.35.240', '78.138.35.247', 1317676016, 1317676023, 'SD', 'Sudan'),
(41552, '78.138.35.248', '78.138.35.255', 1317676024, 1317676031, 'GQ', 'Equatorial Guinea'),
(41553, '78.138.36.0', '78.138.36.7', 1317676032, 1317676039, 'NG', 'Nigeria'),
(41554, '78.138.36.8', '78.138.36.23', 1317676040, 1317676055, 'GB', 'United Kingdom'),
(41555, '78.138.36.24', '78.138.36.31', 1317676056, 1317676063, 'NG', 'Nigeria'),
(41556, '78.138.36.32', '78.138.36.39', 1317676064, 1317676071, 'GH', 'Ghana'),
(41557, '78.138.36.40', '78.138.36.47', 1317676072, 1317676079, 'NG', 'Nigeria'),
(41558, '78.138.36.48', '78.138.36.55', 1317676080, 1317676087, 'AO', 'Angola'),
(41559, '78.138.36.56', '78.138.36.63', 1317676088, 1317676095, 'NG', 'Nigeria'),
(41560, '78.138.36.64', '78.138.36.71', 1317676096, 1317676103, 'CM', 'Cameroon'),
(41561, '78.138.36.72', '78.138.36.79', 1317676104, 1317676111, 'NG', 'Nigeria'),
(41562, '78.138.36.80', '78.138.36.87', 1317676112, 1317676119, 'CM', 'Cameroon'),
(41563, '78.138.36.88', '78.138.36.103', 1317676120, 1317676135, 'GB', 'United Kingdom'),
(41564, '78.138.36.104', '78.138.36.111', 1317676136, 1317676143, 'CM', 'Cameroon'),
(41565, '78.138.36.112', '78.138.36.119', 1317676144, 1317676151, 'NG', 'Nigeria'),
(41566, '78.138.36.120', '78.138.36.127', 1317676152, 1317676159, 'CM', 'Cameroon'),
(41567, '78.138.36.128', '78.138.36.135', 1317676160, 1317676167, 'TG', 'Togo'),
(41568, '78.138.36.136', '78.138.36.143', 1317676168, 1317676175, 'ML', 'Mali'),
(41569, '78.138.36.144', '78.138.36.159', 1317676176, 1317676191, 'GB', 'United Kingdom'),
(41570, '78.138.36.160', '78.138.36.175', 1317676192, 1317676207, 'SD', 'Sudan'),
(41571, '78.138.36.176', '78.138.36.183', 1317676208, 1317676215, 'GB', 'United Kingdom'),
(41572, '78.138.36.184', '78.138.36.191', 1317676216, 1317676223, 'NG', 'Nigeria'),
(41573, '78.138.36.192', '78.138.36.199', 1317676224, 1317676231, 'GH', 'Ghana'),
(41574, '78.138.36.200', '78.138.36.207', 1317676232, 1317676239, 'NG', 'Nigeria'),
(41575, '78.138.36.208', '78.138.36.215', 1317676240, 1317676247, 'GB', 'United Kingdom'),
(41576, '78.138.36.216', '78.138.36.223', 1317676248, 1317676255, 'NG', 'Nigeria'),
(41577, '78.138.36.224', '78.138.36.231', 1317676256, 1317676263, 'CD', 'Congo, The Democratic Republic of the'),
(41578, '78.138.36.232', '78.138.36.239', 1317676264, 1317676271, 'NG', 'Nigeria'),
(41579, '78.138.36.240', '78.138.36.247', 1317676272, 1317676279, 'GB', 'United Kingdom'),
(41580, '78.138.36.248', '78.138.36.255', 1317676280, 1317676287, 'NG', 'Nigeria'),
(41581, '78.138.37.0', '78.138.37.255', 1317676288, 1317676543, 'LR', 'Liberia'),
(41582, '78.138.38.0', '78.138.38.7', 1317676544, 1317676551, 'NG', 'Nigeria'),
(41583, '78.138.38.8', '78.138.38.15', 1317676552, 1317676559, 'GB', 'United Kingdom'),
(41584, '78.138.38.16', '78.138.38.23', 1317676560, 1317676567, 'NG', 'Nigeria'),
(41585, '78.138.38.24', '78.138.38.39', 1317676568, 1317676583, 'GB', 'United Kingdom'),
(41586, '78.138.38.40', '78.138.38.47', 1317676584, 1317676591, 'NG', 'Nigeria'),
(41587, '78.138.38.48', '78.138.38.55', 1317676592, 1317676599, 'AO', 'Angola'),
(41588, '78.138.38.56', '78.138.38.63', 1317676600, 1317676607, 'UG', 'Uganda'),
(41589, '78.138.38.64', '78.138.38.87', 1317676608, 1317676631, 'GB', 'United Kingdom'),
(41590, '78.138.38.88', '78.138.38.95', 1317676632, 1317676639, 'NG', 'Nigeria'),
(41591, '78.138.38.96', '78.138.38.103', 1317676640, 1317676647, 'CD', 'Congo, The Democratic Republic of the'),
(41592, '78.138.38.104', '78.138.38.111', 1317676648, 1317676655, 'GB', 'United Kingdom'),
(41593, '78.138.38.112', '78.138.38.127', 1317676656, 1317676671, 'NG', 'Nigeria'),
(41594, '78.138.38.128', '78.138.38.143', 1317676672, 1317676687, 'GB', 'United Kingdom'),
(41595, '78.138.38.144', '78.138.38.151', 1317676688, 1317676695, 'LR', 'Liberia'),
(41596, '78.138.38.152', '78.138.38.167', 1317676696, 1317676711, 'GB', 'United Kingdom'),
(41597, '78.138.38.168', '78.138.38.175', 1317676712, 1317676719, 'NG', 'Nigeria'),
(41598, '78.138.38.176', '78.138.38.215', 1317676720, 1317676759, 'GB', 'United Kingdom'),
(41599, '78.138.38.216', '78.138.38.223', 1317676760, 1317676767, 'LR', 'Liberia'),
(41600, '78.138.38.224', '78.138.38.231', 1317676768, 1317676775, 'GB', 'United Kingdom'),
(41601, '78.138.38.232', '78.138.38.239', 1317676776, 1317676783, 'UG', 'Uganda'),
(41602, '78.138.38.240', '78.138.38.255', 1317676784, 1317676799, 'GB', 'United Kingdom'),
(41603, '78.138.39.0', '78.138.39.7', 1317676800, 1317676807, 'CD', 'Congo, The Democratic Republic of the'),
(41604, '78.138.39.8', '78.138.39.15', 1317676808, 1317676815, 'NG', 'Nigeria'),
(41605, '78.138.39.16', '78.138.39.23', 1317676816, 1317676823, 'LR', 'Liberia'),
(41606, '78.138.39.24', '78.138.39.63', 1317676824, 1317676863, 'GB', 'United Kingdom'),
(41607, '78.138.39.64', '78.138.39.71', 1317676864, 1317676871, 'TG', 'Togo'),
(41608, '78.138.39.72', '78.138.39.79', 1317676872, 1317676879, 'NG', 'Nigeria'),
(41609, '78.138.39.80', '78.138.39.103', 1317676880, 1317676903, 'GB', 'United Kingdom'),
(41610, '78.138.39.104', '78.138.39.111', 1317676904, 1317676911, 'NG', 'Nigeria'),
(41611, '78.138.39.112', '78.138.39.119', 1317676912, 1317676919, 'GB', 'United Kingdom'),
(41612, '78.138.39.120', '78.138.39.127', 1317676920, 1317676927, 'NG', 'Nigeria'),
(41613, '78.138.39.128', '78.138.39.143', 1317676928, 1317676943, 'GB', 'United Kingdom'),
(41614, '78.138.39.144', '78.138.39.151', 1317676944, 1317676951, 'CM', 'Cameroon'),
(41615, '78.138.39.152', '78.138.39.183', 1317676952, 1317676983, 'GB', 'United Kingdom'),
(41616, '78.138.39.184', '78.138.39.199', 1317676984, 1317676999, 'NG', 'Nigeria'),
(41617, '78.138.39.200', '78.138.39.207', 1317677000, 1317677007, 'IQ', 'Iraq'),
(41618, '78.138.39.208', '78.138.39.223', 1317677008, 1317677023, 'GB', 'United Kingdom'),
(41619, '78.138.39.224', '78.138.39.239', 1317677024, 1317677039, 'NG', 'Nigeria'),
(41620, '78.138.39.240', '78.138.39.247', 1317677040, 1317677047, 'GB', 'United Kingdom'),
(41621, '78.138.39.248', '78.138.39.255', 1317677048, 1317677055, 'NG', 'Nigeria'),
(41622, '78.138.40.0', '78.138.40.7', 1317677056, 1317677063, 'UG', 'Uganda'),
(41623, '78.138.40.8', '78.138.40.15', 1317677064, 1317677071, 'TD', 'Chad'),
(41624, '78.138.40.16', '78.138.40.23', 1317677072, 1317677079, 'NG', 'Nigeria'),
(41625, '78.138.40.24', '78.138.40.39', 1317677080, 1317677095, 'GB', 'United Kingdom'),
(41626, '78.138.40.40', '78.138.40.47', 1317677096, 1317677103, 'BF', 'Burkina Faso'),
(41627, '78.138.40.48', '78.138.40.135', 1317677104, 1317677191, 'GB', 'United Kingdom'),
(41628, '78.138.40.136', '78.138.40.143', 1317677192, 1317677199, 'SD', 'Sudan'),
(41629, '78.138.40.144', '78.138.40.159', 1317677200, 1317677215, 'NG', 'Nigeria'),
(41630, '78.138.40.160', '78.138.40.175', 1317677216, 1317677231, 'GB', 'United Kingdom'),
(41631, '78.138.40.176', '78.138.40.183', 1317677232, 1317677239, 'UG', 'Uganda'),
(41632, '78.138.40.184', '78.138.40.191', 1317677240, 1317677247, 'GB', 'United Kingdom'),
(41633, '78.138.40.192', '78.138.40.215', 1317677248, 1317677271, 'NG', 'Nigeria'),
(41634, '78.138.40.216', '78.138.40.223', 1317677272, 1317677279, 'FR', 'France'),
(41635, '78.138.40.224', '78.138.40.247', 1317677280, 1317677303, 'GB', 'United Kingdom'),
(41636, '78.138.40.248', '78.138.40.255', 1317677304, 1317677311, 'NG', 'Nigeria'),
(41637, '78.138.41.0', '78.138.41.7', 1317677312, 1317677319, 'CD', 'Congo, The Democratic Republic of the'),
(41638, '78.138.41.8', '78.138.41.15', 1317677320, 1317677327, 'AO', 'Angola'),
(41639, '78.138.41.16', '78.138.41.23', 1317677328, 1317677335, 'CD', 'Congo, The Democratic Republic of the'),
(41640, '78.138.41.24', '78.138.41.31', 1317677336, 1317677343, 'GB', 'United Kingdom'),
(41641, '78.138.41.32', '78.138.41.39', 1317677344, 1317677351, 'NG', 'Nigeria'),
(41642, '78.138.41.40', '78.138.41.63', 1317677352, 1317677375, 'GB', 'United Kingdom'),
(41643, '78.138.41.64', '78.138.41.79', 1317677376, 1317677391, 'NG', 'Nigeria'),
(41644, '78.138.41.80', '78.138.41.87', 1317677392, 1317677399, 'GB', 'United Kingdom'),
(41645, '78.138.41.88', '78.138.41.95', 1317677400, 1317677407, 'NG', 'Nigeria'),
(41646, '78.138.41.96', '78.138.41.103', 1317677408, 1317677415, 'BJ', 'Benin'),
(41647, '78.138.41.104', '78.138.41.111', 1317677416, 1317677423, 'LR', 'Liberia'),
(41648, '78.138.41.112', '78.138.41.135', 1317677424, 1317677447, 'GB', 'United Kingdom'),
(41649, '78.138.41.136', '78.138.41.143', 1317677448, 1317677455, 'CD', 'Congo, The Democratic Republic of the'),
(41650, '78.138.41.144', '78.138.41.151', 1317677456, 1317677463, 'AO', 'Angola'),
(41651, '78.138.41.152', '78.138.41.159', 1317677464, 1317677471, 'GQ', 'Equatorial Guinea'),
(41652, '78.138.41.160', '78.138.41.167', 1317677472, 1317677479, 'NG', 'Nigeria'),
(41653, '78.138.41.168', '78.138.41.175', 1317677480, 1317677487, 'GB', 'United Kingdom'),
(41654, '78.138.41.176', '78.138.41.183', 1317677488, 1317677495, 'CD', 'Congo, The Democratic Republic of the'),
(41655, '78.138.41.184', '78.138.41.215', 1317677496, 1317677527, 'NG', 'Nigeria'),
(41656, '78.138.41.216', '78.138.41.223', 1317677528, 1317677535, 'GQ', 'Equatorial Guinea'),
(41657, '78.138.41.224', '78.138.41.247', 1317677536, 1317677559, 'GB', 'United Kingdom'),
(41658, '78.138.41.248', '78.138.41.255', 1317677560, 1317677567, 'NG', 'Nigeria'),
(41659, '78.138.42.0', '78.138.42.255', 1317677568, 1317677823, 'GB', 'United Kingdom'),
(41660, '78.138.43.0', '78.138.43.7', 1317677824, 1317677831, 'AO', 'Angola'),
(41661, '78.138.43.8', '78.138.43.15', 1317677832, 1317677839, 'GB', 'United Kingdom'),
(41662, '78.138.43.16', '78.138.43.23', 1317677840, 1317677847, 'LR', 'Liberia'),
(41663, '78.138.43.24', '78.138.43.31', 1317677848, 1317677855, 'NG', 'Nigeria'),
(41664, '78.138.43.32', '78.138.43.39', 1317677856, 1317677863, 'BF', 'Burkina Faso'),
(41665, '78.138.43.40', '78.138.43.71', 1317677864, 1317677895, 'GB', 'United Kingdom'),
(41666, '78.138.43.72', '78.138.43.79', 1317677896, 1317677903, 'GN', 'Guinea'),
(41667, '78.138.43.80', '78.138.43.183', 1317677904, 1317678007, 'GB', 'United Kingdom'),
(41668, '78.138.43.184', '78.138.43.191', 1317678008, 1317678015, 'NG', 'Nigeria'),
(41669, '78.138.43.192', '78.138.43.223', 1317678016, 1317678047, 'GB', 'United Kingdom'),
(41670, '78.138.43.224', '78.138.43.231', 1317678048, 1317678055, 'IQ', 'Iraq'),
(41671, '78.138.43.232', '78.138.44.15', 1317678056, 1317678095, 'GB', 'United Kingdom'),
(41672, '78.138.44.16', '78.138.44.23', 1317678096, 1317678103, 'GQ', 'Equatorial Guinea'),
(41673, '78.138.44.24', '78.138.44.31', 1317678104, 1317678111, 'NG', 'Nigeria'),
(41674, '78.138.44.32', '78.138.44.47', 1317678112, 1317678127, 'GB', 'United Kingdom'),
(41675, '78.138.44.48', '78.138.44.55', 1317678128, 1317678135, 'SD', 'Sudan'),
(41676, '78.138.44.56', '78.138.44.63', 1317678136, 1317678143, 'NG', 'Nigeria'),
(41677, '78.138.44.64', '78.138.44.71', 1317678144, 1317678151, 'GB', 'United Kingdom'),
(41678, '78.138.44.72', '78.138.44.79', 1317678152, 1317678159, 'NG', 'Nigeria'),
(41679, '78.138.44.80', '78.138.44.87', 1317678160, 1317678167, 'GQ', 'Equatorial Guinea'),
(41680, '78.138.44.88', '78.138.44.95', 1317678168, 1317678175, 'NG', 'Nigeria'),
(41681, '78.138.44.96', '78.138.44.103', 1317678176, 1317678183, 'GR', 'Greece'),
(41682, '78.138.44.104', '78.138.44.111', 1317678184, 1317678191, 'NG', 'Nigeria'),
(41683, '78.138.44.112', '78.138.44.143', 1317678192, 1317678223, 'GB', 'United Kingdom'),
(41684, '78.138.44.144', '78.138.44.151', 1317678224, 1317678231, 'NG', 'Nigeria'),
(41685, '78.138.44.152', '78.138.44.159', 1317678232, 1317678239, 'BF', 'Burkina Faso'),
(41686, '78.138.44.160', '78.138.44.167', 1317678240, 1317678247, 'CD', 'Congo, The Democratic Republic of the'),
(41687, '78.138.44.168', '78.138.44.175', 1317678248, 1317678255, 'GB', 'United Kingdom'),
(41688, '78.138.44.176', '78.138.44.183', 1317678256, 1317678263, 'CD', 'Congo, The Democratic Republic of the'),
(41689, '78.138.44.184', '78.138.44.191', 1317678264, 1317678271, 'GB', 'United Kingdom'),
(41690, '78.138.44.192', '78.138.44.207', 1317678272, 1317678287, 'NG', 'Nigeria'),
(41691, '78.138.44.208', '78.138.44.215', 1317678288, 1317678295, 'GR', 'Greece'),
(41692, '78.138.44.216', '78.138.44.231', 1317678296, 1317678311, 'GB', 'United Kingdom'),
(41693, '78.138.44.232', '78.138.44.239', 1317678312, 1317678319, 'SD', 'Sudan'),
(41694, '78.138.44.240', '78.138.44.247', 1317678320, 1317678327, 'NG', 'Nigeria'),
(41695, '78.138.44.248', '78.138.44.255', 1317678328, 1317678335, 'GB', 'United Kingdom'),
(41696, '78.138.45.0', '78.138.45.7', 1317678336, 1317678343, 'AO', 'Angola'),
(41697, '78.138.45.8', '78.138.45.15', 1317678344, 1317678351, 'GB', 'United Kingdom'),
(41698, '78.138.45.16', '78.138.45.23', 1317678352, 1317678359, 'CD', 'Congo, The Democratic Republic of the');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(41699, '78.138.45.24', '78.138.45.31', 1317678360, 1317678367, 'NG', 'Nigeria'),
(41700, '78.138.45.32', '78.138.45.39', 1317678368, 1317678375, 'CD', 'Congo, The Democratic Republic of the'),
(41701, '78.138.45.40', '78.138.45.47', 1317678376, 1317678383, 'GB', 'United Kingdom'),
(41702, '78.138.45.48', '78.138.45.55', 1317678384, 1317678391, 'GL', 'Greenland'),
(41703, '78.138.45.56', '78.138.45.63', 1317678392, 1317678399, 'GB', 'United Kingdom'),
(41704, '78.138.45.64', '78.138.45.71', 1317678400, 1317678407, 'ML', 'Mali'),
(41705, '78.138.45.72', '78.138.45.79', 1317678408, 1317678415, 'GB', 'United Kingdom'),
(41706, '78.138.45.80', '78.138.45.87', 1317678416, 1317678423, 'NG', 'Nigeria'),
(41707, '78.138.45.88', '78.138.45.119', 1317678424, 1317678455, 'GB', 'United Kingdom'),
(41708, '78.138.45.120', '78.138.45.127', 1317678456, 1317678463, 'CD', 'Congo, The Democratic Republic of the'),
(41709, '78.138.45.128', '78.138.45.143', 1317678464, 1317678479, 'GB', 'United Kingdom'),
(41710, '78.138.45.144', '78.138.45.151', 1317678480, 1317678487, 'CD', 'Congo, The Democratic Republic of the'),
(41711, '78.138.45.152', '78.138.45.159', 1317678488, 1317678495, 'ML', 'Mali'),
(41712, '78.138.45.160', '78.138.45.199', 1317678496, 1317678535, 'GB', 'United Kingdom'),
(41713, '78.138.45.200', '78.138.45.215', 1317678536, 1317678551, 'CD', 'Congo, The Democratic Republic of the'),
(41714, '78.138.45.216', '78.138.45.223', 1317678552, 1317678559, 'ML', 'Mali'),
(41715, '78.138.45.224', '78.138.45.231', 1317678560, 1317678567, 'GB', 'United Kingdom'),
(41716, '78.138.45.232', '78.138.45.239', 1317678568, 1317678575, 'CD', 'Congo, The Democratic Republic of the'),
(41717, '78.138.45.240', '78.138.45.247', 1317678576, 1317678583, 'NG', 'Nigeria'),
(41718, '78.138.45.248', '78.138.45.255', 1317678584, 1317678591, 'AO', 'Angola'),
(41719, '78.138.46.0', '78.138.47.95', 1317678592, 1317678943, 'GB', 'United Kingdom'),
(41720, '78.138.47.96', '78.138.47.103', 1317678944, 1317678951, 'NG', 'Nigeria'),
(41721, '78.138.47.104', '78.138.47.199', 1317678952, 1317679047, 'GB', 'United Kingdom'),
(41722, '78.138.47.200', '78.138.47.207', 1317679048, 1317679055, 'NG', 'Nigeria'),
(41723, '78.138.47.208', '78.138.49.255', 1317679056, 1317679615, 'GB', 'United Kingdom'),
(41724, '78.138.50.0', '78.138.50.7', 1317679616, 1317679623, 'AO', 'Angola'),
(41725, '78.138.50.8', '78.138.50.23', 1317679624, 1317679639, 'GB', 'United Kingdom'),
(41726, '78.138.50.24', '78.138.50.31', 1317679640, 1317679647, 'ZW', 'Zimbabwe'),
(41727, '78.138.50.32', '78.138.50.39', 1317679648, 1317679655, 'CD', 'Congo, The Democratic Republic of the'),
(41728, '78.138.50.40', '78.138.50.47', 1317679656, 1317679663, 'GB', 'United Kingdom'),
(41729, '78.138.50.48', '78.138.50.55', 1317679664, 1317679671, 'AO', 'Angola'),
(41730, '78.138.50.56', '78.138.50.63', 1317679672, 1317679679, 'GB', 'United Kingdom'),
(41731, '78.138.50.64', '78.138.50.71', 1317679680, 1317679687, 'NG', 'Nigeria'),
(41732, '78.138.50.72', '78.138.50.79', 1317679688, 1317679695, 'GB', 'United Kingdom'),
(41733, '78.138.50.80', '78.138.50.87', 1317679696, 1317679703, 'LU', 'Luxembourg'),
(41734, '78.138.50.88', '78.138.50.103', 1317679704, 1317679719, 'NG', 'Nigeria'),
(41735, '78.138.50.104', '78.138.50.111', 1317679720, 1317679727, 'GB', 'United Kingdom'),
(41736, '78.138.50.112', '78.138.50.119', 1317679728, 1317679735, 'LR', 'Liberia'),
(41737, '78.138.50.120', '78.138.50.127', 1317679736, 1317679743, 'GB', 'United Kingdom'),
(41738, '78.138.50.128', '78.138.50.135', 1317679744, 1317679751, 'AO', 'Angola'),
(41739, '78.138.50.136', '78.138.50.143', 1317679752, 1317679759, 'GB', 'United Kingdom'),
(41740, '78.138.50.144', '78.138.50.151', 1317679760, 1317679767, 'NG', 'Nigeria'),
(41741, '78.138.50.152', '78.138.50.167', 1317679768, 1317679783, 'GB', 'United Kingdom'),
(41742, '78.138.50.168', '78.138.50.183', 1317679784, 1317679799, 'NG', 'Nigeria'),
(41743, '78.138.50.184', '78.138.50.191', 1317679800, 1317679807, 'GB', 'United Kingdom'),
(41744, '78.138.50.192', '78.138.50.199', 1317679808, 1317679815, 'AO', 'Angola'),
(41745, '78.138.50.200', '78.138.50.223', 1317679816, 1317679839, 'GB', 'United Kingdom'),
(41746, '78.138.50.224', '78.138.50.231', 1317679840, 1317679847, 'NG', 'Nigeria'),
(41747, '78.138.50.232', '78.138.50.247', 1317679848, 1317679863, 'GB', 'United Kingdom'),
(41748, '78.138.50.248', '78.138.50.255', 1317679864, 1317679871, 'NG', 'Nigeria'),
(41749, '78.138.51.0', '78.138.56.7', 1317679872, 1317681159, 'GB', 'United Kingdom'),
(41750, '78.138.56.8', '78.138.56.15', 1317681160, 1317681167, 'NG', 'Nigeria'),
(41751, '78.138.56.16', '78.138.56.23', 1317681168, 1317681175, 'GB', 'United Kingdom'),
(41752, '78.138.56.24', '78.138.56.39', 1317681176, 1317681191, 'NG', 'Nigeria'),
(41753, '78.138.56.40', '78.138.56.127', 1317681192, 1317681279, 'GB', 'United Kingdom'),
(41754, '78.138.56.128', '78.138.56.135', 1317681280, 1317681287, 'NG', 'Nigeria'),
(41755, '78.138.56.136', '78.138.59.7', 1317681288, 1317681927, 'GB', 'United Kingdom'),
(41756, '78.138.59.8', '78.138.59.11', 1317681928, 1317681931, 'NG', 'Nigeria'),
(41757, '78.138.59.12', '78.138.63.255', 1317681932, 1317683199, 'GB', 'United Kingdom'),
(41758, '78.138.64.0', '78.138.66.127', 1317683200, 1317683839, 'DE', 'Germany'),
(41759, '78.138.66.128', '78.138.66.143', 1317683840, 1317683855, 'CH', 'Switzerland'),
(41760, '78.138.66.144', '78.138.66.151', 1317683856, 1317683863, 'DE', 'Germany'),
(41761, '78.138.66.152', '78.138.66.159', 1317683864, 1317683871, 'FR', 'France'),
(41762, '78.138.66.160', '78.138.72.255', 1317683872, 1317685503, 'DE', 'Germany'),
(41763, '78.138.73.0', '78.138.73.127', 1317685504, 1317685631, 'BE', 'Belgium'),
(41764, '78.138.73.128', '78.138.76.31', 1317685632, 1317686303, 'DE', 'Germany'),
(41765, '78.138.76.32', '78.138.76.47', 1317686304, 1317686319, 'NL', 'Netherlands'),
(41766, '78.138.76.48', '78.138.76.63', 1317686320, 1317686335, 'DE', 'Germany'),
(41767, '78.138.76.64', '78.138.76.95', 1317686336, 1317686367, 'NL', 'Netherlands'),
(41768, '78.138.76.96', '78.138.115.31', 1317686368, 1317696287, 'DE', 'Germany'),
(41769, '78.138.115.32', '78.138.115.63', 1317696288, 1317696319, 'ES', 'Spain'),
(41770, '78.138.115.64', '78.138.125.255', 1317696320, 1317699071, 'DE', 'Germany'),
(41771, '78.138.126.0', '78.138.127.255', 1317699072, 1317699583, 'PL', 'Poland'),
(41772, '78.138.128.0', '78.138.191.255', 1317699584, 1317715967, 'RU', 'Russian Federation'),
(41773, '78.138.192.0', '78.138.255.255', 1317715968, 1317732351, 'SA', 'Saudi Arabia'),
(41774, '78.139.0.0', '78.139.63.255', 1317732352, 1317748735, 'HU', 'Hungary'),
(41775, '78.139.64.0', '78.139.127.255', 1317748736, 1317765119, 'RU', 'Russian Federation'),
(41776, '78.139.128.0', '78.139.191.255', 1317765120, 1317781503, 'GE', 'Georgia'),
(41777, '78.139.192.0', '78.140.63.255', 1317781504, 1317814271, 'RU', 'Russian Federation'),
(41778, '78.140.64.0', '78.140.127.255', 1317814272, 1317830655, 'DE', 'Germany'),
(41779, '78.140.128.0', '78.140.131.255', 1317830656, 1317831679, 'NL', 'Netherlands'),
(41780, '78.140.132.0', '78.140.132.31', 1317831680, 1317831711, 'CY', 'Cyprus'),
(41781, '78.140.132.32', '78.140.132.159', 1317831712, 1317831839, 'NL', 'Netherlands'),
(41782, '78.140.132.160', '78.140.132.191', 1317831840, 1317831871, 'CA', 'Canada'),
(41783, '78.140.132.192', '78.140.133.255', 1317831872, 1317832191, 'NL', 'Netherlands'),
(41784, '78.140.134.0', '78.140.134.255', 1317832192, 1317832447, 'GB', 'United Kingdom'),
(41785, '78.140.135.0', '78.140.135.63', 1317832448, 1317832511, 'CY', 'Cyprus'),
(41786, '78.140.135.64', '78.140.135.127', 1317832512, 1317832575, 'NL', 'Netherlands'),
(41787, '78.140.135.128', '78.140.135.255', 1317832576, 1317832703, 'GI', 'Gibraltar'),
(41788, '78.140.136.0', '78.140.136.255', 1317832704, 1317832959, 'NL', 'Netherlands'),
(41789, '78.140.137.0', '78.140.137.255', 1317832960, 1317833215, 'IT', 'Italy'),
(41790, '78.140.138.0', '78.140.144.255', 1317833216, 1317835007, 'NL', 'Netherlands'),
(41791, '78.140.145.0', '78.140.145.63', 1317835008, 1317835071, 'RU', 'Russian Federation'),
(41792, '78.140.145.64', '78.140.145.127', 1317835072, 1317835135, 'GI', 'Gibraltar'),
(41793, '78.140.145.128', '78.140.145.191', 1317835136, 1317835199, 'RU', 'Russian Federation'),
(41794, '78.140.145.192', '78.140.145.255', 1317835200, 1317835263, 'CY', 'Cyprus'),
(41795, '78.140.146.0', '78.140.147.95', 1317835264, 1317835615, 'NL', 'Netherlands'),
(41796, '78.140.147.96', '78.140.147.127', 1317835616, 1317835647, 'RU', 'Russian Federation'),
(41797, '78.140.147.128', '78.140.147.191', 1317835648, 1317835711, 'NL', 'Netherlands'),
(41798, '78.140.147.192', '78.140.147.255', 1317835712, 1317835775, 'GI', 'Gibraltar'),
(41799, '78.140.148.0', '78.140.148.255', 1317835776, 1317836031, 'CY', 'Cyprus'),
(41800, '78.140.149.0', '78.140.149.127', 1317836032, 1317836159, 'NL', 'Netherlands'),
(41801, '78.140.149.128', '78.140.149.191', 1317836160, 1317836223, 'CY', 'Cyprus'),
(41802, '78.140.149.192', '78.140.152.63', 1317836224, 1317836863, 'NL', 'Netherlands'),
(41803, '78.140.152.64', '78.140.152.127', 1317836864, 1317836927, 'CY', 'Cyprus'),
(41804, '78.140.152.128', '78.140.152.191', 1317836928, 1317836991, 'NL', 'Netherlands'),
(41805, '78.140.152.192', '78.140.152.207', 1317836992, 1317837007, 'GB', 'United Kingdom'),
(41806, '78.140.152.208', '78.140.152.223', 1317837008, 1317837023, 'RU', 'Russian Federation'),
(41807, '78.140.152.224', '78.140.154.255', 1317837024, 1317837567, 'NL', 'Netherlands'),
(41808, '78.140.155.0', '78.140.155.255', 1317837568, 1317837823, 'US', 'United States'),
(41809, '78.140.156.0', '78.140.156.127', 1317837824, 1317837951, 'NL', 'Netherlands'),
(41810, '78.140.156.128', '78.140.156.191', 1317837952, 1317838015, 'CY', 'Cyprus'),
(41811, '78.140.156.192', '78.140.160.95', 1317838016, 1317838943, 'NL', 'Netherlands'),
(41812, '78.140.160.96', '78.140.160.111', 1317838944, 1317838959, 'GB', 'United Kingdom'),
(41813, '78.140.160.112', '78.140.160.127', 1317838960, 1317838975, 'NL', 'Netherlands'),
(41814, '78.140.160.128', '78.140.160.255', 1317838976, 1317839103, 'GI', 'Gibraltar'),
(41815, '78.140.161.0', '78.140.161.255', 1317839104, 1317839359, 'NL', 'Netherlands'),
(41816, '78.140.162.0', '78.140.162.255', 1317839360, 1317839615, 'RU', 'Russian Federation'),
(41817, '78.140.163.0', '78.140.163.63', 1317839616, 1317839679, 'HK', 'Hong Kong'),
(41818, '78.140.163.64', '78.140.163.79', 1317839680, 1317839695, 'CZ', 'Czech Republic'),
(41819, '78.140.163.80', '78.140.166.255', 1317839696, 1317840639, 'NL', 'Netherlands'),
(41820, '78.140.167.0', '78.140.167.255', 1317840640, 1317840895, 'US', 'United States'),
(41821, '78.140.168.0', '78.140.169.255', 1317840896, 1317841407, 'NL', 'Netherlands'),
(41822, '78.140.170.0', '78.140.170.31', 1317841408, 1317841439, 'SC', 'Seychelles'),
(41823, '78.140.170.32', '78.140.170.63', 1317841440, 1317841471, 'MT', 'Malta'),
(41824, '78.140.170.64', '78.140.170.127', 1317841472, 1317841535, 'CY', 'Cyprus'),
(41825, '78.140.170.128', '78.140.170.159', 1317841536, 1317841567, 'HK', 'Hong Kong'),
(41826, '78.140.170.160', '78.140.170.191', 1317841568, 1317841599, 'NL', 'Netherlands'),
(41827, '78.140.170.192', '78.140.170.255', 1317841600, 1317841663, 'GI', 'Gibraltar'),
(41828, '78.140.171.0', '78.140.171.63', 1317841664, 1317841727, 'HK', 'Hong Kong'),
(41829, '78.140.171.64', '78.140.171.191', 1317841728, 1317841855, 'CY', 'Cyprus'),
(41830, '78.140.171.192', '78.140.171.223', 1317841856, 1317841887, 'IL', 'Israel'),
(41831, '78.140.171.224', '78.140.175.255', 1317841888, 1317842943, 'NL', 'Netherlands'),
(41832, '78.140.176.0', '78.140.176.127', 1317842944, 1317843071, 'CY', 'Cyprus'),
(41833, '78.140.176.128', '78.140.176.191', 1317843072, 1317843135, 'HK', 'Hong Kong'),
(41834, '78.140.176.192', '78.140.176.255', 1317843136, 1317843199, 'CY', 'Cyprus'),
(41835, '78.140.177.0', '78.140.177.191', 1317843200, 1317843391, 'US', 'United States'),
(41836, '78.140.177.192', '78.140.177.223', 1317843392, 1317843423, 'NL', 'Netherlands'),
(41837, '78.140.177.224', '78.140.177.255', 1317843424, 1317843455, 'US', 'United States'),
(41838, '78.140.178.0', '78.140.178.63', 1317843456, 1317843519, 'NL', 'Netherlands'),
(41839, '78.140.178.64', '78.140.178.127', 1317843520, 1317843583, 'GI', 'Gibraltar'),
(41840, '78.140.178.128', '78.140.178.191', 1317843584, 1317843647, 'US', 'United States'),
(41841, '78.140.178.192', '78.140.179.127', 1317843648, 1317843839, 'NL', 'Netherlands'),
(41842, '78.140.179.128', '78.140.179.255', 1317843840, 1317843967, 'SC', 'Seychelles'),
(41843, '78.140.180.0', '78.140.180.255', 1317843968, 1317844223, 'MY', 'Malaysia'),
(41844, '78.140.181.0', '78.140.185.127', 1317844224, 1317845375, 'NL', 'Netherlands'),
(41845, '78.140.185.128', '78.140.185.255', 1317845376, 1317845503, 'US', 'United States'),
(41846, '78.140.186.0', '78.140.186.127', 1317845504, 1317845631, 'NL', 'Netherlands'),
(41847, '78.140.186.128', '78.140.186.255', 1317845632, 1317845759, 'CY', 'Cyprus'),
(41848, '78.140.187.0', '78.140.188.255', 1317845760, 1317846271, 'NL', 'Netherlands'),
(41849, '78.140.189.0', '78.140.189.63', 1317846272, 1317846335, 'HK', 'Hong Kong'),
(41850, '78.140.189.64', '78.140.189.127', 1317846336, 1317846399, 'NL', 'Netherlands'),
(41851, '78.140.189.128', '78.140.189.191', 1317846400, 1317846463, 'LU', 'Luxembourg'),
(41852, '78.140.189.192', '78.140.189.255', 1317846464, 1317846527, 'NL', 'Netherlands'),
(41853, '78.140.190.0', '78.140.190.127', 1317846528, 1317846655, 'HK', 'Hong Kong'),
(41854, '78.140.190.128', '78.140.190.231', 1317846656, 1317846759, 'NL', 'Netherlands'),
(41855, '78.140.190.232', '78.140.190.235', 1317846760, 1317846763, 'US', 'United States'),
(41856, '78.140.190.236', '78.140.190.255', 1317846764, 1317846783, 'NL', 'Netherlands'),
(41857, '78.140.191.0', '78.140.191.127', 1317846784, 1317846911, 'CY', 'Cyprus'),
(41858, '78.140.191.128', '78.140.191.255', 1317846912, 1317847039, 'NL', 'Netherlands'),
(41859, '78.140.192.0', '78.140.255.255', 1317847040, 1317863423, 'RU', 'Russian Federation'),
(41860, '78.141.0.0', '78.141.63.255', 1317863424, 1317879807, 'GB', 'United Kingdom'),
(41861, '78.141.64.0', '78.141.127.255', 1317879808, 1317896191, 'SK', 'Slovakia'),
(41862, '78.141.128.0', '78.141.191.255', 1317896192, 1317912575, 'LU', 'Luxembourg'),
(41863, '78.141.192.0', '78.141.255.255', 1317912576, 1317928959, 'GB', 'United Kingdom'),
(41864, '78.142.0.0', '78.142.63.255', 1317928960, 1317945343, 'BG', 'Bulgaria'),
(41865, '78.142.64.0', '78.142.82.255', 1317945344, 1317950207, 'AT', 'Austria'),
(41866, '78.142.83.0', '78.142.83.255', 1317950208, 1317950463, 'CZ', 'Czech Republic'),
(41867, '78.142.84.0', '78.142.107.255', 1317950464, 1317956607, 'AT', 'Austria'),
(41868, '78.142.108.0', '78.142.108.31', 1317956608, 1317956639, 'CZ', 'Czech Republic'),
(41869, '78.142.108.32', '78.142.111.255', 1317956640, 1317957631, 'AT', 'Austria'),
(41870, '78.142.112.0', '78.142.116.255', 1317957632, 1317958911, 'DE', 'Germany'),
(41871, '78.142.117.0', '78.142.117.63', 1317958912, 1317958975, 'CZ', 'Czech Republic'),
(41872, '78.142.117.64', '78.142.117.95', 1317958976, 1317959007, 'DE', 'Germany'),
(41873, '78.142.117.96', '78.142.140.247', 1317959008, 1317965047, 'AT', 'Austria'),
(41874, '78.142.140.248', '78.142.140.255', 1317965048, 1317965055, 'DE', 'Germany'),
(41875, '78.142.141.0', '78.142.189.63', 1317965056, 1317977407, 'AT', 'Austria'),
(41876, '78.142.189.64', '78.142.189.71', 1317977408, 1317977415, 'MT', 'Malta'),
(41877, '78.142.189.72', '78.142.191.255', 1317977416, 1317978111, 'AT', 'Austria'),
(41878, '78.142.192.0', '78.142.255.255', 1317978112, 1317994495, 'RU', 'Russian Federation'),
(41879, '78.143.0.0', '78.143.1.255', 1317994496, 1317995007, 'NL', 'Netherlands'),
(41880, '78.143.2.0', '78.143.6.63', 1317995008, 1317996095, 'DE', 'Germany'),
(41881, '78.143.6.64', '78.143.6.255', 1317996096, 1317996287, 'NL', 'Netherlands'),
(41882, '78.143.7.0', '78.143.14.127', 1317996288, 1317998207, 'DE', 'Germany'),
(41883, '78.143.14.128', '78.143.14.255', 1317998208, 1317998335, 'NL', 'Netherlands'),
(41884, '78.143.15.0', '78.143.22.255', 1317998336, 1318000383, 'DE', 'Germany'),
(41885, '78.143.23.0', '78.143.23.63', 1318000384, 1318000447, 'NL', 'Netherlands'),
(41886, '78.143.23.64', '78.143.28.127', 1318000448, 1318001791, 'DE', 'Germany'),
(41887, '78.143.28.128', '78.143.28.255', 1318001792, 1318001919, 'NL', 'Netherlands'),
(41888, '78.143.29.0', '78.143.29.255', 1318001920, 1318002175, 'DE', 'Germany'),
(41889, '78.143.30.0', '78.143.30.255', 1318002176, 1318002431, 'NL', 'Netherlands'),
(41890, '78.143.31.0', '78.143.35.255', 1318002432, 1318003711, 'DE', 'Germany'),
(41891, '78.143.36.0', '78.143.36.255', 1318003712, 1318003967, 'NL', 'Netherlands'),
(41892, '78.143.37.0', '78.143.43.127', 1318003968, 1318005631, 'DE', 'Germany'),
(41893, '78.143.43.128', '78.143.43.255', 1318005632, 1318005759, 'NL', 'Netherlands'),
(41894, '78.143.44.0', '78.143.45.255', 1318005760, 1318006271, 'DE', 'Germany'),
(41895, '78.143.46.0', '78.143.47.255', 1318006272, 1318006783, 'NL', 'Netherlands'),
(41896, '78.143.48.0', '78.143.52.191', 1318006784, 1318007999, 'DE', 'Germany'),
(41897, '78.143.52.192', '78.143.52.223', 1318008000, 1318008031, 'NL', 'Netherlands'),
(41898, '78.143.52.224', '78.143.58.79', 1318008032, 1318009423, 'DE', 'Germany'),
(41899, '78.143.58.80', '78.143.58.127', 1318009424, 1318009471, 'NL', 'Netherlands'),
(41900, '78.143.58.128', '78.143.62.143', 1318009472, 1318010511, 'DE', 'Germany'),
(41901, '78.143.62.144', '78.143.63.255', 1318010512, 1318010879, 'NL', 'Netherlands'),
(41902, '78.143.64.0', '78.143.127.255', 1318010880, 1318027263, 'DK', 'Denmark'),
(41903, '78.143.128.0', '78.143.191.255', 1318027264, 1318043647, 'IE', 'Ireland'),
(41904, '78.143.192.0', '78.151.255.255', 1318043648, 1318584319, 'GB', 'United Kingdom'),
(41905, '78.152.0.0', '78.152.31.255', 1318584320, 1318592511, 'PL', 'Poland'),
(41906, '78.152.32.0', '78.152.32.111', 1318592512, 1318592623, 'NL', 'Netherlands'),
(41907, '78.152.32.112', '78.152.32.127', 1318592624, 1318592639, 'DE', 'Germany'),
(41908, '78.152.32.128', '78.152.32.143', 1318592640, 1318592655, 'NL', 'Netherlands'),
(41909, '78.152.32.144', '78.152.32.159', 1318592656, 1318592671, 'US', 'United States'),
(41910, '78.152.32.160', '78.152.60.127', 1318592672, 1318599807, 'NL', 'Netherlands'),
(41911, '78.152.60.128', '78.152.60.143', 1318599808, 1318599823, 'US', 'United States'),
(41912, '78.152.60.144', '78.152.63.255', 1318599824, 1318600703, 'NL', 'Netherlands'),
(41913, '78.152.64.0', '78.152.95.255', 1318600704, 1318608895, 'AT', 'Austria'),
(41914, '78.152.96.0', '78.152.127.255', 1318608896, 1318617087, 'IT', 'Italy'),
(41915, '78.152.128.0', '78.152.159.255', 1318617088, 1318625279, 'FR', 'France'),
(41916, '78.152.160.0', '78.152.191.255', 1318625280, 1318633471, 'UA', 'Ukraine'),
(41917, '78.152.192.0', '78.152.255.255', 1318633472, 1318649855, 'IE', 'Ireland'),
(41918, '78.153.0.0', '78.153.31.255', 1318649856, 1318658047, 'RU', 'Russian Federation'),
(41919, '78.153.32.0', '78.153.63.255', 1318658048, 1318666239, 'SI', 'Slovenia'),
(41920, '78.153.64.0', '78.153.95.255', 1318666240, 1318674431, 'DE', 'Germany'),
(41921, '78.153.96.0', '78.153.127.255', 1318674432, 1318682623, 'HU', 'Hungary'),
(41922, '78.153.128.0', '78.153.159.255', 1318682624, 1318690815, 'RU', 'Russian Federation'),
(41923, '78.153.160.0', '78.153.191.255', 1318690816, 1318699007, 'DK', 'Denmark'),
(41924, '78.153.192.0', '78.153.223.255', 1318699008, 1318707199, 'IE', 'Ireland'),
(41925, '78.153.224.0', '78.153.226.63', 1318707200, 1318707775, 'FR', 'France'),
(41926, '78.153.226.64', '78.153.226.71', 1318707776, 1318707783, 'GB', 'United Kingdom'),
(41927, '78.153.226.72', '78.153.229.31', 1318707784, 1318708511, 'FR', 'France'),
(41928, '78.153.229.32', '78.153.229.39', 1318708512, 1318708519, 'GB', 'United Kingdom'),
(41929, '78.153.229.40', '78.153.229.119', 1318708520, 1318708599, 'FR', 'France'),
(41930, '78.153.229.120', '78.153.229.127', 1318708600, 1318708607, 'GB', 'United Kingdom'),
(41931, '78.153.229.128', '78.153.229.159', 1318708608, 1318708639, 'FR', 'France'),
(41932, '78.153.229.160', '78.153.229.167', 1318708640, 1318708647, 'GB', 'United Kingdom'),
(41933, '78.153.229.168', '78.153.229.255', 1318708648, 1318708735, 'FR', 'France'),
(41934, '78.153.230.0', '78.153.230.255', 1318708736, 1318708991, 'GB', 'United Kingdom'),
(41935, '78.153.231.0', '78.153.241.95', 1318708992, 1318711647, 'FR', 'France'),
(41936, '78.153.241.96', '78.153.241.111', 1318711648, 1318711663, 'IT', 'Italy'),
(41937, '78.153.241.112', '78.153.249.255', 1318711664, 1318713855, 'FR', 'France'),
(41938, '78.153.250.0', '78.153.250.255', 1318713856, 1318714111, 'GB', 'United Kingdom'),
(41939, '78.153.251.0', '78.153.255.254', 1318714112, 1318715390, 'FR', 'France'),
(41940, '78.153.255.255', '78.153.255.255', 1318715391, 1318715391, 'GB', 'United Kingdom'),
(41941, '78.154.0.0', '78.154.31.255', 1318715392, 1318723583, 'BG', 'Bulgaria'),
(41942, '78.154.32.0', '78.154.63.255', 1318723584, 1318731775, 'IR', 'Iran, Islamic Republic of'),
(41943, '78.154.64.0', '78.154.95.255', 1318731776, 1318739967, 'PL', 'Poland'),
(41944, '78.154.96.0', '78.154.127.255', 1318739968, 1318748159, 'GB', 'United Kingdom'),
(41945, '78.154.128.0', '78.154.146.255', 1318748160, 1318753023, 'LV', 'Latvia'),
(41946, '78.154.147.0', '78.154.147.255', 1318753024, 1318753279, 'BE', 'Belgium'),
(41947, '78.154.148.0', '78.154.159.255', 1318753280, 1318756351, 'LV', 'Latvia'),
(41948, '78.154.160.0', '78.154.191.255', 1318756352, 1318764543, 'UA', 'Ukraine'),
(41949, '78.154.192.0', '78.154.255.255', 1318764544, 1318780927, 'KW', 'Kuwait'),
(41950, '78.155.0.0', '78.155.31.255', 1318780928, 1318789119, 'CH', 'Switzerland'),
(41951, '78.155.32.0', '78.155.63.255', 1318789120, 1318797311, 'ME', 'Montenegro'),
(41952, '78.155.64.0', '78.155.95.255', 1318797312, 1318805503, 'SY', 'Syrian Arab Republic'),
(41953, '78.155.96.0', '78.155.127.255', 1318805504, 1318813695, 'PL', 'Poland'),
(41954, '78.155.128.0', '78.155.159.255', 1318813696, 1318821887, 'FR', 'France'),
(41955, '78.155.160.0', '78.155.223.255', 1318821888, 1318838271, 'RU', 'Russian Federation'),
(41956, '78.155.224.0', '78.155.234.246', 1318838272, 1318841078, 'IE', 'Ireland'),
(41957, '78.155.234.247', '78.155.234.247', 1318841079, 1318841079, 'GB', 'United Kingdom'),
(41958, '78.155.234.248', '78.155.255.255', 1318841080, 1318846463, 'IE', 'Ireland'),
(41959, '78.156.0.0', '78.156.31.255', 1318846464, 1318854655, 'NO', 'Norway'),
(41960, '78.156.32.0', '78.156.63.255', 1318854656, 1318862847, 'CZ', 'Czech Republic'),
(41961, '78.156.64.0', '78.156.95.255', 1318862848, 1318871039, 'GB', 'United Kingdom'),
(41962, '78.156.96.0', '78.156.127.255', 1318871040, 1318879231, 'DK', 'Denmark'),
(41963, '78.156.128.0', '78.156.159.255', 1318879232, 1318887423, 'CZ', 'Czech Republic'),
(41964, '78.156.160.0', '78.156.191.255', 1318887424, 1318895615, 'PL', 'Poland'),
(41965, '78.156.192.0', '78.156.199.255', 1318895616, 1318897663, 'SE', 'Sweden'),
(41966, '78.156.200.0', '78.156.223.255', 1318897664, 1318903807, 'DK', 'Denmark'),
(41967, '78.156.224.0', '78.156.255.255', 1318903808, 1318911999, 'RU', 'Russian Federation'),
(41968, '78.157.0.0', '78.157.31.255', 1318912000, 1318920191, 'MK', 'Macedonia'),
(41969, '78.157.32.0', '78.157.63.255', 1318920192, 1318928383, 'IR', 'Iran, Islamic Republic of'),
(41970, '78.157.64.0', '78.157.95.255', 1318928384, 1318936575, 'LT', 'Lithuania'),
(41971, '78.157.96.0', '78.157.127.255', 1318936576, 1318944767, 'DK', 'Denmark'),
(41972, '78.157.128.0', '78.157.172.255', 1318944768, 1318956287, 'CZ', 'Czech Republic'),
(41973, '78.157.173.0', '78.157.175.255', 1318956288, 1318957055, 'PL', 'Poland'),
(41974, '78.157.176.0', '78.157.179.255', 1318957056, 1318958079, 'CZ', 'Czech Republic'),
(41975, '78.157.180.0', '78.157.190.255', 1318958080, 1318960895, 'PL', 'Poland'),
(41976, '78.157.191.0', '78.157.191.255', 1318960896, 1318961151, 'CZ', 'Czech Republic'),
(41977, '78.157.192.0', '78.157.223.255', 1318961152, 1318969343, 'GB', 'United Kingdom'),
(41978, '78.157.224.0', '78.157.255.255', 1318969344, 1318977535, 'RU', 'Russian Federation'),
(41979, '78.158.0.0', '78.158.31.255', 1318977536, 1318985727, 'LT', 'Lithuania'),
(41980, '78.158.32.0', '78.158.91.255', 1318985728, 1319001087, 'GB', 'United Kingdom'),
(41981, '78.158.92.0', '78.158.95.255', 1319001088, 1319002111, 'US', 'United States'),
(41982, '78.158.96.0', '78.158.127.255', 1319002112, 1319010303, 'IE', 'Ireland'),
(41983, '78.158.128.0', '78.158.154.255', 1319010304, 1319017215, 'CY', 'Cyprus'),
(41984, '78.158.155.0', '78.158.155.63', 1319017216, 1319017279, 'DE', 'Germany'),
(41985, '78.158.155.64', '78.158.155.79', 1319017280, 1319017295, 'CY', 'Cyprus'),
(41986, '78.158.155.80', '78.158.155.87', 1319017296, 1319017303, 'DE', 'Germany'),
(41987, '78.158.155.88', '78.158.159.255', 1319017304, 1319018495, 'CY', 'Cyprus'),
(41988, '78.158.160.0', '78.158.191.255', 1319018496, 1319026687, 'IR', 'Iran, Islamic Republic of'),
(41989, '78.158.192.0', '78.158.223.255', 1319026688, 1319034879, 'RU', 'Russian Federation'),
(41990, '78.158.224.0', '78.158.227.255', 1319034880, 1319035903, 'NO', 'Norway'),
(41991, '78.158.228.0', '78.158.231.255', 1319035904, 1319036927, 'DK', 'Denmark'),
(41992, '78.158.232.0', '78.158.239.255', 1319036928, 1319038975, 'SE', 'Sweden'),
(41993, '78.158.240.0', '78.158.255.255', 1319038976, 1319043071, 'NO', 'Norway'),
(41994, '78.159.0.0', '78.159.31.255', 1319043072, 1319051263, 'FR', 'France'),
(41995, '78.159.32.0', '78.159.63.255', 1319051264, 1319059455, 'UA', 'Ukraine'),
(41996, '78.159.64.0', '78.159.95.255', 1319059456, 1319067647, 'PL', 'Poland'),
(41997, '78.159.96.0', '78.159.106.63', 1319067648, 1319070271, 'DE', 'Germany'),
(41998, '78.159.106.64', '78.159.106.127', 1319070272, 1319070335, 'PT', 'Portugal'),
(41999, '78.159.106.128', '78.159.106.255', 1319070336, 1319070463, 'RU', 'Russian Federation'),
(42000, '78.159.107.0', '78.159.108.255', 1319070464, 1319070975, 'DE', 'Germany'),
(42001, '78.159.109.0', '78.159.109.127', 1319070976, 1319071103, 'PL', 'Poland'),
(42002, '78.159.109.128', '78.159.109.255', 1319071104, 1319071231, 'RU', 'Russian Federation'),
(42003, '78.159.110.0', '78.159.110.255', 1319071232, 1319071487, 'PL', 'Poland'),
(42004, '78.159.111.0', '78.159.116.255', 1319071488, 1319073023, 'DE', 'Germany'),
(42005, '78.159.117.0', '78.159.117.255', 1319073024, 1319073279, 'TR', 'Turkey'),
(42006, '78.159.118.0', '78.159.121.255', 1319073280, 1319074303, 'DE', 'Germany'),
(42007, '78.159.122.0', '78.159.122.255', 1319074304, 1319074559, 'HK', 'Hong Kong'),
(42008, '78.159.123.0', '78.159.123.255', 1319074560, 1319074815, 'DE', 'Germany'),
(42009, '78.159.124.0', '78.159.124.127', 1319074816, 1319074943, 'PL', 'Poland'),
(42010, '78.159.124.128', '78.159.124.255', 1319074944, 1319075071, 'RU', 'Russian Federation'),
(42011, '78.159.125.0', '78.159.125.127', 1319075072, 1319075199, 'PL', 'Poland'),
(42012, '78.159.125.128', '78.159.125.255', 1319075200, 1319075327, 'RU', 'Russian Federation'),
(42013, '78.159.126.0', '78.159.126.127', 1319075328, 1319075455, 'DE', 'Germany'),
(42014, '78.159.126.128', '78.159.126.255', 1319075456, 1319075583, 'RU', 'Russian Federation'),
(42015, '78.159.127.0', '78.159.127.127', 1319075584, 1319075711, 'DE', 'Germany'),
(42016, '78.159.127.128', '78.159.127.255', 1319075712, 1319075839, 'RU', 'Russian Federation'),
(42017, '78.159.128.0', '78.159.159.255', 1319075840, 1319084031, 'BG', 'Bulgaria'),
(42018, '78.159.160.0', '78.159.191.255', 1319084032, 1319092223, 'KW', 'Kuwait'),
(42019, '78.159.192.0', '78.159.223.255', 1319092224, 1319100415, 'IT', 'Italy'),
(42020, '78.159.224.0', '78.159.255.255', 1319100416, 1319108607, 'RU', 'Russian Federation'),
(42021, '78.160.0.0', '78.191.255.255', 1319108608, 1321205759, 'TR', 'Turkey'),
(42022, '78.192.0.0', '78.255.255.255', 1321205760, 1325400063, 'FR', 'France'),
(42023, '79.0.0.0', '79.63.255.255', 1325400064, 1329594367, 'IT', 'Italy'),
(42024, '79.64.0.0', '79.79.255.255', 1329594368, 1330642943, 'GB', 'United Kingdom'),
(42025, '79.80.0.0', '79.95.255.255', 1330642944, 1331691519, 'FR', 'France'),
(42026, '79.96.0.0', '79.96.255.255', 1331691520, 1331757055, 'PL', 'Poland'),
(42027, '79.97.0.0', '79.97.255.255', 1331757056, 1331822591, 'IE', 'Ireland'),
(42028, '79.98.0.0', '79.98.7.255', 1331822592, 1331824639, 'IT', 'Italy'),
(42029, '79.98.8.0', '79.98.15.255', 1331824640, 1331826687, 'RU', 'Russian Federation'),
(42030, '79.98.16.0', '79.98.23.127', 1331826688, 1331828607, 'FR', 'France'),
(42031, '79.98.23.128', '79.98.23.135', 1331828608, 1331828615, 'BE', 'Belgium'),
(42032, '79.98.23.136', '79.98.23.255', 1331828616, 1331828735, 'FR', 'France'),
(42033, '79.98.24.0', '79.98.31.255', 1331828736, 1331830783, 'LT', 'Lithuania'),
(42034, '79.98.32.0', '79.98.34.39', 1331830784, 1331831335, 'GB', 'United Kingdom'),
(42035, '79.98.34.40', '79.98.34.47', 1331831336, 1331831343, 'IE', 'Ireland'),
(42036, '79.98.34.48', '79.98.34.55', 1331831344, 1331831351, 'AE', 'United Arab Emirates'),
(42037, '79.98.34.56', '79.98.39.255', 1331831352, 1331832831, 'GB', 'United Kingdom'),
(42038, '79.98.40.0', '79.98.47.255', 1331832832, 1331834879, 'IT', 'Italy'),
(42039, '79.98.48.0', '79.98.55.255', 1331834880, 1331836927, 'BY', 'Belarus'),
(42040, '79.98.56.0', '79.98.63.255', 1331836928, 1331838975, 'FR', 'France'),
(42041, '79.98.64.0', '79.98.71.255', 1331838976, 1331841023, 'ES', 'Spain'),
(42042, '79.98.72.0', '79.98.79.255', 1331841024, 1331843071, 'CZ', 'Czech Republic'),
(42043, '79.98.80.0', '79.98.87.255', 1331843072, 1331845119, 'GB', 'United Kingdom'),
(42044, '79.98.88.0', '79.98.95.255', 1331845120, 1331847167, 'RU', 'Russian Federation'),
(42045, '79.98.96.0', '79.98.103.255', 1331847168, 1331849215, 'FR', 'France'),
(42046, '79.98.104.0', '79.98.111.255', 1331849216, 1331851263, 'RU', 'Russian Federation'),
(42047, '79.98.112.0', '79.98.119.255', 1331851264, 1331853311, 'AL', 'Albania'),
(42048, '79.98.120.0', '79.98.127.255', 1331853312, 1331855359, 'AE', 'United Arab Emirates'),
(42049, '79.98.128.0', '79.98.135.255', 1331855360, 1331857407, 'TR', 'Turkey'),
(42050, '79.98.136.0', '79.98.143.255', 1331857408, 1331859455, 'RU', 'Russian Federation'),
(42051, '79.98.144.0', '79.98.151.255', 1331859456, 1331861503, 'PL', 'Poland'),
(42052, '79.98.152.0', '79.98.159.255', 1331861504, 1331863551, 'CZ', 'Czech Republic'),
(42053, '79.98.160.0', '79.98.167.255', 1331863552, 1331865599, 'GB', 'United Kingdom'),
(42054, '79.98.168.0', '79.98.183.255', 1331865600, 1331869695, 'NL', 'Netherlands'),
(42055, '79.98.184.0', '79.98.191.255', 1331869696, 1331871743, 'SA', 'Saudi Arabia'),
(42056, '79.98.192.0', '79.98.199.255', 1331871744, 1331873791, 'DK', 'Denmark'),
(42057, '79.98.200.0', '79.98.215.255', 1331873792, 1331877887, 'RU', 'Russian Federation'),
(42058, '79.98.216.0', '79.98.223.255', 1331877888, 1331879935, 'ES', 'Spain'),
(42059, '79.98.224.0', '79.98.231.255', 1331879936, 1331881983, 'DE', 'Germany'),
(42060, '79.98.232.0', '79.98.235.255', 1331881984, 1331883007, 'GB', 'United Kingdom'),
(42061, '79.98.236.0', '79.98.236.255', 1331883008, 1331883263, 'SL', 'Sierra Leone'),
(42062, '79.98.237.0', '79.98.247.255', 1331883264, 1331886079, 'GB', 'United Kingdom'),
(42063, '79.98.248.0', '79.98.255.255', 1331886080, 1331888127, 'RU', 'Russian Federation'),
(42064, '79.99.0.0', '79.99.7.255', 1331888128, 1331890175, 'SE', 'Sweden'),
(42065, '79.99.8.0', '79.99.15.255', 1331890176, 1331892223, 'IT', 'Italy'),
(42066, '79.99.16.0', '79.99.23.255', 1331892224, 1331894271, 'RU', 'Russian Federation'),
(42067, '79.99.24.0', '79.99.31.255', 1331894272, 1331896319, 'NL', 'Netherlands'),
(42068, '79.99.32.0', '79.99.39.255', 1331896320, 1331898367, 'FR', 'France'),
(42069, '79.99.40.0', '79.99.47.255', 1331898368, 1331900415, 'GB', 'United Kingdom'),
(42070, '79.99.48.0', '79.99.55.255', 1331900416, 1331902463, 'RU', 'Russian Federation'),
(42071, '79.99.56.0', '79.99.63.255', 1331902464, 1331904511, 'MK', 'Macedonia'),
(42072, '79.99.64.0', '79.99.79.255', 1331904512, 1331908607, 'GB', 'United Kingdom'),
(42073, '79.99.80.0', '79.99.87.255', 1331908608, 1331910655, 'DE', 'Germany'),
(42074, '79.99.88.0', '79.99.95.255', 1331910656, 1331912703, 'BH', 'Bahrain'),
(42075, '79.99.96.0', '79.99.103.255', 1331912704, 1331914751, 'DE', 'Germany'),
(42076, '79.99.104.0', '79.99.111.255', 1331914752, 1331916799, 'RU', 'Russian Federation'),
(42077, '79.99.112.0', '79.99.119.255', 1331916800, 1331918847, 'IT', 'Italy'),
(42078, '79.99.120.0', '79.99.127.255', 1331918848, 1331920895, 'BE', 'Belgium'),
(42079, '79.99.128.0', '79.99.135.63', 1331920896, 1331922751, 'NL', 'Netherlands'),
(42080, '79.99.135.64', '79.99.135.127', 1331922752, 1331922815, 'BE', 'Belgium'),
(42081, '79.99.135.128', '79.99.135.255', 1331922816, 1331922943, 'NL', 'Netherlands'),
(42082, '79.99.136.0', '79.99.143.255', 1331922944, 1331924991, 'DE', 'Germany'),
(42083, '79.99.144.0', '79.99.151.255', 1331924992, 1331927039, 'GB', 'United Kingdom'),
(42084, '79.99.152.0', '79.99.159.255', 1331927040, 1331929087, 'FI', 'Finland'),
(42085, '79.99.160.0', '79.99.167.255', 1331929088, 1331931135, 'FR', 'France'),
(42086, '79.99.168.0', '79.99.175.255', 1331931136, 1331933183, 'SE', 'Sweden'),
(42087, '79.99.176.0', '79.99.183.255', 1331933184, 1331935231, 'TR', 'Turkey'),
(42088, '79.99.184.0', '79.99.191.255', 1331935232, 1331937279, 'NL', 'Netherlands'),
(42089, '79.99.192.0', '79.99.192.31', 1331937280, 1331937311, 'GB', 'United Kingdom'),
(42090, '79.99.192.32', '79.99.192.39', 1331937312, 1331937319, 'IQ', 'Iraq'),
(42091, '79.99.192.40', '79.99.192.191', 1331937320, 1331937471, 'GB', 'United Kingdom'),
(42092, '79.99.192.192', '79.99.192.239', 1331937472, 1331937519, 'NG', 'Nigeria'),
(42093, '79.99.192.240', '79.99.192.255', 1331937520, 1331937535, 'LB', 'Lebanon'),
(42094, '79.99.193.0', '79.99.193.31', 1331937536, 1331937567, 'SM', 'San Marino'),
(42095, '79.99.193.32', '79.99.193.39', 1331937568, 1331937575, 'NG', 'Nigeria'),
(42096, '79.99.193.40', '79.99.193.47', 1331937576, 1331937583, 'GB', 'United Kingdom'),
(42097, '79.99.193.48', '79.99.193.63', 1331937584, 1331937599, 'ZA', 'South Africa'),
(42098, '79.99.193.64', '79.99.193.127', 1331937600, 1331937663, 'GB', 'United Kingdom'),
(42099, '79.99.193.128', '79.99.193.191', 1331937664, 1331937727, 'DE', 'Germany'),
(42100, '79.99.193.192', '79.99.195.63', 1331937728, 1331938111, 'GB', 'United Kingdom'),
(42101, '79.99.195.64', '79.99.195.79', 1331938112, 1331938127, 'AE', 'United Arab Emirates'),
(42102, '79.99.195.80', '79.99.195.87', 1331938128, 1331938135, 'SA', 'Saudi Arabia'),
(42103, '79.99.195.88', '79.99.195.95', 1331938136, 1331938143, 'AE', 'United Arab Emirates'),
(42104, '79.99.195.96', '79.99.195.103', 1331938144, 1331938151, 'GB', 'United Kingdom'),
(42105, '79.99.195.104', '79.99.195.111', 1331938152, 1331938159, 'PL', 'Poland'),
(42106, '79.99.195.112', '79.99.195.119', 1331938160, 1331938167, 'GB', 'United Kingdom'),
(42107, '79.99.195.120', '79.99.195.127', 1331938168, 1331938175, 'KW', 'Kuwait'),
(42108, '79.99.195.128', '79.99.195.143', 1331938176, 1331938191, 'GB', 'United Kingdom'),
(42109, '79.99.195.144', '79.99.195.159', 1331938192, 1331938207, 'AE', 'United Arab Emirates'),
(42110, '79.99.195.160', '79.99.195.223', 1331938208, 1331938271, 'GB', 'United Kingdom'),
(42111, '79.99.195.224', '79.99.195.255', 1331938272, 1331938303, 'QA', 'Qatar'),
(42112, '79.99.196.0', '79.99.196.15', 1331938304, 1331938319, 'GB', 'United Kingdom'),
(42113, '79.99.196.16', '79.99.196.31', 1331938320, 1331938335, 'AE', 'United Arab Emirates'),
(42114, '79.99.196.32', '79.99.196.71', 1331938336, 1331938375, 'GB', 'United Kingdom'),
(42115, '79.99.196.72', '79.99.196.79', 1331938376, 1331938383, 'AE', 'United Arab Emirates'),
(42116, '79.99.196.80', '79.99.196.95', 1331938384, 1331938399, 'IE', 'Ireland'),
(42117, '79.99.196.96', '79.99.196.127', 1331938400, 1331938431, 'AE', 'United Arab Emirates'),
(42118, '79.99.196.128', '79.99.197.255', 1331938432, 1331938815, 'GB', 'United Kingdom'),
(42119, '79.99.198.0', '79.99.198.7', 1331938816, 1331938823, 'NG', 'Nigeria'),
(42120, '79.99.198.8', '79.99.198.15', 1331938824, 1331938831, 'US', 'United States'),
(42121, '79.99.198.16', '79.99.198.23', 1331938832, 1331938839, 'NG', 'Nigeria'),
(42122, '79.99.198.24', '79.99.198.31', 1331938840, 1331938847, 'IE', 'Ireland'),
(42123, '79.99.198.32', '79.99.198.55', 1331938848, 1331938871, 'GB', 'United Kingdom'),
(42124, '79.99.198.56', '79.99.198.79', 1331938872, 1331938895, 'NG', 'Nigeria'),
(42125, '79.99.198.80', '79.99.198.95', 1331938896, 1331938911, 'GB', 'United Kingdom'),
(42126, '79.99.198.96', '79.99.198.111', 1331938912, 1331938927, 'NG', 'Nigeria'),
(42127, '79.99.198.112', '79.99.198.119', 1331938928, 1331938935, 'RU', 'Russian Federation'),
(42128, '79.99.198.120', '79.99.198.127', 1331938936, 1331938943, 'NG', 'Nigeria'),
(42129, '79.99.198.128', '79.99.198.151', 1331938944, 1331938967, 'US', 'United States'),
(42130, '79.99.198.152', '79.99.198.167', 1331938968, 1331938983, 'GB', 'United Kingdom'),
(42131, '79.99.198.168', '79.99.198.183', 1331938984, 1331938999, 'NG', 'Nigeria'),
(42132, '79.99.198.184', '79.99.198.191', 1331939000, 1331939007, 'QA', 'Qatar'),
(42133, '79.99.198.192', '79.99.198.207', 1331939008, 1331939023, 'GB', 'United Kingdom'),
(42134, '79.99.198.208', '79.99.198.215', 1331939024, 1331939031, 'NG', 'Nigeria'),
(42135, '79.99.198.216', '79.99.199.255', 1331939032, 1331939327, 'GB', 'United Kingdom'),
(42136, '79.99.200.0', '79.99.207.255', 1331939328, 1331941375, 'BE', 'Belgium'),
(42137, '79.99.208.0', '79.99.215.255', 1331941376, 1331943423, 'ES', 'Spain'),
(42138, '79.99.216.0', '79.99.223.255', 1331943424, 1331945471, 'RU', 'Russian Federation'),
(42139, '79.99.224.0', '79.99.231.255', 1331945472, 1331947519, 'SE', 'Sweden'),
(42140, '79.99.232.0', '79.99.235.255', 1331947520, 1331948543, 'CH', 'Switzerland'),
(42141, '79.99.236.0', '79.99.236.3', 1331948544, 1331948547, 'NL', 'Netherlands'),
(42142, '79.99.236.4', '79.99.236.7', 1331948548, 1331948551, 'CH', 'Switzerland'),
(42143, '79.99.236.8', '79.99.236.15', 1331948552, 1331948559, 'FR', 'France'),
(42144, '79.99.236.16', '79.99.236.23', 1331948560, 1331948567, 'GB', 'United Kingdom'),
(42145, '79.99.236.24', '79.99.236.31', 1331948568, 1331948575, 'DE', 'Germany'),
(42146, '79.99.236.32', '79.99.236.39', 1331948576, 1331948583, 'CZ', 'Czech Republic'),
(42147, '79.99.236.40', '79.99.236.47', 1331948584, 1331948591, 'CY', 'Cyprus'),
(42148, '79.99.236.48', '79.99.236.63', 1331948592, 1331948607, 'BG', 'Bulgaria'),
(42149, '79.99.236.64', '79.99.236.71', 1331948608, 1331948615, 'US', 'United States'),
(42150, '79.99.236.72', '79.99.239.255', 1331948616, 1331949567, 'CH', 'Switzerland'),
(42151, '79.99.240.0', '79.99.247.255', 1331949568, 1331951615, 'RU', 'Russian Federation'),
(42152, '79.99.248.0', '79.99.255.255', 1331951616, 1331953663, 'GE', 'Georgia'),
(42153, '79.100.0.0', '79.100.255.255', 1331953664, 1332019199, 'BG', 'Bulgaria'),
(42154, '79.101.0.0', '79.101.255.255', 1332019200, 1332084735, 'RS', 'Serbia'),
(42155, '79.102.0.0', '79.102.255.255', 1332084736, 1332150271, 'SE', 'Sweden'),
(42156, '79.103.0.0', '79.103.255.255', 1332150272, 1332215807, 'GR', 'Greece'),
(42157, '79.104.0.0', '79.105.255.255', 1332215808, 1332346879, 'RU', 'Russian Federation'),
(42158, '79.106.0.0', '79.106.255.255', 1332346880, 1332412415, 'AL', 'Albania'),
(42159, '79.107.0.0', '79.107.255.255', 1332412416, 1332477951, 'GR', 'Greece'),
(42160, '79.108.0.0', '79.109.255.255', 1332477952, 1332609023, 'ES', 'Spain'),
(42161, '79.110.0.0', '79.110.15.255', 1332609024, 1332613119, 'PL', 'Poland'),
(42162, '79.110.16.0', '79.110.31.255', 1332613120, 1332617215, 'UA', 'Ukraine'),
(42163, '79.110.32.0', '79.110.47.255', 1332617216, 1332621311, 'CZ', 'Czech Republic'),
(42164, '79.110.48.0', '79.110.63.255', 1332621312, 1332625407, 'UA', 'Ukraine'),
(42165, '79.110.64.0', '79.110.79.255', 1332625408, 1332629503, 'RU', 'Russian Federation'),
(42166, '79.110.80.0', '79.110.95.255', 1332629504, 1332633599, 'DE', 'Germany'),
(42167, '79.110.96.0', '79.110.111.255', 1332633600, 1332637695, 'UA', 'Ukraine'),
(42168, '79.110.112.0', '79.110.127.255', 1332637696, 1332641791, 'BG', 'Bulgaria'),
(42169, '79.110.128.0', '79.110.143.255', 1332641792, 1332645887, 'UA', 'Ukraine'),
(42170, '79.110.144.0', '79.110.159.255', 1332645888, 1332649983, 'RS', 'Serbia'),
(42171, '79.110.160.0', '79.110.191.255', 1332649984, 1332658175, 'UA', 'Ukraine'),
(42172, '79.110.192.0', '79.110.207.255', 1332658176, 1332662271, 'PL', 'Poland'),
(42173, '79.110.208.0', '79.110.239.255', 1332662272, 1332670463, 'UA', 'Ukraine'),
(42174, '79.110.240.0', '79.111.255.255', 1332670464, 1332740095, 'RU', 'Russian Federation'),
(42175, '79.112.0.0', '79.119.255.255', 1332740096, 1333264383, 'RO', 'Romania'),
(42176, '79.120.0.0', '79.120.127.255', 1333264384, 1333297151, 'RU', 'Russian Federation'),
(42177, '79.120.128.0', '79.121.127.255', 1333297152, 1333362687, 'HU', 'Hungary'),
(42178, '79.121.128.0', '79.121.255.255', 1333362688, 1333395455, 'GB', 'United Kingdom'),
(42179, '79.122.0.0', '79.122.127.255', 1333395456, 1333428223, 'HU', 'Hungary'),
(42180, '79.122.128.0', '79.122.255.255', 1333428224, 1333460991, 'RU', 'Russian Federation'),
(42181, '79.123.0.0', '79.123.127.255', 1333460992, 1333493759, 'GB', 'United Kingdom'),
(42182, '79.123.128.0', '79.123.255.255', 1333493760, 1333526527, 'TR', 'Turkey'),
(42183, '79.124.0.0', '79.124.95.255', 1333526528, 1333551103, 'BG', 'Bulgaria'),
(42184, '79.124.96.0', '79.124.127.255', 1333551104, 1333559295, 'PL', 'Poland'),
(42185, '79.124.128.0', '79.124.255.255', 1333559296, 1333592063, 'UA', 'Ukraine'),
(42186, '79.125.0.0', '79.125.127.255', 1333592064, 1333624831, 'IE', 'Ireland'),
(42187, '79.125.128.0', '79.125.255.255', 1333624832, 1333657599, 'MK', 'Macedonia'),
(42188, '79.126.0.0', '79.126.127.255', 1333657600, 1333690367, 'RU', 'Russian Federation'),
(42189, '79.126.128.0', '79.126.255.255', 1333690368, 1333723135, 'MK', 'Macedonia'),
(42190, '79.127.0.0', '79.127.127.255', 1333723136, 1333755903, 'IR', 'Iran, Islamic Republic of'),
(42191, '79.127.128.0', '79.127.255.255', 1333755904, 1333788671, 'CZ', 'Czech Republic'),
(42192, '79.128.0.0', '79.131.255.255', 1333788672, 1334050815, 'GR', 'Greece'),
(42193, '79.132.0.0', '79.132.31.255', 1334050816, 1334059007, 'BG', 'Bulgaria'),
(42194, '79.132.32.0', '79.132.63.255', 1334059008, 1334067199, 'FR', 'France'),
(42195, '79.132.64.0', '79.132.95.255', 1334067200, 1334075391, 'LV', 'Latvia'),
(42196, '79.132.96.0', '79.132.127.255', 1334075392, 1334083583, 'RU', 'Russian Federation'),
(42197, '79.132.128.0', '79.132.132.19', 1334083584, 1334084627, 'DE', 'Germany'),
(42198, '79.132.132.20', '79.132.132.23', 1334084628, 1334084631, 'NL', 'Netherlands'),
(42199, '79.132.132.24', '79.132.159.255', 1334084632, 1334091775, 'DE', 'Germany'),
(42200, '79.132.160.0', '79.132.191.255', 1334091776, 1334099967, 'LT', 'Lithuania'),
(42201, '79.132.192.0', '79.132.223.255', 1334099968, 1334108159, 'IR', 'Iran, Islamic Republic of'),
(42202, '79.132.224.0', '79.132.244.247', 1334108160, 1334113527, 'BE', 'Belgium'),
(42203, '79.132.244.248', '79.132.244.255', 1334113528, 1334113535, 'NL', 'Netherlands'),
(42204, '79.132.245.0', '79.132.255.255', 1334113536, 1334116351, 'BE', 'Belgium'),
(42205, '79.133.0.0', '79.133.31.255', 1334116352, 1334124543, 'AX', 'Aland Islands'),
(42206, '79.133.32.0', '79.133.63.255', 1334124544, 1334132735, 'DE', 'Germany'),
(42207, '79.133.64.0', '79.133.191.255', 1334132736, 1334165503, 'RU', 'Russian Federation'),
(42208, '79.133.192.0', '79.133.223.255', 1334165504, 1334173695, 'PL', 'Poland'),
(42209, '79.133.224.0', '79.133.255.255', 1334173696, 1334181887, 'LT', 'Lithuania'),
(42210, '79.134.0.0', '79.134.31.255', 1334181888, 1334190079, 'RU', 'Russian Federation'),
(42211, '79.134.32.0', '79.134.63.255', 1334190080, 1334198271, 'BG', 'Bulgaria'),
(42212, '79.134.64.0', '79.134.95.255', 1334198272, 1334206463, 'RU', 'Russian Federation'),
(42213, '79.134.96.0', '79.134.127.255', 1334206464, 1334214655, 'FI', 'Finland'),
(42214, '79.134.128.0', '79.134.159.255', 1334214656, 1334222847, 'JO', 'Jordan'),
(42215, '79.134.160.0', '79.134.191.255', 1334222848, 1334231039, 'BG', 'Bulgaria'),
(42216, '79.134.192.0', '79.134.223.255', 1334231040, 1334239231, 'EE', 'Estonia'),
(42217, '79.134.224.0', '79.134.255.255', 1334239232, 1334247423, 'IS', 'Iceland'),
(42218, '79.135.0.0', '79.135.31.255', 1334247424, 1334255615, 'NO', 'Norway'),
(42219, '79.135.32.0', '79.135.63.255', 1334255616, 1334263807, 'IT', 'Italy'),
(42220, '79.135.64.0', '79.135.95.255', 1334263808, 1334271999, 'RU', 'Russian Federation'),
(42221, '79.135.96.0', '79.135.127.255', 1334272000, 1334280191, 'GB', 'United Kingdom'),
(42222, '79.135.128.0', '79.135.159.255', 1334280192, 1334288383, 'LV', 'Latvia'),
(42223, '79.135.160.0', '79.135.191.255', 1334288384, 1334296575, 'PL', 'Poland'),
(42224, '79.135.192.0', '79.135.223.255', 1334296576, 1334304767, 'UA', 'Ukraine'),
(42225, '79.135.224.0', '79.135.255.255', 1334304768, 1334312959, 'RU', 'Russian Federation'),
(42226, '79.136.0.0', '79.136.11.255', 1334312960, 1334316031, 'SE', 'Sweden'),
(42227, '79.136.12.0', '79.136.12.255', 1334316032, 1334316287, 'NO', 'Norway'),
(42228, '79.136.13.0', '79.136.117.135', 1334316288, 1334343047, 'SE', 'Sweden'),
(42229, '79.136.117.136', '79.136.117.143', 1334343048, 1334343055, 'NO', 'Norway'),
(42230, '79.136.117.144', '79.136.127.255', 1334343056, 1334345727, 'SE', 'Sweden'),
(42231, '79.136.128.0', '79.136.255.255', 1334345728, 1334378495, 'RU', 'Russian Federation'),
(42232, '79.137.0.0', '79.137.127.255', 1334378496, 1334411263, 'IT', 'Italy'),
(42233, '79.137.128.0', '79.137.255.255', 1334411264, 1334444031, 'RU', 'Russian Federation'),
(42234, '79.138.0.0', '79.138.135.255', 1334444032, 1334478847, 'SE', 'Sweden'),
(42235, '79.138.136.0', '79.138.143.255', 1334478848, 1334480895, 'DK', 'Denmark'),
(42236, '79.138.144.0', '79.138.159.255', 1334480896, 1334484991, 'SE', 'Sweden'),
(42237, '79.138.160.0', '79.138.175.255', 1334484992, 1334489087, 'DK', 'Denmark'),
(42238, '79.138.176.0', '79.138.223.255', 1334489088, 1334501375, 'SE', 'Sweden'),
(42239, '79.138.224.0', '79.138.255.255', 1334501376, 1334509567, 'DK', 'Denmark'),
(42240, '79.139.0.0', '79.139.127.255', 1334509568, 1334542335, 'PL', 'Poland'),
(42241, '79.139.128.0', '79.139.255.255', 1334542336, 1334575103, 'RU', 'Russian Federation'),
(42242, '79.140.0.0', '79.140.15.255', 1334575104, 1334579199, 'UA', 'Ukraine'),
(42243, '79.140.16.0', '79.140.31.255', 1334579200, 1334583295, 'RU', 'Russian Federation'),
(42244, '79.140.32.0', '79.140.32.239', 1334583296, 1334583535, 'DE', 'Germany'),
(42245, '79.140.32.240', '79.140.32.247', 1334583536, 1334583543, 'US', 'United States'),
(42246, '79.140.32.248', '79.140.33.255', 1334583544, 1334583807, 'DE', 'Germany'),
(42247, '79.140.34.0', '79.140.34.255', 1334583808, 1334584063, 'CH', 'Switzerland'),
(42248, '79.140.35.0', '79.140.35.191', 1334584064, 1334584255, 'DE', 'Germany'),
(42249, '79.140.35.192', '79.140.35.223', 1334584256, 1334584287, 'AT', 'Austria'),
(42250, '79.140.35.224', '79.140.37.183', 1334584288, 1334584759, 'DE', 'Germany'),
(42251, '79.140.37.184', '79.140.37.191', 1334584760, 1334584767, 'PL', 'Poland'),
(42252, '79.140.37.192', '79.140.38.167', 1334584768, 1334584999, 'DE', 'Germany'),
(42253, '79.140.38.168', '79.140.38.175', 1334585000, 1334585007, 'US', 'United States'),
(42254, '79.140.38.176', '79.140.39.23', 1334585008, 1334585111, 'DE', 'Germany'),
(42255, '79.140.39.24', '79.140.39.31', 1334585112, 1334585119, 'AT', 'Austria'),
(42256, '79.140.39.32', '79.140.40.127', 1334585120, 1334585471, 'DE', 'Germany'),
(42257, '79.140.40.128', '79.140.40.159', 1334585472, 1334585503, 'AT', 'Austria'),
(42258, '79.140.40.160', '79.140.63.255', 1334585504, 1334591487, 'DE', 'Germany'),
(42259, '79.140.64.0', '79.140.79.255', 1334591488, 1334595583, 'RU', 'Russian Federation'),
(42260, '79.140.80.0', '79.140.82.255', 1334595584, 1334596351, 'IT', 'Italy'),
(42261, '79.140.83.0', '79.140.83.255', 1334596352, 1334596607, 'GR', 'Greece'),
(42262, '79.140.84.0', '79.140.88.255', 1334596608, 1334597887, 'IT', 'Italy'),
(42263, '79.140.89.0', '79.140.89.255', 1334597888, 1334598143, 'GR', 'Greece'),
(42264, '79.140.90.0', '79.140.90.15', 1334598144, 1334598159, 'SK', 'Slovakia'),
(42265, '79.140.90.16', '79.140.90.23', 1334598160, 1334598167, 'CZ', 'Czech Republic'),
(42266, '79.140.90.24', '79.140.90.127', 1334598168, 1334598271, 'SK', 'Slovakia'),
(42267, '79.140.90.128', '79.140.90.255', 1334598272, 1334598399, 'CZ', 'Czech Republic'),
(42268, '79.140.91.0', '79.140.91.63', 1334598400, 1334598463, 'GR', 'Greece'),
(42269, '79.140.91.64', '79.140.91.127', 1334598464, 1334598527, 'IT', 'Italy'),
(42270, '79.140.91.128', '79.140.91.255', 1334598528, 1334598655, 'GR', 'Greece'),
(42271, '79.140.92.0', '79.140.93.127', 1334598656, 1334599039, 'IT', 'Italy'),
(42272, '79.140.93.128', '79.140.93.255', 1334599040, 1334599167, 'FR', 'France'),
(42273, '79.140.94.0', '79.140.95.255', 1334599168, 1334599679, 'IT', 'Italy'),
(42274, '79.140.96.0', '79.140.111.255', 1334599680, 1334603775, 'RU', 'Russian Federation'),
(42275, '79.140.112.0', '79.140.127.255', 1334603776, 1334607871, 'DE', 'Germany'),
(42276, '79.140.128.0', '79.140.136.74', 1334607872, 1334609994, 'IE', 'Ireland'),
(42277, '79.140.136.75', '79.140.136.75', 1334609995, 1334609995, 'GB', 'United Kingdom'),
(42278, '79.140.136.76', '79.140.136.100', 1334609996, 1334610020, 'IE', 'Ireland'),
(42279, '79.140.136.101', '79.140.136.101', 1334610021, 1334610021, 'GB', 'United Kingdom'),
(42280, '79.140.136.102', '79.140.143.255', 1334610022, 1334611967, 'IE', 'Ireland'),
(42281, '79.140.144.0', '79.140.159.255', 1334611968, 1334616063, 'ME', 'Montenegro'),
(42282, '79.140.160.0', '79.140.175.255', 1334616064, 1334620159, 'MD', 'Moldova, Republic of'),
(42283, '79.140.176.0', '79.140.191.255', 1334620160, 1334624255, 'DE', 'Germany'),
(42284, '79.140.192.0', '79.140.196.255', 1334624256, 1334625535, 'GB', 'United Kingdom'),
(42285, '79.140.197.0', '79.140.197.255', 1334625536, 1334625791, 'AP', 'Asia/Pacific Region'),
(42286, '79.140.198.0', '79.140.207.255', 1334625792, 1334628351, 'GB', 'United Kingdom'),
(42287, '79.140.208.0', '79.140.223.255', 1334628352, 1334632447, 'IE', 'Ireland'),
(42288, '79.140.224.0', '79.140.239.255', 1334632448, 1334636543, 'KZ', 'Kazakhstan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(42289, '79.140.240.0', '79.140.255.255', 1334636544, 1334640639, 'RU', 'Russian Federation'),
(42290, '79.141.0.0', '79.141.15.255', 1334640640, 1334644735, 'FR', 'France'),
(42291, '79.141.16.0', '79.141.16.255', 1334644736, 1334644991, 'LU', 'Luxembourg'),
(42292, '79.141.17.0', '79.141.17.230', 1334644992, 1334645222, 'A2', 'Satellite Provider'),
(42293, '79.141.17.231', '79.141.17.231', 1334645223, 1334645223, 'US', 'United States'),
(42294, '79.141.17.232', '79.141.17.234', 1334645224, 1334645226, 'A2', 'Satellite Provider'),
(42295, '79.141.17.235', '79.141.17.235', 1334645227, 1334645227, 'US', 'United States'),
(42296, '79.141.17.236', '79.141.17.255', 1334645228, 1334645247, 'A2', 'Satellite Provider'),
(42297, '79.141.18.0', '79.141.28.128', 1334645248, 1334647936, 'IQ', 'Iraq'),
(42298, '79.141.28.129', '79.141.28.255', 1334647937, 1334648063, 'DE', 'Germany'),
(42299, '79.141.29.0', '79.141.29.255', 1334648064, 1334648319, 'IQ', 'Iraq'),
(42300, '79.141.30.0', '79.141.30.255', 1334648320, 1334648575, 'DE', 'Germany'),
(42301, '79.141.31.0', '79.141.31.255', 1334648576, 1334648831, 'A2', 'Satellite Provider'),
(42302, '79.141.32.0', '79.141.33.255', 1334648832, 1334649343, 'GB', 'United Kingdom'),
(42303, '79.141.34.0', '79.141.34.31', 1334649344, 1334649375, 'DK', 'Denmark'),
(42304, '79.141.34.32', '79.141.42.255', 1334649376, 1334651647, 'GB', 'United Kingdom'),
(42305, '79.141.43.0', '79.141.43.255', 1334651648, 1334651903, 'FR', 'France'),
(42306, '79.141.44.0', '79.141.44.255', 1334651904, 1334652159, 'DE', 'Germany'),
(42307, '79.141.45.0', '79.141.46.127', 1334652160, 1334652543, 'GB', 'United Kingdom'),
(42308, '79.141.46.128', '79.141.46.143', 1334652544, 1334652559, 'NL', 'Netherlands'),
(42309, '79.141.46.144', '79.141.47.191', 1334652560, 1334652863, 'GB', 'United Kingdom'),
(42310, '79.141.47.192', '79.141.47.223', 1334652864, 1334652895, 'FR', 'France'),
(42311, '79.141.47.224', '79.141.47.255', 1334652896, 1334652927, 'GB', 'United Kingdom'),
(42312, '79.141.48.0', '79.141.79.255', 1334652928, 1334661119, 'RU', 'Russian Federation'),
(42313, '79.141.80.0', '79.141.95.255', 1334661120, 1334665215, 'CH', 'Switzerland'),
(42314, '79.141.96.0', '79.141.111.255', 1334665216, 1334669311, 'NO', 'Norway'),
(42315, '79.141.112.0', '79.141.127.255', 1334669312, 1334673407, 'MK', 'Macedonia'),
(42316, '79.141.128.0', '79.141.143.255', 1334673408, 1334677503, 'GB', 'United Kingdom'),
(42317, '79.141.144.0', '79.141.159.255', 1334677504, 1334681599, 'FI', 'Finland'),
(42318, '79.141.160.0', '79.141.160.255', 1334681600, 1334681855, 'PL', 'Poland'),
(42319, '79.141.161.0', '79.141.161.255', 1334681856, 1334682111, 'GB', 'United Kingdom'),
(42320, '79.141.162.0', '79.141.162.255', 1334682112, 1334682367, 'IE', 'Ireland'),
(42321, '79.141.163.0', '79.141.163.255', 1334682368, 1334682623, 'FR', 'France'),
(42322, '79.141.164.0', '79.141.164.255', 1334682624, 1334682879, 'NO', 'Norway'),
(42323, '79.141.165.0', '79.141.165.255', 1334682880, 1334683135, 'DK', 'Denmark'),
(42324, '79.141.166.0', '79.141.166.255', 1334683136, 1334683391, 'CZ', 'Czech Republic'),
(42325, '79.141.167.0', '79.141.167.255', 1334683392, 1334683647, 'CH', 'Switzerland'),
(42326, '79.141.168.0', '79.141.169.255', 1334683648, 1334684159, 'DE', 'Germany'),
(42327, '79.141.170.0', '79.141.170.255', 1334684160, 1334684415, 'SE', 'Sweden'),
(42328, '79.141.171.0', '79.141.171.255', 1334684416, 1334684671, 'DE', 'Germany'),
(42329, '79.141.172.0', '79.141.172.255', 1334684672, 1334684927, 'FI', 'Finland'),
(42330, '79.141.173.0', '79.141.173.255', 1334684928, 1334685183, 'NL', 'Netherlands'),
(42331, '79.141.174.0', '79.141.175.255', 1334685184, 1334685695, 'DE', 'Germany'),
(42332, '79.141.176.0', '79.141.191.255', 1334685696, 1334689791, 'IT', 'Italy'),
(42333, '79.141.192.0', '79.141.207.255', 1334689792, 1334693887, 'FR', 'France'),
(42334, '79.141.208.0', '79.141.239.255', 1334693888, 1334702079, 'RU', 'Russian Federation'),
(42335, '79.141.240.0', '79.141.255.255', 1334702080, 1334706175, 'CZ', 'Czech Republic'),
(42336, '79.142.0.0', '79.142.0.255', 1334706176, 1334706431, 'BA', 'Bosnia and Herzegovina'),
(42337, '79.142.1.0', '79.142.1.255', 1334706432, 1334706687, 'AT', 'Austria'),
(42338, '79.142.2.0', '79.142.15.255', 1334706688, 1334710271, 'BA', 'Bosnia and Herzegovina'),
(42339, '79.142.16.0', '79.142.31.255', 1334710272, 1334714367, 'RU', 'Russian Federation'),
(42340, '79.142.32.0', '79.142.47.255', 1334714368, 1334718463, 'DE', 'Germany'),
(42341, '79.142.48.0', '79.142.63.255', 1334718464, 1334722559, 'KZ', 'Kazakhstan'),
(42342, '79.142.64.0', '79.142.75.255', 1334722560, 1334725631, 'NL', 'Netherlands'),
(42343, '79.142.76.0', '79.142.77.255', 1334725632, 1334726143, 'SE', 'Sweden'),
(42344, '79.142.78.0', '79.142.79.255', 1334726144, 1334726655, 'LU', 'Luxembourg'),
(42345, '79.142.80.0', '79.142.92.255', 1334726656, 1334729983, 'RU', 'Russian Federation'),
(42346, '79.142.93.0', '79.142.93.43', 1334729984, 1334730027, 'KZ', 'Kazakhstan'),
(42347, '79.142.93.44', '79.142.93.47', 1334730028, 1334730031, 'RU', 'Russian Federation'),
(42348, '79.142.93.48', '79.142.93.59', 1334730032, 1334730043, 'KZ', 'Kazakhstan'),
(42349, '79.142.93.60', '79.142.93.63', 1334730044, 1334730047, 'RU', 'Russian Federation'),
(42350, '79.142.93.64', '79.142.93.71', 1334730048, 1334730055, 'KZ', 'Kazakhstan'),
(42351, '79.142.93.72', '79.142.93.79', 1334730056, 1334730063, 'RU', 'Russian Federation'),
(42352, '79.142.93.80', '79.142.93.175', 1334730064, 1334730159, 'KZ', 'Kazakhstan'),
(42353, '79.142.93.176', '79.142.93.191', 1334730160, 1334730175, 'RU', 'Russian Federation'),
(42354, '79.142.93.192', '79.142.93.215', 1334730176, 1334730199, 'KZ', 'Kazakhstan'),
(42355, '79.142.93.216', '79.142.93.223', 1334730200, 1334730207, 'RU', 'Russian Federation'),
(42356, '79.142.93.224', '79.142.93.231', 1334730208, 1334730215, 'KZ', 'Kazakhstan'),
(42357, '79.142.93.232', '79.142.93.239', 1334730216, 1334730223, 'RU', 'Russian Federation'),
(42358, '79.142.93.240', '79.142.93.251', 1334730224, 1334730235, 'KZ', 'Kazakhstan'),
(42359, '79.142.93.252', '79.142.93.255', 1334730236, 1334730239, 'RU', 'Russian Federation'),
(42360, '79.142.94.0', '79.142.94.191', 1334730240, 1334730431, 'KZ', 'Kazakhstan'),
(42361, '79.142.94.192', '79.142.94.199', 1334730432, 1334730439, 'RU', 'Russian Federation'),
(42362, '79.142.94.200', '79.142.94.203', 1334730440, 1334730443, 'KZ', 'Kazakhstan'),
(42363, '79.142.94.204', '79.142.94.207', 1334730444, 1334730447, 'RU', 'Russian Federation'),
(42364, '79.142.94.208', '79.142.94.223', 1334730448, 1334730463, 'KZ', 'Kazakhstan'),
(42365, '79.142.94.224', '79.142.94.239', 1334730464, 1334730479, 'RU', 'Russian Federation'),
(42366, '79.142.94.240', '79.142.94.247', 1334730480, 1334730487, 'KZ', 'Kazakhstan'),
(42367, '79.142.94.248', '79.142.94.255', 1334730488, 1334730495, 'RU', 'Russian Federation'),
(42368, '79.142.95.0', '79.142.95.3', 1334730496, 1334730499, 'KZ', 'Kazakhstan'),
(42369, '79.142.95.4', '79.142.95.7', 1334730500, 1334730503, 'RU', 'Russian Federation'),
(42370, '79.142.95.8', '79.142.95.43', 1334730504, 1334730539, 'KZ', 'Kazakhstan'),
(42371, '79.142.95.44', '79.142.95.47', 1334730540, 1334730543, 'RU', 'Russian Federation'),
(42372, '79.142.95.48', '79.142.95.83', 1334730544, 1334730579, 'KZ', 'Kazakhstan'),
(42373, '79.142.95.84', '79.142.95.87', 1334730580, 1334730583, 'RU', 'Russian Federation'),
(42374, '79.142.95.88', '79.142.95.171', 1334730584, 1334730667, 'KZ', 'Kazakhstan'),
(42375, '79.142.95.172', '79.142.95.175', 1334730668, 1334730671, 'RU', 'Russian Federation'),
(42376, '79.142.95.176', '79.142.95.247', 1334730672, 1334730743, 'KZ', 'Kazakhstan'),
(42377, '79.142.95.248', '79.142.111.255', 1334730744, 1334734847, 'RU', 'Russian Federation'),
(42378, '79.142.112.0', '79.142.127.255', 1334734848, 1334738943, 'LT', 'Lithuania'),
(42379, '79.142.128.0', '79.142.143.255', 1334738944, 1334743039, 'CH', 'Switzerland'),
(42380, '79.142.144.0', '79.142.159.255', 1334743040, 1334747135, 'CZ', 'Czech Republic'),
(42381, '79.142.160.0', '79.142.175.255', 1334747136, 1334751231, 'RU', 'Russian Federation'),
(42382, '79.142.176.0', '79.142.191.255', 1334751232, 1334755327, 'BH', 'Bahrain'),
(42383, '79.142.192.0', '79.142.207.255', 1334755328, 1334759423, 'UA', 'Ukraine'),
(42384, '79.142.208.0', '79.142.223.255', 1334759424, 1334763519, 'SE', 'Sweden'),
(42385, '79.142.224.0', '79.142.239.255', 1334763520, 1334767615, 'DK', 'Denmark'),
(42386, '79.142.240.0', '79.142.255.255', 1334767616, 1334771711, 'SE', 'Sweden'),
(42387, '79.143.0.0', '79.143.31.255', 1334771712, 1334779903, 'RU', 'Russian Federation'),
(42388, '79.143.32.0', '79.143.47.255', 1334779904, 1334783999, 'UA', 'Ukraine'),
(42389, '79.143.48.0', '79.143.63.255', 1334784000, 1334788095, 'AT', 'Austria'),
(42390, '79.143.64.0', '79.143.95.255', 1334788096, 1334796287, 'RU', 'Russian Federation'),
(42391, '79.143.96.0', '79.143.111.255', 1334796288, 1334800383, 'ME', 'Montenegro'),
(42392, '79.143.112.0', '79.143.127.255', 1334800384, 1334804479, 'IT', 'Italy'),
(42393, '79.143.128.0', '79.143.143.255', 1334804480, 1334808575, 'FR', 'France'),
(42394, '79.143.144.0', '79.143.159.255', 1334808576, 1334812671, 'GB', 'United Kingdom'),
(42395, '79.143.160.0', '79.143.175.255', 1334812672, 1334816767, 'BA', 'Bosnia and Herzegovina'),
(42396, '79.143.176.0', '79.143.191.255', 1334816768, 1334820863, 'DE', 'Germany'),
(42397, '79.143.192.0', '79.143.207.255', 1334820864, 1334824959, 'IE', 'Ireland'),
(42398, '79.143.208.0', '79.143.223.255', 1334824960, 1334829055, 'NL', 'Netherlands'),
(42399, '79.143.224.0', '79.143.239.255', 1334829056, 1334833151, 'RU', 'Russian Federation'),
(42400, '79.143.240.0', '79.143.255.255', 1334833152, 1334837247, 'FR', 'France'),
(42401, '79.144.0.0', '79.159.255.255', 1334837248, 1335885823, 'ES', 'Spain'),
(42402, '79.160.0.0', '79.161.255.255', 1335885824, 1336016895, 'NO', 'Norway'),
(42403, '79.162.0.0', '79.163.255.255', 1336016896, 1336147967, 'PL', 'Poland'),
(42404, '79.164.0.0', '79.165.255.255', 1336147968, 1336279039, 'RU', 'Russian Federation'),
(42405, '79.166.0.0', '79.167.255.255', 1336279040, 1336410111, 'GR', 'Greece'),
(42406, '79.168.0.0', '79.169.255.255', 1336410112, 1336541183, 'PT', 'Portugal'),
(42407, '79.170.0.0', '79.170.7.255', 1336541184, 1336543231, 'SA', 'Saudi Arabia'),
(42408, '79.170.8.0', '79.170.15.255', 1336543232, 1336545279, 'ES', 'Spain'),
(42409, '79.170.16.0', '79.170.23.255', 1336545280, 1336547327, 'SE', 'Sweden'),
(42410, '79.170.24.0', '79.170.31.255', 1336547328, 1336549375, 'RU', 'Russian Federation'),
(42411, '79.170.32.0', '79.170.39.255', 1336549376, 1336551423, 'IM', 'Isle of Man'),
(42412, '79.170.40.0', '79.170.47.255', 1336551424, 1336553471, 'GB', 'United Kingdom'),
(42413, '79.170.48.0', '79.170.55.255', 1336553472, 1336555519, 'SA', 'Saudi Arabia'),
(42414, '79.170.56.0', '79.170.63.255', 1336555520, 1336557567, 'BE', 'Belgium'),
(42415, '79.170.64.0', '79.170.67.255', 1336557568, 1336558591, 'ES', 'Spain'),
(42416, '79.170.68.0', '79.170.70.224', 1336558592, 1336559328, 'US', 'United States'),
(42417, '79.170.70.225', '79.170.71.255', 1336559329, 1336559615, 'ES', 'Spain'),
(42418, '79.170.72.0', '79.170.79.255', 1336559616, 1336561663, 'GB', 'United Kingdom'),
(42419, '79.170.80.0', '79.170.87.255', 1336561664, 1336563711, 'NO', 'Norway'),
(42420, '79.170.88.0', '79.170.103.255', 1336563712, 1336567807, 'NL', 'Netherlands'),
(42421, '79.170.104.0', '79.170.111.255', 1336567808, 1336569855, 'BY', 'Belarus'),
(42422, '79.170.112.0', '79.170.119.255', 1336569856, 1336571903, 'EU', 'Europe'),
(42423, '79.170.120.0', '79.170.127.255', 1336571904, 1336573951, 'PL', 'Poland'),
(42424, '79.170.128.0', '79.170.135.255', 1336573952, 1336575999, 'DK', 'Denmark'),
(42425, '79.170.136.0', '79.170.143.255', 1336576000, 1336578047, 'RU', 'Russian Federation'),
(42426, '79.170.144.0', '79.170.151.255', 1336578048, 1336580095, 'IR', 'Iran, Islamic Republic of'),
(42427, '79.170.152.0', '79.170.167.255', 1336580096, 1336584191, 'RU', 'Russian Federation'),
(42428, '79.170.168.0', '79.170.175.255', 1336584192, 1336586239, 'TR', 'Turkey'),
(42429, '79.170.176.0', '79.170.183.255', 1336586240, 1336588287, 'GB', 'United Kingdom'),
(42430, '79.170.184.0', '79.170.191.255', 1336588288, 1336590335, 'TJ', 'Tajikistan'),
(42431, '79.170.192.0', '79.170.199.255', 1336590336, 1336592383, 'GB', 'United Kingdom'),
(42432, '79.170.200.0', '79.170.207.255', 1336592384, 1336594431, 'AM', 'Armenia'),
(42433, '79.170.208.0', '79.170.215.255', 1336594432, 1336596479, 'AT', 'Austria'),
(42434, '79.170.216.0', '79.170.223.255', 1336596480, 1336598527, 'FR', 'France'),
(42435, '79.170.224.0', '79.170.231.255', 1336598528, 1336600575, 'MD', 'Moldova, Republic of'),
(42436, '79.170.232.0', '79.170.239.255', 1336600576, 1336602623, 'FR', 'France'),
(42437, '79.170.240.0', '79.170.247.255', 1336602624, 1336604671, 'IE', 'Ireland'),
(42438, '79.170.248.0', '79.170.255.255', 1336604672, 1336606719, 'CZ', 'Czech Republic'),
(42439, '79.171.0.0', '79.171.7.255', 1336606720, 1336608767, 'PL', 'Poland'),
(42440, '79.171.8.0', '79.171.15.255', 1336608768, 1336610815, 'RU', 'Russian Federation'),
(42441, '79.171.16.0', '79.171.23.255', 1336610816, 1336612863, 'TR', 'Turkey'),
(42442, '79.171.24.0', '79.171.31.255', 1336612864, 1336614911, 'ES', 'Spain'),
(42443, '79.171.32.0', '79.171.39.255', 1336614912, 1336616959, 'GB', 'United Kingdom'),
(42444, '79.171.40.0', '79.171.47.255', 1336616960, 1336619007, 'ES', 'Spain'),
(42445, '79.171.48.0', '79.171.55.255', 1336619008, 1336621055, 'AL', 'Albania'),
(42446, '79.171.56.0', '79.171.63.255', 1336621056, 1336623103, 'DE', 'Germany'),
(42447, '79.171.64.0', '79.171.71.255', 1336623104, 1336625151, 'BE', 'Belgium'),
(42448, '79.171.72.0', '79.171.72.151', 1336625152, 1336625303, 'IE', 'Ireland'),
(42449, '79.171.72.152', '79.171.72.159', 1336625304, 1336625311, 'GB', 'United Kingdom'),
(42450, '79.171.72.160', '79.171.74.159', 1336625312, 1336625823, 'IE', 'Ireland'),
(42451, '79.171.74.160', '79.171.74.175', 1336625824, 1336625839, 'GB', 'United Kingdom'),
(42452, '79.171.74.176', '79.171.76.31', 1336625840, 1336626207, 'IE', 'Ireland'),
(42453, '79.171.76.32', '79.171.76.143', 1336626208, 1336626319, 'GB', 'United Kingdom'),
(42454, '79.171.76.144', '79.171.76.159', 1336626320, 1336626335, 'IE', 'Ireland'),
(42455, '79.171.76.160', '79.171.76.191', 1336626336, 1336626367, 'GB', 'United Kingdom'),
(42456, '79.171.76.192', '79.171.77.15', 1336626368, 1336626447, 'IE', 'Ireland'),
(42457, '79.171.77.16', '79.171.77.31', 1336626448, 1336626463, 'GB', 'United Kingdom'),
(42458, '79.171.77.32', '79.171.78.79', 1336626464, 1336626767, 'IE', 'Ireland'),
(42459, '79.171.78.80', '79.171.78.95', 1336626768, 1336626783, 'GB', 'United Kingdom'),
(42460, '79.171.78.96', '79.171.78.239', 1336626784, 1336626927, 'IE', 'Ireland'),
(42461, '79.171.78.240', '79.171.78.255', 1336626928, 1336626943, 'GB', 'United Kingdom'),
(42462, '79.171.79.0', '79.171.79.255', 1336626944, 1336627199, 'IE', 'Ireland'),
(42463, '79.171.80.0', '79.171.87.255', 1336627200, 1336629247, 'NO', 'Norway'),
(42464, '79.171.88.0', '79.171.95.255', 1336629248, 1336631295, 'DE', 'Germany'),
(42465, '79.171.96.0', '79.171.103.255', 1336631296, 1336633343, 'IS', 'Iceland'),
(42466, '79.171.104.0', '79.171.111.255', 1336633344, 1336635391, 'ES', 'Spain'),
(42467, '79.171.112.0', '79.171.119.255', 1336635392, 1336637439, 'RU', 'Russian Federation'),
(42468, '79.171.120.0', '79.171.127.255', 1336637440, 1336639487, 'UA', 'Ukraine'),
(42469, '79.171.128.0', '79.171.143.255', 1336639488, 1336643583, 'HU', 'Hungary'),
(42470, '79.171.144.0', '79.171.151.255', 1336643584, 1336645631, 'DK', 'Denmark'),
(42471, '79.171.152.0', '79.171.159.255', 1336645632, 1336647679, 'GB', 'United Kingdom'),
(42472, '79.171.160.0', '79.171.167.255', 1336647680, 1336649727, 'IT', 'Italy'),
(42473, '79.171.168.0', '79.171.175.255', 1336649728, 1336651775, 'RU', 'Russian Federation'),
(42474, '79.171.176.0', '79.171.183.255', 1336651776, 1336653823, 'DE', 'Germany'),
(42475, '79.171.184.0', '79.171.191.255', 1336653824, 1336655871, 'CZ', 'Czech Republic'),
(42476, '79.171.192.0', '79.171.199.255', 1336655872, 1336657919, 'NL', 'Netherlands'),
(42477, '79.171.200.0', '79.171.207.255', 1336657920, 1336659967, 'DE', 'Germany'),
(42478, '79.171.208.0', '79.171.215.255', 1336659968, 1336662015, 'RU', 'Russian Federation'),
(42479, '79.171.216.0', '79.171.219.255', 1336662016, 1336663039, 'ES', 'Spain'),
(42480, '79.171.220.0', '79.171.220.31', 1336663040, 1336663071, 'FR', 'France'),
(42481, '79.171.220.32', '79.171.223.255', 1336663072, 1336664063, 'ES', 'Spain'),
(42482, '79.171.224.0', '79.171.239.255', 1336664064, 1336668159, 'FI', 'Finland'),
(42483, '79.171.240.0', '79.171.247.255', 1336668160, 1336670207, 'BH', 'Bahrain'),
(42484, '79.171.248.0', '79.171.255.255', 1336670208, 1336672255, 'SE', 'Sweden'),
(42485, '79.172.0.0', '79.172.127.255', 1336672256, 1336705023, 'RU', 'Russian Federation'),
(42486, '79.172.128.0', '79.172.191.255', 1336705024, 1336721407, 'SA', 'Saudi Arabia'),
(42487, '79.172.192.0', '79.172.255.255', 1336721408, 1336737791, 'HU', 'Hungary'),
(42488, '79.173.0.0', '79.173.63.255', 1336737792, 1336754175, 'PL', 'Poland'),
(42489, '79.173.64.0', '79.173.127.255', 1336754176, 1336770559, 'RU', 'Russian Federation'),
(42490, '79.173.128.0', '79.173.191.255', 1336770560, 1336786943, 'GB', 'United Kingdom'),
(42491, '79.173.192.0', '79.173.255.255', 1336786944, 1336803327, 'JO', 'Jordan'),
(42492, '79.174.0.0', '79.174.31.255', 1336803328, 1336811519, 'UA', 'Ukraine'),
(42493, '79.174.32.0', '79.174.95.255', 1336811520, 1336827903, 'RU', 'Russian Federation'),
(42494, '79.174.96.0', '79.174.127.255', 1336827904, 1336836095, 'AT', 'Austria'),
(42495, '79.174.128.0', '79.174.191.255', 1336836096, 1336852479, 'RU', 'Russian Federation'),
(42496, '79.174.192.0', '79.174.255.255', 1336852480, 1336868863, 'FR', 'France'),
(42497, '79.175.0.0', '79.175.63.255', 1336868864, 1336885247, 'RU', 'Russian Federation'),
(42498, '79.175.64.0', '79.175.127.255', 1336885248, 1336901631, 'RS', 'Serbia'),
(42499, '79.175.128.0', '79.175.164.255', 1336901632, 1336911103, 'IR', 'Iran, Islamic Republic of'),
(42500, '79.175.165.0', '79.175.165.255', 1336911104, 1336911359, 'SE', 'Sweden'),
(42501, '79.175.166.0', '79.175.167.133', 1336911360, 1336911749, 'IR', 'Iran, Islamic Republic of'),
(42502, '79.175.167.134', '79.175.167.143', 1336911750, 1336911759, 'AE', 'United Arab Emirates'),
(42503, '79.175.167.144', '79.175.167.237', 1336911760, 1336911853, 'IR', 'Iran, Islamic Republic of'),
(42504, '79.175.167.238', '79.175.167.253', 1336911854, 1336911869, 'CA', 'Canada'),
(42505, '79.175.167.254', '79.175.191.255', 1336911870, 1336918015, 'IR', 'Iran, Islamic Republic of'),
(42506, '79.175.192.0', '79.175.255.255', 1336918016, 1336934399, 'PL', 'Poland'),
(42507, '79.176.0.0', '79.183.255.255', 1336934400, 1337458687, 'IL', 'Israel'),
(42508, '79.184.0.0', '79.191.255.255', 1337458688, 1337982975, 'PL', 'Poland'),
(42509, '79.192.0.0', '79.255.255.255', 1337982976, 1342177279, 'DE', 'Germany'),
(42510, '80.0.0.0', '80.6.224.191', 1342177280, 1342628031, 'GB', 'United Kingdom'),
(42511, '80.6.224.192', '80.6.224.255', 1342628032, 1342628095, 'IE', 'Ireland'),
(42512, '80.6.225.0', '80.6.225.63', 1342628096, 1342628159, 'GB', 'United Kingdom'),
(42513, '80.6.225.64', '80.6.225.79', 1342628160, 1342628175, 'IE', 'Ireland'),
(42514, '80.6.225.80', '80.6.225.111', 1342628176, 1342628207, 'GB', 'United Kingdom'),
(42515, '80.6.225.112', '80.6.225.127', 1342628208, 1342628223, 'IE', 'Ireland'),
(42516, '80.6.225.128', '80.6.225.223', 1342628224, 1342628319, 'GB', 'United Kingdom'),
(42517, '80.6.225.224', '80.6.225.239', 1342628320, 1342628335, 'IE', 'Ireland'),
(42518, '80.6.225.240', '80.6.225.255', 1342628336, 1342628351, 'GB', 'United Kingdom'),
(42519, '80.6.226.0', '80.6.226.15', 1342628352, 1342628367, 'IE', 'Ireland'),
(42520, '80.6.226.16', '80.6.226.79', 1342628368, 1342628431, 'GB', 'United Kingdom'),
(42521, '80.6.226.80', '80.6.226.111', 1342628432, 1342628463, 'IE', 'Ireland'),
(42522, '80.6.226.112', '80.6.227.55', 1342628464, 1342628663, 'GB', 'United Kingdom'),
(42523, '80.6.227.56', '80.6.227.63', 1342628664, 1342628671, 'IE', 'Ireland'),
(42524, '80.6.227.64', '80.7.255.255', 1342628672, 1342701567, 'GB', 'United Kingdom'),
(42525, '80.8.0.0', '80.12.70.255', 1342701568, 1342981887, 'FR', 'France'),
(42526, '80.12.71.0', '80.12.71.47', 1342981888, 1342981935, 'GB', 'United Kingdom'),
(42527, '80.12.71.48', '80.12.71.255', 1342981936, 1342982143, 'FR', 'France'),
(42528, '80.12.72.0', '80.12.72.255', 1342982144, 1342982399, 'MG', 'Madagascar'),
(42529, '80.12.73.0', '80.12.95.255', 1342982400, 1342988287, 'FR', 'France'),
(42530, '80.12.96.0', '80.12.98.255', 1342988288, 1342989055, 'US', 'United States'),
(42531, '80.12.99.0', '80.12.192.255', 1342989056, 1343013119, 'FR', 'France'),
(42532, '80.12.193.0', '80.12.193.255', 1343013120, 1343013375, 'US', 'United States'),
(42533, '80.12.194.0', '80.12.211.255', 1343013376, 1343017983, 'FR', 'France'),
(42534, '80.12.212.0', '80.12.213.127', 1343017984, 1343018367, 'RE', 'Reunion'),
(42535, '80.12.213.128', '80.12.239.255', 1343018368, 1343025151, 'FR', 'France'),
(42536, '80.12.240.0', '80.12.241.255', 1343025152, 1343025663, 'RE', 'Reunion'),
(42537, '80.12.242.0', '80.12.242.155', 1343025664, 1343025819, 'FR', 'France'),
(42538, '80.12.242.156', '80.12.242.156', 1343025820, 1343025820, 'LU', 'Luxembourg'),
(42539, '80.12.242.157', '80.15.223.255', 1343025821, 1343217663, 'FR', 'France'),
(42540, '80.15.224.0', '80.15.227.255', 1343217664, 1343218687, 'MU', 'Mauritius'),
(42541, '80.15.228.0', '80.15.231.255', 1343218688, 1343219711, 'FR', 'France'),
(42542, '80.15.232.0', '80.15.232.255', 1343219712, 1343219967, 'KR', 'Korea, Republic of'),
(42543, '80.15.233.0', '80.15.234.255', 1343219968, 1343220479, 'FR', 'France'),
(42544, '80.15.235.0', '80.15.235.191', 1343220480, 1343220671, 'DE', 'Germany'),
(42545, '80.15.235.192', '80.15.235.255', 1343220672, 1343220735, 'FR', 'France'),
(42546, '80.15.236.0', '80.15.236.127', 1343220736, 1343220863, 'GB', 'United Kingdom'),
(42547, '80.15.236.128', '80.15.237.31', 1343220864, 1343221023, 'FR', 'France'),
(42548, '80.15.237.32', '80.15.237.35', 1343221024, 1343221027, 'DE', 'Germany'),
(42549, '80.15.237.36', '80.15.237.39', 1343221028, 1343221031, 'FR', 'France'),
(42550, '80.15.237.40', '80.15.237.47', 1343221032, 1343221039, 'GB', 'United Kingdom'),
(42551, '80.15.237.48', '80.15.238.191', 1343221040, 1343221439, 'FR', 'France'),
(42552, '80.15.238.192', '80.15.238.199', 1343221440, 1343221447, 'GB', 'United Kingdom'),
(42553, '80.15.238.200', '80.15.238.255', 1343221448, 1343221503, 'FR', 'France'),
(42554, '80.15.239.0', '80.15.239.255', 1343221504, 1343221759, 'GB', 'United Kingdom'),
(42555, '80.15.240.0', '80.15.240.63', 1343221760, 1343221823, 'LB', 'Lebanon'),
(42556, '80.15.240.64', '80.15.240.95', 1343221824, 1343221855, 'FR', 'France'),
(42557, '80.15.240.96', '80.15.241.255', 1343221856, 1343222271, 'LB', 'Lebanon'),
(42558, '80.15.242.0', '80.15.242.15', 1343222272, 1343222287, 'CI', 'Cote D''Ivoire'),
(42559, '80.15.242.16', '80.15.242.255', 1343222288, 1343222527, 'FR', 'France'),
(42560, '80.15.243.0', '80.15.243.47', 1343222528, 1343222575, 'TD', 'Chad'),
(42561, '80.15.243.48', '80.15.243.255', 1343222576, 1343222783, 'FR', 'France'),
(42562, '80.15.244.0', '80.15.244.127', 1343222784, 1343222911, 'TD', 'Chad'),
(42563, '80.15.244.128', '80.15.246.255', 1343222912, 1343223551, 'FR', 'France'),
(42564, '80.15.247.0', '80.15.247.255', 1343223552, 1343223807, 'LB', 'Lebanon'),
(42565, '80.15.248.0', '80.15.248.255', 1343223808, 1343224063, 'FR', 'France'),
(42566, '80.15.249.0', '80.15.249.239', 1343224064, 1343224303, 'US', 'United States'),
(42567, '80.15.249.240', '80.15.249.255', 1343224304, 1343224319, 'FR', 'France'),
(42568, '80.15.250.0', '80.15.250.215', 1343224320, 1343224535, 'LB', 'Lebanon'),
(42569, '80.15.250.216', '80.15.250.223', 1343224536, 1343224543, 'FR', 'France'),
(42570, '80.15.250.224', '80.15.250.255', 1343224544, 1343224575, 'LB', 'Lebanon'),
(42571, '80.15.251.0', '80.15.251.255', 1343224576, 1343224831, 'FR', 'France'),
(42572, '80.15.252.0', '80.15.252.255', 1343224832, 1343225087, 'A2', 'Satellite Provider'),
(42573, '80.15.253.0', '80.15.255.255', 1343225088, 1343225855, 'FR', 'France'),
(42574, '80.16.0.0', '80.19.207.255', 1343225856, 1343475711, 'IT', 'Italy'),
(42575, '80.19.208.0', '80.19.208.255', 1343475712, 1343475967, 'US', 'United States'),
(42576, '80.19.209.0', '80.21.202.255', 1343475968, 1343605503, 'IT', 'Italy'),
(42577, '80.21.203.0', '80.21.203.255', 1343605504, 1343605759, 'US', 'United States'),
(42578, '80.21.204.0', '80.23.241.255', 1343605760, 1343746559, 'IT', 'Italy'),
(42579, '80.23.242.0', '80.23.242.255', 1343746560, 1343746815, 'US', 'United States'),
(42580, '80.23.243.0', '80.23.255.255', 1343746816, 1343750143, 'IT', 'Italy'),
(42581, '80.24.0.0', '80.36.115.255', 1343750144, 1344566271, 'ES', 'Spain'),
(42582, '80.36.116.0', '80.36.116.255', 1344566272, 1344566527, 'US', 'United States'),
(42583, '80.36.117.0', '80.39.255.255', 1344566528, 1344798719, 'ES', 'Spain'),
(42584, '80.40.0.0', '80.47.255.255', 1344798720, 1345323007, 'GB', 'United Kingdom'),
(42585, '80.48.0.0', '80.55.255.255', 1345323008, 1345847295, 'PL', 'Poland'),
(42586, '80.56.0.0', '80.57.255.255', 1345847296, 1345978367, 'NL', 'Netherlands'),
(42587, '80.58.0.0', '80.59.255.255', 1345978368, 1346109439, 'ES', 'Spain'),
(42588, '80.60.0.0', '80.61.255.255', 1346109440, 1346240511, 'NL', 'Netherlands'),
(42589, '80.62.0.0', '80.63.255.255', 1346240512, 1346371583, 'DK', 'Denmark'),
(42590, '80.64.0.0', '80.64.15.255', 1346371584, 1346375679, 'FI', 'Finland'),
(42591, '80.64.16.0', '80.64.31.255', 1346375680, 1346379775, 'RU', 'Russian Federation'),
(42592, '80.64.32.0', '80.64.47.255', 1346379776, 1346383871, 'ES', 'Spain'),
(42593, '80.64.48.0', '80.64.63.255', 1346383872, 1346387967, 'GB', 'United Kingdom'),
(42594, '80.64.64.0', '80.64.79.255', 1346387968, 1346392063, 'HU', 'Hungary'),
(42595, '80.64.80.0', '80.64.95.255', 1346392064, 1346396159, 'UA', 'Ukraine'),
(42596, '80.64.96.0', '80.64.111.255', 1346396160, 1346400255, 'RU', 'Russian Federation'),
(42597, '80.64.112.0', '80.64.127.255', 1346400256, 1346404351, 'IT', 'Italy'),
(42598, '80.64.128.0', '80.64.143.255', 1346404352, 1346408447, 'AT', 'Austria'),
(42599, '80.64.144.0', '80.64.159.255', 1346408448, 1346412543, 'LU', 'Luxembourg'),
(42600, '80.64.160.0', '80.64.175.255', 1346412544, 1346416639, 'RU', 'Russian Federation'),
(42601, '80.64.176.0', '80.64.191.255', 1346416640, 1346420735, 'DE', 'Germany'),
(42602, '80.64.192.0', '80.64.207.255', 1346420736, 1346424831, 'NO', 'Norway'),
(42603, '80.64.208.0', '80.64.223.255', 1346424832, 1346428927, 'JO', 'Jordan'),
(42604, '80.64.224.0', '80.64.224.255', 1346428928, 1346429183, 'EU', 'Europe'),
(42605, '80.64.225.0', '80.64.234.255', 1346429184, 1346431743, 'FR', 'France'),
(42606, '80.64.235.0', '80.64.235.255', 1346431744, 1346431999, 'KZ', 'Kazakhstan'),
(42607, '80.64.236.0', '80.64.239.255', 1346432000, 1346433023, 'FR', 'France'),
(42608, '80.64.240.0', '80.65.7.255', 1346433024, 1346439167, 'NL', 'Netherlands'),
(42609, '80.65.8.0', '80.65.15.255', 1346439168, 1346441215, 'ES', 'Spain'),
(42610, '80.65.16.0', '80.65.31.255', 1346441216, 1346445311, 'RU', 'Russian Federation'),
(42611, '80.65.32.0', '80.65.47.255', 1346445312, 1346449407, 'DE', 'Germany'),
(42612, '80.65.48.0', '80.65.63.255', 1346449408, 1346453503, 'NO', 'Norway'),
(42613, '80.65.64.0', '80.65.95.255', 1346453504, 1346461695, 'BA', 'Bosnia and Herzegovina'),
(42614, '80.65.96.0', '80.65.127.255', 1346461696, 1346469887, 'NL', 'Netherlands'),
(42615, '80.65.128.0', '80.65.143.255', 1346469888, 1346473983, 'BE', 'Belgium'),
(42616, '80.65.144.0', '80.65.158.255', 1346473984, 1346477823, 'IT', 'Italy'),
(42617, '80.65.159.0', '80.65.159.31', 1346477824, 1346477855, 'HU', 'Hungary'),
(42618, '80.65.159.32', '80.65.159.255', 1346477856, 1346478079, 'IT', 'Italy'),
(42619, '80.65.160.0', '80.65.175.255', 1346478080, 1346482175, 'BA', 'Bosnia and Herzegovina'),
(42620, '80.65.176.0', '80.65.191.255', 1346482176, 1346486271, 'CZ', 'Czech Republic'),
(42621, '80.65.192.0', '80.65.207.255', 1346486272, 1346490367, 'SE', 'Sweden'),
(42622, '80.65.208.0', '80.65.223.255', 1346490368, 1346494463, 'GB', 'United Kingdom'),
(42623, '80.65.224.0', '80.65.239.255', 1346494464, 1346498559, 'FR', 'France'),
(42624, '80.65.240.0', '80.65.247.255', 1346498560, 1346500607, 'IM', 'Isle of Man'),
(42625, '80.65.248.0', '80.65.248.31', 1346500608, 1346500639, 'GB', 'United Kingdom'),
(42626, '80.65.248.32', '80.65.248.127', 1346500640, 1346500735, 'IM', 'Isle of Man'),
(42627, '80.65.248.128', '80.65.248.159', 1346500736, 1346500767, 'GB', 'United Kingdom'),
(42628, '80.65.248.160', '80.65.248.255', 1346500768, 1346500863, 'IM', 'Isle of Man'),
(42629, '80.65.249.0', '80.65.250.111', 1346500864, 1346501231, 'GB', 'United Kingdom'),
(42630, '80.65.250.112', '80.65.250.127', 1346501232, 1346501247, 'IM', 'Isle of Man'),
(42631, '80.65.250.128', '80.65.250.223', 1346501248, 1346501343, 'GB', 'United Kingdom'),
(42632, '80.65.250.224', '80.65.250.255', 1346501344, 1346501375, 'IM', 'Isle of Man'),
(42633, '80.65.251.0', '80.65.252.63', 1346501376, 1346501695, 'GB', 'United Kingdom'),
(42634, '80.65.252.64', '80.65.252.127', 1346501696, 1346501759, 'IM', 'Isle of Man'),
(42635, '80.65.252.128', '80.65.252.175', 1346501760, 1346501807, 'GB', 'United Kingdom'),
(42636, '80.65.252.176', '80.65.252.207', 1346501808, 1346501839, 'IM', 'Isle of Man'),
(42637, '80.65.252.208', '80.65.252.215', 1346501840, 1346501847, 'GB', 'United Kingdom'),
(42638, '80.65.252.216', '80.65.252.247', 1346501848, 1346501879, 'IM', 'Isle of Man'),
(42639, '80.65.252.248', '80.65.252.251', 1346501880, 1346501883, 'GB', 'United Kingdom'),
(42640, '80.65.252.252', '80.65.252.255', 1346501884, 1346501887, 'IM', 'Isle of Man'),
(42641, '80.65.253.0', '80.65.253.3', 1346501888, 1346501891, 'GB', 'United Kingdom'),
(42642, '80.65.253.4', '80.65.253.7', 1346501892, 1346501895, 'IM', 'Isle of Man'),
(42643, '80.65.253.8', '80.65.254.39', 1346501896, 1346502183, 'GB', 'United Kingdom'),
(42644, '80.65.254.40', '80.65.254.63', 1346502184, 1346502207, 'IM', 'Isle of Man'),
(42645, '80.65.254.64', '80.65.254.79', 1346502208, 1346502223, 'GB', 'United Kingdom'),
(42646, '80.65.254.80', '80.65.254.81', 1346502224, 1346502225, 'IM', 'Isle of Man'),
(42647, '80.65.254.82', '80.65.254.89', 1346502226, 1346502233, 'GB', 'United Kingdom'),
(42648, '80.65.254.90', '80.65.254.119', 1346502234, 1346502263, 'IM', 'Isle of Man'),
(42649, '80.65.254.120', '80.65.254.175', 1346502264, 1346502319, 'GB', 'United Kingdom'),
(42650, '80.65.254.176', '80.65.254.179', 1346502320, 1346502323, 'IM', 'Isle of Man'),
(42651, '80.65.254.180', '80.65.255.255', 1346502324, 1346502655, 'GB', 'United Kingdom'),
(42652, '80.66.0.0', '80.66.31.255', 1346502656, 1346510847, 'DE', 'Germany'),
(42653, '80.66.32.0', '80.66.63.255', 1346510848, 1346519039, 'AT', 'Austria'),
(42654, '80.66.64.0', '80.66.95.255', 1346519040, 1346527231, 'RU', 'Russian Federation'),
(42655, '80.66.96.0', '80.66.101.95', 1346527232, 1346528607, 'DE', 'Germany'),
(42656, '80.66.101.96', '80.66.101.111', 1346528608, 1346528623, 'CH', 'Switzerland'),
(42657, '80.66.101.112', '80.66.111.255', 1346528624, 1346531327, 'DE', 'Germany'),
(42658, '80.66.112.0', '80.66.127.255', 1346531328, 1346535423, 'ES', 'Spain'),
(42659, '80.66.128.0', '80.66.135.119', 1346535424, 1346537335, 'BE', 'Belgium'),
(42660, '80.66.135.120', '80.66.135.127', 1346537336, 1346537343, 'GB', 'United Kingdom'),
(42661, '80.66.135.128', '80.66.137.255', 1346537344, 1346537983, 'BE', 'Belgium'),
(42662, '80.66.138.0', '80.66.138.4', 1346537984, 1346537988, 'AT', 'Austria'),
(42663, '80.66.138.5', '80.66.138.7', 1346537989, 1346537991, 'BE', 'Belgium'),
(42664, '80.66.138.8', '80.66.138.15', 1346537992, 1346537999, 'AT', 'Austria'),
(42665, '80.66.138.16', '80.66.138.23', 1346538000, 1346538007, 'CZ', 'Czech Republic'),
(42666, '80.66.138.24', '80.66.138.31', 1346538008, 1346538015, 'BE', 'Belgium'),
(42667, '80.66.138.32', '80.66.138.47', 1346538016, 1346538031, 'CH', 'Switzerland'),
(42668, '80.66.138.48', '80.66.138.159', 1346538032, 1346538143, 'BE', 'Belgium'),
(42669, '80.66.138.160', '80.66.138.191', 1346538144, 1346538175, 'HR', 'Croatia'),
(42670, '80.66.138.192', '80.66.138.255', 1346538176, 1346538239, 'BE', 'Belgium'),
(42671, '80.66.139.0', '80.66.139.63', 1346538240, 1346538303, 'AT', 'Austria'),
(42672, '80.66.139.64', '80.66.143.255', 1346538304, 1346539519, 'BE', 'Belgium'),
(42673, '80.66.144.0', '80.66.159.255', 1346539520, 1346543615, 'RU', 'Russian Federation'),
(42674, '80.66.160.0', '80.66.175.255', 1346543616, 1346547711, 'FI', 'Finland'),
(42675, '80.66.176.0', '80.66.191.255', 1346547712, 1346551807, 'IR', 'Iran, Islamic Republic of'),
(42676, '80.66.192.0', '80.66.207.255', 1346551808, 1346555903, 'DE', 'Germany'),
(42677, '80.66.208.0', '80.66.223.255', 1346555904, 1346559999, 'IT', 'Italy'),
(42678, '80.66.224.0', '80.66.229.255', 1346560000, 1346561535, 'LI', 'Liechtenstein'),
(42679, '80.66.230.0', '80.66.230.63', 1346561536, 1346561599, 'CH', 'Switzerland'),
(42680, '80.66.230.64', '80.66.235.255', 1346561600, 1346563071, 'LI', 'Liechtenstein'),
(42681, '80.66.236.0', '80.66.236.255', 1346563072, 1346563327, 'CH', 'Switzerland'),
(42682, '80.66.237.0', '80.66.239.255', 1346563328, 1346564095, 'LI', 'Liechtenstein'),
(42683, '80.66.240.0', '80.66.255.255', 1346564096, 1346568191, 'EE', 'Estonia'),
(42684, '80.67.0.0', '80.67.11.191', 1346568192, 1346571199, 'SE', 'Sweden'),
(42685, '80.67.11.192', '80.67.11.199', 1346571200, 1346571207, 'SK', 'Slovakia'),
(42686, '80.67.11.200', '80.67.13.255', 1346571208, 1346571775, 'SE', 'Sweden'),
(42687, '80.67.14.0', '80.67.15.255', 1346571776, 1346572287, 'A1', 'Anonymous Proxy'),
(42688, '80.67.16.0', '80.67.31.255', 1346572288, 1346576383, 'DE', 'Germany'),
(42689, '80.67.32.0', '80.67.47.255', 1346576384, 1346580479, 'DK', 'Denmark'),
(42690, '80.67.48.0', '80.67.63.255', 1346580480, 1346584575, 'RU', 'Russian Federation'),
(42691, '80.67.64.0', '80.67.77.255', 1346584576, 1346588159, 'US', 'United States'),
(42692, '80.67.78.0', '80.67.79.255', 1346588160, 1346588671, 'KR', 'Korea, Republic of'),
(42693, '80.67.80.0', '80.67.82.255', 1346588672, 1346589439, 'US', 'United States'),
(42694, '80.67.83.0', '80.67.83.255', 1346589440, 1346589695, 'DE', 'Germany'),
(42695, '80.67.84.0', '80.67.95.255', 1346589696, 1346592767, 'US', 'United States'),
(42696, '80.67.96.0', '80.67.111.255', 1346592768, 1346596863, 'ES', 'Spain'),
(42697, '80.67.112.0', '80.67.127.255', 1346596864, 1346600959, 'IT', 'Italy'),
(42698, '80.67.144.0', '80.67.159.255', 1346605056, 1346609151, 'CH', 'Switzerland'),
(42699, '80.67.160.0', '80.67.191.255', 1346609152, 1346617343, 'FR', 'France'),
(42700, '80.67.192.0', '80.67.203.255', 1346617344, 1346620415, 'SE', 'Sweden'),
(42701, '80.67.204.0', '80.67.205.255', 1346620416, 1346620927, 'DK', 'Denmark'),
(42702, '80.67.206.0', '80.67.207.255', 1346620928, 1346621439, 'SE', 'Sweden'),
(42703, '80.67.208.0', '80.67.223.255', 1346621440, 1346625535, 'RU', 'Russian Federation'),
(42704, '80.67.224.0', '80.67.239.255', 1346625536, 1346629631, 'DE', 'Germany'),
(42705, '80.67.240.0', '80.68.15.255', 1346629632, 1346637823, 'RU', 'Russian Federation'),
(42706, '80.68.16.0', '80.68.63.255', 1346637824, 1346650111, 'GB', 'United Kingdom'),
(42707, '80.68.64.0', '80.68.79.255', 1346650112, 1346654207, 'RU', 'Russian Federation'),
(42708, '80.68.80.0', '80.68.95.255', 1346654208, 1346658303, 'GB', 'United Kingdom'),
(42709, '80.68.96.0', '80.68.127.255', 1346658304, 1346666495, 'SE', 'Sweden'),
(42710, '80.68.128.0', '80.68.143.255', 1346666496, 1346670591, 'ES', 'Spain'),
(42711, '80.68.144.0', '80.68.159.255', 1346670592, 1346674687, 'IT', 'Italy'),
(42712, '80.68.160.0', '80.68.175.255', 1346674688, 1346678783, 'DE', 'Germany'),
(42713, '80.68.176.0', '80.68.207.255', 1346678784, 1346686975, 'IT', 'Italy'),
(42714, '80.68.208.0', '80.68.223.255', 1346686976, 1346691071, 'GB', 'United Kingdom'),
(42715, '80.68.224.0', '80.68.239.255', 1346691072, 1346695167, 'PL', 'Poland'),
(42716, '80.68.240.0', '80.68.255.255', 1346695168, 1346699263, 'RU', 'Russian Federation'),
(42717, '80.69.0.0', '80.69.2.63', 1346699264, 1346699839, 'GB', 'United Kingdom'),
(42718, '80.69.2.64', '80.69.2.95', 1346699840, 1346699871, 'HK', 'Hong Kong'),
(42719, '80.69.2.96', '80.69.2.99', 1346699872, 1346699875, 'GB', 'United Kingdom'),
(42720, '80.69.2.100', '80.69.2.103', 1346699876, 1346699879, 'IL', 'Israel'),
(42721, '80.69.2.104', '80.69.2.111', 1346699880, 1346699887, 'US', 'United States'),
(42722, '80.69.2.112', '80.69.5.31', 1346699888, 1346700575, 'GB', 'United Kingdom'),
(42723, '80.69.5.32', '80.69.5.47', 1346700576, 1346700591, 'VG', 'Virgin Islands, British'),
(42724, '80.69.5.48', '80.69.5.63', 1346700592, 1346700607, 'GB', 'United Kingdom'),
(42725, '80.69.5.64', '80.69.5.95', 1346700608, 1346700639, 'US', 'United States'),
(42726, '80.69.5.96', '80.69.6.47', 1346700640, 1346700847, 'GB', 'United Kingdom'),
(42727, '80.69.6.48', '80.69.6.55', 1346700848, 1346700855, 'US', 'United States'),
(42728, '80.69.6.56', '80.69.7.127', 1346700856, 1346701183, 'GB', 'United Kingdom'),
(42729, '80.69.7.128', '80.69.7.159', 1346701184, 1346701215, 'GR', 'Greece'),
(42730, '80.69.7.160', '80.69.16.71', 1346701216, 1346703431, 'GB', 'United Kingdom'),
(42731, '80.69.16.72', '80.69.16.75', 1346703432, 1346703435, 'US', 'United States'),
(42732, '80.69.16.76', '80.69.16.123', 1346703436, 1346703483, 'GB', 'United Kingdom'),
(42733, '80.69.16.124', '80.69.16.127', 1346703484, 1346703487, 'US', 'United States'),
(42734, '80.69.16.128', '80.69.16.143', 1346703488, 1346703503, 'GB', 'United Kingdom'),
(42735, '80.69.16.144', '80.69.16.151', 1346703504, 1346703511, 'US', 'United States'),
(42736, '80.69.16.152', '80.69.16.207', 1346703512, 1346703567, 'GB', 'United Kingdom'),
(42737, '80.69.16.208', '80.69.16.211', 1346703568, 1346703571, 'US', 'United States'),
(42738, '80.69.16.212', '80.69.16.243', 1346703572, 1346703603, 'GB', 'United Kingdom'),
(42739, '80.69.16.244', '80.69.16.247', 1346703604, 1346703607, 'US', 'United States'),
(42740, '80.69.16.248', '80.69.17.255', 1346703608, 1346703871, 'GB', 'United Kingdom'),
(42741, '80.69.18.0', '80.69.18.255', 1346703872, 1346704127, 'LI', 'Liechtenstein'),
(42742, '80.69.19.0', '80.69.19.255', 1346704128, 1346704383, 'GB', 'United Kingdom'),
(42743, '80.69.20.0', '80.69.20.63', 1346704384, 1346704447, 'US', 'United States'),
(42744, '80.69.20.64', '80.69.20.95', 1346704448, 1346704479, 'GB', 'United Kingdom'),
(42745, '80.69.20.96', '80.69.20.127', 1346704480, 1346704511, 'US', 'United States'),
(42746, '80.69.20.128', '80.69.20.191', 1346704512, 1346704575, 'GB', 'United Kingdom'),
(42747, '80.69.20.192', '80.69.20.255', 1346704576, 1346704639, 'US', 'United States'),
(42748, '80.69.21.0', '80.69.21.127', 1346704640, 1346704767, 'LI', 'Liechtenstein'),
(42749, '80.69.21.128', '80.69.21.255', 1346704768, 1346704895, 'US', 'United States'),
(42750, '80.69.22.0', '80.69.23.95', 1346704896, 1346705247, 'GB', 'United Kingdom'),
(42751, '80.69.23.96', '80.69.23.127', 1346705248, 1346705279, 'US', 'United States'),
(42752, '80.69.23.128', '80.69.23.255', 1346705280, 1346705407, 'GB', 'United Kingdom'),
(42753, '80.69.24.0', '80.69.24.127', 1346705408, 1346705535, 'US', 'United States'),
(42754, '80.69.24.128', '80.69.31.255', 1346705536, 1346707455, 'GB', 'United Kingdom'),
(42755, '80.69.32.0', '80.69.47.255', 1346707456, 1346711551, 'DE', 'Germany'),
(42756, '80.69.48.0', '80.69.63.255', 1346711552, 1346715647, 'AZ', 'Azerbaijan'),
(42757, '80.69.64.0', '80.69.95.255', 1346715648, 1346723839, 'NL', 'Netherlands'),
(42758, '80.69.96.0', '80.69.127.255', 1346723840, 1346732031, 'DE', 'Germany'),
(42759, '80.69.128.0', '80.69.143.255', 1346732032, 1346736127, 'GB', 'United Kingdom'),
(42760, '80.69.144.0', '80.69.159.255', 1346736128, 1346740223, 'RU', 'Russian Federation'),
(42761, '80.69.160.0', '80.69.175.255', 1346740224, 1346744319, 'FI', 'Finland'),
(42762, '80.69.176.0', '80.69.191.255', 1346744320, 1346748415, 'RU', 'Russian Federation'),
(42763, '80.69.192.0', '80.69.207.255', 1346748416, 1346752511, 'DE', 'Germany'),
(42764, '80.69.208.0', '80.69.223.255', 1346752512, 1346756607, 'FR', 'France'),
(42765, '80.69.224.0', '80.69.239.255', 1346756608, 1346760703, 'SE', 'Sweden'),
(42766, '80.69.240.0', '80.69.255.255', 1346760704, 1346764799, 'IR', 'Iran, Islamic Republic of'),
(42767, '80.70.0.0', '80.70.15.255', 1346764800, 1346768895, 'DK', 'Denmark'),
(42768, '80.70.16.0', '80.70.31.255', 1346768896, 1346772991, 'LV', 'Latvia'),
(42769, '80.70.32.0', '80.70.47.255', 1346772992, 1346777087, 'FR', 'France'),
(42770, '80.70.48.0', '80.70.63.255', 1346777088, 1346781183, 'GB', 'United Kingdom'),
(42771, '80.70.64.0', '80.70.95.255', 1346781184, 1346789375, 'UA', 'Ukraine'),
(42772, '80.70.96.0', '80.70.111.255', 1346789376, 1346793471, 'RU', 'Russian Federation'),
(42773, '80.70.112.0', '80.70.127.255', 1346793472, 1346797567, 'IT', 'Italy'),
(42774, '80.70.128.0', '80.70.143.255', 1346797568, 1346801663, 'IL', 'Israel'),
(42775, '80.70.144.0', '80.70.159.255', 1346801664, 1346805759, 'SE', 'Sweden'),
(42776, '80.70.160.0', '80.70.161.15', 1346805760, 1346806031, 'DE', 'Germany'),
(42777, '80.70.161.16', '80.70.161.31', 1346806032, 1346806047, 'CH', 'Switzerland'),
(42778, '80.70.161.32', '80.70.207.255', 1346806048, 1346818047, 'DE', 'Germany'),
(42779, '80.70.208.0', '80.70.223.255', 1346818048, 1346822143, 'FR', 'France'),
(42780, '80.70.224.0', '80.70.239.255', 1346822144, 1346826239, 'RU', 'Russian Federation'),
(42781, '80.70.240.0', '80.70.255.255', 1346826240, 1346830335, 'RS', 'Serbia'),
(42782, '80.71.0.0', '80.71.31.255', 1346830336, 1346838527, 'GB', 'United Kingdom'),
(42783, '80.71.32.0', '80.71.47.255', 1346838528, 1346842623, 'RU', 'Russian Federation'),
(42784, '80.71.48.0', '80.71.63.255', 1346842624, 1346846719, 'MT', 'Malta'),
(42785, '80.71.64.0', '80.71.95.255', 1346846720, 1346854911, 'DK', 'Denmark'),
(42786, '80.71.96.0', '80.71.111.255', 1346854912, 1346859007, 'MT', 'Malta'),
(42787, '80.71.112.0', '80.71.127.255', 1346859008, 1346863103, 'IR', 'Iran, Islamic Republic of'),
(42788, '80.71.128.0', '80.71.143.255', 1346863104, 1346867199, 'DK', 'Denmark'),
(42789, '80.71.144.0', '80.71.159.255', 1346867200, 1346871295, 'BA', 'Bosnia and Herzegovina'),
(42790, '80.71.160.0', '80.71.191.255', 1346871296, 1346879487, 'RU', 'Russian Federation'),
(42791, '80.71.192.0', '80.71.207.255', 1346879488, 1346883583, 'FI', 'Finland'),
(42792, '80.71.208.0', '80.71.223.255', 1346883584, 1346887679, 'RU', 'Russian Federation'),
(42793, '80.71.224.0', '80.71.239.255', 1346887680, 1346891775, 'IT', 'Italy'),
(42794, '80.71.240.0', '80.71.255.255', 1346891776, 1346895871, 'RU', 'Russian Federation'),
(42795, '80.72.0.0', '80.72.15.255', 1346895872, 1346899967, 'SE', 'Sweden'),
(42796, '80.72.16.0', '80.72.31.255', 1346899968, 1346904063, 'RU', 'Russian Federation'),
(42797, '80.72.32.0', '80.72.47.255', 1346904064, 1346908159, 'PL', 'Poland'),
(42798, '80.72.48.0', '80.72.63.255', 1346908160, 1346912255, 'LI', 'Liechtenstein'),
(42799, '80.72.64.0', '80.72.95.255', 1346912256, 1346920447, 'BG', 'Bulgaria'),
(42800, '80.72.96.0', '80.72.111.255', 1346920448, 1346924543, 'A2', 'Satellite Provider'),
(42801, '80.72.112.0', '80.72.127.255', 1346924544, 1346928639, 'RU', 'Russian Federation'),
(42802, '80.72.128.0', '80.72.143.255', 1346928640, 1346932735, 'DE', 'Germany'),
(42803, '80.72.144.0', '80.72.159.255', 1346932736, 1346936831, 'DK', 'Denmark'),
(42804, '80.72.160.0', '80.72.175.255', 1346936832, 1346940927, 'IT', 'Italy'),
(42805, '80.72.176.0', '80.72.191.255', 1346940928, 1346945023, 'KG', 'Kyrgyzstan'),
(42806, '80.72.192.0', '80.72.207.255', 1346945024, 1346949119, 'PL', 'Poland'),
(42807, '80.72.208.0', '80.72.239.255', 1346949120, 1346957311, 'RU', 'Russian Federation'),
(42808, '80.72.240.0', '80.72.255.255', 1346957312, 1346961407, 'DE', 'Germany'),
(42809, '80.73.0.0', '80.73.15.255', 1346961408, 1346965503, 'UA', 'Ukraine'),
(42810, '80.73.16.0', '80.73.31.255', 1346965504, 1346969599, 'RU', 'Russian Federation'),
(42811, '80.73.32.0', '80.73.47.255', 1346969600, 1346973695, 'DE', 'Germany'),
(42812, '80.73.48.0', '80.73.63.255', 1346973696, 1346977791, 'SE', 'Sweden'),
(42813, '80.73.64.0', '80.73.95.255', 1346977792, 1346985983, 'RU', 'Russian Federation'),
(42814, '80.73.96.0', '80.73.99.223', 1346985984, 1346986975, 'DE', 'Germany'),
(42815, '80.73.99.224', '80.73.99.255', 1346986976, 1346987007, 'ES', 'Spain'),
(42816, '80.73.100.0', '80.73.116.127', 1346987008, 1346991231, 'DE', 'Germany'),
(42817, '80.73.116.128', '80.73.116.143', 1346991232, 1346991247, 'CH', 'Switzerland'),
(42818, '80.73.116.144', '80.73.127.255', 1346991248, 1346994175, 'DE', 'Germany'),
(42819, '80.73.128.0', '80.73.143.255', 1346994176, 1346998271, 'NL', 'Netherlands'),
(42820, '80.73.144.0', '80.73.159.255', 1346998272, 1347002367, 'ES', 'Spain'),
(42821, '80.73.160.0', '80.73.175.255', 1347002368, 1347006463, 'RU', 'Russian Federation'),
(42822, '80.73.176.0', '80.73.191.255', 1347006464, 1347010559, 'SE', 'Sweden'),
(42823, '80.73.192.0', '80.73.207.255', 1347010560, 1347014655, 'RU', 'Russian Federation'),
(42824, '80.73.208.0', '80.73.223.255', 1347014656, 1347018751, 'GG', 'Guernsey'),
(42825, '80.73.224.0', '80.73.239.255', 1347018752, 1347022847, 'IT', 'Italy'),
(42826, '80.73.240.0', '80.73.255.255', 1347022848, 1347026943, 'AT', 'Austria'),
(42827, '80.74.0.0', '80.74.31.255', 1347026944, 1347035135, 'GB', 'United Kingdom'),
(42828, '80.74.32.0', '80.74.47.255', 1347035136, 1347039231, 'CZ', 'Czech Republic'),
(42829, '80.74.48.0', '80.74.63.255', 1347039232, 1347043327, 'RO', 'Romania'),
(42830, '80.74.64.0', '80.74.79.255', 1347043328, 1347047423, 'FR', 'France'),
(42831, '80.74.80.0', '80.74.95.255', 1347047424, 1347051519, 'SA', 'Saudi Arabia'),
(42832, '80.74.96.0', '80.74.127.255', 1347051520, 1347059711, 'IL', 'Israel'),
(42833, '80.74.128.0', '80.74.159.255', 1347059712, 1347067903, 'CH', 'Switzerland'),
(42834, '80.74.160.0', '80.74.175.255', 1347067904, 1347071999, 'RS', 'Serbia'),
(42835, '80.74.176.0', '80.74.191.255', 1347072000, 1347076095, 'IT', 'Italy'),
(42836, '80.74.192.0', '80.74.223.255', 1347076096, 1347084287, 'FI', 'Finland'),
(42837, '80.74.224.0', '80.74.255.255', 1347084288, 1347092479, 'GB', 'United Kingdom'),
(42838, '80.75.0.0', '80.75.15.255', 1347092480, 1347096575, 'IR', 'Iran, Islamic Republic of'),
(42839, '80.75.16.0', '80.75.31.255', 1347096576, 1347100671, 'SE', 'Sweden'),
(42840, '80.75.32.0', '80.75.63.255', 1347100672, 1347108863, 'AT', 'Austria'),
(42841, '80.75.64.0', '80.75.73.255', 1347108864, 1347111423, 'GB', 'United Kingdom'),
(42842, '80.75.74.0', '80.75.74.31', 1347111424, 1347111455, 'US', 'United States'),
(42843, '80.75.74.32', '80.75.79.255', 1347111456, 1347112959, 'GB', 'United Kingdom'),
(42844, '80.75.80.0', '80.75.95.255', 1347112960, 1347117055, 'RU', 'Russian Federation'),
(42845, '80.75.96.0', '80.75.111.255', 1347117056, 1347121151, 'FI', 'Finland'),
(42846, '80.75.112.0', '80.75.127.255', 1347121152, 1347125247, 'CH', 'Switzerland'),
(42847, '80.75.128.0', '80.75.143.255', 1347125248, 1347129343, 'RU', 'Russian Federation'),
(42848, '80.75.144.0', '80.75.159.255', 1347129344, 1347133439, 'FR', 'France'),
(42849, '80.75.160.0', '80.75.191.255', 1347133440, 1347141631, 'EG', 'Egypt'),
(42850, '80.75.192.0', '80.75.207.255', 1347141632, 1347145727, 'CH', 'Switzerland'),
(42851, '80.75.208.0', '80.75.209.255', 1347145728, 1347146239, 'GB', 'United Kingdom'),
(42852, '80.75.210.0', '80.75.210.255', 1347146240, 1347146495, 'CA', 'Canada'),
(42853, '80.75.211.0', '80.75.211.255', 1347146496, 1347146751, 'FR', 'France'),
(42854, '80.75.212.0', '80.75.212.255', 1347146752, 1347147007, 'CA', 'Canada'),
(42855, '80.75.213.0', '80.75.213.255', 1347147008, 1347147263, 'DE', 'Germany'),
(42856, '80.75.214.0', '80.75.215.255', 1347147264, 1347147775, 'GB', 'United Kingdom'),
(42857, '80.75.216.0', '80.75.217.255', 1347147776, 1347148287, 'DE', 'Germany'),
(42858, '80.75.218.0', '80.75.218.255', 1347148288, 1347148543, 'GB', 'United Kingdom'),
(42859, '80.75.219.0', '80.75.219.255', 1347148544, 1347148799, 'CA', 'Canada'),
(42860, '80.75.220.0', '80.75.220.255', 1347148800, 1347149055, 'NO', 'Norway'),
(42861, '80.75.221.0', '80.75.221.255', 1347149056, 1347149311, 'GB', 'United Kingdom'),
(42862, '80.75.222.0', '80.75.222.255', 1347149312, 1347149567, 'DE', 'Germany'),
(42863, '80.75.223.0', '80.75.223.255', 1347149568, 1347149823, 'CA', 'Canada'),
(42864, '80.75.224.0', '80.75.230.63', 1347149824, 1347151423, 'HU', 'Hungary'),
(42865, '80.75.230.64', '80.75.230.255', 1347151424, 1347151615, 'AT', 'Austria'),
(42866, '80.75.231.0', '80.75.237.255', 1347151616, 1347153407, 'HU', 'Hungary'),
(42867, '80.75.238.0', '80.75.255.255', 1347153408, 1347158015, 'AT', 'Austria'),
(42868, '80.76.0.0', '80.76.15.255', 1347158016, 1347162111, 'CH', 'Switzerland'),
(42869, '80.76.16.0', '80.76.31.255', 1347162112, 1347166207, 'IT', 'Italy'),
(42870, '80.76.32.0', '80.76.63.255', 1347166208, 1347174399, 'GR', 'Greece'),
(42871, '80.76.64.0', '80.76.95.255', 1347174400, 1347182591, 'IT', 'Italy'),
(42872, '80.76.96.0', '80.76.111.255', 1347182592, 1347186687, 'RU', 'Russian Federation'),
(42873, '80.76.112.0', '80.76.127.255', 1347186688, 1347190783, 'GB', 'United Kingdom'),
(42874, '80.76.128.0', '80.76.143.255', 1347190784, 1347194879, 'RU', 'Russian Federation'),
(42875, '80.76.144.0', '80.76.159.255', 1347194880, 1347198975, 'SE', 'Sweden'),
(42876, '80.76.160.0', '80.76.175.255', 1347198976, 1347203071, 'QA', 'Qatar'),
(42877, '80.76.176.0', '80.76.191.255', 1347203072, 1347207167, 'RU', 'Russian Federation'),
(42878, '80.76.192.0', '80.76.205.239', 1347207168, 1347210735, 'GB', 'United Kingdom'),
(42879, '80.76.205.240', '80.76.205.247', 1347210736, 1347210743, 'IE', 'Ireland'),
(42880, '80.76.205.248', '80.76.206.159', 1347210744, 1347210911, 'GB', 'United Kingdom'),
(42881, '80.76.206.160', '80.76.206.167', 1347210912, 1347210919, 'IE', 'Ireland'),
(42882, '80.76.206.168', '80.76.206.175', 1347210920, 1347210927, 'GB', 'United Kingdom'),
(42883, '80.76.206.176', '80.76.206.183', 1347210928, 1347210935, 'IE', 'Ireland'),
(42884, '80.76.206.184', '80.76.207.103', 1347210936, 1347211111, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(42885, '80.76.207.104', '80.76.207.111', 1347211112, 1347211119, 'IE', 'Ireland'),
(42886, '80.76.207.112', '80.76.223.255', 1347211120, 1347215359, 'GB', 'United Kingdom'),
(42887, '80.76.224.0', '80.76.241.255', 1347215360, 1347219967, 'RU', 'Russian Federation'),
(42888, '80.76.242.0', '80.76.243.255', 1347219968, 1347220479, 'US', 'United States'),
(42889, '80.76.244.0', '80.76.249.255', 1347220480, 1347222015, 'RU', 'Russian Federation'),
(42890, '80.76.250.0', '80.76.250.255', 1347222016, 1347222271, 'US', 'United States'),
(42891, '80.76.251.0', '80.76.251.255', 1347222272, 1347222527, 'RU', 'Russian Federation'),
(42892, '80.76.252.0', '80.76.252.255', 1347222528, 1347222783, 'US', 'United States'),
(42893, '80.76.253.0', '80.76.255.255', 1347222784, 1347223551, 'RU', 'Russian Federation'),
(42894, '80.77.0.0', '80.77.0.255', 1347223552, 1347223807, 'EG', 'Egypt'),
(42895, '80.77.1.0', '80.77.1.255', 1347223808, 1347224063, 'HK', 'Hong Kong'),
(42896, '80.77.2.0', '80.77.2.119', 1347224064, 1347224183, 'US', 'United States'),
(42897, '80.77.2.120', '80.77.3.255', 1347224184, 1347224575, 'EG', 'Egypt'),
(42898, '80.77.4.0', '80.77.4.255', 1347224576, 1347224831, 'US', 'United States'),
(42899, '80.77.5.0', '80.77.7.255', 1347224832, 1347225599, 'EG', 'Egypt'),
(42900, '80.77.8.0', '80.77.11.255', 1347225600, 1347226623, 'PK', 'Pakistan'),
(42901, '80.77.12.0', '80.77.13.255', 1347226624, 1347227135, 'EG', 'Egypt'),
(42902, '80.77.14.0', '80.77.14.255', 1347227136, 1347227391, 'HK', 'Hong Kong'),
(42903, '80.77.15.0', '80.77.15.255', 1347227392, 1347227647, 'EG', 'Egypt'),
(42904, '80.77.16.0', '80.77.17.151', 1347227648, 1347228055, 'DE', 'Germany'),
(42905, '80.77.17.152', '80.77.17.159', 1347228056, 1347228063, 'GR', 'Greece'),
(42906, '80.77.17.160', '80.77.22.127', 1347228064, 1347229311, 'DE', 'Germany'),
(42907, '80.77.22.128', '80.77.22.159', 1347229312, 1347229343, 'AT', 'Austria'),
(42908, '80.77.22.160', '80.77.24.199', 1347229344, 1347229895, 'DE', 'Germany'),
(42909, '80.77.24.200', '80.77.24.207', 1347229896, 1347229903, 'GR', 'Greece'),
(42910, '80.77.24.208', '80.77.28.255', 1347229904, 1347230975, 'DE', 'Germany'),
(42911, '80.77.29.0', '80.77.29.7', 1347230976, 1347230983, 'ES', 'Spain'),
(42912, '80.77.29.8', '80.77.29.95', 1347230984, 1347231071, 'DE', 'Germany'),
(42913, '80.77.29.96', '80.77.29.111', 1347231072, 1347231087, 'AT', 'Austria'),
(42914, '80.77.29.112', '80.77.29.119', 1347231088, 1347231095, 'GR', 'Greece'),
(42915, '80.77.29.120', '80.77.31.255', 1347231096, 1347231743, 'DE', 'Germany'),
(42916, '80.77.32.0', '80.77.47.255', 1347231744, 1347235839, 'UA', 'Ukraine'),
(42917, '80.77.48.0', '80.77.63.255', 1347235840, 1347239935, 'GE', 'Georgia'),
(42918, '80.77.64.0', '80.77.67.239', 1347239936, 1347240943, 'DK', 'Denmark'),
(42919, '80.77.67.240', '80.77.67.255', 1347240944, 1347240959, 'GB', 'United Kingdom'),
(42920, '80.77.68.0', '80.77.79.255', 1347240960, 1347244031, 'DK', 'Denmark'),
(42921, '80.77.80.0', '80.77.84.255', 1347244032, 1347245311, 'GB', 'United Kingdom'),
(42922, '80.77.85.0', '80.77.85.255', 1347245312, 1347245567, 'US', 'United States'),
(42923, '80.77.86.0', '80.77.86.255', 1347245568, 1347245823, 'GB', 'United Kingdom'),
(42924, '80.77.87.0', '80.77.87.191', 1347245824, 1347246015, 'US', 'United States'),
(42925, '80.77.87.192', '80.77.92.255', 1347246016, 1347247359, 'GB', 'United Kingdom'),
(42926, '80.77.93.0', '80.77.94.223', 1347247360, 1347247839, 'RU', 'Russian Federation'),
(42927, '80.77.94.224', '80.77.95.255', 1347247840, 1347248127, 'US', 'United States'),
(42928, '80.77.96.0', '80.77.98.223', 1347248128, 1347248863, 'SE', 'Sweden'),
(42929, '80.77.98.224', '80.77.98.224', 1347248864, 1347248864, 'FI', 'Finland'),
(42930, '80.77.98.225', '80.77.100.191', 1347248865, 1347249343, 'SE', 'Sweden'),
(42931, '80.77.100.192', '80.77.100.223', 1347249344, 1347249375, 'FI', 'Finland'),
(42932, '80.77.100.224', '80.77.101.223', 1347249376, 1347249631, 'SE', 'Sweden'),
(42933, '80.77.101.224', '80.77.101.231', 1347249632, 1347249639, 'RU', 'Russian Federation'),
(42934, '80.77.101.232', '80.77.105.255', 1347249640, 1347250687, 'SE', 'Sweden'),
(42935, '80.77.106.0', '80.77.106.3', 1347250688, 1347250691, 'NO', 'Norway'),
(42936, '80.77.106.4', '80.77.106.7', 1347250692, 1347250695, 'SE', 'Sweden'),
(42937, '80.77.106.8', '80.77.106.47', 1347250696, 1347250735, 'NO', 'Norway'),
(42938, '80.77.106.48', '80.77.106.79', 1347250736, 1347250767, 'SE', 'Sweden'),
(42939, '80.77.106.80', '80.77.106.95', 1347250768, 1347250783, 'FI', 'Finland'),
(42940, '80.77.106.96', '80.77.111.255', 1347250784, 1347252223, 'SE', 'Sweden'),
(42941, '80.77.112.0', '80.77.126.95', 1347252224, 1347255903, 'HU', 'Hungary'),
(42942, '80.77.126.96', '80.77.126.111', 1347255904, 1347255919, 'SC', 'Seychelles'),
(42943, '80.77.126.112', '80.77.127.207', 1347255920, 1347256271, 'HU', 'Hungary'),
(42944, '80.77.127.208', '80.77.127.223', 1347256272, 1347256287, 'SC', 'Seychelles'),
(42945, '80.77.127.224', '80.77.127.255', 1347256288, 1347256319, 'HU', 'Hungary'),
(42946, '80.77.128.0', '80.77.143.255', 1347256320, 1347260415, 'FO', 'Faroe Islands'),
(42947, '80.77.144.0', '80.77.159.255', 1347260416, 1347264511, 'MK', 'Macedonia'),
(42948, '80.77.160.0', '80.77.175.255', 1347264512, 1347268607, 'RU', 'Russian Federation'),
(42949, '80.77.176.0', '80.77.191.255', 1347268608, 1347272703, 'LB', 'Lebanon'),
(42950, '80.77.192.0', '80.77.207.255', 1347272704, 1347276799, 'MT', 'Malta'),
(42951, '80.77.208.0', '80.77.215.239', 1347276800, 1347278831, 'DE', 'Germany'),
(42952, '80.77.215.240', '80.77.215.255', 1347278832, 1347278847, 'BR', 'Brazil'),
(42953, '80.77.216.0', '80.77.220.159', 1347278848, 1347280031, 'DE', 'Germany'),
(42954, '80.77.220.160', '80.77.220.191', 1347280032, 1347280063, 'ET', 'Ethiopia'),
(42955, '80.77.220.192', '80.77.222.111', 1347280064, 1347280495, 'DE', 'Germany'),
(42956, '80.77.222.112', '80.77.222.127', 1347280496, 1347280511, 'ET', 'Ethiopia'),
(42957, '80.77.222.128', '80.77.222.159', 1347280512, 1347280543, 'DE', 'Germany'),
(42958, '80.77.222.160', '80.77.222.191', 1347280544, 1347280575, 'MY', 'Malaysia'),
(42959, '80.77.222.192', '80.77.223.255', 1347280576, 1347280895, 'DE', 'Germany'),
(42960, '80.77.224.0', '80.77.239.255', 1347280896, 1347284991, 'FR', 'France'),
(42961, '80.77.240.0', '80.77.244.255', 1347284992, 1347286271, 'GB', 'United Kingdom'),
(42962, '80.77.245.0', '80.77.245.63', 1347286272, 1347286335, 'BN', 'Brunei Darussalam'),
(42963, '80.77.245.64', '80.77.245.255', 1347286336, 1347286527, 'GB', 'United Kingdom'),
(42964, '80.77.246.0', '80.77.246.7', 1347286528, 1347286535, 'BG', 'Bulgaria'),
(42965, '80.77.246.8', '80.77.255.255', 1347286536, 1347289087, 'GB', 'United Kingdom'),
(42966, '80.78.0.0', '80.78.15.255', 1347289088, 1347293183, 'FR', 'France'),
(42967, '80.78.16.0', '80.78.16.127', 1347293184, 1347293311, 'SE', 'Sweden'),
(42968, '80.78.16.128', '80.78.16.128', 1347293312, 1347293312, 'LR', 'Liberia'),
(42969, '80.78.16.129', '80.78.16.132', 1347293313, 1347293316, 'DJ', 'Djibouti'),
(42970, '80.78.16.133', '80.78.16.135', 1347293317, 1347293319, 'LR', 'Liberia'),
(42971, '80.78.16.136', '80.78.16.144', 1347293320, 1347293328, 'GA', 'Gabon'),
(42972, '80.78.16.145', '80.78.16.151', 1347293329, 1347293335, 'NG', 'Nigeria'),
(42973, '80.78.16.152', '80.78.16.167', 1347293336, 1347293351, 'A2', 'Satellite Provider'),
(42974, '80.78.16.168', '80.78.16.191', 1347293352, 1347293375, 'NG', 'Nigeria'),
(42975, '80.78.16.192', '80.78.16.207', 1347293376, 1347293391, 'A2', 'Satellite Provider'),
(42976, '80.78.16.208', '80.78.16.208', 1347293392, 1347293392, 'CY', 'Cyprus'),
(42977, '80.78.16.209', '80.78.16.216', 1347293393, 1347293400, 'NG', 'Nigeria'),
(42978, '80.78.16.217', '80.78.16.223', 1347293401, 1347293407, 'US', 'United States'),
(42979, '80.78.16.224', '80.78.16.224', 1347293408, 1347293408, 'A2', 'Satellite Provider'),
(42980, '80.78.16.225', '80.78.16.232', 1347293409, 1347293416, 'NG', 'Nigeria'),
(42981, '80.78.16.233', '80.78.16.240', 1347293417, 1347293424, 'TZ', 'Tanzania, United Republic of'),
(42982, '80.78.16.241', '80.78.17.0', 1347293425, 1347293440, 'GN', 'Guinea'),
(42983, '80.78.17.1', '80.78.17.7', 1347293441, 1347293447, 'US', 'United States'),
(42984, '80.78.17.8', '80.78.17.16', 1347293448, 1347293456, 'GA', 'Gabon'),
(42985, '80.78.17.17', '80.78.17.24', 1347293457, 1347293464, 'NG', 'Nigeria'),
(42986, '80.78.17.25', '80.78.17.31', 1347293465, 1347293471, 'A2', 'Satellite Provider'),
(42987, '80.78.17.32', '80.78.17.39', 1347293472, 1347293479, 'IQ', 'Iraq'),
(42988, '80.78.17.40', '80.78.17.47', 1347293480, 1347293487, 'LR', 'Liberia'),
(42989, '80.78.17.48', '80.78.17.55', 1347293488, 1347293495, 'TD', 'Chad'),
(42990, '80.78.17.56', '80.78.17.56', 1347293496, 1347293496, 'GH', 'Ghana'),
(42991, '80.78.17.57', '80.78.17.72', 1347293497, 1347293512, 'NG', 'Nigeria'),
(42992, '80.78.17.73', '80.78.17.80', 1347293513, 1347293520, 'GN', 'Guinea'),
(42993, '80.78.17.81', '80.78.17.88', 1347293521, 1347293528, 'PS', 'Palestinian Territory, Occupied'),
(42994, '80.78.17.89', '80.78.17.96', 1347293529, 1347293536, 'NG', 'Nigeria'),
(42995, '80.78.17.97', '80.78.17.104', 1347293537, 1347293544, 'GH', 'Ghana'),
(42996, '80.78.17.105', '80.78.17.112', 1347293545, 1347293552, 'NG', 'Nigeria'),
(42997, '80.78.17.113', '80.78.17.119', 1347293553, 1347293559, 'A2', 'Satellite Provider'),
(42998, '80.78.17.120', '80.78.17.128', 1347293560, 1347293568, 'GN', 'Guinea'),
(42999, '80.78.17.129', '80.78.17.136', 1347293569, 1347293576, 'NG', 'Nigeria'),
(43000, '80.78.17.137', '80.78.17.144', 1347293577, 1347293584, 'GN', 'Guinea'),
(43001, '80.78.17.145', '80.78.17.151', 1347293585, 1347293591, 'NG', 'Nigeria'),
(43002, '80.78.17.152', '80.78.17.160', 1347293592, 1347293600, 'US', 'United States'),
(43003, '80.78.17.161', '80.78.17.176', 1347293601, 1347293616, 'NG', 'Nigeria'),
(43004, '80.78.17.177', '80.78.17.183', 1347293617, 1347293623, 'US', 'United States'),
(43005, '80.78.17.184', '80.78.17.184', 1347293624, 1347293624, 'PK', 'Pakistan'),
(43006, '80.78.17.185', '80.78.17.192', 1347293625, 1347293632, 'GH', 'Ghana'),
(43007, '80.78.17.193', '80.78.17.200', 1347293633, 1347293640, 'LR', 'Liberia'),
(43008, '80.78.17.201', '80.78.17.216', 1347293641, 1347293656, 'NG', 'Nigeria'),
(43009, '80.78.17.217', '80.78.17.232', 1347293657, 1347293672, 'GN', 'Guinea'),
(43010, '80.78.17.233', '80.78.17.235', 1347293673, 1347293675, 'A2', 'Satellite Provider'),
(43011, '80.78.17.236', '80.78.17.239', 1347293676, 1347293679, 'BR', 'Brazil'),
(43012, '80.78.17.240', '80.78.17.240', 1347293680, 1347293680, 'GN', 'Guinea'),
(43013, '80.78.17.241', '80.78.17.248', 1347293681, 1347293688, 'US', 'United States'),
(43014, '80.78.17.249', '80.78.18.23', 1347293689, 1347293719, 'NG', 'Nigeria'),
(43015, '80.78.18.24', '80.78.18.27', 1347293720, 1347293723, 'A2', 'Satellite Provider'),
(43016, '80.78.18.28', '80.78.18.28', 1347293724, 1347293724, 'US', 'United States'),
(43017, '80.78.18.29', '80.78.18.31', 1347293725, 1347293727, 'A2', 'Satellite Provider'),
(43018, '80.78.18.32', '80.78.18.32', 1347293728, 1347293728, 'GN', 'Guinea'),
(43019, '80.78.18.33', '80.78.18.48', 1347293729, 1347293744, 'US', 'United States'),
(43020, '80.78.18.49', '80.78.18.56', 1347293745, 1347293752, 'GN', 'Guinea'),
(43021, '80.78.18.57', '80.78.18.64', 1347293753, 1347293760, 'NG', 'Nigeria'),
(43022, '80.78.18.65', '80.78.18.80', 1347293761, 1347293776, 'ZM', 'Zambia'),
(43023, '80.78.18.81', '80.78.18.104', 1347293777, 1347293800, 'NG', 'Nigeria'),
(43024, '80.78.18.105', '80.78.18.111', 1347293801, 1347293807, 'US', 'United States'),
(43025, '80.78.18.112', '80.78.18.120', 1347293808, 1347293816, 'NG', 'Nigeria'),
(43026, '80.78.18.121', '80.78.18.128', 1347293817, 1347293824, 'GN', 'Guinea'),
(43027, '80.78.18.129', '80.78.18.135', 1347293825, 1347293831, 'CM', 'Cameroon'),
(43028, '80.78.18.136', '80.78.18.144', 1347293832, 1347293840, 'NG', 'Nigeria'),
(43029, '80.78.18.145', '80.78.18.152', 1347293841, 1347293848, 'CG', 'Congo'),
(43030, '80.78.18.153', '80.78.18.160', 1347293849, 1347293856, 'NG', 'Nigeria'),
(43031, '80.78.18.161', '80.78.18.168', 1347293857, 1347293864, 'GN', 'Guinea'),
(43032, '80.78.18.169', '80.78.18.176', 1347293865, 1347293872, 'ZM', 'Zambia'),
(43033, '80.78.18.177', '80.78.18.184', 1347293873, 1347293880, 'GN', 'Guinea'),
(43034, '80.78.18.185', '80.78.18.191', 1347293881, 1347293887, 'NG', 'Nigeria'),
(43035, '80.78.18.192', '80.78.18.208', 1347293888, 1347293904, 'GQ', 'Equatorial Guinea'),
(43036, '80.78.18.209', '80.78.18.216', 1347293905, 1347293912, 'GN', 'Guinea'),
(43037, '80.78.18.217', '80.78.18.224', 1347293913, 1347293920, 'US', 'United States'),
(43038, '80.78.18.225', '80.78.18.232', 1347293921, 1347293928, 'CM', 'Cameroon'),
(43039, '80.78.18.233', '80.78.18.240', 1347293929, 1347293936, 'TZ', 'Tanzania, United Republic of'),
(43040, '80.78.18.241', '80.78.18.248', 1347293937, 1347293944, 'NG', 'Nigeria'),
(43041, '80.78.18.249', '80.78.19.0', 1347293945, 1347293952, 'US', 'United States'),
(43042, '80.78.19.1', '80.78.19.24', 1347293953, 1347293976, 'NG', 'Nigeria'),
(43043, '80.78.19.25', '80.78.19.32', 1347293977, 1347293984, 'CM', 'Cameroon'),
(43044, '80.78.19.33', '80.78.19.39', 1347293985, 1347293991, 'US', 'United States'),
(43045, '80.78.19.40', '80.78.19.48', 1347293992, 1347294000, 'NG', 'Nigeria'),
(43046, '80.78.19.49', '80.78.19.56', 1347294001, 1347294008, 'TZ', 'Tanzania, United Republic of'),
(43047, '80.78.19.57', '80.78.19.63', 1347294009, 1347294015, 'A2', 'Satellite Provider'),
(43048, '80.78.19.64', '80.78.19.71', 1347294016, 1347294023, 'US', 'United States'),
(43049, '80.78.19.72', '80.78.19.88', 1347294024, 1347294040, 'GN', 'Guinea'),
(43050, '80.78.19.89', '80.78.19.96', 1347294041, 1347294048, 'NG', 'Nigeria'),
(43051, '80.78.19.97', '80.78.19.104', 1347294049, 1347294056, 'GN', 'Guinea'),
(43052, '80.78.19.105', '80.78.19.120', 1347294057, 1347294072, 'US', 'United States'),
(43053, '80.78.19.121', '80.78.19.128', 1347294073, 1347294080, 'NG', 'Nigeria'),
(43054, '80.78.19.129', '80.78.19.135', 1347294081, 1347294087, 'GA', 'Gabon'),
(43055, '80.78.19.136', '80.78.19.143', 1347294088, 1347294095, 'US', 'United States'),
(43056, '80.78.19.144', '80.78.19.144', 1347294096, 1347294096, 'CM', 'Cameroon'),
(43057, '80.78.19.145', '80.78.19.160', 1347294097, 1347294112, 'NG', 'Nigeria'),
(43058, '80.78.19.161', '80.78.19.167', 1347294113, 1347294119, 'GN', 'Guinea'),
(43059, '80.78.19.168', '80.78.19.184', 1347294120, 1347294136, 'NG', 'Nigeria'),
(43060, '80.78.19.185', '80.78.19.191', 1347294137, 1347294143, 'LR', 'Liberia'),
(43061, '80.78.19.192', '80.78.19.200', 1347294144, 1347294152, 'NG', 'Nigeria'),
(43062, '80.78.19.201', '80.78.19.208', 1347294153, 1347294160, 'NE', 'Niger'),
(43063, '80.78.19.209', '80.78.19.216', 1347294161, 1347294168, 'GN', 'Guinea'),
(43064, '80.78.19.217', '80.78.19.224', 1347294169, 1347294176, 'NG', 'Nigeria'),
(43065, '80.78.19.225', '80.78.19.232', 1347294177, 1347294184, 'US', 'United States'),
(43066, '80.78.19.233', '80.78.19.239', 1347294185, 1347294191, 'A2', 'Satellite Provider'),
(43067, '80.78.19.240', '80.78.19.240', 1347294192, 1347294192, 'KE', 'Kenya'),
(43068, '80.78.19.241', '80.78.20.0', 1347294193, 1347294208, 'NG', 'Nigeria'),
(43069, '80.78.20.1', '80.78.20.4', 1347294209, 1347294212, 'SE', 'Sweden'),
(43070, '80.78.20.5', '80.78.20.7', 1347294213, 1347294215, 'A2', 'Satellite Provider'),
(43071, '80.78.20.8', '80.78.20.15', 1347294216, 1347294223, 'IQ', 'Iraq'),
(43072, '80.78.20.16', '80.78.20.16', 1347294224, 1347294224, 'A2', 'Satellite Provider'),
(43073, '80.78.20.17', '80.78.20.24', 1347294225, 1347294232, 'CM', 'Cameroon'),
(43074, '80.78.20.25', '80.78.20.32', 1347294233, 1347294240, 'US', 'United States'),
(43075, '80.78.20.33', '80.78.20.40', 1347294241, 1347294248, 'LR', 'Liberia'),
(43076, '80.78.20.41', '80.78.20.48', 1347294249, 1347294256, 'NG', 'Nigeria'),
(43077, '80.78.20.49', '80.78.20.56', 1347294257, 1347294264, 'LR', 'Liberia'),
(43078, '80.78.20.57', '80.78.20.60', 1347294265, 1347294268, 'LS', 'Lesotho'),
(43079, '80.78.20.61', '80.78.20.63', 1347294269, 1347294271, 'LR', 'Liberia'),
(43080, '80.78.20.64', '80.78.20.71', 1347294272, 1347294279, 'BR', 'Brazil'),
(43081, '80.78.20.72', '80.78.20.72', 1347294280, 1347294280, 'A2', 'Satellite Provider'),
(43082, '80.78.20.73', '80.78.20.80', 1347294281, 1347294288, 'CM', 'Cameroon'),
(43083, '80.78.20.81', '80.78.20.95', 1347294289, 1347294303, 'UG', 'Uganda'),
(43084, '80.78.20.96', '80.78.20.96', 1347294304, 1347294304, 'US', 'United States'),
(43085, '80.78.20.97', '80.78.20.104', 1347294305, 1347294312, 'NG', 'Nigeria'),
(43086, '80.78.20.105', '80.78.20.111', 1347294313, 1347294319, 'KZ', 'Kazakhstan'),
(43087, '80.78.20.112', '80.78.20.120', 1347294320, 1347294328, 'NG', 'Nigeria'),
(43088, '80.78.20.121', '80.78.20.128', 1347294329, 1347294336, 'GA', 'Gabon'),
(43089, '80.78.20.129', '80.78.20.135', 1347294337, 1347294343, 'NG', 'Nigeria'),
(43090, '80.78.20.136', '80.78.20.143', 1347294344, 1347294351, 'CM', 'Cameroon'),
(43091, '80.78.20.144', '80.78.20.144', 1347294352, 1347294352, 'LR', 'Liberia'),
(43092, '80.78.20.145', '80.78.20.160', 1347294353, 1347294368, 'US', 'United States'),
(43093, '80.78.20.161', '80.78.20.164', 1347294369, 1347294372, 'LS', 'Lesotho'),
(43094, '80.78.20.165', '80.78.20.167', 1347294373, 1347294375, 'IQ', 'Iraq'),
(43095, '80.78.20.168', '80.78.20.192', 1347294376, 1347294400, 'NG', 'Nigeria'),
(43096, '80.78.20.193', '80.78.20.193', 1347294401, 1347294401, 'CM', 'Cameroon'),
(43097, '80.78.20.194', '80.78.20.194', 1347294402, 1347294402, 'NG', 'Nigeria'),
(43098, '80.78.20.195', '80.78.20.200', 1347294403, 1347294408, 'CM', 'Cameroon'),
(43099, '80.78.20.201', '80.78.20.207', 1347294409, 1347294415, 'GN', 'Guinea'),
(43100, '80.78.20.208', '80.78.20.210', 1347294416, 1347294418, 'A2', 'Satellite Provider'),
(43101, '80.78.20.211', '80.78.20.216', 1347294419, 1347294424, 'NG', 'Nigeria'),
(43102, '80.78.20.217', '80.78.20.217', 1347294425, 1347294425, 'US', 'United States'),
(43103, '80.78.20.218', '80.78.20.218', 1347294426, 1347294426, 'NG', 'Nigeria'),
(43104, '80.78.20.219', '80.78.20.224', 1347294427, 1347294432, 'US', 'United States'),
(43105, '80.78.20.225', '80.78.20.227', 1347294433, 1347294435, 'A2', 'Satellite Provider'),
(43106, '80.78.20.228', '80.78.20.232', 1347294436, 1347294440, 'SE', 'Sweden'),
(43107, '80.78.20.233', '80.78.20.239', 1347294441, 1347294447, 'SO', 'Somalia'),
(43108, '80.78.20.240', '80.78.22.255', 1347294448, 1347294975, 'US', 'United States'),
(43109, '80.78.23.0', '80.78.23.16', 1347294976, 1347294992, 'CG', 'Congo'),
(43110, '80.78.23.17', '80.78.23.32', 1347294993, 1347295008, 'US', 'United States'),
(43111, '80.78.23.33', '80.78.23.39', 1347295009, 1347295015, 'LR', 'Liberia'),
(43112, '80.78.23.40', '80.78.23.56', 1347295016, 1347295032, 'A2', 'Satellite Provider'),
(43113, '80.78.23.57', '80.78.23.80', 1347295033, 1347295056, 'NG', 'Nigeria'),
(43114, '80.78.23.81', '80.78.23.88', 1347295057, 1347295064, 'A2', 'Satellite Provider'),
(43115, '80.78.23.89', '80.78.23.96', 1347295065, 1347295072, 'LS', 'Lesotho'),
(43116, '80.78.23.97', '80.78.23.103', 1347295073, 1347295079, 'AF', 'Afghanistan'),
(43117, '80.78.23.104', '80.78.23.127', 1347295080, 1347295103, 'NG', 'Nigeria'),
(43118, '80.78.23.128', '80.78.23.128', 1347295104, 1347295104, 'A2', 'Satellite Provider'),
(43119, '80.78.23.129', '80.78.23.136', 1347295105, 1347295112, 'LY', 'Libyan Arab Jamahiriya'),
(43120, '80.78.23.137', '80.78.23.144', 1347295113, 1347295120, 'ZA', 'South Africa'),
(43121, '80.78.23.145', '80.78.23.152', 1347295121, 1347295128, 'NG', 'Nigeria'),
(43122, '80.78.23.153', '80.78.23.156', 1347295129, 1347295132, 'GN', 'Guinea'),
(43123, '80.78.23.157', '80.78.23.159', 1347295133, 1347295135, 'A2', 'Satellite Provider'),
(43124, '80.78.23.160', '80.78.23.168', 1347295136, 1347295144, 'FR', 'France'),
(43125, '80.78.23.169', '80.78.23.176', 1347295145, 1347295152, 'NG', 'Nigeria'),
(43126, '80.78.23.177', '80.78.23.183', 1347295153, 1347295159, 'US', 'United States'),
(43127, '80.78.23.184', '80.78.23.184', 1347295160, 1347295160, 'NG', 'Nigeria'),
(43128, '80.78.23.185', '80.78.23.192', 1347295161, 1347295168, 'GN', 'Guinea'),
(43129, '80.78.23.193', '80.78.23.208', 1347295169, 1347295184, 'LS', 'Lesotho'),
(43130, '80.78.23.209', '80.78.23.216', 1347295185, 1347295192, 'SO', 'Somalia'),
(43131, '80.78.23.217', '80.78.23.223', 1347295193, 1347295199, 'A2', 'Satellite Provider'),
(43132, '80.78.23.224', '80.78.23.240', 1347295200, 1347295216, 'ZM', 'Zambia'),
(43133, '80.78.23.241', '80.78.23.247', 1347295217, 1347295223, 'US', 'United States'),
(43134, '80.78.23.248', '80.78.23.248', 1347295224, 1347295224, 'AO', 'Angola'),
(43135, '80.78.23.249', '80.78.24.0', 1347295225, 1347295232, 'NG', 'Nigeria'),
(43136, '80.78.24.1', '80.78.26.0', 1347295233, 1347295744, 'A2', 'Satellite Provider'),
(43137, '80.78.26.1', '80.78.26.1', 1347295745, 1347295745, 'US', 'United States'),
(43138, '80.78.26.2', '80.78.26.4', 1347295746, 1347295748, 'A2', 'Satellite Provider'),
(43139, '80.78.26.5', '80.78.26.8', 1347295749, 1347295752, 'US', 'United States'),
(43140, '80.78.26.9', '80.78.26.11', 1347295753, 1347295755, 'BW', 'Botswana'),
(43141, '80.78.26.12', '80.78.26.15', 1347295756, 1347295759, 'A2', 'Satellite Provider'),
(43142, '80.78.26.16', '80.78.26.31', 1347295760, 1347295775, 'BW', 'Botswana'),
(43143, '80.78.26.32', '80.78.26.32', 1347295776, 1347295776, 'IQ', 'Iraq'),
(43144, '80.78.26.33', '80.78.26.40', 1347295777, 1347295784, 'HU', 'Hungary'),
(43145, '80.78.26.41', '80.78.26.47', 1347295785, 1347295791, 'LB', 'Lebanon'),
(43146, '80.78.26.48', '80.78.26.72', 1347295792, 1347295816, 'A2', 'Satellite Provider'),
(43147, '80.78.26.73', '80.78.26.80', 1347295817, 1347295824, 'OM', 'Oman'),
(43148, '80.78.26.81', '80.78.26.88', 1347295825, 1347295832, 'GH', 'Ghana'),
(43149, '80.78.26.89', '80.78.26.96', 1347295833, 1347295840, 'FR', 'France'),
(43150, '80.78.26.97', '80.78.26.104', 1347295841, 1347295848, 'NG', 'Nigeria'),
(43151, '80.78.26.105', '80.78.26.108', 1347295849, 1347295852, 'LS', 'Lesotho'),
(43152, '80.78.26.109', '80.78.26.112', 1347295853, 1347295856, 'A2', 'Satellite Provider'),
(43153, '80.78.26.113', '80.78.26.120', 1347295857, 1347295864, 'NG', 'Nigeria'),
(43154, '80.78.26.121', '80.78.26.184', 1347295865, 1347295928, 'A2', 'Satellite Provider'),
(43155, '80.78.26.185', '80.78.26.192', 1347295929, 1347295936, 'NG', 'Nigeria'),
(43156, '80.78.26.193', '80.78.26.232', 1347295937, 1347295976, 'US', 'United States'),
(43157, '80.78.26.233', '80.78.26.240', 1347295977, 1347295984, 'LS', 'Lesotho'),
(43158, '80.78.26.241', '80.78.26.248', 1347295985, 1347295992, 'US', 'United States'),
(43159, '80.78.26.249', '80.78.26.255', 1347295993, 1347295999, 'A2', 'Satellite Provider'),
(43160, '80.78.27.0', '80.78.27.80', 1347296000, 1347296080, 'US', 'United States'),
(43161, '80.78.27.81', '80.78.27.88', 1347296081, 1347296088, 'SE', 'Sweden'),
(43162, '80.78.27.89', '80.78.27.112', 1347296089, 1347296112, 'US', 'United States'),
(43163, '80.78.27.113', '80.78.27.128', 1347296113, 1347296128, 'ZM', 'Zambia'),
(43164, '80.78.27.129', '80.78.27.232', 1347296129, 1347296232, 'US', 'United States'),
(43165, '80.78.27.233', '80.78.27.240', 1347296233, 1347296240, 'JO', 'Jordan'),
(43166, '80.78.27.241', '80.78.27.255', 1347296241, 1347296255, 'US', 'United States'),
(43167, '80.78.28.0', '80.78.28.8', 1347296256, 1347296264, 'A2', 'Satellite Provider'),
(43168, '80.78.28.9', '80.78.28.16', 1347296265, 1347296272, 'US', 'United States'),
(43169, '80.78.28.17', '80.78.31.255', 1347296273, 1347297279, 'A2', 'Satellite Provider'),
(43170, '80.78.32.0', '80.78.63.255', 1347297280, 1347305471, 'UA', 'Ukraine'),
(43171, '80.78.64.0', '80.78.79.255', 1347305472, 1347309567, 'AL', 'Albania'),
(43172, '80.78.80.0', '80.78.81.15', 1347309568, 1347309839, 'DE', 'Germany'),
(43173, '80.78.81.16', '80.78.81.31', 1347309840, 1347309855, 'CH', 'Switzerland'),
(43174, '80.78.81.32', '80.78.95.255', 1347309856, 1347313663, 'DE', 'Germany'),
(43175, '80.78.96.0', '80.78.127.255', 1347313664, 1347321855, 'RU', 'Russian Federation'),
(43176, '80.78.128.0', '80.78.128.255', 1347321856, 1347322111, 'KW', 'Kuwait'),
(43177, '80.78.129.0', '80.78.129.255', 1347322112, 1347322367, 'US', 'United States'),
(43178, '80.78.130.0', '80.78.130.255', 1347322368, 1347322623, 'KW', 'Kuwait'),
(43179, '80.78.131.0', '80.78.131.255', 1347322624, 1347322879, 'US', 'United States'),
(43180, '80.78.132.0', '80.78.139.255', 1347322880, 1347324927, 'KW', 'Kuwait'),
(43181, '80.78.140.0', '80.78.141.255', 1347324928, 1347325439, 'US', 'United States'),
(43182, '80.78.142.0', '80.78.142.255', 1347325440, 1347325695, 'KW', 'Kuwait'),
(43183, '80.78.143.0', '80.78.143.255', 1347325696, 1347325951, 'IQ', 'Iraq'),
(43184, '80.78.144.0', '80.78.148.255', 1347325952, 1347327231, 'CZ', 'Czech Republic'),
(43185, '80.78.149.0', '80.78.149.255', 1347327232, 1347327487, 'SK', 'Slovakia'),
(43186, '80.78.150.0', '80.78.150.255', 1347327488, 1347327743, 'CZ', 'Czech Republic'),
(43187, '80.78.151.0', '80.78.151.255', 1347327744, 1347327999, 'SK', 'Slovakia'),
(43188, '80.78.152.0', '80.78.159.255', 1347328000, 1347330047, 'CZ', 'Czech Republic'),
(43189, '80.78.160.0', '80.78.191.255', 1347330048, 1347338239, 'DE', 'Germany'),
(43190, '80.78.192.0', '80.78.207.255', 1347338240, 1347342335, 'RU', 'Russian Federation'),
(43191, '80.78.208.0', '80.78.223.255', 1347342336, 1347346431, 'SE', 'Sweden'),
(43192, '80.78.224.0', '80.78.239.255', 1347346432, 1347350527, 'BG', 'Bulgaria'),
(43193, '80.78.240.0', '80.78.255.255', 1347350528, 1347354623, 'RU', 'Russian Federation'),
(43194, '80.79.0.0', '80.79.15.255', 1347354624, 1347358719, 'GR', 'Greece'),
(43195, '80.79.16.0', '80.79.31.255', 1347358720, 1347362815, 'CZ', 'Czech Republic'),
(43196, '80.79.32.0', '80.79.47.255', 1347362816, 1347366911, 'NL', 'Netherlands'),
(43197, '80.79.48.0', '80.79.63.255', 1347366912, 1347371007, 'IT', 'Italy'),
(43198, '80.79.64.0', '80.79.79.255', 1347371008, 1347375103, 'RU', 'Russian Federation'),
(43199, '80.79.80.0', '80.79.80.255', 1347375104, 1347375359, 'EU', 'Europe'),
(43200, '80.79.81.0', '80.79.81.255', 1347375360, 1347375615, 'GB', 'United Kingdom'),
(43201, '80.79.82.0', '80.79.82.255', 1347375616, 1347375871, 'EU', 'Europe'),
(43202, '80.79.83.0', '80.79.95.255', 1347375872, 1347379199, 'GB', 'United Kingdom'),
(43203, '80.79.96.0', '80.79.111.255', 1347379200, 1347383295, 'NL', 'Netherlands'),
(43204, '80.79.112.0', '80.79.115.47', 1347383296, 1347384111, 'EE', 'Estonia'),
(43205, '80.79.115.48', '80.79.115.51', 1347384112, 1347384115, 'FI', 'Finland'),
(43206, '80.79.115.52', '80.79.125.127', 1347384116, 1347386751, 'EE', 'Estonia'),
(43207, '80.79.125.128', '80.79.125.191', 1347386752, 1347386815, 'MY', 'Malaysia'),
(43208, '80.79.125.192', '80.79.126.131', 1347386816, 1347387011, 'EE', 'Estonia'),
(43209, '80.79.126.132', '80.79.126.135', 1347387012, 1347387015, 'DE', 'Germany'),
(43210, '80.79.126.136', '80.79.127.79', 1347387016, 1347387215, 'EE', 'Estonia'),
(43211, '80.79.127.80', '80.79.127.83', 1347387216, 1347387219, 'NZ', 'New Zealand'),
(43212, '80.79.127.84', '80.79.127.88', 1347387220, 1347387224, 'EE', 'Estonia'),
(43213, '80.79.127.89', '80.79.127.92', 1347387225, 1347387228, 'DE', 'Germany'),
(43214, '80.79.127.93', '80.79.127.255', 1347387229, 1347387391, 'EE', 'Estonia'),
(43215, '80.79.128.0', '80.79.143.255', 1347387392, 1347391487, 'GB', 'United Kingdom'),
(43216, '80.79.144.0', '80.79.159.255', 1347391488, 1347395583, 'LB', 'Lebanon'),
(43217, '80.79.160.0', '80.79.175.255', 1347395584, 1347399679, 'SE', 'Sweden'),
(43218, '80.79.176.0', '80.79.191.255', 1347399680, 1347403775, 'RU', 'Russian Federation'),
(43219, '80.79.192.0', '80.79.207.255', 1347403776, 1347407871, 'NL', 'Netherlands'),
(43220, '80.79.208.0', '80.79.223.255', 1347407872, 1347411967, 'GB', 'United Kingdom'),
(43221, '80.79.224.0', '80.79.239.255', 1347411968, 1347416063, 'DE', 'Germany'),
(43222, '80.79.240.0', '80.79.255.255', 1347416064, 1347420159, 'RU', 'Russian Federation'),
(43223, '80.80.0.0', '80.80.1.255', 1347420160, 1347420671, 'DK', 'Denmark'),
(43224, '80.80.2.0', '80.80.2.7', 1347420672, 1347420679, 'SE', 'Sweden'),
(43225, '80.80.2.8', '80.80.2.119', 1347420680, 1347420791, 'DK', 'Denmark'),
(43226, '80.80.2.120', '80.80.2.127', 1347420792, 1347420799, 'US', 'United States'),
(43227, '80.80.2.128', '80.80.2.159', 1347420800, 1347420831, 'DK', 'Denmark'),
(43228, '80.80.2.160', '80.80.2.175', 1347420832, 1347420847, 'US', 'United States'),
(43229, '80.80.2.176', '80.80.2.215', 1347420848, 1347420887, 'DK', 'Denmark'),
(43230, '80.80.2.216', '80.80.2.223', 1347420888, 1347420895, 'PT', 'Portugal'),
(43231, '80.80.2.224', '80.80.3.63', 1347420896, 1347420991, 'DK', 'Denmark'),
(43232, '80.80.3.64', '80.80.3.79', 1347420992, 1347421007, 'CH', 'Switzerland'),
(43233, '80.80.3.80', '80.80.14.31', 1347421008, 1347423775, 'DK', 'Denmark'),
(43234, '80.80.14.32', '80.80.14.63', 1347423776, 1347423807, 'NO', 'Norway'),
(43235, '80.80.14.64', '80.80.16.83', 1347423808, 1347424339, 'DK', 'Denmark'),
(43236, '80.80.16.84', '80.80.16.95', 1347424340, 1347424351, 'NO', 'Norway'),
(43237, '80.80.16.96', '80.80.21.255', 1347424352, 1347425791, 'DK', 'Denmark'),
(43238, '80.80.22.0', '80.80.22.255', 1347425792, 1347426047, 'EU', 'Europe'),
(43239, '80.80.23.0', '80.80.27.63', 1347426048, 1347427135, 'DK', 'Denmark'),
(43240, '80.80.27.64', '80.80.27.255', 1347427136, 1347427327, 'NO', 'Norway'),
(43241, '80.80.28.0', '80.80.31.255', 1347427328, 1347428351, 'DK', 'Denmark'),
(43242, '80.80.32.0', '80.80.47.255', 1347428352, 1347432447, 'BA', 'Bosnia and Herzegovina'),
(43243, '80.80.48.0', '80.80.63.255', 1347432448, 1347436543, 'HR', 'Croatia'),
(43244, '80.80.64.0', '80.80.79.255', 1347436544, 1347440639, 'SE', 'Sweden'),
(43245, '80.80.80.0', '80.80.95.255', 1347440640, 1347444735, 'ES', 'Spain'),
(43246, '80.80.96.0', '80.80.127.255', 1347444736, 1347452927, 'RU', 'Russian Federation'),
(43247, '80.80.128.0', '80.80.139.186', 1347452928, 1347455930, 'BG', 'Bulgaria'),
(43248, '80.80.139.187', '80.80.139.187', 1347455931, 1347455931, 'A1', 'Anonymous Proxy'),
(43249, '80.80.139.188', '80.80.159.255', 1347455932, 1347461119, 'BG', 'Bulgaria'),
(43250, '80.80.160.0', '80.80.160.255', 1347461120, 1347461375, 'US', 'United States'),
(43251, '80.80.161.0', '80.80.165.179', 1347461376, 1347462579, 'AL', 'Albania'),
(43252, '80.80.165.180', '80.80.165.183', 1347462580, 1347462583, 'RS', 'Serbia'),
(43253, '80.80.165.184', '80.80.165.191', 1347462584, 1347462591, 'AL', 'Albania'),
(43254, '80.80.165.192', '80.80.165.207', 1347462592, 1347462607, 'RS', 'Serbia'),
(43255, '80.80.165.208', '80.80.173.170', 1347462608, 1347464618, 'AL', 'Albania'),
(43256, '80.80.173.171', '80.80.173.171', 1347464619, 1347464619, 'US', 'United States'),
(43257, '80.80.173.172', '80.80.173.255', 1347464620, 1347464703, 'AL', 'Albania'),
(43258, '80.80.174.0', '80.80.174.255', 1347464704, 1347464959, 'US', 'United States'),
(43259, '80.80.175.0', '80.80.175.255', 1347464960, 1347465215, 'AL', 'Albania'),
(43260, '80.80.176.0', '80.80.191.255', 1347465216, 1347469311, 'GB', 'United Kingdom'),
(43261, '80.80.192.0', '80.80.207.255', 1347469312, 1347473407, 'RU', 'Russian Federation'),
(43262, '80.80.208.0', '80.80.223.255', 1347473408, 1347477503, 'UZ', 'Uzbekistan'),
(43263, '80.80.224.0', '80.80.239.255', 1347477504, 1347481599, 'CH', 'Switzerland'),
(43264, '80.80.240.0', '80.80.255.255', 1347481600, 1347485695, 'AT', 'Austria'),
(43265, '80.81.0.0', '80.81.31.255', 1347485696, 1347493887, 'DE', 'Germany'),
(43266, '80.81.32.0', '80.81.63.255', 1347493888, 1347502079, 'LV', 'Latvia'),
(43267, '80.81.64.0', '80.81.67.255', 1347502080, 1347503103, 'ES', 'Spain'),
(43268, '80.81.68.0', '80.81.68.255', 1347503104, 1347503359, 'GB', 'United Kingdom'),
(43269, '80.81.69.0', '80.81.72.255', 1347503360, 1347504383, 'ES', 'Spain'),
(43270, '80.81.73.0', '80.81.73.255', 1347504384, 1347504639, 'GB', 'United Kingdom'),
(43271, '80.81.74.0', '80.81.75.63', 1347504640, 1347504959, 'ES', 'Spain'),
(43272, '80.81.75.64', '80.81.75.127', 1347504960, 1347505023, 'GB', 'United Kingdom'),
(43273, '80.81.75.128', '80.81.75.255', 1347505024, 1347505151, 'ES', 'Spain'),
(43274, '80.81.76.0', '80.81.76.255', 1347505152, 1347505407, 'GB', 'United Kingdom'),
(43275, '80.81.77.0', '80.81.77.255', 1347505408, 1347505663, 'DE', 'Germany'),
(43276, '80.81.78.0', '80.81.79.255', 1347505664, 1347506175, 'ES', 'Spain'),
(43277, '80.81.80.0', '80.81.80.255', 1347506176, 1347506431, 'GB', 'United Kingdom'),
(43278, '80.81.81.0', '80.81.127.255', 1347506432, 1347518463, 'ES', 'Spain'),
(43279, '80.81.128.0', '80.81.143.255', 1347518464, 1347522559, 'AT', 'Austria'),
(43280, '80.81.144.0', '80.81.159.255', 1347522560, 1347526655, 'LB', 'Lebanon'),
(43281, '80.81.160.0', '80.81.165.31', 1347526656, 1347527967, 'FI', 'Finland'),
(43282, '80.81.165.32', '80.81.165.63', 1347527968, 1347527999, 'SE', 'Sweden'),
(43283, '80.81.165.64', '80.81.191.255', 1347528000, 1347534847, 'FI', 'Finland'),
(43284, '80.81.192.0', '80.81.207.255', 1347534848, 1347538943, 'DE', 'Germany'),
(43285, '80.81.208.0', '80.81.223.255', 1347538944, 1347543039, 'RU', 'Russian Federation'),
(43286, '80.81.224.0', '80.81.227.255', 1347543040, 1347544063, 'SK', 'Slovakia'),
(43287, '80.81.228.0', '80.81.228.255', 1347544064, 1347544319, 'SL', 'Sierra Leone'),
(43288, '80.81.229.0', '80.81.239.255', 1347544320, 1347547135, 'SK', 'Slovakia'),
(43289, '80.81.240.0', '80.81.252.95', 1347547136, 1347550303, 'DE', 'Germany'),
(43290, '80.81.252.96', '80.81.252.127', 1347550304, 1347550335, 'AT', 'Austria'),
(43291, '80.81.252.128', '80.81.255.191', 1347550336, 1347551167, 'DE', 'Germany'),
(43292, '80.81.255.192', '80.81.255.255', 1347551168, 1347551231, 'PL', 'Poland'),
(43293, '80.82.0.0', '80.82.15.255', 1347551232, 1347555327, 'IT', 'Italy'),
(43294, '80.82.16.0', '80.82.31.255', 1347555328, 1347559423, 'PL', 'Poland'),
(43295, '80.82.32.0', '80.82.63.255', 1347559424, 1347567615, 'RU', 'Russian Federation'),
(43296, '80.82.64.0', '80.82.79.255', 1347567616, 1347571711, 'NL', 'Netherlands'),
(43297, '80.82.80.0', '80.82.95.255', 1347571712, 1347575807, 'RU', 'Russian Federation'),
(43298, '80.82.96.0', '80.82.111.255', 1347575808, 1347579903, 'DK', 'Denmark'),
(43299, '80.82.112.0', '80.82.143.255', 1347579904, 1347588095, 'GB', 'United Kingdom'),
(43300, '80.82.144.0', '80.82.154.255', 1347588096, 1347590911, 'CZ', 'Czech Republic'),
(43301, '80.82.155.0', '80.82.155.255', 1347590912, 1347591167, 'SK', 'Slovakia'),
(43302, '80.82.156.0', '80.82.159.255', 1347591168, 1347592191, 'CZ', 'Czech Republic'),
(43303, '80.82.160.0', '80.82.191.255', 1347592192, 1347600383, 'RU', 'Russian Federation'),
(43304, '80.82.192.0', '80.82.199.255', 1347600384, 1347602431, 'UA', 'Ukraine'),
(43305, '80.82.200.0', '80.82.223.255', 1347602432, 1347608575, 'DE', 'Germany'),
(43306, '80.82.224.0', '80.82.239.255', 1347608576, 1347612671, 'FR', 'France'),
(43307, '80.82.240.0', '80.82.255.255', 1347612672, 1347616767, 'GB', 'United Kingdom'),
(43308, '80.83.0.0', '80.83.15.255', 1347616768, 1347620863, 'FI', 'Finland'),
(43309, '80.83.16.0', '80.83.31.255', 1347620864, 1347624959, 'LB', 'Lebanon'),
(43310, '80.83.32.0', '80.83.63.255', 1347624960, 1347633151, 'CH', 'Switzerland'),
(43311, '80.83.64.0', '80.83.79.255', 1347633152, 1347637247, 'CZ', 'Czech Republic'),
(43312, '80.83.80.0', '80.83.95.255', 1347637248, 1347641343, 'SE', 'Sweden'),
(43313, '80.83.96.0', '80.83.114.242', 1347641344, 1347646194, 'DE', 'Germany'),
(43314, '80.83.114.243', '80.83.114.255', 1347646195, 1347646207, 'TR', 'Turkey'),
(43315, '80.83.115.0', '80.83.127.255', 1347646208, 1347649535, 'DE', 'Germany'),
(43316, '80.83.128.0', '80.83.143.255', 1347649536, 1347653631, 'GE', 'Georgia'),
(43317, '80.83.144.0', '80.83.147.215', 1347653632, 1347654615, 'GB', 'United Kingdom'),
(43318, '80.83.147.216', '80.83.147.223', 1347654616, 1347654623, 'EG', 'Egypt'),
(43319, '80.83.147.224', '80.83.150.7', 1347654624, 1347655175, 'GB', 'United Kingdom'),
(43320, '80.83.150.8', '80.83.150.15', 1347655176, 1347655183, 'EG', 'Egypt'),
(43321, '80.83.150.16', '80.83.159.255', 1347655184, 1347657727, 'GB', 'United Kingdom'),
(43322, '80.83.160.0', '80.83.175.255', 1347657728, 1347661823, 'IT', 'Italy'),
(43323, '80.83.176.0', '80.83.191.255', 1347661824, 1347665919, 'DE', 'Germany'),
(43324, '80.83.192.0', '80.83.207.255', 1347665920, 1347670015, 'RU', 'Russian Federation'),
(43325, '80.83.208.0', '80.83.223.255', 1347670016, 1347674111, 'SE', 'Sweden'),
(43326, '80.83.224.0', '80.83.255.255', 1347674112, 1347682303, 'RU', 'Russian Federation'),
(43327, '80.84.0.0', '80.84.15.255', 1347682304, 1347686399, 'DE', 'Germany'),
(43328, '80.84.16.0', '80.84.25.39', 1347686400, 1347688743, 'EU', 'Europe'),
(43329, '80.84.25.40', '80.84.25.47', 1347688744, 1347688751, 'ET', 'Ethiopia'),
(43330, '80.84.25.48', '80.84.25.63', 1347688752, 1347688767, 'SN', 'Senegal'),
(43331, '80.84.25.64', '80.84.25.255', 1347688768, 1347688959, 'EU', 'Europe'),
(43332, '80.84.26.0', '80.84.27.127', 1347688960, 1347689343, 'BE', 'Belgium'),
(43333, '80.84.27.128', '80.84.31.255', 1347689344, 1347690495, 'EU', 'Europe'),
(43334, '80.84.32.0', '80.84.47.255', 1347690496, 1347694591, 'SE', 'Sweden'),
(43335, '80.84.48.0', '80.84.95.255', 1347694592, 1347706879, 'GB', 'United Kingdom'),
(43336, '80.84.96.0', '80.84.111.255', 1347706880, 1347710975, 'IT', 'Italy'),
(43337, '80.84.112.0', '80.84.127.255', 1347710976, 1347715071, 'RU', 'Russian Federation'),
(43338, '80.84.128.0', '80.84.159.255', 1347715072, 1347723263, 'ES', 'Spain'),
(43339, '80.84.160.0', '80.84.175.255', 1347723264, 1347727359, 'GB', 'United Kingdom'),
(43340, '80.84.176.0', '80.84.191.255', 1347727360, 1347731455, 'UA', 'Ukraine'),
(43341, '80.84.192.0', '80.84.223.255', 1347731456, 1347739647, 'DE', 'Germany'),
(43342, '80.84.224.0', '80.84.255.255', 1347739648, 1347747839, 'NL', 'Netherlands'),
(43343, '80.85.0.0', '80.85.15.255', 1347747840, 1347751935, 'DE', 'Germany'),
(43344, '80.85.16.0', '80.85.26.255', 1347751936, 1347754751, 'CY', 'Cyprus'),
(43345, '80.85.27.0', '80.85.27.23', 1347754752, 1347754775, 'GR', 'Greece'),
(43346, '80.85.27.24', '80.85.27.39', 1347754776, 1347754791, 'CY', 'Cyprus'),
(43347, '80.85.27.40', '80.85.27.135', 1347754792, 1347754887, 'GR', 'Greece'),
(43348, '80.85.27.136', '80.85.27.136', 1347754888, 1347754888, 'CY', 'Cyprus'),
(43349, '80.85.27.137', '80.85.27.142', 1347754889, 1347754894, 'GR', 'Greece'),
(43350, '80.85.27.143', '80.85.27.143', 1347754895, 1347754895, 'CY', 'Cyprus'),
(43351, '80.85.27.144', '80.85.27.167', 1347754896, 1347754919, 'GR', 'Greece'),
(43352, '80.85.27.168', '80.85.27.175', 1347754920, 1347754927, 'CY', 'Cyprus'),
(43353, '80.85.27.176', '80.85.27.183', 1347754928, 1347754935, 'GR', 'Greece'),
(43354, '80.85.27.184', '80.85.27.191', 1347754936, 1347754943, 'RS', 'Serbia'),
(43355, '80.85.27.192', '80.85.27.199', 1347754944, 1347754951, 'CY', 'Cyprus'),
(43356, '80.85.27.200', '80.85.27.207', 1347754952, 1347754959, 'TN', 'Tunisia'),
(43357, '80.85.27.208', '80.85.27.215', 1347754960, 1347754967, 'CY', 'Cyprus'),
(43358, '80.85.27.216', '80.85.27.231', 1347754968, 1347754983, 'GR', 'Greece'),
(43359, '80.85.27.232', '80.85.27.239', 1347754984, 1347754991, 'CY', 'Cyprus'),
(43360, '80.85.27.240', '80.85.28.104', 1347754992, 1347755112, 'GR', 'Greece'),
(43361, '80.85.28.105', '80.85.28.111', 1347755113, 1347755119, 'CY', 'Cyprus'),
(43362, '80.85.28.112', '80.85.28.183', 1347755120, 1347755191, 'GR', 'Greece'),
(43363, '80.85.28.184', '80.85.28.215', 1347755192, 1347755223, 'CY', 'Cyprus'),
(43364, '80.85.28.216', '80.85.28.223', 1347755224, 1347755231, 'GR', 'Greece'),
(43365, '80.85.28.224', '80.85.28.231', 1347755232, 1347755239, 'CY', 'Cyprus'),
(43366, '80.85.28.232', '80.85.28.239', 1347755240, 1347755247, 'GR', 'Greece'),
(43367, '80.85.28.240', '80.85.28.255', 1347755248, 1347755263, 'CY', 'Cyprus'),
(43368, '80.85.29.0', '80.85.30.255', 1347755264, 1347755775, 'GR', 'Greece'),
(43369, '80.85.31.0', '80.85.31.255', 1347755776, 1347756031, 'CY', 'Cyprus'),
(43370, '80.85.32.0', '80.85.47.255', 1347756032, 1347760127, 'NL', 'Netherlands'),
(43371, '80.85.48.0', '80.85.63.255', 1347760128, 1347764223, 'HU', 'Hungary'),
(43372, '80.85.64.0', '80.85.95.255', 1347764224, 1347772415, 'GB', 'United Kingdom'),
(43373, '80.85.96.0', '80.85.111.255', 1347772416, 1347776511, 'MT', 'Malta'),
(43374, '80.85.112.0', '80.85.127.255', 1347776512, 1347780607, 'SE', 'Sweden'),
(43375, '80.85.128.0', '80.85.143.255', 1347780608, 1347784703, 'NL', 'Netherlands'),
(43376, '80.85.144.0', '80.85.159.255', 1347784704, 1347788799, 'RU', 'Russian Federation'),
(43377, '80.85.160.0', '80.85.175.255', 1347788800, 1347792895, 'NL', 'Netherlands'),
(43378, '80.85.176.0', '80.85.191.255', 1347792896, 1347796991, 'RU', 'Russian Federation'),
(43379, '80.85.192.0', '80.85.207.255', 1347796992, 1347801087, 'DE', 'Germany'),
(43380, '80.85.208.0', '80.85.223.255', 1347801088, 1347805183, 'GB', 'United Kingdom'),
(43381, '80.85.224.0', '80.85.239.255', 1347805184, 1347809279, 'PL', 'Poland'),
(43382, '80.85.240.0', '80.85.255.255', 1347809280, 1347813375, 'RU', 'Russian Federation'),
(43383, '80.86.0.0', '80.86.15.255', 1347813376, 1347817471, 'DE', 'Germany'),
(43384, '80.86.16.0', '80.86.31.255', 1347817472, 1347821567, 'A2', 'Satellite Provider'),
(43385, '80.86.32.0', '80.86.35.7', 1347821568, 1347822343, 'GB', 'United Kingdom'),
(43386, '80.86.35.8', '80.86.35.15', 1347822344, 1347822351, 'NL', 'Netherlands'),
(43387, '80.86.35.16', '80.86.47.255', 1347822352, 1347825663, 'GB', 'United Kingdom'),
(43388, '80.86.48.0', '80.86.63.255', 1347825664, 1347829759, 'IT', 'Italy'),
(43389, '80.86.64.0', '80.86.79.255', 1347829760, 1347833855, 'SE', 'Sweden'),
(43390, '80.86.80.0', '80.86.87.142', 1347833856, 1347835790, 'DE', 'Germany'),
(43391, '80.86.87.143', '80.86.87.143', 1347835791, 1347835791, 'GB', 'United Kingdom'),
(43392, '80.86.87.144', '80.86.87.146', 1347835792, 1347835794, 'DE', 'Germany'),
(43393, '80.86.87.147', '80.86.87.147', 1347835795, 1347835795, 'IN', 'India'),
(43394, '80.86.87.148', '80.86.87.148', 1347835796, 1347835796, 'GB', 'United Kingdom'),
(43395, '80.86.87.149', '80.86.87.163', 1347835797, 1347835811, 'DE', 'Germany'),
(43396, '80.86.87.164', '80.86.87.164', 1347835812, 1347835812, 'RU', 'Russian Federation'),
(43397, '80.86.87.165', '80.86.87.165', 1347835813, 1347835813, 'ZA', 'South Africa'),
(43398, '80.86.87.166', '80.86.87.166', 1347835814, 1347835814, 'PL', 'Poland'),
(43399, '80.86.87.167', '80.86.87.169', 1347835815, 1347835817, 'DE', 'Germany'),
(43400, '80.86.87.170', '80.86.87.170', 1347835818, 1347835818, 'AR', 'Argentina'),
(43401, '80.86.87.171', '80.86.87.171', 1347835819, 1347835819, 'DE', 'Germany'),
(43402, '80.86.87.172', '80.86.87.172', 1347835820, 1347835820, 'US', 'United States'),
(43403, '80.86.87.173', '80.86.87.173', 1347835821, 1347835821, 'ES', 'Spain'),
(43404, '80.86.87.174', '80.86.87.179', 1347835822, 1347835827, 'DE', 'Germany'),
(43405, '80.86.87.180', '80.86.87.180', 1347835828, 1347835828, 'PL', 'Poland'),
(43406, '80.86.87.181', '80.86.87.186', 1347835829, 1347835834, 'DE', 'Germany'),
(43407, '80.86.87.187', '80.86.87.187', 1347835835, 1347835835, 'IN', 'India'),
(43408, '80.86.87.188', '80.86.87.193', 1347835836, 1347835841, 'DE', 'Germany'),
(43409, '80.86.87.194', '80.86.87.194', 1347835842, 1347835842, 'AR', 'Argentina'),
(43410, '80.86.87.195', '80.86.87.195', 1347835843, 1347835843, 'DE', 'Germany'),
(43411, '80.86.87.196', '80.86.87.196', 1347835844, 1347835844, 'US', 'United States'),
(43412, '80.86.87.197', '80.86.87.197', 1347835845, 1347835845, 'DE', 'Germany'),
(43413, '80.86.87.198', '80.86.87.198', 1347835846, 1347835846, 'JM', 'Jamaica'),
(43414, '80.86.87.199', '80.86.87.200', 1347835847, 1347835848, 'DE', 'Germany'),
(43415, '80.86.87.201', '80.86.87.201', 1347835849, 1347835849, 'AQ', 'Antarctica'),
(43416, '80.86.87.202', '80.86.87.202', 1347835850, 1347835850, 'DE', 'Germany'),
(43417, '80.86.87.203', '80.86.87.203', 1347835851, 1347835851, 'AQ', 'Antarctica'),
(43418, '80.86.87.204', '80.86.87.211', 1347835852, 1347835859, 'DE', 'Germany'),
(43419, '80.86.87.212', '80.86.87.212', 1347835860, 1347835860, 'PL', 'Poland'),
(43420, '80.86.87.213', '80.86.87.217', 1347835861, 1347835865, 'DE', 'Germany'),
(43421, '80.86.87.218', '80.86.87.218', 1347835866, 1347835866, 'PH', 'Philippines'),
(43422, '80.86.87.219', '80.86.87.219', 1347835867, 1347835867, 'DE', 'Germany'),
(43423, '80.86.87.220', '80.86.87.220', 1347835868, 1347835868, 'PH', 'Philippines'),
(43424, '80.86.87.221', '80.86.87.221', 1347835869, 1347835869, 'NL', 'Netherlands'),
(43425, '80.86.87.222', '80.86.87.222', 1347835870, 1347835870, 'GR', 'Greece'),
(43426, '80.86.87.223', '80.86.87.225', 1347835871, 1347835873, 'DE', 'Germany'),
(43427, '80.86.87.226', '80.86.87.226', 1347835874, 1347835874, 'AR', 'Argentina'),
(43428, '80.86.87.227', '80.86.87.227', 1347835875, 1347835875, 'BR', 'Brazil'),
(43429, '80.86.87.228', '80.86.87.231', 1347835876, 1347835879, 'DE', 'Germany'),
(43430, '80.86.87.232', '80.86.87.232', 1347835880, 1347835880, 'IT', 'Italy'),
(43431, '80.86.87.233', '80.86.87.233', 1347835881, 1347835881, 'TR', 'Turkey'),
(43432, '80.86.87.234', '80.86.87.235', 1347835882, 1347835883, 'TH', 'Thailand'),
(43433, '80.86.87.236', '80.86.87.238', 1347835884, 1347835886, 'TW', 'Taiwan'),
(43434, '80.86.87.239', '80.86.87.241', 1347835887, 1347835889, 'DE', 'Germany'),
(43435, '80.86.87.242', '80.86.87.244', 1347835890, 1347835892, 'ID', 'Indonesia'),
(43436, '80.86.87.245', '80.86.87.245', 1347835893, 1347835893, 'BD', 'Bangladesh'),
(43437, '80.86.87.246', '80.86.87.246', 1347835894, 1347835894, 'DE', 'Germany'),
(43438, '80.86.87.247', '80.86.87.247', 1347835895, 1347835895, 'ES', 'Spain'),
(43439, '80.86.87.248', '80.86.87.249', 1347835896, 1347835897, 'DE', 'Germany'),
(43440, '80.86.87.250', '80.86.87.250', 1347835898, 1347835898, 'VN', 'Vietnam'),
(43441, '80.86.87.251', '80.86.88.71', 1347835899, 1347835975, 'DE', 'Germany'),
(43442, '80.86.88.72', '80.86.88.72', 1347835976, 1347835976, 'BR', 'Brazil'),
(43443, '80.86.88.73', '80.86.88.73', 1347835977, 1347835977, 'GR', 'Greece'),
(43444, '80.86.88.74', '80.86.88.77', 1347835978, 1347835981, 'BR', 'Brazil'),
(43445, '80.86.88.78', '80.86.88.78', 1347835982, 1347835982, 'DE', 'Germany'),
(43446, '80.86.88.79', '80.86.88.80', 1347835983, 1347835984, 'RU', 'Russian Federation'),
(43447, '80.86.88.81', '80.86.88.81', 1347835985, 1347835985, 'PL', 'Poland'),
(43448, '80.86.88.82', '80.86.88.84', 1347835986, 1347835988, 'DK', 'Denmark'),
(43449, '80.86.88.85', '80.86.88.95', 1347835989, 1347835999, 'DE', 'Germany'),
(43450, '80.86.88.96', '80.86.88.96', 1347836000, 1347836000, 'BR', 'Brazil'),
(43451, '80.86.88.97', '80.86.88.100', 1347836001, 1347836004, 'DE', 'Germany'),
(43452, '80.86.88.101', '80.86.88.101', 1347836005, 1347836005, 'BR', 'Brazil'),
(43453, '80.86.88.102', '80.86.88.104', 1347836006, 1347836008, 'CA', 'Canada'),
(43454, '80.86.88.105', '80.86.88.106', 1347836009, 1347836010, 'DE', 'Germany'),
(43455, '80.86.88.107', '80.86.88.108', 1347836011, 1347836012, 'BR', 'Brazil'),
(43456, '80.86.88.109', '80.86.88.110', 1347836013, 1347836014, 'DE', 'Germany'),
(43457, '80.86.88.111', '80.86.88.111', 1347836015, 1347836015, 'MX', 'Mexico'),
(43458, '80.86.88.112', '80.86.88.113', 1347836016, 1347836017, 'DE', 'Germany'),
(43459, '80.86.88.114', '80.86.88.116', 1347836018, 1347836020, 'CA', 'Canada'),
(43460, '80.86.88.117', '80.86.88.118', 1347836021, 1347836022, 'DE', 'Germany'),
(43461, '80.86.88.119', '80.86.88.120', 1347836023, 1347836024, 'MD', 'Moldova, Republic of'),
(43462, '80.86.88.121', '80.86.88.122', 1347836025, 1347836026, 'DE', 'Germany'),
(43463, '80.86.88.123', '80.86.88.123', 1347836027, 1347836027, 'MD', 'Moldova, Republic of'),
(43464, '80.86.88.124', '80.86.88.125', 1347836028, 1347836029, 'DE', 'Germany'),
(43465, '80.86.88.126', '80.86.88.126', 1347836030, 1347836030, 'BR', 'Brazil'),
(43466, '80.86.88.127', '80.86.88.129', 1347836031, 1347836033, 'DE', 'Germany'),
(43467, '80.86.88.130', '80.86.88.131', 1347836034, 1347836035, 'BR', 'Brazil'),
(43468, '80.86.88.132', '80.86.88.132', 1347836036, 1347836036, 'DE', 'Germany'),
(43469, '80.86.88.133', '80.86.88.134', 1347836037, 1347836038, 'UG', 'Uganda'),
(43470, '80.86.88.135', '80.86.88.135', 1347836039, 1347836039, 'DE', 'Germany'),
(43471, '80.86.88.136', '80.86.88.137', 1347836040, 1347836041, 'UA', 'Ukraine'),
(43472, '80.86.88.138', '80.86.88.140', 1347836042, 1347836044, 'DE', 'Germany'),
(43473, '80.86.88.141', '80.86.88.143', 1347836045, 1347836047, 'TR', 'Turkey'),
(43474, '80.86.88.144', '80.86.88.145', 1347836048, 1347836049, 'DE', 'Germany'),
(43475, '80.86.88.146', '80.86.88.148', 1347836050, 1347836052, 'US', 'United States'),
(43476, '80.86.88.149', '80.86.88.149', 1347836053, 1347836053, 'KR', 'Korea, Republic of'),
(43477, '80.86.88.150', '80.86.88.152', 1347836054, 1347836056, 'DE', 'Germany'),
(43478, '80.86.88.153', '80.86.88.153', 1347836057, 1347836057, 'BR', 'Brazil'),
(43479, '80.86.88.154', '80.86.88.154', 1347836058, 1347836058, 'DE', 'Germany'),
(43480, '80.86.88.155', '80.86.88.157', 1347836059, 1347836061, 'US', 'United States'),
(43481, '80.86.88.158', '80.86.94.71', 1347836062, 1347837511, 'DE', 'Germany'),
(43482, '80.86.94.72', '80.86.94.72', 1347837512, 1347837512, 'IL', 'Israel'),
(43483, '80.86.94.73', '80.86.94.75', 1347837513, 1347837515, 'DE', 'Germany'),
(43484, '80.86.94.76', '80.86.94.77', 1347837516, 1347837517, 'RU', 'Russian Federation'),
(43485, '80.86.94.78', '80.86.94.83', 1347837518, 1347837523, 'DE', 'Germany'),
(43486, '80.86.94.84', '80.86.94.85', 1347837524, 1347837525, 'BR', 'Brazil'),
(43487, '80.86.94.86', '80.86.94.98', 1347837526, 1347837538, 'DE', 'Germany'),
(43488, '80.86.94.99', '80.86.94.101', 1347837539, 1347837541, 'TR', 'Turkey'),
(43489, '80.86.94.102', '80.86.94.138', 1347837542, 1347837578, 'DE', 'Germany'),
(43490, '80.86.94.139', '80.86.94.139', 1347837579, 1347837579, 'BR', 'Brazil'),
(43491, '80.86.94.140', '80.86.94.140', 1347837580, 1347837580, 'DE', 'Germany'),
(43492, '80.86.94.141', '80.86.94.141', 1347837581, 1347837581, 'BR', 'Brazil'),
(43493, '80.86.94.142', '80.86.94.142', 1347837582, 1347837582, 'TR', 'Turkey'),
(43494, '80.86.94.143', '80.86.94.143', 1347837583, 1347837583, 'US', 'United States'),
(43495, '80.86.94.144', '80.86.94.150', 1347837584, 1347837590, 'DE', 'Germany'),
(43496, '80.86.94.151', '80.86.94.151', 1347837591, 1347837591, 'TR', 'Turkey');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(43497, '80.86.94.152', '80.86.94.153', 1347837592, 1347837593, 'DE', 'Germany'),
(43498, '80.86.94.154', '80.86.94.155', 1347837594, 1347837595, 'RU', 'Russian Federation'),
(43499, '80.86.94.156', '80.86.94.158', 1347837596, 1347837598, 'FI', 'Finland'),
(43500, '80.86.94.159', '80.86.94.160', 1347837599, 1347837600, 'DO', 'Dominican Republic'),
(43501, '80.86.94.161', '80.86.94.164', 1347837601, 1347837604, 'DE', 'Germany'),
(43502, '80.86.94.165', '80.86.94.165', 1347837605, 1347837605, 'IN', 'India'),
(43503, '80.86.94.166', '80.86.94.168', 1347837606, 1347837608, 'TR', 'Turkey'),
(43504, '80.86.94.169', '80.86.94.170', 1347837609, 1347837610, 'DE', 'Germany'),
(43505, '80.86.94.171', '80.86.94.171', 1347837611, 1347837611, 'BY', 'Belarus'),
(43506, '80.86.94.172', '80.86.94.176', 1347837612, 1347837616, 'DE', 'Germany'),
(43507, '80.86.94.177', '80.86.94.179', 1347837617, 1347837619, 'IN', 'India'),
(43508, '80.86.94.180', '80.86.94.182', 1347837620, 1347837622, 'TW', 'Taiwan'),
(43509, '80.86.94.183', '80.86.94.186', 1347837623, 1347837626, 'DE', 'Germany'),
(43510, '80.86.94.187', '80.86.94.189', 1347837627, 1347837629, 'RU', 'Russian Federation'),
(43511, '80.86.94.190', '80.86.95.255', 1347837630, 1347837951, 'DE', 'Germany'),
(43512, '80.86.96.0', '80.86.127.255', 1347837952, 1347846143, 'RO', 'Romania'),
(43513, '80.86.128.0', '80.86.143.255', 1347846144, 1347850239, 'NO', 'Norway'),
(43514, '80.86.144.0', '80.86.159.255', 1347850240, 1347854335, 'IT', 'Italy'),
(43515, '80.86.160.0', '80.86.160.255', 1347854336, 1347854591, 'DE', 'Germany'),
(43516, '80.86.161.0', '80.86.161.7', 1347854592, 1347854599, 'EU', 'Europe'),
(43517, '80.86.161.8', '80.86.161.15', 1347854600, 1347854607, 'DE', 'Germany'),
(43518, '80.86.161.16', '80.86.161.31', 1347854608, 1347854623, 'EU', 'Europe'),
(43519, '80.86.161.32', '80.86.161.47', 1347854624, 1347854639, 'DE', 'Germany'),
(43520, '80.86.161.48', '80.86.161.63', 1347854640, 1347854655, 'EU', 'Europe'),
(43521, '80.86.161.64', '80.86.161.199', 1347854656, 1347854791, 'DE', 'Germany'),
(43522, '80.86.161.200', '80.86.161.255', 1347854792, 1347854847, 'EU', 'Europe'),
(43523, '80.86.162.0', '80.86.162.23', 1347854848, 1347854871, 'DE', 'Germany'),
(43524, '80.86.162.24', '80.86.162.31', 1347854872, 1347854879, 'EU', 'Europe'),
(43525, '80.86.162.32', '80.86.162.39', 1347854880, 1347854887, 'DE', 'Germany'),
(43526, '80.86.162.40', '80.86.162.63', 1347854888, 1347854911, 'EU', 'Europe'),
(43527, '80.86.162.64', '80.86.162.175', 1347854912, 1347855023, 'DE', 'Germany'),
(43528, '80.86.162.176', '80.86.162.191', 1347855024, 1347855039, 'EU', 'Europe'),
(43529, '80.86.162.192', '80.86.162.223', 1347855040, 1347855071, 'DE', 'Germany'),
(43530, '80.86.162.224', '80.86.162.239', 1347855072, 1347855087, 'EU', 'Europe'),
(43531, '80.86.162.240', '80.86.162.255', 1347855088, 1347855103, 'DE', 'Germany'),
(43532, '80.86.163.0', '80.86.163.255', 1347855104, 1347855359, 'CH', 'Switzerland'),
(43533, '80.86.164.0', '80.86.166.63', 1347855360, 1347855935, 'DE', 'Germany'),
(43534, '80.86.166.64', '80.86.166.71', 1347855936, 1347855943, 'EU', 'Europe'),
(43535, '80.86.166.72', '80.86.166.79', 1347855944, 1347855951, 'DE', 'Germany'),
(43536, '80.86.166.80', '80.86.166.87', 1347855952, 1347855959, 'EU', 'Europe'),
(43537, '80.86.166.88', '80.86.166.95', 1347855960, 1347855967, 'DE', 'Germany'),
(43538, '80.86.166.96', '80.86.166.127', 1347855968, 1347855999, 'EU', 'Europe'),
(43539, '80.86.166.128', '80.86.166.191', 1347856000, 1347856063, 'DE', 'Germany'),
(43540, '80.86.166.192', '80.86.166.207', 1347856064, 1347856079, 'EU', 'Europe'),
(43541, '80.86.166.208', '80.86.166.215', 1347856080, 1347856087, 'DE', 'Germany'),
(43542, '80.86.166.216', '80.86.166.223', 1347856088, 1347856095, 'EU', 'Europe'),
(43543, '80.86.166.224', '80.86.166.255', 1347856096, 1347856127, 'DE', 'Germany'),
(43544, '80.86.167.0', '80.86.167.63', 1347856128, 1347856191, 'EU', 'Europe'),
(43545, '80.86.167.64', '80.86.167.111', 1347856192, 1347856239, 'DE', 'Germany'),
(43546, '80.86.167.112', '80.86.167.127', 1347856240, 1347856255, 'EU', 'Europe'),
(43547, '80.86.167.128', '80.86.167.255', 1347856256, 1347856383, 'DE', 'Germany'),
(43548, '80.86.168.0', '80.86.168.15', 1347856384, 1347856399, 'EU', 'Europe'),
(43549, '80.86.168.16', '80.86.168.39', 1347856400, 1347856423, 'DE', 'Germany'),
(43550, '80.86.168.40', '80.86.168.63', 1347856424, 1347856447, 'EU', 'Europe'),
(43551, '80.86.168.64', '80.86.168.207', 1347856448, 1347856591, 'DE', 'Germany'),
(43552, '80.86.168.208', '80.86.168.223', 1347856592, 1347856607, 'EU', 'Europe'),
(43553, '80.86.168.224', '80.86.168.255', 1347856608, 1347856639, 'DE', 'Germany'),
(43554, '80.86.169.0', '80.86.169.255', 1347856640, 1347856895, 'AT', 'Austria'),
(43555, '80.86.170.0', '80.86.176.63', 1347856896, 1347858495, 'DE', 'Germany'),
(43556, '80.86.176.64', '80.86.176.71', 1347858496, 1347858503, 'EU', 'Europe'),
(43557, '80.86.176.72', '80.86.176.95', 1347858504, 1347858527, 'DE', 'Germany'),
(43558, '80.86.176.96', '80.86.176.127', 1347858528, 1347858559, 'EU', 'Europe'),
(43559, '80.86.176.128', '80.86.176.143', 1347858560, 1347858575, 'DE', 'Germany'),
(43560, '80.86.176.144', '80.86.176.191', 1347858576, 1347858623, 'EU', 'Europe'),
(43561, '80.86.176.192', '80.86.176.199', 1347858624, 1347858631, 'DE', 'Germany'),
(43562, '80.86.176.200', '80.86.176.207', 1347858632, 1347858639, 'EU', 'Europe'),
(43563, '80.86.176.208', '80.86.177.63', 1347858640, 1347858751, 'DE', 'Germany'),
(43564, '80.86.177.64', '80.86.177.127', 1347858752, 1347858815, 'EU', 'Europe'),
(43565, '80.86.177.128', '80.86.179.135', 1347858816, 1347859335, 'DE', 'Germany'),
(43566, '80.86.179.136', '80.86.179.143', 1347859336, 1347859343, 'EU', 'Europe'),
(43567, '80.86.179.144', '80.86.179.151', 1347859344, 1347859351, 'DE', 'Germany'),
(43568, '80.86.179.152', '80.86.179.159', 1347859352, 1347859359, 'EU', 'Europe'),
(43569, '80.86.179.160', '80.86.179.183', 1347859360, 1347859383, 'DE', 'Germany'),
(43570, '80.86.179.184', '80.86.179.191', 1347859384, 1347859391, 'EU', 'Europe'),
(43571, '80.86.179.192', '80.86.179.223', 1347859392, 1347859423, 'DE', 'Germany'),
(43572, '80.86.179.224', '80.86.179.255', 1347859424, 1347859455, 'EU', 'Europe'),
(43573, '80.86.180.0', '80.86.185.127', 1347859456, 1347860863, 'DE', 'Germany'),
(43574, '80.86.185.128', '80.86.185.143', 1347860864, 1347860879, 'EU', 'Europe'),
(43575, '80.86.185.144', '80.86.185.159', 1347860880, 1347860895, 'DE', 'Germany'),
(43576, '80.86.185.160', '80.86.185.175', 1347860896, 1347860911, 'EU', 'Europe'),
(43577, '80.86.185.176', '80.86.185.191', 1347860912, 1347860927, 'DE', 'Germany'),
(43578, '80.86.185.192', '80.86.185.207', 1347860928, 1347860943, 'EU', 'Europe'),
(43579, '80.86.185.208', '80.86.187.135', 1347860944, 1347861383, 'DE', 'Germany'),
(43580, '80.86.187.136', '80.86.187.143', 1347861384, 1347861391, 'EU', 'Europe'),
(43581, '80.86.187.144', '80.86.187.147', 1347861392, 1347861395, 'DE', 'Germany'),
(43582, '80.86.187.148', '80.86.187.151', 1347861396, 1347861399, 'EU', 'Europe'),
(43583, '80.86.187.152', '80.86.187.223', 1347861400, 1347861471, 'DE', 'Germany'),
(43584, '80.86.187.224', '80.86.187.255', 1347861472, 1347861503, 'EU', 'Europe'),
(43585, '80.86.188.0', '80.86.188.255', 1347861504, 1347861759, 'DE', 'Germany'),
(43586, '80.86.189.0', '80.86.189.39', 1347861760, 1347861799, 'EU', 'Europe'),
(43587, '80.86.189.40', '80.86.189.63', 1347861800, 1347861823, 'DE', 'Germany'),
(43588, '80.86.189.64', '80.86.189.183', 1347861824, 1347861943, 'EU', 'Europe'),
(43589, '80.86.189.184', '80.86.189.191', 1347861944, 1347861951, 'DE', 'Germany'),
(43590, '80.86.189.192', '80.86.189.247', 1347861952, 1347862007, 'EU', 'Europe'),
(43591, '80.86.189.248', '80.86.189.255', 1347862008, 1347862015, 'CH', 'Switzerland'),
(43592, '80.86.190.0', '80.86.190.95', 1347862016, 1347862111, 'EU', 'Europe'),
(43593, '80.86.190.96', '80.86.190.127', 1347862112, 1347862143, 'DE', 'Germany'),
(43594, '80.86.190.128', '80.86.191.7', 1347862144, 1347862279, 'EU', 'Europe'),
(43595, '80.86.191.8', '80.86.191.15', 1347862280, 1347862287, 'DE', 'Germany'),
(43596, '80.86.191.16', '80.86.191.31', 1347862288, 1347862303, 'EU', 'Europe'),
(43597, '80.86.191.32', '80.86.191.159', 1347862304, 1347862431, 'DE', 'Germany'),
(43598, '80.86.191.160', '80.86.191.191', 1347862432, 1347862463, 'EU', 'Europe'),
(43599, '80.86.191.192', '80.86.191.199', 1347862464, 1347862471, 'DE', 'Germany'),
(43600, '80.86.191.200', '80.86.191.207', 1347862472, 1347862479, 'EU', 'Europe'),
(43601, '80.86.191.208', '80.86.191.255', 1347862480, 1347862527, 'DE', 'Germany'),
(43602, '80.86.192.0', '80.86.207.255', 1347862528, 1347866623, 'CH', 'Switzerland'),
(43603, '80.86.208.0', '80.86.223.255', 1347866624, 1347870719, 'NO', 'Norway'),
(43604, '80.86.224.0', '80.86.239.255', 1347870720, 1347874815, 'AM', 'Armenia'),
(43605, '80.86.240.0', '80.86.240.122', 1347874816, 1347874938, 'RU', 'Russian Federation'),
(43606, '80.86.240.123', '80.86.242.122', 1347874939, 1347875450, 'SE', 'Sweden'),
(43607, '80.86.242.123', '80.86.253.255', 1347875451, 1347878399, 'RU', 'Russian Federation'),
(43608, '80.86.254.0', '80.86.255.255', 1347878400, 1347878911, 'SK', 'Slovakia'),
(43609, '80.87.0.0', '80.87.31.255', 1347878912, 1347887103, 'GB', 'United Kingdom'),
(43610, '80.87.32.0', '80.87.47.255', 1347887104, 1347891199, 'PL', 'Poland'),
(43611, '80.87.48.0', '80.87.63.247', 1347891200, 1347895287, 'SE', 'Sweden'),
(43612, '80.87.63.248', '80.87.63.255', 1347895288, 1347895295, 'GB', 'United Kingdom'),
(43613, '80.87.64.0', '80.87.95.255', 1347895296, 1347903487, 'GH', 'Ghana'),
(43614, '80.87.96.0', '80.87.111.255', 1347903488, 1347907583, 'RU', 'Russian Federation'),
(43615, '80.87.112.0', '80.87.127.255', 1347907584, 1347911679, 'DE', 'Germany'),
(43616, '80.87.128.0', '80.87.143.255', 1347911680, 1347915775, 'GB', 'United Kingdom'),
(43617, '80.87.144.0', '80.87.159.255', 1347915776, 1347919871, 'RU', 'Russian Federation'),
(43618, '80.87.160.0', '80.87.169.127', 1347919872, 1347922303, 'DE', 'Germany'),
(43619, '80.87.169.128', '80.87.169.143', 1347922304, 1347922319, 'NL', 'Netherlands'),
(43620, '80.87.169.144', '80.87.175.255', 1347922320, 1347923967, 'DE', 'Germany'),
(43621, '80.87.176.0', '80.87.191.255', 1347923968, 1347928063, 'CZ', 'Czech Republic'),
(43622, '80.87.192.0', '80.87.207.255', 1347928064, 1347932159, 'RU', 'Russian Federation'),
(43623, '80.87.208.0', '80.87.209.223', 1347932160, 1347932639, 'SK', 'Slovakia'),
(43624, '80.87.209.224', '80.87.209.239', 1347932640, 1347932655, 'PL', 'Poland'),
(43625, '80.87.209.240', '80.87.209.247', 1347932656, 1347932663, 'SK', 'Slovakia'),
(43626, '80.87.209.248', '80.87.209.251', 1347932664, 1347932667, 'PL', 'Poland'),
(43627, '80.87.209.252', '80.87.223.255', 1347932668, 1347936255, 'SK', 'Slovakia'),
(43628, '80.87.224.0', '80.87.239.255', 1347936256, 1347940351, 'FR', 'France'),
(43629, '80.87.240.0', '80.87.255.255', 1347940352, 1347944447, 'BA', 'Bosnia and Herzegovina'),
(43630, '80.88.12.0', '80.88.15.255', 1347947520, 1347948543, 'DZ', 'Algeria'),
(43631, '80.88.16.0', '80.88.31.255', 1347948544, 1347952639, 'DE', 'Germany'),
(43632, '80.88.32.0', '80.88.47.255', 1347952640, 1347956735, 'BE', 'Belgium'),
(43633, '80.88.48.0', '80.88.63.255', 1347956736, 1347960831, 'RU', 'Russian Federation'),
(43634, '80.88.64.0', '80.88.79.255', 1347960832, 1347964927, 'DE', 'Germany'),
(43635, '80.88.80.0', '80.88.95.255', 1347964928, 1347969023, 'IT', 'Italy'),
(43636, '80.88.96.0', '80.88.127.255', 1347969024, 1347977215, 'SE', 'Sweden'),
(43637, '80.88.128.0', '80.88.131.23', 1347977216, 1347978007, 'A2', 'Satellite Provider'),
(43638, '80.88.131.24', '80.88.131.31', 1347978008, 1347978015, 'NG', 'Nigeria'),
(43639, '80.88.131.32', '80.88.131.47', 1347978016, 1347978031, 'A2', 'Satellite Provider'),
(43640, '80.88.131.48', '80.88.131.55', 1347978032, 1347978039, 'NG', 'Nigeria'),
(43641, '80.88.131.56', '80.88.131.207', 1347978040, 1347978191, 'A2', 'Satellite Provider'),
(43642, '80.88.131.208', '80.88.131.215', 1347978192, 1347978199, 'NG', 'Nigeria'),
(43643, '80.88.131.216', '80.88.132.23', 1347978200, 1347978263, 'A2', 'Satellite Provider'),
(43644, '80.88.132.24', '80.88.132.31', 1347978264, 1347978271, 'NG', 'Nigeria'),
(43645, '80.88.132.32', '80.88.132.79', 1347978272, 1347978319, 'A2', 'Satellite Provider'),
(43646, '80.88.132.80', '80.88.132.87', 1347978320, 1347978327, 'NG', 'Nigeria'),
(43647, '80.88.132.88', '80.88.132.111', 1347978328, 1347978351, 'A2', 'Satellite Provider'),
(43648, '80.88.132.112', '80.88.132.119', 1347978352, 1347978359, 'NG', 'Nigeria'),
(43649, '80.88.132.120', '80.88.132.135', 1347978360, 1347978375, 'A2', 'Satellite Provider'),
(43650, '80.88.132.136', '80.88.132.167', 1347978376, 1347978407, 'NG', 'Nigeria'),
(43651, '80.88.132.168', '80.88.132.207', 1347978408, 1347978447, 'A2', 'Satellite Provider'),
(43652, '80.88.132.208', '80.88.132.223', 1347978448, 1347978463, 'NG', 'Nigeria'),
(43653, '80.88.132.224', '80.88.133.135', 1347978464, 1347978631, 'A2', 'Satellite Provider'),
(43654, '80.88.133.136', '80.88.133.151', 1347978632, 1347978647, 'NG', 'Nigeria'),
(43655, '80.88.133.152', '80.88.133.231', 1347978648, 1347978727, 'A2', 'Satellite Provider'),
(43656, '80.88.133.232', '80.88.133.239', 1347978728, 1347978735, 'NG', 'Nigeria'),
(43657, '80.88.133.240', '80.88.134.95', 1347978736, 1347978847, 'A2', 'Satellite Provider'),
(43658, '80.88.134.96', '80.88.134.103', 1347978848, 1347978855, 'NG', 'Nigeria'),
(43659, '80.88.134.104', '80.88.134.183', 1347978856, 1347978935, 'A2', 'Satellite Provider'),
(43660, '80.88.134.184', '80.88.134.191', 1347978936, 1347978943, 'NG', 'Nigeria'),
(43661, '80.88.134.192', '80.88.135.47', 1347978944, 1347979055, 'A2', 'Satellite Provider'),
(43662, '80.88.135.48', '80.88.135.63', 1347979056, 1347979071, 'NG', 'Nigeria'),
(43663, '80.88.135.64', '80.88.135.127', 1347979072, 1347979135, 'A2', 'Satellite Provider'),
(43664, '80.88.135.128', '80.88.135.135', 1347979136, 1347979143, 'NG', 'Nigeria'),
(43665, '80.88.135.136', '80.88.135.151', 1347979144, 1347979159, 'A2', 'Satellite Provider'),
(43666, '80.88.135.152', '80.88.135.159', 1347979160, 1347979167, 'NG', 'Nigeria'),
(43667, '80.88.135.160', '80.88.135.223', 1347979168, 1347979231, 'A2', 'Satellite Provider'),
(43668, '80.88.135.224', '80.88.135.239', 1347979232, 1347979247, 'NG', 'Nigeria'),
(43669, '80.88.135.240', '80.88.136.111', 1347979248, 1347979375, 'A2', 'Satellite Provider'),
(43670, '80.88.136.112', '80.88.136.135', 1347979376, 1347979399, 'NG', 'Nigeria'),
(43671, '80.88.136.136', '80.88.137.63', 1347979400, 1347979583, 'A2', 'Satellite Provider'),
(43672, '80.88.137.64', '80.88.137.71', 1347979584, 1347979591, 'NG', 'Nigeria'),
(43673, '80.88.137.72', '80.88.137.223', 1347979592, 1347979743, 'A2', 'Satellite Provider'),
(43674, '80.88.137.224', '80.88.137.231', 1347979744, 1347979751, 'NG', 'Nigeria'),
(43675, '80.88.137.232', '80.88.139.79', 1347979752, 1347980111, 'A2', 'Satellite Provider'),
(43676, '80.88.139.80', '80.88.139.95', 1347980112, 1347980127, 'GN', 'Guinea'),
(43677, '80.88.139.96', '80.88.139.239', 1347980128, 1347980271, 'A2', 'Satellite Provider'),
(43678, '80.88.139.240', '80.88.139.247', 1347980272, 1347980279, 'DK', 'Denmark'),
(43679, '80.88.139.248', '80.88.142.207', 1347980280, 1347981007, 'A2', 'Satellite Provider'),
(43680, '80.88.142.208', '80.88.142.215', 1347981008, 1347981015, 'NG', 'Nigeria'),
(43681, '80.88.142.216', '80.88.142.223', 1347981016, 1347981023, 'A2', 'Satellite Provider'),
(43682, '80.88.142.224', '80.88.142.231', 1347981024, 1347981031, 'NG', 'Nigeria'),
(43683, '80.88.142.232', '80.88.143.199', 1347981032, 1347981255, 'A2', 'Satellite Provider'),
(43684, '80.88.143.200', '80.88.143.207', 1347981256, 1347981263, 'DK', 'Denmark'),
(43685, '80.88.143.208', '80.88.146.103', 1347981264, 1347981927, 'A2', 'Satellite Provider'),
(43686, '80.88.146.104', '80.88.146.111', 1347981928, 1347981935, 'NG', 'Nigeria'),
(43687, '80.88.146.112', '80.88.146.207', 1347981936, 1347982031, 'A2', 'Satellite Provider'),
(43688, '80.88.146.208', '80.88.146.231', 1347982032, 1347982055, 'NG', 'Nigeria'),
(43689, '80.88.146.232', '80.88.147.199', 1347982056, 1347982279, 'A2', 'Satellite Provider'),
(43690, '80.88.147.200', '80.88.147.207', 1347982280, 1347982287, 'NG', 'Nigeria'),
(43691, '80.88.147.208', '80.88.150.79', 1347982288, 1347982927, 'A2', 'Satellite Provider'),
(43692, '80.88.150.80', '80.88.150.95', 1347982928, 1347982943, 'NG', 'Nigeria'),
(43693, '80.88.150.96', '80.88.150.215', 1347982944, 1347983063, 'A2', 'Satellite Provider'),
(43694, '80.88.150.216', '80.88.150.223', 1347983064, 1347983071, 'NG', 'Nigeria'),
(43695, '80.88.150.224', '80.88.151.143', 1347983072, 1347983247, 'A2', 'Satellite Provider'),
(43696, '80.88.151.144', '80.88.151.159', 1347983248, 1347983263, 'DK', 'Denmark'),
(43697, '80.88.151.160', '80.88.151.199', 1347983264, 1347983303, 'A2', 'Satellite Provider'),
(43698, '80.88.151.200', '80.88.151.207', 1347983304, 1347983311, 'NG', 'Nigeria'),
(43699, '80.88.151.208', '80.88.152.39', 1347983312, 1347983399, 'A2', 'Satellite Provider'),
(43700, '80.88.152.40', '80.88.152.47', 1347983400, 1347983407, 'A1', 'Anonymous Proxy'),
(43701, '80.88.152.48', '80.88.154.31', 1347983408, 1347983903, 'A2', 'Satellite Provider'),
(43702, '80.88.154.32', '80.88.154.39', 1347983904, 1347983911, 'NG', 'Nigeria'),
(43703, '80.88.154.40', '80.88.154.47', 1347983912, 1347983919, 'A2', 'Satellite Provider'),
(43704, '80.88.154.48', '80.88.154.55', 1347983920, 1347983927, 'NG', 'Nigeria'),
(43705, '80.88.154.56', '80.88.154.111', 1347983928, 1347983983, 'A2', 'Satellite Provider'),
(43706, '80.88.154.112', '80.88.154.255', 1347983984, 1347984127, 'NG', 'Nigeria'),
(43707, '80.88.155.0', '80.88.155.79', 1347984128, 1347984207, 'A2', 'Satellite Provider'),
(43708, '80.88.155.80', '80.88.155.87', 1347984208, 1347984215, 'NG', 'Nigeria'),
(43709, '80.88.155.88', '80.88.156.31', 1347984216, 1347984415, 'A2', 'Satellite Provider'),
(43710, '80.88.156.32', '80.88.156.39', 1347984416, 1347984423, 'NG', 'Nigeria'),
(43711, '80.88.156.40', '80.88.157.79', 1347984424, 1347984719, 'A2', 'Satellite Provider'),
(43712, '80.88.157.80', '80.88.157.87', 1347984720, 1347984727, 'NG', 'Nigeria'),
(43713, '80.88.157.88', '80.88.157.239', 1347984728, 1347984879, 'A2', 'Satellite Provider'),
(43714, '80.88.157.240', '80.88.157.255', 1347984880, 1347984895, 'NG', 'Nigeria'),
(43715, '80.88.158.0', '80.88.158.63', 1347984896, 1347984959, 'A2', 'Satellite Provider'),
(43716, '80.88.158.64', '80.88.158.95', 1347984960, 1347984991, 'NG', 'Nigeria'),
(43717, '80.88.158.96', '80.88.158.135', 1347984992, 1347985031, 'A2', 'Satellite Provider'),
(43718, '80.88.158.136', '80.88.158.143', 1347985032, 1347985039, 'NG', 'Nigeria'),
(43719, '80.88.158.144', '80.88.158.207', 1347985040, 1347985103, 'A2', 'Satellite Provider'),
(43720, '80.88.158.208', '80.88.158.223', 1347985104, 1347985119, 'NG', 'Nigeria'),
(43721, '80.88.158.224', '80.88.158.255', 1347985120, 1347985151, 'A2', 'Satellite Provider'),
(43722, '80.88.159.0', '80.88.159.255', 1347985152, 1347985407, 'DK', 'Denmark'),
(43723, '80.88.160.0', '80.88.175.255', 1347985408, 1347989503, 'IT', 'Italy'),
(43724, '80.88.176.0', '80.88.191.255', 1347989504, 1347993599, 'FI', 'Finland'),
(43725, '80.88.192.0', '80.88.223.255', 1347993600, 1348001791, 'GB', 'United Kingdom'),
(43726, '80.88.224.0', '80.88.239.255', 1348001792, 1348005887, 'ES', 'Spain'),
(43727, '80.88.240.0', '80.88.255.255', 1348005888, 1348009983, 'BH', 'Bahrain'),
(43728, '80.89.0.0', '80.89.15.255', 1348009984, 1348014079, 'RU', 'Russian Federation'),
(43729, '80.89.16.0', '80.89.31.255', 1348014080, 1348018175, 'DK', 'Denmark'),
(43730, '80.89.32.0', '80.89.63.255', 1348018176, 1348026367, 'NO', 'Norway'),
(43731, '80.89.64.0', '80.89.79.255', 1348026368, 1348030463, 'DE', 'Germany'),
(43732, '80.89.80.0', '80.89.95.255', 1348030464, 1348034559, 'GB', 'United Kingdom'),
(43733, '80.89.96.0', '80.89.111.255', 1348034560, 1348038655, 'AT', 'Austria'),
(43734, '80.89.112.0', '80.89.127.255', 1348038656, 1348042751, 'FR', 'France'),
(43735, '80.89.128.0', '80.89.159.255', 1348042752, 1348050943, 'RU', 'Russian Federation'),
(43736, '80.89.160.0', '80.89.175.255', 1348050944, 1348055039, 'SE', 'Sweden'),
(43737, '80.89.176.0', '80.89.187.255', 1348055040, 1348058111, 'NG', 'Nigeria'),
(43738, '80.89.188.0', '80.89.191.255', 1348058112, 1348059135, 'LB', 'Lebanon'),
(43739, '80.89.192.0', '80.89.207.255', 1348059136, 1348063231, 'RU', 'Russian Federation'),
(43740, '80.89.208.0', '80.89.223.255', 1348063232, 1348067327, 'CH', 'Switzerland'),
(43741, '80.89.224.0', '80.89.239.255', 1348067328, 1348071423, 'NL', 'Netherlands'),
(43742, '80.89.240.0', '80.89.255.255', 1348071424, 1348075519, 'DE', 'Germany'),
(43743, '80.90.0.0', '80.90.1.191', 1348075520, 1348075967, 'LV', 'Latvia'),
(43744, '80.90.1.192', '80.90.1.255', 1348075968, 1348076031, 'PA', 'Panama'),
(43745, '80.90.2.0', '80.90.2.255', 1348076032, 1348076287, 'LV', 'Latvia'),
(43746, '80.90.3.0', '80.90.3.255', 1348076288, 1348076543, 'RU', 'Russian Federation'),
(43747, '80.90.4.0', '80.90.31.255', 1348076544, 1348083711, 'LV', 'Latvia'),
(43748, '80.90.32.0', '80.90.63.255', 1348083712, 1348091903, 'LU', 'Luxembourg'),
(43749, '80.90.64.0', '80.90.79.255', 1348091904, 1348095999, 'RU', 'Russian Federation'),
(43750, '80.90.80.0', '80.90.95.255', 1348096000, 1348100095, 'AL', 'Albania'),
(43751, '80.90.96.0', '80.90.111.255', 1348100096, 1348104191, 'DE', 'Germany'),
(43752, '80.90.112.0', '80.90.127.255', 1348104192, 1348108287, 'RU', 'Russian Federation'),
(43753, '80.90.128.0', '80.90.143.255', 1348108288, 1348112383, 'CZ', 'Czech Republic'),
(43754, '80.90.144.0', '80.90.159.255', 1348112384, 1348116479, 'DE', 'Germany'),
(43755, '80.90.160.0', '80.90.175.255', 1348116480, 1348120575, 'JO', 'Jordan'),
(43756, '80.90.176.0', '80.90.191.255', 1348120576, 1348124671, 'RU', 'Russian Federation'),
(43757, '80.90.192.0', '80.90.207.255', 1348124672, 1348128767, 'GB', 'United Kingdom'),
(43758, '80.90.208.0', '80.90.223.255', 1348128768, 1348132863, 'SI', 'Slovenia'),
(43759, '80.90.224.0', '80.90.239.255', 1348132864, 1348136959, 'UA', 'Ukraine'),
(43760, '80.90.240.0', '80.90.255.255', 1348136960, 1348141055, 'RU', 'Russian Federation'),
(43761, '80.91.0.0', '80.91.15.255', 1348141056, 1348145151, 'DK', 'Denmark'),
(43762, '80.91.16.0', '80.91.31.255', 1348145152, 1348149247, 'RU', 'Russian Federation'),
(43763, '80.91.32.0', '80.91.47.255', 1348149248, 1348153343, 'NO', 'Norway'),
(43764, '80.91.48.0', '80.91.63.255', 1348153344, 1348157439, 'IT', 'Italy'),
(43765, '80.91.64.0', '80.91.95.255', 1348157440, 1348165631, 'ES', 'Spain'),
(43766, '80.91.96.0', '80.91.111.255', 1348165632, 1348169727, 'DE', 'Germany'),
(43767, '80.91.112.0', '80.91.127.255', 1348169728, 1348173823, 'AL', 'Albania'),
(43768, '80.91.128.0', '80.91.130.255', 1348173824, 1348174591, 'FI', 'Finland'),
(43769, '80.91.131.0', '80.91.143.255', 1348174592, 1348177919, 'DK', 'Denmark'),
(43770, '80.91.144.0', '80.91.159.255', 1348177920, 1348182015, 'BE', 'Belgium'),
(43771, '80.91.160.0', '80.91.191.255', 1348182016, 1348190207, 'UA', 'Ukraine'),
(43772, '80.91.192.0', '80.91.207.255', 1348190208, 1348194303, 'RU', 'Russian Federation'),
(43773, '80.91.208.0', '80.91.209.255', 1348194304, 1348194815, 'GR', 'Greece'),
(43774, '80.91.210.0', '80.91.210.255', 1348194816, 1348195071, 'US', 'United States'),
(43775, '80.91.211.0', '80.91.223.255', 1348195072, 1348198399, 'GR', 'Greece'),
(43776, '80.91.224.0', '80.91.239.255', 1348198400, 1348202495, 'NO', 'Norway'),
(43777, '80.91.240.0', '80.91.255.255', 1348202496, 1348206591, 'EU', 'Europe'),
(43778, '80.92.0.0', '80.92.47.255', 1348206592, 1348218879, 'RU', 'Russian Federation'),
(43779, '80.92.48.0', '80.92.49.159', 1348218880, 1348219295, 'DE', 'Germany'),
(43780, '80.92.49.160', '80.92.49.191', 1348219296, 1348219327, 'A2', 'Satellite Provider'),
(43781, '80.92.49.192', '80.92.49.207', 1348219328, 1348219343, 'DE', 'Germany'),
(43782, '80.92.49.208', '80.92.49.223', 1348219344, 1348219359, 'ZM', 'Zambia'),
(43783, '80.92.49.224', '80.92.49.255', 1348219360, 1348219391, 'DE', 'Germany'),
(43784, '80.92.50.0', '80.92.50.255', 1348219392, 1348219647, 'US', 'United States'),
(43785, '80.92.51.0', '80.92.51.255', 1348219648, 1348219903, 'DE', 'Germany'),
(43786, '80.92.52.0', '80.92.52.63', 1348219904, 1348219967, 'CA', 'Canada'),
(43787, '80.92.52.64', '80.92.55.15', 1348219968, 1348220687, 'DE', 'Germany'),
(43788, '80.92.55.16', '80.92.55.31', 1348220688, 1348220703, 'SA', 'Saudi Arabia'),
(43789, '80.92.55.32', '80.92.55.39', 1348220704, 1348220711, 'DE', 'Germany'),
(43790, '80.92.55.40', '80.92.55.63', 1348220712, 1348220735, 'SA', 'Saudi Arabia'),
(43791, '80.92.55.64', '80.92.55.127', 1348220736, 1348220799, 'BH', 'Bahrain'),
(43792, '80.92.55.128', '80.92.55.191', 1348220800, 1348220863, 'DE', 'Germany'),
(43793, '80.92.55.192', '80.92.55.223', 1348220864, 1348220895, 'BH', 'Bahrain'),
(43794, '80.92.55.224', '80.92.55.255', 1348220896, 1348220927, 'DE', 'Germany'),
(43795, '80.92.56.0', '80.92.56.255', 1348220928, 1348221183, 'US', 'United States'),
(43796, '80.92.57.0', '80.92.63.255', 1348221184, 1348222975, 'DE', 'Germany'),
(43797, '80.92.64.0', '80.92.95.255', 1348222976, 1348231167, 'LU', 'Luxembourg'),
(43798, '80.92.96.0', '80.92.111.255', 1348231168, 1348235263, 'RU', 'Russian Federation'),
(43799, '80.92.112.0', '80.92.127.255', 1348235264, 1348239359, 'AT', 'Austria'),
(43800, '80.92.128.0', '80.92.135.255', 1348239360, 1348241407, 'SE', 'Sweden'),
(43801, '80.92.136.0', '80.92.141.255', 1348241408, 1348242943, 'GB', 'United Kingdom'),
(43802, '80.92.142.0', '80.92.143.255', 1348242944, 1348243455, 'SE', 'Sweden'),
(43803, '80.92.144.0', '80.92.159.255', 1348243456, 1348247551, 'GB', 'United Kingdom'),
(43804, '80.92.160.0', '80.92.175.255', 1348247552, 1348251647, 'RU', 'Russian Federation'),
(43805, '80.92.176.0', '80.92.191.255', 1348251648, 1348255743, 'GE', 'Georgia'),
(43806, '80.92.192.0', '80.92.223.255', 1348255744, 1348263935, 'RU', 'Russian Federation'),
(43807, '80.92.224.0', '80.92.239.255', 1348263936, 1348268031, 'UA', 'Ukraine'),
(43808, '80.92.240.0', '80.92.255.255', 1348268032, 1348272127, 'CZ', 'Czech Republic'),
(43809, '80.93.0.0', '80.93.10.7', 1348272128, 1348274695, 'IE', 'Ireland'),
(43810, '80.93.10.8', '80.93.10.103', 1348274696, 1348274791, 'CH', 'Switzerland'),
(43811, '80.93.10.104', '80.93.10.111', 1348274792, 1348274799, 'IE', 'Ireland'),
(43812, '80.93.10.112', '80.93.10.127', 1348274800, 1348274815, 'IL', 'Israel'),
(43813, '80.93.10.128', '80.93.10.239', 1348274816, 1348274927, 'IE', 'Ireland'),
(43814, '80.93.10.240', '80.93.10.247', 1348274928, 1348274935, 'IL', 'Israel'),
(43815, '80.93.10.248', '80.93.11.255', 1348274936, 1348275199, 'CH', 'Switzerland'),
(43816, '80.93.12.0', '80.93.13.255', 1348275200, 1348275711, 'GB', 'United Kingdom'),
(43817, '80.93.14.0', '80.93.14.255', 1348275712, 1348275967, 'CH', 'Switzerland'),
(43818, '80.93.15.0', '80.93.31.255', 1348275968, 1348280319, 'IE', 'Ireland'),
(43819, '80.93.32.0', '80.93.47.255', 1348280320, 1348284415, 'AT', 'Austria'),
(43820, '80.93.48.0', '80.93.63.255', 1348284416, 1348288511, 'RU', 'Russian Federation'),
(43821, '80.93.64.0', '80.93.79.255', 1348288512, 1348292607, 'IT', 'Italy'),
(43822, '80.93.80.0', '80.93.95.255', 1348292608, 1348296703, 'FR', 'France'),
(43823, '80.93.96.0', '80.93.111.255', 1348296704, 1348300799, 'RU', 'Russian Federation'),
(43824, '80.93.112.0', '80.93.127.255', 1348300800, 1348304895, 'UA', 'Ukraine'),
(43825, '80.93.128.0', '80.93.143.255', 1348304896, 1348308991, 'IT', 'Italy'),
(43826, '80.93.144.0', '80.93.159.255', 1348308992, 1348313087, 'MT', 'Malta'),
(43827, '80.93.160.0', '80.93.175.255', 1348313088, 1348317183, 'GB', 'United Kingdom'),
(43828, '80.93.176.0', '80.93.191.255', 1348317184, 1348321279, 'RU', 'Russian Federation'),
(43829, '80.93.192.0', '80.93.207.255', 1348321280, 1348325375, 'GB', 'United Kingdom'),
(43830, '80.93.208.0', '80.93.223.255', 1348325376, 1348329471, 'TR', 'Turkey'),
(43831, '80.93.224.0', '80.93.255.255', 1348329472, 1348337663, 'RS', 'Serbia'),
(43832, '80.94.0.0', '80.94.15.255', 1348337664, 1348341759, 'ES', 'Spain'),
(43833, '80.94.16.0', '80.94.31.255', 1348341760, 1348345855, 'PL', 'Poland'),
(43834, '80.94.32.0', '80.94.47.255', 1348345856, 1348349951, 'GB', 'United Kingdom'),
(43835, '80.94.48.0', '80.94.63.255', 1348349952, 1348354047, 'SK', 'Slovakia'),
(43836, '80.94.64.0', '80.94.79.255', 1348354048, 1348358143, 'NL', 'Netherlands'),
(43837, '80.94.80.0', '80.94.95.255', 1348358144, 1348362239, 'DE', 'Germany'),
(43838, '80.94.96.0', '80.94.111.255', 1348362240, 1348366335, 'MC', 'Monaco'),
(43839, '80.94.112.0', '80.94.119.99', 1348366336, 1348368227, 'IT', 'Italy'),
(43840, '80.94.119.100', '80.94.119.100', 1348368228, 1348368228, 'A2', 'Satellite Provider'),
(43841, '80.94.119.101', '80.94.121.255', 1348368229, 1348368895, 'IT', 'Italy'),
(43842, '80.94.122.0', '80.94.122.255', 1348368896, 1348369151, 'A2', 'Satellite Provider'),
(43843, '80.94.123.0', '80.94.127.255', 1348369152, 1348370431, 'IT', 'Italy'),
(43844, '80.94.128.0', '80.94.143.255', 1348370432, 1348374527, 'DE', 'Germany'),
(43845, '80.94.144.0', '80.94.159.255', 1348374528, 1348378623, 'CH', 'Switzerland'),
(43846, '80.94.160.0', '80.94.175.255', 1348378624, 1348382719, 'BY', 'Belarus'),
(43847, '80.94.176.0', '80.94.191.255', 1348382720, 1348386815, 'FR', 'France'),
(43848, '80.94.192.0', '80.94.207.255', 1348386816, 1348390911, 'GB', 'United Kingdom'),
(43849, '80.94.208.0', '80.94.223.255', 1348390912, 1348395007, 'SE', 'Sweden'),
(43850, '80.94.224.0', '80.94.239.255', 1348395008, 1348399103, 'BY', 'Belarus'),
(43851, '80.94.240.0', '80.94.255.255', 1348399104, 1348403199, 'MD', 'Moldova, Republic of'),
(43852, '80.95.16.0', '80.95.31.255', 1348407296, 1348411391, 'BG', 'Bulgaria'),
(43853, '80.95.32.0', '80.95.47.255', 1348411392, 1348415487, 'RU', 'Russian Federation'),
(43854, '80.95.48.0', '80.95.63.255', 1348415488, 1348419583, 'GB', 'United Kingdom'),
(43855, '80.95.64.0', '80.95.95.255', 1348419584, 1348427775, 'HU', 'Hungary'),
(43856, '80.95.96.0', '80.95.127.255', 1348427776, 1348435967, 'CZ', 'Czech Republic'),
(43857, '80.95.128.0', '80.95.143.255', 1348435968, 1348440063, 'FI', 'Finland'),
(43858, '80.95.144.0', '80.95.148.127', 1348440064, 1348441215, 'DE', 'Germany'),
(43859, '80.95.148.128', '80.95.148.255', 1348441216, 1348441343, 'NL', 'Netherlands'),
(43860, '80.95.149.0', '80.95.150.255', 1348441344, 1348441855, 'DE', 'Germany'),
(43861, '80.95.151.0', '80.95.151.255', 1348441856, 1348442111, 'NL', 'Netherlands'),
(43862, '80.95.152.0', '80.95.158.127', 1348442112, 1348443775, 'DE', 'Germany'),
(43863, '80.95.158.128', '80.95.175.255', 1348443776, 1348448255, 'NL', 'Netherlands'),
(43864, '80.95.176.0', '80.95.207.255', 1348448256, 1348456447, 'GB', 'United Kingdom'),
(43865, '80.95.208.0', '80.95.223.255', 1348456448, 1348460543, 'BH', 'Bahrain'),
(43866, '80.95.224.0', '80.95.239.255', 1348460544, 1348464639, 'SI', 'Slovenia'),
(43867, '80.95.240.0', '80.95.255.255', 1348464640, 1348468735, 'CZ', 'Czech Republic'),
(43868, '80.96.0.0', '80.97.55.255', 1348468736, 1348548607, 'RO', 'Romania'),
(43869, '80.97.56.0', '80.97.59.255', 1348548608, 1348549631, 'MD', 'Moldova, Republic of'),
(43870, '80.97.60.0', '80.97.255.255', 1348549632, 1348599807, 'RO', 'Romania'),
(43871, '80.98.0.0', '80.99.255.255', 1348599808, 1348730879, 'HU', 'Hungary'),
(43872, '80.100.0.0', '80.101.255.255', 1348730880, 1348861951, 'NL', 'Netherlands'),
(43873, '80.102.0.0', '80.103.255.255', 1348861952, 1348993023, 'ES', 'Spain'),
(43874, '80.104.0.0', '80.105.255.255', 1348993024, 1349124095, 'IT', 'Italy'),
(43875, '80.106.0.0', '80.107.255.255', 1349124096, 1349255167, 'GR', 'Greece'),
(43876, '80.108.0.0', '80.111.255.255', 1349255168, 1349517311, 'AT', 'Austria'),
(43877, '80.112.0.0', '80.115.191.255', 1349517312, 1349763071, 'NL', 'Netherlands'),
(43878, '80.115.192.0', '80.115.223.255', 1349763072, 1349771263, 'RU', 'Russian Federation'),
(43879, '80.115.224.0', '80.115.255.255', 1349771264, 1349779455, 'NL', 'Netherlands'),
(43880, '80.116.0.0', '80.117.255.255', 1349779456, 1349910527, 'IT', 'Italy'),
(43881, '80.118.0.0', '80.119.255.255', 1349910528, 1350041599, 'FR', 'France'),
(43882, '80.120.0.0', '80.120.60.255', 1350041600, 1350057215, 'AT', 'Austria'),
(43883, '80.120.61.0', '80.120.61.127', 1350057216, 1350057343, 'AG', 'Antigua and Barbuda'),
(43884, '80.120.61.128', '80.120.193.127', 1350057344, 1350091135, 'AT', 'Austria'),
(43885, '80.120.193.128', '80.120.193.191', 1350091136, 1350091199, 'SA', 'Saudi Arabia'),
(43886, '80.120.193.192', '80.120.196.215', 1350091200, 1350091991, 'AT', 'Austria'),
(43887, '80.120.196.216', '80.120.196.223', 1350091992, 1350091999, 'SA', 'Saudi Arabia'),
(43888, '80.120.196.224', '80.120.197.255', 1350092000, 1350092287, 'AT', 'Austria'),
(43889, '80.120.198.0', '80.120.198.255', 1350092288, 1350092543, 'A2', 'Satellite Provider'),
(43890, '80.120.199.0', '80.122.165.255', 1350092544, 1350215167, 'AT', 'Austria'),
(43891, '80.122.166.0', '80.122.166.23', 1350215168, 1350215191, 'IQ', 'Iraq'),
(43892, '80.122.166.24', '80.122.167.255', 1350215192, 1350215679, 'AT', 'Austria'),
(43893, '80.122.168.0', '80.122.168.255', 1350215680, 1350215935, 'IQ', 'Iraq'),
(43894, '80.122.169.0', '80.122.171.255', 1350215936, 1350216703, 'US', 'United States'),
(43895, '80.122.172.0', '80.122.172.255', 1350216704, 1350216959, 'A2', 'Satellite Provider'),
(43896, '80.122.173.0', '80.122.173.255', 1350216960, 1350217215, 'IQ', 'Iraq'),
(43897, '80.122.174.0', '80.122.174.255', 1350217216, 1350217471, 'US', 'United States'),
(43898, '80.122.175.0', '80.122.175.255', 1350217472, 1350217727, 'IQ', 'Iraq'),
(43899, '80.122.176.0', '80.122.185.255', 1350217728, 1350220287, 'AT', 'Austria'),
(43900, '80.122.186.0', '80.122.186.255', 1350220288, 1350220543, 'DE', 'Germany'),
(43901, '80.122.187.0', '80.123.225.15', 1350220544, 1350295823, 'AT', 'Austria'),
(43902, '80.123.225.16', '80.123.225.23', 1350295824, 1350295831, 'SA', 'Saudi Arabia'),
(43903, '80.123.225.24', '80.123.225.39', 1350295832, 1350295847, 'AT', 'Austria'),
(43904, '80.123.225.40', '80.123.225.47', 1350295848, 1350295855, 'SA', 'Saudi Arabia'),
(43905, '80.123.225.48', '80.123.225.255', 1350295856, 1350296063, 'AT', 'Austria'),
(43906, '80.123.226.0', '80.123.227.255', 1350296064, 1350296575, 'US', 'United States'),
(43907, '80.123.228.0', '80.123.255.255', 1350296576, 1350303743, 'AT', 'Austria'),
(43908, '80.124.0.0', '80.125.255.255', 1350303744, 1350434815, 'FR', 'France'),
(43909, '80.126.0.0', '80.127.255.255', 1350434816, 1350565887, 'NL', 'Netherlands'),
(43910, '80.128.0.0', '80.146.188.127', 1350565888, 1351793791, 'DE', 'Germany'),
(43911, '80.146.188.128', '80.146.188.191', 1351793792, 1351793855, 'GB', 'United Kingdom'),
(43912, '80.146.188.192', '80.146.201.239', 1351793856, 1351797231, 'DE', 'Germany'),
(43913, '80.146.201.240', '80.146.201.247', 1351797232, 1351797239, 'PL', 'Poland'),
(43914, '80.146.201.248', '80.146.217.239', 1351797240, 1351801327, 'DE', 'Germany'),
(43915, '80.146.217.240', '80.146.217.247', 1351801328, 1351801335, 'HU', 'Hungary'),
(43916, '80.146.217.248', '80.146.239.255', 1351801336, 1351806975, 'DE', 'Germany'),
(43917, '80.146.240.0', '80.146.240.255', 1351806976, 1351807231, 'IT', 'Italy'),
(43918, '80.146.241.0', '80.148.13.63', 1351807232, 1351879999, 'DE', 'Germany'),
(43919, '80.148.13.64', '80.148.13.95', 1351880000, 1351880031, 'IT', 'Italy'),
(43920, '80.148.13.96', '80.149.89.255', 1351880032, 1351965183, 'DE', 'Germany'),
(43921, '80.149.90.0', '80.149.90.255', 1351965184, 1351965439, 'US', 'United States'),
(43922, '80.149.91.0', '80.149.191.255', 1351965440, 1351991295, 'DE', 'Germany'),
(43923, '80.149.192.0', '80.149.192.255', 1351991296, 1351991551, 'IT', 'Italy'),
(43924, '80.149.193.0', '80.149.233.255', 1351991552, 1352002047, 'DE', 'Germany'),
(43925, '80.149.234.0', '80.149.234.255', 1352002048, 1352002303, 'US', 'United States'),
(43926, '80.149.235.0', '80.150.9.255', 1352002304, 1352010239, 'DE', 'Germany'),
(43927, '80.150.10.0', '80.150.10.255', 1352010240, 1352010495, 'US', 'United States'),
(43928, '80.150.11.0', '80.150.14.183', 1352010496, 1352011447, 'DE', 'Germany'),
(43929, '80.150.14.184', '80.150.14.191', 1352011448, 1352011455, 'IT', 'Italy'),
(43930, '80.150.14.192', '80.150.121.39', 1352011456, 1352038695, 'DE', 'Germany'),
(43931, '80.150.121.40', '80.150.121.43', 1352038696, 1352038699, 'US', 'United States'),
(43932, '80.150.121.44', '80.150.131.255', 1352038700, 1352041471, 'DE', 'Germany'),
(43933, '80.150.132.0', '80.150.132.255', 1352041472, 1352041727, 'US', 'United States'),
(43934, '80.150.133.0', '80.150.198.63', 1352041728, 1352058431, 'DE', 'Germany'),
(43935, '80.150.198.64', '80.150.198.127', 1352058432, 1352058495, 'US', 'United States'),
(43936, '80.150.198.128', '80.152.3.151', 1352058496, 1352139671, 'DE', 'Germany'),
(43937, '80.152.3.152', '80.152.3.159', 1352139672, 1352139679, 'IT', 'Italy'),
(43938, '80.152.3.160', '80.152.9.255', 1352139680, 1352141311, 'DE', 'Germany'),
(43939, '80.152.10.0', '80.152.10.255', 1352141312, 1352141567, 'NL', 'Netherlands'),
(43940, '80.152.11.0', '80.152.22.135', 1352141568, 1352144519, 'DE', 'Germany'),
(43941, '80.152.22.136', '80.152.22.143', 1352144520, 1352144527, 'IT', 'Italy'),
(43942, '80.152.22.144', '80.152.32.63', 1352144528, 1352147007, 'DE', 'Germany'),
(43943, '80.152.32.64', '80.152.32.71', 1352147008, 1352147015, 'SE', 'Sweden'),
(43944, '80.152.32.72', '80.152.32.163', 1352147016, 1352147107, 'DE', 'Germany'),
(43945, '80.152.32.164', '80.152.32.167', 1352147108, 1352147111, 'SE', 'Sweden'),
(43946, '80.152.32.168', '80.152.33.63', 1352147112, 1352147263, 'DE', 'Germany'),
(43947, '80.152.33.64', '80.152.33.71', 1352147264, 1352147271, 'ES', 'Spain'),
(43948, '80.152.33.72', '80.152.33.191', 1352147272, 1352147391, 'DE', 'Germany'),
(43949, '80.152.33.192', '80.152.33.199', 1352147392, 1352147399, 'CZ', 'Czech Republic'),
(43950, '80.152.33.200', '80.152.33.223', 1352147400, 1352147423, 'DE', 'Germany'),
(43951, '80.152.33.224', '80.152.33.231', 1352147424, 1352147431, 'ES', 'Spain'),
(43952, '80.152.33.232', '80.152.33.239', 1352147432, 1352147439, 'DE', 'Germany'),
(43953, '80.152.33.240', '80.152.33.247', 1352147440, 1352147447, 'SZ', 'Swaziland'),
(43954, '80.152.33.248', '80.152.36.183', 1352147448, 1352148151, 'DE', 'Germany'),
(43955, '80.152.36.184', '80.152.36.191', 1352148152, 1352148159, 'IT', 'Italy'),
(43956, '80.152.36.192', '80.152.39.15', 1352148160, 1352148751, 'DE', 'Germany'),
(43957, '80.152.39.16', '80.152.39.23', 1352148752, 1352148759, 'US', 'United States'),
(43958, '80.152.39.24', '80.152.41.167', 1352148760, 1352149415, 'DE', 'Germany'),
(43959, '80.152.41.168', '80.152.41.175', 1352149416, 1352149423, 'FI', 'Finland'),
(43960, '80.152.41.176', '80.152.41.179', 1352149424, 1352149427, 'DE', 'Germany'),
(43961, '80.152.41.180', '80.152.41.203', 1352149428, 1352149451, 'FR', 'France'),
(43962, '80.152.41.204', '80.152.41.207', 1352149452, 1352149455, 'DE', 'Germany'),
(43963, '80.152.41.208', '80.152.41.239', 1352149456, 1352149487, 'FR', 'France'),
(43964, '80.152.41.240', '80.152.42.239', 1352149488, 1352149743, 'DE', 'Germany'),
(43965, '80.152.42.240', '80.152.42.247', 1352149744, 1352149751, 'AT', 'Austria'),
(43966, '80.152.42.248', '80.152.43.23', 1352149752, 1352149783, 'DE', 'Germany'),
(43967, '80.152.43.24', '80.152.43.31', 1352149784, 1352149791, 'SE', 'Sweden'),
(43968, '80.152.43.32', '80.152.43.47', 1352149792, 1352149807, 'DE', 'Germany'),
(43969, '80.152.43.48', '80.152.43.63', 1352149808, 1352149823, 'SE', 'Sweden'),
(43970, '80.152.43.64', '80.152.43.95', 1352149824, 1352149855, 'DE', 'Germany'),
(43971, '80.152.43.96', '80.152.43.111', 1352149856, 1352149871, 'SE', 'Sweden'),
(43972, '80.152.43.112', '80.154.27.255', 1352149872, 1352276991, 'DE', 'Germany'),
(43973, '80.154.28.0', '80.154.29.255', 1352276992, 1352277503, 'US', 'United States'),
(43974, '80.154.30.0', '80.154.30.31', 1352277504, 1352277535, 'DE', 'Germany'),
(43975, '80.154.30.32', '80.154.30.63', 1352277536, 1352277567, 'IT', 'Italy'),
(43976, '80.154.30.64', '80.154.97.255', 1352277568, 1352294911, 'DE', 'Germany'),
(43977, '80.154.98.0', '80.154.98.255', 1352294912, 1352295167, 'EU', 'Europe'),
(43978, '80.154.99.0', '80.154.116.255', 1352295168, 1352299775, 'DE', 'Germany'),
(43979, '80.154.117.0', '80.154.117.255', 1352299776, 1352300031, 'US', 'United States'),
(43980, '80.154.118.0', '80.156.7.103', 1352300032, 1352402791, 'DE', 'Germany'),
(43981, '80.156.7.104', '80.156.7.111', 1352402792, 1352402799, 'BE', 'Belgium'),
(43982, '80.156.7.112', '80.156.14.119', 1352402800, 1352404599, 'DE', 'Germany'),
(43983, '80.156.14.120', '80.156.14.127', 1352404600, 1352404607, 'NL', 'Netherlands'),
(43984, '80.156.14.128', '80.156.43.255', 1352404608, 1352412159, 'DE', 'Germany'),
(43985, '80.156.44.0', '80.156.44.255', 1352412160, 1352412415, 'FR', 'France'),
(43986, '80.156.45.0', '80.156.174.247', 1352412416, 1352445687, 'DE', 'Germany'),
(43987, '80.156.174.248', '80.156.175.7', 1352445688, 1352445703, 'NL', 'Netherlands'),
(43988, '80.156.175.8', '80.159.255.255', 1352445704, 1352663039, 'DE', 'Germany'),
(43989, '80.160.0.0', '80.167.237.127', 1352663040, 1353182591, 'DK', 'Denmark'),
(43990, '80.167.237.128', '80.167.237.135', 1353182592, 1353182599, 'DE', 'Germany'),
(43991, '80.167.237.136', '80.167.255.255', 1353182600, 1353187327, 'DK', 'Denmark'),
(43992, '80.168.0.0', '80.169.0.127', 1353187328, 1353252991, 'GB', 'United Kingdom'),
(43993, '80.169.0.128', '80.169.0.159', 1353252992, 1353253023, 'FR', 'France'),
(43994, '80.169.0.160', '80.169.3.31', 1353253024, 1353253663, 'GB', 'United Kingdom'),
(43995, '80.169.3.32', '80.169.3.39', 1353253664, 1353253671, 'NL', 'Netherlands'),
(43996, '80.169.3.40', '80.169.3.159', 1353253672, 1353253791, 'GB', 'United Kingdom'),
(43997, '80.169.3.160', '80.169.3.191', 1353253792, 1353253823, 'FR', 'France'),
(43998, '80.169.3.192', '80.169.8.159', 1353253824, 1353255071, 'GB', 'United Kingdom'),
(43999, '80.169.8.160', '80.169.8.175', 1353255072, 1353255087, 'CA', 'Canada'),
(44000, '80.169.8.176', '80.169.11.159', 1353255088, 1353255839, 'GB', 'United Kingdom'),
(44001, '80.169.11.160', '80.169.11.175', 1353255840, 1353255855, 'FR', 'France'),
(44002, '80.169.11.176', '80.169.16.151', 1353255856, 1353257111, 'GB', 'United Kingdom'),
(44003, '80.169.16.152', '80.169.16.159', 1353257112, 1353257119, 'ES', 'Spain'),
(44004, '80.169.16.160', '80.169.16.191', 1353257120, 1353257151, 'GB', 'United Kingdom'),
(44005, '80.169.16.192', '80.169.16.207', 1353257152, 1353257167, 'FR', 'France'),
(44006, '80.169.16.208', '80.169.19.255', 1353257168, 1353257983, 'GB', 'United Kingdom'),
(44007, '80.169.20.0', '80.169.21.23', 1353257984, 1353258263, 'SE', 'Sweden'),
(44008, '80.169.21.24', '80.169.21.31', 1353258264, 1353258271, 'NO', 'Norway'),
(44009, '80.169.21.32', '80.169.21.63', 1353258272, 1353258303, 'SE', 'Sweden'),
(44010, '80.169.21.64', '80.169.21.127', 1353258304, 1353258367, 'FI', 'Finland'),
(44011, '80.169.21.128', '80.169.21.151', 1353258368, 1353258391, 'SE', 'Sweden'),
(44012, '80.169.21.152', '80.169.21.159', 1353258392, 1353258399, 'GB', 'United Kingdom'),
(44013, '80.169.21.160', '80.169.21.175', 1353258400, 1353258415, 'SE', 'Sweden'),
(44014, '80.169.21.176', '80.169.21.183', 1353258416, 1353258423, 'DK', 'Denmark'),
(44015, '80.169.21.184', '80.169.21.255', 1353258424, 1353258495, 'SE', 'Sweden'),
(44016, '80.169.22.0', '80.169.22.7', 1353258496, 1353258503, 'GB', 'United Kingdom'),
(44017, '80.169.22.8', '80.169.22.23', 1353258504, 1353258519, 'SE', 'Sweden'),
(44018, '80.169.22.24', '80.169.22.63', 1353258520, 1353258559, 'GB', 'United Kingdom'),
(44019, '80.169.22.64', '80.169.22.143', 1353258560, 1353258639, 'SE', 'Sweden'),
(44020, '80.169.22.144', '80.169.23.31', 1353258640, 1353258783, 'GB', 'United Kingdom'),
(44021, '80.169.23.32', '80.169.23.55', 1353258784, 1353258807, 'SE', 'Sweden'),
(44022, '80.169.23.56', '80.169.25.7', 1353258808, 1353259271, 'GB', 'United Kingdom'),
(44023, '80.169.25.8', '80.169.25.15', 1353259272, 1353259279, 'DE', 'Germany'),
(44024, '80.169.25.16', '80.169.44.39', 1353259280, 1353264167, 'GB', 'United Kingdom'),
(44025, '80.169.44.40', '80.169.44.47', 1353264168, 1353264175, 'FR', 'France'),
(44026, '80.169.44.48', '80.169.48.223', 1353264176, 1353265375, 'GB', 'United Kingdom'),
(44027, '80.169.48.224', '80.169.48.231', 1353265376, 1353265383, 'IE', 'Ireland'),
(44028, '80.169.48.232', '80.169.51.23', 1353265384, 1353265943, 'GB', 'United Kingdom'),
(44029, '80.169.51.24', '80.169.51.31', 1353265944, 1353265951, 'IE', 'Ireland'),
(44030, '80.169.51.32', '80.169.55.15', 1353265952, 1353266959, 'GB', 'United Kingdom'),
(44031, '80.169.55.16', '80.169.55.31', 1353266960, 1353266975, 'IE', 'Ireland'),
(44032, '80.169.55.32', '80.169.56.255', 1353266976, 1353267455, 'GB', 'United Kingdom'),
(44033, '80.169.57.0', '80.169.59.255', 1353267456, 1353268223, 'IE', 'Ireland'),
(44034, '80.169.60.0', '80.169.61.7', 1353268224, 1353268487, 'GB', 'United Kingdom'),
(44035, '80.169.61.8', '80.169.61.31', 1353268488, 1353268511, 'BE', 'Belgium'),
(44036, '80.169.61.32', '80.169.61.39', 1353268512, 1353268519, 'GB', 'United Kingdom'),
(44037, '80.169.61.40', '80.169.61.119', 1353268520, 1353268599, 'BE', 'Belgium'),
(44038, '80.169.61.120', '80.169.61.127', 1353268600, 1353268607, 'GB', 'United Kingdom'),
(44039, '80.169.61.128', '80.169.61.207', 1353268608, 1353268687, 'BE', 'Belgium'),
(44040, '80.169.61.208', '80.169.61.215', 1353268688, 1353268695, 'GB', 'United Kingdom'),
(44041, '80.169.61.216', '80.169.61.223', 1353268696, 1353268703, 'BE', 'Belgium'),
(44042, '80.169.61.224', '80.169.61.231', 1353268704, 1353268711, 'GB', 'United Kingdom'),
(44043, '80.169.61.232', '80.169.62.255', 1353268712, 1353268991, 'BE', 'Belgium'),
(44044, '80.169.63.0', '80.169.63.23', 1353268992, 1353269015, 'GB', 'United Kingdom'),
(44045, '80.169.63.24', '80.169.63.231', 1353269016, 1353269223, 'BE', 'Belgium'),
(44046, '80.169.63.232', '80.169.63.239', 1353269224, 1353269231, 'FR', 'France'),
(44047, '80.169.63.240', '80.169.63.255', 1353269232, 1353269247, 'BE', 'Belgium'),
(44048, '80.169.64.0', '80.169.68.255', 1353269248, 1353270527, 'GB', 'United Kingdom'),
(44049, '80.169.69.0', '80.169.69.255', 1353270528, 1353270783, 'IE', 'Ireland'),
(44050, '80.169.70.0', '80.169.71.255', 1353270784, 1353271295, 'GB', 'United Kingdom'),
(44051, '80.169.72.0', '80.169.72.127', 1353271296, 1353271423, 'IE', 'Ireland'),
(44052, '80.169.72.128', '80.169.73.255', 1353271424, 1353271807, 'GB', 'United Kingdom'),
(44053, '80.169.74.0', '80.169.74.23', 1353271808, 1353271831, 'ES', 'Spain'),
(44054, '80.169.74.24', '80.169.74.31', 1353271832, 1353271839, 'GB', 'United Kingdom'),
(44055, '80.169.74.32', '80.169.74.103', 1353271840, 1353271911, 'ES', 'Spain'),
(44056, '80.169.74.104', '80.169.74.111', 1353271912, 1353271919, 'GB', 'United Kingdom'),
(44057, '80.169.74.112', '80.169.74.231', 1353271920, 1353272039, 'ES', 'Spain'),
(44058, '80.169.74.232', '80.169.74.239', 1353272040, 1353272047, 'GB', 'United Kingdom'),
(44059, '80.169.74.240', '80.169.74.247', 1353272048, 1353272055, 'ES', 'Spain'),
(44060, '80.169.74.248', '80.169.75.15', 1353272056, 1353272079, 'GB', 'United Kingdom'),
(44061, '80.169.75.16', '80.169.75.39', 1353272080, 1353272103, 'ES', 'Spain'),
(44062, '80.169.75.40', '80.169.75.47', 1353272104, 1353272111, 'GB', 'United Kingdom'),
(44063, '80.169.75.48', '80.169.75.55', 1353272112, 1353272119, 'ES', 'Spain'),
(44064, '80.169.75.56', '80.169.75.63', 1353272120, 1353272127, 'GB', 'United Kingdom'),
(44065, '80.169.75.64', '80.169.75.95', 1353272128, 1353272159, 'ES', 'Spain'),
(44066, '80.169.75.96', '80.169.75.143', 1353272160, 1353272207, 'GB', 'United Kingdom'),
(44067, '80.169.75.144', '80.169.75.181', 1353272208, 1353272245, 'ES', 'Spain'),
(44068, '80.169.75.182', '80.169.75.183', 1353272246, 1353272247, 'GB', 'United Kingdom'),
(44069, '80.169.75.184', '80.169.77.55', 1353272248, 1353272631, 'ES', 'Spain'),
(44070, '80.169.77.56', '80.169.77.63', 1353272632, 1353272639, 'GB', 'United Kingdom'),
(44071, '80.169.77.64', '80.169.77.115', 1353272640, 1353272691, 'ES', 'Spain'),
(44072, '80.169.77.116', '80.169.77.127', 1353272692, 1353272703, 'GB', 'United Kingdom'),
(44073, '80.169.77.128', '80.169.77.167', 1353272704, 1353272743, 'ES', 'Spain'),
(44074, '80.169.77.168', '80.169.77.175', 1353272744, 1353272751, 'GB', 'United Kingdom'),
(44075, '80.169.77.176', '80.169.77.231', 1353272752, 1353272807, 'ES', 'Spain'),
(44076, '80.169.77.232', '80.169.77.239', 1353272808, 1353272815, 'GB', 'United Kingdom'),
(44077, '80.169.77.240', '80.169.78.223', 1353272816, 1353273055, 'ES', 'Spain'),
(44078, '80.169.78.224', '80.169.78.231', 1353273056, 1353273063, 'GB', 'United Kingdom'),
(44079, '80.169.78.232', '80.169.79.255', 1353273064, 1353273343, 'ES', 'Spain'),
(44080, '80.169.80.0', '80.169.81.31', 1353273344, 1353273631, 'BE', 'Belgium'),
(44081, '80.169.81.32', '80.169.81.39', 1353273632, 1353273639, 'ES', 'Spain'),
(44082, '80.169.81.40', '80.169.81.111', 1353273640, 1353273711, 'BE', 'Belgium'),
(44083, '80.169.81.112', '80.169.81.119', 1353273712, 1353273719, 'GB', 'United Kingdom'),
(44084, '80.169.81.120', '80.169.83.255', 1353273720, 1353274367, 'BE', 'Belgium'),
(44085, '80.169.84.0', '80.169.85.55', 1353274368, 1353274679, 'ES', 'Spain'),
(44086, '80.169.85.56', '80.169.85.63', 1353274680, 1353274687, 'GB', 'United Kingdom'),
(44087, '80.169.85.64', '80.169.85.135', 1353274688, 1353274759, 'ES', 'Spain'),
(44088, '80.169.85.136', '80.169.85.143', 1353274760, 1353274767, 'GB', 'United Kingdom'),
(44089, '80.169.85.144', '80.169.85.167', 1353274768, 1353274791, 'ES', 'Spain'),
(44090, '80.169.85.168', '80.169.85.183', 1353274792, 1353274807, 'GB', 'United Kingdom'),
(44091, '80.169.85.184', '80.169.86.15', 1353274808, 1353274895, 'ES', 'Spain'),
(44092, '80.169.86.16', '80.169.86.31', 1353274896, 1353274911, 'GB', 'United Kingdom'),
(44093, '80.169.86.32', '80.169.86.55', 1353274912, 1353274935, 'ES', 'Spain'),
(44094, '80.169.86.56', '80.169.86.63', 1353274936, 1353274943, 'GB', 'United Kingdom'),
(44095, '80.169.86.64', '80.169.86.127', 1353274944, 1353275007, 'ES', 'Spain'),
(44096, '80.169.86.128', '80.169.86.135', 1353275008, 1353275015, 'GB', 'United Kingdom'),
(44097, '80.169.86.136', '80.169.86.231', 1353275016, 1353275111, 'ES', 'Spain'),
(44098, '80.169.86.232', '80.169.86.239', 1353275112, 1353275119, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(44099, '80.169.86.240', '80.169.87.23', 1353275120, 1353275159, 'ES', 'Spain'),
(44100, '80.169.87.24', '80.169.87.31', 1353275160, 1353275167, 'GB', 'United Kingdom'),
(44101, '80.169.87.32', '80.169.87.255', 1353275168, 1353275391, 'ES', 'Spain'),
(44102, '80.169.88.0', '80.169.95.255', 1353275392, 1353277439, 'GB', 'United Kingdom'),
(44103, '80.169.96.0', '80.169.103.255', 1353277440, 1353279487, 'CH', 'Switzerland'),
(44104, '80.169.104.0', '80.169.105.15', 1353279488, 1353279759, 'IT', 'Italy'),
(44105, '80.169.105.16', '80.169.105.19', 1353279760, 1353279763, 'GB', 'United Kingdom'),
(44106, '80.169.105.20', '80.169.106.119', 1353279764, 1353280119, 'IT', 'Italy'),
(44107, '80.169.106.120', '80.169.106.127', 1353280120, 1353280127, 'GB', 'United Kingdom'),
(44108, '80.169.106.128', '80.169.106.143', 1353280128, 1353280143, 'IT', 'Italy'),
(44109, '80.169.106.144', '80.169.106.151', 1353280144, 1353280151, 'GB', 'United Kingdom'),
(44110, '80.169.106.152', '80.169.106.191', 1353280152, 1353280191, 'IT', 'Italy'),
(44111, '80.169.106.192', '80.169.106.199', 1353280192, 1353280199, 'GB', 'United Kingdom'),
(44112, '80.169.106.200', '80.169.107.207', 1353280200, 1353280463, 'IT', 'Italy'),
(44113, '80.169.107.208', '80.169.107.223', 1353280464, 1353280479, 'GB', 'United Kingdom'),
(44114, '80.169.107.224', '80.169.108.255', 1353280480, 1353280767, 'IT', 'Italy'),
(44115, '80.169.109.0', '80.169.109.255', 1353280768, 1353281023, 'GB', 'United Kingdom'),
(44116, '80.169.110.0', '80.169.111.31', 1353281024, 1353281311, 'BE', 'Belgium'),
(44117, '80.169.111.32', '80.169.111.39', 1353281312, 1353281319, 'GB', 'United Kingdom'),
(44118, '80.169.111.40', '80.169.111.47', 1353281320, 1353281327, 'BE', 'Belgium'),
(44119, '80.169.111.48', '80.169.111.63', 1353281328, 1353281343, 'GB', 'United Kingdom'),
(44120, '80.169.111.64', '80.169.111.79', 1353281344, 1353281359, 'BE', 'Belgium'),
(44121, '80.169.111.80', '80.169.111.87', 1353281360, 1353281367, 'GB', 'United Kingdom'),
(44122, '80.169.111.88', '80.169.111.255', 1353281368, 1353281535, 'BE', 'Belgium'),
(44123, '80.169.112.0', '80.169.113.255', 1353281536, 1353282047, 'GB', 'United Kingdom'),
(44124, '80.169.114.0', '80.169.114.55', 1353282048, 1353282103, 'IT', 'Italy'),
(44125, '80.169.114.56', '80.169.114.63', 1353282104, 1353282111, 'GB', 'United Kingdom'),
(44126, '80.169.114.64', '80.169.114.95', 1353282112, 1353282143, 'IT', 'Italy'),
(44127, '80.169.114.96', '80.169.114.103', 1353282144, 1353282151, 'GB', 'United Kingdom'),
(44128, '80.169.114.104', '80.169.114.111', 1353282152, 1353282159, 'IT', 'Italy'),
(44129, '80.169.114.112', '80.169.114.119', 1353282160, 1353282167, 'GB', 'United Kingdom'),
(44130, '80.169.114.120', '80.169.114.135', 1353282168, 1353282183, 'IT', 'Italy'),
(44131, '80.169.114.136', '80.169.114.143', 1353282184, 1353282191, 'GB', 'United Kingdom'),
(44132, '80.169.114.144', '80.169.114.167', 1353282192, 1353282215, 'IT', 'Italy'),
(44133, '80.169.114.168', '80.169.114.175', 1353282216, 1353282223, 'GB', 'United Kingdom'),
(44134, '80.169.114.176', '80.169.114.207', 1353282224, 1353282255, 'IT', 'Italy'),
(44135, '80.169.114.208', '80.169.114.215', 1353282256, 1353282263, 'GB', 'United Kingdom'),
(44136, '80.169.114.216', '80.169.115.255', 1353282264, 1353282559, 'IT', 'Italy'),
(44137, '80.169.116.0', '80.169.117.255', 1353282560, 1353283071, 'GB', 'United Kingdom'),
(44138, '80.169.118.0', '80.169.118.255', 1353283072, 1353283327, 'IT', 'Italy'),
(44139, '80.169.119.0', '80.169.129.255', 1353283328, 1353286143, 'GB', 'United Kingdom'),
(44140, '80.169.130.0', '80.169.130.111', 1353286144, 1353286255, 'EU', 'Europe'),
(44141, '80.169.130.112', '80.169.130.127', 1353286256, 1353286271, 'GB', 'United Kingdom'),
(44142, '80.169.130.128', '80.169.130.159', 1353286272, 1353286303, 'EU', 'Europe'),
(44143, '80.169.130.160', '80.169.130.167', 1353286304, 1353286311, 'GB', 'United Kingdom'),
(44144, '80.169.130.168', '80.169.130.253', 1353286312, 1353286397, 'EU', 'Europe'),
(44145, '80.169.130.254', '80.169.130.254', 1353286398, 1353286398, 'GB', 'United Kingdom'),
(44146, '80.169.130.255', '80.169.130.255', 1353286399, 1353286399, 'EU', 'Europe'),
(44147, '80.169.131.0', '80.169.135.255', 1353286400, 1353287679, 'GB', 'United Kingdom'),
(44148, '80.169.136.0', '80.169.137.95', 1353287680, 1353288031, 'IE', 'Ireland'),
(44149, '80.169.137.96', '80.169.137.127', 1353288032, 1353288063, 'GB', 'United Kingdom'),
(44150, '80.169.137.128', '80.169.137.131', 1353288064, 1353288067, 'IE', 'Ireland'),
(44151, '80.169.137.132', '80.169.137.135', 1353288068, 1353288071, 'GB', 'United Kingdom'),
(44152, '80.169.137.136', '80.169.137.215', 1353288072, 1353288151, 'IE', 'Ireland'),
(44153, '80.169.137.216', '80.169.137.223', 1353288152, 1353288159, 'GB', 'United Kingdom'),
(44154, '80.169.137.224', '80.169.137.231', 1353288160, 1353288167, 'IE', 'Ireland'),
(44155, '80.169.137.232', '80.169.137.255', 1353288168, 1353288191, 'GB', 'United Kingdom'),
(44156, '80.169.138.0', '80.169.138.127', 1353288192, 1353288319, 'IE', 'Ireland'),
(44157, '80.169.138.128', '80.169.138.135', 1353288320, 1353288327, 'GB', 'United Kingdom'),
(44158, '80.169.138.136', '80.169.138.159', 1353288328, 1353288351, 'IE', 'Ireland'),
(44159, '80.169.138.160', '80.169.138.191', 1353288352, 1353288383, 'GB', 'United Kingdom'),
(44160, '80.169.138.192', '80.169.138.207', 1353288384, 1353288399, 'IE', 'Ireland'),
(44161, '80.169.138.208', '80.169.138.215', 1353288400, 1353288407, 'GB', 'United Kingdom'),
(44162, '80.169.138.216', '80.169.138.223', 1353288408, 1353288415, 'IE', 'Ireland'),
(44163, '80.169.138.224', '80.169.138.239', 1353288416, 1353288431, 'GB', 'United Kingdom'),
(44164, '80.169.138.240', '80.169.139.71', 1353288432, 1353288519, 'IE', 'Ireland'),
(44165, '80.169.139.72', '80.169.139.79', 1353288520, 1353288527, 'GB', 'United Kingdom'),
(44166, '80.169.139.80', '80.169.139.159', 1353288528, 1353288607, 'IE', 'Ireland'),
(44167, '80.169.139.160', '80.169.139.191', 1353288608, 1353288639, 'GB', 'United Kingdom'),
(44168, '80.169.139.192', '80.169.139.223', 1353288640, 1353288671, 'IE', 'Ireland'),
(44169, '80.169.139.224', '80.169.139.231', 1353288672, 1353288679, 'GB', 'United Kingdom'),
(44170, '80.169.139.232', '80.169.140.127', 1353288680, 1353288831, 'IE', 'Ireland'),
(44171, '80.169.140.128', '80.169.140.135', 1353288832, 1353288839, 'GB', 'United Kingdom'),
(44172, '80.169.140.136', '80.169.140.143', 1353288840, 1353288847, 'IE', 'Ireland'),
(44173, '80.169.140.144', '80.169.140.151', 1353288848, 1353288855, 'GB', 'United Kingdom'),
(44174, '80.169.140.152', '80.169.140.175', 1353288856, 1353288879, 'IE', 'Ireland'),
(44175, '80.169.140.176', '80.169.140.191', 1353288880, 1353288895, 'GB', 'United Kingdom'),
(44176, '80.169.140.192', '80.169.140.255', 1353288896, 1353288959, 'IE', 'Ireland'),
(44177, '80.169.141.0', '80.169.141.15', 1353288960, 1353288975, 'GB', 'United Kingdom'),
(44178, '80.169.141.16', '80.169.141.31', 1353288976, 1353288991, 'IE', 'Ireland'),
(44179, '80.169.141.32', '80.169.141.39', 1353288992, 1353288999, 'GB', 'United Kingdom'),
(44180, '80.169.141.40', '80.169.141.63', 1353289000, 1353289023, 'IE', 'Ireland'),
(44181, '80.169.141.64', '80.169.141.71', 1353289024, 1353289031, 'NL', 'Netherlands'),
(44182, '80.169.141.72', '80.169.141.87', 1353289032, 1353289047, 'IE', 'Ireland'),
(44183, '80.169.141.88', '80.169.141.127', 1353289048, 1353289087, 'GB', 'United Kingdom'),
(44184, '80.169.141.128', '80.169.142.143', 1353289088, 1353289359, 'IE', 'Ireland'),
(44185, '80.169.142.144', '80.169.142.159', 1353289360, 1353289375, 'GB', 'United Kingdom'),
(44186, '80.169.142.160', '80.169.142.175', 1353289376, 1353289391, 'IE', 'Ireland'),
(44187, '80.169.142.176', '80.169.142.191', 1353289392, 1353289407, 'GB', 'United Kingdom'),
(44188, '80.169.142.192', '80.169.143.127', 1353289408, 1353289599, 'IE', 'Ireland'),
(44189, '80.169.143.128', '80.169.143.143', 1353289600, 1353289615, 'GB', 'United Kingdom'),
(44190, '80.169.143.144', '80.169.143.151', 1353289616, 1353289623, 'IE', 'Ireland'),
(44191, '80.169.143.152', '80.169.143.159', 1353289624, 1353289631, 'GB', 'United Kingdom'),
(44192, '80.169.143.160', '80.169.143.175', 1353289632, 1353289647, 'IE', 'Ireland'),
(44193, '80.169.143.176', '80.169.143.191', 1353289648, 1353289663, 'GB', 'United Kingdom'),
(44194, '80.169.143.192', '80.169.143.255', 1353289664, 1353289727, 'IE', 'Ireland'),
(44195, '80.169.144.0', '80.169.148.175', 1353289728, 1353290927, 'GB', 'United Kingdom'),
(44196, '80.169.148.176', '80.169.148.183', 1353290928, 1353290935, 'IE', 'Ireland'),
(44197, '80.169.148.184', '80.169.158.39', 1353290936, 1353293351, 'GB', 'United Kingdom'),
(44198, '80.169.158.40', '80.169.158.43', 1353293352, 1353293355, 'IT', 'Italy'),
(44199, '80.169.158.44', '80.169.163.175', 1353293356, 1353294767, 'GB', 'United Kingdom'),
(44200, '80.169.163.176', '80.169.163.183', 1353294768, 1353294775, 'US', 'United States'),
(44201, '80.169.163.184', '80.169.166.111', 1353294776, 1353295471, 'GB', 'United Kingdom'),
(44202, '80.169.166.112', '80.169.166.119', 1353295472, 1353295479, 'IE', 'Ireland'),
(44203, '80.169.166.120', '80.169.166.151', 1353295480, 1353295511, 'GB', 'United Kingdom'),
(44204, '80.169.166.152', '80.169.166.159', 1353295512, 1353295519, 'DE', 'Germany'),
(44205, '80.169.166.160', '80.169.172.255', 1353295520, 1353297151, 'GB', 'United Kingdom'),
(44206, '80.169.173.0', '80.169.173.31', 1353297152, 1353297183, 'IE', 'Ireland'),
(44207, '80.169.173.32', '80.169.178.255', 1353297184, 1353298687, 'GB', 'United Kingdom'),
(44208, '80.169.179.0', '80.169.179.7', 1353298688, 1353298695, 'SE', 'Sweden'),
(44209, '80.169.179.8', '80.169.179.15', 1353298696, 1353298703, 'GB', 'United Kingdom'),
(44210, '80.169.179.16', '80.169.179.19', 1353298704, 1353298707, 'SE', 'Sweden'),
(44211, '80.169.179.20', '80.169.179.63', 1353298708, 1353298751, 'GB', 'United Kingdom'),
(44212, '80.169.179.64', '80.169.179.127', 1353298752, 1353298815, 'SE', 'Sweden'),
(44213, '80.169.179.128', '80.169.179.143', 1353298816, 1353298831, 'PT', 'Portugal'),
(44214, '80.169.179.144', '80.169.179.151', 1353298832, 1353298839, 'SE', 'Sweden'),
(44215, '80.169.179.152', '80.169.179.159', 1353298840, 1353298847, 'IE', 'Ireland'),
(44216, '80.169.179.160', '80.169.179.175', 1353298848, 1353298863, 'SE', 'Sweden'),
(44217, '80.169.179.176', '80.169.179.183', 1353298864, 1353298871, 'GB', 'United Kingdom'),
(44218, '80.169.179.184', '80.169.179.193', 1353298872, 1353298881, 'SE', 'Sweden'),
(44219, '80.169.179.194', '80.169.179.199', 1353298882, 1353298887, 'GB', 'United Kingdom'),
(44220, '80.169.179.200', '80.169.182.191', 1353298888, 1353299647, 'SE', 'Sweden'),
(44221, '80.169.182.192', '80.169.183.127', 1353299648, 1353299839, 'GB', 'United Kingdom'),
(44222, '80.169.183.128', '80.169.183.135', 1353299840, 1353299847, 'SE', 'Sweden'),
(44223, '80.169.183.136', '80.169.183.159', 1353299848, 1353299871, 'GB', 'United Kingdom'),
(44224, '80.169.183.160', '80.169.183.199', 1353299872, 1353299911, 'SE', 'Sweden'),
(44225, '80.169.183.200', '80.169.183.215', 1353299912, 1353299927, 'GB', 'United Kingdom'),
(44226, '80.169.183.216', '80.169.183.239', 1353299928, 1353299951, 'SE', 'Sweden'),
(44227, '80.169.183.240', '80.169.183.255', 1353299952, 1353299967, 'GB', 'United Kingdom'),
(44228, '80.169.184.0', '80.169.184.95', 1353299968, 1353300063, 'SE', 'Sweden'),
(44229, '80.169.184.96', '80.169.184.103', 1353300064, 1353300071, 'GB', 'United Kingdom'),
(44230, '80.169.184.104', '80.169.184.127', 1353300072, 1353300095, 'SE', 'Sweden'),
(44231, '80.169.184.128', '80.169.184.135', 1353300096, 1353300103, 'CH', 'Switzerland'),
(44232, '80.169.184.136', '80.169.184.143', 1353300104, 1353300111, 'SE', 'Sweden'),
(44233, '80.169.184.144', '80.169.184.151', 1353300112, 1353300119, 'FI', 'Finland'),
(44234, '80.169.184.152', '80.169.184.159', 1353300120, 1353300127, 'SE', 'Sweden'),
(44235, '80.169.184.160', '80.169.184.175', 1353300128, 1353300143, 'GB', 'United Kingdom'),
(44236, '80.169.184.176', '80.169.184.191', 1353300144, 1353300159, 'SE', 'Sweden'),
(44237, '80.169.184.192', '80.169.184.207', 1353300160, 1353300175, 'GB', 'United Kingdom'),
(44238, '80.169.184.208', '80.169.184.223', 1353300176, 1353300191, 'SE', 'Sweden'),
(44239, '80.169.184.224', '80.169.185.15', 1353300192, 1353300239, 'GB', 'United Kingdom'),
(44240, '80.169.185.16', '80.169.185.23', 1353300240, 1353300247, 'SE', 'Sweden'),
(44241, '80.169.185.24', '80.169.185.55', 1353300248, 1353300279, 'GB', 'United Kingdom'),
(44242, '80.169.185.56', '80.169.186.255', 1353300280, 1353300735, 'SE', 'Sweden'),
(44243, '80.169.187.0', '80.169.188.103', 1353300736, 1353301095, 'GB', 'United Kingdom'),
(44244, '80.169.188.104', '80.169.188.111', 1353301096, 1353301103, 'US', 'United States'),
(44245, '80.169.188.112', '80.169.189.167', 1353301104, 1353301415, 'GB', 'United Kingdom'),
(44246, '80.169.189.168', '80.169.189.175', 1353301416, 1353301423, 'BE', 'Belgium'),
(44247, '80.169.189.176', '80.169.206.79', 1353301424, 1353305679, 'GB', 'United Kingdom'),
(44248, '80.169.206.80', '80.169.206.87', 1353305680, 1353305687, 'US', 'United States'),
(44249, '80.169.206.88', '80.169.207.255', 1353305688, 1353306111, 'GB', 'United Kingdom'),
(44250, '80.169.208.0', '80.169.209.255', 1353306112, 1353306623, 'ES', 'Spain'),
(44251, '80.169.210.0', '80.169.210.63', 1353306624, 1353306687, 'GB', 'United Kingdom'),
(44252, '80.169.210.64', '80.169.210.111', 1353306688, 1353306735, 'BE', 'Belgium'),
(44253, '80.169.210.112', '80.169.210.127', 1353306736, 1353306751, 'GB', 'United Kingdom'),
(44254, '80.169.210.128', '80.169.211.255', 1353306752, 1353307135, 'BE', 'Belgium'),
(44255, '80.169.212.0', '80.169.212.7', 1353307136, 1353307143, 'IT', 'Italy'),
(44256, '80.169.212.8', '80.169.215.255', 1353307144, 1353308159, 'GB', 'United Kingdom'),
(44257, '80.169.216.0', '80.169.219.255', 1353308160, 1353309183, 'FR', 'France'),
(44258, '80.169.220.0', '80.169.224.95', 1353309184, 1353310303, 'GB', 'United Kingdom'),
(44259, '80.169.224.96', '80.169.224.127', 1353310304, 1353310335, 'IE', 'Ireland'),
(44260, '80.169.224.128', '80.169.224.255', 1353310336, 1353310463, 'GB', 'United Kingdom'),
(44261, '80.169.225.0', '80.169.225.15', 1353310464, 1353310479, 'ES', 'Spain'),
(44262, '80.169.225.16', '80.169.225.23', 1353310480, 1353310487, 'GB', 'United Kingdom'),
(44263, '80.169.225.24', '80.169.225.87', 1353310488, 1353310551, 'ES', 'Spain'),
(44264, '80.169.225.88', '80.169.225.95', 1353310552, 1353310559, 'GB', 'United Kingdom'),
(44265, '80.169.225.96', '80.169.225.135', 1353310560, 1353310599, 'ES', 'Spain'),
(44266, '80.169.225.136', '80.169.225.143', 1353310600, 1353310607, 'DE', 'Germany'),
(44267, '80.169.225.144', '80.169.225.255', 1353310608, 1353310719, 'ES', 'Spain'),
(44268, '80.169.226.0', '80.169.226.87', 1353310720, 1353310807, 'IT', 'Italy'),
(44269, '80.169.226.88', '80.169.226.95', 1353310808, 1353310815, 'GB', 'United Kingdom'),
(44270, '80.169.226.96', '80.169.227.199', 1353310816, 1353311175, 'IT', 'Italy'),
(44271, '80.169.227.200', '80.169.227.207', 1353311176, 1353311183, 'ES', 'Spain'),
(44272, '80.169.227.208', '80.169.227.255', 1353311184, 1353311231, 'IT', 'Italy'),
(44273, '80.169.228.0', '80.169.231.255', 1353311232, 1353312255, 'GB', 'United Kingdom'),
(44274, '80.169.232.0', '80.169.233.255', 1353312256, 1353312767, 'CH', 'Switzerland'),
(44275, '80.169.234.0', '80.169.234.7', 1353312768, 1353312775, 'IT', 'Italy'),
(44276, '80.169.234.8', '80.169.234.15', 1353312776, 1353312783, 'GB', 'United Kingdom'),
(44277, '80.169.234.16', '80.169.234.127', 1353312784, 1353312895, 'IT', 'Italy'),
(44278, '80.169.234.128', '80.169.234.135', 1353312896, 1353312903, 'GB', 'United Kingdom'),
(44279, '80.169.234.136', '80.169.234.231', 1353312904, 1353312999, 'IT', 'Italy'),
(44280, '80.169.234.232', '80.169.234.247', 1353313000, 1353313015, 'GB', 'United Kingdom'),
(44281, '80.169.234.248', '80.169.235.167', 1353313016, 1353313191, 'IT', 'Italy'),
(44282, '80.169.235.168', '80.169.235.175', 1353313192, 1353313199, 'GB', 'United Kingdom'),
(44283, '80.169.235.176', '80.169.235.255', 1353313200, 1353313279, 'IT', 'Italy'),
(44284, '80.169.236.0', '80.169.237.255', 1353313280, 1353313791, 'IE', 'Ireland'),
(44285, '80.169.238.0', '80.169.239.255', 1353313792, 1353314303, 'GB', 'United Kingdom'),
(44286, '80.169.240.0', '80.169.241.255', 1353314304, 1353314815, 'CH', 'Switzerland'),
(44287, '80.169.242.0', '80.169.244.87', 1353314816, 1353315415, 'ES', 'Spain'),
(44288, '80.169.244.88', '80.169.244.95', 1353315416, 1353315423, 'FR', 'France'),
(44289, '80.169.244.96', '80.169.246.63', 1353315424, 1353315903, 'ES', 'Spain'),
(44290, '80.169.246.64', '80.169.246.95', 1353315904, 1353315935, 'FR', 'France'),
(44291, '80.169.246.96', '80.169.247.255', 1353315936, 1353316351, 'ES', 'Spain'),
(44292, '80.169.248.0', '80.169.251.255', 1353316352, 1353317375, 'GB', 'United Kingdom'),
(44293, '80.169.252.0', '80.169.252.255', 1353317376, 1353317631, 'FR', 'France'),
(44294, '80.169.253.0', '80.169.254.255', 1353317632, 1353318143, 'GB', 'United Kingdom'),
(44295, '80.169.255.0', '80.169.255.255', 1353318144, 1353318399, 'IE', 'Ireland'),
(44296, '80.170.0.0', '80.170.255.255', 1353318400, 1353383935, 'SE', 'Sweden'),
(44297, '80.171.0.0', '80.171.255.255', 1353383936, 1353449471, 'DE', 'Germany'),
(44298, '80.172.0.0', '80.172.255.255', 1353449472, 1353515007, 'PT', 'Portugal'),
(44299, '80.173.0.0', '80.174.255.255', 1353515008, 1353646079, 'ES', 'Spain'),
(44300, '80.175.0.0', '80.177.255.255', 1353646080, 1353842687, 'GB', 'United Kingdom'),
(44301, '80.178.0.0', '80.179.188.255', 1353842688, 1353956607, 'IL', 'Israel'),
(44302, '80.179.189.0', '80.179.189.255', 1353956608, 1353956863, 'GB', 'United Kingdom'),
(44303, '80.179.190.0', '80.179.235.255', 1353956864, 1353968639, 'IL', 'Israel'),
(44304, '80.179.236.0', '80.179.236.255', 1353968640, 1353968895, 'A2', 'Satellite Provider'),
(44305, '80.179.237.0', '80.179.242.255', 1353968896, 1353970431, 'IL', 'Israel'),
(44306, '80.179.243.0', '80.179.243.111', 1353970432, 1353970543, 'A2', 'Satellite Provider'),
(44307, '80.179.243.112', '80.179.243.115', 1353970544, 1353970547, 'IL', 'Israel'),
(44308, '80.179.243.116', '80.179.243.139', 1353970548, 1353970571, 'A2', 'Satellite Provider'),
(44309, '80.179.243.140', '80.179.243.143', 1353970572, 1353970575, 'IL', 'Israel'),
(44310, '80.179.243.144', '80.179.243.147', 1353970576, 1353970579, 'A2', 'Satellite Provider'),
(44311, '80.179.243.148', '80.179.243.155', 1353970580, 1353970587, 'IL', 'Israel'),
(44312, '80.179.243.156', '80.179.243.191', 1353970588, 1353970623, 'A2', 'Satellite Provider'),
(44313, '80.179.243.192', '80.179.243.207', 1353970624, 1353970639, 'IL', 'Israel'),
(44314, '80.179.243.208', '80.179.243.255', 1353970640, 1353970687, 'A2', 'Satellite Provider'),
(44315, '80.179.244.0', '80.179.255.255', 1353970688, 1353973759, 'IL', 'Israel'),
(44316, '80.180.0.0', '80.183.255.255', 1353973760, 1354235903, 'IT', 'Italy'),
(44317, '80.184.0.0', '80.184.255.255', 1354235904, 1354301439, 'KW', 'Kuwait'),
(44318, '80.185.0.0', '80.185.255.255', 1354301440, 1354366975, 'FR', 'France'),
(44319, '80.186.0.0', '80.186.255.255', 1354366976, 1354432511, 'FI', 'Finland'),
(44320, '80.187.0.0', '80.187.143.255', 1354432512, 1354469375, 'DE', 'Germany'),
(44321, '80.187.144.0', '80.187.144.255', 1354469376, 1354469631, 'EU', 'Europe'),
(44322, '80.187.145.0', '80.187.145.255', 1354469632, 1354469887, 'DE', 'Germany'),
(44323, '80.187.146.0', '80.187.152.255', 1354469888, 1354471679, 'EU', 'Europe'),
(44324, '80.187.153.0', '80.187.153.255', 1354471680, 1354471935, 'DE', 'Germany'),
(44325, '80.187.154.0', '80.187.154.255', 1354471936, 1354472191, 'EU', 'Europe'),
(44326, '80.187.155.0', '80.187.157.255', 1354472192, 1354472959, 'DE', 'Germany'),
(44327, '80.187.158.0', '80.187.158.255', 1354472960, 1354473215, 'EU', 'Europe'),
(44328, '80.187.159.0', '80.187.207.255', 1354473216, 1354485759, 'DE', 'Germany'),
(44329, '80.187.208.0', '80.187.213.255', 1354485760, 1354487295, 'EU', 'Europe'),
(44330, '80.187.214.0', '80.187.217.255', 1354487296, 1354488319, 'DE', 'Germany'),
(44331, '80.187.218.0', '80.187.219.255', 1354488320, 1354488831, 'EU', 'Europe'),
(44332, '80.187.220.0', '80.187.220.255', 1354488832, 1354489087, 'DE', 'Germany'),
(44333, '80.187.221.0', '80.187.223.255', 1354489088, 1354489855, 'EU', 'Europe'),
(44334, '80.187.224.0', '80.187.255.255', 1354489856, 1354498047, 'DE', 'Germany'),
(44335, '80.188.0.0', '80.188.255.255', 1354498048, 1354563583, 'CZ', 'Czech Republic'),
(44336, '80.189.0.0', '80.189.255.255', 1354563584, 1354629119, 'GB', 'United Kingdom'),
(44337, '80.190.0.0', '80.190.129.47', 1354629120, 1354662191, 'DE', 'Germany'),
(44338, '80.190.129.48', '80.190.129.63', 1354662192, 1354662207, 'CY', 'Cyprus'),
(44339, '80.190.129.64', '80.190.132.31', 1354662208, 1354662943, 'DE', 'Germany'),
(44340, '80.190.132.32', '80.190.132.63', 1354662944, 1354662975, 'AT', 'Austria'),
(44341, '80.190.132.64', '80.190.139.55', 1354662976, 1354664759, 'DE', 'Germany'),
(44342, '80.190.139.56', '80.190.139.63', 1354664760, 1354664767, 'IT', 'Italy'),
(44343, '80.190.139.64', '80.190.143.195', 1354664768, 1354665923, 'DE', 'Germany'),
(44344, '80.190.143.196', '80.190.143.199', 1354665924, 1354665927, 'AT', 'Austria'),
(44345, '80.190.143.200', '80.190.146.143', 1354665928, 1354666639, 'DE', 'Germany'),
(44346, '80.190.146.144', '80.190.146.154', 1354666640, 1354666650, 'FI', 'Finland'),
(44347, '80.190.146.155', '80.190.146.191', 1354666651, 1354666687, 'DE', 'Germany'),
(44348, '80.190.146.192', '80.190.146.192', 1354666688, 1354666688, 'FI', 'Finland'),
(44349, '80.190.146.193', '80.190.151.255', 1354666689, 1354668031, 'DE', 'Germany'),
(44350, '80.190.152.0', '80.190.152.127', 1354668032, 1354668159, 'AT', 'Austria'),
(44351, '80.190.152.128', '80.190.174.255', 1354668160, 1354673919, 'DE', 'Germany'),
(44352, '80.190.175.0', '80.190.175.255', 1354673920, 1354674175, 'PL', 'Poland'),
(44353, '80.190.176.0', '80.190.178.31', 1354674176, 1354674719, 'DE', 'Germany'),
(44354, '80.190.178.32', '80.190.178.63', 1354674720, 1354674751, 'CH', 'Switzerland'),
(44355, '80.190.178.64', '80.190.178.127', 1354674752, 1354674815, 'DE', 'Germany'),
(44356, '80.190.178.128', '80.190.178.255', 1354674816, 1354674943, 'IT', 'Italy'),
(44357, '80.190.179.0', '80.190.179.255', 1354674944, 1354675199, 'AE', 'United Arab Emirates'),
(44358, '80.190.180.0', '80.190.184.255', 1354675200, 1354676479, 'DE', 'Germany'),
(44359, '80.190.185.0', '80.190.186.31', 1354676480, 1354676767, 'AE', 'United Arab Emirates'),
(44360, '80.190.186.32', '80.190.186.47', 1354676768, 1354676783, 'DE', 'Germany'),
(44361, '80.190.186.48', '80.190.186.55', 1354676784, 1354676791, 'PL', 'Poland'),
(44362, '80.190.186.56', '80.190.186.255', 1354676792, 1354676991, 'DE', 'Germany'),
(44363, '80.190.187.0', '80.190.187.31', 1354676992, 1354677023, 'AE', 'United Arab Emirates'),
(44364, '80.190.187.32', '80.190.187.255', 1354677024, 1354677247, 'DE', 'Germany'),
(44365, '80.190.188.0', '80.190.188.31', 1354677248, 1354677279, 'AE', 'United Arab Emirates'),
(44366, '80.190.188.32', '80.190.190.255', 1354677280, 1354678015, 'DE', 'Germany'),
(44367, '80.190.191.0', '80.190.191.15', 1354678016, 1354678031, 'AE', 'United Arab Emirates'),
(44368, '80.190.191.16', '80.190.191.143', 1354678032, 1354678159, 'DE', 'Germany'),
(44369, '80.190.191.144', '80.190.191.147', 1354678160, 1354678163, 'PL', 'Poland'),
(44370, '80.190.191.148', '80.190.193.31', 1354678164, 1354678559, 'DE', 'Germany'),
(44371, '80.190.193.32', '80.190.193.47', 1354678560, 1354678575, 'AE', 'United Arab Emirates'),
(44372, '80.190.193.48', '80.190.193.215', 1354678576, 1354678743, 'DE', 'Germany'),
(44373, '80.190.193.216', '80.190.193.223', 1354678744, 1354678751, 'CH', 'Switzerland'),
(44374, '80.190.193.224', '80.190.193.231', 1354678752, 1354678759, 'IT', 'Italy'),
(44375, '80.190.193.232', '80.190.195.255', 1354678760, 1354679295, 'DE', 'Germany'),
(44376, '80.190.196.0', '80.190.197.255', 1354679296, 1354679807, 'AE', 'United Arab Emirates'),
(44377, '80.190.198.0', '80.190.198.255', 1354679808, 1354680063, 'DE', 'Germany'),
(44378, '80.190.199.0', '80.190.199.15', 1354680064, 1354680079, 'AE', 'United Arab Emirates'),
(44379, '80.190.199.16', '80.190.199.111', 1354680080, 1354680175, 'DE', 'Germany'),
(44380, '80.190.199.112', '80.190.199.115', 1354680176, 1354680179, 'PL', 'Poland'),
(44381, '80.190.199.116', '80.190.204.127', 1354680180, 1354681471, 'DE', 'Germany'),
(44382, '80.190.204.128', '80.190.204.143', 1354681472, 1354681487, 'AE', 'United Arab Emirates'),
(44383, '80.190.204.144', '80.190.205.215', 1354681488, 1354681815, 'DE', 'Germany'),
(44384, '80.190.205.216', '80.190.205.223', 1354681816, 1354681823, 'CH', 'Switzerland'),
(44385, '80.190.205.224', '80.190.207.31', 1354681824, 1354682143, 'DE', 'Germany'),
(44386, '80.190.207.32', '80.190.207.63', 1354682144, 1354682175, 'CH', 'Switzerland'),
(44387, '80.190.207.64', '80.190.207.175', 1354682176, 1354682287, 'DE', 'Germany'),
(44388, '80.190.207.176', '80.190.207.191', 1354682288, 1354682303, 'AE', 'United Arab Emirates'),
(44389, '80.190.207.192', '80.190.209.147', 1354682304, 1354682771, 'DE', 'Germany'),
(44390, '80.190.209.148', '80.190.209.151', 1354682772, 1354682775, 'RS', 'Serbia'),
(44391, '80.190.209.152', '80.190.210.15', 1354682776, 1354682895, 'DE', 'Germany'),
(44392, '80.190.210.16', '80.190.210.31', 1354682896, 1354682911, 'AE', 'United Arab Emirates'),
(44393, '80.190.210.32', '80.190.210.215', 1354682912, 1354683095, 'DE', 'Germany'),
(44394, '80.190.210.216', '80.190.210.223', 1354683096, 1354683103, 'IT', 'Italy'),
(44395, '80.190.210.224', '80.190.211.255', 1354683104, 1354683391, 'DE', 'Germany'),
(44396, '80.190.212.0', '80.190.214.255', 1354683392, 1354684159, 'PL', 'Poland'),
(44397, '80.190.215.0', '80.190.215.255', 1354684160, 1354684415, 'DE', 'Germany'),
(44398, '80.190.216.0', '80.190.216.15', 1354684416, 1354684431, 'AE', 'United Arab Emirates'),
(44399, '80.190.216.16', '80.190.216.255', 1354684432, 1354684671, 'DE', 'Germany'),
(44400, '80.190.217.0', '80.190.217.255', 1354684672, 1354684927, 'AE', 'United Arab Emirates'),
(44401, '80.190.218.0', '80.190.226.47', 1354684928, 1354687023, 'DE', 'Germany'),
(44402, '80.190.226.48', '80.190.226.55', 1354687024, 1354687031, 'LU', 'Luxembourg'),
(44403, '80.190.226.56', '80.190.227.127', 1354687032, 1354687359, 'DE', 'Germany'),
(44404, '80.190.227.128', '80.190.227.143', 1354687360, 1354687375, 'NZ', 'New Zealand'),
(44405, '80.190.227.144', '80.190.227.151', 1354687376, 1354687383, 'DE', 'Germany'),
(44406, '80.190.227.152', '80.190.227.159', 1354687384, 1354687391, 'NZ', 'New Zealand'),
(44407, '80.190.227.160', '80.190.227.167', 1354687392, 1354687399, 'DE', 'Germany'),
(44408, '80.190.227.168', '80.190.227.175', 1354687400, 1354687407, 'IT', 'Italy'),
(44409, '80.190.227.176', '80.190.227.223', 1354687408, 1354687455, 'DE', 'Germany'),
(44410, '80.190.227.224', '80.190.227.255', 1354687456, 1354687487, 'IT', 'Italy'),
(44411, '80.190.228.0', '80.190.255.255', 1354687488, 1354694655, 'DE', 'Germany'),
(44412, '80.191.0.0', '80.191.255.255', 1354694656, 1354760191, 'IR', 'Iran, Islamic Republic of'),
(44413, '80.192.0.0', '80.195.255.255', 1354760192, 1355022335, 'GB', 'United Kingdom'),
(44414, '80.196.0.0', '80.199.255.255', 1355022336, 1355284479, 'DK', 'Denmark'),
(44415, '80.200.0.0', '80.201.255.255', 1355284480, 1355415551, 'BE', 'Belgium'),
(44416, '80.202.0.0', '80.203.255.255', 1355415552, 1355546623, 'NO', 'Norway'),
(44417, '80.204.0.0', '80.207.255.255', 1355546624, 1355808767, 'IT', 'Italy'),
(44418, '80.208.0.0', '80.211.255.255', 1355808768, 1356070911, 'DK', 'Denmark'),
(44419, '80.212.0.0', '80.213.255.255', 1356070912, 1356201983, 'NO', 'Norway'),
(44420, '80.214.0.0', '80.215.255.255', 1356201984, 1356333055, 'FR', 'France'),
(44421, '80.216.0.0', '80.217.255.255', 1356333056, 1356464127, 'SE', 'Sweden'),
(44422, '80.218.0.0', '80.219.255.255', 1356464128, 1356595199, 'CH', 'Switzerland'),
(44423, '80.220.0.0', '80.223.255.255', 1356595200, 1356857343, 'FI', 'Finland'),
(44424, '80.224.0.0', '80.224.255.255', 1356857344, 1356922879, 'ES', 'Spain'),
(44425, '80.225.0.0', '80.225.255.255', 1356922880, 1356988415, 'GB', 'United Kingdom'),
(44426, '80.226.0.0', '80.226.255.255', 1356988416, 1357053951, 'DE', 'Germany'),
(44427, '80.227.0.0', '80.227.147.143', 1357053952, 1357091727, 'AE', 'United Arab Emirates'),
(44428, '80.227.147.144', '80.227.147.159', 1357091728, 1357091743, 'A2', 'Satellite Provider'),
(44429, '80.227.147.160', '80.227.255.255', 1357091744, 1357119487, 'AE', 'United Arab Emirates'),
(44430, '80.228.0.0', '80.228.28.151', 1357119488, 1357126807, 'DE', 'Germany'),
(44431, '80.228.28.152', '80.228.28.159', 1357126808, 1357126815, 'NL', 'Netherlands'),
(44432, '80.228.28.160', '80.228.29.151', 1357126816, 1357127063, 'DE', 'Germany'),
(44433, '80.228.29.152', '80.228.29.167', 1357127064, 1357127079, 'NL', 'Netherlands'),
(44434, '80.228.29.168', '80.228.31.47', 1357127080, 1357127471, 'DE', 'Germany'),
(44435, '80.228.31.48', '80.228.31.63', 1357127472, 1357127487, 'CH', 'Switzerland'),
(44436, '80.228.31.64', '80.228.228.87', 1357127488, 1357177943, 'DE', 'Germany'),
(44437, '80.228.228.88', '80.228.228.95', 1357177944, 1357177951, 'NL', 'Netherlands'),
(44438, '80.228.228.96', '80.228.255.255', 1357177952, 1357185023, 'DE', 'Germany'),
(44439, '80.229.0.0', '80.229.255.255', 1357185024, 1357250559, 'GB', 'United Kingdom'),
(44440, '80.230.0.0', '80.230.255.255', 1357250560, 1357316095, 'IL', 'Israel'),
(44441, '80.231.0.0', '80.231.1.255', 1357316096, 1357316607, 'ES', 'Spain'),
(44442, '80.231.2.0', '80.231.3.255', 1357316608, 1357317119, 'LU', 'Luxembourg'),
(44443, '80.231.4.0', '80.231.4.255', 1357317120, 1357317375, 'GB', 'United Kingdom'),
(44444, '80.231.5.0', '80.231.5.255', 1357317376, 1357317631, 'A2', 'Satellite Provider'),
(44445, '80.231.6.0', '80.231.7.255', 1357317632, 1357318143, 'LY', 'Libyan Arab Jamahiriya'),
(44446, '80.231.8.0', '80.231.15.255', 1357318144, 1357320191, 'QA', 'Qatar'),
(44447, '80.231.16.0', '80.231.17.255', 1357320192, 1357320703, 'FR', 'France'),
(44448, '80.231.18.0', '80.231.18.255', 1357320704, 1357320959, 'RO', 'Romania'),
(44449, '80.231.19.0', '80.231.19.31', 1357320960, 1357320991, 'ES', 'Spain'),
(44450, '80.231.19.32', '80.231.19.39', 1357320992, 1357320999, 'GB', 'United Kingdom'),
(44451, '80.231.19.40', '80.231.19.47', 1357321000, 1357321007, 'FR', 'France'),
(44452, '80.231.19.48', '80.231.19.55', 1357321008, 1357321015, 'GB', 'United Kingdom'),
(44453, '80.231.19.56', '80.231.19.63', 1357321016, 1357321023, 'DK', 'Denmark'),
(44454, '80.231.19.64', '80.231.19.127', 1357321024, 1357321087, 'KE', 'Kenya'),
(44455, '80.231.19.128', '80.231.19.255', 1357321088, 1357321215, 'HK', 'Hong Kong'),
(44456, '80.231.20.0', '80.231.20.255', 1357321216, 1357321471, 'GB', 'United Kingdom'),
(44457, '80.231.21.0', '80.231.21.255', 1357321472, 1357321727, 'ES', 'Spain'),
(44458, '80.231.22.0', '80.231.22.255', 1357321728, 1357321983, 'CY', 'Cyprus'),
(44459, '80.231.23.0', '80.231.23.255', 1357321984, 1357322239, 'GB', 'United Kingdom'),
(44460, '80.231.24.0', '80.231.25.255', 1357322240, 1357322751, 'DE', 'Germany'),
(44461, '80.231.26.0', '80.231.27.255', 1357322752, 1357323263, 'BH', 'Bahrain'),
(44462, '80.231.28.0', '80.231.28.255', 1357323264, 1357323519, 'ES', 'Spain'),
(44463, '80.231.29.0', '80.231.29.255', 1357323520, 1357323775, 'GB', 'United Kingdom'),
(44464, '80.231.30.0', '80.231.31.255', 1357323776, 1357324287, 'DE', 'Germany'),
(44465, '80.231.32.0', '80.231.39.255', 1357324288, 1357326335, 'GB', 'United Kingdom'),
(44466, '80.231.40.0', '80.231.40.255', 1357326336, 1357326591, 'NL', 'Netherlands'),
(44467, '80.231.41.0', '80.231.41.255', 1357326592, 1357326847, 'DE', 'Germany'),
(44468, '80.231.42.0', '80.231.43.255', 1357326848, 1357327359, 'GB', 'United Kingdom'),
(44469, '80.231.44.0', '80.231.47.255', 1357327360, 1357328383, 'DE', 'Germany'),
(44470, '80.231.48.0', '80.231.55.255', 1357328384, 1357330431, 'EU', 'Europe'),
(44471, '80.231.56.0', '80.231.57.255', 1357330432, 1357330943, 'DE', 'Germany'),
(44472, '80.231.58.0', '80.231.59.255', 1357330944, 1357331455, 'ES', 'Spain'),
(44473, '80.231.60.0', '80.231.63.255', 1357331456, 1357332479, 'EU', 'Europe'),
(44474, '80.231.64.0', '80.231.66.255', 1357332480, 1357333247, 'DE', 'Germany'),
(44475, '80.231.67.0', '80.231.67.255', 1357333248, 1357333503, 'GB', 'United Kingdom'),
(44476, '80.231.68.0', '80.231.68.255', 1357333504, 1357333759, 'IR', 'Iran, Islamic Republic of'),
(44477, '80.231.69.0', '80.231.69.63', 1357333760, 1357333823, 'FR', 'France'),
(44478, '80.231.69.64', '80.231.69.95', 1357333824, 1357333855, 'GB', 'United Kingdom'),
(44479, '80.231.69.96', '80.231.69.255', 1357333856, 1357334015, 'ES', 'Spain'),
(44480, '80.231.70.0', '80.231.70.255', 1357334016, 1357334271, 'TZ', 'Tanzania, United Republic of'),
(44481, '80.231.71.0', '80.231.71.255', 1357334272, 1357334527, 'CA', 'Canada'),
(44482, '80.231.72.0', '80.231.73.255', 1357334528, 1357335039, 'FR', 'France'),
(44483, '80.231.74.0', '80.231.74.255', 1357335040, 1357335295, 'GB', 'United Kingdom'),
(44484, '80.231.75.0', '80.231.75.255', 1357335296, 1357335551, 'FR', 'France'),
(44485, '80.231.76.0', '80.231.76.255', 1357335552, 1357335807, 'GB', 'United Kingdom'),
(44486, '80.231.77.0', '80.231.77.255', 1357335808, 1357336063, 'KE', 'Kenya'),
(44487, '80.231.78.0', '80.231.78.255', 1357336064, 1357336319, 'GB', 'United Kingdom'),
(44488, '80.231.79.0', '80.231.79.255', 1357336320, 1357336575, 'FR', 'France'),
(44489, '80.231.80.0', '80.231.83.255', 1357336576, 1357337599, 'NL', 'Netherlands'),
(44490, '80.231.84.0', '80.231.84.255', 1357337600, 1357337855, 'ES', 'Spain'),
(44491, '80.231.85.0', '80.231.85.255', 1357337856, 1357338111, 'SA', 'Saudi Arabia'),
(44492, '80.231.86.0', '80.231.88.255', 1357338112, 1357338879, 'FR', 'France'),
(44493, '80.231.89.0', '80.231.90.255', 1357338880, 1357339391, 'NO', 'Norway'),
(44494, '80.231.91.0', '80.231.91.255', 1357339392, 1357339647, 'ES', 'Spain'),
(44495, '80.231.92.0', '80.231.92.255', 1357339648, 1357339903, 'DZ', 'Algeria'),
(44496, '80.231.93.0', '80.231.93.255', 1357339904, 1357340159, 'GB', 'United Kingdom'),
(44497, '80.231.94.0', '80.231.94.255', 1357340160, 1357340415, 'DE', 'Germany'),
(44498, '80.231.95.0', '80.231.103.255', 1357340416, 1357342719, 'GB', 'United Kingdom'),
(44499, '80.231.104.0', '80.231.104.255', 1357342720, 1357342975, 'PL', 'Poland'),
(44500, '80.231.105.0', '80.231.111.255', 1357342976, 1357344767, 'EU', 'Europe'),
(44501, '80.231.112.0', '80.231.119.255', 1357344768, 1357346815, 'CA', 'Canada'),
(44502, '80.231.120.0', '80.231.123.255', 1357346816, 1357347839, 'FR', 'France'),
(44503, '80.231.124.0', '80.231.124.255', 1357347840, 1357348095, 'PL', 'Poland'),
(44504, '80.231.125.0', '80.231.125.255', 1357348096, 1357348351, 'EU', 'Europe'),
(44505, '80.231.126.0', '80.231.126.255', 1357348352, 1357348607, 'ES', 'Spain'),
(44506, '80.231.127.0', '80.231.127.255', 1357348608, 1357348863, 'EU', 'Europe'),
(44507, '80.231.128.0', '80.231.128.255', 1357348864, 1357349119, 'DE', 'Germany'),
(44508, '80.231.129.0', '80.231.129.255', 1357349120, 1357349375, 'LU', 'Luxembourg'),
(44509, '80.231.130.0', '80.231.131.255', 1357349376, 1357349887, 'GB', 'United Kingdom'),
(44510, '80.231.132.0', '80.231.133.255', 1357349888, 1357350399, 'ES', 'Spain'),
(44511, '80.231.134.0', '80.231.135.255', 1357350400, 1357350911, 'QA', 'Qatar'),
(44512, '80.231.136.0', '80.231.136.255', 1357350912, 1357351167, 'GB', 'United Kingdom'),
(44513, '80.231.137.0', '80.231.137.255', 1357351168, 1357351423, 'PL', 'Poland'),
(44514, '80.231.138.0', '80.231.143.255', 1357351424, 1357352959, 'GB', 'United Kingdom'),
(44515, '80.231.144.0', '80.231.147.255', 1357352960, 1357353983, 'CA', 'Canada'),
(44516, '80.231.148.0', '80.231.149.255', 1357353984, 1357354495, 'GB', 'United Kingdom'),
(44517, '80.231.150.0', '80.231.150.255', 1357354496, 1357354751, 'ES', 'Spain'),
(44518, '80.231.151.0', '80.231.151.255', 1357354752, 1357355007, 'FR', 'France'),
(44519, '80.231.152.0', '80.231.152.255', 1357355008, 1357355263, 'NL', 'Netherlands'),
(44520, '80.231.153.0', '80.231.154.255', 1357355264, 1357355775, 'FR', 'France'),
(44521, '80.231.155.0', '80.231.155.255', 1357355776, 1357356031, 'GB', 'United Kingdom'),
(44522, '80.231.156.0', '80.231.157.255', 1357356032, 1357356543, 'ES', 'Spain'),
(44523, '80.231.158.0', '80.231.159.255', 1357356544, 1357357055, 'PT', 'Portugal'),
(44524, '80.231.160.0', '80.231.161.255', 1357357056, 1357357567, 'ES', 'Spain'),
(44525, '80.231.162.0', '80.231.163.255', 1357357568, 1357358079, 'DE', 'Germany'),
(44526, '80.231.164.0', '80.231.164.255', 1357358080, 1357358335, 'ES', 'Spain'),
(44527, '80.231.165.0', '80.231.165.255', 1357358336, 1357358591, 'FR', 'France'),
(44528, '80.231.166.0', '80.231.166.255', 1357358592, 1357358847, 'DE', 'Germany'),
(44529, '80.231.167.0', '80.231.167.255', 1357358848, 1357359103, 'PL', 'Poland'),
(44530, '80.231.168.0', '80.231.171.127', 1357359104, 1357359999, 'ES', 'Spain'),
(44531, '80.231.171.128', '80.231.171.143', 1357360000, 1357360015, 'GB', 'United Kingdom'),
(44532, '80.231.171.144', '80.231.171.151', 1357360016, 1357360023, 'IT', 'Italy'),
(44533, '80.231.171.152', '80.231.171.159', 1357360024, 1357360031, 'BE', 'Belgium'),
(44534, '80.231.171.160', '80.231.172.143', 1357360032, 1357360271, 'GB', 'United Kingdom'),
(44535, '80.231.172.144', '80.231.172.151', 1357360272, 1357360279, 'FR', 'France'),
(44536, '80.231.172.152', '80.231.172.159', 1357360280, 1357360287, 'GB', 'United Kingdom'),
(44537, '80.231.172.160', '80.231.172.191', 1357360288, 1357360319, 'IN', 'India'),
(44538, '80.231.172.192', '80.231.172.207', 1357360320, 1357360335, 'GB', 'United Kingdom'),
(44539, '80.231.172.208', '80.231.172.215', 1357360336, 1357360343, 'BE', 'Belgium'),
(44540, '80.231.172.216', '80.231.172.223', 1357360344, 1357360351, 'LU', 'Luxembourg'),
(44541, '80.231.172.224', '80.231.172.255', 1357360352, 1357360383, 'GB', 'United Kingdom'),
(44542, '80.231.173.0', '80.231.173.255', 1357360384, 1357360639, 'ES', 'Spain'),
(44543, '80.231.174.0', '80.231.174.255', 1357360640, 1357360895, 'GB', 'United Kingdom'),
(44544, '80.231.175.0', '80.231.175.255', 1357360896, 1357361151, 'DE', 'Germany'),
(44545, '80.231.176.0', '80.231.183.255', 1357361152, 1357363199, 'CA', 'Canada'),
(44546, '80.231.184.0', '80.231.187.255', 1357363200, 1357364223, 'QA', 'Qatar'),
(44547, '80.231.188.0', '80.231.191.255', 1357364224, 1357365247, 'ES', 'Spain'),
(44548, '80.231.192.0', '80.231.193.255', 1357365248, 1357365759, 'DZ', 'Algeria'),
(44549, '80.231.194.0', '80.231.194.31', 1357365760, 1357365791, 'ES', 'Spain'),
(44550, '80.231.194.32', '80.231.194.63', 1357365792, 1357365823, 'BH', 'Bahrain'),
(44551, '80.231.194.64', '80.231.194.127', 1357365824, 1357365887, 'GB', 'United Kingdom'),
(44552, '80.231.194.128', '80.231.194.255', 1357365888, 1357366015, 'DE', 'Germany'),
(44553, '80.231.195.0', '80.231.195.255', 1357366016, 1357366271, 'KM', 'Comoros'),
(44554, '80.231.196.0', '80.231.196.255', 1357366272, 1357366527, 'FR', 'France'),
(44555, '80.231.197.0', '80.231.197.63', 1357366528, 1357366591, 'BE', 'Belgium'),
(44556, '80.231.197.64', '80.231.197.127', 1357366592, 1357366655, 'FR', 'France'),
(44557, '80.231.197.128', '80.231.197.191', 1357366656, 1357366719, 'PT', 'Portugal'),
(44558, '80.231.197.192', '80.231.197.255', 1357366720, 1357366783, 'GB', 'United Kingdom'),
(44559, '80.231.198.0', '80.231.198.15', 1357366784, 1357366799, 'MD', 'Moldova, Republic of'),
(44560, '80.231.198.16', '80.231.198.31', 1357366800, 1357366815, 'ES', 'Spain'),
(44561, '80.231.198.32', '80.231.198.63', 1357366816, 1357366847, 'FR', 'France'),
(44562, '80.231.198.64', '80.231.198.79', 1357366848, 1357366863, 'GB', 'United Kingdom'),
(44563, '80.231.198.80', '80.231.198.95', 1357366864, 1357366879, 'ES', 'Spain'),
(44564, '80.231.198.96', '80.231.198.175', 1357366880, 1357366959, 'GB', 'United Kingdom'),
(44565, '80.231.198.176', '80.231.198.183', 1357366960, 1357366967, 'BE', 'Belgium'),
(44566, '80.231.198.184', '80.231.198.191', 1357366968, 1357366975, 'FR', 'France'),
(44567, '80.231.198.192', '80.231.199.255', 1357366976, 1357367295, 'GB', 'United Kingdom'),
(44568, '80.231.200.0', '80.231.200.255', 1357367296, 1357367551, 'FR', 'France'),
(44569, '80.231.201.0', '80.231.202.255', 1357367552, 1357368063, 'GB', 'United Kingdom'),
(44570, '80.231.203.0', '80.231.205.255', 1357368064, 1357368831, 'GN', 'Guinea'),
(44571, '80.231.206.0', '80.231.207.255', 1357368832, 1357369343, 'ES', 'Spain'),
(44572, '80.231.208.0', '80.231.208.255', 1357369344, 1357369599, 'PL', 'Poland'),
(44573, '80.231.209.0', '80.231.209.255', 1357369600, 1357369855, 'GB', 'United Kingdom'),
(44574, '80.231.210.0', '80.231.210.255', 1357369856, 1357370111, 'KE', 'Kenya'),
(44575, '80.231.211.0', '80.231.211.255', 1357370112, 1357370367, 'DE', 'Germany'),
(44576, '80.231.212.0', '80.231.213.255', 1357370368, 1357370879, 'GB', 'United Kingdom'),
(44577, '80.231.214.0', '80.231.215.255', 1357370880, 1357371391, 'LY', 'Libyan Arab Jamahiriya'),
(44578, '80.231.216.0', '80.231.216.255', 1357371392, 1357371647, 'GB', 'United Kingdom'),
(44579, '80.231.217.0', '80.231.217.255', 1357371648, 1357371903, 'FR', 'France'),
(44580, '80.231.218.0', '80.231.218.255', 1357371904, 1357372159, 'RU', 'Russian Federation'),
(44581, '80.231.219.0', '80.231.221.255', 1357372160, 1357372927, 'GB', 'United Kingdom'),
(44582, '80.231.222.0', '80.231.222.255', 1357372928, 1357373183, 'AM', 'Armenia'),
(44583, '80.231.223.0', '80.231.223.255', 1357373184, 1357373439, 'GB', 'United Kingdom'),
(44584, '80.231.224.0', '80.231.255.255', 1357373440, 1357381631, 'EU', 'Europe'),
(44585, '80.232.0.0', '80.232.17.159', 1357381632, 1357386143, 'NO', 'Norway'),
(44586, '80.232.17.160', '80.232.17.163', 1357386144, 1357386147, 'DK', 'Denmark'),
(44587, '80.232.17.164', '80.232.17.167', 1357386148, 1357386151, 'NO', 'Norway'),
(44588, '80.232.17.168', '80.232.17.175', 1357386152, 1357386159, 'DK', 'Denmark'),
(44589, '80.232.17.176', '80.232.38.255', 1357386160, 1357391615, 'NO', 'Norway'),
(44590, '80.232.39.0', '80.232.39.255', 1357391616, 1357391871, 'SE', 'Sweden'),
(44591, '80.232.40.0', '80.232.127.255', 1357391872, 1357414399, 'NO', 'Norway'),
(44592, '80.232.128.0', '80.232.255.255', 1357414400, 1357447167, 'LV', 'Latvia'),
(44593, '80.233.0.0', '80.233.127.255', 1357447168, 1357479935, 'IE', 'Ireland'),
(44594, '80.233.128.0', '80.233.255.255', 1357479936, 1357512703, 'LV', 'Latvia'),
(44595, '80.234.0.0', '80.234.127.255', 1357512704, 1357545471, 'RU', 'Russian Federation'),
(44596, '80.234.128.0', '80.234.255.255', 1357545472, 1357578239, 'GB', 'United Kingdom'),
(44597, '80.235.0.0', '80.235.127.255', 1357578240, 1357611007, 'EE', 'Estonia'),
(44598, '80.235.128.0', '80.235.255.255', 1357611008, 1357643775, 'GB', 'United Kingdom'),
(44599, '80.236.0.0', '80.236.127.255', 1357643776, 1357676543, 'FR', 'France'),
(44600, '80.236.128.0', '80.236.255.255', 1357676544, 1357709311, 'BE', 'Belgium'),
(44601, '80.237.0.0', '80.237.127.255', 1357709312, 1357742079, 'RU', 'Russian Federation'),
(44602, '80.237.128.0', '80.237.194.103', 1357742080, 1357759079, 'DE', 'Germany'),
(44603, '80.237.194.104', '80.237.194.111', 1357759080, 1357759087, 'AM', 'Armenia'),
(44604, '80.237.194.112', '80.237.194.207', 1357759088, 1357759183, 'DE', 'Germany'),
(44605, '80.237.194.208', '80.237.194.215', 1357759184, 1357759191, 'AT', 'Austria'),
(44606, '80.237.194.216', '80.237.220.191', 1357759192, 1357765823, 'DE', 'Germany'),
(44607, '80.237.220.192', '80.237.220.199', 1357765824, 1357765831, 'AT', 'Austria'),
(44608, '80.237.220.200', '80.237.225.144', 1357765832, 1357767056, 'DE', 'Germany'),
(44609, '80.237.225.145', '80.237.225.145', 1357767057, 1357767057, 'A1', 'Anonymous Proxy'),
(44610, '80.237.225.146', '80.237.226.71', 1357767058, 1357767239, 'DE', 'Germany'),
(44611, '80.237.226.72', '80.237.234.71', 1357767240, 1357769287, 'A1', 'Anonymous Proxy'),
(44612, '80.237.234.72', '80.237.249.55', 1357769288, 1357773111, 'DE', 'Germany'),
(44613, '80.237.249.56', '80.237.249.63', 1357773112, 1357773119, 'PL', 'Poland'),
(44614, '80.237.249.64', '80.237.255.255', 1357773120, 1357774847, 'DE', 'Germany'),
(44615, '80.238.0.0', '80.238.63.255', 1357774848, 1357791231, 'GB', 'United Kingdom'),
(44616, '80.238.64.0', '80.238.127.255', 1357791232, 1357807615, 'PL', 'Poland'),
(44617, '80.238.128.0', '80.238.255.255', 1357807616, 1357840383, 'CH', 'Switzerland'),
(44618, '80.239.0.0', '80.239.106.215', 1357840384, 1357867735, 'NO', 'Norway'),
(44619, '80.239.106.216', '80.239.106.223', 1357867736, 1357867743, 'SE', 'Sweden'),
(44620, '80.239.106.224', '80.239.127.255', 1357867744, 1357873151, 'NO', 'Norway'),
(44621, '80.239.128.0', '80.239.135.255', 1357873152, 1357875199, 'DE', 'Germany'),
(44622, '80.239.136.0', '80.239.136.15', 1357875200, 1357875215, 'AT', 'Austria'),
(44623, '80.239.136.16', '80.239.136.47', 1357875216, 1357875247, 'DE', 'Germany'),
(44624, '80.239.136.48', '80.239.136.63', 1357875248, 1357875263, 'US', 'United States'),
(44625, '80.239.136.64', '80.239.136.79', 1357875264, 1357875279, 'AT', 'Austria'),
(44626, '80.239.136.80', '80.239.136.95', 1357875280, 1357875295, 'DE', 'Germany'),
(44627, '80.239.136.96', '80.239.136.127', 1357875296, 1357875327, 'EU', 'Europe'),
(44628, '80.239.136.128', '80.239.136.223', 1357875328, 1357875423, 'DE', 'Germany'),
(44629, '80.239.136.224', '80.239.136.239', 1357875424, 1357875439, 'GB', 'United Kingdom'),
(44630, '80.239.136.240', '80.239.137.255', 1357875440, 1357875711, 'DE', 'Germany'),
(44631, '80.239.138.0', '80.239.138.255', 1357875712, 1357875967, 'PL', 'Poland'),
(44632, '80.239.139.0', '80.239.139.175', 1357875968, 1357876143, 'DE', 'Germany'),
(44633, '80.239.139.176', '80.239.139.183', 1357876144, 1357876151, 'SE', 'Sweden'),
(44634, '80.239.139.184', '80.239.139.255', 1357876152, 1357876223, 'DE', 'Germany'),
(44635, '80.239.140.0', '80.239.140.15', 1357876224, 1357876239, 'NO', 'Norway'),
(44636, '80.239.140.16', '80.239.140.111', 1357876240, 1357876335, 'EU', 'Europe'),
(44637, '80.239.140.112', '80.239.140.115', 1357876336, 1357876339, 'PL', 'Poland'),
(44638, '80.239.140.116', '80.239.140.119', 1357876340, 1357876343, 'RU', 'Russian Federation'),
(44639, '80.239.140.120', '80.239.140.159', 1357876344, 1357876383, 'EU', 'Europe'),
(44640, '80.239.140.160', '80.239.140.167', 1357876384, 1357876391, 'RU', 'Russian Federation'),
(44641, '80.239.140.168', '80.239.140.175', 1357876392, 1357876399, 'PL', 'Poland'),
(44642, '80.239.140.176', '80.239.140.183', 1357876400, 1357876407, 'DE', 'Germany'),
(44643, '80.239.140.184', '80.239.140.191', 1357876408, 1357876415, 'GB', 'United Kingdom'),
(44644, '80.239.140.192', '80.239.140.223', 1357876416, 1357876447, 'PL', 'Poland'),
(44645, '80.239.140.224', '80.239.140.255', 1357876448, 1357876479, 'EU', 'Europe'),
(44646, '80.239.141.0', '80.239.141.15', 1357876480, 1357876495, 'SE', 'Sweden'),
(44647, '80.239.141.16', '80.239.141.63', 1357876496, 1357876543, 'EU', 'Europe'),
(44648, '80.239.141.64', '80.239.142.127', 1357876544, 1357876863, 'DE', 'Germany'),
(44649, '80.239.142.128', '80.239.142.191', 1357876864, 1357876927, 'SE', 'Sweden'),
(44650, '80.239.142.192', '80.239.145.255', 1357876928, 1357877759, 'DE', 'Germany'),
(44651, '80.239.146.0', '80.239.147.255', 1357877760, 1357878271, 'EU', 'Europe'),
(44652, '80.239.148.0', '80.239.148.63', 1357878272, 1357878335, 'CH', 'Switzerland'),
(44653, '80.239.148.64', '80.239.148.127', 1357878336, 1357878399, 'CZ', 'Czech Republic'),
(44654, '80.239.148.128', '80.239.148.191', 1357878400, 1357878463, 'NL', 'Netherlands'),
(44655, '80.239.148.192', '80.239.148.255', 1357878464, 1357878527, 'NO', 'Norway'),
(44656, '80.239.149.0', '80.239.149.63', 1357878528, 1357878591, 'AT', 'Austria'),
(44657, '80.239.149.64', '80.239.149.127', 1357878592, 1357878655, 'PL', 'Poland'),
(44658, '80.239.149.128', '80.239.149.191', 1357878656, 1357878719, 'DE', 'Germany'),
(44659, '80.239.149.192', '80.239.149.255', 1357878720, 1357878783, 'NL', 'Netherlands'),
(44660, '80.239.150.0', '80.239.153.255', 1357878784, 1357879807, 'DE', 'Germany'),
(44661, '80.239.154.0', '80.239.154.63', 1357879808, 1357879871, 'RU', 'Russian Federation'),
(44662, '80.239.154.64', '80.239.154.127', 1357879872, 1357879935, 'DE', 'Germany'),
(44663, '80.239.154.128', '80.239.154.255', 1357879936, 1357880063, 'GB', 'United Kingdom'),
(44664, '80.239.155.0', '80.239.155.255', 1357880064, 1357880319, 'NL', 'Netherlands'),
(44665, '80.239.156.0', '80.239.156.127', 1357880320, 1357880447, 'DE', 'Germany'),
(44666, '80.239.156.128', '80.239.156.191', 1357880448, 1357880511, 'CH', 'Switzerland'),
(44667, '80.239.156.192', '80.239.156.223', 1357880512, 1357880543, 'DE', 'Germany'),
(44668, '80.239.156.224', '80.239.156.239', 1357880544, 1357880559, 'AT', 'Austria'),
(44669, '80.239.156.240', '80.239.157.255', 1357880560, 1357880831, 'DE', 'Germany'),
(44670, '80.239.158.0', '80.239.158.255', 1357880832, 1357881087, 'AT', 'Austria'),
(44671, '80.239.159.0', '80.239.159.255', 1357881088, 1357881343, 'DE', 'Germany'),
(44672, '80.239.160.0', '80.239.167.255', 1357881344, 1357883391, 'FR', 'France'),
(44673, '80.239.168.0', '80.239.168.15', 1357883392, 1357883407, 'ES', 'Spain'),
(44674, '80.239.168.16', '80.239.168.31', 1357883408, 1357883423, 'DE', 'Germany'),
(44675, '80.239.168.32', '80.239.168.63', 1357883424, 1357883455, 'EU', 'Europe'),
(44676, '80.239.168.64', '80.239.168.127', 1357883456, 1357883519, 'FR', 'France'),
(44677, '80.239.168.128', '80.239.168.143', 1357883520, 1357883535, 'EU', 'Europe'),
(44678, '80.239.168.144', '80.239.168.151', 1357883536, 1357883543, 'FR', 'France'),
(44679, '80.239.168.152', '80.239.168.191', 1357883544, 1357883583, 'EU', 'Europe'),
(44680, '80.239.168.192', '80.239.169.63', 1357883584, 1357883711, 'FR', 'France'),
(44681, '80.239.169.64', '80.239.169.71', 1357883712, 1357883719, 'EU', 'Europe'),
(44682, '80.239.169.72', '80.239.169.79', 1357883720, 1357883727, 'FR', 'France'),
(44683, '80.239.169.80', '80.239.169.95', 1357883728, 1357883743, 'DE', 'Germany'),
(44684, '80.239.169.96', '80.239.169.111', 1357883744, 1357883759, 'IT', 'Italy'),
(44685, '80.239.169.112', '80.239.169.127', 1357883760, 1357883775, 'FR', 'France'),
(44686, '80.239.169.128', '80.239.169.159', 1357883776, 1357883807, 'RU', 'Russian Federation'),
(44687, '80.239.169.160', '80.239.169.191', 1357883808, 1357883839, 'GB', 'United Kingdom'),
(44688, '80.239.169.192', '80.239.169.255', 1357883840, 1357883903, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(44689, '80.239.170.0', '80.239.170.7', 1357883904, 1357883911, 'GB', 'United Kingdom'),
(44690, '80.239.170.8', '80.239.170.95', 1357883912, 1357883999, 'EU', 'Europe'),
(44691, '80.239.170.96', '80.239.170.127', 1357884000, 1357884031, 'FR', 'France'),
(44692, '80.239.170.128', '80.239.170.191', 1357884032, 1357884095, 'RU', 'Russian Federation'),
(44693, '80.239.170.192', '80.239.170.255', 1357884096, 1357884159, 'SE', 'Sweden'),
(44694, '80.239.171.0', '80.239.171.255', 1357884160, 1357884415, 'GB', 'United Kingdom'),
(44695, '80.239.172.0', '80.239.172.3', 1357884416, 1357884419, 'EU', 'Europe'),
(44696, '80.239.172.4', '80.239.172.7', 1357884420, 1357884423, 'FR', 'France'),
(44697, '80.239.172.8', '80.239.172.11', 1357884424, 1357884427, 'BE', 'Belgium'),
(44698, '80.239.172.12', '80.239.172.15', 1357884428, 1357884431, 'DE', 'Germany'),
(44699, '80.239.172.16', '80.239.172.23', 1357884432, 1357884439, 'US', 'United States'),
(44700, '80.239.172.24', '80.239.172.31', 1357884440, 1357884447, 'FR', 'France'),
(44701, '80.239.172.32', '80.239.172.79', 1357884448, 1357884495, 'EU', 'Europe'),
(44702, '80.239.172.80', '80.239.172.95', 1357884496, 1357884511, 'DE', 'Germany'),
(44703, '80.239.172.96', '80.239.173.255', 1357884512, 1357884927, 'FR', 'France'),
(44704, '80.239.174.0', '80.239.174.7', 1357884928, 1357884935, 'EU', 'Europe'),
(44705, '80.239.174.8', '80.239.174.15', 1357884936, 1357884943, 'GB', 'United Kingdom'),
(44706, '80.239.174.16', '80.239.174.31', 1357884944, 1357884959, 'FR', 'France'),
(44707, '80.239.174.32', '80.239.174.63', 1357884960, 1357884991, 'RU', 'Russian Federation'),
(44708, '80.239.174.64', '80.239.174.127', 1357884992, 1357885055, 'EU', 'Europe'),
(44709, '80.239.174.128', '80.239.174.191', 1357885056, 1357885119, 'FR', 'France'),
(44710, '80.239.174.192', '80.239.175.7', 1357885120, 1357885191, 'EU', 'Europe'),
(44711, '80.239.175.8', '80.239.175.15', 1357885192, 1357885199, 'ES', 'Spain'),
(44712, '80.239.175.16', '80.239.175.31', 1357885200, 1357885215, 'EU', 'Europe'),
(44713, '80.239.175.32', '80.239.175.63', 1357885216, 1357885247, 'ES', 'Spain'),
(44714, '80.239.175.64', '80.239.175.255', 1357885248, 1357885439, 'DE', 'Germany'),
(44715, '80.239.176.0', '80.239.176.255', 1357885440, 1357885695, 'FR', 'France'),
(44716, '80.239.177.0', '80.239.177.255', 1357885696, 1357885951, 'DE', 'Germany'),
(44717, '80.239.178.0', '80.239.178.127', 1357885952, 1357886079, 'EU', 'Europe'),
(44718, '80.239.178.128', '80.239.178.255', 1357886080, 1357886207, 'DE', 'Germany'),
(44719, '80.239.179.0', '80.239.179.255', 1357886208, 1357886463, 'EU', 'Europe'),
(44720, '80.239.180.0', '80.239.183.255', 1357886464, 1357887487, 'US', 'United States'),
(44721, '80.239.184.0', '80.239.187.255', 1357887488, 1357888511, 'FR', 'France'),
(44722, '80.239.188.0', '80.239.189.255', 1357888512, 1357889023, 'DE', 'Germany'),
(44723, '80.239.190.0', '80.239.191.255', 1357889024, 1357889535, 'GB', 'United Kingdom'),
(44724, '80.239.192.0', '80.239.196.255', 1357889536, 1357890815, 'PL', 'Poland'),
(44725, '80.239.197.0', '80.239.197.11', 1357890816, 1357890827, 'NL', 'Netherlands'),
(44726, '80.239.197.12', '80.239.197.31', 1357890828, 1357890847, 'EU', 'Europe'),
(44727, '80.239.197.32', '80.239.197.63', 1357890848, 1357890879, 'NL', 'Netherlands'),
(44728, '80.239.197.64', '80.239.197.95', 1357890880, 1357890911, 'EU', 'Europe'),
(44729, '80.239.197.96', '80.239.197.127', 1357890912, 1357890943, 'DE', 'Germany'),
(44730, '80.239.197.128', '80.239.198.255', 1357890944, 1357891327, 'NL', 'Netherlands'),
(44731, '80.239.199.0', '80.239.199.63', 1357891328, 1357891391, 'EU', 'Europe'),
(44732, '80.239.199.64', '80.239.199.71', 1357891392, 1357891399, 'NL', 'Netherlands'),
(44733, '80.239.199.72', '80.239.199.95', 1357891400, 1357891423, 'EU', 'Europe'),
(44734, '80.239.199.96', '80.239.199.127', 1357891424, 1357891455, 'DE', 'Germany'),
(44735, '80.239.199.128', '80.239.200.63', 1357891456, 1357891647, 'SE', 'Sweden'),
(44736, '80.239.200.64', '80.239.200.95', 1357891648, 1357891679, 'NL', 'Netherlands'),
(44737, '80.239.200.96', '80.239.200.127', 1357891680, 1357891711, 'GB', 'United Kingdom'),
(44738, '80.239.200.128', '80.239.200.255', 1357891712, 1357891839, 'SE', 'Sweden'),
(44739, '80.239.201.0', '80.239.201.255', 1357891840, 1357892095, 'GB', 'United Kingdom'),
(44740, '80.239.202.0', '80.239.202.15', 1357892096, 1357892111, 'DE', 'Germany'),
(44741, '80.239.202.16', '80.239.202.31', 1357892112, 1357892127, 'ES', 'Spain'),
(44742, '80.239.202.32', '80.239.202.47', 1357892128, 1357892143, 'FR', 'France'),
(44743, '80.239.202.48', '80.239.202.63', 1357892144, 1357892159, 'IT', 'Italy'),
(44744, '80.239.202.64', '80.239.202.79', 1357892160, 1357892175, 'GB', 'United Kingdom'),
(44745, '80.239.202.80', '80.239.202.87', 1357892176, 1357892183, 'AR', 'Argentina'),
(44746, '80.239.202.88', '80.239.202.95', 1357892184, 1357892191, 'AU', 'Australia'),
(44747, '80.239.202.96', '80.239.202.103', 1357892192, 1357892199, 'BR', 'Brazil'),
(44748, '80.239.202.104', '80.239.202.111', 1357892200, 1357892207, 'NL', 'Netherlands'),
(44749, '80.239.202.112', '80.239.202.119', 1357892208, 1357892215, 'SE', 'Sweden'),
(44750, '80.239.202.120', '80.239.202.127', 1357892216, 1357892223, 'US', 'United States'),
(44751, '80.239.202.128', '80.239.202.255', 1357892224, 1357892351, 'FR', 'France'),
(44752, '80.239.203.0', '80.239.205.255', 1357892352, 1357893119, 'NL', 'Netherlands'),
(44753, '80.239.206.0', '80.239.206.255', 1357893120, 1357893375, 'SE', 'Sweden'),
(44754, '80.239.207.0', '80.239.207.31', 1357893376, 1357893407, 'EU', 'Europe'),
(44755, '80.239.207.32', '80.239.207.63', 1357893408, 1357893439, 'SE', 'Sweden'),
(44756, '80.239.207.64', '80.239.207.95', 1357893440, 1357893471, 'IT', 'Italy'),
(44757, '80.239.207.96', '80.239.207.127', 1357893472, 1357893503, 'PL', 'Poland'),
(44758, '80.239.207.128', '80.239.207.255', 1357893504, 1357893631, 'DE', 'Germany'),
(44759, '80.239.208.0', '80.239.212.255', 1357893632, 1357894911, 'EU', 'Europe'),
(44760, '80.239.213.0', '80.239.214.255', 1357894912, 1357895423, 'FR', 'France'),
(44761, '80.239.215.0', '80.239.215.255', 1357895424, 1357895679, 'AE', 'United Arab Emirates'),
(44762, '80.239.216.0', '80.239.216.255', 1357895680, 1357895935, 'DE', 'Germany'),
(44763, '80.239.217.0', '80.239.217.255', 1357895936, 1357896191, 'SE', 'Sweden'),
(44764, '80.239.218.0', '80.239.221.255', 1357896192, 1357897215, 'EU', 'Europe'),
(44765, '80.239.222.0', '80.239.222.63', 1357897216, 1357897279, 'SE', 'Sweden'),
(44766, '80.239.222.64', '80.239.222.127', 1357897280, 1357897343, 'DK', 'Denmark'),
(44767, '80.239.222.128', '80.239.222.159', 1357897344, 1357897375, 'HU', 'Hungary'),
(44768, '80.239.222.160', '80.239.222.191', 1357897376, 1357897407, 'PL', 'Poland'),
(44769, '80.239.222.192', '80.239.222.223', 1357897408, 1357897439, 'RU', 'Russian Federation'),
(44770, '80.239.222.224', '80.239.223.15', 1357897440, 1357897487, 'DE', 'Germany'),
(44771, '80.239.223.16', '80.239.223.63', 1357897488, 1357897535, 'EU', 'Europe'),
(44772, '80.239.223.64', '80.239.223.71', 1357897536, 1357897543, 'CZ', 'Czech Republic'),
(44773, '80.239.223.72', '80.239.223.79', 1357897544, 1357897551, 'SE', 'Sweden'),
(44774, '80.239.223.80', '80.239.224.127', 1357897552, 1357897855, 'EU', 'Europe'),
(44775, '80.239.224.128', '80.239.226.255', 1357897856, 1357898495, 'DE', 'Germany'),
(44776, '80.239.227.0', '80.239.227.255', 1357898496, 1357898751, 'EU', 'Europe'),
(44777, '80.239.228.0', '80.239.229.7', 1357898752, 1357899015, 'DE', 'Germany'),
(44778, '80.239.229.8', '80.239.229.11', 1357899016, 1357899019, 'EU', 'Europe'),
(44779, '80.239.229.12', '80.239.229.15', 1357899020, 1357899023, 'NL', 'Netherlands'),
(44780, '80.239.229.16', '80.239.229.31', 1357899024, 1357899039, 'DE', 'Germany'),
(44781, '80.239.229.32', '80.239.229.39', 1357899040, 1357899047, 'EU', 'Europe'),
(44782, '80.239.229.40', '80.239.229.55', 1357899048, 1357899063, 'DE', 'Germany'),
(44783, '80.239.229.56', '80.239.229.63', 1357899064, 1357899071, 'EU', 'Europe'),
(44784, '80.239.229.64', '80.239.229.191', 1357899072, 1357899199, 'DE', 'Germany'),
(44785, '80.239.229.192', '80.239.229.255', 1357899200, 1357899263, 'EU', 'Europe'),
(44786, '80.239.230.0', '80.239.230.3', 1357899264, 1357899267, 'DE', 'Germany'),
(44787, '80.239.230.4', '80.239.230.11', 1357899268, 1357899275, 'FR', 'France'),
(44788, '80.239.230.12', '80.239.230.15', 1357899276, 1357899279, 'NL', 'Netherlands'),
(44789, '80.239.230.16', '80.239.230.23', 1357899280, 1357899287, 'RU', 'Russian Federation'),
(44790, '80.239.230.24', '80.239.230.31', 1357899288, 1357899295, 'EU', 'Europe'),
(44791, '80.239.230.32', '80.239.230.47', 1357899296, 1357899311, 'DE', 'Germany'),
(44792, '80.239.230.48', '80.239.231.7', 1357899312, 1357899527, 'EU', 'Europe'),
(44793, '80.239.231.8', '80.239.231.15', 1357899528, 1357899535, 'BR', 'Brazil'),
(44794, '80.239.231.16', '80.239.231.23', 1357899536, 1357899543, 'CZ', 'Czech Republic'),
(44795, '80.239.231.24', '80.239.231.31', 1357899544, 1357899551, 'EU', 'Europe'),
(44796, '80.239.231.32', '80.239.231.47', 1357899552, 1357899567, 'AT', 'Austria'),
(44797, '80.239.231.48', '80.239.231.127', 1357899568, 1357899647, 'EU', 'Europe'),
(44798, '80.239.231.128', '80.239.231.255', 1357899648, 1357899775, 'GB', 'United Kingdom'),
(44799, '80.239.232.0', '80.239.233.255', 1357899776, 1357900287, 'DE', 'Germany'),
(44800, '80.239.234.0', '80.239.234.31', 1357900288, 1357900319, 'EU', 'Europe'),
(44801, '80.239.234.32', '80.239.234.39', 1357900320, 1357900327, 'FR', 'France'),
(44802, '80.239.234.40', '80.239.234.63', 1357900328, 1357900351, 'EU', 'Europe'),
(44803, '80.239.234.64', '80.239.234.127', 1357900352, 1357900415, 'CH', 'Switzerland'),
(44804, '80.239.234.128', '80.239.234.255', 1357900416, 1357900543, 'SE', 'Sweden'),
(44805, '80.239.235.0', '80.239.235.255', 1357900544, 1357900799, 'NL', 'Netherlands'),
(44806, '80.239.236.0', '80.239.239.255', 1357900800, 1357901823, 'DE', 'Germany'),
(44807, '80.239.240.0', '80.239.241.255', 1357901824, 1357902335, 'EU', 'Europe'),
(44808, '80.239.242.0', '80.239.243.255', 1357902336, 1357902847, 'A2', 'Satellite Provider'),
(44809, '80.239.244.0', '80.239.245.255', 1357902848, 1357903359, 'GB', 'United Kingdom'),
(44810, '80.239.246.0', '80.239.246.255', 1357903360, 1357903615, 'DE', 'Germany'),
(44811, '80.239.247.0', '80.239.249.255', 1357903616, 1357904383, 'EU', 'Europe'),
(44812, '80.239.250.0', '80.239.251.255', 1357904384, 1357904895, 'DE', 'Germany'),
(44813, '80.239.252.0', '80.239.253.255', 1357904896, 1357905407, 'GB', 'United Kingdom'),
(44814, '80.239.254.0', '80.239.254.255', 1357905408, 1357905663, 'SE', 'Sweden'),
(44815, '80.239.255.0', '80.239.255.255', 1357905664, 1357905919, 'NL', 'Netherlands'),
(44816, '80.240.0.0', '80.240.15.255', 1357905920, 1357910015, 'LT', 'Lithuania'),
(44817, '80.240.16.0', '80.240.31.255', 1357910016, 1357914111, 'GR', 'Greece'),
(44818, '80.240.32.0', '80.240.63.255', 1357914112, 1357922303, 'RU', 'Russian Federation'),
(44819, '80.240.64.0', '80.240.79.255', 1357922304, 1357926399, 'SA', 'Saudi Arabia'),
(44820, '80.240.80.0', '80.240.95.255', 1357926400, 1357930495, 'GB', 'United Kingdom'),
(44821, '80.240.96.0', '80.240.143.255', 1357930496, 1357942783, 'RU', 'Russian Federation'),
(44822, '80.240.144.0', '80.240.159.255', 1357942784, 1357946879, 'RS', 'Serbia'),
(44823, '80.240.160.0', '80.240.191.255', 1357946880, 1357955071, 'PL', 'Poland'),
(44824, '80.240.192.0', '80.240.207.255', 1357955072, 1357959167, 'KE', 'Kenya'),
(44825, '80.240.208.0', '80.240.223.255', 1357959168, 1357963263, 'RU', 'Russian Federation'),
(44826, '80.240.224.0', '80.240.227.167', 1357963264, 1357964199, 'AT', 'Austria'),
(44827, '80.240.227.168', '80.240.227.175', 1357964200, 1357964207, 'DE', 'Germany'),
(44828, '80.240.227.176', '80.240.239.255', 1357964208, 1357967359, 'AT', 'Austria'),
(44829, '80.240.240.0', '80.240.255.255', 1357967360, 1357971455, 'RU', 'Russian Federation'),
(44830, '80.241.0.0', '80.241.15.255', 1357971456, 1357975551, 'KZ', 'Kazakhstan'),
(44831, '80.241.16.0', '80.241.31.255', 1357975552, 1357979647, 'AT', 'Austria'),
(44832, '80.241.32.0', '80.241.47.255', 1357979648, 1357983743, 'KZ', 'Kazakhstan'),
(44833, '80.241.48.0', '80.241.63.255', 1357983744, 1357987839, 'RU', 'Russian Federation'),
(44834, '80.241.64.0', '80.241.66.127', 1357987840, 1357988479, 'GB', 'United Kingdom'),
(44835, '80.241.66.128', '80.241.66.131', 1357988480, 1357988483, 'DE', 'Germany'),
(44836, '80.241.66.132', '80.241.66.143', 1357988484, 1357988495, 'GB', 'United Kingdom'),
(44837, '80.241.66.144', '80.241.66.191', 1357988496, 1357988543, 'DE', 'Germany'),
(44838, '80.241.66.192', '80.241.66.199', 1357988544, 1357988551, 'NL', 'Netherlands'),
(44839, '80.241.66.200', '80.241.66.207', 1357988552, 1357988559, 'DE', 'Germany'),
(44840, '80.241.66.208', '80.241.66.215', 1357988560, 1357988567, 'GB', 'United Kingdom'),
(44841, '80.241.66.216', '80.241.66.255', 1357988568, 1357988607, 'DE', 'Germany'),
(44842, '80.241.67.0', '80.241.67.143', 1357988608, 1357988751, 'GB', 'United Kingdom'),
(44843, '80.241.67.144', '80.241.67.167', 1357988752, 1357988775, 'DE', 'Germany'),
(44844, '80.241.67.168', '80.241.67.175', 1357988776, 1357988783, 'GB', 'United Kingdom'),
(44845, '80.241.67.176', '80.241.67.255', 1357988784, 1357988863, 'DE', 'Germany'),
(44846, '80.241.68.0', '80.241.69.255', 1357988864, 1357989375, 'GB', 'United Kingdom'),
(44847, '80.241.70.0', '80.241.70.7', 1357989376, 1357989383, 'CH', 'Switzerland'),
(44848, '80.241.70.8', '80.241.71.15', 1357989384, 1357989647, 'GB', 'United Kingdom'),
(44849, '80.241.71.16', '80.241.71.23', 1357989648, 1357989655, 'FR', 'France'),
(44850, '80.241.71.24', '80.241.71.31', 1357989656, 1357989663, 'GB', 'United Kingdom'),
(44851, '80.241.71.32', '80.241.71.39', 1357989664, 1357989671, 'FR', 'France'),
(44852, '80.241.71.40', '80.241.71.47', 1357989672, 1357989679, 'BE', 'Belgium'),
(44853, '80.241.71.48', '80.241.71.71', 1357989680, 1357989703, 'FR', 'France'),
(44854, '80.241.71.72', '80.241.71.79', 1357989704, 1357989711, 'GB', 'United Kingdom'),
(44855, '80.241.71.80', '80.241.71.95', 1357989712, 1357989727, 'FR', 'France'),
(44856, '80.241.71.96', '80.241.71.111', 1357989728, 1357989743, 'GB', 'United Kingdom'),
(44857, '80.241.71.112', '80.241.71.127', 1357989744, 1357989759, 'CH', 'Switzerland'),
(44858, '80.241.71.128', '80.241.71.151', 1357989760, 1357989783, 'FR', 'France'),
(44859, '80.241.71.152', '80.241.71.159', 1357989784, 1357989791, 'GB', 'United Kingdom'),
(44860, '80.241.71.160', '80.241.71.175', 1357989792, 1357989807, 'FR', 'France'),
(44861, '80.241.71.176', '80.241.71.191', 1357989808, 1357989823, 'GB', 'United Kingdom'),
(44862, '80.241.71.192', '80.241.71.199', 1357989824, 1357989831, 'NL', 'Netherlands'),
(44863, '80.241.71.200', '80.241.71.207', 1357989832, 1357989839, 'FR', 'France'),
(44864, '80.241.71.208', '80.241.71.215', 1357989840, 1357989847, 'GB', 'United Kingdom'),
(44865, '80.241.71.216', '80.241.71.255', 1357989848, 1357989887, 'FR', 'France'),
(44866, '80.241.72.0', '80.241.78.255', 1357989888, 1357991679, 'GB', 'United Kingdom'),
(44867, '80.241.79.0', '80.241.79.31', 1357991680, 1357991711, 'DE', 'Germany'),
(44868, '80.241.79.32', '80.241.79.39', 1357991712, 1357991719, 'GB', 'United Kingdom'),
(44869, '80.241.79.40', '80.241.79.55', 1357991720, 1357991735, 'DE', 'Germany'),
(44870, '80.241.79.56', '80.241.79.79', 1357991736, 1357991759, 'GB', 'United Kingdom'),
(44871, '80.241.79.80', '80.241.79.103', 1357991760, 1357991783, 'DE', 'Germany'),
(44872, '80.241.79.104', '80.241.79.111', 1357991784, 1357991791, 'GB', 'United Kingdom'),
(44873, '80.241.79.112', '80.241.79.119', 1357991792, 1357991799, 'DE', 'Germany'),
(44874, '80.241.79.120', '80.241.79.143', 1357991800, 1357991823, 'GB', 'United Kingdom'),
(44875, '80.241.79.144', '80.241.79.159', 1357991824, 1357991839, 'DE', 'Germany'),
(44876, '80.241.79.160', '80.241.79.175', 1357991840, 1357991855, 'GB', 'United Kingdom'),
(44877, '80.241.79.176', '80.241.79.215', 1357991856, 1357991895, 'DE', 'Germany'),
(44878, '80.241.79.216', '80.241.79.223', 1357991896, 1357991903, 'GB', 'United Kingdom'),
(44879, '80.241.79.224', '80.241.79.247', 1357991904, 1357991927, 'DE', 'Germany'),
(44880, '80.241.79.248', '80.241.79.255', 1357991928, 1357991935, 'GB', 'United Kingdom'),
(44881, '80.241.80.0', '80.241.95.255', 1357991936, 1357996031, 'NO', 'Norway'),
(44882, '80.241.96.0', '80.241.111.255', 1357996032, 1358000127, 'CH', 'Switzerland'),
(44883, '80.241.112.0', '80.241.127.255', 1358000128, 1358004223, 'LI', 'Liechtenstein'),
(44884, '80.241.128.0', '80.241.143.255', 1358004224, 1358008319, 'PL', 'Poland'),
(44885, '80.241.144.0', '80.241.159.255', 1358008320, 1358012415, 'BH', 'Bahrain'),
(44886, '80.241.160.0', '80.241.175.255', 1358012416, 1358016511, 'IT', 'Italy'),
(44887, '80.241.176.0', '80.241.191.255', 1358016512, 1358020607, 'GE', 'Georgia'),
(44888, '80.241.192.0', '80.241.223.255', 1358020608, 1358028799, 'DE', 'Germany'),
(44889, '80.241.224.0', '80.241.239.255', 1358028800, 1358032895, 'IT', 'Italy'),
(44890, '80.241.240.0', '80.241.255.255', 1358032896, 1358036991, 'GE', 'Georgia'),
(44891, '80.242.0.0', '80.242.15.255', 1358036992, 1358041087, 'IR', 'Iran, Islamic Republic of'),
(44892, '80.242.16.0', '80.242.31.255', 1358041088, 1358045183, 'FI', 'Finland'),
(44893, '80.242.32.0', '80.242.47.255', 1358045184, 1358049279, 'SK', 'Slovakia'),
(44894, '80.242.48.0', '80.242.95.255', 1358049280, 1358061567, 'RU', 'Russian Federation'),
(44895, '80.242.96.0', '80.242.111.255', 1358061568, 1358065663, 'UA', 'Ukraine'),
(44896, '80.242.112.0', '80.242.127.255', 1358065664, 1358069759, 'BA', 'Bosnia and Herzegovina'),
(44897, '80.242.128.0', '80.242.147.95', 1358069760, 1358074719, 'DE', 'Germany'),
(44898, '80.242.147.96', '80.242.147.127', 1358074720, 1358074751, 'CH', 'Switzerland'),
(44899, '80.242.147.128', '80.242.178.255', 1358074752, 1358082815, 'DE', 'Germany'),
(44900, '80.242.179.0', '80.242.179.255', 1358082816, 1358083071, 'CH', 'Switzerland'),
(44901, '80.242.180.0', '80.242.191.255', 1358083072, 1358086143, 'DE', 'Germany'),
(44902, '80.242.192.0', '80.242.207.255', 1358086144, 1358090239, 'CH', 'Switzerland'),
(44903, '80.242.208.0', '80.242.223.255', 1358090240, 1358094335, 'KZ', 'Kazakhstan'),
(44904, '80.242.224.0', '80.242.255.255', 1358094336, 1358102527, 'NL', 'Netherlands'),
(44905, '80.243.0.0', '80.243.15.255', 1358102528, 1358106623, 'RU', 'Russian Federation'),
(44906, '80.243.16.0', '80.243.31.255', 1358106624, 1358110719, 'LT', 'Lithuania'),
(44907, '80.243.32.0', '80.243.56.31', 1358110720, 1358116895, 'DE', 'Germany'),
(44908, '80.243.56.32', '80.243.56.47', 1358116896, 1358116911, 'IT', 'Italy'),
(44909, '80.243.56.48', '80.243.63.255', 1358116912, 1358118911, 'DE', 'Germany'),
(44910, '80.243.64.0', '80.243.79.255', 1358118912, 1358123007, 'RU', 'Russian Federation'),
(44911, '80.243.80.0', '80.243.95.255', 1358123008, 1358127103, 'PT', 'Portugal'),
(44912, '80.243.96.0', '80.243.111.255', 1358127104, 1358131199, 'CZ', 'Czech Republic'),
(44913, '80.243.112.0', '80.243.127.255', 1358131200, 1358135295, 'DK', 'Denmark'),
(44914, '80.243.128.0', '80.243.143.255', 1358135296, 1358139391, 'RU', 'Russian Federation'),
(44915, '80.243.144.0', '80.243.159.255', 1358139392, 1358143487, 'UA', 'Ukraine'),
(44916, '80.243.160.0', '80.243.162.159', 1358143488, 1358144159, 'AT', 'Austria'),
(44917, '80.243.162.160', '80.243.162.191', 1358144160, 1358144191, 'MT', 'Malta'),
(44918, '80.243.162.192', '80.243.175.191', 1358144192, 1358147519, 'AT', 'Austria'),
(44919, '80.243.175.192', '80.243.175.255', 1358147520, 1358147583, 'MT', 'Malta'),
(44920, '80.243.176.0', '80.243.191.255', 1358147584, 1358151679, 'GB', 'United Kingdom'),
(44921, '80.243.192.0', '80.243.207.255', 1358151680, 1358155775, 'DE', 'Germany'),
(44922, '80.243.208.0', '80.243.223.255', 1358155776, 1358159871, 'CH', 'Switzerland'),
(44923, '80.243.224.0', '80.243.239.255', 1358159872, 1358163967, 'ES', 'Spain'),
(44924, '80.243.240.0', '80.243.255.255', 1358163968, 1358168063, 'FR', 'France'),
(44925, '80.244.0.0', '80.244.15.255', 1358168064, 1358172159, 'GB', 'United Kingdom'),
(44926, '80.244.16.0', '80.244.31.255', 1358172160, 1358176255, 'CY', 'Cyprus'),
(44927, '80.244.32.0', '80.244.47.255', 1358176256, 1358180351, 'RU', 'Russian Federation'),
(44928, '80.244.48.0', '80.244.63.255', 1358180352, 1358184447, 'ES', 'Spain'),
(44929, '80.244.64.0', '80.244.95.255', 1358184448, 1358192639, 'SE', 'Sweden'),
(44930, '80.244.96.0', '80.244.111.255', 1358192640, 1358196735, 'HU', 'Hungary'),
(44931, '80.244.112.0', '80.244.127.255', 1358196736, 1358200831, 'IT', 'Italy'),
(44932, '80.244.128.0', '80.244.159.255', 1358200832, 1358209023, 'PL', 'Poland'),
(44933, '80.244.160.0', '80.244.175.255', 1358209024, 1358213119, 'IL', 'Israel'),
(44934, '80.244.176.0', '80.244.191.255', 1358213120, 1358217215, 'GB', 'United Kingdom'),
(44935, '80.244.192.0', '80.244.207.255', 1358217216, 1358221311, 'SE', 'Sweden'),
(44936, '80.244.208.0', '80.244.215.255', 1358221312, 1358223359, 'DE', 'Germany'),
(44937, '80.244.216.0', '80.244.217.15', 1358223360, 1358223631, 'GB', 'United Kingdom'),
(44938, '80.244.217.16', '80.244.217.47', 1358223632, 1358223663, 'DE', 'Germany'),
(44939, '80.244.217.48', '80.244.217.55', 1358223664, 1358223671, 'GB', 'United Kingdom'),
(44940, '80.244.217.56', '80.244.217.71', 1358223672, 1358223687, 'DE', 'Germany'),
(44941, '80.244.217.72', '80.244.217.79', 1358223688, 1358223695, 'GB', 'United Kingdom'),
(44942, '80.244.217.80', '80.244.217.103', 1358223696, 1358223719, 'DE', 'Germany'),
(44943, '80.244.217.104', '80.244.217.199', 1358223720, 1358223815, 'GB', 'United Kingdom'),
(44944, '80.244.217.200', '80.244.217.207', 1358223816, 1358223823, 'DE', 'Germany'),
(44945, '80.244.217.208', '80.244.217.219', 1358223824, 1358223835, 'GB', 'United Kingdom'),
(44946, '80.244.217.220', '80.244.217.227', 1358223836, 1358223843, 'DE', 'Germany'),
(44947, '80.244.217.228', '80.244.217.255', 1358223844, 1358223871, 'GB', 'United Kingdom'),
(44948, '80.244.218.0', '80.244.218.15', 1358223872, 1358223887, 'NL', 'Netherlands'),
(44949, '80.244.218.16', '80.244.218.23', 1358223888, 1358223895, 'DE', 'Germany'),
(44950, '80.244.218.24', '80.244.218.31', 1358223896, 1358223903, 'NL', 'Netherlands'),
(44951, '80.244.218.32', '80.244.218.39', 1358223904, 1358223911, 'DE', 'Germany'),
(44952, '80.244.218.40', '80.244.218.55', 1358223912, 1358223927, 'NL', 'Netherlands'),
(44953, '80.244.218.56', '80.244.218.63', 1358223928, 1358223935, 'DE', 'Germany'),
(44954, '80.244.218.64', '80.244.218.67', 1358223936, 1358223939, 'NL', 'Netherlands'),
(44955, '80.244.218.68', '80.244.218.79', 1358223940, 1358223951, 'DE', 'Germany'),
(44956, '80.244.218.80', '80.244.218.87', 1358223952, 1358223959, 'NL', 'Netherlands'),
(44957, '80.244.218.88', '80.244.218.103', 1358223960, 1358223975, 'DE', 'Germany'),
(44958, '80.244.218.104', '80.244.218.119', 1358223976, 1358223991, 'NL', 'Netherlands'),
(44959, '80.244.218.120', '80.244.218.127', 1358223992, 1358223999, 'DE', 'Germany'),
(44960, '80.244.218.128', '80.244.218.171', 1358224000, 1358224043, 'NL', 'Netherlands'),
(44961, '80.244.218.172', '80.244.218.175', 1358224044, 1358224047, 'DE', 'Germany'),
(44962, '80.244.218.176', '80.244.218.215', 1358224048, 1358224087, 'NL', 'Netherlands'),
(44963, '80.244.218.216', '80.244.220.127', 1358224088, 1358224511, 'DE', 'Germany'),
(44964, '80.244.220.128', '80.244.220.135', 1358224512, 1358224519, 'BE', 'Belgium'),
(44965, '80.244.220.136', '80.244.220.227', 1358224520, 1358224611, 'DE', 'Germany'),
(44966, '80.244.220.228', '80.244.221.11', 1358224612, 1358224651, 'BE', 'Belgium'),
(44967, '80.244.221.12', '80.244.221.15', 1358224652, 1358224655, 'DE', 'Germany'),
(44968, '80.244.221.16', '80.244.221.87', 1358224656, 1358224727, 'BE', 'Belgium'),
(44969, '80.244.221.88', '80.244.222.63', 1358224728, 1358224959, 'DE', 'Germany'),
(44970, '80.244.222.64', '80.244.222.231', 1358224960, 1358225127, 'IT', 'Italy'),
(44971, '80.244.222.232', '80.244.222.239', 1358225128, 1358225135, 'DE', 'Germany'),
(44972, '80.244.222.240', '80.244.223.31', 1358225136, 1358225183, 'IT', 'Italy'),
(44973, '80.244.223.32', '80.244.223.35', 1358225184, 1358225187, 'DE', 'Germany'),
(44974, '80.244.223.36', '80.244.223.79', 1358225188, 1358225231, 'IT', 'Italy'),
(44975, '80.244.223.80', '80.244.223.255', 1358225232, 1358225407, 'DE', 'Germany'),
(44976, '80.244.224.0', '80.244.239.255', 1358225408, 1358229503, 'RU', 'Russian Federation'),
(44977, '80.244.240.0', '80.244.242.95', 1358229504, 1358230111, 'DE', 'Germany'),
(44978, '80.244.242.96', '80.244.242.99', 1358230112, 1358230115, 'AT', 'Austria'),
(44979, '80.244.242.100', '80.244.243.111', 1358230116, 1358230383, 'DE', 'Germany'),
(44980, '80.244.243.112', '80.244.243.119', 1358230384, 1358230391, 'TR', 'Turkey'),
(44981, '80.244.243.120', '80.244.243.127', 1358230392, 1358230399, 'CH', 'Switzerland'),
(44982, '80.244.243.128', '80.244.253.31', 1358230400, 1358232863, 'DE', 'Germany'),
(44983, '80.244.253.32', '80.244.253.35', 1358232864, 1358232867, 'IT', 'Italy'),
(44984, '80.244.253.36', '80.244.253.71', 1358232868, 1358232903, 'DE', 'Germany'),
(44985, '80.244.253.72', '80.244.253.79', 1358232904, 1358232911, 'CH', 'Switzerland'),
(44986, '80.244.253.80', '80.244.253.92', 1358232912, 1358232924, 'DE', 'Germany'),
(44987, '80.244.253.93', '80.244.253.93', 1358232925, 1358232925, 'CH', 'Switzerland'),
(44988, '80.244.253.94', '80.244.255.255', 1358232926, 1358233599, 'DE', 'Germany'),
(44989, '80.245.0.0', '80.245.15.255', 1358233600, 1358237695, 'ES', 'Spain'),
(44990, '80.245.16.0', '80.245.21.255', 1358237696, 1358239231, 'FR', 'France'),
(44991, '80.245.22.0', '80.245.22.255', 1358239232, 1358239487, 'CH', 'Switzerland'),
(44992, '80.245.23.0', '80.245.23.255', 1358239488, 1358239743, 'FR', 'France'),
(44993, '80.245.24.0', '80.245.24.255', 1358239744, 1358239999, 'CH', 'Switzerland'),
(44994, '80.245.25.0', '80.245.25.255', 1358240000, 1358240255, 'FR', 'France'),
(44995, '80.245.26.0', '80.245.26.63', 1358240256, 1358240319, 'CH', 'Switzerland'),
(44996, '80.245.26.64', '80.245.31.255', 1358240320, 1358241791, 'FR', 'France'),
(44997, '80.245.32.0', '80.245.32.31', 1358241792, 1358241823, 'BE', 'Belgium'),
(44998, '80.245.32.32', '80.245.32.159', 1358241824, 1358241951, 'FR', 'France'),
(44999, '80.245.32.160', '80.245.32.191', 1358241952, 1358241983, 'BE', 'Belgium'),
(45000, '80.245.32.192', '80.245.35.31', 1358241984, 1358242591, 'FR', 'France'),
(45001, '80.245.35.32', '80.245.35.63', 1358242592, 1358242623, 'BE', 'Belgium'),
(45002, '80.245.35.64', '80.245.41.255', 1358242624, 1358244351, 'FR', 'France'),
(45003, '80.245.42.0', '80.245.42.255', 1358244352, 1358244607, 'IT', 'Italy'),
(45004, '80.245.43.0', '80.245.46.127', 1358244608, 1358245503, 'FR', 'France'),
(45005, '80.245.46.128', '80.245.46.255', 1358245504, 1358245631, 'BE', 'Belgium'),
(45006, '80.245.47.0', '80.245.47.63', 1358245632, 1358245695, 'FR', 'France'),
(45007, '80.245.47.64', '80.245.47.127', 1358245696, 1358245759, 'BE', 'Belgium'),
(45008, '80.245.47.128', '80.245.60.255', 1358245760, 1358249215, 'FR', 'France'),
(45009, '80.245.61.0', '80.245.61.255', 1358249216, 1358249471, 'IT', 'Italy'),
(45010, '80.245.62.0', '80.245.63.255', 1358249472, 1358249983, 'FR', 'France'),
(45011, '80.245.64.0', '80.245.71.39', 1358249984, 1358251815, 'DE', 'Germany'),
(45012, '80.245.71.40', '80.245.71.47', 1358251816, 1358251823, 'NL', 'Netherlands'),
(45013, '80.245.71.48', '80.245.79.255', 1358251824, 1358254079, 'DE', 'Germany'),
(45014, '80.245.80.0', '80.245.95.255', 1358254080, 1358258175, 'MD', 'Moldova, Republic of'),
(45015, '80.245.96.0', '80.245.111.255', 1358258176, 1358262271, 'RU', 'Russian Federation'),
(45016, '80.245.112.0', '80.245.127.255', 1358262272, 1358266367, 'UA', 'Ukraine'),
(45017, '80.245.128.0', '80.245.159.255', 1358266368, 1358274559, 'DE', 'Germany'),
(45018, '80.245.160.0', '80.245.175.255', 1358274560, 1358278655, 'GR', 'Greece'),
(45019, '80.245.176.0', '80.245.191.255', 1358278656, 1358282751, 'PL', 'Poland'),
(45020, '80.245.192.0', '80.245.207.255', 1358282752, 1358286847, 'AT', 'Austria'),
(45021, '80.245.208.0', '80.245.223.255', 1358286848, 1358290943, 'MT', 'Malta'),
(45022, '80.245.224.0', '80.245.239.255', 1358290944, 1358295039, 'SE', 'Sweden'),
(45023, '80.245.240.0', '80.245.255.255', 1358295040, 1358299135, 'RU', 'Russian Federation'),
(45024, '80.246.0.0', '80.246.15.255', 1358299136, 1358303231, 'DZ', 'Algeria'),
(45025, '80.246.16.0', '80.246.31.255', 1358303232, 1358307327, 'RU', 'Russian Federation'),
(45026, '80.246.32.0', '80.246.63.255', 1358307328, 1358315519, 'DE', 'Germany'),
(45027, '80.246.64.0', '80.246.95.255', 1358315520, 1358323711, 'RU', 'Russian Federation'),
(45028, '80.246.96.0', '80.246.111.255', 1358323712, 1358327807, 'LU', 'Luxembourg'),
(45029, '80.246.112.0', '80.246.115.95', 1358327808, 1358328671, 'DE', 'Germany'),
(45030, '80.246.115.96', '80.246.115.151', 1358328672, 1358328727, 'AT', 'Austria'),
(45031, '80.246.115.152', '80.246.127.255', 1358328728, 1358331903, 'DE', 'Germany'),
(45032, '80.246.128.0', '80.246.143.255', 1358331904, 1358335999, 'IL', 'Israel'),
(45033, '80.246.144.0', '80.246.175.255', 1358336000, 1358344191, 'FI', 'Finland'),
(45034, '80.246.176.0', '80.246.207.255', 1358344192, 1358352383, 'NL', 'Netherlands'),
(45035, '80.246.208.0', '80.246.223.255', 1358352384, 1358356479, 'RU', 'Russian Federation'),
(45036, '80.246.224.0', '80.246.239.255', 1358356480, 1358360575, 'SI', 'Slovenia'),
(45037, '80.246.240.0', '80.246.255.255', 1358360576, 1358364671, 'RU', 'Russian Federation'),
(45038, '80.247.0.0', '80.247.31.255', 1358364672, 1358372863, 'GB', 'United Kingdom'),
(45039, '80.247.32.0', '80.247.47.255', 1358372864, 1358376959, 'RU', 'Russian Federation'),
(45040, '80.247.48.0', '80.247.63.255', 1358376960, 1358381055, 'GB', 'United Kingdom'),
(45041, '80.247.64.0', '80.247.72.207', 1358381056, 1358383311, 'IT', 'Italy'),
(45042, '80.247.72.208', '80.247.72.223', 1358383312, 1358383327, 'FR', 'France'),
(45043, '80.247.72.224', '80.247.75.255', 1358383328, 1358384127, 'IT', 'Italy'),
(45044, '80.247.76.0', '80.247.76.15', 1358384128, 1358384143, 'FR', 'France'),
(45045, '80.247.76.16', '80.247.76.63', 1358384144, 1358384191, 'IT', 'Italy'),
(45046, '80.247.76.64', '80.247.76.71', 1358384192, 1358384199, 'FR', 'France'),
(45047, '80.247.76.72', '80.247.79.255', 1358384200, 1358385151, 'IT', 'Italy'),
(45048, '80.247.80.0', '80.247.95.255', 1358385152, 1358389247, 'GB', 'United Kingdom'),
(45049, '80.247.96.0', '80.247.127.255', 1358389248, 1358397439, 'RU', 'Russian Federation'),
(45050, '80.247.128.0', '80.247.129.47', 1358397440, 1358397743, 'GB', 'United Kingdom'),
(45051, '80.247.129.48', '80.247.129.255', 1358397744, 1358397951, 'A2', 'Satellite Provider'),
(45052, '80.247.130.0', '80.247.131.255', 1358397952, 1358398463, 'TZ', 'Tanzania, United Republic of'),
(45053, '80.247.132.0', '80.247.135.255', 1358398464, 1358399487, 'GB', 'United Kingdom'),
(45054, '80.247.136.0', '80.247.137.255', 1358399488, 1358399999, 'NG', 'Nigeria'),
(45055, '80.247.138.0', '80.247.138.7', 1358400000, 1358400007, 'PK', 'Pakistan'),
(45056, '80.247.138.8', '80.247.138.15', 1358400008, 1358400015, 'A2', 'Satellite Provider'),
(45057, '80.247.138.16', '80.247.138.71', 1358400016, 1358400071, 'IN', 'India'),
(45058, '80.247.138.72', '80.247.138.255', 1358400072, 1358400255, 'A2', 'Satellite Provider'),
(45059, '80.247.139.0', '80.247.139.255', 1358400256, 1358400511, 'AF', 'Afghanistan'),
(45060, '80.247.140.0', '80.247.140.7', 1358400512, 1358400519, 'GA', 'Gabon'),
(45061, '80.247.140.8', '80.247.140.15', 1358400520, 1358400527, 'A2', 'Satellite Provider'),
(45062, '80.247.140.16', '80.247.140.23', 1358400528, 1358400535, 'TZ', 'Tanzania, United Republic of'),
(45063, '80.247.140.24', '80.247.140.31', 1358400536, 1358400543, 'A2', 'Satellite Provider'),
(45064, '80.247.140.32', '80.247.140.39', 1358400544, 1358400551, 'GA', 'Gabon'),
(45065, '80.247.140.40', '80.247.140.63', 1358400552, 1358400575, 'A2', 'Satellite Provider'),
(45066, '80.247.140.64', '80.247.140.79', 1358400576, 1358400591, 'KE', 'Kenya'),
(45067, '80.247.140.80', '80.247.140.127', 1358400592, 1358400639, 'A2', 'Satellite Provider'),
(45068, '80.247.140.128', '80.247.141.7', 1358400640, 1358400775, 'KE', 'Kenya'),
(45069, '80.247.141.8', '80.247.141.15', 1358400776, 1358400783, 'A2', 'Satellite Provider'),
(45070, '80.247.141.16', '80.247.141.31', 1358400784, 1358400799, 'KE', 'Kenya'),
(45071, '80.247.141.32', '80.247.141.95', 1358400800, 1358400863, 'NG', 'Nigeria'),
(45072, '80.247.141.96', '80.247.141.127', 1358400864, 1358400895, 'GA', 'Gabon'),
(45073, '80.247.141.128', '80.247.142.255', 1358400896, 1358401279, 'NG', 'Nigeria'),
(45074, '80.247.143.0', '80.247.143.255', 1358401280, 1358401535, 'KE', 'Kenya'),
(45075, '80.247.144.0', '80.247.144.255', 1358401536, 1358401791, 'GB', 'United Kingdom'),
(45076, '80.247.145.0', '80.247.146.127', 1358401792, 1358402175, 'A2', 'Satellite Provider'),
(45077, '80.247.146.128', '80.247.147.255', 1358402176, 1358402559, 'TZ', 'Tanzania, United Republic of'),
(45078, '80.247.148.0', '80.247.148.159', 1358402560, 1358402719, 'GB', 'United Kingdom'),
(45079, '80.247.148.160', '80.247.150.31', 1358402720, 1358403103, 'A2', 'Satellite Provider'),
(45080, '80.247.150.32', '80.247.150.63', 1358403104, 1358403135, 'ID', 'Indonesia'),
(45081, '80.247.150.64', '80.247.150.79', 1358403136, 1358403151, 'A2', 'Satellite Provider'),
(45082, '80.247.150.80', '80.247.150.95', 1358403152, 1358403167, 'ID', 'Indonesia'),
(45083, '80.247.150.96', '80.247.150.111', 1358403168, 1358403183, 'A2', 'Satellite Provider'),
(45084, '80.247.150.112', '80.247.150.201', 1358403184, 1358403273, 'ID', 'Indonesia'),
(45085, '80.247.150.202', '80.247.150.255', 1358403274, 1358403327, 'A2', 'Satellite Provider'),
(45086, '80.247.151.0', '80.247.151.255', 1358403328, 1358403583, 'NG', 'Nigeria'),
(45087, '80.247.152.0', '80.247.152.7', 1358403584, 1358403591, 'PK', 'Pakistan'),
(45088, '80.247.152.8', '80.247.152.47', 1358403592, 1358403631, 'A2', 'Satellite Provider'),
(45089, '80.247.152.48', '80.247.152.95', 1358403632, 1358403679, 'PK', 'Pakistan'),
(45090, '80.247.152.96', '80.247.152.103', 1358403680, 1358403687, 'A2', 'Satellite Provider'),
(45091, '80.247.152.104', '80.247.152.127', 1358403688, 1358403711, 'PK', 'Pakistan'),
(45092, '80.247.152.128', '80.247.152.255', 1358403712, 1358403839, 'A2', 'Satellite Provider'),
(45093, '80.247.153.0', '80.247.153.255', 1358403840, 1358404095, 'NG', 'Nigeria'),
(45094, '80.247.154.0', '80.247.155.255', 1358404096, 1358404607, 'A2', 'Satellite Provider'),
(45095, '80.247.156.0', '80.247.156.3', 1358404608, 1358404611, 'NG', 'Nigeria'),
(45096, '80.247.156.4', '80.247.156.7', 1358404612, 1358404615, 'TZ', 'Tanzania, United Republic of'),
(45097, '80.247.156.8', '80.247.156.15', 1358404616, 1358404623, 'NG', 'Nigeria'),
(45098, '80.247.156.16', '80.247.156.47', 1358404624, 1358404655, 'TZ', 'Tanzania, United Republic of'),
(45099, '80.247.156.48', '80.247.156.63', 1358404656, 1358404671, 'NG', 'Nigeria'),
(45100, '80.247.156.64', '80.247.156.87', 1358404672, 1358404695, 'A2', 'Satellite Provider'),
(45101, '80.247.156.88', '80.247.156.95', 1358404696, 1358404703, 'TZ', 'Tanzania, United Republic of'),
(45102, '80.247.156.96', '80.247.156.127', 1358404704, 1358404735, 'A2', 'Satellite Provider'),
(45103, '80.247.156.128', '80.247.156.143', 1358404736, 1358404751, 'NG', 'Nigeria'),
(45104, '80.247.156.144', '80.247.156.159', 1358404752, 1358404767, 'A2', 'Satellite Provider'),
(45105, '80.247.156.160', '80.247.156.175', 1358404768, 1358404783, 'NG', 'Nigeria'),
(45106, '80.247.156.176', '80.247.156.255', 1358404784, 1358404863, 'A2', 'Satellite Provider'),
(45107, '80.247.157.0', '80.247.157.255', 1358404864, 1358405119, 'NG', 'Nigeria'),
(45108, '80.247.158.0', '80.247.158.255', 1358405120, 1358405375, 'TZ', 'Tanzania, United Republic of'),
(45109, '80.247.159.0', '80.247.159.255', 1358405376, 1358405631, 'NG', 'Nigeria'),
(45110, '80.247.160.0', '80.247.175.255', 1358405632, 1358409727, 'NL', 'Netherlands'),
(45111, '80.247.176.0', '80.247.191.255', 1358409728, 1358413823, 'RU', 'Russian Federation'),
(45112, '80.247.192.0', '80.247.223.255', 1358413824, 1358422015, 'NL', 'Netherlands'),
(45113, '80.247.224.0', '80.247.239.255', 1358422016, 1358426111, 'FR', 'France'),
(45114, '80.247.240.0', '80.247.255.255', 1358426112, 1358430207, 'FI', 'Finland'),
(45115, '80.248.0.0', '80.248.15.255', 1358430208, 1358434303, 'NG', 'Nigeria'),
(45116, '80.248.16.0', '80.248.31.255', 1358434304, 1358438399, 'IS', 'Iceland'),
(45117, '80.248.32.0', '80.248.47.255', 1358438400, 1358442495, 'NL', 'Netherlands'),
(45118, '80.248.48.0', '80.248.63.255', 1358442496, 1358446591, 'RU', 'Russian Federation'),
(45119, '80.248.64.0', '80.248.79.255', 1358446592, 1358450687, 'TG', 'Togo'),
(45120, '80.248.80.0', '80.248.95.255', 1358450688, 1358454783, 'RU', 'Russian Federation'),
(45121, '80.248.96.0', '80.248.127.255', 1358454784, 1358462975, 'FI', 'Finland'),
(45122, '80.248.128.0', '80.248.143.255', 1358462976, 1358467071, 'SE', 'Sweden'),
(45123, '80.248.144.0', '80.248.159.255', 1358467072, 1358471167, 'RU', 'Russian Federation'),
(45124, '80.248.160.0', '80.248.175.255', 1358471168, 1358475263, 'FI', 'Finland'),
(45125, '80.248.176.0', '80.248.191.255', 1358475264, 1358479359, 'GB', 'United Kingdom'),
(45126, '80.248.192.0', '80.248.192.255', 1358479360, 1358479615, 'CH', 'Switzerland'),
(45127, '80.248.193.0', '80.248.207.255', 1358479616, 1358483455, 'LI', 'Liechtenstein'),
(45128, '80.248.208.0', '80.248.223.255', 1358483456, 1358487551, 'FR', 'France'),
(45129, '80.248.224.0', '80.248.224.137', 1358487552, 1358487689, 'SE', 'Sweden'),
(45130, '80.248.224.138', '80.248.224.139', 1358487690, 1358487691, 'RU', 'Russian Federation'),
(45131, '80.248.224.140', '80.248.224.141', 1358487692, 1358487693, 'RO', 'Romania'),
(45132, '80.248.224.142', '80.248.224.143', 1358487694, 1358487695, 'PL', 'Poland'),
(45133, '80.248.224.144', '80.248.224.145', 1358487696, 1358487697, 'HU', 'Hungary'),
(45134, '80.248.224.146', '80.248.224.147', 1358487698, 1358487699, 'BG', 'Bulgaria'),
(45135, '80.248.224.148', '80.248.224.149', 1358487700, 1358487701, 'ES', 'Spain'),
(45136, '80.248.224.150', '80.248.224.159', 1358487702, 1358487711, 'SE', 'Sweden'),
(45137, '80.248.224.160', '80.248.224.175', 1358487712, 1358487727, 'US', 'United States'),
(45138, '80.248.224.176', '80.248.225.191', 1358487728, 1358487999, 'FR', 'France'),
(45139, '80.248.225.192', '80.248.226.127', 1358488000, 1358488191, 'SE', 'Sweden'),
(45140, '80.248.226.128', '80.248.226.159', 1358488192, 1358488223, 'GB', 'United Kingdom'),
(45141, '80.248.226.160', '80.248.226.175', 1358488224, 1358488239, 'US', 'United States'),
(45142, '80.248.226.176', '80.248.226.191', 1358488240, 1358488255, 'FR', 'France'),
(45143, '80.248.226.192', '80.248.227.127', 1358488256, 1358488447, 'SE', 'Sweden'),
(45144, '80.248.227.128', '80.248.227.159', 1358488448, 1358488479, 'GB', 'United Kingdom'),
(45145, '80.248.227.160', '80.248.227.175', 1358488480, 1358488495, 'US', 'United States'),
(45146, '80.248.227.176', '80.248.227.191', 1358488496, 1358488511, 'FR', 'France'),
(45147, '80.248.227.192', '80.248.239.255', 1358488512, 1358491647, 'SE', 'Sweden'),
(45148, '80.248.240.0', '80.248.255.255', 1358491648, 1358495743, 'FI', 'Finland'),
(45149, '80.249.0.0', '80.249.15.255', 1358495744, 1358499839, 'PL', 'Poland'),
(45150, '80.249.16.0', '80.249.31.255', 1358499840, 1358503935, 'KZ', 'Kazakhstan'),
(45151, '80.249.32.0', '80.249.47.255', 1358503936, 1358508031, 'IT', 'Italy'),
(45152, '80.249.48.0', '80.249.63.255', 1358508032, 1358512127, 'GB', 'United Kingdom'),
(45153, '80.249.64.0', '80.249.79.255', 1358512128, 1358516223, 'DZ', 'Algeria'),
(45154, '80.249.80.0', '80.249.95.255', 1358516224, 1358520319, 'BY', 'Belarus'),
(45155, '80.249.96.0', '80.249.111.255', 1358520320, 1358524415, 'GB', 'United Kingdom'),
(45156, '80.249.112.0', '80.249.127.255', 1358524416, 1358528511, 'DE', 'Germany'),
(45157, '80.249.128.0', '80.249.159.255', 1358528512, 1358536703, 'RU', 'Russian Federation'),
(45158, '80.249.160.0', '80.249.175.255', 1358536704, 1358540799, 'HU', 'Hungary'),
(45159, '80.249.176.0', '80.249.207.255', 1358540800, 1358548991, 'RU', 'Russian Federation'),
(45160, '80.249.208.0', '80.249.223.255', 1358548992, 1358553087, 'JO', 'Jordan'),
(45161, '80.249.224.0', '80.249.239.255', 1358553088, 1358557183, 'UA', 'Ukraine'),
(45162, '80.249.240.0', '80.249.240.159', 1358557184, 1358557343, 'IE', 'Ireland'),
(45163, '80.249.240.160', '80.249.240.223', 1358557344, 1358557407, 'GB', 'United Kingdom'),
(45164, '80.249.240.224', '80.249.242.207', 1358557408, 1358557903, 'IE', 'Ireland'),
(45165, '80.249.242.208', '80.249.242.215', 1358557904, 1358557911, 'GB', 'United Kingdom'),
(45166, '80.249.242.216', '80.249.242.255', 1358557912, 1358557951, 'IE', 'Ireland'),
(45167, '80.249.243.0', '80.249.243.95', 1358557952, 1358558047, 'GB', 'United Kingdom'),
(45168, '80.249.243.96', '80.249.243.191', 1358558048, 1358558143, 'IE', 'Ireland'),
(45169, '80.249.243.192', '80.249.243.223', 1358558144, 1358558175, 'GB', 'United Kingdom'),
(45170, '80.249.243.224', '80.249.246.87', 1358558176, 1358558807, 'IE', 'Ireland'),
(45171, '80.249.246.88', '80.249.246.95', 1358558808, 1358558815, 'GB', 'United Kingdom'),
(45172, '80.249.246.96', '80.249.246.111', 1358558816, 1358558831, 'IE', 'Ireland'),
(45173, '80.249.246.112', '80.249.246.127', 1358558832, 1358558847, 'GB', 'United Kingdom'),
(45174, '80.249.246.128', '80.249.246.255', 1358558848, 1358558975, 'IE', 'Ireland'),
(45175, '80.249.247.0', '80.249.247.31', 1358558976, 1358559007, 'GB', 'United Kingdom'),
(45176, '80.249.247.32', '80.249.247.63', 1358559008, 1358559039, 'IE', 'Ireland'),
(45177, '80.249.247.64', '80.249.247.95', 1358559040, 1358559071, 'GB', 'United Kingdom'),
(45178, '80.249.247.96', '80.249.249.63', 1358559072, 1358559551, 'IE', 'Ireland'),
(45179, '80.249.249.64', '80.249.249.71', 1358559552, 1358559559, 'GB', 'United Kingdom'),
(45180, '80.249.249.72', '80.249.254.207', 1358559560, 1358560975, 'IE', 'Ireland'),
(45181, '80.249.254.208', '80.249.254.223', 1358560976, 1358560991, 'GB', 'United Kingdom'),
(45182, '80.249.254.224', '80.249.255.95', 1358560992, 1358561119, 'IE', 'Ireland'),
(45183, '80.249.255.96', '80.249.255.127', 1358561120, 1358561151, 'GB', 'United Kingdom'),
(45184, '80.249.255.128', '80.249.255.255', 1358561152, 1358561279, 'IE', 'Ireland'),
(45185, '80.250.0.0', '80.250.31.255', 1358561280, 1358569471, 'CZ', 'Czech Republic'),
(45186, '80.250.32.0', '80.250.47.255', 1358569472, 1358573567, 'NG', 'Nigeria'),
(45187, '80.250.48.0', '80.250.63.255', 1358573568, 1358577663, 'LV', 'Latvia'),
(45188, '80.250.64.0', '80.250.95.255', 1358577664, 1358585855, 'RU', 'Russian Federation'),
(45189, '80.250.96.0', '80.250.111.255', 1358585856, 1358589951, 'GB', 'United Kingdom'),
(45190, '80.250.112.0', '80.250.127.255', 1358589952, 1358594047, 'EE', 'Estonia'),
(45191, '80.250.128.0', '80.250.143.255', 1358594048, 1358598143, 'DE', 'Germany'),
(45192, '80.250.144.0', '80.250.159.255', 1358598144, 1358602239, 'IL', 'Israel'),
(45193, '80.250.160.0', '80.250.239.255', 1358602240, 1358622719, 'RU', 'Russian Federation'),
(45194, '80.250.240.0', '80.250.255.255', 1358622720, 1358626815, 'SK', 'Slovakia'),
(45195, '80.251.0.0', '80.251.15.255', 1358626816, 1358630911, 'A2', 'Satellite Provider'),
(45196, '80.251.16.0', '80.251.31.255', 1358630912, 1358635007, 'GB', 'United Kingdom'),
(45197, '80.251.32.0', '80.251.47.255', 1358635008, 1358639103, 'TR', 'Turkey'),
(45198, '80.251.48.0', '80.251.63.255', 1358639104, 1358643199, 'RU', 'Russian Federation'),
(45199, '80.251.64.0', '80.251.79.255', 1358643200, 1358647295, 'ES', 'Spain'),
(45200, '80.251.80.0', '80.251.95.255', 1358647296, 1358651391, 'DE', 'Germany'),
(45201, '80.251.96.0', '80.251.111.255', 1358651392, 1358655487, 'FR', 'France'),
(45202, '80.251.112.0', '80.251.159.255', 1358655488, 1358667775, 'RU', 'Russian Federation'),
(45203, '80.251.160.0', '80.251.161.35', 1358667776, 1358668067, 'PT', 'Portugal'),
(45204, '80.251.161.36', '80.251.161.39', 1358668068, 1358668071, 'GB', 'United Kingdom'),
(45205, '80.251.161.40', '80.251.161.79', 1358668072, 1358668111, 'PT', 'Portugal'),
(45206, '80.251.161.80', '80.251.161.87', 1358668112, 1358668119, 'GB', 'United Kingdom'),
(45207, '80.251.161.88', '80.251.161.127', 1358668120, 1358668159, 'PT', 'Portugal'),
(45208, '80.251.161.128', '80.251.161.135', 1358668160, 1358668167, 'GB', 'United Kingdom'),
(45209, '80.251.161.136', '80.251.161.223', 1358668168, 1358668255, 'PT', 'Portugal'),
(45210, '80.251.161.224', '80.251.161.231', 1358668256, 1358668263, 'GB', 'United Kingdom'),
(45211, '80.251.161.232', '80.251.161.239', 1358668264, 1358668271, 'PT', 'Portugal'),
(45212, '80.251.161.240', '80.251.161.247', 1358668272, 1358668279, 'ES', 'Spain'),
(45213, '80.251.161.248', '80.251.161.255', 1358668280, 1358668287, 'PT', 'Portugal'),
(45214, '80.251.162.0', '80.251.162.15', 1358668288, 1358668303, 'GB', 'United Kingdom'),
(45215, '80.251.162.16', '80.251.162.71', 1358668304, 1358668359, 'PT', 'Portugal'),
(45216, '80.251.162.72', '80.251.162.75', 1358668360, 1358668363, 'GB', 'United Kingdom'),
(45217, '80.251.162.76', '80.251.162.175', 1358668364, 1358668463, 'PT', 'Portugal'),
(45218, '80.251.162.176', '80.251.162.191', 1358668464, 1358668479, 'ES', 'Spain'),
(45219, '80.251.162.192', '80.251.162.207', 1358668480, 1358668495, 'GB', 'United Kingdom'),
(45220, '80.251.162.208', '80.251.162.215', 1358668496, 1358668503, 'PT', 'Portugal'),
(45221, '80.251.162.216', '80.251.162.223', 1358668504, 1358668511, 'GB', 'United Kingdom'),
(45222, '80.251.162.224', '80.251.162.247', 1358668512, 1358668535, 'PT', 'Portugal'),
(45223, '80.251.162.248', '80.251.162.255', 1358668536, 1358668543, 'GB', 'United Kingdom'),
(45224, '80.251.163.0', '80.251.163.255', 1358668544, 1358668799, 'PT', 'Portugal'),
(45225, '80.251.164.0', '80.251.164.7', 1358668800, 1358668807, 'GB', 'United Kingdom'),
(45226, '80.251.164.8', '80.251.164.127', 1358668808, 1358668927, 'PT', 'Portugal'),
(45227, '80.251.164.128', '80.251.164.159', 1358668928, 1358668959, 'ES', 'Spain'),
(45228, '80.251.164.160', '80.251.166.15', 1358668960, 1358669327, 'PT', 'Portugal'),
(45229, '80.251.166.16', '80.251.166.23', 1358669328, 1358669335, 'GB', 'United Kingdom'),
(45230, '80.251.166.24', '80.251.166.39', 1358669336, 1358669351, 'PT', 'Portugal'),
(45231, '80.251.166.40', '80.251.166.47', 1358669352, 1358669359, 'GB', 'United Kingdom'),
(45232, '80.251.166.48', '80.251.166.151', 1358669360, 1358669463, 'PT', 'Portugal'),
(45233, '80.251.166.152', '80.251.166.159', 1358669464, 1358669471, 'GB', 'United Kingdom'),
(45234, '80.251.166.160', '80.251.167.255', 1358669472, 1358669823, 'PT', 'Portugal'),
(45235, '80.251.168.0', '80.251.168.15', 1358669824, 1358669839, 'GB', 'United Kingdom'),
(45236, '80.251.168.16', '80.251.168.23', 1358669840, 1358669847, 'PT', 'Portugal'),
(45237, '80.251.168.24', '80.251.168.31', 1358669848, 1358669855, 'GB', 'United Kingdom'),
(45238, '80.251.168.32', '80.251.168.151', 1358669856, 1358669975, 'PT', 'Portugal'),
(45239, '80.251.168.152', '80.251.168.159', 1358669976, 1358669983, 'GB', 'United Kingdom'),
(45240, '80.251.168.160', '80.251.168.191', 1358669984, 1358670015, 'PT', 'Portugal'),
(45241, '80.251.168.192', '80.251.168.199', 1358670016, 1358670023, 'GB', 'United Kingdom'),
(45242, '80.251.168.200', '80.251.169.103', 1358670024, 1358670183, 'PT', 'Portugal'),
(45243, '80.251.169.104', '80.251.169.111', 1358670184, 1358670191, 'GB', 'United Kingdom'),
(45244, '80.251.169.112', '80.251.172.95', 1358670192, 1358670943, 'PT', 'Portugal'),
(45245, '80.251.172.96', '80.251.172.103', 1358670944, 1358670951, 'FR', 'France'),
(45246, '80.251.172.104', '80.251.172.199', 1358670952, 1358671047, 'PT', 'Portugal'),
(45247, '80.251.172.200', '80.251.172.207', 1358671048, 1358671055, 'ES', 'Spain'),
(45248, '80.251.172.208', '80.251.174.55', 1358671056, 1358671415, 'PT', 'Portugal'),
(45249, '80.251.174.56', '80.251.174.63', 1358671416, 1358671423, 'AT', 'Austria'),
(45250, '80.251.174.64', '80.251.174.71', 1358671424, 1358671431, 'PT', 'Portugal'),
(45251, '80.251.174.72', '80.251.174.79', 1358671432, 1358671439, 'GB', 'United Kingdom'),
(45252, '80.251.174.80', '80.251.174.247', 1358671440, 1358671607, 'PT', 'Portugal'),
(45253, '80.251.174.248', '80.251.174.255', 1358671608, 1358671615, 'GB', 'United Kingdom'),
(45254, '80.251.175.0', '80.251.175.223', 1358671616, 1358671839, 'PT', 'Portugal'),
(45255, '80.251.175.224', '80.251.175.239', 1358671840, 1358671855, 'ES', 'Spain'),
(45256, '80.251.175.240', '80.251.175.255', 1358671856, 1358671871, 'PT', 'Portugal'),
(45257, '80.251.176.0', '80.251.176.31', 1358671872, 1358671903, 'GB', 'United Kingdom'),
(45258, '80.251.176.32', '80.251.176.95', 1358671904, 1358671967, 'PT', 'Portugal'),
(45259, '80.251.176.96', '80.251.176.111', 1358671968, 1358671983, 'GB', 'United Kingdom'),
(45260, '80.251.176.112', '80.251.178.95', 1358671984, 1358672479, 'PT', 'Portugal'),
(45261, '80.251.178.96', '80.251.178.127', 1358672480, 1358672511, 'GB', 'United Kingdom'),
(45262, '80.251.178.128', '80.251.179.47', 1358672512, 1358672687, 'PT', 'Portugal'),
(45263, '80.251.179.48', '80.251.179.63', 1358672688, 1358672703, 'GB', 'United Kingdom'),
(45264, '80.251.179.64', '80.251.182.127', 1358672704, 1358673535, 'PT', 'Portugal'),
(45265, '80.251.182.128', '80.251.182.159', 1358673536, 1358673567, 'US', 'United States'),
(45266, '80.251.182.160', '80.251.182.191', 1358673568, 1358673599, 'GB', 'United Kingdom'),
(45267, '80.251.182.192', '80.251.182.255', 1358673600, 1358673663, 'PT', 'Portugal'),
(45268, '80.251.183.0', '80.251.191.255', 1358673664, 1358675967, 'GB', 'United Kingdom'),
(45269, '80.251.192.0', '80.251.196.255', 1358675968, 1358677247, 'SE', 'Sweden'),
(45270, '80.251.197.0', '80.251.198.255', 1358677248, 1358677759, 'DK', 'Denmark'),
(45271, '80.251.199.0', '80.251.204.255', 1358677760, 1358679295, 'SE', 'Sweden'),
(45272, '80.251.205.0', '80.251.207.255', 1358679296, 1358680063, 'DK', 'Denmark'),
(45273, '80.251.208.0', '80.251.239.255', 1358680064, 1358688255, 'RU', 'Russian Federation'),
(45274, '80.251.240.0', '80.251.255.255', 1358688256, 1358692351, 'CZ', 'Czech Republic'),
(45275, '80.252.0.0', '80.252.15.255', 1358692352, 1358696447, 'PL', 'Poland'),
(45276, '80.252.16.0', '80.252.31.255', 1358696448, 1358700543, 'RU', 'Russian Federation');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(45277, '80.252.32.0', '80.252.47.255', 1358700544, 1358704639, 'AT', 'Austria'),
(45278, '80.252.48.0', '80.252.63.255', 1358704640, 1358708735, 'HU', 'Hungary'),
(45279, '80.252.64.0', '80.252.79.255', 1358708736, 1358712831, 'GB', 'United Kingdom'),
(45280, '80.252.80.0', '80.252.84.143', 1358712832, 1358713999, 'NL', 'Netherlands'),
(45281, '80.252.84.144', '80.252.84.159', 1358714000, 1358714015, 'A2', 'Satellite Provider'),
(45282, '80.252.84.160', '80.252.95.255', 1358714016, 1358716927, 'NL', 'Netherlands'),
(45283, '80.252.96.0', '80.252.111.255', 1358716928, 1358721023, 'DE', 'Germany'),
(45284, '80.252.112.0', '80.252.127.255', 1358721024, 1358725119, 'GB', 'United Kingdom'),
(45285, '80.252.128.0', '80.252.159.255', 1358725120, 1358733311, 'RU', 'Russian Federation'),
(45286, '80.252.160.0', '80.252.161.71', 1358733312, 1358733639, 'SE', 'Sweden'),
(45287, '80.252.161.72', '80.252.161.75', 1358733640, 1358733643, 'DE', 'Germany'),
(45288, '80.252.161.76', '80.252.162.179', 1358733644, 1358734003, 'SE', 'Sweden'),
(45289, '80.252.162.180', '80.252.162.183', 1358734004, 1358734007, 'NO', 'Norway'),
(45290, '80.252.162.184', '80.252.163.43', 1358734008, 1358734123, 'SE', 'Sweden'),
(45291, '80.252.163.44', '80.252.163.47', 1358734124, 1358734127, 'AN', 'Netherlands Antilles'),
(45292, '80.252.163.48', '80.252.164.7', 1358734128, 1358734343, 'SE', 'Sweden'),
(45293, '80.252.164.8', '80.252.164.11', 1358734344, 1358734347, 'NL', 'Netherlands'),
(45294, '80.252.164.12', '80.252.165.123', 1358734348, 1358734715, 'SE', 'Sweden'),
(45295, '80.252.165.124', '80.252.165.127', 1358734716, 1358734719, 'NL', 'Netherlands'),
(45296, '80.252.165.128', '80.252.165.135', 1358734720, 1358734727, 'SE', 'Sweden'),
(45297, '80.252.165.136', '80.252.165.139', 1358734728, 1358734731, 'US', 'United States'),
(45298, '80.252.165.140', '80.252.166.127', 1358734732, 1358734975, 'SE', 'Sweden'),
(45299, '80.252.166.128', '80.252.166.131', 1358734976, 1358734979, 'NL', 'Netherlands'),
(45300, '80.252.166.132', '80.252.167.35', 1358734980, 1358735139, 'SE', 'Sweden'),
(45301, '80.252.167.36', '80.252.167.39', 1358735140, 1358735143, 'NL', 'Netherlands'),
(45302, '80.252.167.40', '80.252.167.215', 1358735144, 1358735319, 'SE', 'Sweden'),
(45303, '80.252.167.216', '80.252.167.219', 1358735320, 1358735323, 'DE', 'Germany'),
(45304, '80.252.167.220', '80.252.168.131', 1358735324, 1358735491, 'SE', 'Sweden'),
(45305, '80.252.168.132', '80.252.168.135', 1358735492, 1358735495, 'NL', 'Netherlands'),
(45306, '80.252.168.136', '80.252.169.95', 1358735496, 1358735711, 'SE', 'Sweden'),
(45307, '80.252.169.96', '80.252.169.99', 1358735712, 1358735715, 'FR', 'France'),
(45308, '80.252.169.100', '80.252.169.127', 1358735716, 1358735743, 'SE', 'Sweden'),
(45309, '80.252.169.128', '80.252.169.135', 1358735744, 1358735751, 'FR', 'France'),
(45310, '80.252.169.136', '80.252.170.199', 1358735752, 1358736071, 'SE', 'Sweden'),
(45311, '80.252.170.200', '80.252.170.203', 1358736072, 1358736075, 'US', 'United States'),
(45312, '80.252.170.204', '80.252.174.31', 1358736076, 1358736927, 'SE', 'Sweden'),
(45313, '80.252.174.32', '80.252.174.47', 1358736928, 1358736943, 'NL', 'Netherlands'),
(45314, '80.252.174.48', '80.252.175.231', 1358736944, 1358737383, 'SE', 'Sweden'),
(45315, '80.252.175.232', '80.252.175.235', 1358737384, 1358737387, 'NL', 'Netherlands'),
(45316, '80.252.175.236', '80.252.178.183', 1358737388, 1358738103, 'SE', 'Sweden'),
(45317, '80.252.178.184', '80.252.178.191', 1358738104, 1358738111, 'FR', 'France'),
(45318, '80.252.178.192', '80.252.179.127', 1358738112, 1358738303, 'SE', 'Sweden'),
(45319, '80.252.179.128', '80.252.179.131', 1358738304, 1358738307, 'FR', 'France'),
(45320, '80.252.179.132', '80.252.179.255', 1358738308, 1358738431, 'SE', 'Sweden'),
(45321, '80.252.180.0', '80.252.180.15', 1358738432, 1358738447, 'NL', 'Netherlands'),
(45322, '80.252.180.16', '80.252.180.255', 1358738448, 1358738687, 'SE', 'Sweden'),
(45323, '80.252.181.0', '80.252.181.3', 1358738688, 1358738691, 'DE', 'Germany'),
(45324, '80.252.181.4', '80.252.182.191', 1358738692, 1358739135, 'SE', 'Sweden'),
(45325, '80.252.182.192', '80.252.182.207', 1358739136, 1358739151, 'NL', 'Netherlands'),
(45326, '80.252.182.208', '80.252.184.47', 1358739152, 1358739503, 'SE', 'Sweden'),
(45327, '80.252.184.48', '80.252.184.63', 1358739504, 1358739519, 'FR', 'France'),
(45328, '80.252.184.64', '80.252.186.131', 1358739520, 1358740099, 'SE', 'Sweden'),
(45329, '80.252.186.132', '80.252.186.135', 1358740100, 1358740103, 'MY', 'Malaysia'),
(45330, '80.252.186.136', '80.252.186.191', 1358740104, 1358740159, 'SE', 'Sweden'),
(45331, '80.252.186.192', '80.252.186.207', 1358740160, 1358740175, 'FR', 'France'),
(45332, '80.252.186.208', '80.252.187.111', 1358740176, 1358740335, 'SE', 'Sweden'),
(45333, '80.252.187.112', '80.252.187.127', 1358740336, 1358740351, 'GB', 'United Kingdom'),
(45334, '80.252.187.128', '80.252.188.191', 1358740352, 1358740671, 'SE', 'Sweden'),
(45335, '80.252.188.192', '80.252.188.195', 1358740672, 1358740675, 'PL', 'Poland'),
(45336, '80.252.188.196', '80.252.188.199', 1358740676, 1358740679, 'BG', 'Bulgaria'),
(45337, '80.252.188.200', '80.252.188.203', 1358740680, 1358740683, 'BR', 'Brazil'),
(45338, '80.252.188.204', '80.252.188.207', 1358740684, 1358740687, 'TR', 'Turkey'),
(45339, '80.252.188.208', '80.252.189.147', 1358740688, 1358740883, 'SE', 'Sweden'),
(45340, '80.252.189.148', '80.252.189.151', 1358740884, 1358740887, 'NL', 'Netherlands'),
(45341, '80.252.189.152', '80.252.189.191', 1358740888, 1358740927, 'SE', 'Sweden'),
(45342, '80.252.189.192', '80.252.189.207', 1358740928, 1358740943, 'DK', 'Denmark'),
(45343, '80.252.189.208', '80.252.191.255', 1358740944, 1358741503, 'SE', 'Sweden'),
(45344, '80.252.192.0', '80.252.207.255', 1358741504, 1358745599, 'IT', 'Italy'),
(45345, '80.252.208.0', '80.252.223.255', 1358745600, 1358749695, 'SE', 'Sweden'),
(45346, '80.252.224.0', '80.252.239.255', 1358749696, 1358753791, 'IT', 'Italy'),
(45347, '80.252.240.0', '80.252.255.255', 1358753792, 1358757887, 'UA', 'Ukraine'),
(45348, '80.253.0.0', '80.253.31.255', 1358757888, 1358766079, 'RU', 'Russian Federation'),
(45349, '80.253.32.0', '80.253.47.255', 1358766080, 1358770175, 'IT', 'Italy'),
(45350, '80.253.48.0', '80.253.63.255', 1358770176, 1358774271, 'BG', 'Bulgaria'),
(45351, '80.253.64.0', '80.253.79.255', 1358774272, 1358778367, 'ES', 'Spain'),
(45352, '80.253.80.0', '80.253.95.255', 1358778368, 1358782463, 'CH', 'Switzerland'),
(45353, '80.253.96.0', '80.253.102.15', 1358782464, 1358784015, 'GB', 'United Kingdom'),
(45354, '80.253.102.16', '80.253.102.39', 1358784016, 1358784039, 'NL', 'Netherlands'),
(45355, '80.253.102.40', '80.253.102.63', 1358784040, 1358784063, 'DE', 'Germany'),
(45356, '80.253.102.64', '80.253.105.63', 1358784064, 1358784831, 'GB', 'United Kingdom'),
(45357, '80.253.105.64', '80.253.105.95', 1358784832, 1358784863, 'NL', 'Netherlands'),
(45358, '80.253.105.96', '80.253.105.127', 1358784864, 1358784895, 'DE', 'Germany'),
(45359, '80.253.105.128', '80.253.106.63', 1358784896, 1358785087, 'GB', 'United Kingdom'),
(45360, '80.253.106.64', '80.253.106.127', 1358785088, 1358785151, 'NL', 'Netherlands'),
(45361, '80.253.106.128', '80.253.111.255', 1358785152, 1358786559, 'GB', 'United Kingdom'),
(45362, '80.253.112.0', '80.253.113.255', 1358786560, 1358787071, 'NL', 'Netherlands'),
(45363, '80.253.114.0', '80.253.114.255', 1358787072, 1358787327, 'GB', 'United Kingdom'),
(45364, '80.253.115.0', '80.253.115.255', 1358787328, 1358787583, 'IE', 'Ireland'),
(45365, '80.253.116.0', '80.253.127.255', 1358787584, 1358790655, 'GB', 'United Kingdom'),
(45366, '80.253.128.0', '80.253.159.255', 1358790656, 1358798847, 'IR', 'Iran, Islamic Republic of'),
(45367, '80.253.160.0', '80.253.161.255', 1358798848, 1358799359, 'DE', 'Germany'),
(45368, '80.253.162.0', '80.253.175.255', 1358799360, 1358802943, 'HR', 'Croatia'),
(45369, '80.253.176.0', '80.253.191.255', 1358802944, 1358807039, 'HU', 'Hungary'),
(45370, '80.253.192.0', '80.253.207.255', 1358807040, 1358811135, 'ES', 'Spain'),
(45371, '80.253.208.0', '80.253.223.255', 1358811136, 1358815231, 'DE', 'Germany'),
(45372, '80.253.224.0', '80.253.239.255', 1358815232, 1358819327, 'RU', 'Russian Federation'),
(45373, '80.253.240.0', '80.253.255.255', 1358819328, 1358823423, 'TR', 'Turkey'),
(45374, '80.254.0.0', '80.254.15.255', 1358823424, 1358827519, 'UA', 'Ukraine'),
(45375, '80.254.16.0', '80.254.31.255', 1358827520, 1358831615, 'RU', 'Russian Federation'),
(45376, '80.254.32.0', '80.254.47.255', 1358831616, 1358835711, 'NO', 'Norway'),
(45377, '80.254.48.0', '80.254.63.255', 1358835712, 1358839807, 'RU', 'Russian Federation'),
(45378, '80.254.64.0', '80.254.72.255', 1358839808, 1358842111, 'CH', 'Switzerland'),
(45379, '80.254.73.0', '80.254.75.255', 1358842112, 1358842879, 'A1', 'Anonymous Proxy'),
(45380, '80.254.76.0', '80.254.79.255', 1358842880, 1358843903, 'CH', 'Switzerland'),
(45381, '80.254.80.0', '80.254.95.255', 1358843904, 1358847999, 'MT', 'Malta'),
(45382, '80.254.96.0', '80.254.127.255', 1358848000, 1358856191, 'RU', 'Russian Federation'),
(45383, '80.254.128.0', '80.254.143.255', 1358856192, 1358860287, 'DE', 'Germany'),
(45384, '80.254.144.0', '80.254.147.255', 1358860288, 1358861311, 'GB', 'United Kingdom'),
(45385, '80.254.148.0', '80.254.148.255', 1358861312, 1358861567, 'EU', 'Europe'),
(45386, '80.254.149.0', '80.254.149.255', 1358861568, 1358861823, 'DE', 'Germany'),
(45387, '80.254.150.0', '80.254.151.255', 1358861824, 1358862335, 'FR', 'France'),
(45388, '80.254.152.0', '80.254.153.255', 1358862336, 1358862847, 'US', 'United States'),
(45389, '80.254.154.0', '80.254.154.255', 1358862848, 1358863103, 'DK', 'Denmark'),
(45390, '80.254.155.0', '80.254.155.255', 1358863104, 1358863359, 'CH', 'Switzerland'),
(45391, '80.254.156.0', '80.254.157.255', 1358863360, 1358863871, 'US', 'United States'),
(45392, '80.254.158.0', '80.254.159.255', 1358863872, 1358864383, 'GB', 'United Kingdom'),
(45393, '80.254.160.0', '80.254.160.15', 1358864384, 1358864399, 'CH', 'Switzerland'),
(45394, '80.254.160.16', '80.254.160.23', 1358864400, 1358864407, 'IN', 'India'),
(45395, '80.254.160.24', '80.254.160.151', 1358864408, 1358864535, 'CH', 'Switzerland'),
(45396, '80.254.160.152', '80.254.160.159', 1358864536, 1358864543, 'LI', 'Liechtenstein'),
(45397, '80.254.160.160', '80.254.191.255', 1358864544, 1358872575, 'CH', 'Switzerland'),
(45398, '80.254.192.0', '80.254.207.255', 1358872576, 1358876671, 'IT', 'Italy'),
(45399, '80.254.208.0', '80.254.223.255', 1358876672, 1358880767, 'LV', 'Latvia'),
(45400, '80.254.224.0', '80.254.239.255', 1358880768, 1358884863, 'GB', 'United Kingdom'),
(45401, '80.254.240.0', '80.254.255.255', 1358884864, 1358888959, 'SE', 'Sweden'),
(45402, '80.255.0.0', '80.255.2.127', 1358888960, 1358889599, 'DE', 'Germany'),
(45403, '80.255.2.128', '80.255.2.159', 1358889600, 1358889631, 'IN', 'India'),
(45404, '80.255.2.160', '80.255.6.95', 1358889632, 1358890591, 'DE', 'Germany'),
(45405, '80.255.6.96', '80.255.6.127', 1358890592, 1358890623, 'IT', 'Italy'),
(45406, '80.255.6.128', '80.255.7.191', 1358890624, 1358890943, 'DE', 'Germany'),
(45407, '80.255.7.192', '80.255.7.223', 1358890944, 1358890975, 'GB', 'United Kingdom'),
(45408, '80.255.7.224', '80.255.7.255', 1358890976, 1358891007, 'IT', 'Italy'),
(45409, '80.255.8.0', '80.255.10.127', 1358891008, 1358891647, 'DE', 'Germany'),
(45410, '80.255.10.128', '80.255.10.191', 1358891648, 1358891711, 'IT', 'Italy'),
(45411, '80.255.10.192', '80.255.12.159', 1358891712, 1358892191, 'DE', 'Germany'),
(45412, '80.255.12.160', '80.255.12.191', 1358892192, 1358892223, 'IT', 'Italy'),
(45413, '80.255.12.192', '80.255.15.255', 1358892224, 1358893055, 'DE', 'Germany'),
(45414, '80.255.16.0', '80.255.31.255', 1358893056, 1358897151, 'RU', 'Russian Federation'),
(45415, '80.255.32.0', '80.255.35.255', 1358897152, 1358898175, 'A2', 'Satellite Provider'),
(45416, '80.255.36.0', '80.255.36.63', 1358898176, 1358898239, 'CA', 'Canada'),
(45417, '80.255.36.64', '80.255.36.115', 1358898240, 1358898291, 'A2', 'Satellite Provider'),
(45418, '80.255.36.116', '80.255.36.116', 1358898292, 1358898292, 'US', 'United States'),
(45419, '80.255.36.117', '80.255.36.159', 1358898293, 1358898335, 'A2', 'Satellite Provider'),
(45420, '80.255.36.160', '80.255.36.175', 1358898336, 1358898351, 'DK', 'Denmark'),
(45421, '80.255.36.176', '80.255.38.128', 1358898352, 1358898816, 'A2', 'Satellite Provider'),
(45422, '80.255.38.129', '80.255.38.255', 1358898817, 1358898943, 'CG', 'Congo'),
(45423, '80.255.39.0', '80.255.39.255', 1358898944, 1358899199, 'US', 'United States'),
(45424, '80.255.40.0', '80.255.40.7', 1358899200, 1358899207, 'UG', 'Uganda'),
(45425, '80.255.40.8', '80.255.40.15', 1358899208, 1358899215, 'LA', 'Lao People''s Democratic Republic'),
(45426, '80.255.40.16', '80.255.40.39', 1358899216, 1358899239, 'US', 'United States'),
(45427, '80.255.40.40', '80.255.40.47', 1358899240, 1358899247, 'LK', 'Sri Lanka'),
(45428, '80.255.40.48', '80.255.40.63', 1358899248, 1358899263, 'A2', 'Satellite Provider'),
(45429, '80.255.40.64', '80.255.40.95', 1358899264, 1358899295, 'PK', 'Pakistan'),
(45430, '80.255.40.96', '80.255.40.103', 1358899296, 1358899303, 'NG', 'Nigeria'),
(45431, '80.255.40.104', '80.255.40.111', 1358899304, 1358899311, 'AE', 'United Arab Emirates'),
(45432, '80.255.40.112', '80.255.40.127', 1358899312, 1358899327, 'NG', 'Nigeria'),
(45433, '80.255.40.128', '80.255.40.135', 1358899328, 1358899335, 'CD', 'Congo, The Democratic Republic of the'),
(45434, '80.255.40.136', '80.255.40.143', 1358899336, 1358899343, 'NG', 'Nigeria'),
(45435, '80.255.40.144', '80.255.40.159', 1358899344, 1358899359, 'MR', 'Mauritania'),
(45436, '80.255.40.160', '80.255.40.175', 1358899360, 1358899375, 'US', 'United States'),
(45437, '80.255.40.176', '80.255.40.183', 1358899376, 1358899383, 'CD', 'Congo, The Democratic Republic of the'),
(45438, '80.255.40.184', '80.255.40.191', 1358899384, 1358899391, 'UG', 'Uganda'),
(45439, '80.255.40.192', '80.255.40.207', 1358899392, 1358899407, 'A2', 'Satellite Provider'),
(45440, '80.255.40.208', '80.255.40.215', 1358899408, 1358899415, 'DE', 'Germany'),
(45441, '80.255.40.216', '80.255.40.223', 1358899416, 1358899423, 'CD', 'Congo, The Democratic Republic of the'),
(45442, '80.255.40.224', '80.255.40.239', 1358899424, 1358899439, 'A2', 'Satellite Provider'),
(45443, '80.255.40.240', '80.255.40.255', 1358899440, 1358899455, 'NG', 'Nigeria'),
(45444, '80.255.41.0', '80.255.41.7', 1358899456, 1358899463, 'A2', 'Satellite Provider'),
(45445, '80.255.41.8', '80.255.41.15', 1358899464, 1358899471, 'US', 'United States'),
(45446, '80.255.41.16', '80.255.41.23', 1358899472, 1358899479, 'SV', 'El Salvador'),
(45447, '80.255.41.24', '80.255.41.143', 1358899480, 1358899599, 'A2', 'Satellite Provider'),
(45448, '80.255.41.144', '80.255.41.151', 1358899600, 1358899607, 'LK', 'Sri Lanka'),
(45449, '80.255.41.152', '80.255.41.159', 1358899608, 1358899615, 'A2', 'Satellite Provider'),
(45450, '80.255.41.160', '80.255.41.175', 1358899616, 1358899631, 'NG', 'Nigeria'),
(45451, '80.255.41.176', '80.255.41.191', 1358899632, 1358899647, 'NP', 'Nepal'),
(45452, '80.255.41.192', '80.255.41.255', 1358899648, 1358899711, 'A2', 'Satellite Provider'),
(45453, '80.255.42.0', '80.255.42.255', 1358899712, 1358899967, 'US', 'United States'),
(45454, '80.255.43.0', '80.255.43.255', 1358899968, 1358900223, 'KE', 'Kenya'),
(45455, '80.255.44.0', '80.255.46.31', 1358900224, 1358900767, 'A2', 'Satellite Provider'),
(45456, '80.255.46.32', '80.255.46.47', 1358900768, 1358900783, 'BI', 'Burundi'),
(45457, '80.255.46.48', '80.255.46.223', 1358900784, 1358900959, 'A2', 'Satellite Provider'),
(45458, '80.255.46.224', '80.255.46.239', 1358900960, 1358900975, 'SL', 'Sierra Leone'),
(45459, '80.255.46.240', '80.255.50.47', 1358900976, 1358901807, 'A2', 'Satellite Provider'),
(45460, '80.255.50.48', '80.255.50.55', 1358901808, 1358901815, 'CD', 'Congo, The Democratic Republic of the'),
(45461, '80.255.50.56', '80.255.50.175', 1358901816, 1358901935, 'A2', 'Satellite Provider'),
(45462, '80.255.50.176', '80.255.50.191', 1358901936, 1358901951, 'NG', 'Nigeria'),
(45463, '80.255.50.192', '80.255.50.239', 1358901952, 1358901999, 'A2', 'Satellite Provider'),
(45464, '80.255.50.240', '80.255.51.23', 1358902000, 1358902039, 'NG', 'Nigeria'),
(45465, '80.255.51.24', '80.255.51.47', 1358902040, 1358902063, 'A2', 'Satellite Provider'),
(45466, '80.255.51.48', '80.255.51.63', 1358902064, 1358902079, 'TZ', 'Tanzania, United Republic of'),
(45467, '80.255.51.64', '80.255.51.71', 1358902080, 1358902087, 'NG', 'Nigeria'),
(45468, '80.255.51.72', '80.255.51.87', 1358902088, 1358902103, 'MG', 'Madagascar'),
(45469, '80.255.51.88', '80.255.51.127', 1358902104, 1358902143, 'NG', 'Nigeria'),
(45470, '80.255.51.128', '80.255.51.135', 1358902144, 1358902151, 'A2', 'Satellite Provider'),
(45471, '80.255.51.136', '80.255.51.151', 1358902152, 1358902167, 'NG', 'Nigeria'),
(45472, '80.255.51.152', '80.255.51.159', 1358902168, 1358902175, 'AU', 'Australia'),
(45473, '80.255.51.160', '80.255.51.191', 1358902176, 1358902207, 'A2', 'Satellite Provider'),
(45474, '80.255.51.192', '80.255.51.199', 1358902208, 1358902215, 'US', 'United States'),
(45475, '80.255.51.200', '80.255.51.217', 1358902216, 1358902233, 'NG', 'Nigeria'),
(45476, '80.255.51.218', '80.255.51.247', 1358902234, 1358902263, 'A2', 'Satellite Provider'),
(45477, '80.255.51.248', '80.255.51.255', 1358902264, 1358902271, 'ZA', 'South Africa'),
(45478, '80.255.52.0', '80.255.57.63', 1358902272, 1358903615, 'A2', 'Satellite Provider'),
(45479, '80.255.57.64', '80.255.57.71', 1358903616, 1358903623, 'GB', 'United Kingdom'),
(45480, '80.255.57.72', '80.255.57.255', 1358903624, 1358903807, 'A2', 'Satellite Provider'),
(45481, '80.255.58.0', '80.255.58.143', 1358903808, 1358903951, 'NG', 'Nigeria'),
(45482, '80.255.58.144', '80.255.58.159', 1358903952, 1358903967, 'A2', 'Satellite Provider'),
(45483, '80.255.58.160', '80.255.58.175', 1358903968, 1358903983, 'CA', 'Canada'),
(45484, '80.255.58.176', '80.255.58.191', 1358903984, 1358903999, 'NG', 'Nigeria'),
(45485, '80.255.58.192', '80.255.58.224', 1358904000, 1358904032, 'ZA', 'South Africa'),
(45486, '80.255.58.225', '80.255.59.7', 1358904033, 1358904071, 'A2', 'Satellite Provider'),
(45487, '80.255.59.8', '80.255.59.31', 1358904072, 1358904095, 'US', 'United States'),
(45488, '80.255.59.32', '80.255.59.39', 1358904096, 1358904103, 'A2', 'Satellite Provider'),
(45489, '80.255.59.40', '80.255.59.55', 1358904104, 1358904119, 'US', 'United States'),
(45490, '80.255.59.56', '80.255.59.63', 1358904120, 1358904127, 'A2', 'Satellite Provider'),
(45491, '80.255.59.64', '80.255.59.71', 1358904128, 1358904135, 'US', 'United States'),
(45492, '80.255.59.72', '80.255.59.79', 1358904136, 1358904143, 'A2', 'Satellite Provider'),
(45493, '80.255.59.80', '80.255.59.87', 1358904144, 1358904151, 'NG', 'Nigeria'),
(45494, '80.255.59.88', '80.255.59.103', 1358904152, 1358904167, 'A2', 'Satellite Provider'),
(45495, '80.255.59.104', '80.255.59.111', 1358904168, 1358904175, 'US', 'United States'),
(45496, '80.255.59.112', '80.255.59.127', 1358904176, 1358904191, 'A2', 'Satellite Provider'),
(45497, '80.255.59.128', '80.255.59.135', 1358904192, 1358904199, 'NG', 'Nigeria'),
(45498, '80.255.59.136', '80.255.59.191', 1358904200, 1358904255, 'US', 'United States'),
(45499, '80.255.59.192', '80.255.59.231', 1358904256, 1358904295, 'A2', 'Satellite Provider'),
(45500, '80.255.59.232', '80.255.59.247', 1358904296, 1358904311, 'NG', 'Nigeria'),
(45501, '80.255.59.248', '80.255.60.231', 1358904312, 1358904551, 'A2', 'Satellite Provider'),
(45502, '80.255.60.232', '80.255.60.239', 1358904552, 1358904559, 'IL', 'Israel'),
(45503, '80.255.60.240', '80.255.60.255', 1358904560, 1358904575, 'A2', 'Satellite Provider'),
(45504, '80.255.61.0', '80.255.61.125', 1358904576, 1358904701, 'NG', 'Nigeria'),
(45505, '80.255.61.126', '80.255.61.127', 1358904702, 1358904703, 'A2', 'Satellite Provider'),
(45506, '80.255.61.128', '80.255.61.143', 1358904704, 1358904719, 'MU', 'Mauritius'),
(45507, '80.255.61.144', '80.255.61.159', 1358904720, 1358904735, 'KN', 'Saint Kitts and Nevis'),
(45508, '80.255.61.160', '80.255.61.191', 1358904736, 1358904767, 'ZA', 'South Africa'),
(45509, '80.255.61.192', '80.255.61.255', 1358904768, 1358904831, 'NG', 'Nigeria'),
(45510, '80.255.62.0', '80.255.63.7', 1358904832, 1358905095, 'A2', 'Satellite Provider'),
(45511, '80.255.63.8', '80.255.63.15', 1358905096, 1358905103, 'GH', 'Ghana'),
(45512, '80.255.63.16', '80.255.63.23', 1358905104, 1358905111, 'A2', 'Satellite Provider'),
(45513, '80.255.63.24', '80.255.63.31', 1358905112, 1358905119, 'TZ', 'Tanzania, United Republic of'),
(45514, '80.255.63.32', '80.255.63.39', 1358905120, 1358905127, 'GY', 'Guyana'),
(45515, '80.255.63.40', '80.255.63.63', 1358905128, 1358905151, 'A2', 'Satellite Provider'),
(45516, '80.255.63.64', '80.255.63.71', 1358905152, 1358905159, 'MG', 'Madagascar'),
(45517, '80.255.63.72', '80.255.63.79', 1358905160, 1358905167, 'A2', 'Satellite Provider'),
(45518, '80.255.63.80', '80.255.63.95', 1358905168, 1358905183, 'CD', 'Congo, The Democratic Republic of the'),
(45519, '80.255.63.96', '80.255.63.127', 1358905184, 1358905215, 'GH', 'Ghana'),
(45520, '80.255.63.128', '80.255.63.135', 1358905216, 1358905223, 'US', 'United States'),
(45521, '80.255.63.136', '80.255.63.143', 1358905224, 1358905231, 'A2', 'Satellite Provider'),
(45522, '80.255.63.144', '80.255.63.159', 1358905232, 1358905247, 'GN', 'Guinea'),
(45523, '80.255.63.160', '80.255.63.191', 1358905248, 1358905279, 'US', 'United States'),
(45524, '80.255.63.192', '80.255.63.207', 1358905280, 1358905295, 'A2', 'Satellite Provider'),
(45525, '80.255.63.208', '80.255.63.215', 1358905296, 1358905303, 'LR', 'Liberia'),
(45526, '80.255.63.216', '80.255.63.223', 1358905304, 1358905311, 'A2', 'Satellite Provider'),
(45527, '80.255.63.224', '80.255.63.239', 1358905312, 1358905327, 'US', 'United States'),
(45528, '80.255.63.240', '80.255.63.255', 1358905328, 1358905343, 'A2', 'Satellite Provider'),
(45529, '80.255.64.0', '80.255.79.255', 1358905344, 1358909439, 'UA', 'Ukraine'),
(45530, '80.255.80.0', '80.255.95.255', 1358909440, 1358913535, 'RU', 'Russian Federation'),
(45531, '80.255.96.0', '80.255.111.255', 1358913536, 1358917631, 'CH', 'Switzerland'),
(45532, '80.255.112.0', '80.255.127.255', 1358917632, 1358921727, 'ES', 'Spain'),
(45533, '80.255.128.0', '80.255.159.255', 1358921728, 1358929919, 'RU', 'Russian Federation'),
(45534, '80.255.160.0', '80.255.163.12', 1358929920, 1358930700, 'LU', 'Luxembourg'),
(45535, '80.255.163.13', '80.255.163.13', 1358930701, 1358930701, 'EU', 'Europe'),
(45536, '80.255.163.14', '80.255.175.255', 1358930702, 1358934015, 'LU', 'Luxembourg'),
(45537, '80.255.176.0', '80.255.191.255', 1358934016, 1358938111, 'RU', 'Russian Federation'),
(45538, '80.255.192.0', '80.255.223.255', 1358938112, 1358946303, 'GB', 'United Kingdom'),
(45539, '80.255.224.0', '80.255.239.255', 1358946304, 1358950399, 'LV', 'Latvia'),
(45540, '80.255.240.0', '80.255.255.255', 1358950400, 1358954495, 'NL', 'Netherlands'),
(45541, '81.0.0.0', '81.0.63.255', 1358954496, 1358970879, 'ES', 'Spain'),
(45542, '81.0.64.0', '81.0.115.255', 1358970880, 1358984191, 'HU', 'Hungary'),
(45543, '81.0.116.0', '81.0.117.255', 1358984192, 1358984703, 'SK', 'Slovakia'),
(45544, '81.0.118.0', '81.0.123.255', 1358984704, 1358986239, 'HU', 'Hungary'),
(45545, '81.0.124.0', '81.0.124.255', 1358986240, 1358986495, 'SK', 'Slovakia'),
(45546, '81.0.125.0', '81.0.127.255', 1358986496, 1358987263, 'HU', 'Hungary'),
(45547, '81.0.128.0', '81.0.191.255', 1358987264, 1359003647, 'NO', 'Norway'),
(45548, '81.0.192.0', '81.0.255.255', 1359003648, 1359020031, 'CZ', 'Czech Republic'),
(45549, '81.1.0.0', '81.1.63.255', 1359020032, 1359036415, 'FR', 'France'),
(45550, '81.1.64.0', '81.1.127.255', 1359036416, 1359052799, 'GB', 'United Kingdom'),
(45551, '81.1.128.0', '81.1.167.255', 1359052800, 1359063039, 'RU', 'Russian Federation'),
(45552, '81.1.168.0', '81.1.171.255', 1359063040, 1359064063, 'PL', 'Poland'),
(45553, '81.1.172.0', '81.2.63.255', 1359064064, 1359101951, 'RU', 'Russian Federation'),
(45554, '81.2.64.0', '81.2.127.255', 1359101952, 1359118335, 'GB', 'United Kingdom'),
(45555, '81.2.128.0', '81.2.128.255', 1359118336, 1359118591, 'DE', 'Germany'),
(45556, '81.2.129.0', '81.2.129.127', 1359118592, 1359118719, 'NL', 'Netherlands'),
(45557, '81.2.129.128', '81.2.129.223', 1359118720, 1359118815, 'DE', 'Germany'),
(45558, '81.2.129.224', '81.2.129.239', 1359118816, 1359118831, 'NL', 'Netherlands'),
(45559, '81.2.129.240', '81.2.131.95', 1359118832, 1359119199, 'DE', 'Germany'),
(45560, '81.2.131.96', '81.2.131.127', 1359119200, 1359119231, 'NL', 'Netherlands'),
(45561, '81.2.131.128', '81.2.131.255', 1359119232, 1359119359, 'DE', 'Germany'),
(45562, '81.2.132.0', '81.2.135.255', 1359119360, 1359120383, 'NL', 'Netherlands'),
(45563, '81.2.136.0', '81.2.139.255', 1359120384, 1359121407, 'DK', 'Denmark'),
(45564, '81.2.140.0', '81.2.148.127', 1359121408, 1359123583, 'DE', 'Germany'),
(45565, '81.2.148.128', '81.2.148.255', 1359123584, 1359123711, 'SE', 'Sweden'),
(45566, '81.2.149.0', '81.2.186.127', 1359123712, 1359133311, 'DE', 'Germany'),
(45567, '81.2.186.128', '81.2.186.255', 1359133312, 1359133439, 'AT', 'Austria'),
(45568, '81.2.187.0', '81.2.190.95', 1359133440, 1359134303, 'DE', 'Germany'),
(45569, '81.2.190.96', '81.2.190.111', 1359134304, 1359134319, 'NL', 'Netherlands'),
(45570, '81.2.190.112', '81.2.191.255', 1359134320, 1359134719, 'DE', 'Germany'),
(45571, '81.2.192.0', '81.2.251.255', 1359134720, 1359150079, 'CZ', 'Czech Republic'),
(45572, '81.2.252.0', '81.2.253.255', 1359150080, 1359150591, 'HU', 'Hungary'),
(45573, '81.2.254.0', '81.2.255.255', 1359150592, 1359151103, 'CZ', 'Czech Republic'),
(45574, '81.3.0.0', '81.3.27.191', 1359151104, 1359158207, 'DE', 'Germany'),
(45575, '81.3.27.192', '81.3.27.199', 1359158208, 1359158215, 'CH', 'Switzerland'),
(45576, '81.3.27.200', '81.3.58.223', 1359158216, 1359166175, 'DE', 'Germany'),
(45577, '81.3.58.224', '81.3.58.239', 1359166176, 1359166191, 'HK', 'Hong Kong'),
(45578, '81.3.58.240', '81.3.63.255', 1359166192, 1359167487, 'DE', 'Germany'),
(45579, '81.3.64.0', '81.3.81.255', 1359167488, 1359172095, 'GB', 'United Kingdom'),
(45580, '81.3.82.0', '81.3.82.255', 1359172096, 1359172351, 'EU', 'Europe'),
(45581, '81.3.83.0', '81.3.127.255', 1359172352, 1359183871, 'GB', 'United Kingdom'),
(45582, '81.3.128.0', '81.3.191.255', 1359183872, 1359200255, 'RU', 'Russian Federation'),
(45583, '81.3.192.0', '81.3.255.255', 1359200256, 1359216639, 'AT', 'Austria'),
(45584, '81.4.0.0', '81.4.63.255', 1359216640, 1359233023, 'EG', 'Egypt'),
(45585, '81.4.64.0', '81.4.127.255', 1359233024, 1359249407, 'NL', 'Netherlands'),
(45586, '81.4.128.0', '81.4.172.63', 1359249408, 1359260735, 'CY', 'Cyprus'),
(45587, '81.4.172.64', '81.4.172.79', 1359260736, 1359260751, 'A2', 'Satellite Provider'),
(45588, '81.4.172.80', '81.4.183.255', 1359260752, 1359263743, 'CY', 'Cyprus'),
(45589, '81.4.184.0', '81.4.184.255', 1359263744, 1359263999, 'LB', 'Lebanon'),
(45590, '81.4.185.0', '81.4.191.255', 1359264000, 1359265791, 'CY', 'Cyprus'),
(45591, '81.4.192.0', '81.4.255.255', 1359265792, 1359282175, 'RU', 'Russian Federation'),
(45592, '81.5.0.0', '81.5.63.255', 1359282176, 1359298559, 'IL', 'Israel'),
(45593, '81.5.64.0', '81.5.127.255', 1359298560, 1359314943, 'RU', 'Russian Federation'),
(45594, '81.5.128.0', '81.5.191.255', 1359314944, 1359331327, 'GB', 'United Kingdom'),
(45595, '81.5.192.0', '81.5.255.255', 1359331328, 1359347711, 'AT', 'Austria'),
(45596, '81.6.0.0', '81.6.6.103', 1359347712, 1359349351, 'CH', 'Switzerland'),
(45597, '81.6.6.104', '81.6.6.111', 1359349352, 1359349359, 'LB', 'Lebanon'),
(45598, '81.6.6.112', '81.6.63.255', 1359349360, 1359364095, 'CH', 'Switzerland'),
(45599, '81.6.64.0', '81.6.127.255', 1359364096, 1359380479, 'TR', 'Turkey'),
(45600, '81.6.128.0', '81.6.191.255', 1359380480, 1359396863, 'PL', 'Poland'),
(45601, '81.6.192.0', '81.6.255.255', 1359396864, 1359413247, 'GB', 'United Kingdom'),
(45602, '81.7.0.0', '81.7.0.255', 1359413248, 1359413503, 'DE', 'Germany'),
(45603, '81.7.1.0', '81.7.1.255', 1359413504, 1359413759, 'FR', 'France'),
(45604, '81.7.2.0', '81.7.63.255', 1359413760, 1359429631, 'DE', 'Germany'),
(45605, '81.7.64.0', '81.7.127.255', 1359429632, 1359446015, 'LT', 'Lithuania'),
(45606, '81.7.128.0', '81.7.150.79', 1359446016, 1359451727, 'DK', 'Denmark'),
(45607, '81.7.150.80', '81.7.150.83', 1359451728, 1359451731, 'US', 'United States'),
(45608, '81.7.150.84', '81.7.165.63', 1359451732, 1359455551, 'DK', 'Denmark'),
(45609, '81.7.165.64', '81.7.165.70', 1359455552, 1359455558, 'PL', 'Poland'),
(45610, '81.7.165.71', '81.7.191.255', 1359455559, 1359462399, 'DK', 'Denmark'),
(45611, '81.7.192.0', '81.7.209.255', 1359462400, 1359467007, 'DE', 'Germany'),
(45612, '81.7.210.0', '81.7.210.7', 1359467008, 1359467015, 'US', 'United States'),
(45613, '81.7.210.8', '81.7.210.55', 1359467016, 1359467063, 'DE', 'Germany'),
(45614, '81.7.210.56', '81.7.210.71', 1359467064, 1359467079, 'US', 'United States'),
(45615, '81.7.210.72', '81.7.210.79', 1359467080, 1359467087, 'DE', 'Germany'),
(45616, '81.7.210.80', '81.7.210.87', 1359467088, 1359467095, 'US', 'United States'),
(45617, '81.7.210.88', '81.7.210.95', 1359467096, 1359467103, 'BR', 'Brazil'),
(45618, '81.7.210.96', '81.7.210.127', 1359467104, 1359467135, 'US', 'United States'),
(45619, '81.7.210.128', '81.7.210.135', 1359467136, 1359467143, 'MX', 'Mexico'),
(45620, '81.7.210.136', '81.7.210.207', 1359467144, 1359467215, 'US', 'United States'),
(45621, '81.7.210.208', '81.7.210.215', 1359467216, 1359467223, 'DE', 'Germany'),
(45622, '81.7.210.216', '81.7.210.223', 1359467224, 1359467231, 'US', 'United States'),
(45623, '81.7.210.224', '81.7.210.231', 1359467232, 1359467239, 'DE', 'Germany'),
(45624, '81.7.210.232', '81.7.210.247', 1359467240, 1359467255, 'US', 'United States'),
(45625, '81.7.210.248', '81.7.210.255', 1359467256, 1359467263, 'MX', 'Mexico'),
(45626, '81.7.211.0', '81.7.211.191', 1359467264, 1359467455, 'US', 'United States'),
(45627, '81.7.211.192', '81.7.211.223', 1359467456, 1359467487, 'CA', 'Canada'),
(45628, '81.7.211.224', '81.7.211.231', 1359467488, 1359467495, 'DE', 'Germany'),
(45629, '81.7.211.232', '81.7.212.127', 1359467496, 1359467647, 'US', 'United States'),
(45630, '81.7.212.128', '81.7.212.255', 1359467648, 1359467775, 'DE', 'Germany'),
(45631, '81.7.213.0', '81.7.213.79', 1359467776, 1359467855, 'US', 'United States'),
(45632, '81.7.213.80', '81.7.213.95', 1359467856, 1359467871, 'DE', 'Germany'),
(45633, '81.7.213.96', '81.7.214.31', 1359467872, 1359468063, 'US', 'United States'),
(45634, '81.7.214.32', '81.7.216.31', 1359468064, 1359468575, 'DE', 'Germany'),
(45635, '81.7.216.32', '81.7.216.39', 1359468576, 1359468583, 'SG', 'Singapore'),
(45636, '81.7.216.40', '81.7.216.95', 1359468584, 1359468639, 'DE', 'Germany'),
(45637, '81.7.216.96', '81.7.216.111', 1359468640, 1359468655, 'SG', 'Singapore'),
(45638, '81.7.216.112', '81.7.216.127', 1359468656, 1359468671, 'JP', 'Japan'),
(45639, '81.7.216.128', '81.7.216.151', 1359468672, 1359468695, 'SG', 'Singapore'),
(45640, '81.7.216.152', '81.7.216.167', 1359468696, 1359468711, 'DE', 'Germany'),
(45641, '81.7.216.168', '81.7.216.207', 1359468712, 1359468751, 'SG', 'Singapore'),
(45642, '81.7.216.208', '81.7.216.215', 1359468752, 1359468759, 'AU', 'Australia'),
(45643, '81.7.216.216', '81.7.217.63', 1359468760, 1359468863, 'DE', 'Germany'),
(45644, '81.7.217.64', '81.7.217.79', 1359468864, 1359468879, 'SG', 'Singapore'),
(45645, '81.7.217.80', '81.7.217.127', 1359468880, 1359468927, 'DE', 'Germany'),
(45646, '81.7.217.128', '81.7.217.255', 1359468928, 1359469055, 'SG', 'Singapore'),
(45647, '81.7.218.0', '81.7.218.255', 1359469056, 1359469311, 'DE', 'Germany'),
(45648, '81.7.219.0', '81.7.219.255', 1359469312, 1359469567, 'SG', 'Singapore'),
(45649, '81.7.220.0', '81.7.221.119', 1359469568, 1359469943, 'DE', 'Germany'),
(45650, '81.7.221.120', '81.7.221.159', 1359469944, 1359469983, 'AT', 'Austria'),
(45651, '81.7.221.160', '81.7.223.255', 1359469984, 1359470591, 'DE', 'Germany'),
(45652, '81.7.224.0', '81.7.255.255', 1359470592, 1359478783, 'CH', 'Switzerland'),
(45653, '81.8.0.0', '81.8.127.255', 1359478784, 1359511551, 'TR', 'Turkey'),
(45654, '81.8.128.0', '81.8.255.255', 1359511552, 1359544319, 'SE', 'Sweden'),
(45655, '81.9.0.0', '81.9.127.255', 1359544320, 1359577087, 'RU', 'Russian Federation'),
(45656, '81.9.128.0', '81.9.255.255', 1359577088, 1359609855, 'ES', 'Spain'),
(45657, '81.10.0.0', '81.10.121.255', 1359609856, 1359641087, 'EG', 'Egypt'),
(45658, '81.10.122.0', '81.10.127.255', 1359641088, 1359642623, 'JO', 'Jordan'),
(45659, '81.10.128.0', '81.10.255.255', 1359642624, 1359675391, 'AT', 'Austria'),
(45660, '81.11.0.0', '81.11.127.255', 1359675392, 1359708159, 'DE', 'Germany'),
(45661, '81.11.128.0', '81.11.255.255', 1359708160, 1359740927, 'BE', 'Belgium'),
(45662, '81.12.0.0', '81.12.127.255', 1359740928, 1359773695, 'IR', 'Iran, Islamic Republic of'),
(45663, '81.12.128.0', '81.12.255.255', 1359773696, 1359806463, 'RO', 'Romania'),
(45664, '81.13.0.0', '81.13.127.255', 1359806464, 1359839231, 'RU', 'Russian Federation'),
(45665, '81.13.128.0', '81.13.255.255', 1359839232, 1359871999, 'CH', 'Switzerland'),
(45666, '81.14.0.0', '81.14.127.255', 1359872000, 1359904767, 'FR', 'France'),
(45667, '81.14.128.0', '81.14.255.255', 1359904768, 1359937535, 'DE', 'Germany'),
(45668, '81.15.0.0', '81.15.127.255', 1359937536, 1359970303, 'IS', 'Iceland'),
(45669, '81.15.128.0', '81.15.255.255', 1359970304, 1360003071, 'PL', 'Poland'),
(45670, '81.16.0.0', '81.16.15.255', 1360003072, 1360007167, 'AM', 'Armenia'),
(45671, '81.16.16.0', '81.16.31.255', 1360007168, 1360011263, 'GB', 'United Kingdom'),
(45672, '81.16.32.0', '81.16.47.255', 1360011264, 1360015359, 'AT', 'Austria'),
(45673, '81.16.48.0', '81.16.63.255', 1360015360, 1360019455, 'DE', 'Germany'),
(45674, '81.16.64.0', '81.16.79.255', 1360019456, 1360023551, 'FI', 'Finland'),
(45675, '81.16.80.0', '81.16.95.255', 1360023552, 1360027647, 'RU', 'Russian Federation'),
(45676, '81.16.96.0', '81.16.111.255', 1360027648, 1360031743, 'AT', 'Austria'),
(45677, '81.16.112.0', '81.16.143.255', 1360031744, 1360039935, 'RU', 'Russian Federation'),
(45678, '81.16.144.0', '81.16.149.223', 1360039936, 1360041439, 'AT', 'Austria'),
(45679, '81.16.149.224', '81.16.149.231', 1360041440, 1360041447, 'CZ', 'Czech Republic'),
(45680, '81.16.149.232', '81.16.158.151', 1360041448, 1360043671, 'AT', 'Austria'),
(45681, '81.16.158.152', '81.16.158.159', 1360043672, 1360043679, 'CZ', 'Czech Republic'),
(45682, '81.16.158.160', '81.16.159.255', 1360043680, 1360044031, 'AT', 'Austria'),
(45683, '81.16.160.0', '81.16.175.255', 1360044032, 1360048127, 'SE', 'Sweden'),
(45684, '81.16.176.0', '81.16.180.15', 1360048128, 1360049167, 'DE', 'Germany'),
(45685, '81.16.180.16', '81.16.180.31', 1360049168, 1360049183, 'GB', 'United Kingdom'),
(45686, '81.16.180.32', '81.16.180.47', 1360049184, 1360049199, 'DE', 'Germany'),
(45687, '81.16.180.48', '81.16.180.55', 1360049200, 1360049207, 'SE', 'Sweden'),
(45688, '81.16.180.56', '81.16.180.63', 1360049208, 1360049215, 'IT', 'Italy'),
(45689, '81.16.180.64', '81.16.180.71', 1360049216, 1360049223, 'ES', 'Spain'),
(45690, '81.16.180.72', '81.16.180.79', 1360049224, 1360049231, 'JP', 'Japan'),
(45691, '81.16.180.80', '81.16.180.87', 1360049232, 1360049239, 'US', 'United States'),
(45692, '81.16.180.88', '81.16.180.95', 1360049240, 1360049247, 'GB', 'United Kingdom'),
(45693, '81.16.180.96', '81.16.187.15', 1360049248, 1360050959, 'DE', 'Germany'),
(45694, '81.16.187.16', '81.16.187.31', 1360050960, 1360050975, 'US', 'United States'),
(45695, '81.16.187.32', '81.16.191.255', 1360050976, 1360052223, 'DE', 'Germany'),
(45696, '81.16.192.0', '81.16.207.255', 1360052224, 1360056319, 'HU', 'Hungary'),
(45697, '81.16.208.0', '81.16.223.255', 1360056320, 1360060415, 'SA', 'Saudi Arabia'),
(45698, '81.16.224.0', '81.16.239.255', 1360060416, 1360064511, 'LT', 'Lithuania'),
(45699, '81.16.240.0', '81.16.255.255', 1360064512, 1360068607, 'GE', 'Georgia'),
(45700, '81.17.0.0', '81.17.15.255', 1360068608, 1360072703, 'RU', 'Russian Federation'),
(45701, '81.17.16.0', '81.17.31.255', 1360072704, 1360076799, 'CH', 'Switzerland'),
(45702, '81.17.32.0', '81.17.63.255', 1360076800, 1360084991, 'NL', 'Netherlands'),
(45703, '81.17.64.0', '81.17.79.255', 1360084992, 1360089087, 'GB', 'United Kingdom'),
(45704, '81.17.80.0', '81.17.95.255', 1360089088, 1360093183, 'AZ', 'Azerbaijan'),
(45705, '81.17.96.0', '81.17.127.255', 1360093184, 1360101375, 'DE', 'Germany'),
(45706, '81.17.128.0', '81.17.143.255', 1360101376, 1360105471, 'UA', 'Ukraine'),
(45707, '81.17.144.0', '81.17.159.255', 1360105472, 1360109567, 'RU', 'Russian Federation'),
(45708, '81.17.160.0', '81.17.175.255', 1360109568, 1360113663, 'KZ', 'Kazakhstan'),
(45709, '81.17.176.0', '81.17.191.255', 1360113664, 1360117759, 'HU', 'Hungary'),
(45710, '81.17.192.0', '81.17.207.255', 1360117760, 1360121855, 'FI', 'Finland'),
(45711, '81.17.208.0', '81.17.223.255', 1360121856, 1360125951, 'DE', 'Germany'),
(45712, '81.17.224.0', '81.17.227.255', 1360125952, 1360126975, 'SI', 'Slovenia'),
(45713, '81.17.228.0', '81.17.229.255', 1360126976, 1360127487, 'HR', 'Croatia'),
(45714, '81.17.230.0', '81.17.231.255', 1360127488, 1360127999, 'RS', 'Serbia'),
(45715, '81.17.232.0', '81.17.233.255', 1360128000, 1360128511, 'MK', 'Macedonia'),
(45716, '81.17.234.0', '81.17.235.255', 1360128512, 1360129023, 'SI', 'Slovenia'),
(45717, '81.17.236.0', '81.17.239.255', 1360129024, 1360130047, 'BA', 'Bosnia and Herzegovina'),
(45718, '81.17.240.0', '81.17.245.192', 1360130048, 1360131520, 'IE', 'Ireland'),
(45719, '81.17.245.193', '81.17.245.255', 1360131521, 1360131583, 'GB', 'United Kingdom'),
(45720, '81.17.246.0', '81.17.247.63', 1360131584, 1360131903, 'IE', 'Ireland'),
(45721, '81.17.247.64', '81.17.247.79', 1360131904, 1360131919, 'US', 'United States'),
(45722, '81.17.247.80', '81.17.255.255', 1360131920, 1360134143, 'IE', 'Ireland'),
(45723, '81.18.0.0', '81.18.15.255', 1360134144, 1360138239, 'NL', 'Netherlands'),
(45724, '81.18.16.0', '81.18.31.255', 1360138240, 1360142335, 'CH', 'Switzerland'),
(45725, '81.18.32.0', '81.18.47.255', 1360142336, 1360146431, 'KZ', 'Kazakhstan'),
(45726, '81.18.48.0', '81.18.63.255', 1360146432, 1360150527, 'RS', 'Serbia'),
(45727, '81.18.64.0', '81.18.95.255', 1360150528, 1360158719, 'RO', 'Romania'),
(45728, '81.18.96.0', '81.18.111.255', 1360158720, 1360162815, 'DE', 'Germany'),
(45729, '81.18.112.0', '81.18.159.255', 1360162816, 1360175103, 'RU', 'Russian Federation'),
(45730, '81.18.160.0', '81.18.175.255', 1360175104, 1360179199, 'NL', 'Netherlands'),
(45731, '81.18.176.0', '81.18.191.255', 1360179200, 1360183295, 'FR', 'France'),
(45732, '81.18.192.0', '81.18.223.255', 1360183296, 1360191487, 'PL', 'Poland'),
(45733, '81.18.224.0', '81.18.239.255', 1360191488, 1360195583, 'FO', 'Faroe Islands'),
(45734, '81.18.240.0', '81.18.255.255', 1360195584, 1360199679, 'NL', 'Netherlands'),
(45735, '81.19.0.0', '81.19.15.255', 1360199680, 1360203775, 'CZ', 'Czech Republic'),
(45736, '81.19.16.0', '81.19.31.255', 1360203776, 1360207871, 'FR', 'France'),
(45737, '81.19.32.0', '81.19.43.255', 1360207872, 1360210943, 'CZ', 'Czech Republic'),
(45738, '81.19.44.0', '81.19.44.255', 1360210944, 1360211199, 'EU', 'Europe'),
(45739, '81.19.45.0', '81.19.47.255', 1360211200, 1360211967, 'CZ', 'Czech Republic'),
(45740, '81.19.48.0', '81.19.63.255', 1360211968, 1360216063, 'GB', 'United Kingdom'),
(45741, '81.19.64.0', '81.19.95.255', 1360216064, 1360224255, 'RU', 'Russian Federation'),
(45742, '81.19.96.0', '81.19.101.127', 1360224256, 1360225663, 'ES', 'Spain'),
(45743, '81.19.101.128', '81.19.101.159', 1360225664, 1360225695, 'GB', 'United Kingdom'),
(45744, '81.19.101.160', '81.19.111.255', 1360225696, 1360228351, 'ES', 'Spain'),
(45745, '81.19.112.0', '81.19.127.255', 1360228352, 1360232447, 'FI', 'Finland'),
(45746, '81.19.128.0', '81.19.143.255', 1360232448, 1360236543, 'RU', 'Russian Federation'),
(45747, '81.19.144.0', '81.19.154.31', 1360236544, 1360239135, 'AT', 'Austria'),
(45748, '81.19.154.32', '81.19.154.63', 1360239136, 1360239167, 'DE', 'Germany'),
(45749, '81.19.154.64', '81.19.159.255', 1360239168, 1360240639, 'AT', 'Austria'),
(45750, '81.19.160.0', '81.19.175.255', 1360240640, 1360244735, 'ES', 'Spain'),
(45751, '81.19.176.0', '81.19.195.255', 1360244736, 1360249855, 'GB', 'United Kingdom'),
(45752, '81.19.196.0', '81.19.196.255', 1360249856, 1360250111, 'CH', 'Switzerland'),
(45753, '81.19.197.0', '81.19.201.255', 1360250112, 1360251391, 'GB', 'United Kingdom'),
(45754, '81.19.202.0', '81.19.202.255', 1360251392, 1360251647, 'DE', 'Germany'),
(45755, '81.19.203.0', '81.19.205.255', 1360251648, 1360252415, 'GB', 'United Kingdom'),
(45756, '81.19.206.0', '81.19.206.255', 1360252416, 1360252671, 'CH', 'Switzerland'),
(45757, '81.19.207.0', '81.19.223.255', 1360252672, 1360257023, 'GB', 'United Kingdom'),
(45758, '81.19.224.0', '81.19.227.167', 1360257024, 1360257959, 'DK', 'Denmark'),
(45759, '81.19.227.168', '81.19.227.172', 1360257960, 1360257964, 'FI', 'Finland'),
(45760, '81.19.227.173', '81.19.233.119', 1360257965, 1360259447, 'DK', 'Denmark'),
(45761, '81.19.233.120', '81.19.233.123', 1360259448, 1360259451, 'US', 'United States'),
(45762, '81.19.233.124', '81.19.255.255', 1360259452, 1360265215, 'DK', 'Denmark'),
(45763, '81.20.0.0', '81.20.2.255', 1360265216, 1360265983, 'NL', 'Netherlands'),
(45764, '81.20.3.0', '81.20.6.255', 1360265984, 1360267007, 'GB', 'United Kingdom'),
(45765, '81.20.7.0', '81.20.10.255', 1360267008, 1360268031, 'SE', 'Sweden'),
(45766, '81.20.11.0', '81.20.11.255', 1360268032, 1360268287, 'FR', 'France'),
(45767, '81.20.12.0', '81.20.15.255', 1360268288, 1360269311, 'GB', 'United Kingdom'),
(45768, '81.20.16.0', '81.20.31.255', 1360269312, 1360273407, 'KG', 'Kyrgyzstan'),
(45769, '81.20.32.0', '81.20.63.255', 1360273408, 1360281599, 'GB', 'United Kingdom'),
(45770, '81.20.64.0', '81.20.64.127', 1360281600, 1360281727, 'NL', 'Netherlands'),
(45771, '81.20.64.128', '81.20.64.255', 1360281728, 1360281855, 'ES', 'Spain'),
(45772, '81.20.65.0', '81.20.65.255', 1360281856, 1360282111, 'NL', 'Netherlands'),
(45773, '81.20.66.0', '81.20.66.127', 1360282112, 1360282239, 'ES', 'Spain'),
(45774, '81.20.66.128', '81.20.68.127', 1360282240, 1360282751, 'NL', 'Netherlands'),
(45775, '81.20.68.128', '81.20.68.159', 1360282752, 1360282783, 'GB', 'United Kingdom'),
(45776, '81.20.68.160', '81.20.71.127', 1360282784, 1360283519, 'NL', 'Netherlands'),
(45777, '81.20.71.128', '81.20.71.143', 1360283520, 1360283535, 'BE', 'Belgium'),
(45778, '81.20.71.144', '81.20.77.255', 1360283536, 1360285183, 'NL', 'Netherlands'),
(45779, '81.20.78.0', '81.20.78.151', 1360285184, 1360285335, 'ES', 'Spain'),
(45780, '81.20.78.152', '81.20.78.159', 1360285336, 1360285343, 'NL', 'Netherlands'),
(45781, '81.20.78.160', '81.20.78.191', 1360285344, 1360285375, 'ES', 'Spain'),
(45782, '81.20.78.192', '81.20.79.255', 1360285376, 1360285695, 'NL', 'Netherlands'),
(45783, '81.20.80.0', '81.20.95.255', 1360285696, 1360289791, 'DE', 'Germany'),
(45784, '81.20.96.0', '81.20.111.255', 1360289792, 1360293887, 'RU', 'Russian Federation'),
(45785, '81.20.112.0', '81.20.143.255', 1360293888, 1360302079, 'DE', 'Germany'),
(45786, '81.20.144.0', '81.20.159.255', 1360302080, 1360306175, 'EE', 'Estonia'),
(45787, '81.20.160.0', '81.20.175.255', 1360306176, 1360310271, 'RU', 'Russian Federation'),
(45788, '81.20.176.0', '81.20.191.255', 1360310272, 1360314367, 'JE', 'Jersey'),
(45789, '81.20.192.0', '81.20.207.255', 1360314368, 1360318463, 'RU', 'Russian Federation'),
(45790, '81.20.208.0', '81.20.223.255', 1360318464, 1360322559, 'FR', 'France'),
(45791, '81.20.224.0', '81.20.239.255', 1360322560, 1360326655, 'FI', 'Finland'),
(45792, '81.20.240.0', '81.20.255.255', 1360326656, 1360330751, 'PT', 'Portugal'),
(45793, '81.21.0.0', '81.21.15.255', 1360330752, 1360334847, 'UA', 'Ukraine'),
(45794, '81.21.16.0', '81.21.31.255', 1360334848, 1360338943, 'IT', 'Italy'),
(45795, '81.21.32.0', '81.21.47.255', 1360338944, 1360343039, 'CY', 'Cyprus'),
(45796, '81.21.48.0', '81.21.63.255', 1360343040, 1360347135, 'SA', 'Saudi Arabia'),
(45797, '81.21.64.0', '81.21.79.255', 1360347136, 1360351231, 'GB', 'United Kingdom'),
(45798, '81.21.80.0', '81.21.95.255', 1360351232, 1360355327, 'AZ', 'Azerbaijan'),
(45799, '81.21.96.0', '81.21.111.255', 1360355328, 1360359423, 'EG', 'Egypt'),
(45800, '81.21.112.0', '81.21.127.255', 1360359424, 1360363519, 'AT', 'Austria'),
(45801, '81.21.128.0', '81.21.135.255', 1360363520, 1360365567, 'IT', 'Italy'),
(45802, '81.21.136.0', '81.21.143.255', 1360365568, 1360367615, 'NL', 'Netherlands'),
(45803, '81.21.144.0', '81.21.159.255', 1360367616, 1360371711, 'IE', 'Ireland'),
(45804, '81.21.160.0', '81.21.175.255', 1360371712, 1360375807, 'TR', 'Turkey'),
(45805, '81.21.176.0', '81.21.191.255', 1360375808, 1360379903, 'NL', 'Netherlands'),
(45806, '81.21.192.0', '81.21.207.255', 1360379904, 1360383999, 'PL', 'Poland'),
(45807, '81.21.208.0', '81.21.223.255', 1360384000, 1360388095, 'SE', 'Sweden'),
(45808, '81.21.224.0', '81.21.239.255', 1360388096, 1360392191, 'RU', 'Russian Federation'),
(45809, '81.21.240.0', '81.21.255.255', 1360392192, 1360396287, 'EE', 'Estonia'),
(45810, '81.22.0.0', '81.22.15.255', 1360396288, 1360400383, 'RU', 'Russian Federation'),
(45811, '81.22.16.0', '81.22.31.255', 1360400384, 1360404479, 'BH', 'Bahrain'),
(45812, '81.22.32.0', '81.22.32.255', 1360404480, 1360404735, 'GB', 'United Kingdom'),
(45813, '81.22.33.0', '81.22.33.255', 1360404736, 1360404991, 'DE', 'Germany'),
(45814, '81.22.34.0', '81.22.34.255', 1360404992, 1360405247, 'FR', 'France'),
(45815, '81.22.35.0', '81.22.35.255', 1360405248, 1360405503, 'SE', 'Sweden'),
(45816, '81.22.36.0', '81.22.47.255', 1360405504, 1360408575, 'GB', 'United Kingdom'),
(45817, '81.22.48.0', '81.22.63.255', 1360408576, 1360412671, 'RU', 'Russian Federation'),
(45818, '81.22.64.0', '81.22.95.255', 1360412672, 1360420863, 'DZ', 'Algeria'),
(45819, '81.22.96.0', '81.22.111.255', 1360420864, 1360424959, 'TR', 'Turkey'),
(45820, '81.22.112.0', '81.22.127.255', 1360424960, 1360429055, 'RU', 'Russian Federation'),
(45821, '81.22.128.0', '81.22.143.255', 1360429056, 1360433151, 'UA', 'Ukraine'),
(45822, '81.22.144.0', '81.22.159.255', 1360433152, 1360437247, 'RO', 'Romania'),
(45823, '81.22.160.0', '81.22.175.255', 1360437248, 1360441343, 'FI', 'Finland'),
(45824, '81.22.176.0', '81.22.191.255', 1360441344, 1360445439, 'HU', 'Hungary'),
(45825, '81.22.192.0', '81.22.223.255', 1360445440, 1360453631, 'RU', 'Russian Federation'),
(45826, '81.22.224.0', '81.22.239.255', 1360453632, 1360457727, 'DE', 'Germany'),
(45827, '81.22.240.0', '81.22.255.255', 1360457728, 1360461823, 'FI', 'Finland'),
(45828, '81.23.0.0', '81.23.15.255', 1360461824, 1360465919, 'RU', 'Russian Federation'),
(45829, '81.23.16.0', '81.23.31.255', 1360465920, 1360470015, 'UA', 'Ukraine'),
(45830, '81.23.32.0', '81.23.47.255', 1360470016, 1360474111, 'FR', 'France'),
(45831, '81.23.48.0', '81.23.63.255', 1360474112, 1360478207, 'GB', 'United Kingdom'),
(45832, '81.23.64.0', '81.23.79.255', 1360478208, 1360482303, 'CH', 'Switzerland'),
(45833, '81.23.80.0', '81.23.95.255', 1360482304, 1360486399, 'IT', 'Italy'),
(45834, '81.23.96.0', '81.23.127.255', 1360486400, 1360494591, 'RU', 'Russian Federation'),
(45835, '81.23.128.0', '81.23.143.255', 1360494592, 1360498687, 'DK', 'Denmark'),
(45836, '81.23.144.0', '81.23.192.255', 1360498688, 1360511231, 'RU', 'Russian Federation'),
(45837, '81.23.193.0', '81.23.193.255', 1360511232, 1360511487, 'A2', 'Satellite Provider'),
(45838, '81.23.194.0', '81.23.203.255', 1360511488, 1360514047, 'RU', 'Russian Federation'),
(45839, '81.23.204.0', '81.23.207.255', 1360514048, 1360515071, 'A2', 'Satellite Provider'),
(45840, '81.23.208.0', '81.23.223.255', 1360515072, 1360519167, 'GB', 'United Kingdom'),
(45841, '81.23.224.0', '81.23.242.255', 1360519168, 1360524031, 'NL', 'Netherlands'),
(45842, '81.23.243.0', '81.23.243.255', 1360524032, 1360524287, 'US', 'United States'),
(45843, '81.23.244.0', '81.24.15.255', 1360524288, 1360531455, 'NL', 'Netherlands'),
(45844, '81.24.16.0', '81.24.31.255', 1360531456, 1360535551, 'RO', 'Romania'),
(45845, '81.24.32.0', '81.24.47.255', 1360535552, 1360539647, 'DE', 'Germany'),
(45846, '81.24.48.0', '81.24.63.255', 1360539648, 1360543743, 'NL', 'Netherlands'),
(45847, '81.24.64.0', '81.24.79.255', 1360543744, 1360547839, 'DE', 'Germany'),
(45848, '81.24.80.0', '81.24.95.255', 1360547840, 1360551935, 'RU', 'Russian Federation'),
(45849, '81.24.96.0', '81.24.111.255', 1360551936, 1360556031, 'NL', 'Netherlands'),
(45850, '81.24.112.0', '81.24.143.255', 1360556032, 1360564223, 'RU', 'Russian Federation'),
(45851, '81.24.144.0', '81.24.159.255', 1360564224, 1360568319, 'AT', 'Austria'),
(45852, '81.24.160.0', '81.24.175.255', 1360568320, 1360572415, 'ES', 'Spain'),
(45853, '81.24.176.0', '81.24.191.255', 1360572416, 1360576511, 'RU', 'Russian Federation'),
(45854, '81.24.192.0', '81.24.207.255', 1360576512, 1360580607, 'GB', 'United Kingdom'),
(45855, '81.24.208.0', '81.24.223.255', 1360580608, 1360584703, 'UA', 'Ukraine'),
(45856, '81.24.224.0', '81.24.239.255', 1360584704, 1360588799, 'IT', 'Italy'),
(45857, '81.25.0.0', '81.25.15.255', 1360592896, 1360596991, 'RU', 'Russian Federation'),
(45858, '81.25.16.0', '81.25.31.255', 1360596992, 1360601087, 'CZ', 'Czech Republic'),
(45859, '81.25.32.0', '81.25.47.255', 1360601088, 1360605183, 'BY', 'Belarus'),
(45860, '81.25.48.0', '81.25.79.255', 1360605184, 1360613375, 'RU', 'Russian Federation'),
(45861, '81.25.80.0', '81.25.95.255', 1360613376, 1360617471, 'SE', 'Sweden'),
(45862, '81.25.96.0', '81.25.111.255', 1360617472, 1360621567, 'IT', 'Italy'),
(45863, '81.25.112.0', '81.25.127.255', 1360621568, 1360625663, 'ES', 'Spain'),
(45864, '81.25.128.0', '81.25.131.255', 1360625664, 1360626687, 'DE', 'Germany'),
(45865, '81.25.132.0', '81.25.133.255', 1360626688, 1360627199, 'LB', 'Lebanon'),
(45866, '81.25.134.0', '81.25.134.255', 1360627200, 1360627455, 'A2', 'Satellite Provider'),
(45867, '81.25.135.0', '81.25.135.64', 1360627456, 1360627520, 'IQ', 'Iraq'),
(45868, '81.25.135.65', '81.25.135.255', 1360627521, 1360627711, 'DE', 'Germany'),
(45869, '81.25.136.0', '81.25.136.31', 1360627712, 1360627743, 'LB', 'Lebanon'),
(45870, '81.25.136.32', '81.25.136.255', 1360627744, 1360627967, 'DE', 'Germany'),
(45871, '81.25.137.0', '81.25.137.127', 1360627968, 1360628095, 'IQ', 'Iraq'),
(45872, '81.25.137.128', '81.25.137.255', 1360628096, 1360628223, 'LU', 'Luxembourg'),
(45873, '81.25.138.0', '81.25.138.255', 1360628224, 1360628479, 'A2', 'Satellite Provider');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(45874, '81.25.139.0', '81.25.139.255', 1360628480, 1360628735, 'LB', 'Lebanon'),
(45875, '81.25.140.0', '81.25.140.255', 1360628736, 1360628991, 'IQ', 'Iraq'),
(45876, '81.25.141.0', '81.25.141.63', 1360628992, 1360629055, 'TR', 'Turkey'),
(45877, '81.25.141.64', '81.25.141.255', 1360629056, 1360629247, 'DE', 'Germany'),
(45878, '81.25.142.0', '81.25.142.255', 1360629248, 1360629503, 'A2', 'Satellite Provider'),
(45879, '81.25.143.0', '81.25.143.255', 1360629504, 1360629759, 'IQ', 'Iraq'),
(45880, '81.25.144.0', '81.25.159.255', 1360629760, 1360633855, 'SE', 'Sweden'),
(45881, '81.25.160.0', '81.25.175.255', 1360633856, 1360637951, 'RU', 'Russian Federation'),
(45882, '81.25.176.0', '81.25.191.255', 1360637952, 1360642047, 'FO', 'Faroe Islands'),
(45883, '81.25.192.0', '81.25.206.79', 1360642048, 1360645711, 'FR', 'France'),
(45884, '81.25.206.80', '81.25.206.87', 1360645712, 1360645719, 'GB', 'United Kingdom'),
(45885, '81.25.206.88', '81.25.207.255', 1360645720, 1360646143, 'FR', 'France'),
(45886, '81.25.208.0', '81.25.223.255', 1360646144, 1360650239, 'AT', 'Austria'),
(45887, '81.25.224.0', '81.25.239.255', 1360650240, 1360654335, 'UA', 'Ukraine'),
(45888, '81.25.240.0', '81.25.255.255', 1360654336, 1360658431, 'EE', 'Estonia'),
(45889, '81.26.0.0', '81.26.31.255', 1360658432, 1360666623, 'PL', 'Poland'),
(45890, '81.26.32.0', '81.26.63.255', 1360666624, 1360674815, 'NO', 'Norway'),
(45891, '81.26.64.0', '81.26.79.255', 1360674816, 1360678911, 'DZ', 'Algeria'),
(45892, '81.26.80.0', '81.26.95.255', 1360678912, 1360683007, 'RU', 'Russian Federation'),
(45893, '81.26.96.0', '81.26.127.255', 1360683008, 1360691199, 'GB', 'United Kingdom'),
(45894, '81.26.128.0', '81.26.159.255', 1360691200, 1360699391, 'RU', 'Russian Federation'),
(45895, '81.26.160.0', '81.26.175.255', 1360699392, 1360703487, 'DE', 'Germany'),
(45896, '81.26.176.0', '81.26.191.255', 1360703488, 1360707583, 'RU', 'Russian Federation'),
(45897, '81.26.192.0', '81.26.199.255', 1360707584, 1360709631, 'IT', 'Italy'),
(45898, '81.26.200.0', '81.26.207.255', 1360709632, 1360711679, 'AL', 'Albania'),
(45899, '81.26.208.0', '81.26.223.255', 1360711680, 1360715775, 'NL', 'Netherlands'),
(45900, '81.26.224.0', '81.27.15.255', 1360715776, 1360728063, 'SE', 'Sweden'),
(45901, '81.27.16.0', '81.27.31.255', 1360728064, 1360732159, 'FR', 'France'),
(45902, '81.27.32.0', '81.27.47.255', 1360732160, 1360736255, 'NO', 'Norway'),
(45903, '81.27.48.0', '81.27.63.255', 1360736256, 1360740351, 'RU', 'Russian Federation'),
(45904, '81.27.64.0', '81.27.76.255', 1360740352, 1360743679, 'GB', 'United Kingdom'),
(45905, '81.27.77.0', '81.27.77.255', 1360743680, 1360743935, 'FR', 'France'),
(45906, '81.27.78.0', '81.27.96.133', 1360743936, 1360748677, 'GB', 'United Kingdom'),
(45907, '81.27.96.134', '81.27.96.134', 1360748678, 1360748678, 'IM', 'Isle of Man'),
(45908, '81.27.96.135', '81.27.100.191', 1360748679, 1360749759, 'GB', 'United Kingdom'),
(45909, '81.27.100.192', '81.27.100.223', 1360749760, 1360749791, 'IM', 'Isle of Man'),
(45910, '81.27.100.224', '81.27.111.255', 1360749792, 1360752639, 'GB', 'United Kingdom'),
(45911, '81.27.112.0', '81.27.127.255', 1360752640, 1360756735, 'DE', 'Germany'),
(45912, '81.27.128.0', '81.27.143.255', 1360756736, 1360760831, 'IT', 'Italy'),
(45913, '81.27.144.0', '81.27.159.255', 1360760832, 1360764927, 'RU', 'Russian Federation'),
(45914, '81.27.160.0', '81.27.175.255', 1360764928, 1360769023, 'DE', 'Germany'),
(45915, '81.27.176.0', '81.27.191.255', 1360769024, 1360773119, 'IT', 'Italy'),
(45916, '81.27.192.0', '81.27.207.255', 1360773120, 1360777215, 'CZ', 'Czech Republic'),
(45917, '81.27.208.0', '81.27.223.255', 1360777216, 1360781311, 'DK', 'Denmark'),
(45918, '81.27.224.0', '81.27.239.255', 1360781312, 1360785407, 'DE', 'Germany'),
(45919, '81.27.240.0', '81.28.15.255', 1360785408, 1360793599, 'RU', 'Russian Federation'),
(45920, '81.28.16.0', '81.28.31.255', 1360793600, 1360797695, 'CZ', 'Czech Republic'),
(45921, '81.28.32.0', '81.28.63.255', 1360797696, 1360805887, 'IR', 'Iran, Islamic Republic of'),
(45922, '81.28.64.0', '81.28.79.255', 1360805888, 1360809983, 'DE', 'Germany'),
(45923, '81.28.80.0', '81.28.95.255', 1360809984, 1360814079, 'NL', 'Netherlands'),
(45924, '81.28.96.0', '81.28.111.255', 1360814080, 1360818175, 'FR', 'France'),
(45925, '81.28.112.0', '81.28.127.255', 1360818176, 1360822271, 'JO', 'Jordan'),
(45926, '81.28.128.0', '81.28.143.255', 1360822272, 1360826367, 'AT', 'Austria'),
(45927, '81.28.144.0', '81.28.159.255', 1360826368, 1360830463, 'GB', 'United Kingdom'),
(45928, '81.28.160.0', '81.28.191.255', 1360830464, 1360838655, 'RU', 'Russian Federation'),
(45929, '81.28.192.0', '81.28.207.255', 1360838656, 1360842751, 'FR', 'France'),
(45930, '81.28.208.0', '81.28.223.255', 1360842752, 1360846847, 'RU', 'Russian Federation'),
(45931, '81.28.224.0', '81.28.239.255', 1360846848, 1360850943, 'DE', 'Germany'),
(45932, '81.28.240.0', '81.28.255.255', 1360850944, 1360855039, 'IT', 'Italy'),
(45933, '81.29.0.0', '81.29.15.255', 1360855040, 1360859135, 'NL', 'Netherlands'),
(45934, '81.29.16.0', '81.29.31.255', 1360859136, 1360863231, 'LT', 'Lithuania'),
(45935, '81.29.32.0', '81.29.47.255', 1360863232, 1360867327, 'NO', 'Norway'),
(45936, '81.29.48.0', '81.29.95.255', 1360867328, 1360879615, 'GB', 'United Kingdom'),
(45937, '81.29.96.0', '81.29.111.255', 1360879616, 1360883711, 'EG', 'Egypt'),
(45938, '81.29.112.0', '81.29.127.255', 1360883712, 1360887807, 'RU', 'Russian Federation'),
(45939, '81.29.128.0', '81.29.137.255', 1360887808, 1360890367, 'FI', 'Finland'),
(45940, '81.29.138.0', '81.29.138.255', 1360890368, 1360890623, 'RU', 'Russian Federation'),
(45941, '81.29.139.0', '81.29.139.255', 1360890624, 1360890879, 'FI', 'Finland'),
(45942, '81.29.140.0', '81.29.141.255', 1360890880, 1360891391, 'RU', 'Russian Federation'),
(45943, '81.29.142.0', '81.29.142.255', 1360891392, 1360891647, 'FI', 'Finland'),
(45944, '81.29.143.0', '81.29.143.255', 1360891648, 1360891903, 'RU', 'Russian Federation'),
(45945, '81.29.144.0', '81.29.146.71', 1360891904, 1360892487, 'CH', 'Switzerland'),
(45946, '81.29.146.72', '81.29.146.79', 1360892488, 1360892495, 'IT', 'Italy'),
(45947, '81.29.146.80', '81.29.147.119', 1360892496, 1360892791, 'CH', 'Switzerland'),
(45948, '81.29.147.120', '81.29.147.127', 1360892792, 1360892799, 'IT', 'Italy'),
(45949, '81.29.147.128', '81.29.147.159', 1360892800, 1360892831, 'CH', 'Switzerland'),
(45950, '81.29.147.160', '81.29.147.175', 1360892832, 1360892847, 'MD', 'Moldova, Republic of'),
(45951, '81.29.147.176', '81.29.147.255', 1360892848, 1360892927, 'CH', 'Switzerland'),
(45952, '81.29.148.0', '81.29.148.255', 1360892928, 1360893183, 'IT', 'Italy'),
(45953, '81.29.149.0', '81.29.153.127', 1360893184, 1360894335, 'CH', 'Switzerland'),
(45954, '81.29.153.128', '81.29.153.159', 1360894336, 1360894367, 'MD', 'Moldova, Republic of'),
(45955, '81.29.153.160', '81.29.155.255', 1360894368, 1360894975, 'CH', 'Switzerland'),
(45956, '81.29.156.0', '81.29.156.7', 1360894976, 1360894983, 'IT', 'Italy'),
(45957, '81.29.156.8', '81.29.159.255', 1360894984, 1360895999, 'CH', 'Switzerland'),
(45958, '81.29.160.0', '81.29.175.255', 1360896000, 1360900095, 'QA', 'Qatar'),
(45959, '81.29.176.0', '81.29.195.79', 1360900096, 1360905039, 'IT', 'Italy'),
(45960, '81.29.195.80', '81.29.195.95', 1360905040, 1360905055, 'GB', 'United Kingdom'),
(45961, '81.29.195.96', '81.29.196.175', 1360905056, 1360905391, 'IT', 'Italy'),
(45962, '81.29.196.176', '81.29.196.191', 1360905392, 1360905407, 'GB', 'United Kingdom'),
(45963, '81.29.196.192', '81.29.201.191', 1360905408, 1360906687, 'IT', 'Italy'),
(45964, '81.29.201.192', '81.29.201.223', 1360906688, 1360906719, 'GB', 'United Kingdom'),
(45965, '81.29.201.224', '81.29.212.79', 1360906720, 1360909391, 'IT', 'Italy'),
(45966, '81.29.212.80', '81.29.212.95', 1360909392, 1360909407, 'GB', 'United Kingdom'),
(45967, '81.29.212.96', '81.29.216.159', 1360909408, 1360910495, 'IT', 'Italy'),
(45968, '81.29.216.160', '81.29.216.175', 1360910496, 1360910511, 'GB', 'United Kingdom'),
(45969, '81.29.216.176', '81.29.216.191', 1360910512, 1360910527, 'IT', 'Italy'),
(45970, '81.29.216.192', '81.29.216.223', 1360910528, 1360910559, 'GB', 'United Kingdom'),
(45971, '81.29.216.224', '81.29.239.255', 1360910560, 1360916479, 'IT', 'Italy'),
(45972, '81.29.240.0', '81.29.255.255', 1360916480, 1360920575, 'IR', 'Iran, Islamic Republic of'),
(45973, '81.30.0.0', '81.30.31.255', 1360920576, 1360928767, 'IT', 'Italy'),
(45974, '81.30.32.0', '81.30.47.255', 1360928768, 1360932863, 'NL', 'Netherlands'),
(45975, '81.30.48.0', '81.30.63.255', 1360932864, 1360936959, 'RU', 'Russian Federation'),
(45976, '81.30.64.0', '81.30.79.255', 1360936960, 1360941055, 'NL', 'Netherlands'),
(45977, '81.30.80.0', '81.30.95.255', 1360941056, 1360945151, 'BY', 'Belarus'),
(45978, '81.30.96.0', '81.30.111.255', 1360945152, 1360949247, 'DE', 'Germany'),
(45979, '81.30.112.0', '81.30.127.255', 1360949248, 1360953343, 'RU', 'Russian Federation'),
(45980, '81.30.128.0', '81.30.143.255', 1360953344, 1360957439, 'PL', 'Poland'),
(45981, '81.30.144.0', '81.30.159.255', 1360957440, 1360961535, 'DE', 'Germany'),
(45982, '81.30.160.0', '81.30.175.255', 1360961536, 1360965631, 'UA', 'Ukraine'),
(45983, '81.30.176.0', '81.30.223.255', 1360965632, 1360977919, 'RU', 'Russian Federation'),
(45984, '81.30.224.0', '81.30.255.255', 1360977920, 1360986111, 'CZ', 'Czech Republic'),
(45985, '81.31.0.0', '81.31.7.31', 1360986112, 1360987935, 'GB', 'United Kingdom'),
(45986, '81.31.7.32', '81.31.7.79', 1360987936, 1360987983, 'SK', 'Slovakia'),
(45987, '81.31.7.80', '81.31.7.151', 1360987984, 1360988055, 'GB', 'United Kingdom'),
(45988, '81.31.7.152', '81.31.7.159', 1360988056, 1360988063, 'SK', 'Slovakia'),
(45989, '81.31.7.160', '81.31.15.255', 1360988064, 1360990207, 'GB', 'United Kingdom'),
(45990, '81.31.16.0', '81.31.16.255', 1360990208, 1360990463, 'CZ', 'Czech Republic'),
(45991, '81.31.17.0', '81.31.31.255', 1360990464, 1360994303, 'GB', 'United Kingdom'),
(45992, '81.31.32.0', '81.31.47.255', 1360994304, 1360998399, 'CZ', 'Czech Republic'),
(45993, '81.31.48.0', '81.31.63.255', 1360998400, 1361002495, 'FI', 'Finland'),
(45994, '81.31.64.0', '81.31.79.255', 1361002496, 1361006591, 'GB', 'United Kingdom'),
(45995, '81.31.80.0', '81.31.95.255', 1361006592, 1361010687, 'DK', 'Denmark'),
(45996, '81.31.96.0', '81.31.127.255', 1361010688, 1361018879, 'GB', 'United Kingdom'),
(45997, '81.31.128.0', '81.31.143.255', 1361018880, 1361022975, 'AT', 'Austria'),
(45998, '81.31.144.0', '81.31.159.255', 1361022976, 1361027071, 'IT', 'Italy'),
(45999, '81.31.160.0', '81.31.191.255', 1361027072, 1361035263, 'IR', 'Iran, Islamic Republic of'),
(46000, '81.31.192.0', '81.31.193.107', 1361035264, 1361035627, 'US', 'United States'),
(46001, '81.31.193.108', '81.31.193.111', 1361035628, 1361035631, 'DZ', 'Algeria'),
(46002, '81.31.193.112', '81.31.207.255', 1361035632, 1361039359, 'US', 'United States'),
(46003, '81.31.208.0', '81.31.223.255', 1361039360, 1361043455, 'PL', 'Poland'),
(46004, '81.31.224.0', '81.31.255.255', 1361043456, 1361051647, 'IR', 'Iran, Islamic Republic of'),
(46005, '81.32.0.0', '81.47.255.255', 1361051648, 1362100223, 'ES', 'Spain'),
(46006, '81.48.0.0', '81.52.127.255', 1362100224, 1362395135, 'FR', 'France'),
(46007, '81.52.128.0', '81.52.128.47', 1362395136, 1362395183, 'CH', 'Switzerland'),
(46008, '81.52.128.48', '81.52.128.255', 1362395184, 1362395391, 'FR', 'France'),
(46009, '81.52.129.0', '81.52.129.127', 1362395392, 1362395519, 'SG', 'Singapore'),
(46010, '81.52.129.128', '81.52.129.255', 1362395520, 1362395647, 'FR', 'France'),
(46011, '81.52.130.0', '81.52.131.255', 1362395648, 1362396159, 'US', 'United States'),
(46012, '81.52.132.0', '81.52.132.255', 1362396160, 1362396415, 'FR', 'France'),
(46013, '81.52.133.0', '81.52.134.255', 1362396416, 1362396927, 'US', 'United States'),
(46014, '81.52.135.0', '81.52.135.255', 1362396928, 1362397183, 'CM', 'Cameroon'),
(46015, '81.52.136.0', '81.52.136.71', 1362397184, 1362397255, 'GB', 'United Kingdom'),
(46016, '81.52.136.72', '81.52.136.255', 1362397256, 1362397439, 'FR', 'France'),
(46017, '81.52.137.0', '81.52.137.63', 1362397440, 1362397503, 'US', 'United States'),
(46018, '81.52.137.64', '81.52.140.255', 1362397504, 1362398463, 'FR', 'France'),
(46019, '81.52.141.0', '81.52.141.255', 1362398464, 1362398719, 'DE', 'Germany'),
(46020, '81.52.142.0', '81.52.160.255', 1362398720, 1362403583, 'FR', 'France'),
(46021, '81.52.161.0', '81.52.169.255', 1362403584, 1362405887, 'DZ', 'Algeria'),
(46022, '81.52.170.0', '81.52.170.255', 1362405888, 1362406143, 'FR', 'France'),
(46023, '81.52.171.0', '81.52.174.255', 1362406144, 1362407167, 'SV', 'El Salvador'),
(46024, '81.52.175.0', '81.52.175.255', 1362407168, 1362407423, 'FR', 'France'),
(46025, '81.52.176.0', '81.52.176.7', 1362407424, 1362407431, 'US', 'United States'),
(46026, '81.52.176.8', '81.52.176.15', 1362407432, 1362407439, 'FR', 'France'),
(46027, '81.52.176.16', '81.52.176.23', 1362407440, 1362407447, 'US', 'United States'),
(46028, '81.52.176.24', '81.52.176.31', 1362407448, 1362407455, 'FR', 'France'),
(46029, '81.52.176.32', '81.52.176.95', 1362407456, 1362407519, 'US', 'United States'),
(46030, '81.52.176.96', '81.52.176.191', 1362407520, 1362407615, 'FR', 'France'),
(46031, '81.52.176.192', '81.52.176.223', 1362407616, 1362407647, 'HK', 'Hong Kong'),
(46032, '81.52.176.224', '81.52.176.255', 1362407648, 1362407679, 'FR', 'France'),
(46033, '81.52.177.0', '81.52.177.63', 1362407680, 1362407743, 'US', 'United States'),
(46034, '81.52.177.64', '81.52.177.159', 1362407744, 1362407839, 'FR', 'France'),
(46035, '81.52.177.160', '81.52.177.191', 1362407840, 1362407871, 'US', 'United States'),
(46036, '81.52.177.192', '81.52.177.207', 1362407872, 1362407887, 'HK', 'Hong Kong'),
(46037, '81.52.177.208', '81.52.177.223', 1362407888, 1362407903, 'US', 'United States'),
(46038, '81.52.177.224', '81.52.177.239', 1362407904, 1362407919, 'HK', 'Hong Kong'),
(46039, '81.52.177.240', '81.52.177.255', 1362407920, 1362407935, 'US', 'United States'),
(46040, '81.52.178.0', '81.52.184.255', 1362407936, 1362409727, 'FR', 'France'),
(46041, '81.52.185.0', '81.52.185.255', 1362409728, 1362409983, 'HK', 'Hong Kong'),
(46042, '81.52.186.0', '81.52.191.255', 1362409984, 1362411519, 'FR', 'France'),
(46043, '81.52.192.0', '81.52.198.217', 1362411520, 1362413273, 'MQ', 'Martinique'),
(46044, '81.52.198.218', '81.52.199.255', 1362413274, 1362413567, 'FR', 'France'),
(46045, '81.52.200.0', '81.52.200.19', 1362413568, 1362413587, 'CM', 'Cameroon'),
(46046, '81.52.200.20', '81.52.201.255', 1362413588, 1362414079, 'FR', 'France'),
(46047, '81.52.202.0', '81.52.204.255', 1362414080, 1362414847, 'US', 'United States'),
(46048, '81.52.205.0', '81.52.205.255', 1362414848, 1362415103, 'GB', 'United Kingdom'),
(46049, '81.52.206.0', '81.52.206.255', 1362415104, 1362415359, 'FR', 'France'),
(46050, '81.52.207.0', '81.52.207.255', 1362415360, 1362415615, 'DE', 'Germany'),
(46051, '81.52.208.0', '81.52.215.255', 1362415616, 1362417663, 'GP', 'Guadeloupe'),
(46052, '81.52.216.0', '81.52.223.255', 1362417664, 1362419711, 'SG', 'Singapore'),
(46053, '81.52.224.0', '81.52.236.255', 1362419712, 1362423039, 'FR', 'France'),
(46054, '81.52.237.0', '81.52.237.127', 1362423040, 1362423167, 'SG', 'Singapore'),
(46055, '81.52.237.128', '81.52.237.191', 1362423168, 1362423231, 'FR', 'France'),
(46056, '81.52.237.192', '81.52.237.199', 1362423232, 1362423239, 'GB', 'United Kingdom'),
(46057, '81.52.237.200', '81.52.237.223', 1362423240, 1362423263, 'FR', 'France'),
(46058, '81.52.237.224', '81.52.237.255', 1362423264, 1362423295, 'SG', 'Singapore'),
(46059, '81.52.238.0', '81.52.239.255', 1362423296, 1362423807, 'VE', 'Venezuela'),
(46060, '81.52.240.0', '81.52.240.255', 1362423808, 1362424063, 'US', 'United States'),
(46061, '81.52.241.0', '81.52.247.255', 1362424064, 1362425855, 'SG', 'Singapore'),
(46062, '81.52.248.0', '81.52.250.255', 1362425856, 1362426623, 'US', 'United States'),
(46063, '81.52.251.0', '81.52.251.255', 1362426624, 1362426879, 'FR', 'France'),
(46064, '81.52.252.0', '81.52.255.255', 1362426880, 1362427903, 'MQ', 'Martinique'),
(46065, '81.53.0.0', '81.57.255.255', 1362427904, 1362755583, 'FR', 'France'),
(46066, '81.58.0.0', '81.58.16.15', 1362755584, 1362759695, 'NL', 'Netherlands'),
(46067, '81.58.16.16', '81.58.16.23', 1362759696, 1362759703, 'BE', 'Belgium'),
(46068, '81.58.16.24', '81.58.16.31', 1362759704, 1362759711, 'NL', 'Netherlands'),
(46069, '81.58.16.32', '81.58.16.47', 1362759712, 1362759727, 'BE', 'Belgium'),
(46070, '81.58.16.48', '81.58.16.55', 1362759728, 1362759735, 'NL', 'Netherlands'),
(46071, '81.58.16.56', '81.58.16.87', 1362759736, 1362759767, 'BE', 'Belgium'),
(46072, '81.58.16.88', '81.58.16.95', 1362759768, 1362759775, 'NL', 'Netherlands'),
(46073, '81.58.16.96', '81.58.16.111', 1362759776, 1362759791, 'BE', 'Belgium'),
(46074, '81.58.16.112', '81.58.16.135', 1362759792, 1362759815, 'NL', 'Netherlands'),
(46075, '81.58.16.136', '81.58.16.167', 1362759816, 1362759847, 'BE', 'Belgium'),
(46076, '81.58.16.168', '81.58.16.183', 1362759848, 1362759863, 'NL', 'Netherlands'),
(46077, '81.58.16.184', '81.58.16.199', 1362759864, 1362759879, 'BE', 'Belgium'),
(46078, '81.58.16.200', '81.58.16.215', 1362759880, 1362759895, 'NL', 'Netherlands'),
(46079, '81.58.16.216', '81.58.16.223', 1362759896, 1362759903, 'BE', 'Belgium'),
(46080, '81.58.16.224', '81.58.16.239', 1362759904, 1362759919, 'NL', 'Netherlands'),
(46081, '81.58.16.240', '81.58.16.247', 1362759920, 1362759927, 'BE', 'Belgium'),
(46082, '81.58.16.248', '81.58.17.7', 1362759928, 1362759943, 'NL', 'Netherlands'),
(46083, '81.58.17.8', '81.58.17.31', 1362759944, 1362759967, 'BE', 'Belgium'),
(46084, '81.58.17.32', '81.58.17.47', 1362759968, 1362759983, 'NL', 'Netherlands'),
(46085, '81.58.17.48', '81.58.17.63', 1362759984, 1362759999, 'BE', 'Belgium'),
(46086, '81.58.17.64', '81.58.17.71', 1362760000, 1362760007, 'NL', 'Netherlands'),
(46087, '81.58.17.72', '81.58.17.95', 1362760008, 1362760031, 'BE', 'Belgium'),
(46088, '81.58.17.96', '81.58.17.103', 1362760032, 1362760039, 'NL', 'Netherlands'),
(46089, '81.58.17.104', '81.58.17.111', 1362760040, 1362760047, 'BE', 'Belgium'),
(46090, '81.58.17.112', '81.58.17.119', 1362760048, 1362760055, 'NL', 'Netherlands'),
(46091, '81.58.17.120', '81.58.17.151', 1362760056, 1362760087, 'BE', 'Belgium'),
(46092, '81.58.17.152', '81.58.17.175', 1362760088, 1362760111, 'NL', 'Netherlands'),
(46093, '81.58.17.176', '81.58.17.183', 1362760112, 1362760119, 'BE', 'Belgium'),
(46094, '81.58.17.184', '81.58.17.231', 1362760120, 1362760167, 'NL', 'Netherlands'),
(46095, '81.58.17.232', '81.58.17.255', 1362760168, 1362760191, 'BE', 'Belgium'),
(46096, '81.58.18.0', '81.58.18.23', 1362760192, 1362760215, 'NL', 'Netherlands'),
(46097, '81.58.18.24', '81.58.18.31', 1362760216, 1362760223, 'BE', 'Belgium'),
(46098, '81.58.18.32', '81.58.18.47', 1362760224, 1362760239, 'NL', 'Netherlands'),
(46099, '81.58.18.48', '81.58.18.79', 1362760240, 1362760271, 'BE', 'Belgium'),
(46100, '81.58.18.80', '81.58.18.87', 1362760272, 1362760279, 'NL', 'Netherlands'),
(46101, '81.58.18.88', '81.58.18.95', 1362760280, 1362760287, 'BE', 'Belgium'),
(46102, '81.58.18.96', '81.58.18.111', 1362760288, 1362760303, 'NL', 'Netherlands'),
(46103, '81.58.18.112', '81.58.18.159', 1362760304, 1362760351, 'BE', 'Belgium'),
(46104, '81.58.18.160', '81.58.18.183', 1362760352, 1362760375, 'NL', 'Netherlands'),
(46105, '81.58.18.184', '81.58.18.191', 1362760376, 1362760383, 'BE', 'Belgium'),
(46106, '81.58.18.192', '81.58.18.199', 1362760384, 1362760391, 'NL', 'Netherlands'),
(46107, '81.58.18.200', '81.58.18.207', 1362760392, 1362760399, 'BE', 'Belgium'),
(46108, '81.58.18.208', '81.58.18.231', 1362760400, 1362760423, 'NL', 'Netherlands'),
(46109, '81.58.18.232', '81.58.18.247', 1362760424, 1362760439, 'BE', 'Belgium'),
(46110, '81.58.18.248', '81.58.18.255', 1362760440, 1362760447, 'NL', 'Netherlands'),
(46111, '81.58.19.0', '81.58.19.7', 1362760448, 1362760455, 'BE', 'Belgium'),
(46112, '81.58.19.8', '81.58.19.23', 1362760456, 1362760471, 'NL', 'Netherlands'),
(46113, '81.58.19.24', '81.58.19.31', 1362760472, 1362760479, 'BE', 'Belgium'),
(46114, '81.58.19.32', '81.58.19.55', 1362760480, 1362760503, 'NL', 'Netherlands'),
(46115, '81.58.19.56', '81.58.19.63', 1362760504, 1362760511, 'BE', 'Belgium'),
(46116, '81.58.19.64', '81.58.19.71', 1362760512, 1362760519, 'NL', 'Netherlands'),
(46117, '81.58.19.72', '81.58.19.87', 1362760520, 1362760535, 'BE', 'Belgium'),
(46118, '81.58.19.88', '81.58.19.111', 1362760536, 1362760559, 'NL', 'Netherlands'),
(46119, '81.58.19.112', '81.58.19.119', 1362760560, 1362760567, 'BE', 'Belgium'),
(46120, '81.58.19.120', '81.58.19.127', 1362760568, 1362760575, 'NL', 'Netherlands'),
(46121, '81.58.19.128', '81.58.19.143', 1362760576, 1362760591, 'BE', 'Belgium'),
(46122, '81.58.19.144', '81.58.19.167', 1362760592, 1362760615, 'NL', 'Netherlands'),
(46123, '81.58.19.168', '81.58.19.191', 1362760616, 1362760639, 'BE', 'Belgium'),
(46124, '81.58.19.192', '81.58.19.199', 1362760640, 1362760647, 'NL', 'Netherlands'),
(46125, '81.58.19.200', '81.58.19.215', 1362760648, 1362760663, 'BE', 'Belgium'),
(46126, '81.58.19.216', '81.58.19.223', 1362760664, 1362760671, 'NL', 'Netherlands'),
(46127, '81.58.19.224', '81.58.19.231', 1362760672, 1362760679, 'BE', 'Belgium'),
(46128, '81.58.19.232', '81.58.19.239', 1362760680, 1362760687, 'NL', 'Netherlands'),
(46129, '81.58.19.240', '81.58.19.255', 1362760688, 1362760703, 'BE', 'Belgium'),
(46130, '81.58.20.0', '81.58.20.7', 1362760704, 1362760711, 'NL', 'Netherlands'),
(46131, '81.58.20.8', '81.58.20.15', 1362760712, 1362760719, 'BE', 'Belgium'),
(46132, '81.58.20.16', '81.58.20.31', 1362760720, 1362760735, 'NL', 'Netherlands'),
(46133, '81.58.20.32', '81.58.20.47', 1362760736, 1362760751, 'BE', 'Belgium'),
(46134, '81.58.20.48', '81.58.20.79', 1362760752, 1362760783, 'NL', 'Netherlands'),
(46135, '81.58.20.80', '81.58.20.103', 1362760784, 1362760807, 'BE', 'Belgium'),
(46136, '81.58.20.104', '81.58.20.127', 1362760808, 1362760831, 'NL', 'Netherlands'),
(46137, '81.58.20.128', '81.58.20.135', 1362760832, 1362760839, 'BE', 'Belgium'),
(46138, '81.58.20.136', '81.58.20.159', 1362760840, 1362760863, 'NL', 'Netherlands'),
(46139, '81.58.20.160', '81.58.20.175', 1362760864, 1362760879, 'BE', 'Belgium'),
(46140, '81.58.20.176', '81.58.20.183', 1362760880, 1362760887, 'NL', 'Netherlands'),
(46141, '81.58.20.184', '81.58.20.199', 1362760888, 1362760903, 'BE', 'Belgium'),
(46142, '81.58.20.200', '81.58.20.215', 1362760904, 1362760919, 'NL', 'Netherlands'),
(46143, '81.58.20.216', '81.58.20.223', 1362760920, 1362760927, 'BE', 'Belgium'),
(46144, '81.58.20.224', '81.58.21.7', 1362760928, 1362760967, 'NL', 'Netherlands'),
(46145, '81.58.21.8', '81.58.21.23', 1362760968, 1362760983, 'BE', 'Belgium'),
(46146, '81.58.21.24', '81.58.21.47', 1362760984, 1362761007, 'NL', 'Netherlands'),
(46147, '81.58.21.48', '81.58.21.63', 1362761008, 1362761023, 'BE', 'Belgium'),
(46148, '81.58.21.64', '81.58.21.71', 1362761024, 1362761031, 'NL', 'Netherlands'),
(46149, '81.58.21.72', '81.58.21.103', 1362761032, 1362761063, 'BE', 'Belgium'),
(46150, '81.58.21.104', '81.58.21.143', 1362761064, 1362761103, 'NL', 'Netherlands'),
(46151, '81.58.21.144', '81.58.21.151', 1362761104, 1362761111, 'BE', 'Belgium'),
(46152, '81.58.21.152', '81.58.21.159', 1362761112, 1362761119, 'NL', 'Netherlands'),
(46153, '81.58.21.160', '81.58.21.167', 1362761120, 1362761127, 'BE', 'Belgium'),
(46154, '81.58.21.168', '81.58.21.199', 1362761128, 1362761159, 'NL', 'Netherlands'),
(46155, '81.58.21.200', '81.58.21.207', 1362761160, 1362761167, 'BE', 'Belgium'),
(46156, '81.58.21.208', '81.58.21.215', 1362761168, 1362761175, 'NL', 'Netherlands'),
(46157, '81.58.21.216', '81.58.21.239', 1362761176, 1362761199, 'BE', 'Belgium'),
(46158, '81.58.21.240', '81.58.21.247', 1362761200, 1362761207, 'NL', 'Netherlands'),
(46159, '81.58.21.248', '81.58.21.255', 1362761208, 1362761215, 'BE', 'Belgium'),
(46160, '81.58.22.0', '81.58.22.31', 1362761216, 1362761247, 'NL', 'Netherlands'),
(46161, '81.58.22.32', '81.58.22.39', 1362761248, 1362761255, 'BE', 'Belgium'),
(46162, '81.58.22.40', '81.58.22.63', 1362761256, 1362761279, 'NL', 'Netherlands'),
(46163, '81.58.22.64', '81.58.22.71', 1362761280, 1362761287, 'BE', 'Belgium'),
(46164, '81.58.22.72', '81.58.22.87', 1362761288, 1362761303, 'NL', 'Netherlands'),
(46165, '81.58.22.88', '81.58.22.95', 1362761304, 1362761311, 'BE', 'Belgium'),
(46166, '81.58.22.96', '81.58.22.103', 1362761312, 1362761319, 'NL', 'Netherlands'),
(46167, '81.58.22.104', '81.58.22.111', 1362761320, 1362761327, 'BE', 'Belgium'),
(46168, '81.58.22.112', '81.58.22.191', 1362761328, 1362761407, 'NL', 'Netherlands'),
(46169, '81.58.22.192', '81.58.22.199', 1362761408, 1362761415, 'BE', 'Belgium'),
(46170, '81.58.22.200', '81.58.22.247', 1362761416, 1362761463, 'NL', 'Netherlands'),
(46171, '81.58.22.248', '81.58.22.255', 1362761464, 1362761471, 'BE', 'Belgium'),
(46172, '81.58.23.0', '81.58.23.23', 1362761472, 1362761495, 'NL', 'Netherlands'),
(46173, '81.58.23.24', '81.58.23.31', 1362761496, 1362761503, 'BE', 'Belgium'),
(46174, '81.58.23.32', '81.58.23.47', 1362761504, 1362761519, 'NL', 'Netherlands'),
(46175, '81.58.23.48', '81.58.23.63', 1362761520, 1362761535, 'BE', 'Belgium'),
(46176, '81.58.23.64', '81.58.23.87', 1362761536, 1362761559, 'NL', 'Netherlands'),
(46177, '81.58.23.88', '81.58.23.95', 1362761560, 1362761567, 'BE', 'Belgium'),
(46178, '81.58.23.96', '81.58.23.111', 1362761568, 1362761583, 'NL', 'Netherlands'),
(46179, '81.58.23.112', '81.58.23.119', 1362761584, 1362761591, 'BE', 'Belgium'),
(46180, '81.58.23.120', '81.58.23.135', 1362761592, 1362761607, 'NL', 'Netherlands'),
(46181, '81.58.23.136', '81.58.23.151', 1362761608, 1362761623, 'BE', 'Belgium'),
(46182, '81.58.23.152', '81.58.23.159', 1362761624, 1362761631, 'NL', 'Netherlands'),
(46183, '81.58.23.160', '81.58.23.175', 1362761632, 1362761647, 'BE', 'Belgium'),
(46184, '81.58.23.176', '81.58.23.191', 1362761648, 1362761663, 'NL', 'Netherlands'),
(46185, '81.58.23.192', '81.58.23.207', 1362761664, 1362761679, 'BE', 'Belgium'),
(46186, '81.58.23.208', '81.58.23.215', 1362761680, 1362761687, 'NL', 'Netherlands'),
(46187, '81.58.23.216', '81.58.23.223', 1362761688, 1362761695, 'BE', 'Belgium'),
(46188, '81.58.23.224', '81.58.23.247', 1362761696, 1362761719, 'NL', 'Netherlands'),
(46189, '81.58.23.248', '81.58.23.255', 1362761720, 1362761727, 'BE', 'Belgium'),
(46190, '81.58.24.0', '81.58.24.15', 1362761728, 1362761743, 'NL', 'Netherlands'),
(46191, '81.58.24.16', '81.58.24.39', 1362761744, 1362761767, 'BE', 'Belgium'),
(46192, '81.58.24.40', '81.58.24.151', 1362761768, 1362761879, 'NL', 'Netherlands'),
(46193, '81.58.24.152', '81.58.24.167', 1362761880, 1362761895, 'BE', 'Belgium'),
(46194, '81.58.24.168', '81.58.24.231', 1362761896, 1362761959, 'NL', 'Netherlands'),
(46195, '81.58.24.232', '81.58.24.239', 1362761960, 1362761967, 'BE', 'Belgium'),
(46196, '81.58.24.240', '81.58.24.255', 1362761968, 1362761983, 'NL', 'Netherlands'),
(46197, '81.58.25.0', '81.58.25.15', 1362761984, 1362761999, 'BE', 'Belgium'),
(46198, '81.58.25.16', '81.58.25.23', 1362762000, 1362762007, 'NL', 'Netherlands'),
(46199, '81.58.25.24', '81.58.25.31', 1362762008, 1362762015, 'BE', 'Belgium'),
(46200, '81.58.25.32', '81.58.25.47', 1362762016, 1362762031, 'NL', 'Netherlands'),
(46201, '81.58.25.48', '81.58.25.55', 1362762032, 1362762039, 'BE', 'Belgium'),
(46202, '81.58.25.56', '81.58.25.63', 1362762040, 1362762047, 'NL', 'Netherlands'),
(46203, '81.58.25.64', '81.58.25.79', 1362762048, 1362762063, 'BE', 'Belgium'),
(46204, '81.58.25.80', '81.58.25.87', 1362762064, 1362762071, 'NL', 'Netherlands'),
(46205, '81.58.25.88', '81.58.25.95', 1362762072, 1362762079, 'BE', 'Belgium'),
(46206, '81.58.25.96', '81.58.25.111', 1362762080, 1362762095, 'NL', 'Netherlands'),
(46207, '81.58.25.112', '81.58.25.143', 1362762096, 1362762127, 'BE', 'Belgium'),
(46208, '81.58.25.144', '81.58.25.151', 1362762128, 1362762135, 'NL', 'Netherlands'),
(46209, '81.58.25.152', '81.58.25.159', 1362762136, 1362762143, 'BE', 'Belgium'),
(46210, '81.58.25.160', '81.58.25.167', 1362762144, 1362762151, 'NL', 'Netherlands'),
(46211, '81.58.25.168', '81.58.25.191', 1362762152, 1362762175, 'BE', 'Belgium'),
(46212, '81.58.25.192', '81.58.25.199', 1362762176, 1362762183, 'NL', 'Netherlands'),
(46213, '81.58.25.200', '81.58.25.215', 1362762184, 1362762199, 'BE', 'Belgium'),
(46214, '81.58.25.216', '81.58.25.223', 1362762200, 1362762207, 'NL', 'Netherlands'),
(46215, '81.58.25.224', '81.58.25.231', 1362762208, 1362762215, 'BE', 'Belgium'),
(46216, '81.58.25.232', '81.58.25.247', 1362762216, 1362762231, 'NL', 'Netherlands'),
(46217, '81.58.25.248', '81.58.26.15', 1362762232, 1362762255, 'BE', 'Belgium'),
(46218, '81.58.26.16', '81.58.26.23', 1362762256, 1362762263, 'NL', 'Netherlands'),
(46219, '81.58.26.24', '81.58.26.31', 1362762264, 1362762271, 'BE', 'Belgium'),
(46220, '81.58.26.32', '81.58.26.39', 1362762272, 1362762279, 'NL', 'Netherlands'),
(46221, '81.58.26.40', '81.58.26.47', 1362762280, 1362762287, 'BE', 'Belgium'),
(46222, '81.58.26.48', '81.58.26.95', 1362762288, 1362762335, 'NL', 'Netherlands'),
(46223, '81.58.26.96', '81.58.26.103', 1362762336, 1362762343, 'BE', 'Belgium'),
(46224, '81.58.26.104', '81.58.26.111', 1362762344, 1362762351, 'NL', 'Netherlands'),
(46225, '81.58.26.112', '81.58.26.127', 1362762352, 1362762367, 'BE', 'Belgium'),
(46226, '81.58.26.128', '81.58.26.183', 1362762368, 1362762423, 'NL', 'Netherlands'),
(46227, '81.58.26.184', '81.58.26.199', 1362762424, 1362762439, 'BE', 'Belgium'),
(46228, '81.58.26.200', '81.58.26.207', 1362762440, 1362762447, 'NL', 'Netherlands'),
(46229, '81.58.26.208', '81.58.26.215', 1362762448, 1362762455, 'BE', 'Belgium'),
(46230, '81.58.26.216', '81.58.26.255', 1362762456, 1362762495, 'NL', 'Netherlands'),
(46231, '81.58.27.0', '81.58.27.31', 1362762496, 1362762527, 'BE', 'Belgium'),
(46232, '81.58.27.32', '81.58.27.39', 1362762528, 1362762535, 'NL', 'Netherlands'),
(46233, '81.58.27.40', '81.58.27.71', 1362762536, 1362762567, 'BE', 'Belgium'),
(46234, '81.58.27.72', '81.58.27.87', 1362762568, 1362762583, 'NL', 'Netherlands'),
(46235, '81.58.27.88', '81.58.27.103', 1362762584, 1362762599, 'BE', 'Belgium'),
(46236, '81.58.27.104', '81.58.27.151', 1362762600, 1362762647, 'NL', 'Netherlands'),
(46237, '81.58.27.152', '81.58.27.159', 1362762648, 1362762655, 'BE', 'Belgium'),
(46238, '81.58.27.160', '81.58.27.223', 1362762656, 1362762719, 'NL', 'Netherlands'),
(46239, '81.58.27.224', '81.58.27.231', 1362762720, 1362762727, 'BE', 'Belgium'),
(46240, '81.58.27.232', '81.58.28.39', 1362762728, 1362762791, 'NL', 'Netherlands'),
(46241, '81.58.28.40', '81.58.28.55', 1362762792, 1362762807, 'BE', 'Belgium'),
(46242, '81.58.28.56', '81.58.28.111', 1362762808, 1362762863, 'NL', 'Netherlands'),
(46243, '81.58.28.112', '81.58.28.127', 1362762864, 1362762879, 'BE', 'Belgium'),
(46244, '81.58.28.128', '81.58.28.151', 1362762880, 1362762903, 'NL', 'Netherlands'),
(46245, '81.58.28.152', '81.58.28.159', 1362762904, 1362762911, 'BE', 'Belgium'),
(46246, '81.58.28.160', '81.58.28.199', 1362762912, 1362762951, 'NL', 'Netherlands'),
(46247, '81.58.28.200', '81.58.28.231', 1362762952, 1362762983, 'BE', 'Belgium'),
(46248, '81.58.28.232', '81.58.28.239', 1362762984, 1362762991, 'NL', 'Netherlands'),
(46249, '81.58.28.240', '81.58.29.23', 1362762992, 1362763031, 'BE', 'Belgium'),
(46250, '81.58.29.24', '81.58.29.39', 1362763032, 1362763047, 'NL', 'Netherlands'),
(46251, '81.58.29.40', '81.58.29.47', 1362763048, 1362763055, 'BE', 'Belgium'),
(46252, '81.58.29.48', '81.58.29.71', 1362763056, 1362763079, 'NL', 'Netherlands'),
(46253, '81.58.29.72', '81.58.29.79', 1362763080, 1362763087, 'BE', 'Belgium'),
(46254, '81.58.29.80', '81.58.29.95', 1362763088, 1362763103, 'NL', 'Netherlands'),
(46255, '81.58.29.96', '81.58.29.111', 1362763104, 1362763119, 'BE', 'Belgium'),
(46256, '81.58.29.112', '81.58.29.135', 1362763120, 1362763143, 'NL', 'Netherlands'),
(46257, '81.58.29.136', '81.58.29.143', 1362763144, 1362763151, 'BE', 'Belgium'),
(46258, '81.58.29.144', '81.58.29.151', 1362763152, 1362763159, 'NL', 'Netherlands'),
(46259, '81.58.29.152', '81.58.29.167', 1362763160, 1362763175, 'BE', 'Belgium'),
(46260, '81.58.29.168', '81.58.29.175', 1362763176, 1362763183, 'NL', 'Netherlands'),
(46261, '81.58.29.176', '81.58.29.183', 1362763184, 1362763191, 'BE', 'Belgium'),
(46262, '81.58.29.184', '81.58.29.215', 1362763192, 1362763223, 'NL', 'Netherlands'),
(46263, '81.58.29.216', '81.58.29.223', 1362763224, 1362763231, 'BE', 'Belgium'),
(46264, '81.58.29.224', '81.58.30.23', 1362763232, 1362763287, 'NL', 'Netherlands'),
(46265, '81.58.30.24', '81.58.30.31', 1362763288, 1362763295, 'BE', 'Belgium'),
(46266, '81.58.30.32', '81.58.30.39', 1362763296, 1362763303, 'NL', 'Netherlands'),
(46267, '81.58.30.40', '81.58.30.47', 1362763304, 1362763311, 'BE', 'Belgium'),
(46268, '81.58.30.48', '81.58.30.71', 1362763312, 1362763335, 'NL', 'Netherlands'),
(46269, '81.58.30.72', '81.58.30.79', 1362763336, 1362763343, 'BE', 'Belgium'),
(46270, '81.58.30.80', '81.58.30.103', 1362763344, 1362763367, 'NL', 'Netherlands'),
(46271, '81.58.30.104', '81.58.30.111', 1362763368, 1362763375, 'BE', 'Belgium'),
(46272, '81.58.30.112', '81.58.30.119', 1362763376, 1362763383, 'NL', 'Netherlands'),
(46273, '81.58.30.120', '81.58.30.151', 1362763384, 1362763415, 'BE', 'Belgium'),
(46274, '81.58.30.152', '81.58.30.159', 1362763416, 1362763423, 'NL', 'Netherlands'),
(46275, '81.58.30.160', '81.58.30.175', 1362763424, 1362763439, 'BE', 'Belgium'),
(46276, '81.58.30.176', '81.58.30.191', 1362763440, 1362763455, 'NL', 'Netherlands'),
(46277, '81.58.30.192', '81.58.30.199', 1362763456, 1362763463, 'BE', 'Belgium'),
(46278, '81.58.30.200', '81.58.30.207', 1362763464, 1362763471, 'NL', 'Netherlands'),
(46279, '81.58.30.208', '81.58.30.215', 1362763472, 1362763479, 'BE', 'Belgium'),
(46280, '81.58.30.216', '81.58.30.239', 1362763480, 1362763503, 'NL', 'Netherlands'),
(46281, '81.58.30.240', '81.58.30.255', 1362763504, 1362763519, 'BE', 'Belgium'),
(46282, '81.58.31.0', '81.58.31.15', 1362763520, 1362763535, 'NL', 'Netherlands'),
(46283, '81.58.31.16', '81.58.31.23', 1362763536, 1362763543, 'BE', 'Belgium'),
(46284, '81.58.31.24', '81.58.31.79', 1362763544, 1362763599, 'NL', 'Netherlands'),
(46285, '81.58.31.80', '81.58.31.95', 1362763600, 1362763615, 'BE', 'Belgium'),
(46286, '81.58.31.96', '81.58.31.103', 1362763616, 1362763623, 'NL', 'Netherlands'),
(46287, '81.58.31.104', '81.58.31.111', 1362763624, 1362763631, 'BE', 'Belgium'),
(46288, '81.58.31.112', '81.58.31.159', 1362763632, 1362763679, 'NL', 'Netherlands'),
(46289, '81.58.31.160', '81.58.31.167', 1362763680, 1362763687, 'BE', 'Belgium'),
(46290, '81.58.31.168', '81.58.31.175', 1362763688, 1362763695, 'NL', 'Netherlands'),
(46291, '81.58.31.176', '81.58.31.183', 1362763696, 1362763703, 'BE', 'Belgium'),
(46292, '81.58.31.184', '81.58.31.215', 1362763704, 1362763735, 'NL', 'Netherlands'),
(46293, '81.58.31.216', '81.58.31.231', 1362763736, 1362763751, 'BE', 'Belgium'),
(46294, '81.58.31.232', '81.58.31.247', 1362763752, 1362763767, 'NL', 'Netherlands'),
(46295, '81.58.31.248', '81.58.32.7', 1362763768, 1362763783, 'BE', 'Belgium'),
(46296, '81.58.32.8', '81.58.32.23', 1362763784, 1362763799, 'NL', 'Netherlands'),
(46297, '81.58.32.24', '81.58.32.39', 1362763800, 1362763815, 'BE', 'Belgium'),
(46298, '81.58.32.40', '81.58.32.127', 1362763816, 1362763903, 'NL', 'Netherlands'),
(46299, '81.58.32.128', '81.58.32.151', 1362763904, 1362763927, 'BE', 'Belgium'),
(46300, '81.58.32.152', '81.58.32.191', 1362763928, 1362763967, 'NL', 'Netherlands'),
(46301, '81.58.32.192', '81.58.32.199', 1362763968, 1362763975, 'BE', 'Belgium'),
(46302, '81.58.32.200', '81.58.32.215', 1362763976, 1362763991, 'NL', 'Netherlands'),
(46303, '81.58.32.216', '81.58.32.223', 1362763992, 1362763999, 'BE', 'Belgium'),
(46304, '81.58.32.224', '81.58.32.247', 1362764000, 1362764023, 'NL', 'Netherlands'),
(46305, '81.58.32.248', '81.58.32.255', 1362764024, 1362764031, 'BE', 'Belgium'),
(46306, '81.58.33.0', '81.58.33.7', 1362764032, 1362764039, 'NL', 'Netherlands'),
(46307, '81.58.33.8', '81.58.33.15', 1362764040, 1362764047, 'BE', 'Belgium'),
(46308, '81.58.33.16', '81.58.33.31', 1362764048, 1362764063, 'NL', 'Netherlands'),
(46309, '81.58.33.32', '81.58.33.55', 1362764064, 1362764087, 'BE', 'Belgium'),
(46310, '81.58.33.56', '81.58.33.71', 1362764088, 1362764103, 'NL', 'Netherlands'),
(46311, '81.58.33.72', '81.58.33.79', 1362764104, 1362764111, 'BE', 'Belgium'),
(46312, '81.58.33.80', '81.58.33.103', 1362764112, 1362764135, 'NL', 'Netherlands'),
(46313, '81.58.33.104', '81.58.33.111', 1362764136, 1362764143, 'BE', 'Belgium'),
(46314, '81.58.33.112', '81.58.33.127', 1362764144, 1362764159, 'NL', 'Netherlands'),
(46315, '81.58.33.128', '81.58.33.135', 1362764160, 1362764167, 'BE', 'Belgium'),
(46316, '81.58.33.136', '81.58.33.143', 1362764168, 1362764175, 'NL', 'Netherlands'),
(46317, '81.58.33.144', '81.58.33.151', 1362764176, 1362764183, 'BE', 'Belgium'),
(46318, '81.58.33.152', '81.58.33.167', 1362764184, 1362764199, 'NL', 'Netherlands'),
(46319, '81.58.33.168', '81.58.33.175', 1362764200, 1362764207, 'BE', 'Belgium'),
(46320, '81.58.33.176', '81.58.33.223', 1362764208, 1362764255, 'NL', 'Netherlands'),
(46321, '81.58.33.224', '81.58.33.231', 1362764256, 1362764263, 'BE', 'Belgium'),
(46322, '81.58.33.232', '81.58.34.23', 1362764264, 1362764311, 'NL', 'Netherlands'),
(46323, '81.58.34.24', '81.58.34.39', 1362764312, 1362764327, 'BE', 'Belgium'),
(46324, '81.58.34.40', '81.58.34.47', 1362764328, 1362764335, 'NL', 'Netherlands'),
(46325, '81.58.34.48', '81.58.34.63', 1362764336, 1362764351, 'BE', 'Belgium'),
(46326, '81.58.34.64', '81.58.34.79', 1362764352, 1362764367, 'NL', 'Netherlands'),
(46327, '81.58.34.80', '81.58.34.87', 1362764368, 1362764375, 'BE', 'Belgium'),
(46328, '81.58.34.88', '81.58.34.95', 1362764376, 1362764383, 'NL', 'Netherlands'),
(46329, '81.58.34.96', '81.58.34.103', 1362764384, 1362764391, 'BE', 'Belgium'),
(46330, '81.58.34.104', '81.58.34.119', 1362764392, 1362764407, 'NL', 'Netherlands'),
(46331, '81.58.34.120', '81.58.34.127', 1362764408, 1362764415, 'BE', 'Belgium'),
(46332, '81.58.34.128', '81.58.34.143', 1362764416, 1362764431, 'NL', 'Netherlands'),
(46333, '81.58.34.144', '81.58.34.151', 1362764432, 1362764439, 'BE', 'Belgium'),
(46334, '81.58.34.152', '81.58.34.207', 1362764440, 1362764495, 'NL', 'Netherlands'),
(46335, '81.58.34.208', '81.58.34.239', 1362764496, 1362764527, 'BE', 'Belgium'),
(46336, '81.58.34.240', '81.58.34.247', 1362764528, 1362764535, 'NL', 'Netherlands'),
(46337, '81.58.34.248', '81.58.34.255', 1362764536, 1362764543, 'BE', 'Belgium'),
(46338, '81.58.35.0', '81.58.35.7', 1362764544, 1362764551, 'NL', 'Netherlands'),
(46339, '81.58.35.8', '81.58.35.15', 1362764552, 1362764559, 'BE', 'Belgium'),
(46340, '81.58.35.16', '81.58.35.23', 1362764560, 1362764567, 'NL', 'Netherlands'),
(46341, '81.58.35.24', '81.58.35.31', 1362764568, 1362764575, 'BE', 'Belgium'),
(46342, '81.58.35.32', '81.58.35.63', 1362764576, 1362764607, 'NL', 'Netherlands'),
(46343, '81.58.35.64', '81.58.35.71', 1362764608, 1362764615, 'BE', 'Belgium'),
(46344, '81.58.35.72', '81.58.35.79', 1362764616, 1362764623, 'NL', 'Netherlands'),
(46345, '81.58.35.80', '81.58.35.95', 1362764624, 1362764639, 'BE', 'Belgium'),
(46346, '81.58.35.96', '81.58.35.111', 1362764640, 1362764655, 'NL', 'Netherlands'),
(46347, '81.58.35.112', '81.58.35.135', 1362764656, 1362764679, 'BE', 'Belgium'),
(46348, '81.58.35.136', '81.58.35.151', 1362764680, 1362764695, 'NL', 'Netherlands'),
(46349, '81.58.35.152', '81.58.35.159', 1362764696, 1362764703, 'BE', 'Belgium'),
(46350, '81.58.35.160', '81.58.35.167', 1362764704, 1362764711, 'NL', 'Netherlands'),
(46351, '81.58.35.168', '81.58.35.191', 1362764712, 1362764735, 'BE', 'Belgium'),
(46352, '81.58.35.192', '81.58.35.199', 1362764736, 1362764743, 'NL', 'Netherlands'),
(46353, '81.58.35.200', '81.58.35.207', 1362764744, 1362764751, 'BE', 'Belgium'),
(46354, '81.58.35.208', '81.58.35.215', 1362764752, 1362764759, 'NL', 'Netherlands'),
(46355, '81.58.35.216', '81.58.35.231', 1362764760, 1362764775, 'BE', 'Belgium'),
(46356, '81.58.35.232', '81.58.35.247', 1362764776, 1362764791, 'NL', 'Netherlands'),
(46357, '81.58.35.248', '81.58.36.7', 1362764792, 1362764807, 'BE', 'Belgium'),
(46358, '81.58.36.8', '81.58.36.23', 1362764808, 1362764823, 'NL', 'Netherlands'),
(46359, '81.58.36.24', '81.58.36.31', 1362764824, 1362764831, 'BE', 'Belgium'),
(46360, '81.58.36.32', '81.58.36.47', 1362764832, 1362764847, 'NL', 'Netherlands'),
(46361, '81.58.36.48', '81.58.36.55', 1362764848, 1362764855, 'BE', 'Belgium'),
(46362, '81.58.36.56', '81.58.36.71', 1362764856, 1362764871, 'NL', 'Netherlands'),
(46363, '81.58.36.72', '81.58.36.87', 1362764872, 1362764887, 'BE', 'Belgium'),
(46364, '81.58.36.88', '81.58.36.95', 1362764888, 1362764895, 'NL', 'Netherlands'),
(46365, '81.58.36.96', '81.58.36.111', 1362764896, 1362764911, 'BE', 'Belgium'),
(46366, '81.58.36.112', '81.58.36.127', 1362764912, 1362764927, 'NL', 'Netherlands'),
(46367, '81.58.36.128', '81.58.36.135', 1362764928, 1362764935, 'BE', 'Belgium'),
(46368, '81.58.36.136', '81.58.36.175', 1362764936, 1362764975, 'NL', 'Netherlands'),
(46369, '81.58.36.176', '81.58.36.191', 1362764976, 1362764991, 'BE', 'Belgium'),
(46370, '81.58.36.192', '81.58.36.199', 1362764992, 1362764999, 'NL', 'Netherlands'),
(46371, '81.58.36.200', '81.58.36.215', 1362765000, 1362765015, 'BE', 'Belgium'),
(46372, '81.58.36.216', '81.58.36.223', 1362765016, 1362765023, 'NL', 'Netherlands'),
(46373, '81.58.36.224', '81.58.36.247', 1362765024, 1362765047, 'BE', 'Belgium'),
(46374, '81.58.36.248', '81.58.37.7', 1362765048, 1362765063, 'NL', 'Netherlands'),
(46375, '81.58.37.8', '81.58.37.15', 1362765064, 1362765071, 'BE', 'Belgium'),
(46376, '81.58.37.16', '81.58.37.23', 1362765072, 1362765079, 'NL', 'Netherlands'),
(46377, '81.58.37.24', '81.58.37.31', 1362765080, 1362765087, 'BE', 'Belgium'),
(46378, '81.58.37.32', '81.58.37.39', 1362765088, 1362765095, 'NL', 'Netherlands'),
(46379, '81.58.37.40', '81.58.37.71', 1362765096, 1362765127, 'BE', 'Belgium'),
(46380, '81.58.37.72', '81.58.37.79', 1362765128, 1362765135, 'NL', 'Netherlands'),
(46381, '81.58.37.80', '81.58.37.95', 1362765136, 1362765151, 'BE', 'Belgium'),
(46382, '81.58.37.96', '81.58.37.119', 1362765152, 1362765175, 'NL', 'Netherlands'),
(46383, '81.58.37.120', '81.58.37.135', 1362765176, 1362765191, 'BE', 'Belgium'),
(46384, '81.58.37.136', '81.58.37.143', 1362765192, 1362765199, 'NL', 'Netherlands'),
(46385, '81.58.37.144', '81.58.37.159', 1362765200, 1362765215, 'BE', 'Belgium'),
(46386, '81.58.37.160', '81.58.37.183', 1362765216, 1362765239, 'NL', 'Netherlands'),
(46387, '81.58.37.184', '81.58.37.191', 1362765240, 1362765247, 'BE', 'Belgium'),
(46388, '81.58.37.192', '81.58.37.199', 1362765248, 1362765255, 'NL', 'Netherlands'),
(46389, '81.58.37.200', '81.58.37.207', 1362765256, 1362765263, 'BE', 'Belgium'),
(46390, '81.58.37.208', '81.58.37.255', 1362765264, 1362765311, 'NL', 'Netherlands'),
(46391, '81.58.38.0', '81.58.38.7', 1362765312, 1362765319, 'BE', 'Belgium'),
(46392, '81.58.38.8', '81.58.38.15', 1362765320, 1362765327, 'NL', 'Netherlands'),
(46393, '81.58.38.16', '81.58.38.31', 1362765328, 1362765343, 'BE', 'Belgium'),
(46394, '81.58.38.32', '81.58.38.63', 1362765344, 1362765375, 'NL', 'Netherlands'),
(46395, '81.58.38.64', '81.58.38.95', 1362765376, 1362765407, 'BE', 'Belgium'),
(46396, '81.58.38.96', '81.58.38.103', 1362765408, 1362765415, 'NL', 'Netherlands'),
(46397, '81.58.38.104', '81.58.38.119', 1362765416, 1362765431, 'BE', 'Belgium'),
(46398, '81.58.38.120', '81.58.38.135', 1362765432, 1362765447, 'NL', 'Netherlands'),
(46399, '81.58.38.136', '81.58.38.143', 1362765448, 1362765455, 'BE', 'Belgium'),
(46400, '81.58.38.144', '81.58.38.151', 1362765456, 1362765463, 'NL', 'Netherlands'),
(46401, '81.58.38.152', '81.58.38.159', 1362765464, 1362765471, 'BE', 'Belgium'),
(46402, '81.58.38.160', '81.58.38.183', 1362765472, 1362765495, 'NL', 'Netherlands'),
(46403, '81.58.38.184', '81.58.38.199', 1362765496, 1362765511, 'BE', 'Belgium'),
(46404, '81.58.38.200', '81.58.38.207', 1362765512, 1362765519, 'NL', 'Netherlands'),
(46405, '81.58.38.208', '81.58.38.223', 1362765520, 1362765535, 'BE', 'Belgium'),
(46406, '81.58.38.224', '81.58.38.239', 1362765536, 1362765551, 'NL', 'Netherlands'),
(46407, '81.58.38.240', '81.58.38.247', 1362765552, 1362765559, 'BE', 'Belgium'),
(46408, '81.58.38.248', '81.58.39.7', 1362765560, 1362765575, 'NL', 'Netherlands'),
(46409, '81.58.39.8', '81.58.39.31', 1362765576, 1362765599, 'BE', 'Belgium'),
(46410, '81.58.39.32', '81.58.39.39', 1362765600, 1362765607, 'NL', 'Netherlands'),
(46411, '81.58.39.40', '81.58.39.47', 1362765608, 1362765615, 'BE', 'Belgium'),
(46412, '81.58.39.48', '81.58.39.71', 1362765616, 1362765639, 'NL', 'Netherlands'),
(46413, '81.58.39.72', '81.58.39.79', 1362765640, 1362765647, 'BE', 'Belgium'),
(46414, '81.58.39.80', '81.58.39.87', 1362765648, 1362765655, 'NL', 'Netherlands'),
(46415, '81.58.39.88', '81.58.39.95', 1362765656, 1362765663, 'BE', 'Belgium'),
(46416, '81.58.39.96', '81.58.39.135', 1362765664, 1362765703, 'NL', 'Netherlands'),
(46417, '81.58.39.136', '81.58.39.143', 1362765704, 1362765711, 'BE', 'Belgium'),
(46418, '81.58.39.144', '81.58.39.159', 1362765712, 1362765727, 'NL', 'Netherlands'),
(46419, '81.58.39.160', '81.58.39.167', 1362765728, 1362765735, 'BE', 'Belgium'),
(46420, '81.58.39.168', '81.58.39.191', 1362765736, 1362765759, 'NL', 'Netherlands'),
(46421, '81.58.39.192', '81.58.39.199', 1362765760, 1362765767, 'BE', 'Belgium'),
(46422, '81.58.39.200', '81.58.39.215', 1362765768, 1362765783, 'NL', 'Netherlands'),
(46423, '81.58.39.216', '81.58.39.239', 1362765784, 1362765807, 'BE', 'Belgium'),
(46424, '81.58.39.240', '81.58.39.255', 1362765808, 1362765823, 'NL', 'Netherlands'),
(46425, '81.58.40.0', '81.58.40.23', 1362765824, 1362765847, 'BE', 'Belgium'),
(46426, '81.58.40.24', '81.58.40.95', 1362765848, 1362765919, 'NL', 'Netherlands'),
(46427, '81.58.40.96', '81.58.40.119', 1362765920, 1362765943, 'BE', 'Belgium'),
(46428, '81.58.40.120', '81.58.40.135', 1362765944, 1362765959, 'NL', 'Netherlands'),
(46429, '81.58.40.136', '81.58.40.143', 1362765960, 1362765967, 'BE', 'Belgium'),
(46430, '81.58.40.144', '81.58.40.167', 1362765968, 1362765991, 'NL', 'Netherlands'),
(46431, '81.58.40.168', '81.58.40.191', 1362765992, 1362766015, 'BE', 'Belgium'),
(46432, '81.58.40.192', '81.58.40.207', 1362766016, 1362766031, 'NL', 'Netherlands'),
(46433, '81.58.40.208', '81.58.40.247', 1362766032, 1362766071, 'BE', 'Belgium'),
(46434, '81.58.40.248', '81.58.41.15', 1362766072, 1362766095, 'NL', 'Netherlands'),
(46435, '81.58.41.16', '81.58.41.39', 1362766096, 1362766119, 'BE', 'Belgium'),
(46436, '81.58.41.40', '81.58.41.47', 1362766120, 1362766127, 'NL', 'Netherlands'),
(46437, '81.58.41.48', '81.58.41.63', 1362766128, 1362766143, 'BE', 'Belgium'),
(46438, '81.58.41.64', '81.58.41.71', 1362766144, 1362766151, 'NL', 'Netherlands'),
(46439, '81.58.41.72', '81.58.41.79', 1362766152, 1362766159, 'BE', 'Belgium'),
(46440, '81.58.41.80', '81.58.41.95', 1362766160, 1362766175, 'NL', 'Netherlands'),
(46441, '81.58.41.96', '81.58.41.103', 1362766176, 1362766183, 'BE', 'Belgium'),
(46442, '81.58.41.104', '81.58.41.111', 1362766184, 1362766191, 'NL', 'Netherlands'),
(46443, '81.58.41.112', '81.58.41.127', 1362766192, 1362766207, 'BE', 'Belgium'),
(46444, '81.58.41.128', '81.58.41.135', 1362766208, 1362766215, 'NL', 'Netherlands'),
(46445, '81.58.41.136', '81.58.41.151', 1362766216, 1362766231, 'BE', 'Belgium'),
(46446, '81.58.41.152', '81.58.41.167', 1362766232, 1362766247, 'NL', 'Netherlands'),
(46447, '81.58.41.168', '81.58.41.175', 1362766248, 1362766255, 'BE', 'Belgium'),
(46448, '81.58.41.176', '81.58.41.199', 1362766256, 1362766279, 'NL', 'Netherlands'),
(46449, '81.58.41.200', '81.58.41.215', 1362766280, 1362766295, 'BE', 'Belgium'),
(46450, '81.58.41.216', '81.58.41.239', 1362766296, 1362766319, 'NL', 'Netherlands'),
(46451, '81.58.41.240', '81.58.41.255', 1362766320, 1362766335, 'BE', 'Belgium'),
(46452, '81.58.42.0', '81.58.42.15', 1362766336, 1362766351, 'NL', 'Netherlands'),
(46453, '81.58.42.16', '81.58.42.23', 1362766352, 1362766359, 'BE', 'Belgium'),
(46454, '81.58.42.24', '81.58.42.39', 1362766360, 1362766375, 'NL', 'Netherlands'),
(46455, '81.58.42.40', '81.58.42.47', 1362766376, 1362766383, 'BE', 'Belgium'),
(46456, '81.58.42.48', '81.58.42.71', 1362766384, 1362766407, 'NL', 'Netherlands'),
(46457, '81.58.42.72', '81.58.42.111', 1362766408, 1362766447, 'BE', 'Belgium'),
(46458, '81.58.42.112', '81.58.42.143', 1362766448, 1362766479, 'NL', 'Netherlands'),
(46459, '81.58.42.144', '81.58.42.151', 1362766480, 1362766487, 'BE', 'Belgium'),
(46460, '81.58.42.152', '81.58.42.167', 1362766488, 1362766503, 'NL', 'Netherlands'),
(46461, '81.58.42.168', '81.58.42.175', 1362766504, 1362766511, 'BE', 'Belgium'),
(46462, '81.58.42.176', '81.58.42.191', 1362766512, 1362766527, 'NL', 'Netherlands'),
(46463, '81.58.42.192', '81.58.42.199', 1362766528, 1362766535, 'BE', 'Belgium'),
(46464, '81.58.42.200', '81.58.42.215', 1362766536, 1362766551, 'NL', 'Netherlands'),
(46465, '81.58.42.216', '81.58.42.255', 1362766552, 1362766591, 'BE', 'Belgium'),
(46466, '81.58.43.0', '81.58.43.7', 1362766592, 1362766599, 'NL', 'Netherlands'),
(46467, '81.58.43.8', '81.58.43.23', 1362766600, 1362766615, 'BE', 'Belgium'),
(46468, '81.58.43.24', '81.58.43.31', 1362766616, 1362766623, 'NL', 'Netherlands'),
(46469, '81.58.43.32', '81.58.43.47', 1362766624, 1362766639, 'BE', 'Belgium'),
(46470, '81.58.43.48', '81.58.43.55', 1362766640, 1362766647, 'NL', 'Netherlands'),
(46471, '81.58.43.56', '81.58.43.71', 1362766648, 1362766663, 'BE', 'Belgium'),
(46472, '81.58.43.72', '81.58.43.79', 1362766664, 1362766671, 'NL', 'Netherlands'),
(46473, '81.58.43.80', '81.58.43.95', 1362766672, 1362766687, 'BE', 'Belgium'),
(46474, '81.58.43.96', '81.58.43.111', 1362766688, 1362766703, 'NL', 'Netherlands'),
(46475, '81.58.43.112', '81.58.43.119', 1362766704, 1362766711, 'BE', 'Belgium'),
(46476, '81.58.43.120', '81.58.43.135', 1362766712, 1362766727, 'NL', 'Netherlands'),
(46477, '81.58.43.136', '81.58.43.159', 1362766728, 1362766751, 'BE', 'Belgium'),
(46478, '81.58.43.160', '81.58.43.167', 1362766752, 1362766759, 'NL', 'Netherlands'),
(46479, '81.58.43.168', '81.58.43.175', 1362766760, 1362766767, 'BE', 'Belgium'),
(46480, '81.58.43.176', '81.58.43.239', 1362766768, 1362766831, 'NL', 'Netherlands'),
(46481, '81.58.43.240', '81.58.43.255', 1362766832, 1362766847, 'BE', 'Belgium'),
(46482, '81.58.44.0', '81.58.44.15', 1362766848, 1362766863, 'NL', 'Netherlands'),
(46483, '81.58.44.16', '81.58.44.23', 1362766864, 1362766871, 'BE', 'Belgium');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(46484, '81.58.44.24', '81.58.44.31', 1362766872, 1362766879, 'NL', 'Netherlands'),
(46485, '81.58.44.32', '81.58.44.39', 1362766880, 1362766887, 'BE', 'Belgium'),
(46486, '81.58.44.40', '81.58.44.47', 1362766888, 1362766895, 'NL', 'Netherlands'),
(46487, '81.58.44.48', '81.58.44.55', 1362766896, 1362766903, 'BE', 'Belgium'),
(46488, '81.58.44.56', '81.58.44.63', 1362766904, 1362766911, 'NL', 'Netherlands'),
(46489, '81.58.44.64', '81.58.44.71', 1362766912, 1362766919, 'BE', 'Belgium'),
(46490, '81.58.44.72', '81.58.44.79', 1362766920, 1362766927, 'NL', 'Netherlands'),
(46491, '81.58.44.80', '81.58.44.87', 1362766928, 1362766935, 'BE', 'Belgium'),
(46492, '81.58.44.88', '81.58.44.95', 1362766936, 1362766943, 'NL', 'Netherlands'),
(46493, '81.58.44.96', '81.58.44.111', 1362766944, 1362766959, 'BE', 'Belgium'),
(46494, '81.58.44.112', '81.58.44.119', 1362766960, 1362766967, 'NL', 'Netherlands'),
(46495, '81.58.44.120', '81.58.44.135', 1362766968, 1362766983, 'BE', 'Belgium'),
(46496, '81.58.44.136', '81.58.44.151', 1362766984, 1362766999, 'NL', 'Netherlands'),
(46497, '81.58.44.152', '81.58.44.183', 1362767000, 1362767031, 'BE', 'Belgium'),
(46498, '81.58.44.184', '81.58.44.191', 1362767032, 1362767039, 'NL', 'Netherlands'),
(46499, '81.58.44.192', '81.58.44.215', 1362767040, 1362767063, 'BE', 'Belgium'),
(46500, '81.58.44.216', '81.58.44.231', 1362767064, 1362767079, 'NL', 'Netherlands'),
(46501, '81.58.44.232', '81.58.44.239', 1362767080, 1362767087, 'BE', 'Belgium'),
(46502, '81.58.44.240', '81.58.44.247', 1362767088, 1362767095, 'NL', 'Netherlands'),
(46503, '81.58.44.248', '81.58.44.255', 1362767096, 1362767103, 'BE', 'Belgium'),
(46504, '81.58.45.0', '81.58.45.7', 1362767104, 1362767111, 'NL', 'Netherlands'),
(46505, '81.58.45.8', '81.58.45.23', 1362767112, 1362767127, 'BE', 'Belgium'),
(46506, '81.58.45.24', '81.58.45.31', 1362767128, 1362767135, 'NL', 'Netherlands'),
(46507, '81.58.45.32', '81.58.45.39', 1362767136, 1362767143, 'BE', 'Belgium'),
(46508, '81.58.45.40', '81.58.45.95', 1362767144, 1362767199, 'NL', 'Netherlands'),
(46509, '81.58.45.96', '81.58.45.103', 1362767200, 1362767207, 'BE', 'Belgium'),
(46510, '81.58.45.104', '81.58.45.119', 1362767208, 1362767223, 'NL', 'Netherlands'),
(46511, '81.58.45.120', '81.58.45.127', 1362767224, 1362767231, 'BE', 'Belgium'),
(46512, '81.58.45.128', '81.58.45.135', 1362767232, 1362767239, 'NL', 'Netherlands'),
(46513, '81.58.45.136', '81.58.45.151', 1362767240, 1362767255, 'BE', 'Belgium'),
(46514, '81.58.45.152', '81.58.45.199', 1362767256, 1362767303, 'NL', 'Netherlands'),
(46515, '81.58.45.200', '81.58.45.215', 1362767304, 1362767319, 'BE', 'Belgium'),
(46516, '81.58.45.216', '81.58.45.223', 1362767320, 1362767327, 'NL', 'Netherlands'),
(46517, '81.58.45.224', '81.58.45.231', 1362767328, 1362767335, 'BE', 'Belgium'),
(46518, '81.58.45.232', '81.58.45.239', 1362767336, 1362767343, 'NL', 'Netherlands'),
(46519, '81.58.45.240', '81.58.46.7', 1362767344, 1362767367, 'BE', 'Belgium'),
(46520, '81.58.46.8', '81.58.46.15', 1362767368, 1362767375, 'NL', 'Netherlands'),
(46521, '81.58.46.16', '81.58.46.23', 1362767376, 1362767383, 'BE', 'Belgium'),
(46522, '81.58.46.24', '81.58.46.47', 1362767384, 1362767407, 'NL', 'Netherlands'),
(46523, '81.58.46.48', '81.58.46.63', 1362767408, 1362767423, 'BE', 'Belgium'),
(46524, '81.58.46.64', '81.58.46.87', 1362767424, 1362767447, 'NL', 'Netherlands'),
(46525, '81.58.46.88', '81.58.46.103', 1362767448, 1362767463, 'BE', 'Belgium'),
(46526, '81.58.46.104', '81.58.46.119', 1362767464, 1362767479, 'NL', 'Netherlands'),
(46527, '81.58.46.120', '81.58.46.135', 1362767480, 1362767495, 'BE', 'Belgium'),
(46528, '81.58.46.136', '81.58.46.167', 1362767496, 1362767527, 'NL', 'Netherlands'),
(46529, '81.58.46.168', '81.58.46.175', 1362767528, 1362767535, 'BE', 'Belgium'),
(46530, '81.58.46.176', '81.58.46.183', 1362767536, 1362767543, 'NL', 'Netherlands'),
(46531, '81.58.46.184', '81.58.46.191', 1362767544, 1362767551, 'BE', 'Belgium'),
(46532, '81.58.46.192', '81.58.46.199', 1362767552, 1362767559, 'NL', 'Netherlands'),
(46533, '81.58.46.200', '81.58.46.215', 1362767560, 1362767575, 'BE', 'Belgium'),
(46534, '81.58.46.216', '81.58.46.247', 1362767576, 1362767607, 'NL', 'Netherlands'),
(46535, '81.58.46.248', '81.58.47.23', 1362767608, 1362767639, 'BE', 'Belgium'),
(46536, '81.58.47.24', '81.58.47.31', 1362767640, 1362767647, 'NL', 'Netherlands'),
(46537, '81.58.47.32', '81.58.47.47', 1362767648, 1362767663, 'BE', 'Belgium'),
(46538, '81.58.47.48', '81.58.47.55', 1362767664, 1362767671, 'NL', 'Netherlands'),
(46539, '81.58.47.56', '81.58.47.63', 1362767672, 1362767679, 'BE', 'Belgium'),
(46540, '81.58.47.64', '81.58.47.79', 1362767680, 1362767695, 'NL', 'Netherlands'),
(46541, '81.58.47.80', '81.58.47.95', 1362767696, 1362767711, 'BE', 'Belgium'),
(46542, '81.58.47.96', '81.58.47.103', 1362767712, 1362767719, 'NL', 'Netherlands'),
(46543, '81.58.47.104', '81.58.47.143', 1362767720, 1362767759, 'BE', 'Belgium'),
(46544, '81.58.47.144', '81.58.47.151', 1362767760, 1362767767, 'NL', 'Netherlands'),
(46545, '81.58.47.152', '81.58.47.159', 1362767768, 1362767775, 'BE', 'Belgium'),
(46546, '81.58.47.160', '81.58.47.167', 1362767776, 1362767783, 'NL', 'Netherlands'),
(46547, '81.58.47.168', '81.58.47.191', 1362767784, 1362767807, 'BE', 'Belgium'),
(46548, '81.58.47.192', '81.58.47.199', 1362767808, 1362767815, 'NL', 'Netherlands'),
(46549, '81.58.47.200', '81.58.47.223', 1362767816, 1362767839, 'BE', 'Belgium'),
(46550, '81.58.47.224', '81.58.47.247', 1362767840, 1362767863, 'NL', 'Netherlands'),
(46551, '81.58.47.248', '81.58.47.255', 1362767864, 1362767871, 'BE', 'Belgium'),
(46552, '81.58.48.0', '81.58.240.7', 1362767872, 1362817031, 'NL', 'Netherlands'),
(46553, '81.58.240.8', '81.58.240.15', 1362817032, 1362817039, 'BE', 'Belgium'),
(46554, '81.58.240.16', '81.58.240.23', 1362817040, 1362817047, 'NL', 'Netherlands'),
(46555, '81.58.240.24', '81.58.240.39', 1362817048, 1362817063, 'BE', 'Belgium'),
(46556, '81.58.240.40', '81.58.240.47', 1362817064, 1362817071, 'NL', 'Netherlands'),
(46557, '81.58.240.48', '81.58.240.63', 1362817072, 1362817087, 'BE', 'Belgium'),
(46558, '81.58.240.64', '81.58.240.79', 1362817088, 1362817103, 'NL', 'Netherlands'),
(46559, '81.58.240.80', '81.58.240.95', 1362817104, 1362817119, 'BE', 'Belgium'),
(46560, '81.58.240.96', '81.58.240.127', 1362817120, 1362817151, 'NL', 'Netherlands'),
(46561, '81.58.240.128', '81.58.240.191', 1362817152, 1362817215, 'BE', 'Belgium'),
(46562, '81.58.240.192', '81.58.240.247', 1362817216, 1362817271, 'NL', 'Netherlands'),
(46563, '81.58.240.248', '81.58.240.255', 1362817272, 1362817279, 'BE', 'Belgium'),
(46564, '81.58.241.0', '81.58.241.31', 1362817280, 1362817311, 'NL', 'Netherlands'),
(46565, '81.58.241.32', '81.58.241.63', 1362817312, 1362817343, 'BE', 'Belgium'),
(46566, '81.58.241.64', '81.58.241.79', 1362817344, 1362817359, 'NL', 'Netherlands'),
(46567, '81.58.241.80', '81.58.241.87', 1362817360, 1362817367, 'BE', 'Belgium'),
(46568, '81.58.241.88', '81.58.242.27', 1362817368, 1362817563, 'NL', 'Netherlands'),
(46569, '81.58.242.28', '81.58.242.47', 1362817564, 1362817583, 'BE', 'Belgium'),
(46570, '81.58.242.48', '81.58.242.119', 1362817584, 1362817655, 'NL', 'Netherlands'),
(46571, '81.58.242.120', '81.58.242.127', 1362817656, 1362817663, 'BE', 'Belgium'),
(46572, '81.58.242.128', '81.58.242.207', 1362817664, 1362817743, 'NL', 'Netherlands'),
(46573, '81.58.242.208', '81.58.244.43', 1362817744, 1362818091, 'BE', 'Belgium'),
(46574, '81.58.244.44', '81.58.244.44', 1362818092, 1362818092, 'NL', 'Netherlands'),
(46575, '81.58.244.45', '81.58.251.255', 1362818093, 1362820095, 'BE', 'Belgium'),
(46576, '81.58.252.0', '81.59.63.255', 1362820096, 1362837503, 'NL', 'Netherlands'),
(46577, '81.59.64.0', '81.59.95.255', 1362837504, 1362845695, 'BE', 'Belgium'),
(46578, '81.59.96.0', '81.59.191.255', 1362845696, 1362870271, 'NL', 'Netherlands'),
(46579, '81.59.192.0', '81.59.199.255', 1362870272, 1362872319, 'BE', 'Belgium'),
(46580, '81.59.200.0', '81.59.200.15', 1362872320, 1362872335, 'NL', 'Netherlands'),
(46581, '81.59.200.16', '81.59.200.23', 1362872336, 1362872343, 'BE', 'Belgium'),
(46582, '81.59.200.24', '81.59.200.31', 1362872344, 1362872351, 'NL', 'Netherlands'),
(46583, '81.59.200.32', '81.59.205.255', 1362872352, 1362873855, 'BE', 'Belgium'),
(46584, '81.59.206.0', '81.59.206.3', 1362873856, 1362873859, 'NL', 'Netherlands'),
(46585, '81.59.206.4', '81.59.207.255', 1362873860, 1362874367, 'BE', 'Belgium'),
(46586, '81.59.208.0', '81.59.208.7', 1362874368, 1362874375, 'NL', 'Netherlands'),
(46587, '81.59.208.8', '81.59.213.255', 1362874376, 1362875903, 'BE', 'Belgium'),
(46588, '81.59.214.0', '81.59.214.3', 1362875904, 1362875907, 'NL', 'Netherlands'),
(46589, '81.59.214.4', '81.59.216.7', 1362875908, 1362876423, 'BE', 'Belgium'),
(46590, '81.59.216.8', '81.59.216.15', 1362876424, 1362876431, 'NL', 'Netherlands'),
(46591, '81.59.216.16', '81.59.216.23', 1362876432, 1362876439, 'BE', 'Belgium'),
(46592, '81.59.216.24', '81.59.216.47', 1362876440, 1362876463, 'NL', 'Netherlands'),
(46593, '81.59.216.48', '81.59.216.55', 1362876464, 1362876471, 'BE', 'Belgium'),
(46594, '81.59.216.56', '81.59.216.119', 1362876472, 1362876535, 'NL', 'Netherlands'),
(46595, '81.59.216.120', '81.59.216.127', 1362876536, 1362876543, 'BE', 'Belgium'),
(46596, '81.59.216.128', '81.59.216.167', 1362876544, 1362876583, 'NL', 'Netherlands'),
(46597, '81.59.216.168', '81.59.216.191', 1362876584, 1362876607, 'BE', 'Belgium'),
(46598, '81.59.216.192', '81.59.216.223', 1362876608, 1362876639, 'NL', 'Netherlands'),
(46599, '81.59.216.224', '81.59.222.11', 1362876640, 1362877963, 'BE', 'Belgium'),
(46600, '81.59.222.12', '81.59.222.27', 1362877964, 1362877979, 'NL', 'Netherlands'),
(46601, '81.59.222.28', '81.59.222.31', 1362877980, 1362877983, 'BE', 'Belgium'),
(46602, '81.59.222.32', '81.59.222.47', 1362877984, 1362877999, 'NL', 'Netherlands'),
(46603, '81.59.222.48', '81.59.222.51', 1362878000, 1362878003, 'BE', 'Belgium'),
(46604, '81.59.222.52', '81.59.222.63', 1362878004, 1362878015, 'NL', 'Netherlands'),
(46605, '81.59.222.64', '81.59.223.255', 1362878016, 1362878463, 'BE', 'Belgium'),
(46606, '81.59.224.0', '81.59.224.7', 1362878464, 1362878471, 'NL', 'Netherlands'),
(46607, '81.59.224.8', '81.59.229.255', 1362878472, 1362879999, 'BE', 'Belgium'),
(46608, '81.59.230.0', '81.59.230.3', 1362880000, 1362880003, 'NL', 'Netherlands'),
(46609, '81.59.230.4', '81.59.232.15', 1362880004, 1362880527, 'BE', 'Belgium'),
(46610, '81.59.232.16', '81.59.232.215', 1362880528, 1362880727, 'NL', 'Netherlands'),
(46611, '81.59.232.216', '81.59.232.223', 1362880728, 1362880735, 'BE', 'Belgium'),
(46612, '81.59.232.224', '81.59.232.231', 1362880736, 1362880743, 'NL', 'Netherlands'),
(46613, '81.59.232.232', '81.59.232.239', 1362880744, 1362880751, 'BE', 'Belgium'),
(46614, '81.59.232.240', '81.59.233.15', 1362880752, 1362880783, 'NL', 'Netherlands'),
(46615, '81.59.233.16', '81.59.233.31', 1362880784, 1362880799, 'BE', 'Belgium'),
(46616, '81.59.233.32', '81.59.233.79', 1362880800, 1362880847, 'NL', 'Netherlands'),
(46617, '81.59.233.80', '81.59.233.87', 1362880848, 1362880855, 'BE', 'Belgium'),
(46618, '81.59.233.88', '81.59.233.127', 1362880856, 1362880895, 'NL', 'Netherlands'),
(46619, '81.59.233.128', '81.59.233.191', 1362880896, 1362880959, 'BE', 'Belgium'),
(46620, '81.59.233.192', '81.59.233.199', 1362880960, 1362880967, 'NL', 'Netherlands'),
(46621, '81.59.233.200', '81.59.233.207', 1362880968, 1362880975, 'BE', 'Belgium'),
(46622, '81.59.233.208', '81.59.233.231', 1362880976, 1362880999, 'NL', 'Netherlands'),
(46623, '81.59.233.232', '81.59.233.239', 1362881000, 1362881007, 'BE', 'Belgium'),
(46624, '81.59.233.240', '81.59.233.255', 1362881008, 1362881023, 'NL', 'Netherlands'),
(46625, '81.59.234.0', '81.59.234.31', 1362881024, 1362881055, 'BE', 'Belgium'),
(46626, '81.59.234.32', '81.59.234.63', 1362881056, 1362881087, 'NL', 'Netherlands'),
(46627, '81.59.234.64', '81.59.234.79', 1362881088, 1362881103, 'BE', 'Belgium'),
(46628, '81.59.234.80', '81.59.234.87', 1362881104, 1362881111, 'NL', 'Netherlands'),
(46629, '81.59.234.88', '81.59.237.255', 1362881112, 1362882047, 'BE', 'Belgium'),
(46630, '81.59.238.0', '81.59.238.3', 1362882048, 1362882051, 'NL', 'Netherlands'),
(46631, '81.59.238.4', '81.59.238.7', 1362882052, 1362882055, 'BE', 'Belgium'),
(46632, '81.59.238.8', '81.59.238.19', 1362882056, 1362882067, 'NL', 'Netherlands'),
(46633, '81.59.238.20', '81.59.238.23', 1362882068, 1362882071, 'BE', 'Belgium'),
(46634, '81.59.238.24', '81.59.238.95', 1362882072, 1362882143, 'NL', 'Netherlands'),
(46635, '81.59.238.96', '81.59.238.107', 1362882144, 1362882155, 'BE', 'Belgium'),
(46636, '81.59.238.108', '81.59.238.159', 1362882156, 1362882207, 'NL', 'Netherlands'),
(46637, '81.59.238.160', '81.59.238.163', 1362882208, 1362882211, 'BE', 'Belgium'),
(46638, '81.59.238.164', '81.59.238.171', 1362882212, 1362882219, 'NL', 'Netherlands'),
(46639, '81.59.238.172', '81.59.238.175', 1362882220, 1362882223, 'BE', 'Belgium'),
(46640, '81.59.238.176', '81.59.238.183', 1362882224, 1362882231, 'NL', 'Netherlands'),
(46641, '81.59.238.184', '81.59.245.255', 1362882232, 1362884095, 'BE', 'Belgium'),
(46642, '81.59.246.0', '81.59.246.3', 1362884096, 1362884099, 'NL', 'Netherlands'),
(46643, '81.59.246.4', '81.59.249.255', 1362884100, 1362885119, 'BE', 'Belgium'),
(46644, '81.59.250.0', '81.59.254.255', 1362885120, 1362886399, 'NL', 'Netherlands'),
(46645, '81.59.255.0', '81.59.255.0', 1362886400, 1362886400, 'BE', 'Belgium'),
(46646, '81.59.255.1', '81.59.255.9', 1362886401, 1362886409, 'NL', 'Netherlands'),
(46647, '81.59.255.10', '81.59.255.13', 1362886410, 1362886413, 'BE', 'Belgium'),
(46648, '81.59.255.14', '81.59.255.16', 1362886414, 1362886416, 'NL', 'Netherlands'),
(46649, '81.59.255.17', '81.59.255.19', 1362886417, 1362886419, 'BE', 'Belgium'),
(46650, '81.59.255.20', '81.59.255.21', 1362886420, 1362886421, 'NL', 'Netherlands'),
(46651, '81.59.255.22', '81.59.255.22', 1362886422, 1362886422, 'BE', 'Belgium'),
(46652, '81.59.255.23', '81.59.255.23', 1362886423, 1362886423, 'NL', 'Netherlands'),
(46653, '81.59.255.24', '81.59.255.255', 1362886424, 1362886655, 'BE', 'Belgium'),
(46654, '81.60.0.0', '81.61.255.255', 1362886656, 1363017727, 'ES', 'Spain'),
(46655, '81.62.0.0', '81.63.255.255', 1363017728, 1363148799, 'CH', 'Switzerland'),
(46656, '81.64.0.0', '81.67.255.255', 1363148800, 1363410943, 'FR', 'France'),
(46657, '81.68.0.0', '81.71.255.255', 1363410944, 1363673087, 'NL', 'Netherlands'),
(46658, '81.72.0.0', '81.75.255.255', 1363673088, 1363935231, 'IT', 'Italy'),
(46659, '81.76.0.0', '81.79.255.255', 1363935232, 1364197375, 'GB', 'United Kingdom'),
(46660, '81.80.0.0', '81.80.26.2', 1364197376, 1364204034, 'FR', 'France'),
(46661, '81.80.26.3', '81.80.26.3', 1364204035, 1364204035, 'GB', 'United Kingdom'),
(46662, '81.80.26.4', '81.80.255.255', 1364204036, 1364262911, 'FR', 'France'),
(46663, '81.81.0.0', '81.81.255.255', 1364262912, 1364328447, 'IT', 'Italy'),
(46664, '81.82.0.0', '81.83.255.255', 1364328448, 1364459519, 'BE', 'Belgium'),
(46665, '81.84.0.0', '81.84.255.255', 1364459520, 1364525055, 'PT', 'Portugal'),
(46666, '81.85.0.0', '81.85.0.255', 1364525056, 1364525311, 'NL', 'Netherlands'),
(46667, '81.85.1.0', '81.85.1.255', 1364525312, 1364525567, 'A2', 'Satellite Provider'),
(46668, '81.85.2.0', '81.85.4.255', 1364525568, 1364526335, 'NL', 'Netherlands'),
(46669, '81.85.5.0', '81.85.5.255', 1364526336, 1364526591, 'US', 'United States'),
(46670, '81.85.6.0', '81.85.13.255', 1364526592, 1364528639, 'GB', 'United Kingdom'),
(46671, '81.85.14.0', '81.85.14.255', 1364528640, 1364528895, 'UA', 'Ukraine'),
(46672, '81.85.15.0', '81.85.19.255', 1364528896, 1364530175, 'GB', 'United Kingdom'),
(46673, '81.85.20.0', '81.85.24.255', 1364530176, 1364531455, 'NL', 'Netherlands'),
(46674, '81.85.25.0', '81.85.25.255', 1364531456, 1364531711, 'IT', 'Italy'),
(46675, '81.85.26.0', '81.85.60.255', 1364531712, 1364540671, 'NL', 'Netherlands'),
(46676, '81.85.61.0', '81.85.61.255', 1364540672, 1364540927, 'US', 'United States'),
(46677, '81.85.62.0', '81.85.202.255', 1364540928, 1364577023, 'NL', 'Netherlands'),
(46678, '81.85.203.0', '81.85.203.255', 1364577024, 1364577279, 'GB', 'United Kingdom'),
(46679, '81.85.204.0', '81.85.205.255', 1364577280, 1364577791, 'NL', 'Netherlands'),
(46680, '81.85.206.0', '81.85.207.255', 1364577792, 1364578303, 'GB', 'United Kingdom'),
(46681, '81.85.208.0', '81.85.213.255', 1364578304, 1364579839, 'NL', 'Netherlands'),
(46682, '81.85.214.0', '81.85.214.255', 1364579840, 1364580095, 'US', 'United States'),
(46683, '81.85.215.0', '81.85.219.255', 1364580096, 1364581375, 'NL', 'Netherlands'),
(46684, '81.85.220.0', '81.85.223.255', 1364581376, 1364582399, 'LY', 'Libyan Arab Jamahiriya'),
(46685, '81.85.224.0', '81.85.224.15', 1364582400, 1364582415, 'NL', 'Netherlands'),
(46686, '81.85.224.16', '81.85.224.31', 1364582416, 1364582431, 'LB', 'Lebanon'),
(46687, '81.85.224.32', '81.85.236.255', 1364582432, 1364585727, 'NL', 'Netherlands'),
(46688, '81.85.237.0', '81.85.237.255', 1364585728, 1364585983, 'CA', 'Canada'),
(46689, '81.85.238.0', '81.85.239.0', 1364585984, 1364586240, 'LB', 'Lebanon'),
(46690, '81.85.239.1', '81.85.239.255', 1364586241, 1364586495, 'NL', 'Netherlands'),
(46691, '81.85.240.0', '81.85.241.0', 1364586496, 1364586752, 'LB', 'Lebanon'),
(46692, '81.85.241.1', '81.85.242.255', 1364586753, 1364587263, 'NL', 'Netherlands'),
(46693, '81.85.243.0', '81.85.243.255', 1364587264, 1364587519, 'US', 'United States'),
(46694, '81.85.244.0', '81.85.249.177', 1364587520, 1364588977, 'NL', 'Netherlands'),
(46695, '81.85.249.178', '81.85.249.178', 1364588978, 1364588978, 'US', 'United States'),
(46696, '81.85.249.179', '81.85.251.255', 1364588979, 1364589567, 'NL', 'Netherlands'),
(46697, '81.85.252.0', '81.85.252.255', 1364589568, 1364589823, 'A2', 'Satellite Provider'),
(46698, '81.85.253.0', '81.85.254.255', 1364589824, 1364590335, 'NL', 'Netherlands'),
(46699, '81.85.255.0', '81.85.255.255', 1364590336, 1364590591, 'US', 'United States'),
(46700, '81.86.0.0', '81.87.255.255', 1364590592, 1364721663, 'GB', 'United Kingdom'),
(46701, '81.88.0.0', '81.88.15.255', 1364721664, 1364725759, 'SE', 'Sweden'),
(46702, '81.88.16.0', '81.88.47.255', 1364725760, 1364733951, 'DE', 'Germany'),
(46703, '81.88.48.0', '81.88.63.255', 1364733952, 1364738047, 'IT', 'Italy'),
(46704, '81.88.64.0', '81.88.79.255', 1364738048, 1364742143, 'NO', 'Norway'),
(46705, '81.88.80.0', '81.88.95.255', 1364742144, 1364746239, 'RU', 'Russian Federation'),
(46706, '81.88.96.0', '81.88.107.255', 1364746240, 1364749311, 'FR', 'France'),
(46707, '81.88.108.0', '81.88.108.62', 1364749312, 1364749374, 'BE', 'Belgium'),
(46708, '81.88.108.63', '81.88.108.143', 1364749375, 1364749455, 'FR', 'France'),
(46709, '81.88.108.144', '81.88.108.151', 1364749456, 1364749463, 'BE', 'Belgium'),
(46710, '81.88.108.152', '81.88.108.159', 1364749464, 1364749471, 'FR', 'France'),
(46711, '81.88.108.160', '81.88.109.15', 1364749472, 1364749583, 'BE', 'Belgium'),
(46712, '81.88.109.16', '81.88.109.31', 1364749584, 1364749599, 'FR', 'France'),
(46713, '81.88.109.32', '81.88.109.128', 1364749600, 1364749696, 'BE', 'Belgium'),
(46714, '81.88.109.129', '81.88.109.255', 1364749697, 1364749823, 'FR', 'France'),
(46715, '81.88.110.0', '81.88.110.159', 1364749824, 1364749983, 'BE', 'Belgium'),
(46716, '81.88.110.160', '81.88.110.167', 1364749984, 1364749991, 'FR', 'France'),
(46717, '81.88.110.168', '81.88.110.255', 1364749992, 1364750079, 'BE', 'Belgium'),
(46718, '81.88.111.0', '81.88.111.255', 1364750080, 1364750335, 'FR', 'France'),
(46719, '81.88.112.0', '81.88.127.255', 1364750336, 1364754431, 'RU', 'Russian Federation'),
(46720, '81.88.128.0', '81.88.143.255', 1364754432, 1364758527, 'SK', 'Slovakia'),
(46721, '81.88.144.0', '81.88.159.255', 1364758528, 1364762623, 'KZ', 'Kazakhstan'),
(46722, '81.88.160.0', '81.88.175.255', 1364762624, 1364766719, 'GB', 'United Kingdom'),
(46723, '81.88.176.0', '81.88.191.255', 1364766720, 1364770815, 'CH', 'Switzerland'),
(46724, '81.88.192.0', '81.88.207.255', 1364770816, 1364774911, 'KG', 'Kyrgyzstan'),
(46725, '81.88.208.0', '81.88.223.255', 1364774912, 1364779007, 'RU', 'Russian Federation'),
(46726, '81.88.224.0', '81.88.255.255', 1364779008, 1364787199, 'IT', 'Italy'),
(46727, '81.89.0.0', '81.89.31.255', 1364787200, 1364795391, 'RO', 'Romania'),
(46728, '81.89.32.0', '81.89.47.255', 1364795392, 1364799487, 'ES', 'Spain'),
(46729, '81.89.48.0', '81.89.63.255', 1364799488, 1364803583, 'SK', 'Slovakia'),
(46730, '81.89.64.0', '81.89.87.255', 1364803584, 1364809727, 'RU', 'Russian Federation'),
(46731, '81.89.88.0', '81.89.111.255', 1364809728, 1364815871, 'DE', 'Germany'),
(46732, '81.89.112.0', '81.89.127.255', 1364815872, 1364819967, 'RU', 'Russian Federation'),
(46733, '81.89.128.0', '81.89.140.255', 1364819968, 1364823295, 'GB', 'United Kingdom'),
(46734, '81.89.141.0', '81.89.141.15', 1364823296, 1364823311, 'AE', 'United Arab Emirates'),
(46735, '81.89.141.16', '81.89.143.255', 1364823312, 1364824063, 'GB', 'United Kingdom'),
(46736, '81.89.144.0', '81.89.159.255', 1364824064, 1364828159, 'SE', 'Sweden'),
(46737, '81.89.160.0', '81.89.164.255', 1364828160, 1364829439, 'GB', 'United Kingdom'),
(46738, '81.89.165.0', '81.89.165.47', 1364829440, 1364829487, 'FR', 'France'),
(46739, '81.89.165.48', '81.89.165.63', 1364829488, 1364829503, 'GB', 'United Kingdom'),
(46740, '81.89.165.64', '81.89.165.87', 1364829504, 1364829527, 'FR', 'France'),
(46741, '81.89.165.88', '81.89.175.255', 1364829528, 1364832255, 'GB', 'United Kingdom'),
(46742, '81.89.176.0', '81.89.191.255', 1364832256, 1364836351, 'RU', 'Russian Federation'),
(46743, '81.89.192.0', '81.89.207.255', 1364836352, 1364840447, 'DE', 'Germany'),
(46744, '81.89.208.0', '81.89.223.255', 1364840448, 1364844543, 'AM', 'Armenia'),
(46745, '81.89.224.0', '81.89.253.143', 1364844544, 1364852111, 'DE', 'Germany'),
(46746, '81.89.253.144', '81.89.253.159', 1364852112, 1364852127, 'GB', 'United Kingdom'),
(46747, '81.89.253.160', '81.89.254.255', 1364852128, 1364852479, 'DE', 'Germany'),
(46748, '81.89.255.0', '81.89.255.255', 1364852480, 1364852735, 'GB', 'United Kingdom'),
(46749, '81.90.0.0', '81.90.15.255', 1364852736, 1364856831, 'RU', 'Russian Federation'),
(46750, '81.90.16.0', '81.90.31.255', 1364856832, 1364860927, 'IQ', 'Iraq'),
(46751, '81.90.32.0', '81.90.47.255', 1364860928, 1364865023, 'DE', 'Germany'),
(46752, '81.90.48.0', '81.90.63.255', 1364865024, 1364869119, 'PT', 'Portugal'),
(46753, '81.90.64.0', '81.90.79.255', 1364869120, 1364873215, 'FI', 'Finland'),
(46754, '81.90.80.0', '81.90.95.255', 1364873216, 1364877311, 'GB', 'United Kingdom'),
(46755, '81.90.96.0', '81.90.111.255', 1364877312, 1364881407, 'ES', 'Spain'),
(46756, '81.90.112.0', '81.90.127.255', 1364881408, 1364885503, 'EE', 'Estonia'),
(46757, '81.90.128.0', '81.90.143.255', 1364885504, 1364889599, 'GB', 'United Kingdom'),
(46758, '81.90.144.0', '81.90.159.255', 1364889600, 1364893695, 'IR', 'Iran, Islamic Republic of'),
(46759, '81.90.160.0', '81.90.175.255', 1364893696, 1364897791, 'CZ', 'Czech Republic'),
(46760, '81.90.176.0', '81.90.191.255', 1364897792, 1364901887, 'SI', 'Slovenia'),
(46761, '81.90.192.0', '81.90.207.255', 1364901888, 1364905983, 'DE', 'Germany'),
(46762, '81.90.208.0', '81.90.223.255', 1364905984, 1364910079, 'RU', 'Russian Federation'),
(46763, '81.90.224.0', '81.90.239.255', 1364910080, 1364914175, 'UA', 'Ukraine'),
(46764, '81.90.240.0', '81.90.255.255', 1364914176, 1364918271, 'CZ', 'Czech Republic'),
(46765, '81.91.0.0', '81.91.15.255', 1364918272, 1364922367, 'SE', 'Sweden'),
(46766, '81.91.16.0', '81.91.31.255', 1364922368, 1364926463, 'TR', 'Turkey'),
(46767, '81.91.32.0', '81.91.63.255', 1364926464, 1364934655, 'RU', 'Russian Federation'),
(46768, '81.91.64.0', '81.91.79.255', 1364934656, 1364938751, 'FR', 'France'),
(46769, '81.91.80.0', '81.91.95.255', 1364938752, 1364942847, 'CZ', 'Czech Republic'),
(46770, '81.91.96.0', '81.91.111.255', 1364942848, 1364946943, 'GB', 'United Kingdom'),
(46771, '81.91.112.0', '81.91.112.223', 1364946944, 1364947167, 'TR', 'Turkey'),
(46772, '81.91.112.224', '81.91.112.255', 1364947168, 1364947199, 'US', 'United States'),
(46773, '81.91.113.0', '81.91.117.255', 1364947200, 1364948479, 'GB', 'United Kingdom'),
(46774, '81.91.118.0', '81.91.120.255', 1364948480, 1364949247, 'TR', 'Turkey'),
(46775, '81.91.121.0', '81.91.121.255', 1364949248, 1364949503, 'CY', 'Cyprus'),
(46776, '81.91.122.0', '81.91.122.255', 1364949504, 1364949759, 'TR', 'Turkey'),
(46777, '81.91.123.0', '81.91.123.255', 1364949760, 1364950015, 'CY', 'Cyprus'),
(46778, '81.91.124.0', '81.91.125.255', 1364950016, 1364950527, 'TR', 'Turkey'),
(46779, '81.91.126.0', '81.91.126.255', 1364950528, 1364950783, 'CY', 'Cyprus'),
(46780, '81.91.127.0', '81.91.127.63', 1364950784, 1364950847, 'TR', 'Turkey'),
(46781, '81.91.127.64', '81.91.127.127', 1364950848, 1364950911, 'GB', 'United Kingdom'),
(46782, '81.91.127.128', '81.91.127.255', 1364950912, 1364951039, 'TR', 'Turkey'),
(46783, '81.91.128.0', '81.91.159.255', 1364951040, 1364959231, 'IR', 'Iran, Islamic Republic of'),
(46784, '81.91.160.0', '81.91.175.255', 1364959232, 1364963327, 'DE', 'Germany'),
(46785, '81.91.176.0', '81.91.191.255', 1364963328, 1364967423, 'RU', 'Russian Federation'),
(46786, '81.91.192.0', '81.91.201.255', 1364967424, 1364969983, 'GB', 'United Kingdom'),
(46787, '81.91.202.0', '81.91.202.255', 1364969984, 1364970239, 'FR', 'France'),
(46788, '81.91.203.0', '81.91.203.255', 1364970240, 1364970495, 'US', 'United States'),
(46789, '81.91.204.0', '81.91.207.255', 1364970496, 1364971519, 'GB', 'United Kingdom'),
(46790, '81.91.208.0', '81.91.223.255', 1364971520, 1364975615, 'CZ', 'Czech Republic'),
(46791, '81.91.224.0', '81.91.239.255', 1364975616, 1364979711, 'BJ', 'Benin'),
(46792, '81.91.240.0', '81.91.251.255', 1364979712, 1364982783, 'GB', 'United Kingdom'),
(46793, '81.91.252.0', '81.91.253.255', 1364982784, 1364983295, 'CH', 'Switzerland'),
(46794, '81.91.254.0', '81.91.254.255', 1364983296, 1364983551, 'US', 'United States'),
(46795, '81.91.255.0', '81.91.255.255', 1364983552, 1364983807, 'GB', 'United Kingdom'),
(46796, '81.92.0.0', '81.92.31.255', 1364983808, 1364991999, 'DE', 'Germany'),
(46797, '81.92.32.0', '81.92.47.255', 1364992000, 1364996095, 'IT', 'Italy'),
(46798, '81.92.48.0', '81.92.63.255', 1364996096, 1365000191, 'GR', 'Greece'),
(46799, '81.92.64.0', '81.92.73.255', 1365000192, 1365002751, 'SE', 'Sweden'),
(46800, '81.92.74.0', '81.92.75.255', 1365002752, 1365003263, 'GB', 'United Kingdom'),
(46801, '81.92.76.0', '81.92.78.127', 1365003264, 1365003903, 'SE', 'Sweden'),
(46802, '81.92.78.128', '81.92.79.3', 1365003904, 1365004035, 'GB', 'United Kingdom'),
(46803, '81.92.79.4', '81.92.79.7', 1365004036, 1365004039, 'SE', 'Sweden'),
(46804, '81.92.79.8', '81.92.79.15', 1365004040, 1365004047, 'GB', 'United Kingdom'),
(46805, '81.92.79.16', '81.92.79.31', 1365004048, 1365004063, 'SE', 'Sweden'),
(46806, '81.92.79.32', '81.92.79.255', 1365004064, 1365004287, 'GB', 'United Kingdom'),
(46807, '81.92.80.0', '81.92.95.255', 1365004288, 1365008383, 'FR', 'France'),
(46808, '81.92.96.0', '81.92.111.255', 1365008384, 1365012479, 'CH', 'Switzerland'),
(46809, '81.92.112.0', '81.92.112.255', 1365012480, 1365012735, 'FR', 'France'),
(46810, '81.92.113.0', '81.92.115.255', 1365012736, 1365013503, 'US', 'United States'),
(46811, '81.92.116.0', '81.92.116.127', 1365013504, 1365013631, 'FR', 'France'),
(46812, '81.92.116.128', '81.92.123.255', 1365013632, 1365015551, 'US', 'United States'),
(46813, '81.92.124.0', '81.92.125.31', 1365015552, 1365015839, 'FR', 'France'),
(46814, '81.92.125.32', '81.92.125.95', 1365015840, 1365015903, 'US', 'United States'),
(46815, '81.92.125.96', '81.92.125.111', 1365015904, 1365015919, 'GB', 'United Kingdom'),
(46816, '81.92.125.112', '81.92.125.119', 1365015920, 1365015927, 'DE', 'Germany'),
(46817, '81.92.125.120', '81.92.125.127', 1365015928, 1365015935, 'ES', 'Spain'),
(46818, '81.92.125.128', '81.92.125.239', 1365015936, 1365016047, 'US', 'United States'),
(46819, '81.92.125.240', '81.92.125.255', 1365016048, 1365016063, 'CN', 'China'),
(46820, '81.92.126.0', '81.92.126.15', 1365016064, 1365016079, 'FR', 'France'),
(46821, '81.92.126.16', '81.92.126.31', 1365016080, 1365016095, 'US', 'United States'),
(46822, '81.92.126.32', '81.92.126.47', 1365016096, 1365016111, 'FR', 'France'),
(46823, '81.92.126.48', '81.92.127.255', 1365016112, 1365016575, 'US', 'United States'),
(46824, '81.92.128.0', '81.92.143.255', 1365016576, 1365020671, 'ES', 'Spain'),
(46825, '81.92.144.0', '81.92.159.255', 1365020672, 1365024767, 'CZ', 'Czech Republic'),
(46826, '81.92.160.0', '81.92.171.255', 1365024768, 1365027839, 'DE', 'Germany'),
(46827, '81.92.172.0', '81.92.172.31', 1365027840, 1365027871, 'US', 'United States'),
(46828, '81.92.172.32', '81.92.175.255', 1365027872, 1365028863, 'DE', 'Germany'),
(46829, '81.92.176.0', '81.92.191.255', 1365028864, 1365032959, 'NL', 'Netherlands'),
(46830, '81.92.192.0', '81.92.223.255', 1365032960, 1365041151, 'PT', 'Portugal'),
(46831, '81.92.224.0', '81.92.224.255', 1365041152, 1365041407, 'IQ', 'Iraq'),
(46832, '81.92.225.0', '81.92.225.255', 1365041408, 1365041663, 'LU', 'Luxembourg'),
(46833, '81.92.226.0', '81.92.226.31', 1365041664, 1365041695, 'FR', 'France'),
(46834, '81.92.226.32', '81.92.226.63', 1365041696, 1365041727, 'GB', 'United Kingdom'),
(46835, '81.92.226.64', '81.92.227.127', 1365041728, 1365042047, 'LU', 'Luxembourg'),
(46836, '81.92.227.128', '81.92.227.135', 1365042048, 1365042055, 'GB', 'United Kingdom'),
(46837, '81.92.227.136', '81.92.227.255', 1365042056, 1365042175, 'LU', 'Luxembourg'),
(46838, '81.92.228.0', '81.92.235.255', 1365042176, 1365044223, 'FR', 'France'),
(46839, '81.92.236.0', '81.92.236.63', 1365044224, 1365044287, 'BE', 'Belgium'),
(46840, '81.92.236.64', '81.92.236.255', 1365044288, 1365044479, 'FR', 'France'),
(46841, '81.92.237.0', '81.92.237.127', 1365044480, 1365044607, 'LU', 'Luxembourg'),
(46842, '81.92.237.128', '81.92.237.159', 1365044608, 1365044639, 'BE', 'Belgium'),
(46843, '81.92.237.160', '81.92.237.175', 1365044640, 1365044655, 'LU', 'Luxembourg'),
(46844, '81.92.237.176', '81.92.237.239', 1365044656, 1365044719, 'FR', 'France'),
(46845, '81.92.237.240', '81.92.238.79', 1365044720, 1365044815, 'LU', 'Luxembourg'),
(46846, '81.92.238.80', '81.92.238.95', 1365044816, 1365044831, 'BE', 'Belgium'),
(46847, '81.92.238.96', '81.92.238.159', 1365044832, 1365044895, 'LU', 'Luxembourg'),
(46848, '81.92.238.160', '81.92.238.175', 1365044896, 1365044911, 'FR', 'France'),
(46849, '81.92.238.176', '81.92.238.223', 1365044912, 1365044959, 'LU', 'Luxembourg'),
(46850, '81.92.238.224', '81.92.238.239', 1365044960, 1365044975, 'BE', 'Belgium'),
(46851, '81.92.238.240', '81.92.239.223', 1365044976, 1365045215, 'LU', 'Luxembourg'),
(46852, '81.92.239.224', '81.92.239.255', 1365045216, 1365045247, 'BE', 'Belgium'),
(46853, '81.92.240.0', '81.92.241.31', 1365045248, 1365045535, 'AT', 'Austria'),
(46854, '81.92.241.32', '81.92.241.39', 1365045536, 1365045543, 'BA', 'Bosnia and Herzegovina'),
(46855, '81.92.241.40', '81.92.241.47', 1365045544, 1365045551, 'BG', 'Bulgaria'),
(46856, '81.92.241.48', '81.92.241.55', 1365045552, 1365045559, 'DE', 'Germany'),
(46857, '81.92.241.56', '81.92.241.63', 1365045560, 1365045567, 'GB', 'United Kingdom'),
(46858, '81.92.241.64', '81.92.241.71', 1365045568, 1365045575, 'HR', 'Croatia'),
(46859, '81.92.241.72', '81.92.241.79', 1365045576, 1365045583, 'AT', 'Austria'),
(46860, '81.92.241.80', '81.92.241.87', 1365045584, 1365045591, 'PL', 'Poland'),
(46861, '81.92.241.88', '81.92.241.95', 1365045592, 1365045599, 'RO', 'Romania'),
(46862, '81.92.241.96', '81.92.241.103', 1365045600, 1365045607, 'RU', 'Russian Federation'),
(46863, '81.92.241.104', '81.92.241.111', 1365045608, 1365045615, 'RS', 'Serbia'),
(46864, '81.92.241.112', '81.92.241.119', 1365045616, 1365045623, 'SI', 'Slovenia'),
(46865, '81.92.241.120', '81.92.241.127', 1365045624, 1365045631, 'SK', 'Slovakia'),
(46866, '81.92.241.128', '81.92.241.135', 1365045632, 1365045639, 'CZ', 'Czech Republic'),
(46867, '81.92.241.136', '81.92.241.143', 1365045640, 1365045647, 'UA', 'Ukraine'),
(46868, '81.92.241.144', '81.92.241.159', 1365045648, 1365045663, 'HU', 'Hungary'),
(46869, '81.92.241.160', '81.92.247.255', 1365045664, 1365047295, 'AT', 'Austria'),
(46870, '81.92.248.0', '81.92.248.127', 1365047296, 1365047423, 'SK', 'Slovakia'),
(46871, '81.92.248.128', '81.92.248.255', 1365047424, 1365047551, 'AT', 'Austria'),
(46872, '81.92.249.0', '81.92.249.95', 1365047552, 1365047647, 'SK', 'Slovakia'),
(46873, '81.92.249.96', '81.92.249.127', 1365047648, 1365047679, 'AT', 'Austria'),
(46874, '81.92.249.128', '81.92.249.255', 1365047680, 1365047807, 'SK', 'Slovakia'),
(46875, '81.92.250.0', '81.92.250.63', 1365047808, 1365047871, 'AT', 'Austria'),
(46876, '81.92.250.64', '81.92.250.95', 1365047872, 1365047903, 'SK', 'Slovakia'),
(46877, '81.92.250.96', '81.92.250.191', 1365047904, 1365047999, 'AT', 'Austria'),
(46878, '81.92.250.192', '81.92.251.127', 1365048000, 1365048191, 'SK', 'Slovakia'),
(46879, '81.92.251.128', '81.92.251.191', 1365048192, 1365048255, 'AT', 'Austria'),
(46880, '81.92.251.192', '81.92.252.63', 1365048256, 1365048383, 'SK', 'Slovakia'),
(46881, '81.92.252.64', '81.92.252.191', 1365048384, 1365048511, 'AT', 'Austria'),
(46882, '81.92.252.192', '81.92.253.31', 1365048512, 1365048607, 'SK', 'Slovakia'),
(46883, '81.92.253.32', '81.92.253.127', 1365048608, 1365048703, 'AT', 'Austria'),
(46884, '81.92.253.128', '81.92.254.55', 1365048704, 1365048887, 'SK', 'Slovakia'),
(46885, '81.92.254.56', '81.92.254.63', 1365048888, 1365048895, 'AT', 'Austria'),
(46886, '81.92.254.64', '81.92.254.95', 1365048896, 1365048927, 'SK', 'Slovakia'),
(46887, '81.92.254.96', '81.92.255.255', 1365048928, 1365049343, 'AT', 'Austria'),
(46888, '81.93.0.0', '81.93.19.55', 1365049344, 1365054263, 'FR', 'France'),
(46889, '81.93.19.56', '81.93.19.63', 1365054264, 1365054271, 'US', 'United States'),
(46890, '81.93.19.64', '81.93.31.255', 1365054272, 1365057535, 'FR', 'France'),
(46891, '81.93.32.0', '81.93.47.255', 1365057536, 1365061631, 'IT', 'Italy'),
(46892, '81.93.48.0', '81.93.63.255', 1365061632, 1365065727, 'NL', 'Netherlands'),
(46893, '81.93.64.0', '81.93.95.255', 1365065728, 1365073919, 'BA', 'Bosnia and Herzegovina'),
(46894, '81.93.96.0', '81.93.111.255', 1365073920, 1365078015, 'NO', 'Norway'),
(46895, '81.93.112.0', '81.93.127.255', 1365078016, 1365082111, 'DE', 'Germany'),
(46896, '81.93.128.0', '81.93.159.255', 1365082112, 1365090303, 'SE', 'Sweden'),
(46897, '81.93.160.0', '81.93.175.255', 1365090304, 1365094399, 'NO', 'Norway'),
(46898, '81.93.176.0', '81.93.178.175', 1365094400, 1365095087, 'FR', 'France'),
(46899, '81.93.178.176', '81.93.178.183', 1365095088, 1365095095, 'GB', 'United Kingdom'),
(46900, '81.93.178.184', '81.93.180.151', 1365095096, 1365095575, 'FR', 'France'),
(46901, '81.93.180.152', '81.93.180.159', 1365095576, 1365095583, 'GB', 'United Kingdom'),
(46902, '81.93.180.160', '81.93.184.255', 1365095584, 1365096703, 'FR', 'France'),
(46903, '81.93.185.0', '81.93.185.7', 1365096704, 1365096711, 'GB', 'United Kingdom'),
(46904, '81.93.185.8', '81.93.185.31', 1365096712, 1365096735, 'FR', 'France'),
(46905, '81.93.185.32', '81.93.185.63', 1365096736, 1365096767, 'IT', 'Italy'),
(46906, '81.93.185.64', '81.93.186.255', 1365096768, 1365097215, 'FR', 'France'),
(46907, '81.93.187.0', '81.93.187.255', 1365097216, 1365097471, 'ES', 'Spain'),
(46908, '81.93.188.0', '81.93.188.255', 1365097472, 1365097727, 'FR', 'France'),
(46909, '81.93.189.0', '81.93.189.255', 1365097728, 1365097983, 'CH', 'Switzerland'),
(46910, '81.93.190.0', '81.93.191.255', 1365097984, 1365098495, 'FR', 'France'),
(46911, '81.93.192.0', '81.93.207.255', 1365098496, 1365102591, 'HU', 'Hungary'),
(46912, '81.93.208.0', '81.93.209.63', 1365102592, 1365102911, 'ES', 'Spain'),
(46913, '81.93.209.64', '81.93.209.71', 1365102912, 1365102919, 'GB', 'United Kingdom'),
(46914, '81.93.209.72', '81.93.211.23', 1365102920, 1365103383, 'ES', 'Spain'),
(46915, '81.93.211.24', '81.93.211.31', 1365103384, 1365103391, 'GB', 'United Kingdom'),
(46916, '81.93.211.32', '81.93.211.119', 1365103392, 1365103479, 'ES', 'Spain'),
(46917, '81.93.211.120', '81.93.211.127', 1365103480, 1365103487, 'GB', 'United Kingdom'),
(46918, '81.93.211.128', '81.93.211.159', 1365103488, 1365103519, 'ES', 'Spain'),
(46919, '81.93.211.160', '81.93.211.191', 1365103520, 1365103551, 'GB', 'United Kingdom'),
(46920, '81.93.211.192', '81.93.212.63', 1365103552, 1365103679, 'ES', 'Spain'),
(46921, '81.93.212.64', '81.93.212.127', 1365103680, 1365103743, 'GB', 'United Kingdom'),
(46922, '81.93.212.128', '81.93.212.159', 1365103744, 1365103775, 'ES', 'Spain'),
(46923, '81.93.212.160', '81.93.212.175', 1365103776, 1365103791, 'GB', 'United Kingdom'),
(46924, '81.93.212.176', '81.93.212.255', 1365103792, 1365103871, 'ES', 'Spain'),
(46925, '81.93.213.0', '81.93.213.64', 1365103872, 1365103936, 'GB', 'United Kingdom'),
(46926, '81.93.213.65', '81.93.213.94', 1365103937, 1365103966, 'ES', 'Spain'),
(46927, '81.93.213.95', '81.93.213.95', 1365103967, 1365103967, 'GB', 'United Kingdom'),
(46928, '81.93.213.96', '81.93.213.111', 1365103968, 1365103983, 'ES', 'Spain'),
(46929, '81.93.213.112', '81.93.213.119', 1365103984, 1365103991, 'IL', 'Israel'),
(46930, '81.93.213.120', '81.93.213.120', 1365103992, 1365103992, 'GB', 'United Kingdom'),
(46931, '81.93.213.121', '81.93.213.126', 1365103993, 1365103998, 'ES', 'Spain'),
(46932, '81.93.213.127', '81.93.213.128', 1365103999, 1365104000, 'GB', 'United Kingdom'),
(46933, '81.93.213.129', '81.93.213.190', 1365104001, 1365104062, 'ES', 'Spain'),
(46934, '81.93.213.191', '81.93.213.192', 1365104063, 1365104064, 'GB', 'United Kingdom'),
(46935, '81.93.213.193', '81.93.213.254', 1365104065, 1365104126, 'ES', 'Spain'),
(46936, '81.93.213.255', '81.93.213.255', 1365104127, 1365104127, 'GB', 'United Kingdom'),
(46937, '81.93.214.0', '81.93.214.71', 1365104128, 1365104199, 'ES', 'Spain'),
(46938, '81.93.214.72', '81.93.214.79', 1365104200, 1365104207, 'GB', 'United Kingdom'),
(46939, '81.93.214.80', '81.93.223.255', 1365104208, 1365106687, 'ES', 'Spain'),
(46940, '81.93.224.0', '81.93.239.255', 1365106688, 1365110783, 'GB', 'United Kingdom'),
(46941, '81.93.240.0', '81.93.255.255', 1365110784, 1365114879, 'FR', 'France'),
(46942, '81.94.0.0', '81.94.15.255', 1365114880, 1365118975, 'BA', 'Bosnia and Herzegovina'),
(46943, '81.94.16.0', '81.94.47.255', 1365118976, 1365127167, 'RU', 'Russian Federation'),
(46944, '81.94.48.0', '81.94.60.31', 1365127168, 1365130271, 'AT', 'Austria'),
(46945, '81.94.60.32', '81.94.60.63', 1365130272, 1365130303, 'IT', 'Italy'),
(46946, '81.94.60.64', '81.94.60.255', 1365130304, 1365130495, 'AT', 'Austria'),
(46947, '81.94.61.0', '81.94.62.255', 1365130496, 1365131007, 'IT', 'Italy'),
(46948, '81.94.63.0', '81.94.63.255', 1365131008, 1365131263, 'AT', 'Austria'),
(46949, '81.94.64.0', '81.94.95.255', 1365131264, 1365139455, 'SE', 'Sweden'),
(46950, '81.94.96.0', '81.94.127.255', 1365139456, 1365147647, 'CH', 'Switzerland'),
(46951, '81.94.128.0', '81.94.159.255', 1365147648, 1365155839, 'RU', 'Russian Federation'),
(46952, '81.94.160.0', '81.94.175.255', 1365155840, 1365159935, 'SE', 'Sweden'),
(46953, '81.94.176.0', '81.94.191.255', 1365159936, 1365164031, 'HU', 'Hungary'),
(46954, '81.94.192.0', '81.94.201.161', 1365164032, 1365166497, 'GB', 'United Kingdom'),
(46955, '81.94.201.162', '81.94.201.162', 1365166498, 1365166498, 'A1', 'Anonymous Proxy'),
(46956, '81.94.201.163', '81.94.223.255', 1365166499, 1365172223, 'GB', 'United Kingdom'),
(46957, '81.94.224.0', '81.94.239.255', 1365172224, 1365176319, 'LV', 'Latvia'),
(46958, '81.94.240.0', '81.94.255.255', 1365176320, 1365180415, 'HU', 'Hungary'),
(46959, '81.95.0.0', '81.95.10.255', 1365180416, 1365183231, 'DE', 'Germany'),
(46960, '81.95.11.0', '81.95.11.63', 1365183232, 1365183295, 'SC', 'Seychelles'),
(46961, '81.95.11.64', '81.95.15.255', 1365183296, 1365184511, 'DE', 'Germany'),
(46962, '81.95.16.0', '81.95.47.255', 1365184512, 1365192703, 'RU', 'Russian Federation'),
(46963, '81.95.48.0', '81.95.63.255', 1365192704, 1365196799, 'GB', 'United Kingdom'),
(46964, '81.95.64.0', '81.95.79.255', 1365196800, 1365200895, 'ES', 'Spain'),
(46965, '81.95.80.0', '81.95.95.255', 1365200896, 1365204991, 'IQ', 'Iraq'),
(46966, '81.95.96.0', '81.95.111.255', 1365204992, 1365209087, 'CZ', 'Czech Republic'),
(46967, '81.95.112.0', '81.95.127.255', 1365209088, 1365213183, 'BE', 'Belgium'),
(46968, '81.95.128.0', '81.95.143.255', 1365213184, 1365217279, 'RU', 'Russian Federation'),
(46969, '81.95.144.0', '81.95.145.15', 1365217280, 1365217551, 'GB', 'United Kingdom'),
(46970, '81.95.145.16', '81.95.145.31', 1365217552, 1365217567, 'US', 'United States'),
(46971, '81.95.145.32', '81.95.145.39', 1365217568, 1365217575, 'PT', 'Portugal'),
(46972, '81.95.145.40', '81.95.145.55', 1365217576, 1365217591, 'GB', 'United Kingdom'),
(46973, '81.95.145.56', '81.95.145.63', 1365217592, 1365217599, 'EG', 'Egypt'),
(46974, '81.95.145.64', '81.95.145.95', 1365217600, 1365217631, 'GB', 'United Kingdom'),
(46975, '81.95.145.96', '81.95.145.127', 1365217632, 1365217663, 'US', 'United States'),
(46976, '81.95.145.128', '81.95.145.135', 1365217664, 1365217671, 'PH', 'Philippines'),
(46977, '81.95.145.136', '81.95.145.151', 1365217672, 1365217687, 'IL', 'Israel'),
(46978, '81.95.145.152', '81.95.145.159', 1365217688, 1365217695, 'KW', 'Kuwait'),
(46979, '81.95.145.160', '81.95.145.167', 1365217696, 1365217703, 'GB', 'United Kingdom'),
(46980, '81.95.145.168', '81.95.145.175', 1365217704, 1365217711, 'AU', 'Australia'),
(46981, '81.95.145.176', '81.95.145.255', 1365217712, 1365217791, 'US', 'United States'),
(46982, '81.95.146.0', '81.95.146.15', 1365217792, 1365217807, 'BD', 'Bangladesh'),
(46983, '81.95.146.16', '81.95.146.23', 1365217808, 1365217815, 'US', 'United States'),
(46984, '81.95.146.24', '81.95.146.31', 1365217816, 1365217823, 'DK', 'Denmark'),
(46985, '81.95.146.32', '81.95.146.39', 1365217824, 1365217831, 'GB', 'United Kingdom'),
(46986, '81.95.146.40', '81.95.146.47', 1365217832, 1365217839, 'TR', 'Turkey'),
(46987, '81.95.146.48', '81.95.146.55', 1365217840, 1365217847, 'GB', 'United Kingdom'),
(46988, '81.95.146.56', '81.95.146.63', 1365217848, 1365217855, 'BD', 'Bangladesh'),
(46989, '81.95.146.64', '81.95.146.79', 1365217856, 1365217871, 'GB', 'United Kingdom'),
(46990, '81.95.146.80', '81.95.146.87', 1365217872, 1365217879, 'BD', 'Bangladesh'),
(46991, '81.95.146.88', '81.95.146.127', 1365217880, 1365217919, 'US', 'United States'),
(46992, '81.95.146.128', '81.95.146.135', 1365217920, 1365217927, 'DK', 'Denmark'),
(46993, '81.95.146.136', '81.95.146.159', 1365217928, 1365217951, 'BD', 'Bangladesh'),
(46994, '81.95.146.160', '81.95.146.183', 1365217952, 1365217975, 'GB', 'United Kingdom'),
(46995, '81.95.146.184', '81.95.146.191', 1365217976, 1365217983, 'US', 'United States'),
(46996, '81.95.146.192', '81.95.146.199', 1365217984, 1365217991, 'DK', 'Denmark'),
(46997, '81.95.146.200', '81.95.146.231', 1365217992, 1365218023, 'US', 'United States'),
(46998, '81.95.146.232', '81.95.146.239', 1365218024, 1365218031, 'DK', 'Denmark'),
(46999, '81.95.146.240', '81.95.147.255', 1365218032, 1365218303, 'US', 'United States'),
(47000, '81.95.148.0', '81.95.148.7', 1365218304, 1365218311, 'CA', 'Canada'),
(47001, '81.95.148.8', '81.95.148.15', 1365218312, 1365218319, 'AR', 'Argentina'),
(47002, '81.95.148.16', '81.95.148.23', 1365218320, 1365218327, 'ZA', 'South Africa'),
(47003, '81.95.148.24', '81.95.148.47', 1365218328, 1365218351, 'US', 'United States'),
(47004, '81.95.148.48', '81.95.148.63', 1365218352, 1365218367, 'CY', 'Cyprus'),
(47005, '81.95.148.64', '81.95.148.71', 1365218368, 1365218375, 'RO', 'Romania'),
(47006, '81.95.148.72', '81.95.148.79', 1365218376, 1365218383, 'UA', 'Ukraine'),
(47007, '81.95.148.80', '81.95.148.103', 1365218384, 1365218407, 'EG', 'Egypt'),
(47008, '81.95.148.104', '81.95.148.111', 1365218408, 1365218415, 'IN', 'India'),
(47009, '81.95.148.112', '81.95.148.127', 1365218416, 1365218431, 'GB', 'United Kingdom'),
(47010, '81.95.148.128', '81.95.148.135', 1365218432, 1365218439, 'EG', 'Egypt'),
(47011, '81.95.148.136', '81.95.148.143', 1365218440, 1365218447, 'ZA', 'South Africa'),
(47012, '81.95.148.144', '81.95.148.151', 1365218448, 1365218455, 'CA', 'Canada'),
(47013, '81.95.148.152', '81.95.148.155', 1365218456, 1365218459, 'GB', 'United Kingdom'),
(47014, '81.95.148.156', '81.95.148.159', 1365218460, 1365218463, 'US', 'United States'),
(47015, '81.95.148.160', '81.95.148.167', 1365218464, 1365218471, 'HK', 'Hong Kong'),
(47016, '81.95.148.168', '81.95.148.175', 1365218472, 1365218479, 'GB', 'United Kingdom'),
(47017, '81.95.148.176', '81.95.148.207', 1365218480, 1365218511, 'GR', 'Greece'),
(47018, '81.95.148.208', '81.95.148.215', 1365218512, 1365218519, 'AU', 'Australia'),
(47019, '81.95.148.216', '81.95.148.223', 1365218520, 1365218527, 'US', 'United States'),
(47020, '81.95.148.224', '81.95.148.239', 1365218528, 1365218543, 'GR', 'Greece'),
(47021, '81.95.148.240', '81.95.148.247', 1365218544, 1365218551, 'CY', 'Cyprus'),
(47022, '81.95.148.248', '81.95.148.255', 1365218552, 1365218559, 'GR', 'Greece'),
(47023, '81.95.149.0', '81.95.149.255', 1365218560, 1365218815, 'GB', 'United Kingdom'),
(47024, '81.95.150.0', '81.95.150.63', 1365218816, 1365218879, 'EG', 'Egypt'),
(47025, '81.95.150.64', '81.95.150.79', 1365218880, 1365218895, 'US', 'United States'),
(47026, '81.95.150.80', '81.95.150.87', 1365218896, 1365218903, 'GB', 'United Kingdom'),
(47027, '81.95.150.88', '81.95.150.95', 1365218904, 1365218911, 'MU', 'Mauritius'),
(47028, '81.95.150.96', '81.95.150.111', 1365218912, 1365218927, 'US', 'United States'),
(47029, '81.95.150.112', '81.95.150.127', 1365218928, 1365218943, 'BR', 'Brazil'),
(47030, '81.95.150.128', '81.95.150.135', 1365218944, 1365218951, 'IN', 'India'),
(47031, '81.95.150.136', '81.95.150.143', 1365218952, 1365218959, 'NL', 'Netherlands'),
(47032, '81.95.150.144', '81.95.150.159', 1365218960, 1365218975, 'US', 'United States'),
(47033, '81.95.150.160', '81.95.150.191', 1365218976, 1365219007, 'CN', 'China'),
(47034, '81.95.150.192', '81.95.150.207', 1365219008, 1365219023, 'US', 'United States'),
(47035, '81.95.150.208', '81.95.150.215', 1365219024, 1365219031, 'DK', 'Denmark'),
(47036, '81.95.150.216', '81.95.150.223', 1365219032, 1365219039, 'CY', 'Cyprus'),
(47037, '81.95.150.224', '81.95.150.255', 1365219040, 1365219071, 'GB', 'United Kingdom'),
(47038, '81.95.151.0', '81.95.151.31', 1365219072, 1365219103, 'TR', 'Turkey'),
(47039, '81.95.151.32', '81.95.151.39', 1365219104, 1365219111, 'SA', 'Saudi Arabia'),
(47040, '81.95.151.40', '81.95.151.47', 1365219112, 1365219119, 'GB', 'United Kingdom'),
(47041, '81.95.151.48', '81.95.151.63', 1365219120, 1365219135, 'US', 'United States'),
(47042, '81.95.151.64', '81.95.151.71', 1365219136, 1365219143, 'GB', 'United Kingdom'),
(47043, '81.95.151.72', '81.95.151.87', 1365219144, 1365219159, 'US', 'United States'),
(47044, '81.95.151.88', '81.95.151.95', 1365219160, 1365219167, 'CA', 'Canada'),
(47045, '81.95.151.96', '81.95.151.96', 1365219168, 1365219168, 'GB', 'United Kingdom'),
(47046, '81.95.151.97', '81.95.151.111', 1365219169, 1365219183, 'ES', 'Spain'),
(47047, '81.95.151.112', '81.95.151.119', 1365219184, 1365219191, 'CA', 'Canada'),
(47048, '81.95.151.120', '81.95.151.127', 1365219192, 1365219199, 'DE', 'Germany'),
(47049, '81.95.151.128', '81.95.151.135', 1365219200, 1365219207, 'IN', 'India'),
(47050, '81.95.151.136', '81.95.151.143', 1365219208, 1365219215, 'US', 'United States'),
(47051, '81.95.151.144', '81.95.151.159', 1365219216, 1365219231, 'GB', 'United Kingdom'),
(47052, '81.95.151.160', '81.95.151.175', 1365219232, 1365219247, 'CY', 'Cyprus'),
(47053, '81.95.151.176', '81.95.151.207', 1365219248, 1365219279, 'GB', 'United Kingdom'),
(47054, '81.95.151.208', '81.95.151.215', 1365219280, 1365219287, 'BD', 'Bangladesh'),
(47055, '81.95.151.216', '81.95.151.223', 1365219288, 1365219295, 'US', 'United States'),
(47056, '81.95.151.224', '81.95.151.239', 1365219296, 1365219311, 'GB', 'United Kingdom'),
(47057, '81.95.151.240', '81.95.151.255', 1365219312, 1365219327, 'TR', 'Turkey'),
(47058, '81.95.152.0', '81.95.152.63', 1365219328, 1365219391, 'US', 'United States'),
(47059, '81.95.152.64', '81.95.152.71', 1365219392, 1365219399, 'DK', 'Denmark'),
(47060, '81.95.152.72', '81.95.152.79', 1365219400, 1365219407, 'AU', 'Australia'),
(47061, '81.95.152.80', '81.95.152.87', 1365219408, 1365219415, 'GB', 'United Kingdom'),
(47062, '81.95.152.88', '81.95.152.95', 1365219416, 1365219423, 'TR', 'Turkey'),
(47063, '81.95.152.96', '81.95.152.103', 1365219424, 1365219431, 'US', 'United States'),
(47064, '81.95.152.104', '81.95.152.111', 1365219432, 1365219439, 'RU', 'Russian Federation'),
(47065, '81.95.152.112', '81.95.152.127', 1365219440, 1365219455, 'US', 'United States'),
(47066, '81.95.152.128', '81.95.152.135', 1365219456, 1365219463, 'NL', 'Netherlands'),
(47067, '81.95.152.136', '81.95.152.143', 1365219464, 1365219471, 'AU', 'Australia'),
(47068, '81.95.152.144', '81.95.152.151', 1365219472, 1365219479, 'IL', 'Israel'),
(47069, '81.95.152.152', '81.95.152.183', 1365219480, 1365219511, 'GB', 'United Kingdom'),
(47070, '81.95.152.184', '81.95.152.191', 1365219512, 1365219519, 'BD', 'Bangladesh'),
(47071, '81.95.152.192', '81.95.152.255', 1365219520, 1365219583, 'US', 'United States'),
(47072, '81.95.153.0', '81.95.153.63', 1365219584, 1365219647, 'CN', 'China'),
(47073, '81.95.153.64', '81.95.153.79', 1365219648, 1365219663, 'IN', 'India'),
(47074, '81.95.153.80', '81.95.153.87', 1365219664, 1365219671, 'TR', 'Turkey'),
(47075, '81.95.153.88', '81.95.153.95', 1365219672, 1365219679, 'GB', 'United Kingdom'),
(47076, '81.95.153.96', '81.95.153.103', 1365219680, 1365219687, 'BD', 'Bangladesh'),
(47077, '81.95.153.104', '81.95.153.111', 1365219688, 1365219695, 'US', 'United States'),
(47078, '81.95.153.112', '81.95.153.119', 1365219696, 1365219703, 'DK', 'Denmark'),
(47079, '81.95.153.120', '81.95.153.127', 1365219704, 1365219711, 'UA', 'Ukraine'),
(47080, '81.95.153.128', '81.95.153.159', 1365219712, 1365219743, 'TR', 'Turkey'),
(47081, '81.95.153.160', '81.95.153.167', 1365219744, 1365219751, 'US', 'United States'),
(47082, '81.95.153.168', '81.95.153.175', 1365219752, 1365219759, 'SG', 'Singapore'),
(47083, '81.95.153.176', '81.95.153.191', 1365219760, 1365219775, 'UA', 'Ukraine'),
(47084, '81.95.153.192', '81.95.153.199', 1365219776, 1365219783, 'PY', 'Paraguay'),
(47085, '81.95.153.200', '81.95.153.207', 1365219784, 1365219791, 'BA', 'Bosnia and Herzegovina'),
(47086, '81.95.153.208', '81.95.153.215', 1365219792, 1365219799, 'NO', 'Norway'),
(47087, '81.95.153.216', '81.95.153.223', 1365219800, 1365219807, 'TR', 'Turkey');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(47088, '81.95.153.224', '81.95.153.227', 1365219808, 1365219811, 'US', 'United States'),
(47089, '81.95.153.228', '81.95.153.231', 1365219812, 1365219815, 'AU', 'Australia'),
(47090, '81.95.153.232', '81.95.154.63', 1365219816, 1365219903, 'US', 'United States'),
(47091, '81.95.154.64', '81.95.154.79', 1365219904, 1365219919, 'ES', 'Spain'),
(47092, '81.95.154.80', '81.95.154.95', 1365219920, 1365219935, 'IN', 'India'),
(47093, '81.95.154.96', '81.95.154.111', 1365219936, 1365219951, 'CA', 'Canada'),
(47094, '81.95.154.112', '81.95.154.127', 1365219952, 1365219967, 'DK', 'Denmark'),
(47095, '81.95.154.128', '81.95.154.143', 1365219968, 1365219983, 'ES', 'Spain'),
(47096, '81.95.154.144', '81.95.154.151', 1365219984, 1365219991, 'IT', 'Italy'),
(47097, '81.95.154.152', '81.95.154.167', 1365219992, 1365220007, 'EE', 'Estonia'),
(47098, '81.95.154.168', '81.95.154.175', 1365220008, 1365220015, 'ES', 'Spain'),
(47099, '81.95.154.176', '81.95.154.191', 1365220016, 1365220031, 'US', 'United States'),
(47100, '81.95.154.192', '81.95.155.31', 1365220032, 1365220127, 'CN', 'China'),
(47101, '81.95.155.32', '81.95.155.47', 1365220128, 1365220143, 'TR', 'Turkey'),
(47102, '81.95.155.48', '81.95.155.55', 1365220144, 1365220151, 'IL', 'Israel'),
(47103, '81.95.155.56', '81.95.155.63', 1365220152, 1365220159, 'AR', 'Argentina'),
(47104, '81.95.155.64', '81.95.155.127', 1365220160, 1365220223, 'US', 'United States'),
(47105, '81.95.155.128', '81.95.155.159', 1365220224, 1365220255, 'JO', 'Jordan'),
(47106, '81.95.155.160', '81.95.155.167', 1365220256, 1365220263, 'KW', 'Kuwait'),
(47107, '81.95.155.168', '81.95.155.175', 1365220264, 1365220271, 'GB', 'United Kingdom'),
(47108, '81.95.155.176', '81.95.155.191', 1365220272, 1365220287, 'KW', 'Kuwait'),
(47109, '81.95.155.192', '81.95.155.207', 1365220288, 1365220303, 'AR', 'Argentina'),
(47110, '81.95.155.208', '81.95.155.215', 1365220304, 1365220311, 'NL', 'Netherlands'),
(47111, '81.95.155.216', '81.95.155.223', 1365220312, 1365220319, 'BR', 'Brazil'),
(47112, '81.95.155.224', '81.95.156.19', 1365220320, 1365220371, 'US', 'United States'),
(47113, '81.95.156.20', '81.95.156.23', 1365220372, 1365220375, 'GB', 'United Kingdom'),
(47114, '81.95.156.24', '81.95.156.35', 1365220376, 1365220387, 'US', 'United States'),
(47115, '81.95.156.36', '81.95.156.39', 1365220388, 1365220391, 'JO', 'Jordan'),
(47116, '81.95.156.40', '81.95.156.47', 1365220392, 1365220399, 'ZA', 'South Africa'),
(47117, '81.95.156.48', '81.95.156.55', 1365220400, 1365220407, 'GB', 'United Kingdom'),
(47118, '81.95.156.56', '81.95.156.71', 1365220408, 1365220423, 'US', 'United States'),
(47119, '81.95.156.72', '81.95.156.79', 1365220424, 1365220431, 'GB', 'United Kingdom'),
(47120, '81.95.156.80', '81.95.156.83', 1365220432, 1365220435, 'JO', 'Jordan'),
(47121, '81.95.156.84', '81.95.156.87', 1365220436, 1365220439, 'US', 'United States'),
(47122, '81.95.156.88', '81.95.156.127', 1365220440, 1365220479, 'GB', 'United Kingdom'),
(47123, '81.95.156.128', '81.95.156.135', 1365220480, 1365220487, 'AU', 'Australia'),
(47124, '81.95.156.136', '81.95.156.171', 1365220488, 1365220523, 'US', 'United States'),
(47125, '81.95.156.172', '81.95.156.175', 1365220524, 1365220527, 'GB', 'United Kingdom'),
(47126, '81.95.156.176', '81.95.156.183', 1365220528, 1365220535, 'IS', 'Iceland'),
(47127, '81.95.156.184', '81.95.156.199', 1365220536, 1365220551, 'GB', 'United Kingdom'),
(47128, '81.95.156.200', '81.95.156.215', 1365220552, 1365220567, 'IS', 'Iceland'),
(47129, '81.95.156.216', '81.95.156.223', 1365220568, 1365220575, 'IL', 'Israel'),
(47130, '81.95.156.224', '81.95.156.231', 1365220576, 1365220583, 'CH', 'Switzerland'),
(47131, '81.95.156.232', '81.95.156.247', 1365220584, 1365220599, 'TR', 'Turkey'),
(47132, '81.95.156.248', '81.95.156.255', 1365220600, 1365220607, 'GR', 'Greece'),
(47133, '81.95.157.0', '81.95.157.7', 1365220608, 1365220615, 'TR', 'Turkey'),
(47134, '81.95.157.8', '81.95.157.15', 1365220616, 1365220623, 'US', 'United States'),
(47135, '81.95.157.16', '81.95.157.23', 1365220624, 1365220631, 'KW', 'Kuwait'),
(47136, '81.95.157.24', '81.95.157.31', 1365220632, 1365220639, 'GR', 'Greece'),
(47137, '81.95.157.32', '81.95.157.55', 1365220640, 1365220663, 'GB', 'United Kingdom'),
(47138, '81.95.157.56', '81.95.157.71', 1365220664, 1365220679, 'US', 'United States'),
(47139, '81.95.157.72', '81.95.157.79', 1365220680, 1365220687, 'IT', 'Italy'),
(47140, '81.95.157.80', '81.95.157.119', 1365220688, 1365220727, 'US', 'United States'),
(47141, '81.95.157.120', '81.95.157.127', 1365220728, 1365220735, 'JO', 'Jordan'),
(47142, '81.95.157.128', '81.95.157.159', 1365220736, 1365220767, 'US', 'United States'),
(47143, '81.95.157.160', '81.95.157.161', 1365220768, 1365220769, 'GR', 'Greece'),
(47144, '81.95.157.162', '81.95.157.162', 1365220770, 1365220770, 'CY', 'Cyprus'),
(47145, '81.95.157.163', '81.95.157.167', 1365220771, 1365220775, 'GR', 'Greece'),
(47146, '81.95.157.168', '81.95.157.175', 1365220776, 1365220783, 'US', 'United States'),
(47147, '81.95.157.176', '81.95.157.183', 1365220784, 1365220791, 'IN', 'India'),
(47148, '81.95.157.184', '81.95.157.191', 1365220792, 1365220799, 'KW', 'Kuwait'),
(47149, '81.95.157.192', '81.95.157.199', 1365220800, 1365220807, 'RU', 'Russian Federation'),
(47150, '81.95.157.200', '81.95.157.207', 1365220808, 1365220815, 'US', 'United States'),
(47151, '81.95.157.208', '81.95.157.215', 1365220816, 1365220823, 'KW', 'Kuwait'),
(47152, '81.95.157.216', '81.95.157.223', 1365220824, 1365220831, 'GB', 'United Kingdom'),
(47153, '81.95.157.224', '81.95.157.239', 1365220832, 1365220847, 'IT', 'Italy'),
(47154, '81.95.157.240', '81.95.157.247', 1365220848, 1365220855, 'AU', 'Australia'),
(47155, '81.95.157.248', '81.95.158.39', 1365220856, 1365220903, 'US', 'United States'),
(47156, '81.95.158.40', '81.95.158.47', 1365220904, 1365220911, 'CA', 'Canada'),
(47157, '81.95.158.48', '81.95.158.55', 1365220912, 1365220919, 'US', 'United States'),
(47158, '81.95.158.56', '81.95.158.63', 1365220920, 1365220927, 'KW', 'Kuwait'),
(47159, '81.95.158.64', '81.95.158.71', 1365220928, 1365220935, 'IT', 'Italy'),
(47160, '81.95.158.72', '81.95.158.75', 1365220936, 1365220939, 'AR', 'Argentina'),
(47161, '81.95.158.76', '81.95.158.79', 1365220940, 1365220943, 'US', 'United States'),
(47162, '81.95.158.80', '81.95.158.95', 1365220944, 1365220959, 'GB', 'United Kingdom'),
(47163, '81.95.158.96', '81.95.158.103', 1365220960, 1365220967, 'US', 'United States'),
(47164, '81.95.158.104', '81.95.158.111', 1365220968, 1365220975, 'GB', 'United Kingdom'),
(47165, '81.95.158.112', '81.95.158.115', 1365220976, 1365220979, 'US', 'United States'),
(47166, '81.95.158.116', '81.95.158.119', 1365220980, 1365220983, 'GB', 'United Kingdom'),
(47167, '81.95.158.120', '81.95.158.127', 1365220984, 1365220991, 'BR', 'Brazil'),
(47168, '81.95.158.128', '81.95.158.135', 1365220992, 1365220999, 'ZA', 'South Africa'),
(47169, '81.95.158.136', '81.95.158.159', 1365221000, 1365221023, 'US', 'United States'),
(47170, '81.95.158.160', '81.95.158.167', 1365221024, 1365221031, 'TR', 'Turkey'),
(47171, '81.95.158.168', '81.95.158.183', 1365221032, 1365221047, 'IL', 'Israel'),
(47172, '81.95.158.184', '81.95.158.191', 1365221048, 1365221055, 'GB', 'United Kingdom'),
(47173, '81.95.158.192', '81.95.158.199', 1365221056, 1365221063, 'KW', 'Kuwait'),
(47174, '81.95.158.200', '81.95.158.207', 1365221064, 1365221071, 'MY', 'Malaysia'),
(47175, '81.95.158.208', '81.95.158.223', 1365221072, 1365221087, 'ES', 'Spain'),
(47176, '81.95.158.224', '81.95.158.255', 1365221088, 1365221119, 'US', 'United States'),
(47177, '81.95.159.0', '81.95.159.255', 1365221120, 1365221375, 'GB', 'United Kingdom'),
(47178, '81.95.160.0', '81.95.175.255', 1365221376, 1365225471, 'GE', 'Georgia'),
(47179, '81.95.176.0', '81.95.191.255', 1365225472, 1365229567, 'UA', 'Ukraine'),
(47180, '81.95.192.0', '81.95.207.255', 1365229568, 1365233663, 'PL', 'Poland'),
(47181, '81.95.208.0', '81.95.223.255', 1365233664, 1365237759, 'RU', 'Russian Federation'),
(47182, '81.95.224.0', '81.95.239.255', 1365237760, 1365241855, 'UZ', 'Uzbekistan'),
(47183, '81.95.240.0', '81.95.255.255', 1365241856, 1365245951, 'DK', 'Denmark'),
(47184, '81.96.0.0', '81.111.255.255', 1365245952, 1366294527, 'GB', 'United Kingdom'),
(47185, '81.112.0.0', '81.117.199.255', 1366294528, 1366673407, 'IT', 'Italy'),
(47186, '81.117.200.0', '81.117.200.255', 1366673408, 1366673663, 'US', 'United States'),
(47187, '81.117.201.0', '81.127.255.255', 1366673664, 1367343103, 'IT', 'Italy'),
(47188, '81.128.0.0', '81.144.188.255', 1367343104, 1368440063, 'GB', 'United Kingdom'),
(47189, '81.144.189.0', '81.144.189.255', 1368440064, 1368440319, 'US', 'United States'),
(47190, '81.144.190.0', '81.159.255.255', 1368440320, 1369440255, 'GB', 'United Kingdom'),
(47191, '81.160.0.0', '81.160.127.255', 1369440256, 1369473023, 'DE', 'Germany'),
(47192, '81.160.128.0', '81.160.255.255', 1369473024, 1369505791, 'HU', 'Hungary'),
(47193, '81.161.128.0', '81.161.191.255', 1369538560, 1369554943, 'DK', 'Denmark'),
(47194, '81.161.192.0', '81.161.207.255', 1369554944, 1369559039, 'PL', 'Poland'),
(47195, '81.161.208.0', '81.161.223.255', 1369559040, 1369563135, 'RU', 'Russian Federation'),
(47196, '81.161.224.0', '81.161.239.255', 1369563136, 1369567231, 'PL', 'Poland'),
(47197, '81.161.240.0', '81.161.255.255', 1369567232, 1369571327, 'BG', 'Bulgaria'),
(47198, '81.162.0.0', '81.162.55.255', 1369571328, 1369585663, 'RU', 'Russian Federation'),
(47199, '81.162.56.0', '81.162.79.255', 1369585664, 1369591807, 'UA', 'Ukraine'),
(47200, '81.162.80.0', '81.162.95.255', 1369591808, 1369595903, 'SK', 'Slovakia'),
(47201, '81.162.96.0', '81.162.127.255', 1369595904, 1369604095, 'UA', 'Ukraine'),
(47202, '81.162.128.0', '81.162.191.255', 1369604096, 1369620479, 'MD', 'Moldova, Republic of'),
(47203, '81.162.192.0', '81.162.207.255', 1369620480, 1369624575, 'CZ', 'Czech Republic'),
(47204, '81.162.208.0', '81.162.215.255', 1369624576, 1369626623, 'PL', 'Poland'),
(47205, '81.162.216.0', '81.162.255.255', 1369626624, 1369636863, 'UA', 'Ukraine'),
(47206, '81.163.0.0', '81.163.7.255', 1369636864, 1369638911, 'IR', 'Iran, Islamic Republic of'),
(47207, '81.163.8.0', '81.163.15.255', 1369638912, 1369640959, 'PL', 'Poland'),
(47208, '81.163.16.0', '81.163.71.255', 1369640960, 1369655295, 'RU', 'Russian Federation'),
(47209, '81.163.72.0', '81.163.79.255', 1369655296, 1369657343, 'LV', 'Latvia'),
(47210, '81.163.80.0', '81.163.87.255', 1369657344, 1369659391, 'RU', 'Russian Federation'),
(47211, '81.163.88.0', '81.163.95.255', 1369659392, 1369661439, 'UA', 'Ukraine'),
(47212, '81.163.96.0', '81.163.111.255', 1369661440, 1369665535, 'RU', 'Russian Federation'),
(47213, '81.163.112.0', '81.163.127.255', 1369665536, 1369669631, 'RO', 'Romania'),
(47214, '81.163.128.0', '81.163.159.255', 1369669632, 1369677823, 'UA', 'Ukraine'),
(47215, '81.163.160.0', '81.163.191.255', 1369677824, 1369686015, 'RU', 'Russian Federation'),
(47216, '81.163.192.0', '81.163.207.255', 1369686016, 1369690111, 'PL', 'Poland'),
(47217, '81.163.208.0', '81.163.223.255', 1369690112, 1369694207, 'UA', 'Ukraine'),
(47218, '81.163.224.0', '81.163.255.255', 1369694208, 1369702399, 'RU', 'Russian Federation'),
(47219, '81.164.0.0', '81.165.255.255', 1369702400, 1369833471, 'BE', 'Belgium'),
(47220, '81.166.0.0', '81.167.255.255', 1369833472, 1369964543, 'NO', 'Norway'),
(47221, '81.168.0.0', '81.168.127.255', 1369964544, 1369997311, 'GB', 'United Kingdom'),
(47222, '81.168.128.0', '81.168.255.255', 1369997312, 1370030079, 'PL', 'Poland'),
(47223, '81.169.0.0', '81.169.127.255', 1370030080, 1370062847, 'BE', 'Belgium'),
(47224, '81.169.128.0', '81.169.255.255', 1370062848, 1370095615, 'DE', 'Germany'),
(47225, '81.170.0.0', '81.170.127.255', 1370095616, 1370128383, 'GB', 'United Kingdom'),
(47226, '81.170.128.0', '81.170.255.255', 1370128384, 1370161151, 'SE', 'Sweden'),
(47227, '81.171.0.0', '81.171.35.255', 1370161152, 1370170367, 'NL', 'Netherlands'),
(47228, '81.171.36.0', '81.171.36.31', 1370170368, 1370170399, 'US', 'United States'),
(47229, '81.171.36.32', '81.171.51.255', 1370170400, 1370174463, 'NL', 'Netherlands'),
(47230, '81.171.52.0', '81.171.52.127', 1370174464, 1370174591, 'US', 'United States'),
(47231, '81.171.52.128', '81.171.52.255', 1370174592, 1370174719, 'A1', 'Anonymous Proxy'),
(47232, '81.171.53.0', '81.171.55.255', 1370174720, 1370175487, 'US', 'United States'),
(47233, '81.171.56.0', '81.171.80.255', 1370175488, 1370181887, 'NL', 'Netherlands'),
(47234, '81.171.81.0', '81.171.81.127', 1370181888, 1370182015, 'A1', 'Anonymous Proxy'),
(47235, '81.171.81.128', '81.171.81.255', 1370182016, 1370182143, 'US', 'United States'),
(47236, '81.171.82.0', '81.171.84.255', 1370182144, 1370182911, 'NL', 'Netherlands'),
(47237, '81.171.85.0', '81.171.85.255', 1370182912, 1370183167, 'A1', 'Anonymous Proxy'),
(47238, '81.171.86.0', '81.171.96.255', 1370183168, 1370185983, 'NL', 'Netherlands'),
(47239, '81.171.97.0', '81.171.98.255', 1370185984, 1370186495, 'A1', 'Anonymous Proxy'),
(47240, '81.171.99.0', '81.171.103.255', 1370186496, 1370187775, 'NL', 'Netherlands'),
(47241, '81.171.104.0', '81.171.104.255', 1370187776, 1370188031, 'GR', 'Greece'),
(47242, '81.171.105.0', '81.171.107.255', 1370188032, 1370188799, 'NL', 'Netherlands'),
(47243, '81.171.108.0', '81.171.108.255', 1370188800, 1370189055, 'US', 'United States'),
(47244, '81.171.109.0', '81.171.109.255', 1370189056, 1370189311, 'NL', 'Netherlands'),
(47245, '81.171.110.0', '81.171.110.255', 1370189312, 1370189567, 'A1', 'Anonymous Proxy'),
(47246, '81.171.111.0', '81.171.127.255', 1370189568, 1370193919, 'NL', 'Netherlands'),
(47247, '81.171.128.0', '81.171.255.255', 1370193920, 1370226687, 'GB', 'United Kingdom'),
(47248, '81.172.0.0', '81.172.127.255', 1370226688, 1370259455, 'ES', 'Spain'),
(47249, '81.172.128.0', '81.172.255.255', 1370259456, 1370292223, 'SE', 'Sweden'),
(47250, '81.173.0.0', '81.173.29.255', 1370292224, 1370299903, 'NL', 'Netherlands'),
(47251, '81.173.30.0', '81.173.30.255', 1370299904, 1370300159, 'US', 'United States'),
(47252, '81.173.31.0', '81.173.127.255', 1370300160, 1370324991, 'NL', 'Netherlands'),
(47253, '81.173.128.0', '81.173.255.255', 1370324992, 1370357759, 'DE', 'Germany'),
(47254, '81.174.0.0', '81.174.127.255', 1370357760, 1370390527, 'IT', 'Italy'),
(47255, '81.174.128.0', '81.174.255.255', 1370390528, 1370423295, 'GB', 'United Kingdom'),
(47256, '81.175.0.0', '81.175.63.255', 1370423296, 1370439679, 'NO', 'Norway'),
(47257, '81.175.64.0', '81.175.127.255', 1370439680, 1370456063, 'NL', 'Netherlands'),
(47258, '81.175.128.0', '81.175.255.255', 1370456064, 1370488831, 'FI', 'Finland'),
(47259, '81.176.0.0', '81.176.66.127', 1370488832, 1370505855, 'RU', 'Russian Federation'),
(47260, '81.176.66.128', '81.176.66.143', 1370505856, 1370505871, 'CY', 'Cyprus'),
(47261, '81.176.66.144', '81.176.78.95', 1370505872, 1370508895, 'RU', 'Russian Federation'),
(47262, '81.176.78.96', '81.176.78.111', 1370508896, 1370508911, 'CY', 'Cyprus'),
(47263, '81.176.78.112', '81.177.5.239', 1370508912, 1370555887, 'RU', 'Russian Federation'),
(47264, '81.177.5.240', '81.177.5.255', 1370555888, 1370555903, 'CY', 'Cyprus'),
(47265, '81.177.6.0', '81.177.37.127', 1370555904, 1370563967, 'RU', 'Russian Federation'),
(47266, '81.177.37.128', '81.177.37.191', 1370563968, 1370564031, 'US', 'United States'),
(47267, '81.177.37.192', '81.177.255.255', 1370564032, 1370619903, 'RU', 'Russian Federation'),
(47268, '81.178.0.0', '81.179.255.255', 1370619904, 1370750975, 'GB', 'United Kingdom'),
(47269, '81.180.0.0', '81.180.63.255', 1370750976, 1370767359, 'RO', 'Romania'),
(47270, '81.180.64.0', '81.180.79.255', 1370767360, 1370771455, 'MD', 'Moldova, Republic of'),
(47271, '81.180.80.0', '81.180.83.255', 1370771456, 1370772479, 'RO', 'Romania'),
(47272, '81.180.84.0', '81.180.85.255', 1370772480, 1370772991, 'MD', 'Moldova, Republic of'),
(47273, '81.180.86.0', '81.181.255.255', 1370772992, 1370882047, 'RO', 'Romania'),
(47274, '81.182.0.0', '81.183.255.255', 1370882048, 1371013119, 'HU', 'Hungary'),
(47275, '81.184.0.0', '81.184.255.255', 1371013120, 1371078655, 'ES', 'Spain'),
(47276, '81.185.0.0', '81.185.255.255', 1371078656, 1371144191, 'FR', 'France'),
(47277, '81.186.0.0', '81.186.223.255', 1371144192, 1371201535, 'GR', 'Greece'),
(47278, '81.186.224.0', '81.186.239.255', 1371201536, 1371205631, 'PL', 'Poland'),
(47279, '81.186.240.0', '81.186.255.255', 1371205632, 1371209727, 'SE', 'Sweden'),
(47280, '81.187.0.0', '81.187.162.143', 1371209728, 1371251343, 'GB', 'United Kingdom'),
(47281, '81.187.162.144', '81.187.162.159', 1371251344, 1371251359, 'US', 'United States'),
(47282, '81.187.162.160', '81.187.255.255', 1371251360, 1371275263, 'GB', 'United Kingdom'),
(47283, '81.188.0.0', '81.188.255.255', 1371275264, 1371340799, 'BE', 'Belgium'),
(47284, '81.189.0.0', '81.189.132.148', 1371340800, 1371374740, 'AT', 'Austria'),
(47285, '81.189.132.149', '81.189.132.149', 1371374741, 1371374741, 'SK', 'Slovakia'),
(47286, '81.189.132.150', '81.189.255.255', 1371374742, 1371406335, 'AT', 'Austria'),
(47287, '81.190.0.0', '81.190.255.255', 1371406336, 1371471871, 'PL', 'Poland'),
(47288, '81.191.0.0', '81.191.255.255', 1371471872, 1371537407, 'NO', 'Norway'),
(47289, '81.192.0.0', '81.192.255.255', 1371537408, 1371602943, 'MA', 'Morocco'),
(47290, '81.193.0.0', '81.193.255.255', 1371602944, 1371668479, 'PT', 'Portugal'),
(47291, '81.194.0.0', '81.194.255.255', 1371668480, 1371734015, 'FR', 'France'),
(47292, '81.195.0.0', '81.195.255.255', 1371734016, 1371799551, 'RU', 'Russian Federation'),
(47293, '81.196.0.0', '81.196.255.255', 1371799552, 1371865087, 'RO', 'Romania'),
(47294, '81.197.0.0', '81.197.255.255', 1371865088, 1371930623, 'FI', 'Finland'),
(47295, '81.198.0.0', '81.198.255.255', 1371930624, 1371996159, 'LV', 'Latvia'),
(47296, '81.199.0.0', '81.199.0.255', 1371996160, 1371996415, 'NG', 'Nigeria'),
(47297, '81.199.1.0', '81.199.1.255', 1371996416, 1371996671, 'A2', 'Satellite Provider'),
(47298, '81.199.2.0', '81.199.2.255', 1371996672, 1371996927, 'GA', 'Gabon'),
(47299, '81.199.3.0', '81.199.3.255', 1371996928, 1371997183, 'A2', 'Satellite Provider'),
(47300, '81.199.4.0', '81.199.4.255', 1371997184, 1371997439, 'KE', 'Kenya'),
(47301, '81.199.5.0', '81.199.7.255', 1371997440, 1371998207, 'NG', 'Nigeria'),
(47302, '81.199.8.0', '81.199.8.255', 1371998208, 1371998463, 'CD', 'Congo, The Democratic Republic of the'),
(47303, '81.199.9.0', '81.199.9.255', 1371998464, 1371998719, 'NG', 'Nigeria'),
(47304, '81.199.10.0', '81.199.15.255', 1371998720, 1372000255, 'A2', 'Satellite Provider'),
(47305, '81.199.16.0', '81.199.31.255', 1372000256, 1372004351, 'UG', 'Uganda'),
(47306, '81.199.32.0', '81.199.39.255', 1372004352, 1372006399, 'A2', 'Satellite Provider'),
(47307, '81.199.40.0', '81.199.40.7', 1372006400, 1372006407, 'NG', 'Nigeria'),
(47308, '81.199.40.8', '81.199.40.26', 1372006408, 1372006426, 'A2', 'Satellite Provider'),
(47309, '81.199.40.27', '81.199.40.27', 1372006427, 1372006427, 'TZ', 'Tanzania, United Republic of'),
(47310, '81.199.40.28', '81.199.40.63', 1372006428, 1372006463, 'A2', 'Satellite Provider'),
(47311, '81.199.40.64', '81.199.40.95', 1372006464, 1372006495, 'NG', 'Nigeria'),
(47312, '81.199.40.96', '81.199.42.127', 1372006496, 1372007039, 'A2', 'Satellite Provider'),
(47313, '81.199.42.128', '81.199.44.31', 1372007040, 1372007455, 'NG', 'Nigeria'),
(47314, '81.199.44.32', '81.199.46.159', 1372007456, 1372008095, 'A2', 'Satellite Provider'),
(47315, '81.199.46.160', '81.199.46.191', 1372008096, 1372008127, 'NG', 'Nigeria'),
(47316, '81.199.46.192', '81.199.46.223', 1372008128, 1372008159, 'A2', 'Satellite Provider'),
(47317, '81.199.46.224', '81.199.46.255', 1372008160, 1372008191, 'NG', 'Nigeria'),
(47318, '81.199.47.0', '81.199.49.223', 1372008192, 1372008927, 'A2', 'Satellite Provider'),
(47319, '81.199.49.224', '81.199.49.255', 1372008928, 1372008959, 'MW', 'Malawi'),
(47320, '81.199.50.0', '81.199.54.255', 1372008960, 1372010239, 'A2', 'Satellite Provider'),
(47321, '81.199.55.0', '81.199.55.32', 1372010240, 1372010272, 'NG', 'Nigeria'),
(47322, '81.199.55.33', '81.199.57.215', 1372010273, 1372010967, 'A2', 'Satellite Provider'),
(47323, '81.199.57.216', '81.199.57.255', 1372010968, 1372011007, 'TZ', 'Tanzania, United Republic of'),
(47324, '81.199.58.0', '81.199.60.255', 1372011008, 1372011775, 'A2', 'Satellite Provider'),
(47325, '81.199.61.0', '81.199.61.255', 1372011776, 1372012031, 'ZM', 'Zambia'),
(47326, '81.199.62.0', '81.199.63.255', 1372012032, 1372012543, 'A2', 'Satellite Provider'),
(47327, '81.199.64.0', '81.199.71.255', 1372012544, 1372014591, 'ZM', 'Zambia'),
(47328, '81.199.72.0', '81.199.75.255', 1372014592, 1372015615, 'A2', 'Satellite Provider'),
(47329, '81.199.76.0', '81.199.76.255', 1372015616, 1372015871, 'NG', 'Nigeria'),
(47330, '81.199.77.0', '81.199.77.255', 1372015872, 1372016127, 'A2', 'Satellite Provider'),
(47331, '81.199.78.0', '81.199.78.255', 1372016128, 1372016383, 'GH', 'Ghana'),
(47332, '81.199.79.0', '81.199.89.255', 1372016384, 1372019199, 'A2', 'Satellite Provider'),
(47333, '81.199.90.0', '81.199.90.255', 1372019200, 1372019455, 'GA', 'Gabon'),
(47334, '81.199.91.0', '81.199.95.255', 1372019456, 1372020735, 'A2', 'Satellite Provider'),
(47335, '81.199.96.0', '81.199.103.255', 1372020736, 1372022783, 'ZM', 'Zambia'),
(47336, '81.199.104.0', '81.199.111.255', 1372022784, 1372024831, 'A2', 'Satellite Provider'),
(47337, '81.199.112.0', '81.199.112.255', 1372024832, 1372025087, 'ZM', 'Zambia'),
(47338, '81.199.113.0', '81.199.115.31', 1372025088, 1372025631, 'A2', 'Satellite Provider'),
(47339, '81.199.115.32', '81.199.115.63', 1372025632, 1372025663, 'ZM', 'Zambia'),
(47340, '81.199.115.64', '81.199.115.95', 1372025664, 1372025695, 'KE', 'Kenya'),
(47341, '81.199.115.96', '81.199.115.127', 1372025696, 1372025727, 'TZ', 'Tanzania, United Republic of'),
(47342, '81.199.115.128', '81.199.115.255', 1372025728, 1372025855, 'A2', 'Satellite Provider'),
(47343, '81.199.116.0', '81.199.117.255', 1372025856, 1372026367, 'IL', 'Israel'),
(47344, '81.199.118.0', '81.199.119.255', 1372026368, 1372026879, 'KE', 'Kenya'),
(47345, '81.199.120.0', '81.199.123.255', 1372026880, 1372027903, 'IL', 'Israel'),
(47346, '81.199.124.0', '81.199.129.255', 1372027904, 1372029439, 'A2', 'Satellite Provider'),
(47347, '81.199.130.0', '81.199.130.255', 1372029440, 1372029695, 'NG', 'Nigeria'),
(47348, '81.199.131.0', '81.199.131.255', 1372029696, 1372029951, 'NE', 'Niger'),
(47349, '81.199.132.0', '81.199.139.255', 1372029952, 1372031999, 'A2', 'Satellite Provider'),
(47350, '81.199.140.0', '81.199.140.255', 1372032000, 1372032255, 'CM', 'Cameroon'),
(47351, '81.199.141.0', '81.199.176.127', 1372032256, 1372041343, 'A2', 'Satellite Provider'),
(47352, '81.199.176.128', '81.199.176.255', 1372041344, 1372041471, 'NG', 'Nigeria'),
(47353, '81.199.177.0', '81.199.184.255', 1372041472, 1372043519, 'A2', 'Satellite Provider'),
(47354, '81.199.185.0', '81.199.185.255', 1372043520, 1372043775, 'NG', 'Nigeria'),
(47355, '81.199.186.0', '81.199.187.255', 1372043776, 1372044287, 'A2', 'Satellite Provider'),
(47356, '81.199.188.0', '81.199.188.255', 1372044288, 1372044543, 'NG', 'Nigeria'),
(47357, '81.199.189.0', '81.199.189.255', 1372044544, 1372044799, 'A2', 'Satellite Provider'),
(47358, '81.199.190.0', '81.199.190.63', 1372044800, 1372044863, 'CM', 'Cameroon'),
(47359, '81.199.190.64', '81.199.190.127', 1372044864, 1372044927, 'NG', 'Nigeria'),
(47360, '81.199.190.128', '81.199.190.255', 1372044928, 1372045055, 'A2', 'Satellite Provider'),
(47361, '81.199.191.0', '81.199.191.31', 1372045056, 1372045087, 'CM', 'Cameroon'),
(47362, '81.199.191.32', '81.199.191.63', 1372045088, 1372045119, 'A2', 'Satellite Provider'),
(47363, '81.199.191.64', '81.199.191.95', 1372045120, 1372045151, 'NG', 'Nigeria'),
(47364, '81.199.191.96', '81.199.192.255', 1372045152, 1372045567, 'A2', 'Satellite Provider'),
(47365, '81.199.193.0', '81.199.193.255', 1372045568, 1372045823, 'ZM', 'Zambia'),
(47366, '81.199.194.0', '81.199.194.63', 1372045824, 1372045887, 'NG', 'Nigeria'),
(47367, '81.199.194.64', '81.199.196.223', 1372045888, 1372046559, 'A2', 'Satellite Provider'),
(47368, '81.199.196.224', '81.199.196.255', 1372046560, 1372046591, 'NG', 'Nigeria'),
(47369, '81.199.197.0', '81.199.199.127', 1372046592, 1372047231, 'A2', 'Satellite Provider'),
(47370, '81.199.199.128', '81.199.199.191', 1372047232, 1372047295, 'NG', 'Nigeria'),
(47371, '81.199.199.192', '81.199.199.255', 1372047296, 1372047359, 'A2', 'Satellite Provider'),
(47372, '81.199.200.0', '81.199.200.255', 1372047360, 1372047615, 'CM', 'Cameroon'),
(47373, '81.199.201.0', '81.199.209.255', 1372047616, 1372049919, 'A2', 'Satellite Provider'),
(47374, '81.199.210.0', '81.199.210.255', 1372049920, 1372050175, 'NG', 'Nigeria'),
(47375, '81.199.211.0', '81.199.249.255', 1372050176, 1372060159, 'A2', 'Satellite Provider'),
(47376, '81.199.250.0', '81.199.255.255', 1372060160, 1372061695, 'IL', 'Israel'),
(47377, '81.200.0.0', '81.200.31.255', 1372061696, 1372069887, 'RU', 'Russian Federation'),
(47378, '81.200.32.0', '81.200.47.255', 1372069888, 1372073983, 'FR', 'France'),
(47379, '81.200.48.0', '81.200.63.255', 1372073984, 1372078079, 'CZ', 'Czech Republic'),
(47380, '81.200.64.0', '81.200.79.255', 1372078080, 1372082175, 'GB', 'United Kingdom'),
(47381, '81.200.80.0', '81.200.95.255', 1372082176, 1372086271, 'RU', 'Russian Federation'),
(47382, '81.200.96.0', '81.200.111.255', 1372086272, 1372090367, 'DE', 'Germany'),
(47383, '81.200.112.0', '81.200.127.255', 1372090368, 1372094463, 'RU', 'Russian Federation'),
(47384, '81.200.128.0', '81.200.143.255', 1372094464, 1372098559, 'IT', 'Italy'),
(47385, '81.200.144.0', '81.200.159.255', 1372098560, 1372102655, 'RU', 'Russian Federation'),
(47386, '81.200.160.0', '81.200.175.255', 1372102656, 1372106751, 'SE', 'Sweden'),
(47387, '81.200.176.0', '81.200.190.255', 1372106752, 1372110591, 'FR', 'France'),
(47388, '81.200.191.0', '81.200.191.31', 1372110592, 1372110623, 'GB', 'United Kingdom'),
(47389, '81.200.191.32', '81.200.191.63', 1372110624, 1372110655, 'DE', 'Germany'),
(47390, '81.200.191.64', '81.200.191.95', 1372110656, 1372110687, 'IT', 'Italy'),
(47391, '81.200.191.96', '81.200.191.127', 1372110688, 1372110719, 'ES', 'Spain'),
(47392, '81.200.191.128', '81.200.191.159', 1372110720, 1372110751, 'FR', 'France'),
(47393, '81.200.191.160', '81.200.191.191', 1372110752, 1372110783, 'NL', 'Netherlands'),
(47394, '81.200.191.192', '81.200.191.255', 1372110784, 1372110847, 'FR', 'France'),
(47395, '81.200.192.0', '81.200.207.255', 1372110848, 1372114943, 'DE', 'Germany'),
(47396, '81.200.208.0', '81.200.223.255', 1372114944, 1372119039, 'RU', 'Russian Federation'),
(47397, '81.200.224.0', '81.200.239.255', 1372119040, 1372123135, 'IT', 'Italy'),
(47398, '81.200.240.0', '81.200.255.255', 1372123136, 1372127231, 'RU', 'Russian Federation'),
(47399, '81.201.0.0', '81.201.15.255', 1372127232, 1372131327, 'IT', 'Italy'),
(47400, '81.201.16.0', '81.201.31.255', 1372131328, 1372135423, 'RU', 'Russian Federation'),
(47401, '81.201.32.0', '81.201.43.15', 1372135424, 1372138255, 'DE', 'Germany'),
(47402, '81.201.43.16', '81.201.43.23', 1372138256, 1372138263, 'GB', 'United Kingdom'),
(47403, '81.201.43.24', '81.201.47.255', 1372138264, 1372139519, 'DE', 'Germany'),
(47404, '81.201.48.0', '81.201.63.255', 1372139520, 1372143615, 'CZ', 'Czech Republic'),
(47405, '81.201.64.0', '81.201.79.255', 1372143616, 1372147711, 'RU', 'Russian Federation'),
(47406, '81.201.80.0', '81.201.95.255', 1372147712, 1372151807, 'BE', 'Belgium'),
(47407, '81.201.96.0', '81.201.99.247', 1372151808, 1372152823, 'DE', 'Germany'),
(47408, '81.201.99.248', '81.201.99.255', 1372152824, 1372152831, 'GB', 'United Kingdom'),
(47409, '81.201.100.0', '81.201.112.159', 1372152832, 1372156063, 'DE', 'Germany'),
(47410, '81.201.112.160', '81.201.112.191', 1372156064, 1372156095, 'GB', 'United Kingdom'),
(47411, '81.201.112.192', '81.201.115.47', 1372156096, 1372156719, 'DE', 'Germany'),
(47412, '81.201.115.48', '81.201.115.63', 1372156720, 1372156735, 'GB', 'United Kingdom'),
(47413, '81.201.115.64', '81.201.127.255', 1372156736, 1372159999, 'DE', 'Germany'),
(47414, '81.201.128.0', '81.201.143.255', 1372160000, 1372164095, 'GB', 'United Kingdom'),
(47415, '81.201.144.0', '81.201.154.207', 1372164096, 1372166863, 'DE', 'Germany'),
(47416, '81.201.154.208', '81.201.154.223', 1372166864, 1372166879, 'US', 'United States'),
(47417, '81.201.154.224', '81.201.159.255', 1372166880, 1372168191, 'DE', 'Germany'),
(47418, '81.201.160.0', '81.201.175.255', 1372168192, 1372172287, 'GB', 'United Kingdom'),
(47419, '81.201.176.0', '81.201.191.255', 1372172288, 1372176383, 'FR', 'France'),
(47420, '81.201.192.0', '81.201.207.255', 1372176384, 1372180479, 'CH', 'Switzerland'),
(47421, '81.201.208.0', '81.201.222.7', 1372180480, 1372184071, 'SE', 'Sweden'),
(47422, '81.201.222.8', '81.201.222.15', 1372184072, 1372184079, 'ES', 'Spain'),
(47423, '81.201.222.16', '81.201.223.255', 1372184080, 1372184575, 'SE', 'Sweden'),
(47424, '81.201.224.0', '81.201.239.255', 1372184576, 1372188671, 'DE', 'Germany'),
(47425, '81.201.240.0', '81.201.255.255', 1372188672, 1372192767, 'RU', 'Russian Federation'),
(47426, '81.202.0.0', '81.203.255.255', 1372192768, 1372323839, 'ES', 'Spain'),
(47427, '81.204.0.0', '81.207.255.255', 1372323840, 1372585983, 'NL', 'Netherlands'),
(47428, '81.208.0.0', '81.208.0.255', 1372585984, 1372586239, 'A2', 'Satellite Provider'),
(47429, '81.208.1.0', '81.208.13.255', 1372586240, 1372589567, 'IT', 'Italy'),
(47430, '81.208.14.0', '81.208.14.255', 1372589568, 1372589823, 'A2', 'Satellite Provider'),
(47431, '81.208.15.0', '81.208.127.255', 1372589824, 1372618751, 'IT', 'Italy'),
(47432, '81.208.128.0', '81.208.255.255', 1372618752, 1372651519, 'GB', 'United Kingdom'),
(47433, '81.209.0.0', '81.209.127.255', 1372651520, 1372684287, 'FI', 'Finland'),
(47434, '81.209.128.0', '81.209.133.63', 1372684288, 1372685631, 'DE', 'Germany'),
(47435, '81.209.133.64', '81.209.133.87', 1372685632, 1372685655, 'EU', 'Europe'),
(47436, '81.209.133.88', '81.209.133.95', 1372685656, 1372685663, 'DE', 'Germany'),
(47437, '81.209.133.96', '81.209.133.127', 1372685664, 1372685695, 'EU', 'Europe'),
(47438, '81.209.133.128', '81.209.133.255', 1372685696, 1372685823, 'DE', 'Germany'),
(47439, '81.209.134.0', '81.209.134.63', 1372685824, 1372685887, 'EU', 'Europe'),
(47440, '81.209.134.64', '81.209.135.255', 1372685888, 1372686335, 'DE', 'Germany'),
(47441, '81.209.136.0', '81.209.139.255', 1372686336, 1372687359, 'EU', 'Europe'),
(47442, '81.209.140.0', '81.209.140.127', 1372687360, 1372687487, 'DE', 'Germany'),
(47443, '81.209.140.128', '81.209.140.159', 1372687488, 1372687519, 'EU', 'Europe'),
(47444, '81.209.140.160', '81.209.140.255', 1372687520, 1372687615, 'DE', 'Germany'),
(47445, '81.209.141.0', '81.209.141.63', 1372687616, 1372687679, 'EU', 'Europe'),
(47446, '81.209.141.64', '81.209.141.95', 1372687680, 1372687711, 'DE', 'Germany'),
(47447, '81.209.141.96', '81.209.141.103', 1372687712, 1372687719, 'EU', 'Europe'),
(47448, '81.209.141.104', '81.209.141.111', 1372687720, 1372687727, 'DE', 'Germany'),
(47449, '81.209.141.112', '81.209.141.127', 1372687728, 1372687743, 'EU', 'Europe'),
(47450, '81.209.141.128', '81.209.143.71', 1372687744, 1372688199, 'DE', 'Germany'),
(47451, '81.209.143.72', '81.209.143.95', 1372688200, 1372688223, 'EU', 'Europe'),
(47452, '81.209.143.96', '81.209.143.223', 1372688224, 1372688351, 'DE', 'Germany'),
(47453, '81.209.143.224', '81.209.143.255', 1372688352, 1372688383, 'EU', 'Europe'),
(47454, '81.209.144.0', '81.209.149.31', 1372688384, 1372689695, 'DE', 'Germany'),
(47455, '81.209.149.32', '81.209.149.127', 1372689696, 1372689791, 'EU', 'Europe'),
(47456, '81.209.149.128', '81.209.149.175', 1372689792, 1372689839, 'DE', 'Germany'),
(47457, '81.209.149.176', '81.209.149.191', 1372689840, 1372689855, 'EU', 'Europe'),
(47458, '81.209.149.192', '81.209.155.255', 1372689856, 1372691455, 'DE', 'Germany'),
(47459, '81.209.156.0', '81.209.156.255', 1372691456, 1372691711, 'US', 'United States'),
(47460, '81.209.157.0', '81.209.157.255', 1372691712, 1372691967, 'EU', 'Europe'),
(47461, '81.209.158.0', '81.209.166.255', 1372691968, 1372694271, 'DE', 'Germany'),
(47462, '81.209.167.0', '81.209.167.31', 1372694272, 1372694303, 'EU', 'Europe'),
(47463, '81.209.167.32', '81.209.167.95', 1372694304, 1372694367, 'DE', 'Germany'),
(47464, '81.209.167.96', '81.209.167.111', 1372694368, 1372694383, 'EU', 'Europe'),
(47465, '81.209.167.112', '81.209.167.127', 1372694384, 1372694399, 'DE', 'Germany'),
(47466, '81.209.167.128', '81.209.168.31', 1372694400, 1372694559, 'EU', 'Europe'),
(47467, '81.209.168.32', '81.209.168.63', 1372694560, 1372694591, 'DE', 'Germany'),
(47468, '81.209.168.64', '81.209.168.95', 1372694592, 1372694623, 'EU', 'Europe'),
(47469, '81.209.168.96', '81.209.168.191', 1372694624, 1372694719, 'DE', 'Germany'),
(47470, '81.209.168.192', '81.209.168.255', 1372694720, 1372694783, 'EU', 'Europe'),
(47471, '81.209.169.0', '81.209.169.31', 1372694784, 1372694815, 'DE', 'Germany'),
(47472, '81.209.169.32', '81.209.169.47', 1372694816, 1372694831, 'EU', 'Europe'),
(47473, '81.209.169.48', '81.209.169.255', 1372694832, 1372695039, 'DE', 'Germany'),
(47474, '81.209.170.0', '81.209.170.255', 1372695040, 1372695295, 'EU', 'Europe'),
(47475, '81.209.171.0', '81.209.171.127', 1372695296, 1372695423, 'DE', 'Germany'),
(47476, '81.209.171.128', '81.209.171.255', 1372695424, 1372695551, 'EU', 'Europe'),
(47477, '81.209.172.0', '81.209.172.255', 1372695552, 1372695807, 'CZ', 'Czech Republic'),
(47478, '81.209.173.0', '81.209.173.199', 1372695808, 1372696007, 'DK', 'Denmark'),
(47479, '81.209.173.200', '81.209.173.255', 1372696008, 1372696063, 'EU', 'Europe'),
(47480, '81.209.174.0', '81.209.178.127', 1372696064, 1372697215, 'DE', 'Germany'),
(47481, '81.209.178.128', '81.209.178.143', 1372697216, 1372697231, 'EU', 'Europe'),
(47482, '81.209.178.144', '81.209.178.151', 1372697232, 1372697239, 'DE', 'Germany'),
(47483, '81.209.178.152', '81.209.178.159', 1372697240, 1372697247, 'EU', 'Europe'),
(47484, '81.209.178.160', '81.209.178.191', 1372697248, 1372697279, 'DE', 'Germany'),
(47485, '81.209.178.192', '81.209.178.255', 1372697280, 1372697343, 'EU', 'Europe'),
(47486, '81.209.179.0', '81.209.183.103', 1372697344, 1372698471, 'DE', 'Germany'),
(47487, '81.209.183.104', '81.209.183.191', 1372698472, 1372698559, 'EU', 'Europe'),
(47488, '81.209.183.192', '81.209.189.255', 1372698560, 1372700159, 'DE', 'Germany'),
(47489, '81.209.190.0', '81.209.190.255', 1372700160, 1372700415, 'SE', 'Sweden'),
(47490, '81.209.191.0', '81.209.191.255', 1372700416, 1372700671, 'EU', 'Europe'),
(47491, '81.209.192.0', '81.209.198.255', 1372700672, 1372702463, 'DE', 'Germany'),
(47492, '81.209.199.0', '81.209.199.255', 1372702464, 1372702719, 'EU', 'Europe'),
(47493, '81.209.200.0', '81.209.200.15', 1372702720, 1372702735, 'DE', 'Germany'),
(47494, '81.209.200.16', '81.209.200.31', 1372702736, 1372702751, 'EU', 'Europe'),
(47495, '81.209.200.32', '81.209.201.15', 1372702752, 1372702991, 'DE', 'Germany'),
(47496, '81.209.201.16', '81.209.202.39', 1372702992, 1372703271, 'EU', 'Europe'),
(47497, '81.209.202.40', '81.209.202.63', 1372703272, 1372703295, 'DE', 'Germany'),
(47498, '81.209.202.64', '81.209.202.95', 1372703296, 1372703327, 'EU', 'Europe'),
(47499, '81.209.202.96', '81.209.202.159', 1372703328, 1372703391, 'DE', 'Germany'),
(47500, '81.209.202.160', '81.209.202.191', 1372703392, 1372703423, 'EU', 'Europe'),
(47501, '81.209.202.192', '81.209.202.255', 1372703424, 1372703487, 'DE', 'Germany'),
(47502, '81.209.203.0', '81.209.207.255', 1372703488, 1372704767, 'EU', 'Europe'),
(47503, '81.209.208.0', '81.209.255.255', 1372704768, 1372717055, 'DE', 'Germany'),
(47504, '81.210.0.0', '81.210.127.255', 1372717056, 1372749823, 'PL', 'Poland'),
(47505, '81.210.128.0', '81.210.255.255', 1372749824, 1372782591, 'DE', 'Germany'),
(47506, '81.211.0.0', '81.211.7.255', 1372782592, 1372784639, 'RU', 'Russian Federation'),
(47507, '81.211.8.0', '81.211.8.255', 1372784640, 1372784895, 'EU', 'Europe'),
(47508, '81.211.9.0', '81.211.127.255', 1372784896, 1372815359, 'RU', 'Russian Federation'),
(47509, '81.211.128.0', '81.211.255.255', 1372815360, 1372848127, 'KZ', 'Kazakhstan'),
(47510, '81.212.0.0', '81.215.255.255', 1372848128, 1373110271, 'TR', 'Turkey'),
(47511, '81.216.0.0', '81.216.255.255', 1373110272, 1373175807, 'SE', 'Sweden'),
(47512, '81.217.0.0', '81.217.255.255', 1373175808, 1373241343, 'AT', 'Austria'),
(47513, '81.218.0.0', '81.218.255.255', 1373241344, 1373306879, 'IL', 'Israel'),
(47514, '81.219.0.0', '81.219.255.255', 1373306880, 1373372415, 'PL', 'Poland'),
(47515, '81.220.0.0', '81.220.255.255', 1373372416, 1373437951, 'FR', 'France'),
(47516, '81.221.0.0', '81.221.255.255', 1373437952, 1373503487, 'CH', 'Switzerland'),
(47517, '81.222.0.0', '81.222.63.255', 1373503488, 1373519871, 'RU', 'Russian Federation'),
(47518, '81.222.64.0', '81.222.67.255', 1373519872, 1373520895, 'GB', 'United Kingdom'),
(47519, '81.222.68.0', '81.222.255.255', 1373520896, 1373569023, 'RU', 'Russian Federation'),
(47520, '81.223.0.0', '81.223.255.255', 1373569024, 1373634559, 'AT', 'Austria'),
(47521, '81.224.0.0', '81.239.255.255', 1373634560, 1374683135, 'SE', 'Sweden'),
(47522, '81.240.0.0', '81.246.17.255', 1374683136, 1375080959, 'BE', 'Belgium'),
(47523, '81.246.18.0', '81.246.18.255', 1375080960, 1375081215, 'EU', 'Europe'),
(47524, '81.246.19.0', '81.247.255.255', 1375081216, 1375207423, 'BE', 'Belgium'),
(47525, '81.248.0.0', '81.248.236.255', 1375207424, 1375268095, 'FR', 'France'),
(47526, '81.248.237.0', '81.248.237.255', 1375268096, 1375268351, 'RE', 'Reunion'),
(47527, '81.248.238.0', '81.255.255.255', 1375268352, 1375731711, 'FR', 'France'),
(47528, '82.0.0.0', '82.1.4.63', 1375731712, 1375798335, 'GB', 'United Kingdom'),
(47529, '82.1.4.64', '82.1.4.79', 1375798336, 1375798351, 'IE', 'Ireland'),
(47530, '82.1.4.80', '82.1.215.255', 1375798352, 1375852543, 'GB', 'United Kingdom'),
(47531, '82.1.216.0', '82.1.216.255', 1375852544, 1375852799, 'IE', 'Ireland'),
(47532, '82.1.217.0', '82.47.255.255', 1375852800, 1378877439, 'GB', 'United Kingdom'),
(47533, '82.48.0.0', '82.63.255.255', 1378877440, 1379926015, 'IT', 'Italy'),
(47534, '82.64.0.0', '82.67.255.255', 1379926016, 1380188159, 'FR', 'France'),
(47535, '82.68.0.0', '82.71.255.255', 1380188160, 1380450303, 'GB', 'United Kingdom'),
(47536, '82.72.0.0', '82.75.255.255', 1380450304, 1380712447, 'NL', 'Netherlands'),
(47537, '82.76.0.0', '82.79.255.255', 1380712448, 1380974591, 'RO', 'Romania'),
(47538, '82.80.0.0', '82.80.241.183', 1380974592, 1381036471, 'IL', 'Israel'),
(47539, '82.80.241.184', '82.80.241.191', 1381036472, 1381036479, 'A2', 'Satellite Provider'),
(47540, '82.80.241.192', '82.81.255.255', 1381036480, 1381105663, 'IL', 'Israel'),
(47541, '82.82.0.0', '82.83.255.255', 1381105664, 1381236735, 'DE', 'Germany'),
(47542, '82.84.0.0', '82.85.175.255', 1381236736, 1381347327, 'IT', 'Italy'),
(47543, '82.85.176.0', '82.85.176.255', 1381347328, 1381347583, 'A2', 'Satellite Provider'),
(47544, '82.85.177.0', '82.85.255.255', 1381347584, 1381367807, 'IT', 'Italy'),
(47545, '82.86.0.0', '82.87.255.255', 1381367808, 1381498879, 'ES', 'Spain'),
(47546, '82.88.0.0', '82.91.255.255', 1381498880, 1381761023, 'IT', 'Italy'),
(47547, '82.92.0.0', '82.95.255.255', 1381761024, 1382023167, 'NL', 'Netherlands'),
(47548, '82.96.0.0', '82.96.6.255', 1382023168, 1382024959, 'SE', 'Sweden'),
(47549, '82.96.7.0', '82.96.7.255', 1382024960, 1382025215, 'DK', 'Denmark'),
(47550, '82.96.8.0', '82.96.40.175', 1382025216, 1382033583, 'SE', 'Sweden'),
(47551, '82.96.40.176', '82.96.40.191', 1382033584, 1382033599, 'NL', 'Netherlands'),
(47552, '82.96.40.192', '82.96.47.159', 1382033600, 1382035359, 'SE', 'Sweden'),
(47553, '82.96.47.160', '82.96.47.175', 1382035360, 1382035375, 'NO', 'Norway'),
(47554, '82.96.47.176', '82.96.61.223', 1382035376, 1382039007, 'SE', 'Sweden'),
(47555, '82.96.61.224', '82.96.61.239', 1382039008, 1382039023, 'FR', 'France'),
(47556, '82.96.61.240', '82.96.62.15', 1382039024, 1382039055, 'SE', 'Sweden'),
(47557, '82.96.62.16', '82.96.62.31', 1382039056, 1382039071, 'DE', 'Germany'),
(47558, '82.96.62.32', '82.96.62.135', 1382039072, 1382039175, 'SE', 'Sweden'),
(47559, '82.96.62.136', '82.96.62.151', 1382039176, 1382039191, 'GB', 'United Kingdom'),
(47560, '82.96.62.152', '82.96.62.231', 1382039192, 1382039271, 'SE', 'Sweden'),
(47561, '82.96.62.232', '82.96.62.235', 1382039272, 1382039275, 'GB', 'United Kingdom'),
(47562, '82.96.62.236', '82.96.63.255', 1382039276, 1382039551, 'SE', 'Sweden'),
(47563, '82.96.64.0', '82.96.127.255', 1382039552, 1382055935, 'DE', 'Germany'),
(47564, '82.96.128.0', '82.96.191.255', 1382055936, 1382072319, 'FR', 'France'),
(47565, '82.96.192.0', '82.96.255.255', 1382072320, 1382088703, 'RU', 'Russian Federation'),
(47566, '82.97.0.0', '82.97.10.47', 1382088704, 1382091311, 'FR', 'France'),
(47567, '82.97.10.48', '82.97.10.63', 1382091312, 1382091327, 'MC', 'Monaco'),
(47568, '82.97.10.64', '82.97.10.111', 1382091328, 1382091375, 'FR', 'France'),
(47569, '82.97.10.112', '82.97.10.127', 1382091376, 1382091391, 'MC', 'Monaco'),
(47570, '82.97.10.128', '82.97.14.79', 1382091392, 1382092367, 'FR', 'France'),
(47571, '82.97.14.80', '82.97.14.111', 1382092368, 1382092399, 'MC', 'Monaco'),
(47572, '82.97.14.112', '82.97.16.15', 1382092400, 1382092815, 'FR', 'France'),
(47573, '82.97.16.16', '82.97.16.31', 1382092816, 1382092831, 'MC', 'Monaco'),
(47574, '82.97.16.32', '82.97.16.127', 1382092832, 1382092927, 'FR', 'France'),
(47575, '82.97.16.128', '82.97.16.143', 1382092928, 1382092943, 'MC', 'Monaco'),
(47576, '82.97.16.144', '82.97.16.255', 1382092944, 1382093055, 'FR', 'France'),
(47577, '82.97.17.0', '82.97.17.31', 1382093056, 1382093087, 'GB', 'United Kingdom'),
(47578, '82.97.17.32', '82.97.17.63', 1382093088, 1382093119, 'FR', 'France'),
(47579, '82.97.17.64', '82.97.17.95', 1382093120, 1382093151, 'MC', 'Monaco'),
(47580, '82.97.17.96', '82.97.18.191', 1382093152, 1382093503, 'FR', 'France'),
(47581, '82.97.18.192', '82.97.19.15', 1382093504, 1382093583, 'MC', 'Monaco'),
(47582, '82.97.19.16', '82.97.19.255', 1382093584, 1382093823, 'FR', 'France'),
(47583, '82.97.20.0', '82.97.20.63', 1382093824, 1382093887, 'MC', 'Monaco'),
(47584, '82.97.20.64', '82.97.20.255', 1382093888, 1382094079, 'FR', 'France'),
(47585, '82.97.21.0', '82.97.21.63', 1382094080, 1382094143, 'MC', 'Monaco'),
(47586, '82.97.21.64', '82.97.21.255', 1382094144, 1382094335, 'FR', 'France'),
(47587, '82.97.22.0', '82.97.22.15', 1382094336, 1382094351, 'MC', 'Monaco'),
(47588, '82.97.22.16', '82.97.22.255', 1382094352, 1382094591, 'FR', 'France'),
(47589, '82.97.23.0', '82.97.23.31', 1382094592, 1382094623, 'MC', 'Monaco'),
(47590, '82.97.23.32', '82.97.63.255', 1382094624, 1382105087, 'FR', 'France'),
(47591, '82.97.64.0', '82.97.191.255', 1382105088, 1382137855, 'DE', 'Germany'),
(47592, '82.97.192.0', '82.97.255.255', 1382137856, 1382154239, 'RU', 'Russian Federation'),
(47593, '82.98.0.0', '82.98.63.255', 1382154240, 1382170623, 'FR', 'France'),
(47594, '82.98.64.0', '82.98.68.127', 1382170624, 1382171775, 'DE', 'Germany'),
(47595, '82.98.68.128', '82.98.68.143', 1382171776, 1382171791, 'CH', 'Switzerland'),
(47596, '82.98.68.144', '82.98.69.23', 1382171792, 1382171927, 'DE', 'Germany'),
(47597, '82.98.69.24', '82.98.69.31', 1382171928, 1382171935, 'CH', 'Switzerland'),
(47598, '82.98.69.32', '82.98.70.55', 1382171936, 1382172215, 'DE', 'Germany'),
(47599, '82.98.70.56', '82.98.70.63', 1382172216, 1382172223, 'CH', 'Switzerland'),
(47600, '82.98.70.64', '82.98.75.223', 1382172224, 1382173663, 'DE', 'Germany'),
(47601, '82.98.75.224', '82.98.75.231', 1382173664, 1382173671, 'GB', 'United Kingdom'),
(47602, '82.98.75.232', '82.98.75.235', 1382173672, 1382173675, 'DE', 'Germany'),
(47603, '82.98.75.236', '82.98.75.239', 1382173676, 1382173679, 'CH', 'Switzerland'),
(47604, '82.98.75.240', '82.98.85.99', 1382173680, 1382176099, 'DE', 'Germany'),
(47605, '82.98.85.100', '82.98.85.103', 1382176100, 1382176103, 'CH', 'Switzerland'),
(47606, '82.98.85.104', '82.98.92.191', 1382176104, 1382177983, 'DE', 'Germany'),
(47607, '82.98.92.192', '82.98.93.255', 1382177984, 1382178303, 'LI', 'Liechtenstein'),
(47608, '82.98.94.0', '82.98.96.7', 1382178304, 1382178823, 'DE', 'Germany'),
(47609, '82.98.96.8', '82.98.96.15', 1382178824, 1382178831, 'CH', 'Switzerland'),
(47610, '82.98.96.16', '82.98.97.159', 1382178832, 1382179231, 'DE', 'Germany'),
(47611, '82.98.97.160', '82.98.97.167', 1382179232, 1382179239, 'MT', 'Malta'),
(47612, '82.98.97.168', '82.98.97.175', 1382179240, 1382179247, 'DE', 'Germany'),
(47613, '82.98.97.176', '82.98.97.207', 1382179248, 1382179279, 'GB', 'United Kingdom'),
(47614, '82.98.97.208', '82.98.105.15', 1382179280, 1382181135, 'DE', 'Germany'),
(47615, '82.98.105.16', '82.98.105.31', 1382181136, 1382181151, 'CH', 'Switzerland'),
(47616, '82.98.105.32', '82.98.108.207', 1382181152, 1382182095, 'DE', 'Germany'),
(47617, '82.98.108.208', '82.98.108.223', 1382182096, 1382182111, 'CH', 'Switzerland'),
(47618, '82.98.108.224', '82.98.110.147', 1382182112, 1382182547, 'DE', 'Germany'),
(47619, '82.98.110.148', '82.98.110.151', 1382182548, 1382182551, 'CH', 'Switzerland'),
(47620, '82.98.110.152', '82.98.110.255', 1382182552, 1382182655, 'DE', 'Germany'),
(47621, '82.98.111.0', '82.98.111.31', 1382182656, 1382182687, 'US', 'United States'),
(47622, '82.98.111.32', '82.98.111.143', 1382182688, 1382182799, 'DE', 'Germany'),
(47623, '82.98.111.144', '82.98.111.175', 1382182800, 1382182831, 'GB', 'United Kingdom'),
(47624, '82.98.111.176', '82.98.111.239', 1382182832, 1382182895, 'DE', 'Germany'),
(47625, '82.98.111.240', '82.98.111.255', 1382182896, 1382182911, 'GB', 'United Kingdom'),
(47626, '82.98.112.0', '82.98.112.255', 1382182912, 1382183167, 'LI', 'Liechtenstein'),
(47627, '82.98.113.0', '82.98.113.255', 1382183168, 1382183423, 'CH', 'Switzerland'),
(47628, '82.98.114.0', '82.98.115.255', 1382183424, 1382183935, 'LI', 'Liechtenstein'),
(47629, '82.98.116.0', '82.98.120.71', 1382183936, 1382185031, 'DE', 'Germany'),
(47630, '82.98.120.72', '82.98.120.79', 1382185032, 1382185039, 'SK', 'Slovakia'),
(47631, '82.98.120.80', '82.98.127.255', 1382185040, 1382187007, 'DE', 'Germany'),
(47632, '82.98.128.0', '82.98.146.255', 1382187008, 1382191871, 'ES', 'Spain'),
(47633, '82.98.147.0', '82.98.147.255', 1382191872, 1382192127, 'VE', 'Venezuela'),
(47634, '82.98.148.0', '82.98.191.255', 1382192128, 1382203391, 'ES', 'Spain'),
(47635, '82.98.192.0', '82.98.199.255', 1382203392, 1382205439, 'GB', 'United Kingdom'),
(47636, '82.98.200.0', '82.98.200.255', 1382205440, 1382205695, 'EU', 'Europe'),
(47637, '82.98.201.0', '82.98.201.255', 1382205696, 1382205951, 'DE', 'Germany'),
(47638, '82.98.202.0', '82.98.208.255', 1382205952, 1382207743, 'EU', 'Europe'),
(47639, '82.98.209.0', '82.98.209.255', 1382207744, 1382207999, 'DE', 'Germany'),
(47640, '82.98.210.0', '82.98.210.255', 1382208000, 1382208255, 'EU', 'Europe'),
(47641, '82.98.211.0', '82.98.211.63', 1382208256, 1382208319, 'DE', 'Germany'),
(47642, '82.98.211.64', '82.98.215.255', 1382208320, 1382209535, 'EU', 'Europe'),
(47643, '82.98.216.0', '82.98.216.255', 1382209536, 1382209791, 'DE', 'Germany'),
(47644, '82.98.217.0', '82.98.221.255', 1382209792, 1382211071, 'EU', 'Europe'),
(47645, '82.98.222.0', '82.98.222.127', 1382211072, 1382211199, 'DE', 'Germany'),
(47646, '82.98.222.128', '82.98.223.255', 1382211200, 1382211583, 'EU', 'Europe'),
(47647, '82.98.224.0', '82.98.224.127', 1382211584, 1382211711, 'FR', 'France'),
(47648, '82.98.224.128', '82.98.226.127', 1382211712, 1382212223, 'EU', 'Europe'),
(47649, '82.98.226.128', '82.98.226.143', 1382212224, 1382212239, 'FR', 'France'),
(47650, '82.98.226.144', '82.98.227.255', 1382212240, 1382212607, 'EU', 'Europe'),
(47651, '82.98.228.0', '82.98.228.255', 1382212608, 1382212863, 'FR', 'France'),
(47652, '82.98.229.0', '82.98.231.255', 1382212864, 1382213631, 'EU', 'Europe'),
(47653, '82.98.232.0', '82.98.239.255', 1382213632, 1382215679, 'GB', 'United Kingdom'),
(47654, '82.98.240.0', '82.98.242.255', 1382215680, 1382216447, 'NL', 'Netherlands'),
(47655, '82.98.243.0', '82.98.247.255', 1382216448, 1382217727, 'GB', 'United Kingdom'),
(47656, '82.98.248.0', '82.98.248.255', 1382217728, 1382217983, 'NL', 'Netherlands'),
(47657, '82.98.249.0', '82.98.252.255', 1382217984, 1382219007, 'GB', 'United Kingdom'),
(47658, '82.98.253.0', '82.98.254.255', 1382219008, 1382219519, 'NL', 'Netherlands'),
(47659, '82.98.255.0', '82.98.255.255', 1382219520, 1382219775, 'GB', 'United Kingdom'),
(47660, '82.99.0.0', '82.99.0.183', 1382219776, 1382219959, 'SE', 'Sweden'),
(47661, '82.99.0.184', '82.99.0.191', 1382219960, 1382219967, 'FI', 'Finland'),
(47662, '82.99.0.192', '82.99.11.255', 1382219968, 1382222847, 'SE', 'Sweden'),
(47663, '82.99.12.0', '82.99.12.63', 1382222848, 1382222911, 'FI', 'Finland'),
(47664, '82.99.12.64', '82.99.13.223', 1382222912, 1382223327, 'SE', 'Sweden'),
(47665, '82.99.13.224', '82.99.13.255', 1382223328, 1382223359, 'FI', 'Finland'),
(47666, '82.99.14.0', '82.99.14.191', 1382223360, 1382223551, 'SE', 'Sweden'),
(47667, '82.99.14.192', '82.99.14.255', 1382223552, 1382223615, 'NO', 'Norway'),
(47668, '82.99.15.0', '82.99.17.159', 1382223616, 1382224287, 'SE', 'Sweden'),
(47669, '82.99.17.160', '82.99.17.191', 1382224288, 1382224319, 'NO', 'Norway'),
(47670, '82.99.17.192', '82.99.25.95', 1382224320, 1382226271, 'SE', 'Sweden'),
(47671, '82.99.25.96', '82.99.25.127', 1382226272, 1382226303, 'NO', 'Norway'),
(47672, '82.99.25.128', '82.99.29.127', 1382226304, 1382227327, 'SE', 'Sweden'),
(47673, '82.99.29.128', '82.99.29.255', 1382227328, 1382227455, 'NO', 'Norway'),
(47674, '82.99.30.0', '82.99.30.127', 1382227456, 1382227583, 'SE', 'Sweden'),
(47675, '82.99.30.128', '82.99.30.255', 1382227584, 1382227711, 'DK', 'Denmark'),
(47676, '82.99.31.0', '82.99.37.255', 1382227712, 1382229503, 'SE', 'Sweden'),
(47677, '82.99.38.0', '82.99.38.7', 1382229504, 1382229511, 'NO', 'Norway'),
(47678, '82.99.38.8', '82.99.49.255', 1382229512, 1382232575, 'SE', 'Sweden'),
(47679, '82.99.50.0', '82.99.50.63', 1382232576, 1382232639, 'NO', 'Norway'),
(47680, '82.99.50.64', '82.99.52.191', 1382232640, 1382233279, 'SE', 'Sweden'),
(47681, '82.99.52.192', '82.99.52.255', 1382233280, 1382233343, 'NO', 'Norway'),
(47682, '82.99.53.0', '82.99.53.63', 1382233344, 1382233407, 'SE', 'Sweden'),
(47683, '82.99.53.64', '82.99.53.79', 1382233408, 1382233423, 'NO', 'Norway'),
(47684, '82.99.53.80', '82.99.127.255', 1382233424, 1382252543, 'SE', 'Sweden'),
(47685, '82.99.128.0', '82.99.191.255', 1382252544, 1382268927, 'CZ', 'Czech Republic'),
(47686, '82.99.192.0', '82.99.255.255', 1382268928, 1382285311, 'IR', 'Iran, Islamic Republic of');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(47687, '82.100.0.0', '82.100.63.255', 1382285312, 1382301695, 'CZ', 'Czech Republic'),
(47688, '82.100.64.0', '82.100.127.255', 1382301696, 1382318079, 'SE', 'Sweden'),
(47689, '82.100.128.0', '82.100.191.255', 1382318080, 1382334463, 'RU', 'Russian Federation'),
(47690, '82.100.192.0', '82.100.255.255', 1382334464, 1382350847, 'DE', 'Germany'),
(47691, '82.101.0.0', '82.101.63.255', 1382350848, 1382367231, 'FR', 'France'),
(47692, '82.101.64.0', '82.101.127.255', 1382367232, 1382383615, 'BG', 'Bulgaria'),
(47693, '82.101.128.0', '82.101.191.255', 1382383616, 1382399999, 'DZ', 'Algeria'),
(47694, '82.101.192.0', '82.101.255.255', 1382400000, 1382416383, 'NL', 'Netherlands'),
(47695, '82.102.0.0', '82.102.63.255', 1382416384, 1382432767, 'PT', 'Portugal'),
(47696, '82.102.64.0', '82.102.127.255', 1382432768, 1382449151, 'CY', 'Cyprus'),
(47697, '82.102.128.0', '82.102.191.255', 1382449152, 1382465535, 'IL', 'Israel'),
(47698, '82.102.192.0', '82.102.255.255', 1382465536, 1382481919, 'PS', 'Palestinian Territory, Occupied'),
(47699, '82.103.0.0', '82.103.63.255', 1382481920, 1382498303, 'AT', 'Austria'),
(47700, '82.103.64.0', '82.103.127.255', 1382498304, 1382514687, 'BG', 'Bulgaria'),
(47701, '82.103.128.0', '82.103.191.255', 1382514688, 1382531071, 'DK', 'Denmark'),
(47702, '82.103.192.0', '82.103.255.255', 1382531072, 1382547455, 'FI', 'Finland'),
(47703, '82.104.0.0', '82.107.255.255', 1382547456, 1382809599, 'IT', 'Italy'),
(47704, '82.108.0.0', '82.110.104.255', 1382809600, 1382967551, 'GB', 'United Kingdom'),
(47705, '82.110.105.0', '82.110.105.255', 1382967552, 1382967807, 'A1', 'Anonymous Proxy'),
(47706, '82.110.106.0', '82.111.75.255', 1382967808, 1383025663, 'GB', 'United Kingdom'),
(47707, '82.111.76.0', '82.111.76.8', 1383025664, 1383025672, 'DE', 'Germany'),
(47708, '82.111.76.9', '82.111.76.15', 1383025673, 1383025679, 'GB', 'United Kingdom'),
(47709, '82.111.76.16', '82.111.76.47', 1383025680, 1383025711, 'DE', 'Germany'),
(47710, '82.111.76.48', '82.111.76.63', 1383025712, 1383025727, 'GB', 'United Kingdom'),
(47711, '82.111.76.64', '82.111.76.95', 1383025728, 1383025759, 'DE', 'Germany'),
(47712, '82.111.76.96', '82.111.152.95', 1383025760, 1383045215, 'GB', 'United Kingdom'),
(47713, '82.111.152.96', '82.111.152.111', 1383045216, 1383045231, 'IT', 'Italy'),
(47714, '82.111.152.112', '82.111.255.255', 1383045232, 1383071743, 'GB', 'United Kingdom'),
(47715, '82.112.0.0', '82.112.5.255', 1383071744, 1383073279, 'RU', 'Russian Federation'),
(47716, '82.112.6.0', '82.112.6.255', 1383073280, 1383073535, 'KZ', 'Kazakhstan'),
(47717, '82.112.7.0', '82.112.63.255', 1383073536, 1383088127, 'RU', 'Russian Federation'),
(47718, '82.112.64.0', '82.112.95.255', 1383088128, 1383096319, 'IS', 'Iceland'),
(47719, '82.112.96.0', '82.112.96.127', 1383096320, 1383096447, 'PL', 'Poland'),
(47720, '82.112.96.128', '82.112.96.255', 1383096448, 1383096575, 'FR', 'France'),
(47721, '82.112.97.0', '82.112.97.255', 1383096576, 1383096831, 'GB', 'United Kingdom'),
(47722, '82.112.98.0', '82.112.98.31', 1383096832, 1383096863, 'FR', 'France'),
(47723, '82.112.98.32', '82.112.98.127', 1383096864, 1383096959, 'GB', 'United Kingdom'),
(47724, '82.112.98.128', '82.112.98.255', 1383096960, 1383097087, 'FR', 'France'),
(47725, '82.112.99.0', '82.112.99.255', 1383097088, 1383097343, 'ES', 'Spain'),
(47726, '82.112.100.0', '82.112.102.255', 1383097344, 1383098111, 'GB', 'United Kingdom'),
(47727, '82.112.103.0', '82.112.103.255', 1383098112, 1383098367, 'DE', 'Germany'),
(47728, '82.112.104.0', '82.112.105.255', 1383098368, 1383098879, 'GB', 'United Kingdom'),
(47729, '82.112.106.0', '82.112.107.23', 1383098880, 1383099159, 'DE', 'Germany'),
(47730, '82.112.107.24', '82.112.107.27', 1383099160, 1383099163, 'BE', 'Belgium'),
(47731, '82.112.107.28', '82.112.107.31', 1383099164, 1383099167, 'NL', 'Netherlands'),
(47732, '82.112.107.32', '82.112.107.35', 1383099168, 1383099171, 'IT', 'Italy'),
(47733, '82.112.107.36', '82.112.107.39', 1383099172, 1383099175, 'RU', 'Russian Federation'),
(47734, '82.112.107.40', '82.112.107.43', 1383099176, 1383099179, 'GB', 'United Kingdom'),
(47735, '82.112.107.44', '82.112.107.55', 1383099180, 1383099191, 'DE', 'Germany'),
(47736, '82.112.107.56', '82.112.107.63', 1383099192, 1383099199, 'GB', 'United Kingdom'),
(47737, '82.112.107.64', '82.112.107.95', 1383099200, 1383099231, 'DE', 'Germany'),
(47738, '82.112.107.96', '82.112.107.255', 1383099232, 1383099391, 'GB', 'United Kingdom'),
(47739, '82.112.108.0', '82.112.109.255', 1383099392, 1383099903, 'DE', 'Germany'),
(47740, '82.112.110.0', '82.112.111.255', 1383099904, 1383100415, 'FR', 'France'),
(47741, '82.112.112.0', '82.112.113.159', 1383100416, 1383100831, 'GB', 'United Kingdom'),
(47742, '82.112.113.160', '82.112.113.175', 1383100832, 1383100847, 'IE', 'Ireland'),
(47743, '82.112.113.176', '82.112.113.207', 1383100848, 1383100879, 'GB', 'United Kingdom'),
(47744, '82.112.113.208', '82.112.113.223', 1383100880, 1383100895, 'IE', 'Ireland'),
(47745, '82.112.113.224', '82.112.123.39', 1383100896, 1383103271, 'GB', 'United Kingdom'),
(47746, '82.112.123.40', '82.112.123.47', 1383103272, 1383103279, 'ES', 'Spain'),
(47747, '82.112.123.48', '82.112.123.239', 1383103280, 1383103471, 'GB', 'United Kingdom'),
(47748, '82.112.123.240', '82.112.123.255', 1383103472, 1383103487, 'AE', 'United Arab Emirates'),
(47749, '82.112.124.0', '82.112.126.15', 1383103488, 1383104015, 'GB', 'United Kingdom'),
(47750, '82.112.126.16', '82.112.126.23', 1383104016, 1383104023, 'ES', 'Spain'),
(47751, '82.112.126.24', '82.112.126.255', 1383104024, 1383104255, 'GB', 'United Kingdom'),
(47752, '82.112.127.0', '82.112.127.255', 1383104256, 1383104511, 'FR', 'France'),
(47753, '82.112.128.0', '82.112.159.255', 1383104512, 1383112703, 'JE', 'Jersey'),
(47754, '82.112.160.0', '82.112.167.255', 1383112704, 1383114751, 'LB', 'Lebanon'),
(47755, '82.112.168.0', '82.112.175.255', 1383114752, 1383116799, 'GB', 'United Kingdom'),
(47756, '82.112.176.0', '82.112.191.255', 1383116800, 1383120895, 'RU', 'Russian Federation'),
(47757, '82.112.192.0', '82.112.223.199', 1383120896, 1383129031, 'IT', 'Italy'),
(47758, '82.112.223.200', '82.112.223.207', 1383129032, 1383129039, 'ES', 'Spain'),
(47759, '82.112.223.208', '82.112.223.255', 1383129040, 1383129087, 'IT', 'Italy'),
(47760, '82.112.224.0', '82.112.255.255', 1383129088, 1383137279, 'GB', 'United Kingdom'),
(47761, '82.113.0.0', '82.113.8.255', 1383137280, 1383139583, 'MC', 'Monaco'),
(47762, '82.113.9.0', '82.113.9.255', 1383139584, 1383139839, 'A2', 'Satellite Provider'),
(47763, '82.113.10.0', '82.113.10.255', 1383139840, 1383140095, 'MC', 'Monaco'),
(47764, '82.113.11.0', '82.113.11.255', 1383140096, 1383140351, 'A2', 'Satellite Provider'),
(47765, '82.113.12.0', '82.113.14.255', 1383140352, 1383141119, 'MC', 'Monaco'),
(47766, '82.113.15.0', '82.113.15.255', 1383141120, 1383141375, 'US', 'United States'),
(47767, '82.113.16.0', '82.113.31.255', 1383141376, 1383145471, 'MC', 'Monaco'),
(47768, '82.113.32.0', '82.113.63.255', 1383145472, 1383153663, 'CZ', 'Czech Republic'),
(47769, '82.113.64.0', '82.113.95.255', 1383153664, 1383161855, 'GB', 'United Kingdom'),
(47770, '82.113.96.0', '82.113.127.255', 1383161856, 1383170047, 'DE', 'Germany'),
(47771, '82.113.128.0', '82.113.134.159', 1383170048, 1383171743, 'GB', 'United Kingdom'),
(47772, '82.113.134.160', '82.113.134.191', 1383171744, 1383171775, 'NZ', 'New Zealand'),
(47773, '82.113.134.192', '82.113.137.207', 1383171776, 1383172559, 'GB', 'United Kingdom'),
(47774, '82.113.137.208', '82.113.137.215', 1383172560, 1383172567, 'ZA', 'South Africa'),
(47775, '82.113.137.216', '82.113.191.255', 1383172568, 1383186431, 'GB', 'United Kingdom'),
(47776, '82.113.192.0', '82.113.223.255', 1383186432, 1383194623, 'IT', 'Italy'),
(47777, '82.113.224.0', '82.113.255.255', 1383194624, 1383202815, 'GB', 'United Kingdom'),
(47778, '82.114.0.0', '82.114.31.255', 1383202816, 1383211007, 'RU', 'Russian Federation'),
(47779, '82.114.32.0', '82.114.63.255', 1383211008, 1383219199, 'CY', 'Cyprus'),
(47780, '82.114.64.0', '82.114.65.5', 1383219200, 1383219461, 'AL', 'Albania'),
(47781, '82.114.65.6', '82.114.65.6', 1383219462, 1383219462, 'US', 'United States'),
(47782, '82.114.65.7', '82.114.67.255', 1383219463, 1383220223, 'AL', 'Albania'),
(47783, '82.114.68.0', '82.114.76.175', 1383220224, 1383222447, 'RS', 'Serbia'),
(47784, '82.114.76.176', '82.114.76.183', 1383222448, 1383222455, 'AL', 'Albania'),
(47785, '82.114.76.184', '82.114.81.143', 1383222456, 1383223695, 'RS', 'Serbia'),
(47786, '82.114.81.144', '82.114.81.151', 1383223696, 1383223703, 'AL', 'Albania'),
(47787, '82.114.81.152', '82.114.89.159', 1383223704, 1383225759, 'RS', 'Serbia'),
(47788, '82.114.89.160', '82.114.89.171', 1383225760, 1383225771, 'AL', 'Albania'),
(47789, '82.114.89.172', '82.114.89.207', 1383225772, 1383225807, 'RS', 'Serbia'),
(47790, '82.114.89.208', '82.114.89.208', 1383225808, 1383225808, 'AL', 'Albania'),
(47791, '82.114.89.209', '82.114.89.219', 1383225809, 1383225819, 'RS', 'Serbia'),
(47792, '82.114.89.220', '82.114.89.227', 1383225820, 1383225827, 'AL', 'Albania'),
(47793, '82.114.89.228', '82.114.90.235', 1383225828, 1383226091, 'RS', 'Serbia'),
(47794, '82.114.90.236', '82.114.90.239', 1383226092, 1383226095, 'AL', 'Albania'),
(47795, '82.114.90.240', '82.114.91.159', 1383226096, 1383226271, 'RS', 'Serbia'),
(47796, '82.114.91.160', '82.114.92.255', 1383226272, 1383226623, 'AL', 'Albania'),
(47797, '82.114.93.0', '82.114.93.127', 1383226624, 1383226751, 'RS', 'Serbia'),
(47798, '82.114.93.128', '82.114.93.191', 1383226752, 1383226815, 'AL', 'Albania'),
(47799, '82.114.93.192', '82.114.95.255', 1383226816, 1383227391, 'RS', 'Serbia'),
(47800, '82.114.96.0', '82.114.142.127', 1383227392, 1383239295, 'RU', 'Russian Federation'),
(47801, '82.114.142.128', '82.114.142.255', 1383239296, 1383239423, 'AR', 'Argentina'),
(47802, '82.114.143.0', '82.114.159.255', 1383239424, 1383243775, 'RU', 'Russian Federation'),
(47803, '82.114.160.0', '82.114.191.255', 1383243776, 1383251967, 'YE', 'Yemen'),
(47804, '82.114.192.0', '82.114.223.255', 1383251968, 1383260159, 'CZ', 'Czech Republic'),
(47805, '82.114.224.0', '82.114.255.255', 1383260160, 1383268351, 'RU', 'Russian Federation'),
(47806, '82.115.0.0', '82.115.21.255', 1383268352, 1383273983, 'IR', 'Iran, Islamic Republic of'),
(47807, '82.115.22.0', '82.115.31.255', 1383273984, 1383276543, 'KW', 'Kuwait'),
(47808, '82.115.32.0', '82.115.63.255', 1383276544, 1383284735, 'KZ', 'Kazakhstan'),
(47809, '82.115.64.0', '82.115.95.255', 1383284736, 1383292927, 'PL', 'Poland'),
(47810, '82.115.96.0', '82.115.127.255', 1383292928, 1383301119, 'DE', 'Germany'),
(47811, '82.115.128.0', '82.115.159.255', 1383301120, 1383309311, 'SE', 'Sweden'),
(47812, '82.115.160.0', '82.115.191.255', 1383309312, 1383317503, 'IT', 'Italy'),
(47813, '82.115.192.0', '82.115.207.255', 1383317504, 1383321599, 'SE', 'Sweden'),
(47814, '82.115.208.0', '82.115.223.255', 1383321600, 1383325695, 'RU', 'Russian Federation'),
(47815, '82.115.224.0', '82.115.255.255', 1383325696, 1383333887, 'GB', 'United Kingdom'),
(47816, '82.116.0.0', '82.116.63.255', 1383333888, 1383350271, 'RU', 'Russian Federation'),
(47817, '82.116.64.0', '82.116.95.255', 1383350272, 1383358463, 'NO', 'Norway'),
(47818, '82.116.96.0', '82.116.128.255', 1383358464, 1383366911, 'DE', 'Germany'),
(47819, '82.116.129.0', '82.116.129.255', 1383366912, 1383367167, 'SY', 'Syrian Arab Republic'),
(47820, '82.116.130.0', '82.116.130.255', 1383367168, 1383367423, 'US', 'United States'),
(47821, '82.116.131.0', '82.116.131.255', 1383367424, 1383367679, 'KW', 'Kuwait'),
(47822, '82.116.132.0', '82.116.135.255', 1383367680, 1383368703, 'GB', 'United Kingdom'),
(47823, '82.116.136.0', '82.116.136.127', 1383368704, 1383368831, 'DE', 'Germany'),
(47824, '82.116.136.128', '82.116.136.143', 1383368832, 1383368847, 'GB', 'United Kingdom'),
(47825, '82.116.136.144', '82.116.136.191', 1383368848, 1383368895, 'KW', 'Kuwait'),
(47826, '82.116.136.192', '82.116.136.253', 1383368896, 1383368957, 'DE', 'Germany'),
(47827, '82.116.136.254', '82.116.136.254', 1383368958, 1383368958, 'US', 'United States'),
(47828, '82.116.136.255', '82.116.137.127', 1383368959, 1383369087, 'DE', 'Germany'),
(47829, '82.116.137.128', '82.116.137.159', 1383369088, 1383369119, 'GB', 'United Kingdom'),
(47830, '82.116.137.160', '82.116.138.15', 1383369120, 1383369231, 'KW', 'Kuwait'),
(47831, '82.116.138.16', '82.116.138.31', 1383369232, 1383369247, 'GB', 'United Kingdom'),
(47832, '82.116.138.32', '82.116.139.63', 1383369248, 1383369535, 'KW', 'Kuwait'),
(47833, '82.116.139.64', '82.116.139.95', 1383369536, 1383369567, 'GB', 'United Kingdom'),
(47834, '82.116.139.96', '82.116.139.127', 1383369568, 1383369599, 'DE', 'Germany'),
(47835, '82.116.139.128', '82.116.139.255', 1383369600, 1383369727, 'KW', 'Kuwait'),
(47836, '82.116.140.0', '82.116.140.32', 1383369728, 1383369760, 'SA', 'Saudi Arabia'),
(47837, '82.116.140.33', '82.116.140.33', 1383369761, 1383369761, 'KW', 'Kuwait'),
(47838, '82.116.140.34', '82.116.140.40', 1383369762, 1383369768, 'SA', 'Saudi Arabia'),
(47839, '82.116.140.41', '82.116.140.41', 1383369769, 1383369769, 'KW', 'Kuwait'),
(47840, '82.116.140.42', '82.116.140.255', 1383369770, 1383369983, 'SA', 'Saudi Arabia'),
(47841, '82.116.141.0', '82.116.143.255', 1383369984, 1383370751, 'KW', 'Kuwait'),
(47842, '82.116.144.0', '82.116.147.255', 1383370752, 1383371775, 'DE', 'Germany'),
(47843, '82.116.148.0', '82.116.158.255', 1383371776, 1383374591, 'KW', 'Kuwait'),
(47844, '82.116.159.0', '82.116.159.131', 1383374592, 1383374723, 'US', 'United States'),
(47845, '82.116.159.132', '82.116.159.132', 1383374724, 1383374724, 'KW', 'Kuwait'),
(47846, '82.116.159.133', '82.116.159.255', 1383374725, 1383374847, 'US', 'United States'),
(47847, '82.116.160.0', '82.116.191.255', 1383374848, 1383383039, 'ES', 'Spain'),
(47848, '82.116.192.0', '82.116.223.255', 1383383040, 1383391231, 'CY', 'Cyprus'),
(47849, '82.116.224.0', '82.116.255.255', 1383391232, 1383399423, 'FI', 'Finland'),
(47850, '82.117.0.0', '82.117.10.31', 1383399424, 1383402015, 'LI', 'Liechtenstein'),
(47851, '82.117.10.32', '82.117.10.39', 1383402016, 1383402023, 'CH', 'Switzerland'),
(47852, '82.117.10.40', '82.117.31.255', 1383402024, 1383407615, 'LI', 'Liechtenstein'),
(47853, '82.117.32.0', '82.117.63.255', 1383407616, 1383415807, 'NO', 'Norway'),
(47854, '82.117.64.0', '82.117.95.255', 1383415808, 1383423999, 'RU', 'Russian Federation'),
(47855, '82.117.96.0', '82.117.127.255', 1383424000, 1383432191, 'SE', 'Sweden'),
(47856, '82.117.128.0', '82.117.159.255', 1383432192, 1383440383, 'CZ', 'Czech Republic'),
(47857, '82.117.160.0', '82.117.191.255', 1383440384, 1383448575, 'RU', 'Russian Federation'),
(47858, '82.117.192.0', '82.117.223.255', 1383448576, 1383456767, 'RS', 'Serbia'),
(47859, '82.117.224.0', '82.117.255.255', 1383456768, 1383464959, 'UA', 'Ukraine'),
(47860, '82.118.0.0', '82.118.15.255', 1383464960, 1383469055, 'BA', 'Bosnia and Herzegovina'),
(47861, '82.118.16.0', '82.118.23.255', 1383469056, 1383471103, 'UA', 'Ukraine'),
(47862, '82.118.24.0', '82.118.31.255', 1383471104, 1383473151, 'SE', 'Sweden'),
(47863, '82.118.32.0', '82.118.63.255', 1383473152, 1383481343, 'DE', 'Germany'),
(47864, '82.118.64.0', '82.118.64.255', 1383481344, 1383481599, 'GB', 'United Kingdom'),
(47865, '82.118.65.0', '82.118.65.15', 1383481600, 1383481615, 'US', 'United States'),
(47866, '82.118.65.16', '82.118.65.63', 1383481616, 1383481663, 'GB', 'United Kingdom'),
(47867, '82.118.65.64', '82.118.65.95', 1383481664, 1383481695, 'US', 'United States'),
(47868, '82.118.65.96', '82.118.65.103', 1383481696, 1383481703, 'GB', 'United Kingdom'),
(47869, '82.118.65.104', '82.118.65.111', 1383481704, 1383481711, 'US', 'United States'),
(47870, '82.118.65.112', '82.118.65.175', 1383481712, 1383481775, 'GB', 'United Kingdom'),
(47871, '82.118.65.176', '82.118.65.191', 1383481776, 1383481791, 'SA', 'Saudi Arabia'),
(47872, '82.118.65.192', '82.118.67.255', 1383481792, 1383482367, 'GB', 'United Kingdom'),
(47873, '82.118.68.0', '82.118.69.255', 1383482368, 1383482879, 'NL', 'Netherlands'),
(47874, '82.118.70.0', '82.118.73.239', 1383482880, 1383483887, 'GB', 'United Kingdom'),
(47875, '82.118.73.240', '82.118.73.255', 1383483888, 1383483903, 'JP', 'Japan'),
(47876, '82.118.74.0', '82.118.79.191', 1383483904, 1383485375, 'GB', 'United Kingdom'),
(47877, '82.118.79.192', '82.118.79.223', 1383485376, 1383485407, 'US', 'United States'),
(47878, '82.118.79.224', '82.118.127.255', 1383485408, 1383497727, 'GB', 'United Kingdom'),
(47879, '82.118.128.0', '82.118.133.31', 1383497728, 1383499039, 'RU', 'Russian Federation'),
(47880, '82.118.133.32', '82.118.133.39', 1383499040, 1383499047, 'UA', 'Ukraine'),
(47881, '82.118.133.40', '82.118.145.255', 1383499048, 1383502335, 'RU', 'Russian Federation'),
(47882, '82.118.146.0', '82.118.147.255', 1383502336, 1383502847, 'CH', 'Switzerland'),
(47883, '82.118.148.0', '82.118.150.255', 1383502848, 1383503615, 'RU', 'Russian Federation'),
(47884, '82.118.151.0', '82.118.151.0', 1383503616, 1383503616, 'CZ', 'Czech Republic'),
(47885, '82.118.151.1', '82.118.159.255', 1383503617, 1383505919, 'RU', 'Russian Federation'),
(47886, '82.118.160.0', '82.118.191.255', 1383505920, 1383514111, 'SA', 'Saudi Arabia'),
(47887, '82.118.192.0', '82.118.223.255', 1383514112, 1383522303, 'FI', 'Finland'),
(47888, '82.118.224.0', '82.118.255.255', 1383522304, 1383530495, 'BG', 'Bulgaria'),
(47889, '82.119.0.0', '82.119.31.255', 1383530496, 1383538687, 'DE', 'Germany'),
(47890, '82.119.32.0', '82.119.63.255', 1383538688, 1383546879, 'IT', 'Italy'),
(47891, '82.119.64.0', '82.119.95.255', 1383546880, 1383555071, 'BG', 'Bulgaria'),
(47892, '82.119.96.0', '82.119.127.255', 1383555072, 1383563263, 'SK', 'Slovakia'),
(47893, '82.119.128.0', '82.119.159.255', 1383563264, 1383571455, 'RU', 'Russian Federation'),
(47894, '82.119.160.0', '82.119.191.255', 1383571456, 1383579647, 'DE', 'Germany'),
(47895, '82.119.192.0', '82.119.223.255', 1383579648, 1383587839, 'IT', 'Italy'),
(47896, '82.119.224.0', '82.119.239.255', 1383587840, 1383591935, 'SK', 'Slovakia'),
(47897, '82.119.240.0', '82.119.255.255', 1383591936, 1383596031, 'CZ', 'Czech Republic'),
(47898, '82.120.0.0', '82.127.255.255', 1383596032, 1384120319, 'FR', 'France'),
(47899, '82.128.0.0', '82.128.127.255', 1384120320, 1384153087, 'NG', 'Nigeria'),
(47900, '82.128.128.0', '82.128.255.255', 1384153088, 1384185855, 'FI', 'Finland'),
(47901, '82.129.0.0', '82.129.12.255', 1384185856, 1384189183, 'DE', 'Germany'),
(47902, '82.129.13.0', '82.129.13.255', 1384189184, 1384189439, 'AT', 'Austria'),
(47903, '82.129.14.0', '82.129.17.255', 1384189440, 1384190463, 'DE', 'Germany'),
(47904, '82.129.18.0', '82.129.18.255', 1384190464, 1384190719, 'NL', 'Netherlands'),
(47905, '82.129.19.0', '82.129.19.255', 1384190720, 1384190975, 'DE', 'Germany'),
(47906, '82.129.20.0', '82.129.20.255', 1384190976, 1384191231, 'DK', 'Denmark'),
(47907, '82.129.21.0', '82.129.23.255', 1384191232, 1384191999, 'DE', 'Germany'),
(47908, '82.129.24.0', '82.129.24.191', 1384192000, 1384192191, 'NL', 'Netherlands'),
(47909, '82.129.24.192', '82.129.24.255', 1384192192, 1384192255, 'DE', 'Germany'),
(47910, '82.129.25.0', '82.129.25.255', 1384192256, 1384192511, 'NL', 'Netherlands'),
(47911, '82.129.26.0', '82.129.26.63', 1384192512, 1384192575, 'DE', 'Germany'),
(47912, '82.129.26.64', '82.129.26.127', 1384192576, 1384192639, 'SE', 'Sweden'),
(47913, '82.129.26.128', '82.129.26.255', 1384192640, 1384192767, 'DE', 'Germany'),
(47914, '82.129.27.0', '82.129.27.255', 1384192768, 1384193023, 'BG', 'Bulgaria'),
(47915, '82.129.28.0', '82.129.32.143', 1384193024, 1384194191, 'DE', 'Germany'),
(47916, '82.129.32.144', '82.129.32.159', 1384194192, 1384194207, 'AT', 'Austria'),
(47917, '82.129.32.160', '82.129.33.255', 1384194208, 1384194559, 'DE', 'Germany'),
(47918, '82.129.34.0', '82.129.34.255', 1384194560, 1384194815, 'NL', 'Netherlands'),
(47919, '82.129.35.0', '82.129.38.127', 1384194816, 1384195711, 'DE', 'Germany'),
(47920, '82.129.38.128', '82.129.38.159', 1384195712, 1384195743, 'NL', 'Netherlands'),
(47921, '82.129.38.160', '82.129.38.167', 1384195744, 1384195751, 'CH', 'Switzerland'),
(47922, '82.129.38.168', '82.129.38.191', 1384195752, 1384195775, 'DE', 'Germany'),
(47923, '82.129.38.192', '82.129.38.255', 1384195776, 1384195839, 'SE', 'Sweden'),
(47924, '82.129.39.0', '82.129.39.255', 1384195840, 1384196095, 'DE', 'Germany'),
(47925, '82.129.40.0', '82.129.43.255', 1384196096, 1384197119, 'CZ', 'Czech Republic'),
(47926, '82.129.44.0', '82.129.63.255', 1384197120, 1384202239, 'DE', 'Germany'),
(47927, '82.129.64.0', '82.129.127.255', 1384202240, 1384218623, 'GB', 'United Kingdom'),
(47928, '82.129.128.0', '82.129.255.255', 1384218624, 1384251391, 'EG', 'Egypt'),
(47929, '82.130.0.0', '82.130.63.255', 1384251392, 1384267775, 'FI', 'Finland'),
(47930, '82.130.64.0', '82.130.127.255', 1384267776, 1384284159, 'CH', 'Switzerland'),
(47931, '82.130.128.0', '82.130.255.255', 1384284160, 1384316927, 'ES', 'Spain'),
(47932, '82.131.0.0', '82.131.127.255', 1384316928, 1384349695, 'EE', 'Estonia'),
(47933, '82.131.128.0', '82.131.255.255', 1384349696, 1384382463, 'HU', 'Hungary'),
(47934, '82.132.0.0', '82.132.127.255', 1384382464, 1384415231, 'HR', 'Croatia'),
(47935, '82.132.128.0', '82.133.127.255', 1384415232, 1384480767, 'GB', 'United Kingdom'),
(47936, '82.133.128.0', '82.133.255.255', 1384480768, 1384513535, 'FI', 'Finland'),
(47937, '82.134.0.0', '82.134.127.255', 1384513536, 1384546303, 'NO', 'Norway'),
(47938, '82.134.128.0', '82.134.255.255', 1384546304, 1384579071, 'NL', 'Netherlands'),
(47939, '82.135.0.0', '82.135.127.255', 1384579072, 1384611839, 'DE', 'Germany'),
(47940, '82.135.128.0', '82.135.255.255', 1384611840, 1384644607, 'LT', 'Lithuania'),
(47941, '82.136.0.0', '82.136.63.255', 1384644608, 1384660991, 'GB', 'United Kingdom'),
(47942, '82.136.64.0', '82.136.127.255', 1384660992, 1384677375, 'CH', 'Switzerland'),
(47943, '82.136.128.0', '82.136.191.255', 1384677376, 1384693759, 'SE', 'Sweden'),
(47944, '82.136.192.0', '82.136.255.255', 1384693760, 1384710143, 'NL', 'Netherlands'),
(47945, '82.137.0.0', '82.137.63.255', 1384710144, 1384726527, 'RO', 'Romania'),
(47946, '82.137.64.0', '82.137.127.255', 1384726528, 1384742911, 'BG', 'Bulgaria'),
(47947, '82.137.128.0', '82.137.191.255', 1384742912, 1384759295, 'RU', 'Russian Federation'),
(47948, '82.137.192.0', '82.137.255.255', 1384759296, 1384775679, 'SY', 'Syrian Arab Republic'),
(47949, '82.138.0.0', '82.138.63.255', 1384775680, 1384792063, 'RU', 'Russian Federation'),
(47950, '82.138.64.0', '82.138.66.47', 1384792064, 1384792623, 'FR', 'France'),
(47951, '82.138.66.48', '82.138.66.63', 1384792624, 1384792639, 'BE', 'Belgium'),
(47952, '82.138.66.64', '82.138.70.79', 1384792640, 1384793679, 'FR', 'France'),
(47953, '82.138.70.80', '82.138.70.95', 1384793680, 1384793695, 'BE', 'Belgium'),
(47954, '82.138.70.96', '82.138.70.191', 1384793696, 1384793791, 'FR', 'France'),
(47955, '82.138.70.192', '82.138.70.223', 1384793792, 1384793823, 'BE', 'Belgium'),
(47956, '82.138.70.224', '82.138.72.15', 1384793824, 1384794127, 'FR', 'France'),
(47957, '82.138.72.16', '82.138.72.31', 1384794128, 1384794143, 'CH', 'Switzerland'),
(47958, '82.138.72.32', '82.138.72.159', 1384794144, 1384794271, 'FR', 'France'),
(47959, '82.138.72.160', '82.138.72.175', 1384794272, 1384794287, 'CH', 'Switzerland'),
(47960, '82.138.72.176', '82.138.76.143', 1384794288, 1384795279, 'FR', 'France'),
(47961, '82.138.76.144', '82.138.76.191', 1384795280, 1384795327, 'BE', 'Belgium'),
(47962, '82.138.76.192', '82.138.94.63', 1384795328, 1384799807, 'FR', 'France'),
(47963, '82.138.94.64', '82.138.94.127', 1384799808, 1384799871, 'CH', 'Switzerland'),
(47964, '82.138.94.128', '82.138.127.255', 1384799872, 1384808447, 'FR', 'France'),
(47965, '82.138.128.0', '82.138.128.31', 1384808448, 1384808479, 'BE', 'Belgium'),
(47966, '82.138.128.32', '82.138.129.31', 1384808480, 1384808735, 'EU', 'Europe'),
(47967, '82.138.129.32', '82.138.129.95', 1384808736, 1384808799, 'BE', 'Belgium'),
(47968, '82.138.129.96', '82.138.129.127', 1384808800, 1384808831, 'FR', 'France'),
(47969, '82.138.129.128', '82.138.129.255', 1384808832, 1384808959, 'FI', 'Finland'),
(47970, '82.138.130.0', '82.138.130.7', 1384808960, 1384808967, 'BE', 'Belgium'),
(47971, '82.138.130.8', '82.138.130.15', 1384808968, 1384808975, 'EU', 'Europe'),
(47972, '82.138.130.16', '82.138.130.31', 1384808976, 1384808991, 'DE', 'Germany'),
(47973, '82.138.130.32', '82.138.130.55', 1384808992, 1384809015, 'BE', 'Belgium'),
(47974, '82.138.130.56', '82.138.130.63', 1384809016, 1384809023, 'GB', 'United Kingdom'),
(47975, '82.138.130.64', '82.138.130.79', 1384809024, 1384809039, 'FR', 'France'),
(47976, '82.138.130.80', '82.138.130.87', 1384809040, 1384809047, 'BE', 'Belgium'),
(47977, '82.138.130.88', '82.138.130.95', 1384809048, 1384809055, 'EU', 'Europe'),
(47978, '82.138.130.96', '82.138.130.111', 1384809056, 1384809071, 'BE', 'Belgium'),
(47979, '82.138.130.112', '82.138.130.127', 1384809072, 1384809087, 'FR', 'France'),
(47980, '82.138.130.128', '82.138.130.143', 1384809088, 1384809103, 'BE', 'Belgium'),
(47981, '82.138.130.144', '82.138.130.151', 1384809104, 1384809111, 'EU', 'Europe'),
(47982, '82.138.130.152', '82.138.130.159', 1384809112, 1384809119, 'GE', 'Georgia'),
(47983, '82.138.130.160', '82.138.130.215', 1384809120, 1384809175, 'BE', 'Belgium'),
(47984, '82.138.130.216', '82.138.130.223', 1384809176, 1384809183, 'EU', 'Europe'),
(47985, '82.138.130.224', '82.138.130.239', 1384809184, 1384809199, 'BE', 'Belgium'),
(47986, '82.138.130.240', '82.138.130.247', 1384809200, 1384809207, 'EU', 'Europe'),
(47987, '82.138.130.248', '82.138.130.255', 1384809208, 1384809215, 'BE', 'Belgium'),
(47988, '82.138.131.0', '82.138.131.191', 1384809216, 1384809407, 'BR', 'Brazil'),
(47989, '82.138.131.192', '82.138.131.223', 1384809408, 1384809439, 'FR', 'France'),
(47990, '82.138.131.224', '82.138.131.255', 1384809440, 1384809471, 'DE', 'Germany'),
(47991, '82.138.132.0', '82.138.133.255', 1384809472, 1384809983, 'US', 'United States'),
(47992, '82.138.134.0', '82.138.134.255', 1384809984, 1384810239, 'PT', 'Portugal'),
(47993, '82.138.135.0', '82.138.137.255', 1384810240, 1384811007, 'US', 'United States'),
(47994, '82.138.138.0', '82.138.139.255', 1384811008, 1384811519, 'GB', 'United Kingdom'),
(47995, '82.138.140.0', '82.138.140.127', 1384811520, 1384811647, 'IR', 'Iran, Islamic Republic of'),
(47996, '82.138.140.128', '82.138.140.191', 1384811648, 1384811711, 'EU', 'Europe'),
(47997, '82.138.140.192', '82.138.140.223', 1384811712, 1384811743, 'ES', 'Spain'),
(47998, '82.138.140.224', '82.138.140.255', 1384811744, 1384811775, 'BE', 'Belgium'),
(47999, '82.138.141.0', '82.138.141.255', 1384811776, 1384812031, 'FR', 'France'),
(48000, '82.138.142.0', '82.138.142.127', 1384812032, 1384812159, 'PR', 'Puerto Rico'),
(48001, '82.138.142.128', '82.138.142.255', 1384812160, 1384812287, 'PT', 'Portugal'),
(48002, '82.138.143.0', '82.138.143.255', 1384812288, 1384812543, 'ES', 'Spain'),
(48003, '82.138.144.0', '82.138.147.255', 1384812544, 1384813567, 'GB', 'United Kingdom'),
(48004, '82.138.148.0', '82.138.149.255', 1384813568, 1384814079, 'ES', 'Spain'),
(48005, '82.138.150.0', '82.138.151.255', 1384814080, 1384814591, 'GB', 'United Kingdom'),
(48006, '82.138.152.0', '82.138.153.255', 1384814592, 1384815103, 'BE', 'Belgium'),
(48007, '82.138.154.0', '82.138.155.255', 1384815104, 1384815615, 'FR', 'France'),
(48008, '82.138.156.0', '82.138.157.255', 1384815616, 1384816127, 'BE', 'Belgium'),
(48009, '82.138.158.0', '82.138.158.127', 1384816128, 1384816255, 'EU', 'Europe'),
(48010, '82.138.158.128', '82.138.158.255', 1384816256, 1384816383, 'ES', 'Spain'),
(48011, '82.138.159.0', '82.138.159.255', 1384816384, 1384816639, 'EU', 'Europe'),
(48012, '82.138.160.0', '82.138.161.255', 1384816640, 1384817151, 'DK', 'Denmark'),
(48013, '82.138.162.0', '82.138.162.255', 1384817152, 1384817407, 'EU', 'Europe'),
(48014, '82.138.163.0', '82.138.163.31', 1384817408, 1384817439, 'GB', 'United Kingdom'),
(48015, '82.138.163.32', '82.138.163.63', 1384817440, 1384817471, 'EU', 'Europe'),
(48016, '82.138.163.64', '82.138.163.95', 1384817472, 1384817503, 'SE', 'Sweden'),
(48017, '82.138.163.96', '82.138.163.191', 1384817504, 1384817599, 'BE', 'Belgium'),
(48018, '82.138.163.192', '82.138.163.255', 1384817600, 1384817663, 'FR', 'France'),
(48019, '82.138.164.0', '82.138.164.255', 1384817664, 1384817919, 'BE', 'Belgium'),
(48020, '82.138.165.0', '82.138.165.255', 1384817920, 1384818175, 'EU', 'Europe'),
(48021, '82.138.166.0', '82.138.168.127', 1384818176, 1384818815, 'BE', 'Belgium'),
(48022, '82.138.168.128', '82.138.168.191', 1384818816, 1384818879, 'NL', 'Netherlands'),
(48023, '82.138.168.192', '82.138.169.255', 1384818880, 1384819199, 'EU', 'Europe'),
(48024, '82.138.170.0', '82.138.171.255', 1384819200, 1384819711, 'GB', 'United Kingdom'),
(48025, '82.138.172.0', '82.138.173.255', 1384819712, 1384820223, 'CH', 'Switzerland'),
(48026, '82.138.174.0', '82.138.175.255', 1384820224, 1384820735, 'BE', 'Belgium'),
(48027, '82.138.176.0', '82.138.177.255', 1384820736, 1384821247, 'EU', 'Europe'),
(48028, '82.138.178.0', '82.138.179.255', 1384821248, 1384821759, 'BE', 'Belgium'),
(48029, '82.138.180.0', '82.138.181.255', 1384821760, 1384822271, 'DK', 'Denmark'),
(48030, '82.138.182.0', '82.138.183.255', 1384822272, 1384822783, 'ES', 'Spain'),
(48031, '82.138.184.0', '82.138.185.255', 1384822784, 1384823295, 'BE', 'Belgium'),
(48032, '82.138.186.0', '82.138.187.255', 1384823296, 1384823807, 'CH', 'Switzerland'),
(48033, '82.138.188.0', '82.138.191.255', 1384823808, 1384824831, 'EU', 'Europe'),
(48034, '82.138.192.0', '82.138.255.255', 1384824832, 1384841215, 'GB', 'United Kingdom'),
(48035, '82.139.0.0', '82.139.63.255', 1384841216, 1384857599, 'PL', 'Poland'),
(48036, '82.139.64.0', '82.139.127.255', 1384857600, 1384873983, 'NL', 'Netherlands'),
(48037, '82.139.128.0', '82.139.191.255', 1384873984, 1384890367, 'PL', 'Poland'),
(48038, '82.139.192.0', '82.140.63.255', 1384890368, 1384923135, 'DE', 'Germany'),
(48039, '82.140.64.0', '82.140.127.255', 1384923136, 1384939519, 'RU', 'Russian Federation'),
(48040, '82.140.128.0', '82.140.191.255', 1384939520, 1384955903, 'LT', 'Lithuania'),
(48041, '82.140.192.0', '82.140.255.255', 1384955904, 1384972287, 'RU', 'Russian Federation'),
(48042, '82.141.0.0', '82.141.26.31', 1384972288, 1384978975, 'DE', 'Germany'),
(48043, '82.141.26.32', '82.141.26.47', 1384978976, 1384978991, 'NL', 'Netherlands'),
(48044, '82.141.26.48', '82.141.63.255', 1384978992, 1384988671, 'DE', 'Germany'),
(48045, '82.141.64.0', '82.141.127.255', 1384988672, 1385005055, 'FI', 'Finland'),
(48046, '82.141.128.0', '82.141.191.255', 1385005056, 1385021439, 'HU', 'Hungary'),
(48047, '82.141.192.0', '82.141.255.255', 1385021440, 1385037823, 'IE', 'Ireland'),
(48048, '82.142.0.0', '82.142.63.255', 1385037824, 1385054207, 'FR', 'France'),
(48049, '82.142.64.0', '82.142.127.255', 1385054208, 1385070591, 'CZ', 'Czech Republic'),
(48050, '82.142.128.0', '82.142.191.255', 1385070592, 1385086975, 'RU', 'Russian Federation'),
(48051, '82.142.192.0', '82.142.255.255', 1385086976, 1385103359, 'GB', 'United Kingdom'),
(48052, '82.143.0.0', '82.143.63.255', 1385103360, 1385119743, 'IT', 'Italy'),
(48053, '82.143.64.0', '82.143.127.255', 1385119744, 1385136127, 'BE', 'Belgium'),
(48054, '82.143.128.0', '82.143.191.255', 1385136128, 1385152511, 'PL', 'Poland'),
(48055, '82.143.192.0', '82.143.255.255', 1385152512, 1385168895, 'DK', 'Denmark'),
(48056, '82.144.0.0', '82.144.31.255', 1385168896, 1385177087, 'ES', 'Spain'),
(48057, '82.144.32.0', '82.144.63.255', 1385177088, 1385185279, 'DE', 'Germany'),
(48058, '82.144.64.0', '82.144.95.255', 1385185280, 1385193471, 'RU', 'Russian Federation'),
(48059, '82.144.96.0', '82.144.127.255', 1385193472, 1385201663, 'ES', 'Spain'),
(48060, '82.144.128.0', '82.144.159.255', 1385201664, 1385209855, 'CZ', 'Czech Republic'),
(48061, '82.144.160.0', '82.144.191.255', 1385209856, 1385218047, 'HU', 'Hungary'),
(48062, '82.144.192.0', '82.144.223.255', 1385218048, 1385226239, 'UA', 'Ukraine'),
(48063, '82.144.224.0', '82.144.255.255', 1385226240, 1385234431, 'GB', 'United Kingdom'),
(48064, '82.145.0.0', '82.145.31.255', 1385234432, 1385242623, 'DE', 'Germany'),
(48065, '82.145.32.0', '82.145.63.255', 1385242624, 1385250815, 'GB', 'United Kingdom'),
(48066, '82.145.64.0', '82.145.95.255', 1385250816, 1385259007, 'PL', 'Poland'),
(48067, '82.145.96.0', '82.145.127.255', 1385259008, 1385267199, 'IT', 'Italy'),
(48068, '82.145.128.0', '82.145.159.255', 1385267200, 1385275391, 'SE', 'Sweden'),
(48069, '82.145.160.0', '82.145.191.255', 1385275392, 1385283583, 'IT', 'Italy'),
(48070, '82.145.192.0', '82.145.199.255', 1385283584, 1385285631, 'DE', 'Germany'),
(48071, '82.145.200.0', '82.145.207.255', 1385285632, 1385287679, 'GB', 'United Kingdom'),
(48072, '82.145.208.0', '82.145.223.255', 1385287680, 1385291775, 'A2', 'Satellite Provider'),
(48073, '82.145.224.0', '82.145.255.255', 1385291776, 1385299967, 'TR', 'Turkey'),
(48074, '82.146.0.0', '82.146.31.255', 1385299968, 1385308159, 'BG', 'Bulgaria'),
(48075, '82.146.32.0', '82.146.36.255', 1385308160, 1385309439, 'BE', 'Belgium'),
(48076, '82.146.37.0', '82.146.37.255', 1385309440, 1385309695, 'RU', 'Russian Federation'),
(48077, '82.146.38.0', '82.146.39.255', 1385309696, 1385310207, 'BE', 'Belgium'),
(48078, '82.146.40.0', '82.146.47.255', 1385310208, 1385312255, 'RU', 'Russian Federation'),
(48079, '82.146.48.0', '82.146.55.255', 1385312256, 1385314303, 'US', 'United States'),
(48080, '82.146.56.0', '82.146.63.255', 1385314304, 1385316351, 'RU', 'Russian Federation'),
(48081, '82.146.64.0', '82.146.95.255', 1385316352, 1385324543, 'NO', 'Norway'),
(48082, '82.146.96.0', '82.146.127.255', 1385324544, 1385332735, 'BE', 'Belgium'),
(48083, '82.146.128.0', '82.146.159.255', 1385332736, 1385340927, 'GB', 'United Kingdom'),
(48084, '82.146.160.0', '82.146.161.255', 1385340928, 1385341439, 'LB', 'Lebanon'),
(48085, '82.146.162.0', '82.146.162.194', 1385341440, 1385341634, 'US', 'United States'),
(48086, '82.146.162.195', '82.146.162.195', 1385341635, 1385341635, 'GB', 'United Kingdom'),
(48087, '82.146.162.196', '82.146.162.255', 1385341636, 1385341695, 'US', 'United States'),
(48088, '82.146.163.0', '82.146.164.255', 1385341696, 1385342207, 'LB', 'Lebanon'),
(48089, '82.146.165.0', '82.146.165.255', 1385342208, 1385342463, 'US', 'United States'),
(48090, '82.146.166.0', '82.146.191.255', 1385342464, 1385349119, 'LB', 'Lebanon'),
(48091, '82.146.192.0', '82.146.223.255', 1385349120, 1385357311, 'CH', 'Switzerland'),
(48092, '82.146.224.0', '82.146.255.255', 1385357312, 1385365503, 'PL', 'Poland'),
(48093, '82.147.0.0', '82.147.31.255', 1385365504, 1385373695, 'GB', 'United Kingdom'),
(48094, '82.147.32.0', '82.147.63.255', 1385373696, 1385381887, 'NO', 'Norway'),
(48095, '82.147.64.0', '82.147.127.255', 1385381888, 1385398271, 'RU', 'Russian Federation'),
(48096, '82.147.128.0', '82.147.159.255', 1385398272, 1385406463, 'BG', 'Bulgaria'),
(48097, '82.147.160.0', '82.147.191.255', 1385406464, 1385414655, 'EE', 'Estonia'),
(48098, '82.147.192.0', '82.147.223.255', 1385414656, 1385422847, 'SA', 'Saudi Arabia'),
(48099, '82.147.224.0', '82.147.255.255', 1385422848, 1385431039, 'DK', 'Denmark'),
(48100, '82.148.0.0', '82.148.31.255', 1385431040, 1385439231, 'RU', 'Russian Federation'),
(48101, '82.148.32.0', '82.148.63.255', 1385439232, 1385447423, 'GB', 'United Kingdom'),
(48102, '82.148.64.0', '82.148.95.255', 1385447424, 1385455615, 'IS', 'Iceland'),
(48103, '82.148.96.0', '82.148.127.255', 1385455616, 1385463807, 'QA', 'Qatar'),
(48104, '82.148.128.0', '82.148.191.255', 1385463808, 1385480191, 'NO', 'Norway'),
(48105, '82.148.192.0', '82.148.223.255', 1385480192, 1385488383, 'NL', 'Netherlands'),
(48106, '82.148.224.0', '82.148.255.255', 1385488384, 1385496575, 'GB', 'United Kingdom'),
(48107, '82.149.0.0', '82.149.31.255', 1385496576, 1385504767, 'SI', 'Slovenia'),
(48108, '82.149.32.0', '82.149.63.255', 1385504768, 1385512959, 'IT', 'Italy'),
(48109, '82.149.64.0', '82.149.95.255', 1385512960, 1385521151, 'DE', 'Germany'),
(48110, '82.149.96.0', '82.149.127.255', 1385521152, 1385529343, 'AT', 'Austria'),
(48111, '82.149.128.0', '82.149.159.255', 1385529344, 1385537535, 'RU', 'Russian Federation'),
(48112, '82.149.160.0', '82.149.191.255', 1385537536, 1385545727, 'DE', 'Germany'),
(48113, '82.149.192.0', '82.149.223.255', 1385545728, 1385553919, 'RU', 'Russian Federation'),
(48114, '82.149.224.0', '82.149.226.83', 1385553920, 1385554515, 'DE', 'Germany'),
(48115, '82.149.226.84', '82.149.226.87', 1385554516, 1385554519, 'CH', 'Switzerland'),
(48116, '82.149.226.88', '82.149.226.95', 1385554520, 1385554527, 'DE', 'Germany'),
(48117, '82.149.226.96', '82.149.226.99', 1385554528, 1385554531, 'AT', 'Austria'),
(48118, '82.149.226.100', '82.149.227.31', 1385554532, 1385554719, 'DE', 'Germany'),
(48119, '82.149.227.32', '82.149.227.47', 1385554720, 1385554735, 'AT', 'Austria'),
(48120, '82.149.227.48', '82.149.237.255', 1385554736, 1385557503, 'DE', 'Germany'),
(48121, '82.149.238.0', '82.149.238.255', 1385557504, 1385557759, 'AT', 'Austria'),
(48122, '82.149.239.0', '82.149.243.255', 1385557760, 1385559039, 'DE', 'Germany'),
(48123, '82.149.244.0', '82.149.244.255', 1385559040, 1385559295, 'SK', 'Slovakia'),
(48124, '82.149.245.0', '82.149.250.255', 1385559296, 1385560831, 'DE', 'Germany'),
(48125, '82.149.251.0', '82.149.251.255', 1385560832, 1385561087, 'SK', 'Slovakia'),
(48126, '82.149.252.0', '82.149.255.255', 1385561088, 1385562111, 'DE', 'Germany'),
(48127, '82.150.0.0', '82.150.0.255', 1385562112, 1385562367, 'ES', 'Spain'),
(48128, '82.150.1.0', '82.150.1.255', 1385562368, 1385562623, 'EU', 'Europe'),
(48129, '82.150.2.0', '82.150.3.255', 1385562624, 1385563135, 'ES', 'Spain'),
(48130, '82.150.4.0', '82.150.4.255', 1385563136, 1385563391, 'IE', 'Ireland'),
(48131, '82.150.5.0', '82.150.5.255', 1385563392, 1385563647, 'EU', 'Europe'),
(48132, '82.150.6.0', '82.150.7.31', 1385563648, 1385563935, 'IE', 'Ireland'),
(48133, '82.150.7.32', '82.150.7.135', 1385563936, 1385564039, 'EU', 'Europe'),
(48134, '82.150.7.136', '82.150.7.151', 1385564040, 1385564055, 'IE', 'Ireland'),
(48135, '82.150.7.152', '82.150.7.159', 1385564056, 1385564063, 'EU', 'Europe'),
(48136, '82.150.7.160', '82.150.7.191', 1385564064, 1385564095, 'IE', 'Ireland'),
(48137, '82.150.7.192', '82.150.7.199', 1385564096, 1385564103, 'EU', 'Europe'),
(48138, '82.150.7.200', '82.150.7.207', 1385564104, 1385564111, 'IE', 'Ireland'),
(48139, '82.150.7.208', '82.150.7.255', 1385564112, 1385564159, 'EU', 'Europe'),
(48140, '82.150.8.0', '82.150.8.71', 1385564160, 1385564231, 'HU', 'Hungary'),
(48141, '82.150.8.72', '82.150.8.79', 1385564232, 1385564239, 'AT', 'Austria'),
(48142, '82.150.8.80', '82.150.8.255', 1385564240, 1385564415, 'EU', 'Europe'),
(48143, '82.150.9.0', '82.150.9.255', 1385564416, 1385564671, 'HU', 'Hungary'),
(48144, '82.150.10.0', '82.150.11.255', 1385564672, 1385565183, 'EU', 'Europe'),
(48145, '82.150.12.0', '82.150.12.255', 1385565184, 1385565439, 'ES', 'Spain'),
(48146, '82.150.13.0', '82.150.15.255', 1385565440, 1385566207, 'EU', 'Europe'),
(48147, '82.150.16.0', '82.150.16.191', 1385566208, 1385566399, 'FR', 'France'),
(48148, '82.150.16.192', '82.150.16.223', 1385566400, 1385566431, 'EU', 'Europe'),
(48149, '82.150.16.224', '82.150.18.127', 1385566432, 1385566847, 'FR', 'France'),
(48150, '82.150.18.128', '82.150.18.207', 1385566848, 1385566927, 'EU', 'Europe'),
(48151, '82.150.18.208', '82.150.18.215', 1385566928, 1385566935, 'FR', 'France'),
(48152, '82.150.18.216', '82.150.18.239', 1385566936, 1385566959, 'EU', 'Europe'),
(48153, '82.150.18.240', '82.150.19.15', 1385566960, 1385566991, 'FR', 'France'),
(48154, '82.150.19.16', '82.150.19.23', 1385566992, 1385566999, 'EU', 'Europe'),
(48155, '82.150.19.24', '82.150.19.47', 1385567000, 1385567023, 'FR', 'France'),
(48156, '82.150.19.48', '82.150.19.111', 1385567024, 1385567087, 'EU', 'Europe'),
(48157, '82.150.19.112', '82.150.19.127', 1385567088, 1385567103, 'FR', 'France'),
(48158, '82.150.19.128', '82.150.19.159', 1385567104, 1385567135, 'EU', 'Europe'),
(48159, '82.150.19.160', '82.150.19.179', 1385567136, 1385567155, 'FR', 'France'),
(48160, '82.150.19.180', '82.150.19.183', 1385567156, 1385567159, 'EU', 'Europe'),
(48161, '82.150.19.184', '82.150.19.239', 1385567160, 1385567215, 'FR', 'France'),
(48162, '82.150.19.240', '82.150.19.247', 1385567216, 1385567223, 'EU', 'Europe'),
(48163, '82.150.19.248', '82.150.19.251', 1385567224, 1385567227, 'FR', 'France'),
(48164, '82.150.19.252', '82.150.19.255', 1385567228, 1385567231, 'EU', 'Europe'),
(48165, '82.150.20.0', '82.150.23.255', 1385567232, 1385568255, 'IE', 'Ireland'),
(48166, '82.150.24.0', '82.150.25.255', 1385568256, 1385568767, 'FR', 'France'),
(48167, '82.150.26.0', '82.150.27.255', 1385568768, 1385569279, 'EU', 'Europe'),
(48168, '82.150.28.0', '82.150.28.127', 1385569280, 1385569407, 'FR', 'France'),
(48169, '82.150.28.128', '82.150.28.175', 1385569408, 1385569455, 'CZ', 'Czech Republic'),
(48170, '82.150.28.176', '82.150.28.191', 1385569456, 1385569471, 'EU', 'Europe'),
(48171, '82.150.28.192', '82.150.28.207', 1385569472, 1385569487, 'CZ', 'Czech Republic'),
(48172, '82.150.28.208', '82.150.29.255', 1385569488, 1385569791, 'EU', 'Europe'),
(48173, '82.150.30.0', '82.150.31.255', 1385569792, 1385570303, 'FR', 'France'),
(48174, '82.150.32.0', '82.150.63.255', 1385570304, 1385578495, 'HU', 'Hungary'),
(48175, '82.150.64.0', '82.150.71.255', 1385578496, 1385580543, 'TR', 'Turkey'),
(48176, '82.150.72.0', '82.150.72.255', 1385580544, 1385580799, 'DK', 'Denmark'),
(48177, '82.150.73.0', '82.150.95.255', 1385580800, 1385586687, 'TR', 'Turkey'),
(48178, '82.150.96.0', '82.150.100.255', 1385586688, 1385587967, 'GB', 'United Kingdom'),
(48179, '82.150.101.0', '82.150.103.255', 1385587968, 1385588735, 'US', 'United States'),
(48180, '82.150.104.0', '82.150.105.255', 1385588736, 1385589247, 'HK', 'Hong Kong'),
(48181, '82.150.106.0', '82.150.106.255', 1385589248, 1385589503, 'JP', 'Japan'),
(48182, '82.150.107.0', '82.150.107.255', 1385589504, 1385589759, 'SG', 'Singapore'),
(48183, '82.150.108.0', '82.150.108.255', 1385589760, 1385590015, 'JP', 'Japan'),
(48184, '82.150.109.0', '82.150.111.255', 1385590016, 1385590783, 'GB', 'United Kingdom'),
(48185, '82.150.112.0', '82.150.113.255', 1385590784, 1385591295, 'US', 'United States'),
(48186, '82.150.114.0', '82.150.115.255', 1385591296, 1385591807, 'HK', 'Hong Kong'),
(48187, '82.150.116.0', '82.150.116.255', 1385591808, 1385592063, 'SG', 'Singapore'),
(48188, '82.150.117.0', '82.150.127.255', 1385592064, 1385594879, 'GB', 'United Kingdom'),
(48189, '82.150.128.0', '82.150.159.255', 1385594880, 1385603071, 'NL', 'Netherlands'),
(48190, '82.150.160.0', '82.150.191.255', 1385603072, 1385611263, 'CZ', 'Czech Republic'),
(48191, '82.150.192.0', '82.150.223.255', 1385611264, 1385619455, 'AT', 'Austria'),
(48192, '82.150.224.0', '82.150.247.255', 1385619456, 1385625599, 'DE', 'Germany'),
(48193, '82.150.248.0', '82.151.31.255', 1385625600, 1385635839, 'FR', 'France'),
(48194, '82.151.32.0', '82.151.63.255', 1385635840, 1385644031, 'NL', 'Netherlands'),
(48195, '82.151.64.0', '82.151.95.255', 1385644032, 1385652223, 'MR', 'Mauritania'),
(48196, '82.151.96.0', '82.151.127.255', 1385652224, 1385660415, 'RU', 'Russian Federation'),
(48197, '82.151.128.0', '82.151.159.255', 1385660416, 1385668607, 'TR', 'Turkey'),
(48198, '82.151.160.0', '82.151.191.255', 1385668608, 1385676799, 'NL', 'Netherlands'),
(48199, '82.151.192.0', '82.151.223.255', 1385676800, 1385684991, 'RU', 'Russian Federation'),
(48200, '82.151.224.0', '82.153.255.255', 1385684992, 1385824255, 'GB', 'United Kingdom'),
(48201, '82.154.0.0', '82.155.255.255', 1385824256, 1385955327, 'PT', 'Portugal'),
(48202, '82.156.0.0', '82.157.255.255', 1385955328, 1386086399, 'NL', 'Netherlands'),
(48203, '82.158.0.0', '82.159.255.255', 1386086400, 1386217471, 'ES', 'Spain'),
(48204, '82.160.0.0', '82.160.255.255', 1386217472, 1386283007, 'PL', 'Poland'),
(48205, '82.161.0.0', '82.161.255.255', 1386283008, 1386348543, 'NL', 'Netherlands'),
(48206, '82.162.0.0', '82.162.255.255', 1386348544, 1386414079, 'RU', 'Russian Federation'),
(48207, '82.163.0.0', '82.163.255.255', 1386414080, 1386479615, 'GB', 'United Kingdom'),
(48208, '82.164.0.0', '82.164.255.255', 1386479616, 1386545151, 'NO', 'Norway'),
(48209, '82.165.0.0', '82.165.15.255', 1386545152, 1386549247, 'DE', 'Germany'),
(48210, '82.165.16.0', '82.165.16.255', 1386549248, 1386549503, 'GB', 'United Kingdom'),
(48211, '82.165.17.0', '82.165.17.255', 1386549504, 1386549759, 'IT', 'Italy'),
(48212, '82.165.18.0', '82.165.159.255', 1386549760, 1386586111, 'DE', 'Germany'),
(48213, '82.165.160.0', '82.165.191.255', 1386586112, 1386594303, 'US', 'United States'),
(48214, '82.165.192.0', '82.165.223.255', 1386594304, 1386602495, 'DE', 'Germany'),
(48215, '82.165.224.0', '82.165.255.255', 1386602496, 1386610687, 'US', 'United States'),
(48216, '82.166.0.0', '82.166.255.255', 1386610688, 1386676223, 'IL', 'Israel'),
(48217, '82.167.0.0', '82.167.255.255', 1386676224, 1386741759, 'SA', 'Saudi Arabia'),
(48218, '82.168.0.0', '82.175.129.87', 1386741760, 1387233623, 'NL', 'Netherlands'),
(48219, '82.175.129.88', '82.175.129.91', 1387233624, 1387233627, 'BE', 'Belgium'),
(48220, '82.175.129.92', '82.175.129.127', 1387233628, 1387233663, 'NL', 'Netherlands'),
(48221, '82.175.129.128', '82.175.129.191', 1387233664, 1387233727, 'BE', 'Belgium'),
(48222, '82.175.129.192', '82.175.129.255', 1387233728, 1387233791, 'NL', 'Netherlands'),
(48223, '82.175.130.0', '82.175.130.127', 1387233792, 1387233919, 'BE', 'Belgium'),
(48224, '82.175.130.128', '82.175.191.255', 1387233920, 1387249663, 'NL', 'Netherlands'),
(48225, '82.175.192.0', '82.175.195.255', 1387249664, 1387250687, 'BE', 'Belgium'),
(48226, '82.175.196.0', '82.175.197.255', 1387250688, 1387251199, 'NL', 'Netherlands'),
(48227, '82.175.198.0', '82.175.198.31', 1387251200, 1387251231, 'BE', 'Belgium'),
(48228, '82.175.198.32', '82.175.198.63', 1387251232, 1387251263, 'NL', 'Netherlands'),
(48229, '82.175.198.64', '82.175.199.159', 1387251264, 1387251615, 'BE', 'Belgium'),
(48230, '82.175.199.160', '82.175.199.191', 1387251616, 1387251647, 'NL', 'Netherlands'),
(48231, '82.175.199.192', '82.175.200.15', 1387251648, 1387251727, 'BE', 'Belgium'),
(48232, '82.175.200.16', '82.175.200.39', 1387251728, 1387251751, 'NL', 'Netherlands'),
(48233, '82.175.200.40', '82.175.200.47', 1387251752, 1387251759, 'BE', 'Belgium'),
(48234, '82.175.200.48', '82.176.255.255', 1387251760, 1387331583, 'NL', 'Netherlands'),
(48235, '82.177.0.0', '82.177.255.255', 1387331584, 1387397119, 'PL', 'Poland'),
(48236, '82.178.0.0', '82.178.255.255', 1387397120, 1387462655, 'OM', 'Oman'),
(48237, '82.179.0.0', '82.179.255.255', 1387462656, 1387528191, 'RU', 'Russian Federation'),
(48238, '82.180.0.0', '82.180.255.255', 1387528192, 1387593727, 'DK', 'Denmark'),
(48239, '82.181.0.0', '82.181.255.255', 1387593728, 1387659263, 'FI', 'Finland'),
(48240, '82.182.0.0', '82.183.255.255', 1387659264, 1387790335, 'SE', 'Sweden'),
(48241, '82.184.0.0', '82.189.40.255', 1387790336, 1388128511, 'IT', 'Italy'),
(48242, '82.189.41.0', '82.189.41.255', 1388128512, 1388128767, 'US', 'United States'),
(48243, '82.189.42.0', '82.191.255.255', 1388128768, 1388314623, 'IT', 'Italy'),
(48244, '82.192.0.0', '82.192.31.255', 1388314624, 1388322815, 'AT', 'Austria'),
(48245, '82.192.32.0', '82.192.63.255', 1388322816, 1388331007, 'SI', 'Slovenia'),
(48246, '82.192.64.0', '82.192.65.255', 1388331008, 1388331519, 'NL', 'Netherlands'),
(48247, '82.192.66.0', '82.192.66.2', 1388331520, 1388331522, 'FR', 'France'),
(48248, '82.192.66.3', '82.192.66.4', 1388331523, 1388331524, 'NL', 'Netherlands'),
(48249, '82.192.66.5', '82.192.66.6', 1388331525, 1388331526, 'GB', 'United Kingdom'),
(48250, '82.192.66.7', '82.192.66.8', 1388331527, 1388331528, 'DE', 'Germany'),
(48251, '82.192.66.9', '82.192.66.12', 1388331529, 1388331532, 'NL', 'Netherlands'),
(48252, '82.192.66.13', '82.192.66.14', 1388331533, 1388331534, 'IT', 'Italy'),
(48253, '82.192.66.15', '82.192.66.16', 1388331535, 1388331536, 'NL', 'Netherlands'),
(48254, '82.192.66.17', '82.192.66.18', 1388331537, 1388331538, 'PL', 'Poland'),
(48255, '82.192.66.19', '82.192.91.255', 1388331539, 1388338175, 'NL', 'Netherlands'),
(48256, '82.192.92.0', '82.192.92.2', 1388338176, 1388338178, 'FR', 'France'),
(48257, '82.192.92.3', '82.192.92.4', 1388338179, 1388338180, 'GB', 'United Kingdom'),
(48258, '82.192.92.5', '82.192.92.6', 1388338181, 1388338182, 'DE', 'Germany'),
(48259, '82.192.92.7', '82.192.92.10', 1388338183, 1388338186, 'NL', 'Netherlands'),
(48260, '82.192.92.11', '82.192.92.12', 1388338187, 1388338188, 'IT', 'Italy'),
(48261, '82.192.92.13', '82.192.92.14', 1388338189, 1388338190, 'NL', 'Netherlands'),
(48262, '82.192.92.15', '82.192.92.16', 1388338191, 1388338192, 'PL', 'Poland'),
(48263, '82.192.92.17', '82.192.95.255', 1388338193, 1388339199, 'NL', 'Netherlands'),
(48264, '82.192.96.0', '82.192.127.255', 1388339200, 1388347391, 'GB', 'United Kingdom'),
(48265, '82.192.128.0', '82.192.191.255', 1388347392, 1388363775, 'DK', 'Denmark'),
(48266, '82.192.192.0', '82.192.223.255', 1388363776, 1388371967, 'DE', 'Germany'),
(48267, '82.192.224.0', '82.192.255.255', 1388371968, 1388380159, 'CH', 'Switzerland'),
(48268, '82.193.0.0', '82.193.34.79', 1388380160, 1388388943, 'IT', 'Italy'),
(48269, '82.193.34.80', '82.193.34.87', 1388388944, 1388388951, 'NG', 'Nigeria'),
(48270, '82.193.34.88', '82.193.34.95', 1388388952, 1388388959, 'IT', 'Italy'),
(48271, '82.193.34.96', '82.193.34.103', 1388388960, 1388388967, 'NG', 'Nigeria'),
(48272, '82.193.34.104', '82.193.34.111', 1388388968, 1388388975, 'IT', 'Italy'),
(48273, '82.193.34.112', '82.193.34.127', 1388388976, 1388388991, 'NG', 'Nigeria'),
(48274, '82.193.34.128', '82.193.36.191', 1388388992, 1388389567, 'IT', 'Italy'),
(48275, '82.193.36.192', '82.193.36.255', 1388389568, 1388389631, 'NG', 'Nigeria'),
(48276, '82.193.37.0', '82.193.38.55', 1388389632, 1388389943, 'IT', 'Italy'),
(48277, '82.193.38.56', '82.193.38.127', 1388389944, 1388390015, 'NG', 'Nigeria'),
(48278, '82.193.38.128', '82.193.38.255', 1388390016, 1388390143, 'IT', 'Italy'),
(48279, '82.193.39.0', '82.193.55.255', 1388390144, 1388394495, 'NG', 'Nigeria'),
(48280, '82.193.56.0', '82.193.61.255', 1388394496, 1388396031, 'IT', 'Italy'),
(48281, '82.193.62.0', '82.193.62.255', 1388396032, 1388396287, 'NG', 'Nigeria'),
(48282, '82.193.63.0', '82.193.63.255', 1388396288, 1388396543, 'IT', 'Italy'),
(48283, '82.193.64.0', '82.193.95.255', 1388396544, 1388404735, 'LV', 'Latvia'),
(48284, '82.193.96.0', '82.193.127.255', 1388404736, 1388412927, 'UA', 'Ukraine');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(48285, '82.193.128.0', '82.193.159.255', 1388412928, 1388421119, 'RU', 'Russian Federation'),
(48286, '82.193.160.0', '82.193.191.255', 1388421120, 1388429311, 'SE', 'Sweden'),
(48287, '82.193.192.0', '82.193.223.255', 1388429312, 1388437503, 'HR', 'Croatia'),
(48288, '82.193.224.0', '82.193.255.255', 1388437504, 1388445695, 'DE', 'Germany'),
(48289, '82.194.0.0', '82.194.31.255', 1388445696, 1388453887, 'AZ', 'Azerbaijan'),
(48290, '82.194.32.0', '82.194.63.255', 1388453888, 1388462079, 'BH', 'Bahrain'),
(48291, '82.194.64.0', '82.194.95.255', 1388462080, 1388470271, 'ES', 'Spain'),
(48292, '82.194.96.0', '82.194.127.255', 1388470272, 1388478463, 'DE', 'Germany'),
(48293, '82.194.128.0', '82.194.159.255', 1388478464, 1388486655, 'AT', 'Austria'),
(48294, '82.194.160.0', '82.194.191.255', 1388486656, 1388494847, 'RU', 'Russian Federation'),
(48295, '82.194.192.0', '82.194.223.255', 1388494848, 1388503039, 'NO', 'Norway'),
(48296, '82.194.224.0', '82.195.31.255', 1388503040, 1388519423, 'RU', 'Russian Federation'),
(48297, '82.195.32.0', '82.195.63.255', 1388519424, 1388527615, 'NL', 'Netherlands'),
(48298, '82.195.64.0', '82.195.95.255', 1388527616, 1388535807, 'DE', 'Germany'),
(48299, '82.195.96.0', '82.195.127.255', 1388535808, 1388543999, 'GB', 'United Kingdom'),
(48300, '82.195.128.0', '82.195.136.18', 1388544000, 1388546066, 'IE', 'Ireland'),
(48301, '82.195.136.19', '82.195.136.21', 1388546067, 1388546069, 'GB', 'United Kingdom'),
(48302, '82.195.136.22', '82.195.136.111', 1388546070, 1388546159, 'IE', 'Ireland'),
(48303, '82.195.136.112', '82.195.136.119', 1388546160, 1388546167, 'GB', 'United Kingdom'),
(48304, '82.195.136.120', '82.195.143.95', 1388546168, 1388547935, 'IE', 'Ireland'),
(48305, '82.195.143.96', '82.195.143.111', 1388547936, 1388547951, 'GB', 'United Kingdom'),
(48306, '82.195.143.112', '82.195.154.191', 1388547952, 1388550847, 'IE', 'Ireland'),
(48307, '82.195.154.192', '82.195.154.196', 1388550848, 1388550852, 'A1', 'Anonymous Proxy'),
(48308, '82.195.154.197', '82.195.159.255', 1388550853, 1388552191, 'IE', 'Ireland'),
(48309, '82.195.160.0', '82.195.191.255', 1388552192, 1388560383, 'GB', 'United Kingdom'),
(48310, '82.195.192.0', '82.195.223.255', 1388560384, 1388568575, 'FI', 'Finland'),
(48311, '82.195.224.0', '82.195.232.217', 1388568576, 1388570841, 'CH', 'Switzerland'),
(48312, '82.195.232.218', '82.195.232.218', 1388570842, 1388570842, 'A1', 'Anonymous Proxy'),
(48313, '82.195.232.219', '82.195.255.255', 1388570843, 1388576767, 'CH', 'Switzerland'),
(48314, '82.196.0.0', '82.196.31.255', 1388576768, 1388584959, 'FR', 'France'),
(48315, '82.196.32.0', '82.196.37.63', 1388584960, 1388586303, 'GB', 'United Kingdom'),
(48316, '82.196.37.64', '82.196.37.127', 1388586304, 1388586367, 'EU', 'Europe'),
(48317, '82.196.37.128', '82.196.37.151', 1388586368, 1388586391, 'GB', 'United Kingdom'),
(48318, '82.196.37.152', '82.196.37.159', 1388586392, 1388586399, 'EU', 'Europe'),
(48319, '82.196.37.160', '82.196.37.207', 1388586400, 1388586447, 'GB', 'United Kingdom'),
(48320, '82.196.37.208', '82.196.37.215', 1388586448, 1388586455, 'EU', 'Europe'),
(48321, '82.196.37.216', '82.196.37.255', 1388586456, 1388586495, 'GB', 'United Kingdom'),
(48322, '82.196.38.0', '82.196.40.255', 1388586496, 1388587263, 'EU', 'Europe'),
(48323, '82.196.41.0', '82.196.41.127', 1388587264, 1388587391, 'GB', 'United Kingdom'),
(48324, '82.196.41.128', '82.196.41.143', 1388587392, 1388587407, 'EU', 'Europe'),
(48325, '82.196.41.144', '82.196.41.159', 1388587408, 1388587423, 'GB', 'United Kingdom'),
(48326, '82.196.41.160', '82.196.41.175', 1388587424, 1388587439, 'EU', 'Europe'),
(48327, '82.196.41.176', '82.196.41.207', 1388587440, 1388587471, 'GB', 'United Kingdom'),
(48328, '82.196.41.208', '82.196.41.223', 1388587472, 1388587487, 'EU', 'Europe'),
(48329, '82.196.41.224', '82.196.41.239', 1388587488, 1388587503, 'FR', 'France'),
(48330, '82.196.41.240', '82.196.41.247', 1388587504, 1388587511, 'GB', 'United Kingdom'),
(48331, '82.196.41.248', '82.196.41.255', 1388587512, 1388587519, 'EU', 'Europe'),
(48332, '82.196.42.0', '82.196.42.95', 1388587520, 1388587615, 'GB', 'United Kingdom'),
(48333, '82.196.42.96', '82.196.42.111', 1388587616, 1388587631, 'EU', 'Europe'),
(48334, '82.196.42.112', '82.196.45.127', 1388587632, 1388588415, 'GB', 'United Kingdom'),
(48335, '82.196.45.128', '82.196.45.255', 1388588416, 1388588543, 'EU', 'Europe'),
(48336, '82.196.46.0', '82.196.46.255', 1388588544, 1388588799, 'US', 'United States'),
(48337, '82.196.47.0', '82.196.50.255', 1388588800, 1388589823, 'GB', 'United Kingdom'),
(48338, '82.196.51.0', '82.196.51.255', 1388589824, 1388590079, 'EU', 'Europe'),
(48339, '82.196.52.0', '82.196.52.47', 1388590080, 1388590127, 'FR', 'France'),
(48340, '82.196.52.48', '82.196.52.247', 1388590128, 1388590327, 'EU', 'Europe'),
(48341, '82.196.52.248', '82.196.52.255', 1388590328, 1388590335, 'FR', 'France'),
(48342, '82.196.53.0', '82.196.55.255', 1388590336, 1388591103, 'EU', 'Europe'),
(48343, '82.196.56.0', '82.196.56.255', 1388591104, 1388591359, 'AU', 'Australia'),
(48344, '82.196.57.0', '82.196.57.255', 1388591360, 1388591615, 'EU', 'Europe'),
(48345, '82.196.58.0', '82.196.58.15', 1388591616, 1388591631, 'US', 'United States'),
(48346, '82.196.58.16', '82.196.58.31', 1388591632, 1388591647, 'EU', 'Europe'),
(48347, '82.196.58.32', '82.196.58.47', 1388591648, 1388591663, 'US', 'United States'),
(48348, '82.196.58.48', '82.196.63.255', 1388591664, 1388593151, 'EU', 'Europe'),
(48349, '82.196.64.0', '82.196.95.255', 1388593152, 1388601343, 'RU', 'Russian Federation'),
(48350, '82.196.96.0', '82.196.127.255', 1388601344, 1388609535, 'SE', 'Sweden'),
(48351, '82.196.128.0', '82.196.159.255', 1388609536, 1388617727, 'RU', 'Russian Federation'),
(48352, '82.196.160.0', '82.196.191.255', 1388617728, 1388625919, 'SE', 'Sweden'),
(48353, '82.196.192.0', '82.196.223.255', 1388625920, 1388634111, 'NO', 'Norway'),
(48354, '82.196.224.0', '82.196.255.255', 1388634112, 1388642303, 'GB', 'United Kingdom'),
(48355, '82.197.0.0', '82.197.31.255', 1388642304, 1388650495, 'FI', 'Finland'),
(48356, '82.197.32.0', '82.197.63.255', 1388650496, 1388658687, 'PL', 'Poland'),
(48357, '82.197.64.0', '82.197.95.255', 1388658688, 1388666879, 'GB', 'United Kingdom'),
(48358, '82.197.96.0', '82.197.127.255', 1388666880, 1388675071, 'FR', 'France'),
(48359, '82.197.128.0', '82.197.128.255', 1388675072, 1388675327, 'NL', 'Netherlands'),
(48360, '82.197.129.0', '82.197.134.255', 1388675328, 1388676863, 'DE', 'Germany'),
(48361, '82.197.135.0', '82.197.135.255', 1388676864, 1388677119, 'EU', 'Europe'),
(48362, '82.197.136.0', '82.197.136.255', 1388677120, 1388677375, 'GB', 'United Kingdom'),
(48363, '82.197.137.0', '82.197.137.255', 1388677376, 1388677631, 'EU', 'Europe'),
(48364, '82.197.138.0', '82.197.138.31', 1388677632, 1388677663, 'AT', 'Austria'),
(48365, '82.197.138.32', '82.197.138.255', 1388677664, 1388677887, 'EU', 'Europe'),
(48366, '82.197.139.0', '82.197.143.255', 1388677888, 1388679167, 'DE', 'Germany'),
(48367, '82.197.144.0', '82.197.144.255', 1388679168, 1388679423, 'FR', 'France'),
(48368, '82.197.145.0', '82.197.145.31', 1388679424, 1388679455, 'DE', 'Germany'),
(48369, '82.197.145.32', '82.197.145.255', 1388679456, 1388679679, 'EU', 'Europe'),
(48370, '82.197.146.0', '82.197.155.255', 1388679680, 1388682239, 'DE', 'Germany'),
(48371, '82.197.156.0', '82.197.157.255', 1388682240, 1388682751, 'EU', 'Europe'),
(48372, '82.197.158.0', '82.197.159.255', 1388682752, 1388683263, 'DE', 'Germany'),
(48373, '82.197.160.0', '82.197.184.231', 1388683264, 1388689639, 'CH', 'Switzerland'),
(48374, '82.197.184.232', '82.197.184.239', 1388689640, 1388689647, 'DE', 'Germany'),
(48375, '82.197.184.240', '82.197.191.255', 1388689648, 1388691455, 'CH', 'Switzerland'),
(48376, '82.197.192.0', '82.197.223.255', 1388691456, 1388699647, 'NL', 'Netherlands'),
(48377, '82.197.224.0', '82.197.255.255', 1388699648, 1388707839, 'SE', 'Sweden'),
(48378, '82.198.0.0', '82.198.2.255', 1388707840, 1388708607, 'LB', 'Lebanon'),
(48379, '82.198.3.0', '82.198.4.255', 1388708608, 1388709119, 'LT', 'Lithuania'),
(48380, '82.198.5.0', '82.198.5.255', 1388709120, 1388709375, 'IQ', 'Iraq'),
(48381, '82.198.6.0', '82.198.7.255', 1388709376, 1388709887, 'RU', 'Russian Federation'),
(48382, '82.198.8.0', '82.198.11.255', 1388709888, 1388710911, 'LB', 'Lebanon'),
(48383, '82.198.12.0', '82.198.12.255', 1388710912, 1388711167, 'IQ', 'Iraq'),
(48384, '82.198.13.0', '82.198.14.255', 1388711168, 1388711679, 'RU', 'Russian Federation'),
(48385, '82.198.15.0', '82.198.15.255', 1388711680, 1388711935, 'LB', 'Lebanon'),
(48386, '82.198.16.0', '82.198.16.255', 1388711936, 1388712191, 'RU', 'Russian Federation'),
(48387, '82.198.17.0', '82.198.18.255', 1388712192, 1388712703, 'LT', 'Lithuania'),
(48388, '82.198.19.0', '82.198.20.255', 1388712704, 1388713215, 'LB', 'Lebanon'),
(48389, '82.198.21.0', '82.198.21.255', 1388713216, 1388713471, 'SE', 'Sweden'),
(48390, '82.198.22.0', '82.198.22.255', 1388713472, 1388713727, 'RU', 'Russian Federation'),
(48391, '82.198.23.0', '82.198.23.255', 1388713728, 1388713983, 'LT', 'Lithuania'),
(48392, '82.198.24.0', '82.198.24.255', 1388713984, 1388714239, 'RU', 'Russian Federation'),
(48393, '82.198.25.0', '82.198.25.255', 1388714240, 1388714495, 'LB', 'Lebanon'),
(48394, '82.198.26.0', '82.198.26.255', 1388714496, 1388714751, 'RU', 'Russian Federation'),
(48395, '82.198.27.0', '82.198.27.255', 1388714752, 1388715007, 'IQ', 'Iraq'),
(48396, '82.198.28.0', '82.198.28.255', 1388715008, 1388715263, 'LB', 'Lebanon'),
(48397, '82.198.29.0', '82.198.29.255', 1388715264, 1388715519, 'LT', 'Lithuania'),
(48398, '82.198.30.0', '82.198.30.255', 1388715520, 1388715775, 'LV', 'Latvia'),
(48399, '82.198.31.0', '82.198.31.255', 1388715776, 1388716031, 'LT', 'Lithuania'),
(48400, '82.198.32.0', '82.198.63.255', 1388716032, 1388724223, 'ES', 'Spain'),
(48401, '82.198.64.0', '82.198.95.255', 1388724224, 1388732415, 'DE', 'Germany'),
(48402, '82.198.96.0', '82.198.127.255', 1388732416, 1388740607, 'ES', 'Spain'),
(48403, '82.198.128.0', '82.198.128.15', 1388740608, 1388740623, 'GB', 'United Kingdom'),
(48404, '82.198.128.16', '82.198.128.95', 1388740624, 1388740703, 'IE', 'Ireland'),
(48405, '82.198.128.96', '82.198.128.99', 1388740704, 1388740707, 'GB', 'United Kingdom'),
(48406, '82.198.128.100', '82.198.128.111', 1388740708, 1388740719, 'IE', 'Ireland'),
(48407, '82.198.128.112', '82.198.128.127', 1388740720, 1388740735, 'GB', 'United Kingdom'),
(48408, '82.198.128.128', '82.198.128.239', 1388740736, 1388740847, 'IE', 'Ireland'),
(48409, '82.198.128.240', '82.198.128.255', 1388740848, 1388740863, 'GB', 'United Kingdom'),
(48410, '82.198.129.0', '82.198.131.183', 1388740864, 1388741559, 'IE', 'Ireland'),
(48411, '82.198.131.184', '82.198.131.191', 1388741560, 1388741567, 'GB', 'United Kingdom'),
(48412, '82.198.131.192', '82.198.131.239', 1388741568, 1388741615, 'IE', 'Ireland'),
(48413, '82.198.131.240', '82.198.131.255', 1388741616, 1388741631, 'GB', 'United Kingdom'),
(48414, '82.198.132.0', '82.198.132.67', 1388741632, 1388741699, 'IE', 'Ireland'),
(48415, '82.198.132.68', '82.198.132.79', 1388741700, 1388741711, 'GB', 'United Kingdom'),
(48416, '82.198.132.80', '82.198.132.155', 1388741712, 1388741787, 'IE', 'Ireland'),
(48417, '82.198.132.156', '82.198.132.159', 1388741788, 1388741791, 'GB', 'United Kingdom'),
(48418, '82.198.132.160', '82.198.133.83', 1388741792, 1388741971, 'IE', 'Ireland'),
(48419, '82.198.133.84', '82.198.133.95', 1388741972, 1388741983, 'GB', 'United Kingdom'),
(48420, '82.198.133.96', '82.198.133.179', 1388741984, 1388742067, 'IE', 'Ireland'),
(48421, '82.198.133.180', '82.198.133.191', 1388742068, 1388742079, 'GB', 'United Kingdom'),
(48422, '82.198.133.192', '82.198.135.255', 1388742080, 1388742655, 'IE', 'Ireland'),
(48423, '82.198.136.0', '82.198.136.63', 1388742656, 1388742719, 'GB', 'United Kingdom'),
(48424, '82.198.136.64', '82.198.136.75', 1388742720, 1388742731, 'IE', 'Ireland'),
(48425, '82.198.136.76', '82.198.136.79', 1388742732, 1388742735, 'IR', 'Iran, Islamic Republic of'),
(48426, '82.198.136.80', '82.198.136.127', 1388742736, 1388742783, 'IE', 'Ireland'),
(48427, '82.198.136.128', '82.198.136.135', 1388742784, 1388742791, 'GB', 'United Kingdom'),
(48428, '82.198.136.136', '82.198.136.139', 1388742792, 1388742795, 'IE', 'Ireland'),
(48429, '82.198.136.140', '82.198.136.191', 1388742796, 1388742847, 'GB', 'United Kingdom'),
(48430, '82.198.136.192', '82.198.137.175', 1388742848, 1388743087, 'IE', 'Ireland'),
(48431, '82.198.137.176', '82.198.137.187', 1388743088, 1388743099, 'GB', 'United Kingdom'),
(48432, '82.198.137.188', '82.198.139.179', 1388743100, 1388743603, 'IE', 'Ireland'),
(48433, '82.198.139.180', '82.198.139.191', 1388743604, 1388743615, 'GB', 'United Kingdom'),
(48434, '82.198.139.192', '82.198.143.235', 1388743616, 1388744683, 'IE', 'Ireland'),
(48435, '82.198.143.236', '82.198.143.239', 1388744684, 1388744687, 'GB', 'United Kingdom'),
(48436, '82.198.143.240', '82.198.147.199', 1388744688, 1388745671, 'IE', 'Ireland'),
(48437, '82.198.147.200', '82.198.147.211', 1388745672, 1388745683, 'GB', 'United Kingdom'),
(48438, '82.198.147.212', '82.198.147.254', 1388745684, 1388745726, 'IE', 'Ireland'),
(48439, '82.198.147.255', '82.198.147.255', 1388745727, 1388745727, 'GB', 'United Kingdom'),
(48440, '82.198.148.0', '82.198.149.203', 1388745728, 1388746187, 'IE', 'Ireland'),
(48441, '82.198.149.204', '82.198.149.207', 1388746188, 1388746191, 'GB', 'United Kingdom'),
(48442, '82.198.149.208', '82.198.151.207', 1388746192, 1388746703, 'IE', 'Ireland'),
(48443, '82.198.151.208', '82.198.151.215', 1388746704, 1388746711, 'GB', 'United Kingdom'),
(48444, '82.198.151.216', '82.198.152.99', 1388746712, 1388746851, 'IE', 'Ireland'),
(48445, '82.198.152.100', '82.198.152.111', 1388746852, 1388746863, 'GB', 'United Kingdom'),
(48446, '82.198.152.112', '82.198.152.215', 1388746864, 1388746967, 'IE', 'Ireland'),
(48447, '82.198.152.216', '82.198.152.223', 1388746968, 1388746975, 'GB', 'United Kingdom'),
(48448, '82.198.152.224', '82.198.155.63', 1388746976, 1388747583, 'IE', 'Ireland'),
(48449, '82.198.155.64', '82.198.155.79', 1388747584, 1388747599, 'GB', 'United Kingdom'),
(48450, '82.198.155.80', '82.198.155.109', 1388747600, 1388747629, 'IE', 'Ireland'),
(48451, '82.198.155.110', '82.198.155.111', 1388747630, 1388747631, 'GB', 'United Kingdom'),
(48452, '82.198.155.112', '82.198.158.15', 1388747632, 1388748303, 'IE', 'Ireland'),
(48453, '82.198.158.16', '82.198.158.31', 1388748304, 1388748319, 'GB', 'United Kingdom'),
(48454, '82.198.158.32', '82.198.158.61', 1388748320, 1388748349, 'IE', 'Ireland'),
(48455, '82.198.158.62', '82.198.158.63', 1388748350, 1388748351, 'GB', 'United Kingdom'),
(48456, '82.198.158.64', '82.198.159.255', 1388748352, 1388748799, 'IE', 'Ireland'),
(48457, '82.198.160.0', '82.198.191.255', 1388748800, 1388756991, 'RU', 'Russian Federation'),
(48458, '82.198.192.0', '82.198.223.255', 1388756992, 1388765183, 'DE', 'Germany'),
(48459, '82.198.224.0', '82.198.255.255', 1388765184, 1388773375, 'GB', 'United Kingdom'),
(48460, '82.199.0.0', '82.199.31.255', 1388773376, 1388781567, 'NO', 'Norway'),
(48461, '82.199.32.0', '82.199.63.255', 1388781568, 1388789759, 'ES', 'Spain'),
(48462, '82.199.64.0', '82.199.84.63', 1388789760, 1388794943, 'NL', 'Netherlands'),
(48463, '82.199.84.64', '82.199.84.79', 1388794944, 1388794959, 'GB', 'United Kingdom'),
(48464, '82.199.84.80', '82.199.90.143', 1388794960, 1388796559, 'NL', 'Netherlands'),
(48465, '82.199.90.144', '82.199.90.159', 1388796560, 1388796575, 'GB', 'United Kingdom'),
(48466, '82.199.90.160', '82.199.91.7', 1388796576, 1388796679, 'NL', 'Netherlands'),
(48467, '82.199.91.8', '82.199.91.15', 1388796680, 1388796687, 'GB', 'United Kingdom'),
(48468, '82.199.91.16', '82.199.91.111', 1388796688, 1388796783, 'NL', 'Netherlands'),
(48469, '82.199.91.112', '82.199.91.127', 1388796784, 1388796799, 'GB', 'United Kingdom'),
(48470, '82.199.91.128', '82.199.95.255', 1388796800, 1388797951, 'NL', 'Netherlands'),
(48471, '82.199.96.0', '82.199.127.255', 1388797952, 1388806143, 'RU', 'Russian Federation'),
(48472, '82.199.128.0', '82.199.133.255', 1388806144, 1388807679, 'DE', 'Germany'),
(48473, '82.199.134.0', '82.199.134.31', 1388807680, 1388807711, 'BZ', 'Belize'),
(48474, '82.199.134.32', '82.199.136.63', 1388807712, 1388808255, 'DE', 'Germany'),
(48475, '82.199.136.64', '82.199.136.95', 1388808256, 1388808287, 'BZ', 'Belize'),
(48476, '82.199.136.96', '82.199.159.255', 1388808288, 1388814335, 'DE', 'Germany'),
(48477, '82.199.160.0', '82.199.162.255', 1388814336, 1388815103, 'AX', 'Aland Islands'),
(48478, '82.199.163.0', '82.199.163.127', 1388815104, 1388815231, 'FI', 'Finland'),
(48479, '82.199.163.128', '82.199.176.255', 1388815232, 1388818687, 'AX', 'Aland Islands'),
(48480, '82.199.177.0', '82.199.177.127', 1388818688, 1388818815, 'FI', 'Finland'),
(48481, '82.199.177.128', '82.199.186.127', 1388818816, 1388821119, 'AX', 'Aland Islands'),
(48482, '82.199.186.128', '82.199.186.158', 1388821120, 1388821150, 'SE', 'Sweden'),
(48483, '82.199.186.159', '82.199.186.255', 1388821151, 1388821247, 'AX', 'Aland Islands'),
(48484, '82.199.187.0', '82.199.191.255', 1388821248, 1388822527, 'SE', 'Sweden'),
(48485, '82.199.192.0', '82.199.223.255', 1388822528, 1388830719, 'BG', 'Bulgaria'),
(48486, '82.199.224.0', '82.199.255.255', 1388830720, 1388838911, 'FI', 'Finland'),
(48487, '82.200.0.0', '82.200.127.255', 1388838912, 1388871679, 'RU', 'Russian Federation'),
(48488, '82.200.128.0', '82.200.255.255', 1388871680, 1388904447, 'KZ', 'Kazakhstan'),
(48489, '82.201.0.0', '82.201.127.255', 1388904448, 1388937215, 'NL', 'Netherlands'),
(48490, '82.201.128.0', '82.201.255.255', 1388937216, 1388969983, 'EG', 'Egypt'),
(48491, '82.202.0.0', '82.202.127.255', 1388969984, 1389002751, 'CZ', 'Czech Republic'),
(48492, '82.202.128.0', '82.202.255.255', 1389002752, 1389035519, 'RU', 'Russian Federation'),
(48493, '82.203.0.0', '82.203.127.255', 1389035520, 1389068287, 'GB', 'United Kingdom'),
(48494, '82.203.128.0', '82.203.255.255', 1389068288, 1389101055, 'FI', 'Finland'),
(48495, '82.204.0.0', '82.204.127.255', 1389101056, 1389133823, 'NL', 'Netherlands'),
(48496, '82.204.128.0', '82.204.255.255', 1389133824, 1389166591, 'RU', 'Russian Federation'),
(48497, '82.205.0.0', '82.205.127.255', 1389166592, 1389199359, 'PS', 'Palestinian Territory, Occupied'),
(48498, '82.205.128.0', '82.205.128.255', 1389199360, 1389199615, 'A2', 'Satellite Provider'),
(48499, '82.205.129.0', '82.205.129.31', 1389199616, 1389199647, 'IR', 'Iran, Islamic Republic of'),
(48500, '82.205.129.32', '82.205.131.255', 1389199648, 1389200383, 'A2', 'Satellite Provider'),
(48501, '82.205.132.0', '82.205.132.255', 1389200384, 1389200639, 'AE', 'United Arab Emirates'),
(48502, '82.205.133.0', '82.205.137.255', 1389200640, 1389201919, 'A2', 'Satellite Provider'),
(48503, '82.205.138.0', '82.205.138.255', 1389201920, 1389202175, 'AF', 'Afghanistan'),
(48504, '82.205.139.0', '82.205.143.255', 1389202176, 1389203455, 'A2', 'Satellite Provider'),
(48505, '82.205.144.0', '82.205.147.255', 1389203456, 1389204479, 'US', 'United States'),
(48506, '82.205.148.0', '82.205.149.63', 1389204480, 1389204799, 'A2', 'Satellite Provider'),
(48507, '82.205.149.64', '82.205.149.127', 1389204800, 1389204863, 'IQ', 'Iraq'),
(48508, '82.205.149.128', '82.205.149.143', 1389204864, 1389204879, 'A2', 'Satellite Provider'),
(48509, '82.205.149.144', '82.205.149.159', 1389204880, 1389204895, 'IQ', 'Iraq'),
(48510, '82.205.149.160', '82.205.150.255', 1389204896, 1389205247, 'A2', 'Satellite Provider'),
(48511, '82.205.151.0', '82.205.151.255', 1389205248, 1389205503, 'AF', 'Afghanistan'),
(48512, '82.205.152.0', '82.205.152.127', 1389205504, 1389205631, 'A2', 'Satellite Provider'),
(48513, '82.205.152.128', '82.205.152.255', 1389205632, 1389205759, 'DE', 'Germany'),
(48514, '82.205.153.0', '82.205.153.31', 1389205760, 1389205791, 'A2', 'Satellite Provider'),
(48515, '82.205.153.32', '82.205.153.159', 1389205792, 1389205919, 'IR', 'Iran, Islamic Republic of'),
(48516, '82.205.153.160', '82.205.154.127', 1389205920, 1389206143, 'A2', 'Satellite Provider'),
(48517, '82.205.154.128', '82.205.154.159', 1389206144, 1389206175, 'LY', 'Libyan Arab Jamahiriya'),
(48518, '82.205.154.160', '82.205.154.255', 1389206176, 1389206271, 'A2', 'Satellite Provider'),
(48519, '82.205.155.0', '82.205.156.128', 1389206272, 1389206656, 'IR', 'Iran, Islamic Republic of'),
(48520, '82.205.156.129', '82.205.156.255', 1389206657, 1389206783, 'A2', 'Satellite Provider'),
(48521, '82.205.157.0', '82.205.157.255', 1389206784, 1389207039, 'DE', 'Germany'),
(48522, '82.205.158.0', '82.205.159.95', 1389207040, 1389207391, 'A2', 'Satellite Provider'),
(48523, '82.205.159.96', '82.205.159.127', 1389207392, 1389207423, 'IR', 'Iran, Islamic Republic of'),
(48524, '82.205.159.128', '82.205.159.191', 1389207424, 1389207487, 'DE', 'Germany'),
(48525, '82.205.159.192', '82.205.159.223', 1389207488, 1389207519, 'A2', 'Satellite Provider'),
(48526, '82.205.159.224', '82.205.159.255', 1389207520, 1389207551, 'IR', 'Iran, Islamic Republic of'),
(48527, '82.205.160.0', '82.205.169.31', 1389207552, 1389209887, 'A2', 'Satellite Provider'),
(48528, '82.205.169.32', '82.205.169.47', 1389209888, 1389209903, 'IQ', 'Iraq'),
(48529, '82.205.169.48', '82.205.170.31', 1389209904, 1389210143, 'A2', 'Satellite Provider'),
(48530, '82.205.170.32', '82.205.170.95', 1389210144, 1389210207, 'IQ', 'Iraq'),
(48531, '82.205.170.96', '82.205.170.159', 1389210208, 1389210271, 'A2', 'Satellite Provider'),
(48532, '82.205.170.160', '82.205.170.191', 1389210272, 1389210303, 'IQ', 'Iraq'),
(48533, '82.205.170.192', '82.205.171.255', 1389210304, 1389210623, 'A2', 'Satellite Provider'),
(48534, '82.205.172.0', '82.205.172.3', 1389210624, 1389210627, 'IQ', 'Iraq'),
(48535, '82.205.172.4', '82.205.172.7', 1389210628, 1389210631, 'US', 'United States'),
(48536, '82.205.172.8', '82.205.172.31', 1389210632, 1389210655, 'IQ', 'Iraq'),
(48537, '82.205.172.32', '82.205.172.63', 1389210656, 1389210687, 'A2', 'Satellite Provider'),
(48538, '82.205.172.64', '82.205.172.95', 1389210688, 1389210719, 'IQ', 'Iraq'),
(48539, '82.205.172.96', '82.205.172.143', 1389210720, 1389210767, 'A2', 'Satellite Provider'),
(48540, '82.205.172.144', '82.205.172.159', 1389210768, 1389210783, 'IQ', 'Iraq'),
(48541, '82.205.172.160', '82.205.172.191', 1389210784, 1389210815, 'A2', 'Satellite Provider'),
(48542, '82.205.172.192', '82.205.172.239', 1389210816, 1389210863, 'IQ', 'Iraq'),
(48543, '82.205.172.240', '82.205.173.255', 1389210864, 1389211135, 'A2', 'Satellite Provider'),
(48544, '82.205.174.0', '82.205.174.15', 1389211136, 1389211151, 'IQ', 'Iraq'),
(48545, '82.205.174.16', '82.205.174.63', 1389211152, 1389211199, 'A2', 'Satellite Provider'),
(48546, '82.205.174.64', '82.205.174.127', 1389211200, 1389211263, 'IQ', 'Iraq'),
(48547, '82.205.174.128', '82.205.174.207', 1389211264, 1389211343, 'A2', 'Satellite Provider'),
(48548, '82.205.174.208', '82.205.174.223', 1389211344, 1389211359, 'LY', 'Libyan Arab Jamahiriya'),
(48549, '82.205.174.224', '82.205.174.255', 1389211360, 1389211391, 'A2', 'Satellite Provider'),
(48550, '82.205.175.0', '82.205.175.31', 1389211392, 1389211423, 'IQ', 'Iraq'),
(48551, '82.205.175.32', '82.205.175.47', 1389211424, 1389211439, 'A2', 'Satellite Provider'),
(48552, '82.205.175.48', '82.205.175.63', 1389211440, 1389211455, 'IQ', 'Iraq'),
(48553, '82.205.175.64', '82.205.175.127', 1389211456, 1389211519, 'A2', 'Satellite Provider'),
(48554, '82.205.175.128', '82.205.175.143', 1389211520, 1389211535, 'IQ', 'Iraq'),
(48555, '82.205.175.144', '82.205.175.175', 1389211536, 1389211567, 'A2', 'Satellite Provider'),
(48556, '82.205.175.176', '82.205.175.255', 1389211568, 1389211647, 'IQ', 'Iraq'),
(48557, '82.205.176.0', '82.205.177.255', 1389211648, 1389212159, 'A2', 'Satellite Provider'),
(48558, '82.205.178.0', '82.205.178.255', 1389212160, 1389212415, 'KW', 'Kuwait'),
(48559, '82.205.179.0', '82.205.179.255', 1389212416, 1389212671, 'A2', 'Satellite Provider'),
(48560, '82.205.180.0', '82.205.180.95', 1389212672, 1389212767, 'IQ', 'Iraq'),
(48561, '82.205.180.96', '82.205.180.255', 1389212768, 1389212927, 'A2', 'Satellite Provider'),
(48562, '82.205.181.0', '82.205.181.63', 1389212928, 1389212991, 'IR', 'Iran, Islamic Republic of'),
(48563, '82.205.181.64', '82.205.181.159', 1389212992, 1389213087, 'A2', 'Satellite Provider'),
(48564, '82.205.181.160', '82.205.181.191', 1389213088, 1389213119, 'IQ', 'Iraq'),
(48565, '82.205.181.192', '82.205.181.255', 1389213120, 1389213183, 'A2', 'Satellite Provider'),
(48566, '82.205.182.0', '82.205.182.255', 1389213184, 1389213439, 'LY', 'Libyan Arab Jamahiriya'),
(48567, '82.205.183.0', '82.205.187.255', 1389213440, 1389214719, 'A2', 'Satellite Provider'),
(48568, '82.205.188.0', '82.205.191.255', 1389214720, 1389215743, 'LY', 'Libyan Arab Jamahiriya'),
(48569, '82.205.192.0', '82.205.192.255', 1389215744, 1389215999, 'AF', 'Afghanistan'),
(48570, '82.205.193.0', '82.205.198.255', 1389216000, 1389217535, 'A2', 'Satellite Provider'),
(48571, '82.205.199.0', '82.205.199.255', 1389217536, 1389217791, 'AF', 'Afghanistan'),
(48572, '82.205.200.0', '82.205.200.255', 1389217792, 1389218047, 'A2', 'Satellite Provider'),
(48573, '82.205.201.0', '82.205.201.255', 1389218048, 1389218303, 'AE', 'United Arab Emirates'),
(48574, '82.205.202.0', '82.205.207.255', 1389218304, 1389219839, 'AF', 'Afghanistan'),
(48575, '82.205.208.0', '82.205.209.95', 1389219840, 1389220191, 'A2', 'Satellite Provider'),
(48576, '82.205.209.96', '82.205.209.111', 1389220192, 1389220207, 'IQ', 'Iraq'),
(48577, '82.205.209.112', '82.205.212.47', 1389220208, 1389220911, 'A2', 'Satellite Provider'),
(48578, '82.205.212.48', '82.205.212.63', 1389220912, 1389220927, 'SA', 'Saudi Arabia'),
(48579, '82.205.212.64', '82.205.218.95', 1389220928, 1389222495, 'A2', 'Satellite Provider'),
(48580, '82.205.218.96', '82.205.218.111', 1389222496, 1389222511, 'SA', 'Saudi Arabia'),
(48581, '82.205.218.112', '82.205.218.143', 1389222512, 1389222543, 'A2', 'Satellite Provider'),
(48582, '82.205.218.144', '82.205.218.159', 1389222544, 1389222559, 'LY', 'Libyan Arab Jamahiriya'),
(48583, '82.205.218.160', '82.205.218.191', 1389222560, 1389222591, 'SA', 'Saudi Arabia'),
(48584, '82.205.218.192', '82.205.222.255', 1389222592, 1389223679, 'A2', 'Satellite Provider'),
(48585, '82.205.223.0', '82.205.223.255', 1389223680, 1389223935, 'DE', 'Germany'),
(48586, '82.205.224.0', '82.205.224.255', 1389223936, 1389224191, 'US', 'United States'),
(48587, '82.205.225.0', '82.205.228.255', 1389224192, 1389225215, 'A2', 'Satellite Provider'),
(48588, '82.205.229.0', '82.205.229.255', 1389225216, 1389225471, 'US', 'United States'),
(48589, '82.205.230.0', '82.205.230.111', 1389225472, 1389225583, 'A2', 'Satellite Provider'),
(48590, '82.205.230.112', '82.205.230.127', 1389225584, 1389225599, 'IQ', 'Iraq'),
(48591, '82.205.230.128', '82.205.231.255', 1389225600, 1389225983, 'A2', 'Satellite Provider'),
(48592, '82.205.232.0', '82.205.232.255', 1389225984, 1389226239, 'AE', 'United Arab Emirates'),
(48593, '82.205.233.0', '82.205.233.255', 1389226240, 1389226495, 'A2', 'Satellite Provider'),
(48594, '82.205.234.0', '82.205.238.255', 1389226496, 1389227775, 'AE', 'United Arab Emirates'),
(48595, '82.205.239.0', '82.205.239.15', 1389227776, 1389227791, 'IQ', 'Iraq'),
(48596, '82.205.239.16', '82.205.241.63', 1389227792, 1389228351, 'A2', 'Satellite Provider'),
(48597, '82.205.241.64', '82.205.241.127', 1389228352, 1389228415, 'AE', 'United Arab Emirates'),
(48598, '82.205.241.128', '82.205.241.191', 1389228416, 1389228479, 'LB', 'Lebanon'),
(48599, '82.205.241.192', '82.205.243.255', 1389228480, 1389229055, 'A2', 'Satellite Provider'),
(48600, '82.205.244.0', '82.205.252.255', 1389229056, 1389231359, 'AE', 'United Arab Emirates'),
(48601, '82.205.253.0', '82.205.253.255', 1389231360, 1389231615, 'EU', 'Europe'),
(48602, '82.205.254.0', '82.205.254.255', 1389231616, 1389231871, 'US', 'United States'),
(48603, '82.205.255.0', '82.205.255.255', 1389231872, 1389232127, 'SA', 'Saudi Arabia'),
(48604, '82.206.0.0', '82.206.0.191', 1389232128, 1389232319, 'DE', 'Germany'),
(48605, '82.206.0.192', '82.206.0.199', 1389232320, 1389232327, 'LT', 'Lithuania'),
(48606, '82.206.0.200', '82.206.123.255', 1389232328, 1389263871, 'DE', 'Germany'),
(48607, '82.206.124.0', '82.206.124.159', 1389263872, 1389264031, 'NL', 'Netherlands'),
(48608, '82.206.124.160', '82.206.124.191', 1389264032, 1389264063, 'ES', 'Spain'),
(48609, '82.206.124.192', '82.206.124.255', 1389264064, 1389264127, 'NL', 'Netherlands'),
(48610, '82.206.125.0', '82.206.126.255', 1389264128, 1389264639, 'ES', 'Spain'),
(48611, '82.206.127.0', '82.206.127.255', 1389264640, 1389264895, 'US', 'United States'),
(48612, '82.206.128.0', '82.206.128.255', 1389264896, 1389265151, 'TZ', 'Tanzania, United Republic of'),
(48613, '82.206.129.0', '82.206.129.15', 1389265152, 1389265167, 'NG', 'Nigeria'),
(48614, '82.206.129.16', '82.206.129.31', 1389265168, 1389265183, 'US', 'United States'),
(48615, '82.206.129.32', '82.206.129.47', 1389265184, 1389265199, 'ZA', 'South Africa'),
(48616, '82.206.129.48', '82.206.129.79', 1389265200, 1389265231, 'ET', 'Ethiopia'),
(48617, '82.206.129.80', '82.206.129.87', 1389265232, 1389265239, 'TZ', 'Tanzania, United Republic of'),
(48618, '82.206.129.88', '82.206.129.111', 1389265240, 1389265263, 'A2', 'Satellite Provider'),
(48619, '82.206.129.112', '82.206.129.127', 1389265264, 1389265279, 'NG', 'Nigeria'),
(48620, '82.206.129.128', '82.206.129.255', 1389265280, 1389265407, 'TD', 'Chad'),
(48621, '82.206.130.0', '82.206.130.255', 1389265408, 1389265663, 'US', 'United States'),
(48622, '82.206.131.0', '82.206.134.31', 1389265664, 1389266463, 'A2', 'Satellite Provider'),
(48623, '82.206.134.32', '82.206.134.39', 1389266464, 1389266471, 'CD', 'Congo, The Democratic Republic of the'),
(48624, '82.206.134.40', '82.206.134.111', 1389266472, 1389266543, 'A2', 'Satellite Provider'),
(48625, '82.206.134.112', '82.206.134.119', 1389266544, 1389266551, 'CD', 'Congo, The Democratic Republic of the'),
(48626, '82.206.134.120', '82.206.134.127', 1389266552, 1389266559, 'A2', 'Satellite Provider'),
(48627, '82.206.134.128', '82.206.134.137', 1389266560, 1389266569, 'CD', 'Congo, The Democratic Republic of the'),
(48628, '82.206.134.138', '82.206.134.143', 1389266570, 1389266575, 'A2', 'Satellite Provider'),
(48629, '82.206.134.144', '82.206.134.159', 1389266576, 1389266591, 'NG', 'Nigeria'),
(48630, '82.206.134.160', '82.206.134.167', 1389266592, 1389266599, 'A2', 'Satellite Provider'),
(48631, '82.206.134.168', '82.206.134.175', 1389266600, 1389266607, 'NG', 'Nigeria'),
(48632, '82.206.134.176', '82.206.134.231', 1389266608, 1389266663, 'A2', 'Satellite Provider'),
(48633, '82.206.134.232', '82.206.134.255', 1389266664, 1389266687, 'CD', 'Congo, The Democratic Republic of the'),
(48634, '82.206.135.0', '82.206.135.7', 1389266688, 1389266695, 'ZA', 'South Africa'),
(48635, '82.206.135.8', '82.206.136.13', 1389266696, 1389266957, 'A2', 'Satellite Provider'),
(48636, '82.206.136.14', '82.206.136.14', 1389266958, 1389266958, 'NG', 'Nigeria'),
(48637, '82.206.136.15', '82.206.136.255', 1389266959, 1389267199, 'A2', 'Satellite Provider'),
(48638, '82.206.137.0', '82.206.137.255', 1389267200, 1389267455, 'CD', 'Congo, The Democratic Republic of the'),
(48639, '82.206.138.0', '82.206.139.255', 1389267456, 1389267967, 'A2', 'Satellite Provider'),
(48640, '82.206.140.0', '82.206.140.255', 1389267968, 1389268223, 'BI', 'Burundi'),
(48641, '82.206.141.0', '82.206.141.127', 1389268224, 1389268351, 'US', 'United States'),
(48642, '82.206.141.128', '82.206.141.255', 1389268352, 1389268479, 'A2', 'Satellite Provider'),
(48643, '82.206.142.0', '82.206.142.127', 1389268480, 1389268607, 'US', 'United States'),
(48644, '82.206.142.128', '82.206.142.255', 1389268608, 1389268735, 'GB', 'United Kingdom'),
(48645, '82.206.143.0', '82.206.143.127', 1389268736, 1389268863, 'A2', 'Satellite Provider'),
(48646, '82.206.143.128', '82.206.143.135', 1389268864, 1389268871, 'KE', 'Kenya'),
(48647, '82.206.143.136', '82.206.144.31', 1389268872, 1389269023, 'A2', 'Satellite Provider'),
(48648, '82.206.144.32', '82.206.144.39', 1389269024, 1389269031, 'CD', 'Congo, The Democratic Republic of the'),
(48649, '82.206.144.40', '82.206.144.63', 1389269032, 1389269055, 'A2', 'Satellite Provider'),
(48650, '82.206.144.64', '82.206.144.71', 1389269056, 1389269063, 'CD', 'Congo, The Democratic Republic of the'),
(48651, '82.206.144.72', '82.206.144.159', 1389269064, 1389269151, 'A2', 'Satellite Provider'),
(48652, '82.206.144.160', '82.206.144.167', 1389269152, 1389269159, 'NG', 'Nigeria'),
(48653, '82.206.144.168', '82.206.144.191', 1389269160, 1389269183, 'A2', 'Satellite Provider'),
(48654, '82.206.144.192', '82.206.144.223', 1389269184, 1389269215, 'NG', 'Nigeria'),
(48655, '82.206.144.224', '82.206.144.255', 1389269216, 1389269247, 'A2', 'Satellite Provider'),
(48656, '82.206.145.0', '82.206.145.127', 1389269248, 1389269375, 'NG', 'Nigeria'),
(48657, '82.206.145.128', '82.206.146.255', 1389269376, 1389269759, 'A2', 'Satellite Provider'),
(48658, '82.206.147.0', '82.206.147.127', 1389269760, 1389269887, 'CD', 'Congo, The Democratic Republic of the'),
(48659, '82.206.147.128', '82.206.147.255', 1389269888, 1389270015, 'A2', 'Satellite Provider'),
(48660, '82.206.148.0', '82.206.148.63', 1389270016, 1389270079, 'CD', 'Congo, The Democratic Republic of the'),
(48661, '82.206.148.64', '82.206.148.79', 1389270080, 1389270095, 'A2', 'Satellite Provider'),
(48662, '82.206.148.80', '82.206.148.95', 1389270096, 1389270111, 'CD', 'Congo, The Democratic Republic of the'),
(48663, '82.206.148.96', '82.206.151.31', 1389270112, 1389270815, 'A2', 'Satellite Provider'),
(48664, '82.206.151.32', '82.206.151.39', 1389270816, 1389270823, 'US', 'United States'),
(48665, '82.206.151.40', '82.206.151.255', 1389270824, 1389271039, 'A2', 'Satellite Provider'),
(48666, '82.206.152.0', '82.206.152.255', 1389271040, 1389271295, 'CA', 'Canada'),
(48667, '82.206.153.0', '82.206.155.255', 1389271296, 1389272063, 'A2', 'Satellite Provider'),
(48668, '82.206.156.0', '82.206.156.127', 1389272064, 1389272191, 'NO', 'Norway'),
(48669, '82.206.156.128', '82.206.156.159', 1389272192, 1389272223, 'GB', 'United Kingdom'),
(48670, '82.206.156.160', '82.206.156.255', 1389272224, 1389272319, 'A2', 'Satellite Provider'),
(48671, '82.206.157.0', '82.206.157.255', 1389272320, 1389272575, 'AE', 'United Arab Emirates'),
(48672, '82.206.158.0', '82.206.158.255', 1389272576, 1389272831, 'US', 'United States'),
(48673, '82.206.159.0', '82.206.159.127', 1389272832, 1389272959, 'ZA', 'South Africa'),
(48674, '82.206.159.128', '82.206.159.255', 1389272960, 1389273087, 'FR', 'France'),
(48675, '82.206.160.0', '82.206.160.255', 1389273088, 1389273343, 'LB', 'Lebanon'),
(48676, '82.206.161.0', '82.206.161.255', 1389273344, 1389273599, 'AE', 'United Arab Emirates'),
(48677, '82.206.162.0', '82.206.162.255', 1389273600, 1389273855, 'MG', 'Madagascar'),
(48678, '82.206.163.0', '82.206.163.255', 1389273856, 1389274111, 'NG', 'Nigeria'),
(48679, '82.206.164.0', '82.206.164.255', 1389274112, 1389274367, 'A2', 'Satellite Provider'),
(48680, '82.206.165.0', '82.206.165.31', 1389274368, 1389274399, 'US', 'United States'),
(48681, '82.206.165.32', '82.206.165.63', 1389274400, 1389274431, 'GH', 'Ghana'),
(48682, '82.206.165.64', '82.206.165.126', 1389274432, 1389274494, 'US', 'United States'),
(48683, '82.206.165.127', '82.206.165.127', 1389274495, 1389274495, 'A2', 'Satellite Provider'),
(48684, '82.206.165.128', '82.206.166.127', 1389274496, 1389274751, 'ZA', 'South Africa'),
(48685, '82.206.166.128', '82.206.166.191', 1389274752, 1389274815, 'CD', 'Congo, The Democratic Republic of the'),
(48686, '82.206.166.192', '82.206.166.215', 1389274816, 1389274839, 'LR', 'Liberia'),
(48687, '82.206.166.216', '82.206.166.223', 1389274840, 1389274847, 'A2', 'Satellite Provider'),
(48688, '82.206.166.224', '82.206.166.255', 1389274848, 1389274879, 'LR', 'Liberia'),
(48689, '82.206.167.0', '82.206.167.255', 1389274880, 1389275135, 'AE', 'United Arab Emirates'),
(48690, '82.206.168.0', '82.206.168.255', 1389275136, 1389275391, 'GB', 'United Kingdom'),
(48691, '82.206.169.0', '82.206.169.79', 1389275392, 1389275471, 'BD', 'Bangladesh'),
(48692, '82.206.169.80', '82.206.169.111', 1389275472, 1389275503, 'A2', 'Satellite Provider'),
(48693, '82.206.169.112', '82.206.169.119', 1389275504, 1389275511, 'DE', 'Germany'),
(48694, '82.206.169.120', '82.206.169.255', 1389275512, 1389275647, 'A2', 'Satellite Provider'),
(48695, '82.206.170.0', '82.206.170.255', 1389275648, 1389275903, 'ZA', 'South Africa'),
(48696, '82.206.171.0', '82.206.172.255', 1389275904, 1389276415, 'US', 'United States'),
(48697, '82.206.173.0', '82.206.173.255', 1389276416, 1389276671, 'MX', 'Mexico'),
(48698, '82.206.174.0', '82.206.175.127', 1389276672, 1389277055, 'A2', 'Satellite Provider'),
(48699, '82.206.175.128', '82.206.175.255', 1389277056, 1389277183, 'MX', 'Mexico'),
(48700, '82.206.176.0', '82.206.176.255', 1389277184, 1389277439, 'A2', 'Satellite Provider'),
(48701, '82.206.177.0', '82.206.177.255', 1389277440, 1389277695, 'IQ', 'Iraq'),
(48702, '82.206.178.0', '82.206.178.255', 1389277696, 1389277951, 'AE', 'United Arab Emirates'),
(48703, '82.206.179.0', '82.206.179.255', 1389277952, 1389278207, 'A2', 'Satellite Provider'),
(48704, '82.206.180.0', '82.206.180.255', 1389278208, 1389278463, 'SN', 'Senegal'),
(48705, '82.206.181.0', '82.206.181.255', 1389278464, 1389278719, 'MX', 'Mexico'),
(48706, '82.206.182.0', '82.206.182.255', 1389278720, 1389278975, 'DE', 'Germany'),
(48707, '82.206.183.0', '82.206.183.255', 1389278976, 1389279231, 'MX', 'Mexico'),
(48708, '82.206.184.0', '82.206.184.255', 1389279232, 1389279487, 'US', 'United States'),
(48709, '82.206.185.0', '82.206.185.255', 1389279488, 1389279743, 'TZ', 'Tanzania, United Republic of'),
(48710, '82.206.186.0', '82.206.186.255', 1389279744, 1389279999, 'LR', 'Liberia'),
(48711, '82.206.187.0', '82.206.187.255', 1389280000, 1389280255, 'CI', 'Cote D''Ivoire'),
(48712, '82.206.188.0', '82.206.188.255', 1389280256, 1389280511, 'A2', 'Satellite Provider'),
(48713, '82.206.189.0', '82.206.189.255', 1389280512, 1389280767, 'FR', 'France'),
(48714, '82.206.190.0', '82.206.190.255', 1389280768, 1389281023, 'VG', 'Virgin Islands, British'),
(48715, '82.206.191.0', '82.206.191.255', 1389281024, 1389281279, 'A2', 'Satellite Provider'),
(48716, '82.206.192.0', '82.206.194.255', 1389281280, 1389282047, 'ZA', 'South Africa'),
(48717, '82.206.195.0', '82.206.197.255', 1389282048, 1389282815, 'A2', 'Satellite Provider'),
(48718, '82.206.198.0', '82.206.198.127', 1389282816, 1389282943, 'LR', 'Liberia'),
(48719, '82.206.198.128', '82.206.198.255', 1389282944, 1389283071, 'SN', 'Senegal'),
(48720, '82.206.199.0', '82.206.199.255', 1389283072, 1389283327, 'A2', 'Satellite Provider'),
(48721, '82.206.200.0', '82.206.200.255', 1389283328, 1389283583, 'LR', 'Liberia'),
(48722, '82.206.201.0', '82.206.201.127', 1389283584, 1389283711, 'A2', 'Satellite Provider'),
(48723, '82.206.201.128', '82.206.201.255', 1389283712, 1389283839, 'ZA', 'South Africa'),
(48724, '82.206.202.0', '82.206.215.255', 1389283840, 1389287423, 'A2', 'Satellite Provider'),
(48725, '82.206.216.0', '82.206.216.127', 1389287424, 1389287551, 'US', 'United States'),
(48726, '82.206.216.128', '82.206.216.255', 1389287552, 1389287679, 'A2', 'Satellite Provider'),
(48727, '82.206.217.0', '82.206.217.255', 1389287680, 1389287935, 'DK', 'Denmark'),
(48728, '82.206.218.0', '82.206.219.255', 1389287936, 1389288447, 'US', 'United States'),
(48729, '82.206.220.0', '82.206.223.255', 1389288448, 1389289471, 'GN', 'Guinea'),
(48730, '82.206.224.0', '82.206.227.255', 1389289472, 1389290495, 'NO', 'Norway'),
(48731, '82.206.228.0', '82.206.228.255', 1389290496, 1389290751, 'US', 'United States'),
(48732, '82.206.229.0', '82.206.229.255', 1389290752, 1389291007, 'FR', 'France'),
(48733, '82.206.230.0', '82.206.231.255', 1389291008, 1389291519, 'A2', 'Satellite Provider'),
(48734, '82.206.232.0', '82.206.233.255', 1389291520, 1389292031, 'US', 'United States'),
(48735, '82.206.234.0', '82.206.236.255', 1389292032, 1389292799, 'GH', 'Ghana'),
(48736, '82.206.237.0', '82.206.237.255', 1389292800, 1389293055, 'MG', 'Madagascar'),
(48737, '82.206.238.0', '82.206.238.255', 1389293056, 1389293311, 'US', 'United States'),
(48738, '82.206.239.0', '82.206.242.255', 1389293312, 1389294335, 'A2', 'Satellite Provider'),
(48739, '82.206.243.0', '82.206.243.255', 1389294336, 1389294591, 'US', 'United States'),
(48740, '82.206.244.0', '82.206.244.127', 1389294592, 1389294719, 'A2', 'Satellite Provider'),
(48741, '82.206.244.128', '82.206.244.255', 1389294720, 1389294847, 'IQ', 'Iraq'),
(48742, '82.206.245.0', '82.206.247.255', 1389294848, 1389295615, 'US', 'United States'),
(48743, '82.206.248.0', '82.206.248.255', 1389295616, 1389295871, 'ZA', 'South Africa'),
(48744, '82.206.249.0', '82.206.249.191', 1389295872, 1389296063, 'US', 'United States'),
(48745, '82.206.249.192', '82.206.250.255', 1389296064, 1389296383, 'A2', 'Satellite Provider'),
(48746, '82.206.251.0', '82.206.251.63', 1389296384, 1389296447, 'AD', 'Andorra'),
(48747, '82.206.251.64', '82.206.251.255', 1389296448, 1389296639, 'A2', 'Satellite Provider'),
(48748, '82.206.252.0', '82.206.253.255', 1389296640, 1389297151, 'TZ', 'Tanzania, United Republic of'),
(48749, '82.206.254.0', '82.206.255.255', 1389297152, 1389297663, 'A2', 'Satellite Provider'),
(48750, '82.207.0.0', '82.207.127.255', 1389297664, 1389330431, 'UA', 'Ukraine'),
(48751, '82.207.128.0', '82.207.255.255', 1389330432, 1389363199, 'DE', 'Germany'),
(48752, '82.208.0.0', '82.208.10.20', 1389363200, 1389365780, 'CZ', 'Czech Republic'),
(48753, '82.208.10.21', '82.208.10.21', 1389365781, 1389365781, 'SA', 'Saudi Arabia'),
(48754, '82.208.10.22', '82.208.63.255', 1389365782, 1389379583, 'CZ', 'Czech Republic'),
(48755, '82.208.64.0', '82.208.127.255', 1389379584, 1389395967, 'RU', 'Russian Federation'),
(48756, '82.208.128.0', '82.208.191.255', 1389395968, 1389412351, 'RO', 'Romania'),
(48757, '82.208.192.0', '82.208.255.255', 1389412352, 1389428735, 'RS', 'Serbia'),
(48758, '82.209.0.0', '82.209.63.255', 1389428736, 1389445119, 'CZ', 'Czech Republic'),
(48759, '82.209.64.0', '82.209.127.255', 1389445120, 1389461503, 'RU', 'Russian Federation'),
(48760, '82.209.128.0', '82.209.191.255', 1389461504, 1389477887, 'SE', 'Sweden'),
(48761, '82.209.192.0', '82.209.255.255', 1389477888, 1389494271, 'BY', 'Belarus'),
(48762, '82.210.0.0', '82.210.5.63', 1389494272, 1389495615, 'DE', 'Germany'),
(48763, '82.210.5.64', '82.210.5.93', 1389495616, 1389495645, 'CH', 'Switzerland'),
(48764, '82.210.5.94', '82.210.31.31', 1389495646, 1389502239, 'DE', 'Germany'),
(48765, '82.210.31.32', '82.210.31.63', 1389502240, 1389502271, 'CH', 'Switzerland'),
(48766, '82.210.31.64', '82.210.39.255', 1389502272, 1389504511, 'DE', 'Germany'),
(48767, '82.210.40.0', '82.210.41.4', 1389504512, 1389504772, 'FR', 'France'),
(48768, '82.210.41.5', '82.210.41.12', 1389504773, 1389504780, 'CH', 'Switzerland'),
(48769, '82.210.41.13', '82.210.41.255', 1389504781, 1389505023, 'FR', 'France'),
(48770, '82.210.42.0', '82.210.63.255', 1389505024, 1389510655, 'DE', 'Germany'),
(48771, '82.210.64.0', '82.210.127.255', 1389510656, 1389527039, 'NL', 'Netherlands'),
(48772, '82.210.128.0', '82.210.191.255', 1389527040, 1389543423, 'PL', 'Poland'),
(48773, '82.210.192.0', '82.210.197.223', 1389543424, 1389544927, 'DE', 'Germany'),
(48774, '82.210.197.224', '82.210.197.239', 1389544928, 1389544943, 'SG', 'Singapore'),
(48775, '82.210.197.240', '82.210.213.191', 1389544944, 1389548991, 'DE', 'Germany'),
(48776, '82.210.213.192', '82.210.213.255', 1389548992, 1389549055, 'BE', 'Belgium'),
(48777, '82.210.214.0', '82.210.227.255', 1389549056, 1389552639, 'DE', 'Germany'),
(48778, '82.210.228.0', '82.210.228.255', 1389552640, 1389552895, 'US', 'United States'),
(48779, '82.210.229.0', '82.210.233.103', 1389552896, 1389554023, 'DE', 'Germany'),
(48780, '82.210.233.104', '82.210.233.119', 1389554024, 1389554039, 'FR', 'France'),
(48781, '82.210.233.120', '82.210.233.127', 1389554040, 1389554047, 'TR', 'Turkey'),
(48782, '82.210.233.128', '82.210.233.167', 1389554048, 1389554087, 'DE', 'Germany'),
(48783, '82.210.233.168', '82.210.233.175', 1389554088, 1389554095, 'ES', 'Spain'),
(48784, '82.210.233.176', '82.210.233.183', 1389554096, 1389554103, 'DE', 'Germany'),
(48785, '82.210.233.184', '82.210.233.191', 1389554104, 1389554111, 'FR', 'France'),
(48786, '82.210.233.192', '82.210.233.215', 1389554112, 1389554135, 'IT', 'Italy'),
(48787, '82.210.233.216', '82.210.238.63', 1389554136, 1389555263, 'DE', 'Germany'),
(48788, '82.210.238.64', '82.210.238.127', 1389555264, 1389555327, 'AT', 'Austria'),
(48789, '82.210.238.128', '82.210.244.15', 1389555328, 1389556751, 'DE', 'Germany'),
(48790, '82.210.244.16', '82.210.244.23', 1389556752, 1389556759, 'CH', 'Switzerland'),
(48791, '82.210.244.24', '82.210.245.255', 1389556760, 1389557247, 'DE', 'Germany'),
(48792, '82.210.246.0', '82.210.246.255', 1389557248, 1389557503, 'EU', 'Europe'),
(48793, '82.210.247.0', '82.210.248.255', 1389557504, 1389558015, 'DE', 'Germany'),
(48794, '82.210.249.0', '82.210.249.255', 1389558016, 1389558271, 'EU', 'Europe'),
(48795, '82.210.250.0', '82.210.255.191', 1389558272, 1389559743, 'DE', 'Germany'),
(48796, '82.210.255.192', '82.210.255.255', 1389559744, 1389559807, 'CH', 'Switzerland'),
(48797, '82.211.0.0', '82.211.0.255', 1389559808, 1389560063, 'DE', 'Germany'),
(48798, '82.211.1.0', '82.211.1.255', 1389560064, 1389560319, 'BR', 'Brazil'),
(48799, '82.211.2.0', '82.211.5.255', 1389560320, 1389561343, 'DE', 'Germany'),
(48800, '82.211.6.0', '82.211.6.255', 1389561344, 1389561599, 'IT', 'Italy'),
(48801, '82.211.7.0', '82.211.9.255', 1389561600, 1389562367, 'DE', 'Germany'),
(48802, '82.211.10.0', '82.211.12.255', 1389562368, 1389563135, 'IT', 'Italy'),
(48803, '82.211.13.0', '82.211.13.255', 1389563136, 1389563391, 'DE', 'Germany'),
(48804, '82.211.14.0', '82.211.14.255', 1389563392, 1389563647, 'IT', 'Italy'),
(48805, '82.211.15.0', '82.211.15.255', 1389563648, 1389563903, 'US', 'United States'),
(48806, '82.211.16.0', '82.211.16.255', 1389563904, 1389564159, 'IT', 'Italy'),
(48807, '82.211.17.0', '82.211.17.255', 1389564160, 1389564415, 'DE', 'Germany'),
(48808, '82.211.18.0', '82.211.18.255', 1389564416, 1389564671, 'US', 'United States'),
(48809, '82.211.19.0', '82.211.20.255', 1389564672, 1389565183, 'DE', 'Germany'),
(48810, '82.211.21.0', '82.211.21.255', 1389565184, 1389565439, 'US', 'United States'),
(48811, '82.211.22.0', '82.211.22.255', 1389565440, 1389565695, 'IT', 'Italy'),
(48812, '82.211.23.0', '82.211.23.255', 1389565696, 1389565951, 'US', 'United States'),
(48813, '82.211.24.0', '82.211.24.255', 1389565952, 1389566207, 'IT', 'Italy'),
(48814, '82.211.25.0', '82.211.25.255', 1389566208, 1389566463, 'BR', 'Brazil'),
(48815, '82.211.26.0', '82.211.26.255', 1389566464, 1389566719, 'DE', 'Germany'),
(48816, '82.211.27.0', '82.211.27.255', 1389566720, 1389566975, 'US', 'United States'),
(48817, '82.211.28.0', '82.211.34.255', 1389566976, 1389568767, 'DE', 'Germany'),
(48818, '82.211.35.0', '82.211.35.255', 1389568768, 1389569023, 'IT', 'Italy'),
(48819, '82.211.36.0', '82.211.36.255', 1389569024, 1389569279, 'DE', 'Germany'),
(48820, '82.211.37.0', '82.211.39.255', 1389569280, 1389570047, 'US', 'United States'),
(48821, '82.211.40.0', '82.211.40.255', 1389570048, 1389570303, 'IT', 'Italy'),
(48822, '82.211.41.0', '82.211.41.255', 1389570304, 1389570559, 'US', 'United States'),
(48823, '82.211.42.0', '82.211.46.255', 1389570560, 1389571839, 'DE', 'Germany'),
(48824, '82.211.47.0', '82.211.47.255', 1389571840, 1389572095, 'US', 'United States'),
(48825, '82.211.48.0', '82.211.49.255', 1389572096, 1389572607, 'DE', 'Germany'),
(48826, '82.211.50.0', '82.211.50.255', 1389572608, 1389572863, 'US', 'United States'),
(48827, '82.211.51.0', '82.211.52.255', 1389572864, 1389573375, 'DE', 'Germany'),
(48828, '82.211.53.0', '82.211.53.255', 1389573376, 1389573631, 'US', 'United States'),
(48829, '82.211.54.0', '82.211.54.255', 1389573632, 1389573887, 'DE', 'Germany'),
(48830, '82.211.55.0', '82.211.55.255', 1389573888, 1389574143, 'NL', 'Netherlands'),
(48831, '82.211.56.0', '82.211.56.255', 1389574144, 1389574399, 'DE', 'Germany'),
(48832, '82.211.57.0', '82.211.57.255', 1389574400, 1389574655, 'US', 'United States'),
(48833, '82.211.58.0', '82.211.59.255', 1389574656, 1389575167, 'DE', 'Germany'),
(48834, '82.211.60.0', '82.211.63.255', 1389575168, 1389576191, 'US', 'United States'),
(48835, '82.211.64.0', '82.211.127.255', 1389576192, 1389592575, 'GB', 'United Kingdom'),
(48836, '82.211.128.0', '82.211.151.255', 1389592576, 1389598719, 'GE', 'Georgia'),
(48837, '82.211.152.0', '82.211.152.255', 1389598720, 1389598975, 'RU', 'Russian Federation'),
(48838, '82.211.153.0', '82.211.175.255', 1389598976, 1389604863, 'GE', 'Georgia'),
(48839, '82.211.176.0', '82.211.176.255', 1389604864, 1389605119, 'RU', 'Russian Federation'),
(48840, '82.211.177.0', '82.211.187.255', 1389605120, 1389607935, 'GE', 'Georgia'),
(48841, '82.211.188.0', '82.211.189.255', 1389607936, 1389608447, 'US', 'United States'),
(48842, '82.211.190.0', '82.211.191.255', 1389608448, 1389608959, 'GE', 'Georgia'),
(48843, '82.211.192.0', '82.211.255.255', 1389608960, 1389625343, 'DK', 'Denmark'),
(48844, '82.212.0.0', '82.212.63.255', 1389625344, 1389641727, 'DE', 'Germany'),
(48845, '82.212.64.0', '82.212.127.255', 1389641728, 1389658111, 'JO', 'Jordan'),
(48846, '82.212.128.0', '82.212.191.255', 1389658112, 1389674495, 'BE', 'Belgium'),
(48847, '82.212.192.0', '82.212.255.255', 1389674496, 1389690879, 'DE', 'Germany'),
(48848, '82.213.0.0', '82.213.63.255', 1389690880, 1389707263, 'PS', 'Palestinian Territory, Occupied'),
(48849, '82.213.64.0', '82.213.127.255', 1389707264, 1389723647, 'IT', 'Italy'),
(48850, '82.213.128.0', '82.213.255.255', 1389723648, 1389756415, 'ES', 'Spain'),
(48851, '82.214.0.0', '82.214.63.255', 1389756416, 1389772799, 'SE', 'Sweden'),
(48852, '82.214.64.0', '82.214.85.255', 1389772800, 1389778431, 'SI', 'Slovenia'),
(48853, '82.214.86.0', '82.214.87.255', 1389778432, 1389778943, 'CA', 'Canada'),
(48854, '82.214.88.0', '82.214.94.255', 1389778944, 1389780735, 'RS', 'Serbia'),
(48855, '82.214.95.0', '82.214.95.255', 1389780736, 1389780991, 'SI', 'Slovenia'),
(48856, '82.214.96.0', '82.214.101.255', 1389780992, 1389782527, 'HR', 'Croatia'),
(48857, '82.214.102.0', '82.214.102.15', 1389782528, 1389782543, 'SI', 'Slovenia'),
(48858, '82.214.102.16', '82.214.102.31', 1389782544, 1389782559, 'HR', 'Croatia'),
(48859, '82.214.102.32', '82.214.103.255', 1389782560, 1389783039, 'SI', 'Slovenia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(48860, '82.214.104.0', '82.214.111.255', 1389783040, 1389785087, 'BA', 'Bosnia and Herzegovina'),
(48861, '82.214.112.0', '82.214.119.255', 1389785088, 1389787135, 'MK', 'Macedonia'),
(48862, '82.214.120.0', '82.214.125.255', 1389787136, 1389788671, 'SI', 'Slovenia'),
(48863, '82.214.126.0', '82.214.127.255', 1389788672, 1389789183, 'RS', 'Serbia'),
(48864, '82.214.128.0', '82.214.191.255', 1389789184, 1389805567, 'PL', 'Poland'),
(48865, '82.214.192.0', '82.214.195.255', 1389805568, 1389806591, 'US', 'United States'),
(48866, '82.214.196.0', '82.214.196.255', 1389806592, 1389806847, 'SA', 'Saudi Arabia'),
(48867, '82.214.197.0', '82.214.203.255', 1389806848, 1389808639, 'US', 'United States'),
(48868, '82.214.204.0', '82.214.204.255', 1389808640, 1389808895, 'EU', 'Europe'),
(48869, '82.214.205.0', '82.214.225.255', 1389808896, 1389814271, 'US', 'United States'),
(48870, '82.214.226.0', '82.214.226.255', 1389814272, 1389814527, 'DE', 'Germany'),
(48871, '82.214.227.0', '82.214.227.255', 1389814528, 1389814783, 'US', 'United States'),
(48872, '82.214.228.0', '82.214.228.255', 1389814784, 1389815039, 'EU', 'Europe'),
(48873, '82.214.229.0', '82.214.229.255', 1389815040, 1389815295, 'US', 'United States'),
(48874, '82.214.230.0', '82.214.230.255', 1389815296, 1389815551, 'DE', 'Germany'),
(48875, '82.214.231.0', '82.214.231.255', 1389815552, 1389815807, 'US', 'United States'),
(48876, '82.214.232.0', '82.214.255.255', 1389815808, 1389821951, 'DE', 'Germany'),
(48877, '82.215.0.0', '82.215.63.255', 1389821952, 1389838335, 'NL', 'Netherlands'),
(48878, '82.215.64.0', '82.215.127.255', 1389838336, 1389854719, 'UZ', 'Uzbekistan'),
(48879, '82.215.128.0', '82.215.191.255', 1389854720, 1389871103, 'IT', 'Italy'),
(48880, '82.215.192.0', '82.215.255.255', 1389871104, 1389887487, 'FI', 'Finland'),
(48881, '82.216.0.0', '82.216.255.255', 1389887488, 1389953023, 'FR', 'France'),
(48882, '82.217.0.0', '82.217.255.255', 1389953024, 1390018559, 'NL', 'Netherlands'),
(48883, '82.218.0.0', '82.218.255.255', 1390018560, 1390084095, 'AT', 'Austria'),
(48884, '82.219.0.0', '82.219.255.255', 1390084096, 1390149631, 'GB', 'United Kingdom'),
(48885, '82.220.0.0', '82.220.255.255', 1390149632, 1390215167, 'CH', 'Switzerland'),
(48886, '82.221.0.0', '82.221.255.255', 1390215168, 1390280703, 'IS', 'Iceland'),
(48887, '82.222.0.0', '82.222.255.255', 1390280704, 1390346239, 'TR', 'Turkey'),
(48888, '82.223.0.0', '82.223.187.255', 1390346240, 1390394367, 'ES', 'Spain'),
(48889, '82.223.188.0', '82.223.189.255', 1390394368, 1390394879, 'PT', 'Portugal'),
(48890, '82.223.190.0', '82.223.191.255', 1390394880, 1390395391, 'ES', 'Spain'),
(48891, '82.223.192.0', '82.223.195.255', 1390395392, 1390396415, 'FR', 'France'),
(48892, '82.223.196.0', '82.223.198.255', 1390396416, 1390397183, 'PT', 'Portugal'),
(48893, '82.223.199.0', '82.223.255.255', 1390397184, 1390411775, 'ES', 'Spain'),
(48894, '82.224.0.0', '82.255.255.255', 1390411776, 1392508927, 'FR', 'France'),
(48895, '83.0.0.0', '83.31.255.255', 1392508928, 1394606079, 'PL', 'Poland'),
(48896, '83.32.0.0', '83.63.255.255', 1394606080, 1396703231, 'ES', 'Spain'),
(48897, '83.64.0.0', '83.65.30.28', 1396703232, 1396776476, 'AT', 'Austria'),
(48898, '83.65.30.29', '83.65.30.29', 1396776477, 1396776477, 'A1', 'Anonymous Proxy'),
(48899, '83.65.30.30', '83.65.255.255', 1396776478, 1396834303, 'AT', 'Austria'),
(48900, '83.66.0.0', '83.66.255.255', 1396834304, 1396899839, 'TR', 'Turkey'),
(48901, '83.67.0.0', '83.67.255.255', 1396899840, 1396965375, 'GB', 'United Kingdom'),
(48902, '83.68.0.0', '83.68.31.255', 1396965376, 1396973567, 'NL', 'Netherlands'),
(48903, '83.68.32.0', '83.68.63.255', 1396973568, 1396981759, 'RU', 'Russian Federation'),
(48904, '83.68.64.0', '83.68.95.255', 1396981760, 1396989951, 'PL', 'Poland'),
(48905, '83.68.96.0', '83.68.127.255', 1396989952, 1396998143, 'FR', 'France'),
(48906, '83.68.128.0', '83.68.159.255', 1396998144, 1397006335, 'AT', 'Austria'),
(48907, '83.68.160.0', '83.68.191.255', 1397006336, 1397014527, 'KW', 'Kuwait'),
(48908, '83.68.192.0', '83.68.223.255', 1397014528, 1397022719, 'CH', 'Switzerland'),
(48909, '83.68.224.0', '83.68.255.255', 1397022720, 1397030911, 'SE', 'Sweden'),
(48910, '83.69.0.0', '83.69.31.255', 1397030912, 1397039103, 'RU', 'Russian Federation'),
(48911, '83.69.32.0', '83.69.63.255', 1397039104, 1397047295, 'CZ', 'Czech Republic'),
(48912, '83.69.64.0', '83.69.127.255', 1397047296, 1397063679, 'RU', 'Russian Federation'),
(48913, '83.69.128.0', '83.69.159.255', 1397063680, 1397071871, 'UZ', 'Uzbekistan'),
(48914, '83.69.160.0', '83.69.255.255', 1397071872, 1397096447, 'RU', 'Russian Federation'),
(48915, '83.70.0.0', '83.71.255.255', 1397096448, 1397227519, 'IE', 'Ireland'),
(48916, '83.72.0.0', '83.75.255.255', 1397227520, 1397489663, 'DK', 'Denmark'),
(48917, '83.76.0.0', '83.79.255.255', 1397489664, 1397751807, 'CH', 'Switzerland'),
(48918, '83.80.0.0', '83.87.255.255', 1397751808, 1398276095, 'NL', 'Netherlands'),
(48919, '83.88.0.0', '83.95.255.255', 1398276096, 1398800383, 'DK', 'Denmark'),
(48920, '83.96.0.0', '83.96.127.255', 1398800384, 1398833151, 'KW', 'Kuwait'),
(48921, '83.96.128.0', '83.96.156.127', 1398833152, 1398840447, 'NL', 'Netherlands'),
(48922, '83.96.156.128', '83.96.156.255', 1398840448, 1398840575, 'GB', 'United Kingdom'),
(48923, '83.96.157.0', '83.96.255.255', 1398840576, 1398865919, 'NL', 'Netherlands'),
(48924, '83.97.0.0', '83.97.7.255', 1398865920, 1398867967, 'RU', 'Russian Federation'),
(48925, '83.97.8.0', '83.97.15.255', 1398867968, 1398870015, 'NL', 'Netherlands'),
(48926, '83.97.16.0', '83.97.23.255', 1398870016, 1398872063, 'PL', 'Poland'),
(48927, '83.97.24.0', '83.97.31.255', 1398872064, 1398874111, 'BG', 'Bulgaria'),
(48928, '83.97.32.0', '83.97.39.255', 1398874112, 1398876159, 'GB', 'United Kingdom'),
(48929, '83.97.40.0', '83.97.55.255', 1398876160, 1398880255, 'DE', 'Germany'),
(48930, '83.97.56.0', '83.97.63.255', 1398880256, 1398882303, 'FR', 'France'),
(48931, '83.97.64.0', '83.97.71.255', 1398882304, 1398884351, 'BG', 'Bulgaria'),
(48932, '83.97.72.0', '83.97.79.255', 1398884352, 1398886399, 'DE', 'Germany'),
(48933, '83.97.80.0', '83.97.87.255', 1398886400, 1398888447, 'CH', 'Switzerland'),
(48934, '83.97.88.0', '83.97.95.255', 1398888448, 1398890495, 'GB', 'United Kingdom'),
(48935, '83.97.96.0', '83.97.103.255', 1398890496, 1398892543, 'DK', 'Denmark'),
(48936, '83.97.104.0', '83.97.111.255', 1398892544, 1398894591, 'RU', 'Russian Federation'),
(48937, '83.97.112.0', '83.97.119.255', 1398894592, 1398896639, 'DE', 'Germany'),
(48938, '83.97.120.0', '83.97.127.255', 1398896640, 1398898687, 'CH', 'Switzerland'),
(48939, '83.97.128.0', '83.97.255.255', 1398898688, 1398931455, 'ES', 'Spain'),
(48940, '83.98.0.0', '83.98.127.255', 1398931456, 1398964223, 'GB', 'United Kingdom'),
(48941, '83.98.128.0', '83.98.129.63', 1398964224, 1398964543, 'NL', 'Netherlands'),
(48942, '83.98.129.64', '83.98.129.79', 1398964544, 1398964559, 'US', 'United States'),
(48943, '83.98.129.80', '83.98.132.255', 1398964560, 1398965503, 'NL', 'Netherlands'),
(48944, '83.98.133.0', '83.98.133.255', 1398965504, 1398965759, 'US', 'United States'),
(48945, '83.98.134.0', '83.98.134.255', 1398965760, 1398966015, 'DE', 'Germany'),
(48946, '83.98.135.0', '83.98.138.55', 1398966016, 1398966839, 'NL', 'Netherlands'),
(48947, '83.98.138.56', '83.98.138.63', 1398966840, 1398966847, 'PL', 'Poland'),
(48948, '83.98.138.64', '83.98.142.63', 1398966848, 1398967871, 'NL', 'Netherlands'),
(48949, '83.98.142.64', '83.98.142.95', 1398967872, 1398967903, 'IE', 'Ireland'),
(48950, '83.98.142.96', '83.98.164.255', 1398967904, 1398973695, 'NL', 'Netherlands'),
(48951, '83.98.165.0', '83.98.165.255', 1398973696, 1398973951, 'AT', 'Austria'),
(48952, '83.98.166.0', '83.98.166.255', 1398973952, 1398974207, 'US', 'United States'),
(48953, '83.98.167.0', '83.98.186.255', 1398974208, 1398979327, 'NL', 'Netherlands'),
(48954, '83.98.187.0', '83.98.187.255', 1398979328, 1398979583, 'US', 'United States'),
(48955, '83.98.188.0', '83.98.188.255', 1398979584, 1398979839, 'GB', 'United Kingdom'),
(48956, '83.98.189.0', '83.98.193.9', 1398979840, 1398980873, 'NL', 'Netherlands'),
(48957, '83.98.193.10', '83.98.193.17', 1398980874, 1398980881, 'US', 'United States'),
(48958, '83.98.193.18', '83.98.193.92', 1398980882, 1398980956, 'NL', 'Netherlands'),
(48959, '83.98.193.93', '83.98.193.111', 1398980957, 1398980975, 'US', 'United States'),
(48960, '83.98.193.112', '83.98.197.255', 1398980976, 1398982143, 'NL', 'Netherlands'),
(48961, '83.98.198.0', '83.98.198.255', 1398982144, 1398982399, 'US', 'United States'),
(48962, '83.98.199.0', '83.98.202.255', 1398982400, 1398983423, 'NL', 'Netherlands'),
(48963, '83.98.203.0', '83.98.203.63', 1398983424, 1398983487, 'GB', 'United Kingdom'),
(48964, '83.98.203.64', '83.98.203.95', 1398983488, 1398983519, 'JE', 'Jersey'),
(48965, '83.98.203.96', '83.98.203.127', 1398983520, 1398983551, 'GB', 'United Kingdom'),
(48966, '83.98.203.128', '83.98.203.255', 1398983552, 1398983679, 'NL', 'Netherlands'),
(48967, '83.98.204.0', '83.98.205.255', 1398983680, 1398984191, 'US', 'United States'),
(48968, '83.98.206.0', '83.98.255.255', 1398984192, 1398996991, 'NL', 'Netherlands'),
(48969, '83.99.0.0', '83.99.127.255', 1398996992, 1399029759, 'LU', 'Luxembourg'),
(48970, '83.99.128.0', '83.99.255.255', 1399029760, 1399062527, 'LV', 'Latvia'),
(48971, '83.100.0.0', '83.100.127.255', 1399062528, 1399095295, 'FI', 'Finland'),
(48972, '83.100.128.0', '83.100.255.255', 1399095296, 1399128063, 'GB', 'United Kingdom'),
(48973, '83.101.0.0', '83.101.127.255', 1399128064, 1399160831, 'BE', 'Belgium'),
(48974, '83.101.128.0', '83.101.255.255', 1399160832, 1399193599, 'SA', 'Saudi Arabia'),
(48975, '83.102.0.0', '83.102.127.255', 1399193600, 1399226367, 'FI', 'Finland'),
(48976, '83.102.128.0', '83.102.255.255', 1399226368, 1399259135, 'RU', 'Russian Federation'),
(48977, '83.103.0.0', '83.103.127.255', 1399259136, 1399291903, 'IT', 'Italy'),
(48978, '83.103.128.0', '83.103.255.255', 1399291904, 1399324671, 'RO', 'Romania'),
(48979, '83.104.0.0', '83.107.255.255', 1399324672, 1399586815, 'GB', 'United Kingdom'),
(48980, '83.108.0.0', '83.109.255.255', 1399586816, 1399717887, 'NO', 'Norway'),
(48981, '83.110.0.0', '83.111.255.255', 1399717888, 1399848959, 'AE', 'United Arab Emirates'),
(48982, '83.112.0.0', '83.115.255.255', 1399848960, 1400111103, 'FR', 'France'),
(48983, '83.116.0.0', '83.119.255.255', 1400111104, 1400373247, 'NL', 'Netherlands'),
(48984, '83.120.0.0', '83.125.16.255', 1400373248, 1400705279, 'DE', 'Germany'),
(48985, '83.125.17.0', '83.125.18.255', 1400705280, 1400705791, 'EU', 'Europe'),
(48986, '83.125.19.0', '83.125.23.255', 1400705792, 1400707071, 'DE', 'Germany'),
(48987, '83.125.24.0', '83.125.27.255', 1400707072, 1400708095, 'EU', 'Europe'),
(48988, '83.125.28.0', '83.125.30.255', 1400708096, 1400708863, 'DE', 'Germany'),
(48989, '83.125.31.0', '83.125.32.0', 1400708864, 1400709120, 'EU', 'Europe'),
(48990, '83.125.32.1', '83.125.35.254', 1400709121, 1400710142, 'DE', 'Germany'),
(48991, '83.125.35.255', '83.125.36.255', 1400710143, 1400710399, 'EU', 'Europe'),
(48992, '83.125.37.0', '83.125.43.255', 1400710400, 1400712191, 'DE', 'Germany'),
(48993, '83.125.44.0', '83.125.44.255', 1400712192, 1400712447, 'EU', 'Europe'),
(48994, '83.125.45.0', '83.125.45.255', 1400712448, 1400712703, 'DE', 'Germany'),
(48995, '83.125.46.0', '83.125.46.255', 1400712704, 1400712959, 'EU', 'Europe'),
(48996, '83.125.47.0', '83.125.67.255', 1400712960, 1400718335, 'DE', 'Germany'),
(48997, '83.125.68.0', '83.125.69.255', 1400718336, 1400718847, 'EU', 'Europe'),
(48998, '83.125.70.0', '83.125.79.255', 1400718848, 1400721407, 'DE', 'Germany'),
(48999, '83.125.80.0', '83.125.81.255', 1400721408, 1400721919, 'EU', 'Europe'),
(49000, '83.125.82.0', '83.125.83.255', 1400721920, 1400722431, 'DE', 'Germany'),
(49001, '83.125.84.0', '83.125.111.255', 1400722432, 1400729599, 'EU', 'Europe'),
(49002, '83.125.112.0', '83.125.116.15', 1400729600, 1400730639, 'DE', 'Germany'),
(49003, '83.125.116.16', '83.125.117.255', 1400730640, 1400731135, 'EU', 'Europe'),
(49004, '83.125.118.0', '83.125.127.255', 1400731136, 1400733695, 'DE', 'Germany'),
(49005, '83.125.128.0', '83.127.255.255', 1400733696, 1400897535, 'EU', 'Europe'),
(49006, '83.128.0.0', '83.128.255.255', 1400897536, 1400963071, 'NL', 'Netherlands'),
(49007, '83.129.0.0', '83.129.255.255', 1400963072, 1401028607, 'DE', 'Germany'),
(49008, '83.130.0.0', '83.130.255.255', 1401028608, 1401094143, 'IL', 'Israel'),
(49009, '83.131.0.0', '83.131.255.255', 1401094144, 1401159679, 'HR', 'Croatia'),
(49010, '83.132.0.0', '83.132.255.255', 1401159680, 1401225215, 'PT', 'Portugal'),
(49011, '83.133.0.0', '83.133.63.255', 1401225216, 1401241599, 'DE', 'Germany'),
(49012, '83.133.64.0', '83.133.67.255', 1401241600, 1401242623, 'DK', 'Denmark'),
(49013, '83.133.68.0', '83.133.73.255', 1401242624, 1401244159, 'DE', 'Germany'),
(49014, '83.133.74.0', '83.133.83.255', 1401244160, 1401246719, 'EU', 'Europe'),
(49015, '83.133.84.0', '83.133.127.255', 1401246720, 1401257983, 'DE', 'Germany'),
(49016, '83.133.128.0', '83.133.151.255', 1401257984, 1401264127, 'EU', 'Europe'),
(49017, '83.133.152.0', '83.133.155.7', 1401264128, 1401264903, 'DE', 'Germany'),
(49018, '83.133.155.8', '83.133.155.255', 1401264904, 1401265151, 'EU', 'Europe'),
(49019, '83.133.156.0', '83.133.158.255', 1401265152, 1401265919, 'DE', 'Germany'),
(49020, '83.133.159.0', '83.133.159.31', 1401265920, 1401265951, 'EU', 'Europe'),
(49021, '83.133.159.32', '83.133.159.63', 1401265952, 1401265983, 'DE', 'Germany'),
(49022, '83.133.159.64', '83.133.159.255', 1401265984, 1401266175, 'EU', 'Europe'),
(49023, '83.133.160.0', '83.133.188.255', 1401266176, 1401273599, 'DE', 'Germany'),
(49024, '83.133.189.0', '83.133.189.127', 1401273600, 1401273727, 'EU', 'Europe'),
(49025, '83.133.189.128', '83.133.191.255', 1401273728, 1401274367, 'DE', 'Germany'),
(49026, '83.133.192.0', '83.133.207.255', 1401274368, 1401278463, 'EU', 'Europe'),
(49027, '83.133.208.0', '83.133.227.255', 1401278464, 1401283583, 'DE', 'Germany'),
(49028, '83.133.228.0', '83.133.239.255', 1401283584, 1401286655, 'EU', 'Europe'),
(49029, '83.133.240.0', '83.133.255.255', 1401286656, 1401290751, 'DE', 'Germany'),
(49030, '83.134.0.0', '83.134.255.255', 1401290752, 1401356287, 'BE', 'Belgium'),
(49031, '83.135.0.0', '83.135.255.255', 1401356288, 1401421823, 'DE', 'Germany'),
(49032, '83.136.0.0', '83.136.5.31', 1401421824, 1401423135, 'GB', 'United Kingdom'),
(49033, '83.136.5.32', '83.136.5.63', 1401423136, 1401423167, 'IN', 'India'),
(49034, '83.136.5.64', '83.136.5.95', 1401423168, 1401423199, 'GB', 'United Kingdom'),
(49035, '83.136.5.96', '83.136.5.127', 1401423200, 1401423231, 'US', 'United States'),
(49036, '83.136.5.128', '83.136.7.255', 1401423232, 1401423871, 'GB', 'United Kingdom'),
(49037, '83.136.8.0', '83.136.8.31', 1401423872, 1401423903, 'AE', 'United Arab Emirates'),
(49038, '83.136.8.32', '83.136.8.95', 1401423904, 1401423967, 'GR', 'Greece'),
(49039, '83.136.8.96', '83.136.8.127', 1401423968, 1401423999, 'SA', 'Saudi Arabia'),
(49040, '83.136.8.128', '83.136.12.255', 1401424000, 1401425151, 'AE', 'United Arab Emirates'),
(49041, '83.136.13.0', '83.136.13.255', 1401425152, 1401425407, 'US', 'United States'),
(49042, '83.136.14.0', '83.136.15.255', 1401425408, 1401425919, 'AE', 'United Arab Emirates'),
(49043, '83.136.16.0', '83.136.23.255', 1401425920, 1401427967, 'NL', 'Netherlands'),
(49044, '83.136.24.0', '83.136.31.255', 1401427968, 1401430015, 'RU', 'Russian Federation'),
(49045, '83.136.32.0', '83.136.39.255', 1401430016, 1401432063, 'AT', 'Austria'),
(49046, '83.136.40.0', '83.136.47.255', 1401432064, 1401434111, 'IE', 'Ireland'),
(49047, '83.136.48.0', '83.136.55.255', 1401434112, 1401436159, 'RU', 'Russian Federation'),
(49048, '83.136.56.0', '83.136.63.255', 1401436160, 1401438207, 'BH', 'Bahrain'),
(49049, '83.136.64.0', '83.136.71.255', 1401438208, 1401440255, 'GB', 'United Kingdom'),
(49050, '83.136.72.0', '83.136.84.159', 1401440256, 1401443487, 'DE', 'Germany'),
(49051, '83.136.84.160', '83.136.84.191', 1401443488, 1401443519, 'GI', 'Gibraltar'),
(49052, '83.136.84.192', '83.136.87.255', 1401443520, 1401444351, 'DE', 'Germany'),
(49053, '83.136.88.0', '83.136.95.255', 1401444352, 1401446399, 'DK', 'Denmark'),
(49054, '83.136.96.0', '83.136.103.255', 1401446400, 1401448447, 'DE', 'Germany'),
(49055, '83.136.104.0', '83.136.111.255', 1401448448, 1401450495, 'IT', 'Italy'),
(49056, '83.136.112.0', '83.136.119.255', 1401450496, 1401452543, 'RU', 'Russian Federation'),
(49057, '83.136.120.0', '83.136.127.255', 1401452544, 1401454591, 'GB', 'United Kingdom'),
(49058, '83.136.128.0', '83.136.135.255', 1401454592, 1401456639, 'DE', 'Germany'),
(49059, '83.136.136.0', '83.136.143.255', 1401456640, 1401458687, 'LV', 'Latvia'),
(49060, '83.136.144.0', '83.136.151.255', 1401458688, 1401460735, 'IT', 'Italy'),
(49061, '83.136.152.0', '83.136.159.255', 1401460736, 1401462783, 'PL', 'Poland'),
(49062, '83.136.160.0', '83.136.167.255', 1401462784, 1401464831, 'FR', 'France'),
(49063, '83.136.168.0', '83.136.175.255', 1401464832, 1401466879, 'IE', 'Ireland'),
(49064, '83.136.176.0', '83.136.183.255', 1401466880, 1401468927, 'RS', 'Serbia'),
(49065, '83.136.184.0', '83.136.191.255', 1401468928, 1401470975, 'ES', 'Spain'),
(49066, '83.136.192.0', '83.136.199.255', 1401470976, 1401473023, 'NL', 'Netherlands'),
(49067, '83.136.200.0', '83.136.207.255', 1401473024, 1401475071, 'CZ', 'Czech Republic'),
(49068, '83.136.208.0', '83.136.215.255', 1401475072, 1401477119, 'FR', 'France'),
(49069, '83.136.216.0', '83.136.223.255', 1401477120, 1401479167, 'BE', 'Belgium'),
(49070, '83.136.224.0', '83.136.231.255', 1401479168, 1401481215, 'PL', 'Poland'),
(49071, '83.136.232.0', '83.136.247.255', 1401481216, 1401485311, 'RU', 'Russian Federation'),
(49072, '83.136.248.0', '83.137.7.255', 1401485312, 1401489407, 'GB', 'United Kingdom'),
(49073, '83.137.8.0', '83.137.15.255', 1401489408, 1401491455, 'SE', 'Sweden'),
(49074, '83.137.16.0', '83.137.23.255', 1401491456, 1401493503, 'NL', 'Netherlands'),
(49075, '83.137.24.0', '83.137.31.255', 1401493504, 1401495551, 'CH', 'Switzerland'),
(49076, '83.137.32.0', '83.137.39.255', 1401495552, 1401497599, 'DE', 'Germany'),
(49077, '83.137.40.0', '83.137.47.255', 1401497600, 1401499647, 'AT', 'Austria'),
(49078, '83.137.48.0', '83.137.55.255', 1401499648, 1401501695, 'RU', 'Russian Federation'),
(49079, '83.137.56.0', '83.137.56.95', 1401501696, 1401501791, 'IT', 'Italy'),
(49080, '83.137.56.96', '83.137.57.255', 1401501792, 1401502207, 'A2', 'Satellite Provider'),
(49081, '83.137.58.0', '83.137.58.255', 1401502208, 1401502463, 'IT', 'Italy'),
(49082, '83.137.59.0', '83.137.62.255', 1401502464, 1401503487, 'A2', 'Satellite Provider'),
(49083, '83.137.63.0', '83.137.63.255', 1401503488, 1401503743, 'AL', 'Albania'),
(49084, '83.137.64.0', '83.137.71.255', 1401503744, 1401505791, 'DE', 'Germany'),
(49085, '83.137.72.0', '83.137.87.255', 1401505792, 1401509887, 'CH', 'Switzerland'),
(49086, '83.137.88.0', '83.137.95.255', 1401509888, 1401511935, 'UA', 'Ukraine'),
(49087, '83.137.96.0', '83.137.103.255', 1401511936, 1401513983, 'DE', 'Germany'),
(49088, '83.137.104.0', '83.137.111.255', 1401513984, 1401516031, 'IT', 'Italy'),
(49089, '83.137.112.0', '83.137.113.151', 1401516032, 1401516439, 'AT', 'Austria'),
(49090, '83.137.113.152', '83.137.113.159', 1401516440, 1401516447, 'AE', 'United Arab Emirates'),
(49091, '83.137.113.160', '83.137.119.255', 1401516448, 1401518079, 'AT', 'Austria'),
(49092, '83.137.120.0', '83.137.127.255', 1401518080, 1401520127, 'IT', 'Italy'),
(49093, '83.137.128.0', '83.137.135.255', 1401520128, 1401522175, 'GB', 'United Kingdom'),
(49094, '83.137.136.0', '83.137.151.255', 1401522176, 1401526271, 'NL', 'Netherlands'),
(49095, '83.137.152.0', '83.137.159.255', 1401526272, 1401528319, 'HU', 'Hungary'),
(49096, '83.137.160.0', '83.137.167.255', 1401528320, 1401530367, 'IT', 'Italy'),
(49097, '83.137.168.0', '83.137.175.255', 1401530368, 1401532415, 'DE', 'Germany'),
(49098, '83.137.176.0', '83.137.183.255', 1401532416, 1401534463, 'GB', 'United Kingdom'),
(49099, '83.137.184.0', '83.137.191.255', 1401534464, 1401536511, 'DE', 'Germany'),
(49100, '83.137.192.0', '83.137.199.255', 1401536512, 1401538559, 'NL', 'Netherlands'),
(49101, '83.137.200.0', '83.137.207.255', 1401538560, 1401540607, 'NO', 'Norway'),
(49102, '83.137.208.0', '83.137.215.255', 1401540608, 1401542655, 'GB', 'United Kingdom'),
(49103, '83.137.216.0', '83.137.223.255', 1401542656, 1401544703, 'RU', 'Russian Federation'),
(49104, '83.137.224.0', '83.137.231.255', 1401544704, 1401546751, 'GB', 'United Kingdom'),
(49105, '83.137.232.0', '83.137.239.255', 1401546752, 1401548799, 'IT', 'Italy'),
(49106, '83.137.240.0', '83.137.247.255', 1401548800, 1401550847, 'FR', 'France'),
(49107, '83.137.248.0', '83.137.248.31', 1401550848, 1401550879, 'GB', 'United Kingdom'),
(49108, '83.137.248.32', '83.137.248.63', 1401550880, 1401550911, 'JE', 'Jersey'),
(49109, '83.137.248.64', '83.137.248.87', 1401550912, 1401550935, 'GB', 'United Kingdom'),
(49110, '83.137.248.88', '83.137.248.127', 1401550936, 1401550975, 'JE', 'Jersey'),
(49111, '83.137.248.128', '83.137.248.135', 1401550976, 1401550983, 'GB', 'United Kingdom'),
(49112, '83.137.248.136', '83.137.248.167', 1401550984, 1401551015, 'JE', 'Jersey'),
(49113, '83.137.248.168', '83.137.248.175', 1401551016, 1401551023, 'GB', 'United Kingdom'),
(49114, '83.137.248.176', '83.137.248.223', 1401551024, 1401551071, 'JE', 'Jersey'),
(49115, '83.137.248.224', '83.137.255.255', 1401551072, 1401552895, 'GB', 'United Kingdom'),
(49116, '83.138.0.0', '83.138.7.255', 1401552896, 1401554943, 'NL', 'Netherlands'),
(49117, '83.138.8.0', '83.138.15.255', 1401554944, 1401556991, 'IE', 'Ireland'),
(49118, '83.138.16.0', '83.138.39.255', 1401556992, 1401563135, 'GB', 'United Kingdom'),
(49119, '83.138.40.0', '83.138.47.255', 1401563136, 1401565183, 'ES', 'Spain'),
(49120, '83.138.48.0', '83.138.55.255', 1401565184, 1401567231, 'RU', 'Russian Federation'),
(49121, '83.138.56.0', '83.138.63.255', 1401567232, 1401569279, 'GB', 'United Kingdom'),
(49122, '83.138.64.0', '83.138.127.255', 1401569280, 1401585663, 'DE', 'Germany'),
(49123, '83.138.128.0', '83.138.191.255', 1401585664, 1401602047, 'GB', 'United Kingdom'),
(49124, '83.138.192.0', '83.138.255.255', 1401602048, 1401618431, 'ES', 'Spain'),
(49125, '83.139.0.0', '83.139.63.255', 1401618432, 1401634815, 'AM', 'Armenia'),
(49126, '83.139.64.0', '83.139.127.255', 1401634816, 1401651199, 'HR', 'Croatia'),
(49127, '83.139.128.0', '83.139.191.255', 1401651200, 1401667583, 'RU', 'Russian Federation'),
(49128, '83.139.192.0', '83.139.255.255', 1401667584, 1401683967, 'IT', 'Italy'),
(49129, '83.140.0.0', '83.140.0.99', 1401683968, 1401684067, 'SE', 'Sweden'),
(49130, '83.140.0.100', '83.140.0.103', 1401684068, 1401684071, 'NO', 'Norway'),
(49131, '83.140.0.104', '83.140.0.107', 1401684072, 1401684075, 'DE', 'Germany'),
(49132, '83.140.0.108', '83.140.1.255', 1401684076, 1401684479, 'SE', 'Sweden'),
(49133, '83.140.2.0', '83.140.2.31', 1401684480, 1401684511, 'DK', 'Denmark'),
(49134, '83.140.2.32', '83.140.2.35', 1401684512, 1401684515, 'DE', 'Germany'),
(49135, '83.140.2.36', '83.140.2.79', 1401684516, 1401684559, 'SE', 'Sweden'),
(49136, '83.140.2.80', '83.140.2.127', 1401684560, 1401684607, 'DK', 'Denmark'),
(49137, '83.140.2.128', '83.140.2.191', 1401684608, 1401684671, 'SE', 'Sweden'),
(49138, '83.140.2.192', '83.140.2.223', 1401684672, 1401684703, 'DK', 'Denmark'),
(49139, '83.140.2.224', '83.140.2.251', 1401684704, 1401684731, 'SE', 'Sweden'),
(49140, '83.140.2.252', '83.140.2.255', 1401684732, 1401684735, 'DK', 'Denmark'),
(49141, '83.140.3.0', '83.140.3.19', 1401684736, 1401684755, 'NO', 'Norway'),
(49142, '83.140.3.20', '83.140.3.23', 1401684756, 1401684759, 'SE', 'Sweden'),
(49143, '83.140.3.24', '83.140.3.27', 1401684760, 1401684763, 'DE', 'Germany'),
(49144, '83.140.3.28', '83.140.3.31', 1401684764, 1401684767, 'SE', 'Sweden'),
(49145, '83.140.3.32', '83.140.3.159', 1401684768, 1401684895, 'NO', 'Norway'),
(49146, '83.140.3.160', '83.140.4.3', 1401684896, 1401684995, 'SE', 'Sweden'),
(49147, '83.140.4.4', '83.140.4.7', 1401684996, 1401684999, 'DE', 'Germany'),
(49148, '83.140.4.8', '83.140.7.255', 1401685000, 1401686015, 'SE', 'Sweden'),
(49149, '83.140.8.0', '83.140.8.43', 1401686016, 1401686059, 'GB', 'United Kingdom'),
(49150, '83.140.8.44', '83.140.8.47', 1401686060, 1401686063, 'DE', 'Germany'),
(49151, '83.140.8.48', '83.140.8.127', 1401686064, 1401686143, 'GB', 'United Kingdom'),
(49152, '83.140.8.128', '83.140.8.207', 1401686144, 1401686223, 'SE', 'Sweden'),
(49153, '83.140.8.208', '83.140.8.255', 1401686224, 1401686271, 'GB', 'United Kingdom'),
(49154, '83.140.9.0', '83.140.9.15', 1401686272, 1401686287, 'NL', 'Netherlands'),
(49155, '83.140.9.16', '83.140.9.19', 1401686288, 1401686291, 'DE', 'Germany'),
(49156, '83.140.9.20', '83.140.9.63', 1401686292, 1401686335, 'SE', 'Sweden'),
(49157, '83.140.9.64', '83.140.9.127', 1401686336, 1401686399, 'NL', 'Netherlands'),
(49158, '83.140.9.128', '83.140.11.127', 1401686400, 1401686911, 'SE', 'Sweden'),
(49159, '83.140.11.128', '83.140.11.143', 1401686912, 1401686927, 'DE', 'Germany'),
(49160, '83.140.11.144', '83.140.11.159', 1401686928, 1401686943, 'SE', 'Sweden'),
(49161, '83.140.11.160', '83.140.11.163', 1401686944, 1401686947, 'DE', 'Germany'),
(49162, '83.140.11.164', '83.140.29.127', 1401686948, 1401691519, 'SE', 'Sweden'),
(49163, '83.140.29.128', '83.140.29.143', 1401691520, 1401691535, 'DE', 'Germany'),
(49164, '83.140.29.144', '83.140.44.31', 1401691536, 1401695263, 'SE', 'Sweden'),
(49165, '83.140.44.32', '83.140.44.35', 1401695264, 1401695267, 'GB', 'United Kingdom'),
(49166, '83.140.44.36', '83.140.44.39', 1401695268, 1401695271, 'SE', 'Sweden'),
(49167, '83.140.44.40', '83.140.44.43', 1401695272, 1401695275, 'GB', 'United Kingdom'),
(49168, '83.140.44.44', '83.140.44.47', 1401695276, 1401695279, 'DE', 'Germany'),
(49169, '83.140.44.48', '83.140.54.23', 1401695280, 1401697815, 'SE', 'Sweden'),
(49170, '83.140.54.24', '83.140.54.31', 1401697816, 1401697823, 'DE', 'Germany'),
(49171, '83.140.54.32', '83.140.55.175', 1401697824, 1401698223, 'SE', 'Sweden'),
(49172, '83.140.55.176', '83.140.55.179', 1401698224, 1401698227, 'GB', 'United Kingdom'),
(49173, '83.140.55.180', '83.140.55.183', 1401698228, 1401698231, 'DE', 'Germany'),
(49174, '83.140.55.184', '83.140.78.15', 1401698232, 1401703951, 'SE', 'Sweden'),
(49175, '83.140.78.16', '83.140.78.19', 1401703952, 1401703955, 'DE', 'Germany'),
(49176, '83.140.78.20', '83.140.80.63', 1401703956, 1401704511, 'SE', 'Sweden'),
(49177, '83.140.80.64', '83.140.80.67', 1401704512, 1401704515, 'DE', 'Germany'),
(49178, '83.140.80.68', '83.140.85.255', 1401704516, 1401705983, 'SE', 'Sweden'),
(49179, '83.140.86.0', '83.140.86.3', 1401705984, 1401705987, 'DE', 'Germany'),
(49180, '83.140.86.4', '83.140.94.255', 1401705988, 1401708287, 'SE', 'Sweden'),
(49181, '83.140.95.0', '83.140.95.255', 1401708288, 1401708543, 'DE', 'Germany'),
(49182, '83.140.96.0', '83.140.97.255', 1401708544, 1401709055, 'FR', 'France'),
(49183, '83.140.98.0', '83.140.98.255', 1401709056, 1401709311, 'SE', 'Sweden'),
(49184, '83.140.99.0', '83.140.99.255', 1401709312, 1401709567, 'GB', 'United Kingdom'),
(49185, '83.140.100.0', '83.140.107.255', 1401709568, 1401711615, 'SE', 'Sweden'),
(49186, '83.140.108.0', '83.140.108.31', 1401711616, 1401711647, 'GB', 'United Kingdom'),
(49187, '83.140.108.32', '83.140.108.63', 1401711648, 1401711679, 'DE', 'Germany'),
(49188, '83.140.108.64', '83.140.108.95', 1401711680, 1401711711, 'NL', 'Netherlands'),
(49189, '83.140.108.96', '83.140.108.127', 1401711712, 1401711743, 'ES', 'Spain'),
(49190, '83.140.108.128', '83.140.108.159', 1401711744, 1401711775, 'DK', 'Denmark'),
(49191, '83.140.108.160', '83.140.108.191', 1401711776, 1401711807, 'IT', 'Italy'),
(49192, '83.140.108.192', '83.140.108.223', 1401711808, 1401711839, 'US', 'United States'),
(49193, '83.140.108.224', '83.140.108.255', 1401711840, 1401711871, 'NL', 'Netherlands'),
(49194, '83.140.109.0', '83.140.109.31', 1401711872, 1401711903, 'GB', 'United Kingdom'),
(49195, '83.140.109.32', '83.140.109.63', 1401711904, 1401711935, 'DE', 'Germany'),
(49196, '83.140.109.64', '83.140.109.95', 1401711936, 1401711967, 'NL', 'Netherlands'),
(49197, '83.140.109.96', '83.140.109.127', 1401711968, 1401711999, 'ES', 'Spain'),
(49198, '83.140.109.128', '83.140.109.159', 1401712000, 1401712031, 'DK', 'Denmark'),
(49199, '83.140.109.160', '83.140.109.191', 1401712032, 1401712063, 'CH', 'Switzerland'),
(49200, '83.140.109.192', '83.140.109.223', 1401712064, 1401712095, 'FR', 'France'),
(49201, '83.140.109.224', '83.140.109.255', 1401712096, 1401712127, 'NL', 'Netherlands'),
(49202, '83.140.110.0', '83.140.110.31', 1401712128, 1401712159, 'GB', 'United Kingdom'),
(49203, '83.140.110.32', '83.140.110.63', 1401712160, 1401712191, 'DE', 'Germany'),
(49204, '83.140.110.64', '83.140.110.95', 1401712192, 1401712223, 'SE', 'Sweden'),
(49205, '83.140.110.96', '83.140.110.127', 1401712224, 1401712255, 'ES', 'Spain'),
(49206, '83.140.110.128', '83.140.110.159', 1401712256, 1401712287, 'DK', 'Denmark'),
(49207, '83.140.110.160', '83.140.110.191', 1401712288, 1401712319, 'SE', 'Sweden'),
(49208, '83.140.110.192', '83.140.110.223', 1401712320, 1401712351, 'IT', 'Italy'),
(49209, '83.140.110.224', '83.140.110.255', 1401712352, 1401712383, 'DE', 'Germany'),
(49210, '83.140.111.0', '83.140.111.31', 1401712384, 1401712415, 'GB', 'United Kingdom'),
(49211, '83.140.111.32', '83.140.111.63', 1401712416, 1401712447, 'DE', 'Germany'),
(49212, '83.140.111.64', '83.140.111.95', 1401712448, 1401712479, 'NL', 'Netherlands'),
(49213, '83.140.111.96', '83.140.111.127', 1401712480, 1401712511, 'ES', 'Spain'),
(49214, '83.140.111.128', '83.140.111.159', 1401712512, 1401712543, 'SE', 'Sweden'),
(49215, '83.140.111.160', '83.140.111.191', 1401712544, 1401712575, 'US', 'United States'),
(49216, '83.140.111.192', '83.140.111.223', 1401712576, 1401712607, 'GB', 'United Kingdom'),
(49217, '83.140.111.224', '83.140.111.255', 1401712608, 1401712639, 'NL', 'Netherlands'),
(49218, '83.140.112.0', '83.140.112.255', 1401712640, 1401712895, 'SE', 'Sweden'),
(49219, '83.140.113.0', '83.140.113.255', 1401712896, 1401713151, 'DE', 'Germany'),
(49220, '83.140.114.0', '83.140.117.127', 1401713152, 1401714047, 'SE', 'Sweden'),
(49221, '83.140.117.128', '83.140.117.143', 1401714048, 1401714063, 'FR', 'France'),
(49222, '83.140.117.144', '83.140.122.203', 1401714064, 1401715403, 'SE', 'Sweden'),
(49223, '83.140.122.204', '83.140.122.207', 1401715404, 1401715407, 'DE', 'Germany'),
(49224, '83.140.122.208', '83.140.122.255', 1401715408, 1401715455, 'SE', 'Sweden'),
(49225, '83.140.123.0', '83.140.123.3', 1401715456, 1401715459, 'US', 'United States'),
(49226, '83.140.123.4', '83.140.140.127', 1401715460, 1401719935, 'SE', 'Sweden'),
(49227, '83.140.140.128', '83.140.140.143', 1401719936, 1401719951, 'DK', 'Denmark'),
(49228, '83.140.140.144', '83.140.140.147', 1401719952, 1401719955, 'GB', 'United Kingdom'),
(49229, '83.140.140.148', '83.140.140.151', 1401719956, 1401719959, 'SE', 'Sweden'),
(49230, '83.140.140.152', '83.140.140.155', 1401719960, 1401719963, 'GB', 'United Kingdom'),
(49231, '83.140.140.156', '83.140.140.159', 1401719964, 1401719967, 'DE', 'Germany'),
(49232, '83.140.140.160', '83.140.167.63', 1401719968, 1401726783, 'SE', 'Sweden'),
(49233, '83.140.167.64', '83.140.167.67', 1401726784, 1401726787, 'DE', 'Germany'),
(49234, '83.140.167.68', '83.140.170.255', 1401726788, 1401727743, 'SE', 'Sweden'),
(49235, '83.140.171.0', '83.140.171.255', 1401727744, 1401727999, 'GB', 'United Kingdom'),
(49236, '83.140.172.0', '83.140.173.79', 1401728000, 1401728335, 'SE', 'Sweden'),
(49237, '83.140.173.80', '83.140.173.95', 1401728336, 1401728351, 'NL', 'Netherlands'),
(49238, '83.140.173.96', '83.140.173.175', 1401728352, 1401728431, 'SE', 'Sweden'),
(49239, '83.140.173.176', '83.140.173.191', 1401728432, 1401728447, 'NL', 'Netherlands'),
(49240, '83.140.173.192', '83.140.220.255', 1401728448, 1401740543, 'SE', 'Sweden'),
(49241, '83.140.221.0', '83.140.221.255', 1401740544, 1401740799, 'DE', 'Germany'),
(49242, '83.140.222.0', '83.140.229.255', 1401740800, 1401742847, 'SE', 'Sweden'),
(49243, '83.140.230.0', '83.140.230.31', 1401742848, 1401742879, 'GB', 'United Kingdom'),
(49244, '83.140.230.32', '83.140.230.47', 1401742880, 1401742895, 'SE', 'Sweden'),
(49245, '83.140.230.48', '83.140.230.63', 1401742896, 1401742911, 'GB', 'United Kingdom'),
(49246, '83.140.230.64', '83.140.230.207', 1401742912, 1401743055, 'SE', 'Sweden'),
(49247, '83.140.230.208', '83.140.230.223', 1401743056, 1401743071, 'GB', 'United Kingdom'),
(49248, '83.140.230.224', '83.140.230.239', 1401743072, 1401743087, 'SE', 'Sweden'),
(49249, '83.140.230.240', '83.140.231.15', 1401743088, 1401743119, 'GB', 'United Kingdom'),
(49250, '83.140.231.16', '83.140.231.47', 1401743120, 1401743151, 'SE', 'Sweden'),
(49251, '83.140.231.48', '83.140.231.63', 1401743152, 1401743167, 'GB', 'United Kingdom'),
(49252, '83.140.231.64', '83.140.231.207', 1401743168, 1401743311, 'SE', 'Sweden'),
(49253, '83.140.231.208', '83.140.231.223', 1401743312, 1401743327, 'GB', 'United Kingdom'),
(49254, '83.140.231.224', '83.140.231.239', 1401743328, 1401743343, 'SE', 'Sweden'),
(49255, '83.140.231.240', '83.140.231.255', 1401743344, 1401743359, 'GB', 'United Kingdom'),
(49256, '83.140.232.0', '83.140.240.31', 1401743360, 1401745439, 'SE', 'Sweden'),
(49257, '83.140.240.32', '83.140.240.35', 1401745440, 1401745443, 'GB', 'United Kingdom'),
(49258, '83.140.240.36', '83.140.240.39', 1401745444, 1401745447, 'US', 'United States'),
(49259, '83.140.240.40', '83.140.240.79', 1401745448, 1401745487, 'SE', 'Sweden'),
(49260, '83.140.240.80', '83.140.240.95', 1401745488, 1401745503, 'ES', 'Spain'),
(49261, '83.140.240.96', '83.140.241.255', 1401745504, 1401745919, 'SE', 'Sweden'),
(49262, '83.140.242.0', '83.140.242.15', 1401745920, 1401745935, 'IT', 'Italy'),
(49263, '83.140.242.16', '83.140.242.39', 1401745936, 1401745959, 'SE', 'Sweden'),
(49264, '83.140.242.40', '83.140.242.47', 1401745960, 1401745967, 'US', 'United States'),
(49265, '83.140.242.48', '83.140.242.51', 1401745968, 1401745971, 'MY', 'Malaysia'),
(49266, '83.140.242.52', '83.140.242.55', 1401745972, 1401745975, 'NL', 'Netherlands'),
(49267, '83.140.242.56', '83.140.242.63', 1401745976, 1401745983, 'SE', 'Sweden'),
(49268, '83.140.242.64', '83.140.242.79', 1401745984, 1401745999, 'NL', 'Netherlands'),
(49269, '83.140.242.80', '83.140.242.95', 1401746000, 1401746015, 'ES', 'Spain'),
(49270, '83.140.242.96', '83.140.242.99', 1401746016, 1401746019, 'GB', 'United Kingdom'),
(49271, '83.140.242.100', '83.140.242.103', 1401746020, 1401746023, 'SE', 'Sweden'),
(49272, '83.140.242.104', '83.140.242.107', 1401746024, 1401746027, 'DE', 'Germany'),
(49273, '83.140.242.108', '83.140.242.255', 1401746028, 1401746175, 'SE', 'Sweden'),
(49274, '83.140.243.0', '83.140.243.15', 1401746176, 1401746191, 'DK', 'Denmark'),
(49275, '83.140.243.16', '83.140.243.39', 1401746192, 1401746215, 'SE', 'Sweden'),
(49276, '83.140.243.40', '83.140.243.47', 1401746216, 1401746223, 'BG', 'Bulgaria'),
(49277, '83.140.243.48', '83.140.243.63', 1401746224, 1401746239, 'SE', 'Sweden'),
(49278, '83.140.243.64', '83.140.243.79', 1401746240, 1401746255, 'NL', 'Netherlands'),
(49279, '83.140.243.80', '83.140.243.95', 1401746256, 1401746271, 'ES', 'Spain'),
(49280, '83.140.243.96', '83.140.243.103', 1401746272, 1401746279, 'GB', 'United Kingdom'),
(49281, '83.140.243.104', '83.140.243.107', 1401746280, 1401746283, 'SE', 'Sweden'),
(49282, '83.140.243.108', '83.140.243.111', 1401746284, 1401746287, 'US', 'United States'),
(49283, '83.140.243.112', '83.140.243.115', 1401746288, 1401746291, 'DE', 'Germany'),
(49284, '83.140.243.116', '83.140.243.255', 1401746292, 1401746431, 'SE', 'Sweden'),
(49285, '83.140.244.0', '83.140.244.15', 1401746432, 1401746447, 'NL', 'Netherlands'),
(49286, '83.140.244.16', '83.140.244.35', 1401746448, 1401746467, 'SE', 'Sweden'),
(49287, '83.140.244.36', '83.140.244.39', 1401746468, 1401746471, 'NL', 'Netherlands'),
(49288, '83.140.244.40', '83.140.244.47', 1401746472, 1401746479, 'US', 'United States'),
(49289, '83.140.244.48', '83.140.244.55', 1401746480, 1401746487, 'GB', 'United Kingdom'),
(49290, '83.140.244.56', '83.140.244.63', 1401746488, 1401746495, 'SE', 'Sweden'),
(49291, '83.140.244.64', '83.140.244.79', 1401746496, 1401746511, 'NL', 'Netherlands'),
(49292, '83.140.244.80', '83.140.244.95', 1401746512, 1401746527, 'ES', 'Spain'),
(49293, '83.140.244.96', '83.140.244.99', 1401746528, 1401746531, 'DE', 'Germany'),
(49294, '83.140.244.100', '83.140.244.191', 1401746532, 1401746623, 'SE', 'Sweden'),
(49295, '83.140.244.192', '83.140.244.207', 1401746624, 1401746639, 'DE', 'Germany'),
(49296, '83.140.244.208', '83.140.244.223', 1401746640, 1401746655, 'SE', 'Sweden'),
(49297, '83.140.244.224', '83.140.244.255', 1401746656, 1401746687, 'IE', 'Ireland'),
(49298, '83.140.245.0', '83.140.245.15', 1401746688, 1401746703, 'NO', 'Norway'),
(49299, '83.140.245.16', '83.140.245.31', 1401746704, 1401746719, 'SE', 'Sweden'),
(49300, '83.140.245.32', '83.140.245.35', 1401746720, 1401746723, 'DE', 'Germany'),
(49301, '83.140.245.36', '83.140.245.63', 1401746724, 1401746751, 'SE', 'Sweden'),
(49302, '83.140.245.64', '83.140.245.79', 1401746752, 1401746767, 'NL', 'Netherlands'),
(49303, '83.140.245.80', '83.140.245.95', 1401746768, 1401746783, 'ES', 'Spain'),
(49304, '83.140.245.96', '83.140.245.191', 1401746784, 1401746879, 'SE', 'Sweden'),
(49305, '83.140.245.192', '83.140.245.207', 1401746880, 1401746895, 'DE', 'Germany'),
(49306, '83.140.245.208', '83.140.245.255', 1401746896, 1401746943, 'SE', 'Sweden'),
(49307, '83.140.246.0', '83.140.246.15', 1401746944, 1401746959, 'FR', 'France'),
(49308, '83.140.246.16', '83.140.246.63', 1401746960, 1401747007, 'SE', 'Sweden'),
(49309, '83.140.246.64', '83.140.246.79', 1401747008, 1401747023, 'NL', 'Netherlands'),
(49310, '83.140.246.80', '83.140.246.95', 1401747024, 1401747039, 'ES', 'Spain'),
(49311, '83.140.246.96', '83.140.246.99', 1401747040, 1401747043, 'DE', 'Germany'),
(49312, '83.140.246.100', '83.140.246.191', 1401747044, 1401747135, 'SE', 'Sweden'),
(49313, '83.140.246.192', '83.140.246.207', 1401747136, 1401747151, 'DE', 'Germany'),
(49314, '83.140.246.208', '83.140.246.255', 1401747152, 1401747199, 'SE', 'Sweden'),
(49315, '83.140.247.0', '83.140.247.15', 1401747200, 1401747215, 'IT', 'Italy'),
(49316, '83.140.247.16', '83.140.247.35', 1401747216, 1401747235, 'SE', 'Sweden'),
(49317, '83.140.247.36', '83.140.247.39', 1401747236, 1401747239, 'US', 'United States'),
(49318, '83.140.247.40', '83.140.247.43', 1401747240, 1401747243, 'DE', 'Germany'),
(49319, '83.140.247.44', '83.140.247.47', 1401747244, 1401747247, 'SE', 'Sweden'),
(49320, '83.140.247.48', '83.140.247.63', 1401747248, 1401747263, 'ES', 'Spain'),
(49321, '83.140.247.64', '83.140.247.191', 1401747264, 1401747391, 'SE', 'Sweden'),
(49322, '83.140.247.192', '83.140.247.207', 1401747392, 1401747407, 'DE', 'Germany'),
(49323, '83.140.247.208', '83.140.247.223', 1401747408, 1401747423, 'GB', 'United Kingdom'),
(49324, '83.140.247.224', '83.140.247.239', 1401747424, 1401747439, 'ES', 'Spain'),
(49325, '83.140.247.240', '83.140.248.31', 1401747440, 1401747487, 'SE', 'Sweden'),
(49326, '83.140.248.32', '83.140.248.39', 1401747488, 1401747495, 'DK', 'Denmark'),
(49327, '83.140.248.40', '83.140.248.43', 1401747496, 1401747499, 'SE', 'Sweden'),
(49328, '83.140.248.44', '83.140.248.47', 1401747500, 1401747503, 'GB', 'United Kingdom'),
(49329, '83.140.248.48', '83.140.248.127', 1401747504, 1401747583, 'SE', 'Sweden'),
(49330, '83.140.248.128', '83.140.248.131', 1401747584, 1401747587, 'DE', 'Germany'),
(49331, '83.140.248.132', '83.140.248.191', 1401747588, 1401747647, 'SE', 'Sweden'),
(49332, '83.140.248.192', '83.140.248.207', 1401747648, 1401747663, 'DE', 'Germany'),
(49333, '83.140.248.208', '83.140.248.255', 1401747664, 1401747711, 'SE', 'Sweden'),
(49334, '83.140.249.0', '83.140.249.255', 1401747712, 1401747967, 'FR', 'France'),
(49335, '83.140.250.0', '83.140.254.143', 1401747968, 1401749135, 'SE', 'Sweden'),
(49336, '83.140.254.144', '83.140.254.159', 1401749136, 1401749151, 'DE', 'Germany'),
(49337, '83.140.254.160', '83.140.255.255', 1401749152, 1401749503, 'SE', 'Sweden'),
(49338, '83.141.0.0', '83.141.13.255', 1401749504, 1401753087, 'DE', 'Germany'),
(49339, '83.141.14.0', '83.141.14.255', 1401753088, 1401753343, 'AT', 'Austria'),
(49340, '83.141.15.0', '83.141.37.255', 1401753344, 1401759231, 'DE', 'Germany'),
(49341, '83.141.38.0', '83.141.38.255', 1401759232, 1401759487, 'GB', 'United Kingdom'),
(49342, '83.141.39.0', '83.141.41.255', 1401759488, 1401760255, 'DE', 'Germany'),
(49343, '83.141.42.0', '83.141.43.255', 1401760256, 1401760767, 'SK', 'Slovakia'),
(49344, '83.141.44.0', '83.141.61.127', 1401760768, 1401765247, 'DE', 'Germany'),
(49345, '83.141.61.128', '83.141.61.255', 1401765248, 1401765375, 'NL', 'Netherlands'),
(49346, '83.141.62.0', '83.141.63.127', 1401765376, 1401765759, 'DE', 'Germany'),
(49347, '83.141.63.128', '83.141.63.255', 1401765760, 1401765887, 'NL', 'Netherlands'),
(49348, '83.141.64.0', '83.141.127.255', 1401765888, 1401782271, 'IE', 'Ireland'),
(49349, '83.141.128.0', '83.141.255.255', 1401782272, 1401815039, 'FR', 'France'),
(49350, '83.142.0.0', '83.142.7.255', 1401815040, 1401817087, 'SE', 'Sweden'),
(49351, '83.142.8.0', '83.142.15.255', 1401817088, 1401819135, 'RU', 'Russian Federation'),
(49352, '83.142.16.0', '83.142.23.255', 1401819136, 1401821183, 'BG', 'Bulgaria'),
(49353, '83.142.24.0', '83.142.39.255', 1401821184, 1401825279, 'GB', 'United Kingdom'),
(49354, '83.142.40.0', '83.142.47.255', 1401825280, 1401827327, 'PL', 'Poland'),
(49355, '83.142.48.0', '83.142.55.255', 1401827328, 1401829375, 'GB', 'United Kingdom'),
(49356, '83.142.56.0', '83.142.63.255', 1401829376, 1401831423, 'PL', 'Poland'),
(49357, '83.142.64.0', '83.142.71.255', 1401831424, 1401833471, 'GB', 'United Kingdom'),
(49358, '83.142.72.0', '83.142.79.255', 1401833472, 1401835519, 'FI', 'Finland'),
(49359, '83.142.80.0', '83.142.87.255', 1401835520, 1401837567, 'DE', 'Germany'),
(49360, '83.142.88.0', '83.142.95.255', 1401837568, 1401839615, 'CH', 'Switzerland'),
(49361, '83.142.96.0', '83.142.103.255', 1401839616, 1401841663, 'NO', 'Norway'),
(49362, '83.142.104.0', '83.142.111.255', 1401841664, 1401843711, 'UA', 'Ukraine'),
(49363, '83.142.112.0', '83.142.127.255', 1401843712, 1401847807, 'PL', 'Poland'),
(49364, '83.142.128.0', '83.142.135.255', 1401847808, 1401849855, 'DE', 'Germany'),
(49365, '83.142.136.0', '83.142.143.255', 1401849856, 1401851903, 'PL', 'Poland'),
(49366, '83.142.144.0', '83.142.151.255', 1401851904, 1401853951, 'FR', 'France'),
(49367, '83.142.152.0', '83.142.159.255', 1401853952, 1401855999, 'PL', 'Poland'),
(49368, '83.142.160.0', '83.142.167.255', 1401856000, 1401858047, 'RU', 'Russian Federation'),
(49369, '83.142.168.0', '83.142.207.255', 1401858048, 1401868287, 'PL', 'Poland'),
(49370, '83.142.208.0', '83.142.215.255', 1401868288, 1401870335, 'UA', 'Ukraine'),
(49371, '83.142.216.0', '83.142.223.255', 1401870336, 1401872383, 'PL', 'Poland'),
(49372, '83.142.224.0', '83.142.231.255', 1401872384, 1401874431, 'GB', 'United Kingdom'),
(49373, '83.142.232.0', '83.142.239.255', 1401874432, 1401876479, 'UA', 'Ukraine'),
(49374, '83.142.240.0', '83.142.247.255', 1401876480, 1401878527, 'ES', 'Spain'),
(49375, '83.142.248.0', '83.142.255.255', 1401878528, 1401880575, 'MT', 'Malta'),
(49376, '83.143.0.0', '83.143.7.255', 1401880576, 1401882623, 'DE', 'Germany'),
(49377, '83.143.8.0', '83.143.15.255', 1401882624, 1401884671, 'NG', 'Nigeria'),
(49378, '83.143.16.0', '83.143.23.255', 1401884672, 1401886719, 'FR', 'France'),
(49379, '83.143.24.0', '83.143.31.255', 1401886720, 1401888767, 'BW', 'Botswana'),
(49380, '83.143.32.0', '83.143.39.255', 1401888768, 1401890815, 'RU', 'Russian Federation'),
(49381, '83.143.40.0', '83.143.47.255', 1401890816, 1401892863, 'PL', 'Poland'),
(49382, '83.143.48.0', '83.143.55.255', 1401892864, 1401894911, 'RU', 'Russian Federation'),
(49383, '83.143.56.0', '83.143.63.255', 1401894912, 1401896959, 'FI', 'Finland'),
(49384, '83.143.64.0', '83.143.71.255', 1401896960, 1401899007, 'RU', 'Russian Federation'),
(49385, '83.143.72.0', '83.143.79.255', 1401899008, 1401901055, 'PL', 'Poland'),
(49386, '83.143.80.0', '83.143.87.255', 1401901056, 1401903103, 'NO', 'Norway'),
(49387, '83.143.88.0', '83.143.95.255', 1401903104, 1401905151, 'FI', 'Finland'),
(49388, '83.143.96.0', '83.143.103.255', 1401905152, 1401907199, 'PL', 'Poland'),
(49389, '83.143.104.0', '83.143.111.255', 1401907200, 1401909247, 'GR', 'Greece'),
(49390, '83.143.112.0', '83.143.119.255', 1401909248, 1401911295, 'NO', 'Norway'),
(49391, '83.143.120.0', '83.143.127.255', 1401911296, 1401913343, 'DK', 'Denmark'),
(49392, '83.143.128.0', '83.143.143.255', 1401913344, 1401917439, 'PL', 'Poland'),
(49393, '83.143.144.0', '83.143.151.255', 1401917440, 1401919487, 'BG', 'Bulgaria'),
(49394, '83.143.152.0', '83.143.159.255', 1401919488, 1401921535, 'RU', 'Russian Federation'),
(49395, '83.143.160.0', '83.143.167.255', 1401921536, 1401923583, 'PL', 'Poland'),
(49396, '83.143.168.0', '83.143.175.255', 1401923584, 1401925631, 'KN', 'Saint Kitts and Nevis'),
(49397, '83.143.176.0', '83.143.183.255', 1401925632, 1401927679, 'BG', 'Bulgaria'),
(49398, '83.143.184.0', '83.143.191.255', 1401927680, 1401929727, 'NL', 'Netherlands'),
(49399, '83.143.192.0', '83.143.199.255', 1401929728, 1401931775, 'RU', 'Russian Federation'),
(49400, '83.143.200.0', '83.143.207.255', 1401931776, 1401933823, 'UA', 'Ukraine'),
(49401, '83.143.208.0', '83.143.215.255', 1401933824, 1401935871, 'DE', 'Germany'),
(49402, '83.143.216.0', '83.143.223.255', 1401935872, 1401937919, 'FI', 'Finland'),
(49403, '83.143.224.0', '83.143.231.255', 1401937920, 1401939967, 'GB', 'United Kingdom'),
(49404, '83.143.232.0', '83.143.239.255', 1401939968, 1401942015, 'UA', 'Ukraine'),
(49405, '83.143.240.0', '83.143.247.255', 1401942016, 1401944063, 'EU', 'Europe'),
(49406, '83.143.248.0', '83.143.255.255', 1401944064, 1401946111, 'BG', 'Bulgaria'),
(49407, '83.144.0.0', '83.144.63.255', 1401946112, 1401962495, 'FR', 'France'),
(49408, '83.144.64.0', '83.144.127.255', 1401962496, 1401978879, 'PL', 'Poland'),
(49409, '83.144.128.0', '83.144.191.255', 1401978880, 1401995263, 'PT', 'Portugal'),
(49410, '83.144.192.0', '83.144.255.255', 1401995264, 1402011647, 'CH', 'Switzerland'),
(49411, '83.145.0.0', '83.145.27.255', 1402011648, 1402018815, 'SE', 'Sweden'),
(49412, '83.145.28.0', '83.145.29.255', 1402018816, 1402019327, 'FI', 'Finland'),
(49413, '83.145.30.0', '83.145.52.47', 1402019328, 1402025007, 'SE', 'Sweden'),
(49414, '83.145.52.48', '83.145.52.63', 1402025008, 1402025023, 'NO', 'Norway'),
(49415, '83.145.52.64', '83.145.56.127', 1402025024, 1402026111, 'SE', 'Sweden'),
(49416, '83.145.56.128', '83.145.56.191', 1402026112, 1402026175, 'NO', 'Norway'),
(49417, '83.145.56.192', '83.145.60.255', 1402026176, 1402027263, 'SE', 'Sweden'),
(49418, '83.145.61.0', '83.145.61.255', 1402027264, 1402027519, 'NO', 'Norway'),
(49419, '83.145.62.0', '83.145.63.47', 1402027520, 1402027823, 'SE', 'Sweden'),
(49420, '83.145.63.48', '83.145.63.55', 1402027824, 1402027831, 'GB', 'United Kingdom'),
(49421, '83.145.63.56', '83.145.63.255', 1402027832, 1402028031, 'SE', 'Sweden'),
(49422, '83.145.64.0', '83.145.127.255', 1402028032, 1402044415, 'FR', 'France'),
(49423, '83.145.128.0', '83.145.191.255', 1402044416, 1402060799, 'PL', 'Poland'),
(49424, '83.145.192.0', '83.145.255.255', 1402060800, 1402077183, 'FI', 'Finland'),
(49425, '83.146.0.0', '83.146.63.255', 1402077184, 1402093567, 'GB', 'United Kingdom'),
(49426, '83.146.64.0', '83.146.127.255', 1402093568, 1402109951, 'RU', 'Russian Federation'),
(49427, '83.146.128.0', '83.146.255.255', 1402109952, 1402142719, 'FI', 'Finland'),
(49428, '83.147.0.0', '83.147.63.255', 1402142720, 1402159103, 'ES', 'Spain'),
(49429, '83.147.64.0', '83.147.127.255', 1402159104, 1402175487, 'IT', 'Italy'),
(49430, '83.147.128.0', '83.147.191.255', 1402175488, 1402191871, 'IE', 'Ireland'),
(49431, '83.147.192.0', '83.147.255.255', 1402191872, 1402208255, 'IR', 'Iran, Islamic Republic of'),
(49432, '83.148.0.0', '83.148.63.255', 1402208256, 1402224639, 'CZ', 'Czech Republic'),
(49433, '83.148.64.0', '83.148.127.255', 1402224640, 1402241023, 'BG', 'Bulgaria'),
(49434, '83.148.128.0', '83.148.191.255', 1402241024, 1402257407, 'GB', 'United Kingdom'),
(49435, '83.148.192.0', '83.148.255.255', 1402257408, 1402273791, 'FI', 'Finland'),
(49436, '83.149.0.0', '83.149.14.255', 1402273792, 1402277631, 'RU', 'Russian Federation'),
(49437, '83.149.15.0', '83.149.15.255', 1402277632, 1402277887, 'TJ', 'Tajikistan'),
(49438, '83.149.16.0', '83.149.63.255', 1402277888, 1402290175, 'RU', 'Russian Federation'),
(49439, '83.149.64.0', '83.149.127.255', 1402290176, 1402306559, 'NL', 'Netherlands'),
(49440, '83.149.128.0', '83.149.191.255', 1402306560, 1402322943, 'IT', 'Italy'),
(49441, '83.149.192.0', '83.149.255.255', 1402322944, 1402339327, 'RU', 'Russian Federation'),
(49442, '83.150.0.0', '83.150.63.255', 1402339328, 1402355711, 'CH', 'Switzerland'),
(49443, '83.150.64.0', '83.150.127.255', 1402355712, 1402372095, 'FI', 'Finland'),
(49444, '83.150.128.0', '83.150.191.255', 1402372096, 1402388479, 'SE', 'Sweden'),
(49445, '83.150.192.0', '83.150.255.255', 1402388480, 1402404863, 'ES', 'Spain'),
(49446, '83.151.0.0', '83.151.15.255', 1402404864, 1402408959, 'RU', 'Russian Federation'),
(49447, '83.151.16.0', '83.151.31.255', 1402408960, 1402413055, 'DE', 'Germany'),
(49448, '83.151.32.0', '83.151.47.255', 1402413056, 1402417151, 'PL', 'Poland'),
(49449, '83.151.48.0', '83.151.63.255', 1402417152, 1402421247, 'DE', 'Germany'),
(49450, '83.151.64.0', '83.151.69.255', 1402421248, 1402422783, 'FR', 'France'),
(49451, '83.151.70.0', '83.151.70.255', 1402422784, 1402423039, 'LU', 'Luxembourg'),
(49452, '83.151.71.0', '83.151.71.255', 1402423040, 1402423295, 'FR', 'France'),
(49453, '83.151.72.0', '83.151.73.255', 1402423296, 1402423807, 'BE', 'Belgium'),
(49454, '83.151.74.0', '83.151.75.255', 1402423808, 1402424319, 'FR', 'France'),
(49455, '83.151.76.0', '83.151.76.255', 1402424320, 1402424575, 'BE', 'Belgium'),
(49456, '83.151.77.0', '83.151.77.255', 1402424576, 1402424831, 'FR', 'France'),
(49457, '83.151.78.0', '83.151.79.255', 1402424832, 1402425343, 'GB', 'United Kingdom'),
(49458, '83.151.80.0', '83.151.80.255', 1402425344, 1402425599, 'DE', 'Germany'),
(49459, '83.151.81.0', '83.151.81.255', 1402425600, 1402425855, 'LU', 'Luxembourg'),
(49460, '83.151.82.0', '83.151.83.255', 1402425856, 1402426367, 'FR', 'France'),
(49461, '83.151.84.0', '83.151.84.255', 1402426368, 1402426623, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(49462, '83.151.85.0', '83.151.86.255', 1402426624, 1402427135, 'CH', 'Switzerland'),
(49463, '83.151.87.0', '83.151.95.255', 1402427136, 1402429439, 'GB', 'United Kingdom'),
(49464, '83.151.96.0', '83.151.103.255', 1402429440, 1402431487, 'US', 'United States'),
(49465, '83.151.104.0', '83.151.111.255', 1402431488, 1402433535, 'GB', 'United Kingdom'),
(49466, '83.151.112.0', '83.151.113.255', 1402433536, 1402434047, 'FR', 'France'),
(49467, '83.151.114.0', '83.151.115.255', 1402434048, 1402434559, 'GB', 'United Kingdom'),
(49468, '83.151.116.0', '83.151.116.255', 1402434560, 1402434815, 'US', 'United States'),
(49469, '83.151.117.0', '83.151.127.255', 1402434816, 1402437631, 'GB', 'United Kingdom'),
(49470, '83.151.128.0', '83.151.191.255', 1402437632, 1402454015, 'DK', 'Denmark'),
(49471, '83.151.192.0', '83.151.255.255', 1402454016, 1402470399, 'GB', 'United Kingdom'),
(49472, '83.152.0.0', '83.159.255.255', 1402470400, 1402994687, 'FR', 'France'),
(49473, '83.160.0.0', '83.163.255.255', 1402994688, 1403256831, 'NL', 'Netherlands'),
(49474, '83.164.0.0', '83.164.255.255', 1403256832, 1403322367, 'AT', 'Austria'),
(49475, '83.165.0.0', '83.165.255.255', 1403322368, 1403387903, 'ES', 'Spain'),
(49476, '83.166.0.0', '83.166.31.255', 1403387904, 1403396095, 'SE', 'Sweden'),
(49477, '83.166.32.0', '83.166.47.255', 1403396096, 1403400191, 'EE', 'Estonia'),
(49478, '83.166.48.0', '83.166.48.15', 1403400192, 1403400207, 'TR', 'Turkey'),
(49479, '83.166.48.16', '83.166.48.23', 1403400208, 1403400215, 'EE', 'Estonia'),
(49480, '83.166.48.24', '83.166.48.27', 1403400216, 1403400219, 'US', 'United States'),
(49481, '83.166.48.28', '83.166.48.47', 1403400220, 1403400239, 'EE', 'Estonia'),
(49482, '83.166.48.48', '83.166.48.63', 1403400240, 1403400255, 'BG', 'Bulgaria'),
(49483, '83.166.48.64', '83.166.48.71', 1403400256, 1403400263, 'EE', 'Estonia'),
(49484, '83.166.48.72', '83.166.48.79', 1403400264, 1403400271, 'US', 'United States'),
(49485, '83.166.48.80', '83.166.63.255', 1403400272, 1403404287, 'EE', 'Estonia'),
(49486, '83.166.64.0', '83.166.95.255', 1403404288, 1403412479, 'GB', 'United Kingdom'),
(49487, '83.166.96.0', '83.166.127.255', 1403412480, 1403420671, 'RU', 'Russian Federation'),
(49488, '83.166.128.0', '83.166.159.255', 1403420672, 1403428863, 'NL', 'Netherlands'),
(49489, '83.166.160.0', '83.166.191.255', 1403428864, 1403437055, 'GB', 'United Kingdom'),
(49490, '83.166.192.0', '83.166.223.255', 1403437056, 1403445247, 'RO', 'Romania'),
(49491, '83.166.224.0', '83.167.31.255', 1403445248, 1403461631, 'RU', 'Russian Federation'),
(49492, '83.167.32.0', '83.167.33.127', 1403461632, 1403462015, 'FR', 'France'),
(49493, '83.167.33.128', '83.167.33.143', 1403462016, 1403462031, 'GB', 'United Kingdom'),
(49494, '83.167.33.144', '83.167.43.215', 1403462032, 1403464663, 'FR', 'France'),
(49495, '83.167.43.216', '83.167.43.223', 1403464664, 1403464671, 'BE', 'Belgium'),
(49496, '83.167.43.224', '83.167.47.255', 1403464672, 1403465727, 'FR', 'France'),
(49497, '83.167.48.0', '83.167.48.15', 1403465728, 1403465743, 'GB', 'United Kingdom'),
(49498, '83.167.48.16', '83.167.62.111', 1403465744, 1403469423, 'FR', 'France'),
(49499, '83.167.62.112', '83.167.62.119', 1403469424, 1403469431, 'US', 'United States'),
(49500, '83.167.62.120', '83.167.63.255', 1403469432, 1403469823, 'FR', 'France'),
(49501, '83.167.64.0', '83.167.127.255', 1403469824, 1403486207, 'RU', 'Russian Federation'),
(49502, '83.167.128.0', '83.167.159.255', 1403486208, 1403494399, 'FR', 'France'),
(49503, '83.167.160.0', '83.167.191.255', 1403494400, 1403502591, 'GB', 'United Kingdom'),
(49504, '83.167.192.0', '83.167.223.255', 1403502592, 1403510783, 'NL', 'Netherlands'),
(49505, '83.167.224.0', '83.167.255.255', 1403510784, 1403518975, 'CZ', 'Czech Republic'),
(49506, '83.168.0.0', '83.168.63.255', 1403518976, 1403535359, 'CY', 'Cyprus'),
(49507, '83.168.64.0', '83.168.127.255', 1403535360, 1403551743, 'PL', 'Poland'),
(49508, '83.168.128.0', '83.168.146.151', 1403551744, 1403556503, 'SK', 'Slovakia'),
(49509, '83.168.146.152', '83.168.146.159', 1403556504, 1403556511, 'SR', 'Suriname'),
(49510, '83.168.146.160', '83.168.191.255', 1403556512, 1403568127, 'SK', 'Slovakia'),
(49511, '83.168.192.0', '83.168.211.255', 1403568128, 1403573247, 'SE', 'Sweden'),
(49512, '83.168.212.0', '83.168.212.255', 1403573248, 1403573503, 'ES', 'Spain'),
(49513, '83.168.213.0', '83.168.217.255', 1403573504, 1403574783, 'SE', 'Sweden'),
(49514, '83.168.218.0', '83.168.218.255', 1403574784, 1403575039, 'IT', 'Italy'),
(49515, '83.168.219.0', '83.168.222.255', 1403575040, 1403576063, 'SE', 'Sweden'),
(49516, '83.168.223.0', '83.168.223.255', 1403576064, 1403576319, 'DE', 'Germany'),
(49517, '83.168.224.0', '83.168.233.255', 1403576320, 1403578879, 'SE', 'Sweden'),
(49518, '83.168.234.0', '83.168.234.255', 1403578880, 1403579135, 'DK', 'Denmark'),
(49519, '83.168.235.0', '83.168.238.255', 1403579136, 1403580159, 'SE', 'Sweden'),
(49520, '83.168.239.0', '83.168.239.255', 1403580160, 1403580415, 'GB', 'United Kingdom'),
(49521, '83.168.240.0', '83.168.245.255', 1403580416, 1403581951, 'SE', 'Sweden'),
(49522, '83.168.246.0', '83.168.246.255', 1403581952, 1403582207, 'US', 'United States'),
(49523, '83.168.247.0', '83.168.255.255', 1403582208, 1403584511, 'SE', 'Sweden'),
(49524, '83.169.0.0', '83.169.63.255', 1403584512, 1403600895, 'DE', 'Germany'),
(49525, '83.169.64.0', '83.169.66.111', 1403600896, 1403601519, 'FR', 'France'),
(49526, '83.169.66.112', '83.169.66.127', 1403601520, 1403601535, 'MC', 'Monaco'),
(49527, '83.169.66.128', '83.169.127.255', 1403601536, 1403617279, 'FR', 'France'),
(49528, '83.169.128.0', '83.169.191.255', 1403617280, 1403633663, 'DE', 'Germany'),
(49529, '83.169.192.0', '83.169.255.255', 1403633664, 1403650047, 'RU', 'Russian Federation'),
(49530, '83.170.0.0', '83.170.63.255', 1403650048, 1403666431, 'A2', 'Satellite Provider'),
(49531, '83.170.64.0', '83.170.127.255', 1403666432, 1403682815, 'GB', 'United Kingdom'),
(49532, '83.170.128.0', '83.170.151.255', 1403682816, 1403688959, 'A2', 'Satellite Provider'),
(49533, '83.170.152.0', '83.170.163.255', 1403688960, 1403692031, 'GB', 'United Kingdom'),
(49534, '83.170.164.0', '83.170.191.255', 1403692032, 1403699199, 'A2', 'Satellite Provider'),
(49535, '83.170.192.0', '83.170.255.255', 1403699200, 1403715583, 'UA', 'Ukraine'),
(49536, '83.171.0.0', '83.171.63.255', 1403715584, 1403731967, 'LT', 'Lithuania'),
(49537, '83.171.64.0', '83.171.127.255', 1403731968, 1403748351, 'RU', 'Russian Federation'),
(49538, '83.171.128.0', '83.171.191.255', 1403748352, 1403764735, 'DE', 'Germany'),
(49539, '83.171.192.0', '83.171.255.255', 1403764736, 1403781119, 'GR', 'Greece'),
(49540, '83.172.0.0', '83.172.63.255', 1403781120, 1403797503, 'RU', 'Russian Federation'),
(49541, '83.172.64.0', '83.172.127.255', 1403797504, 1403813887, 'SE', 'Sweden'),
(49542, '83.172.128.0', '83.172.180.127', 1403813888, 1403827327, 'NL', 'Netherlands'),
(49543, '83.172.180.128', '83.172.180.255', 1403827328, 1403827455, 'BE', 'Belgium'),
(49544, '83.172.181.0', '83.172.181.127', 1403827456, 1403827583, 'NL', 'Netherlands'),
(49545, '83.172.181.128', '83.172.181.255', 1403827584, 1403827711, 'BE', 'Belgium'),
(49546, '83.172.182.0', '83.172.191.255', 1403827712, 1403830271, 'NL', 'Netherlands'),
(49547, '83.172.192.0', '83.172.255.255', 1403830272, 1403846655, 'CH', 'Switzerland'),
(49548, '83.173.0.0', '83.173.63.255', 1403846656, 1403863039, 'IS', 'Iceland'),
(49549, '83.173.64.0', '83.173.127.255', 1403863040, 1403879423, 'FR', 'France'),
(49550, '83.173.128.0', '83.173.191.255', 1403879424, 1403895807, 'ES', 'Spain'),
(49551, '83.173.192.0', '83.173.255.255', 1403895808, 1403912191, 'CH', 'Switzerland'),
(49552, '83.174.0.0', '83.174.63.255', 1403912192, 1403928575, 'PT', 'Portugal'),
(49553, '83.174.64.0', '83.174.127.255', 1403928576, 1403944959, 'SE', 'Sweden'),
(49554, '83.174.128.0', '83.174.191.255', 1403944960, 1403961343, 'GR', 'Greece'),
(49555, '83.174.192.0', '83.174.255.255', 1403961344, 1403977727, 'RU', 'Russian Federation'),
(49556, '83.175.0.0', '83.175.63.255', 1403977728, 1403994111, 'IT', 'Italy'),
(49557, '83.175.64.0', '83.175.127.255', 1403994112, 1404010495, 'AT', 'Austria'),
(49558, '83.175.128.0', '83.175.191.255', 1404010496, 1404026879, 'PL', 'Poland'),
(49559, '83.175.192.0', '83.175.255.255', 1404026880, 1404043263, 'ES', 'Spain'),
(49560, '83.176.0.0', '83.176.31.255', 1404043264, 1404051455, 'EE', 'Estonia'),
(49561, '83.176.32.0', '83.176.63.255', 1404051456, 1404059647, 'HR', 'Croatia'),
(49562, '83.176.64.0', '83.176.127.255', 1404059648, 1404076031, 'NO', 'Norway'),
(49563, '83.176.128.0', '83.176.159.255', 1404076032, 1404084223, 'DE', 'Germany'),
(49564, '83.176.160.0', '83.176.191.255', 1404084224, 1404092415, 'NO', 'Norway'),
(49565, '83.176.192.0', '83.177.31.255', 1404092416, 1404116991, 'SE', 'Sweden'),
(49566, '83.177.32.0', '83.177.63.255', 1404116992, 1404125183, 'NO', 'Norway'),
(49567, '83.177.64.0', '83.178.37.255', 1404125184, 1404184063, 'SE', 'Sweden'),
(49568, '83.178.38.0', '83.178.39.255', 1404184064, 1404184575, 'NO', 'Norway'),
(49569, '83.178.40.0', '83.178.47.255', 1404184576, 1404186623, 'SE', 'Sweden'),
(49570, '83.178.48.0', '83.178.51.255', 1404186624, 1404187647, 'NO', 'Norway'),
(49571, '83.178.52.0', '83.178.55.255', 1404187648, 1404188671, 'SE', 'Sweden'),
(49572, '83.178.56.0', '83.178.57.255', 1404188672, 1404189183, 'LT', 'Lithuania'),
(49573, '83.178.58.0', '83.178.59.255', 1404189184, 1404189695, 'EE', 'Estonia'),
(49574, '83.178.60.0', '83.178.63.255', 1404189696, 1404190719, 'NO', 'Norway'),
(49575, '83.178.64.0', '83.178.71.255', 1404190720, 1404192767, 'SE', 'Sweden'),
(49576, '83.178.72.0', '83.178.79.255', 1404192768, 1404194815, 'LV', 'Latvia'),
(49577, '83.178.80.0', '83.178.83.255', 1404194816, 1404195839, 'LT', 'Lithuania'),
(49578, '83.178.84.0', '83.178.85.255', 1404195840, 1404196351, 'NO', 'Norway'),
(49579, '83.178.86.0', '83.178.89.255', 1404196352, 1404197375, 'LT', 'Lithuania'),
(49580, '83.178.90.0', '83.178.91.255', 1404197376, 1404197887, 'NO', 'Norway'),
(49581, '83.178.92.0', '83.178.95.255', 1404197888, 1404198911, 'LT', 'Lithuania'),
(49582, '83.178.96.0', '83.178.103.255', 1404198912, 1404200959, 'SE', 'Sweden'),
(49583, '83.178.104.0', '83.178.111.255', 1404200960, 1404203007, 'NL', 'Netherlands'),
(49584, '83.178.112.0', '83.178.127.255', 1404203008, 1404207103, 'HR', 'Croatia'),
(49585, '83.178.128.0', '83.178.139.255', 1404207104, 1404210175, 'NO', 'Norway'),
(49586, '83.178.140.0', '83.178.147.255', 1404210176, 1404212223, 'LV', 'Latvia'),
(49587, '83.178.148.0', '83.178.159.255', 1404212224, 1404215295, 'SE', 'Sweden'),
(49588, '83.178.160.0', '83.178.175.255', 1404215296, 1404219391, 'LV', 'Latvia'),
(49589, '83.178.176.0', '83.178.179.255', 1404219392, 1404220415, 'SE', 'Sweden'),
(49590, '83.178.180.0', '83.178.183.255', 1404220416, 1404221439, 'EE', 'Estonia'),
(49591, '83.178.184.0', '83.178.187.255', 1404221440, 1404222463, 'RU', 'Russian Federation'),
(49592, '83.178.188.0', '83.178.189.255', 1404222464, 1404222975, 'LV', 'Latvia'),
(49593, '83.178.190.0', '83.178.199.255', 1404222976, 1404225535, 'SE', 'Sweden'),
(49594, '83.178.200.0', '83.178.205.255', 1404225536, 1404227071, 'RU', 'Russian Federation'),
(49595, '83.178.206.0', '83.178.207.255', 1404227072, 1404227583, 'HR', 'Croatia'),
(49596, '83.178.208.0', '83.178.223.255', 1404227584, 1404231679, 'LV', 'Latvia'),
(49597, '83.178.224.0', '83.178.225.255', 1404231680, 1404232191, 'SE', 'Sweden'),
(49598, '83.178.226.0', '83.178.227.255', 1404232192, 1404232703, 'NO', 'Norway'),
(49599, '83.178.228.0', '83.178.229.255', 1404232704, 1404233215, 'CH', 'Switzerland'),
(49600, '83.178.230.0', '83.178.233.255', 1404233216, 1404234239, 'SE', 'Sweden'),
(49601, '83.178.234.0', '83.178.239.255', 1404234240, 1404235775, 'HR', 'Croatia'),
(49602, '83.178.240.0', '83.179.63.255', 1404235776, 1404256255, 'SE', 'Sweden'),
(49603, '83.179.64.0', '83.179.255.255', 1404256256, 1404305407, 'RU', 'Russian Federation'),
(49604, '83.180.0.0', '83.180.63.255', 1404305408, 1404321791, 'NL', 'Netherlands'),
(49605, '83.180.64.0', '83.180.127.255', 1404321792, 1404338175, 'RU', 'Russian Federation'),
(49606, '83.180.128.0', '83.181.31.255', 1404338176, 1404379135, 'SE', 'Sweden'),
(49607, '83.181.32.0', '83.181.47.255', 1404379136, 1404383231, 'AT', 'Austria'),
(49608, '83.181.48.0', '83.181.63.255', 1404383232, 1404387327, 'SE', 'Sweden'),
(49609, '83.181.64.0', '83.181.95.255', 1404387328, 1404395519, 'DE', 'Germany'),
(49610, '83.181.96.0', '83.181.127.255', 1404395520, 1404403711, 'SE', 'Sweden'),
(49611, '83.181.128.0', '83.181.159.255', 1404403712, 1404411903, 'NL', 'Netherlands'),
(49612, '83.181.160.0', '83.181.191.255', 1404411904, 1404420095, 'SE', 'Sweden'),
(49613, '83.181.192.0', '83.181.255.255', 1404420096, 1404436479, 'RU', 'Russian Federation'),
(49614, '83.182.0.0', '83.184.31.255', 1404436480, 1404575743, 'SE', 'Sweden'),
(49615, '83.184.32.0', '83.184.63.255', 1404575744, 1404583935, 'HR', 'Croatia'),
(49616, '83.184.64.0', '83.184.127.255', 1404583936, 1404600319, 'KZ', 'Kazakhstan'),
(49617, '83.184.128.0', '83.185.47.255', 1404600320, 1404645375, 'SE', 'Sweden'),
(49618, '83.185.48.0', '83.185.49.255', 1404645376, 1404645887, 'HR', 'Croatia'),
(49619, '83.185.50.0', '83.186.255.255', 1404645888, 1404764159, 'SE', 'Sweden'),
(49620, '83.187.0.0', '83.187.63.255', 1404764160, 1404780543, 'NL', 'Netherlands'),
(49621, '83.187.64.0', '83.187.127.255', 1404780544, 1404796927, 'SE', 'Sweden'),
(49622, '83.187.128.0', '83.187.143.255', 1404796928, 1404801023, 'EE', 'Estonia'),
(49623, '83.187.144.0', '83.187.147.255', 1404801024, 1404802047, 'SE', 'Sweden'),
(49624, '83.187.148.0', '83.187.151.255', 1404802048, 1404803071, 'EE', 'Estonia'),
(49625, '83.187.152.0', '83.187.155.255', 1404803072, 1404804095, 'LV', 'Latvia'),
(49626, '83.187.156.0', '83.187.159.255', 1404804096, 1404805119, 'SE', 'Sweden'),
(49627, '83.187.160.0', '83.187.191.255', 1404805120, 1404813311, 'AT', 'Austria'),
(49628, '83.187.192.0', '83.187.201.255', 1404813312, 1404815871, 'EE', 'Estonia'),
(49629, '83.187.202.0', '83.187.203.255', 1404815872, 1404816383, 'LT', 'Lithuania'),
(49630, '83.187.204.0', '83.187.223.255', 1404816384, 1404821503, 'NL', 'Netherlands'),
(49631, '83.187.224.0', '83.187.255.255', 1404821504, 1404829695, 'SE', 'Sweden'),
(49632, '83.188.0.0', '83.188.159.255', 1404829696, 1404870655, 'RU', 'Russian Federation'),
(49633, '83.188.160.0', '83.188.167.255', 1404870656, 1404872703, 'LT', 'Lithuania'),
(49634, '83.188.168.0', '83.188.175.255', 1404872704, 1404874751, 'SE', 'Sweden'),
(49635, '83.188.176.0', '83.188.179.255', 1404874752, 1404875775, 'LV', 'Latvia'),
(49636, '83.188.180.0', '83.188.183.255', 1404875776, 1404876799, 'LT', 'Lithuania'),
(49637, '83.188.184.0', '83.188.255.255', 1404876800, 1404895231, 'SE', 'Sweden'),
(49638, '83.189.0.0', '83.189.127.255', 1404895232, 1404927999, 'DE', 'Germany'),
(49639, '83.189.128.0', '83.189.191.255', 1404928000, 1404944383, 'SE', 'Sweden'),
(49640, '83.189.192.0', '83.189.223.255', 1404944384, 1404952575, 'DE', 'Germany'),
(49641, '83.189.224.0', '83.189.255.255', 1404952576, 1404960767, 'NL', 'Netherlands'),
(49642, '83.190.0.0', '83.190.255.255', 1404960768, 1405026303, 'SE', 'Sweden'),
(49643, '83.191.0.0', '83.191.63.255', 1405026304, 1405042687, 'NO', 'Norway'),
(49644, '83.191.64.0', '83.191.87.255', 1405042688, 1405048831, 'SE', 'Sweden'),
(49645, '83.191.88.0', '83.191.95.255', 1405048832, 1405050879, 'HR', 'Croatia'),
(49646, '83.191.96.0', '83.191.127.255', 1405050880, 1405059071, 'AT', 'Austria'),
(49647, '83.191.128.0', '83.191.143.255', 1405059072, 1405063167, 'SE', 'Sweden'),
(49648, '83.191.144.0', '83.191.159.255', 1405063168, 1405067263, 'NO', 'Norway'),
(49649, '83.191.160.0', '83.191.191.255', 1405067264, 1405075455, 'DE', 'Germany'),
(49650, '83.191.192.0', '83.191.223.255', 1405075456, 1405083647, 'NL', 'Netherlands'),
(49651, '83.191.224.0', '83.191.255.255', 1405083648, 1405091839, 'SE', 'Sweden'),
(49652, '83.192.0.0', '83.207.255.255', 1405091840, 1406140415, 'FR', 'France'),
(49653, '83.208.0.0', '83.208.255.255', 1406140416, 1406205951, 'CZ', 'Czech Republic'),
(49654, '83.209.0.0', '83.209.255.255', 1406205952, 1406271487, 'SE', 'Sweden'),
(49655, '83.210.0.0', '83.210.255.255', 1406271488, 1406337023, 'IE', 'Ireland'),
(49656, '83.211.0.0', '83.211.255.255', 1406337024, 1406402559, 'IT', 'Italy'),
(49657, '83.212.0.0', '83.212.255.255', 1406402560, 1406468095, 'GR', 'Greece'),
(49658, '83.213.0.0', '83.213.255.255', 1406468096, 1406533631, 'ES', 'Spain'),
(49659, '83.214.0.0', '83.214.255.255', 1406533632, 1406599167, 'FR', 'France'),
(49660, '83.215.0.0', '83.215.255.255', 1406599168, 1406664703, 'AT', 'Austria'),
(49661, '83.216.0.0', '83.216.31.255', 1406664704, 1406672895, 'FI', 'Finland'),
(49662, '83.216.32.0', '83.216.63.255', 1406672896, 1406681087, 'HU', 'Hungary'),
(49663, '83.216.64.0', '83.216.95.255', 1406681088, 1406689279, 'GB', 'United Kingdom'),
(49664, '83.216.96.0', '83.216.127.255', 1406689280, 1406697471, 'SE', 'Sweden'),
(49665, '83.216.128.0', '83.216.159.255', 1406697472, 1406705663, 'GB', 'United Kingdom'),
(49666, '83.216.160.0', '83.216.171.255', 1406705664, 1406708735, 'IT', 'Italy'),
(49667, '83.216.172.0', '83.216.175.255', 1406708736, 1406709759, 'A2', 'Satellite Provider'),
(49668, '83.216.176.0', '83.216.176.255', 1406709760, 1406710015, 'IT', 'Italy'),
(49669, '83.216.177.0', '83.216.181.255', 1406710016, 1406711295, 'A2', 'Satellite Provider'),
(49670, '83.216.182.0', '83.216.184.255', 1406711296, 1406712063, 'IT', 'Italy'),
(49671, '83.216.185.0', '83.216.189.255', 1406712064, 1406713343, 'A2', 'Satellite Provider'),
(49672, '83.216.190.0', '83.216.191.255', 1406713344, 1406713855, 'IT', 'Italy'),
(49673, '83.216.192.0', '83.216.195.255', 1406713856, 1406714879, 'AT', 'Austria'),
(49674, '83.216.196.0', '83.216.197.255', 1406714880, 1406715391, 'NL', 'Netherlands'),
(49675, '83.216.198.0', '83.216.198.127', 1406715392, 1406715519, 'AT', 'Austria'),
(49676, '83.216.198.128', '83.216.198.255', 1406715520, 1406715647, 'NL', 'Netherlands'),
(49677, '83.216.199.0', '83.216.199.63', 1406715648, 1406715711, 'AT', 'Austria'),
(49678, '83.216.199.64', '83.216.201.255', 1406715712, 1406716415, 'NL', 'Netherlands'),
(49679, '83.216.202.0', '83.216.202.255', 1406716416, 1406716671, 'AT', 'Austria'),
(49680, '83.216.203.0', '83.216.203.255', 1406716672, 1406716927, 'NL', 'Netherlands'),
(49681, '83.216.204.0', '83.216.205.255', 1406716928, 1406717439, 'AT', 'Austria'),
(49682, '83.216.206.0', '83.216.206.255', 1406717440, 1406717695, 'NL', 'Netherlands'),
(49683, '83.216.207.0', '83.216.207.255', 1406717696, 1406717951, 'DE', 'Germany'),
(49684, '83.216.208.0', '83.216.208.63', 1406717952, 1406718015, 'GB', 'United Kingdom'),
(49685, '83.216.208.64', '83.216.208.67', 1406718016, 1406718019, 'AT', 'Austria'),
(49686, '83.216.208.68', '83.216.213.255', 1406718020, 1406719487, 'GB', 'United Kingdom'),
(49687, '83.216.214.0', '83.216.214.255', 1406719488, 1406719743, 'AT', 'Austria'),
(49688, '83.216.215.0', '83.216.215.255', 1406719744, 1406719999, 'GB', 'United Kingdom'),
(49689, '83.216.216.0', '83.216.219.255', 1406720000, 1406721023, 'AT', 'Austria'),
(49690, '83.216.220.0', '83.216.223.255', 1406721024, 1406722047, 'GB', 'United Kingdom'),
(49691, '83.216.224.0', '83.216.255.255', 1406722048, 1406730239, 'DE', 'Germany'),
(49692, '83.217.0.0', '83.217.63.255', 1406730240, 1406746623, 'RU', 'Russian Federation'),
(49693, '83.217.64.0', '83.217.95.255', 1406746624, 1406754815, 'BE', 'Belgium'),
(49694, '83.217.96.0', '83.217.127.255', 1406754816, 1406763007, 'GB', 'United Kingdom'),
(49695, '83.217.128.0', '83.217.159.255', 1406763008, 1406771199, 'BE', 'Belgium'),
(49696, '83.217.160.0', '83.217.191.255', 1406771200, 1406779391, 'GB', 'United Kingdom'),
(49697, '83.217.192.0', '83.217.223.255', 1406779392, 1406787583, 'RU', 'Russian Federation'),
(49698, '83.217.224.0', '83.217.224.95', 1406787584, 1406787679, 'GB', 'United Kingdom'),
(49699, '83.217.224.96', '83.217.224.103', 1406787680, 1406787687, 'ES', 'Spain'),
(49700, '83.217.224.104', '83.217.224.111', 1406787688, 1406787695, 'IL', 'Israel'),
(49701, '83.217.224.112', '83.217.225.95', 1406787696, 1406787935, 'GB', 'United Kingdom'),
(49702, '83.217.225.96', '83.217.225.127', 1406787936, 1406787967, 'ES', 'Spain'),
(49703, '83.217.225.128', '83.217.225.215', 1406787968, 1406788055, 'GB', 'United Kingdom'),
(49704, '83.217.225.216', '83.217.226.255', 1406788056, 1406788351, 'ES', 'Spain'),
(49705, '83.217.227.0', '83.217.227.127', 1406788352, 1406788479, 'BG', 'Bulgaria'),
(49706, '83.217.227.128', '83.217.227.255', 1406788480, 1406788607, 'ES', 'Spain'),
(49707, '83.217.228.0', '83.217.228.103', 1406788608, 1406788711, 'GB', 'United Kingdom'),
(49708, '83.217.228.104', '83.217.229.255', 1406788712, 1406789119, 'ES', 'Spain'),
(49709, '83.217.230.0', '83.217.230.15', 1406789120, 1406789135, 'GB', 'United Kingdom'),
(49710, '83.217.230.16', '83.217.230.63', 1406789136, 1406789183, 'ES', 'Spain'),
(49711, '83.217.230.64', '83.217.230.127', 1406789184, 1406789247, 'GB', 'United Kingdom'),
(49712, '83.217.230.128', '83.217.230.255', 1406789248, 1406789375, 'ES', 'Spain'),
(49713, '83.217.231.0', '83.217.231.127', 1406789376, 1406789503, 'RO', 'Romania'),
(49714, '83.217.231.128', '83.217.231.255', 1406789504, 1406789631, 'ES', 'Spain'),
(49715, '83.217.232.0', '83.217.232.255', 1406789632, 1406789887, 'FR', 'France'),
(49716, '83.217.233.0', '83.217.233.127', 1406789888, 1406790015, 'HU', 'Hungary'),
(49717, '83.217.233.128', '83.217.233.255', 1406790016, 1406790143, 'ES', 'Spain'),
(49718, '83.217.234.0', '83.217.234.32', 1406790144, 1406790176, 'GB', 'United Kingdom'),
(49719, '83.217.234.33', '83.217.234.63', 1406790177, 1406790207, 'ES', 'Spain'),
(49720, '83.217.234.64', '83.217.237.175', 1406790208, 1406791087, 'GB', 'United Kingdom'),
(49721, '83.217.237.176', '83.217.237.191', 1406791088, 1406791103, 'ES', 'Spain'),
(49722, '83.217.237.192', '83.217.237.223', 1406791104, 1406791135, 'GB', 'United Kingdom'),
(49723, '83.217.237.224', '83.217.238.255', 1406791136, 1406791423, 'ES', 'Spain'),
(49724, '83.217.239.0', '83.217.239.127', 1406791424, 1406791551, 'GB', 'United Kingdom'),
(49725, '83.217.239.128', '83.217.239.255', 1406791552, 1406791679, 'ES', 'Spain'),
(49726, '83.217.240.0', '83.217.240.255', 1406791680, 1406791935, 'GB', 'United Kingdom'),
(49727, '83.217.241.0', '83.217.241.31', 1406791936, 1406791967, 'DE', 'Germany'),
(49728, '83.217.241.32', '83.217.241.255', 1406791968, 1406792191, 'ES', 'Spain'),
(49729, '83.217.242.0', '83.217.243.255', 1406792192, 1406792703, 'GB', 'United Kingdom'),
(49730, '83.217.244.0', '83.217.244.15', 1406792704, 1406792719, 'FR', 'France'),
(49731, '83.217.244.16', '83.217.244.31', 1406792720, 1406792735, 'GB', 'United Kingdom'),
(49732, '83.217.244.32', '83.217.245.79', 1406792736, 1406793039, 'FR', 'France'),
(49733, '83.217.245.80', '83.217.245.255', 1406793040, 1406793215, 'ES', 'Spain'),
(49734, '83.217.246.0', '83.217.248.15', 1406793216, 1406793743, 'GB', 'United Kingdom'),
(49735, '83.217.248.16', '83.217.248.31', 1406793744, 1406793759, 'DE', 'Germany'),
(49736, '83.217.248.32', '83.217.248.103', 1406793760, 1406793831, 'GB', 'United Kingdom'),
(49737, '83.217.248.104', '83.217.248.111', 1406793832, 1406793839, 'ES', 'Spain'),
(49738, '83.217.248.112', '83.217.248.115', 1406793840, 1406793843, 'IL', 'Israel'),
(49739, '83.217.248.116', '83.217.248.119', 1406793844, 1406793847, 'ES', 'Spain'),
(49740, '83.217.248.120', '83.217.248.239', 1406793848, 1406793967, 'GB', 'United Kingdom'),
(49741, '83.217.248.240', '83.217.249.255', 1406793968, 1406794239, 'ES', 'Spain'),
(49742, '83.217.250.0', '83.217.250.255', 1406794240, 1406794495, 'NL', 'Netherlands'),
(49743, '83.217.251.0', '83.217.251.255', 1406794496, 1406794751, 'ES', 'Spain'),
(49744, '83.217.252.0', '83.217.255.255', 1406794752, 1406795775, 'NL', 'Netherlands'),
(49745, '83.218.0.0', '83.218.31.255', 1406795776, 1406803967, 'GB', 'United Kingdom'),
(49746, '83.218.32.0', '83.218.63.255', 1406803968, 1406812159, 'DE', 'Germany'),
(49747, '83.218.64.0', '83.218.95.255', 1406812160, 1406820351, 'SE', 'Sweden'),
(49748, '83.218.96.0', '83.218.127.255', 1406820352, 1406828543, 'PL', 'Poland'),
(49749, '83.218.128.0', '83.218.159.255', 1406828544, 1406836735, 'GB', 'United Kingdom'),
(49750, '83.218.160.0', '83.218.191.255', 1406836736, 1406844927, 'AT', 'Austria'),
(49751, '83.218.192.0', '83.218.223.255', 1406844928, 1406853119, 'MD', 'Moldova, Republic of'),
(49752, '83.218.224.0', '83.218.255.255', 1406853120, 1406861311, 'UA', 'Ukraine'),
(49753, '83.219.0.0', '83.219.31.255', 1406861312, 1406869503, 'RU', 'Russian Federation'),
(49754, '83.219.32.0', '83.219.63.255', 1406869504, 1406877695, 'GB', 'United Kingdom'),
(49755, '83.219.64.0', '83.219.95.255', 1406877696, 1406885887, 'NL', 'Netherlands'),
(49756, '83.219.128.0', '83.219.159.255', 1406894080, 1406902271, 'RU', 'Russian Federation'),
(49757, '83.219.160.0', '83.219.191.255', 1406902272, 1406910463, 'AT', 'Austria'),
(49758, '83.219.192.0', '83.219.223.255', 1406910464, 1406918655, 'SE', 'Sweden'),
(49759, '83.219.224.0', '83.219.253.255', 1406918656, 1406926335, 'RU', 'Russian Federation'),
(49760, '83.219.254.0', '83.219.255.255', 1406926336, 1406926847, 'DE', 'Germany'),
(49761, '83.220.0.0', '83.220.31.255', 1406926848, 1406935039, 'IT', 'Italy'),
(49762, '83.220.32.0', '83.220.95.255', 1406935040, 1406951423, 'RU', 'Russian Federation'),
(49763, '83.220.96.0', '83.220.127.255', 1406951424, 1406959615, 'PL', 'Poland'),
(49764, '83.220.128.0', '83.220.146.63', 1406959616, 1406964287, 'DE', 'Germany'),
(49765, '83.220.146.64', '83.220.146.127', 1406964288, 1406964351, 'NL', 'Netherlands'),
(49766, '83.220.146.128', '83.220.147.255', 1406964352, 1406964735, 'DE', 'Germany'),
(49767, '83.220.148.0', '83.220.148.191', 1406964736, 1406964927, 'US', 'United States'),
(49768, '83.220.148.192', '83.220.157.255', 1406964928, 1406967295, 'DE', 'Germany'),
(49769, '83.220.158.0', '83.220.158.31', 1406967296, 1406967327, 'GB', 'United Kingdom'),
(49770, '83.220.158.32', '83.220.158.47', 1406967328, 1406967343, 'NL', 'Netherlands'),
(49771, '83.220.158.48', '83.220.158.103', 1406967344, 1406967399, 'GB', 'United Kingdom'),
(49772, '83.220.158.104', '83.220.158.111', 1406967400, 1406967407, 'DE', 'Germany'),
(49773, '83.220.158.112', '83.220.158.127', 1406967408, 1406967423, 'GB', 'United Kingdom'),
(49774, '83.220.158.128', '83.220.158.255', 1406967424, 1406967551, 'DE', 'Germany'),
(49775, '83.220.159.0', '83.220.159.63', 1406967552, 1406967615, 'GB', 'United Kingdom'),
(49776, '83.220.159.64', '83.220.159.255', 1406967616, 1406967807, 'DE', 'Germany'),
(49777, '83.220.160.0', '83.220.191.255', 1406967808, 1406975999, 'RU', 'Russian Federation'),
(49778, '83.220.192.0', '83.220.223.255', 1406976000, 1406984191, 'IE', 'Ireland'),
(49779, '83.220.224.0', '83.221.31.255', 1406984192, 1407000575, 'RU', 'Russian Federation'),
(49780, '83.221.32.0', '83.221.95.255', 1407000576, 1407016959, 'DE', 'Germany'),
(49781, '83.221.96.0', '83.221.127.255', 1407016960, 1407025151, 'IT', 'Italy'),
(49782, '83.221.128.0', '83.221.129.255', 1407025152, 1407025663, 'DK', 'Denmark'),
(49783, '83.221.130.0', '83.221.130.255', 1407025664, 1407025919, 'US', 'United States'),
(49784, '83.221.131.0', '83.221.159.255', 1407025920, 1407033343, 'DK', 'Denmark'),
(49785, '83.221.160.0', '83.221.163.255', 1407033344, 1407034367, 'UZ', 'Uzbekistan'),
(49786, '83.221.164.0', '83.221.167.255', 1407034368, 1407035391, 'RU', 'Russian Federation'),
(49787, '83.221.168.0', '83.221.191.255', 1407035392, 1407041535, 'UZ', 'Uzbekistan'),
(49788, '83.221.192.0', '83.221.223.255', 1407041536, 1407049727, 'RU', 'Russian Federation'),
(49789, '83.221.224.0', '83.221.255.255', 1407049728, 1407057919, 'DE', 'Germany'),
(49790, '83.222.0.0', '83.222.31.255', 1407057920, 1407066111, 'RU', 'Russian Federation'),
(49791, '83.222.32.0', '83.222.63.255', 1407066112, 1407074303, 'LU', 'Luxembourg'),
(49792, '83.222.64.0', '83.222.123.255', 1407074304, 1407089663, 'RU', 'Russian Federation'),
(49793, '83.222.124.0', '83.222.127.255', 1407089664, 1407090687, 'US', 'United States'),
(49794, '83.222.128.0', '83.222.159.255', 1407090688, 1407098879, 'CH', 'Switzerland'),
(49795, '83.222.160.0', '83.222.191.255', 1407098880, 1407107071, 'BG', 'Bulgaria'),
(49796, '83.222.192.0', '83.222.223.255', 1407107072, 1407115263, 'RU', 'Russian Federation'),
(49797, '83.222.224.0', '83.222.239.128', 1407115264, 1407119232, 'GB', 'United Kingdom'),
(49798, '83.222.239.129', '83.222.239.133', 1407119233, 1407119237, 'US', 'United States'),
(49799, '83.222.239.134', '83.222.240.138', 1407119238, 1407119498, 'GB', 'United Kingdom'),
(49800, '83.222.240.139', '83.222.240.140', 1407119499, 1407119500, 'US', 'United States'),
(49801, '83.222.240.141', '83.222.240.159', 1407119501, 1407119519, 'GB', 'United Kingdom'),
(49802, '83.222.240.160', '83.222.240.160', 1407119520, 1407119520, 'US', 'United States'),
(49803, '83.222.240.161', '83.222.240.189', 1407119521, 1407119549, 'GB', 'United Kingdom'),
(49804, '83.222.240.190', '83.222.240.253', 1407119550, 1407119613, 'US', 'United States'),
(49805, '83.222.240.254', '83.222.246.80', 1407119614, 1407120976, 'GB', 'United Kingdom'),
(49806, '83.222.246.81', '83.222.246.84', 1407120977, 1407120980, 'US', 'United States'),
(49807, '83.222.246.85', '83.222.255.255', 1407120981, 1407123455, 'GB', 'United Kingdom'),
(49808, '83.223.0.0', '83.223.31.255', 1407123456, 1407131647, 'SE', 'Sweden'),
(49809, '83.223.32.0', '83.223.63.255', 1407131648, 1407139839, 'NL', 'Netherlands'),
(49810, '83.223.64.0', '83.223.95.255', 1407139840, 1407148031, 'DE', 'Germany'),
(49811, '83.223.96.0', '83.223.97.7', 1407148032, 1407148295, 'GB', 'United Kingdom'),
(49812, '83.223.97.8', '83.223.97.15', 1407148296, 1407148303, 'SE', 'Sweden'),
(49813, '83.223.97.16', '83.223.102.127', 1407148304, 1407149695, 'GB', 'United Kingdom'),
(49814, '83.223.102.128', '83.223.102.191', 1407149696, 1407149759, 'CY', 'Cyprus'),
(49815, '83.223.102.192', '83.223.102.223', 1407149760, 1407149791, 'SE', 'Sweden'),
(49816, '83.223.102.224', '83.223.109.255', 1407149792, 1407151615, 'GB', 'United Kingdom'),
(49817, '83.223.110.0', '83.223.110.255', 1407151616, 1407151871, 'SE', 'Sweden'),
(49818, '83.223.111.0', '83.223.112.131', 1407151872, 1407152259, 'GB', 'United Kingdom'),
(49819, '83.223.112.132', '83.223.112.135', 1407152260, 1407152263, 'IE', 'Ireland'),
(49820, '83.223.112.136', '83.223.112.159', 1407152264, 1407152287, 'US', 'United States'),
(49821, '83.223.112.160', '83.223.115.7', 1407152288, 1407152903, 'GB', 'United Kingdom'),
(49822, '83.223.115.8', '83.223.115.31', 1407152904, 1407152927, 'NL', 'Netherlands'),
(49823, '83.223.115.32', '83.223.121.191', 1407152928, 1407154623, 'GB', 'United Kingdom'),
(49824, '83.223.121.192', '83.223.121.199', 1407154624, 1407154631, 'SE', 'Sweden'),
(49825, '83.223.121.200', '83.223.122.23', 1407154632, 1407154711, 'GB', 'United Kingdom'),
(49826, '83.223.122.24', '83.223.122.31', 1407154712, 1407154719, 'SE', 'Sweden'),
(49827, '83.223.122.32', '83.223.127.255', 1407154720, 1407156223, 'GB', 'United Kingdom'),
(49828, '83.223.128.0', '83.223.159.255', 1407156224, 1407164415, 'LV', 'Latvia'),
(49829, '83.223.160.0', '83.223.191.255', 1407164416, 1407172607, 'PT', 'Portugal'),
(49830, '83.223.192.0', '83.223.223.255', 1407172608, 1407180799, 'GB', 'United Kingdom'),
(49831, '83.223.224.0', '83.223.255.255', 1407180800, 1407188991, 'RU', 'Russian Federation'),
(49832, '83.224.0.0', '83.225.255.255', 1407188992, 1407320063, 'IT', 'Italy'),
(49833, '83.226.0.0', '83.227.255.255', 1407320064, 1407451135, 'SE', 'Sweden'),
(49834, '83.228.0.0', '83.228.127.255', 1407451136, 1407483903, 'BG', 'Bulgaria'),
(49835, '83.228.128.0', '83.228.255.255', 1407483904, 1407516671, 'CH', 'Switzerland'),
(49836, '83.229.0.0', '83.229.0.7', 1407516672, 1407516679, 'GB', 'United Kingdom'),
(49837, '83.229.0.8', '83.229.0.23', 1407516680, 1407516695, 'NG', 'Nigeria'),
(49838, '83.229.0.24', '83.229.0.31', 1407516696, 1407516703, 'GB', 'United Kingdom'),
(49839, '83.229.0.32', '83.229.0.39', 1407516704, 1407516711, 'NG', 'Nigeria'),
(49840, '83.229.0.40', '83.229.0.55', 1407516712, 1407516727, 'GB', 'United Kingdom'),
(49841, '83.229.0.56', '83.229.0.63', 1407516728, 1407516735, 'NG', 'Nigeria'),
(49842, '83.229.0.64', '83.229.0.71', 1407516736, 1407516743, 'UG', 'Uganda'),
(49843, '83.229.0.72', '83.229.0.79', 1407516744, 1407516751, 'LR', 'Liberia'),
(49844, '83.229.0.80', '83.229.0.95', 1407516752, 1407516767, 'GB', 'United Kingdom'),
(49845, '83.229.0.96', '83.229.0.103', 1407516768, 1407516775, 'AO', 'Angola'),
(49846, '83.229.0.104', '83.229.0.111', 1407516776, 1407516783, 'GB', 'United Kingdom'),
(49847, '83.229.0.112', '83.229.0.119', 1407516784, 1407516791, 'NG', 'Nigeria'),
(49848, '83.229.0.120', '83.229.0.135', 1407516792, 1407516807, 'GB', 'United Kingdom'),
(49849, '83.229.0.136', '83.229.0.143', 1407516808, 1407516815, 'NG', 'Nigeria'),
(49850, '83.229.0.144', '83.229.0.175', 1407516816, 1407516847, 'GB', 'United Kingdom'),
(49851, '83.229.0.176', '83.229.0.183', 1407516848, 1407516855, 'NG', 'Nigeria'),
(49852, '83.229.0.184', '83.229.0.191', 1407516856, 1407516863, 'GB', 'United Kingdom'),
(49853, '83.229.0.192', '83.229.0.199', 1407516864, 1407516871, 'NG', 'Nigeria'),
(49854, '83.229.0.200', '83.229.0.207', 1407516872, 1407516879, 'GB', 'United Kingdom'),
(49855, '83.229.0.208', '83.229.0.223', 1407516880, 1407516895, 'NG', 'Nigeria'),
(49856, '83.229.0.224', '83.229.0.239', 1407516896, 1407516911, 'GB', 'United Kingdom'),
(49857, '83.229.0.240', '83.229.0.255', 1407516912, 1407516927, 'NG', 'Nigeria'),
(49858, '83.229.1.0', '83.229.1.15', 1407516928, 1407516943, 'GB', 'United Kingdom'),
(49859, '83.229.1.16', '83.229.1.23', 1407516944, 1407516951, 'NG', 'Nigeria'),
(49860, '83.229.1.24', '83.229.1.31', 1407516952, 1407516959, 'GB', 'United Kingdom'),
(49861, '83.229.1.32', '83.229.1.39', 1407516960, 1407516967, 'NG', 'Nigeria'),
(49862, '83.229.1.40', '83.229.1.47', 1407516968, 1407516975, 'GB', 'United Kingdom'),
(49863, '83.229.1.48', '83.229.1.55', 1407516976, 1407516983, 'GN', 'Guinea'),
(49864, '83.229.1.56', '83.229.1.63', 1407516984, 1407516991, 'KE', 'Kenya'),
(49865, '83.229.1.64', '83.229.1.71', 1407516992, 1407516999, 'CD', 'Congo, The Democratic Republic of the'),
(49866, '83.229.1.72', '83.229.1.95', 1407517000, 1407517023, 'GB', 'United Kingdom'),
(49867, '83.229.1.96', '83.229.1.103', 1407517024, 1407517031, 'GQ', 'Equatorial Guinea'),
(49868, '83.229.1.104', '83.229.1.111', 1407517032, 1407517039, 'NG', 'Nigeria'),
(49869, '83.229.1.112', '83.229.1.207', 1407517040, 1407517135, 'GB', 'United Kingdom'),
(49870, '83.229.1.208', '83.229.1.215', 1407517136, 1407517143, 'NG', 'Nigeria'),
(49871, '83.229.1.216', '83.229.1.223', 1407517144, 1407517151, 'GB', 'United Kingdom'),
(49872, '83.229.1.224', '83.229.1.231', 1407517152, 1407517159, 'CD', 'Congo, The Democratic Republic of the'),
(49873, '83.229.1.232', '83.229.1.239', 1407517160, 1407517167, 'ML', 'Mali'),
(49874, '83.229.1.240', '83.229.1.247', 1407517168, 1407517175, 'GB', 'United Kingdom'),
(49875, '83.229.1.248', '83.229.1.255', 1407517176, 1407517183, 'NG', 'Nigeria'),
(49876, '83.229.2.0', '83.229.2.199', 1407517184, 1407517383, 'GB', 'United Kingdom'),
(49877, '83.229.2.200', '83.229.2.207', 1407517384, 1407517391, 'CD', 'Congo, The Democratic Republic of the'),
(49878, '83.229.2.208', '83.229.2.239', 1407517392, 1407517423, 'GB', 'United Kingdom'),
(49879, '83.229.2.240', '83.229.2.247', 1407517424, 1407517431, 'US', 'United States'),
(49880, '83.229.2.248', '83.229.2.255', 1407517432, 1407517439, 'NG', 'Nigeria'),
(49881, '83.229.3.0', '83.229.3.255', 1407517440, 1407517695, 'GB', 'United Kingdom'),
(49882, '83.229.4.0', '83.229.4.191', 1407517696, 1407517887, 'NG', 'Nigeria'),
(49883, '83.229.4.192', '83.229.4.223', 1407517888, 1407517919, 'CD', 'Congo, The Democratic Republic of the'),
(49884, '83.229.4.224', '83.229.4.255', 1407517920, 1407517951, 'GB', 'United Kingdom'),
(49885, '83.229.5.0', '83.229.5.63', 1407517952, 1407518015, 'SL', 'Sierra Leone'),
(49886, '83.229.5.64', '83.229.5.71', 1407518016, 1407518023, 'GB', 'United Kingdom'),
(49887, '83.229.5.72', '83.229.5.79', 1407518024, 1407518031, 'ZA', 'South Africa'),
(49888, '83.229.5.80', '83.229.5.87', 1407518032, 1407518039, 'GB', 'United Kingdom'),
(49889, '83.229.5.88', '83.229.5.103', 1407518040, 1407518055, 'CD', 'Congo, The Democratic Republic of the'),
(49890, '83.229.5.104', '83.229.5.111', 1407518056, 1407518063, 'NG', 'Nigeria'),
(49891, '83.229.5.112', '83.229.5.127', 1407518064, 1407518079, 'GB', 'United Kingdom'),
(49892, '83.229.5.128', '83.229.5.159', 1407518080, 1407518111, 'LR', 'Liberia'),
(49893, '83.229.5.160', '83.229.5.175', 1407518112, 1407518127, 'NG', 'Nigeria'),
(49894, '83.229.5.176', '83.229.5.183', 1407518128, 1407518135, 'ZW', 'Zimbabwe'),
(49895, '83.229.5.184', '83.229.5.191', 1407518136, 1407518143, 'GH', 'Ghana'),
(49896, '83.229.5.192', '83.229.5.199', 1407518144, 1407518151, 'GB', 'United Kingdom'),
(49897, '83.229.5.200', '83.229.5.207', 1407518152, 1407518159, 'ZA', 'South Africa'),
(49898, '83.229.5.208', '83.229.5.215', 1407518160, 1407518167, 'NG', 'Nigeria'),
(49899, '83.229.5.216', '83.229.5.223', 1407518168, 1407518175, 'CD', 'Congo, The Democratic Republic of the'),
(49900, '83.229.5.224', '83.229.5.231', 1407518176, 1407518183, 'GB', 'United Kingdom'),
(49901, '83.229.5.232', '83.229.5.247', 1407518184, 1407518199, 'NG', 'Nigeria'),
(49902, '83.229.5.248', '83.229.5.255', 1407518200, 1407518207, 'AE', 'United Arab Emirates'),
(49903, '83.229.6.0', '83.229.6.7', 1407518208, 1407518215, 'LR', 'Liberia'),
(49904, '83.229.6.8', '83.229.6.23', 1407518216, 1407518231, 'GB', 'United Kingdom'),
(49905, '83.229.6.24', '83.229.6.47', 1407518232, 1407518255, 'NG', 'Nigeria'),
(49906, '83.229.6.48', '83.229.6.55', 1407518256, 1407518263, 'CD', 'Congo, The Democratic Republic of the'),
(49907, '83.229.6.56', '83.229.6.61', 1407518264, 1407518269, 'GH', 'Ghana'),
(49908, '83.229.6.62', '83.229.6.127', 1407518270, 1407518335, 'GB', 'United Kingdom'),
(49909, '83.229.6.128', '83.229.6.135', 1407518336, 1407518343, 'CG', 'Congo'),
(49910, '83.229.6.136', '83.229.6.143', 1407518344, 1407518351, 'ZA', 'South Africa'),
(49911, '83.229.6.144', '83.229.6.151', 1407518352, 1407518359, 'GB', 'United Kingdom'),
(49912, '83.229.6.152', '83.229.6.159', 1407518360, 1407518367, 'NG', 'Nigeria'),
(49913, '83.229.6.160', '83.229.6.167', 1407518368, 1407518375, 'ZA', 'South Africa'),
(49914, '83.229.6.168', '83.229.6.175', 1407518376, 1407518383, 'AO', 'Angola'),
(49915, '83.229.6.176', '83.229.8.111', 1407518384, 1407518831, 'GB', 'United Kingdom'),
(49916, '83.229.8.112', '83.229.8.127', 1407518832, 1407518847, 'NG', 'Nigeria'),
(49917, '83.229.8.128', '83.229.8.191', 1407518848, 1407518911, 'FR', 'France'),
(49918, '83.229.8.192', '83.229.8.223', 1407518912, 1407518943, 'NG', 'Nigeria'),
(49919, '83.229.8.224', '83.229.8.255', 1407518944, 1407518975, 'GB', 'United Kingdom'),
(49920, '83.229.9.0', '83.229.9.7', 1407518976, 1407518983, 'NG', 'Nigeria'),
(49921, '83.229.9.8', '83.229.9.15', 1407518984, 1407518991, 'GB', 'United Kingdom'),
(49922, '83.229.9.16', '83.229.9.23', 1407518992, 1407518999, 'NG', 'Nigeria'),
(49923, '83.229.9.24', '83.229.9.39', 1407519000, 1407519015, 'GB', 'United Kingdom'),
(49924, '83.229.9.40', '83.229.9.47', 1407519016, 1407519023, 'AO', 'Angola'),
(49925, '83.229.9.48', '83.229.9.55', 1407519024, 1407519031, 'GB', 'United Kingdom'),
(49926, '83.229.9.56', '83.229.9.63', 1407519032, 1407519039, 'AO', 'Angola'),
(49927, '83.229.9.64', '83.229.9.71', 1407519040, 1407519047, 'NG', 'Nigeria'),
(49928, '83.229.9.72', '83.229.9.79', 1407519048, 1407519055, 'GB', 'United Kingdom'),
(49929, '83.229.9.80', '83.229.9.87', 1407519056, 1407519063, 'NG', 'Nigeria'),
(49930, '83.229.9.88', '83.229.9.95', 1407519064, 1407519071, 'BJ', 'Benin'),
(49931, '83.229.9.96', '83.229.9.103', 1407519072, 1407519079, 'GB', 'United Kingdom'),
(49932, '83.229.9.104', '83.229.9.119', 1407519080, 1407519095, 'NG', 'Nigeria'),
(49933, '83.229.9.120', '83.229.9.127', 1407519096, 1407519103, 'CM', 'Cameroon'),
(49934, '83.229.9.128', '83.229.9.135', 1407519104, 1407519111, 'NG', 'Nigeria'),
(49935, '83.229.9.136', '83.229.9.143', 1407519112, 1407519119, 'SL', 'Sierra Leone'),
(49936, '83.229.9.144', '83.229.9.151', 1407519120, 1407519127, 'GB', 'United Kingdom'),
(49937, '83.229.9.152', '83.229.9.159', 1407519128, 1407519135, 'SL', 'Sierra Leone'),
(49938, '83.229.9.160', '83.229.9.167', 1407519136, 1407519143, 'GB', 'United Kingdom'),
(49939, '83.229.9.168', '83.229.9.175', 1407519144, 1407519151, 'AO', 'Angola'),
(49940, '83.229.9.176', '83.229.9.183', 1407519152, 1407519159, 'GB', 'United Kingdom'),
(49941, '83.229.9.184', '83.229.9.191', 1407519160, 1407519167, 'AO', 'Angola'),
(49942, '83.229.9.192', '83.229.9.199', 1407519168, 1407519175, 'GB', 'United Kingdom'),
(49943, '83.229.9.200', '83.229.9.207', 1407519176, 1407519183, 'SL', 'Sierra Leone'),
(49944, '83.229.9.208', '83.229.9.215', 1407519184, 1407519191, 'GB', 'United Kingdom'),
(49945, '83.229.9.216', '83.229.9.223', 1407519192, 1407519199, 'CD', 'Congo, The Democratic Republic of the'),
(49946, '83.229.9.224', '83.229.9.231', 1407519200, 1407519207, 'GB', 'United Kingdom'),
(49947, '83.229.9.232', '83.229.9.239', 1407519208, 1407519215, 'TG', 'Togo'),
(49948, '83.229.9.240', '83.229.9.247', 1407519216, 1407519223, 'NG', 'Nigeria'),
(49949, '83.229.9.248', '83.229.9.255', 1407519224, 1407519231, 'GB', 'United Kingdom'),
(49950, '83.229.10.0', '83.229.11.127', 1407519232, 1407519615, 'NG', 'Nigeria'),
(49951, '83.229.11.128', '83.229.12.7', 1407519616, 1407519751, 'GB', 'United Kingdom'),
(49952, '83.229.12.8', '83.229.12.15', 1407519752, 1407519759, 'NG', 'Nigeria'),
(49953, '83.229.12.16', '83.229.12.31', 1407519760, 1407519775, 'GB', 'United Kingdom'),
(49954, '83.229.12.32', '83.229.12.39', 1407519776, 1407519783, 'CG', 'Congo'),
(49955, '83.229.12.40', '83.229.12.47', 1407519784, 1407519791, 'GB', 'United Kingdom'),
(49956, '83.229.12.48', '83.229.12.55', 1407519792, 1407519799, 'NG', 'Nigeria'),
(49957, '83.229.12.56', '83.229.12.71', 1407519800, 1407519815, 'GB', 'United Kingdom'),
(49958, '83.229.12.72', '83.229.12.79', 1407519816, 1407519823, 'NG', 'Nigeria'),
(49959, '83.229.12.80', '83.229.12.87', 1407519824, 1407519831, 'GB', 'United Kingdom'),
(49960, '83.229.12.88', '83.229.12.95', 1407519832, 1407519839, 'SD', 'Sudan'),
(49961, '83.229.12.96', '83.229.12.103', 1407519840, 1407519847, 'ML', 'Mali'),
(49962, '83.229.12.104', '83.229.12.111', 1407519848, 1407519855, 'NG', 'Nigeria'),
(49963, '83.229.12.112', '83.229.12.119', 1407519856, 1407519863, 'GB', 'United Kingdom'),
(49964, '83.229.12.120', '83.229.12.127', 1407519864, 1407519871, 'NG', 'Nigeria'),
(49965, '83.229.12.128', '83.229.12.135', 1407519872, 1407519879, 'GB', 'United Kingdom'),
(49966, '83.229.12.136', '83.229.12.143', 1407519880, 1407519887, 'NG', 'Nigeria'),
(49967, '83.229.12.144', '83.229.12.159', 1407519888, 1407519903, 'GB', 'United Kingdom'),
(49968, '83.229.12.160', '83.229.12.167', 1407519904, 1407519911, 'NG', 'Nigeria'),
(49969, '83.229.12.168', '83.229.12.199', 1407519912, 1407519943, 'GB', 'United Kingdom'),
(49970, '83.229.12.200', '83.229.12.215', 1407519944, 1407519959, 'CD', 'Congo, The Democratic Republic of the'),
(49971, '83.229.12.216', '83.229.12.247', 1407519960, 1407519991, 'GB', 'United Kingdom'),
(49972, '83.229.12.248', '83.229.12.255', 1407519992, 1407519999, 'NG', 'Nigeria'),
(49973, '83.229.13.0', '83.229.13.15', 1407520000, 1407520015, 'GB', 'United Kingdom'),
(49974, '83.229.13.16', '83.229.13.23', 1407520016, 1407520023, 'NG', 'Nigeria'),
(49975, '83.229.13.24', '83.229.13.71', 1407520024, 1407520071, 'GB', 'United Kingdom'),
(49976, '83.229.13.72', '83.229.13.79', 1407520072, 1407520079, 'CM', 'Cameroon'),
(49977, '83.229.13.80', '83.229.13.87', 1407520080, 1407520087, 'NG', 'Nigeria'),
(49978, '83.229.13.88', '83.229.13.103', 1407520088, 1407520103, 'GB', 'United Kingdom'),
(49979, '83.229.13.104', '83.229.13.111', 1407520104, 1407520111, 'SD', 'Sudan'),
(49980, '83.229.13.112', '83.229.13.119', 1407520112, 1407520119, 'GB', 'United Kingdom'),
(49981, '83.229.13.120', '83.229.13.127', 1407520120, 1407520127, 'NE', 'Niger'),
(49982, '83.229.13.128', '83.229.13.143', 1407520128, 1407520143, 'GB', 'United Kingdom'),
(49983, '83.229.13.144', '83.229.13.151', 1407520144, 1407520151, 'GN', 'Guinea'),
(49984, '83.229.13.152', '83.229.13.152', 1407520152, 1407520152, 'GB', 'United Kingdom'),
(49985, '83.229.13.153', '83.229.13.159', 1407520153, 1407520159, 'GN', 'Guinea'),
(49986, '83.229.13.160', '83.229.13.167', 1407520160, 1407520167, 'GB', 'United Kingdom'),
(49987, '83.229.13.168', '83.229.13.175', 1407520168, 1407520175, 'GN', 'Guinea'),
(49988, '83.229.13.176', '83.229.13.207', 1407520176, 1407520207, 'GB', 'United Kingdom'),
(49989, '83.229.13.208', '83.229.13.215', 1407520208, 1407520215, 'NG', 'Nigeria'),
(49990, '83.229.13.216', '83.229.13.223', 1407520216, 1407520223, 'CD', 'Congo, The Democratic Republic of the'),
(49991, '83.229.13.224', '83.229.13.231', 1407520224, 1407520231, 'SD', 'Sudan'),
(49992, '83.229.13.232', '83.229.13.239', 1407520232, 1407520239, 'GB', 'United Kingdom'),
(49993, '83.229.13.240', '83.229.13.247', 1407520240, 1407520247, 'NE', 'Niger'),
(49994, '83.229.13.248', '83.229.14.15', 1407520248, 1407520271, 'GB', 'United Kingdom'),
(49995, '83.229.14.16', '83.229.14.23', 1407520272, 1407520279, 'NG', 'Nigeria'),
(49996, '83.229.14.24', '83.229.14.55', 1407520280, 1407520311, 'GB', 'United Kingdom'),
(49997, '83.229.14.56', '83.229.14.71', 1407520312, 1407520327, 'NG', 'Nigeria'),
(49998, '83.229.14.72', '83.229.14.79', 1407520328, 1407520335, 'SL', 'Sierra Leone'),
(49999, '83.229.14.80', '83.229.14.95', 1407520336, 1407520351, 'GB', 'United Kingdom'),
(50000, '83.229.14.96', '83.229.14.103', 1407520352, 1407520359, 'NG', 'Nigeria'),
(50001, '83.229.14.104', '83.229.14.111', 1407520360, 1407520367, 'CD', 'Congo, The Democratic Republic of the'),
(50002, '83.229.14.112', '83.229.14.119', 1407520368, 1407520375, 'GB', 'United Kingdom'),
(50003, '83.229.14.120', '83.229.14.141', 1407520376, 1407520397, 'NG', 'Nigeria'),
(50004, '83.229.14.142', '83.229.14.159', 1407520398, 1407520415, 'GB', 'United Kingdom'),
(50005, '83.229.14.160', '83.229.14.167', 1407520416, 1407520423, 'AO', 'Angola'),
(50006, '83.229.14.168', '83.229.14.183', 1407520424, 1407520439, 'GB', 'United Kingdom'),
(50007, '83.229.14.184', '83.229.14.191', 1407520440, 1407520447, 'CD', 'Congo, The Democratic Republic of the'),
(50008, '83.229.14.192', '83.229.14.207', 1407520448, 1407520463, 'NG', 'Nigeria'),
(50009, '83.229.14.208', '83.229.14.255', 1407520464, 1407520511, 'GB', 'United Kingdom'),
(50010, '83.229.15.0', '83.229.15.15', 1407520512, 1407520527, 'CD', 'Congo, The Democratic Republic of the'),
(50011, '83.229.15.16', '83.229.15.31', 1407520528, 1407520543, 'NG', 'Nigeria'),
(50012, '83.229.15.32', '83.229.15.39', 1407520544, 1407520551, 'GB', 'United Kingdom'),
(50013, '83.229.15.40', '83.229.15.47', 1407520552, 1407520559, 'NG', 'Nigeria'),
(50014, '83.229.15.48', '83.229.15.55', 1407520560, 1407520567, 'SL', 'Sierra Leone'),
(50015, '83.229.15.56', '83.229.15.71', 1407520568, 1407520583, 'NG', 'Nigeria'),
(50016, '83.229.15.72', '83.229.15.79', 1407520584, 1407520591, 'GB', 'United Kingdom'),
(50017, '83.229.15.80', '83.229.15.87', 1407520592, 1407520599, 'NG', 'Nigeria'),
(50018, '83.229.15.88', '83.229.15.95', 1407520600, 1407520607, 'GB', 'United Kingdom'),
(50019, '83.229.15.96', '83.229.15.103', 1407520608, 1407520615, 'AO', 'Angola'),
(50020, '83.229.15.104', '83.229.15.111', 1407520616, 1407520623, 'GB', 'United Kingdom'),
(50021, '83.229.15.112', '83.229.15.135', 1407520624, 1407520647, 'NG', 'Nigeria'),
(50022, '83.229.15.136', '83.229.15.143', 1407520648, 1407520655, 'ML', 'Mali'),
(50023, '83.229.15.144', '83.229.15.151', 1407520656, 1407520663, 'GA', 'Gabon'),
(50024, '83.229.15.152', '83.229.15.175', 1407520664, 1407520687, 'GB', 'United Kingdom'),
(50025, '83.229.15.176', '83.229.15.183', 1407520688, 1407520695, 'NG', 'Nigeria'),
(50026, '83.229.15.184', '83.229.15.199', 1407520696, 1407520711, 'GB', 'United Kingdom'),
(50027, '83.229.15.200', '83.229.15.207', 1407520712, 1407520719, 'NG', 'Nigeria'),
(50028, '83.229.15.208', '83.229.15.223', 1407520720, 1407520735, 'GB', 'United Kingdom'),
(50029, '83.229.15.224', '83.229.15.231', 1407520736, 1407520743, 'LR', 'Liberia'),
(50030, '83.229.15.232', '83.229.15.239', 1407520744, 1407520751, 'NG', 'Nigeria'),
(50031, '83.229.15.240', '83.229.15.247', 1407520752, 1407520759, 'BF', 'Burkina Faso'),
(50032, '83.229.15.248', '83.229.15.255', 1407520760, 1407520767, 'CD', 'Congo, The Democratic Republic of the'),
(50033, '83.229.16.0', '83.229.16.7', 1407520768, 1407520775, 'TZ', 'Tanzania, United Republic of'),
(50034, '83.229.16.8', '83.229.16.15', 1407520776, 1407520783, 'GB', 'United Kingdom'),
(50035, '83.229.16.16', '83.229.16.23', 1407520784, 1407520791, 'SD', 'Sudan'),
(50036, '83.229.16.24', '83.229.16.31', 1407520792, 1407520799, 'ZA', 'South Africa'),
(50037, '83.229.16.32', '83.229.16.39', 1407520800, 1407520807, 'GB', 'United Kingdom'),
(50038, '83.229.16.40', '83.229.16.47', 1407520808, 1407520815, 'MU', 'Mauritius'),
(50039, '83.229.16.48', '83.229.16.55', 1407520816, 1407520823, 'ZW', 'Zimbabwe'),
(50040, '83.229.16.56', '83.229.16.63', 1407520824, 1407520831, 'CI', 'Cote D''Ivoire'),
(50041, '83.229.16.64', '83.229.16.71', 1407520832, 1407520839, 'SO', 'Somalia'),
(50042, '83.229.16.72', '83.229.16.79', 1407520840, 1407520847, 'GB', 'United Kingdom'),
(50043, '83.229.16.80', '83.229.16.87', 1407520848, 1407520855, 'ZM', 'Zambia'),
(50044, '83.229.16.88', '83.229.16.95', 1407520856, 1407520863, 'GB', 'United Kingdom'),
(50045, '83.229.16.96', '83.229.16.103', 1407520864, 1407520871, 'TZ', 'Tanzania, United Republic of'),
(50046, '83.229.16.104', '83.229.16.119', 1407520872, 1407520887, 'CD', 'Congo, The Democratic Republic of the'),
(50047, '83.229.16.120', '83.229.16.127', 1407520888, 1407520895, 'TZ', 'Tanzania, United Republic of'),
(50048, '83.229.16.128', '83.229.16.135', 1407520896, 1407520903, 'AO', 'Angola'),
(50049, '83.229.16.136', '83.229.16.143', 1407520904, 1407520911, 'NG', 'Nigeria'),
(50050, '83.229.16.144', '83.229.16.151', 1407520912, 1407520919, 'ZW', 'Zimbabwe'),
(50051, '83.229.16.152', '83.229.16.159', 1407520920, 1407520927, 'IQ', 'Iraq');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(50052, '83.229.16.160', '83.229.16.167', 1407520928, 1407520935, 'GB', 'United Kingdom'),
(50053, '83.229.16.168', '83.229.16.175', 1407520936, 1407520943, 'CD', 'Congo, The Democratic Republic of the'),
(50054, '83.229.16.176', '83.229.16.183', 1407520944, 1407520951, 'TZ', 'Tanzania, United Republic of'),
(50055, '83.229.16.184', '83.229.16.191', 1407520952, 1407520959, 'ZM', 'Zambia'),
(50056, '83.229.16.192', '83.229.16.207', 1407520960, 1407520975, 'GB', 'United Kingdom'),
(50057, '83.229.16.208', '83.229.16.223', 1407520976, 1407520991, 'ZM', 'Zambia'),
(50058, '83.229.16.224', '83.229.16.231', 1407520992, 1407520999, 'IQ', 'Iraq'),
(50059, '83.229.16.232', '83.229.16.255', 1407521000, 1407521023, 'CD', 'Congo, The Democratic Republic of the'),
(50060, '83.229.17.0', '83.229.17.7', 1407521024, 1407521031, 'ZM', 'Zambia'),
(50061, '83.229.17.8', '83.229.17.23', 1407521032, 1407521047, 'GB', 'United Kingdom'),
(50062, '83.229.17.24', '83.229.17.31', 1407521048, 1407521055, 'NG', 'Nigeria'),
(50063, '83.229.17.32', '83.229.17.39', 1407521056, 1407521063, 'KE', 'Kenya'),
(50064, '83.229.17.40', '83.229.17.47', 1407521064, 1407521071, 'NG', 'Nigeria'),
(50065, '83.229.17.48', '83.229.17.55', 1407521072, 1407521079, 'TZ', 'Tanzania, United Republic of'),
(50066, '83.229.17.56', '83.229.17.63', 1407521080, 1407521087, 'UG', 'Uganda'),
(50067, '83.229.17.64', '83.229.17.71', 1407521088, 1407521095, 'NG', 'Nigeria'),
(50068, '83.229.17.72', '83.229.17.79', 1407521096, 1407521103, 'GB', 'United Kingdom'),
(50069, '83.229.17.80', '83.229.17.87', 1407521104, 1407521111, 'MZ', 'Mozambique'),
(50070, '83.229.17.88', '83.229.17.95', 1407521112, 1407521119, 'SL', 'Sierra Leone'),
(50071, '83.229.17.96', '83.229.17.103', 1407521120, 1407521127, 'GB', 'United Kingdom'),
(50072, '83.229.17.104', '83.229.17.111', 1407521128, 1407521135, 'NG', 'Nigeria'),
(50073, '83.229.17.112', '83.229.17.119', 1407521136, 1407521143, 'GB', 'United Kingdom'),
(50074, '83.229.17.120', '83.229.17.127', 1407521144, 1407521151, 'ZM', 'Zambia'),
(50075, '83.229.17.128', '83.229.17.135', 1407521152, 1407521159, 'NG', 'Nigeria'),
(50076, '83.229.17.136', '83.229.17.143', 1407521160, 1407521167, 'ZW', 'Zimbabwe'),
(50077, '83.229.17.144', '83.229.17.151', 1407521168, 1407521175, 'GB', 'United Kingdom'),
(50078, '83.229.17.152', '83.229.17.159', 1407521176, 1407521183, 'IQ', 'Iraq'),
(50079, '83.229.17.160', '83.229.17.175', 1407521184, 1407521199, 'CD', 'Congo, The Democratic Republic of the'),
(50080, '83.229.17.176', '83.229.17.183', 1407521200, 1407521207, 'GB', 'United Kingdom'),
(50081, '83.229.17.184', '83.229.17.191', 1407521208, 1407521215, 'IQ', 'Iraq'),
(50082, '83.229.17.192', '83.229.17.199', 1407521216, 1407521223, 'MU', 'Mauritius'),
(50083, '83.229.17.200', '83.229.17.207', 1407521224, 1407521231, 'TZ', 'Tanzania, United Republic of'),
(50084, '83.229.17.208', '83.229.17.215', 1407521232, 1407521239, 'LR', 'Liberia'),
(50085, '83.229.17.216', '83.229.17.223', 1407521240, 1407521247, 'GB', 'United Kingdom'),
(50086, '83.229.17.224', '83.229.17.255', 1407521248, 1407521279, 'GH', 'Ghana'),
(50087, '83.229.18.0', '83.229.18.135', 1407521280, 1407521415, 'GB', 'United Kingdom'),
(50088, '83.229.18.136', '83.229.18.143', 1407521416, 1407521423, 'LR', 'Liberia'),
(50089, '83.229.18.144', '83.229.18.255', 1407521424, 1407521535, 'GB', 'United Kingdom'),
(50090, '83.229.19.0', '83.229.19.173', 1407521536, 1407521709, 'NG', 'Nigeria'),
(50091, '83.229.19.174', '83.229.19.175', 1407521710, 1407521711, 'GB', 'United Kingdom'),
(50092, '83.229.19.176', '83.229.19.191', 1407521712, 1407521727, 'NG', 'Nigeria'),
(50093, '83.229.19.192', '83.229.19.199', 1407521728, 1407521735, 'GB', 'United Kingdom'),
(50094, '83.229.19.200', '83.229.19.215', 1407521736, 1407521751, 'NG', 'Nigeria'),
(50095, '83.229.19.216', '83.229.19.223', 1407521752, 1407521759, 'GB', 'United Kingdom'),
(50096, '83.229.19.224', '83.229.19.231', 1407521760, 1407521767, 'NG', 'Nigeria'),
(50097, '83.229.19.232', '83.229.19.247', 1407521768, 1407521783, 'GB', 'United Kingdom'),
(50098, '83.229.19.248', '83.229.19.255', 1407521784, 1407521791, 'NG', 'Nigeria'),
(50099, '83.229.20.0', '83.229.21.255', 1407521792, 1407522303, 'GB', 'United Kingdom'),
(50100, '83.229.22.0', '83.229.22.255', 1407522304, 1407522559, 'A2', 'Satellite Provider'),
(50101, '83.229.23.0', '83.229.23.7', 1407522560, 1407522567, 'MZ', 'Mozambique'),
(50102, '83.229.23.8', '83.229.23.15', 1407522568, 1407522575, 'NG', 'Nigeria'),
(50103, '83.229.23.16', '83.229.23.23', 1407522576, 1407522583, 'GB', 'United Kingdom'),
(50104, '83.229.23.24', '83.229.23.31', 1407522584, 1407522591, 'GL', 'Greenland'),
(50105, '83.229.23.32', '83.229.23.39', 1407522592, 1407522599, 'UG', 'Uganda'),
(50106, '83.229.23.40', '83.229.23.47', 1407522600, 1407522607, 'ZM', 'Zambia'),
(50107, '83.229.23.48', '83.229.23.55', 1407522608, 1407522615, 'AO', 'Angola'),
(50108, '83.229.23.56', '83.229.23.71', 1407522616, 1407522631, 'GB', 'United Kingdom'),
(50109, '83.229.23.72', '83.229.23.79', 1407522632, 1407522639, 'MW', 'Malawi'),
(50110, '83.229.23.80', '83.229.23.87', 1407522640, 1407522647, 'GQ', 'Equatorial Guinea'),
(50111, '83.229.23.88', '83.229.23.95', 1407522648, 1407522655, 'NG', 'Nigeria'),
(50112, '83.229.23.96', '83.229.23.111', 1407522656, 1407522671, 'GB', 'United Kingdom'),
(50113, '83.229.23.112', '83.229.23.119', 1407522672, 1407522679, 'ZM', 'Zambia'),
(50114, '83.229.23.120', '83.229.23.127', 1407522680, 1407522687, 'SD', 'Sudan'),
(50115, '83.229.23.128', '83.229.23.135', 1407522688, 1407522695, 'GB', 'United Kingdom'),
(50116, '83.229.23.136', '83.229.23.143', 1407522696, 1407522703, 'GL', 'Greenland'),
(50117, '83.229.23.144', '83.229.23.151', 1407522704, 1407522711, 'NG', 'Nigeria'),
(50118, '83.229.23.152', '83.229.23.159', 1407522712, 1407522719, 'BJ', 'Benin'),
(50119, '83.229.23.160', '83.229.23.167', 1407522720, 1407522727, 'GB', 'United Kingdom'),
(50120, '83.229.23.168', '83.229.23.175', 1407522728, 1407522735, 'ZW', 'Zimbabwe'),
(50121, '83.229.23.176', '83.229.23.183', 1407522736, 1407522743, 'GB', 'United Kingdom'),
(50122, '83.229.23.184', '83.229.23.191', 1407522744, 1407522751, 'NG', 'Nigeria'),
(50123, '83.229.23.192', '83.229.23.207', 1407522752, 1407522767, 'ZM', 'Zambia'),
(50124, '83.229.23.208', '83.229.23.215', 1407522768, 1407522775, 'GB', 'United Kingdom'),
(50125, '83.229.23.216', '83.229.23.223', 1407522776, 1407522783, 'TD', 'Chad'),
(50126, '83.229.23.224', '83.229.23.231', 1407522784, 1407522791, 'ZW', 'Zimbabwe'),
(50127, '83.229.23.232', '83.229.23.239', 1407522792, 1407522799, 'GB', 'United Kingdom'),
(50128, '83.229.23.240', '83.229.23.247', 1407522800, 1407522807, 'NG', 'Nigeria'),
(50129, '83.229.23.248', '83.229.23.255', 1407522808, 1407522815, 'GB', 'United Kingdom'),
(50130, '83.229.24.0', '83.229.24.7', 1407522816, 1407522823, 'CD', 'Congo, The Democratic Republic of the'),
(50131, '83.229.24.8', '83.229.24.15', 1407522824, 1407522831, 'NG', 'Nigeria'),
(50132, '83.229.24.16', '83.229.24.23', 1407522832, 1407522839, 'MZ', 'Mozambique'),
(50133, '83.229.24.24', '83.229.24.31', 1407522840, 1407522847, 'NG', 'Nigeria'),
(50134, '83.229.24.32', '83.229.24.39', 1407522848, 1407522855, 'TZ', 'Tanzania, United Republic of'),
(50135, '83.229.24.40', '83.229.24.47', 1407522856, 1407522863, 'ZW', 'Zimbabwe'),
(50136, '83.229.24.48', '83.229.24.55', 1407522864, 1407522871, 'TZ', 'Tanzania, United Republic of'),
(50137, '83.229.24.56', '83.229.24.63', 1407522872, 1407522879, 'IQ', 'Iraq'),
(50138, '83.229.24.64', '83.229.24.71', 1407522880, 1407522887, 'MU', 'Mauritius'),
(50139, '83.229.24.72', '83.229.24.79', 1407522888, 1407522895, 'GB', 'United Kingdom'),
(50140, '83.229.24.80', '83.229.24.87', 1407522896, 1407522903, 'UG', 'Uganda'),
(50141, '83.229.24.88', '83.229.24.95', 1407522904, 1407522911, 'KE', 'Kenya'),
(50142, '83.229.24.96', '83.229.24.103', 1407522912, 1407522919, 'CG', 'Congo'),
(50143, '83.229.24.104', '83.229.24.111', 1407522920, 1407522927, 'GB', 'United Kingdom'),
(50144, '83.229.24.112', '83.229.24.119', 1407522928, 1407522935, 'GR', 'Greece'),
(50145, '83.229.24.120', '83.229.24.151', 1407522936, 1407522967, 'GB', 'United Kingdom'),
(50146, '83.229.24.152', '83.229.24.159', 1407522968, 1407522975, 'MU', 'Mauritius'),
(50147, '83.229.24.160', '83.229.24.167', 1407522976, 1407522983, 'CD', 'Congo, The Democratic Republic of the'),
(50148, '83.229.24.168', '83.229.24.175', 1407522984, 1407522991, 'GB', 'United Kingdom'),
(50149, '83.229.24.176', '83.229.24.183', 1407522992, 1407522999, 'CD', 'Congo, The Democratic Republic of the'),
(50150, '83.229.24.184', '83.229.24.199', 1407523000, 1407523015, 'GB', 'United Kingdom'),
(50151, '83.229.24.200', '83.229.24.207', 1407523016, 1407523023, 'KE', 'Kenya'),
(50152, '83.229.24.208', '83.229.24.215', 1407523024, 1407523031, 'MU', 'Mauritius'),
(50153, '83.229.24.216', '83.229.24.231', 1407523032, 1407523047, 'GB', 'United Kingdom'),
(50154, '83.229.24.232', '83.229.24.239', 1407523048, 1407523055, 'NG', 'Nigeria'),
(50155, '83.229.24.240', '83.229.24.247', 1407523056, 1407523063, 'MU', 'Mauritius'),
(50156, '83.229.24.248', '83.229.24.255', 1407523064, 1407523071, 'GB', 'United Kingdom'),
(50157, '83.229.25.0', '83.229.25.7', 1407523072, 1407523079, 'CD', 'Congo, The Democratic Republic of the'),
(50158, '83.229.25.8', '83.229.25.15', 1407523080, 1407523087, 'GB', 'United Kingdom'),
(50159, '83.229.25.16', '83.229.25.16', 1407523088, 1407523088, 'NG', 'Nigeria'),
(50160, '83.229.25.17', '83.229.25.31', 1407523089, 1407523103, 'GB', 'United Kingdom'),
(50161, '83.229.25.32', '83.229.25.39', 1407523104, 1407523111, 'UG', 'Uganda'),
(50162, '83.229.25.40', '83.229.25.47', 1407523112, 1407523119, 'ZW', 'Zimbabwe'),
(50163, '83.229.25.48', '83.229.25.55', 1407523120, 1407523127, 'CD', 'Congo, The Democratic Republic of the'),
(50164, '83.229.25.56', '83.229.25.63', 1407523128, 1407523135, 'GB', 'United Kingdom'),
(50165, '83.229.25.64', '83.229.25.71', 1407523136, 1407523143, 'BJ', 'Benin'),
(50166, '83.229.25.72', '83.229.25.87', 1407523144, 1407523159, 'GB', 'United Kingdom'),
(50167, '83.229.25.88', '83.229.25.95', 1407523160, 1407523167, 'LR', 'Liberia'),
(50168, '83.229.25.96', '83.229.25.103', 1407523168, 1407523175, 'GB', 'United Kingdom'),
(50169, '83.229.25.104', '83.229.25.111', 1407523176, 1407523183, 'UG', 'Uganda'),
(50170, '83.229.25.112', '83.229.25.119', 1407523184, 1407523191, 'NG', 'Nigeria'),
(50171, '83.229.25.120', '83.229.25.135', 1407523192, 1407523207, 'GB', 'United Kingdom'),
(50172, '83.229.25.136', '83.229.25.143', 1407523208, 1407523215, 'SD', 'Sudan'),
(50173, '83.229.25.144', '83.229.25.151', 1407523216, 1407523223, 'BI', 'Burundi'),
(50174, '83.229.25.152', '83.229.25.183', 1407523224, 1407523255, 'GB', 'United Kingdom'),
(50175, '83.229.25.184', '83.229.25.191', 1407523256, 1407523263, 'NG', 'Nigeria'),
(50176, '83.229.25.192', '83.229.25.199', 1407523264, 1407523271, 'GB', 'United Kingdom'),
(50177, '83.229.25.200', '83.229.25.207', 1407523272, 1407523279, 'US', 'United States'),
(50178, '83.229.25.208', '83.229.25.215', 1407523280, 1407523287, 'ZW', 'Zimbabwe'),
(50179, '83.229.25.216', '83.229.25.223', 1407523288, 1407523295, 'NG', 'Nigeria'),
(50180, '83.229.25.224', '83.229.25.231', 1407523296, 1407523303, 'GR', 'Greece'),
(50181, '83.229.25.232', '83.229.25.239', 1407523304, 1407523311, 'NG', 'Nigeria'),
(50182, '83.229.25.240', '83.229.25.255', 1407523312, 1407523327, 'BJ', 'Benin'),
(50183, '83.229.26.0', '83.229.26.7', 1407523328, 1407523335, 'MW', 'Malawi'),
(50184, '83.229.26.8', '83.229.26.23', 1407523336, 1407523351, 'GB', 'United Kingdom'),
(50185, '83.229.26.24', '83.229.26.31', 1407523352, 1407523359, 'LU', 'Luxembourg'),
(50186, '83.229.26.32', '83.229.26.207', 1407523360, 1407523535, 'GB', 'United Kingdom'),
(50187, '83.229.26.208', '83.229.26.215', 1407523536, 1407523543, 'SO', 'Somalia'),
(50188, '83.229.26.216', '83.229.26.223', 1407523544, 1407523551, 'NG', 'Nigeria'),
(50189, '83.229.26.224', '83.229.26.231', 1407523552, 1407523559, 'CM', 'Cameroon'),
(50190, '83.229.26.232', '83.229.26.239', 1407523560, 1407523567, 'KE', 'Kenya'),
(50191, '83.229.26.240', '83.229.26.255', 1407523568, 1407523583, 'GB', 'United Kingdom'),
(50192, '83.229.27.0', '83.229.27.7', 1407523584, 1407523591, 'IQ', 'Iraq'),
(50193, '83.229.27.8', '83.229.27.23', 1407523592, 1407523607, 'GB', 'United Kingdom'),
(50194, '83.229.27.24', '83.229.27.31', 1407523608, 1407523615, 'IQ', 'Iraq'),
(50195, '83.229.27.32', '83.229.27.39', 1407523616, 1407523623, 'GB', 'United Kingdom'),
(50196, '83.229.27.40', '83.229.27.71', 1407523624, 1407523655, 'IQ', 'Iraq'),
(50197, '83.229.27.72', '83.229.27.79', 1407523656, 1407523663, 'GB', 'United Kingdom'),
(50198, '83.229.27.80', '83.229.27.135', 1407523664, 1407523719, 'IQ', 'Iraq'),
(50199, '83.229.27.136', '83.229.27.159', 1407523720, 1407523743, 'GB', 'United Kingdom'),
(50200, '83.229.27.160', '83.229.27.167', 1407523744, 1407523751, 'IQ', 'Iraq'),
(50201, '83.229.27.168', '83.229.27.215', 1407523752, 1407523799, 'GB', 'United Kingdom'),
(50202, '83.229.27.216', '83.229.27.223', 1407523800, 1407523807, 'SY', 'Syrian Arab Republic'),
(50203, '83.229.27.224', '83.229.27.247', 1407523808, 1407523831, 'GB', 'United Kingdom'),
(50204, '83.229.27.248', '83.229.27.255', 1407523832, 1407523839, 'IQ', 'Iraq'),
(50205, '83.229.28.0', '83.229.30.255', 1407523840, 1407524607, 'GB', 'United Kingdom'),
(50206, '83.229.31.0', '83.229.31.7', 1407524608, 1407524615, 'ZW', 'Zimbabwe'),
(50207, '83.229.31.8', '83.229.31.15', 1407524616, 1407524623, 'CD', 'Congo, The Democratic Republic of the'),
(50208, '83.229.31.16', '83.229.31.23', 1407524624, 1407524631, 'ZA', 'South Africa'),
(50209, '83.229.31.24', '83.229.31.31', 1407524632, 1407524639, 'NG', 'Nigeria'),
(50210, '83.229.31.32', '83.229.31.39', 1407524640, 1407524647, 'KE', 'Kenya'),
(50211, '83.229.31.40', '83.229.31.47', 1407524648, 1407524655, 'CD', 'Congo, The Democratic Republic of the'),
(50212, '83.229.31.48', '83.229.31.55', 1407524656, 1407524663, 'ZW', 'Zimbabwe'),
(50213, '83.229.31.56', '83.229.31.63', 1407524664, 1407524671, 'CD', 'Congo, The Democratic Republic of the'),
(50214, '83.229.31.64', '83.229.31.71', 1407524672, 1407524679, 'GB', 'United Kingdom'),
(50215, '83.229.31.72', '83.229.31.79', 1407524680, 1407524687, 'LR', 'Liberia'),
(50216, '83.229.31.80', '83.229.31.95', 1407524688, 1407524703, 'MZ', 'Mozambique'),
(50217, '83.229.31.96', '83.229.31.103', 1407524704, 1407524711, 'GB', 'United Kingdom'),
(50218, '83.229.31.104', '83.229.31.111', 1407524712, 1407524719, 'ZW', 'Zimbabwe'),
(50219, '83.229.31.112', '83.229.31.119', 1407524720, 1407524727, 'GB', 'United Kingdom'),
(50220, '83.229.31.120', '83.229.31.127', 1407524728, 1407524735, 'NG', 'Nigeria'),
(50221, '83.229.31.128', '83.229.31.135', 1407524736, 1407524743, 'GB', 'United Kingdom'),
(50222, '83.229.31.136', '83.229.31.143', 1407524744, 1407524751, 'ZW', 'Zimbabwe'),
(50223, '83.229.31.144', '83.229.31.151', 1407524752, 1407524759, 'GB', 'United Kingdom'),
(50224, '83.229.31.152', '83.229.31.159', 1407524760, 1407524767, 'CM', 'Cameroon'),
(50225, '83.229.31.160', '83.229.31.167', 1407524768, 1407524775, 'BW', 'Botswana'),
(50226, '83.229.31.168', '83.229.31.175', 1407524776, 1407524783, 'GB', 'United Kingdom'),
(50227, '83.229.31.176', '83.229.31.183', 1407524784, 1407524791, 'ZW', 'Zimbabwe'),
(50228, '83.229.31.184', '83.229.31.191', 1407524792, 1407524799, 'LR', 'Liberia'),
(50229, '83.229.31.192', '83.229.31.231', 1407524800, 1407524839, 'GB', 'United Kingdom'),
(50230, '83.229.31.232', '83.229.31.239', 1407524840, 1407524847, 'LR', 'Liberia'),
(50231, '83.229.31.240', '83.229.31.247', 1407524848, 1407524855, 'GB', 'United Kingdom'),
(50232, '83.229.31.248', '83.229.31.255', 1407524856, 1407524863, 'CD', 'Congo, The Democratic Republic of the'),
(50233, '83.229.32.0', '83.229.32.15', 1407524864, 1407524879, 'GB', 'United Kingdom'),
(50234, '83.229.32.16', '83.229.32.23', 1407524880, 1407524887, 'ZW', 'Zimbabwe'),
(50235, '83.229.32.24', '83.229.32.31', 1407524888, 1407524895, 'TZ', 'Tanzania, United Republic of'),
(50236, '83.229.32.32', '83.229.32.39', 1407524896, 1407524903, 'LR', 'Liberia'),
(50237, '83.229.32.40', '83.229.32.47', 1407524904, 1407524911, 'GB', 'United Kingdom'),
(50238, '83.229.32.48', '83.229.32.55', 1407524912, 1407524919, 'ZW', 'Zimbabwe'),
(50239, '83.229.32.56', '83.229.32.63', 1407524920, 1407524927, 'ZA', 'South Africa'),
(50240, '83.229.32.64', '83.229.32.71', 1407524928, 1407524935, 'GB', 'United Kingdom'),
(50241, '83.229.32.72', '83.229.32.79', 1407524936, 1407524943, 'GR', 'Greece'),
(50242, '83.229.32.80', '83.229.32.87', 1407524944, 1407524951, 'ZW', 'Zimbabwe'),
(50243, '83.229.32.88', '83.229.32.95', 1407524952, 1407524959, 'UG', 'Uganda'),
(50244, '83.229.32.96', '83.229.32.103', 1407524960, 1407524967, 'TZ', 'Tanzania, United Republic of'),
(50245, '83.229.32.104', '83.229.32.111', 1407524968, 1407524975, 'NG', 'Nigeria'),
(50246, '83.229.32.112', '83.229.32.119', 1407524976, 1407524983, 'CD', 'Congo, The Democratic Republic of the'),
(50247, '83.229.32.120', '83.229.32.127', 1407524984, 1407524991, 'ZA', 'South Africa'),
(50248, '83.229.32.128', '83.229.32.135', 1407524992, 1407524999, 'TZ', 'Tanzania, United Republic of'),
(50249, '83.229.32.136', '83.229.32.143', 1407525000, 1407525007, 'GB', 'United Kingdom'),
(50250, '83.229.32.144', '83.229.32.151', 1407525008, 1407525015, 'TZ', 'Tanzania, United Republic of'),
(50251, '83.229.32.152', '83.229.32.159', 1407525016, 1407525023, 'UG', 'Uganda'),
(50252, '83.229.32.160', '83.229.32.167', 1407525024, 1407525031, 'US', 'United States'),
(50253, '83.229.32.168', '83.229.32.175', 1407525032, 1407525039, 'IL', 'Israel'),
(50254, '83.229.32.176', '83.229.32.183', 1407525040, 1407525047, 'ZA', 'South Africa'),
(50255, '83.229.32.184', '83.229.32.191', 1407525048, 1407525055, 'NG', 'Nigeria'),
(50256, '83.229.32.192', '83.229.32.199', 1407525056, 1407525063, 'ZA', 'South Africa'),
(50257, '83.229.32.200', '83.229.32.207', 1407525064, 1407525071, 'SO', 'Somalia'),
(50258, '83.229.32.208', '83.229.32.215', 1407525072, 1407525079, 'CD', 'Congo, The Democratic Republic of the'),
(50259, '83.229.32.216', '83.229.32.223', 1407525080, 1407525087, 'GB', 'United Kingdom'),
(50260, '83.229.32.224', '83.229.32.231', 1407525088, 1407525095, 'MW', 'Malawi'),
(50261, '83.229.32.232', '83.229.32.239', 1407525096, 1407525103, 'ZW', 'Zimbabwe'),
(50262, '83.229.32.240', '83.229.32.247', 1407525104, 1407525111, 'NG', 'Nigeria'),
(50263, '83.229.32.248', '83.229.32.255', 1407525112, 1407525119, 'ZA', 'South Africa'),
(50264, '83.229.33.0', '83.229.33.7', 1407525120, 1407525127, 'GB', 'United Kingdom'),
(50265, '83.229.33.8', '83.229.33.15', 1407525128, 1407525135, 'SD', 'Sudan'),
(50266, '83.229.33.16', '83.229.33.23', 1407525136, 1407525143, 'CD', 'Congo, The Democratic Republic of the'),
(50267, '83.229.33.24', '83.229.33.31', 1407525144, 1407525151, 'TZ', 'Tanzania, United Republic of'),
(50268, '83.229.33.32', '83.229.33.47', 1407525152, 1407525167, 'CD', 'Congo, The Democratic Republic of the'),
(50269, '83.229.33.48', '83.229.33.55', 1407525168, 1407525175, 'GB', 'United Kingdom'),
(50270, '83.229.33.56', '83.229.33.63', 1407525176, 1407525183, 'CD', 'Congo, The Democratic Republic of the'),
(50271, '83.229.33.64', '83.229.33.71', 1407525184, 1407525191, 'ZW', 'Zimbabwe'),
(50272, '83.229.33.72', '83.229.33.87', 1407525192, 1407525207, 'GB', 'United Kingdom'),
(50273, '83.229.33.88', '83.229.33.95', 1407525208, 1407525215, 'CD', 'Congo, The Democratic Republic of the'),
(50274, '83.229.33.96', '83.229.33.111', 1407525216, 1407525231, 'GB', 'United Kingdom'),
(50275, '83.229.33.112', '83.229.33.135', 1407525232, 1407525255, 'CD', 'Congo, The Democratic Republic of the'),
(50276, '83.229.33.136', '83.229.33.143', 1407525256, 1407525263, 'GB', 'United Kingdom'),
(50277, '83.229.33.144', '83.229.33.167', 1407525264, 1407525287, 'CD', 'Congo, The Democratic Republic of the'),
(50278, '83.229.33.168', '83.229.33.183', 1407525288, 1407525303, 'GB', 'United Kingdom'),
(50279, '83.229.33.184', '83.229.33.199', 1407525304, 1407525319, 'CD', 'Congo, The Democratic Republic of the'),
(50280, '83.229.33.200', '83.229.33.207', 1407525320, 1407525327, 'GB', 'United Kingdom'),
(50281, '83.229.33.208', '83.229.33.223', 1407525328, 1407525343, 'CD', 'Congo, The Democratic Republic of the'),
(50282, '83.229.33.224', '83.229.34.7', 1407525344, 1407525383, 'GB', 'United Kingdom'),
(50283, '83.229.34.8', '83.229.34.15', 1407525384, 1407525391, 'CD', 'Congo, The Democratic Republic of the'),
(50284, '83.229.34.16', '83.229.34.23', 1407525392, 1407525399, 'GB', 'United Kingdom'),
(50285, '83.229.34.24', '83.229.34.31', 1407525400, 1407525407, 'KE', 'Kenya'),
(50286, '83.229.34.32', '83.229.34.39', 1407525408, 1407525415, 'UG', 'Uganda'),
(50287, '83.229.34.40', '83.229.34.47', 1407525416, 1407525423, 'GB', 'United Kingdom'),
(50288, '83.229.34.48', '83.229.34.55', 1407525424, 1407525431, 'UG', 'Uganda'),
(50289, '83.229.34.56', '83.229.34.95', 1407525432, 1407525471, 'GB', 'United Kingdom'),
(50290, '83.229.34.96', '83.229.34.103', 1407525472, 1407525479, 'UG', 'Uganda'),
(50291, '83.229.34.104', '83.229.34.111', 1407525480, 1407525487, 'CD', 'Congo, The Democratic Republic of the'),
(50292, '83.229.34.112', '83.229.34.127', 1407525488, 1407525503, 'GB', 'United Kingdom'),
(50293, '83.229.34.128', '83.229.34.135', 1407525504, 1407525511, 'UG', 'Uganda'),
(50294, '83.229.34.136', '83.229.34.167', 1407525512, 1407525543, 'GB', 'United Kingdom'),
(50295, '83.229.34.168', '83.229.34.175', 1407525544, 1407525551, 'KE', 'Kenya'),
(50296, '83.229.34.176', '83.229.34.183', 1407525552, 1407525559, 'VG', 'Virgin Islands, British'),
(50297, '83.229.34.184', '83.229.34.191', 1407525560, 1407525567, 'GB', 'United Kingdom'),
(50298, '83.229.34.192', '83.229.34.199', 1407525568, 1407525575, 'CD', 'Congo, The Democratic Republic of the'),
(50299, '83.229.34.200', '83.229.34.207', 1407525576, 1407525583, 'LR', 'Liberia'),
(50300, '83.229.34.208', '83.229.34.231', 1407525584, 1407525607, 'GB', 'United Kingdom'),
(50301, '83.229.34.232', '83.229.34.239', 1407525608, 1407525615, 'CD', 'Congo, The Democratic Republic of the'),
(50302, '83.229.34.240', '83.229.34.247', 1407525616, 1407525623, 'GB', 'United Kingdom'),
(50303, '83.229.34.248', '83.229.34.255', 1407525624, 1407525631, 'SO', 'Somalia'),
(50304, '83.229.35.0', '83.229.35.63', 1407525632, 1407525695, 'GB', 'United Kingdom'),
(50305, '83.229.35.64', '83.229.35.71', 1407525696, 1407525703, 'IQ', 'Iraq'),
(50306, '83.229.35.72', '83.229.35.119', 1407525704, 1407525751, 'GB', 'United Kingdom'),
(50307, '83.229.35.120', '83.229.35.127', 1407525752, 1407525759, 'IQ', 'Iraq'),
(50308, '83.229.35.128', '83.229.39.55', 1407525760, 1407526711, 'GB', 'United Kingdom'),
(50309, '83.229.39.56', '83.229.39.63', 1407526712, 1407526719, 'GN', 'Guinea'),
(50310, '83.229.39.64', '83.229.47.255', 1407526720, 1407528959, 'GB', 'United Kingdom'),
(50311, '83.229.48.0', '83.229.48.31', 1407528960, 1407528991, 'SO', 'Somalia'),
(50312, '83.229.48.32', '83.229.48.63', 1407528992, 1407529023, 'GB', 'United Kingdom'),
(50313, '83.229.48.64', '83.229.48.127', 1407529024, 1407529087, 'US', 'United States'),
(50314, '83.229.48.128', '83.229.48.135', 1407529088, 1407529095, 'SO', 'Somalia'),
(50315, '83.229.48.136', '83.229.48.143', 1407529096, 1407529103, 'GB', 'United Kingdom'),
(50316, '83.229.48.144', '83.229.48.151', 1407529104, 1407529111, 'SO', 'Somalia'),
(50317, '83.229.48.152', '83.229.48.215', 1407529112, 1407529175, 'GB', 'United Kingdom'),
(50318, '83.229.48.216', '83.229.48.218', 1407529176, 1407529178, 'SO', 'Somalia'),
(50319, '83.229.48.219', '83.229.48.220', 1407529179, 1407529180, 'NG', 'Nigeria'),
(50320, '83.229.48.221', '83.229.48.223', 1407529181, 1407529183, 'SO', 'Somalia'),
(50321, '83.229.48.224', '83.229.48.231', 1407529184, 1407529191, 'NG', 'Nigeria'),
(50322, '83.229.48.232', '83.229.48.247', 1407529192, 1407529207, 'GB', 'United Kingdom'),
(50323, '83.229.48.248', '83.229.48.255', 1407529208, 1407529215, 'NG', 'Nigeria'),
(50324, '83.229.49.0', '83.229.55.255', 1407529216, 1407531007, 'GB', 'United Kingdom'),
(50325, '83.229.56.0', '83.229.57.255', 1407531008, 1407531519, 'NG', 'Nigeria'),
(50326, '83.229.58.0', '83.229.58.23', 1407531520, 1407531543, 'CD', 'Congo, The Democratic Republic of the'),
(50327, '83.229.58.24', '83.229.58.47', 1407531544, 1407531567, 'GB', 'United Kingdom'),
(50328, '83.229.58.48', '83.229.58.55', 1407531568, 1407531575, 'CD', 'Congo, The Democratic Republic of the'),
(50329, '83.229.58.56', '83.229.58.63', 1407531576, 1407531583, 'GQ', 'Equatorial Guinea'),
(50330, '83.229.58.64', '83.229.58.71', 1407531584, 1407531591, 'CD', 'Congo, The Democratic Republic of the'),
(50331, '83.229.58.72', '83.229.58.87', 1407531592, 1407531607, 'GB', 'United Kingdom'),
(50332, '83.229.58.88', '83.229.58.95', 1407531608, 1407531615, 'CD', 'Congo, The Democratic Republic of the'),
(50333, '83.229.58.96', '83.229.58.103', 1407531616, 1407531623, 'GB', 'United Kingdom'),
(50334, '83.229.58.104', '83.229.58.111', 1407531624, 1407531631, 'CD', 'Congo, The Democratic Republic of the'),
(50335, '83.229.58.112', '83.229.58.119', 1407531632, 1407531639, 'ZM', 'Zambia'),
(50336, '83.229.58.120', '83.229.58.127', 1407531640, 1407531647, 'CD', 'Congo, The Democratic Republic of the'),
(50337, '83.229.58.128', '83.229.58.143', 1407531648, 1407531663, 'GB', 'United Kingdom'),
(50338, '83.229.58.144', '83.229.58.151', 1407531664, 1407531671, 'MZ', 'Mozambique'),
(50339, '83.229.58.152', '83.229.58.167', 1407531672, 1407531687, 'CD', 'Congo, The Democratic Republic of the'),
(50340, '83.229.58.168', '83.229.58.183', 1407531688, 1407531703, 'GB', 'United Kingdom'),
(50341, '83.229.58.184', '83.229.58.191', 1407531704, 1407531711, 'SD', 'Sudan'),
(50342, '83.229.58.192', '83.229.58.215', 1407531712, 1407531735, 'CD', 'Congo, The Democratic Republic of the'),
(50343, '83.229.58.216', '83.229.58.223', 1407531736, 1407531743, 'ZW', 'Zimbabwe'),
(50344, '83.229.58.224', '83.229.58.231', 1407531744, 1407531751, 'GB', 'United Kingdom'),
(50345, '83.229.58.232', '83.229.58.239', 1407531752, 1407531759, 'GQ', 'Equatorial Guinea'),
(50346, '83.229.58.240', '83.229.58.247', 1407531760, 1407531767, 'ZW', 'Zimbabwe'),
(50347, '83.229.58.248', '83.229.58.255', 1407531768, 1407531775, 'SD', 'Sudan'),
(50348, '83.229.59.0', '83.229.61.255', 1407531776, 1407532543, 'GB', 'United Kingdom'),
(50349, '83.229.62.0', '83.229.62.7', 1407532544, 1407532551, 'SO', 'Somalia'),
(50350, '83.229.62.8', '83.229.62.15', 1407532552, 1407532559, 'AO', 'Angola'),
(50351, '83.229.62.16', '83.229.62.39', 1407532560, 1407532583, 'GB', 'United Kingdom'),
(50352, '83.229.62.40', '83.229.62.47', 1407532584, 1407532591, 'ZW', 'Zimbabwe'),
(50353, '83.229.62.48', '83.229.62.71', 1407532592, 1407532615, 'GB', 'United Kingdom'),
(50354, '83.229.62.72', '83.229.62.79', 1407532616, 1407532623, 'KG', 'Kyrgyzstan'),
(50355, '83.229.62.80', '83.229.62.95', 1407532624, 1407532639, 'GB', 'United Kingdom'),
(50356, '83.229.62.96', '83.229.62.103', 1407532640, 1407532647, 'NG', 'Nigeria'),
(50357, '83.229.62.104', '83.229.62.119', 1407532648, 1407532663, 'GB', 'United Kingdom'),
(50358, '83.229.62.120', '83.229.62.127', 1407532664, 1407532671, 'TZ', 'Tanzania, United Republic of'),
(50359, '83.229.62.128', '83.229.62.255', 1407532672, 1407532799, 'GB', 'United Kingdom'),
(50360, '83.229.63.0', '83.229.63.127', 1407532800, 1407532927, 'SO', 'Somalia'),
(50361, '83.229.63.128', '83.229.63.255', 1407532928, 1407533055, 'GB', 'United Kingdom'),
(50362, '83.229.64.0', '83.229.64.255', 1407533056, 1407533311, 'NG', 'Nigeria'),
(50363, '83.229.65.0', '83.229.65.15', 1407533312, 1407533327, 'AO', 'Angola'),
(50364, '83.229.65.16', '83.229.65.31', 1407533328, 1407533343, 'GB', 'United Kingdom'),
(50365, '83.229.65.32', '83.229.65.63', 1407533344, 1407533375, 'NG', 'Nigeria'),
(50366, '83.229.65.64', '83.229.65.95', 1407533376, 1407533407, 'CD', 'Congo, The Democratic Republic of the'),
(50367, '83.229.65.96', '83.229.65.111', 1407533408, 1407533423, 'GB', 'United Kingdom'),
(50368, '83.229.65.112', '83.229.65.255', 1407533424, 1407533567, 'GH', 'Ghana'),
(50369, '83.229.66.0', '83.229.66.15', 1407533568, 1407533583, 'NG', 'Nigeria'),
(50370, '83.229.66.16', '83.229.66.23', 1407533584, 1407533591, 'NE', 'Niger'),
(50371, '83.229.66.24', '83.229.66.39', 1407533592, 1407533607, 'GB', 'United Kingdom'),
(50372, '83.229.66.40', '83.229.66.95', 1407533608, 1407533663, 'NG', 'Nigeria'),
(50373, '83.229.66.96', '83.229.66.111', 1407533664, 1407533679, 'GB', 'United Kingdom'),
(50374, '83.229.66.112', '83.229.66.127', 1407533680, 1407533695, 'NG', 'Nigeria'),
(50375, '83.229.66.128', '83.229.66.143', 1407533696, 1407533711, 'GB', 'United Kingdom'),
(50376, '83.229.66.144', '83.229.66.151', 1407533712, 1407533719, 'ZW', 'Zimbabwe'),
(50377, '83.229.66.152', '83.229.66.159', 1407533720, 1407533727, 'SL', 'Sierra Leone'),
(50378, '83.229.66.160', '83.229.66.167', 1407533728, 1407533735, 'GB', 'United Kingdom'),
(50379, '83.229.66.168', '83.229.66.175', 1407533736, 1407533743, 'GN', 'Guinea'),
(50380, '83.229.66.176', '83.229.66.183', 1407533744, 1407533751, 'NG', 'Nigeria'),
(50381, '83.229.66.184', '83.229.66.191', 1407533752, 1407533759, 'SL', 'Sierra Leone'),
(50382, '83.229.66.192', '83.229.66.199', 1407533760, 1407533767, 'NG', 'Nigeria'),
(50383, '83.229.66.200', '83.229.66.247', 1407533768, 1407533815, 'GB', 'United Kingdom'),
(50384, '83.229.66.248', '83.229.66.255', 1407533816, 1407533823, 'NG', 'Nigeria'),
(50385, '83.229.67.0', '83.229.67.7', 1407533824, 1407533831, 'LR', 'Liberia'),
(50386, '83.229.67.8', '83.229.67.71', 1407533832, 1407533895, 'GB', 'United Kingdom'),
(50387, '83.229.67.72', '83.229.67.79', 1407533896, 1407533903, 'CD', 'Congo, The Democratic Republic of the'),
(50388, '83.229.67.80', '83.229.67.95', 1407533904, 1407533919, 'GB', 'United Kingdom'),
(50389, '83.229.67.96', '83.229.67.103', 1407533920, 1407533927, 'BF', 'Burkina Faso'),
(50390, '83.229.67.104', '83.229.67.255', 1407533928, 1407534079, 'GB', 'United Kingdom'),
(50391, '83.229.68.0', '83.229.68.255', 1407534080, 1407534335, 'AE', 'United Arab Emirates'),
(50392, '83.229.69.0', '83.229.69.23', 1407534336, 1407534359, 'GB', 'United Kingdom'),
(50393, '83.229.69.24', '83.229.69.47', 1407534360, 1407534383, 'NG', 'Nigeria'),
(50394, '83.229.69.48', '83.229.69.55', 1407534384, 1407534391, 'GR', 'Greece'),
(50395, '83.229.69.56', '83.229.69.63', 1407534392, 1407534399, 'AO', 'Angola'),
(50396, '83.229.69.64', '83.229.69.71', 1407534400, 1407534407, 'NG', 'Nigeria'),
(50397, '83.229.69.72', '83.229.69.79', 1407534408, 1407534415, 'CI', 'Cote D''Ivoire'),
(50398, '83.229.69.80', '83.229.69.119', 1407534416, 1407534455, 'GB', 'United Kingdom'),
(50399, '83.229.69.120', '83.229.69.127', 1407534456, 1407534463, 'NG', 'Nigeria'),
(50400, '83.229.69.128', '83.229.69.207', 1407534464, 1407534543, 'GB', 'United Kingdom'),
(50401, '83.229.69.208', '83.229.69.223', 1407534544, 1407534559, 'GH', 'Ghana'),
(50402, '83.229.69.224', '83.229.69.231', 1407534560, 1407534567, 'NG', 'Nigeria'),
(50403, '83.229.69.232', '83.229.69.239', 1407534568, 1407534575, 'GB', 'United Kingdom'),
(50404, '83.229.69.240', '83.229.69.247', 1407534576, 1407534583, 'CD', 'Congo, The Democratic Republic of the'),
(50405, '83.229.69.248', '83.229.70.127', 1407534584, 1407534719, 'GB', 'United Kingdom'),
(50406, '83.229.70.128', '83.229.70.135', 1407534720, 1407534727, 'NG', 'Nigeria'),
(50407, '83.229.70.136', '83.229.70.143', 1407534728, 1407534735, 'GB', 'United Kingdom'),
(50408, '83.229.70.144', '83.229.70.183', 1407534736, 1407534775, 'NG', 'Nigeria'),
(50409, '83.229.70.184', '83.229.70.191', 1407534776, 1407534783, 'ML', 'Mali'),
(50410, '83.229.70.192', '83.229.70.199', 1407534784, 1407534791, 'CD', 'Congo, The Democratic Republic of the'),
(50411, '83.229.70.200', '83.229.70.255', 1407534792, 1407534847, 'GB', 'United Kingdom'),
(50412, '83.229.71.0', '83.229.71.255', 1407534848, 1407535103, 'CM', 'Cameroon'),
(50413, '83.229.72.0', '83.229.73.255', 1407535104, 1407535615, 'GA', 'Gabon'),
(50414, '83.229.74.0', '83.229.74.15', 1407535616, 1407535631, 'GB', 'United Kingdom'),
(50415, '83.229.74.16', '83.229.74.23', 1407535632, 1407535639, 'SD', 'Sudan'),
(50416, '83.229.74.24', '83.229.74.31', 1407535640, 1407535647, 'GB', 'United Kingdom'),
(50417, '83.229.74.32', '83.229.74.39', 1407535648, 1407535655, 'NG', 'Nigeria'),
(50418, '83.229.74.40', '83.229.74.63', 1407535656, 1407535679, 'GB', 'United Kingdom'),
(50419, '83.229.74.64', '83.229.74.71', 1407535680, 1407535687, 'GN', 'Guinea'),
(50420, '83.229.74.72', '83.229.74.79', 1407535688, 1407535695, 'GB', 'United Kingdom'),
(50421, '83.229.74.80', '83.229.74.87', 1407535696, 1407535703, 'GN', 'Guinea'),
(50422, '83.229.74.88', '83.229.74.119', 1407535704, 1407535735, 'GB', 'United Kingdom'),
(50423, '83.229.74.120', '83.229.74.127', 1407535736, 1407535743, 'NG', 'Nigeria'),
(50424, '83.229.74.128', '83.229.75.255', 1407535744, 1407536127, 'GB', 'United Kingdom'),
(50425, '83.229.76.0', '83.229.77.255', 1407536128, 1407536639, 'GA', 'Gabon'),
(50426, '83.229.78.0', '83.229.78.255', 1407536640, 1407536895, 'CD', 'Congo, The Democratic Republic of the'),
(50427, '83.229.79.0', '83.229.79.7', 1407536896, 1407536903, 'GB', 'United Kingdom'),
(50428, '83.229.79.8', '83.229.79.23', 1407536904, 1407536919, 'ZW', 'Zimbabwe'),
(50429, '83.229.79.24', '83.229.79.39', 1407536920, 1407536935, 'GB', 'United Kingdom'),
(50430, '83.229.79.40', '83.229.79.47', 1407536936, 1407536943, 'NG', 'Nigeria'),
(50431, '83.229.79.48', '83.229.79.55', 1407536944, 1407536951, 'AO', 'Angola'),
(50432, '83.229.79.56', '83.229.79.87', 1407536952, 1407536983, 'GB', 'United Kingdom'),
(50433, '83.229.79.88', '83.229.79.95', 1407536984, 1407536991, 'IQ', 'Iraq'),
(50434, '83.229.79.96', '83.229.79.135', 1407536992, 1407537031, 'GB', 'United Kingdom'),
(50435, '83.229.79.136', '83.229.79.143', 1407537032, 1407537039, 'NG', 'Nigeria'),
(50436, '83.229.79.144', '83.229.79.151', 1407537040, 1407537047, 'GB', 'United Kingdom'),
(50437, '83.229.79.152', '83.229.79.159', 1407537048, 1407537055, 'NG', 'Nigeria'),
(50438, '83.229.79.160', '83.229.79.175', 1407537056, 1407537071, 'GH', 'Ghana'),
(50439, '83.229.79.176', '83.229.79.183', 1407537072, 1407537079, 'GB', 'United Kingdom'),
(50440, '83.229.79.184', '83.229.79.191', 1407537080, 1407537087, 'NG', 'Nigeria'),
(50441, '83.229.79.192', '83.229.79.199', 1407537088, 1407537095, 'GH', 'Ghana'),
(50442, '83.229.79.200', '83.229.79.207', 1407537096, 1407537103, 'GB', 'United Kingdom'),
(50443, '83.229.79.208', '83.229.79.215', 1407537104, 1407537111, 'NG', 'Nigeria'),
(50444, '83.229.79.216', '83.229.79.223', 1407537112, 1407537119, 'LR', 'Liberia'),
(50445, '83.229.79.224', '83.229.79.239', 1407537120, 1407537135, 'GB', 'United Kingdom'),
(50446, '83.229.79.240', '83.229.79.247', 1407537136, 1407537143, 'NG', 'Nigeria'),
(50447, '83.229.79.248', '83.229.79.255', 1407537144, 1407537151, 'GB', 'United Kingdom'),
(50448, '83.229.80.0', '83.229.80.7', 1407537152, 1407537159, 'UG', 'Uganda'),
(50449, '83.229.80.8', '83.229.80.31', 1407537160, 1407537183, 'GB', 'United Kingdom'),
(50450, '83.229.80.32', '83.229.80.39', 1407537184, 1407537191, 'NG', 'Nigeria'),
(50451, '83.229.80.40', '83.229.80.55', 1407537192, 1407537207, 'GB', 'United Kingdom'),
(50452, '83.229.80.56', '83.229.80.63', 1407537208, 1407537215, 'BE', 'Belgium'),
(50453, '83.229.80.64', '83.229.80.87', 1407537216, 1407537239, 'GB', 'United Kingdom'),
(50454, '83.229.80.88', '83.229.80.103', 1407537240, 1407537255, 'NG', 'Nigeria'),
(50455, '83.229.80.104', '83.229.80.111', 1407537256, 1407537263, 'GB', 'United Kingdom'),
(50456, '83.229.80.112', '83.229.80.127', 1407537264, 1407537279, 'CM', 'Cameroon'),
(50457, '83.229.80.128', '83.229.80.135', 1407537280, 1407537287, 'GB', 'United Kingdom'),
(50458, '83.229.80.136', '83.229.80.143', 1407537288, 1407537295, 'UG', 'Uganda'),
(50459, '83.229.80.144', '83.229.80.151', 1407537296, 1407537303, 'GB', 'United Kingdom'),
(50460, '83.229.80.152', '83.229.80.159', 1407537304, 1407537311, 'LR', 'Liberia'),
(50461, '83.229.80.160', '83.229.80.167', 1407537312, 1407537319, 'GB', 'United Kingdom'),
(50462, '83.229.80.168', '83.229.80.175', 1407537320, 1407537327, 'NG', 'Nigeria'),
(50463, '83.229.80.176', '83.229.80.191', 1407537328, 1407537343, 'GB', 'United Kingdom'),
(50464, '83.229.80.192', '83.229.80.199', 1407537344, 1407537351, 'NG', 'Nigeria'),
(50465, '83.229.80.200', '83.229.80.215', 1407537352, 1407537367, 'GB', 'United Kingdom'),
(50466, '83.229.80.216', '83.229.80.231', 1407537368, 1407537383, 'NG', 'Nigeria'),
(50467, '83.229.80.232', '83.229.81.23', 1407537384, 1407537431, 'GB', 'United Kingdom'),
(50468, '83.229.81.24', '83.229.81.31', 1407537432, 1407537439, 'NG', 'Nigeria'),
(50469, '83.229.81.32', '83.229.81.39', 1407537440, 1407537447, 'LR', 'Liberia'),
(50470, '83.229.81.40', '83.229.81.47', 1407537448, 1407537455, 'GB', 'United Kingdom'),
(50471, '83.229.81.48', '83.229.81.55', 1407537456, 1407537463, 'AO', 'Angola'),
(50472, '83.229.81.56', '83.229.81.103', 1407537464, 1407537511, 'GB', 'United Kingdom'),
(50473, '83.229.81.104', '83.229.81.111', 1407537512, 1407537519, 'LR', 'Liberia'),
(50474, '83.229.81.112', '83.229.81.135', 1407537520, 1407537543, 'GB', 'United Kingdom'),
(50475, '83.229.81.136', '83.229.81.143', 1407537544, 1407537551, 'AO', 'Angola'),
(50476, '83.229.81.144', '83.229.81.167', 1407537552, 1407537575, 'GB', 'United Kingdom'),
(50477, '83.229.81.168', '83.229.81.183', 1407537576, 1407537591, 'NG', 'Nigeria'),
(50478, '83.229.81.184', '83.229.81.199', 1407537592, 1407537607, 'GB', 'United Kingdom'),
(50479, '83.229.81.200', '83.229.81.207', 1407537608, 1407537615, 'CM', 'Cameroon'),
(50480, '83.229.81.208', '83.229.81.223', 1407537616, 1407537631, 'GB', 'United Kingdom'),
(50481, '83.229.81.224', '83.229.81.231', 1407537632, 1407537639, 'NG', 'Nigeria'),
(50482, '83.229.81.232', '83.229.82.15', 1407537640, 1407537679, 'GB', 'United Kingdom'),
(50483, '83.229.82.16', '83.229.82.23', 1407537680, 1407537687, 'IQ', 'Iraq'),
(50484, '83.229.82.24', '83.229.82.39', 1407537688, 1407537703, 'GB', 'United Kingdom'),
(50485, '83.229.82.40', '83.229.82.71', 1407537704, 1407537735, 'NG', 'Nigeria'),
(50486, '83.229.82.72', '83.229.82.87', 1407537736, 1407537751, 'GB', 'United Kingdom'),
(50487, '83.229.82.88', '83.229.82.183', 1407537752, 1407537847, 'NG', 'Nigeria'),
(50488, '83.229.82.184', '83.229.82.191', 1407537848, 1407537855, 'GB', 'United Kingdom'),
(50489, '83.229.82.192', '83.229.82.199', 1407537856, 1407537863, 'NG', 'Nigeria'),
(50490, '83.229.82.200', '83.229.82.207', 1407537864, 1407537871, 'TG', 'Togo'),
(50491, '83.229.82.208', '83.229.82.215', 1407537872, 1407537879, 'IQ', 'Iraq'),
(50492, '83.229.82.216', '83.229.82.239', 1407537880, 1407537903, 'GB', 'United Kingdom'),
(50493, '83.229.82.240', '83.229.82.247', 1407537904, 1407537911, 'TG', 'Togo'),
(50494, '83.229.82.248', '83.229.83.7', 1407537912, 1407537927, 'GB', 'United Kingdom'),
(50495, '83.229.83.8', '83.229.83.15', 1407537928, 1407537935, 'SL', 'Sierra Leone'),
(50496, '83.229.83.16', '83.229.83.23', 1407537936, 1407537943, 'GH', 'Ghana'),
(50497, '83.229.83.24', '83.229.83.31', 1407537944, 1407537951, 'TG', 'Togo'),
(50498, '83.229.83.32', '83.229.83.39', 1407537952, 1407537959, 'GB', 'United Kingdom'),
(50499, '83.229.83.40', '83.229.83.47', 1407537960, 1407537967, 'TG', 'Togo'),
(50500, '83.229.83.48', '83.229.83.55', 1407537968, 1407537975, 'NG', 'Nigeria'),
(50501, '83.229.83.56', '83.229.83.63', 1407537976, 1407537983, 'GB', 'United Kingdom'),
(50502, '83.229.83.64', '83.229.83.71', 1407537984, 1407537991, 'NG', 'Nigeria'),
(50503, '83.229.83.72', '83.229.83.79', 1407537992, 1407537999, 'GB', 'United Kingdom'),
(50504, '83.229.83.80', '83.229.83.103', 1407538000, 1407538023, 'NG', 'Nigeria'),
(50505, '83.229.83.104', '83.229.83.111', 1407538024, 1407538031, 'GB', 'United Kingdom'),
(50506, '83.229.83.112', '83.229.83.119', 1407538032, 1407538039, 'NG', 'Nigeria'),
(50507, '83.229.83.120', '83.229.83.127', 1407538040, 1407538047, 'CD', 'Congo, The Democratic Republic of the'),
(50508, '83.229.83.128', '83.229.83.135', 1407538048, 1407538055, 'NG', 'Nigeria'),
(50509, '83.229.83.136', '83.229.83.143', 1407538056, 1407538063, 'GB', 'United Kingdom'),
(50510, '83.229.83.144', '83.229.83.151', 1407538064, 1407538071, 'LU', 'Luxembourg'),
(50511, '83.229.83.152', '83.229.83.159', 1407538072, 1407538079, 'GB', 'United Kingdom'),
(50512, '83.229.83.160', '83.229.83.167', 1407538080, 1407538087, 'LR', 'Liberia'),
(50513, '83.229.83.168', '83.229.83.175', 1407538088, 1407538095, 'AO', 'Angola'),
(50514, '83.229.83.176', '83.229.83.191', 1407538096, 1407538111, 'GB', 'United Kingdom'),
(50515, '83.229.83.192', '83.229.83.199', 1407538112, 1407538119, 'LR', 'Liberia'),
(50516, '83.229.83.200', '83.229.83.207', 1407538120, 1407538127, 'NG', 'Nigeria'),
(50517, '83.229.83.208', '83.229.83.223', 1407538128, 1407538143, 'GB', 'United Kingdom'),
(50518, '83.229.83.224', '83.229.83.231', 1407538144, 1407538151, 'GN', 'Guinea'),
(50519, '83.229.83.232', '83.229.83.247', 1407538152, 1407538167, 'GB', 'United Kingdom'),
(50520, '83.229.83.248', '83.229.83.255', 1407538168, 1407538175, 'IQ', 'Iraq'),
(50521, '83.229.84.0', '83.229.84.23', 1407538176, 1407538199, 'GB', 'United Kingdom'),
(50522, '83.229.84.24', '83.229.84.95', 1407538200, 1407538271, 'NG', 'Nigeria'),
(50523, '83.229.84.96', '83.229.84.103', 1407538272, 1407538279, 'CO', 'Colombia'),
(50524, '83.229.84.104', '83.229.84.111', 1407538280, 1407538287, 'GB', 'United Kingdom'),
(50525, '83.229.84.112', '83.229.84.119', 1407538288, 1407538295, 'NG', 'Nigeria'),
(50526, '83.229.84.120', '83.229.84.127', 1407538296, 1407538303, 'AO', 'Angola'),
(50527, '83.229.84.128', '83.229.84.135', 1407538304, 1407538311, 'NG', 'Nigeria'),
(50528, '83.229.84.136', '83.229.84.143', 1407538312, 1407538319, 'CD', 'Congo, The Democratic Republic of the'),
(50529, '83.229.84.144', '83.229.84.151', 1407538320, 1407538327, 'GB', 'United Kingdom'),
(50530, '83.229.84.152', '83.229.84.159', 1407538328, 1407538335, 'CD', 'Congo, The Democratic Republic of the'),
(50531, '83.229.84.160', '83.229.84.167', 1407538336, 1407538343, 'GB', 'United Kingdom'),
(50532, '83.229.84.168', '83.229.84.175', 1407538344, 1407538351, 'CD', 'Congo, The Democratic Republic of the'),
(50533, '83.229.84.176', '83.229.84.207', 1407538352, 1407538383, 'GB', 'United Kingdom'),
(50534, '83.229.84.208', '83.229.84.215', 1407538384, 1407538391, 'CM', 'Cameroon'),
(50535, '83.229.84.216', '83.229.84.231', 1407538392, 1407538407, 'GB', 'United Kingdom'),
(50536, '83.229.84.232', '83.229.84.239', 1407538408, 1407538415, 'NG', 'Nigeria'),
(50537, '83.229.84.240', '83.229.84.247', 1407538416, 1407538423, 'GB', 'United Kingdom'),
(50538, '83.229.84.248', '83.229.84.255', 1407538424, 1407538431, 'NG', 'Nigeria'),
(50539, '83.229.85.0', '83.229.85.7', 1407538432, 1407538439, 'GB', 'United Kingdom'),
(50540, '83.229.85.8', '83.229.85.15', 1407538440, 1407538447, 'NG', 'Nigeria'),
(50541, '83.229.85.16', '83.229.85.31', 1407538448, 1407538463, 'GB', 'United Kingdom'),
(50542, '83.229.85.32', '83.229.85.39', 1407538464, 1407538471, 'ZM', 'Zambia'),
(50543, '83.229.85.40', '83.229.85.47', 1407538472, 1407538479, 'NG', 'Nigeria'),
(50544, '83.229.85.48', '83.229.85.231', 1407538480, 1407538663, 'GB', 'United Kingdom'),
(50545, '83.229.85.232', '83.229.85.247', 1407538664, 1407538679, 'NG', 'Nigeria'),
(50546, '83.229.85.248', '83.229.86.175', 1407538680, 1407538863, 'GB', 'United Kingdom'),
(50547, '83.229.86.176', '83.229.86.191', 1407538864, 1407538879, 'GE', 'Georgia'),
(50548, '83.229.86.192', '83.229.86.199', 1407538880, 1407538887, 'GB', 'United Kingdom'),
(50549, '83.229.86.200', '83.229.86.207', 1407538888, 1407538895, 'NG', 'Nigeria'),
(50550, '83.229.86.208', '83.229.86.223', 1407538896, 1407538911, 'GB', 'United Kingdom'),
(50551, '83.229.86.224', '83.229.86.231', 1407538912, 1407538919, 'GH', 'Ghana'),
(50552, '83.229.86.232', '83.229.86.239', 1407538920, 1407538927, 'GB', 'United Kingdom'),
(50553, '83.229.86.240', '83.229.86.247', 1407538928, 1407538935, 'NG', 'Nigeria'),
(50554, '83.229.86.248', '83.229.86.255', 1407538936, 1407538943, 'GH', 'Ghana'),
(50555, '83.229.87.0', '83.229.87.31', 1407538944, 1407538975, 'GB', 'United Kingdom'),
(50556, '83.229.87.32', '83.229.87.39', 1407538976, 1407538983, 'NG', 'Nigeria'),
(50557, '83.229.87.40', '83.229.87.47', 1407538984, 1407538991, 'SL', 'Sierra Leone'),
(50558, '83.229.87.48', '83.229.87.55', 1407538992, 1407538999, 'GB', 'United Kingdom'),
(50559, '83.229.87.56', '83.229.87.63', 1407539000, 1407539007, 'NG', 'Nigeria'),
(50560, '83.229.87.64', '83.229.87.111', 1407539008, 1407539055, 'GB', 'United Kingdom'),
(50561, '83.229.87.112', '83.229.87.119', 1407539056, 1407539063, 'NG', 'Nigeria'),
(50562, '83.229.87.120', '83.229.87.159', 1407539064, 1407539103, 'GB', 'United Kingdom'),
(50563, '83.229.87.160', '83.229.87.167', 1407539104, 1407539111, 'NG', 'Nigeria'),
(50564, '83.229.87.168', '83.229.87.199', 1407539112, 1407539143, 'GB', 'United Kingdom'),
(50565, '83.229.87.200', '83.229.87.207', 1407539144, 1407539151, 'NG', 'Nigeria'),
(50566, '83.229.87.208', '83.229.87.223', 1407539152, 1407539167, 'GB', 'United Kingdom'),
(50567, '83.229.87.224', '83.229.87.231', 1407539168, 1407539175, 'TD', 'Chad'),
(50568, '83.229.87.232', '83.229.87.239', 1407539176, 1407539183, 'GH', 'Ghana'),
(50569, '83.229.87.240', '83.229.87.247', 1407539184, 1407539191, 'GB', 'United Kingdom'),
(50570, '83.229.87.248', '83.229.87.255', 1407539192, 1407539199, 'NG', 'Nigeria'),
(50571, '83.229.88.0', '83.229.88.255', 1407539200, 1407539455, 'GE', 'Georgia'),
(50572, '83.229.89.0', '83.229.89.255', 1407539456, 1407539711, 'GB', 'United Kingdom'),
(50573, '83.229.90.0', '83.229.90.7', 1407539712, 1407539719, 'BE', 'Belgium'),
(50574, '83.229.90.8', '83.229.90.15', 1407539720, 1407539727, 'GB', 'United Kingdom'),
(50575, '83.229.90.16', '83.229.90.23', 1407539728, 1407539735, 'GR', 'Greece'),
(50576, '83.229.90.24', '83.229.90.31', 1407539736, 1407539743, 'NG', 'Nigeria'),
(50577, '83.229.90.32', '83.229.90.39', 1407539744, 1407539751, 'GB', 'United Kingdom'),
(50578, '83.229.90.40', '83.229.90.47', 1407539752, 1407539759, 'NG', 'Nigeria'),
(50579, '83.229.90.48', '83.229.90.55', 1407539760, 1407539767, 'GB', 'United Kingdom'),
(50580, '83.229.90.56', '83.229.90.63', 1407539768, 1407539775, 'GR', 'Greece'),
(50581, '83.229.90.64', '83.229.90.71', 1407539776, 1407539783, 'GB', 'United Kingdom'),
(50582, '83.229.90.72', '83.229.90.79', 1407539784, 1407539791, 'GR', 'Greece'),
(50583, '83.229.90.80', '83.229.90.87', 1407539792, 1407539799, 'NG', 'Nigeria'),
(50584, '83.229.90.88', '83.229.90.119', 1407539800, 1407539831, 'GB', 'United Kingdom'),
(50585, '83.229.90.120', '83.229.90.127', 1407539832, 1407539839, 'NG', 'Nigeria'),
(50586, '83.229.90.128', '83.229.90.143', 1407539840, 1407539855, 'GB', 'United Kingdom'),
(50587, '83.229.90.144', '83.229.90.151', 1407539856, 1407539863, 'CD', 'Congo, The Democratic Republic of the'),
(50588, '83.229.90.152', '83.229.90.167', 1407539864, 1407539879, 'NG', 'Nigeria'),
(50589, '83.229.90.168', '83.229.90.175', 1407539880, 1407539887, 'GB', 'United Kingdom'),
(50590, '83.229.90.176', '83.229.90.183', 1407539888, 1407539895, 'NG', 'Nigeria'),
(50591, '83.229.90.184', '83.229.90.199', 1407539896, 1407539911, 'GB', 'United Kingdom'),
(50592, '83.229.90.200', '83.229.90.215', 1407539912, 1407539927, 'NG', 'Nigeria'),
(50593, '83.229.90.216', '83.229.90.223', 1407539928, 1407539935, 'GB', 'United Kingdom'),
(50594, '83.229.90.224', '83.229.90.231', 1407539936, 1407539943, 'GN', 'Guinea'),
(50595, '83.229.90.232', '83.229.90.239', 1407539944, 1407539951, 'GB', 'United Kingdom'),
(50596, '83.229.90.240', '83.229.90.247', 1407539952, 1407539959, 'LR', 'Liberia'),
(50597, '83.229.90.248', '83.229.90.255', 1407539960, 1407539967, 'GB', 'United Kingdom'),
(50598, '83.229.91.0', '83.229.91.7', 1407539968, 1407539975, 'CD', 'Congo, The Democratic Republic of the'),
(50599, '83.229.91.8', '83.229.91.87', 1407539976, 1407540055, 'GB', 'United Kingdom'),
(50600, '83.229.91.88', '83.229.91.95', 1407540056, 1407540063, 'NG', 'Nigeria'),
(50601, '83.229.91.96', '83.229.91.103', 1407540064, 1407540071, 'GB', 'United Kingdom'),
(50602, '83.229.91.104', '83.229.91.111', 1407540072, 1407540079, 'NG', 'Nigeria'),
(50603, '83.229.91.112', '83.229.91.143', 1407540080, 1407540111, 'GB', 'United Kingdom'),
(50604, '83.229.91.144', '83.229.91.151', 1407540112, 1407540119, 'TG', 'Togo'),
(50605, '83.229.91.152', '83.229.91.167', 1407540120, 1407540135, 'GB', 'United Kingdom'),
(50606, '83.229.91.168', '83.229.91.175', 1407540136, 1407540143, 'NG', 'Nigeria'),
(50607, '83.229.91.176', '83.229.91.191', 1407540144, 1407540159, 'GB', 'United Kingdom'),
(50608, '83.229.91.192', '83.229.91.199', 1407540160, 1407540167, 'CD', 'Congo, The Democratic Republic of the'),
(50609, '83.229.91.200', '83.229.91.231', 1407540168, 1407540199, 'GB', 'United Kingdom'),
(50610, '83.229.91.232', '83.229.91.247', 1407540200, 1407540215, 'CD', 'Congo, The Democratic Republic of the'),
(50611, '83.229.91.248', '83.229.91.255', 1407540216, 1407540223, 'GB', 'United Kingdom'),
(50612, '83.229.92.0', '83.229.92.7', 1407540224, 1407540231, 'AO', 'Angola'),
(50613, '83.229.92.8', '83.229.92.15', 1407540232, 1407540239, 'GB', 'United Kingdom'),
(50614, '83.229.92.16', '83.229.92.23', 1407540240, 1407540247, 'NG', 'Nigeria'),
(50615, '83.229.92.24', '83.229.92.47', 1407540248, 1407540271, 'GB', 'United Kingdom'),
(50616, '83.229.92.48', '83.229.92.55', 1407540272, 1407540279, 'LR', 'Liberia'),
(50617, '83.229.92.56', '83.229.92.63', 1407540280, 1407540287, 'NG', 'Nigeria'),
(50618, '83.229.92.64', '83.229.92.71', 1407540288, 1407540295, 'CD', 'Congo, The Democratic Republic of the'),
(50619, '83.229.92.72', '83.229.92.79', 1407540296, 1407540303, 'NG', 'Nigeria'),
(50620, '83.229.92.80', '83.229.92.87', 1407540304, 1407540311, 'AO', 'Angola'),
(50621, '83.229.92.88', '83.229.92.95', 1407540312, 1407540319, 'GB', 'United Kingdom'),
(50622, '83.229.92.96', '83.229.92.103', 1407540320, 1407540327, 'CD', 'Congo, The Democratic Republic of the'),
(50623, '83.229.92.104', '83.229.92.119', 1407540328, 1407540343, 'GB', 'United Kingdom'),
(50624, '83.229.92.120', '83.229.92.127', 1407540344, 1407540351, 'CF', 'Central African Republic'),
(50625, '83.229.92.128', '83.229.92.135', 1407540352, 1407540359, 'TD', 'Chad'),
(50626, '83.229.92.136', '83.229.92.143', 1407540360, 1407540367, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(50627, '83.229.92.144', '83.229.92.151', 1407540368, 1407540375, 'LR', 'Liberia'),
(50628, '83.229.92.152', '83.229.92.191', 1407540376, 1407540415, 'GB', 'United Kingdom'),
(50629, '83.229.92.192', '83.229.92.199', 1407540416, 1407540423, 'NG', 'Nigeria'),
(50630, '83.229.92.200', '83.229.92.207', 1407540424, 1407540431, 'GB', 'United Kingdom'),
(50631, '83.229.92.208', '83.229.92.215', 1407540432, 1407540439, 'CI', 'Cote D''Ivoire'),
(50632, '83.229.92.216', '83.229.92.223', 1407540440, 1407540447, 'GB', 'United Kingdom'),
(50633, '83.229.92.224', '83.229.92.231', 1407540448, 1407540455, 'LR', 'Liberia'),
(50634, '83.229.92.232', '83.229.92.239', 1407540456, 1407540463, 'GB', 'United Kingdom'),
(50635, '83.229.92.240', '83.229.92.247', 1407540464, 1407540471, 'MU', 'Mauritius'),
(50636, '83.229.92.248', '83.229.92.255', 1407540472, 1407540479, 'GB', 'United Kingdom'),
(50637, '83.229.93.0', '83.229.93.7', 1407540480, 1407540487, 'CM', 'Cameroon'),
(50638, '83.229.93.8', '83.229.93.71', 1407540488, 1407540551, 'GB', 'United Kingdom'),
(50639, '83.229.93.72', '83.229.93.79', 1407540552, 1407540559, 'NG', 'Nigeria'),
(50640, '83.229.93.80', '83.229.93.135', 1407540560, 1407540615, 'GB', 'United Kingdom'),
(50641, '83.229.93.136', '83.229.93.143', 1407540616, 1407540623, 'SD', 'Sudan'),
(50642, '83.229.93.144', '83.229.93.175', 1407540624, 1407540655, 'GB', 'United Kingdom'),
(50643, '83.229.93.176', '83.229.93.183', 1407540656, 1407540663, 'CD', 'Congo, The Democratic Republic of the'),
(50644, '83.229.93.184', '83.229.93.215', 1407540664, 1407540695, 'GB', 'United Kingdom'),
(50645, '83.229.93.216', '83.229.93.223', 1407540696, 1407540703, 'NG', 'Nigeria'),
(50646, '83.229.93.224', '83.229.94.31', 1407540704, 1407540767, 'GB', 'United Kingdom'),
(50647, '83.229.94.32', '83.229.94.39', 1407540768, 1407540775, 'NG', 'Nigeria'),
(50648, '83.229.94.40', '83.229.94.255', 1407540776, 1407540991, 'GB', 'United Kingdom'),
(50649, '83.229.95.0', '83.229.95.7', 1407540992, 1407540999, 'CD', 'Congo, The Democratic Republic of the'),
(50650, '83.229.95.8', '83.229.95.31', 1407541000, 1407541023, 'GB', 'United Kingdom'),
(50651, '83.229.95.32', '83.229.95.39', 1407541024, 1407541031, 'LR', 'Liberia'),
(50652, '83.229.95.40', '83.229.95.47', 1407541032, 1407541039, 'NG', 'Nigeria'),
(50653, '83.229.95.48', '83.229.95.55', 1407541040, 1407541047, 'GB', 'United Kingdom'),
(50654, '83.229.95.56', '83.229.95.63', 1407541048, 1407541055, 'NG', 'Nigeria'),
(50655, '83.229.95.64', '83.229.95.71', 1407541056, 1407541063, 'GB', 'United Kingdom'),
(50656, '83.229.95.72', '83.229.95.79', 1407541064, 1407541071, 'NG', 'Nigeria'),
(50657, '83.229.95.80', '83.229.95.103', 1407541072, 1407541095, 'GB', 'United Kingdom'),
(50658, '83.229.95.104', '83.229.95.111', 1407541096, 1407541103, 'GQ', 'Equatorial Guinea'),
(50659, '83.229.95.112', '83.229.95.183', 1407541104, 1407541175, 'GB', 'United Kingdom'),
(50660, '83.229.95.184', '83.229.95.191', 1407541176, 1407541183, 'NG', 'Nigeria'),
(50661, '83.229.95.192', '83.229.95.199', 1407541184, 1407541191, 'GB', 'United Kingdom'),
(50662, '83.229.95.200', '83.229.95.207', 1407541192, 1407541199, 'NG', 'Nigeria'),
(50663, '83.229.95.208', '83.229.96.223', 1407541200, 1407541471, 'GB', 'United Kingdom'),
(50664, '83.229.96.224', '83.229.96.247', 1407541472, 1407541495, 'NG', 'Nigeria'),
(50665, '83.229.96.248', '83.229.97.31', 1407541496, 1407541535, 'GB', 'United Kingdom'),
(50666, '83.229.97.32', '83.229.97.39', 1407541536, 1407541543, 'CM', 'Cameroon'),
(50667, '83.229.97.40', '83.229.97.47', 1407541544, 1407541551, 'GB', 'United Kingdom'),
(50668, '83.229.97.48', '83.229.97.55', 1407541552, 1407541559, 'NG', 'Nigeria'),
(50669, '83.229.97.56', '83.229.97.63', 1407541560, 1407541567, 'GH', 'Ghana'),
(50670, '83.229.97.64', '83.229.97.207', 1407541568, 1407541711, 'GB', 'United Kingdom'),
(50671, '83.229.97.208', '83.229.97.215', 1407541712, 1407541719, 'NG', 'Nigeria'),
(50672, '83.229.97.216', '83.229.97.223', 1407541720, 1407541727, 'GB', 'United Kingdom'),
(50673, '83.229.97.224', '83.229.97.231', 1407541728, 1407541735, 'NG', 'Nigeria'),
(50674, '83.229.97.232', '83.229.97.247', 1407541736, 1407541751, 'GB', 'United Kingdom'),
(50675, '83.229.97.248', '83.229.97.255', 1407541752, 1407541759, 'NG', 'Nigeria'),
(50676, '83.229.98.0', '83.229.98.127', 1407541760, 1407541887, 'GB', 'United Kingdom'),
(50677, '83.229.98.128', '83.229.99.127', 1407541888, 1407542143, 'NG', 'Nigeria'),
(50678, '83.229.99.128', '83.229.101.15', 1407542144, 1407542543, 'GB', 'United Kingdom'),
(50679, '83.229.101.16', '83.229.101.23', 1407542544, 1407542551, 'LR', 'Liberia'),
(50680, '83.229.101.24', '83.229.101.47', 1407542552, 1407542575, 'GB', 'United Kingdom'),
(50681, '83.229.101.48', '83.229.101.55', 1407542576, 1407542583, 'CD', 'Congo, The Democratic Republic of the'),
(50682, '83.229.101.56', '83.229.101.71', 1407542584, 1407542599, 'GB', 'United Kingdom'),
(50683, '83.229.101.72', '83.229.101.79', 1407542600, 1407542607, 'TG', 'Togo'),
(50684, '83.229.101.80', '83.229.101.95', 1407542608, 1407542623, 'GB', 'United Kingdom'),
(50685, '83.229.101.96', '83.229.101.103', 1407542624, 1407542631, 'BJ', 'Benin'),
(50686, '83.229.101.104', '83.229.101.111', 1407542632, 1407542639, 'NG', 'Nigeria'),
(50687, '83.229.101.112', '83.229.101.127', 1407542640, 1407542655, 'GB', 'United Kingdom'),
(50688, '83.229.101.128', '83.229.101.135', 1407542656, 1407542663, 'SL', 'Sierra Leone'),
(50689, '83.229.101.136', '83.229.101.143', 1407542664, 1407542671, 'GB', 'United Kingdom'),
(50690, '83.229.101.144', '83.229.101.151', 1407542672, 1407542679, 'CM', 'Cameroon'),
(50691, '83.229.101.152', '83.229.101.159', 1407542680, 1407542687, 'NG', 'Nigeria'),
(50692, '83.229.101.160', '83.229.101.167', 1407542688, 1407542695, 'CD', 'Congo, The Democratic Republic of the'),
(50693, '83.229.101.168', '83.229.101.175', 1407542696, 1407542703, 'NG', 'Nigeria'),
(50694, '83.229.101.176', '83.229.101.199', 1407542704, 1407542727, 'GB', 'United Kingdom'),
(50695, '83.229.101.200', '83.229.101.207', 1407542728, 1407542735, 'NG', 'Nigeria'),
(50696, '83.229.101.208', '83.229.101.239', 1407542736, 1407542767, 'GB', 'United Kingdom'),
(50697, '83.229.101.240', '83.229.101.247', 1407542768, 1407542775, 'GA', 'Gabon'),
(50698, '83.229.101.248', '83.229.102.7', 1407542776, 1407542791, 'GB', 'United Kingdom'),
(50699, '83.229.102.8', '83.229.102.15', 1407542792, 1407542799, 'NG', 'Nigeria'),
(50700, '83.229.102.16', '83.229.102.63', 1407542800, 1407542847, 'GB', 'United Kingdom'),
(50701, '83.229.102.64', '83.229.102.79', 1407542848, 1407542863, 'NG', 'Nigeria'),
(50702, '83.229.102.80', '83.229.102.119', 1407542864, 1407542903, 'GB', 'United Kingdom'),
(50703, '83.229.102.120', '83.229.102.127', 1407542904, 1407542911, 'CD', 'Congo, The Democratic Republic of the'),
(50704, '83.229.102.128', '83.229.102.255', 1407542912, 1407543039, 'AT', 'Austria'),
(50705, '83.229.103.0', '83.229.103.127', 1407543040, 1407543167, 'GB', 'United Kingdom'),
(50706, '83.229.103.128', '83.229.103.143', 1407543168, 1407543183, 'GH', 'Ghana'),
(50707, '83.229.103.144', '83.229.103.151', 1407543184, 1407543191, 'GB', 'United Kingdom'),
(50708, '83.229.103.152', '83.229.103.199', 1407543192, 1407543239, 'NG', 'Nigeria'),
(50709, '83.229.103.200', '83.229.103.215', 1407543240, 1407543255, 'GB', 'United Kingdom'),
(50710, '83.229.103.216', '83.229.103.223', 1407543256, 1407543263, 'NG', 'Nigeria'),
(50711, '83.229.103.224', '83.229.103.239', 1407543264, 1407543279, 'GB', 'United Kingdom'),
(50712, '83.229.103.240', '83.229.103.247', 1407543280, 1407543287, 'NG', 'Nigeria'),
(50713, '83.229.103.248', '83.229.113.255', 1407543288, 1407545855, 'GB', 'United Kingdom'),
(50714, '83.229.114.0', '83.229.114.7', 1407545856, 1407545863, 'CI', 'Cote D''Ivoire'),
(50715, '83.229.114.8', '83.229.114.15', 1407545864, 1407545871, 'GB', 'United Kingdom'),
(50716, '83.229.114.16', '83.229.114.23', 1407545872, 1407545879, 'CD', 'Congo, The Democratic Republic of the'),
(50717, '83.229.114.24', '83.229.114.31', 1407545880, 1407545887, 'GB', 'United Kingdom'),
(50718, '83.229.114.32', '83.229.114.39', 1407545888, 1407545895, 'NG', 'Nigeria'),
(50719, '83.229.114.40', '83.229.114.55', 1407545896, 1407545911, 'GB', 'United Kingdom'),
(50720, '83.229.114.56', '83.229.114.63', 1407545912, 1407545919, 'NG', 'Nigeria'),
(50721, '83.229.114.64', '83.229.114.79', 1407545920, 1407545935, 'GB', 'United Kingdom'),
(50722, '83.229.114.80', '83.229.114.87', 1407545936, 1407545943, 'ZA', 'South Africa'),
(50723, '83.229.114.88', '83.229.114.95', 1407545944, 1407545951, 'GB', 'United Kingdom'),
(50724, '83.229.114.96', '83.229.114.103', 1407545952, 1407545959, 'BJ', 'Benin'),
(50725, '83.229.114.104', '83.229.114.111', 1407545960, 1407545967, 'GB', 'United Kingdom'),
(50726, '83.229.114.112', '83.229.114.119', 1407545968, 1407545975, 'GQ', 'Equatorial Guinea'),
(50727, '83.229.114.120', '83.229.114.135', 1407545976, 1407545991, 'GB', 'United Kingdom'),
(50728, '83.229.114.136', '83.229.114.143', 1407545992, 1407545999, 'GN', 'Guinea'),
(50729, '83.229.114.144', '83.229.114.167', 1407546000, 1407546023, 'GB', 'United Kingdom'),
(50730, '83.229.114.168', '83.229.114.191', 1407546024, 1407546047, 'NG', 'Nigeria'),
(50731, '83.229.114.192', '83.229.114.207', 1407546048, 1407546063, 'GB', 'United Kingdom'),
(50732, '83.229.114.208', '83.229.114.215', 1407546064, 1407546071, 'ML', 'Mali'),
(50733, '83.229.114.216', '83.229.115.255', 1407546072, 1407546367, 'GB', 'United Kingdom'),
(50734, '83.229.116.0', '83.229.116.127', 1407546368, 1407546495, 'AE', 'United Arab Emirates'),
(50735, '83.229.116.128', '83.229.117.239', 1407546496, 1407546863, 'GB', 'United Kingdom'),
(50736, '83.229.117.240', '83.229.117.255', 1407546864, 1407546879, 'LR', 'Liberia'),
(50737, '83.229.118.0', '83.229.118.79', 1407546880, 1407546959, 'GB', 'United Kingdom'),
(50738, '83.229.118.80', '83.229.118.87', 1407546960, 1407546967, 'GH', 'Ghana'),
(50739, '83.229.118.88', '83.229.118.159', 1407546968, 1407547039, 'GB', 'United Kingdom'),
(50740, '83.229.118.160', '83.229.118.167', 1407547040, 1407547047, 'GN', 'Guinea'),
(50741, '83.229.118.168', '83.229.118.183', 1407547048, 1407547063, 'GB', 'United Kingdom'),
(50742, '83.229.118.184', '83.229.118.191', 1407547064, 1407547071, 'NG', 'Nigeria'),
(50743, '83.229.118.192', '83.229.119.31', 1407547072, 1407547167, 'GB', 'United Kingdom'),
(50744, '83.229.119.32', '83.229.119.39', 1407547168, 1407547175, 'NG', 'Nigeria'),
(50745, '83.229.119.40', '83.229.119.47', 1407547176, 1407547183, 'GH', 'Ghana'),
(50746, '83.229.119.48', '83.229.119.55', 1407547184, 1407547191, 'UG', 'Uganda'),
(50747, '83.229.119.56', '83.229.119.63', 1407547192, 1407547199, 'NG', 'Nigeria'),
(50748, '83.229.119.64', '83.229.119.71', 1407547200, 1407547207, 'AO', 'Angola'),
(50749, '83.229.119.72', '83.229.119.79', 1407547208, 1407547215, 'TD', 'Chad'),
(50750, '83.229.119.80', '83.229.119.103', 1407547216, 1407547239, 'GB', 'United Kingdom'),
(50751, '83.229.119.104', '83.229.119.119', 1407547240, 1407547255, 'SL', 'Sierra Leone'),
(50752, '83.229.119.120', '83.229.119.127', 1407547256, 1407547263, 'GB', 'United Kingdom'),
(50753, '83.229.119.128', '83.229.119.135', 1407547264, 1407547271, 'SL', 'Sierra Leone'),
(50754, '83.229.119.136', '83.229.119.167', 1407547272, 1407547303, 'GB', 'United Kingdom'),
(50755, '83.229.119.168', '83.229.119.175', 1407547304, 1407547311, 'SL', 'Sierra Leone'),
(50756, '83.229.119.176', '83.229.119.191', 1407547312, 1407547327, 'NG', 'Nigeria'),
(50757, '83.229.119.192', '83.229.119.199', 1407547328, 1407547335, 'GB', 'United Kingdom'),
(50758, '83.229.119.200', '83.229.119.207', 1407547336, 1407547343, 'CI', 'Cote D''Ivoire'),
(50759, '83.229.119.208', '83.229.119.239', 1407547344, 1407547375, 'NG', 'Nigeria'),
(50760, '83.229.119.240', '83.229.119.247', 1407547376, 1407547383, 'GB', 'United Kingdom'),
(50761, '83.229.119.248', '83.229.122.7', 1407547384, 1407547911, 'NG', 'Nigeria'),
(50762, '83.229.122.8', '83.229.122.15', 1407547912, 1407547919, 'GB', 'United Kingdom'),
(50763, '83.229.122.16', '83.229.122.23', 1407547920, 1407547927, 'CG', 'Congo'),
(50764, '83.229.122.24', '83.229.122.39', 1407547928, 1407547943, 'GB', 'United Kingdom'),
(50765, '83.229.122.40', '83.229.122.47', 1407547944, 1407547951, 'BJ', 'Benin'),
(50766, '83.229.122.48', '83.229.122.79', 1407547952, 1407547983, 'GB', 'United Kingdom'),
(50767, '83.229.122.80', '83.229.122.95', 1407547984, 1407547999, 'BJ', 'Benin'),
(50768, '83.229.122.96', '83.229.122.119', 1407548000, 1407548023, 'GB', 'United Kingdom'),
(50769, '83.229.122.120', '83.229.122.127', 1407548024, 1407548031, 'NG', 'Nigeria'),
(50770, '83.229.122.128', '83.229.122.143', 1407548032, 1407548047, 'GB', 'United Kingdom'),
(50771, '83.229.122.144', '83.229.122.151', 1407548048, 1407548055, 'GA', 'Gabon'),
(50772, '83.229.122.152', '83.229.122.159', 1407548056, 1407548063, 'NG', 'Nigeria'),
(50773, '83.229.122.160', '83.229.122.207', 1407548064, 1407548111, 'GB', 'United Kingdom'),
(50774, '83.229.122.208', '83.229.122.215', 1407548112, 1407548119, 'CI', 'Cote D''Ivoire'),
(50775, '83.229.122.216', '83.229.122.223', 1407548120, 1407548127, 'GB', 'United Kingdom'),
(50776, '83.229.122.224', '83.229.122.239', 1407548128, 1407548143, 'CM', 'Cameroon'),
(50777, '83.229.122.240', '83.229.122.247', 1407548144, 1407548151, 'GB', 'United Kingdom'),
(50778, '83.229.122.248', '83.229.123.255', 1407548152, 1407548415, 'NG', 'Nigeria'),
(50779, '83.229.124.0', '83.229.124.27', 1407548416, 1407548443, 'GE', 'Georgia'),
(50780, '83.229.124.28', '83.229.124.31', 1407548444, 1407548447, 'NE', 'Niger'),
(50781, '83.229.124.32', '83.229.124.127', 1407548448, 1407548543, 'GE', 'Georgia'),
(50782, '83.229.124.128', '83.229.125.39', 1407548544, 1407548711, 'GB', 'United Kingdom'),
(50783, '83.229.125.40', '83.229.125.47', 1407548712, 1407548719, 'CD', 'Congo, The Democratic Republic of the'),
(50784, '83.229.125.48', '83.229.125.255', 1407548720, 1407548927, 'GB', 'United Kingdom'),
(50785, '83.229.126.0', '83.229.126.31', 1407548928, 1407548959, 'NG', 'Nigeria'),
(50786, '83.229.126.32', '83.229.126.39', 1407548960, 1407548967, 'GB', 'United Kingdom'),
(50787, '83.229.126.40', '83.229.126.47', 1407548968, 1407548975, 'CM', 'Cameroon'),
(50788, '83.229.126.48', '83.229.126.55', 1407548976, 1407548983, 'GB', 'United Kingdom'),
(50789, '83.229.126.56', '83.229.126.63', 1407548984, 1407548991, 'CD', 'Congo, The Democratic Republic of the'),
(50790, '83.229.126.64', '83.229.126.127', 1407548992, 1407549055, 'GB', 'United Kingdom'),
(50791, '83.229.126.128', '83.229.126.135', 1407549056, 1407549063, 'NG', 'Nigeria'),
(50792, '83.229.126.136', '83.229.126.143', 1407549064, 1407549071, 'GA', 'Gabon'),
(50793, '83.229.126.144', '83.229.126.159', 1407549072, 1407549087, 'GB', 'United Kingdom'),
(50794, '83.229.126.160', '83.229.126.167', 1407549088, 1407549095, 'LR', 'Liberia'),
(50795, '83.229.126.168', '83.229.126.191', 1407549096, 1407549119, 'GB', 'United Kingdom'),
(50796, '83.229.126.192', '83.229.126.199', 1407549120, 1407549127, 'LR', 'Liberia'),
(50797, '83.229.126.200', '83.229.126.215', 1407549128, 1407549143, 'GB', 'United Kingdom'),
(50798, '83.229.126.216', '83.229.126.231', 1407549144, 1407549159, 'LR', 'Liberia'),
(50799, '83.229.126.232', '83.229.126.247', 1407549160, 1407549175, 'GB', 'United Kingdom'),
(50800, '83.229.126.248', '83.229.126.255', 1407549176, 1407549183, 'NG', 'Nigeria'),
(50801, '83.229.127.0', '83.229.127.255', 1407549184, 1407549439, 'GB', 'United Kingdom'),
(50802, '83.229.128.0', '83.229.255.255', 1407549440, 1407582207, 'RU', 'Russian Federation'),
(50803, '83.230.0.0', '83.230.127.255', 1407582208, 1407614975, 'PL', 'Poland'),
(50804, '83.230.128.0', '83.231.127.255', 1407614976, 1407680511, 'ES', 'Spain'),
(50805, '83.231.128.0', '83.231.128.183', 1407680512, 1407680695, 'FR', 'France'),
(50806, '83.231.128.184', '83.231.128.191', 1407680696, 1407680703, 'GB', 'United Kingdom'),
(50807, '83.231.128.192', '83.231.129.63', 1407680704, 1407680831, 'FR', 'France'),
(50808, '83.231.129.64', '83.231.129.255', 1407680832, 1407681023, 'GB', 'United Kingdom'),
(50809, '83.231.130.0', '83.231.131.11', 1407681024, 1407681291, 'ES', 'Spain'),
(50810, '83.231.131.12', '83.231.131.15', 1407681292, 1407681295, 'GB', 'United Kingdom'),
(50811, '83.231.131.16', '83.231.131.255', 1407681296, 1407681535, 'ES', 'Spain'),
(50812, '83.231.132.0', '83.231.132.103', 1407681536, 1407681639, 'FR', 'France'),
(50813, '83.231.132.104', '83.231.133.191', 1407681640, 1407681983, 'GB', 'United Kingdom'),
(50814, '83.231.133.192', '83.231.133.207', 1407681984, 1407681999, 'ES', 'Spain'),
(50815, '83.231.133.208', '83.231.134.255', 1407682000, 1407682303, 'GB', 'United Kingdom'),
(50816, '83.231.135.0', '83.231.135.255', 1407682304, 1407682559, 'FR', 'France'),
(50817, '83.231.136.0', '83.231.137.63', 1407682560, 1407682879, 'GB', 'United Kingdom'),
(50818, '83.231.137.64', '83.231.137.95', 1407682880, 1407682911, 'FI', 'Finland'),
(50819, '83.231.137.96', '83.231.139.103', 1407682912, 1407683431, 'GB', 'United Kingdom'),
(50820, '83.231.139.104', '83.231.139.111', 1407683432, 1407683439, 'IL', 'Israel'),
(50821, '83.231.139.112', '83.231.139.143', 1407683440, 1407683471, 'GB', 'United Kingdom'),
(50822, '83.231.139.144', '83.231.139.151', 1407683472, 1407683479, 'IL', 'Israel'),
(50823, '83.231.139.152', '83.231.154.255', 1407683480, 1407687423, 'GB', 'United Kingdom'),
(50824, '83.231.155.0', '83.231.155.255', 1407687424, 1407687679, 'ES', 'Spain'),
(50825, '83.231.156.0', '83.231.177.103', 1407687680, 1407693159, 'GB', 'United Kingdom'),
(50826, '83.231.177.104', '83.231.177.111', 1407693160, 1407693167, 'ES', 'Spain'),
(50827, '83.231.177.112', '83.231.185.111', 1407693168, 1407695215, 'GB', 'United Kingdom'),
(50828, '83.231.185.112', '83.231.185.119', 1407695216, 1407695223, 'ES', 'Spain'),
(50829, '83.231.185.120', '83.231.190.103', 1407695224, 1407696487, 'GB', 'United Kingdom'),
(50830, '83.231.190.104', '83.231.190.111', 1407696488, 1407696495, 'AU', 'Australia'),
(50831, '83.231.190.112', '83.231.205.47', 1407696496, 1407700271, 'GB', 'United Kingdom'),
(50832, '83.231.205.48', '83.231.205.63', 1407700272, 1407700287, 'DE', 'Germany'),
(50833, '83.231.205.64', '83.231.211.255', 1407700288, 1407702015, 'GB', 'United Kingdom'),
(50834, '83.231.212.0', '83.231.212.255', 1407702016, 1407702271, 'FR', 'France'),
(50835, '83.231.213.0', '83.231.214.255', 1407702272, 1407702783, 'GB', 'United Kingdom'),
(50836, '83.231.215.0', '83.231.215.127', 1407702784, 1407702911, 'FR', 'France'),
(50837, '83.231.215.128', '83.231.215.143', 1407702912, 1407702927, 'GB', 'United Kingdom'),
(50838, '83.231.215.144', '83.231.215.191', 1407702928, 1407702975, 'FR', 'France'),
(50839, '83.231.215.192', '83.231.215.255', 1407702976, 1407703039, 'GB', 'United Kingdom'),
(50840, '83.231.216.0', '83.231.217.159', 1407703040, 1407703455, 'FR', 'France'),
(50841, '83.231.217.160', '83.231.217.239', 1407703456, 1407703535, 'GB', 'United Kingdom'),
(50842, '83.231.217.240', '83.231.219.63', 1407703536, 1407703871, 'FR', 'France'),
(50843, '83.231.219.64', '83.231.219.127', 1407703872, 1407703935, 'GB', 'United Kingdom'),
(50844, '83.231.219.128', '83.231.219.231', 1407703936, 1407704039, 'FR', 'France'),
(50845, '83.231.219.232', '83.231.219.255', 1407704040, 1407704063, 'GB', 'United Kingdom'),
(50846, '83.231.220.0', '83.231.220.63', 1407704064, 1407704127, 'FR', 'France'),
(50847, '83.231.220.64', '83.231.220.127', 1407704128, 1407704191, 'GB', 'United Kingdom'),
(50848, '83.231.220.128', '83.231.220.255', 1407704192, 1407704319, 'FR', 'France'),
(50849, '83.231.221.0', '83.231.221.63', 1407704320, 1407704383, 'GB', 'United Kingdom'),
(50850, '83.231.221.64', '83.231.221.127', 1407704384, 1407704447, 'FR', 'France'),
(50851, '83.231.221.128', '83.231.224.119', 1407704448, 1407705207, 'GB', 'United Kingdom'),
(50852, '83.231.224.120', '83.231.224.127', 1407705208, 1407705215, 'ES', 'Spain'),
(50853, '83.231.224.128', '83.231.225.255', 1407705216, 1407705599, 'GB', 'United Kingdom'),
(50854, '83.231.226.0', '83.231.226.127', 1407705600, 1407705727, 'FR', 'France'),
(50855, '83.231.226.128', '83.231.226.159', 1407705728, 1407705759, 'GB', 'United Kingdom'),
(50856, '83.231.226.160', '83.231.226.191', 1407705760, 1407705791, 'FR', 'France'),
(50857, '83.231.226.192', '83.231.228.255', 1407705792, 1407706367, 'GB', 'United Kingdom'),
(50858, '83.231.229.0', '83.231.229.55', 1407706368, 1407706423, 'FR', 'France'),
(50859, '83.231.229.56', '83.231.229.63', 1407706424, 1407706431, 'GB', 'United Kingdom'),
(50860, '83.231.229.64', '83.231.229.191', 1407706432, 1407706559, 'FR', 'France'),
(50861, '83.231.229.192', '83.231.234.55', 1407706560, 1407707703, 'GB', 'United Kingdom'),
(50862, '83.231.234.56', '83.231.234.191', 1407707704, 1407707839, 'CH', 'Switzerland'),
(50863, '83.231.234.192', '83.231.234.255', 1407707840, 1407707903, 'GB', 'United Kingdom'),
(50864, '83.231.235.0', '83.231.235.31', 1407707904, 1407707935, 'CH', 'Switzerland'),
(50865, '83.231.235.32', '83.231.239.255', 1407707936, 1407709183, 'GB', 'United Kingdom'),
(50866, '83.231.240.0', '83.231.241.255', 1407709184, 1407709695, 'DE', 'Germany'),
(50867, '83.231.242.0', '83.231.243.255', 1407709696, 1407710207, 'GB', 'United Kingdom'),
(50868, '83.231.244.0', '83.231.244.31', 1407710208, 1407710239, 'ES', 'Spain'),
(50869, '83.231.244.32', '83.231.245.27', 1407710240, 1407710491, 'GB', 'United Kingdom'),
(50870, '83.231.245.28', '83.231.245.31', 1407710492, 1407710495, 'IL', 'Israel'),
(50871, '83.231.245.32', '83.231.245.187', 1407710496, 1407710651, 'GB', 'United Kingdom'),
(50872, '83.231.245.188', '83.231.245.191', 1407710652, 1407710655, 'IL', 'Israel'),
(50873, '83.231.245.192', '83.231.246.255', 1407710656, 1407710975, 'GB', 'United Kingdom'),
(50874, '83.231.247.0', '83.231.248.87', 1407710976, 1407711319, 'FR', 'France'),
(50875, '83.231.248.88', '83.231.248.95', 1407711320, 1407711327, 'GB', 'United Kingdom'),
(50876, '83.231.248.96', '83.231.249.255', 1407711328, 1407711743, 'FR', 'France'),
(50877, '83.231.250.0', '83.231.251.207', 1407711744, 1407712207, 'GB', 'United Kingdom'),
(50878, '83.231.251.208', '83.231.251.223', 1407712208, 1407712223, 'FR', 'France'),
(50879, '83.231.251.224', '83.231.253.255', 1407712224, 1407712767, 'GB', 'United Kingdom'),
(50880, '83.231.254.0', '83.231.254.95', 1407712768, 1407712863, 'DE', 'Germany'),
(50881, '83.231.254.96', '83.231.254.119', 1407712864, 1407712887, 'GB', 'United Kingdom'),
(50882, '83.231.254.120', '83.231.254.143', 1407712888, 1407712911, 'DE', 'Germany'),
(50883, '83.231.254.144', '83.231.254.151', 1407712912, 1407712919, 'GB', 'United Kingdom'),
(50884, '83.231.254.152', '83.231.254.191', 1407712920, 1407712959, 'DE', 'Germany'),
(50885, '83.231.254.192', '83.231.254.207', 1407712960, 1407712975, 'GB', 'United Kingdom'),
(50886, '83.231.254.208', '83.231.255.215', 1407712976, 1407713239, 'DE', 'Germany'),
(50887, '83.231.255.216', '83.231.255.223', 1407713240, 1407713247, 'GB', 'United Kingdom'),
(50888, '83.231.255.224', '83.231.255.255', 1407713248, 1407713279, 'DE', 'Germany'),
(50889, '83.232.0.0', '83.232.255.255', 1407713280, 1407778815, 'NL', 'Netherlands'),
(50890, '83.233.0.0', '83.233.255.255', 1407778816, 1407844351, 'SE', 'Sweden'),
(50891, '83.234.0.0', '83.234.255.255', 1407844352, 1407909887, 'RU', 'Russian Federation'),
(50892, '83.235.0.0', '83.235.255.255', 1407909888, 1407975423, 'GR', 'Greece'),
(50893, '83.236.0.0', '83.236.149.79', 1407975424, 1408013647, 'DE', 'Germany'),
(50894, '83.236.149.80', '83.236.149.87', 1408013648, 1408013655, 'A2', 'Satellite Provider'),
(50895, '83.236.149.88', '83.236.155.208', 1408013656, 1408015312, 'DE', 'Germany'),
(50896, '83.236.155.209', '83.236.155.209', 1408015313, 1408015313, 'A2', 'Satellite Provider'),
(50897, '83.236.155.210', '83.236.232.230', 1408015314, 1408035046, 'DE', 'Germany'),
(50898, '83.236.232.231', '83.236.232.231', 1408035047, 1408035047, 'A2', 'Satellite Provider'),
(50899, '83.236.232.232', '83.236.255.255', 1408035048, 1408040959, 'DE', 'Germany'),
(50900, '83.237.0.0', '83.237.255.255', 1408040960, 1408106495, 'RU', 'Russian Federation'),
(50901, '83.238.0.0', '83.238.255.255', 1408106496, 1408172031, 'PL', 'Poland'),
(50902, '83.239.0.0', '83.239.255.255', 1408172032, 1408237567, 'RU', 'Russian Federation'),
(50903, '83.240.0.0', '83.240.127.255', 1408237568, 1408270335, 'CZ', 'Czech Republic'),
(50904, '83.240.128.0', '83.240.255.255', 1408270336, 1408303103, 'PT', 'Portugal'),
(50905, '83.241.0.0', '83.241.127.255', 1408303104, 1408335871, 'LV', 'Latvia'),
(50906, '83.241.128.0', '83.241.131.239', 1408335872, 1408336879, 'SE', 'Sweden'),
(50907, '83.241.131.240', '83.241.131.247', 1408336880, 1408336887, 'FI', 'Finland'),
(50908, '83.241.131.248', '83.241.135.31', 1408336888, 1408337695, 'SE', 'Sweden'),
(50909, '83.241.135.32', '83.241.135.39', 1408337696, 1408337703, 'DK', 'Denmark'),
(50910, '83.241.135.40', '83.241.139.119', 1408337704, 1408338807, 'SE', 'Sweden'),
(50911, '83.241.139.120', '83.241.139.127', 1408338808, 1408338815, 'DK', 'Denmark'),
(50912, '83.241.139.128', '83.241.140.15', 1408338816, 1408338959, 'SE', 'Sweden'),
(50913, '83.241.140.16', '83.241.140.23', 1408338960, 1408338967, 'NO', 'Norway'),
(50914, '83.241.140.24', '83.241.144.79', 1408338968, 1408340047, 'SE', 'Sweden'),
(50915, '83.241.144.80', '83.241.144.87', 1408340048, 1408340055, 'NO', 'Norway'),
(50916, '83.241.144.88', '83.241.198.23', 1408340056, 1408353815, 'SE', 'Sweden'),
(50917, '83.241.198.24', '83.241.198.31', 1408353816, 1408353823, 'DK', 'Denmark'),
(50918, '83.241.198.32', '83.241.225.231', 1408353824, 1408360935, 'SE', 'Sweden'),
(50919, '83.241.225.232', '83.241.225.239', 1408360936, 1408360943, 'DK', 'Denmark'),
(50920, '83.241.225.240', '83.241.255.255', 1408360944, 1408368639, 'SE', 'Sweden'),
(50921, '83.242.0.0', '83.242.31.255', 1408368640, 1408376831, 'NO', 'Norway'),
(50922, '83.242.32.0', '83.242.63.255', 1408376832, 1408385023, 'DE', 'Germany'),
(50923, '83.242.64.0', '83.242.95.255', 1408385024, 1408393215, 'PL', 'Poland'),
(50924, '83.242.96.0', '83.242.111.255', 1408393216, 1408397311, 'UA', 'Ukraine'),
(50925, '83.242.112.0', '83.242.127.255', 1408397312, 1408401407, 'PL', 'Poland'),
(50926, '83.242.128.0', '83.242.255.255', 1408401408, 1408434175, 'RU', 'Russian Federation'),
(50927, '83.243.0.0', '83.243.7.255', 1408434176, 1408436223, 'DE', 'Germany'),
(50928, '83.243.8.0', '83.243.15.255', 1408436224, 1408438271, 'LU', 'Luxembourg'),
(50929, '83.243.16.0', '83.243.23.255', 1408438272, 1408440319, 'FR', 'France'),
(50930, '83.243.24.0', '83.243.31.255', 1408440320, 1408442367, 'SE', 'Sweden'),
(50931, '83.243.32.0', '83.243.39.255', 1408442368, 1408444415, 'PL', 'Poland'),
(50932, '83.243.40.0', '83.243.63.255', 1408444416, 1408450559, 'DE', 'Germany'),
(50933, '83.243.64.0', '83.243.79.255', 1408450560, 1408454655, 'RU', 'Russian Federation'),
(50934, '83.243.80.0', '83.243.87.255', 1408454656, 1408456703, 'DE', 'Germany'),
(50935, '83.243.88.0', '83.243.95.255', 1408456704, 1408458751, 'LV', 'Latvia'),
(50936, '83.243.96.0', '83.243.103.255', 1408458752, 1408460799, 'GB', 'United Kingdom'),
(50937, '83.243.104.0', '83.243.111.255', 1408460800, 1408462847, 'PL', 'Poland'),
(50938, '83.243.112.0', '83.243.119.255', 1408462848, 1408464895, 'DE', 'Germany'),
(50939, '83.243.120.0', '83.243.127.255', 1408464896, 1408466943, 'RO', 'Romania'),
(50940, '83.243.128.0', '83.243.255.255', 1408466944, 1408499711, 'NO', 'Norway'),
(50941, '83.244.0.0', '83.244.127.255', 1408499712, 1408532479, 'PS', 'Palestinian Territory, Occupied'),
(50942, '83.244.128.0', '83.245.10.111', 1408532480, 1408567919, 'GB', 'United Kingdom'),
(50943, '83.245.10.112', '83.245.10.119', 1408567920, 1408567927, 'IE', 'Ireland'),
(50944, '83.245.10.120', '83.245.37.127', 1408567928, 1408574847, 'GB', 'United Kingdom'),
(50945, '83.245.37.128', '83.245.37.191', 1408574848, 1408574911, 'IE', 'Ireland'),
(50946, '83.245.37.192', '83.245.38.255', 1408574912, 1408575231, 'GB', 'United Kingdom'),
(50947, '83.245.39.0', '83.245.39.7', 1408575232, 1408575239, 'IE', 'Ireland'),
(50948, '83.245.39.8', '83.245.55.255', 1408575240, 1408579583, 'GB', 'United Kingdom'),
(50949, '83.245.56.0', '83.245.56.255', 1408579584, 1408579839, 'IE', 'Ireland'),
(50950, '83.245.57.0', '83.245.73.255', 1408579840, 1408584191, 'GB', 'United Kingdom'),
(50951, '83.245.74.0', '83.245.75.255', 1408584192, 1408584703, 'IE', 'Ireland'),
(50952, '83.245.76.0', '83.245.78.191', 1408584704, 1408585407, 'GB', 'United Kingdom'),
(50953, '83.245.78.192', '83.245.78.255', 1408585408, 1408585471, 'IE', 'Ireland'),
(50954, '83.245.79.0', '83.245.98.31', 1408585472, 1408590367, 'GB', 'United Kingdom'),
(50955, '83.245.98.32', '83.245.98.47', 1408590368, 1408590383, 'IM', 'Isle of Man'),
(50956, '83.245.98.48', '83.245.99.255', 1408590384, 1408590847, 'GB', 'United Kingdom'),
(50957, '83.245.100.0', '83.245.100.255', 1408590848, 1408591103, 'BE', 'Belgium'),
(50958, '83.245.101.0', '83.245.125.255', 1408591104, 1408597503, 'GB', 'United Kingdom'),
(50959, '83.245.126.0', '83.245.127.255', 1408597504, 1408598015, 'IE', 'Ireland'),
(50960, '83.245.128.0', '83.245.255.255', 1408598016, 1408630783, 'FI', 'Finland'),
(50961, '83.246.0.0', '83.246.15.255', 1408630784, 1408634879, 'RO', 'Romania'),
(50962, '83.246.16.0', '83.246.127.255', 1408634880, 1408663551, 'DE', 'Germany'),
(50963, '83.246.128.0', '83.246.255.255', 1408663552, 1408696319, 'RU', 'Russian Federation'),
(50964, '83.247.0.0', '83.247.127.255', 1408696320, 1408729087, 'NL', 'Netherlands'),
(50965, '83.247.128.0', '83.247.255.255', 1408729088, 1408761855, 'ES', 'Spain'),
(50966, '83.248.0.0', '83.255.255.255', 1408761856, 1409286143, 'SE', 'Sweden'),
(50967, '84.0.0.0', '84.1.41.255', 1409286144, 1409362431, 'HU', 'Hungary'),
(50968, '84.1.42.0', '84.1.47.255', 1409362432, 1409363967, 'BG', 'Bulgaria'),
(50969, '84.1.48.0', '84.1.113.47', 1409363968, 1409380655, 'HU', 'Hungary'),
(50970, '84.1.113.48', '84.1.113.65', 1409380656, 1409380673, 'RO', 'Romania'),
(50971, '84.1.113.66', '84.1.239.255', 1409380674, 1409413119, 'HU', 'Hungary'),
(50972, '84.1.240.0', '84.1.247.255', 1409413120, 1409415167, 'BG', 'Bulgaria'),
(50973, '84.1.248.0', '84.2.50.255', 1409415168, 1409430271, 'HU', 'Hungary'),
(50974, '84.2.51.0', '84.2.52.255', 1409430272, 1409430783, 'RO', 'Romania'),
(50975, '84.2.53.0', '84.3.255.255', 1409430784, 1409548287, 'HU', 'Hungary'),
(50976, '84.4.0.0', '84.7.255.255', 1409548288, 1409810431, 'FR', 'France'),
(50977, '84.8.0.0', '84.9.255.255', 1409810432, 1409941503, 'GB', 'United Kingdom'),
(50978, '84.10.0.0', '84.10.255.255', 1409941504, 1410007039, 'PL', 'Poland'),
(50979, '84.11.0.0', '84.11.1.255', 1410007040, 1410007551, 'A2', 'Satellite Provider'),
(50980, '84.11.2.0', '84.11.2.255', 1410007552, 1410007807, 'IR', 'Iran, Islamic Republic of'),
(50981, '84.11.3.0', '84.11.5.255', 1410007808, 1410008575, 'A2', 'Satellite Provider'),
(50982, '84.11.6.0', '84.11.6.31', 1410008576, 1410008607, 'AE', 'United Arab Emirates'),
(50983, '84.11.6.32', '84.11.6.255', 1410008608, 1410008831, 'A2', 'Satellite Provider'),
(50984, '84.11.7.0', '84.11.7.255', 1410008832, 1410009087, 'US', 'United States'),
(50985, '84.11.8.0', '84.11.8.255', 1410009088, 1410009343, 'A2', 'Satellite Provider'),
(50986, '84.11.9.0', '84.11.9.135', 1410009344, 1410009479, 'US', 'United States'),
(50987, '84.11.9.136', '84.11.9.143', 1410009480, 1410009487, 'A2', 'Satellite Provider'),
(50988, '84.11.9.144', '84.11.9.191', 1410009488, 1410009535, 'GI', 'Gibraltar'),
(50989, '84.11.9.192', '84.11.13.31', 1410009536, 1410010399, 'A2', 'Satellite Provider'),
(50990, '84.11.13.32', '84.11.13.63', 1410010400, 1410010431, 'LY', 'Libyan Arab Jamahiriya'),
(50991, '84.11.13.64', '84.11.13.175', 1410010432, 1410010543, 'A2', 'Satellite Provider'),
(50992, '84.11.13.176', '84.11.13.207', 1410010544, 1410010575, 'LY', 'Libyan Arab Jamahiriya'),
(50993, '84.11.13.208', '84.11.13.231', 1410010576, 1410010599, 'A2', 'Satellite Provider'),
(50994, '84.11.13.232', '84.11.13.239', 1410010600, 1410010607, 'IR', 'Iran, Islamic Republic of'),
(50995, '84.11.13.240', '84.11.13.255', 1410010608, 1410010623, 'LY', 'Libyan Arab Jamahiriya'),
(50996, '84.11.14.0', '84.11.14.15', 1410010624, 1410010639, 'DE', 'Germany'),
(50997, '84.11.14.16', '84.11.14.63', 1410010640, 1410010687, 'A2', 'Satellite Provider'),
(50998, '84.11.14.64', '84.11.14.79', 1410010688, 1410010703, 'IR', 'Iran, Islamic Republic of'),
(50999, '84.11.14.80', '84.11.14.95', 1410010704, 1410010719, 'A2', 'Satellite Provider'),
(51000, '84.11.14.96', '84.11.14.127', 1410010720, 1410010751, 'LY', 'Libyan Arab Jamahiriya'),
(51001, '84.11.14.128', '84.11.14.199', 1410010752, 1410010823, 'A2', 'Satellite Provider'),
(51002, '84.11.14.200', '84.11.14.207', 1410010824, 1410010831, 'IR', 'Iran, Islamic Republic of'),
(51003, '84.11.14.208', '84.11.14.255', 1410010832, 1410010879, 'A2', 'Satellite Provider'),
(51004, '84.11.15.0', '84.11.15.255', 1410010880, 1410011135, 'IR', 'Iran, Islamic Republic of'),
(51005, '84.11.16.0', '84.11.17.255', 1410011136, 1410011647, 'DE', 'Germany'),
(51006, '84.11.18.0', '84.11.21.255', 1410011648, 1410012671, 'A2', 'Satellite Provider'),
(51007, '84.11.22.0', '84.11.23.255', 1410012672, 1410013183, 'DE', 'Germany'),
(51008, '84.11.24.0', '84.11.24.255', 1410013184, 1410013439, 'ES', 'Spain'),
(51009, '84.11.25.0', '84.11.25.31', 1410013440, 1410013471, 'IR', 'Iran, Islamic Republic of'),
(51010, '84.11.25.32', '84.11.25.95', 1410013472, 1410013535, 'AE', 'United Arab Emirates'),
(51011, '84.11.25.96', '84.11.25.127', 1410013536, 1410013567, 'IR', 'Iran, Islamic Republic of'),
(51012, '84.11.25.128', '84.11.25.191', 1410013568, 1410013631, 'AE', 'United Arab Emirates'),
(51013, '84.11.25.192', '84.11.25.223', 1410013632, 1410013663, 'IR', 'Iran, Islamic Republic of'),
(51014, '84.11.25.224', '84.11.25.255', 1410013664, 1410013695, 'AE', 'United Arab Emirates'),
(51015, '84.11.26.0', '84.11.26.31', 1410013696, 1410013727, 'KW', 'Kuwait'),
(51016, '84.11.26.32', '84.11.26.63', 1410013728, 1410013759, 'AE', 'United Arab Emirates'),
(51017, '84.11.26.64', '84.11.26.95', 1410013760, 1410013791, 'IR', 'Iran, Islamic Republic of'),
(51018, '84.11.26.96', '84.11.26.127', 1410013792, 1410013823, 'A2', 'Satellite Provider'),
(51019, '84.11.26.128', '84.11.26.191', 1410013824, 1410013887, 'AF', 'Afghanistan'),
(51020, '84.11.26.192', '84.11.26.223', 1410013888, 1410013919, 'A2', 'Satellite Provider'),
(51021, '84.11.26.224', '84.11.26.255', 1410013920, 1410013951, 'KW', 'Kuwait'),
(51022, '84.11.27.0', '84.11.27.31', 1410013952, 1410013983, 'AE', 'United Arab Emirates'),
(51023, '84.11.27.32', '84.11.27.63', 1410013984, 1410014015, 'IR', 'Iran, Islamic Republic of'),
(51024, '84.11.27.64', '84.11.27.95', 1410014016, 1410014047, 'KW', 'Kuwait'),
(51025, '84.11.27.96', '84.11.27.127', 1410014048, 1410014079, 'AE', 'United Arab Emirates'),
(51026, '84.11.27.128', '84.11.27.255', 1410014080, 1410014207, 'A2', 'Satellite Provider'),
(51027, '84.11.28.0', '84.11.28.31', 1410014208, 1410014239, 'AE', 'United Arab Emirates'),
(51028, '84.11.28.32', '84.11.28.127', 1410014240, 1410014335, 'IR', 'Iran, Islamic Republic of'),
(51029, '84.11.28.128', '84.11.28.191', 1410014336, 1410014399, 'AE', 'United Arab Emirates'),
(51030, '84.11.28.192', '84.11.28.255', 1410014400, 1410014463, 'ES', 'Spain'),
(51031, '84.11.29.0', '84.11.29.31', 1410014464, 1410014495, 'KW', 'Kuwait'),
(51032, '84.11.29.32', '84.11.29.127', 1410014496, 1410014591, 'IR', 'Iran, Islamic Republic of'),
(51033, '84.11.29.128', '84.11.30.165', 1410014592, 1410014885, 'A2', 'Satellite Provider'),
(51034, '84.11.30.166', '84.11.30.166', 1410014886, 1410014886, 'ES', 'Spain'),
(51035, '84.11.30.167', '84.11.30.175', 1410014887, 1410014895, 'A2', 'Satellite Provider'),
(51036, '84.11.30.176', '84.11.30.207', 1410014896, 1410014927, 'IR', 'Iran, Islamic Republic of'),
(51037, '84.11.30.208', '84.11.30.215', 1410014928, 1410014935, 'PA', 'Panama'),
(51038, '84.11.30.216', '84.11.30.223', 1410014936, 1410014943, 'IR', 'Iran, Islamic Republic of'),
(51039, '84.11.30.224', '84.11.30.231', 1410014944, 1410014951, 'AE', 'United Arab Emirates'),
(51040, '84.11.30.232', '84.11.30.246', 1410014952, 1410014966, 'A2', 'Satellite Provider'),
(51041, '84.11.30.247', '84.11.30.247', 1410014967, 1410014967, 'IR', 'Iran, Islamic Republic of'),
(51042, '84.11.30.248', '84.11.30.248', 1410014968, 1410014968, 'A2', 'Satellite Provider'),
(51043, '84.11.30.249', '84.11.30.249', 1410014969, 1410014969, 'IR', 'Iran, Islamic Republic of'),
(51044, '84.11.30.250', '84.11.30.252', 1410014970, 1410014972, 'A2', 'Satellite Provider'),
(51045, '84.11.30.253', '84.11.30.254', 1410014973, 1410014974, 'AE', 'United Arab Emirates'),
(51046, '84.11.30.255', '84.11.31.31', 1410014975, 1410015007, 'A2', 'Satellite Provider'),
(51047, '84.11.31.32', '84.11.31.127', 1410015008, 1410015103, 'IR', 'Iran, Islamic Republic of'),
(51048, '84.11.31.128', '84.11.31.159', 1410015104, 1410015135, 'ES', 'Spain'),
(51049, '84.11.31.160', '84.11.32.31', 1410015136, 1410015263, 'IR', 'Iran, Islamic Republic of'),
(51050, '84.11.32.32', '84.11.32.63', 1410015264, 1410015295, 'KW', 'Kuwait'),
(51051, '84.11.32.64', '84.11.32.191', 1410015296, 1410015423, 'IR', 'Iran, Islamic Republic of'),
(51052, '84.11.32.192', '84.11.32.255', 1410015424, 1410015487, 'AE', 'United Arab Emirates'),
(51053, '84.11.33.0', '84.11.33.255', 1410015488, 1410015743, 'AF', 'Afghanistan'),
(51054, '84.11.34.0', '84.11.34.127', 1410015744, 1410015871, 'IR', 'Iran, Islamic Republic of'),
(51055, '84.11.34.128', '84.11.34.191', 1410015872, 1410015935, 'AE', 'United Arab Emirates'),
(51056, '84.11.34.192', '84.11.35.255', 1410015936, 1410016255, 'IR', 'Iran, Islamic Republic of'),
(51057, '84.11.36.0', '84.11.36.63', 1410016256, 1410016319, 'AE', 'United Arab Emirates'),
(51058, '84.11.36.64', '84.11.36.127', 1410016320, 1410016383, 'ES', 'Spain'),
(51059, '84.11.36.128', '84.11.36.159', 1410016384, 1410016415, 'IR', 'Iran, Islamic Republic of'),
(51060, '84.11.36.160', '84.11.36.191', 1410016416, 1410016447, 'PA', 'Panama'),
(51061, '84.11.36.192', '84.11.37.31', 1410016448, 1410016543, 'IR', 'Iran, Islamic Republic of'),
(51062, '84.11.37.32', '84.11.37.63', 1410016544, 1410016575, 'A2', 'Satellite Provider'),
(51063, '84.11.37.64', '84.11.37.95', 1410016576, 1410016607, 'AE', 'United Arab Emirates'),
(51064, '84.11.37.96', '84.11.37.127', 1410016608, 1410016639, 'PA', 'Panama'),
(51065, '84.11.37.128', '84.11.37.159', 1410016640, 1410016671, 'IR', 'Iran, Islamic Republic of'),
(51066, '84.11.37.160', '84.11.37.191', 1410016672, 1410016703, 'PA', 'Panama'),
(51067, '84.11.37.192', '84.11.37.255', 1410016704, 1410016767, 'A2', 'Satellite Provider'),
(51068, '84.11.38.0', '84.11.38.63', 1410016768, 1410016831, 'IR', 'Iran, Islamic Republic of'),
(51069, '84.11.38.64', '84.11.38.95', 1410016832, 1410016863, 'AE', 'United Arab Emirates'),
(51070, '84.11.38.96', '84.11.38.127', 1410016864, 1410016895, 'IR', 'Iran, Islamic Republic of'),
(51071, '84.11.38.128', '84.11.38.255', 1410016896, 1410017023, 'AE', 'United Arab Emirates'),
(51072, '84.11.39.0', '84.11.39.31', 1410017024, 1410017055, 'PA', 'Panama'),
(51073, '84.11.39.32', '84.11.39.95', 1410017056, 1410017119, 'IR', 'Iran, Islamic Republic of'),
(51074, '84.11.39.96', '84.11.39.255', 1410017120, 1410017279, 'A2', 'Satellite Provider'),
(51075, '84.11.40.0', '84.11.40.127', 1410017280, 1410017407, 'IR', 'Iran, Islamic Republic of'),
(51076, '84.11.40.128', '84.11.41.255', 1410017408, 1410017791, 'A2', 'Satellite Provider'),
(51077, '84.11.42.0', '84.11.42.255', 1410017792, 1410018047, 'IR', 'Iran, Islamic Republic of'),
(51078, '84.11.43.0', '84.11.43.255', 1410018048, 1410018303, 'A2', 'Satellite Provider'),
(51079, '84.11.44.0', '84.11.44.255', 1410018304, 1410018559, 'AE', 'United Arab Emirates'),
(51080, '84.11.45.0', '84.11.45.31', 1410018560, 1410018591, 'A2', 'Satellite Provider'),
(51081, '84.11.45.32', '84.11.45.47', 1410018592, 1410018607, 'IR', 'Iran, Islamic Republic of'),
(51082, '84.11.45.48', '84.11.45.63', 1410018608, 1410018623, 'LY', 'Libyan Arab Jamahiriya'),
(51083, '84.11.45.64', '84.11.51.7', 1410018624, 1410020103, 'A2', 'Satellite Provider'),
(51084, '84.11.51.8', '84.11.51.15', 1410020104, 1410020111, 'US', 'United States'),
(51085, '84.11.51.16', '84.11.55.255', 1410020112, 1410021375, 'A2', 'Satellite Provider'),
(51086, '84.11.56.0', '84.11.56.31', 1410021376, 1410021407, 'IR', 'Iran, Islamic Republic of'),
(51087, '84.11.56.32', '84.11.56.255', 1410021408, 1410021631, 'A2', 'Satellite Provider'),
(51088, '84.11.57.0', '84.11.57.31', 1410021632, 1410021663, 'IR', 'Iran, Islamic Republic of'),
(51089, '84.11.57.32', '84.11.57.159', 1410021664, 1410021791, 'A2', 'Satellite Provider'),
(51090, '84.11.57.160', '84.11.57.191', 1410021792, 1410021823, 'IR', 'Iran, Islamic Republic of'),
(51091, '84.11.57.192', '84.11.60.127', 1410021824, 1410022527, 'A2', 'Satellite Provider'),
(51092, '84.11.60.128', '84.11.60.191', 1410022528, 1410022591, 'AE', 'United Arab Emirates'),
(51093, '84.11.60.192', '84.11.60.255', 1410022592, 1410022655, 'IR', 'Iran, Islamic Republic of'),
(51094, '84.11.61.0', '84.11.61.255', 1410022656, 1410022911, 'A2', 'Satellite Provider'),
(51095, '84.11.62.0', '84.11.63.255', 1410022912, 1410023423, 'IR', 'Iran, Islamic Republic of'),
(51096, '84.11.64.0', '84.11.67.95', 1410023424, 1410024287, 'A2', 'Satellite Provider'),
(51097, '84.11.67.96', '84.11.67.127', 1410024288, 1410024319, 'IR', 'Iran, Islamic Republic of'),
(51098, '84.11.67.128', '84.11.67.255', 1410024320, 1410024447, 'A2', 'Satellite Provider'),
(51099, '84.11.68.0', '84.11.70.127', 1410024448, 1410025087, 'IR', 'Iran, Islamic Republic of'),
(51100, '84.11.70.128', '84.11.70.255', 1410025088, 1410025215, 'A2', 'Satellite Provider'),
(51101, '84.11.71.0', '84.11.71.31', 1410025216, 1410025247, 'ES', 'Spain'),
(51102, '84.11.71.32', '84.11.71.63', 1410025248, 1410025279, 'A2', 'Satellite Provider'),
(51103, '84.11.71.64', '84.11.71.95', 1410025280, 1410025311, 'AE', 'United Arab Emirates'),
(51104, '84.11.71.96', '84.11.71.127', 1410025312, 1410025343, 'ES', 'Spain'),
(51105, '84.11.71.128', '84.11.71.191', 1410025344, 1410025407, 'IR', 'Iran, Islamic Republic of'),
(51106, '84.11.71.192', '84.11.71.223', 1410025408, 1410025439, 'AE', 'United Arab Emirates'),
(51107, '84.11.71.224', '84.11.72.31', 1410025440, 1410025503, 'A2', 'Satellite Provider'),
(51108, '84.11.72.32', '84.11.72.47', 1410025504, 1410025519, 'AE', 'United Arab Emirates'),
(51109, '84.11.72.48', '84.11.72.63', 1410025520, 1410025535, 'IR', 'Iran, Islamic Republic of'),
(51110, '84.11.72.64', '84.11.72.95', 1410025536, 1410025567, 'ES', 'Spain'),
(51111, '84.11.72.96', '84.11.72.127', 1410025568, 1410025599, 'A2', 'Satellite Provider'),
(51112, '84.11.72.128', '84.11.72.255', 1410025600, 1410025727, 'IR', 'Iran, Islamic Republic of'),
(51113, '84.11.73.0', '84.11.73.31', 1410025728, 1410025759, 'AE', 'United Arab Emirates'),
(51114, '84.11.73.32', '84.11.73.63', 1410025760, 1410025791, 'A2', 'Satellite Provider'),
(51115, '84.11.73.64', '84.11.73.95', 1410025792, 1410025823, 'AE', 'United Arab Emirates'),
(51116, '84.11.73.96', '84.11.73.127', 1410025824, 1410025855, 'IR', 'Iran, Islamic Republic of'),
(51117, '84.11.73.128', '84.11.73.255', 1410025856, 1410025983, 'A2', 'Satellite Provider'),
(51118, '84.11.74.0', '84.11.74.31', 1410025984, 1410026015, 'IR', 'Iran, Islamic Republic of'),
(51119, '84.11.74.32', '84.11.74.63', 1410026016, 1410026047, 'AE', 'United Arab Emirates'),
(51120, '84.11.74.64', '84.11.74.127', 1410026048, 1410026111, 'ES', 'Spain'),
(51121, '84.11.74.128', '84.11.74.159', 1410026112, 1410026143, 'A2', 'Satellite Provider'),
(51122, '84.11.74.160', '84.11.74.191', 1410026144, 1410026175, 'IR', 'Iran, Islamic Republic of'),
(51123, '84.11.74.192', '84.11.74.223', 1410026176, 1410026207, 'AE', 'United Arab Emirates'),
(51124, '84.11.74.224', '84.11.74.255', 1410026208, 1410026239, 'IR', 'Iran, Islamic Republic of'),
(51125, '84.11.75.0', '84.11.75.127', 1410026240, 1410026367, 'AE', 'United Arab Emirates'),
(51126, '84.11.75.128', '84.11.75.191', 1410026368, 1410026431, 'IR', 'Iran, Islamic Republic of'),
(51127, '84.11.75.192', '84.11.75.223', 1410026432, 1410026463, 'A2', 'Satellite Provider'),
(51128, '84.11.75.224', '84.11.76.255', 1410026464, 1410026751, 'IR', 'Iran, Islamic Republic of'),
(51129, '84.11.77.0', '84.11.77.63', 1410026752, 1410026815, 'CA', 'Canada'),
(51130, '84.11.77.64', '84.11.77.95', 1410026816, 1410026847, 'A2', 'Satellite Provider'),
(51131, '84.11.77.96', '84.11.77.159', 1410026848, 1410026911, 'IR', 'Iran, Islamic Republic of'),
(51132, '84.11.77.160', '84.11.77.191', 1410026912, 1410026943, 'A2', 'Satellite Provider'),
(51133, '84.11.77.192', '84.11.77.254', 1410026944, 1410027006, 'IR', 'Iran, Islamic Republic of'),
(51134, '84.11.77.255', '84.11.77.255', 1410027007, 1410027007, 'A2', 'Satellite Provider'),
(51135, '84.11.78.0', '84.11.78.255', 1410027008, 1410027263, 'KW', 'Kuwait'),
(51136, '84.11.79.0', '84.11.79.255', 1410027264, 1410027519, 'AF', 'Afghanistan'),
(51137, '84.11.80.0', '84.11.80.191', 1410027520, 1410027711, 'A2', 'Satellite Provider'),
(51138, '84.11.80.192', '84.11.80.255', 1410027712, 1410027775, 'IR', 'Iran, Islamic Republic of'),
(51139, '84.11.81.0', '84.11.84.255', 1410027776, 1410028799, 'A2', 'Satellite Provider'),
(51140, '84.11.85.0', '84.11.85.31', 1410028800, 1410028831, 'IR', 'Iran, Islamic Republic of'),
(51141, '84.11.85.32', '84.11.110.127', 1410028832, 1410035327, 'A2', 'Satellite Provider'),
(51142, '84.11.110.128', '84.11.110.143', 1410035328, 1410035343, 'IR', 'Iran, Islamic Republic of'),
(51143, '84.11.110.144', '84.11.112.255', 1410035344, 1410035967, 'A2', 'Satellite Provider'),
(51144, '84.11.113.0', '84.11.113.255', 1410035968, 1410036223, 'US', 'United States'),
(51145, '84.11.114.0', '84.11.115.255', 1410036224, 1410036735, 'A2', 'Satellite Provider'),
(51146, '84.11.116.0', '84.11.116.15', 1410036736, 1410036751, 'PA', 'Panama'),
(51147, '84.11.116.16', '84.11.129.255', 1410036752, 1410040319, 'A2', 'Satellite Provider'),
(51148, '84.11.130.0', '84.11.130.255', 1410040320, 1410040575, 'US', 'United States'),
(51149, '84.11.131.0', '84.11.137.255', 1410040576, 1410042367, 'A2', 'Satellite Provider'),
(51150, '84.11.138.0', '84.11.138.255', 1410042368, 1410042623, 'US', 'United States'),
(51151, '84.11.139.0', '84.11.139.191', 1410042624, 1410042815, 'A2', 'Satellite Provider'),
(51152, '84.11.139.192', '84.11.139.207', 1410042816, 1410042831, 'US', 'United States'),
(51153, '84.11.139.208', '84.11.141.33', 1410042832, 1410043169, 'A2', 'Satellite Provider'),
(51154, '84.11.141.34', '84.11.141.35', 1410043170, 1410043171, 'US', 'United States'),
(51155, '84.11.141.36', '84.11.141.36', 1410043172, 1410043172, 'A2', 'Satellite Provider'),
(51156, '84.11.141.37', '84.11.141.37', 1410043173, 1410043173, 'US', 'United States'),
(51157, '84.11.141.38', '84.11.148.255', 1410043174, 1410045183, 'A2', 'Satellite Provider'),
(51158, '84.11.149.0', '84.11.149.255', 1410045184, 1410045439, 'IQ', 'Iraq'),
(51159, '84.11.150.0', '84.11.253.7', 1410045440, 1410071815, 'A2', 'Satellite Provider'),
(51160, '84.11.253.8', '84.11.253.31', 1410071816, 1410071839, 'DE', 'Germany'),
(51161, '84.11.253.32', '84.11.254.255', 1410071840, 1410072319, 'A2', 'Satellite Provider'),
(51162, '84.11.255.0', '84.11.255.255', 1410072320, 1410072575, 'AE', 'United Arab Emirates'),
(51163, '84.12.0.0', '84.13.255.255', 1410072576, 1410203647, 'GB', 'United Kingdom'),
(51164, '84.14.0.0', '84.14.3.23', 1410203648, 1410204439, 'FR', 'France'),
(51165, '84.14.3.24', '84.14.3.39', 1410204440, 1410204455, 'IT', 'Italy'),
(51166, '84.14.3.40', '84.14.3.63', 1410204456, 1410204479, 'FR', 'France'),
(51167, '84.14.3.64', '84.14.3.79', 1410204480, 1410204495, 'PT', 'Portugal'),
(51168, '84.14.3.80', '84.14.35.255', 1410204496, 1410212863, 'FR', 'France'),
(51169, '84.14.36.0', '84.14.36.255', 1410212864, 1410213119, 'GB', 'United Kingdom'),
(51170, '84.14.37.0', '84.14.85.23', 1410213120, 1410225431, 'FR', 'France'),
(51171, '84.14.85.24', '84.14.85.31', 1410225432, 1410225439, 'GB', 'United Kingdom'),
(51172, '84.14.85.32', '84.14.116.231', 1410225440, 1410233575, 'FR', 'France'),
(51173, '84.14.116.232', '84.14.116.239', 1410233576, 1410233583, 'IE', 'Ireland'),
(51174, '84.14.116.240', '84.14.121.215', 1410233584, 1410234839, 'FR', 'France'),
(51175, '84.14.121.216', '84.14.121.223', 1410234840, 1410234847, 'A2', 'Satellite Provider'),
(51176, '84.14.121.224', '84.14.141.199', 1410234848, 1410239943, 'FR', 'France'),
(51177, '84.14.141.200', '84.14.141.207', 1410239944, 1410239951, 'GB', 'United Kingdom'),
(51178, '84.14.141.208', '84.14.148.223', 1410239952, 1410241759, 'FR', 'France'),
(51179, '84.14.148.224', '84.14.148.239', 1410241760, 1410241775, 'GB', 'United Kingdom'),
(51180, '84.14.148.240', '84.14.210.87', 1410241776, 1410257495, 'FR', 'France'),
(51181, '84.14.210.88', '84.14.210.95', 1410257496, 1410257503, 'GB', 'United Kingdom'),
(51182, '84.14.210.96', '84.14.226.159', 1410257504, 1410261663, 'FR', 'France'),
(51183, '84.14.226.160', '84.14.226.167', 1410261664, 1410261671, 'GB', 'United Kingdom'),
(51184, '84.14.226.168', '84.14.228.7', 1410261672, 1410262023, 'FR', 'France'),
(51185, '84.14.228.8', '84.14.228.15', 1410262024, 1410262031, 'BE', 'Belgium'),
(51186, '84.14.228.16', '84.14.229.119', 1410262032, 1410262391, 'FR', 'France'),
(51187, '84.14.229.120', '84.14.229.127', 1410262392, 1410262399, 'GB', 'United Kingdom'),
(51188, '84.14.229.128', '84.14.231.15', 1410262400, 1410262799, 'FR', 'France'),
(51189, '84.14.231.16', '84.14.231.31', 1410262800, 1410262815, 'DE', 'Germany'),
(51190, '84.14.231.32', '84.14.244.191', 1410262816, 1410266303, 'FR', 'France'),
(51191, '84.14.244.192', '84.14.244.199', 1410266304, 1410266311, 'IE', 'Ireland'),
(51192, '84.14.244.200', '84.14.247.159', 1410266312, 1410267039, 'FR', 'France'),
(51193, '84.14.247.160', '84.14.247.175', 1410267040, 1410267055, 'ES', 'Spain'),
(51194, '84.14.247.176', '84.14.247.191', 1410267056, 1410267071, 'GB', 'United Kingdom'),
(51195, '84.14.247.192', '84.14.247.207', 1410267072, 1410267087, 'IT', 'Italy'),
(51196, '84.14.247.208', '84.14.255.255', 1410267088, 1410269183, 'FR', 'France'),
(51197, '84.15.0.0', '84.15.35.255', 1410269184, 1410278399, 'LT', 'Lithuania'),
(51198, '84.15.36.0', '84.15.36.255', 1410278400, 1410278655, 'LV', 'Latvia'),
(51199, '84.15.37.0', '84.15.191.255', 1410278656, 1410318335, 'LT', 'Lithuania'),
(51200, '84.15.192.0', '84.15.195.255', 1410318336, 1410319359, 'LV', 'Latvia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(51201, '84.15.196.0', '84.15.255.255', 1410319360, 1410334719, 'LT', 'Lithuania'),
(51202, '84.16.0.0', '84.16.27.255', 1410334720, 1410341887, 'ES', 'Spain'),
(51203, '84.16.28.0', '84.16.30.255', 1410341888, 1410342655, 'MA', 'Morocco'),
(51204, '84.16.31.0', '84.16.31.255', 1410342656, 1410342911, 'ES', 'Spain'),
(51205, '84.16.32.0', '84.16.63.255', 1410342912, 1410351103, 'SK', 'Slovakia'),
(51206, '84.16.64.0', '84.16.71.143', 1410351104, 1410353039, 'CH', 'Switzerland'),
(51207, '84.16.71.144', '84.16.71.151', 1410353040, 1410353047, 'NI', 'Nicaragua'),
(51208, '84.16.71.152', '84.16.71.247', 1410353048, 1410353143, 'CH', 'Switzerland'),
(51209, '84.16.71.248', '84.16.71.255', 1410353144, 1410353151, 'NI', 'Nicaragua'),
(51210, '84.16.72.0', '84.16.75.255', 1410353152, 1410354175, 'CH', 'Switzerland'),
(51211, '84.16.76.0', '84.16.76.255', 1410354176, 1410354431, 'FR', 'France'),
(51212, '84.16.77.0', '84.16.95.255', 1410354432, 1410359295, 'CH', 'Switzerland'),
(51213, '84.16.96.0', '84.16.127.255', 1410359296, 1410367487, 'CZ', 'Czech Republic'),
(51214, '84.16.128.0', '84.16.159.255', 1410367488, 1410375679, 'RU', 'Russian Federation'),
(51215, '84.16.160.0', '84.16.160.255', 1410375680, 1410375935, 'DK', 'Denmark'),
(51216, '84.16.161.0', '84.16.161.255', 1410375936, 1410376191, 'CH', 'Switzerland'),
(51217, '84.16.162.0', '84.16.191.255', 1410376192, 1410383871, 'DK', 'Denmark'),
(51218, '84.16.192.0', '84.16.223.255', 1410383872, 1410392063, 'NO', 'Norway'),
(51219, '84.16.224.0', '84.16.243.255', 1410392064, 1410397183, 'DE', 'Germany'),
(51220, '84.16.244.0', '84.16.244.255', 1410397184, 1410397439, 'PL', 'Poland'),
(51221, '84.16.245.0', '84.16.252.255', 1410397440, 1410399487, 'DE', 'Germany'),
(51222, '84.16.253.0', '84.16.253.255', 1410399488, 1410399743, 'TR', 'Turkey'),
(51223, '84.16.254.0', '84.16.255.63', 1410399744, 1410400063, 'DE', 'Germany'),
(51224, '84.16.255.64', '84.16.255.127', 1410400064, 1410400127, 'TR', 'Turkey'),
(51225, '84.16.255.128', '84.16.255.255', 1410400128, 1410400255, 'DE', 'Germany'),
(51226, '84.17.0.0', '84.17.31.255', 1410400256, 1410408447, 'RU', 'Russian Federation'),
(51227, '84.17.32.0', '84.17.63.255', 1410408448, 1410416639, 'IT', 'Italy'),
(51228, '84.17.64.0', '84.17.95.255', 1410416640, 1410424831, 'TR', 'Turkey'),
(51229, '84.17.96.0', '84.17.127.255', 1410424832, 1410433023, 'DE', 'Germany'),
(51230, '84.17.128.0', '84.17.159.255', 1410433024, 1410441215, 'BE', 'Belgium'),
(51231, '84.17.160.0', '84.17.168.31', 1410441216, 1410443295, 'DE', 'Germany'),
(51232, '84.17.168.32', '84.17.168.63', 1410443296, 1410443327, 'IR', 'Iran, Islamic Republic of'),
(51233, '84.17.168.64', '84.17.168.119', 1410443328, 1410443383, 'DE', 'Germany'),
(51234, '84.17.168.120', '84.17.168.123', 1410443384, 1410443387, 'US', 'United States'),
(51235, '84.17.168.124', '84.17.191.255', 1410443388, 1410449407, 'DE', 'Germany'),
(51236, '84.17.192.0', '84.17.223.255', 1410449408, 1410457599, 'SE', 'Sweden'),
(51237, '84.17.224.0', '84.17.255.255', 1410457600, 1410465791, 'RU', 'Russian Federation'),
(51238, '84.18.0.0', '84.18.31.255', 1410465792, 1410473983, 'ES', 'Spain'),
(51239, '84.18.32.0', '84.18.95.255', 1410473984, 1410490367, 'JO', 'Jordan'),
(51240, '84.18.96.0', '84.18.127.255', 1410490368, 1410498559, 'RU', 'Russian Federation'),
(51241, '84.18.128.0', '84.18.144.147', 1410498560, 1410502803, 'IT', 'Italy'),
(51242, '84.18.144.148', '84.18.144.151', 1410502804, 1410502807, 'US', 'United States'),
(51243, '84.18.144.152', '84.18.159.255', 1410502808, 1410506751, 'IT', 'Italy'),
(51244, '84.18.160.0', '84.18.191.255', 1410506752, 1410514943, 'IE', 'Ireland'),
(51245, '84.18.192.0', '84.18.223.255', 1410514944, 1410523135, 'GB', 'United Kingdom'),
(51246, '84.18.224.0', '84.18.255.255', 1410523136, 1410531327, 'PT', 'Portugal'),
(51247, '84.19.0.0', '84.19.31.255', 1410531328, 1410539519, 'DE', 'Germany'),
(51248, '84.19.32.0', '84.19.34.127', 1410539520, 1410540159, 'GB', 'United Kingdom'),
(51249, '84.19.34.128', '84.19.34.159', 1410540160, 1410540191, 'DE', 'Germany'),
(51250, '84.19.34.160', '84.19.51.31', 1410540192, 1410544415, 'GB', 'United Kingdom'),
(51251, '84.19.51.32', '84.19.51.47', 1410544416, 1410544431, 'DE', 'Germany'),
(51252, '84.19.51.48', '84.19.63.255', 1410544432, 1410547711, 'GB', 'United Kingdom'),
(51253, '84.19.64.0', '84.19.95.255', 1410547712, 1410555903, 'CZ', 'Czech Republic'),
(51254, '84.19.96.0', '84.19.127.255', 1410555904, 1410564095, 'GB', 'United Kingdom'),
(51255, '84.19.128.0', '84.19.159.255', 1410564096, 1410572287, 'SE', 'Sweden'),
(51256, '84.19.160.0', '84.19.162.63', 1410572288, 1410572863, 'DE', 'Germany'),
(51257, '84.19.162.64', '84.19.162.95', 1410572864, 1410572895, 'RU', 'Russian Federation'),
(51258, '84.19.162.96', '84.19.164.95', 1410572896, 1410573407, 'DE', 'Germany'),
(51259, '84.19.164.96', '84.19.164.127', 1410573408, 1410573439, 'RU', 'Russian Federation'),
(51260, '84.19.164.128', '84.19.165.127', 1410573440, 1410573695, 'DE', 'Germany'),
(51261, '84.19.165.128', '84.19.165.143', 1410573696, 1410573711, 'RU', 'Russian Federation'),
(51262, '84.19.165.144', '84.19.165.191', 1410573712, 1410573759, 'DE', 'Germany'),
(51263, '84.19.165.192', '84.19.165.207', 1410573760, 1410573775, 'RU', 'Russian Federation'),
(51264, '84.19.165.208', '84.19.165.231', 1410573776, 1410573799, 'DE', 'Germany'),
(51265, '84.19.165.232', '84.19.165.247', 1410573800, 1410573815, 'IT', 'Italy'),
(51266, '84.19.165.248', '84.19.165.255', 1410573816, 1410573823, 'RU', 'Russian Federation'),
(51267, '84.19.166.0', '84.19.168.175', 1410573824, 1410574511, 'DE', 'Germany'),
(51268, '84.19.168.176', '84.19.168.183', 1410574512, 1410574519, 'CH', 'Switzerland'),
(51269, '84.19.168.184', '84.19.168.191', 1410574520, 1410574527, 'DE', 'Germany'),
(51270, '84.19.168.192', '84.19.168.207', 1410574528, 1410574543, 'IT', 'Italy'),
(51271, '84.19.168.208', '84.19.168.223', 1410574544, 1410574559, 'DE', 'Germany'),
(51272, '84.19.168.224', '84.19.168.239', 1410574560, 1410574575, 'RU', 'Russian Federation'),
(51273, '84.19.168.240', '84.19.168.247', 1410574576, 1410574583, 'DE', 'Germany'),
(51274, '84.19.168.248', '84.19.168.255', 1410574584, 1410574591, 'RU', 'Russian Federation'),
(51275, '84.19.169.0', '84.19.169.127', 1410574592, 1410574719, 'DE', 'Germany'),
(51276, '84.19.169.128', '84.19.169.135', 1410574720, 1410574727, 'RU', 'Russian Federation'),
(51277, '84.19.169.136', '84.19.169.255', 1410574728, 1410574847, 'DE', 'Germany'),
(51278, '84.19.170.0', '84.19.170.5', 1410574848, 1410574853, 'BR', 'Brazil'),
(51279, '84.19.170.6', '84.19.170.6', 1410574854, 1410574854, 'DE', 'Germany'),
(51280, '84.19.170.7', '84.19.170.127', 1410574855, 1410574975, 'BR', 'Brazil'),
(51281, '84.19.170.128', '84.19.170.223', 1410574976, 1410575071, 'DE', 'Germany'),
(51282, '84.19.170.224', '84.19.170.239', 1410575072, 1410575087, 'IT', 'Italy'),
(51283, '84.19.170.240', '84.19.170.255', 1410575088, 1410575103, 'RU', 'Russian Federation'),
(51284, '84.19.171.0', '84.19.171.7', 1410575104, 1410575111, 'US', 'United States'),
(51285, '84.19.171.8', '84.19.171.15', 1410575112, 1410575119, 'IT', 'Italy'),
(51286, '84.19.171.16', '84.19.171.31', 1410575120, 1410575135, 'DE', 'Germany'),
(51287, '84.19.171.32', '84.19.171.63', 1410575136, 1410575167, 'RU', 'Russian Federation'),
(51288, '84.19.171.64', '84.19.171.127', 1410575168, 1410575231, 'DE', 'Germany'),
(51289, '84.19.171.128', '84.19.171.159', 1410575232, 1410575263, 'CH', 'Switzerland'),
(51290, '84.19.171.160', '84.19.171.175', 1410575264, 1410575279, 'DE', 'Germany'),
(51291, '84.19.171.176', '84.19.171.191', 1410575280, 1410575295, 'IL', 'Israel'),
(51292, '84.19.171.192', '84.19.171.223', 1410575296, 1410575327, 'IT', 'Italy'),
(51293, '84.19.171.224', '84.19.171.255', 1410575328, 1410575359, 'SI', 'Slovenia'),
(51294, '84.19.172.0', '84.19.172.191', 1410575360, 1410575551, 'DE', 'Germany'),
(51295, '84.19.172.192', '84.19.172.255', 1410575552, 1410575615, 'IT', 'Italy'),
(51296, '84.19.173.0', '84.19.173.159', 1410575616, 1410575775, 'DE', 'Germany'),
(51297, '84.19.173.160', '84.19.173.175', 1410575776, 1410575791, 'RU', 'Russian Federation'),
(51298, '84.19.173.176', '84.19.173.191', 1410575792, 1410575807, 'DE', 'Germany'),
(51299, '84.19.173.192', '84.19.173.207', 1410575808, 1410575823, 'IL', 'Israel'),
(51300, '84.19.173.208', '84.19.173.223', 1410575824, 1410575839, 'BG', 'Bulgaria'),
(51301, '84.19.173.224', '84.19.173.239', 1410575840, 1410575855, 'IT', 'Italy'),
(51302, '84.19.173.240', '84.19.173.255', 1410575856, 1410575871, 'DE', 'Germany'),
(51303, '84.19.174.0', '84.19.174.127', 1410575872, 1410575999, 'DK', 'Denmark'),
(51304, '84.19.174.128', '84.19.175.127', 1410576000, 1410576255, 'DE', 'Germany'),
(51305, '84.19.175.128', '84.19.175.191', 1410576256, 1410576319, 'IT', 'Italy'),
(51306, '84.19.175.192', '84.19.175.223', 1410576320, 1410576351, 'DE', 'Germany'),
(51307, '84.19.175.224', '84.19.175.255', 1410576352, 1410576383, 'IT', 'Italy'),
(51308, '84.19.176.0', '84.19.223.255', 1410576384, 1410588671, 'DE', 'Germany'),
(51309, '84.19.224.0', '84.19.255.255', 1410588672, 1410596863, 'GB', 'United Kingdom'),
(51310, '84.20.0.0', '84.20.31.255', 1410596864, 1410605055, 'ES', 'Spain'),
(51311, '84.20.32.0', '84.20.63.255', 1410605056, 1410613247, 'CH', 'Switzerland'),
(51312, '84.20.64.0', '84.20.95.255', 1410613248, 1410621439, 'AL', 'Albania'),
(51313, '84.20.96.0', '84.20.127.255', 1410621440, 1410629631, 'NO', 'Norway'),
(51314, '84.20.128.0', '84.20.159.255', 1410629632, 1410637823, 'FI', 'Finland'),
(51315, '84.20.160.0', '84.20.191.255', 1410637824, 1410646015, 'AT', 'Austria'),
(51316, '84.20.192.0', '84.20.198.255', 1410646016, 1410647807, 'GB', 'United Kingdom'),
(51317, '84.20.199.0', '84.20.200.255', 1410647808, 1410648319, 'IE', 'Ireland'),
(51318, '84.20.201.0', '84.20.223.255', 1410648320, 1410654207, 'GB', 'United Kingdom'),
(51319, '84.20.224.0', '84.20.255.255', 1410654208, 1410662399, 'SI', 'Slovenia'),
(51320, '84.21.0.0', '84.21.31.255', 1410662400, 1410670591, 'HU', 'Hungary'),
(51321, '84.21.32.0', '84.21.39.255', 1410670592, 1410672639, 'DE', 'Germany'),
(51322, '84.21.40.0', '84.21.43.255', 1410672640, 1410673663, 'US', 'United States'),
(51323, '84.21.44.0', '84.21.52.255', 1410673664, 1410675967, 'DE', 'Germany'),
(51324, '84.21.53.0', '84.21.53.255', 1410675968, 1410676223, 'US', 'United States'),
(51325, '84.21.54.0', '84.21.63.255', 1410676224, 1410678783, 'DE', 'Germany'),
(51326, '84.21.64.0', '84.21.95.255', 1410678784, 1410686975, 'RU', 'Russian Federation'),
(51327, '84.21.96.0', '84.21.127.255', 1410686976, 1410695167, 'CZ', 'Czech Republic'),
(51328, '84.21.128.0', '84.21.159.255', 1410695168, 1410703359, 'GB', 'United Kingdom'),
(51329, '84.21.160.0', '84.21.191.255', 1410703360, 1410711551, 'ES', 'Spain'),
(51330, '84.21.192.0', '84.21.223.255', 1410711552, 1410719743, 'BG', 'Bulgaria'),
(51331, '84.21.224.0', '84.21.255.255', 1410719744, 1410727935, 'RU', 'Russian Federation'),
(51332, '84.22.0.0', '84.22.31.255', 1410727936, 1410736127, 'BG', 'Bulgaria'),
(51333, '84.22.32.0', '84.22.32.255', 1410736128, 1410736383, 'AL', 'Albania'),
(51334, '84.22.33.0', '84.22.33.0', 1410736384, 1410736384, 'RS', 'Serbia'),
(51335, '84.22.33.1', '84.22.33.254', 1410736385, 1410736638, 'AL', 'Albania'),
(51336, '84.22.33.255', '84.22.33.255', 1410736639, 1410736639, 'RS', 'Serbia'),
(51337, '84.22.34.0', '84.22.34.111', 1410736640, 1410736751, 'AL', 'Albania'),
(51338, '84.22.34.112', '84.22.34.127', 1410736752, 1410736767, 'RS', 'Serbia'),
(51339, '84.22.34.128', '84.22.34.255', 1410736768, 1410736895, 'AL', 'Albania'),
(51340, '84.22.35.0', '84.22.35.0', 1410736896, 1410736896, 'RS', 'Serbia'),
(51341, '84.22.35.1', '84.22.35.15', 1410736897, 1410736911, 'AL', 'Albania'),
(51342, '84.22.35.16', '84.22.35.32', 1410736912, 1410736928, 'RS', 'Serbia'),
(51343, '84.22.35.33', '84.22.36.255', 1410736929, 1410737407, 'AL', 'Albania'),
(51344, '84.22.37.0', '84.22.37.7', 1410737408, 1410737415, 'RS', 'Serbia'),
(51345, '84.22.37.8', '84.22.37.15', 1410737416, 1410737423, 'AL', 'Albania'),
(51346, '84.22.37.16', '84.22.37.23', 1410737424, 1410737431, 'RS', 'Serbia'),
(51347, '84.22.37.24', '84.22.37.31', 1410737432, 1410737439, 'AL', 'Albania'),
(51348, '84.22.37.32', '84.22.37.127', 1410737440, 1410737535, 'RS', 'Serbia'),
(51349, '84.22.37.128', '84.22.37.255', 1410737536, 1410737663, 'AL', 'Albania'),
(51350, '84.22.38.0', '84.22.38.0', 1410737664, 1410737664, 'RS', 'Serbia'),
(51351, '84.22.38.1', '84.22.38.254', 1410737665, 1410737918, 'AL', 'Albania'),
(51352, '84.22.38.255', '84.22.39.0', 1410737919, 1410737920, 'RS', 'Serbia'),
(51353, '84.22.39.1', '84.22.39.254', 1410737921, 1410738174, 'AL', 'Albania'),
(51354, '84.22.39.255', '84.22.39.255', 1410738175, 1410738175, 'RS', 'Serbia'),
(51355, '84.22.40.0', '84.22.40.39', 1410738176, 1410738215, 'AL', 'Albania'),
(51356, '84.22.40.40', '84.22.40.47', 1410738216, 1410738223, 'RS', 'Serbia'),
(51357, '84.22.40.48', '84.22.40.71', 1410738224, 1410738247, 'AL', 'Albania'),
(51358, '84.22.40.72', '84.22.40.87', 1410738248, 1410738263, 'RS', 'Serbia'),
(51359, '84.22.40.88', '84.22.40.119', 1410738264, 1410738295, 'AL', 'Albania'),
(51360, '84.22.40.120', '84.22.40.128', 1410738296, 1410738304, 'RS', 'Serbia'),
(51361, '84.22.40.129', '84.22.40.134', 1410738305, 1410738310, 'AL', 'Albania'),
(51362, '84.22.40.135', '84.22.40.144', 1410738311, 1410738320, 'RS', 'Serbia'),
(51363, '84.22.40.145', '84.22.40.150', 1410738321, 1410738326, 'AL', 'Albania'),
(51364, '84.22.40.151', '84.22.40.152', 1410738327, 1410738328, 'RS', 'Serbia'),
(51365, '84.22.40.153', '84.22.40.158', 1410738329, 1410738334, 'AL', 'Albania'),
(51366, '84.22.40.159', '84.22.40.175', 1410738335, 1410738351, 'RS', 'Serbia'),
(51367, '84.22.40.176', '84.22.40.183', 1410738352, 1410738359, 'AL', 'Albania'),
(51368, '84.22.40.184', '84.22.40.208', 1410738360, 1410738384, 'RS', 'Serbia'),
(51369, '84.22.40.209', '84.22.40.214', 1410738385, 1410738390, 'AL', 'Albania'),
(51370, '84.22.40.215', '84.22.40.255', 1410738391, 1410738431, 'RS', 'Serbia'),
(51371, '84.22.41.0', '84.22.41.15', 1410738432, 1410738447, 'AL', 'Albania'),
(51372, '84.22.41.16', '84.22.41.127', 1410738448, 1410738559, 'RS', 'Serbia'),
(51373, '84.22.41.128', '84.22.42.30', 1410738560, 1410738718, 'AL', 'Albania'),
(51374, '84.22.42.31', '84.22.42.32', 1410738719, 1410738720, 'RS', 'Serbia'),
(51375, '84.22.42.33', '84.22.42.46', 1410738721, 1410738734, 'AL', 'Albania'),
(51376, '84.22.42.47', '84.22.42.47', 1410738735, 1410738735, 'RS', 'Serbia'),
(51377, '84.22.42.48', '84.22.42.63', 1410738736, 1410738751, 'AL', 'Albania'),
(51378, '84.22.42.64', '84.22.42.64', 1410738752, 1410738752, 'RS', 'Serbia'),
(51379, '84.22.42.65', '84.22.42.78', 1410738753, 1410738766, 'AL', 'Albania'),
(51380, '84.22.42.79', '84.22.42.80', 1410738767, 1410738768, 'RS', 'Serbia'),
(51381, '84.22.42.81', '84.22.42.94', 1410738769, 1410738782, 'AL', 'Albania'),
(51382, '84.22.42.95', '84.22.42.112', 1410738783, 1410738800, 'RS', 'Serbia'),
(51383, '84.22.42.113', '84.22.42.126', 1410738801, 1410738814, 'AL', 'Albania'),
(51384, '84.22.42.127', '84.22.42.128', 1410738815, 1410738816, 'RS', 'Serbia'),
(51385, '84.22.42.129', '84.22.42.142', 1410738817, 1410738830, 'AL', 'Albania'),
(51386, '84.22.42.143', '84.22.42.144', 1410738831, 1410738832, 'RS', 'Serbia'),
(51387, '84.22.42.145', '84.22.42.158', 1410738833, 1410738846, 'AL', 'Albania'),
(51388, '84.22.42.159', '84.22.42.176', 1410738847, 1410738864, 'RS', 'Serbia'),
(51389, '84.22.42.177', '84.22.42.190', 1410738865, 1410738878, 'AL', 'Albania'),
(51390, '84.22.42.191', '84.22.42.208', 1410738879, 1410738896, 'RS', 'Serbia'),
(51391, '84.22.42.209', '84.22.42.214', 1410738897, 1410738902, 'AL', 'Albania'),
(51392, '84.22.42.215', '84.22.42.224', 1410738903, 1410738912, 'RS', 'Serbia'),
(51393, '84.22.42.225', '84.22.42.239', 1410738913, 1410738927, 'AL', 'Albania'),
(51394, '84.22.42.240', '84.22.42.255', 1410738928, 1410738943, 'RS', 'Serbia'),
(51395, '84.22.43.0', '84.22.43.23', 1410738944, 1410738967, 'AL', 'Albania'),
(51396, '84.22.43.24', '84.22.43.79', 1410738968, 1410739023, 'RS', 'Serbia'),
(51397, '84.22.43.80', '84.22.43.87', 1410739024, 1410739031, 'AL', 'Albania'),
(51398, '84.22.43.88', '84.22.44.0', 1410739032, 1410739200, 'RS', 'Serbia'),
(51399, '84.22.44.1', '84.22.44.126', 1410739201, 1410739326, 'AL', 'Albania'),
(51400, '84.22.44.127', '84.22.44.128', 1410739327, 1410739328, 'RS', 'Serbia'),
(51401, '84.22.44.129', '84.22.44.190', 1410739329, 1410739390, 'AL', 'Albania'),
(51402, '84.22.44.191', '84.22.44.191', 1410739391, 1410739391, 'RS', 'Serbia'),
(51403, '84.22.44.192', '84.22.45.15', 1410739392, 1410739471, 'AL', 'Albania'),
(51404, '84.22.45.16', '84.22.45.16', 1410739472, 1410739472, 'RS', 'Serbia'),
(51405, '84.22.45.17', '84.22.45.30', 1410739473, 1410739486, 'AL', 'Albania'),
(51406, '84.22.45.31', '84.22.45.64', 1410739487, 1410739520, 'RS', 'Serbia'),
(51407, '84.22.45.65', '84.22.45.78', 1410739521, 1410739534, 'AL', 'Albania'),
(51408, '84.22.45.79', '84.22.45.87', 1410739535, 1410739543, 'RS', 'Serbia'),
(51409, '84.22.45.88', '84.22.45.94', 1410739544, 1410739550, 'AL', 'Albania'),
(51410, '84.22.45.95', '84.22.45.112', 1410739551, 1410739568, 'RS', 'Serbia'),
(51411, '84.22.45.113', '84.22.45.126', 1410739569, 1410739582, 'AL', 'Albania'),
(51412, '84.22.45.127', '84.22.45.127', 1410739583, 1410739583, 'RS', 'Serbia'),
(51413, '84.22.45.128', '84.22.45.143', 1410739584, 1410739599, 'AL', 'Albania'),
(51414, '84.22.45.144', '84.22.45.160', 1410739600, 1410739616, 'RS', 'Serbia'),
(51415, '84.22.45.161', '84.22.45.174', 1410739617, 1410739630, 'AL', 'Albania'),
(51416, '84.22.45.175', '84.22.45.191', 1410739631, 1410739647, 'RS', 'Serbia'),
(51417, '84.22.45.192', '84.22.45.223', 1410739648, 1410739679, 'AL', 'Albania'),
(51418, '84.22.45.224', '84.22.45.240', 1410739680, 1410739696, 'RS', 'Serbia'),
(51419, '84.22.45.241', '84.22.45.254', 1410739697, 1410739710, 'AL', 'Albania'),
(51420, '84.22.45.255', '84.22.46.0', 1410739711, 1410739712, 'RS', 'Serbia'),
(51421, '84.22.46.1', '84.22.46.7', 1410739713, 1410739719, 'AL', 'Albania'),
(51422, '84.22.46.8', '84.22.46.8', 1410739720, 1410739720, 'RS', 'Serbia'),
(51423, '84.22.46.9', '84.22.46.15', 1410739721, 1410739727, 'AL', 'Albania'),
(51424, '84.22.46.16', '84.22.46.16', 1410739728, 1410739728, 'RS', 'Serbia'),
(51425, '84.22.46.17', '84.22.46.22', 1410739729, 1410739734, 'AL', 'Albania'),
(51426, '84.22.46.23', '84.22.46.24', 1410739735, 1410739736, 'RS', 'Serbia'),
(51427, '84.22.46.25', '84.22.46.30', 1410739737, 1410739742, 'AL', 'Albania'),
(51428, '84.22.46.31', '84.22.46.32', 1410739743, 1410739744, 'RS', 'Serbia'),
(51429, '84.22.46.33', '84.22.46.38', 1410739745, 1410739750, 'AL', 'Albania'),
(51430, '84.22.46.39', '84.22.46.40', 1410739751, 1410739752, 'RS', 'Serbia'),
(51431, '84.22.46.41', '84.22.46.47', 1410739753, 1410739759, 'AL', 'Albania'),
(51432, '84.22.46.48', '84.22.46.64', 1410739760, 1410739776, 'RS', 'Serbia'),
(51433, '84.22.46.65', '84.22.46.71', 1410739777, 1410739783, 'AL', 'Albania'),
(51434, '84.22.46.72', '84.22.46.79', 1410739784, 1410739791, 'RS', 'Serbia'),
(51435, '84.22.46.80', '84.22.46.87', 1410739792, 1410739799, 'AL', 'Albania'),
(51436, '84.22.46.88', '84.22.46.95', 1410739800, 1410739807, 'RS', 'Serbia'),
(51437, '84.22.46.96', '84.22.46.167', 1410739808, 1410739879, 'AL', 'Albania'),
(51438, '84.22.46.168', '84.22.46.175', 1410739880, 1410739887, 'RS', 'Serbia'),
(51439, '84.22.46.176', '84.22.46.207', 1410739888, 1410739919, 'AL', 'Albania'),
(51440, '84.22.46.208', '84.22.46.215', 1410739920, 1410739927, 'RS', 'Serbia'),
(51441, '84.22.46.216', '84.22.46.247', 1410739928, 1410739959, 'AL', 'Albania'),
(51442, '84.22.46.248', '84.22.46.255', 1410739960, 1410739967, 'RS', 'Serbia'),
(51443, '84.22.47.0', '84.22.47.27', 1410739968, 1410739995, 'AL', 'Albania'),
(51444, '84.22.47.28', '84.22.47.31', 1410739996, 1410739999, 'RS', 'Serbia'),
(51445, '84.22.47.32', '84.22.47.35', 1410740000, 1410740003, 'AL', 'Albania'),
(51446, '84.22.47.36', '84.22.47.39', 1410740004, 1410740007, 'RS', 'Serbia'),
(51447, '84.22.47.40', '84.22.47.75', 1410740008, 1410740043, 'AL', 'Albania'),
(51448, '84.22.47.76', '84.22.47.79', 1410740044, 1410740047, 'RS', 'Serbia'),
(51449, '84.22.47.80', '84.22.47.154', 1410740048, 1410740122, 'AL', 'Albania'),
(51450, '84.22.47.155', '84.22.47.155', 1410740123, 1410740123, 'RS', 'Serbia'),
(51451, '84.22.47.156', '84.22.47.203', 1410740124, 1410740171, 'AL', 'Albania'),
(51452, '84.22.47.204', '84.22.47.207', 1410740172, 1410740175, 'RS', 'Serbia'),
(51453, '84.22.47.208', '84.22.48.14', 1410740176, 1410740238, 'AL', 'Albania'),
(51454, '84.22.48.15', '84.22.48.15', 1410740239, 1410740239, 'RS', 'Serbia'),
(51455, '84.22.48.16', '84.22.48.111', 1410740240, 1410740335, 'AL', 'Albania'),
(51456, '84.22.48.112', '84.22.48.119', 1410740336, 1410740343, 'RS', 'Serbia'),
(51457, '84.22.48.120', '84.22.48.247', 1410740344, 1410740471, 'AL', 'Albania'),
(51458, '84.22.48.248', '84.22.48.255', 1410740472, 1410740479, 'RS', 'Serbia'),
(51459, '84.22.49.0', '84.22.49.27', 1410740480, 1410740507, 'AL', 'Albania'),
(51460, '84.22.49.28', '84.22.49.31', 1410740508, 1410740511, 'RS', 'Serbia'),
(51461, '84.22.49.32', '84.22.49.35', 1410740512, 1410740515, 'AL', 'Albania'),
(51462, '84.22.49.36', '84.22.49.39', 1410740516, 1410740519, 'RS', 'Serbia'),
(51463, '84.22.49.40', '84.22.49.111', 1410740520, 1410740591, 'AL', 'Albania'),
(51464, '84.22.49.112', '84.22.49.115', 1410740592, 1410740595, 'RS', 'Serbia'),
(51465, '84.22.49.116', '84.22.49.163', 1410740596, 1410740643, 'AL', 'Albania'),
(51466, '84.22.49.164', '84.22.49.167', 1410740644, 1410740647, 'RS', 'Serbia'),
(51467, '84.22.49.168', '84.22.49.195', 1410740648, 1410740675, 'AL', 'Albania'),
(51468, '84.22.49.196', '84.22.49.199', 1410740676, 1410740679, 'RS', 'Serbia'),
(51469, '84.22.49.200', '84.22.49.215', 1410740680, 1410740695, 'AL', 'Albania'),
(51470, '84.22.49.216', '84.22.49.219', 1410740696, 1410740699, 'RS', 'Serbia'),
(51471, '84.22.49.220', '84.22.49.254', 1410740700, 1410740734, 'AL', 'Albania'),
(51472, '84.22.49.255', '84.22.49.255', 1410740735, 1410740735, 'RS', 'Serbia'),
(51473, '84.22.50.0', '84.22.50.23', 1410740736, 1410740759, 'AL', 'Albania'),
(51474, '84.22.50.24', '84.22.50.31', 1410740760, 1410740767, 'RS', 'Serbia'),
(51475, '84.22.50.32', '84.22.50.135', 1410740768, 1410740871, 'AL', 'Albania'),
(51476, '84.22.50.136', '84.22.50.143', 1410740872, 1410740879, 'RS', 'Serbia'),
(51477, '84.22.50.144', '84.22.50.175', 1410740880, 1410740911, 'AL', 'Albania'),
(51478, '84.22.50.176', '84.22.50.183', 1410740912, 1410740919, 'RS', 'Serbia'),
(51479, '84.22.50.184', '84.22.50.195', 1410740920, 1410740931, 'AL', 'Albania'),
(51480, '84.22.50.196', '84.22.50.199', 1410740932, 1410740935, 'RS', 'Serbia'),
(51481, '84.22.50.200', '84.22.50.207', 1410740936, 1410740943, 'AL', 'Albania'),
(51482, '84.22.50.208', '84.22.50.255', 1410740944, 1410740991, 'RS', 'Serbia'),
(51483, '84.22.51.0', '84.22.52.55', 1410740992, 1410741303, 'AL', 'Albania'),
(51484, '84.22.52.56', '84.22.52.56', 1410741304, 1410741304, 'RS', 'Serbia'),
(51485, '84.22.52.57', '84.22.52.63', 1410741305, 1410741311, 'AL', 'Albania'),
(51486, '84.22.52.64', '84.22.52.79', 1410741312, 1410741327, 'RS', 'Serbia'),
(51487, '84.22.52.80', '84.22.52.95', 1410741328, 1410741343, 'AL', 'Albania'),
(51488, '84.22.52.96', '84.22.52.103', 1410741344, 1410741351, 'RS', 'Serbia'),
(51489, '84.22.52.104', '84.22.52.215', 1410741352, 1410741463, 'AL', 'Albania'),
(51490, '84.22.52.216', '84.22.52.223', 1410741464, 1410741471, 'RS', 'Serbia'),
(51491, '84.22.52.224', '84.22.56.7', 1410741472, 1410742279, 'AL', 'Albania'),
(51492, '84.22.56.8', '84.22.56.15', 1410742280, 1410742287, 'RS', 'Serbia'),
(51493, '84.22.56.16', '84.22.56.31', 1410742288, 1410742303, 'AL', 'Albania'),
(51494, '84.22.56.32', '84.22.56.47', 1410742304, 1410742319, 'RS', 'Serbia'),
(51495, '84.22.56.48', '84.22.56.79', 1410742320, 1410742351, 'AL', 'Albania'),
(51496, '84.22.56.80', '84.22.56.87', 1410742352, 1410742359, 'RS', 'Serbia'),
(51497, '84.22.56.88', '84.22.56.143', 1410742360, 1410742415, 'AL', 'Albania'),
(51498, '84.22.56.144', '84.22.56.255', 1410742416, 1410742527, 'RS', 'Serbia'),
(51499, '84.22.57.0', '84.22.58.123', 1410742528, 1410742907, 'AL', 'Albania'),
(51500, '84.22.58.124', '84.22.58.127', 1410742908, 1410742911, 'RS', 'Serbia'),
(51501, '84.22.58.128', '84.22.58.139', 1410742912, 1410742923, 'AL', 'Albania'),
(51502, '84.22.58.140', '84.22.58.143', 1410742924, 1410742927, 'RS', 'Serbia'),
(51503, '84.22.58.144', '84.22.58.147', 1410742928, 1410742931, 'AL', 'Albania'),
(51504, '84.22.58.148', '84.22.58.155', 1410742932, 1410742939, 'RS', 'Serbia'),
(51505, '84.22.58.156', '84.22.58.168', 1410742940, 1410742952, 'AL', 'Albania'),
(51506, '84.22.58.169', '84.22.58.171', 1410742953, 1410742955, 'RS', 'Serbia'),
(51507, '84.22.58.172', '84.22.58.179', 1410742956, 1410742963, 'AL', 'Albania'),
(51508, '84.22.58.180', '84.22.58.187', 1410742964, 1410742971, 'RS', 'Serbia'),
(51509, '84.22.58.188', '84.22.58.191', 1410742972, 1410742975, 'AL', 'Albania'),
(51510, '84.22.58.192', '84.22.58.195', 1410742976, 1410742979, 'RS', 'Serbia'),
(51511, '84.22.58.196', '84.22.58.212', 1410742980, 1410742996, 'AL', 'Albania'),
(51512, '84.22.58.213', '84.22.58.215', 1410742997, 1410742999, 'RS', 'Serbia'),
(51513, '84.22.58.216', '84.22.59.19', 1410743000, 1410743059, 'AL', 'Albania'),
(51514, '84.22.59.20', '84.22.59.23', 1410743060, 1410743063, 'RS', 'Serbia'),
(51515, '84.22.59.24', '84.22.59.35', 1410743064, 1410743075, 'AL', 'Albania'),
(51516, '84.22.59.36', '84.22.59.39', 1410743076, 1410743079, 'RS', 'Serbia'),
(51517, '84.22.59.40', '84.22.59.55', 1410743080, 1410743095, 'AL', 'Albania'),
(51518, '84.22.59.56', '84.22.59.67', 1410743096, 1410743107, 'RS', 'Serbia'),
(51519, '84.22.59.68', '84.22.59.71', 1410743108, 1410743111, 'AL', 'Albania'),
(51520, '84.22.59.72', '84.22.59.79', 1410743112, 1410743119, 'RS', 'Serbia'),
(51521, '84.22.59.80', '84.22.59.87', 1410743120, 1410743127, 'AL', 'Albania'),
(51522, '84.22.59.88', '84.22.59.255', 1410743128, 1410743295, 'RS', 'Serbia'),
(51523, '84.22.60.0', '84.22.60.255', 1410743296, 1410743551, 'AL', 'Albania'),
(51524, '84.22.61.0', '84.22.61.223', 1410743552, 1410743775, 'RS', 'Serbia'),
(51525, '84.22.61.224', '84.22.61.231', 1410743776, 1410743783, 'AL', 'Albania'),
(51526, '84.22.61.232', '84.22.61.255', 1410743784, 1410743807, 'RS', 'Serbia'),
(51527, '84.22.62.0', '84.22.62.159', 1410743808, 1410743967, 'AL', 'Albania'),
(51528, '84.22.62.160', '84.22.62.223', 1410743968, 1410744031, 'RS', 'Serbia'),
(51529, '84.22.62.224', '84.22.62.255', 1410744032, 1410744063, 'AL', 'Albania'),
(51530, '84.22.63.0', '84.22.63.19', 1410744064, 1410744083, 'RS', 'Serbia'),
(51531, '84.22.63.20', '84.22.63.23', 1410744084, 1410744087, 'AL', 'Albania'),
(51532, '84.22.63.24', '84.22.63.43', 1410744088, 1410744107, 'RS', 'Serbia'),
(51533, '84.22.63.44', '84.22.63.55', 1410744108, 1410744119, 'AL', 'Albania'),
(51534, '84.22.63.56', '84.22.63.71', 1410744120, 1410744135, 'RS', 'Serbia'),
(51535, '84.22.63.72', '84.22.63.75', 1410744136, 1410744139, 'AL', 'Albania'),
(51536, '84.22.63.76', '84.22.63.91', 1410744140, 1410744155, 'RS', 'Serbia'),
(51537, '84.22.63.92', '84.22.63.99', 1410744156, 1410744163, 'AL', 'Albania'),
(51538, '84.22.63.100', '84.22.63.103', 1410744164, 1410744167, 'RS', 'Serbia'),
(51539, '84.22.63.104', '84.22.63.107', 1410744168, 1410744171, 'AL', 'Albania'),
(51540, '84.22.63.108', '84.22.63.127', 1410744172, 1410744191, 'RS', 'Serbia'),
(51541, '84.22.63.128', '84.22.63.255', 1410744192, 1410744319, 'AL', 'Albania'),
(51542, '84.22.64.0', '84.22.64.255', 1410744320, 1410744575, 'FR', 'France'),
(51543, '84.22.65.0', '84.22.65.255', 1410744576, 1410744831, 'A2', 'Satellite Provider'),
(51544, '84.22.66.0', '84.22.66.255', 1410744832, 1410745087, 'FR', 'France'),
(51545, '84.22.67.0', '84.22.67.255', 1410745088, 1410745343, 'US', 'United States'),
(51546, '84.22.68.0', '84.22.69.255', 1410745344, 1410745855, 'FR', 'France'),
(51547, '84.22.70.0', '84.22.70.255', 1410745856, 1410746111, 'CH', 'Switzerland'),
(51548, '84.22.71.0', '84.22.73.255', 1410746112, 1410746879, 'AO', 'Angola'),
(51549, '84.22.74.0', '84.22.79.255', 1410746880, 1410748415, 'A2', 'Satellite Provider'),
(51550, '84.22.80.0', '84.22.95.255', 1410748416, 1410752511, 'DE', 'Germany'),
(51551, '84.22.96.0', '84.22.96.191', 1410752512, 1410752703, 'AQ', 'Antarctica'),
(51552, '84.22.96.192', '84.22.96.251', 1410752704, 1410752763, 'DE', 'Germany'),
(51553, '84.22.96.252', '84.22.97.23', 1410752764, 1410752791, 'AQ', 'Antarctica'),
(51554, '84.22.97.24', '84.22.97.31', 1410752792, 1410752799, 'DE', 'Germany'),
(51555, '84.22.97.32', '84.22.97.59', 1410752800, 1410752827, 'AQ', 'Antarctica'),
(51556, '84.22.97.60', '84.22.97.63', 1410752828, 1410752831, 'DE', 'Germany'),
(51557, '84.22.97.64', '84.22.97.67', 1410752832, 1410752835, 'AQ', 'Antarctica'),
(51558, '84.22.97.68', '84.22.97.255', 1410752836, 1410753023, 'DE', 'Germany'),
(51559, '84.22.98.0', '84.22.98.7', 1410753024, 1410753031, 'AQ', 'Antarctica'),
(51560, '84.22.98.8', '84.22.98.23', 1410753032, 1410753047, 'DE', 'Germany'),
(51561, '84.22.98.24', '84.22.98.31', 1410753048, 1410753055, 'BS', 'Bahamas'),
(51562, '84.22.98.32', '84.22.98.119', 1410753056, 1410753143, 'AQ', 'Antarctica'),
(51563, '84.22.98.120', '84.22.98.127', 1410753144, 1410753151, 'SC', 'Seychelles'),
(51564, '84.22.98.128', '84.22.98.131', 1410753152, 1410753155, 'AQ', 'Antarctica'),
(51565, '84.22.98.132', '84.22.98.135', 1410753156, 1410753159, 'DE', 'Germany'),
(51566, '84.22.98.136', '84.22.98.143', 1410753160, 1410753167, 'AQ', 'Antarctica'),
(51567, '84.22.98.144', '84.22.99.23', 1410753168, 1410753303, 'DE', 'Germany'),
(51568, '84.22.99.24', '84.22.99.47', 1410753304, 1410753327, 'AQ', 'Antarctica'),
(51569, '84.22.99.48', '84.22.99.55', 1410753328, 1410753335, 'DE', 'Germany'),
(51570, '84.22.99.56', '84.22.99.63', 1410753336, 1410753343, 'AQ', 'Antarctica'),
(51571, '84.22.99.64', '84.22.99.71', 1410753344, 1410753351, 'DE', 'Germany'),
(51572, '84.22.99.72', '84.22.99.87', 1410753352, 1410753367, 'AQ', 'Antarctica'),
(51573, '84.22.99.88', '84.22.99.111', 1410753368, 1410753391, 'DE', 'Germany'),
(51574, '84.22.99.112', '84.22.99.119', 1410753392, 1410753399, 'NL', 'Netherlands'),
(51575, '84.22.99.120', '84.22.103.255', 1410753400, 1410754559, 'AQ', 'Antarctica'),
(51576, '84.22.104.0', '84.22.104.31', 1410754560, 1410754591, 'US', 'United States'),
(51577, '84.22.104.32', '84.22.104.63', 1410754592, 1410754623, 'AQ', 'Antarctica'),
(51578, '84.22.104.64', '84.22.104.71', 1410754624, 1410754631, 'CN', 'China'),
(51579, '84.22.104.72', '84.22.105.15', 1410754632, 1410754831, 'AQ', 'Antarctica'),
(51580, '84.22.105.16', '84.22.105.19', 1410754832, 1410754835, 'DE', 'Germany'),
(51581, '84.22.105.20', '84.22.105.23', 1410754836, 1410754839, 'AQ', 'Antarctica'),
(51582, '84.22.105.24', '84.22.105.39', 1410754840, 1410754855, 'DE', 'Germany'),
(51583, '84.22.105.40', '84.22.105.43', 1410754856, 1410754859, 'AQ', 'Antarctica'),
(51584, '84.22.105.44', '84.22.105.51', 1410754860, 1410754867, 'DE', 'Germany'),
(51585, '84.22.105.52', '84.22.105.55', 1410754868, 1410754871, 'AQ', 'Antarctica'),
(51586, '84.22.105.56', '84.22.105.243', 1410754872, 1410755059, 'DE', 'Germany'),
(51587, '84.22.105.244', '84.22.105.251', 1410755060, 1410755067, 'AQ', 'Antarctica'),
(51588, '84.22.105.252', '84.22.105.255', 1410755068, 1410755071, 'DE', 'Germany'),
(51589, '84.22.106.0', '84.22.106.255', 1410755072, 1410755327, 'AQ', 'Antarctica'),
(51590, '84.22.107.0', '84.22.107.255', 1410755328, 1410755583, 'DE', 'Germany'),
(51591, '84.22.108.0', '84.22.122.255', 1410755584, 1410759423, 'AQ', 'Antarctica'),
(51592, '84.22.123.0', '84.22.123.255', 1410759424, 1410759679, 'DE', 'Germany'),
(51593, '84.22.124.0', '84.22.125.255', 1410759680, 1410760191, 'US', 'United States'),
(51594, '84.22.126.0', '84.22.126.255', 1410760192, 1410760447, 'DE', 'Germany'),
(51595, '84.22.127.0', '84.22.127.7', 1410760448, 1410760455, 'NL', 'Netherlands'),
(51596, '84.22.127.8', '84.22.127.15', 1410760456, 1410760463, 'BS', 'Bahamas'),
(51597, '84.22.127.16', '84.22.127.23', 1410760464, 1410760471, 'CN', 'China'),
(51598, '84.22.127.24', '84.22.127.31', 1410760472, 1410760479, 'AQ', 'Antarctica'),
(51599, '84.22.127.32', '84.22.127.39', 1410760480, 1410760487, 'DE', 'Germany'),
(51600, '84.22.127.40', '84.22.127.55', 1410760488, 1410760503, 'AQ', 'Antarctica'),
(51601, '84.22.127.56', '84.22.127.127', 1410760504, 1410760575, 'DE', 'Germany'),
(51602, '84.22.127.128', '84.22.127.255', 1410760576, 1410760703, 'AQ', 'Antarctica'),
(51603, '84.22.128.0', '84.22.159.255', 1410760704, 1410768895, 'RU', 'Russian Federation'),
(51604, '84.22.160.0', '84.22.191.255', 1410768896, 1410777087, 'GB', 'United Kingdom'),
(51605, '84.22.192.0', '84.22.223.255', 1410777088, 1410785279, 'RU', 'Russian Federation'),
(51606, '84.22.224.0', '84.22.255.255', 1410785280, 1410793471, 'SA', 'Saudi Arabia'),
(51607, '84.23.0.0', '84.23.31.255', 1410793472, 1410801663, 'GB', 'United Kingdom'),
(51608, '84.23.32.0', '84.23.63.255', 1410801664, 1410809855, 'RU', 'Russian Federation'),
(51609, '84.23.64.0', '84.23.95.255', 1410809856, 1410818047, 'DE', 'Germany'),
(51610, '84.23.96.0', '84.23.127.255', 1410818048, 1410826239, 'SA', 'Saudi Arabia'),
(51611, '84.23.128.0', '84.23.159.255', 1410826240, 1410834431, 'SE', 'Sweden'),
(51612, '84.23.160.0', '84.23.191.255', 1410834432, 1410842623, 'PL', 'Poland'),
(51613, '84.23.192.0', '84.23.223.255', 1410842624, 1410850815, 'PT', 'Portugal'),
(51614, '84.23.224.0', '84.23.255.255', 1410850816, 1410859007, 'DE', 'Germany'),
(51615, '84.24.0.0', '84.31.255.255', 1410859008, 1411383295, 'NL', 'Netherlands'),
(51616, '84.32.0.0', '84.32.255.255', 1411383296, 1411448831, 'LT', 'Lithuania'),
(51617, '84.33.0.0', '84.33.10.255', 1411448832, 1411451647, 'IT', 'Italy'),
(51618, '84.33.11.0', '84.33.11.255', 1411451648, 1411451903, 'DE', 'Germany'),
(51619, '84.33.12.0', '84.33.12.255', 1411451904, 1411452159, 'IT', 'Italy'),
(51620, '84.33.13.0', '84.33.13.255', 1411452160, 1411452415, 'DE', 'Germany'),
(51621, '84.33.14.0', '84.33.17.255', 1411452416, 1411453439, 'IT', 'Italy'),
(51622, '84.33.18.0', '84.33.18.255', 1411453440, 1411453695, 'DE', 'Germany'),
(51623, '84.33.19.0', '84.33.23.255', 1411453696, 1411454975, 'IT', 'Italy'),
(51624, '84.33.24.0', '84.33.26.255', 1411454976, 1411455743, 'DE', 'Germany'),
(51625, '84.33.27.0', '84.33.28.255', 1411455744, 1411456255, 'IT', 'Italy'),
(51626, '84.33.29.0', '84.33.29.255', 1411456256, 1411456511, 'DE', 'Germany'),
(51627, '84.33.30.0', '84.33.32.255', 1411456512, 1411457279, 'IT', 'Italy'),
(51628, '84.33.33.0', '84.33.33.255', 1411457280, 1411457535, 'DE', 'Germany'),
(51629, '84.33.34.0', '84.33.63.255', 1411457536, 1411465215, 'IT', 'Italy'),
(51630, '84.33.64.0', '84.33.64.255', 1411465216, 1411465471, 'GB', 'United Kingdom'),
(51631, '84.33.65.0', '84.33.65.255', 1411465472, 1411465727, 'US', 'United States'),
(51632, '84.33.66.0', '84.33.128.255', 1411465728, 1411481855, 'IT', 'Italy'),
(51633, '84.33.129.0', '84.33.136.255', 1411481856, 1411483903, 'DE', 'Germany'),
(51634, '84.33.137.0', '84.33.202.255', 1411483904, 1411500799, 'IT', 'Italy'),
(51635, '84.33.203.0', '84.33.203.255', 1411500800, 1411501055, 'DE', 'Germany'),
(51636, '84.33.204.0', '84.33.220.255', 1411501056, 1411505407, 'IT', 'Italy'),
(51637, '84.33.221.0', '84.33.221.255', 1411505408, 1411505663, 'US', 'United States'),
(51638, '84.33.222.0', '84.33.255.255', 1411505664, 1411514367, 'IT', 'Italy'),
(51639, '84.34.0.0', '84.34.255.255', 1411514368, 1411579903, 'FI', 'Finland'),
(51640, '84.35.0.0', '84.35.255.255', 1411579904, 1411645439, 'NL', 'Netherlands'),
(51641, '84.36.0.0', '84.36.255.255', 1411645440, 1411710975, 'EG', 'Egypt'),
(51642, '84.37.0.0', '84.37.24.7', 1411710976, 1411717127, 'FR', 'France'),
(51643, '84.37.24.8', '84.37.24.15', 1411717128, 1411717135, 'A2', 'Satellite Provider'),
(51644, '84.37.24.16', '84.37.24.63', 1411717136, 1411717183, 'FR', 'France'),
(51645, '84.37.24.64', '84.37.24.71', 1411717184, 1411717191, 'A2', 'Satellite Provider'),
(51646, '84.37.24.72', '84.37.24.247', 1411717192, 1411717367, 'FR', 'France'),
(51647, '84.37.24.248', '84.37.24.255', 1411717368, 1411717375, 'A2', 'Satellite Provider'),
(51648, '84.37.25.0', '84.37.100.87', 1411717376, 1411736663, 'FR', 'France'),
(51649, '84.37.100.88', '84.37.100.95', 1411736664, 1411736671, 'A2', 'Satellite Provider'),
(51650, '84.37.100.96', '84.37.101.247', 1411736672, 1411737079, 'FR', 'France'),
(51651, '84.37.101.248', '84.37.101.255', 1411737080, 1411737087, 'A2', 'Satellite Provider'),
(51652, '84.37.102.0', '84.37.255.255', 1411737088, 1411776511, 'FR', 'France'),
(51653, '84.38.0.0', '84.38.7.255', 1411776512, 1411778559, 'RU', 'Russian Federation'),
(51654, '84.38.8.0', '84.38.15.255', 1411778560, 1411780607, 'NO', 'Norway'),
(51655, '84.38.16.0', '84.38.31.255', 1411780608, 1411784703, 'PL', 'Poland'),
(51656, '84.38.32.0', '84.38.47.255', 1411784704, 1411788799, 'GB', 'United Kingdom'),
(51657, '84.38.48.0', '84.38.63.255', 1411788800, 1411792895, 'IT', 'Italy'),
(51658, '84.38.64.0', '84.38.79.255', 1411792896, 1411796991, 'DE', 'Germany'),
(51659, '84.38.80.0', '84.38.111.255', 1411796992, 1411805183, 'PL', 'Poland'),
(51660, '84.38.112.0', '84.38.127.255', 1411805184, 1411809279, 'AT', 'Austria'),
(51661, '84.38.128.0', '84.38.143.255', 1411809280, 1411813375, 'LV', 'Latvia'),
(51662, '84.38.144.0', '84.38.159.255', 1411813376, 1411817471, 'NO', 'Norway'),
(51663, '84.38.160.0', '84.38.175.255', 1411817472, 1411821567, 'PL', 'Poland'),
(51664, '84.38.176.0', '84.38.191.255', 1411821568, 1411825663, 'RU', 'Russian Federation'),
(51665, '84.38.192.0', '84.38.207.255', 1411825664, 1411829759, 'DE', 'Germany'),
(51666, '84.38.208.0', '84.38.223.255', 1411829760, 1411833855, 'PL', 'Poland'),
(51667, '84.38.224.0', '84.38.239.255', 1411833856, 1411837951, 'NL', 'Netherlands'),
(51668, '84.38.240.0', '84.38.255.255', 1411837952, 1411842047, 'BG', 'Bulgaria'),
(51669, '84.39.0.0', '84.39.255.255', 1411842048, 1411907583, 'PT', 'Portugal'),
(51670, '84.40.0.0', '84.40.0.255', 1411907584, 1411907839, 'EU', 'Europe'),
(51671, '84.40.1.0', '84.40.1.255', 1411907840, 1411908095, 'GB', 'United Kingdom'),
(51672, '84.40.2.0', '84.40.2.255', 1411908096, 1411908351, 'DE', 'Germany'),
(51673, '84.40.3.0', '84.40.3.47', 1411908352, 1411908399, 'EU', 'Europe'),
(51674, '84.40.3.48', '84.40.3.127', 1411908400, 1411908479, 'GB', 'United Kingdom'),
(51675, '84.40.3.128', '84.40.3.183', 1411908480, 1411908535, 'EU', 'Europe'),
(51676, '84.40.3.184', '84.40.3.207', 1411908536, 1411908559, 'GB', 'United Kingdom'),
(51677, '84.40.3.208', '84.40.3.211', 1411908560, 1411908563, 'AU', 'Australia'),
(51678, '84.40.3.212', '84.40.3.255', 1411908564, 1411908607, 'EU', 'Europe'),
(51679, '84.40.4.0', '84.40.6.255', 1411908608, 1411909375, 'GB', 'United Kingdom'),
(51680, '84.40.7.0', '84.40.7.255', 1411909376, 1411909631, 'EU', 'Europe'),
(51681, '84.40.8.0', '84.40.8.127', 1411909632, 1411909759, 'GB', 'United Kingdom'),
(51682, '84.40.8.128', '84.40.8.255', 1411909760, 1411909887, 'EU', 'Europe'),
(51683, '84.40.9.0', '84.40.9.255', 1411909888, 1411910143, 'GB', 'United Kingdom'),
(51684, '84.40.10.0', '84.40.10.255', 1411910144, 1411910399, 'EU', 'Europe'),
(51685, '84.40.11.0', '84.40.11.255', 1411910400, 1411910655, 'GB', 'United Kingdom'),
(51686, '84.40.12.0', '84.40.12.255', 1411910656, 1411910911, 'EU', 'Europe'),
(51687, '84.40.13.0', '84.40.13.255', 1411910912, 1411911167, 'GB', 'United Kingdom'),
(51688, '84.40.14.0', '84.40.14.255', 1411911168, 1411911423, 'EU', 'Europe'),
(51689, '84.40.15.0', '84.40.15.15', 1411911424, 1411911439, 'GB', 'United Kingdom'),
(51690, '84.40.15.16', '84.40.15.191', 1411911440, 1411911615, 'EU', 'Europe'),
(51691, '84.40.15.192', '84.40.15.223', 1411911616, 1411911647, 'GB', 'United Kingdom'),
(51692, '84.40.15.224', '84.40.15.255', 1411911648, 1411911679, 'EU', 'Europe'),
(51693, '84.40.16.0', '84.40.31.255', 1411911680, 1411915775, 'US', 'United States'),
(51694, '84.40.32.0', '84.40.32.63', 1411915776, 1411915839, 'GB', 'United Kingdom'),
(51695, '84.40.32.64', '84.40.32.127', 1411915840, 1411915903, 'EU', 'Europe'),
(51696, '84.40.32.128', '84.40.32.135', 1411915904, 1411915911, 'GB', 'United Kingdom'),
(51697, '84.40.32.136', '84.40.32.159', 1411915912, 1411915935, 'EU', 'Europe'),
(51698, '84.40.32.160', '84.40.32.191', 1411915936, 1411915967, 'GB', 'United Kingdom'),
(51699, '84.40.32.192', '84.40.32.255', 1411915968, 1411916031, 'EU', 'Europe'),
(51700, '84.40.33.0', '84.40.33.63', 1411916032, 1411916095, 'GB', 'United Kingdom'),
(51701, '84.40.33.64', '84.40.34.7', 1411916096, 1411916295, 'EU', 'Europe'),
(51702, '84.40.34.8', '84.40.34.15', 1411916296, 1411916303, 'GB', 'United Kingdom'),
(51703, '84.40.34.16', '84.40.35.255', 1411916304, 1411916799, 'EU', 'Europe'),
(51704, '84.40.36.0', '84.40.36.63', 1411916800, 1411916863, 'GB', 'United Kingdom'),
(51705, '84.40.36.64', '84.40.38.255', 1411916864, 1411917567, 'EU', 'Europe'),
(51706, '84.40.39.0', '84.40.39.71', 1411917568, 1411917639, 'GB', 'United Kingdom'),
(51707, '84.40.39.72', '84.40.39.95', 1411917640, 1411917663, 'EU', 'Europe'),
(51708, '84.40.39.96', '84.40.39.127', 1411917664, 1411917695, 'GB', 'United Kingdom'),
(51709, '84.40.39.128', '84.40.39.191', 1411917696, 1411917759, 'EU', 'Europe'),
(51710, '84.40.39.192', '84.40.39.223', 1411917760, 1411917791, 'GB', 'United Kingdom'),
(51711, '84.40.39.224', '84.40.47.255', 1411917792, 1411919871, 'EU', 'Europe'),
(51712, '84.40.48.0', '84.40.63.255', 1411919872, 1411923967, 'DE', 'Germany'),
(51713, '84.40.64.0', '84.40.127.255', 1411923968, 1411940351, 'BG', 'Bulgaria'),
(51714, '84.40.128.0', '84.40.255.255', 1411940352, 1411973119, 'PL', 'Poland'),
(51715, '84.41.0.0', '84.41.104.7', 1411973120, 1411999751, 'SI', 'Slovenia'),
(51716, '84.41.104.8', '84.41.104.47', 1411999752, 1411999791, 'BA', 'Bosnia and Herzegovina'),
(51717, '84.41.104.48', '84.41.104.63', 1411999792, 1411999807, 'SI', 'Slovenia'),
(51718, '84.41.104.64', '84.41.104.103', 1411999808, 1411999847, 'BA', 'Bosnia and Herzegovina'),
(51719, '84.41.104.104', '84.41.104.127', 1411999848, 1411999871, 'SI', 'Slovenia'),
(51720, '84.41.104.128', '84.41.104.151', 1411999872, 1411999895, 'BA', 'Bosnia and Herzegovina'),
(51721, '84.41.104.152', '84.41.104.159', 1411999896, 1411999903, 'SI', 'Slovenia'),
(51722, '84.41.104.160', '84.41.104.167', 1411999904, 1411999911, 'BA', 'Bosnia and Herzegovina'),
(51723, '84.41.104.168', '84.41.104.175', 1411999912, 1411999919, 'SI', 'Slovenia'),
(51724, '84.41.104.176', '84.41.104.183', 1411999920, 1411999927, 'BA', 'Bosnia and Herzegovina'),
(51725, '84.41.104.184', '84.41.104.191', 1411999928, 1411999935, 'SI', 'Slovenia'),
(51726, '84.41.104.192', '84.41.104.199', 1411999936, 1411999943, 'BA', 'Bosnia and Herzegovina'),
(51727, '84.41.104.200', '84.41.104.207', 1411999944, 1411999951, 'SI', 'Slovenia'),
(51728, '84.41.104.208', '84.41.104.215', 1411999952, 1411999959, 'BA', 'Bosnia and Herzegovina'),
(51729, '84.41.104.216', '84.41.104.223', 1411999960, 1411999967, 'SI', 'Slovenia'),
(51730, '84.41.104.224', '84.41.107.255', 1411999968, 1412000767, 'BA', 'Bosnia and Herzegovina'),
(51731, '84.41.108.0', '84.41.108.15', 1412000768, 1412000783, 'SI', 'Slovenia'),
(51732, '84.41.108.16', '84.41.108.23', 1412000784, 1412000791, 'BA', 'Bosnia and Herzegovina'),
(51733, '84.41.108.24', '84.41.108.95', 1412000792, 1412000863, 'SI', 'Slovenia'),
(51734, '84.41.108.96', '84.41.108.111', 1412000864, 1412000879, 'BA', 'Bosnia and Herzegovina'),
(51735, '84.41.108.112', '84.41.108.127', 1412000880, 1412000895, 'SI', 'Slovenia'),
(51736, '84.41.108.128', '84.41.108.143', 1412000896, 1412000911, 'BA', 'Bosnia and Herzegovina'),
(51737, '84.41.108.144', '84.41.108.175', 1412000912, 1412000943, 'SI', 'Slovenia'),
(51738, '84.41.108.176', '84.41.108.191', 1412000944, 1412000959, 'BA', 'Bosnia and Herzegovina'),
(51739, '84.41.108.192', '84.41.108.199', 1412000960, 1412000967, 'SI', 'Slovenia'),
(51740, '84.41.108.200', '84.41.108.231', 1412000968, 1412000999, 'BA', 'Bosnia and Herzegovina'),
(51741, '84.41.108.232', '84.41.108.239', 1412001000, 1412001007, 'SI', 'Slovenia'),
(51742, '84.41.108.240', '84.41.108.247', 1412001008, 1412001015, 'BA', 'Bosnia and Herzegovina'),
(51743, '84.41.108.248', '84.41.110.31', 1412001016, 1412001311, 'SI', 'Slovenia'),
(51744, '84.41.110.32', '84.41.110.39', 1412001312, 1412001319, 'DE', 'Germany'),
(51745, '84.41.110.40', '84.41.112.15', 1412001320, 1412001807, 'SI', 'Slovenia'),
(51746, '84.41.112.16', '84.41.112.63', 1412001808, 1412001855, 'RO', 'Romania'),
(51747, '84.41.112.64', '84.41.112.127', 1412001856, 1412001919, 'SI', 'Slovenia'),
(51748, '84.41.112.128', '84.41.113.255', 1412001920, 1412002303, 'RO', 'Romania'),
(51749, '84.41.114.0', '84.41.114.255', 1412002304, 1412002559, 'SI', 'Slovenia'),
(51750, '84.41.115.0', '84.41.115.223', 1412002560, 1412002783, 'MK', 'Macedonia'),
(51751, '84.41.115.224', '84.41.115.255', 1412002784, 1412002815, 'SI', 'Slovenia'),
(51752, '84.41.116.0', '84.41.116.31', 1412002816, 1412002847, 'BA', 'Bosnia and Herzegovina'),
(51753, '84.41.116.32', '84.41.116.47', 1412002848, 1412002863, 'SI', 'Slovenia'),
(51754, '84.41.116.48', '84.41.116.79', 1412002864, 1412002895, 'BA', 'Bosnia and Herzegovina'),
(51755, '84.41.116.80', '84.41.116.87', 1412002896, 1412002903, 'SI', 'Slovenia'),
(51756, '84.41.116.88', '84.41.116.95', 1412002904, 1412002911, 'BA', 'Bosnia and Herzegovina'),
(51757, '84.41.116.96', '84.41.116.103', 1412002912, 1412002919, 'SI', 'Slovenia'),
(51758, '84.41.116.104', '84.41.116.199', 1412002920, 1412003015, 'BA', 'Bosnia and Herzegovina'),
(51759, '84.41.116.200', '84.41.116.207', 1412003016, 1412003023, 'SI', 'Slovenia'),
(51760, '84.41.116.208', '84.41.116.223', 1412003024, 1412003039, 'BA', 'Bosnia and Herzegovina'),
(51761, '84.41.116.224', '84.41.116.239', 1412003040, 1412003055, 'SI', 'Slovenia'),
(51762, '84.41.116.240', '84.41.117.47', 1412003056, 1412003119, 'BA', 'Bosnia and Herzegovina'),
(51763, '84.41.117.48', '84.41.117.63', 1412003120, 1412003135, 'SI', 'Slovenia'),
(51764, '84.41.117.64', '84.41.117.79', 1412003136, 1412003151, 'BA', 'Bosnia and Herzegovina'),
(51765, '84.41.117.80', '84.41.117.127', 1412003152, 1412003199, 'SI', 'Slovenia'),
(51766, '84.41.117.128', '84.41.117.143', 1412003200, 1412003215, 'BA', 'Bosnia and Herzegovina'),
(51767, '84.41.117.144', '84.41.117.151', 1412003216, 1412003223, 'SI', 'Slovenia'),
(51768, '84.41.117.152', '84.41.117.159', 1412003224, 1412003231, 'BA', 'Bosnia and Herzegovina'),
(51769, '84.41.117.160', '84.41.117.175', 1412003232, 1412003247, 'SI', 'Slovenia'),
(51770, '84.41.117.176', '84.41.117.191', 1412003248, 1412003263, 'BA', 'Bosnia and Herzegovina'),
(51771, '84.41.117.192', '84.41.117.199', 1412003264, 1412003271, 'SI', 'Slovenia'),
(51772, '84.41.117.200', '84.41.117.231', 1412003272, 1412003303, 'BA', 'Bosnia and Herzegovina'),
(51773, '84.41.117.232', '84.41.117.255', 1412003304, 1412003327, 'SI', 'Slovenia'),
(51774, '84.41.118.0', '84.41.118.7', 1412003328, 1412003335, 'BA', 'Bosnia and Herzegovina'),
(51775, '84.41.118.8', '84.41.118.15', 1412003336, 1412003343, 'SI', 'Slovenia'),
(51776, '84.41.118.16', '84.41.118.23', 1412003344, 1412003351, 'BA', 'Bosnia and Herzegovina'),
(51777, '84.41.118.24', '84.41.118.47', 1412003352, 1412003375, 'SI', 'Slovenia'),
(51778, '84.41.118.48', '84.41.118.55', 1412003376, 1412003383, 'BA', 'Bosnia and Herzegovina'),
(51779, '84.41.118.56', '84.41.118.63', 1412003384, 1412003391, 'SI', 'Slovenia'),
(51780, '84.41.118.64', '84.41.118.199', 1412003392, 1412003527, 'BA', 'Bosnia and Herzegovina'),
(51781, '84.41.118.200', '84.41.118.207', 1412003528, 1412003535, 'SI', 'Slovenia'),
(51782, '84.41.118.208', '84.41.118.223', 1412003536, 1412003551, 'BA', 'Bosnia and Herzegovina'),
(51783, '84.41.118.224', '84.41.118.255', 1412003552, 1412003583, 'SI', 'Slovenia'),
(51784, '84.41.119.0', '84.41.119.15', 1412003584, 1412003599, 'BA', 'Bosnia and Herzegovina'),
(51785, '84.41.119.16', '84.41.119.39', 1412003600, 1412003623, 'SI', 'Slovenia'),
(51786, '84.41.119.40', '84.41.119.47', 1412003624, 1412003631, 'BA', 'Bosnia and Herzegovina'),
(51787, '84.41.119.48', '84.41.119.55', 1412003632, 1412003639, 'SI', 'Slovenia'),
(51788, '84.41.119.56', '84.41.119.63', 1412003640, 1412003647, 'BA', 'Bosnia and Herzegovina'),
(51789, '84.41.119.64', '84.41.120.15', 1412003648, 1412003855, 'SI', 'Slovenia'),
(51790, '84.41.120.16', '84.41.120.63', 1412003856, 1412003903, 'BG', 'Bulgaria'),
(51791, '84.41.120.64', '84.41.120.127', 1412003904, 1412003967, 'SI', 'Slovenia'),
(51792, '84.41.120.128', '84.41.121.255', 1412003968, 1412004351, 'BG', 'Bulgaria'),
(51793, '84.41.122.0', '84.41.123.255', 1412004352, 1412004863, 'BA', 'Bosnia and Herzegovina'),
(51794, '84.41.124.0', '84.41.127.255', 1412004864, 1412005887, 'SI', 'Slovenia'),
(51795, '84.41.128.0', '84.41.255.255', 1412005888, 1412038655, 'NL', 'Netherlands'),
(51796, '84.42.0.0', '84.42.127.255', 1412038656, 1412071423, 'RU', 'Russian Federation'),
(51797, '84.42.128.0', '84.42.255.255', 1412071424, 1412104191, 'CZ', 'Czech Republic'),
(51798, '84.43.0.0', '84.43.127.255', 1412104192, 1412136959, 'GB', 'United Kingdom'),
(51799, '84.43.128.0', '84.43.255.255', 1412136960, 1412169727, 'BG', 'Bulgaria'),
(51800, '84.44.0.0', '84.44.127.255', 1412169728, 1412202495, 'TR', 'Turkey'),
(51801, '84.44.128.0', '84.44.255.255', 1412202496, 1412235263, 'DE', 'Germany'),
(51802, '84.45.0.0', '84.45.22.215', 1412235264, 1412241111, 'GB', 'United Kingdom'),
(51803, '84.45.22.216', '84.45.22.223', 1412241112, 1412241119, 'NL', 'Netherlands'),
(51804, '84.45.22.224', '84.45.75.255', 1412241120, 1412254719, 'GB', 'United Kingdom'),
(51805, '84.45.76.0', '84.45.76.255', 1412254720, 1412254975, 'NL', 'Netherlands'),
(51806, '84.45.77.0', '84.45.86.255', 1412254976, 1412257535, 'GB', 'United Kingdom'),
(51807, '84.45.87.0', '84.45.87.63', 1412257536, 1412257599, 'NL', 'Netherlands'),
(51808, '84.45.87.64', '84.45.90.255', 1412257600, 1412258559, 'GB', 'United Kingdom'),
(51809, '84.45.91.0', '84.45.91.255', 1412258560, 1412258815, 'DE', 'Germany'),
(51810, '84.45.92.0', '84.45.255.255', 1412258816, 1412300799, 'GB', 'United Kingdom'),
(51811, '84.46.0.0', '84.46.127.255', 1412300800, 1412333567, 'DE', 'Germany'),
(51812, '84.46.128.0', '84.46.255.255', 1412333568, 1412366335, 'LT', 'Lithuania'),
(51813, '84.47.0.0', '84.47.127.255', 1412366336, 1412399103, 'SK', 'Slovakia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(51814, '84.47.128.0', '84.47.191.255', 1412399104, 1412415487, 'RU', 'Russian Federation'),
(51815, '84.47.192.0', '84.47.195.255', 1412415488, 1412416511, 'AE', 'United Arab Emirates'),
(51816, '84.47.196.0', '84.47.210.255', 1412416512, 1412420351, 'IR', 'Iran, Islamic Republic of'),
(51817, '84.47.211.0', '84.47.211.255', 1412420352, 1412420607, 'AE', 'United Arab Emirates'),
(51818, '84.47.212.0', '84.47.255.255', 1412420608, 1412431871, 'IR', 'Iran, Islamic Republic of'),
(51819, '84.48.0.0', '84.49.255.255', 1412431872, 1412562943, 'NO', 'Norway'),
(51820, '84.50.0.0', '84.50.255.255', 1412562944, 1412628479, 'EE', 'Estonia'),
(51821, '84.51.0.0', '84.51.51.255', 1412628480, 1412641791, 'TR', 'Turkey'),
(51822, '84.51.52.0', '84.51.55.255', 1412641792, 1412642815, 'DE', 'Germany'),
(51823, '84.51.56.0', '84.51.63.255', 1412642816, 1412644863, 'TR', 'Turkey'),
(51824, '84.51.64.0', '84.51.127.255', 1412644864, 1412661247, 'RU', 'Russian Federation'),
(51825, '84.51.128.0', '84.51.191.255', 1412661248, 1412677631, 'GB', 'United Kingdom'),
(51826, '84.51.192.0', '84.51.223.255', 1412677632, 1412685823, 'RU', 'Russian Federation'),
(51827, '84.51.224.0', '84.51.225.159', 1412685824, 1412686239, 'IE', 'Ireland'),
(51828, '84.51.225.160', '84.51.225.255', 1412686240, 1412686335, 'BB', 'Barbados'),
(51829, '84.51.226.0', '84.51.237.163', 1412686336, 1412689315, 'IE', 'Ireland'),
(51830, '84.51.237.164', '84.51.237.191', 1412689316, 1412689343, 'GB', 'United Kingdom'),
(51831, '84.51.237.192', '84.51.241.15', 1412689344, 1412690191, 'IE', 'Ireland'),
(51832, '84.51.241.16', '84.51.241.23', 1412690192, 1412690199, 'GB', 'United Kingdom'),
(51833, '84.51.241.24', '84.51.255.255', 1412690200, 1412694015, 'IE', 'Ireland'),
(51834, '84.52.0.0', '84.52.63.255', 1412694016, 1412710399, 'EE', 'Estonia'),
(51835, '84.52.64.0', '84.52.127.255', 1412710400, 1412726783, 'RU', 'Russian Federation'),
(51836, '84.52.128.0', '84.52.191.255', 1412726784, 1412743167, 'SI', 'Slovenia'),
(51837, '84.52.192.0', '84.53.63.255', 1412743168, 1412775935, 'NO', 'Norway'),
(51838, '84.53.64.0', '84.53.127.255', 1412775936, 1412792319, 'NL', 'Netherlands'),
(51839, '84.53.128.0', '84.53.131.255', 1412792320, 1412793343, 'US', 'United States'),
(51840, '84.53.132.0', '84.53.133.255', 1412793344, 1412793855, 'EU', 'Europe'),
(51841, '84.53.134.0', '84.53.175.255', 1412793856, 1412804607, 'US', 'United States'),
(51842, '84.53.176.0', '84.53.176.255', 1412804608, 1412804863, 'EU', 'Europe'),
(51843, '84.53.177.0', '84.53.179.255', 1412804864, 1412805631, 'US', 'United States'),
(51844, '84.53.180.0', '84.53.181.255', 1412805632, 1412806143, 'EU', 'Europe'),
(51845, '84.53.182.0', '84.53.191.255', 1412806144, 1412808703, 'US', 'United States'),
(51846, '84.53.192.0', '84.53.255.255', 1412808704, 1412825087, 'RU', 'Russian Federation'),
(51847, '84.54.0.0', '84.54.20.255', 1412825088, 1412830463, 'IQ', 'Iraq'),
(51848, '84.54.21.0', '84.54.29.255', 1412830464, 1412832767, 'LB', 'Lebanon'),
(51849, '84.54.30.0', '84.54.30.255', 1412832768, 1412833023, 'SL', 'Sierra Leone'),
(51850, '84.54.31.0', '84.54.31.255', 1412833024, 1412833279, 'LB', 'Lebanon'),
(51851, '84.54.32.0', '84.54.32.255', 1412833280, 1412833535, 'CI', 'Cote D''Ivoire'),
(51852, '84.54.33.0', '84.54.63.255', 1412833536, 1412841471, 'LB', 'Lebanon'),
(51853, '84.54.64.0', '84.54.127.255', 1412841472, 1412857855, 'UZ', 'Uzbekistan'),
(51854, '84.54.128.0', '84.54.191.255', 1412857856, 1412874239, 'BG', 'Bulgaria'),
(51855, '84.54.192.0', '84.54.255.255', 1412874240, 1412890623, 'RU', 'Russian Federation'),
(51856, '84.55.0.0', '84.55.63.255', 1412890624, 1412907007, 'LT', 'Lithuania'),
(51857, '84.55.64.0', '84.55.127.255', 1412907008, 1412923391, 'SE', 'Sweden'),
(51858, '84.55.128.0', '84.55.191.255', 1412923392, 1412939775, 'FR', 'France'),
(51859, '84.55.192.0', '84.55.255.255', 1412939776, 1412956159, 'CH', 'Switzerland'),
(51860, '84.56.0.0', '84.63.255.255', 1412956160, 1413480447, 'DE', 'Germany'),
(51861, '84.64.0.0', '84.71.255.255', 1413480448, 1414004735, 'GB', 'United Kingdom'),
(51862, '84.72.0.0', '84.75.255.255', 1414004736, 1414266879, 'CH', 'Switzerland'),
(51863, '84.76.0.0', '84.79.255.255', 1414266880, 1414529023, 'ES', 'Spain'),
(51864, '84.80.0.0', '84.87.255.255', 1414529024, 1415053311, 'NL', 'Netherlands'),
(51865, '84.88.0.0', '84.89.255.255', 1415053312, 1415184383, 'ES', 'Spain'),
(51866, '84.90.0.0', '84.91.255.255', 1415184384, 1415315455, 'PT', 'Portugal'),
(51867, '84.92.0.0', '84.93.255.255', 1415315456, 1415446527, 'GB', 'United Kingdom'),
(51868, '84.94.0.0', '84.95.255.255', 1415446528, 1415577599, 'IL', 'Israel'),
(51869, '84.96.0.0', '84.103.255.255', 1415577600, 1416101887, 'FR', 'France'),
(51870, '84.104.0.0', '84.107.255.255', 1416101888, 1416364031, 'NL', 'Netherlands'),
(51871, '84.108.0.0', '84.111.255.255', 1416364032, 1416626175, 'IL', 'Israel'),
(51872, '84.112.0.0', '84.119.255.255', 1416626176, 1417150463, 'AT', 'Austria'),
(51873, '84.120.0.0', '84.127.255.255', 1417150464, 1417674751, 'ES', 'Spain'),
(51874, '84.128.0.0', '84.191.255.255', 1417674752, 1421869055, 'DE', 'Germany'),
(51875, '84.192.0.0', '84.199.255.255', 1421869056, 1422393343, 'BE', 'Belgium'),
(51876, '84.200.0.0', '84.200.0.255', 1422393344, 1422393599, 'DE', 'Germany'),
(51877, '84.200.1.0', '84.200.1.255', 1422393600, 1422393855, 'IT', 'Italy'),
(51878, '84.200.2.0', '84.200.20.255', 1422393856, 1422398719, 'DE', 'Germany'),
(51879, '84.200.21.0', '84.200.21.63', 1422398720, 1422398783, 'IT', 'Italy'),
(51880, '84.200.21.64', '84.200.21.127', 1422398784, 1422398847, 'DE', 'Germany'),
(51881, '84.200.21.128', '84.200.21.191', 1422398848, 1422398911, 'CN', 'China'),
(51882, '84.200.21.192', '84.200.22.255', 1422398912, 1422399231, 'DE', 'Germany'),
(51883, '84.200.23.0', '84.200.23.255', 1422399232, 1422399487, 'US', 'United States'),
(51884, '84.200.24.0', '84.200.25.255', 1422399488, 1422399999, 'DE', 'Germany'),
(51885, '84.200.26.0', '84.200.26.255', 1422400000, 1422400255, 'IT', 'Italy'),
(51886, '84.200.27.0', '84.200.27.255', 1422400256, 1422400511, 'DE', 'Germany'),
(51887, '84.200.28.0', '84.200.28.255', 1422400512, 1422400767, 'BR', 'Brazil'),
(51888, '84.200.29.0', '84.200.31.39', 1422400768, 1422401319, 'DE', 'Germany'),
(51889, '84.200.31.40', '84.200.31.47', 1422401320, 1422401327, 'AT', 'Austria'),
(51890, '84.200.31.48', '84.200.40.255', 1422401328, 1422403839, 'DE', 'Germany'),
(51891, '84.200.41.0', '84.200.41.63', 1422403840, 1422403903, 'IT', 'Italy'),
(51892, '84.200.41.64', '84.200.41.95', 1422403904, 1422403935, 'SE', 'Sweden'),
(51893, '84.200.41.96', '84.200.41.103', 1422403936, 1422403943, 'AT', 'Austria'),
(51894, '84.200.41.104', '84.200.50.255', 1422403944, 1422406399, 'DE', 'Germany'),
(51895, '84.200.51.0', '84.200.51.63', 1422406400, 1422406463, 'GB', 'United Kingdom'),
(51896, '84.200.51.64', '84.200.51.71', 1422406464, 1422406471, 'AT', 'Austria'),
(51897, '84.200.51.72', '84.200.51.143', 1422406472, 1422406543, 'DE', 'Germany'),
(51898, '84.200.51.144', '84.200.51.159', 1422406544, 1422406559, 'DK', 'Denmark'),
(51899, '84.200.51.160', '84.200.66.95', 1422406560, 1422410335, 'DE', 'Germany'),
(51900, '84.200.66.96', '84.200.66.103', 1422410336, 1422410343, 'AT', 'Austria'),
(51901, '84.200.66.104', '84.200.66.127', 1422410344, 1422410367, 'DE', 'Germany'),
(51902, '84.200.66.128', '84.200.66.255', 1422410368, 1422410495, 'IT', 'Italy'),
(51903, '84.200.67.0', '84.200.99.255', 1422410496, 1422418943, 'US', 'United States'),
(51904, '84.200.100.0', '84.200.103.255', 1422418944, 1422419967, 'DE', 'Germany'),
(51905, '84.200.104.0', '84.200.118.255', 1422419968, 1422423807, 'US', 'United States'),
(51906, '84.200.119.0', '84.200.126.255', 1422423808, 1422425855, 'DE', 'Germany'),
(51907, '84.200.127.0', '84.200.144.255', 1422425856, 1422430463, 'US', 'United States'),
(51908, '84.200.145.0', '84.200.152.255', 1422430464, 1422432511, 'DE', 'Germany'),
(51909, '84.200.153.0', '84.200.154.255', 1422432512, 1422433023, 'US', 'United States'),
(51910, '84.200.155.0', '84.200.158.255', 1422433024, 1422434047, 'DE', 'Germany'),
(51911, '84.200.159.0', '84.200.169.255', 1422434048, 1422436863, 'US', 'United States'),
(51912, '84.200.170.0', '84.200.172.15', 1422436864, 1422437391, 'DE', 'Germany'),
(51913, '84.200.172.16', '84.200.172.23', 1422437392, 1422437399, 'AT', 'Austria'),
(51914, '84.200.172.24', '84.200.172.63', 1422437400, 1422437439, 'DE', 'Germany'),
(51915, '84.200.172.64', '84.200.172.79', 1422437440, 1422437455, 'CH', 'Switzerland'),
(51916, '84.200.172.80', '84.200.173.15', 1422437456, 1422437647, 'DE', 'Germany'),
(51917, '84.200.173.16', '84.200.173.23', 1422437648, 1422437655, 'AT', 'Austria'),
(51918, '84.200.173.24', '84.200.173.63', 1422437656, 1422437695, 'DE', 'Germany'),
(51919, '84.200.173.64', '84.200.173.79', 1422437696, 1422437711, 'CH', 'Switzerland'),
(51920, '84.200.173.80', '84.200.174.15', 1422437712, 1422437903, 'DE', 'Germany'),
(51921, '84.200.174.16', '84.200.174.23', 1422437904, 1422437911, 'AT', 'Austria'),
(51922, '84.200.174.24', '84.200.174.63', 1422437912, 1422437951, 'DE', 'Germany'),
(51923, '84.200.174.64', '84.200.174.79', 1422437952, 1422437967, 'CH', 'Switzerland'),
(51924, '84.200.174.80', '84.200.175.15', 1422437968, 1422438159, 'DE', 'Germany'),
(51925, '84.200.175.16', '84.200.175.23', 1422438160, 1422438167, 'AT', 'Austria'),
(51926, '84.200.175.24', '84.200.175.63', 1422438168, 1422438207, 'DE', 'Germany'),
(51927, '84.200.175.64', '84.200.175.79', 1422438208, 1422438223, 'CH', 'Switzerland'),
(51928, '84.200.175.80', '84.200.176.15', 1422438224, 1422438415, 'DE', 'Germany'),
(51929, '84.200.176.16', '84.200.176.23', 1422438416, 1422438423, 'AT', 'Austria'),
(51930, '84.200.176.24', '84.200.176.63', 1422438424, 1422438463, 'DE', 'Germany'),
(51931, '84.200.176.64', '84.200.176.79', 1422438464, 1422438479, 'CH', 'Switzerland'),
(51932, '84.200.176.80', '84.200.177.15', 1422438480, 1422438671, 'DE', 'Germany'),
(51933, '84.200.177.16', '84.200.177.23', 1422438672, 1422438679, 'AT', 'Austria'),
(51934, '84.200.177.24', '84.200.177.63', 1422438680, 1422438719, 'DE', 'Germany'),
(51935, '84.200.177.64', '84.200.177.79', 1422438720, 1422438735, 'CH', 'Switzerland'),
(51936, '84.200.177.80', '84.200.178.15', 1422438736, 1422438927, 'DE', 'Germany'),
(51937, '84.200.178.16', '84.200.178.23', 1422438928, 1422438935, 'AT', 'Austria'),
(51938, '84.200.178.24', '84.200.178.63', 1422438936, 1422438975, 'DE', 'Germany'),
(51939, '84.200.178.64', '84.200.178.79', 1422438976, 1422438991, 'CH', 'Switzerland'),
(51940, '84.200.178.80', '84.200.179.15', 1422438992, 1422439183, 'DE', 'Germany'),
(51941, '84.200.179.16', '84.200.179.23', 1422439184, 1422439191, 'AT', 'Austria'),
(51942, '84.200.179.24', '84.200.179.63', 1422439192, 1422439231, 'DE', 'Germany'),
(51943, '84.200.179.64', '84.200.179.79', 1422439232, 1422439247, 'CH', 'Switzerland'),
(51944, '84.200.179.80', '84.200.180.15', 1422439248, 1422439439, 'DE', 'Germany'),
(51945, '84.200.180.16', '84.200.180.23', 1422439440, 1422439447, 'AT', 'Austria'),
(51946, '84.200.180.24', '84.200.180.63', 1422439448, 1422439487, 'DE', 'Germany'),
(51947, '84.200.180.64', '84.200.180.79', 1422439488, 1422439503, 'CH', 'Switzerland'),
(51948, '84.200.180.80', '84.200.181.15', 1422439504, 1422439695, 'DE', 'Germany'),
(51949, '84.200.181.16', '84.200.181.23', 1422439696, 1422439703, 'AT', 'Austria'),
(51950, '84.200.181.24', '84.200.181.63', 1422439704, 1422439743, 'DE', 'Germany'),
(51951, '84.200.181.64', '84.200.181.79', 1422439744, 1422439759, 'CH', 'Switzerland'),
(51952, '84.200.181.80', '84.200.182.15', 1422439760, 1422439951, 'DE', 'Germany'),
(51953, '84.200.182.16', '84.200.182.23', 1422439952, 1422439959, 'AT', 'Austria'),
(51954, '84.200.182.24', '84.200.182.63', 1422439960, 1422439999, 'DE', 'Germany'),
(51955, '84.200.182.64', '84.200.182.79', 1422440000, 1422440015, 'CH', 'Switzerland'),
(51956, '84.200.182.80', '84.200.183.15', 1422440016, 1422440207, 'DE', 'Germany'),
(51957, '84.200.183.16', '84.200.183.23', 1422440208, 1422440215, 'AT', 'Austria'),
(51958, '84.200.183.24', '84.200.183.63', 1422440216, 1422440255, 'DE', 'Germany'),
(51959, '84.200.183.64', '84.200.183.79', 1422440256, 1422440271, 'CH', 'Switzerland'),
(51960, '84.200.183.80', '84.200.184.15', 1422440272, 1422440463, 'DE', 'Germany'),
(51961, '84.200.184.16', '84.200.184.23', 1422440464, 1422440471, 'AT', 'Austria'),
(51962, '84.200.184.24', '84.200.184.63', 1422440472, 1422440511, 'DE', 'Germany'),
(51963, '84.200.184.64', '84.200.184.79', 1422440512, 1422440527, 'CH', 'Switzerland'),
(51964, '84.200.184.80', '84.200.185.15', 1422440528, 1422440719, 'DE', 'Germany'),
(51965, '84.200.185.16', '84.200.185.23', 1422440720, 1422440727, 'AT', 'Austria'),
(51966, '84.200.185.24', '84.200.185.63', 1422440728, 1422440767, 'DE', 'Germany'),
(51967, '84.200.185.64', '84.200.185.79', 1422440768, 1422440783, 'CH', 'Switzerland'),
(51968, '84.200.185.80', '84.200.186.15', 1422440784, 1422440975, 'DE', 'Germany'),
(51969, '84.200.186.16', '84.200.186.23', 1422440976, 1422440983, 'AT', 'Austria'),
(51970, '84.200.186.24', '84.200.186.63', 1422440984, 1422441023, 'DE', 'Germany'),
(51971, '84.200.186.64', '84.200.186.79', 1422441024, 1422441039, 'CH', 'Switzerland'),
(51972, '84.200.186.80', '84.200.187.15', 1422441040, 1422441231, 'DE', 'Germany'),
(51973, '84.200.187.16', '84.200.187.23', 1422441232, 1422441239, 'AT', 'Austria'),
(51974, '84.200.187.24', '84.200.187.63', 1422441240, 1422441279, 'DE', 'Germany'),
(51975, '84.200.187.64', '84.200.187.79', 1422441280, 1422441295, 'CH', 'Switzerland'),
(51976, '84.200.187.80', '84.200.188.15', 1422441296, 1422441487, 'DE', 'Germany'),
(51977, '84.200.188.16', '84.200.188.23', 1422441488, 1422441495, 'AT', 'Austria'),
(51978, '84.200.188.24', '84.200.188.63', 1422441496, 1422441535, 'DE', 'Germany'),
(51979, '84.200.188.64', '84.200.188.79', 1422441536, 1422441551, 'CH', 'Switzerland'),
(51980, '84.200.188.80', '84.200.189.15', 1422441552, 1422441743, 'DE', 'Germany'),
(51981, '84.200.189.16', '84.200.189.23', 1422441744, 1422441751, 'AT', 'Austria'),
(51982, '84.200.189.24', '84.200.189.63', 1422441752, 1422441791, 'DE', 'Germany'),
(51983, '84.200.189.64', '84.200.189.79', 1422441792, 1422441807, 'CH', 'Switzerland'),
(51984, '84.200.189.80', '84.200.190.15', 1422441808, 1422441999, 'DE', 'Germany'),
(51985, '84.200.190.16', '84.200.190.23', 1422442000, 1422442007, 'AT', 'Austria'),
(51986, '84.200.190.24', '84.200.190.63', 1422442008, 1422442047, 'DE', 'Germany'),
(51987, '84.200.190.64', '84.200.190.79', 1422442048, 1422442063, 'CH', 'Switzerland'),
(51988, '84.200.190.80', '84.200.191.15', 1422442064, 1422442255, 'DE', 'Germany'),
(51989, '84.200.191.16', '84.200.191.23', 1422442256, 1422442263, 'AT', 'Austria'),
(51990, '84.200.191.24', '84.200.191.63', 1422442264, 1422442303, 'DE', 'Germany'),
(51991, '84.200.191.64', '84.200.191.79', 1422442304, 1422442319, 'CH', 'Switzerland'),
(51992, '84.200.191.80', '84.200.192.255', 1422442320, 1422442751, 'DE', 'Germany'),
(51993, '84.200.193.0', '84.200.194.255', 1422442752, 1422443263, 'US', 'United States'),
(51994, '84.200.195.0', '84.200.198.255', 1422443264, 1422444287, 'DE', 'Germany'),
(51995, '84.200.199.0', '84.200.199.255', 1422444288, 1422444543, 'US', 'United States'),
(51996, '84.200.200.0', '84.200.200.127', 1422444544, 1422444671, 'CN', 'China'),
(51997, '84.200.200.128', '84.200.201.255', 1422444672, 1422445055, 'DE', 'Germany'),
(51998, '84.200.202.0', '84.200.205.255', 1422445056, 1422446079, 'IT', 'Italy'),
(51999, '84.200.206.0', '84.200.215.255', 1422446080, 1422448639, 'DE', 'Germany'),
(52000, '84.200.216.0', '84.200.223.255', 1422448640, 1422450687, 'US', 'United States'),
(52001, '84.200.224.0', '84.200.225.175', 1422450688, 1422451119, 'DE', 'Germany'),
(52002, '84.200.225.176', '84.200.225.183', 1422451120, 1422451127, 'AT', 'Austria'),
(52003, '84.200.225.184', '84.200.225.255', 1422451128, 1422451199, 'DE', 'Germany'),
(52004, '84.200.226.0', '84.200.226.255', 1422451200, 1422451455, 'US', 'United States'),
(52005, '84.200.227.0', '84.200.227.95', 1422451456, 1422451551, 'DE', 'Germany'),
(52006, '84.200.227.96', '84.200.227.127', 1422451552, 1422451583, 'SE', 'Sweden'),
(52007, '84.200.227.128', '84.200.227.231', 1422451584, 1422451687, 'DE', 'Germany'),
(52008, '84.200.227.232', '84.200.227.239', 1422451688, 1422451695, 'AT', 'Austria'),
(52009, '84.200.227.240', '84.200.230.47', 1422451696, 1422452271, 'DE', 'Germany'),
(52010, '84.200.230.48', '84.200.230.51', 1422452272, 1422452275, 'RU', 'Russian Federation'),
(52011, '84.200.230.52', '84.200.231.87', 1422452276, 1422452567, 'DE', 'Germany'),
(52012, '84.200.231.88', '84.200.231.95', 1422452568, 1422452575, 'AT', 'Austria'),
(52013, '84.200.231.96', '84.200.233.15', 1422452576, 1422453007, 'DE', 'Germany'),
(52014, '84.200.233.16', '84.200.233.23', 1422453008, 1422453015, 'AT', 'Austria'),
(52015, '84.200.233.24', '84.200.234.15', 1422453016, 1422453263, 'DE', 'Germany'),
(52016, '84.200.234.16', '84.200.234.23', 1422453264, 1422453271, 'AT', 'Austria'),
(52017, '84.200.234.24', '84.200.235.15', 1422453272, 1422453519, 'DE', 'Germany'),
(52018, '84.200.235.16', '84.200.235.23', 1422453520, 1422453527, 'AT', 'Austria'),
(52019, '84.200.235.24', '84.200.236.15', 1422453528, 1422453775, 'DE', 'Germany'),
(52020, '84.200.236.16', '84.200.236.23', 1422453776, 1422453783, 'AT', 'Austria'),
(52021, '84.200.236.24', '84.200.237.15', 1422453784, 1422454031, 'DE', 'Germany'),
(52022, '84.200.237.16', '84.200.237.23', 1422454032, 1422454039, 'AT', 'Austria'),
(52023, '84.200.237.24', '84.200.238.15', 1422454040, 1422454287, 'DE', 'Germany'),
(52024, '84.200.238.16', '84.200.238.23', 1422454288, 1422454295, 'AT', 'Austria'),
(52025, '84.200.238.24', '84.200.239.15', 1422454296, 1422454543, 'DE', 'Germany'),
(52026, '84.200.239.16', '84.200.239.23', 1422454544, 1422454551, 'AT', 'Austria'),
(52027, '84.200.239.24', '84.200.240.63', 1422454552, 1422454847, 'DE', 'Germany'),
(52028, '84.200.240.64', '84.200.240.67', 1422454848, 1422454851, 'US', 'United States'),
(52029, '84.200.240.68', '84.200.240.87', 1422454852, 1422454871, 'DE', 'Germany'),
(52030, '84.200.240.88', '84.200.240.95', 1422454872, 1422454879, 'AT', 'Austria'),
(52031, '84.200.240.96', '84.200.242.255', 1422454880, 1422455551, 'DE', 'Germany'),
(52032, '84.200.243.0', '84.200.244.255', 1422455552, 1422456063, 'US', 'United States'),
(52033, '84.200.245.0', '84.200.245.63', 1422456064, 1422456127, 'DE', 'Germany'),
(52034, '84.200.245.64', '84.200.245.71', 1422456128, 1422456135, 'AT', 'Austria'),
(52035, '84.200.245.72', '84.200.245.255', 1422456136, 1422456319, 'DE', 'Germany'),
(52036, '84.200.246.0', '84.200.246.255', 1422456320, 1422456575, 'US', 'United States'),
(52037, '84.200.247.0', '84.200.247.63', 1422456576, 1422456639, 'DE', 'Germany'),
(52038, '84.200.247.64', '84.200.247.71', 1422456640, 1422456647, 'AT', 'Austria'),
(52039, '84.200.247.72', '84.200.249.127', 1422456648, 1422457215, 'DE', 'Germany'),
(52040, '84.200.249.128', '84.200.249.135', 1422457216, 1422457223, 'AT', 'Austria'),
(52041, '84.200.249.136', '84.200.250.63', 1422457224, 1422457407, 'DE', 'Germany'),
(52042, '84.200.250.64', '84.200.250.71', 1422457408, 1422457415, 'AT', 'Austria'),
(52043, '84.200.250.72', '84.200.250.127', 1422457416, 1422457471, 'DE', 'Germany'),
(52044, '84.200.250.128', '84.200.250.143', 1422457472, 1422457487, 'US', 'United States'),
(52045, '84.200.250.144', '84.200.251.255', 1422457488, 1422457855, 'DE', 'Germany'),
(52046, '84.200.252.0', '84.200.252.255', 1422457856, 1422458111, 'US', 'United States'),
(52047, '84.200.253.0', '84.201.2.255', 1422458112, 1422459647, 'DE', 'Germany'),
(52048, '84.201.3.0', '84.201.3.255', 1422459648, 1422459903, 'US', 'United States'),
(52049, '84.201.4.0', '84.201.7.255', 1422459904, 1422460927, 'DE', 'Germany'),
(52050, '84.201.8.0', '84.201.8.255', 1422460928, 1422461183, 'US', 'United States'),
(52051, '84.201.9.0', '84.201.20.255', 1422461184, 1422464255, 'DE', 'Germany'),
(52052, '84.201.21.0', '84.201.29.255', 1422464256, 1422466559, 'US', 'United States'),
(52053, '84.201.30.0', '84.201.30.255', 1422466560, 1422466815, 'DE', 'Germany'),
(52054, '84.201.31.0', '84.201.31.255', 1422466816, 1422467071, 'US', 'United States'),
(52055, '84.201.32.0', '84.201.34.255', 1422467072, 1422467839, 'DE', 'Germany'),
(52056, '84.201.35.0', '84.201.35.255', 1422467840, 1422468095, 'US', 'United States'),
(52057, '84.201.36.0', '84.201.38.63', 1422468096, 1422468671, 'DE', 'Germany'),
(52058, '84.201.38.64', '84.201.38.127', 1422468672, 1422468735, 'IT', 'Italy'),
(52059, '84.201.38.128', '84.201.38.191', 1422468736, 1422468799, 'DE', 'Germany'),
(52060, '84.201.38.192', '84.201.38.255', 1422468800, 1422468863, 'CN', 'China'),
(52061, '84.201.39.0', '84.201.42.207', 1422468864, 1422469839, 'DE', 'Germany'),
(52062, '84.201.42.208', '84.201.42.215', 1422469840, 1422469847, 'RO', 'Romania'),
(52063, '84.201.42.216', '84.201.43.15', 1422469848, 1422469903, 'DE', 'Germany'),
(52064, '84.201.43.16', '84.201.43.23', 1422469904, 1422469911, 'AT', 'Austria'),
(52065, '84.201.43.24', '84.201.44.15', 1422469912, 1422470159, 'DE', 'Germany'),
(52066, '84.201.44.16', '84.201.44.23', 1422470160, 1422470167, 'AT', 'Austria'),
(52067, '84.201.44.24', '84.201.45.15', 1422470168, 1422470415, 'DE', 'Germany'),
(52068, '84.201.45.16', '84.201.45.23', 1422470416, 1422470423, 'AT', 'Austria'),
(52069, '84.201.45.24', '84.201.46.15', 1422470424, 1422470671, 'DE', 'Germany'),
(52070, '84.201.46.16', '84.201.46.23', 1422470672, 1422470679, 'AT', 'Austria'),
(52071, '84.201.46.24', '84.201.47.15', 1422470680, 1422470927, 'DE', 'Germany'),
(52072, '84.201.47.16', '84.201.47.23', 1422470928, 1422470935, 'AT', 'Austria'),
(52073, '84.201.47.24', '84.201.48.15', 1422470936, 1422471183, 'DE', 'Germany'),
(52074, '84.201.48.16', '84.201.48.23', 1422471184, 1422471191, 'AT', 'Austria'),
(52075, '84.201.48.24', '84.201.49.15', 1422471192, 1422471439, 'DE', 'Germany'),
(52076, '84.201.49.16', '84.201.49.23', 1422471440, 1422471447, 'AT', 'Austria'),
(52077, '84.201.49.24', '84.201.50.15', 1422471448, 1422471695, 'DE', 'Germany'),
(52078, '84.201.50.16', '84.201.50.23', 1422471696, 1422471703, 'AT', 'Austria'),
(52079, '84.201.50.24', '84.201.51.15', 1422471704, 1422471951, 'DE', 'Germany'),
(52080, '84.201.51.16', '84.201.51.23', 1422471952, 1422471959, 'AT', 'Austria'),
(52081, '84.201.51.24', '84.201.52.15', 1422471960, 1422472207, 'DE', 'Germany'),
(52082, '84.201.52.16', '84.201.52.23', 1422472208, 1422472215, 'AT', 'Austria'),
(52083, '84.201.52.24', '84.201.53.15', 1422472216, 1422472463, 'DE', 'Germany'),
(52084, '84.201.53.16', '84.201.53.23', 1422472464, 1422472471, 'AT', 'Austria'),
(52085, '84.201.53.24', '84.201.54.15', 1422472472, 1422472719, 'DE', 'Germany'),
(52086, '84.201.54.16', '84.201.54.23', 1422472720, 1422472727, 'AT', 'Austria'),
(52087, '84.201.54.24', '84.201.55.15', 1422472728, 1422472975, 'DE', 'Germany'),
(52088, '84.201.55.16', '84.201.55.23', 1422472976, 1422472983, 'AT', 'Austria'),
(52089, '84.201.55.24', '84.201.56.15', 1422472984, 1422473231, 'DE', 'Germany'),
(52090, '84.201.56.16', '84.201.56.23', 1422473232, 1422473239, 'AT', 'Austria'),
(52091, '84.201.56.24', '84.201.57.15', 1422473240, 1422473487, 'DE', 'Germany'),
(52092, '84.201.57.16', '84.201.57.23', 1422473488, 1422473495, 'AT', 'Austria'),
(52093, '84.201.57.24', '84.201.58.15', 1422473496, 1422473743, 'DE', 'Germany'),
(52094, '84.201.58.16', '84.201.58.23', 1422473744, 1422473751, 'AT', 'Austria'),
(52095, '84.201.58.24', '84.201.59.15', 1422473752, 1422473999, 'DE', 'Germany'),
(52096, '84.201.59.16', '84.201.59.23', 1422474000, 1422474007, 'AT', 'Austria'),
(52097, '84.201.59.24', '84.201.60.15', 1422474008, 1422474255, 'DE', 'Germany'),
(52098, '84.201.60.16', '84.201.60.23', 1422474256, 1422474263, 'AT', 'Austria'),
(52099, '84.201.60.24', '84.201.61.15', 1422474264, 1422474511, 'DE', 'Germany'),
(52100, '84.201.61.16', '84.201.61.23', 1422474512, 1422474519, 'AT', 'Austria'),
(52101, '84.201.61.24', '84.201.62.15', 1422474520, 1422474767, 'DE', 'Germany'),
(52102, '84.201.62.16', '84.201.62.23', 1422474768, 1422474775, 'AT', 'Austria'),
(52103, '84.201.62.24', '84.201.63.15', 1422474776, 1422475023, 'DE', 'Germany'),
(52104, '84.201.63.16', '84.201.63.23', 1422475024, 1422475031, 'AT', 'Austria'),
(52105, '84.201.63.24', '84.201.70.63', 1422475032, 1422476863, 'DE', 'Germany'),
(52106, '84.201.70.64', '84.201.70.95', 1422476864, 1422476895, 'GB', 'United Kingdom'),
(52107, '84.201.70.96', '84.201.80.255', 1422476896, 1422479615, 'DE', 'Germany'),
(52108, '84.201.81.0', '84.201.81.255', 1422479616, 1422479871, 'BE', 'Belgium'),
(52109, '84.201.82.0', '84.201.84.47', 1422479872, 1422480431, 'DE', 'Germany'),
(52110, '84.201.84.48', '84.201.84.63', 1422480432, 1422480447, 'GB', 'United Kingdom'),
(52111, '84.201.84.64', '84.201.95.223', 1422480448, 1422483423, 'DE', 'Germany'),
(52112, '84.201.95.224', '84.201.95.239', 1422483424, 1422483439, 'GB', 'United Kingdom'),
(52113, '84.201.95.240', '84.201.99.239', 1422483440, 1422484463, 'DE', 'Germany'),
(52114, '84.201.99.240', '84.201.99.255', 1422484464, 1422484479, 'GB', 'United Kingdom'),
(52115, '84.201.100.0', '84.201.127.255', 1422484480, 1422491647, 'DE', 'Germany'),
(52116, '84.201.128.0', '84.201.191.255', 1422491648, 1422508031, 'RU', 'Russian Federation'),
(52117, '84.201.192.0', '84.201.207.255', 1422508032, 1422512127, 'BG', 'Bulgaria'),
(52118, '84.201.208.0', '84.201.223.255', 1422512128, 1422516223, 'PL', 'Poland'),
(52119, '84.201.224.0', '84.201.239.255', 1422516224, 1422520319, 'BY', 'Belarus'),
(52120, '84.201.240.0', '84.201.255.255', 1422520320, 1422524415, 'RU', 'Russian Federation'),
(52121, '84.202.0.0', '84.202.255.255', 1422524416, 1422589951, 'NO', 'Norway'),
(52122, '84.203.0.0', '84.203.255.255', 1422589952, 1422655487, 'IE', 'Ireland'),
(52123, '84.204.0.0', '84.204.255.255', 1422655488, 1422721023, 'RU', 'Russian Federation'),
(52124, '84.205.0.0', '84.205.31.255', 1422721024, 1422729215, 'PL', 'Poland'),
(52125, '84.205.32.0', '84.205.63.255', 1422729216, 1422737407, 'NO', 'Norway'),
(52126, '84.205.64.0', '84.205.95.255', 1422737408, 1422745599, 'EU', 'Europe'),
(52127, '84.205.96.0', '84.205.127.255', 1422745600, 1422753791, 'EG', 'Egypt'),
(52128, '84.205.128.0', '84.205.159.255', 1422753792, 1422761983, 'FR', 'France'),
(52129, '84.205.160.0', '84.205.191.255', 1422761984, 1422770175, 'PL', 'Poland'),
(52130, '84.205.192.0', '84.205.255.255', 1422770176, 1422786559, 'GR', 'Greece'),
(52131, '84.206.0.0', '84.206.255.255', 1422786560, 1422852095, 'HU', 'Hungary'),
(52132, '84.207.0.0', '84.207.16.191', 1422852096, 1422856383, 'EU', 'Europe'),
(52133, '84.207.16.192', '84.207.16.255', 1422856384, 1422856447, 'FR', 'France'),
(52134, '84.207.17.0', '84.207.17.255', 1422856448, 1422856703, 'EU', 'Europe'),
(52135, '84.207.18.0', '84.207.18.255', 1422856704, 1422856959, 'FR', 'France'),
(52136, '84.207.19.0', '84.207.19.127', 1422856960, 1422857087, 'EU', 'Europe'),
(52137, '84.207.19.128', '84.207.19.191', 1422857088, 1422857151, 'FR', 'France'),
(52138, '84.207.19.192', '84.207.19.223', 1422857152, 1422857183, 'EU', 'Europe'),
(52139, '84.207.19.224', '84.207.22.127', 1422857184, 1422857855, 'FR', 'France'),
(52140, '84.207.22.128', '84.207.22.191', 1422857856, 1422857919, 'EU', 'Europe'),
(52141, '84.207.22.192', '84.207.23.159', 1422857920, 1422858143, 'FR', 'France'),
(52142, '84.207.23.160', '84.207.23.255', 1422858144, 1422858239, 'EU', 'Europe'),
(52143, '84.207.24.0', '84.207.25.127', 1422858240, 1422858623, 'FR', 'France'),
(52144, '84.207.25.128', '84.207.223.255', 1422858624, 1422909439, 'EU', 'Europe'),
(52145, '84.207.224.0', '84.207.225.255', 1422909440, 1422909951, 'NL', 'Netherlands'),
(52146, '84.207.226.0', '84.207.230.255', 1422909952, 1422911231, 'EU', 'Europe'),
(52147, '84.207.231.0', '84.207.231.255', 1422911232, 1422911487, 'NL', 'Netherlands'),
(52148, '84.207.232.0', '84.207.253.255', 1422911488, 1422917119, 'EU', 'Europe'),
(52149, '84.207.254.0', '84.207.255.255', 1422917120, 1422917631, 'GB', 'United Kingdom'),
(52150, '84.208.0.0', '84.215.255.255', 1422917632, 1423441919, 'NO', 'Norway'),
(52151, '84.216.0.0', '84.219.255.255', 1423441920, 1423704063, 'SE', 'Sweden'),
(52152, '84.220.0.0', '84.223.255.255', 1423704064, 1423966207, 'IT', 'Italy'),
(52153, '84.224.0.0', '84.225.255.255', 1423966208, 1424097279, 'HU', 'Hungary'),
(52154, '84.226.0.0', '84.227.255.255', 1424097280, 1424228351, 'CH', 'Switzerland'),
(52155, '84.228.0.0', '84.229.255.255', 1424228352, 1424359423, 'IL', 'Israel'),
(52156, '84.230.0.0', '84.231.255.255', 1424359424, 1424490495, 'FI', 'Finland'),
(52157, '84.232.0.0', '84.232.127.255', 1424490496, 1424523263, 'ES', 'Spain'),
(52158, '84.232.128.0', '84.232.255.255', 1424523264, 1424556031, 'RO', 'Romania'),
(52159, '84.233.0.0', '84.233.127.255', 1424556032, 1424588799, 'EG', 'Egypt'),
(52160, '84.233.128.0', '84.233.128.39', 1424588800, 1424588839, 'DE', 'Germany'),
(52161, '84.233.128.40', '84.233.128.47', 1424588840, 1424588847, 'GB', 'United Kingdom'),
(52162, '84.233.128.48', '84.233.128.63', 1424588848, 1424588863, 'DE', 'Germany'),
(52163, '84.233.128.64', '84.233.128.127', 1424588864, 1424588927, 'US', 'United States'),
(52164, '84.233.128.128', '84.233.128.151', 1424588928, 1424588951, 'DE', 'Germany'),
(52165, '84.233.128.152', '84.233.128.159', 1424588952, 1424588959, 'GB', 'United Kingdom'),
(52166, '84.233.128.160', '84.233.128.163', 1424588960, 1424588963, 'IT', 'Italy'),
(52167, '84.233.128.164', '84.233.129.255', 1424588964, 1424589311, 'DE', 'Germany'),
(52168, '84.233.130.0', '84.233.130.255', 1424589312, 1424589567, 'FR', 'France'),
(52169, '84.233.131.0', '84.233.135.127', 1424589568, 1424590719, 'GB', 'United Kingdom'),
(52170, '84.233.135.128', '84.233.135.175', 1424590720, 1424590767, 'SE', 'Sweden'),
(52171, '84.233.135.176', '84.233.135.179', 1424590768, 1424590771, 'GB', 'United Kingdom'),
(52172, '84.233.135.180', '84.233.135.191', 1424590772, 1424590783, 'SE', 'Sweden'),
(52173, '84.233.135.192', '84.233.135.255', 1424590784, 1424590847, 'CH', 'Switzerland'),
(52174, '84.233.136.0', '84.233.137.255', 1424590848, 1424591359, 'SE', 'Sweden'),
(52175, '84.233.138.0', '84.233.138.7', 1424591360, 1424591367, 'GB', 'United Kingdom'),
(52176, '84.233.138.8', '84.233.138.46', 1424591368, 1424591406, 'SE', 'Sweden'),
(52177, '84.233.138.47', '84.233.138.47', 1424591407, 1424591407, 'GB', 'United Kingdom'),
(52178, '84.233.138.48', '84.233.138.63', 1424591408, 1424591423, 'SE', 'Sweden'),
(52179, '84.233.138.64', '84.233.138.79', 1424591424, 1424591439, 'GB', 'United Kingdom'),
(52180, '84.233.138.80', '84.233.138.87', 1424591440, 1424591447, 'SE', 'Sweden'),
(52181, '84.233.138.88', '84.233.138.95', 1424591448, 1424591455, 'GB', 'United Kingdom'),
(52182, '84.233.138.96', '84.233.138.103', 1424591456, 1424591463, 'SE', 'Sweden'),
(52183, '84.233.138.104', '84.233.138.111', 1424591464, 1424591471, 'GB', 'United Kingdom'),
(52184, '84.233.138.112', '84.233.138.191', 1424591472, 1424591551, 'SE', 'Sweden'),
(52185, '84.233.138.192', '84.233.138.255', 1424591552, 1424591615, 'CZ', 'Czech Republic'),
(52186, '84.233.139.0', '84.233.139.223', 1424591616, 1424591839, 'GB', 'United Kingdom'),
(52187, '84.233.139.224', '84.233.139.255', 1424591840, 1424591871, 'NL', 'Netherlands'),
(52188, '84.233.140.0', '84.233.142.255', 1424591872, 1424592639, 'GB', 'United Kingdom'),
(52189, '84.233.143.0', '84.233.144.255', 1424592640, 1424593151, 'FR', 'France'),
(52190, '84.233.145.0', '84.233.145.255', 1424593152, 1424593407, 'NL', 'Netherlands'),
(52191, '84.233.146.0', '84.233.146.255', 1424593408, 1424593663, 'DE', 'Germany'),
(52192, '84.233.147.0', '84.233.147.63', 1424593664, 1424593727, 'SK', 'Slovakia'),
(52193, '84.233.147.64', '84.233.147.127', 1424593728, 1424593791, 'HU', 'Hungary'),
(52194, '84.233.147.128', '84.233.147.255', 1424593792, 1424593919, 'DE', 'Germany'),
(52195, '84.233.148.0', '84.233.148.47', 1424593920, 1424593967, 'FR', 'France'),
(52196, '84.233.148.48', '84.233.148.63', 1424593968, 1424593983, 'GB', 'United Kingdom'),
(52197, '84.233.148.64', '84.233.148.127', 1424593984, 1424594047, 'FR', 'France'),
(52198, '84.233.148.128', '84.233.148.135', 1424594048, 1424594055, 'GB', 'United Kingdom'),
(52199, '84.233.148.136', '84.233.148.143', 1424594056, 1424594063, 'IT', 'Italy'),
(52200, '84.233.148.144', '84.233.148.183', 1424594064, 1424594103, 'FR', 'France'),
(52201, '84.233.148.184', '84.233.149.255', 1424594104, 1424594431, 'GB', 'United Kingdom'),
(52202, '84.233.150.0', '84.233.150.87', 1424594432, 1424594519, 'IE', 'Ireland'),
(52203, '84.233.150.88', '84.233.150.95', 1424594520, 1424594527, 'GB', 'United Kingdom'),
(52204, '84.233.150.96', '84.233.150.103', 1424594528, 1424594535, 'IE', 'Ireland'),
(52205, '84.233.150.104', '84.233.153.255', 1424594536, 1424595455, 'GB', 'United Kingdom'),
(52206, '84.233.154.0', '84.233.154.71', 1424595456, 1424595527, 'IT', 'Italy'),
(52207, '84.233.154.72', '84.233.154.79', 1424595528, 1424595535, 'GB', 'United Kingdom'),
(52208, '84.233.154.80', '84.233.154.119', 1424595536, 1424595575, 'IT', 'Italy'),
(52209, '84.233.154.120', '84.233.154.127', 1424595576, 1424595583, 'GB', 'United Kingdom'),
(52210, '84.233.154.128', '84.233.155.107', 1424595584, 1424595819, 'IT', 'Italy'),
(52211, '84.233.155.108', '84.233.155.111', 1424595820, 1424595823, 'GB', 'United Kingdom'),
(52212, '84.233.155.112', '84.233.157.255', 1424595824, 1424596479, 'IT', 'Italy'),
(52213, '84.233.158.0', '84.233.159.255', 1424596480, 1424596991, 'FR', 'France'),
(52214, '84.233.160.0', '84.233.161.7', 1424596992, 1424597255, 'CZ', 'Czech Republic'),
(52215, '84.233.161.8', '84.233.161.15', 1424597256, 1424597263, 'GB', 'United Kingdom'),
(52216, '84.233.161.16', '84.233.161.63', 1424597264, 1424597311, 'CZ', 'Czech Republic'),
(52217, '84.233.161.64', '84.233.161.95', 1424597312, 1424597343, 'GB', 'United Kingdom'),
(52218, '84.233.161.96', '84.233.161.103', 1424597344, 1424597351, 'CH', 'Switzerland'),
(52219, '84.233.161.104', '84.233.161.127', 1424597352, 1424597375, 'GB', 'United Kingdom'),
(52220, '84.233.161.128', '84.233.161.143', 1424597376, 1424597391, 'CZ', 'Czech Republic'),
(52221, '84.233.161.144', '84.233.161.159', 1424597392, 1424597407, 'GB', 'United Kingdom'),
(52222, '84.233.161.160', '84.233.161.183', 1424597408, 1424597431, 'CZ', 'Czech Republic'),
(52223, '84.233.161.184', '84.233.161.255', 1424597432, 1424597503, 'GB', 'United Kingdom'),
(52224, '84.233.162.0', '84.233.162.255', 1424597504, 1424597759, 'FR', 'France'),
(52225, '84.233.163.0', '84.233.163.255', 1424597760, 1424598015, 'IT', 'Italy'),
(52226, '84.233.164.0', '84.233.167.255', 1424598016, 1424599039, 'GB', 'United Kingdom'),
(52227, '84.233.168.0', '84.233.168.239', 1424599040, 1424599279, 'DK', 'Denmark'),
(52228, '84.233.168.240', '84.233.168.255', 1424599280, 1424599295, 'GB', 'United Kingdom'),
(52229, '84.233.169.0', '84.233.169.255', 1424599296, 1424599551, 'DK', 'Denmark'),
(52230, '84.233.170.0', '84.233.171.47', 1424599552, 1424599855, 'HU', 'Hungary'),
(52231, '84.233.171.48', '84.233.171.63', 1424599856, 1424599871, 'GB', 'United Kingdom'),
(52232, '84.233.171.64', '84.233.171.67', 1424599872, 1424599875, 'HU', 'Hungary'),
(52233, '84.233.171.68', '84.233.171.71', 1424599876, 1424599879, 'GB', 'United Kingdom'),
(52234, '84.233.171.72', '84.233.171.79', 1424599880, 1424599887, 'HU', 'Hungary'),
(52235, '84.233.171.80', '84.233.171.95', 1424599888, 1424599903, 'GB', 'United Kingdom'),
(52236, '84.233.171.96', '84.233.171.127', 1424599904, 1424599935, 'HU', 'Hungary'),
(52237, '84.233.171.128', '84.233.171.135', 1424599936, 1424599943, 'GB', 'United Kingdom'),
(52238, '84.233.171.136', '84.233.171.143', 1424599944, 1424599951, 'HU', 'Hungary'),
(52239, '84.233.171.144', '84.233.171.191', 1424599952, 1424599999, 'GB', 'United Kingdom'),
(52240, '84.233.171.192', '84.233.171.223', 1424600000, 1424600031, 'HU', 'Hungary'),
(52241, '84.233.171.224', '84.233.171.255', 1424600032, 1424600063, 'GB', 'United Kingdom'),
(52242, '84.233.172.0', '84.233.172.255', 1424600064, 1424600319, 'CH', 'Switzerland'),
(52243, '84.233.173.0', '84.233.173.255', 1424600320, 1424600575, 'GB', 'United Kingdom'),
(52244, '84.233.174.0', '84.233.174.255', 1424600576, 1424600831, 'FR', 'France'),
(52245, '84.233.175.0', '84.233.175.255', 1424600832, 1424601087, 'BE', 'Belgium'),
(52246, '84.233.176.0', '84.233.176.255', 1424601088, 1424601343, 'GB', 'United Kingdom'),
(52247, '84.233.177.0', '84.233.177.23', 1424601344, 1424601367, 'ES', 'Spain'),
(52248, '84.233.177.24', '84.233.177.255', 1424601368, 1424601599, 'GB', 'United Kingdom'),
(52249, '84.233.178.0', '84.233.178.255', 1424601600, 1424601855, 'CH', 'Switzerland'),
(52250, '84.233.179.0', '84.233.179.255', 1424601856, 1424602111, 'GB', 'United Kingdom'),
(52251, '84.233.180.0', '84.233.181.255', 1424602112, 1424602623, 'DE', 'Germany'),
(52252, '84.233.182.0', '84.233.182.111', 1424602624, 1424602735, 'GB', 'United Kingdom'),
(52253, '84.233.182.112', '84.233.182.119', 1424602736, 1424602743, 'IT', 'Italy'),
(52254, '84.233.182.120', '84.233.182.255', 1424602744, 1424602879, 'GB', 'United Kingdom'),
(52255, '84.233.183.0', '84.233.183.31', 1424602880, 1424602911, 'US', 'United States'),
(52256, '84.233.183.32', '84.233.183.47', 1424602912, 1424602927, 'FR', 'France'),
(52257, '84.233.183.48', '84.233.183.55', 1424602928, 1424602935, 'GB', 'United Kingdom'),
(52258, '84.233.183.56', '84.233.183.127', 1424602936, 1424603007, 'US', 'United States'),
(52259, '84.233.183.128', '84.233.183.143', 1424603008, 1424603023, 'GB', 'United Kingdom'),
(52260, '84.233.183.144', '84.233.183.207', 1424603024, 1424603087, 'US', 'United States'),
(52261, '84.233.183.208', '84.233.183.215', 1424603088, 1424603095, 'GB', 'United Kingdom'),
(52262, '84.233.183.216', '84.233.183.255', 1424603096, 1424603135, 'US', 'United States'),
(52263, '84.233.184.0', '84.233.184.255', 1424603136, 1424603391, 'SK', 'Slovakia'),
(52264, '84.233.185.0', '84.233.185.255', 1424603392, 1424603647, 'DE', 'Germany'),
(52265, '84.233.186.0', '84.233.186.255', 1424603648, 1424603903, 'GB', 'United Kingdom'),
(52266, '84.233.187.0', '84.233.187.135', 1424603904, 1424604039, 'ES', 'Spain'),
(52267, '84.233.187.136', '84.233.187.143', 1424604040, 1424604047, 'GB', 'United Kingdom'),
(52268, '84.233.187.144', '84.233.187.255', 1424604048, 1424604159, 'ES', 'Spain'),
(52269, '84.233.188.0', '84.233.189.127', 1424604160, 1424604543, 'NL', 'Netherlands'),
(52270, '84.233.189.128', '84.233.189.255', 1424604544, 1424604671, 'GB', 'United Kingdom'),
(52271, '84.233.190.0', '84.233.190.255', 1424604672, 1424604927, 'EU', 'Europe'),
(52272, '84.233.191.0', '84.233.191.31', 1424604928, 1424604959, 'NL', 'Netherlands'),
(52273, '84.233.191.32', '84.233.191.39', 1424604960, 1424604967, 'GB', 'United Kingdom'),
(52274, '84.233.191.40', '84.233.191.95', 1424604968, 1424605023, 'NL', 'Netherlands'),
(52275, '84.233.191.96', '84.233.191.127', 1424605024, 1424605055, 'GB', 'United Kingdom'),
(52276, '84.233.191.128', '84.233.191.151', 1424605056, 1424605079, 'NL', 'Netherlands'),
(52277, '84.233.191.152', '84.233.191.159', 1424605080, 1424605087, 'GB', 'United Kingdom'),
(52278, '84.233.191.160', '84.233.191.191', 1424605088, 1424605119, 'NL', 'Netherlands'),
(52279, '84.233.191.192', '84.233.191.207', 1424605120, 1424605135, 'GB', 'United Kingdom'),
(52280, '84.233.191.208', '84.233.191.255', 1424605136, 1424605183, 'NL', 'Netherlands'),
(52281, '84.233.192.0', '84.233.192.63', 1424605184, 1424605247, 'GB', 'United Kingdom'),
(52282, '84.233.192.64', '84.233.192.95', 1424605248, 1424605279, 'NL', 'Netherlands'),
(52283, '84.233.192.96', '84.233.192.255', 1424605280, 1424605439, 'GB', 'United Kingdom'),
(52284, '84.233.193.0', '84.233.193.127', 1424605440, 1424605567, 'BG', 'Bulgaria'),
(52285, '84.233.193.128', '84.233.193.143', 1424605568, 1424605583, 'GR', 'Greece'),
(52286, '84.233.193.144', '84.233.193.159', 1424605584, 1424605599, 'BE', 'Belgium'),
(52287, '84.233.193.160', '84.233.193.167', 1424605600, 1424605607, 'GB', 'United Kingdom'),
(52288, '84.233.193.168', '84.233.193.183', 1424605608, 1424605623, 'BG', 'Bulgaria'),
(52289, '84.233.193.184', '84.233.193.191', 1424605624, 1424605631, 'GB', 'United Kingdom'),
(52290, '84.233.193.192', '84.233.193.255', 1424605632, 1424605695, 'BG', 'Bulgaria'),
(52291, '84.233.194.0', '84.233.194.255', 1424605696, 1424605951, 'NL', 'Netherlands'),
(52292, '84.233.195.0', '84.233.195.7', 1424605952, 1424605959, 'CH', 'Switzerland'),
(52293, '84.233.195.8', '84.233.195.15', 1424605960, 1424605967, 'AT', 'Austria'),
(52294, '84.233.195.16', '84.233.195.31', 1424605968, 1424605983, 'GB', 'United Kingdom'),
(52295, '84.233.195.32', '84.233.195.71', 1424605984, 1424606023, 'AT', 'Austria'),
(52296, '84.233.195.72', '84.233.195.255', 1424606024, 1424606207, 'GB', 'United Kingdom'),
(52297, '84.233.196.0', '84.233.197.255', 1424606208, 1424606719, 'IT', 'Italy'),
(52298, '84.233.198.0', '84.233.198.255', 1424606720, 1424606975, 'NL', 'Netherlands'),
(52299, '84.233.199.0', '84.233.199.191', 1424606976, 1424607167, 'GB', 'United Kingdom'),
(52300, '84.233.199.192', '84.233.199.223', 1424607168, 1424607199, 'SK', 'Slovakia'),
(52301, '84.233.199.224', '84.233.199.239', 1424607200, 1424607215, 'GB', 'United Kingdom'),
(52302, '84.233.199.240', '84.233.199.247', 1424607216, 1424607223, 'SK', 'Slovakia'),
(52303, '84.233.199.248', '84.233.200.255', 1424607224, 1424607487, 'GB', 'United Kingdom'),
(52304, '84.233.201.0', '84.233.202.127', 1424607488, 1424607871, 'DE', 'Germany'),
(52305, '84.233.202.128', '84.233.203.31', 1424607872, 1424608031, 'GB', 'United Kingdom'),
(52306, '84.233.203.32', '84.233.203.83', 1424608032, 1424608083, 'FR', 'France'),
(52307, '84.233.203.84', '84.233.203.87', 1424608084, 1424608087, 'GB', 'United Kingdom'),
(52308, '84.233.203.88', '84.233.203.127', 1424608088, 1424608127, 'FR', 'France'),
(52309, '84.233.203.128', '84.233.204.23', 1424608128, 1424608279, 'GB', 'United Kingdom'),
(52310, '84.233.204.24', '84.233.204.127', 1424608280, 1424608383, 'FR', 'France'),
(52311, '84.233.204.128', '84.233.204.143', 1424608384, 1424608399, 'ES', 'Spain'),
(52312, '84.233.204.144', '84.233.204.255', 1424608400, 1424608511, 'FR', 'France'),
(52313, '84.233.205.0', '84.233.205.47', 1424608512, 1424608559, 'ES', 'Spain'),
(52314, '84.233.205.48', '84.233.205.55', 1424608560, 1424608567, 'GB', 'United Kingdom'),
(52315, '84.233.205.56', '84.233.205.175', 1424608568, 1424608687, 'ES', 'Spain'),
(52316, '84.233.205.176', '84.233.205.179', 1424608688, 1424608691, 'GB', 'United Kingdom'),
(52317, '84.233.205.180', '84.233.206.255', 1424608692, 1424609023, 'ES', 'Spain'),
(52318, '84.233.207.0', '84.233.207.231', 1424609024, 1424609255, 'DE', 'Germany'),
(52319, '84.233.207.232', '84.233.207.247', 1424609256, 1424609271, 'GB', 'United Kingdom'),
(52320, '84.233.207.248', '84.233.207.255', 1424609272, 1424609279, 'DE', 'Germany'),
(52321, '84.233.208.0', '84.233.208.95', 1424609280, 1424609375, 'CH', 'Switzerland'),
(52322, '84.233.208.96', '84.233.208.103', 1424609376, 1424609383, 'GB', 'United Kingdom'),
(52323, '84.233.208.104', '84.233.208.115', 1424609384, 1424609395, 'CH', 'Switzerland'),
(52324, '84.233.208.116', '84.233.208.119', 1424609396, 1424609399, 'GB', 'United Kingdom'),
(52325, '84.233.208.120', '84.233.208.255', 1424609400, 1424609535, 'CH', 'Switzerland'),
(52326, '84.233.209.0', '84.233.209.7', 1424609536, 1424609543, 'GB', 'United Kingdom'),
(52327, '84.233.209.8', '84.233.209.207', 1424609544, 1424609743, 'CH', 'Switzerland'),
(52328, '84.233.209.208', '84.233.209.223', 1424609744, 1424609759, 'GB', 'United Kingdom'),
(52329, '84.233.209.224', '84.233.209.255', 1424609760, 1424609791, 'CH', 'Switzerland'),
(52330, '84.233.210.0', '84.233.211.255', 1424609792, 1424610303, 'GB', 'United Kingdom'),
(52331, '84.233.212.0', '84.233.212.255', 1424610304, 1424610559, 'TZ', 'Tanzania, United Republic of'),
(52332, '84.233.213.0', '84.233.213.255', 1424610560, 1424610815, 'PL', 'Poland'),
(52333, '84.233.214.0', '84.233.214.255', 1424610816, 1424611071, 'FR', 'France'),
(52334, '84.233.215.0', '84.233.215.63', 1424611072, 1424611135, 'BE', 'Belgium'),
(52335, '84.233.215.64', '84.233.215.79', 1424611136, 1424611151, 'GB', 'United Kingdom'),
(52336, '84.233.215.80', '84.233.215.199', 1424611152, 1424611271, 'BE', 'Belgium'),
(52337, '84.233.215.200', '84.233.215.207', 1424611272, 1424611279, 'LU', 'Luxembourg'),
(52338, '84.233.215.208', '84.233.215.215', 1424611280, 1424611287, 'BE', 'Belgium'),
(52339, '84.233.215.216', '84.233.215.223', 1424611288, 1424611295, 'FR', 'France'),
(52340, '84.233.215.224', '84.233.215.247', 1424611296, 1424611319, 'BE', 'Belgium'),
(52341, '84.233.215.248', '84.233.215.255', 1424611320, 1424611327, 'GB', 'United Kingdom'),
(52342, '84.233.216.0', '84.233.216.255', 1424611328, 1424611583, 'PL', 'Poland'),
(52343, '84.233.217.0', '84.233.218.255', 1424611584, 1424612095, 'GB', 'United Kingdom'),
(52344, '84.233.219.0', '84.233.219.135', 1424612096, 1424612231, 'CZ', 'Czech Republic'),
(52345, '84.233.219.136', '84.233.219.143', 1424612232, 1424612239, 'CH', 'Switzerland'),
(52346, '84.233.219.144', '84.233.219.223', 1424612240, 1424612319, 'CZ', 'Czech Republic'),
(52347, '84.233.219.224', '84.233.220.255', 1424612320, 1424612607, 'GB', 'United Kingdom'),
(52348, '84.233.221.0', '84.233.221.63', 1424612608, 1424612671, 'AE', 'United Arab Emirates'),
(52349, '84.233.221.64', '84.233.221.255', 1424612672, 1424612863, 'GB', 'United Kingdom'),
(52350, '84.233.222.0', '84.233.222.255', 1424612864, 1424613119, 'FR', 'France'),
(52351, '84.233.223.0', '84.233.223.255', 1424613120, 1424613375, 'GB', 'United Kingdom'),
(52352, '84.233.224.0', '84.233.224.255', 1424613376, 1424613631, 'ES', 'Spain'),
(52353, '84.233.225.0', '84.233.226.199', 1424613632, 1424614087, 'IT', 'Italy'),
(52354, '84.233.226.200', '84.233.226.207', 1424614088, 1424614095, 'GB', 'United Kingdom'),
(52355, '84.233.226.208', '84.233.226.239', 1424614096, 1424614127, 'IT', 'Italy'),
(52356, '84.233.226.240', '84.233.226.247', 1424614128, 1424614135, 'GB', 'United Kingdom'),
(52357, '84.233.226.248', '84.233.226.255', 1424614136, 1424614143, 'IT', 'Italy'),
(52358, '84.233.227.0', '84.233.227.255', 1424614144, 1424614399, 'GB', 'United Kingdom'),
(52359, '84.233.228.0', '84.233.228.255', 1424614400, 1424614655, 'US', 'United States'),
(52360, '84.233.229.0', '84.233.229.255', 1424614656, 1424614911, 'FR', 'France'),
(52361, '84.233.230.0', '84.233.230.255', 1424614912, 1424615167, 'RO', 'Romania'),
(52362, '84.233.231.0', '84.233.232.255', 1424615168, 1424615679, 'GB', 'United Kingdom'),
(52363, '84.233.233.0', '84.233.233.123', 1424615680, 1424615803, 'IT', 'Italy'),
(52364, '84.233.233.124', '84.233.233.127', 1424615804, 1424615807, 'GB', 'United Kingdom'),
(52365, '84.233.233.128', '84.233.233.255', 1424615808, 1424615935, 'IT', 'Italy'),
(52366, '84.233.234.0', '84.233.234.255', 1424615936, 1424616191, 'FR', 'France'),
(52367, '84.233.235.0', '84.233.235.128', 1424616192, 1424616320, 'IT', 'Italy'),
(52368, '84.233.235.129', '84.233.236.31', 1424616321, 1424616479, 'GB', 'United Kingdom'),
(52369, '84.233.236.32', '84.233.236.35', 1424616480, 1424616483, 'ES', 'Spain'),
(52370, '84.233.236.36', '84.233.236.39', 1424616484, 1424616487, 'GB', 'United Kingdom'),
(52371, '84.233.236.40', '84.233.236.55', 1424616488, 1424616503, 'ES', 'Spain'),
(52372, '84.233.236.56', '84.233.236.63', 1424616504, 1424616511, 'GB', 'United Kingdom'),
(52373, '84.233.236.64', '84.233.236.167', 1424616512, 1424616615, 'ES', 'Spain'),
(52374, '84.233.236.168', '84.233.236.175', 1424616616, 1424616623, 'GB', 'United Kingdom'),
(52375, '84.233.236.176', '84.233.236.207', 1424616624, 1424616655, 'ES', 'Spain'),
(52376, '84.233.236.208', '84.233.236.211', 1424616656, 1424616659, 'GB', 'United Kingdom'),
(52377, '84.233.236.212', '84.233.236.247', 1424616660, 1424616695, 'ES', 'Spain'),
(52378, '84.233.236.248', '84.233.236.255', 1424616696, 1424616703, 'GB', 'United Kingdom'),
(52379, '84.233.237.0', '84.233.237.255', 1424616704, 1424616959, 'US', 'United States'),
(52380, '84.233.238.0', '84.233.238.255', 1424616960, 1424617215, 'FR', 'France'),
(52381, '84.233.239.0', '84.233.239.15', 1424617216, 1424617231, 'IT', 'Italy'),
(52382, '84.233.239.16', '84.233.239.31', 1424617232, 1424617247, 'GB', 'United Kingdom'),
(52383, '84.233.239.32', '84.233.239.143', 1424617248, 1424617359, 'IT', 'Italy'),
(52384, '84.233.239.144', '84.233.239.175', 1424617360, 1424617391, 'GB', 'United Kingdom'),
(52385, '84.233.239.176', '84.233.239.179', 1424617392, 1424617395, 'IT', 'Italy'),
(52386, '84.233.239.180', '84.233.239.183', 1424617396, 1424617399, 'GB', 'United Kingdom'),
(52387, '84.233.239.184', '84.233.239.191', 1424617400, 1424617407, 'IT', 'Italy'),
(52388, '84.233.239.192', '84.233.239.207', 1424617408, 1424617423, 'ES', 'Spain'),
(52389, '84.233.239.208', '84.233.239.223', 1424617424, 1424617439, 'GB', 'United Kingdom'),
(52390, '84.233.239.224', '84.233.239.231', 1424617440, 1424617447, 'IT', 'Italy'),
(52391, '84.233.239.232', '84.233.239.239', 1424617448, 1424617455, 'GB', 'United Kingdom'),
(52392, '84.233.239.240', '84.233.239.247', 1424617456, 1424617463, 'IT', 'Italy'),
(52393, '84.233.239.248', '84.233.239.255', 1424617464, 1424617471, 'GB', 'United Kingdom'),
(52394, '84.233.240.0', '84.233.240.255', 1424617472, 1424617727, 'US', 'United States'),
(52395, '84.233.241.0', '84.233.242.47', 1424617728, 1424618031, 'IT', 'Italy'),
(52396, '84.233.242.48', '84.233.242.63', 1424618032, 1424618047, 'GB', 'United Kingdom'),
(52397, '84.233.242.64', '84.233.242.127', 1424618048, 1424618111, 'IT', 'Italy'),
(52398, '84.233.242.128', '84.233.242.159', 1424618112, 1424618143, 'GB', 'United Kingdom'),
(52399, '84.233.242.160', '84.233.242.207', 1424618144, 1424618191, 'IT', 'Italy'),
(52400, '84.233.242.208', '84.233.242.223', 1424618192, 1424618207, 'GB', 'United Kingdom'),
(52401, '84.233.242.224', '84.233.242.255', 1424618208, 1424618239, 'IT', 'Italy'),
(52402, '84.233.243.0', '84.233.243.127', 1424618240, 1424618367, 'GB', 'United Kingdom'),
(52403, '84.233.243.128', '84.233.243.255', 1424618368, 1424618495, 'NL', 'Netherlands'),
(52404, '84.233.244.0', '84.233.244.255', 1424618496, 1424618751, 'GB', 'United Kingdom'),
(52405, '84.233.245.0', '84.233.245.175', 1424618752, 1424618927, 'FR', 'France'),
(52406, '84.233.245.176', '84.233.245.191', 1424618928, 1424618943, 'IT', 'Italy'),
(52407, '84.233.245.192', '84.233.245.255', 1424618944, 1424619007, 'FR', 'France'),
(52408, '84.233.246.0', '84.233.246.207', 1424619008, 1424619215, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(52409, '84.233.246.208', '84.233.246.215', 1424619216, 1424619223, 'GB', 'United Kingdom'),
(52410, '84.233.246.216', '84.233.248.255', 1424619224, 1424619775, 'IT', 'Italy'),
(52411, '84.233.249.0', '84.233.249.31', 1424619776, 1424619807, 'BE', 'Belgium'),
(52412, '84.233.249.32', '84.233.249.63', 1424619808, 1424619839, 'GB', 'United Kingdom'),
(52413, '84.233.249.64', '84.233.249.139', 1424619840, 1424619915, 'BE', 'Belgium'),
(52414, '84.233.249.140', '84.233.249.143', 1424619916, 1424619919, 'GB', 'United Kingdom'),
(52415, '84.233.249.144', '84.233.249.255', 1424619920, 1424620031, 'BE', 'Belgium'),
(52416, '84.233.250.0', '84.233.252.223', 1424620032, 1424620767, 'GB', 'United Kingdom'),
(52417, '84.233.252.224', '84.233.252.231', 1424620768, 1424620775, 'RU', 'Russian Federation'),
(52418, '84.233.252.232', '84.233.252.239', 1424620776, 1424620783, 'DE', 'Germany'),
(52419, '84.233.252.240', '84.233.254.255', 1424620784, 1424621311, 'GB', 'United Kingdom'),
(52420, '84.233.255.0', '84.233.255.255', 1424621312, 1424621567, 'IT', 'Italy'),
(52421, '84.234.0.0', '84.234.15.255', 1424621568, 1424625663, 'PL', 'Poland'),
(52422, '84.234.16.0', '84.234.31.255', 1424625664, 1424629759, 'GB', 'United Kingdom'),
(52423, '84.234.32.0', '84.234.47.255', 1424629760, 1424633855, 'PL', 'Poland'),
(52424, '84.234.48.0', '84.234.63.255', 1424633856, 1424637951, 'MD', 'Moldova, Republic of'),
(52425, '84.234.64.0', '84.234.79.255', 1424637952, 1424642047, 'FI', 'Finland'),
(52426, '84.234.80.0', '84.234.95.255', 1424642048, 1424646143, 'DK', 'Denmark'),
(52427, '84.234.96.0', '84.234.111.255', 1424646144, 1424650239, 'UA', 'Ukraine'),
(52428, '84.234.112.0', '84.234.127.255', 1424650240, 1424654335, 'PL', 'Poland'),
(52429, '84.234.128.0', '84.234.255.255', 1424654336, 1424687103, 'NO', 'Norway'),
(52430, '84.235.0.0', '84.235.95.255', 1424687104, 1424711679, 'SA', 'Saudi Arabia'),
(52431, '84.235.96.0', '84.235.103.255', 1424711680, 1424713727, 'BH', 'Bahrain'),
(52432, '84.235.104.0', '84.235.127.255', 1424713728, 1424719871, 'SA', 'Saudi Arabia'),
(52433, '84.235.128.0', '84.235.137.255', 1424719872, 1424722431, 'IE', 'Ireland'),
(52434, '84.235.138.0', '84.235.140.255', 1424722432, 1424723199, 'CZ', 'Czech Republic'),
(52435, '84.235.141.0', '84.235.146.255', 1424723200, 1424724735, 'DE', 'Germany'),
(52436, '84.235.147.0', '84.235.147.255', 1424724736, 1424724991, 'IE', 'Ireland'),
(52437, '84.235.148.0', '84.235.155.255', 1424724992, 1424727039, 'GB', 'United Kingdom'),
(52438, '84.235.156.0', '84.235.156.255', 1424727040, 1424727295, 'IE', 'Ireland'),
(52439, '84.235.157.0', '84.235.157.255', 1424727296, 1424727551, 'SL', 'Sierra Leone'),
(52440, '84.235.158.0', '84.235.159.255', 1424727552, 1424728063, 'PL', 'Poland'),
(52441, '84.235.160.0', '84.235.160.255', 1424728064, 1424728319, 'IE', 'Ireland'),
(52442, '84.235.161.0', '84.235.166.255', 1424728320, 1424729855, 'FR', 'France'),
(52443, '84.235.167.0', '84.235.168.255', 1424729856, 1424730367, 'DE', 'Germany'),
(52444, '84.235.169.0', '84.235.169.255', 1424730368, 1424730623, 'ES', 'Spain'),
(52445, '84.235.170.0', '84.235.170.255', 1424730624, 1424730879, 'GB', 'United Kingdom'),
(52446, '84.235.171.0', '84.235.179.255', 1424730880, 1424733183, 'IE', 'Ireland'),
(52447, '84.235.180.0', '84.235.182.255', 1424733184, 1424733951, 'NL', 'Netherlands'),
(52448, '84.235.183.0', '84.235.187.127', 1424733952, 1424735103, 'SE', 'Sweden'),
(52449, '84.235.187.128', '84.235.191.127', 1424735104, 1424736127, 'DE', 'Germany'),
(52450, '84.235.191.128', '84.235.192.127', 1424736128, 1424736383, 'AT', 'Austria'),
(52451, '84.235.192.128', '84.235.194.127', 1424736384, 1424736895, 'FR', 'France'),
(52452, '84.235.194.128', '84.235.195.127', 1424736896, 1424737151, 'DE', 'Germany'),
(52453, '84.235.195.128', '84.235.195.255', 1424737152, 1424737279, 'GB', 'United Kingdom'),
(52454, '84.235.196.0', '84.235.196.127', 1424737280, 1424737407, 'DK', 'Denmark'),
(52455, '84.235.196.128', '84.235.196.255', 1424737408, 1424737535, 'AT', 'Austria'),
(52456, '84.235.197.0', '84.235.197.135', 1424737536, 1424737671, 'DE', 'Germany'),
(52457, '84.235.197.136', '84.235.197.215', 1424737672, 1424737751, 'GB', 'United Kingdom'),
(52458, '84.235.197.216', '84.235.201.255', 1424737752, 1424738815, 'DE', 'Germany'),
(52459, '84.235.202.0', '84.235.204.255', 1424738816, 1424739583, 'SE', 'Sweden'),
(52460, '84.235.205.0', '84.235.205.255', 1424739584, 1424739839, 'GB', 'United Kingdom'),
(52461, '84.235.206.0', '84.235.208.159', 1424739840, 1424740511, 'DE', 'Germany'),
(52462, '84.235.208.160', '84.235.208.199', 1424740512, 1424740551, 'GB', 'United Kingdom'),
(52463, '84.235.208.200', '84.235.210.255', 1424740552, 1424741119, 'DE', 'Germany'),
(52464, '84.235.211.0', '84.235.211.255', 1424741120, 1424741375, 'IE', 'Ireland'),
(52465, '84.235.212.0', '84.235.217.255', 1424741376, 1424742911, 'DE', 'Germany'),
(52466, '84.235.218.0', '84.235.218.255', 1424742912, 1424743167, 'IE', 'Ireland'),
(52467, '84.235.219.0', '84.235.219.255', 1424743168, 1424743423, 'IT', 'Italy'),
(52468, '84.235.220.0', '84.235.221.255', 1424743424, 1424743935, 'DE', 'Germany'),
(52469, '84.235.222.0', '84.235.222.255', 1424743936, 1424744191, 'GB', 'United Kingdom'),
(52470, '84.235.223.0', '84.235.224.255', 1424744192, 1424744703, 'DE', 'Germany'),
(52471, '84.235.225.0', '84.235.225.255', 1424744704, 1424744959, 'GB', 'United Kingdom'),
(52472, '84.235.226.0', '84.235.231.255', 1424744960, 1424746495, 'DE', 'Germany'),
(52473, '84.235.232.0', '84.235.241.255', 1424746496, 1424749055, 'IE', 'Ireland'),
(52474, '84.235.242.0', '84.235.242.255', 1424749056, 1424749311, 'SL', 'Sierra Leone'),
(52475, '84.235.243.0', '84.235.245.255', 1424749312, 1424750079, 'DE', 'Germany'),
(52476, '84.235.246.0', '84.235.246.255', 1424750080, 1424750335, 'FR', 'France'),
(52477, '84.235.247.0', '84.235.247.255', 1424750336, 1424750591, 'GB', 'United Kingdom'),
(52478, '84.235.248.0', '84.235.248.255', 1424750592, 1424750847, 'FR', 'France'),
(52479, '84.235.249.0', '84.235.249.255', 1424750848, 1424751103, 'IE', 'Ireland'),
(52480, '84.235.250.0', '84.235.250.255', 1424751104, 1424751359, 'DE', 'Germany'),
(52481, '84.235.251.0', '84.235.251.255', 1424751360, 1424751615, 'AT', 'Austria'),
(52482, '84.235.252.0', '84.235.253.255', 1424751616, 1424752127, 'IE', 'Ireland'),
(52483, '84.235.254.0', '84.235.254.255', 1424752128, 1424752383, 'DE', 'Germany'),
(52484, '84.235.255.0', '84.235.255.255', 1424752384, 1424752639, 'NL', 'Netherlands'),
(52485, '84.236.0.0', '84.236.127.255', 1424752640, 1424785407, 'HU', 'Hungary'),
(52486, '84.236.128.0', '84.236.255.255', 1424785408, 1424818175, 'ES', 'Spain'),
(52487, '84.237.0.0', '84.237.127.255', 1424818176, 1424850943, 'RU', 'Russian Federation'),
(52488, '84.237.128.0', '84.237.255.255', 1424850944, 1424883711, 'LV', 'Latvia'),
(52489, '84.238.0.0', '84.238.127.255', 1424883712, 1424916479, 'DK', 'Denmark'),
(52490, '84.238.128.0', '84.238.255.255', 1424916480, 1424949247, 'BG', 'Bulgaria'),
(52491, '84.239.0.0', '84.239.127.255', 1424949248, 1424982015, 'RO', 'Romania'),
(52492, '84.239.128.0', '84.239.255.255', 1424982016, 1425014783, 'FI', 'Finland'),
(52493, '84.240.0.0', '84.240.63.255', 1425014784, 1425031167, 'LT', 'Lithuania'),
(52494, '84.240.64.0', '84.240.127.255', 1425031168, 1425047551, 'FI', 'Finland'),
(52495, '84.240.128.0', '84.240.191.255', 1425047552, 1425063935, 'IT', 'Italy'),
(52496, '84.240.192.0', '84.240.255.255', 1425063936, 1425080319, 'KZ', 'Kazakhstan'),
(52497, '84.241.0.0', '84.241.63.255', 1425080320, 1425096703, 'IR', 'Iran, Islamic Republic of'),
(52498, '84.241.64.0', '84.241.127.255', 1425096704, 1425113087, 'CH', 'Switzerland'),
(52499, '84.241.128.0', '84.241.255.255', 1425113088, 1425145855, 'NL', 'Netherlands'),
(52500, '84.242.0.0', '84.242.63.255', 1425145856, 1425162239, 'RU', 'Russian Federation'),
(52501, '84.242.64.0', '84.242.127.255', 1425162240, 1425178623, 'CZ', 'Czech Republic'),
(52502, '84.242.128.0', '84.242.191.255', 1425178624, 1425195007, 'BG', 'Bulgaria'),
(52503, '84.242.192.0', '84.242.255.255', 1425195008, 1425211391, 'RU', 'Russian Federation'),
(52504, '84.243.0.0', '84.243.63.255', 1425211392, 1425227775, 'SE', 'Sweden'),
(52505, '84.243.64.0', '84.243.127.255', 1425227776, 1425244159, 'RO', 'Romania'),
(52506, '84.243.128.0', '84.243.191.255', 1425244160, 1425260543, 'NO', 'Norway'),
(52507, '84.243.192.0', '84.243.255.255', 1425260544, 1425276927, 'NL', 'Netherlands'),
(52508, '84.244.0.0', '84.244.63.255', 1425276928, 1425293311, 'RU', 'Russian Federation'),
(52509, '84.244.64.0', '84.244.127.255', 1425293312, 1425309695, 'CZ', 'Czech Republic'),
(52510, '84.244.128.0', '84.244.191.255', 1425309696, 1425326079, 'NL', 'Netherlands'),
(52511, '84.244.192.0', '84.244.255.255', 1425326080, 1425342463, 'SE', 'Sweden'),
(52512, '84.245.0.0', '84.245.63.255', 1425342464, 1425358847, 'NL', 'Netherlands'),
(52513, '84.245.64.0', '84.245.127.255', 1425358848, 1425375231, 'SK', 'Slovakia'),
(52514, '84.245.128.0', '84.245.136.59', 1425375232, 1425377339, 'DE', 'Germany'),
(52515, '84.245.136.60', '84.245.136.60', 1425377340, 1425377340, 'A2', 'Satellite Provider'),
(52516, '84.245.136.61', '84.245.191.255', 1425377341, 1425391615, 'DE', 'Germany'),
(52517, '84.245.192.0', '84.245.255.255', 1425391616, 1425407999, 'LV', 'Latvia'),
(52518, '84.246.0.0', '84.246.63.255', 1425408000, 1425424383, 'NL', 'Netherlands'),
(52519, '84.246.64.0', '84.246.64.79', 1425424384, 1425424463, 'A2', 'Satellite Provider'),
(52520, '84.246.64.80', '84.246.65.255', 1425424464, 1425424895, 'DE', 'Germany'),
(52521, '84.246.66.0', '84.246.66.255', 1425424896, 1425425151, 'NE', 'Niger'),
(52522, '84.246.67.0', '84.246.71.127', 1425425152, 1425426303, 'DE', 'Germany'),
(52523, '84.246.71.128', '84.246.71.143', 1425426304, 1425426319, 'IR', 'Iran, Islamic Republic of'),
(52524, '84.246.71.144', '84.246.71.167', 1425426320, 1425426343, 'DE', 'Germany'),
(52525, '84.246.71.168', '84.246.71.176', 1425426344, 1425426352, 'IR', 'Iran, Islamic Republic of'),
(52526, '84.246.71.177', '84.246.71.255', 1425426353, 1425426431, 'DE', 'Germany'),
(52527, '84.246.72.0', '84.246.79.255', 1425426432, 1425428479, 'KW', 'Kuwait'),
(52528, '84.246.80.0', '84.246.87.255', 1425428480, 1425430527, 'GB', 'United Kingdom'),
(52529, '84.246.88.0', '84.246.95.255', 1425430528, 1425432575, 'SE', 'Sweden'),
(52530, '84.246.96.0', '84.246.103.255', 1425432576, 1425434623, 'HR', 'Croatia'),
(52531, '84.246.104.0', '84.246.111.255', 1425434624, 1425436671, 'FR', 'France'),
(52532, '84.246.112.0', '84.246.119.255', 1425436672, 1425438719, 'GB', 'United Kingdom'),
(52533, '84.246.120.0', '84.246.122.39', 1425438720, 1425439271, 'DE', 'Germany'),
(52534, '84.246.122.40', '84.246.122.47', 1425439272, 1425439279, 'CZ', 'Czech Republic'),
(52535, '84.246.122.48', '84.246.122.167', 1425439280, 1425439399, 'DE', 'Germany'),
(52536, '84.246.122.168', '84.246.122.175', 1425439400, 1425439407, 'CZ', 'Czech Republic'),
(52537, '84.246.122.176', '84.246.123.47', 1425439408, 1425439535, 'DE', 'Germany'),
(52538, '84.246.123.48', '84.246.123.55', 1425439536, 1425439543, 'CZ', 'Czech Republic'),
(52539, '84.246.123.56', '84.246.123.223', 1425439544, 1425439711, 'DE', 'Germany'),
(52540, '84.246.123.224', '84.246.123.239', 1425439712, 1425439727, 'CZ', 'Czech Republic'),
(52541, '84.246.123.240', '84.246.127.255', 1425439728, 1425440767, 'DE', 'Germany'),
(52542, '84.246.128.0', '84.246.132.143', 1425440768, 1425441935, 'SE', 'Sweden'),
(52543, '84.246.132.144', '84.246.132.151', 1425441936, 1425441943, 'FI', 'Finland'),
(52544, '84.246.132.152', '84.246.135.255', 1425441944, 1425442815, 'SE', 'Sweden'),
(52545, '84.246.136.0', '84.246.143.255', 1425442816, 1425444863, 'GB', 'United Kingdom'),
(52546, '84.246.144.0', '84.246.145.6', 1425444864, 1425445126, 'IT', 'Italy'),
(52547, '84.246.145.7', '84.246.145.7', 1425445127, 1425445127, 'FR', 'France'),
(52548, '84.246.145.8', '84.246.145.19', 1425445128, 1425445139, 'IT', 'Italy'),
(52549, '84.246.145.20', '84.246.145.21', 1425445140, 1425445141, 'GB', 'United Kingdom'),
(52550, '84.246.145.22', '84.246.151.255', 1425445142, 1425446911, 'IT', 'Italy'),
(52551, '84.246.152.0', '84.246.159.255', 1425446912, 1425448959, 'GB', 'United Kingdom'),
(52552, '84.246.160.0', '84.246.167.255', 1425448960, 1425451007, 'CZ', 'Czech Republic'),
(52553, '84.246.168.0', '84.246.194.191', 1425451008, 1425457855, 'GB', 'United Kingdom'),
(52554, '84.246.194.192', '84.246.194.255', 1425457856, 1425457919, 'US', 'United States'),
(52555, '84.246.195.0', '84.246.199.255', 1425457920, 1425459199, 'GB', 'United Kingdom'),
(52556, '84.246.200.0', '84.246.205.255', 1425459200, 1425460735, 'IM', 'Isle of Man'),
(52557, '84.246.206.0', '84.246.206.31', 1425460736, 1425460767, 'GB', 'United Kingdom'),
(52558, '84.246.206.32', '84.246.206.127', 1425460768, 1425460863, 'IM', 'Isle of Man'),
(52559, '84.246.206.128', '84.246.206.191', 1425460864, 1425460927, 'GB', 'United Kingdom'),
(52560, '84.246.206.192', '84.246.206.255', 1425460928, 1425460991, 'IM', 'Isle of Man'),
(52561, '84.246.207.0', '84.246.207.127', 1425460992, 1425461119, 'GB', 'United Kingdom'),
(52562, '84.246.207.128', '84.246.207.255', 1425461120, 1425461247, 'IM', 'Isle of Man'),
(52563, '84.246.208.0', '84.246.215.255', 1425461248, 1425463295, 'ES', 'Spain'),
(52564, '84.246.216.0', '84.246.230.255', 1425463296, 1425467135, 'FR', 'France'),
(52565, '84.246.231.0', '84.246.231.255', 1425467136, 1425467391, 'ES', 'Spain'),
(52566, '84.246.232.0', '84.246.239.255', 1425467392, 1425469439, 'CH', 'Switzerland'),
(52567, '84.246.240.0', '84.246.247.255', 1425469440, 1425471487, 'DK', 'Denmark'),
(52568, '84.246.248.0', '84.246.249.47', 1425471488, 1425471791, 'DE', 'Germany'),
(52569, '84.246.249.48', '84.246.249.55', 1425471792, 1425471799, 'CH', 'Switzerland'),
(52570, '84.246.249.56', '84.246.249.71', 1425471800, 1425471815, 'DE', 'Germany'),
(52571, '84.246.249.72', '84.246.249.79', 1425471816, 1425471823, 'CH', 'Switzerland'),
(52572, '84.246.249.80', '84.246.249.87', 1425471824, 1425471831, 'GB', 'United Kingdom'),
(52573, '84.246.249.88', '84.246.249.119', 1425471832, 1425471863, 'DE', 'Germany'),
(52574, '84.246.249.120', '84.246.249.127', 1425471864, 1425471871, 'GB', 'United Kingdom'),
(52575, '84.246.249.128', '84.246.249.143', 1425471872, 1425471887, 'IT', 'Italy'),
(52576, '84.246.249.144', '84.246.249.151', 1425471888, 1425471895, 'GB', 'United Kingdom'),
(52577, '84.246.249.152', '84.246.249.175', 1425471896, 1425471919, 'DE', 'Germany'),
(52578, '84.246.249.176', '84.246.249.199', 1425471920, 1425471943, 'GB', 'United Kingdom'),
(52579, '84.246.249.200', '84.246.249.223', 1425471944, 1425471967, 'DE', 'Germany'),
(52580, '84.246.249.224', '84.246.249.231', 1425471968, 1425471975, 'CH', 'Switzerland'),
(52581, '84.246.249.232', '84.246.250.7', 1425471976, 1425472007, 'DE', 'Germany'),
(52582, '84.246.250.8', '84.246.250.11', 1425472008, 1425472011, 'GB', 'United Kingdom'),
(52583, '84.246.250.12', '84.246.250.15', 1425472012, 1425472015, 'ES', 'Spain'),
(52584, '84.246.250.16', '84.246.250.35', 1425472016, 1425472035, 'DE', 'Germany'),
(52585, '84.246.250.36', '84.246.250.39', 1425472036, 1425472039, 'GB', 'United Kingdom'),
(52586, '84.246.250.40', '84.246.255.255', 1425472040, 1425473535, 'DE', 'Germany'),
(52587, '84.247.0.0', '84.247.45.255', 1425473536, 1425485311, 'RO', 'Romania'),
(52588, '84.247.46.0', '84.247.47.255', 1425485312, 1425485823, 'US', 'United States'),
(52589, '84.247.48.0', '84.247.127.255', 1425485824, 1425506303, 'RO', 'Romania'),
(52590, '84.247.128.0', '84.247.191.255', 1425506304, 1425522687, 'NO', 'Norway'),
(52591, '84.247.192.0', '84.247.255.255', 1425522688, 1425539071, 'IT', 'Italy'),
(52592, '84.248.0.0', '84.251.255.255', 1425539072, 1425801215, 'FI', 'Finland'),
(52593, '84.252.0.0', '84.252.63.255', 1425801216, 1425817599, 'BG', 'Bulgaria'),
(52594, '84.252.64.0', '84.252.127.255', 1425817600, 1425833983, 'DE', 'Germany'),
(52595, '84.252.128.0', '84.252.191.255', 1425833984, 1425850367, 'RU', 'Russian Federation'),
(52596, '84.252.192.0', '84.252.255.255', 1425850368, 1425866751, 'GB', 'United Kingdom'),
(52597, '84.253.0.0', '84.253.63.255', 1425866752, 1425883135, 'CH', 'Switzerland'),
(52598, '84.253.64.0', '84.253.127.255', 1425883136, 1425899519, 'RU', 'Russian Federation'),
(52599, '84.253.128.0', '84.253.191.255', 1425899520, 1425915903, 'IT', 'Italy'),
(52600, '84.253.192.0', '84.253.255.255', 1425915904, 1425932287, 'FI', 'Finland'),
(52601, '84.254.0.0', '84.254.63.255', 1425932288, 1425948671, 'GR', 'Greece'),
(52602, '84.254.64.0', '84.254.65.255', 1425948672, 1425949183, 'DE', 'Germany'),
(52603, '84.254.66.0', '84.254.66.7', 1425949184, 1425949191, 'NL', 'Netherlands'),
(52604, '84.254.66.8', '84.254.127.255', 1425949192, 1425965055, 'DE', 'Germany'),
(52605, '84.254.128.0', '84.254.128.44', 1425965056, 1425965100, 'ES', 'Spain'),
(52606, '84.254.128.45', '84.254.128.56', 1425965101, 1425965112, 'FR', 'France'),
(52607, '84.254.128.57', '84.254.128.60', 1425965113, 1425965116, 'ZA', 'South Africa'),
(52608, '84.254.128.61', '84.254.128.64', 1425965117, 1425965120, 'A2', 'Satellite Provider'),
(52609, '84.254.128.65', '84.254.128.126', 1425965121, 1425965182, 'IT', 'Italy'),
(52610, '84.254.128.127', '84.254.128.127', 1425965183, 1425965183, 'A2', 'Satellite Provider'),
(52611, '84.254.128.128', '84.254.129.191', 1425965184, 1425965503, 'IT', 'Italy'),
(52612, '84.254.129.192', '84.254.129.255', 1425965504, 1425965567, 'FR', 'France'),
(52613, '84.254.130.0', '84.254.130.0', 1425965568, 1425965568, 'A2', 'Satellite Provider'),
(52614, '84.254.130.1', '84.254.130.4', 1425965569, 1425965572, 'NG', 'Nigeria'),
(52615, '84.254.130.5', '84.254.130.8', 1425965573, 1425965576, 'US', 'United States'),
(52616, '84.254.130.9', '84.254.130.12', 1425965577, 1425965580, 'FR', 'France'),
(52617, '84.254.130.13', '84.254.130.16', 1425965581, 1425965584, 'BJ', 'Benin'),
(52618, '84.254.130.17', '84.254.130.20', 1425965585, 1425965588, 'ES', 'Spain'),
(52619, '84.254.130.21', '84.254.130.24', 1425965589, 1425965592, 'A2', 'Satellite Provider'),
(52620, '84.254.130.25', '84.254.130.63', 1425965593, 1425965631, 'FR', 'France'),
(52621, '84.254.130.64', '84.254.132.0', 1425965632, 1425966080, 'A2', 'Satellite Provider'),
(52622, '84.254.132.1', '84.254.132.8', 1425966081, 1425966088, 'DE', 'Germany'),
(52623, '84.254.132.9', '84.254.132.24', 1425966089, 1425966104, 'A2', 'Satellite Provider'),
(52624, '84.254.132.25', '84.254.132.48', 1425966105, 1425966128, 'DE', 'Germany'),
(52625, '84.254.132.49', '84.254.132.64', 1425966129, 1425966144, 'A2', 'Satellite Provider'),
(52626, '84.254.132.65', '84.254.132.72', 1425966145, 1425966152, 'DE', 'Germany'),
(52627, '84.254.132.73', '84.254.132.128', 1425966153, 1425966208, 'A2', 'Satellite Provider'),
(52628, '84.254.132.129', '84.254.132.144', 1425966209, 1425966224, 'DE', 'Germany'),
(52629, '84.254.132.145', '84.254.132.159', 1425966225, 1425966239, 'A2', 'Satellite Provider'),
(52630, '84.254.132.160', '84.254.132.191', 1425966240, 1425966271, 'IT', 'Italy'),
(52631, '84.254.132.192', '84.254.132.255', 1425966272, 1425966335, 'DE', 'Germany'),
(52632, '84.254.133.0', '84.254.133.127', 1425966336, 1425966463, 'A2', 'Satellite Provider'),
(52633, '84.254.133.128', '84.254.133.191', 1425966464, 1425966527, 'IT', 'Italy'),
(52634, '84.254.133.192', '84.254.134.16', 1425966528, 1425966608, 'A2', 'Satellite Provider'),
(52635, '84.254.134.17', '84.254.134.32', 1425966609, 1425966624, 'IT', 'Italy'),
(52636, '84.254.134.33', '84.254.134.63', 1425966625, 1425966655, 'A2', 'Satellite Provider'),
(52637, '84.254.134.64', '84.254.134.127', 1425966656, 1425966719, 'IT', 'Italy'),
(52638, '84.254.134.128', '84.254.134.128', 1425966720, 1425966720, 'A2', 'Satellite Provider'),
(52639, '84.254.134.129', '84.254.134.136', 1425966721, 1425966728, 'BJ', 'Benin'),
(52640, '84.254.134.137', '84.254.134.143', 1425966729, 1425966735, 'A2', 'Satellite Provider'),
(52641, '84.254.134.144', '84.254.134.159', 1425966736, 1425966751, 'BJ', 'Benin'),
(52642, '84.254.134.160', '84.254.134.223', 1425966752, 1425966815, 'A2', 'Satellite Provider'),
(52643, '84.254.134.224', '84.254.134.255', 1425966816, 1425966847, 'BJ', 'Benin'),
(52644, '84.254.135.0', '84.254.135.4', 1425966848, 1425966852, 'A2', 'Satellite Provider'),
(52645, '84.254.135.5', '84.254.135.48', 1425966853, 1425966896, 'DE', 'Germany'),
(52646, '84.254.135.49', '84.254.135.63', 1425966897, 1425966911, 'A2', 'Satellite Provider'),
(52647, '84.254.135.64', '84.254.135.127', 1425966912, 1425966975, 'DE', 'Germany'),
(52648, '84.254.135.128', '84.254.135.191', 1425966976, 1425967039, 'IT', 'Italy'),
(52649, '84.254.135.192', '84.254.135.255', 1425967040, 1425967103, 'DE', 'Germany'),
(52650, '84.254.136.0', '84.254.136.0', 1425967104, 1425967104, 'A2', 'Satellite Provider'),
(52651, '84.254.136.1', '84.254.136.16', 1425967105, 1425967120, 'TR', 'Turkey'),
(52652, '84.254.136.17', '84.254.136.255', 1425967121, 1425967359, 'IT', 'Italy'),
(52653, '84.254.137.0', '84.254.138.127', 1425967360, 1425967743, 'A2', 'Satellite Provider'),
(52654, '84.254.138.128', '84.254.138.191', 1425967744, 1425967807, 'IT', 'Italy'),
(52655, '84.254.138.192', '84.254.139.4', 1425967808, 1425967876, 'A2', 'Satellite Provider'),
(52656, '84.254.139.5', '84.254.139.20', 1425967877, 1425967892, 'DE', 'Germany'),
(52657, '84.254.139.21', '84.254.139.24', 1425967893, 1425967896, 'A2', 'Satellite Provider'),
(52658, '84.254.139.25', '84.254.139.32', 1425967897, 1425967904, 'DE', 'Germany'),
(52659, '84.254.139.33', '84.254.139.40', 1425967905, 1425967912, 'A2', 'Satellite Provider'),
(52660, '84.254.139.41', '84.254.139.52', 1425967913, 1425967924, 'DE', 'Germany'),
(52661, '84.254.139.53', '84.254.139.56', 1425967925, 1425967928, 'A2', 'Satellite Provider'),
(52662, '84.254.139.57', '84.254.139.68', 1425967929, 1425967940, 'DE', 'Germany'),
(52663, '84.254.139.69', '84.254.139.95', 1425967941, 1425967967, 'A2', 'Satellite Provider'),
(52664, '84.254.139.96', '84.254.139.127', 1425967968, 1425967999, 'IT', 'Italy'),
(52665, '84.254.139.128', '84.254.139.255', 1425968000, 1425968127, 'DE', 'Germany'),
(52666, '84.254.140.0', '84.254.140.255', 1425968128, 1425968383, 'A2', 'Satellite Provider'),
(52667, '84.254.141.0', '84.254.141.254', 1425968384, 1425968638, 'GB', 'United Kingdom'),
(52668, '84.254.141.255', '84.254.142.63', 1425968639, 1425968703, 'A2', 'Satellite Provider'),
(52669, '84.254.142.64', '84.254.142.191', 1425968704, 1425968831, 'IT', 'Italy'),
(52670, '84.254.142.192', '84.254.142.255', 1425968832, 1425968895, 'A2', 'Satellite Provider'),
(52671, '84.254.143.0', '84.254.143.127', 1425968896, 1425969023, 'IT', 'Italy'),
(52672, '84.254.143.128', '84.254.144.47', 1425969024, 1425969199, 'A2', 'Satellite Provider'),
(52673, '84.254.144.48', '84.254.144.63', 1425969200, 1425969215, 'IT', 'Italy'),
(52674, '84.254.144.64', '84.254.144.127', 1425969216, 1425969279, 'A2', 'Satellite Provider'),
(52675, '84.254.144.128', '84.254.144.191', 1425969280, 1425969343, 'IT', 'Italy'),
(52676, '84.254.144.192', '84.254.144.255', 1425969344, 1425969407, 'A2', 'Satellite Provider'),
(52677, '84.254.145.0', '84.254.145.63', 1425969408, 1425969471, 'IT', 'Italy'),
(52678, '84.254.145.64', '84.254.145.255', 1425969472, 1425969663, 'A2', 'Satellite Provider'),
(52679, '84.254.146.0', '84.254.146.63', 1425969664, 1425969727, 'FR', 'France'),
(52680, '84.254.146.64', '84.254.146.127', 1425969728, 1425969791, 'IT', 'Italy'),
(52681, '84.254.146.128', '84.254.146.191', 1425969792, 1425969855, 'FR', 'France'),
(52682, '84.254.146.192', '84.254.147.63', 1425969856, 1425969983, 'A2', 'Satellite Provider'),
(52683, '84.254.147.64', '84.254.147.127', 1425969984, 1425970047, 'IT', 'Italy'),
(52684, '84.254.147.128', '84.254.147.191', 1425970048, 1425970111, 'DE', 'Germany'),
(52685, '84.254.147.192', '84.254.147.255', 1425970112, 1425970175, 'A2', 'Satellite Provider'),
(52686, '84.254.148.0', '84.254.148.255', 1425970176, 1425970431, 'FR', 'France'),
(52687, '84.254.149.0', '84.254.149.63', 1425970432, 1425970495, 'A2', 'Satellite Provider'),
(52688, '84.254.149.64', '84.254.149.255', 1425970496, 1425970687, 'IT', 'Italy'),
(52689, '84.254.150.0', '84.254.150.255', 1425970688, 1425970943, 'US', 'United States'),
(52690, '84.254.151.0', '84.254.151.63', 1425970944, 1425971007, 'IT', 'Italy'),
(52691, '84.254.151.64', '84.254.151.127', 1425971008, 1425971071, 'NL', 'Netherlands'),
(52692, '84.254.151.128', '84.254.151.255', 1425971072, 1425971199, 'A2', 'Satellite Provider'),
(52693, '84.254.152.0', '84.254.152.31', 1425971200, 1425971231, 'NL', 'Netherlands'),
(52694, '84.254.152.32', '84.254.152.63', 1425971232, 1425971263, 'DE', 'Germany'),
(52695, '84.254.152.64', '84.254.152.255', 1425971264, 1425971455, 'NL', 'Netherlands'),
(52696, '84.254.153.0', '84.254.153.63', 1425971456, 1425971519, 'A2', 'Satellite Provider'),
(52697, '84.254.153.64', '84.254.153.127', 1425971520, 1425971583, 'IT', 'Italy'),
(52698, '84.254.153.128', '84.254.153.191', 1425971584, 1425971647, 'A2', 'Satellite Provider'),
(52699, '84.254.153.192', '84.254.153.255', 1425971648, 1425971711, 'IT', 'Italy'),
(52700, '84.254.154.0', '84.254.154.15', 1425971712, 1425971727, 'AE', 'United Arab Emirates'),
(52701, '84.254.154.16', '84.254.154.31', 1425971728, 1425971743, 'US', 'United States'),
(52702, '84.254.154.32', '84.254.154.63', 1425971744, 1425971775, 'A2', 'Satellite Provider'),
(52703, '84.254.154.64', '84.254.154.127', 1425971776, 1425971839, 'DE', 'Germany'),
(52704, '84.254.154.128', '84.254.154.191', 1425971840, 1425971903, 'SE', 'Sweden'),
(52705, '84.254.154.192', '84.254.157.191', 1425971904, 1425972671, 'A2', 'Satellite Provider'),
(52706, '84.254.157.192', '84.254.157.255', 1425972672, 1425972735, 'IT', 'Italy'),
(52707, '84.254.158.0', '84.254.159.191', 1425972736, 1425973183, 'A2', 'Satellite Provider'),
(52708, '84.254.159.192', '84.254.159.255', 1425973184, 1425973247, 'IT', 'Italy'),
(52709, '84.254.160.0', '84.254.160.0', 1425973248, 1425973248, 'A2', 'Satellite Provider'),
(52710, '84.254.160.1', '84.254.160.12', 1425973249, 1425973260, 'PL', 'Poland'),
(52711, '84.254.160.13', '84.254.160.16', 1425973261, 1425973264, 'A2', 'Satellite Provider'),
(52712, '84.254.160.17', '84.254.160.20', 1425973265, 1425973268, 'DE', 'Germany'),
(52713, '84.254.160.21', '84.254.160.24', 1425973269, 1425973272, 'FR', 'France'),
(52714, '84.254.160.25', '84.254.160.28', 1425973273, 1425973276, 'PL', 'Poland'),
(52715, '84.254.160.29', '84.254.160.32', 1425973277, 1425973280, 'A2', 'Satellite Provider'),
(52716, '84.254.160.33', '84.254.160.52', 1425973281, 1425973300, 'PL', 'Poland'),
(52717, '84.254.160.53', '84.254.160.60', 1425973301, 1425973308, 'DE', 'Germany'),
(52718, '84.254.160.61', '84.254.160.84', 1425973309, 1425973332, 'PL', 'Poland'),
(52719, '84.254.160.85', '84.254.160.88', 1425973333, 1425973336, 'DE', 'Germany'),
(52720, '84.254.160.89', '84.254.160.191', 1425973337, 1425973439, 'A2', 'Satellite Provider'),
(52721, '84.254.160.192', '84.254.160.255', 1425973440, 1425973503, 'PL', 'Poland'),
(52722, '84.254.161.0', '84.254.161.255', 1425973504, 1425973759, 'IT', 'Italy'),
(52723, '84.254.162.0', '84.254.162.63', 1425973760, 1425973823, 'PL', 'Poland'),
(52724, '84.254.162.64', '84.254.162.127', 1425973824, 1425973887, 'IT', 'Italy'),
(52725, '84.254.162.128', '84.254.163.127', 1425973888, 1425974143, 'A2', 'Satellite Provider'),
(52726, '84.254.163.128', '84.254.163.191', 1425974144, 1425974207, 'IT', 'Italy'),
(52727, '84.254.163.192', '84.254.164.191', 1425974208, 1425974463, 'A2', 'Satellite Provider'),
(52728, '84.254.164.192', '84.254.164.255', 1425974464, 1425974527, 'IT', 'Italy'),
(52729, '84.254.165.0', '84.254.165.255', 1425974528, 1425974783, 'A2', 'Satellite Provider'),
(52730, '84.254.166.0', '84.254.166.63', 1425974784, 1425974847, 'IT', 'Italy'),
(52731, '84.254.166.64', '84.254.166.127', 1425974848, 1425974911, 'SE', 'Sweden'),
(52732, '84.254.166.128', '84.254.166.191', 1425974912, 1425974975, 'A2', 'Satellite Provider'),
(52733, '84.254.166.192', '84.254.166.255', 1425974976, 1425975039, 'IT', 'Italy'),
(52734, '84.254.167.0', '84.254.167.63', 1425975040, 1425975103, 'A2', 'Satellite Provider'),
(52735, '84.254.167.64', '84.254.167.127', 1425975104, 1425975167, 'IT', 'Italy'),
(52736, '84.254.167.128', '84.254.168.0', 1425975168, 1425975296, 'A2', 'Satellite Provider'),
(52737, '84.254.168.1', '84.254.168.64', 1425975297, 1425975360, 'PE', 'Peru'),
(52738, '84.254.168.65', '84.254.168.191', 1425975361, 1425975487, 'A2', 'Satellite Provider'),
(52739, '84.254.168.192', '84.254.168.255', 1425975488, 1425975551, 'IT', 'Italy'),
(52740, '84.254.169.0', '84.254.169.127', 1425975552, 1425975679, 'FR', 'France'),
(52741, '84.254.169.128', '84.254.169.191', 1425975680, 1425975743, 'IT', 'Italy'),
(52742, '84.254.169.192', '84.254.169.255', 1425975744, 1425975807, 'A2', 'Satellite Provider'),
(52743, '84.254.170.0', '84.254.170.255', 1425975808, 1425976063, 'IT', 'Italy'),
(52744, '84.254.171.0', '84.254.171.0', 1425976064, 1425976064, 'A2', 'Satellite Provider'),
(52745, '84.254.171.1', '84.254.171.62', 1425976065, 1425976126, 'FR', 'France'),
(52746, '84.254.171.63', '84.254.171.63', 1425976127, 1425976127, 'A2', 'Satellite Provider'),
(52747, '84.254.171.64', '84.254.171.127', 1425976128, 1425976191, 'IT', 'Italy'),
(52748, '84.254.171.128', '84.254.171.191', 1425976192, 1425976255, 'FR', 'France'),
(52749, '84.254.171.192', '84.254.171.255', 1425976256, 1425976319, 'IT', 'Italy'),
(52750, '84.254.172.0', '84.254.172.0', 1425976320, 1425976320, 'A2', 'Satellite Provider'),
(52751, '84.254.172.1', '84.254.172.8', 1425976321, 1425976328, 'FR', 'France'),
(52752, '84.254.172.9', '84.254.172.16', 1425976329, 1425976336, 'GB', 'United Kingdom'),
(52753, '84.254.172.17', '84.254.172.24', 1425976337, 1425976344, 'A2', 'Satellite Provider'),
(52754, '84.254.172.25', '84.254.172.32', 1425976345, 1425976352, 'FR', 'France'),
(52755, '84.254.172.33', '84.254.172.48', 1425976353, 1425976368, 'GB', 'United Kingdom'),
(52756, '84.254.172.49', '84.254.172.52', 1425976369, 1425976372, 'FR', 'France'),
(52757, '84.254.172.53', '84.254.172.60', 1425976373, 1425976380, 'GB', 'United Kingdom'),
(52758, '84.254.172.61', '84.254.172.68', 1425976381, 1425976388, 'FR', 'France'),
(52759, '84.254.172.69', '84.254.172.72', 1425976389, 1425976392, 'IT', 'Italy'),
(52760, '84.254.172.73', '84.254.172.112', 1425976393, 1425976432, 'FR', 'France'),
(52761, '84.254.172.113', '84.254.172.120', 1425976433, 1425976440, 'GB', 'United Kingdom'),
(52762, '84.254.172.121', '84.254.172.128', 1425976441, 1425976448, 'FR', 'France'),
(52763, '84.254.172.129', '84.254.172.144', 1425976449, 1425976464, 'GB', 'United Kingdom'),
(52764, '84.254.172.145', '84.254.172.255', 1425976465, 1425976575, 'A2', 'Satellite Provider'),
(52765, '84.254.173.0', '84.254.173.254', 1425976576, 1425976830, 'GB', 'United Kingdom'),
(52766, '84.254.173.255', '84.254.173.255', 1425976831, 1425976831, 'A2', 'Satellite Provider'),
(52767, '84.254.174.0', '84.254.175.254', 1425976832, 1425977342, 'GB', 'United Kingdom'),
(52768, '84.254.175.255', '84.254.175.255', 1425977343, 1425977343, 'A2', 'Satellite Provider'),
(52769, '84.254.176.0', '84.254.177.255', 1425977344, 1425977855, 'IT', 'Italy'),
(52770, '84.254.178.0', '84.254.178.255', 1425977856, 1425978111, 'DE', 'Germany'),
(52771, '84.254.179.0', '84.254.179.255', 1425978112, 1425978367, 'BG', 'Bulgaria'),
(52772, '84.254.180.0', '84.254.180.0', 1425978368, 1425978368, 'A2', 'Satellite Provider'),
(52773, '84.254.180.1', '84.254.180.20', 1425978369, 1425978388, 'IT', 'Italy'),
(52774, '84.254.180.21', '84.254.180.21', 1425978389, 1425978389, 'A2', 'Satellite Provider'),
(52775, '84.254.180.22', '84.254.180.127', 1425978390, 1425978495, 'IT', 'Italy'),
(52776, '84.254.180.128', '84.254.181.0', 1425978496, 1425978624, 'A2', 'Satellite Provider'),
(52777, '84.254.181.1', '84.254.181.127', 1425978625, 1425978751, 'IT', 'Italy'),
(52778, '84.254.181.128', '84.254.181.191', 1425978752, 1425978815, 'A2', 'Satellite Provider'),
(52779, '84.254.181.192', '84.254.181.195', 1425978816, 1425978819, 'IT', 'Italy'),
(52780, '84.254.181.196', '84.254.182.191', 1425978820, 1425979071, 'A2', 'Satellite Provider'),
(52781, '84.254.182.192', '84.254.182.255', 1425979072, 1425979135, 'IT', 'Italy'),
(52782, '84.254.183.0', '84.254.183.191', 1425979136, 1425979327, 'A2', 'Satellite Provider'),
(52783, '84.254.183.192', '84.254.183.255', 1425979328, 1425979391, 'IT', 'Italy'),
(52784, '84.254.184.0', '84.254.184.0', 1425979392, 1425979392, 'A2', 'Satellite Provider'),
(52785, '84.254.184.1', '84.254.184.8', 1425979393, 1425979400, 'DE', 'Germany'),
(52786, '84.254.184.9', '84.254.184.20', 1425979401, 1425979412, 'A2', 'Satellite Provider'),
(52787, '84.254.184.21', '84.254.184.24', 1425979413, 1425979416, 'DE', 'Germany'),
(52788, '84.254.184.25', '84.254.184.44', 1425979417, 1425979436, 'A2', 'Satellite Provider'),
(52789, '84.254.184.45', '84.254.184.64', 1425979437, 1425979456, 'DE', 'Germany'),
(52790, '84.254.184.65', '84.254.184.68', 1425979457, 1425979460, 'A2', 'Satellite Provider'),
(52791, '84.254.184.69', '84.254.184.72', 1425979461, 1425979464, 'DE', 'Germany'),
(52792, '84.254.184.73', '84.254.184.80', 1425979465, 1425979472, 'A2', 'Satellite Provider'),
(52793, '84.254.184.81', '84.254.184.84', 1425979473, 1425979476, 'DE', 'Germany'),
(52794, '84.254.184.85', '84.254.184.88', 1425979477, 1425979480, 'A2', 'Satellite Provider'),
(52795, '84.254.184.89', '84.254.184.96', 1425979481, 1425979488, 'DE', 'Germany'),
(52796, '84.254.184.97', '84.254.184.111', 1425979489, 1425979503, 'A2', 'Satellite Provider'),
(52797, '84.254.184.112', '84.254.184.127', 1425979504, 1425979519, 'IT', 'Italy'),
(52798, '84.254.184.128', '84.254.184.191', 1425979520, 1425979583, 'DE', 'Germany'),
(52799, '84.254.184.192', '84.254.185.4', 1425979584, 1425979652, 'A2', 'Satellite Provider'),
(52800, '84.254.185.5', '84.254.185.8', 1425979653, 1425979656, 'AE', 'United Arab Emirates'),
(52801, '84.254.185.9', '84.254.185.12', 1425979657, 1425979660, 'A2', 'Satellite Provider'),
(52802, '84.254.185.13', '84.254.185.44', 1425979661, 1425979692, 'AE', 'United Arab Emirates'),
(52803, '84.254.185.45', '84.254.185.56', 1425979693, 1425979704, 'A2', 'Satellite Provider'),
(52804, '84.254.185.57', '84.254.185.60', 1425979705, 1425979708, 'AE', 'United Arab Emirates'),
(52805, '84.254.185.61', '84.254.185.63', 1425979709, 1425979711, 'A2', 'Satellite Provider'),
(52806, '84.254.185.64', '84.254.185.127', 1425979712, 1425979775, 'DE', 'Germany'),
(52807, '84.254.185.128', '84.254.185.191', 1425979776, 1425979839, 'US', 'United States'),
(52808, '84.254.185.192', '84.254.185.255', 1425979840, 1425979903, 'IT', 'Italy'),
(52809, '84.254.186.0', '84.254.186.0', 1425979904, 1425979904, 'A2', 'Satellite Provider'),
(52810, '84.254.186.1', '84.254.186.64', 1425979905, 1425979968, 'AE', 'United Arab Emirates'),
(52811, '84.254.186.65', '84.254.186.72', 1425979969, 1425979976, 'A2', 'Satellite Provider'),
(52812, '84.254.186.73', '84.254.186.80', 1425979977, 1425979984, 'FR', 'France'),
(52813, '84.254.186.81', '84.254.186.94', 1425979985, 1425979998, 'IT', 'Italy'),
(52814, '84.254.186.95', '84.254.186.95', 1425979999, 1425979999, 'A2', 'Satellite Provider'),
(52815, '84.254.186.96', '84.254.186.127', 1425980000, 1425980031, 'US', 'United States'),
(52816, '84.254.186.128', '84.254.186.191', 1425980032, 1425980095, 'DE', 'Germany'),
(52817, '84.254.186.192', '84.254.186.255', 1425980096, 1425980159, 'AE', 'United Arab Emirates'),
(52818, '84.254.187.0', '84.254.187.127', 1425980160, 1425980287, 'IT', 'Italy'),
(52819, '84.254.187.128', '84.254.187.191', 1425980288, 1425980351, 'A2', 'Satellite Provider'),
(52820, '84.254.187.192', '84.254.187.255', 1425980352, 1425980415, 'IT', 'Italy'),
(52821, '84.254.188.0', '84.254.188.255', 1425980416, 1425980671, 'IQ', 'Iraq'),
(52822, '84.254.189.0', '84.254.191.191', 1425980672, 1425981375, 'A2', 'Satellite Provider'),
(52823, '84.254.191.192', '84.254.191.255', 1425981376, 1425981439, 'IT', 'Italy'),
(52824, '84.254.192.0', '84.254.255.255', 1425981440, 1425997823, 'RU', 'Russian Federation'),
(52825, '84.255.0.0', '84.255.63.255', 1425997824, 1426014207, 'MT', 'Malta'),
(52826, '84.255.64.0', '84.255.127.255', 1426014208, 1426030591, 'DK', 'Denmark'),
(52827, '84.255.128.0', '84.255.191.255', 1426030592, 1426046975, 'BH', 'Bahrain'),
(52828, '84.255.192.0', '84.255.255.255', 1426046976, 1426063359, 'SI', 'Slovenia'),
(52829, '85.0.0.0', '85.7.255.255', 1426063360, 1426587647, 'CH', 'Switzerland'),
(52830, '85.8.0.0', '85.8.63.255', 1426587648, 1426604031, 'SE', 'Sweden'),
(52831, '85.8.64.0', '85.8.127.255', 1426604032, 1426620415, 'DE', 'Germany'),
(52832, '85.8.128.0', '85.8.255.255', 1426620416, 1426653183, 'GB', 'United Kingdom'),
(52833, '85.9.0.0', '85.9.63.255', 1426653184, 1426669567, 'RO', 'Romania'),
(52834, '85.9.64.0', '85.9.127.255', 1426669568, 1426685951, 'IR', 'Iran, Islamic Republic of'),
(52835, '85.9.128.0', '85.9.191.255', 1426685952, 1426702335, 'TJ', 'Tajikistan'),
(52836, '85.9.192.0', '85.9.194.255', 1426702336, 1426703103, 'LV', 'Latvia'),
(52837, '85.9.195.0', '85.9.195.63', 1426703104, 1426703167, 'RU', 'Russian Federation'),
(52838, '85.9.195.64', '85.9.195.110', 1426703168, 1426703214, 'LV', 'Latvia'),
(52839, '85.9.195.111', '85.9.195.113', 1426703215, 1426703217, 'RU', 'Russian Federation'),
(52840, '85.9.195.114', '85.9.245.255', 1426703218, 1426716159, 'LV', 'Latvia'),
(52841, '85.9.246.0', '85.9.246.255', 1426716160, 1426716415, 'RU', 'Russian Federation'),
(52842, '85.9.247.0', '85.9.255.255', 1426716416, 1426718719, 'LV', 'Latvia'),
(52843, '85.10.0.0', '85.10.47.255', 1426718720, 1426731007, 'SI', 'Slovenia'),
(52844, '85.10.48.0', '85.10.63.255', 1426731008, 1426735103, 'HR', 'Croatia'),
(52845, '85.10.64.0', '85.10.127.255', 1426735104, 1426751487, 'BE', 'Belgium'),
(52846, '85.10.128.0', '85.10.191.255', 1426751488, 1426767871, 'FR', 'France'),
(52847, '85.10.192.0', '85.10.235.111', 1426767872, 1426778991, 'DE', 'Germany'),
(52848, '85.10.235.112', '85.10.235.119', 1426778992, 1426778999, 'IT', 'Italy'),
(52849, '85.10.235.120', '85.10.245.215', 1426779000, 1426781655, 'DE', 'Germany'),
(52850, '85.10.245.216', '85.10.245.223', 1426781656, 1426781663, 'IT', 'Italy'),
(52851, '85.10.245.224', '85.10.255.255', 1426781664, 1426784255, 'DE', 'Germany'),
(52852, '85.11.0.0', '85.11.63.255', 1426784256, 1426800639, 'SE', 'Sweden'),
(52853, '85.11.64.0', '85.11.127.255', 1426800640, 1426817023, 'PL', 'Poland'),
(52854, '85.11.128.0', '85.11.191.255', 1426817024, 1426833407, 'BG', 'Bulgaria'),
(52855, '85.11.192.0', '85.11.255.255', 1426833408, 1426849791, 'SE', 'Sweden'),
(52856, '85.12.0.0', '85.12.6.191', 1426849792, 1426851519, 'NL', 'Netherlands'),
(52857, '85.12.6.192', '85.12.6.255', 1426851520, 1426851583, 'PA', 'Panama'),
(52858, '85.12.7.0', '85.12.10.0', 1426851584, 1426852352, 'NL', 'Netherlands'),
(52859, '85.12.10.1', '85.12.10.7', 1426852353, 1426852359, 'RU', 'Russian Federation'),
(52860, '85.12.10.8', '85.12.10.15', 1426852360, 1426852367, 'SE', 'Sweden'),
(52861, '85.12.10.16', '85.12.10.23', 1426852368, 1426852375, 'NL', 'Netherlands'),
(52862, '85.12.10.24', '85.12.10.31', 1426852376, 1426852383, 'US', 'United States'),
(52863, '85.12.10.32', '85.12.30.0', 1426852384, 1426857472, 'NL', 'Netherlands'),
(52864, '85.12.30.1', '85.12.30.28', 1426857473, 1426857500, 'ES', 'Spain'),
(52865, '85.12.30.29', '85.12.57.127', 1426857501, 1426864511, 'NL', 'Netherlands'),
(52866, '85.12.57.128', '85.12.57.255', 1426864512, 1426864639, 'PA', 'Panama'),
(52867, '85.12.58.0', '85.12.63.255', 1426864640, 1426866175, 'NL', 'Netherlands'),
(52868, '85.12.64.0', '85.12.127.255', 1426866176, 1426882559, 'GB', 'United Kingdom'),
(52869, '85.12.128.0', '85.12.191.255', 1426882560, 1426898943, 'FR', 'France'),
(52870, '85.12.192.0', '85.12.255.255', 1426898944, 1426915327, 'RU', 'Russian Federation'),
(52871, '85.13.0.0', '85.13.63.255', 1426915328, 1426931711, 'AT', 'Austria'),
(52872, '85.13.64.0', '85.13.127.255', 1426931712, 1426948095, 'CZ', 'Czech Republic'),
(52873, '85.13.128.0', '85.13.191.255', 1426948096, 1426964479, 'DE', 'Germany'),
(52874, '85.13.192.0', '85.13.202.247', 1426964480, 1426967287, 'GB', 'United Kingdom'),
(52875, '85.13.202.248', '85.13.202.255', 1426967288, 1426967295, 'ES', 'Spain'),
(52876, '85.13.203.0', '85.13.203.159', 1426967296, 1426967455, 'GB', 'United Kingdom'),
(52877, '85.13.203.160', '85.13.203.167', 1426967456, 1426967463, 'ES', 'Spain'),
(52878, '85.13.203.168', '85.13.204.15', 1426967464, 1426967567, 'GB', 'United Kingdom'),
(52879, '85.13.204.16', '85.13.204.23', 1426967568, 1426967575, 'ES', 'Spain'),
(52880, '85.13.204.24', '85.13.204.119', 1426967576, 1426967671, 'GB', 'United Kingdom'),
(52881, '85.13.204.120', '85.13.204.127', 1426967672, 1426967679, 'ES', 'Spain'),
(52882, '85.13.204.128', '85.13.207.23', 1426967680, 1426968343, 'GB', 'United Kingdom'),
(52883, '85.13.207.24', '85.13.207.31', 1426968344, 1426968351, 'ES', 'Spain'),
(52884, '85.13.207.32', '85.13.208.15', 1426968352, 1426968591, 'GB', 'United Kingdom'),
(52885, '85.13.208.16', '85.13.208.24', 1426968592, 1426968600, 'ES', 'Spain'),
(52886, '85.13.208.25', '85.13.208.223', 1426968601, 1426968799, 'GB', 'United Kingdom'),
(52887, '85.13.208.224', '85.13.208.224', 1426968800, 1426968800, 'ES', 'Spain'),
(52888, '85.13.208.225', '85.13.210.47', 1426968801, 1426969135, 'GB', 'United Kingdom'),
(52889, '85.13.210.48', '85.13.210.63', 1426969136, 1426969151, 'ES', 'Spain'),
(52890, '85.13.210.64', '85.13.220.207', 1426969152, 1426971855, 'GB', 'United Kingdom'),
(52891, '85.13.220.208', '85.13.220.211', 1426971856, 1426971859, 'ES', 'Spain'),
(52892, '85.13.220.212', '85.13.222.159', 1426971860, 1426972319, 'GB', 'United Kingdom'),
(52893, '85.13.222.160', '85.13.222.166', 1426972320, 1426972326, 'FR', 'France'),
(52894, '85.13.222.167', '85.13.226.151', 1426972327, 1426973335, 'GB', 'United Kingdom'),
(52895, '85.13.226.152', '85.13.226.159', 1426973336, 1426973343, 'ES', 'Spain'),
(52896, '85.13.226.160', '85.13.237.31', 1426973344, 1426976031, 'GB', 'United Kingdom'),
(52897, '85.13.237.32', '85.13.237.47', 1426976032, 1426976047, 'ES', 'Spain'),
(52898, '85.13.237.48', '85.13.237.111', 1426976048, 1426976111, 'GB', 'United Kingdom'),
(52899, '85.13.237.112', '85.13.237.119', 1426976112, 1426976119, 'ES', 'Spain'),
(52900, '85.13.237.120', '85.13.248.183', 1426976120, 1426978999, 'GB', 'United Kingdom'),
(52901, '85.13.248.184', '85.13.248.191', 1426979000, 1426979007, 'ES', 'Spain'),
(52902, '85.13.248.192', '85.13.255.255', 1426979008, 1426980863, 'GB', 'United Kingdom'),
(52903, '85.14.0.0', '85.14.63.255', 1426980864, 1426997247, 'BG', 'Bulgaria'),
(52904, '85.14.64.0', '85.14.127.255', 1426997248, 1427013631, 'PL', 'Poland'),
(52905, '85.14.128.0', '85.14.191.255', 1427013632, 1427030015, 'FR', 'France'),
(52906, '85.14.192.0', '85.14.198.127', 1427030016, 1427031679, 'DE', 'Germany'),
(52907, '85.14.198.128', '85.14.198.191', 1427031680, 1427031743, 'AT', 'Austria'),
(52908, '85.14.198.192', '85.14.198.255', 1427031744, 1427031807, 'DE', 'Germany'),
(52909, '85.14.199.0', '85.14.199.255', 1427031808, 1427032063, 'AT', 'Austria'),
(52910, '85.14.200.0', '85.14.200.119', 1427032064, 1427032183, 'DE', 'Germany'),
(52911, '85.14.200.120', '85.14.200.127', 1427032184, 1427032191, 'PL', 'Poland'),
(52912, '85.14.200.128', '85.14.200.159', 1427032192, 1427032223, 'DE', 'Germany'),
(52913, '85.14.200.160', '85.14.200.167', 1427032224, 1427032231, 'GR', 'Greece'),
(52914, '85.14.200.168', '85.14.202.159', 1427032232, 1427032735, 'DE', 'Germany'),
(52915, '85.14.202.160', '85.14.202.167', 1427032736, 1427032743, 'AT', 'Austria'),
(52916, '85.14.202.168', '85.14.203.127', 1427032744, 1427032959, 'DE', 'Germany'),
(52917, '85.14.203.128', '85.14.203.135', 1427032960, 1427032967, 'NL', 'Netherlands'),
(52918, '85.14.203.136', '85.14.212.255', 1427032968, 1427035391, 'DE', 'Germany'),
(52919, '85.14.213.0', '85.14.213.127', 1427035392, 1427035519, 'GB', 'United Kingdom'),
(52920, '85.14.213.128', '85.14.255.255', 1427035520, 1427046399, 'DE', 'Germany'),
(52921, '85.15.0.0', '85.15.63.255', 1427046400, 1427062783, 'IR', 'Iran, Islamic Republic of'),
(52922, '85.15.64.0', '85.15.191.255', 1427062784, 1427095551, 'RU', 'Russian Federation'),
(52923, '85.15.192.0', '85.15.255.255', 1427095552, 1427111935, 'LV', 'Latvia'),
(52924, '85.16.0.0', '85.16.255.255', 1427111936, 1427177471, 'DE', 'Germany'),
(52925, '85.17.0.0', '85.17.168.76', 1427177472, 1427220556, 'NL', 'Netherlands'),
(52926, '85.17.168.77', '85.17.168.77', 1427220557, 1427220557, 'KG', 'Kyrgyzstan'),
(52927, '85.17.168.78', '85.17.193.255', 1427220558, 1427227135, 'NL', 'Netherlands'),
(52928, '85.17.194.0', '85.17.195.255', 1427227136, 1427227647, 'US', 'United States'),
(52929, '85.17.196.0', '85.17.197.63', 1427227648, 1427227967, 'NL', 'Netherlands'),
(52930, '85.17.197.64', '85.17.197.71', 1427227968, 1427227975, 'GB', 'United Kingdom'),
(52931, '85.17.197.72', '85.17.197.79', 1427227976, 1427227983, 'DE', 'Germany'),
(52932, '85.17.197.80', '85.17.197.87', 1427227984, 1427227991, 'IT', 'Italy'),
(52933, '85.17.197.88', '85.17.197.95', 1427227992, 1427227999, 'ES', 'Spain'),
(52934, '85.17.197.96', '85.17.197.103', 1427228000, 1427228007, 'PL', 'Poland'),
(52935, '85.17.197.104', '85.17.197.111', 1427228008, 1427228015, 'RU', 'Russian Federation'),
(52936, '85.17.197.112', '85.17.197.119', 1427228016, 1427228023, 'FR', 'France'),
(52937, '85.17.197.120', '85.17.231.23', 1427228024, 1427236631, 'NL', 'Netherlands'),
(52938, '85.17.231.24', '85.17.231.25', 1427236632, 1427236633, 'US', 'United States'),
(52939, '85.17.231.26', '85.17.255.255', 1427236634, 1427243007, 'NL', 'Netherlands'),
(52940, '85.18.0.0', '85.18.255.255', 1427243008, 1427308543, 'IT', 'Italy'),
(52941, '85.19.0.0', '85.19.218.219', 1427308544, 1427364571, 'NO', 'Norway'),
(52942, '85.19.218.220', '85.19.218.223', 1427364572, 1427364575, 'SE', 'Sweden'),
(52943, '85.19.218.224', '85.19.255.255', 1427364576, 1427374079, 'NO', 'Norway'),
(52944, '85.20.0.0', '85.20.255.255', 1427374080, 1427439615, 'IT', 'Italy'),
(52945, '85.21.0.0', '85.21.255.255', 1427439616, 1427505151, 'RU', 'Russian Federation'),
(52946, '85.22.0.0', '85.22.255.255', 1427505152, 1427570687, 'DE', 'Germany'),
(52947, '85.23.0.0', '85.23.255.255', 1427570688, 1427636223, 'FI', 'Finland'),
(52948, '85.24.0.0', '85.24.127.255', 1427636224, 1427668991, 'DK', 'Denmark'),
(52949, '85.24.128.0', '85.24.255.255', 1427668992, 1427701759, 'SE', 'Sweden'),
(52950, '85.25.0.0', '85.25.13.27', 1427701760, 1427705115, 'DE', 'Germany'),
(52951, '85.25.13.28', '85.25.13.29', 1427705116, 1427705117, 'RU', 'Russian Federation'),
(52952, '85.25.13.30', '85.25.13.30', 1427705118, 1427705118, 'BG', 'Bulgaria'),
(52953, '85.25.13.31', '85.25.13.55', 1427705119, 1427705143, 'CA', 'Canada'),
(52954, '85.25.13.56', '85.25.13.59', 1427705144, 1427705147, 'DE', 'Germany'),
(52955, '85.25.13.60', '85.25.13.60', 1427705148, 1427705148, 'US', 'United States'),
(52956, '85.25.13.61', '85.25.13.61', 1427705149, 1427705149, 'DE', 'Germany'),
(52957, '85.25.13.62', '85.25.13.62', 1427705150, 1427705150, 'CA', 'Canada'),
(52958, '85.25.13.63', '85.25.13.201', 1427705151, 1427705289, 'DE', 'Germany'),
(52959, '85.25.13.202', '85.25.13.202', 1427705290, 1427705290, 'AZ', 'Azerbaijan'),
(52960, '85.25.13.203', '85.25.13.209', 1427705291, 1427705297, 'DE', 'Germany'),
(52961, '85.25.13.210', '85.25.13.210', 1427705298, 1427705298, 'UA', 'Ukraine'),
(52962, '85.25.13.211', '85.25.13.211', 1427705299, 1427705299, 'IN', 'India'),
(52963, '85.25.13.212', '85.25.13.215', 1427705300, 1427705303, 'DE', 'Germany'),
(52964, '85.25.13.216', '85.25.13.216', 1427705304, 1427705304, 'NL', 'Netherlands'),
(52965, '85.25.13.217', '85.25.13.219', 1427705305, 1427705307, 'DE', 'Germany'),
(52966, '85.25.13.220', '85.25.13.221', 1427705308, 1427705309, 'BY', 'Belarus'),
(52967, '85.25.13.222', '85.25.13.222', 1427705310, 1427705310, 'DE', 'Germany'),
(52968, '85.25.13.223', '85.25.13.223', 1427705311, 1427705311, 'SG', 'Singapore'),
(52969, '85.25.13.224', '85.25.13.226', 1427705312, 1427705314, 'DE', 'Germany'),
(52970, '85.25.13.227', '85.25.13.227', 1427705315, 1427705315, 'NL', 'Netherlands'),
(52971, '85.25.13.228', '85.25.13.228', 1427705316, 1427705316, 'DE', 'Germany'),
(52972, '85.25.13.229', '85.25.13.229', 1427705317, 1427705317, 'EC', 'Ecuador'),
(52973, '85.25.13.230', '85.25.13.230', 1427705318, 1427705318, 'DE', 'Germany'),
(52974, '85.25.13.231', '85.25.13.231', 1427705319, 1427705319, 'EC', 'Ecuador'),
(52975, '85.25.13.232', '85.25.13.233', 1427705320, 1427705321, 'DE', 'Germany'),
(52976, '85.25.13.234', '85.25.13.235', 1427705322, 1427705323, 'PT', 'Portugal'),
(52977, '85.25.13.236', '85.25.13.240', 1427705324, 1427705328, 'DE', 'Germany'),
(52978, '85.25.13.241', '85.25.13.243', 1427705329, 1427705331, 'US', 'United States'),
(52979, '85.25.13.244', '85.25.13.244', 1427705332, 1427705332, 'LK', 'Sri Lanka'),
(52980, '85.25.13.245', '85.25.13.246', 1427705333, 1427705334, 'DE', 'Germany'),
(52981, '85.25.13.247', '85.25.13.247', 1427705335, 1427705335, 'IT', 'Italy'),
(52982, '85.25.13.248', '85.25.13.249', 1427705336, 1427705337, 'BR', 'Brazil'),
(52983, '85.25.13.250', '85.25.13.250', 1427705338, 1427705338, 'DE', 'Germany'),
(52984, '85.25.13.251', '85.25.13.251', 1427705339, 1427705339, 'GB', 'United Kingdom'),
(52985, '85.25.13.252', '85.25.13.254', 1427705340, 1427705342, 'FR', 'France'),
(52986, '85.25.13.255', '85.25.15.4', 1427705343, 1427705604, 'DE', 'Germany'),
(52987, '85.25.15.5', '85.25.15.5', 1427705605, 1427705605, 'UY', 'Uruguay'),
(52988, '85.25.15.6', '85.25.15.16', 1427705606, 1427705616, 'DE', 'Germany'),
(52989, '85.25.15.17', '85.25.15.18', 1427705617, 1427705618, 'UY', 'Uruguay'),
(52990, '85.25.15.19', '85.25.15.25', 1427705619, 1427705625, 'DE', 'Germany'),
(52991, '85.25.15.26', '85.25.15.27', 1427705626, 1427705627, 'CO', 'Colombia'),
(52992, '85.25.15.28', '85.25.15.137', 1427705628, 1427705737, 'DE', 'Germany'),
(52993, '85.25.15.138', '85.25.15.140', 1427705738, 1427705740, 'BR', 'Brazil'),
(52994, '85.25.15.141', '85.25.15.143', 1427705741, 1427705743, 'EG', 'Egypt'),
(52995, '85.25.15.144', '85.25.15.147', 1427705744, 1427705747, 'DE', 'Germany'),
(52996, '85.25.15.148', '85.25.15.149', 1427705748, 1427705749, 'US', 'United States'),
(52997, '85.25.15.150', '85.25.15.150', 1427705750, 1427705750, 'DE', 'Germany'),
(52998, '85.25.15.151', '85.25.15.151', 1427705751, 1427705751, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(52999, '85.25.15.152', '85.25.15.153', 1427705752, 1427705753, 'DE', 'Germany'),
(53000, '85.25.15.154', '85.25.15.156', 1427705754, 1427705756, 'US', 'United States'),
(53001, '85.25.15.157', '85.25.15.159', 1427705757, 1427705759, 'GB', 'United Kingdom'),
(53002, '85.25.15.160', '85.25.15.196', 1427705760, 1427705796, 'DE', 'Germany'),
(53003, '85.25.15.197', '85.25.15.197', 1427705797, 1427705797, 'UA', 'Ukraine'),
(53004, '85.25.15.198', '85.25.15.200', 1427705798, 1427705800, 'DE', 'Germany'),
(53005, '85.25.15.201', '85.25.15.201', 1427705801, 1427705801, 'RU', 'Russian Federation'),
(53006, '85.25.15.202', '85.25.15.202', 1427705802, 1427705802, 'DE', 'Germany'),
(53007, '85.25.15.203', '85.25.15.203', 1427705803, 1427705803, 'US', 'United States'),
(53008, '85.25.15.204', '85.25.15.204', 1427705804, 1427705804, 'GR', 'Greece'),
(53009, '85.25.15.205', '85.25.15.208', 1427705805, 1427705808, 'DE', 'Germany'),
(53010, '85.25.15.209', '85.25.15.209', 1427705809, 1427705809, 'BR', 'Brazil'),
(53011, '85.25.15.210', '85.25.15.210', 1427705810, 1427705810, 'GR', 'Greece'),
(53012, '85.25.15.211', '85.25.15.211', 1427705811, 1427705811, 'US', 'United States'),
(53013, '85.25.15.212', '85.25.15.213', 1427705812, 1427705813, 'DE', 'Germany'),
(53014, '85.25.15.214', '85.25.15.214', 1427705814, 1427705814, 'US', 'United States'),
(53015, '85.25.15.215', '85.25.15.216', 1427705815, 1427705816, 'CO', 'Colombia'),
(53016, '85.25.15.217', '85.25.15.218', 1427705817, 1427705818, 'US', 'United States'),
(53017, '85.25.15.219', '85.25.15.222', 1427705819, 1427705822, 'DE', 'Germany'),
(53018, '85.25.15.223', '85.25.15.223', 1427705823, 1427705823, 'CN', 'China'),
(53019, '85.25.15.224', '85.25.15.224', 1427705824, 1427705824, 'US', 'United States'),
(53020, '85.25.15.225', '85.25.15.230', 1427705825, 1427705830, 'DE', 'Germany'),
(53021, '85.25.15.231', '85.25.15.231', 1427705831, 1427705831, 'US', 'United States'),
(53022, '85.25.15.232', '85.25.15.234', 1427705832, 1427705834, 'DE', 'Germany'),
(53023, '85.25.15.235', '85.25.15.235', 1427705835, 1427705835, 'BR', 'Brazil'),
(53024, '85.25.15.236', '85.25.15.236', 1427705836, 1427705836, 'DE', 'Germany'),
(53025, '85.25.15.237', '85.25.15.237', 1427705837, 1427705837, 'US', 'United States'),
(53026, '85.25.15.238', '85.25.15.240', 1427705838, 1427705840, 'NL', 'Netherlands'),
(53027, '85.25.15.241', '85.25.15.248', 1427705841, 1427705848, 'DE', 'Germany'),
(53028, '85.25.15.249', '85.25.15.249', 1427705849, 1427705849, 'DK', 'Denmark'),
(53029, '85.25.15.250', '85.25.15.250', 1427705850, 1427705850, 'TR', 'Turkey'),
(53030, '85.25.15.251', '85.25.15.251', 1427705851, 1427705851, 'UA', 'Ukraine'),
(53031, '85.25.15.252', '85.25.18.73', 1427705852, 1427706441, 'DE', 'Germany'),
(53032, '85.25.18.74', '85.25.18.78', 1427706442, 1427706446, 'TR', 'Turkey'),
(53033, '85.25.18.79', '85.25.18.79', 1427706447, 1427706447, 'DE', 'Germany'),
(53034, '85.25.18.80', '85.25.18.80', 1427706448, 1427706448, 'MA', 'Morocco'),
(53035, '85.25.18.81', '85.25.84.127', 1427706449, 1427723391, 'DE', 'Germany'),
(53036, '85.25.84.128', '85.25.84.255', 1427723392, 1427723519, 'LI', 'Liechtenstein'),
(53037, '85.25.85.0', '85.25.103.255', 1427723520, 1427728383, 'DE', 'Germany'),
(53038, '85.25.104.0', '85.25.104.31', 1427728384, 1427728415, 'BR', 'Brazil'),
(53039, '85.25.104.32', '85.25.104.63', 1427728416, 1427728447, 'RU', 'Russian Federation'),
(53040, '85.25.104.64', '85.25.104.95', 1427728448, 1427728479, 'DE', 'Germany'),
(53041, '85.25.104.96', '85.25.104.127', 1427728480, 1427728511, 'CY', 'Cyprus'),
(53042, '85.25.104.128', '85.25.104.159', 1427728512, 1427728543, 'BR', 'Brazil'),
(53043, '85.25.104.160', '85.25.104.191', 1427728544, 1427728575, 'DE', 'Germany'),
(53044, '85.25.104.192', '85.25.104.255', 1427728576, 1427728639, 'BR', 'Brazil'),
(53045, '85.25.105.0', '85.25.105.31', 1427728640, 1427728671, 'CY', 'Cyprus'),
(53046, '85.25.105.32', '85.25.105.63', 1427728672, 1427728703, 'TR', 'Turkey'),
(53047, '85.25.105.64', '85.25.105.95', 1427728704, 1427728735, 'RU', 'Russian Federation'),
(53048, '85.25.105.96', '85.25.105.159', 1427728736, 1427728799, 'DE', 'Germany'),
(53049, '85.25.105.160', '85.25.105.191', 1427728800, 1427728831, 'RU', 'Russian Federation'),
(53050, '85.25.105.192', '85.25.105.255', 1427728832, 1427728895, 'CY', 'Cyprus'),
(53051, '85.25.106.0', '85.25.106.31', 1427728896, 1427728927, 'RU', 'Russian Federation'),
(53052, '85.25.106.32', '85.25.106.63', 1427728928, 1427728959, 'US', 'United States'),
(53053, '85.25.106.64', '85.25.106.95', 1427728960, 1427728991, 'RU', 'Russian Federation'),
(53054, '85.25.106.96', '85.25.106.127', 1427728992, 1427729023, 'LT', 'Lithuania'),
(53055, '85.25.106.128', '85.25.106.159', 1427729024, 1427729055, 'GB', 'United Kingdom'),
(53056, '85.25.106.160', '85.25.106.191', 1427729056, 1427729087, 'CA', 'Canada'),
(53057, '85.25.106.192', '85.25.106.223', 1427729088, 1427729119, 'MA', 'Morocco'),
(53058, '85.25.106.224', '85.25.106.255', 1427729120, 1427729151, 'BR', 'Brazil'),
(53059, '85.25.107.0', '85.25.107.63', 1427729152, 1427729215, 'DE', 'Germany'),
(53060, '85.25.107.64', '85.25.107.127', 1427729216, 1427729279, 'IN', 'India'),
(53061, '85.25.107.128', '85.25.107.159', 1427729280, 1427729311, 'DE', 'Germany'),
(53062, '85.25.107.160', '85.25.107.191', 1427729312, 1427729343, 'GR', 'Greece'),
(53063, '85.25.107.192', '85.25.110.98', 1427729344, 1427730018, 'DE', 'Germany'),
(53064, '85.25.110.99', '85.25.110.99', 1427730019, 1427730019, 'IR', 'Iran, Islamic Republic of'),
(53065, '85.25.110.100', '85.25.110.162', 1427730020, 1427730082, 'DE', 'Germany'),
(53066, '85.25.110.163', '85.25.110.163', 1427730083, 1427730083, 'IN', 'India'),
(53067, '85.25.110.164', '85.25.110.198', 1427730084, 1427730118, 'DE', 'Germany'),
(53068, '85.25.110.199', '85.25.110.199', 1427730119, 1427730119, 'IN', 'India'),
(53069, '85.25.110.200', '85.25.110.212', 1427730120, 1427730132, 'DE', 'Germany'),
(53070, '85.25.110.213', '85.25.110.214', 1427730133, 1427730134, 'BD', 'Bangladesh'),
(53071, '85.25.110.215', '85.25.110.217', 1427730135, 1427730137, 'TH', 'Thailand'),
(53072, '85.25.110.218', '85.25.110.219', 1427730138, 1427730139, 'DE', 'Germany'),
(53073, '85.25.110.220', '85.25.110.220', 1427730140, 1427730140, 'BD', 'Bangladesh'),
(53074, '85.25.110.221', '85.25.110.221', 1427730141, 1427730141, 'IN', 'India'),
(53075, '85.25.110.222', '85.25.110.222', 1427730142, 1427730142, 'DK', 'Denmark'),
(53076, '85.25.110.223', '85.25.110.224', 1427730143, 1427730144, 'US', 'United States'),
(53077, '85.25.110.225', '85.25.110.225', 1427730145, 1427730145, 'HR', 'Croatia'),
(53078, '85.25.110.226', '85.25.110.227', 1427730146, 1427730147, 'BG', 'Bulgaria'),
(53079, '85.25.110.228', '85.25.110.228', 1427730148, 1427730148, 'DE', 'Germany'),
(53080, '85.25.110.229', '85.25.110.229', 1427730149, 1427730149, 'IN', 'India'),
(53081, '85.25.110.230', '85.25.110.230', 1427730150, 1427730150, 'GB', 'United Kingdom'),
(53082, '85.25.110.231', '85.25.110.231', 1427730151, 1427730151, 'RU', 'Russian Federation'),
(53083, '85.25.110.232', '85.25.110.232', 1427730152, 1427730152, 'IN', 'India'),
(53084, '85.25.110.233', '85.25.110.234', 1427730153, 1427730154, 'PK', 'Pakistan'),
(53085, '85.25.110.235', '85.25.110.235', 1427730155, 1427730155, 'RU', 'Russian Federation'),
(53086, '85.25.110.236', '85.25.110.237', 1427730156, 1427730157, 'DE', 'Germany'),
(53087, '85.25.110.238', '85.25.110.238', 1427730158, 1427730158, 'DK', 'Denmark'),
(53088, '85.25.110.239', '85.25.110.239', 1427730159, 1427730159, 'DE', 'Germany'),
(53089, '85.25.110.240', '85.25.110.242', 1427730160, 1427730162, 'US', 'United States'),
(53090, '85.25.110.243', '85.25.110.245', 1427730163, 1427730165, 'DE', 'Germany'),
(53091, '85.25.110.246', '85.25.110.246', 1427730166, 1427730166, 'DO', 'Dominican Republic'),
(53092, '85.25.110.247', '85.25.110.247', 1427730167, 1427730167, 'BR', 'Brazil'),
(53093, '85.25.110.248', '85.25.110.250', 1427730168, 1427730170, 'DK', 'Denmark'),
(53094, '85.25.110.251', '85.25.110.251', 1427730171, 1427730171, 'DE', 'Germany'),
(53095, '85.25.110.252', '85.25.110.252', 1427730172, 1427730172, 'AR', 'Argentina'),
(53096, '85.25.110.253', '85.25.116.55', 1427730173, 1427731511, 'DE', 'Germany'),
(53097, '85.25.116.56', '85.25.116.56', 1427731512, 1427731512, 'US', 'United States'),
(53098, '85.25.116.57', '85.25.116.60', 1427731513, 1427731516, 'DE', 'Germany'),
(53099, '85.25.116.61', '85.25.116.61', 1427731517, 1427731517, 'RU', 'Russian Federation'),
(53100, '85.25.116.62', '85.25.116.95', 1427731518, 1427731551, 'DE', 'Germany'),
(53101, '85.25.116.96', '85.25.116.127', 1427731552, 1427731583, 'BR', 'Brazil'),
(53102, '85.25.116.128', '85.25.148.241', 1427731584, 1427739889, 'DE', 'Germany'),
(53103, '85.25.148.242', '85.25.148.242', 1427739890, 1427739890, 'RU', 'Russian Federation'),
(53104, '85.25.148.243', '85.25.153.255', 1427739891, 1427741183, 'DE', 'Germany'),
(53105, '85.25.154.0', '85.25.154.0', 1427741184, 1427741184, 'US', 'United States'),
(53106, '85.25.154.1', '85.25.154.1', 1427741185, 1427741185, 'BD', 'Bangladesh'),
(53107, '85.25.154.2', '85.25.154.2', 1427741186, 1427741186, 'PK', 'Pakistan'),
(53108, '85.25.154.3', '85.25.154.4', 1427741187, 1427741188, 'DE', 'Germany'),
(53109, '85.25.154.5', '85.25.154.5', 1427741189, 1427741189, 'CO', 'Colombia'),
(53110, '85.25.154.6', '85.25.154.17', 1427741190, 1427741201, 'DE', 'Germany'),
(53111, '85.25.154.18', '85.25.154.18', 1427741202, 1427741202, 'DK', 'Denmark'),
(53112, '85.25.154.19', '85.25.154.19', 1427741203, 1427741203, 'DE', 'Germany'),
(53113, '85.25.154.20', '85.25.154.21', 1427741204, 1427741205, 'IL', 'Israel'),
(53114, '85.25.154.22', '85.25.154.22', 1427741206, 1427741206, 'DE', 'Germany'),
(53115, '85.25.154.23', '85.25.154.24', 1427741207, 1427741208, 'IN', 'India'),
(53116, '85.25.154.25', '85.25.154.25', 1427741209, 1427741209, 'DE', 'Germany'),
(53117, '85.25.154.26', '85.25.154.26', 1427741210, 1427741210, 'DO', 'Dominican Republic'),
(53118, '85.25.154.27', '85.25.154.27', 1427741211, 1427741211, 'DE', 'Germany'),
(53119, '85.25.154.28', '85.25.154.28', 1427741212, 1427741212, 'EC', 'Ecuador'),
(53120, '85.25.154.29', '85.25.154.30', 1427741213, 1427741214, 'US', 'United States'),
(53121, '85.25.154.31', '85.25.154.32', 1427741215, 1427741216, 'TR', 'Turkey'),
(53122, '85.25.154.33', '85.25.154.33', 1427741217, 1427741217, 'GB', 'United Kingdom'),
(53123, '85.25.154.34', '85.25.154.34', 1427741218, 1427741218, 'TR', 'Turkey'),
(53124, '85.25.154.35', '85.25.154.35', 1427741219, 1427741219, 'NL', 'Netherlands'),
(53125, '85.25.154.36', '85.25.154.37', 1427741220, 1427741221, 'DE', 'Germany'),
(53126, '85.25.154.38', '85.25.154.40', 1427741222, 1427741224, 'VN', 'Vietnam'),
(53127, '85.25.154.41', '85.25.154.43', 1427741225, 1427741227, 'US', 'United States'),
(53128, '85.25.154.44', '85.25.154.45', 1427741228, 1427741229, 'IR', 'Iran, Islamic Republic of'),
(53129, '85.25.154.46', '85.25.154.46', 1427741230, 1427741230, 'TR', 'Turkey'),
(53130, '85.25.154.47', '85.25.154.63', 1427741231, 1427741247, 'DE', 'Germany'),
(53131, '85.25.154.64', '85.25.154.64', 1427741248, 1427741248, 'BR', 'Brazil'),
(53132, '85.25.154.65', '85.25.154.65', 1427741249, 1427741249, 'AZ', 'Azerbaijan'),
(53133, '85.25.154.66', '85.25.154.66', 1427741250, 1427741250, 'DE', 'Germany'),
(53134, '85.25.154.67', '85.25.154.87', 1427741251, 1427741271, 'IN', 'India'),
(53135, '85.25.154.88', '85.25.154.88', 1427741272, 1427741272, 'TR', 'Turkey'),
(53136, '85.25.154.89', '85.25.154.89', 1427741273, 1427741273, 'DE', 'Germany'),
(53137, '85.25.154.90', '85.25.154.90', 1427741274, 1427741274, 'HR', 'Croatia'),
(53138, '85.25.154.91', '85.25.154.92', 1427741275, 1427741276, 'DE', 'Germany'),
(53139, '85.25.154.93', '85.25.154.94', 1427741277, 1427741278, 'ES', 'Spain'),
(53140, '85.25.154.95', '85.25.154.96', 1427741279, 1427741280, 'HR', 'Croatia'),
(53141, '85.25.154.97', '85.25.154.99', 1427741281, 1427741283, 'BR', 'Brazil'),
(53142, '85.25.154.100', '85.25.154.100', 1427741284, 1427741284, 'BE', 'Belgium'),
(53143, '85.25.154.101', '85.25.154.101', 1427741285, 1427741285, 'LK', 'Sri Lanka'),
(53144, '85.25.154.102', '85.25.154.102', 1427741286, 1427741286, 'UA', 'Ukraine'),
(53145, '85.25.154.103', '85.25.154.107', 1427741287, 1427741291, 'DE', 'Germany'),
(53146, '85.25.154.108', '85.25.154.109', 1427741292, 1427741293, 'TR', 'Turkey'),
(53147, '85.25.154.110', '85.25.154.111', 1427741294, 1427741295, 'DE', 'Germany'),
(53148, '85.25.154.112', '85.25.154.112', 1427741296, 1427741296, 'EG', 'Egypt'),
(53149, '85.25.154.113', '85.25.154.114', 1427741297, 1427741298, 'IN', 'India'),
(53150, '85.25.154.115', '85.25.154.117', 1427741299, 1427741301, 'DE', 'Germany'),
(53151, '85.25.154.118', '85.25.154.118', 1427741302, 1427741302, 'UA', 'Ukraine'),
(53152, '85.25.154.119', '85.25.154.119', 1427741303, 1427741303, 'DE', 'Germany'),
(53153, '85.25.154.120', '85.25.154.120', 1427741304, 1427741304, 'AL', 'Albania'),
(53154, '85.25.154.121', '85.25.154.125', 1427741305, 1427741309, 'DE', 'Germany'),
(53155, '85.25.154.126', '85.25.154.127', 1427741310, 1427741311, 'UA', 'Ukraine'),
(53156, '85.25.154.128', '85.25.154.128', 1427741312, 1427741312, 'DE', 'Germany'),
(53157, '85.25.154.129', '85.25.154.129', 1427741313, 1427741313, 'KE', 'Kenya'),
(53158, '85.25.154.130', '85.25.154.130', 1427741314, 1427741314, 'TR', 'Turkey'),
(53159, '85.25.154.131', '85.25.154.133', 1427741315, 1427741317, 'EG', 'Egypt'),
(53160, '85.25.154.134', '85.25.154.136', 1427741318, 1427741320, 'GR', 'Greece'),
(53161, '85.25.154.137', '85.25.154.137', 1427741321, 1427741321, 'AT', 'Austria'),
(53162, '85.25.154.138', '85.25.154.140', 1427741322, 1427741324, 'DE', 'Germany'),
(53163, '85.25.154.141', '85.25.154.141', 1427741325, 1427741325, 'GR', 'Greece'),
(53164, '85.25.154.142', '85.25.154.145', 1427741326, 1427741329, 'DE', 'Germany'),
(53165, '85.25.154.146', '85.25.154.146', 1427741330, 1427741330, 'AZ', 'Azerbaijan'),
(53166, '85.25.154.147', '85.25.154.148', 1427741331, 1427741332, 'DE', 'Germany'),
(53167, '85.25.154.149', '85.25.154.149', 1427741333, 1427741333, 'IT', 'Italy'),
(53168, '85.25.154.150', '85.25.154.150', 1427741334, 1427741334, 'DE', 'Germany'),
(53169, '85.25.154.151', '85.25.154.152', 1427741335, 1427741336, 'TR', 'Turkey'),
(53170, '85.25.154.153', '85.25.154.155', 1427741337, 1427741339, 'DE', 'Germany'),
(53171, '85.25.154.156', '85.25.154.156', 1427741340, 1427741340, 'PL', 'Poland'),
(53172, '85.25.154.157', '85.25.154.157', 1427741341, 1427741341, 'DE', 'Germany'),
(53173, '85.25.154.158', '85.25.154.158', 1427741342, 1427741342, 'BG', 'Bulgaria'),
(53174, '85.25.154.159', '85.25.154.164', 1427741343, 1427741348, 'DE', 'Germany'),
(53175, '85.25.154.165', '85.25.154.166', 1427741349, 1427741350, 'RU', 'Russian Federation'),
(53176, '85.25.154.167', '85.25.154.174', 1427741351, 1427741358, 'DE', 'Germany'),
(53177, '85.25.154.175', '85.25.154.175', 1427741359, 1427741359, 'BD', 'Bangladesh'),
(53178, '85.25.154.176', '85.25.154.176', 1427741360, 1427741360, 'RU', 'Russian Federation'),
(53179, '85.25.154.177', '85.25.154.177', 1427741361, 1427741361, 'BR', 'Brazil'),
(53180, '85.25.154.178', '85.25.154.184', 1427741362, 1427741368, 'DE', 'Germany'),
(53181, '85.25.154.185', '85.25.154.185', 1427741369, 1427741369, 'KR', 'Korea, Republic of'),
(53182, '85.25.154.186', '85.25.154.186', 1427741370, 1427741370, 'DE', 'Germany'),
(53183, '85.25.154.187', '85.25.154.188', 1427741371, 1427741372, 'GR', 'Greece'),
(53184, '85.25.154.189', '85.25.154.192', 1427741373, 1427741376, 'DE', 'Germany'),
(53185, '85.25.154.193', '85.25.154.193', 1427741377, 1427741377, 'AT', 'Austria'),
(53186, '85.25.154.194', '85.25.154.200', 1427741378, 1427741384, 'DE', 'Germany'),
(53187, '85.25.154.201', '85.25.154.201', 1427741385, 1427741385, 'IT', 'Italy'),
(53188, '85.25.154.202', '85.25.154.202', 1427741386, 1427741386, 'DE', 'Germany'),
(53189, '85.25.154.203', '85.25.154.203', 1427741387, 1427741387, 'AT', 'Austria'),
(53190, '85.25.154.204', '85.25.154.204', 1427741388, 1427741388, 'DE', 'Germany'),
(53191, '85.25.154.205', '85.25.154.207', 1427741389, 1427741391, 'US', 'United States'),
(53192, '85.25.154.208', '85.25.154.209', 1427741392, 1427741393, 'DE', 'Germany'),
(53193, '85.25.154.210', '85.25.154.212', 1427741394, 1427741396, 'GB', 'United Kingdom'),
(53194, '85.25.154.213', '85.25.154.215', 1427741397, 1427741399, 'CA', 'Canada'),
(53195, '85.25.154.216', '85.25.154.216', 1427741400, 1427741400, 'AL', 'Albania'),
(53196, '85.25.154.217', '85.25.154.219', 1427741401, 1427741403, 'DE', 'Germany'),
(53197, '85.25.154.220', '85.25.154.220', 1427741404, 1427741404, 'US', 'United States'),
(53198, '85.25.154.221', '85.25.154.222', 1427741405, 1427741406, 'HU', 'Hungary'),
(53199, '85.25.154.223', '85.25.154.224', 1427741407, 1427741408, 'DE', 'Germany'),
(53200, '85.25.154.225', '85.25.154.225', 1427741409, 1427741409, 'ES', 'Spain'),
(53201, '85.25.154.226', '85.25.154.228', 1427741410, 1427741412, 'SG', 'Singapore'),
(53202, '85.25.154.229', '85.25.159.255', 1427741413, 1427742719, 'DE', 'Germany'),
(53203, '85.25.160.0', '85.25.160.31', 1427742720, 1427742751, 'IO', 'British Indian Ocean Territory'),
(53204, '85.25.160.32', '85.25.160.191', 1427742752, 1427742911, 'DE', 'Germany'),
(53205, '85.25.160.192', '85.25.160.255', 1427742912, 1427742975, 'BR', 'Brazil'),
(53206, '85.25.161.0', '85.25.161.31', 1427742976, 1427743007, 'RU', 'Russian Federation'),
(53207, '85.25.161.32', '85.25.161.63', 1427743008, 1427743039, 'US', 'United States'),
(53208, '85.25.161.64', '85.25.161.95', 1427743040, 1427743071, 'BR', 'Brazil'),
(53209, '85.25.161.96', '85.25.161.127', 1427743072, 1427743103, 'CY', 'Cyprus'),
(53210, '85.25.161.128', '85.25.161.159', 1427743104, 1427743135, 'BR', 'Brazil'),
(53211, '85.25.161.160', '85.25.161.191', 1427743136, 1427743167, 'IN', 'India'),
(53212, '85.25.161.192', '85.25.161.223', 1427743168, 1427743199, 'CY', 'Cyprus'),
(53213, '85.25.161.224', '85.25.161.255', 1427743200, 1427743231, 'TR', 'Turkey'),
(53214, '85.25.162.0', '85.25.162.31', 1427743232, 1427743263, 'GR', 'Greece'),
(53215, '85.25.162.32', '85.25.162.63', 1427743264, 1427743295, 'DE', 'Germany'),
(53216, '85.25.162.64', '85.25.162.95', 1427743296, 1427743327, 'BR', 'Brazil'),
(53217, '85.25.162.96', '85.25.162.127', 1427743328, 1427743359, 'NL', 'Netherlands'),
(53218, '85.25.162.128', '85.25.162.191', 1427743360, 1427743423, 'BR', 'Brazil'),
(53219, '85.25.162.192', '85.25.162.223', 1427743424, 1427743455, 'US', 'United States'),
(53220, '85.25.162.224', '85.25.162.255', 1427743456, 1427743487, 'CY', 'Cyprus'),
(53221, '85.25.163.0', '85.25.163.31', 1427743488, 1427743519, 'DE', 'Germany'),
(53222, '85.25.163.32', '85.25.163.63', 1427743520, 1427743551, 'BR', 'Brazil'),
(53223, '85.25.163.64', '85.25.163.95', 1427743552, 1427743583, 'DE', 'Germany'),
(53224, '85.25.163.96', '85.25.163.127', 1427743584, 1427743615, 'LV', 'Latvia'),
(53225, '85.25.163.128', '85.25.163.159', 1427743616, 1427743647, 'DK', 'Denmark'),
(53226, '85.25.163.160', '85.25.163.191', 1427743648, 1427743679, 'IN', 'India'),
(53227, '85.25.163.192', '85.25.163.223', 1427743680, 1427743711, 'RU', 'Russian Federation'),
(53228, '85.25.163.224', '85.25.163.255', 1427743712, 1427743743, 'DE', 'Germany'),
(53229, '85.25.164.0', '85.25.164.31', 1427743744, 1427743775, 'MA', 'Morocco'),
(53230, '85.25.164.32', '85.25.164.63', 1427743776, 1427743807, 'ZA', 'South Africa'),
(53231, '85.25.164.64', '85.25.164.95', 1427743808, 1427743839, 'BR', 'Brazil'),
(53232, '85.25.164.96', '85.25.164.127', 1427743840, 1427743871, 'RU', 'Russian Federation'),
(53233, '85.25.164.128', '85.25.164.159', 1427743872, 1427743903, 'DE', 'Germany'),
(53234, '85.25.164.160', '85.25.164.191', 1427743904, 1427743935, 'US', 'United States'),
(53235, '85.25.164.192', '85.25.164.223', 1427743936, 1427743967, 'RU', 'Russian Federation'),
(53236, '85.25.164.224', '85.25.164.255', 1427743968, 1427743999, 'DE', 'Germany'),
(53237, '85.25.165.0', '85.25.165.31', 1427744000, 1427744031, 'AT', 'Austria'),
(53238, '85.25.165.32', '85.25.165.63', 1427744032, 1427744063, 'RU', 'Russian Federation'),
(53239, '85.25.165.64', '85.25.165.95', 1427744064, 1427744095, 'DE', 'Germany'),
(53240, '85.25.165.96', '85.25.165.127', 1427744096, 1427744127, 'MA', 'Morocco'),
(53241, '85.25.165.128', '85.25.165.159', 1427744128, 1427744159, 'DE', 'Germany'),
(53242, '85.25.165.160', '85.25.165.223', 1427744160, 1427744223, 'RU', 'Russian Federation'),
(53243, '85.25.165.224', '85.25.165.255', 1427744224, 1427744255, 'DE', 'Germany'),
(53244, '85.25.166.0', '85.25.166.31', 1427744256, 1427744287, 'US', 'United States'),
(53245, '85.25.166.32', '85.25.166.63', 1427744288, 1427744319, 'TR', 'Turkey'),
(53246, '85.25.166.64', '85.25.166.95', 1427744320, 1427744351, 'IN', 'India'),
(53247, '85.25.166.96', '85.25.166.127', 1427744352, 1427744383, 'UA', 'Ukraine'),
(53248, '85.25.166.128', '85.25.166.159', 1427744384, 1427744415, 'PL', 'Poland'),
(53249, '85.25.166.160', '85.25.166.191', 1427744416, 1427744447, 'UA', 'Ukraine'),
(53250, '85.25.166.192', '85.25.166.223', 1427744448, 1427744479, 'US', 'United States'),
(53251, '85.25.166.224', '85.25.166.255', 1427744480, 1427744511, 'DE', 'Germany'),
(53252, '85.25.167.0', '85.25.167.31', 1427744512, 1427744543, 'US', 'United States'),
(53253, '85.25.167.32', '85.25.167.63', 1427744544, 1427744575, 'DE', 'Germany'),
(53254, '85.25.167.64', '85.25.167.95', 1427744576, 1427744607, 'PL', 'Poland'),
(53255, '85.25.167.96', '85.25.167.127', 1427744608, 1427744639, 'MA', 'Morocco'),
(53256, '85.25.167.128', '85.25.167.159', 1427744640, 1427744671, 'TR', 'Turkey'),
(53257, '85.25.167.160', '85.25.167.191', 1427744672, 1427744703, 'DE', 'Germany'),
(53258, '85.25.167.192', '85.25.168.31', 1427744704, 1427744799, 'BR', 'Brazil'),
(53259, '85.25.168.32', '85.25.168.63', 1427744800, 1427744831, 'LT', 'Lithuania'),
(53260, '85.25.168.64', '85.25.168.95', 1427744832, 1427744863, 'DE', 'Germany'),
(53261, '85.25.168.96', '85.25.168.159', 1427744864, 1427744927, 'TR', 'Turkey'),
(53262, '85.25.168.160', '85.25.168.191', 1427744928, 1427744959, 'HU', 'Hungary'),
(53263, '85.25.168.192', '85.25.168.223', 1427744960, 1427744991, 'RU', 'Russian Federation'),
(53264, '85.25.168.224', '85.25.168.255', 1427744992, 1427745023, 'DK', 'Denmark'),
(53265, '85.25.169.0', '85.25.169.31', 1427745024, 1427745055, 'BM', 'Bermuda'),
(53266, '85.25.169.32', '85.25.169.63', 1427745056, 1427745087, 'US', 'United States'),
(53267, '85.25.169.64', '85.25.169.95', 1427745088, 1427745119, 'MA', 'Morocco'),
(53268, '85.25.169.96', '85.25.169.127', 1427745120, 1427745151, 'US', 'United States'),
(53269, '85.25.169.128', '85.25.169.159', 1427745152, 1427745183, 'RO', 'Romania'),
(53270, '85.25.169.160', '85.25.169.191', 1427745184, 1427745215, 'CH', 'Switzerland'),
(53271, '85.25.169.192', '85.25.169.223', 1427745216, 1427745247, 'US', 'United States'),
(53272, '85.25.169.224', '85.25.169.255', 1427745248, 1427745279, 'DE', 'Germany'),
(53273, '85.25.170.0', '85.25.170.31', 1427745280, 1427745311, 'MA', 'Morocco'),
(53274, '85.25.170.32', '85.25.170.63', 1427745312, 1427745343, 'NL', 'Netherlands'),
(53275, '85.25.170.64', '85.25.170.95', 1427745344, 1427745375, 'RU', 'Russian Federation'),
(53276, '85.25.170.96', '85.25.170.127', 1427745376, 1427745407, 'BR', 'Brazil'),
(53277, '85.25.170.128', '85.25.170.191', 1427745408, 1427745471, 'US', 'United States'),
(53278, '85.25.170.192', '85.25.170.223', 1427745472, 1427745503, 'RO', 'Romania'),
(53279, '85.25.170.224', '85.25.170.255', 1427745504, 1427745535, 'RU', 'Russian Federation'),
(53280, '85.25.171.0', '85.25.171.31', 1427745536, 1427745567, 'BR', 'Brazil'),
(53281, '85.25.171.32', '85.25.171.63', 1427745568, 1427745599, 'RU', 'Russian Federation'),
(53282, '85.25.171.64', '85.25.171.95', 1427745600, 1427745631, 'DE', 'Germany'),
(53283, '85.25.171.96', '85.25.171.127', 1427745632, 1427745663, 'BM', 'Bermuda'),
(53284, '85.25.171.128', '85.25.171.159', 1427745664, 1427745695, 'CY', 'Cyprus'),
(53285, '85.25.171.160', '85.25.171.191', 1427745696, 1427745727, 'US', 'United States'),
(53286, '85.25.171.192', '85.25.171.223', 1427745728, 1427745759, 'DE', 'Germany'),
(53287, '85.25.171.224', '85.25.171.255', 1427745760, 1427745791, 'LT', 'Lithuania'),
(53288, '85.25.172.0', '85.25.172.31', 1427745792, 1427745823, 'FR', 'France'),
(53289, '85.25.172.32', '85.25.172.63', 1427745824, 1427745855, 'US', 'United States'),
(53290, '85.25.172.64', '85.25.172.95', 1427745856, 1427745887, 'BR', 'Brazil'),
(53291, '85.25.172.96', '85.25.172.127', 1427745888, 1427745919, 'IN', 'India'),
(53292, '85.25.172.128', '85.25.172.159', 1427745920, 1427745951, 'ES', 'Spain'),
(53293, '85.25.172.160', '85.25.172.191', 1427745952, 1427745983, 'IN', 'India'),
(53294, '85.25.172.192', '85.25.172.223', 1427745984, 1427746015, 'RU', 'Russian Federation'),
(53295, '85.25.172.224', '85.25.172.255', 1427746016, 1427746047, 'US', 'United States'),
(53296, '85.25.173.0', '85.25.173.31', 1427746048, 1427746079, 'SE', 'Sweden'),
(53297, '85.25.173.32', '85.25.173.63', 1427746080, 1427746111, 'GB', 'United Kingdom'),
(53298, '85.25.173.64', '85.25.173.95', 1427746112, 1427746143, 'DE', 'Germany'),
(53299, '85.25.173.96', '85.25.173.127', 1427746144, 1427746175, 'GR', 'Greece'),
(53300, '85.25.173.128', '85.25.173.191', 1427746176, 1427746239, 'DE', 'Germany'),
(53301, '85.25.173.192', '85.25.173.223', 1427746240, 1427746271, 'US', 'United States'),
(53302, '85.25.173.224', '85.25.174.159', 1427746272, 1427746463, 'DE', 'Germany'),
(53303, '85.25.174.160', '85.25.174.191', 1427746464, 1427746495, 'MA', 'Morocco'),
(53304, '85.25.174.192', '85.25.179.255', 1427746496, 1427747839, 'DE', 'Germany'),
(53305, '85.25.180.0', '85.25.180.31', 1427747840, 1427747871, 'FI', 'Finland'),
(53306, '85.25.180.32', '85.25.180.95', 1427747872, 1427747935, 'BR', 'Brazil'),
(53307, '85.25.180.96', '85.25.180.159', 1427747936, 1427747999, 'US', 'United States'),
(53308, '85.25.180.160', '85.25.180.191', 1427748000, 1427748031, 'BR', 'Brazil'),
(53309, '85.25.180.192', '85.25.180.223', 1427748032, 1427748063, 'DE', 'Germany'),
(53310, '85.25.180.224', '85.25.180.255', 1427748064, 1427748095, 'US', 'United States'),
(53311, '85.25.181.0', '85.25.181.31', 1427748096, 1427748127, 'BR', 'Brazil'),
(53312, '85.25.181.32', '85.25.181.63', 1427748128, 1427748159, 'DE', 'Germany'),
(53313, '85.25.181.64', '85.25.181.95', 1427748160, 1427748191, 'GB', 'United Kingdom'),
(53314, '85.25.181.96', '85.25.181.159', 1427748192, 1427748255, 'DE', 'Germany'),
(53315, '85.25.181.160', '85.25.181.191', 1427748256, 1427748287, 'US', 'United States'),
(53316, '85.25.181.192', '85.25.181.255', 1427748288, 1427748351, 'DE', 'Germany'),
(53317, '85.25.182.0', '85.25.182.31', 1427748352, 1427748383, 'BR', 'Brazil'),
(53318, '85.25.182.32', '85.25.182.95', 1427748384, 1427748447, 'DE', 'Germany'),
(53319, '85.25.182.96', '85.25.182.127', 1427748448, 1427748479, 'RU', 'Russian Federation'),
(53320, '85.25.182.128', '85.25.182.191', 1427748480, 1427748543, 'MA', 'Morocco'),
(53321, '85.25.182.192', '85.25.182.223', 1427748544, 1427748575, 'DE', 'Germany'),
(53322, '85.25.182.224', '85.25.182.255', 1427748576, 1427748607, 'BR', 'Brazil'),
(53323, '85.25.183.0', '85.25.183.31', 1427748608, 1427748639, 'HU', 'Hungary'),
(53324, '85.25.183.32', '85.25.183.63', 1427748640, 1427748671, 'FR', 'France'),
(53325, '85.25.183.64', '85.25.183.95', 1427748672, 1427748703, 'DE', 'Germany'),
(53326, '85.25.183.96', '85.25.183.127', 1427748704, 1427748735, 'LT', 'Lithuania'),
(53327, '85.25.183.128', '85.25.183.191', 1427748736, 1427748799, 'BR', 'Brazil'),
(53328, '85.25.183.192', '85.25.183.255', 1427748800, 1427748863, 'MA', 'Morocco'),
(53329, '85.25.184.0', '85.25.186.95', 1427748864, 1427749471, 'DE', 'Germany'),
(53330, '85.25.186.96', '85.25.186.127', 1427749472, 1427749503, 'BR', 'Brazil'),
(53331, '85.25.186.128', '85.25.186.159', 1427749504, 1427749535, 'DE', 'Germany'),
(53332, '85.25.186.160', '85.25.186.191', 1427749536, 1427749567, 'MA', 'Morocco'),
(53333, '85.25.186.192', '85.25.186.223', 1427749568, 1427749599, 'CY', 'Cyprus'),
(53334, '85.25.186.224', '85.25.186.255', 1427749600, 1427749631, 'IN', 'India'),
(53335, '85.25.187.0', '85.25.187.31', 1427749632, 1427749663, 'RU', 'Russian Federation'),
(53336, '85.25.187.32', '85.25.187.63', 1427749664, 1427749695, 'DE', 'Germany'),
(53337, '85.25.187.64', '85.25.187.95', 1427749696, 1427749727, 'BR', 'Brazil'),
(53338, '85.25.187.96', '85.25.187.127', 1427749728, 1427749759, 'DE', 'Germany'),
(53339, '85.25.187.128', '85.25.187.159', 1427749760, 1427749791, 'BR', 'Brazil'),
(53340, '85.25.187.160', '85.25.187.223', 1427749792, 1427749855, 'DE', 'Germany'),
(53341, '85.25.187.224', '85.25.187.255', 1427749856, 1427749887, 'RU', 'Russian Federation'),
(53342, '85.25.188.0', '85.25.188.31', 1427749888, 1427749919, 'BR', 'Brazil'),
(53343, '85.25.188.32', '85.25.188.63', 1427749920, 1427749951, 'US', 'United States'),
(53344, '85.25.188.64', '85.25.188.95', 1427749952, 1427749983, 'BR', 'Brazil'),
(53345, '85.25.188.96', '85.25.188.127', 1427749984, 1427750015, 'RU', 'Russian Federation'),
(53346, '85.25.188.128', '85.25.188.191', 1427750016, 1427750079, 'DE', 'Germany'),
(53347, '85.25.188.192', '85.25.188.223', 1427750080, 1427750111, 'US', 'United States'),
(53348, '85.25.188.224', '85.25.188.255', 1427750112, 1427750143, 'DE', 'Germany'),
(53349, '85.25.189.0', '85.25.189.31', 1427750144, 1427750175, 'US', 'United States'),
(53350, '85.25.189.32', '85.25.189.63', 1427750176, 1427750207, 'SE', 'Sweden'),
(53351, '85.25.189.64', '85.25.189.95', 1427750208, 1427750239, 'DE', 'Germany'),
(53352, '85.25.189.96', '85.25.189.127', 1427750240, 1427750271, 'US', 'United States'),
(53353, '85.25.189.128', '85.25.189.159', 1427750272, 1427750303, 'GR', 'Greece'),
(53354, '85.25.189.160', '85.25.189.191', 1427750304, 1427750335, 'FR', 'France'),
(53355, '85.25.189.192', '85.25.189.223', 1427750336, 1427750367, 'US', 'United States'),
(53356, '85.25.189.224', '85.25.227.31', 1427750368, 1427759903, 'DE', 'Germany'),
(53357, '85.25.227.32', '85.25.227.63', 1427759904, 1427759935, 'MA', 'Morocco'),
(53358, '85.25.227.64', '85.25.227.95', 1427759936, 1427759967, 'HR', 'Croatia'),
(53359, '85.25.227.96', '85.25.227.127', 1427759968, 1427759999, 'DE', 'Germany'),
(53360, '85.25.227.128', '85.25.227.159', 1427760000, 1427760031, 'BR', 'Brazil'),
(53361, '85.25.227.160', '85.25.227.191', 1427760032, 1427760063, 'US', 'United States'),
(53362, '85.25.227.192', '85.25.227.223', 1427760064, 1427760095, 'AR', 'Argentina'),
(53363, '85.25.227.224', '85.25.227.255', 1427760096, 1427760127, 'US', 'United States'),
(53364, '85.25.228.0', '85.25.228.31', 1427760128, 1427760159, 'DE', 'Germany'),
(53365, '85.25.228.32', '85.25.228.63', 1427760160, 1427760191, 'PL', 'Poland'),
(53366, '85.25.228.64', '85.25.228.127', 1427760192, 1427760255, 'US', 'United States'),
(53367, '85.25.228.128', '85.25.228.191', 1427760256, 1427760319, 'BR', 'Brazil'),
(53368, '85.25.228.192', '85.25.228.223', 1427760320, 1427760351, 'TR', 'Turkey'),
(53369, '85.25.228.224', '85.25.228.255', 1427760352, 1427760383, 'RU', 'Russian Federation'),
(53370, '85.25.229.0', '85.25.229.31', 1427760384, 1427760415, 'IN', 'India'),
(53371, '85.25.229.32', '85.25.229.63', 1427760416, 1427760447, 'US', 'United States'),
(53372, '85.25.229.64', '85.25.229.95', 1427760448, 1427760479, 'BR', 'Brazil'),
(53373, '85.25.229.96', '85.25.229.191', 1427760480, 1427760575, 'DE', 'Germany'),
(53374, '85.25.229.192', '85.25.229.223', 1427760576, 1427760607, 'CH', 'Switzerland'),
(53375, '85.25.229.224', '85.25.230.31', 1427760608, 1427760671, 'DE', 'Germany'),
(53376, '85.25.230.32', '85.25.230.63', 1427760672, 1427760703, 'BR', 'Brazil'),
(53377, '85.25.230.64', '85.25.230.95', 1427760704, 1427760735, 'DE', 'Germany'),
(53378, '85.25.230.96', '85.25.230.127', 1427760736, 1427760767, 'BR', 'Brazil'),
(53379, '85.25.230.128', '85.25.230.159', 1427760768, 1427760799, 'DE', 'Germany'),
(53380, '85.25.230.160', '85.25.230.191', 1427760800, 1427760831, 'US', 'United States'),
(53381, '85.25.230.192', '85.25.230.223', 1427760832, 1427760863, 'DE', 'Germany'),
(53382, '85.25.230.224', '85.25.230.255', 1427760864, 1427760895, 'US', 'United States'),
(53383, '85.25.231.0', '85.25.231.63', 1427760896, 1427760959, 'DE', 'Germany'),
(53384, '85.25.231.64', '85.25.231.95', 1427760960, 1427760991, 'CZ', 'Czech Republic'),
(53385, '85.25.231.96', '85.25.231.127', 1427760992, 1427761023, 'BG', 'Bulgaria'),
(53386, '85.25.231.128', '85.25.231.159', 1427761024, 1427761055, 'DE', 'Germany'),
(53387, '85.25.231.160', '85.25.231.191', 1427761056, 1427761087, 'CL', 'Chile'),
(53388, '85.25.231.192', '85.25.231.223', 1427761088, 1427761119, 'CH', 'Switzerland'),
(53389, '85.25.231.224', '85.25.231.255', 1427761120, 1427761151, 'TR', 'Turkey'),
(53390, '85.25.232.0', '85.25.232.63', 1427761152, 1427761215, 'DE', 'Germany'),
(53391, '85.25.232.64', '85.25.232.95', 1427761216, 1427761247, 'TR', 'Turkey'),
(53392, '85.25.232.96', '85.25.232.127', 1427761248, 1427761279, 'US', 'United States'),
(53393, '85.25.232.128', '85.25.232.159', 1427761280, 1427761311, 'RU', 'Russian Federation'),
(53394, '85.25.232.160', '85.25.232.191', 1427761312, 1427761343, 'UA', 'Ukraine'),
(53395, '85.25.232.192', '85.25.232.223', 1427761344, 1427761375, 'DE', 'Germany'),
(53396, '85.25.232.224', '85.25.232.255', 1427761376, 1427761407, 'TW', 'Taiwan'),
(53397, '85.25.233.0', '85.25.233.31', 1427761408, 1427761439, 'RU', 'Russian Federation'),
(53398, '85.25.233.32', '85.25.233.63', 1427761440, 1427761471, 'DE', 'Germany'),
(53399, '85.25.233.64', '85.25.233.95', 1427761472, 1427761503, 'IN', 'India'),
(53400, '85.25.233.96', '85.25.233.127', 1427761504, 1427761535, 'PL', 'Poland'),
(53401, '85.25.233.128', '85.25.233.159', 1427761536, 1427761567, 'US', 'United States'),
(53402, '85.25.233.160', '85.25.233.191', 1427761568, 1427761599, 'RU', 'Russian Federation'),
(53403, '85.25.233.192', '85.25.233.223', 1427761600, 1427761631, 'EG', 'Egypt'),
(53404, '85.25.233.224', '85.25.233.255', 1427761632, 1427761663, 'TR', 'Turkey'),
(53405, '85.25.234.0', '85.25.251.3', 1427761664, 1427766019, 'DE', 'Germany'),
(53406, '85.25.251.4', '85.25.251.5', 1427766020, 1427766021, 'BY', 'Belarus'),
(53407, '85.25.251.6', '85.25.251.8', 1427766022, 1427766024, 'DE', 'Germany'),
(53408, '85.25.251.9', '85.25.251.9', 1427766025, 1427766025, 'BY', 'Belarus'),
(53409, '85.25.251.10', '85.25.251.11', 1427766026, 1427766027, 'DE', 'Germany'),
(53410, '85.25.251.12', '85.25.251.12', 1427766028, 1427766028, 'CH', 'Switzerland'),
(53411, '85.25.251.13', '85.25.251.13', 1427766029, 1427766029, 'IN', 'India'),
(53412, '85.25.251.14', '85.25.251.15', 1427766030, 1427766031, 'DE', 'Germany'),
(53413, '85.25.251.16', '85.25.251.16', 1427766032, 1427766032, 'CH', 'Switzerland'),
(53414, '85.25.251.17', '85.25.251.20', 1427766033, 1427766036, 'DE', 'Germany'),
(53415, '85.25.251.21', '85.25.251.23', 1427766037, 1427766039, 'CH', 'Switzerland'),
(53416, '85.25.251.24', '85.25.251.24', 1427766040, 1427766040, 'IN', 'India'),
(53417, '85.25.251.25', '85.25.251.31', 1427766041, 1427766047, 'DE', 'Germany'),
(53418, '85.25.251.32', '85.25.251.32', 1427766048, 1427766048, 'CH', 'Switzerland'),
(53419, '85.25.251.33', '85.25.251.36', 1427766049, 1427766052, 'DE', 'Germany'),
(53420, '85.25.251.37', '85.25.251.38', 1427766053, 1427766054, 'CH', 'Switzerland'),
(53421, '85.25.251.39', '85.25.251.39', 1427766055, 1427766055, 'AR', 'Argentina'),
(53422, '85.25.251.40', '85.25.251.40', 1427766056, 1427766056, 'IN', 'India'),
(53423, '85.25.251.41', '85.25.251.41', 1427766057, 1427766057, 'CH', 'Switzerland'),
(53424, '85.25.251.42', '85.25.251.48', 1427766058, 1427766064, 'DE', 'Germany'),
(53425, '85.25.251.49', '85.25.251.49', 1427766065, 1427766065, 'IN', 'India'),
(53426, '85.25.251.50', '85.25.251.51', 1427766066, 1427766067, 'DE', 'Germany'),
(53427, '85.25.251.52', '85.25.251.54', 1427766068, 1427766070, 'IN', 'India'),
(53428, '85.25.251.55', '85.25.251.56', 1427766071, 1427766072, 'DE', 'Germany'),
(53429, '85.25.251.57', '85.25.251.57', 1427766073, 1427766073, 'IN', 'India'),
(53430, '85.25.251.58', '85.25.251.58', 1427766074, 1427766074, 'DE', 'Germany'),
(53431, '85.25.251.59', '85.25.251.59', 1427766075, 1427766075, 'BY', 'Belarus'),
(53432, '85.25.251.60', '85.25.251.71', 1427766076, 1427766087, 'DE', 'Germany'),
(53433, '85.25.251.72', '85.25.251.72', 1427766088, 1427766088, 'AR', 'Argentina'),
(53434, '85.25.251.73', '85.25.251.73', 1427766089, 1427766089, 'IN', 'India'),
(53435, '85.25.251.74', '85.25.251.76', 1427766090, 1427766092, 'DE', 'Germany'),
(53436, '85.25.251.77', '85.25.251.77', 1427766093, 1427766093, 'IN', 'India'),
(53437, '85.25.251.78', '85.25.251.94', 1427766094, 1427766110, 'DE', 'Germany'),
(53438, '85.25.251.95', '85.25.251.95', 1427766111, 1427766111, 'AR', 'Argentina'),
(53439, '85.25.251.96', '85.25.251.105', 1427766112, 1427766121, 'DE', 'Germany'),
(53440, '85.25.251.106', '85.25.251.106', 1427766122, 1427766122, 'AR', 'Argentina'),
(53441, '85.25.251.107', '85.25.251.108', 1427766123, 1427766124, 'DE', 'Germany'),
(53442, '85.25.251.109', '85.25.251.109', 1427766125, 1427766125, 'IN', 'India'),
(53443, '85.25.251.110', '85.25.251.110', 1427766126, 1427766126, 'DE', 'Germany'),
(53444, '85.25.251.111', '85.25.251.111', 1427766127, 1427766127, 'AR', 'Argentina'),
(53445, '85.25.251.112', '85.25.251.120', 1427766128, 1427766136, 'DE', 'Germany'),
(53446, '85.25.251.121', '85.25.251.122', 1427766137, 1427766138, 'AR', 'Argentina'),
(53447, '85.25.251.123', '85.25.255.255', 1427766139, 1427767295, 'DE', 'Germany'),
(53448, '85.26.0.0', '85.26.127.255', 1427767296, 1427800063, 'BE', 'Belgium'),
(53449, '85.26.128.0', '85.26.255.255', 1427800064, 1427832831, 'RU', 'Russian Federation'),
(53450, '85.27.0.0', '85.27.127.255', 1427832832, 1427865599, 'BE', 'Belgium'),
(53451, '85.27.128.0', '85.27.255.255', 1427865600, 1427898367, 'DK', 'Denmark'),
(53452, '85.28.0.0', '85.28.63.255', 1427898368, 1427914751, 'RU', 'Russian Federation'),
(53453, '85.28.64.0', '85.28.127.255', 1427914752, 1427931135, 'BE', 'Belgium'),
(53454, '85.28.128.0', '85.28.191.255', 1427931136, 1427947519, 'PL', 'Poland'),
(53455, '85.28.192.0', '85.28.255.255', 1427947520, 1427963903, 'RU', 'Russian Federation'),
(53456, '85.29.0.0', '85.29.63.255', 1427963904, 1427980287, 'TR', 'Turkey'),
(53457, '85.29.64.0', '85.29.127.255', 1427980288, 1427996671, 'FI', 'Finland'),
(53458, '85.29.128.0', '85.29.191.255', 1427996672, 1428013055, 'KZ', 'Kazakhstan'),
(53459, '85.29.192.0', '85.29.255.255', 1428013056, 1428029439, 'EE', 'Estonia'),
(53460, '85.30.0.0', '85.30.63.255', 1428029440, 1428045823, 'SE', 'Sweden'),
(53461, '85.30.64.0', '85.30.127.255', 1428045824, 1428062207, 'MK', 'Macedonia'),
(53462, '85.30.128.0', '85.30.191.255', 1428062208, 1428078591, 'SE', 'Sweden'),
(53463, '85.30.192.0', '85.30.255.255', 1428078592, 1428094975, 'RU', 'Russian Federation'),
(53464, '85.31.0.0', '85.31.31.255', 1428094976, 1428103167, 'AT', 'Austria'),
(53465, '85.31.32.0', '85.31.63.255', 1428103168, 1428111359, 'GB', 'United Kingdom'),
(53466, '85.31.64.0', '85.31.79.255', 1428111360, 1428115455, 'A2', 'Satellite Provider'),
(53467, '85.31.80.0', '85.31.84.255', 1428115456, 1428116735, 'US', 'United States'),
(53468, '85.31.85.0', '85.31.87.255', 1428116736, 1428117503, 'A2', 'Satellite Provider'),
(53469, '85.31.88.0', '85.31.89.255', 1428117504, 1428118015, 'US', 'United States'),
(53470, '85.31.90.0', '85.31.92.255', 1428118016, 1428118783, 'A2', 'Satellite Provider'),
(53471, '85.31.93.0', '85.31.93.255', 1428118784, 1428119039, 'US', 'United States'),
(53472, '85.31.94.0', '85.31.95.255', 1428119040, 1428119551, 'A2', 'Satellite Provider'),
(53473, '85.31.96.0', '85.31.103.255', 1428119552, 1428121599, 'LV', 'Latvia'),
(53474, '85.31.104.0', '85.31.111.255', 1428121600, 1428123647, 'FR', 'France'),
(53475, '85.31.112.0', '85.31.124.255', 1428123648, 1428126975, 'RU', 'Russian Federation'),
(53476, '85.31.125.0', '85.31.125.255', 1428126976, 1428127231, 'TR', 'Turkey'),
(53477, '85.31.126.0', '85.31.127.255', 1428127232, 1428127743, 'RU', 'Russian Federation'),
(53478, '85.31.128.0', '85.31.135.255', 1428127744, 1428129791, 'ES', 'Spain'),
(53479, '85.31.136.0', '85.31.143.255', 1428129792, 1428131839, 'GB', 'United Kingdom'),
(53480, '85.31.144.0', '85.31.151.255', 1428131840, 1428133887, 'FR', 'France'),
(53481, '85.31.152.0', '85.31.159.255', 1428133888, 1428135935, 'LI', 'Liechtenstein'),
(53482, '85.31.160.0', '85.31.167.255', 1428135936, 1428137983, 'IT', 'Italy'),
(53483, '85.31.168.0', '85.31.175.255', 1428137984, 1428140031, 'GB', 'United Kingdom'),
(53484, '85.31.176.0', '85.31.183.255', 1428140032, 1428142079, 'RU', 'Russian Federation'),
(53485, '85.31.184.0', '85.31.188.15', 1428142080, 1428143119, 'DE', 'Germany'),
(53486, '85.31.188.16', '85.31.188.31', 1428143120, 1428143135, 'RU', 'Russian Federation'),
(53487, '85.31.188.32', '85.31.188.159', 1428143136, 1428143263, 'DE', 'Germany'),
(53488, '85.31.188.160', '85.31.188.175', 1428143264, 1428143279, 'CH', 'Switzerland'),
(53489, '85.31.188.176', '85.31.191.255', 1428143280, 1428144127, 'DE', 'Germany'),
(53490, '85.31.192.0', '85.31.204.71', 1428144128, 1428147271, 'FR', 'France'),
(53491, '85.31.204.72', '85.31.204.79', 1428147272, 1428147279, 'GB', 'United Kingdom'),
(53492, '85.31.204.80', '85.31.204.143', 1428147280, 1428147343, 'FR', 'France'),
(53493, '85.31.204.144', '85.31.204.151', 1428147344, 1428147351, 'GB', 'United Kingdom'),
(53494, '85.31.204.152', '85.31.205.143', 1428147352, 1428147599, 'FR', 'France'),
(53495, '85.31.205.144', '85.31.205.159', 1428147600, 1428147615, 'GB', 'United Kingdom'),
(53496, '85.31.205.160', '85.31.206.143', 1428147616, 1428147855, 'FR', 'France'),
(53497, '85.31.206.144', '85.31.206.159', 1428147856, 1428147871, 'US', 'United States'),
(53498, '85.31.206.160', '85.31.207.207', 1428147872, 1428148175, 'FR', 'France'),
(53499, '85.31.207.208', '85.31.207.223', 1428148176, 1428148191, 'CH', 'Switzerland'),
(53500, '85.31.207.224', '85.31.216.215', 1428148192, 1428150487, 'FR', 'France'),
(53501, '85.31.216.216', '85.31.216.223', 1428150488, 1428150495, 'GB', 'United Kingdom'),
(53502, '85.31.216.224', '85.31.219.191', 1428150496, 1428151231, 'FR', 'France'),
(53503, '85.31.219.192', '85.31.219.255', 1428151232, 1428151295, 'CH', 'Switzerland'),
(53504, '85.31.220.0', '85.31.223.255', 1428151296, 1428152319, 'FR', 'France'),
(53505, '85.31.224.0', '85.31.255.255', 1428152320, 1428160511, 'PL', 'Poland'),
(53506, '85.32.0.0', '85.33.135.255', 1428160512, 1428260863, 'IT', 'Italy'),
(53507, '85.33.136.0', '85.33.136.255', 1428260864, 1428261119, 'GB', 'United Kingdom'),
(53508, '85.33.137.0', '85.36.201.255', 1428261120, 1428474367, 'IT', 'Italy'),
(53509, '85.36.202.0', '85.36.202.255', 1428474368, 1428474623, 'US', 'United States'),
(53510, '85.36.203.0', '85.37.189.255', 1428474624, 1428536831, 'IT', 'Italy'),
(53511, '85.37.190.0', '85.37.191.255', 1428536832, 1428537343, 'US', 'United States'),
(53512, '85.37.192.0', '85.40.204.255', 1428537344, 1428737279, 'IT', 'Italy'),
(53513, '85.40.205.0', '85.40.205.255', 1428737280, 1428737535, 'US', 'United States'),
(53514, '85.40.206.0', '85.47.255.255', 1428737536, 1429209087, 'IT', 'Italy'),
(53515, '85.48.0.0', '85.63.255.255', 1429209088, 1430257663, 'ES', 'Spain'),
(53516, '85.64.0.0', '85.65.255.255', 1430257664, 1430388735, 'IL', 'Israel'),
(53517, '85.66.0.0', '85.67.255.255', 1430388736, 1430519807, 'HU', 'Hungary'),
(53518, '85.68.0.0', '85.69.255.255', 1430519808, 1430650879, 'FR', 'France'),
(53519, '85.70.0.0', '85.71.255.255', 1430650880, 1430781951, 'CZ', 'Czech Republic'),
(53520, '85.72.0.0', '85.75.255.255', 1430781952, 1431044095, 'GR', 'Greece'),
(53521, '85.76.0.0', '85.79.255.255', 1431044096, 1431306239, 'FI', 'Finland'),
(53522, '85.80.0.0', '85.83.255.255', 1431306240, 1431568383, 'DK', 'Denmark'),
(53523, '85.84.0.0', '85.87.255.255', 1431568384, 1431830527, 'ES', 'Spain'),
(53524, '85.88.0.0', '85.88.9.0', 1431830528, 1431832832, 'DE', 'Germany'),
(53525, '85.88.9.1', '85.88.9.14', 1431832833, 1431832846, 'AT', 'Austria'),
(53526, '85.88.9.15', '85.88.27.240', 1431832847, 1431837680, 'DE', 'Germany'),
(53527, '85.88.27.241', '85.88.27.254', 1431837681, 1431837694, 'AT', 'Austria'),
(53528, '85.88.27.255', '85.88.31.255', 1431837695, 1431838719, 'DE', 'Germany'),
(53529, '85.88.32.0', '85.88.33.31', 1431838720, 1431839007, 'BE', 'Belgium'),
(53530, '85.88.33.32', '85.88.33.63', 1431839008, 1431839039, 'DE', 'Germany'),
(53531, '85.88.33.64', '85.88.63.255', 1431839040, 1431846911, 'BE', 'Belgium'),
(53532, '85.88.64.0', '85.88.95.255', 1431846912, 1431855103, 'NO', 'Norway'),
(53533, '85.88.96.0', '85.88.127.255', 1431855104, 1431863295, 'NL', 'Netherlands'),
(53534, '85.88.128.0', '85.88.132.71', 1431863296, 1431864391, 'PT', 'Portugal'),
(53535, '85.88.132.72', '85.88.132.79', 1431864392, 1431864399, 'ES', 'Spain'),
(53536, '85.88.132.80', '85.88.134.47', 1431864400, 1431864879, 'PT', 'Portugal'),
(53537, '85.88.134.48', '85.88.134.55', 1431864880, 1431864887, 'ES', 'Spain'),
(53538, '85.88.134.56', '85.88.134.103', 1431864888, 1431864935, 'PT', 'Portugal'),
(53539, '85.88.134.104', '85.88.134.111', 1431864936, 1431864943, 'ES', 'Spain'),
(53540, '85.88.134.112', '85.88.135.247', 1431864944, 1431865335, 'PT', 'Portugal'),
(53541, '85.88.135.248', '85.88.135.255', 1431865336, 1431865343, 'ES', 'Spain'),
(53542, '85.88.136.0', '85.88.137.31', 1431865344, 1431865631, 'PT', 'Portugal'),
(53543, '85.88.137.32', '85.88.137.39', 1431865632, 1431865639, 'ES', 'Spain'),
(53544, '85.88.137.40', '85.88.137.63', 1431865640, 1431865663, 'PT', 'Portugal'),
(53545, '85.88.137.64', '85.88.137.79', 1431865664, 1431865679, 'ES', 'Spain'),
(53546, '85.88.137.80', '85.88.140.79', 1431865680, 1431866447, 'PT', 'Portugal'),
(53547, '85.88.140.80', '85.88.140.87', 1431866448, 1431866455, 'NL', 'Netherlands'),
(53548, '85.88.140.88', '85.88.140.111', 1431866456, 1431866479, 'PT', 'Portugal'),
(53549, '85.88.140.112', '85.88.140.127', 1431866480, 1431866495, 'ES', 'Spain'),
(53550, '85.88.140.128', '85.88.159.255', 1431866496, 1431871487, 'PT', 'Portugal'),
(53551, '85.88.160.0', '85.88.191.255', 1431871488, 1431879679, 'RU', 'Russian Federation'),
(53552, '85.88.192.0', '85.88.223.255', 1431879680, 1431887871, 'IT', 'Italy'),
(53553, '85.88.224.0', '85.88.255.255', 1431887872, 1431896063, 'GB', 'United Kingdom'),
(53554, '85.89.0.0', '85.89.31.255', 1431896064, 1431904255, 'NO', 'Norway'),
(53555, '85.89.32.0', '85.89.63.255', 1431904256, 1431912447, 'EE', 'Estonia'),
(53556, '85.89.64.0', '85.89.95.255', 1431912448, 1431920639, 'SE', 'Sweden'),
(53557, '85.89.96.0', '85.89.127.255', 1431920640, 1431928831, 'RU', 'Russian Federation'),
(53558, '85.89.128.0', '85.89.159.255', 1431928832, 1431937023, 'IT', 'Italy'),
(53559, '85.89.160.0', '85.89.191.255', 1431937024, 1431945215, 'PL', 'Poland'),
(53560, '85.89.192.0', '85.89.223.255', 1431945216, 1431953407, 'NO', 'Norway'),
(53561, '85.89.224.0', '85.89.236.255', 1431953408, 1431956735, 'DK', 'Denmark'),
(53562, '85.89.237.0', '85.89.237.255', 1431956736, 1431956991, 'EU', 'Europe'),
(53563, '85.89.238.0', '85.89.255.255', 1431956992, 1431961599, 'DK', 'Denmark'),
(53564, '85.90.0.0', '85.90.31.255', 1431961600, 1431969791, 'CH', 'Switzerland'),
(53565, '85.90.32.0', '85.90.63.255', 1431969792, 1431977983, 'GB', 'United Kingdom'),
(53566, '85.90.64.0', '85.90.69.215', 1431977984, 1431979479, 'NL', 'Netherlands'),
(53567, '85.90.69.216', '85.90.69.223', 1431979480, 1431979487, 'GB', 'United Kingdom'),
(53568, '85.90.69.224', '85.90.72.119', 1431979488, 1431980151, 'NL', 'Netherlands'),
(53569, '85.90.72.120', '85.90.72.127', 1431980152, 1431980159, 'US', 'United States'),
(53570, '85.90.72.128', '85.90.74.143', 1431980160, 1431980687, 'NL', 'Netherlands'),
(53571, '85.90.74.144', '85.90.74.151', 1431980688, 1431980695, 'DE', 'Germany'),
(53572, '85.90.74.152', '85.90.74.175', 1431980696, 1431980719, 'NL', 'Netherlands'),
(53573, '85.90.74.176', '85.90.74.183', 1431980720, 1431980727, 'SA', 'Saudi Arabia'),
(53574, '85.90.74.184', '85.90.95.255', 1431980728, 1431986175, 'NL', 'Netherlands'),
(53575, '85.90.96.0', '85.90.127.255', 1431986176, 1431994367, 'RU', 'Russian Federation'),
(53576, '85.90.128.0', '85.90.159.255', 1431994368, 1432002559, 'AT', 'Austria'),
(53577, '85.90.160.0', '85.90.191.255', 1432002560, 1432010751, 'HU', 'Hungary'),
(53578, '85.90.192.0', '85.90.223.255', 1432010752, 1432018943, 'UA', 'Ukraine'),
(53579, '85.90.224.0', '85.90.241.255', 1432018944, 1432023551, 'GB', 'United Kingdom'),
(53580, '85.90.242.0', '85.90.242.15', 1432023552, 1432023567, 'BG', 'Bulgaria'),
(53581, '85.90.242.16', '85.90.255.255', 1432023568, 1432027135, 'GB', 'United Kingdom'),
(53582, '85.91.0.0', '85.91.31.255', 1432027136, 1432035327, 'IE', 'Ireland'),
(53583, '85.91.32.0', '85.91.63.255', 1432035328, 1432043519, 'GB', 'United Kingdom'),
(53584, '85.91.64.0', '85.91.95.255', 1432043520, 1432051711, 'ES', 'Spain'),
(53585, '85.91.96.0', '85.91.127.255', 1432051712, 1432059903, 'RU', 'Russian Federation'),
(53586, '85.91.128.0', '85.91.159.255', 1432059904, 1432068095, 'BG', 'Bulgaria'),
(53587, '85.91.160.0', '85.91.191.255', 1432068096, 1432076287, 'BE', 'Belgium'),
(53588, '85.91.192.0', '85.91.223.255', 1432076288, 1432084479, 'RU', 'Russian Federation'),
(53589, '85.91.224.0', '85.91.255.255', 1432084480, 1432092671, 'GB', 'United Kingdom'),
(53590, '85.92.0.0', '85.92.31.255', 1432092672, 1432100863, 'RU', 'Russian Federation'),
(53591, '85.92.32.0', '85.92.63.255', 1432100864, 1432109055, 'CZ', 'Czech Republic'),
(53592, '85.92.64.0', '85.92.95.255', 1432109056, 1432117247, 'GB', 'United Kingdom'),
(53593, '85.92.96.0', '85.92.97.255', 1432117248, 1432117759, 'CY', 'Cyprus'),
(53594, '85.92.128.0', '85.92.152.23', 1432125440, 1432131607, 'NL', 'Netherlands'),
(53595, '85.92.152.24', '85.92.152.31', 1432131608, 1432131615, 'PH', 'Philippines'),
(53596, '85.92.152.32', '85.92.152.95', 1432131616, 1432131679, 'NL', 'Netherlands'),
(53597, '85.92.152.96', '85.92.152.111', 1432131680, 1432131695, 'PH', 'Philippines'),
(53598, '85.92.152.112', '85.92.152.127', 1432131696, 1432131711, 'NL', 'Netherlands'),
(53599, '85.92.152.128', '85.92.152.143', 1432131712, 1432131727, 'PH', 'Philippines'),
(53600, '85.92.152.144', '85.92.152.159', 1432131728, 1432131743, 'NL', 'Netherlands'),
(53601, '85.92.152.160', '85.92.152.175', 1432131744, 1432131759, 'PH', 'Philippines'),
(53602, '85.92.152.176', '85.92.152.191', 1432131760, 1432131775, 'NL', 'Netherlands'),
(53603, '85.92.152.192', '85.92.152.199', 1432131776, 1432131783, 'PH', 'Philippines');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(53604, '85.92.152.200', '85.92.153.47', 1432131784, 1432131887, 'NL', 'Netherlands'),
(53605, '85.92.153.48', '85.92.153.63', 1432131888, 1432131903, 'PH', 'Philippines'),
(53606, '85.92.153.64', '85.92.153.79', 1432131904, 1432131919, 'NL', 'Netherlands'),
(53607, '85.92.153.80', '85.92.153.95', 1432131920, 1432131935, 'PH', 'Philippines'),
(53608, '85.92.153.96', '85.92.153.111', 1432131936, 1432131951, 'NL', 'Netherlands'),
(53609, '85.92.153.112', '85.92.153.127', 1432131952, 1432131967, 'PH', 'Philippines'),
(53610, '85.92.153.128', '85.92.153.159', 1432131968, 1432131999, 'NL', 'Netherlands'),
(53611, '85.92.153.160', '85.92.153.191', 1432132000, 1432132031, 'PH', 'Philippines'),
(53612, '85.92.153.192', '85.92.154.175', 1432132032, 1432132271, 'NL', 'Netherlands'),
(53613, '85.92.154.176', '85.92.154.191', 1432132272, 1432132287, 'PH', 'Philippines'),
(53614, '85.92.154.192', '85.92.154.207', 1432132288, 1432132303, 'NL', 'Netherlands'),
(53615, '85.92.154.208', '85.92.154.223', 1432132304, 1432132319, 'PH', 'Philippines'),
(53616, '85.92.154.224', '85.92.154.255', 1432132320, 1432132351, 'NL', 'Netherlands'),
(53617, '85.92.155.0', '85.92.155.143', 1432132352, 1432132495, 'PH', 'Philippines'),
(53618, '85.92.155.144', '85.92.155.159', 1432132496, 1432132511, 'NL', 'Netherlands'),
(53619, '85.92.155.160', '85.92.155.207', 1432132512, 1432132559, 'PH', 'Philippines'),
(53620, '85.92.155.208', '85.92.156.31', 1432132560, 1432132639, 'NL', 'Netherlands'),
(53621, '85.92.156.32', '85.92.156.47', 1432132640, 1432132655, 'PH', 'Philippines'),
(53622, '85.92.156.48', '85.92.156.63', 1432132656, 1432132671, 'NL', 'Netherlands'),
(53623, '85.92.156.64', '85.92.156.79', 1432132672, 1432132687, 'PH', 'Philippines'),
(53624, '85.92.156.80', '85.92.156.207', 1432132688, 1432132815, 'NL', 'Netherlands'),
(53625, '85.92.156.208', '85.92.156.223', 1432132816, 1432132831, 'PH', 'Philippines'),
(53626, '85.92.156.224', '85.92.157.31', 1432132832, 1432132895, 'NL', 'Netherlands'),
(53627, '85.92.157.32', '85.92.157.47', 1432132896, 1432132911, 'PH', 'Philippines'),
(53628, '85.92.157.48', '85.92.157.63', 1432132912, 1432132927, 'NL', 'Netherlands'),
(53629, '85.92.157.64', '85.92.157.79', 1432132928, 1432132943, 'PH', 'Philippines'),
(53630, '85.92.157.80', '85.92.157.175', 1432132944, 1432133039, 'NL', 'Netherlands'),
(53631, '85.92.157.176', '85.92.157.191', 1432133040, 1432133055, 'PH', 'Philippines'),
(53632, '85.92.157.192', '85.92.158.31', 1432133056, 1432133151, 'NL', 'Netherlands'),
(53633, '85.92.158.32', '85.92.158.47', 1432133152, 1432133167, 'PH', 'Philippines'),
(53634, '85.92.158.48', '85.92.158.79', 1432133168, 1432133199, 'NL', 'Netherlands'),
(53635, '85.92.158.80', '85.92.158.95', 1432133200, 1432133215, 'PH', 'Philippines'),
(53636, '85.92.158.96', '85.92.158.207', 1432133216, 1432133327, 'NL', 'Netherlands'),
(53637, '85.92.158.208', '85.92.158.223', 1432133328, 1432133343, 'PH', 'Philippines'),
(53638, '85.92.158.224', '85.92.159.79', 1432133344, 1432133455, 'NL', 'Netherlands'),
(53639, '85.92.159.80', '85.92.159.127', 1432133456, 1432133503, 'PH', 'Philippines'),
(53640, '85.92.159.128', '85.92.159.167', 1432133504, 1432133543, 'NL', 'Netherlands'),
(53641, '85.92.159.168', '85.92.159.175', 1432133544, 1432133551, 'PH', 'Philippines'),
(53642, '85.92.159.176', '85.92.159.255', 1432133552, 1432133631, 'NL', 'Netherlands'),
(53643, '85.92.160.0', '85.92.223.255', 1432133632, 1432150015, 'GB', 'United Kingdom'),
(53644, '85.92.224.0', '85.92.255.255', 1432150016, 1432158207, 'BA', 'Bosnia and Herzegovina'),
(53645, '85.93.0.0', '85.93.7.255', 1432158208, 1432160255, 'DE', 'Germany'),
(53646, '85.93.8.0', '85.93.8.255', 1432160256, 1432160511, 'CH', 'Switzerland'),
(53647, '85.93.9.0', '85.93.27.127', 1432160512, 1432165247, 'DE', 'Germany'),
(53648, '85.93.27.128', '85.93.27.255', 1432165248, 1432165375, 'PL', 'Poland'),
(53649, '85.93.28.0', '85.93.31.255', 1432165376, 1432166399, 'DE', 'Germany'),
(53650, '85.93.32.0', '85.93.63.255', 1432166400, 1432174591, 'RU', 'Russian Federation'),
(53651, '85.93.64.0', '85.93.95.255', 1432174592, 1432182783, 'DE', 'Germany'),
(53652, '85.93.96.0', '85.93.127.255', 1432182784, 1432190975, 'CZ', 'Czech Republic'),
(53653, '85.93.128.0', '85.93.159.255', 1432190976, 1432199167, 'RU', 'Russian Federation'),
(53654, '85.93.160.0', '85.93.191.255', 1432199168, 1432207359, 'CZ', 'Czech Republic'),
(53655, '85.93.192.0', '85.93.223.255', 1432207360, 1432215551, 'LU', 'Luxembourg'),
(53656, '85.93.224.0', '85.93.255.255', 1432215552, 1432223743, 'NO', 'Norway'),
(53657, '85.94.0.0', '85.94.63.255', 1432223744, 1432240127, 'RU', 'Russian Federation'),
(53658, '85.94.64.0', '85.94.95.255', 1432240128, 1432248319, 'HR', 'Croatia'),
(53659, '85.94.96.0', '85.94.127.255', 1432248320, 1432256511, 'ME', 'Montenegro'),
(53660, '85.94.128.0', '85.94.159.255', 1432256512, 1432264703, 'BA', 'Bosnia and Herzegovina'),
(53661, '85.94.160.0', '85.94.191.255', 1432264704, 1432272895, 'AD', 'Andorra'),
(53662, '85.94.192.0', '85.94.223.255', 1432272896, 1432281087, 'IT', 'Italy'),
(53663, '85.94.224.0', '85.94.255.255', 1432281088, 1432289279, 'LU', 'Luxembourg'),
(53664, '85.95.0.0', '85.95.31.255', 1432289280, 1432297471, 'GB', 'United Kingdom'),
(53665, '85.95.32.0', '85.95.63.255', 1432297472, 1432305663, 'NO', 'Norway'),
(53666, '85.95.64.0', '85.95.95.255', 1432305664, 1432313855, 'BG', 'Bulgaria'),
(53667, '85.95.96.0', '85.95.127.255', 1432313856, 1432322047, 'GB', 'United Kingdom'),
(53668, '85.95.128.0', '85.95.191.255', 1432322048, 1432338431, 'RU', 'Russian Federation'),
(53669, '85.95.192.0', '85.95.223.255', 1432338432, 1432346623, 'FR', 'France'),
(53670, '85.95.224.0', '85.95.236.66', 1432346624, 1432349762, 'TR', 'Turkey'),
(53671, '85.95.236.67', '85.95.236.74', 1432349763, 1432349770, 'RU', 'Russian Federation'),
(53672, '85.95.236.75', '85.111.255.255', 1432349771, 1433403391, 'TR', 'Turkey'),
(53673, '85.112.0.0', '85.112.11.223', 1433403392, 1433406431, 'ES', 'Spain'),
(53674, '85.112.11.224', '85.112.11.239', 1433406432, 1433406447, 'US', 'United States'),
(53675, '85.112.11.240', '85.112.15.255', 1433406448, 1433407487, 'ES', 'Spain'),
(53676, '85.112.16.0', '85.112.25.255', 1433407488, 1433410047, 'NL', 'Netherlands'),
(53677, '85.112.26.0', '85.112.27.255', 1433410048, 1433410559, 'US', 'United States'),
(53678, '85.112.28.0', '85.112.29.255', 1433410560, 1433411071, 'ES', 'Spain'),
(53679, '85.112.30.0', '85.112.30.255', 1433411072, 1433411327, 'US', 'United States'),
(53680, '85.112.31.0', '85.112.31.15', 1433411328, 1433411343, 'ES', 'Spain'),
(53681, '85.112.31.16', '85.112.31.47', 1433411344, 1433411375, 'TR', 'Turkey'),
(53682, '85.112.31.48', '85.112.31.79', 1433411376, 1433411407, 'US', 'United States'),
(53683, '85.112.31.80', '85.112.31.95', 1433411408, 1433411423, 'TR', 'Turkey'),
(53684, '85.112.31.96', '85.112.31.111', 1433411424, 1433411439, 'ES', 'Spain'),
(53685, '85.112.31.112', '85.112.31.127', 1433411440, 1433411455, 'TR', 'Turkey'),
(53686, '85.112.31.128', '85.112.31.191', 1433411456, 1433411519, 'US', 'United States'),
(53687, '85.112.31.192', '85.112.31.255', 1433411520, 1433411583, 'ES', 'Spain'),
(53688, '85.112.32.0', '85.112.63.255', 1433411584, 1433419775, 'RU', 'Russian Federation'),
(53689, '85.112.64.0', '85.112.95.255', 1433419776, 1433427967, 'LB', 'Lebanon'),
(53690, '85.112.96.0', '85.112.127.255', 1433427968, 1433436159, 'RU', 'Russian Federation'),
(53691, '85.112.128.0', '85.112.159.255', 1433436160, 1433444351, 'NO', 'Norway'),
(53692, '85.112.160.0', '85.112.191.255', 1433444352, 1433452543, 'SE', 'Sweden'),
(53693, '85.112.192.0', '85.112.223.255', 1433452544, 1433460735, 'PL', 'Poland'),
(53694, '85.112.224.0', '85.112.255.255', 1433460736, 1433468927, 'DE', 'Germany'),
(53695, '85.113.0.0', '85.113.31.255', 1433468928, 1433477119, 'KG', 'Kyrgyzstan'),
(53696, '85.113.32.0', '85.113.63.255', 1433477120, 1433485311, 'RU', 'Russian Federation'),
(53697, '85.113.64.0', '85.113.95.255', 1433485312, 1433493503, 'GB', 'United Kingdom'),
(53698, '85.113.96.0', '85.113.127.255', 1433493504, 1433501695, 'PS', 'Palestinian Territory, Occupied'),
(53699, '85.113.128.0', '85.113.159.255', 1433501696, 1433509887, 'RU', 'Russian Federation'),
(53700, '85.113.160.0', '85.113.191.255', 1433509888, 1433518079, 'NO', 'Norway'),
(53701, '85.113.192.0', '85.113.223.255', 1433518080, 1433526271, 'RU', 'Russian Federation'),
(53702, '85.113.224.0', '85.113.255.255', 1433526272, 1433534463, 'NL', 'Netherlands'),
(53703, '85.114.0.0', '85.114.31.255', 1433534464, 1433542655, 'RU', 'Russian Federation'),
(53704, '85.114.32.0', '85.114.63.255', 1433542656, 1433550847, 'HR', 'Croatia'),
(53705, '85.114.64.0', '85.114.95.255', 1433550848, 1433559039, 'RU', 'Russian Federation'),
(53706, '85.114.96.0', '85.114.127.255', 1433559040, 1433567231, 'PS', 'Palestinian Territory, Occupied'),
(53707, '85.114.128.0', '85.114.159.255', 1433567232, 1433575423, 'DE', 'Germany'),
(53708, '85.114.160.0', '85.114.191.255', 1433575424, 1433583615, 'RU', 'Russian Federation'),
(53709, '85.114.192.0', '85.114.223.255', 1433583616, 1433591807, 'UA', 'Ukraine'),
(53710, '85.114.224.0', '85.114.255.255', 1433591808, 1433599999, 'GE', 'Georgia'),
(53711, '85.115.0.0', '85.115.8.255', 1433600000, 1433602303, 'DE', 'Germany'),
(53712, '85.115.9.0', '85.115.9.15', 1433602304, 1433602319, 'LU', 'Luxembourg'),
(53713, '85.115.9.16', '85.115.31.255', 1433602320, 1433608191, 'DE', 'Germany'),
(53714, '85.115.32.0', '85.115.39.255', 1433608192, 1433610239, 'EU', 'Europe'),
(53715, '85.115.40.0', '85.115.47.255', 1433610240, 1433612287, 'US', 'United States'),
(53716, '85.115.48.0', '85.115.55.255', 1433612288, 1433614335, 'GB', 'United Kingdom'),
(53717, '85.115.56.0', '85.115.59.255', 1433614336, 1433615359, 'DE', 'Germany'),
(53718, '85.115.60.0', '85.115.61.255', 1433615360, 1433615871, 'FR', 'France'),
(53719, '85.115.62.0', '85.115.63.255', 1433615872, 1433616383, 'GB', 'United Kingdom'),
(53720, '85.115.64.0', '85.115.75.255', 1433616384, 1433619455, 'AE', 'United Arab Emirates'),
(53721, '85.115.76.0', '85.115.76.255', 1433619456, 1433619711, 'US', 'United States'),
(53722, '85.115.77.0', '85.115.95.255', 1433619712, 1433624575, 'AE', 'United Arab Emirates'),
(53723, '85.115.96.0', '85.115.127.255', 1433624576, 1433632767, 'LV', 'Latvia'),
(53724, '85.115.128.0', '85.115.159.255', 1433632768, 1433640959, 'GI', 'Gibraltar'),
(53725, '85.115.160.0', '85.115.191.255', 1433640960, 1433649151, 'RU', 'Russian Federation'),
(53726, '85.115.192.0', '85.115.223.255', 1433649152, 1433657343, 'KG', 'Kyrgyzstan'),
(53727, '85.115.224.0', '85.115.255.255', 1433657344, 1433665535, 'RU', 'Russian Federation'),
(53728, '85.116.0.0', '85.116.31.255', 1433665536, 1433673727, 'GB', 'United Kingdom'),
(53729, '85.116.32.0', '85.116.63.255', 1433673728, 1433681919, 'FR', 'France'),
(53730, '85.116.64.0', '85.116.95.255', 1433681920, 1433690111, 'IS', 'Iceland'),
(53731, '85.116.96.0', '85.116.127.255', 1433690112, 1433698303, 'RU', 'Russian Federation'),
(53732, '85.116.128.0', '85.116.159.255', 1433698304, 1433706495, 'IT', 'Italy'),
(53733, '85.116.160.0', '85.116.191.255', 1433706496, 1433714687, 'GB', 'United Kingdom'),
(53734, '85.116.192.0', '85.116.223.255', 1433714688, 1433722879, 'DE', 'Germany'),
(53735, '85.116.224.0', '85.116.255.255', 1433722880, 1433731071, 'IT', 'Italy'),
(53736, '85.117.0.0', '85.117.31.255', 1433731072, 1433739263, 'PL', 'Poland'),
(53737, '85.117.32.0', '85.117.63.255', 1433739264, 1433747455, 'GE', 'Georgia'),
(53738, '85.117.64.0', '85.117.95.255', 1433747456, 1433755647, 'RU', 'Russian Federation'),
(53739, '85.117.96.0', '85.117.127.255', 1433755648, 1433763839, 'EE', 'Estonia'),
(53740, '85.117.128.0', '85.117.159.255', 1433763840, 1433772031, 'FR', 'France'),
(53741, '85.117.160.0', '85.117.223.255', 1433772032, 1433788415, 'SE', 'Sweden'),
(53742, '85.117.224.0', '85.117.255.255', 1433788416, 1433796607, 'UZ', 'Uzbekistan'),
(53743, '85.118.0.0', '85.118.31.255', 1433796608, 1433804799, 'GB', 'United Kingdom'),
(53744, '85.118.32.0', '85.118.35.255', 1433804800, 1433805823, 'FR', 'France'),
(53745, '85.118.36.0', '85.118.36.31', 1433805824, 1433805855, 'AE', 'United Arab Emirates'),
(53746, '85.118.36.32', '85.118.36.63', 1433805856, 1433805887, 'US', 'United States'),
(53747, '85.118.36.64', '85.118.38.255', 1433805888, 1433806591, 'FR', 'France'),
(53748, '85.118.39.0', '85.118.39.31', 1433806592, 1433806623, 'GB', 'United Kingdom'),
(53749, '85.118.39.32', '85.118.39.63', 1433806624, 1433806655, 'BE', 'Belgium'),
(53750, '85.118.39.64', '85.118.39.95', 1433806656, 1433806687, 'IT', 'Italy'),
(53751, '85.118.39.96', '85.118.39.127', 1433806688, 1433806719, 'NL', 'Netherlands'),
(53752, '85.118.39.128', '85.118.39.159', 1433806720, 1433806751, 'DE', 'Germany'),
(53753, '85.118.39.160', '85.118.39.191', 1433806752, 1433806783, 'ES', 'Spain'),
(53754, '85.118.39.192', '85.118.39.223', 1433806784, 1433806815, 'CH', 'Switzerland'),
(53755, '85.118.39.224', '85.118.39.255', 1433806816, 1433806847, 'AT', 'Austria'),
(53756, '85.118.40.0', '85.118.63.255', 1433806848, 1433812991, 'FR', 'France'),
(53757, '85.118.64.0', '85.118.95.255', 1433812992, 1433821183, 'BG', 'Bulgaria'),
(53758, '85.118.96.0', '85.118.127.255', 1433821184, 1433829375, 'GE', 'Georgia'),
(53759, '85.118.128.0', '85.118.135.255', 1433829376, 1433831423, 'CZ', 'Czech Republic'),
(53760, '85.118.136.0', '85.118.143.255', 1433831424, 1433833471, 'RU', 'Russian Federation'),
(53761, '85.118.144.0', '85.118.151.255', 1433833472, 1433835519, 'IT', 'Italy'),
(53762, '85.118.152.0', '85.118.159.255', 1433835520, 1433837567, 'GB', 'United Kingdom'),
(53763, '85.118.160.0', '85.118.167.255', 1433837568, 1433839615, 'DE', 'Germany'),
(53764, '85.118.168.0', '85.118.175.255', 1433839616, 1433841663, 'GB', 'United Kingdom'),
(53765, '85.118.176.0', '85.118.183.255', 1433841664, 1433843711, 'RU', 'Russian Federation'),
(53766, '85.118.192.0', '85.118.199.255', 1433845760, 1433847807, 'BG', 'Bulgaria'),
(53767, '85.118.200.0', '85.118.207.255', 1433847808, 1433849855, 'SE', 'Sweden'),
(53768, '85.118.208.0', '85.118.215.255', 1433849856, 1433851903, 'BE', 'Belgium'),
(53769, '85.118.216.0', '85.118.223.255', 1433851904, 1433853951, 'CH', 'Switzerland'),
(53770, '85.118.224.0', '85.118.231.255', 1433853952, 1433855999, 'RU', 'Russian Federation'),
(53771, '85.118.232.0', '85.118.239.255', 1433856000, 1433858047, 'GB', 'United Kingdom'),
(53772, '85.118.240.0', '85.118.247.255', 1433858048, 1433860095, 'ES', 'Spain'),
(53773, '85.118.248.0', '85.118.255.255', 1433860096, 1433862143, 'DE', 'Germany'),
(53774, '85.119.0.0', '85.119.2.47', 1433862144, 1433862703, 'CH', 'Switzerland'),
(53775, '85.119.2.48', '85.119.2.63', 1433862704, 1433862719, 'GB', 'United Kingdom'),
(53776, '85.119.2.64', '85.119.2.95', 1433862720, 1433862751, 'CH', 'Switzerland'),
(53777, '85.119.2.96', '85.119.2.127', 1433862752, 1433862783, 'MC', 'Monaco'),
(53778, '85.119.2.128', '85.119.3.63', 1433862784, 1433862975, 'CH', 'Switzerland'),
(53779, '85.119.3.64', '85.119.3.79', 1433862976, 1433862991, 'GB', 'United Kingdom'),
(53780, '85.119.3.80', '85.119.3.143', 1433862992, 1433863055, 'CH', 'Switzerland'),
(53781, '85.119.3.144', '85.119.3.159', 1433863056, 1433863071, 'GB', 'United Kingdom'),
(53782, '85.119.3.160', '85.119.3.183', 1433863072, 1433863095, 'CH', 'Switzerland'),
(53783, '85.119.3.184', '85.119.3.207', 1433863096, 1433863119, 'US', 'United States'),
(53784, '85.119.3.208', '85.119.4.255', 1433863120, 1433863423, 'CH', 'Switzerland'),
(53785, '85.119.5.0', '85.119.5.63', 1433863424, 1433863487, 'US', 'United States'),
(53786, '85.119.5.64', '85.119.7.255', 1433863488, 1433864191, 'CH', 'Switzerland'),
(53787, '85.119.8.0', '85.119.15.255', 1433864192, 1433866239, 'HU', 'Hungary'),
(53788, '85.119.16.0', '85.119.17.255', 1433866240, 1433866751, 'NL', 'Netherlands'),
(53789, '85.119.18.0', '85.119.18.255', 1433866752, 1433867007, 'GB', 'United Kingdom'),
(53790, '85.119.19.0', '85.119.20.255', 1433867008, 1433867519, 'NL', 'Netherlands'),
(53791, '85.119.21.0', '85.119.21.127', 1433867520, 1433867647, 'GB', 'United Kingdom'),
(53792, '85.119.21.128', '85.119.21.255', 1433867648, 1433867775, 'NL', 'Netherlands'),
(53793, '85.119.22.0', '85.119.31.255', 1433867776, 1433870335, 'GB', 'United Kingdom'),
(53794, '85.119.32.0', '85.119.39.255', 1433870336, 1433872383, 'TR', 'Turkey'),
(53795, '85.119.40.0', '85.119.47.255', 1433872384, 1433874431, 'IT', 'Italy'),
(53796, '85.119.48.0', '85.119.55.255', 1433874432, 1433876479, 'NL', 'Netherlands'),
(53797, '85.119.56.0', '85.119.63.255', 1433876480, 1433878527, 'GB', 'United Kingdom'),
(53798, '85.119.64.0', '85.119.71.255', 1433878528, 1433880575, 'TR', 'Turkey'),
(53799, '85.119.72.0', '85.119.79.255', 1433880576, 1433882623, 'RU', 'Russian Federation'),
(53800, '85.119.80.0', '85.119.87.255', 1433882624, 1433884671, 'GB', 'United Kingdom'),
(53801, '85.119.88.0', '85.119.95.255', 1433884672, 1433886719, 'CZ', 'Czech Republic'),
(53802, '85.119.96.0', '85.119.103.255', 1433886720, 1433888767, 'GB', 'United Kingdom'),
(53803, '85.119.104.0', '85.119.111.255', 1433888768, 1433890815, 'NL', 'Netherlands'),
(53804, '85.119.112.0', '85.119.119.255', 1433890816, 1433892863, 'GB', 'United Kingdom'),
(53805, '85.119.120.0', '85.119.127.255', 1433892864, 1433894911, 'MT', 'Malta'),
(53806, '85.119.128.0', '85.119.135.255', 1433894912, 1433896959, 'SE', 'Sweden'),
(53807, '85.119.136.0', '85.119.137.255', 1433896960, 1433897471, 'NO', 'Norway'),
(53808, '85.119.138.0', '85.119.138.255', 1433897472, 1433897727, 'NL', 'Netherlands'),
(53809, '85.119.139.0', '85.119.143.255', 1433897728, 1433899007, 'NO', 'Norway'),
(53810, '85.119.144.0', '85.119.151.255', 1433899008, 1433901055, 'RU', 'Russian Federation'),
(53811, '85.119.152.0', '85.119.167.255', 1433901056, 1433905151, 'DE', 'Germany'),
(53812, '85.119.168.0', '85.119.175.255', 1433905152, 1433907199, 'FR', 'France'),
(53813, '85.119.176.0', '85.119.183.255', 1433907200, 1433909247, 'IT', 'Italy'),
(53814, '85.119.184.0', '85.119.191.255', 1433909248, 1433911295, 'BE', 'Belgium'),
(53815, '85.119.192.0', '85.119.199.255', 1433911296, 1433913343, 'ES', 'Spain'),
(53816, '85.119.200.0', '85.119.202.19', 1433913344, 1433913875, 'NL', 'Netherlands'),
(53817, '85.119.202.20', '85.119.202.23', 1433913876, 1433913879, 'DE', 'Germany'),
(53818, '85.119.202.24', '85.119.202.191', 1433913880, 1433914047, 'NL', 'Netherlands'),
(53819, '85.119.202.192', '85.119.206.255', 1433914048, 1433915135, 'DE', 'Germany'),
(53820, '85.119.207.0', '85.119.207.255', 1433915136, 1433915391, 'NL', 'Netherlands'),
(53821, '85.119.208.0', '85.119.215.255', 1433915392, 1433917439, 'DE', 'Germany'),
(53822, '85.119.216.0', '85.119.223.255', 1433917440, 1433919487, 'BE', 'Belgium'),
(53823, '85.119.224.0', '85.119.231.255', 1433919488, 1433921535, 'GB', 'United Kingdom'),
(53824, '85.119.232.0', '85.119.232.199', 1433921536, 1433921735, 'CH', 'Switzerland'),
(53825, '85.119.232.200', '85.119.232.200', 1433921736, 1433921736, 'EU', 'Europe'),
(53826, '85.119.232.201', '85.119.239.255', 1433921737, 1433923583, 'CH', 'Switzerland'),
(53827, '85.119.240.0', '85.119.240.127', 1433923584, 1433923711, 'BE', 'Belgium'),
(53828, '85.119.240.128', '85.119.243.127', 1433923712, 1433924479, 'NL', 'Netherlands'),
(53829, '85.119.243.128', '85.119.247.255', 1433924480, 1433925631, 'BE', 'Belgium'),
(53830, '85.119.248.0', '85.119.255.255', 1433925632, 1433927679, 'GB', 'United Kingdom'),
(53831, '85.120.0.0', '85.123.255.255', 1433927680, 1434189823, 'RO', 'Romania'),
(53832, '85.124.0.0', '85.127.255.255', 1434189824, 1434451967, 'AT', 'Austria'),
(53833, '85.128.0.0', '85.128.255.255', 1434451968, 1434517503, 'PL', 'Poland'),
(53834, '85.129.0.0', '85.129.127.255', 1434517504, 1434550271, 'DK', 'Denmark'),
(53835, '85.129.128.0', '85.129.255.255', 1434550272, 1434583039, 'SA', 'Saudi Arabia'),
(53836, '85.130.0.0', '85.130.127.255', 1434583040, 1434615807, 'BG', 'Bulgaria'),
(53837, '85.130.128.0', '85.130.255.255', 1434615808, 1434648575, 'IL', 'Israel'),
(53838, '85.131.0.0', '85.131.127.255', 1434648576, 1434681343, 'FI', 'Finland'),
(53839, '85.131.128.0', '85.131.130.127', 1434681344, 1434681983, 'DE', 'Germany'),
(53840, '85.131.130.128', '85.131.130.159', 1434681984, 1434682015, 'CY', 'Cyprus'),
(53841, '85.131.130.160', '85.131.130.255', 1434682016, 1434682111, 'NL', 'Netherlands'),
(53842, '85.131.131.0', '85.131.131.191', 1434682112, 1434682303, 'DE', 'Germany'),
(53843, '85.131.131.192', '85.131.131.255', 1434682304, 1434682367, 'NL', 'Netherlands'),
(53844, '85.131.132.0', '85.131.135.191', 1434682368, 1434683327, 'DE', 'Germany'),
(53845, '85.131.135.192', '85.131.135.255', 1434683328, 1434683391, 'MY', 'Malaysia'),
(53846, '85.131.136.0', '85.131.145.63', 1434683392, 1434685759, 'DE', 'Germany'),
(53847, '85.131.145.64', '85.131.145.255', 1434685760, 1434685951, 'NL', 'Netherlands'),
(53848, '85.131.146.0', '85.131.149.255', 1434685952, 1434686975, 'DE', 'Germany'),
(53849, '85.131.150.0', '85.131.150.255', 1434686976, 1434687231, 'NL', 'Netherlands'),
(53850, '85.131.151.0', '85.131.151.127', 1434687232, 1434687359, 'DE', 'Germany'),
(53851, '85.131.151.128', '85.131.151.255', 1434687360, 1434687487, 'NL', 'Netherlands'),
(53852, '85.131.152.0', '85.131.152.159', 1434687488, 1434687647, 'DE', 'Germany'),
(53853, '85.131.152.160', '85.131.152.191', 1434687648, 1434687679, 'NL', 'Netherlands'),
(53854, '85.131.152.192', '85.131.154.31', 1434687680, 1434688031, 'DE', 'Germany'),
(53855, '85.131.154.32', '85.131.154.127', 1434688032, 1434688127, 'NL', 'Netherlands'),
(53856, '85.131.154.128', '85.131.154.143', 1434688128, 1434688143, 'DE', 'Germany'),
(53857, '85.131.154.144', '85.131.154.151', 1434688144, 1434688151, 'NL', 'Netherlands'),
(53858, '85.131.154.152', '85.131.154.207', 1434688152, 1434688207, 'DE', 'Germany'),
(53859, '85.131.154.208', '85.131.154.223', 1434688208, 1434688223, 'NL', 'Netherlands'),
(53860, '85.131.154.224', '85.131.154.255', 1434688224, 1434688255, 'DE', 'Germany'),
(53861, '85.131.155.0', '85.131.157.255', 1434688256, 1434689023, 'NL', 'Netherlands'),
(53862, '85.131.158.0', '85.131.161.95', 1434689024, 1434689887, 'DE', 'Germany'),
(53863, '85.131.161.96', '85.131.161.127', 1434689888, 1434689919, 'NL', 'Netherlands'),
(53864, '85.131.161.128', '85.131.161.159', 1434689920, 1434689951, 'DE', 'Germany'),
(53865, '85.131.161.160', '85.131.161.223', 1434689952, 1434690015, 'NL', 'Netherlands'),
(53866, '85.131.161.224', '85.131.165.255', 1434690016, 1434691071, 'DE', 'Germany'),
(53867, '85.131.166.0', '85.131.166.255', 1434691072, 1434691327, 'NL', 'Netherlands'),
(53868, '85.131.167.0', '85.131.171.255', 1434691328, 1434692607, 'DE', 'Germany'),
(53869, '85.131.172.0', '85.131.172.63', 1434692608, 1434692671, 'NL', 'Netherlands'),
(53870, '85.131.172.64', '85.131.179.255', 1434692672, 1434694655, 'DE', 'Germany'),
(53871, '85.131.180.0', '85.131.180.63', 1434694656, 1434694719, 'NL', 'Netherlands'),
(53872, '85.131.180.64', '85.131.180.255', 1434694720, 1434694911, 'DE', 'Germany'),
(53873, '85.131.181.0', '85.131.183.255', 1434694912, 1434695679, 'NL', 'Netherlands'),
(53874, '85.131.184.0', '85.131.186.255', 1434695680, 1434696447, 'DE', 'Germany'),
(53875, '85.131.187.0', '85.131.187.255', 1434696448, 1434696703, 'NL', 'Netherlands'),
(53876, '85.131.188.0', '85.131.193.255', 1434696704, 1434698239, 'DE', 'Germany'),
(53877, '85.131.194.0', '85.131.194.127', 1434698240, 1434698367, 'NL', 'Netherlands'),
(53878, '85.131.194.128', '85.131.196.127', 1434698368, 1434698879, 'DE', 'Germany'),
(53879, '85.131.196.128', '85.131.197.255', 1434698880, 1434699263, 'NL', 'Netherlands'),
(53880, '85.131.198.0', '85.131.210.127', 1434699264, 1434702463, 'DE', 'Germany'),
(53881, '85.131.210.128', '85.131.210.255', 1434702464, 1434702591, 'NL', 'Netherlands'),
(53882, '85.131.211.0', '85.131.211.63', 1434702592, 1434702655, 'DE', 'Germany'),
(53883, '85.131.211.64', '85.131.211.79', 1434702656, 1434702671, 'NL', 'Netherlands'),
(53884, '85.131.211.80', '85.131.211.191', 1434702672, 1434702783, 'DE', 'Germany'),
(53885, '85.131.211.192', '85.131.212.63', 1434702784, 1434702911, 'NL', 'Netherlands'),
(53886, '85.131.212.64', '85.131.212.127', 1434702912, 1434702975, 'DE', 'Germany'),
(53887, '85.131.212.128', '85.131.212.191', 1434702976, 1434703039, 'NL', 'Netherlands'),
(53888, '85.131.212.192', '85.131.219.255', 1434703040, 1434704895, 'DE', 'Germany'),
(53889, '85.131.220.0', '85.131.221.255', 1434704896, 1434705407, 'NL', 'Netherlands'),
(53890, '85.131.222.0', '85.131.223.63', 1434705408, 1434705727, 'DE', 'Germany'),
(53891, '85.131.223.64', '85.131.223.255', 1434705728, 1434705919, 'NL', 'Netherlands'),
(53892, '85.131.224.0', '85.131.235.255', 1434705920, 1434708991, 'DE', 'Germany'),
(53893, '85.131.236.0', '85.131.236.255', 1434708992, 1434709247, 'NL', 'Netherlands'),
(53894, '85.131.237.0', '85.131.237.255', 1434709248, 1434709503, 'DE', 'Germany'),
(53895, '85.131.238.0', '85.131.238.255', 1434709504, 1434709759, 'NL', 'Netherlands'),
(53896, '85.131.239.0', '85.131.239.255', 1434709760, 1434710015, 'DE', 'Germany'),
(53897, '85.131.240.0', '85.131.241.255', 1434710016, 1434710527, 'NL', 'Netherlands'),
(53898, '85.131.242.0', '85.131.247.255', 1434710528, 1434712063, 'DE', 'Germany'),
(53899, '85.131.248.0', '85.131.249.255', 1434712064, 1434712575, 'NL', 'Netherlands'),
(53900, '85.131.250.0', '85.131.251.127', 1434712576, 1434712959, 'DE', 'Germany'),
(53901, '85.131.251.128', '85.131.251.143', 1434712960, 1434712975, 'NL', 'Netherlands'),
(53902, '85.131.251.144', '85.131.255.255', 1434712976, 1434714111, 'DE', 'Germany'),
(53903, '85.132.0.0', '85.132.127.255', 1434714112, 1434746879, 'AZ', 'Azerbaijan'),
(53904, '85.132.128.0', '85.132.255.255', 1434746880, 1434779647, 'CZ', 'Czech Republic'),
(53905, '85.133.0.0', '85.133.127.255', 1434779648, 1434812415, 'GB', 'United Kingdom'),
(53906, '85.133.128.0', '85.133.255.255', 1434812416, 1434845183, 'IR', 'Iran, Islamic Republic of'),
(53907, '85.134.0.0', '85.134.127.255', 1434845184, 1434877951, 'FI', 'Finland'),
(53908, '85.134.128.0', '85.134.255.255', 1434877952, 1434910719, 'IE', 'Ireland'),
(53909, '85.135.0.0', '85.135.127.255', 1434910720, 1434943487, 'CZ', 'Czech Republic'),
(53910, '85.135.128.0', '85.135.255.255', 1434943488, 1434976255, 'SK', 'Slovakia'),
(53911, '85.136.0.0', '85.137.255.255', 1434976256, 1435107327, 'ES', 'Spain'),
(53912, '85.138.0.0', '85.139.255.255', 1435107328, 1435238399, 'PT', 'Portugal'),
(53913, '85.140.0.0', '85.143.255.255', 1435238400, 1435500543, 'RU', 'Russian Federation'),
(53914, '85.144.0.0', '85.151.255.255', 1435500544, 1436024831, 'NL', 'Netherlands'),
(53915, '85.152.0.0', '85.152.255.255', 1436024832, 1436090367, 'ES', 'Spain'),
(53916, '85.153.0.0', '85.153.255.255', 1436090368, 1436155903, 'TR', 'Turkey'),
(53917, '85.154.0.0', '85.154.255.255', 1436155904, 1436221439, 'OM', 'Oman'),
(53918, '85.155.0.0', '85.155.255.255', 1436221440, 1436286975, 'ES', 'Spain'),
(53919, '85.156.0.0', '85.157.255.255', 1436286976, 1436418047, 'FI', 'Finland'),
(53920, '85.158.0.0', '85.158.7.255', 1436418048, 1436420095, 'DE', 'Germany'),
(53921, '85.158.8.0', '85.158.15.255', 1436420096, 1436422143, 'GB', 'United Kingdom'),
(53922, '85.158.16.0', '85.158.23.255', 1436422144, 1436424191, 'FR', 'France'),
(53923, '85.158.24.0', '85.158.31.255', 1436424192, 1436426239, 'CH', 'Switzerland'),
(53924, '85.158.32.0', '85.158.39.255', 1436426240, 1436428287, 'BA', 'Bosnia and Herzegovina'),
(53925, '85.158.40.0', '85.158.47.255', 1436428288, 1436430335, 'GB', 'United Kingdom'),
(53926, '85.158.48.0', '85.158.55.255', 1436430336, 1436432383, 'RU', 'Russian Federation'),
(53927, '85.158.56.0', '85.158.71.255', 1436432384, 1436436479, 'GB', 'United Kingdom'),
(53928, '85.158.72.0', '85.158.79.255', 1436436480, 1436438527, 'LV', 'Latvia'),
(53929, '85.158.80.0', '85.158.87.255', 1436438528, 1436440575, 'IT', 'Italy'),
(53930, '85.158.88.0', '85.158.95.255', 1436440576, 1436442623, 'RU', 'Russian Federation'),
(53931, '85.158.96.0', '85.158.103.255', 1436442624, 1436444671, 'TR', 'Turkey'),
(53932, '85.158.104.0', '85.158.111.255', 1436444672, 1436446719, 'BE', 'Belgium'),
(53933, '85.158.112.0', '85.158.127.255', 1436446720, 1436450815, 'FR', 'France'),
(53934, '85.158.128.0', '85.158.135.255', 1436450816, 1436452863, 'BH', 'Bahrain'),
(53935, '85.158.136.0', '85.158.136.255', 1436452864, 1436453119, 'NL', 'Netherlands'),
(53936, '85.158.137.0', '85.158.137.194', 1436453120, 1436453314, 'DE', 'Germany'),
(53937, '85.158.137.195', '85.158.137.195', 1436453315, 1436453315, 'EU', 'Europe'),
(53938, '85.158.137.196', '85.158.138.255', 1436453316, 1436453631, 'DE', 'Germany'),
(53939, '85.158.139.0', '85.158.141.255', 1436453632, 1436454399, 'GB', 'United Kingdom'),
(53940, '85.158.142.0', '85.158.142.255', 1436454400, 1436454655, 'NL', 'Netherlands'),
(53941, '85.158.143.0', '85.158.143.255', 1436454656, 1436454911, 'GB', 'United Kingdom'),
(53942, '85.158.144.0', '85.158.151.255', 1436454912, 1436456959, 'AZ', 'Azerbaijan'),
(53943, '85.158.152.0', '85.158.159.255', 1436456960, 1436459007, 'GB', 'United Kingdom'),
(53944, '85.158.160.0', '85.158.167.255', 1436459008, 1436461055, 'NL', 'Netherlands'),
(53945, '85.158.168.0', '85.158.175.255', 1436461056, 1436463103, 'ES', 'Spain'),
(53946, '85.158.176.0', '85.158.183.255', 1436463104, 1436465151, 'DE', 'Germany'),
(53947, '85.158.184.0', '85.158.191.255', 1436465152, 1436467199, 'RU', 'Russian Federation'),
(53948, '85.158.192.0', '85.158.199.255', 1436467200, 1436469247, 'DE', 'Germany'),
(53949, '85.158.200.0', '85.158.207.255', 1436469248, 1436471295, 'NL', 'Netherlands'),
(53950, '85.158.208.0', '85.158.208.255', 1436471296, 1436471551, 'BE', 'Belgium'),
(53951, '85.158.209.0', '85.158.209.63', 1436471552, 1436471615, 'NL', 'Netherlands'),
(53952, '85.158.209.64', '85.158.209.127', 1436471616, 1436471679, 'FR', 'France'),
(53953, '85.158.209.128', '85.158.209.191', 1436471680, 1436471743, 'BE', 'Belgium'),
(53954, '85.158.209.192', '85.158.209.255', 1436471744, 1436471807, 'BR', 'Brazil'),
(53955, '85.158.210.0', '85.158.215.255', 1436471808, 1436473343, 'BE', 'Belgium'),
(53956, '85.158.216.0', '85.158.216.255', 1436473344, 1436473599, 'RO', 'Romania'),
(53957, '85.158.217.0', '85.158.217.255', 1436473600, 1436473855, 'IT', 'Italy'),
(53958, '85.158.218.0', '85.158.218.255', 1436473856, 1436474111, 'RO', 'Romania'),
(53959, '85.158.219.0', '85.158.219.255', 1436474112, 1436474367, 'IT', 'Italy'),
(53960, '85.158.220.0', '85.158.223.255', 1436474368, 1436475391, 'RO', 'Romania'),
(53961, '85.158.224.0', '85.158.231.255', 1436475392, 1436477439, 'AT', 'Austria'),
(53962, '85.158.232.0', '85.158.239.255', 1436477440, 1436479487, 'CH', 'Switzerland'),
(53963, '85.158.240.0', '85.158.247.255', 1436479488, 1436481535, 'RU', 'Russian Federation'),
(53964, '85.158.248.0', '85.158.255.255', 1436481536, 1436483583, 'NL', 'Netherlands'),
(53965, '85.159.0.0', '85.159.7.255', 1436483584, 1436485631, 'UA', 'Ukraine'),
(53966, '85.159.8.0', '85.159.15.47', 1436485632, 1436487471, 'DE', 'Germany'),
(53967, '85.159.15.48', '85.159.15.63', 1436487472, 1436487487, 'AT', 'Austria'),
(53968, '85.159.15.64', '85.159.15.199', 1436487488, 1436487623, 'DE', 'Germany'),
(53969, '85.159.15.200', '85.159.15.207', 1436487624, 1436487631, 'AT', 'Austria'),
(53970, '85.159.15.208', '85.159.15.255', 1436487632, 1436487679, 'DE', 'Germany'),
(53971, '85.159.16.0', '85.159.23.255', 1436487680, 1436489727, 'IE', 'Ireland'),
(53972, '85.159.24.0', '85.159.31.255', 1436489728, 1436491775, 'KZ', 'Kazakhstan'),
(53973, '85.159.32.0', '85.159.47.255', 1436491776, 1436495871, 'RU', 'Russian Federation'),
(53974, '85.159.48.0', '85.159.55.255', 1436495872, 1436497919, 'HU', 'Hungary'),
(53975, '85.159.56.0', '85.159.63.255', 1436497920, 1436499967, 'GB', 'United Kingdom'),
(53976, '85.159.64.0', '85.159.79.255', 1436499968, 1436504063, 'TR', 'Turkey'),
(53977, '85.159.80.0', '85.159.95.255', 1436504064, 1436508159, 'GB', 'United Kingdom'),
(53978, '85.159.96.0', '85.159.103.255', 1436508160, 1436510207, 'NL', 'Netherlands'),
(53979, '85.159.104.0', '85.159.111.255', 1436510208, 1436512255, 'SK', 'Slovakia'),
(53980, '85.159.112.0', '85.159.119.255', 1436512256, 1436514303, 'NL', 'Netherlands'),
(53981, '85.159.120.0', '85.159.127.255', 1436514304, 1436516351, 'GI', 'Gibraltar'),
(53982, '85.159.128.0', '85.159.143.255', 1436516352, 1436520447, 'GB', 'United Kingdom'),
(53983, '85.159.144.0', '85.159.151.255', 1436520448, 1436522495, 'IT', 'Italy'),
(53984, '85.159.152.0', '85.159.159.255', 1436522496, 1436524543, 'GB', 'United Kingdom'),
(53985, '85.159.160.0', '85.159.167.255', 1436524544, 1436526591, 'IL', 'Israel'),
(53986, '85.159.168.0', '85.159.175.255', 1436526592, 1436528639, 'GB', 'United Kingdom'),
(53987, '85.159.176.0', '85.159.183.255', 1436528640, 1436530687, 'IT', 'Italy'),
(53988, '85.159.184.0', '85.159.191.255', 1436530688, 1436532735, 'GB', 'United Kingdom'),
(53989, '85.159.192.0', '85.159.200.255', 1436532736, 1436535039, 'IT', 'Italy'),
(53990, '85.159.201.0', '85.159.201.255', 1436535040, 1436535295, 'AP', 'Asia/Pacific Region'),
(53991, '85.159.202.0', '85.159.204.31', 1436535296, 1436535839, 'IT', 'Italy'),
(53992, '85.159.204.32', '85.159.204.47', 1436535840, 1436535855, 'ET', 'Ethiopia'),
(53993, '85.159.204.48', '85.159.204.135', 1436535856, 1436535943, 'IT', 'Italy'),
(53994, '85.159.204.136', '85.159.204.143', 1436535944, 1436535951, 'ET', 'Ethiopia'),
(53995, '85.159.204.144', '85.159.204.191', 1436535952, 1436535999, 'IT', 'Italy'),
(53996, '85.159.204.192', '85.159.204.199', 1436536000, 1436536007, 'MO', 'Macau'),
(53997, '85.159.204.200', '85.159.207.255', 1436536008, 1436536831, 'IT', 'Italy'),
(53998, '85.159.208.0', '85.159.215.255', 1436536832, 1436538879, 'GB', 'United Kingdom'),
(53999, '85.159.216.0', '85.159.223.255', 1436538880, 1436540927, 'JO', 'Jordan'),
(54000, '85.159.224.0', '85.159.231.255', 1436540928, 1436542975, 'RU', 'Russian Federation'),
(54001, '85.159.232.0', '85.159.236.203', 1436542976, 1436544203, 'NL', 'Netherlands'),
(54002, '85.159.236.204', '85.159.236.207', 1436544204, 1436544207, 'HK', 'Hong Kong'),
(54003, '85.159.236.208', '85.159.239.255', 1436544208, 1436545023, 'NL', 'Netherlands'),
(54004, '85.159.240.0', '85.159.247.255', 1436545024, 1436547071, 'DE', 'Germany'),
(54005, '85.159.248.0', '85.159.255.255', 1436547072, 1436549119, 'GB', 'United Kingdom'),
(54006, '85.160.0.0', '85.163.255.255', 1436549120, 1436811263, 'CZ', 'Czech Republic'),
(54007, '85.164.0.0', '85.167.255.255', 1436811264, 1437073407, 'NO', 'Norway'),
(54008, '85.168.0.0', '85.171.255.255', 1437073408, 1437335551, 'FR', 'France'),
(54009, '85.172.0.0', '85.175.255.255', 1437335552, 1437597695, 'RU', 'Russian Federation'),
(54010, '85.176.0.0', '85.183.255.255', 1437597696, 1438121983, 'DE', 'Germany'),
(54011, '85.184.0.0', '85.184.19.255', 1438121984, 1438127103, 'NL', 'Netherlands'),
(54012, '85.184.20.0', '85.184.20.255', 1438127104, 1438127359, 'GB', 'United Kingdom'),
(54013, '85.184.21.0', '85.184.21.255', 1438127360, 1438127615, 'SE', 'Sweden'),
(54014, '85.184.22.0', '85.184.22.255', 1438127616, 1438127871, 'BE', 'Belgium'),
(54015, '85.184.23.0', '85.184.79.255', 1438127872, 1438142463, 'NL', 'Netherlands'),
(54016, '85.184.80.0', '85.184.80.255', 1438142464, 1438142719, 'GB', 'United Kingdom'),
(54017, '85.184.81.0', '85.184.255.255', 1438142720, 1438187519, 'NL', 'Netherlands'),
(54018, '85.185.0.0', '85.185.255.255', 1438187520, 1438253055, 'IR', 'Iran, Islamic Republic of'),
(54019, '85.186.0.0', '85.186.255.255', 1438253056, 1438318591, 'RO', 'Romania'),
(54020, '85.187.0.0', '85.187.255.255', 1438318592, 1438384127, 'BG', 'Bulgaria'),
(54021, '85.188.0.0', '85.188.63.255', 1438384128, 1438400511, 'FI', 'Finland'),
(54022, '85.188.64.0', '85.188.191.255', 1438400512, 1438433279, 'SE', 'Sweden'),
(54023, '85.188.192.0', '85.189.255.255', 1438433280, 1438515199, 'GB', 'United Kingdom'),
(54024, '85.190.0.0', '85.190.14.223', 1438515200, 1438519007, 'DE', 'Germany'),
(54025, '85.190.14.224', '85.190.14.255', 1438519008, 1438519039, 'SI', 'Slovenia'),
(54026, '85.190.15.0', '85.190.31.255', 1438519040, 1438523391, 'DE', 'Germany'),
(54027, '85.190.32.0', '85.190.34.255', 1438523392, 1438524159, 'NL', 'Netherlands'),
(54028, '85.190.35.0', '85.190.35.255', 1438524160, 1438524415, 'DE', 'Germany'),
(54029, '85.190.36.0', '85.190.38.19', 1438524416, 1438524947, 'NL', 'Netherlands'),
(54030, '85.190.38.20', '85.190.38.23', 1438524948, 1438524951, 'DE', 'Germany'),
(54031, '85.190.38.24', '85.190.39.151', 1438524952, 1438525335, 'NL', 'Netherlands'),
(54032, '85.190.39.152', '85.190.39.159', 1438525336, 1438525343, 'DE', 'Germany'),
(54033, '85.190.39.160', '85.190.40.167', 1438525344, 1438525607, 'NL', 'Netherlands'),
(54034, '85.190.40.168', '85.190.255.255', 1438525608, 1438580735, 'DE', 'Germany'),
(54035, '85.191.0.0', '85.191.255.255', 1438580736, 1438646271, 'NL', 'Netherlands'),
(54036, '85.192.0.0', '85.192.63.255', 1438646272, 1438662655, 'RU', 'Russian Federation'),
(54037, '85.192.64.0', '85.192.127.255', 1438662656, 1438679039, 'ES', 'Spain'),
(54038, '85.192.128.0', '85.192.191.255', 1438679040, 1438695423, 'RU', 'Russian Federation'),
(54039, '85.192.192.0', '85.192.255.255', 1438695424, 1438711807, 'FR', 'France'),
(54040, '85.193.0.0', '85.193.63.255', 1438711808, 1438728191, 'CZ', 'Czech Republic'),
(54041, '85.193.64.0', '85.193.127.255', 1438728192, 1438744575, 'RU', 'Russian Federation'),
(54042, '85.193.128.0', '85.193.191.255', 1438744576, 1438760959, 'AT', 'Austria'),
(54043, '85.193.192.0', '85.193.255.255', 1438760960, 1438777343, 'PL', 'Poland'),
(54044, '85.194.0.0', '85.194.63.255', 1438777344, 1438793727, 'SE', 'Sweden'),
(54045, '85.194.64.0', '85.194.127.255', 1438793728, 1438810111, 'SA', 'Saudi Arabia'),
(54046, '85.194.128.0', '85.194.191.255', 1438810112, 1438826495, 'SE', 'Sweden'),
(54047, '85.194.192.0', '85.194.255.255', 1438826496, 1438842879, 'FI', 'Finland'),
(54048, '85.195.0.0', '85.195.63.255', 1438842880, 1438859263, 'SE', 'Sweden'),
(54049, '85.195.64.0', '85.195.67.255', 1438859264, 1438860287, 'DE', 'Germany'),
(54050, '85.195.68.0', '85.195.68.127', 1438860288, 1438860415, 'US', 'United States'),
(54051, '85.195.68.128', '85.195.71.255', 1438860416, 1438861311, 'DE', 'Germany'),
(54052, '85.195.72.0', '85.195.72.15', 1438861312, 1438861327, 'US', 'United States'),
(54053, '85.195.72.16', '85.195.72.255', 1438861328, 1438861567, 'DE', 'Germany'),
(54054, '85.195.73.0', '85.195.73.67', 1438861568, 1438861635, 'US', 'United States'),
(54055, '85.195.73.68', '85.195.73.127', 1438861636, 1438861695, 'DE', 'Germany'),
(54056, '85.195.73.128', '85.195.73.255', 1438861696, 1438861823, 'US', 'United States'),
(54057, '85.195.74.0', '85.195.75.255', 1438861824, 1438862335, 'CH', 'Switzerland'),
(54058, '85.195.76.0', '85.195.77.23', 1438862336, 1438862615, 'US', 'United States'),
(54059, '85.195.77.24', '85.195.77.31', 1438862616, 1438862623, 'DE', 'Germany'),
(54060, '85.195.77.32', '85.195.77.63', 1438862624, 1438862655, 'US', 'United States'),
(54061, '85.195.77.64', '85.195.104.87', 1438862656, 1438869591, 'DE', 'Germany'),
(54062, '85.195.104.88', '85.195.104.91', 1438869592, 1438869595, 'RU', 'Russian Federation'),
(54063, '85.195.104.92', '85.195.104.143', 1438869596, 1438869647, 'DE', 'Germany'),
(54064, '85.195.104.144', '85.195.104.147', 1438869648, 1438869651, 'LV', 'Latvia'),
(54065, '85.195.104.148', '85.195.104.151', 1438869652, 1438869655, 'US', 'United States'),
(54066, '85.195.104.152', '85.195.104.159', 1438869656, 1438869663, 'UA', 'Ukraine'),
(54067, '85.195.104.160', '85.195.108.255', 1438869664, 1438870783, 'DE', 'Germany'),
(54068, '85.195.109.0', '85.195.109.255', 1438870784, 1438871039, 'GB', 'United Kingdom'),
(54069, '85.195.110.0', '85.195.118.31', 1438871040, 1438873119, 'DE', 'Germany'),
(54070, '85.195.118.32', '85.195.118.39', 1438873120, 1438873127, 'PA', 'Panama'),
(54071, '85.195.118.40', '85.195.120.71', 1438873128, 1438873671, 'DE', 'Germany'),
(54072, '85.195.120.72', '85.195.120.79', 1438873672, 1438873679, 'PA', 'Panama'),
(54073, '85.195.120.80', '85.195.124.63', 1438873680, 1438874687, 'DE', 'Germany'),
(54074, '85.195.124.64', '85.195.124.71', 1438874688, 1438874695, 'CH', 'Switzerland'),
(54075, '85.195.124.72', '85.195.124.95', 1438874696, 1438874719, 'DE', 'Germany'),
(54076, '85.195.124.96', '85.195.124.127', 1438874720, 1438874751, 'NL', 'Netherlands'),
(54077, '85.195.124.128', '85.195.124.135', 1438874752, 1438874759, 'DE', 'Germany'),
(54078, '85.195.124.136', '85.195.124.143', 1438874760, 1438874767, 'PA', 'Panama'),
(54079, '85.195.124.144', '85.195.124.159', 1438874768, 1438874783, 'DE', 'Germany'),
(54080, '85.195.124.160', '85.195.124.167', 1438874784, 1438874791, 'PA', 'Panama'),
(54081, '85.195.124.168', '85.195.124.175', 1438874792, 1438874799, 'DE', 'Germany'),
(54082, '85.195.124.176', '85.195.124.231', 1438874800, 1438874855, 'PA', 'Panama'),
(54083, '85.195.124.232', '85.195.124.239', 1438874856, 1438874863, 'DE', 'Germany'),
(54084, '85.195.124.240', '85.195.124.255', 1438874864, 1438874879, 'PA', 'Panama'),
(54085, '85.195.125.0', '85.195.127.255', 1438874880, 1438875647, 'DE', 'Germany'),
(54086, '85.195.128.0', '85.195.129.255', 1438875648, 1438876159, 'RU', 'Russian Federation'),
(54087, '85.195.130.0', '85.195.130.255', 1438876160, 1438876415, 'LT', 'Lithuania'),
(54088, '85.195.131.0', '85.195.132.255', 1438876416, 1438876927, 'RU', 'Russian Federation'),
(54089, '85.195.133.0', '85.195.133.255', 1438876928, 1438877183, 'IQ', 'Iraq'),
(54090, '85.195.134.0', '85.195.134.255', 1438877184, 1438877439, 'A2', 'Satellite Provider'),
(54091, '85.195.135.0', '85.195.135.255', 1438877440, 1438877695, 'RU', 'Russian Federation'),
(54092, '85.195.136.0', '85.195.136.255', 1438877696, 1438877951, 'LT', 'Lithuania'),
(54093, '85.195.137.0', '85.195.137.255', 1438877952, 1438878207, 'LB', 'Lebanon'),
(54094, '85.195.138.0', '85.195.138.255', 1438878208, 1438878463, 'IQ', 'Iraq'),
(54095, '85.195.139.0', '85.195.140.255', 1438878464, 1438878975, 'LB', 'Lebanon'),
(54096, '85.195.141.0', '85.195.141.255', 1438878976, 1438879231, 'IQ', 'Iraq'),
(54097, '85.195.142.0', '85.195.147.255', 1438879232, 1438880767, 'RU', 'Russian Federation'),
(54098, '85.195.148.0', '85.195.151.255', 1438880768, 1438881791, 'LB', 'Lebanon'),
(54099, '85.195.152.0', '85.195.153.255', 1438881792, 1438882303, 'RU', 'Russian Federation'),
(54100, '85.195.154.0', '85.195.154.255', 1438882304, 1438882559, 'LT', 'Lithuania'),
(54101, '85.195.155.0', '85.195.158.255', 1438882560, 1438883583, 'RU', 'Russian Federation'),
(54102, '85.195.159.0', '85.195.159.255', 1438883584, 1438883839, 'AM', 'Armenia'),
(54103, '85.195.160.0', '85.195.161.255', 1438883840, 1438884351, 'RU', 'Russian Federation'),
(54104, '85.195.162.0', '85.195.162.255', 1438884352, 1438884607, 'LB', 'Lebanon'),
(54105, '85.195.163.0', '85.195.163.255', 1438884608, 1438884863, 'IQ', 'Iraq'),
(54106, '85.195.164.0', '85.195.167.255', 1438884864, 1438885887, 'RU', 'Russian Federation'),
(54107, '85.195.168.0', '85.195.184.255', 1438885888, 1438890239, 'LT', 'Lithuania'),
(54108, '85.195.185.0', '85.195.185.255', 1438890240, 1438890495, 'RU', 'Russian Federation'),
(54109, '85.195.186.0', '85.195.186.255', 1438890496, 1438890751, 'IQ', 'Iraq'),
(54110, '85.195.187.0', '85.195.191.255', 1438890752, 1438892031, 'RU', 'Russian Federation'),
(54111, '85.195.192.0', '85.195.204.255', 1438892032, 1438895359, 'CH', 'Switzerland'),
(54112, '85.195.205.0', '85.195.223.255', 1438895360, 1438900223, 'IS', 'Iceland'),
(54113, '85.195.224.0', '85.195.255.255', 1438900224, 1438908415, 'CH', 'Switzerland'),
(54114, '85.196.0.0', '85.196.63.255', 1438908416, 1438924799, 'GR', 'Greece'),
(54115, '85.196.64.0', '85.196.127.255', 1438924800, 1438941183, 'NO', 'Norway'),
(54116, '85.196.128.0', '85.196.191.255', 1438941184, 1438957567, 'BG', 'Bulgaria'),
(54117, '85.196.192.0', '85.196.255.255', 1438957568, 1438973951, 'EE', 'Estonia'),
(54118, '85.197.0.0', '85.197.78.255', 1438973952, 1438994175, 'DE', 'Germany'),
(54119, '85.197.79.0', '85.197.79.255', 1438994176, 1438994431, 'SE', 'Sweden'),
(54120, '85.197.80.0', '85.197.80.119', 1438994432, 1438994551, 'DE', 'Germany'),
(54121, '85.197.80.120', '85.197.80.127', 1438994552, 1438994559, 'GB', 'United Kingdom'),
(54122, '85.197.80.128', '85.197.80.187', 1438994560, 1438994619, 'DE', 'Germany'),
(54123, '85.197.80.188', '85.197.80.191', 1438994620, 1438994623, 'SE', 'Sweden'),
(54124, '85.197.80.192', '85.197.81.63', 1438994624, 1438994751, 'DE', 'Germany'),
(54125, '85.197.81.64', '85.197.81.71', 1438994752, 1438994759, 'GB', 'United Kingdom'),
(54126, '85.197.81.72', '85.197.81.75', 1438994760, 1438994763, 'SE', 'Sweden'),
(54127, '85.197.81.76', '85.197.82.95', 1438994764, 1438995039, 'DE', 'Germany'),
(54128, '85.197.82.96', '85.197.82.103', 1438995040, 1438995047, 'GB', 'United Kingdom'),
(54129, '85.197.82.104', '85.197.82.123', 1438995048, 1438995067, 'DE', 'Germany'),
(54130, '85.197.82.124', '85.197.82.127', 1438995068, 1438995071, 'SE', 'Sweden'),
(54131, '85.197.82.128', '85.197.83.199', 1438995072, 1438995399, 'DE', 'Germany'),
(54132, '85.197.83.200', '85.197.83.207', 1438995400, 1438995407, 'GB', 'United Kingdom'),
(54133, '85.197.83.208', '85.197.84.191', 1438995408, 1438995647, 'DE', 'Germany'),
(54134, '85.197.84.192', '85.197.84.199', 1438995648, 1438995655, 'GB', 'United Kingdom'),
(54135, '85.197.84.200', '85.197.96.169', 1438995656, 1438998697, 'DE', 'Germany'),
(54136, '85.197.96.170', '85.197.96.202', 1438998698, 1438998730, 'NL', 'Netherlands'),
(54137, '85.197.96.203', '85.197.98.127', 1438998731, 1438999167, 'DE', 'Germany'),
(54138, '85.197.98.128', '85.197.98.208', 1438999168, 1438999248, 'NL', 'Netherlands'),
(54139, '85.197.98.209', '85.197.98.212', 1438999249, 1438999252, 'DE', 'Germany'),
(54140, '85.197.98.213', '85.197.98.255', 1438999253, 1438999295, 'NL', 'Netherlands'),
(54141, '85.197.99.0', '85.197.99.255', 1438999296, 1438999551, 'DE', 'Germany'),
(54142, '85.197.100.0', '85.197.100.255', 1438999552, 1438999807, 'GB', 'United Kingdom'),
(54143, '85.197.101.0', '85.197.103.255', 1438999808, 1439000575, 'DE', 'Germany'),
(54144, '85.197.104.0', '85.197.104.255', 1439000576, 1439000831, 'NL', 'Netherlands'),
(54145, '85.197.105.0', '85.197.110.255', 1439000832, 1439002367, 'DE', 'Germany'),
(54146, '85.197.111.0', '85.197.111.255', 1439002368, 1439002623, 'NL', 'Netherlands'),
(54147, '85.197.112.0', '85.197.127.103', 1439002624, 1439006567, 'DE', 'Germany'),
(54148, '85.197.127.104', '85.197.127.111', 1439006568, 1439006575, 'AT', 'Austria'),
(54149, '85.197.127.112', '85.197.127.207', 1439006576, 1439006671, 'DE', 'Germany'),
(54150, '85.197.127.208', '85.197.127.211', 1439006672, 1439006675, 'PL', 'Poland'),
(54151, '85.197.127.212', '85.197.127.255', 1439006676, 1439006719, 'DE', 'Germany'),
(54152, '85.197.128.0', '85.197.191.255', 1439006720, 1439023103, 'SE', 'Sweden'),
(54153, '85.197.192.0', '85.197.255.255', 1439023104, 1439039487, 'IS', 'Iceland'),
(54154, '85.198.0.0', '85.198.63.255', 1439039488, 1439055871, 'IR', 'Iran, Islamic Republic of'),
(54155, '85.198.64.0', '85.198.127.255', 1439055872, 1439072255, 'RU', 'Russian Federation'),
(54156, '85.198.128.0', '85.198.191.255', 1439072256, 1439088639, 'UA', 'Ukraine'),
(54157, '85.198.192.0', '85.198.255.255', 1439088640, 1439105023, 'PL', 'Poland'),
(54158, '85.199.0.0', '85.199.63.255', 1439105024, 1439121407, 'AT', 'Austria'),
(54159, '85.199.64.0', '85.199.191.255', 1439121408, 1439154175, 'DE', 'Germany'),
(54160, '85.199.192.0', '85.199.199.138', 1439154176, 1439156106, 'GB', 'United Kingdom'),
(54161, '85.199.199.139', '85.199.199.140', 1439156107, 1439156108, 'LB', 'Lebanon'),
(54162, '85.199.199.141', '85.199.255.255', 1439156109, 1439170559, 'GB', 'United Kingdom'),
(54163, '85.200.0.0', '85.200.255.255', 1439170560, 1439236095, 'NO', 'Norway'),
(54164, '85.201.0.0', '85.201.255.255', 1439236096, 1439301631, 'BE', 'Belgium'),
(54165, '85.202.0.0', '85.202.15.255', 1439301632, 1439305727, 'RU', 'Russian Federation'),
(54166, '85.202.16.0', '85.202.31.255', 1439305728, 1439309823, 'DK', 'Denmark'),
(54167, '85.202.32.0', '85.202.63.255', 1439309824, 1439318015, 'PL', 'Poland'),
(54168, '85.202.64.0', '85.202.79.255', 1439318016, 1439322111, 'DK', 'Denmark'),
(54169, '85.202.80.0', '85.202.95.255', 1439322112, 1439326207, 'RO', 'Romania'),
(54170, '85.202.96.0', '85.202.111.255', 1439326208, 1439330303, 'PL', 'Poland'),
(54171, '85.202.112.0', '85.202.127.255', 1439330304, 1439334399, 'RS', 'Serbia'),
(54172, '85.202.128.0', '85.202.143.255', 1439334400, 1439338495, 'RU', 'Russian Federation'),
(54173, '85.202.144.0', '85.202.159.255', 1439338496, 1439342591, 'PL', 'Poland'),
(54174, '85.202.160.0', '85.202.175.255', 1439342592, 1439346687, 'UA', 'Ukraine'),
(54175, '85.202.176.0', '85.202.191.255', 1439346688, 1439350783, 'RU', 'Russian Federation'),
(54176, '85.202.192.0', '85.202.207.255', 1439350784, 1439354879, 'UA', 'Ukraine'),
(54177, '85.202.208.0', '85.202.223.255', 1439354880, 1439358975, 'PL', 'Poland'),
(54178, '85.202.224.0', '85.202.255.255', 1439358976, 1439367167, 'RU', 'Russian Federation'),
(54179, '85.203.0.0', '85.203.31.255', 1439367168, 1439375359, 'NL', 'Netherlands'),
(54180, '85.203.32.0', '85.203.63.255', 1439375360, 1439383551, 'DE', 'Germany'),
(54181, '85.203.64.0', '85.203.255.255', 1439383552, 1439432703, 'NL', 'Netherlands'),
(54182, '85.204.0.0', '85.204.255.255', 1439432704, 1439498239, 'RO', 'Romania'),
(54183, '85.205.0.0', '85.205.59.255', 1439498240, 1439513599, 'DE', 'Germany'),
(54184, '85.205.60.0', '85.205.63.255', 1439513600, 1439514623, 'GB', 'United Kingdom'),
(54185, '85.205.64.0', '85.205.71.255', 1439514624, 1439516671, 'IT', 'Italy'),
(54186, '85.205.72.0', '85.205.77.255', 1439516672, 1439518207, 'DE', 'Germany'),
(54187, '85.205.78.0', '85.205.79.255', 1439518208, 1439518719, 'IT', 'Italy'),
(54188, '85.205.80.0', '85.205.115.255', 1439518720, 1439527935, 'DE', 'Germany'),
(54189, '85.205.116.0', '85.205.119.255', 1439527936, 1439528959, 'GB', 'United Kingdom'),
(54190, '85.205.120.0', '85.205.122.127', 1439528960, 1439529599, 'DE', 'Germany'),
(54191, '85.205.122.128', '85.205.122.255', 1439529600, 1439529727, 'GB', 'United Kingdom'),
(54192, '85.205.123.0', '85.205.123.255', 1439529728, 1439529983, 'DE', 'Germany'),
(54193, '85.205.124.0', '85.205.124.255', 1439529984, 1439530239, 'EG', 'Egypt'),
(54194, '85.205.125.0', '85.205.139.255', 1439530240, 1439534079, 'DE', 'Germany'),
(54195, '85.205.140.0', '85.205.143.255', 1439534080, 1439535103, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(54196, '85.205.144.0', '85.205.147.255', 1439535104, 1439536127, 'IT', 'Italy'),
(54197, '85.205.148.0', '85.205.151.255', 1439536128, 1439537151, 'DE', 'Germany'),
(54198, '85.205.152.0', '85.205.155.255', 1439537152, 1439538175, 'IT', 'Italy'),
(54199, '85.205.156.0', '85.205.157.255', 1439538176, 1439538687, 'GB', 'United Kingdom'),
(54200, '85.205.158.0', '85.205.159.255', 1439538688, 1439539199, 'IT', 'Italy'),
(54201, '85.205.160.0', '85.205.199.255', 1439539200, 1439549439, 'DE', 'Germany'),
(54202, '85.205.200.0', '85.205.207.255', 1439549440, 1439551487, 'IT', 'Italy'),
(54203, '85.205.208.0', '85.205.225.255', 1439551488, 1439556095, 'DE', 'Germany'),
(54204, '85.205.226.0', '85.205.227.255', 1439556096, 1439556607, 'IT', 'Italy'),
(54205, '85.205.228.0', '85.205.233.255', 1439556608, 1439558143, 'DE', 'Germany'),
(54206, '85.205.234.0', '85.205.236.255', 1439558144, 1439558911, 'IT', 'Italy'),
(54207, '85.205.237.0', '85.205.241.255', 1439558912, 1439560191, 'DE', 'Germany'),
(54208, '85.205.242.0', '85.205.242.255', 1439560192, 1439560447, 'IT', 'Italy'),
(54209, '85.205.243.0', '85.205.243.255', 1439560448, 1439560703, 'DE', 'Germany'),
(54210, '85.205.244.0', '85.205.245.255', 1439560704, 1439561215, 'IT', 'Italy'),
(54211, '85.205.246.0', '85.205.247.255', 1439561216, 1439561727, 'DE', 'Germany'),
(54212, '85.205.248.0', '85.205.249.255', 1439561728, 1439562239, 'GB', 'United Kingdom'),
(54213, '85.205.250.0', '85.205.251.255', 1439562240, 1439562751, 'IE', 'Ireland'),
(54214, '85.205.252.0', '85.205.252.255', 1439562752, 1439563007, 'DE', 'Germany'),
(54215, '85.205.253.0', '85.205.253.255', 1439563008, 1439563263, 'GB', 'United Kingdom'),
(54216, '85.205.254.0', '85.205.255.255', 1439563264, 1439563775, 'DE', 'Germany'),
(54217, '85.206.0.0', '85.206.255.255', 1439563776, 1439629311, 'LT', 'Lithuania'),
(54218, '85.207.0.0', '85.207.255.255', 1439629312, 1439694847, 'CZ', 'Czech Republic'),
(54219, '85.208.0.0', '85.209.255.255', 1439694848, 1439825919, 'SA', 'Saudi Arabia'),
(54220, '85.210.0.0', '85.211.255.255', 1439825920, 1439956991, 'GB', 'United Kingdom'),
(54221, '85.212.0.0', '85.214.59.13', 1439956992, 1440103181, 'DE', 'Germany'),
(54222, '85.214.59.14', '85.214.59.14', 1440103182, 1440103182, 'A1', 'Anonymous Proxy'),
(54223, '85.214.59.15', '85.215.199.255', 1440103183, 1440204799, 'DE', 'Germany'),
(54224, '85.215.200.0', '85.215.239.255', 1440204800, 1440215039, 'EU', 'Europe'),
(54225, '85.215.240.0', '85.216.127.255', 1440215040, 1440251903, 'DE', 'Germany'),
(54226, '85.216.128.0', '85.216.255.255', 1440251904, 1440284671, 'SK', 'Slovakia'),
(54227, '85.217.0.0', '85.217.127.255', 1440284672, 1440317439, 'FI', 'Finland'),
(54228, '85.217.128.0', '85.217.255.255', 1440317440, 1440350207, 'BG', 'Bulgaria'),
(54229, '85.218.0.0', '85.218.127.255', 1440350208, 1440382975, 'CH', 'Switzerland'),
(54230, '85.218.128.0', '85.218.255.255', 1440382976, 1440415743, 'DK', 'Denmark'),
(54231, '85.219.0.0', '85.219.127.255', 1440415744, 1440448511, 'ES', 'Spain'),
(54232, '85.219.128.0', '85.219.255.255', 1440448512, 1440481279, 'PL', 'Poland'),
(54233, '85.220.0.0', '85.220.127.255', 1440481280, 1440514047, 'IS', 'Iceland'),
(54234, '85.220.128.0', '85.220.255.255', 1440514048, 1440546815, 'DE', 'Germany'),
(54235, '85.221.0.0', '85.221.127.255', 1440546816, 1440579583, 'NO', 'Norway'),
(54236, '85.221.128.0', '85.222.127.255', 1440579584, 1440645119, 'PL', 'Poland'),
(54237, '85.222.128.0', '85.222.255.255', 1440645120, 1440677887, 'RS', 'Serbia'),
(54238, '85.223.0.0', '85.223.127.255', 1440677888, 1440710655, 'NL', 'Netherlands'),
(54239, '85.223.128.0', '85.223.255.255', 1440710656, 1440743423, 'UA', 'Ukraine'),
(54240, '85.224.0.0', '85.231.255.255', 1440743424, 1441267711, 'SE', 'Sweden'),
(54241, '85.232.0.0', '85.232.31.255', 1441267712, 1441275903, 'DE', 'Germany'),
(54242, '85.232.32.0', '85.232.63.255', 1441275904, 1441284095, 'GB', 'United Kingdom'),
(54243, '85.232.64.0', '85.232.95.255', 1441284096, 1441292287, 'AT', 'Austria'),
(54244, '85.232.96.0', '85.232.127.255', 1441292288, 1441300479, 'RU', 'Russian Federation'),
(54245, '85.232.128.0', '85.232.159.255', 1441300480, 1441308671, 'LT', 'Lithuania'),
(54246, '85.232.160.0', '85.232.191.255', 1441308672, 1441316863, 'SE', 'Sweden'),
(54247, '85.232.192.0', '85.232.223.255', 1441316864, 1441325055, 'MT', 'Malta'),
(54248, '85.232.224.0', '85.232.226.191', 1441325056, 1441325759, 'PL', 'Poland'),
(54249, '85.232.226.192', '85.232.226.207', 1441325760, 1441325775, 'US', 'United States'),
(54250, '85.232.226.208', '85.232.255.255', 1441325776, 1441333247, 'PL', 'Poland'),
(54251, '85.233.0.0', '85.233.63.255', 1441333248, 1441349631, 'DE', 'Germany'),
(54252, '85.233.64.0', '85.233.95.255', 1441349632, 1441357823, 'RU', 'Russian Federation'),
(54253, '85.233.96.0', '85.233.127.255', 1441357824, 1441366015, 'AT', 'Austria'),
(54254, '85.233.128.0', '85.233.159.255', 1441366016, 1441374207, 'RU', 'Russian Federation'),
(54255, '85.233.160.0', '85.233.191.255', 1441374208, 1441382399, 'GB', 'United Kingdom'),
(54256, '85.233.192.0', '85.233.200.63', 1441382400, 1441384511, 'FR', 'France'),
(54257, '85.233.200.64', '85.233.200.95', 1441384512, 1441384543, 'US', 'United States'),
(54258, '85.233.200.96', '85.233.206.127', 1441384544, 1441386111, 'FR', 'France'),
(54259, '85.233.206.128', '85.233.206.255', 1441386112, 1441386239, 'IL', 'Israel'),
(54260, '85.233.207.0', '85.233.211.255', 1441386240, 1441387519, 'FR', 'France'),
(54261, '85.233.212.0', '85.233.212.127', 1441387520, 1441387647, 'US', 'United States'),
(54262, '85.233.212.128', '85.233.213.127', 1441387648, 1441387903, 'FR', 'France'),
(54263, '85.233.213.128', '85.233.213.143', 1441387904, 1441387919, 'GN', 'Guinea'),
(54264, '85.233.213.144', '85.233.213.159', 1441387920, 1441387935, 'FR', 'France'),
(54265, '85.233.213.160', '85.233.213.175', 1441387936, 1441387951, 'GB', 'United Kingdom'),
(54266, '85.233.213.176', '85.233.216.127', 1441387952, 1441388671, 'FR', 'France'),
(54267, '85.233.216.128', '85.233.216.255', 1441388672, 1441388799, 'CA', 'Canada'),
(54268, '85.233.217.0', '85.233.217.255', 1441388800, 1441389055, 'FR', 'France'),
(54269, '85.233.218.0', '85.233.218.63', 1441389056, 1441389119, 'IE', 'Ireland'),
(54270, '85.233.218.64', '85.233.218.167', 1441389120, 1441389223, 'FR', 'France'),
(54271, '85.233.218.168', '85.233.218.175', 1441389224, 1441389231, 'LU', 'Luxembourg'),
(54272, '85.233.218.176', '85.233.219.255', 1441389232, 1441389567, 'FR', 'France'),
(54273, '85.233.220.0', '85.233.220.31', 1441389568, 1441389599, 'LU', 'Luxembourg'),
(54274, '85.233.220.32', '85.233.223.47', 1441389600, 1441390383, 'FR', 'France'),
(54275, '85.233.223.48', '85.233.223.63', 1441390384, 1441390399, 'CA', 'Canada'),
(54276, '85.233.223.64', '85.233.223.255', 1441390400, 1441390591, 'FR', 'France'),
(54277, '85.233.224.0', '85.233.255.255', 1441390592, 1441398783, 'DK', 'Denmark'),
(54278, '85.234.0.0', '85.234.63.255', 1441398784, 1441415167, 'RU', 'Russian Federation'),
(54279, '85.234.64.0', '85.234.95.255', 1441415168, 1441423359, 'GB', 'United Kingdom'),
(54280, '85.234.96.0', '85.234.127.255', 1441423360, 1441431551, 'RU', 'Russian Federation'),
(54281, '85.234.128.0', '85.234.159.255', 1441431552, 1441439743, 'GB', 'United Kingdom'),
(54282, '85.234.160.0', '85.234.191.255', 1441439744, 1441447935, 'LV', 'Latvia'),
(54283, '85.234.192.0', '85.234.223.255', 1441447936, 1441456127, 'BE', 'Belgium'),
(54284, '85.234.224.0', '85.234.255.255', 1441456128, 1441464319, 'NL', 'Netherlands'),
(54285, '85.235.0.0', '85.235.16.255', 1441464320, 1441468671, 'SE', 'Sweden'),
(54286, '85.235.17.0', '85.235.24.255', 1441468672, 1441470719, 'DK', 'Denmark'),
(54287, '85.235.25.0', '85.235.31.255', 1441470720, 1441472511, 'SE', 'Sweden'),
(54288, '85.235.32.0', '85.235.63.255', 1441472512, 1441480703, 'RU', 'Russian Federation'),
(54289, '85.235.64.0', '85.235.95.255', 1441480704, 1441488895, 'TR', 'Turkey'),
(54290, '85.235.96.0', '85.235.108.255', 1441488896, 1441492223, 'GB', 'United Kingdom'),
(54291, '85.235.109.0', '85.235.109.255', 1441492224, 1441492479, 'BE', 'Belgium'),
(54292, '85.235.110.0', '85.235.127.255', 1441492480, 1441497087, 'GB', 'United Kingdom'),
(54293, '85.235.128.0', '85.235.159.255', 1441497088, 1441505279, 'IT', 'Italy'),
(54294, '85.235.160.0', '85.235.223.255', 1441505280, 1441521663, 'RU', 'Russian Federation'),
(54295, '85.235.224.0', '85.235.255.255', 1441521664, 1441529855, 'DK', 'Denmark'),
(54296, '85.236.0.0', '85.236.31.255', 1441529856, 1441538047, 'RU', 'Russian Federation'),
(54297, '85.236.32.0', '85.236.50.255', 1441538048, 1441542911, 'DE', 'Germany'),
(54298, '85.236.51.0', '85.236.51.15', 1441542912, 1441542927, 'RO', 'Romania'),
(54299, '85.236.51.16', '85.236.53.143', 1441542928, 1441543567, 'DE', 'Germany'),
(54300, '85.236.53.144', '85.236.53.159', 1441543568, 1441543583, 'CH', 'Switzerland'),
(54301, '85.236.53.160', '85.236.53.175', 1441543584, 1441543599, 'HR', 'Croatia'),
(54302, '85.236.53.176', '85.236.55.127', 1441543600, 1441544063, 'DE', 'Germany'),
(54303, '85.236.55.128', '85.236.55.191', 1441544064, 1441544127, 'TR', 'Turkey'),
(54304, '85.236.55.192', '85.236.61.63', 1441544128, 1441545535, 'DE', 'Germany'),
(54305, '85.236.61.64', '85.236.61.127', 1441545536, 1441545599, 'AT', 'Austria'),
(54306, '85.236.61.128', '85.236.63.255', 1441545600, 1441546239, 'DE', 'Germany'),
(54307, '85.236.64.0', '85.236.95.255', 1441546240, 1441554431, 'DK', 'Denmark'),
(54308, '85.236.96.0', '85.236.96.255', 1441554432, 1441554687, 'GB', 'United Kingdom'),
(54309, '85.236.97.0', '85.236.97.255', 1441554688, 1441554943, 'NL', 'Netherlands'),
(54310, '85.236.98.0', '85.236.98.255', 1441554944, 1441555199, 'GB', 'United Kingdom'),
(54311, '85.236.99.0', '85.236.99.255', 1441555200, 1441555455, 'DE', 'Germany'),
(54312, '85.236.100.0', '85.236.104.255', 1441555456, 1441556735, 'GB', 'United Kingdom'),
(54313, '85.236.105.0', '85.236.105.255', 1441556736, 1441556991, 'DE', 'Germany'),
(54314, '85.236.106.0', '85.236.108.255', 1441556992, 1441557759, 'GB', 'United Kingdom'),
(54315, '85.236.109.0', '85.236.109.255', 1441557760, 1441558015, 'NL', 'Netherlands'),
(54316, '85.236.110.0', '85.236.127.255', 1441558016, 1441562623, 'GB', 'United Kingdom'),
(54317, '85.236.128.0', '85.236.143.255', 1441562624, 1441566719, 'IQ', 'Iraq'),
(54318, '85.236.144.0', '85.236.159.255', 1441566720, 1441570815, 'IR', 'Iran, Islamic Republic of'),
(54319, '85.236.160.0', '85.236.191.255', 1441570816, 1441579007, 'RU', 'Russian Federation'),
(54320, '85.236.192.0', '85.236.204.79', 1441579008, 1441582159, 'DE', 'Germany'),
(54321, '85.236.204.80', '85.236.204.95', 1441582160, 1441582175, 'US', 'United States'),
(54322, '85.236.204.96', '85.236.207.127', 1441582176, 1441582975, 'DE', 'Germany'),
(54323, '85.236.207.128', '85.236.207.255', 1441582976, 1441583103, 'US', 'United States'),
(54324, '85.236.208.0', '85.236.220.255', 1441583104, 1441586431, 'DE', 'Germany'),
(54325, '85.236.221.0', '85.236.221.255', 1441586432, 1441586687, 'US', 'United States'),
(54326, '85.236.222.0', '85.236.223.255', 1441586688, 1441587199, 'DE', 'Germany'),
(54327, '85.236.224.0', '85.236.253.255', 1441587200, 1441594879, 'AT', 'Austria'),
(54328, '85.236.254.0', '85.236.254.255', 1441594880, 1441595135, 'DE', 'Germany'),
(54329, '85.236.255.0', '85.237.31.255', 1441595136, 1441603583, 'AT', 'Austria'),
(54330, '85.237.32.0', '85.237.63.255', 1441603584, 1441611775, 'RU', 'Russian Federation'),
(54331, '85.237.64.0', '85.237.95.255', 1441611776, 1441619967, 'DE', 'Germany'),
(54332, '85.237.96.0', '85.237.97.47', 1441619968, 1441620271, 'FR', 'France'),
(54333, '85.237.97.48', '85.237.97.63', 1441620272, 1441620287, 'ES', 'Spain'),
(54334, '85.237.97.64', '85.237.97.183', 1441620288, 1441620407, 'FR', 'France'),
(54335, '85.237.97.184', '85.237.97.187', 1441620408, 1441620411, 'ES', 'Spain'),
(54336, '85.237.97.188', '85.237.98.255', 1441620412, 1441620735, 'FR', 'France'),
(54337, '85.237.99.0', '85.237.99.31', 1441620736, 1441620767, 'ES', 'Spain'),
(54338, '85.237.99.32', '85.237.99.127', 1441620768, 1441620863, 'FR', 'France'),
(54339, '85.237.99.128', '85.237.99.159', 1441620864, 1441620895, 'ES', 'Spain'),
(54340, '85.237.99.160', '85.237.99.191', 1441620896, 1441620927, 'PT', 'Portugal'),
(54341, '85.237.99.192', '85.237.99.223', 1441620928, 1441620959, 'ES', 'Spain'),
(54342, '85.237.99.224', '85.237.127.255', 1441620960, 1441628159, 'FR', 'France'),
(54343, '85.237.128.0', '85.237.159.255', 1441628160, 1441636351, 'SA', 'Saudi Arabia'),
(54344, '85.237.160.0', '85.237.191.255', 1441636352, 1441644543, 'PL', 'Poland'),
(54345, '85.237.192.0', '85.237.223.255', 1441644544, 1441652735, 'GB', 'United Kingdom'),
(54346, '85.237.224.0', '85.237.255.255', 1441652736, 1441660927, 'SK', 'Slovakia'),
(54347, '85.238.0.0', '85.238.31.255', 1441660928, 1441669119, 'ES', 'Spain'),
(54348, '85.238.32.0', '85.238.63.255', 1441669120, 1441677311, 'GE', 'Georgia'),
(54349, '85.238.64.0', '85.238.95.255', 1441677312, 1441685503, 'HU', 'Hungary'),
(54350, '85.238.96.0', '85.238.127.255', 1441685504, 1441693695, 'UA', 'Ukraine'),
(54351, '85.238.128.0', '85.238.131.255', 1441693696, 1441694719, 'BR', 'Brazil'),
(54352, '85.238.132.0', '85.238.135.255', 1441694720, 1441695743, 'DE', 'Germany'),
(54353, '85.238.136.0', '85.238.139.255', 1441695744, 1441696767, 'US', 'United States'),
(54354, '85.238.140.0', '85.238.140.255', 1441696768, 1441697023, 'AP', 'Asia/Pacific Region'),
(54355, '85.238.141.0', '85.238.143.255', 1441697024, 1441697791, 'SG', 'Singapore'),
(54356, '85.238.144.0', '85.238.147.255', 1441697792, 1441698815, 'US', 'United States'),
(54357, '85.238.148.0', '85.238.159.255', 1441698816, 1441701887, 'DE', 'Germany'),
(54358, '85.238.160.0', '85.238.191.255', 1441701888, 1441710079, 'AT', 'Austria'),
(54359, '85.238.192.0', '85.238.223.255', 1441710080, 1441718271, 'SE', 'Sweden'),
(54360, '85.238.224.0', '85.238.255.255', 1441718272, 1441726463, 'DE', 'Germany'),
(54361, '85.239.0.0', '85.239.9.255', 1441726464, 1441729023, 'KW', 'Kuwait'),
(54362, '85.239.10.0', '85.239.11.255', 1441729024, 1441729535, 'SG', 'Singapore'),
(54363, '85.239.12.0', '85.239.31.255', 1441729536, 1441734655, 'KW', 'Kuwait'),
(54364, '85.239.32.0', '85.239.63.255', 1441734656, 1441742847, 'RU', 'Russian Federation'),
(54365, '85.239.64.0', '85.239.95.255', 1441742848, 1441751039, 'CZ', 'Czech Republic'),
(54366, '85.239.96.0', '85.239.127.255', 1441751040, 1441759231, 'DE', 'Germany'),
(54367, '85.239.128.0', '85.239.159.255', 1441759232, 1441767423, 'BG', 'Bulgaria'),
(54368, '85.239.160.0', '85.239.191.255', 1441767424, 1441775615, 'IT', 'Italy'),
(54369, '85.239.192.0', '85.239.223.255', 1441775616, 1441783807, 'ES', 'Spain'),
(54370, '85.239.224.0', '85.239.255.255', 1441783808, 1441791999, 'CZ', 'Czech Republic'),
(54371, '85.240.0.0', '85.247.255.255', 1441792000, 1442316287, 'PT', 'Portugal'),
(54372, '85.248.0.0', '85.248.1.39', 1442316288, 1442316583, 'SK', 'Slovakia'),
(54373, '85.248.1.40', '85.248.1.47', 1442316584, 1442316591, 'DE', 'Germany'),
(54374, '85.248.1.48', '85.248.20.47', 1442316592, 1442321455, 'SK', 'Slovakia'),
(54375, '85.248.20.48', '85.248.20.55', 1442321456, 1442321463, 'DE', 'Germany'),
(54376, '85.248.20.56', '85.248.64.255', 1442321464, 1442332927, 'SK', 'Slovakia'),
(54377, '85.248.65.0', '85.248.65.127', 1442332928, 1442333055, 'BE', 'Belgium'),
(54378, '85.248.65.128', '85.248.255.255', 1442333056, 1442381823, 'SK', 'Slovakia'),
(54379, '85.249.0.0', '85.249.255.255', 1442381824, 1442447359, 'RU', 'Russian Federation'),
(54380, '85.250.0.0', '85.250.255.255', 1442447360, 1442512895, 'IL', 'Israel'),
(54381, '85.251.0.0', '85.251.255.255', 1442512896, 1442578431, 'ES', 'Spain'),
(54382, '85.252.0.0', '85.252.255.255', 1442578432, 1442643967, 'NO', 'Norway'),
(54383, '85.253.0.0', '85.253.255.255', 1442643968, 1442709503, 'EE', 'Estonia'),
(54384, '85.254.0.0', '85.254.255.255', 1442709504, 1442775039, 'LV', 'Latvia'),
(54385, '85.255.0.0', '85.255.15.255', 1442775040, 1442779135, 'PL', 'Poland'),
(54386, '85.255.16.0', '85.255.31.255', 1442779136, 1442783231, 'DE', 'Germany'),
(54387, '85.255.32.0', '85.255.47.255', 1442783232, 1442787327, 'NO', 'Norway'),
(54388, '85.255.48.0', '85.255.63.255', 1442787328, 1442791423, 'LT', 'Lithuania'),
(54389, '85.255.64.0', '85.255.79.255', 1442791424, 1442795519, 'LV', 'Latvia'),
(54390, '85.255.80.0', '85.255.95.255', 1442795520, 1442799615, 'DE', 'Germany'),
(54391, '85.255.96.0', '85.255.111.255', 1442799616, 1442803711, 'LT', 'Lithuania'),
(54392, '85.255.112.0', '85.255.127.255', 1442803712, 1442807807, 'UA', 'Ukraine'),
(54393, '85.255.128.0', '85.255.143.255', 1442807808, 1442811903, 'BG', 'Bulgaria'),
(54394, '85.255.144.0', '85.255.159.255', 1442811904, 1442815999, 'AT', 'Austria'),
(54395, '85.255.160.0', '85.255.175.255', 1442816000, 1442820095, 'BG', 'Bulgaria'),
(54396, '85.255.176.0', '85.255.183.255', 1442820096, 1442822143, 'UA', 'Ukraine'),
(54397, '85.255.184.0', '85.255.191.255', 1442822144, 1442824191, 'RU', 'Russian Federation'),
(54398, '85.255.192.0', '85.255.207.255', 1442824192, 1442828287, 'BE', 'Belgium'),
(54399, '85.255.208.0', '85.255.223.255', 1442828288, 1442832383, 'NL', 'Netherlands'),
(54400, '85.255.224.0', '85.255.239.255', 1442832384, 1442836479, 'GB', 'United Kingdom'),
(54401, '85.255.240.0', '85.255.255.255', 1442836480, 1442840575, 'PL', 'Poland'),
(54402, '86.0.0.0', '86.31.255.255', 1442840576, 1444937727, 'GB', 'United Kingdom'),
(54403, '86.32.0.0', '86.33.255.255', 1444937728, 1445068799, 'AT', 'Austria'),
(54404, '86.34.0.0', '86.35.255.255', 1445068800, 1445199871, 'RO', 'Romania'),
(54405, '86.36.0.0', '86.37.255.255', 1445199872, 1445330943, 'QA', 'Qatar'),
(54406, '86.38.0.0', '86.38.255.255', 1445330944, 1445396479, 'LT', 'Lithuania'),
(54407, '86.39.0.0', '86.39.127.255', 1445396480, 1445429247, 'BE', 'Belgium'),
(54408, '86.39.128.0', '86.39.128.63', 1445429248, 1445429311, 'NL', 'Netherlands'),
(54409, '86.39.128.64', '86.39.132.31', 1445429312, 1445430303, 'BE', 'Belgium'),
(54410, '86.39.132.32', '86.39.135.255', 1445430304, 1445431295, 'NL', 'Netherlands'),
(54411, '86.39.136.0', '86.39.137.95', 1445431296, 1445431647, 'BE', 'Belgium'),
(54412, '86.39.137.96', '86.39.137.127', 1445431648, 1445431679, 'NL', 'Netherlands'),
(54413, '86.39.137.128', '86.39.137.255', 1445431680, 1445431807, 'BE', 'Belgium'),
(54414, '86.39.138.0', '86.39.145.255', 1445431808, 1445433855, 'NL', 'Netherlands'),
(54415, '86.39.146.0', '86.39.146.31', 1445433856, 1445433887, 'BE', 'Belgium'),
(54416, '86.39.146.32', '86.39.146.255', 1445433888, 1445434111, 'NL', 'Netherlands'),
(54417, '86.39.147.0', '86.39.148.31', 1445434112, 1445434399, 'BE', 'Belgium'),
(54418, '86.39.148.32', '86.39.148.159', 1445434400, 1445434527, 'NL', 'Netherlands'),
(54419, '86.39.148.160', '86.39.148.191', 1445434528, 1445434559, 'BE', 'Belgium'),
(54420, '86.39.148.192', '86.39.148.255', 1445434560, 1445434623, 'NL', 'Netherlands'),
(54421, '86.39.149.0', '86.39.150.255', 1445434624, 1445435135, 'BE', 'Belgium'),
(54422, '86.39.151.0', '86.39.152.3', 1445435136, 1445435395, 'NL', 'Netherlands'),
(54423, '86.39.152.4', '86.39.152.7', 1445435396, 1445435399, 'BE', 'Belgium'),
(54424, '86.39.152.8', '86.39.152.31', 1445435400, 1445435423, 'NL', 'Netherlands'),
(54425, '86.39.152.32', '86.39.152.39', 1445435424, 1445435431, 'BE', 'Belgium'),
(54426, '86.39.152.40', '86.39.154.63', 1445435432, 1445435967, 'NL', 'Netherlands'),
(54427, '86.39.154.64', '86.39.154.95', 1445435968, 1445435999, 'BE', 'Belgium'),
(54428, '86.39.154.96', '86.39.155.127', 1445436000, 1445436287, 'NL', 'Netherlands'),
(54429, '86.39.155.128', '86.39.155.255', 1445436288, 1445436415, 'BE', 'Belgium'),
(54430, '86.39.156.0', '86.39.156.47', 1445436416, 1445436463, 'NL', 'Netherlands'),
(54431, '86.39.156.48', '86.39.156.95', 1445436464, 1445436511, 'BE', 'Belgium'),
(54432, '86.39.156.96', '86.39.157.127', 1445436512, 1445436799, 'NL', 'Netherlands'),
(54433, '86.39.157.128', '86.39.157.191', 1445436800, 1445436863, 'BE', 'Belgium'),
(54434, '86.39.157.192', '86.39.157.223', 1445436864, 1445436895, 'NL', 'Netherlands'),
(54435, '86.39.157.224', '86.39.157.255', 1445436896, 1445436927, 'BE', 'Belgium'),
(54436, '86.39.158.0', '86.39.158.31', 1445436928, 1445436959, 'NL', 'Netherlands'),
(54437, '86.39.158.32', '86.39.158.254', 1445436960, 1445437182, 'BE', 'Belgium'),
(54438, '86.39.158.255', '86.39.159.127', 1445437183, 1445437311, 'NL', 'Netherlands'),
(54439, '86.39.159.128', '86.39.159.135', 1445437312, 1445437319, 'BE', 'Belgium'),
(54440, '86.39.159.136', '86.39.159.255', 1445437320, 1445437439, 'NL', 'Netherlands'),
(54441, '86.39.160.0', '86.39.160.255', 1445437440, 1445437695, 'BE', 'Belgium'),
(54442, '86.39.161.0', '86.39.161.15', 1445437696, 1445437711, 'NL', 'Netherlands'),
(54443, '86.39.161.16', '86.39.161.47', 1445437712, 1445437743, 'BE', 'Belgium'),
(54444, '86.39.161.48', '86.39.161.127', 1445437744, 1445437823, 'NL', 'Netherlands'),
(54445, '86.39.161.128', '86.39.163.63', 1445437824, 1445438271, 'BE', 'Belgium'),
(54446, '86.39.163.64', '86.39.169.255', 1445438272, 1445439999, 'NL', 'Netherlands'),
(54447, '86.39.170.0', '86.39.170.255', 1445440000, 1445440255, 'BE', 'Belgium'),
(54448, '86.39.171.0', '86.39.179.255', 1445440256, 1445442559, 'NL', 'Netherlands'),
(54449, '86.39.180.0', '86.39.182.255', 1445442560, 1445443327, 'BE', 'Belgium'),
(54450, '86.39.183.0', '86.39.189.255', 1445443328, 1445445119, 'NL', 'Netherlands'),
(54451, '86.39.190.0', '86.39.192.223', 1445445120, 1445445855, 'BE', 'Belgium'),
(54452, '86.39.192.224', '86.39.199.255', 1445445856, 1445447679, 'NL', 'Netherlands'),
(54453, '86.39.200.0', '86.39.214.255', 1445447680, 1445451519, 'BE', 'Belgium'),
(54454, '86.39.215.0', '86.39.215.127', 1445451520, 1445451647, 'NL', 'Netherlands'),
(54455, '86.39.215.128', '86.39.232.254', 1445451648, 1445456126, 'BE', 'Belgium'),
(54456, '86.39.232.255', '86.39.232.255', 1445456127, 1445456127, 'NL', 'Netherlands'),
(54457, '86.39.233.0', '86.39.240.255', 1445456128, 1445458175, 'BE', 'Belgium'),
(54458, '86.39.241.0', '86.39.255.255', 1445458176, 1445462015, 'NL', 'Netherlands'),
(54459, '86.40.0.0', '86.47.255.255', 1445462016, 1445986303, 'IE', 'Ireland'),
(54460, '86.48.0.0', '86.48.82.71', 1445986304, 1446007367, 'DK', 'Denmark'),
(54461, '86.48.82.72', '86.48.82.78', 1446007368, 1446007374, 'ES', 'Spain'),
(54462, '86.48.82.79', '86.48.82.111', 1446007375, 1446007407, 'DK', 'Denmark'),
(54463, '86.48.82.112', '86.48.82.118', 1446007408, 1446007414, 'SE', 'Sweden'),
(54464, '86.48.82.119', '86.48.82.175', 1446007415, 1446007471, 'DK', 'Denmark'),
(54465, '86.48.82.176', '86.48.82.180', 1446007472, 1446007476, 'RU', 'Russian Federation'),
(54466, '86.48.82.181', '86.48.86.103', 1446007477, 1446008423, 'DK', 'Denmark'),
(54467, '86.48.86.104', '86.48.86.110', 1446008424, 1446008430, 'GB', 'United Kingdom'),
(54468, '86.48.86.111', '86.48.87.79', 1446008431, 1446008655, 'DK', 'Denmark'),
(54469, '86.48.87.80', '86.48.87.86', 1446008656, 1446008662, 'FR', 'France'),
(54470, '86.48.87.87', '86.48.94.143', 1446008663, 1446010511, 'DK', 'Denmark'),
(54471, '86.48.94.144', '86.48.94.150', 1446010512, 1446010518, 'NL', 'Netherlands'),
(54472, '86.48.94.151', '86.48.255.255', 1446010519, 1446051839, 'DK', 'Denmark'),
(54473, '86.49.0.0', '86.49.255.255', 1446051840, 1446117375, 'CZ', 'Czech Republic'),
(54474, '86.50.0.0', '86.50.255.255', 1446117376, 1446182911, 'FI', 'Finland'),
(54475, '86.51.0.0', '86.51.255.255', 1446182912, 1446248447, 'SA', 'Saudi Arabia'),
(54476, '86.52.0.0', '86.52.255.255', 1446248448, 1446313983, 'DK', 'Denmark'),
(54477, '86.53.0.0', '86.54.255.255', 1446313984, 1446445055, 'GB', 'United Kingdom'),
(54478, '86.55.0.0', '86.55.255.255', 1446445056, 1446510591, 'RO', 'Romania'),
(54479, '86.56.0.0', '86.56.127.255', 1446510592, 1446543359, 'DE', 'Germany'),
(54480, '86.56.128.0', '86.56.255.255', 1446543360, 1446576127, 'AT', 'Austria'),
(54481, '86.57.0.0', '86.57.127.255', 1446576128, 1446608895, 'IR', 'Iran, Islamic Republic of'),
(54482, '86.57.128.0', '86.57.255.255', 1446608896, 1446641663, 'BY', 'Belarus'),
(54483, '86.58.0.0', '86.58.127.255', 1446641664, 1446674431, 'SI', 'Slovenia'),
(54484, '86.58.128.0', '86.58.143.135', 1446674432, 1446678407, 'DK', 'Denmark'),
(54485, '86.58.143.136', '86.58.143.139', 1446678408, 1446678411, 'US', 'United States'),
(54486, '86.58.143.140', '86.58.206.143', 1446678412, 1446694543, 'DK', 'Denmark'),
(54487, '86.58.206.144', '86.58.206.159', 1446694544, 1446694559, 'SE', 'Sweden'),
(54488, '86.58.206.160', '86.58.206.191', 1446694560, 1446694591, 'DK', 'Denmark'),
(54489, '86.58.206.192', '86.58.206.207', 1446694592, 1446694607, 'NO', 'Norway'),
(54490, '86.58.206.208', '86.58.206.223', 1446694608, 1446694623, 'GB', 'United Kingdom'),
(54491, '86.58.206.224', '86.58.206.239', 1446694624, 1446694639, 'TH', 'Thailand'),
(54492, '86.58.206.240', '86.58.206.255', 1446694640, 1446694655, 'BR', 'Brazil'),
(54493, '86.58.207.0', '86.58.255.231', 1446694656, 1446707175, 'DK', 'Denmark'),
(54494, '86.58.255.232', '86.58.255.235', 1446707176, 1446707179, 'NO', 'Norway'),
(54495, '86.58.255.236', '86.58.255.239', 1446707180, 1446707183, 'FI', 'Finland'),
(54496, '86.58.255.240', '86.58.255.255', 1446707184, 1446707199, 'DK', 'Denmark'),
(54497, '86.59.0.0', '86.59.13.159', 1446707200, 1446710687, 'AT', 'Austria'),
(54498, '86.59.13.160', '86.59.13.167', 1446710688, 1446710695, 'CH', 'Switzerland'),
(54499, '86.59.13.168', '86.59.14.15', 1446710696, 1446710799, 'AT', 'Austria'),
(54500, '86.59.14.16', '86.59.14.31', 1446710800, 1446710815, 'MT', 'Malta'),
(54501, '86.59.14.32', '86.59.14.103', 1446710816, 1446710887, 'AT', 'Austria'),
(54502, '86.59.14.104', '86.59.14.111', 1446710888, 1446710895, 'MT', 'Malta'),
(54503, '86.59.14.112', '86.59.14.119', 1446710896, 1446710903, 'AT', 'Austria'),
(54504, '86.59.14.120', '86.59.14.127', 1446710904, 1446710911, 'MT', 'Malta'),
(54505, '86.59.14.128', '86.59.21.207', 1446710912, 1446712783, 'AT', 'Austria'),
(54506, '86.59.21.208', '86.59.21.215', 1446712784, 1446712791, 'DE', 'Germany'),
(54507, '86.59.21.216', '86.59.35.239', 1446712792, 1446716399, 'AT', 'Austria'),
(54508, '86.59.35.240', '86.59.35.247', 1446716400, 1446716407, 'MT', 'Malta'),
(54509, '86.59.35.248', '86.59.114.119', 1446716408, 1446736503, 'AT', 'Austria'),
(54510, '86.59.114.120', '86.59.114.127', 1446736504, 1446736511, 'US', 'United States'),
(54511, '86.59.114.128', '86.59.127.255', 1446736512, 1446739967, 'AT', 'Austria'),
(54512, '86.59.128.0', '86.59.255.255', 1446739968, 1446772735, 'RU', 'Russian Federation'),
(54513, '86.60.0.0', '86.60.127.255', 1446772736, 1446805503, 'SA', 'Saudi Arabia'),
(54514, '86.60.128.0', '86.60.255.255', 1446805504, 1446838271, 'FI', 'Finland'),
(54515, '86.61.0.0', '86.61.92.255', 1446838272, 1446862079, 'SI', 'Slovenia'),
(54516, '86.61.93.0', '86.61.94.255', 1446862080, 1446862591, 'HR', 'Croatia'),
(54517, '86.61.95.0', '86.61.127.255', 1446862592, 1446871039, 'SI', 'Slovenia'),
(54518, '86.61.128.0', '86.61.255.255', 1446871040, 1446903807, 'CZ', 'Czech Republic'),
(54519, '86.62.0.0', '86.62.0.255', 1446903808, 1446904063, 'A2', 'Satellite Provider'),
(54520, '86.62.1.0', '86.62.1.7', 1446904064, 1446904071, 'CY', 'Cyprus'),
(54521, '86.62.1.8', '86.62.1.15', 1446904072, 1446904079, 'LY', 'Libyan Arab Jamahiriya'),
(54522, '86.62.1.16', '86.62.1.23', 1446904080, 1446904087, 'AF', 'Afghanistan'),
(54523, '86.62.1.24', '86.62.1.31', 1446904088, 1446904095, 'BF', 'Burkina Faso'),
(54524, '86.62.1.32', '86.62.1.39', 1446904096, 1446904103, 'SD', 'Sudan'),
(54525, '86.62.1.40', '86.62.1.47', 1446904104, 1446904111, 'IQ', 'Iraq'),
(54526, '86.62.1.48', '86.62.1.55', 1446904112, 1446904119, 'GN', 'Guinea'),
(54527, '86.62.1.56', '86.62.1.63', 1446904120, 1446904127, 'IQ', 'Iraq'),
(54528, '86.62.1.64', '86.62.1.71', 1446904128, 1446904135, 'A2', 'Satellite Provider'),
(54529, '86.62.1.72', '86.62.1.79', 1446904136, 1446904143, 'LY', 'Libyan Arab Jamahiriya'),
(54530, '86.62.1.80', '86.62.1.87', 1446904144, 1446904151, 'ER', 'Eritrea'),
(54531, '86.62.1.88', '86.62.1.167', 1446904152, 1446904231, 'A2', 'Satellite Provider'),
(54532, '86.62.1.168', '86.62.1.175', 1446904232, 1446904239, 'IQ', 'Iraq'),
(54533, '86.62.1.176', '86.62.1.183', 1446904240, 1446904247, 'A2', 'Satellite Provider'),
(54534, '86.62.1.184', '86.62.1.191', 1446904248, 1446904255, 'AF', 'Afghanistan'),
(54535, '86.62.1.192', '86.62.1.199', 1446904256, 1446904263, 'CY', 'Cyprus'),
(54536, '86.62.1.200', '86.62.1.255', 1446904264, 1446904319, 'A2', 'Satellite Provider'),
(54537, '86.62.2.0', '86.62.2.15', 1446904320, 1446904335, 'AE', 'United Arab Emirates'),
(54538, '86.62.2.16', '86.62.2.31', 1446904336, 1446904351, 'A2', 'Satellite Provider'),
(54539, '86.62.2.32', '86.62.2.47', 1446904352, 1446904367, 'AE', 'United Arab Emirates'),
(54540, '86.62.2.48', '86.62.2.63', 1446904368, 1446904383, 'IQ', 'Iraq'),
(54541, '86.62.2.64', '86.62.2.79', 1446904384, 1446904399, 'A2', 'Satellite Provider'),
(54542, '86.62.2.80', '86.62.2.95', 1446904400, 1446904415, 'IQ', 'Iraq'),
(54543, '86.62.2.96', '86.62.2.255', 1446904416, 1446904575, 'A2', 'Satellite Provider'),
(54544, '86.62.3.0', '86.62.3.15', 1446904576, 1446904591, 'SD', 'Sudan'),
(54545, '86.62.3.16', '86.62.3.23', 1446904592, 1446904599, 'AF', 'Afghanistan'),
(54546, '86.62.3.24', '86.62.3.31', 1446904600, 1446904607, 'A2', 'Satellite Provider'),
(54547, '86.62.3.32', '86.62.3.47', 1446904608, 1446904623, 'SD', 'Sudan'),
(54548, '86.62.3.48', '86.62.3.63', 1446904624, 1446904639, 'A2', 'Satellite Provider'),
(54549, '86.62.3.64', '86.62.3.103', 1446904640, 1446904679, 'IQ', 'Iraq'),
(54550, '86.62.3.104', '86.62.3.175', 1446904680, 1446904751, 'A2', 'Satellite Provider'),
(54551, '86.62.3.176', '86.62.3.183', 1446904752, 1446904759, 'NG', 'Nigeria'),
(54552, '86.62.3.184', '86.62.3.223', 1446904760, 1446904799, 'A2', 'Satellite Provider'),
(54553, '86.62.3.224', '86.62.3.231', 1446904800, 1446904807, 'SD', 'Sudan'),
(54554, '86.62.3.232', '86.62.3.255', 1446904808, 1446904831, 'A2', 'Satellite Provider'),
(54555, '86.62.4.0', '86.62.4.255', 1446904832, 1446905087, 'US', 'United States'),
(54556, '86.62.5.0', '86.62.5.255', 1446905088, 1446905343, 'A2', 'Satellite Provider'),
(54557, '86.62.6.0', '86.62.6.7', 1446905344, 1446905351, 'NG', 'Nigeria'),
(54558, '86.62.6.8', '86.62.6.39', 1446905352, 1446905383, 'A2', 'Satellite Provider'),
(54559, '86.62.6.40', '86.62.6.47', 1446905384, 1446905391, 'SD', 'Sudan'),
(54560, '86.62.6.48', '86.62.6.239', 1446905392, 1446905583, 'A2', 'Satellite Provider'),
(54561, '86.62.6.240', '86.62.6.247', 1446905584, 1446905591, 'AF', 'Afghanistan'),
(54562, '86.62.6.248', '86.62.7.11', 1446905592, 1446905611, 'A2', 'Satellite Provider'),
(54563, '86.62.7.12', '86.62.7.15', 1446905612, 1446905615, 'IQ', 'Iraq'),
(54564, '86.62.7.16', '86.62.7.19', 1446905616, 1446905619, 'A2', 'Satellite Provider'),
(54565, '86.62.7.20', '86.62.7.23', 1446905620, 1446905623, 'TD', 'Chad'),
(54566, '86.62.7.24', '86.62.7.27', 1446905624, 1446905627, 'A2', 'Satellite Provider'),
(54567, '86.62.7.28', '86.62.7.31', 1446905628, 1446905631, 'IQ', 'Iraq'),
(54568, '86.62.7.32', '86.62.7.35', 1446905632, 1446905635, 'A2', 'Satellite Provider'),
(54569, '86.62.7.36', '86.62.7.39', 1446905636, 1446905639, 'IQ', 'Iraq'),
(54570, '86.62.7.40', '86.62.7.43', 1446905640, 1446905643, 'A2', 'Satellite Provider'),
(54571, '86.62.7.44', '86.62.7.47', 1446905644, 1446905647, 'IQ', 'Iraq'),
(54572, '86.62.7.48', '86.62.7.51', 1446905648, 1446905651, 'A2', 'Satellite Provider'),
(54573, '86.62.7.52', '86.62.7.55', 1446905652, 1446905655, 'IQ', 'Iraq'),
(54574, '86.62.7.56', '86.62.7.59', 1446905656, 1446905659, 'AF', 'Afghanistan'),
(54575, '86.62.7.60', '86.62.7.63', 1446905660, 1446905663, 'ER', 'Eritrea'),
(54576, '86.62.7.64', '86.62.7.67', 1446905664, 1446905667, 'LY', 'Libyan Arab Jamahiriya'),
(54577, '86.62.7.68', '86.62.7.75', 1446905668, 1446905675, 'AF', 'Afghanistan'),
(54578, '86.62.7.76', '86.62.7.83', 1446905676, 1446905683, 'LY', 'Libyan Arab Jamahiriya'),
(54579, '86.62.7.84', '86.62.7.87', 1446905684, 1446905687, 'A2', 'Satellite Provider'),
(54580, '86.62.7.88', '86.62.7.91', 1446905688, 1446905691, 'CF', 'Central African Republic'),
(54581, '86.62.7.92', '86.62.7.103', 1446905692, 1446905703, 'A2', 'Satellite Provider'),
(54582, '86.62.7.104', '86.62.7.107', 1446905704, 1446905707, 'IQ', 'Iraq'),
(54583, '86.62.7.108', '86.62.7.115', 1446905708, 1446905715, 'A2', 'Satellite Provider'),
(54584, '86.62.7.116', '86.62.7.119', 1446905716, 1446905719, 'IQ', 'Iraq'),
(54585, '86.62.7.120', '86.62.7.123', 1446905720, 1446905723, 'AF', 'Afghanistan'),
(54586, '86.62.7.124', '86.62.7.127', 1446905724, 1446905727, 'A2', 'Satellite Provider'),
(54587, '86.62.7.128', '86.62.7.131', 1446905728, 1446905731, 'IQ', 'Iraq'),
(54588, '86.62.7.132', '86.62.7.135', 1446905732, 1446905735, 'AF', 'Afghanistan'),
(54589, '86.62.7.136', '86.62.7.139', 1446905736, 1446905739, 'IQ', 'Iraq'),
(54590, '86.62.7.140', '86.62.7.143', 1446905740, 1446905743, 'A2', 'Satellite Provider'),
(54591, '86.62.7.144', '86.62.7.159', 1446905744, 1446905759, 'LY', 'Libyan Arab Jamahiriya'),
(54592, '86.62.7.160', '86.62.7.163', 1446905760, 1446905763, 'ML', 'Mali'),
(54593, '86.62.7.164', '86.62.7.167', 1446905764, 1446905767, 'A2', 'Satellite Provider'),
(54594, '86.62.7.168', '86.62.7.175', 1446905768, 1446905775, 'IQ', 'Iraq'),
(54595, '86.62.7.176', '86.62.7.191', 1446905776, 1446905791, 'A2', 'Satellite Provider'),
(54596, '86.62.7.192', '86.62.7.195', 1446905792, 1446905795, 'TD', 'Chad'),
(54597, '86.62.7.196', '86.62.7.199', 1446905796, 1446905799, 'A2', 'Satellite Provider'),
(54598, '86.62.7.200', '86.62.7.203', 1446905800, 1446905803, 'IQ', 'Iraq'),
(54599, '86.62.7.204', '86.62.7.215', 1446905804, 1446905815, 'A2', 'Satellite Provider'),
(54600, '86.62.7.216', '86.62.7.219', 1446905816, 1446905819, 'LY', 'Libyan Arab Jamahiriya'),
(54601, '86.62.7.220', '86.62.7.223', 1446905820, 1446905823, 'IQ', 'Iraq'),
(54602, '86.62.7.224', '86.62.7.231', 1446905824, 1446905831, 'A2', 'Satellite Provider'),
(54603, '86.62.7.232', '86.62.7.235', 1446905832, 1446905835, 'NG', 'Nigeria'),
(54604, '86.62.7.236', '86.62.7.239', 1446905836, 1446905839, 'IQ', 'Iraq'),
(54605, '86.62.7.240', '86.62.7.251', 1446905840, 1446905851, 'A2', 'Satellite Provider'),
(54606, '86.62.7.252', '86.62.7.255', 1446905852, 1446905855, 'AF', 'Afghanistan'),
(54607, '86.62.8.0', '86.62.8.7', 1446905856, 1446905863, 'LY', 'Libyan Arab Jamahiriya'),
(54608, '86.62.8.8', '86.62.8.15', 1446905864, 1446905871, 'SD', 'Sudan'),
(54609, '86.62.8.16', '86.62.8.55', 1446905872, 1446905911, 'A2', 'Satellite Provider'),
(54610, '86.62.8.56', '86.62.8.71', 1446905912, 1446905927, 'SD', 'Sudan'),
(54611, '86.62.8.72', '86.62.8.79', 1446905928, 1446905935, 'A2', 'Satellite Provider'),
(54612, '86.62.8.80', '86.62.8.87', 1446905936, 1446905943, 'SD', 'Sudan'),
(54613, '86.62.8.88', '86.62.8.103', 1446905944, 1446905959, 'A2', 'Satellite Provider'),
(54614, '86.62.8.104', '86.62.8.111', 1446905960, 1446905967, 'AF', 'Afghanistan'),
(54615, '86.62.8.112', '86.62.8.167', 1446905968, 1446906023, 'A2', 'Satellite Provider'),
(54616, '86.62.8.168', '86.62.8.175', 1446906024, 1446906031, 'SD', 'Sudan'),
(54617, '86.62.8.176', '86.62.8.215', 1446906032, 1446906071, 'A2', 'Satellite Provider'),
(54618, '86.62.8.216', '86.62.8.223', 1446906072, 1446906079, 'CY', 'Cyprus'),
(54619, '86.62.8.224', '86.62.8.255', 1446906080, 1446906111, 'A2', 'Satellite Provider'),
(54620, '86.62.9.0', '86.62.9.7', 1446906112, 1446906119, 'IQ', 'Iraq'),
(54621, '86.62.9.8', '86.62.9.11', 1446906120, 1446906123, 'A2', 'Satellite Provider'),
(54622, '86.62.9.12', '86.62.9.19', 1446906124, 1446906131, 'IQ', 'Iraq'),
(54623, '86.62.9.20', '86.62.9.23', 1446906132, 1446906135, 'SD', 'Sudan'),
(54624, '86.62.9.24', '86.62.9.39', 1446906136, 1446906151, 'A2', 'Satellite Provider'),
(54625, '86.62.9.40', '86.62.9.47', 1446906152, 1446906159, 'AF', 'Afghanistan'),
(54626, '86.62.9.48', '86.62.9.55', 1446906160, 1446906167, 'A2', 'Satellite Provider'),
(54627, '86.62.9.56', '86.62.9.59', 1446906168, 1446906171, 'IQ', 'Iraq'),
(54628, '86.62.9.60', '86.62.9.67', 1446906172, 1446906179, 'AF', 'Afghanistan'),
(54629, '86.62.9.68', '86.62.9.99', 1446906180, 1446906211, 'A2', 'Satellite Provider'),
(54630, '86.62.9.100', '86.62.9.103', 1446906212, 1446906215, 'AF', 'Afghanistan'),
(54631, '86.62.9.104', '86.62.9.107', 1446906216, 1446906219, 'IQ', 'Iraq'),
(54632, '86.62.9.108', '86.62.9.111', 1446906220, 1446906223, 'BG', 'Bulgaria'),
(54633, '86.62.9.112', '86.62.9.119', 1446906224, 1446906231, 'A2', 'Satellite Provider'),
(54634, '86.62.9.120', '86.62.9.127', 1446906232, 1446906239, 'AF', 'Afghanistan'),
(54635, '86.62.9.128', '86.62.9.131', 1446906240, 1446906243, 'IQ', 'Iraq'),
(54636, '86.62.9.132', '86.62.9.139', 1446906244, 1446906251, 'A2', 'Satellite Provider'),
(54637, '86.62.9.140', '86.62.9.143', 1446906252, 1446906255, 'IQ', 'Iraq'),
(54638, '86.62.9.144', '86.62.9.147', 1446906256, 1446906259, 'A2', 'Satellite Provider'),
(54639, '86.62.9.148', '86.62.9.151', 1446906260, 1446906263, 'AF', 'Afghanistan'),
(54640, '86.62.9.152', '86.62.9.175', 1446906264, 1446906287, 'A2', 'Satellite Provider'),
(54641, '86.62.9.176', '86.62.9.183', 1446906288, 1446906295, 'IQ', 'Iraq'),
(54642, '86.62.9.184', '86.62.9.187', 1446906296, 1446906299, 'A2', 'Satellite Provider'),
(54643, '86.62.9.188', '86.62.9.191', 1446906300, 1446906303, 'LY', 'Libyan Arab Jamahiriya'),
(54644, '86.62.9.192', '86.62.9.215', 1446906304, 1446906327, 'A2', 'Satellite Provider'),
(54645, '86.62.9.216', '86.62.9.219', 1446906328, 1446906331, 'IQ', 'Iraq'),
(54646, '86.62.9.220', '86.62.9.231', 1446906332, 1446906343, 'A2', 'Satellite Provider'),
(54647, '86.62.9.232', '86.62.9.235', 1446906344, 1446906347, 'NG', 'Nigeria'),
(54648, '86.62.9.236', '86.62.9.247', 1446906348, 1446906359, 'A2', 'Satellite Provider'),
(54649, '86.62.9.248', '86.62.9.251', 1446906360, 1446906363, 'SD', 'Sudan'),
(54650, '86.62.9.252', '86.62.10.23', 1446906364, 1446906391, 'A2', 'Satellite Provider'),
(54651, '86.62.10.24', '86.62.10.31', 1446906392, 1446906399, 'CY', 'Cyprus'),
(54652, '86.62.10.32', '86.62.11.255', 1446906400, 1446906879, 'A2', 'Satellite Provider'),
(54653, '86.62.12.0', '86.62.12.255', 1446906880, 1446907135, 'IQ', 'Iraq'),
(54654, '86.62.13.0', '86.62.13.7', 1446907136, 1446907143, 'A2', 'Satellite Provider'),
(54655, '86.62.13.8', '86.62.13.11', 1446907144, 1446907147, 'AF', 'Afghanistan'),
(54656, '86.62.13.12', '86.62.13.15', 1446907148, 1446907151, 'IQ', 'Iraq'),
(54657, '86.62.13.16', '86.62.13.23', 1446907152, 1446907159, 'A2', 'Satellite Provider'),
(54658, '86.62.13.24', '86.62.13.27', 1446907160, 1446907163, 'IQ', 'Iraq'),
(54659, '86.62.13.28', '86.62.13.35', 1446907164, 1446907171, 'A2', 'Satellite Provider'),
(54660, '86.62.13.36', '86.62.13.39', 1446907172, 1446907175, 'IQ', 'Iraq'),
(54661, '86.62.13.40', '86.62.13.51', 1446907176, 1446907187, 'A2', 'Satellite Provider'),
(54662, '86.62.13.52', '86.62.13.55', 1446907188, 1446907191, 'CG', 'Congo'),
(54663, '86.62.13.56', '86.62.13.59', 1446907192, 1446907195, 'A2', 'Satellite Provider'),
(54664, '86.62.13.60', '86.62.13.63', 1446907196, 1446907199, 'LY', 'Libyan Arab Jamahiriya'),
(54665, '86.62.13.64', '86.62.13.75', 1446907200, 1446907211, 'A2', 'Satellite Provider'),
(54666, '86.62.13.76', '86.62.13.79', 1446907212, 1446907215, 'IQ', 'Iraq'),
(54667, '86.62.13.80', '86.62.13.83', 1446907216, 1446907219, 'A2', 'Satellite Provider'),
(54668, '86.62.13.84', '86.62.13.87', 1446907220, 1446907223, 'BJ', 'Benin'),
(54669, '86.62.13.88', '86.62.13.95', 1446907224, 1446907231, 'A2', 'Satellite Provider'),
(54670, '86.62.13.96', '86.62.13.107', 1446907232, 1446907243, 'IQ', 'Iraq'),
(54671, '86.62.13.108', '86.62.13.115', 1446907244, 1446907251, 'A2', 'Satellite Provider'),
(54672, '86.62.13.116', '86.62.13.123', 1446907252, 1446907259, 'IQ', 'Iraq'),
(54673, '86.62.13.124', '86.62.13.127', 1446907260, 1446907263, 'A2', 'Satellite Provider'),
(54674, '86.62.13.128', '86.62.13.135', 1446907264, 1446907271, 'IQ', 'Iraq'),
(54675, '86.62.13.136', '86.62.13.143', 1446907272, 1446907279, 'A2', 'Satellite Provider'),
(54676, '86.62.13.144', '86.62.13.147', 1446907280, 1446907283, 'GA', 'Gabon'),
(54677, '86.62.13.148', '86.62.13.151', 1446907284, 1446907287, 'A2', 'Satellite Provider'),
(54678, '86.62.13.152', '86.62.13.155', 1446907288, 1446907291, 'AF', 'Afghanistan'),
(54679, '86.62.13.156', '86.62.13.171', 1446907292, 1446907307, 'A2', 'Satellite Provider'),
(54680, '86.62.13.172', '86.62.13.175', 1446907308, 1446907311, 'AF', 'Afghanistan'),
(54681, '86.62.13.176', '86.62.13.179', 1446907312, 1446907315, 'A2', 'Satellite Provider'),
(54682, '86.62.13.180', '86.62.13.183', 1446907316, 1446907319, 'IQ', 'Iraq'),
(54683, '86.62.13.184', '86.62.13.187', 1446907320, 1446907323, 'AF', 'Afghanistan'),
(54684, '86.62.13.188', '86.62.13.219', 1446907324, 1446907355, 'A2', 'Satellite Provider'),
(54685, '86.62.13.220', '86.62.13.223', 1446907356, 1446907359, 'IQ', 'Iraq'),
(54686, '86.62.13.224', '86.62.13.231', 1446907360, 1446907367, 'A2', 'Satellite Provider'),
(54687, '86.62.13.232', '86.62.13.232', 1446907368, 1446907368, 'IQ', 'Iraq'),
(54688, '86.62.13.233', '86.62.13.235', 1446907369, 1446907371, 'A2', 'Satellite Provider'),
(54689, '86.62.13.236', '86.62.13.239', 1446907372, 1446907375, 'AF', 'Afghanistan'),
(54690, '86.62.13.240', '86.62.13.247', 1446907376, 1446907383, 'A2', 'Satellite Provider'),
(54691, '86.62.13.248', '86.62.13.251', 1446907384, 1446907387, 'CI', 'Cote D''Ivoire'),
(54692, '86.62.13.252', '86.62.14.3', 1446907388, 1446907395, 'A2', 'Satellite Provider'),
(54693, '86.62.14.4', '86.62.14.7', 1446907396, 1446907399, 'IQ', 'Iraq'),
(54694, '86.62.14.8', '86.62.14.11', 1446907400, 1446907403, 'A2', 'Satellite Provider'),
(54695, '86.62.14.12', '86.62.14.15', 1446907404, 1446907407, 'IQ', 'Iraq'),
(54696, '86.62.14.16', '86.62.14.23', 1446907408, 1446907415, 'A2', 'Satellite Provider'),
(54697, '86.62.14.24', '86.62.14.31', 1446907416, 1446907423, 'IQ', 'Iraq'),
(54698, '86.62.14.32', '86.62.14.39', 1446907424, 1446907431, 'A2', 'Satellite Provider'),
(54699, '86.62.14.40', '86.62.14.43', 1446907432, 1446907435, 'IQ', 'Iraq'),
(54700, '86.62.14.44', '86.62.14.47', 1446907436, 1446907439, 'A2', 'Satellite Provider'),
(54701, '86.62.14.48', '86.62.14.51', 1446907440, 1446907443, 'AF', 'Afghanistan'),
(54702, '86.62.14.52', '86.62.14.55', 1446907444, 1446907447, 'IQ', 'Iraq'),
(54703, '86.62.14.56', '86.62.14.95', 1446907448, 1446907487, 'A2', 'Satellite Provider'),
(54704, '86.62.14.96', '86.62.14.99', 1446907488, 1446907491, 'IQ', 'Iraq'),
(54705, '86.62.14.100', '86.62.14.103', 1446907492, 1446907495, 'TD', 'Chad'),
(54706, '86.62.14.104', '86.62.14.127', 1446907496, 1446907519, 'A2', 'Satellite Provider'),
(54707, '86.62.14.128', '86.62.14.131', 1446907520, 1446907523, 'LY', 'Libyan Arab Jamahiriya'),
(54708, '86.62.14.132', '86.62.14.139', 1446907524, 1446907531, 'A2', 'Satellite Provider'),
(54709, '86.62.14.140', '86.62.14.143', 1446907532, 1446907535, 'CI', 'Cote D''Ivoire'),
(54710, '86.62.14.144', '86.62.14.151', 1446907536, 1446907543, 'A2', 'Satellite Provider'),
(54711, '86.62.14.152', '86.62.14.155', 1446907544, 1446907547, 'LY', 'Libyan Arab Jamahiriya'),
(54712, '86.62.14.156', '86.62.14.159', 1446907548, 1446907551, 'A2', 'Satellite Provider'),
(54713, '86.62.14.160', '86.62.14.163', 1446907552, 1446907555, 'LY', 'Libyan Arab Jamahiriya'),
(54714, '86.62.14.164', '86.62.14.167', 1446907556, 1446907559, 'A2', 'Satellite Provider'),
(54715, '86.62.14.168', '86.62.14.171', 1446907560, 1446907563, 'AF', 'Afghanistan'),
(54716, '86.62.14.172', '86.62.14.179', 1446907564, 1446907571, 'A2', 'Satellite Provider'),
(54717, '86.62.14.180', '86.62.14.183', 1446907572, 1446907575, 'AF', 'Afghanistan'),
(54718, '86.62.14.184', '86.62.14.187', 1446907576, 1446907579, 'IQ', 'Iraq'),
(54719, '86.62.14.188', '86.62.14.191', 1446907580, 1446907583, 'A2', 'Satellite Provider'),
(54720, '86.62.14.192', '86.62.14.195', 1446907584, 1446907587, 'IQ', 'Iraq'),
(54721, '86.62.14.196', '86.62.14.203', 1446907588, 1446907595, 'A2', 'Satellite Provider'),
(54722, '86.62.14.204', '86.62.14.207', 1446907596, 1446907599, 'IQ', 'Iraq'),
(54723, '86.62.14.208', '86.62.14.219', 1446907600, 1446907611, 'A2', 'Satellite Provider'),
(54724, '86.62.14.220', '86.62.14.223', 1446907612, 1446907615, 'IQ', 'Iraq'),
(54725, '86.62.14.224', '86.62.14.227', 1446907616, 1446907619, 'TD', 'Chad'),
(54726, '86.62.14.228', '86.62.14.243', 1446907620, 1446907635, 'A2', 'Satellite Provider'),
(54727, '86.62.14.244', '86.62.14.247', 1446907636, 1446907639, 'IQ', 'Iraq'),
(54728, '86.62.14.248', '86.62.15.15', 1446907640, 1446907663, 'A2', 'Satellite Provider'),
(54729, '86.62.15.16', '86.62.15.19', 1446907664, 1446907667, 'NG', 'Nigeria'),
(54730, '86.62.15.20', '86.62.15.23', 1446907668, 1446907671, 'IQ', 'Iraq'),
(54731, '86.62.15.24', '86.62.15.31', 1446907672, 1446907679, 'A2', 'Satellite Provider'),
(54732, '86.62.15.32', '86.62.15.35', 1446907680, 1446907683, 'LY', 'Libyan Arab Jamahiriya'),
(54733, '86.62.15.36', '86.62.15.39', 1446907684, 1446907687, 'IQ', 'Iraq'),
(54734, '86.62.15.40', '86.62.15.43', 1446907688, 1446907691, 'A2', 'Satellite Provider'),
(54735, '86.62.15.44', '86.62.15.47', 1446907692, 1446907695, 'IQ', 'Iraq'),
(54736, '86.62.15.48', '86.62.15.63', 1446907696, 1446907711, 'A2', 'Satellite Provider'),
(54737, '86.62.15.64', '86.62.15.67', 1446907712, 1446907715, 'IQ', 'Iraq'),
(54738, '86.62.15.68', '86.62.15.71', 1446907716, 1446907719, 'AF', 'Afghanistan'),
(54739, '86.62.15.72', '86.62.15.87', 1446907720, 1446907735, 'A2', 'Satellite Provider'),
(54740, '86.62.15.88', '86.62.15.91', 1446907736, 1446907739, 'IQ', 'Iraq'),
(54741, '86.62.15.92', '86.62.15.95', 1446907740, 1446907743, 'A2', 'Satellite Provider'),
(54742, '86.62.15.96', '86.62.15.99', 1446907744, 1446907747, 'IQ', 'Iraq'),
(54743, '86.62.15.100', '86.62.15.103', 1446907748, 1446907751, 'A2', 'Satellite Provider'),
(54744, '86.62.15.104', '86.62.15.107', 1446907752, 1446907755, 'AF', 'Afghanistan'),
(54745, '86.62.15.108', '86.62.15.119', 1446907756, 1446907767, 'A2', 'Satellite Provider'),
(54746, '86.62.15.120', '86.62.15.127', 1446907768, 1446907775, 'IQ', 'Iraq'),
(54747, '86.62.15.128', '86.62.15.139', 1446907776, 1446907787, 'A2', 'Satellite Provider'),
(54748, '86.62.15.140', '86.62.15.143', 1446907788, 1446907791, 'IQ', 'Iraq'),
(54749, '86.62.15.144', '86.62.15.163', 1446907792, 1446907811, 'A2', 'Satellite Provider'),
(54750, '86.62.15.164', '86.62.15.171', 1446907812, 1446907819, 'IQ', 'Iraq'),
(54751, '86.62.15.172', '86.62.15.175', 1446907820, 1446907823, 'AF', 'Afghanistan'),
(54752, '86.62.15.176', '86.62.15.179', 1446907824, 1446907827, 'A2', 'Satellite Provider'),
(54753, '86.62.15.180', '86.62.15.183', 1446907828, 1446907831, 'TD', 'Chad'),
(54754, '86.62.15.184', '86.62.15.207', 1446907832, 1446907855, 'A2', 'Satellite Provider'),
(54755, '86.62.15.208', '86.62.15.211', 1446907856, 1446907859, 'AF', 'Afghanistan'),
(54756, '86.62.15.212', '86.62.15.223', 1446907860, 1446907871, 'A2', 'Satellite Provider'),
(54757, '86.62.15.224', '86.62.15.227', 1446907872, 1446907875, 'IQ', 'Iraq'),
(54758, '86.62.15.228', '86.62.15.243', 1446907876, 1446907891, 'A2', 'Satellite Provider'),
(54759, '86.62.15.244', '86.62.15.247', 1446907892, 1446907895, 'AF', 'Afghanistan'),
(54760, '86.62.15.248', '86.62.15.251', 1446907896, 1446907899, 'A2', 'Satellite Provider'),
(54761, '86.62.15.252', '86.62.15.255', 1446907900, 1446907903, 'EG', 'Egypt'),
(54762, '86.62.16.0', '86.62.16.7', 1446907904, 1446907911, 'A2', 'Satellite Provider'),
(54763, '86.62.16.8', '86.62.16.15', 1446907912, 1446907919, 'SD', 'Sudan'),
(54764, '86.62.16.16', '86.62.16.239', 1446907920, 1446908143, 'A2', 'Satellite Provider'),
(54765, '86.62.16.240', '86.62.16.247', 1446908144, 1446908151, 'AE', 'United Arab Emirates'),
(54766, '86.62.16.248', '86.62.16.255', 1446908152, 1446908159, 'SD', 'Sudan'),
(54767, '86.62.17.0', '86.62.17.3', 1446908160, 1446908163, 'AF', 'Afghanistan'),
(54768, '86.62.17.4', '86.62.17.27', 1446908164, 1446908187, 'A2', 'Satellite Provider'),
(54769, '86.62.17.28', '86.62.17.31', 1446908188, 1446908191, 'GH', 'Ghana'),
(54770, '86.62.17.32', '86.62.17.35', 1446908192, 1446908195, 'A2', 'Satellite Provider'),
(54771, '86.62.17.36', '86.62.17.39', 1446908196, 1446908199, 'IQ', 'Iraq'),
(54772, '86.62.17.40', '86.62.17.51', 1446908200, 1446908211, 'A2', 'Satellite Provider'),
(54773, '86.62.17.52', '86.62.17.55', 1446908212, 1446908215, 'SD', 'Sudan'),
(54774, '86.62.17.56', '86.62.17.71', 1446908216, 1446908231, 'A2', 'Satellite Provider'),
(54775, '86.62.17.72', '86.62.17.75', 1446908232, 1446908235, 'LY', 'Libyan Arab Jamahiriya'),
(54776, '86.62.17.76', '86.62.17.87', 1446908236, 1446908247, 'A2', 'Satellite Provider'),
(54777, '86.62.17.88', '86.62.17.91', 1446908248, 1446908251, 'AF', 'Afghanistan'),
(54778, '86.62.17.92', '86.62.17.99', 1446908252, 1446908259, 'A2', 'Satellite Provider'),
(54779, '86.62.17.100', '86.62.17.103', 1446908260, 1446908263, 'IQ', 'Iraq'),
(54780, '86.62.17.104', '86.62.17.107', 1446908264, 1446908267, 'A2', 'Satellite Provider'),
(54781, '86.62.17.108', '86.62.17.111', 1446908268, 1446908271, 'AF', 'Afghanistan'),
(54782, '86.62.17.112', '86.62.17.115', 1446908272, 1446908275, 'A2', 'Satellite Provider'),
(54783, '86.62.17.116', '86.62.17.119', 1446908276, 1446908279, 'LY', 'Libyan Arab Jamahiriya'),
(54784, '86.62.17.120', '86.62.17.123', 1446908280, 1446908283, 'A2', 'Satellite Provider'),
(54785, '86.62.17.124', '86.62.17.127', 1446908284, 1446908287, 'AF', 'Afghanistan'),
(54786, '86.62.17.128', '86.62.17.139', 1446908288, 1446908299, 'A2', 'Satellite Provider'),
(54787, '86.62.17.140', '86.62.17.143', 1446908300, 1446908303, 'IQ', 'Iraq'),
(54788, '86.62.17.144', '86.62.17.171', 1446908304, 1446908331, 'A2', 'Satellite Provider'),
(54789, '86.62.17.172', '86.62.17.175', 1446908332, 1446908335, 'NG', 'Nigeria'),
(54790, '86.62.17.176', '86.62.17.183', 1446908336, 1446908343, 'A2', 'Satellite Provider'),
(54791, '86.62.17.184', '86.62.17.187', 1446908344, 1446908347, 'IQ', 'Iraq'),
(54792, '86.62.17.188', '86.62.17.191', 1446908348, 1446908351, 'TD', 'Chad'),
(54793, '86.62.17.192', '86.62.17.195', 1446908352, 1446908355, 'IQ', 'Iraq'),
(54794, '86.62.17.196', '86.62.17.199', 1446908356, 1446908359, 'A2', 'Satellite Provider'),
(54795, '86.62.17.200', '86.62.17.203', 1446908360, 1446908363, 'LY', 'Libyan Arab Jamahiriya'),
(54796, '86.62.17.204', '86.62.17.219', 1446908364, 1446908379, 'A2', 'Satellite Provider');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(54797, '86.62.17.220', '86.62.17.223', 1446908380, 1446908383, 'IQ', 'Iraq'),
(54798, '86.62.17.224', '86.62.17.227', 1446908384, 1446908387, 'A2', 'Satellite Provider'),
(54799, '86.62.17.228', '86.62.17.231', 1446908388, 1446908391, 'IQ', 'Iraq'),
(54800, '86.62.17.232', '86.62.18.7', 1446908392, 1446908423, 'A2', 'Satellite Provider'),
(54801, '86.62.18.8', '86.62.18.11', 1446908424, 1446908427, 'AF', 'Afghanistan'),
(54802, '86.62.18.12', '86.62.18.19', 1446908428, 1446908435, 'A2', 'Satellite Provider'),
(54803, '86.62.18.20', '86.62.18.27', 1446908436, 1446908443, 'AF', 'Afghanistan'),
(54804, '86.62.18.28', '86.62.18.39', 1446908444, 1446908455, 'A2', 'Satellite Provider'),
(54805, '86.62.18.40', '86.62.18.43', 1446908456, 1446908459, 'LB', 'Lebanon'),
(54806, '86.62.18.44', '86.62.18.63', 1446908460, 1446908479, 'A2', 'Satellite Provider'),
(54807, '86.62.18.64', '86.62.18.67', 1446908480, 1446908483, 'IQ', 'Iraq'),
(54808, '86.62.18.68', '86.62.18.187', 1446908484, 1446908603, 'A2', 'Satellite Provider'),
(54809, '86.62.18.188', '86.62.18.191', 1446908604, 1446908607, 'CG', 'Congo'),
(54810, '86.62.18.192', '86.62.18.215', 1446908608, 1446908631, 'A2', 'Satellite Provider'),
(54811, '86.62.18.216', '86.62.18.219', 1446908632, 1446908635, 'IQ', 'Iraq'),
(54812, '86.62.18.220', '86.62.18.239', 1446908636, 1446908655, 'A2', 'Satellite Provider'),
(54813, '86.62.18.240', '86.62.18.243', 1446908656, 1446908659, 'IQ', 'Iraq'),
(54814, '86.62.18.244', '86.62.18.247', 1446908660, 1446908663, 'A2', 'Satellite Provider'),
(54815, '86.62.18.248', '86.62.18.251', 1446908664, 1446908667, 'IQ', 'Iraq'),
(54816, '86.62.18.252', '86.62.19.11', 1446908668, 1446908683, 'A2', 'Satellite Provider'),
(54817, '86.62.19.12', '86.62.19.15', 1446908684, 1446908687, 'SD', 'Sudan'),
(54818, '86.62.19.16', '86.62.19.19', 1446908688, 1446908691, 'IQ', 'Iraq'),
(54819, '86.62.19.20', '86.62.19.83', 1446908692, 1446908755, 'A2', 'Satellite Provider'),
(54820, '86.62.19.84', '86.62.19.87', 1446908756, 1446908759, 'IQ', 'Iraq'),
(54821, '86.62.19.88', '86.62.19.115', 1446908760, 1446908787, 'A2', 'Satellite Provider'),
(54822, '86.62.19.116', '86.62.19.119', 1446908788, 1446908791, 'NG', 'Nigeria'),
(54823, '86.62.19.120', '86.62.19.191', 1446908792, 1446908863, 'A2', 'Satellite Provider'),
(54824, '86.62.19.192', '86.62.19.199', 1446908864, 1446908871, 'AF', 'Afghanistan'),
(54825, '86.62.19.200', '86.62.19.203', 1446908872, 1446908875, 'A2', 'Satellite Provider'),
(54826, '86.62.19.204', '86.62.19.207', 1446908876, 1446908879, 'AF', 'Afghanistan'),
(54827, '86.62.19.208', '86.62.19.247', 1446908880, 1446908919, 'A2', 'Satellite Provider'),
(54828, '86.62.19.248', '86.62.19.251', 1446908920, 1446908923, 'IQ', 'Iraq'),
(54829, '86.62.19.252', '86.62.19.255', 1446908924, 1446908927, 'A2', 'Satellite Provider'),
(54830, '86.62.20.0', '86.62.20.3', 1446908928, 1446908931, 'IQ', 'Iraq'),
(54831, '86.62.20.4', '86.62.20.43', 1446908932, 1446908971, 'A2', 'Satellite Provider'),
(54832, '86.62.20.44', '86.62.20.47', 1446908972, 1446908975, 'AF', 'Afghanistan'),
(54833, '86.62.20.48', '86.62.20.51', 1446908976, 1446908979, 'GA', 'Gabon'),
(54834, '86.62.20.52', '86.62.20.55', 1446908980, 1446908983, 'AF', 'Afghanistan'),
(54835, '86.62.20.56', '86.62.20.63', 1446908984, 1446908991, 'A2', 'Satellite Provider'),
(54836, '86.62.20.64', '86.62.20.67', 1446908992, 1446908995, 'IQ', 'Iraq'),
(54837, '86.62.20.68', '86.62.20.79', 1446908996, 1446909007, 'A2', 'Satellite Provider'),
(54838, '86.62.20.80', '86.62.20.83', 1446909008, 1446909011, 'IQ', 'Iraq'),
(54839, '86.62.20.84', '86.62.20.155', 1446909012, 1446909083, 'A2', 'Satellite Provider'),
(54840, '86.62.20.156', '86.62.20.159', 1446909084, 1446909087, 'CG', 'Congo'),
(54841, '86.62.20.160', '86.62.20.167', 1446909088, 1446909095, 'A2', 'Satellite Provider'),
(54842, '86.62.20.168', '86.62.20.171', 1446909096, 1446909099, 'TD', 'Chad'),
(54843, '86.62.20.172', '86.62.20.183', 1446909100, 1446909111, 'A2', 'Satellite Provider'),
(54844, '86.62.20.184', '86.62.20.187', 1446909112, 1446909115, 'IQ', 'Iraq'),
(54845, '86.62.20.188', '86.62.20.235', 1446909116, 1446909163, 'A2', 'Satellite Provider'),
(54846, '86.62.20.236', '86.62.20.239', 1446909164, 1446909167, 'IQ', 'Iraq'),
(54847, '86.62.20.240', '86.62.21.3', 1446909168, 1446909187, 'A2', 'Satellite Provider'),
(54848, '86.62.21.4', '86.62.21.7', 1446909188, 1446909191, 'IQ', 'Iraq'),
(54849, '86.62.21.8', '86.62.21.19', 1446909192, 1446909203, 'A2', 'Satellite Provider'),
(54850, '86.62.21.20', '86.62.21.23', 1446909204, 1446909207, 'IQ', 'Iraq'),
(54851, '86.62.21.24', '86.62.21.55', 1446909208, 1446909239, 'A2', 'Satellite Provider'),
(54852, '86.62.21.56', '86.62.21.59', 1446909240, 1446909243, 'LY', 'Libyan Arab Jamahiriya'),
(54853, '86.62.21.60', '86.62.21.111', 1446909244, 1446909295, 'A2', 'Satellite Provider'),
(54854, '86.62.21.112', '86.62.21.115', 1446909296, 1446909299, 'IQ', 'Iraq'),
(54855, '86.62.21.116', '86.62.21.179', 1446909300, 1446909363, 'A2', 'Satellite Provider'),
(54856, '86.62.21.180', '86.62.21.183', 1446909364, 1446909367, 'IQ', 'Iraq'),
(54857, '86.62.21.184', '86.62.21.215', 1446909368, 1446909399, 'A2', 'Satellite Provider'),
(54858, '86.62.21.216', '86.62.21.219', 1446909400, 1446909403, 'AF', 'Afghanistan'),
(54859, '86.62.21.220', '86.62.21.239', 1446909404, 1446909423, 'A2', 'Satellite Provider'),
(54860, '86.62.21.240', '86.62.21.251', 1446909424, 1446909435, 'AF', 'Afghanistan'),
(54861, '86.62.21.252', '86.62.22.3', 1446909436, 1446909443, 'IQ', 'Iraq'),
(54862, '86.62.22.4', '86.62.22.7', 1446909444, 1446909447, 'NG', 'Nigeria'),
(54863, '86.62.22.8', '86.62.22.59', 1446909448, 1446909499, 'A2', 'Satellite Provider'),
(54864, '86.62.22.60', '86.62.22.63', 1446909500, 1446909503, 'IQ', 'Iraq'),
(54865, '86.62.22.64', '86.62.22.67', 1446909504, 1446909507, 'LY', 'Libyan Arab Jamahiriya'),
(54866, '86.62.22.68', '86.62.22.71', 1446909508, 1446909511, 'IQ', 'Iraq'),
(54867, '86.62.22.72', '86.62.22.75', 1446909512, 1446909515, 'A2', 'Satellite Provider'),
(54868, '86.62.22.76', '86.62.22.79', 1446909516, 1446909519, 'EG', 'Egypt'),
(54869, '86.62.22.80', '86.62.22.83', 1446909520, 1446909523, 'CG', 'Congo'),
(54870, '86.62.22.84', '86.62.22.87', 1446909524, 1446909527, 'A2', 'Satellite Provider'),
(54871, '86.62.22.88', '86.62.22.91', 1446909528, 1446909531, 'EG', 'Egypt'),
(54872, '86.62.22.92', '86.62.22.95', 1446909532, 1446909535, 'A2', 'Satellite Provider'),
(54873, '86.62.22.96', '86.62.22.99', 1446909536, 1446909539, 'AF', 'Afghanistan'),
(54874, '86.62.22.100', '86.62.22.107', 1446909540, 1446909547, 'IQ', 'Iraq'),
(54875, '86.62.22.108', '86.62.22.135', 1446909548, 1446909575, 'A2', 'Satellite Provider'),
(54876, '86.62.22.136', '86.62.22.139', 1446909576, 1446909579, 'AF', 'Afghanistan'),
(54877, '86.62.22.140', '86.62.22.159', 1446909580, 1446909599, 'A2', 'Satellite Provider'),
(54878, '86.62.22.160', '86.62.22.163', 1446909600, 1446909603, 'AF', 'Afghanistan'),
(54879, '86.62.22.164', '86.62.22.199', 1446909604, 1446909639, 'A2', 'Satellite Provider'),
(54880, '86.62.22.200', '86.62.22.203', 1446909640, 1446909643, 'NG', 'Nigeria'),
(54881, '86.62.22.204', '86.62.22.247', 1446909644, 1446909687, 'A2', 'Satellite Provider'),
(54882, '86.62.22.248', '86.62.22.251', 1446909688, 1446909691, 'AF', 'Afghanistan'),
(54883, '86.62.22.252', '86.62.23.43', 1446909692, 1446909739, 'A2', 'Satellite Provider'),
(54884, '86.62.23.44', '86.62.23.47', 1446909740, 1446909743, 'AF', 'Afghanistan'),
(54885, '86.62.23.48', '86.62.23.107', 1446909744, 1446909803, 'A2', 'Satellite Provider'),
(54886, '86.62.23.108', '86.62.23.111', 1446909804, 1446909807, 'AF', 'Afghanistan'),
(54887, '86.62.23.112', '86.62.23.119', 1446909808, 1446909815, 'A2', 'Satellite Provider'),
(54888, '86.62.23.120', '86.62.23.123', 1446909816, 1446909819, 'AF', 'Afghanistan'),
(54889, '86.62.23.124', '86.62.23.131', 1446909820, 1446909827, 'IQ', 'Iraq'),
(54890, '86.62.23.132', '86.62.24.15', 1446909828, 1446909967, 'A2', 'Satellite Provider'),
(54891, '86.62.24.16', '86.62.24.19', 1446909968, 1446909971, 'LY', 'Libyan Arab Jamahiriya'),
(54892, '86.62.24.20', '86.62.24.47', 1446909972, 1446909999, 'A2', 'Satellite Provider'),
(54893, '86.62.24.48', '86.62.24.51', 1446910000, 1446910003, 'AF', 'Afghanistan'),
(54894, '86.62.24.52', '86.62.24.67', 1446910004, 1446910019, 'A2', 'Satellite Provider'),
(54895, '86.62.24.68', '86.62.24.71', 1446910020, 1446910023, 'IQ', 'Iraq'),
(54896, '86.62.24.72', '86.62.24.83', 1446910024, 1446910035, 'A2', 'Satellite Provider'),
(54897, '86.62.24.84', '86.62.24.87', 1446910036, 1446910039, 'NG', 'Nigeria'),
(54898, '86.62.24.88', '86.62.24.103', 1446910040, 1446910055, 'A2', 'Satellite Provider'),
(54899, '86.62.24.104', '86.62.24.107', 1446910056, 1446910059, 'ZM', 'Zambia'),
(54900, '86.62.24.108', '86.62.24.159', 1446910060, 1446910111, 'A2', 'Satellite Provider'),
(54901, '86.62.24.160', '86.62.24.163', 1446910112, 1446910115, 'NG', 'Nigeria'),
(54902, '86.62.24.164', '86.62.24.187', 1446910116, 1446910139, 'A2', 'Satellite Provider'),
(54903, '86.62.24.188', '86.62.24.191', 1446910140, 1446910143, 'NG', 'Nigeria'),
(54904, '86.62.24.192', '86.62.24.211', 1446910144, 1446910163, 'A2', 'Satellite Provider'),
(54905, '86.62.24.212', '86.62.24.215', 1446910164, 1446910167, 'NG', 'Nigeria'),
(54906, '86.62.24.216', '86.62.24.235', 1446910168, 1446910187, 'A2', 'Satellite Provider'),
(54907, '86.62.24.236', '86.62.24.239', 1446910188, 1446910191, 'IQ', 'Iraq'),
(54908, '86.62.24.240', '86.62.24.243', 1446910192, 1446910195, 'A2', 'Satellite Provider'),
(54909, '86.62.24.244', '86.62.24.247', 1446910196, 1446910199, 'AF', 'Afghanistan'),
(54910, '86.62.24.248', '86.62.25.7', 1446910200, 1446910215, 'A2', 'Satellite Provider'),
(54911, '86.62.25.8', '86.62.25.11', 1446910216, 1446910219, 'IQ', 'Iraq'),
(54912, '86.62.25.12', '86.62.25.15', 1446910220, 1446910223, 'A2', 'Satellite Provider'),
(54913, '86.62.25.16', '86.62.25.19', 1446910224, 1446910227, 'IQ', 'Iraq'),
(54914, '86.62.25.20', '86.62.25.43', 1446910228, 1446910251, 'A2', 'Satellite Provider'),
(54915, '86.62.25.44', '86.62.25.47', 1446910252, 1446910255, 'IQ', 'Iraq'),
(54916, '86.62.25.48', '86.62.25.67', 1446910256, 1446910275, 'A2', 'Satellite Provider'),
(54917, '86.62.25.68', '86.62.25.71', 1446910276, 1446910279, 'IQ', 'Iraq'),
(54918, '86.62.25.72', '86.62.25.75', 1446910280, 1446910283, 'A2', 'Satellite Provider'),
(54919, '86.62.25.76', '86.62.25.79', 1446910284, 1446910287, 'IQ', 'Iraq'),
(54920, '86.62.25.80', '86.62.25.95', 1446910288, 1446910303, 'A2', 'Satellite Provider'),
(54921, '86.62.25.96', '86.62.25.99', 1446910304, 1446910307, 'IQ', 'Iraq'),
(54922, '86.62.25.100', '86.62.25.103', 1446910308, 1446910311, 'AF', 'Afghanistan'),
(54923, '86.62.25.104', '86.62.25.127', 1446910312, 1446910335, 'A2', 'Satellite Provider'),
(54924, '86.62.25.128', '86.62.25.131', 1446910336, 1446910339, 'AF', 'Afghanistan'),
(54925, '86.62.25.132', '86.62.25.139', 1446910340, 1446910347, 'A2', 'Satellite Provider'),
(54926, '86.62.25.140', '86.62.25.143', 1446910348, 1446910351, 'GA', 'Gabon'),
(54927, '86.62.25.144', '86.62.25.151', 1446910352, 1446910359, 'A2', 'Satellite Provider'),
(54928, '86.62.25.152', '86.62.25.155', 1446910360, 1446910363, 'IQ', 'Iraq'),
(54929, '86.62.25.156', '86.62.25.167', 1446910364, 1446910375, 'A2', 'Satellite Provider'),
(54930, '86.62.25.168', '86.62.25.171', 1446910376, 1446910379, 'AF', 'Afghanistan'),
(54931, '86.62.25.172', '86.62.25.251', 1446910380, 1446910459, 'A2', 'Satellite Provider'),
(54932, '86.62.25.252', '86.62.25.255', 1446910460, 1446910463, 'LY', 'Libyan Arab Jamahiriya'),
(54933, '86.62.26.0', '86.62.26.7', 1446910464, 1446910471, 'A2', 'Satellite Provider'),
(54934, '86.62.26.8', '86.62.26.15', 1446910472, 1446910479, 'LY', 'Libyan Arab Jamahiriya'),
(54935, '86.62.26.16', '86.62.26.23', 1446910480, 1446910487, 'EG', 'Egypt'),
(54936, '86.62.26.24', '86.62.26.31', 1446910488, 1446910495, 'A2', 'Satellite Provider'),
(54937, '86.62.26.32', '86.62.26.39', 1446910496, 1446910503, 'NG', 'Nigeria'),
(54938, '86.62.26.40', '86.62.26.135', 1446910504, 1446910599, 'A2', 'Satellite Provider'),
(54939, '86.62.26.136', '86.62.26.143', 1446910600, 1446910607, 'NG', 'Nigeria'),
(54940, '86.62.26.144', '86.62.26.159', 1446910608, 1446910623, 'A2', 'Satellite Provider'),
(54941, '86.62.26.160', '86.62.26.175', 1446910624, 1446910639, 'AF', 'Afghanistan'),
(54942, '86.62.26.176', '86.62.26.231', 1446910640, 1446910695, 'A2', 'Satellite Provider'),
(54943, '86.62.26.232', '86.62.26.247', 1446910696, 1446910711, 'SD', 'Sudan'),
(54944, '86.62.26.248', '86.62.26.255', 1446910712, 1446910719, 'A2', 'Satellite Provider'),
(54945, '86.62.27.0', '86.62.28.255', 1446910720, 1446911231, 'IQ', 'Iraq'),
(54946, '86.62.29.0', '86.62.29.3', 1446911232, 1446911235, 'A2', 'Satellite Provider'),
(54947, '86.62.29.4', '86.62.29.7', 1446911236, 1446911239, 'IQ', 'Iraq'),
(54948, '86.62.29.8', '86.62.29.23', 1446911240, 1446911255, 'A2', 'Satellite Provider'),
(54949, '86.62.29.24', '86.62.29.27', 1446911256, 1446911259, 'LY', 'Libyan Arab Jamahiriya'),
(54950, '86.62.29.28', '86.62.29.31', 1446911260, 1446911263, 'AF', 'Afghanistan'),
(54951, '86.62.29.32', '86.62.29.35', 1446911264, 1446911267, 'IQ', 'Iraq'),
(54952, '86.62.29.36', '86.62.29.39', 1446911268, 1446911271, 'AF', 'Afghanistan'),
(54953, '86.62.29.40', '86.62.29.71', 1446911272, 1446911303, 'A2', 'Satellite Provider'),
(54954, '86.62.29.72', '86.62.29.75', 1446911304, 1446911307, 'IQ', 'Iraq'),
(54955, '86.62.29.76', '86.62.29.87', 1446911308, 1446911319, 'A2', 'Satellite Provider'),
(54956, '86.62.29.88', '86.62.29.91', 1446911320, 1446911323, 'AF', 'Afghanistan'),
(54957, '86.62.29.92', '86.62.29.111', 1446911324, 1446911343, 'A2', 'Satellite Provider'),
(54958, '86.62.29.112', '86.62.29.115', 1446911344, 1446911347, 'IQ', 'Iraq'),
(54959, '86.62.29.116', '86.62.29.119', 1446911348, 1446911351, 'LY', 'Libyan Arab Jamahiriya'),
(54960, '86.62.29.120', '86.62.29.131', 1446911352, 1446911363, 'A2', 'Satellite Provider'),
(54961, '86.62.29.132', '86.62.29.135', 1446911364, 1446911367, 'LY', 'Libyan Arab Jamahiriya'),
(54962, '86.62.29.136', '86.62.29.163', 1446911368, 1446911395, 'A2', 'Satellite Provider'),
(54963, '86.62.29.164', '86.62.29.167', 1446911396, 1446911399, 'AF', 'Afghanistan'),
(54964, '86.62.29.168', '86.62.29.171', 1446911400, 1446911403, 'A2', 'Satellite Provider'),
(54965, '86.62.29.172', '86.62.29.175', 1446911404, 1446911407, 'AF', 'Afghanistan'),
(54966, '86.62.29.176', '86.62.29.179', 1446911408, 1446911411, 'LY', 'Libyan Arab Jamahiriya'),
(54967, '86.62.29.180', '86.62.29.191', 1446911412, 1446911423, 'A2', 'Satellite Provider'),
(54968, '86.62.29.192', '86.62.29.195', 1446911424, 1446911427, 'AF', 'Afghanistan'),
(54969, '86.62.29.196', '86.62.29.203', 1446911428, 1446911435, 'A2', 'Satellite Provider'),
(54970, '86.62.29.204', '86.62.29.207', 1446911436, 1446911439, 'SD', 'Sudan'),
(54971, '86.62.29.208', '86.62.29.211', 1446911440, 1446911443, 'A2', 'Satellite Provider'),
(54972, '86.62.29.212', '86.62.29.215', 1446911444, 1446911447, 'IQ', 'Iraq'),
(54973, '86.62.29.216', '86.62.29.227', 1446911448, 1446911459, 'A2', 'Satellite Provider'),
(54974, '86.62.29.228', '86.62.29.231', 1446911460, 1446911463, 'LY', 'Libyan Arab Jamahiriya'),
(54975, '86.62.29.232', '86.62.29.243', 1446911464, 1446911475, 'A2', 'Satellite Provider'),
(54976, '86.62.29.244', '86.62.29.247', 1446911476, 1446911479, 'ER', 'Eritrea'),
(54977, '86.62.29.248', '86.62.29.251', 1446911480, 1446911483, 'CG', 'Congo'),
(54978, '86.62.29.252', '86.62.30.255', 1446911484, 1446911743, 'A2', 'Satellite Provider'),
(54979, '86.62.31.0', '86.62.31.7', 1446911744, 1446911751, 'IQ', 'Iraq'),
(54980, '86.62.31.8', '86.62.31.19', 1446911752, 1446911763, 'A2', 'Satellite Provider'),
(54981, '86.62.31.20', '86.62.31.23', 1446911764, 1446911767, 'LY', 'Libyan Arab Jamahiriya'),
(54982, '86.62.31.24', '86.62.31.27', 1446911768, 1446911771, 'A2', 'Satellite Provider'),
(54983, '86.62.31.28', '86.62.31.31', 1446911772, 1446911775, 'AF', 'Afghanistan'),
(54984, '86.62.31.32', '86.62.31.35', 1446911776, 1446911779, 'A2', 'Satellite Provider'),
(54985, '86.62.31.36', '86.62.31.39', 1446911780, 1446911783, 'AF', 'Afghanistan'),
(54986, '86.62.31.40', '86.62.31.43', 1446911784, 1446911787, 'A2', 'Satellite Provider'),
(54987, '86.62.31.44', '86.62.31.47', 1446911788, 1446911791, 'AF', 'Afghanistan'),
(54988, '86.62.31.48', '86.62.31.51', 1446911792, 1446911795, 'A2', 'Satellite Provider'),
(54989, '86.62.31.52', '86.62.31.55', 1446911796, 1446911799, 'IQ', 'Iraq'),
(54990, '86.62.31.56', '86.62.31.59', 1446911800, 1446911803, 'NG', 'Nigeria'),
(54991, '86.62.31.60', '86.62.31.75', 1446911804, 1446911819, 'A2', 'Satellite Provider'),
(54992, '86.62.31.76', '86.62.31.79', 1446911820, 1446911823, 'IQ', 'Iraq'),
(54993, '86.62.31.80', '86.62.31.83', 1446911824, 1446911827, 'A2', 'Satellite Provider'),
(54994, '86.62.31.84', '86.62.31.87', 1446911828, 1446911831, 'IQ', 'Iraq'),
(54995, '86.62.31.88', '86.62.31.91', 1446911832, 1446911835, 'A2', 'Satellite Provider'),
(54996, '86.62.31.92', '86.62.31.99', 1446911836, 1446911843, 'IQ', 'Iraq'),
(54997, '86.62.31.100', '86.62.31.103', 1446911844, 1446911847, 'A2', 'Satellite Provider'),
(54998, '86.62.31.104', '86.62.31.111', 1446911848, 1446911855, 'IQ', 'Iraq'),
(54999, '86.62.31.112', '86.62.31.115', 1446911856, 1446911859, 'AF', 'Afghanistan'),
(55000, '86.62.31.116', '86.62.31.123', 1446911860, 1446911867, 'A2', 'Satellite Provider'),
(55001, '86.62.31.124', '86.62.31.127', 1446911868, 1446911871, 'LY', 'Libyan Arab Jamahiriya'),
(55002, '86.62.31.128', '86.62.31.131', 1446911872, 1446911875, 'AF', 'Afghanistan'),
(55003, '86.62.31.132', '86.62.31.159', 1446911876, 1446911903, 'A2', 'Satellite Provider'),
(55004, '86.62.31.160', '86.62.31.163', 1446911904, 1446911907, 'AF', 'Afghanistan'),
(55005, '86.62.31.164', '86.62.31.203', 1446911908, 1446911947, 'A2', 'Satellite Provider'),
(55006, '86.62.31.204', '86.62.31.207', 1446911948, 1446911951, 'IQ', 'Iraq'),
(55007, '86.62.31.208', '86.62.31.211', 1446911952, 1446911955, 'A2', 'Satellite Provider'),
(55008, '86.62.31.212', '86.62.31.215', 1446911956, 1446911959, 'IQ', 'Iraq'),
(55009, '86.62.31.216', '86.62.31.219', 1446911960, 1446911963, 'A2', 'Satellite Provider'),
(55010, '86.62.31.220', '86.62.31.223', 1446911964, 1446911967, 'IQ', 'Iraq'),
(55011, '86.62.31.224', '86.62.31.243', 1446911968, 1446911987, 'A2', 'Satellite Provider'),
(55012, '86.62.31.244', '86.62.31.251', 1446911988, 1446911995, 'AF', 'Afghanistan'),
(55013, '86.62.31.252', '86.62.32.3', 1446911996, 1446912003, 'A2', 'Satellite Provider'),
(55014, '86.62.32.4', '86.62.32.7', 1446912004, 1446912007, 'AF', 'Afghanistan'),
(55015, '86.62.32.8', '86.62.32.11', 1446912008, 1446912011, 'A2', 'Satellite Provider'),
(55016, '86.62.32.12', '86.62.32.15', 1446912012, 1446912015, 'IQ', 'Iraq'),
(55017, '86.62.32.16', '86.62.32.27', 1446912016, 1446912027, 'A2', 'Satellite Provider'),
(55018, '86.62.32.28', '86.62.32.31', 1446912028, 1446912031, 'AF', 'Afghanistan'),
(55019, '86.62.32.32', '86.62.32.35', 1446912032, 1446912035, 'A2', 'Satellite Provider'),
(55020, '86.62.32.36', '86.62.32.39', 1446912036, 1446912039, 'AF', 'Afghanistan'),
(55021, '86.62.32.40', '86.62.32.43', 1446912040, 1446912043, 'IQ', 'Iraq'),
(55022, '86.62.32.44', '86.62.32.47', 1446912044, 1446912047, 'CG', 'Congo'),
(55023, '86.62.32.48', '86.62.32.51', 1446912048, 1446912051, 'AF', 'Afghanistan'),
(55024, '86.62.32.52', '86.62.32.55', 1446912052, 1446912055, 'ER', 'Eritrea'),
(55025, '86.62.32.56', '86.62.32.59', 1446912056, 1446912059, 'A2', 'Satellite Provider'),
(55026, '86.62.32.60', '86.62.32.63', 1446912060, 1446912063, 'NG', 'Nigeria'),
(55027, '86.62.32.64', '86.62.32.67', 1446912064, 1446912067, 'AF', 'Afghanistan'),
(55028, '86.62.32.68', '86.62.32.71', 1446912068, 1446912071, 'A2', 'Satellite Provider'),
(55029, '86.62.32.72', '86.62.32.75', 1446912072, 1446912075, 'IQ', 'Iraq'),
(55030, '86.62.32.76', '86.62.32.79', 1446912076, 1446912079, 'A2', 'Satellite Provider'),
(55031, '86.62.32.80', '86.62.32.83', 1446912080, 1446912083, 'IQ', 'Iraq'),
(55032, '86.62.32.84', '86.62.32.87', 1446912084, 1446912087, 'AF', 'Afghanistan'),
(55033, '86.62.32.88', '86.62.32.95', 1446912088, 1446912095, 'A2', 'Satellite Provider'),
(55034, '86.62.32.96', '86.62.32.103', 1446912096, 1446912103, 'AF', 'Afghanistan'),
(55035, '86.62.32.104', '86.62.32.115', 1446912104, 1446912115, 'A2', 'Satellite Provider'),
(55036, '86.62.32.116', '86.62.32.119', 1446912116, 1446912119, 'LY', 'Libyan Arab Jamahiriya'),
(55037, '86.62.32.120', '86.62.32.151', 1446912120, 1446912151, 'A2', 'Satellite Provider'),
(55038, '86.62.32.152', '86.62.32.155', 1446912152, 1446912155, 'CF', 'Central African Republic'),
(55039, '86.62.32.156', '86.62.32.163', 1446912156, 1446912163, 'A2', 'Satellite Provider'),
(55040, '86.62.32.164', '86.62.32.167', 1446912164, 1446912167, 'IQ', 'Iraq'),
(55041, '86.62.32.168', '86.62.32.183', 1446912168, 1446912183, 'A2', 'Satellite Provider'),
(55042, '86.62.32.184', '86.62.32.187', 1446912184, 1446912187, 'AF', 'Afghanistan'),
(55043, '86.62.32.188', '86.62.32.191', 1446912188, 1446912191, 'IQ', 'Iraq'),
(55044, '86.62.32.192', '86.62.32.195', 1446912192, 1446912195, 'A2', 'Satellite Provider'),
(55045, '86.62.32.196', '86.62.32.203', 1446912196, 1446912203, 'IQ', 'Iraq'),
(55046, '86.62.32.204', '86.62.32.215', 1446912204, 1446912215, 'A2', 'Satellite Provider'),
(55047, '86.62.32.216', '86.62.32.219', 1446912216, 1446912219, 'IQ', 'Iraq'),
(55048, '86.62.32.220', '86.62.32.239', 1446912220, 1446912239, 'A2', 'Satellite Provider'),
(55049, '86.62.32.240', '86.62.32.247', 1446912240, 1446912247, 'IQ', 'Iraq'),
(55050, '86.62.32.248', '86.62.32.251', 1446912248, 1446912251, 'AF', 'Afghanistan'),
(55051, '86.62.32.252', '86.62.32.255', 1446912252, 1446912255, 'IQ', 'Iraq'),
(55052, '86.62.33.0', '86.62.33.7', 1446912256, 1446912263, 'AF', 'Afghanistan'),
(55053, '86.62.33.8', '86.62.33.39', 1446912264, 1446912295, 'IQ', 'Iraq'),
(55054, '86.62.33.40', '86.62.33.55', 1446912296, 1446912311, 'AF', 'Afghanistan'),
(55055, '86.62.33.56', '86.62.33.63', 1446912312, 1446912319, 'A2', 'Satellite Provider'),
(55056, '86.62.33.64', '86.62.33.79', 1446912320, 1446912335, 'IQ', 'Iraq'),
(55057, '86.62.33.80', '86.62.33.87', 1446912336, 1446912343, 'KW', 'Kuwait'),
(55058, '86.62.33.88', '86.62.33.111', 1446912344, 1446912367, 'IQ', 'Iraq'),
(55059, '86.62.33.112', '86.62.33.119', 1446912368, 1446912375, 'A2', 'Satellite Provider'),
(55060, '86.62.33.120', '86.62.33.135', 1446912376, 1446912391, 'AF', 'Afghanistan'),
(55061, '86.62.33.136', '86.62.33.143', 1446912392, 1446912399, 'GA', 'Gabon'),
(55062, '86.62.33.144', '86.62.33.159', 1446912400, 1446912415, 'AF', 'Afghanistan'),
(55063, '86.62.33.160', '86.62.33.167', 1446912416, 1446912423, 'A2', 'Satellite Provider'),
(55064, '86.62.33.168', '86.62.33.175', 1446912424, 1446912431, 'AF', 'Afghanistan'),
(55065, '86.62.33.176', '86.62.63.255', 1446912432, 1446920191, 'A2', 'Satellite Provider'),
(55066, '86.62.64.0', '86.62.127.255', 1446920192, 1446936575, 'RU', 'Russian Federation'),
(55067, '86.62.128.0', '86.62.191.255', 1446936576, 1446952959, 'NO', 'Norway'),
(55068, '86.62.192.0', '86.62.255.255', 1446952960, 1446969343, 'QA', 'Qatar'),
(55069, '86.63.0.0', '86.63.63.255', 1446969344, 1446985727, 'GB', 'United Kingdom'),
(55070, '86.63.64.0', '86.63.159.255', 1446985728, 1447010303, 'PL', 'Poland'),
(55071, '86.63.160.0', '86.63.191.255', 1447010304, 1447018495, 'LV', 'Latvia'),
(55072, '86.63.192.0', '86.63.193.255', 1447018496, 1447019007, 'CZ', 'Czech Republic'),
(55073, '86.63.194.0', '86.63.194.15', 1447019008, 1447019023, 'BZ', 'Belize'),
(55074, '86.63.194.16', '86.63.223.255', 1447019024, 1447026687, 'CZ', 'Czech Republic'),
(55075, '86.63.224.0', '86.64.162.2', 1447026688, 1447076354, 'FR', 'France'),
(55076, '86.64.162.3', '86.64.162.5', 1447076355, 1447076357, 'A1', 'Anonymous Proxy'),
(55077, '86.64.162.6', '86.66.13.95', 1447076358, 1447169375, 'FR', 'France'),
(55078, '86.66.13.96', '86.66.13.111', 1447169376, 1447169391, 'TN', 'Tunisia'),
(55079, '86.66.13.112', '86.79.255.255', 1447169392, 1448083455, 'FR', 'France'),
(55080, '86.80.0.0', '86.95.255.255', 1448083456, 1449132031, 'NL', 'Netherlands'),
(55081, '86.96.0.0', '86.99.255.255', 1449132032, 1449394175, 'AE', 'United Arab Emirates'),
(55082, '86.100.0.0', '86.100.255.255', 1449394176, 1449459711, 'LT', 'Lithuania'),
(55083, '86.101.0.0', '86.101.255.255', 1449459712, 1449525247, 'HU', 'Hungary'),
(55084, '86.102.0.0', '86.102.255.255', 1449525248, 1449590783, 'RU', 'Russian Federation'),
(55085, '86.103.0.0', '86.103.255.255', 1449590784, 1449656319, 'DE', 'Germany'),
(55086, '86.104.0.0', '86.106.82.255', 1449656320, 1449808639, 'RO', 'Romania'),
(55087, '86.106.83.0', '86.106.83.255', 1449808640, 1449808895, 'UA', 'Ukraine'),
(55088, '86.106.84.0', '86.106.207.255', 1449808896, 1449840639, 'RO', 'Romania'),
(55089, '86.106.208.0', '86.106.255.255', 1449840640, 1449852927, 'MD', 'Moldova, Republic of'),
(55090, '86.107.0.0', '86.107.255.255', 1449852928, 1449918463, 'RO', 'Romania'),
(55091, '86.108.0.0', '86.108.127.255', 1449918464, 1449951231, 'JO', 'Jordan'),
(55092, '86.108.128.0', '86.108.255.255', 1449951232, 1449983999, 'TR', 'Turkey'),
(55093, '86.109.0.0', '86.109.31.255', 1449984000, 1449992191, 'NL', 'Netherlands'),
(55094, '86.109.32.0', '86.109.63.255', 1449992192, 1450000383, 'IR', 'Iran, Islamic Republic of'),
(55095, '86.109.64.0', '86.109.95.255', 1450000384, 1450008575, 'HU', 'Hungary'),
(55096, '86.109.96.0', '86.109.127.255', 1450008576, 1450016767, 'ES', 'Spain'),
(55097, '86.109.128.0', '86.109.159.255', 1450016768, 1450024959, 'IT', 'Italy'),
(55098, '86.109.160.0', '86.109.191.255', 1450024960, 1450033151, 'ES', 'Spain'),
(55099, '86.109.192.0', '86.109.223.255', 1450033152, 1450041343, 'RU', 'Russian Federation'),
(55100, '86.109.224.0', '86.109.255.255', 1450041344, 1450049535, 'DE', 'Germany'),
(55101, '86.110.0.0', '86.110.31.255', 1450049536, 1450057727, 'RU', 'Russian Federation'),
(55102, '86.110.32.0', '86.110.63.255', 1450057728, 1450065919, 'EE', 'Estonia'),
(55103, '86.110.64.0', '86.110.95.255', 1450065920, 1450074111, 'DE', 'Germany'),
(55104, '86.110.96.0', '86.110.127.255', 1450074112, 1450082303, 'RU', 'Russian Federation'),
(55105, '86.110.128.0', '86.110.135.255', 1450082304, 1450084351, 'IT', 'Italy'),
(55106, '86.110.136.0', '86.110.138.255', 1450084352, 1450085119, 'A2', 'Satellite Provider'),
(55107, '86.110.139.0', '86.110.159.255', 1450085120, 1450090495, 'IT', 'Italy'),
(55108, '86.110.160.0', '86.110.223.255', 1450090496, 1450106879, 'RU', 'Russian Federation'),
(55109, '86.110.224.0', '86.110.255.255', 1450106880, 1450115071, 'SK', 'Slovakia'),
(55110, '86.111.0.0', '86.111.31.255', 1450115072, 1450123263, 'RU', 'Russian Federation'),
(55111, '86.111.32.0', '86.111.39.175', 1450123264, 1450125231, 'AT', 'Austria'),
(55112, '86.111.39.176', '86.111.39.183', 1450125232, 1450125239, 'DE', 'Germany'),
(55113, '86.111.39.184', '86.111.39.191', 1450125240, 1450125247, 'US', 'United States'),
(55114, '86.111.39.192', '86.111.63.255', 1450125248, 1450131455, 'AT', 'Austria'),
(55115, '86.111.64.0', '86.111.95.255', 1450131456, 1450139647, 'UA', 'Ukraine'),
(55116, '86.111.96.0', '86.111.127.255', 1450139648, 1450147839, 'PL', 'Poland'),
(55117, '86.111.128.0', '86.111.143.255', 1450147840, 1450151935, 'CH', 'Switzerland'),
(55118, '86.111.144.0', '86.111.151.255', 1450151936, 1450153983, 'IQ', 'Iraq'),
(55119, '86.111.152.0', '86.111.159.255', 1450153984, 1450156031, 'DE', 'Germany'),
(55120, '86.111.160.0', '86.111.191.255', 1450156032, 1450164223, 'GB', 'United Kingdom'),
(55121, '86.111.192.0', '86.111.199.255', 1450164224, 1450166271, 'SA', 'Saudi Arabia'),
(55122, '86.111.200.0', '86.111.207.255', 1450166272, 1450168319, 'PL', 'Poland'),
(55123, '86.111.208.0', '86.111.215.255', 1450168320, 1450170367, 'EU', 'Europe'),
(55124, '86.111.216.0', '86.111.223.255', 1450170368, 1450172415, 'GB', 'United Kingdom'),
(55125, '86.111.224.0', '86.111.231.255', 1450172416, 1450174463, 'UA', 'Ukraine'),
(55126, '86.111.232.0', '86.111.239.255', 1450174464, 1450176511, 'DE', 'Germany'),
(55127, '86.111.240.0', '86.111.247.255', 1450176512, 1450178559, 'PL', 'Poland'),
(55128, '86.111.248.0', '86.111.255.255', 1450178560, 1450180607, 'DE', 'Germany'),
(55129, '86.112.0.0', '86.113.255.255', 1450180608, 1450311679, 'GB', 'United Kingdom'),
(55130, '86.114.0.0', '86.115.255.255', 1450311680, 1450442751, 'FI', 'Finland'),
(55131, '86.116.0.0', '86.119.255.255', 1450442752, 1450704895, 'CH', 'Switzerland'),
(55132, '86.120.0.0', '86.127.255.255', 1450704896, 1451229183, 'RO', 'Romania'),
(55133, '86.128.0.0', '86.191.255.255', 1451229184, 1455423487, 'GB', 'United Kingdom'),
(55134, '86.192.0.0', '86.255.255.255', 1455423488, 1459617791, 'FR', 'France'),
(55135, '87.0.0.0', '87.31.255.255', 1459617792, 1461714943, 'IT', 'Italy'),
(55136, '87.32.0.0', '87.47.255.255', 1461714944, 1462763519, 'IE', 'Ireland'),
(55137, '87.48.0.0', '87.54.22.243', 1462763520, 1463162611, 'DK', 'Denmark'),
(55138, '87.54.22.244', '87.54.22.244', 1463162612, 1463162612, 'US', 'United States'),
(55139, '87.54.22.245', '87.54.22.245', 1463162613, 1463162613, 'DK', 'Denmark'),
(55140, '87.54.22.246', '87.54.22.246', 1463162614, 1463162614, 'US', 'United States'),
(55141, '87.54.22.247', '87.54.55.255', 1463162615, 1463171071, 'DK', 'Denmark'),
(55142, '87.54.56.0', '87.54.56.255', 1463171072, 1463171327, 'US', 'United States'),
(55143, '87.54.57.0', '87.63.255.255', 1463171328, 1463812095, 'DK', 'Denmark'),
(55144, '87.64.0.0', '87.67.255.255', 1463812096, 1464074239, 'BE', 'Belgium'),
(55145, '87.68.0.0', '87.71.255.255', 1464074240, 1464336383, 'IL', 'Israel'),
(55146, '87.72.0.0', '87.73.255.255', 1464336384, 1464467455, 'DK', 'Denmark'),
(55147, '87.74.0.0', '87.75.255.255', 1464467456, 1464598527, 'GB', 'United Kingdom'),
(55148, '87.76.0.0', '87.76.15.255', 1464598528, 1464602623, 'RU', 'Russian Federation'),
(55149, '87.76.16.0', '87.76.31.255', 1464602624, 1464606719, 'GB', 'United Kingdom'),
(55150, '87.76.32.0', '87.76.63.255', 1464606720, 1464614911, 'KZ', 'Kazakhstan'),
(55151, '87.76.64.0', '87.76.255.255', 1464614912, 1464664063, 'UA', 'Ukraine'),
(55152, '87.77.0.0', '87.79.255.255', 1464664064, 1464860671, 'DE', 'Germany'),
(55153, '87.80.0.0', '87.87.255.255', 1464860672, 1465384959, 'GB', 'United Kingdom'),
(55154, '87.88.0.0', '87.91.255.255', 1465384960, 1465647103, 'FR', 'France'),
(55155, '87.92.0.0', '87.95.255.255', 1465647104, 1465909247, 'FI', 'Finland'),
(55156, '87.96.0.0', '87.96.127.255', 1465909248, 1465942015, 'PL', 'Poland'),
(55157, '87.96.128.0', '87.96.255.255', 1465942016, 1465974783, 'SE', 'Sweden'),
(55158, '87.97.0.0', '87.97.127.255', 1465974784, 1466007551, 'HU', 'Hungary'),
(55159, '87.97.128.0', '87.97.255.255', 1466007552, 1466040319, 'BG', 'Bulgaria'),
(55160, '87.98.0.0', '87.98.127.255', 1466040320, 1466073087, 'EE', 'Estonia'),
(55161, '87.98.128.0', '87.98.223.255', 1466073088, 1466097663, 'FR', 'France'),
(55162, '87.98.224.0', '87.98.231.255', 1466097664, 1466099711, 'ES', 'Spain'),
(55163, '87.98.232.0', '87.98.239.255', 1466099712, 1466101759, 'PL', 'Poland'),
(55164, '87.98.240.0', '87.98.247.255', 1466101760, 1466103807, 'DE', 'Germany'),
(55165, '87.98.248.0', '87.98.250.255', 1466103808, 1466104575, 'GB', 'United Kingdom'),
(55166, '87.98.251.0', '87.98.251.255', 1466104576, 1466104831, 'FR', 'France'),
(55167, '87.98.252.0', '87.98.253.255', 1466104832, 1466105343, 'BE', 'Belgium'),
(55168, '87.98.254.0', '87.98.255.255', 1466105344, 1466105855, 'GB', 'United Kingdom'),
(55169, '87.99.0.0', '87.99.63.255', 1466105856, 1466122239, 'PL', 'Poland'),
(55170, '87.99.64.0', '87.99.95.255', 1466122240, 1466130431, 'LV', 'Latvia'),
(55171, '87.99.96.0', '87.99.127.255', 1466130432, 1466138623, 'PL', 'Poland'),
(55172, '87.99.128.0', '87.99.255.255', 1466138624, 1466171391, 'SE', 'Sweden'),
(55173, '87.100.0.0', '87.100.127.255', 1466171392, 1466204159, 'FR', 'France'),
(55174, '87.100.128.0', '87.100.255.255', 1466204160, 1466236927, 'FI', 'Finland'),
(55175, '87.101.0.0', '87.101.15.255', 1466236928, 1466241023, 'NL', 'Netherlands'),
(55176, '87.101.16.0', '87.101.47.255', 1466241024, 1466249215, 'PL', 'Poland'),
(55177, '87.101.48.0', '87.101.63.255', 1466249216, 1466253311, 'GR', 'Greece'),
(55178, '87.101.64.0', '87.101.79.255', 1466253312, 1466257407, 'PL', 'Poland'),
(55179, '87.101.80.0', '87.101.95.255', 1466257408, 1466261503, 'GR', 'Greece'),
(55180, '87.101.96.0', '87.101.111.255', 1466261504, 1466265599, 'GB', 'United Kingdom'),
(55181, '87.101.112.0', '87.101.127.255', 1466265600, 1466269695, 'HU', 'Hungary'),
(55182, '87.101.128.0', '87.101.255.255', 1466269696, 1466302463, 'SA', 'Saudi Arabia'),
(55183, '87.102.0.0', '87.102.127.255', 1466302464, 1466335231, 'GB', 'United Kingdom'),
(55184, '87.102.128.0', '87.102.252.143', 1466335232, 1466367119, 'CH', 'Switzerland'),
(55185, '87.102.252.144', '87.102.252.151', 1466367120, 1466367127, 'GR', 'Greece'),
(55186, '87.102.252.152', '87.102.254.143', 1466367128, 1466367631, 'CH', 'Switzerland'),
(55187, '87.102.254.144', '87.102.254.151', 1466367632, 1466367639, 'AT', 'Austria'),
(55188, '87.102.254.152', '87.102.255.255', 1466367640, 1466367999, 'CH', 'Switzerland'),
(55189, '87.103.0.0', '87.103.127.255', 1466368000, 1466400767, 'PT', 'Portugal'),
(55190, '87.103.128.0', '87.103.255.255', 1466400768, 1466433535, 'RU', 'Russian Federation'),
(55191, '87.104.0.0', '87.104.255.255', 1466433536, 1466499071, 'DK', 'Denmark'),
(55192, '87.105.0.0', '87.105.255.255', 1466499072, 1466564607, 'PL', 'Poland'),
(55193, '87.106.0.0', '87.106.28.118', 1466564608, 1466571894, 'DE', 'Germany'),
(55194, '87.106.28.119', '87.106.28.119', 1466571895, 1466571895, 'AE', 'United Arab Emirates'),
(55195, '87.106.28.120', '87.106.95.255', 1466571896, 1466589183, 'DE', 'Germany'),
(55196, '87.106.96.0', '87.106.99.255', 1466589184, 1466590207, 'FR', 'France'),
(55197, '87.106.100.0', '87.106.107.255', 1466590208, 1466592255, 'GB', 'United Kingdom'),
(55198, '87.106.108.0', '87.106.108.255', 1466592256, 1466592511, 'FR', 'France'),
(55199, '87.106.109.0', '87.106.109.255', 1466592512, 1466592767, 'GB', 'United Kingdom'),
(55200, '87.106.110.0', '87.106.110.127', 1466592768, 1466592895, 'FR', 'France'),
(55201, '87.106.110.128', '87.106.111.255', 1466592896, 1466593279, 'GB', 'United Kingdom'),
(55202, '87.106.112.0', '87.106.156.255', 1466593280, 1466604799, 'DE', 'Germany'),
(55203, '87.106.157.0', '87.106.157.255', 1466604800, 1466605055, 'ES', 'Spain'),
(55204, '87.106.158.0', '87.106.164.255', 1466605056, 1466606847, 'DE', 'Germany'),
(55205, '87.106.165.0', '87.106.165.255', 1466606848, 1466607103, 'FR', 'France'),
(55206, '87.106.166.0', '87.106.172.255', 1466607104, 1466608895, 'DE', 'Germany'),
(55207, '87.106.173.0', '87.106.173.255', 1466608896, 1466609151, 'ES', 'Spain'),
(55208, '87.106.174.0', '87.106.191.255', 1466609152, 1466613759, 'DE', 'Germany'),
(55209, '87.106.192.0', '87.106.199.255', 1466613760, 1466615807, 'ES', 'Spain'),
(55210, '87.106.200.0', '87.106.202.255', 1466615808, 1466616575, 'GB', 'United Kingdom'),
(55211, '87.106.203.0', '87.106.205.255', 1466616576, 1466617343, 'ES', 'Spain'),
(55212, '87.106.206.0', '87.106.206.127', 1466617344, 1466617471, 'FR', 'France'),
(55213, '87.106.206.128', '87.106.206.255', 1466617472, 1466617599, 'GB', 'United Kingdom'),
(55214, '87.106.207.0', '87.106.207.255', 1466617600, 1466617855, 'ES', 'Spain'),
(55215, '87.106.208.0', '87.106.255.255', 1466617856, 1466630143, 'DE', 'Germany'),
(55216, '87.107.0.0', '87.107.255.255', 1466630144, 1466695679, 'IR', 'Iran, Islamic Republic of'),
(55217, '87.108.0.0', '87.108.255.255', 1466695680, 1466761215, 'FI', 'Finland'),
(55218, '87.109.0.0', '87.109.255.255', 1466761216, 1466826751, 'SA', 'Saudi Arabia'),
(55219, '87.110.0.0', '87.110.232.255', 1466826752, 1466886399, 'LV', 'Latvia'),
(55220, '87.110.233.0', '87.110.233.255', 1466886400, 1466886655, 'LT', 'Lithuania'),
(55221, '87.110.234.0', '87.110.255.255', 1466886656, 1466892287, 'LV', 'Latvia'),
(55222, '87.111.0.0', '87.111.255.255', 1466892288, 1466957823, 'ES', 'Spain'),
(55223, '87.112.0.0', '87.115.255.255', 1466957824, 1467219967, 'GB', 'United Kingdom'),
(55224, '87.116.0.0', '87.116.63.255', 1467219968, 1467236351, 'DK', 'Denmark'),
(55225, '87.116.64.0', '87.116.127.255', 1467236352, 1467252735, 'BG', 'Bulgaria'),
(55226, '87.116.128.0', '87.116.191.255', 1467252736, 1467269119, 'RS', 'Serbia'),
(55227, '87.116.192.0', '87.116.255.255', 1467269120, 1467285503, 'PL', 'Poland'),
(55228, '87.117.0.0', '87.117.63.255', 1467285504, 1467301887, 'RU', 'Russian Federation'),
(55229, '87.117.64.0', '87.117.127.255', 1467301888, 1467318271, 'GB', 'United Kingdom'),
(55230, '87.117.128.0', '87.117.191.255', 1467318272, 1467334655, 'RU', 'Russian Federation'),
(55231, '87.117.192.0', '87.117.216.159', 1467334656, 1467340959, 'GB', 'United Kingdom'),
(55232, '87.117.216.160', '87.117.216.191', 1467340960, 1467340991, 'US', 'United States'),
(55233, '87.117.216.192', '87.117.230.255', 1467340992, 1467344639, 'GB', 'United Kingdom'),
(55234, '87.117.231.0', '87.117.231.255', 1467344640, 1467344895, 'ZA', 'South Africa'),
(55235, '87.117.232.0', '87.117.244.31', 1467344896, 1467347999, 'GB', 'United Kingdom'),
(55236, '87.117.244.32', '87.117.244.63', 1467348000, 1467348031, 'US', 'United States'),
(55237, '87.117.244.64', '87.117.249.223', 1467348032, 1467349471, 'GB', 'United Kingdom'),
(55238, '87.117.249.224', '87.117.249.255', 1467349472, 1467349503, 'US', 'United States'),
(55239, '87.117.250.0', '87.117.251.127', 1467349504, 1467349887, 'GB', 'United Kingdom'),
(55240, '87.117.251.128', '87.117.251.143', 1467349888, 1467349903, 'CH', 'Switzerland'),
(55241, '87.117.251.144', '87.117.255.255', 1467349904, 1467351039, 'GB', 'United Kingdom'),
(55242, '87.118.0.0', '87.118.63.255', 1467351040, 1467367423, 'NO', 'Norway'),
(55243, '87.118.64.0', '87.118.64.191', 1467367424, 1467367615, 'DE', 'Germany'),
(55244, '87.118.64.192', '87.118.64.223', 1467367616, 1467367647, 'SE', 'Sweden'),
(55245, '87.118.64.224', '87.118.65.191', 1467367648, 1467367871, 'DE', 'Germany'),
(55246, '87.118.65.192', '87.118.65.223', 1467367872, 1467367903, 'SE', 'Sweden'),
(55247, '87.118.65.224', '87.118.65.255', 1467367904, 1467367935, 'DE', 'Germany'),
(55248, '87.118.66.0', '87.118.66.255', 1467367936, 1467368191, 'SI', 'Slovenia'),
(55249, '87.118.67.0', '87.118.67.127', 1467368192, 1467368319, 'DK', 'Denmark'),
(55250, '87.118.67.128', '87.118.67.255', 1467368320, 1467368447, 'DE', 'Germany'),
(55251, '87.118.68.0', '87.118.68.255', 1467368448, 1467368703, 'DK', 'Denmark'),
(55252, '87.118.69.0', '87.118.72.47', 1467368704, 1467369519, 'DE', 'Germany'),
(55253, '87.118.72.48', '87.118.72.63', 1467369520, 1467369535, 'RU', 'Russian Federation'),
(55254, '87.118.72.64', '87.118.72.175', 1467369536, 1467369647, 'DE', 'Germany'),
(55255, '87.118.72.176', '87.118.72.191', 1467369648, 1467369663, 'CH', 'Switzerland'),
(55256, '87.118.72.192', '87.118.73.31', 1467369664, 1467369759, 'DE', 'Germany'),
(55257, '87.118.73.32', '87.118.73.63', 1467369760, 1467369791, 'HR', 'Croatia'),
(55258, '87.118.73.64', '87.118.73.127', 1467369792, 1467369855, 'SE', 'Sweden'),
(55259, '87.118.73.128', '87.118.73.143', 1467369856, 1467369871, 'RU', 'Russian Federation'),
(55260, '87.118.73.144', '87.118.73.159', 1467369872, 1467369887, 'DE', 'Germany'),
(55261, '87.118.73.160', '87.118.73.175', 1467369888, 1467369903, 'RU', 'Russian Federation'),
(55262, '87.118.73.176', '87.118.73.191', 1467369904, 1467369919, 'DE', 'Germany'),
(55263, '87.118.73.192', '87.118.73.223', 1467369920, 1467369951, 'SG', 'Singapore'),
(55264, '87.118.73.224', '87.118.127.255', 1467369952, 1467383807, 'DE', 'Germany'),
(55265, '87.118.128.0', '87.118.191.255', 1467383808, 1467400191, 'BG', 'Bulgaria'),
(55266, '87.118.192.0', '87.118.255.255', 1467400192, 1467416575, 'RU', 'Russian Federation'),
(55267, '87.119.0.0', '87.119.63.255', 1467416576, 1467432959, 'PL', 'Poland'),
(55268, '87.119.64.0', '87.119.127.255', 1467432960, 1467449343, 'BG', 'Bulgaria'),
(55269, '87.119.128.0', '87.119.159.255', 1467449344, 1467457535, 'SI', 'Slovenia'),
(55270, '87.119.160.0', '87.119.191.255', 1467457536, 1467465727, 'EE', 'Estonia'),
(55271, '87.119.192.0', '87.119.192.31', 1467465728, 1467465759, 'NL', 'Netherlands'),
(55272, '87.119.192.32', '87.119.192.63', 1467465760, 1467465791, 'AT', 'Austria'),
(55273, '87.119.192.64', '87.119.192.71', 1467465792, 1467465799, 'NL', 'Netherlands'),
(55274, '87.119.192.72', '87.119.192.79', 1467465800, 1467465807, 'AT', 'Austria'),
(55275, '87.119.192.80', '87.119.192.95', 1467465808, 1467465823, 'NL', 'Netherlands'),
(55276, '87.119.192.96', '87.119.192.127', 1467465824, 1467465855, 'AT', 'Austria'),
(55277, '87.119.192.128', '87.119.192.255', 1467465856, 1467465983, 'DE', 'Germany'),
(55278, '87.119.193.0', '87.119.193.31', 1467465984, 1467466015, 'NL', 'Netherlands'),
(55279, '87.119.193.32', '87.119.193.39', 1467466016, 1467466023, 'DE', 'Germany'),
(55280, '87.119.193.40', '87.119.193.47', 1467466024, 1467466031, 'AT', 'Austria'),
(55281, '87.119.193.48', '87.119.193.127', 1467466032, 1467466111, 'NL', 'Netherlands'),
(55282, '87.119.193.128', '87.119.193.159', 1467466112, 1467466143, 'DE', 'Germany'),
(55283, '87.119.193.160', '87.119.193.191', 1467466144, 1467466175, 'NL', 'Netherlands'),
(55284, '87.119.193.192', '87.119.193.231', 1467466176, 1467466215, 'DE', 'Germany'),
(55285, '87.119.193.232', '87.119.193.239', 1467466216, 1467466223, 'VG', 'Virgin Islands, British'),
(55286, '87.119.193.240', '87.119.193.255', 1467466224, 1467466239, 'NL', 'Netherlands'),
(55287, '87.119.194.0', '87.119.194.31', 1467466240, 1467466271, 'DE', 'Germany'),
(55288, '87.119.194.32', '87.119.194.255', 1467466272, 1467466495, 'NL', 'Netherlands'),
(55289, '87.119.195.0', '87.119.197.63', 1467466496, 1467467071, 'DE', 'Germany'),
(55290, '87.119.197.64', '87.119.197.95', 1467467072, 1467467103, 'CH', 'Switzerland'),
(55291, '87.119.197.96', '87.119.223.255', 1467467104, 1467473919, 'DE', 'Germany'),
(55292, '87.119.224.0', '87.119.255.255', 1467473920, 1467482111, 'RU', 'Russian Federation'),
(55293, '87.120.0.0', '87.121.255.255', 1467482112, 1467613183, 'BG', 'Bulgaria'),
(55294, '87.122.0.0', '87.123.255.255', 1467613184, 1467744255, 'DE', 'Germany'),
(55295, '87.124.0.0', '87.125.255.255', 1467744256, 1467875327, 'GB', 'United Kingdom'),
(55296, '87.126.0.0', '87.126.255.255', 1467875328, 1467940863, 'BG', 'Bulgaria'),
(55297, '87.127.0.0', '87.127.255.255', 1467940864, 1468006399, 'GB', 'United Kingdom'),
(55298, '87.128.0.0', '87.191.255.255', 1468006400, 1472200703, 'DE', 'Germany'),
(55299, '87.192.0.0', '87.192.100.159', 1472200704, 1472226463, 'IE', 'Ireland'),
(55300, '87.192.100.160', '87.192.100.175', 1472226464, 1472226479, 'GB', 'United Kingdom'),
(55301, '87.192.100.176', '87.192.227.255', 1472226480, 1472259071, 'IE', 'Ireland'),
(55302, '87.192.228.0', '87.192.228.255', 1472259072, 1472259327, 'GB', 'United Kingdom'),
(55303, '87.192.229.0', '87.192.250.95', 1472259328, 1472264799, 'IE', 'Ireland'),
(55304, '87.192.250.96', '87.192.250.103', 1472264800, 1472264807, 'GB', 'United Kingdom'),
(55305, '87.192.250.104', '87.192.255.255', 1472264808, 1472266239, 'IE', 'Ireland'),
(55306, '87.193.0.0', '87.193.187.223', 1472266240, 1472314335, 'DE', 'Germany'),
(55307, '87.193.187.224', '87.193.187.231', 1472314336, 1472314343, 'A2', 'Satellite Provider'),
(55308, '87.193.187.232', '87.193.251.203', 1472314344, 1472330699, 'DE', 'Germany'),
(55309, '87.193.251.204', '87.193.251.204', 1472330700, 1472330700, 'A2', 'Satellite Provider'),
(55310, '87.193.251.205', '87.193.255.255', 1472330701, 1472331775, 'DE', 'Germany'),
(55311, '87.194.0.0', '87.194.255.255', 1472331776, 1472397311, 'GB', 'United Kingdom'),
(55312, '87.195.0.0', '87.195.255.255', 1472397312, 1472462847, 'NL', 'Netherlands'),
(55313, '87.196.0.0', '87.196.255.255', 1472462848, 1472528383, 'PT', 'Portugal'),
(55314, '87.197.0.0', '87.197.255.255', 1472528384, 1472593919, 'SK', 'Slovakia'),
(55315, '87.198.0.0', '87.198.255.255', 1472593920, 1472659455, 'IE', 'Ireland'),
(55316, '87.199.0.0', '87.199.255.255', 1472659456, 1472724991, 'PL', 'Poland'),
(55317, '87.200.0.0', '87.201.255.255', 1472724992, 1472856063, 'AE', 'United Arab Emirates'),
(55318, '87.202.0.0', '87.203.255.255', 1472856064, 1472987135, 'GR', 'Greece'),
(55319, '87.204.0.0', '87.207.255.255', 1472987136, 1473249279, 'PL', 'Poland'),
(55320, '87.208.0.0', '87.215.255.255', 1473249280, 1473773567, 'NL', 'Netherlands'),
(55321, '87.216.0.0', '87.223.255.255', 1473773568, 1474297855, 'ES', 'Spain'),
(55322, '87.224.0.0', '87.224.127.255', 1474297856, 1474330623, 'GB', 'United Kingdom'),
(55323, '87.224.128.0', '87.225.127.255', 1474330624, 1474396159, 'RU', 'Russian Federation'),
(55324, '87.225.128.0', '87.225.255.255', 1474396160, 1474428927, 'DE', 'Germany'),
(55325, '87.226.0.0', '87.226.127.255', 1474428928, 1474461695, 'LV', 'Latvia'),
(55326, '87.226.128.0', '87.226.255.255', 1474461696, 1474494463, 'RU', 'Russian Federation'),
(55327, '87.227.0.0', '87.227.127.255', 1474494464, 1474527231, 'SE', 'Sweden'),
(55328, '87.227.128.0', '87.227.255.255', 1474527232, 1474559999, 'BG', 'Bulgaria'),
(55329, '87.228.0.0', '87.228.127.255', 1474560000, 1474592767, 'RU', 'Russian Federation'),
(55330, '87.228.128.0', '87.228.255.255', 1474592768, 1474625535, 'CY', 'Cyprus'),
(55331, '87.229.0.0', '87.229.127.255', 1474625536, 1474658303, 'HU', 'Hungary'),
(55332, '87.229.128.0', '87.229.255.255', 1474658304, 1474691071, 'RU', 'Russian Federation'),
(55333, '87.230.0.0', '87.230.127.255', 1474691072, 1474723839, 'DE', 'Germany'),
(55334, '87.230.128.0', '87.230.255.255', 1474723840, 1474756607, 'SA', 'Saudi Arabia'),
(55335, '87.231.0.0', '87.231.255.255', 1474756608, 1474822143, 'FR', 'France'),
(55336, '87.232.0.0', '87.232.255.255', 1474822144, 1474887679, 'IE', 'Ireland'),
(55337, '87.233.0.0', '87.233.222.15', 1474887680, 1474944527, 'NL', 'Netherlands'),
(55338, '87.233.222.16', '87.233.222.23', 1474944528, 1474944535, 'US', 'United States'),
(55339, '87.233.222.24', '87.233.255.255', 1474944536, 1474953215, 'NL', 'Netherlands'),
(55340, '87.234.0.0', '87.234.51.201', 1474953216, 1474966473, 'DE', 'Germany'),
(55341, '87.234.51.202', '87.234.51.202', 1474966474, 1474966474, 'A2', 'Satellite Provider'),
(55342, '87.234.51.203', '87.234.61.63', 1474966475, 1474968895, 'DE', 'Germany'),
(55343, '87.234.61.64', '87.234.61.71', 1474968896, 1474968903, 'A2', 'Satellite Provider'),
(55344, '87.234.61.72', '87.234.246.255', 1474968904, 1475016447, 'DE', 'Germany'),
(55345, '87.234.247.0', '87.234.247.255', 1475016448, 1475016703, 'A2', 'Satellite Provider'),
(55346, '87.234.248.0', '87.234.255.255', 1475016704, 1475018751, 'DE', 'Germany'),
(55347, '87.235.0.0', '87.235.255.255', 1475018752, 1475084287, 'ES', 'Spain'),
(55348, '87.236.0.0', '87.236.7.255', 1475084288, 1475086335, 'NL', 'Netherlands'),
(55349, '87.236.8.0', '87.236.31.255', 1475086336, 1475092479, 'RU', 'Russian Federation'),
(55350, '87.236.32.0', '87.236.39.255', 1475092480, 1475094527, 'CY', 'Cyprus'),
(55351, '87.236.40.0', '87.236.47.255', 1475094528, 1475096575, 'RU', 'Russian Federation'),
(55352, '87.236.48.0', '87.236.55.255', 1475096576, 1475098623, 'BH', 'Bahrain'),
(55353, '87.236.56.0', '87.236.67.255', 1475098624, 1475101695, 'GB', 'United Kingdom'),
(55354, '87.236.68.0', '87.236.69.255', 1475101696, 1475102207, 'ZA', 'South Africa'),
(55355, '87.236.70.0', '87.236.71.255', 1475102208, 1475102719, 'GB', 'United Kingdom'),
(55356, '87.236.72.0', '87.236.79.255', 1475102720, 1475104767, 'FR', 'France'),
(55357, '87.236.80.0', '87.236.87.255', 1475104768, 1475106815, 'RU', 'Russian Federation'),
(55358, '87.236.88.0', '87.236.90.255', 1475106816, 1475107583, 'SE', 'Sweden'),
(55359, '87.236.91.0', '87.236.91.255', 1475107584, 1475107839, 'LU', 'Luxembourg'),
(55360, '87.236.92.0', '87.236.95.255', 1475107840, 1475108863, 'SE', 'Sweden'),
(55361, '87.236.96.0', '87.236.103.255', 1475108864, 1475110911, 'NL', 'Netherlands'),
(55362, '87.236.104.0', '87.236.111.255', 1475110912, 1475112959, 'DE', 'Germany'),
(55363, '87.236.112.0', '87.236.119.255', 1475112960, 1475115007, 'AT', 'Austria'),
(55364, '87.236.120.0', '87.236.127.255', 1475115008, 1475117055, 'KW', 'Kuwait'),
(55365, '87.236.128.0', '87.236.135.255', 1475117056, 1475119103, 'GB', 'United Kingdom'),
(55366, '87.236.136.0', '87.236.143.255', 1475119104, 1475121151, 'BH', 'Bahrain'),
(55367, '87.236.144.0', '87.236.151.255', 1475121152, 1475123199, 'GB', 'United Kingdom'),
(55368, '87.236.152.0', '87.236.159.255', 1475123200, 1475125247, 'FI', 'Finland'),
(55369, '87.236.160.0', '87.236.167.255', 1475125248, 1475127295, 'IT', 'Italy'),
(55370, '87.236.168.0', '87.236.175.255', 1475127296, 1475129343, 'FI', 'Finland'),
(55371, '87.236.176.0', '87.236.183.255', 1475129344, 1475131391, 'BE', 'Belgium'),
(55372, '87.236.184.0', '87.236.191.255', 1475131392, 1475133439, 'RU', 'Russian Federation'),
(55373, '87.236.192.0', '87.236.197.181', 1475133440, 1475134901, 'CZ', 'Czech Republic'),
(55374, '87.236.197.182', '87.236.197.182', 1475134902, 1475134902, 'SA', 'Saudi Arabia'),
(55375, '87.236.197.183', '87.236.199.255', 1475134903, 1475135487, 'CZ', 'Czech Republic'),
(55376, '87.236.200.0', '87.236.207.255', 1475135488, 1475137535, 'CH', 'Switzerland'),
(55377, '87.236.208.0', '87.236.215.255', 1475137536, 1475139583, 'GB', 'United Kingdom'),
(55378, '87.236.216.0', '87.236.223.255', 1475139584, 1475141631, 'ES', 'Spain'),
(55379, '87.236.224.0', '87.236.231.255', 1475141632, 1475143679, 'FI', 'Finland'),
(55380, '87.236.232.0', '87.236.239.255', 1475143680, 1475145727, 'JO', 'Jordan'),
(55381, '87.236.240.0', '87.236.247.255', 1475145728, 1475147775, 'ES', 'Spain'),
(55382, '87.236.248.0', '87.236.255.255', 1475147776, 1475149823, 'GB', 'United Kingdom'),
(55383, '87.237.0.0', '87.237.7.255', 1475149824, 1475151871, 'NL', 'Netherlands'),
(55384, '87.237.8.0', '87.237.15.255', 1475151872, 1475153919, 'BE', 'Belgium'),
(55385, '87.237.16.0', '87.237.23.255', 1475153920, 1475155967, 'GB', 'United Kingdom'),
(55386, '87.237.24.0', '87.237.31.255', 1475155968, 1475158015, 'NL', 'Netherlands'),
(55387, '87.237.32.0', '87.237.39.255', 1475158016, 1475160063, 'IS', 'Iceland'),
(55388, '87.237.40.0', '87.237.47.255', 1475160064, 1475162111, 'RU', 'Russian Federation'),
(55389, '87.237.48.0', '87.237.79.255', 1475162112, 1475170303, 'GB', 'United Kingdom'),
(55390, '87.237.80.0', '87.237.87.255', 1475170304, 1475172351, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(55391, '87.237.88.0', '87.237.95.255', 1475172352, 1475174399, 'DE', 'Germany'),
(55392, '87.237.96.0', '87.237.98.135', 1475174400, 1475175047, 'NL', 'Netherlands'),
(55393, '87.237.98.136', '87.237.98.143', 1475175048, 1475175055, 'US', 'United States'),
(55394, '87.237.98.144', '87.237.103.255', 1475175056, 1475176447, 'NL', 'Netherlands'),
(55395, '87.237.104.0', '87.237.111.255', 1475176448, 1475178495, 'RO', 'Romania'),
(55396, '87.237.112.0', '87.237.119.255', 1475178496, 1475180543, 'RU', 'Russian Federation'),
(55397, '87.237.120.0', '87.237.123.31', 1475180544, 1475181343, 'DE', 'Germany'),
(55398, '87.237.123.32', '87.237.123.63', 1475181344, 1475181375, 'LU', 'Luxembourg'),
(55399, '87.237.123.64', '87.237.123.143', 1475181376, 1475181455, 'DE', 'Germany'),
(55400, '87.237.123.144', '87.237.123.159', 1475181456, 1475181471, 'SC', 'Seychelles'),
(55401, '87.237.123.160', '87.237.123.207', 1475181472, 1475181519, 'DE', 'Germany'),
(55402, '87.237.123.208', '87.237.123.223', 1475181520, 1475181535, 'GB', 'United Kingdom'),
(55403, '87.237.123.224', '87.237.123.239', 1475181536, 1475181551, 'NL', 'Netherlands'),
(55404, '87.237.123.240', '87.237.125.31', 1475181552, 1475181855, 'DE', 'Germany'),
(55405, '87.237.125.32', '87.237.125.63', 1475181856, 1475181887, 'LU', 'Luxembourg'),
(55406, '87.237.125.64', '87.237.125.255', 1475181888, 1475182079, 'DE', 'Germany'),
(55407, '87.237.126.0', '87.237.126.255', 1475182080, 1475182335, 'RO', 'Romania'),
(55408, '87.237.127.0', '87.237.135.255', 1475182336, 1475184639, 'DE', 'Germany'),
(55409, '87.237.136.0', '87.237.143.255', 1475184640, 1475186687, 'RU', 'Russian Federation'),
(55410, '87.237.144.0', '87.237.151.255', 1475186688, 1475188735, 'GB', 'United Kingdom'),
(55411, '87.237.152.0', '87.237.159.255', 1475188736, 1475190783, 'SE', 'Sweden'),
(55412, '87.237.160.0', '87.237.167.255', 1475190784, 1475192831, 'GB', 'United Kingdom'),
(55413, '87.237.168.0', '87.237.175.255', 1475192832, 1475194879, 'CH', 'Switzerland'),
(55414, '87.237.176.0', '87.237.183.255', 1475194880, 1475196927, 'DE', 'Germany'),
(55415, '87.237.184.0', '87.237.187.95', 1475196928, 1475197791, 'FR', 'France'),
(55416, '87.237.187.96', '87.237.187.111', 1475197792, 1475197807, 'GB', 'United Kingdom'),
(55417, '87.237.187.112', '87.237.188.191', 1475197808, 1475198143, 'FR', 'France'),
(55418, '87.237.188.192', '87.237.188.223', 1475198144, 1475198175, 'GB', 'United Kingdom'),
(55419, '87.237.188.224', '87.237.191.255', 1475198176, 1475198975, 'FR', 'France'),
(55420, '87.237.192.0', '87.237.199.255', 1475198976, 1475201023, 'BH', 'Bahrain'),
(55421, '87.237.200.0', '87.237.207.255', 1475201024, 1475203071, 'RS', 'Serbia'),
(55422, '87.237.208.0', '87.237.215.255', 1475203072, 1475205119, 'SE', 'Sweden'),
(55423, '87.237.216.0', '87.237.218.255', 1475205120, 1475205887, 'DE', 'Germany'),
(55424, '87.237.219.0', '87.237.219.255', 1475205888, 1475206143, 'US', 'United States'),
(55425, '87.237.220.0', '87.237.220.63', 1475206144, 1475206207, 'JP', 'Japan'),
(55426, '87.237.220.64', '87.237.220.127', 1475206208, 1475206271, 'US', 'United States'),
(55427, '87.237.220.128', '87.237.220.239', 1475206272, 1475206383, 'DE', 'Germany'),
(55428, '87.237.220.240', '87.237.220.255', 1475206384, 1475206399, 'NL', 'Netherlands'),
(55429, '87.237.221.0', '87.237.221.255', 1475206400, 1475206655, 'AP', 'Asia/Pacific Region'),
(55430, '87.237.222.0', '87.237.222.255', 1475206656, 1475206911, 'DE', 'Germany'),
(55431, '87.237.223.0', '87.237.223.15', 1475206912, 1475206927, 'NL', 'Netherlands'),
(55432, '87.237.223.16', '87.237.223.31', 1475206928, 1475206943, 'FR', 'France'),
(55433, '87.237.223.32', '87.237.223.47', 1475206944, 1475206959, 'DE', 'Germany'),
(55434, '87.237.223.48', '87.237.223.63', 1475206960, 1475206975, 'GB', 'United Kingdom'),
(55435, '87.237.223.64', '87.237.223.79', 1475206976, 1475206991, 'IT', 'Italy'),
(55436, '87.237.223.80', '87.237.223.95', 1475206992, 1475207007, 'SE', 'Sweden'),
(55437, '87.237.223.96', '87.237.223.111', 1475207008, 1475207023, 'RU', 'Russian Federation'),
(55438, '87.237.223.112', '87.237.223.127', 1475207024, 1475207039, 'ES', 'Spain'),
(55439, '87.237.223.128', '87.237.223.143', 1475207040, 1475207055, 'AU', 'Australia'),
(55440, '87.237.223.144', '87.237.223.159', 1475207056, 1475207071, 'KR', 'Korea, Republic of'),
(55441, '87.237.223.160', '87.237.223.175', 1475207072, 1475207087, 'CH', 'Switzerland'),
(55442, '87.237.223.176', '87.237.223.191', 1475207088, 1475207103, 'JP', 'Japan'),
(55443, '87.237.223.192', '87.237.223.223', 1475207104, 1475207135, 'KR', 'Korea, Republic of'),
(55444, '87.237.223.224', '87.237.223.235', 1475207136, 1475207147, 'DE', 'Germany'),
(55445, '87.237.223.236', '87.237.224.15', 1475207148, 1475207183, 'US', 'United States'),
(55446, '87.237.224.16', '87.237.224.95', 1475207184, 1475207263, 'AE', 'United Arab Emirates'),
(55447, '87.237.224.96', '87.237.224.127', 1475207264, 1475207295, 'US', 'United States'),
(55448, '87.237.224.128', '87.237.224.255', 1475207296, 1475207423, 'AE', 'United Arab Emirates'),
(55449, '87.237.225.0', '87.237.225.255', 1475207424, 1475207679, 'GR', 'Greece'),
(55450, '87.237.226.0', '87.237.227.255', 1475207680, 1475208191, 'SA', 'Saudi Arabia'),
(55451, '87.237.228.0', '87.237.228.255', 1475208192, 1475208447, 'AE', 'United Arab Emirates'),
(55452, '87.237.229.0', '87.237.230.255', 1475208448, 1475208959, 'US', 'United States'),
(55453, '87.237.231.0', '87.237.231.255', 1475208960, 1475209215, 'AE', 'United Arab Emirates'),
(55454, '87.237.232.0', '87.237.239.255', 1475209216, 1475211263, 'UZ', 'Uzbekistan'),
(55455, '87.237.240.0', '87.237.247.255', 1475211264, 1475213311, 'DE', 'Germany'),
(55456, '87.237.248.0', '87.237.255.255', 1475213312, 1475215359, 'FR', 'France'),
(55457, '87.238.0.0', '87.238.31.255', 1475215360, 1475223551, 'IT', 'Italy'),
(55458, '87.238.32.0', '87.238.55.255', 1475223552, 1475229695, 'NO', 'Norway'),
(55459, '87.238.56.0', '87.238.56.63', 1475229696, 1475229759, 'SE', 'Sweden'),
(55460, '87.238.56.64', '87.238.56.255', 1475229760, 1475229951, 'NO', 'Norway'),
(55461, '87.238.57.0', '87.238.58.23', 1475229952, 1475230231, 'SE', 'Sweden'),
(55462, '87.238.58.24', '87.238.58.63', 1475230232, 1475230271, 'NO', 'Norway'),
(55463, '87.238.58.64', '87.238.58.127', 1475230272, 1475230335, 'SE', 'Sweden'),
(55464, '87.238.58.128', '87.238.71.255', 1475230336, 1475233791, 'NO', 'Norway'),
(55465, '87.238.72.0', '87.238.73.255', 1475233792, 1475234303, 'GB', 'United Kingdom'),
(55466, '87.238.74.0', '87.238.74.255', 1475234304, 1475234559, 'IE', 'Ireland'),
(55467, '87.238.75.0', '87.238.79.255', 1475234560, 1475235839, 'GB', 'United Kingdom'),
(55468, '87.238.80.0', '87.238.87.255', 1475235840, 1475237887, 'IE', 'Ireland'),
(55469, '87.238.88.0', '87.238.95.255', 1475237888, 1475239935, 'ES', 'Spain'),
(55470, '87.238.96.0', '87.238.103.255', 1475239936, 1475241983, 'RU', 'Russian Federation'),
(55471, '87.238.104.0', '87.238.104.255', 1475241984, 1475242239, 'MC', 'Monaco'),
(55472, '87.238.105.0', '87.238.110.255', 1475242240, 1475243775, 'FR', 'France'),
(55473, '87.238.111.0', '87.238.111.255', 1475243776, 1475244031, 'MC', 'Monaco'),
(55474, '87.238.112.0', '87.238.112.255', 1475244032, 1475244287, 'DE', 'Germany'),
(55475, '87.238.113.0', '87.238.113.255', 1475244288, 1475244543, 'SD', 'Sudan'),
(55476, '87.238.114.0', '87.238.115.255', 1475244544, 1475245055, 'DE', 'Germany'),
(55477, '87.238.116.0', '87.238.116.255', 1475245056, 1475245311, 'US', 'United States'),
(55478, '87.238.117.0', '87.238.118.255', 1475245312, 1475245823, 'DE', 'Germany'),
(55479, '87.238.119.0', '87.238.119.255', 1475245824, 1475246079, 'RU', 'Russian Federation'),
(55480, '87.238.120.0', '87.238.127.255', 1475246080, 1475248127, 'CH', 'Switzerland'),
(55481, '87.238.128.0', '87.238.135.255', 1475248128, 1475250175, 'JO', 'Jordan'),
(55482, '87.238.136.0', '87.238.143.255', 1475250176, 1475252223, 'DE', 'Germany'),
(55483, '87.238.144.0', '87.238.151.255', 1475252224, 1475254271, 'FR', 'France'),
(55484, '87.238.152.0', '87.238.159.255', 1475254272, 1475256319, 'UA', 'Ukraine'),
(55485, '87.238.160.0', '87.238.167.255', 1475256320, 1475258367, 'BE', 'Belgium'),
(55486, '87.238.168.0', '87.238.175.255', 1475258368, 1475260415, 'NL', 'Netherlands'),
(55487, '87.238.176.0', '87.238.183.255', 1475260416, 1475262463, 'FR', 'France'),
(55488, '87.238.184.0', '87.238.199.255', 1475262464, 1475266559, 'DE', 'Germany'),
(55489, '87.238.200.0', '87.238.207.255', 1475266560, 1475268607, 'GB', 'United Kingdom'),
(55490, '87.238.208.0', '87.238.215.255', 1475268608, 1475270655, 'RS', 'Serbia'),
(55491, '87.238.216.0', '87.238.223.255', 1475270656, 1475272703, 'GB', 'United Kingdom'),
(55492, '87.238.224.0', '87.238.231.255', 1475272704, 1475274751, 'BE', 'Belgium'),
(55493, '87.238.232.0', '87.238.239.255', 1475274752, 1475276799, 'RU', 'Russian Federation'),
(55494, '87.238.240.0', '87.238.247.255', 1475276800, 1475278847, 'ES', 'Spain'),
(55495, '87.238.248.0', '87.238.255.255', 1475278848, 1475280895, 'DK', 'Denmark'),
(55496, '87.239.0.0', '87.239.7.255', 1475280896, 1475282943, 'RU', 'Russian Federation'),
(55497, '87.239.8.0', '87.239.15.255', 1475282944, 1475284991, 'NL', 'Netherlands'),
(55498, '87.239.16.0', '87.239.23.255', 1475284992, 1475287039, 'GB', 'United Kingdom'),
(55499, '87.239.24.0', '87.239.39.255', 1475287040, 1475291135, 'RU', 'Russian Federation'),
(55500, '87.239.40.0', '87.239.47.255', 1475291136, 1475293183, 'PL', 'Poland'),
(55501, '87.239.48.0', '87.239.55.255', 1475293184, 1475295231, 'GB', 'United Kingdom'),
(55502, '87.239.56.0', '87.239.63.255', 1475295232, 1475297279, 'SK', 'Slovakia'),
(55503, '87.239.64.0', '87.239.71.255', 1475297280, 1475299327, 'DK', 'Denmark'),
(55504, '87.239.72.0', '87.239.79.255', 1475299328, 1475301375, 'PL', 'Poland'),
(55505, '87.239.80.0', '87.239.87.255', 1475301376, 1475303423, 'LT', 'Lithuania'),
(55506, '87.239.88.0', '87.239.95.255', 1475303424, 1475305471, 'PL', 'Poland'),
(55507, '87.239.96.0', '87.239.103.255', 1475305472, 1475307519, 'NL', 'Netherlands'),
(55508, '87.239.104.0', '87.239.111.255', 1475307520, 1475309567, 'RU', 'Russian Federation'),
(55509, '87.239.112.0', '87.239.119.255', 1475309568, 1475311615, 'LT', 'Lithuania'),
(55510, '87.239.120.0', '87.239.127.255', 1475311616, 1475313663, 'FI', 'Finland'),
(55511, '87.239.128.0', '87.239.135.255', 1475313664, 1475315711, 'DE', 'Germany'),
(55512, '87.239.136.0', '87.239.143.255', 1475315712, 1475317759, 'US', 'United States'),
(55513, '87.239.144.0', '87.239.151.255', 1475317760, 1475319807, 'RU', 'Russian Federation'),
(55514, '87.239.152.0', '87.239.159.255', 1475319808, 1475321855, 'BG', 'Bulgaria'),
(55515, '87.239.160.0', '87.239.167.255', 1475321856, 1475323903, 'RO', 'Romania'),
(55516, '87.239.168.0', '87.239.183.255', 1475323904, 1475327999, 'PL', 'Poland'),
(55517, '87.239.184.0', '87.239.191.255', 1475328000, 1475330047, 'NL', 'Netherlands'),
(55518, '87.239.192.0', '87.239.199.255', 1475330048, 1475332095, 'PL', 'Poland'),
(55519, '87.239.200.0', '87.239.207.255', 1475332096, 1475334143, 'LI', 'Liechtenstein'),
(55520, '87.239.208.0', '87.239.215.255', 1475334144, 1475336191, 'CH', 'Switzerland'),
(55521, '87.239.216.0', '87.239.223.255', 1475336192, 1475338239, 'PL', 'Poland'),
(55522, '87.239.224.0', '87.239.231.255', 1475338240, 1475340287, 'RO', 'Romania'),
(55523, '87.239.232.0', '87.239.239.255', 1475340288, 1475342335, 'GR', 'Greece'),
(55524, '87.239.240.0', '87.239.247.255', 1475342336, 1475344383, 'PL', 'Poland'),
(55525, '87.239.248.0', '87.239.255.255', 1475344384, 1475346431, 'RO', 'Romania'),
(55526, '87.240.0.0', '87.240.63.255', 1475346432, 1475362815, 'RU', 'Russian Federation'),
(55527, '87.240.64.0', '87.240.127.255', 1475362816, 1475379199, 'FR', 'France'),
(55528, '87.240.128.0', '87.240.191.255', 1475379200, 1475395583, 'RU', 'Russian Federation'),
(55529, '87.240.192.0', '87.240.255.255', 1475395584, 1475411967, 'LU', 'Luxembourg'),
(55530, '87.241.0.0', '87.241.1.159', 1475411968, 1475412383, 'IT', 'Italy'),
(55531, '87.241.1.160', '87.241.1.167', 1475412384, 1475412391, 'ES', 'Spain'),
(55532, '87.241.1.168', '87.241.23.119', 1475412392, 1475417975, 'IT', 'Italy'),
(55533, '87.241.23.120', '87.241.23.127', 1475417976, 1475417983, 'A2', 'Satellite Provider'),
(55534, '87.241.23.128', '87.241.63.255', 1475417984, 1475428351, 'IT', 'Italy'),
(55535, '87.241.64.0', '87.241.127.255', 1475428352, 1475444735, 'SE', 'Sweden'),
(55536, '87.241.128.0', '87.241.191.255', 1475444736, 1475461119, 'AM', 'Armenia'),
(55537, '87.241.192.0', '87.241.255.255', 1475461120, 1475477503, 'RU', 'Russian Federation'),
(55538, '87.242.0.0', '87.242.63.255', 1475477504, 1475493887, 'HU', 'Hungary'),
(55539, '87.242.64.0', '87.242.127.255', 1475493888, 1475510271, 'RU', 'Russian Federation'),
(55540, '87.242.128.0', '87.242.255.255', 1475510272, 1475543039, 'GB', 'United Kingdom'),
(55541, '87.243.0.0', '87.243.63.255', 1475543040, 1475559423, 'RO', 'Romania'),
(55542, '87.243.64.0', '87.243.76.255', 1475559424, 1475562751, 'GR', 'Greece'),
(55543, '87.243.77.0', '87.243.77.255', 1475562752, 1475563007, 'BG', 'Bulgaria'),
(55544, '87.243.78.0', '87.243.111.255', 1475563008, 1475571711, 'GR', 'Greece'),
(55545, '87.243.112.0', '87.243.115.255', 1475571712, 1475572735, 'BG', 'Bulgaria'),
(55546, '87.243.116.0', '87.243.127.255', 1475572736, 1475575807, 'GR', 'Greece'),
(55547, '87.243.128.0', '87.243.191.255', 1475575808, 1475592191, 'AT', 'Austria'),
(55548, '87.243.192.0', '87.243.255.255', 1475592192, 1475608575, 'GB', 'United Kingdom'),
(55549, '87.244.0.0', '87.244.63.255', 1475608576, 1475624959, 'RU', 'Russian Federation'),
(55550, '87.244.64.0', '87.244.73.255', 1475624960, 1475627519, 'JE', 'Jersey'),
(55551, '87.244.74.0', '87.244.74.135', 1475627520, 1475627655, 'GB', 'United Kingdom'),
(55552, '87.244.74.136', '87.244.74.143', 1475627656, 1475627663, 'JE', 'Jersey'),
(55553, '87.244.74.144', '87.244.74.168', 1475627664, 1475627688, 'GB', 'United Kingdom'),
(55554, '87.244.74.169', '87.244.74.175', 1475627689, 1475627695, 'JE', 'Jersey'),
(55555, '87.244.74.176', '87.244.74.255', 1475627696, 1475627775, 'GB', 'United Kingdom'),
(55556, '87.244.75.0', '87.244.100.255', 1475627776, 1475634431, 'JE', 'Jersey'),
(55557, '87.244.101.0', '87.244.101.63', 1475634432, 1475634495, 'GB', 'United Kingdom'),
(55558, '87.244.101.64', '87.244.101.127', 1475634496, 1475634559, 'JE', 'Jersey'),
(55559, '87.244.101.128', '87.244.102.31', 1475634560, 1475634719, 'GB', 'United Kingdom'),
(55560, '87.244.102.32', '87.244.102.39', 1475634720, 1475634727, 'JE', 'Jersey'),
(55561, '87.244.102.40', '87.244.102.47', 1475634728, 1475634735, 'GB', 'United Kingdom'),
(55562, '87.244.102.48', '87.244.102.63', 1475634736, 1475634751, 'JE', 'Jersey'),
(55563, '87.244.102.64', '87.244.102.71', 1475634752, 1475634759, 'GB', 'United Kingdom'),
(55564, '87.244.102.72', '87.244.103.23', 1475634760, 1475634967, 'JE', 'Jersey'),
(55565, '87.244.103.24', '87.244.103.31', 1475634968, 1475634975, 'GB', 'United Kingdom'),
(55566, '87.244.103.32', '87.244.107.255', 1475634976, 1475636223, 'JE', 'Jersey'),
(55567, '87.244.108.0', '87.244.108.175', 1475636224, 1475636399, 'GB', 'United Kingdom'),
(55568, '87.244.108.176', '87.244.108.191', 1475636400, 1475636415, 'JE', 'Jersey'),
(55569, '87.244.108.192', '87.244.108.207', 1475636416, 1475636431, 'GB', 'United Kingdom'),
(55570, '87.244.108.208', '87.244.108.223', 1475636432, 1475636447, 'JE', 'Jersey'),
(55571, '87.244.108.224', '87.244.108.255', 1475636448, 1475636479, 'GB', 'United Kingdom'),
(55572, '87.244.109.0', '87.244.109.255', 1475636480, 1475636735, 'JE', 'Jersey'),
(55573, '87.244.110.0', '87.244.112.255', 1475636736, 1475637503, 'GB', 'United Kingdom'),
(55574, '87.244.113.0', '87.244.117.255', 1475637504, 1475638783, 'JE', 'Jersey'),
(55575, '87.244.118.0', '87.244.119.142', 1475638784, 1475639182, 'GB', 'United Kingdom'),
(55576, '87.244.119.143', '87.244.119.143', 1475639183, 1475639183, 'JE', 'Jersey'),
(55577, '87.244.119.144', '87.244.119.176', 1475639184, 1475639216, 'GB', 'United Kingdom'),
(55578, '87.244.119.177', '87.244.119.183', 1475639217, 1475639223, 'JE', 'Jersey'),
(55579, '87.244.119.184', '87.244.119.223', 1475639224, 1475639263, 'GB', 'United Kingdom'),
(55580, '87.244.119.224', '87.244.119.231', 1475639264, 1475639271, 'BB', 'Barbados'),
(55581, '87.244.119.232', '87.244.119.255', 1475639272, 1475639295, 'JE', 'Jersey'),
(55582, '87.244.120.0', '87.244.120.47', 1475639296, 1475639343, 'GB', 'United Kingdom'),
(55583, '87.244.120.48', '87.244.120.55', 1475639344, 1475639351, 'JE', 'Jersey'),
(55584, '87.244.120.56', '87.244.120.79', 1475639352, 1475639375, 'GB', 'United Kingdom'),
(55585, '87.244.120.80', '87.244.120.87', 1475639376, 1475639383, 'JE', 'Jersey'),
(55586, '87.244.120.88', '87.244.120.231', 1475639384, 1475639527, 'GB', 'United Kingdom'),
(55587, '87.244.120.232', '87.244.120.247', 1475639528, 1475639543, 'JE', 'Jersey'),
(55588, '87.244.120.248', '87.244.121.43', 1475639544, 1475639595, 'GB', 'United Kingdom'),
(55589, '87.244.121.44', '87.244.121.47', 1475639596, 1475639599, 'JE', 'Jersey'),
(55590, '87.244.121.48', '87.244.121.255', 1475639600, 1475639807, 'GB', 'United Kingdom'),
(55591, '87.244.122.0', '87.244.127.255', 1475639808, 1475641343, 'JE', 'Jersey'),
(55592, '87.244.128.0', '87.244.191.255', 1475641344, 1475657727, 'UA', 'Ukraine'),
(55593, '87.244.192.0', '87.244.255.255', 1475657728, 1475674111, 'SK', 'Slovakia'),
(55594, '87.245.0.0', '87.245.63.255', 1475674112, 1475690495, 'DE', 'Germany'),
(55595, '87.245.64.0', '87.245.127.255', 1475690496, 1475706879, 'CH', 'Switzerland'),
(55596, '87.245.128.0', '87.245.191.255', 1475706880, 1475723263, 'RU', 'Russian Federation'),
(55597, '87.245.192.0', '87.245.199.255', 1475723264, 1475725311, 'GB', 'United Kingdom'),
(55598, '87.245.200.0', '87.245.203.31', 1475725312, 1475726111, 'RU', 'Russian Federation'),
(55599, '87.245.203.32', '87.245.203.127', 1475726112, 1475726207, 'GB', 'United Kingdom'),
(55600, '87.245.203.128', '87.245.204.191', 1475726208, 1475726527, 'RU', 'Russian Federation'),
(55601, '87.245.204.192', '87.245.204.255', 1475726528, 1475726591, 'GB', 'United Kingdom'),
(55602, '87.245.205.0', '87.245.207.63', 1475726592, 1475727167, 'RU', 'Russian Federation'),
(55603, '87.245.207.64', '87.245.207.239', 1475727168, 1475727343, 'GB', 'United Kingdom'),
(55604, '87.245.207.240', '87.245.207.255', 1475727344, 1475727359, 'RU', 'Russian Federation'),
(55605, '87.245.208.0', '87.245.208.31', 1475727360, 1475727391, 'FI', 'Finland'),
(55606, '87.245.208.32', '87.245.208.255', 1475727392, 1475727615, 'GB', 'United Kingdom'),
(55607, '87.245.209.0', '87.245.209.7', 1475727616, 1475727623, 'FI', 'Finland'),
(55608, '87.245.209.8', '87.245.209.15', 1475727624, 1475727631, 'GB', 'United Kingdom'),
(55609, '87.245.209.16', '87.245.209.23', 1475727632, 1475727639, 'FI', 'Finland'),
(55610, '87.245.209.24', '87.245.209.31', 1475727640, 1475727647, 'GB', 'United Kingdom'),
(55611, '87.245.209.32', '87.245.209.47', 1475727648, 1475727663, 'FI', 'Finland'),
(55612, '87.245.209.48', '87.245.209.119', 1475727664, 1475727735, 'GB', 'United Kingdom'),
(55613, '87.245.209.120', '87.245.209.127', 1475727736, 1475727743, 'RU', 'Russian Federation'),
(55614, '87.245.209.128', '87.245.209.191', 1475727744, 1475727807, 'GB', 'United Kingdom'),
(55615, '87.245.209.192', '87.245.209.255', 1475727808, 1475727871, 'FI', 'Finland'),
(55616, '87.245.210.0', '87.245.211.255', 1475727872, 1475728383, 'GB', 'United Kingdom'),
(55617, '87.245.212.0', '87.245.212.127', 1475728384, 1475728511, 'DE', 'Germany'),
(55618, '87.245.212.128', '87.245.213.247', 1475728512, 1475728887, 'GB', 'United Kingdom'),
(55619, '87.245.213.248', '87.245.213.255', 1475728888, 1475728895, 'RU', 'Russian Federation'),
(55620, '87.245.214.0', '87.245.214.191', 1475728896, 1475729087, 'GB', 'United Kingdom'),
(55621, '87.245.214.192', '87.245.214.207', 1475729088, 1475729103, 'DE', 'Germany'),
(55622, '87.245.214.208', '87.245.214.239', 1475729104, 1475729135, 'GB', 'United Kingdom'),
(55623, '87.245.214.240', '87.245.214.247', 1475729136, 1475729143, 'RU', 'Russian Federation'),
(55624, '87.245.214.248', '87.245.214.255', 1475729144, 1475729151, 'GB', 'United Kingdom'),
(55625, '87.245.215.0', '87.245.215.63', 1475729152, 1475729215, 'AT', 'Austria'),
(55626, '87.245.215.64', '87.245.215.191', 1475729216, 1475729343, 'GB', 'United Kingdom'),
(55627, '87.245.215.192', '87.245.215.207', 1475729344, 1475729359, 'RU', 'Russian Federation'),
(55628, '87.245.215.208', '87.245.215.239', 1475729360, 1475729391, 'GB', 'United Kingdom'),
(55629, '87.245.215.240', '87.245.215.255', 1475729392, 1475729407, 'RU', 'Russian Federation'),
(55630, '87.245.216.0', '87.245.216.128', 1475729408, 1475729536, 'UA', 'Ukraine'),
(55631, '87.245.216.129', '87.245.216.239', 1475729537, 1475729647, 'GB', 'United Kingdom'),
(55632, '87.245.216.240', '87.245.217.7', 1475729648, 1475729671, 'UA', 'Ukraine'),
(55633, '87.245.217.8', '87.245.217.15', 1475729672, 1475729679, 'GB', 'United Kingdom'),
(55634, '87.245.217.16', '87.245.217.23', 1475729680, 1475729687, 'UA', 'Ukraine'),
(55635, '87.245.217.24', '87.245.217.255', 1475729688, 1475729919, 'GB', 'United Kingdom'),
(55636, '87.245.218.0', '87.245.219.255', 1475729920, 1475730431, 'UA', 'Ukraine'),
(55637, '87.245.220.0', '87.245.220.63', 1475730432, 1475730495, 'RU', 'Russian Federation'),
(55638, '87.245.220.64', '87.245.223.255', 1475730496, 1475731455, 'UA', 'Ukraine'),
(55639, '87.245.224.0', '87.245.227.255', 1475731456, 1475732479, 'GB', 'United Kingdom'),
(55640, '87.245.228.0', '87.245.229.255', 1475732480, 1475732991, 'RU', 'Russian Federation'),
(55641, '87.245.230.0', '87.245.234.255', 1475732992, 1475734271, 'GB', 'United Kingdom'),
(55642, '87.245.235.0', '87.245.235.7', 1475734272, 1475734279, 'RU', 'Russian Federation'),
(55643, '87.245.235.8', '87.245.236.255', 1475734280, 1475734783, 'GB', 'United Kingdom'),
(55644, '87.245.237.0', '87.245.237.7', 1475734784, 1475734791, 'UA', 'Ukraine'),
(55645, '87.245.237.8', '87.245.237.15', 1475734792, 1475734799, 'RU', 'Russian Federation'),
(55646, '87.245.237.16', '87.245.237.23', 1475734800, 1475734807, 'UA', 'Ukraine'),
(55647, '87.245.237.24', '87.245.237.31', 1475734808, 1475734815, 'RU', 'Russian Federation'),
(55648, '87.245.237.32', '87.245.237.39', 1475734816, 1475734823, 'UA', 'Ukraine'),
(55649, '87.245.237.40', '87.245.237.47', 1475734824, 1475734831, 'RU', 'Russian Federation'),
(55650, '87.245.237.48', '87.245.237.127', 1475734832, 1475734911, 'UA', 'Ukraine'),
(55651, '87.245.237.128', '87.245.237.135', 1475734912, 1475734919, 'RU', 'Russian Federation'),
(55652, '87.245.237.136', '87.245.237.207', 1475734920, 1475734991, 'UA', 'Ukraine'),
(55653, '87.245.237.208', '87.245.237.215', 1475734992, 1475734999, 'RU', 'Russian Federation'),
(55654, '87.245.237.216', '87.245.237.255', 1475735000, 1475735039, 'UA', 'Ukraine'),
(55655, '87.245.238.0', '87.245.238.255', 1475735040, 1475735295, 'GB', 'United Kingdom'),
(55656, '87.245.239.0', '87.245.239.23', 1475735296, 1475735319, 'UA', 'Ukraine'),
(55657, '87.245.239.24', '87.245.239.31', 1475735320, 1475735327, 'RU', 'Russian Federation'),
(55658, '87.245.239.32', '87.245.239.47', 1475735328, 1475735343, 'UA', 'Ukraine'),
(55659, '87.245.239.48', '87.245.239.55', 1475735344, 1475735351, 'RU', 'Russian Federation'),
(55660, '87.245.239.56', '87.245.239.71', 1475735352, 1475735367, 'UA', 'Ukraine'),
(55661, '87.245.239.72', '87.245.239.79', 1475735368, 1475735375, 'RU', 'Russian Federation'),
(55662, '87.245.239.80', '87.245.239.87', 1475735376, 1475735383, 'UA', 'Ukraine'),
(55663, '87.245.239.88', '87.245.239.95', 1475735384, 1475735391, 'RU', 'Russian Federation'),
(55664, '87.245.239.96', '87.245.239.143', 1475735392, 1475735439, 'UA', 'Ukraine'),
(55665, '87.245.239.144', '87.245.239.159', 1475735440, 1475735455, 'RU', 'Russian Federation'),
(55666, '87.245.239.160', '87.245.239.255', 1475735456, 1475735551, 'UA', 'Ukraine'),
(55667, '87.245.240.0', '87.245.240.255', 1475735552, 1475735807, 'US', 'United States'),
(55668, '87.245.241.0', '87.245.241.191', 1475735808, 1475735999, 'RU', 'Russian Federation'),
(55669, '87.245.241.192', '87.245.241.255', 1475736000, 1475736063, 'GB', 'United Kingdom'),
(55670, '87.245.242.0', '87.245.242.63', 1475736064, 1475736127, 'LV', 'Latvia'),
(55671, '87.245.242.64', '87.245.242.127', 1475736128, 1475736191, 'EE', 'Estonia'),
(55672, '87.245.242.128', '87.245.242.191', 1475736192, 1475736255, 'GB', 'United Kingdom'),
(55673, '87.245.242.192', '87.245.242.255', 1475736256, 1475736319, 'HU', 'Hungary'),
(55674, '87.245.243.0', '87.245.243.127', 1475736320, 1475736447, 'RU', 'Russian Federation'),
(55675, '87.245.243.128', '87.245.243.231', 1475736448, 1475736551, 'UA', 'Ukraine'),
(55676, '87.245.243.232', '87.245.244.255', 1475736552, 1475736831, 'RU', 'Russian Federation'),
(55677, '87.245.245.0', '87.245.245.127', 1475736832, 1475736959, 'GB', 'United Kingdom'),
(55678, '87.245.245.128', '87.245.245.191', 1475736960, 1475737023, 'FR', 'France'),
(55679, '87.245.245.192', '87.245.245.255', 1475737024, 1475737087, 'PL', 'Poland'),
(55680, '87.245.246.0', '87.245.246.63', 1475737088, 1475737151, 'NL', 'Netherlands'),
(55681, '87.245.246.64', '87.245.246.95', 1475737152, 1475737183, 'CZ', 'Czech Republic'),
(55682, '87.245.246.96', '87.245.246.103', 1475737184, 1475737191, 'RU', 'Russian Federation'),
(55683, '87.245.246.104', '87.245.246.127', 1475737192, 1475737215, 'CZ', 'Czech Republic'),
(55684, '87.245.246.128', '87.245.246.167', 1475737216, 1475737255, 'DE', 'Germany'),
(55685, '87.245.246.168', '87.245.246.175', 1475737256, 1475737263, 'RU', 'Russian Federation'),
(55686, '87.245.246.176', '87.245.246.179', 1475737264, 1475737267, 'DE', 'Germany'),
(55687, '87.245.246.180', '87.245.246.191', 1475737268, 1475737279, 'RU', 'Russian Federation'),
(55688, '87.245.246.192', '87.245.246.255', 1475737280, 1475737343, 'AT', 'Austria'),
(55689, '87.245.247.0', '87.245.247.55', 1475737344, 1475737399, 'UA', 'Ukraine'),
(55690, '87.245.247.56', '87.245.247.63', 1475737400, 1475737407, 'RU', 'Russian Federation'),
(55691, '87.245.247.64', '87.245.247.127', 1475737408, 1475737471, 'UA', 'Ukraine'),
(55692, '87.245.247.128', '87.245.247.135', 1475737472, 1475737479, 'RU', 'Russian Federation'),
(55693, '87.245.247.136', '87.245.247.143', 1475737480, 1475737487, 'UA', 'Ukraine'),
(55694, '87.245.247.144', '87.245.247.151', 1475737488, 1475737495, 'RU', 'Russian Federation'),
(55695, '87.245.247.152', '87.245.247.159', 1475737496, 1475737503, 'UA', 'Ukraine'),
(55696, '87.245.247.160', '87.245.247.175', 1475737504, 1475737519, 'RU', 'Russian Federation'),
(55697, '87.245.247.176', '87.245.247.199', 1475737520, 1475737543, 'UA', 'Ukraine'),
(55698, '87.245.247.200', '87.245.247.207', 1475737544, 1475737551, 'RU', 'Russian Federation'),
(55699, '87.245.247.208', '87.245.247.239', 1475737552, 1475737583, 'UA', 'Ukraine'),
(55700, '87.245.247.240', '87.245.247.247', 1475737584, 1475737591, 'RU', 'Russian Federation'),
(55701, '87.245.247.248', '87.245.247.255', 1475737592, 1475737599, 'UA', 'Ukraine'),
(55702, '87.245.248.0', '87.245.248.55', 1475737600, 1475737655, 'FI', 'Finland'),
(55703, '87.245.248.56', '87.245.248.63', 1475737656, 1475737663, 'RU', 'Russian Federation'),
(55704, '87.245.248.64', '87.245.248.127', 1475737664, 1475737727, 'FI', 'Finland'),
(55705, '87.245.248.128', '87.245.248.135', 1475737728, 1475737735, 'RU', 'Russian Federation'),
(55706, '87.245.248.136', '87.245.248.255', 1475737736, 1475737855, 'FI', 'Finland'),
(55707, '87.245.249.0', '87.245.249.255', 1475737856, 1475738111, 'SE', 'Sweden'),
(55708, '87.245.250.0', '87.245.255.255', 1475738112, 1475739647, 'RU', 'Russian Federation'),
(55709, '87.246.0.0', '87.246.63.255', 1475739648, 1475756031, 'BG', 'Bulgaria'),
(55710, '87.246.64.0', '87.246.127.255', 1475756032, 1475772415, 'GB', 'United Kingdom'),
(55711, '87.246.128.0', '87.246.191.255', 1475772416, 1475788799, 'LV', 'Latvia'),
(55712, '87.246.192.0', '87.246.255.255', 1475788800, 1475805183, 'PL', 'Poland'),
(55713, '87.247.0.0', '87.247.63.255', 1475805184, 1475821567, 'KZ', 'Kazakhstan'),
(55714, '87.247.64.0', '87.247.127.255', 1475821568, 1475837951, 'LT', 'Lithuania'),
(55715, '87.247.128.0', '87.247.159.255', 1475837952, 1475846143, 'GB', 'United Kingdom'),
(55716, '87.247.160.0', '87.247.191.255', 1475846144, 1475854335, 'IR', 'Iran, Islamic Republic of'),
(55717, '87.247.192.0', '87.247.223.255', 1475854336, 1475862527, 'AT', 'Austria'),
(55718, '87.247.224.0', '87.247.231.255', 1475862528, 1475864575, 'FR', 'France'),
(55719, '87.247.232.0', '87.247.239.255', 1475864576, 1475866623, 'IT', 'Italy'),
(55720, '87.247.240.0', '87.247.247.255', 1475866624, 1475868671, 'GB', 'United Kingdom'),
(55721, '87.247.248.0', '87.247.255.255', 1475868672, 1475870719, 'BG', 'Bulgaria'),
(55722, '87.248.0.0', '87.248.31.255', 1475870720, 1475878911, 'NO', 'Norway'),
(55723, '87.248.32.0', '87.248.63.255', 1475878912, 1475887103, 'IT', 'Italy'),
(55724, '87.248.64.0', '87.248.95.255', 1475887104, 1475895295, 'PL', 'Poland'),
(55725, '87.248.96.0', '87.248.96.255', 1475895296, 1475895551, 'GB', 'United Kingdom'),
(55726, '87.248.97.0', '87.248.103.255', 1475895552, 1475897343, 'IE', 'Ireland'),
(55727, '87.248.104.0', '87.248.113.255', 1475897344, 1475899903, 'GB', 'United Kingdom'),
(55728, '87.248.114.0', '87.248.119.255', 1475899904, 1475901439, 'IE', 'Ireland'),
(55729, '87.248.120.0', '87.248.127.255', 1475901440, 1475903487, 'CH', 'Switzerland'),
(55730, '87.248.128.0', '87.248.159.255', 1475903488, 1475911679, 'IR', 'Iran, Islamic Republic of'),
(55731, '87.248.160.0', '87.248.191.255', 1475911680, 1475919871, 'MD', 'Moldova, Republic of'),
(55732, '87.248.192.0', '87.248.200.63', 1475919872, 1475921983, 'IT', 'Italy'),
(55733, '87.248.200.64', '87.248.200.87', 1475921984, 1475922007, 'NL', 'Netherlands'),
(55734, '87.248.200.88', '87.248.207.255', 1475922008, 1475923967, 'IT', 'Italy'),
(55735, '87.248.208.0', '87.248.215.255', 1475923968, 1475926015, 'GB', 'United Kingdom'),
(55736, '87.248.216.0', '87.248.220.111', 1475926016, 1475927151, 'IT', 'Italy'),
(55737, '87.248.220.112', '87.248.220.119', 1475927152, 1475927159, 'FR', 'France'),
(55738, '87.248.220.120', '87.248.222.79', 1475927160, 1475927631, 'IT', 'Italy'),
(55739, '87.248.222.80', '87.248.222.95', 1475927632, 1475927647, 'FR', 'France'),
(55740, '87.248.222.96', '87.248.223.255', 1475927648, 1475928063, 'IT', 'Italy'),
(55741, '87.248.224.0', '87.249.63.255', 1475928064, 1475952639, 'RU', 'Russian Federation'),
(55742, '87.249.64.0', '87.249.65.255', 1475952640, 1475953151, 'AE', 'United Arab Emirates'),
(55743, '87.249.66.0', '87.249.67.255', 1475953152, 1475953663, 'A2', 'Satellite Provider'),
(55744, '87.249.68.0', '87.249.69.255', 1475953664, 1475954175, 'GB', 'United Kingdom'),
(55745, '87.249.70.0', '87.249.71.255', 1475954176, 1475954687, 'NO', 'Norway'),
(55746, '87.249.72.0', '87.249.73.255', 1475954688, 1475955199, 'GB', 'United Kingdom'),
(55747, '87.249.74.0', '87.249.76.127', 1475955200, 1475955839, 'NG', 'Nigeria'),
(55748, '87.249.76.128', '87.249.76.255', 1475955840, 1475955967, 'GH', 'Ghana'),
(55749, '87.249.77.0', '87.249.77.255', 1475955968, 1475956223, 'GB', 'United Kingdom'),
(55750, '87.249.78.0', '87.249.79.127', 1475956224, 1475956607, 'NG', 'Nigeria'),
(55751, '87.249.79.128', '87.249.79.255', 1475956608, 1475956735, 'GH', 'Ghana'),
(55752, '87.249.80.0', '87.249.80.255', 1475956736, 1475956991, 'US', 'United States'),
(55753, '87.249.81.0', '87.249.82.255', 1475956992, 1475957503, 'GB', 'United Kingdom'),
(55754, '87.249.83.0', '87.249.83.255', 1475957504, 1475957759, 'IN', 'India'),
(55755, '87.249.84.0', '87.249.84.255', 1475957760, 1475958015, 'AF', 'Afghanistan'),
(55756, '87.249.85.0', '87.249.86.255', 1475958016, 1475958527, 'GB', 'United Kingdom'),
(55757, '87.249.87.0', '87.249.87.255', 1475958528, 1475958783, 'NO', 'Norway'),
(55758, '87.249.88.0', '87.249.88.255', 1475958784, 1475959039, 'GB', 'United Kingdom'),
(55759, '87.249.89.0', '87.249.89.7', 1475959040, 1475959047, 'US', 'United States'),
(55760, '87.249.89.8', '87.249.89.255', 1475959048, 1475959295, 'A2', 'Satellite Provider'),
(55761, '87.249.90.0', '87.249.93.143', 1475959296, 1475960207, 'GB', 'United Kingdom'),
(55762, '87.249.93.144', '87.249.93.255', 1475960208, 1475960319, 'A2', 'Satellite Provider'),
(55763, '87.249.94.0', '87.249.95.255', 1475960320, 1475960831, 'GB', 'United Kingdom'),
(55764, '87.249.96.0', '87.249.127.255', 1475960832, 1475969023, 'NL', 'Netherlands'),
(55765, '87.249.128.0', '87.249.159.255', 1475969024, 1475977215, 'CZ', 'Czech Republic'),
(55766, '87.249.160.0', '87.249.191.255', 1475977216, 1475985407, 'SE', 'Sweden'),
(55767, '87.249.192.0', '87.250.31.255', 1475985408, 1476009983, 'RU', 'Russian Federation'),
(55768, '87.250.32.0', '87.250.63.255', 1476009984, 1476018175, 'RS', 'Serbia'),
(55769, '87.250.64.0', '87.250.95.255', 1476018176, 1476026367, 'IT', 'Italy'),
(55770, '87.250.96.0', '87.250.127.255', 1476026368, 1476034559, 'BA', 'Bosnia and Herzegovina'),
(55771, '87.250.128.0', '87.250.159.255', 1476034560, 1476042751, 'NL', 'Netherlands'),
(55772, '87.250.160.0', '87.250.191.255', 1476042752, 1476050943, 'PL', 'Poland'),
(55773, '87.250.192.0', '87.250.255.255', 1476050944, 1476067327, 'RU', 'Russian Federation'),
(55774, '87.251.0.0', '87.251.31.255', 1476067328, 1476075519, 'TR', 'Turkey'),
(55775, '87.251.32.0', '87.251.41.87', 1476075520, 1476077911, 'NL', 'Netherlands'),
(55776, '87.251.41.88', '87.251.41.95', 1476077912, 1476077919, 'DE', 'Germany'),
(55777, '87.251.41.96', '87.251.47.191', 1476077920, 1476079551, 'NL', 'Netherlands'),
(55778, '87.251.47.192', '87.251.47.211', 1476079552, 1476079571, 'DE', 'Germany'),
(55779, '87.251.47.212', '87.251.63.255', 1476079572, 1476083711, 'NL', 'Netherlands'),
(55780, '87.251.64.0', '87.251.191.255', 1476083712, 1476116479, 'RU', 'Russian Federation'),
(55781, '87.251.192.0', '87.251.223.255', 1476116480, 1476124671, 'SE', 'Sweden'),
(55782, '87.251.224.0', '87.251.255.255', 1476124672, 1476132863, 'PL', 'Poland'),
(55783, '87.252.0.0', '87.252.7.255', 1476132864, 1476134911, 'FR', 'France'),
(55784, '87.252.8.0', '87.252.8.255', 1476134912, 1476135167, 'GB', 'United Kingdom'),
(55785, '87.252.9.0', '87.252.31.255', 1476135168, 1476141055, 'FR', 'France'),
(55786, '87.252.32.0', '87.252.63.255', 1476141056, 1476149247, 'GB', 'United Kingdom'),
(55787, '87.252.64.0', '87.252.95.255', 1476149248, 1476157439, 'NO', 'Norway'),
(55788, '87.252.96.0', '87.252.96.95', 1476157440, 1476157535, 'BH', 'Bahrain'),
(55789, '87.252.96.96', '87.252.96.191', 1476157536, 1476157631, 'BR', 'Brazil'),
(55790, '87.252.96.192', '87.252.96.255', 1476157632, 1476157695, 'BH', 'Bahrain'),
(55791, '87.252.97.0', '87.252.97.127', 1476157696, 1476157823, 'BR', 'Brazil'),
(55792, '87.252.97.128', '87.252.97.159', 1476157824, 1476157855, 'BH', 'Bahrain'),
(55793, '87.252.97.160', '87.252.97.191', 1476157856, 1476157887, 'BR', 'Brazil'),
(55794, '87.252.97.192', '87.252.97.255', 1476157888, 1476157951, 'BH', 'Bahrain'),
(55795, '87.252.98.0', '87.252.98.31', 1476157952, 1476157983, 'BR', 'Brazil'),
(55796, '87.252.98.32', '87.252.98.127', 1476157984, 1476158079, 'BH', 'Bahrain'),
(55797, '87.252.98.128', '87.252.99.191', 1476158080, 1476158399, 'BR', 'Brazil'),
(55798, '87.252.99.192', '87.252.99.255', 1476158400, 1476158463, 'BH', 'Bahrain'),
(55799, '87.252.100.0', '87.252.101.255', 1476158464, 1476158975, 'BR', 'Brazil'),
(55800, '87.252.102.0', '87.252.102.255', 1476158976, 1476159231, 'BH', 'Bahrain'),
(55801, '87.252.103.0', '87.252.103.255', 1476159232, 1476159487, 'JO', 'Jordan'),
(55802, '87.252.104.0', '87.252.104.207', 1476159488, 1476159695, 'GB', 'United Kingdom'),
(55803, '87.252.104.208', '87.252.104.239', 1476159696, 1476159727, 'BH', 'Bahrain'),
(55804, '87.252.104.240', '87.252.105.207', 1476159728, 1476159951, 'GB', 'United Kingdom'),
(55805, '87.252.105.208', '87.252.105.239', 1476159952, 1476159983, 'BH', 'Bahrain'),
(55806, '87.252.105.240', '87.252.125.255', 1476159984, 1476165119, 'GB', 'United Kingdom'),
(55807, '87.252.126.0', '87.252.126.255', 1476165120, 1476165375, 'BH', 'Bahrain'),
(55808, '87.252.127.0', '87.252.127.255', 1476165376, 1476165631, 'JO', 'Jordan'),
(55809, '87.252.128.0', '87.252.159.255', 1476165632, 1476173823, 'HR', 'Croatia'),
(55810, '87.252.160.0', '87.252.191.255', 1476173824, 1476182015, 'BG', 'Bulgaria'),
(55811, '87.252.192.0', '87.252.223.255', 1476182016, 1476190207, 'IE', 'Ireland'),
(55812, '87.252.224.0', '87.252.255.255', 1476190208, 1476198399, 'BY', 'Belarus'),
(55813, '87.253.0.0', '87.253.31.255', 1476198400, 1476206591, 'RU', 'Russian Federation'),
(55814, '87.253.32.0', '87.253.63.255', 1476206592, 1476214783, 'GE', 'Georgia'),
(55815, '87.253.64.0', '87.253.95.255', 1476214784, 1476222975, 'SE', 'Sweden'),
(55816, '87.253.96.0', '87.253.127.255', 1476222976, 1476231167, 'IT', 'Italy'),
(55817, '87.253.128.0', '87.253.159.255', 1476231168, 1476239359, 'NL', 'Netherlands'),
(55818, '87.253.160.0', '87.253.191.255', 1476239360, 1476247551, 'DE', 'Germany'),
(55819, '87.253.192.0', '87.253.255.255', 1476247552, 1476263935, 'RU', 'Russian Federation'),
(55820, '87.254.0.0', '87.254.31.255', 1476263936, 1476272127, 'GB', 'United Kingdom'),
(55821, '87.254.32.0', '87.254.63.255', 1476272128, 1476280319, 'NO', 'Norway'),
(55822, '87.254.64.0', '87.254.95.255', 1476280320, 1476288511, 'IM', 'Isle of Man'),
(55823, '87.254.96.0', '87.254.127.255', 1476288512, 1476296703, 'LU', 'Luxembourg'),
(55824, '87.254.128.0', '87.254.159.255', 1476296704, 1476304895, 'RU', 'Russian Federation'),
(55825, '87.254.160.0', '87.254.191.255', 1476304896, 1476313087, 'BG', 'Bulgaria'),
(55826, '87.254.192.0', '87.254.199.255', 1476313088, 1476315135, 'FI', 'Finland'),
(55827, '87.254.200.0', '87.254.203.255', 1476315136, 1476316159, 'US', 'United States'),
(55828, '87.254.204.0', '87.254.205.255', 1476316160, 1476316671, 'SG', 'Singapore'),
(55829, '87.254.206.0', '87.254.209.255', 1476316672, 1476317695, 'FI', 'Finland'),
(55830, '87.254.210.0', '87.254.211.255', 1476317696, 1476318207, 'DE', 'Germany'),
(55831, '87.254.212.0', '87.254.212.255', 1476318208, 1476318463, 'FI', 'Finland'),
(55832, '87.254.213.0', '87.254.213.255', 1476318464, 1476318719, 'DE', 'Germany'),
(55833, '87.254.214.0', '87.254.214.255', 1476318720, 1476318975, 'FI', 'Finland'),
(55834, '87.254.215.0', '87.254.215.255', 1476318976, 1476319231, 'DE', 'Germany'),
(55835, '87.254.216.0', '87.254.223.255', 1476319232, 1476321279, 'FI', 'Finland'),
(55836, '87.254.224.0', '87.254.255.255', 1476321280, 1476329471, 'MC', 'Monaco'),
(55837, '87.255.0.0', '87.255.31.255', 1476329472, 1476337663, 'RU', 'Russian Federation'),
(55838, '87.255.32.0', '87.255.63.255', 1476337664, 1476345855, 'NL', 'Netherlands'),
(55839, '87.255.64.0', '87.255.95.255', 1476345856, 1476354047, 'MD', 'Moldova, Republic of'),
(55840, '87.255.96.0', '87.255.127.255', 1476354048, 1476362239, 'KE', 'Kenya'),
(55841, '87.255.128.0', '87.255.159.255', 1476362240, 1476370431, 'FR', 'France'),
(55842, '87.255.160.0', '87.255.191.255', 1476370432, 1476378623, 'SE', 'Sweden'),
(55843, '87.255.192.0', '87.255.223.255', 1476378624, 1476386815, 'KZ', 'Kazakhstan'),
(55844, '87.255.224.0', '87.255.255.255', 1476386816, 1476395007, 'RU', 'Russian Federation'),
(55845, '88.0.0.0', '88.31.255.255', 1476395008, 1478492159, 'ES', 'Spain'),
(55846, '88.32.0.0', '88.32.163.199', 1478492160, 1478534087, 'IT', 'Italy'),
(55847, '88.32.163.200', '88.32.163.207', 1478534088, 1478534095, 'FR', 'France'),
(55848, '88.32.163.208', '88.32.167.39', 1478534096, 1478534951, 'IT', 'Italy'),
(55849, '88.32.167.40', '88.32.167.63', 1478534952, 1478534975, 'FR', 'France'),
(55850, '88.32.167.64', '88.32.169.47', 1478534976, 1478535471, 'IT', 'Italy'),
(55851, '88.32.169.48', '88.32.169.55', 1478535472, 1478535479, 'FR', 'France'),
(55852, '88.32.169.56', '88.32.203.255', 1478535480, 1478544383, 'IT', 'Italy'),
(55853, '88.32.204.0', '88.32.204.255', 1478544384, 1478544639, 'US', 'United States'),
(55854, '88.32.205.0', '88.37.194.7', 1478544640, 1478869511, 'IT', 'Italy'),
(55855, '88.37.194.8', '88.37.194.15', 1478869512, 1478869519, 'FR', 'France'),
(55856, '88.37.194.16', '88.37.196.151', 1478869520, 1478870167, 'IT', 'Italy'),
(55857, '88.37.196.152', '88.37.196.159', 1478870168, 1478870175, 'FR', 'France'),
(55858, '88.37.196.160', '88.37.204.55', 1478870176, 1478872119, 'IT', 'Italy'),
(55859, '88.37.204.56', '88.37.204.63', 1478872120, 1478872127, 'FR', 'France'),
(55860, '88.37.204.64', '88.39.216.255', 1478872128, 1479006463, 'IT', 'Italy'),
(55861, '88.39.217.0', '88.39.217.255', 1479006464, 1479006719, 'US', 'United States'),
(55862, '88.39.218.0', '88.39.254.255', 1479006720, 1479016191, 'IT', 'Italy'),
(55863, '88.39.255.0', '88.39.255.255', 1479016192, 1479016447, 'US', 'United States'),
(55864, '88.40.0.0', '88.45.220.255', 1479016448, 1479400703, 'IT', 'Italy'),
(55865, '88.45.221.0', '88.45.223.255', 1479400704, 1479401471, 'US', 'United States'),
(55866, '88.45.224.0', '88.59.99.255', 1479401472, 1480287231, 'IT', 'Italy'),
(55867, '88.59.100.0', '88.59.100.255', 1480287232, 1480287487, 'US', 'United States'),
(55868, '88.59.101.0', '88.63.255.255', 1480287488, 1480589311, 'IT', 'Italy'),
(55869, '88.64.0.0', '88.79.237.17', 1480589312, 1481633041, 'DE', 'Germany'),
(55870, '88.79.237.18', '88.79.237.18', 1481633042, 1481633042, 'A1', 'Anonymous Proxy'),
(55871, '88.79.237.19', '88.79.255.255', 1481633043, 1481637887, 'DE', 'Germany'),
(55872, '88.80.0.0', '88.80.31.255', 1481637888, 1481646079, 'SE', 'Sweden'),
(55873, '88.80.32.0', '88.80.63.255', 1481646080, 1481654271, 'RU', 'Russian Federation'),
(55874, '88.80.64.0', '88.80.95.255', 1481654272, 1481662463, 'IT', 'Italy'),
(55875, '88.80.96.0', '88.80.159.255', 1481662464, 1481678847, 'BG', 'Bulgaria'),
(55876, '88.80.160.0', '88.80.163.127', 1481678848, 1481679743, 'SE', 'Sweden'),
(55877, '88.80.163.128', '88.80.163.159', 1481679744, 1481679775, 'GB', 'United Kingdom'),
(55878, '88.80.163.160', '88.80.166.255', 1481679776, 1481680639, 'SE', 'Sweden'),
(55879, '88.80.167.0', '88.80.167.3', 1481680640, 1481680643, 'GB', 'United Kingdom'),
(55880, '88.80.167.4', '88.80.191.255', 1481680644, 1481687039, 'SE', 'Sweden'),
(55881, '88.80.192.0', '88.80.223.255', 1481687040, 1481695231, 'DE', 'Germany'),
(55882, '88.80.224.0', '88.80.255.255', 1481695232, 1481703423, 'SK', 'Slovakia'),
(55883, '88.81.0.0', '88.81.31.255', 1481703424, 1481711615, 'SA', 'Saudi Arabia'),
(55884, '88.81.32.0', '88.81.63.255', 1481711616, 1481719807, 'RU', 'Russian Federation'),
(55885, '88.81.64.0', '88.81.95.255', 1481719808, 1481727999, 'CZ', 'Czech Republic'),
(55886, '88.81.96.0', '88.81.127.255', 1481728000, 1481736191, 'IE', 'Ireland'),
(55887, '88.81.128.0', '88.81.149.255', 1481736192, 1481741823, 'GG', 'Guernsey'),
(55888, '88.81.150.0', '88.81.150.255', 1481741824, 1481742079, 'GB', 'United Kingdom'),
(55889, '88.81.151.0', '88.81.159.255', 1481742080, 1481744383, 'GG', 'Guernsey'),
(55890, '88.81.160.0', '88.81.191.255', 1481744384, 1481752575, 'IT', 'Italy'),
(55891, '88.81.192.0', '88.81.223.255', 1481752576, 1481760767, 'RU', 'Russian Federation'),
(55892, '88.81.224.0', '88.81.255.255', 1481760768, 1481768959, 'UA', 'Ukraine'),
(55893, '88.82.0.0', '88.82.31.255', 1481768960, 1481777151, 'GB', 'United Kingdom'),
(55894, '88.82.32.0', '88.82.63.255', 1481777152, 1481785343, 'BE', 'Belgium'),
(55895, '88.82.64.0', '88.82.95.255', 1481785344, 1481793535, 'RU', 'Russian Federation'),
(55896, '88.82.96.0', '88.82.127.255', 1481793536, 1481801727, 'LI', 'Liechtenstein'),
(55897, '88.82.128.0', '88.82.159.255', 1481801728, 1481809919, 'GB', 'United Kingdom'),
(55898, '88.82.160.0', '88.82.191.255', 1481809920, 1481818111, 'RU', 'Russian Federation'),
(55899, '88.82.192.0', '88.82.223.255', 1481818112, 1481826303, 'ES', 'Spain'),
(55900, '88.82.224.0', '88.82.255.255', 1481826304, 1481834495, 'DE', 'Germany'),
(55901, '88.83.0.0', '88.83.31.255', 1481834496, 1481842687, 'GL', 'Greenland'),
(55902, '88.83.32.0', '88.83.63.255', 1481842688, 1481850879, 'SE', 'Sweden'),
(55903, '88.83.64.0', '88.83.95.255', 1481850880, 1481859071, 'DK', 'Denmark'),
(55904, '88.83.96.0', '88.83.127.255', 1481859072, 1481867263, 'GB', 'United Kingdom'),
(55905, '88.83.128.0', '88.83.159.255', 1481867264, 1481875455, 'SE', 'Sweden'),
(55906, '88.83.160.0', '88.83.191.255', 1481875456, 1481883647, 'CZ', 'Czech Republic'),
(55907, '88.83.192.0', '88.83.223.255', 1481883648, 1481891839, 'RU', 'Russian Federation'),
(55908, '88.83.224.0', '88.83.228.255', 1481891840, 1481893119, 'CZ', 'Czech Republic'),
(55909, '88.83.229.0', '88.83.229.255', 1481893120, 1481893375, 'SK', 'Slovakia'),
(55910, '88.83.230.0', '88.83.230.255', 1481893376, 1481893631, 'CZ', 'Czech Republic'),
(55911, '88.83.231.0', '88.83.231.255', 1481893632, 1481893887, 'SK', 'Slovakia'),
(55912, '88.83.232.0', '88.83.255.255', 1481893888, 1481900031, 'CZ', 'Czech Republic'),
(55913, '88.84.0.0', '88.84.31.255', 1481900032, 1481908223, 'CH', 'Switzerland'),
(55914, '88.84.32.0', '88.84.63.255', 1481908224, 1481916415, 'NO', 'Norway'),
(55915, '88.84.64.0', '88.84.95.255', 1481916416, 1481924607, 'ES', 'Spain'),
(55916, '88.84.96.0', '88.84.127.255', 1481924608, 1481932799, 'SA', 'Saudi Arabia'),
(55917, '88.84.128.0', '88.84.159.255', 1481932800, 1481940991, 'DE', 'Germany'),
(55918, '88.84.160.0', '88.84.191.255', 1481940992, 1481949183, 'NO', 'Norway'),
(55919, '88.84.192.0', '88.84.223.255', 1481949184, 1481957375, 'RU', 'Russian Federation'),
(55920, '88.84.224.0', '88.84.255.255', 1481957376, 1481965567, 'SE', 'Sweden'),
(55921, '88.85.0.0', '88.85.31.255', 1481965568, 1481973759, 'CH', 'Switzerland'),
(55922, '88.85.32.0', '88.85.63.255', 1481973760, 1481981951, 'FO', 'Faroe Islands'),
(55923, '88.85.64.0', '88.85.65.132', 1481981952, 1481982340, 'NL', 'Netherlands'),
(55924, '88.85.65.133', '88.85.65.133', 1481982341, 1481982341, 'LB', 'Lebanon'),
(55925, '88.85.65.134', '88.85.72.127', 1481982342, 1481984127, 'NL', 'Netherlands'),
(55926, '88.85.72.128', '88.85.72.255', 1481984128, 1481984255, 'PA', 'Panama'),
(55927, '88.85.73.0', '88.85.73.127', 1481984256, 1481984383, 'NL', 'Netherlands'),
(55928, '88.85.73.128', '88.85.73.255', 1481984384, 1481984511, 'GI', 'Gibraltar'),
(55929, '88.85.74.0', '88.85.74.127', 1481984512, 1481984639, 'CY', 'Cyprus'),
(55930, '88.85.74.128', '88.85.75.255', 1481984640, 1481985023, 'NL', 'Netherlands'),
(55931, '88.85.76.0', '88.85.76.255', 1481985024, 1481985279, 'MT', 'Malta'),
(55932, '88.85.77.0', '88.85.84.255', 1481985280, 1481987327, 'NL', 'Netherlands'),
(55933, '88.85.85.0', '88.85.85.255', 1481987328, 1481987583, 'GB', 'United Kingdom'),
(55934, '88.85.86.0', '88.85.87.127', 1481987584, 1481987967, 'NL', 'Netherlands'),
(55935, '88.85.87.128', '88.85.87.191', 1481987968, 1481988031, 'PA', 'Panama'),
(55936, '88.85.87.192', '88.85.87.255', 1481988032, 1481988095, 'NL', 'Netherlands'),
(55937, '88.85.88.0', '88.85.88.63', 1481988096, 1481988159, 'GI', 'Gibraltar'),
(55938, '88.85.88.64', '88.85.88.71', 1481988160, 1481988167, 'RU', 'Russian Federation'),
(55939, '88.85.88.72', '88.85.88.223', 1481988168, 1481988319, 'NL', 'Netherlands'),
(55940, '88.85.88.224', '88.85.88.239', 1481988320, 1481988335, 'BZ', 'Belize'),
(55941, '88.85.88.240', '88.85.88.255', 1481988336, 1481988351, 'NL', 'Netherlands'),
(55942, '88.85.89.0', '88.85.89.255', 1481988352, 1481988607, 'GB', 'United Kingdom'),
(55943, '88.85.90.0', '88.85.95.255', 1481988608, 1481990143, 'NL', 'Netherlands'),
(55944, '88.85.96.0', '88.85.127.255', 1481990144, 1481998335, 'MK', 'Macedonia'),
(55945, '88.85.128.0', '88.85.159.255', 1481998336, 1482006527, 'FI', 'Finland'),
(55946, '88.85.160.0', '88.85.223.255', 1482006528, 1482022911, 'RU', 'Russian Federation'),
(55947, '88.85.224.0', '88.85.255.255', 1482022912, 1482031103, 'SA', 'Saudi Arabia'),
(55948, '88.86.0.0', '88.86.31.255', 1482031104, 1482039295, 'SY', 'Syrian Arab Republic'),
(55949, '88.86.32.0', '88.86.63.255', 1482039296, 1482047487, 'SE', 'Sweden'),
(55950, '88.86.64.0', '88.86.95.255', 1482047488, 1482055679, 'RU', 'Russian Federation'),
(55951, '88.86.96.0', '88.86.116.119', 1482055680, 1482060919, 'CZ', 'Czech Republic'),
(55952, '88.86.116.120', '88.86.116.127', 1482060920, 1482060927, 'SK', 'Slovakia'),
(55953, '88.86.116.128', '88.86.127.255', 1482060928, 1482063871, 'CZ', 'Czech Republic'),
(55954, '88.86.128.0', '88.86.159.255', 1482063872, 1482072063, 'FI', 'Finland'),
(55955, '88.86.160.0', '88.86.176.223', 1482072064, 1482076383, 'IT', 'Italy'),
(55956, '88.86.176.224', '88.86.176.255', 1482076384, 1482076415, 'MT', 'Malta'),
(55957, '88.86.177.0', '88.86.191.255', 1482076416, 1482080255, 'IT', 'Italy'),
(55958, '88.86.192.0', '88.86.223.255', 1482080256, 1482088447, 'RU', 'Russian Federation'),
(55959, '88.86.224.0', '88.86.255.255', 1482088448, 1482096639, 'FR', 'France'),
(55960, '88.87.0.0', '88.87.31.255', 1482096640, 1482104831, 'BG', 'Bulgaria'),
(55961, '88.87.32.0', '88.87.63.255', 1482104832, 1482113023, 'NO', 'Norway'),
(55962, '88.87.64.0', '88.87.95.255', 1482113024, 1482121215, 'RU', 'Russian Federation'),
(55963, '88.87.96.0', '88.87.119.19', 1482121216, 1482127123, 'IT', 'Italy'),
(55964, '88.87.119.20', '88.87.119.23', 1482127124, 1482127127, 'TR', 'Turkey'),
(55965, '88.87.119.24', '88.87.127.255', 1482127128, 1482129407, 'IT', 'Italy'),
(55966, '88.87.128.0', '88.87.159.255', 1482129408, 1482137599, 'ES', 'Spain'),
(55967, '88.87.160.0', '88.87.191.255', 1482137600, 1482145791, 'IE', 'Ireland'),
(55968, '88.87.192.0', '88.87.223.255', 1482145792, 1482153983, 'ES', 'Spain'),
(55969, '88.87.224.0', '88.87.255.255', 1482153984, 1482162175, 'HU', 'Hungary'),
(55970, '88.88.0.0', '88.95.255.255', 1482162176, 1482686463, 'NO', 'Norway'),
(55971, '88.96.0.0', '88.99.255.255', 1482686464, 1482948607, 'GB', 'United Kingdom'),
(55972, '88.100.0.0', '88.103.255.255', 1482948608, 1483210751, 'CZ', 'Czech Republic'),
(55973, '88.104.0.0', '88.111.255.255', 1483210752, 1483735039, 'GB', 'United Kingdom'),
(55974, '88.112.0.0', '88.115.255.255', 1483735040, 1483997183, 'FI', 'Finland'),
(55975, '88.116.0.0', '88.116.159.255', 1483997184, 1484038143, 'AT', 'Austria'),
(55976, '88.116.160.0', '88.116.160.255', 1484038144, 1484038399, 'US', 'United States'),
(55977, '88.116.161.0', '88.116.162.255', 1484038400, 1484038911, 'AT', 'Austria'),
(55978, '88.116.163.0', '88.116.163.255', 1484038912, 1484039167, 'US', 'United States'),
(55979, '88.116.164.0', '88.117.255.255', 1484039168, 1484128255, 'AT', 'Austria');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(55980, '88.118.0.0', '88.119.255.255', 1484128256, 1484259327, 'LT', 'Lithuania'),
(55981, '88.120.0.0', '88.127.255.255', 1484259328, 1484783615, 'FR', 'France'),
(55982, '88.128.0.0', '88.128.255.255', 1484783616, 1484849151, 'DE', 'Germany'),
(55983, '88.129.0.0', '88.129.255.255', 1484849152, 1484914687, 'SE', 'Sweden'),
(55984, '88.130.0.0', '88.130.255.255', 1484914688, 1484980223, 'DE', 'Germany'),
(55985, '88.131.0.0', '88.131.255.255', 1484980224, 1485045759, 'SE', 'Sweden'),
(55986, '88.132.0.0', '88.132.255.255', 1485045760, 1485111295, 'HU', 'Hungary'),
(55987, '88.133.0.0', '88.134.255.255', 1485111296, 1485242367, 'DE', 'Germany'),
(55988, '88.135.0.0', '88.135.15.255', 1485242368, 1485246463, 'RU', 'Russian Federation'),
(55989, '88.135.16.0', '88.135.31.255', 1485246464, 1485250559, 'UA', 'Ukraine'),
(55990, '88.135.32.0', '88.135.47.255', 1485250560, 1485254655, 'IR', 'Iran, Islamic Republic of'),
(55991, '88.135.48.0', '88.135.63.255', 1485254656, 1485258751, 'RU', 'Russian Federation'),
(55992, '88.135.64.0', '88.135.95.255', 1485258752, 1485266943, 'UA', 'Ukraine'),
(55993, '88.135.96.0', '88.135.111.255', 1485266944, 1485271039, 'RO', 'Romania'),
(55994, '88.135.112.0', '88.135.127.255', 1485271040, 1485275135, 'UA', 'Ukraine'),
(55995, '88.135.128.0', '88.135.159.255', 1485275136, 1485283327, 'LV', 'Latvia'),
(55996, '88.135.160.0', '88.135.191.255', 1485283328, 1485291519, 'PL', 'Poland'),
(55997, '88.135.192.0', '88.135.255.255', 1485291520, 1485307903, 'UA', 'Ukraine'),
(55998, '88.136.0.0', '88.143.255.255', 1485307904, 1485832191, 'FR', 'France'),
(55999, '88.144.0.0', '88.145.255.255', 1485832192, 1485963263, 'GB', 'United Kingdom'),
(56000, '88.146.0.0', '88.146.255.255', 1485963264, 1486028799, 'CZ', 'Czech Republic'),
(56001, '88.147.0.0', '88.147.127.255', 1486028800, 1486061567, 'BE', 'Belgium'),
(56002, '88.147.128.0', '88.147.255.255', 1486061568, 1486094335, 'RU', 'Russian Federation'),
(56003, '88.148.0.0', '88.148.127.255', 1486094336, 1486127103, 'ES', 'Spain'),
(56004, '88.148.128.0', '88.148.255.255', 1486127104, 1486159871, 'FI', 'Finland'),
(56005, '88.149.0.0', '88.149.127.255', 1486159872, 1486192639, 'IS', 'Iceland'),
(56006, '88.149.128.0', '88.149.202.103', 1486192640, 1486211687, 'IT', 'Italy'),
(56007, '88.149.202.104', '88.149.202.111', 1486211688, 1486211695, 'GB', 'United Kingdom'),
(56008, '88.149.202.112', '88.149.255.255', 1486211696, 1486225407, 'IT', 'Italy'),
(56009, '88.150.0.0', '88.150.127.255', 1486225408, 1486258175, 'DE', 'Germany'),
(56010, '88.150.128.0', '88.150.255.255', 1486258176, 1486290943, 'RS', 'Serbia'),
(56011, '88.151.0.0', '88.151.7.255', 1486290944, 1486292991, 'GB', 'United Kingdom'),
(56012, '88.151.8.0', '88.151.15.255', 1486292992, 1486295039, 'RU', 'Russian Federation'),
(56013, '88.151.16.0', '88.151.23.255', 1486295040, 1486297087, 'ES', 'Spain'),
(56014, '88.151.24.0', '88.151.31.255', 1486297088, 1486299135, 'IE', 'Ireland'),
(56015, '88.151.32.0', '88.151.39.255', 1486299136, 1486301183, 'NL', 'Netherlands'),
(56016, '88.151.40.0', '88.151.47.255', 1486301184, 1486303231, 'GB', 'United Kingdom'),
(56017, '88.151.48.0', '88.151.55.255', 1486303232, 1486305279, 'IS', 'Iceland'),
(56018, '88.151.56.0', '88.151.63.255', 1486305280, 1486307327, 'HU', 'Hungary'),
(56019, '88.151.64.0', '88.151.71.255', 1486307328, 1486309375, 'DE', 'Germany'),
(56020, '88.151.72.0', '88.151.79.255', 1486309376, 1486311423, 'AT', 'Austria'),
(56021, '88.151.80.0', '88.151.87.255', 1486311424, 1486313471, 'IE', 'Ireland'),
(56022, '88.151.88.0', '88.151.95.255', 1486313472, 1486315519, 'RU', 'Russian Federation'),
(56023, '88.151.96.0', '88.151.103.255', 1486315520, 1486317567, 'HU', 'Hungary'),
(56024, '88.151.104.0', '88.151.114.255', 1486317568, 1486320383, 'RU', 'Russian Federation'),
(56025, '88.151.115.0', '88.151.115.255', 1486320384, 1486320639, 'US', 'United States'),
(56026, '88.151.116.0', '88.151.119.255', 1486320640, 1486321663, 'RU', 'Russian Federation'),
(56027, '88.151.120.0', '88.151.127.255', 1486321664, 1486323711, 'NL', 'Netherlands'),
(56028, '88.151.128.0', '88.151.135.255', 1486323712, 1486325759, 'GB', 'United Kingdom'),
(56029, '88.151.136.0', '88.151.143.255', 1486325760, 1486327807, 'PL', 'Poland'),
(56030, '88.151.144.0', '88.151.151.255', 1486327808, 1486329855, 'CH', 'Switzerland'),
(56031, '88.151.152.0', '88.151.159.255', 1486329856, 1486331903, 'GB', 'United Kingdom'),
(56032, '88.151.160.0', '88.151.167.255', 1486331904, 1486333951, 'NO', 'Norway'),
(56033, '88.151.168.0', '88.151.175.255', 1486333952, 1486335999, 'SE', 'Sweden'),
(56034, '88.151.176.0', '88.151.183.255', 1486336000, 1486338047, 'KZ', 'Kazakhstan'),
(56035, '88.151.184.0', '88.151.191.255', 1486338048, 1486340095, 'RU', 'Russian Federation'),
(56036, '88.151.192.0', '88.151.199.255', 1486340096, 1486342143, 'AZ', 'Azerbaijan'),
(56037, '88.151.200.0', '88.151.207.255', 1486342144, 1486344191, 'RU', 'Russian Federation'),
(56038, '88.151.208.0', '88.151.215.255', 1486344192, 1486346239, 'ES', 'Spain'),
(56039, '88.151.216.0', '88.151.223.255', 1486346240, 1486348287, 'GB', 'United Kingdom'),
(56040, '88.151.224.0', '88.151.227.255', 1486348288, 1486349311, 'NL', 'Netherlands'),
(56041, '88.151.228.0', '88.151.231.255', 1486349312, 1486350335, 'US', 'United States'),
(56042, '88.151.232.0', '88.151.239.255', 1486350336, 1486352383, 'FR', 'France'),
(56043, '88.151.240.0', '88.151.247.255', 1486352384, 1486354431, 'BE', 'Belgium'),
(56044, '88.151.248.0', '88.151.255.255', 1486354432, 1486356479, 'RU', 'Russian Federation'),
(56045, '88.152.0.0', '88.153.255.255', 1486356480, 1486487551, 'DE', 'Germany'),
(56046, '88.154.0.0', '88.155.255.255', 1486487552, 1486618623, 'UA', 'Ukraine'),
(56047, '88.156.0.0', '88.156.255.255', 1486618624, 1486684159, 'PL', 'Poland'),
(56048, '88.157.0.0', '88.157.255.255', 1486684160, 1486749695, 'PT', 'Portugal'),
(56049, '88.158.0.0', '88.158.255.255', 1486749696, 1486815231, 'RO', 'Romania'),
(56050, '88.159.0.0', '88.159.255.255', 1486815232, 1486880767, 'NL', 'Netherlands'),
(56051, '88.160.0.0', '88.191.255.255', 1486880768, 1488977919, 'FR', 'France'),
(56052, '88.192.0.0', '88.195.255.255', 1488977920, 1489240063, 'FI', 'Finland'),
(56053, '88.196.0.0', '88.196.255.255', 1489240064, 1489305599, 'EE', 'Estonia'),
(56054, '88.197.0.0', '88.197.127.255', 1489305600, 1489338367, 'GR', 'Greece'),
(56055, '88.197.128.0', '88.197.255.255', 1489338368, 1489371135, 'BE', 'Belgium'),
(56056, '88.198.0.0', '88.198.71.79', 1489371136, 1489389391, 'DE', 'Germany'),
(56057, '88.198.71.80', '88.198.71.87', 1489389392, 1489389399, 'IT', 'Italy'),
(56058, '88.198.71.88', '88.198.80.23', 1489389400, 1489391639, 'DE', 'Germany'),
(56059, '88.198.80.24', '88.198.80.31', 1489391640, 1489391647, 'ES', 'Spain'),
(56060, '88.198.80.32', '88.198.84.127', 1489391648, 1489392767, 'DE', 'Germany'),
(56061, '88.198.84.128', '88.198.84.135', 1489392768, 1489392775, 'IT', 'Italy'),
(56062, '88.198.84.136', '88.198.121.127', 1489392776, 1489402239, 'DE', 'Germany'),
(56063, '88.198.121.128', '88.198.121.255', 1489402240, 1489402367, 'TR', 'Turkey'),
(56064, '88.198.122.0', '88.198.131.95', 1489402368, 1489404767, 'DE', 'Germany'),
(56065, '88.198.131.96', '88.198.131.103', 1489404768, 1489404775, 'IT', 'Italy'),
(56066, '88.198.131.104', '88.198.131.167', 1489404776, 1489404839, 'DE', 'Germany'),
(56067, '88.198.131.168', '88.198.131.175', 1489404840, 1489404847, 'ES', 'Spain'),
(56068, '88.198.131.176', '88.198.131.183', 1489404848, 1489404855, 'DE', 'Germany'),
(56069, '88.198.131.184', '88.198.131.191', 1489404856, 1489404863, 'ES', 'Spain'),
(56070, '88.198.131.192', '88.198.255.255', 1489404864, 1489436671, 'DE', 'Germany'),
(56071, '88.199.0.0', '88.199.255.255', 1489436672, 1489502207, 'PL', 'Poland'),
(56072, '88.200.0.0', '88.200.127.255', 1489502208, 1489534975, 'SI', 'Slovenia'),
(56073, '88.200.128.0', '88.200.255.255', 1489534976, 1489567743, 'RU', 'Russian Federation'),
(56074, '88.201.0.0', '88.201.127.255', 1489567744, 1489600511, 'BH', 'Bahrain'),
(56075, '88.201.128.0', '88.201.255.255', 1489600512, 1489633279, 'RU', 'Russian Federation'),
(56076, '88.202.0.0', '88.202.7.255', 1489633280, 1489635327, 'IT', 'Italy'),
(56077, '88.202.8.0', '88.202.9.254', 1489635328, 1489635838, 'GB', 'United Kingdom'),
(56078, '88.202.9.255', '88.202.9.255', 1489635839, 1489635839, 'A2', 'Satellite Provider'),
(56079, '88.202.10.0', '88.202.13.255', 1489635840, 1489636863, 'IT', 'Italy'),
(56080, '88.202.14.0', '88.202.14.255', 1489636864, 1489637119, 'FR', 'France'),
(56081, '88.202.15.0', '88.202.17.255', 1489637120, 1489637887, 'IT', 'Italy'),
(56082, '88.202.18.0', '88.202.19.255', 1489637888, 1489638399, 'US', 'United States'),
(56083, '88.202.20.0', '88.202.20.255', 1489638400, 1489638655, 'IT', 'Italy'),
(56084, '88.202.21.0', '88.202.21.255', 1489638656, 1489638911, 'FR', 'France'),
(56085, '88.202.22.0', '88.202.28.255', 1489638912, 1489640703, 'IT', 'Italy'),
(56086, '88.202.29.0', '88.202.29.255', 1489640704, 1489640959, 'FR', 'France'),
(56087, '88.202.30.0', '88.202.32.255', 1489640960, 1489641727, 'IT', 'Italy'),
(56088, '88.202.33.0', '88.202.33.255', 1489641728, 1489641983, 'HK', 'Hong Kong'),
(56089, '88.202.34.0', '88.202.35.255', 1489641984, 1489642495, 'IT', 'Italy'),
(56090, '88.202.36.0', '88.202.36.255', 1489642496, 1489642751, 'FR', 'France'),
(56091, '88.202.37.0', '88.202.43.255', 1489642752, 1489644543, 'IT', 'Italy'),
(56092, '88.202.44.0', '88.202.44.255', 1489644544, 1489644799, 'IQ', 'Iraq'),
(56093, '88.202.45.0', '88.202.45.255', 1489644800, 1489645055, 'US', 'United States'),
(56094, '88.202.46.0', '88.202.47.255', 1489645056, 1489645567, 'IT', 'Italy'),
(56095, '88.202.48.0', '88.202.48.255', 1489645568, 1489645823, 'US', 'United States'),
(56096, '88.202.49.0', '88.202.51.255', 1489645824, 1489646591, 'A2', 'Satellite Provider'),
(56097, '88.202.52.0', '88.202.52.255', 1489646592, 1489646847, 'US', 'United States'),
(56098, '88.202.53.0', '88.202.53.255', 1489646848, 1489647103, 'IT', 'Italy'),
(56099, '88.202.54.0', '88.202.54.255', 1489647104, 1489647359, 'A2', 'Satellite Provider'),
(56100, '88.202.55.0', '88.202.59.255', 1489647360, 1489648639, 'IT', 'Italy'),
(56101, '88.202.60.0', '88.202.62.6', 1489648640, 1489649158, 'A2', 'Satellite Provider'),
(56102, '88.202.62.7', '88.202.62.7', 1489649159, 1489649159, 'US', 'United States'),
(56103, '88.202.62.8', '88.202.63.255', 1489649160, 1489649663, 'A2', 'Satellite Provider'),
(56104, '88.202.64.0', '88.202.67.255', 1489649664, 1489650687, 'FR', 'France'),
(56105, '88.202.68.0', '88.202.69.255', 1489650688, 1489651199, 'A2', 'Satellite Provider'),
(56106, '88.202.70.0', '88.202.79.255', 1489651200, 1489653759, 'IT', 'Italy'),
(56107, '88.202.80.0', '88.202.95.255', 1489653760, 1489657855, 'A2', 'Satellite Provider'),
(56108, '88.202.96.0', '88.202.104.15', 1489657856, 1489659919, 'IT', 'Italy'),
(56109, '88.202.104.16', '88.202.104.31', 1489659920, 1489659935, 'FR', 'France'),
(56110, '88.202.104.32', '88.202.104.47', 1489659936, 1489659951, 'DE', 'Germany'),
(56111, '88.202.104.48', '88.202.104.63', 1489659952, 1489659967, 'CY', 'Cyprus'),
(56112, '88.202.104.64', '88.202.104.79', 1489659968, 1489659983, 'FI', 'Finland'),
(56113, '88.202.104.80', '88.202.104.95', 1489659984, 1489659999, 'GR', 'Greece'),
(56114, '88.202.104.96', '88.202.104.111', 1489660000, 1489660015, 'IE', 'Ireland'),
(56115, '88.202.104.112', '88.202.104.127', 1489660016, 1489660031, 'ES', 'Spain'),
(56116, '88.202.104.128', '88.202.104.143', 1489660032, 1489660047, 'PL', 'Poland'),
(56117, '88.202.104.144', '88.202.104.159', 1489660048, 1489660063, 'GB', 'United Kingdom'),
(56118, '88.202.104.160', '88.202.104.175', 1489660064, 1489660079, 'AD', 'Andorra'),
(56119, '88.202.104.176', '88.202.104.191', 1489660080, 1489660095, 'AE', 'United Arab Emirates'),
(56120, '88.202.104.192', '88.202.104.207', 1489660096, 1489660111, 'AL', 'Albania'),
(56121, '88.202.104.208', '88.202.104.223', 1489660112, 1489660127, 'AM', 'Armenia'),
(56122, '88.202.104.224', '88.202.104.239', 1489660128, 1489660143, 'AT', 'Austria'),
(56123, '88.202.104.240', '88.202.104.255', 1489660144, 1489660159, 'BA', 'Bosnia and Herzegovina'),
(56124, '88.202.105.0', '88.202.105.15', 1489660160, 1489660175, 'BE', 'Belgium'),
(56125, '88.202.105.16', '88.202.105.31', 1489660176, 1489660191, 'BG', 'Bulgaria'),
(56126, '88.202.105.32', '88.202.105.47', 1489660192, 1489660207, 'BH', 'Bahrain'),
(56127, '88.202.105.48', '88.202.105.63', 1489660208, 1489660223, 'BY', 'Belarus'),
(56128, '88.202.105.64', '88.202.105.79', 1489660224, 1489660239, 'CH', 'Switzerland'),
(56129, '88.202.105.80', '88.202.105.95', 1489660240, 1489660255, 'CZ', 'Czech Republic'),
(56130, '88.202.105.96', '88.202.105.111', 1489660256, 1489660271, 'DK', 'Denmark'),
(56131, '88.202.105.112', '88.202.105.127', 1489660272, 1489660287, 'DZ', 'Algeria'),
(56132, '88.202.105.128', '88.202.105.143', 1489660288, 1489660303, 'EE', 'Estonia'),
(56133, '88.202.105.144', '88.202.105.159', 1489660304, 1489660319, 'EG', 'Egypt'),
(56134, '88.202.105.160', '88.202.105.175', 1489660320, 1489660335, 'HR', 'Croatia'),
(56135, '88.202.105.176', '88.202.105.191', 1489660336, 1489660351, 'HU', 'Hungary'),
(56136, '88.202.105.192', '88.202.105.207', 1489660352, 1489660367, 'KW', 'Kuwait'),
(56137, '88.202.105.208', '88.202.105.223', 1489660368, 1489660383, 'LI', 'Liechtenstein'),
(56138, '88.202.105.224', '88.202.105.239', 1489660384, 1489660399, 'LT', 'Lithuania'),
(56139, '88.202.105.240', '88.202.105.255', 1489660400, 1489660415, 'LU', 'Luxembourg'),
(56140, '88.202.106.0', '88.202.106.15', 1489660416, 1489660431, 'LV', 'Latvia'),
(56141, '88.202.106.16', '88.202.106.31', 1489660432, 1489660447, 'LY', 'Libyan Arab Jamahiriya'),
(56142, '88.202.106.32', '88.202.106.47', 1489660448, 1489660463, 'MA', 'Morocco'),
(56143, '88.202.106.48', '88.202.106.63', 1489660464, 1489660479, 'MC', 'Monaco'),
(56144, '88.202.106.64', '88.202.106.79', 1489660480, 1489660495, 'MD', 'Moldova, Republic of'),
(56145, '88.202.106.80', '88.202.106.95', 1489660496, 1489660511, 'ME', 'Montenegro'),
(56146, '88.202.106.96', '88.202.106.111', 1489660512, 1489660527, 'MK', 'Macedonia'),
(56147, '88.202.106.112', '88.202.106.127', 1489660528, 1489660543, 'MT', 'Malta'),
(56148, '88.202.106.128', '88.202.106.143', 1489660544, 1489660559, 'NL', 'Netherlands'),
(56149, '88.202.106.144', '88.202.106.159', 1489660560, 1489660575, 'NO', 'Norway'),
(56150, '88.202.106.160', '88.202.106.175', 1489660576, 1489660591, 'OM', 'Oman'),
(56151, '88.202.106.176', '88.202.106.191', 1489660592, 1489660607, 'PT', 'Portugal'),
(56152, '88.202.106.192', '88.202.106.207', 1489660608, 1489660623, 'QA', 'Qatar'),
(56153, '88.202.106.208', '88.202.106.223', 1489660624, 1489660639, 'RO', 'Romania'),
(56154, '88.202.106.224', '88.202.106.239', 1489660640, 1489660655, 'RS', 'Serbia'),
(56155, '88.202.106.240', '88.202.106.255', 1489660656, 1489660671, 'RU', 'Russian Federation'),
(56156, '88.202.107.0', '88.202.107.15', 1489660672, 1489660687, 'SA', 'Saudi Arabia'),
(56157, '88.202.107.16', '88.202.107.31', 1489660688, 1489660703, 'SE', 'Sweden'),
(56158, '88.202.107.32', '88.202.107.47', 1489660704, 1489660719, 'SI', 'Slovenia'),
(56159, '88.202.107.48', '88.202.107.63', 1489660720, 1489660735, 'SK', 'Slovakia'),
(56160, '88.202.107.64', '88.202.107.79', 1489660736, 1489660751, 'SM', 'San Marino'),
(56161, '88.202.107.80', '88.202.107.95', 1489660752, 1489660767, 'TN', 'Tunisia'),
(56162, '88.202.107.96', '88.202.107.111', 1489660768, 1489660783, 'TR', 'Turkey'),
(56163, '88.202.107.112', '88.202.107.127', 1489660784, 1489660799, 'UA', 'Ukraine'),
(56164, '88.202.107.128', '88.202.107.143', 1489660800, 1489660815, 'VA', 'Holy See (Vatican City State)'),
(56165, '88.202.107.144', '88.202.107.255', 1489660816, 1489660927, 'A2', 'Satellite Provider'),
(56166, '88.202.108.0', '88.202.108.15', 1489660928, 1489660943, 'IT', 'Italy'),
(56167, '88.202.108.16', '88.202.108.31', 1489660944, 1489660959, 'FR', 'France'),
(56168, '88.202.108.32', '88.202.108.47', 1489660960, 1489660975, 'DE', 'Germany'),
(56169, '88.202.108.48', '88.202.108.63', 1489660976, 1489660991, 'CY', 'Cyprus'),
(56170, '88.202.108.64', '88.202.108.79', 1489660992, 1489661007, 'FI', 'Finland'),
(56171, '88.202.108.80', '88.202.108.95', 1489661008, 1489661023, 'GR', 'Greece'),
(56172, '88.202.108.96', '88.202.108.111', 1489661024, 1489661039, 'IE', 'Ireland'),
(56173, '88.202.108.112', '88.202.108.127', 1489661040, 1489661055, 'ES', 'Spain'),
(56174, '88.202.108.128', '88.202.108.143', 1489661056, 1489661071, 'PL', 'Poland'),
(56175, '88.202.108.144', '88.202.108.159', 1489661072, 1489661087, 'GB', 'United Kingdom'),
(56176, '88.202.108.160', '88.202.108.175', 1489661088, 1489661103, 'AD', 'Andorra'),
(56177, '88.202.108.176', '88.202.108.191', 1489661104, 1489661119, 'AE', 'United Arab Emirates'),
(56178, '88.202.108.192', '88.202.108.207', 1489661120, 1489661135, 'AL', 'Albania'),
(56179, '88.202.108.208', '88.202.108.223', 1489661136, 1489661151, 'AM', 'Armenia'),
(56180, '88.202.108.224', '88.202.108.239', 1489661152, 1489661167, 'AT', 'Austria'),
(56181, '88.202.108.240', '88.202.108.255', 1489661168, 1489661183, 'BA', 'Bosnia and Herzegovina'),
(56182, '88.202.109.0', '88.202.109.15', 1489661184, 1489661199, 'BE', 'Belgium'),
(56183, '88.202.109.16', '88.202.109.31', 1489661200, 1489661215, 'BG', 'Bulgaria'),
(56184, '88.202.109.32', '88.202.109.47', 1489661216, 1489661231, 'BH', 'Bahrain'),
(56185, '88.202.109.48', '88.202.109.63', 1489661232, 1489661247, 'BY', 'Belarus'),
(56186, '88.202.109.64', '88.202.109.79', 1489661248, 1489661263, 'CH', 'Switzerland'),
(56187, '88.202.109.80', '88.202.109.95', 1489661264, 1489661279, 'CZ', 'Czech Republic'),
(56188, '88.202.109.96', '88.202.109.111', 1489661280, 1489661295, 'DK', 'Denmark'),
(56189, '88.202.109.112', '88.202.109.127', 1489661296, 1489661311, 'DZ', 'Algeria'),
(56190, '88.202.109.128', '88.202.109.143', 1489661312, 1489661327, 'EE', 'Estonia'),
(56191, '88.202.109.144', '88.202.109.159', 1489661328, 1489661343, 'EG', 'Egypt'),
(56192, '88.202.109.160', '88.202.109.175', 1489661344, 1489661359, 'HR', 'Croatia'),
(56193, '88.202.109.176', '88.202.109.191', 1489661360, 1489661375, 'HU', 'Hungary'),
(56194, '88.202.109.192', '88.202.109.207', 1489661376, 1489661391, 'KW', 'Kuwait'),
(56195, '88.202.109.208', '88.202.109.223', 1489661392, 1489661407, 'LI', 'Liechtenstein'),
(56196, '88.202.109.224', '88.202.109.239', 1489661408, 1489661423, 'LT', 'Lithuania'),
(56197, '88.202.109.240', '88.202.109.255', 1489661424, 1489661439, 'LU', 'Luxembourg'),
(56198, '88.202.110.0', '88.202.110.15', 1489661440, 1489661455, 'LV', 'Latvia'),
(56199, '88.202.110.16', '88.202.110.31', 1489661456, 1489661471, 'LY', 'Libyan Arab Jamahiriya'),
(56200, '88.202.110.32', '88.202.110.47', 1489661472, 1489661487, 'MA', 'Morocco'),
(56201, '88.202.110.48', '88.202.110.63', 1489661488, 1489661503, 'MC', 'Monaco'),
(56202, '88.202.110.64', '88.202.110.79', 1489661504, 1489661519, 'MD', 'Moldova, Republic of'),
(56203, '88.202.110.80', '88.202.110.95', 1489661520, 1489661535, 'ME', 'Montenegro'),
(56204, '88.202.110.96', '88.202.110.111', 1489661536, 1489661551, 'MK', 'Macedonia'),
(56205, '88.202.110.112', '88.202.110.127', 1489661552, 1489661567, 'MT', 'Malta'),
(56206, '88.202.110.128', '88.202.110.143', 1489661568, 1489661583, 'NL', 'Netherlands'),
(56207, '88.202.110.144', '88.202.110.159', 1489661584, 1489661599, 'NO', 'Norway'),
(56208, '88.202.110.160', '88.202.110.175', 1489661600, 1489661615, 'OM', 'Oman'),
(56209, '88.202.110.176', '88.202.110.191', 1489661616, 1489661631, 'PT', 'Portugal'),
(56210, '88.202.110.192', '88.202.110.207', 1489661632, 1489661647, 'QA', 'Qatar'),
(56211, '88.202.110.208', '88.202.110.223', 1489661648, 1489661663, 'RO', 'Romania'),
(56212, '88.202.110.224', '88.202.110.239', 1489661664, 1489661679, 'RS', 'Serbia'),
(56213, '88.202.110.240', '88.202.110.255', 1489661680, 1489661695, 'RU', 'Russian Federation'),
(56214, '88.202.111.0', '88.202.111.15', 1489661696, 1489661711, 'SA', 'Saudi Arabia'),
(56215, '88.202.111.16', '88.202.111.31', 1489661712, 1489661727, 'SE', 'Sweden'),
(56216, '88.202.111.32', '88.202.111.47', 1489661728, 1489661743, 'SI', 'Slovenia'),
(56217, '88.202.111.48', '88.202.111.63', 1489661744, 1489661759, 'SK', 'Slovakia'),
(56218, '88.202.111.64', '88.202.111.79', 1489661760, 1489661775, 'SM', 'San Marino'),
(56219, '88.202.111.80', '88.202.111.95', 1489661776, 1489661791, 'TN', 'Tunisia'),
(56220, '88.202.111.96', '88.202.111.111', 1489661792, 1489661807, 'TR', 'Turkey'),
(56221, '88.202.111.112', '88.202.111.127', 1489661808, 1489661823, 'UA', 'Ukraine'),
(56222, '88.202.111.128', '88.202.111.143', 1489661824, 1489661839, 'VA', 'Holy See (Vatican City State)'),
(56223, '88.202.111.144', '88.202.111.255', 1489661840, 1489661951, 'A2', 'Satellite Provider'),
(56224, '88.202.112.0', '88.202.112.255', 1489661952, 1489662207, 'US', 'United States'),
(56225, '88.202.113.0', '88.202.114.255', 1489662208, 1489662719, 'A2', 'Satellite Provider'),
(56226, '88.202.115.0', '88.202.115.255', 1489662720, 1489662975, 'ZA', 'South Africa'),
(56227, '88.202.116.0', '88.202.117.255', 1489662976, 1489663487, 'FR', 'France'),
(56228, '88.202.118.0', '88.202.119.255', 1489663488, 1489663999, 'ES', 'Spain'),
(56229, '88.202.120.0', '88.202.121.255', 1489664000, 1489664511, 'LY', 'Libyan Arab Jamahiriya'),
(56230, '88.202.122.0', '88.202.123.255', 1489664512, 1489665023, 'A2', 'Satellite Provider'),
(56231, '88.202.124.0', '88.202.124.255', 1489665024, 1489665279, 'ZA', 'South Africa'),
(56232, '88.202.125.0', '88.202.127.255', 1489665280, 1489666047, 'IT', 'Italy'),
(56233, '88.202.128.0', '88.202.255.255', 1489666048, 1489698815, 'GB', 'United Kingdom'),
(56234, '88.203.0.0', '88.203.127.255', 1489698816, 1489731583, 'MT', 'Malta'),
(56235, '88.203.128.0', '88.203.255.255', 1489731584, 1489764351, 'BG', 'Bulgaria'),
(56236, '88.204.0.0', '88.204.127.255', 1489764352, 1489797119, 'RU', 'Russian Federation'),
(56237, '88.204.128.0', '88.204.255.255', 1489797120, 1489829887, 'KZ', 'Kazakhstan'),
(56238, '88.205.0.0', '88.205.100.7', 1489829888, 1489855495, 'DE', 'Germany'),
(56239, '88.205.100.8', '88.205.100.15', 1489855496, 1489855503, 'CH', 'Switzerland'),
(56240, '88.205.100.16', '88.205.100.31', 1489855504, 1489855519, 'RU', 'Russian Federation'),
(56241, '88.205.100.32', '88.205.100.55', 1489855520, 1489855543, 'DE', 'Germany'),
(56242, '88.205.100.56', '88.205.100.63', 1489855544, 1489855551, 'PL', 'Poland'),
(56243, '88.205.100.64', '88.205.100.95', 1489855552, 1489855583, 'DE', 'Germany'),
(56244, '88.205.100.96', '88.205.100.127', 1489855584, 1489855615, 'RU', 'Russian Federation'),
(56245, '88.205.100.128', '88.205.101.159', 1489855616, 1489855903, 'DE', 'Germany'),
(56246, '88.205.101.160', '88.205.101.191', 1489855904, 1489855935, 'AU', 'Australia'),
(56247, '88.205.101.192', '88.205.101.255', 1489855936, 1489855999, 'US', 'United States'),
(56248, '88.205.102.0', '88.205.102.31', 1489856000, 1489856031, 'PL', 'Poland'),
(56249, '88.205.102.32', '88.205.102.63', 1489856032, 1489856063, 'RU', 'Russian Federation'),
(56250, '88.205.102.64', '88.205.127.255', 1489856064, 1489862655, 'DE', 'Germany'),
(56251, '88.205.128.0', '88.206.127.255', 1489862656, 1489928191, 'RU', 'Russian Federation'),
(56252, '88.206.128.0', '88.206.255.255', 1489928192, 1489960959, 'SE', 'Sweden'),
(56253, '88.207.0.0', '88.207.127.255', 1489960960, 1489993727, 'HR', 'Croatia'),
(56254, '88.207.128.0', '88.207.255.255', 1489993728, 1490026495, 'LU', 'Luxembourg'),
(56255, '88.208.0.0', '88.208.7.255', 1490026496, 1490028543, 'US', 'United States'),
(56256, '88.208.8.0', '88.208.9.255', 1490028544, 1490029055, 'UA', 'Ukraine'),
(56257, '88.208.10.0', '88.208.63.255', 1490029056, 1490042879, 'NL', 'Netherlands'),
(56258, '88.208.64.0', '88.208.91.87', 1490042880, 1490049879, 'CZ', 'Czech Republic'),
(56259, '88.208.91.88', '88.208.91.95', 1490049880, 1490049887, 'AT', 'Austria'),
(56260, '88.208.91.96', '88.208.91.127', 1490049888, 1490049919, 'CZ', 'Czech Republic'),
(56261, '88.208.91.128', '88.208.91.191', 1490049920, 1490049983, 'PL', 'Poland'),
(56262, '88.208.91.192', '88.208.104.255', 1490049984, 1490053375, 'CZ', 'Czech Republic'),
(56263, '88.208.105.0', '88.208.109.0', 1490053376, 1490054400, 'PL', 'Poland'),
(56264, '88.208.109.1', '88.208.127.255', 1490054401, 1490059263, 'CZ', 'Czech Republic'),
(56265, '88.208.128.0', '88.208.191.255', 1490059264, 1490075647, 'DE', 'Germany'),
(56266, '88.208.192.0', '88.208.255.255', 1490075648, 1490092031, 'GB', 'United Kingdom'),
(56267, '88.209.0.0', '88.209.63.255', 1490092032, 1490108415, 'DE', 'Germany'),
(56268, '88.209.64.0', '88.209.95.255', 1490108416, 1490116607, 'MC', 'Monaco'),
(56269, '88.209.96.0', '88.209.101.255', 1490116608, 1490118143, 'FR', 'France'),
(56270, '88.209.102.0', '88.209.102.255', 1490118144, 1490118399, 'MC', 'Monaco'),
(56271, '88.209.103.0', '88.209.103.255', 1490118400, 1490118655, 'FR', 'France'),
(56272, '88.209.104.0', '88.209.111.255', 1490118656, 1490120703, 'MC', 'Monaco'),
(56273, '88.209.112.0', '88.209.125.255', 1490120704, 1490124287, 'FR', 'France'),
(56274, '88.209.126.0', '88.209.127.255', 1490124288, 1490124799, 'MC', 'Monaco'),
(56275, '88.209.128.0', '88.209.255.255', 1490124800, 1490157567, 'HU', 'Hungary'),
(56276, '88.210.0.0', '88.210.63.255', 1490157568, 1490173951, 'RU', 'Russian Federation'),
(56277, '88.210.64.0', '88.210.127.255', 1490173952, 1490190335, 'PT', 'Portugal'),
(56278, '88.210.128.0', '88.210.137.255', 1490190336, 1490192895, 'GB', 'United Kingdom'),
(56279, '88.210.138.0', '88.210.138.255', 1490192896, 1490193151, 'IE', 'Ireland'),
(56280, '88.210.139.0', '88.210.143.255', 1490193152, 1490194431, 'GB', 'United Kingdom'),
(56281, '88.210.144.0', '88.210.144.255', 1490194432, 1490194687, 'DE', 'Germany'),
(56282, '88.210.145.0', '88.210.147.255', 1490194688, 1490195455, 'GB', 'United Kingdom'),
(56283, '88.210.148.0', '88.210.148.63', 1490195456, 1490195519, 'DE', 'Germany'),
(56284, '88.210.148.64', '88.210.148.127', 1490195520, 1490195583, 'PL', 'Poland'),
(56285, '88.210.148.128', '88.210.148.255', 1490195584, 1490195711, 'DE', 'Germany'),
(56286, '88.210.149.0', '88.210.149.63', 1490195712, 1490195775, 'IT', 'Italy'),
(56287, '88.210.149.64', '88.210.149.191', 1490195776, 1490195903, 'PL', 'Poland'),
(56288, '88.210.149.192', '88.210.149.255', 1490195904, 1490195967, 'CZ', 'Czech Republic'),
(56289, '88.210.150.0', '88.210.150.127', 1490195968, 1490196095, 'IT', 'Italy'),
(56290, '88.210.150.128', '88.210.150.255', 1490196096, 1490196223, 'HU', 'Hungary'),
(56291, '88.210.151.0', '88.210.151.63', 1490196224, 1490196287, 'IT', 'Italy'),
(56292, '88.210.151.64', '88.210.151.127', 1490196288, 1490196351, 'AL', 'Albania'),
(56293, '88.210.151.128', '88.210.151.191', 1490196352, 1490196415, 'RS', 'Serbia'),
(56294, '88.210.151.192', '88.210.151.255', 1490196416, 1490196479, 'GR', 'Greece'),
(56295, '88.210.152.0', '88.210.152.31', 1490196480, 1490196511, 'GB', 'United Kingdom'),
(56296, '88.210.152.32', '88.210.152.47', 1490196512, 1490196527, 'DE', 'Germany'),
(56297, '88.210.152.48', '88.210.152.63', 1490196528, 1490196543, 'RS', 'Serbia'),
(56298, '88.210.152.64', '88.210.152.79', 1490196544, 1490196559, 'PL', 'Poland'),
(56299, '88.210.152.80', '88.210.152.127', 1490196560, 1490196607, 'GB', 'United Kingdom'),
(56300, '88.210.152.128', '88.210.152.255', 1490196608, 1490196735, 'AL', 'Albania'),
(56301, '88.210.153.0', '88.210.153.127', 1490196736, 1490196863, 'CZ', 'Czech Republic'),
(56302, '88.210.153.128', '88.210.153.159', 1490196864, 1490196895, 'ES', 'Spain'),
(56303, '88.210.153.160', '88.210.153.191', 1490196896, 1490196927, 'HU', 'Hungary'),
(56304, '88.210.153.192', '88.210.153.223', 1490196928, 1490196959, 'IT', 'Italy'),
(56305, '88.210.153.224', '88.210.155.255', 1490196960, 1490197503, 'IE', 'Ireland'),
(56306, '88.210.156.0', '88.210.158.255', 1490197504, 1490198271, 'GB', 'United Kingdom'),
(56307, '88.210.159.0', '88.210.159.255', 1490198272, 1490198527, 'ES', 'Spain'),
(56308, '88.210.160.0', '88.210.165.255', 1490198528, 1490200063, 'GB', 'United Kingdom'),
(56309, '88.210.166.0', '88.210.166.255', 1490200064, 1490200319, 'ES', 'Spain'),
(56310, '88.210.167.0', '88.210.167.255', 1490200320, 1490200575, 'GB', 'United Kingdom'),
(56311, '88.210.168.0', '88.210.168.255', 1490200576, 1490200831, 'ES', 'Spain'),
(56312, '88.210.169.0', '88.210.169.255', 1490200832, 1490201087, 'GB', 'United Kingdom'),
(56313, '88.210.170.0', '88.210.170.95', 1490201088, 1490201183, 'DE', 'Germany'),
(56314, '88.210.170.96', '88.210.170.127', 1490201184, 1490201215, 'HU', 'Hungary'),
(56315, '88.210.170.128', '88.210.170.191', 1490201216, 1490201279, 'ES', 'Spain'),
(56316, '88.210.170.192', '88.210.171.127', 1490201280, 1490201471, 'DE', 'Germany'),
(56317, '88.210.171.128', '88.210.171.191', 1490201472, 1490201535, 'HU', 'Hungary'),
(56318, '88.210.171.192', '88.210.172.255', 1490201536, 1490201855, 'DE', 'Germany'),
(56319, '88.210.173.0', '88.210.191.255', 1490201856, 1490206719, 'GB', 'United Kingdom'),
(56320, '88.210.192.0', '88.210.255.255', 1490206720, 1490223103, 'GE', 'Georgia'),
(56321, '88.211.0.0', '88.211.127.255', 1490223104, 1490255871, 'GB', 'United Kingdom'),
(56322, '88.211.128.0', '88.211.191.255', 1490255872, 1490272255, 'NL', 'Netherlands'),
(56323, '88.211.192.0', '88.211.255.255', 1490272256, 1490288639, 'GB', 'United Kingdom'),
(56324, '88.212.0.0', '88.212.63.255', 1490288640, 1490305023, 'SK', 'Slovakia'),
(56325, '88.212.64.0', '88.212.127.255', 1490305024, 1490321407, 'DK', 'Denmark'),
(56326, '88.212.128.0', '88.212.191.255', 1490321408, 1490337791, 'GB', 'United Kingdom'),
(56327, '88.212.192.0', '88.212.255.255', 1490337792, 1490354175, 'RU', 'Russian Federation'),
(56328, '88.213.0.0', '88.213.127.255', 1490354176, 1490386943, 'SA', 'Saudi Arabia'),
(56329, '88.213.128.0', '88.213.191.255', 1490386944, 1490403327, 'IT', 'Italy'),
(56330, '88.213.192.0', '88.213.255.255', 1490403328, 1490419711, 'BG', 'Bulgaria'),
(56331, '88.214.0.0', '88.214.63.255', 1490419712, 1490436095, 'A2', 'Satellite Provider'),
(56332, '88.214.64.0', '88.214.127.255', 1490436096, 1490452479, 'UA', 'Ukraine'),
(56333, '88.214.128.0', '88.214.191.255', 1490452480, 1490468863, 'PT', 'Portugal'),
(56334, '88.214.192.0', '88.214.205.255', 1490468864, 1490472447, 'GB', 'United Kingdom'),
(56335, '88.214.206.0', '88.214.206.255', 1490472448, 1490472703, 'US', 'United States'),
(56336, '88.214.207.0', '88.214.211.255', 1490472704, 1490473983, 'GB', 'United Kingdom'),
(56337, '88.214.212.0', '88.214.212.255', 1490473984, 1490474239, 'US', 'United States'),
(56338, '88.214.213.0', '88.214.229.255', 1490474240, 1490478591, 'GB', 'United Kingdom'),
(56339, '88.214.230.0', '88.214.231.255', 1490478592, 1490479103, 'RU', 'Russian Federation'),
(56340, '88.214.232.0', '88.214.251.255', 1490479104, 1490484223, 'GB', 'United Kingdom'),
(56341, '88.214.252.0', '88.214.252.255', 1490484224, 1490484479, 'US', 'United States'),
(56342, '88.214.253.0', '88.215.63.255', 1490484480, 1490501631, 'GB', 'United Kingdom'),
(56343, '88.215.64.0', '88.215.127.255', 1490501632, 1490518015, 'DE', 'Germany'),
(56344, '88.215.128.0', '88.215.191.255', 1490518016, 1490534399, 'RU', 'Russian Federation'),
(56345, '88.215.192.0', '88.215.255.255', 1490534400, 1490550783, 'DE', 'Germany'),
(56346, '88.216.0.0', '88.216.255.255', 1490550784, 1490616319, 'LT', 'Lithuania'),
(56347, '88.217.0.0', '88.217.251.67', 1490616320, 1490680643, 'DE', 'Germany'),
(56348, '88.217.251.68', '88.217.251.71', 1490680644, 1490680647, 'A2', 'Satellite Provider'),
(56349, '88.217.251.72', '88.217.251.87', 1490680648, 1490680663, 'DE', 'Germany'),
(56350, '88.217.251.88', '88.217.251.91', 1490680664, 1490680667, 'A2', 'Satellite Provider'),
(56351, '88.217.251.92', '88.217.255.255', 1490680668, 1490681855, 'DE', 'Germany'),
(56352, '88.218.0.0', '88.218.255.255', 1490681856, 1490747391, 'GR', 'Greece'),
(56353, '88.219.0.0', '88.219.255.255', 1490747392, 1490812927, 'FR', 'France'),
(56354, '88.220.0.0', '88.220.255.255', 1490812928, 1490878463, 'PL', 'Poland'),
(56355, '88.221.0.0', '88.221.3.255', 1490878464, 1490879487, 'DE', 'Germany'),
(56356, '88.221.4.0', '88.221.7.255', 1490879488, 1490880511, 'US', 'United States'),
(56357, '88.221.8.0', '88.221.11.255', 1490880512, 1490881535, 'FR', 'France'),
(56358, '88.221.12.0', '88.221.27.255', 1490881536, 1490885631, 'EU', 'Europe'),
(56359, '88.221.28.0', '88.221.31.255', 1490885632, 1490886655, 'US', 'United States'),
(56360, '88.221.32.0', '88.221.99.255', 1490886656, 1490904063, 'EU', 'Europe'),
(56361, '88.221.100.0', '88.221.103.255', 1490904064, 1490905087, 'US', 'United States'),
(56362, '88.221.104.0', '88.221.119.255', 1490905088, 1490909183, 'EU', 'Europe'),
(56363, '88.221.120.0', '88.221.123.255', 1490909184, 1490910207, 'US', 'United States'),
(56364, '88.221.124.0', '88.221.135.255', 1490910208, 1490913279, 'EU', 'Europe'),
(56365, '88.221.136.0', '88.221.143.255', 1490913280, 1490915327, 'US', 'United States'),
(56366, '88.221.144.0', '88.221.151.255', 1490915328, 1490917375, 'IT', 'Italy'),
(56367, '88.221.152.0', '88.221.159.255', 1490917376, 1490919423, 'IL', 'Israel'),
(56368, '88.221.160.0', '88.221.191.255', 1490919424, 1490927615, 'EU', 'Europe'),
(56369, '88.221.192.0', '88.221.199.255', 1490927616, 1490929663, 'FR', 'France'),
(56370, '88.221.200.0', '88.221.207.255', 1490929664, 1490931711, 'EU', 'Europe'),
(56371, '88.221.208.0', '88.221.215.255', 1490931712, 1490933759, 'DE', 'Germany'),
(56372, '88.221.216.0', '88.221.218.255', 1490933760, 1490934527, 'EU', 'Europe'),
(56373, '88.221.219.0', '88.221.219.255', 1490934528, 1490934783, 'IL', 'Israel'),
(56374, '88.221.220.0', '88.221.255.255', 1490934784, 1490943999, 'EU', 'Europe'),
(56375, '88.222.0.0', '88.223.255.255', 1490944000, 1491075071, 'LT', 'Lithuania'),
(56376, '88.224.0.0', '88.255.255.255', 1491075072, 1493172223, 'TR', 'Turkey'),
(56377, '89.0.0.0', '89.1.255.255', 1493172224, 1493303295, 'DE', 'Germany'),
(56378, '89.2.0.0', '89.3.255.255', 1493303296, 1493434367, 'FR', 'France'),
(56379, '89.4.0.0', '89.5.255.255', 1493434368, 1493565439, 'SA', 'Saudi Arabia'),
(56380, '89.6.0.0', '89.7.255.255', 1493565440, 1493696511, 'ES', 'Spain'),
(56381, '89.8.0.0', '89.11.255.255', 1493696512, 1493958655, 'NO', 'Norway'),
(56382, '89.12.0.0', '89.15.255.255', 1493958656, 1494220799, 'DE', 'Germany'),
(56383, '89.16.0.0', '89.16.31.255', 1494220800, 1494228991, 'FR', 'France'),
(56384, '89.16.32.0', '89.16.63.255', 1494228992, 1494237183, 'RU', 'Russian Federation'),
(56385, '89.16.64.0', '89.16.95.255', 1494237184, 1494245375, 'IE', 'Ireland'),
(56386, '89.16.96.0', '89.16.127.255', 1494245376, 1494253567, 'RU', 'Russian Federation'),
(56387, '89.16.128.0', '89.16.159.255', 1494253568, 1494261759, 'DE', 'Germany'),
(56388, '89.16.160.0', '89.16.191.255', 1494261760, 1494269951, 'GB', 'United Kingdom'),
(56389, '89.16.192.0', '89.16.223.255', 1494269952, 1494278143, 'AT', 'Austria'),
(56390, '89.16.224.0', '89.16.241.255', 1494278144, 1494282751, 'GB', 'United Kingdom'),
(56391, '89.16.242.0', '89.16.242.255', 1494282752, 1494283007, 'FR', 'France'),
(56392, '89.16.243.0', '89.16.255.255', 1494283008, 1494286335, 'GB', 'United Kingdom'),
(56393, '89.17.0.0', '89.17.31.255', 1494286336, 1494294527, 'HR', 'Croatia'),
(56394, '89.17.32.0', '89.17.63.255', 1494294528, 1494302719, 'RU', 'Russian Federation'),
(56395, '89.17.64.0', '89.17.95.255', 1494302720, 1494310911, 'FI', 'Finland'),
(56396, '89.17.96.0', '89.17.127.255', 1494310912, 1494319103, 'LB', 'Lebanon'),
(56397, '89.17.128.0', '89.17.159.255', 1494319104, 1494327295, 'IS', 'Iceland'),
(56398, '89.17.160.0', '89.17.191.255', 1494327296, 1494335487, 'IT', 'Italy'),
(56399, '89.17.192.0', '89.17.223.255', 1494335488, 1494343679, 'ES', 'Spain'),
(56400, '89.17.224.0', '89.17.255.255', 1494343680, 1494351871, 'PL', 'Poland'),
(56401, '89.18.0.0', '89.18.31.255', 1494351872, 1494360063, 'RO', 'Romania'),
(56402, '89.18.32.0', '89.18.63.255', 1494360064, 1494368255, 'HR', 'Croatia'),
(56403, '89.18.64.0', '89.18.95.255', 1494368256, 1494376447, 'IE', 'Ireland'),
(56404, '89.18.96.0', '89.18.127.255', 1494376448, 1494384639, 'SE', 'Sweden'),
(56405, '89.18.128.0', '89.18.159.255', 1494384640, 1494392831, 'RU', 'Russian Federation'),
(56406, '89.18.160.0', '89.18.160.255', 1494392832, 1494393087, 'US', 'United States'),
(56407, '89.18.161.0', '89.18.183.255', 1494393088, 1494398975, 'NL', 'Netherlands'),
(56408, '89.18.184.0', '89.18.186.255', 1494398976, 1494399743, 'US', 'United States'),
(56409, '89.18.187.0', '89.18.191.255', 1494399744, 1494401023, 'NL', 'Netherlands'),
(56410, '89.18.192.0', '89.18.223.255', 1494401024, 1494409215, 'LV', 'Latvia'),
(56411, '89.18.224.0', '89.18.255.255', 1494409216, 1494417407, 'FI', 'Finland'),
(56412, '89.19.0.0', '89.19.31.255', 1494417408, 1494425599, 'TR', 'Turkey'),
(56413, '89.19.32.0', '89.19.63.255', 1494425600, 1494433791, 'RU', 'Russian Federation'),
(56414, '89.19.64.0', '89.19.95.255', 1494433792, 1494441983, 'IE', 'Ireland'),
(56415, '89.19.96.0', '89.19.127.255', 1494441984, 1494450175, 'UA', 'Ukraine'),
(56416, '89.19.128.0', '89.19.159.255', 1494450176, 1494458367, 'DK', 'Denmark'),
(56417, '89.19.160.0', '89.19.223.255', 1494458368, 1494474751, 'RU', 'Russian Federation'),
(56418, '89.19.224.0', '89.19.234.159', 1494474752, 1494477471, 'DE', 'Germany'),
(56419, '89.19.234.160', '89.19.234.191', 1494477472, 1494477503, 'IL', 'Israel'),
(56420, '89.19.234.192', '89.19.255.255', 1494477504, 1494482943, 'DE', 'Germany'),
(56421, '89.20.0.0', '89.20.63.255', 1494482944, 1494499327, 'RU', 'Russian Federation'),
(56422, '89.20.64.0', '89.20.95.255', 1494499328, 1494507519, 'NL', 'Netherlands'),
(56423, '89.20.96.0', '89.20.159.255', 1494507520, 1494523903, 'RU', 'Russian Federation'),
(56424, '89.20.160.0', '89.20.191.255', 1494523904, 1494532095, 'NL', 'Netherlands'),
(56425, '89.20.192.0', '89.20.223.255', 1494532096, 1494540287, 'GB', 'United Kingdom'),
(56426, '89.20.224.0', '89.20.255.255', 1494540288, 1494548479, 'NO', 'Norway'),
(56427, '89.21.0.0', '89.21.31.255', 1494548480, 1494556671, 'GB', 'United Kingdom'),
(56428, '89.21.32.0', '89.21.63.255', 1494556672, 1494564863, 'DE', 'Germany'),
(56429, '89.21.64.0', '89.21.95.255', 1494564864, 1494573055, 'UA', 'Ukraine'),
(56430, '89.21.96.0', '89.21.124.255', 1494573056, 1494580479, 'RO', 'Romania'),
(56431, '89.21.125.0', '89.21.125.255', 1494580480, 1494580735, 'HU', 'Hungary'),
(56432, '89.21.126.0', '89.21.127.255', 1494580736, 1494581247, 'RO', 'Romania'),
(56433, '89.21.128.0', '89.21.159.255', 1494581248, 1494589439, 'RU', 'Russian Federation'),
(56434, '89.21.160.0', '89.21.171.255', 1494589440, 1494592511, 'NL', 'Netherlands'),
(56435, '89.21.172.0', '89.21.175.255', 1494592512, 1494593535, 'US', 'United States'),
(56436, '89.21.176.0', '89.21.179.255', 1494593536, 1494594559, 'NL', 'Netherlands'),
(56437, '89.21.180.0', '89.21.181.255', 1494594560, 1494595071, 'US', 'United States'),
(56438, '89.21.182.0', '89.21.182.255', 1494595072, 1494595327, 'A2', 'Satellite Provider'),
(56439, '89.21.183.0', '89.21.183.255', 1494595328, 1494595583, 'NL', 'Netherlands'),
(56440, '89.21.184.0', '89.21.187.255', 1494595584, 1494596607, 'US', 'United States'),
(56441, '89.21.188.0', '89.21.189.255', 1494596608, 1494597119, 'NL', 'Netherlands'),
(56442, '89.21.190.0', '89.21.190.255', 1494597120, 1494597375, 'US', 'United States'),
(56443, '89.21.191.0', '89.21.191.255', 1494597376, 1494597631, 'NL', 'Netherlands'),
(56444, '89.21.192.0', '89.21.223.255', 1494597632, 1494605823, 'IT', 'Italy'),
(56445, '89.21.224.0', '89.21.255.255', 1494605824, 1494614015, 'GB', 'United Kingdom'),
(56446, '89.22.0.0', '89.22.7.255', 1494614016, 1494616063, 'RU', 'Russian Federation'),
(56447, '89.22.8.0', '89.22.15.255', 1494616064, 1494618111, 'ES', 'Spain'),
(56448, '89.22.16.0', '89.22.31.255', 1494618112, 1494622207, 'RU', 'Russian Federation'),
(56449, '89.22.32.0', '89.22.39.255', 1494622208, 1494624255, 'PL', 'Poland'),
(56450, '89.22.40.0', '89.22.47.255', 1494624256, 1494626303, 'UA', 'Ukraine'),
(56451, '89.22.48.0', '89.22.63.255', 1494626304, 1494630399, 'RO', 'Romania'),
(56452, '89.22.64.0', '89.22.95.255', 1494630400, 1494638591, 'CZ', 'Czech Republic'),
(56453, '89.22.96.0', '89.22.127.255', 1494638592, 1494646783, 'DE', 'Germany'),
(56454, '89.22.128.0', '89.22.191.255', 1494646784, 1494663167, 'RU', 'Russian Federation'),
(56455, '89.22.192.0', '89.22.199.255', 1494663168, 1494665215, 'PL', 'Poland'),
(56456, '89.22.200.0', '89.22.207.255', 1494665216, 1494667263, 'UA', 'Ukraine'),
(56457, '89.22.208.0', '89.22.215.255', 1494667264, 1494669311, 'PL', 'Poland'),
(56458, '89.22.216.0', '89.22.239.255', 1494669312, 1494675455, 'RU', 'Russian Federation'),
(56459, '89.22.240.0', '89.22.255.255', 1494675456, 1494679551, 'UA', 'Ukraine'),
(56460, '89.23.0.0', '89.23.63.255', 1494679552, 1494695935, 'RU', 'Russian Federation'),
(56461, '89.23.64.0', '89.23.95.255', 1494695936, 1494704127, 'RS', 'Serbia'),
(56462, '89.23.96.0', '89.23.223.255', 1494704128, 1494736895, 'RU', 'Russian Federation'),
(56463, '89.23.224.0', '89.23.255.255', 1494736896, 1494745087, 'DK', 'Denmark'),
(56464, '89.24.0.0', '89.24.255.255', 1494745088, 1494810623, 'CZ', 'Czech Republic'),
(56465, '89.25.0.0', '89.25.127.255', 1494810624, 1494843391, 'BG', 'Bulgaria'),
(56466, '89.25.128.0', '89.25.255.255', 1494843392, 1494876159, 'PL', 'Poland'),
(56467, '89.26.0.0', '89.26.17.7', 1494876160, 1494880519, 'AT', 'Austria'),
(56468, '89.26.17.8', '89.26.17.15', 1494880520, 1494880527, 'DE', 'Germany'),
(56469, '89.26.17.16', '89.26.127.255', 1494880528, 1494908927, 'AT', 'Austria'),
(56470, '89.26.128.0', '89.26.255.255', 1494908928, 1494941695, 'PT', 'Portugal'),
(56471, '89.27.0.0', '89.27.127.255', 1494941696, 1494974463, 'FI', 'Finland'),
(56472, '89.27.128.0', '89.27.255.255', 1494974464, 1495007231, 'DE', 'Germany'),
(56473, '89.28.0.0', '89.28.127.255', 1495007232, 1495039999, 'MD', 'Moldova, Republic of'),
(56474, '89.28.128.0', '89.28.135.255', 1495040000, 1495042047, 'KZ', 'Kazakhstan'),
(56475, '89.28.136.0', '89.28.143.255', 1495042048, 1495044095, 'DE', 'Germany'),
(56476, '89.28.144.0', '89.28.151.255', 1495044096, 1495046143, 'FR', 'France'),
(56477, '89.28.160.0', '89.28.167.255', 1495048192, 1495050239, 'RU', 'Russian Federation'),
(56478, '89.28.168.0', '89.28.175.255', 1495050240, 1495052287, 'GB', 'United Kingdom'),
(56479, '89.28.176.0', '89.28.183.255', 1495052288, 1495054335, 'IE', 'Ireland'),
(56480, '89.28.184.0', '89.28.191.255', 1495054336, 1495056383, 'GB', 'United Kingdom'),
(56481, '89.28.192.0', '89.28.199.255', 1495056384, 1495058431, 'RU', 'Russian Federation'),
(56482, '89.28.200.0', '89.28.207.255', 1495058432, 1495060479, 'UA', 'Ukraine'),
(56483, '89.28.208.0', '89.28.215.255', 1495060480, 1495062527, 'GB', 'United Kingdom'),
(56484, '89.28.216.0', '89.28.223.255', 1495062528, 1495064575, 'JO', 'Jordan'),
(56485, '89.28.224.0', '89.28.231.255', 1495064576, 1495066623, 'PL', 'Poland'),
(56486, '89.28.232.0', '89.28.239.255', 1495066624, 1495068671, 'GB', 'United Kingdom'),
(56487, '89.28.240.0', '89.28.247.255', 1495068672, 1495070719, 'DE', 'Germany'),
(56488, '89.28.248.0', '89.28.255.255', 1495070720, 1495072767, 'RU', 'Russian Federation'),
(56489, '89.29.0.0', '89.29.127.255', 1495072768, 1495105535, 'CZ', 'Czech Republic'),
(56490, '89.29.128.0', '89.29.255.255', 1495105536, 1495138303, 'ES', 'Spain'),
(56491, '89.30.0.0', '89.30.3.23', 1495138304, 1495139095, 'FR', 'France'),
(56492, '89.30.3.24', '89.30.3.31', 1495139096, 1495139103, 'IT', 'Italy'),
(56493, '89.30.3.32', '89.30.3.255', 1495139104, 1495139327, 'FR', 'France'),
(56494, '89.30.4.0', '89.30.4.255', 1495139328, 1495139583, 'EU', 'Europe'),
(56495, '89.30.5.0', '89.30.5.7', 1495139584, 1495139591, 'GB', 'United Kingdom'),
(56496, '89.30.5.8', '89.30.5.127', 1495139592, 1495139711, 'EU', 'Europe'),
(56497, '89.30.5.128', '89.30.5.255', 1495139712, 1495139839, 'GB', 'United Kingdom'),
(56498, '89.30.6.0', '89.30.6.31', 1495139840, 1495139871, 'ES', 'Spain'),
(56499, '89.30.6.32', '89.30.6.63', 1495139872, 1495139903, 'FR', 'France'),
(56500, '89.30.6.64', '89.30.7.255', 1495139904, 1495140351, 'EU', 'Europe'),
(56501, '89.30.8.0', '89.30.15.255', 1495140352, 1495142399, 'FR', 'France'),
(56502, '89.30.16.0', '89.30.31.255', 1495142400, 1495146495, 'EU', 'Europe'),
(56503, '89.30.32.0', '89.30.47.255', 1495146496, 1495150591, 'FR', 'France'),
(56504, '89.30.48.0', '89.30.49.255', 1495150592, 1495151103, 'GB', 'United Kingdom'),
(56505, '89.30.50.0', '89.30.50.255', 1495151104, 1495151359, 'NL', 'Netherlands'),
(56506, '89.30.51.0', '89.30.60.255', 1495151360, 1495153919, 'FR', 'France'),
(56507, '89.30.61.0', '89.30.61.255', 1495153920, 1495154175, 'TR', 'Turkey'),
(56508, '89.30.62.0', '89.30.63.255', 1495154176, 1495154687, 'FR', 'France'),
(56509, '89.30.64.0', '89.30.84.255', 1495154688, 1495160063, 'EU', 'Europe'),
(56510, '89.30.85.0', '89.30.85.255', 1495160064, 1495160319, 'NL', 'Netherlands'),
(56511, '89.30.86.0', '89.30.90.255', 1495160320, 1495161599, 'EU', 'Europe'),
(56512, '89.30.91.0', '89.30.91.255', 1495161600, 1495161855, 'FR', 'France'),
(56513, '89.30.92.0', '89.30.93.255', 1495161856, 1495162367, 'EU', 'Europe'),
(56514, '89.30.94.0', '89.30.95.255', 1495162368, 1495162879, 'US', 'United States'),
(56515, '89.30.96.0', '89.30.99.255', 1495162880, 1495163903, 'FR', 'France'),
(56516, '89.30.100.0', '89.30.101.255', 1495163904, 1495164415, 'EU', 'Europe'),
(56517, '89.30.102.0', '89.30.102.255', 1495164416, 1495164671, 'FR', 'France'),
(56518, '89.30.103.0', '89.30.103.255', 1495164672, 1495164927, 'EU', 'Europe'),
(56519, '89.30.104.0', '89.30.104.127', 1495164928, 1495165055, 'FR', 'France'),
(56520, '89.30.104.128', '89.30.104.255', 1495165056, 1495165183, 'EU', 'Europe'),
(56521, '89.30.105.0', '89.30.105.15', 1495165184, 1495165199, 'FR', 'France'),
(56522, '89.30.105.16', '89.30.105.23', 1495165200, 1495165207, 'EU', 'Europe'),
(56523, '89.30.105.24', '89.30.105.31', 1495165208, 1495165215, 'ES', 'Spain'),
(56524, '89.30.105.32', '89.30.105.255', 1495165216, 1495165439, 'EU', 'Europe'),
(56525, '89.30.106.0', '89.30.117.127', 1495165440, 1495168383, 'FR', 'France'),
(56526, '89.30.117.128', '89.30.117.255', 1495168384, 1495168511, 'EU', 'Europe'),
(56527, '89.30.118.0', '89.30.118.255', 1495168512, 1495168767, 'FR', 'France'),
(56528, '89.30.119.0', '89.30.119.255', 1495168768, 1495169023, 'GB', 'United Kingdom'),
(56529, '89.30.120.0', '89.30.120.255', 1495169024, 1495169279, 'FR', 'France'),
(56530, '89.30.121.0', '89.30.121.255', 1495169280, 1495169535, 'EU', 'Europe'),
(56531, '89.30.122.0', '89.30.122.255', 1495169536, 1495169791, 'FR', 'France'),
(56532, '89.30.123.0', '89.30.123.255', 1495169792, 1495170047, 'NL', 'Netherlands'),
(56533, '89.30.124.0', '89.30.124.31', 1495170048, 1495170079, 'FR', 'France'),
(56534, '89.30.124.32', '89.30.124.111', 1495170080, 1495170159, 'EU', 'Europe'),
(56535, '89.30.124.112', '89.30.124.127', 1495170160, 1495170175, 'FR', 'France'),
(56536, '89.30.124.128', '89.30.124.255', 1495170176, 1495170303, 'EU', 'Europe'),
(56537, '89.30.125.0', '89.30.125.31', 1495170304, 1495170335, 'FR', 'France'),
(56538, '89.30.125.32', '89.30.125.127', 1495170336, 1495170431, 'EU', 'Europe'),
(56539, '89.30.125.128', '89.30.127.255', 1495170432, 1495171071, 'FR', 'France'),
(56540, '89.30.128.0', '89.30.140.255', 1495171072, 1495174399, 'NL', 'Netherlands'),
(56541, '89.30.141.0', '89.30.141.255', 1495174400, 1495174655, 'US', 'United States'),
(56542, '89.30.142.0', '89.30.255.255', 1495174656, 1495203839, 'NL', 'Netherlands'),
(56543, '89.31.0.0', '89.31.7.255', 1495203840, 1495205887, 'DE', 'Germany'),
(56544, '89.31.8.0', '89.31.15.255', 1495205888, 1495207935, 'CZ', 'Czech Republic'),
(56545, '89.31.16.0', '89.31.23.255', 1495207936, 1495209983, 'RU', 'Russian Federation'),
(56546, '89.31.24.0', '89.31.31.255', 1495209984, 1495212031, 'KZ', 'Kazakhstan'),
(56547, '89.31.32.0', '89.31.39.255', 1495212032, 1495214079, 'RU', 'Russian Federation'),
(56548, '89.31.40.0', '89.31.47.255', 1495214080, 1495216127, 'CZ', 'Czech Republic'),
(56549, '89.31.48.0', '89.31.63.255', 1495216128, 1495220223, 'IT', 'Italy'),
(56550, '89.31.64.0', '89.31.71.255', 1495220224, 1495222271, 'PL', 'Poland'),
(56551, '89.31.72.0', '89.31.79.255', 1495222272, 1495224319, 'IT', 'Italy'),
(56552, '89.31.80.0', '89.31.95.255', 1495224320, 1495228415, 'RU', 'Russian Federation'),
(56553, '89.31.96.0', '89.31.103.255', 1495228416, 1495230463, 'NL', 'Netherlands'),
(56554, '89.31.104.0', '89.31.119.255', 1495230464, 1495234559, 'RU', 'Russian Federation'),
(56555, '89.31.120.0', '89.31.127.255', 1495234560, 1495236607, 'CH', 'Switzerland'),
(56556, '89.31.128.0', '89.31.130.127', 1495236608, 1495237247, 'AT', 'Austria'),
(56557, '89.31.130.128', '89.31.130.135', 1495237248, 1495237255, 'EU', 'Europe'),
(56558, '89.31.130.136', '89.31.130.151', 1495237256, 1495237271, 'AT', 'Austria'),
(56559, '89.31.130.152', '89.31.130.191', 1495237272, 1495237311, 'EU', 'Europe'),
(56560, '89.31.130.192', '89.31.130.199', 1495237312, 1495237319, 'AT', 'Austria'),
(56561, '89.31.130.200', '89.31.130.255', 1495237320, 1495237375, 'EU', 'Europe'),
(56562, '89.31.131.0', '89.31.132.79', 1495237376, 1495237711, 'AT', 'Austria'),
(56563, '89.31.132.80', '89.31.132.95', 1495237712, 1495237727, 'NL', 'Netherlands'),
(56564, '89.31.132.96', '89.31.132.99', 1495237728, 1495237731, 'AT', 'Austria'),
(56565, '89.31.132.100', '89.31.132.107', 1495237732, 1495237739, 'EU', 'Europe'),
(56566, '89.31.132.108', '89.31.132.111', 1495237740, 1495237743, 'AT', 'Austria'),
(56567, '89.31.132.112', '89.31.132.119', 1495237744, 1495237751, 'EU', 'Europe'),
(56568, '89.31.132.120', '89.31.132.143', 1495237752, 1495237775, 'AT', 'Austria'),
(56569, '89.31.132.144', '89.31.132.159', 1495237776, 1495237791, 'EU', 'Europe'),
(56570, '89.31.132.160', '89.31.132.175', 1495237792, 1495237807, 'AT', 'Austria'),
(56571, '89.31.132.176', '89.31.132.255', 1495237808, 1495237887, 'EU', 'Europe'),
(56572, '89.31.133.0', '89.31.134.63', 1495237888, 1495238207, 'AT', 'Austria'),
(56573, '89.31.134.64', '89.31.134.79', 1495238208, 1495238223, 'EU', 'Europe'),
(56574, '89.31.134.80', '89.31.134.87', 1495238224, 1495238231, 'AT', 'Austria'),
(56575, '89.31.134.88', '89.31.134.95', 1495238232, 1495238239, 'EU', 'Europe'),
(56576, '89.31.134.96', '89.31.134.111', 1495238240, 1495238255, 'AT', 'Austria'),
(56577, '89.31.134.112', '89.31.134.127', 1495238256, 1495238271, 'EU', 'Europe'),
(56578, '89.31.134.128', '89.31.134.255', 1495238272, 1495238399, 'AT', 'Austria');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(56579, '89.31.135.0', '89.31.135.255', 1495238400, 1495238655, 'EU', 'Europe'),
(56580, '89.31.136.0', '89.31.143.255', 1495238656, 1495240703, 'DE', 'Germany'),
(56581, '89.31.144.0', '89.31.144.47', 1495240704, 1495240751, 'FR', 'France'),
(56582, '89.31.144.48', '89.31.144.55', 1495240752, 1495240759, 'BE', 'Belgium'),
(56583, '89.31.144.56', '89.31.144.63', 1495240760, 1495240767, 'CH', 'Switzerland'),
(56584, '89.31.144.64', '89.31.149.127', 1495240768, 1495242111, 'FR', 'France'),
(56585, '89.31.149.128', '89.31.149.135', 1495242112, 1495242119, 'NL', 'Netherlands'),
(56586, '89.31.149.136', '89.31.149.143', 1495242120, 1495242127, 'LU', 'Luxembourg'),
(56587, '89.31.149.144', '89.31.149.151', 1495242128, 1495242135, 'DE', 'Germany'),
(56588, '89.31.149.152', '89.31.149.159', 1495242136, 1495242143, 'AT', 'Austria'),
(56589, '89.31.149.160', '89.31.149.167', 1495242144, 1495242151, 'ES', 'Spain'),
(56590, '89.31.149.168', '89.31.149.175', 1495242152, 1495242159, 'IT', 'Italy'),
(56591, '89.31.149.176', '89.31.149.183', 1495242160, 1495242167, 'PL', 'Poland'),
(56592, '89.31.149.184', '89.31.149.191', 1495242168, 1495242175, 'FR', 'France'),
(56593, '89.31.149.192', '89.31.149.199', 1495242176, 1495242183, 'GB', 'United Kingdom'),
(56594, '89.31.149.200', '89.31.149.207', 1495242184, 1495242191, 'IE', 'Ireland'),
(56595, '89.31.149.208', '89.31.149.215', 1495242192, 1495242199, 'DK', 'Denmark'),
(56596, '89.31.149.216', '89.31.149.223', 1495242200, 1495242207, 'CZ', 'Czech Republic'),
(56597, '89.31.149.224', '89.31.149.231', 1495242208, 1495242215, 'GR', 'Greece'),
(56598, '89.31.149.232', '89.31.149.239', 1495242216, 1495242223, 'PT', 'Portugal'),
(56599, '89.31.149.240', '89.31.149.247', 1495242224, 1495242231, 'RO', 'Romania'),
(56600, '89.31.149.248', '89.31.150.127', 1495242232, 1495242367, 'FR', 'France'),
(56601, '89.31.150.128', '89.31.150.135', 1495242368, 1495242375, 'HU', 'Hungary'),
(56602, '89.31.150.136', '89.31.150.143', 1495242376, 1495242383, 'BG', 'Bulgaria'),
(56603, '89.31.150.144', '89.31.150.151', 1495242384, 1495242391, 'SK', 'Slovakia'),
(56604, '89.31.150.152', '89.31.150.159', 1495242392, 1495242399, 'LT', 'Lithuania'),
(56605, '89.31.150.160', '89.31.150.167', 1495242400, 1495242407, 'LV', 'Latvia'),
(56606, '89.31.150.168', '89.31.150.175', 1495242408, 1495242415, 'SI', 'Slovenia'),
(56607, '89.31.150.176', '89.31.150.183', 1495242416, 1495242423, 'EE', 'Estonia'),
(56608, '89.31.150.184', '89.31.150.191', 1495242424, 1495242431, 'FI', 'Finland'),
(56609, '89.31.150.192', '89.31.150.199', 1495242432, 1495242439, 'SE', 'Sweden'),
(56610, '89.31.150.200', '89.31.151.255', 1495242440, 1495242751, 'FR', 'France'),
(56611, '89.31.152.0', '89.31.159.255', 1495242752, 1495244799, 'MK', 'Macedonia'),
(56612, '89.31.160.0', '89.31.167.255', 1495244800, 1495246847, 'CZ', 'Czech Republic'),
(56613, '89.31.168.0', '89.31.175.255', 1495246848, 1495248895, 'IE', 'Ireland'),
(56614, '89.31.176.0', '89.31.183.255', 1495248896, 1495250943, 'GR', 'Greece'),
(56615, '89.31.184.0', '89.31.191.255', 1495250944, 1495252991, 'RU', 'Russian Federation'),
(56616, '89.31.192.0', '89.31.199.255', 1495252992, 1495255039, 'BH', 'Bahrain'),
(56617, '89.31.200.0', '89.31.207.255', 1495255040, 1495257087, 'IT', 'Italy'),
(56618, '89.31.208.0', '89.31.215.255', 1495257088, 1495259135, 'GB', 'United Kingdom'),
(56619, '89.31.216.0', '89.31.223.255', 1495259136, 1495261183, 'BE', 'Belgium'),
(56620, '89.31.224.0', '89.31.224.255', 1495261184, 1495261439, 'EU', 'Europe'),
(56621, '89.31.225.0', '89.31.231.255', 1495261440, 1495263231, 'PT', 'Portugal'),
(56622, '89.31.232.0', '89.31.239.255', 1495263232, 1495265279, 'GB', 'United Kingdom'),
(56623, '89.31.240.0', '89.31.241.255', 1495265280, 1495265791, 'DE', 'Germany'),
(56624, '89.31.242.0', '89.31.247.255', 1495265792, 1495267327, 'RU', 'Russian Federation'),
(56625, '89.31.248.0', '89.31.255.255', 1495267328, 1495269375, 'SE', 'Sweden'),
(56626, '89.32.0.0', '89.32.143.255', 1495269376, 1495306239, 'RO', 'Romania'),
(56627, '89.32.144.0', '89.32.145.77', 1495306240, 1495306573, 'GB', 'United Kingdom'),
(56628, '89.32.145.78', '89.32.145.78', 1495306574, 1495306574, 'RO', 'Romania'),
(56629, '89.32.145.79', '89.32.151.255', 1495306575, 1495308287, 'GB', 'United Kingdom'),
(56630, '89.32.152.0', '89.32.223.255', 1495308288, 1495326719, 'RO', 'Romania'),
(56631, '89.32.224.0', '89.32.239.255', 1495326720, 1495330815, 'MD', 'Moldova, Republic of'),
(56632, '89.32.240.0', '89.32.255.255', 1495330816, 1495334911, 'RO', 'Romania'),
(56633, '89.33.0.0', '89.33.3.255', 1495334912, 1495335935, 'MD', 'Moldova, Republic of'),
(56634, '89.33.4.0', '89.33.15.255', 1495335936, 1495339007, 'RO', 'Romania'),
(56635, '89.33.16.0', '89.33.31.255', 1495339008, 1495343103, 'MD', 'Moldova, Republic of'),
(56636, '89.33.32.0', '89.33.253.255', 1495343104, 1495399935, 'RO', 'Romania'),
(56637, '89.33.254.0', '89.33.254.255', 1495399936, 1495400191, 'MD', 'Moldova, Republic of'),
(56638, '89.33.255.0', '89.37.103.255', 1495400192, 1495623679, 'RO', 'Romania'),
(56639, '89.37.104.0', '89.37.104.255', 1495623680, 1495623935, 'MD', 'Moldova, Republic of'),
(56640, '89.37.105.0', '89.40.31.255', 1495623936, 1495801855, 'RO', 'Romania'),
(56641, '89.40.32.0', '89.40.35.255', 1495801856, 1495802879, 'GB', 'United Kingdom'),
(56642, '89.40.36.0', '89.41.63.255', 1495802880, 1495875583, 'RO', 'Romania'),
(56643, '89.41.64.0', '89.41.127.255', 1495875584, 1495891967, 'MD', 'Moldova, Republic of'),
(56644, '89.41.128.0', '89.42.9.255', 1495891968, 1495927295, 'RO', 'Romania'),
(56645, '89.42.10.0', '89.42.10.255', 1495927296, 1495927551, 'AE', 'United Arab Emirates'),
(56646, '89.42.11.0', '89.42.47.255', 1495927552, 1495937023, 'RO', 'Romania'),
(56647, '89.42.48.0', '89.42.49.255', 1495937024, 1495937535, 'SE', 'Sweden'),
(56648, '89.42.50.0', '89.44.87.255', 1495937536, 1496078335, 'RO', 'Romania'),
(56649, '89.44.88.0', '89.44.91.255', 1496078336, 1496079359, 'MD', 'Moldova, Republic of'),
(56650, '89.44.92.0', '89.44.255.255', 1496079360, 1496121343, 'RO', 'Romania'),
(56651, '89.45.0.0', '89.45.3.255', 1496121344, 1496122367, 'MD', 'Moldova, Republic of'),
(56652, '89.45.4.0', '89.45.224.255', 1496122368, 1496178943, 'RO', 'Romania'),
(56653, '89.45.225.0', '89.45.225.255', 1496178944, 1496179199, 'AE', 'United Arab Emirates'),
(56654, '89.45.226.0', '89.47.39.255', 1496179200, 1496262655, 'RO', 'Romania'),
(56655, '89.47.40.0', '89.47.40.255', 1496262656, 1496262911, 'AE', 'United Arab Emirates'),
(56656, '89.47.41.0', '89.47.41.255', 1496262912, 1496263167, 'US', 'United States'),
(56657, '89.47.42.0', '89.47.255.255', 1496263168, 1496317951, 'RO', 'Romania'),
(56658, '89.48.0.0', '89.63.255.255', 1496317952, 1497366527, 'DE', 'Germany'),
(56659, '89.64.0.0', '89.79.255.255', 1497366528, 1498415103, 'PL', 'Poland'),
(56660, '89.80.0.0', '89.95.255.255', 1498415104, 1499463679, 'FR', 'France'),
(56661, '89.96.0.0', '89.97.255.255', 1499463680, 1499594751, 'IT', 'Italy'),
(56662, '89.98.0.0', '89.99.255.255', 1499594752, 1499725823, 'NL', 'Netherlands'),
(56663, '89.100.0.0', '89.101.255.255', 1499725824, 1499856895, 'IE', 'Ireland'),
(56664, '89.102.0.0', '89.103.255.255', 1499856896, 1499987967, 'CZ', 'Czech Republic'),
(56665, '89.104.0.0', '89.104.31.255', 1499987968, 1499996159, 'AT', 'Austria'),
(56666, '89.104.32.0', '89.104.63.255', 1499996160, 1500004351, 'GB', 'United Kingdom'),
(56667, '89.104.64.0', '89.104.127.255', 1500004352, 1500020735, 'RU', 'Russian Federation'),
(56668, '89.104.128.0', '89.104.159.255', 1500020736, 1500028927, 'IS', 'Iceland'),
(56669, '89.104.160.0', '89.104.191.255', 1500028928, 1500037119, 'NL', 'Netherlands'),
(56670, '89.104.192.0', '89.104.223.255', 1500037120, 1500045311, 'DK', 'Denmark'),
(56671, '89.104.224.0', '89.105.31.255', 1500045312, 1500061695, 'GB', 'United Kingdom'),
(56672, '89.105.32.0', '89.105.63.255', 1500061696, 1500069887, 'NO', 'Norway'),
(56673, '89.105.64.0', '89.105.95.255', 1500069888, 1500078079, 'IT', 'Italy'),
(56674, '89.105.96.0', '89.105.127.255', 1500078080, 1500086271, 'GB', 'United Kingdom'),
(56675, '89.105.128.0', '89.105.159.255', 1500086272, 1500094463, 'RU', 'Russian Federation'),
(56676, '89.105.160.0', '89.105.191.255', 1500094464, 1500102655, 'AT', 'Austria'),
(56677, '89.105.192.0', '89.105.207.31', 1500102656, 1500106527, 'NL', 'Netherlands'),
(56678, '89.105.207.32', '89.105.207.63', 1500106528, 1500106559, 'DE', 'Germany'),
(56679, '89.105.207.64', '89.105.210.151', 1500106560, 1500107415, 'NL', 'Netherlands'),
(56680, '89.105.210.152', '89.105.210.159', 1500107416, 1500107423, 'DE', 'Germany'),
(56681, '89.105.210.160', '89.105.210.175', 1500107424, 1500107439, 'NL', 'Netherlands'),
(56682, '89.105.210.176', '89.105.210.191', 1500107440, 1500107455, 'DE', 'Germany'),
(56683, '89.105.210.192', '89.105.211.255', 1500107456, 1500107775, 'NL', 'Netherlands'),
(56684, '89.105.212.0', '89.105.212.127', 1500107776, 1500107903, 'DE', 'Germany'),
(56685, '89.105.212.128', '89.105.212.167', 1500107904, 1500107943, 'NL', 'Netherlands'),
(56686, '89.105.212.168', '89.105.212.175', 1500107944, 1500107951, 'DE', 'Germany'),
(56687, '89.105.212.176', '89.105.212.223', 1500107952, 1500107999, 'NL', 'Netherlands'),
(56688, '89.105.212.224', '89.105.212.231', 1500108000, 1500108007, 'BE', 'Belgium'),
(56689, '89.105.212.232', '89.105.213.127', 1500108008, 1500108159, 'NL', 'Netherlands'),
(56690, '89.105.213.128', '89.105.213.255', 1500108160, 1500108287, 'DE', 'Germany'),
(56691, '89.105.214.0', '89.105.214.31', 1500108288, 1500108319, 'NL', 'Netherlands'),
(56692, '89.105.214.32', '89.105.214.63', 1500108320, 1500108351, 'DE', 'Germany'),
(56693, '89.105.214.64', '89.105.215.255', 1500108352, 1500108799, 'NL', 'Netherlands'),
(56694, '89.105.216.0', '89.105.217.255', 1500108800, 1500109311, 'DE', 'Germany'),
(56695, '89.105.218.0', '89.105.223.255', 1500109312, 1500110847, 'NL', 'Netherlands'),
(56696, '89.105.224.0', '89.105.255.255', 1500110848, 1500119039, 'UA', 'Ukraine'),
(56697, '89.106.0.0', '89.106.31.255', 1500119040, 1500127231, 'TR', 'Turkey'),
(56698, '89.106.32.0', '89.106.63.255', 1500127232, 1500135423, 'FI', 'Finland'),
(56699, '89.106.64.0', '89.106.64.131', 1500135424, 1500135555, 'DE', 'Germany'),
(56700, '89.106.64.132', '89.106.64.135', 1500135556, 1500135559, 'CH', 'Switzerland'),
(56701, '89.106.64.136', '89.106.84.16', 1500135560, 1500140560, 'DE', 'Germany'),
(56702, '89.106.84.17', '89.106.84.20', 1500140561, 1500140564, 'AT', 'Austria'),
(56703, '89.106.84.21', '89.106.84.24', 1500140565, 1500140568, 'CH', 'Switzerland'),
(56704, '89.106.84.25', '89.106.95.255', 1500140569, 1500143615, 'DE', 'Germany'),
(56705, '89.106.96.0', '89.106.127.255', 1500143616, 1500151807, 'BG', 'Bulgaria'),
(56706, '89.106.128.0', '89.106.135.255', 1500151808, 1500153855, 'GB', 'United Kingdom'),
(56707, '89.106.136.0', '89.106.143.255', 1500153856, 1500155903, 'IE', 'Ireland'),
(56708, '89.106.144.0', '89.106.151.255', 1500155904, 1500157951, 'GB', 'United Kingdom'),
(56709, '89.106.152.0', '89.106.159.255', 1500157952, 1500159999, 'DE', 'Germany'),
(56710, '89.106.160.0', '89.106.167.255', 1500160000, 1500162047, 'NL', 'Netherlands'),
(56711, '89.106.168.0', '89.106.175.255', 1500162048, 1500164095, 'RU', 'Russian Federation'),
(56712, '89.106.176.0', '89.106.183.255', 1500164096, 1500166143, 'GB', 'United Kingdom'),
(56713, '89.106.184.0', '89.106.184.255', 1500166144, 1500166399, 'FR', 'France'),
(56714, '89.106.185.0', '89.106.185.255', 1500166400, 1500166655, 'DE', 'Germany'),
(56715, '89.106.186.0', '89.106.191.255', 1500166656, 1500168191, 'FR', 'France'),
(56716, '89.106.192.0', '89.106.199.255', 1500168192, 1500170239, 'RU', 'Russian Federation'),
(56717, '89.106.200.0', '89.106.207.255', 1500170240, 1500172287, 'LU', 'Luxembourg'),
(56718, '89.106.208.0', '89.106.215.255', 1500172288, 1500174335, 'AT', 'Austria'),
(56719, '89.106.216.0', '89.106.223.255', 1500174336, 1500176383, 'DE', 'Germany'),
(56720, '89.106.224.0', '89.106.231.255', 1500176384, 1500178431, 'GB', 'United Kingdom'),
(56721, '89.106.232.0', '89.106.239.255', 1500178432, 1500180479, 'KZ', 'Kazakhstan'),
(56722, '89.106.240.0', '89.106.247.255', 1500180480, 1500182527, 'BE', 'Belgium'),
(56723, '89.106.248.0', '89.106.255.255', 1500182528, 1500184575, 'RU', 'Russian Federation'),
(56724, '89.107.0.0', '89.107.0.255', 1500184576, 1500184831, 'GB', 'United Kingdom'),
(56725, '89.107.1.0', '89.107.1.63', 1500184832, 1500184895, 'IM', 'Isle of Man'),
(56726, '89.107.1.64', '89.107.1.87', 1500184896, 1500184919, 'GB', 'United Kingdom'),
(56727, '89.107.1.88', '89.107.1.111', 1500184920, 1500184943, 'IM', 'Isle of Man'),
(56728, '89.107.1.112', '89.107.1.175', 1500184944, 1500185007, 'GB', 'United Kingdom'),
(56729, '89.107.1.176', '89.107.1.191', 1500185008, 1500185023, 'IM', 'Isle of Man'),
(56730, '89.107.1.192', '89.107.1.215', 1500185024, 1500185047, 'GB', 'United Kingdom'),
(56731, '89.107.1.216', '89.107.1.223', 1500185048, 1500185055, 'IM', 'Isle of Man'),
(56732, '89.107.1.224', '89.107.1.231', 1500185056, 1500185063, 'GB', 'United Kingdom'),
(56733, '89.107.1.232', '89.107.1.239', 1500185064, 1500185071, 'IM', 'Isle of Man'),
(56734, '89.107.1.240', '89.107.1.247', 1500185072, 1500185079, 'GB', 'United Kingdom'),
(56735, '89.107.1.248', '89.107.1.255', 1500185080, 1500185087, 'IM', 'Isle of Man'),
(56736, '89.107.2.0', '89.107.2.31', 1500185088, 1500185119, 'GB', 'United Kingdom'),
(56737, '89.107.2.32', '89.107.2.111', 1500185120, 1500185199, 'IM', 'Isle of Man'),
(56738, '89.107.2.112', '89.107.2.119', 1500185200, 1500185207, 'GB', 'United Kingdom'),
(56739, '89.107.2.120', '89.107.2.143', 1500185208, 1500185231, 'IM', 'Isle of Man'),
(56740, '89.107.2.144', '89.107.2.159', 1500185232, 1500185247, 'GB', 'United Kingdom'),
(56741, '89.107.2.160', '89.107.2.191', 1500185248, 1500185279, 'IM', 'Isle of Man'),
(56742, '89.107.2.192', '89.107.2.199', 1500185280, 1500185287, 'GB', 'United Kingdom'),
(56743, '89.107.2.200', '89.107.2.223', 1500185288, 1500185311, 'IM', 'Isle of Man'),
(56744, '89.107.2.224', '89.107.2.231', 1500185312, 1500185319, 'GB', 'United Kingdom'),
(56745, '89.107.2.232', '89.107.2.239', 1500185320, 1500185327, 'IM', 'Isle of Man'),
(56746, '89.107.2.240', '89.107.2.247', 1500185328, 1500185335, 'GB', 'United Kingdom'),
(56747, '89.107.2.248', '89.107.7.255', 1500185336, 1500186623, 'IM', 'Isle of Man'),
(56748, '89.107.8.0', '89.107.15.255', 1500186624, 1500188671, 'KW', 'Kuwait'),
(56749, '89.107.16.0', '89.107.23.255', 1500188672, 1500190719, 'GB', 'United Kingdom'),
(56750, '89.107.24.0', '89.107.39.255', 1500190720, 1500194815, 'RU', 'Russian Federation'),
(56751, '89.107.40.0', '89.107.47.255', 1500194816, 1500196863, 'GB', 'United Kingdom'),
(56752, '89.107.48.0', '89.107.55.255', 1500196864, 1500198911, 'ES', 'Spain'),
(56753, '89.107.56.0', '89.107.63.255', 1500198912, 1500200959, 'GB', 'United Kingdom'),
(56754, '89.107.64.0', '89.107.71.255', 1500200960, 1500203007, 'DE', 'Germany'),
(56755, '89.107.72.0', '89.107.79.255', 1500203008, 1500205055, 'GB', 'United Kingdom'),
(56756, '89.107.80.0', '89.107.87.255', 1500205056, 1500207103, 'RU', 'Russian Federation'),
(56757, '89.107.88.0', '89.107.95.255', 1500207104, 1500209151, 'IT', 'Italy'),
(56758, '89.107.96.0', '89.107.103.255', 1500209152, 1500211199, 'KZ', 'Kazakhstan'),
(56759, '89.107.104.0', '89.107.111.255', 1500211200, 1500213247, 'IT', 'Italy'),
(56760, '89.107.112.0', '89.107.127.255', 1500213248, 1500217343, 'RU', 'Russian Federation'),
(56761, '89.107.128.0', '89.107.128.255', 1500217344, 1500217599, 'CZ', 'Czech Republic'),
(56762, '89.107.129.0', '89.107.130.255', 1500217600, 1500218111, 'DE', 'Germany'),
(56763, '89.107.131.0', '89.107.131.255', 1500218112, 1500218367, 'CZ', 'Czech Republic'),
(56764, '89.107.132.0', '89.107.135.255', 1500218368, 1500219391, 'DE', 'Germany'),
(56765, '89.107.136.0', '89.107.136.255', 1500219392, 1500219647, 'FR', 'France'),
(56766, '89.107.144.0', '89.107.151.255', 1500221440, 1500223487, 'SK', 'Slovakia'),
(56767, '89.107.152.0', '89.107.159.255', 1500223488, 1500225535, 'PL', 'Poland'),
(56768, '89.107.160.0', '89.107.167.255', 1500225536, 1500227583, 'DE', 'Germany'),
(56769, '89.107.168.0', '89.107.175.255', 1500227584, 1500229631, 'FR', 'France'),
(56770, '89.107.176.0', '89.107.183.255', 1500229632, 1500231679, 'ES', 'Spain'),
(56771, '89.107.184.0', '89.107.191.255', 1500231680, 1500233727, 'DE', 'Germany'),
(56772, '89.107.192.0', '89.107.207.255', 1500233728, 1500237823, 'RU', 'Russian Federation'),
(56773, '89.107.208.0', '89.107.223.255', 1500237824, 1500241919, 'SE', 'Sweden'),
(56774, '89.107.224.0', '89.107.231.255', 1500241920, 1500243967, 'TR', 'Turkey'),
(56775, '89.107.232.0', '89.107.239.255', 1500243968, 1500246015, 'GB', 'United Kingdom'),
(56776, '89.107.240.0', '89.107.247.255', 1500246016, 1500248063, 'ES', 'Spain'),
(56777, '89.107.248.0', '89.107.255.255', 1500248064, 1500250111, 'HU', 'Hungary'),
(56778, '89.108.0.0', '89.108.63.255', 1500250112, 1500266495, 'SA', 'Saudi Arabia'),
(56779, '89.108.64.0', '89.108.127.255', 1500266496, 1500282879, 'RU', 'Russian Federation'),
(56780, '89.108.128.0', '89.108.191.255', 1500282880, 1500299263, 'LB', 'Lebanon'),
(56781, '89.108.192.0', '89.108.255.255', 1500299264, 1500315647, 'PL', 'Poland'),
(56782, '89.109.0.0', '89.109.63.255', 1500315648, 1500332031, 'RU', 'Russian Federation'),
(56783, '89.109.64.0', '89.109.127.255', 1500332032, 1500348415, 'PT', 'Portugal'),
(56784, '89.109.128.0', '89.110.127.255', 1500348416, 1500413951, 'RU', 'Russian Federation'),
(56785, '89.110.128.0', '89.110.191.255', 1500413952, 1500430335, 'DE', 'Germany'),
(56786, '89.110.192.0', '89.110.255.255', 1500430336, 1500446719, 'RS', 'Serbia'),
(56787, '89.111.0.0', '89.111.3.255', 1500446720, 1500447743, 'LV', 'Latvia'),
(56788, '89.111.4.0', '89.111.4.255', 1500447744, 1500447999, 'LT', 'Lithuania'),
(56789, '89.111.5.0', '89.111.6.255', 1500448000, 1500448511, 'LV', 'Latvia'),
(56790, '89.111.7.0', '89.111.7.255', 1500448512, 1500448767, 'LT', 'Lithuania'),
(56791, '89.111.8.0', '89.111.63.255', 1500448768, 1500463103, 'LV', 'Latvia'),
(56792, '89.111.64.0', '89.111.127.255', 1500463104, 1500479487, 'CZ', 'Czech Republic'),
(56793, '89.111.128.0', '89.111.191.255', 1500479488, 1500495871, 'RU', 'Russian Federation'),
(56794, '89.111.192.0', '89.111.255.255', 1500495872, 1500512255, 'BA', 'Bosnia and Herzegovina'),
(56795, '89.112.0.0', '89.113.255.255', 1500512256, 1500643327, 'RU', 'Russian Federation'),
(56796, '89.114.0.0', '89.115.255.255', 1500643328, 1500774399, 'RO', 'Romania'),
(56797, '89.116.0.0', '89.117.255.255', 1500774400, 1500905471, 'LT', 'Lithuania'),
(56798, '89.118.0.0', '89.119.255.255', 1500905472, 1501036543, 'IT', 'Italy'),
(56799, '89.120.0.0', '89.123.255.255', 1501036544, 1501298687, 'RO', 'Romania'),
(56800, '89.124.0.0', '89.127.255.255', 1501298688, 1501560831, 'IE', 'Ireland'),
(56801, '89.128.0.0', '89.131.255.255', 1501560832, 1501822975, 'ES', 'Spain'),
(56802, '89.132.0.0', '89.135.255.255', 1501822976, 1502085119, 'HU', 'Hungary'),
(56803, '89.136.0.0', '89.137.255.255', 1502085120, 1502216191, 'RO', 'Romania'),
(56804, '89.138.0.0', '89.139.255.255', 1502216192, 1502347263, 'IL', 'Israel'),
(56805, '89.140.0.0', '89.141.255.255', 1502347264, 1502478335, 'ES', 'Spain'),
(56806, '89.142.0.0', '89.143.239.255', 1502478336, 1502605311, 'SI', 'Slovenia'),
(56807, '89.143.240.0', '89.143.243.255', 1502605312, 1502606335, 'HR', 'Croatia'),
(56808, '89.143.244.0', '89.143.255.255', 1502606336, 1502609407, 'SI', 'Slovenia'),
(56809, '89.144.0.0', '89.144.57.30', 1502609408, 1502624030, 'DE', 'Germany'),
(56810, '89.144.57.31', '89.144.57.47', 1502624031, 1502624047, 'IR', 'Iran, Islamic Republic of'),
(56811, '89.144.57.48', '89.144.63.255', 1502624048, 1502625791, 'DE', 'Germany'),
(56812, '89.144.64.0', '89.144.127.255', 1502625792, 1502642175, 'SA', 'Saudi Arabia'),
(56813, '89.144.128.0', '89.144.191.255', 1502642176, 1502658559, 'IR', 'Iran, Islamic Republic of'),
(56814, '89.144.192.0', '89.144.255.255', 1502658560, 1502674943, 'AT', 'Austria'),
(56815, '89.145.0.0', '89.145.63.255', 1502674944, 1502691327, 'DE', 'Germany'),
(56816, '89.145.64.0', '89.145.65.95', 1502691328, 1502691679, 'GB', 'United Kingdom'),
(56817, '89.145.65.96', '89.145.65.127', 1502691680, 1502691711, 'SE', 'Sweden'),
(56818, '89.145.65.128', '89.145.108.243', 1502691712, 1502702835, 'GB', 'United Kingdom'),
(56819, '89.145.108.244', '89.145.108.247', 1502702836, 1502702839, 'IE', 'Ireland'),
(56820, '89.145.108.248', '89.145.109.255', 1502702840, 1502703103, 'GB', 'United Kingdom'),
(56821, '89.145.110.0', '89.145.111.255', 1502703104, 1502703615, 'SE', 'Sweden'),
(56822, '89.145.112.0', '89.145.123.191', 1502703616, 1502706623, 'GB', 'United Kingdom'),
(56823, '89.145.123.192', '89.145.123.255', 1502706624, 1502706687, 'CY', 'Cyprus'),
(56824, '89.145.124.0', '89.145.127.255', 1502706688, 1502707711, 'GB', 'United Kingdom'),
(56825, '89.145.128.0', '89.145.159.255', 1502707712, 1502715903, 'RU', 'Russian Federation'),
(56826, '89.145.160.0', '89.145.167.255', 1502715904, 1502717951, 'IT', 'Italy'),
(56827, '89.145.168.0', '89.145.175.255', 1502717952, 1502719999, 'GB', 'United Kingdom'),
(56828, '89.145.176.0', '89.145.183.255', 1502720000, 1502722047, 'CH', 'Switzerland'),
(56829, '89.145.184.0', '89.145.191.255', 1502722048, 1502724095, 'TR', 'Turkey'),
(56830, '89.145.192.0', '89.145.255.255', 1502724096, 1502740479, 'GB', 'United Kingdom'),
(56831, '89.146.0.0', '89.146.63.255', 1502740480, 1502756863, 'NL', 'Netherlands'),
(56832, '89.146.64.0', '89.146.127.255', 1502756864, 1502773247, 'UZ', 'Uzbekistan'),
(56833, '89.146.128.0', '89.146.191.255', 1502773248, 1502789631, 'BA', 'Bosnia and Herzegovina'),
(56834, '89.146.192.0', '89.146.199.127', 1502789632, 1502791551, 'DE', 'Germany'),
(56835, '89.146.199.128', '89.146.199.255', 1502791552, 1502791679, 'PL', 'Poland'),
(56836, '89.146.200.0', '89.146.207.31', 1502791680, 1502793503, 'DE', 'Germany'),
(56837, '89.146.207.32', '89.146.207.39', 1502793504, 1502793511, 'NL', 'Netherlands'),
(56838, '89.146.207.40', '89.146.209.255', 1502793512, 1502794239, 'DE', 'Germany'),
(56839, '89.146.210.0', '89.146.210.255', 1502794240, 1502794495, 'NL', 'Netherlands'),
(56840, '89.146.211.0', '89.146.215.247', 1502794496, 1502795767, 'DE', 'Germany'),
(56841, '89.146.215.248', '89.146.215.251', 1502795768, 1502795771, 'NL', 'Netherlands'),
(56842, '89.146.215.252', '89.146.255.255', 1502795772, 1502806015, 'DE', 'Germany'),
(56843, '89.147.0.0', '89.147.63.255', 1502806016, 1502822399, 'SA', 'Saudi Arabia'),
(56844, '89.147.64.0', '89.147.127.255', 1502822400, 1502838783, 'HU', 'Hungary'),
(56845, '89.147.128.0', '89.147.191.255', 1502838784, 1502855167, 'SE', 'Sweden'),
(56846, '89.147.192.0', '89.147.255.255', 1502855168, 1502871551, 'AZ', 'Azerbaijan'),
(56847, '89.148.0.0', '89.148.62.255', 1502871552, 1502887679, 'BH', 'Bahrain'),
(56848, '89.148.63.0', '89.148.63.255', 1502887680, 1502887935, 'US', 'United States'),
(56849, '89.148.64.0', '89.148.127.255', 1502887936, 1502904319, 'HU', 'Hungary'),
(56850, '89.148.128.0', '89.148.191.255', 1502904320, 1502920703, 'IT', 'Italy'),
(56851, '89.148.192.0', '89.148.255.255', 1502920704, 1502937087, 'RU', 'Russian Federation'),
(56852, '89.149.0.0', '89.149.63.255', 1502937088, 1502953471, 'RO', 'Romania'),
(56853, '89.149.64.0', '89.149.127.255', 1502953472, 1502969855, 'MD', 'Moldova, Republic of'),
(56854, '89.149.128.0', '89.149.148.255', 1502969856, 1502975231, 'US', 'United States'),
(56855, '89.149.149.0', '89.149.149.15', 1502975232, 1502975247, 'FR', 'France'),
(56856, '89.149.149.16', '89.149.149.31', 1502975248, 1502975263, 'IE', 'Ireland'),
(56857, '89.149.149.32', '89.149.149.63', 1502975264, 1502975295, 'GB', 'United Kingdom'),
(56858, '89.149.149.64', '89.149.149.79', 1502975296, 1502975311, 'FR', 'France'),
(56859, '89.149.149.80', '89.149.149.87', 1502975312, 1502975319, 'IE', 'Ireland'),
(56860, '89.149.149.88', '89.149.149.127', 1502975320, 1502975359, 'FR', 'France'),
(56861, '89.149.149.128', '89.149.149.135', 1502975360, 1502975367, 'IE', 'Ireland'),
(56862, '89.149.149.136', '89.149.149.151', 1502975368, 1502975383, 'FR', 'France'),
(56863, '89.149.149.152', '89.149.149.159', 1502975384, 1502975391, 'ES', 'Spain'),
(56864, '89.149.149.160', '89.149.149.191', 1502975392, 1502975423, 'FR', 'France'),
(56865, '89.149.149.192', '89.149.149.223', 1502975424, 1502975455, 'GB', 'United Kingdom'),
(56866, '89.149.149.224', '89.149.149.255', 1502975456, 1502975487, 'IE', 'Ireland'),
(56867, '89.149.150.0', '89.149.150.255', 1502975488, 1502975743, 'ES', 'Spain'),
(56868, '89.149.151.0', '89.149.151.255', 1502975744, 1502975999, 'FR', 'France'),
(56869, '89.149.152.0', '89.149.156.31', 1502976000, 1502977055, 'US', 'United States'),
(56870, '89.149.156.32', '89.149.156.127', 1502977056, 1502977151, 'FR', 'France'),
(56871, '89.149.156.128', '89.149.163.255', 1502977152, 1502979071, 'US', 'United States'),
(56872, '89.149.164.0', '89.149.164.31', 1502979072, 1502979103, 'FR', 'France'),
(56873, '89.149.164.32', '89.149.164.39', 1502979104, 1502979111, 'ES', 'Spain'),
(56874, '89.149.164.40', '89.149.164.47', 1502979112, 1502979119, 'FR', 'France'),
(56875, '89.149.164.48', '89.149.164.63', 1502979120, 1502979135, 'ES', 'Spain'),
(56876, '89.149.164.64', '89.149.164.127', 1502979136, 1502979199, 'FR', 'France'),
(56877, '89.149.164.128', '89.149.164.143', 1502979200, 1502979215, 'ES', 'Spain'),
(56878, '89.149.164.144', '89.149.164.255', 1502979216, 1502979327, 'FR', 'France'),
(56879, '89.149.165.0', '89.149.165.255', 1502979328, 1502979583, 'US', 'United States'),
(56880, '89.149.166.0', '89.149.167.255', 1502979584, 1502980095, 'FR', 'France'),
(56881, '89.149.168.0', '89.149.168.63', 1502980096, 1502980159, 'US', 'United States'),
(56882, '89.149.168.64', '89.149.168.255', 1502980160, 1502980351, 'FR', 'France'),
(56883, '89.149.169.0', '89.149.171.7', 1502980352, 1502980871, 'US', 'United States'),
(56884, '89.149.171.8', '89.149.171.255', 1502980872, 1502981119, 'FR', 'France'),
(56885, '89.149.172.0', '89.149.174.255', 1502981120, 1502981887, 'US', 'United States'),
(56886, '89.149.175.0', '89.149.175.255', 1502981888, 1502982143, 'NL', 'Netherlands'),
(56887, '89.149.176.0', '89.149.178.255', 1502982144, 1502982911, 'DE', 'Germany'),
(56888, '89.149.179.0', '89.149.179.255', 1502982912, 1502983167, 'FR', 'France'),
(56889, '89.149.180.0', '89.149.192.15', 1502983168, 1502986255, 'DE', 'Germany'),
(56890, '89.149.192.16', '89.149.192.255', 1502986256, 1502986495, 'TR', 'Turkey'),
(56891, '89.149.193.0', '89.149.193.15', 1502986496, 1502986511, 'DE', 'Germany'),
(56892, '89.149.193.16', '89.149.193.255', 1502986512, 1502986751, 'PL', 'Poland'),
(56893, '89.149.194.0', '89.149.197.15', 1502986752, 1502987535, 'DE', 'Germany'),
(56894, '89.149.197.16', '89.149.197.31', 1502987536, 1502987551, 'AE', 'United Arab Emirates'),
(56895, '89.149.197.32', '89.149.197.255', 1502987552, 1502987775, 'DE', 'Germany'),
(56896, '89.149.198.0', '89.149.198.255', 1502987776, 1502988031, 'TR', 'Turkey'),
(56897, '89.149.199.0', '89.149.202.255', 1502988032, 1502989055, 'DE', 'Germany'),
(56898, '89.149.203.0', '89.149.204.255', 1502989056, 1502989567, 'TR', 'Turkey'),
(56899, '89.149.205.0', '89.149.209.255', 1502989568, 1502990847, 'DE', 'Germany'),
(56900, '89.149.210.0', '89.149.210.255', 1502990848, 1502991103, 'PL', 'Poland'),
(56901, '89.149.211.0', '89.149.211.255', 1502991104, 1502991359, 'DE', 'Germany'),
(56902, '89.149.212.0', '89.149.212.255', 1502991360, 1502991615, 'PL', 'Poland'),
(56903, '89.149.213.0', '89.149.224.255', 1502991616, 1502994687, 'DE', 'Germany'),
(56904, '89.149.225.0', '89.149.225.255', 1502994688, 1502994943, 'PL', 'Poland'),
(56905, '89.149.226.0', '89.149.229.255', 1502994944, 1502995967, 'DE', 'Germany'),
(56906, '89.149.230.0', '89.149.231.255', 1502995968, 1502996479, 'PL', 'Poland'),
(56907, '89.149.232.0', '89.149.232.255', 1502996480, 1502996735, 'DE', 'Germany'),
(56908, '89.149.233.0', '89.149.234.255', 1502996736, 1502997247, 'PL', 'Poland'),
(56909, '89.149.235.0', '89.149.235.255', 1502997248, 1502997503, 'LT', 'Lithuania'),
(56910, '89.149.236.0', '89.149.236.255', 1502997504, 1502997759, 'HK', 'Hong Kong'),
(56911, '89.149.237.0', '89.149.244.182', 1502997760, 1502999734, 'DE', 'Germany'),
(56912, '89.149.244.183', '89.149.244.183', 1502999735, 1502999735, 'SA', 'Saudi Arabia'),
(56913, '89.149.244.184', '89.149.244.185', 1502999736, 1502999737, 'DE', 'Germany'),
(56914, '89.149.244.186', '89.149.244.186', 1502999738, 1502999738, 'SA', 'Saudi Arabia'),
(56915, '89.149.244.187', '89.149.245.47', 1502999739, 1502999855, 'DE', 'Germany'),
(56916, '89.149.245.48', '89.149.245.63', 1502999856, 1502999871, 'MK', 'Macedonia'),
(56917, '89.149.245.64', '89.149.245.255', 1502999872, 1503000063, 'DE', 'Germany'),
(56918, '89.149.246.0', '89.149.246.255', 1503000064, 1503000319, 'PL', 'Poland'),
(56919, '89.149.247.0', '89.149.248.255', 1503000320, 1503000831, 'DE', 'Germany'),
(56920, '89.149.249.0', '89.149.250.255', 1503000832, 1503001343, 'PL', 'Poland'),
(56921, '89.149.251.0', '89.149.255.255', 1503001344, 1503002623, 'DE', 'Germany'),
(56922, '89.150.0.0', '89.150.15.255', 1503002624, 1503006719, 'GE', 'Georgia'),
(56923, '89.150.16.0', '89.150.31.255', 1503006720, 1503010815, 'GB', 'United Kingdom'),
(56924, '89.150.32.0', '89.150.63.255', 1503010816, 1503019007, 'IT', 'Italy'),
(56925, '89.150.64.0', '89.150.191.255', 1503019008, 1503051775, 'DK', 'Denmark'),
(56926, '89.150.192.0', '89.150.255.255', 1503051776, 1503068159, 'SE', 'Sweden'),
(56927, '89.151.0.0', '89.151.63.255', 1503068160, 1503084543, 'PL', 'Poland'),
(56928, '89.151.64.0', '89.151.127.255', 1503084544, 1503100927, 'GB', 'United Kingdom'),
(56929, '89.151.128.0', '89.151.191.255', 1503100928, 1503117311, 'RU', 'Russian Federation'),
(56930, '89.151.192.0', '89.151.255.255', 1503117312, 1503133695, 'NO', 'Norway'),
(56931, '89.152.0.0', '89.155.255.255', 1503133696, 1503395839, 'PT', 'Portugal'),
(56932, '89.156.0.0', '89.159.255.255', 1503395840, 1503657983, 'FR', 'France'),
(56933, '89.160.0.0', '89.160.127.255', 1503657984, 1503690751, 'SE', 'Sweden'),
(56934, '89.160.128.0', '89.160.255.255', 1503690752, 1503723519, 'IS', 'Iceland'),
(56935, '89.161.0.0', '89.161.255.255', 1503723520, 1503789055, 'PL', 'Poland'),
(56936, '89.162.0.0', '89.162.127.255', 1503789056, 1503821823, 'NO', 'Norway'),
(56937, '89.162.128.0', '89.162.255.255', 1503821824, 1503854591, 'UA', 'Ukraine'),
(56938, '89.163.0.0', '89.163.127.255', 1503854592, 1503887359, 'RU', 'Russian Federation'),
(56939, '89.163.128.0', '89.163.160.47', 1503887360, 1503895599, 'DE', 'Germany'),
(56940, '89.163.160.48', '89.163.160.55', 1503895600, 1503895607, 'BE', 'Belgium'),
(56941, '89.163.160.56', '89.163.160.111', 1503895608, 1503895663, 'DE', 'Germany'),
(56942, '89.163.160.112', '89.163.160.119', 1503895664, 1503895671, 'FR', 'France'),
(56943, '89.163.160.120', '89.163.160.127', 1503895672, 1503895679, 'PL', 'Poland'),
(56944, '89.163.160.128', '89.163.160.135', 1503895680, 1503895687, 'IT', 'Italy'),
(56945, '89.163.160.136', '89.163.160.143', 1503895688, 1503895695, 'DE', 'Germany'),
(56946, '89.163.160.144', '89.163.160.151', 1503895696, 1503895703, 'GB', 'United Kingdom'),
(56947, '89.163.160.152', '89.163.160.199', 1503895704, 1503895751, 'DE', 'Germany'),
(56948, '89.163.160.200', '89.163.160.207', 1503895752, 1503895759, 'IT', 'Italy'),
(56949, '89.163.160.208', '89.163.160.223', 1503895760, 1503895775, 'DE', 'Germany'),
(56950, '89.163.160.224', '89.163.160.231', 1503895776, 1503895783, 'NL', 'Netherlands'),
(56951, '89.163.160.232', '89.163.162.111', 1503895784, 1503896175, 'DE', 'Germany'),
(56952, '89.163.162.112', '89.163.162.119', 1503896176, 1503896183, 'NL', 'Netherlands'),
(56953, '89.163.162.120', '89.163.163.31', 1503896184, 1503896351, 'DE', 'Germany'),
(56954, '89.163.163.32', '89.163.163.39', 1503896352, 1503896359, 'AT', 'Austria'),
(56955, '89.163.163.40', '89.163.163.47', 1503896360, 1503896367, 'CH', 'Switzerland'),
(56956, '89.163.163.48', '89.163.163.55', 1503896368, 1503896375, 'DE', 'Germany'),
(56957, '89.163.163.56', '89.163.163.63', 1503896376, 1503896383, 'CH', 'Switzerland'),
(56958, '89.163.163.64', '89.163.163.79', 1503896384, 1503896399, 'DE', 'Germany'),
(56959, '89.163.163.80', '89.163.163.87', 1503896400, 1503896407, 'GR', 'Greece'),
(56960, '89.163.163.88', '89.163.163.119', 1503896408, 1503896439, 'DE', 'Germany'),
(56961, '89.163.163.120', '89.163.163.127', 1503896440, 1503896447, 'NO', 'Norway'),
(56962, '89.163.163.128', '89.163.163.223', 1503896448, 1503896543, 'DE', 'Germany'),
(56963, '89.163.163.224', '89.163.163.231', 1503896544, 1503896551, 'FR', 'France'),
(56964, '89.163.163.232', '89.163.166.215', 1503896552, 1503897303, 'DE', 'Germany'),
(56965, '89.163.166.216', '89.163.166.223', 1503897304, 1503897311, 'BE', 'Belgium'),
(56966, '89.163.166.224', '89.163.166.247', 1503897312, 1503897335, 'DE', 'Germany'),
(56967, '89.163.166.248', '89.163.166.255', 1503897336, 1503897343, 'PT', 'Portugal'),
(56968, '89.163.167.0', '89.163.167.23', 1503897344, 1503897367, 'DE', 'Germany'),
(56969, '89.163.167.24', '89.163.167.31', 1503897368, 1503897375, 'BE', 'Belgium'),
(56970, '89.163.167.32', '89.163.167.39', 1503897376, 1503897383, 'GR', 'Greece'),
(56971, '89.163.167.40', '89.163.167.63', 1503897384, 1503897407, 'DE', 'Germany'),
(56972, '89.163.167.64', '89.163.167.71', 1503897408, 1503897415, 'IT', 'Italy'),
(56973, '89.163.167.72', '89.163.167.87', 1503897416, 1503897431, 'DE', 'Germany'),
(56974, '89.163.167.88', '89.163.167.95', 1503897432, 1503897439, 'IT', 'Italy'),
(56975, '89.163.167.96', '89.163.167.119', 1503897440, 1503897463, 'DE', 'Germany'),
(56976, '89.163.167.120', '89.163.167.127', 1503897464, 1503897471, 'GR', 'Greece'),
(56977, '89.163.167.128', '89.163.167.135', 1503897472, 1503897479, 'AT', 'Austria'),
(56978, '89.163.167.136', '89.163.167.143', 1503897480, 1503897487, 'BE', 'Belgium'),
(56979, '89.163.167.144', '89.163.167.175', 1503897488, 1503897519, 'DE', 'Germany'),
(56980, '89.163.167.176', '89.163.167.183', 1503897520, 1503897527, 'IT', 'Italy'),
(56981, '89.163.167.184', '89.163.167.239', 1503897528, 1503897583, 'DE', 'Germany'),
(56982, '89.163.167.240', '89.163.167.247', 1503897584, 1503897591, 'GB', 'United Kingdom'),
(56983, '89.163.167.248', '89.163.170.7', 1503897592, 1503898119, 'DE', 'Germany'),
(56984, '89.163.170.8', '89.163.170.23', 1503898120, 1503898135, 'TH', 'Thailand'),
(56985, '89.163.170.24', '89.163.170.55', 1503898136, 1503898167, 'DE', 'Germany'),
(56986, '89.163.170.56', '89.163.170.63', 1503898168, 1503898175, 'RO', 'Romania'),
(56987, '89.163.170.64', '89.163.170.71', 1503898176, 1503898183, 'IT', 'Italy'),
(56988, '89.163.170.72', '89.163.170.79', 1503898184, 1503898191, 'AT', 'Austria'),
(56989, '89.163.170.80', '89.163.170.87', 1503898192, 1503898199, 'GR', 'Greece'),
(56990, '89.163.170.88', '89.163.170.95', 1503898200, 1503898207, 'DE', 'Germany'),
(56991, '89.163.170.96', '89.163.170.103', 1503898208, 1503898215, 'BE', 'Belgium'),
(56992, '89.163.170.104', '89.163.170.127', 1503898216, 1503898239, 'DE', 'Germany'),
(56993, '89.163.170.128', '89.163.170.191', 1503898240, 1503898303, 'IT', 'Italy'),
(56994, '89.163.170.192', '89.163.170.199', 1503898304, 1503898311, 'BE', 'Belgium'),
(56995, '89.163.170.200', '89.163.170.239', 1503898312, 1503898351, 'DE', 'Germany'),
(56996, '89.163.170.240', '89.163.170.247', 1503898352, 1503898359, 'CH', 'Switzerland'),
(56997, '89.163.170.248', '89.163.171.47', 1503898360, 1503898415, 'DE', 'Germany'),
(56998, '89.163.171.48', '89.163.171.63', 1503898416, 1503898431, 'BE', 'Belgium'),
(56999, '89.163.171.64', '89.163.171.135', 1503898432, 1503898503, 'DE', 'Germany'),
(57000, '89.163.171.136', '89.163.171.143', 1503898504, 1503898511, 'GR', 'Greece'),
(57001, '89.163.171.144', '89.163.171.199', 1503898512, 1503898567, 'DE', 'Germany'),
(57002, '89.163.171.200', '89.163.171.207', 1503898568, 1503898575, 'NL', 'Netherlands'),
(57003, '89.163.171.208', '89.163.171.231', 1503898576, 1503898599, 'DE', 'Germany'),
(57004, '89.163.171.232', '89.163.171.239', 1503898600, 1503898607, 'IT', 'Italy'),
(57005, '89.163.171.240', '89.163.171.247', 1503898608, 1503898615, 'GR', 'Greece'),
(57006, '89.163.171.248', '89.163.172.7', 1503898616, 1503898631, 'DE', 'Germany'),
(57007, '89.163.172.8', '89.163.172.23', 1503898632, 1503898647, 'GR', 'Greece'),
(57008, '89.163.172.24', '89.163.172.167', 1503898648, 1503898791, 'DE', 'Germany'),
(57009, '89.163.172.168', '89.163.172.175', 1503898792, 1503898799, 'RO', 'Romania'),
(57010, '89.163.172.176', '89.163.172.183', 1503898800, 1503898807, 'DE', 'Germany'),
(57011, '89.163.172.184', '89.163.172.191', 1503898808, 1503898815, 'PL', 'Poland'),
(57012, '89.163.172.192', '89.163.172.207', 1503898816, 1503898831, 'GB', 'United Kingdom'),
(57013, '89.163.172.208', '89.163.172.215', 1503898832, 1503898839, 'SE', 'Sweden'),
(57014, '89.163.172.216', '89.163.172.223', 1503898840, 1503898847, 'DE', 'Germany'),
(57015, '89.163.172.224', '89.163.172.231', 1503898848, 1503898855, 'MX', 'Mexico'),
(57016, '89.163.172.232', '89.163.173.7', 1503898856, 1503898887, 'DE', 'Germany'),
(57017, '89.163.173.8', '89.163.173.15', 1503898888, 1503898895, 'IT', 'Italy'),
(57018, '89.163.173.16', '89.163.173.55', 1503898896, 1503898935, 'DE', 'Germany'),
(57019, '89.163.173.56', '89.163.173.63', 1503898936, 1503898943, 'IT', 'Italy'),
(57020, '89.163.173.64', '89.163.173.79', 1503898944, 1503898959, 'DE', 'Germany'),
(57021, '89.163.173.80', '89.163.173.87', 1503898960, 1503898967, 'IT', 'Italy'),
(57022, '89.163.173.88', '89.163.173.111', 1503898968, 1503898991, 'DE', 'Germany'),
(57023, '89.163.173.112', '89.163.173.119', 1503898992, 1503898999, 'GB', 'United Kingdom'),
(57024, '89.163.173.120', '89.163.173.127', 1503899000, 1503899007, 'AT', 'Austria'),
(57025, '89.163.173.128', '89.163.173.135', 1503899008, 1503899015, 'CH', 'Switzerland'),
(57026, '89.163.173.136', '89.163.173.183', 1503899016, 1503899063, 'DE', 'Germany'),
(57027, '89.163.173.184', '89.163.173.199', 1503899064, 1503899079, 'AT', 'Austria'),
(57028, '89.163.173.200', '89.163.173.239', 1503899080, 1503899119, 'DE', 'Germany'),
(57029, '89.163.173.240', '89.163.173.247', 1503899120, 1503899127, 'NL', 'Netherlands'),
(57030, '89.163.173.248', '89.163.174.7', 1503899128, 1503899143, 'DE', 'Germany'),
(57031, '89.163.174.8', '89.163.174.15', 1503899144, 1503899151, 'IT', 'Italy'),
(57032, '89.163.174.16', '89.163.174.23', 1503899152, 1503899159, 'DE', 'Germany'),
(57033, '89.163.174.24', '89.163.174.31', 1503899160, 1503899167, 'GB', 'United Kingdom'),
(57034, '89.163.174.32', '89.163.174.47', 1503899168, 1503899183, 'DE', 'Germany'),
(57035, '89.163.174.48', '89.163.174.55', 1503899184, 1503899191, 'GR', 'Greece'),
(57036, '89.163.174.56', '89.163.174.63', 1503899192, 1503899199, 'CH', 'Switzerland'),
(57037, '89.163.174.64', '89.163.174.127', 1503899200, 1503899263, 'DE', 'Germany'),
(57038, '89.163.174.128', '89.163.174.135', 1503899264, 1503899271, 'AT', 'Austria'),
(57039, '89.163.174.136', '89.163.174.151', 1503899272, 1503899287, 'BE', 'Belgium'),
(57040, '89.163.174.152', '89.163.174.159', 1503899288, 1503899295, 'CH', 'Switzerland'),
(57041, '89.163.174.160', '89.163.174.167', 1503899296, 1503899303, 'GR', 'Greece'),
(57042, '89.163.174.168', '89.163.174.175', 1503899304, 1503899311, 'NL', 'Netherlands'),
(57043, '89.163.174.176', '89.163.174.183', 1503899312, 1503899319, 'RU', 'Russian Federation'),
(57044, '89.163.174.184', '89.163.174.199', 1503899320, 1503899335, 'DE', 'Germany'),
(57045, '89.163.174.200', '89.163.174.207', 1503899336, 1503899343, 'TH', 'Thailand'),
(57046, '89.163.174.208', '89.163.174.215', 1503899344, 1503899351, 'DE', 'Germany'),
(57047, '89.163.174.216', '89.163.174.231', 1503899352, 1503899367, 'GR', 'Greece'),
(57048, '89.163.174.232', '89.163.174.239', 1503899368, 1503899375, 'CH', 'Switzerland'),
(57049, '89.163.174.240', '89.163.175.7', 1503899376, 1503899399, 'DE', 'Germany'),
(57050, '89.163.175.8', '89.163.175.15', 1503899400, 1503899407, 'CH', 'Switzerland'),
(57051, '89.163.175.16', '89.163.175.31', 1503899408, 1503899423, 'DE', 'Germany'),
(57052, '89.163.175.32', '89.163.175.39', 1503899424, 1503899431, 'IT', 'Italy'),
(57053, '89.163.175.40', '89.163.175.47', 1503899432, 1503899439, 'GR', 'Greece'),
(57054, '89.163.175.48', '89.163.175.71', 1503899440, 1503899463, 'DE', 'Germany'),
(57055, '89.163.175.72', '89.163.175.87', 1503899464, 1503899479, 'BR', 'Brazil'),
(57056, '89.163.175.88', '89.163.175.103', 1503899480, 1503899495, 'DE', 'Germany'),
(57057, '89.163.175.104', '89.163.175.111', 1503899496, 1503899503, 'IT', 'Italy'),
(57058, '89.163.175.112', '89.163.175.183', 1503899504, 1503899575, 'DE', 'Germany'),
(57059, '89.163.175.184', '89.163.175.191', 1503899576, 1503899583, 'BE', 'Belgium'),
(57060, '89.163.175.192', '89.163.176.39', 1503899584, 1503899687, 'DE', 'Germany'),
(57061, '89.163.176.40', '89.163.176.47', 1503899688, 1503899695, 'IT', 'Italy'),
(57062, '89.163.176.48', '89.163.176.55', 1503899696, 1503899703, 'BE', 'Belgium'),
(57063, '89.163.176.56', '89.163.177.47', 1503899704, 1503899951, 'DE', 'Germany'),
(57064, '89.163.177.48', '89.163.177.55', 1503899952, 1503899959, 'IT', 'Italy'),
(57065, '89.163.177.56', '89.163.177.159', 1503899960, 1503900063, 'DE', 'Germany'),
(57066, '89.163.177.160', '89.163.177.167', 1503900064, 1503900071, 'AU', 'Australia'),
(57067, '89.163.177.168', '89.163.177.191', 1503900072, 1503900095, 'DE', 'Germany'),
(57068, '89.163.177.192', '89.163.177.199', 1503900096, 1503900103, 'CH', 'Switzerland'),
(57069, '89.163.177.200', '89.163.177.207', 1503900104, 1503900111, 'CA', 'Canada'),
(57070, '89.163.177.208', '89.163.177.239', 1503900112, 1503900143, 'DE', 'Germany'),
(57071, '89.163.177.240', '89.163.177.255', 1503900144, 1503900159, 'IT', 'Italy'),
(57072, '89.163.178.0', '89.163.180.7', 1503900160, 1503900679, 'DE', 'Germany'),
(57073, '89.163.180.8', '89.163.180.15', 1503900680, 1503900687, 'BE', 'Belgium'),
(57074, '89.163.180.16', '89.163.180.31', 1503900688, 1503900703, 'IT', 'Italy'),
(57075, '89.163.180.32', '89.163.209.255', 1503900704, 1503908351, 'DE', 'Germany'),
(57076, '89.163.210.0', '89.163.213.255', 1503908352, 1503909375, 'IT', 'Italy'),
(57077, '89.163.214.0', '89.163.255.255', 1503909376, 1503920127, 'DE', 'Germany'),
(57078, '89.164.0.0', '89.164.255.255', 1503920128, 1503985663, 'HR', 'Croatia'),
(57079, '89.165.0.0', '89.165.127.255', 1503985664, 1504018431, 'IR', 'Iran, Islamic Republic of'),
(57080, '89.165.128.0', '89.165.255.255', 1504018432, 1504051199, 'RO', 'Romania'),
(57081, '89.166.0.0', '89.166.127.255', 1504051200, 1504083967, 'FI', 'Finland'),
(57082, '89.166.128.0', '89.166.255.255', 1504083968, 1504116735, 'DE', 'Germany'),
(57083, '89.167.0.0', '89.167.127.255', 1504116736, 1504149503, 'PL', 'Poland'),
(57084, '89.167.128.0', '89.167.135.255', 1504149504, 1504151551, 'GB', 'United Kingdom'),
(57085, '89.167.136.0', '89.167.136.63', 1504151552, 1504151615, 'IE', 'Ireland'),
(57086, '89.167.136.64', '89.167.138.63', 1504151616, 1504152127, 'GB', 'United Kingdom'),
(57087, '89.167.138.64', '89.167.138.127', 1504152128, 1504152191, 'IE', 'Ireland'),
(57088, '89.167.138.128', '89.167.139.95', 1504152192, 1504152415, 'GB', 'United Kingdom'),
(57089, '89.167.139.96', '89.167.139.111', 1504152416, 1504152431, 'IE', 'Ireland'),
(57090, '89.167.139.112', '89.167.147.255', 1504152432, 1504154623, 'GB', 'United Kingdom'),
(57091, '89.167.148.0', '89.167.151.255', 1504154624, 1504155647, 'IE', 'Ireland'),
(57092, '89.167.152.0', '89.167.156.255', 1504155648, 1504156927, 'GB', 'United Kingdom'),
(57093, '89.167.157.0', '89.167.157.255', 1504156928, 1504157183, 'IE', 'Ireland'),
(57094, '89.167.158.0', '89.167.173.255', 1504157184, 1504161279, 'GB', 'United Kingdom'),
(57095, '89.167.174.0', '89.167.174.255', 1504161280, 1504161535, 'IE', 'Ireland'),
(57096, '89.167.175.0', '89.167.186.255', 1504161536, 1504164607, 'GB', 'United Kingdom'),
(57097, '89.167.187.0', '89.167.187.255', 1504164608, 1504164863, 'IE', 'Ireland'),
(57098, '89.167.188.0', '89.167.207.255', 1504164864, 1504169983, 'GB', 'United Kingdom'),
(57099, '89.167.208.0', '89.167.208.255', 1504169984, 1504170239, 'IE', 'Ireland'),
(57100, '89.167.209.0', '89.167.211.255', 1504170240, 1504171007, 'GB', 'United Kingdom'),
(57101, '89.167.212.0', '89.167.212.255', 1504171008, 1504171263, 'PT', 'Portugal'),
(57102, '89.167.213.0', '89.167.214.255', 1504171264, 1504171775, 'GB', 'United Kingdom'),
(57103, '89.167.215.0', '89.167.215.255', 1504171776, 1504172031, 'US', 'United States'),
(57104, '89.167.216.0', '89.167.219.255', 1504172032, 1504173055, 'GB', 'United Kingdom'),
(57105, '89.167.220.0', '89.167.220.255', 1504173056, 1504173311, 'IE', 'Ireland'),
(57106, '89.167.221.0', '89.167.225.255', 1504173312, 1504174591, 'GB', 'United Kingdom'),
(57107, '89.167.226.0', '89.167.227.255', 1504174592, 1504175103, 'IE', 'Ireland'),
(57108, '89.167.228.0', '89.167.232.255', 1504175104, 1504176383, 'GB', 'United Kingdom'),
(57109, '89.167.233.0', '89.167.233.255', 1504176384, 1504176639, 'IE', 'Ireland'),
(57110, '89.167.234.0', '89.167.240.255', 1504176640, 1504178431, 'GB', 'United Kingdom'),
(57111, '89.167.241.0', '89.167.241.255', 1504178432, 1504178687, 'IE', 'Ireland'),
(57112, '89.167.242.0', '89.168.255.255', 1504178688, 1504247807, 'GB', 'United Kingdom'),
(57113, '89.169.0.0', '89.169.255.255', 1504247808, 1504313343, 'RU', 'Russian Federation'),
(57114, '89.170.0.0', '89.170.255.255', 1504313344, 1504378879, 'FR', 'France'),
(57115, '89.171.0.0', '89.171.255.255', 1504378880, 1504444415, 'PL', 'Poland'),
(57116, '89.172.0.0', '89.172.255.255', 1504444416, 1504509951, 'HR', 'Croatia'),
(57117, '89.173.0.0', '89.173.255.255', 1504509952, 1504575487, 'SK', 'Slovakia'),
(57118, '89.174.0.0', '89.174.255.255', 1504575488, 1504641023, 'PL', 'Poland'),
(57119, '89.175.0.0', '89.175.135.255', 1504641024, 1504675839, 'RU', 'Russian Federation'),
(57120, '89.175.136.0', '89.175.136.255', 1504675840, 1504676095, 'US', 'United States'),
(57121, '89.175.137.0', '89.175.255.255', 1504676096, 1504706559, 'RU', 'Russian Federation'),
(57122, '89.176.0.0', '89.177.255.255', 1504706560, 1504837631, 'CZ', 'Czech Republic'),
(57123, '89.178.0.0', '89.179.255.255', 1504837632, 1504968703, 'RU', 'Russian Federation'),
(57124, '89.180.0.0', '89.181.255.255', 1504968704, 1505099775, 'PT', 'Portugal'),
(57125, '89.182.0.0', '89.183.255.255', 1505099776, 1505230847, 'DE', 'Germany'),
(57126, '89.184.0.0', '89.184.31.255', 1505230848, 1505239039, 'RU', 'Russian Federation'),
(57127, '89.184.32.0', '89.184.63.255', 1505239040, 1505247231, 'IE', 'Ireland'),
(57128, '89.184.64.0', '89.184.95.255', 1505247232, 1505255423, 'UA', 'Ukraine'),
(57129, '89.184.96.0', '89.184.127.255', 1505255424, 1505263615, 'IT', 'Italy'),
(57130, '89.184.128.0', '89.184.159.255', 1505263616, 1505271807, 'DK', 'Denmark'),
(57131, '89.184.160.0', '89.184.191.255', 1505271808, 1505279999, 'NL', 'Netherlands'),
(57132, '89.184.192.0', '89.184.223.255', 1505280000, 1505288191, 'IR', 'Iran, Islamic Republic of'),
(57133, '89.184.224.0', '89.184.255.255', 1505288192, 1505296383, 'RU', 'Russian Federation'),
(57134, '89.185.0.0', '89.185.31.255', 1505296384, 1505304575, 'UA', 'Ukraine'),
(57135, '89.185.32.0', '89.185.35.7', 1505304576, 1505305351, 'FR', 'France'),
(57136, '89.185.35.8', '89.185.35.15', 1505305352, 1505305359, 'GB', 'United Kingdom'),
(57137, '89.185.35.16', '89.185.35.23', 1505305360, 1505305367, 'BE', 'Belgium'),
(57138, '89.185.35.24', '89.185.35.31', 1505305368, 1505305375, 'ES', 'Spain'),
(57139, '89.185.35.32', '89.185.35.39', 1505305376, 1505305383, 'NL', 'Netherlands'),
(57140, '89.185.35.40', '89.185.35.47', 1505305384, 1505305391, 'DE', 'Germany'),
(57141, '89.185.35.48', '89.185.35.55', 1505305392, 1505305399, 'IT', 'Italy'),
(57142, '89.185.35.56', '89.185.35.63', 1505305400, 1505305407, 'PT', 'Portugal'),
(57143, '89.185.35.64', '89.185.35.71', 1505305408, 1505305415, 'US', 'United States'),
(57144, '89.185.35.72', '89.185.35.79', 1505305416, 1505305423, 'CH', 'Switzerland'),
(57145, '89.185.35.80', '89.185.37.52', 1505305424, 1505305908, 'FR', 'France'),
(57146, '89.185.37.53', '89.185.37.53', 1505305909, 1505305909, 'LU', 'Luxembourg'),
(57147, '89.185.37.54', '89.185.38.191', 1505305910, 1505306303, 'FR', 'France'),
(57148, '89.185.38.192', '89.185.38.207', 1505306304, 1505306319, 'ES', 'Spain'),
(57149, '89.185.38.208', '89.185.38.223', 1505306320, 1505306335, 'DE', 'Germany'),
(57150, '89.185.38.224', '89.185.38.239', 1505306336, 1505306351, 'GB', 'United Kingdom'),
(57151, '89.185.38.240', '89.185.38.255', 1505306352, 1505306367, 'IT', 'Italy'),
(57152, '89.185.39.0', '89.185.63.255', 1505306368, 1505312767, 'FR', 'France'),
(57153, '89.185.64.0', '89.185.95.255', 1505312768, 1505320959, 'RU', 'Russian Federation'),
(57154, '89.185.96.0', '89.185.96.143', 1505320960, 1505321103, 'AT', 'Austria'),
(57155, '89.185.96.144', '89.185.96.151', 1505321104, 1505321111, 'DE', 'Germany'),
(57156, '89.185.96.152', '89.185.96.159', 1505321112, 1505321119, 'AT', 'Austria'),
(57157, '89.185.96.160', '89.185.96.175', 1505321120, 1505321135, 'DE', 'Germany'),
(57158, '89.185.96.176', '89.185.97.207', 1505321136, 1505321423, 'AT', 'Austria'),
(57159, '89.185.97.208', '89.185.97.223', 1505321424, 1505321439, 'DE', 'Germany'),
(57160, '89.185.97.224', '89.185.98.127', 1505321440, 1505321599, 'AT', 'Austria'),
(57161, '89.185.98.128', '89.185.98.159', 1505321600, 1505321631, 'DE', 'Germany'),
(57162, '89.185.98.160', '89.185.98.223', 1505321632, 1505321695, 'AT', 'Austria'),
(57163, '89.185.98.224', '89.185.99.95', 1505321696, 1505321823, 'DE', 'Germany'),
(57164, '89.185.99.96', '89.185.99.103', 1505321824, 1505321831, 'AT', 'Austria'),
(57165, '89.185.99.104', '89.185.99.255', 1505321832, 1505321983, 'DE', 'Germany'),
(57166, '89.185.100.0', '89.185.101.63', 1505321984, 1505322303, 'AT', 'Austria'),
(57167, '89.185.101.64', '89.185.101.175', 1505322304, 1505322415, 'DE', 'Germany'),
(57168, '89.185.101.176', '89.185.103.143', 1505322416, 1505322895, 'AT', 'Austria'),
(57169, '89.185.103.144', '89.185.109.47', 1505322896, 1505324335, 'DE', 'Germany'),
(57170, '89.185.109.48', '89.185.109.79', 1505324336, 1505324367, 'AT', 'Austria'),
(57171, '89.185.109.80', '89.185.110.247', 1505324368, 1505324791, 'DE', 'Germany'),
(57172, '89.185.110.248', '89.185.110.255', 1505324792, 1505324799, 'AT', 'Austria'),
(57173, '89.185.111.0', '89.185.118.255', 1505324800, 1505326847, 'DE', 'Germany'),
(57174, '89.185.119.0', '89.185.119.15', 1505326848, 1505326863, 'AT', 'Austria');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(57175, '89.185.119.16', '89.185.119.31', 1505326864, 1505326879, 'DE', 'Germany'),
(57176, '89.185.119.32', '89.185.119.39', 1505326880, 1505326887, 'AT', 'Austria'),
(57177, '89.185.119.40', '89.185.119.47', 1505326888, 1505326895, 'DE', 'Germany'),
(57178, '89.185.119.48', '89.185.120.255', 1505326896, 1505327359, 'AT', 'Austria'),
(57179, '89.185.121.0', '89.185.121.247', 1505327360, 1505327607, 'DE', 'Germany'),
(57180, '89.185.121.248', '89.185.122.255', 1505327608, 1505327871, 'AT', 'Austria'),
(57181, '89.185.123.0', '89.185.123.247', 1505327872, 1505328119, 'DE', 'Germany'),
(57182, '89.185.123.248', '89.185.124.7', 1505328120, 1505328135, 'AT', 'Austria'),
(57183, '89.185.124.8', '89.185.124.15', 1505328136, 1505328143, 'DE', 'Germany'),
(57184, '89.185.124.16', '89.185.124.95', 1505328144, 1505328223, 'AT', 'Austria'),
(57185, '89.185.124.96', '89.185.124.127', 1505328224, 1505328255, 'DE', 'Germany'),
(57186, '89.185.124.128', '89.185.124.159', 1505328256, 1505328287, 'AT', 'Austria'),
(57187, '89.185.124.160', '89.185.124.191', 1505328288, 1505328319, 'DE', 'Germany'),
(57188, '89.185.124.192', '89.185.125.7', 1505328320, 1505328391, 'AT', 'Austria'),
(57189, '89.185.125.8', '89.185.125.15', 1505328392, 1505328399, 'DE', 'Germany'),
(57190, '89.185.125.16', '89.185.125.127', 1505328400, 1505328511, 'AT', 'Austria'),
(57191, '89.185.125.128', '89.185.125.255', 1505328512, 1505328639, 'DE', 'Germany'),
(57192, '89.185.126.0', '89.185.127.127', 1505328640, 1505329023, 'AT', 'Austria'),
(57193, '89.185.127.128', '89.185.127.255', 1505329024, 1505329151, 'DE', 'Germany'),
(57194, '89.185.128.0', '89.185.128.63', 1505329152, 1505329215, 'GB', 'United Kingdom'),
(57195, '89.185.128.64', '89.185.128.79', 1505329216, 1505329231, 'IE', 'Ireland'),
(57196, '89.185.128.80', '89.185.128.95', 1505329232, 1505329247, 'GB', 'United Kingdom'),
(57197, '89.185.128.96', '89.185.128.223', 1505329248, 1505329375, 'IE', 'Ireland'),
(57198, '89.185.128.224', '89.185.128.255', 1505329376, 1505329407, 'GB', 'United Kingdom'),
(57199, '89.185.129.0', '89.185.142.255', 1505329408, 1505332991, 'IE', 'Ireland'),
(57200, '89.185.143.0', '89.185.143.7', 1505332992, 1505332999, 'GB', 'United Kingdom'),
(57201, '89.185.143.8', '89.185.144.223', 1505333000, 1505333471, 'IE', 'Ireland'),
(57202, '89.185.144.224', '89.185.144.239', 1505333472, 1505333487, 'GB', 'United Kingdom'),
(57203, '89.185.144.240', '89.185.145.119', 1505333488, 1505333623, 'IE', 'Ireland'),
(57204, '89.185.145.120', '89.185.145.127', 1505333624, 1505333631, 'GB', 'United Kingdom'),
(57205, '89.185.145.128', '89.185.146.127', 1505333632, 1505333887, 'IE', 'Ireland'),
(57206, '89.185.146.128', '89.185.146.191', 1505333888, 1505333951, 'GB', 'United Kingdom'),
(57207, '89.185.146.192', '89.185.153.255', 1505333952, 1505335807, 'IE', 'Ireland'),
(57208, '89.185.154.0', '89.185.155.7', 1505335808, 1505336071, 'GB', 'United Kingdom'),
(57209, '89.185.155.8', '89.185.157.0', 1505336072, 1505336576, 'IE', 'Ireland'),
(57210, '89.185.157.1', '89.185.157.63', 1505336577, 1505336639, 'GB', 'United Kingdom'),
(57211, '89.185.157.64', '89.185.157.79', 1505336640, 1505336655, 'IE', 'Ireland'),
(57212, '89.185.157.80', '89.185.157.135', 1505336656, 1505336711, 'GB', 'United Kingdom'),
(57213, '89.185.157.136', '89.185.157.247', 1505336712, 1505336823, 'IE', 'Ireland'),
(57214, '89.185.157.248', '89.185.158.31', 1505336824, 1505336863, 'GB', 'United Kingdom'),
(57215, '89.185.158.32', '89.185.158.32', 1505336864, 1505336864, 'IE', 'Ireland'),
(57216, '89.185.158.33', '89.185.158.47', 1505336865, 1505336879, 'GB', 'United Kingdom'),
(57217, '89.185.158.48', '89.185.158.127', 1505336880, 1505336959, 'IE', 'Ireland'),
(57218, '89.185.158.128', '89.185.158.143', 1505336960, 1505336975, 'GB', 'United Kingdom'),
(57219, '89.185.158.144', '89.185.158.191', 1505336976, 1505337023, 'IE', 'Ireland'),
(57220, '89.185.158.192', '89.185.158.223', 1505337024, 1505337055, 'GB', 'United Kingdom'),
(57221, '89.185.158.224', '89.185.158.239', 1505337056, 1505337071, 'IE', 'Ireland'),
(57222, '89.185.158.240', '89.185.159.127', 1505337072, 1505337215, 'GB', 'United Kingdom'),
(57223, '89.185.159.128', '89.185.159.255', 1505337216, 1505337343, 'IE', 'Ireland'),
(57224, '89.185.160.0', '89.185.191.255', 1505337344, 1505345535, 'FR', 'France'),
(57225, '89.185.192.0', '89.185.223.255', 1505345536, 1505353727, 'MK', 'Macedonia'),
(57226, '89.185.224.0', '89.185.247.47', 1505353728, 1505359663, 'CZ', 'Czech Republic'),
(57227, '89.185.247.48', '89.185.247.55', 1505359664, 1505359671, 'SK', 'Slovakia'),
(57228, '89.185.247.56', '89.185.247.59', 1505359672, 1505359675, 'CZ', 'Czech Republic'),
(57229, '89.185.247.60', '89.185.247.63', 1505359676, 1505359679, 'SK', 'Slovakia'),
(57230, '89.185.247.64', '89.185.247.143', 1505359680, 1505359759, 'CZ', 'Czech Republic'),
(57231, '89.185.247.144', '89.185.247.159', 1505359760, 1505359775, 'SK', 'Slovakia'),
(57232, '89.185.247.160', '89.185.255.255', 1505359776, 1505361919, 'CZ', 'Czech Republic'),
(57233, '89.186.0.0', '89.186.31.255', 1505361920, 1505370111, 'PL', 'Poland'),
(57234, '89.186.32.0', '89.186.63.255', 1505370112, 1505378303, 'SM', 'San Marino'),
(57235, '89.186.64.0', '89.186.95.255', 1505378304, 1505386495, 'IT', 'Italy'),
(57236, '89.186.96.0', '89.186.127.255', 1505386496, 1505394687, 'HU', 'Hungary'),
(57237, '89.186.128.0', '89.186.159.255', 1505394688, 1505402879, 'DE', 'Germany'),
(57238, '89.186.160.0', '89.186.191.255', 1505402880, 1505411071, 'DK', 'Denmark'),
(57239, '89.186.224.0', '89.186.255.255', 1505419264, 1505427455, 'RU', 'Russian Federation'),
(57240, '89.187.0.0', '89.187.31.255', 1505427456, 1505435647, 'UA', 'Ukraine'),
(57241, '89.187.32.0', '89.187.63.255', 1505435648, 1505443839, 'MD', 'Moldova, Republic of'),
(57242, '89.187.64.0', '89.187.96.71', 1505443840, 1505452103, 'GB', 'United Kingdom'),
(57243, '89.187.96.72', '89.187.96.79', 1505452104, 1505452111, 'US', 'United States'),
(57244, '89.187.96.80', '89.187.100.111', 1505452112, 1505453167, 'GB', 'United Kingdom'),
(57245, '89.187.100.112', '89.187.100.119', 1505453168, 1505453175, 'SE', 'Sweden'),
(57246, '89.187.100.120', '89.187.100.127', 1505453176, 1505453183, 'US', 'United States'),
(57247, '89.187.100.128', '89.187.105.31', 1505453184, 1505454367, 'GB', 'United Kingdom'),
(57248, '89.187.105.32', '89.187.105.39', 1505454368, 1505454375, 'US', 'United States'),
(57249, '89.187.105.40', '89.187.105.47', 1505454376, 1505454383, 'GB', 'United Kingdom'),
(57250, '89.187.105.48', '89.187.105.55', 1505454384, 1505454391, 'US', 'United States'),
(57251, '89.187.105.56', '89.187.105.63', 1505454392, 1505454399, 'SG', 'Singapore'),
(57252, '89.187.105.64', '89.187.105.127', 1505454400, 1505454463, 'GB', 'United Kingdom'),
(57253, '89.187.105.128', '89.187.105.159', 1505454464, 1505454495, 'AU', 'Australia'),
(57254, '89.187.105.160', '89.187.105.175', 1505454496, 1505454511, 'GB', 'United Kingdom'),
(57255, '89.187.105.176', '89.187.105.191', 1505454512, 1505454527, 'DE', 'Germany'),
(57256, '89.187.105.192', '89.187.105.207', 1505454528, 1505454543, 'NZ', 'New Zealand'),
(57257, '89.187.105.208', '89.187.107.63', 1505454544, 1505454911, 'GB', 'United Kingdom'),
(57258, '89.187.107.64', '89.187.107.95', 1505454912, 1505454943, 'CZ', 'Czech Republic'),
(57259, '89.187.107.96', '89.187.107.111', 1505454944, 1505454959, 'GB', 'United Kingdom'),
(57260, '89.187.107.112', '89.187.107.127', 1505454960, 1505454975, 'IE', 'Ireland'),
(57261, '89.187.107.128', '89.187.107.255', 1505454976, 1505455103, 'US', 'United States'),
(57262, '89.187.108.0', '89.187.109.143', 1505455104, 1505455503, 'GB', 'United Kingdom'),
(57263, '89.187.109.144', '89.187.109.159', 1505455504, 1505455519, 'NL', 'Netherlands'),
(57264, '89.187.109.160', '89.187.110.67', 1505455520, 1505455683, 'GB', 'United Kingdom'),
(57265, '89.187.110.68', '89.187.110.71', 1505455684, 1505455687, 'US', 'United States'),
(57266, '89.187.110.72', '89.187.110.79', 1505455688, 1505455695, 'GB', 'United Kingdom'),
(57267, '89.187.110.80', '89.187.110.83', 1505455696, 1505455699, 'NZ', 'New Zealand'),
(57268, '89.187.110.84', '89.187.110.95', 1505455700, 1505455711, 'US', 'United States'),
(57269, '89.187.110.96', '89.187.110.103', 1505455712, 1505455719, 'GB', 'United Kingdom'),
(57270, '89.187.110.104', '89.187.110.111', 1505455720, 1505455727, 'US', 'United States'),
(57271, '89.187.110.112', '89.187.110.143', 1505455728, 1505455759, 'GB', 'United Kingdom'),
(57272, '89.187.110.144', '89.187.110.151', 1505455760, 1505455767, 'DE', 'Germany'),
(57273, '89.187.110.152', '89.187.110.175', 1505455768, 1505455791, 'GB', 'United Kingdom'),
(57274, '89.187.110.176', '89.187.110.183', 1505455792, 1505455799, 'US', 'United States'),
(57275, '89.187.110.184', '89.187.111.127', 1505455800, 1505455999, 'GB', 'United Kingdom'),
(57276, '89.187.111.128', '89.187.111.207', 1505456000, 1505456079, 'US', 'United States'),
(57277, '89.187.111.208', '89.187.111.255', 1505456080, 1505456127, 'GB', 'United Kingdom'),
(57278, '89.187.112.0', '89.187.112.127', 1505456128, 1505456255, 'US', 'United States'),
(57279, '89.187.112.128', '89.187.112.215', 1505456256, 1505456343, 'GB', 'United Kingdom'),
(57280, '89.187.112.216', '89.187.112.219', 1505456344, 1505456347, 'US', 'United States'),
(57281, '89.187.112.220', '89.187.112.223', 1505456348, 1505456351, 'GB', 'United Kingdom'),
(57282, '89.187.112.224', '89.187.112.239', 1505456352, 1505456367, 'US', 'United States'),
(57283, '89.187.112.240', '89.187.113.255', 1505456368, 1505456639, 'GB', 'United Kingdom'),
(57284, '89.187.114.0', '89.187.114.255', 1505456640, 1505456895, 'US', 'United States'),
(57285, '89.187.115.0', '89.187.115.31', 1505456896, 1505456927, 'GB', 'United Kingdom'),
(57286, '89.187.115.32', '89.187.115.39', 1505456928, 1505456935, 'US', 'United States'),
(57287, '89.187.115.40', '89.187.115.87', 1505456936, 1505456983, 'GB', 'United Kingdom'),
(57288, '89.187.115.88', '89.187.115.91', 1505456984, 1505456987, 'IL', 'Israel'),
(57289, '89.187.115.92', '89.187.115.95', 1505456988, 1505456991, 'US', 'United States'),
(57290, '89.187.115.96', '89.187.115.115', 1505456992, 1505457011, 'GB', 'United Kingdom'),
(57291, '89.187.115.116', '89.187.115.119', 1505457012, 1505457015, 'US', 'United States'),
(57292, '89.187.115.120', '89.187.119.255', 1505457016, 1505458175, 'GB', 'United Kingdom'),
(57293, '89.187.120.0', '89.187.120.255', 1505458176, 1505458431, 'US', 'United States'),
(57294, '89.187.121.0', '89.187.121.23', 1505458432, 1505458455, 'GB', 'United Kingdom'),
(57295, '89.187.121.24', '89.187.121.63', 1505458456, 1505458495, 'US', 'United States'),
(57296, '89.187.121.64', '89.187.121.87', 1505458496, 1505458519, 'GB', 'United Kingdom'),
(57297, '89.187.121.88', '89.187.121.95', 1505458520, 1505458527, 'US', 'United States'),
(57298, '89.187.121.96', '89.187.121.111', 1505458528, 1505458543, 'GB', 'United Kingdom'),
(57299, '89.187.121.112', '89.187.121.127', 1505458544, 1505458559, 'US', 'United States'),
(57300, '89.187.121.128', '89.187.127.255', 1505458560, 1505460223, 'GB', 'United Kingdom'),
(57301, '89.187.128.0', '89.187.130.159', 1505460224, 1505460895, 'CZ', 'Czech Republic'),
(57302, '89.187.130.160', '89.187.130.191', 1505460896, 1505460927, 'US', 'United States'),
(57303, '89.187.130.192', '89.187.199.255', 1505460928, 1505478655, 'CZ', 'Czech Republic'),
(57304, '89.187.200.0', '89.187.215.255', 1505478656, 1505482751, 'DE', 'Germany'),
(57305, '89.187.216.0', '89.187.223.255', 1505482752, 1505484799, 'LB', 'Lebanon'),
(57306, '89.187.224.0', '89.187.255.255', 1505484800, 1505492991, 'PL', 'Poland'),
(57307, '89.188.0.0', '89.188.31.255', 1505492992, 1505501183, 'NL', 'Netherlands'),
(57308, '89.188.32.0', '89.188.63.255', 1505501184, 1505509375, 'ME', 'Montenegro'),
(57309, '89.188.64.0', '89.188.95.255', 1505509376, 1505517567, 'SA', 'Saudi Arabia'),
(57310, '89.188.96.0', '89.188.127.255', 1505517568, 1505525759, 'RU', 'Russian Federation'),
(57311, '89.188.128.0', '89.188.159.255', 1505525760, 1505533951, 'IT', 'Italy'),
(57312, '89.188.160.0', '89.188.191.255', 1505533952, 1505542143, 'RU', 'Russian Federation'),
(57313, '89.188.192.0', '89.188.223.255', 1505542144, 1505550335, 'PL', 'Poland'),
(57314, '89.188.224.0', '89.189.31.255', 1505550336, 1505566719, 'RU', 'Russian Federation'),
(57315, '89.189.32.0', '89.189.63.255', 1505566720, 1505574911, 'IT', 'Italy'),
(57316, '89.189.64.0', '89.189.95.255', 1505574912, 1505583103, 'YE', 'Yemen'),
(57317, '89.189.96.0', '89.189.191.255', 1505583104, 1505607679, 'RU', 'Russian Federation'),
(57318, '89.189.192.0', '89.189.223.255', 1505607680, 1505615871, 'SE', 'Sweden'),
(57319, '89.189.224.0', '89.189.255.255', 1505615872, 1505624063, 'SA', 'Saudi Arabia'),
(57320, '89.190.0.0', '89.190.31.255', 1505624064, 1505632255, 'FI', 'Finland'),
(57321, '89.190.32.0', '89.190.88.255', 1505632256, 1505646847, 'CZ', 'Czech Republic'),
(57322, '89.190.89.0', '89.190.89.255', 1505646848, 1505647103, 'PL', 'Poland'),
(57323, '89.190.90.0', '89.190.95.255', 1505647104, 1505648639, 'CZ', 'Czech Republic'),
(57324, '89.190.96.0', '89.190.127.255', 1505648640, 1505656831, 'LT', 'Lithuania'),
(57325, '89.190.128.0', '89.190.159.255', 1505656832, 1505665023, 'BH', 'Bahrain'),
(57326, '89.190.160.0', '89.190.172.167', 1505665024, 1505668263, 'IT', 'Italy'),
(57327, '89.190.172.168', '89.190.172.171', 1505668264, 1505668267, 'DE', 'Germany'),
(57328, '89.190.172.172', '89.190.181.215', 1505668268, 1505670615, 'IT', 'Italy'),
(57329, '89.190.181.216', '89.190.181.223', 1505670616, 1505670623, 'US', 'United States'),
(57330, '89.190.181.224', '89.190.191.255', 1505670624, 1505673215, 'IT', 'Italy'),
(57331, '89.190.192.0', '89.190.223.255', 1505673216, 1505681407, 'BG', 'Bulgaria'),
(57332, '89.190.224.0', '89.190.255.255', 1505681408, 1505689599, 'RU', 'Russian Federation'),
(57333, '89.191.0.0', '89.191.31.255', 1505689600, 1505697791, 'NO', 'Norway'),
(57334, '89.191.32.0', '89.191.63.255', 1505697792, 1505705983, 'IE', 'Ireland'),
(57335, '89.191.64.0', '89.191.69.63', 1505705984, 1505707327, 'DE', 'Germany'),
(57336, '89.191.69.64', '89.191.69.255', 1505707328, 1505707519, 'AT', 'Austria'),
(57337, '89.191.70.0', '89.191.73.255', 1505707520, 1505708543, 'DE', 'Germany'),
(57338, '89.191.74.0', '89.191.75.255', 1505708544, 1505709055, 'AT', 'Austria'),
(57339, '89.191.76.0', '89.191.95.255', 1505709056, 1505714175, 'DE', 'Germany'),
(57340, '89.191.96.0', '89.191.127.255', 1505714176, 1505722367, 'LV', 'Latvia'),
(57341, '89.191.128.0', '89.191.191.255', 1505722368, 1505738751, 'PL', 'Poland'),
(57342, '89.191.192.0', '89.191.216.239', 1505738752, 1505745135, 'GB', 'United Kingdom'),
(57343, '89.191.216.240', '89.191.216.255', 1505745136, 1505745151, 'ES', 'Spain'),
(57344, '89.191.217.0', '89.191.219.175', 1505745152, 1505745839, 'GB', 'United Kingdom'),
(57345, '89.191.219.176', '89.191.219.191', 1505745840, 1505745855, 'IL', 'Israel'),
(57346, '89.191.219.192', '89.191.223.255', 1505745856, 1505746943, 'GB', 'United Kingdom'),
(57347, '89.191.224.0', '89.191.255.255', 1505746944, 1505755135, 'RU', 'Russian Federation'),
(57348, '89.192.0.0', '89.195.255.255', 1505755136, 1506017279, 'GB', 'United Kingdom'),
(57349, '89.196.0.0', '89.199.255.255', 1506017280, 1506279423, 'DE', 'Germany'),
(57350, '89.200.0.0', '89.200.127.255', 1506279424, 1506312191, 'NL', 'Netherlands'),
(57351, '89.200.128.0', '89.200.143.255', 1506312192, 1506316287, 'GB', 'United Kingdom'),
(57352, '89.200.144.0', '89.200.167.255', 1506316288, 1506322431, 'PL', 'Poland'),
(57353, '89.200.168.0', '89.200.175.255', 1506322432, 1506324479, 'DE', 'Germany'),
(57354, '89.200.176.0', '89.200.191.255', 1506324480, 1506328575, 'RU', 'Russian Federation'),
(57355, '89.200.192.0', '89.200.199.255', 1506328576, 1506330623, 'FI', 'Finland'),
(57356, '89.200.200.0', '89.200.207.255', 1506330624, 1506332671, 'NL', 'Netherlands'),
(57357, '89.200.208.0', '89.200.215.255', 1506332672, 1506334719, 'PL', 'Poland'),
(57358, '89.200.216.0', '89.200.223.255', 1506334720, 1506336767, 'GB', 'United Kingdom'),
(57359, '89.200.224.0', '89.200.231.255', 1506336768, 1506338815, 'PL', 'Poland'),
(57360, '89.200.232.0', '89.200.239.255', 1506338816, 1506340863, 'UA', 'Ukraine'),
(57361, '89.200.240.0', '89.200.247.255', 1506340864, 1506342911, 'RO', 'Romania'),
(57362, '89.200.248.0', '89.200.255.255', 1506342912, 1506344959, 'UA', 'Ukraine'),
(57363, '89.201.0.0', '89.201.127.255', 1506344960, 1506377727, 'LV', 'Latvia'),
(57364, '89.201.128.0', '89.201.255.255', 1506377728, 1506410495, 'HR', 'Croatia'),
(57365, '89.202.0.0', '89.202.31.255', 1506410496, 1506418687, 'DE', 'Germany'),
(57366, '89.202.32.0', '89.202.32.7', 1506418688, 1506418695, 'CY', 'Cyprus'),
(57367, '89.202.32.8', '89.202.32.15', 1506418696, 1506418703, 'GB', 'United Kingdom'),
(57368, '89.202.32.16', '89.202.32.31', 1506418704, 1506418719, 'CA', 'Canada'),
(57369, '89.202.32.32', '89.202.33.31', 1506418720, 1506418975, 'DE', 'Germany'),
(57370, '89.202.33.32', '89.202.33.39', 1506418976, 1506418983, 'CA', 'Canada'),
(57371, '89.202.33.40', '89.202.45.63', 1506418984, 1506422079, 'DE', 'Germany'),
(57372, '89.202.45.64', '89.202.45.95', 1506422080, 1506422111, 'CY', 'Cyprus'),
(57373, '89.202.45.96', '89.202.45.126', 1506422112, 1506422142, 'CA', 'Canada'),
(57374, '89.202.45.127', '89.202.46.47', 1506422143, 1506422319, 'DE', 'Germany'),
(57375, '89.202.46.48', '89.202.46.63', 1506422320, 1506422335, 'GB', 'United Kingdom'),
(57376, '89.202.46.64', '89.202.47.127', 1506422336, 1506422655, 'DE', 'Germany'),
(57377, '89.202.47.128', '89.202.47.159', 1506422656, 1506422687, 'CY', 'Cyprus'),
(57378, '89.202.47.160', '89.202.47.175', 1506422688, 1506422703, 'CA', 'Canada'),
(57379, '89.202.47.176', '89.202.47.191', 1506422704, 1506422719, 'GB', 'United Kingdom'),
(57380, '89.202.47.192', '89.202.47.223', 1506422720, 1506422751, 'US', 'United States'),
(57381, '89.202.47.224', '89.202.65.47', 1506422752, 1506427183, 'DE', 'Germany'),
(57382, '89.202.65.48', '89.202.65.63', 1506427184, 1506427199, 'CA', 'Canada'),
(57383, '89.202.65.64', '89.202.67.15', 1506427200, 1506427663, 'DE', 'Germany'),
(57384, '89.202.67.16', '89.202.67.31', 1506427664, 1506427679, 'GB', 'United Kingdom'),
(57385, '89.202.67.32', '89.202.67.95', 1506427680, 1506427743, 'DE', 'Germany'),
(57386, '89.202.67.96', '89.202.67.111', 1506427744, 1506427759, 'CA', 'Canada'),
(57387, '89.202.67.112', '89.202.69.63', 1506427760, 1506428223, 'DE', 'Germany'),
(57388, '89.202.69.64', '89.202.69.79', 1506428224, 1506428239, 'US', 'United States'),
(57389, '89.202.69.80', '89.202.102.255', 1506428240, 1506436863, 'DE', 'Germany'),
(57390, '89.202.103.0', '89.202.103.15', 1506436864, 1506436879, 'FR', 'France'),
(57391, '89.202.103.16', '89.202.103.19', 1506436880, 1506436883, 'GB', 'United Kingdom'),
(57392, '89.202.103.20', '89.202.103.95', 1506436884, 1506436959, 'DE', 'Germany'),
(57393, '89.202.103.96', '89.202.103.111', 1506436960, 1506436975, 'GB', 'United Kingdom'),
(57394, '89.202.103.112', '89.202.103.255', 1506436976, 1506437119, 'DE', 'Germany'),
(57395, '89.202.104.0', '89.202.105.127', 1506437120, 1506437503, 'US', 'United States'),
(57396, '89.202.105.128', '89.202.105.175', 1506437504, 1506437551, 'DE', 'Germany'),
(57397, '89.202.105.176', '89.202.105.191', 1506437552, 1506437567, 'BG', 'Bulgaria'),
(57398, '89.202.105.192', '89.202.105.207', 1506437568, 1506437583, 'DE', 'Germany'),
(57399, '89.202.105.208', '89.202.105.239', 1506437584, 1506437615, 'NL', 'Netherlands'),
(57400, '89.202.105.240', '89.202.105.247', 1506437616, 1506437623, 'US', 'United States'),
(57401, '89.202.105.248', '89.202.105.255', 1506437624, 1506437631, 'DE', 'Germany'),
(57402, '89.202.106.0', '89.202.106.255', 1506437632, 1506437887, 'MU', 'Mauritius'),
(57403, '89.202.107.0', '89.202.107.15', 1506437888, 1506437903, 'CA', 'Canada'),
(57404, '89.202.107.16', '89.202.107.31', 1506437904, 1506437919, 'US', 'United States'),
(57405, '89.202.107.32', '89.202.107.63', 1506437920, 1506437951, 'IN', 'India'),
(57406, '89.202.107.64', '89.202.107.95', 1506437952, 1506437983, 'DE', 'Germany'),
(57407, '89.202.107.96', '89.202.107.103', 1506437984, 1506437991, 'US', 'United States'),
(57408, '89.202.107.104', '89.202.107.111', 1506437992, 1506437999, 'DE', 'Germany'),
(57409, '89.202.107.112', '89.202.107.127', 1506438000, 1506438015, 'CA', 'Canada'),
(57410, '89.202.107.128', '89.202.107.255', 1506438016, 1506438143, 'DE', 'Germany'),
(57411, '89.202.108.0', '89.202.108.127', 1506438144, 1506438271, 'HK', 'Hong Kong'),
(57412, '89.202.108.128', '89.202.108.223', 1506438272, 1506438367, 'GB', 'United Kingdom'),
(57413, '89.202.108.224', '89.202.108.239', 1506438368, 1506438383, 'IL', 'Israel'),
(57414, '89.202.108.240', '89.202.108.255', 1506438384, 1506438399, 'GB', 'United Kingdom'),
(57415, '89.202.109.0', '89.202.109.127', 1506438400, 1506438527, 'US', 'United States'),
(57416, '89.202.109.128', '89.202.110.127', 1506438528, 1506438783, 'DE', 'Germany'),
(57417, '89.202.110.128', '89.202.110.143', 1506438784, 1506438799, 'KR', 'Korea, Republic of'),
(57418, '89.202.110.144', '89.202.110.191', 1506438800, 1506438847, 'DE', 'Germany'),
(57419, '89.202.110.192', '89.202.110.207', 1506438848, 1506438863, 'US', 'United States'),
(57420, '89.202.110.208', '89.202.110.215', 1506438864, 1506438871, 'DE', 'Germany'),
(57421, '89.202.110.216', '89.202.110.223', 1506438872, 1506438879, 'FR', 'France'),
(57422, '89.202.110.224', '89.202.110.227', 1506438880, 1506438883, 'US', 'United States'),
(57423, '89.202.110.228', '89.202.110.231', 1506438884, 1506438887, 'DE', 'Germany'),
(57424, '89.202.110.232', '89.202.110.239', 1506438888, 1506438895, 'NL', 'Netherlands'),
(57425, '89.202.110.240', '89.202.110.255', 1506438896, 1506438911, 'CH', 'Switzerland'),
(57426, '89.202.111.0', '89.202.111.127', 1506438912, 1506439039, 'US', 'United States'),
(57427, '89.202.111.128', '89.202.113.39', 1506439040, 1506439463, 'DE', 'Germany'),
(57428, '89.202.113.40', '89.202.113.47', 1506439464, 1506439471, 'GB', 'United Kingdom'),
(57429, '89.202.113.48', '89.202.113.147', 1506439472, 1506439571, 'DE', 'Germany'),
(57430, '89.202.113.148', '89.202.113.151', 1506439572, 1506439575, 'US', 'United States'),
(57431, '89.202.113.152', '89.202.113.155', 1506439576, 1506439579, 'DE', 'Germany'),
(57432, '89.202.113.156', '89.202.113.159', 1506439580, 1506439583, 'NL', 'Netherlands'),
(57433, '89.202.113.160', '89.202.113.183', 1506439584, 1506439607, 'DE', 'Germany'),
(57434, '89.202.113.184', '89.202.113.191', 1506439608, 1506439615, 'SE', 'Sweden'),
(57435, '89.202.113.192', '89.202.113.195', 1506439616, 1506439619, 'CH', 'Switzerland'),
(57436, '89.202.113.196', '89.202.113.199', 1506439620, 1506439623, 'GB', 'United Kingdom'),
(57437, '89.202.113.200', '89.202.113.207', 1506439624, 1506439631, 'DE', 'Germany'),
(57438, '89.202.113.208', '89.202.113.223', 1506439632, 1506439647, 'AE', 'United Arab Emirates'),
(57439, '89.202.113.224', '89.202.113.243', 1506439648, 1506439667, 'GB', 'United Kingdom'),
(57440, '89.202.113.244', '89.202.114.255', 1506439668, 1506439935, 'DE', 'Germany'),
(57441, '89.202.115.0', '89.202.115.255', 1506439936, 1506440191, 'US', 'United States'),
(57442, '89.202.116.0', '89.202.116.255', 1506440192, 1506440447, 'DE', 'Germany'),
(57443, '89.202.117.0', '89.202.117.127', 1506440448, 1506440575, 'US', 'United States'),
(57444, '89.202.117.128', '89.202.117.143', 1506440576, 1506440591, 'CY', 'Cyprus'),
(57445, '89.202.117.144', '89.202.117.159', 1506440592, 1506440607, 'NL', 'Netherlands'),
(57446, '89.202.117.160', '89.202.117.191', 1506440608, 1506440639, 'DE', 'Germany'),
(57447, '89.202.117.192', '89.202.117.223', 1506440640, 1506440671, 'US', 'United States'),
(57448, '89.202.117.224', '89.202.117.254', 1506440672, 1506440702, 'SE', 'Sweden'),
(57449, '89.202.117.255', '89.202.117.255', 1506440703, 1506440703, 'DE', 'Germany'),
(57450, '89.202.118.0', '89.202.118.7', 1506440704, 1506440711, 'US', 'United States'),
(57451, '89.202.118.8', '89.202.118.15', 1506440712, 1506440719, 'FR', 'France'),
(57452, '89.202.118.16', '89.202.118.31', 1506440720, 1506440735, 'US', 'United States'),
(57453, '89.202.118.32', '89.202.118.63', 1506440736, 1506440767, 'GB', 'United Kingdom'),
(57454, '89.202.118.64', '89.202.118.95', 1506440768, 1506440799, 'US', 'United States'),
(57455, '89.202.118.96', '89.202.118.127', 1506440800, 1506440831, 'DE', 'Germany'),
(57456, '89.202.118.128', '89.202.118.255', 1506440832, 1506440959, 'US', 'United States'),
(57457, '89.202.119.0', '89.202.119.31', 1506440960, 1506440991, 'FR', 'France'),
(57458, '89.202.119.32', '89.202.119.39', 1506440992, 1506440999, 'US', 'United States'),
(57459, '89.202.119.40', '89.202.119.47', 1506441000, 1506441007, 'GB', 'United Kingdom'),
(57460, '89.202.119.48', '89.202.119.63', 1506441008, 1506441023, 'US', 'United States'),
(57461, '89.202.119.64', '89.202.119.127', 1506441024, 1506441087, 'HK', 'Hong Kong'),
(57462, '89.202.119.128', '89.202.119.255', 1506441088, 1506441215, 'CA', 'Canada'),
(57463, '89.202.120.0', '89.202.120.127', 1506441216, 1506441343, 'US', 'United States'),
(57464, '89.202.120.128', '89.202.120.191', 1506441344, 1506441407, 'HK', 'Hong Kong'),
(57465, '89.202.120.192', '89.202.120.199', 1506441408, 1506441415, 'DE', 'Germany'),
(57466, '89.202.120.200', '89.202.120.207', 1506441416, 1506441423, 'FR', 'France'),
(57467, '89.202.120.208', '89.202.121.23', 1506441424, 1506441495, 'DE', 'Germany'),
(57468, '89.202.121.24', '89.202.121.31', 1506441496, 1506441503, 'GB', 'United Kingdom'),
(57469, '89.202.121.32', '89.202.121.63', 1506441504, 1506441535, 'US', 'United States'),
(57470, '89.202.121.64', '89.202.121.143', 1506441536, 1506441615, 'DE', 'Germany'),
(57471, '89.202.121.144', '89.202.121.159', 1506441616, 1506441631, 'US', 'United States'),
(57472, '89.202.121.160', '89.202.121.175', 1506441632, 1506441647, 'DE', 'Germany'),
(57473, '89.202.121.176', '89.202.121.191', 1506441648, 1506441663, 'GB', 'United Kingdom'),
(57474, '89.202.121.192', '89.202.121.199', 1506441664, 1506441671, 'NL', 'Netherlands'),
(57475, '89.202.121.200', '89.202.121.207', 1506441672, 1506441679, 'CA', 'Canada'),
(57476, '89.202.121.208', '89.202.121.223', 1506441680, 1506441695, 'DE', 'Germany'),
(57477, '89.202.121.224', '89.202.121.255', 1506441696, 1506441727, 'CA', 'Canada'),
(57478, '89.202.122.0', '89.202.123.255', 1506441728, 1506442239, 'MU', 'Mauritius'),
(57479, '89.202.124.0', '89.202.124.143', 1506442240, 1506442383, 'US', 'United States'),
(57480, '89.202.124.144', '89.202.124.159', 1506442384, 1506442399, 'GB', 'United Kingdom'),
(57481, '89.202.124.160', '89.202.124.175', 1506442400, 1506442415, 'FR', 'France'),
(57482, '89.202.124.176', '89.202.124.187', 1506442416, 1506442427, 'US', 'United States'),
(57483, '89.202.124.188', '89.202.124.191', 1506442428, 1506442431, 'DE', 'Germany'),
(57484, '89.202.124.192', '89.202.124.223', 1506442432, 1506442463, 'HK', 'Hong Kong'),
(57485, '89.202.124.224', '89.202.125.127', 1506442464, 1506442623, 'DE', 'Germany'),
(57486, '89.202.125.128', '89.202.125.159', 1506442624, 1506442655, 'GB', 'United Kingdom'),
(57487, '89.202.125.160', '89.202.125.191', 1506442656, 1506442687, 'US', 'United States'),
(57488, '89.202.125.192', '89.202.125.207', 1506442688, 1506442703, 'GB', 'United Kingdom'),
(57489, '89.202.125.208', '89.202.125.215', 1506442704, 1506442711, 'US', 'United States'),
(57490, '89.202.125.216', '89.202.125.219', 1506442712, 1506442715, 'NL', 'Netherlands'),
(57491, '89.202.125.220', '89.202.125.223', 1506442716, 1506442719, 'US', 'United States'),
(57492, '89.202.125.224', '89.202.125.239', 1506442720, 1506442735, 'GB', 'United Kingdom'),
(57493, '89.202.125.240', '89.202.125.247', 1506442736, 1506442743, 'DE', 'Germany'),
(57494, '89.202.125.248', '89.202.125.255', 1506442744, 1506442751, 'US', 'United States'),
(57495, '89.202.126.0', '89.202.126.127', 1506442752, 1506442879, 'DE', 'Germany'),
(57496, '89.202.126.128', '89.202.126.159', 1506442880, 1506442911, 'GB', 'United Kingdom'),
(57497, '89.202.126.160', '89.202.126.167', 1506442912, 1506442919, 'DE', 'Germany'),
(57498, '89.202.126.168', '89.202.126.171', 1506442920, 1506442923, 'GB', 'United Kingdom'),
(57499, '89.202.126.172', '89.202.126.175', 1506442924, 1506442927, 'NL', 'Netherlands'),
(57500, '89.202.126.176', '89.202.126.223', 1506442928, 1506442975, 'US', 'United States'),
(57501, '89.202.126.224', '89.202.126.239', 1506442976, 1506442991, 'DE', 'Germany'),
(57502, '89.202.126.240', '89.202.126.247', 1506442992, 1506442999, 'GB', 'United Kingdom'),
(57503, '89.202.126.248', '89.202.126.251', 1506443000, 1506443003, 'IE', 'Ireland'),
(57504, '89.202.126.252', '89.202.127.143', 1506443004, 1506443151, 'DE', 'Germany'),
(57505, '89.202.127.144', '89.202.127.159', 1506443152, 1506443167, 'GB', 'United Kingdom'),
(57506, '89.202.127.160', '89.202.127.175', 1506443168, 1506443183, 'NL', 'Netherlands'),
(57507, '89.202.127.176', '89.202.127.191', 1506443184, 1506443199, 'DE', 'Germany'),
(57508, '89.202.127.192', '89.202.127.255', 1506443200, 1506443263, 'US', 'United States'),
(57509, '89.202.128.0', '89.202.131.255', 1506443264, 1506444287, 'GB', 'United Kingdom'),
(57510, '89.202.132.0', '89.202.135.255', 1506444288, 1506445311, 'DE', 'Germany'),
(57511, '89.202.136.0', '89.202.136.25', 1506445312, 1506445337, 'FR', 'France'),
(57512, '89.202.136.26', '89.202.136.31', 1506445338, 1506445343, 'GB', 'United Kingdom'),
(57513, '89.202.136.32', '89.202.136.207', 1506445344, 1506445519, 'FR', 'France'),
(57514, '89.202.136.208', '89.202.136.215', 1506445520, 1506445527, 'GB', 'United Kingdom'),
(57515, '89.202.136.216', '89.202.137.23', 1506445528, 1506445591, 'FR', 'France'),
(57516, '89.202.137.24', '89.202.137.31', 1506445592, 1506445599, 'GB', 'United Kingdom'),
(57517, '89.202.137.32', '89.202.137.135', 1506445600, 1506445703, 'FR', 'France'),
(57518, '89.202.137.136', '89.202.137.143', 1506445704, 1506445711, 'NL', 'Netherlands'),
(57519, '89.202.137.144', '89.202.137.151', 1506445712, 1506445719, 'GB', 'United Kingdom'),
(57520, '89.202.137.152', '89.202.137.191', 1506445720, 1506445759, 'FR', 'France'),
(57521, '89.202.137.192', '89.202.137.199', 1506445760, 1506445767, 'GB', 'United Kingdom'),
(57522, '89.202.137.200', '89.202.137.247', 1506445768, 1506445815, 'FR', 'France'),
(57523, '89.202.137.248', '89.202.137.255', 1506445816, 1506445823, 'GB', 'United Kingdom'),
(57524, '89.202.138.0', '89.202.139.95', 1506445824, 1506446175, 'FR', 'France'),
(57525, '89.202.139.96', '89.202.139.103', 1506446176, 1506446183, 'GB', 'United Kingdom'),
(57526, '89.202.139.104', '89.202.139.255', 1506446184, 1506446335, 'FR', 'France'),
(57527, '89.202.140.0', '89.202.141.127', 1506446336, 1506446719, 'NL', 'Netherlands'),
(57528, '89.202.141.128', '89.202.141.143', 1506446720, 1506446735, 'GB', 'United Kingdom'),
(57529, '89.202.141.144', '89.202.143.255', 1506446736, 1506447359, 'NL', 'Netherlands'),
(57530, '89.202.144.0', '89.202.144.63', 1506447360, 1506447423, 'IT', 'Italy'),
(57531, '89.202.144.64', '89.202.144.103', 1506447424, 1506447463, 'GB', 'United Kingdom'),
(57532, '89.202.144.104', '89.202.146.255', 1506447464, 1506448127, 'IT', 'Italy'),
(57533, '89.202.147.0', '89.202.147.7', 1506448128, 1506448135, 'GB', 'United Kingdom'),
(57534, '89.202.147.8', '89.202.147.127', 1506448136, 1506448255, 'IT', 'Italy'),
(57535, '89.202.147.128', '89.202.147.191', 1506448256, 1506448319, 'GB', 'United Kingdom'),
(57536, '89.202.147.192', '89.202.147.255', 1506448320, 1506448383, 'IT', 'Italy'),
(57537, '89.202.148.0', '89.202.148.255', 1506448384, 1506448639, 'AT', 'Austria'),
(57538, '89.202.149.0', '89.202.149.7', 1506448640, 1506448647, 'GB', 'United Kingdom'),
(57539, '89.202.149.8', '89.202.149.23', 1506448648, 1506448663, 'AT', 'Austria'),
(57540, '89.202.149.24', '89.202.149.31', 1506448664, 1506448671, 'GB', 'United Kingdom'),
(57541, '89.202.149.32', '89.202.149.63', 1506448672, 1506448703, 'AT', 'Austria'),
(57542, '89.202.149.64', '89.202.149.255', 1506448704, 1506448895, 'GB', 'United Kingdom'),
(57543, '89.202.150.0', '89.202.151.7', 1506448896, 1506449159, 'BE', 'Belgium'),
(57544, '89.202.151.8', '89.202.151.19', 1506449160, 1506449171, 'GB', 'United Kingdom'),
(57545, '89.202.151.20', '89.202.151.255', 1506449172, 1506449407, 'BE', 'Belgium'),
(57546, '89.202.152.0', '89.202.152.255', 1506449408, 1506449663, 'NL', 'Netherlands'),
(57547, '89.202.153.0', '89.202.153.255', 1506449664, 1506449919, 'SK', 'Slovakia'),
(57548, '89.202.154.0', '89.202.154.7', 1506449920, 1506449927, 'CH', 'Switzerland'),
(57549, '89.202.154.8', '89.202.154.15', 1506449928, 1506449935, 'GB', 'United Kingdom'),
(57550, '89.202.154.16', '89.202.154.111', 1506449936, 1506450031, 'CH', 'Switzerland'),
(57551, '89.202.154.112', '89.202.154.119', 1506450032, 1506450039, 'GB', 'United Kingdom'),
(57552, '89.202.154.120', '89.202.155.255', 1506450040, 1506450431, 'CH', 'Switzerland'),
(57553, '89.202.156.0', '89.202.157.79', 1506450432, 1506450767, 'CZ', 'Czech Republic'),
(57554, '89.202.157.80', '89.202.157.159', 1506450768, 1506450847, 'GB', 'United Kingdom'),
(57555, '89.202.157.160', '89.202.157.175', 1506450848, 1506450863, 'CZ', 'Czech Republic'),
(57556, '89.202.157.176', '89.202.157.191', 1506450864, 1506450879, 'GB', 'United Kingdom'),
(57557, '89.202.157.192', '89.202.157.255', 1506450880, 1506450943, 'CZ', 'Czech Republic'),
(57558, '89.202.158.0', '89.202.158.14', 1506450944, 1506450958, 'DK', 'Denmark'),
(57559, '89.202.158.15', '89.202.158.15', 1506450959, 1506450959, 'GB', 'United Kingdom'),
(57560, '89.202.158.16', '89.202.158.55', 1506450960, 1506450999, 'DK', 'Denmark'),
(57561, '89.202.158.56', '89.202.158.63', 1506451000, 1506451007, 'GB', 'United Kingdom'),
(57562, '89.202.158.64', '89.202.158.79', 1506451008, 1506451023, 'DK', 'Denmark'),
(57563, '89.202.158.80', '89.202.158.87', 1506451024, 1506451031, 'FI', 'Finland'),
(57564, '89.202.158.88', '89.202.158.95', 1506451032, 1506451039, 'DK', 'Denmark'),
(57565, '89.202.158.96', '89.202.158.111', 1506451040, 1506451055, 'NO', 'Norway'),
(57566, '89.202.158.112', '89.202.158.115', 1506451056, 1506451059, 'DK', 'Denmark'),
(57567, '89.202.158.116', '89.202.158.127', 1506451060, 1506451071, 'GB', 'United Kingdom'),
(57568, '89.202.158.128', '89.202.158.191', 1506451072, 1506451135, 'DK', 'Denmark'),
(57569, '89.202.158.192', '89.202.158.255', 1506451136, 1506451199, 'GB', 'United Kingdom'),
(57570, '89.202.159.0', '89.202.161.79', 1506451200, 1506451791, 'ES', 'Spain'),
(57571, '89.202.161.80', '89.202.161.87', 1506451792, 1506451799, 'GB', 'United Kingdom'),
(57572, '89.202.161.88', '89.202.161.159', 1506451800, 1506451871, 'ES', 'Spain'),
(57573, '89.202.161.160', '89.202.161.175', 1506451872, 1506451887, 'GB', 'United Kingdom'),
(57574, '89.202.161.176', '89.202.161.183', 1506451888, 1506451895, 'ES', 'Spain'),
(57575, '89.202.161.184', '89.202.161.207', 1506451896, 1506451919, 'GB', 'United Kingdom'),
(57576, '89.202.161.208', '89.202.162.95', 1506451920, 1506452063, 'ES', 'Spain'),
(57577, '89.202.162.96', '89.202.162.111', 1506452064, 1506452079, 'GB', 'United Kingdom'),
(57578, '89.202.162.112', '89.202.162.119', 1506452080, 1506452087, 'ES', 'Spain'),
(57579, '89.202.162.120', '89.202.162.127', 1506452088, 1506452095, 'GB', 'United Kingdom'),
(57580, '89.202.162.128', '89.202.162.175', 1506452096, 1506452143, 'ES', 'Spain'),
(57581, '89.202.162.176', '89.202.162.191', 1506452144, 1506452159, 'GB', 'United Kingdom'),
(57582, '89.202.162.192', '89.202.162.255', 1506452160, 1506452223, 'ES', 'Spain'),
(57583, '89.202.163.0', '89.202.163.255', 1506452224, 1506452479, 'GB', 'United Kingdom'),
(57584, '89.202.164.0', '89.202.164.255', 1506452480, 1506452735, 'US', 'United States'),
(57585, '89.202.165.0', '89.202.165.15', 1506452736, 1506452751, 'RO', 'Romania'),
(57586, '89.202.165.16', '89.202.165.255', 1506452752, 1506452991, 'GB', 'United Kingdom'),
(57587, '89.202.166.0', '89.202.166.255', 1506452992, 1506453247, 'AT', 'Austria'),
(57588, '89.202.167.0', '89.202.167.143', 1506453248, 1506453391, 'SE', 'Sweden'),
(57589, '89.202.167.144', '89.202.167.151', 1506453392, 1506453399, 'ES', 'Spain'),
(57590, '89.202.167.152', '89.202.167.167', 1506453400, 1506453415, 'SE', 'Sweden'),
(57591, '89.202.167.168', '89.202.167.175', 1506453416, 1506453423, 'GB', 'United Kingdom'),
(57592, '89.202.167.176', '89.202.167.191', 1506453424, 1506453439, 'SE', 'Sweden'),
(57593, '89.202.167.192', '89.202.167.199', 1506453440, 1506453447, 'GB', 'United Kingdom'),
(57594, '89.202.167.200', '89.202.167.223', 1506453448, 1506453471, 'SE', 'Sweden'),
(57595, '89.202.167.224', '89.202.167.239', 1506453472, 1506453487, 'GB', 'United Kingdom'),
(57596, '89.202.167.240', '89.202.167.255', 1506453488, 1506453503, 'SE', 'Sweden'),
(57597, '89.202.168.0', '89.202.168.255', 1506453504, 1506453759, 'DE', 'Germany'),
(57598, '89.202.169.0', '89.202.169.63', 1506453760, 1506453823, 'FR', 'France'),
(57599, '89.202.169.64', '89.202.169.79', 1506453824, 1506453839, 'GB', 'United Kingdom'),
(57600, '89.202.169.80', '89.202.169.255', 1506453840, 1506454015, 'FR', 'France'),
(57601, '89.202.170.0', '89.202.170.255', 1506454016, 1506454271, 'AT', 'Austria'),
(57602, '89.202.171.0', '89.202.171.255', 1506454272, 1506454527, 'ES', 'Spain'),
(57603, '89.202.172.0', '89.202.172.255', 1506454528, 1506454783, 'IT', 'Italy'),
(57604, '89.202.173.0', '89.202.173.255', 1506454784, 1506455039, 'US', 'United States'),
(57605, '89.202.174.0', '89.202.174.255', 1506455040, 1506455295, 'GB', 'United Kingdom'),
(57606, '89.202.175.0', '89.202.175.255', 1506455296, 1506455551, 'IT', 'Italy'),
(57607, '89.202.176.0', '89.202.177.255', 1506455552, 1506456063, 'AE', 'United Arab Emirates'),
(57608, '89.202.178.0', '89.202.178.255', 1506456064, 1506456319, 'HU', 'Hungary'),
(57609, '89.202.179.0', '89.202.179.255', 1506456320, 1506456575, 'IT', 'Italy'),
(57610, '89.202.180.0', '89.202.180.255', 1506456576, 1506456831, 'IE', 'Ireland'),
(57611, '89.202.181.0', '89.202.181.15', 1506456832, 1506456847, 'IT', 'Italy'),
(57612, '89.202.181.16', '89.202.181.31', 1506456848, 1506456863, 'GB', 'United Kingdom'),
(57613, '89.202.181.32', '89.202.181.127', 1506456864, 1506456959, 'IT', 'Italy'),
(57614, '89.202.181.128', '89.202.181.159', 1506456960, 1506456991, 'GB', 'United Kingdom'),
(57615, '89.202.181.160', '89.202.181.255', 1506456992, 1506457087, 'IT', 'Italy'),
(57616, '89.202.182.0', '89.202.186.127', 1506457088, 1506458239, 'GB', 'United Kingdom'),
(57617, '89.202.186.128', '89.202.186.159', 1506458240, 1506458271, 'CH', 'Switzerland'),
(57618, '89.202.186.160', '89.202.186.167', 1506458272, 1506458279, 'GB', 'United Kingdom'),
(57619, '89.202.186.168', '89.202.186.175', 1506458280, 1506458287, 'CH', 'Switzerland'),
(57620, '89.202.186.176', '89.202.186.191', 1506458288, 1506458303, 'GB', 'United Kingdom'),
(57621, '89.202.186.192', '89.202.187.255', 1506458304, 1506458623, 'CH', 'Switzerland'),
(57622, '89.202.188.0', '89.202.189.255', 1506458624, 1506459135, 'GB', 'United Kingdom'),
(57623, '89.202.190.0', '89.202.190.41', 1506459136, 1506459177, 'BE', 'Belgium'),
(57624, '89.202.190.42', '89.202.190.42', 1506459178, 1506459178, 'EU', 'Europe'),
(57625, '89.202.190.43', '89.202.191.255', 1506459179, 1506459647, 'BE', 'Belgium'),
(57626, '89.202.192.0', '89.202.193.63', 1506459648, 1506459967, 'FR', 'France'),
(57627, '89.202.193.64', '89.202.193.127', 1506459968, 1506460031, 'ES', 'Spain'),
(57628, '89.202.193.128', '89.202.193.143', 1506460032, 1506460047, 'FR', 'France'),
(57629, '89.202.193.144', '89.202.193.151', 1506460048, 1506460055, 'GB', 'United Kingdom'),
(57630, '89.202.193.152', '89.202.193.159', 1506460056, 1506460063, 'FR', 'France'),
(57631, '89.202.193.160', '89.202.193.175', 1506460064, 1506460079, 'GB', 'United Kingdom'),
(57632, '89.202.193.176', '89.202.193.222', 1506460080, 1506460126, 'FR', 'France'),
(57633, '89.202.193.223', '89.202.193.223', 1506460127, 1506460127, 'GB', 'United Kingdom'),
(57634, '89.202.193.224', '89.202.194.155', 1506460128, 1506460315, 'FR', 'France'),
(57635, '89.202.194.156', '89.202.194.159', 1506460316, 1506460319, 'GB', 'United Kingdom'),
(57636, '89.202.194.160', '89.202.194.175', 1506460320, 1506460335, 'FR', 'France'),
(57637, '89.202.194.176', '89.202.194.183', 1506460336, 1506460343, 'GB', 'United Kingdom'),
(57638, '89.202.194.184', '89.202.195.255', 1506460344, 1506460671, 'FR', 'France'),
(57639, '89.202.196.0', '89.202.196.255', 1506460672, 1506460927, 'AT', 'Austria'),
(57640, '89.202.197.0', '89.202.198.127', 1506460928, 1506461311, 'IT', 'Italy'),
(57641, '89.202.198.128', '89.202.198.131', 1506461312, 1506461315, 'GB', 'United Kingdom'),
(57642, '89.202.198.132', '89.202.198.135', 1506461316, 1506461319, 'IT', 'Italy'),
(57643, '89.202.198.136', '89.202.198.143', 1506461320, 1506461327, 'GB', 'United Kingdom'),
(57644, '89.202.198.144', '89.202.198.159', 1506461328, 1506461343, 'IT', 'Italy'),
(57645, '89.202.198.160', '89.202.198.167', 1506461344, 1506461351, 'GB', 'United Kingdom'),
(57646, '89.202.198.168', '89.202.198.175', 1506461352, 1506461359, 'FR', 'France'),
(57647, '89.202.198.176', '89.202.199.255', 1506461360, 1506461695, 'IT', 'Italy'),
(57648, '89.202.200.0', '89.202.200.143', 1506461696, 1506461839, 'FR', 'France'),
(57649, '89.202.200.144', '89.202.200.159', 1506461840, 1506461855, 'GB', 'United Kingdom'),
(57650, '89.202.200.160', '89.202.200.167', 1506461856, 1506461863, 'FR', 'France'),
(57651, '89.202.200.168', '89.202.200.191', 1506461864, 1506461887, 'GB', 'United Kingdom'),
(57652, '89.202.200.192', '89.202.201.255', 1506461888, 1506462207, 'FR', 'France'),
(57653, '89.202.202.0', '89.202.202.255', 1506462208, 1506462463, 'ES', 'Spain'),
(57654, '89.202.203.0', '89.202.203.63', 1506462464, 1506462527, 'FR', 'France'),
(57655, '89.202.203.64', '89.202.203.119', 1506462528, 1506462583, 'GB', 'United Kingdom'),
(57656, '89.202.203.120', '89.202.203.135', 1506462584, 1506462599, 'FR', 'France'),
(57657, '89.202.203.136', '89.202.203.143', 1506462600, 1506462607, 'GB', 'United Kingdom'),
(57658, '89.202.203.144', '89.202.203.159', 1506462608, 1506462623, 'A2', 'Satellite Provider'),
(57659, '89.202.203.160', '89.202.203.255', 1506462624, 1506462719, 'FR', 'France'),
(57660, '89.202.204.0', '89.202.205.255', 1506462720, 1506463231, 'IT', 'Italy'),
(57661, '89.202.206.0', '89.202.206.255', 1506463232, 1506463487, 'SE', 'Sweden'),
(57662, '89.202.207.0', '89.202.207.183', 1506463488, 1506463671, 'DE', 'Germany'),
(57663, '89.202.207.184', '89.202.207.191', 1506463672, 1506463679, 'GB', 'United Kingdom'),
(57664, '89.202.207.192', '89.202.208.255', 1506463680, 1506463999, 'DE', 'Germany'),
(57665, '89.202.209.0', '89.202.211.255', 1506464000, 1506464767, 'GB', 'United Kingdom'),
(57666, '89.202.212.0', '89.202.212.143', 1506464768, 1506464911, 'NL', 'Netherlands'),
(57667, '89.202.212.144', '89.202.212.151', 1506464912, 1506464919, 'GB', 'United Kingdom'),
(57668, '89.202.212.152', '89.202.212.255', 1506464920, 1506465023, 'NL', 'Netherlands'),
(57669, '89.202.213.0', '89.202.213.255', 1506465024, 1506465279, 'EU', 'Europe'),
(57670, '89.202.214.0', '89.202.215.255', 1506465280, 1506465791, 'GB', 'United Kingdom'),
(57671, '89.202.216.0', '89.202.216.255', 1506465792, 1506466047, 'DE', 'Germany'),
(57672, '89.202.217.0', '89.202.217.255', 1506466048, 1506466303, 'BE', 'Belgium'),
(57673, '89.202.218.0', '89.202.218.255', 1506466304, 1506466559, 'DE', 'Germany'),
(57674, '89.202.219.0', '89.202.219.67', 1506466560, 1506466627, 'GB', 'United Kingdom'),
(57675, '89.202.219.68', '89.202.219.71', 1506466628, 1506466631, 'NL', 'Netherlands'),
(57676, '89.202.219.72', '89.202.220.255', 1506466632, 1506467071, 'GB', 'United Kingdom'),
(57677, '89.202.221.0', '89.202.221.255', 1506467072, 1506467327, 'DE', 'Germany'),
(57678, '89.202.222.0', '89.202.223.15', 1506467328, 1506467599, 'GB', 'United Kingdom'),
(57679, '89.202.223.16', '89.202.223.111', 1506467600, 1506467695, 'IT', 'Italy'),
(57680, '89.202.223.112', '89.202.223.255', 1506467696, 1506467839, 'GB', 'United Kingdom'),
(57681, '89.202.224.0', '89.202.225.255', 1506467840, 1506468351, 'IT', 'Italy'),
(57682, '89.202.226.0', '89.202.226.255', 1506468352, 1506468607, 'GB', 'United Kingdom'),
(57683, '89.202.227.0', '89.202.227.255', 1506468608, 1506468863, 'TZ', 'Tanzania, United Republic of'),
(57684, '89.202.228.0', '89.202.230.95', 1506468864, 1506469471, 'IT', 'Italy'),
(57685, '89.202.230.96', '89.202.230.103', 1506469472, 1506469479, 'GB', 'United Kingdom'),
(57686, '89.202.230.104', '89.202.232.255', 1506469480, 1506470143, 'IT', 'Italy'),
(57687, '89.202.233.0', '89.202.233.255', 1506470144, 1506470399, 'GB', 'United Kingdom'),
(57688, '89.202.234.0', '89.202.234.255', 1506470400, 1506470655, 'DE', 'Germany'),
(57689, '89.202.235.0', '89.202.238.255', 1506470656, 1506471679, 'IT', 'Italy'),
(57690, '89.202.239.0', '89.202.239.255', 1506471680, 1506471935, 'GB', 'United Kingdom'),
(57691, '89.202.240.0', '89.202.240.39', 1506471936, 1506471975, 'NL', 'Netherlands'),
(57692, '89.202.240.40', '89.202.240.43', 1506471976, 1506471979, 'GB', 'United Kingdom'),
(57693, '89.202.240.44', '89.202.240.63', 1506471980, 1506471999, 'NL', 'Netherlands'),
(57694, '89.202.240.64', '89.202.240.95', 1506472000, 1506472031, 'BE', 'Belgium'),
(57695, '89.202.240.96', '89.202.240.239', 1506472032, 1506472175, 'NL', 'Netherlands'),
(57696, '89.202.240.240', '89.202.240.255', 1506472176, 1506472191, 'GB', 'United Kingdom'),
(57697, '89.202.241.0', '89.202.241.255', 1506472192, 1506472447, 'IT', 'Italy'),
(57698, '89.202.242.0', '89.202.242.255', 1506472448, 1506472703, 'GB', 'United Kingdom'),
(57699, '89.202.243.0', '89.202.244.255', 1506472704, 1506473215, 'IT', 'Italy'),
(57700, '89.202.245.0', '89.202.245.239', 1506473216, 1506473455, 'GB', 'United Kingdom'),
(57701, '89.202.245.240', '89.202.245.255', 1506473456, 1506473471, 'CH', 'Switzerland'),
(57702, '89.202.246.0', '89.202.247.63', 1506473472, 1506473791, 'IT', 'Italy'),
(57703, '89.202.247.64', '89.202.247.127', 1506473792, 1506473855, 'GB', 'United Kingdom'),
(57704, '89.202.247.128', '89.202.249.7', 1506473856, 1506474247, 'IT', 'Italy'),
(57705, '89.202.249.8', '89.202.249.15', 1506474248, 1506474255, 'GB', 'United Kingdom'),
(57706, '89.202.249.16', '89.202.249.255', 1506474256, 1506474495, 'IT', 'Italy'),
(57707, '89.202.250.0', '89.202.250.255', 1506474496, 1506474751, 'FR', 'France'),
(57708, '89.202.251.0', '89.202.253.255', 1506474752, 1506475519, 'IT', 'Italy'),
(57709, '89.202.254.0', '89.202.254.7', 1506475520, 1506475527, 'GB', 'United Kingdom'),
(57710, '89.202.254.8', '89.202.254.47', 1506475528, 1506475567, 'AT', 'Austria'),
(57711, '89.202.254.48', '89.202.254.255', 1506475568, 1506475775, 'GB', 'United Kingdom'),
(57712, '89.202.255.0', '89.202.255.255', 1506475776, 1506476031, 'DE', 'Germany'),
(57713, '89.203.0.0', '89.203.127.255', 1506476032, 1506508799, 'KW', 'Kuwait'),
(57714, '89.203.128.0', '89.203.255.255', 1506508800, 1506541567, 'CZ', 'Czech Republic'),
(57715, '89.204.0.0', '89.204.127.255', 1506541568, 1506574335, 'RU', 'Russian Federation'),
(57716, '89.204.128.0', '89.204.159.255', 1506574336, 1506582527, 'DE', 'Germany'),
(57717, '89.204.160.0', '89.204.255.255', 1506582528, 1506607103, 'IE', 'Ireland'),
(57718, '89.205.0.0', '89.205.127.255', 1506607104, 1506639871, 'MK', 'Macedonia'),
(57719, '89.205.128.0', '89.205.255.255', 1506639872, 1506672639, 'NL', 'Netherlands'),
(57720, '89.206.0.0', '89.206.63.255', 1506672640, 1506689023, 'PL', 'Poland'),
(57721, '89.206.64.0', '89.206.127.255', 1506689024, 1506705407, 'CH', 'Switzerland'),
(57722, '89.206.128.0', '89.207.7.255', 1506705408, 1506740223, 'GB', 'United Kingdom'),
(57723, '89.207.8.0', '89.207.15.255', 1506740224, 1506742271, 'FI', 'Finland'),
(57724, '89.207.16.0', '89.207.19.127', 1506742272, 1506743167, 'SE', 'Sweden'),
(57725, '89.207.19.128', '89.207.19.143', 1506743168, 1506743183, 'DE', 'Germany'),
(57726, '89.207.19.144', '89.207.19.159', 1506743184, 1506743199, 'FR', 'France'),
(57727, '89.207.19.160', '89.207.19.175', 1506743200, 1506743215, 'IE', 'Ireland'),
(57728, '89.207.19.176', '89.207.23.255', 1506743216, 1506744319, 'SE', 'Sweden'),
(57729, '89.207.24.0', '89.207.24.63', 1506744320, 1506744383, 'NL', 'Netherlands'),
(57730, '89.207.24.64', '89.207.24.71', 1506744384, 1506744391, 'GB', 'United Kingdom'),
(57731, '89.207.24.72', '89.207.31.255', 1506744392, 1506746367, 'NL', 'Netherlands'),
(57732, '89.207.32.0', '89.207.47.255', 1506746368, 1506750463, 'RU', 'Russian Federation'),
(57733, '89.207.48.0', '89.207.55.255', 1506750464, 1506752511, 'GB', 'United Kingdom'),
(57734, '89.207.56.0', '89.207.63.255', 1506752512, 1506754559, 'IE', 'Ireland'),
(57735, '89.207.64.0', '89.207.79.255', 1506754560, 1506758655, 'RU', 'Russian Federation'),
(57736, '89.207.80.0', '89.207.87.255', 1506758656, 1506760703, 'IT', 'Italy'),
(57737, '89.207.88.0', '89.207.103.255', 1506760704, 1506764799, 'RU', 'Russian Federation'),
(57738, '89.207.104.0', '89.207.111.255', 1506764800, 1506766847, 'IT', 'Italy'),
(57739, '89.207.112.0', '89.207.115.63', 1506766848, 1506767679, 'NO', 'Norway'),
(57740, '89.207.115.64', '89.207.115.255', 1506767680, 1506767871, 'GE', 'Georgia'),
(57741, '89.207.116.0', '89.207.117.255', 1506767872, 1506768383, 'NO', 'Norway'),
(57742, '89.207.118.0', '89.207.119.255', 1506768384, 1506768895, 'GE', 'Georgia'),
(57743, '89.207.120.0', '89.207.127.255', 1506768896, 1506770943, 'AT', 'Austria'),
(57744, '89.207.128.0', '89.207.132.175', 1506770944, 1506772143, 'NL', 'Netherlands'),
(57745, '89.207.132.176', '89.207.132.177', 1506772144, 1506772145, 'TR', 'Turkey'),
(57746, '89.207.132.178', '89.207.133.99', 1506772146, 1506772323, 'NL', 'Netherlands'),
(57747, '89.207.133.100', '89.207.133.100', 1506772324, 1506772324, 'IR', 'Iran, Islamic Republic of'),
(57748, '89.207.133.101', '89.207.135.255', 1506772325, 1506772991, 'NL', 'Netherlands'),
(57749, '89.207.136.0', '89.207.143.255', 1506772992, 1506775039, 'GB', 'United Kingdom'),
(57750, '89.207.144.0', '89.207.151.255', 1506775040, 1506777087, 'AT', 'Austria'),
(57751, '89.207.152.0', '89.207.169.255', 1506777088, 1506781695, 'GB', 'United Kingdom'),
(57752, '89.207.170.0', '89.207.170.255', 1506781696, 1506781951, 'IE', 'Ireland'),
(57753, '89.207.171.0', '89.207.175.255', 1506781952, 1506783231, 'GB', 'United Kingdom'),
(57754, '89.207.176.0', '89.207.183.255', 1506783232, 1506785279, 'RU', 'Russian Federation'),
(57755, '89.207.184.0', '89.207.191.255', 1506785280, 1506787327, 'BE', 'Belgium'),
(57756, '89.207.192.0', '89.207.199.255', 1506787328, 1506789375, 'ME', 'Montenegro'),
(57757, '89.207.200.0', '89.207.207.255', 1506789376, 1506791423, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(57758, '89.207.208.0', '89.207.215.255', 1506791424, 1506793471, 'GB', 'United Kingdom'),
(57759, '89.207.216.0', '89.207.223.255', 1506793472, 1506795519, 'RU', 'Russian Federation'),
(57760, '89.207.224.0', '89.207.231.255', 1506795520, 1506797567, 'IE', 'Ireland'),
(57761, '89.207.232.0', '89.207.239.255', 1506797568, 1506799615, 'ES', 'Spain'),
(57762, '89.207.240.0', '89.207.247.255', 1506799616, 1506801663, 'LV', 'Latvia'),
(57763, '89.207.248.0', '89.207.252.143', 1506801664, 1506802831, 'DE', 'Germany'),
(57764, '89.207.252.144', '89.207.252.151', 1506802832, 1506802839, 'CH', 'Switzerland'),
(57765, '89.207.252.152', '89.207.253.191', 1506802840, 1506803135, 'DE', 'Germany'),
(57766, '89.207.253.192', '89.207.253.207', 1506803136, 1506803151, 'CH', 'Switzerland'),
(57767, '89.207.253.208', '89.207.255.255', 1506803152, 1506803711, 'DE', 'Germany'),
(57768, '89.208.0.0', '89.208.255.255', 1506803712, 1506869247, 'RU', 'Russian Federation'),
(57769, '89.209.0.0', '89.209.255.255', 1506869248, 1506934783, 'UA', 'Ukraine'),
(57770, '89.210.0.0', '89.210.255.255', 1506934784, 1507000319, 'GR', 'Greece'),
(57771, '89.211.0.0', '89.211.61.255', 1507000320, 1507016191, 'QA', 'Qatar'),
(57772, '89.211.62.0', '89.211.62.255', 1507016192, 1507016447, 'US', 'United States'),
(57773, '89.211.63.0', '89.211.255.255', 1507016448, 1507065855, 'QA', 'Qatar'),
(57774, '89.212.0.0', '89.212.255.255', 1507065856, 1507131391, 'SI', 'Slovenia'),
(57775, '89.213.0.0', '89.213.255.255', 1507131392, 1507196927, 'GB', 'United Kingdom'),
(57776, '89.214.0.0', '89.214.255.255', 1507196928, 1507262463, 'PT', 'Portugal'),
(57777, '89.215.0.0', '89.215.255.255', 1507262464, 1507327999, 'BG', 'Bulgaria'),
(57778, '89.216.0.0', '89.216.255.255', 1507328000, 1507393535, 'RS', 'Serbia'),
(57779, '89.217.0.0', '89.217.255.255', 1507393536, 1507459071, 'CH', 'Switzerland'),
(57780, '89.218.0.0', '89.218.255.255', 1507459072, 1507524607, 'KZ', 'Kazakhstan'),
(57781, '89.219.0.0', '89.219.255.255', 1507524608, 1507590143, 'EE', 'Estonia'),
(57782, '89.220.0.0', '89.220.255.255', 1507590144, 1507655679, 'NL', 'Netherlands'),
(57783, '89.221.0.0', '89.221.13.111', 1507655680, 1507659119, 'DE', 'Germany'),
(57784, '89.221.13.112', '89.221.13.127', 1507659120, 1507659135, 'TR', 'Turkey'),
(57785, '89.221.13.128', '89.221.15.255', 1507659136, 1507659775, 'DE', 'Germany'),
(57786, '89.221.16.0', '89.221.31.255', 1507659776, 1507663871, 'RU', 'Russian Federation'),
(57787, '89.221.32.0', '89.221.32.255', 1507663872, 1507664127, 'IT', 'Italy'),
(57788, '89.221.33.0', '89.221.33.255', 1507664128, 1507664383, 'GR', 'Greece'),
(57789, '89.221.34.0', '89.221.35.127', 1507664384, 1507664767, 'DE', 'Germany'),
(57790, '89.221.35.128', '89.221.35.255', 1507664768, 1507664895, 'US', 'United States'),
(57791, '89.221.36.0', '89.221.37.255', 1507664896, 1507665407, 'GR', 'Greece'),
(57792, '89.221.38.0', '89.221.38.255', 1507665408, 1507665663, 'IT', 'Italy'),
(57793, '89.221.39.0', '89.221.39.127', 1507665664, 1507665791, 'TZ', 'Tanzania, United Republic of'),
(57794, '89.221.39.128', '89.221.39.255', 1507665792, 1507665919, 'GR', 'Greece'),
(57795, '89.221.40.0', '89.221.41.255', 1507665920, 1507666431, 'US', 'United States'),
(57796, '89.221.42.0', '89.221.42.127', 1507666432, 1507666559, 'GR', 'Greece'),
(57797, '89.221.42.128', '89.221.42.159', 1507666560, 1507666591, 'FR', 'France'),
(57798, '89.221.42.160', '89.221.42.207', 1507666592, 1507666639, 'GR', 'Greece'),
(57799, '89.221.42.208', '89.221.42.223', 1507666640, 1507666655, 'IL', 'Israel'),
(57800, '89.221.42.224', '89.221.42.255', 1507666656, 1507666687, 'SG', 'Singapore'),
(57801, '89.221.43.0', '89.221.43.255', 1507666688, 1507666943, 'GB', 'United Kingdom'),
(57802, '89.221.44.0', '89.221.45.255', 1507666944, 1507667455, 'IT', 'Italy'),
(57803, '89.221.46.0', '89.221.46.255', 1507667456, 1507667711, 'DE', 'Germany'),
(57804, '89.221.47.0', '89.221.47.255', 1507667712, 1507667967, 'US', 'United States'),
(57805, '89.221.48.0', '89.221.63.255', 1507667968, 1507672063, 'RU', 'Russian Federation'),
(57806, '89.221.64.0', '89.221.79.255', 1507672064, 1507676159, 'EE', 'Estonia'),
(57807, '89.221.80.0', '89.221.95.255', 1507676160, 1507680255, 'IR', 'Iran, Islamic Republic of'),
(57808, '89.221.96.0', '89.221.111.255', 1507680256, 1507684351, 'NO', 'Norway'),
(57809, '89.221.112.0', '89.221.127.255', 1507684352, 1507688447, 'LV', 'Latvia'),
(57810, '89.221.128.0', '89.221.159.255', 1507688448, 1507696639, 'IT', 'Italy'),
(57811, '89.221.160.0', '89.221.175.255', 1507696640, 1507700735, 'DK', 'Denmark'),
(57812, '89.221.176.0', '89.221.191.255', 1507700736, 1507704831, 'NL', 'Netherlands'),
(57813, '89.221.192.0', '89.221.207.255', 1507704832, 1507708927, 'RU', 'Russian Federation'),
(57814, '89.221.208.0', '89.221.223.255', 1507708928, 1507713023, 'CZ', 'Czech Republic'),
(57815, '89.221.224.0', '89.221.239.255', 1507713024, 1507717119, 'RU', 'Russian Federation'),
(57816, '89.221.240.0', '89.221.241.255', 1507717120, 1507717631, 'SE', 'Sweden'),
(57817, '89.221.242.0', '89.221.246.255', 1507717632, 1507718911, 'NO', 'Norway'),
(57818, '89.221.247.0', '89.221.251.255', 1507718912, 1507720191, 'SE', 'Sweden'),
(57819, '89.221.252.0', '89.221.252.255', 1507720192, 1507720447, 'NO', 'Norway'),
(57820, '89.221.253.0', '89.221.255.255', 1507720448, 1507721215, 'SE', 'Sweden'),
(57821, '89.222.0.0', '89.222.127.255', 1507721216, 1507753983, 'GB', 'United Kingdom'),
(57822, '89.222.128.0', '89.223.127.255', 1507753984, 1507819519, 'RU', 'Russian Federation'),
(57823, '89.223.128.0', '89.223.255.255', 1507819520, 1507852287, 'HU', 'Hungary'),
(57824, '89.224.0.0', '89.227.255.255', 1507852288, 1508114431, 'FR', 'France'),
(57825, '89.228.0.0', '89.231.255.255', 1508114432, 1508376575, 'PL', 'Poland'),
(57826, '89.232.0.0', '89.232.63.255', 1508376576, 1508392959, 'GE', 'Georgia'),
(57827, '89.232.64.0', '89.232.255.255', 1508392960, 1508442111, 'RU', 'Russian Federation'),
(57828, '89.233.0.0', '89.233.63.255', 1508442112, 1508458495, 'DK', 'Denmark'),
(57829, '89.233.64.0', '89.233.127.255', 1508458496, 1508474879, 'RU', 'Russian Federation'),
(57830, '89.233.128.0', '89.233.145.31', 1508474880, 1508479263, 'CZ', 'Czech Republic'),
(57831, '89.233.145.32', '89.233.145.63', 1508479264, 1508479295, 'GB', 'United Kingdom'),
(57832, '89.233.145.64', '89.233.173.63', 1508479296, 1508486463, 'CZ', 'Czech Republic'),
(57833, '89.233.173.64', '89.233.173.127', 1508486464, 1508486527, 'DE', 'Germany'),
(57834, '89.233.173.128', '89.233.191.255', 1508486528, 1508491263, 'CZ', 'Czech Republic'),
(57835, '89.233.192.0', '89.233.255.255', 1508491264, 1508507647, 'SE', 'Sweden'),
(57836, '89.234.0.0', '89.234.25.15', 1508507648, 1508514063, 'GB', 'United Kingdom'),
(57837, '89.234.25.16', '89.234.25.23', 1508514064, 1508514071, 'A2', 'Satellite Provider'),
(57838, '89.234.25.24', '89.234.54.63', 1508514072, 1508521535, 'GB', 'United Kingdom'),
(57839, '89.234.54.64', '89.234.54.79', 1508521536, 1508521551, 'IE', 'Ireland'),
(57840, '89.234.54.80', '89.234.63.255', 1508521552, 1508524031, 'GB', 'United Kingdom'),
(57841, '89.234.64.0', '89.234.127.255', 1508524032, 1508540415, 'IE', 'Ireland'),
(57842, '89.234.128.0', '89.234.191.255', 1508540416, 1508556799, 'FR', 'France'),
(57843, '89.234.192.0', '89.234.255.255', 1508556800, 1508573183, 'PL', 'Poland'),
(57844, '89.235.0.0', '89.235.0.71', 1508573184, 1508573255, 'CZ', 'Czech Republic'),
(57845, '89.235.0.72', '89.235.0.75', 1508573256, 1508573259, 'SK', 'Slovakia'),
(57846, '89.235.0.76', '89.235.63.255', 1508573260, 1508589567, 'CZ', 'Czech Republic'),
(57847, '89.235.64.0', '89.235.127.255', 1508589568, 1508605951, 'IR', 'Iran, Islamic Republic of'),
(57848, '89.235.128.0', '89.235.191.255', 1508605952, 1508622335, 'RU', 'Russian Federation'),
(57849, '89.235.192.0', '89.235.255.255', 1508622336, 1508638719, 'EE', 'Estonia'),
(57850, '89.236.0.0', '89.236.1.255', 1508638720, 1508639231, 'SE', 'Sweden'),
(57851, '89.236.2.0', '89.236.7.255', 1508639232, 1508640767, 'DK', 'Denmark'),
(57852, '89.236.8.0', '89.236.9.255', 1508640768, 1508641279, 'SE', 'Sweden'),
(57853, '89.236.10.0', '89.236.10.255', 1508641280, 1508641535, 'DK', 'Denmark'),
(57854, '89.236.11.0', '89.236.13.127', 1508641536, 1508642175, 'SE', 'Sweden'),
(57855, '89.236.13.128', '89.236.13.255', 1508642176, 1508642303, 'DK', 'Denmark'),
(57856, '89.236.14.0', '89.236.14.255', 1508642304, 1508642559, 'SE', 'Sweden'),
(57857, '89.236.15.0', '89.236.15.255', 1508642560, 1508642815, 'DK', 'Denmark'),
(57858, '89.236.16.0', '89.236.32.23', 1508642816, 1508646935, 'SE', 'Sweden'),
(57859, '89.236.32.24', '89.236.32.79', 1508646936, 1508646991, 'DK', 'Denmark'),
(57860, '89.236.32.80', '89.236.32.87', 1508646992, 1508646999, 'SE', 'Sweden'),
(57861, '89.236.32.88', '89.236.32.127', 1508647000, 1508647039, 'DK', 'Denmark'),
(57862, '89.236.32.128', '89.236.34.255', 1508647040, 1508647679, 'SE', 'Sweden'),
(57863, '89.236.35.0', '89.236.35.127', 1508647680, 1508647807, 'DK', 'Denmark'),
(57864, '89.236.35.128', '89.236.37.255', 1508647808, 1508648447, 'SE', 'Sweden'),
(57865, '89.236.38.0', '89.236.38.255', 1508648448, 1508648703, 'DK', 'Denmark'),
(57866, '89.236.39.0', '89.236.46.255', 1508648704, 1508650751, 'SE', 'Sweden'),
(57867, '89.236.47.0', '89.236.47.111', 1508650752, 1508650863, 'DK', 'Denmark'),
(57868, '89.236.47.112', '89.236.47.127', 1508650864, 1508650879, 'SE', 'Sweden'),
(57869, '89.236.47.128', '89.236.48.255', 1508650880, 1508651263, 'DK', 'Denmark'),
(57870, '89.236.49.0', '89.236.53.255', 1508651264, 1508652543, 'SE', 'Sweden'),
(57871, '89.236.54.0', '89.236.59.255', 1508652544, 1508654079, 'DK', 'Denmark'),
(57872, '89.236.60.0', '89.236.63.255', 1508654080, 1508655103, 'SE', 'Sweden'),
(57873, '89.236.64.0', '89.236.127.255', 1508655104, 1508671487, 'FI', 'Finland'),
(57874, '89.236.128.0', '89.236.191.255', 1508671488, 1508687871, 'CH', 'Switzerland'),
(57875, '89.236.192.0', '89.236.255.255', 1508687872, 1508704255, 'UZ', 'Uzbekistan'),
(57876, '89.237.0.0', '89.237.63.255', 1508704256, 1508720639, 'RU', 'Russian Federation'),
(57877, '89.237.64.0', '89.237.127.255', 1508720640, 1508737023, 'FR', 'France'),
(57878, '89.237.128.0', '89.237.191.255', 1508737024, 1508753407, 'SA', 'Saudi Arabia'),
(57879, '89.237.192.0', '89.237.255.255', 1508753408, 1508769791, 'KG', 'Kyrgyzstan'),
(57880, '89.238.0.0', '89.238.63.255', 1508769792, 1508786175, 'PL', 'Poland'),
(57881, '89.238.64.0', '89.238.67.255', 1508786176, 1508787199, 'DE', 'Germany'),
(57882, '89.238.68.0', '89.238.68.255', 1508787200, 1508787455, 'ES', 'Spain'),
(57883, '89.238.69.0', '89.238.71.63', 1508787456, 1508788031, 'DE', 'Germany'),
(57884, '89.238.71.64', '89.238.71.95', 1508788032, 1508788063, 'BE', 'Belgium'),
(57885, '89.238.71.96', '89.238.127.255', 1508788064, 1508802559, 'DE', 'Germany'),
(57886, '89.238.128.0', '89.238.136.175', 1508802560, 1508804783, 'GB', 'United Kingdom'),
(57887, '89.238.136.176', '89.238.136.183', 1508804784, 1508804791, 'DE', 'Germany'),
(57888, '89.238.136.184', '89.238.154.47', 1508804792, 1508809263, 'GB', 'United Kingdom'),
(57889, '89.238.154.48', '89.238.154.55', 1508809264, 1508809271, 'FR', 'France'),
(57890, '89.238.154.56', '89.238.191.255', 1508809272, 1508818943, 'GB', 'United Kingdom'),
(57891, '89.238.192.0', '89.238.255.255', 1508818944, 1508835327, 'RO', 'Romania'),
(57892, '89.239.0.0', '89.239.63.255', 1508835328, 1508851711, 'CZ', 'Czech Republic'),
(57893, '89.239.64.0', '89.239.127.255', 1508851712, 1508868095, 'PL', 'Poland'),
(57894, '89.239.128.0', '89.239.191.255', 1508868096, 1508884479, 'RU', 'Russian Federation'),
(57895, '89.239.192.0', '89.239.255.255', 1508884480, 1508900863, 'DK', 'Denmark'),
(57896, '89.240.0.0', '89.243.255.255', 1508900864, 1509163007, 'GB', 'United Kingdom'),
(57897, '89.244.0.0', '89.247.255.255', 1509163008, 1509425151, 'DE', 'Germany'),
(57898, '89.248.0.0', '89.248.15.255', 1509425152, 1509429247, 'NO', 'Norway'),
(57899, '89.248.16.0', '89.248.31.255', 1509429248, 1509433343, 'GB', 'United Kingdom'),
(57900, '89.248.32.0', '89.248.47.255', 1509433344, 1509437439, 'CH', 'Switzerland'),
(57901, '89.248.48.0', '89.248.71.255', 1509437440, 1509443583, 'GB', 'United Kingdom'),
(57902, '89.248.72.0', '89.248.79.255', 1509443584, 1509445631, 'FR', 'France'),
(57903, '89.248.80.0', '89.248.95.255', 1509445632, 1509449727, 'LV', 'Latvia'),
(57904, '89.248.96.0', '89.248.111.255', 1509449728, 1509453823, 'ES', 'Spain'),
(57905, '89.248.112.0', '89.248.127.255', 1509453824, 1509457919, 'RU', 'Russian Federation'),
(57906, '89.248.128.0', '89.248.143.255', 1509457920, 1509462015, 'NL', 'Netherlands'),
(57907, '89.248.144.0', '89.248.157.255', 1509462016, 1509465599, 'LI', 'Liechtenstein'),
(57908, '89.248.158.0', '89.248.159.127', 1509465600, 1509465983, 'CH', 'Switzerland'),
(57909, '89.248.159.128', '89.248.159.199', 1509465984, 1509466055, 'LI', 'Liechtenstein'),
(57910, '89.248.159.200', '89.248.159.247', 1509466056, 1509466103, 'CH', 'Switzerland'),
(57911, '89.248.159.248', '89.248.159.255', 1509466104, 1509466111, 'LI', 'Liechtenstein'),
(57912, '89.248.160.0', '89.248.162.255', 1509466112, 1509466879, 'NL', 'Netherlands'),
(57913, '89.248.163.0', '89.248.163.31', 1509466880, 1509466911, 'FR', 'France'),
(57914, '89.248.163.32', '89.248.163.175', 1509466912, 1509467055, 'NL', 'Netherlands'),
(57915, '89.248.163.176', '89.248.163.223', 1509467056, 1509467103, 'SE', 'Sweden'),
(57916, '89.248.163.224', '89.248.165.7', 1509467104, 1509467399, 'NL', 'Netherlands'),
(57917, '89.248.165.8', '89.248.165.15', 1509467400, 1509467407, 'PL', 'Poland'),
(57918, '89.248.165.16', '89.248.165.31', 1509467408, 1509467423, 'NL', 'Netherlands'),
(57919, '89.248.165.32', '89.248.165.63', 1509467424, 1509467455, 'PL', 'Poland'),
(57920, '89.248.165.64', '89.248.165.95', 1509467456, 1509467487, 'NL', 'Netherlands'),
(57921, '89.248.165.96', '89.248.165.127', 1509467488, 1509467519, 'PL', 'Poland'),
(57922, '89.248.165.128', '89.248.165.191', 1509467520, 1509467583, 'BE', 'Belgium'),
(57923, '89.248.165.192', '89.248.166.191', 1509467584, 1509467839, 'NL', 'Netherlands'),
(57924, '89.248.166.192', '89.248.166.223', 1509467840, 1509467871, 'PL', 'Poland'),
(57925, '89.248.166.224', '89.248.171.127', 1509467872, 1509469055, 'NL', 'Netherlands'),
(57926, '89.248.171.128', '89.248.171.255', 1509469056, 1509469183, 'PL', 'Poland'),
(57927, '89.248.172.0', '89.248.174.191', 1509469184, 1509469887, 'NL', 'Netherlands'),
(57928, '89.248.174.192', '89.248.174.223', 1509469888, 1509469919, 'MY', 'Malaysia'),
(57929, '89.248.174.224', '89.248.175.255', 1509469920, 1509470207, 'NL', 'Netherlands'),
(57930, '89.248.176.0', '89.248.207.255', 1509470208, 1509478399, 'RU', 'Russian Federation'),
(57931, '89.248.208.0', '89.248.223.255', 1509478400, 1509482495, 'FR', 'France'),
(57932, '89.248.224.0', '89.248.239.255', 1509482496, 1509486591, 'RU', 'Russian Federation'),
(57933, '89.248.240.0', '89.248.250.255', 1509486592, 1509489407, 'CZ', 'Czech Republic'),
(57934, '89.248.251.0', '89.248.251.127', 1509489408, 1509489535, 'DE', 'Germany'),
(57935, '89.248.251.128', '89.248.255.255', 1509489536, 1509490687, 'CZ', 'Czech Republic'),
(57936, '89.249.0.0', '89.249.15.255', 1509490688, 1509494783, 'DK', 'Denmark'),
(57937, '89.249.16.0', '89.249.31.255', 1509494784, 1509498879, 'RU', 'Russian Federation'),
(57938, '89.249.32.0', '89.249.33.255', 1509498880, 1509499391, 'CH', 'Switzerland'),
(57939, '89.249.34.0', '89.249.38.255', 1509499392, 1509500671, 'DE', 'Germany'),
(57940, '89.249.39.0', '89.249.39.255', 1509500672, 1509500927, 'CH', 'Switzerland'),
(57941, '89.249.40.0', '89.249.40.223', 1509500928, 1509501151, 'DE', 'Germany'),
(57942, '89.249.40.224', '89.249.40.231', 1509501152, 1509501159, 'GB', 'United Kingdom'),
(57943, '89.249.40.232', '89.249.47.255', 1509501160, 1509502975, 'CH', 'Switzerland'),
(57944, '89.249.48.0', '89.249.63.255', 1509502976, 1509507071, 'RU', 'Russian Federation'),
(57945, '89.249.64.0', '89.249.79.255', 1509507072, 1509511167, 'GB', 'United Kingdom'),
(57946, '89.249.80.0', '89.249.95.255', 1509511168, 1509515263, 'LT', 'Lithuania'),
(57947, '89.249.96.0', '89.249.111.255', 1509515264, 1509519359, 'HR', 'Croatia'),
(57948, '89.249.112.0', '89.249.175.255', 1509519360, 1509535743, 'RU', 'Russian Federation'),
(57949, '89.249.176.0', '89.249.183.255', 1509535744, 1509537791, 'IT', 'Italy'),
(57950, '89.249.184.0', '89.249.191.255', 1509537792, 1509539839, 'HR', 'Croatia'),
(57951, '89.249.192.0', '89.249.207.255', 1509539840, 1509543935, 'AM', 'Armenia'),
(57952, '89.249.208.0', '89.249.208.39', 1509543936, 1509543975, 'LB', 'Lebanon'),
(57953, '89.249.208.40', '89.249.208.47', 1509543976, 1509543983, 'DE', 'Germany'),
(57954, '89.249.208.48', '89.249.223.255', 1509543984, 1509548031, 'LB', 'Lebanon'),
(57955, '89.249.224.0', '89.250.31.255', 1509548032, 1509564415, 'RU', 'Russian Federation'),
(57956, '89.250.32.0', '89.250.47.255', 1509564416, 1509568511, 'GB', 'United Kingdom'),
(57957, '89.250.48.0', '89.250.63.255', 1509568512, 1509572607, 'FI', 'Finland'),
(57958, '89.250.64.0', '89.250.79.255', 1509572608, 1509576703, 'NL', 'Netherlands'),
(57959, '89.250.80.0', '89.250.95.255', 1509576704, 1509580799, 'KZ', 'Kazakhstan'),
(57960, '89.250.96.0', '89.250.111.255', 1509580800, 1509584895, 'CZ', 'Czech Republic'),
(57961, '89.250.112.0', '89.250.125.255', 1509584896, 1509588479, 'NO', 'Norway'),
(57962, '89.250.126.0', '89.250.126.127', 1509588480, 1509588607, 'GB', 'United Kingdom'),
(57963, '89.250.126.128', '89.250.127.255', 1509588608, 1509588991, 'NO', 'Norway'),
(57964, '89.250.128.0', '89.250.143.255', 1509588992, 1509593087, 'DE', 'Germany'),
(57965, '89.250.144.0', '89.250.175.255', 1509593088, 1509601279, 'RU', 'Russian Federation'),
(57966, '89.250.176.0', '89.250.191.255', 1509601280, 1509605375, 'NL', 'Netherlands'),
(57967, '89.250.192.0', '89.250.207.255', 1509605376, 1509609471, 'PL', 'Poland'),
(57968, '89.250.208.0', '89.250.239.255', 1509609472, 1509617663, 'RU', 'Russian Federation'),
(57969, '89.250.240.0', '89.250.255.255', 1509617664, 1509621759, 'CZ', 'Czech Republic'),
(57970, '89.251.0.0', '89.251.9.255', 1509621760, 1509624319, 'NL', 'Netherlands'),
(57971, '89.251.10.0', '89.251.11.255', 1509624320, 1509624831, 'US', 'United States'),
(57972, '89.251.12.0', '89.251.15.255', 1509624832, 1509625855, 'NL', 'Netherlands'),
(57973, '89.251.16.0', '89.251.31.255', 1509625856, 1509629951, 'UA', 'Ukraine'),
(57974, '89.251.32.0', '89.251.47.255', 1509629952, 1509634047, 'HU', 'Hungary'),
(57975, '89.251.48.0', '89.251.63.255', 1509634048, 1509638143, 'FR', 'France'),
(57976, '89.251.64.0', '89.251.79.255', 1509638144, 1509642239, 'RU', 'Russian Federation'),
(57977, '89.251.80.0', '89.251.88.63', 1509642240, 1509644351, 'KW', 'Kuwait'),
(57978, '89.251.88.64', '89.251.88.95', 1509644352, 1509644383, 'GB', 'United Kingdom'),
(57979, '89.251.88.96', '89.251.95.255', 1509644384, 1509646335, 'KW', 'Kuwait'),
(57980, '89.251.96.0', '89.251.111.255', 1509646336, 1509650431, 'RU', 'Russian Federation'),
(57981, '89.251.112.0', '89.251.127.255', 1509650432, 1509654527, 'GB', 'United Kingdom'),
(57982, '89.251.128.0', '89.251.143.255', 1509654528, 1509658623, 'DE', 'Germany'),
(57983, '89.251.144.0', '89.251.175.255', 1509658624, 1509666815, 'RU', 'Russian Federation'),
(57984, '89.251.176.0', '89.251.191.255', 1509666816, 1509670911, 'IT', 'Italy'),
(57985, '89.251.192.0', '89.251.207.255', 1509670912, 1509675007, 'GB', 'United Kingdom'),
(57986, '89.251.208.0', '89.251.218.255', 1509675008, 1509677823, 'NO', 'Norway'),
(57987, '89.251.219.0', '89.251.223.255', 1509677824, 1509679103, 'GB', 'United Kingdom'),
(57988, '89.251.224.0', '89.251.239.255', 1509679104, 1509683199, 'ES', 'Spain'),
(57989, '89.251.240.0', '89.251.255.255', 1509683200, 1509687295, 'CH', 'Switzerland'),
(57990, '89.252.0.0', '89.252.63.255', 1509687296, 1509703679, 'UA', 'Ukraine'),
(57991, '89.252.64.0', '89.252.127.255', 1509703680, 1509720063, 'RU', 'Russian Federation'),
(57992, '89.252.128.0', '89.252.139.255', 1509720064, 1509723135, 'US', 'United States'),
(57993, '89.252.140.0', '89.252.143.255', 1509723136, 1509724159, 'TR', 'Turkey'),
(57994, '89.252.144.0', '89.252.146.255', 1509724160, 1509724927, 'US', 'United States'),
(57995, '89.252.147.0', '89.252.191.255', 1509724928, 1509736447, 'TR', 'Turkey'),
(57996, '89.252.192.0', '89.252.255.255', 1509736448, 1509752831, 'BG', 'Bulgaria'),
(57997, '89.253.0.0', '89.253.63.255', 1509752832, 1509769215, 'RU', 'Russian Federation'),
(57998, '89.253.64.0', '89.253.127.255', 1509769216, 1509785599, 'SE', 'Sweden'),
(57999, '89.253.128.0', '89.253.191.255', 1509785600, 1509801983, 'BG', 'Bulgaria'),
(58000, '89.253.192.0', '89.253.255.255', 1509801984, 1509818367, 'RU', 'Russian Federation'),
(58001, '89.254.0.0', '89.254.127.255', 1509818368, 1509851135, 'NO', 'Norway'),
(58002, '89.254.128.0', '89.254.191.255', 1509851136, 1509867519, 'LV', 'Latvia'),
(58003, '89.254.192.0', '89.254.255.255', 1509867520, 1509883903, 'RU', 'Russian Federation'),
(58004, '89.255.0.0', '89.255.63.255', 1509883904, 1509900287, 'NL', 'Netherlands'),
(58005, '89.255.64.0', '89.255.127.255', 1509900288, 1509916671, 'RU', 'Russian Federation'),
(58006, '89.255.128.0', '89.255.191.255', 1509916672, 1509933055, 'GB', 'United Kingdom'),
(58007, '89.255.192.0', '89.255.255.255', 1509933056, 1509949439, 'US', 'United States'),
(58008, '90.0.0.0', '90.80.1.63', 1509949440, 1515192639, 'FR', 'France'),
(58009, '90.80.1.64', '90.80.1.79', 1515192640, 1515192655, 'EU', 'Europe'),
(58010, '90.80.1.80', '90.80.193.31', 1515192656, 1515241759, 'FR', 'France'),
(58011, '90.80.193.32', '90.80.193.63', 1515241760, 1515241791, 'GB', 'United Kingdom'),
(58012, '90.80.193.64', '90.84.48.255', 1515241792, 1515467007, 'FR', 'France'),
(58013, '90.84.49.0', '90.84.49.255', 1515467008, 1515467263, 'ES', 'Spain'),
(58014, '90.84.50.0', '90.84.50.255', 1515467264, 1515467519, 'FR', 'France'),
(58015, '90.84.51.0', '90.84.52.255', 1515467520, 1515468031, 'US', 'United States'),
(58016, '90.84.53.0', '90.84.53.255', 1515468032, 1515468287, 'ES', 'Spain'),
(58017, '90.84.54.0', '90.84.54.127', 1515468288, 1515468415, 'NL', 'Netherlands'),
(58018, '90.84.54.128', '90.84.54.255', 1515468416, 1515468543, 'FR', 'France'),
(58019, '90.84.55.0', '90.84.55.127', 1515468544, 1515468671, 'DE', 'Germany'),
(58020, '90.84.55.128', '90.84.126.255', 1515468672, 1515486975, 'FR', 'France'),
(58021, '90.84.127.0', '90.84.127.255', 1515486976, 1515487231, 'CD', 'Congo, The Democratic Republic of the'),
(58022, '90.84.128.0', '90.84.129.7', 1515487232, 1515487495, 'HK', 'Hong Kong'),
(58023, '90.84.129.8', '90.84.129.251', 1515487496, 1515487739, 'FR', 'France'),
(58024, '90.84.129.252', '90.84.130.31', 1515487740, 1515487775, 'HK', 'Hong Kong'),
(58025, '90.84.130.32', '90.84.130.255', 1515487776, 1515487999, 'FR', 'France'),
(58026, '90.84.131.0', '90.84.131.255', 1515488000, 1515488255, 'HK', 'Hong Kong'),
(58027, '90.84.132.0', '90.84.254.255', 1515488256, 1515519743, 'FR', 'France'),
(58028, '90.84.255.0', '90.84.255.255', 1515519744, 1515519999, 'ES', 'Spain'),
(58029, '90.85.0.0', '90.127.255.255', 1515520000, 1518338047, 'FR', 'France'),
(58030, '90.128.0.0', '90.128.127.255', 1518338048, 1518370815, 'DE', 'Germany'),
(58031, '90.128.128.0', '90.128.255.255', 1518370816, 1518403583, 'NL', 'Netherlands'),
(58032, '90.129.0.0', '90.129.191.255', 1518403584, 1518452735, 'SE', 'Sweden'),
(58033, '90.129.192.0', '90.129.223.255', 1518452736, 1518460927, 'AT', 'Austria'),
(58034, '90.129.224.0', '90.130.39.255', 1518460928, 1518479359, 'SE', 'Sweden'),
(58035, '90.130.40.0', '90.130.47.255', 1518479360, 1518481407, 'EE', 'Estonia'),
(58036, '90.130.48.0', '90.130.127.255', 1518481408, 1518501887, 'SE', 'Sweden'),
(58037, '90.130.128.0', '90.130.135.255', 1518501888, 1518503935, 'EE', 'Estonia'),
(58038, '90.130.136.0', '90.130.154.255', 1518503936, 1518508799, 'LT', 'Lithuania'),
(58039, '90.130.155.0', '90.130.155.255', 1518508800, 1518509055, 'SE', 'Sweden'),
(58040, '90.130.156.0', '90.130.159.255', 1518509056, 1518510079, 'LT', 'Lithuania'),
(58041, '90.130.160.0', '90.130.184.255', 1518510080, 1518516479, 'LV', 'Latvia'),
(58042, '90.130.185.0', '90.130.187.255', 1518516480, 1518517247, 'SE', 'Sweden'),
(58043, '90.130.188.0', '90.130.191.255', 1518517248, 1518518271, 'LV', 'Latvia'),
(58044, '90.130.192.0', '90.131.14.255', 1518518272, 1518538495, 'SE', 'Sweden'),
(58045, '90.131.15.0', '90.131.15.255', 1518538496, 1518538751, 'LT', 'Lithuania'),
(58046, '90.131.16.0', '90.131.31.255', 1518538752, 1518542847, 'SE', 'Sweden'),
(58047, '90.131.32.0', '90.131.63.255', 1518542848, 1518551039, 'LT', 'Lithuania'),
(58048, '90.131.64.0', '90.131.119.255', 1518551040, 1518565375, 'NL', 'Netherlands'),
(58049, '90.131.120.0', '90.132.128.255', 1518565376, 1518633215, 'SE', 'Sweden'),
(58050, '90.132.129.0', '90.132.129.255', 1518633216, 1518633471, 'NL', 'Netherlands'),
(58051, '90.132.130.0', '90.132.135.255', 1518633472, 1518635007, 'SE', 'Sweden'),
(58052, '90.132.136.0', '90.132.143.255', 1518635008, 1518637055, 'NL', 'Netherlands'),
(58053, '90.132.144.0', '90.132.255.255', 1518637056, 1518665727, 'SE', 'Sweden'),
(58054, '90.133.0.0', '90.133.239.255', 1518665728, 1518727167, 'RU', 'Russian Federation'),
(58055, '90.133.240.0', '90.133.255.255', 1518727168, 1518731263, 'SE', 'Sweden'),
(58056, '90.134.0.0', '90.136.255.255', 1518731264, 1518927871, 'DE', 'Germany'),
(58057, '90.137.0.0', '90.137.63.255', 1518927872, 1518944255, 'RU', 'Russian Federation'),
(58058, '90.137.64.0', '90.137.127.255', 1518944256, 1518960639, 'SE', 'Sweden'),
(58059, '90.137.128.0', '90.137.131.255', 1518960640, 1518961663, 'LT', 'Lithuania'),
(58060, '90.137.132.0', '90.137.133.255', 1518961664, 1518962175, 'EE', 'Estonia'),
(58061, '90.137.134.0', '90.137.135.255', 1518962176, 1518962687, 'LV', 'Latvia'),
(58062, '90.137.136.0', '90.137.143.255', 1518962688, 1518964735, 'NO', 'Norway'),
(58063, '90.137.144.0', '90.137.151.255', 1518964736, 1518966783, 'HR', 'Croatia'),
(58064, '90.137.152.0', '90.137.155.255', 1518966784, 1518967807, 'SE', 'Sweden'),
(58065, '90.137.156.0', '90.137.191.255', 1518967808, 1518977023, 'HR', 'Croatia'),
(58066, '90.137.192.0', '90.137.255.255', 1518977024, 1518993407, 'SE', 'Sweden'),
(58067, '90.138.0.0', '90.140.255.255', 1518993408, 1519190015, 'RU', 'Russian Federation'),
(58068, '90.141.0.0', '90.142.255.255', 1519190016, 1519321087, 'SE', 'Sweden'),
(58069, '90.143.0.0', '90.143.255.255', 1519321088, 1519386623, 'RU', 'Russian Federation'),
(58070, '90.144.0.0', '90.144.255.255', 1519386624, 1519452159, 'SE', 'Sweden'),
(58071, '90.145.0.0', '90.145.255.255', 1519452160, 1519517695, 'NL', 'Netherlands'),
(58072, '90.146.0.0', '90.146.255.255', 1519517696, 1519583231, 'AT', 'Austria'),
(58073, '90.147.0.0', '90.147.255.255', 1519583232, 1519648767, 'IT', 'Italy'),
(58074, '90.148.0.0', '90.148.255.255', 1519648768, 1519714303, 'SA', 'Saudi Arabia'),
(58075, '90.149.0.0', '90.149.255.255', 1519714304, 1519779839, 'NO', 'Norway'),
(58076, '90.150.0.0', '90.151.255.255', 1519779840, 1519910911, 'RU', 'Russian Federation'),
(58077, '90.152.0.0', '90.152.63.255', 1519910912, 1519927295, 'GB', 'United Kingdom'),
(58078, '90.152.64.0', '90.152.64.15', 1519927296, 1519927311, 'FR', 'France'),
(58079, '90.152.64.16', '90.152.64.23', 1519927312, 1519927319, 'BE', 'Belgium'),
(58080, '90.152.64.24', '90.152.64.31', 1519927320, 1519927327, 'FR', 'France'),
(58081, '90.152.64.32', '90.152.64.39', 1519927328, 1519927335, 'ES', 'Spain'),
(58082, '90.152.64.40', '90.152.64.47', 1519927336, 1519927343, 'CH', 'Switzerland'),
(58083, '90.152.64.48', '90.152.64.55', 1519927344, 1519927351, 'AT', 'Austria'),
(58084, '90.152.64.56', '90.152.64.79', 1519927352, 1519927375, 'NL', 'Netherlands'),
(58085, '90.152.64.80', '90.152.64.87', 1519927376, 1519927383, 'CH', 'Switzerland'),
(58086, '90.152.64.88', '90.152.64.103', 1519927384, 1519927399, 'NL', 'Netherlands'),
(58087, '90.152.64.104', '90.152.64.111', 1519927400, 1519927407, 'FR', 'France'),
(58088, '90.152.64.112', '90.152.64.119', 1519927408, 1519927415, 'AT', 'Austria'),
(58089, '90.152.64.120', '90.152.64.127', 1519927416, 1519927423, 'BE', 'Belgium'),
(58090, '90.152.64.128', '90.152.64.135', 1519927424, 1519927431, 'LU', 'Luxembourg'),
(58091, '90.152.64.136', '90.152.64.143', 1519927432, 1519927439, 'NL', 'Netherlands'),
(58092, '90.152.64.144', '90.152.64.151', 1519927440, 1519927447, 'CH', 'Switzerland'),
(58093, '90.152.64.152', '90.152.64.167', 1519927448, 1519927463, 'FR', 'France'),
(58094, '90.152.64.168', '90.152.64.175', 1519927464, 1519927471, 'IT', 'Italy'),
(58095, '90.152.64.176', '90.152.64.183', 1519927472, 1519927479, 'NL', 'Netherlands'),
(58096, '90.152.64.184', '90.152.64.207', 1519927480, 1519927503, 'FR', 'France'),
(58097, '90.152.64.208', '90.152.64.215', 1519927504, 1519927511, 'NL', 'Netherlands'),
(58098, '90.152.64.216', '90.152.64.231', 1519927512, 1519927527, 'ES', 'Spain'),
(58099, '90.152.64.232', '90.152.64.239', 1519927528, 1519927535, 'NL', 'Netherlands'),
(58100, '90.152.64.240', '90.152.64.247', 1519927536, 1519927543, 'FR', 'France'),
(58101, '90.152.64.248', '90.152.64.255', 1519927544, 1519927551, 'IE', 'Ireland'),
(58102, '90.152.65.0', '90.152.65.7', 1519927552, 1519927559, 'SE', 'Sweden'),
(58103, '90.152.65.8', '90.152.65.15', 1519927560, 1519927567, 'IT', 'Italy'),
(58104, '90.152.65.16', '90.152.65.23', 1519927568, 1519927575, 'GB', 'United Kingdom'),
(58105, '90.152.65.24', '90.152.65.31', 1519927576, 1519927583, 'FR', 'France'),
(58106, '90.152.65.32', '90.152.65.39', 1519927584, 1519927591, 'AT', 'Austria'),
(58107, '90.152.65.40', '90.152.65.55', 1519927592, 1519927607, 'BE', 'Belgium'),
(58108, '90.152.65.56', '90.152.65.63', 1519927608, 1519927615, 'FR', 'France'),
(58109, '90.152.65.64', '90.152.65.79', 1519927616, 1519927631, 'NL', 'Netherlands'),
(58110, '90.152.65.80', '90.152.65.87', 1519927632, 1519927639, 'CH', 'Switzerland'),
(58111, '90.152.65.88', '90.152.65.95', 1519927640, 1519927647, 'BE', 'Belgium'),
(58112, '90.152.65.96', '90.152.65.103', 1519927648, 1519927655, 'FR', 'France'),
(58113, '90.152.65.104', '90.152.65.111', 1519927656, 1519927663, 'NL', 'Netherlands'),
(58114, '90.152.65.112', '90.152.65.119', 1519927664, 1519927671, 'IT', 'Italy'),
(58115, '90.152.65.120', '90.152.65.127', 1519927672, 1519927679, 'FI', 'Finland'),
(58116, '90.152.65.128', '90.152.65.135', 1519927680, 1519927687, 'IE', 'Ireland'),
(58117, '90.152.65.136', '90.152.65.143', 1519927688, 1519927695, 'IT', 'Italy'),
(58118, '90.152.65.144', '90.152.65.167', 1519927696, 1519927719, 'NL', 'Netherlands'),
(58119, '90.152.65.168', '90.152.65.175', 1519927720, 1519927727, 'ES', 'Spain'),
(58120, '90.152.65.176', '90.152.65.183', 1519927728, 1519927735, 'FR', 'France'),
(58121, '90.152.65.184', '90.152.65.191', 1519927736, 1519927743, 'NL', 'Netherlands'),
(58122, '90.152.65.192', '90.152.65.199', 1519927744, 1519927751, 'ES', 'Spain'),
(58123, '90.152.65.200', '90.152.65.207', 1519927752, 1519927759, 'IT', 'Italy'),
(58124, '90.152.65.208', '90.152.65.215', 1519927760, 1519927767, 'ES', 'Spain'),
(58125, '90.152.65.216', '90.152.65.223', 1519927768, 1519927775, 'NL', 'Netherlands'),
(58126, '90.152.65.224', '90.152.65.231', 1519927776, 1519927783, 'FR', 'France'),
(58127, '90.152.65.232', '90.152.66.15', 1519927784, 1519927823, 'GB', 'United Kingdom'),
(58128, '90.152.66.16', '90.152.66.23', 1519927824, 1519927831, 'BE', 'Belgium'),
(58129, '90.152.66.24', '90.152.66.47', 1519927832, 1519927855, 'GB', 'United Kingdom'),
(58130, '90.152.66.48', '90.152.66.55', 1519927856, 1519927863, 'DK', 'Denmark'),
(58131, '90.152.66.56', '90.152.66.63', 1519927864, 1519927871, 'FI', 'Finland'),
(58132, '90.152.66.64', '90.152.66.71', 1519927872, 1519927879, 'NL', 'Netherlands'),
(58133, '90.152.66.72', '90.152.66.87', 1519927880, 1519927895, 'GB', 'United Kingdom'),
(58134, '90.152.66.88', '90.152.66.95', 1519927896, 1519927903, 'NL', 'Netherlands'),
(58135, '90.152.66.96', '90.152.67.55', 1519927904, 1519928119, 'GB', 'United Kingdom'),
(58136, '90.152.67.56', '90.152.67.79', 1519928120, 1519928143, 'NO', 'Norway'),
(58137, '90.152.67.80', '90.152.67.87', 1519928144, 1519928151, 'NL', 'Netherlands'),
(58138, '90.152.67.88', '90.152.67.119', 1519928152, 1519928183, 'DK', 'Denmark'),
(58139, '90.152.67.120', '90.152.67.127', 1519928184, 1519928191, 'GB', 'United Kingdom'),
(58140, '90.152.67.128', '90.152.67.135', 1519928192, 1519928199, 'SE', 'Sweden'),
(58141, '90.152.67.136', '90.152.67.183', 1519928200, 1519928247, 'GB', 'United Kingdom'),
(58142, '90.152.67.184', '90.152.67.191', 1519928248, 1519928255, 'DK', 'Denmark'),
(58143, '90.152.67.192', '90.152.71.191', 1519928256, 1519929279, 'GB', 'United Kingdom'),
(58144, '90.152.71.192', '90.152.71.199', 1519929280, 1519929287, 'NL', 'Netherlands'),
(58145, '90.152.71.200', '90.152.71.255', 1519929288, 1519929343, 'GB', 'United Kingdom'),
(58146, '90.152.72.0', '90.152.72.127', 1519929344, 1519929471, 'NL', 'Netherlands'),
(58147, '90.152.72.128', '90.152.72.159', 1519929472, 1519929503, 'FI', 'Finland'),
(58148, '90.152.72.160', '90.152.72.223', 1519929504, 1519929567, 'NL', 'Netherlands'),
(58149, '90.152.72.224', '90.152.72.255', 1519929568, 1519929599, 'FI', 'Finland'),
(58150, '90.152.73.0', '90.152.73.159', 1519929600, 1519929759, 'NL', 'Netherlands'),
(58151, '90.152.73.160', '90.152.73.191', 1519929760, 1519929791, 'CZ', 'Czech Republic'),
(58152, '90.152.73.192', '90.152.73.192', 1519929792, 1519929792, 'GB', 'United Kingdom'),
(58153, '90.152.73.193', '90.152.73.223', 1519929793, 1519929823, 'SE', 'Sweden'),
(58154, '90.152.73.224', '90.152.73.255', 1519929824, 1519929855, 'DK', 'Denmark'),
(58155, '90.152.74.0', '90.152.74.95', 1519929856, 1519929951, 'SE', 'Sweden'),
(58156, '90.152.74.96', '90.152.74.255', 1519929952, 1519930111, 'BE', 'Belgium'),
(58157, '90.152.75.0', '90.152.75.95', 1519930112, 1519930207, 'NL', 'Netherlands'),
(58158, '90.152.75.96', '90.152.75.127', 1519930208, 1519930239, 'BE', 'Belgium'),
(58159, '90.152.75.128', '90.152.75.159', 1519930240, 1519930271, 'NL', 'Netherlands'),
(58160, '90.152.75.160', '90.152.75.223', 1519930272, 1519930335, 'DK', 'Denmark'),
(58161, '90.152.75.224', '90.152.75.255', 1519930336, 1519930367, 'SE', 'Sweden'),
(58162, '90.152.76.0', '90.152.76.31', 1519930368, 1519930399, 'DK', 'Denmark'),
(58163, '90.152.76.32', '90.152.76.159', 1519930400, 1519930527, 'NL', 'Netherlands'),
(58164, '90.152.76.160', '90.152.76.191', 1519930528, 1519930559, 'NO', 'Norway'),
(58165, '90.152.76.192', '90.152.76.223', 1519930560, 1519930591, 'SE', 'Sweden'),
(58166, '90.152.76.224', '90.152.77.31', 1519930592, 1519930655, 'NO', 'Norway'),
(58167, '90.152.77.32', '90.152.77.127', 1519930656, 1519930751, 'NL', 'Netherlands'),
(58168, '90.152.77.128', '90.152.77.159', 1519930752, 1519930783, 'BE', 'Belgium'),
(58169, '90.152.77.160', '90.152.78.31', 1519930784, 1519930911, 'NL', 'Netherlands'),
(58170, '90.152.78.32', '90.152.78.63', 1519930912, 1519930943, 'CZ', 'Czech Republic'),
(58171, '90.152.78.64', '90.152.78.95', 1519930944, 1519930975, 'BE', 'Belgium'),
(58172, '90.152.78.96', '90.152.78.127', 1519930976, 1519931007, 'NL', 'Netherlands'),
(58173, '90.152.78.128', '90.152.78.159', 1519931008, 1519931039, 'BE', 'Belgium'),
(58174, '90.152.78.160', '90.152.78.191', 1519931040, 1519931071, 'DK', 'Denmark'),
(58175, '90.152.78.192', '90.152.78.223', 1519931072, 1519931103, 'NO', 'Norway'),
(58176, '90.152.78.224', '90.152.78.255', 1519931104, 1519931135, 'SE', 'Sweden'),
(58177, '90.152.79.0', '90.152.79.95', 1519931136, 1519931231, 'NL', 'Netherlands'),
(58178, '90.152.79.96', '90.152.79.127', 1519931232, 1519931263, 'NO', 'Norway'),
(58179, '90.152.79.128', '90.152.79.223', 1519931264, 1519931359, 'GB', 'United Kingdom'),
(58180, '90.152.79.224', '90.152.79.239', 1519931360, 1519931375, 'BE', 'Belgium'),
(58181, '90.152.79.240', '90.152.79.255', 1519931376, 1519931391, 'GB', 'United Kingdom'),
(58182, '90.152.80.0', '90.152.91.255', 1519931392, 1519934463, 'NL', 'Netherlands'),
(58183, '90.152.92.0', '90.152.93.255', 1519934464, 1519934975, 'GB', 'United Kingdom'),
(58184, '90.152.94.0', '90.152.95.255', 1519934976, 1519935487, 'NL', 'Netherlands'),
(58185, '90.152.96.0', '90.152.96.127', 1519935488, 1519935615, 'FR', 'France'),
(58186, '90.152.96.128', '90.152.96.255', 1519935616, 1519935743, 'NL', 'Netherlands'),
(58187, '90.152.97.0', '90.152.97.191', 1519935744, 1519935935, 'FI', 'Finland'),
(58188, '90.152.97.192', '90.152.98.191', 1519935936, 1519936191, 'BE', 'Belgium'),
(58189, '90.152.98.192', '90.152.98.255', 1519936192, 1519936255, 'DK', 'Denmark'),
(58190, '90.152.99.0', '90.152.99.127', 1519936256, 1519936383, 'NL', 'Netherlands'),
(58191, '90.152.99.128', '90.152.99.191', 1519936384, 1519936447, 'BE', 'Belgium'),
(58192, '90.152.99.192', '90.152.99.255', 1519936448, 1519936511, 'NO', 'Norway'),
(58193, '90.152.100.0', '90.152.100.63', 1519936512, 1519936575, 'SK', 'Slovakia'),
(58194, '90.152.100.64', '90.152.100.255', 1519936576, 1519936767, 'DK', 'Denmark'),
(58195, '90.152.101.0', '90.152.101.127', 1519936768, 1519936895, 'SE', 'Sweden'),
(58196, '90.152.101.128', '90.152.101.255', 1519936896, 1519937023, 'BE', 'Belgium'),
(58197, '90.152.102.0', '90.152.102.255', 1519937024, 1519937279, 'DK', 'Denmark'),
(58198, '90.152.103.0', '90.152.103.63', 1519937280, 1519937343, 'NL', 'Netherlands'),
(58199, '90.152.103.64', '90.152.103.127', 1519937344, 1519937407, 'SE', 'Sweden'),
(58200, '90.152.103.128', '90.152.103.191', 1519937408, 1519937471, 'NO', 'Norway'),
(58201, '90.152.103.192', '90.152.103.255', 1519937472, 1519937535, 'GB', 'United Kingdom'),
(58202, '90.152.104.0', '90.152.104.191', 1519937536, 1519937727, 'NL', 'Netherlands'),
(58203, '90.152.104.192', '90.152.107.255', 1519937728, 1519938559, 'GB', 'United Kingdom'),
(58204, '90.152.108.0', '90.152.111.255', 1519938560, 1519939583, 'NL', 'Netherlands'),
(58205, '90.152.112.0', '90.152.112.31', 1519939584, 1519939615, 'NO', 'Norway'),
(58206, '90.152.112.32', '90.152.112.63', 1519939616, 1519939647, 'NL', 'Netherlands'),
(58207, '90.152.112.64', '90.152.112.95', 1519939648, 1519939679, 'SE', 'Sweden'),
(58208, '90.152.112.96', '90.152.112.127', 1519939680, 1519939711, 'SK', 'Slovakia'),
(58209, '90.152.112.128', '90.152.112.159', 1519939712, 1519939743, 'NL', 'Netherlands'),
(58210, '90.152.112.160', '90.152.112.223', 1519939744, 1519939807, 'BE', 'Belgium'),
(58211, '90.152.112.224', '90.152.112.255', 1519939808, 1519939839, 'NL', 'Netherlands'),
(58212, '90.152.113.0', '90.152.113.255', 1519939840, 1519940095, 'GB', 'United Kingdom'),
(58213, '90.152.114.0', '90.152.114.63', 1519940096, 1519940159, 'NL', 'Netherlands'),
(58214, '90.152.114.64', '90.152.114.95', 1519940160, 1519940191, 'FI', 'Finland'),
(58215, '90.152.114.96', '90.152.114.127', 1519940192, 1519940223, 'SE', 'Sweden'),
(58216, '90.152.114.128', '90.152.127.255', 1519940224, 1519943679, 'GB', 'United Kingdom'),
(58217, '90.152.128.0', '90.152.255.255', 1519943680, 1519976447, 'AT', 'Austria'),
(58218, '90.153.0.0', '90.153.127.255', 1519976448, 1520009215, 'DE', 'Germany'),
(58219, '90.153.128.0', '90.153.255.255', 1520009216, 1520041983, 'SY', 'Syrian Arab Republic'),
(58220, '90.154.0.0', '90.154.127.255', 1520041984, 1520074751, 'RU', 'Russian Federation'),
(58221, '90.154.128.0', '90.154.255.255', 1520074752, 1520107519, 'BG', 'Bulgaria'),
(58222, '90.155.0.0', '90.155.119.183', 1520107520, 1520138167, 'GB', 'United Kingdom'),
(58223, '90.155.119.184', '90.155.119.191', 1520138168, 1520138175, 'IE', 'Ireland'),
(58224, '90.155.119.192', '90.155.121.115', 1520138176, 1520138611, 'GB', 'United Kingdom'),
(58225, '90.155.121.116', '90.155.121.119', 1520138612, 1520138615, 'IE', 'Ireland'),
(58226, '90.155.121.120', '90.155.124.47', 1520138616, 1520139311, 'GB', 'United Kingdom'),
(58227, '90.155.124.48', '90.155.124.55', 1520139312, 1520139319, 'IE', 'Ireland'),
(58228, '90.155.124.56', '90.155.124.135', 1520139320, 1520139399, 'GB', 'United Kingdom'),
(58229, '90.155.124.136', '90.155.124.143', 1520139400, 1520139407, 'IE', 'Ireland'),
(58230, '90.155.124.144', '90.155.127.255', 1520139408, 1520140287, 'GB', 'United Kingdom'),
(58231, '90.155.128.0', '90.155.255.255', 1520140288, 1520173055, 'RU', 'Russian Federation'),
(58232, '90.156.0.0', '90.156.127.255', 1520173056, 1520205823, 'PL', 'Poland'),
(58233, '90.156.128.0', '90.156.223.255', 1520205824, 1520230399, 'RU', 'Russian Federation'),
(58234, '90.156.224.0', '90.156.225.255', 1520230400, 1520230911, 'NL', 'Netherlands'),
(58235, '90.156.226.0', '90.156.229.255', 1520230912, 1520231935, 'RU', 'Russian Federation'),
(58236, '90.156.230.0', '90.156.231.255', 1520231936, 1520232447, 'NL', 'Netherlands'),
(58237, '90.156.232.0', '90.156.233.255', 1520232448, 1520232959, 'RU', 'Russian Federation'),
(58238, '90.156.234.0', '90.156.235.255', 1520232960, 1520233471, 'NL', 'Netherlands'),
(58239, '90.156.236.0', '90.157.127.255', 1520233472, 1520271359, 'RU', 'Russian Federation'),
(58240, '90.157.128.0', '90.157.255.255', 1520271360, 1520304127, 'SI', 'Slovenia'),
(58241, '90.158.0.0', '90.159.255.255', 1520304128, 1520435199, 'TR', 'Turkey'),
(58242, '90.160.0.0', '90.175.255.255', 1520435200, 1521483775, 'ES', 'Spain'),
(58243, '90.176.0.0', '90.183.255.255', 1521483776, 1522008063, 'CZ', 'Czech Republic'),
(58244, '90.184.0.0', '90.185.255.255', 1522008064, 1522139135, 'DK', 'Denmark'),
(58245, '90.186.0.0', '90.187.255.255', 1522139136, 1522270207, 'DE', 'Germany'),
(58246, '90.188.0.0', '90.189.255.255', 1522270208, 1522401279, 'RU', 'Russian Federation'),
(58247, '90.190.0.0', '90.191.255.255', 1522401280, 1522532351, 'EE', 'Estonia'),
(58248, '90.192.0.0', '90.223.255.255', 1522532352, 1524629503, 'GB', 'United Kingdom'),
(58249, '90.224.0.0', '90.239.255.255', 1524629504, 1525678079, 'SE', 'Sweden'),
(58250, '90.240.0.0', '90.255.255.255', 1525678080, 1526726655, 'GB', 'United Kingdom'),
(58251, '91.0.0.0', '91.67.255.255', 1526726656, 1531183103, 'DE', 'Germany'),
(58252, '91.68.0.0', '91.71.255.255', 1531183104, 1531445247, 'FR', 'France'),
(58253, '91.72.0.0', '91.75.255.255', 1531445248, 1531707391, 'AE', 'United Arab Emirates'),
(58254, '91.76.0.0', '91.79.255.255', 1531707392, 1531969535, 'RU', 'Russian Federation'),
(58255, '91.80.0.0', '91.81.255.255', 1531969536, 1532100607, 'IT', 'Italy'),
(58256, '91.82.0.0', '91.83.131.255', 1532100608, 1532199935, 'HU', 'Hungary'),
(58257, '91.83.132.0', '91.83.135.255', 1532199936, 1532200959, 'RS', 'Serbia'),
(58258, '91.83.136.0', '91.83.255.255', 1532200960, 1532231679, 'HU', 'Hungary'),
(58259, '91.84.0.0', '91.85.255.255', 1532231680, 1532362751, 'GB', 'United Kingdom'),
(58260, '91.86.0.0', '91.87.255.255', 1532362752, 1532493823, 'BE', 'Belgium'),
(58261, '91.88.0.0', '91.88.255.255', 1532493824, 1532559359, 'FR', 'France'),
(58262, '91.89.0.0', '91.89.255.255', 1532559360, 1532624895, 'DE', 'Germany'),
(58263, '91.90.0.0', '91.90.7.255', 1532624896, 1532626943, 'ES', 'Spain'),
(58264, '91.90.8.0', '91.90.23.255', 1532626944, 1532631039, 'UA', 'Ukraine'),
(58265, '91.90.24.0', '91.90.31.255', 1532631040, 1532633087, 'SE', 'Sweden'),
(58266, '91.90.32.0', '91.90.39.255', 1532633088, 1532635135, 'RU', 'Russian Federation'),
(58267, '91.90.40.0', '91.90.47.255', 1532635136, 1532637183, 'NO', 'Norway'),
(58268, '91.90.48.0', '91.90.55.255', 1532637184, 1532639231, 'FI', 'Finland'),
(58269, '91.90.56.0', '91.90.63.255', 1532639232, 1532641279, 'PL', 'Poland'),
(58270, '91.90.64.0', '91.90.71.255', 1532641280, 1532643327, 'NO', 'Norway'),
(58271, '91.90.72.0', '91.90.79.255', 1532643328, 1532645375, 'PL', 'Poland'),
(58272, '91.90.80.0', '91.90.87.255', 1532645376, 1532647423, 'RU', 'Russian Federation'),
(58273, '91.90.88.0', '91.90.95.255', 1532647424, 1532649471, 'PL', 'Poland'),
(58274, '91.90.96.0', '91.90.103.255', 1532649472, 1532651519, 'FR', 'France'),
(58275, '91.90.104.0', '91.90.111.255', 1532651520, 1532653567, 'NO', 'Norway'),
(58276, '91.90.112.0', '91.90.119.255', 1532653568, 1532655615, 'PL', 'Poland'),
(58277, '91.90.120.0', '91.90.127.255', 1532655616, 1532657663, 'RO', 'Romania'),
(58278, '91.90.128.0', '91.90.143.255', 1532657664, 1532661759, 'IL', 'Israel'),
(58279, '91.90.144.0', '91.90.159.255', 1532661760, 1532665855, 'DE', 'Germany'),
(58280, '91.90.160.0', '91.90.191.255', 1532665856, 1532674047, 'PL', 'Poland'),
(58281, '91.90.192.0', '91.90.223.255', 1532674048, 1532682239, 'UA', 'Ukraine'),
(58282, '91.90.224.0', '91.90.255.255', 1532682240, 1532690431, 'LV', 'Latvia'),
(58283, '91.91.0.0', '91.91.255.255', 1532690432, 1532755967, 'FR', 'France'),
(58284, '91.92.0.0', '91.92.255.255', 1532755968, 1532821503, 'BG', 'Bulgaria'),
(58285, '91.93.0.0', '91.93.255.255', 1532821504, 1532887039, 'TR', 'Turkey'),
(58286, '91.94.0.0', '91.94.255.255', 1532887040, 1532952575, 'PL', 'Poland'),
(58287, '91.95.0.0', '91.95.255.255', 1532952576, 1533018111, 'SE', 'Sweden'),
(58288, '91.96.0.0', '91.97.255.255', 1533018112, 1533149183, 'DE', 'Germany'),
(58289, '91.98.0.0', '91.99.255.255', 1533149184, 1533280255, 'IR', 'Iran, Islamic Republic of'),
(58290, '91.100.0.0', '91.101.255.255', 1533280256, 1533411327, 'DK', 'Denmark'),
(58291, '91.102.0.0', '91.102.7.255', 1533411328, 1533413375, 'GB', 'United Kingdom'),
(58292, '91.102.8.0', '91.102.15.255', 1533413376, 1533415423, 'DE', 'Germany'),
(58293, '91.102.16.0', '91.102.23.255', 1533415424, 1533417471, 'SA', 'Saudi Arabia'),
(58294, '91.102.24.0', '91.102.31.255', 1533417472, 1533419519, 'NO', 'Norway'),
(58295, '91.102.32.0', '91.102.39.255', 1533419520, 1533421567, 'KW', 'Kuwait'),
(58296, '91.102.40.0', '91.102.47.255', 1533421568, 1533423615, 'NL', 'Netherlands'),
(58297, '91.102.48.0', '91.102.55.255', 1533423616, 1533425663, 'IT', 'Italy'),
(58298, '91.102.56.0', '91.102.71.255', 1533425664, 1533429759, 'GB', 'United Kingdom'),
(58299, '91.102.72.0', '91.102.79.255', 1533429760, 1533431807, 'RU', 'Russian Federation'),
(58300, '91.102.80.0', '91.102.87.255', 1533431808, 1533433855, 'IE', 'Ireland'),
(58301, '91.102.88.0', '91.102.95.255', 1533433856, 1533435903, 'DK', 'Denmark'),
(58302, '91.102.96.0', '91.102.103.255', 1533435904, 1533437951, 'CZ', 'Czech Republic'),
(58303, '91.102.104.0', '91.102.107.255', 1533437952, 1533438975, 'FI', 'Finland'),
(58304, '91.102.108.0', '91.102.111.255', 1533438976, 1533439999, 'A2', 'Satellite Provider'),
(58305, '91.102.112.0', '91.102.117.239', 1533440000, 1533441519, 'PL', 'Poland'),
(58306, '91.102.117.240', '91.102.117.255', 1533441520, 1533441535, 'CH', 'Switzerland'),
(58307, '91.102.118.0', '91.102.119.255', 1533441536, 1533442047, 'PL', 'Poland'),
(58308, '91.102.120.0', '91.102.127.255', 1533442048, 1533444095, 'AE', 'United Arab Emirates'),
(58309, '91.102.128.0', '91.102.135.255', 1533444096, 1533446143, 'IT', 'Italy'),
(58310, '91.102.136.0', '91.102.143.255', 1533446144, 1533448191, 'DE', 'Germany'),
(58311, '91.102.144.0', '91.102.151.255', 1533448192, 1533450239, 'KW', 'Kuwait'),
(58312, '91.102.152.0', '91.102.159.255', 1533450240, 1533452287, 'RU', 'Russian Federation'),
(58313, '91.102.160.0', '91.102.167.255', 1533452288, 1533454335, 'TR', 'Turkey'),
(58314, '91.102.168.0', '91.102.175.255', 1533454336, 1533456383, 'RS', 'Serbia'),
(58315, '91.102.176.0', '91.102.183.255', 1533456384, 1533458431, 'UA', 'Ukraine'),
(58316, '91.102.184.0', '91.102.191.255', 1533458432, 1533460479, 'GB', 'United Kingdom'),
(58317, '91.102.192.0', '91.102.199.255', 1533460480, 1533462527, 'NL', 'Netherlands'),
(58318, '91.102.200.0', '91.102.207.255', 1533462528, 1533464575, 'RU', 'Russian Federation'),
(58319, '91.102.208.0', '91.102.215.255', 1533464576, 1533466623, 'NL', 'Netherlands'),
(58320, '91.102.216.0', '91.102.223.255', 1533466624, 1533468671, 'RU', 'Russian Federation'),
(58321, '91.102.224.0', '91.102.231.255', 1533468672, 1533470719, 'RS', 'Serbia'),
(58322, '91.102.232.0', '91.102.239.255', 1533470720, 1533472767, 'KW', 'Kuwait'),
(58323, '91.102.240.0', '91.102.247.255', 1533472768, 1533474815, 'ES', 'Spain'),
(58324, '91.102.248.0', '91.102.255.255', 1533474816, 1533476863, 'FR', 'France'),
(58325, '91.103.0.0', '91.103.7.255', 1533476864, 1533478911, 'IE', 'Ireland'),
(58326, '91.103.8.0', '91.103.15.255', 1533478912, 1533480959, 'RS', 'Serbia'),
(58327, '91.103.16.0', '91.103.18.255', 1533480960, 1533481727, 'NL', 'Netherlands'),
(58328, '91.103.19.0', '91.103.21.255', 1533481728, 1533482495, 'GB', 'United Kingdom'),
(58329, '91.103.22.0', '91.103.22.255', 1533482496, 1533482751, 'NL', 'Netherlands'),
(58330, '91.103.23.0', '91.103.23.255', 1533482752, 1533483007, 'GB', 'United Kingdom'),
(58331, '91.103.24.0', '91.103.31.255', 1533483008, 1533485055, 'AM', 'Armenia'),
(58332, '91.103.32.0', '91.103.33.255', 1533485056, 1533485567, 'GB', 'United Kingdom'),
(58333, '91.103.34.0', '91.103.34.255', 1533485568, 1533485823, 'DE', 'Germany'),
(58334, '91.103.35.0', '91.103.36.255', 1533485824, 1533486335, 'SE', 'Sweden'),
(58335, '91.103.37.0', '91.103.37.255', 1533486336, 1533486591, 'NO', 'Norway'),
(58336, '91.103.38.0', '91.103.38.255', 1533486592, 1533486847, 'DK', 'Denmark'),
(58337, '91.103.39.0', '91.103.39.255', 1533486848, 1533487103, 'FI', 'Finland'),
(58338, '91.103.40.0', '91.103.40.255', 1533487104, 1533487359, 'FR', 'France'),
(58339, '91.103.41.0', '91.103.41.255', 1533487360, 1533487615, 'US', 'United States'),
(58340, '91.103.42.0', '91.103.42.255', 1533487616, 1533487871, 'JP', 'Japan'),
(58341, '91.103.43.0', '91.103.45.255', 1533487872, 1533488639, 'FR', 'France'),
(58342, '91.103.46.0', '91.103.46.255', 1533488640, 1533488895, 'US', 'United States'),
(58343, '91.103.47.0', '91.103.47.255', 1533488896, 1533489151, 'JP', 'Japan'),
(58344, '91.103.48.0', '91.103.55.255', 1533489152, 1533491199, 'ES', 'Spain'),
(58345, '91.103.56.0', '91.103.63.255', 1533491200, 1533493247, 'AM', 'Armenia'),
(58346, '91.103.64.0', '91.103.87.255', 1533493248, 1533499391, 'RU', 'Russian Federation'),
(58347, '91.103.88.0', '91.103.95.255', 1533499392, 1533501439, 'MT', 'Malta'),
(58348, '91.103.96.0', '91.103.103.255', 1533501440, 1533503487, 'LT', 'Lithuania'),
(58349, '91.103.104.0', '91.103.111.255', 1533503488, 1533505535, 'RU', 'Russian Federation'),
(58350, '91.103.112.0', '91.103.119.255', 1533505536, 1533507583, 'DE', 'Germany'),
(58351, '91.103.120.0', '91.103.127.255', 1533507584, 1533509631, 'UA', 'Ukraine'),
(58352, '91.103.128.0', '91.103.135.255', 1533509632, 1533511679, 'GB', 'United Kingdom'),
(58353, '91.103.136.0', '91.103.136.255', 1533511680, 1533511935, 'IT', 'Italy'),
(58354, '91.103.137.0', '91.103.141.63', 1533511936, 1533513023, 'FR', 'France'),
(58355, '91.103.141.64', '91.103.141.127', 1533513024, 1533513087, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(58356, '91.103.141.128', '91.103.141.255', 1533513088, 1533513215, 'FR', 'France'),
(58357, '91.103.142.0', '91.103.142.255', 1533513216, 1533513471, 'GB', 'United Kingdom'),
(58358, '91.103.143.0', '91.103.143.255', 1533513472, 1533513727, 'DE', 'Germany'),
(58359, '91.103.144.0', '91.103.151.255', 1533513728, 1533515775, 'KW', 'Kuwait'),
(58360, '91.103.152.0', '91.103.159.255', 1533515776, 1533517823, 'RU', 'Russian Federation'),
(58361, '91.103.160.0', '91.103.167.255', 1533517824, 1533519871, 'CZ', 'Czech Republic'),
(58362, '91.103.168.0', '91.103.191.255', 1533519872, 1533526015, 'GB', 'United Kingdom'),
(58363, '91.103.192.0', '91.103.215.255', 1533526016, 1533532159, 'RU', 'Russian Federation'),
(58364, '91.103.216.0', '91.103.223.255', 1533532160, 1533534207, 'GB', 'United Kingdom'),
(58365, '91.103.224.0', '91.103.231.255', 1533534208, 1533536255, 'RU', 'Russian Federation'),
(58366, '91.103.232.0', '91.103.239.255', 1533536256, 1533538303, 'FR', 'France'),
(58367, '91.103.240.0', '91.103.247.255', 1533538304, 1533540351, 'DE', 'Germany'),
(58368, '91.103.248.0', '91.103.255.255', 1533540352, 1533542399, 'AT', 'Austria'),
(58369, '91.104.0.0', '91.104.255.255', 1533542400, 1533607935, 'HU', 'Hungary'),
(58370, '91.105.0.0', '91.105.127.255', 1533607936, 1533640703, 'LV', 'Latvia'),
(58371, '91.105.128.0', '91.105.191.255', 1533640704, 1533657087, 'RU', 'Russian Federation'),
(58372, '91.105.224.0', '91.105.231.255', 1533665280, 1533667327, 'GB', 'United Kingdom'),
(58373, '91.105.232.0', '91.105.239.255', 1533667328, 1533669375, 'RU', 'Russian Federation'),
(58374, '91.105.240.0', '91.105.247.255', 1533669376, 1533671423, 'DE', 'Germany'),
(58375, '91.105.248.0', '91.105.255.255', 1533671424, 1533673471, 'FI', 'Finland'),
(58376, '91.106.0.0', '91.106.15.255', 1533673472, 1533677567, 'DE', 'Germany'),
(58377, '91.106.16.0', '91.106.23.255', 1533677568, 1533679615, 'ES', 'Spain'),
(58378, '91.106.24.0', '91.106.31.255', 1533679616, 1533681663, 'PL', 'Poland'),
(58379, '91.106.32.0', '91.106.63.255', 1533681664, 1533689855, 'IQ', 'Iraq'),
(58380, '91.106.64.0', '91.106.95.255', 1533689856, 1533698047, 'IR', 'Iran, Islamic Republic of'),
(58381, '91.106.96.0', '91.106.111.255', 1533698048, 1533702143, 'JO', 'Jordan'),
(58382, '91.106.112.0', '91.106.119.255', 1533702144, 1533704191, 'RU', 'Russian Federation'),
(58383, '91.106.120.0', '91.106.191.255', 1533704192, 1533722623, 'DE', 'Germany'),
(58384, '91.106.192.0', '91.106.199.255', 1533722624, 1533724671, 'SE', 'Sweden'),
(58385, '91.106.200.0', '91.106.207.255', 1533724672, 1533726719, 'RU', 'Russian Federation'),
(58386, '91.106.208.0', '91.106.215.255', 1533726720, 1533728767, 'CY', 'Cyprus'),
(58387, '91.106.216.0', '91.106.223.255', 1533728768, 1533730815, 'FR', 'France'),
(58388, '91.106.224.0', '91.106.231.255', 1533730816, 1533732863, 'NL', 'Netherlands'),
(58389, '91.106.232.0', '91.106.239.255', 1533732864, 1533734911, 'RU', 'Russian Federation'),
(58390, '91.106.240.0', '91.106.255.255', 1533734912, 1533739007, 'CZ', 'Czech Republic'),
(58391, '91.107.0.0', '91.107.255.255', 1533739008, 1533804543, 'RU', 'Russian Federation'),
(58392, '91.108.0.0', '91.108.127.255', 1533804544, 1533837311, 'DE', 'Germany'),
(58393, '91.108.128.0', '91.108.159.255', 1533837312, 1533845503, 'IR', 'Iran, Islamic Republic of'),
(58394, '91.108.160.0', '91.108.167.255', 1533845504, 1533847551, 'GB', 'United Kingdom'),
(58395, '91.108.168.0', '91.108.175.255', 1533847552, 1533849599, 'RU', 'Russian Federation'),
(58396, '91.108.176.0', '91.108.183.255', 1533849600, 1533851647, 'EE', 'Estonia'),
(58397, '91.108.184.0', '91.108.191.255', 1533851648, 1533853695, 'CH', 'Switzerland'),
(58398, '91.108.192.0', '91.108.255.255', 1533853696, 1533870079, 'IQ', 'Iraq'),
(58399, '91.109.0.0', '91.109.15.255', 1533870080, 1533874175, 'GB', 'United Kingdom'),
(58400, '91.109.16.0', '91.109.31.255', 1533874176, 1533878271, 'DE', 'Germany'),
(58401, '91.109.32.0', '91.109.39.255', 1533878272, 1533880319, 'CZ', 'Czech Republic'),
(58402, '91.109.40.0', '91.109.47.255', 1533880320, 1533882367, 'GB', 'United Kingdom'),
(58403, '91.109.48.0', '91.109.63.255', 1533882368, 1533886463, 'IT', 'Italy'),
(58404, '91.109.64.0', '91.109.95.255', 1533886464, 1533894655, 'RU', 'Russian Federation'),
(58405, '91.109.96.0', '91.109.103.255', 1533894656, 1533896703, 'ES', 'Spain'),
(58406, '91.109.104.0', '91.109.119.255', 1533896704, 1533900799, 'PT', 'Portugal'),
(58407, '91.109.120.0', '91.109.127.255', 1533900800, 1533902847, 'FR', 'France'),
(58408, '91.109.128.0', '91.109.159.255', 1533902848, 1533911039, 'RU', 'Russian Federation'),
(58409, '91.109.160.0', '91.109.167.255', 1533911040, 1533913087, 'ES', 'Spain'),
(58410, '91.109.168.0', '91.109.175.255', 1533913088, 1533915135, 'IT', 'Italy'),
(58411, '91.109.176.0', '91.109.191.255', 1533915136, 1533919231, 'FR', 'France'),
(58412, '91.109.192.0', '91.109.199.255', 1533919232, 1533921279, 'IT', 'Italy'),
(58413, '91.109.200.0', '91.109.207.255', 1533921280, 1533923327, 'RU', 'Russian Federation'),
(58414, '91.109.208.0', '91.109.215.255', 1533923328, 1533925375, 'TR', 'Turkey'),
(58415, '91.109.216.0', '91.109.223.255', 1533925376, 1533927423, 'AF', 'Afghanistan'),
(58416, '91.109.224.0', '91.109.231.255', 1533927424, 1533929471, 'RU', 'Russian Federation'),
(58417, '91.109.232.0', '91.109.247.255', 1533929472, 1533933567, 'GB', 'United Kingdom'),
(58418, '91.109.248.0', '91.109.255.255', 1533933568, 1533935615, 'GI', 'Gibraltar'),
(58419, '91.110.0.0', '91.111.255.255', 1533935616, 1534066687, 'GB', 'United Kingdom'),
(58420, '91.112.0.0', '91.112.243.255', 1534066688, 1534129151, 'AT', 'Austria'),
(58421, '91.112.244.0', '91.112.244.255', 1534129152, 1534129407, 'A2', 'Satellite Provider'),
(58422, '91.112.245.0', '91.115.255.255', 1534129408, 1534328831, 'AT', 'Austria'),
(58423, '91.116.0.0', '91.117.255.255', 1534328832, 1534459903, 'ES', 'Spain'),
(58424, '91.118.0.0', '91.118.86.171', 1534459904, 1534482091, 'AT', 'Austria'),
(58425, '91.118.86.172', '91.118.86.175', 1534482092, 1534482095, 'GB', 'United Kingdom'),
(58426, '91.118.86.176', '91.119.255.255', 1534482096, 1534590975, 'AT', 'Austria'),
(58427, '91.120.0.0', '91.120.255.255', 1534590976, 1534656511, 'HU', 'Hungary'),
(58428, '91.121.0.0', '91.121.215.255', 1534656512, 1534711807, 'FR', 'France'),
(58429, '91.121.216.0', '91.121.219.255', 1534711808, 1534712831, 'BE', 'Belgium'),
(58430, '91.121.220.0', '91.121.223.255', 1534712832, 1534713855, 'FR', 'France'),
(58431, '91.121.224.0', '91.121.224.31', 1534713856, 1534713887, 'PL', 'Poland'),
(58432, '91.121.224.32', '91.121.224.63', 1534713888, 1534713919, 'FR', 'France'),
(58433, '91.121.224.64', '91.121.224.71', 1534713920, 1534713927, 'IT', 'Italy'),
(58434, '91.121.224.72', '91.121.224.75', 1534713928, 1534713931, 'GB', 'United Kingdom'),
(58435, '91.121.224.76', '91.121.224.79', 1534713932, 1534713935, 'FI', 'Finland'),
(58436, '91.121.224.80', '91.121.224.83', 1534713936, 1534713939, 'DE', 'Germany'),
(58437, '91.121.224.84', '91.121.224.87', 1534713940, 1534713943, 'FR', 'France'),
(58438, '91.121.224.88', '91.121.224.91', 1534713944, 1534713947, 'DE', 'Germany'),
(58439, '91.121.224.92', '91.121.224.95', 1534713948, 1534713951, 'PL', 'Poland'),
(58440, '91.121.224.96', '91.121.224.99', 1534713952, 1534713955, 'DE', 'Germany'),
(58441, '91.121.224.100', '91.121.224.103', 1534713956, 1534713959, 'BE', 'Belgium'),
(58442, '91.121.224.104', '91.121.224.107', 1534713960, 1534713963, 'CH', 'Switzerland'),
(58443, '91.121.224.108', '91.121.224.127', 1534713964, 1534713983, 'FR', 'France'),
(58444, '91.121.224.128', '91.121.224.143', 1534713984, 1534713999, 'PL', 'Poland'),
(58445, '91.121.224.144', '91.121.224.159', 1534714000, 1534714015, 'FR', 'France'),
(58446, '91.121.224.160', '91.121.224.175', 1534714016, 1534714031, 'DE', 'Germany'),
(58447, '91.121.224.176', '91.121.224.191', 1534714032, 1534714047, 'BE', 'Belgium'),
(58448, '91.121.224.192', '91.121.224.195', 1534714048, 1534714051, 'FR', 'France'),
(58449, '91.121.224.196', '91.121.224.199', 1534714052, 1534714055, 'IT', 'Italy'),
(58450, '91.121.224.200', '91.121.224.203', 1534714056, 1534714059, 'DE', 'Germany'),
(58451, '91.121.224.204', '91.121.224.207', 1534714060, 1534714063, 'FR', 'France'),
(58452, '91.121.224.208', '91.121.224.223', 1534714064, 1534714079, 'ES', 'Spain'),
(58453, '91.121.224.224', '91.121.224.239', 1534714080, 1534714095, 'FR', 'France'),
(58454, '91.121.224.240', '91.121.224.255', 1534714096, 1534714111, 'BE', 'Belgium'),
(58455, '91.121.225.0', '91.121.225.3', 1534714112, 1534714115, 'ES', 'Spain'),
(58456, '91.121.225.4', '91.121.225.7', 1534714116, 1534714119, 'DE', 'Germany'),
(58457, '91.121.225.8', '91.121.225.11', 1534714120, 1534714123, 'FI', 'Finland'),
(58458, '91.121.225.12', '91.121.225.15', 1534714124, 1534714127, 'ES', 'Spain'),
(58459, '91.121.225.16', '91.121.225.31', 1534714128, 1534714143, 'BE', 'Belgium'),
(58460, '91.121.225.32', '91.121.225.47', 1534714144, 1534714159, 'GB', 'United Kingdom'),
(58461, '91.121.225.48', '91.121.225.143', 1534714160, 1534714255, 'FR', 'France'),
(58462, '91.121.225.144', '91.121.225.147', 1534714256, 1534714259, 'DE', 'Germany'),
(58463, '91.121.225.148', '91.121.225.159', 1534714260, 1534714271, 'PL', 'Poland'),
(58464, '91.121.225.160', '91.121.225.175', 1534714272, 1534714287, 'IT', 'Italy'),
(58465, '91.121.225.176', '91.121.225.191', 1534714288, 1534714303, 'ES', 'Spain'),
(58466, '91.121.225.192', '91.121.225.195', 1534714304, 1534714307, 'GB', 'United Kingdom'),
(58467, '91.121.225.196', '91.121.225.199', 1534714308, 1534714311, 'ES', 'Spain'),
(58468, '91.121.225.200', '91.121.225.203', 1534714312, 1534714315, 'PL', 'Poland'),
(58469, '91.121.225.204', '91.121.225.207', 1534714316, 1534714319, 'FR', 'France'),
(58470, '91.121.225.208', '91.121.225.215', 1534714320, 1534714327, 'DE', 'Germany'),
(58471, '91.121.225.216', '91.121.225.219', 1534714328, 1534714331, 'FR', 'France'),
(58472, '91.121.225.220', '91.121.225.223', 1534714332, 1534714335, 'PL', 'Poland'),
(58473, '91.121.225.224', '91.121.225.239', 1534714336, 1534714351, 'FR', 'France'),
(58474, '91.121.225.240', '91.121.226.15', 1534714352, 1534714383, 'GB', 'United Kingdom'),
(58475, '91.121.226.16', '91.121.226.31', 1534714384, 1534714399, 'FR', 'France'),
(58476, '91.121.226.32', '91.121.226.35', 1534714400, 1534714403, 'GB', 'United Kingdom'),
(58477, '91.121.226.36', '91.121.226.39', 1534714404, 1534714407, 'PL', 'Poland'),
(58478, '91.121.226.40', '91.121.226.47', 1534714408, 1534714415, 'DE', 'Germany'),
(58479, '91.121.226.48', '91.121.226.63', 1534714416, 1534714431, 'GB', 'United Kingdom'),
(58480, '91.121.226.64', '91.121.226.79', 1534714432, 1534714447, 'PL', 'Poland'),
(58481, '91.121.226.80', '91.121.226.95', 1534714448, 1534714463, 'FR', 'France'),
(58482, '91.121.226.96', '91.121.226.127', 1534714464, 1534714495, 'GB', 'United Kingdom'),
(58483, '91.121.226.128', '91.121.226.143', 1534714496, 1534714511, 'FR', 'France'),
(58484, '91.121.226.144', '91.121.226.159', 1534714512, 1534714527, 'PL', 'Poland'),
(58485, '91.121.226.160', '91.121.226.163', 1534714528, 1534714531, 'FR', 'France'),
(58486, '91.121.226.164', '91.121.226.167', 1534714532, 1534714535, 'PL', 'Poland'),
(58487, '91.121.226.168', '91.121.226.171', 1534714536, 1534714539, 'GB', 'United Kingdom'),
(58488, '91.121.226.172', '91.121.226.175', 1534714540, 1534714543, 'PL', 'Poland'),
(58489, '91.121.226.176', '91.121.226.179', 1534714544, 1534714547, 'FR', 'France'),
(58490, '91.121.226.180', '91.121.226.183', 1534714548, 1534714551, 'NL', 'Netherlands'),
(58491, '91.121.226.184', '91.121.226.191', 1534714552, 1534714559, 'GB', 'United Kingdom'),
(58492, '91.121.226.192', '91.121.226.207', 1534714560, 1534714575, 'NL', 'Netherlands'),
(58493, '91.121.226.208', '91.121.226.223', 1534714576, 1534714591, 'GB', 'United Kingdom'),
(58494, '91.121.226.224', '91.121.227.67', 1534714592, 1534714691, 'FR', 'France'),
(58495, '91.121.227.68', '91.121.227.71', 1534714692, 1534714695, 'GB', 'United Kingdom'),
(58496, '91.121.227.72', '91.121.227.79', 1534714696, 1534714703, 'FR', 'France'),
(58497, '91.121.227.80', '91.121.227.95', 1534714704, 1534714719, 'CH', 'Switzerland'),
(58498, '91.121.227.96', '91.121.227.127', 1534714720, 1534714751, 'BE', 'Belgium'),
(58499, '91.121.227.128', '91.121.227.143', 1534714752, 1534714767, 'DE', 'Germany'),
(58500, '91.121.227.144', '91.121.227.159', 1534714768, 1534714783, 'FR', 'France'),
(58501, '91.121.227.160', '91.121.227.175', 1534714784, 1534714799, 'PL', 'Poland'),
(58502, '91.121.227.176', '91.121.227.191', 1534714800, 1534714815, 'FR', 'France'),
(58503, '91.121.227.192', '91.121.227.195', 1534714816, 1534714819, 'BE', 'Belgium'),
(58504, '91.121.227.196', '91.121.227.207', 1534714820, 1534714831, 'FR', 'France'),
(58505, '91.121.227.208', '91.121.227.215', 1534714832, 1534714839, 'DE', 'Germany'),
(58506, '91.121.227.216', '91.121.227.223', 1534714840, 1534714847, 'FR', 'France'),
(58507, '91.121.227.224', '91.121.227.231', 1534714848, 1534714855, 'GB', 'United Kingdom'),
(58508, '91.121.227.232', '91.121.227.239', 1534714856, 1534714863, 'CH', 'Switzerland'),
(58509, '91.121.227.240', '91.121.227.247', 1534714864, 1534714871, 'FR', 'France'),
(58510, '91.121.227.248', '91.121.227.251', 1534714872, 1534714875, 'ES', 'Spain'),
(58511, '91.121.227.252', '91.121.227.255', 1534714876, 1534714879, 'DE', 'Germany'),
(58512, '91.121.228.0', '91.121.228.15', 1534714880, 1534714895, 'PL', 'Poland'),
(58513, '91.121.228.16', '91.121.228.31', 1534714896, 1534714911, 'FR', 'France'),
(58514, '91.121.228.32', '91.121.228.47', 1534714912, 1534714927, 'DE', 'Germany'),
(58515, '91.121.228.48', '91.121.228.51', 1534714928, 1534714931, 'BE', 'Belgium'),
(58516, '91.121.228.52', '91.121.228.55', 1534714932, 1534714935, 'DE', 'Germany'),
(58517, '91.121.228.56', '91.121.228.59', 1534714936, 1534714939, 'GB', 'United Kingdom'),
(58518, '91.121.228.60', '91.121.228.95', 1534714940, 1534714975, 'DE', 'Germany'),
(58519, '91.121.228.96', '91.121.228.159', 1534714976, 1534715039, 'FR', 'France'),
(58520, '91.121.228.160', '91.121.228.175', 1534715040, 1534715055, 'GB', 'United Kingdom'),
(58521, '91.121.228.176', '91.121.228.191', 1534715056, 1534715071, 'PL', 'Poland'),
(58522, '91.121.228.192', '91.121.228.223', 1534715072, 1534715103, 'FR', 'France'),
(58523, '91.121.228.224', '91.121.228.239', 1534715104, 1534715119, 'BE', 'Belgium'),
(58524, '91.121.228.240', '91.121.228.255', 1534715120, 1534715135, 'FR', 'France'),
(58525, '91.121.229.0', '91.121.229.7', 1534715136, 1534715143, 'PL', 'Poland'),
(58526, '91.121.229.8', '91.121.229.31', 1534715144, 1534715167, 'FR', 'France'),
(58527, '91.121.229.32', '91.121.229.47', 1534715168, 1534715183, 'NL', 'Netherlands'),
(58528, '91.121.229.48', '91.121.229.63', 1534715184, 1534715199, 'FR', 'France'),
(58529, '91.121.229.64', '91.121.229.67', 1534715200, 1534715203, 'IT', 'Italy'),
(58530, '91.121.229.68', '91.121.229.71', 1534715204, 1534715207, 'FR', 'France'),
(58531, '91.121.229.72', '91.121.229.75', 1534715208, 1534715211, 'GB', 'United Kingdom'),
(58532, '91.121.229.76', '91.121.229.79', 1534715212, 1534715215, 'FR', 'France'),
(58533, '91.121.229.80', '91.121.229.95', 1534715216, 1534715231, 'BE', 'Belgium'),
(58534, '91.121.229.96', '91.121.229.127', 1534715232, 1534715263, 'FR', 'France'),
(58535, '91.121.229.128', '91.121.229.143', 1534715264, 1534715279, 'ES', 'Spain'),
(58536, '91.121.229.144', '91.121.229.147', 1534715280, 1534715283, 'PL', 'Poland'),
(58537, '91.121.229.148', '91.121.229.151', 1534715284, 1534715287, 'FR', 'France'),
(58538, '91.121.229.152', '91.121.229.159', 1534715288, 1534715295, 'PL', 'Poland'),
(58539, '91.121.229.160', '91.121.229.163', 1534715296, 1534715299, 'ES', 'Spain'),
(58540, '91.121.229.164', '91.121.229.171', 1534715300, 1534715307, 'FR', 'France'),
(58541, '91.121.229.172', '91.121.229.175', 1534715308, 1534715311, 'DE', 'Germany'),
(58542, '91.121.229.176', '91.121.229.179', 1534715312, 1534715315, 'PL', 'Poland'),
(58543, '91.121.229.180', '91.121.229.183', 1534715316, 1534715319, 'ES', 'Spain'),
(58544, '91.121.229.184', '91.121.229.191', 1534715320, 1534715327, 'PL', 'Poland'),
(58545, '91.121.229.192', '91.121.229.223', 1534715328, 1534715359, 'FR', 'France'),
(58546, '91.121.229.224', '91.121.229.231', 1534715360, 1534715367, 'PL', 'Poland'),
(58547, '91.121.229.232', '91.121.229.235', 1534715368, 1534715371, 'FR', 'France'),
(58548, '91.121.229.236', '91.121.229.239', 1534715372, 1534715375, 'CH', 'Switzerland'),
(58549, '91.121.229.240', '91.121.229.255', 1534715376, 1534715391, 'ES', 'Spain'),
(58550, '91.121.230.0', '91.121.230.7', 1534715392, 1534715399, 'PL', 'Poland'),
(58551, '91.121.230.8', '91.121.230.15', 1534715400, 1534715407, 'FR', 'France'),
(58552, '91.121.230.16', '91.121.230.19', 1534715408, 1534715411, 'GB', 'United Kingdom'),
(58553, '91.121.230.20', '91.121.230.23', 1534715412, 1534715415, 'FI', 'Finland'),
(58554, '91.121.230.24', '91.121.230.27', 1534715416, 1534715419, 'DE', 'Germany'),
(58555, '91.121.230.28', '91.121.230.31', 1534715420, 1534715423, 'IT', 'Italy'),
(58556, '91.121.230.32', '91.121.230.47', 1534715424, 1534715439, 'PL', 'Poland'),
(58557, '91.121.230.48', '91.121.230.55', 1534715440, 1534715447, 'ES', 'Spain'),
(58558, '91.121.230.56', '91.121.230.59', 1534715448, 1534715451, 'FR', 'France'),
(58559, '91.121.230.60', '91.121.230.95', 1534715452, 1534715487, 'PL', 'Poland'),
(58560, '91.121.230.96', '91.121.230.159', 1534715488, 1534715551, 'FR', 'France'),
(58561, '91.121.230.160', '91.121.230.191', 1534715552, 1534715583, 'ES', 'Spain'),
(58562, '91.121.230.192', '91.121.230.207', 1534715584, 1534715599, 'GB', 'United Kingdom'),
(58563, '91.121.230.208', '91.121.230.211', 1534715600, 1534715603, 'PL', 'Poland'),
(58564, '91.121.230.212', '91.121.230.215', 1534715604, 1534715607, 'GB', 'United Kingdom'),
(58565, '91.121.230.216', '91.121.230.219', 1534715608, 1534715611, 'CH', 'Switzerland'),
(58566, '91.121.230.220', '91.121.230.223', 1534715612, 1534715615, 'FI', 'Finland'),
(58567, '91.121.230.224', '91.121.230.247', 1534715616, 1534715639, 'FR', 'France'),
(58568, '91.121.230.248', '91.121.230.251', 1534715640, 1534715643, 'PL', 'Poland'),
(58569, '91.121.230.252', '91.121.230.255', 1534715644, 1534715647, 'DE', 'Germany'),
(58570, '91.121.231.0', '91.121.231.15', 1534715648, 1534715663, 'PL', 'Poland'),
(58571, '91.121.231.16', '91.121.231.19', 1534715664, 1534715667, 'FR', 'France'),
(58572, '91.121.231.20', '91.121.231.27', 1534715668, 1534715675, 'PL', 'Poland'),
(58573, '91.121.231.28', '91.121.231.31', 1534715676, 1534715679, 'GB', 'United Kingdom'),
(58574, '91.121.231.32', '91.121.231.63', 1534715680, 1534715711, 'FR', 'France'),
(58575, '91.121.231.64', '91.121.231.79', 1534715712, 1534715727, 'PT', 'Portugal'),
(58576, '91.121.231.80', '91.121.231.87', 1534715728, 1534715735, 'GB', 'United Kingdom'),
(58577, '91.121.231.88', '91.121.231.111', 1534715736, 1534715759, 'PL', 'Poland'),
(58578, '91.121.231.112', '91.121.231.127', 1534715760, 1534715775, 'ES', 'Spain'),
(58579, '91.121.231.128', '91.121.231.135', 1534715776, 1534715783, 'PL', 'Poland'),
(58580, '91.121.231.136', '91.121.231.143', 1534715784, 1534715791, 'BE', 'Belgium'),
(58581, '91.121.231.144', '91.121.231.159', 1534715792, 1534715807, 'CZ', 'Czech Republic'),
(58582, '91.121.231.160', '91.121.231.231', 1534715808, 1534715879, 'FR', 'France'),
(58583, '91.121.231.232', '91.121.231.235', 1534715880, 1534715883, 'PT', 'Portugal'),
(58584, '91.121.231.236', '91.121.231.239', 1534715884, 1534715887, 'PL', 'Poland'),
(58585, '91.121.231.240', '91.121.232.31', 1534715888, 1534715935, 'FR', 'France'),
(58586, '91.121.232.32', '91.121.232.47', 1534715936, 1534715951, 'PL', 'Poland'),
(58587, '91.121.232.48', '91.121.232.79', 1534715952, 1534715983, 'FR', 'France'),
(58588, '91.121.232.80', '91.121.232.83', 1534715984, 1534715987, 'PL', 'Poland'),
(58589, '91.121.232.84', '91.121.232.87', 1534715988, 1534715991, 'DE', 'Germany'),
(58590, '91.121.232.88', '91.121.232.91', 1534715992, 1534715995, 'PL', 'Poland'),
(58591, '91.121.232.92', '91.121.232.95', 1534715996, 1534715999, 'FR', 'France'),
(58592, '91.121.232.96', '91.121.232.103', 1534716000, 1534716007, 'NL', 'Netherlands'),
(58593, '91.121.232.104', '91.121.232.143', 1534716008, 1534716047, 'FR', 'France'),
(58594, '91.121.232.144', '91.121.232.159', 1534716048, 1534716063, 'GB', 'United Kingdom'),
(58595, '91.121.232.160', '91.121.232.223', 1534716064, 1534716127, 'FR', 'France'),
(58596, '91.121.232.224', '91.121.232.239', 1534716128, 1534716143, 'ES', 'Spain'),
(58597, '91.121.232.240', '91.121.232.255', 1534716144, 1534716159, 'PL', 'Poland'),
(58598, '91.121.233.0', '91.121.233.3', 1534716160, 1534716163, 'IT', 'Italy'),
(58599, '91.121.233.4', '91.121.233.7', 1534716164, 1534716167, 'FI', 'Finland'),
(58600, '91.121.233.8', '91.121.233.15', 1534716168, 1534716175, 'IE', 'Ireland'),
(58601, '91.121.233.16', '91.121.233.31', 1534716176, 1534716191, 'FR', 'France'),
(58602, '91.121.233.32', '91.121.233.63', 1534716192, 1534716223, 'ES', 'Spain'),
(58603, '91.121.233.64', '91.121.233.79', 1534716224, 1534716239, 'FR', 'France'),
(58604, '91.121.233.80', '91.121.233.95', 1534716240, 1534716255, 'GB', 'United Kingdom'),
(58605, '91.121.233.96', '91.121.233.143', 1534716256, 1534716303, 'FR', 'France'),
(58606, '91.121.233.144', '91.121.233.151', 1534716304, 1534716311, 'PL', 'Poland'),
(58607, '91.121.233.152', '91.121.233.159', 1534716312, 1534716319, 'FR', 'France'),
(58608, '91.121.233.160', '91.121.233.191', 1534716320, 1534716351, 'PL', 'Poland'),
(58609, '91.121.233.192', '91.121.233.195', 1534716352, 1534716355, 'FR', 'France'),
(58610, '91.121.233.196', '91.121.233.199', 1534716356, 1534716359, 'PL', 'Poland'),
(58611, '91.121.233.200', '91.121.233.203', 1534716360, 1534716363, 'FR', 'France'),
(58612, '91.121.233.204', '91.121.233.207', 1534716364, 1534716367, 'GB', 'United Kingdom'),
(58613, '91.121.233.208', '91.121.233.215', 1534716368, 1534716375, 'BE', 'Belgium'),
(58614, '91.121.233.216', '91.121.233.219', 1534716376, 1534716379, 'CH', 'Switzerland'),
(58615, '91.121.233.220', '91.121.233.223', 1534716380, 1534716383, 'PL', 'Poland'),
(58616, '91.121.233.224', '91.121.233.231', 1534716384, 1534716391, 'FR', 'France'),
(58617, '91.121.233.232', '91.121.233.235', 1534716392, 1534716395, 'ES', 'Spain'),
(58618, '91.121.233.236', '91.121.233.239', 1534716396, 1534716399, 'GB', 'United Kingdom'),
(58619, '91.121.233.240', '91.121.233.243', 1534716400, 1534716403, 'PL', 'Poland'),
(58620, '91.121.233.244', '91.121.233.247', 1534716404, 1534716407, 'NL', 'Netherlands'),
(58621, '91.121.233.248', '91.121.233.255', 1534716408, 1534716415, 'FR', 'France'),
(58622, '91.121.234.0', '91.121.234.7', 1534716416, 1534716423, 'NL', 'Netherlands'),
(58623, '91.121.234.8', '91.121.234.31', 1534716424, 1534716447, 'PL', 'Poland'),
(58624, '91.121.234.32', '91.121.234.63', 1534716448, 1534716479, 'FR', 'France'),
(58625, '91.121.234.64', '91.121.234.79', 1534716480, 1534716495, 'ES', 'Spain'),
(58626, '91.121.234.80', '91.121.234.159', 1534716496, 1534716575, 'FR', 'France'),
(58627, '91.121.234.160', '91.121.234.175', 1534716576, 1534716591, 'PL', 'Poland'),
(58628, '91.121.234.176', '91.121.234.223', 1534716592, 1534716639, 'FR', 'France'),
(58629, '91.121.234.224', '91.121.234.231', 1534716640, 1534716647, 'BE', 'Belgium'),
(58630, '91.121.234.232', '91.121.234.239', 1534716648, 1534716655, 'FR', 'France'),
(58631, '91.121.234.240', '91.121.234.247', 1534716656, 1534716663, 'IE', 'Ireland'),
(58632, '91.121.234.248', '91.121.234.255', 1534716664, 1534716671, 'FR', 'France'),
(58633, '91.121.235.0', '91.121.235.15', 1534716672, 1534716687, 'PL', 'Poland'),
(58634, '91.121.235.16', '91.121.235.31', 1534716688, 1534716703, 'FR', 'France'),
(58635, '91.121.235.32', '91.121.235.63', 1534716704, 1534716735, 'ES', 'Spain'),
(58636, '91.121.235.64', '91.121.235.79', 1534716736, 1534716751, 'FR', 'France'),
(58637, '91.121.235.80', '91.121.235.87', 1534716752, 1534716759, 'PL', 'Poland'),
(58638, '91.121.235.88', '91.121.235.91', 1534716760, 1534716763, 'DE', 'Germany'),
(58639, '91.121.235.92', '91.121.235.95', 1534716764, 1534716767, 'ES', 'Spain'),
(58640, '91.121.235.96', '91.121.235.103', 1534716768, 1534716775, 'FR', 'France'),
(58641, '91.121.235.104', '91.121.235.107', 1534716776, 1534716779, 'ES', 'Spain'),
(58642, '91.121.235.108', '91.121.235.115', 1534716780, 1534716787, 'PL', 'Poland'),
(58643, '91.121.235.116', '91.121.235.127', 1534716788, 1534716799, 'FR', 'France'),
(58644, '91.121.235.128', '91.121.235.131', 1534716800, 1534716803, 'DE', 'Germany'),
(58645, '91.121.235.132', '91.121.235.135', 1534716804, 1534716807, 'PL', 'Poland'),
(58646, '91.121.235.136', '91.121.235.139', 1534716808, 1534716811, 'NL', 'Netherlands'),
(58647, '91.121.235.140', '91.121.235.143', 1534716812, 1534716815, 'DE', 'Germany'),
(58648, '91.121.235.144', '91.121.235.151', 1534716816, 1534716823, 'FR', 'France'),
(58649, '91.121.235.152', '91.121.235.159', 1534716824, 1534716831, 'GB', 'United Kingdom'),
(58650, '91.121.235.160', '91.121.235.207', 1534716832, 1534716879, 'FR', 'France'),
(58651, '91.121.235.208', '91.121.235.223', 1534716880, 1534716895, 'BE', 'Belgium'),
(58652, '91.121.235.224', '91.121.235.231', 1534716896, 1534716903, 'ES', 'Spain'),
(58653, '91.121.235.232', '91.121.235.239', 1534716904, 1534716911, 'DE', 'Germany'),
(58654, '91.121.235.240', '91.121.235.255', 1534716912, 1534716927, 'FR', 'France'),
(58655, '91.121.236.0', '91.121.236.15', 1534716928, 1534716943, 'DE', 'Germany'),
(58656, '91.121.236.16', '91.121.236.31', 1534716944, 1534716959, 'FR', 'France'),
(58657, '91.121.236.32', '91.121.236.35', 1534716960, 1534716963, 'ES', 'Spain'),
(58658, '91.121.236.36', '91.121.236.39', 1534716964, 1534716967, 'FR', 'France'),
(58659, '91.121.236.40', '91.121.236.47', 1534716968, 1534716975, 'GB', 'United Kingdom'),
(58660, '91.121.236.48', '91.121.236.63', 1534716976, 1534716991, 'FR', 'France'),
(58661, '91.121.236.64', '91.121.236.79', 1534716992, 1534717007, 'DE', 'Germany'),
(58662, '91.121.236.80', '91.121.236.83', 1534717008, 1534717011, 'PL', 'Poland'),
(58663, '91.121.236.84', '91.121.236.91', 1534717012, 1534717019, 'FR', 'France'),
(58664, '91.121.236.92', '91.121.236.95', 1534717020, 1534717023, 'DE', 'Germany'),
(58665, '91.121.236.96', '91.121.236.103', 1534717024, 1534717031, 'IE', 'Ireland'),
(58666, '91.121.236.104', '91.121.236.107', 1534717032, 1534717035, 'DE', 'Germany'),
(58667, '91.121.236.108', '91.121.236.111', 1534717036, 1534717039, 'GB', 'United Kingdom'),
(58668, '91.121.236.112', '91.121.236.119', 1534717040, 1534717047, 'PL', 'Poland'),
(58669, '91.121.236.120', '91.121.236.127', 1534717048, 1534717055, 'FR', 'France'),
(58670, '91.121.236.128', '91.121.236.143', 1534717056, 1534717071, 'GB', 'United Kingdom'),
(58671, '91.121.236.144', '91.121.236.175', 1534717072, 1534717103, 'FR', 'France'),
(58672, '91.121.236.176', '91.121.236.191', 1534717104, 1534717119, 'PL', 'Poland'),
(58673, '91.121.236.192', '91.121.236.207', 1534717120, 1534717135, 'IT', 'Italy'),
(58674, '91.121.236.208', '91.121.236.211', 1534717136, 1534717139, 'CH', 'Switzerland'),
(58675, '91.121.236.212', '91.121.236.215', 1534717140, 1534717143, 'CZ', 'Czech Republic'),
(58676, '91.121.236.216', '91.121.236.219', 1534717144, 1534717147, 'FR', 'France'),
(58677, '91.121.236.220', '91.121.236.223', 1534717148, 1534717151, 'IT', 'Italy'),
(58678, '91.121.236.224', '91.121.237.31', 1534717152, 1534717215, 'FR', 'France'),
(58679, '91.121.237.32', '91.121.237.35', 1534717216, 1534717219, 'ES', 'Spain'),
(58680, '91.121.237.36', '91.121.237.63', 1534717220, 1534717247, 'FR', 'France'),
(58681, '91.121.237.64', '91.121.237.67', 1534717248, 1534717251, 'CZ', 'Czech Republic'),
(58682, '91.121.237.68', '91.121.237.71', 1534717252, 1534717255, 'NL', 'Netherlands'),
(58683, '91.121.237.72', '91.121.237.79', 1534717256, 1534717263, 'FR', 'France'),
(58684, '91.121.237.80', '91.121.237.83', 1534717264, 1534717267, 'PL', 'Poland'),
(58685, '91.121.237.84', '91.121.237.127', 1534717268, 1534717311, 'FR', 'France'),
(58686, '91.121.237.128', '91.121.237.131', 1534717312, 1534717315, 'PL', 'Poland'),
(58687, '91.121.237.132', '91.121.237.135', 1534717316, 1534717319, 'IE', 'Ireland'),
(58688, '91.121.237.136', '91.121.237.139', 1534717320, 1534717323, 'GB', 'United Kingdom'),
(58689, '91.121.237.140', '91.121.237.159', 1534717324, 1534717343, 'FR', 'France'),
(58690, '91.121.237.160', '91.121.237.175', 1534717344, 1534717359, 'GB', 'United Kingdom'),
(58691, '91.121.237.176', '91.121.237.191', 1534717360, 1534717375, 'PL', 'Poland'),
(58692, '91.121.237.192', '91.121.237.227', 1534717376, 1534717411, 'FR', 'France'),
(58693, '91.121.237.228', '91.121.237.231', 1534717412, 1534717415, 'CH', 'Switzerland'),
(58694, '91.121.237.232', '91.121.237.235', 1534717416, 1534717419, 'CZ', 'Czech Republic'),
(58695, '91.121.237.236', '91.121.237.243', 1534717420, 1534717427, 'PL', 'Poland'),
(58696, '91.121.237.244', '91.121.237.247', 1534717428, 1534717431, 'FR', 'France'),
(58697, '91.121.237.248', '91.121.237.251', 1534717432, 1534717435, 'GB', 'United Kingdom'),
(58698, '91.121.237.252', '91.121.237.255', 1534717436, 1534717439, 'NL', 'Netherlands'),
(58699, '91.121.238.0', '91.121.238.63', 1534717440, 1534717503, 'FR', 'France'),
(58700, '91.121.238.64', '91.121.238.79', 1534717504, 1534717519, 'BE', 'Belgium'),
(58701, '91.121.238.80', '91.121.238.95', 1534717520, 1534717535, 'DE', 'Germany'),
(58702, '91.121.238.96', '91.121.238.111', 1534717536, 1534717551, 'PL', 'Poland'),
(58703, '91.121.238.112', '91.121.238.127', 1534717552, 1534717567, 'CZ', 'Czech Republic'),
(58704, '91.121.238.128', '91.121.238.143', 1534717568, 1534717583, 'IE', 'Ireland'),
(58705, '91.121.238.144', '91.121.238.147', 1534717584, 1534717587, 'CZ', 'Czech Republic'),
(58706, '91.121.238.148', '91.121.238.151', 1534717588, 1534717591, 'NL', 'Netherlands'),
(58707, '91.121.238.152', '91.121.238.159', 1534717592, 1534717599, 'IT', 'Italy'),
(58708, '91.121.238.160', '91.121.238.207', 1534717600, 1534717647, 'FR', 'France'),
(58709, '91.121.238.208', '91.121.238.219', 1534717648, 1534717659, 'PL', 'Poland'),
(58710, '91.121.238.220', '91.121.238.223', 1534717660, 1534717663, 'FR', 'France'),
(58711, '91.121.238.224', '91.121.238.239', 1534717664, 1534717679, 'GB', 'United Kingdom'),
(58712, '91.121.238.240', '91.121.238.255', 1534717680, 1534717695, 'ES', 'Spain'),
(58713, '91.121.239.0', '91.121.239.15', 1534717696, 1534717711, 'IE', 'Ireland'),
(58714, '91.121.239.16', '91.121.239.19', 1534717712, 1534717715, 'DE', 'Germany'),
(58715, '91.121.239.20', '91.121.239.31', 1534717716, 1534717727, 'FR', 'France'),
(58716, '91.121.239.32', '91.121.239.35', 1534717728, 1534717731, 'GB', 'United Kingdom'),
(58717, '91.121.239.36', '91.121.239.39', 1534717732, 1534717735, 'FR', 'France'),
(58718, '91.121.239.40', '91.121.239.43', 1534717736, 1534717739, 'BE', 'Belgium'),
(58719, '91.121.239.44', '91.121.239.47', 1534717740, 1534717743, 'GB', 'United Kingdom'),
(58720, '91.121.239.48', '91.121.239.55', 1534717744, 1534717751, 'FR', 'France'),
(58721, '91.121.239.56', '91.121.239.63', 1534717752, 1534717759, 'BE', 'Belgium'),
(58722, '91.121.239.64', '91.121.239.67', 1534717760, 1534717763, 'PL', 'Poland'),
(58723, '91.121.239.68', '91.121.239.71', 1534717764, 1534717767, 'FR', 'France'),
(58724, '91.121.239.72', '91.121.239.75', 1534717768, 1534717771, 'IT', 'Italy'),
(58725, '91.121.239.76', '91.121.239.87', 1534717772, 1534717783, 'FR', 'France'),
(58726, '91.121.239.88', '91.121.239.91', 1534717784, 1534717787, 'GB', 'United Kingdom'),
(58727, '91.121.239.92', '91.121.239.95', 1534717788, 1534717791, 'DE', 'Germany'),
(58728, '91.121.239.96', '91.121.239.127', 1534717792, 1534717823, 'FR', 'France'),
(58729, '91.121.239.128', '91.121.239.159', 1534717824, 1534717855, 'BE', 'Belgium'),
(58730, '91.121.239.160', '91.121.239.175', 1534717856, 1534717871, 'NL', 'Netherlands'),
(58731, '91.121.239.176', '91.121.239.207', 1534717872, 1534717903, 'FR', 'France'),
(58732, '91.121.239.208', '91.121.239.211', 1534717904, 1534717907, 'IT', 'Italy'),
(58733, '91.121.239.212', '91.121.239.215', 1534717908, 1534717911, 'GB', 'United Kingdom'),
(58734, '91.121.239.216', '91.121.239.219', 1534717912, 1534717915, 'FR', 'France'),
(58735, '91.121.239.220', '91.121.239.223', 1534717916, 1534717919, 'DE', 'Germany'),
(58736, '91.121.239.224', '91.121.239.227', 1534717920, 1534717923, 'FR', 'France'),
(58737, '91.121.239.228', '91.121.239.231', 1534717924, 1534717927, 'ES', 'Spain'),
(58738, '91.121.239.232', '91.121.239.235', 1534717928, 1534717931, 'DE', 'Germany'),
(58739, '91.121.239.236', '91.121.239.255', 1534717932, 1534717951, 'FR', 'France'),
(58740, '91.121.240.0', '91.121.240.3', 1534717952, 1534717955, 'DE', 'Germany'),
(58741, '91.121.240.4', '91.121.240.7', 1534717956, 1534717959, 'BE', 'Belgium'),
(58742, '91.121.240.8', '91.121.240.11', 1534717960, 1534717963, 'PT', 'Portugal'),
(58743, '91.121.240.12', '91.121.240.15', 1534717964, 1534717967, 'CH', 'Switzerland'),
(58744, '91.121.240.16', '91.121.240.31', 1534717968, 1534717983, 'IT', 'Italy'),
(58745, '91.121.240.32', '91.121.240.35', 1534717984, 1534717987, 'PL', 'Poland'),
(58746, '91.121.240.36', '91.121.240.39', 1534717988, 1534717991, 'DE', 'Germany'),
(58747, '91.121.240.40', '91.121.240.43', 1534717992, 1534717995, 'NL', 'Netherlands'),
(58748, '91.121.240.44', '91.121.240.47', 1534717996, 1534717999, 'GB', 'United Kingdom'),
(58749, '91.121.240.48', '91.121.240.55', 1534718000, 1534718007, 'ES', 'Spain'),
(58750, '91.121.240.56', '91.121.240.59', 1534718008, 1534718011, 'PL', 'Poland'),
(58751, '91.121.240.60', '91.121.240.63', 1534718012, 1534718015, 'FR', 'France'),
(58752, '91.121.240.64', '91.121.240.79', 1534718016, 1534718031, 'BE', 'Belgium'),
(58753, '91.121.240.80', '91.121.240.111', 1534718032, 1534718063, 'FR', 'France'),
(58754, '91.121.240.112', '91.121.240.127', 1534718064, 1534718079, 'IT', 'Italy'),
(58755, '91.121.240.128', '91.121.240.135', 1534718080, 1534718087, 'ES', 'Spain'),
(58756, '91.121.240.136', '91.121.240.139', 1534718088, 1534718091, 'DE', 'Germany'),
(58757, '91.121.240.140', '91.121.240.143', 1534718092, 1534718095, 'ES', 'Spain'),
(58758, '91.121.240.144', '91.121.240.159', 1534718096, 1534718111, 'PL', 'Poland'),
(58759, '91.121.240.160', '91.121.240.175', 1534718112, 1534718127, 'GB', 'United Kingdom'),
(58760, '91.121.240.176', '91.121.240.191', 1534718128, 1534718143, 'ES', 'Spain'),
(58761, '91.121.240.192', '91.121.240.207', 1534718144, 1534718159, 'FR', 'France'),
(58762, '91.121.240.208', '91.121.240.223', 1534718160, 1534718175, 'DE', 'Germany'),
(58763, '91.121.240.224', '91.121.240.255', 1534718176, 1534718207, 'PL', 'Poland'),
(58764, '91.121.241.0', '91.121.241.63', 1534718208, 1534718271, 'DE', 'Germany'),
(58765, '91.121.241.64', '91.121.241.127', 1534718272, 1534718335, 'FR', 'France'),
(58766, '91.121.241.128', '91.121.241.143', 1534718336, 1534718351, 'CH', 'Switzerland'),
(58767, '91.121.241.144', '91.121.241.151', 1534718352, 1534718359, 'GB', 'United Kingdom'),
(58768, '91.121.241.152', '91.121.241.155', 1534718360, 1534718363, 'ES', 'Spain'),
(58769, '91.121.241.156', '91.121.241.191', 1534718364, 1534718399, 'FR', 'France'),
(58770, '91.121.241.192', '91.121.241.207', 1534718400, 1534718415, 'DE', 'Germany'),
(58771, '91.121.241.208', '91.121.241.211', 1534718416, 1534718419, 'ES', 'Spain'),
(58772, '91.121.241.212', '91.121.241.215', 1534718420, 1534718423, 'GB', 'United Kingdom'),
(58773, '91.121.241.216', '91.121.241.223', 1534718424, 1534718431, 'ES', 'Spain'),
(58774, '91.121.241.224', '91.121.241.227', 1534718432, 1534718435, 'GB', 'United Kingdom'),
(58775, '91.121.241.228', '91.121.241.231', 1534718436, 1534718439, 'DE', 'Germany'),
(58776, '91.121.241.232', '91.121.241.239', 1534718440, 1534718447, 'ES', 'Spain'),
(58777, '91.121.241.240', '91.121.241.243', 1534718448, 1534718451, 'FR', 'France'),
(58778, '91.121.241.244', '91.121.241.247', 1534718452, 1534718455, 'DE', 'Germany'),
(58779, '91.121.241.248', '91.121.241.255', 1534718456, 1534718463, 'IT', 'Italy'),
(58780, '91.121.242.0', '91.121.242.3', 1534718464, 1534718467, 'DE', 'Germany'),
(58781, '91.121.242.4', '91.121.242.7', 1534718468, 1534718471, 'PT', 'Portugal'),
(58782, '91.121.242.8', '91.121.242.23', 1534718472, 1534718487, 'PL', 'Poland'),
(58783, '91.121.242.24', '91.121.242.31', 1534718488, 1534718495, 'DE', 'Germany'),
(58784, '91.121.242.32', '91.121.242.67', 1534718496, 1534718531, 'FR', 'France'),
(58785, '91.121.242.68', '91.121.242.71', 1534718532, 1534718535, 'PL', 'Poland'),
(58786, '91.121.242.72', '91.121.242.75', 1534718536, 1534718539, 'DE', 'Germany'),
(58787, '91.121.242.76', '91.121.242.79', 1534718540, 1534718543, 'ES', 'Spain'),
(58788, '91.121.242.80', '91.121.242.95', 1534718544, 1534718559, 'FR', 'France'),
(58789, '91.121.242.96', '91.121.242.111', 1534718560, 1534718575, 'BE', 'Belgium'),
(58790, '91.121.242.112', '91.121.242.127', 1534718576, 1534718591, 'GB', 'United Kingdom'),
(58791, '91.121.242.128', '91.121.242.143', 1534718592, 1534718607, 'NL', 'Netherlands'),
(58792, '91.121.242.144', '91.121.242.159', 1534718608, 1534718623, 'FR', 'France'),
(58793, '91.121.242.160', '91.121.242.167', 1534718624, 1534718631, 'PL', 'Poland'),
(58794, '91.121.242.168', '91.121.242.223', 1534718632, 1534718687, 'FR', 'France'),
(58795, '91.121.242.224', '91.121.242.239', 1534718688, 1534718703, 'PL', 'Poland'),
(58796, '91.121.242.240', '91.121.242.247', 1534718704, 1534718711, 'FR', 'France'),
(58797, '91.121.242.248', '91.121.242.255', 1534718712, 1534718719, 'ES', 'Spain'),
(58798, '91.121.243.0', '91.121.243.15', 1534718720, 1534718735, 'GB', 'United Kingdom'),
(58799, '91.121.243.16', '91.121.243.19', 1534718736, 1534718739, 'NL', 'Netherlands'),
(58800, '91.121.243.20', '91.121.243.39', 1534718740, 1534718759, 'FR', 'France'),
(58801, '91.121.243.40', '91.121.243.47', 1534718760, 1534718767, 'PL', 'Poland'),
(58802, '91.121.243.48', '91.121.243.63', 1534718768, 1534718783, 'FR', 'France'),
(58803, '91.121.243.64', '91.121.243.95', 1534718784, 1534718815, 'ES', 'Spain'),
(58804, '91.121.243.96', '91.121.243.111', 1534718816, 1534718831, 'GB', 'United Kingdom'),
(58805, '91.121.243.112', '91.121.243.127', 1534718832, 1534718847, 'FR', 'France'),
(58806, '91.121.243.128', '91.121.243.191', 1534718848, 1534718911, 'BE', 'Belgium'),
(58807, '91.121.243.192', '91.121.243.207', 1534718912, 1534718927, 'IT', 'Italy'),
(58808, '91.121.243.208', '91.121.243.239', 1534718928, 1534718959, 'FR', 'France'),
(58809, '91.121.243.240', '91.121.243.255', 1534718960, 1534718975, 'ES', 'Spain'),
(58810, '91.121.244.0', '91.121.244.63', 1534718976, 1534719039, 'FR', 'France'),
(58811, '91.121.244.64', '91.121.244.79', 1534719040, 1534719055, 'BE', 'Belgium'),
(58812, '91.121.244.80', '91.121.244.95', 1534719056, 1534719071, 'FR', 'France'),
(58813, '91.121.244.96', '91.121.244.99', 1534719072, 1534719075, 'FI', 'Finland'),
(58814, '91.121.244.100', '91.121.244.103', 1534719076, 1534719079, 'ES', 'Spain'),
(58815, '91.121.244.104', '91.121.244.107', 1534719080, 1534719083, 'IT', 'Italy'),
(58816, '91.121.244.108', '91.121.244.111', 1534719084, 1534719087, 'CH', 'Switzerland'),
(58817, '91.121.244.112', '91.121.244.127', 1534719088, 1534719103, 'PL', 'Poland'),
(58818, '91.121.244.128', '91.121.244.191', 1534719104, 1534719167, 'BE', 'Belgium'),
(58819, '91.121.244.192', '91.121.244.223', 1534719168, 1534719199, 'FR', 'France'),
(58820, '91.121.244.224', '91.121.244.239', 1534719200, 1534719215, 'PL', 'Poland'),
(58821, '91.121.244.240', '91.121.245.47', 1534719216, 1534719279, 'FR', 'France'),
(58822, '91.121.245.48', '91.121.245.63', 1534719280, 1534719295, 'GB', 'United Kingdom'),
(58823, '91.121.245.64', '91.121.245.79', 1534719296, 1534719311, 'DE', 'Germany'),
(58824, '91.121.245.80', '91.121.245.103', 1534719312, 1534719335, 'FR', 'France'),
(58825, '91.121.245.104', '91.121.245.111', 1534719336, 1534719343, 'PL', 'Poland'),
(58826, '91.121.245.112', '91.121.245.127', 1534719344, 1534719359, 'FR', 'France'),
(58827, '91.121.245.128', '91.121.245.143', 1534719360, 1534719375, 'PL', 'Poland'),
(58828, '91.121.245.144', '91.121.245.159', 1534719376, 1534719391, 'DE', 'Germany'),
(58829, '91.121.245.160', '91.121.245.163', 1534719392, 1534719395, 'CH', 'Switzerland'),
(58830, '91.121.245.164', '91.121.245.167', 1534719396, 1534719399, 'PT', 'Portugal'),
(58831, '91.121.245.168', '91.121.245.171', 1534719400, 1534719403, 'IT', 'Italy'),
(58832, '91.121.245.172', '91.121.245.207', 1534719404, 1534719439, 'FR', 'France'),
(58833, '91.121.245.208', '91.121.245.227', 1534719440, 1534719459, 'PL', 'Poland'),
(58834, '91.121.245.228', '91.121.245.231', 1534719460, 1534719463, 'FR', 'France'),
(58835, '91.121.245.232', '91.121.245.239', 1534719464, 1534719471, 'PL', 'Poland'),
(58836, '91.121.245.240', '91.121.245.255', 1534719472, 1534719487, 'IE', 'Ireland'),
(58837, '91.121.246.0', '91.121.246.15', 1534719488, 1534719503, 'NL', 'Netherlands'),
(58838, '91.121.246.16', '91.121.246.19', 1534719504, 1534719507, 'DE', 'Germany'),
(58839, '91.121.246.20', '91.121.246.23', 1534719508, 1534719511, 'GB', 'United Kingdom'),
(58840, '91.121.246.24', '91.121.246.27', 1534719512, 1534719515, 'PL', 'Poland'),
(58841, '91.121.246.28', '91.121.246.31', 1534719516, 1534719519, 'DE', 'Germany'),
(58842, '91.121.246.32', '91.121.246.47', 1534719520, 1534719535, 'ES', 'Spain'),
(58843, '91.121.246.48', '91.121.246.51', 1534719536, 1534719539, 'NL', 'Netherlands'),
(58844, '91.121.246.52', '91.121.246.55', 1534719540, 1534719543, 'IE', 'Ireland'),
(58845, '91.121.246.56', '91.121.246.63', 1534719544, 1534719551, 'PL', 'Poland'),
(58846, '91.121.246.64', '91.121.246.143', 1534719552, 1534719631, 'FR', 'France'),
(58847, '91.121.246.144', '91.121.246.151', 1534719632, 1534719639, 'ES', 'Spain'),
(58848, '91.121.246.152', '91.121.246.159', 1534719640, 1534719647, 'FR', 'France'),
(58849, '91.121.246.160', '91.121.246.167', 1534719648, 1534719655, 'IE', 'Ireland'),
(58850, '91.121.246.168', '91.121.246.175', 1534719656, 1534719663, 'FR', 'France'),
(58851, '91.121.246.176', '91.121.246.191', 1534719664, 1534719679, 'IE', 'Ireland'),
(58852, '91.121.246.192', '91.121.246.207', 1534719680, 1534719695, 'GB', 'United Kingdom'),
(58853, '91.121.246.208', '91.121.246.211', 1534719696, 1534719699, 'IT', 'Italy'),
(58854, '91.121.246.212', '91.121.246.215', 1534719700, 1534719703, 'DE', 'Germany'),
(58855, '91.121.246.216', '91.121.246.223', 1534719704, 1534719711, 'GB', 'United Kingdom'),
(58856, '91.121.246.224', '91.121.247.3', 1534719712, 1534719747, 'FR', 'France'),
(58857, '91.121.247.4', '91.121.247.7', 1534719748, 1534719751, 'PL', 'Poland'),
(58858, '91.121.247.8', '91.121.247.15', 1534719752, 1534719759, 'FR', 'France'),
(58859, '91.121.247.16', '91.121.247.31', 1534719760, 1534719775, 'IT', 'Italy'),
(58860, '91.121.247.32', '91.121.247.39', 1534719776, 1534719783, 'PL', 'Poland'),
(58861, '91.121.247.40', '91.121.247.43', 1534719784, 1534719787, 'FR', 'France'),
(58862, '91.121.247.44', '91.121.247.47', 1534719788, 1534719791, 'PL', 'Poland'),
(58863, '91.121.247.48', '91.121.247.55', 1534719792, 1534719799, 'FR', 'France'),
(58864, '91.121.247.56', '91.121.247.59', 1534719800, 1534719803, 'ES', 'Spain'),
(58865, '91.121.247.60', '91.121.247.63', 1534719804, 1534719807, 'GB', 'United Kingdom'),
(58866, '91.121.247.64', '91.121.247.67', 1534719808, 1534719811, 'PL', 'Poland'),
(58867, '91.121.247.68', '91.121.247.71', 1534719812, 1534719815, 'FR', 'France'),
(58868, '91.121.247.72', '91.121.247.75', 1534719816, 1534719819, 'CH', 'Switzerland'),
(58869, '91.121.247.76', '91.121.247.79', 1534719820, 1534719823, 'CZ', 'Czech Republic'),
(58870, '91.121.247.80', '91.121.247.83', 1534719824, 1534719827, 'PT', 'Portugal'),
(58871, '91.121.247.84', '91.121.247.87', 1534719828, 1534719831, 'FR', 'France'),
(58872, '91.121.247.88', '91.121.247.95', 1534719832, 1534719839, 'PL', 'Poland'),
(58873, '91.121.247.96', '91.121.247.207', 1534719840, 1534719951, 'FR', 'France'),
(58874, '91.121.247.208', '91.121.247.223', 1534719952, 1534719967, 'DE', 'Germany'),
(58875, '91.121.247.224', '91.121.247.239', 1534719968, 1534719983, 'PL', 'Poland'),
(58876, '91.121.247.240', '91.121.248.3', 1534719984, 1534720003, 'FR', 'France'),
(58877, '91.121.248.4', '91.121.248.7', 1534720004, 1534720007, 'ES', 'Spain'),
(58878, '91.121.248.8', '91.121.248.15', 1534720008, 1534720015, 'FR', 'France'),
(58879, '91.121.248.16', '91.121.248.23', 1534720016, 1534720023, 'ES', 'Spain'),
(58880, '91.121.248.24', '91.121.248.27', 1534720024, 1534720027, 'PL', 'Poland'),
(58881, '91.121.248.28', '91.121.248.63', 1534720028, 1534720063, 'ES', 'Spain'),
(58882, '91.121.248.64', '91.121.248.79', 1534720064, 1534720079, 'FR', 'France'),
(58883, '91.121.248.80', '91.121.248.95', 1534720080, 1534720095, 'GB', 'United Kingdom'),
(58884, '91.121.248.96', '91.121.248.111', 1534720096, 1534720111, 'FR', 'France'),
(58885, '91.121.248.112', '91.121.248.127', 1534720112, 1534720127, 'ES', 'Spain'),
(58886, '91.121.248.128', '91.121.248.211', 1534720128, 1534720211, 'FR', 'France'),
(58887, '91.121.248.212', '91.121.248.215', 1534720212, 1534720215, 'PL', 'Poland'),
(58888, '91.121.248.216', '91.121.248.219', 1534720216, 1534720219, 'FR', 'France'),
(58889, '91.121.248.220', '91.121.248.223', 1534720220, 1534720223, 'GB', 'United Kingdom'),
(58890, '91.121.248.224', '91.121.248.239', 1534720224, 1534720239, 'DE', 'Germany'),
(58891, '91.121.248.240', '91.121.248.255', 1534720240, 1534720255, 'BE', 'Belgium'),
(58892, '91.121.249.0', '91.121.249.15', 1534720256, 1534720271, 'FR', 'France'),
(58893, '91.121.249.16', '91.121.249.31', 1534720272, 1534720287, 'PL', 'Poland'),
(58894, '91.121.249.32', '91.121.249.35', 1534720288, 1534720291, 'IT', 'Italy'),
(58895, '91.121.249.36', '91.121.249.39', 1534720292, 1534720295, 'PL', 'Poland'),
(58896, '91.121.249.40', '91.121.249.43', 1534720296, 1534720299, 'GB', 'United Kingdom'),
(58897, '91.121.249.44', '91.121.249.95', 1534720300, 1534720351, 'FR', 'France'),
(58898, '91.121.249.96', '91.121.249.111', 1534720352, 1534720367, 'ES', 'Spain'),
(58899, '91.121.249.112', '91.121.249.127', 1534720368, 1534720383, 'PL', 'Poland'),
(58900, '91.121.249.128', '91.121.249.135', 1534720384, 1534720391, 'PT', 'Portugal'),
(58901, '91.121.249.136', '91.121.249.139', 1534720392, 1534720395, 'DE', 'Germany'),
(58902, '91.121.249.140', '91.121.249.143', 1534720396, 1534720399, 'PL', 'Poland'),
(58903, '91.121.249.144', '91.121.249.147', 1534720400, 1534720403, 'LT', 'Lithuania'),
(58904, '91.121.249.148', '91.121.249.155', 1534720404, 1534720411, 'GB', 'United Kingdom'),
(58905, '91.121.249.156', '91.121.249.159', 1534720412, 1534720415, 'IE', 'Ireland'),
(58906, '91.121.249.160', '91.121.249.163', 1534720416, 1534720419, 'ES', 'Spain'),
(58907, '91.121.249.164', '91.121.249.167', 1534720420, 1534720423, 'DE', 'Germany'),
(58908, '91.121.249.168', '91.121.249.175', 1534720424, 1534720431, 'ES', 'Spain'),
(58909, '91.121.249.176', '91.121.249.179', 1534720432, 1534720435, 'DE', 'Germany'),
(58910, '91.121.249.180', '91.121.249.183', 1534720436, 1534720439, 'FR', 'France'),
(58911, '91.121.249.184', '91.121.249.187', 1534720440, 1534720443, 'GB', 'United Kingdom'),
(58912, '91.121.249.188', '91.121.249.191', 1534720444, 1534720447, 'NL', 'Netherlands'),
(58913, '91.121.249.192', '91.121.249.195', 1534720448, 1534720451, 'FR', 'France'),
(58914, '91.121.249.196', '91.121.249.199', 1534720452, 1534720455, 'NL', 'Netherlands'),
(58915, '91.121.249.200', '91.121.249.207', 1534720456, 1534720463, 'IE', 'Ireland'),
(58916, '91.121.249.208', '91.121.249.211', 1534720464, 1534720467, 'FR', 'France'),
(58917, '91.121.249.212', '91.121.249.215', 1534720468, 1534720471, 'GB', 'United Kingdom'),
(58918, '91.121.249.216', '91.121.249.223', 1534720472, 1534720479, 'DE', 'Germany'),
(58919, '91.121.249.224', '91.121.249.239', 1534720480, 1534720495, 'IE', 'Ireland'),
(58920, '91.121.249.240', '91.121.249.255', 1534720496, 1534720511, 'PL', 'Poland'),
(58921, '91.121.250.0', '91.121.250.23', 1534720512, 1534720535, 'FR', 'France'),
(58922, '91.121.250.24', '91.121.250.27', 1534720536, 1534720539, 'PL', 'Poland'),
(58923, '91.121.250.28', '91.121.250.31', 1534720540, 1534720543, 'FI', 'Finland'),
(58924, '91.121.250.32', '91.121.250.47', 1534720544, 1534720559, 'FR', 'France'),
(58925, '91.121.250.48', '91.121.250.71', 1534720560, 1534720583, 'IT', 'Italy'),
(58926, '91.121.250.72', '91.121.250.79', 1534720584, 1534720591, 'BE', 'Belgium'),
(58927, '91.121.250.80', '91.121.250.99', 1534720592, 1534720611, 'FR', 'France'),
(58928, '91.121.250.100', '91.121.250.103', 1534720612, 1534720615, 'BE', 'Belgium'),
(58929, '91.121.250.104', '91.121.250.107', 1534720616, 1534720619, 'DE', 'Germany'),
(58930, '91.121.250.108', '91.121.250.111', 1534720620, 1534720623, 'PT', 'Portugal'),
(58931, '91.121.250.112', '91.121.250.127', 1534720624, 1534720639, 'FR', 'France'),
(58932, '91.121.250.128', '91.121.250.131', 1534720640, 1534720643, 'PL', 'Poland'),
(58933, '91.121.250.132', '91.121.250.135', 1534720644, 1534720647, 'NL', 'Netherlands'),
(58934, '91.121.250.136', '91.121.250.143', 1534720648, 1534720655, 'IE', 'Ireland'),
(58935, '91.121.250.144', '91.121.250.159', 1534720656, 1534720671, 'ES', 'Spain'),
(58936, '91.121.250.160', '91.121.250.227', 1534720672, 1534720739, 'FR', 'France'),
(58937, '91.121.250.228', '91.121.250.231', 1534720740, 1534720743, 'PL', 'Poland'),
(58938, '91.121.250.232', '91.121.250.235', 1534720744, 1534720747, 'IE', 'Ireland'),
(58939, '91.121.250.236', '91.121.250.255', 1534720748, 1534720767, 'FR', 'France'),
(58940, '91.121.251.0', '91.121.251.15', 1534720768, 1534720783, 'ES', 'Spain'),
(58941, '91.121.251.16', '91.121.251.19', 1534720784, 1534720787, 'FR', 'France'),
(58942, '91.121.251.20', '91.121.251.23', 1534720788, 1534720791, 'DE', 'Germany'),
(58943, '91.121.251.24', '91.121.251.27', 1534720792, 1534720795, 'IT', 'Italy'),
(58944, '91.121.251.28', '91.121.251.31', 1534720796, 1534720799, 'ES', 'Spain'),
(58945, '91.121.251.32', '91.121.251.47', 1534720800, 1534720815, 'PL', 'Poland'),
(58946, '91.121.251.48', '91.121.251.63', 1534720816, 1534720831, 'FR', 'France'),
(58947, '91.121.251.64', '91.121.251.95', 1534720832, 1534720863, 'PL', 'Poland'),
(58948, '91.121.251.96', '91.121.251.111', 1534720864, 1534720879, 'ES', 'Spain'),
(58949, '91.121.251.112', '91.121.251.127', 1534720880, 1534720895, 'FR', 'France'),
(58950, '91.121.251.128', '91.121.251.131', 1534720896, 1534720899, 'ES', 'Spain'),
(58951, '91.121.251.132', '91.121.251.135', 1534720900, 1534720903, 'LT', 'Lithuania');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(58952, '91.121.251.136', '91.121.251.175', 1534720904, 1534720943, 'FR', 'France'),
(58953, '91.121.251.176', '91.121.251.183', 1534720944, 1534720951, 'CH', 'Switzerland'),
(58954, '91.121.251.184', '91.121.251.191', 1534720952, 1534720959, 'PL', 'Poland'),
(58955, '91.121.251.192', '91.121.251.199', 1534720960, 1534720967, 'IT', 'Italy'),
(58956, '91.121.251.200', '91.121.251.203', 1534720968, 1534720971, 'DE', 'Germany'),
(58957, '91.121.251.204', '91.121.251.207', 1534720972, 1534720975, 'PL', 'Poland'),
(58958, '91.121.251.208', '91.121.251.211', 1534720976, 1534720979, 'NL', 'Netherlands'),
(58959, '91.121.251.212', '91.121.251.215', 1534720980, 1534720983, 'GB', 'United Kingdom'),
(58960, '91.121.251.216', '91.121.251.223', 1534720984, 1534720991, 'PL', 'Poland'),
(58961, '91.121.251.224', '91.121.251.227', 1534720992, 1534720995, 'PT', 'Portugal'),
(58962, '91.121.251.228', '91.121.251.231', 1534720996, 1534720999, 'ES', 'Spain'),
(58963, '91.121.251.232', '91.121.251.235', 1534721000, 1534721003, 'FI', 'Finland'),
(58964, '91.121.251.236', '91.121.251.239', 1534721004, 1534721007, 'GB', 'United Kingdom'),
(58965, '91.121.251.240', '91.121.251.255', 1534721008, 1534721023, 'ES', 'Spain'),
(58966, '91.121.252.0', '91.121.252.7', 1534721024, 1534721031, 'DE', 'Germany'),
(58967, '91.121.252.8', '91.121.252.31', 1534721032, 1534721055, 'FR', 'France'),
(58968, '91.121.252.32', '91.121.252.39', 1534721056, 1534721063, 'ES', 'Spain'),
(58969, '91.121.252.40', '91.121.252.63', 1534721064, 1534721087, 'GB', 'United Kingdom'),
(58970, '91.121.252.64', '91.121.252.79', 1534721088, 1534721103, 'ES', 'Spain'),
(58971, '91.121.252.80', '91.121.252.87', 1534721104, 1534721111, 'PL', 'Poland'),
(58972, '91.121.252.88', '91.121.252.91', 1534721112, 1534721115, 'DE', 'Germany'),
(58973, '91.121.252.92', '91.121.252.95', 1534721116, 1534721119, 'FR', 'France'),
(58974, '91.121.252.96', '91.121.252.111', 1534721120, 1534721135, 'IT', 'Italy'),
(58975, '91.121.252.112', '91.121.252.135', 1534721136, 1534721159, 'FR', 'France'),
(58976, '91.121.252.136', '91.121.252.139', 1534721160, 1534721163, 'ES', 'Spain'),
(58977, '91.121.252.140', '91.121.252.159', 1534721164, 1534721183, 'FR', 'France'),
(58978, '91.121.252.160', '91.121.252.167', 1534721184, 1534721191, 'LT', 'Lithuania'),
(58979, '91.121.252.168', '91.121.252.171', 1534721192, 1534721195, 'FR', 'France'),
(58980, '91.121.252.172', '91.121.252.175', 1534721196, 1534721199, 'IT', 'Italy'),
(58981, '91.121.252.176', '91.121.252.191', 1534721200, 1534721215, 'FR', 'France'),
(58982, '91.121.252.192', '91.121.252.199', 1534721216, 1534721223, 'BE', 'Belgium'),
(58983, '91.121.252.200', '91.121.252.207', 1534721224, 1534721231, 'CH', 'Switzerland'),
(58984, '91.121.252.208', '91.121.252.223', 1534721232, 1534721247, 'DE', 'Germany'),
(58985, '91.121.252.224', '91.121.252.239', 1534721248, 1534721263, 'FR', 'France'),
(58986, '91.121.252.240', '91.121.252.255', 1534721264, 1534721279, 'GB', 'United Kingdom'),
(58987, '91.121.253.0', '91.121.253.15', 1534721280, 1534721295, 'PL', 'Poland'),
(58988, '91.121.253.16', '91.121.253.31', 1534721296, 1534721311, 'FR', 'France'),
(58989, '91.121.253.32', '91.121.253.39', 1534721312, 1534721319, 'PL', 'Poland'),
(58990, '91.121.253.40', '91.121.253.47', 1534721320, 1534721327, 'PT', 'Portugal'),
(58991, '91.121.253.48', '91.121.253.63', 1534721328, 1534721343, 'NL', 'Netherlands'),
(58992, '91.121.253.64', '91.121.253.79', 1534721344, 1534721359, 'PL', 'Poland'),
(58993, '91.121.253.80', '91.121.253.95', 1534721360, 1534721375, 'GB', 'United Kingdom'),
(58994, '91.121.253.96', '91.121.253.111', 1534721376, 1534721391, 'ES', 'Spain'),
(58995, '91.121.253.112', '91.121.253.127', 1534721392, 1534721407, 'PL', 'Poland'),
(58996, '91.121.253.128', '91.121.253.159', 1534721408, 1534721439, 'DE', 'Germany'),
(58997, '91.121.253.160', '91.121.253.175', 1534721440, 1534721455, 'FR', 'France'),
(58998, '91.121.253.176', '91.121.253.211', 1534721456, 1534721491, 'GB', 'United Kingdom'),
(58999, '91.121.253.212', '91.121.253.215', 1534721492, 1534721495, 'FR', 'France'),
(59000, '91.121.253.216', '91.121.253.239', 1534721496, 1534721519, 'PL', 'Poland'),
(59001, '91.121.253.240', '91.121.253.247', 1534721520, 1534721527, 'FR', 'France'),
(59002, '91.121.253.248', '91.121.253.251', 1534721528, 1534721531, 'ES', 'Spain'),
(59003, '91.121.253.252', '91.121.254.31', 1534721532, 1534721567, 'FR', 'France'),
(59004, '91.121.254.32', '91.121.254.47', 1534721568, 1534721583, 'GB', 'United Kingdom'),
(59005, '91.121.254.48', '91.121.254.51', 1534721584, 1534721587, 'IE', 'Ireland'),
(59006, '91.121.254.52', '91.121.254.59', 1534721588, 1534721595, 'FR', 'France'),
(59007, '91.121.254.60', '91.121.254.79', 1534721596, 1534721615, 'ES', 'Spain'),
(59008, '91.121.254.80', '91.121.254.83', 1534721616, 1534721619, 'PL', 'Poland'),
(59009, '91.121.254.84', '91.121.254.87', 1534721620, 1534721623, 'ES', 'Spain'),
(59010, '91.121.254.88', '91.121.254.91', 1534721624, 1534721627, 'PL', 'Poland'),
(59011, '91.121.254.92', '91.121.254.95', 1534721628, 1534721631, 'NL', 'Netherlands'),
(59012, '91.121.254.96', '91.121.254.111', 1534721632, 1534721647, 'ES', 'Spain'),
(59013, '91.121.254.112', '91.121.254.127', 1534721648, 1534721663, 'FR', 'France'),
(59014, '91.121.254.128', '91.121.254.143', 1534721664, 1534721679, 'ES', 'Spain'),
(59015, '91.121.254.144', '91.121.254.159', 1534721680, 1534721695, 'FR', 'France'),
(59016, '91.121.254.160', '91.121.254.167', 1534721696, 1534721703, 'PL', 'Poland'),
(59017, '91.121.254.168', '91.121.254.171', 1534721704, 1534721707, 'DE', 'Germany'),
(59018, '91.121.254.172', '91.121.254.175', 1534721708, 1534721711, 'GB', 'United Kingdom'),
(59019, '91.121.254.176', '91.121.254.207', 1534721712, 1534721743, 'FR', 'France'),
(59020, '91.121.254.208', '91.121.254.211', 1534721744, 1534721747, 'PL', 'Poland'),
(59021, '91.121.254.212', '91.121.254.215', 1534721748, 1534721751, 'GB', 'United Kingdom'),
(59022, '91.121.254.216', '91.121.254.219', 1534721752, 1534721755, 'DE', 'Germany'),
(59023, '91.121.254.220', '91.121.255.15', 1534721756, 1534721807, 'FR', 'France'),
(59024, '91.121.255.16', '91.121.255.35', 1534721808, 1534721827, 'PL', 'Poland'),
(59025, '91.121.255.36', '91.121.255.39', 1534721828, 1534721831, 'FR', 'France'),
(59026, '91.121.255.40', '91.121.255.43', 1534721832, 1534721835, 'DE', 'Germany'),
(59027, '91.121.255.44', '91.121.255.47', 1534721836, 1534721839, 'BE', 'Belgium'),
(59028, '91.121.255.48', '91.121.255.63', 1534721840, 1534721855, 'PL', 'Poland'),
(59029, '91.121.255.64', '91.121.255.95', 1534721856, 1534721887, 'ES', 'Spain'),
(59030, '91.121.255.96', '91.121.255.111', 1534721888, 1534721903, 'FR', 'France'),
(59031, '91.121.255.112', '91.121.255.127', 1534721904, 1534721919, 'DE', 'Germany'),
(59032, '91.121.255.128', '91.121.255.143', 1534721920, 1534721935, 'FR', 'France'),
(59033, '91.121.255.144', '91.121.255.151', 1534721936, 1534721943, 'CH', 'Switzerland'),
(59034, '91.121.255.152', '91.121.255.159', 1534721944, 1534721951, 'IT', 'Italy'),
(59035, '91.121.255.160', '91.121.255.163', 1534721952, 1534721955, 'NL', 'Netherlands'),
(59036, '91.121.255.164', '91.121.255.167', 1534721956, 1534721959, 'PL', 'Poland'),
(59037, '91.121.255.168', '91.121.255.171', 1534721960, 1534721963, 'IE', 'Ireland'),
(59038, '91.121.255.172', '91.121.255.175', 1534721964, 1534721967, 'CH', 'Switzerland'),
(59039, '91.121.255.176', '91.121.255.179', 1534721968, 1534721971, 'DE', 'Germany'),
(59040, '91.121.255.180', '91.121.255.183', 1534721972, 1534721975, 'PL', 'Poland'),
(59041, '91.121.255.184', '91.121.255.187', 1534721976, 1534721979, 'FI', 'Finland'),
(59042, '91.121.255.188', '91.121.255.191', 1534721980, 1534721983, 'PL', 'Poland'),
(59043, '91.121.255.192', '91.121.255.207', 1534721984, 1534721999, 'FR', 'France'),
(59044, '91.121.255.208', '91.121.255.215', 1534722000, 1534722007, 'PL', 'Poland'),
(59045, '91.121.255.216', '91.121.255.219', 1534722008, 1534722011, 'PT', 'Portugal'),
(59046, '91.121.255.220', '91.121.255.223', 1534722012, 1534722015, 'ES', 'Spain'),
(59047, '91.121.255.224', '91.121.255.239', 1534722016, 1534722031, 'IE', 'Ireland'),
(59048, '91.121.255.240', '91.121.255.247', 1534722032, 1534722039, 'FR', 'France'),
(59049, '91.121.255.248', '91.121.255.251', 1534722040, 1534722043, 'BE', 'Belgium'),
(59050, '91.121.255.252', '91.121.255.255', 1534722044, 1534722047, 'FR', 'France'),
(59051, '91.122.0.0', '91.122.255.255', 1534722048, 1534787583, 'RU', 'Russian Federation'),
(59052, '91.123.0.0', '91.123.15.255', 1534787584, 1534791679, 'RO', 'Romania'),
(59053, '91.123.16.0', '91.123.31.255', 1534791680, 1534795775, 'RU', 'Russian Federation'),
(59054, '91.123.32.0', '91.123.63.255', 1534795776, 1534803967, 'NO', 'Norway'),
(59055, '91.123.64.0', '91.123.79.255', 1534803968, 1534808063, 'LV', 'Latvia'),
(59056, '91.123.80.0', '91.123.95.255', 1534808064, 1534812159, 'RU', 'Russian Federation'),
(59057, '91.123.96.0', '91.123.111.255', 1534812160, 1534816255, 'CH', 'Switzerland'),
(59058, '91.123.112.0', '91.123.127.255', 1534816256, 1534820351, 'FR', 'France'),
(59059, '91.123.128.0', '91.123.143.255', 1534820352, 1534824447, 'FI', 'Finland'),
(59060, '91.123.144.0', '91.123.159.255', 1534824448, 1534828543, 'UA', 'Ukraine'),
(59061, '91.123.160.0', '91.123.191.255', 1534828544, 1534836735, 'PL', 'Poland'),
(59062, '91.123.192.0', '91.123.207.255', 1534836736, 1534840831, 'SE', 'Sweden'),
(59063, '91.123.208.0', '91.123.223.255', 1534840832, 1534844927, 'PL', 'Poland'),
(59064, '91.123.224.0', '91.123.239.255', 1534844928, 1534849023, 'IE', 'Ireland'),
(59065, '91.123.240.0', '91.123.255.255', 1534849024, 1534853119, 'NL', 'Netherlands'),
(59066, '91.124.0.0', '91.124.255.255', 1534853120, 1534918655, 'UA', 'Ukraine'),
(59067, '91.125.0.0', '91.125.255.255', 1534918656, 1534984191, 'GB', 'United Kingdom'),
(59068, '91.126.0.0', '91.126.22.31', 1534984192, 1534989855, 'SE', 'Sweden'),
(59069, '91.126.22.32', '91.126.22.239', 1534989856, 1534990063, 'ES', 'Spain'),
(59070, '91.126.22.240', '91.126.22.255', 1534990064, 1534990079, 'SE', 'Sweden'),
(59071, '91.126.23.0', '91.126.23.255', 1534990080, 1534990335, 'ES', 'Spain'),
(59072, '91.126.24.0', '91.126.59.255', 1534990336, 1534999551, 'SE', 'Sweden'),
(59073, '91.126.60.0', '91.126.79.255', 1534999552, 1535004671, 'ES', 'Spain'),
(59074, '91.126.80.0', '91.126.87.255', 1535004672, 1535006719, 'SE', 'Sweden'),
(59075, '91.126.88.0', '91.126.89.255', 1535006720, 1535007231, 'ES', 'Spain'),
(59076, '91.126.90.0', '91.126.95.255', 1535007232, 1535008767, 'SE', 'Sweden'),
(59077, '91.126.96.0', '91.126.119.255', 1535008768, 1535014911, 'ES', 'Spain'),
(59078, '91.126.120.0', '91.126.131.255', 1535014912, 1535017983, 'SE', 'Sweden'),
(59079, '91.126.132.0', '91.126.137.255', 1535017984, 1535019519, 'ES', 'Spain'),
(59080, '91.126.138.0', '91.126.141.255', 1535019520, 1535020543, 'SE', 'Sweden'),
(59081, '91.126.142.0', '91.126.143.255', 1535020544, 1535021055, 'ES', 'Spain'),
(59082, '91.126.144.0', '91.126.147.255', 1535021056, 1535022079, 'SE', 'Sweden'),
(59083, '91.126.148.0', '91.126.151.255', 1535022080, 1535023103, 'ES', 'Spain'),
(59084, '91.126.152.0', '91.126.155.255', 1535023104, 1535024127, 'SE', 'Sweden'),
(59085, '91.126.156.0', '91.126.255.255', 1535024128, 1535049727, 'ES', 'Spain'),
(59086, '91.127.0.0', '91.127.255.255', 1535049728, 1535115263, 'SK', 'Slovakia'),
(59087, '91.128.0.0', '91.129.63.255', 1535115264, 1535197183, 'AT', 'Austria'),
(59088, '91.129.64.0', '91.129.255.255', 1535197184, 1535246335, 'SE', 'Sweden'),
(59089, '91.130.0.0', '91.131.255.255', 1535246336, 1535377407, 'AT', 'Austria'),
(59090, '91.132.0.0', '91.132.255.255', 1535377408, 1535442943, 'GR', 'Greece'),
(59091, '91.133.0.0', '91.133.255.255', 1535442944, 1535508479, 'FI', 'Finland'),
(59092, '91.134.0.0', '91.134.255.255', 1535508480, 1535574015, 'BG', 'Bulgaria'),
(59093, '91.135.0.0', '91.135.15.255', 1535574016, 1535578111, 'GB', 'United Kingdom'),
(59094, '91.135.16.0', '91.135.31.255', 1535578112, 1535582207, 'LV', 'Latvia'),
(59095, '91.135.32.0', '91.135.63.255', 1535582208, 1535590399, 'NO', 'Norway'),
(59096, '91.135.64.0', '91.135.79.255', 1535590400, 1535594495, 'CH', 'Switzerland'),
(59097, '91.135.80.0', '91.135.95.255', 1535594496, 1535598591, 'LV', 'Latvia'),
(59098, '91.135.96.0', '91.135.111.255', 1535598592, 1535602687, 'IL', 'Israel'),
(59099, '91.135.112.0', '91.135.127.255', 1535602688, 1535606783, 'HU', 'Hungary'),
(59100, '91.135.128.0', '91.135.143.255', 1535606784, 1535610879, 'NO', 'Norway'),
(59101, '91.135.144.0', '91.135.159.255', 1535610880, 1535614975, 'RU', 'Russian Federation'),
(59102, '91.135.160.0', '91.135.175.255', 1535614976, 1535619071, 'AT', 'Austria'),
(59103, '91.135.176.0', '91.135.191.255', 1535619072, 1535623167, 'FR', 'France'),
(59104, '91.135.192.0', '91.135.207.255', 1535623168, 1535627263, 'KZ', 'Kazakhstan'),
(59105, '91.135.208.0', '91.135.223.255', 1535627264, 1535631359, 'RU', 'Russian Federation'),
(59106, '91.135.224.0', '91.135.239.255', 1535631360, 1535635455, 'GB', 'United Kingdom'),
(59107, '91.135.240.0', '91.135.255.255', 1535635456, 1535639551, 'AZ', 'Azerbaijan'),
(59108, '91.136.0.0', '91.136.127.255', 1535639552, 1535672319, 'GB', 'United Kingdom'),
(59109, '91.136.128.0', '91.137.3.255', 1535672320, 1535706111, 'DE', 'Germany'),
(59110, '91.137.4.0', '91.137.13.255', 1535706112, 1535708671, 'CH', 'Switzerland'),
(59111, '91.137.14.0', '91.137.17.254', 1535708672, 1535709694, 'DE', 'Germany'),
(59112, '91.137.17.255', '91.137.59.255', 1535709695, 1535720447, 'CH', 'Switzerland'),
(59113, '91.137.60.0', '91.137.64.255', 1535720448, 1535721727, 'DE', 'Germany'),
(59114, '91.137.65.0', '91.137.127.255', 1535721728, 1535737855, 'CH', 'Switzerland'),
(59115, '91.137.128.0', '91.137.252.255', 1535737856, 1535769855, 'HU', 'Hungary'),
(59116, '91.137.253.0', '91.137.255.255', 1535769856, 1535770623, 'SR', 'Suriname'),
(59117, '91.138.0.0', '91.138.127.255', 1535770624, 1535803391, 'CH', 'Switzerland'),
(59118, '91.138.128.0', '91.138.255.255', 1535803392, 1535836159, 'GR', 'Greece'),
(59119, '91.139.0.0', '91.139.127.255', 1535836160, 1535868927, 'HU', 'Hungary'),
(59120, '91.139.128.0', '91.139.255.255', 1535868928, 1535901695, 'BG', 'Bulgaria'),
(59121, '91.140.0.0', '91.140.127.255', 1535901696, 1535934463, 'GR', 'Greece'),
(59122, '91.140.128.0', '91.140.240.255', 1535934464, 1535963391, 'KW', 'Kuwait'),
(59123, '91.140.241.0', '91.140.241.255', 1535963392, 1535963647, 'US', 'United States'),
(59124, '91.140.242.0', '91.140.255.255', 1535963648, 1535967231, 'KW', 'Kuwait'),
(59125, '91.141.0.0', '91.141.127.255', 1535967232, 1535999999, 'AT', 'Austria'),
(59126, '91.141.128.0', '91.141.255.255', 1536000000, 1536032767, 'NL', 'Netherlands'),
(59127, '91.142.0.0', '91.142.15.255', 1536032768, 1536036863, 'LV', 'Latvia'),
(59128, '91.142.16.0', '91.142.31.255', 1536036864, 1536040959, 'AT', 'Austria'),
(59129, '91.142.32.0', '91.142.47.255', 1536040960, 1536045055, 'GB', 'United Kingdom'),
(59130, '91.142.48.0', '91.142.48.255', 1536045056, 1536045311, 'IQ', 'Iraq'),
(59131, '91.142.49.0', '91.142.49.255', 1536045312, 1536045567, 'LB', 'Lebanon'),
(59132, '91.142.50.0', '91.142.51.255', 1536045568, 1536046079, 'IQ', 'Iraq'),
(59133, '91.142.52.0', '91.142.54.255', 1536046080, 1536046847, 'DE', 'Germany'),
(59134, '91.142.55.0', '91.142.55.127', 1536046848, 1536046975, 'A2', 'Satellite Provider'),
(59135, '91.142.55.128', '91.142.55.191', 1536046976, 1536047039, 'SA', 'Saudi Arabia'),
(59136, '91.142.55.192', '91.142.55.255', 1536047040, 1536047103, 'IQ', 'Iraq'),
(59137, '91.142.56.0', '91.142.58.63', 1536047104, 1536047679, 'LB', 'Lebanon'),
(59138, '91.142.58.64', '91.142.59.127', 1536047680, 1536047999, 'A2', 'Satellite Provider'),
(59139, '91.142.59.128', '91.142.59.255', 1536048000, 1536048127, 'SA', 'Saudi Arabia'),
(59140, '91.142.60.0', '91.142.60.127', 1536048128, 1536048255, 'AE', 'United Arab Emirates'),
(59141, '91.142.60.128', '91.142.60.191', 1536048256, 1536048319, 'DE', 'Germany'),
(59142, '91.142.60.192', '91.142.60.255', 1536048320, 1536048383, 'IQ', 'Iraq'),
(59143, '91.142.61.0', '91.142.61.127', 1536048384, 1536048511, 'A2', 'Satellite Provider'),
(59144, '91.142.61.128', '91.142.61.191', 1536048512, 1536048575, 'IQ', 'Iraq'),
(59145, '91.142.61.192', '91.142.61.255', 1536048576, 1536048639, 'A2', 'Satellite Provider'),
(59146, '91.142.62.0', '91.142.62.31', 1536048640, 1536048671, 'FR', 'France'),
(59147, '91.142.62.32', '91.142.62.63', 1536048672, 1536048703, 'LU', 'Luxembourg'),
(59148, '91.142.62.64', '91.142.62.79', 1536048704, 1536048719, 'IQ', 'Iraq'),
(59149, '91.142.62.80', '91.142.62.95', 1536048720, 1536048735, 'NL', 'Netherlands'),
(59150, '91.142.62.96', '91.142.62.255', 1536048736, 1536048895, 'DE', 'Germany'),
(59151, '91.142.63.0', '91.142.63.255', 1536048896, 1536049151, 'A2', 'Satellite Provider'),
(59152, '91.142.64.0', '91.142.71.255', 1536049152, 1536051199, 'IT', 'Italy'),
(59153, '91.142.72.0', '91.142.95.255', 1536051200, 1536057343, 'RU', 'Russian Federation'),
(59154, '91.142.96.0', '91.142.111.255', 1536057344, 1536061439, 'IE', 'Ireland'),
(59155, '91.142.112.0', '91.142.127.255', 1536061440, 1536065535, 'SE', 'Sweden'),
(59156, '91.142.128.0', '91.142.128.255', 1536065536, 1536065791, 'GB', 'United Kingdom'),
(59157, '91.142.129.0', '91.142.130.255', 1536065792, 1536066303, 'LU', 'Luxembourg'),
(59158, '91.142.131.0', '91.142.132.255', 1536066304, 1536066815, 'NL', 'Netherlands'),
(59159, '91.142.133.0', '91.142.133.255', 1536066816, 1536067071, 'RU', 'Russian Federation'),
(59160, '91.142.134.0', '91.142.134.255', 1536067072, 1536067327, 'GB', 'United Kingdom'),
(59161, '91.142.135.0', '91.142.135.255', 1536067328, 1536067583, 'RU', 'Russian Federation'),
(59162, '91.142.136.0', '91.142.136.255', 1536067584, 1536067839, 'DK', 'Denmark'),
(59163, '91.142.137.0', '91.142.137.255', 1536067840, 1536068095, 'PL', 'Poland'),
(59164, '91.142.138.0', '91.142.138.255', 1536068096, 1536068351, 'RU', 'Russian Federation'),
(59165, '91.142.139.0', '91.142.139.255', 1536068352, 1536068607, 'HR', 'Croatia'),
(59166, '91.142.140.0', '91.142.141.255', 1536068608, 1536069119, 'RU', 'Russian Federation'),
(59167, '91.142.142.0', '91.142.142.255', 1536069120, 1536069375, 'TR', 'Turkey'),
(59168, '91.142.143.0', '91.142.143.255', 1536069376, 1536069631, 'IT', 'Italy'),
(59169, '91.142.144.0', '91.142.159.255', 1536069632, 1536073727, 'RU', 'Russian Federation'),
(59170, '91.142.160.0', '91.142.175.255', 1536073728, 1536077823, 'UA', 'Ukraine'),
(59171, '91.142.176.0', '91.142.191.255', 1536077824, 1536081919, 'SE', 'Sweden'),
(59172, '91.142.192.0', '91.142.207.255', 1536081920, 1536086015, 'PL', 'Poland'),
(59173, '91.142.208.0', '91.142.223.255', 1536086016, 1536090111, 'ES', 'Spain'),
(59174, '91.142.224.0', '91.142.239.255', 1536090112, 1536094207, 'IE', 'Ireland'),
(59175, '91.142.240.0', '91.142.255.255', 1536094208, 1536098303, 'NL', 'Netherlands'),
(59176, '91.143.0.0', '91.143.63.255', 1536098304, 1536114687, 'RU', 'Russian Federation'),
(59177, '91.143.64.0', '91.143.79.255', 1536114688, 1536118783, 'GB', 'United Kingdom'),
(59178, '91.143.80.0', '91.143.95.255', 1536118784, 1536122879, 'DE', 'Germany'),
(59179, '91.143.96.0', '91.143.111.255', 1536122880, 1536126975, 'AT', 'Austria'),
(59180, '91.143.112.0', '91.143.126.255', 1536126976, 1536130815, 'DK', 'Denmark'),
(59181, '91.143.127.0', '91.143.127.255', 1536130816, 1536131071, 'EU', 'Europe'),
(59182, '91.143.128.0', '91.143.175.255', 1536131072, 1536143359, 'RU', 'Russian Federation'),
(59183, '91.143.176.0', '91.143.191.255', 1536143360, 1536147455, 'GB', 'United Kingdom'),
(59184, '91.143.192.0', '91.143.207.255', 1536147456, 1536151551, 'IT', 'Italy'),
(59185, '91.143.208.0', '91.143.223.255', 1536151552, 1536155647, 'RS', 'Serbia'),
(59186, '91.143.224.0', '91.143.224.7', 1536155648, 1536155655, 'IL', 'Israel'),
(59187, '91.143.224.8', '91.143.224.11', 1536155656, 1536155659, 'GB', 'United Kingdom'),
(59188, '91.143.224.12', '91.143.224.15', 1536155660, 1536155663, 'GR', 'Greece'),
(59189, '91.143.224.16', '91.143.224.19', 1536155664, 1536155667, 'US', 'United States'),
(59190, '91.143.224.20', '91.143.239.255', 1536155668, 1536159743, 'IL', 'Israel'),
(59191, '91.143.240.0', '91.143.255.255', 1536159744, 1536163839, 'DE', 'Germany'),
(59192, '91.144.0.0', '91.144.63.255', 1536163840, 1536180223, 'SY', 'Syrian Arab Republic'),
(59193, '91.144.64.0', '91.144.127.255', 1536180224, 1536196607, 'HU', 'Hungary'),
(59194, '91.144.128.0', '91.144.191.255', 1536196608, 1536212991, 'RU', 'Russian Federation'),
(59195, '91.144.192.0', '91.144.255.255', 1536212992, 1536229375, 'DK', 'Denmark'),
(59196, '91.145.0.0', '91.145.63.255', 1536229376, 1536245759, 'SE', 'Sweden'),
(59197, '91.145.64.0', '91.145.127.255', 1536245760, 1536262143, 'FI', 'Finland'),
(59198, '91.145.128.0', '91.145.191.255', 1536262144, 1536278527, 'PL', 'Poland'),
(59199, '91.145.192.0', '91.145.255.255', 1536278528, 1536294911, 'UA', 'Ukraine'),
(59200, '91.146.0.0', '91.146.63.255', 1536294912, 1536311295, 'RU', 'Russian Federation'),
(59201, '91.146.64.0', '91.146.95.255', 1536311296, 1536319487, 'EE', 'Estonia'),
(59202, '91.146.96.0', '91.146.103.255', 1536319488, 1536321535, 'ES', 'Spain'),
(59203, '91.146.104.0', '91.146.119.255', 1536321536, 1536325631, 'GB', 'United Kingdom'),
(59204, '91.146.120.0', '91.146.127.255', 1536325632, 1536327679, 'CZ', 'Czech Republic'),
(59205, '91.146.128.0', '91.146.191.255', 1536327680, 1536344063, 'HU', 'Hungary'),
(59206, '91.146.192.0', '91.146.255.255', 1536344064, 1536360447, 'PL', 'Poland'),
(59207, '91.147.0.0', '91.147.63.255', 1536360448, 1536376831, 'RU', 'Russian Federation'),
(59208, '91.147.64.0', '91.147.127.255', 1536376832, 1536393215, 'KZ', 'Kazakhstan'),
(59209, '91.147.128.0', '91.147.191.255', 1536393216, 1536409599, 'SA', 'Saudi Arabia'),
(59210, '91.147.192.0', '91.147.255.255', 1536409600, 1536425983, 'HU', 'Hungary'),
(59211, '91.148.0.0', '91.148.63.255', 1536425984, 1536442367, 'SK', 'Slovakia'),
(59212, '91.148.64.0', '91.148.127.255', 1536442368, 1536458751, 'RS', 'Serbia'),
(59213, '91.148.128.0', '91.148.191.255', 1536458752, 1536475135, 'BG', 'Bulgaria'),
(59214, '91.148.192.0', '91.148.255.255', 1536475136, 1536491519, 'NL', 'Netherlands'),
(59215, '91.149.0.0', '91.149.31.255', 1536491520, 1536499711, 'NO', 'Norway'),
(59216, '91.149.32.0', '91.149.47.255', 1536499712, 1536503807, 'SE', 'Sweden'),
(59217, '91.149.48.0', '91.149.63.255', 1536503808, 1536507903, 'NO', 'Norway'),
(59218, '91.149.64.0', '91.149.127.255', 1536507904, 1536524287, 'RU', 'Russian Federation'),
(59219, '91.149.128.0', '91.149.191.255', 1536524288, 1536540671, 'BY', 'Belarus'),
(59220, '91.149.192.0', '91.149.255.255', 1536540672, 1536557055, 'PL', 'Poland'),
(59221, '91.150.0.0', '91.150.63.255', 1536557056, 1536573439, 'FI', 'Finland'),
(59222, '91.150.64.0', '91.150.127.255', 1536573440, 1536589823, 'RS', 'Serbia'),
(59223, '91.150.128.0', '91.150.223.255', 1536589824, 1536614399, 'PL', 'Poland'),
(59224, '91.150.224.0', '91.150.255.255', 1536614400, 1536622591, 'DK', 'Denmark'),
(59225, '91.151.0.0', '91.151.15.255', 1536622592, 1536626687, 'GB', 'United Kingdom'),
(59226, '91.151.16.0', '91.151.31.255', 1536626688, 1536630783, 'IT', 'Italy'),
(59227, '91.151.32.0', '91.151.47.255', 1536630784, 1536634879, 'RU', 'Russian Federation'),
(59228, '91.151.48.0', '91.151.79.255', 1536634880, 1536643071, 'FR', 'France'),
(59229, '91.151.80.0', '91.151.95.255', 1536643072, 1536647167, 'TR', 'Turkey'),
(59230, '91.151.96.0', '91.151.111.255', 1536647168, 1536651263, 'ES', 'Spain'),
(59231, '91.151.112.0', '91.151.127.255', 1536651264, 1536655359, 'FR', 'France'),
(59232, '91.151.128.0', '91.151.143.255', 1536655360, 1536659455, 'GE', 'Georgia'),
(59233, '91.151.144.0', '91.151.144.63', 1536659456, 1536659519, 'DE', 'Germany'),
(59234, '91.151.144.64', '91.151.144.87', 1536659520, 1536659543, 'SA', 'Saudi Arabia'),
(59235, '91.151.144.88', '91.151.145.63', 1536659544, 1536659775, 'DE', 'Germany'),
(59236, '91.151.145.64', '91.151.145.79', 1536659776, 1536659791, 'AO', 'Angola'),
(59237, '91.151.145.80', '91.151.145.111', 1536659792, 1536659823, 'SD', 'Sudan'),
(59238, '91.151.145.112', '91.151.145.129', 1536659824, 1536659841, 'DE', 'Germany'),
(59239, '91.151.145.130', '91.151.145.131', 1536659842, 1536659843, 'US', 'United States'),
(59240, '91.151.145.132', '91.151.146.23', 1536659844, 1536659991, 'DE', 'Germany'),
(59241, '91.151.146.24', '91.151.146.31', 1536659992, 1536659999, 'EG', 'Egypt'),
(59242, '91.151.146.32', '91.151.146.47', 1536660000, 1536660015, 'DE', 'Germany'),
(59243, '91.151.146.48', '91.151.146.51', 1536660016, 1536660019, 'CG', 'Congo'),
(59244, '91.151.146.52', '91.151.146.55', 1536660020, 1536660023, 'DE', 'Germany'),
(59245, '91.151.146.56', '91.151.146.63', 1536660024, 1536660031, 'CG', 'Congo'),
(59246, '91.151.146.64', '91.151.146.95', 1536660032, 1536660063, 'CD', 'Congo, The Democratic Republic of the'),
(59247, '91.151.146.96', '91.151.146.111', 1536660064, 1536660079, 'SO', 'Somalia'),
(59248, '91.151.146.112', '91.151.154.255', 1536660080, 1536662271, 'DE', 'Germany'),
(59249, '91.151.155.0', '91.151.155.255', 1536662272, 1536662527, 'IQ', 'Iraq'),
(59250, '91.151.156.0', '91.151.158.255', 1536662528, 1536663295, 'DE', 'Germany'),
(59251, '91.151.159.0', '91.151.159.15', 1536663296, 1536663311, 'LB', 'Lebanon'),
(59252, '91.151.159.16', '91.151.159.23', 1536663312, 1536663319, 'DE', 'Germany'),
(59253, '91.151.159.24', '91.151.159.31', 1536663320, 1536663327, 'LB', 'Lebanon'),
(59254, '91.151.159.32', '91.151.159.39', 1536663328, 1536663335, 'SA', 'Saudi Arabia'),
(59255, '91.151.159.40', '91.151.159.95', 1536663336, 1536663391, 'DE', 'Germany'),
(59256, '91.151.159.96', '91.151.159.127', 1536663392, 1536663423, 'SD', 'Sudan'),
(59257, '91.151.159.128', '91.151.159.255', 1536663424, 1536663551, 'KW', 'Kuwait'),
(59258, '91.151.160.0', '91.151.175.255', 1536663552, 1536667647, 'SA', 'Saudi Arabia'),
(59259, '91.151.176.0', '91.151.207.255', 1536667648, 1536675839, 'RU', 'Russian Federation'),
(59260, '91.151.208.0', '91.151.223.255', 1536675840, 1536679935, 'GB', 'United Kingdom'),
(59261, '91.151.224.0', '91.151.239.255', 1536679936, 1536684031, 'LB', 'Lebanon'),
(59262, '91.151.240.0', '91.151.255.255', 1536684032, 1536688127, 'GB', 'United Kingdom'),
(59263, '91.152.0.0', '91.159.255.255', 1536688128, 1537212415, 'FI', 'Finland'),
(59264, '91.160.0.0', '91.175.255.255', 1537212416, 1538260991, 'FR', 'France'),
(59265, '91.176.0.0', '91.183.255.255', 1538260992, 1538785279, 'BE', 'Belgium'),
(59266, '91.184.0.0', '91.184.31.255', 1538785280, 1538793471, 'NL', 'Netherlands'),
(59267, '91.184.32.0', '91.184.45.255', 1538793472, 1538797055, 'DE', 'Germany'),
(59268, '91.184.46.0', '91.184.63.255', 1538797056, 1538801663, 'NL', 'Netherlands'),
(59269, '91.184.64.0', '91.184.95.255', 1538801664, 1538809855, 'IR', 'Iran, Islamic Republic of'),
(59270, '91.184.96.0', '91.184.127.255', 1538809856, 1538818047, 'GE', 'Georgia'),
(59271, '91.184.128.0', '91.184.159.255', 1538818048, 1538826239, 'NO', 'Norway'),
(59272, '91.184.160.0', '91.184.191.255', 1538826240, 1538834431, 'DE', 'Germany'),
(59273, '91.184.192.0', '91.184.223.255', 1538834432, 1538842623, 'CY', 'Cyprus'),
(59274, '91.184.224.0', '91.184.255.255', 1538842624, 1538850815, 'RU', 'Russian Federation'),
(59275, '91.185.0.0', '91.185.31.255', 1538850816, 1538859007, 'KZ', 'Kazakhstan'),
(59276, '91.185.32.0', '91.185.95.255', 1538859008, 1538875391, 'RU', 'Russian Federation'),
(59277, '91.185.96.0', '91.185.127.255', 1538875392, 1538883583, 'RS', 'Serbia'),
(59278, '91.185.128.0', '91.185.159.255', 1538883584, 1538891775, 'BE', 'Belgium'),
(59279, '91.185.160.0', '91.185.171.255', 1538891776, 1538894847, 'DE', 'Germany'),
(59280, '91.185.172.0', '91.185.175.255', 1538894848, 1538895871, 'LV', 'Latvia'),
(59281, '91.185.176.0', '91.185.179.255', 1538895872, 1538896895, 'DE', 'Germany'),
(59282, '91.185.180.0', '91.185.182.255', 1538896896, 1538897663, 'LV', 'Latvia'),
(59283, '91.185.183.0', '91.185.183.7', 1538897664, 1538897671, 'DE', 'Germany'),
(59284, '91.185.183.8', '91.185.183.15', 1538897672, 1538897679, 'IT', 'Italy'),
(59285, '91.185.183.16', '91.185.183.23', 1538897680, 1538897687, 'ES', 'Spain'),
(59286, '91.185.183.24', '91.185.183.31', 1538897688, 1538897695, 'RU', 'Russian Federation'),
(59287, '91.185.183.32', '91.185.183.39', 1538897696, 1538897703, 'PL', 'Poland'),
(59288, '91.185.183.40', '91.185.183.47', 1538897704, 1538897711, 'GR', 'Greece'),
(59289, '91.185.183.48', '91.185.183.55', 1538897712, 1538897719, 'PT', 'Portugal'),
(59290, '91.185.183.56', '91.185.183.63', 1538897720, 1538897727, 'GB', 'United Kingdom'),
(59291, '91.185.183.64', '91.185.183.71', 1538897728, 1538897735, 'NL', 'Netherlands'),
(59292, '91.185.183.72', '91.185.183.255', 1538897736, 1538897919, 'FR', 'France'),
(59293, '91.185.184.0', '91.185.185.255', 1538897920, 1538898431, 'DE', 'Germany'),
(59294, '91.185.186.0', '91.185.191.255', 1538898432, 1538899967, 'FR', 'France'),
(59295, '91.185.192.0', '91.185.207.223', 1538899968, 1538904031, 'SI', 'Slovenia'),
(59296, '91.185.207.224', '91.185.207.231', 1538904032, 1538904039, 'BH', 'Bahrain'),
(59297, '91.185.207.232', '91.185.223.255', 1538904040, 1538908159, 'SI', 'Slovenia'),
(59298, '91.185.224.0', '91.185.255.255', 1538908160, 1538916351, 'RU', 'Russian Federation'),
(59299, '91.186.0.0', '91.186.31.255', 1538916352, 1538924543, 'GB', 'United Kingdom'),
(59300, '91.186.32.0', '91.186.63.255', 1538924544, 1538932735, 'DE', 'Germany'),
(59301, '91.186.64.0', '91.186.95.255', 1538932736, 1538940927, 'NO', 'Norway'),
(59302, '91.186.96.0', '91.186.127.255', 1538940928, 1538949119, 'RU', 'Russian Federation'),
(59303, '91.186.128.0', '91.186.159.255', 1538949120, 1538957311, 'AT', 'Austria'),
(59304, '91.186.160.0', '91.186.176.127', 1538957312, 1538961535, 'DE', 'Germany'),
(59305, '91.186.176.128', '91.186.176.191', 1538961536, 1538961599, 'IT', 'Italy'),
(59306, '91.186.176.192', '91.186.179.87', 1538961600, 1538962263, 'DE', 'Germany'),
(59307, '91.186.179.88', '91.186.179.95', 1538962264, 1538962271, 'GB', 'United Kingdom'),
(59308, '91.186.179.96', '91.186.183.199', 1538962272, 1538963399, 'DE', 'Germany'),
(59309, '91.186.183.200', '91.186.183.207', 1538963400, 1538963407, 'FR', 'France'),
(59310, '91.186.183.208', '91.186.191.255', 1538963408, 1538965503, 'DE', 'Germany'),
(59311, '91.186.192.0', '91.186.223.255', 1538965504, 1538973695, 'IR', 'Iran, Islamic Republic of'),
(59312, '91.186.224.0', '91.186.255.255', 1538973696, 1538981887, 'JO', 'Jordan'),
(59313, '91.187.0.0', '91.187.31.255', 1538981888, 1538990079, 'BY', 'Belarus'),
(59314, '91.187.32.0', '91.187.63.255', 1538990080, 1538998271, 'CZ', 'Czech Republic'),
(59315, '91.187.64.0', '91.187.95.255', 1538998272, 1539006463, 'AD', 'Andorra'),
(59316, '91.187.96.0', '91.187.127.255', 1539006464, 1539014655, 'AL', 'Albania'),
(59317, '91.187.128.0', '91.187.159.255', 1539014656, 1539022847, 'RS', 'Serbia'),
(59318, '91.187.160.0', '91.187.191.255', 1539022848, 1539031039, 'LT', 'Lithuania'),
(59319, '91.187.192.0', '91.187.223.255', 1539031040, 1539039231, 'IT', 'Italy'),
(59320, '91.187.224.0', '91.187.255.255', 1539039232, 1539047423, 'PL', 'Poland'),
(59321, '91.188.0.0', '91.188.0.159', 1539047424, 1539047583, 'IT', 'Italy'),
(59322, '91.188.0.160', '91.188.0.167', 1539047584, 1539047591, 'US', 'United States'),
(59323, '91.188.0.168', '91.188.4.95', 1539047592, 1539048543, 'IT', 'Italy'),
(59324, '91.188.4.96', '91.188.4.103', 1539048544, 1539048551, 'LY', 'Libyan Arab Jamahiriya'),
(59325, '91.188.4.104', '91.188.4.111', 1539048552, 1539048559, 'IT', 'Italy'),
(59326, '91.188.4.112', '91.188.4.119', 1539048560, 1539048567, 'LY', 'Libyan Arab Jamahiriya'),
(59327, '91.188.4.120', '91.188.4.191', 1539048568, 1539048639, 'IT', 'Italy'),
(59328, '91.188.4.192', '91.188.4.239', 1539048640, 1539048687, 'IQ', 'Iraq'),
(59329, '91.188.4.240', '91.188.4.255', 1539048688, 1539048703, 'IT', 'Italy'),
(59330, '91.188.5.0', '91.188.5.255', 1539048704, 1539048959, 'A2', 'Satellite Provider'),
(59331, '91.188.6.0', '91.188.6.255', 1539048960, 1539049215, 'IT', 'Italy'),
(59332, '91.188.7.0', '91.188.7.7', 1539049216, 1539049223, 'LY', 'Libyan Arab Jamahiriya'),
(59333, '91.188.7.8', '91.188.7.39', 1539049224, 1539049255, 'IT', 'Italy'),
(59334, '91.188.7.40', '91.188.7.47', 1539049256, 1539049263, 'LY', 'Libyan Arab Jamahiriya'),
(59335, '91.188.7.48', '91.188.7.95', 1539049264, 1539049311, 'IT', 'Italy'),
(59336, '91.188.7.96', '91.188.7.111', 1539049312, 1539049327, 'LY', 'Libyan Arab Jamahiriya'),
(59337, '91.188.7.112', '91.188.7.119', 1539049328, 1539049335, 'IT', 'Italy'),
(59338, '91.188.7.120', '91.188.7.127', 1539049336, 1539049343, 'LY', 'Libyan Arab Jamahiriya'),
(59339, '91.188.7.128', '91.188.11.23', 1539049344, 1539050263, 'IT', 'Italy'),
(59340, '91.188.11.24', '91.188.11.31', 1539050264, 1539050271, 'TR', 'Turkey'),
(59341, '91.188.11.32', '91.188.11.127', 1539050272, 1539050367, 'IT', 'Italy'),
(59342, '91.188.11.128', '91.188.11.135', 1539050368, 1539050375, 'FR', 'France'),
(59343, '91.188.11.136', '91.188.11.143', 1539050376, 1539050383, 'IT', 'Italy'),
(59344, '91.188.11.144', '91.188.11.159', 1539050384, 1539050399, 'FR', 'France'),
(59345, '91.188.11.160', '91.188.11.167', 1539050400, 1539050407, 'IT', 'Italy'),
(59346, '91.188.11.168', '91.188.11.175', 1539050408, 1539050415, 'AL', 'Albania'),
(59347, '91.188.11.176', '91.188.31.111', 1539050416, 1539055471, 'IT', 'Italy'),
(59348, '91.188.31.112', '91.188.31.127', 1539055472, 1539055487, 'FR', 'France'),
(59349, '91.188.31.128', '91.188.31.151', 1539055488, 1539055511, 'IT', 'Italy'),
(59350, '91.188.31.152', '91.188.31.159', 1539055512, 1539055519, 'DE', 'Germany'),
(59351, '91.188.31.160', '91.188.31.255', 1539055520, 1539055615, 'IT', 'Italy'),
(59352, '91.188.32.0', '91.188.63.255', 1539055616, 1539063807, 'LV', 'Latvia'),
(59353, '91.188.64.0', '91.188.95.255', 1539063808, 1539071999, 'FR', 'France'),
(59354, '91.188.96.0', '91.188.127.255', 1539072000, 1539080191, 'PL', 'Poland'),
(59355, '91.188.128.0', '91.188.159.255', 1539080192, 1539088383, 'UZ', 'Uzbekistan'),
(59356, '91.188.160.0', '91.188.191.255', 1539088384, 1539096575, 'RU', 'Russian Federation'),
(59357, '91.188.192.0', '91.188.255.255', 1539096576, 1539112959, 'TR', 'Turkey'),
(59358, '91.189.0.0', '91.189.7.255', 1539112960, 1539115007, 'PL', 'Poland'),
(59359, '91.189.8.0', '91.189.15.255', 1539115008, 1539117055, 'CH', 'Switzerland'),
(59360, '91.189.16.0', '91.189.39.255', 1539117056, 1539123199, 'PL', 'Poland'),
(59361, '91.189.40.0', '91.189.47.255', 1539123200, 1539125247, 'SE', 'Sweden'),
(59362, '91.189.48.0', '91.189.55.255', 1539125248, 1539127295, 'RU', 'Russian Federation'),
(59363, '91.189.56.0', '91.189.63.255', 1539127296, 1539129343, 'PL', 'Poland'),
(59364, '91.189.64.0', '91.189.71.255', 1539129344, 1539131391, 'IE', 'Ireland'),
(59365, '91.189.72.0', '91.189.79.255', 1539131392, 1539133439, 'PL', 'Poland'),
(59366, '91.189.80.0', '91.189.87.255', 1539133440, 1539135487, 'RU', 'Russian Federation'),
(59367, '91.189.88.0', '91.189.90.255', 1539135488, 1539136255, 'GB', 'United Kingdom'),
(59368, '91.189.91.0', '91.189.91.255', 1539136256, 1539136511, 'US', 'United States'),
(59369, '91.189.92.0', '91.189.95.255', 1539136512, 1539137535, 'GB', 'United Kingdom'),
(59370, '91.189.96.0', '91.189.103.255', 1539137536, 1539139583, 'NL', 'Netherlands'),
(59371, '91.189.104.0', '91.189.111.255', 1539139584, 1539141631, 'FR', 'France'),
(59372, '91.189.112.0', '91.189.119.255', 1539141632, 1539143679, 'RU', 'Russian Federation'),
(59373, '91.189.120.0', '91.189.127.255', 1539143680, 1539145727, 'NO', 'Norway'),
(59374, '91.189.128.0', '91.189.135.255', 1539145728, 1539147775, 'UA', 'Ukraine'),
(59375, '91.189.136.0', '91.189.143.255', 1539147776, 1539149823, 'PL', 'Poland'),
(59376, '91.189.144.0', '91.189.151.255', 1539149824, 1539151871, 'GB', 'United Kingdom'),
(59377, '91.189.152.0', '91.189.159.255', 1539151872, 1539153919, 'UA', 'Ukraine'),
(59378, '91.189.160.0', '91.189.167.255', 1539153920, 1539155967, 'RU', 'Russian Federation'),
(59379, '91.189.168.0', '91.189.183.255', 1539155968, 1539160063, 'NO', 'Norway'),
(59380, '91.189.184.0', '91.189.191.255', 1539160064, 1539162111, 'RU', 'Russian Federation'),
(59381, '91.189.192.0', '91.189.199.255', 1539162112, 1539164159, 'DE', 'Germany'),
(59382, '91.189.200.0', '91.189.207.255', 1539164160, 1539166207, 'DK', 'Denmark'),
(59383, '91.189.208.0', '91.189.215.255', 1539166208, 1539168255, 'FI', 'Finland'),
(59384, '91.189.216.0', '91.189.223.255', 1539168256, 1539170303, 'PL', 'Poland'),
(59385, '91.189.224.0', '91.189.231.255', 1539170304, 1539172351, 'NL', 'Netherlands'),
(59386, '91.189.232.0', '91.189.247.255', 1539172352, 1539176447, 'RU', 'Russian Federation'),
(59387, '91.189.248.0', '91.189.255.255', 1539176448, 1539178495, 'PL', 'Poland'),
(59388, '91.190.0.0', '91.190.31.255', 1539178496, 1539186687, 'CH', 'Switzerland'),
(59389, '91.190.32.0', '91.190.63.255', 1539186688, 1539194879, 'LV', 'Latvia'),
(59390, '91.190.64.0', '91.190.95.255', 1539194880, 1539203071, 'RU', 'Russian Federation'),
(59391, '91.190.96.0', '91.190.111.255', 1539203072, 1539207167, 'NL', 'Netherlands'),
(59392, '91.190.112.0', '91.190.127.255', 1539207168, 1539211263, 'RU', 'Russian Federation'),
(59393, '91.190.128.0', '91.190.129.255', 1539211264, 1539211775, 'CZ', 'Czech Republic'),
(59394, '91.190.130.0', '91.190.130.255', 1539211776, 1539212031, 'DE', 'Germany'),
(59395, '91.190.131.0', '91.190.131.255', 1539212032, 1539212287, 'CZ', 'Czech Republic'),
(59396, '91.190.132.0', '91.190.132.255', 1539212288, 1539212543, 'DE', 'Germany'),
(59397, '91.190.133.0', '91.190.135.255', 1539212544, 1539213311, 'CZ', 'Czech Republic'),
(59398, '91.190.136.0', '91.190.143.255', 1539213312, 1539215359, 'SE', 'Sweden'),
(59399, '91.190.144.0', '91.190.159.255', 1539215360, 1539219455, 'DE', 'Germany'),
(59400, '91.190.160.0', '91.190.160.255', 1539219456, 1539219711, 'GB', 'United Kingdom'),
(59401, '91.190.161.0', '91.190.167.255', 1539219712, 1539221503, 'GG', 'Guernsey'),
(59402, '91.190.168.0', '91.190.171.255', 1539221504, 1539222527, 'FR', 'France'),
(59403, '91.190.172.0', '91.190.172.255', 1539222528, 1539222783, 'HK', 'Hong Kong'),
(59404, '91.190.173.0', '91.190.173.255', 1539222784, 1539223039, 'CN', 'China'),
(59405, '91.190.174.0', '91.190.174.63', 1539223040, 1539223103, 'ES', 'Spain'),
(59406, '91.190.174.64', '91.190.174.127', 1539223104, 1539223167, 'BR', 'Brazil'),
(59407, '91.190.174.128', '91.190.174.191', 1539223168, 1539223231, 'IT', 'Italy'),
(59408, '91.190.174.192', '91.190.175.255', 1539223232, 1539223551, 'FR', 'France'),
(59409, '91.190.176.0', '91.190.183.255', 1539223552, 1539225599, 'RU', 'Russian Federation'),
(59410, '91.190.184.0', '91.190.191.255', 1539225600, 1539227647, 'HU', 'Hungary'),
(59411, '91.190.192.0', '91.190.199.255', 1539227648, 1539229695, 'FI', 'Finland'),
(59412, '91.190.200.0', '91.190.207.255', 1539229696, 1539231743, 'DE', 'Germany'),
(59413, '91.190.208.0', '91.190.215.255', 1539231744, 1539233791, 'BE', 'Belgium'),
(59414, '91.190.216.0', '91.190.217.255', 1539233792, 1539234303, 'LU', 'Luxembourg'),
(59415, '91.190.218.0', '91.190.218.255', 1539234304, 1539234559, 'IE', 'Ireland'),
(59416, '91.190.219.0', '91.190.223.255', 1539234560, 1539235839, 'LU', 'Luxembourg'),
(59417, '91.190.224.0', '91.190.231.255', 1539235840, 1539237887, 'DE', 'Germany'),
(59418, '91.190.232.0', '91.190.239.255', 1539237888, 1539239935, 'RU', 'Russian Federation'),
(59419, '91.190.240.0', '91.190.255.255', 1539239936, 1539244031, 'DE', 'Germany'),
(59420, '91.191.0.0', '91.191.63.255', 1539244032, 1539260415, 'BA', 'Bosnia and Herzegovina'),
(59421, '91.191.64.0', '91.191.127.255', 1539260416, 1539276799, 'SK', 'Slovakia'),
(59422, '91.191.128.0', '91.191.143.255', 1539276800, 1539280895, 'SE', 'Sweden'),
(59423, '91.191.144.0', '91.191.159.255', 1539280896, 1539284991, 'FR', 'France'),
(59424, '91.191.160.0', '91.191.167.255', 1539284992, 1539287039, 'DE', 'Germany'),
(59425, '91.191.168.0', '91.191.175.255', 1539287040, 1539289087, 'TR', 'Turkey'),
(59426, '91.191.176.0', '91.191.191.255', 1539289088, 1539293183, 'RU', 'Russian Federation'),
(59427, '91.191.192.0', '91.191.207.255', 1539293184, 1539297279, 'AZ', 'Azerbaijan'),
(59428, '91.191.208.0', '91.191.223.255', 1539297280, 1539301375, 'BG', 'Bulgaria'),
(59429, '91.191.224.0', '91.191.255.255', 1539301376, 1539309567, 'RU', 'Russian Federation'),
(59430, '91.192.0.0', '91.192.3.255', 1539309568, 1539310591, 'PL', 'Poland'),
(59431, '91.192.4.0', '91.192.7.255', 1539310592, 1539311615, 'UA', 'Ukraine'),
(59432, '91.192.8.0', '91.192.11.255', 1539311616, 1539312639, 'NL', 'Netherlands'),
(59433, '91.192.12.0', '91.192.15.255', 1539312640, 1539313663, 'DE', 'Germany'),
(59434, '91.192.16.0', '91.192.19.255', 1539313664, 1539314687, 'GB', 'United Kingdom'),
(59435, '91.192.20.0', '91.192.23.255', 1539314688, 1539315711, 'RU', 'Russian Federation'),
(59436, '91.192.24.0', '91.192.27.255', 1539315712, 1539316735, 'UA', 'Ukraine'),
(59437, '91.192.28.0', '91.192.31.255', 1539316736, 1539317759, 'SE', 'Sweden'),
(59438, '91.192.32.0', '91.192.35.255', 1539317760, 1539318783, 'CZ', 'Czech Republic'),
(59439, '91.192.36.0', '91.192.39.255', 1539318784, 1539319807, 'NL', 'Netherlands'),
(59440, '91.192.40.0', '91.192.43.255', 1539319808, 1539320831, 'DE', 'Germany'),
(59441, '91.192.44.0', '91.192.47.255', 1539320832, 1539321855, 'UA', 'Ukraine'),
(59442, '91.192.48.0', '91.192.51.255', 1539321856, 1539322879, 'EG', 'Egypt'),
(59443, '91.192.52.0', '91.192.55.255', 1539322880, 1539323903, 'DK', 'Denmark'),
(59444, '91.192.56.0', '91.192.59.255', 1539323904, 1539324927, 'PL', 'Poland'),
(59445, '91.192.60.0', '91.192.63.255', 1539324928, 1539325951, 'RU', 'Russian Federation'),
(59446, '91.192.64.0', '91.192.67.255', 1539325952, 1539326975, 'KG', 'Kyrgyzstan'),
(59447, '91.192.68.0', '91.192.75.255', 1539326976, 1539329023, 'RU', 'Russian Federation'),
(59448, '91.192.76.0', '91.192.79.255', 1539329024, 1539330047, 'PL', 'Poland'),
(59449, '91.192.80.0', '91.192.83.255', 1539330048, 1539331071, 'RU', 'Russian Federation'),
(59450, '91.192.84.0', '91.192.87.255', 1539331072, 1539332095, 'UA', 'Ukraine'),
(59451, '91.192.88.0', '91.192.91.255', 1539332096, 1539333119, 'PL', 'Poland'),
(59452, '91.192.92.0', '91.192.99.255', 1539333120, 1539335167, 'RU', 'Russian Federation'),
(59453, '91.192.100.0', '91.192.103.255', 1539335168, 1539336191, 'CH', 'Switzerland'),
(59454, '91.192.104.0', '91.192.105.255', 1539336192, 1539336703, 'UA', 'Ukraine'),
(59455, '91.192.106.0', '91.192.107.255', 1539336704, 1539337215, 'EE', 'Estonia'),
(59456, '91.192.108.0', '91.192.111.255', 1539337216, 1539338239, 'ES', 'Spain'),
(59457, '91.192.112.0', '91.192.115.255', 1539338240, 1539339263, 'SE', 'Sweden'),
(59458, '91.192.116.0', '91.192.119.255', 1539339264, 1539340287, 'NL', 'Netherlands'),
(59459, '91.192.120.0', '91.192.123.255', 1539340288, 1539341311, 'PL', 'Poland'),
(59460, '91.192.124.0', '91.192.127.255', 1539341312, 1539342335, 'IT', 'Italy'),
(59461, '91.192.128.0', '91.192.139.255', 1539342336, 1539345407, 'UA', 'Ukraine'),
(59462, '91.192.140.0', '91.192.143.255', 1539345408, 1539346431, 'RO', 'Romania'),
(59463, '91.192.144.0', '91.192.147.255', 1539346432, 1539347455, 'PL', 'Poland'),
(59464, '91.192.148.0', '91.192.151.255', 1539347456, 1539348479, 'RU', 'Russian Federation'),
(59465, '91.192.152.0', '91.192.163.255', 1539348480, 1539351551, 'UA', 'Ukraine'),
(59466, '91.192.164.0', '91.192.167.255', 1539351552, 1539352575, 'PL', 'Poland'),
(59467, '91.192.168.0', '91.192.175.255', 1539352576, 1539354623, 'RU', 'Russian Federation'),
(59468, '91.192.176.0', '91.192.179.255', 1539354624, 1539355647, 'PL', 'Poland'),
(59469, '91.192.180.0', '91.192.187.255', 1539355648, 1539357695, 'UA', 'Ukraine'),
(59470, '91.192.188.0', '91.192.191.255', 1539357696, 1539358719, 'RU', 'Russian Federation'),
(59471, '91.192.192.0', '91.192.195.255', 1539358720, 1539359743, 'GB', 'United Kingdom'),
(59472, '91.192.196.0', '91.192.199.255', 1539359744, 1539360767, 'PL', 'Poland'),
(59473, '91.192.200.0', '91.192.201.255', 1539360768, 1539361279, 'UA', 'Ukraine'),
(59474, '91.192.202.0', '91.192.203.255', 1539361280, 1539361791, 'DE', 'Germany'),
(59475, '91.192.204.0', '91.192.207.255', 1539361792, 1539362815, 'PL', 'Poland'),
(59476, '91.192.208.0', '91.192.211.255', 1539362816, 1539363839, 'GB', 'United Kingdom'),
(59477, '91.192.212.0', '91.192.215.255', 1539363840, 1539364863, 'DK', 'Denmark'),
(59478, '91.192.216.0', '91.192.219.255', 1539364864, 1539365887, 'UA', 'Ukraine'),
(59479, '91.192.220.0', '91.192.223.255', 1539365888, 1539366911, 'NO', 'Norway'),
(59480, '91.192.224.0', '91.192.231.255', 1539366912, 1539368959, 'PL', 'Poland'),
(59481, '91.192.232.0', '91.192.235.255', 1539368960, 1539369983, 'GB', 'United Kingdom'),
(59482, '91.192.236.0', '91.192.239.255', 1539369984, 1539371007, 'BG', 'Bulgaria'),
(59483, '91.192.240.0', '91.192.247.255', 1539371008, 1539373055, 'RU', 'Russian Federation'),
(59484, '91.192.248.0', '91.192.251.255', 1539373056, 1539374079, 'PL', 'Poland'),
(59485, '91.192.252.0', '91.192.255.255', 1539374080, 1539375103, 'SE', 'Sweden'),
(59486, '91.193.0.0', '91.193.3.255', 1539375104, 1539376127, 'NO', 'Norway'),
(59487, '91.193.4.0', '91.193.7.255', 1539376128, 1539377151, 'IL', 'Israel'),
(59488, '91.193.8.0', '91.193.11.255', 1539377152, 1539378175, 'UA', 'Ukraine'),
(59489, '91.193.12.0', '91.193.15.255', 1539378176, 1539379199, 'PL', 'Poland'),
(59490, '91.193.16.0', '91.193.19.255', 1539379200, 1539380223, 'EU', 'Europe'),
(59491, '91.193.20.0', '91.193.23.255', 1539380224, 1539381247, 'CH', 'Switzerland'),
(59492, '91.193.24.0', '91.193.27.255', 1539381248, 1539382271, 'RS', 'Serbia'),
(59493, '91.193.28.0', '91.193.31.255', 1539382272, 1539383295, 'RO', 'Romania'),
(59494, '91.193.32.0', '91.193.35.255', 1539383296, 1539384319, 'UA', 'Ukraine'),
(59495, '91.193.36.0', '91.193.39.255', 1539384320, 1539385343, 'RU', 'Russian Federation'),
(59496, '91.193.40.0', '91.193.41.255', 1539385344, 1539385855, 'PL', 'Poland'),
(59497, '91.193.42.0', '91.193.43.255', 1539385856, 1539386367, 'BE', 'Belgium'),
(59498, '91.193.44.0', '91.193.47.255', 1539386368, 1539387391, 'IT', 'Italy'),
(59499, '91.193.48.0', '91.193.51.255', 1539387392, 1539388415, 'IL', 'Israel'),
(59500, '91.193.52.0', '91.193.55.255', 1539388416, 1539389439, 'PL', 'Poland'),
(59501, '91.193.56.0', '91.193.57.255', 1539389440, 1539389951, 'FR', 'France'),
(59502, '91.193.58.0', '91.193.59.255', 1539389952, 1539390463, 'RU', 'Russian Federation'),
(59503, '91.193.60.0', '91.193.63.255', 1539390464, 1539391487, 'RO', 'Romania'),
(59504, '91.193.64.0', '91.193.67.255', 1539391488, 1539392511, 'LV', 'Latvia'),
(59505, '91.193.68.0', '91.193.71.255', 1539392512, 1539393535, 'UA', 'Ukraine'),
(59506, '91.193.72.0', '91.193.72.255', 1539393536, 1539393791, 'DE', 'Germany'),
(59507, '91.193.73.0', '91.193.73.255', 1539393792, 1539394047, 'PL', 'Poland'),
(59508, '91.193.74.0', '91.193.74.255', 1539394048, 1539394303, 'RU', 'Russian Federation'),
(59509, '91.193.75.0', '91.193.75.255', 1539394304, 1539394559, 'RS', 'Serbia'),
(59510, '91.193.76.0', '91.193.83.255', 1539394560, 1539396607, 'UA', 'Ukraine'),
(59511, '91.193.84.0', '91.193.87.255', 1539396608, 1539397631, 'PL', 'Poland'),
(59512, '91.193.88.0', '91.193.89.255', 1539397632, 1539398143, 'RU', 'Russian Federation'),
(59513, '91.193.90.0', '91.193.91.255', 1539398144, 1539398655, 'PL', 'Poland'),
(59514, '91.193.92.0', '91.193.95.255', 1539398656, 1539399679, 'ES', 'Spain'),
(59515, '91.193.96.0', '91.193.103.255', 1539399680, 1539401727, 'PL', 'Poland'),
(59516, '91.193.104.0', '91.193.105.255', 1539401728, 1539402239, 'GB', 'United Kingdom'),
(59517, '91.193.106.0', '91.193.107.255', 1539402240, 1539402751, 'FR', 'France'),
(59518, '91.193.108.0', '91.193.109.255', 1539402752, 1539403263, 'GB', 'United Kingdom'),
(59519, '91.193.110.0', '91.193.111.255', 1539403264, 1539403775, 'RU', 'Russian Federation'),
(59520, '91.193.112.0', '91.193.115.255', 1539403776, 1539404799, 'GR', 'Greece'),
(59521, '91.193.116.0', '91.193.119.255', 1539404800, 1539405823, 'EE', 'Estonia'),
(59522, '91.193.120.0', '91.193.123.255', 1539405824, 1539406847, 'PL', 'Poland'),
(59523, '91.193.124.0', '91.193.131.255', 1539406848, 1539408895, 'UA', 'Ukraine'),
(59524, '91.193.132.0', '91.193.135.255', 1539408896, 1539409919, 'CZ', 'Czech Republic'),
(59525, '91.193.136.0', '91.193.139.255', 1539409920, 1539410943, 'DK', 'Denmark'),
(59526, '91.193.140.0', '91.193.143.255', 1539410944, 1539411967, 'RU', 'Russian Federation'),
(59527, '91.193.144.0', '91.193.147.255', 1539411968, 1539412991, 'PL', 'Poland'),
(59528, '91.193.148.0', '91.193.151.255', 1539412992, 1539414015, 'RU', 'Russian Federation'),
(59529, '91.193.152.0', '91.193.155.255', 1539414016, 1539415039, 'UA', 'Ukraine'),
(59530, '91.193.156.0', '91.193.159.255', 1539415040, 1539416063, 'BG', 'Bulgaria'),
(59531, '91.193.160.0', '91.193.163.255', 1539416064, 1539417087, 'PL', 'Poland'),
(59532, '91.193.164.0', '91.193.167.255', 1539417088, 1539418111, 'UA', 'Ukraine'),
(59533, '91.193.168.0', '91.193.171.255', 1539418112, 1539419135, 'RU', 'Russian Federation'),
(59534, '91.193.172.0', '91.193.175.255', 1539419136, 1539420159, 'UA', 'Ukraine'),
(59535, '91.193.176.0', '91.193.179.255', 1539420160, 1539421183, 'RU', 'Russian Federation'),
(59536, '91.193.180.0', '91.193.183.255', 1539421184, 1539422207, 'GB', 'United Kingdom'),
(59537, '91.193.184.0', '91.193.187.255', 1539422208, 1539423231, 'PL', 'Poland'),
(59538, '91.193.188.0', '91.193.191.255', 1539423232, 1539424255, 'IE', 'Ireland'),
(59539, '91.193.192.0', '91.193.195.255', 1539424256, 1539425279, 'LV', 'Latvia'),
(59540, '91.193.196.0', '91.193.199.255', 1539425280, 1539426303, 'PL', 'Poland'),
(59541, '91.193.200.0', '91.193.203.255', 1539426304, 1539427327, 'BG', 'Bulgaria'),
(59542, '91.193.204.0', '91.193.207.255', 1539427328, 1539428351, 'UA', 'Ukraine'),
(59543, '91.193.208.0', '91.193.211.255', 1539428352, 1539429375, 'PL', 'Poland'),
(59544, '91.193.212.0', '91.193.231.255', 1539429376, 1539434495, 'RU', 'Russian Federation'),
(59545, '91.193.232.0', '91.193.235.255', 1539434496, 1539435519, 'UA', 'Ukraine'),
(59546, '91.193.236.0', '91.193.243.255', 1539435520, 1539437567, 'RU', 'Russian Federation'),
(59547, '91.193.244.0', '91.193.251.255', 1539437568, 1539439615, 'GB', 'United Kingdom'),
(59548, '91.193.252.0', '91.193.255.255', 1539439616, 1539440639, 'UA', 'Ukraine'),
(59549, '91.194.0.0', '91.194.3.255', 1539440640, 1539441663, 'RU', 'Russian Federation');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(59550, '91.194.4.0', '91.194.5.255', 1539441664, 1539442175, 'IL', 'Israel'),
(59551, '91.194.6.0', '91.194.7.255', 1539442176, 1539442687, 'DE', 'Germany'),
(59552, '91.194.8.0', '91.194.9.255', 1539442688, 1539443199, 'NL', 'Netherlands'),
(59553, '91.194.10.0', '91.194.13.255', 1539443200, 1539444223, 'RU', 'Russian Federation'),
(59554, '91.194.14.0', '91.194.15.255', 1539444224, 1539444735, 'FR', 'France'),
(59555, '91.194.16.0', '91.194.17.255', 1539444736, 1539445247, 'RU', 'Russian Federation'),
(59556, '91.194.18.0', '91.194.19.255', 1539445248, 1539445759, 'PL', 'Poland'),
(59557, '91.194.20.0', '91.194.21.255', 1539445760, 1539446271, 'FI', 'Finland'),
(59558, '91.194.22.0', '91.194.23.255', 1539446272, 1539446783, 'SE', 'Sweden'),
(59559, '91.194.24.0', '91.194.25.255', 1539446784, 1539447295, 'RU', 'Russian Federation'),
(59560, '91.194.26.0', '91.194.27.255', 1539447296, 1539447807, 'SE', 'Sweden'),
(59561, '91.194.28.0', '91.194.31.255', 1539447808, 1539448831, 'RO', 'Romania'),
(59562, '91.194.32.0', '91.194.33.255', 1539448832, 1539449343, 'AT', 'Austria'),
(59563, '91.194.34.0', '91.194.35.255', 1539449344, 1539449855, 'UA', 'Ukraine'),
(59564, '91.194.36.0', '91.194.37.255', 1539449856, 1539450367, 'DK', 'Denmark'),
(59565, '91.194.38.0', '91.194.39.255', 1539450368, 1539450879, 'SE', 'Sweden'),
(59566, '91.194.40.0', '91.194.41.255', 1539450880, 1539451391, 'UA', 'Ukraine'),
(59567, '91.194.42.0', '91.194.45.255', 1539451392, 1539452415, 'RO', 'Romania'),
(59568, '91.194.46.0', '91.194.47.255', 1539452416, 1539452927, 'GB', 'United Kingdom'),
(59569, '91.194.48.0', '91.194.49.255', 1539452928, 1539453439, 'CH', 'Switzerland'),
(59570, '91.194.50.0', '91.194.51.255', 1539453440, 1539453951, 'UA', 'Ukraine'),
(59571, '91.194.52.0', '91.194.53.255', 1539453952, 1539454463, 'GB', 'United Kingdom'),
(59572, '91.194.54.0', '91.194.55.255', 1539454464, 1539454975, 'RU', 'Russian Federation'),
(59573, '91.194.56.0', '91.194.57.255', 1539454976, 1539455487, 'UA', 'Ukraine'),
(59574, '91.194.58.0', '91.194.59.255', 1539455488, 1539455999, 'RU', 'Russian Federation'),
(59575, '91.194.60.0', '91.194.61.255', 1539456000, 1539456511, 'FR', 'France'),
(59576, '91.194.62.0', '91.194.63.255', 1539456512, 1539457023, 'ES', 'Spain'),
(59577, '91.194.64.0', '91.194.65.255', 1539457024, 1539457535, 'RU', 'Russian Federation'),
(59578, '91.194.66.0', '91.194.67.255', 1539457536, 1539458047, 'SE', 'Sweden'),
(59579, '91.194.68.0', '91.194.71.255', 1539458048, 1539459071, 'GB', 'United Kingdom'),
(59580, '91.194.72.0', '91.194.73.255', 1539459072, 1539459583, 'UA', 'Ukraine'),
(59581, '91.194.74.0', '91.194.75.255', 1539459584, 1539460095, 'GB', 'United Kingdom'),
(59582, '91.194.76.0', '91.194.77.255', 1539460096, 1539460607, 'LV', 'Latvia'),
(59583, '91.194.78.0', '91.194.81.255', 1539460608, 1539461631, 'UA', 'Ukraine'),
(59584, '91.194.82.0', '91.194.83.255', 1539461632, 1539462143, 'RS', 'Serbia'),
(59585, '91.194.84.0', '91.194.85.255', 1539462144, 1539462655, 'DE', 'Germany'),
(59586, '91.194.86.0', '91.194.87.255', 1539462656, 1539463167, 'BE', 'Belgium'),
(59587, '91.194.88.0', '91.194.89.255', 1539463168, 1539463679, 'UA', 'Ukraine'),
(59588, '91.194.90.0', '91.194.91.255', 1539463680, 1539464191, 'DE', 'Germany'),
(59589, '91.194.92.0', '91.194.93.255', 1539464192, 1539464703, 'RO', 'Romania'),
(59590, '91.194.94.0', '91.194.95.255', 1539464704, 1539465215, 'DK', 'Denmark'),
(59591, '91.194.96.0', '91.194.101.255', 1539465216, 1539466751, 'FR', 'France'),
(59592, '91.194.102.0', '91.194.103.255', 1539466752, 1539467263, 'KW', 'Kuwait'),
(59593, '91.194.104.0', '91.194.105.255', 1539467264, 1539467775, 'RU', 'Russian Federation'),
(59594, '91.194.106.0', '91.194.107.255', 1539467776, 1539468287, 'PL', 'Poland'),
(59595, '91.194.108.0', '91.194.109.255', 1539468288, 1539468799, 'DE', 'Germany'),
(59596, '91.194.110.0', '91.194.113.255', 1539468800, 1539469823, 'RU', 'Russian Federation'),
(59597, '91.194.114.0', '91.194.115.255', 1539469824, 1539470335, 'IL', 'Israel'),
(59598, '91.194.116.0', '91.194.117.255', 1539470336, 1539470847, 'GB', 'United Kingdom'),
(59599, '91.194.118.0', '91.194.119.255', 1539470848, 1539471359, 'SE', 'Sweden'),
(59600, '91.194.120.0', '91.194.121.255', 1539471360, 1539471871, 'RU', 'Russian Federation'),
(59601, '91.194.122.0', '91.194.123.255', 1539471872, 1539472383, 'PL', 'Poland'),
(59602, '91.194.124.0', '91.194.125.255', 1539472384, 1539472895, 'UA', 'Ukraine'),
(59603, '91.194.126.0', '91.194.127.255', 1539472896, 1539473407, 'GB', 'United Kingdom'),
(59604, '91.194.128.0', '91.194.129.255', 1539473408, 1539473919, 'FR', 'France'),
(59605, '91.194.130.0', '91.194.131.255', 1539473920, 1539474431, 'KW', 'Kuwait'),
(59606, '91.194.132.0', '91.194.133.255', 1539474432, 1539474943, 'DE', 'Germany'),
(59607, '91.194.134.0', '91.194.135.255', 1539474944, 1539475455, 'UA', 'Ukraine'),
(59608, '91.194.136.0', '91.194.137.255', 1539475456, 1539475967, 'NL', 'Netherlands'),
(59609, '91.194.138.0', '91.194.139.255', 1539475968, 1539476479, 'PL', 'Poland'),
(59610, '91.194.140.0', '91.194.141.255', 1539476480, 1539476991, 'CZ', 'Czech Republic'),
(59611, '91.194.142.0', '91.194.143.255', 1539476992, 1539477503, 'IT', 'Italy'),
(59612, '91.194.144.0', '91.194.145.255', 1539477504, 1539478015, 'PL', 'Poland'),
(59613, '91.194.146.0', '91.194.147.255', 1539478016, 1539478527, 'CH', 'Switzerland'),
(59614, '91.194.148.0', '91.194.149.255', 1539478528, 1539479039, 'RO', 'Romania'),
(59615, '91.194.150.0', '91.194.151.255', 1539479040, 1539479551, 'DK', 'Denmark'),
(59616, '91.194.152.0', '91.194.153.255', 1539479552, 1539480063, 'GB', 'United Kingdom'),
(59617, '91.194.154.0', '91.194.155.255', 1539480064, 1539480575, 'DK', 'Denmark'),
(59618, '91.194.156.0', '91.194.157.255', 1539480576, 1539481087, 'PL', 'Poland'),
(59619, '91.194.158.0', '91.194.159.255', 1539481088, 1539481599, 'GB', 'United Kingdom'),
(59620, '91.194.160.0', '91.194.161.255', 1539481600, 1539482111, 'RU', 'Russian Federation'),
(59621, '91.194.162.0', '91.194.163.255', 1539482112, 1539482623, 'UA', 'Ukraine'),
(59622, '91.194.164.0', '91.194.165.255', 1539482624, 1539483135, 'RU', 'Russian Federation'),
(59623, '91.194.166.0', '91.194.167.255', 1539483136, 1539483647, 'ES', 'Spain'),
(59624, '91.194.168.0', '91.194.169.255', 1539483648, 1539484159, 'UA', 'Ukraine'),
(59625, '91.194.170.0', '91.194.171.255', 1539484160, 1539484671, 'GB', 'United Kingdom'),
(59626, '91.194.172.0', '91.194.175.255', 1539484672, 1539485695, 'RU', 'Russian Federation'),
(59627, '91.194.176.0', '91.194.177.255', 1539485696, 1539486207, 'RO', 'Romania'),
(59628, '91.194.178.0', '91.194.179.255', 1539486208, 1539486719, 'FR', 'France'),
(59629, '91.194.180.0', '91.194.181.255', 1539486720, 1539487231, 'DE', 'Germany'),
(59630, '91.194.182.0', '91.194.185.255', 1539487232, 1539488255, 'RU', 'Russian Federation'),
(59631, '91.194.186.0', '91.194.187.255', 1539488256, 1539488767, 'SE', 'Sweden'),
(59632, '91.194.188.0', '91.194.189.255', 1539488768, 1539489279, 'PL', 'Poland'),
(59633, '91.194.190.0', '91.194.195.255', 1539489280, 1539490815, 'RU', 'Russian Federation'),
(59634, '91.194.196.0', '91.194.197.255', 1539490816, 1539491327, 'CH', 'Switzerland'),
(59635, '91.194.198.0', '91.194.199.255', 1539491328, 1539491839, 'PL', 'Poland'),
(59636, '91.194.200.0', '91.194.201.255', 1539491840, 1539492351, 'RU', 'Russian Federation'),
(59637, '91.194.202.0', '91.194.203.255', 1539492352, 1539492863, 'BE', 'Belgium'),
(59638, '91.194.204.0', '91.194.205.255', 1539492864, 1539493375, 'KR', 'Korea, Republic of'),
(59639, '91.194.206.0', '91.194.207.255', 1539493376, 1539493887, 'RU', 'Russian Federation'),
(59640, '91.194.208.0', '91.194.209.255', 1539493888, 1539494399, 'FR', 'France'),
(59641, '91.194.210.0', '91.194.211.255', 1539494400, 1539494911, 'PL', 'Poland'),
(59642, '91.194.212.0', '91.194.213.255', 1539494912, 1539495423, 'RU', 'Russian Federation'),
(59643, '91.194.214.0', '91.194.215.255', 1539495424, 1539495935, 'UA', 'Ukraine'),
(59644, '91.194.216.0', '91.194.217.255', 1539495936, 1539496447, 'RS', 'Serbia'),
(59645, '91.194.218.0', '91.194.219.255', 1539496448, 1539496959, 'NL', 'Netherlands'),
(59646, '91.194.220.0', '91.194.221.255', 1539496960, 1539497471, 'GB', 'United Kingdom'),
(59647, '91.194.222.0', '91.194.223.255', 1539497472, 1539497983, 'DE', 'Germany'),
(59648, '91.194.224.0', '91.194.225.255', 1539497984, 1539498495, 'NL', 'Netherlands'),
(59649, '91.194.226.0', '91.194.227.255', 1539498496, 1539499007, 'RU', 'Russian Federation'),
(59650, '91.194.228.0', '91.194.229.255', 1539499008, 1539499519, 'PL', 'Poland'),
(59651, '91.194.230.0', '91.194.233.255', 1539499520, 1539500543, 'DE', 'Germany'),
(59652, '91.194.234.0', '91.194.235.255', 1539500544, 1539501055, 'RO', 'Romania'),
(59653, '91.194.236.0', '91.194.237.255', 1539501056, 1539501567, 'BE', 'Belgium'),
(59654, '91.194.238.0', '91.194.239.255', 1539501568, 1539502079, 'UA', 'Ukraine'),
(59655, '91.194.240.0', '91.194.241.255', 1539502080, 1539502591, 'PL', 'Poland'),
(59656, '91.194.242.0', '91.194.243.255', 1539502592, 1539503103, 'HR', 'Croatia'),
(59657, '91.194.244.0', '91.194.247.255', 1539503104, 1539504127, 'RU', 'Russian Federation'),
(59658, '91.194.248.0', '91.194.249.255', 1539504128, 1539504639, 'AT', 'Austria'),
(59659, '91.194.250.0', '91.194.251.255', 1539504640, 1539505151, 'UA', 'Ukraine'),
(59660, '91.194.252.0', '91.194.255.255', 1539505152, 1539506175, 'RU', 'Russian Federation'),
(59661, '91.195.0.0', '91.195.1.255', 1539506176, 1539506687, 'NL', 'Netherlands'),
(59662, '91.195.2.0', '91.195.3.255', 1539506688, 1539507199, 'UA', 'Ukraine'),
(59663, '91.195.4.0', '91.195.7.255', 1539507200, 1539508223, 'RO', 'Romania'),
(59664, '91.195.8.0', '91.195.9.255', 1539508224, 1539508735, 'NO', 'Norway'),
(59665, '91.195.10.0', '91.195.13.255', 1539508736, 1539509759, 'UA', 'Ukraine'),
(59666, '91.195.14.0', '91.195.15.255', 1539509760, 1539510271, 'RO', 'Romania'),
(59667, '91.195.16.0', '91.195.17.255', 1539510272, 1539510783, 'RU', 'Russian Federation'),
(59668, '91.195.18.0', '91.195.19.255', 1539510784, 1539511295, 'LU', 'Luxembourg'),
(59669, '91.195.20.0', '91.195.21.255', 1539511296, 1539511807, 'UA', 'Ukraine'),
(59670, '91.195.22.0', '91.195.23.255', 1539511808, 1539512319, 'RU', 'Russian Federation'),
(59671, '91.195.24.0', '91.195.25.255', 1539512320, 1539512831, 'BG', 'Bulgaria'),
(59672, '91.195.26.0', '91.195.27.255', 1539512832, 1539513343, 'PL', 'Poland'),
(59673, '91.195.28.0', '91.195.29.255', 1539513344, 1539513855, 'RO', 'Romania'),
(59674, '91.195.30.0', '91.195.31.255', 1539513856, 1539514367, 'RU', 'Russian Federation'),
(59675, '91.195.32.0', '91.195.33.255', 1539514368, 1539514879, 'SE', 'Sweden'),
(59676, '91.195.34.0', '91.195.35.255', 1539514880, 1539515391, 'ES', 'Spain'),
(59677, '91.195.36.0', '91.195.37.255', 1539515392, 1539515903, 'FR', 'France'),
(59678, '91.195.38.0', '91.195.39.255', 1539515904, 1539516415, 'RS', 'Serbia'),
(59679, '91.195.40.0', '91.195.41.255', 1539516416, 1539516927, 'AT', 'Austria'),
(59680, '91.195.42.0', '91.195.43.255', 1539516928, 1539517439, 'PL', 'Poland'),
(59681, '91.195.44.0', '91.195.45.255', 1539517440, 1539517951, 'RO', 'Romania'),
(59682, '91.195.46.0', '91.195.47.255', 1539517952, 1539518463, 'PL', 'Poland'),
(59683, '91.195.48.0', '91.195.49.255', 1539518464, 1539518975, 'DE', 'Germany'),
(59684, '91.195.50.0', '91.195.51.255', 1539518976, 1539519487, 'RU', 'Russian Federation'),
(59685, '91.195.52.0', '91.195.53.255', 1539519488, 1539519999, 'UA', 'Ukraine'),
(59686, '91.195.54.0', '91.195.55.255', 1539520000, 1539520511, 'DE', 'Germany'),
(59687, '91.195.56.0', '91.195.57.255', 1539520512, 1539521023, 'PL', 'Poland'),
(59688, '91.195.58.0', '91.195.59.255', 1539521024, 1539521535, 'DK', 'Denmark'),
(59689, '91.195.60.0', '91.195.61.255', 1539521536, 1539522047, 'RU', 'Russian Federation'),
(59690, '91.195.62.0', '91.195.63.255', 1539522048, 1539522559, 'RO', 'Romania'),
(59691, '91.195.64.0', '91.195.65.255', 1539522560, 1539523071, 'RU', 'Russian Federation'),
(59692, '91.195.66.0', '91.195.67.255', 1539523072, 1539523583, 'RO', 'Romania'),
(59693, '91.195.68.0', '91.195.69.255', 1539523584, 1539524095, 'UA', 'Ukraine'),
(59694, '91.195.70.0', '91.195.71.255', 1539524096, 1539524607, 'GR', 'Greece'),
(59695, '91.195.72.0', '91.195.73.255', 1539524608, 1539525119, 'FR', 'France'),
(59696, '91.195.74.0', '91.195.75.255', 1539525120, 1539525631, 'UA', 'Ukraine'),
(59697, '91.195.76.0', '91.195.77.255', 1539525632, 1539526143, 'SE', 'Sweden'),
(59698, '91.195.78.0', '91.195.79.255', 1539526144, 1539526655, 'DE', 'Germany'),
(59699, '91.195.80.0', '91.195.81.255', 1539526656, 1539527167, 'NL', 'Netherlands'),
(59700, '91.195.82.0', '91.195.83.255', 1539527168, 1539527679, 'GB', 'United Kingdom'),
(59701, '91.195.84.0', '91.195.85.255', 1539527680, 1539528191, 'RO', 'Romania'),
(59702, '91.195.86.0', '91.195.87.255', 1539528192, 1539528703, 'UA', 'Ukraine'),
(59703, '91.195.88.0', '91.195.89.255', 1539528704, 1539529215, 'SA', 'Saudi Arabia'),
(59704, '91.195.90.0', '91.195.91.255', 1539529216, 1539529727, 'UA', 'Ukraine'),
(59705, '91.195.92.0', '91.195.93.255', 1539529728, 1539530239, 'PL', 'Poland'),
(59706, '91.195.94.0', '91.195.95.255', 1539530240, 1539530751, 'AT', 'Austria'),
(59707, '91.195.96.0', '91.195.97.255', 1539530752, 1539531263, 'UA', 'Ukraine'),
(59708, '91.195.98.0', '91.195.99.255', 1539531264, 1539531775, 'RO', 'Romania'),
(59709, '91.195.100.0', '91.195.103.255', 1539531776, 1539532799, 'RU', 'Russian Federation'),
(59710, '91.195.104.0', '91.195.105.255', 1539532800, 1539533311, 'DE', 'Germany'),
(59711, '91.195.106.0', '91.195.107.255', 1539533312, 1539533823, 'CZ', 'Czech Republic'),
(59712, '91.195.108.0', '91.195.109.255', 1539533824, 1539534335, 'PL', 'Poland'),
(59713, '91.195.110.0', '91.195.111.255', 1539534336, 1539534847, 'RU', 'Russian Federation'),
(59714, '91.195.112.0', '91.195.113.255', 1539534848, 1539535359, 'GB', 'United Kingdom'),
(59715, '91.195.114.0', '91.195.115.255', 1539535360, 1539535871, 'RU', 'Russian Federation'),
(59716, '91.195.116.0', '91.195.117.255', 1539535872, 1539536383, 'AT', 'Austria'),
(59717, '91.195.118.0', '91.195.119.255', 1539536384, 1539536895, 'NL', 'Netherlands'),
(59718, '91.195.120.0', '91.195.121.255', 1539536896, 1539537407, 'UA', 'Ukraine'),
(59719, '91.195.122.0', '91.195.123.255', 1539537408, 1539537919, 'GB', 'United Kingdom'),
(59720, '91.195.124.0', '91.195.133.255', 1539537920, 1539540479, 'RU', 'Russian Federation'),
(59721, '91.195.134.0', '91.195.135.255', 1539540480, 1539540991, 'PL', 'Poland'),
(59722, '91.195.136.0', '91.195.137.255', 1539540992, 1539541503, 'RU', 'Russian Federation'),
(59723, '91.195.138.0', '91.195.139.255', 1539541504, 1539542015, 'TR', 'Turkey'),
(59724, '91.195.140.0', '91.195.141.255', 1539542016, 1539542527, 'DE', 'Germany'),
(59725, '91.195.142.0', '91.195.143.255', 1539542528, 1539543039, 'CH', 'Switzerland'),
(59726, '91.195.144.0', '91.195.145.255', 1539543040, 1539543551, 'RO', 'Romania'),
(59727, '91.195.146.0', '91.195.147.255', 1539543552, 1539544063, 'SI', 'Slovenia'),
(59728, '91.195.148.0', '91.195.149.255', 1539544064, 1539544575, 'RU', 'Russian Federation'),
(59729, '91.195.150.0', '91.195.151.255', 1539544576, 1539545087, 'CH', 'Switzerland'),
(59730, '91.195.152.0', '91.195.153.255', 1539545088, 1539545599, 'GR', 'Greece'),
(59731, '91.195.154.0', '91.195.155.255', 1539545600, 1539546111, 'SE', 'Sweden'),
(59732, '91.195.156.0', '91.195.157.255', 1539546112, 1539546623, 'UA', 'Ukraine'),
(59733, '91.195.158.0', '91.195.159.255', 1539546624, 1539547135, 'PL', 'Poland'),
(59734, '91.195.160.0', '91.195.161.255', 1539547136, 1539547647, 'NL', 'Netherlands'),
(59735, '91.195.162.0', '91.195.163.255', 1539547648, 1539548159, 'IL', 'Israel'),
(59736, '91.195.164.0', '91.195.165.255', 1539548160, 1539548671, 'FR', 'France'),
(59737, '91.195.166.0', '91.195.167.255', 1539548672, 1539549183, 'EU', 'Europe'),
(59738, '91.195.168.0', '91.195.169.255', 1539549184, 1539549695, 'GB', 'United Kingdom'),
(59739, '91.195.170.0', '91.195.171.255', 1539549696, 1539550207, 'RU', 'Russian Federation'),
(59740, '91.195.172.0', '91.195.173.255', 1539550208, 1539550719, 'UA', 'Ukraine'),
(59741, '91.195.174.0', '91.195.175.255', 1539550720, 1539551231, 'ES', 'Spain'),
(59742, '91.195.176.0', '91.195.177.255', 1539551232, 1539551743, 'RS', 'Serbia'),
(59743, '91.195.178.0', '91.195.179.255', 1539551744, 1539552255, 'RU', 'Russian Federation'),
(59744, '91.195.180.0', '91.195.181.255', 1539552256, 1539552767, 'RO', 'Romania'),
(59745, '91.195.182.0', '91.195.183.255', 1539552768, 1539553279, 'GB', 'United Kingdom'),
(59746, '91.195.184.0', '91.195.185.255', 1539553280, 1539553791, 'UA', 'Ukraine'),
(59747, '91.195.186.0', '91.195.187.255', 1539553792, 1539554303, 'GB', 'United Kingdom'),
(59748, '91.195.188.0', '91.195.189.255', 1539554304, 1539554815, 'CH', 'Switzerland'),
(59749, '91.195.190.0', '91.195.191.255', 1539554816, 1539555327, 'PL', 'Poland'),
(59750, '91.195.192.0', '91.195.193.255', 1539555328, 1539555839, 'GB', 'United Kingdom'),
(59751, '91.195.194.0', '91.195.197.255', 1539555840, 1539556863, 'RO', 'Romania'),
(59752, '91.195.198.0', '91.195.199.255', 1539556864, 1539557375, 'AT', 'Austria'),
(59753, '91.195.200.0', '91.195.201.255', 1539557376, 1539557887, 'NL', 'Netherlands'),
(59754, '91.195.202.0', '91.195.203.255', 1539557888, 1539558399, 'CZ', 'Czech Republic'),
(59755, '91.195.204.0', '91.195.205.255', 1539558400, 1539558911, 'RU', 'Russian Federation'),
(59756, '91.195.206.0', '91.195.207.255', 1539558912, 1539559423, 'FR', 'France'),
(59757, '91.195.208.0', '91.195.211.255', 1539559424, 1539560447, 'RU', 'Russian Federation'),
(59758, '91.195.212.0', '91.195.213.255', 1539560448, 1539560959, 'GB', 'United Kingdom'),
(59759, '91.195.214.0', '91.195.215.255', 1539560960, 1539561471, 'UA', 'Ukraine'),
(59760, '91.195.216.0', '91.195.217.255', 1539561472, 1539561983, 'RO', 'Romania'),
(59761, '91.195.218.0', '91.195.221.255', 1539561984, 1539563007, 'DE', 'Germany'),
(59762, '91.195.222.0', '91.195.223.255', 1539563008, 1539563519, 'RU', 'Russian Federation'),
(59763, '91.195.224.0', '91.195.225.255', 1539563520, 1539564031, 'SE', 'Sweden'),
(59764, '91.195.226.0', '91.195.227.255', 1539564032, 1539564543, 'KZ', 'Kazakhstan'),
(59765, '91.195.228.0', '91.195.229.255', 1539564544, 1539565055, 'GB', 'United Kingdom'),
(59766, '91.195.230.0', '91.195.231.255', 1539565056, 1539565567, 'UA', 'Ukraine'),
(59767, '91.195.232.0', '91.195.233.255', 1539565568, 1539566079, 'PL', 'Poland'),
(59768, '91.195.234.0', '91.195.237.255', 1539566080, 1539567103, 'NL', 'Netherlands'),
(59769, '91.195.238.0', '91.195.239.255', 1539567104, 1539567615, 'CH', 'Switzerland'),
(59770, '91.195.240.0', '91.195.241.255', 1539567616, 1539568127, 'DE', 'Germany'),
(59771, '91.195.242.0', '91.195.243.255', 1539568128, 1539568639, 'NL', 'Netherlands'),
(59772, '91.195.244.0', '91.195.245.255', 1539568640, 1539569151, 'UA', 'Ukraine'),
(59773, '91.195.246.0', '91.195.247.255', 1539569152, 1539569663, 'EE', 'Estonia'),
(59774, '91.195.248.0', '91.195.249.255', 1539569664, 1539570175, 'UA', 'Ukraine'),
(59775, '91.195.250.0', '91.195.251.255', 1539570176, 1539570687, 'PL', 'Poland'),
(59776, '91.195.252.0', '91.195.255.255', 1539570688, 1539571711, 'RU', 'Russian Federation'),
(59777, '91.196.0.0', '91.196.3.255', 1539571712, 1539572735, 'UA', 'Ukraine'),
(59778, '91.196.4.0', '91.196.7.255', 1539572736, 1539573759, 'RU', 'Russian Federation'),
(59779, '91.196.8.0', '91.196.15.255', 1539573760, 1539575807, 'PL', 'Poland'),
(59780, '91.196.16.0', '91.196.19.255', 1539575808, 1539576831, 'LV', 'Latvia'),
(59781, '91.196.20.0', '91.196.23.255', 1539576832, 1539577855, 'GB', 'United Kingdom'),
(59782, '91.196.24.0', '91.196.27.255', 1539577856, 1539578879, 'RU', 'Russian Federation'),
(59783, '91.196.28.0', '91.196.31.255', 1539578880, 1539579903, 'PL', 'Poland'),
(59784, '91.196.32.0', '91.196.35.255', 1539579904, 1539580927, 'RU', 'Russian Federation'),
(59785, '91.196.36.0', '91.196.39.255', 1539580928, 1539581951, 'AM', 'Armenia'),
(59786, '91.196.40.0', '91.196.43.255', 1539581952, 1539582975, 'RU', 'Russian Federation'),
(59787, '91.196.44.0', '91.196.47.255', 1539582976, 1539583999, 'RO', 'Romania'),
(59788, '91.196.48.0', '91.196.51.255', 1539584000, 1539585023, 'PL', 'Poland'),
(59789, '91.196.52.0', '91.196.55.255', 1539585024, 1539586047, 'UA', 'Ukraine'),
(59790, '91.196.56.0', '91.196.59.255', 1539586048, 1539587071, 'PL', 'Poland'),
(59791, '91.196.60.0', '91.196.63.255', 1539587072, 1539588095, 'UA', 'Ukraine'),
(59792, '91.196.64.0', '91.196.67.255', 1539588096, 1539589119, 'BG', 'Bulgaria'),
(59793, '91.196.68.0', '91.196.71.255', 1539589120, 1539590143, 'GB', 'United Kingdom'),
(59794, '91.196.72.0', '91.196.75.255', 1539590144, 1539591167, 'RU', 'Russian Federation'),
(59795, '91.196.76.0', '91.196.79.255', 1539591168, 1539592191, 'UZ', 'Uzbekistan'),
(59796, '91.196.80.0', '91.196.83.255', 1539592192, 1539593215, 'UA', 'Ukraine'),
(59797, '91.196.84.0', '91.196.87.255', 1539593216, 1539594239, 'RU', 'Russian Federation'),
(59798, '91.196.88.0', '91.196.103.255', 1539594240, 1539598335, 'UA', 'Ukraine'),
(59799, '91.196.104.0', '91.196.107.255', 1539598336, 1539599359, 'NL', 'Netherlands'),
(59800, '91.196.108.0', '91.196.111.255', 1539599360, 1539600383, 'PL', 'Poland'),
(59801, '91.196.112.0', '91.196.115.255', 1539600384, 1539601407, 'HU', 'Hungary'),
(59802, '91.196.116.0', '91.196.119.255', 1539601408, 1539602431, 'GB', 'United Kingdom'),
(59803, '91.196.120.0', '91.196.123.255', 1539602432, 1539603455, 'UA', 'Ukraine'),
(59804, '91.196.124.0', '91.196.127.255', 1539603456, 1539604479, 'BG', 'Bulgaria'),
(59805, '91.196.128.0', '91.196.131.255', 1539604480, 1539605503, 'ES', 'Spain'),
(59806, '91.196.132.0', '91.196.135.255', 1539605504, 1539606527, 'UA', 'Ukraine'),
(59807, '91.196.136.0', '91.196.139.255', 1539606528, 1539607551, 'RU', 'Russian Federation'),
(59808, '91.196.140.0', '91.196.147.255', 1539607552, 1539609599, 'DE', 'Germany'),
(59809, '91.196.148.0', '91.196.151.255', 1539609600, 1539610623, 'UA', 'Ukraine'),
(59810, '91.196.152.0', '91.196.155.255', 1539610624, 1539611647, 'RU', 'Russian Federation'),
(59811, '91.196.156.0', '91.196.167.255', 1539611648, 1539614719, 'UA', 'Ukraine'),
(59812, '91.196.168.0', '91.196.171.255', 1539614720, 1539615743, 'NL', 'Netherlands'),
(59813, '91.196.172.0', '91.196.175.255', 1539615744, 1539616767, 'DK', 'Denmark'),
(59814, '91.196.176.0', '91.196.179.255', 1539616768, 1539617791, 'UA', 'Ukraine'),
(59815, '91.196.180.0', '91.196.183.255', 1539617792, 1539618815, 'FR', 'France'),
(59816, '91.196.184.0', '91.196.187.255', 1539618816, 1539619839, 'GB', 'United Kingdom'),
(59817, '91.196.188.0', '91.196.191.255', 1539619840, 1539620863, 'RU', 'Russian Federation'),
(59818, '91.196.192.0', '91.196.203.255', 1539620864, 1539623935, 'UA', 'Ukraine'),
(59819, '91.196.204.0', '91.196.207.255', 1539623936, 1539624959, 'DE', 'Germany'),
(59820, '91.196.208.0', '91.196.211.255', 1539624960, 1539625983, 'RU', 'Russian Federation'),
(59821, '91.196.212.0', '91.196.215.255', 1539625984, 1539627007, 'PL', 'Poland'),
(59822, '91.196.216.0', '91.196.219.255', 1539627008, 1539628031, 'RU', 'Russian Federation'),
(59823, '91.196.220.0', '91.196.223.255', 1539628032, 1539629055, 'UA', 'Ukraine'),
(59824, '91.196.224.0', '91.196.227.255', 1539629056, 1539630079, 'BG', 'Bulgaria'),
(59825, '91.196.228.0', '91.196.231.255', 1539630080, 1539631103, 'UA', 'Ukraine'),
(59826, '91.196.232.0', '91.196.235.255', 1539631104, 1539632127, 'CN', 'China'),
(59827, '91.196.236.0', '91.196.239.255', 1539632128, 1539633151, 'RU', 'Russian Federation'),
(59828, '91.196.240.0', '91.196.243.255', 1539633152, 1539634175, 'SE', 'Sweden'),
(59829, '91.196.244.0', '91.197.3.255', 1539634176, 1539638271, 'RU', 'Russian Federation'),
(59830, '91.197.4.0', '91.197.7.255', 1539638272, 1539639295, 'UA', 'Ukraine'),
(59831, '91.197.8.0', '91.197.11.255', 1539639296, 1539640319, 'RU', 'Russian Federation'),
(59832, '91.197.12.0', '91.197.15.255', 1539640320, 1539641343, 'PL', 'Poland'),
(59833, '91.197.16.0', '91.197.19.255', 1539641344, 1539642367, 'UA', 'Ukraine'),
(59834, '91.197.20.0', '91.197.23.255', 1539642368, 1539643391, 'RU', 'Russian Federation'),
(59835, '91.197.24.0', '91.197.27.255', 1539643392, 1539644415, 'UA', 'Ukraine'),
(59836, '91.197.28.0', '91.197.31.255', 1539644416, 1539645439, 'DE', 'Germany'),
(59837, '91.197.32.0', '91.197.35.255', 1539645440, 1539646463, 'GB', 'United Kingdom'),
(59838, '91.197.36.0', '91.197.39.255', 1539646464, 1539647487, 'IE', 'Ireland'),
(59839, '91.197.40.0', '91.197.43.255', 1539647488, 1539648511, 'RU', 'Russian Federation'),
(59840, '91.197.44.0', '91.197.45.255', 1539648512, 1539649023, 'CY', 'Cyprus'),
(59841, '91.197.46.0', '91.197.47.255', 1539649024, 1539649535, 'LB', 'Lebanon'),
(59842, '91.197.48.0', '91.197.51.255', 1539649536, 1539650559, 'UA', 'Ukraine'),
(59843, '91.197.52.0', '91.197.55.255', 1539650560, 1539651583, 'RU', 'Russian Federation'),
(59844, '91.197.56.0', '91.197.59.255', 1539651584, 1539652607, 'UA', 'Ukraine'),
(59845, '91.197.60.0', '91.197.63.255', 1539652608, 1539653631, 'IL', 'Israel'),
(59846, '91.197.64.0', '91.197.71.255', 1539653632, 1539655679, 'RU', 'Russian Federation'),
(59847, '91.197.72.0', '91.197.75.255', 1539655680, 1539656703, 'NL', 'Netherlands'),
(59848, '91.197.76.0', '91.197.79.255', 1539656704, 1539657727, 'RU', 'Russian Federation'),
(59849, '91.197.80.0', '91.197.83.255', 1539657728, 1539658751, 'UA', 'Ukraine'),
(59850, '91.197.84.0', '91.197.87.255', 1539658752, 1539659775, 'FI', 'Finland'),
(59851, '91.197.88.0', '91.197.91.255', 1539659776, 1539660799, 'PL', 'Poland'),
(59852, '91.197.92.0', '91.197.95.255', 1539660800, 1539661823, 'GB', 'United Kingdom'),
(59853, '91.197.96.0', '91.197.99.255', 1539661824, 1539662847, 'RU', 'Russian Federation'),
(59854, '91.197.100.0', '91.197.103.255', 1539662848, 1539663871, 'IL', 'Israel'),
(59855, '91.197.104.0', '91.197.107.255', 1539663872, 1539664895, 'RU', 'Russian Federation'),
(59856, '91.197.108.0', '91.197.111.255', 1539664896, 1539665919, 'BE', 'Belgium'),
(59857, '91.197.112.0', '91.197.115.255', 1539665920, 1539666943, 'RU', 'Russian Federation'),
(59858, '91.197.116.0', '91.197.119.255', 1539666944, 1539667967, 'CZ', 'Czech Republic'),
(59859, '91.197.120.0', '91.197.123.255', 1539667968, 1539668991, 'UA', 'Ukraine'),
(59860, '91.197.124.0', '91.197.127.255', 1539668992, 1539670015, 'RU', 'Russian Federation'),
(59861, '91.197.128.0', '91.197.135.255', 1539670016, 1539672063, 'UA', 'Ukraine'),
(59862, '91.197.136.0', '91.197.139.255', 1539672064, 1539673087, 'FR', 'France'),
(59863, '91.197.140.0', '91.197.143.255', 1539673088, 1539674111, 'GB', 'United Kingdom'),
(59864, '91.197.144.0', '91.197.147.255', 1539674112, 1539675135, 'UA', 'Ukraine'),
(59865, '91.197.148.0', '91.197.155.255', 1539675136, 1539677183, 'PL', 'Poland'),
(59866, '91.197.156.0', '91.197.159.255', 1539677184, 1539678207, 'UA', 'Ukraine'),
(59867, '91.197.160.0', '91.197.163.255', 1539678208, 1539679231, 'RU', 'Russian Federation'),
(59868, '91.197.164.0', '91.197.167.255', 1539679232, 1539680255, 'FR', 'France'),
(59869, '91.197.168.0', '91.197.171.255', 1539680256, 1539681279, 'UA', 'Ukraine'),
(59870, '91.197.172.0', '91.197.183.255', 1539681280, 1539684351, 'RU', 'Russian Federation'),
(59871, '91.197.184.0', '91.197.187.255', 1539684352, 1539685375, 'UA', 'Ukraine'),
(59872, '91.197.188.0', '91.197.199.255', 1539685376, 1539688447, 'RU', 'Russian Federation'),
(59873, '91.197.200.0', '91.197.203.255', 1539688448, 1539689471, 'SA', 'Saudi Arabia'),
(59874, '91.197.204.0', '91.197.207.255', 1539689472, 1539690495, 'RU', 'Russian Federation'),
(59875, '91.197.208.0', '91.197.211.255', 1539690496, 1539691519, 'FI', 'Finland'),
(59876, '91.197.212.0', '91.197.215.255', 1539691520, 1539692543, 'RU', 'Russian Federation'),
(59877, '91.197.216.0', '91.197.223.255', 1539692544, 1539694591, 'UA', 'Ukraine'),
(59878, '91.197.224.0', '91.197.227.255', 1539694592, 1539695615, 'PL', 'Poland'),
(59879, '91.197.228.0', '91.197.231.255', 1539695616, 1539696639, 'GB', 'United Kingdom'),
(59880, '91.197.232.0', '91.197.235.255', 1539696640, 1539697663, 'RU', 'Russian Federation'),
(59881, '91.197.236.0', '91.197.239.255', 1539697664, 1539698687, 'UA', 'Ukraine'),
(59882, '91.197.240.0', '91.197.243.255', 1539698688, 1539699711, 'GE', 'Georgia'),
(59883, '91.197.244.0', '91.197.247.255', 1539699712, 1539700735, 'RO', 'Romania'),
(59884, '91.197.248.0', '91.197.251.255', 1539700736, 1539701759, 'DK', 'Denmark'),
(59885, '91.197.252.0', '91.197.255.255', 1539701760, 1539702783, 'UA', 'Ukraine'),
(59886, '91.198.0.0', '91.198.0.255', 1539702784, 1539703039, 'SI', 'Slovenia'),
(59887, '91.198.1.0', '91.198.1.255', 1539703040, 1539703295, 'UA', 'Ukraine'),
(59888, '91.198.2.0', '91.198.2.255', 1539703296, 1539703551, 'DE', 'Germany'),
(59889, '91.198.3.0', '91.198.3.255', 1539703552, 1539703807, 'GB', 'United Kingdom'),
(59890, '91.198.4.0', '91.198.4.255', 1539703808, 1539704063, 'UA', 'Ukraine'),
(59891, '91.198.5.0', '91.198.5.255', 1539704064, 1539704319, 'IL', 'Israel'),
(59892, '91.198.6.0', '91.198.6.255', 1539704320, 1539704575, 'CH', 'Switzerland'),
(59893, '91.198.7.0', '91.198.7.255', 1539704576, 1539704831, 'HU', 'Hungary'),
(59894, '91.198.8.0', '91.198.8.255', 1539704832, 1539705087, 'CH', 'Switzerland'),
(59895, '91.198.9.0', '91.198.9.255', 1539705088, 1539705343, 'GB', 'United Kingdom'),
(59896, '91.198.10.0', '91.198.10.255', 1539705344, 1539705599, 'UA', 'Ukraine'),
(59897, '91.198.11.0', '91.198.12.255', 1539705600, 1539706111, 'CH', 'Switzerland'),
(59898, '91.198.13.0', '91.198.13.255', 1539706112, 1539706367, 'GB', 'United Kingdom'),
(59899, '91.198.14.0', '91.198.14.255', 1539706368, 1539706623, 'RU', 'Russian Federation'),
(59900, '91.198.15.0', '91.198.16.255', 1539706624, 1539707135, 'PL', 'Poland'),
(59901, '91.198.17.0', '91.198.17.255', 1539707136, 1539707391, 'LT', 'Lithuania'),
(59902, '91.198.18.0', '91.198.18.255', 1539707392, 1539707647, 'GB', 'United Kingdom'),
(59903, '91.198.19.0', '91.198.19.255', 1539707648, 1539707903, 'AE', 'United Arab Emirates'),
(59904, '91.198.20.0', '91.198.20.255', 1539707904, 1539708159, 'UA', 'Ukraine'),
(59905, '91.198.21.0', '91.198.21.255', 1539708160, 1539708415, 'DE', 'Germany'),
(59906, '91.198.22.0', '91.198.22.255', 1539708416, 1539708671, 'GB', 'United Kingdom'),
(59907, '91.198.23.0', '91.198.23.255', 1539708672, 1539708927, 'RO', 'Romania'),
(59908, '91.198.24.0', '91.198.24.255', 1539708928, 1539709183, 'IE', 'Ireland'),
(59909, '91.198.25.0', '91.198.25.255', 1539709184, 1539709439, 'AT', 'Austria'),
(59910, '91.198.26.0', '91.198.26.255', 1539709440, 1539709695, 'BE', 'Belgium'),
(59911, '91.198.27.0', '91.198.27.255', 1539709696, 1539709951, 'NL', 'Netherlands'),
(59912, '91.198.28.0', '91.198.28.255', 1539709952, 1539710207, 'TR', 'Turkey'),
(59913, '91.198.29.0', '91.198.29.255', 1539710208, 1539710463, 'GB', 'United Kingdom'),
(59914, '91.198.30.0', '91.198.30.255', 1539710464, 1539710719, 'FR', 'France'),
(59915, '91.198.31.0', '91.198.31.255', 1539710720, 1539710975, 'UA', 'Ukraine'),
(59916, '91.198.32.0', '91.198.32.255', 1539710976, 1539711231, 'DE', 'Germany'),
(59917, '91.198.33.0', '91.198.33.255', 1539711232, 1539711487, 'RU', 'Russian Federation'),
(59918, '91.198.34.0', '91.198.34.255', 1539711488, 1539711743, 'UA', 'Ukraine'),
(59919, '91.198.35.0', '91.198.35.255', 1539711744, 1539711999, 'DE', 'Germany'),
(59920, '91.198.36.0', '91.198.36.255', 1539712000, 1539712255, 'UA', 'Ukraine'),
(59921, '91.198.37.0', '91.198.37.255', 1539712256, 1539712511, 'NL', 'Netherlands'),
(59922, '91.198.38.0', '91.198.39.255', 1539712512, 1539713023, 'RU', 'Russian Federation'),
(59923, '91.198.40.0', '91.198.40.255', 1539713024, 1539713279, 'UA', 'Ukraine'),
(59924, '91.198.41.0', '91.198.41.255', 1539713280, 1539713535, 'FR', 'France'),
(59925, '91.198.42.0', '91.198.42.255', 1539713536, 1539713791, 'DK', 'Denmark'),
(59926, '91.198.43.0', '91.198.43.255', 1539713792, 1539714047, 'DE', 'Germany'),
(59927, '91.198.44.0', '91.198.44.255', 1539714048, 1539714303, 'FR', 'France'),
(59928, '91.198.45.0', '91.198.45.255', 1539714304, 1539714559, 'AT', 'Austria'),
(59929, '91.198.46.0', '91.198.46.255', 1539714560, 1539714815, 'RU', 'Russian Federation'),
(59930, '91.198.47.0', '91.198.47.255', 1539714816, 1539715071, 'PT', 'Portugal'),
(59931, '91.198.48.0', '91.198.48.255', 1539715072, 1539715327, 'SE', 'Sweden'),
(59932, '91.198.49.0', '91.198.49.255', 1539715328, 1539715583, 'TR', 'Turkey'),
(59933, '91.198.50.0', '91.198.50.255', 1539715584, 1539715839, 'UA', 'Ukraine'),
(59934, '91.198.51.0', '91.198.51.255', 1539715840, 1539716095, 'RU', 'Russian Federation'),
(59935, '91.198.52.0', '91.198.52.255', 1539716096, 1539716351, 'SI', 'Slovenia'),
(59936, '91.198.53.0', '91.198.53.255', 1539716352, 1539716607, 'PL', 'Poland'),
(59937, '91.198.54.0', '91.198.54.255', 1539716608, 1539716863, 'RU', 'Russian Federation'),
(59938, '91.198.55.0', '91.198.56.255', 1539716864, 1539717375, 'PL', 'Poland'),
(59939, '91.198.57.0', '91.198.57.255', 1539717376, 1539717631, 'DE', 'Germany'),
(59940, '91.198.58.0', '91.198.58.255', 1539717632, 1539717887, 'CH', 'Switzerland'),
(59941, '91.198.59.0', '91.198.59.255', 1539717888, 1539718143, 'MK', 'Macedonia'),
(59942, '91.198.60.0', '91.198.60.255', 1539718144, 1539718399, 'DE', 'Germany'),
(59943, '91.198.61.0', '91.198.61.255', 1539718400, 1539718655, 'TR', 'Turkey'),
(59944, '91.198.62.0', '91.198.62.255', 1539718656, 1539718911, 'SA', 'Saudi Arabia'),
(59945, '91.198.63.0', '91.198.63.255', 1539718912, 1539719167, 'KZ', 'Kazakhstan'),
(59946, '91.198.64.0', '91.198.64.255', 1539719168, 1539719423, 'IE', 'Ireland'),
(59947, '91.198.65.0', '91.198.65.255', 1539719424, 1539719679, 'PL', 'Poland'),
(59948, '91.198.66.0', '91.198.67.255', 1539719680, 1539720191, 'DE', 'Germany'),
(59949, '91.198.68.0', '91.198.69.255', 1539720192, 1539720703, 'RU', 'Russian Federation'),
(59950, '91.198.70.0', '91.198.70.255', 1539720704, 1539720959, 'IL', 'Israel'),
(59951, '91.198.71.0', '91.198.71.255', 1539720960, 1539721215, 'RU', 'Russian Federation'),
(59952, '91.198.72.0', '91.198.73.255', 1539721216, 1539721727, 'CH', 'Switzerland'),
(59953, '91.198.74.0', '91.198.74.255', 1539721728, 1539721983, 'PL', 'Poland'),
(59954, '91.198.75.0', '91.198.75.255', 1539721984, 1539722239, 'RU', 'Russian Federation'),
(59955, '91.198.76.0', '91.198.76.255', 1539722240, 1539722495, 'PL', 'Poland'),
(59956, '91.198.77.0', '91.198.77.255', 1539722496, 1539722751, 'GB', 'United Kingdom'),
(59957, '91.198.78.0', '91.198.78.255', 1539722752, 1539723007, 'DE', 'Germany'),
(59958, '91.198.79.0', '91.198.79.255', 1539723008, 1539723263, 'CH', 'Switzerland'),
(59959, '91.198.80.0', '91.198.80.255', 1539723264, 1539723519, 'PL', 'Poland'),
(59960, '91.198.81.0', '91.198.81.255', 1539723520, 1539723775, 'GB', 'United Kingdom'),
(59961, '91.198.82.0', '91.198.82.255', 1539723776, 1539724031, 'DE', 'Germany'),
(59962, '91.198.83.0', '91.198.83.255', 1539724032, 1539724287, 'UA', 'Ukraine'),
(59963, '91.198.84.0', '91.198.84.255', 1539724288, 1539724543, 'IT', 'Italy'),
(59964, '91.198.85.0', '91.198.85.255', 1539724544, 1539724799, 'RU', 'Russian Federation'),
(59965, '91.198.86.0', '91.198.86.255', 1539724800, 1539725055, 'DE', 'Germany'),
(59966, '91.198.87.0', '91.198.87.255', 1539725056, 1539725311, 'NL', 'Netherlands'),
(59967, '91.198.88.0', '91.198.88.255', 1539725312, 1539725567, 'FR', 'France'),
(59968, '91.198.89.0', '91.198.89.255', 1539725568, 1539725823, 'PL', 'Poland'),
(59969, '91.198.90.0', '91.198.90.255', 1539725824, 1539726079, 'PT', 'Portugal'),
(59970, '91.198.91.0', '91.198.91.255', 1539726080, 1539726335, 'RU', 'Russian Federation'),
(59971, '91.198.92.0', '91.198.92.255', 1539726336, 1539726591, 'SE', 'Sweden'),
(59972, '91.198.93.0', '91.198.93.255', 1539726592, 1539726847, 'AT', 'Austria'),
(59973, '91.198.94.0', '91.198.94.255', 1539726848, 1539727103, 'PL', 'Poland'),
(59974, '91.198.95.0', '91.198.95.255', 1539727104, 1539727359, 'SE', 'Sweden'),
(59975, '91.198.96.0', '91.198.96.255', 1539727360, 1539727615, 'SI', 'Slovenia'),
(59976, '91.198.97.0', '91.198.97.255', 1539727616, 1539727871, 'PL', 'Poland'),
(59977, '91.198.98.0', '91.198.98.255', 1539727872, 1539728127, 'RU', 'Russian Federation'),
(59978, '91.198.99.0', '91.198.99.255', 1539728128, 1539728383, 'GB', 'United Kingdom'),
(59979, '91.198.100.0', '91.198.100.255', 1539728384, 1539728639, 'PL', 'Poland'),
(59980, '91.198.101.0', '91.198.101.255', 1539728640, 1539728895, 'UA', 'Ukraine'),
(59981, '91.198.102.0', '91.198.102.255', 1539728896, 1539729151, 'SA', 'Saudi Arabia'),
(59982, '91.198.103.0', '91.198.103.255', 1539729152, 1539729407, 'NL', 'Netherlands'),
(59983, '91.198.104.0', '91.198.104.255', 1539729408, 1539729663, 'RU', 'Russian Federation'),
(59984, '91.198.105.0', '91.198.105.255', 1539729664, 1539729919, 'FR', 'France'),
(59985, '91.198.106.0', '91.198.106.255', 1539729920, 1539730175, 'NL', 'Netherlands'),
(59986, '91.198.107.0', '91.198.107.255', 1539730176, 1539730431, 'GB', 'United Kingdom'),
(59987, '91.198.108.0', '91.198.108.255', 1539730432, 1539730687, 'GR', 'Greece'),
(59988, '91.198.109.0', '91.198.109.255', 1539730688, 1539730943, 'KZ', 'Kazakhstan'),
(59989, '91.198.110.0', '91.198.111.255', 1539730944, 1539731455, 'PL', 'Poland'),
(59990, '91.198.112.0', '91.198.112.255', 1539731456, 1539731711, 'SI', 'Slovenia'),
(59991, '91.198.113.0', '91.198.114.255', 1539731712, 1539732223, 'DE', 'Germany'),
(59992, '91.198.115.0', '91.198.115.255', 1539732224, 1539732479, 'FR', 'France'),
(59993, '91.198.116.0', '91.198.116.255', 1539732480, 1539732735, 'UA', 'Ukraine'),
(59994, '91.198.117.0', '91.198.117.255', 1539732736, 1539732991, 'DK', 'Denmark'),
(59995, '91.198.118.0', '91.198.118.255', 1539732992, 1539733247, 'PL', 'Poland'),
(59996, '91.198.119.0', '91.198.119.255', 1539733248, 1539733503, 'BG', 'Bulgaria'),
(59997, '91.198.120.0', '91.198.120.255', 1539733504, 1539733759, 'FI', 'Finland'),
(59998, '91.198.121.0', '91.198.121.255', 1539733760, 1539734015, 'PL', 'Poland'),
(59999, '91.198.122.0', '91.198.122.255', 1539734016, 1539734271, 'FR', 'France'),
(60000, '91.198.123.0', '91.198.123.255', 1539734272, 1539734527, 'NO', 'Norway'),
(60001, '91.198.124.0', '91.198.124.255', 1539734528, 1539734783, 'TR', 'Turkey'),
(60002, '91.198.125.0', '91.198.125.255', 1539734784, 1539735039, 'FR', 'France'),
(60003, '91.198.126.0', '91.198.126.255', 1539735040, 1539735295, 'BE', 'Belgium'),
(60004, '91.198.127.0', '91.198.127.255', 1539735296, 1539735551, 'RU', 'Russian Federation'),
(60005, '91.198.128.0', '91.198.128.255', 1539735552, 1539735807, 'AT', 'Austria'),
(60006, '91.198.129.0', '91.198.129.255', 1539735808, 1539736063, 'IL', 'Israel'),
(60007, '91.198.130.0', '91.198.130.255', 1539736064, 1539736319, 'RU', 'Russian Federation'),
(60008, '91.198.131.0', '91.198.131.255', 1539736320, 1539736575, 'HU', 'Hungary'),
(60009, '91.198.132.0', '91.198.132.255', 1539736576, 1539736831, 'BG', 'Bulgaria'),
(60010, '91.198.133.0', '91.198.133.255', 1539736832, 1539737087, 'UA', 'Ukraine'),
(60011, '91.198.134.0', '91.198.134.255', 1539737088, 1539737343, 'KW', 'Kuwait'),
(60012, '91.198.135.0', '91.198.135.255', 1539737344, 1539737599, 'SE', 'Sweden'),
(60013, '91.198.136.0', '91.198.136.255', 1539737600, 1539737855, 'RO', 'Romania'),
(60014, '91.198.137.0', '91.198.137.255', 1539737856, 1539738111, 'DE', 'Germany'),
(60015, '91.198.138.0', '91.198.138.255', 1539738112, 1539738367, 'DK', 'Denmark'),
(60016, '91.198.139.0', '91.198.139.255', 1539738368, 1539738623, 'DE', 'Germany'),
(60017, '91.198.140.0', '91.198.140.255', 1539738624, 1539738879, 'UA', 'Ukraine'),
(60018, '91.198.141.0', '91.198.141.255', 1539738880, 1539739135, 'NL', 'Netherlands'),
(60019, '91.198.142.0', '91.198.142.255', 1539739136, 1539739391, 'AT', 'Austria'),
(60020, '91.198.143.0', '91.198.143.255', 1539739392, 1539739647, 'UA', 'Ukraine'),
(60021, '91.198.144.0', '91.198.144.255', 1539739648, 1539739903, 'DK', 'Denmark'),
(60022, '91.198.145.0', '91.198.146.255', 1539739904, 1539740415, 'PL', 'Poland'),
(60023, '91.198.147.0', '91.198.147.255', 1539740416, 1539740671, 'RO', 'Romania'),
(60024, '91.198.148.0', '91.198.148.255', 1539740672, 1539740927, 'AT', 'Austria'),
(60025, '91.198.149.0', '91.198.149.255', 1539740928, 1539741183, 'RU', 'Russian Federation'),
(60026, '91.198.150.0', '91.198.150.255', 1539741184, 1539741439, 'PL', 'Poland'),
(60027, '91.198.151.0', '91.198.151.255', 1539741440, 1539741695, 'NL', 'Netherlands'),
(60028, '91.198.152.0', '91.198.152.255', 1539741696, 1539741951, 'DE', 'Germany'),
(60029, '91.198.153.0', '91.198.153.255', 1539741952, 1539742207, 'UA', 'Ukraine'),
(60030, '91.198.154.0', '91.198.154.255', 1539742208, 1539742463, 'CH', 'Switzerland'),
(60031, '91.198.155.0', '91.198.155.255', 1539742464, 1539742719, 'RU', 'Russian Federation'),
(60032, '91.198.156.0', '91.198.156.255', 1539742720, 1539742975, 'LV', 'Latvia'),
(60033, '91.198.157.0', '91.198.157.255', 1539742976, 1539743231, 'DE', 'Germany'),
(60034, '91.198.158.0', '91.198.158.255', 1539743232, 1539743487, 'GR', 'Greece'),
(60035, '91.198.159.0', '91.198.159.255', 1539743488, 1539743743, 'FR', 'France'),
(60036, '91.198.160.0', '91.198.160.255', 1539743744, 1539743999, 'RO', 'Romania'),
(60037, '91.198.161.0', '91.198.161.255', 1539744000, 1539744255, 'PL', 'Poland'),
(60038, '91.198.162.0', '91.198.162.255', 1539744256, 1539744511, 'RO', 'Romania'),
(60039, '91.198.163.0', '91.198.163.255', 1539744512, 1539744767, 'DE', 'Germany'),
(60040, '91.198.164.0', '91.198.164.255', 1539744768, 1539745023, 'SE', 'Sweden'),
(60041, '91.198.165.0', '91.198.165.255', 1539745024, 1539745279, 'GB', 'United Kingdom'),
(60042, '91.198.166.0', '91.198.166.255', 1539745280, 1539745535, 'GI', 'Gibraltar'),
(60043, '91.198.167.0', '91.198.167.255', 1539745536, 1539745791, 'CH', 'Switzerland'),
(60044, '91.198.168.0', '91.198.169.255', 1539745792, 1539746303, 'DK', 'Denmark'),
(60045, '91.198.170.0', '91.198.171.255', 1539746304, 1539746815, 'RU', 'Russian Federation'),
(60046, '91.198.172.0', '91.198.172.255', 1539746816, 1539747071, 'DK', 'Denmark'),
(60047, '91.198.173.0', '91.198.173.255', 1539747072, 1539747327, 'CH', 'Switzerland'),
(60048, '91.198.174.0', '91.198.174.255', 1539747328, 1539747583, 'NL', 'Netherlands'),
(60049, '91.198.175.0', '91.198.175.255', 1539747584, 1539747839, 'UA', 'Ukraine'),
(60050, '91.198.176.0', '91.198.176.255', 1539747840, 1539748095, 'NO', 'Norway'),
(60051, '91.198.177.0', '91.198.177.255', 1539748096, 1539748351, 'PL', 'Poland'),
(60052, '91.198.178.0', '91.198.178.255', 1539748352, 1539748607, 'NL', 'Netherlands'),
(60053, '91.198.179.0', '91.198.179.255', 1539748608, 1539748863, 'PL', 'Poland'),
(60054, '91.198.180.0', '91.198.180.255', 1539748864, 1539749119, 'GB', 'United Kingdom'),
(60055, '91.198.181.0', '91.198.181.255', 1539749120, 1539749375, 'BG', 'Bulgaria'),
(60056, '91.198.182.0', '91.198.182.255', 1539749376, 1539749631, 'PT', 'Portugal'),
(60057, '91.198.183.0', '91.198.183.255', 1539749632, 1539749887, 'GR', 'Greece'),
(60058, '91.198.184.0', '91.198.184.255', 1539749888, 1539750143, 'RU', 'Russian Federation'),
(60059, '91.198.185.0', '91.198.185.255', 1539750144, 1539750399, 'TR', 'Turkey'),
(60060, '91.198.186.0', '91.198.186.255', 1539750400, 1539750655, 'PL', 'Poland'),
(60061, '91.198.187.0', '91.198.187.255', 1539750656, 1539750911, 'DE', 'Germany'),
(60062, '91.198.188.0', '91.198.188.255', 1539750912, 1539751167, 'UA', 'Ukraine'),
(60063, '91.198.189.0', '91.198.189.255', 1539751168, 1539751423, 'AT', 'Austria'),
(60064, '91.198.190.0', '91.198.190.255', 1539751424, 1539751679, 'SI', 'Slovenia'),
(60065, '91.198.191.0', '91.198.191.255', 1539751680, 1539751935, 'FR', 'France'),
(60066, '91.198.192.0', '91.198.192.255', 1539751936, 1539752191, 'DE', 'Germany'),
(60067, '91.198.193.0', '91.198.193.255', 1539752192, 1539752447, 'SE', 'Sweden'),
(60068, '91.198.194.0', '91.198.194.255', 1539752448, 1539752703, 'PL', 'Poland'),
(60069, '91.198.195.0', '91.198.195.255', 1539752704, 1539752959, 'AT', 'Austria'),
(60070, '91.198.196.0', '91.198.196.255', 1539752960, 1539753215, 'RO', 'Romania'),
(60071, '91.198.197.0', '91.198.197.255', 1539753216, 1539753471, 'DE', 'Germany'),
(60072, '91.198.198.0', '91.198.198.255', 1539753472, 1539753727, 'HU', 'Hungary'),
(60073, '91.198.199.0', '91.198.200.255', 1539753728, 1539754239, 'FR', 'France'),
(60074, '91.198.201.0', '91.198.201.255', 1539754240, 1539754495, 'NO', 'Norway'),
(60075, '91.198.202.0', '91.198.202.255', 1539754496, 1539754751, 'SE', 'Sweden'),
(60076, '91.198.203.0', '91.198.203.255', 1539754752, 1539755007, 'BE', 'Belgium'),
(60077, '91.198.204.0', '91.198.204.255', 1539755008, 1539755263, 'DK', 'Denmark'),
(60078, '91.198.205.0', '91.198.205.255', 1539755264, 1539755519, 'IL', 'Israel'),
(60079, '91.198.206.0', '91.198.206.255', 1539755520, 1539755775, 'EE', 'Estonia'),
(60080, '91.198.207.0', '91.198.207.255', 1539755776, 1539756031, 'MT', 'Malta'),
(60081, '91.198.208.0', '91.198.209.255', 1539756032, 1539756543, 'PL', 'Poland'),
(60082, '91.198.210.0', '91.198.210.255', 1539756544, 1539756799, 'DE', 'Germany'),
(60083, '91.198.211.0', '91.198.211.255', 1539756800, 1539757055, 'BE', 'Belgium'),
(60084, '91.198.212.0', '91.198.212.255', 1539757056, 1539757311, 'RU', 'Russian Federation'),
(60085, '91.198.213.0', '91.198.213.255', 1539757312, 1539757567, 'GB', 'United Kingdom'),
(60086, '91.198.214.0', '91.198.214.255', 1539757568, 1539757823, 'SI', 'Slovenia'),
(60087, '91.198.215.0', '91.198.215.255', 1539757824, 1539758079, 'UA', 'Ukraine'),
(60088, '91.198.216.0', '91.198.216.255', 1539758080, 1539758335, 'HR', 'Croatia'),
(60089, '91.198.217.0', '91.198.217.255', 1539758336, 1539758591, 'PL', 'Poland'),
(60090, '91.198.218.0', '91.198.218.255', 1539758592, 1539758847, 'NL', 'Netherlands'),
(60091, '91.198.219.0', '91.198.219.255', 1539758848, 1539759103, 'BA', 'Bosnia and Herzegovina'),
(60092, '91.198.220.0', '91.198.220.255', 1539759104, 1539759359, 'DK', 'Denmark'),
(60093, '91.198.221.0', '91.198.221.255', 1539759360, 1539759615, 'RU', 'Russian Federation'),
(60094, '91.198.222.0', '91.198.222.255', 1539759616, 1539759871, 'PL', 'Poland'),
(60095, '91.198.223.0', '91.198.223.255', 1539759872, 1539760127, 'SE', 'Sweden'),
(60096, '91.198.224.0', '91.198.224.255', 1539760128, 1539760383, 'DE', 'Germany'),
(60097, '91.198.225.0', '91.198.225.255', 1539760384, 1539760639, 'RU', 'Russian Federation'),
(60098, '91.198.226.0', '91.198.226.255', 1539760640, 1539760895, 'PL', 'Poland'),
(60099, '91.198.227.0', '91.198.227.255', 1539760896, 1539761151, 'DK', 'Denmark'),
(60100, '91.198.228.0', '91.198.228.255', 1539761152, 1539761407, 'DE', 'Germany'),
(60101, '91.198.229.0', '91.198.229.255', 1539761408, 1539761663, 'CH', 'Switzerland'),
(60102, '91.198.230.0', '91.198.230.255', 1539761664, 1539761919, 'PL', 'Poland'),
(60103, '91.198.231.0', '91.198.231.255', 1539761920, 1539762175, 'RU', 'Russian Federation'),
(60104, '91.198.232.0', '91.198.232.255', 1539762176, 1539762431, 'PL', 'Poland'),
(60105, '91.198.233.0', '91.198.233.255', 1539762432, 1539762687, 'UA', 'Ukraine'),
(60106, '91.198.234.0', '91.198.234.255', 1539762688, 1539762943, 'NL', 'Netherlands'),
(60107, '91.198.235.0', '91.198.235.255', 1539762944, 1539763199, 'UA', 'Ukraine'),
(60108, '91.198.236.0', '91.198.236.255', 1539763200, 1539763455, 'MD', 'Moldova, Republic of'),
(60109, '91.198.237.0', '91.198.237.255', 1539763456, 1539763711, 'DK', 'Denmark'),
(60110, '91.198.238.0', '91.198.238.255', 1539763712, 1539763967, 'DE', 'Germany'),
(60111, '91.198.239.0', '91.198.239.255', 1539763968, 1539764223, 'PT', 'Portugal'),
(60112, '91.198.240.0', '91.198.240.255', 1539764224, 1539764479, 'AT', 'Austria'),
(60113, '91.198.241.0', '91.198.241.255', 1539764480, 1539764735, 'GB', 'United Kingdom'),
(60114, '91.198.242.0', '91.198.242.255', 1539764736, 1539764991, 'RO', 'Romania'),
(60115, '91.198.243.0', '91.198.243.255', 1539764992, 1539765247, 'BE', 'Belgium'),
(60116, '91.198.244.0', '91.198.244.255', 1539765248, 1539765503, 'GB', 'United Kingdom'),
(60117, '91.198.245.0', '91.198.246.255', 1539765504, 1539766015, 'PL', 'Poland'),
(60118, '91.198.247.0', '91.198.247.255', 1539766016, 1539766271, 'UA', 'Ukraine'),
(60119, '91.198.248.0', '91.198.248.255', 1539766272, 1539766527, 'PL', 'Poland'),
(60120, '91.198.249.0', '91.198.249.255', 1539766528, 1539766783, 'UA', 'Ukraine'),
(60121, '91.198.250.0', '91.198.250.255', 1539766784, 1539767039, 'DE', 'Germany'),
(60122, '91.198.251.0', '91.198.251.255', 1539767040, 1539767295, 'SA', 'Saudi Arabia'),
(60123, '91.198.252.0', '91.198.252.255', 1539767296, 1539767551, 'DK', 'Denmark'),
(60124, '91.198.253.0', '91.198.253.255', 1539767552, 1539767807, 'DE', 'Germany'),
(60125, '91.198.254.0', '91.198.254.255', 1539767808, 1539768063, 'IL', 'Israel'),
(60126, '91.198.255.0', '91.198.255.255', 1539768064, 1539768319, 'GB', 'United Kingdom'),
(60127, '91.199.0.0', '91.199.0.255', 1539768320, 1539768575, 'FR', 'France'),
(60128, '91.199.1.0', '91.199.1.255', 1539768576, 1539768831, 'GB', 'United Kingdom'),
(60129, '91.199.2.0', '91.199.2.255', 1539768832, 1539769087, 'IT', 'Italy'),
(60130, '91.199.3.0', '91.199.3.255', 1539769088, 1539769343, 'BE', 'Belgium'),
(60131, '91.199.4.0', '91.199.4.255', 1539769344, 1539769599, 'RU', 'Russian Federation'),
(60132, '91.199.5.0', '91.199.5.255', 1539769600, 1539769855, 'AT', 'Austria'),
(60133, '91.199.6.0', '91.199.6.255', 1539769856, 1539770111, 'FR', 'France'),
(60134, '91.199.7.0', '91.199.7.255', 1539770112, 1539770367, 'GR', 'Greece'),
(60135, '91.199.8.0', '91.199.8.255', 1539770368, 1539770623, 'DE', 'Germany'),
(60136, '91.199.9.0', '91.199.9.255', 1539770624, 1539770879, 'FR', 'France'),
(60137, '91.199.10.0', '91.199.10.255', 1539770880, 1539771135, 'RU', 'Russian Federation'),
(60138, '91.199.11.0', '91.199.11.255', 1539771136, 1539771391, 'FR', 'France'),
(60139, '91.199.12.0', '91.199.12.255', 1539771392, 1539771647, 'PL', 'Poland'),
(60140, '91.199.13.0', '91.199.13.255', 1539771648, 1539771903, 'UA', 'Ukraine'),
(60141, '91.199.14.0', '91.199.14.255', 1539771904, 1539772159, 'RU', 'Russian Federation'),
(60142, '91.199.15.0', '91.199.15.255', 1539772160, 1539772415, 'BE', 'Belgium'),
(60143, '91.199.16.0', '91.199.16.255', 1539772416, 1539772671, 'RU', 'Russian Federation'),
(60144, '91.199.17.0', '91.199.17.255', 1539772672, 1539772927, 'RS', 'Serbia'),
(60145, '91.199.18.0', '91.199.18.255', 1539772928, 1539773183, 'RU', 'Russian Federation');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(60146, '91.199.19.0', '91.199.19.255', 1539773184, 1539773439, 'GB', 'United Kingdom'),
(60147, '91.199.20.0', '91.199.20.255', 1539773440, 1539773695, 'KZ', 'Kazakhstan'),
(60148, '91.199.21.0', '91.199.21.255', 1539773696, 1539773951, 'DE', 'Germany'),
(60149, '91.199.22.0', '91.199.22.255', 1539773952, 1539774207, 'PL', 'Poland'),
(60150, '91.199.23.0', '91.199.23.255', 1539774208, 1539774463, 'SI', 'Slovenia'),
(60151, '91.199.24.0', '91.199.24.255', 1539774464, 1539774719, 'GB', 'United Kingdom'),
(60152, '91.199.25.0', '91.199.25.255', 1539774720, 1539774975, 'PL', 'Poland'),
(60153, '91.199.26.0', '91.199.26.255', 1539774976, 1539775231, 'RU', 'Russian Federation'),
(60154, '91.199.27.0', '91.199.27.255', 1539775232, 1539775487, 'CH', 'Switzerland'),
(60155, '91.199.28.0', '91.199.28.255', 1539775488, 1539775743, 'UA', 'Ukraine'),
(60156, '91.199.29.0', '91.199.29.255', 1539775744, 1539775999, 'IL', 'Israel'),
(60157, '91.199.30.0', '91.199.30.255', 1539776000, 1539776255, 'PL', 'Poland'),
(60158, '91.199.31.0', '91.199.31.255', 1539776256, 1539776511, 'SK', 'Slovakia'),
(60159, '91.199.32.0', '91.199.32.255', 1539776512, 1539776767, 'HU', 'Hungary'),
(60160, '91.199.33.0', '91.199.33.255', 1539776768, 1539777023, 'UA', 'Ukraine'),
(60161, '91.199.34.0', '91.199.34.255', 1539777024, 1539777279, 'RU', 'Russian Federation'),
(60162, '91.199.35.0', '91.199.35.255', 1539777280, 1539777535, 'UA', 'Ukraine'),
(60163, '91.199.36.0', '91.199.36.255', 1539777536, 1539777791, 'BG', 'Bulgaria'),
(60164, '91.199.37.0', '91.199.37.255', 1539777792, 1539778047, 'UA', 'Ukraine'),
(60165, '91.199.38.0', '91.199.38.255', 1539778048, 1539778303, 'AM', 'Armenia'),
(60166, '91.199.39.0', '91.199.39.255', 1539778304, 1539778559, 'LB', 'Lebanon'),
(60167, '91.199.40.0', '91.199.40.255', 1539778560, 1539778815, 'RU', 'Russian Federation'),
(60168, '91.199.41.0', '91.199.41.255', 1539778816, 1539779071, 'RO', 'Romania'),
(60169, '91.199.42.0', '91.199.42.255', 1539779072, 1539779327, 'GB', 'United Kingdom'),
(60170, '91.199.43.0', '91.199.43.255', 1539779328, 1539779583, 'NL', 'Netherlands'),
(60171, '91.199.44.0', '91.199.44.255', 1539779584, 1539779839, 'PL', 'Poland'),
(60172, '91.199.45.0', '91.199.45.255', 1539779840, 1539780095, 'NL', 'Netherlands'),
(60173, '91.199.46.0', '91.199.46.255', 1539780096, 1539780351, 'RU', 'Russian Federation'),
(60174, '91.199.47.0', '91.199.47.255', 1539780352, 1539780607, 'AT', 'Austria'),
(60175, '91.199.48.0', '91.199.48.255', 1539780608, 1539780863, 'PL', 'Poland'),
(60176, '91.199.49.0', '91.199.49.255', 1539780864, 1539781119, 'RO', 'Romania'),
(60177, '91.199.50.0', '91.199.50.255', 1539781120, 1539781375, 'NL', 'Netherlands'),
(60178, '91.199.51.0', '91.199.51.255', 1539781376, 1539781631, 'PL', 'Poland'),
(60179, '91.199.52.0', '91.199.52.255', 1539781632, 1539781887, 'HU', 'Hungary'),
(60180, '91.199.53.0', '91.199.53.255', 1539781888, 1539782143, 'IL', 'Israel'),
(60181, '91.199.54.0', '91.199.54.255', 1539782144, 1539782399, 'UA', 'Ukraine'),
(60182, '91.199.55.0', '91.199.55.255', 1539782400, 1539782655, 'LT', 'Lithuania'),
(60183, '91.199.56.0', '91.199.56.255', 1539782656, 1539782911, 'GI', 'Gibraltar'),
(60184, '91.199.57.0', '91.199.57.255', 1539782912, 1539783167, 'PL', 'Poland'),
(60185, '91.199.58.0', '91.199.59.255', 1539783168, 1539783679, 'NL', 'Netherlands'),
(60186, '91.199.60.0', '91.199.60.255', 1539783680, 1539783935, 'DE', 'Germany'),
(60187, '91.199.61.0', '91.199.61.255', 1539783936, 1539784191, 'SI', 'Slovenia'),
(60188, '91.199.62.0', '91.199.62.255', 1539784192, 1539784447, 'RU', 'Russian Federation'),
(60189, '91.199.63.0', '91.199.63.255', 1539784448, 1539784703, 'NO', 'Norway'),
(60190, '91.199.64.0', '91.199.64.255', 1539784704, 1539784959, 'SE', 'Sweden'),
(60191, '91.199.65.0', '91.199.65.255', 1539784960, 1539785215, 'DE', 'Germany'),
(60192, '91.199.66.0', '91.199.66.255', 1539785216, 1539785471, 'CH', 'Switzerland'),
(60193, '91.199.67.0', '91.199.67.255', 1539785472, 1539785727, 'RU', 'Russian Federation'),
(60194, '91.199.68.0', '91.199.68.255', 1539785728, 1539785983, 'SE', 'Sweden'),
(60195, '91.199.69.0', '91.199.69.255', 1539785984, 1539786239, 'IL', 'Israel'),
(60196, '91.199.70.0', '91.199.70.255', 1539786240, 1539786495, 'AT', 'Austria'),
(60197, '91.199.71.0', '91.199.71.255', 1539786496, 1539786751, 'GB', 'United Kingdom'),
(60198, '91.199.72.0', '91.199.72.255', 1539786752, 1539787007, 'HU', 'Hungary'),
(60199, '91.199.73.0', '91.199.73.255', 1539787008, 1539787263, 'TR', 'Turkey'),
(60200, '91.199.74.0', '91.199.74.255', 1539787264, 1539787519, 'IE', 'Ireland'),
(60201, '91.199.75.0', '91.199.75.255', 1539787520, 1539787775, 'DE', 'Germany'),
(60202, '91.199.76.0', '91.199.76.255', 1539787776, 1539788031, 'CH', 'Switzerland'),
(60203, '91.199.77.0', '91.199.77.255', 1539788032, 1539788287, 'HR', 'Croatia'),
(60204, '91.199.78.0', '91.199.78.255', 1539788288, 1539788543, 'GB', 'United Kingdom'),
(60205, '91.199.79.0', '91.199.79.255', 1539788544, 1539788799, 'HR', 'Croatia'),
(60206, '91.199.80.0', '91.199.81.255', 1539788800, 1539789311, 'RU', 'Russian Federation'),
(60207, '91.199.82.0', '91.199.82.255', 1539789312, 1539789567, 'UA', 'Ukraine'),
(60208, '91.199.83.0', '91.199.83.255', 1539789568, 1539789823, 'DE', 'Germany'),
(60209, '91.199.84.0', '91.199.84.255', 1539789824, 1539790079, 'NL', 'Netherlands'),
(60210, '91.199.85.0', '91.199.85.255', 1539790080, 1539790335, 'CH', 'Switzerland'),
(60211, '91.199.86.0', '91.199.86.255', 1539790336, 1539790591, 'LV', 'Latvia'),
(60212, '91.199.87.0', '91.199.87.255', 1539790592, 1539790847, 'PL', 'Poland'),
(60213, '91.199.88.0', '91.199.88.255', 1539790848, 1539791103, 'DE', 'Germany'),
(60214, '91.199.89.0', '91.199.89.255', 1539791104, 1539791359, 'PL', 'Poland'),
(60215, '91.199.90.0', '91.199.90.255', 1539791360, 1539791615, 'RU', 'Russian Federation'),
(60216, '91.199.91.0', '91.199.93.255', 1539791616, 1539792383, 'UA', 'Ukraine'),
(60217, '91.199.94.0', '91.199.94.255', 1539792384, 1539792639, 'IL', 'Israel'),
(60218, '91.199.95.0', '91.199.95.255', 1539792640, 1539792895, 'PL', 'Poland'),
(60219, '91.199.96.0', '91.199.96.255', 1539792896, 1539793151, 'GR', 'Greece'),
(60220, '91.199.97.0', '91.199.97.255', 1539793152, 1539793407, 'PL', 'Poland'),
(60221, '91.199.98.0', '91.199.98.255', 1539793408, 1539793663, 'CH', 'Switzerland'),
(60222, '91.199.99.0', '91.199.100.255', 1539793664, 1539794175, 'IL', 'Israel'),
(60223, '91.199.101.0', '91.199.101.255', 1539794176, 1539794431, 'PL', 'Poland'),
(60224, '91.199.102.0', '91.199.102.255', 1539794432, 1539794687, 'DK', 'Denmark'),
(60225, '91.199.103.0', '91.199.103.255', 1539794688, 1539794943, 'FR', 'France'),
(60226, '91.199.104.0', '91.199.104.255', 1539794944, 1539795199, 'RO', 'Romania'),
(60227, '91.199.105.0', '91.199.105.255', 1539795200, 1539795455, 'PL', 'Poland'),
(60228, '91.199.106.0', '91.199.106.255', 1539795456, 1539795711, 'UA', 'Ukraine'),
(60229, '91.199.107.0', '91.199.107.255', 1539795712, 1539795967, 'SA', 'Saudi Arabia'),
(60230, '91.199.108.0', '91.199.108.255', 1539795968, 1539796223, 'NL', 'Netherlands'),
(60231, '91.199.109.0', '91.199.109.255', 1539796224, 1539796479, 'MC', 'Monaco'),
(60232, '91.199.110.0', '91.199.110.255', 1539796480, 1539796735, 'GB', 'United Kingdom'),
(60233, '91.199.111.0', '91.199.111.255', 1539796736, 1539796991, 'TR', 'Turkey'),
(60234, '91.199.112.0', '91.199.112.255', 1539796992, 1539797247, 'UA', 'Ukraine'),
(60235, '91.199.113.0', '91.199.113.255', 1539797248, 1539797503, 'DK', 'Denmark'),
(60236, '91.199.114.0', '91.199.114.255', 1539797504, 1539797759, 'RU', 'Russian Federation'),
(60237, '91.199.115.0', '91.199.115.255', 1539797760, 1539798015, 'UA', 'Ukraine'),
(60238, '91.199.116.0', '91.199.116.255', 1539798016, 1539798271, 'HU', 'Hungary'),
(60239, '91.199.117.0', '91.199.117.255', 1539798272, 1539798527, 'PL', 'Poland'),
(60240, '91.199.118.0', '91.199.118.255', 1539798528, 1539798783, 'GB', 'United Kingdom'),
(60241, '91.199.119.0', '91.199.119.255', 1539798784, 1539799039, 'IL', 'Israel'),
(60242, '91.199.120.0', '91.199.120.255', 1539799040, 1539799295, 'ES', 'Spain'),
(60243, '91.199.121.0', '91.199.121.255', 1539799296, 1539799551, 'DK', 'Denmark'),
(60244, '91.199.122.0', '91.199.122.255', 1539799552, 1539799807, 'ES', 'Spain'),
(60245, '91.199.123.0', '91.199.123.255', 1539799808, 1539800063, 'RO', 'Romania'),
(60246, '91.199.124.0', '91.199.124.255', 1539800064, 1539800319, 'SI', 'Slovenia'),
(60247, '91.199.125.0', '91.199.125.255', 1539800320, 1539800575, 'GB', 'United Kingdom'),
(60248, '91.199.126.0', '91.199.126.255', 1539800576, 1539800831, 'LV', 'Latvia'),
(60249, '91.199.127.0', '91.199.127.255', 1539800832, 1539801087, 'PL', 'Poland'),
(60250, '91.199.128.0', '91.199.128.255', 1539801088, 1539801343, 'BG', 'Bulgaria'),
(60251, '91.199.129.0', '91.199.130.255', 1539801344, 1539801855, 'GB', 'United Kingdom'),
(60252, '91.199.131.0', '91.199.131.255', 1539801856, 1539802111, 'SI', 'Slovenia'),
(60253, '91.199.132.0', '91.199.132.255', 1539802112, 1539802367, 'PL', 'Poland'),
(60254, '91.199.133.0', '91.199.133.255', 1539802368, 1539802623, 'RO', 'Romania'),
(60255, '91.199.134.0', '91.199.134.255', 1539802624, 1539802879, 'IS', 'Iceland'),
(60256, '91.199.135.0', '91.199.135.255', 1539802880, 1539803135, 'NL', 'Netherlands'),
(60257, '91.199.136.0', '91.199.136.255', 1539803136, 1539803391, 'GB', 'United Kingdom'),
(60258, '91.199.137.0', '91.199.137.255', 1539803392, 1539803647, 'NL', 'Netherlands'),
(60259, '91.199.138.0', '91.199.139.255', 1539803648, 1539804159, 'UA', 'Ukraine'),
(60260, '91.199.140.0', '91.199.141.255', 1539804160, 1539804671, 'PL', 'Poland'),
(60261, '91.199.142.0', '91.199.142.255', 1539804672, 1539804927, 'SI', 'Slovenia'),
(60262, '91.199.143.0', '91.199.144.255', 1539804928, 1539805439, 'UA', 'Ukraine'),
(60263, '91.199.145.0', '91.199.145.255', 1539805440, 1539805695, 'AT', 'Austria'),
(60264, '91.199.146.0', '91.199.146.255', 1539805696, 1539805951, 'CH', 'Switzerland'),
(60265, '91.199.147.0', '91.199.147.255', 1539805952, 1539806207, 'RU', 'Russian Federation'),
(60266, '91.199.148.0', '91.199.148.255', 1539806208, 1539806463, 'FI', 'Finland'),
(60267, '91.199.149.0', '91.199.149.255', 1539806464, 1539806719, 'RU', 'Russian Federation'),
(60268, '91.199.150.0', '91.199.150.255', 1539806720, 1539806975, 'BG', 'Bulgaria'),
(60269, '91.199.151.0', '91.199.151.255', 1539806976, 1539807231, 'GB', 'United Kingdom'),
(60270, '91.199.152.0', '91.199.152.255', 1539807232, 1539807487, 'FR', 'France'),
(60271, '91.199.153.0', '91.199.153.255', 1539807488, 1539807743, 'RU', 'Russian Federation'),
(60272, '91.199.154.0', '91.199.154.255', 1539807744, 1539807999, 'GB', 'United Kingdom'),
(60273, '91.199.155.0', '91.199.155.255', 1539808000, 1539808255, 'HU', 'Hungary'),
(60274, '91.199.156.0', '91.199.156.255', 1539808256, 1539808511, 'RU', 'Russian Federation'),
(60275, '91.199.157.0', '91.199.157.255', 1539808512, 1539808767, 'GB', 'United Kingdom'),
(60276, '91.199.158.0', '91.199.158.255', 1539808768, 1539809023, 'DE', 'Germany'),
(60277, '91.199.159.0', '91.199.159.255', 1539809024, 1539809279, 'GB', 'United Kingdom'),
(60278, '91.199.160.0', '91.199.160.255', 1539809280, 1539809535, 'EU', 'Europe'),
(60279, '91.199.161.0', '91.199.161.255', 1539809536, 1539809791, 'SI', 'Slovenia'),
(60280, '91.199.162.0', '91.199.162.255', 1539809792, 1539810047, 'DE', 'Germany'),
(60281, '91.199.163.0', '91.199.163.255', 1539810048, 1539810303, 'UA', 'Ukraine'),
(60282, '91.199.164.0', '91.199.164.255', 1539810304, 1539810559, 'CZ', 'Czech Republic'),
(60283, '91.199.165.0', '91.199.165.255', 1539810560, 1539810815, 'DE', 'Germany'),
(60284, '91.199.166.0', '91.199.166.255', 1539810816, 1539811071, 'TR', 'Turkey'),
(60285, '91.199.167.0', '91.199.167.255', 1539811072, 1539811327, 'NL', 'Netherlands'),
(60286, '91.199.168.0', '91.199.168.255', 1539811328, 1539811583, 'CZ', 'Czech Republic'),
(60287, '91.199.169.0', '91.199.169.255', 1539811584, 1539811839, 'DE', 'Germany'),
(60288, '91.199.170.0', '91.199.170.255', 1539811840, 1539812095, 'IT', 'Italy'),
(60289, '91.199.171.0', '91.199.171.255', 1539812096, 1539812351, 'RU', 'Russian Federation'),
(60290, '91.199.172.0', '91.199.172.255', 1539812352, 1539812607, 'CH', 'Switzerland'),
(60291, '91.199.173.0', '91.199.173.255', 1539812608, 1539812863, 'IT', 'Italy'),
(60292, '91.199.174.0', '91.199.174.255', 1539812864, 1539813119, 'RU', 'Russian Federation'),
(60293, '91.199.175.0', '91.199.175.255', 1539813120, 1539813375, 'AT', 'Austria'),
(60294, '91.199.176.0', '91.199.176.255', 1539813376, 1539813631, 'PL', 'Poland'),
(60295, '91.199.177.0', '91.199.177.255', 1539813632, 1539813887, 'NL', 'Netherlands'),
(60296, '91.199.178.0', '91.199.178.255', 1539813888, 1539814143, 'RU', 'Russian Federation'),
(60297, '91.199.179.0', '91.199.179.255', 1539814144, 1539814399, 'NL', 'Netherlands'),
(60298, '91.199.180.0', '91.199.181.255', 1539814400, 1539814911, 'GB', 'United Kingdom'),
(60299, '91.199.182.0', '91.199.182.255', 1539814912, 1539815167, 'UA', 'Ukraine'),
(60300, '91.199.183.0', '91.199.183.255', 1539815168, 1539815423, 'GB', 'United Kingdom'),
(60301, '91.199.184.0', '91.199.185.255', 1539815424, 1539815935, 'RU', 'Russian Federation'),
(60302, '91.199.186.0', '91.199.186.255', 1539815936, 1539816191, 'CH', 'Switzerland'),
(60303, '91.199.187.0', '91.199.187.255', 1539816192, 1539816447, 'SA', 'Saudi Arabia'),
(60304, '91.199.188.0', '91.199.188.255', 1539816448, 1539816703, 'UA', 'Ukraine'),
(60305, '91.199.189.0', '91.199.189.255', 1539816704, 1539816959, 'RU', 'Russian Federation'),
(60306, '91.199.190.0', '91.199.190.255', 1539816960, 1539817215, 'DK', 'Denmark'),
(60307, '91.199.191.0', '91.199.191.255', 1539817216, 1539817471, 'TR', 'Turkey'),
(60308, '91.199.192.0', '91.199.192.255', 1539817472, 1539817727, 'DE', 'Germany'),
(60309, '91.199.193.0', '91.199.193.255', 1539817728, 1539817983, 'PL', 'Poland'),
(60310, '91.199.194.0', '91.199.194.255', 1539817984, 1539818239, 'UA', 'Ukraine'),
(60311, '91.199.195.0', '91.199.195.255', 1539818240, 1539818495, 'NO', 'Norway'),
(60312, '91.199.196.0', '91.199.197.255', 1539818496, 1539819007, 'RU', 'Russian Federation'),
(60313, '91.199.198.0', '91.199.198.255', 1539819008, 1539819263, 'CH', 'Switzerland'),
(60314, '91.199.199.0', '91.199.199.255', 1539819264, 1539819519, 'RO', 'Romania'),
(60315, '91.199.200.0', '91.199.200.255', 1539819520, 1539819775, 'AT', 'Austria'),
(60316, '91.199.201.0', '91.199.201.255', 1539819776, 1539820031, 'SI', 'Slovenia'),
(60317, '91.199.202.0', '91.199.202.255', 1539820032, 1539820287, 'VG', 'Virgin Islands, British'),
(60318, '91.199.203.0', '91.199.203.255', 1539820288, 1539820543, 'PL', 'Poland'),
(60319, '91.199.204.0', '91.199.204.255', 1539820544, 1539820799, 'ES', 'Spain'),
(60320, '91.199.205.0', '91.199.205.255', 1539820800, 1539821055, 'RU', 'Russian Federation'),
(60321, '91.199.206.0', '91.199.206.255', 1539821056, 1539821311, 'UA', 'Ukraine'),
(60322, '91.199.207.0', '91.199.207.255', 1539821312, 1539821567, 'CZ', 'Czech Republic'),
(60323, '91.199.208.0', '91.199.208.255', 1539821568, 1539821823, 'DK', 'Denmark'),
(60324, '91.199.209.0', '91.199.209.255', 1539821824, 1539822079, 'DE', 'Germany'),
(60325, '91.199.210.0', '91.199.210.255', 1539822080, 1539822335, 'RO', 'Romania'),
(60326, '91.199.211.0', '91.199.211.255', 1539822336, 1539822591, 'RU', 'Russian Federation'),
(60327, '91.199.212.0', '91.199.212.255', 1539822592, 1539822847, 'GB', 'United Kingdom'),
(60328, '91.199.213.0', '91.199.213.255', 1539822848, 1539823103, 'IE', 'Ireland'),
(60329, '91.199.214.0', '91.199.214.255', 1539823104, 1539823359, 'DE', 'Germany'),
(60330, '91.199.215.0', '91.199.215.255', 1539823360, 1539823615, 'CY', 'Cyprus'),
(60331, '91.199.216.0', '91.199.216.255', 1539823616, 1539823871, 'RO', 'Romania'),
(60332, '91.199.217.0', '91.199.217.255', 1539823872, 1539824127, 'DK', 'Denmark'),
(60333, '91.199.218.0', '91.199.218.255', 1539824128, 1539824383, 'CH', 'Switzerland'),
(60334, '91.199.219.0', '91.199.219.255', 1539824384, 1539824639, 'NL', 'Netherlands'),
(60335, '91.199.220.0', '91.199.220.255', 1539824640, 1539824895, 'HU', 'Hungary'),
(60336, '91.199.221.0', '91.199.221.255', 1539824896, 1539825151, 'RU', 'Russian Federation'),
(60337, '91.199.222.0', '91.199.222.255', 1539825152, 1539825407, 'UA', 'Ukraine'),
(60338, '91.199.223.0', '91.199.224.255', 1539825408, 1539825919, 'RU', 'Russian Federation'),
(60339, '91.199.225.0', '91.199.225.255', 1539825920, 1539826175, 'DE', 'Germany'),
(60340, '91.199.226.0', '91.199.226.255', 1539826176, 1539826431, 'AM', 'Armenia'),
(60341, '91.199.227.0', '91.199.227.255', 1539826432, 1539826687, 'BE', 'Belgium'),
(60342, '91.199.228.0', '91.199.228.255', 1539826688, 1539826943, 'CH', 'Switzerland'),
(60343, '91.199.229.0', '91.199.229.255', 1539826944, 1539827199, 'RU', 'Russian Federation'),
(60344, '91.199.230.0', '91.199.230.255', 1539827200, 1539827455, 'ES', 'Spain'),
(60345, '91.199.231.0', '91.199.231.255', 1539827456, 1539827711, 'MK', 'Macedonia'),
(60346, '91.199.232.0', '91.199.232.255', 1539827712, 1539827967, 'RU', 'Russian Federation'),
(60347, '91.199.233.0', '91.199.234.255', 1539827968, 1539828479, 'FR', 'France'),
(60348, '91.199.235.0', '91.199.235.255', 1539828480, 1539828735, 'SI', 'Slovenia'),
(60349, '91.199.236.0', '91.199.236.255', 1539828736, 1539828991, 'NL', 'Netherlands'),
(60350, '91.199.237.0', '91.199.237.255', 1539828992, 1539829247, 'BG', 'Bulgaria'),
(60351, '91.199.238.0', '91.199.238.255', 1539829248, 1539829503, 'SE', 'Sweden'),
(60352, '91.199.239.0', '91.199.239.255', 1539829504, 1539829759, 'DE', 'Germany'),
(60353, '91.199.240.0', '91.199.240.255', 1539829760, 1539830015, 'PL', 'Poland'),
(60354, '91.199.241.0', '91.199.241.255', 1539830016, 1539830271, 'DE', 'Germany'),
(60355, '91.199.242.0', '91.199.242.255', 1539830272, 1539830527, 'FR', 'France'),
(60356, '91.199.243.0', '91.199.243.255', 1539830528, 1539830783, 'RO', 'Romania'),
(60357, '91.199.244.0', '91.199.244.255', 1539830784, 1539831039, 'RU', 'Russian Federation'),
(60358, '91.199.245.0', '91.199.245.255', 1539831040, 1539831295, 'UA', 'Ukraine'),
(60359, '91.199.246.0', '91.199.246.255', 1539831296, 1539831551, 'PL', 'Poland'),
(60360, '91.199.247.0', '91.199.247.255', 1539831552, 1539831807, 'DE', 'Germany'),
(60361, '91.199.248.0', '91.199.248.255', 1539831808, 1539832063, 'RU', 'Russian Federation'),
(60362, '91.199.249.0', '91.199.249.255', 1539832064, 1539832319, 'GB', 'United Kingdom'),
(60363, '91.199.250.0', '91.199.250.255', 1539832320, 1539832575, 'PL', 'Poland'),
(60364, '91.199.251.0', '91.199.251.255', 1539832576, 1539832831, 'RU', 'Russian Federation'),
(60365, '91.199.252.0', '91.199.252.255', 1539832832, 1539833087, 'GB', 'United Kingdom'),
(60366, '91.199.253.0', '91.199.253.255', 1539833088, 1539833343, 'RU', 'Russian Federation'),
(60367, '91.199.254.0', '91.199.255.255', 1539833344, 1539833855, 'FR', 'France'),
(60368, '91.200.0.0', '91.200.15.255', 1539833856, 1539837951, 'UA', 'Ukraine'),
(60369, '91.200.16.0', '91.200.19.255', 1539837952, 1539838975, 'NL', 'Netherlands'),
(60370, '91.200.20.0', '91.200.23.255', 1539838976, 1539839999, 'GR', 'Greece'),
(60371, '91.200.24.0', '91.200.27.255', 1539840000, 1539841023, 'PL', 'Poland'),
(60372, '91.200.28.0', '91.200.31.255', 1539841024, 1539842047, 'RU', 'Russian Federation'),
(60373, '91.200.32.0', '91.200.39.255', 1539842048, 1539844095, 'PL', 'Poland'),
(60374, '91.200.40.0', '91.200.47.255', 1539844096, 1539846143, 'UA', 'Ukraine'),
(60375, '91.200.48.0', '91.200.51.255', 1539846144, 1539847167, 'NL', 'Netherlands'),
(60376, '91.200.52.0', '91.200.59.255', 1539847168, 1539849215, 'UA', 'Ukraine'),
(60377, '91.200.64.0', '91.200.67.255', 1539850240, 1539851263, 'LV', 'Latvia'),
(60378, '91.200.68.0', '91.200.71.255', 1539851264, 1539852287, 'PL', 'Poland'),
(60379, '91.200.72.0', '91.200.75.255', 1539852288, 1539853311, 'UA', 'Ukraine'),
(60380, '91.200.76.0', '91.200.79.255', 1539853312, 1539854335, 'PL', 'Poland'),
(60381, '91.200.80.0', '91.200.83.255', 1539854336, 1539855359, 'UA', 'Ukraine'),
(60382, '91.200.84.0', '91.200.87.255', 1539855360, 1539856383, 'RU', 'Russian Federation'),
(60383, '91.200.88.0', '91.200.91.255', 1539856384, 1539857407, 'UA', 'Ukraine'),
(60384, '91.200.92.0', '91.200.95.255', 1539857408, 1539858431, 'PL', 'Poland'),
(60385, '91.200.96.0', '91.200.99.255', 1539858432, 1539859455, 'RO', 'Romania'),
(60386, '91.200.100.0', '91.200.103.255', 1539859456, 1539860479, 'DE', 'Germany'),
(60387, '91.200.104.0', '91.200.107.255', 1539860480, 1539861503, 'PL', 'Poland'),
(60388, '91.200.108.0', '91.200.111.255', 1539861504, 1539862527, 'DE', 'Germany'),
(60389, '91.200.112.0', '91.200.115.255', 1539862528, 1539863551, 'UA', 'Ukraine'),
(60390, '91.200.116.0', '91.200.119.255', 1539863552, 1539864575, 'ES', 'Spain'),
(60391, '91.200.120.0', '91.200.123.255', 1539864576, 1539865599, 'RO', 'Romania'),
(60392, '91.200.124.0', '91.200.127.255', 1539865600, 1539866623, 'UA', 'Ukraine'),
(60393, '91.200.128.0', '91.200.131.255', 1539866624, 1539867647, 'IT', 'Italy'),
(60394, '91.200.136.0', '91.200.139.255', 1539868672, 1539869695, 'UA', 'Ukraine'),
(60395, '91.200.140.0', '91.200.143.255', 1539869696, 1539870719, 'ES', 'Spain'),
(60396, '91.200.144.0', '91.200.147.255', 1539870720, 1539871743, 'IL', 'Israel'),
(60397, '91.200.148.0', '91.200.151.255', 1539871744, 1539872767, 'ES', 'Spain'),
(60398, '91.200.152.0', '91.200.155.255', 1539872768, 1539873791, 'SE', 'Sweden'),
(60399, '91.200.156.0', '91.200.163.255', 1539873792, 1539875839, 'UA', 'Ukraine'),
(60400, '91.200.164.0', '91.200.167.255', 1539875840, 1539876863, 'MD', 'Moldova, Republic of'),
(60401, '91.200.168.0', '91.200.171.255', 1539876864, 1539877887, 'ES', 'Spain'),
(60402, '91.200.172.0', '91.200.175.255', 1539877888, 1539878911, 'PL', 'Poland'),
(60403, '91.200.176.0', '91.200.179.255', 1539878912, 1539879935, 'EU', 'Europe'),
(60404, '91.200.180.0', '91.200.183.255', 1539879936, 1539880959, 'UA', 'Ukraine'),
(60405, '91.200.184.0', '91.200.187.255', 1539880960, 1539881983, 'PL', 'Poland'),
(60406, '91.200.188.0', '91.200.191.255', 1539881984, 1539883007, 'UA', 'Ukraine'),
(60407, '91.200.192.0', '91.200.195.255', 1539883008, 1539884031, 'RS', 'Serbia'),
(60408, '91.200.196.0', '91.200.199.255', 1539884032, 1539885055, 'MT', 'Malta'),
(60409, '91.200.200.0', '91.200.203.255', 1539885056, 1539886079, 'UA', 'Ukraine'),
(60410, '91.200.204.0', '91.200.207.255', 1539886080, 1539887103, 'FR', 'France'),
(60411, '91.200.208.0', '91.200.211.255', 1539887104, 1539888127, 'IT', 'Italy'),
(60412, '91.200.212.0', '91.200.215.255', 1539888128, 1539889151, 'UA', 'Ukraine'),
(60413, '91.200.216.0', '91.200.219.255', 1539889152, 1539890175, 'RU', 'Russian Federation'),
(60414, '91.200.220.0', '91.200.223.255', 1539890176, 1539891199, 'UA', 'Ukraine'),
(60415, '91.200.224.0', '91.200.231.255', 1539891200, 1539893247, 'RU', 'Russian Federation'),
(60416, '91.200.232.0', '91.200.235.255', 1539893248, 1539894271, 'UA', 'Ukraine'),
(60417, '91.200.236.0', '91.200.239.255', 1539894272, 1539895295, 'PL', 'Poland'),
(60418, '91.200.240.0', '91.200.243.255', 1539895296, 1539896319, 'EU', 'Europe'),
(60419, '91.200.244.0', '91.200.255.255', 1539896320, 1539899391, 'UA', 'Ukraine'),
(60420, '91.201.0.0', '91.201.3.255', 1539899392, 1539900415, 'RU', 'Russian Federation'),
(60421, '91.201.4.0', '91.201.7.255', 1539900416, 1539901439, 'EU', 'Europe'),
(60422, '91.201.8.0', '91.201.11.255', 1539901440, 1539902463, 'RU', 'Russian Federation'),
(60423, '91.201.12.0', '91.201.15.255', 1539902464, 1539903487, 'LV', 'Latvia'),
(60424, '91.201.16.0', '91.201.19.255', 1539903488, 1539904511, 'PL', 'Poland'),
(60425, '91.201.20.0', '91.201.23.255', 1539904512, 1539905535, 'CZ', 'Czech Republic'),
(60426, '91.201.24.0', '91.201.31.255', 1539905536, 1539907583, 'UA', 'Ukraine'),
(60427, '91.201.32.0', '91.201.35.255', 1539907584, 1539908607, 'EU', 'Europe'),
(60428, '91.201.36.0', '91.201.43.255', 1539908608, 1539910655, 'UA', 'Ukraine'),
(60429, '91.201.44.0', '91.201.47.255', 1539910656, 1539911679, 'PL', 'Poland'),
(60430, '91.201.48.0', '91.201.55.255', 1539911680, 1539913727, 'RU', 'Russian Federation'),
(60431, '91.201.56.0', '91.201.59.255', 1539913728, 1539914751, 'CH', 'Switzerland'),
(60432, '91.201.60.0', '91.201.63.255', 1539914752, 1539915775, 'SE', 'Sweden'),
(60433, '91.201.64.0', '91.201.67.255', 1539915776, 1539916799, 'RU', 'Russian Federation'),
(60434, '91.201.68.0', '91.201.71.255', 1539916800, 1539917823, 'UA', 'Ukraine'),
(60435, '91.201.72.0', '91.201.75.255', 1539917824, 1539918847, 'RU', 'Russian Federation'),
(60436, '91.201.76.0', '91.201.83.255', 1539918848, 1539920895, 'RO', 'Romania'),
(60437, '91.201.84.0', '91.201.87.255', 1539920896, 1539921919, 'UA', 'Ukraine'),
(60438, '91.201.88.0', '91.201.91.255', 1539921920, 1539922943, 'PL', 'Poland'),
(60439, '91.201.92.0', '91.201.95.255', 1539922944, 1539923967, 'SE', 'Sweden'),
(60440, '91.201.96.0', '91.201.99.255', 1539923968, 1539924991, 'RU', 'Russian Federation'),
(60441, '91.201.100.0', '91.201.103.255', 1539924992, 1539926015, 'DE', 'Germany'),
(60442, '91.201.104.0', '91.201.107.255', 1539926016, 1539927039, 'RU', 'Russian Federation'),
(60443, '91.201.108.0', '91.201.111.255', 1539927040, 1539928063, 'UA', 'Ukraine'),
(60444, '91.201.112.0', '91.201.119.255', 1539928064, 1539930111, 'RU', 'Russian Federation'),
(60445, '91.201.120.0', '91.201.123.255', 1539930112, 1539931135, 'PL', 'Poland'),
(60446, '91.201.124.0', '91.201.127.255', 1539931136, 1539932159, 'UA', 'Ukraine'),
(60447, '91.201.128.0', '91.201.131.255', 1539932160, 1539933183, 'DE', 'Germany'),
(60448, '91.201.132.0', '91.201.135.255', 1539933184, 1539934207, 'ES', 'Spain'),
(60449, '91.201.136.0', '91.201.139.255', 1539934208, 1539935231, 'RS', 'Serbia'),
(60450, '91.201.140.0', '91.201.143.255', 1539935232, 1539936255, 'LV', 'Latvia'),
(60451, '91.201.144.0', '91.201.147.255', 1539936256, 1539937279, 'UA', 'Ukraine'),
(60452, '91.201.148.0', '91.201.151.255', 1539937280, 1539938303, 'CH', 'Switzerland'),
(60453, '91.201.152.0', '91.201.155.255', 1539938304, 1539939327, 'PL', 'Poland'),
(60454, '91.201.156.0', '91.201.159.255', 1539939328, 1539940351, 'UA', 'Ukraine'),
(60455, '91.201.160.0', '91.201.163.255', 1539940352, 1539941375, 'GB', 'United Kingdom'),
(60456, '91.201.164.0', '91.201.167.255', 1539941376, 1539942399, 'NL', 'Netherlands'),
(60457, '91.201.168.0', '91.201.171.255', 1539942400, 1539943423, 'UA', 'Ukraine'),
(60458, '91.201.172.0', '91.201.175.255', 1539943424, 1539944447, 'BG', 'Bulgaria'),
(60459, '91.201.176.0', '91.201.183.255', 1539944448, 1539946495, 'UA', 'Ukraine'),
(60460, '91.201.184.0', '91.201.187.255', 1539946496, 1539947519, 'RU', 'Russian Federation'),
(60461, '91.201.188.0', '91.201.191.255', 1539947520, 1539948543, 'UA', 'Ukraine'),
(60462, '91.201.192.0', '91.201.195.255', 1539948544, 1539949567, 'RO', 'Romania'),
(60463, '91.201.196.0', '91.201.199.255', 1539949568, 1539950591, 'MD', 'Moldova, Republic of'),
(60464, '91.201.200.0', '91.201.200.255', 1539950592, 1539950847, 'GB', 'United Kingdom'),
(60465, '91.201.201.0', '91.201.201.255', 1539950848, 1539951103, 'RU', 'Russian Federation'),
(60466, '91.201.202.0', '91.201.203.255', 1539951104, 1539951615, 'UA', 'Ukraine'),
(60467, '91.201.204.0', '91.201.211.255', 1539951616, 1539953663, 'RU', 'Russian Federation'),
(60468, '91.201.212.0', '91.201.215.255', 1539953664, 1539954687, 'UA', 'Ukraine'),
(60469, '91.201.216.0', '91.201.223.255', 1539954688, 1539956735, 'RO', 'Romania'),
(60470, '91.201.224.0', '91.201.227.255', 1539956736, 1539957759, 'UA', 'Ukraine'),
(60471, '91.201.228.0', '91.201.231.255', 1539957760, 1539958783, 'RU', 'Russian Federation'),
(60472, '91.201.232.0', '91.201.247.255', 1539958784, 1539962879, 'UA', 'Ukraine'),
(60473, '91.201.248.0', '91.201.255.255', 1539962880, 1539964927, 'RU', 'Russian Federation'),
(60474, '91.202.0.0', '91.202.3.255', 1539964928, 1539965951, 'UA', 'Ukraine'),
(60475, '91.202.4.0', '91.202.7.255', 1539965952, 1539966975, 'RU', 'Russian Federation'),
(60476, '91.202.8.0', '91.202.11.255', 1539966976, 1539967999, 'UA', 'Ukraine'),
(60477, '91.202.12.0', '91.202.27.255', 1539968000, 1539972095, 'RU', 'Russian Federation'),
(60478, '91.202.28.0', '91.202.31.255', 1539972096, 1539973119, 'GB', 'United Kingdom'),
(60479, '91.202.32.0', '91.202.39.255', 1539973120, 1539975167, 'RU', 'Russian Federation'),
(60480, '91.202.40.0', '91.202.43.255', 1539975168, 1539976191, 'DE', 'Germany'),
(60481, '91.202.44.0', '91.202.47.255', 1539976192, 1539977215, 'RU', 'Russian Federation'),
(60482, '91.202.48.0', '91.202.51.255', 1539977216, 1539978239, 'DE', 'Germany'),
(60483, '91.202.52.0', '91.202.55.255', 1539978240, 1539979263, 'CZ', 'Czech Republic'),
(60484, '91.202.56.0', '91.202.59.255', 1539979264, 1539980287, 'UA', 'Ukraine'),
(60485, '91.202.60.0', '91.202.63.255', 1539980288, 1539981311, 'VG', 'Virgin Islands, British'),
(60486, '91.202.64.0', '91.202.67.255', 1539981312, 1539982335, 'SI', 'Slovenia'),
(60487, '91.202.68.0', '91.202.71.255', 1539982336, 1539983359, 'RU', 'Russian Federation'),
(60488, '91.202.72.0', '91.202.75.255', 1539983360, 1539984383, 'UA', 'Ukraine'),
(60489, '91.202.76.0', '91.202.79.255', 1539984384, 1539985407, 'RU', 'Russian Federation'),
(60490, '91.202.80.0', '91.202.83.255', 1539985408, 1539986431, 'SE', 'Sweden'),
(60491, '91.202.84.0', '91.202.87.255', 1539986432, 1539987455, 'RU', 'Russian Federation'),
(60492, '91.202.88.0', '91.202.91.255', 1539987456, 1539988479, 'RO', 'Romania'),
(60493, '91.202.92.0', '91.202.99.255', 1539988480, 1539990527, 'RU', 'Russian Federation'),
(60494, '91.202.100.0', '91.202.103.255', 1539990528, 1539991551, 'PL', 'Poland'),
(60495, '91.202.104.0', '91.202.111.255', 1539991552, 1539993599, 'UA', 'Ukraine'),
(60496, '91.202.112.0', '91.202.115.255', 1539993600, 1539994623, 'FI', 'Finland'),
(60497, '91.202.116.0', '91.202.119.255', 1539994624, 1539995647, 'AT', 'Austria'),
(60498, '91.202.120.0', '91.202.123.255', 1539995648, 1539996671, 'CH', 'Switzerland'),
(60499, '91.202.124.0', '91.202.127.255', 1539996672, 1539997695, 'PL', 'Poland'),
(60500, '91.202.128.0', '91.202.135.255', 1539997696, 1539999743, 'UA', 'Ukraine'),
(60501, '91.202.136.0', '91.202.139.255', 1539999744, 1540000767, 'GB', 'United Kingdom'),
(60502, '91.202.140.0', '91.202.143.255', 1540000768, 1540001791, 'RU', 'Russian Federation'),
(60503, '91.202.144.0', '91.202.147.255', 1540001792, 1540002815, 'UA', 'Ukraine'),
(60504, '91.202.148.0', '91.202.151.255', 1540002816, 1540003839, 'RU', 'Russian Federation'),
(60505, '91.202.152.0', '91.202.155.255', 1540003840, 1540004863, 'PL', 'Poland'),
(60506, '91.202.156.0', '91.202.159.255', 1540004864, 1540005887, 'SE', 'Sweden'),
(60507, '91.202.160.0', '91.202.163.255', 1540005888, 1540006911, 'UA', 'Ukraine'),
(60508, '91.202.164.0', '91.202.167.255', 1540006912, 1540007935, 'RU', 'Russian Federation'),
(60509, '91.202.168.0', '91.202.171.255', 1540007936, 1540008959, 'IL', 'Israel'),
(60510, '91.202.172.0', '91.202.179.255', 1540008960, 1540011007, 'PL', 'Poland'),
(60511, '91.202.180.0', '91.202.191.255', 1540011008, 1540014079, 'RU', 'Russian Federation'),
(60512, '91.202.192.0', '91.202.195.255', 1540014080, 1540015103, 'PL', 'Poland'),
(60513, '91.202.196.0', '91.202.199.255', 1540015104, 1540016127, 'RU', 'Russian Federation'),
(60514, '91.202.200.0', '91.202.203.255', 1540016128, 1540017151, 'DE', 'Germany'),
(60515, '91.202.204.0', '91.202.211.255', 1540017152, 1540019199, 'RU', 'Russian Federation'),
(60516, '91.202.212.0', '91.202.215.255', 1540019200, 1540020223, 'UA', 'Ukraine'),
(60517, '91.202.216.0', '91.202.223.255', 1540020224, 1540022271, 'RU', 'Russian Federation'),
(60518, '91.202.224.0', '91.202.227.255', 1540022272, 1540023295, 'GB', 'United Kingdom'),
(60519, '91.202.228.0', '91.202.231.255', 1540023296, 1540024319, 'PL', 'Poland'),
(60520, '91.202.232.0', '91.202.235.255', 1540024320, 1540025343, 'RU', 'Russian Federation'),
(60521, '91.202.236.0', '91.202.239.255', 1540025344, 1540026367, 'GB', 'United Kingdom'),
(60522, '91.202.240.0', '91.202.247.255', 1540026368, 1540028415, 'UA', 'Ukraine'),
(60523, '91.202.248.0', '91.202.251.255', 1540028416, 1540029439, 'ES', 'Spain'),
(60524, '91.202.252.0', '91.203.3.255', 1540029440, 1540031487, 'RU', 'Russian Federation'),
(60525, '91.203.4.0', '91.203.7.255', 1540031488, 1540032511, 'UA', 'Ukraine'),
(60526, '91.203.8.0', '91.203.11.255', 1540032512, 1540033535, 'RU', 'Russian Federation'),
(60527, '91.203.12.0', '91.203.15.255', 1540033536, 1540034559, 'UA', 'Ukraine'),
(60528, '91.203.16.0', '91.203.19.255', 1540034560, 1540035583, 'PL', 'Poland'),
(60529, '91.203.20.0', '91.203.23.255', 1540035584, 1540036607, 'RU', 'Russian Federation'),
(60530, '91.203.24.0', '91.203.27.255', 1540036608, 1540037631, 'UA', 'Ukraine'),
(60531, '91.203.28.0', '91.203.31.255', 1540037632, 1540038655, 'EE', 'Estonia'),
(60532, '91.203.32.0', '91.203.35.255', 1540038656, 1540039679, 'FR', 'France'),
(60533, '91.203.36.0', '91.203.39.255', 1540039680, 1540040703, 'RU', 'Russian Federation'),
(60534, '91.203.40.0', '91.203.43.255', 1540040704, 1540041727, 'SE', 'Sweden'),
(60535, '91.203.44.0', '91.203.47.255', 1540041728, 1540042751, 'RU', 'Russian Federation'),
(60536, '91.203.48.0', '91.203.51.255', 1540042752, 1540043775, 'UA', 'Ukraine'),
(60537, '91.203.52.0', '91.203.55.255', 1540043776, 1540044799, 'PL', 'Poland'),
(60538, '91.203.56.0', '91.203.59.255', 1540044800, 1540045823, 'GB', 'United Kingdom'),
(60539, '91.203.60.0', '91.203.63.255', 1540045824, 1540046847, 'UA', 'Ukraine'),
(60540, '91.203.64.0', '91.203.67.255', 1540046848, 1540047871, 'RU', 'Russian Federation'),
(60541, '91.203.68.0', '91.203.71.255', 1540047872, 1540048895, 'LV', 'Latvia'),
(60542, '91.203.72.0', '91.203.75.255', 1540048896, 1540049919, 'GB', 'United Kingdom'),
(60543, '91.203.76.0', '91.203.79.255', 1540049920, 1540050943, 'UA', 'Ukraine'),
(60544, '91.203.80.0', '91.203.87.255', 1540050944, 1540052991, 'RU', 'Russian Federation'),
(60545, '91.203.88.0', '91.203.95.255', 1540052992, 1540055039, 'UA', 'Ukraine'),
(60546, '91.203.96.0', '91.203.99.255', 1540055040, 1540056063, 'NO', 'Norway'),
(60547, '91.203.100.0', '91.203.103.255', 1540056064, 1540057087, 'NL', 'Netherlands'),
(60548, '91.203.104.0', '91.203.104.255', 1540057088, 1540057343, 'PL', 'Poland'),
(60549, '91.203.105.0', '91.203.105.255', 1540057344, 1540057599, 'RU', 'Russian Federation'),
(60550, '91.203.106.0', '91.203.106.255', 1540057600, 1540057855, 'US', 'United States'),
(60551, '91.203.107.0', '91.203.107.255', 1540057856, 1540058111, 'UA', 'Ukraine'),
(60552, '91.203.108.0', '91.203.111.255', 1540058112, 1540059135, 'DE', 'Germany'),
(60553, '91.203.112.0', '91.203.115.255', 1540059136, 1540060159, 'UA', 'Ukraine'),
(60554, '91.203.116.0', '91.203.119.255', 1540060160, 1540061183, 'NO', 'Norway'),
(60555, '91.203.120.0', '91.203.123.255', 1540061184, 1540062207, 'A2', 'Satellite Provider'),
(60556, '91.203.124.0', '91.203.127.255', 1540062208, 1540063231, 'RU', 'Russian Federation'),
(60557, '91.203.128.0', '91.203.131.255', 1540063232, 1540064255, 'NL', 'Netherlands'),
(60558, '91.203.132.0', '91.203.135.255', 1540064256, 1540065279, 'PL', 'Poland'),
(60559, '91.203.136.0', '91.203.147.255', 1540065280, 1540068351, 'UA', 'Ukraine'),
(60560, '91.203.148.0', '91.203.151.255', 1540068352, 1540069375, 'FR', 'France'),
(60561, '91.203.152.0', '91.203.155.255', 1540069376, 1540070399, 'RU', 'Russian Federation'),
(60562, '91.203.156.0', '91.203.159.255', 1540070400, 1540071423, 'PL', 'Poland'),
(60563, '91.203.160.0', '91.203.163.255', 1540071424, 1540072447, 'SE', 'Sweden'),
(60564, '91.203.164.0', '91.203.167.255', 1540072448, 1540073471, 'UA', 'Ukraine'),
(60565, '91.203.168.0', '91.203.171.255', 1540073472, 1540074495, 'RU', 'Russian Federation'),
(60566, '91.203.172.0', '91.203.175.255', 1540074496, 1540075519, 'UZ', 'Uzbekistan'),
(60567, '91.203.176.0', '91.203.183.255', 1540075520, 1540077567, 'RU', 'Russian Federation'),
(60568, '91.203.184.0', '91.203.187.255', 1540077568, 1540078591, 'FR', 'France'),
(60569, '91.203.188.0', '91.203.199.255', 1540078592, 1540081663, 'RU', 'Russian Federation'),
(60570, '91.203.200.0', '91.203.203.255', 1540081664, 1540082687, 'DE', 'Germany'),
(60571, '91.203.204.0', '91.203.207.255', 1540082688, 1540083711, 'NO', 'Norway'),
(60572, '91.203.208.0', '91.203.211.255', 1540083712, 1540084735, 'RU', 'Russian Federation'),
(60573, '91.203.212.0', '91.203.215.255', 1540084736, 1540085759, 'NL', 'Netherlands'),
(60574, '91.203.216.0', '91.203.223.255', 1540085760, 1540087807, 'PL', 'Poland'),
(60575, '91.203.224.0', '91.203.243.255', 1540087808, 1540092927, 'RU', 'Russian Federation'),
(60576, '91.203.244.0', '91.203.251.255', 1540092928, 1540094975, 'PL', 'Poland'),
(60577, '91.203.252.0', '91.203.255.255', 1540094976, 1540095999, 'RU', 'Russian Federation'),
(60578, '91.204.0.0', '91.204.3.255', 1540096000, 1540097023, 'SE', 'Sweden'),
(60579, '91.204.4.0', '91.204.11.255', 1540097024, 1540099071, 'DE', 'Germany'),
(60580, '91.204.12.0', '91.204.15.255', 1540099072, 1540100095, 'UA', 'Ukraine'),
(60581, '91.204.16.0', '91.204.27.255', 1540100096, 1540103167, 'RU', 'Russian Federation'),
(60582, '91.204.28.0', '91.204.35.255', 1540103168, 1540105215, 'DE', 'Germany'),
(60583, '91.204.36.0', '91.204.55.255', 1540105216, 1540110335, 'UA', 'Ukraine'),
(60584, '91.204.56.0', '91.204.59.255', 1540110336, 1540111359, 'RU', 'Russian Federation'),
(60585, '91.204.60.0', '91.204.63.255', 1540111360, 1540112383, 'UA', 'Ukraine'),
(60586, '91.204.64.0', '91.204.67.255', 1540112384, 1540113407, 'LV', 'Latvia'),
(60587, '91.204.68.0', '91.204.75.255', 1540113408, 1540115455, 'RU', 'Russian Federation'),
(60588, '91.204.76.0', '91.204.79.255', 1540115456, 1540116479, 'UA', 'Ukraine'),
(60589, '91.204.80.0', '91.204.83.255', 1540116480, 1540117503, 'CH', 'Switzerland'),
(60590, '91.204.84.0', '91.204.87.255', 1540117504, 1540118527, 'UA', 'Ukraine'),
(60591, '91.204.88.0', '91.204.91.255', 1540118528, 1540119551, 'PL', 'Poland'),
(60592, '91.204.92.0', '91.204.95.255', 1540119552, 1540120575, 'UA', 'Ukraine'),
(60593, '91.204.96.0', '91.204.111.255', 1540120576, 1540124671, 'RU', 'Russian Federation'),
(60594, '91.204.112.0', '91.204.115.255', 1540124672, 1540125695, 'UA', 'Ukraine'),
(60595, '91.204.116.0', '91.204.119.255', 1540125696, 1540126719, 'FR', 'France'),
(60596, '91.204.120.0', '91.204.123.255', 1540126720, 1540127743, 'UA', 'Ukraine'),
(60597, '91.204.124.0', '91.204.127.255', 1540127744, 1540128767, 'GB', 'United Kingdom'),
(60598, '91.204.128.0', '91.204.131.255', 1540128768, 1540129791, 'RU', 'Russian Federation'),
(60599, '91.204.132.0', '91.204.135.255', 1540129792, 1540130815, 'UA', 'Ukraine'),
(60600, '91.204.136.0', '91.204.139.255', 1540130816, 1540131839, 'RU', 'Russian Federation'),
(60601, '91.204.140.0', '91.204.143.255', 1540131840, 1540132863, 'PL', 'Poland'),
(60602, '91.204.144.0', '91.204.151.255', 1540132864, 1540134911, 'RU', 'Russian Federation'),
(60603, '91.204.152.0', '91.204.155.255', 1540134912, 1540135935, 'PL', 'Poland'),
(60604, '91.204.156.0', '91.204.159.255', 1540135936, 1540136959, 'BG', 'Bulgaria'),
(60605, '91.204.160.0', '91.204.163.255', 1540136960, 1540137983, 'PL', 'Poland'),
(60606, '91.204.164.0', '91.204.167.255', 1540137984, 1540139007, 'RU', 'Russian Federation'),
(60607, '91.204.168.0', '91.204.171.255', 1540139008, 1540140031, 'DE', 'Germany'),
(60608, '91.204.172.0', '91.204.175.255', 1540140032, 1540141055, 'GB', 'United Kingdom'),
(60609, '91.204.176.0', '91.204.179.255', 1540141056, 1540142079, 'RU', 'Russian Federation'),
(60610, '91.204.180.0', '91.204.183.255', 1540142080, 1540143103, 'UA', 'Ukraine'),
(60611, '91.204.184.0', '91.204.187.255', 1540143104, 1540144127, 'RU', 'Russian Federation'),
(60612, '91.204.188.0', '91.204.191.255', 1540144128, 1540145151, 'AM', 'Armenia'),
(60613, '91.204.192.0', '91.204.192.255', 1540145152, 1540145407, 'EU', 'Europe'),
(60614, '91.204.193.0', '91.204.195.255', 1540145408, 1540146175, 'AT', 'Austria'),
(60615, '91.204.196.0', '91.204.199.255', 1540146176, 1540147199, 'UA', 'Ukraine'),
(60616, '91.204.200.0', '91.204.203.255', 1540147200, 1540148223, 'RU', 'Russian Federation'),
(60617, '91.204.204.0', '91.204.207.255', 1540148224, 1540149247, 'PL', 'Poland'),
(60618, '91.204.208.0', '91.204.211.255', 1540149248, 1540150271, 'GB', 'United Kingdom'),
(60619, '91.204.212.0', '91.204.215.255', 1540150272, 1540151295, 'UA', 'Ukraine'),
(60620, '91.204.216.0', '91.204.219.255', 1540151296, 1540152319, 'AT', 'Austria'),
(60621, '91.204.220.0', '91.204.223.255', 1540152320, 1540153343, 'SE', 'Sweden'),
(60622, '91.204.224.0', '91.204.235.255', 1540153344, 1540156415, 'RU', 'Russian Federation'),
(60623, '91.204.236.0', '91.204.239.255', 1540156416, 1540157439, 'UZ', 'Uzbekistan'),
(60624, '91.204.240.0', '91.204.243.255', 1540157440, 1540158463, 'RU', 'Russian Federation'),
(60625, '91.204.244.0', '91.204.247.255', 1540158464, 1540159487, 'GB', 'United Kingdom'),
(60626, '91.204.248.0', '91.204.251.255', 1540159488, 1540160511, 'UA', 'Ukraine'),
(60627, '91.204.252.0', '91.205.3.255', 1540160512, 1540162559, 'RU', 'Russian Federation'),
(60628, '91.205.4.0', '91.205.7.255', 1540162560, 1540163583, 'UA', 'Ukraine'),
(60629, '91.205.8.0', '91.205.11.255', 1540163584, 1540164607, 'RU', 'Russian Federation'),
(60630, '91.205.12.0', '91.205.15.255', 1540164608, 1540165631, 'DE', 'Germany'),
(60631, '91.205.16.0', '91.205.19.255', 1540165632, 1540166655, 'UA', 'Ukraine'),
(60632, '91.205.20.0', '91.205.23.255', 1540166656, 1540167679, 'PL', 'Poland'),
(60633, '91.205.24.0', '91.205.27.255', 1540167680, 1540168703, 'RU', 'Russian Federation'),
(60634, '91.205.28.0', '91.205.31.255', 1540168704, 1540169727, 'DE', 'Germany'),
(60635, '91.205.32.0', '91.205.35.255', 1540169728, 1540170751, 'NL', 'Netherlands'),
(60636, '91.205.36.0', '91.205.39.255', 1540170752, 1540171775, 'DE', 'Germany'),
(60637, '91.205.40.0', '91.205.43.255', 1540171776, 1540172799, 'GB', 'United Kingdom'),
(60638, '91.205.44.0', '91.205.47.255', 1540172800, 1540173823, 'RU', 'Russian Federation'),
(60639, '91.205.48.0', '91.205.51.255', 1540173824, 1540174847, 'KG', 'Kyrgyzstan'),
(60640, '91.205.52.0', '91.205.55.255', 1540174848, 1540175871, 'RU', 'Russian Federation'),
(60641, '91.205.56.0', '91.205.59.255', 1540175872, 1540176895, 'DE', 'Germany'),
(60642, '91.205.60.0', '91.205.63.255', 1540176896, 1540177919, 'SE', 'Sweden'),
(60643, '91.205.64.0', '91.205.67.255', 1540177920, 1540178943, 'UA', 'Ukraine'),
(60644, '91.205.68.0', '91.205.71.255', 1540178944, 1540179967, 'BA', 'Bosnia and Herzegovina'),
(60645, '91.205.72.0', '91.205.75.255', 1540179968, 1540180991, 'PL', 'Poland'),
(60646, '91.205.76.0', '91.205.79.255', 1540180992, 1540182015, 'DE', 'Germany'),
(60647, '91.205.80.0', '91.205.83.255', 1540182016, 1540183039, 'IT', 'Italy'),
(60648, '91.205.84.0', '91.205.87.255', 1540183040, 1540184063, 'RU', 'Russian Federation'),
(60649, '91.205.88.0', '91.205.91.255', 1540184064, 1540185087, 'PL', 'Poland'),
(60650, '91.205.92.0', '91.205.95.255', 1540185088, 1540186111, 'RU', 'Russian Federation'),
(60651, '91.205.96.0', '91.205.99.255', 1540186112, 1540187135, 'NL', 'Netherlands'),
(60652, '91.205.100.0', '91.205.103.255', 1540187136, 1540188159, 'US', 'United States'),
(60653, '91.205.104.0', '91.205.107.255', 1540188160, 1540189183, 'KZ', 'Kazakhstan'),
(60654, '91.205.108.0', '91.205.111.255', 1540189184, 1540190207, 'GB', 'United Kingdom'),
(60655, '91.205.112.0', '91.205.115.255', 1540190208, 1540191231, 'PT', 'Portugal'),
(60656, '91.205.116.0', '91.205.119.255', 1540191232, 1540192255, 'FR', 'France'),
(60657, '91.205.120.0', '91.205.131.255', 1540192256, 1540195327, 'RU', 'Russian Federation'),
(60658, '91.205.132.0', '91.205.143.255', 1540195328, 1540198399, 'AM', 'Armenia'),
(60659, '91.205.144.0', '91.205.147.255', 1540198400, 1540199423, 'RU', 'Russian Federation'),
(60660, '91.205.148.0', '91.205.151.255', 1540199424, 1540200447, 'CH', 'Switzerland'),
(60661, '91.205.152.0', '91.205.155.255', 1540200448, 1540201471, 'IL', 'Israel'),
(60662, '91.205.156.0', '91.205.159.255', 1540201472, 1540202495, 'UA', 'Ukraine'),
(60663, '91.205.160.0', '91.205.163.255', 1540202496, 1540203519, 'RU', 'Russian Federation'),
(60664, '91.205.164.0', '91.205.167.255', 1540203520, 1540204543, 'UA', 'Ukraine'),
(60665, '91.205.168.0', '91.205.171.255', 1540204544, 1540205567, 'RU', 'Russian Federation'),
(60666, '91.205.172.0', '91.205.175.255', 1540205568, 1540206591, 'DE', 'Germany'),
(60667, '91.205.176.0', '91.205.183.255', 1540206592, 1540208639, 'RU', 'Russian Federation'),
(60668, '91.205.184.0', '91.205.187.255', 1540208640, 1540209663, 'NO', 'Norway'),
(60669, '91.205.188.0', '91.205.195.255', 1540209664, 1540211711, 'RU', 'Russian Federation'),
(60670, '91.205.196.0', '91.205.199.255', 1540211712, 1540212735, 'RO', 'Romania'),
(60671, '91.205.200.0', '91.205.203.255', 1540212736, 1540213759, 'RU', 'Russian Federation'),
(60672, '91.205.204.0', '91.205.207.255', 1540213760, 1540214783, 'UA', 'Ukraine'),
(60673, '91.205.208.0', '91.205.211.255', 1540214784, 1540215807, 'RU', 'Russian Federation'),
(60674, '91.205.212.0', '91.205.215.255', 1540215808, 1540216831, 'NL', 'Netherlands'),
(60675, '91.205.216.0', '91.205.219.255', 1540216832, 1540217855, 'UA', 'Ukraine'),
(60676, '91.205.220.0', '91.205.223.255', 1540217856, 1540218879, 'GB', 'United Kingdom'),
(60677, '91.205.224.0', '91.205.227.255', 1540218880, 1540219903, 'RU', 'Russian Federation'),
(60678, '91.205.228.0', '91.205.231.255', 1540219904, 1540220927, 'PL', 'Poland'),
(60679, '91.205.232.0', '91.205.235.255', 1540220928, 1540221951, 'NL', 'Netherlands'),
(60680, '91.205.236.0', '91.205.243.255', 1540221952, 1540223999, 'RU', 'Russian Federation'),
(60681, '91.205.244.0', '91.205.247.255', 1540224000, 1540225023, 'PL', 'Poland'),
(60682, '91.205.248.0', '91.205.251.255', 1540225024, 1540226047, 'GB', 'United Kingdom'),
(60683, '91.205.252.0', '91.205.255.255', 1540226048, 1540227071, 'RU', 'Russian Federation'),
(60684, '91.206.0.0', '91.206.1.255', 1540227072, 1540227583, 'GB', 'United Kingdom'),
(60685, '91.206.2.0', '91.206.3.255', 1540227584, 1540228095, 'RU', 'Russian Federation'),
(60686, '91.206.4.0', '91.206.5.255', 1540228096, 1540228607, 'UA', 'Ukraine'),
(60687, '91.206.6.0', '91.206.7.255', 1540228608, 1540229119, 'PL', 'Poland'),
(60688, '91.206.8.0', '91.206.9.255', 1540229120, 1540229631, 'AT', 'Austria'),
(60689, '91.206.10.0', '91.206.11.255', 1540229632, 1540230143, 'NL', 'Netherlands'),
(60690, '91.206.12.0', '91.206.19.255', 1540230144, 1540232191, 'RU', 'Russian Federation'),
(60691, '91.206.20.0', '91.206.21.255', 1540232192, 1540232703, 'BG', 'Bulgaria'),
(60692, '91.206.22.0', '91.206.23.255', 1540232704, 1540233215, 'RU', 'Russian Federation'),
(60693, '91.206.24.0', '91.206.25.255', 1540233216, 1540233727, 'CH', 'Switzerland'),
(60694, '91.206.26.0', '91.206.27.255', 1540233728, 1540234239, 'PL', 'Poland'),
(60695, '91.206.28.0', '91.206.29.255', 1540234240, 1540234751, 'DE', 'Germany'),
(60696, '91.206.30.0', '91.206.33.255', 1540234752, 1540235775, 'UA', 'Ukraine'),
(60697, '91.206.34.0', '91.206.35.255', 1540235776, 1540236287, 'NO', 'Norway'),
(60698, '91.206.36.0', '91.206.37.255', 1540236288, 1540236799, 'RO', 'Romania'),
(60699, '91.206.38.0', '91.206.39.255', 1540236800, 1540237311, 'PL', 'Poland'),
(60700, '91.206.40.0', '91.206.45.255', 1540237312, 1540238847, 'RO', 'Romania'),
(60701, '91.206.46.0', '91.206.47.255', 1540238848, 1540239359, 'DE', 'Germany'),
(60702, '91.206.48.0', '91.206.49.255', 1540239360, 1540239871, 'UA', 'Ukraine'),
(60703, '91.206.50.0', '91.206.51.255', 1540239872, 1540240383, 'FR', 'France'),
(60704, '91.206.52.0', '91.206.53.255', 1540240384, 1540240895, 'CH', 'Switzerland'),
(60705, '91.206.54.0', '91.206.59.255', 1540240896, 1540242431, 'RU', 'Russian Federation'),
(60706, '91.206.60.0', '91.206.61.255', 1540242432, 1540242943, 'DE', 'Germany'),
(60707, '91.206.62.0', '91.206.63.255', 1540242944, 1540243455, 'RU', 'Russian Federation'),
(60708, '91.206.64.0', '91.206.65.255', 1540243456, 1540243967, 'PL', 'Poland'),
(60709, '91.206.66.0', '91.206.67.255', 1540243968, 1540244479, 'RU', 'Russian Federation'),
(60710, '91.206.68.0', '91.206.69.255', 1540244480, 1540244991, 'CH', 'Switzerland'),
(60711, '91.206.70.0', '91.206.71.255', 1540244992, 1540245503, 'DE', 'Germany'),
(60712, '91.206.72.0', '91.206.73.255', 1540245504, 1540246015, 'RU', 'Russian Federation'),
(60713, '91.206.74.0', '91.206.75.255', 1540246016, 1540246527, 'IT', 'Italy'),
(60714, '91.206.76.0', '91.206.79.255', 1540246528, 1540247551, 'RO', 'Romania'),
(60715, '91.206.80.0', '91.206.81.255', 1540247552, 1540248063, 'NL', 'Netherlands'),
(60716, '91.206.82.0', '91.206.83.255', 1540248064, 1540248575, 'RO', 'Romania'),
(60717, '91.206.84.0', '91.206.85.255', 1540248576, 1540249087, 'GB', 'United Kingdom'),
(60718, '91.206.86.0', '91.206.87.255', 1540249088, 1540249599, 'PL', 'Poland'),
(60719, '91.206.88.0', '91.206.89.255', 1540249600, 1540250111, 'KZ', 'Kazakhstan'),
(60720, '91.206.90.0', '91.206.90.255', 1540250112, 1540250367, 'PL', 'Poland'),
(60721, '91.206.91.0', '91.206.91.255', 1540250368, 1540250623, 'CZ', 'Czech Republic'),
(60722, '91.206.92.0', '91.206.93.255', 1540250624, 1540251135, 'RU', 'Russian Federation'),
(60723, '91.206.94.0', '91.206.95.255', 1540251136, 1540251647, 'GB', 'United Kingdom'),
(60724, '91.206.96.0', '91.206.97.255', 1540251648, 1540252159, 'PL', 'Poland'),
(60725, '91.206.98.0', '91.206.99.255', 1540252160, 1540252671, 'DE', 'Germany'),
(60726, '91.206.100.0', '91.206.101.255', 1540252672, 1540253183, 'RU', 'Russian Federation'),
(60727, '91.206.102.0', '91.206.103.255', 1540253184, 1540253695, 'AT', 'Austria'),
(60728, '91.206.104.0', '91.206.105.255', 1540253696, 1540254207, 'CH', 'Switzerland'),
(60729, '91.206.106.0', '91.206.107.255', 1540254208, 1540254719, 'RU', 'Russian Federation'),
(60730, '91.206.108.0', '91.206.109.255', 1540254720, 1540255231, 'PL', 'Poland'),
(60731, '91.206.110.0', '91.206.111.255', 1540255232, 1540255743, 'UA', 'Ukraine'),
(60732, '91.206.112.0', '91.206.113.255', 1540255744, 1540256255, 'AT', 'Austria'),
(60733, '91.206.114.0', '91.206.115.255', 1540256256, 1540256767, 'PL', 'Poland'),
(60734, '91.206.116.0', '91.206.117.255', 1540256768, 1540257279, 'RU', 'Russian Federation'),
(60735, '91.206.118.0', '91.206.119.255', 1540257280, 1540257791, 'GB', 'United Kingdom'),
(60736, '91.206.120.0', '91.206.121.255', 1540257792, 1540258303, 'RU', 'Russian Federation'),
(60737, '91.206.122.0', '91.206.123.255', 1540258304, 1540258815, 'IR', 'Iran, Islamic Republic of');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(60738, '91.206.124.0', '91.206.125.255', 1540258816, 1540259327, 'UA', 'Ukraine'),
(60739, '91.206.126.0', '91.206.127.255', 1540259328, 1540259839, 'RU', 'Russian Federation'),
(60740, '91.206.128.0', '91.206.129.255', 1540259840, 1540260351, 'IT', 'Italy'),
(60741, '91.206.130.0', '91.206.131.255', 1540260352, 1540260863, 'RU', 'Russian Federation'),
(60742, '91.206.132.0', '91.206.133.255', 1540260864, 1540261375, 'LT', 'Lithuania'),
(60743, '91.206.134.0', '91.206.135.255', 1540261376, 1540261887, 'SA', 'Saudi Arabia'),
(60744, '91.206.136.0', '91.206.137.255', 1540261888, 1540262399, 'NL', 'Netherlands'),
(60745, '91.206.138.0', '91.206.139.255', 1540262400, 1540262911, 'BG', 'Bulgaria'),
(60746, '91.206.140.0', '91.206.141.255', 1540262912, 1540263423, 'RO', 'Romania'),
(60747, '91.206.142.0', '91.206.143.255', 1540263424, 1540263935, 'DE', 'Germany'),
(60748, '91.206.144.0', '91.206.145.255', 1540263936, 1540264447, 'GB', 'United Kingdom'),
(60749, '91.206.146.0', '91.206.151.255', 1540264448, 1540265983, 'RU', 'Russian Federation'),
(60750, '91.206.152.0', '91.206.153.255', 1540265984, 1540266495, 'DE', 'Germany'),
(60751, '91.206.154.0', '91.206.155.255', 1540266496, 1540267007, 'PL', 'Poland'),
(60752, '91.206.156.0', '91.206.157.255', 1540267008, 1540267519, 'FR', 'France'),
(60753, '91.206.158.0', '91.206.161.255', 1540267520, 1540268543, 'RO', 'Romania'),
(60754, '91.206.162.0', '91.206.163.255', 1540268544, 1540269055, 'RU', 'Russian Federation'),
(60755, '91.206.164.0', '91.206.165.255', 1540269056, 1540269567, 'DK', 'Denmark'),
(60756, '91.206.166.0', '91.206.167.255', 1540269568, 1540270079, 'RU', 'Russian Federation'),
(60757, '91.206.168.0', '91.206.169.255', 1540270080, 1540270591, 'GB', 'United Kingdom'),
(60758, '91.206.170.0', '91.206.171.255', 1540270592, 1540271103, 'IL', 'Israel'),
(60759, '91.206.172.0', '91.206.173.255', 1540271104, 1540271615, 'PL', 'Poland'),
(60760, '91.206.174.0', '91.206.175.255', 1540271616, 1540272127, 'SE', 'Sweden'),
(60761, '91.206.176.0', '91.206.177.255', 1540272128, 1540272639, 'GB', 'United Kingdom'),
(60762, '91.206.178.0', '91.206.181.255', 1540272640, 1540273663, 'PL', 'Poland'),
(60763, '91.206.182.0', '91.206.183.255', 1540273664, 1540274175, 'GB', 'United Kingdom'),
(60764, '91.206.184.0', '91.206.185.255', 1540274176, 1540274687, 'DE', 'Germany'),
(60765, '91.206.186.0', '91.206.187.255', 1540274688, 1540275199, 'UA', 'Ukraine'),
(60766, '91.206.188.0', '91.206.189.255', 1540275200, 1540275711, 'DE', 'Germany'),
(60767, '91.206.190.0', '91.206.191.255', 1540275712, 1540276223, 'GR', 'Greece'),
(60768, '91.206.192.0', '91.206.193.255', 1540276224, 1540276735, 'AT', 'Austria'),
(60769, '91.206.194.0', '91.206.195.255', 1540276736, 1540277247, 'RO', 'Romania'),
(60770, '91.206.196.0', '91.206.197.255', 1540277248, 1540277759, 'RU', 'Russian Federation'),
(60771, '91.206.198.0', '91.206.199.255', 1540277760, 1540278271, 'FR', 'France'),
(60772, '91.206.200.0', '91.206.201.255', 1540278272, 1540278783, 'UA', 'Ukraine'),
(60773, '91.206.202.0', '91.206.205.255', 1540278784, 1540279807, 'RU', 'Russian Federation'),
(60774, '91.206.206.0', '91.206.207.255', 1540279808, 1540280319, 'RO', 'Romania'),
(60775, '91.206.208.0', '91.206.209.255', 1540280320, 1540280831, 'MD', 'Moldova, Republic of'),
(60776, '91.206.210.0', '91.206.211.255', 1540280832, 1540281343, 'PL', 'Poland'),
(60777, '91.206.212.0', '91.206.213.255', 1540281344, 1540281855, 'UA', 'Ukraine'),
(60778, '91.206.214.0', '91.206.215.255', 1540281856, 1540282367, 'DE', 'Germany'),
(60779, '91.206.216.0', '91.206.217.255', 1540282368, 1540282879, 'RU', 'Russian Federation'),
(60780, '91.206.218.0', '91.206.219.255', 1540282880, 1540283391, 'UA', 'Ukraine'),
(60781, '91.206.220.0', '91.206.223.255', 1540283392, 1540284415, 'RU', 'Russian Federation'),
(60782, '91.206.224.0', '91.206.225.255', 1540284416, 1540284927, 'AT', 'Austria'),
(60783, '91.206.226.0', '91.206.227.255', 1540284928, 1540285439, 'UA', 'Ukraine'),
(60784, '91.206.228.0', '91.206.229.255', 1540285440, 1540285951, 'DE', 'Germany'),
(60785, '91.206.230.0', '91.206.231.255', 1540285952, 1540286463, 'RU', 'Russian Federation'),
(60786, '91.206.232.0', '91.206.233.255', 1540286464, 1540286975, 'NL', 'Netherlands'),
(60787, '91.206.234.0', '91.206.235.255', 1540286976, 1540287487, 'GB', 'United Kingdom'),
(60788, '91.206.236.0', '91.206.239.255', 1540287488, 1540288511, 'AT', 'Austria'),
(60789, '91.206.240.0', '91.206.243.255', 1540288512, 1540289535, 'RU', 'Russian Federation'),
(60790, '91.206.244.0', '91.206.245.255', 1540289536, 1540290047, 'PL', 'Poland'),
(60791, '91.206.246.0', '91.206.247.255', 1540290048, 1540290559, 'NL', 'Netherlands'),
(60792, '91.206.248.0', '91.206.249.255', 1540290560, 1540291071, 'RU', 'Russian Federation'),
(60793, '91.206.250.0', '91.206.251.255', 1540291072, 1540291583, 'BE', 'Belgium'),
(60794, '91.206.252.0', '91.206.253.255', 1540291584, 1540292095, 'UA', 'Ukraine'),
(60795, '91.206.254.0', '91.206.255.255', 1540292096, 1540292607, 'RU', 'Russian Federation'),
(60796, '91.207.0.0', '91.207.1.255', 1540292608, 1540293119, 'FR', 'France'),
(60797, '91.207.2.0', '91.207.3.255', 1540293120, 1540293631, 'DK', 'Denmark'),
(60798, '91.207.4.0', '91.207.9.255', 1540293632, 1540295167, 'UA', 'Ukraine'),
(60799, '91.207.10.0', '91.207.11.255', 1540295168, 1540295679, 'PL', 'Poland'),
(60800, '91.207.12.0', '91.207.13.255', 1540295680, 1540296191, 'SA', 'Saudi Arabia'),
(60801, '91.207.14.0', '91.207.15.255', 1540296192, 1540296703, 'PL', 'Poland'),
(60802, '91.207.16.0', '91.207.17.255', 1540296704, 1540297215, 'DE', 'Germany'),
(60803, '91.207.18.0', '91.207.21.255', 1540297216, 1540298239, 'FR', 'France'),
(60804, '91.207.22.0', '91.207.23.255', 1540298240, 1540298751, 'HR', 'Croatia'),
(60805, '91.207.24.0', '91.207.25.255', 1540298752, 1540299263, 'RU', 'Russian Federation'),
(60806, '91.207.26.0', '91.207.27.255', 1540299264, 1540299775, 'UA', 'Ukraine'),
(60807, '91.207.28.0', '91.207.29.255', 1540299776, 1540300287, 'KZ', 'Kazakhstan'),
(60808, '91.207.30.0', '91.207.31.255', 1540300288, 1540300799, 'RU', 'Russian Federation'),
(60809, '91.207.32.0', '91.207.33.255', 1540300800, 1540301311, 'DK', 'Denmark'),
(60810, '91.207.34.0', '91.207.35.255', 1540301312, 1540301823, 'IL', 'Israel'),
(60811, '91.207.36.0', '91.207.39.255', 1540301824, 1540302847, 'GB', 'United Kingdom'),
(60812, '91.207.40.0', '91.207.43.255', 1540302848, 1540303871, 'RU', 'Russian Federation'),
(60813, '91.207.44.0', '91.207.47.255', 1540303872, 1540304895, 'UA', 'Ukraine'),
(60814, '91.207.48.0', '91.207.49.255', 1540304896, 1540305407, 'PL', 'Poland'),
(60815, '91.207.50.0', '91.207.52.9', 1540305408, 1540305929, 'GB', 'United Kingdom'),
(60816, '91.207.52.10', '91.207.53.255', 1540305930, 1540306431, 'PL', 'Poland'),
(60817, '91.207.54.0', '91.207.55.255', 1540306432, 1540306943, 'UA', 'Ukraine'),
(60818, '91.207.56.0', '91.207.57.255', 1540306944, 1540307455, 'GB', 'United Kingdom'),
(60819, '91.207.58.0', '91.207.59.255', 1540307456, 1540307967, 'RU', 'Russian Federation'),
(60820, '91.207.60.0', '91.207.61.255', 1540307968, 1540308479, 'UA', 'Ukraine'),
(60821, '91.207.62.0', '91.207.63.255', 1540308480, 1540308991, 'RS', 'Serbia'),
(60822, '91.207.64.0', '91.207.65.255', 1540308992, 1540309503, 'PL', 'Poland'),
(60823, '91.207.66.0', '91.207.67.255', 1540309504, 1540310015, 'UA', 'Ukraine'),
(60824, '91.207.68.0', '91.207.69.255', 1540310016, 1540310527, 'PL', 'Poland'),
(60825, '91.207.70.0', '91.207.79.255', 1540310528, 1540313087, 'RU', 'Russian Federation'),
(60826, '91.207.80.0', '91.207.81.255', 1540313088, 1540313599, 'SE', 'Sweden'),
(60827, '91.207.82.0', '91.207.87.255', 1540313600, 1540315135, 'RU', 'Russian Federation'),
(60828, '91.207.88.0', '91.207.89.255', 1540315136, 1540315647, 'UA', 'Ukraine'),
(60829, '91.207.90.0', '91.207.91.255', 1540315648, 1540316159, 'IL', 'Israel'),
(60830, '91.207.92.0', '91.207.92.255', 1540316160, 1540316415, 'EU', 'Europe'),
(60831, '91.207.93.0', '91.207.93.255', 1540316416, 1540316671, 'DE', 'Germany'),
(60832, '91.207.94.0', '91.207.95.255', 1540316672, 1540317183, 'RO', 'Romania'),
(60833, '91.207.96.0', '91.207.97.255', 1540317184, 1540317695, 'KG', 'Kyrgyzstan'),
(60834, '91.207.98.0', '91.207.99.255', 1540317696, 1540318207, 'UA', 'Ukraine'),
(60835, '91.207.100.0', '91.207.101.255', 1540318208, 1540318719, 'RU', 'Russian Federation'),
(60836, '91.207.102.0', '91.207.103.255', 1540318720, 1540319231, 'RO', 'Romania'),
(60837, '91.207.104.0', '91.207.107.255', 1540319232, 1540320255, 'UA', 'Ukraine'),
(60838, '91.207.108.0', '91.207.109.255', 1540320256, 1540320767, 'RU', 'Russian Federation'),
(60839, '91.207.110.0', '91.207.111.255', 1540320768, 1540321279, 'GB', 'United Kingdom'),
(60840, '91.207.112.0', '91.207.113.255', 1540321280, 1540321791, 'SE', 'Sweden'),
(60841, '91.207.114.0', '91.207.115.255', 1540321792, 1540322303, 'RU', 'Russian Federation'),
(60842, '91.207.116.0', '91.207.117.255', 1540322304, 1540322815, 'UA', 'Ukraine'),
(60843, '91.207.118.0', '91.207.119.255', 1540322816, 1540323327, 'DE', 'Germany'),
(60844, '91.207.120.0', '91.207.121.255', 1540323328, 1540323839, 'RO', 'Romania'),
(60845, '91.207.122.0', '91.207.123.255', 1540323840, 1540324351, 'UA', 'Ukraine'),
(60846, '91.207.124.0', '91.207.125.255', 1540324352, 1540324863, 'RO', 'Romania'),
(60847, '91.207.126.0', '91.207.127.255', 1540324864, 1540325375, 'PL', 'Poland'),
(60848, '91.207.128.0', '91.207.129.255', 1540325376, 1540325887, 'DE', 'Germany'),
(60849, '91.207.130.0', '91.207.131.255', 1540325888, 1540326399, 'LI', 'Liechtenstein'),
(60850, '91.207.132.0', '91.207.133.255', 1540326400, 1540326911, 'RU', 'Russian Federation'),
(60851, '91.207.134.0', '91.207.135.255', 1540326912, 1540327423, 'AT', 'Austria'),
(60852, '91.207.136.0', '91.207.137.255', 1540327424, 1540327935, 'RU', 'Russian Federation'),
(60853, '91.207.138.0', '91.207.139.255', 1540327936, 1540328447, 'IR', 'Iran, Islamic Republic of'),
(60854, '91.207.140.0', '91.207.145.255', 1540328448, 1540329983, 'RU', 'Russian Federation'),
(60855, '91.207.146.0', '91.207.147.255', 1540329984, 1540330495, 'UA', 'Ukraine'),
(60856, '91.207.148.0', '91.207.149.255', 1540330496, 1540331007, 'PL', 'Poland'),
(60857, '91.207.150.0', '91.207.151.255', 1540331008, 1540331519, 'IT', 'Italy'),
(60858, '91.207.152.0', '91.207.153.255', 1540331520, 1540332031, 'GB', 'United Kingdom'),
(60859, '91.207.154.0', '91.207.155.255', 1540332032, 1540332543, 'RU', 'Russian Federation'),
(60860, '91.207.156.0', '91.207.157.255', 1540332544, 1540333055, 'PL', 'Poland'),
(60861, '91.207.158.0', '91.207.159.255', 1540333056, 1540333567, 'NO', 'Norway'),
(60862, '91.207.160.0', '91.207.161.255', 1540333568, 1540334079, 'RO', 'Romania'),
(60863, '91.207.162.0', '91.207.163.255', 1540334080, 1540334591, 'DE', 'Germany'),
(60864, '91.207.164.0', '91.207.165.255', 1540334592, 1540335103, 'RU', 'Russian Federation'),
(60865, '91.207.166.0', '91.207.169.255', 1540335104, 1540336127, 'PL', 'Poland'),
(60866, '91.207.170.0', '91.207.171.255', 1540336128, 1540336639, 'RU', 'Russian Federation'),
(60867, '91.207.172.0', '91.207.175.255', 1540336640, 1540337663, 'MC', 'Monaco'),
(60868, '91.207.176.0', '91.207.177.255', 1540337664, 1540338175, 'FR', 'France'),
(60869, '91.207.178.0', '91.207.181.255', 1540338176, 1540339199, 'RU', 'Russian Federation'),
(60870, '91.207.182.0', '91.207.183.255', 1540339200, 1540339711, 'UA', 'Ukraine'),
(60871, '91.207.184.0', '91.207.187.255', 1540339712, 1540340735, 'PL', 'Poland'),
(60872, '91.207.188.0', '91.207.189.255', 1540340736, 1540341247, 'CZ', 'Czech Republic'),
(60873, '91.207.190.0', '91.207.191.255', 1540341248, 1540341759, 'BG', 'Bulgaria'),
(60874, '91.207.194.0', '91.207.195.255', 1540342272, 1540342783, 'UA', 'Ukraine'),
(60875, '91.207.196.0', '91.207.197.255', 1540342784, 1540343295, 'ES', 'Spain'),
(60876, '91.207.198.0', '91.207.199.255', 1540343296, 1540343807, 'GB', 'United Kingdom'),
(60877, '91.207.200.0', '91.207.203.255', 1540343808, 1540344831, 'PL', 'Poland'),
(60878, '91.207.204.0', '91.207.205.255', 1540344832, 1540345343, 'UA', 'Ukraine'),
(60879, '91.207.206.0', '91.207.207.255', 1540345344, 1540345855, 'IL', 'Israel'),
(60880, '91.207.208.0', '91.207.209.255', 1540345856, 1540346367, 'FR', 'France'),
(60881, '91.207.210.0', '91.207.211.255', 1540346368, 1540346879, 'UA', 'Ukraine'),
(60882, '91.207.212.0', '91.207.213.255', 1540346880, 1540347391, 'GB', 'United Kingdom'),
(60883, '91.207.214.0', '91.207.215.255', 1540347392, 1540347903, 'DK', 'Denmark'),
(60884, '91.207.216.0', '91.207.217.255', 1540347904, 1540348415, 'RO', 'Romania'),
(60885, '91.207.218.0', '91.207.219.255', 1540348416, 1540348927, 'UA', 'Ukraine'),
(60886, '91.207.220.0', '91.207.221.255', 1540348928, 1540349439, 'GB', 'United Kingdom'),
(60887, '91.207.222.0', '91.207.223.255', 1540349440, 1540349951, 'AT', 'Austria'),
(60888, '91.207.224.0', '91.207.225.255', 1540349952, 1540350463, 'UA', 'Ukraine'),
(60889, '91.207.226.0', '91.207.227.255', 1540350464, 1540350975, 'NO', 'Norway'),
(60890, '91.207.228.0', '91.207.229.255', 1540350976, 1540351487, 'DK', 'Denmark'),
(60891, '91.207.230.0', '91.207.231.255', 1540351488, 1540351999, 'RO', 'Romania'),
(60892, '91.207.232.0', '91.207.233.255', 1540352000, 1540352511, 'NL', 'Netherlands'),
(60893, '91.207.234.0', '91.207.235.255', 1540352512, 1540353023, 'RU', 'Russian Federation'),
(60894, '91.207.236.0', '91.207.237.255', 1540353024, 1540353535, 'GR', 'Greece'),
(60895, '91.207.238.0', '91.207.239.255', 1540353536, 1540354047, 'RU', 'Russian Federation'),
(60896, '91.207.240.0', '91.207.241.255', 1540354048, 1540354559, 'IL', 'Israel'),
(60897, '91.207.242.0', '91.207.243.255', 1540354560, 1540355071, 'PL', 'Poland'),
(60898, '91.207.244.0', '91.207.245.255', 1540355072, 1540355583, 'UA', 'Ukraine'),
(60899, '91.207.246.0', '91.207.249.255', 1540355584, 1540356607, 'RU', 'Russian Federation'),
(60900, '91.207.250.0', '91.207.251.255', 1540356608, 1540357119, 'DE', 'Germany'),
(60901, '91.207.252.0', '91.207.253.255', 1540357120, 1540357631, 'RU', 'Russian Federation'),
(60902, '91.207.254.0', '91.207.255.255', 1540357632, 1540358143, 'FR', 'France'),
(60903, '91.208.0.0', '91.208.0.255', 1540358144, 1540358399, 'RU', 'Russian Federation'),
(60904, '91.208.1.0', '91.208.1.255', 1540358400, 1540358655, 'GB', 'United Kingdom'),
(60905, '91.208.2.0', '91.208.2.255', 1540358656, 1540358911, 'SE', 'Sweden'),
(60906, '91.208.3.0', '91.208.3.255', 1540358912, 1540359167, 'GB', 'United Kingdom'),
(60907, '91.208.4.0', '91.208.4.255', 1540359168, 1540359423, 'SA', 'Saudi Arabia'),
(60908, '91.208.5.0', '91.208.5.255', 1540359424, 1540359679, 'DE', 'Germany'),
(60909, '91.208.6.0', '91.208.6.255', 1540359680, 1540359935, 'GB', 'United Kingdom'),
(60910, '91.208.7.0', '91.208.7.255', 1540359936, 1540360191, 'AT', 'Austria'),
(60911, '91.208.8.0', '91.208.8.255', 1540360192, 1540360447, 'NO', 'Norway'),
(60912, '91.208.9.0', '91.208.9.255', 1540360448, 1540360703, 'FR', 'France'),
(60913, '91.208.10.0', '91.208.10.255', 1540360704, 1540360959, 'PL', 'Poland'),
(60914, '91.208.11.0', '91.208.11.255', 1540360960, 1540361215, 'GB', 'United Kingdom'),
(60915, '91.208.12.0', '91.208.12.255', 1540361216, 1540361471, 'BE', 'Belgium'),
(60916, '91.208.13.0', '91.208.13.255', 1540361472, 1540361727, 'DE', 'Germany'),
(60917, '91.208.14.0', '91.208.14.255', 1540361728, 1540361983, 'IT', 'Italy'),
(60918, '91.208.15.0', '91.208.15.255', 1540361984, 1540362239, 'EE', 'Estonia'),
(60919, '91.208.16.0', '91.208.16.255', 1540362240, 1540362495, 'RU', 'Russian Federation'),
(60920, '91.208.17.0', '91.208.18.255', 1540362496, 1540363007, 'DE', 'Germany'),
(60921, '91.208.19.0', '91.208.19.255', 1540363008, 1540363263, 'FR', 'France'),
(60922, '91.208.20.0', '91.208.20.255', 1540363264, 1540363519, 'RU', 'Russian Federation'),
(60923, '91.208.21.0', '91.208.21.255', 1540363520, 1540363775, 'GB', 'United Kingdom'),
(60924, '91.208.22.0', '91.208.22.255', 1540363776, 1540364031, 'IS', 'Iceland'),
(60925, '91.208.23.0', '91.208.23.255', 1540364032, 1540364287, 'RU', 'Russian Federation'),
(60926, '91.208.24.0', '91.208.24.255', 1540364288, 1540364543, 'NO', 'Norway'),
(60927, '91.208.25.0', '91.208.25.255', 1540364544, 1540364799, 'UA', 'Ukraine'),
(60928, '91.208.26.0', '91.208.26.255', 1540364800, 1540365055, 'EE', 'Estonia'),
(60929, '91.208.27.0', '91.208.27.255', 1540365056, 1540365311, 'SI', 'Slovenia'),
(60930, '91.208.28.0', '91.208.28.255', 1540365312, 1540365567, 'GB', 'United Kingdom'),
(60931, '91.208.29.0', '91.208.29.255', 1540365568, 1540365823, 'RU', 'Russian Federation'),
(60932, '91.208.30.0', '91.208.30.255', 1540365824, 1540366079, 'CH', 'Switzerland'),
(60933, '91.208.31.0', '91.208.31.255', 1540366080, 1540366335, 'IE', 'Ireland'),
(60934, '91.208.32.0', '91.208.32.255', 1540366336, 1540366591, 'PL', 'Poland'),
(60935, '91.208.33.0', '91.208.33.255', 1540366592, 1540366847, 'RU', 'Russian Federation'),
(60936, '91.208.34.0', '91.208.34.255', 1540366848, 1540367103, 'AT', 'Austria'),
(60937, '91.208.35.0', '91.208.35.255', 1540367104, 1540367359, 'RU', 'Russian Federation'),
(60938, '91.208.36.0', '91.208.36.255', 1540367360, 1540367615, 'HU', 'Hungary'),
(60939, '91.208.37.0', '91.208.37.255', 1540367616, 1540367871, 'BE', 'Belgium'),
(60940, '91.208.38.0', '91.208.38.255', 1540367872, 1540368127, 'DE', 'Germany'),
(60941, '91.208.39.0', '91.208.39.255', 1540368128, 1540368383, 'RU', 'Russian Federation'),
(60942, '91.208.40.0', '91.208.40.255', 1540368384, 1540368639, 'FR', 'France'),
(60943, '91.208.41.0', '91.208.41.255', 1540368640, 1540368895, 'SK', 'Slovakia'),
(60944, '91.208.42.0', '91.208.43.255', 1540368896, 1540369407, 'RU', 'Russian Federation'),
(60945, '91.208.44.0', '91.208.44.255', 1540369408, 1540369663, 'PL', 'Poland'),
(60946, '91.208.45.0', '91.208.45.255', 1540369664, 1540369919, 'DE', 'Germany'),
(60947, '91.208.46.0', '91.208.46.255', 1540369920, 1540370175, 'UA', 'Ukraine'),
(60948, '91.208.47.0', '91.208.47.255', 1540370176, 1540370431, 'DE', 'Germany'),
(60949, '91.208.48.0', '91.208.48.255', 1540370432, 1540370687, 'LB', 'Lebanon'),
(60950, '91.208.49.0', '91.208.49.255', 1540370688, 1540370943, 'NL', 'Netherlands'),
(60951, '91.208.50.0', '91.208.50.255', 1540370944, 1540371199, 'PL', 'Poland'),
(60952, '91.208.51.0', '91.208.51.255', 1540371200, 1540371455, 'BE', 'Belgium'),
(60953, '91.208.52.0', '91.208.52.255', 1540371456, 1540371711, 'UA', 'Ukraine'),
(60954, '91.208.53.0', '91.208.53.255', 1540371712, 1540371967, 'GB', 'United Kingdom'),
(60955, '91.208.54.0', '91.208.54.255', 1540371968, 1540372223, 'NO', 'Norway'),
(60956, '91.208.55.0', '91.208.55.255', 1540372224, 1540372479, 'PL', 'Poland'),
(60957, '91.208.56.0', '91.208.56.255', 1540372480, 1540372735, 'EU', 'Europe'),
(60958, '91.208.57.0', '91.208.57.255', 1540372736, 1540372991, 'GR', 'Greece'),
(60959, '91.208.58.0', '91.208.58.255', 1540372992, 1540373247, 'DE', 'Germany'),
(60960, '91.208.59.0', '91.208.59.255', 1540373248, 1540373503, 'UA', 'Ukraine'),
(60961, '91.208.60.0', '91.208.60.255', 1540373504, 1540373759, 'NL', 'Netherlands'),
(60962, '91.208.61.0', '91.208.61.255', 1540373760, 1540374015, 'TR', 'Turkey'),
(60963, '91.208.62.0', '91.208.62.255', 1540374016, 1540374271, 'NL', 'Netherlands'),
(60964, '91.208.63.0', '91.208.63.255', 1540374272, 1540374527, 'BG', 'Bulgaria'),
(60965, '91.208.64.0', '91.208.64.255', 1540374528, 1540374783, 'RU', 'Russian Federation'),
(60966, '91.208.65.0', '91.208.65.255', 1540374784, 1540375039, 'UA', 'Ukraine'),
(60967, '91.208.66.0', '91.208.66.255', 1540375040, 1540375295, 'DE', 'Germany'),
(60968, '91.208.67.0', '91.208.67.255', 1540375296, 1540375551, 'GB', 'United Kingdom'),
(60969, '91.208.68.0', '91.208.68.255', 1540375552, 1540375807, 'DE', 'Germany'),
(60970, '91.208.69.0', '91.208.69.255', 1540375808, 1540376063, 'NL', 'Netherlands'),
(60971, '91.208.70.0', '91.208.70.255', 1540376064, 1540376319, 'TR', 'Turkey'),
(60972, '91.208.71.0', '91.208.71.255', 1540376320, 1540376575, 'DK', 'Denmark'),
(60973, '91.208.72.0', '91.208.72.255', 1540376576, 1540376831, 'PL', 'Poland'),
(60974, '91.208.73.0', '91.208.73.255', 1540376832, 1540377087, 'RU', 'Russian Federation'),
(60975, '91.208.74.0', '91.208.74.255', 1540377088, 1540377343, 'DE', 'Germany'),
(60976, '91.208.75.0', '91.208.75.255', 1540377344, 1540377599, 'RO', 'Romania'),
(60977, '91.208.76.0', '91.208.76.255', 1540377600, 1540377855, 'AM', 'Armenia'),
(60978, '91.208.77.0', '91.208.77.255', 1540377856, 1540378111, 'ES', 'Spain'),
(60979, '91.208.78.0', '91.208.78.255', 1540378112, 1540378367, 'PL', 'Poland'),
(60980, '91.208.79.0', '91.208.79.255', 1540378368, 1540378623, 'CH', 'Switzerland'),
(60981, '91.208.80.0', '91.208.80.255', 1540378624, 1540378879, 'AT', 'Austria'),
(60982, '91.208.81.0', '91.208.81.255', 1540378880, 1540379135, 'SE', 'Sweden'),
(60983, '91.208.82.0', '91.208.82.255', 1540379136, 1540379391, 'CH', 'Switzerland'),
(60984, '91.208.83.0', '91.208.83.255', 1540379392, 1540379647, 'DE', 'Germany'),
(60985, '91.208.84.0', '91.208.84.255', 1540379648, 1540379903, 'RU', 'Russian Federation'),
(60986, '91.208.85.0', '91.208.85.255', 1540379904, 1540380159, 'EU', 'Europe'),
(60987, '91.208.86.0', '91.208.86.255', 1540380160, 1540380415, 'IL', 'Israel'),
(60988, '91.208.87.0', '91.208.87.255', 1540380416, 1540380671, 'NL', 'Netherlands'),
(60989, '91.208.88.0', '91.208.88.255', 1540380672, 1540380927, 'SI', 'Slovenia'),
(60990, '91.208.89.0', '91.208.89.255', 1540380928, 1540381183, 'RS', 'Serbia'),
(60991, '91.208.90.0', '91.208.90.255', 1540381184, 1540381439, 'RO', 'Romania'),
(60992, '91.208.91.0', '91.208.91.255', 1540381440, 1540381695, 'AT', 'Austria'),
(60993, '91.208.92.0', '91.208.92.255', 1540381696, 1540381951, 'RO', 'Romania'),
(60994, '91.208.93.0', '91.208.93.255', 1540381952, 1540382207, 'PL', 'Poland'),
(60995, '91.208.94.0', '91.208.94.255', 1540382208, 1540382463, 'UA', 'Ukraine'),
(60996, '91.208.95.0', '91.208.95.255', 1540382464, 1540382719, 'GB', 'United Kingdom'),
(60997, '91.208.96.0', '91.208.96.255', 1540382720, 1540382975, 'LB', 'Lebanon'),
(60998, '91.208.97.0', '91.208.97.255', 1540382976, 1540383231, 'UA', 'Ukraine'),
(60999, '91.208.98.0', '91.208.98.255', 1540383232, 1540383487, 'AT', 'Austria'),
(61000, '91.208.99.0', '91.208.99.255', 1540383488, 1540383743, 'GB', 'United Kingdom'),
(61001, '91.208.100.0', '91.208.100.255', 1540383744, 1540383999, 'RO', 'Romania'),
(61002, '91.208.101.0', '91.208.101.255', 1540384000, 1540384255, 'SI', 'Slovenia'),
(61003, '91.208.102.0', '91.208.102.255', 1540384256, 1540384511, 'FR', 'France'),
(61004, '91.208.103.0', '91.208.103.255', 1540384512, 1540384767, 'SE', 'Sweden'),
(61005, '91.208.104.0', '91.208.104.255', 1540384768, 1540385023, 'HR', 'Croatia'),
(61006, '91.208.105.0', '91.208.105.255', 1540385024, 1540385279, 'GB', 'United Kingdom'),
(61007, '91.208.106.0', '91.208.106.255', 1540385280, 1540385535, 'PL', 'Poland'),
(61008, '91.208.107.0', '91.208.107.255', 1540385536, 1540385791, 'DE', 'Germany'),
(61009, '91.208.108.0', '91.208.109.255', 1540385792, 1540386303, 'FR', 'France'),
(61010, '91.208.110.0', '91.208.110.255', 1540386304, 1540386559, 'NL', 'Netherlands'),
(61011, '91.208.111.0', '91.208.111.255', 1540386560, 1540386815, 'GB', 'United Kingdom'),
(61012, '91.208.112.0', '91.208.112.255', 1540386816, 1540387071, 'NL', 'Netherlands'),
(61013, '91.208.113.0', '91.208.113.255', 1540387072, 1540387327, 'RU', 'Russian Federation'),
(61014, '91.208.114.0', '91.208.114.255', 1540387328, 1540387583, 'GB', 'United Kingdom'),
(61015, '91.208.115.0', '91.208.116.255', 1540387584, 1540388095, 'UA', 'Ukraine'),
(61016, '91.208.117.0', '91.208.117.255', 1540388096, 1540388351, 'GB', 'United Kingdom'),
(61017, '91.208.118.0', '91.208.118.255', 1540388352, 1540388607, 'IL', 'Israel'),
(61018, '91.208.119.0', '91.208.119.255', 1540388608, 1540388863, 'RU', 'Russian Federation'),
(61019, '91.208.120.0', '91.208.120.255', 1540388864, 1540389119, 'RO', 'Romania'),
(61020, '91.208.121.0', '91.208.121.255', 1540389120, 1540389375, 'RU', 'Russian Federation'),
(61021, '91.208.122.0', '91.208.122.255', 1540389376, 1540389631, 'GB', 'United Kingdom'),
(61022, '91.208.123.0', '91.208.123.255', 1540389632, 1540389887, 'RO', 'Romania'),
(61023, '91.208.124.0', '91.208.124.255', 1540389888, 1540390143, 'GB', 'United Kingdom'),
(61024, '91.208.125.0', '91.208.125.255', 1540390144, 1540390399, 'SI', 'Slovenia'),
(61025, '91.208.126.0', '91.208.126.255', 1540390400, 1540390655, 'RU', 'Russian Federation'),
(61026, '91.208.127.0', '91.208.127.255', 1540390656, 1540390911, 'UA', 'Ukraine'),
(61027, '91.208.128.0', '91.208.128.255', 1540390912, 1540391167, 'SA', 'Saudi Arabia'),
(61028, '91.208.129.0', '91.208.129.255', 1540391168, 1540391423, 'IL', 'Israel'),
(61029, '91.208.130.0', '91.208.130.255', 1540391424, 1540391679, 'CH', 'Switzerland'),
(61030, '91.208.131.0', '91.208.131.255', 1540391680, 1540391935, 'NL', 'Netherlands'),
(61031, '91.208.132.0', '91.208.132.255', 1540391936, 1540392191, 'RU', 'Russian Federation'),
(61032, '91.208.133.0', '91.208.133.255', 1540392192, 1540392447, 'PL', 'Poland'),
(61033, '91.208.134.0', '91.208.134.255', 1540392448, 1540392703, 'RU', 'Russian Federation'),
(61034, '91.208.135.0', '91.208.135.255', 1540392704, 1540392959, 'PL', 'Poland'),
(61035, '91.208.136.0', '91.208.137.255', 1540392960, 1540393471, 'GB', 'United Kingdom'),
(61036, '91.208.138.0', '91.208.138.255', 1540393472, 1540393727, 'UA', 'Ukraine'),
(61037, '91.208.139.0', '91.208.140.255', 1540393728, 1540394239, 'IL', 'Israel'),
(61038, '91.208.141.0', '91.208.141.255', 1540394240, 1540394495, 'GB', 'United Kingdom'),
(61039, '91.208.142.0', '91.208.142.255', 1540394496, 1540394751, 'RO', 'Romania'),
(61040, '91.208.143.0', '91.208.143.255', 1540394752, 1540395007, 'DK', 'Denmark'),
(61041, '91.208.144.0', '91.208.144.255', 1540395008, 1540395263, 'GE', 'Georgia'),
(61042, '91.208.145.0', '91.208.145.255', 1540395264, 1540395519, 'UA', 'Ukraine'),
(61043, '91.208.146.0', '91.208.146.255', 1540395520, 1540395775, 'GB', 'United Kingdom'),
(61044, '91.208.147.0', '91.208.147.255', 1540395776, 1540396031, 'IL', 'Israel'),
(61045, '91.208.148.0', '91.208.148.255', 1540396032, 1540396287, 'NO', 'Norway'),
(61046, '91.208.149.0', '91.208.149.255', 1540396288, 1540396543, 'AM', 'Armenia'),
(61047, '91.208.150.0', '91.208.150.255', 1540396544, 1540396799, 'PL', 'Poland'),
(61048, '91.208.151.0', '91.208.151.255', 1540396800, 1540397055, 'RU', 'Russian Federation'),
(61049, '91.208.152.0', '91.208.152.255', 1540397056, 1540397311, 'IT', 'Italy'),
(61050, '91.208.153.0', '91.208.154.255', 1540397312, 1540397823, 'UA', 'Ukraine'),
(61051, '91.208.155.0', '91.208.155.255', 1540397824, 1540398079, 'DE', 'Germany'),
(61052, '91.208.156.0', '91.208.156.255', 1540398080, 1540398335, 'SA', 'Saudi Arabia'),
(61053, '91.208.157.0', '91.208.157.255', 1540398336, 1540398591, 'DK', 'Denmark'),
(61054, '91.208.158.0', '91.208.160.255', 1540398592, 1540399359, 'DE', 'Germany'),
(61055, '91.208.161.0', '91.208.162.255', 1540399360, 1540399871, 'RU', 'Russian Federation'),
(61056, '91.208.163.0', '91.208.163.255', 1540399872, 1540400127, 'GB', 'United Kingdom'),
(61057, '91.208.164.0', '91.208.164.255', 1540400128, 1540400383, 'NL', 'Netherlands'),
(61058, '91.208.165.0', '91.208.165.255', 1540400384, 1540400639, 'IR', 'Iran, Islamic Republic of'),
(61059, '91.208.166.0', '91.208.166.255', 1540400640, 1540400895, 'RU', 'Russian Federation'),
(61060, '91.208.167.0', '91.208.167.255', 1540400896, 1540401151, 'NL', 'Netherlands'),
(61061, '91.208.168.0', '91.208.168.255', 1540401152, 1540401407, 'SI', 'Slovenia'),
(61062, '91.208.169.0', '91.208.169.255', 1540401408, 1540401663, 'AT', 'Austria'),
(61063, '91.208.170.0', '91.208.170.255', 1540401664, 1540401919, 'GB', 'United Kingdom'),
(61064, '91.208.171.0', '91.208.171.255', 1540401920, 1540402175, 'RU', 'Russian Federation'),
(61065, '91.208.172.0', '91.208.172.255', 1540402176, 1540402431, 'FR', 'France'),
(61066, '91.208.173.0', '91.208.173.255', 1540402432, 1540402687, 'CH', 'Switzerland'),
(61067, '91.208.174.0', '91.208.174.255', 1540402688, 1540402943, 'SE', 'Sweden'),
(61068, '91.208.175.0', '91.208.175.255', 1540402944, 1540403199, 'NL', 'Netherlands'),
(61069, '91.208.176.0', '91.208.176.255', 1540403200, 1540403455, 'AT', 'Austria'),
(61070, '91.208.177.0', '91.208.177.255', 1540403456, 1540403711, 'GB', 'United Kingdom'),
(61071, '91.208.178.0', '91.208.179.255', 1540403712, 1540404223, 'RO', 'Romania'),
(61072, '91.208.180.0', '91.208.180.255', 1540404224, 1540404479, 'CH', 'Switzerland'),
(61073, '91.208.181.0', '91.208.181.255', 1540404480, 1540404735, 'FR', 'France'),
(61074, '91.208.182.0', '91.208.182.255', 1540404736, 1540404991, 'PL', 'Poland'),
(61075, '91.208.183.0', '91.208.183.255', 1540404992, 1540405247, 'RU', 'Russian Federation'),
(61076, '91.208.184.0', '91.208.184.255', 1540405248, 1540405503, 'GB', 'United Kingdom'),
(61077, '91.208.185.0', '91.208.185.255', 1540405504, 1540405759, 'RU', 'Russian Federation'),
(61078, '91.208.186.0', '91.208.186.255', 1540405760, 1540406015, 'PL', 'Poland'),
(61079, '91.208.187.0', '91.208.187.255', 1540406016, 1540406271, 'RU', 'Russian Federation'),
(61080, '91.208.188.0', '91.208.188.255', 1540406272, 1540406527, 'SE', 'Sweden'),
(61081, '91.208.189.0', '91.208.190.255', 1540406528, 1540407039, 'PL', 'Poland'),
(61082, '91.208.191.0', '91.208.193.255', 1540407040, 1540407807, 'DE', 'Germany'),
(61083, '91.208.194.0', '91.208.194.255', 1540407808, 1540408063, 'UA', 'Ukraine'),
(61084, '91.208.195.0', '91.208.195.255', 1540408064, 1540408319, 'IT', 'Italy'),
(61085, '91.208.196.0', '91.208.196.255', 1540408320, 1540408575, 'NL', 'Netherlands'),
(61086, '91.208.197.0', '91.208.197.255', 1540408576, 1540408831, 'HR', 'Croatia'),
(61087, '91.208.198.0', '91.208.198.255', 1540408832, 1540409087, 'UA', 'Ukraine'),
(61088, '91.208.199.0', '91.208.199.255', 1540409088, 1540409343, 'TR', 'Turkey'),
(61089, '91.208.200.0', '91.208.200.255', 1540409344, 1540409599, 'SI', 'Slovenia'),
(61090, '91.208.201.0', '91.208.201.255', 1540409600, 1540409855, 'AT', 'Austria'),
(61091, '91.208.202.0', '91.208.202.255', 1540409856, 1540410111, 'DE', 'Germany'),
(61092, '91.208.203.0', '91.208.203.255', 1540410112, 1540410367, 'KW', 'Kuwait'),
(61093, '91.208.204.0', '91.208.204.255', 1540410368, 1540410623, 'CH', 'Switzerland'),
(61094, '91.208.205.0', '91.208.205.255', 1540410624, 1540410879, 'RU', 'Russian Federation'),
(61095, '91.208.206.0', '91.208.206.255', 1540410880, 1540411135, 'TR', 'Turkey'),
(61096, '91.208.207.0', '91.208.207.255', 1540411136, 1540411391, 'SG', 'Singapore'),
(61097, '91.208.208.0', '91.208.208.255', 1540411392, 1540411647, 'RU', 'Russian Federation'),
(61098, '91.208.209.0', '91.208.209.255', 1540411648, 1540411903, 'FR', 'France'),
(61099, '91.208.210.0', '91.208.210.255', 1540411904, 1540412159, 'RU', 'Russian Federation'),
(61100, '91.208.211.0', '91.208.211.255', 1540412160, 1540412415, 'BE', 'Belgium'),
(61101, '91.208.212.0', '91.208.212.255', 1540412416, 1540412671, 'DE', 'Germany'),
(61102, '91.208.213.0', '91.208.213.255', 1540412672, 1540412927, 'RO', 'Romania'),
(61103, '91.208.214.0', '91.208.214.255', 1540412928, 1540413183, 'FR', 'France'),
(61104, '91.208.215.0', '91.208.215.255', 1540413184, 1540413439, 'RO', 'Romania'),
(61105, '91.208.216.0', '91.208.216.255', 1540413440, 1540413695, 'RU', 'Russian Federation'),
(61106, '91.208.217.0', '91.208.217.255', 1540413696, 1540413951, 'AT', 'Austria'),
(61107, '91.208.218.0', '91.208.218.255', 1540413952, 1540414207, 'IL', 'Israel'),
(61108, '91.208.219.0', '91.208.219.255', 1540414208, 1540414463, 'GB', 'United Kingdom'),
(61109, '91.208.220.0', '91.208.220.255', 1540414464, 1540414719, 'BE', 'Belgium'),
(61110, '91.208.221.0', '91.208.221.255', 1540414720, 1540414975, 'SE', 'Sweden'),
(61111, '91.208.222.0', '91.208.222.255', 1540414976, 1540415231, 'FR', 'France'),
(61112, '91.208.223.0', '91.208.223.255', 1540415232, 1540415487, 'RO', 'Romania'),
(61113, '91.208.224.0', '91.208.224.255', 1540415488, 1540415743, 'FR', 'France'),
(61114, '91.208.225.0', '91.208.225.255', 1540415744, 1540415999, 'SI', 'Slovenia'),
(61115, '91.208.226.0', '91.208.226.255', 1540416000, 1540416255, 'FR', 'France'),
(61116, '91.208.227.0', '91.208.227.255', 1540416256, 1540416511, 'CH', 'Switzerland'),
(61117, '91.208.228.0', '91.208.228.255', 1540416512, 1540416767, 'RU', 'Russian Federation'),
(61118, '91.208.229.0', '91.208.229.255', 1540416768, 1540417023, 'NL', 'Netherlands'),
(61119, '91.208.230.0', '91.208.230.255', 1540417024, 1540417279, 'RU', 'Russian Federation'),
(61120, '91.208.231.0', '91.208.231.255', 1540417280, 1540417535, 'UA', 'Ukraine'),
(61121, '91.208.232.0', '91.208.232.255', 1540417536, 1540417791, 'RU', 'Russian Federation'),
(61122, '91.208.233.0', '91.208.233.255', 1540417792, 1540418047, 'HR', 'Croatia'),
(61123, '91.208.234.0', '91.208.235.255', 1540418048, 1540418559, 'RO', 'Romania'),
(61124, '91.208.236.0', '91.208.236.255', 1540418560, 1540418815, 'AT', 'Austria'),
(61125, '91.208.237.0', '91.208.237.255', 1540418816, 1540419071, 'FR', 'France'),
(61126, '91.208.238.0', '91.208.238.255', 1540419072, 1540419327, 'RU', 'Russian Federation'),
(61127, '91.208.239.0', '91.208.240.255', 1540419328, 1540419839, 'GB', 'United Kingdom'),
(61128, '91.208.241.0', '91.208.241.255', 1540419840, 1540420095, 'NL', 'Netherlands'),
(61129, '91.208.242.0', '91.208.243.255', 1540420096, 1540420607, 'GB', 'United Kingdom'),
(61130, '91.208.244.0', '91.208.244.255', 1540420608, 1540420863, 'DE', 'Germany'),
(61131, '91.208.245.0', '91.208.245.255', 1540420864, 1540421119, 'GB', 'United Kingdom'),
(61132, '91.208.246.0', '91.208.246.255', 1540421120, 1540421375, 'RU', 'Russian Federation'),
(61133, '91.208.247.0', '91.208.247.255', 1540421376, 1540421631, 'PL', 'Poland'),
(61134, '91.208.248.0', '91.208.249.255', 1540421632, 1540422143, 'RU', 'Russian Federation'),
(61135, '91.208.250.0', '91.208.250.255', 1540422144, 1540422399, 'PL', 'Poland'),
(61136, '91.208.251.0', '91.208.251.255', 1540422400, 1540422655, 'UA', 'Ukraine'),
(61137, '91.208.252.0', '91.208.252.255', 1540422656, 1540422911, 'GB', 'United Kingdom'),
(61138, '91.208.253.0', '91.208.254.255', 1540422912, 1540423423, 'RU', 'Russian Federation'),
(61139, '91.208.255.0', '91.208.255.255', 1540423424, 1540423679, 'BA', 'Bosnia and Herzegovina'),
(61140, '91.209.0.0', '91.209.0.255', 1540423680, 1540423935, 'SE', 'Sweden'),
(61141, '91.209.1.0', '91.209.1.255', 1540423936, 1540424191, 'UA', 'Ukraine'),
(61142, '91.209.2.0', '91.209.2.255', 1540424192, 1540424447, 'AT', 'Austria'),
(61143, '91.209.3.0', '91.209.3.255', 1540424448, 1540424703, 'ES', 'Spain'),
(61144, '91.209.4.0', '91.209.4.255', 1540424704, 1540424959, 'PL', 'Poland'),
(61145, '91.209.5.0', '91.209.5.255', 1540424960, 1540425215, 'RO', 'Romania'),
(61146, '91.209.6.0', '91.209.6.255', 1540425216, 1540425471, 'US', 'United States'),
(61147, '91.209.7.0', '91.209.7.255', 1540425472, 1540425727, 'NL', 'Netherlands'),
(61148, '91.209.8.0', '91.209.8.255', 1540425728, 1540425983, 'BG', 'Bulgaria'),
(61149, '91.209.9.0', '91.209.9.255', 1540425984, 1540426239, 'RU', 'Russian Federation'),
(61150, '91.209.10.0', '91.209.10.255', 1540426240, 1540426495, 'IE', 'Ireland'),
(61151, '91.209.11.0', '91.209.11.255', 1540426496, 1540426751, 'UA', 'Ukraine'),
(61152, '91.209.12.0', '91.209.13.255', 1540426752, 1540427263, 'NL', 'Netherlands'),
(61153, '91.209.14.0', '91.209.14.255', 1540427264, 1540427519, 'RU', 'Russian Federation'),
(61154, '91.209.15.0', '91.209.15.255', 1540427520, 1540427775, 'FR', 'France'),
(61155, '91.209.16.0', '91.209.17.255', 1540427776, 1540428287, 'RU', 'Russian Federation'),
(61156, '91.209.18.0', '91.209.18.255', 1540428288, 1540428543, 'SI', 'Slovenia'),
(61157, '91.209.19.0', '91.209.19.255', 1540428544, 1540428799, 'FR', 'France'),
(61158, '91.209.20.0', '91.209.20.255', 1540428800, 1540429055, 'PL', 'Poland'),
(61159, '91.209.21.0', '91.209.21.255', 1540429056, 1540429311, 'BG', 'Bulgaria'),
(61160, '91.209.22.0', '91.209.23.255', 1540429312, 1540429823, 'RO', 'Romania'),
(61161, '91.209.24.0', '91.209.24.255', 1540429824, 1540430079, 'UA', 'Ukraine'),
(61162, '91.209.25.0', '91.209.25.255', 1540430080, 1540430335, 'FR', 'France'),
(61163, '91.209.26.0', '91.209.26.255', 1540430336, 1540430591, 'DE', 'Germany'),
(61164, '91.209.27.0', '91.209.27.255', 1540430592, 1540430847, 'PL', 'Poland'),
(61165, '91.209.28.0', '91.209.28.255', 1540430848, 1540431103, 'CH', 'Switzerland'),
(61166, '91.209.29.0', '91.209.29.255', 1540431104, 1540431359, 'FI', 'Finland'),
(61167, '91.209.30.0', '91.209.30.255', 1540431360, 1540431615, 'NO', 'Norway'),
(61168, '91.209.31.0', '91.209.31.255', 1540431616, 1540431871, 'GB', 'United Kingdom'),
(61169, '91.209.32.0', '91.209.32.255', 1540431872, 1540432127, 'HR', 'Croatia'),
(61170, '91.209.33.0', '91.209.33.255', 1540432128, 1540432383, 'AT', 'Austria'),
(61171, '91.209.34.0', '91.209.34.255', 1540432384, 1540432639, 'GB', 'United Kingdom'),
(61172, '91.209.35.0', '91.209.35.255', 1540432640, 1540432895, 'FR', 'France'),
(61173, '91.209.36.0', '91.209.36.255', 1540432896, 1540433151, 'UA', 'Ukraine'),
(61174, '91.209.37.0', '91.209.37.255', 1540433152, 1540433407, 'GB', 'United Kingdom'),
(61175, '91.209.38.0', '91.209.38.255', 1540433408, 1540433663, 'AM', 'Armenia'),
(61176, '91.209.39.0', '91.209.39.255', 1540433664, 1540433919, 'DK', 'Denmark'),
(61177, '91.209.40.0', '91.209.40.255', 1540433920, 1540434175, 'GB', 'United Kingdom'),
(61178, '91.209.41.0', '91.209.41.255', 1540434176, 1540434431, 'CH', 'Switzerland'),
(61179, '91.209.42.0', '91.209.42.255', 1540434432, 1540434687, 'DE', 'Germany'),
(61180, '91.209.43.0', '91.209.43.255', 1540434688, 1540434943, 'GB', 'United Kingdom'),
(61181, '91.209.44.0', '91.209.44.255', 1540434944, 1540435199, 'FR', 'France'),
(61182, '91.209.45.0', '91.209.45.255', 1540435200, 1540435455, 'RO', 'Romania'),
(61183, '91.209.46.0', '91.209.47.255', 1540435456, 1540435967, 'GR', 'Greece'),
(61184, '91.209.48.0', '91.209.48.255', 1540435968, 1540436223, 'RU', 'Russian Federation'),
(61185, '91.209.49.0', '91.209.49.255', 1540436224, 1540436479, 'SI', 'Slovenia'),
(61186, '91.209.50.0', '91.209.50.255', 1540436480, 1540436735, 'GB', 'United Kingdom'),
(61187, '91.209.51.0', '91.209.51.255', 1540436736, 1540436991, 'UA', 'Ukraine'),
(61188, '91.209.52.0', '91.209.52.255', 1540436992, 1540437247, 'DE', 'Germany'),
(61189, '91.209.53.0', '91.209.53.255', 1540437248, 1540437503, 'CH', 'Switzerland'),
(61190, '91.209.54.0', '91.209.55.255', 1540437504, 1540438015, 'UA', 'Ukraine'),
(61191, '91.209.56.0', '91.209.56.255', 1540438016, 1540438271, 'PL', 'Poland'),
(61192, '91.209.57.0', '91.209.57.255', 1540438272, 1540438527, 'US', 'United States'),
(61193, '91.209.58.0', '91.209.59.255', 1540438528, 1540439039, 'RU', 'Russian Federation'),
(61194, '91.209.60.0', '91.209.60.255', 1540439040, 1540439295, 'GB', 'United Kingdom'),
(61195, '91.209.61.0', '91.209.61.255', 1540439296, 1540439551, 'RO', 'Romania'),
(61196, '91.209.62.0', '91.209.63.255', 1540439552, 1540440063, 'PL', 'Poland'),
(61197, '91.209.64.0', '91.209.64.255', 1540440064, 1540440319, 'UA', 'Ukraine'),
(61198, '91.209.65.0', '91.209.65.255', 1540440320, 1540440575, 'RU', 'Russian Federation'),
(61199, '91.209.66.0', '91.209.66.255', 1540440576, 1540440831, 'MD', 'Moldova, Republic of'),
(61200, '91.209.67.0', '91.209.67.255', 1540440832, 1540441087, 'RU', 'Russian Federation'),
(61201, '91.209.68.0', '91.209.68.255', 1540441088, 1540441343, 'PL', 'Poland'),
(61202, '91.209.69.0', '91.209.70.255', 1540441344, 1540441855, 'RU', 'Russian Federation'),
(61203, '91.209.71.0', '91.209.71.255', 1540441856, 1540442111, 'GB', 'United Kingdom'),
(61204, '91.209.72.0', '91.209.72.255', 1540442112, 1540442367, 'RU', 'Russian Federation'),
(61205, '91.209.73.0', '91.209.73.255', 1540442368, 1540442623, 'GB', 'United Kingdom'),
(61206, '91.209.74.0', '91.209.74.255', 1540442624, 1540442879, 'IE', 'Ireland'),
(61207, '91.209.75.0', '91.209.75.255', 1540442880, 1540443135, 'AT', 'Austria'),
(61208, '91.209.76.0', '91.209.77.255', 1540443136, 1540443647, 'RU', 'Russian Federation'),
(61209, '91.209.78.0', '91.209.78.255', 1540443648, 1540443903, 'FR', 'France'),
(61210, '91.209.79.0', '91.209.79.255', 1540443904, 1540444159, 'GB', 'United Kingdom'),
(61211, '91.209.80.0', '91.209.80.255', 1540444160, 1540444415, 'RU', 'Russian Federation'),
(61212, '91.209.81.0', '91.209.81.255', 1540444416, 1540444671, 'DE', 'Germany'),
(61213, '91.209.82.0', '91.209.83.255', 1540444672, 1540445183, 'GB', 'United Kingdom'),
(61214, '91.209.84.0', '91.209.84.255', 1540445184, 1540445439, 'CH', 'Switzerland'),
(61215, '91.209.85.0', '91.209.85.255', 1540445440, 1540445695, 'RU', 'Russian Federation'),
(61216, '91.209.86.0', '91.209.86.255', 1540445696, 1540445951, 'GB', 'United Kingdom'),
(61217, '91.209.87.0', '91.209.87.255', 1540445952, 1540446207, 'DE', 'Germany'),
(61218, '91.209.88.0', '91.209.88.255', 1540446208, 1540446463, 'NO', 'Norway'),
(61219, '91.209.89.0', '91.209.89.255', 1540446464, 1540446719, 'AT', 'Austria'),
(61220, '91.209.90.0', '91.209.90.255', 1540446720, 1540446975, 'UA', 'Ukraine'),
(61221, '91.209.91.0', '91.209.91.255', 1540446976, 1540447231, 'RU', 'Russian Federation'),
(61222, '91.209.92.0', '91.209.92.255', 1540447232, 1540447487, 'DE', 'Germany'),
(61223, '91.209.93.0', '91.209.93.255', 1540447488, 1540447743, 'PL', 'Poland'),
(61224, '91.209.94.0', '91.209.94.255', 1540447744, 1540447999, 'RU', 'Russian Federation'),
(61225, '91.209.95.0', '91.209.95.255', 1540448000, 1540448255, 'PL', 'Poland'),
(61226, '91.209.96.0', '91.209.96.255', 1540448256, 1540448511, 'UA', 'Ukraine'),
(61227, '91.209.97.0', '91.209.97.255', 1540448512, 1540448767, 'IT', 'Italy'),
(61228, '91.209.98.0', '91.209.98.255', 1540448768, 1540449023, 'CH', 'Switzerland'),
(61229, '91.209.99.0', '91.209.99.255', 1540449024, 1540449279, 'DE', 'Germany'),
(61230, '91.209.100.0', '91.209.100.255', 1540449280, 1540449535, 'UA', 'Ukraine'),
(61231, '91.209.101.0', '91.209.101.255', 1540449536, 1540449791, 'CZ', 'Czech Republic'),
(61232, '91.209.102.0', '91.209.102.255', 1540449792, 1540450047, 'RO', 'Romania'),
(61233, '91.209.103.0', '91.209.103.255', 1540450048, 1540450303, 'DE', 'Germany'),
(61234, '91.209.104.0', '91.209.104.255', 1540450304, 1540450559, 'GB', 'United Kingdom'),
(61235, '91.209.105.0', '91.209.105.255', 1540450560, 1540450815, 'AM', 'Armenia'),
(61236, '91.209.106.0', '91.209.106.255', 1540450816, 1540451071, 'IE', 'Ireland'),
(61237, '91.209.107.0', '91.209.107.255', 1540451072, 1540451327, 'FR', 'France'),
(61238, '91.209.108.0', '91.209.108.255', 1540451328, 1540451583, 'ES', 'Spain'),
(61239, '91.209.109.0', '91.209.109.255', 1540451584, 1540451839, 'RO', 'Romania'),
(61240, '91.209.110.0', '91.209.110.255', 1540451840, 1540452095, 'NL', 'Netherlands'),
(61241, '91.209.111.0', '91.209.111.255', 1540452096, 1540452351, 'CH', 'Switzerland'),
(61242, '91.209.112.0', '91.209.112.255', 1540452352, 1540452607, 'AT', 'Austria'),
(61243, '91.209.113.0', '91.209.113.255', 1540452608, 1540452863, 'IL', 'Israel'),
(61244, '91.209.114.0', '91.209.114.255', 1540452864, 1540453119, 'HU', 'Hungary'),
(61245, '91.209.115.0', '91.209.115.255', 1540453120, 1540453375, 'RU', 'Russian Federation'),
(61246, '91.209.116.0', '91.209.116.255', 1540453376, 1540453631, 'PL', 'Poland'),
(61247, '91.209.117.0', '91.209.117.255', 1540453632, 1540453887, 'FR', 'France'),
(61248, '91.209.118.0', '91.209.118.255', 1540453888, 1540454143, 'UA', 'Ukraine'),
(61249, '91.209.119.0', '91.209.119.255', 1540454144, 1540454399, 'RU', 'Russian Federation'),
(61250, '91.209.120.0', '91.209.121.255', 1540454400, 1540454911, 'DE', 'Germany'),
(61251, '91.209.122.0', '91.209.122.255', 1540454912, 1540455167, 'RU', 'Russian Federation'),
(61252, '91.209.123.0', '91.209.123.255', 1540455168, 1540455423, 'RO', 'Romania'),
(61253, '91.209.124.0', '91.209.124.255', 1540455424, 1540455679, 'RU', 'Russian Federation'),
(61254, '91.209.125.0', '91.209.125.255', 1540455680, 1540455935, 'GB', 'United Kingdom'),
(61255, '91.209.126.0', '91.209.126.255', 1540455936, 1540456191, 'UA', 'Ukraine'),
(61256, '91.209.127.0', '91.209.130.255', 1540456192, 1540457215, 'RU', 'Russian Federation'),
(61257, '91.209.131.0', '91.209.131.255', 1540457216, 1540457471, 'GE', 'Georgia'),
(61258, '91.209.132.0', '91.209.132.255', 1540457472, 1540457727, 'SI', 'Slovenia'),
(61259, '91.209.133.0', '91.209.133.255', 1540457728, 1540457983, 'BE', 'Belgium'),
(61260, '91.209.134.0', '91.209.134.255', 1540457984, 1540458239, 'CH', 'Switzerland'),
(61261, '91.209.135.0', '91.209.135.255', 1540458240, 1540458495, 'ES', 'Spain'),
(61262, '91.209.136.0', '91.209.136.255', 1540458496, 1540458751, 'HR', 'Croatia'),
(61263, '91.209.137.0', '91.209.137.255', 1540458752, 1540459007, 'NL', 'Netherlands'),
(61264, '91.209.138.0', '91.209.139.255', 1540459008, 1540459519, 'UA', 'Ukraine'),
(61265, '91.209.140.0', '91.209.140.255', 1540459520, 1540459775, 'GB', 'United Kingdom'),
(61266, '91.209.141.0', '91.209.141.255', 1540459776, 1540460031, 'PL', 'Poland'),
(61267, '91.209.142.0', '91.209.143.255', 1540460032, 1540460543, 'NL', 'Netherlands'),
(61268, '91.209.144.0', '91.209.144.255', 1540460544, 1540460799, 'GB', 'United Kingdom'),
(61269, '91.209.145.0', '91.209.145.255', 1540460800, 1540461055, 'SI', 'Slovenia'),
(61270, '91.209.146.0', '91.209.146.255', 1540461056, 1540461311, 'BG', 'Bulgaria'),
(61271, '91.209.147.0', '91.209.148.255', 1540461312, 1540461823, 'RU', 'Russian Federation'),
(61272, '91.209.149.0', '91.209.149.255', 1540461824, 1540462079, 'RO', 'Romania'),
(61273, '91.209.150.0', '91.209.150.255', 1540462080, 1540462335, 'SI', 'Slovenia'),
(61274, '91.209.151.0', '91.209.151.255', 1540462336, 1540462591, 'UA', 'Ukraine'),
(61275, '91.209.152.0', '91.209.153.255', 1540462592, 1540463103, 'PL', 'Poland'),
(61276, '91.209.154.0', '91.209.154.255', 1540463104, 1540463359, 'FR', 'France'),
(61277, '91.209.155.0', '91.209.155.255', 1540463360, 1540463615, 'PL', 'Poland'),
(61278, '91.209.156.0', '91.209.156.255', 1540463616, 1540463871, 'DK', 'Denmark'),
(61279, '91.209.157.0', '91.209.157.255', 1540463872, 1540464127, 'UA', 'Ukraine'),
(61280, '91.209.158.0', '91.209.158.255', 1540464128, 1540464383, 'CH', 'Switzerland'),
(61281, '91.209.159.0', '91.209.160.255', 1540464384, 1540464895, 'DE', 'Germany'),
(61282, '91.209.161.0', '91.209.162.255', 1540464896, 1540465407, 'GB', 'United Kingdom'),
(61283, '91.209.163.0', '91.209.163.255', 1540465408, 1540465663, 'ES', 'Spain'),
(61284, '91.209.164.0', '91.209.164.255', 1540465664, 1540465919, 'NL', 'Netherlands'),
(61285, '91.209.165.0', '91.209.165.255', 1540465920, 1540466175, 'RU', 'Russian Federation'),
(61286, '91.209.166.0', '91.209.166.255', 1540466176, 1540466431, 'DK', 'Denmark'),
(61287, '91.209.167.0', '91.209.167.255', 1540466432, 1540466687, 'RU', 'Russian Federation'),
(61288, '91.209.168.0', '91.209.168.255', 1540466688, 1540466943, 'NL', 'Netherlands'),
(61289, '91.209.169.0', '91.209.170.255', 1540466944, 1540467455, 'CH', 'Switzerland'),
(61290, '91.209.171.0', '91.209.171.255', 1540467456, 1540467711, 'RO', 'Romania'),
(61291, '91.209.172.0', '91.209.172.255', 1540467712, 1540467967, 'KW', 'Kuwait'),
(61292, '91.209.173.0', '91.209.173.255', 1540467968, 1540468223, 'GR', 'Greece'),
(61293, '91.209.174.0', '91.209.175.255', 1540468224, 1540468735, 'FR', 'France'),
(61294, '91.209.176.0', '91.209.176.255', 1540468736, 1540468991, 'UA', 'Ukraine'),
(61295, '91.209.177.0', '91.209.177.255', 1540468992, 1540469247, 'PL', 'Poland'),
(61296, '91.209.178.0', '91.209.178.255', 1540469248, 1540469503, 'GB', 'United Kingdom'),
(61297, '91.209.179.0', '91.209.179.255', 1540469504, 1540469759, 'RO', 'Romania'),
(61298, '91.209.180.0', '91.209.180.255', 1540469760, 1540470015, 'PL', 'Poland'),
(61299, '91.209.181.0', '91.209.181.255', 1540470016, 1540470271, 'SI', 'Slovenia'),
(61300, '91.209.182.0', '91.209.182.255', 1540470272, 1540470527, 'IL', 'Israel'),
(61301, '91.209.183.0', '91.209.184.255', 1540470528, 1540471039, 'RU', 'Russian Federation'),
(61302, '91.209.185.0', '91.209.185.255', 1540471040, 1540471295, 'DE', 'Germany'),
(61303, '91.209.186.0', '91.209.186.255', 1540471296, 1540471551, 'RU', 'Russian Federation'),
(61304, '91.209.187.0', '91.209.187.255', 1540471552, 1540471807, 'GB', 'United Kingdom'),
(61305, '91.209.188.0', '91.209.188.255', 1540471808, 1540472063, 'SI', 'Slovenia'),
(61306, '91.209.189.0', '91.209.189.255', 1540472064, 1540472319, 'RO', 'Romania'),
(61307, '91.209.190.0', '91.209.190.255', 1540472320, 1540472575, 'DK', 'Denmark'),
(61308, '91.209.191.0', '91.209.191.255', 1540472576, 1540472831, 'FR', 'France'),
(61309, '91.209.192.0', '91.209.192.255', 1540472832, 1540473087, 'NL', 'Netherlands'),
(61310, '91.209.193.0', '91.209.193.255', 1540473088, 1540473343, 'UA', 'Ukraine'),
(61311, '91.209.194.0', '91.209.194.255', 1540473344, 1540473599, 'IT', 'Italy'),
(61312, '91.209.195.0', '91.209.195.255', 1540473600, 1540473855, 'RO', 'Romania'),
(61313, '91.209.196.0', '91.209.197.255', 1540473856, 1540474367, 'GB', 'United Kingdom'),
(61314, '91.209.198.0', '91.209.198.255', 1540474368, 1540474623, 'RO', 'Romania'),
(61315, '91.209.199.0', '91.209.199.255', 1540474624, 1540474879, 'PL', 'Poland'),
(61316, '91.209.200.0', '91.209.200.255', 1540474880, 1540475135, 'GB', 'United Kingdom'),
(61317, '91.209.201.0', '91.209.203.255', 1540475136, 1540475903, 'UA', 'Ukraine'),
(61318, '91.209.204.0', '91.209.204.255', 1540475904, 1540476159, 'CH', 'Switzerland'),
(61319, '91.209.205.0', '91.209.205.255', 1540476160, 1540476415, 'DE', 'Germany'),
(61320, '91.209.206.0', '91.209.206.255', 1540476416, 1540476671, 'UA', 'Ukraine'),
(61321, '91.209.207.0', '91.209.207.255', 1540476672, 1540476927, 'SI', 'Slovenia'),
(61322, '91.209.208.0', '91.209.208.255', 1540476928, 1540477183, 'NL', 'Netherlands'),
(61323, '91.209.209.0', '91.209.209.255', 1540477184, 1540477439, 'RO', 'Romania'),
(61324, '91.209.210.0', '91.209.210.255', 1540477440, 1540477695, 'UA', 'Ukraine'),
(61325, '91.209.211.0', '91.209.211.255', 1540477696, 1540477951, 'DE', 'Germany'),
(61326, '91.209.212.0', '91.209.212.255', 1540477952, 1540478207, 'NO', 'Norway'),
(61327, '91.209.213.0', '91.209.213.255', 1540478208, 1540478463, 'NL', 'Netherlands'),
(61328, '91.209.214.0', '91.209.214.255', 1540478464, 1540478719, 'UA', 'Ukraine'),
(61329, '91.209.215.0', '91.209.215.255', 1540478720, 1540478975, 'SA', 'Saudi Arabia'),
(61330, '91.209.216.0', '91.209.216.255', 1540478976, 1540479231, 'HR', 'Croatia'),
(61331, '91.209.217.0', '91.209.217.255', 1540479232, 1540479487, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(61332, '91.209.218.0', '91.209.218.255', 1540479488, 1540479743, 'RU', 'Russian Federation'),
(61333, '91.209.219.0', '91.209.219.255', 1540479744, 1540479999, 'AT', 'Austria'),
(61334, '91.209.220.0', '91.209.220.255', 1540480000, 1540480255, 'GB', 'United Kingdom'),
(61335, '91.209.221.0', '91.209.222.255', 1540480256, 1540480767, 'PL', 'Poland'),
(61336, '91.209.223.0', '91.209.223.255', 1540480768, 1540481023, 'GB', 'United Kingdom'),
(61337, '91.209.224.0', '91.209.224.255', 1540481024, 1540481279, 'LT', 'Lithuania'),
(61338, '91.209.225.0', '91.209.225.255', 1540481280, 1540481535, 'GB', 'United Kingdom'),
(61339, '91.209.226.0', '91.209.226.255', 1540481536, 1540481791, 'UA', 'Ukraine'),
(61340, '91.209.227.0', '91.209.227.255', 1540481792, 1540482047, 'RU', 'Russian Federation'),
(61341, '91.209.228.0', '91.209.228.255', 1540482048, 1540482303, 'DK', 'Denmark'),
(61342, '91.209.229.0', '91.209.229.255', 1540482304, 1540482559, 'FR', 'France'),
(61343, '91.209.230.0', '91.209.230.255', 1540482560, 1540482815, 'CH', 'Switzerland'),
(61344, '91.209.231.0', '91.209.231.255', 1540482816, 1540483071, 'DE', 'Germany'),
(61345, '91.209.232.0', '91.209.232.255', 1540483072, 1540483327, 'SE', 'Sweden'),
(61346, '91.209.233.0', '91.209.234.255', 1540483328, 1540483839, 'RU', 'Russian Federation'),
(61347, '91.209.235.0', '91.209.235.255', 1540483840, 1540484095, 'UA', 'Ukraine'),
(61348, '91.209.236.0', '91.209.236.255', 1540484096, 1540484351, 'DK', 'Denmark'),
(61349, '91.209.237.0', '91.209.237.255', 1540484352, 1540484607, 'SI', 'Slovenia'),
(61350, '91.209.238.0', '91.209.238.255', 1540484608, 1540484863, 'GB', 'United Kingdom'),
(61351, '91.209.239.0', '91.209.239.255', 1540484864, 1540485119, 'UA', 'Ukraine'),
(61352, '91.209.240.0', '91.209.240.255', 1540485120, 1540485375, 'SE', 'Sweden'),
(61353, '91.209.241.0', '91.209.241.255', 1540485376, 1540485631, 'RO', 'Romania'),
(61354, '91.209.242.0', '91.209.242.255', 1540485632, 1540485887, 'IR', 'Iran, Islamic Republic of'),
(61355, '91.209.243.0', '91.209.243.255', 1540485888, 1540486143, 'ES', 'Spain'),
(61356, '91.209.244.0', '91.209.244.255', 1540486144, 1540486399, 'GB', 'United Kingdom'),
(61357, '91.209.245.0', '91.209.245.255', 1540486400, 1540486655, 'FR', 'France'),
(61358, '91.209.246.0', '91.209.246.255', 1540486656, 1540486911, 'GB', 'United Kingdom'),
(61359, '91.209.247.0', '91.209.247.255', 1540486912, 1540487167, 'SK', 'Slovakia'),
(61360, '91.209.248.0', '91.209.248.255', 1540487168, 1540487423, 'PS', 'Palestinian Territory, Occupied'),
(61361, '91.209.249.0', '91.209.249.255', 1540487424, 1540487679, 'UA', 'Ukraine'),
(61362, '91.209.250.0', '91.209.250.255', 1540487680, 1540487935, 'DE', 'Germany'),
(61363, '91.209.251.0', '91.209.251.255', 1540487936, 1540488191, 'SI', 'Slovenia'),
(61364, '91.209.252.0', '91.209.252.255', 1540488192, 1540488447, 'GB', 'United Kingdom'),
(61365, '91.209.253.0', '91.209.253.255', 1540488448, 1540488703, 'SA', 'Saudi Arabia'),
(61366, '91.209.254.0', '91.209.254.255', 1540488704, 1540488959, 'DE', 'Germany'),
(61367, '91.209.255.0', '91.209.255.255', 1540488960, 1540489215, 'RO', 'Romania'),
(61368, '91.210.0.0', '91.210.7.255', 1540489216, 1540491263, 'RU', 'Russian Federation'),
(61369, '91.210.8.0', '91.210.11.255', 1540491264, 1540492287, 'UA', 'Ukraine'),
(61370, '91.210.12.0', '91.210.15.255', 1540492288, 1540493311, 'PL', 'Poland'),
(61371, '91.210.16.0', '91.210.19.255', 1540493312, 1540494335, 'CZ', 'Czech Republic'),
(61372, '91.210.20.0', '91.210.23.255', 1540494336, 1540495359, 'UA', 'Ukraine'),
(61373, '91.210.24.0', '91.210.27.255', 1540495360, 1540496383, 'RU', 'Russian Federation'),
(61374, '91.210.28.0', '91.210.39.255', 1540496384, 1540499455, 'UA', 'Ukraine'),
(61375, '91.210.40.0', '91.210.43.255', 1540499456, 1540500479, 'AM', 'Armenia'),
(61376, '91.210.44.0', '91.210.47.255', 1540500480, 1540501503, 'RU', 'Russian Federation'),
(61377, '91.210.48.0', '91.210.51.255', 1540501504, 1540502527, 'PL', 'Poland'),
(61378, '91.210.52.0', '91.210.55.255', 1540502528, 1540503551, 'RU', 'Russian Federation'),
(61379, '91.210.56.0', '91.210.59.255', 1540503552, 1540504575, 'NL', 'Netherlands'),
(61380, '91.210.60.0', '91.210.63.255', 1540504576, 1540505599, 'SE', 'Sweden'),
(61381, '91.210.64.0', '91.210.67.255', 1540505600, 1540506623, 'RO', 'Romania'),
(61382, '91.210.68.0', '91.210.71.255', 1540506624, 1540507647, 'GB', 'United Kingdom'),
(61383, '91.210.72.0', '91.210.75.255', 1540507648, 1540508671, 'RU', 'Russian Federation'),
(61384, '91.210.76.0', '91.210.79.255', 1540508672, 1540509695, 'UA', 'Ukraine'),
(61385, '91.210.80.0', '91.210.83.255', 1540509696, 1540510719, 'RO', 'Romania'),
(61386, '91.210.84.0', '91.210.87.255', 1540510720, 1540511743, 'RU', 'Russian Federation'),
(61387, '91.210.88.0', '91.210.91.255', 1540511744, 1540512767, 'BG', 'Bulgaria'),
(61388, '91.210.92.0', '91.210.95.255', 1540512768, 1540513791, 'RU', 'Russian Federation'),
(61389, '91.210.96.0', '91.210.99.255', 1540513792, 1540514815, 'UA', 'Ukraine'),
(61390, '91.210.100.0', '91.210.103.255', 1540514816, 1540515839, 'GB', 'United Kingdom'),
(61391, '91.210.104.0', '91.210.107.255', 1540515840, 1540516863, 'RU', 'Russian Federation'),
(61392, '91.210.108.0', '91.210.111.255', 1540516864, 1540517887, 'UA', 'Ukraine'),
(61393, '91.210.112.0', '91.210.115.255', 1540517888, 1540518911, 'RU', 'Russian Federation'),
(61394, '91.210.116.0', '91.210.123.255', 1540518912, 1540520959, 'UA', 'Ukraine'),
(61395, '91.210.124.0', '91.210.127.255', 1540520960, 1540521983, 'RU', 'Russian Federation'),
(61396, '91.210.128.0', '91.210.131.255', 1540521984, 1540523007, 'PL', 'Poland'),
(61397, '91.210.132.0', '91.210.135.255', 1540523008, 1540524031, 'RU', 'Russian Federation'),
(61398, '91.210.136.0', '91.210.139.255', 1540524032, 1540525055, 'AL', 'Albania'),
(61399, '91.210.140.0', '91.210.143.255', 1540525056, 1540526079, 'AT', 'Austria'),
(61400, '91.210.144.0', '91.210.151.255', 1540526080, 1540528127, 'UA', 'Ukraine'),
(61401, '91.210.152.0', '91.210.155.255', 1540528128, 1540529151, 'RU', 'Russian Federation'),
(61402, '91.210.156.0', '91.210.159.255', 1540529152, 1540530175, 'UA', 'Ukraine'),
(61403, '91.210.160.0', '91.210.163.255', 1540530176, 1540531199, 'RU', 'Russian Federation'),
(61404, '91.210.164.0', '91.210.167.255', 1540531200, 1540532223, 'UA', 'Ukraine'),
(61405, '91.210.168.0', '91.210.171.255', 1540532224, 1540533247, 'RU', 'Russian Federation'),
(61406, '91.210.172.0', '91.210.175.255', 1540533248, 1540534271, 'KZ', 'Kazakhstan'),
(61407, '91.210.176.0', '91.210.179.255', 1540534272, 1540535295, 'UA', 'Ukraine'),
(61408, '91.210.180.0', '91.210.183.255', 1540535296, 1540536319, 'SK', 'Slovakia'),
(61409, '91.210.184.0', '91.210.187.255', 1540536320, 1540537343, 'RU', 'Russian Federation'),
(61410, '91.210.188.0', '91.210.191.255', 1540537344, 1540538367, 'UA', 'Ukraine'),
(61411, '91.210.192.0', '91.210.207.255', 1540538368, 1540542463, 'RU', 'Russian Federation'),
(61412, '91.210.208.0', '91.210.211.255', 1540542464, 1540543487, 'PL', 'Poland'),
(61413, '91.210.212.0', '91.210.215.255', 1540543488, 1540544511, 'DE', 'Germany'),
(61414, '91.210.216.0', '91.210.219.255', 1540544512, 1540545535, 'RU', 'Russian Federation'),
(61415, '91.210.220.0', '91.210.223.255', 1540545536, 1540546559, 'AT', 'Austria'),
(61416, '91.210.224.0', '91.210.231.255', 1540546560, 1540548607, 'RU', 'Russian Federation'),
(61417, '91.210.232.0', '91.210.235.255', 1540548608, 1540549631, 'IE', 'Ireland'),
(61418, '91.210.236.0', '91.210.247.255', 1540549632, 1540552703, 'PL', 'Poland'),
(61419, '91.210.248.0', '91.210.251.255', 1540552704, 1540553727, 'UA', 'Ukraine'),
(61420, '91.210.252.0', '91.211.3.255', 1540553728, 1540555775, 'RU', 'Russian Federation'),
(61421, '91.211.4.0', '91.211.7.255', 1540555776, 1540556799, 'UZ', 'Uzbekistan'),
(61422, '91.211.8.0', '91.211.11.255', 1540556800, 1540557823, 'GB', 'United Kingdom'),
(61423, '91.211.12.0', '91.211.19.255', 1540557824, 1540559871, 'UA', 'Ukraine'),
(61424, '91.211.20.0', '91.211.31.255', 1540559872, 1540562943, 'RU', 'Russian Federation'),
(61425, '91.211.32.0', '91.211.35.255', 1540562944, 1540563967, 'AT', 'Austria'),
(61426, '91.211.36.0', '91.211.39.255', 1540563968, 1540564991, 'RU', 'Russian Federation'),
(61427, '91.211.40.0', '91.211.43.255', 1540564992, 1540566015, 'DE', 'Germany'),
(61428, '91.211.44.0', '91.211.47.255', 1540566016, 1540567039, 'RU', 'Russian Federation'),
(61429, '91.211.48.0', '91.211.51.255', 1540567040, 1540568063, 'MD', 'Moldova, Republic of'),
(61430, '91.211.52.0', '91.211.67.255', 1540568064, 1540572159, 'RU', 'Russian Federation'),
(61431, '91.211.68.0', '91.211.71.255', 1540572160, 1540573183, 'UA', 'Ukraine'),
(61432, '91.211.72.0', '91.211.75.255', 1540573184, 1540574207, 'NL', 'Netherlands'),
(61433, '91.211.76.0', '91.211.83.255', 1540574208, 1540576255, 'RU', 'Russian Federation'),
(61434, '91.211.84.0', '91.211.87.255', 1540576256, 1540577279, 'PL', 'Poland'),
(61435, '91.211.88.0', '91.211.91.255', 1540577280, 1540578303, 'RO', 'Romania'),
(61436, '91.211.92.0', '91.211.95.255', 1540578304, 1540579327, 'RU', 'Russian Federation'),
(61437, '91.211.96.0', '91.211.99.255', 1540579328, 1540580351, 'IE', 'Ireland'),
(61438, '91.211.100.0', '91.211.103.255', 1540580352, 1540581375, 'PL', 'Poland'),
(61439, '91.211.104.0', '91.211.107.255', 1540581376, 1540582399, 'RU', 'Russian Federation'),
(61440, '91.211.108.0', '91.211.111.255', 1540582400, 1540583423, 'BG', 'Bulgaria'),
(61441, '91.211.112.0', '91.211.115.255', 1540583424, 1540584447, 'DE', 'Germany'),
(61442, '91.211.116.0', '91.211.123.255', 1540584448, 1540586495, 'UA', 'Ukraine'),
(61443, '91.211.124.0', '91.211.131.255', 1540586496, 1540588543, 'RU', 'Russian Federation'),
(61444, '91.211.132.0', '91.211.135.255', 1540588544, 1540589567, 'UA', 'Ukraine'),
(61445, '91.211.136.0', '91.211.151.255', 1540589568, 1540593663, 'RU', 'Russian Federation'),
(61446, '91.211.152.0', '91.211.155.255', 1540593664, 1540594687, 'GB', 'United Kingdom'),
(61447, '91.211.156.0', '91.211.159.255', 1540594688, 1540595711, 'IT', 'Italy'),
(61448, '91.211.160.0', '91.211.163.255', 1540595712, 1540596735, 'UZ', 'Uzbekistan'),
(61449, '91.211.164.0', '91.211.167.255', 1540596736, 1540597759, 'FR', 'France'),
(61450, '91.211.168.0', '91.211.171.255', 1540597760, 1540598783, 'SE', 'Sweden'),
(61451, '91.211.172.0', '91.211.179.255', 1540598784, 1540600831, 'UA', 'Ukraine'),
(61452, '91.211.180.0', '91.211.187.255', 1540600832, 1540602879, 'RU', 'Russian Federation'),
(61453, '91.211.188.0', '91.211.191.255', 1540602880, 1540603903, 'BG', 'Bulgaria'),
(61454, '91.211.192.0', '91.211.199.255', 1540603904, 1540605951, 'RU', 'Russian Federation'),
(61455, '91.211.200.0', '91.211.203.255', 1540605952, 1540606975, 'MD', 'Moldova, Republic of'),
(61456, '91.211.204.0', '91.211.207.255', 1540606976, 1540607999, 'UA', 'Ukraine'),
(61457, '91.211.208.0', '91.211.211.255', 1540608000, 1540609023, 'RU', 'Russian Federation'),
(61458, '91.211.212.0', '91.211.215.255', 1540609024, 1540610047, 'UA', 'Ukraine'),
(61459, '91.211.216.0', '91.211.219.255', 1540610048, 1540611071, 'RU', 'Russian Federation'),
(61460, '91.211.220.0', '91.211.223.255', 1540611072, 1540612095, 'PL', 'Poland'),
(61461, '91.211.224.0', '91.211.227.255', 1540612096, 1540613119, 'TR', 'Turkey'),
(61462, '91.211.228.0', '91.211.231.255', 1540613120, 1540614143, 'RU', 'Russian Federation'),
(61463, '91.211.232.0', '91.211.235.255', 1540614144, 1540615167, 'BG', 'Bulgaria'),
(61464, '91.211.236.0', '91.211.239.255', 1540615168, 1540616191, 'RU', 'Russian Federation'),
(61465, '91.211.240.0', '91.211.243.255', 1540616192, 1540617215, 'AT', 'Austria'),
(61466, '91.211.244.0', '91.211.247.255', 1540617216, 1540618239, 'LT', 'Lithuania'),
(61467, '91.211.248.0', '91.211.251.255', 1540618240, 1540619263, 'UA', 'Ukraine'),
(61468, '91.211.252.0', '91.211.255.255', 1540619264, 1540620287, 'PL', 'Poland'),
(61469, '91.212.0.0', '91.212.0.255', 1540620288, 1540620543, 'NL', 'Netherlands'),
(61470, '91.212.1.0', '91.212.1.255', 1540620544, 1540620799, 'LB', 'Lebanon'),
(61471, '91.212.2.0', '91.212.2.255', 1540620800, 1540621055, 'PL', 'Poland'),
(61472, '91.212.3.0', '91.212.3.255', 1540621056, 1540621311, 'DE', 'Germany'),
(61473, '91.212.4.0', '91.212.4.255', 1540621312, 1540621567, 'BA', 'Bosnia and Herzegovina'),
(61474, '91.212.5.0', '91.212.5.255', 1540621568, 1540621823, 'PL', 'Poland'),
(61475, '91.212.6.0', '91.212.7.255', 1540621824, 1540622335, 'RU', 'Russian Federation'),
(61476, '91.212.8.0', '91.212.8.255', 1540622336, 1540622591, 'KW', 'Kuwait'),
(61477, '91.212.9.0', '91.212.9.255', 1540622592, 1540622847, 'PL', 'Poland'),
(61478, '91.212.10.0', '91.212.10.0', 1540622848, 1540622848, 'RU', 'Russian Federation'),
(61479, '91.212.10.1', '91.212.10.1', 1540622849, 1540622849, 'GB', 'United Kingdom'),
(61480, '91.212.10.2', '91.212.10.5', 1540622850, 1540622853, 'RU', 'Russian Federation'),
(61481, '91.212.10.6', '91.212.10.6', 1540622854, 1540622854, 'GB', 'United Kingdom'),
(61482, '91.212.10.7', '91.212.10.255', 1540622855, 1540623103, 'RU', 'Russian Federation'),
(61483, '91.212.11.0', '91.212.11.255', 1540623104, 1540623359, 'SE', 'Sweden'),
(61484, '91.212.12.0', '91.212.12.255', 1540623360, 1540623615, 'GB', 'United Kingdom'),
(61485, '91.212.13.0', '91.212.13.255', 1540623616, 1540623871, 'BG', 'Bulgaria'),
(61486, '91.212.14.0', '91.212.14.255', 1540623872, 1540624127, 'RO', 'Romania'),
(61487, '91.212.15.0', '91.212.15.255', 1540624128, 1540624383, 'RS', 'Serbia'),
(61488, '91.212.16.0', '91.212.16.255', 1540624384, 1540624639, 'IR', 'Iran, Islamic Republic of'),
(61489, '91.212.17.0', '91.212.17.255', 1540624640, 1540624895, 'BG', 'Bulgaria'),
(61490, '91.212.18.0', '91.212.18.255', 1540624896, 1540625151, 'GB', 'United Kingdom'),
(61491, '91.212.19.0', '91.212.19.255', 1540625152, 1540625407, 'IR', 'Iran, Islamic Republic of'),
(61492, '91.212.20.0', '91.212.20.255', 1540625408, 1540625663, 'RU', 'Russian Federation'),
(61493, '91.212.21.0', '91.212.21.255', 1540625664, 1540625919, 'FR', 'France'),
(61494, '91.212.22.0', '91.212.22.255', 1540625920, 1540626175, 'UA', 'Ukraine'),
(61495, '91.212.23.0', '91.212.23.255', 1540626176, 1540626431, 'RO', 'Romania'),
(61496, '91.212.24.0', '91.212.24.255', 1540626432, 1540626687, 'SI', 'Slovenia'),
(61497, '91.212.25.0', '91.212.25.255', 1540626688, 1540626943, 'PL', 'Poland'),
(61498, '91.212.26.0', '91.212.26.255', 1540626944, 1540627199, 'FR', 'France'),
(61499, '91.212.27.0', '91.212.27.255', 1540627200, 1540627455, 'PL', 'Poland'),
(61500, '91.212.28.0', '91.212.28.255', 1540627456, 1540627711, 'DK', 'Denmark'),
(61501, '91.212.29.0', '91.212.29.255', 1540627712, 1540627967, 'CH', 'Switzerland'),
(61502, '91.212.30.0', '91.212.30.255', 1540627968, 1540628223, 'PL', 'Poland'),
(61503, '91.212.31.0', '91.212.31.255', 1540628224, 1540628479, 'HR', 'Croatia'),
(61504, '91.212.32.0', '91.212.32.255', 1540628480, 1540628735, 'KW', 'Kuwait'),
(61505, '91.212.33.0', '91.212.33.255', 1540628736, 1540628991, 'PL', 'Poland'),
(61506, '91.212.34.0', '91.212.34.255', 1540628992, 1540629247, 'UA', 'Ukraine'),
(61507, '91.212.35.0', '91.212.35.255', 1540629248, 1540629503, 'RO', 'Romania'),
(61508, '91.212.36.0', '91.212.36.255', 1540629504, 1540629759, 'DK', 'Denmark'),
(61509, '91.212.37.0', '91.212.37.255', 1540629760, 1540630015, 'BG', 'Bulgaria'),
(61510, '91.212.38.0', '91.212.38.255', 1540630016, 1540630271, 'DE', 'Germany'),
(61511, '91.212.39.0', '91.212.39.255', 1540630272, 1540630527, 'RO', 'Romania'),
(61512, '91.212.40.0', '91.212.40.255', 1540630528, 1540630783, 'CH', 'Switzerland'),
(61513, '91.212.41.0', '91.212.41.255', 1540630784, 1540631039, 'RU', 'Russian Federation'),
(61514, '91.212.42.0', '91.212.42.255', 1540631040, 1540631295, 'NL', 'Netherlands'),
(61515, '91.212.43.0', '91.212.43.255', 1540631296, 1540631551, 'CH', 'Switzerland'),
(61516, '91.212.44.0', '91.212.44.255', 1540631552, 1540631807, 'HR', 'Croatia'),
(61517, '91.212.45.0', '91.212.45.255', 1540631808, 1540632063, 'LV', 'Latvia'),
(61518, '91.212.46.0', '91.212.46.255', 1540632064, 1540632319, 'AT', 'Austria'),
(61519, '91.212.47.0', '91.212.47.255', 1540632320, 1540632575, 'RU', 'Russian Federation'),
(61520, '91.212.48.0', '91.212.48.255', 1540632576, 1540632831, 'DK', 'Denmark'),
(61521, '91.212.49.0', '91.212.49.255', 1540632832, 1540633087, 'GB', 'United Kingdom'),
(61522, '91.212.50.0', '91.212.50.255', 1540633088, 1540633343, 'RU', 'Russian Federation'),
(61523, '91.212.51.0', '91.212.51.255', 1540633344, 1540633599, 'CH', 'Switzerland'),
(61524, '91.212.52.0', '91.212.52.255', 1540633600, 1540633855, 'RO', 'Romania'),
(61525, '91.212.53.0', '91.212.53.255', 1540633856, 1540634111, 'AE', 'United Arab Emirates'),
(61526, '91.212.54.0', '91.212.54.255', 1540634112, 1540634367, 'GB', 'United Kingdom'),
(61527, '91.212.55.0', '91.212.55.255', 1540634368, 1540634623, 'FR', 'France'),
(61528, '91.212.56.0', '91.212.56.255', 1540634624, 1540634879, 'UA', 'Ukraine'),
(61529, '91.212.57.0', '91.212.57.255', 1540634880, 1540635135, 'RU', 'Russian Federation'),
(61530, '91.212.58.0', '91.212.58.255', 1540635136, 1540635391, 'FR', 'France'),
(61531, '91.212.59.0', '91.212.59.255', 1540635392, 1540635647, 'RO', 'Romania'),
(61532, '91.212.60.0', '91.212.61.255', 1540635648, 1540636159, 'RU', 'Russian Federation'),
(61533, '91.212.62.0', '91.212.62.255', 1540636160, 1540636415, 'RO', 'Romania'),
(61534, '91.212.63.0', '91.212.63.255', 1540636416, 1540636671, 'LV', 'Latvia'),
(61535, '91.212.64.0', '91.212.64.255', 1540636672, 1540636927, 'RU', 'Russian Federation'),
(61536, '91.212.65.0', '91.212.65.255', 1540636928, 1540637183, 'UA', 'Ukraine'),
(61537, '91.212.66.0', '91.212.66.255', 1540637184, 1540637439, 'RO', 'Romania'),
(61538, '91.212.67.0', '91.212.67.255', 1540637440, 1540637695, 'SA', 'Saudi Arabia'),
(61539, '91.212.68.0', '91.212.68.255', 1540637696, 1540637951, 'RU', 'Russian Federation'),
(61540, '91.212.69.0', '91.212.69.255', 1540637952, 1540638207, 'RS', 'Serbia'),
(61541, '91.212.70.0', '91.212.70.255', 1540638208, 1540638463, 'RO', 'Romania'),
(61542, '91.212.71.0', '91.212.71.255', 1540638464, 1540638719, 'AM', 'Armenia'),
(61543, '91.212.72.0', '91.212.72.255', 1540638720, 1540638975, 'UA', 'Ukraine'),
(61544, '91.212.73.0', '91.212.74.255', 1540638976, 1540639487, 'RO', 'Romania'),
(61545, '91.212.75.0', '91.212.75.3', 1540639488, 1540639491, 'CH', 'Switzerland'),
(61546, '91.212.75.4', '91.212.75.4', 1540639492, 1540639492, 'EU', 'Europe'),
(61547, '91.212.75.5', '91.212.75.255', 1540639493, 1540639743, 'CH', 'Switzerland'),
(61548, '91.212.76.0', '91.212.76.255', 1540639744, 1540639999, 'IL', 'Israel'),
(61549, '91.212.77.0', '91.212.77.255', 1540640000, 1540640255, 'CH', 'Switzerland'),
(61550, '91.212.78.0', '91.212.78.255', 1540640256, 1540640511, 'FR', 'France'),
(61551, '91.212.79.0', '91.212.79.255', 1540640512, 1540640767, 'ES', 'Spain'),
(61552, '91.212.80.0', '91.212.80.255', 1540640768, 1540641023, 'UA', 'Ukraine'),
(61553, '91.212.81.0', '91.212.82.255', 1540641024, 1540641535, 'RU', 'Russian Federation'),
(61554, '91.212.83.0', '91.212.83.255', 1540641536, 1540641791, 'DE', 'Germany'),
(61555, '91.212.84.0', '91.212.84.255', 1540641792, 1540642047, 'PL', 'Poland'),
(61556, '91.212.85.0', '91.212.85.255', 1540642048, 1540642303, 'DE', 'Germany'),
(61557, '91.212.86.0', '91.212.86.255', 1540642304, 1540642559, 'PL', 'Poland'),
(61558, '91.212.87.0', '91.212.87.255', 1540642560, 1540642815, 'DE', 'Germany'),
(61559, '91.212.88.0', '91.212.88.255', 1540642816, 1540643071, 'IE', 'Ireland'),
(61560, '91.212.89.0', '91.212.89.255', 1540643072, 1540643327, 'UZ', 'Uzbekistan'),
(61561, '91.212.90.0', '91.212.90.255', 1540643328, 1540643583, 'GB', 'United Kingdom'),
(61562, '91.212.91.0', '91.212.91.255', 1540643584, 1540643839, 'CH', 'Switzerland'),
(61563, '91.212.92.0', '91.212.92.255', 1540643840, 1540644095, 'NO', 'Norway'),
(61564, '91.212.93.0', '91.212.94.255', 1540644096, 1540644607, 'GB', 'United Kingdom'),
(61565, '91.212.95.0', '91.212.95.255', 1540644608, 1540644863, 'DE', 'Germany'),
(61566, '91.212.96.0', '91.212.96.255', 1540644864, 1540645119, 'NL', 'Netherlands'),
(61567, '91.212.97.0', '91.212.97.255', 1540645120, 1540645375, 'RU', 'Russian Federation'),
(61568, '91.212.98.0', '91.212.98.255', 1540645376, 1540645631, 'BE', 'Belgium'),
(61569, '91.212.99.0', '91.212.99.255', 1540645632, 1540645887, 'NL', 'Netherlands'),
(61570, '91.212.100.0', '91.212.100.255', 1540645888, 1540646143, 'PL', 'Poland'),
(61571, '91.212.101.0', '91.212.101.255', 1540646144, 1540646399, 'RO', 'Romania'),
(61572, '91.212.102.0', '91.212.102.255', 1540646400, 1540646655, 'PS', 'Palestinian Territory, Occupied'),
(61573, '91.212.103.0', '91.212.103.255', 1540646656, 1540646911, 'SE', 'Sweden'),
(61574, '91.212.104.0', '91.212.104.255', 1540646912, 1540647167, 'RU', 'Russian Federation'),
(61575, '91.212.105.0', '91.212.105.255', 1540647168, 1540647423, 'GB', 'United Kingdom'),
(61576, '91.212.106.0', '91.212.106.255', 1540647424, 1540647679, 'RU', 'Russian Federation'),
(61577, '91.212.107.0', '91.212.107.255', 1540647680, 1540647935, 'CY', 'Cyprus'),
(61578, '91.212.108.0', '91.212.108.255', 1540647936, 1540648191, 'GB', 'United Kingdom'),
(61579, '91.212.109.0', '91.212.109.255', 1540648192, 1540648447, 'CH', 'Switzerland'),
(61580, '91.212.110.0', '91.212.111.255', 1540648448, 1540648959, 'RO', 'Romania'),
(61581, '91.212.112.0', '91.212.112.255', 1540648960, 1540649215, 'SK', 'Slovakia'),
(61582, '91.212.113.0', '91.212.113.255', 1540649216, 1540649471, 'DE', 'Germany'),
(61583, '91.212.114.0', '91.212.114.255', 1540649472, 1540649727, 'IL', 'Israel'),
(61584, '91.212.115.0', '91.212.115.255', 1540649728, 1540649983, 'GB', 'United Kingdom'),
(61585, '91.212.116.0', '91.212.116.255', 1540649984, 1540650239, 'FR', 'France'),
(61586, '91.212.117.0', '91.212.117.255', 1540650240, 1540650495, 'CH', 'Switzerland'),
(61587, '91.212.118.0', '91.212.118.255', 1540650496, 1540650751, 'RU', 'Russian Federation'),
(61588, '91.212.119.0', '91.212.119.255', 1540650752, 1540651007, 'FR', 'France'),
(61589, '91.212.120.0', '91.212.120.255', 1540651008, 1540651263, 'RO', 'Romania'),
(61590, '91.212.121.0', '91.212.121.255', 1540651264, 1540651519, 'CH', 'Switzerland'),
(61591, '91.212.122.0', '91.212.122.255', 1540651520, 1540651775, 'MK', 'Macedonia'),
(61592, '91.212.123.0', '91.212.123.255', 1540651776, 1540652031, 'RU', 'Russian Federation'),
(61593, '91.212.124.0', '91.212.125.255', 1540652032, 1540652543, 'UA', 'Ukraine'),
(61594, '91.212.126.0', '91.212.126.255', 1540652544, 1540652799, 'TR', 'Turkey'),
(61595, '91.212.127.0', '91.212.127.255', 1540652800, 1540653055, 'PL', 'Poland'),
(61596, '91.212.128.0', '91.212.128.255', 1540653056, 1540653311, 'FR', 'France'),
(61597, '91.212.129.0', '91.212.129.255', 1540653312, 1540653567, 'DK', 'Denmark'),
(61598, '91.212.130.0', '91.212.130.255', 1540653568, 1540653823, 'DE', 'Germany'),
(61599, '91.212.131.0', '91.212.131.255', 1540653824, 1540654079, 'GB', 'United Kingdom'),
(61600, '91.212.132.0', '91.212.132.255', 1540654080, 1540654335, 'EU', 'Europe'),
(61601, '91.212.133.0', '91.212.133.255', 1540654336, 1540654591, 'RU', 'Russian Federation'),
(61602, '91.212.134.0', '91.212.134.255', 1540654592, 1540654847, 'SI', 'Slovenia'),
(61603, '91.212.135.0', '91.212.135.255', 1540654848, 1540655103, 'RU', 'Russian Federation'),
(61604, '91.212.136.0', '91.212.136.255', 1540655104, 1540655359, 'AT', 'Austria'),
(61605, '91.212.137.0', '91.212.137.255', 1540655360, 1540655615, 'RU', 'Russian Federation'),
(61606, '91.212.138.0', '91.212.138.255', 1540655616, 1540655871, 'GB', 'United Kingdom'),
(61607, '91.212.139.0', '91.212.140.255', 1540655872, 1540656383, 'NL', 'Netherlands'),
(61608, '91.212.141.0', '91.212.142.255', 1540656384, 1540656895, 'RU', 'Russian Federation'),
(61609, '91.212.143.0', '91.212.143.255', 1540656896, 1540657151, 'RO', 'Romania'),
(61610, '91.212.144.0', '91.212.144.255', 1540657152, 1540657407, 'DE', 'Germany'),
(61611, '91.212.145.0', '91.212.145.255', 1540657408, 1540657663, 'CY', 'Cyprus'),
(61612, '91.212.146.0', '91.212.146.255', 1540657664, 1540657919, 'RU', 'Russian Federation'),
(61613, '91.212.147.0', '91.212.147.255', 1540657920, 1540658175, 'FR', 'France'),
(61614, '91.212.148.0', '91.212.148.255', 1540658176, 1540658431, 'RO', 'Romania'),
(61615, '91.212.149.0', '91.212.151.255', 1540658432, 1540659199, 'RU', 'Russian Federation'),
(61616, '91.212.152.0', '91.212.152.255', 1540659200, 1540659455, 'FR', 'France'),
(61617, '91.212.153.0', '91.212.154.255', 1540659456, 1540659967, 'UA', 'Ukraine'),
(61618, '91.212.155.0', '91.212.155.255', 1540659968, 1540660223, 'PL', 'Poland'),
(61619, '91.212.156.0', '91.212.156.255', 1540660224, 1540660479, 'RU', 'Russian Federation'),
(61620, '91.212.157.0', '91.212.157.255', 1540660480, 1540660735, 'FR', 'France'),
(61621, '91.212.158.0', '91.212.158.255', 1540660736, 1540660991, 'RU', 'Russian Federation'),
(61622, '91.212.159.0', '91.212.159.255', 1540660992, 1540661247, 'RO', 'Romania'),
(61623, '91.212.160.0', '91.212.160.255', 1540661248, 1540661503, 'GB', 'United Kingdom'),
(61624, '91.212.161.0', '91.212.162.255', 1540661504, 1540662015, 'RO', 'Romania'),
(61625, '91.212.163.0', '91.212.163.255', 1540662016, 1540662271, 'BG', 'Bulgaria'),
(61626, '91.212.164.0', '91.212.164.255', 1540662272, 1540662527, 'RO', 'Romania'),
(61627, '91.212.165.0', '91.212.165.255', 1540662528, 1540662783, 'PL', 'Poland'),
(61628, '91.212.166.0', '91.212.166.255', 1540662784, 1540663039, 'GB', 'United Kingdom'),
(61629, '91.212.167.0', '91.212.167.255', 1540663040, 1540663295, 'IT', 'Italy'),
(61630, '91.212.168.0', '91.212.168.255', 1540663296, 1540663551, 'RU', 'Russian Federation'),
(61631, '91.212.169.0', '91.212.170.255', 1540663552, 1540664063, 'PL', 'Poland'),
(61632, '91.212.171.0', '91.212.171.255', 1540664064, 1540664319, 'RU', 'Russian Federation'),
(61633, '91.212.172.0', '91.212.172.255', 1540664320, 1540664575, 'PL', 'Poland'),
(61634, '91.212.173.0', '91.212.174.255', 1540664576, 1540665087, 'UA', 'Ukraine'),
(61635, '91.212.175.0', '91.212.175.255', 1540665088, 1540665343, 'ES', 'Spain'),
(61636, '91.212.176.0', '91.212.176.255', 1540665344, 1540665599, 'NL', 'Netherlands'),
(61637, '91.212.177.0', '91.212.177.255', 1540665600, 1540665855, 'UA', 'Ukraine'),
(61638, '91.212.178.0', '91.212.178.255', 1540665856, 1540666111, 'TR', 'Turkey'),
(61639, '91.212.179.0', '91.212.179.255', 1540666112, 1540666367, 'RU', 'Russian Federation'),
(61640, '91.212.180.0', '91.212.180.255', 1540666368, 1540666623, 'UZ', 'Uzbekistan'),
(61641, '91.212.181.0', '91.212.181.255', 1540666624, 1540666879, 'DE', 'Germany'),
(61642, '91.212.182.0', '91.212.182.255', 1540666880, 1540667135, 'GB', 'United Kingdom'),
(61643, '91.212.183.0', '91.212.184.255', 1540667136, 1540667647, 'NL', 'Netherlands'),
(61644, '91.212.185.0', '91.212.186.255', 1540667648, 1540668159, 'BE', 'Belgium'),
(61645, '91.212.187.0', '91.212.187.255', 1540668160, 1540668415, 'AT', 'Austria'),
(61646, '91.212.188.0', '91.212.188.255', 1540668416, 1540668671, 'SE', 'Sweden'),
(61647, '91.212.189.0', '91.212.189.255', 1540668672, 1540668927, 'IL', 'Israel'),
(61648, '91.212.190.0', '91.212.192.255', 1540668928, 1540669695, 'RO', 'Romania'),
(61649, '91.212.193.0', '91.212.193.255', 1540669696, 1540669951, 'KZ', 'Kazakhstan'),
(61650, '91.212.194.0', '91.212.194.255', 1540669952, 1540670207, 'UA', 'Ukraine'),
(61651, '91.212.195.0', '91.212.195.255', 1540670208, 1540670463, 'RU', 'Russian Federation'),
(61652, '91.212.196.0', '91.212.196.255', 1540670464, 1540670719, 'CH', 'Switzerland'),
(61653, '91.212.197.0', '91.212.197.255', 1540670720, 1540670975, 'RU', 'Russian Federation'),
(61654, '91.212.198.0', '91.212.198.255', 1540670976, 1540671231, 'LV', 'Latvia'),
(61655, '91.212.199.0', '91.212.199.255', 1540671232, 1540671487, 'SI', 'Slovenia'),
(61656, '91.212.200.0', '91.212.200.255', 1540671488, 1540671743, 'CH', 'Switzerland'),
(61657, '91.212.201.0', '91.212.201.255', 1540671744, 1540671999, 'BG', 'Bulgaria'),
(61658, '91.212.202.0', '91.212.202.255', 1540672000, 1540672255, 'FR', 'France'),
(61659, '91.212.203.0', '91.212.203.255', 1540672256, 1540672511, 'UA', 'Ukraine'),
(61660, '91.212.204.0', '91.212.204.255', 1540672512, 1540672767, 'DE', 'Germany'),
(61661, '91.212.205.0', '91.212.205.255', 1540672768, 1540673023, 'FR', 'France'),
(61662, '91.212.206.0', '91.212.206.255', 1540673024, 1540673279, 'DE', 'Germany'),
(61663, '91.212.207.0', '91.212.207.255', 1540673280, 1540673535, 'SE', 'Sweden'),
(61664, '91.212.208.0', '91.212.208.255', 1540673536, 1540673791, 'SI', 'Slovenia'),
(61665, '91.212.209.0', '91.212.209.255', 1540673792, 1540674047, 'SE', 'Sweden'),
(61666, '91.212.210.0', '91.212.210.255', 1540674048, 1540674303, 'NL', 'Netherlands'),
(61667, '91.212.211.0', '91.212.211.255', 1540674304, 1540674559, 'FR', 'France'),
(61668, '91.212.212.0', '91.212.212.255', 1540674560, 1540674815, 'GB', 'United Kingdom'),
(61669, '91.212.213.0', '91.212.213.255', 1540674816, 1540675071, 'GE', 'Georgia'),
(61670, '91.212.214.0', '91.212.214.255', 1540675072, 1540675327, 'UA', 'Ukraine'),
(61671, '91.212.215.0', '91.212.215.255', 1540675328, 1540675583, 'NL', 'Netherlands'),
(61672, '91.212.216.0', '91.212.216.255', 1540675584, 1540675839, 'GB', 'United Kingdom'),
(61673, '91.212.217.0', '91.212.218.255', 1540675840, 1540676351, 'RU', 'Russian Federation'),
(61674, '91.212.219.0', '91.212.219.255', 1540676352, 1540676607, 'IT', 'Italy'),
(61675, '91.212.220.0', '91.212.221.255', 1540676608, 1540677119, 'RU', 'Russian Federation'),
(61676, '91.212.222.0', '91.212.222.255', 1540677120, 1540677375, 'GB', 'United Kingdom'),
(61677, '91.212.223.0', '91.212.223.255', 1540677376, 1540677631, 'PL', 'Poland'),
(61678, '91.212.224.0', '91.212.224.255', 1540677632, 1540677887, 'DK', 'Denmark'),
(61679, '91.212.225.0', '91.212.225.255', 1540677888, 1540678143, 'GE', 'Georgia'),
(61680, '91.212.226.0', '91.212.226.255', 1540678144, 1540678399, 'RU', 'Russian Federation'),
(61681, '91.212.227.0', '91.212.227.255', 1540678400, 1540678655, 'RO', 'Romania'),
(61682, '91.212.228.0', '91.212.228.255', 1540678656, 1540678911, 'SE', 'Sweden'),
(61683, '91.212.229.0', '91.212.229.255', 1540678912, 1540679167, 'GB', 'United Kingdom'),
(61684, '91.212.230.0', '91.212.230.255', 1540679168, 1540679423, 'RU', 'Russian Federation'),
(61685, '91.212.231.0', '91.212.231.255', 1540679424, 1540679679, 'PL', 'Poland'),
(61686, '91.212.232.0', '91.212.232.255', 1540679680, 1540679935, 'LT', 'Lithuania'),
(61687, '91.212.233.0', '91.212.233.255', 1540679936, 1540680191, 'BG', 'Bulgaria'),
(61688, '91.212.234.0', '91.212.234.255', 1540680192, 1540680447, 'CH', 'Switzerland'),
(61689, '91.212.235.0', '91.212.235.255', 1540680448, 1540680703, 'BG', 'Bulgaria'),
(61690, '91.212.236.0', '91.212.236.255', 1540680704, 1540680959, 'FR', 'France'),
(61691, '91.212.237.0', '91.212.237.255', 1540680960, 1540681215, 'NL', 'Netherlands'),
(61692, '91.212.238.0', '91.212.238.255', 1540681216, 1540681471, 'FR', 'France'),
(61693, '91.212.239.0', '91.212.239.255', 1540681472, 1540681727, 'RU', 'Russian Federation'),
(61694, '91.212.240.0', '91.212.240.255', 1540681728, 1540681983, 'TR', 'Turkey'),
(61695, '91.212.241.0', '91.212.241.255', 1540681984, 1540682239, 'IT', 'Italy'),
(61696, '91.212.242.0', '91.212.242.255', 1540682240, 1540682495, 'PL', 'Poland'),
(61697, '91.212.243.0', '91.212.243.255', 1540682496, 1540682751, 'DE', 'Germany'),
(61698, '91.212.244.0', '91.212.244.255', 1540682752, 1540683007, 'EE', 'Estonia'),
(61699, '91.212.245.0', '91.212.245.255', 1540683008, 1540683263, 'DE', 'Germany'),
(61700, '91.212.246.0', '91.212.247.255', 1540683264, 1540683775, 'HR', 'Croatia'),
(61701, '91.212.248.0', '91.212.248.255', 1540683776, 1540684031, 'UA', 'Ukraine'),
(61702, '91.212.249.0', '91.212.249.255', 1540684032, 1540684287, 'IT', 'Italy'),
(61703, '91.212.250.0', '91.212.250.255', 1540684288, 1540684543, 'HU', 'Hungary'),
(61704, '91.212.251.0', '91.212.251.255', 1540684544, 1540684799, 'SI', 'Slovenia'),
(61705, '91.212.252.0', '91.212.252.255', 1540684800, 1540685055, 'IR', 'Iran, Islamic Republic of'),
(61706, '91.212.253.0', '91.212.253.255', 1540685056, 1540685311, 'UA', 'Ukraine'),
(61707, '91.212.254.0', '91.212.254.255', 1540685312, 1540685567, 'RO', 'Romania'),
(61708, '91.212.255.0', '91.212.255.255', 1540685568, 1540685823, 'FR', 'France'),
(61709, '91.213.0.0', '91.213.0.255', 1540685824, 1540686079, 'SE', 'Sweden'),
(61710, '91.213.1.0', '91.213.1.255', 1540686080, 1540686335, 'TR', 'Turkey'),
(61711, '91.213.2.0', '91.213.2.255', 1540686336, 1540686591, 'CH', 'Switzerland'),
(61712, '91.213.3.0', '91.213.3.255', 1540686592, 1540686847, 'GB', 'United Kingdom'),
(61713, '91.213.4.0', '91.213.4.255', 1540686848, 1540687103, 'CH', 'Switzerland'),
(61714, '91.213.5.0', '91.213.5.255', 1540687104, 1540687359, 'RU', 'Russian Federation'),
(61715, '91.213.6.0', '91.213.6.255', 1540687360, 1540687615, 'AT', 'Austria'),
(61716, '91.213.7.0', '91.213.7.255', 1540687616, 1540687871, 'IT', 'Italy'),
(61717, '91.213.8.0', '91.213.8.255', 1540687872, 1540688127, 'UA', 'Ukraine'),
(61718, '91.213.9.0', '91.213.9.255', 1540688128, 1540688383, 'HU', 'Hungary'),
(61719, '91.213.10.0', '91.213.10.255', 1540688384, 1540688639, 'CZ', 'Czech Republic'),
(61720, '91.213.11.0', '91.213.11.255', 1540688640, 1540688895, 'RO', 'Romania'),
(61721, '91.213.12.0', '91.213.12.255', 1540688896, 1540689151, 'BG', 'Bulgaria'),
(61722, '91.213.13.0', '91.213.13.255', 1540689152, 1540689407, 'NL', 'Netherlands'),
(61723, '91.213.14.0', '91.213.14.255', 1540689408, 1540689663, 'RU', 'Russian Federation'),
(61724, '91.213.15.0', '91.213.15.255', 1540689664, 1540689919, 'FR', 'France'),
(61725, '91.213.16.0', '91.213.16.255', 1540689920, 1540690175, 'RO', 'Romania'),
(61726, '91.213.17.0', '91.213.17.255', 1540690176, 1540690431, 'DK', 'Denmark'),
(61727, '91.213.18.0', '91.213.18.255', 1540690432, 1540690687, 'SA', 'Saudi Arabia'),
(61728, '91.213.19.0', '91.213.19.255', 1540690688, 1540690943, 'RO', 'Romania'),
(61729, '91.213.20.0', '91.213.22.255', 1540690944, 1540691711, 'DE', 'Germany'),
(61730, '91.213.23.0', '91.213.23.255', 1540691712, 1540691967, 'RU', 'Russian Federation'),
(61731, '91.213.24.0', '91.213.24.255', 1540691968, 1540692223, 'CH', 'Switzerland'),
(61732, '91.213.25.0', '91.213.25.255', 1540692224, 1540692479, 'FR', 'France'),
(61733, '91.213.26.0', '91.213.26.255', 1540692480, 1540692735, 'BE', 'Belgium'),
(61734, '91.213.27.0', '91.213.27.255', 1540692736, 1540692991, 'DE', 'Germany'),
(61735, '91.213.28.0', '91.213.28.255', 1540692992, 1540693247, 'GB', 'United Kingdom'),
(61736, '91.213.29.0', '91.213.29.255', 1540693248, 1540693503, 'RU', 'Russian Federation'),
(61737, '91.213.30.0', '91.213.30.255', 1540693504, 1540693759, 'ES', 'Spain'),
(61738, '91.213.31.0', '91.213.31.255', 1540693760, 1540694015, 'UZ', 'Uzbekistan'),
(61739, '91.213.32.0', '91.213.32.255', 1540694016, 1540694271, 'CH', 'Switzerland'),
(61740, '91.213.33.0', '91.213.33.255', 1540694272, 1540694527, 'UA', 'Ukraine'),
(61741, '91.213.34.0', '91.213.35.255', 1540694528, 1540695039, 'RO', 'Romania'),
(61742, '91.213.36.0', '91.213.36.255', 1540695040, 1540695295, 'DE', 'Germany'),
(61743, '91.213.37.0', '91.213.37.255', 1540695296, 1540695551, 'NL', 'Netherlands'),
(61744, '91.213.38.0', '91.213.38.255', 1540695552, 1540695807, 'PL', 'Poland'),
(61745, '91.213.39.0', '91.213.39.255', 1540695808, 1540696063, 'RU', 'Russian Federation'),
(61746, '91.213.40.0', '91.213.40.255', 1540696064, 1540696319, 'HU', 'Hungary'),
(61747, '91.213.41.0', '91.213.41.255', 1540696320, 1540696575, 'FR', 'France'),
(61748, '91.213.42.0', '91.213.42.255', 1540696576, 1540696831, 'GB', 'United Kingdom'),
(61749, '91.213.43.0', '91.213.43.255', 1540696832, 1540697087, 'EE', 'Estonia'),
(61750, '91.213.44.0', '91.213.44.255', 1540697088, 1540697343, 'RU', 'Russian Federation'),
(61751, '91.213.45.0', '91.213.45.255', 1540697344, 1540697599, 'GB', 'United Kingdom'),
(61752, '91.213.46.0', '91.213.46.255', 1540697600, 1540697855, 'ES', 'Spain'),
(61753, '91.213.47.0', '91.213.47.255', 1540697856, 1540698111, 'NO', 'Norway'),
(61754, '91.213.48.0', '91.213.48.255', 1540698112, 1540698367, 'DE', 'Germany'),
(61755, '91.213.49.0', '91.213.49.255', 1540698368, 1540698623, 'IE', 'Ireland'),
(61756, '91.213.50.0', '91.213.50.255', 1540698624, 1540698879, 'EU', 'Europe'),
(61757, '91.213.51.0', '91.213.51.255', 1540698880, 1540699135, 'RU', 'Russian Federation'),
(61758, '91.213.52.0', '91.213.52.255', 1540699136, 1540699391, 'GR', 'Greece'),
(61759, '91.213.53.0', '91.213.53.255', 1540699392, 1540699647, 'NL', 'Netherlands'),
(61760, '91.213.54.0', '91.213.54.255', 1540699648, 1540699903, 'AT', 'Austria'),
(61761, '91.213.55.0', '91.213.55.255', 1540699904, 1540700159, 'RO', 'Romania'),
(61762, '91.213.56.0', '91.213.56.255', 1540700160, 1540700415, 'DE', 'Germany'),
(61763, '91.213.57.0', '91.213.57.255', 1540700416, 1540700671, 'RO', 'Romania'),
(61764, '91.213.58.0', '91.213.58.255', 1540700672, 1540700927, 'PL', 'Poland'),
(61765, '91.213.59.0', '91.213.59.255', 1540700928, 1540701183, 'UA', 'Ukraine'),
(61766, '91.213.60.0', '91.213.61.255', 1540701184, 1540701695, 'DE', 'Germany'),
(61767, '91.213.62.0', '91.213.62.255', 1540701696, 1540701951, 'UA', 'Ukraine'),
(61768, '91.213.63.0', '91.213.63.255', 1540701952, 1540702207, 'GB', 'United Kingdom'),
(61769, '91.213.64.0', '91.213.64.255', 1540702208, 1540702463, 'PL', 'Poland'),
(61770, '91.213.65.0', '91.213.65.255', 1540702464, 1540702719, 'PT', 'Portugal'),
(61771, '91.213.66.0', '91.213.66.255', 1540702720, 1540702975, 'DK', 'Denmark'),
(61772, '91.213.67.0', '91.213.67.255', 1540702976, 1540703231, 'RU', 'Russian Federation'),
(61773, '91.213.68.0', '91.213.68.255', 1540703232, 1540703487, 'GB', 'United Kingdom'),
(61774, '91.213.69.0', '91.213.69.255', 1540703488, 1540703743, 'NL', 'Netherlands'),
(61775, '91.213.70.0', '91.213.70.255', 1540703744, 1540703999, 'DK', 'Denmark'),
(61776, '91.213.71.0', '91.213.71.255', 1540704000, 1540704255, 'PL', 'Poland'),
(61777, '91.213.72.0', '91.213.72.255', 1540704256, 1540704511, 'KZ', 'Kazakhstan'),
(61778, '91.213.73.0', '91.213.73.255', 1540704512, 1540704767, 'IE', 'Ireland'),
(61779, '91.213.74.0', '91.213.74.255', 1540704768, 1540705023, 'UA', 'Ukraine'),
(61780, '91.213.75.0', '91.213.75.255', 1540705024, 1540705279, 'HU', 'Hungary'),
(61781, '91.213.76.0', '91.213.76.255', 1540705280, 1540705535, 'RO', 'Romania'),
(61782, '91.213.77.0', '91.213.77.255', 1540705536, 1540705791, 'AT', 'Austria'),
(61783, '91.213.78.0', '91.213.78.255', 1540705792, 1540706047, 'NL', 'Netherlands'),
(61784, '91.213.79.0', '91.213.79.255', 1540706048, 1540706303, 'FR', 'France'),
(61785, '91.213.80.0', '91.213.80.255', 1540706304, 1540706559, 'SI', 'Slovenia'),
(61786, '91.213.81.0', '91.213.81.255', 1540706560, 1540706815, 'GB', 'United Kingdom'),
(61787, '91.213.82.0', '91.213.82.255', 1540706816, 1540707071, 'FR', 'France'),
(61788, '91.213.83.0', '91.213.83.255', 1540707072, 1540707327, 'AT', 'Austria'),
(61789, '91.213.84.0', '91.213.84.255', 1540707328, 1540707583, 'HR', 'Croatia'),
(61790, '91.213.85.0', '91.213.85.255', 1540707584, 1540707839, 'NL', 'Netherlands'),
(61791, '91.213.86.0', '91.213.86.255', 1540707840, 1540708095, 'MD', 'Moldova, Republic of'),
(61792, '91.213.87.0', '91.213.87.255', 1540708096, 1540708351, 'RU', 'Russian Federation'),
(61793, '91.213.88.0', '91.213.88.255', 1540708352, 1540708607, 'PL', 'Poland'),
(61794, '91.213.89.0', '91.213.89.255', 1540708608, 1540708863, 'SI', 'Slovenia'),
(61795, '91.213.90.0', '91.213.90.255', 1540708864, 1540709119, 'FR', 'France'),
(61796, '91.213.91.0', '91.213.91.255', 1540709120, 1540709375, 'DE', 'Germany'),
(61797, '91.213.92.0', '91.213.92.255', 1540709376, 1540709631, 'UA', 'Ukraine'),
(61798, '91.213.93.0', '91.213.93.255', 1540709632, 1540709887, 'KZ', 'Kazakhstan'),
(61799, '91.213.94.0', '91.213.94.255', 1540709888, 1540710143, 'UA', 'Ukraine'),
(61800, '91.213.95.0', '91.213.95.255', 1540710144, 1540710399, 'NL', 'Netherlands'),
(61801, '91.213.96.0', '91.213.96.255', 1540710400, 1540710655, 'PL', 'Poland'),
(61802, '91.213.97.0', '91.213.97.255', 1540710656, 1540710911, 'FI', 'Finland'),
(61803, '91.213.98.0', '91.213.99.255', 1540710912, 1540711423, 'DE', 'Germany'),
(61804, '91.213.100.0', '91.213.100.255', 1540711424, 1540711679, 'CH', 'Switzerland'),
(61805, '91.213.101.0', '91.213.101.255', 1540711680, 1540711935, 'RO', 'Romania'),
(61806, '91.213.102.0', '91.213.102.255', 1540711936, 1540712191, 'FR', 'France'),
(61807, '91.213.103.0', '91.213.103.255', 1540712192, 1540712447, 'DE', 'Germany'),
(61808, '91.213.104.0', '91.213.104.255', 1540712448, 1540712703, 'RU', 'Russian Federation'),
(61809, '91.213.105.0', '91.213.106.255', 1540712704, 1540713215, 'LV', 'Latvia'),
(61810, '91.213.107.0', '91.213.108.255', 1540713216, 1540713727, 'PL', 'Poland'),
(61811, '91.213.109.0', '91.213.109.255', 1540713728, 1540713983, 'RU', 'Russian Federation'),
(61812, '91.213.110.0', '91.213.110.255', 1540713984, 1540714239, 'GB', 'United Kingdom'),
(61813, '91.213.111.0', '91.213.111.255', 1540714240, 1540714495, 'RO', 'Romania'),
(61814, '91.213.112.0', '91.213.112.255', 1540714496, 1540714751, 'NL', 'Netherlands'),
(61815, '91.213.113.0', '91.213.114.255', 1540714752, 1540715263, 'RU', 'Russian Federation'),
(61816, '91.213.116.0', '91.213.116.255', 1540715520, 1540715775, 'DE', 'Germany'),
(61817, '91.213.117.0', '91.213.117.255', 1540715776, 1540716031, 'UA', 'Ukraine'),
(61818, '91.213.118.0', '91.213.118.255', 1540716032, 1540716287, 'PL', 'Poland'),
(61819, '91.213.119.0', '91.213.119.255', 1540716288, 1540716543, 'UA', 'Ukraine'),
(61820, '91.213.120.0', '91.213.120.255', 1540716544, 1540716799, 'RU', 'Russian Federation'),
(61821, '91.213.121.0', '91.213.121.255', 1540716800, 1540717055, 'UA', 'Ukraine'),
(61822, '91.213.122.0', '91.213.122.255', 1540717056, 1540717311, 'CZ', 'Czech Republic'),
(61823, '91.213.123.0', '91.213.124.255', 1540717312, 1540717823, 'PL', 'Poland'),
(61824, '91.213.125.0', '91.213.125.255', 1540717824, 1540718079, 'UA', 'Ukraine'),
(61825, '91.213.126.0', '91.213.126.255', 1540718080, 1540718335, 'RU', 'Russian Federation'),
(61826, '91.213.127.0', '91.213.127.255', 1540718336, 1540718591, 'NO', 'Norway'),
(61827, '91.213.128.0', '91.213.128.255', 1540718592, 1540718847, 'CH', 'Switzerland'),
(61828, '91.213.129.0', '91.213.129.255', 1540718848, 1540719103, 'IT', 'Italy'),
(61829, '91.213.130.0', '91.213.130.255', 1540719104, 1540719359, 'RU', 'Russian Federation'),
(61830, '91.213.131.0', '91.213.131.255', 1540719360, 1540719615, 'SI', 'Slovenia'),
(61831, '91.213.132.0', '91.213.132.255', 1540719616, 1540719871, 'AT', 'Austria'),
(61832, '91.213.133.0', '91.213.133.255', 1540719872, 1540720127, 'CH', 'Switzerland'),
(61833, '91.213.134.0', '91.213.134.255', 1540720128, 1540720383, 'NL', 'Netherlands'),
(61834, '91.213.135.0', '91.213.135.255', 1540720384, 1540720639, 'RO', 'Romania'),
(61835, '91.213.136.0', '91.213.136.255', 1540720640, 1540720895, 'CH', 'Switzerland'),
(61836, '91.213.137.0', '91.213.137.255', 1540720896, 1540721151, 'PL', 'Poland'),
(61837, '91.213.138.0', '91.213.139.255', 1540721152, 1540721663, 'RU', 'Russian Federation'),
(61838, '91.213.140.0', '91.213.140.255', 1540721664, 1540721919, 'GB', 'United Kingdom'),
(61839, '91.213.141.0', '91.213.142.255', 1540721920, 1540722431, 'RU', 'Russian Federation'),
(61840, '91.213.143.0', '91.213.143.255', 1540722432, 1540722687, 'CZ', 'Czech Republic'),
(61841, '91.213.144.0', '91.213.144.255', 1540722688, 1540722943, 'RU', 'Russian Federation'),
(61842, '91.213.145.0', '91.213.146.255', 1540722944, 1540723455, 'FR', 'France'),
(61843, '91.213.147.0', '91.213.147.255', 1540723456, 1540723711, 'SI', 'Slovenia'),
(61844, '91.213.148.0', '91.213.148.255', 1540723712, 1540723967, 'RU', 'Russian Federation'),
(61845, '91.213.149.0', '91.213.149.255', 1540723968, 1540724223, 'UA', 'Ukraine'),
(61846, '91.213.150.0', '91.213.150.255', 1540724224, 1540724479, 'HU', 'Hungary'),
(61847, '91.213.151.0', '91.213.151.255', 1540724480, 1540724735, 'DE', 'Germany'),
(61848, '91.213.152.0', '91.213.152.255', 1540724736, 1540724991, 'CH', 'Switzerland'),
(61849, '91.213.153.0', '91.213.153.255', 1540724992, 1540725247, 'IT', 'Italy'),
(61850, '91.213.154.0', '91.213.154.255', 1540725248, 1540725503, 'UA', 'Ukraine'),
(61851, '91.213.155.0', '91.213.155.255', 1540725504, 1540725759, 'SE', 'Sweden'),
(61852, '91.213.156.0', '91.213.156.255', 1540725760, 1540726015, 'PL', 'Poland'),
(61853, '91.213.157.0', '91.213.157.255', 1540726016, 1540726271, 'TT', 'Trinidad and Tobago'),
(61854, '91.213.158.0', '91.213.158.255', 1540726272, 1540726527, 'RU', 'Russian Federation'),
(61855, '91.213.159.0', '91.213.159.255', 1540726528, 1540726783, 'CH', 'Switzerland'),
(61856, '91.213.160.0', '91.213.160.255', 1540726784, 1540727039, 'CZ', 'Czech Republic'),
(61857, '91.213.161.0', '91.213.161.255', 1540727040, 1540727295, 'FI', 'Finland'),
(61858, '91.213.162.0', '91.213.162.255', 1540727296, 1540727551, 'PL', 'Poland'),
(61859, '91.213.163.0', '91.213.163.255', 1540727552, 1540727807, 'RU', 'Russian Federation'),
(61860, '91.213.164.0', '91.213.164.255', 1540727808, 1540728063, 'GB', 'United Kingdom'),
(61861, '91.213.165.0', '91.213.165.255', 1540728064, 1540728319, 'NL', 'Netherlands'),
(61862, '91.213.166.0', '91.213.169.255', 1540728320, 1540729343, 'RU', 'Russian Federation'),
(61863, '91.213.170.0', '91.213.170.255', 1540729344, 1540729599, 'PL', 'Poland'),
(61864, '91.213.171.0', '91.213.171.255', 1540729600, 1540729855, 'CH', 'Switzerland'),
(61865, '91.213.172.0', '91.213.172.255', 1540729856, 1540730111, 'RU', 'Russian Federation'),
(61866, '91.213.173.0', '91.213.173.255', 1540730112, 1540730367, 'GB', 'United Kingdom'),
(61867, '91.213.174.0', '91.213.174.255', 1540730368, 1540730623, 'RU', 'Russian Federation'),
(61868, '91.213.175.0', '91.213.175.255', 1540730624, 1540730879, 'UA', 'Ukraine'),
(61869, '91.213.176.0', '91.213.176.255', 1540730880, 1540731135, 'IL', 'Israel'),
(61870, '91.213.177.0', '91.213.177.255', 1540731136, 1540731391, 'DE', 'Germany'),
(61871, '91.213.178.0', '91.213.178.255', 1540731392, 1540731647, 'NL', 'Netherlands'),
(61872, '91.213.179.0', '91.213.179.255', 1540731648, 1540731903, 'SE', 'Sweden'),
(61873, '91.213.180.0', '91.213.180.255', 1540731904, 1540732159, 'FR', 'France'),
(61874, '91.213.181.0', '91.213.181.255', 1540732160, 1540732415, 'MD', 'Moldova, Republic of'),
(61875, '91.213.182.0', '91.213.182.255', 1540732416, 1540732671, 'UA', 'Ukraine'),
(61876, '91.213.183.0', '91.213.183.255', 1540732672, 1540732927, 'GB', 'United Kingdom'),
(61877, '91.213.184.0', '91.213.184.255', 1540732928, 1540733183, 'RU', 'Russian Federation'),
(61878, '91.213.185.0', '91.213.185.255', 1540733184, 1540733439, 'UA', 'Ukraine'),
(61879, '91.213.186.0', '91.213.186.255', 1540733440, 1540733695, 'RU', 'Russian Federation'),
(61880, '91.213.187.0', '91.213.187.255', 1540733696, 1540733951, 'UA', 'Ukraine'),
(61881, '91.213.188.0', '91.213.188.255', 1540733952, 1540734207, 'GB', 'United Kingdom'),
(61882, '91.213.189.0', '91.213.189.255', 1540734208, 1540734463, 'RU', 'Russian Federation'),
(61883, '91.213.190.0', '91.213.190.255', 1540734464, 1540734719, 'NL', 'Netherlands'),
(61884, '91.213.191.0', '91.213.191.255', 1540734720, 1540734975, 'IQ', 'Iraq'),
(61885, '91.213.192.0', '91.213.192.255', 1540734976, 1540735231, 'UA', 'Ukraine'),
(61886, '91.213.193.0', '91.213.193.255', 1540735232, 1540735487, 'PL', 'Poland'),
(61887, '91.213.194.0', '91.213.194.255', 1540735488, 1540735743, 'CH', 'Switzerland'),
(61888, '91.213.195.0', '91.213.195.255', 1540735744, 1540735999, 'NL', 'Netherlands'),
(61889, '91.213.196.0', '91.213.196.255', 1540736000, 1540736255, 'RU', 'Russian Federation'),
(61890, '91.213.197.0', '91.213.197.255', 1540736256, 1540736511, 'IT', 'Italy'),
(61891, '91.213.198.0', '91.213.198.255', 1540736512, 1540736767, 'DE', 'Germany'),
(61892, '91.213.199.0', '91.213.202.255', 1540736768, 1540737791, 'GB', 'United Kingdom'),
(61893, '91.213.203.0', '91.213.203.255', 1540737792, 1540738047, 'NO', 'Norway'),
(61894, '91.213.204.0', '91.213.204.255', 1540738048, 1540738303, 'AT', 'Austria'),
(61895, '91.213.205.0', '91.213.205.255', 1540738304, 1540738559, 'SA', 'Saudi Arabia'),
(61896, '91.213.206.0', '91.213.206.255', 1540738560, 1540738815, 'PL', 'Poland'),
(61897, '91.213.207.0', '91.213.207.255', 1540738816, 1540739071, 'DE', 'Germany'),
(61898, '91.213.208.0', '91.213.208.255', 1540739072, 1540739327, 'SE', 'Sweden'),
(61899, '91.213.209.0', '91.213.209.255', 1540739328, 1540739583, 'PA', 'Panama'),
(61900, '91.213.210.0', '91.213.210.255', 1540739584, 1540739839, 'IT', 'Italy'),
(61901, '91.213.211.0', '91.213.211.255', 1540739840, 1540740095, 'CZ', 'Czech Republic'),
(61902, '91.213.212.0', '91.213.212.255', 1540740096, 1540740351, 'GB', 'United Kingdom'),
(61903, '91.213.213.0', '91.213.213.255', 1540740352, 1540740607, 'SA', 'Saudi Arabia'),
(61904, '91.213.214.0', '91.213.214.255', 1540740608, 1540740863, 'NL', 'Netherlands'),
(61905, '91.213.215.0', '91.213.215.255', 1540740864, 1540741119, 'RO', 'Romania'),
(61906, '91.213.216.0', '91.213.216.255', 1540741120, 1540741375, 'GB', 'United Kingdom'),
(61907, '91.213.217.0', '91.213.217.255', 1540741376, 1540741631, 'EU', 'Europe'),
(61908, '91.213.218.0', '91.213.219.255', 1540741632, 1540742143, 'NL', 'Netherlands'),
(61909, '91.213.220.0', '91.213.220.255', 1540742144, 1540742399, 'RU', 'Russian Federation'),
(61910, '91.213.221.0', '91.213.221.255', 1540742400, 1540742655, 'DE', 'Germany'),
(61911, '91.213.222.0', '91.213.222.255', 1540742656, 1540742911, 'AT', 'Austria'),
(61912, '91.213.223.0', '91.213.223.255', 1540742912, 1540743167, 'RU', 'Russian Federation'),
(61913, '91.213.224.0', '91.213.224.255', 1540743168, 1540743423, 'NO', 'Norway'),
(61914, '91.213.225.0', '91.213.225.255', 1540743424, 1540743679, 'GB', 'United Kingdom'),
(61915, '91.213.226.0', '91.213.226.255', 1540743680, 1540743935, 'PL', 'Poland'),
(61916, '91.213.227.0', '91.213.227.255', 1540743936, 1540744191, 'CH', 'Switzerland'),
(61917, '91.213.228.0', '91.213.228.255', 1540744192, 1540744447, 'GR', 'Greece'),
(61918, '91.213.229.0', '91.213.229.255', 1540744448, 1540744703, 'FR', 'France'),
(61919, '91.213.230.0', '91.213.230.255', 1540744704, 1540744959, 'GB', 'United Kingdom'),
(61920, '91.213.231.0', '91.213.231.255', 1540744960, 1540745215, 'UA', 'Ukraine'),
(61921, '91.213.232.0', '91.213.232.255', 1540745216, 1540745471, 'DE', 'Germany'),
(61922, '91.213.233.0', '91.213.233.255', 1540745472, 1540745727, 'KG', 'Kyrgyzstan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(61923, '91.213.234.0', '91.213.235.255', 1540745728, 1540746239, 'AT', 'Austria'),
(61924, '91.213.236.0', '91.213.236.255', 1540746240, 1540746495, 'FR', 'France'),
(61925, '91.213.237.0', '91.213.239.255', 1540746496, 1540747263, 'PL', 'Poland'),
(61926, '91.213.240.0', '91.213.240.255', 1540747264, 1540747519, 'RU', 'Russian Federation'),
(61927, '91.213.241.0', '91.213.241.255', 1540747520, 1540747775, 'SI', 'Slovenia'),
(61928, '91.213.242.0', '91.213.242.255', 1540747776, 1540748031, 'FR', 'France'),
(61929, '91.213.243.0', '91.213.243.255', 1540748032, 1540748287, 'RU', 'Russian Federation'),
(61930, '91.213.244.0', '91.213.244.255', 1540748288, 1540748543, 'CZ', 'Czech Republic'),
(61931, '91.213.245.0', '91.213.245.255', 1540748544, 1540748799, 'TR', 'Turkey'),
(61932, '91.213.246.0', '91.213.246.255', 1540748800, 1540749055, 'SE', 'Sweden'),
(61933, '91.213.247.0', '91.213.247.255', 1540749056, 1540749311, 'RU', 'Russian Federation'),
(61934, '91.213.248.0', '91.213.248.255', 1540749312, 1540749567, 'UZ', 'Uzbekistan'),
(61935, '91.213.249.0', '91.213.249.255', 1540749568, 1540749823, 'RU', 'Russian Federation'),
(61936, '91.213.250.0', '91.213.250.255', 1540749824, 1540750079, 'SE', 'Sweden'),
(61937, '91.213.251.0', '91.213.251.255', 1540750080, 1540750335, 'BE', 'Belgium'),
(61938, '91.213.252.0', '91.213.252.255', 1540750336, 1540750591, 'GB', 'United Kingdom'),
(61939, '91.213.253.0', '91.213.254.255', 1540750592, 1540751103, 'TR', 'Turkey'),
(61940, '91.213.255.0', '91.214.3.255', 1540751104, 1540752383, 'PL', 'Poland'),
(61941, '91.214.4.0', '91.214.7.255', 1540752384, 1540753407, 'GB', 'United Kingdom'),
(61942, '91.214.8.0', '91.214.11.255', 1540753408, 1540754431, 'DE', 'Germany'),
(61943, '91.214.12.0', '91.214.15.255', 1540754432, 1540755455, 'RO', 'Romania'),
(61944, '91.214.16.0', '91.214.19.255', 1540755456, 1540756479, 'UA', 'Ukraine'),
(61945, '91.214.20.0', '91.214.23.255', 1540756480, 1540757503, 'DK', 'Denmark'),
(61946, '91.214.24.0', '91.214.27.255', 1540757504, 1540758527, 'PL', 'Poland'),
(61947, '91.214.28.0', '91.214.35.255', 1540758528, 1540760575, 'UA', 'Ukraine'),
(61948, '91.214.36.0', '91.214.39.255', 1540760576, 1540761599, 'PL', 'Poland'),
(61949, '91.214.40.0', '91.214.43.255', 1540761600, 1540762623, 'RU', 'Russian Federation'),
(61950, '91.214.44.0', '91.214.47.255', 1540762624, 1540763647, 'LU', 'Luxembourg'),
(61951, '91.214.48.0', '91.214.51.255', 1540763648, 1540764671, 'UA', 'Ukraine'),
(61952, '91.214.52.0', '91.214.55.255', 1540764672, 1540765695, 'PL', 'Poland'),
(61953, '91.214.56.0', '91.214.59.255', 1540765696, 1540766719, 'RU', 'Russian Federation'),
(61954, '91.214.60.0', '91.214.63.255', 1540766720, 1540767743, 'IT', 'Italy'),
(61955, '91.214.64.0', '91.214.67.255', 1540767744, 1540768767, 'GB', 'United Kingdom'),
(61956, '91.214.68.0', '91.214.71.255', 1540768768, 1540769791, 'RU', 'Russian Federation'),
(61957, '91.214.72.0', '91.214.75.255', 1540769792, 1540770815, 'IT', 'Italy'),
(61958, '91.214.76.0', '91.214.79.255', 1540770816, 1540771839, 'RU', 'Russian Federation'),
(61959, '91.214.80.0', '91.214.87.255', 1540771840, 1540773887, 'UA', 'Ukraine'),
(61960, '91.214.88.0', '91.214.91.255', 1540773888, 1540774911, 'SE', 'Sweden'),
(61961, '91.214.92.0', '91.214.95.255', 1540774912, 1540775935, 'GB', 'United Kingdom'),
(61962, '91.214.96.0', '91.214.99.255', 1540775936, 1540776959, 'RU', 'Russian Federation'),
(61963, '91.214.100.0', '91.214.103.255', 1540776960, 1540777983, 'IL', 'Israel'),
(61964, '91.214.104.0', '91.214.107.255', 1540777984, 1540779007, 'HR', 'Croatia'),
(61965, '91.214.108.0', '91.214.111.255', 1540779008, 1540780031, 'NL', 'Netherlands'),
(61966, '91.214.112.0', '91.214.115.255', 1540780032, 1540781055, 'UA', 'Ukraine'),
(61967, '91.214.116.0', '91.214.123.255', 1540781056, 1540783103, 'RU', 'Russian Federation'),
(61968, '91.214.124.0', '91.214.139.255', 1540783104, 1540787199, 'UA', 'Ukraine'),
(61969, '91.214.140.0', '91.214.143.255', 1540787200, 1540788223, 'KZ', 'Kazakhstan'),
(61970, '91.214.144.0', '91.214.151.255', 1540788224, 1540790271, 'RU', 'Russian Federation'),
(61971, '91.214.152.0', '91.214.155.255', 1540790272, 1540791295, 'KW', 'Kuwait'),
(61972, '91.214.156.0', '91.214.159.255', 1540791296, 1540792319, 'CZ', 'Czech Republic'),
(61973, '91.214.160.0', '91.214.163.255', 1540792320, 1540793343, 'UA', 'Ukraine'),
(61974, '91.214.164.0', '91.214.167.255', 1540793344, 1540794367, 'FI', 'Finland'),
(61975, '91.214.168.0', '91.214.171.255', 1540794368, 1540795391, 'CH', 'Switzerland'),
(61976, '91.214.172.0', '91.214.175.255', 1540795392, 1540796415, 'RU', 'Russian Federation'),
(61977, '91.214.176.0', '91.214.183.255', 1540796416, 1540798463, 'UA', 'Ukraine'),
(61978, '91.214.184.0', '91.214.187.255', 1540798464, 1540799487, 'RU', 'Russian Federation'),
(61979, '91.214.188.0', '91.214.191.255', 1540799488, 1540800511, 'RO', 'Romania'),
(61980, '91.214.192.0', '91.214.195.255', 1540800512, 1540801535, 'CZ', 'Czech Republic'),
(61981, '91.214.196.0', '91.214.199.255', 1540801536, 1540802559, 'RU', 'Russian Federation'),
(61982, '91.214.200.0', '91.214.203.255', 1540802560, 1540803583, 'MD', 'Moldova, Republic of'),
(61983, '91.214.204.0', '91.214.207.255', 1540803584, 1540804607, 'RU', 'Russian Federation'),
(61984, '91.214.208.0', '91.214.211.255', 1540804608, 1540805631, 'UA', 'Ukraine'),
(61985, '91.214.212.0', '91.214.227.255', 1540805632, 1540809727, 'RU', 'Russian Federation'),
(61986, '91.214.228.0', '91.214.231.255', 1540809728, 1540810751, 'GB', 'United Kingdom'),
(61987, '91.214.232.0', '91.214.235.255', 1540810752, 1540811775, 'UA', 'Ukraine'),
(61988, '91.214.236.0', '91.214.239.255', 1540811776, 1540812799, 'PL', 'Poland'),
(61989, '91.214.240.0', '91.214.243.255', 1540812800, 1540813823, 'RU', 'Russian Federation'),
(61990, '91.214.244.0', '91.214.251.255', 1540813824, 1540815871, 'UA', 'Ukraine'),
(61991, '91.214.252.0', '91.214.255.255', 1540815872, 1540816895, 'DE', 'Germany'),
(61992, '91.215.0.0', '91.215.4.0', 1540816896, 1540817920, 'PL', 'Poland'),
(61993, '91.215.4.1', '91.215.7.255', 1540817921, 1540818943, 'NL', 'Netherlands'),
(61994, '91.215.8.0', '91.215.11.255', 1540818944, 1540819967, 'UA', 'Ukraine'),
(61995, '91.215.12.0', '91.215.15.255', 1540819968, 1540820991, 'CZ', 'Czech Republic'),
(61996, '91.215.16.0', '91.215.23.255', 1540820992, 1540823039, 'RU', 'Russian Federation'),
(61997, '91.215.24.0', '91.215.27.255', 1540823040, 1540824063, 'UA', 'Ukraine'),
(61998, '91.215.28.0', '91.215.31.255', 1540824064, 1540825087, 'RU', 'Russian Federation'),
(61999, '91.215.32.0', '91.215.35.255', 1540825088, 1540826111, 'PL', 'Poland'),
(62000, '91.215.36.0', '91.215.43.255', 1540826112, 1540828159, 'RU', 'Russian Federation'),
(62001, '91.215.44.0', '91.215.47.255', 1540828160, 1540829183, 'PL', 'Poland'),
(62002, '91.215.48.0', '91.215.51.255', 1540829184, 1540830207, 'RU', 'Russian Federation'),
(62003, '91.215.52.0', '91.215.63.255', 1540830208, 1540833279, 'UA', 'Ukraine'),
(62004, '91.215.64.0', '91.215.67.255', 1540833280, 1540834303, 'ES', 'Spain'),
(62005, '91.215.68.0', '91.215.71.255', 1540834304, 1540835327, 'UA', 'Ukraine'),
(62006, '91.215.72.0', '91.215.75.255', 1540835328, 1540836351, 'DE', 'Germany'),
(62007, '91.215.76.0', '91.215.79.255', 1540836352, 1540837375, 'RU', 'Russian Federation'),
(62008, '91.215.80.0', '91.215.83.255', 1540837376, 1540838399, 'PL', 'Poland'),
(62009, '91.215.84.0', '91.215.91.255', 1540838400, 1540840447, 'RU', 'Russian Federation'),
(62010, '91.215.92.0', '91.215.95.255', 1540840448, 1540841471, 'SE', 'Sweden'),
(62011, '91.215.96.0', '91.215.99.255', 1540841472, 1540842495, 'RO', 'Romania'),
(62012, '91.215.100.0', '91.215.103.255', 1540842496, 1540843519, 'DE', 'Germany'),
(62013, '91.215.104.0', '91.215.107.255', 1540843520, 1540844543, 'PL', 'Poland'),
(62014, '91.215.108.0', '91.215.115.255', 1540844544, 1540846591, 'RU', 'Russian Federation'),
(62015, '91.215.116.0', '91.215.119.255', 1540846592, 1540847615, 'DE', 'Germany'),
(62016, '91.215.120.0', '91.215.123.255', 1540847616, 1540848639, 'RU', 'Russian Federation'),
(62017, '91.215.124.0', '91.215.127.255', 1540848640, 1540849663, 'UA', 'Ukraine'),
(62018, '91.215.128.0', '91.215.131.255', 1540849664, 1540850687, 'RU', 'Russian Federation'),
(62019, '91.215.132.0', '91.215.135.255', 1540850688, 1540851711, 'FI', 'Finland'),
(62020, '91.215.136.0', '91.215.139.255', 1540851712, 1540852735, 'UA', 'Ukraine'),
(62021, '91.215.140.0', '91.215.143.255', 1540852736, 1540853759, 'RU', 'Russian Federation'),
(62022, '91.215.144.0', '91.215.147.255', 1540853760, 1540854783, 'UA', 'Ukraine'),
(62023, '91.215.148.0', '91.215.151.255', 1540854784, 1540855807, 'NL', 'Netherlands'),
(62024, '91.215.152.0', '91.215.155.255', 1540855808, 1540856831, 'RU', 'Russian Federation'),
(62025, '91.215.156.0', '91.215.159.255', 1540856832, 1540857855, 'NL', 'Netherlands'),
(62026, '91.215.160.0', '91.215.163.255', 1540857856, 1540858879, 'DK', 'Denmark'),
(62027, '91.215.164.0', '91.215.167.255', 1540858880, 1540859903, 'GB', 'United Kingdom'),
(62028, '91.215.168.0', '91.215.171.255', 1540859904, 1540860927, 'RU', 'Russian Federation'),
(62029, '91.215.172.0', '91.215.175.255', 1540860928, 1540861951, 'KZ', 'Kazakhstan'),
(62030, '91.215.176.0', '91.215.179.255', 1540861952, 1540862975, 'BY', 'Belarus'),
(62031, '91.215.180.0', '91.215.187.255', 1540862976, 1540865023, 'GB', 'United Kingdom'),
(62032, '91.215.188.0', '91.215.215.255', 1540865024, 1540872191, 'RU', 'Russian Federation'),
(62033, '91.215.216.0', '91.215.219.255', 1540872192, 1540873215, 'BG', 'Bulgaria'),
(62034, '91.215.220.0', '91.215.227.255', 1540873216, 1540875263, 'RU', 'Russian Federation'),
(62035, '91.215.228.0', '91.215.231.255', 1540875264, 1540876287, 'PL', 'Poland'),
(62036, '91.215.232.0', '91.215.235.255', 1540876288, 1540877311, 'RU', 'Russian Federation'),
(62037, '91.215.236.0', '91.215.239.255', 1540877312, 1540878335, 'PL', 'Poland'),
(62038, '91.215.240.0', '91.215.243.255', 1540878336, 1540879359, 'AT', 'Austria'),
(62039, '91.215.244.0', '91.215.247.255', 1540879360, 1540880383, 'RU', 'Russian Federation'),
(62040, '91.215.248.0', '91.215.251.255', 1540880384, 1540881407, 'UA', 'Ukraine'),
(62041, '91.215.252.0', '91.215.255.255', 1540881408, 1540882431, 'RU', 'Russian Federation'),
(62042, '91.216.0.0', '91.216.0.255', 1540882432, 1540882687, 'SE', 'Sweden'),
(62043, '91.216.1.0', '91.216.2.255', 1540882688, 1540883199, 'LV', 'Latvia'),
(62044, '91.216.3.0', '91.216.3.255', 1540883200, 1540883455, 'RU', 'Russian Federation'),
(62045, '91.216.4.0', '91.216.4.255', 1540883456, 1540883711, 'IR', 'Iran, Islamic Republic of'),
(62046, '91.216.5.0', '91.216.5.255', 1540883712, 1540883967, 'PL', 'Poland'),
(62047, '91.216.6.0', '91.216.6.255', 1540883968, 1540884223, 'IE', 'Ireland'),
(62048, '91.216.7.0', '91.216.7.255', 1540884224, 1540884479, 'SE', 'Sweden'),
(62049, '91.216.8.0', '91.216.9.255', 1540884480, 1540884991, 'GB', 'United Kingdom'),
(62050, '91.216.10.0', '91.216.10.255', 1540884992, 1540885247, 'BE', 'Belgium'),
(62051, '91.216.11.0', '91.216.11.255', 1540885248, 1540885503, 'UA', 'Ukraine'),
(62052, '91.216.12.0', '91.216.12.255', 1540885504, 1540885759, 'ES', 'Spain'),
(62053, '91.216.13.0', '91.216.13.255', 1540885760, 1540886015, 'DE', 'Germany'),
(62054, '91.216.14.0', '91.216.14.255', 1540886016, 1540886271, 'DK', 'Denmark'),
(62055, '91.216.15.0', '91.216.15.255', 1540886272, 1540886527, 'UA', 'Ukraine'),
(62056, '91.216.16.0', '91.216.16.255', 1540886528, 1540886783, 'PL', 'Poland'),
(62057, '91.216.17.0', '91.216.17.255', 1540886784, 1540887039, 'IT', 'Italy'),
(62058, '91.216.18.0', '91.216.18.255', 1540887040, 1540887295, 'GB', 'United Kingdom'),
(62059, '91.216.19.0', '91.216.19.255', 1540887296, 1540887551, 'FR', 'France'),
(62060, '91.216.20.0', '91.216.20.255', 1540887552, 1540887807, 'BE', 'Belgium'),
(62061, '91.216.21.0', '91.216.21.255', 1540887808, 1540888063, 'MD', 'Moldova, Republic of'),
(62062, '91.216.22.0', '91.216.22.255', 1540888064, 1540888319, 'UA', 'Ukraine'),
(62063, '91.216.23.0', '91.216.23.255', 1540888320, 1540888575, 'DE', 'Germany'),
(62064, '91.216.24.0', '91.216.24.255', 1540888576, 1540888831, 'SE', 'Sweden'),
(62065, '91.216.25.0', '91.216.25.255', 1540888832, 1540889087, 'PL', 'Poland'),
(62066, '91.216.26.0', '91.216.26.255', 1540889088, 1540889343, 'FR', 'France'),
(62067, '91.216.27.0', '91.216.27.255', 1540889344, 1540889599, 'RO', 'Romania'),
(62068, '91.216.28.0', '91.216.28.255', 1540889600, 1540889855, 'UA', 'Ukraine'),
(62069, '91.216.29.0', '91.216.29.255', 1540889856, 1540890111, 'FR', 'France'),
(62070, '91.216.30.0', '91.216.30.255', 1540890112, 1540890367, 'PL', 'Poland'),
(62071, '91.216.31.0', '91.216.31.255', 1540890368, 1540890623, 'IL', 'Israel'),
(62072, '91.216.32.0', '91.216.32.255', 1540890624, 1540890879, 'SE', 'Sweden'),
(62073, '91.216.33.0', '91.216.33.255', 1540890880, 1540891135, 'DE', 'Germany'),
(62074, '91.216.34.0', '91.216.34.255', 1540891136, 1540891391, 'NL', 'Netherlands'),
(62075, '91.216.35.0', '91.216.35.255', 1540891392, 1540891647, 'DE', 'Germany'),
(62076, '91.216.36.0', '91.216.36.255', 1540891648, 1540891903, 'CH', 'Switzerland'),
(62077, '91.216.37.0', '91.216.37.255', 1540891904, 1540892159, 'GB', 'United Kingdom'),
(62078, '91.216.38.0', '91.216.38.255', 1540892160, 1540892415, 'IT', 'Italy'),
(62079, '91.216.39.0', '91.216.39.255', 1540892416, 1540892671, 'UA', 'Ukraine'),
(62080, '91.216.40.0', '91.216.40.255', 1540892672, 1540892927, 'GB', 'United Kingdom'),
(62081, '91.216.41.0', '91.216.41.255', 1540892928, 1540893183, 'BE', 'Belgium'),
(62082, '91.216.42.0', '91.216.42.255', 1540893184, 1540893439, 'GB', 'United Kingdom'),
(62083, '91.216.43.0', '91.216.43.255', 1540893440, 1540893695, 'FR', 'France'),
(62084, '91.216.44.0', '91.216.44.255', 1540893696, 1540893951, 'HU', 'Hungary'),
(62085, '91.216.45.0', '91.216.45.255', 1540893952, 1540894207, 'DE', 'Germany'),
(62086, '91.216.46.0', '91.216.46.255', 1540894208, 1540894463, 'RU', 'Russian Federation'),
(62087, '91.216.47.0', '91.216.47.255', 1540894464, 1540894719, 'RO', 'Romania'),
(62088, '91.216.48.0', '91.216.50.255', 1540894720, 1540895487, 'RU', 'Russian Federation'),
(62089, '91.216.51.0', '91.216.51.255', 1540895488, 1540895743, 'PL', 'Poland'),
(62090, '91.216.52.0', '91.216.52.255', 1540895744, 1540895999, 'RO', 'Romania'),
(62091, '91.216.53.0', '91.216.53.255', 1540896000, 1540896255, 'RU', 'Russian Federation'),
(62092, '91.216.54.0', '91.216.54.255', 1540896256, 1540896511, 'SI', 'Slovenia'),
(62093, '91.216.55.0', '91.216.55.255', 1540896512, 1540896767, 'GB', 'United Kingdom'),
(62094, '91.216.56.0', '91.216.56.255', 1540896768, 1540897023, 'EU', 'Europe'),
(62095, '91.216.57.0', '91.216.57.255', 1540897024, 1540897279, 'GB', 'United Kingdom'),
(62096, '91.216.58.0', '91.216.58.255', 1540897280, 1540897535, 'FR', 'France'),
(62097, '91.216.59.0', '91.216.59.255', 1540897536, 1540897791, 'RU', 'Russian Federation'),
(62098, '91.216.60.0', '91.216.60.255', 1540897792, 1540898047, 'HU', 'Hungary'),
(62099, '91.216.61.0', '91.216.61.255', 1540898048, 1540898303, 'UA', 'Ukraine'),
(62100, '91.216.62.0', '91.216.62.255', 1540898304, 1540898559, 'SE', 'Sweden'),
(62101, '91.216.63.0', '91.216.63.255', 1540898560, 1540898815, 'ES', 'Spain'),
(62102, '91.216.64.0', '91.216.64.255', 1540898816, 1540899071, 'PL', 'Poland'),
(62103, '91.216.65.0', '91.216.65.255', 1540899072, 1540899327, 'SE', 'Sweden'),
(62104, '91.216.66.0', '91.216.66.255', 1540899328, 1540899583, 'RU', 'Russian Federation'),
(62105, '91.216.67.0', '91.216.67.255', 1540899584, 1540899839, 'FR', 'France'),
(62106, '91.216.68.0', '91.216.69.255', 1540899840, 1540900351, 'RU', 'Russian Federation'),
(62107, '91.216.70.0', '91.216.70.255', 1540900352, 1540900607, 'HU', 'Hungary'),
(62108, '91.216.71.0', '91.216.71.255', 1540900608, 1540900863, 'BG', 'Bulgaria'),
(62109, '91.216.72.0', '91.216.72.255', 1540900864, 1540901119, 'RU', 'Russian Federation'),
(62110, '91.216.73.0', '91.216.73.255', 1540901120, 1540901375, 'LV', 'Latvia'),
(62111, '91.216.74.0', '91.216.74.255', 1540901376, 1540901631, 'SI', 'Slovenia'),
(62112, '91.216.75.0', '91.216.75.255', 1540901632, 1540901887, 'RO', 'Romania'),
(62113, '91.216.76.0', '91.216.76.255', 1540901888, 1540902143, 'GR', 'Greece'),
(62114, '91.216.77.0', '91.216.77.255', 1540902144, 1540902399, 'FI', 'Finland'),
(62115, '91.216.78.0', '91.216.78.255', 1540902400, 1540902655, 'RO', 'Romania'),
(62116, '91.216.79.0', '91.216.79.255', 1540902656, 1540902911, 'DE', 'Germany'),
(62117, '91.216.80.0', '91.216.80.255', 1540902912, 1540903167, 'RO', 'Romania'),
(62118, '91.216.81.0', '91.216.81.255', 1540903168, 1540903423, 'RU', 'Russian Federation'),
(62119, '91.216.82.0', '91.216.82.255', 1540903424, 1540903679, 'GB', 'United Kingdom'),
(62120, '91.216.83.0', '91.216.85.255', 1540903680, 1540904447, 'FR', 'France'),
(62121, '91.216.86.0', '91.216.86.255', 1540904448, 1540904703, 'EE', 'Estonia'),
(62122, '91.216.87.0', '91.216.87.255', 1540904704, 1540904959, 'SI', 'Slovenia'),
(62123, '91.216.88.0', '91.216.89.255', 1540904960, 1540905471, 'GB', 'United Kingdom'),
(62124, '91.216.90.0', '91.216.90.255', 1540905472, 1540905727, 'DE', 'Germany'),
(62125, '91.216.91.0', '91.216.91.255', 1540905728, 1540905983, 'TR', 'Turkey'),
(62126, '91.216.92.0', '91.216.92.255', 1540905984, 1540906239, 'AT', 'Austria'),
(62127, '91.216.93.0', '91.216.93.255', 1540906240, 1540906495, 'GB', 'United Kingdom'),
(62128, '91.216.94.0', '91.216.94.255', 1540906496, 1540906751, 'UA', 'Ukraine'),
(62129, '91.216.95.0', '91.216.95.255', 1540906752, 1540907007, 'BG', 'Bulgaria'),
(62130, '91.216.96.0', '91.216.96.255', 1540907008, 1540907263, 'RU', 'Russian Federation'),
(62131, '91.216.97.0', '91.216.97.255', 1540907264, 1540907519, 'MD', 'Moldova, Republic of'),
(62132, '91.216.99.0', '91.216.99.255', 1540907776, 1540908031, 'PL', 'Poland'),
(62133, '91.216.100.0', '91.216.100.255', 1540908032, 1540908287, 'NL', 'Netherlands'),
(62134, '91.216.101.0', '91.216.101.255', 1540908288, 1540908543, 'DK', 'Denmark'),
(62135, '91.216.102.0', '91.216.102.255', 1540908544, 1540908799, 'IT', 'Italy'),
(62136, '91.216.103.0', '91.216.103.255', 1540908800, 1540909055, 'DK', 'Denmark'),
(62137, '91.216.104.0', '91.216.104.255', 1540909056, 1540909311, 'NL', 'Netherlands'),
(62138, '91.216.105.0', '91.216.105.255', 1540909312, 1540909567, 'GB', 'United Kingdom'),
(62139, '91.216.106.0', '91.216.106.255', 1540909568, 1540909823, 'UA', 'Ukraine'),
(62140, '91.216.107.0', '91.216.107.255', 1540909824, 1540910079, 'FR', 'France'),
(62141, '91.216.108.0', '91.216.108.255', 1540910080, 1540910335, 'DE', 'Germany'),
(62142, '91.216.109.0', '91.216.109.255', 1540910336, 1540910591, 'SI', 'Slovenia'),
(62143, '91.216.110.0', '91.216.110.255', 1540910592, 1540910847, 'FR', 'France'),
(62144, '91.216.111.0', '91.216.111.255', 1540910848, 1540911103, 'SE', 'Sweden'),
(62145, '91.216.112.0', '91.216.112.255', 1540911104, 1540911359, 'GB', 'United Kingdom'),
(62146, '91.216.113.0', '91.216.113.255', 1540911360, 1540911615, 'NL', 'Netherlands'),
(62147, '91.216.114.0', '91.216.114.255', 1540911616, 1540911871, 'RU', 'Russian Federation'),
(62148, '91.216.115.0', '91.216.115.255', 1540911872, 1540912127, 'PL', 'Poland'),
(62149, '91.216.116.0', '91.216.116.255', 1540912128, 1540912383, 'GB', 'United Kingdom'),
(62150, '91.216.117.0', '91.216.117.255', 1540912384, 1540912639, 'PT', 'Portugal'),
(62151, '91.216.118.0', '91.216.118.255', 1540912640, 1540912895, 'DK', 'Denmark'),
(62152, '91.216.119.0', '91.216.119.255', 1540912896, 1540913151, 'TR', 'Turkey'),
(62153, '91.216.120.0', '91.216.120.255', 1540913152, 1540913407, 'AT', 'Austria'),
(62154, '91.216.121.0', '91.216.121.255', 1540913408, 1540913663, 'RU', 'Russian Federation'),
(62155, '91.216.122.0', '91.216.122.255', 1540913664, 1540913919, 'MD', 'Moldova, Republic of'),
(62156, '91.216.123.0', '91.216.123.255', 1540913920, 1540914175, 'RU', 'Russian Federation'),
(62157, '91.216.124.0', '91.216.125.255', 1540914176, 1540914687, 'PL', 'Poland'),
(62158, '91.216.126.0', '91.216.126.255', 1540914688, 1540914943, 'RU', 'Russian Federation'),
(62159, '91.216.127.0', '91.216.127.255', 1540914944, 1540915199, 'IT', 'Italy'),
(62160, '91.216.128.0', '91.216.128.255', 1540915200, 1540915455, 'DE', 'Germany'),
(62161, '91.216.129.0', '91.216.130.255', 1540915456, 1540915967, 'RU', 'Russian Federation'),
(62162, '91.216.131.0', '91.216.132.255', 1540915968, 1540916479, 'NL', 'Netherlands'),
(62163, '91.216.133.0', '91.216.133.255', 1540916480, 1540916735, 'UA', 'Ukraine'),
(62164, '91.216.134.0', '91.216.134.255', 1540916736, 1540916991, 'PL', 'Poland'),
(62165, '91.216.135.0', '91.216.135.255', 1540916992, 1540917247, 'UA', 'Ukraine'),
(62166, '91.216.136.0', '91.216.136.255', 1540917248, 1540917503, 'FI', 'Finland'),
(62167, '91.216.137.0', '91.216.138.255', 1540917504, 1540918015, 'GB', 'United Kingdom'),
(62168, '91.216.139.0', '91.216.140.255', 1540918016, 1540918527, 'FR', 'France'),
(62169, '91.216.141.0', '91.216.142.255', 1540918528, 1540919039, 'NL', 'Netherlands'),
(62170, '91.216.143.0', '91.216.143.255', 1540919040, 1540919295, 'GB', 'United Kingdom'),
(62171, '91.216.144.0', '91.216.144.255', 1540919296, 1540919551, 'RO', 'Romania'),
(62172, '91.216.145.0', '91.216.145.255', 1540919552, 1540919807, 'BE', 'Belgium'),
(62173, '91.216.146.0', '91.216.146.255', 1540919808, 1540920063, 'GB', 'United Kingdom'),
(62174, '91.216.147.0', '91.216.147.255', 1540920064, 1540920319, 'RU', 'Russian Federation'),
(62175, '91.216.148.0', '91.216.148.255', 1540920320, 1540920575, 'TR', 'Turkey'),
(62176, '91.216.149.0', '91.216.149.255', 1540920576, 1540920831, 'PL', 'Poland'),
(62177, '91.216.150.0', '91.216.150.255', 1540920832, 1540921087, 'HU', 'Hungary'),
(62178, '91.216.151.0', '91.216.152.255', 1540921088, 1540921599, 'RO', 'Romania'),
(62179, '91.216.153.0', '91.216.154.255', 1540921600, 1540922111, 'EU', 'Europe'),
(62180, '91.216.155.0', '91.216.155.255', 1540922112, 1540922367, 'ES', 'Spain'),
(62181, '91.216.156.0', '91.216.157.255', 1540922368, 1540922879, 'RO', 'Romania'),
(62182, '91.216.158.0', '91.216.158.255', 1540922880, 1540923135, 'DE', 'Germany'),
(62183, '91.216.159.0', '91.216.159.255', 1540923136, 1540923391, 'GB', 'United Kingdom'),
(62184, '91.216.160.0', '91.216.160.255', 1540923392, 1540923647, 'PL', 'Poland'),
(62185, '91.216.161.0', '91.216.161.255', 1540923648, 1540923903, 'UA', 'Ukraine'),
(62186, '91.216.162.0', '91.216.162.255', 1540923904, 1540924159, 'DE', 'Germany'),
(62187, '91.216.163.0', '91.216.163.255', 1540924160, 1540924415, 'LT', 'Lithuania'),
(62188, '91.216.164.0', '91.216.164.255', 1540924416, 1540924671, 'RU', 'Russian Federation'),
(62189, '91.216.165.0', '91.216.165.255', 1540924672, 1540924927, 'UA', 'Ukraine'),
(62190, '91.216.166.0', '91.216.166.255', 1540924928, 1540925183, 'MD', 'Moldova, Republic of'),
(62191, '91.216.167.0', '91.216.167.255', 1540925184, 1540925439, 'RU', 'Russian Federation'),
(62192, '91.216.168.0', '91.216.168.255', 1540925440, 1540925695, 'CZ', 'Czech Republic'),
(62193, '91.216.169.0', '91.216.169.255', 1540925696, 1540925951, 'AE', 'United Arab Emirates'),
(62194, '91.216.170.0', '91.216.170.255', 1540925952, 1540926207, 'TR', 'Turkey'),
(62195, '91.216.171.0', '91.216.171.255', 1540926208, 1540926463, 'FR', 'France'),
(62196, '91.216.172.0', '91.216.172.255', 1540926464, 1540926719, 'SI', 'Slovenia'),
(62197, '91.216.173.0', '91.216.173.255', 1540926720, 1540926975, 'UA', 'Ukraine'),
(62198, '91.216.174.0', '91.216.174.255', 1540926976, 1540927231, 'BG', 'Bulgaria'),
(62199, '91.216.175.0', '91.216.175.255', 1540927232, 1540927487, 'RU', 'Russian Federation'),
(62200, '91.216.176.0', '91.216.176.255', 1540927488, 1540927743, 'GE', 'Georgia'),
(62201, '91.216.177.0', '91.216.177.255', 1540927744, 1540927999, 'RO', 'Romania'),
(62202, '91.216.178.0', '91.216.178.255', 1540928000, 1540928255, 'KZ', 'Kazakhstan'),
(62203, '91.216.179.0', '91.216.179.255', 1540928256, 1540928511, 'CZ', 'Czech Republic'),
(62204, '91.216.180.0', '91.216.180.255', 1540928512, 1540928767, 'GR', 'Greece'),
(62205, '91.216.181.0', '91.216.181.255', 1540928768, 1540929023, 'GB', 'United Kingdom'),
(62206, '91.216.182.0', '91.216.182.255', 1540929024, 1540929279, 'DK', 'Denmark'),
(62207, '91.216.183.0', '91.216.183.255', 1540929280, 1540929535, 'GB', 'United Kingdom'),
(62208, '91.216.184.0', '91.216.184.255', 1540929536, 1540929791, 'NL', 'Netherlands'),
(62209, '91.216.185.0', '91.216.185.255', 1540929792, 1540930047, 'CZ', 'Czech Republic'),
(62210, '91.216.186.0', '91.216.186.255', 1540930048, 1540930303, 'FR', 'France'),
(62211, '91.216.187.0', '91.216.187.255', 1540930304, 1540930559, 'RU', 'Russian Federation'),
(62212, '91.216.188.0', '91.216.188.255', 1540930560, 1540930815, 'KW', 'Kuwait'),
(62213, '91.216.189.0', '91.216.189.255', 1540930816, 1540931071, 'KZ', 'Kazakhstan'),
(62214, '91.216.190.0', '91.216.190.255', 1540931072, 1540931327, 'EU', 'Europe'),
(62215, '91.216.191.0', '91.216.192.255', 1540931328, 1540931839, 'PL', 'Poland'),
(62216, '91.216.193.0', '91.216.193.255', 1540931840, 1540932095, 'GB', 'United Kingdom'),
(62217, '91.216.194.0', '91.216.194.255', 1540932096, 1540932351, 'PL', 'Poland'),
(62218, '91.216.195.0', '91.216.195.255', 1540932352, 1540932607, 'FR', 'France'),
(62219, '91.216.196.0', '91.216.196.255', 1540932608, 1540932863, 'UA', 'Ukraine'),
(62220, '91.216.197.0', '91.216.197.255', 1540932864, 1540933119, 'GB', 'United Kingdom'),
(62221, '91.216.198.0', '91.216.198.255', 1540933120, 1540933375, 'RU', 'Russian Federation'),
(62222, '91.216.199.0', '91.216.199.255', 1540933376, 1540933631, 'RO', 'Romania'),
(62223, '91.216.200.0', '91.216.200.255', 1540933632, 1540933887, 'NL', 'Netherlands'),
(62224, '91.216.201.0', '91.216.201.255', 1540933888, 1540934143, 'TR', 'Turkey'),
(62225, '91.216.202.0', '91.216.202.255', 1540934144, 1540934399, 'PL', 'Poland'),
(62226, '91.216.203.0', '91.216.203.255', 1540934400, 1540934655, 'FR', 'France'),
(62227, '91.216.204.0', '91.216.204.255', 1540934656, 1540934911, 'PL', 'Poland'),
(62228, '91.216.205.0', '91.216.205.255', 1540934912, 1540935167, 'RU', 'Russian Federation'),
(62229, '91.216.206.0', '91.216.206.255', 1540935168, 1540935423, 'GR', 'Greece'),
(62230, '91.216.207.0', '91.216.207.255', 1540935424, 1540935679, 'NL', 'Netherlands'),
(62231, '91.216.208.0', '91.216.208.255', 1540935680, 1540935935, 'RU', 'Russian Federation'),
(62232, '91.216.209.0', '91.216.209.255', 1540935936, 1540936191, 'FR', 'France'),
(62233, '91.216.210.0', '91.216.210.255', 1540936192, 1540936447, 'CY', 'Cyprus'),
(62234, '91.216.211.0', '91.216.212.255', 1540936448, 1540936959, 'RU', 'Russian Federation'),
(62235, '91.216.213.0', '91.216.214.255', 1540936960, 1540937471, 'PL', 'Poland'),
(62236, '91.216.215.0', '91.216.215.255', 1540937472, 1540937727, 'RU', 'Russian Federation'),
(62237, '91.216.216.0', '91.216.216.255', 1540937728, 1540937983, 'DE', 'Germany'),
(62238, '91.216.217.0', '91.216.217.255', 1540937984, 1540938239, 'RU', 'Russian Federation'),
(62239, '91.216.218.0', '91.216.219.255', 1540938240, 1540938751, 'ES', 'Spain'),
(62240, '91.216.220.0', '91.216.220.255', 1540938752, 1540939007, 'KZ', 'Kazakhstan'),
(62241, '91.216.221.0', '91.216.221.255', 1540939008, 1540939263, 'FR', 'France'),
(62242, '91.216.222.0', '91.216.222.255', 1540939264, 1540939519, 'IL', 'Israel'),
(62243, '91.216.223.0', '91.216.223.255', 1540939520, 1540939775, 'TR', 'Turkey'),
(62244, '91.216.224.0', '91.216.224.255', 1540939776, 1540940031, 'PL', 'Poland'),
(62245, '91.216.225.0', '91.216.225.255', 1540940032, 1540940287, 'RO', 'Romania'),
(62246, '91.216.226.0', '91.216.226.255', 1540940288, 1540940543, 'DK', 'Denmark'),
(62247, '91.216.227.0', '91.216.227.255', 1540940544, 1540940799, 'RO', 'Romania'),
(62248, '91.216.228.0', '91.216.228.255', 1540940800, 1540941055, 'FR', 'France'),
(62249, '91.216.229.0', '91.216.229.255', 1540941056, 1540941311, 'CH', 'Switzerland'),
(62250, '91.216.230.0', '91.216.230.255', 1540941312, 1540941567, 'AT', 'Austria'),
(62251, '91.216.231.0', '91.216.232.255', 1540941568, 1540942079, 'UA', 'Ukraine'),
(62252, '91.216.233.0', '91.216.233.255', 1540942080, 1540942335, 'RO', 'Romania'),
(62253, '91.216.234.0', '91.216.234.255', 1540942336, 1540942591, 'FR', 'France'),
(62254, '91.216.235.0', '91.216.235.255', 1540942592, 1540942847, 'DE', 'Germany'),
(62255, '91.216.236.0', '91.216.236.255', 1540942848, 1540943103, 'IE', 'Ireland'),
(62256, '91.216.237.0', '91.216.237.255', 1540943104, 1540943359, 'UA', 'Ukraine'),
(62257, '91.216.238.0', '91.216.238.255', 1540943360, 1540943615, 'BE', 'Belgium'),
(62258, '91.216.239.0', '91.216.239.255', 1540943616, 1540943871, 'PL', 'Poland'),
(62259, '91.216.240.0', '91.216.240.255', 1540943872, 1540944127, 'UA', 'Ukraine'),
(62260, '91.216.241.0', '91.216.241.255', 1540944128, 1540944383, 'IE', 'Ireland'),
(62261, '91.216.242.0', '91.216.242.255', 1540944384, 1540944639, 'AT', 'Austria'),
(62262, '91.216.243.0', '91.216.243.255', 1540944640, 1540944895, 'DE', 'Germany'),
(62263, '91.216.244.0', '91.216.244.255', 1540944896, 1540945151, 'UA', 'Ukraine'),
(62264, '91.216.245.0', '91.216.245.255', 1540945152, 1540945407, 'DE', 'Germany'),
(62265, '91.216.246.0', '91.216.246.255', 1540945408, 1540945663, 'GB', 'United Kingdom'),
(62266, '91.216.247.0', '91.216.247.255', 1540945664, 1540945919, 'AT', 'Austria'),
(62267, '91.216.248.0', '91.216.248.255', 1540945920, 1540946175, 'DE', 'Germany'),
(62268, '91.216.249.0', '91.216.249.255', 1540946176, 1540946431, 'AT', 'Austria'),
(62269, '91.216.250.0', '91.216.250.255', 1540946432, 1540946687, 'RU', 'Russian Federation'),
(62270, '91.216.251.0', '91.216.251.255', 1540946688, 1540946943, 'UA', 'Ukraine'),
(62271, '91.216.252.0', '91.216.252.255', 1540946944, 1540947199, 'IL', 'Israel'),
(62272, '91.216.253.0', '91.216.253.255', 1540947200, 1540947455, 'BG', 'Bulgaria'),
(62273, '91.216.254.0', '91.216.254.255', 1540947456, 1540947711, 'PL', 'Poland'),
(62274, '91.216.255.0', '91.216.255.255', 1540947712, 1540947967, 'IS', 'Iceland'),
(62275, '91.217.0.0', '91.217.1.255', 1540947968, 1540948479, 'PL', 'Poland'),
(62276, '91.217.2.0', '91.217.3.255', 1540948480, 1540948991, 'RU', 'Russian Federation'),
(62277, '91.217.4.0', '91.217.5.255', 1540948992, 1540949503, 'UA', 'Ukraine'),
(62278, '91.217.6.0', '91.217.7.255', 1540949504, 1540950015, 'RU', 'Russian Federation'),
(62279, '91.217.8.0', '91.217.13.255', 1540950016, 1540951551, 'UA', 'Ukraine'),
(62280, '91.217.14.0', '91.217.15.255', 1540951552, 1540952063, 'RS', 'Serbia'),
(62281, '91.217.16.0', '91.217.17.255', 1540952064, 1540952575, 'RU', 'Russian Federation'),
(62282, '91.217.18.0', '91.217.19.255', 1540952576, 1540953087, 'PL', 'Poland'),
(62283, '91.217.20.0', '91.217.21.255', 1540953088, 1540953599, 'RU', 'Russian Federation'),
(62284, '91.217.22.0', '91.217.25.255', 1540953600, 1540954623, 'PL', 'Poland'),
(62285, '91.217.26.0', '91.217.29.255', 1540954624, 1540955647, 'RO', 'Romania'),
(62286, '91.217.30.0', '91.217.31.255', 1540955648, 1540956159, 'NL', 'Netherlands'),
(62287, '91.217.32.0', '91.217.33.255', 1540956160, 1540956671, 'SK', 'Slovakia'),
(62288, '91.217.34.0', '91.217.35.255', 1540956672, 1540957183, 'RU', 'Russian Federation'),
(62289, '91.217.36.0', '91.217.37.255', 1540957184, 1540957695, 'DE', 'Germany'),
(62290, '91.217.38.0', '91.217.39.255', 1540957696, 1540958207, 'AT', 'Austria'),
(62291, '91.217.40.0', '91.217.41.255', 1540958208, 1540958719, 'PL', 'Poland'),
(62292, '91.217.42.0', '91.217.43.255', 1540958720, 1540959231, 'RU', 'Russian Federation'),
(62293, '91.217.44.0', '91.217.45.255', 1540959232, 1540959743, 'FR', 'France'),
(62294, '91.217.46.0', '91.217.47.255', 1540959744, 1540960255, 'RU', 'Russian Federation'),
(62295, '91.217.48.0', '91.217.49.255', 1540960256, 1540960767, 'PL', 'Poland'),
(62296, '91.217.50.0', '91.217.51.255', 1540960768, 1540961279, 'RU', 'Russian Federation'),
(62297, '91.217.52.0', '91.217.53.255', 1540961280, 1540961791, 'CZ', 'Czech Republic'),
(62298, '91.217.54.0', '91.217.55.255', 1540961792, 1540962303, 'AT', 'Austria'),
(62299, '91.217.56.0', '91.217.57.255', 1540962304, 1540962815, 'NL', 'Netherlands'),
(62300, '91.217.58.0', '91.217.61.255', 1540962816, 1540963839, 'UA', 'Ukraine'),
(62301, '91.217.62.0', '91.217.63.255', 1540963840, 1540964351, 'RU', 'Russian Federation'),
(62302, '91.217.64.0', '91.217.65.255', 1540964352, 1540964863, 'IR', 'Iran, Islamic Republic of'),
(62303, '91.217.66.0', '91.217.69.255', 1540964864, 1540965887, 'UA', 'Ukraine'),
(62304, '91.217.70.0', '91.217.71.255', 1540965888, 1540966399, 'RU', 'Russian Federation'),
(62305, '91.217.72.0', '91.217.73.255', 1540966400, 1540966911, 'GB', 'United Kingdom'),
(62306, '91.217.74.0', '91.217.77.255', 1540966912, 1540967935, 'RU', 'Russian Federation'),
(62307, '91.217.78.0', '91.217.79.255', 1540967936, 1540968447, 'UA', 'Ukraine'),
(62308, '91.217.80.0', '91.217.83.255', 1540968448, 1540969471, 'RO', 'Romania'),
(62309, '91.217.84.0', '91.217.85.255', 1540969472, 1540969983, 'NL', 'Netherlands'),
(62310, '91.217.86.0', '91.217.87.255', 1540969984, 1540970495, 'DE', 'Germany'),
(62311, '91.217.88.0', '91.217.89.255', 1540970496, 1540971007, 'IE', 'Ireland'),
(62312, '91.217.90.0', '91.217.91.255', 1540971008, 1540971519, 'UA', 'Ukraine'),
(62313, '91.217.92.0', '91.217.93.255', 1540971520, 1540972031, 'SI', 'Slovenia'),
(62314, '91.217.94.0', '91.217.95.255', 1540972032, 1540972543, 'FR', 'France'),
(62315, '91.217.96.0', '91.217.97.255', 1540972544, 1540973055, 'CZ', 'Czech Republic'),
(62316, '91.217.98.0', '91.217.99.255', 1540973056, 1540973567, 'PL', 'Poland'),
(62317, '91.217.100.0', '91.217.101.255', 1540973568, 1540974079, 'UA', 'Ukraine'),
(62318, '91.217.102.0', '91.217.103.255', 1540974080, 1540974591, 'RU', 'Russian Federation'),
(62319, '91.217.104.0', '91.217.105.255', 1540974592, 1540975103, 'PL', 'Poland'),
(62320, '91.217.106.0', '91.217.107.255', 1540975104, 1540975615, 'UA', 'Ukraine'),
(62321, '91.217.108.0', '91.217.111.255', 1540975616, 1540976639, 'RU', 'Russian Federation'),
(62322, '91.217.112.0', '91.217.113.255', 1540976640, 1540977151, 'UA', 'Ukraine'),
(62323, '91.217.114.0', '91.217.115.255', 1540977152, 1540977663, 'PL', 'Poland'),
(62324, '91.217.116.0', '91.217.117.255', 1540977664, 1540978175, 'FI', 'Finland'),
(62325, '91.217.118.0', '91.217.119.255', 1540978176, 1540978687, 'AT', 'Austria'),
(62326, '91.217.120.0', '91.217.121.255', 1540978688, 1540979199, 'RU', 'Russian Federation'),
(62327, '91.217.122.0', '91.217.123.255', 1540979200, 1540979711, 'SI', 'Slovenia'),
(62328, '91.217.124.0', '91.217.125.255', 1540979712, 1540980223, 'RU', 'Russian Federation'),
(62329, '91.217.126.0', '91.217.127.255', 1540980224, 1540980735, 'SI', 'Slovenia'),
(62330, '91.217.128.0', '91.217.128.255', 1540980736, 1540980991, 'CH', 'Switzerland'),
(62331, '91.217.129.0', '91.217.129.255', 1540980992, 1540981247, 'RU', 'Russian Federation'),
(62332, '91.217.130.0', '91.217.130.255', 1540981248, 1540981503, 'RO', 'Romania'),
(62333, '91.217.131.0', '91.217.131.255', 1540981504, 1540981759, 'DE', 'Germany'),
(62334, '91.217.132.0', '91.217.132.255', 1540981760, 1540982015, 'PL', 'Poland'),
(62335, '91.217.133.0', '91.217.133.255', 1540982016, 1540982271, 'DK', 'Denmark'),
(62336, '91.217.134.0', '91.217.135.255', 1540982272, 1540982783, 'GB', 'United Kingdom'),
(62337, '91.217.136.0', '91.217.137.255', 1540982784, 1540983295, 'RU', 'Russian Federation'),
(62338, '91.217.138.0', '91.217.138.255', 1540983296, 1540983551, 'ME', 'Montenegro'),
(62339, '91.217.139.0', '91.217.139.255', 1540983552, 1540983807, 'CH', 'Switzerland'),
(62340, '91.217.140.0', '91.217.140.255', 1540983808, 1540984063, 'FR', 'France'),
(62341, '91.217.141.0', '91.217.141.255', 1540984064, 1540984319, 'DE', 'Germany'),
(62342, '91.217.142.0', '91.217.142.255', 1540984320, 1540984575, 'PL', 'Poland'),
(62343, '91.217.143.0', '91.217.143.255', 1540984576, 1540984831, 'RU', 'Russian Federation'),
(62344, '91.217.144.0', '91.217.144.255', 1540984832, 1540985087, 'UA', 'Ukraine'),
(62345, '91.217.145.0', '91.217.145.255', 1540985088, 1540985343, 'DE', 'Germany'),
(62346, '91.217.146.0', '91.217.146.255', 1540985344, 1540985599, 'NL', 'Netherlands'),
(62347, '91.217.147.0', '91.217.147.255', 1540985600, 1540985855, 'TR', 'Turkey'),
(62348, '91.217.148.0', '91.217.148.255', 1540985856, 1540986111, 'BG', 'Bulgaria'),
(62349, '91.217.149.0', '91.217.149.255', 1540986112, 1540986367, 'AT', 'Austria'),
(62350, '91.217.150.0', '91.217.150.255', 1540986368, 1540986623, 'PL', 'Poland'),
(62351, '91.217.151.0', '91.217.151.255', 1540986624, 1540986879, 'FR', 'France'),
(62352, '91.217.152.0', '91.217.152.255', 1540986880, 1540987135, 'PL', 'Poland'),
(62353, '91.217.153.0', '91.217.153.255', 1540987136, 1540987391, 'UA', 'Ukraine'),
(62354, '91.217.154.0', '91.217.154.255', 1540987392, 1540987647, 'FR', 'France'),
(62355, '91.217.155.0', '91.217.155.255', 1540987648, 1540987903, 'GR', 'Greece'),
(62356, '91.217.156.0', '91.217.156.255', 1540987904, 1540988159, 'RU', 'Russian Federation'),
(62357, '91.217.157.0', '91.217.157.255', 1540988160, 1540988415, 'AM', 'Armenia'),
(62358, '91.217.158.0', '91.217.158.255', 1540988416, 1540988671, 'PL', 'Poland'),
(62359, '91.217.159.0', '91.217.159.255', 1540988672, 1540988927, 'RU', 'Russian Federation'),
(62360, '91.217.160.0', '91.217.160.255', 1540988928, 1540989183, 'GB', 'United Kingdom'),
(62361, '91.217.161.0', '91.217.161.255', 1540989184, 1540989439, 'PL', 'Poland'),
(62362, '91.217.162.0', '91.217.162.255', 1540989440, 1540989695, 'UA', 'Ukraine'),
(62363, '91.217.163.0', '91.217.163.255', 1540989696, 1540989951, 'PL', 'Poland'),
(62364, '91.217.164.0', '91.217.164.255', 1540989952, 1540990207, 'FR', 'France'),
(62365, '91.217.165.0', '91.217.165.255', 1540990208, 1540990463, 'DE', 'Germany'),
(62366, '91.217.166.0', '91.217.167.255', 1540990464, 1540990975, 'UA', 'Ukraine'),
(62367, '91.217.168.0', '91.217.168.255', 1540990976, 1540991231, 'FR', 'France'),
(62368, '91.217.169.0', '91.217.169.255', 1540991232, 1540991487, 'HU', 'Hungary'),
(62369, '91.217.170.0', '91.217.170.255', 1540991488, 1540991743, 'CH', 'Switzerland'),
(62370, '91.217.171.0', '91.217.171.255', 1540991744, 1540991999, 'PL', 'Poland'),
(62371, '91.217.172.0', '91.217.172.255', 1540992000, 1540992255, 'FR', 'France'),
(62372, '91.217.173.0', '91.217.173.255', 1540992256, 1540992511, 'AT', 'Austria'),
(62373, '91.217.174.0', '91.217.176.255', 1540992512, 1540993279, 'DE', 'Germany'),
(62374, '91.217.177.0', '91.217.177.255', 1540993280, 1540993535, 'LB', 'Lebanon'),
(62375, '91.217.178.0', '91.217.178.255', 1540993536, 1540993791, 'SC', 'Seychelles'),
(62376, '91.217.179.0', '91.217.179.255', 1540993792, 1540994047, 'UA', 'Ukraine'),
(62377, '91.217.180.0', '91.217.180.255', 1540994048, 1540994303, 'RU', 'Russian Federation'),
(62378, '91.217.181.0', '91.217.181.255', 1540994304, 1540994559, 'SE', 'Sweden'),
(62379, '91.217.182.0', '91.217.182.255', 1540994560, 1540994815, 'PL', 'Poland'),
(62380, '91.217.183.0', '91.217.183.255', 1540994816, 1540995071, 'UA', 'Ukraine'),
(62381, '91.217.184.0', '91.217.184.255', 1540995072, 1540995327, 'RU', 'Russian Federation'),
(62382, '91.217.185.0', '91.217.185.255', 1540995328, 1540995583, 'IQ', 'Iraq'),
(62383, '91.217.186.0', '91.217.186.255', 1540995584, 1540995839, 'SE', 'Sweden'),
(62384, '91.217.187.0', '91.217.187.255', 1540995840, 1540996095, 'RO', 'Romania'),
(62385, '91.217.188.0', '91.217.188.255', 1540996096, 1540996351, 'DE', 'Germany'),
(62386, '91.217.189.0', '91.217.189.255', 1540996352, 1540996607, 'NL', 'Netherlands'),
(62387, '91.217.190.0', '91.217.190.255', 1540996608, 1540996863, 'RU', 'Russian Federation'),
(62388, '91.217.191.0', '91.217.191.255', 1540996864, 1540997119, 'NL', 'Netherlands'),
(62389, '91.217.192.0', '91.217.192.255', 1540997120, 1540997375, 'RU', 'Russian Federation'),
(62390, '91.217.193.0', '91.217.193.255', 1540997376, 1540997631, 'TR', 'Turkey'),
(62391, '91.217.194.0', '91.217.196.255', 1540997632, 1540998399, 'RU', 'Russian Federation'),
(62392, '91.217.197.0', '91.217.197.255', 1540998400, 1540998655, 'UA', 'Ukraine'),
(62393, '91.217.198.0', '91.217.198.255', 1540998656, 1540998911, 'PL', 'Poland'),
(62394, '91.217.199.0', '91.217.199.255', 1540998912, 1540999167, 'DE', 'Germany'),
(62395, '91.217.200.0', '91.217.200.255', 1540999168, 1540999423, 'RU', 'Russian Federation'),
(62396, '91.217.201.0', '91.217.201.255', 1540999424, 1540999679, 'DK', 'Denmark'),
(62397, '91.217.202.0', '91.217.202.255', 1540999680, 1540999935, 'RU', 'Russian Federation'),
(62398, '91.217.203.0', '91.217.203.255', 1540999936, 1541000191, 'RO', 'Romania'),
(62399, '91.217.204.0', '91.217.204.255', 1541000192, 1541000447, 'PL', 'Poland'),
(62400, '91.217.205.0', '91.217.205.255', 1541000448, 1541000703, 'BG', 'Bulgaria'),
(62401, '91.217.206.0', '91.217.206.255', 1541000704, 1541000959, 'DE', 'Germany'),
(62402, '91.217.207.0', '91.217.207.255', 1541000960, 1541001215, 'RU', 'Russian Federation'),
(62403, '91.217.208.0', '91.217.208.255', 1541001216, 1541001471, 'PL', 'Poland'),
(62404, '91.217.209.0', '91.217.209.255', 1541001472, 1541001727, 'SE', 'Sweden'),
(62405, '91.217.210.0', '91.217.210.255', 1541001728, 1541001983, 'NL', 'Netherlands'),
(62406, '91.217.211.0', '91.217.211.255', 1541001984, 1541002239, 'FI', 'Finland'),
(62407, '91.217.212.0', '91.217.212.255', 1541002240, 1541002495, 'RU', 'Russian Federation'),
(62408, '91.217.213.0', '91.217.213.255', 1541002496, 1541002751, 'AT', 'Austria'),
(62409, '91.217.214.0', '91.217.214.255', 1541002752, 1541003007, 'DE', 'Germany'),
(62410, '91.217.215.0', '91.217.215.255', 1541003008, 1541003263, 'BG', 'Bulgaria'),
(62411, '91.217.216.0', '91.217.216.255', 1541003264, 1541003519, 'GB', 'United Kingdom'),
(62412, '91.217.217.0', '91.217.218.255', 1541003520, 1541004031, 'PL', 'Poland'),
(62413, '91.217.219.0', '91.217.219.255', 1541004032, 1541004287, 'IL', 'Israel'),
(62414, '91.217.220.0', '91.217.220.255', 1541004288, 1541004543, 'RU', 'Russian Federation'),
(62415, '91.217.221.0', '91.217.221.255', 1541004544, 1541004799, 'PL', 'Poland'),
(62416, '91.217.222.0', '91.217.222.255', 1541004800, 1541005055, 'SI', 'Slovenia'),
(62417, '91.217.223.0', '91.217.223.255', 1541005056, 1541005311, 'NL', 'Netherlands'),
(62418, '91.217.224.0', '91.217.224.255', 1541005312, 1541005567, 'PL', 'Poland'),
(62419, '91.217.225.0', '91.217.226.255', 1541005568, 1541006079, 'AT', 'Austria'),
(62420, '91.217.227.0', '91.217.227.255', 1541006080, 1541006335, 'RU', 'Russian Federation'),
(62421, '91.217.228.0', '91.217.228.255', 1541006336, 1541006591, 'PL', 'Poland'),
(62422, '91.217.229.0', '91.217.229.255', 1541006592, 1541006847, 'AT', 'Austria'),
(62423, '91.217.230.0', '91.217.230.255', 1541006848, 1541007103, 'DE', 'Germany'),
(62424, '91.217.231.0', '91.217.231.255', 1541007104, 1541007359, 'GB', 'United Kingdom'),
(62425, '91.217.232.0', '91.217.232.255', 1541007360, 1541007615, 'DE', 'Germany'),
(62426, '91.217.233.0', '91.217.233.255', 1541007616, 1541007871, 'RU', 'Russian Federation'),
(62427, '91.217.234.0', '91.217.234.255', 1541007872, 1541008127, 'FR', 'France'),
(62428, '91.217.235.0', '91.217.235.255', 1541008128, 1541008383, 'NL', 'Netherlands'),
(62429, '91.217.236.0', '91.217.236.255', 1541008384, 1541008639, 'RU', 'Russian Federation'),
(62430, '91.217.237.0', '91.217.237.255', 1541008640, 1541008895, 'GB', 'United Kingdom'),
(62431, '91.217.238.0', '91.217.238.255', 1541008896, 1541009151, 'TR', 'Turkey'),
(62432, '91.217.239.0', '91.217.239.255', 1541009152, 1541009407, 'RU', 'Russian Federation'),
(62433, '91.217.240.0', '91.217.240.255', 1541009408, 1541009663, 'UA', 'Ukraine'),
(62434, '91.217.241.0', '91.217.241.255', 1541009664, 1541009919, 'CH', 'Switzerland'),
(62435, '91.217.242.0', '91.217.242.255', 1541009920, 1541010175, 'PL', 'Poland'),
(62436, '91.217.243.0', '91.217.243.255', 1541010176, 1541010431, 'GR', 'Greece'),
(62437, '91.217.244.0', '91.217.244.255', 1541010432, 1541010687, 'UA', 'Ukraine'),
(62438, '91.217.245.0', '91.217.245.255', 1541010688, 1541010943, 'GB', 'United Kingdom'),
(62439, '91.217.246.0', '91.217.246.255', 1541010944, 1541011199, 'CY', 'Cyprus'),
(62440, '91.217.247.0', '91.217.247.255', 1541011200, 1541011455, 'CH', 'Switzerland'),
(62441, '91.217.248.0', '91.217.248.255', 1541011456, 1541011711, 'FI', 'Finland'),
(62442, '91.217.249.0', '91.217.250.255', 1541011712, 1541012223, 'RU', 'Russian Federation'),
(62443, '91.217.251.0', '91.217.251.255', 1541012224, 1541012479, 'DE', 'Germany'),
(62444, '91.217.252.0', '91.217.252.255', 1541012480, 1541012735, 'FI', 'Finland'),
(62445, '91.217.253.0', '91.217.254.255', 1541012736, 1541013247, 'UA', 'Ukraine'),
(62446, '91.217.255.0', '91.217.255.255', 1541013248, 1541013503, 'SI', 'Slovenia'),
(62447, '91.218.0.0', '91.218.3.255', 1541013504, 1541014527, 'RO', 'Romania'),
(62448, '91.218.4.0', '91.218.7.255', 1541014528, 1541015551, 'AM', 'Armenia'),
(62449, '91.218.8.0', '91.218.11.255', 1541015552, 1541016575, 'RU', 'Russian Federation'),
(62450, '91.218.12.0', '91.218.19.255', 1541016576, 1541018623, 'UA', 'Ukraine'),
(62451, '91.218.20.0', '91.218.23.255', 1541018624, 1541019647, 'ES', 'Spain'),
(62452, '91.218.24.0', '91.218.27.255', 1541019648, 1541020671, 'RU', 'Russian Federation'),
(62453, '91.218.28.0', '91.218.39.255', 1541020672, 1541023743, 'UA', 'Ukraine'),
(62454, '91.218.40.0', '91.218.43.255', 1541023744, 1541024767, 'RU', 'Russian Federation'),
(62455, '91.218.44.0', '91.218.51.255', 1541024768, 1541026815, 'UA', 'Ukraine'),
(62456, '91.218.52.0', '91.218.55.255', 1541026816, 1541027839, 'LV', 'Latvia'),
(62457, '91.218.56.0', '91.218.59.255', 1541027840, 1541028863, 'RU', 'Russian Federation'),
(62458, '91.218.60.0', '91.218.63.255', 1541028864, 1541029887, 'PL', 'Poland'),
(62459, '91.218.64.0', '91.218.67.255', 1541029888, 1541030911, 'UA', 'Ukraine'),
(62460, '91.218.68.0', '91.218.71.255', 1541030912, 1541031935, 'PL', 'Poland'),
(62461, '91.218.72.0', '91.218.75.255', 1541031936, 1541032959, 'UA', 'Ukraine'),
(62462, '91.218.76.0', '91.218.79.255', 1541032960, 1541033983, 'PL', 'Poland'),
(62463, '91.218.80.0', '91.218.83.255', 1541033984, 1541035007, 'BG', 'Bulgaria'),
(62464, '91.218.84.0', '91.218.87.255', 1541035008, 1541036031, 'RU', 'Russian Federation'),
(62465, '91.218.88.0', '91.218.91.255', 1541036032, 1541037055, 'UA', 'Ukraine'),
(62466, '91.218.92.0', '91.218.95.255', 1541037056, 1541038079, 'RU', 'Russian Federation'),
(62467, '91.218.96.0', '91.218.99.255', 1541038080, 1541039103, 'UA', 'Ukraine'),
(62468, '91.218.100.0', '91.218.103.255', 1541039104, 1541040127, 'RU', 'Russian Federation'),
(62469, '91.218.104.0', '91.218.107.255', 1541040128, 1541041151, 'UA', 'Ukraine'),
(62470, '91.218.108.0', '91.218.111.255', 1541041152, 1541042175, 'RU', 'Russian Federation'),
(62471, '91.218.112.0', '91.218.115.255', 1541042176, 1541043199, 'DE', 'Germany'),
(62472, '91.218.116.0', '91.218.119.255', 1541043200, 1541044223, 'RU', 'Russian Federation'),
(62473, '91.218.120.0', '91.218.123.255', 1541044224, 1541045247, 'US', 'United States'),
(62474, '91.218.124.0', '91.218.127.255', 1541045248, 1541046271, 'NL', 'Netherlands'),
(62475, '91.218.128.0', '91.218.147.255', 1541046272, 1541051391, 'RU', 'Russian Federation'),
(62476, '91.218.148.0', '91.218.151.255', 1541051392, 1541052415, 'NL', 'Netherlands'),
(62477, '91.218.152.0', '91.218.155.255', 1541052416, 1541053439, 'RO', 'Romania'),
(62478, '91.218.156.0', '91.218.159.255', 1541053440, 1541054463, 'PL', 'Poland'),
(62479, '91.218.160.0', '91.218.163.255', 1541054464, 1541055487, 'RU', 'Russian Federation'),
(62480, '91.218.164.0', '91.218.167.255', 1541055488, 1541056511, 'PL', 'Poland'),
(62481, '91.218.168.0', '91.218.171.255', 1541056512, 1541057535, 'TJ', 'Tajikistan'),
(62482, '91.218.172.0', '91.218.175.255', 1541057536, 1541058559, 'RS', 'Serbia'),
(62483, '91.218.176.0', '91.218.179.255', 1541058560, 1541059583, 'RU', 'Russian Federation'),
(62484, '91.218.180.0', '91.218.183.255', 1541059584, 1541060607, 'AM', 'Armenia'),
(62485, '91.218.184.0', '91.218.187.255', 1541060608, 1541061631, 'NO', 'Norway'),
(62486, '91.218.188.0', '91.218.191.255', 1541061632, 1541062655, 'CZ', 'Czech Republic'),
(62487, '91.218.192.0', '91.218.195.255', 1541062656, 1541063679, 'UA', 'Ukraine'),
(62488, '91.218.196.0', '91.218.203.255', 1541063680, 1541065727, 'PL', 'Poland'),
(62489, '91.218.204.0', '91.218.207.255', 1541065728, 1541066751, 'NL', 'Netherlands'),
(62490, '91.218.208.0', '91.218.211.255', 1541066752, 1541067775, 'PL', 'Poland'),
(62491, '91.218.212.0', '91.218.215.255', 1541067776, 1541068799, 'UA', 'Ukraine'),
(62492, '91.218.216.0', '91.218.219.255', 1541068800, 1541069823, 'PL', 'Poland'),
(62493, '91.218.220.0', '91.218.223.255', 1541069824, 1541070847, 'RU', 'Russian Federation'),
(62494, '91.218.224.0', '91.218.227.255', 1541070848, 1541071871, 'IT', 'Italy'),
(62495, '91.218.228.0', '91.218.231.255', 1541071872, 1541072895, 'RU', 'Russian Federation'),
(62496, '91.218.232.0', '91.218.235.255', 1541072896, 1541073919, 'CZ', 'Czech Republic'),
(62497, '91.218.236.0', '91.218.239.255', 1541073920, 1541074943, 'RO', 'Romania'),
(62498, '91.218.240.0', '91.218.243.255', 1541074944, 1541075967, 'PL', 'Poland'),
(62499, '91.218.244.0', '91.218.251.255', 1541075968, 1541078015, 'RU', 'Russian Federation'),
(62500, '91.218.252.0', '91.218.255.255', 1541078016, 1541079039, 'RO', 'Romania'),
(62501, '91.219.0.0', '91.219.3.255', 1541079040, 1541080063, 'PL', 'Poland'),
(62502, '91.219.4.0', '91.219.7.255', 1541080064, 1541081087, 'RU', 'Russian Federation'),
(62503, '91.219.8.0', '91.219.11.255', 1541081088, 1541082111, 'DE', 'Germany'),
(62504, '91.219.12.0', '91.219.15.255', 1541082112, 1541083135, 'RU', 'Russian Federation'),
(62505, '91.219.16.0', '91.219.19.255', 1541083136, 1541084159, 'RO', 'Romania'),
(62506, '91.219.20.0', '91.219.27.255', 1541084160, 1541086207, 'RU', 'Russian Federation'),
(62507, '91.219.28.0', '91.219.35.255', 1541086208, 1541088255, 'UA', 'Ukraine'),
(62508, '91.219.36.0', '91.219.39.255', 1541088256, 1541089279, 'RU', 'Russian Federation'),
(62509, '91.219.40.0', '91.219.43.255', 1541089280, 1541090303, 'GB', 'United Kingdom'),
(62510, '91.219.44.0', '91.219.47.255', 1541090304, 1541091327, 'CZ', 'Czech Republic'),
(62511, '91.219.48.0', '91.219.51.255', 1541091328, 1541092351, 'RU', 'Russian Federation'),
(62512, '91.219.52.0', '91.219.55.255', 1541092352, 1541093375, 'UA', 'Ukraine'),
(62513, '91.219.56.0', '91.219.59.255', 1541093376, 1541094399, 'RU', 'Russian Federation'),
(62514, '91.219.60.0', '91.219.63.255', 1541094400, 1541095423, 'UA', 'Ukraine');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(62515, '91.219.64.0', '91.219.67.255', 1541095424, 1541096447, 'RU', 'Russian Federation'),
(62516, '91.219.68.0', '91.219.71.255', 1541096448, 1541097471, 'AT', 'Austria'),
(62517, '91.219.72.0', '91.219.75.255', 1541097472, 1541098495, 'RU', 'Russian Federation'),
(62518, '91.219.76.0', '91.219.79.255', 1541098496, 1541099519, 'NL', 'Netherlands'),
(62519, '91.219.80.0', '91.219.83.255', 1541099520, 1541100543, 'UA', 'Ukraine'),
(62520, '91.219.84.0', '91.219.87.255', 1541100544, 1541101567, 'HU', 'Hungary'),
(62521, '91.219.88.0', '91.219.91.255', 1541101568, 1541102591, 'RU', 'Russian Federation'),
(62522, '91.219.92.0', '91.219.95.255', 1541102592, 1541103615, 'RO', 'Romania'),
(62523, '91.219.96.0', '91.219.103.255', 1541103616, 1541105663, 'RU', 'Russian Federation'),
(62524, '91.219.104.0', '91.219.107.255', 1541105664, 1541106687, 'PL', 'Poland'),
(62525, '91.219.108.0', '91.219.111.255', 1541106688, 1541107711, 'NL', 'Netherlands'),
(62526, '91.219.112.0', '91.219.115.255', 1541107712, 1541108735, 'PL', 'Poland'),
(62527, '91.219.116.0', '91.219.119.255', 1541108736, 1541109759, 'ES', 'Spain'),
(62528, '91.219.120.0', '91.219.123.255', 1541109760, 1541110783, 'PL', 'Poland'),
(62529, '91.219.124.0', '91.219.127.255', 1541110784, 1541111807, 'RU', 'Russian Federation'),
(62530, '91.219.128.0', '91.219.131.255', 1541111808, 1541112831, 'PL', 'Poland'),
(62531, '91.219.132.0', '91.219.135.255', 1541112832, 1541113855, 'SK', 'Slovakia'),
(62532, '91.219.136.0', '91.219.139.255', 1541113856, 1541114879, 'RU', 'Russian Federation'),
(62533, '91.219.140.0', '91.219.147.255', 1541114880, 1541116927, 'UA', 'Ukraine'),
(62534, '91.219.148.0', '91.219.151.255', 1541116928, 1541117951, 'RU', 'Russian Federation'),
(62535, '91.219.152.0', '91.219.155.255', 1541117952, 1541118975, 'DK', 'Denmark'),
(62536, '91.219.156.0', '91.219.167.255', 1541118976, 1541122047, 'RU', 'Russian Federation'),
(62537, '91.219.168.0', '91.219.171.255', 1541122048, 1541123071, 'UA', 'Ukraine'),
(62538, '91.219.172.0', '91.219.175.255', 1541123072, 1541124095, 'FI', 'Finland'),
(62539, '91.219.176.0', '91.219.183.255', 1541124096, 1541126143, 'RU', 'Russian Federation'),
(62540, '91.219.184.0', '91.219.187.255', 1541126144, 1541127167, 'PL', 'Poland'),
(62541, '91.219.188.0', '91.219.195.255', 1541127168, 1541129215, 'RU', 'Russian Federation'),
(62542, '91.219.196.0', '91.219.199.255', 1541129216, 1541130239, 'UA', 'Ukraine'),
(62543, '91.219.200.0', '91.219.207.255', 1541130240, 1541132287, 'RU', 'Russian Federation'),
(62544, '91.219.208.0', '91.219.211.255', 1541132288, 1541133311, 'PL', 'Poland'),
(62545, '91.219.212.0', '91.219.215.255', 1541133312, 1541134335, 'RO', 'Romania'),
(62546, '91.219.216.0', '91.219.219.255', 1541134336, 1541135359, 'SE', 'Sweden'),
(62547, '91.219.220.0', '91.219.223.255', 1541135360, 1541136383, 'UA', 'Ukraine'),
(62548, '91.219.224.0', '91.219.231.255', 1541136384, 1541138431, 'RU', 'Russian Federation'),
(62549, '91.219.232.0', '91.219.235.255', 1541138432, 1541139455, 'UA', 'Ukraine'),
(62550, '91.219.236.0', '91.219.239.255', 1541139456, 1541140479, 'HU', 'Hungary'),
(62551, '91.219.240.0', '91.219.247.255', 1541140480, 1541142527, 'CZ', 'Czech Republic'),
(62552, '91.219.248.0', '91.219.251.255', 1541142528, 1541143551, 'RU', 'Russian Federation'),
(62553, '91.219.252.0', '91.219.255.255', 1541143552, 1541144575, 'UA', 'Ukraine'),
(62554, '91.220.0.0', '91.220.0.255', 1541144576, 1541144831, 'PL', 'Poland'),
(62555, '91.220.1.0', '91.220.1.255', 1541144832, 1541145087, 'RU', 'Russian Federation'),
(62556, '91.220.2.0', '91.220.2.255', 1541145088, 1541145343, 'AT', 'Austria'),
(62557, '91.220.3.0', '91.220.3.255', 1541145344, 1541145599, 'UA', 'Ukraine'),
(62558, '91.220.4.0', '91.220.4.255', 1541145600, 1541145855, 'IT', 'Italy'),
(62559, '91.220.5.0', '91.220.5.255', 1541145856, 1541146111, 'RU', 'Russian Federation'),
(62560, '91.220.6.0', '91.220.6.255', 1541146112, 1541146367, 'UA', 'Ukraine'),
(62561, '91.220.7.0', '91.220.7.255', 1541146368, 1541146623, 'DK', 'Denmark'),
(62562, '91.220.8.0', '91.220.8.255', 1541146624, 1541146879, 'AT', 'Austria'),
(62563, '91.220.9.0', '91.220.9.255', 1541146880, 1541147135, 'IL', 'Israel'),
(62564, '91.220.10.0', '91.220.10.255', 1541147136, 1541147391, 'PL', 'Poland'),
(62565, '91.220.11.0', '91.220.12.255', 1541147392, 1541147903, 'RU', 'Russian Federation'),
(62566, '91.220.13.0', '91.220.14.255', 1541147904, 1541148415, 'RO', 'Romania'),
(62567, '91.220.15.0', '91.220.15.255', 1541148416, 1541148671, 'US', 'United States'),
(62568, '91.220.16.0', '91.220.16.255', 1541148672, 1541148927, 'RU', 'Russian Federation'),
(62569, '91.220.17.0', '91.220.18.255', 1541148928, 1541149439, 'PL', 'Poland'),
(62570, '91.220.19.0', '91.220.19.255', 1541149440, 1541149695, 'SE', 'Sweden'),
(62571, '91.220.20.0', '91.220.20.255', 1541149696, 1541149951, 'LT', 'Lithuania'),
(62572, '91.220.21.0', '91.220.21.255', 1541149952, 1541150207, 'NL', 'Netherlands'),
(62573, '91.220.22.0', '91.220.22.255', 1541150208, 1541150463, 'IL', 'Israel'),
(62574, '91.220.23.0', '91.220.23.255', 1541150464, 1541150719, 'CH', 'Switzerland'),
(62575, '91.220.24.0', '91.220.25.255', 1541150720, 1541151231, 'GB', 'United Kingdom'),
(62576, '91.220.26.0', '91.220.26.255', 1541151232, 1541151487, 'RO', 'Romania'),
(62577, '91.220.27.0', '91.220.27.255', 1541151488, 1541151743, 'FR', 'France'),
(62578, '91.220.28.0', '91.220.28.255', 1541151744, 1541151999, 'NL', 'Netherlands'),
(62579, '91.220.29.0', '91.220.29.255', 1541152000, 1541152255, 'HU', 'Hungary'),
(62580, '91.220.30.0', '91.220.30.255', 1541152256, 1541152511, 'NL', 'Netherlands'),
(62581, '91.220.31.0', '91.220.31.255', 1541152512, 1541152767, 'RU', 'Russian Federation'),
(62582, '91.220.32.0', '91.220.32.255', 1541152768, 1541153023, 'PL', 'Poland'),
(62583, '91.220.33.0', '91.220.33.255', 1541153024, 1541153279, 'RU', 'Russian Federation'),
(62584, '91.220.34.0', '91.220.34.255', 1541153280, 1541153535, 'DE', 'Germany'),
(62585, '91.220.35.0', '91.220.35.255', 1541153536, 1541153791, 'RO', 'Romania'),
(62586, '91.220.36.0', '91.220.36.255', 1541153792, 1541154047, 'DE', 'Germany'),
(62587, '91.220.37.0', '91.220.37.255', 1541154048, 1541154303, 'NL', 'Netherlands'),
(62588, '91.220.38.0', '91.220.38.255', 1541154304, 1541154559, 'RU', 'Russian Federation'),
(62589, '91.220.39.0', '91.220.39.255', 1541154560, 1541154815, 'PL', 'Poland'),
(62590, '91.220.40.0', '91.220.40.255', 1541154816, 1541155071, 'CH', 'Switzerland'),
(62591, '91.220.41.0', '91.220.41.255', 1541155072, 1541155327, 'CY', 'Cyprus'),
(62592, '91.220.42.0', '91.220.42.255', 1541155328, 1541155583, 'GB', 'United Kingdom'),
(62593, '91.220.43.0', '91.220.43.255', 1541155584, 1541155839, 'LV', 'Latvia'),
(62594, '91.220.44.0', '91.220.44.255', 1541155840, 1541156095, 'PL', 'Poland'),
(62595, '91.220.45.0', '91.220.45.255', 1541156096, 1541156351, 'IE', 'Ireland'),
(62596, '91.220.46.0', '91.220.46.255', 1541156352, 1541156607, 'RU', 'Russian Federation'),
(62597, '91.220.47.0', '91.220.47.255', 1541156608, 1541156863, 'SE', 'Sweden'),
(62598, '91.220.48.0', '91.220.48.255', 1541156864, 1541157119, 'RO', 'Romania'),
(62599, '91.220.49.0', '91.220.49.255', 1541157120, 1541157375, 'DE', 'Germany'),
(62600, '91.220.50.0', '91.220.50.255', 1541157376, 1541157631, 'TR', 'Turkey'),
(62601, '91.220.51.0', '91.220.51.255', 1541157632, 1541157887, 'KZ', 'Kazakhstan'),
(62602, '91.220.52.0', '91.220.52.255', 1541157888, 1541158143, 'GB', 'United Kingdom'),
(62603, '91.220.53.0', '91.220.53.255', 1541158144, 1541158399, 'NL', 'Netherlands'),
(62604, '91.220.54.0', '91.220.54.255', 1541158400, 1541158655, 'PL', 'Poland'),
(62605, '91.220.55.0', '91.220.55.255', 1541158656, 1541158911, 'SI', 'Slovenia'),
(62606, '91.220.56.0', '91.220.56.255', 1541158912, 1541159167, 'DE', 'Germany'),
(62607, '91.220.57.0', '91.220.57.255', 1541159168, 1541159423, 'RU', 'Russian Federation'),
(62608, '91.220.58.0', '91.220.58.255', 1541159424, 1541159679, 'SE', 'Sweden'),
(62609, '91.220.59.0', '91.220.59.255', 1541159680, 1541159935, 'LT', 'Lithuania'),
(62610, '91.220.60.0', '91.220.61.255', 1541159936, 1541160447, 'UA', 'Ukraine'),
(62611, '91.220.62.0', '91.220.62.255', 1541160448, 1541160703, 'RU', 'Russian Federation'),
(62612, '91.220.63.0', '91.220.63.255', 1541160704, 1541160959, 'MD', 'Moldova, Republic of'),
(62613, '91.220.64.0', '91.220.64.255', 1541160960, 1541161215, 'CH', 'Switzerland'),
(62614, '91.220.65.0', '91.220.65.255', 1541161216, 1541161471, 'TR', 'Turkey'),
(62615, '91.220.66.0', '91.220.66.255', 1541161472, 1541161727, 'ES', 'Spain'),
(62616, '91.220.67.0', '91.220.67.255', 1541161728, 1541161983, 'DE', 'Germany'),
(62617, '91.220.68.0', '91.220.68.255', 1541161984, 1541162239, 'BE', 'Belgium'),
(62618, '91.220.69.0', '91.220.69.255', 1541162240, 1541162495, 'RU', 'Russian Federation'),
(62619, '91.220.70.0', '91.220.70.255', 1541162496, 1541162751, 'GB', 'United Kingdom'),
(62620, '91.220.71.0', '91.220.71.255', 1541162752, 1541163007, 'DE', 'Germany'),
(62621, '91.220.72.0', '91.220.72.255', 1541163008, 1541163263, 'RO', 'Romania'),
(62622, '91.220.73.0', '91.220.73.255', 1541163264, 1541163519, 'PL', 'Poland'),
(62623, '91.220.74.0', '91.220.74.255', 1541163520, 1541163775, 'DE', 'Germany'),
(62624, '91.220.75.0', '91.220.75.255', 1541163776, 1541164031, 'RO', 'Romania'),
(62625, '91.220.76.0', '91.220.76.255', 1541164032, 1541164287, 'RU', 'Russian Federation'),
(62626, '91.220.77.0', '91.220.77.255', 1541164288, 1541164543, 'HR', 'Croatia'),
(62627, '91.220.78.0', '91.220.78.255', 1541164544, 1541164799, 'SI', 'Slovenia'),
(62628, '91.220.79.0', '91.220.79.255', 1541164800, 1541165055, 'IR', 'Iran, Islamic Republic of'),
(62629, '91.220.80.0', '91.220.80.255', 1541165056, 1541165311, 'UA', 'Ukraine'),
(62630, '91.220.81.0', '91.220.81.255', 1541165312, 1541165567, 'RU', 'Russian Federation'),
(62631, '91.220.82.0', '91.220.82.255', 1541165568, 1541165823, 'NL', 'Netherlands'),
(62632, '91.220.83.0', '91.220.83.255', 1541165824, 1541166079, 'GB', 'United Kingdom'),
(62633, '91.220.84.0', '91.220.84.255', 1541166080, 1541166335, 'RU', 'Russian Federation'),
(62634, '91.220.85.0', '91.220.85.255', 1541166336, 1541166591, 'FR', 'France'),
(62635, '91.220.86.0', '91.220.86.255', 1541166592, 1541166847, 'RO', 'Romania'),
(62636, '91.220.87.0', '91.220.87.255', 1541166848, 1541167103, 'RU', 'Russian Federation'),
(62637, '91.220.88.0', '91.220.88.255', 1541167104, 1541167359, 'NL', 'Netherlands'),
(62638, '91.220.89.0', '91.220.89.255', 1541167360, 1541167615, 'AT', 'Austria'),
(62639, '91.220.90.0', '91.220.90.255', 1541167616, 1541167871, 'RU', 'Russian Federation'),
(62640, '91.220.91.0', '91.220.91.255', 1541167872, 1541168127, 'UA', 'Ukraine'),
(62641, '91.220.92.0', '91.220.93.255', 1541168128, 1541168639, 'RU', 'Russian Federation'),
(62642, '91.220.94.0', '91.220.94.255', 1541168640, 1541168895, 'MD', 'Moldova, Republic of'),
(62643, '91.220.95.0', '91.220.95.255', 1541168896, 1541169151, 'MK', 'Macedonia'),
(62644, '91.220.96.0', '91.220.96.255', 1541169152, 1541169407, 'RO', 'Romania'),
(62645, '91.220.97.0', '91.220.97.255', 1541169408, 1541169663, 'PL', 'Poland'),
(62646, '91.220.98.0', '91.220.98.255', 1541169664, 1541169919, 'SE', 'Sweden'),
(62647, '91.220.99.0', '91.220.100.255', 1541169920, 1541170431, 'CH', 'Switzerland'),
(62648, '91.220.101.0', '91.220.101.255', 1541170432, 1541170687, 'NL', 'Netherlands'),
(62649, '91.220.102.0', '91.220.102.255', 1541170688, 1541170943, 'BE', 'Belgium'),
(62650, '91.220.103.0', '91.220.103.255', 1541170944, 1541171199, 'PL', 'Poland'),
(62651, '91.220.104.0', '91.220.104.255', 1541171200, 1541171455, 'UA', 'Ukraine'),
(62652, '91.220.105.0', '91.220.105.255', 1541171456, 1541171711, 'PL', 'Poland'),
(62653, '91.220.106.0', '91.220.106.255', 1541171712, 1541171967, 'UA', 'Ukraine'),
(62654, '91.220.107.0', '91.220.107.255', 1541171968, 1541172223, 'SI', 'Slovenia'),
(62655, '91.220.108.0', '91.220.108.255', 1541172224, 1541172479, 'GR', 'Greece'),
(62656, '91.220.109.0', '91.220.109.255', 1541172480, 1541172735, 'RU', 'Russian Federation'),
(62657, '91.220.110.0', '91.220.110.255', 1541172736, 1541172991, 'IS', 'Iceland'),
(62658, '91.220.111.0', '91.220.111.255', 1541172992, 1541173247, 'BE', 'Belgium'),
(62659, '91.220.112.0', '91.220.112.255', 1541173248, 1541173503, 'RU', 'Russian Federation'),
(62660, '91.220.113.0', '91.220.113.255', 1541173504, 1541173759, 'UA', 'Ukraine'),
(62661, '91.220.114.0', '91.220.114.255', 1541173760, 1541174015, 'LT', 'Lithuania'),
(62662, '91.220.115.0', '91.220.115.255', 1541174016, 1541174271, 'DE', 'Germany'),
(62663, '91.220.116.0', '91.220.116.255', 1541174272, 1541174527, 'FR', 'France'),
(62664, '91.220.117.0', '91.220.117.255', 1541174528, 1541174783, 'SE', 'Sweden'),
(62665, '91.220.118.0', '91.220.118.255', 1541174784, 1541175039, 'GB', 'United Kingdom'),
(62666, '91.220.119.0', '91.220.119.255', 1541175040, 1541175295, 'SI', 'Slovenia'),
(62667, '91.220.120.0', '91.220.120.255', 1541175296, 1541175551, 'RU', 'Russian Federation'),
(62668, '91.220.121.0', '91.220.121.255', 1541175552, 1541175807, 'RO', 'Romania'),
(62669, '91.220.122.0', '91.220.122.255', 1541175808, 1541176063, 'CZ', 'Czech Republic'),
(62670, '91.220.123.0', '91.220.123.255', 1541176064, 1541176319, 'NL', 'Netherlands'),
(62671, '91.220.124.0', '91.220.124.255', 1541176320, 1541176575, 'AM', 'Armenia'),
(62672, '91.220.125.0', '91.220.125.255', 1541176576, 1541176831, 'DE', 'Germany'),
(62673, '91.220.126.0', '91.220.126.255', 1541176832, 1541177087, 'RU', 'Russian Federation'),
(62674, '91.220.127.0', '91.220.127.255', 1541177088, 1541177343, 'GB', 'United Kingdom'),
(62675, '91.220.128.0', '91.220.128.255', 1541177344, 1541177599, 'CH', 'Switzerland'),
(62676, '91.220.129.0', '91.220.129.255', 1541177600, 1541177855, 'DE', 'Germany'),
(62677, '91.220.130.0', '91.220.130.255', 1541177856, 1541178111, 'RO', 'Romania'),
(62678, '91.220.131.0', '91.220.131.255', 1541178112, 1541178367, 'RU', 'Russian Federation'),
(62679, '91.220.132.0', '91.220.132.255', 1541178368, 1541178623, 'GB', 'United Kingdom'),
(62680, '91.220.133.0', '91.220.133.255', 1541178624, 1541178879, 'RU', 'Russian Federation'),
(62681, '91.220.134.0', '91.220.134.255', 1541178880, 1541179135, 'DE', 'Germany'),
(62682, '91.220.135.0', '91.220.135.255', 1541179136, 1541179391, 'RU', 'Russian Federation'),
(62683, '91.220.136.0', '91.220.136.255', 1541179392, 1541179647, 'BE', 'Belgium'),
(62684, '91.220.137.0', '91.220.137.255', 1541179648, 1541179903, 'RU', 'Russian Federation'),
(62685, '91.220.138.0', '91.220.138.255', 1541179904, 1541180159, 'IS', 'Iceland'),
(62686, '91.220.139.0', '91.220.139.255', 1541180160, 1541180415, 'MT', 'Malta'),
(62687, '91.220.140.0', '91.220.140.255', 1541180416, 1541180671, 'UA', 'Ukraine'),
(62688, '91.220.141.0', '91.220.141.255', 1541180672, 1541180927, 'GB', 'United Kingdom'),
(62689, '91.220.142.0', '91.220.142.255', 1541180928, 1541181183, 'IT', 'Italy'),
(62690, '91.220.143.0', '91.220.143.255', 1541181184, 1541181439, 'NO', 'Norway'),
(62691, '91.220.144.0', '91.220.144.255', 1541181440, 1541181695, 'MD', 'Moldova, Republic of'),
(62692, '91.220.145.0', '91.220.146.255', 1541181696, 1541182207, 'RU', 'Russian Federation'),
(62693, '91.220.147.0', '91.220.147.255', 1541182208, 1541182463, 'NL', 'Netherlands'),
(62694, '91.220.148.0', '91.220.148.255', 1541182464, 1541182719, 'DE', 'Germany'),
(62695, '91.220.149.0', '91.220.149.255', 1541182720, 1541182975, 'RO', 'Romania'),
(62696, '91.220.150.0', '91.220.150.255', 1541182976, 1541183231, 'SE', 'Sweden'),
(62697, '91.220.151.0', '91.220.151.255', 1541183232, 1541183487, 'UA', 'Ukraine'),
(62698, '91.220.152.0', '91.220.152.255', 1541183488, 1541183743, 'RU', 'Russian Federation'),
(62699, '91.220.153.0', '91.220.153.255', 1541183744, 1541183999, 'DE', 'Germany'),
(62700, '91.220.154.0', '91.220.154.255', 1541184000, 1541184255, 'BE', 'Belgium'),
(62701, '91.220.155.0', '91.220.155.255', 1541184256, 1541184511, 'RU', 'Russian Federation'),
(62702, '91.220.156.0', '91.220.156.255', 1541184512, 1541184767, 'SI', 'Slovenia'),
(62703, '91.220.157.0', '91.220.157.255', 1541184768, 1541185023, 'DE', 'Germany'),
(62704, '91.220.158.0', '91.220.158.255', 1541185024, 1541185279, 'ES', 'Spain'),
(62705, '91.220.159.0', '91.220.159.255', 1541185280, 1541185535, 'DE', 'Germany'),
(62706, '91.220.160.0', '91.220.160.255', 1541185536, 1541185791, 'GB', 'United Kingdom'),
(62707, '91.220.161.0', '91.220.161.255', 1541185792, 1541186047, 'UA', 'Ukraine'),
(62708, '91.220.162.0', '91.220.162.255', 1541186048, 1541186303, 'CH', 'Switzerland'),
(62709, '91.220.163.0', '91.220.163.255', 1541186304, 1541186559, 'UA', 'Ukraine'),
(62710, '91.220.164.0', '91.220.164.255', 1541186560, 1541186815, 'PL', 'Poland'),
(62711, '91.220.165.0', '91.220.165.255', 1541186816, 1541187071, 'NO', 'Norway'),
(62712, '91.220.166.0', '91.220.166.255', 1541187072, 1541187327, 'RU', 'Russian Federation'),
(62713, '91.220.167.0', '91.220.167.255', 1541187328, 1541187583, 'RO', 'Romania'),
(62714, '91.220.168.0', '91.220.168.255', 1541187584, 1541187839, 'IT', 'Italy'),
(62715, '91.220.169.0', '91.220.170.255', 1541187840, 1541188351, 'RU', 'Russian Federation'),
(62716, '91.220.171.0', '91.220.171.255', 1541188352, 1541188607, 'FR', 'France'),
(62717, '91.220.172.0', '91.220.172.255', 1541188608, 1541188863, 'HU', 'Hungary'),
(62718, '91.220.173.0', '91.220.173.255', 1541188864, 1541189119, 'RU', 'Russian Federation'),
(62719, '91.220.174.0', '91.220.174.255', 1541189120, 1541189375, 'UA', 'Ukraine'),
(62720, '91.220.175.0', '91.220.175.255', 1541189376, 1541189631, 'GB', 'United Kingdom'),
(62721, '91.220.176.0', '91.220.176.255', 1541189632, 1541189887, 'SC', 'Seychelles'),
(62722, '91.220.177.0', '91.220.177.255', 1541189888, 1541190143, 'PL', 'Poland'),
(62723, '91.220.178.0', '91.220.178.255', 1541190144, 1541190399, 'GB', 'United Kingdom'),
(62724, '91.220.179.0', '91.220.179.255', 1541190400, 1541190655, 'AT', 'Austria'),
(62725, '91.220.180.0', '91.220.180.255', 1541190656, 1541190911, 'GB', 'United Kingdom'),
(62726, '91.220.181.0', '91.220.181.255', 1541190912, 1541191167, 'RU', 'Russian Federation'),
(62727, '91.220.182.0', '91.220.182.255', 1541191168, 1541191423, 'TR', 'Turkey'),
(62728, '91.220.183.0', '91.220.183.255', 1541191424, 1541191679, 'RO', 'Romania'),
(62729, '91.220.184.0', '91.220.185.255', 1541191680, 1541192191, 'NL', 'Netherlands'),
(62730, '91.220.186.0', '91.220.186.255', 1541192192, 1541192447, 'RU', 'Russian Federation'),
(62731, '91.220.187.0', '91.220.187.255', 1541192448, 1541192703, 'ME', 'Montenegro'),
(62732, '91.220.188.0', '91.220.188.255', 1541192704, 1541192959, 'RU', 'Russian Federation'),
(62733, '91.220.189.0', '91.220.189.255', 1541192960, 1541193215, 'BG', 'Bulgaria'),
(62734, '91.220.190.0', '91.220.190.255', 1541193216, 1541193471, 'UA', 'Ukraine'),
(62735, '91.220.191.0', '91.220.191.255', 1541193472, 1541193727, 'BE', 'Belgium'),
(62736, '91.220.192.0', '91.220.192.255', 1541193728, 1541193983, 'SE', 'Sweden'),
(62737, '91.220.193.0', '91.220.193.255', 1541193984, 1541194239, 'IL', 'Israel'),
(62738, '91.220.194.0', '91.220.194.255', 1541194240, 1541194495, 'SI', 'Slovenia'),
(62739, '91.220.195.0', '91.220.195.255', 1541194496, 1541194751, 'JO', 'Jordan'),
(62740, '91.220.196.0', '91.220.196.255', 1541194752, 1541195007, 'NO', 'Norway'),
(62741, '91.220.197.0', '91.220.197.255', 1541195008, 1541195263, 'FR', 'France'),
(62742, '91.220.198.0', '91.220.198.255', 1541195264, 1541195519, 'UA', 'Ukraine'),
(62743, '91.220.199.0', '91.220.199.255', 1541195520, 1541195775, 'GB', 'United Kingdom'),
(62744, '91.220.200.0', '91.220.200.255', 1541195776, 1541196031, 'FR', 'France'),
(62745, '91.220.201.0', '91.220.201.255', 1541196032, 1541196287, 'CZ', 'Czech Republic'),
(62746, '91.220.202.0', '91.220.202.255', 1541196288, 1541196543, 'RU', 'Russian Federation'),
(62747, '91.220.203.0', '91.220.204.255', 1541196544, 1541197055, 'UA', 'Ukraine'),
(62748, '91.220.205.0', '91.220.205.255', 1541197056, 1541197311, 'PL', 'Poland'),
(62749, '91.220.206.0', '91.220.206.255', 1541197312, 1541197567, 'RU', 'Russian Federation'),
(62750, '91.220.207.0', '91.220.207.255', 1541197568, 1541197823, 'MD', 'Moldova, Republic of'),
(62751, '91.220.208.0', '91.220.208.255', 1541197824, 1541198079, 'GR', 'Greece'),
(62752, '91.220.209.0', '91.220.209.255', 1541198080, 1541198335, 'LT', 'Lithuania'),
(62753, '91.220.210.0', '91.220.210.255', 1541198336, 1541198591, 'AT', 'Austria'),
(62754, '91.220.211.0', '91.220.211.255', 1541198592, 1541198847, 'RU', 'Russian Federation'),
(62755, '91.220.212.0', '91.220.212.255', 1541198848, 1541199103, 'GB', 'United Kingdom'),
(62756, '91.220.213.0', '91.220.213.255', 1541199104, 1541199359, 'SI', 'Slovenia'),
(62757, '91.220.214.0', '91.220.214.255', 1541199360, 1541199615, 'GB', 'United Kingdom'),
(62758, '91.220.215.0', '91.220.215.255', 1541199616, 1541199871, 'RU', 'Russian Federation'),
(62759, '91.220.216.0', '91.220.216.255', 1541199872, 1541200127, 'GB', 'United Kingdom'),
(62760, '91.220.217.0', '91.220.217.255', 1541200128, 1541200383, 'NO', 'Norway'),
(62761, '91.220.218.0', '91.220.220.255', 1541200384, 1541201151, 'RU', 'Russian Federation'),
(62762, '91.220.221.0', '91.220.221.255', 1541201152, 1541201407, 'SI', 'Slovenia'),
(62763, '91.220.222.0', '91.220.222.255', 1541201408, 1541201663, 'PL', 'Poland'),
(62764, '91.220.223.0', '91.220.223.255', 1541201664, 1541201919, 'RU', 'Russian Federation'),
(62765, '91.220.224.0', '91.220.224.255', 1541201920, 1541202175, 'IE', 'Ireland'),
(62766, '91.220.225.0', '91.220.225.255', 1541202176, 1541202431, 'PL', 'Poland'),
(62767, '91.220.226.0', '91.220.226.255', 1541202432, 1541202687, 'ES', 'Spain'),
(62768, '91.220.227.0', '91.220.227.255', 1541202688, 1541202943, 'SE', 'Sweden'),
(62769, '91.220.228.0', '91.220.228.255', 1541202944, 1541203199, 'DE', 'Germany'),
(62770, '91.220.229.0', '91.220.229.255', 1541203200, 1541203455, 'ES', 'Spain'),
(62771, '91.220.230.0', '91.220.230.255', 1541203456, 1541203711, 'UA', 'Ukraine'),
(62772, '91.220.231.0', '91.220.231.255', 1541203712, 1541203967, 'GB', 'United Kingdom'),
(62773, '91.220.232.0', '91.220.232.255', 1541203968, 1541204223, 'RO', 'Romania'),
(62774, '91.220.233.0', '91.220.233.255', 1541204224, 1541204479, 'RU', 'Russian Federation'),
(62775, '91.220.234.0', '91.220.234.255', 1541204480, 1541204735, 'GB', 'United Kingdom'),
(62776, '91.220.235.0', '91.220.235.255', 1541204736, 1541204991, 'UA', 'Ukraine'),
(62777, '91.220.236.0', '91.220.236.255', 1541204992, 1541205247, 'GR', 'Greece'),
(62778, '91.220.237.0', '91.220.237.255', 1541205248, 1541205503, 'SK', 'Slovakia'),
(62779, '91.220.238.0', '91.220.238.255', 1541205504, 1541205759, 'PL', 'Poland'),
(62780, '91.220.239.0', '91.220.239.255', 1541205760, 1541206015, 'AT', 'Austria'),
(62781, '91.220.240.0', '91.220.240.255', 1541206016, 1541206271, 'SI', 'Slovenia'),
(62782, '91.220.241.0', '91.220.241.255', 1541206272, 1541206527, 'FI', 'Finland'),
(62783, '91.220.242.0', '91.220.242.255', 1541206528, 1541206783, 'TR', 'Turkey'),
(62784, '91.220.243.0', '91.220.243.255', 1541206784, 1541207039, 'NO', 'Norway'),
(62785, '91.220.244.0', '91.220.244.255', 1541207040, 1541207295, 'DE', 'Germany'),
(62786, '91.220.245.0', '91.220.246.255', 1541207296, 1541207807, 'FR', 'France'),
(62787, '91.220.247.0', '91.220.247.255', 1541207808, 1541208063, 'HU', 'Hungary'),
(62788, '91.220.248.0', '91.220.248.255', 1541208064, 1541208319, 'FR', 'France'),
(62789, '91.220.249.0', '91.220.249.255', 1541208320, 1541208575, 'NL', 'Netherlands'),
(62790, '91.220.250.0', '91.220.250.255', 1541208576, 1541208831, 'BY', 'Belarus'),
(62791, '91.220.251.0', '91.220.251.255', 1541208832, 1541209087, 'HU', 'Hungary'),
(62792, '91.220.252.0', '91.220.253.255', 1541209088, 1541209599, 'UA', 'Ukraine'),
(62793, '91.220.254.0', '91.220.254.255', 1541209600, 1541209855, 'SE', 'Sweden'),
(62794, '91.220.255.0', '91.220.255.255', 1541209856, 1541210111, 'UA', 'Ukraine'),
(62795, '91.221.0.0', '91.221.1.255', 1541210112, 1541210623, 'RU', 'Russian Federation'),
(62796, '91.221.2.0', '91.221.3.255', 1541210624, 1541211135, 'CZ', 'Czech Republic'),
(62797, '91.221.4.0', '91.221.5.255', 1541211136, 1541211647, 'SK', 'Slovakia'),
(62798, '91.221.6.0', '91.221.7.255', 1541211648, 1541212159, 'UA', 'Ukraine'),
(62799, '91.221.8.0', '91.221.9.255', 1541212160, 1541212671, 'DE', 'Germany'),
(62800, '91.221.10.0', '91.221.11.255', 1541212672, 1541213183, 'MT', 'Malta'),
(62801, '91.221.12.0', '91.221.13.255', 1541213184, 1541213695, 'DE', 'Germany'),
(62802, '91.221.14.0', '91.221.15.255', 1541213696, 1541214207, 'UA', 'Ukraine'),
(62803, '91.221.16.0', '91.221.21.255', 1541214208, 1541215743, 'RU', 'Russian Federation'),
(62804, '91.221.22.0', '91.221.23.255', 1541215744, 1541216255, 'SA', 'Saudi Arabia'),
(62805, '91.221.24.0', '91.221.25.255', 1541216256, 1541216767, 'RU', 'Russian Federation'),
(62806, '91.221.26.0', '91.221.27.255', 1541216768, 1541217279, 'PL', 'Poland'),
(62807, '91.221.28.0', '91.221.31.255', 1541217280, 1541218303, 'RU', 'Russian Federation'),
(62808, '91.221.32.0', '91.221.33.255', 1541218304, 1541218815, 'IT', 'Italy'),
(62809, '91.221.34.0', '91.221.37.255', 1541218816, 1541219839, 'RU', 'Russian Federation'),
(62810, '91.221.38.0', '91.221.39.255', 1541219840, 1541220351, 'CZ', 'Czech Republic'),
(62811, '91.221.40.0', '91.221.43.255', 1541220352, 1541221375, 'RU', 'Russian Federation'),
(62812, '91.221.44.0', '91.221.45.255', 1541221376, 1541221887, 'PL', 'Poland'),
(62813, '91.221.46.0', '91.221.47.255', 1541221888, 1541222399, 'CZ', 'Czech Republic'),
(62814, '91.221.48.0', '91.221.49.255', 1541222400, 1541222911, 'RU', 'Russian Federation'),
(62815, '91.221.50.0', '91.221.51.255', 1541222912, 1541223423, 'DK', 'Denmark'),
(62816, '91.221.52.0', '91.221.53.255', 1541223424, 1541223935, 'UA', 'Ukraine'),
(62817, '91.221.54.0', '91.221.55.255', 1541223936, 1541224447, 'GB', 'United Kingdom'),
(62818, '91.221.56.0', '91.221.57.255', 1541224448, 1541224959, 'RU', 'Russian Federation'),
(62819, '91.221.58.0', '91.221.59.255', 1541224960, 1541225471, 'DE', 'Germany'),
(62820, '91.221.60.0', '91.221.61.255', 1541225472, 1541225983, 'RU', 'Russian Federation'),
(62821, '91.221.62.0', '91.221.63.255', 1541225984, 1541226495, 'LV', 'Latvia'),
(62822, '91.221.64.0', '91.221.65.255', 1541226496, 1541227007, 'UA', 'Ukraine'),
(62823, '91.221.66.0', '91.221.67.255', 1541227008, 1541227519, 'FI', 'Finland'),
(62824, '91.221.70.0', '91.221.71.255', 1541228032, 1541228543, 'RU', 'Russian Federation'),
(62825, '91.221.72.0', '91.221.73.255', 1541228544, 1541229055, 'CZ', 'Czech Republic'),
(62826, '91.221.74.0', '91.221.75.255', 1541229056, 1541229567, 'UA', 'Ukraine'),
(62827, '91.221.76.0', '91.221.77.255', 1541229568, 1541230079, 'RU', 'Russian Federation'),
(62828, '91.221.78.0', '91.221.79.255', 1541230080, 1541230591, 'RO', 'Romania'),
(62829, '91.221.80.0', '91.221.81.255', 1541230592, 1541231103, 'RU', 'Russian Federation'),
(62830, '91.221.82.0', '91.221.83.255', 1541231104, 1541231615, 'GB', 'United Kingdom'),
(62831, '91.221.84.0', '91.221.85.255', 1541231616, 1541232127, 'UA', 'Ukraine'),
(62832, '91.221.86.0', '91.221.87.255', 1541232128, 1541232639, 'RU', 'Russian Federation'),
(62833, '91.221.88.0', '91.221.89.255', 1541232640, 1541233151, 'PL', 'Poland'),
(62834, '91.221.90.0', '91.221.91.255', 1541233152, 1541233663, 'RU', 'Russian Federation'),
(62835, '91.221.92.0', '91.221.93.255', 1541233664, 1541234175, 'SK', 'Slovakia'),
(62836, '91.221.94.0', '91.221.95.255', 1541234176, 1541234687, 'RO', 'Romania'),
(62837, '91.221.96.0', '91.221.97.255', 1541234688, 1541235199, 'NL', 'Netherlands'),
(62838, '91.221.98.0', '91.221.98.255', 1541235200, 1541235455, 'RU', 'Russian Federation'),
(62839, '91.221.99.0', '91.221.99.255', 1541235456, 1541235711, 'NL', 'Netherlands'),
(62840, '91.221.100.0', '91.221.101.255', 1541235712, 1541236223, 'AT', 'Austria'),
(62841, '91.221.102.0', '91.221.103.255', 1541236224, 1541236735, 'RU', 'Russian Federation'),
(62842, '91.221.104.0', '91.221.105.255', 1541236736, 1541237247, 'DE', 'Germany'),
(62843, '91.221.106.0', '91.221.107.255', 1541237248, 1541237759, 'RU', 'Russian Federation'),
(62844, '91.221.108.0', '91.221.109.255', 1541237760, 1541238271, 'CZ', 'Czech Republic'),
(62845, '91.221.110.0', '91.221.113.255', 1541238272, 1541239295, 'SK', 'Slovakia'),
(62846, '91.221.114.0', '91.221.115.255', 1541239296, 1541239807, 'PL', 'Poland'),
(62847, '91.221.116.0', '91.221.117.255', 1541239808, 1541240319, 'RU', 'Russian Federation'),
(62848, '91.221.118.0', '91.221.119.255', 1541240320, 1541240831, 'CH', 'Switzerland'),
(62849, '91.221.120.0', '91.221.121.255', 1541240832, 1541241343, 'DE', 'Germany'),
(62850, '91.221.122.0', '91.221.123.255', 1541241344, 1541241855, 'PL', 'Poland'),
(62851, '91.221.124.0', '91.221.125.255', 1541241856, 1541242367, 'UA', 'Ukraine'),
(62852, '91.221.126.0', '91.221.127.255', 1541242368, 1541242879, 'PL', 'Poland'),
(62853, '91.221.128.0', '91.221.129.255', 1541242880, 1541243391, 'KW', 'Kuwait'),
(62854, '91.221.130.0', '91.221.131.255', 1541243392, 1541243903, 'NO', 'Norway'),
(62855, '91.221.132.0', '91.221.133.255', 1541243904, 1541244415, 'UA', 'Ukraine'),
(62856, '91.221.134.0', '91.221.135.255', 1541244416, 1541244927, 'RS', 'Serbia'),
(62857, '91.221.136.0', '91.221.137.255', 1541244928, 1541245439, 'UA', 'Ukraine'),
(62858, '91.221.138.0', '91.221.139.255', 1541245440, 1541245951, 'AT', 'Austria'),
(62859, '91.221.140.0', '91.221.141.255', 1541245952, 1541246463, 'RU', 'Russian Federation'),
(62860, '91.221.142.0', '91.221.143.255', 1541246464, 1541246975, 'DK', 'Denmark'),
(62861, '91.221.144.0', '91.221.145.255', 1541246976, 1541247487, 'PL', 'Poland'),
(62862, '91.221.146.0', '91.221.147.255', 1541247488, 1541247999, 'FR', 'France'),
(62863, '91.221.148.0', '91.221.149.255', 1541248000, 1541248511, 'CZ', 'Czech Republic'),
(62864, '91.221.150.0', '91.221.151.255', 1541248512, 1541249023, 'NL', 'Netherlands'),
(62865, '91.221.152.0', '91.221.153.255', 1541249024, 1541249535, 'GB', 'United Kingdom'),
(62866, '91.221.154.0', '91.221.155.255', 1541249536, 1541250047, 'UA', 'Ukraine'),
(62867, '91.221.156.0', '91.221.157.255', 1541250048, 1541250559, 'RU', 'Russian Federation'),
(62868, '91.221.158.0', '91.221.159.255', 1541250560, 1541251071, 'PL', 'Poland'),
(62869, '91.221.160.0', '91.221.161.255', 1541251072, 1541251583, 'NL', 'Netherlands'),
(62870, '91.221.162.0', '91.221.165.255', 1541251584, 1541252607, 'RU', 'Russian Federation'),
(62871, '91.221.166.0', '91.221.167.255', 1541252608, 1541253119, 'UA', 'Ukraine'),
(62872, '91.221.168.0', '91.221.169.255', 1541253120, 1541253631, 'GB', 'United Kingdom'),
(62873, '91.221.170.0', '91.221.171.255', 1541253632, 1541254143, 'SI', 'Slovenia'),
(62874, '91.221.172.0', '91.221.173.255', 1541254144, 1541254655, 'PL', 'Poland'),
(62875, '91.221.174.0', '91.221.177.255', 1541254656, 1541255679, 'RU', 'Russian Federation'),
(62876, '91.221.178.0', '91.221.179.255', 1541255680, 1541256191, 'UA', 'Ukraine'),
(62877, '91.221.180.0', '91.221.181.255', 1541256192, 1541256703, 'RU', 'Russian Federation'),
(62878, '91.221.182.0', '91.221.183.255', 1541256704, 1541257215, 'DE', 'Germany'),
(62879, '91.221.184.0', '91.221.185.255', 1541257216, 1541257727, 'SA', 'Saudi Arabia'),
(62880, '91.221.186.0', '91.221.187.255', 1541257728, 1541258239, 'EE', 'Estonia'),
(62881, '91.221.188.0', '91.221.189.255', 1541258240, 1541258751, 'RU', 'Russian Federation'),
(62882, '91.221.190.0', '91.221.191.255', 1541258752, 1541259263, 'UA', 'Ukraine'),
(62883, '91.221.192.0', '91.221.193.255', 1541259264, 1541259775, 'CH', 'Switzerland'),
(62884, '91.221.194.0', '91.221.195.255', 1541259776, 1541260287, 'RU', 'Russian Federation'),
(62885, '91.221.196.0', '91.221.197.255', 1541260288, 1541260799, 'DK', 'Denmark'),
(62886, '91.221.198.0', '91.221.201.255', 1541260800, 1541261823, 'RU', 'Russian Federation'),
(62887, '91.221.202.0', '91.221.203.255', 1541261824, 1541262335, 'SA', 'Saudi Arabia'),
(62888, '91.221.204.0', '91.221.205.255', 1541262336, 1541262847, 'DE', 'Germany'),
(62889, '91.221.206.0', '91.221.207.255', 1541262848, 1541263359, 'DK', 'Denmark'),
(62890, '91.221.208.0', '91.221.209.255', 1541263360, 1541263871, 'NL', 'Netherlands'),
(62891, '91.221.210.0', '91.221.211.255', 1541263872, 1541264383, 'UA', 'Ukraine'),
(62892, '91.221.212.0', '91.221.213.255', 1541264384, 1541264895, 'CZ', 'Czech Republic'),
(62893, '91.221.214.0', '91.221.215.255', 1541264896, 1541265407, 'PL', 'Poland'),
(62894, '91.221.216.0', '91.221.217.255', 1541265408, 1541265919, 'RS', 'Serbia'),
(62895, '91.221.218.0', '91.221.219.255', 1541265920, 1541266431, 'UA', 'Ukraine'),
(62896, '91.221.220.0', '91.221.221.255', 1541266432, 1541266943, 'KW', 'Kuwait'),
(62897, '91.221.222.0', '91.221.223.255', 1541266944, 1541267455, 'US', 'United States'),
(62898, '91.221.224.0', '91.221.225.255', 1541267456, 1541267967, 'FR', 'France'),
(62899, '91.221.226.0', '91.221.227.255', 1541267968, 1541268479, 'DE', 'Germany'),
(62900, '91.221.228.0', '91.221.229.255', 1541268480, 1541268991, 'AM', 'Armenia'),
(62901, '91.221.230.0', '91.221.231.255', 1541268992, 1541269503, 'NL', 'Netherlands'),
(62902, '91.221.232.0', '91.221.233.255', 1541269504, 1541270015, 'RU', 'Russian Federation'),
(62903, '91.221.234.0', '91.221.235.255', 1541270016, 1541270527, 'UA', 'Ukraine'),
(62904, '91.221.236.0', '91.221.237.255', 1541270528, 1541271039, 'IT', 'Italy'),
(62905, '91.221.238.0', '91.221.239.255', 1541271040, 1541271551, 'FI', 'Finland'),
(62906, '91.221.240.0', '91.221.241.255', 1541271552, 1541272063, 'RO', 'Romania'),
(62907, '91.221.242.0', '91.221.243.255', 1541272064, 1541272575, 'RU', 'Russian Federation'),
(62908, '91.221.244.0', '91.221.245.255', 1541272576, 1541273087, 'FR', 'France'),
(62909, '91.221.246.0', '91.221.251.255', 1541273088, 1541274623, 'RU', 'Russian Federation'),
(62910, '91.221.252.0', '91.221.253.255', 1541274624, 1541275135, 'UA', 'Ukraine'),
(62911, '91.221.254.0', '91.221.255.255', 1541275136, 1541275647, 'FR', 'France'),
(62912, '91.222.0.0', '91.222.3.255', 1541275648, 1541276671, 'UA', 'Ukraine'),
(62913, '91.222.4.0', '91.222.7.255', 1541276672, 1541277695, 'RS', 'Serbia'),
(62914, '91.222.8.0', '91.222.11.255', 1541277696, 1541278719, 'GB', 'United Kingdom'),
(62915, '91.222.12.0', '91.222.19.255', 1541278720, 1541280767, 'UA', 'Ukraine'),
(62916, '91.222.20.0', '91.222.23.255', 1541280768, 1541281791, 'BG', 'Bulgaria'),
(62917, '91.222.24.0', '91.222.27.255', 1541281792, 1541282815, 'PL', 'Poland'),
(62918, '91.222.28.0', '91.222.31.255', 1541282816, 1541283839, 'RU', 'Russian Federation'),
(62919, '91.222.32.0', '91.222.43.255', 1541283840, 1541286911, 'UA', 'Ukraine'),
(62920, '91.222.44.0', '91.222.47.255', 1541286912, 1541287935, 'DE', 'Germany'),
(62921, '91.222.48.0', '91.222.51.255', 1541287936, 1541288959, 'UA', 'Ukraine'),
(62922, '91.222.52.0', '91.222.55.255', 1541288960, 1541289983, 'CZ', 'Czech Republic'),
(62923, '91.222.56.0', '91.222.59.255', 1541289984, 1541291007, 'PL', 'Poland'),
(62924, '91.222.60.0', '91.222.67.255', 1541291008, 1541293055, 'UA', 'Ukraine'),
(62925, '91.222.68.0', '91.222.75.255', 1541293056, 1541295103, 'PL', 'Poland'),
(62926, '91.222.76.0', '91.222.83.255', 1541295104, 1541297151, 'UA', 'Ukraine'),
(62927, '91.222.84.0', '91.222.87.255', 1541297152, 1541298175, 'CH', 'Switzerland'),
(62928, '91.222.88.0', '91.222.91.255', 1541298176, 1541299199, 'KZ', 'Kazakhstan'),
(62929, '91.222.92.0', '91.222.95.255', 1541299200, 1541300223, 'RO', 'Romania'),
(62930, '91.222.96.0', '91.222.99.255', 1541300224, 1541301247, 'DE', 'Germany'),
(62931, '91.222.100.0', '91.222.103.255', 1541301248, 1541302271, 'PL', 'Poland'),
(62932, '91.222.104.0', '91.222.107.255', 1541302272, 1541303295, 'SK', 'Slovakia'),
(62933, '91.222.108.0', '91.222.111.255', 1541303296, 1541304319, 'PL', 'Poland'),
(62934, '91.222.112.0', '91.222.115.255', 1541304320, 1541305343, 'UA', 'Ukraine'),
(62935, '91.222.116.0', '91.222.119.255', 1541305344, 1541306367, 'PL', 'Poland'),
(62936, '91.222.120.0', '91.222.123.255', 1541306368, 1541307391, 'RU', 'Russian Federation'),
(62937, '91.222.124.0', '91.222.127.255', 1541307392, 1541308415, 'PL', 'Poland'),
(62938, '91.222.128.0', '91.222.131.255', 1541308416, 1541309439, 'RU', 'Russian Federation'),
(62939, '91.222.132.0', '91.222.135.255', 1541309440, 1541310463, 'CH', 'Switzerland'),
(62940, '91.222.136.0', '91.222.139.255', 1541310464, 1541311487, 'UA', 'Ukraine'),
(62941, '91.222.140.0', '91.222.151.255', 1541311488, 1541314559, 'PL', 'Poland'),
(62942, '91.222.152.0', '91.222.155.255', 1541314560, 1541315583, 'UA', 'Ukraine'),
(62943, '91.222.156.0', '91.222.159.255', 1541315584, 1541316607, 'RU', 'Russian Federation'),
(62944, '91.222.160.0', '91.222.163.255', 1541316608, 1541317631, 'PL', 'Poland'),
(62945, '91.222.164.0', '91.222.167.255', 1541317632, 1541318655, 'RU', 'Russian Federation'),
(62946, '91.222.168.0', '91.222.175.255', 1541318656, 1541320703, 'UA', 'Ukraine'),
(62947, '91.222.176.0', '91.222.179.255', 1541320704, 1541321727, 'DE', 'Germany'),
(62948, '91.222.180.0', '91.222.183.255', 1541321728, 1541322751, 'UA', 'Ukraine'),
(62949, '91.222.184.0', '91.222.187.255', 1541322752, 1541323775, 'PL', 'Poland'),
(62950, '91.222.188.0', '91.222.191.255', 1541323776, 1541324799, 'FI', 'Finland'),
(62951, '91.222.192.0', '91.222.195.255', 1541324800, 1541325823, 'PL', 'Poland'),
(62952, '91.222.196.0', '91.222.199.255', 1541325824, 1541326847, 'IR', 'Iran, Islamic Republic of'),
(62953, '91.222.200.0', '91.222.203.255', 1541326848, 1541327871, 'SA', 'Saudi Arabia'),
(62954, '91.222.204.0', '91.222.207.255', 1541327872, 1541328895, 'CZ', 'Czech Republic'),
(62955, '91.222.208.0', '91.222.211.255', 1541328896, 1541329919, 'RU', 'Russian Federation'),
(62956, '91.222.212.0', '91.222.215.255', 1541329920, 1541330943, 'PL', 'Poland'),
(62957, '91.222.216.0', '91.222.219.255', 1541330944, 1541331967, 'RU', 'Russian Federation'),
(62958, '91.222.220.0', '91.222.223.255', 1541331968, 1541332991, 'UA', 'Ukraine'),
(62959, '91.222.224.0', '91.222.227.255', 1541332992, 1541334015, 'PL', 'Poland'),
(62960, '91.222.228.0', '91.222.231.255', 1541334016, 1541335039, 'RU', 'Russian Federation'),
(62961, '91.222.232.0', '91.222.235.255', 1541335040, 1541336063, 'DE', 'Germany'),
(62962, '91.222.236.0', '91.222.243.255', 1541336064, 1541338111, 'RU', 'Russian Federation'),
(62963, '91.222.244.0', '91.222.255.255', 1541338112, 1541341183, 'UA', 'Ukraine'),
(62964, '91.223.0.0', '91.223.0.255', 1541341184, 1541341439, 'TR', 'Turkey'),
(62965, '91.223.1.0', '91.223.1.255', 1541341440, 1541341695, 'RU', 'Russian Federation'),
(62966, '91.223.2.0', '91.223.2.255', 1541341696, 1541341951, 'DE', 'Germany'),
(62967, '91.223.3.0', '91.223.4.255', 1541341952, 1541342463, 'PL', 'Poland'),
(62968, '91.223.5.0', '91.223.5.255', 1541342464, 1541342719, 'FR', 'France'),
(62969, '91.223.6.0', '91.223.6.255', 1541342720, 1541342975, 'PL', 'Poland'),
(62970, '91.223.7.0', '91.223.7.255', 1541342976, 1541343231, 'RU', 'Russian Federation'),
(62971, '91.223.8.0', '91.223.8.255', 1541343232, 1541343487, 'TR', 'Turkey'),
(62972, '91.223.9.0', '91.223.9.255', 1541343488, 1541343743, 'IE', 'Ireland'),
(62973, '91.223.10.0', '91.223.10.255', 1541343744, 1541343999, 'GB', 'United Kingdom'),
(62974, '91.223.11.0', '91.223.11.255', 1541344000, 1541344255, 'IL', 'Israel'),
(62975, '91.223.12.0', '91.223.12.255', 1541344256, 1541344511, 'IT', 'Italy'),
(62976, '91.223.13.0', '91.223.14.255', 1541344512, 1541345023, 'PL', 'Poland'),
(62977, '91.223.15.0', '91.223.15.255', 1541345024, 1541345279, 'RU', 'Russian Federation'),
(62978, '91.223.16.0', '91.223.16.255', 1541345280, 1541345535, 'GB', 'United Kingdom'),
(62979, '91.223.17.0', '91.223.17.255', 1541345536, 1541345791, 'CH', 'Switzerland'),
(62980, '91.223.18.0', '91.223.18.255', 1541345792, 1541346047, 'DE', 'Germany'),
(62981, '91.223.19.0', '91.223.19.255', 1541346048, 1541346303, 'UA', 'Ukraine'),
(62982, '91.223.20.0', '91.223.20.255', 1541346304, 1541346559, 'DE', 'Germany'),
(62983, '91.223.21.0', '91.223.21.255', 1541346560, 1541346815, 'BE', 'Belgium'),
(62984, '91.223.22.0', '91.223.22.255', 1541346816, 1541347071, 'FR', 'France'),
(62985, '91.223.23.0', '91.223.23.255', 1541347072, 1541347327, 'PL', 'Poland'),
(62986, '91.223.24.0', '91.223.24.255', 1541347328, 1541347583, 'HR', 'Croatia'),
(62987, '91.223.25.0', '91.223.25.255', 1541347584, 1541347839, 'RU', 'Russian Federation'),
(62988, '91.223.26.0', '91.223.26.255', 1541347840, 1541348095, 'SI', 'Slovenia'),
(62989, '91.223.27.0', '91.223.27.255', 1541348096, 1541348351, 'UA', 'Ukraine'),
(62990, '91.223.28.0', '91.223.28.255', 1541348352, 1541348607, 'RU', 'Russian Federation'),
(62991, '91.223.29.0', '91.223.29.255', 1541348608, 1541348863, 'HR', 'Croatia'),
(62992, '91.223.30.0', '91.223.30.255', 1541348864, 1541349119, 'UA', 'Ukraine'),
(62993, '91.223.31.0', '91.223.31.255', 1541349120, 1541349375, 'PL', 'Poland'),
(62994, '91.223.32.0', '91.223.32.255', 1541349376, 1541349631, 'ES', 'Spain'),
(62995, '91.223.33.0', '91.223.33.255', 1541349632, 1541349887, 'PL', 'Poland'),
(62996, '91.223.34.0', '91.223.34.255', 1541349888, 1541350143, 'RU', 'Russian Federation'),
(62997, '91.223.35.0', '91.223.35.255', 1541350144, 1541350399, 'FR', 'France'),
(62998, '91.223.36.0', '91.223.36.255', 1541350400, 1541350655, 'NO', 'Norway'),
(62999, '91.223.37.0', '91.223.37.255', 1541350656, 1541350911, 'RU', 'Russian Federation'),
(63000, '91.223.38.0', '91.223.38.255', 1541350912, 1541351167, 'AT', 'Austria'),
(63001, '91.223.39.0', '91.223.39.255', 1541351168, 1541351423, 'SI', 'Slovenia'),
(63002, '91.223.40.0', '91.223.40.255', 1541351424, 1541351679, 'FR', 'France'),
(63003, '91.223.41.0', '91.223.41.255', 1541351680, 1541351935, 'DE', 'Germany'),
(63004, '91.223.42.0', '91.223.42.255', 1541351936, 1541352191, 'GR', 'Greece'),
(63005, '91.223.43.0', '91.223.43.255', 1541352192, 1541352447, 'SI', 'Slovenia'),
(63006, '91.223.44.0', '91.223.44.255', 1541352448, 1541352703, 'RU', 'Russian Federation'),
(63007, '91.223.45.0', '91.223.45.255', 1541352704, 1541352959, 'RO', 'Romania'),
(63008, '91.223.46.0', '91.223.46.255', 1541352960, 1541353215, 'GB', 'United Kingdom'),
(63009, '91.223.47.0', '91.223.47.255', 1541353216, 1541353471, 'SE', 'Sweden'),
(63010, '91.223.48.0', '91.223.48.255', 1541353472, 1541353727, 'UA', 'Ukraine'),
(63011, '91.223.49.0', '91.223.49.255', 1541353728, 1541353983, 'SI', 'Slovenia'),
(63012, '91.223.50.0', '91.223.50.255', 1541353984, 1541354239, 'RO', 'Romania'),
(63013, '91.223.51.0', '91.223.51.255', 1541354240, 1541354495, 'SE', 'Sweden'),
(63014, '91.223.52.0', '91.223.52.255', 1541354496, 1541354751, 'PL', 'Poland'),
(63015, '91.223.53.0', '91.223.53.255', 1541354752, 1541355007, 'UA', 'Ukraine'),
(63016, '91.223.54.0', '91.223.54.255', 1541355008, 1541355263, 'IL', 'Israel'),
(63017, '91.223.55.0', '91.223.55.255', 1541355264, 1541355519, 'PL', 'Poland'),
(63018, '91.223.56.0', '91.223.56.255', 1541355520, 1541355775, 'NL', 'Netherlands'),
(63019, '91.223.57.0', '91.223.57.255', 1541355776, 1541356031, 'PL', 'Poland'),
(63020, '91.223.58.0', '91.223.58.255', 1541356032, 1541356287, 'GB', 'United Kingdom'),
(63021, '91.223.59.0', '91.223.59.255', 1541356288, 1541356543, 'UA', 'Ukraine'),
(63022, '91.223.60.0', '91.223.60.255', 1541356544, 1541356799, 'RU', 'Russian Federation'),
(63023, '91.223.61.0', '91.223.61.255', 1541356800, 1541357055, 'ES', 'Spain'),
(63024, '91.223.62.0', '91.223.62.255', 1541357056, 1541357311, 'FR', 'France'),
(63025, '91.223.63.0', '91.223.63.255', 1541357312, 1541357567, 'RU', 'Russian Federation'),
(63026, '91.223.64.0', '91.223.64.255', 1541357568, 1541357823, 'PL', 'Poland'),
(63027, '91.223.65.0', '91.223.65.255', 1541357824, 1541358079, 'HR', 'Croatia'),
(63028, '91.223.66.0', '91.223.66.255', 1541358080, 1541358335, 'BG', 'Bulgaria'),
(63029, '91.223.67.0', '91.223.67.255', 1541358336, 1541358591, 'GB', 'United Kingdom'),
(63030, '91.223.68.0', '91.223.68.255', 1541358592, 1541358847, 'PL', 'Poland'),
(63031, '91.223.69.0', '91.223.69.255', 1541358848, 1541359103, 'SK', 'Slovakia'),
(63032, '91.223.70.0', '91.223.70.255', 1541359104, 1541359359, 'LV', 'Latvia'),
(63033, '91.223.71.0', '91.223.71.255', 1541359360, 1541359615, 'FR', 'France'),
(63034, '91.223.72.0', '91.223.72.255', 1541359616, 1541359871, 'PL', 'Poland'),
(63035, '91.223.73.0', '91.223.73.255', 1541359872, 1541360127, 'FR', 'France'),
(63036, '91.223.74.0', '91.223.74.255', 1541360128, 1541360383, 'CZ', 'Czech Republic'),
(63037, '91.223.75.0', '91.223.75.255', 1541360384, 1541360639, 'RU', 'Russian Federation'),
(63038, '91.223.76.0', '91.223.76.255', 1541360640, 1541360895, 'FR', 'France'),
(63039, '91.223.77.0', '91.223.77.255', 1541360896, 1541361151, 'UA', 'Ukraine'),
(63040, '91.223.78.0', '91.223.78.255', 1541361152, 1541361407, 'PL', 'Poland'),
(63041, '91.223.79.0', '91.223.79.255', 1541361408, 1541361663, 'CH', 'Switzerland'),
(63042, '91.223.80.0', '91.223.80.255', 1541361664, 1541361919, 'SI', 'Slovenia'),
(63043, '91.223.81.0', '91.223.81.255', 1541361920, 1541362175, 'PL', 'Poland'),
(63044, '91.223.82.0', '91.223.82.255', 1541362176, 1541362431, 'NL', 'Netherlands'),
(63045, '91.223.83.0', '91.223.83.255', 1541362432, 1541362687, 'PL', 'Poland'),
(63046, '91.223.84.0', '91.223.84.255', 1541362688, 1541362943, 'FR', 'France'),
(63047, '91.223.85.0', '91.223.85.255', 1541362944, 1541363199, 'DK', 'Denmark'),
(63048, '91.223.86.0', '91.223.86.255', 1541363200, 1541363455, 'UA', 'Ukraine'),
(63049, '91.223.87.0', '91.223.87.255', 1541363456, 1541363711, 'IE', 'Ireland'),
(63050, '91.223.88.0', '91.223.88.255', 1541363712, 1541363967, 'UA', 'Ukraine'),
(63051, '91.223.89.0', '91.223.90.255', 1541363968, 1541364479, 'RU', 'Russian Federation'),
(63052, '91.223.91.0', '91.223.91.255', 1541364480, 1541364735, 'AT', 'Austria'),
(63053, '91.223.92.0', '91.223.92.255', 1541364736, 1541364991, 'SE', 'Sweden'),
(63054, '91.223.93.0', '91.223.93.255', 1541364992, 1541365247, 'RU', 'Russian Federation'),
(63055, '91.223.94.0', '91.223.94.255', 1541365248, 1541365503, 'GB', 'United Kingdom'),
(63056, '91.223.95.0', '91.223.95.255', 1541365504, 1541365759, 'NL', 'Netherlands'),
(63057, '91.223.96.0', '91.223.96.255', 1541365760, 1541366015, 'DE', 'Germany'),
(63058, '91.223.97.0', '91.223.97.255', 1541366016, 1541366271, 'UA', 'Ukraine'),
(63059, '91.223.98.0', '91.223.98.255', 1541366272, 1541366527, 'RU', 'Russian Federation'),
(63060, '91.223.99.0', '91.223.99.255', 1541366528, 1541366783, 'RO', 'Romania'),
(63061, '91.223.100.0', '91.223.100.255', 1541366784, 1541367039, 'NO', 'Norway'),
(63062, '91.223.101.0', '91.223.101.255', 1541367040, 1541367295, 'AT', 'Austria'),
(63063, '91.223.102.0', '91.223.103.255', 1541367296, 1541367807, 'UA', 'Ukraine'),
(63064, '91.223.104.0', '91.223.104.255', 1541367808, 1541368063, 'GR', 'Greece'),
(63065, '91.223.105.0', '91.223.105.255', 1541368064, 1541368319, 'RU', 'Russian Federation'),
(63066, '91.223.106.0', '91.223.106.255', 1541368320, 1541368575, 'IL', 'Israel'),
(63067, '91.223.107.0', '91.223.107.255', 1541368576, 1541368831, 'FI', 'Finland'),
(63068, '91.223.108.0', '91.223.109.255', 1541368832, 1541369343, 'RU', 'Russian Federation'),
(63069, '91.223.110.0', '91.223.110.255', 1541369344, 1541369599, 'UA', 'Ukraine'),
(63070, '91.223.111.0', '91.223.111.255', 1541369600, 1541369855, 'GB', 'United Kingdom'),
(63071, '91.223.112.0', '91.223.112.255', 1541369856, 1541370111, 'UA', 'Ukraine'),
(63072, '91.223.113.0', '91.223.113.255', 1541370112, 1541370367, 'SI', 'Slovenia'),
(63073, '91.223.114.0', '91.223.114.255', 1541370368, 1541370623, 'DE', 'Germany'),
(63074, '91.223.115.0', '91.223.115.255', 1541370624, 1541370879, 'SI', 'Slovenia'),
(63075, '91.223.116.0', '91.223.116.255', 1541370880, 1541371135, 'FI', 'Finland'),
(63076, '91.223.117.0', '91.223.117.255', 1541371136, 1541371391, 'RO', 'Romania'),
(63077, '91.223.118.0', '91.223.118.255', 1541371392, 1541371647, 'RU', 'Russian Federation'),
(63078, '91.223.119.0', '91.223.119.255', 1541371648, 1541371903, 'PL', 'Poland'),
(63079, '91.223.120.0', '91.223.120.255', 1541371904, 1541372159, 'RU', 'Russian Federation'),
(63080, '91.223.121.0', '91.223.121.255', 1541372160, 1541372415, 'CH', 'Switzerland'),
(63081, '91.223.122.0', '91.223.122.255', 1541372416, 1541372671, 'UA', 'Ukraine'),
(63082, '91.223.123.0', '91.223.123.255', 1541372672, 1541372927, 'US', 'United States'),
(63083, '91.223.124.0', '91.223.124.255', 1541372928, 1541373183, 'NL', 'Netherlands'),
(63084, '91.223.125.0', '91.223.125.255', 1541373184, 1541373439, 'FR', 'France'),
(63085, '91.223.126.0', '91.223.126.255', 1541373440, 1541373695, 'GB', 'United Kingdom'),
(63086, '91.223.127.0', '91.223.127.255', 1541373696, 1541373951, 'UA', 'Ukraine'),
(63087, '91.223.128.0', '91.223.128.255', 1541373952, 1541374207, 'RU', 'Russian Federation'),
(63088, '91.223.129.0', '91.223.129.255', 1541374208, 1541374463, 'DE', 'Germany'),
(63089, '91.223.130.0', '91.223.130.255', 1541374464, 1541374719, 'PL', 'Poland'),
(63090, '91.223.131.0', '91.223.131.255', 1541374720, 1541374975, 'NL', 'Netherlands'),
(63091, '91.223.132.0', '91.223.132.255', 1541374976, 1541375231, 'GR', 'Greece'),
(63092, '91.223.133.0', '91.223.133.255', 1541375232, 1541375487, 'UA', 'Ukraine'),
(63093, '91.223.134.0', '91.223.135.255', 1541375488, 1541375999, 'PL', 'Poland'),
(63094, '91.223.136.0', '91.223.136.255', 1541376000, 1541376255, 'UA', 'Ukraine'),
(63095, '91.223.137.0', '91.223.138.255', 1541376256, 1541376767, 'RU', 'Russian Federation'),
(63096, '91.223.139.0', '91.223.139.255', 1541376768, 1541377023, 'FR', 'France'),
(63097, '91.223.140.0', '91.223.140.255', 1541377024, 1541377279, 'NL', 'Netherlands'),
(63098, '91.223.141.0', '91.223.141.255', 1541377280, 1541377535, 'DE', 'Germany'),
(63099, '91.223.142.0', '91.223.142.255', 1541377536, 1541377791, 'PL', 'Poland'),
(63100, '91.223.143.0', '91.223.143.255', 1541377792, 1541378047, 'ES', 'Spain'),
(63101, '91.223.144.0', '91.223.144.255', 1541378048, 1541378303, 'RU', 'Russian Federation'),
(63102, '91.223.145.0', '91.223.145.255', 1541378304, 1541378559, 'DE', 'Germany'),
(63103, '91.223.146.0', '91.223.146.255', 1541378560, 1541378815, 'GB', 'United Kingdom'),
(63104, '91.223.147.0', '91.223.147.255', 1541378816, 1541379071, 'AT', 'Austria'),
(63105, '91.223.148.0', '91.223.148.255', 1541379072, 1541379327, 'RO', 'Romania'),
(63106, '91.223.149.0', '91.223.149.255', 1541379328, 1541379583, 'UA', 'Ukraine'),
(63107, '91.223.150.0', '91.223.150.255', 1541379584, 1541379839, 'FR', 'France'),
(63108, '91.223.151.0', '91.223.151.255', 1541379840, 1541380095, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(63109, '91.223.152.0', '91.223.152.255', 1541380096, 1541380351, 'UA', 'Ukraine'),
(63110, '91.223.153.0', '91.223.153.255', 1541380352, 1541380607, 'RU', 'Russian Federation'),
(63111, '91.223.154.0', '91.223.154.255', 1541380608, 1541380863, 'CH', 'Switzerland'),
(63112, '91.223.155.0', '91.223.155.255', 1541380864, 1541381119, 'IT', 'Italy'),
(63113, '91.223.156.0', '91.223.156.255', 1541381120, 1541381375, 'RO', 'Romania'),
(63114, '91.223.157.0', '91.223.157.255', 1541381376, 1541381631, 'TR', 'Turkey'),
(63115, '91.223.158.0', '91.223.158.255', 1541381632, 1541381887, 'RO', 'Romania'),
(63116, '91.223.159.0', '91.223.159.255', 1541381888, 1541382143, 'FR', 'France'),
(63117, '91.223.160.0', '91.223.160.255', 1541382144, 1541382399, 'PL', 'Poland'),
(63118, '91.223.161.0', '91.223.161.255', 1541382400, 1541382655, 'IM', 'Isle of Man'),
(63119, '91.223.162.0', '91.223.162.255', 1541382656, 1541382911, 'RS', 'Serbia'),
(63120, '91.223.163.0', '91.223.163.255', 1541382912, 1541383167, 'RO', 'Romania'),
(63121, '91.223.164.0', '91.223.164.255', 1541383168, 1541383423, 'CY', 'Cyprus'),
(63122, '91.223.165.0', '91.223.165.255', 1541383424, 1541383679, 'LV', 'Latvia'),
(63123, '91.223.166.0', '91.223.166.255', 1541383680, 1541383935, 'SI', 'Slovenia'),
(63124, '91.223.167.0', '91.223.168.255', 1541383936, 1541384447, 'PL', 'Poland'),
(63125, '91.223.169.0', '91.223.169.255', 1541384448, 1541384703, 'LV', 'Latvia'),
(63126, '91.223.170.0', '91.223.170.255', 1541384704, 1541384959, 'RU', 'Russian Federation'),
(63127, '91.223.171.0', '91.223.171.255', 1541384960, 1541385215, 'PL', 'Poland'),
(63128, '91.223.172.0', '91.223.172.255', 1541385216, 1541385471, 'NL', 'Netherlands'),
(63129, '91.223.173.0', '91.223.173.255', 1541385472, 1541385727, 'SK', 'Slovakia'),
(63130, '91.223.174.0', '91.223.174.255', 1541385728, 1541385983, 'SI', 'Slovenia'),
(63131, '91.223.175.0', '91.223.175.255', 1541385984, 1541386239, 'PL', 'Poland'),
(63132, '91.223.176.0', '91.223.176.255', 1541386240, 1541386495, 'RU', 'Russian Federation'),
(63133, '91.223.177.0', '91.223.177.255', 1541386496, 1541386751, 'UA', 'Ukraine'),
(63134, '91.223.178.0', '91.223.178.255', 1541386752, 1541387007, 'RU', 'Russian Federation'),
(63135, '91.223.179.0', '91.223.179.255', 1541387008, 1541387263, 'CH', 'Switzerland'),
(63136, '91.223.180.0', '91.223.180.255', 1541387264, 1541387519, 'UA', 'Ukraine'),
(63137, '91.223.181.0', '91.223.181.255', 1541387520, 1541387775, 'RU', 'Russian Federation'),
(63138, '91.223.182.0', '91.223.182.255', 1541387776, 1541388031, 'SI', 'Slovenia'),
(63139, '91.223.183.0', '91.223.183.255', 1541388032, 1541388287, 'RO', 'Romania'),
(63140, '91.223.184.0', '91.223.184.255', 1541388288, 1541388543, 'PL', 'Poland'),
(63141, '91.223.185.0', '91.223.185.255', 1541388544, 1541388799, 'RO', 'Romania'),
(63142, '91.223.186.0', '91.223.186.255', 1541388800, 1541389055, 'CH', 'Switzerland'),
(63143, '91.223.187.0', '91.223.187.255', 1541389056, 1541389311, 'NL', 'Netherlands'),
(63144, '91.223.188.0', '91.223.188.255', 1541389312, 1541389567, 'RU', 'Russian Federation'),
(63145, '91.223.189.0', '91.223.189.255', 1541389568, 1541389823, 'SI', 'Slovenia'),
(63146, '91.223.190.0', '91.223.190.255', 1541389824, 1541390079, 'RO', 'Romania'),
(63147, '91.223.191.0', '91.223.191.255', 1541390080, 1541390335, 'US', 'United States'),
(63148, '91.223.192.0', '91.223.192.255', 1541390336, 1541390591, 'DK', 'Denmark'),
(63149, '91.223.193.0', '91.223.193.255', 1541390592, 1541390847, 'SI', 'Slovenia'),
(63150, '91.223.194.0', '91.223.194.255', 1541390848, 1541391103, 'RU', 'Russian Federation'),
(63151, '91.223.195.0', '91.223.195.255', 1541391104, 1541391359, 'BE', 'Belgium'),
(63152, '91.223.196.0', '91.223.196.255', 1541391360, 1541391615, 'PL', 'Poland'),
(63153, '91.223.197.0', '91.223.197.255', 1541391616, 1541391871, 'SI', 'Slovenia'),
(63154, '91.223.198.0', '91.223.198.255', 1541391872, 1541392127, 'DE', 'Germany'),
(63155, '91.223.199.0', '91.223.199.255', 1541392128, 1541392383, 'RU', 'Russian Federation'),
(63156, '91.223.200.0', '91.223.200.255', 1541392384, 1541392639, 'RO', 'Romania'),
(63157, '91.223.201.0', '91.223.201.255', 1541392640, 1541392895, 'AT', 'Austria'),
(63158, '91.223.202.0', '91.223.202.255', 1541392896, 1541393151, 'DE', 'Germany'),
(63159, '91.223.203.0', '91.223.203.255', 1541393152, 1541393407, 'GB', 'United Kingdom'),
(63160, '91.223.204.0', '91.223.204.255', 1541393408, 1541393663, 'DE', 'Germany'),
(63161, '91.223.205.0', '91.223.205.255', 1541393664, 1541393919, 'UA', 'Ukraine'),
(63162, '91.223.206.0', '91.223.206.255', 1541393920, 1541394175, 'ES', 'Spain'),
(63163, '91.223.207.0', '91.223.207.255', 1541394176, 1541394431, 'FR', 'France'),
(63164, '91.223.208.0', '91.223.208.255', 1541394432, 1541394687, 'CY', 'Cyprus'),
(63165, '91.223.209.0', '91.223.209.255', 1541394688, 1541394943, 'SK', 'Slovakia'),
(63166, '91.223.210.0', '91.223.210.255', 1541394944, 1541395199, 'SA', 'Saudi Arabia'),
(63167, '91.223.211.0', '91.223.211.255', 1541395200, 1541395455, 'DE', 'Germany'),
(63168, '91.223.212.0', '91.223.212.255', 1541395456, 1541395711, 'PL', 'Poland'),
(63169, '91.223.213.0', '91.223.213.255', 1541395712, 1541395967, 'NO', 'Norway'),
(63170, '91.223.214.0', '91.223.214.255', 1541395968, 1541396223, 'UA', 'Ukraine'),
(63171, '91.223.215.0', '91.223.215.255', 1541396224, 1541396479, 'LB', 'Lebanon'),
(63172, '91.223.216.0', '91.223.216.255', 1541396480, 1541396735, 'UA', 'Ukraine'),
(63173, '91.223.217.0', '91.223.217.255', 1541396736, 1541396991, 'RU', 'Russian Federation'),
(63174, '91.223.218.0', '91.223.218.255', 1541396992, 1541397247, 'GB', 'United Kingdom'),
(63175, '91.223.219.0', '91.223.219.255', 1541397248, 1541397503, 'SE', 'Sweden'),
(63176, '91.223.220.0', '91.223.220.255', 1541397504, 1541397759, 'NL', 'Netherlands'),
(63177, '91.223.221.0', '91.223.221.255', 1541397760, 1541398015, 'PL', 'Poland'),
(63178, '91.223.222.0', '91.223.222.255', 1541398016, 1541398271, 'HU', 'Hungary'),
(63179, '91.223.223.0', '91.223.223.255', 1541398272, 1541398527, 'UA', 'Ukraine'),
(63180, '91.223.224.0', '91.223.224.255', 1541398528, 1541398783, 'RU', 'Russian Federation'),
(63181, '91.223.225.0', '91.223.225.255', 1541398784, 1541399039, 'PL', 'Poland'),
(63182, '91.223.226.0', '91.223.226.255', 1541399040, 1541399295, 'RU', 'Russian Federation'),
(63183, '91.223.227.0', '91.223.227.255', 1541399296, 1541399551, 'UA', 'Ukraine'),
(63184, '91.223.228.0', '91.223.228.255', 1541399552, 1541399807, 'DE', 'Germany'),
(63185, '91.223.229.0', '91.223.229.255', 1541399808, 1541400063, 'RU', 'Russian Federation'),
(63186, '91.223.230.0', '91.223.230.255', 1541400064, 1541400319, 'SI', 'Slovenia'),
(63187, '91.223.231.0', '91.223.232.255', 1541400320, 1541400831, 'SE', 'Sweden'),
(63188, '91.223.233.0', '91.223.233.255', 1541400832, 1541401087, 'NL', 'Netherlands'),
(63189, '91.223.234.0', '91.223.234.255', 1541401088, 1541401343, 'UA', 'Ukraine'),
(63190, '91.223.235.0', '91.223.235.255', 1541401344, 1541401599, 'DK', 'Denmark'),
(63191, '91.223.236.0', '91.223.236.255', 1541401600, 1541401855, 'LV', 'Latvia'),
(63192, '91.223.237.0', '91.223.237.255', 1541401856, 1541402111, 'HR', 'Croatia'),
(63193, '91.223.238.0', '91.223.238.255', 1541402112, 1541402367, 'SI', 'Slovenia'),
(63194, '91.223.239.0', '91.223.239.255', 1541402368, 1541402623, 'RU', 'Russian Federation'),
(63195, '91.223.240.0', '91.223.240.255', 1541402624, 1541402879, 'FR', 'France'),
(63196, '91.223.241.0', '91.223.241.255', 1541402880, 1541403135, 'PL', 'Poland'),
(63197, '91.223.242.0', '91.223.242.255', 1541403136, 1541403391, 'RU', 'Russian Federation'),
(63198, '91.223.243.0', '91.223.243.255', 1541403392, 1541403647, 'EE', 'Estonia'),
(63199, '91.223.244.0', '91.223.244.255', 1541403648, 1541403903, 'RU', 'Russian Federation'),
(63200, '91.223.245.0', '91.223.245.255', 1541403904, 1541404159, 'GE', 'Georgia'),
(63201, '91.223.246.0', '91.223.246.255', 1541404160, 1541404415, 'RU', 'Russian Federation'),
(63202, '91.223.247.0', '91.223.247.255', 1541404416, 1541404671, 'DE', 'Germany'),
(63203, '91.223.248.0', '91.223.248.255', 1541404672, 1541404927, 'AT', 'Austria'),
(63204, '91.223.249.0', '91.223.249.255', 1541404928, 1541405183, 'HR', 'Croatia'),
(63205, '91.223.250.0', '91.223.250.255', 1541405184, 1541405439, 'PL', 'Poland'),
(63206, '91.223.251.0', '91.223.252.255', 1541405440, 1541405951, 'RU', 'Russian Federation'),
(63207, '91.223.253.0', '91.223.253.255', 1541405952, 1541406207, 'FR', 'France'),
(63208, '91.223.254.0', '91.223.254.255', 1541406208, 1541406463, 'RU', 'Russian Federation'),
(63209, '91.223.255.0', '91.223.255.255', 1541406464, 1541406719, 'AT', 'Austria'),
(63210, '91.224.0.0', '91.224.1.255', 1541406720, 1541407231, 'LV', 'Latvia'),
(63211, '91.224.2.0', '91.224.3.255', 1541407232, 1541407743, 'UA', 'Ukraine'),
(63212, '91.224.4.0', '91.224.5.255', 1541407744, 1541408255, 'FI', 'Finland'),
(63213, '91.224.6.0', '91.224.7.255', 1541408256, 1541408767, 'FR', 'France'),
(63214, '91.224.8.0', '91.224.11.255', 1541408768, 1541409791, 'UA', 'Ukraine'),
(63215, '91.224.12.0', '91.224.13.255', 1541409792, 1541410303, 'LV', 'Latvia'),
(63216, '91.224.14.0', '91.224.15.255', 1541410304, 1541410815, 'RU', 'Russian Federation'),
(63217, '91.224.16.0', '91.224.17.255', 1541410816, 1541411327, 'UA', 'Ukraine'),
(63218, '91.224.18.0', '91.224.23.255', 1541411328, 1541412863, 'RU', 'Russian Federation'),
(63219, '91.224.24.0', '91.224.25.255', 1541412864, 1541413375, 'UA', 'Ukraine'),
(63220, '91.224.26.0', '91.224.27.255', 1541413376, 1541413887, 'GB', 'United Kingdom'),
(63221, '91.224.28.0', '91.224.29.255', 1541413888, 1541414399, 'PL', 'Poland'),
(63222, '91.224.30.0', '91.224.31.255', 1541414400, 1541414911, 'UA', 'Ukraine'),
(63223, '91.224.32.0', '91.224.35.255', 1541414912, 1541415935, 'RU', 'Russian Federation'),
(63224, '91.224.36.0', '91.224.37.255', 1541415936, 1541416447, 'SE', 'Sweden'),
(63225, '91.224.38.0', '91.224.39.255', 1541416448, 1541416959, 'PL', 'Poland'),
(63226, '91.224.40.0', '91.224.41.255', 1541416960, 1541417471, 'RO', 'Romania'),
(63227, '91.224.42.0', '91.224.43.255', 1541417472, 1541417983, 'SK', 'Slovakia'),
(63228, '91.224.44.0', '91.224.45.255', 1541417984, 1541418495, 'UA', 'Ukraine'),
(63229, '91.224.46.0', '91.224.47.255', 1541418496, 1541419007, 'PL', 'Poland'),
(63230, '91.224.48.0', '91.224.49.255', 1541419008, 1541419519, 'CZ', 'Czech Republic'),
(63231, '91.224.50.0', '91.224.51.255', 1541419520, 1541420031, 'RO', 'Romania'),
(63232, '91.224.52.0', '91.224.53.255', 1541420032, 1541420543, 'RU', 'Russian Federation'),
(63233, '91.224.54.0', '91.224.55.255', 1541420544, 1541421055, 'NL', 'Netherlands'),
(63234, '91.224.56.0', '91.224.57.255', 1541421056, 1541421567, 'PL', 'Poland'),
(63235, '91.224.58.0', '91.224.59.255', 1541421568, 1541422079, 'CZ', 'Czech Republic'),
(63236, '91.224.60.0', '91.224.61.255', 1541422080, 1541422591, 'PL', 'Poland'),
(63237, '91.224.62.0', '91.224.63.255', 1541422592, 1541423103, 'RU', 'Russian Federation'),
(63238, '91.224.64.0', '91.224.65.255', 1541423104, 1541423615, 'UA', 'Ukraine'),
(63239, '91.224.66.0', '91.224.67.255', 1541423616, 1541424127, 'AT', 'Austria'),
(63240, '91.224.68.0', '91.224.69.255', 1541424128, 1541424639, 'UA', 'Ukraine'),
(63241, '91.224.70.0', '91.224.71.255', 1541424640, 1541425151, 'AT', 'Austria'),
(63242, '91.224.72.0', '91.224.73.255', 1541425152, 1541425663, 'IT', 'Italy'),
(63243, '91.224.74.0', '91.224.75.255', 1541425664, 1541426175, 'UA', 'Ukraine'),
(63244, '91.224.76.0', '91.224.77.255', 1541426176, 1541426687, 'RU', 'Russian Federation'),
(63245, '91.224.78.0', '91.224.79.255', 1541426688, 1541427199, 'UA', 'Ukraine'),
(63246, '91.224.80.0', '91.224.83.255', 1541427200, 1541428223, 'RU', 'Russian Federation'),
(63247, '91.224.84.0', '91.224.87.255', 1541428224, 1541429247, 'UA', 'Ukraine'),
(63248, '91.224.88.0', '91.224.89.255', 1541429248, 1541429759, 'FI', 'Finland'),
(63249, '91.224.90.0', '91.224.91.255', 1541429760, 1541430271, 'CZ', 'Czech Republic'),
(63250, '91.224.92.0', '91.224.93.255', 1541430272, 1541430783, 'LT', 'Lithuania'),
(63251, '91.224.94.0', '91.224.95.255', 1541430784, 1541431295, 'CH', 'Switzerland'),
(63252, '91.224.96.0', '91.224.97.255', 1541431296, 1541431807, 'UA', 'Ukraine'),
(63253, '91.224.98.0', '91.224.99.255', 1541431808, 1541432319, 'RU', 'Russian Federation'),
(63254, '91.224.100.0', '91.224.101.255', 1541432320, 1541432831, 'RO', 'Romania'),
(63255, '91.224.102.0', '91.224.103.255', 1541432832, 1541433343, 'RU', 'Russian Federation'),
(63256, '91.224.104.0', '91.224.105.255', 1541433344, 1541433855, 'PL', 'Poland'),
(63257, '91.224.106.0', '91.224.107.255', 1541433856, 1541434367, 'RU', 'Russian Federation'),
(63258, '91.224.108.0', '91.224.109.255', 1541434368, 1541434879, 'GB', 'United Kingdom'),
(63259, '91.224.110.0', '91.224.111.255', 1541434880, 1541435391, 'IR', 'Iran, Islamic Republic of'),
(63260, '91.224.112.0', '91.224.113.255', 1541435392, 1541435903, 'UA', 'Ukraine'),
(63261, '91.224.114.0', '91.224.115.255', 1541435904, 1541436415, 'RU', 'Russian Federation'),
(63262, '91.224.116.0', '91.224.121.255', 1541436416, 1541437951, 'PL', 'Poland'),
(63263, '91.224.122.0', '91.224.123.255', 1541437952, 1541438463, 'NL', 'Netherlands'),
(63264, '91.224.124.0', '91.224.127.255', 1541438464, 1541439487, 'RU', 'Russian Federation'),
(63265, '91.224.128.0', '91.224.129.255', 1541439488, 1541439999, 'PL', 'Poland'),
(63266, '91.224.130.0', '91.224.133.255', 1541440000, 1541441023, 'RU', 'Russian Federation'),
(63267, '91.224.134.0', '91.224.135.255', 1541441024, 1541441535, 'LT', 'Lithuania'),
(63268, '91.224.136.0', '91.224.139.255', 1541441536, 1541442559, 'RU', 'Russian Federation'),
(63269, '91.224.140.0', '91.224.141.255', 1541442560, 1541443071, 'NL', 'Netherlands'),
(63270, '91.224.142.0', '91.224.147.255', 1541443072, 1541444607, 'PL', 'Poland'),
(63271, '91.224.148.0', '91.224.149.255', 1541444608, 1541445119, 'FR', 'France'),
(63272, '91.224.150.0', '91.224.151.255', 1541445120, 1541445631, 'ES', 'Spain'),
(63273, '91.224.152.0', '91.224.153.255', 1541445632, 1541446143, 'GB', 'United Kingdom'),
(63274, '91.224.154.0', '91.224.155.255', 1541446144, 1541446655, 'RU', 'Russian Federation'),
(63275, '91.224.156.0', '91.224.157.255', 1541446656, 1541447167, 'UA', 'Ukraine'),
(63276, '91.224.158.0', '91.224.159.255', 1541447168, 1541447679, 'RU', 'Russian Federation'),
(63277, '91.224.160.0', '91.224.161.255', 1541447680, 1541448191, 'NL', 'Netherlands'),
(63278, '91.224.162.0', '91.224.163.255', 1541448192, 1541448703, 'FR', 'France'),
(63279, '91.224.164.0', '91.224.165.255', 1541448704, 1541449215, 'NL', 'Netherlands'),
(63280, '91.224.166.0', '91.224.167.255', 1541449216, 1541449727, 'RU', 'Russian Federation'),
(63281, '91.224.168.0', '91.224.169.255', 1541449728, 1541450239, 'UA', 'Ukraine'),
(63282, '91.224.170.0', '91.224.171.255', 1541450240, 1541450751, 'RU', 'Russian Federation'),
(63283, '91.224.172.0', '91.224.173.255', 1541450752, 1541451263, 'SI', 'Slovenia'),
(63284, '91.224.174.0', '91.224.175.255', 1541451264, 1541451775, 'DK', 'Denmark'),
(63285, '91.224.176.0', '91.224.177.255', 1541451776, 1541452287, 'IR', 'Iran, Islamic Republic of'),
(63286, '91.224.178.0', '91.224.179.255', 1541452288, 1541452799, 'UA', 'Ukraine'),
(63287, '91.224.180.0', '91.224.181.255', 1541452800, 1541453311, 'PL', 'Poland'),
(63288, '91.224.182.0', '91.224.183.255', 1541453312, 1541453823, 'RU', 'Russian Federation'),
(63289, '91.224.184.0', '91.224.185.255', 1541453824, 1541454335, 'PL', 'Poland'),
(63290, '91.224.186.0', '91.224.187.255', 1541454336, 1541454847, 'GB', 'United Kingdom'),
(63291, '91.224.188.0', '91.224.189.255', 1541454848, 1541455359, 'EE', 'Estonia'),
(63292, '91.224.190.0', '91.224.191.255', 1541455360, 1541455871, 'GB', 'United Kingdom'),
(63293, '91.224.192.0', '91.224.193.255', 1541455872, 1541456383, 'PL', 'Poland'),
(63294, '91.224.194.0', '91.224.195.255', 1541456384, 1541456895, 'RU', 'Russian Federation'),
(63295, '91.224.196.0', '91.224.199.255', 1541456896, 1541457919, 'PL', 'Poland'),
(63296, '91.224.200.0', '91.224.203.255', 1541457920, 1541458943, 'UA', 'Ukraine'),
(63297, '91.224.204.0', '91.224.205.255', 1541458944, 1541459455, 'RO', 'Romania'),
(63298, '91.224.206.0', '91.224.209.255', 1541459456, 1541460479, 'RU', 'Russian Federation'),
(63299, '91.224.210.0', '91.224.211.255', 1541460480, 1541460991, 'DK', 'Denmark'),
(63300, '91.224.212.0', '91.224.213.255', 1541460992, 1541461503, 'RO', 'Romania'),
(63301, '91.224.214.0', '91.224.217.255', 1541461504, 1541462527, 'PL', 'Poland'),
(63302, '91.224.218.0', '91.224.219.255', 1541462528, 1541463039, 'RU', 'Russian Federation'),
(63303, '91.224.220.0', '91.224.221.255', 1541463040, 1541463551, 'PL', 'Poland'),
(63304, '91.224.222.0', '91.224.223.255', 1541463552, 1541464063, 'UA', 'Ukraine'),
(63305, '91.224.224.0', '91.224.225.255', 1541464064, 1541464575, 'PL', 'Poland'),
(63306, '91.224.226.0', '91.224.227.255', 1541464576, 1541465087, 'DE', 'Germany'),
(63307, '91.224.228.0', '91.224.229.255', 1541465088, 1541465599, 'RU', 'Russian Federation'),
(63308, '91.224.230.0', '91.224.231.255', 1541465600, 1541466111, 'FR', 'France'),
(63309, '91.224.232.0', '91.224.235.255', 1541466112, 1541467135, 'RU', 'Russian Federation'),
(63310, '91.224.236.0', '91.224.237.255', 1541467136, 1541467647, 'PL', 'Poland'),
(63311, '91.224.238.0', '91.224.239.255', 1541467648, 1541468159, 'SI', 'Slovenia'),
(63312, '91.224.240.0', '91.224.241.255', 1541468160, 1541468671, 'ES', 'Spain'),
(63313, '91.224.242.0', '91.224.243.255', 1541468672, 1541469183, 'NL', 'Netherlands'),
(63314, '91.224.244.0', '91.224.245.255', 1541469184, 1541469695, 'SE', 'Sweden'),
(63315, '91.224.246.0', '91.224.247.255', 1541469696, 1541470207, 'LV', 'Latvia'),
(63316, '91.224.248.0', '91.224.249.255', 1541470208, 1541470719, 'NL', 'Netherlands'),
(63317, '91.224.250.0', '91.224.251.255', 1541470720, 1541471231, 'RS', 'Serbia'),
(63318, '91.224.252.0', '91.224.255.255', 1541471232, 1541472255, 'UA', 'Ukraine'),
(63319, '91.225.0.0', '91.225.3.255', 1541472256, 1541473279, 'GB', 'United Kingdom'),
(63320, '91.225.4.0', '91.225.7.255', 1541473280, 1541474303, 'UA', 'Ukraine'),
(63321, '91.225.8.0', '91.225.11.255', 1541474304, 1541475327, 'PL', 'Poland'),
(63322, '91.225.12.0', '91.225.15.255', 1541475328, 1541476351, 'RO', 'Romania'),
(63323, '91.225.16.0', '91.225.19.255', 1541476352, 1541477375, 'GB', 'United Kingdom'),
(63324, '91.225.20.0', '91.225.27.255', 1541477376, 1541479423, 'RU', 'Russian Federation'),
(63325, '91.225.28.0', '91.225.31.255', 1541479424, 1541480447, 'PL', 'Poland'),
(63326, '91.225.32.0', '91.225.35.255', 1541480448, 1541481471, 'RO', 'Romania'),
(63327, '91.225.36.0', '91.225.51.255', 1541481472, 1541485567, 'UA', 'Ukraine'),
(63328, '91.225.52.0', '91.225.55.255', 1541485568, 1541486591, 'IR', 'Iran, Islamic Republic of'),
(63329, '91.225.56.0', '91.225.59.255', 1541486592, 1541487615, 'UA', 'Ukraine'),
(63330, '91.225.60.0', '91.225.63.255', 1541487616, 1541488639, 'NO', 'Norway'),
(63331, '91.225.64.0', '91.225.67.255', 1541488640, 1541489663, 'PL', 'Poland'),
(63332, '91.225.68.0', '91.225.71.255', 1541489664, 1541490687, 'FI', 'Finland'),
(63333, '91.225.72.0', '91.225.75.255', 1541490688, 1541491711, 'UA', 'Ukraine'),
(63334, '91.225.76.0', '91.225.79.255', 1541491712, 1541492735, 'RU', 'Russian Federation'),
(63335, '91.225.80.0', '91.225.83.255', 1541492736, 1541493759, 'UA', 'Ukraine'),
(63336, '91.225.84.0', '91.225.87.255', 1541493760, 1541494783, 'CZ', 'Czech Republic'),
(63337, '91.225.88.0', '91.225.95.255', 1541494784, 1541496831, 'UA', 'Ukraine'),
(63338, '91.225.96.0', '91.225.99.255', 1541496832, 1541497855, 'SI', 'Slovenia'),
(63339, '91.225.100.0', '91.225.103.255', 1541497856, 1541498879, 'RU', 'Russian Federation'),
(63340, '91.225.104.0', '91.225.107.255', 1541498880, 1541499903, 'LT', 'Lithuania'),
(63341, '91.225.108.0', '91.225.111.255', 1541499904, 1541500927, 'UA', 'Ukraine'),
(63342, '91.225.112.0', '91.225.115.255', 1541500928, 1541501951, 'RU', 'Russian Federation'),
(63343, '91.225.116.0', '91.225.123.255', 1541501952, 1541503999, 'UA', 'Ukraine'),
(63344, '91.225.124.0', '91.225.131.255', 1541504000, 1541506047, 'RU', 'Russian Federation'),
(63345, '91.225.132.0', '91.225.135.255', 1541506048, 1541507071, 'PL', 'Poland'),
(63346, '91.225.136.0', '91.225.147.255', 1541507072, 1541510143, 'UA', 'Ukraine'),
(63347, '91.225.148.0', '91.225.151.255', 1541510144, 1541511167, 'RU', 'Russian Federation'),
(63348, '91.225.152.0', '91.225.155.255', 1541511168, 1541512191, 'UA', 'Ukraine'),
(63349, '91.225.156.0', '91.225.159.255', 1541512192, 1541513215, 'PL', 'Poland'),
(63350, '91.225.160.0', '91.225.175.255', 1541513216, 1541517311, 'UA', 'Ukraine'),
(63351, '91.225.176.0', '91.225.179.255', 1541517312, 1541518335, 'PL', 'Poland'),
(63352, '91.225.180.0', '91.225.183.255', 1541518336, 1541519359, 'IT', 'Italy'),
(63353, '91.225.184.0', '91.225.191.255', 1541519360, 1541521407, 'PL', 'Poland'),
(63354, '91.225.192.0', '91.225.195.255', 1541521408, 1541522431, 'RU', 'Russian Federation'),
(63355, '91.225.196.0', '91.225.203.255', 1541522432, 1541524479, 'UA', 'Ukraine'),
(63356, '91.225.204.0', '91.225.207.255', 1541524480, 1541525503, 'RO', 'Romania'),
(63357, '91.225.208.0', '91.225.219.255', 1541525504, 1541528575, 'RU', 'Russian Federation'),
(63358, '91.225.220.0', '91.225.235.255', 1541528576, 1541532671, 'UA', 'Ukraine'),
(63359, '91.225.236.0', '91.225.239.255', 1541532672, 1541533695, 'RU', 'Russian Federation'),
(63360, '91.225.240.0', '91.225.243.255', 1541533696, 1541534719, 'PL', 'Poland'),
(63361, '91.225.244.0', '91.225.247.255', 1541534720, 1541535743, 'IT', 'Italy'),
(63362, '91.225.248.0', '91.225.251.255', 1541535744, 1541536767, 'US', 'United States'),
(63363, '91.225.252.0', '91.225.255.255', 1541536768, 1541537791, 'RU', 'Russian Federation'),
(63364, '91.226.0.0', '91.226.1.255', 1541537792, 1541538303, 'GB', 'United Kingdom'),
(63365, '91.226.2.0', '91.226.3.255', 1541538304, 1541538815, 'RO', 'Romania'),
(63366, '91.226.4.0', '91.226.5.255', 1541538816, 1541539327, 'UA', 'Ukraine'),
(63367, '91.226.6.0', '91.226.7.255', 1541539328, 1541539839, 'PL', 'Poland'),
(63368, '91.226.8.0', '91.226.9.255', 1541539840, 1541540351, 'HR', 'Croatia'),
(63369, '91.226.10.0', '91.226.13.255', 1541540352, 1541541375, 'RU', 'Russian Federation'),
(63370, '91.226.14.0', '91.226.15.255', 1541541376, 1541541887, 'UA', 'Ukraine'),
(63371, '91.226.16.0', '91.226.17.255', 1541541888, 1541542399, 'PL', 'Poland'),
(63372, '91.226.18.0', '91.226.19.255', 1541542400, 1541542911, 'FR', 'France'),
(63373, '91.226.20.0', '91.226.21.255', 1541542912, 1541543423, 'MK', 'Macedonia'),
(63374, '91.226.22.0', '91.226.23.255', 1541543424, 1541543935, 'PL', 'Poland'),
(63375, '91.226.24.0', '91.226.25.255', 1541543936, 1541544447, 'GB', 'United Kingdom'),
(63376, '91.226.26.0', '91.226.27.255', 1541544448, 1541544959, 'PL', 'Poland'),
(63377, '91.226.28.0', '91.226.29.255', 1541544960, 1541545471, 'FR', 'France'),
(63378, '91.226.30.0', '91.226.31.255', 1541545472, 1541545983, 'RU', 'Russian Federation'),
(63379, '91.226.32.0', '91.226.33.255', 1541545984, 1541546495, 'LV', 'Latvia'),
(63380, '91.226.34.0', '91.226.35.255', 1541546496, 1541547007, 'UA', 'Ukraine'),
(63381, '91.226.36.0', '91.226.37.255', 1541547008, 1541547519, 'SE', 'Sweden'),
(63382, '91.226.38.0', '91.226.41.255', 1541547520, 1541548543, 'PL', 'Poland'),
(63383, '91.226.42.0', '91.226.45.255', 1541548544, 1541549567, 'UA', 'Ukraine'),
(63384, '91.226.46.0', '91.226.47.255', 1541549568, 1541550079, 'DE', 'Germany'),
(63385, '91.226.48.0', '91.226.49.255', 1541550080, 1541550591, 'RU', 'Russian Federation'),
(63386, '91.226.50.0', '91.226.51.255', 1541550592, 1541551103, 'PL', 'Poland'),
(63387, '91.226.52.0', '91.226.55.255', 1541551104, 1541552127, 'RO', 'Romania'),
(63388, '91.226.56.0', '91.226.59.255', 1541552128, 1541553151, 'UA', 'Ukraine'),
(63389, '91.226.60.0', '91.226.67.255', 1541553152, 1541555199, 'RU', 'Russian Federation'),
(63390, '91.226.68.0', '91.226.71.255', 1541555200, 1541556223, 'PL', 'Poland'),
(63391, '91.226.72.0', '91.226.72.255', 1541556224, 1541556479, 'UA', 'Ukraine'),
(63392, '91.226.73.0', '91.226.73.255', 1541556480, 1541556735, 'RU', 'Russian Federation'),
(63393, '91.226.74.0', '91.226.75.255', 1541556736, 1541557247, 'IT', 'Italy'),
(63394, '91.226.76.0', '91.226.76.255', 1541557248, 1541557503, 'RU', 'Russian Federation'),
(63395, '91.226.77.0', '91.226.77.255', 1541557504, 1541557759, 'SI', 'Slovenia'),
(63396, '91.226.78.0', '91.226.78.255', 1541557760, 1541558015, 'RU', 'Russian Federation'),
(63397, '91.226.79.0', '91.226.79.255', 1541558016, 1541558271, 'HU', 'Hungary'),
(63398, '91.226.80.0', '91.226.83.255', 1541558272, 1541559295, 'RU', 'Russian Federation'),
(63399, '91.226.84.0', '91.226.87.255', 1541559296, 1541560319, 'RO', 'Romania'),
(63400, '91.226.88.0', '91.226.91.255', 1541560320, 1541561343, 'DE', 'Germany'),
(63401, '91.226.92.0', '91.226.97.255', 1541561344, 1541562879, 'RU', 'Russian Federation'),
(63402, '91.226.98.0', '91.226.98.255', 1541562880, 1541563135, 'FR', 'France'),
(63403, '91.226.99.0', '91.226.99.255', 1541563136, 1541563391, 'NL', 'Netherlands'),
(63404, '91.226.100.0', '91.226.103.255', 1541563392, 1541564415, 'PL', 'Poland'),
(63405, '91.226.104.0', '91.226.107.255', 1541564416, 1541565439, 'RU', 'Russian Federation'),
(63406, '91.226.108.0', '91.226.109.255', 1541565440, 1541565951, 'IT', 'Italy'),
(63407, '91.226.110.0', '91.226.111.255', 1541565952, 1541566463, 'PL', 'Poland'),
(63408, '91.226.112.0', '91.226.115.255', 1541566464, 1541567487, 'SK', 'Slovakia'),
(63409, '91.226.116.0', '91.226.116.255', 1541567488, 1541567743, 'RU', 'Russian Federation'),
(63410, '91.226.117.0', '91.226.117.255', 1541567744, 1541567999, 'PL', 'Poland'),
(63411, '91.226.118.0', '91.226.119.255', 1541568000, 1541568511, 'SE', 'Sweden'),
(63412, '91.226.120.0', '91.226.123.255', 1541568512, 1541569535, 'RU', 'Russian Federation'),
(63413, '91.226.124.0', '91.226.127.255', 1541569536, 1541570559, 'NL', 'Netherlands'),
(63414, '91.226.128.0', '91.226.131.255', 1541570560, 1541571583, 'RU', 'Russian Federation'),
(63415, '91.226.132.0', '91.226.135.255', 1541571584, 1541572607, 'UA', 'Ukraine'),
(63416, '91.226.136.0', '91.226.137.255', 1541572608, 1541573119, 'RU', 'Russian Federation'),
(63417, '91.226.138.0', '91.226.139.255', 1541573120, 1541573631, 'UA', 'Ukraine'),
(63418, '91.226.140.0', '91.226.143.255', 1541573632, 1541574655, 'RU', 'Russian Federation'),
(63419, '91.226.144.0', '91.226.145.255', 1541574656, 1541575167, 'DK', 'Denmark'),
(63420, '91.226.146.0', '91.226.146.255', 1541575168, 1541575423, 'PL', 'Poland'),
(63421, '91.226.147.0', '91.226.147.255', 1541575424, 1541575679, 'IT', 'Italy'),
(63422, '91.226.148.0', '91.226.155.255', 1541575680, 1541577727, 'RU', 'Russian Federation'),
(63423, '91.226.156.0', '91.226.159.255', 1541577728, 1541578751, 'AT', 'Austria'),
(63424, '91.226.160.0', '91.226.160.255', 1541578752, 1541579007, 'GB', 'United Kingdom'),
(63425, '91.226.161.0', '91.226.161.255', 1541579008, 1541579263, 'RU', 'Russian Federation'),
(63426, '91.226.162.0', '91.226.163.255', 1541579264, 1541579775, 'DE', 'Germany'),
(63427, '91.226.164.0', '91.226.167.255', 1541579776, 1541580799, 'RU', 'Russian Federation'),
(63428, '91.226.168.0', '91.226.169.255', 1541580800, 1541581311, 'KZ', 'Kazakhstan'),
(63429, '91.226.170.0', '91.226.170.255', 1541581312, 1541581567, 'HR', 'Croatia'),
(63430, '91.226.171.0', '91.226.175.255', 1541581568, 1541582847, 'RU', 'Russian Federation'),
(63431, '91.226.176.0', '91.226.177.255', 1541582848, 1541583359, 'ES', 'Spain'),
(63432, '91.226.178.0', '91.226.178.255', 1541583360, 1541583615, 'RU', 'Russian Federation'),
(63433, '91.226.179.0', '91.226.179.255', 1541583616, 1541583871, 'GE', 'Georgia'),
(63434, '91.226.180.0', '91.226.180.255', 1541583872, 1541584127, 'SE', 'Sweden'),
(63435, '91.226.181.0', '91.226.181.255', 1541584128, 1541584383, 'GB', 'United Kingdom'),
(63436, '91.226.182.0', '91.226.183.255', 1541584384, 1541584895, 'BE', 'Belgium'),
(63437, '91.226.184.0', '91.226.184.255', 1541584896, 1541585151, 'DE', 'Germany'),
(63438, '91.226.185.0', '91.226.186.255', 1541585152, 1541585663, 'RU', 'Russian Federation'),
(63439, '91.226.187.0', '91.226.187.255', 1541585664, 1541585919, 'UA', 'Ukraine'),
(63440, '91.226.188.0', '91.226.189.255', 1541585920, 1541586431, 'RU', 'Russian Federation'),
(63441, '91.226.190.0', '91.226.192.255', 1541586432, 1541587199, 'UA', 'Ukraine'),
(63442, '91.226.193.0', '91.226.193.255', 1541587200, 1541587455, 'FR', 'France'),
(63443, '91.226.194.0', '91.226.199.255', 1541587456, 1541588991, 'PL', 'Poland'),
(63444, '91.226.200.0', '91.226.200.255', 1541588992, 1541589247, 'RU', 'Russian Federation'),
(63445, '91.226.201.0', '91.226.201.255', 1541589248, 1541589503, 'UA', 'Ukraine'),
(63446, '91.226.202.0', '91.226.203.255', 1541589504, 1541590015, 'CH', 'Switzerland'),
(63447, '91.226.204.0', '91.226.205.255', 1541590016, 1541590527, 'RU', 'Russian Federation'),
(63448, '91.226.206.0', '91.226.206.255', 1541590528, 1541590783, 'GB', 'United Kingdom'),
(63449, '91.226.207.0', '91.226.207.255', 1541590784, 1541591039, 'UA', 'Ukraine'),
(63450, '91.226.208.0', '91.226.211.255', 1541591040, 1541592063, 'RU', 'Russian Federation'),
(63451, '91.226.212.0', '91.226.213.255', 1541592064, 1541592575, 'UA', 'Ukraine'),
(63452, '91.226.214.0', '91.226.215.255', 1541592576, 1541593087, 'FR', 'France'),
(63453, '91.226.216.0', '91.226.219.255', 1541593088, 1541594111, 'CZ', 'Czech Republic'),
(63454, '91.226.220.0', '91.226.220.255', 1541594112, 1541594367, 'AL', 'Albania'),
(63455, '91.226.221.0', '91.226.223.255', 1541594368, 1541595135, 'RU', 'Russian Federation'),
(63456, '91.226.224.0', '91.226.225.255', 1541595136, 1541595647, 'IR', 'Iran, Islamic Republic of'),
(63457, '91.226.226.0', '91.226.227.255', 1541595648, 1541596159, 'BG', 'Bulgaria'),
(63458, '91.226.228.0', '91.226.233.255', 1541596160, 1541597695, 'PL', 'Poland'),
(63459, '91.226.234.0', '91.226.234.255', 1541597696, 1541597951, 'RU', 'Russian Federation'),
(63460, '91.226.235.0', '91.226.235.255', 1541597952, 1541598207, 'AM', 'Armenia'),
(63461, '91.226.236.0', '91.226.239.255', 1541598208, 1541599231, 'PL', 'Poland'),
(63462, '91.226.240.0', '91.226.243.255', 1541599232, 1541600255, 'RS', 'Serbia'),
(63463, '91.226.244.0', '91.226.244.255', 1541600256, 1541600511, 'HR', 'Croatia'),
(63464, '91.226.245.0', '91.226.245.255', 1541600512, 1541600767, 'IL', 'Israel'),
(63465, '91.226.246.0', '91.226.246.255', 1541600768, 1541601023, 'SI', 'Slovenia'),
(63466, '91.226.247.0', '91.226.247.255', 1541601024, 1541601279, 'RU', 'Russian Federation'),
(63467, '91.226.248.0', '91.226.249.255', 1541601280, 1541601791, 'DE', 'Germany'),
(63468, '91.226.250.0', '91.226.250.255', 1541601792, 1541602047, 'RU', 'Russian Federation'),
(63469, '91.226.251.0', '91.226.251.255', 1541602048, 1541602303, 'PL', 'Poland'),
(63470, '91.226.252.0', '91.226.255.255', 1541602304, 1541603327, 'UA', 'Ukraine'),
(63471, '91.227.0.0', '91.227.3.255', 1541603328, 1541604351, 'PL', 'Poland'),
(63472, '91.227.4.0', '91.227.6.255', 1541604352, 1541605119, 'TR', 'Turkey'),
(63473, '91.227.7.0', '91.227.7.255', 1541605120, 1541605375, 'CZ', 'Czech Republic'),
(63474, '91.227.8.0', '91.227.13.255', 1541605376, 1541606911, 'RU', 'Russian Federation'),
(63475, '91.227.14.0', '91.227.15.255', 1541606912, 1541607423, 'UZ', 'Uzbekistan'),
(63476, '91.227.16.0', '91.227.19.255', 1541607424, 1541608447, 'RU', 'Russian Federation'),
(63477, '91.227.20.0', '91.227.20.255', 1541608448, 1541608703, 'DE', 'Germany'),
(63478, '91.227.21.0', '91.227.21.255', 1541608704, 1541608959, 'PL', 'Poland'),
(63479, '91.227.22.0', '91.227.22.255', 1541608960, 1541609215, 'SA', 'Saudi Arabia'),
(63480, '91.227.23.0', '91.227.23.255', 1541609216, 1541609471, 'RU', 'Russian Federation'),
(63481, '91.227.24.0', '91.227.25.255', 1541609472, 1541609983, 'SA', 'Saudi Arabia'),
(63482, '91.227.26.0', '91.227.26.255', 1541609984, 1541610239, 'GB', 'United Kingdom'),
(63483, '91.227.27.0', '91.227.27.255', 1541610240, 1541610495, 'NL', 'Netherlands'),
(63484, '91.227.28.0', '91.227.32.255', 1541610496, 1541611775, 'RU', 'Russian Federation'),
(63485, '91.227.33.0', '91.227.33.255', 1541611776, 1541612031, 'RO', 'Romania'),
(63486, '91.227.34.0', '91.227.35.255', 1541612032, 1541612543, 'RU', 'Russian Federation'),
(63487, '91.227.36.0', '91.227.41.255', 1541612544, 1541614079, 'PL', 'Poland'),
(63488, '91.227.42.0', '91.227.42.255', 1541614080, 1541614335, 'UA', 'Ukraine'),
(63489, '91.227.43.0', '91.227.43.255', 1541614336, 1541614591, 'SI', 'Slovenia'),
(63490, '91.227.44.0', '91.227.47.255', 1541614592, 1541615615, 'RU', 'Russian Federation'),
(63491, '91.227.48.0', '91.227.48.255', 1541615616, 1541615871, 'CH', 'Switzerland'),
(63492, '91.227.49.0', '91.227.49.255', 1541615872, 1541616127, 'SE', 'Sweden'),
(63493, '91.227.50.0', '91.227.55.255', 1541616128, 1541617663, 'RU', 'Russian Federation'),
(63494, '91.227.56.0', '91.227.61.255', 1541617664, 1541619199, 'PL', 'Poland'),
(63495, '91.227.62.0', '91.227.62.255', 1541619200, 1541619455, 'GB', 'United Kingdom'),
(63496, '91.227.63.0', '91.227.67.255', 1541619456, 1541620735, 'PL', 'Poland'),
(63497, '91.227.68.0', '91.227.68.255', 1541620736, 1541620991, 'RU', 'Russian Federation'),
(63498, '91.227.69.0', '91.227.69.255', 1541620992, 1541621247, 'UA', 'Ukraine'),
(63499, '91.227.70.0', '91.227.71.255', 1541621248, 1541621759, 'IL', 'Israel'),
(63500, '91.227.72.0', '91.227.73.255', 1541621760, 1541622271, 'RO', 'Romania'),
(63501, '91.227.74.0', '91.227.74.255', 1541622272, 1541622527, 'RU', 'Russian Federation'),
(63502, '91.227.75.0', '91.227.75.255', 1541622528, 1541622783, 'NL', 'Netherlands'),
(63503, '91.227.76.0', '91.227.77.255', 1541622784, 1541623295, 'PL', 'Poland'),
(63504, '91.227.78.0', '91.227.78.255', 1541623296, 1541623551, 'GB', 'United Kingdom'),
(63505, '91.227.79.0', '91.227.79.255', 1541623552, 1541623807, 'RU', 'Russian Federation'),
(63506, '91.227.80.0', '91.227.83.255', 1541623808, 1541624831, 'PL', 'Poland'),
(63507, '91.227.84.0', '91.227.87.255', 1541624832, 1541625855, 'RU', 'Russian Federation'),
(63508, '91.227.88.0', '91.227.89.255', 1541625856, 1541626367, 'PL', 'Poland'),
(63509, '91.227.90.0', '91.227.90.255', 1541626368, 1541626623, 'RO', 'Romania'),
(63510, '91.227.91.0', '91.227.95.255', 1541626624, 1541627903, 'RU', 'Russian Federation'),
(63511, '91.227.96.0', '91.227.97.255', 1541627904, 1541628415, 'CZ', 'Czech Republic'),
(63512, '91.227.98.0', '91.227.99.255', 1541628416, 1541628927, 'DE', 'Germany'),
(63513, '91.227.100.0', '91.227.100.255', 1541628928, 1541629183, 'PT', 'Portugal'),
(63514, '91.227.101.0', '91.227.101.255', 1541629184, 1541629439, 'LV', 'Latvia'),
(63515, '91.227.102.0', '91.227.107.255', 1541629440, 1541630975, 'PL', 'Poland'),
(63516, '91.227.108.0', '91.227.108.255', 1541630976, 1541631231, 'GR', 'Greece'),
(63517, '91.227.109.0', '91.227.109.255', 1541631232, 1541631487, 'IT', 'Italy'),
(63518, '91.227.110.0', '91.227.111.255', 1541631488, 1541631999, 'SI', 'Slovenia'),
(63519, '91.227.112.0', '91.227.113.255', 1541632000, 1541632511, 'RU', 'Russian Federation'),
(63520, '91.227.114.0', '91.227.114.255', 1541632512, 1541632767, 'NL', 'Netherlands'),
(63521, '91.227.115.0', '91.227.120.255', 1541632768, 1541634303, 'PL', 'Poland'),
(63522, '91.227.121.0', '91.227.121.255', 1541634304, 1541634559, 'MD', 'Moldova, Republic of'),
(63523, '91.227.122.0', '91.227.123.255', 1541634560, 1541635071, 'PL', 'Poland'),
(63524, '91.227.124.0', '91.227.127.255', 1541635072, 1541636095, 'GB', 'United Kingdom'),
(63525, '91.227.128.0', '91.227.130.255', 1541636096, 1541636863, 'AT', 'Austria'),
(63526, '91.227.131.0', '91.227.131.255', 1541636864, 1541637119, 'RO', 'Romania'),
(63527, '91.227.132.0', '91.227.133.255', 1541637120, 1541637631, 'PL', 'Poland'),
(63528, '91.227.134.0', '91.227.135.255', 1541637632, 1541638143, 'CZ', 'Czech Republic'),
(63529, '91.227.136.0', '91.227.136.255', 1541638144, 1541638399, 'RU', 'Russian Federation'),
(63530, '91.227.137.0', '91.227.137.255', 1541638400, 1541638655, 'FR', 'France'),
(63531, '91.227.138.0', '91.227.139.255', 1541638656, 1541639167, 'HU', 'Hungary'),
(63532, '91.227.140.0', '91.227.143.255', 1541639168, 1541640191, 'RU', 'Russian Federation'),
(63533, '91.227.144.0', '91.227.147.255', 1541640192, 1541641215, 'KZ', 'Kazakhstan'),
(63534, '91.227.148.0', '91.227.149.255', 1541641216, 1541641727, 'RU', 'Russian Federation'),
(63535, '91.227.150.0', '91.227.151.255', 1541641728, 1541642239, 'UA', 'Ukraine'),
(63536, '91.227.152.0', '91.227.155.255', 1541642240, 1541643263, 'RU', 'Russian Federation'),
(63537, '91.227.156.0', '91.227.159.255', 1541643264, 1541644287, 'PL', 'Poland'),
(63538, '91.227.160.0', '91.227.163.255', 1541644288, 1541645311, 'RU', 'Russian Federation'),
(63539, '91.227.164.0', '91.227.165.255', 1541645312, 1541645823, 'IL', 'Israel'),
(63540, '91.227.166.0', '91.227.166.255', 1541645824, 1541646079, 'RO', 'Romania'),
(63541, '91.227.167.0', '91.227.167.255', 1541646080, 1541646335, 'PL', 'Poland'),
(63542, '91.227.168.0', '91.227.169.255', 1541646336, 1541646847, 'RU', 'Russian Federation'),
(63543, '91.227.170.0', '91.227.171.255', 1541646848, 1541647359, 'NO', 'Norway'),
(63544, '91.227.172.0', '91.227.175.255', 1541647360, 1541648383, 'RU', 'Russian Federation'),
(63545, '91.227.176.0', '91.227.176.255', 1541648384, 1541648639, 'PL', 'Poland'),
(63546, '91.227.177.0', '91.227.177.255', 1541648640, 1541648895, 'DK', 'Denmark'),
(63547, '91.227.178.0', '91.227.178.255', 1541648896, 1541649151, 'GB', 'United Kingdom'),
(63548, '91.227.179.0', '91.227.179.255', 1541649152, 1541649407, 'NL', 'Netherlands'),
(63549, '91.227.180.0', '91.227.183.255', 1541649408, 1541650431, 'UA', 'Ukraine'),
(63550, '91.227.184.0', '91.227.184.255', 1541650432, 1541650687, 'RU', 'Russian Federation'),
(63551, '91.227.185.0', '91.227.185.255', 1541650688, 1541650943, 'MD', 'Moldova, Republic of'),
(63552, '91.227.186.0', '91.227.186.255', 1541650944, 1541651199, 'SE', 'Sweden'),
(63553, '91.227.187.0', '91.227.187.255', 1541651200, 1541651455, 'FI', 'Finland'),
(63554, '91.227.188.0', '91.227.191.255', 1541651456, 1541652479, 'RU', 'Russian Federation'),
(63555, '91.227.192.0', '91.227.193.255', 1541652480, 1541652991, 'FI', 'Finland'),
(63556, '91.227.194.0', '91.227.194.255', 1541652992, 1541653247, 'FR', 'France'),
(63557, '91.227.195.0', '91.227.195.255', 1541653248, 1541653503, 'CZ', 'Czech Republic'),
(63558, '91.227.196.0', '91.227.197.255', 1541653504, 1541654015, 'PL', 'Poland'),
(63559, '91.227.198.0', '91.227.198.255', 1541654016, 1541654271, 'RU', 'Russian Federation'),
(63560, '91.227.199.0', '91.227.203.255', 1541654272, 1541655551, 'PL', 'Poland'),
(63561, '91.227.204.0', '91.227.205.255', 1541655552, 1541656063, 'AT', 'Austria'),
(63562, '91.227.206.0', '91.227.207.255', 1541656064, 1541656575, 'UA', 'Ukraine'),
(63563, '91.227.208.0', '91.227.208.255', 1541656576, 1541656831, 'SE', 'Sweden'),
(63564, '91.227.209.0', '91.227.209.255', 1541656832, 1541657087, 'BE', 'Belgium'),
(63565, '91.227.210.0', '91.227.211.255', 1541657088, 1541657599, 'RU', 'Russian Federation'),
(63566, '91.227.212.0', '91.227.219.255', 1541657600, 1541659647, 'PL', 'Poland'),
(63567, '91.227.220.0', '91.227.223.255', 1541659648, 1541660671, 'GB', 'United Kingdom'),
(63568, '91.227.224.0', '91.227.227.255', 1541660672, 1541661695, 'SK', 'Slovakia'),
(63569, '91.227.228.0', '91.227.228.255', 1541661696, 1541661951, 'RU', 'Russian Federation'),
(63570, '91.227.229.0', '91.227.229.255', 1541661952, 1541662207, 'NL', 'Netherlands'),
(63571, '91.227.230.0', '91.227.231.255', 1541662208, 1541662719, 'RO', 'Romania'),
(63572, '91.227.232.0', '91.227.235.255', 1541662720, 1541663743, 'CZ', 'Czech Republic'),
(63573, '91.227.236.0', '91.227.239.255', 1541663744, 1541664767, 'RO', 'Romania'),
(63574, '91.227.240.0', '91.227.244.255', 1541664768, 1541666047, 'RU', 'Russian Federation'),
(63575, '91.227.245.0', '91.227.247.255', 1541666048, 1541666815, 'GB', 'United Kingdom'),
(63576, '91.227.248.0', '91.227.251.255', 1541666816, 1541667839, 'NO', 'Norway'),
(63577, '91.227.252.0', '91.227.252.255', 1541667840, 1541668095, 'CH', 'Switzerland'),
(63578, '91.227.253.0', '91.227.253.255', 1541668096, 1541668351, 'GB', 'United Kingdom'),
(63579, '91.227.254.0', '91.227.254.255', 1541668352, 1541668607, 'UA', 'Ukraine'),
(63580, '91.227.255.0', '91.227.255.255', 1541668608, 1541668863, 'GE', 'Georgia'),
(63581, '91.228.0.0', '91.228.3.255', 1541668864, 1541669887, 'A1', 'Anonymous Proxy'),
(63582, '91.228.4.0', '91.228.7.255', 1541669888, 1541670911, 'LV', 'Latvia'),
(63583, '91.228.8.0', '91.228.9.255', 1541670912, 1541671423, 'PL', 'Poland'),
(63584, '91.228.10.0', '91.228.10.255', 1541671424, 1541671679, 'RU', 'Russian Federation'),
(63585, '91.228.11.0', '91.228.11.255', 1541671680, 1541671935, 'PL', 'Poland'),
(63586, '91.228.12.0', '91.228.15.255', 1541671936, 1541672959, 'UA', 'Ukraine'),
(63587, '91.228.16.0', '91.228.21.255', 1541672960, 1541674495, 'RS', 'Serbia'),
(63588, '91.228.22.0', '91.228.23.255', 1541674496, 1541675007, 'KG', 'Kyrgyzstan'),
(63589, '91.228.24.0', '91.228.25.255', 1541675008, 1541675519, 'IE', 'Ireland'),
(63590, '91.228.26.0', '91.228.27.255', 1541675520, 1541676031, 'RU', 'Russian Federation'),
(63591, '91.228.28.0', '91.228.28.255', 1541676032, 1541676287, 'PL', 'Poland'),
(63592, '91.228.29.0', '91.228.29.255', 1541676288, 1541676543, 'RO', 'Romania'),
(63593, '91.228.30.0', '91.228.31.255', 1541676544, 1541677055, 'RU', 'Russian Federation'),
(63594, '91.228.32.0', '91.228.35.255', 1541677056, 1541678079, 'PL', 'Poland'),
(63595, '91.228.36.0', '91.228.37.255', 1541678080, 1541678591, 'RO', 'Romania'),
(63596, '91.228.38.0', '91.228.38.255', 1541678592, 1541678847, 'BG', 'Bulgaria'),
(63597, '91.228.39.0', '91.228.41.255', 1541678848, 1541679615, 'RU', 'Russian Federation'),
(63598, '91.228.42.0', '91.228.43.255', 1541679616, 1541680127, 'PL', 'Poland'),
(63599, '91.228.44.0', '91.228.47.255', 1541680128, 1541681151, 'CZ', 'Czech Republic'),
(63600, '91.228.48.0', '91.228.51.255', 1541681152, 1541682175, 'RU', 'Russian Federation'),
(63601, '91.228.52.0', '91.228.53.255', 1541682176, 1541682687, 'DE', 'Germany'),
(63602, '91.228.54.0', '91.228.55.255', 1541682688, 1541683199, 'RU', 'Russian Federation'),
(63603, '91.228.56.0', '91.228.56.255', 1541683200, 1541683455, 'PL', 'Poland'),
(63604, '91.228.57.0', '91.228.57.255', 1541683456, 1541683711, 'RU', 'Russian Federation'),
(63605, '91.228.58.0', '91.228.59.255', 1541683712, 1541684223, 'UA', 'Ukraine'),
(63606, '91.228.60.0', '91.228.61.255', 1541684224, 1541684735, 'CH', 'Switzerland'),
(63607, '91.228.62.0', '91.228.67.255', 1541684736, 1541686271, 'RU', 'Russian Federation'),
(63608, '91.228.68.0', '91.228.71.255', 1541686272, 1541687295, 'UA', 'Ukraine'),
(63609, '91.228.72.0', '91.228.75.255', 1541687296, 1541688319, 'GB', 'United Kingdom'),
(63610, '91.228.76.0', '91.228.77.255', 1541688320, 1541688831, 'RU', 'Russian Federation'),
(63611, '91.228.78.0', '91.228.79.255', 1541688832, 1541689343, 'GB', 'United Kingdom'),
(63612, '91.228.80.0', '91.228.83.255', 1541689344, 1541690367, 'PL', 'Poland'),
(63613, '91.228.84.0', '91.228.87.255', 1541690368, 1541691391, 'LT', 'Lithuania'),
(63614, '91.228.88.0', '91.228.89.255', 1541691392, 1541691903, 'PL', 'Poland'),
(63615, '91.228.90.0', '91.228.90.255', 1541691904, 1541692159, 'SE', 'Sweden'),
(63616, '91.228.91.0', '91.228.91.255', 1541692160, 1541692415, 'ES', 'Spain'),
(63617, '91.228.92.0', '91.228.95.255', 1541692416, 1541693439, 'PL', 'Poland'),
(63618, '91.228.96.0', '91.228.99.255', 1541693440, 1541694463, 'RU', 'Russian Federation'),
(63619, '91.228.100.0', '91.228.100.255', 1541694464, 1541694719, 'CZ', 'Czech Republic'),
(63620, '91.228.101.0', '91.228.101.255', 1541694720, 1541694975, 'DE', 'Germany'),
(63621, '91.228.102.0', '91.228.103.255', 1541694976, 1541695487, 'RU', 'Russian Federation'),
(63622, '91.228.104.0', '91.228.107.255', 1541695488, 1541696511, 'DE', 'Germany'),
(63623, '91.228.108.0', '91.228.111.255', 1541696512, 1541697535, 'MD', 'Moldova, Republic of'),
(63624, '91.228.112.0', '91.228.113.255', 1541697536, 1541698047, 'PL', 'Poland'),
(63625, '91.228.114.0', '91.228.114.255', 1541698048, 1541698303, 'DK', 'Denmark'),
(63626, '91.228.115.0', '91.228.115.255', 1541698304, 1541698559, 'GB', 'United Kingdom'),
(63627, '91.228.116.0', '91.228.118.255', 1541698560, 1541699327, 'RU', 'Russian Federation'),
(63628, '91.228.119.0', '91.228.119.255', 1541699328, 1541699583, 'RO', 'Romania'),
(63629, '91.228.120.0', '91.228.121.255', 1541699584, 1541700095, 'RU', 'Russian Federation'),
(63630, '91.228.122.0', '91.228.123.255', 1541700096, 1541700607, 'UA', 'Ukraine'),
(63631, '91.228.124.0', '91.228.124.255', 1541700608, 1541700863, 'RU', 'Russian Federation'),
(63632, '91.228.125.0', '91.228.125.255', 1541700864, 1541701119, 'PL', 'Poland'),
(63633, '91.228.126.0', '91.228.127.255', 1541701120, 1541701631, 'IL', 'Israel'),
(63634, '91.228.128.0', '91.228.131.255', 1541701632, 1541702655, 'RO', 'Romania'),
(63635, '91.228.132.0', '91.228.135.255', 1541702656, 1541703679, 'RU', 'Russian Federation'),
(63636, '91.228.136.0', '91.228.139.255', 1541703680, 1541704703, 'PL', 'Poland'),
(63637, '91.228.140.0', '91.228.145.255', 1541704704, 1541706239, 'RO', 'Romania'),
(63638, '91.228.146.0', '91.228.147.255', 1541706240, 1541706751, 'UA', 'Ukraine'),
(63639, '91.228.148.0', '91.228.149.255', 1541706752, 1541707263, 'RU', 'Russian Federation'),
(63640, '91.228.150.0', '91.228.150.255', 1541707264, 1541707519, 'CH', 'Switzerland'),
(63641, '91.228.151.0', '91.228.151.255', 1541707520, 1541707775, 'NL', 'Netherlands'),
(63642, '91.228.152.0', '91.228.155.255', 1541707776, 1541708799, 'RU', 'Russian Federation'),
(63643, '91.228.156.0', '91.228.159.255', 1541708800, 1541709823, 'PL', 'Poland'),
(63644, '91.228.160.0', '91.228.161.255', 1541709824, 1541710335, 'RU', 'Russian Federation'),
(63645, '91.228.162.0', '91.228.163.255', 1541710336, 1541710847, 'IL', 'Israel'),
(63646, '91.228.164.0', '91.228.167.255', 1541710848, 1541711871, 'SK', 'Slovakia'),
(63647, '91.228.168.0', '91.228.168.255', 1541711872, 1541712127, 'FR', 'France'),
(63648, '91.228.169.0', '91.228.169.255', 1541712128, 1541712383, 'TR', 'Turkey'),
(63649, '91.228.170.0', '91.228.171.255', 1541712384, 1541712895, 'DE', 'Germany'),
(63650, '91.228.172.0', '91.228.175.255', 1541712896, 1541713919, 'RU', 'Russian Federation'),
(63651, '91.228.176.0', '91.228.176.255', 1541713920, 1541714175, 'NL', 'Netherlands'),
(63652, '91.228.177.0', '91.228.184.255', 1541714176, 1541716223, 'RU', 'Russian Federation'),
(63653, '91.228.185.0', '91.228.185.255', 1541716224, 1541716479, 'PL', 'Poland'),
(63654, '91.228.186.0', '91.228.187.255', 1541716480, 1541716991, 'UA', 'Ukraine'),
(63655, '91.228.188.0', '91.228.188.255', 1541716992, 1541717247, 'FR', 'France'),
(63656, '91.228.189.0', '91.228.189.255', 1541717248, 1541717503, 'IR', 'Iran, Islamic Republic of'),
(63657, '91.228.190.0', '91.228.191.255', 1541717504, 1541718015, 'DE', 'Germany'),
(63658, '91.228.192.0', '91.228.192.255', 1541718016, 1541718271, 'KZ', 'Kazakhstan'),
(63659, '91.228.193.0', '91.228.195.255', 1541718272, 1541719039, 'NO', 'Norway'),
(63660, '91.228.196.0', '91.228.199.255', 1541719040, 1541720063, 'PL', 'Poland'),
(63661, '91.228.200.0', '91.228.203.255', 1541720064, 1541721087, 'RU', 'Russian Federation'),
(63662, '91.228.204.0', '91.228.204.255', 1541721088, 1541721343, 'PL', 'Poland'),
(63663, '91.228.205.0', '91.228.205.255', 1541721344, 1541721599, 'RU', 'Russian Federation'),
(63664, '91.228.206.0', '91.228.206.255', 1541721600, 1541721855, 'GB', 'United Kingdom'),
(63665, '91.228.207.0', '91.228.207.255', 1541721856, 1541722111, 'SI', 'Slovenia'),
(63666, '91.228.208.0', '91.228.211.255', 1541722112, 1541723135, 'RU', 'Russian Federation'),
(63667, '91.228.212.0', '91.228.213.255', 1541723136, 1541723647, 'HU', 'Hungary'),
(63668, '91.228.214.0', '91.228.214.255', 1541723648, 1541723903, 'NO', 'Norway'),
(63669, '91.228.215.0', '91.228.215.255', 1541723904, 1541724159, 'BE', 'Belgium'),
(63670, '91.228.216.0', '91.228.219.255', 1541724160, 1541725183, 'CZ', 'Czech Republic'),
(63671, '91.228.220.0', '91.228.227.255', 1541725184, 1541727231, 'RU', 'Russian Federation'),
(63672, '91.228.228.0', '91.228.229.255', 1541727232, 1541727743, 'UA', 'Ukraine'),
(63673, '91.228.230.0', '91.228.230.255', 1541727744, 1541727999, 'RU', 'Russian Federation'),
(63674, '91.228.231.0', '91.228.231.255', 1541728000, 1541728255, 'UA', 'Ukraine'),
(63675, '91.228.232.0', '91.228.234.255', 1541728256, 1541729023, 'GB', 'United Kingdom'),
(63676, '91.228.235.0', '91.228.235.255', 1541729024, 1541729279, 'DE', 'Germany'),
(63677, '91.228.236.0', '91.228.236.255', 1541729280, 1541729535, 'UA', 'Ukraine'),
(63678, '91.228.237.0', '91.228.237.255', 1541729536, 1541729791, 'PL', 'Poland'),
(63679, '91.228.238.0', '91.228.239.255', 1541729792, 1541730303, 'RU', 'Russian Federation'),
(63680, '91.228.240.0', '91.228.241.255', 1541730304, 1541730815, 'ES', 'Spain'),
(63681, '91.228.242.0', '91.228.242.255', 1541730816, 1541731071, 'GB', 'United Kingdom'),
(63682, '91.228.243.0', '91.228.243.255', 1541731072, 1541731327, 'DE', 'Germany'),
(63683, '91.228.244.0', '91.228.245.255', 1541731328, 1541731839, 'SK', 'Slovakia'),
(63684, '91.228.246.0', '91.228.247.255', 1541731840, 1541732351, 'RU', 'Russian Federation'),
(63685, '91.228.248.0', '91.228.248.255', 1541732352, 1541732607, 'IL', 'Israel'),
(63686, '91.228.249.0', '91.228.249.255', 1541732608, 1541732863, 'RO', 'Romania'),
(63687, '91.228.250.0', '91.228.250.255', 1541732864, 1541733119, 'RU', 'Russian Federation'),
(63688, '91.228.251.0', '91.228.251.255', 1541733120, 1541733375, 'GB', 'United Kingdom'),
(63689, '91.228.252.0', '91.228.254.255', 1541733376, 1541734143, 'RS', 'Serbia'),
(63690, '91.228.255.0', '91.228.255.255', 1541734144, 1541734399, 'TR', 'Turkey'),
(63691, '91.229.0.0', '91.229.1.255', 1541734400, 1541734911, 'RO', 'Romania'),
(63692, '91.229.2.0', '91.229.2.255', 1541734912, 1541735167, 'RU', 'Russian Federation'),
(63693, '91.229.3.0', '91.229.3.255', 1541735168, 1541735423, 'DE', 'Germany'),
(63694, '91.229.4.0', '91.229.4.255', 1541735424, 1541735679, 'GB', 'United Kingdom'),
(63695, '91.229.5.0', '91.229.5.255', 1541735680, 1541735935, 'RU', 'Russian Federation'),
(63696, '91.229.6.0', '91.229.7.255', 1541735936, 1541736447, 'RO', 'Romania'),
(63697, '91.229.8.0', '91.229.11.255', 1541736448, 1541737471, 'RU', 'Russian Federation');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(63698, '91.229.12.0', '91.229.19.255', 1541737472, 1541739519, 'RO', 'Romania'),
(63699, '91.229.20.0', '91.229.20.255', 1541739520, 1541739775, 'FR', 'France'),
(63700, '91.229.21.0', '91.229.21.255', 1541739776, 1541740031, 'NO', 'Norway'),
(63701, '91.229.22.0', '91.229.22.255', 1541740032, 1541740287, 'PL', 'Poland'),
(63702, '91.229.23.0', '91.229.23.255', 1541740288, 1541740543, 'NL', 'Netherlands'),
(63703, '91.229.24.0', '91.229.24.255', 1541740544, 1541740799, 'SK', 'Slovakia'),
(63704, '91.229.25.0', '91.229.25.255', 1541740800, 1541741055, 'RU', 'Russian Federation'),
(63705, '91.229.26.0', '91.229.27.255', 1541741056, 1541741567, 'PL', 'Poland'),
(63706, '91.229.28.0', '91.229.29.255', 1541741568, 1541742079, 'SK', 'Slovakia'),
(63707, '91.229.30.0', '91.229.31.255', 1541742080, 1541742591, 'RO', 'Romania'),
(63708, '91.229.32.0', '91.229.33.255', 1541742592, 1541743103, 'SA', 'Saudi Arabia'),
(63709, '91.229.34.0', '91.229.35.255', 1541743104, 1541743615, 'TR', 'Turkey'),
(63710, '91.229.36.0', '91.229.39.255', 1541743616, 1541744639, 'SK', 'Slovakia'),
(63711, '91.229.40.0', '91.229.43.255', 1541744640, 1541745663, 'PL', 'Poland'),
(63712, '91.229.44.0', '91.229.45.255', 1541745664, 1541746175, 'TR', 'Turkey'),
(63713, '91.229.46.0', '91.229.47.255', 1541746176, 1541746687, 'UA', 'Ukraine'),
(63714, '91.229.48.0', '91.229.48.255', 1541746688, 1541746943, 'RU', 'Russian Federation'),
(63715, '91.229.49.0', '91.229.49.255', 1541746944, 1541747199, 'NL', 'Netherlands'),
(63716, '91.229.50.0', '91.229.51.255', 1541747200, 1541747711, 'RU', 'Russian Federation'),
(63717, '91.229.52.0', '91.229.55.255', 1541747712, 1541748735, 'UA', 'Ukraine'),
(63718, '91.229.56.0', '91.229.56.255', 1541748736, 1541748991, 'RU', 'Russian Federation'),
(63719, '91.229.57.0', '91.229.57.255', 1541748992, 1541749247, 'AT', 'Austria'),
(63720, '91.229.58.0', '91.229.58.255', 1541749248, 1541749503, 'ES', 'Spain'),
(63721, '91.229.59.0', '91.229.59.255', 1541749504, 1541749759, 'RU', 'Russian Federation'),
(63722, '91.229.60.0', '91.229.63.255', 1541749760, 1541750783, 'NL', 'Netherlands'),
(63723, '91.229.64.0', '91.229.65.255', 1541750784, 1541751295, 'AE', 'United Arab Emirates'),
(63724, '91.229.66.0', '91.229.67.255', 1541751296, 1541751807, 'UA', 'Ukraine'),
(63725, '91.229.68.0', '91.229.71.255', 1541751808, 1541752831, 'PL', 'Poland'),
(63726, '91.229.72.0', '91.229.72.255', 1541752832, 1541753087, 'SI', 'Slovenia'),
(63727, '91.229.73.0', '91.229.73.255', 1541753088, 1541753343, 'GB', 'United Kingdom'),
(63728, '91.229.74.0', '91.229.75.255', 1541753344, 1541753855, 'RU', 'Russian Federation'),
(63729, '91.229.76.0', '91.229.79.255', 1541753856, 1541754879, 'UA', 'Ukraine'),
(63730, '91.229.80.0', '91.229.81.255', 1541754880, 1541755391, 'IT', 'Italy'),
(63731, '91.229.82.0', '91.229.89.255', 1541755392, 1541757439, 'PL', 'Poland'),
(63732, '91.229.90.0', '91.229.91.255', 1541757440, 1541757951, 'EU', 'Europe'),
(63733, '91.229.92.0', '91.229.92.255', 1541757952, 1541758207, 'GB', 'United Kingdom'),
(63734, '91.229.93.0', '91.229.93.255', 1541758208, 1541758463, 'HU', 'Hungary'),
(63735, '91.229.94.0', '91.229.94.255', 1541758464, 1541758719, 'RU', 'Russian Federation'),
(63736, '91.229.95.0', '91.229.95.255', 1541758720, 1541758975, 'FR', 'France'),
(63737, '91.229.96.0', '91.229.100.255', 1541758976, 1541760255, 'RU', 'Russian Federation'),
(63738, '91.229.101.0', '91.229.101.255', 1541760256, 1541760511, 'UA', 'Ukraine'),
(63739, '91.229.102.0', '91.229.103.255', 1541760512, 1541761023, 'CH', 'Switzerland'),
(63740, '91.229.104.0', '91.229.105.255', 1541761024, 1541761535, 'KG', 'Kyrgyzstan'),
(63741, '91.229.106.0', '91.229.107.255', 1541761536, 1541762047, 'PL', 'Poland'),
(63742, '91.229.108.0', '91.229.113.255', 1541762048, 1541763583, 'RU', 'Russian Federation'),
(63743, '91.229.114.0', '91.229.114.255', 1541763584, 1541763839, 'SE', 'Sweden'),
(63744, '91.229.115.0', '91.229.115.255', 1541763840, 1541764095, 'UA', 'Ukraine'),
(63745, '91.229.116.0', '91.229.119.255', 1541764096, 1541765119, 'RU', 'Russian Federation'),
(63746, '91.229.120.0', '91.229.123.255', 1541765120, 1541766143, 'UA', 'Ukraine'),
(63747, '91.229.124.0', '91.229.127.255', 1541766144, 1541767167, 'GB', 'United Kingdom'),
(63748, '91.229.128.0', '91.229.129.255', 1541767168, 1541767679, 'UA', 'Ukraine'),
(63749, '91.229.130.0', '91.229.131.255', 1541767680, 1541768191, 'FR', 'France'),
(63750, '91.229.132.0', '91.229.135.255', 1541768192, 1541769215, 'RO', 'Romania'),
(63751, '91.229.136.0', '91.229.136.255', 1541769216, 1541769471, 'FR', 'France'),
(63752, '91.229.137.0', '91.229.139.255', 1541769472, 1541770239, 'FI', 'Finland'),
(63753, '91.229.140.0', '91.229.140.255', 1541770240, 1541770495, 'CH', 'Switzerland'),
(63754, '91.229.141.0', '91.229.141.255', 1541770496, 1541770751, 'SE', 'Sweden'),
(63755, '91.229.142.0', '91.229.143.255', 1541770752, 1541771263, 'NO', 'Norway'),
(63756, '91.229.144.0', '91.229.145.255', 1541771264, 1541771775, 'NL', 'Netherlands'),
(63757, '91.229.146.0', '91.229.146.255', 1541771776, 1541772031, 'RU', 'Russian Federation'),
(63758, '91.229.147.0', '91.229.147.255', 1541772032, 1541772287, 'RO', 'Romania'),
(63759, '91.229.148.0', '91.229.151.255', 1541772288, 1541773311, 'KZ', 'Kazakhstan'),
(63760, '91.229.152.0', '91.229.153.255', 1541773312, 1541773823, 'NL', 'Netherlands'),
(63761, '91.229.154.0', '91.229.154.255', 1541773824, 1541774079, 'RU', 'Russian Federation'),
(63762, '91.229.155.0', '91.229.155.255', 1541774080, 1541774335, 'TR', 'Turkey'),
(63763, '91.229.156.0', '91.229.159.255', 1541774336, 1541775359, 'RO', 'Romania'),
(63764, '91.229.160.0', '91.229.165.255', 1541775360, 1541776895, 'UZ', 'Uzbekistan'),
(63765, '91.229.166.0', '91.229.166.255', 1541776896, 1541777151, 'GB', 'United Kingdom'),
(63766, '91.229.167.0', '91.229.167.255', 1541777152, 1541777407, 'UA', 'Ukraine'),
(63767, '91.229.168.0', '91.229.171.255', 1541777408, 1541778431, 'DE', 'Germany'),
(63768, '91.229.172.0', '91.229.172.255', 1541778432, 1541778687, 'FR', 'France'),
(63769, '91.229.173.0', '91.229.175.255', 1541778688, 1541779455, 'GB', 'United Kingdom'),
(63770, '91.229.176.0', '91.229.177.255', 1541779456, 1541779967, 'RU', 'Russian Federation'),
(63771, '91.229.178.0', '91.229.179.255', 1541779968, 1541780479, 'DE', 'Germany'),
(63772, '91.229.180.0', '91.229.180.255', 1541780480, 1541780735, 'ES', 'Spain'),
(63773, '91.229.181.0', '91.229.181.255', 1541780736, 1541780991, 'GB', 'United Kingdom'),
(63774, '91.229.182.0', '91.229.183.255', 1541780992, 1541781503, 'RO', 'Romania'),
(63775, '91.229.184.0', '91.229.184.255', 1541781504, 1541781759, 'TR', 'Turkey'),
(63776, '91.229.185.0', '91.229.185.255', 1541781760, 1541782015, 'RU', 'Russian Federation'),
(63777, '91.229.186.0', '91.229.186.255', 1541782016, 1541782271, 'RO', 'Romania'),
(63778, '91.229.187.0', '91.229.187.255', 1541782272, 1541782527, 'GB', 'United Kingdom'),
(63779, '91.229.188.0', '91.229.191.255', 1541782528, 1541783551, 'RU', 'Russian Federation'),
(63780, '91.229.192.0', '91.229.192.255', 1541783552, 1541783807, 'IE', 'Ireland'),
(63781, '91.229.193.0', '91.229.193.255', 1541783808, 1541784063, 'PL', 'Poland'),
(63782, '91.229.194.0', '91.229.195.255', 1541784064, 1541784575, 'DE', 'Germany'),
(63783, '91.229.196.0', '91.229.200.255', 1541784576, 1541785855, 'RU', 'Russian Federation'),
(63784, '91.229.201.0', '91.229.201.255', 1541785856, 1541786111, 'GB', 'United Kingdom'),
(63785, '91.229.202.0', '91.229.203.255', 1541786112, 1541786623, 'RU', 'Russian Federation'),
(63786, '91.229.204.0', '91.229.207.255', 1541786624, 1541787647, 'UA', 'Ukraine'),
(63787, '91.229.208.0', '91.229.211.255', 1541787648, 1541788671, 'RU', 'Russian Federation'),
(63788, '91.229.212.0', '91.229.213.255', 1541788672, 1541789183, 'PL', 'Poland'),
(63789, '91.229.214.0', '91.229.215.255', 1541789184, 1541789695, 'IR', 'Iran, Islamic Republic of'),
(63790, '91.229.216.0', '91.229.219.255', 1541789696, 1541790719, 'UA', 'Ukraine'),
(63791, '91.229.220.0', '91.229.220.255', 1541790720, 1541790975, 'SA', 'Saudi Arabia'),
(63792, '91.229.221.0', '91.229.221.255', 1541790976, 1541791231, 'RU', 'Russian Federation'),
(63793, '91.229.222.0', '91.229.223.255', 1541791232, 1541791743, 'GB', 'United Kingdom'),
(63794, '91.229.224.0', '91.229.225.255', 1541791744, 1541792255, 'KG', 'Kyrgyzstan'),
(63795, '91.229.226.0', '91.229.226.255', 1541792256, 1541792511, 'UA', 'Ukraine'),
(63796, '91.229.227.0', '91.229.227.255', 1541792512, 1541792767, 'FR', 'France'),
(63797, '91.229.228.0', '91.229.228.255', 1541792768, 1541793023, 'RO', 'Romania'),
(63798, '91.229.229.0', '91.229.229.255', 1541793024, 1541793279, 'HR', 'Croatia'),
(63799, '91.229.230.0', '91.229.231.255', 1541793280, 1541793791, 'FR', 'France'),
(63800, '91.229.232.0', '91.229.232.255', 1541793792, 1541794047, 'NL', 'Netherlands'),
(63801, '91.229.233.0', '91.229.235.255', 1541794048, 1541794815, 'RU', 'Russian Federation'),
(63802, '91.229.236.0', '91.229.236.255', 1541794816, 1541795071, 'CH', 'Switzerland'),
(63803, '91.229.237.0', '91.229.237.255', 1541795072, 1541795327, 'RU', 'Russian Federation'),
(63804, '91.229.238.0', '91.229.238.255', 1541795328, 1541795583, 'PL', 'Poland'),
(63805, '91.229.239.0', '91.229.239.255', 1541795584, 1541795839, 'ES', 'Spain'),
(63806, '91.229.240.0', '91.229.243.255', 1541795840, 1541796863, 'UA', 'Ukraine'),
(63807, '91.229.244.0', '91.229.245.255', 1541796864, 1541797375, 'RU', 'Russian Federation'),
(63808, '91.229.246.0', '91.229.247.255', 1541797376, 1541797887, 'NL', 'Netherlands'),
(63809, '91.229.248.0', '91.229.248.255', 1541797888, 1541798143, 'UA', 'Ukraine'),
(63810, '91.229.249.0', '91.229.249.255', 1541798144, 1541798399, 'PL', 'Poland'),
(63811, '91.229.250.0', '91.229.251.255', 1541798400, 1541798911, 'RO', 'Romania'),
(63812, '91.229.252.0', '91.229.255.255', 1541798912, 1541799935, 'CZ', 'Czech Republic'),
(63813, '91.230.0.0', '91.230.1.255', 1541799936, 1541800447, 'FR', 'France'),
(63814, '91.230.2.0', '91.230.3.255', 1541800448, 1541800959, 'AT', 'Austria'),
(63815, '91.230.4.0', '91.230.5.255', 1541800960, 1541801471, 'FI', 'Finland'),
(63816, '91.230.6.0', '91.230.7.255', 1541801472, 1541801983, 'BG', 'Bulgaria'),
(63817, '91.230.8.0', '91.230.9.255', 1541801984, 1541802495, 'PL', 'Poland'),
(63818, '91.230.10.0', '91.230.11.255', 1541802496, 1541803007, 'RU', 'Russian Federation'),
(63819, '91.230.12.0', '91.230.15.255', 1541803008, 1541804031, 'LT', 'Lithuania'),
(63820, '91.230.16.0', '91.230.16.255', 1541804032, 1541804287, 'GB', 'United Kingdom'),
(63821, '91.230.17.0', '91.230.17.255', 1541804288, 1541804543, 'PL', 'Poland'),
(63822, '91.230.18.0', '91.230.21.255', 1541804544, 1541805567, 'RU', 'Russian Federation'),
(63823, '91.230.22.0', '91.230.22.255', 1541805568, 1541805823, 'DE', 'Germany'),
(63824, '91.230.23.0', '91.230.23.255', 1541805824, 1541806079, 'RU', 'Russian Federation'),
(63825, '91.230.24.0', '91.230.24.255', 1541806080, 1541806335, 'PL', 'Poland'),
(63826, '91.230.25.0', '91.230.25.255', 1541806336, 1541806591, 'UA', 'Ukraine'),
(63827, '91.230.26.0', '91.230.27.255', 1541806592, 1541807103, 'RU', 'Russian Federation'),
(63828, '91.230.28.0', '91.230.31.255', 1541807104, 1541808127, 'UA', 'Ukraine'),
(63829, '91.230.32.0', '91.230.32.255', 1541808128, 1541808383, 'IR', 'Iran, Islamic Republic of'),
(63830, '91.230.33.0', '91.230.35.255', 1541808384, 1541809151, 'NL', 'Netherlands'),
(63831, '91.230.36.0', '91.230.37.255', 1541809152, 1541809663, 'PL', 'Poland'),
(63832, '91.230.38.0', '91.230.39.255', 1541809664, 1541810175, 'GB', 'United Kingdom'),
(63833, '91.230.40.0', '91.230.40.255', 1541810176, 1541810431, 'PT', 'Portugal'),
(63834, '91.230.41.0', '91.230.41.255', 1541810432, 1541810687, 'AE', 'United Arab Emirates'),
(63835, '91.230.42.0', '91.230.43.255', 1541810688, 1541811199, 'PL', 'Poland'),
(63836, '91.230.44.0', '91.230.45.255', 1541811200, 1541811711, 'SK', 'Slovakia'),
(63837, '91.230.46.0', '91.230.46.255', 1541811712, 1541811967, 'NL', 'Netherlands'),
(63838, '91.230.47.0', '91.230.50.255', 1541811968, 1541812991, 'RU', 'Russian Federation'),
(63839, '91.230.51.0', '91.230.51.255', 1541812992, 1541813247, 'NL', 'Netherlands'),
(63840, '91.230.52.0', '91.230.53.255', 1541813248, 1541813759, 'LT', 'Lithuania'),
(63841, '91.230.54.0', '91.230.54.255', 1541813760, 1541814015, 'RU', 'Russian Federation'),
(63842, '91.230.55.0', '91.230.57.255', 1541814016, 1541814783, 'ES', 'Spain'),
(63843, '91.230.58.0', '91.230.59.255', 1541814784, 1541815295, 'PL', 'Poland'),
(63844, '91.230.60.0', '91.230.63.255', 1541815296, 1541816319, 'RU', 'Russian Federation'),
(63845, '91.230.64.0', '91.230.64.255', 1541816320, 1541816575, 'BE', 'Belgium'),
(63846, '91.230.65.0', '91.230.65.255', 1541816576, 1541816831, 'RU', 'Russian Federation'),
(63847, '91.230.66.0', '91.230.67.255', 1541816832, 1541817343, 'FR', 'France'),
(63848, '91.230.68.0', '91.230.71.255', 1541817344, 1541818367, 'DK', 'Denmark'),
(63849, '91.230.72.0', '91.230.72.255', 1541818368, 1541818623, 'RU', 'Russian Federation'),
(63850, '91.230.73.0', '91.230.73.255', 1541818624, 1541818879, 'TR', 'Turkey'),
(63851, '91.230.74.0', '91.230.77.255', 1541818880, 1541819903, 'PL', 'Poland'),
(63852, '91.230.78.0', '91.230.78.255', 1541819904, 1541820159, 'SE', 'Sweden'),
(63853, '91.230.79.0', '91.230.79.255', 1541820160, 1541820415, 'IL', 'Israel'),
(63854, '91.230.80.0', '91.230.80.255', 1541820416, 1541820671, 'MD', 'Moldova, Republic of'),
(63855, '91.230.81.0', '91.230.81.255', 1541820672, 1541820927, 'TR', 'Turkey'),
(63856, '91.230.82.0', '91.230.82.255', 1541820928, 1541821183, 'RU', 'Russian Federation'),
(63857, '91.230.83.0', '91.230.83.255', 1541821184, 1541821439, 'DE', 'Germany'),
(63858, '91.230.84.0', '91.230.84.255', 1541821440, 1541821695, 'RU', 'Russian Federation'),
(63859, '91.230.85.0', '91.230.85.255', 1541821696, 1541821951, 'TR', 'Turkey'),
(63860, '91.230.86.0', '91.230.89.255', 1541821952, 1541822975, 'PL', 'Poland'),
(63861, '91.230.90.0', '91.230.90.255', 1541822976, 1541823231, 'SI', 'Slovenia'),
(63862, '91.230.91.0', '91.230.91.255', 1541823232, 1541823487, 'RU', 'Russian Federation'),
(63863, '91.230.92.0', '91.230.93.255', 1541823488, 1541823999, 'UA', 'Ukraine'),
(63864, '91.230.94.0', '91.230.95.255', 1541824000, 1541824511, 'RU', 'Russian Federation'),
(63865, '91.230.96.0', '91.230.96.255', 1541824512, 1541824767, 'IT', 'Italy'),
(63866, '91.230.97.0', '91.230.97.255', 1541824768, 1541825023, 'GB', 'United Kingdom'),
(63867, '91.230.98.0', '91.230.99.255', 1541825024, 1541825535, 'PL', 'Poland'),
(63868, '91.230.100.0', '91.230.101.255', 1541825536, 1541826047, 'RU', 'Russian Federation'),
(63869, '91.230.102.0', '91.230.103.255', 1541826048, 1541826559, 'IT', 'Italy'),
(63870, '91.230.104.0', '91.230.105.255', 1541826560, 1541827071, 'ES', 'Spain'),
(63871, '91.230.106.0', '91.230.106.255', 1541827072, 1541827327, 'LV', 'Latvia'),
(63872, '91.230.107.0', '91.230.107.255', 1541827328, 1541827583, 'RU', 'Russian Federation'),
(63873, '91.230.108.0', '91.230.109.255', 1541827584, 1541828095, 'SE', 'Sweden'),
(63874, '91.230.110.0', '91.230.110.255', 1541828096, 1541828351, 'RU', 'Russian Federation'),
(63875, '91.230.111.0', '91.230.111.255', 1541828352, 1541828607, 'LV', 'Latvia'),
(63876, '91.230.112.0', '91.230.120.255', 1541828608, 1541830911, 'PL', 'Poland'),
(63877, '91.230.121.0', '91.230.121.255', 1541830912, 1541831167, 'UA', 'Ukraine'),
(63878, '91.230.122.0', '91.230.122.255', 1541831168, 1541831423, 'PL', 'Poland'),
(63879, '91.230.123.0', '91.230.123.255', 1541831424, 1541831679, 'RO', 'Romania'),
(63880, '91.230.124.0', '91.230.125.255', 1541831680, 1541832191, 'SA', 'Saudi Arabia'),
(63881, '91.230.126.0', '91.230.132.255', 1541832192, 1541833983, 'SE', 'Sweden'),
(63882, '91.230.133.0', '91.230.133.255', 1541833984, 1541834239, 'RU', 'Russian Federation'),
(63883, '91.230.134.0', '91.230.134.255', 1541834240, 1541834495, 'LV', 'Latvia'),
(63884, '91.230.135.0', '91.230.135.255', 1541834496, 1541834751, 'RU', 'Russian Federation'),
(63885, '91.230.136.0', '91.230.139.255', 1541834752, 1541835775, 'RO', 'Romania'),
(63886, '91.230.140.0', '91.230.141.255', 1541835776, 1541836287, 'CH', 'Switzerland'),
(63887, '91.230.142.0', '91.230.142.255', 1541836288, 1541836543, 'AT', 'Austria'),
(63888, '91.230.143.0', '91.230.143.255', 1541836544, 1541836799, 'RU', 'Russian Federation'),
(63889, '91.230.144.0', '91.230.144.255', 1541836800, 1541837055, 'CZ', 'Czech Republic'),
(63890, '91.230.145.0', '91.230.145.255', 1541837056, 1541837311, 'IT', 'Italy'),
(63891, '91.230.146.0', '91.230.147.255', 1541837312, 1541837823, 'RU', 'Russian Federation'),
(63892, '91.230.148.0', '91.230.148.255', 1541837824, 1541838079, 'PL', 'Poland'),
(63893, '91.230.149.0', '91.230.155.255', 1541838080, 1541839871, 'RU', 'Russian Federation'),
(63894, '91.230.156.0', '91.230.157.255', 1541839872, 1541840383, 'PL', 'Poland'),
(63895, '91.230.158.0', '91.230.158.255', 1541840384, 1541840639, 'RU', 'Russian Federation'),
(63896, '91.230.159.0', '91.230.159.255', 1541840640, 1541840895, 'PL', 'Poland'),
(63897, '91.230.160.0', '91.230.161.255', 1541840896, 1541841407, 'DE', 'Germany'),
(63898, '91.230.162.0', '91.230.167.255', 1541841408, 1541842943, 'PL', 'Poland'),
(63899, '91.230.168.0', '91.230.168.255', 1541842944, 1541843199, 'GB', 'United Kingdom'),
(63900, '91.230.169.0', '91.230.169.255', 1541843200, 1541843455, 'FR', 'France'),
(63901, '91.230.170.0', '91.230.171.255', 1541843456, 1541843967, 'BE', 'Belgium'),
(63902, '91.230.172.0', '91.230.175.255', 1541843968, 1541844991, 'DE', 'Germany'),
(63903, '91.230.176.0', '91.230.179.255', 1541844992, 1541846015, 'BE', 'Belgium'),
(63904, '91.230.180.0', '91.230.180.255', 1541846016, 1541846271, 'PL', 'Poland'),
(63905, '91.230.181.0', '91.230.181.255', 1541846272, 1541846527, 'GB', 'United Kingdom'),
(63906, '91.230.182.0', '91.230.187.255', 1541846528, 1541848063, 'RU', 'Russian Federation'),
(63907, '91.230.188.0', '91.230.188.255', 1541848064, 1541848319, 'HU', 'Hungary'),
(63908, '91.230.189.0', '91.230.189.255', 1541848320, 1541848575, 'GB', 'United Kingdom'),
(63909, '91.230.190.0', '91.230.191.255', 1541848576, 1541849087, 'RU', 'Russian Federation'),
(63910, '91.230.192.0', '91.230.195.255', 1541849088, 1541850111, 'BG', 'Bulgaria'),
(63911, '91.230.196.0', '91.230.197.255', 1541850112, 1541850623, 'RU', 'Russian Federation'),
(63912, '91.230.198.0', '91.230.199.255', 1541850624, 1541851135, 'UA', 'Ukraine'),
(63913, '91.230.200.0', '91.230.205.255', 1541851136, 1541852671, 'PL', 'Poland'),
(63914, '91.230.206.0', '91.230.207.255', 1541852672, 1541853183, 'RO', 'Romania'),
(63915, '91.230.208.0', '91.230.211.255', 1541853184, 1541854207, 'RU', 'Russian Federation'),
(63916, '91.230.212.0', '91.230.212.255', 1541854208, 1541854463, 'FR', 'France'),
(63917, '91.230.213.0', '91.230.213.255', 1541854464, 1541854719, 'KW', 'Kuwait'),
(63918, '91.230.214.0', '91.230.214.255', 1541854720, 1541854975, 'MD', 'Moldova, Republic of'),
(63919, '91.230.215.0', '91.230.218.255', 1541854976, 1541855999, 'RU', 'Russian Federation'),
(63920, '91.230.219.0', '91.230.219.255', 1541856000, 1541856255, 'MK', 'Macedonia'),
(63921, '91.230.220.0', '91.230.220.255', 1541856256, 1541856511, 'UA', 'Ukraine'),
(63922, '91.230.221.0', '91.230.223.255', 1541856512, 1541857279, 'PL', 'Poland'),
(63923, '91.230.224.0', '91.230.224.255', 1541857280, 1541857535, 'RU', 'Russian Federation'),
(63924, '91.230.225.0', '91.230.225.255', 1541857536, 1541857791, 'KW', 'Kuwait'),
(63925, '91.230.226.0', '91.230.227.255', 1541857792, 1541858303, 'RU', 'Russian Federation'),
(63926, '91.230.228.0', '91.230.228.255', 1541858304, 1541858559, 'LV', 'Latvia'),
(63927, '91.230.229.0', '91.230.229.255', 1541858560, 1541858815, 'UA', 'Ukraine'),
(63928, '91.230.230.0', '91.230.231.255', 1541858816, 1541859327, 'BG', 'Bulgaria'),
(63929, '91.230.232.0', '91.230.232.255', 1541859328, 1541859583, 'RO', 'Romania'),
(63930, '91.230.233.0', '91.230.233.255', 1541859584, 1541859839, 'PL', 'Poland'),
(63931, '91.230.234.0', '91.230.234.255', 1541859840, 1541860095, 'RO', 'Romania'),
(63932, '91.230.235.0', '91.230.235.255', 1541860096, 1541860351, 'FR', 'France'),
(63933, '91.230.236.0', '91.230.236.255', 1541860352, 1541860607, 'IL', 'Israel'),
(63934, '91.230.237.0', '91.230.237.255', 1541860608, 1541860863, 'NL', 'Netherlands'),
(63935, '91.230.238.0', '91.230.238.255', 1541860864, 1541861119, 'SI', 'Slovenia'),
(63936, '91.230.239.0', '91.230.239.255', 1541861120, 1541861375, 'DK', 'Denmark'),
(63937, '91.230.240.0', '91.230.241.255', 1541861376, 1541861887, 'RO', 'Romania'),
(63938, '91.230.242.0', '91.230.242.255', 1541861888, 1541862143, 'AT', 'Austria'),
(63939, '91.230.243.0', '91.230.243.255', 1541862144, 1541862399, 'GB', 'United Kingdom'),
(63940, '91.230.244.0', '91.230.245.255', 1541862400, 1541862911, 'NL', 'Netherlands'),
(63941, '91.230.246.0', '91.230.246.255', 1541862912, 1541863167, 'GB', 'United Kingdom'),
(63942, '91.230.247.0', '91.230.247.255', 1541863168, 1541863423, 'RU', 'Russian Federation'),
(63943, '91.230.248.0', '91.230.248.255', 1541863424, 1541863679, 'RO', 'Romania'),
(63944, '91.230.249.0', '91.230.249.255', 1541863680, 1541863935, 'CH', 'Switzerland'),
(63945, '91.230.250.0', '91.230.250.255', 1541863936, 1541864191, 'ES', 'Spain'),
(63946, '91.230.251.0', '91.230.251.255', 1541864192, 1541864447, 'GB', 'United Kingdom'),
(63947, '91.230.252.0', '91.230.253.255', 1541864448, 1541864959, 'RU', 'Russian Federation'),
(63948, '91.230.254.0', '91.230.255.255', 1541864960, 1541865471, 'AL', 'Albania'),
(63949, '91.231.0.0', '91.231.0.255', 1541865472, 1541865727, 'RO', 'Romania'),
(63950, '91.231.1.0', '91.231.1.255', 1541865728, 1541865983, 'UA', 'Ukraine'),
(63951, '91.231.2.0', '91.231.2.255', 1541865984, 1541866239, 'PL', 'Poland'),
(63952, '91.231.3.0', '91.231.3.255', 1541866240, 1541866495, 'FR', 'France'),
(63953, '91.231.4.0', '91.231.6.255', 1541866496, 1541867263, 'NL', 'Netherlands'),
(63954, '91.231.7.0', '91.231.7.255', 1541867264, 1541867519, 'RO', 'Romania'),
(63955, '91.231.8.0', '91.231.8.255', 1541867520, 1541867775, 'RU', 'Russian Federation'),
(63956, '91.231.9.0', '91.231.9.255', 1541867776, 1541868031, 'PL', 'Poland'),
(63957, '91.231.10.0', '91.231.10.255', 1541868032, 1541868287, 'MT', 'Malta'),
(63958, '91.231.11.0', '91.231.11.255', 1541868288, 1541868543, 'AE', 'United Arab Emirates'),
(63959, '91.231.12.0', '91.231.15.255', 1541868544, 1541869567, 'PL', 'Poland'),
(63960, '91.231.16.0', '91.231.17.255', 1541869568, 1541870079, 'RU', 'Russian Federation'),
(63961, '91.231.18.0', '91.231.21.255', 1541870080, 1541871103, 'PL', 'Poland'),
(63962, '91.231.22.0', '91.231.22.255', 1541871104, 1541871359, 'AT', 'Austria'),
(63963, '91.231.23.0', '91.231.27.255', 1541871360, 1541872639, 'PL', 'Poland'),
(63964, '91.231.28.0', '91.231.31.255', 1541872640, 1541873663, 'CZ', 'Czech Republic'),
(63965, '91.231.32.0', '91.231.33.255', 1541873664, 1541874175, 'PL', 'Poland'),
(63966, '91.231.34.0', '91.231.35.255', 1541874176, 1541874687, 'RU', 'Russian Federation'),
(63967, '91.231.36.0', '91.231.39.255', 1541874688, 1541875711, 'PL', 'Poland'),
(63968, '91.231.40.0', '91.231.43.255', 1541875712, 1541876735, 'UA', 'Ukraine'),
(63969, '91.231.44.0', '91.231.45.255', 1541876736, 1541877247, 'PL', 'Poland'),
(63970, '91.231.46.0', '91.231.46.255', 1541877248, 1541877503, 'GB', 'United Kingdom'),
(63971, '91.231.47.0', '91.231.47.255', 1541877504, 1541877759, 'RU', 'Russian Federation'),
(63972, '91.231.48.0', '91.231.51.255', 1541877760, 1541878783, 'RO', 'Romania'),
(63973, '91.231.52.0', '91.231.53.255', 1541878784, 1541879295, 'PL', 'Poland'),
(63974, '91.231.54.0', '91.231.55.255', 1541879296, 1541879807, 'UA', 'Ukraine'),
(63975, '91.231.56.0', '91.231.59.255', 1541879808, 1541880831, 'UZ', 'Uzbekistan'),
(63976, '91.231.60.0', '91.231.61.255', 1541880832, 1541881343, 'PL', 'Poland'),
(63977, '91.231.62.0', '91.231.62.255', 1541881344, 1541881599, 'IT', 'Italy'),
(63978, '91.231.63.0', '91.231.63.255', 1541881600, 1541881855, 'SE', 'Sweden'),
(63979, '91.231.64.0', '91.231.67.255', 1541881856, 1541882879, 'RU', 'Russian Federation'),
(63980, '91.231.68.0', '91.231.68.255', 1541882880, 1541883135, 'LV', 'Latvia'),
(63981, '91.231.69.0', '91.231.69.255', 1541883136, 1541883391, 'UA', 'Ukraine'),
(63982, '91.231.70.0', '91.231.75.255', 1541883392, 1541884927, 'PL', 'Poland'),
(63983, '91.231.76.0', '91.231.79.255', 1541884928, 1541885951, 'LT', 'Lithuania'),
(63984, '91.231.80.0', '91.231.83.255', 1541885952, 1541886975, 'PL', 'Poland'),
(63985, '91.231.84.0', '91.231.87.255', 1541886976, 1541887999, 'UA', 'Ukraine'),
(63986, '91.231.88.0', '91.231.88.255', 1541888000, 1541888255, 'RS', 'Serbia'),
(63987, '91.231.89.0', '91.231.89.255', 1541888256, 1541888511, 'RU', 'Russian Federation'),
(63988, '91.231.90.0', '91.231.91.255', 1541888512, 1541889023, 'GB', 'United Kingdom'),
(63989, '91.231.92.0', '91.231.93.255', 1541889024, 1541889535, 'PL', 'Poland'),
(63990, '91.231.94.0', '91.231.96.255', 1541889536, 1541890303, 'RU', 'Russian Federation'),
(63991, '91.231.97.0', '91.231.97.255', 1541890304, 1541890559, 'DE', 'Germany'),
(63992, '91.231.98.0', '91.231.99.255', 1541890560, 1541891071, 'UA', 'Ukraine'),
(63993, '91.231.100.0', '91.231.107.255', 1541891072, 1541893119, 'PL', 'Poland'),
(63994, '91.231.108.0', '91.231.109.255', 1541893120, 1541893631, 'BE', 'Belgium'),
(63995, '91.231.110.0', '91.231.111.255', 1541893632, 1541894143, 'PL', 'Poland'),
(63996, '91.231.112.0', '91.231.115.255', 1541894144, 1541895167, 'RU', 'Russian Federation'),
(63997, '91.231.116.0', '91.231.125.255', 1541895168, 1541897727, 'PL', 'Poland'),
(63998, '91.231.126.0', '91.231.126.255', 1541897728, 1541897983, 'RU', 'Russian Federation'),
(63999, '91.231.127.0', '91.231.127.255', 1541897984, 1541898239, 'UA', 'Ukraine'),
(64000, '91.231.128.0', '91.231.137.255', 1541898240, 1541900799, 'RU', 'Russian Federation'),
(64001, '91.231.138.0', '91.231.138.255', 1541900800, 1541901055, 'RO', 'Romania'),
(64002, '91.231.139.0', '91.231.139.255', 1541901056, 1541901311, 'FR', 'France'),
(64003, '91.231.140.0', '91.231.140.255', 1541901312, 1541901567, 'PL', 'Poland'),
(64004, '91.231.141.0', '91.231.141.255', 1541901568, 1541901823, 'RU', 'Russian Federation'),
(64005, '91.231.142.0', '91.231.143.255', 1541901824, 1541902335, 'UA', 'Ukraine'),
(64006, '91.231.144.0', '91.231.145.255', 1541902336, 1541902847, 'GB', 'United Kingdom'),
(64007, '91.231.146.0', '91.231.146.255', 1541902848, 1541903103, 'RU', 'Russian Federation'),
(64008, '91.231.147.0', '91.231.147.255', 1541903104, 1541903359, 'DK', 'Denmark'),
(64009, '91.231.148.0', '91.231.151.255', 1541903360, 1541904383, 'UA', 'Ukraine'),
(64010, '91.231.152.0', '91.231.152.255', 1541904384, 1541904639, 'PL', 'Poland'),
(64011, '91.231.153.0', '91.231.153.255', 1541904640, 1541904895, 'SE', 'Sweden'),
(64012, '91.231.154.0', '91.231.155.255', 1541904896, 1541905407, 'GB', 'United Kingdom'),
(64013, '91.231.156.0', '91.231.156.255', 1541905408, 1541905663, 'RU', 'Russian Federation'),
(64014, '91.231.157.0', '91.231.159.255', 1541905664, 1541906431, 'RO', 'Romania'),
(64015, '91.231.160.0', '91.231.160.255', 1541906432, 1541906687, 'UA', 'Ukraine'),
(64016, '91.231.161.0', '91.231.163.255', 1541906688, 1541907455, 'RU', 'Russian Federation'),
(64017, '91.231.164.0', '91.231.167.255', 1541907456, 1541908479, 'IT', 'Italy'),
(64018, '91.231.168.0', '91.231.169.255', 1541908480, 1541908991, 'PL', 'Poland'),
(64019, '91.231.170.0', '91.231.170.255', 1541908992, 1541909247, 'UA', 'Ukraine'),
(64020, '91.231.171.0', '91.231.171.255', 1541909248, 1541909503, 'CZ', 'Czech Republic'),
(64021, '91.231.172.0', '91.231.175.255', 1541909504, 1541910527, 'NL', 'Netherlands'),
(64022, '91.231.176.0', '91.231.177.255', 1541910528, 1541911039, 'RU', 'Russian Federation'),
(64023, '91.231.178.0', '91.231.178.255', 1541911040, 1541911295, 'PL', 'Poland'),
(64024, '91.231.179.0', '91.231.179.255', 1541911296, 1541911551, 'IT', 'Italy'),
(64025, '91.231.180.0', '91.231.183.255', 1541911552, 1541912575, 'RU', 'Russian Federation'),
(64026, '91.231.184.0', '91.231.184.255', 1541912576, 1541912831, 'NL', 'Netherlands'),
(64027, '91.231.185.0', '91.231.185.255', 1541912832, 1541913087, 'UA', 'Ukraine'),
(64028, '91.231.186.0', '91.231.191.255', 1541913088, 1541914623, 'RU', 'Russian Federation'),
(64029, '91.231.192.0', '91.231.195.255', 1541914624, 1541915647, 'IL', 'Israel'),
(64030, '91.231.196.0', '91.231.199.255', 1541915648, 1541916671, 'RU', 'Russian Federation'),
(64031, '91.231.200.0', '91.231.203.255', 1541916672, 1541917695, 'RO', 'Romania'),
(64032, '91.231.204.0', '91.231.204.255', 1541917696, 1541917951, 'CH', 'Switzerland'),
(64033, '91.231.205.0', '91.231.205.255', 1541917952, 1541918207, 'PL', 'Poland'),
(64034, '91.231.206.0', '91.231.206.255', 1541918208, 1541918463, 'UA', 'Ukraine'),
(64035, '91.231.207.0', '91.231.211.255', 1541918464, 1541919743, 'RO', 'Romania'),
(64036, '91.231.212.0', '91.231.212.255', 1541919744, 1541919999, 'DK', 'Denmark'),
(64037, '91.231.213.0', '91.231.215.255', 1541920000, 1541920767, 'RU', 'Russian Federation'),
(64038, '91.231.216.0', '91.231.217.255', 1541920768, 1541921279, 'PT', 'Portugal'),
(64039, '91.231.218.0', '91.231.219.255', 1541921280, 1541921791, 'RU', 'Russian Federation'),
(64040, '91.231.220.0', '91.231.220.255', 1541921792, 1541922047, 'DE', 'Germany'),
(64041, '91.231.221.0', '91.231.221.255', 1541922048, 1541922303, 'PL', 'Poland'),
(64042, '91.231.222.0', '91.231.222.255', 1541922304, 1541922559, 'RU', 'Russian Federation'),
(64043, '91.231.223.0', '91.231.227.255', 1541922560, 1541923839, 'RO', 'Romania'),
(64044, '91.231.228.0', '91.231.228.255', 1541923840, 1541924095, 'FR', 'France'),
(64045, '91.231.229.0', '91.231.229.255', 1541924096, 1541924351, 'UA', 'Ukraine'),
(64046, '91.231.230.0', '91.231.231.255', 1541924352, 1541924863, 'PL', 'Poland'),
(64047, '91.231.232.0', '91.231.232.255', 1541924864, 1541925119, 'RO', 'Romania'),
(64048, '91.231.233.0', '91.231.239.255', 1541925120, 1541926911, 'RU', 'Russian Federation'),
(64049, '91.231.240.0', '91.231.240.255', 1541926912, 1541927167, 'UA', 'Ukraine'),
(64050, '91.231.241.0', '91.231.242.255', 1541927168, 1541927679, 'PL', 'Poland'),
(64051, '91.231.243.0', '91.231.243.255', 1541927680, 1541927935, 'DE', 'Germany'),
(64052, '91.231.244.0', '91.231.251.255', 1541927936, 1541929983, 'PL', 'Poland'),
(64053, '91.231.252.0', '91.231.255.255', 1541929984, 1541931007, 'RU', 'Russian Federation'),
(64054, '91.232.0.0', '91.232.3.255', 1541931008, 1541932031, 'UA', 'Ukraine'),
(64055, '91.232.4.0', '91.232.5.255', 1541932032, 1541932543, 'PL', 'Poland'),
(64056, '91.232.6.0', '91.232.15.255', 1541932544, 1541935103, 'RU', 'Russian Federation'),
(64057, '91.232.16.0', '91.232.20.255', 1541935104, 1541936383, 'RO', 'Romania'),
(64058, '91.232.21.0', '91.232.21.255', 1541936384, 1541936639, 'UA', 'Ukraine'),
(64059, '91.232.22.0', '91.232.22.255', 1541936640, 1541936895, 'DE', 'Germany'),
(64060, '91.232.23.0', '91.232.23.255', 1541936896, 1541937151, 'FR', 'France'),
(64061, '91.232.24.0', '91.232.25.255', 1541937152, 1541937663, 'NL', 'Netherlands'),
(64062, '91.232.26.0', '91.232.26.255', 1541937664, 1541937919, 'GE', 'Georgia'),
(64063, '91.232.27.0', '91.232.27.255', 1541937920, 1541938175, 'PL', 'Poland'),
(64064, '91.232.28.0', '91.232.31.255', 1541938176, 1541939199, 'UA', 'Ukraine'),
(64065, '91.232.32.0', '91.232.34.255', 1541939200, 1541939967, 'RU', 'Russian Federation'),
(64066, '91.232.35.0', '91.232.35.255', 1541939968, 1541940223, 'ES', 'Spain'),
(64067, '91.232.36.0', '91.232.36.255', 1541940224, 1541940479, 'GB', 'United Kingdom'),
(64068, '91.232.37.0', '91.232.37.255', 1541940480, 1541940735, 'CH', 'Switzerland'),
(64069, '91.232.38.0', '91.232.38.255', 1541940736, 1541940991, 'PL', 'Poland'),
(64070, '91.232.39.0', '91.232.39.255', 1541940992, 1541941247, 'RU', 'Russian Federation'),
(64071, '91.232.40.0', '91.232.43.255', 1541941248, 1541942271, 'FR', 'France'),
(64072, '91.232.44.0', '91.232.53.255', 1541942272, 1541944831, 'PL', 'Poland'),
(64073, '91.232.54.0', '91.232.54.255', 1541944832, 1541945087, 'DE', 'Germany'),
(64074, '91.232.55.0', '91.232.57.255', 1541945088, 1541945855, 'RO', 'Romania'),
(64075, '91.232.58.0', '91.232.58.255', 1541945856, 1541946111, 'PL', 'Poland'),
(64076, '91.232.59.0', '91.232.61.255', 1541946112, 1541946879, 'SE', 'Sweden'),
(64077, '91.232.62.0', '91.232.63.255', 1541946880, 1541947391, 'PL', 'Poland'),
(64078, '91.232.64.0', '91.232.69.255', 1541947392, 1541948927, 'IR', 'Iran, Islamic Republic of'),
(64079, '91.232.70.0', '91.232.70.255', 1541948928, 1541949183, 'RU', 'Russian Federation'),
(64080, '91.232.71.0', '91.232.71.255', 1541949184, 1541949439, 'ES', 'Spain'),
(64081, '91.232.72.0', '91.232.75.255', 1541949440, 1541950463, 'IR', 'Iran, Islamic Republic of'),
(64082, '91.232.76.0', '91.232.79.255', 1541950464, 1541951487, 'ES', 'Spain'),
(64083, '91.232.80.0', '91.232.80.255', 1541951488, 1541951743, 'RU', 'Russian Federation'),
(64084, '91.232.81.0', '91.232.81.255', 1541951744, 1541951999, 'ES', 'Spain'),
(64085, '91.232.82.0', '91.232.82.255', 1541952000, 1541952255, 'CZ', 'Czech Republic'),
(64086, '91.232.83.0', '91.232.83.255', 1541952256, 1541952511, 'NO', 'Norway'),
(64087, '91.232.84.0', '91.232.87.255', 1541952512, 1541953535, 'CZ', 'Czech Republic'),
(64088, '91.232.88.0', '91.232.89.255', 1541953536, 1541954047, 'LU', 'Luxembourg'),
(64089, '91.232.90.0', '91.232.91.255', 1541954048, 1541954559, 'PL', 'Poland'),
(64090, '91.232.92.0', '91.232.95.255', 1541954560, 1541955583, 'RU', 'Russian Federation'),
(64091, '91.232.96.0', '91.232.97.255', 1541955584, 1541956095, 'DE', 'Germany'),
(64092, '91.232.98.0', '91.232.98.255', 1541956096, 1541956351, 'RO', 'Romania'),
(64093, '91.232.99.0', '91.232.99.255', 1541956352, 1541956607, 'UA', 'Ukraine'),
(64094, '91.232.100.0', '91.232.101.255', 1541956608, 1541957119, 'LB', 'Lebanon'),
(64095, '91.232.102.0', '91.232.102.255', 1541957120, 1541957375, 'PL', 'Poland'),
(64096, '91.232.103.0', '91.232.103.255', 1541957376, 1541957631, 'UA', 'Ukraine'),
(64097, '91.232.104.0', '91.232.104.255', 1541957632, 1541957887, 'GB', 'United Kingdom'),
(64098, '91.232.105.0', '91.232.105.255', 1541957888, 1541958143, 'NL', 'Netherlands'),
(64099, '91.232.106.0', '91.232.107.255', 1541958144, 1541958655, 'RS', 'Serbia'),
(64100, '91.232.108.0', '91.232.111.255', 1541958656, 1541959679, 'RU', 'Russian Federation'),
(64101, '91.232.112.0', '91.232.112.255', 1541959680, 1541959935, 'PL', 'Poland'),
(64102, '91.232.113.0', '91.232.113.255', 1541959936, 1541960191, 'RU', 'Russian Federation'),
(64103, '91.232.114.0', '91.232.115.255', 1541960192, 1541960703, 'NL', 'Netherlands'),
(64104, '91.232.116.0', '91.232.119.255', 1541960704, 1541961727, 'UA', 'Ukraine'),
(64105, '91.232.120.0', '91.232.123.255', 1541961728, 1541962751, 'RU', 'Russian Federation'),
(64106, '91.232.124.0', '91.232.125.255', 1541962752, 1541963263, 'GB', 'United Kingdom'),
(64107, '91.232.126.0', '91.232.126.255', 1541963264, 1541963519, 'RU', 'Russian Federation'),
(64108, '91.232.127.0', '91.232.128.255', 1541963520, 1541964031, 'UA', 'Ukraine'),
(64109, '91.232.129.0', '91.232.129.255', 1541964032, 1541964287, 'RU', 'Russian Federation'),
(64110, '91.232.130.0', '91.232.130.255', 1541964288, 1541964543, 'NL', 'Netherlands'),
(64111, '91.232.131.0', '91.232.135.255', 1541964544, 1541965823, 'RU', 'Russian Federation'),
(64112, '91.232.136.0', '91.232.139.255', 1541965824, 1541966847, 'NL', 'Netherlands'),
(64113, '91.232.140.0', '91.232.143.255', 1541966848, 1541967871, 'PL', 'Poland'),
(64114, '91.232.144.0', '91.232.147.255', 1541967872, 1541968895, 'RU', 'Russian Federation'),
(64115, '91.232.148.0', '91.232.149.255', 1541968896, 1541969407, 'RO', 'Romania'),
(64116, '91.232.150.0', '91.232.151.255', 1541969408, 1541969919, 'GB', 'United Kingdom'),
(64117, '91.232.152.0', '91.232.152.255', 1541969920, 1541970175, 'IT', 'Italy'),
(64118, '91.232.153.0', '91.232.153.255', 1541970176, 1541970431, 'GB', 'United Kingdom'),
(64119, '91.232.154.0', '91.232.156.255', 1541970432, 1541971199, 'FI', 'Finland'),
(64120, '91.232.157.0', '91.232.159.255', 1541971200, 1541971967, 'UA', 'Ukraine'),
(64121, '91.232.160.0', '91.232.161.255', 1541971968, 1541972479, 'PL', 'Poland'),
(64122, '91.232.162.0', '91.232.162.255', 1541972480, 1541972735, 'RU', 'Russian Federation'),
(64123, '91.232.163.0', '91.232.163.255', 1541972736, 1541972991, 'AT', 'Austria'),
(64124, '91.232.164.0', '91.232.167.255', 1541972992, 1541974015, 'PL', 'Poland'),
(64125, '91.232.168.0', '91.232.173.255', 1541974016, 1541975551, 'RU', 'Russian Federation'),
(64126, '91.232.174.0', '91.232.174.255', 1541975552, 1541975807, 'TR', 'Turkey'),
(64127, '91.232.175.0', '91.232.176.255', 1541975808, 1541976319, 'PL', 'Poland'),
(64128, '91.232.177.0', '91.232.177.255', 1541976320, 1541976575, 'UA', 'Ukraine'),
(64129, '91.232.178.0', '91.232.179.255', 1541976576, 1541977087, 'RU', 'Russian Federation'),
(64130, '91.232.180.0', '91.232.180.255', 1541977088, 1541977343, 'IT', 'Italy'),
(64131, '91.232.181.0', '91.232.181.255', 1541977344, 1541977599, 'GB', 'United Kingdom'),
(64132, '91.232.182.0', '91.232.182.255', 1541977600, 1541977855, 'RO', 'Romania'),
(64133, '91.232.183.0', '91.232.183.255', 1541977856, 1541978111, 'PL', 'Poland'),
(64134, '91.232.184.0', '91.232.185.255', 1541978112, 1541978623, 'RO', 'Romania'),
(64135, '91.232.186.0', '91.232.186.255', 1541978624, 1541978879, 'MD', 'Moldova, Republic of'),
(64136, '91.232.187.0', '91.232.187.255', 1541978880, 1541979135, 'FR', 'France'),
(64137, '91.232.188.0', '91.232.189.255', 1541979136, 1541979647, 'RU', 'Russian Federation'),
(64138, '91.232.190.0', '91.232.195.255', 1541979648, 1541981183, 'PL', 'Poland'),
(64139, '91.232.196.0', '91.232.198.255', 1541981184, 1541981951, 'RU', 'Russian Federation'),
(64140, '91.232.199.0', '91.232.199.255', 1541981952, 1541982207, 'UA', 'Ukraine'),
(64141, '91.232.200.0', '91.232.201.255', 1541982208, 1541982719, 'RS', 'Serbia'),
(64142, '91.232.202.0', '91.232.207.255', 1541982720, 1541984255, 'RU', 'Russian Federation'),
(64143, '91.232.208.0', '91.232.208.255', 1541984256, 1541984511, 'UA', 'Ukraine'),
(64144, '91.232.209.0', '91.232.209.255', 1541984512, 1541984767, 'BG', 'Bulgaria'),
(64145, '91.232.210.0', '91.232.211.255', 1541984768, 1541985279, 'RO', 'Romania'),
(64146, '91.232.212.0', '91.232.215.255', 1541985280, 1541986303, 'CZ', 'Czech Republic'),
(64147, '91.232.216.0', '91.232.217.255', 1541986304, 1541986815, 'RU', 'Russian Federation'),
(64148, '91.232.218.0', '91.232.223.255', 1541986816, 1541988351, 'SK', 'Slovakia'),
(64149, '91.232.224.0', '91.232.224.255', 1541988352, 1541988607, 'FR', 'France'),
(64150, '91.232.225.0', '91.232.225.255', 1541988608, 1541988863, 'RU', 'Russian Federation'),
(64151, '91.232.226.0', '91.232.228.255', 1541988864, 1541989631, 'RO', 'Romania'),
(64152, '91.232.229.0', '91.232.229.255', 1541989632, 1541989887, 'LI', 'Liechtenstein'),
(64153, '91.232.230.0', '91.232.231.255', 1541989888, 1541990399, 'RU', 'Russian Federation'),
(64154, '91.232.232.0', '91.232.233.255', 1541990400, 1541990911, 'AT', 'Austria'),
(64155, '91.232.234.0', '91.232.234.255', 1541990912, 1541991167, 'SI', 'Slovenia'),
(64156, '91.232.235.0', '91.232.235.255', 1541991168, 1541991423, 'RU', 'Russian Federation'),
(64157, '91.232.236.0', '91.232.237.255', 1541991424, 1541991935, 'RS', 'Serbia'),
(64158, '91.232.238.0', '91.232.238.255', 1541991936, 1541992191, 'UA', 'Ukraine'),
(64159, '91.232.239.0', '91.232.239.255', 1541992192, 1541992447, 'SI', 'Slovenia'),
(64160, '91.232.240.0', '91.232.241.255', 1541992448, 1541992959, 'UA', 'Ukraine'),
(64161, '91.232.242.0', '91.232.242.255', 1541992960, 1541993215, 'FR', 'France'),
(64162, '91.232.243.0', '91.232.246.255', 1541993216, 1541994239, 'RU', 'Russian Federation'),
(64163, '91.232.247.0', '91.232.247.255', 1541994240, 1541994495, 'CZ', 'Czech Republic'),
(64164, '91.232.248.0', '91.232.251.255', 1541994496, 1541995519, 'PL', 'Poland'),
(64165, '91.232.252.0', '91.232.253.255', 1541995520, 1541996031, 'RU', 'Russian Federation'),
(64166, '91.232.254.0', '91.232.254.255', 1541996032, 1541996287, 'RO', 'Romania'),
(64167, '91.232.255.0', '91.232.255.255', 1541996288, 1541996543, 'RU', 'Russian Federation'),
(64168, '91.233.0.0', '91.233.3.255', 1541996544, 1541997567, 'RO', 'Romania'),
(64169, '91.233.4.0', '91.233.4.255', 1541997568, 1541997823, 'RU', 'Russian Federation'),
(64170, '91.233.5.0', '91.233.5.255', 1541997824, 1541998079, 'GB', 'United Kingdom'),
(64171, '91.233.6.0', '91.233.6.255', 1541998080, 1541998335, 'NL', 'Netherlands'),
(64172, '91.233.7.0', '91.233.7.255', 1541998336, 1541998591, 'AT', 'Austria'),
(64173, '91.233.8.0', '91.233.11.255', 1541998592, 1541999615, 'DE', 'Germany'),
(64174, '91.233.12.0', '91.233.13.255', 1541999616, 1542000127, 'AT', 'Austria'),
(64175, '91.233.14.0', '91.233.14.255', 1542000128, 1542000383, 'NO', 'Norway'),
(64176, '91.233.15.0', '91.233.15.255', 1542000384, 1542000639, 'GE', 'Georgia'),
(64177, '91.233.16.0', '91.233.16.255', 1542000640, 1542000895, 'GB', 'United Kingdom'),
(64178, '91.233.17.0', '91.233.17.255', 1542000896, 1542001151, 'UA', 'Ukraine'),
(64179, '91.233.18.0', '91.233.19.255', 1542001152, 1542001663, 'PL', 'Poland'),
(64180, '91.233.20.0', '91.233.20.255', 1542001664, 1542001919, 'MD', 'Moldova, Republic of'),
(64181, '91.233.21.0', '91.233.21.255', 1542001920, 1542002175, 'HU', 'Hungary'),
(64182, '91.233.22.0', '91.233.23.255', 1542002176, 1542002687, 'NL', 'Netherlands'),
(64183, '91.233.24.0', '91.233.24.255', 1542002688, 1542002943, 'RS', 'Serbia'),
(64184, '91.233.25.0', '91.233.25.255', 1542002944, 1542003199, 'PL', 'Poland'),
(64185, '91.233.26.0', '91.233.27.255', 1542003200, 1542003711, 'RO', 'Romania'),
(64186, '91.233.28.0', '91.233.31.255', 1542003712, 1542004735, 'RU', 'Russian Federation'),
(64187, '91.233.32.0', '91.233.32.255', 1542004736, 1542004991, 'BG', 'Bulgaria'),
(64188, '91.233.33.0', '91.233.33.255', 1542004992, 1542005247, 'GB', 'United Kingdom'),
(64189, '91.233.34.0', '91.233.34.255', 1542005248, 1542005503, 'PL', 'Poland'),
(64190, '91.233.35.0', '91.233.35.255', 1542005504, 1542005759, 'DE', 'Germany'),
(64191, '91.233.36.0', '91.233.37.255', 1542005760, 1542006271, 'HR', 'Croatia'),
(64192, '91.233.38.0', '91.233.47.255', 1542006272, 1542008831, 'RU', 'Russian Federation'),
(64193, '91.233.48.0', '91.233.49.255', 1542008832, 1542009343, 'UA', 'Ukraine'),
(64194, '91.233.50.0', '91.233.50.255', 1542009344, 1542009599, 'LI', 'Liechtenstein'),
(64195, '91.233.51.0', '91.233.51.255', 1542009600, 1542009855, 'FR', 'France'),
(64196, '91.233.52.0', '91.233.53.255', 1542009856, 1542010367, 'NL', 'Netherlands'),
(64197, '91.233.54.0', '91.233.55.255', 1542010368, 1542010879, 'RU', 'Russian Federation'),
(64198, '91.233.56.0', '91.233.59.255', 1542010880, 1542011903, 'IR', 'Iran, Islamic Republic of'),
(64199, '91.233.60.0', '91.233.60.255', 1542011904, 1542012159, 'PL', 'Poland'),
(64200, '91.233.61.0', '91.233.61.255', 1542012160, 1542012415, 'RU', 'Russian Federation'),
(64201, '91.233.62.0', '91.233.62.255', 1542012416, 1542012671, 'GB', 'United Kingdom'),
(64202, '91.233.63.0', '91.233.67.255', 1542012672, 1542013951, 'RU', 'Russian Federation'),
(64203, '91.233.68.0', '91.233.68.255', 1542013952, 1542014207, 'FR', 'France'),
(64204, '91.233.69.0', '91.233.79.255', 1542014208, 1542017023, 'PL', 'Poland'),
(64205, '91.233.80.0', '91.233.80.255', 1542017024, 1542017279, 'TR', 'Turkey'),
(64206, '91.233.81.0', '91.233.81.255', 1542017280, 1542017535, 'GB', 'United Kingdom'),
(64207, '91.233.82.0', '91.233.82.255', 1542017536, 1542017791, 'RU', 'Russian Federation'),
(64208, '91.233.83.0', '91.233.83.255', 1542017792, 1542018047, 'GB', 'United Kingdom'),
(64209, '91.233.84.0', '91.233.87.255', 1542018048, 1542019071, 'DE', 'Germany'),
(64210, '91.233.88.0', '91.233.89.255', 1542019072, 1542019583, 'RU', 'Russian Federation'),
(64211, '91.233.90.0', '91.233.91.255', 1542019584, 1542020095, 'UA', 'Ukraine'),
(64212, '91.233.92.0', '91.233.95.255', 1542020096, 1542021119, 'RU', 'Russian Federation'),
(64213, '91.233.96.0', '91.233.103.255', 1542021120, 1542023167, 'UA', 'Ukraine'),
(64214, '91.233.104.0', '91.233.104.255', 1542023168, 1542023423, 'PL', 'Poland'),
(64215, '91.233.105.0', '91.233.105.255', 1542023424, 1542023679, 'NL', 'Netherlands'),
(64216, '91.233.106.0', '91.233.106.255', 1542023680, 1542023935, 'RO', 'Romania'),
(64217, '91.233.107.0', '91.233.107.255', 1542023936, 1542024191, 'PL', 'Poland'),
(64218, '91.233.108.0', '91.233.111.255', 1542024192, 1542025215, 'UA', 'Ukraine'),
(64219, '91.233.112.0', '91.233.115.255', 1542025216, 1542026239, 'PL', 'Poland'),
(64220, '91.233.116.0', '91.233.117.255', 1542026240, 1542026751, 'FI', 'Finland'),
(64221, '91.233.118.0', '91.233.118.255', 1542026752, 1542027007, 'BE', 'Belgium'),
(64222, '91.233.119.0', '91.233.119.255', 1542027008, 1542027263, 'FR', 'France'),
(64223, '91.233.120.0', '91.233.121.255', 1542027264, 1542027775, 'NL', 'Netherlands'),
(64224, '91.233.122.0', '91.233.122.255', 1542027776, 1542028031, 'FR', 'France'),
(64225, '91.233.123.0', '91.233.123.255', 1542028032, 1542028287, 'UA', 'Ukraine'),
(64226, '91.233.124.0', '91.233.124.255', 1542028288, 1542028543, 'GB', 'United Kingdom'),
(64227, '91.233.125.0', '91.233.125.255', 1542028544, 1542028799, 'FI', 'Finland'),
(64228, '91.233.126.0', '91.233.126.255', 1542028800, 1542029055, 'CH', 'Switzerland'),
(64229, '91.233.127.0', '91.233.127.255', 1542029056, 1542029311, 'UA', 'Ukraine'),
(64230, '91.233.128.0', '91.233.129.255', 1542029312, 1542029823, 'GB', 'United Kingdom'),
(64231, '91.233.130.0', '91.233.135.255', 1542029824, 1542031359, 'RU', 'Russian Federation'),
(64232, '91.233.136.0', '91.233.139.255', 1542031360, 1542032383, 'PL', 'Poland'),
(64233, '91.233.140.0', '91.233.140.255', 1542032384, 1542032639, 'UA', 'Ukraine'),
(64234, '91.233.141.0', '91.233.141.255', 1542032640, 1542032895, 'SA', 'Saudi Arabia'),
(64235, '91.233.142.0', '91.233.143.255', 1542032896, 1542033407, 'DK', 'Denmark'),
(64236, '91.233.144.0', '91.233.150.255', 1542033408, 1542035199, 'RU', 'Russian Federation'),
(64237, '91.233.151.0', '91.233.151.255', 1542035200, 1542035455, 'UA', 'Ukraine'),
(64238, '91.233.152.0', '91.233.155.255', 1542035456, 1542036479, 'GB', 'United Kingdom'),
(64239, '91.233.156.0', '91.233.162.255', 1542036480, 1542038271, 'PL', 'Poland'),
(64240, '91.233.163.0', '91.233.163.255', 1542038272, 1542038527, 'SI', 'Slovenia'),
(64241, '91.233.164.0', '91.233.171.255', 1542038528, 1542040575, 'RU', 'Russian Federation'),
(64242, '91.233.172.0', '91.233.173.255', 1542040576, 1542041087, 'UA', 'Ukraine'),
(64243, '91.233.174.0', '91.233.174.255', 1542041088, 1542041343, 'SA', 'Saudi Arabia'),
(64244, '91.233.175.0', '91.233.175.255', 1542041344, 1542041599, 'RU', 'Russian Federation'),
(64245, '91.233.176.0', '91.233.179.255', 1542041600, 1542042623, 'LT', 'Lithuania'),
(64246, '91.233.180.0', '91.233.181.255', 1542042624, 1542043135, 'IT', 'Italy'),
(64247, '91.233.182.0', '91.233.182.255', 1542043136, 1542043391, 'CH', 'Switzerland'),
(64248, '91.233.183.0', '91.233.183.255', 1542043392, 1542043647, 'GB', 'United Kingdom'),
(64249, '91.233.184.0', '91.233.187.255', 1542043648, 1542044671, 'PL', 'Poland'),
(64250, '91.233.188.0', '91.233.189.255', 1542044672, 1542045183, 'RU', 'Russian Federation'),
(64251, '91.233.190.0', '91.233.190.255', 1542045184, 1542045439, 'RO', 'Romania'),
(64252, '91.233.191.0', '91.233.191.255', 1542045440, 1542045695, 'AT', 'Austria'),
(64253, '91.233.192.0', '91.233.195.255', 1542045696, 1542046719, 'RO', 'Romania'),
(64254, '91.233.196.0', '91.233.199.255', 1542046720, 1542047743, 'PL', 'Poland'),
(64255, '91.233.200.0', '91.233.203.255', 1542047744, 1542048767, 'RO', 'Romania'),
(64256, '91.233.204.0', '91.233.205.255', 1542048768, 1542049279, 'PL', 'Poland'),
(64257, '91.233.206.0', '91.233.207.255', 1542049280, 1542049791, 'BE', 'Belgium'),
(64258, '91.233.208.0', '91.233.211.255', 1542049792, 1542050815, 'CZ', 'Czech Republic'),
(64259, '91.233.212.0', '91.233.212.255', 1542050816, 1542051071, 'CH', 'Switzerland'),
(64260, '91.233.213.0', '91.233.213.255', 1542051072, 1542051327, 'RU', 'Russian Federation'),
(64261, '91.233.214.0', '91.233.215.255', 1542051328, 1542051839, 'LV', 'Latvia'),
(64262, '91.233.216.0', '91.233.223.255', 1542051840, 1542053887, 'RU', 'Russian Federation'),
(64263, '91.233.224.0', '91.233.225.255', 1542053888, 1542054399, 'NL', 'Netherlands'),
(64264, '91.233.226.0', '91.233.226.255', 1542054400, 1542054655, 'RU', 'Russian Federation'),
(64265, '91.233.227.0', '91.233.227.255', 1542054656, 1542054911, 'AT', 'Austria'),
(64266, '91.233.228.0', '91.233.229.255', 1542054912, 1542055423, 'PL', 'Poland'),
(64267, '91.233.230.0', '91.233.231.255', 1542055424, 1542055935, 'RU', 'Russian Federation'),
(64268, '91.233.232.0', '91.233.237.255', 1542055936, 1542057471, 'PL', 'Poland'),
(64269, '91.233.238.0', '91.233.247.255', 1542057472, 1542060031, 'RU', 'Russian Federation'),
(64270, '91.233.248.0', '91.233.248.255', 1542060032, 1542060287, 'SK', 'Slovakia'),
(64271, '91.233.249.0', '91.233.249.255', 1542060288, 1542060543, 'RO', 'Romania'),
(64272, '91.233.250.0', '91.233.251.255', 1542060544, 1542061055, 'PL', 'Poland'),
(64273, '91.233.252.0', '91.233.255.255', 1542061056, 1542062079, 'IT', 'Italy'),
(64274, '91.234.0.0', '91.234.7.255', 1542062080, 1542064127, 'UA', 'Ukraine'),
(64275, '91.234.8.0', '91.234.8.255', 1542064128, 1542064383, 'PL', 'Poland'),
(64276, '91.234.9.0', '91.234.9.255', 1542064384, 1542064639, 'FR', 'France'),
(64277, '91.234.10.0', '91.234.11.255', 1542064640, 1542065151, 'RU', 'Russian Federation'),
(64278, '91.234.12.0', '91.234.15.255', 1542065152, 1542066175, 'PL', 'Poland'),
(64279, '91.234.16.0', '91.234.16.255', 1542066176, 1542066431, 'RU', 'Russian Federation'),
(64280, '91.234.17.0', '91.234.17.255', 1542066432, 1542066687, 'NL', 'Netherlands'),
(64281, '91.234.18.0', '91.234.18.255', 1542066688, 1542066943, 'GB', 'United Kingdom'),
(64282, '91.234.19.0', '91.234.19.255', 1542066944, 1542067199, 'BG', 'Bulgaria'),
(64283, '91.234.20.0', '91.234.20.255', 1542067200, 1542067455, 'UA', 'Ukraine'),
(64284, '91.234.21.0', '91.234.21.255', 1542067456, 1542067711, 'BG', 'Bulgaria'),
(64285, '91.234.22.0', '91.234.22.255', 1542067712, 1542067967, 'DE', 'Germany'),
(64286, '91.234.23.0', '91.234.23.255', 1542067968, 1542068223, 'GB', 'United Kingdom'),
(64287, '91.234.24.0', '91.234.29.255', 1542068224, 1542069759, 'UA', 'Ukraine'),
(64288, '91.234.30.0', '91.234.30.255', 1542069760, 1542070015, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(64289, '91.234.31.0', '91.234.35.255', 1542070016, 1542071295, 'UA', 'Ukraine'),
(64290, '91.234.36.0', '91.234.36.255', 1542071296, 1542071551, 'CN', 'China'),
(64291, '91.234.37.0', '91.234.37.255', 1542071552, 1542071807, 'UA', 'Ukraine'),
(64292, '91.234.38.0', '91.234.39.255', 1542071808, 1542072319, 'DE', 'Germany'),
(64293, '91.234.40.0', '91.234.43.255', 1542072320, 1542073343, 'UA', 'Ukraine'),
(64294, '91.234.44.0', '91.234.46.255', 1542073344, 1542074111, 'RO', 'Romania'),
(64295, '91.234.47.0', '91.234.47.255', 1542074112, 1542074367, 'UA', 'Ukraine'),
(64296, '91.234.48.0', '91.234.48.255', 1542074368, 1542074623, 'GB', 'United Kingdom'),
(64297, '91.234.49.0', '91.234.49.255', 1542074624, 1542074879, 'PL', 'Poland'),
(64298, '91.234.50.0', '91.234.51.255', 1542074880, 1542075391, 'NL', 'Netherlands'),
(64299, '91.234.52.0', '91.234.52.255', 1542075392, 1542075647, 'CH', 'Switzerland'),
(64300, '91.234.53.0', '91.234.53.255', 1542075648, 1542075903, 'RU', 'Russian Federation'),
(64301, '91.234.54.0', '91.234.59.255', 1542075904, 1542077439, 'RO', 'Romania'),
(64302, '91.234.60.0', '91.234.65.255', 1542077440, 1542078975, 'RU', 'Russian Federation'),
(64303, '91.234.66.0', '91.234.67.255', 1542078976, 1542079487, 'PL', 'Poland'),
(64304, '91.234.68.0', '91.234.71.255', 1542079488, 1542080511, 'RU', 'Russian Federation'),
(64305, '91.234.72.0', '91.234.79.255', 1542080512, 1542082559, 'UA', 'Ukraine'),
(64306, '91.234.80.0', '91.234.83.255', 1542082560, 1542083583, 'RU', 'Russian Federation'),
(64307, '91.234.84.0', '91.234.91.255', 1542083584, 1542085631, 'UA', 'Ukraine'),
(64308, '91.234.92.0', '91.234.95.255', 1542085632, 1542086655, 'BG', 'Bulgaria'),
(64309, '91.234.96.0', '91.234.97.255', 1542086656, 1542087167, 'RU', 'Russian Federation'),
(64310, '91.234.98.0', '91.234.99.255', 1542087168, 1542087679, 'UA', 'Ukraine'),
(64311, '91.234.100.0', '91.234.103.255', 1542087680, 1542088703, 'PL', 'Poland'),
(64312, '91.234.104.0', '91.234.107.255', 1542088704, 1542089727, 'FR', 'France'),
(64313, '91.234.108.0', '91.234.111.255', 1542089728, 1542090751, 'RU', 'Russian Federation'),
(64314, '91.234.112.0', '91.234.115.255', 1542090752, 1542091775, 'PL', 'Poland'),
(64315, '91.234.116.0', '91.234.119.255', 1542091776, 1542092799, 'RU', 'Russian Federation'),
(64316, '91.234.120.0', '91.234.123.255', 1542092800, 1542093823, 'RO', 'Romania'),
(64317, '91.234.124.0', '91.234.131.255', 1542093824, 1542095871, 'PL', 'Poland'),
(64318, '91.234.132.0', '91.234.135.255', 1542095872, 1542096895, 'RS', 'Serbia'),
(64319, '91.234.136.0', '91.234.141.255', 1542096896, 1542098431, 'UA', 'Ukraine'),
(64320, '91.234.142.0', '91.234.144.255', 1542098432, 1542099199, 'PL', 'Poland'),
(64321, '91.234.145.0', '91.234.145.255', 1542099200, 1542099455, 'RU', 'Russian Federation'),
(64322, '91.234.146.0', '91.234.146.255', 1542099456, 1542099711, 'PL', 'Poland'),
(64323, '91.234.147.0', '91.234.147.255', 1542099712, 1542099967, 'RU', 'Russian Federation'),
(64324, '91.234.148.0', '91.234.148.255', 1542099968, 1542100223, 'NL', 'Netherlands'),
(64325, '91.234.149.0', '91.234.149.255', 1542100224, 1542100479, 'DK', 'Denmark'),
(64326, '91.234.150.0', '91.234.151.255', 1542100480, 1542100991, 'RO', 'Romania'),
(64327, '91.234.152.0', '91.234.155.255', 1542100992, 1542102015, 'RU', 'Russian Federation'),
(64328, '91.234.156.0', '91.234.159.255', 1542102016, 1542103039, 'RO', 'Romania'),
(64329, '91.234.160.0', '91.234.160.255', 1542103040, 1542103295, 'CH', 'Switzerland'),
(64330, '91.234.161.0', '91.234.161.255', 1542103296, 1542103551, 'RU', 'Russian Federation'),
(64331, '91.234.162.0', '91.234.163.255', 1542103552, 1542104063, 'CZ', 'Czech Republic'),
(64332, '91.234.164.0', '91.234.167.255', 1542104064, 1542105087, 'RU', 'Russian Federation'),
(64333, '91.234.168.0', '91.234.169.255', 1542105088, 1542105599, 'RO', 'Romania'),
(64334, '91.234.170.0', '91.234.170.255', 1542105600, 1542105855, 'RU', 'Russian Federation'),
(64335, '91.234.171.0', '91.234.171.255', 1542105856, 1542106111, 'DE', 'Germany'),
(64336, '91.234.172.0', '91.234.175.255', 1542106112, 1542107135, 'RU', 'Russian Federation'),
(64337, '91.234.176.0', '91.234.176.255', 1542107136, 1542107391, 'PL', 'Poland'),
(64338, '91.234.177.0', '91.234.178.255', 1542107392, 1542107903, 'RU', 'Russian Federation'),
(64339, '91.234.179.0', '91.234.179.255', 1542107904, 1542108159, 'SK', 'Slovakia'),
(64340, '91.234.180.0', '91.234.183.255', 1542108160, 1542109183, 'RU', 'Russian Federation'),
(64341, '91.234.184.0', '91.234.185.255', 1542109184, 1542109695, 'GB', 'United Kingdom'),
(64342, '91.234.186.0', '91.234.187.255', 1542109696, 1542110207, 'PL', 'Poland'),
(64343, '91.234.188.0', '91.234.188.255', 1542110208, 1542110463, 'RU', 'Russian Federation'),
(64344, '91.234.189.0', '91.234.189.255', 1542110464, 1542110719, 'CH', 'Switzerland'),
(64345, '91.234.190.0', '91.234.191.255', 1542110720, 1542111231, 'RS', 'Serbia'),
(64346, '91.234.192.0', '91.234.192.255', 1542111232, 1542111487, 'SE', 'Sweden'),
(64347, '91.234.193.0', '91.234.193.255', 1542111488, 1542111743, 'NL', 'Netherlands'),
(64348, '91.234.194.0', '91.234.195.255', 1542111744, 1542112255, 'FR', 'France'),
(64349, '91.234.196.0', '91.234.199.255', 1542112256, 1542113279, 'UA', 'Ukraine'),
(64350, '91.234.200.0', '91.234.200.255', 1542113280, 1542113535, 'LT', 'Lithuania'),
(64351, '91.234.201.0', '91.234.201.255', 1542113536, 1542113791, 'GB', 'United Kingdom'),
(64352, '91.234.202.0', '91.234.202.255', 1542113792, 1542114047, 'RU', 'Russian Federation'),
(64353, '91.234.203.0', '91.234.203.255', 1542114048, 1542114303, 'BE', 'Belgium'),
(64354, '91.234.204.0', '91.234.205.255', 1542114304, 1542114815, 'FI', 'Finland'),
(64355, '91.234.206.0', '91.234.206.255', 1542114816, 1542115071, 'NL', 'Netherlands'),
(64356, '91.234.207.0', '91.234.207.255', 1542115072, 1542115327, 'PL', 'Poland'),
(64357, '91.234.208.0', '91.234.211.255', 1542115328, 1542116351, 'UA', 'Ukraine'),
(64358, '91.234.212.0', '91.234.212.255', 1542116352, 1542116607, 'RO', 'Romania'),
(64359, '91.234.213.0', '91.234.213.255', 1542116608, 1542116863, 'DE', 'Germany'),
(64360, '91.234.214.0', '91.234.214.255', 1542116864, 1542117119, 'GB', 'United Kingdom'),
(64361, '91.234.215.0', '91.234.216.255', 1542117120, 1542117631, 'DE', 'Germany'),
(64362, '91.234.217.0', '91.234.217.255', 1542117632, 1542117887, 'PL', 'Poland'),
(64363, '91.234.218.0', '91.234.219.255', 1542117888, 1542118399, 'UZ', 'Uzbekistan'),
(64364, '91.234.220.0', '91.234.223.255', 1542118400, 1542119423, 'RO', 'Romania'),
(64365, '91.234.224.0', '91.234.225.255', 1542119424, 1542119935, 'RU', 'Russian Federation'),
(64366, '91.234.226.0', '91.234.228.255', 1542119936, 1542120703, 'RO', 'Romania'),
(64367, '91.234.229.0', '91.234.229.255', 1542120704, 1542120959, 'AT', 'Austria'),
(64368, '91.234.230.0', '91.234.231.255', 1542120960, 1542121471, 'BE', 'Belgium'),
(64369, '91.234.232.0', '91.234.232.255', 1542121472, 1542121727, 'PL', 'Poland'),
(64370, '91.234.233.0', '91.234.239.255', 1542121728, 1542123519, 'FR', 'France'),
(64371, '91.234.240.0', '91.234.240.255', 1542123520, 1542123775, 'SE', 'Sweden'),
(64372, '91.234.241.0', '91.234.243.255', 1542123776, 1542124543, 'RO', 'Romania'),
(64373, '91.234.244.0', '91.234.244.255', 1542124544, 1542124799, 'DE', 'Germany'),
(64374, '91.234.245.0', '91.234.247.255', 1542124800, 1542125567, 'PL', 'Poland'),
(64375, '91.234.248.0', '91.234.251.255', 1542125568, 1542126591, 'CZ', 'Czech Republic'),
(64376, '91.234.252.0', '91.234.253.255', 1542126592, 1542127103, 'PL', 'Poland'),
(64377, '91.234.254.0', '91.234.254.255', 1542127104, 1542127359, 'GB', 'United Kingdom'),
(64378, '91.234.255.0', '91.234.255.255', 1542127360, 1542127615, 'RU', 'Russian Federation'),
(64379, '91.235.0.0', '91.235.1.255', 1542127616, 1542128127, 'PL', 'Poland'),
(64380, '91.235.2.0', '91.235.2.255', 1542128128, 1542128383, 'RU', 'Russian Federation'),
(64381, '91.235.3.0', '91.235.5.255', 1542128384, 1542129151, 'RO', 'Romania'),
(64382, '91.235.6.0', '91.235.6.255', 1542129152, 1542129407, 'IS', 'Iceland'),
(64383, '91.235.7.0', '91.235.7.255', 1542129408, 1542129663, 'RU', 'Russian Federation'),
(64384, '91.235.8.0', '91.235.11.255', 1542129664, 1542130687, 'DE', 'Germany'),
(64385, '91.235.12.0', '91.235.15.255', 1542130688, 1542131711, 'UA', 'Ukraine'),
(64386, '91.235.16.0', '91.235.25.255', 1542131712, 1542134271, 'PL', 'Poland'),
(64387, '91.235.26.0', '91.235.33.255', 1542134272, 1542136319, 'RU', 'Russian Federation'),
(64388, '91.235.34.0', '91.235.35.255', 1542136320, 1542136831, 'DE', 'Germany'),
(64389, '91.235.36.0', '91.235.39.255', 1542136832, 1542137855, 'RU', 'Russian Federation'),
(64390, '91.235.40.0', '91.235.41.255', 1542137856, 1542138367, 'ES', 'Spain'),
(64391, '91.235.42.0', '91.235.42.255', 1542138368, 1542138623, 'RU', 'Russian Federation'),
(64392, '91.235.43.0', '91.235.43.255', 1542138624, 1542138879, 'RO', 'Romania'),
(64393, '91.235.44.0', '91.235.44.255', 1542138880, 1542139135, 'GB', 'United Kingdom'),
(64394, '91.235.45.0', '91.235.45.255', 1542139136, 1542139391, 'DE', 'Germany'),
(64395, '91.235.46.0', '91.235.46.255', 1542139392, 1542139647, 'UA', 'Ukraine'),
(64396, '91.235.47.0', '91.235.47.255', 1542139648, 1542139903, 'DE', 'Germany'),
(64397, '91.235.48.0', '91.235.51.255', 1542139904, 1542140927, 'ES', 'Spain'),
(64398, '91.235.52.0', '91.235.55.255', 1542140928, 1542141951, 'SK', 'Slovakia'),
(64399, '91.235.56.0', '91.235.59.255', 1542141952, 1542142975, 'GB', 'United Kingdom'),
(64400, '91.235.60.0', '91.235.63.255', 1542142976, 1542143999, 'NO', 'Norway'),
(64401, '91.235.64.0', '91.235.64.255', 1542144000, 1542144255, 'TR', 'Turkey'),
(64402, '91.235.65.0', '91.235.65.255', 1542144256, 1542144511, 'GB', 'United Kingdom'),
(64403, '91.235.66.0', '91.235.66.255', 1542144512, 1542144767, 'RU', 'Russian Federation'),
(64404, '91.235.67.0', '91.235.71.255', 1542144768, 1542146047, 'UA', 'Ukraine'),
(64405, '91.235.72.0', '91.235.77.255', 1542146048, 1542147583, 'RU', 'Russian Federation'),
(64406, '91.235.78.0', '91.235.79.255', 1542147584, 1542148095, 'FR', 'France'),
(64407, '91.235.80.0', '91.235.81.255', 1542148096, 1542148607, 'RU', 'Russian Federation'),
(64408, '91.235.82.0', '91.235.82.255', 1542148608, 1542148863, 'SI', 'Slovenia'),
(64409, '91.235.83.0', '91.235.83.255', 1542148864, 1542149119, 'NL', 'Netherlands'),
(64410, '91.235.84.0', '91.235.87.255', 1542149120, 1542150143, 'UA', 'Ukraine'),
(64411, '91.235.88.0', '91.235.95.255', 1542150144, 1542152191, 'RU', 'Russian Federation'),
(64412, '91.235.96.0', '91.235.99.255', 1542152192, 1542153215, 'IE', 'Ireland'),
(64413, '91.235.100.0', '91.235.100.255', 1542153216, 1542153471, 'DK', 'Denmark'),
(64414, '91.235.101.0', '91.235.101.255', 1542153472, 1542153727, 'RU', 'Russian Federation'),
(64415, '91.235.102.0', '91.235.102.255', 1542153728, 1542153983, 'UA', 'Ukraine'),
(64416, '91.235.103.0', '91.235.103.255', 1542153984, 1542154239, 'RU', 'Russian Federation'),
(64417, '91.235.104.0', '91.235.105.255', 1542154240, 1542154751, 'TR', 'Turkey'),
(64418, '91.235.106.0', '91.235.106.255', 1542154752, 1542155007, 'RU', 'Russian Federation'),
(64419, '91.235.107.0', '91.235.107.255', 1542155008, 1542155263, 'IL', 'Israel'),
(64420, '91.235.108.0', '91.235.111.255', 1542155264, 1542156287, 'ES', 'Spain'),
(64421, '91.235.112.0', '91.235.112.255', 1542156288, 1542156543, 'RU', 'Russian Federation'),
(64422, '91.235.113.0', '91.235.113.255', 1542156544, 1542156799, 'RO', 'Romania'),
(64423, '91.235.114.0', '91.235.115.255', 1542156800, 1542157311, 'DE', 'Germany'),
(64424, '91.235.116.0', '91.235.119.255', 1542157312, 1542158335, 'AZ', 'Azerbaijan'),
(64425, '91.235.120.0', '91.235.121.255', 1542158336, 1542158847, 'IT', 'Italy'),
(64426, '91.235.122.0', '91.235.123.255', 1542158848, 1542159359, 'RO', 'Romania'),
(64427, '91.235.124.0', '91.235.126.255', 1542159360, 1542160127, 'PL', 'Poland'),
(64428, '91.235.127.0', '91.235.127.255', 1542160128, 1542160383, 'RU', 'Russian Federation'),
(64429, '91.235.128.0', '91.235.129.255', 1542160384, 1542160895, 'UA', 'Ukraine'),
(64430, '91.235.130.0', '91.235.131.255', 1542160896, 1542161407, 'RO', 'Romania'),
(64431, '91.235.132.0', '91.235.135.255', 1542161408, 1542162431, 'NL', 'Netherlands'),
(64432, '91.235.136.0', '91.235.137.255', 1542162432, 1542162943, 'RU', 'Russian Federation'),
(64433, '91.235.138.0', '91.235.138.255', 1542162944, 1542163199, 'FR', 'France'),
(64434, '91.235.139.0', '91.235.139.255', 1542163200, 1542163455, 'DK', 'Denmark'),
(64435, '91.235.140.0', '91.235.140.255', 1542163456, 1542163711, 'GB', 'United Kingdom'),
(64436, '91.235.141.0', '91.235.141.255', 1542163712, 1542163967, 'FR', 'France'),
(64437, '91.235.142.0', '91.235.143.255', 1542163968, 1542164479, 'UA', 'Ukraine'),
(64438, '91.235.144.0', '91.235.148.255', 1542164480, 1542165759, 'RU', 'Russian Federation'),
(64439, '91.235.149.0', '91.235.149.255', 1542165760, 1542166015, 'PL', 'Poland'),
(64440, '91.235.150.0', '91.235.151.255', 1542166016, 1542166527, 'IL', 'Israel'),
(64441, '91.235.152.0', '91.235.155.255', 1542166528, 1542167551, 'PL', 'Poland'),
(64442, '91.235.156.0', '91.235.158.255', 1542167552, 1542168319, 'RU', 'Russian Federation'),
(64443, '91.235.159.0', '91.235.159.255', 1542168320, 1542168575, 'AE', 'United Arab Emirates'),
(64444, '91.235.160.0', '91.235.163.255', 1542168576, 1542169599, 'PL', 'Poland'),
(64445, '91.235.164.0', '91.235.164.255', 1542169600, 1542169855, 'BG', 'Bulgaria'),
(64446, '91.235.165.0', '91.235.167.255', 1542169856, 1542170623, 'RO', 'Romania'),
(64447, '91.235.168.0', '91.235.168.255', 1542170624, 1542170879, 'SE', 'Sweden'),
(64448, '91.235.169.0', '91.235.169.255', 1542170880, 1542171135, 'RU', 'Russian Federation'),
(64449, '91.235.170.0', '91.235.171.255', 1542171136, 1542171647, 'HR', 'Croatia'),
(64450, '91.235.172.0', '91.235.173.255', 1542171648, 1542172159, 'GB', 'United Kingdom'),
(64451, '91.235.174.0', '91.235.174.255', 1542172160, 1542172415, 'NL', 'Netherlands'),
(64452, '91.235.175.0', '91.235.175.255', 1542172416, 1542172671, 'RU', 'Russian Federation'),
(64453, '91.235.176.0', '91.235.179.255', 1542172672, 1542173695, 'KZ', 'Kazakhstan'),
(64454, '91.235.180.0', '91.235.181.255', 1542173696, 1542174207, 'RU', 'Russian Federation'),
(64455, '91.235.182.0', '91.235.182.255', 1542174208, 1542174463, 'UA', 'Ukraine'),
(64456, '91.235.183.0', '91.235.183.255', 1542174464, 1542174719, 'CZ', 'Czech Republic'),
(64457, '91.235.184.0', '91.235.191.255', 1542174720, 1542176767, 'RU', 'Russian Federation'),
(64458, '91.235.192.0', '91.235.195.255', 1542176768, 1542177791, 'PL', 'Poland'),
(64459, '91.235.196.0', '91.235.199.255', 1542177792, 1542178815, 'UA', 'Ukraine'),
(64460, '91.235.200.0', '91.235.201.255', 1542178816, 1542179327, 'CZ', 'Czech Republic'),
(64461, '91.235.202.0', '91.235.202.255', 1542179328, 1542179583, 'PL', 'Poland'),
(64462, '91.235.203.0', '91.235.203.255', 1542179584, 1542179839, 'RU', 'Russian Federation'),
(64463, '91.235.204.0', '91.235.207.255', 1542179840, 1542180863, 'PL', 'Poland'),
(64464, '91.235.208.0', '91.235.211.255', 1542180864, 1542181887, 'GB', 'United Kingdom'),
(64465, '91.235.212.0', '91.235.212.255', 1542181888, 1542182143, 'CH', 'Switzerland'),
(64466, '91.235.213.0', '91.235.213.255', 1542182144, 1542182399, 'RU', 'Russian Federation'),
(64467, '91.235.214.0', '91.235.214.255', 1542182400, 1542182655, 'GB', 'United Kingdom'),
(64468, '91.235.215.0', '91.235.215.255', 1542182656, 1542182911, 'FR', 'France'),
(64469, '91.235.216.0', '91.235.219.255', 1542182912, 1542183935, 'PL', 'Poland'),
(64470, '91.235.220.0', '91.235.220.255', 1542183936, 1542184191, 'GB', 'United Kingdom'),
(64471, '91.235.221.0', '91.235.221.255', 1542184192, 1542184447, 'RU', 'Russian Federation'),
(64472, '91.235.222.0', '91.235.223.255', 1542184448, 1542184959, 'PL', 'Poland'),
(64473, '91.235.224.0', '91.235.227.255', 1542184960, 1542185983, 'UA', 'Ukraine'),
(64474, '91.235.228.0', '91.235.231.255', 1542185984, 1542187007, 'PL', 'Poland'),
(64475, '91.235.232.0', '91.235.232.255', 1542187008, 1542187263, 'DK', 'Denmark'),
(64476, '91.235.233.0', '91.235.233.255', 1542187264, 1542187519, 'RU', 'Russian Federation'),
(64477, '91.235.234.0', '91.235.235.255', 1542187520, 1542188031, 'GB', 'United Kingdom'),
(64478, '91.235.236.0', '91.235.236.255', 1542188032, 1542188287, 'DE', 'Germany'),
(64479, '91.235.237.0', '91.235.237.255', 1542188288, 1542188543, 'NL', 'Netherlands'),
(64480, '91.235.238.0', '91.235.239.255', 1542188544, 1542189055, 'PL', 'Poland'),
(64481, '91.235.240.0', '91.235.240.255', 1542189056, 1542189311, 'DE', 'Germany'),
(64482, '91.235.241.0', '91.235.241.255', 1542189312, 1542189567, 'TR', 'Turkey'),
(64483, '91.235.242.0', '91.235.242.255', 1542189568, 1542189823, 'SI', 'Slovenia'),
(64484, '91.235.243.0', '91.235.243.255', 1542189824, 1542190079, 'GE', 'Georgia'),
(64485, '91.235.244.0', '91.235.247.255', 1542190080, 1542191103, 'RU', 'Russian Federation'),
(64486, '91.235.248.0', '91.235.251.255', 1542191104, 1542192127, 'BG', 'Bulgaria'),
(64487, '91.235.252.0', '91.236.0.255', 1542192128, 1542193407, 'PL', 'Poland'),
(64488, '91.236.1.0', '91.236.1.255', 1542193408, 1542193663, 'SI', 'Slovenia'),
(64489, '91.236.2.0', '91.236.3.255', 1542193664, 1542194175, 'RU', 'Russian Federation'),
(64490, '91.236.4.0', '91.236.9.255', 1542194176, 1542195711, 'PL', 'Poland'),
(64491, '91.236.10.0', '91.236.12.255', 1542195712, 1542196479, 'RU', 'Russian Federation'),
(64492, '91.236.13.0', '91.236.13.255', 1542196480, 1542196735, 'PL', 'Poland'),
(64493, '91.236.14.0', '91.236.15.255', 1542196736, 1542197247, 'RU', 'Russian Federation'),
(64494, '91.236.16.0', '91.236.16.255', 1542197248, 1542197503, 'DK', 'Denmark'),
(64495, '91.236.17.0', '91.236.18.255', 1542197504, 1542198015, 'GB', 'United Kingdom'),
(64496, '91.236.19.0', '91.236.19.255', 1542198016, 1542198271, 'NL', 'Netherlands'),
(64497, '91.236.20.0', '91.236.21.255', 1542198272, 1542198783, 'PL', 'Poland'),
(64498, '91.236.22.0', '91.236.24.255', 1542198784, 1542199551, 'RU', 'Russian Federation'),
(64499, '91.236.25.0', '91.236.25.255', 1542199552, 1542199807, 'FR', 'France'),
(64500, '91.236.26.0', '91.236.27.255', 1542199808, 1542200319, 'GB', 'United Kingdom'),
(64501, '91.236.28.0', '91.236.28.255', 1542200320, 1542200575, 'DK', 'Denmark'),
(64502, '91.236.29.0', '91.236.29.255', 1542200576, 1542200831, 'US', 'United States'),
(64503, '91.236.30.0', '91.236.31.255', 1542200832, 1542201343, 'RU', 'Russian Federation'),
(64504, '91.236.32.0', '91.236.35.255', 1542201344, 1542202367, 'PL', 'Poland'),
(64505, '91.236.36.0', '91.236.36.255', 1542202368, 1542202623, 'UA', 'Ukraine'),
(64506, '91.236.37.0', '91.236.37.255', 1542202624, 1542202879, 'HR', 'Croatia'),
(64507, '91.236.38.0', '91.236.39.255', 1542202880, 1542203391, 'EE', 'Estonia'),
(64508, '91.236.40.0', '91.236.43.255', 1542203392, 1542204415, 'CZ', 'Czech Republic'),
(64509, '91.236.44.0', '91.236.44.255', 1542204416, 1542204671, 'EE', 'Estonia'),
(64510, '91.236.45.0', '91.236.45.255', 1542204672, 1542204927, 'CH', 'Switzerland'),
(64511, '91.236.46.0', '91.236.47.255', 1542204928, 1542205439, 'RO', 'Romania'),
(64512, '91.236.48.0', '91.236.51.255', 1542205440, 1542206463, 'RU', 'Russian Federation'),
(64513, '91.236.52.0', '91.236.55.255', 1542206464, 1542207487, 'PL', 'Poland'),
(64514, '91.236.56.0', '91.236.56.255', 1542207488, 1542207743, 'GB', 'United Kingdom'),
(64515, '91.236.57.0', '91.236.57.255', 1542207744, 1542207999, 'PL', 'Poland'),
(64516, '91.236.58.0', '91.236.58.255', 1542208000, 1542208255, 'RO', 'Romania'),
(64517, '91.236.59.0', '91.236.59.255', 1542208256, 1542208511, 'ES', 'Spain'),
(64518, '91.236.60.0', '91.236.63.255', 1542208512, 1542209535, 'RU', 'Russian Federation'),
(64519, '91.236.64.0', '91.236.71.255', 1542209536, 1542211583, 'SK', 'Slovakia'),
(64520, '91.236.72.0', '91.236.75.255', 1542211584, 1542212607, 'PL', 'Poland'),
(64521, '91.236.76.0', '91.236.77.255', 1542212608, 1542213119, 'RO', 'Romania'),
(64522, '91.236.78.0', '91.236.78.255', 1542213120, 1542213375, 'CH', 'Switzerland'),
(64523, '91.236.79.0', '91.236.79.255', 1542213376, 1542213631, 'RO', 'Romania'),
(64524, '91.236.80.0', '91.236.81.255', 1542213632, 1542214143, 'RU', 'Russian Federation'),
(64525, '91.236.82.0', '91.236.82.255', 1542214144, 1542214399, 'SK', 'Slovakia'),
(64526, '91.236.83.0', '91.236.83.255', 1542214400, 1542214655, 'NL', 'Netherlands'),
(64527, '91.236.84.0', '91.236.87.255', 1542214656, 1542215679, 'PL', 'Poland'),
(64528, '91.236.88.0', '91.236.91.255', 1542215680, 1542216703, 'RO', 'Romania'),
(64529, '91.236.92.0', '91.236.95.255', 1542216704, 1542217727, 'RU', 'Russian Federation'),
(64530, '91.236.96.0', '91.236.99.255', 1542217728, 1542218751, 'UA', 'Ukraine'),
(64531, '91.236.100.0', '91.236.104.255', 1542218752, 1542220031, 'RU', 'Russian Federation'),
(64532, '91.236.105.0', '91.236.105.255', 1542220032, 1542220287, 'PL', 'Poland'),
(64533, '91.236.106.0', '91.236.107.255', 1542220288, 1542220799, 'DE', 'Germany'),
(64534, '91.236.108.0', '91.236.113.255', 1542220800, 1542222335, 'RU', 'Russian Federation'),
(64535, '91.236.114.0', '91.236.114.255', 1542222336, 1542222591, 'UA', 'Ukraine'),
(64536, '91.236.115.0', '91.236.115.255', 1542222592, 1542222847, 'PK', 'Pakistan'),
(64537, '91.236.116.0', '91.236.116.255', 1542222848, 1542223103, 'SE', 'Sweden'),
(64538, '91.236.117.0', '91.236.117.255', 1542223104, 1542223359, 'GB', 'United Kingdom'),
(64539, '91.236.118.0', '91.236.119.255', 1542223360, 1542223871, 'UA', 'Ukraine'),
(64540, '91.236.120.0', '91.236.120.255', 1542223872, 1542224127, 'RU', 'Russian Federation'),
(64541, '91.236.121.0', '91.236.121.255', 1542224128, 1542224383, 'UA', 'Ukraine'),
(64542, '91.236.123.0', '91.236.123.255', 1542224640, 1542224895, 'DK', 'Denmark'),
(64543, '91.236.124.0', '91.236.124.255', 1542224896, 1542225151, 'RU', 'Russian Federation'),
(64544, '91.236.125.0', '91.236.125.255', 1542225152, 1542225407, 'PL', 'Poland'),
(64545, '91.236.126.0', '91.236.127.255', 1542225408, 1542225919, 'UA', 'Ukraine'),
(64546, '91.236.128.0', '91.236.133.255', 1542225920, 1542227455, 'PL', 'Poland'),
(64547, '91.236.134.0', '91.236.135.255', 1542227456, 1542227967, 'UA', 'Ukraine'),
(64548, '91.236.136.0', '91.236.136.255', 1542227968, 1542228223, 'RU', 'Russian Federation'),
(64549, '91.236.137.0', '91.236.137.255', 1542228224, 1542228479, 'PL', 'Poland'),
(64550, '91.236.138.0', '91.236.139.255', 1542228480, 1542228991, 'UA', 'Ukraine'),
(64551, '91.236.140.0', '91.236.143.255', 1542228992, 1542230015, 'RU', 'Russian Federation'),
(64552, '91.236.144.0', '91.236.147.255', 1542230016, 1542231039, 'BG', 'Bulgaria'),
(64553, '91.236.148.0', '91.236.151.255', 1542231040, 1542232063, 'RO', 'Romania'),
(64554, '91.236.152.0', '91.236.152.255', 1542232064, 1542232319, 'GB', 'United Kingdom'),
(64555, '91.236.153.0', '91.236.153.255', 1542232320, 1542232575, 'FR', 'France'),
(64556, '91.236.154.0', '91.236.155.255', 1542232576, 1542233087, 'RU', 'Russian Federation'),
(64557, '91.236.156.0', '91.236.159.255', 1542233088, 1542234111, 'UA', 'Ukraine'),
(64558, '91.236.160.0', '91.236.160.255', 1542234112, 1542234367, 'AT', 'Austria'),
(64559, '91.236.161.0', '91.236.161.255', 1542234368, 1542234623, 'FR', 'France'),
(64560, '91.236.162.0', '91.236.162.255', 1542234624, 1542234879, 'AE', 'United Arab Emirates'),
(64561, '91.236.163.0', '91.236.163.255', 1542234880, 1542235135, 'PL', 'Poland'),
(64562, '91.236.164.0', '91.236.167.255', 1542235136, 1542236159, 'RU', 'Russian Federation'),
(64563, '91.236.168.0', '91.236.169.255', 1542236160, 1542236671, 'IR', 'Iran, Islamic Republic of'),
(64564, '91.236.170.0', '91.236.170.255', 1542236672, 1542236927, 'RO', 'Romania'),
(64565, '91.236.171.0', '91.236.171.255', 1542236928, 1542237183, 'UA', 'Ukraine'),
(64566, '91.236.172.0', '91.236.175.255', 1542237184, 1542238207, 'PL', 'Poland'),
(64567, '91.236.176.0', '91.236.181.255', 1542238208, 1542239743, 'RU', 'Russian Federation'),
(64568, '91.236.182.0', '91.236.182.255', 1542239744, 1542239999, 'EU', 'Europe'),
(64569, '91.236.183.0', '91.236.185.255', 1542240000, 1542240767, 'RU', 'Russian Federation'),
(64570, '91.236.186.0', '91.236.186.255', 1542240768, 1542241023, 'DK', 'Denmark'),
(64571, '91.236.187.0', '91.236.187.255', 1542241024, 1542241279, 'GB', 'United Kingdom'),
(64572, '91.236.188.0', '91.236.188.255', 1542241280, 1542241535, 'LV', 'Latvia'),
(64573, '91.236.189.0', '91.236.189.255', 1542241536, 1542241791, 'NL', 'Netherlands'),
(64574, '91.236.190.0', '91.236.191.255', 1542241792, 1542242303, 'GB', 'United Kingdom'),
(64575, '91.236.192.0', '91.236.194.255', 1542242304, 1542243071, 'NL', 'Netherlands'),
(64576, '91.236.195.0', '91.236.201.255', 1542243072, 1542244863, 'RU', 'Russian Federation'),
(64577, '91.236.202.0', '91.236.203.255', 1542244864, 1542245375, 'NL', 'Netherlands'),
(64578, '91.236.204.0', '91.236.205.255', 1542245376, 1542245887, 'RU', 'Russian Federation'),
(64579, '91.236.206.0', '91.236.206.255', 1542245888, 1542246143, 'GB', 'United Kingdom'),
(64580, '91.236.207.0', '91.236.209.255', 1542246144, 1542246911, 'SE', 'Sweden'),
(64581, '91.236.210.0', '91.236.211.255', 1542246912, 1542247423, 'DK', 'Denmark'),
(64582, '91.236.212.0', '91.236.212.255', 1542247424, 1542247679, 'SE', 'Sweden'),
(64583, '91.236.213.0', '91.236.213.255', 1542247680, 1542247935, 'UA', 'Ukraine'),
(64584, '91.236.214.0', '91.236.215.255', 1542247936, 1542248447, 'NL', 'Netherlands'),
(64585, '91.236.216.0', '91.236.219.255', 1542248448, 1542249471, 'RO', 'Romania'),
(64586, '91.236.220.0', '91.236.220.255', 1542249472, 1542249727, 'RU', 'Russian Federation'),
(64587, '91.236.221.0', '91.236.221.255', 1542249728, 1542249983, 'UA', 'Ukraine'),
(64588, '91.236.222.0', '91.236.222.255', 1542249984, 1542250239, 'EE', 'Estonia'),
(64589, '91.236.223.0', '91.236.223.255', 1542250240, 1542250495, 'RO', 'Romania'),
(64590, '91.236.224.0', '91.236.227.255', 1542250496, 1542251519, 'UA', 'Ukraine'),
(64591, '91.236.228.0', '91.236.228.255', 1542251520, 1542251775, 'RO', 'Romania'),
(64592, '91.236.229.0', '91.236.229.255', 1542251776, 1542252031, 'PL', 'Poland'),
(64593, '91.236.230.0', '91.236.231.255', 1542252032, 1542252543, 'RO', 'Romania'),
(64594, '91.236.232.0', '91.236.233.255', 1542252544, 1542253055, 'PL', 'Poland'),
(64595, '91.236.234.0', '91.236.235.255', 1542253056, 1542253567, 'RU', 'Russian Federation'),
(64596, '91.236.236.0', '91.236.236.255', 1542253568, 1542253823, 'LB', 'Lebanon'),
(64597, '91.236.237.0', '91.236.237.255', 1542253824, 1542254079, 'RO', 'Romania'),
(64598, '91.236.238.0', '91.236.238.255', 1542254080, 1542254335, 'RU', 'Russian Federation'),
(64599, '91.236.239.0', '91.236.239.255', 1542254336, 1542254591, 'FR', 'France'),
(64600, '91.236.240.0', '91.236.243.255', 1542254592, 1542255615, 'RO', 'Romania'),
(64601, '91.236.244.0', '91.236.245.255', 1542255616, 1542256127, 'BE', 'Belgium'),
(64602, '91.236.246.0', '91.236.247.255', 1542256128, 1542256639, 'RU', 'Russian Federation'),
(64603, '91.236.248.0', '91.236.251.255', 1542256640, 1542257663, 'UA', 'Ukraine'),
(64604, '91.236.252.0', '91.236.253.255', 1542257664, 1542258175, 'RU', 'Russian Federation'),
(64605, '91.236.254.0', '91.236.255.255', 1542258176, 1542258687, 'FR', 'France'),
(64606, '91.237.0.0', '91.237.15.255', 1542258688, 1542262783, 'UA', 'Ukraine'),
(64607, '91.237.16.0', '91.237.17.255', 1542262784, 1542263295, 'IT', 'Italy'),
(64608, '91.237.18.0', '91.237.19.255', 1542263296, 1542263807, 'PL', 'Poland'),
(64609, '91.237.20.0', '91.237.20.255', 1542263808, 1542264063, 'RU', 'Russian Federation'),
(64610, '91.237.21.0', '91.237.23.255', 1542264064, 1542264831, 'SA', 'Saudi Arabia'),
(64611, '91.237.24.0', '91.237.27.255', 1542264832, 1542265855, 'UA', 'Ukraine'),
(64612, '91.237.28.0', '91.237.31.255', 1542265856, 1542266879, 'SA', 'Saudi Arabia'),
(64613, '91.237.32.0', '91.237.32.255', 1542266880, 1542267135, 'RU', 'Russian Federation'),
(64614, '91.237.33.0', '91.237.33.255', 1542267136, 1542267391, 'SI', 'Slovenia'),
(64615, '91.237.34.0', '91.237.35.255', 1542267392, 1542267903, 'NO', 'Norway'),
(64616, '91.237.36.0', '91.237.36.255', 1542267904, 1542268159, 'PL', 'Poland'),
(64617, '91.237.37.0', '91.237.37.255', 1542268160, 1542268415, 'RU', 'Russian Federation'),
(64618, '91.237.38.0', '91.237.39.255', 1542268416, 1542268927, 'FR', 'France'),
(64619, '91.237.40.0', '91.237.41.255', 1542268928, 1542269439, 'UA', 'Ukraine'),
(64620, '91.237.42.0', '91.237.42.255', 1542269440, 1542269695, 'LV', 'Latvia'),
(64621, '91.237.43.0', '91.237.43.255', 1542269696, 1542269951, 'NL', 'Netherlands'),
(64622, '91.237.44.0', '91.237.49.255', 1542269952, 1542271487, 'RO', 'Romania'),
(64623, '91.237.50.0', '91.237.50.255', 1542271488, 1542271743, 'PS', 'Palestinian Territory, Occupied'),
(64624, '91.237.51.0', '91.237.51.255', 1542271744, 1542271999, 'CZ', 'Czech Republic'),
(64625, '91.237.52.0', '91.237.52.255', 1542272000, 1542272255, 'PL', 'Poland'),
(64626, '91.237.53.0', '91.237.55.255', 1542272256, 1542273023, 'RU', 'Russian Federation'),
(64627, '91.237.56.0', '91.237.59.255', 1542273024, 1542274047, 'BG', 'Bulgaria'),
(64628, '91.237.60.0', '91.237.63.255', 1542274048, 1542275071, 'PL', 'Poland'),
(64629, '91.237.64.0', '91.237.64.255', 1542275072, 1542275327, 'UA', 'Ukraine'),
(64630, '91.237.65.0', '91.237.65.255', 1542275328, 1542275583, 'DE', 'Germany'),
(64631, '91.237.66.0', '91.237.67.255', 1542275584, 1542276095, 'SE', 'Sweden'),
(64632, '91.237.68.0', '91.237.73.255', 1542276096, 1542277631, 'PL', 'Poland'),
(64633, '91.237.74.0', '91.237.75.255', 1542277632, 1542278143, 'GB', 'United Kingdom'),
(64634, '91.237.76.0', '91.237.76.255', 1542278144, 1542278399, 'RU', 'Russian Federation'),
(64635, '91.237.77.0', '91.237.77.255', 1542278400, 1542278655, 'PL', 'Poland'),
(64636, '91.237.78.0', '91.237.78.255', 1542278656, 1542278911, 'NL', 'Netherlands'),
(64637, '91.237.79.0', '91.237.81.255', 1542278912, 1542279679, 'PL', 'Poland'),
(64638, '91.237.82.0', '91.237.83.255', 1542279680, 1542280191, 'RU', 'Russian Federation'),
(64639, '91.237.84.0', '91.237.86.255', 1542280192, 1542280959, 'PL', 'Poland'),
(64640, '91.237.87.0', '91.237.87.255', 1542280960, 1542281215, 'GB', 'United Kingdom'),
(64641, '91.237.88.0', '91.237.89.255', 1542281216, 1542281727, 'DE', 'Germany'),
(64642, '91.237.90.0', '91.237.90.255', 1542281728, 1542281983, 'SE', 'Sweden'),
(64643, '91.237.91.0', '91.237.93.255', 1542281984, 1542282751, 'RO', 'Romania'),
(64644, '91.237.94.0', '91.237.94.255', 1542282752, 1542283007, 'RU', 'Russian Federation'),
(64645, '91.237.95.0', '91.237.95.255', 1542283008, 1542283263, 'SE', 'Sweden'),
(64646, '91.237.96.0', '91.237.96.255', 1542283264, 1542283519, 'AT', 'Austria'),
(64647, '91.237.97.0', '91.237.97.255', 1542283520, 1542283775, 'RU', 'Russian Federation'),
(64648, '91.237.98.0', '91.237.99.255', 1542283776, 1542284287, 'LV', 'Latvia'),
(64649, '91.237.100.0', '91.237.101.255', 1542284288, 1542284799, 'DE', 'Germany'),
(64650, '91.237.102.0', '91.237.103.255', 1542284800, 1542285311, 'BG', 'Bulgaria'),
(64651, '91.237.104.0', '91.237.105.255', 1542285312, 1542285823, 'RU', 'Russian Federation'),
(64652, '91.237.106.0', '91.237.106.255', 1542285824, 1542286079, 'SE', 'Sweden'),
(64653, '91.237.107.0', '91.237.111.255', 1542286080, 1542287359, 'UA', 'Ukraine'),
(64654, '91.237.112.0', '91.237.113.255', 1542287360, 1542287871, 'PL', 'Poland'),
(64655, '91.237.114.0', '91.237.116.255', 1542287872, 1542288639, 'UA', 'Ukraine'),
(64656, '91.237.117.0', '91.237.117.255', 1542288640, 1542288895, 'DE', 'Germany'),
(64657, '91.237.118.0', '91.237.118.255', 1542288896, 1542289151, 'PL', 'Poland'),
(64658, '91.237.119.0', '91.237.129.255', 1542289152, 1542291967, 'UA', 'Ukraine'),
(64659, '91.237.130.0', '91.237.131.255', 1542291968, 1542292479, 'RO', 'Romania'),
(64660, '91.237.132.0', '91.237.135.255', 1542292480, 1542293503, 'SI', 'Slovenia'),
(64661, '91.237.136.0', '91.237.139.255', 1542293504, 1542294527, 'PL', 'Poland'),
(64662, '91.237.140.0', '91.237.141.255', 1542294528, 1542295039, 'SE', 'Sweden'),
(64663, '91.237.142.0', '91.237.142.255', 1542295040, 1542295295, 'UA', 'Ukraine'),
(64664, '91.237.143.0', '91.237.143.255', 1542295296, 1542295551, 'AT', 'Austria'),
(64665, '91.237.144.0', '91.237.148.255', 1542295552, 1542296831, 'RU', 'Russian Federation'),
(64666, '91.237.149.0', '91.237.149.255', 1542296832, 1542297087, 'PL', 'Poland'),
(64667, '91.237.150.0', '91.237.150.255', 1542297088, 1542297343, 'RU', 'Russian Federation'),
(64668, '91.237.151.0', '91.237.151.255', 1542297344, 1542297599, 'FI', 'Finland'),
(64669, '91.237.152.0', '91.237.152.255', 1542297600, 1542297855, 'UA', 'Ukraine'),
(64670, '91.237.153.0', '91.237.153.255', 1542297856, 1542298111, 'RU', 'Russian Federation'),
(64671, '91.237.154.0', '91.237.161.255', 1542298112, 1542300159, 'PL', 'Poland'),
(64672, '91.237.162.0', '91.237.163.255', 1542300160, 1542300671, 'RU', 'Russian Federation'),
(64673, '91.237.164.0', '91.237.167.255', 1542300672, 1542301695, 'UA', 'Ukraine'),
(64674, '91.237.168.0', '91.237.170.255', 1542301696, 1542302463, 'SK', 'Slovakia'),
(64675, '91.237.171.0', '91.237.173.255', 1542302464, 1542303231, 'PL', 'Poland'),
(64676, '91.237.174.0', '91.237.175.255', 1542303232, 1542303743, 'EU', 'Europe'),
(64677, '91.237.176.0', '91.237.176.255', 1542303744, 1542303999, 'GB', 'United Kingdom'),
(64678, '91.237.177.0', '91.237.177.255', 1542304000, 1542304255, 'FR', 'France'),
(64679, '91.237.178.0', '91.237.178.255', 1542304256, 1542304511, 'RU', 'Russian Federation'),
(64680, '91.237.180.0', '91.237.181.255', 1542304768, 1542305279, 'RU', 'Russian Federation'),
(64681, '91.237.182.0', '91.237.183.255', 1542305280, 1542305791, 'UA', 'Ukraine'),
(64682, '91.237.184.0', '91.237.184.255', 1542305792, 1542306047, 'FR', 'France'),
(64683, '91.237.185.0', '91.237.185.255', 1542306048, 1542306303, 'GB', 'United Kingdom'),
(64684, '91.237.186.0', '91.237.189.255', 1542306304, 1542307327, 'RU', 'Russian Federation'),
(64685, '91.237.190.0', '91.237.190.255', 1542307328, 1542307583, 'PL', 'Poland'),
(64686, '91.237.191.0', '91.237.191.255', 1542307584, 1542307839, 'SE', 'Sweden'),
(64687, '91.237.192.0', '91.237.192.255', 1542307840, 1542308095, 'RU', 'Russian Federation'),
(64688, '91.237.193.0', '91.237.195.255', 1542308096, 1542308863, 'RO', 'Romania'),
(64689, '91.237.196.0', '91.237.196.255', 1542308864, 1542309119, 'PL', 'Poland'),
(64690, '91.237.197.0', '91.237.197.255', 1542309120, 1542309375, 'GB', 'United Kingdom'),
(64691, '91.237.198.0', '91.237.203.255', 1542309376, 1542310911, 'RU', 'Russian Federation'),
(64692, '91.237.204.0', '91.237.208.255', 1542310912, 1542312191, 'UA', 'Ukraine'),
(64693, '91.237.209.0', '91.237.209.255', 1542312192, 1542312447, 'RU', 'Russian Federation'),
(64694, '91.237.210.0', '91.237.211.255', 1542312448, 1542312959, 'GB', 'United Kingdom'),
(64695, '91.237.212.0', '91.237.212.255', 1542312960, 1542313215, 'FR', 'France'),
(64696, '91.237.213.0', '91.237.213.255', 1542313216, 1542313471, 'RU', 'Russian Federation'),
(64697, '91.237.214.0', '91.237.214.255', 1542313472, 1542313727, 'DE', 'Germany'),
(64698, '91.237.215.0', '91.237.215.255', 1542313728, 1542313983, 'RU', 'Russian Federation'),
(64699, '91.237.216.0', '91.237.217.255', 1542313984, 1542314495, 'TR', 'Turkey'),
(64700, '91.237.218.0', '91.237.218.255', 1542314496, 1542314751, 'NL', 'Netherlands'),
(64701, '91.237.219.0', '91.237.219.255', 1542314752, 1542315007, 'PL', 'Poland'),
(64702, '91.237.220.0', '91.237.223.255', 1542315008, 1542316031, 'RU', 'Russian Federation'),
(64703, '91.237.224.0', '91.237.229.255', 1542316032, 1542317567, 'PL', 'Poland'),
(64704, '91.237.230.0', '91.237.230.255', 1542317568, 1542317823, 'RU', 'Russian Federation'),
(64705, '91.237.231.0', '91.237.231.255', 1542317824, 1542318079, 'GB', 'United Kingdom'),
(64706, '91.237.232.0', '91.237.235.255', 1542318080, 1542319103, 'UA', 'Ukraine'),
(64707, '91.237.236.0', '91.237.239.255', 1542319104, 1542320127, 'CZ', 'Czech Republic'),
(64708, '91.237.240.0', '91.237.247.255', 1542320128, 1542322175, 'UA', 'Ukraine'),
(64709, '91.237.248.0', '91.237.248.255', 1542322176, 1542322431, 'RO', 'Romania'),
(64710, '91.237.249.0', '91.237.249.255', 1542322432, 1542322687, 'RU', 'Russian Federation'),
(64711, '91.237.250.0', '91.237.250.255', 1542322688, 1542322943, 'UA', 'Ukraine'),
(64712, '91.237.251.0', '91.237.251.255', 1542322944, 1542323199, 'IL', 'Israel'),
(64713, '91.237.252.0', '91.237.253.255', 1542323200, 1542323711, 'RU', 'Russian Federation'),
(64714, '91.237.254.0', '91.238.0.255', 1542323712, 1542324479, 'IR', 'Iran, Islamic Republic of'),
(64715, '91.238.1.0', '91.238.3.255', 1542324480, 1542325247, 'RU', 'Russian Federation'),
(64716, '91.238.4.0', '91.238.5.255', 1542325248, 1542325759, 'UA', 'Ukraine'),
(64717, '91.238.6.0', '91.238.7.255', 1542325760, 1542326271, 'RS', 'Serbia'),
(64718, '91.238.8.0', '91.238.8.255', 1542326272, 1542326527, 'CH', 'Switzerland'),
(64719, '91.238.9.0', '91.238.9.255', 1542326528, 1542326783, 'UA', 'Ukraine'),
(64720, '91.238.10.0', '91.238.11.255', 1542326784, 1542327295, 'RU', 'Russian Federation'),
(64721, '91.238.12.0', '91.238.15.255', 1542327296, 1542328319, 'MD', 'Moldova, Republic of'),
(64722, '91.238.16.0', '91.238.17.255', 1542328320, 1542328831, 'UA', 'Ukraine'),
(64723, '91.238.18.0', '91.238.18.255', 1542328832, 1542329087, 'TR', 'Turkey'),
(64724, '91.238.19.0', '91.238.19.255', 1542329088, 1542329343, 'AT', 'Austria'),
(64725, '91.238.20.0', '91.238.21.255', 1542329344, 1542329855, 'RU', 'Russian Federation'),
(64726, '91.238.22.0', '91.238.22.255', 1542329856, 1542330111, 'GB', 'United Kingdom'),
(64727, '91.238.23.0', '91.238.23.255', 1542330112, 1542330367, 'UA', 'Ukraine'),
(64728, '91.238.24.0', '91.238.29.255', 1542330368, 1542331903, 'RU', 'Russian Federation'),
(64729, '91.238.30.0', '91.238.32.255', 1542331904, 1542332671, 'BE', 'Belgium'),
(64730, '91.238.33.0', '91.238.35.255', 1542332672, 1542333439, 'RU', 'Russian Federation'),
(64731, '91.238.36.0', '91.238.36.255', 1542333440, 1542333695, 'PL', 'Poland'),
(64732, '91.238.37.0', '91.238.43.255', 1542333696, 1542335487, 'RO', 'Romania'),
(64733, '91.238.44.0', '91.238.49.255', 1542335488, 1542337023, 'RU', 'Russian Federation'),
(64734, '91.238.50.0', '91.238.50.255', 1542337024, 1542337279, 'RO', 'Romania'),
(64735, '91.238.51.0', '91.238.51.255', 1542337280, 1542337535, 'SE', 'Sweden'),
(64736, '91.238.52.0', '91.238.60.255', 1542337536, 1542339839, 'PL', 'Poland'),
(64737, '91.238.61.0', '91.238.61.255', 1542339840, 1542340095, 'RS', 'Serbia'),
(64738, '91.238.62.0', '91.238.63.255', 1542340096, 1542340607, 'PL', 'Poland'),
(64739, '91.238.64.0', '91.238.69.255', 1542340608, 1542342143, 'RU', 'Russian Federation'),
(64740, '91.238.70.0', '91.238.71.255', 1542342144, 1542342655, 'RO', 'Romania'),
(64741, '91.238.72.0', '91.238.73.255', 1542342656, 1542343167, 'FR', 'France'),
(64742, '91.238.74.0', '91.238.75.255', 1542343168, 1542343679, 'UA', 'Ukraine'),
(64743, '91.238.76.0', '91.238.78.255', 1542343680, 1542344447, 'PL', 'Poland'),
(64744, '91.238.79.0', '91.238.83.255', 1542344448, 1542345727, 'RU', 'Russian Federation'),
(64745, '91.238.84.0', '91.238.84.255', 1542345728, 1542345983, 'UA', 'Ukraine'),
(64746, '91.238.85.0', '91.238.85.255', 1542345984, 1542346239, 'PL', 'Poland'),
(64747, '91.238.86.0', '91.238.93.255', 1542346240, 1542348287, 'RU', 'Russian Federation'),
(64748, '91.238.94.0', '91.238.95.255', 1542348288, 1542348799, 'MD', 'Moldova, Republic of'),
(64749, '91.238.96.0', '91.238.99.255', 1542348800, 1542349823, 'RU', 'Russian Federation'),
(64750, '91.238.100.0', '91.238.105.255', 1542349824, 1542351359, 'UA', 'Ukraine'),
(64751, '91.238.106.0', '91.238.106.255', 1542351360, 1542351615, 'BG', 'Bulgaria'),
(64752, '91.238.107.0', '91.238.107.255', 1542351616, 1542351871, 'PL', 'Poland'),
(64753, '91.238.108.0', '91.238.112.255', 1542351872, 1542353151, 'RU', 'Russian Federation'),
(64754, '91.238.113.0', '91.238.113.255', 1542353152, 1542353407, 'SA', 'Saudi Arabia'),
(64755, '91.238.114.0', '91.238.115.255', 1542353408, 1542353919, 'RU', 'Russian Federation'),
(64756, '91.238.116.0', '91.238.119.255', 1542353920, 1542354943, 'IT', 'Italy'),
(64757, '91.238.120.0', '91.238.122.255', 1542354944, 1542355711, 'RU', 'Russian Federation'),
(64758, '91.238.123.0', '91.238.123.255', 1542355712, 1542355967, 'GB', 'United Kingdom'),
(64759, '91.238.124.0', '91.238.125.255', 1542355968, 1542356479, 'PL', 'Poland'),
(64760, '91.238.126.0', '91.238.126.255', 1542356480, 1542356735, 'ES', 'Spain'),
(64761, '91.238.127.0', '91.238.129.255', 1542356736, 1542357503, 'RU', 'Russian Federation'),
(64762, '91.238.130.0', '91.238.130.255', 1542357504, 1542357759, 'GB', 'United Kingdom'),
(64763, '91.238.131.0', '91.238.131.255', 1542357760, 1542358015, 'FR', 'France'),
(64764, '91.238.132.0', '91.238.132.255', 1542358016, 1542358271, 'UA', 'Ukraine'),
(64765, '91.238.133.0', '91.238.133.255', 1542358272, 1542358527, 'RU', 'Russian Federation'),
(64766, '91.238.134.0', '91.238.135.255', 1542358528, 1542359039, 'PL', 'Poland'),
(64767, '91.238.136.0', '91.238.140.255', 1542359040, 1542360319, 'RU', 'Russian Federation'),
(64768, '91.238.141.0', '91.238.141.255', 1542360320, 1542360575, 'NL', 'Netherlands'),
(64769, '91.238.142.0', '91.238.143.255', 1542360576, 1542361087, 'PL', 'Poland'),
(64770, '91.238.144.0', '91.238.144.255', 1542361088, 1542361343, 'LI', 'Liechtenstein'),
(64771, '91.238.145.0', '91.238.145.255', 1542361344, 1542361599, 'PL', 'Poland'),
(64772, '91.238.146.0', '91.238.147.255', 1542361600, 1542362111, 'UA', 'Ukraine'),
(64773, '91.238.148.0', '91.238.149.255', 1542362112, 1542362623, 'RO', 'Romania'),
(64774, '91.238.150.0', '91.238.151.255', 1542362624, 1542363135, 'FR', 'France'),
(64775, '91.238.152.0', '91.238.153.255', 1542363136, 1542363647, 'DK', 'Denmark'),
(64776, '91.238.154.0', '91.238.155.255', 1542363648, 1542364159, 'NL', 'Netherlands'),
(64777, '91.238.156.0', '91.238.159.255', 1542364160, 1542365183, 'RU', 'Russian Federation'),
(64778, '91.238.160.0', '91.238.165.255', 1542365184, 1542366719, 'GB', 'United Kingdom'),
(64779, '91.238.166.0', '91.238.167.255', 1542366720, 1542367231, 'PL', 'Poland'),
(64780, '91.238.168.0', '91.238.171.255', 1542367232, 1542368255, 'RU', 'Russian Federation'),
(64781, '91.238.172.0', '91.238.175.255', 1542368256, 1542369279, 'PL', 'Poland'),
(64782, '91.238.176.0', '91.238.177.255', 1542369280, 1542369791, 'NL', 'Netherlands'),
(64783, '91.238.178.0', '91.238.179.255', 1542369792, 1542370303, 'PL', 'Poland'),
(64784, '91.238.180.0', '91.238.181.255', 1542370304, 1542370815, 'DE', 'Germany'),
(64785, '91.238.182.0', '91.238.185.255', 1542370816, 1542371839, 'RU', 'Russian Federation'),
(64786, '91.238.186.0', '91.238.187.255', 1542371840, 1542372351, 'RO', 'Romania'),
(64787, '91.238.188.0', '91.238.191.255', 1542372352, 1542373375, 'RU', 'Russian Federation'),
(64788, '91.238.192.0', '91.238.195.255', 1542373376, 1542374399, 'UA', 'Ukraine'),
(64789, '91.238.196.0', '91.238.198.255', 1542374400, 1542375167, 'GB', 'United Kingdom'),
(64790, '91.238.199.0', '91.238.199.255', 1542375168, 1542375423, 'BG', 'Bulgaria'),
(64791, '91.238.200.0', '91.238.203.255', 1542375424, 1542376447, 'RU', 'Russian Federation'),
(64792, '91.238.204.0', '91.238.205.255', 1542376448, 1542376959, 'BG', 'Bulgaria'),
(64793, '91.238.207.0', '91.238.207.255', 1542377216, 1542377471, 'RU', 'Russian Federation'),
(64794, '91.238.208.0', '91.238.209.255', 1542377472, 1542377983, 'GB', 'United Kingdom'),
(64795, '91.238.210.0', '91.238.211.255', 1542377984, 1542378495, 'RU', 'Russian Federation'),
(64796, '91.238.212.0', '91.238.212.255', 1542378496, 1542378751, 'DK', 'Denmark'),
(64797, '91.238.213.0', '91.238.213.255', 1542378752, 1542379007, 'RU', 'Russian Federation'),
(64798, '91.238.214.0', '91.238.215.255', 1542379008, 1542379519, 'GB', 'United Kingdom'),
(64799, '91.238.216.0', '91.238.216.255', 1542379520, 1542379775, 'PL', 'Poland'),
(64800, '91.238.217.0', '91.238.217.255', 1542379776, 1542380031, 'RU', 'Russian Federation'),
(64801, '91.238.218.0', '91.238.218.255', 1542380032, 1542380287, 'RO', 'Romania'),
(64802, '91.238.219.0', '91.238.219.255', 1542380288, 1542380543, 'BE', 'Belgium'),
(64803, '91.238.220.0', '91.238.220.255', 1542380544, 1542380799, 'FR', 'France'),
(64804, '91.238.221.0', '91.238.221.255', 1542380800, 1542381055, 'GB', 'United Kingdom'),
(64805, '91.238.222.0', '91.238.224.255', 1542381056, 1542381823, 'RU', 'Russian Federation'),
(64806, '91.238.225.0', '91.238.225.255', 1542381824, 1542382079, 'AT', 'Austria'),
(64807, '91.238.226.0', '91.238.226.255', 1542382080, 1542382335, 'BE', 'Belgium'),
(64808, '91.238.227.0', '91.238.231.255', 1542382336, 1542383615, 'RU', 'Russian Federation'),
(64809, '91.238.232.0', '91.238.235.255', 1542383616, 1542384639, 'PL', 'Poland'),
(64810, '91.238.236.0', '91.238.236.255', 1542384640, 1542384895, 'DE', 'Germany'),
(64811, '91.238.237.0', '91.238.237.255', 1542384896, 1542385151, 'RU', 'Russian Federation'),
(64812, '91.238.238.0', '91.238.239.255', 1542385152, 1542385663, 'CH', 'Switzerland'),
(64813, '91.238.240.0', '91.238.243.255', 1542385664, 1542386687, 'PL', 'Poland'),
(64814, '91.238.244.0', '91.238.245.255', 1542386688, 1542387199, 'UA', 'Ukraine'),
(64815, '91.238.246.0', '91.238.247.255', 1542387200, 1542387711, 'PL', 'Poland'),
(64816, '91.238.248.0', '91.238.249.255', 1542387712, 1542388223, 'RU', 'Russian Federation'),
(64817, '91.238.250.0', '91.238.250.255', 1542388224, 1542388479, 'IT', 'Italy'),
(64818, '91.238.251.0', '91.238.251.255', 1542388480, 1542388735, 'BG', 'Bulgaria'),
(64819, '91.238.252.0', '91.238.253.255', 1542388736, 1542389247, 'RU', 'Russian Federation'),
(64820, '91.238.254.0', '91.238.254.255', 1542389248, 1542389503, 'PL', 'Poland'),
(64821, '91.238.255.0', '91.238.255.255', 1542389504, 1542389759, 'BG', 'Bulgaria'),
(64822, '91.239.0.0', '91.239.3.255', 1542389760, 1542390783, 'RO', 'Romania'),
(64823, '91.239.4.0', '91.239.5.255', 1542390784, 1542391295, 'RU', 'Russian Federation'),
(64824, '91.239.6.0', '91.239.7.255', 1542391296, 1542391807, 'FR', 'France'),
(64825, '91.239.8.0', '91.239.11.255', 1542391808, 1542392831, 'MD', 'Moldova, Republic of'),
(64826, '91.239.12.0', '91.239.12.255', 1542392832, 1542393087, 'RO', 'Romania'),
(64827, '91.239.13.0', '91.239.13.255', 1542393088, 1542393343, 'BG', 'Bulgaria'),
(64828, '91.239.14.0', '91.239.14.255', 1542393344, 1542393599, 'IR', 'Iran, Islamic Republic of'),
(64829, '91.239.15.0', '91.239.19.255', 1542393600, 1542394879, 'RU', 'Russian Federation'),
(64830, '91.239.21.0', '91.239.21.255', 1542395136, 1542395391, 'ES', 'Spain'),
(64831, '91.239.22.0', '91.239.22.255', 1542395392, 1542395647, 'RU', 'Russian Federation'),
(64832, '91.239.23.0', '91.239.23.255', 1542395648, 1542395903, 'AT', 'Austria'),
(64833, '91.239.24.0', '91.239.24.255', 1542395904, 1542396159, 'RU', 'Russian Federation'),
(64834, '91.239.25.0', '91.239.25.255', 1542396160, 1542396415, 'NO', 'Norway'),
(64835, '91.239.26.0', '91.239.27.255', 1542396416, 1542396927, 'RU', 'Russian Federation'),
(64836, '91.239.28.0', '91.239.31.255', 1542396928, 1542397951, 'PL', 'Poland'),
(64837, '91.239.32.0', '91.239.33.255', 1542397952, 1542398463, 'NL', 'Netherlands'),
(64838, '91.239.34.0', '91.239.35.255', 1542398464, 1542398975, 'DE', 'Germany'),
(64839, '91.239.36.0', '91.239.36.255', 1542398976, 1542399231, 'PL', 'Poland'),
(64840, '91.239.37.0', '91.239.37.255', 1542399232, 1542399487, 'RU', 'Russian Federation'),
(64841, '91.239.38.0', '91.239.39.255', 1542399488, 1542399999, 'DK', 'Denmark'),
(64842, '91.239.40.0', '91.239.45.255', 1542400000, 1542401535, 'RU', 'Russian Federation'),
(64843, '91.239.46.0', '91.239.46.255', 1542401536, 1542401791, 'GB', 'United Kingdom'),
(64844, '91.239.47.0', '91.239.47.255', 1542401792, 1542402047, 'BG', 'Bulgaria'),
(64845, '91.239.48.0', '91.239.51.255', 1542402048, 1542403071, 'RU', 'Russian Federation'),
(64846, '91.239.52.0', '91.239.52.255', 1542403072, 1542403327, 'CH', 'Switzerland'),
(64847, '91.239.53.0', '91.239.53.255', 1542403328, 1542403583, 'UA', 'Ukraine'),
(64848, '91.239.56.0', '91.239.60.255', 1542404096, 1542405375, 'RU', 'Russian Federation'),
(64849, '91.239.61.0', '91.239.61.255', 1542405376, 1542405631, 'PL', 'Poland'),
(64850, '91.239.62.0', '91.239.62.255', 1542405632, 1542405887, 'GB', 'United Kingdom'),
(64851, '91.239.63.0', '91.239.63.255', 1542405888, 1542406143, 'RU', 'Russian Federation'),
(64852, '91.239.66.0', '91.239.67.255', 1542406656, 1542407167, 'PL', 'Poland'),
(64853, '91.239.68.0', '91.239.71.255', 1542407168, 1542408191, 'RU', 'Russian Federation'),
(64854, '91.239.76.0', '91.239.79.255', 1542409216, 1542410239, 'UA', 'Ukraine'),
(64855, '91.239.80.0', '91.239.83.255', 1542410240, 1542411263, 'RU', 'Russian Federation'),
(64856, '91.239.84.0', '91.239.84.255', 1542411264, 1542411519, 'DE', 'Germany'),
(64857, '91.239.85.0', '91.239.85.255', 1542411520, 1542411775, 'RU', 'Russian Federation'),
(64858, '91.239.86.0', '91.239.86.255', 1542411776, 1542412031, 'EE', 'Estonia'),
(64859, '91.239.87.0', '91.239.87.255', 1542412032, 1542412287, 'GB', 'United Kingdom'),
(64860, '91.239.88.0', '91.239.89.255', 1542412288, 1542412799, 'RU', 'Russian Federation'),
(64861, '91.239.90.0', '91.239.90.255', 1542412800, 1542413055, 'PL', 'Poland'),
(64862, '91.239.91.0', '91.239.91.255', 1542413056, 1542413311, 'GB', 'United Kingdom'),
(64863, '91.239.92.0', '91.239.93.255', 1542413312, 1542413823, 'DE', 'Germany'),
(64864, '91.239.94.0', '91.239.94.255', 1542413824, 1542414079, 'RU', 'Russian Federation'),
(64865, '91.239.95.0', '91.239.95.255', 1542414080, 1542414335, 'UA', 'Ukraine'),
(64866, '91.239.96.0', '91.239.97.255', 1542414336, 1542414847, 'SI', 'Slovenia'),
(64867, '91.239.98.0', '91.239.99.255', 1542414848, 1542415359, 'RU', 'Russian Federation'),
(64868, '91.239.100.0', '91.239.100.255', 1542415360, 1542415615, 'DK', 'Denmark'),
(64869, '91.239.101.0', '91.239.101.255', 1542415616, 1542415871, 'KZ', 'Kazakhstan'),
(64870, '91.239.102.0', '91.239.103.255', 1542415872, 1542416383, 'RU', 'Russian Federation'),
(64871, '91.239.104.0', '91.239.107.255', 1542416384, 1542417407, 'UA', 'Ukraine'),
(64872, '91.239.108.0', '91.239.111.255', 1542417408, 1542418431, 'IR', 'Iran, Islamic Republic of'),
(64873, '91.239.112.0', '91.239.112.255', 1542418432, 1542418687, 'RU', 'Russian Federation'),
(64874, '91.239.113.0', '91.239.120.255', 1542418688, 1542420735, 'PL', 'Poland'),
(64875, '91.239.121.0', '91.239.121.255', 1542420736, 1542420991, 'RU', 'Russian Federation'),
(64876, '91.239.122.0', '91.239.122.255', 1542420992, 1542421247, 'DK', 'Denmark');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(64877, '91.239.123.0', '91.239.123.255', 1542421248, 1542421503, 'RO', 'Romania'),
(64878, '91.239.124.0', '91.239.125.255', 1542421504, 1542422015, 'GB', 'United Kingdom'),
(64879, '91.239.126.0', '91.239.127.255', 1542422016, 1542422527, 'RU', 'Russian Federation'),
(64880, '91.239.128.0', '91.239.128.255', 1542422528, 1542422783, 'RO', 'Romania'),
(64881, '91.239.129.0', '91.239.129.255', 1542422784, 1542423039, 'PL', 'Poland'),
(64882, '91.239.130.0', '91.239.130.255', 1542423040, 1542423295, 'RO', 'Romania'),
(64883, '91.239.131.0', '91.239.135.255', 1542423296, 1542424575, 'RU', 'Russian Federation'),
(64884, '91.239.136.0', '91.239.139.255', 1542424576, 1542425599, 'UA', 'Ukraine'),
(64885, '91.239.140.0', '91.239.143.255', 1542425600, 1542426623, 'RU', 'Russian Federation'),
(64886, '91.239.144.0', '91.239.144.255', 1542426624, 1542426879, 'PL', 'Poland'),
(64887, '91.239.145.0', '91.239.145.255', 1542426880, 1542427135, 'GB', 'United Kingdom'),
(64888, '91.239.146.0', '91.239.146.255', 1542427136, 1542427391, 'PT', 'Portugal'),
(64889, '91.239.147.0', '91.239.147.255', 1542427392, 1542427647, 'IE', 'Ireland'),
(64890, '91.239.148.0', '91.239.149.255', 1542427648, 1542428159, 'BG', 'Bulgaria'),
(64891, '91.239.150.0', '91.239.150.255', 1542428160, 1542428415, 'UA', 'Ukraine'),
(64892, '91.239.151.0', '91.239.151.255', 1542428416, 1542428671, 'RS', 'Serbia'),
(64893, '91.239.152.0', '91.239.155.255', 1542428672, 1542429695, 'PL', 'Poland'),
(64894, '91.239.156.0', '91.239.156.255', 1542429696, 1542429951, 'GB', 'United Kingdom'),
(64895, '91.239.157.0', '91.239.157.255', 1542429952, 1542430207, 'VG', 'Virgin Islands, British'),
(64896, '91.239.158.0', '91.239.159.255', 1542430208, 1542430719, 'RU', 'Russian Federation'),
(64897, '91.239.160.0', '91.239.163.255', 1542430720, 1542431743, 'UA', 'Ukraine'),
(64898, '91.239.164.0', '91.239.167.255', 1542431744, 1542432767, 'RO', 'Romania'),
(64899, '91.239.168.0', '91.239.171.255', 1542432768, 1542433791, 'PL', 'Poland'),
(64900, '91.239.172.0', '91.239.172.255', 1542433792, 1542434047, 'RU', 'Russian Federation'),
(64901, '91.239.173.0', '91.239.173.255', 1542434048, 1542434303, 'RO', 'Romania'),
(64902, '91.239.174.0', '91.239.175.255', 1542434304, 1542434815, 'NL', 'Netherlands'),
(64903, '91.239.176.0', '91.239.176.255', 1542434816, 1542435071, 'RU', 'Russian Federation'),
(64904, '91.239.177.0', '91.239.177.255', 1542435072, 1542435327, 'DE', 'Germany'),
(64905, '91.239.178.0', '91.239.179.255', 1542435328, 1542435839, 'RO', 'Romania'),
(64906, '91.239.180.0', '91.239.183.255', 1542435840, 1542436863, 'PL', 'Poland'),
(64907, '91.239.184.0', '91.239.184.255', 1542436864, 1542437119, 'RU', 'Russian Federation'),
(64908, '91.239.185.0', '91.239.185.255', 1542437120, 1542437375, 'PL', 'Poland'),
(64909, '91.239.186.0', '91.239.186.255', 1542437376, 1542437631, 'NL', 'Netherlands'),
(64910, '91.239.187.0', '91.239.187.255', 1542437632, 1542437887, 'UA', 'Ukraine'),
(64911, '91.239.188.0', '91.239.189.255', 1542437888, 1542438399, 'SE', 'Sweden'),
(64912, '91.239.190.0', '91.239.190.255', 1542438400, 1542438655, 'UA', 'Ukraine'),
(64913, '91.239.191.0', '91.239.191.255', 1542438656, 1542438911, 'RU', 'Russian Federation'),
(64914, '91.239.192.0', '91.239.192.255', 1542438912, 1542439167, 'KZ', 'Kazakhstan'),
(64915, '91.239.193.0', '91.239.193.255', 1542439168, 1542439423, 'SI', 'Slovenia'),
(64916, '91.239.194.0', '91.239.194.255', 1542439424, 1542439679, 'RO', 'Romania'),
(64917, '91.239.195.0', '91.239.195.255', 1542439680, 1542439935, 'CY', 'Cyprus'),
(64918, '91.239.196.0', '91.239.199.255', 1542439936, 1542440959, 'PL', 'Poland'),
(64919, '91.239.200.0', '91.239.203.255', 1542440960, 1542441983, 'CZ', 'Czech Republic'),
(64920, '91.239.204.0', '91.239.204.255', 1542441984, 1542442239, 'TR', 'Turkey'),
(64921, '91.239.205.0', '91.239.205.255', 1542442240, 1542442495, 'PL', 'Poland'),
(64922, '91.239.206.0', '91.239.207.255', 1542442496, 1542443007, 'GE', 'Georgia'),
(64923, '91.239.208.0', '91.239.211.255', 1542443008, 1542444031, 'GB', 'United Kingdom'),
(64924, '91.239.212.0', '91.239.213.255', 1542444032, 1542444543, 'NL', 'Netherlands'),
(64925, '91.239.214.0', '91.239.214.255', 1542444544, 1542444799, 'IR', 'Iran, Islamic Republic of'),
(64926, '91.239.215.0', '91.239.215.255', 1542444800, 1542445055, 'RU', 'Russian Federation'),
(64927, '91.239.216.0', '91.239.217.255', 1542445056, 1542445567, 'SE', 'Sweden'),
(64928, '91.239.218.0', '91.239.219.255', 1542445568, 1542446079, 'IL', 'Israel'),
(64929, '91.239.220.0', '91.239.226.255', 1542446080, 1542447871, 'RO', 'Romania'),
(64930, '91.239.227.0', '91.239.229.255', 1542447872, 1542448639, 'RU', 'Russian Federation'),
(64931, '91.239.230.0', '91.239.230.255', 1542448640, 1542448895, 'RO', 'Romania'),
(64932, '91.239.232.0', '91.239.235.255', 1542449152, 1542450175, 'UA', 'Ukraine'),
(64933, '91.239.236.0', '91.239.237.255', 1542450176, 1542450687, 'CZ', 'Czech Republic'),
(64934, '91.239.238.0', '91.239.239.255', 1542450688, 1542451199, 'RU', 'Russian Federation'),
(64935, '91.239.240.0', '91.239.240.255', 1542451200, 1542451455, 'BG', 'Bulgaria'),
(64936, '91.239.241.0', '91.239.241.255', 1542451456, 1542451711, 'UA', 'Ukraine'),
(64937, '91.239.242.0', '91.239.242.255', 1542451712, 1542451967, 'TR', 'Turkey'),
(64938, '91.239.243.0', '91.239.243.255', 1542451968, 1542452223, 'SI', 'Slovenia'),
(64939, '91.239.244.0', '91.239.251.255', 1542452224, 1542454271, 'PL', 'Poland'),
(64940, '91.239.252.0', '91.239.253.255', 1542454272, 1542454783, 'NO', 'Norway'),
(64941, '91.239.254.0', '91.239.254.255', 1542454784, 1542455039, 'PL', 'Poland'),
(64942, '91.239.255.0', '91.239.255.255', 1542455040, 1542455295, 'SE', 'Sweden'),
(64943, '91.240.1.0', '91.240.1.255', 1542455552, 1542455807, 'RO', 'Romania'),
(64944, '91.240.2.0', '91.240.3.255', 1542455808, 1542456319, 'GB', 'United Kingdom'),
(64945, '91.240.4.0', '91.240.5.255', 1542456320, 1542456831, 'RO', 'Romania'),
(64946, '91.240.6.0', '91.240.7.255', 1542456832, 1542457343, 'RS', 'Serbia'),
(64947, '91.240.8.0', '91.240.11.255', 1542457344, 1542458367, 'RO', 'Romania'),
(64948, '91.240.12.0', '91.240.15.255', 1542458368, 1542459391, 'UZ', 'Uzbekistan'),
(64949, '91.240.16.0', '91.240.16.255', 1542459392, 1542459647, 'RU', 'Russian Federation'),
(64950, '91.240.17.0', '91.240.17.255', 1542459648, 1542459903, 'GB', 'United Kingdom'),
(64951, '91.240.18.0', '91.240.23.255', 1542459904, 1542461439, 'UA', 'Ukraine'),
(64952, '91.240.24.0', '91.240.24.255', 1542461440, 1542461695, 'GB', 'United Kingdom'),
(64953, '91.240.25.0', '91.240.25.255', 1542461696, 1542461951, 'RU', 'Russian Federation'),
(64954, '91.240.26.0', '91.240.26.255', 1542461952, 1542462207, 'TR', 'Turkey'),
(64955, '91.240.27.0', '91.240.27.255', 1542462208, 1542462463, 'GE', 'Georgia'),
(64956, '91.240.28.0', '91.240.31.255', 1542462464, 1542463487, 'PL', 'Poland'),
(64957, '91.240.32.0', '91.240.32.255', 1542463488, 1542463743, 'FR', 'France'),
(64958, '91.240.33.0', '91.240.33.255', 1542463744, 1542463999, 'ES', 'Spain'),
(64959, '91.240.34.0', '91.240.34.255', 1542464000, 1542464255, 'DE', 'Germany'),
(64960, '91.240.35.0', '91.240.35.255', 1542464256, 1542464511, 'CZ', 'Czech Republic'),
(64961, '91.240.36.0', '91.240.36.255', 1542464512, 1542464767, 'RU', 'Russian Federation'),
(64962, '91.240.37.0', '91.240.37.255', 1542464768, 1542465023, 'TR', 'Turkey'),
(64963, '91.240.38.0', '91.240.39.255', 1542465024, 1542465535, 'RU', 'Russian Federation'),
(64964, '91.240.40.0', '91.240.43.255', 1542465536, 1542466559, 'RS', 'Serbia'),
(64965, '91.240.44.0', '91.240.44.255', 1542466560, 1542466815, 'PL', 'Poland'),
(64966, '91.240.45.0', '91.240.45.255', 1542466816, 1542467071, 'RU', 'Russian Federation'),
(64967, '91.240.46.0', '91.240.47.255', 1542467072, 1542467583, 'PL', 'Poland'),
(64968, '91.240.48.0', '91.240.51.255', 1542467584, 1542468607, 'UA', 'Ukraine'),
(64969, '91.240.52.0', '91.240.55.255', 1542468608, 1542469631, 'SI', 'Slovenia'),
(64970, '91.240.56.0', '91.240.59.255', 1542469632, 1542470655, 'ES', 'Spain'),
(64971, '91.240.60.0', '91.240.63.255', 1542470656, 1542471679, 'IR', 'Iran, Islamic Republic of'),
(64972, '91.240.64.0', '91.240.67.255', 1542471680, 1542472703, 'SE', 'Sweden'),
(64973, '91.240.68.0', '91.240.68.255', 1542472704, 1542472959, 'PL', 'Poland'),
(64974, '91.240.69.0', '91.240.69.255', 1542472960, 1542473215, 'LB', 'Lebanon'),
(64975, '91.240.70.0', '91.240.70.255', 1542473216, 1542473471, 'PL', 'Poland'),
(64976, '91.240.71.0', '91.240.71.255', 1542473472, 1542473727, 'GB', 'United Kingdom'),
(64977, '91.240.72.0', '91.240.72.255', 1542473728, 1542473983, 'FR', 'France'),
(64978, '91.240.73.0', '91.240.73.255', 1542473984, 1542474239, 'AE', 'United Arab Emirates'),
(64979, '91.240.74.0', '91.240.75.255', 1542474240, 1542474751, 'RU', 'Russian Federation'),
(64980, '91.240.76.0', '91.240.76.255', 1542474752, 1542475007, 'PL', 'Poland'),
(64981, '91.240.77.0', '91.240.77.255', 1542475008, 1542475263, 'DE', 'Germany'),
(64982, '91.240.78.0', '91.240.79.255', 1542475264, 1542475775, 'FR', 'France'),
(64983, '91.240.80.0', '91.240.83.255', 1542475776, 1542476799, 'LB', 'Lebanon'),
(64984, '91.240.84.0', '91.240.87.255', 1542476800, 1542477823, 'RU', 'Russian Federation'),
(64985, '91.240.88.0', '91.240.88.255', 1542477824, 1542478079, 'DK', 'Denmark'),
(64986, '91.240.89.0', '91.240.89.255', 1542478080, 1542478335, 'RU', 'Russian Federation'),
(64987, '91.240.90.0', '91.240.91.255', 1542478336, 1542478847, 'UA', 'Ukraine'),
(64988, '91.240.92.0', '91.240.92.255', 1542478848, 1542479103, 'RU', 'Russian Federation'),
(64989, '91.240.93.0', '91.240.93.255', 1542479104, 1542479359, 'PL', 'Poland'),
(64990, '91.240.94.0', '91.240.94.255', 1542479360, 1542479615, 'RO', 'Romania'),
(64991, '91.240.95.0', '91.240.99.255', 1542479616, 1542480895, 'RU', 'Russian Federation'),
(64992, '91.240.100.0', '91.240.101.255', 1542480896, 1542481407, 'PL', 'Poland'),
(64993, '91.240.102.0', '91.240.103.255', 1542481408, 1542481919, 'RU', 'Russian Federation'),
(64994, '91.240.104.0', '91.240.105.255', 1542481920, 1542482431, 'CH', 'Switzerland'),
(64995, '91.240.106.0', '91.240.107.255', 1542482432, 1542482943, 'PL', 'Poland'),
(64996, '91.240.108.0', '91.240.108.255', 1542482944, 1542483199, 'TR', 'Turkey'),
(64997, '91.240.109.0', '91.240.109.255', 1542483200, 1542483455, 'FR', 'France'),
(64998, '91.240.110.0', '91.240.115.255', 1542483456, 1542484991, 'RU', 'Russian Federation'),
(64999, '91.240.116.0', '91.240.119.255', 1542484992, 1542486015, 'NL', 'Netherlands'),
(65000, '91.240.120.0', '91.240.128.255', 1542486016, 1542488319, 'RU', 'Russian Federation'),
(65001, '91.240.129.0', '91.240.129.255', 1542488320, 1542488575, 'DE', 'Germany'),
(65002, '91.240.130.0', '91.240.139.255', 1542488576, 1542491135, 'PL', 'Poland'),
(65003, '91.240.140.0', '91.240.144.255', 1542491136, 1542492415, 'RU', 'Russian Federation'),
(65004, '91.240.145.0', '91.240.145.255', 1542492416, 1542492671, 'CZ', 'Czech Republic'),
(65005, '91.240.146.0', '91.240.147.255', 1542492672, 1542493183, 'IL', 'Israel'),
(65006, '91.240.148.0', '91.240.148.255', 1542493184, 1542493439, 'PS', 'Palestinian Territory, Occupied'),
(65007, '91.240.149.0', '91.240.151.255', 1542493440, 1542494207, 'RO', 'Romania'),
(65008, '91.240.152.0', '91.240.153.255', 1542494208, 1542494719, 'PL', 'Poland'),
(65009, '91.240.154.0', '91.240.154.255', 1542494720, 1542494975, 'RO', 'Romania'),
(65010, '91.240.155.0', '91.240.155.255', 1542494976, 1542495231, 'RU', 'Russian Federation'),
(65011, '91.240.156.0', '91.240.159.255', 1542495232, 1542496255, 'RO', 'Romania'),
(65012, '91.240.160.0', '91.240.161.255', 1542496256, 1542496767, 'DE', 'Germany'),
(65013, '91.240.162.0', '91.240.163.255', 1542496768, 1542497279, 'RU', 'Russian Federation'),
(65014, '91.240.164.0', '91.240.164.255', 1542497280, 1542497535, 'DE', 'Germany'),
(65015, '91.240.165.0', '91.240.165.255', 1542497536, 1542497791, 'CZ', 'Czech Republic'),
(65016, '91.240.168.0', '91.240.171.255', 1542498304, 1542499327, 'RU', 'Russian Federation'),
(65017, '92.0.0.0', '92.31.255.255', 1543503872, 1545601023, 'GB', 'United Kingdom'),
(65018, '92.32.0.0', '92.33.25.207', 1545601024, 1545673167, 'SE', 'Sweden'),
(65019, '92.33.25.208', '92.33.25.215', 1545673168, 1545673175, 'FI', 'Finland'),
(65020, '92.33.25.216', '92.33.25.223', 1545673176, 1545673183, 'SE', 'Sweden'),
(65021, '92.33.25.224', '92.33.25.255', 1545673184, 1545673215, 'FI', 'Finland'),
(65022, '92.33.26.0', '92.33.30.255', 1545673216, 1545674495, 'SE', 'Sweden'),
(65023, '92.33.31.0', '92.33.31.255', 1545674496, 1545674751, 'FI', 'Finland'),
(65024, '92.33.32.0', '92.35.255.255', 1545674752, 1545863167, 'SE', 'Sweden'),
(65025, '92.36.0.0', '92.36.127.255', 1545863168, 1545895935, 'RU', 'Russian Federation'),
(65026, '92.36.128.0', '92.36.255.255', 1545895936, 1545928703, 'BA', 'Bosnia and Herzegovina'),
(65027, '92.37.0.0', '92.37.127.255', 1545928704, 1545961471, 'SI', 'Slovenia'),
(65028, '92.37.128.0', '92.37.255.255', 1545961472, 1545994239, 'RU', 'Russian Federation'),
(65029, '92.38.0.0', '92.38.127.255', 1545994240, 1546027007, 'CZ', 'Czech Republic'),
(65030, '92.38.128.0', '92.38.255.255', 1546027008, 1546059775, 'RU', 'Russian Federation'),
(65031, '92.39.0.0', '92.39.15.255', 1546059776, 1546063871, 'SE', 'Sweden'),
(65032, '92.39.16.0', '92.39.31.255', 1546063872, 1546067967, 'DE', 'Germany'),
(65033, '92.39.32.0', '92.39.47.255', 1546067968, 1546072063, 'SE', 'Sweden'),
(65034, '92.39.48.0', '92.39.63.255', 1546072064, 1546076159, 'MD', 'Moldova, Republic of'),
(65035, '92.39.64.0', '92.39.79.255', 1546076160, 1546080255, 'RU', 'Russian Federation'),
(65036, '92.39.80.0', '92.39.95.255', 1546080256, 1546084351, 'AZ', 'Azerbaijan'),
(65037, '92.39.96.0', '92.39.111.255', 1546084352, 1546088447, 'RU', 'Russian Federation'),
(65038, '92.39.112.0', '92.39.112.127', 1546088448, 1546088575, 'SN', 'Senegal'),
(65039, '92.39.112.128', '92.39.112.255', 1546088576, 1546088703, 'TM', 'Turkmenistan'),
(65040, '92.39.113.0', '92.39.113.127', 1546088704, 1546088831, 'BA', 'Bosnia and Herzegovina'),
(65041, '92.39.113.128', '92.39.113.255', 1546088832, 1546088959, 'TJ', 'Tajikistan'),
(65042, '92.39.114.0', '92.39.114.127', 1546088960, 1546089087, 'SD', 'Sudan'),
(65043, '92.39.114.128', '92.39.114.255', 1546089088, 1546089215, 'DE', 'Germany'),
(65044, '92.39.115.0', '92.39.115.127', 1546089216, 1546089343, 'MW', 'Malawi'),
(65045, '92.39.115.128', '92.39.115.255', 1546089344, 1546089471, 'ZW', 'Zimbabwe'),
(65046, '92.39.116.0', '92.39.116.127', 1546089472, 1546089599, 'BI', 'Burundi'),
(65047, '92.39.116.128', '92.39.116.255', 1546089600, 1546089727, 'GW', 'Guinea-Bissau'),
(65048, '92.39.117.0', '92.39.117.127', 1546089728, 1546089855, 'LS', 'Lesotho'),
(65049, '92.39.117.128', '92.39.117.255', 1546089856, 1546089983, 'NE', 'Niger'),
(65050, '92.39.118.0', '92.39.118.127', 1546089984, 1546090111, 'DE', 'Germany'),
(65051, '92.39.118.128', '92.39.118.255', 1546090112, 1546090239, 'MR', 'Mauritania'),
(65052, '92.39.119.0', '92.39.119.127', 1546090240, 1546090367, 'ZM', 'Zambia'),
(65053, '92.39.119.128', '92.39.119.255', 1546090368, 1546090495, 'MG', 'Madagascar'),
(65054, '92.39.120.0', '92.39.120.127', 1546090496, 1546090623, 'BW', 'Botswana'),
(65055, '92.39.120.128', '92.39.120.255', 1546090624, 1546090751, 'GH', 'Ghana'),
(65056, '92.39.121.0', '92.39.121.127', 1546090752, 1546090879, 'ER', 'Eritrea'),
(65057, '92.39.121.128', '92.39.121.255', 1546090880, 1546091007, 'AO', 'Angola'),
(65058, '92.39.122.0', '92.39.122.127', 1546091008, 1546091135, 'NA', 'Namibia'),
(65059, '92.39.122.128', '92.39.122.255', 1546091136, 1546091263, 'KM', 'Comoros'),
(65060, '92.39.123.0', '92.39.123.127', 1546091264, 1546091391, 'GN', 'Guinea'),
(65061, '92.39.123.128', '92.39.123.255', 1546091392, 1546091519, 'HT', 'Haiti'),
(65062, '92.39.124.0', '92.39.124.127', 1546091520, 1546091647, 'AF', 'Afghanistan'),
(65063, '92.39.124.128', '92.39.124.255', 1546091648, 1546091775, 'TD', 'Chad'),
(65064, '92.39.125.0', '92.39.125.127', 1546091776, 1546091903, 'BF', 'Burkina Faso'),
(65065, '92.39.125.128', '92.39.125.255', 1546091904, 1546092031, 'RW', 'Rwanda'),
(65066, '92.39.126.0', '92.39.126.127', 1546092032, 1546092159, 'TG', 'Togo'),
(65067, '92.39.126.128', '92.39.126.255', 1546092160, 1546092287, 'SD', 'Sudan'),
(65068, '92.39.127.0', '92.39.127.127', 1546092288, 1546092415, 'RW', 'Rwanda'),
(65069, '92.39.127.128', '92.39.127.255', 1546092416, 1546092543, 'NG', 'Nigeria'),
(65070, '92.39.128.0', '92.39.143.255', 1546092544, 1546096639, 'RU', 'Russian Federation'),
(65071, '92.39.144.0', '92.39.159.255', 1546096640, 1546100735, 'IT', 'Italy'),
(65072, '92.39.160.0', '92.39.175.255', 1546100736, 1546104831, 'AT', 'Austria'),
(65073, '92.39.176.0', '92.39.191.255', 1546104832, 1546108927, 'IE', 'Ireland'),
(65074, '92.39.192.0', '92.39.207.255', 1546108928, 1546113023, 'IM', 'Isle of Man'),
(65075, '92.39.208.0', '92.39.239.255', 1546113024, 1546121215, 'RU', 'Russian Federation'),
(65076, '92.39.240.0', '92.39.253.255', 1546121216, 1546124799, 'ES', 'Spain'),
(65077, '92.39.254.0', '92.39.255.255', 1546124800, 1546125311, 'FR', 'France'),
(65078, '92.40.0.0', '92.41.255.255', 1546125312, 1546256383, 'GB', 'United Kingdom'),
(65079, '92.42.0.0', '92.42.31.255', 1546256384, 1546264575, 'RU', 'Russian Federation'),
(65080, '92.42.32.0', '92.42.39.255', 1546264576, 1546266623, 'TR', 'Turkey'),
(65081, '92.42.40.0', '92.42.47.255', 1546266624, 1546268671, 'RU', 'Russian Federation'),
(65082, '92.42.48.0', '92.42.55.255', 1546268672, 1546270719, 'IR', 'Iran, Islamic Republic of'),
(65083, '92.42.56.0', '92.42.63.255', 1546270720, 1546272767, 'GB', 'United Kingdom'),
(65084, '92.42.64.0', '92.42.71.255', 1546272768, 1546274815, 'NO', 'Norway'),
(65085, '92.42.72.0', '92.42.79.255', 1546274816, 1546276863, 'SE', 'Sweden'),
(65086, '92.42.80.0', '92.42.87.255', 1546276864, 1546278911, 'IT', 'Italy'),
(65087, '92.42.88.0', '92.42.95.255', 1546278912, 1546280959, 'RU', 'Russian Federation'),
(65088, '92.42.96.0', '92.42.103.255', 1546280960, 1546283007, 'IT', 'Italy'),
(65089, '92.42.104.0', '92.42.111.255', 1546283008, 1546285055, 'CH', 'Switzerland'),
(65090, '92.42.112.0', '92.42.119.255', 1546285056, 1546287103, 'PL', 'Poland'),
(65091, '92.42.120.0', '92.42.127.255', 1546287104, 1546289151, 'GB', 'United Kingdom'),
(65092, '92.42.128.0', '92.42.135.255', 1546289152, 1546291199, 'RU', 'Russian Federation'),
(65093, '92.42.136.0', '92.42.143.255', 1546291200, 1546293247, 'AT', 'Austria'),
(65094, '92.42.144.0', '92.42.151.255', 1546293248, 1546295295, 'GB', 'United Kingdom'),
(65095, '92.42.152.0', '92.42.159.255', 1546295296, 1546297343, 'SE', 'Sweden'),
(65096, '92.42.160.0', '92.42.167.255', 1546297344, 1546299391, 'RU', 'Russian Federation'),
(65097, '92.42.168.0', '92.42.175.255', 1546299392, 1546301439, 'GB', 'United Kingdom'),
(65098, '92.42.176.0', '92.42.183.255', 1546301440, 1546303487, 'LU', 'Luxembourg'),
(65099, '92.42.184.0', '92.42.191.255', 1546303488, 1546305535, 'CH', 'Switzerland'),
(65100, '92.42.192.0', '92.42.199.255', 1546305536, 1546307583, 'DE', 'Germany'),
(65101, '92.42.200.0', '92.42.215.255', 1546307584, 1546311679, 'RU', 'Russian Federation'),
(65102, '92.42.216.0', '92.42.223.255', 1546311680, 1546313727, 'FR', 'France'),
(65103, '92.42.224.0', '92.42.231.255', 1546313728, 1546315775, 'DE', 'Germany'),
(65104, '92.42.232.0', '92.42.239.255', 1546315776, 1546317823, 'NL', 'Netherlands'),
(65105, '92.42.240.0', '92.42.247.255', 1546317824, 1546319871, 'CH', 'Switzerland'),
(65106, '92.42.248.0', '92.42.255.255', 1546319872, 1546321919, 'RS', 'Serbia'),
(65107, '92.43.0.0', '92.43.7.255', 1546321920, 1546323967, 'RU', 'Russian Federation'),
(65108, '92.43.8.0', '92.43.13.255', 1546323968, 1546325503, 'GE', 'Georgia'),
(65109, '92.43.14.0', '92.43.15.255', 1546325504, 1546326015, 'SE', 'Sweden'),
(65110, '92.43.16.0', '92.43.23.255', 1546326016, 1546328063, 'ES', 'Spain'),
(65111, '92.43.24.0', '92.43.31.255', 1546328064, 1546330111, 'CZ', 'Czech Republic'),
(65112, '92.43.32.0', '92.43.39.255', 1546330112, 1546332159, 'SE', 'Sweden'),
(65113, '92.43.40.0', '92.43.47.255', 1546332160, 1546334207, 'GB', 'United Kingdom'),
(65114, '92.43.48.0', '92.43.55.255', 1546334208, 1546336255, 'DE', 'Germany'),
(65115, '92.43.56.0', '92.43.63.255', 1546336256, 1546338303, 'CZ', 'Czech Republic'),
(65116, '92.43.64.0', '92.43.71.255', 1546338304, 1546340351, 'GB', 'United Kingdom'),
(65117, '92.43.72.0', '92.43.79.255', 1546340352, 1546342399, 'DK', 'Denmark'),
(65118, '92.43.80.0', '92.43.87.255', 1546342400, 1546344447, 'TR', 'Turkey'),
(65119, '92.43.88.0', '92.43.95.255', 1546344448, 1546346495, 'DK', 'Denmark'),
(65120, '92.43.96.0', '92.43.103.255', 1546346496, 1546348543, 'AT', 'Austria'),
(65121, '92.43.104.0', '92.43.111.63', 1546348544, 1546350399, 'DE', 'Germany'),
(65122, '92.43.111.64', '92.43.111.95', 1546350400, 1546350431, 'JP', 'Japan'),
(65123, '92.43.111.96', '92.43.111.255', 1546350432, 1546350591, 'DE', 'Germany'),
(65124, '92.43.112.0', '92.43.119.255', 1546350592, 1546352639, 'PL', 'Poland'),
(65125, '92.43.120.0', '92.43.127.255', 1546352640, 1546354687, 'DK', 'Denmark'),
(65126, '92.43.128.0', '92.43.135.255', 1546354688, 1546356735, 'FR', 'France'),
(65127, '92.43.136.0', '92.43.143.255', 1546356736, 1546358783, 'AM', 'Armenia'),
(65128, '92.43.144.0', '92.43.151.255', 1546358784, 1546360831, 'PL', 'Poland'),
(65129, '92.43.152.0', '92.43.167.255', 1546360832, 1546364927, 'RU', 'Russian Federation'),
(65130, '92.43.168.0', '92.43.175.255', 1546364928, 1546366975, 'SA', 'Saudi Arabia'),
(65131, '92.43.176.0', '92.43.183.255', 1546366976, 1546369023, 'DK', 'Denmark'),
(65132, '92.43.184.0', '92.43.191.255', 1546369024, 1546371071, 'RU', 'Russian Federation'),
(65133, '92.43.192.0', '92.43.199.255', 1546371072, 1546373119, 'IS', 'Iceland'),
(65134, '92.43.200.0', '92.43.207.255', 1546373120, 1546375167, 'HU', 'Hungary'),
(65135, '92.43.208.0', '92.43.215.255', 1546375168, 1546377215, 'GB', 'United Kingdom'),
(65136, '92.43.216.0', '92.43.223.255', 1546377216, 1546379263, 'CH', 'Switzerland'),
(65137, '92.43.224.0', '92.43.231.255', 1546379264, 1546381311, 'ES', 'Spain'),
(65138, '92.43.232.0', '92.43.239.255', 1546381312, 1546383359, 'DK', 'Denmark'),
(65139, '92.43.240.0', '92.43.247.255', 1546383360, 1546385407, 'IT', 'Italy'),
(65140, '92.43.248.0', '92.43.248.63', 1546385408, 1546385471, 'FR', 'France'),
(65141, '92.43.248.64', '92.43.248.71', 1546385472, 1546385479, 'DE', 'Germany'),
(65142, '92.43.248.72', '92.43.248.79', 1546385480, 1546385487, 'IT', 'Italy'),
(65143, '92.43.248.80', '92.43.248.87', 1546385488, 1546385495, 'ES', 'Spain'),
(65144, '92.43.248.88', '92.43.248.127', 1546385496, 1546385535, 'FR', 'France'),
(65145, '92.43.248.128', '92.43.248.191', 1546385536, 1546385599, 'US', 'United States'),
(65146, '92.43.248.192', '92.43.255.255', 1546385600, 1546387455, 'FR', 'France'),
(65147, '92.44.0.0', '92.45.31.32', 1546387456, 1546460960, 'TR', 'Turkey'),
(65148, '92.45.31.33', '92.45.31.39', 1546460961, 1546460967, 'NL', 'Netherlands'),
(65149, '92.45.31.40', '92.45.255.255', 1546460968, 1546518527, 'TR', 'Turkey'),
(65150, '92.46.0.0', '92.47.255.255', 1546518528, 1546649599, 'KZ', 'Kazakhstan'),
(65151, '92.48.0.0', '92.48.63.255', 1546649600, 1546665983, 'SA', 'Saudi Arabia'),
(65152, '92.48.64.0', '92.48.94.159', 1546665984, 1546673823, 'GB', 'United Kingdom'),
(65153, '92.48.94.160', '92.48.94.175', 1546673824, 1546673839, 'RS', 'Serbia'),
(65154, '92.48.94.176', '92.48.114.79', 1546673840, 1546678863, 'GB', 'United Kingdom'),
(65155, '92.48.114.80', '92.48.114.87', 1546678864, 1546678871, 'RS', 'Serbia'),
(65156, '92.48.114.88', '92.48.118.31', 1546678872, 1546679839, 'GB', 'United Kingdom'),
(65157, '92.48.118.32', '92.48.118.32', 1546679840, 1546679840, 'HR', 'Croatia'),
(65158, '92.48.118.33', '92.48.121.255', 1546679841, 1546680831, 'GB', 'United Kingdom'),
(65159, '92.48.122.0', '92.48.122.63', 1546680832, 1546680895, 'RS', 'Serbia'),
(65160, '92.48.122.64', '92.48.124.63', 1546680896, 1546681407, 'GB', 'United Kingdom'),
(65161, '92.48.124.64', '92.48.124.95', 1546681408, 1546681439, 'RS', 'Serbia'),
(65162, '92.48.124.96', '92.48.124.111', 1546681440, 1546681455, 'GB', 'United Kingdom'),
(65163, '92.48.124.112', '92.48.124.127', 1546681456, 1546681471, 'RS', 'Serbia'),
(65164, '92.48.124.128', '92.48.127.255', 1546681472, 1546682367, 'GB', 'United Kingdom'),
(65165, '92.48.128.0', '92.48.191.255', 1546682368, 1546698751, 'BE', 'Belgium'),
(65166, '92.48.192.0', '92.48.255.255', 1546698752, 1546715135, 'NL', 'Netherlands'),
(65167, '92.49.0.0', '92.49.63.255', 1546715136, 1546731519, 'LV', 'Latvia'),
(65168, '92.49.64.0', '92.49.127.255', 1546731520, 1546747903, 'FR', 'France'),
(65169, '92.49.128.0', '92.49.191.255', 1546747904, 1546764287, 'RU', 'Russian Federation'),
(65170, '92.49.192.0', '92.49.255.255', 1546764288, 1546780671, 'UA', 'Ukraine'),
(65171, '92.50.0.0', '92.50.63.255', 1546780672, 1546797055, 'IR', 'Iran, Islamic Republic of'),
(65172, '92.50.64.0', '92.50.127.255', 1546797056, 1546813439, 'DE', 'Germany'),
(65173, '92.50.128.0', '92.51.63.255', 1546813440, 1546862591, 'RU', 'Russian Federation'),
(65174, '92.51.64.0', '92.51.127.255', 1546862592, 1546878975, 'GE', 'Georgia'),
(65175, '92.51.128.0', '92.51.191.255', 1546878976, 1546895359, 'DE', 'Germany'),
(65176, '92.51.192.0', '92.51.255.255', 1546895360, 1546911743, 'IE', 'Ireland'),
(65177, '92.52.0.0', '92.52.63.255', 1546911744, 1546928127, 'SK', 'Slovakia'),
(65178, '92.52.64.0', '92.52.68.255', 1546928128, 1546929407, 'GB', 'United Kingdom'),
(65179, '92.52.69.0', '92.52.69.7', 1546929408, 1546929415, 'A2', 'Satellite Provider'),
(65180, '92.52.69.8', '92.52.127.255', 1546929416, 1546944511, 'GB', 'United Kingdom'),
(65181, '92.52.128.0', '92.52.191.255', 1546944512, 1546960895, 'UA', 'Ukraine'),
(65182, '92.52.192.0', '92.52.255.255', 1546960896, 1546977279, 'HU', 'Hungary'),
(65183, '92.53.0.0', '92.53.63.255', 1546977280, 1546993663, 'MK', 'Macedonia'),
(65184, '92.53.64.0', '92.53.127.255', 1546993664, 1547010047, 'RU', 'Russian Federation'),
(65185, '92.53.128.0', '92.53.191.255', 1547010048, 1547026431, 'SI', 'Slovenia'),
(65186, '92.53.192.0', '92.53.223.255', 1547026432, 1547034623, 'ES', 'Spain'),
(65187, '92.53.224.0', '92.53.231.255', 1547034624, 1547036671, 'RU', 'Russian Federation'),
(65188, '92.53.232.0', '92.53.239.255', 1547036672, 1547038719, 'SE', 'Sweden'),
(65189, '92.53.240.0', '92.53.247.255', 1547038720, 1547040767, 'GB', 'United Kingdom'),
(65190, '92.53.248.0', '92.53.255.255', 1547040768, 1547042815, 'NL', 'Netherlands'),
(65191, '92.54.0.0', '92.54.63.255', 1547042816, 1547059199, 'ES', 'Spain'),
(65192, '92.54.64.0', '92.54.127.255', 1547059200, 1547075583, 'RU', 'Russian Federation'),
(65193, '92.54.128.0', '92.54.191.255', 1547075584, 1547091967, 'GB', 'United Kingdom'),
(65194, '92.54.192.0', '92.54.255.255', 1547091968, 1547108351, 'GE', 'Georgia'),
(65195, '92.55.0.0', '92.55.63.255', 1547108352, 1547124735, 'RU', 'Russian Federation'),
(65196, '92.55.64.0', '92.55.127.255', 1547124736, 1547141119, 'MK', 'Macedonia'),
(65197, '92.55.128.0', '92.55.191.255', 1547141120, 1547157503, 'RO', 'Romania'),
(65198, '92.55.192.0', '92.55.255.255', 1547157504, 1547173887, 'PL', 'Poland'),
(65199, '92.56.0.0', '92.59.255.255', 1547173888, 1547436031, 'ES', 'Spain'),
(65200, '92.60.0.0', '92.60.15.255', 1547436032, 1547440127, 'AT', 'Austria'),
(65201, '92.60.16.0', '92.60.31.255', 1547440128, 1547444223, 'AL', 'Albania'),
(65202, '92.60.32.0', '92.60.47.255', 1547444224, 1547448319, 'IT', 'Italy'),
(65203, '92.60.48.0', '92.60.63.255', 1547448320, 1547452415, 'SK', 'Slovakia'),
(65204, '92.60.64.0', '92.60.79.255', 1547452416, 1547456511, 'IT', 'Italy'),
(65205, '92.60.80.0', '92.60.95.255', 1547456512, 1547460607, 'RU', 'Russian Federation'),
(65206, '92.60.96.0', '92.60.115.255', 1547460608, 1547465727, 'GB', 'United Kingdom'),
(65207, '92.60.116.0', '92.60.116.255', 1547465728, 1547465983, 'ES', 'Spain'),
(65208, '92.60.117.0', '92.60.123.255', 1547465984, 1547467775, 'GB', 'United Kingdom'),
(65209, '92.60.124.0', '92.60.124.255', 1547467776, 1547468031, 'ES', 'Spain'),
(65210, '92.60.125.0', '92.60.125.255', 1547468032, 1547468287, 'GB', 'United Kingdom'),
(65211, '92.60.126.0', '92.60.126.255', 1547468288, 1547468543, 'ES', 'Spain'),
(65212, '92.60.127.0', '92.60.127.255', 1547468544, 1547468799, 'GB', 'United Kingdom'),
(65213, '92.60.128.0', '92.60.143.255', 1547468800, 1547472895, 'PL', 'Poland'),
(65214, '92.60.144.0', '92.60.159.255', 1547472896, 1547476991, 'DK', 'Denmark'),
(65215, '92.60.160.0', '92.60.175.255', 1547476992, 1547481087, 'ES', 'Spain'),
(65216, '92.60.176.0', '92.60.191.255', 1547481088, 1547485183, 'UA', 'Ukraine'),
(65217, '92.60.192.0', '92.60.207.255', 1547485184, 1547489279, 'IE', 'Ireland'),
(65218, '92.60.208.0', '92.60.223.255', 1547489280, 1547493375, 'DE', 'Germany'),
(65219, '92.60.224.0', '92.60.239.255', 1547493376, 1547497471, 'RS', 'Serbia'),
(65220, '92.60.240.0', '92.60.243.255', 1547497472, 1547498495, 'NL', 'Netherlands'),
(65221, '92.60.244.0', '92.60.255.255', 1547498496, 1547501567, 'GB', 'United Kingdom'),
(65222, '92.61.0.0', '92.61.15.255', 1547501568, 1547505663, 'TR', 'Turkey'),
(65223, '92.61.16.0', '92.61.31.255', 1547505664, 1547509759, 'RU', 'Russian Federation'),
(65224, '92.61.32.0', '92.61.47.255', 1547509760, 1547513855, 'LT', 'Lithuania'),
(65225, '92.61.48.0', '92.61.63.255', 1547513856, 1547517951, 'AT', 'Austria'),
(65226, '92.61.64.0', '92.61.79.255', 1547517952, 1547522047, 'RU', 'Russian Federation'),
(65227, '92.61.80.0', '92.61.95.255', 1547522048, 1547526143, 'CZ', 'Czech Republic'),
(65228, '92.61.96.0', '92.61.127.255', 1547526144, 1547534335, 'HU', 'Hungary'),
(65229, '92.61.128.0', '92.61.143.255', 1547534336, 1547538431, 'FR', 'France'),
(65230, '92.61.144.0', '92.61.159.255', 1547538432, 1547542527, 'EU', 'Europe'),
(65231, '92.61.160.0', '92.61.175.255', 1547542528, 1547546623, 'FR', 'France'),
(65232, '92.61.176.0', '92.61.191.255', 1547546624, 1547550719, 'IR', 'Iran, Islamic Republic of'),
(65233, '92.61.192.0', '92.61.207.255', 1547550720, 1547554815, 'IE', 'Ireland'),
(65234, '92.61.208.0', '92.61.223.255', 1547554816, 1547558911, 'AT', 'Austria'),
(65235, '92.61.224.0', '92.61.239.255', 1547558912, 1547563007, 'IL', 'Israel'),
(65236, '92.61.240.0', '92.61.244.255', 1547563008, 1547564287, 'NL', 'Netherlands'),
(65237, '92.61.245.0', '92.61.245.23', 1547564288, 1547564311, 'CH', 'Switzerland'),
(65238, '92.61.245.24', '92.61.245.27', 1547564312, 1547564315, 'BG', 'Bulgaria'),
(65239, '92.61.245.28', '92.61.245.47', 1547564316, 1547564335, 'NL', 'Netherlands'),
(65240, '92.61.245.48', '92.61.245.63', 1547564336, 1547564351, 'US', 'United States'),
(65241, '92.61.245.64', '92.61.245.127', 1547564352, 1547564415, 'CY', 'Cyprus'),
(65242, '92.61.245.128', '92.61.245.151', 1547564416, 1547564439, 'NZ', 'New Zealand'),
(65243, '92.61.245.152', '92.61.245.255', 1547564440, 1547564543, 'NL', 'Netherlands'),
(65244, '92.61.246.0', '92.61.246.255', 1547564544, 1547564799, 'US', 'United States'),
(65245, '92.61.247.0', '92.61.247.31', 1547564800, 1547564831, 'NL', 'Netherlands'),
(65246, '92.61.247.32', '92.61.247.63', 1547564832, 1547564863, 'LV', 'Latvia'),
(65247, '92.61.247.64', '92.61.248.255', 1547564864, 1547565311, 'NL', 'Netherlands'),
(65248, '92.61.249.0', '92.61.250.255', 1547565312, 1547565823, 'US', 'United States'),
(65249, '92.61.251.0', '92.61.255.255', 1547565824, 1547567103, 'NL', 'Netherlands'),
(65250, '92.62.0.0', '92.62.15.255', 1547567104, 1547571199, 'GB', 'United Kingdom'),
(65251, '92.62.16.0', '92.62.31.255', 1547571200, 1547575295, 'AT', 'Austria'),
(65252, '92.62.32.0', '92.62.47.255', 1547575296, 1547579391, 'NO', 'Norway'),
(65253, '92.62.48.0', '92.62.63.255', 1547579392, 1547583487, 'RU', 'Russian Federation'),
(65254, '92.62.64.0', '92.62.79.255', 1547583488, 1547587583, 'KG', 'Kyrgyzstan'),
(65255, '92.62.80.0', '92.62.95.255', 1547587584, 1547591679, 'IT', 'Italy'),
(65256, '92.62.96.0', '92.62.111.255', 1547591680, 1547595775, 'EE', 'Estonia'),
(65257, '92.62.112.0', '92.62.127.255', 1547595776, 1547599871, 'JO', 'Jordan'),
(65258, '92.62.128.0', '92.62.143.255', 1547599872, 1547603967, 'LT', 'Lithuania'),
(65259, '92.62.144.0', '92.62.159.255', 1547603968, 1547608063, 'RU', 'Russian Federation'),
(65260, '92.62.160.0', '92.62.175.255', 1547608064, 1547612159, 'LB', 'Lebanon'),
(65261, '92.62.176.0', '92.62.191.255', 1547612160, 1547616255, 'IR', 'Iran, Islamic Republic of'),
(65262, '92.62.192.0', '92.62.207.255', 1547616256, 1547620351, 'DK', 'Denmark'),
(65263, '92.62.208.0', '92.62.208.7', 1547620352, 1547620359, 'A2', 'Satellite Provider'),
(65264, '92.62.208.8', '92.62.208.15', 1547620360, 1547620367, 'NG', 'Nigeria'),
(65265, '92.62.208.16', '92.62.208.23', 1547620368, 1547620375, 'A2', 'Satellite Provider'),
(65266, '92.62.208.24', '92.62.208.39', 1547620376, 1547620391, 'NG', 'Nigeria'),
(65267, '92.62.208.40', '92.62.208.47', 1547620392, 1547620399, 'A2', 'Satellite Provider'),
(65268, '92.62.208.48', '92.62.208.55', 1547620400, 1547620407, 'NG', 'Nigeria'),
(65269, '92.62.208.56', '92.62.208.63', 1547620408, 1547620415, 'A2', 'Satellite Provider'),
(65270, '92.62.208.64', '92.62.208.71', 1547620416, 1547620423, 'NG', 'Nigeria'),
(65271, '92.62.208.72', '92.62.208.87', 1547620424, 1547620439, 'A2', 'Satellite Provider'),
(65272, '92.62.208.88', '92.62.208.199', 1547620440, 1547620551, 'NG', 'Nigeria'),
(65273, '92.62.208.200', '92.62.208.207', 1547620552, 1547620559, 'A2', 'Satellite Provider'),
(65274, '92.62.208.208', '92.62.209.7', 1547620560, 1547620615, 'NG', 'Nigeria'),
(65275, '92.62.209.8', '92.62.209.31', 1547620616, 1547620639, 'A2', 'Satellite Provider'),
(65276, '92.62.209.32', '92.62.209.39', 1547620640, 1547620647, 'NG', 'Nigeria'),
(65277, '92.62.209.40', '92.62.209.255', 1547620648, 1547620863, 'A2', 'Satellite Provider'),
(65278, '92.62.210.0', '92.62.210.7', 1547620864, 1547620871, 'NG', 'Nigeria'),
(65279, '92.62.210.8', '92.62.210.15', 1547620872, 1547620879, 'A2', 'Satellite Provider'),
(65280, '92.62.210.16', '92.62.210.23', 1547620880, 1547620887, 'NG', 'Nigeria'),
(65281, '92.62.210.24', '92.62.210.31', 1547620888, 1547620895, 'A2', 'Satellite Provider'),
(65282, '92.62.210.32', '92.62.210.39', 1547620896, 1547620903, 'NG', 'Nigeria'),
(65283, '92.62.210.40', '92.62.210.47', 1547620904, 1547620911, 'A2', 'Satellite Provider'),
(65284, '92.62.210.48', '92.62.210.71', 1547620912, 1547620935, 'NG', 'Nigeria'),
(65285, '92.62.210.72', '92.62.210.87', 1547620936, 1547620951, 'A2', 'Satellite Provider'),
(65286, '92.62.210.88', '92.62.210.95', 1547620952, 1547620959, 'NG', 'Nigeria'),
(65287, '92.62.210.96', '92.62.210.103', 1547620960, 1547620967, 'A2', 'Satellite Provider'),
(65288, '92.62.210.104', '92.62.210.127', 1547620968, 1547620991, 'NG', 'Nigeria'),
(65289, '92.62.210.128', '92.62.210.135', 1547620992, 1547620999, 'A2', 'Satellite Provider'),
(65290, '92.62.210.136', '92.62.210.167', 1547621000, 1547621031, 'NG', 'Nigeria'),
(65291, '92.62.210.168', '92.62.210.175', 1547621032, 1547621039, 'A2', 'Satellite Provider'),
(65292, '92.62.210.176', '92.62.210.199', 1547621040, 1547621063, 'NG', 'Nigeria'),
(65293, '92.62.210.200', '92.62.210.207', 1547621064, 1547621071, 'A2', 'Satellite Provider'),
(65294, '92.62.210.208', '92.62.210.223', 1547621072, 1547621087, 'NG', 'Nigeria'),
(65295, '92.62.210.224', '92.62.210.231', 1547621088, 1547621095, 'A2', 'Satellite Provider'),
(65296, '92.62.210.232', '92.62.211.15', 1547621096, 1547621135, 'NG', 'Nigeria'),
(65297, '92.62.211.16', '92.62.211.23', 1547621136, 1547621143, 'A2', 'Satellite Provider'),
(65298, '92.62.211.24', '92.62.211.31', 1547621144, 1547621151, 'NG', 'Nigeria'),
(65299, '92.62.211.32', '92.62.211.47', 1547621152, 1547621167, 'A2', 'Satellite Provider'),
(65300, '92.62.211.48', '92.62.211.71', 1547621168, 1547621191, 'NG', 'Nigeria'),
(65301, '92.62.211.72', '92.62.211.79', 1547621192, 1547621199, 'A2', 'Satellite Provider'),
(65302, '92.62.211.80', '92.62.211.87', 1547621200, 1547621207, 'NG', 'Nigeria'),
(65303, '92.62.211.88', '92.62.211.95', 1547621208, 1547621215, 'US', 'United States'),
(65304, '92.62.211.96', '92.62.211.103', 1547621216, 1547621223, 'NG', 'Nigeria'),
(65305, '92.62.211.104', '92.62.211.111', 1547621224, 1547621231, 'A2', 'Satellite Provider'),
(65306, '92.62.211.112', '92.62.211.119', 1547621232, 1547621239, 'NG', 'Nigeria'),
(65307, '92.62.211.120', '92.62.211.127', 1547621240, 1547621247, 'A2', 'Satellite Provider'),
(65308, '92.62.211.128', '92.62.211.143', 1547621248, 1547621263, 'NG', 'Nigeria'),
(65309, '92.62.211.144', '92.62.211.151', 1547621264, 1547621271, 'A2', 'Satellite Provider'),
(65310, '92.62.211.152', '92.62.211.159', 1547621272, 1547621279, 'NG', 'Nigeria'),
(65311, '92.62.211.160', '92.62.211.183', 1547621280, 1547621303, 'A2', 'Satellite Provider'),
(65312, '92.62.211.184', '92.62.211.215', 1547621304, 1547621335, 'NG', 'Nigeria'),
(65313, '92.62.211.216', '92.62.211.231', 1547621336, 1547621351, 'A2', 'Satellite Provider'),
(65314, '92.62.211.232', '92.62.211.255', 1547621352, 1547621375, 'NG', 'Nigeria'),
(65315, '92.62.212.0', '92.62.212.71', 1547621376, 1547621447, 'A2', 'Satellite Provider'),
(65316, '92.62.212.72', '92.62.212.79', 1547621448, 1547621455, 'NG', 'Nigeria'),
(65317, '92.62.212.80', '92.62.212.87', 1547621456, 1547621463, 'A2', 'Satellite Provider'),
(65318, '92.62.212.88', '92.62.212.95', 1547621464, 1547621471, 'NG', 'Nigeria'),
(65319, '92.62.212.96', '92.62.212.199', 1547621472, 1547621575, 'A2', 'Satellite Provider'),
(65320, '92.62.212.200', '92.62.212.207', 1547621576, 1547621583, 'NG', 'Nigeria'),
(65321, '92.62.212.208', '92.62.212.239', 1547621584, 1547621615, 'A2', 'Satellite Provider'),
(65322, '92.62.212.240', '92.62.212.247', 1547621616, 1547621623, 'NG', 'Nigeria'),
(65323, '92.62.212.248', '92.62.213.55', 1547621624, 1547621687, 'A2', 'Satellite Provider'),
(65324, '92.62.213.56', '92.62.213.79', 1547621688, 1547621711, 'NG', 'Nigeria'),
(65325, '92.62.213.80', '92.62.216.7', 1547621712, 1547622407, 'A2', 'Satellite Provider'),
(65326, '92.62.216.8', '92.62.216.15', 1547622408, 1547622415, 'NG', 'Nigeria'),
(65327, '92.62.216.16', '92.62.216.55', 1547622416, 1547622455, 'A2', 'Satellite Provider'),
(65328, '92.62.216.56', '92.62.216.71', 1547622456, 1547622471, 'NG', 'Nigeria'),
(65329, '92.62.216.72', '92.62.216.111', 1547622472, 1547622511, 'A2', 'Satellite Provider'),
(65330, '92.62.216.112', '92.62.216.119', 1547622512, 1547622519, 'NG', 'Nigeria'),
(65331, '92.62.216.120', '92.62.216.127', 1547622520, 1547622527, 'GB', 'United Kingdom'),
(65332, '92.62.216.128', '92.62.216.159', 1547622528, 1547622559, 'A2', 'Satellite Provider'),
(65333, '92.62.216.160', '92.62.216.175', 1547622560, 1547622575, 'NG', 'Nigeria'),
(65334, '92.62.216.176', '92.62.216.183', 1547622576, 1547622583, 'A2', 'Satellite Provider'),
(65335, '92.62.216.184', '92.62.216.215', 1547622584, 1547622615, 'NG', 'Nigeria'),
(65336, '92.62.216.216', '92.62.216.223', 1547622616, 1547622623, 'A2', 'Satellite Provider'),
(65337, '92.62.216.224', '92.62.216.231', 1547622624, 1547622631, 'NG', 'Nigeria'),
(65338, '92.62.216.232', '92.62.217.255', 1547622632, 1547622911, 'A2', 'Satellite Provider'),
(65339, '92.62.218.0', '92.62.218.23', 1547622912, 1547622935, 'NG', 'Nigeria'),
(65340, '92.62.218.24', '92.62.218.31', 1547622936, 1547622943, 'A2', 'Satellite Provider'),
(65341, '92.62.218.32', '92.62.218.39', 1547622944, 1547622951, 'US', 'United States'),
(65342, '92.62.218.40', '92.62.218.47', 1547622952, 1547622959, 'NG', 'Nigeria'),
(65343, '92.62.218.48', '92.62.218.55', 1547622960, 1547622967, 'A2', 'Satellite Provider'),
(65344, '92.62.218.56', '92.62.218.71', 1547622968, 1547622983, 'NG', 'Nigeria'),
(65345, '92.62.218.72', '92.62.218.79', 1547622984, 1547622991, 'A2', 'Satellite Provider'),
(65346, '92.62.218.80', '92.62.218.103', 1547622992, 1547623015, 'NG', 'Nigeria'),
(65347, '92.62.218.104', '92.62.218.119', 1547623016, 1547623031, 'A2', 'Satellite Provider'),
(65348, '92.62.218.120', '92.62.218.127', 1547623032, 1547623039, 'NG', 'Nigeria'),
(65349, '92.62.218.128', '92.62.218.135', 1547623040, 1547623047, 'A2', 'Satellite Provider'),
(65350, '92.62.218.136', '92.62.218.159', 1547623048, 1547623071, 'NG', 'Nigeria'),
(65351, '92.62.218.160', '92.62.218.191', 1547623072, 1547623103, 'A2', 'Satellite Provider'),
(65352, '92.62.218.192', '92.62.218.247', 1547623104, 1547623159, 'NG', 'Nigeria'),
(65353, '92.62.218.248', '92.62.218.255', 1547623160, 1547623167, 'A2', 'Satellite Provider'),
(65354, '92.62.219.0', '92.62.219.255', 1547623168, 1547623423, 'NG', 'Nigeria'),
(65355, '92.62.220.0', '92.62.220.31', 1547623424, 1547623455, 'US', 'United States'),
(65356, '92.62.220.32', '92.62.220.39', 1547623456, 1547623463, 'NG', 'Nigeria'),
(65357, '92.62.220.40', '92.62.220.55', 1547623464, 1547623479, 'A2', 'Satellite Provider'),
(65358, '92.62.220.56', '92.62.220.63', 1547623480, 1547623487, 'NG', 'Nigeria'),
(65359, '92.62.220.64', '92.62.220.71', 1547623488, 1547623495, 'A2', 'Satellite Provider'),
(65360, '92.62.220.72', '92.62.220.95', 1547623496, 1547623519, 'NG', 'Nigeria'),
(65361, '92.62.220.96', '92.62.220.103', 1547623520, 1547623527, 'A2', 'Satellite Provider'),
(65362, '92.62.220.104', '92.62.220.135', 1547623528, 1547623559, 'NG', 'Nigeria'),
(65363, '92.62.220.136', '92.62.220.143', 1547623560, 1547623567, 'A2', 'Satellite Provider'),
(65364, '92.62.220.144', '92.62.220.191', 1547623568, 1547623615, 'NG', 'Nigeria'),
(65365, '92.62.220.192', '92.62.221.47', 1547623616, 1547623727, 'A2', 'Satellite Provider'),
(65366, '92.62.221.48', '92.62.221.55', 1547623728, 1547623735, 'NG', 'Nigeria'),
(65367, '92.62.221.56', '92.62.223.255', 1547623736, 1547624447, 'A2', 'Satellite Provider'),
(65368, '92.62.224.0', '92.62.239.255', 1547624448, 1547628543, 'CZ', 'Czech Republic'),
(65369, '92.62.240.0', '92.62.255.255', 1547628544, 1547632639, 'BG', 'Bulgaria'),
(65370, '92.63.0.0', '92.63.15.255', 1547632640, 1547636735, 'TR', 'Turkey'),
(65371, '92.63.16.0', '92.63.31.255', 1547636736, 1547640831, 'SI', 'Slovenia'),
(65372, '92.63.32.0', '92.63.47.255', 1547640832, 1547644927, 'PL', 'Poland'),
(65373, '92.63.48.0', '92.63.63.255', 1547644928, 1547649023, 'CZ', 'Czech Republic'),
(65374, '92.63.64.0', '92.63.79.255', 1547649024, 1547653119, 'RU', 'Russian Federation'),
(65375, '92.63.80.0', '92.63.95.255', 1547653120, 1547657215, 'LV', 'Latvia'),
(65376, '92.63.96.0', '92.63.111.255', 1547657216, 1547661311, 'RU', 'Russian Federation'),
(65377, '92.63.112.0', '92.63.127.255', 1547661312, 1547665407, 'LV', 'Latvia'),
(65378, '92.63.128.0', '92.63.143.255', 1547665408, 1547669503, 'GB', 'United Kingdom'),
(65379, '92.63.144.0', '92.63.155.255', 1547669504, 1547672575, 'AT', 'Austria'),
(65380, '92.63.156.0', '92.63.157.255', 1547672576, 1547673087, 'HR', 'Croatia'),
(65381, '92.63.158.0', '92.63.159.255', 1547673088, 1547673599, 'AT', 'Austria'),
(65382, '92.63.160.0', '92.63.207.255', 1547673600, 1547685887, 'RU', 'Russian Federation'),
(65383, '92.63.208.0', '92.63.223.255', 1547685888, 1547689983, 'AT', 'Austria'),
(65384, '92.63.224.0', '92.63.239.255', 1547689984, 1547694079, 'IT', 'Italy'),
(65385, '92.63.240.0', '92.63.255.255', 1547694080, 1547698175, 'HU', 'Hungary'),
(65386, '92.64.0.0', '92.65.52.95', 1547698176, 1547777119, 'NL', 'Netherlands'),
(65387, '92.65.52.96', '92.65.52.103', 1547777120, 1547777127, 'IT', 'Italy'),
(65388, '92.65.52.104', '92.71.0.191', 1547777128, 1548157119, 'NL', 'Netherlands'),
(65389, '92.71.0.192', '92.71.0.255', 1548157120, 1548157183, 'DE', 'Germany'),
(65390, '92.71.1.0', '92.71.3.255', 1548157184, 1548157951, 'NL', 'Netherlands'),
(65391, '92.71.4.0', '92.71.4.255', 1548157952, 1548158207, 'SE', 'Sweden'),
(65392, '92.71.5.0', '92.71.6.135', 1548158208, 1548158599, 'NL', 'Netherlands'),
(65393, '92.71.6.136', '92.71.6.143', 1548158600, 1548158607, 'GB', 'United Kingdom'),
(65394, '92.71.6.144', '92.71.6.159', 1548158608, 1548158623, 'NL', 'Netherlands'),
(65395, '92.71.6.160', '92.71.6.175', 1548158624, 1548158639, 'DE', 'Germany'),
(65396, '92.71.6.176', '92.71.6.183', 1548158640, 1548158647, 'NL', 'Netherlands'),
(65397, '92.71.6.184', '92.71.6.199', 1548158648, 1548158663, 'GB', 'United Kingdom'),
(65398, '92.71.6.200', '92.71.6.207', 1548158664, 1548158671, 'DE', 'Germany'),
(65399, '92.71.6.208', '92.71.7.255', 1548158672, 1548158975, 'NL', 'Netherlands'),
(65400, '92.71.8.0', '92.71.8.127', 1548158976, 1548159103, 'DE', 'Germany'),
(65401, '92.71.8.128', '92.71.8.255', 1548159104, 1548159231, 'NL', 'Netherlands'),
(65402, '92.71.9.0', '92.71.9.255', 1548159232, 1548159487, 'ES', 'Spain'),
(65403, '92.71.10.0', '92.71.11.255', 1548159488, 1548159999, 'GB', 'United Kingdom'),
(65404, '92.71.12.0', '92.71.14.23', 1548160000, 1548160535, 'NL', 'Netherlands'),
(65405, '92.71.14.24', '92.71.14.31', 1548160536, 1548160543, 'GB', 'United Kingdom'),
(65406, '92.71.14.32', '92.71.14.47', 1548160544, 1548160559, 'BE', 'Belgium'),
(65407, '92.71.14.48', '92.71.14.127', 1548160560, 1548160639, 'NL', 'Netherlands'),
(65408, '92.71.14.128', '92.71.14.255', 1548160640, 1548160767, 'BE', 'Belgium'),
(65409, '92.71.15.0', '92.71.255.255', 1548160768, 1548222463, 'NL', 'Netherlands'),
(65410, '92.72.0.0', '92.79.255.255', 1548222464, 1548746751, 'DE', 'Germany'),
(65411, '92.80.0.0', '92.87.255.255', 1548746752, 1549271039, 'RO', 'Romania'),
(65412, '92.88.0.0', '92.95.255.255', 1549271040, 1549795327, 'FR', 'France'),
(65413, '92.96.0.0', '92.99.255.255', 1549795328, 1550057471, 'AE', 'United Arab Emirates'),
(65414, '92.100.0.0', '92.101.255.255', 1550057472, 1550188543, 'RU', 'Russian Federation'),
(65415, '92.102.0.0', '92.103.255.255', 1550188544, 1550319615, 'FR', 'France'),
(65416, '92.104.0.0', '92.107.255.255', 1550319616, 1550581759, 'CH', 'Switzerland'),
(65417, '92.108.0.0', '92.111.255.255', 1550581760, 1550843903, 'NL', 'Netherlands'),
(65418, '92.112.0.0', '92.113.255.255', 1550843904, 1550974975, 'UA', 'Ukraine'),
(65419, '92.114.0.0', '92.114.0.255', 1550974976, 1550975231, 'MD', 'Moldova, Republic of'),
(65420, '92.114.1.0', '92.114.82.255', 1550975232, 1550996223, 'RO', 'Romania'),
(65421, '92.114.83.0', '92.114.83.255', 1550996224, 1550996479, 'CH', 'Switzerland'),
(65422, '92.114.84.0', '92.114.127.255', 1550996480, 1551007743, 'RO', 'Romania'),
(65423, '92.114.128.0', '92.115.255.255', 1551007744, 1551106047, 'MD', 'Moldova, Republic of'),
(65424, '92.116.0.0', '92.117.255.255', 1551106048, 1551237119, 'DE', 'Germany'),
(65425, '92.118.0.0', '92.119.255.255', 1551237120, 1551368191, 'GR', 'Greece'),
(65426, '92.120.0.0', '92.120.66.63', 1551368192, 1551385151, 'NL', 'Netherlands'),
(65427, '92.120.66.64', '92.120.66.127', 1551385152, 1551385215, 'TR', 'Turkey'),
(65428, '92.120.66.128', '92.120.66.255', 1551385216, 1551385343, 'DE', 'Germany'),
(65429, '92.120.67.0', '92.120.67.127', 1551385344, 1551385471, 'CH', 'Switzerland'),
(65430, '92.120.67.128', '92.120.87.255', 1551385472, 1551390719, 'NL', 'Netherlands'),
(65431, '92.120.88.0', '92.120.95.255', 1551390720, 1551392767, 'DE', 'Germany'),
(65432, '92.120.96.0', '92.120.111.255', 1551392768, 1551396863, 'NL', 'Netherlands'),
(65433, '92.120.112.0', '92.120.113.255', 1551396864, 1551397375, 'GB', 'United Kingdom'),
(65434, '92.120.114.0', '92.120.115.255', 1551397376, 1551397887, 'NL', 'Netherlands'),
(65435, '92.120.116.0', '92.120.117.127', 1551397888, 1551398271, 'GB', 'United Kingdom'),
(65436, '92.120.117.128', '92.120.117.255', 1551398272, 1551398399, 'NL', 'Netherlands'),
(65437, '92.120.118.0', '92.120.119.255', 1551398400, 1551398911, 'IL', 'Israel'),
(65438, '92.120.120.0', '92.120.123.255', 1551398912, 1551399935, 'NL', 'Netherlands'),
(65439, '92.120.124.0', '92.120.127.255', 1551399936, 1551400959, 'IN', 'India'),
(65440, '92.120.128.0', '92.120.131.255', 1551400960, 1551401983, 'NL', 'Netherlands'),
(65441, '92.120.132.0', '92.120.135.255', 1551401984, 1551403007, 'SG', 'Singapore'),
(65442, '92.120.136.0', '92.120.175.255', 1551403008, 1551413247, 'NL', 'Netherlands'),
(65443, '92.120.176.0', '92.120.191.255', 1551413248, 1551417343, 'CN', 'China'),
(65444, '92.120.192.0', '92.120.193.255', 1551417344, 1551417855, 'NL', 'Netherlands'),
(65445, '92.120.194.0', '92.120.197.255', 1551417856, 1551418879, 'CN', 'China'),
(65446, '92.120.198.0', '92.120.199.255', 1551418880, 1551419391, 'NL', 'Netherlands'),
(65447, '92.120.200.0', '92.120.207.255', 1551419392, 1551421439, 'CN', 'China'),
(65448, '92.120.208.0', '92.120.223.255', 1551421440, 1551425535, 'PH', 'Philippines'),
(65449, '92.120.224.0', '92.120.231.255', 1551425536, 1551427583, 'TH', 'Thailand'),
(65450, '92.120.232.0', '92.120.239.255', 1551427584, 1551429631, 'HK', 'Hong Kong'),
(65451, '92.120.240.0', '92.120.255.255', 1551429632, 1551433727, 'TH', 'Thailand'),
(65452, '92.121.0.0', '92.121.255.255', 1551433728, 1551499263, 'NL', 'Netherlands'),
(65453, '92.122.0.0', '92.122.15.255', 1551499264, 1551503359, 'EU', 'Europe'),
(65454, '92.122.16.0', '92.122.19.255', 1551503360, 1551504383, 'GB', 'United Kingdom'),
(65455, '92.122.20.0', '92.122.23.255', 1551504384, 1551505407, 'FR', 'France'),
(65456, '92.122.24.0', '92.122.31.255', 1551505408, 1551507455, 'EU', 'Europe'),
(65457, '92.122.32.0', '92.122.35.255', 1551507456, 1551508479, 'DE', 'Germany'),
(65458, '92.122.36.0', '92.122.39.255', 1551508480, 1551509503, 'IT', 'Italy'),
(65459, '92.122.40.0', '92.122.67.255', 1551509504, 1551516671, 'EU', 'Europe'),
(65460, '92.122.68.0', '92.122.71.255', 1551516672, 1551517695, 'IT', 'Italy'),
(65461, '92.122.72.0', '92.122.75.255', 1551517696, 1551518719, 'ES', 'Spain'),
(65462, '92.122.76.0', '92.122.115.255', 1551518720, 1551528959, 'EU', 'Europe'),
(65463, '92.122.116.0', '92.122.119.255', 1551528960, 1551529983, 'FR', 'France'),
(65464, '92.122.120.0', '92.122.175.255', 1551529984, 1551544319, 'EU', 'Europe'),
(65465, '92.122.176.0', '92.122.187.255', 1551544320, 1551547391, 'DE', 'Germany'),
(65466, '92.122.188.0', '92.122.191.255', 1551547392, 1551548415, 'EU', 'Europe'),
(65467, '92.122.192.0', '92.122.203.255', 1551548416, 1551551487, 'DE', 'Germany'),
(65468, '92.122.204.0', '92.122.223.255', 1551551488, 1551556607, 'EU', 'Europe'),
(65469, '92.122.224.0', '92.122.231.255', 1551556608, 1551558655, 'FR', 'France'),
(65470, '92.122.232.0', '92.122.239.255', 1551558656, 1551560703, 'EU', 'Europe'),
(65471, '92.122.240.0', '92.122.243.255', 1551560704, 1551561727, 'DE', 'Germany'),
(65472, '92.122.244.0', '92.122.247.255', 1551561728, 1551562751, 'FR', 'France'),
(65473, '92.122.248.0', '92.122.255.255', 1551562752, 1551564799, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(65474, '92.123.0.0', '92.123.31.255', 1551564800, 1551572991, 'FR', 'France'),
(65475, '92.123.32.0', '92.123.43.255', 1551572992, 1551576063, 'NL', 'Netherlands'),
(65476, '92.123.44.0', '92.123.47.255', 1551576064, 1551577087, 'EU', 'Europe'),
(65477, '92.123.48.0', '92.123.59.255', 1551577088, 1551580159, 'NL', 'Netherlands'),
(65478, '92.123.60.0', '92.123.154.255', 1551580160, 1551604479, 'EU', 'Europe'),
(65479, '92.123.155.0', '92.123.155.255', 1551604480, 1551604735, 'SE', 'Sweden'),
(65480, '92.123.156.0', '92.123.255.255', 1551604736, 1551630335, 'EU', 'Europe'),
(65481, '92.124.0.0', '92.127.255.255', 1551630336, 1551892479, 'RU', 'Russian Federation'),
(65482, '92.128.0.0', '92.191.255.255', 1551892480, 1556086783, 'FR', 'France'),
(65483, '92.192.0.0', '92.198.27.12', 1556086784, 1556486924, 'DE', 'Germany'),
(65484, '92.198.27.13', '92.198.27.13', 1556486925, 1556486925, 'A2', 'Satellite Provider'),
(65485, '92.198.27.14', '92.198.54.79', 1556486926, 1556493903, 'DE', 'Germany'),
(65486, '92.198.54.80', '92.198.54.87', 1556493904, 1556493911, 'A2', 'Satellite Provider'),
(65487, '92.198.54.88', '92.198.68.247', 1556493912, 1556497655, 'DE', 'Germany'),
(65488, '92.198.68.248', '92.198.68.255', 1556497656, 1556497663, 'A2', 'Satellite Provider'),
(65489, '92.198.69.0', '92.231.255.255', 1556497664, 1558708223, 'DE', 'Germany'),
(65490, '92.232.0.0', '92.239.255.255', 1558708224, 1559232511, 'GB', 'United Kingdom'),
(65491, '92.240.0.0', '92.240.31.255', 1559232512, 1559240703, 'IL', 'Israel'),
(65492, '92.240.32.0', '92.240.63.255', 1559240704, 1559248895, 'BA', 'Bosnia and Herzegovina'),
(65493, '92.240.64.0', '92.240.95.255', 1559248896, 1559257087, 'LV', 'Latvia'),
(65494, '92.240.96.0', '92.240.127.255', 1559257088, 1559265279, 'UA', 'Ukraine'),
(65495, '92.240.128.0', '92.240.159.255', 1559265280, 1559273471, 'RU', 'Russian Federation'),
(65496, '92.240.160.0', '92.240.191.255', 1559273472, 1559281663, 'CZ', 'Czech Republic'),
(65497, '92.240.192.0', '92.240.223.255', 1559281664, 1559289855, 'RU', 'Russian Federation'),
(65498, '92.240.224.0', '92.240.255.255', 1559289856, 1559298047, 'SK', 'Slovakia'),
(65499, '92.241.0.0', '92.241.31.255', 1559298048, 1559306239, 'RU', 'Russian Federation'),
(65500, '92.241.32.0', '92.241.63.255', 1559306240, 1559314431, 'JO', 'Jordan'),
(65501, '92.241.64.0', '92.241.95.255', 1559314432, 1559322623, 'GE', 'Georgia'),
(65502, '92.241.96.0', '92.241.127.255', 1559322624, 1559330815, 'RU', 'Russian Federation'),
(65503, '92.241.128.0', '92.241.159.255', 1559330816, 1559339007, 'BA', 'Bosnia and Herzegovina'),
(65504, '92.241.160.0', '92.241.162.223', 1559339008, 1559339743, 'RU', 'Russian Federation'),
(65505, '92.241.162.224', '92.241.162.255', 1559339744, 1559339775, 'MH', 'Marshall Islands'),
(65506, '92.241.163.0', '92.241.170.127', 1559339776, 1559341695, 'RU', 'Russian Federation'),
(65507, '92.241.170.128', '92.241.170.135', 1559341696, 1559341703, 'ES', 'Spain'),
(65508, '92.241.170.136', '92.241.191.255', 1559341704, 1559347199, 'RU', 'Russian Federation'),
(65509, '92.241.192.0', '92.241.223.255', 1559347200, 1559355391, 'SE', 'Sweden'),
(65510, '92.241.224.0', '92.242.95.255', 1559355392, 1559388159, 'RU', 'Russian Federation'),
(65511, '92.242.96.0', '92.242.127.255', 1559388160, 1559396351, 'UA', 'Ukraine'),
(65512, '92.242.128.0', '92.242.159.255', 1559396352, 1559404543, 'GB', 'United Kingdom'),
(65513, '92.242.160.0', '92.242.191.255', 1559404544, 1559412735, 'FI', 'Finland'),
(65514, '92.242.192.0', '92.242.223.255', 1559412736, 1559420927, 'IR', 'Iran, Islamic Republic of'),
(65515, '92.242.224.0', '92.242.255.255', 1559420928, 1559429119, 'HR', 'Croatia'),
(65516, '92.243.0.0', '92.243.31.255', 1559429120, 1559437311, 'FR', 'France'),
(65517, '92.243.32.0', '92.243.63.255', 1559437312, 1559445503, 'AT', 'Austria'),
(65518, '92.243.64.0', '92.243.127.255', 1559445504, 1559461887, 'RU', 'Russian Federation'),
(65519, '92.243.128.0', '92.243.159.255', 1559461888, 1559470079, 'IT', 'Italy'),
(65520, '92.243.160.0', '92.243.191.255', 1559470080, 1559478271, 'RU', 'Russian Federation'),
(65521, '92.243.192.0', '92.243.223.255', 1559478272, 1559486463, 'CZ', 'Czech Republic'),
(65522, '92.243.224.0', '92.243.255.255', 1559486464, 1559494655, 'DK', 'Denmark'),
(65523, '92.244.0.0', '92.244.31.255', 1559494656, 1559502847, 'SE', 'Sweden'),
(65524, '92.244.32.0', '92.244.63.255', 1559502848, 1559511039, 'PL', 'Poland'),
(65525, '92.244.64.0', '92.244.95.255', 1559511040, 1559519231, 'SI', 'Slovenia'),
(65526, '92.244.96.0', '92.244.127.255', 1559519232, 1559527423, 'UA', 'Ukraine'),
(65527, '92.244.128.0', '92.244.159.255', 1559527424, 1559535615, 'RS', 'Serbia'),
(65528, '92.244.160.0', '92.244.191.255', 1559535616, 1559543807, 'GB', 'United Kingdom'),
(65529, '92.244.192.0', '92.244.223.255', 1559543808, 1559551999, 'SE', 'Sweden'),
(65530, '92.244.224.0', '92.244.255.255', 1559552000, 1559560191, 'RU', 'Russian Federation'),
(65531, '92.245.0.0', '92.245.31.255', 1559560192, 1559568383, 'SK', 'Slovakia'),
(65532, '92.245.32.0', '92.245.63.255', 1559568384, 1559576575, 'RU', 'Russian Federation'),
(65533, '92.245.64.0', '92.245.95.255', 1559576576, 1559584767, 'HU', 'Hungary'),
(65534, '92.245.96.0', '92.245.127.255', 1559584768, 1559592959, 'KG', 'Kyrgyzstan'),
(65535, '92.245.128.0', '92.245.159.255', 1559592960, 1559601151, 'FR', 'France'),
(65536, '92.245.160.0', '92.245.191.255', 1559601152, 1559609343, 'IT', 'Italy'),
(65537, '92.245.192.0', '92.245.223.255', 1559609344, 1559617535, 'SK', 'Slovakia'),
(65538, '92.245.224.0', '92.245.255.255', 1559617536, 1559625727, 'GB', 'United Kingdom'),
(65539, '92.246.0.0', '92.246.31.255', 1559625728, 1559633919, 'DK', 'Denmark'),
(65540, '92.246.32.0', '92.246.63.255', 1559633920, 1559642111, 'IT', 'Italy'),
(65541, '92.246.64.0', '92.246.95.255', 1559642112, 1559650303, 'RU', 'Russian Federation'),
(65542, '92.246.96.0', '92.246.127.255', 1559650304, 1559658495, 'IT', 'Italy'),
(65543, '92.246.128.0', '92.246.223.255', 1559658496, 1559683071, 'RU', 'Russian Federation'),
(65544, '92.246.224.0', '92.246.255.255', 1559683072, 1559691263, 'CH', 'Switzerland'),
(65545, '92.247.0.0', '92.247.255.255', 1559691264, 1559756799, 'BG', 'Bulgaria'),
(65546, '92.248.0.0', '92.248.127.255', 1559756800, 1559789567, 'AT', 'Austria'),
(65547, '92.248.128.0', '92.249.63.255', 1559789568, 1559838719, 'RU', 'Russian Federation'),
(65548, '92.249.64.0', '92.249.127.255', 1559838720, 1559855103, 'UA', 'Ukraine'),
(65549, '92.249.128.0', '92.249.255.255', 1559855104, 1559887871, 'HU', 'Hungary'),
(65550, '92.250.0.0', '92.250.127.255', 1559887872, 1559920639, 'PT', 'Portugal'),
(65551, '92.250.128.0', '92.250.143.213', 1559920640, 1559924693, 'LU', 'Luxembourg'),
(65552, '92.250.143.214', '92.250.143.214', 1559924694, 1559924694, 'GB', 'United Kingdom'),
(65553, '92.250.143.215', '92.250.175.255', 1559924695, 1559932927, 'LU', 'Luxembourg'),
(65554, '92.250.176.0', '92.250.255.255', 1559932928, 1559953407, 'DE', 'Germany'),
(65555, '92.251.0.0', '92.251.127.255', 1559953408, 1559986175, 'MT', 'Malta'),
(65556, '92.251.128.0', '92.251.255.255', 1559986176, 1560018943, 'IE', 'Ireland'),
(65557, '92.252.0.0', '92.252.127.255', 1560018944, 1560051711, 'DE', 'Germany'),
(65558, '92.252.128.0', '92.252.255.255', 1560051712, 1560084479, 'RU', 'Russian Federation'),
(65559, '92.253.0.0', '92.253.127.255', 1560084480, 1560117247, 'JO', 'Jordan'),
(65560, '92.253.128.0', '92.253.255.255', 1560117248, 1560150015, 'CZ', 'Czech Republic'),
(65561, '92.254.0.0', '92.254.127.255', 1560150016, 1560182783, 'NL', 'Netherlands'),
(65562, '92.254.128.0', '92.254.255.255', 1560182784, 1560215551, 'SE', 'Sweden'),
(65563, '92.255.0.0', '92.255.255.255', 1560215552, 1560281087, 'RU', 'Russian Federation'),
(65564, '93.0.0.0', '93.31.255.255', 1560281088, 1562378239, 'FR', 'France'),
(65565, '93.32.0.0', '93.62.236.159', 1562378240, 1564404895, 'IT', 'Italy'),
(65566, '93.62.236.160', '93.62.236.167', 1564404896, 1564404903, 'A2', 'Satellite Provider'),
(65567, '93.62.236.168', '93.71.255.255', 1564404904, 1564999679, 'IT', 'Italy'),
(65568, '93.72.0.0', '93.79.255.255', 1564999680, 1565523967, 'UA', 'Ukraine'),
(65569, '93.80.0.0', '93.81.255.255', 1565523968, 1565655039, 'RU', 'Russian Federation'),
(65570, '93.82.0.0', '93.83.255.255', 1565655040, 1565786111, 'AT', 'Austria'),
(65571, '93.84.0.0', '93.85.255.255', 1565786112, 1565917183, 'BY', 'Belarus'),
(65572, '93.86.0.0', '93.87.255.255', 1565917184, 1566048255, 'RS', 'Serbia'),
(65573, '93.88.0.0', '93.88.31.255', 1566048256, 1566056447, 'RU', 'Russian Federation'),
(65574, '93.88.32.0', '93.88.47.255', 1566056448, 1566060543, 'IT', 'Italy'),
(65575, '93.88.48.0', '93.88.63.255', 1566060544, 1566064639, 'UA', 'Ukraine'),
(65576, '93.88.64.0', '93.88.79.255', 1566064640, 1566068735, 'RU', 'Russian Federation'),
(65577, '93.88.80.0', '93.88.95.255', 1566068736, 1566072831, 'AZ', 'Azerbaijan'),
(65578, '93.88.96.0', '93.88.127.255', 1566072832, 1566081023, 'IT', 'Italy'),
(65579, '93.88.128.0', '93.88.143.255', 1566081024, 1566085119, 'RU', 'Russian Federation'),
(65580, '93.88.144.0', '93.88.159.255', 1566085120, 1566089215, 'NL', 'Netherlands'),
(65581, '93.88.160.0', '93.88.191.255', 1566089216, 1566097407, 'RU', 'Russian Federation'),
(65582, '93.88.192.0', '93.88.207.255', 1566097408, 1566101503, 'HU', 'Hungary'),
(65583, '93.88.208.0', '93.88.223.255', 1566101504, 1566105599, 'RU', 'Russian Federation'),
(65584, '93.88.224.0', '93.88.239.255', 1566105600, 1566109695, 'DE', 'Germany'),
(65585, '93.88.240.0', '93.88.255.255', 1566109696, 1566113791, 'CH', 'Switzerland'),
(65586, '93.89.0.0', '93.89.15.255', 1566113792, 1566117887, 'DE', 'Germany'),
(65587, '93.89.16.0', '93.89.31.255', 1566117888, 1566121983, 'TR', 'Turkey'),
(65588, '93.89.32.0', '93.89.47.255', 1566121984, 1566126079, 'NO', 'Norway'),
(65589, '93.89.48.0', '93.89.63.255', 1566126080, 1566130175, 'IT', 'Italy'),
(65590, '93.89.64.0', '93.89.79.255', 1566130176, 1566134271, 'TR', 'Turkey'),
(65591, '93.89.80.0', '93.89.82.215', 1566134272, 1566134999, 'GB', 'United Kingdom'),
(65592, '93.89.82.216', '93.89.82.223', 1566135000, 1566135007, 'ES', 'Spain'),
(65593, '93.89.82.224', '93.89.95.255', 1566135008, 1566138367, 'GB', 'United Kingdom'),
(65594, '93.89.96.0', '93.89.111.255', 1566138368, 1566142463, 'CZ', 'Czech Republic'),
(65595, '93.89.112.0', '93.89.127.255', 1566142464, 1566146559, 'NO', 'Norway'),
(65596, '93.89.128.0', '93.89.143.255', 1566146560, 1566150655, 'GB', 'United Kingdom'),
(65597, '93.89.144.0', '93.89.159.255', 1566150656, 1566154751, 'CZ', 'Czech Republic'),
(65598, '93.89.160.0', '93.89.175.255', 1566154752, 1566158847, 'HU', 'Hungary'),
(65599, '93.89.176.0', '93.89.191.255', 1566158848, 1566162943, 'RU', 'Russian Federation'),
(65600, '93.89.192.0', '93.89.207.255', 1566162944, 1566167039, 'PL', 'Poland'),
(65601, '93.89.208.0', '93.89.223.255', 1566167040, 1566171135, 'UA', 'Ukraine'),
(65602, '93.89.224.0', '93.89.239.48', 1566171136, 1566175024, 'CY', 'Cyprus'),
(65603, '93.89.239.49', '93.89.239.55', 1566175025, 1566175031, 'TR', 'Turkey'),
(65604, '93.89.239.56', '93.89.239.254', 1566175032, 1566175230, 'CY', 'Cyprus'),
(65605, '93.89.239.255', '93.89.239.255', 1566175231, 1566175231, 'TR', 'Turkey'),
(65606, '93.89.240.0', '93.89.255.255', 1566175232, 1566179327, 'IE', 'Ireland'),
(65607, '93.90.0.0', '93.90.15.255', 1566179328, 1566183423, 'DK', 'Denmark'),
(65608, '93.90.16.0', '93.90.31.255', 1566183424, 1566187519, 'ES', 'Spain'),
(65609, '93.90.32.0', '93.90.47.255', 1566187520, 1566191615, 'RU', 'Russian Federation'),
(65610, '93.90.48.0', '93.90.63.255', 1566191616, 1566195711, 'FI', 'Finland'),
(65611, '93.90.64.0', '93.90.79.255', 1566195712, 1566199807, 'AL', 'Albania'),
(65612, '93.90.80.0', '93.90.111.255', 1566199808, 1566207999, 'RU', 'Russian Federation'),
(65613, '93.90.112.0', '93.90.127.255', 1566208000, 1566212095, 'DK', 'Denmark'),
(65614, '93.90.128.0', '93.90.143.255', 1566212096, 1566216191, 'DE', 'Germany'),
(65615, '93.90.144.0', '93.90.159.255', 1566216192, 1566220287, 'SE', 'Sweden'),
(65616, '93.90.160.0', '93.90.175.255', 1566220288, 1566224383, 'CZ', 'Czech Republic'),
(65617, '93.90.176.0', '93.90.182.255', 1566224384, 1566226175, 'DE', 'Germany'),
(65618, '93.90.183.0', '93.90.183.63', 1566226176, 1566226239, 'NL', 'Netherlands'),
(65619, '93.90.183.64', '93.90.183.127', 1566226240, 1566226303, 'DE', 'Germany'),
(65620, '93.90.183.128', '93.90.183.159', 1566226304, 1566226335, 'NL', 'Netherlands'),
(65621, '93.90.183.160', '93.90.183.167', 1566226336, 1566226343, 'DE', 'Germany'),
(65622, '93.90.183.168', '93.90.183.175', 1566226344, 1566226351, 'NL', 'Netherlands'),
(65623, '93.90.183.176', '93.90.191.255', 1566226352, 1566228479, 'DE', 'Germany'),
(65624, '93.90.192.0', '93.90.207.255', 1566228480, 1566232575, 'GB', 'United Kingdom'),
(65625, '93.90.208.0', '93.91.15.255', 1566232576, 1566248959, 'RU', 'Russian Federation'),
(65626, '93.91.16.0', '93.91.47.255', 1566248960, 1566257151, 'GB', 'United Kingdom'),
(65627, '93.91.48.0', '93.91.63.255', 1566257152, 1566261247, 'CZ', 'Czech Republic'),
(65628, '93.91.64.0', '93.91.79.255', 1566261248, 1566265343, 'TR', 'Turkey'),
(65629, '93.91.80.0', '93.91.83.255', 1566265344, 1566266367, 'US', 'United States'),
(65630, '93.91.84.0', '93.91.95.255', 1566266368, 1566269439, 'A2', 'Satellite Provider'),
(65631, '93.91.96.0', '93.91.103.255', 1566269440, 1566271487, 'NO', 'Norway'),
(65632, '93.91.104.0', '93.91.105.255', 1566271488, 1566271999, 'FI', 'Finland'),
(65633, '93.91.106.0', '93.91.107.255', 1566272000, 1566272511, 'SE', 'Sweden'),
(65634, '93.91.108.0', '93.91.111.255', 1566272512, 1566273535, 'NO', 'Norway'),
(65635, '93.91.112.0', '93.91.127.255', 1566273536, 1566277631, 'RU', 'Russian Federation'),
(65636, '93.91.128.0', '93.91.143.255', 1566277632, 1566281727, 'IT', 'Italy'),
(65637, '93.91.144.0', '93.91.159.255', 1566281728, 1566285823, 'CZ', 'Czech Republic'),
(65638, '93.91.160.0', '93.91.175.255', 1566285824, 1566289919, 'RU', 'Russian Federation'),
(65639, '93.91.176.0', '93.91.191.255', 1566289920, 1566294015, 'FI', 'Finland'),
(65640, '93.91.192.0', '93.91.207.255', 1566294016, 1566298111, 'IQ', 'Iraq'),
(65641, '93.91.208.0', '93.91.223.255', 1566298112, 1566302207, 'PL', 'Poland'),
(65642, '93.91.224.0', '93.91.239.255', 1566302208, 1566306303, 'RU', 'Russian Federation'),
(65643, '93.91.240.0', '93.91.255.255', 1566306304, 1566310399, 'CZ', 'Czech Republic'),
(65644, '93.92.0.0', '93.92.7.255', 1566310400, 1566312447, 'SE', 'Sweden'),
(65645, '93.92.8.0', '93.92.15.255', 1566312448, 1566314495, 'IE', 'Ireland'),
(65646, '93.92.16.0', '93.92.23.255', 1566314496, 1566316543, 'BE', 'Belgium'),
(65647, '93.92.24.0', '93.92.27.255', 1566316544, 1566317567, 'NO', 'Norway'),
(65648, '93.92.32.0', '93.92.39.255', 1566318592, 1566320639, 'RU', 'Russian Federation'),
(65649, '93.92.40.0', '93.92.41.255', 1566320640, 1566321151, 'DE', 'Germany'),
(65650, '93.92.42.0', '93.92.42.255', 1566321152, 1566321407, 'NL', 'Netherlands'),
(65651, '93.92.43.0', '93.92.43.255', 1566321408, 1566321663, 'UA', 'Ukraine'),
(65652, '93.92.44.0', '93.92.44.255', 1566321664, 1566321919, 'BZ', 'Belize'),
(65653, '93.92.45.0', '93.92.46.255', 1566321920, 1566322431, 'GB', 'United Kingdom'),
(65654, '93.92.47.0', '93.92.47.255', 1566322432, 1566322687, 'BS', 'Bahamas'),
(65655, '93.92.48.0', '93.92.55.255', 1566322688, 1566324735, 'CZ', 'Czech Republic'),
(65656, '93.92.56.0', '93.92.63.255', 1566324736, 1566326783, 'HU', 'Hungary'),
(65657, '93.92.64.0', '93.92.71.255', 1566326784, 1566328831, 'RU', 'Russian Federation'),
(65658, '93.92.72.0', '93.92.79.255', 1566328832, 1566330879, 'IT', 'Italy'),
(65659, '93.92.80.0', '93.92.95.255', 1566330880, 1566334975, 'RU', 'Russian Federation'),
(65660, '93.92.96.0', '93.92.103.255', 1566334976, 1566337023, 'NL', 'Netherlands'),
(65661, '93.92.104.0', '93.92.111.255', 1566337024, 1566339071, 'FR', 'France'),
(65662, '93.92.112.0', '93.92.119.255', 1566339072, 1566341119, 'RU', 'Russian Federation'),
(65663, '93.92.120.0', '93.92.127.255', 1566341120, 1566343167, 'GB', 'United Kingdom'),
(65664, '93.92.128.0', '93.92.135.255', 1566343168, 1566345215, 'DE', 'Germany'),
(65665, '93.92.136.0', '93.92.143.255', 1566345216, 1566347263, 'RU', 'Russian Federation'),
(65666, '93.92.144.0', '93.92.151.255', 1566347264, 1566349311, 'DE', 'Germany'),
(65667, '93.92.152.0', '93.92.157.0', 1566349312, 1566350592, 'IT', 'Italy'),
(65668, '93.92.157.1', '93.92.157.128', 1566350593, 1566350720, 'US', 'United States'),
(65669, '93.92.157.129', '93.92.157.255', 1566350721, 1566350847, 'GB', 'United Kingdom'),
(65670, '93.92.158.0', '93.92.159.255', 1566350848, 1566351359, 'IT', 'Italy'),
(65671, '93.92.160.0', '93.92.167.255', 1566351360, 1566353407, 'AT', 'Austria'),
(65672, '93.92.168.0', '93.92.175.255', 1566353408, 1566355455, 'ES', 'Spain'),
(65673, '93.92.176.0', '93.92.183.255', 1566355456, 1566357503, 'RU', 'Russian Federation'),
(65674, '93.92.184.0', '93.92.191.255', 1566357504, 1566359551, 'IT', 'Italy'),
(65675, '93.92.192.0', '93.92.207.255', 1566359552, 1566363647, 'RU', 'Russian Federation'),
(65676, '93.92.208.0', '93.92.215.255', 1566363648, 1566365695, 'GB', 'United Kingdom'),
(65677, '93.92.216.0', '93.92.223.255', 1566365696, 1566367743, 'RU', 'Russian Federation'),
(65678, '93.92.224.0', '93.92.239.255', 1566367744, 1566371839, 'ES', 'Spain'),
(65679, '93.92.240.0', '93.92.247.255', 1566371840, 1566373887, 'IT', 'Italy'),
(65680, '93.92.248.0', '93.92.255.255', 1566373888, 1566375935, 'RS', 'Serbia'),
(65681, '93.93.0.0', '93.93.7.255', 1566375936, 1566377983, 'DE', 'Germany'),
(65682, '93.93.8.0', '93.93.15.255', 1566377984, 1566380031, 'BG', 'Bulgaria'),
(65683, '93.93.16.0', '93.93.23.255', 1566380032, 1566382079, 'IT', 'Italy'),
(65684, '93.93.24.0', '93.93.31.255', 1566382080, 1566384127, 'TR', 'Turkey'),
(65685, '93.93.32.0', '93.93.39.255', 1566384128, 1566386175, 'RU', 'Russian Federation'),
(65686, '93.93.40.0', '93.93.47.255', 1566386176, 1566388223, 'FR', 'France'),
(65687, '93.93.48.0', '93.93.48.255', 1566388224, 1566388479, 'HK', 'Hong Kong'),
(65688, '93.93.49.0', '93.93.50.255', 1566388480, 1566388991, 'HU', 'Hungary'),
(65689, '93.93.51.0', '93.93.51.255', 1566388992, 1566389247, 'SC', 'Seychelles'),
(65690, '93.93.52.0', '93.93.52.255', 1566389248, 1566389503, 'HU', 'Hungary'),
(65691, '93.93.53.0', '93.93.53.255', 1566389504, 1566389759, 'SC', 'Seychelles'),
(65692, '93.93.54.0', '93.93.55.255', 1566389760, 1566390271, 'US', 'United States'),
(65693, '93.93.56.0', '93.93.63.255', 1566390272, 1566392319, 'LT', 'Lithuania'),
(65694, '93.93.64.0', '93.93.71.255', 1566392320, 1566394367, 'ES', 'Spain'),
(65695, '93.93.72.0', '93.93.79.15', 1566394368, 1566396175, 'NO', 'Norway'),
(65696, '93.93.79.16', '93.93.79.31', 1566396176, 1566396191, 'NL', 'Netherlands'),
(65697, '93.93.79.32', '93.93.79.255', 1566396192, 1566396415, 'NO', 'Norway'),
(65698, '93.93.80.0', '93.93.87.255', 1566396416, 1566398463, 'GB', 'United Kingdom'),
(65699, '93.93.88.0', '93.93.95.255', 1566398464, 1566400511, 'RU', 'Russian Federation'),
(65700, '93.93.96.0', '93.93.96.63', 1566400512, 1566400575, 'NO', 'Norway'),
(65701, '93.93.96.64', '93.93.96.127', 1566400576, 1566400639, 'GB', 'United Kingdom'),
(65702, '93.93.96.128', '93.93.96.159', 1566400640, 1566400671, 'NO', 'Norway'),
(65703, '93.93.96.160', '93.93.96.191', 1566400672, 1566400703, 'DE', 'Germany'),
(65704, '93.93.96.192', '93.93.96.223', 1566400704, 1566400735, 'NL', 'Netherlands'),
(65705, '93.93.96.224', '93.93.97.91', 1566400736, 1566400859, 'NO', 'Norway'),
(65706, '93.93.97.92', '93.93.97.95', 1566400860, 1566400863, 'NL', 'Netherlands'),
(65707, '93.93.97.96', '93.93.97.103', 1566400864, 1566400871, 'GB', 'United Kingdom'),
(65708, '93.93.97.104', '93.93.97.135', 1566400872, 1566400903, 'NO', 'Norway'),
(65709, '93.93.97.136', '93.93.97.139', 1566400904, 1566400907, 'DE', 'Germany'),
(65710, '93.93.97.140', '93.93.97.143', 1566400908, 1566400911, 'GB', 'United Kingdom'),
(65711, '93.93.97.144', '93.93.97.147', 1566400912, 1566400915, 'GE', 'Georgia'),
(65712, '93.93.97.148', '93.93.97.151', 1566400916, 1566400919, 'NO', 'Norway'),
(65713, '93.93.97.152', '93.93.97.155', 1566400920, 1566400923, 'NE', 'Niger'),
(65714, '93.93.97.156', '93.93.97.175', 1566400924, 1566400943, 'NO', 'Norway'),
(65715, '93.93.97.176', '93.93.97.187', 1566400944, 1566400955, 'NE', 'Niger'),
(65716, '93.93.97.188', '93.93.97.199', 1566400956, 1566400967, 'NO', 'Norway'),
(65717, '93.93.97.200', '93.93.97.211', 1566400968, 1566400979, 'GB', 'United Kingdom'),
(65718, '93.93.97.212', '93.93.97.215', 1566400980, 1566400983, 'GE', 'Georgia'),
(65719, '93.93.97.216', '93.93.97.219', 1566400984, 1566400987, 'NE', 'Niger'),
(65720, '93.93.97.220', '93.93.97.255', 1566400988, 1566401023, 'NO', 'Norway'),
(65721, '93.93.98.0', '93.93.98.223', 1566401024, 1566401247, 'US', 'United States'),
(65722, '93.93.98.224', '93.93.98.255', 1566401248, 1566401279, 'FR', 'France'),
(65723, '93.93.99.0', '93.93.99.47', 1566401280, 1566401327, 'US', 'United States'),
(65724, '93.93.99.48', '93.93.99.63', 1566401328, 1566401343, 'NO', 'Norway'),
(65725, '93.93.99.64', '93.93.99.96', 1566401344, 1566401376, 'US', 'United States'),
(65726, '93.93.99.97', '93.93.99.119', 1566401377, 1566401399, 'NO', 'Norway'),
(65727, '93.93.99.120', '93.93.99.183', 1566401400, 1566401463, 'US', 'United States'),
(65728, '93.93.99.184', '93.93.99.187', 1566401464, 1566401467, 'NO', 'Norway'),
(65729, '93.93.99.188', '93.93.99.203', 1566401468, 1566401483, 'US', 'United States'),
(65730, '93.93.99.204', '93.93.99.207', 1566401484, 1566401487, 'HK', 'Hong Kong'),
(65731, '93.93.99.208', '93.93.99.211', 1566401488, 1566401491, 'NO', 'Norway'),
(65732, '93.93.99.212', '93.93.99.219', 1566401492, 1566401499, 'US', 'United States'),
(65733, '93.93.99.220', '93.93.99.223', 1566401500, 1566401503, 'NO', 'Norway'),
(65734, '93.93.99.224', '93.93.99.255', 1566401504, 1566401535, 'US', 'United States'),
(65735, '93.93.100.0', '93.93.100.63', 1566401536, 1566401599, 'IN', 'India'),
(65736, '93.93.100.64', '93.93.100.127', 1566401600, 1566401663, 'HK', 'Hong Kong'),
(65737, '93.93.100.128', '93.93.100.191', 1566401664, 1566401727, 'SG', 'Singapore'),
(65738, '93.93.100.192', '93.93.100.255', 1566401728, 1566401791, 'NO', 'Norway'),
(65739, '93.93.101.0', '93.93.101.64', 1566401792, 1566401856, 'SI', 'Slovenia'),
(65740, '93.93.101.65', '93.93.101.95', 1566401857, 1566401887, 'NO', 'Norway'),
(65741, '93.93.101.96', '93.93.101.127', 1566401888, 1566401919, 'US', 'United States'),
(65742, '93.93.101.128', '93.93.101.175', 1566401920, 1566401967, 'NO', 'Norway'),
(65743, '93.93.101.176', '93.93.101.183', 1566401968, 1566401975, 'HK', 'Hong Kong'),
(65744, '93.93.101.184', '93.93.101.195', 1566401976, 1566401987, 'AU', 'Australia'),
(65745, '93.93.101.196', '93.93.101.199', 1566401988, 1566401991, 'HK', 'Hong Kong'),
(65746, '93.93.101.200', '93.93.101.207', 1566401992, 1566401999, 'SG', 'Singapore'),
(65747, '93.93.101.208', '93.93.101.211', 1566402000, 1566402003, 'AU', 'Australia'),
(65748, '93.93.101.212', '93.93.101.215', 1566402004, 1566402007, 'NO', 'Norway'),
(65749, '93.93.101.216', '93.93.101.219', 1566402008, 1566402011, 'AU', 'Australia'),
(65750, '93.93.101.220', '93.93.101.243', 1566402012, 1566402035, 'HK', 'Hong Kong'),
(65751, '93.93.101.244', '93.93.102.63', 1566402036, 1566402111, 'NO', 'Norway'),
(65752, '93.93.102.64', '93.93.102.95', 1566402112, 1566402143, 'HK', 'Hong Kong'),
(65753, '93.93.102.96', '93.93.102.127', 1566402144, 1566402175, 'NL', 'Netherlands'),
(65754, '93.93.102.128', '93.93.102.151', 1566402176, 1566402199, 'US', 'United States'),
(65755, '93.93.102.152', '93.93.102.159', 1566402200, 1566402207, 'NO', 'Norway'),
(65756, '93.93.102.160', '93.93.102.167', 1566402208, 1566402215, 'US', 'United States'),
(65757, '93.93.102.168', '93.93.102.175', 1566402216, 1566402223, 'NO', 'Norway'),
(65758, '93.93.102.176', '93.93.102.191', 1566402224, 1566402239, 'US', 'United States'),
(65759, '93.93.102.192', '93.93.102.207', 1566402240, 1566402255, 'NO', 'Norway'),
(65760, '93.93.102.208', '93.93.102.255', 1566402256, 1566402303, 'US', 'United States'),
(65761, '93.93.103.0', '93.93.103.255', 1566402304, 1566402559, 'NO', 'Norway'),
(65762, '93.93.104.0', '93.93.111.255', 1566402560, 1566404607, 'IQ', 'Iraq'),
(65763, '93.93.112.0', '93.93.119.255', 1566404608, 1566406655, 'ES', 'Spain'),
(65764, '93.93.120.0', '93.93.127.255', 1566406656, 1566408703, 'NL', 'Netherlands'),
(65765, '93.93.128.0', '93.93.135.255', 1566408704, 1566410751, 'GB', 'United Kingdom'),
(65766, '93.93.136.0', '93.93.151.255', 1566410752, 1566414847, 'RU', 'Russian Federation'),
(65767, '93.93.152.0', '93.93.159.255', 1566414848, 1566416895, 'FR', 'France'),
(65768, '93.93.160.0', '93.93.167.255', 1566416896, 1566418943, 'IT', 'Italy'),
(65769, '93.93.168.0', '93.93.175.255', 1566418944, 1566420991, 'RU', 'Russian Federation'),
(65770, '93.93.176.0', '93.93.183.255', 1566420992, 1566423039, 'ES', 'Spain'),
(65771, '93.93.184.0', '93.93.191.255', 1566423040, 1566425087, 'FR', 'France'),
(65772, '93.93.192.0', '93.93.199.255', 1566425088, 1566427135, 'RS', 'Serbia'),
(65773, '93.93.200.0', '93.93.207.255', 1566427136, 1566429183, 'IT', 'Italy'),
(65774, '93.93.208.0', '93.93.239.255', 1566429184, 1566437375, 'GB', 'United Kingdom'),
(65775, '93.93.240.0', '93.93.247.255', 1566437376, 1566439423, 'BE', 'Belgium'),
(65776, '93.93.248.0', '93.94.7.255', 1566439424, 1566443519, 'DE', 'Germany'),
(65777, '93.94.8.0', '93.94.15.255', 1566443520, 1566445567, 'NO', 'Norway'),
(65778, '93.94.16.0', '93.94.23.255', 1566445568, 1566447615, 'PL', 'Poland'),
(65779, '93.94.24.0', '93.94.39.255', 1566447616, 1566451711, 'IT', 'Italy'),
(65780, '93.94.40.0', '93.94.47.255', 1566451712, 1566453759, 'IL', 'Israel'),
(65781, '93.94.48.0', '93.94.55.255', 1566453760, 1566455807, 'IQ', 'Iraq'),
(65782, '93.94.56.0', '93.94.58.31', 1566455808, 1566456351, 'PT', 'Portugal'),
(65783, '93.94.58.32', '93.94.58.39', 1566456352, 1566456359, 'AO', 'Angola'),
(65784, '93.94.58.40', '93.94.63.255', 1566456360, 1566457855, 'PT', 'Portugal'),
(65785, '93.94.64.0', '93.94.71.255', 1566457856, 1566459903, 'CH', 'Switzerland'),
(65786, '93.94.72.0', '93.94.79.255', 1566459904, 1566461951, 'GB', 'United Kingdom'),
(65787, '93.94.80.0', '93.94.87.255', 1566461952, 1566463999, 'DE', 'Germany'),
(65788, '93.94.88.0', '93.94.95.255', 1566464000, 1566466047, 'IT', 'Italy'),
(65789, '93.94.96.0', '93.94.103.255', 1566466048, 1566468095, 'ES', 'Spain'),
(65790, '93.94.104.0', '93.94.107.15', 1566468096, 1566468879, 'BE', 'Belgium'),
(65791, '93.94.107.16', '93.94.107.31', 1566468880, 1566468895, 'HU', 'Hungary'),
(65792, '93.94.107.32', '93.94.109.15', 1566468896, 1566469391, 'BE', 'Belgium'),
(65793, '93.94.109.16', '93.94.109.31', 1566469392, 1566469407, 'HU', 'Hungary'),
(65794, '93.94.109.32', '93.94.111.255', 1566469408, 1566470143, 'BE', 'Belgium'),
(65795, '93.94.112.0', '93.94.112.19', 1566470144, 1566470163, 'IE', 'Ireland'),
(65796, '93.94.112.20', '93.94.112.27', 1566470164, 1566470171, 'GB', 'United Kingdom'),
(65797, '93.94.112.28', '93.94.112.207', 1566470172, 1566470351, 'IE', 'Ireland'),
(65798, '93.94.112.208', '93.94.112.223', 1566470352, 1566470367, 'GB', 'United Kingdom'),
(65799, '93.94.112.224', '93.94.117.143', 1566470368, 1566471567, 'IE', 'Ireland'),
(65800, '93.94.117.144', '93.94.117.151', 1566471568, 1566471575, 'GB', 'United Kingdom'),
(65801, '93.94.117.152', '93.94.119.35', 1566471576, 1566471971, 'IE', 'Ireland'),
(65802, '93.94.119.36', '93.94.119.39', 1566471972, 1566471975, 'GB', 'United Kingdom'),
(65803, '93.94.119.40', '93.94.119.69', 1566471976, 1566472005, 'IE', 'Ireland'),
(65804, '93.94.119.70', '93.94.119.71', 1566472006, 1566472007, 'GB', 'United Kingdom'),
(65805, '93.94.119.72', '93.94.119.115', 1566472008, 1566472051, 'IE', 'Ireland'),
(65806, '93.94.119.116', '93.94.119.127', 1566472052, 1566472063, 'GB', 'United Kingdom'),
(65807, '93.94.119.128', '93.94.119.151', 1566472064, 1566472087, 'IE', 'Ireland'),
(65808, '93.94.119.152', '93.94.127.255', 1566472088, 1566474239, 'GB', 'United Kingdom'),
(65809, '93.94.128.0', '93.94.135.255', 1566474240, 1566476287, 'DE', 'Germany'),
(65810, '93.94.136.0', '93.94.143.255', 1566476288, 1566478335, 'BG', 'Bulgaria'),
(65811, '93.94.144.0', '93.94.159.255', 1566478336, 1566482431, 'RU', 'Russian Federation'),
(65812, '93.94.160.0', '93.94.167.255', 1566482432, 1566484479, 'FR', 'France'),
(65813, '93.94.168.0', '93.94.175.255', 1566484480, 1566486527, 'SE', 'Sweden'),
(65814, '93.94.176.0', '93.94.183.255', 1566486528, 1566488575, 'RU', 'Russian Federation'),
(65815, '93.94.184.0', '93.94.191.255', 1566488576, 1566490623, 'PL', 'Poland'),
(65816, '93.94.192.0', '93.94.199.255', 1566490624, 1566492671, 'TR', 'Turkey'),
(65817, '93.94.200.0', '93.94.207.255', 1566492672, 1566494719, 'NL', 'Netherlands'),
(65818, '93.94.208.0', '93.94.215.255', 1566494720, 1566496767, 'SE', 'Sweden'),
(65819, '93.94.216.0', '93.94.223.255', 1566496768, 1566498815, 'AM', 'Armenia'),
(65820, '93.94.224.0', '93.94.231.255', 1566498816, 1566500863, 'NL', 'Netherlands'),
(65821, '93.94.232.0', '93.94.239.255', 1566500864, 1566502911, 'RU', 'Russian Federation'),
(65822, '93.94.240.0', '93.94.247.255', 1566502912, 1566504959, 'CH', 'Switzerland'),
(65823, '93.94.248.0', '93.94.255.255', 1566504960, 1566507007, 'TR', 'Turkey'),
(65824, '93.95.0.0', '93.95.7.255', 1566507008, 1566509055, 'NL', 'Netherlands'),
(65825, '93.95.8.0', '93.95.15.255', 1566509056, 1566511103, 'GB', 'United Kingdom'),
(65826, '93.95.16.0', '93.95.23.255', 1566511104, 1566513151, 'KN', 'Saint Kitts and Nevis'),
(65827, '93.95.24.0', '93.95.31.255', 1566513152, 1566515199, 'BH', 'Bahrain'),
(65828, '93.95.32.0', '93.95.39.255', 1566515200, 1566517247, 'CZ', 'Czech Republic'),
(65829, '93.95.40.0', '93.95.47.255', 1566517248, 1566519295, 'RU', 'Russian Federation'),
(65830, '93.95.48.0', '93.95.55.255', 1566519296, 1566521343, 'BE', 'Belgium'),
(65831, '93.95.56.0', '93.95.63.255', 1566521344, 1566523391, 'FR', 'France'),
(65832, '93.95.64.0', '93.95.71.255', 1566523392, 1566525439, 'MK', 'Macedonia'),
(65833, '93.95.72.0', '93.95.79.255', 1566525440, 1566527487, 'IS', 'Iceland'),
(65834, '93.95.80.0', '93.95.87.255', 1566527488, 1566529535, 'IE', 'Ireland'),
(65835, '93.95.88.0', '93.95.95.255', 1566529536, 1566531583, 'PL', 'Poland'),
(65836, '93.95.96.0', '93.95.103.255', 1566531584, 1566533631, 'RU', 'Russian Federation'),
(65837, '93.95.104.0', '93.95.111.255', 1566533632, 1566535679, 'GB', 'United Kingdom'),
(65838, '93.95.112.0', '93.95.119.255', 1566535680, 1566537727, 'NL', 'Netherlands'),
(65839, '93.95.120.0', '93.95.127.255', 1566537728, 1566539775, 'GB', 'United Kingdom'),
(65840, '93.95.128.0', '93.95.135.255', 1566539776, 1566541823, 'DE', 'Germany'),
(65841, '93.95.136.0', '93.95.143.255', 1566541824, 1566543871, 'RU', 'Russian Federation'),
(65842, '93.95.144.0', '93.95.151.255', 1566543872, 1566545919, 'NL', 'Netherlands'),
(65843, '93.95.152.0', '93.95.175.255', 1566545920, 1566552063, 'RU', 'Russian Federation'),
(65844, '93.95.176.0', '93.95.183.255', 1566552064, 1566554111, 'TR', 'Turkey'),
(65845, '93.95.184.0', '93.95.191.255', 1566554112, 1566556159, 'UA', 'Ukraine'),
(65846, '93.95.192.0', '93.95.199.255', 1566556160, 1566558207, 'RU', 'Russian Federation'),
(65847, '93.95.200.0', '93.95.207.255', 1566558208, 1566560255, 'JO', 'Jordan'),
(65848, '93.95.208.0', '93.95.223.255', 1566560256, 1566564351, 'IT', 'Italy'),
(65849, '93.95.224.0', '93.95.231.255', 1566564352, 1566566399, 'IS', 'Iceland'),
(65850, '93.95.232.0', '93.95.239.255', 1566566400, 1566568447, 'FR', 'France'),
(65851, '93.95.240.0', '93.95.247.255', 1566568448, 1566570495, 'KZ', 'Kazakhstan'),
(65852, '93.95.248.0', '93.95.251.215', 1566570496, 1566571479, 'NL', 'Netherlands'),
(65853, '93.95.251.216', '93.95.251.219', 1566571480, 1566571483, 'DE', 'Germany'),
(65854, '93.95.251.220', '93.95.255.255', 1566571484, 1566572543, 'NL', 'Netherlands'),
(65855, '93.96.0.0', '93.97.255.255', 1566572544, 1566703615, 'GB', 'United Kingdom'),
(65856, '93.98.0.0', '93.98.255.255', 1566703616, 1566769151, 'SA', 'Saudi Arabia'),
(65857, '93.99.0.0', '93.99.17.255', 1566769152, 1566773759, 'CZ', 'Czech Republic'),
(65858, '93.99.18.0', '93.99.18.255', 1566773760, 1566774015, 'SK', 'Slovakia'),
(65859, '93.99.19.0', '93.99.93.255', 1566774016, 1566793215, 'CZ', 'Czech Republic'),
(65860, '93.99.94.0', '93.99.94.255', 1566793216, 1566793471, 'SK', 'Slovakia'),
(65861, '93.99.95.0', '93.99.255.255', 1566793472, 1566834687, 'CZ', 'Czech Republic'),
(65862, '93.100.0.0', '93.100.255.255', 1566834688, 1566900223, 'RU', 'Russian Federation'),
(65863, '93.101.0.0', '93.101.255.255', 1566900224, 1566965759, 'IT', 'Italy'),
(65864, '93.102.0.0', '93.102.255.255', 1566965760, 1567031295, 'PT', 'Portugal'),
(65865, '93.103.0.0', '93.103.255.255', 1567031296, 1567096831, 'SI', 'Slovenia'),
(65866, '93.104.0.0', '93.104.255.255', 1567096832, 1567162367, 'DE', 'Germany'),
(65867, '93.105.0.0', '93.105.255.255', 1567162368, 1567227903, 'PL', 'Poland'),
(65868, '93.106.0.0', '93.106.255.255', 1567227904, 1567293439, 'FI', 'Finland'),
(65869, '93.107.0.0', '93.107.255.255', 1567293440, 1567358975, 'IE', 'Ireland'),
(65870, '93.108.0.0', '93.108.255.255', 1567358976, 1567424511, 'PT', 'Portugal'),
(65871, '93.109.0.0', '93.109.248.55', 1567424512, 1567488055, 'CY', 'Cyprus'),
(65872, '93.109.248.56', '93.109.248.63', 1567488056, 1567488063, 'A2', 'Satellite Provider'),
(65873, '93.109.248.64', '93.109.255.255', 1567488064, 1567490047, 'CY', 'Cyprus'),
(65874, '93.110.0.0', '93.110.255.255', 1567490048, 1567555583, 'IR', 'Iran, Islamic Republic of'),
(65875, '93.111.0.0', '93.111.255.255', 1567555584, 1567621119, 'AT', 'Austria'),
(65876, '93.112.0.0', '93.113.37.255', 1567621120, 1567696383, 'RO', 'Romania'),
(65877, '93.113.38.0', '93.113.39.255', 1567696384, 1567696895, 'MD', 'Moldova, Republic of'),
(65878, '93.113.40.0', '93.113.71.255', 1567696896, 1567705087, 'RO', 'Romania'),
(65879, '93.113.72.0', '93.113.79.255', 1567705088, 1567707135, 'MD', 'Moldova, Republic of'),
(65880, '93.113.80.0', '93.113.101.255', 1567707136, 1567712767, 'RO', 'Romania'),
(65881, '93.113.102.0', '93.113.103.255', 1567712768, 1567713279, 'DE', 'Germany'),
(65882, '93.113.104.0', '93.113.111.255', 1567713280, 1567715327, 'RO', 'Romania'),
(65883, '93.113.112.0', '93.113.119.255', 1567715328, 1567717375, 'MD', 'Moldova, Republic of'),
(65884, '93.113.120.0', '93.113.129.255', 1567717376, 1567719935, 'RO', 'Romania'),
(65885, '93.113.130.0', '93.113.130.255', 1567719936, 1567720191, 'GB', 'United Kingdom'),
(65886, '93.113.131.0', '93.113.249.255', 1567720192, 1567750655, 'RO', 'Romania'),
(65887, '93.113.250.0', '93.113.251.255', 1567750656, 1567751167, 'SE', 'Sweden'),
(65888, '93.113.252.0', '93.113.255.255', 1567751168, 1567752191, 'RO', 'Romania'),
(65889, '93.114.0.0', '93.114.15.255', 1567752192, 1567756287, 'MD', 'Moldova, Republic of'),
(65890, '93.114.16.0', '93.114.91.255', 1567756288, 1567775743, 'RO', 'Romania'),
(65891, '93.114.92.0', '93.114.95.255', 1567775744, 1567776767, 'MD', 'Moldova, Republic of'),
(65892, '93.114.96.0', '93.115.47.255', 1567776768, 1567830015, 'RO', 'Romania'),
(65893, '93.115.48.0', '93.115.51.255', 1567830016, 1567831039, 'MD', 'Moldova, Republic of'),
(65894, '93.115.52.0', '93.115.87.255', 1567831040, 1567840255, 'RO', 'Romania'),
(65895, '93.115.88.0', '93.115.95.255', 1567840256, 1567842303, 'DE', 'Germany'),
(65896, '93.115.96.0', '93.115.243.255', 1567842304, 1567880191, 'RO', 'Romania'),
(65897, '93.115.244.0', '93.115.247.255', 1567880192, 1567881215, 'SE', 'Sweden'),
(65898, '93.115.248.0', '93.115.255.255', 1567881216, 1567883263, 'RO', 'Romania'),
(65899, '93.116.0.0', '93.116.255.255', 1567883264, 1567948799, 'MD', 'Moldova, Republic of'),
(65900, '93.117.0.0', '93.118.47.255', 1567948800, 1568026623, 'RO', 'Romania'),
(65901, '93.118.48.0', '93.118.63.255', 1568026624, 1568030719, 'MD', 'Moldova, Republic of'),
(65902, '93.118.64.0', '93.119.15.255', 1568030720, 1568083967, 'RO', 'Romania'),
(65903, '93.119.16.0', '93.119.23.255', 1568083968, 1568086015, 'MD', 'Moldova, Republic of'),
(65904, '93.119.24.0', '93.120.127.255', 1568086016, 1568178175, 'RO', 'Romania'),
(65905, '93.120.128.0', '93.121.127.255', 1568178176, 1568243711, 'RU', 'Russian Federation'),
(65906, '93.121.128.0', '93.121.128.255', 1568243712, 1568243967, 'GP', 'Guadeloupe'),
(65907, '93.121.129.0', '93.121.131.255', 1568243968, 1568244735, 'FR', 'France'),
(65908, '93.121.132.0', '93.121.132.255', 1568244736, 1568244991, 'GP', 'Guadeloupe'),
(65909, '93.121.133.0', '93.121.135.255', 1568244992, 1568245759, 'FR', 'France'),
(65910, '93.121.136.0', '93.121.138.255', 1568245760, 1568246527, 'GF', 'French Guiana'),
(65911, '93.121.139.0', '93.121.140.255', 1568246528, 1568247039, 'GP', 'Guadeloupe'),
(65912, '93.121.141.0', '93.121.142.255', 1568247040, 1568247551, 'GF', 'French Guiana'),
(65913, '93.121.143.0', '93.121.144.255', 1568247552, 1568248063, 'GP', 'Guadeloupe'),
(65914, '93.121.145.0', '93.121.151.255', 1568248064, 1568249855, 'MQ', 'Martinique'),
(65915, '93.121.152.0', '93.121.152.255', 1568249856, 1568250111, 'GP', 'Guadeloupe'),
(65916, '93.121.153.0', '93.121.167.255', 1568250112, 1568253951, 'MQ', 'Martinique'),
(65917, '93.121.168.0', '93.121.170.255', 1568253952, 1568254719, 'GP', 'Guadeloupe'),
(65918, '93.121.171.0', '93.121.171.255', 1568254720, 1568254975, 'GF', 'French Guiana'),
(65919, '93.121.172.0', '93.121.174.255', 1568254976, 1568255743, 'GP', 'Guadeloupe'),
(65920, '93.121.175.0', '93.121.175.255', 1568255744, 1568255999, 'GF', 'French Guiana'),
(65921, '93.121.176.0', '93.121.182.255', 1568256000, 1568257791, 'GP', 'Guadeloupe'),
(65922, '93.121.183.0', '93.121.184.255', 1568257792, 1568258303, 'MQ', 'Martinique'),
(65923, '93.121.185.0', '93.121.187.255', 1568258304, 1568259071, 'GF', 'French Guiana'),
(65924, '93.121.188.0', '93.121.192.255', 1568259072, 1568260351, 'MQ', 'Martinique'),
(65925, '93.121.193.0', '93.121.195.255', 1568260352, 1568261119, 'FR', 'France'),
(65926, '93.121.196.0', '93.121.196.255', 1568261120, 1568261375, 'MQ', 'Martinique'),
(65927, '93.121.197.0', '93.121.199.255', 1568261376, 1568262143, 'FR', 'France'),
(65928, '93.121.200.0', '93.121.200.255', 1568262144, 1568262399, 'MQ', 'Martinique'),
(65929, '93.121.201.0', '93.121.203.255', 1568262400, 1568263167, 'FR', 'France'),
(65930, '93.121.204.0', '93.121.204.255', 1568263168, 1568263423, 'MQ', 'Martinique'),
(65931, '93.121.205.0', '93.121.205.255', 1568263424, 1568263679, 'FR', 'France'),
(65932, '93.121.206.0', '93.121.206.255', 1568263680, 1568263935, 'MQ', 'Martinique'),
(65933, '93.121.207.0', '93.121.208.255', 1568263936, 1568264447, 'GP', 'Guadeloupe'),
(65934, '93.121.209.0', '93.121.211.255', 1568264448, 1568265215, 'FR', 'France'),
(65935, '93.121.212.0', '93.121.212.255', 1568265216, 1568265471, 'GP', 'Guadeloupe'),
(65936, '93.121.213.0', '93.121.215.255', 1568265472, 1568266239, 'FR', 'France'),
(65937, '93.121.216.0', '93.121.216.255', 1568266240, 1568266495, 'GP', 'Guadeloupe'),
(65938, '93.121.217.0', '93.121.219.255', 1568266496, 1568267263, 'FR', 'France'),
(65939, '93.121.220.0', '93.121.220.255', 1568267264, 1568267519, 'GP', 'Guadeloupe'),
(65940, '93.121.221.0', '93.121.221.255', 1568267520, 1568267775, 'FR', 'France'),
(65941, '93.121.222.0', '93.121.223.255', 1568267776, 1568268287, 'GP', 'Guadeloupe'),
(65942, '93.121.224.0', '93.121.224.255', 1568268288, 1568268543, 'GF', 'French Guiana'),
(65943, '93.121.225.0', '93.121.227.255', 1568268544, 1568269311, 'FR', 'France'),
(65944, '93.121.228.0', '93.121.228.255', 1568269312, 1568269567, 'MQ', 'Martinique'),
(65945, '93.121.229.0', '93.121.231.255', 1568269568, 1568270335, 'FR', 'France'),
(65946, '93.121.232.0', '93.121.232.255', 1568270336, 1568270591, 'GP', 'Guadeloupe'),
(65947, '93.121.233.0', '93.121.235.255', 1568270592, 1568271359, 'FR', 'France'),
(65948, '93.121.236.0', '93.121.236.255', 1568271360, 1568271615, 'GP', 'Guadeloupe'),
(65949, '93.121.237.0', '93.121.239.255', 1568271616, 1568272383, 'FR', 'France'),
(65950, '93.121.240.0', '93.121.240.255', 1568272384, 1568272639, 'GP', 'Guadeloupe'),
(65951, '93.121.241.0', '93.121.243.255', 1568272640, 1568273407, 'GF', 'French Guiana'),
(65952, '93.121.244.0', '93.121.248.255', 1568273408, 1568274687, 'MQ', 'Martinique'),
(65953, '93.121.249.0', '93.121.251.255', 1568274688, 1568275455, 'FR', 'France'),
(65954, '93.121.252.0', '93.121.255.255', 1568275456, 1568276479, 'MQ', 'Martinique'),
(65955, '93.122.0.0', '93.122.65.15', 1568276480, 1568293135, 'DE', 'Germany'),
(65956, '93.122.65.16', '93.122.65.31', 1568293136, 1568293151, 'SA', 'Saudi Arabia'),
(65957, '93.122.65.32', '93.122.69.79', 1568293152, 1568294223, 'DE', 'Germany'),
(65958, '93.122.69.80', '93.122.69.95', 1568294224, 1568294239, 'IT', 'Italy'),
(65959, '93.122.69.96', '93.122.72.71', 1568294240, 1568294983, 'DE', 'Germany'),
(65960, '93.122.72.72', '93.122.72.79', 1568294984, 1568294991, 'FR', 'France'),
(65961, '93.122.72.80', '93.122.75.111', 1568294992, 1568295791, 'DE', 'Germany'),
(65962, '93.122.75.112', '93.122.75.119', 1568295792, 1568295799, 'GB', 'United Kingdom'),
(65963, '93.122.75.120', '93.122.75.175', 1568295800, 1568295855, 'DE', 'Germany'),
(65964, '93.122.75.176', '93.122.75.183', 1568295856, 1568295863, 'GB', 'United Kingdom'),
(65965, '93.122.75.184', '93.122.77.47', 1568295864, 1568296239, 'DE', 'Germany'),
(65966, '93.122.77.48', '93.122.77.55', 1568296240, 1568296247, 'ZA', 'South Africa'),
(65967, '93.122.77.56', '93.122.127.255', 1568296248, 1568309247, 'DE', 'Germany'),
(65968, '93.122.128.0', '93.122.255.255', 1568309248, 1568342015, 'RO', 'Romania'),
(65969, '93.123.0.0', '93.123.127.255', 1568342016, 1568374783, 'BG', 'Bulgaria'),
(65970, '93.123.128.0', '93.124.127.255', 1568374784, 1568440319, 'RU', 'Russian Federation'),
(65971, '93.124.128.0', '93.124.255.255', 1568440320, 1568473087, 'NO', 'Norway'),
(65972, '93.125.0.0', '93.125.127.255', 1568473088, 1568505855, 'BY', 'Belarus'),
(65973, '93.125.128.0', '93.125.255.255', 1568505856, 1568538623, 'NL', 'Netherlands'),
(65974, '93.126.0.0', '93.126.63.255', 1568538624, 1568555007, 'IR', 'Iran, Islamic Republic of'),
(65975, '93.126.64.0', '93.126.127.255', 1568555008, 1568571391, 'UA', 'Ukraine'),
(65976, '93.126.128.0', '93.126.255.255', 1568571392, 1568604159, 'LB', 'Lebanon'),
(65977, '93.127.0.0', '93.127.127.255', 1568604160, 1568636927, 'UA', 'Ukraine'),
(65978, '93.127.128.0', '93.135.255.255', 1568636928, 1569193983, 'DE', 'Germany'),
(65979, '93.136.0.0', '93.143.255.255', 1569193984, 1569718271, 'HR', 'Croatia'),
(65980, '93.144.0.0', '93.151.255.255', 1569718272, 1570242559, 'IT', 'Italy'),
(65981, '93.152.0.0', '93.152.127.255', 1570242560, 1570275327, 'GB', 'United Kingdom'),
(65982, '93.152.128.0', '93.152.255.255', 1570275328, 1570308095, 'BG', 'Bulgaria'),
(65983, '93.153.0.0', '93.153.127.255', 1570308096, 1570340863, 'CZ', 'Czech Republic'),
(65984, '93.153.128.0', '93.153.255.255', 1570340864, 1570373631, 'RU', 'Russian Federation'),
(65985, '93.154.0.0', '93.154.127.255', 1570373632, 1570406399, 'NL', 'Netherlands'),
(65986, '93.154.128.0', '93.154.255.255', 1570406400, 1570439167, 'PL', 'Poland'),
(65987, '93.155.0.0', '93.155.127.255', 1570439168, 1570471935, 'TR', 'Turkey'),
(65988, '93.155.128.0', '93.155.162.255', 1570471936, 1570480895, 'BG', 'Bulgaria'),
(65989, '93.155.163.0', '93.155.163.255', 1570480896, 1570481151, 'MK', 'Macedonia'),
(65990, '93.155.164.0', '93.155.206.255', 1570481152, 1570492159, 'BG', 'Bulgaria'),
(65991, '93.155.207.0', '93.155.207.255', 1570492160, 1570492415, 'ES', 'Spain'),
(65992, '93.155.208.0', '93.155.255.255', 1570492416, 1570504703, 'BG', 'Bulgaria'),
(65993, '93.156.0.0', '93.156.255.255', 1570504704, 1570570239, 'ES', 'Spain'),
(65994, '93.157.0.0', '93.157.7.255', 1570570240, 1570572287, 'NL', 'Netherlands'),
(65995, '93.157.8.0', '93.157.15.255', 1570572288, 1570574335, 'UA', 'Ukraine'),
(65996, '93.157.16.0', '93.157.23.255', 1570574336, 1570576383, 'RU', 'Russian Federation'),
(65997, '93.157.24.0', '93.157.31.255', 1570576384, 1570578431, 'UA', 'Ukraine'),
(65998, '93.157.32.0', '93.157.39.255', 1570578432, 1570580479, 'CH', 'Switzerland'),
(65999, '93.157.40.0', '93.157.47.255', 1570580480, 1570582527, 'RU', 'Russian Federation'),
(66000, '93.157.48.0', '93.157.55.255', 1570582528, 1570584575, 'DE', 'Germany'),
(66001, '93.157.56.0', '93.157.63.255', 1570584576, 1570586623, 'RU', 'Russian Federation'),
(66002, '93.157.64.0', '93.157.79.255', 1570586624, 1570590719, 'PL', 'Poland'),
(66003, '93.157.80.0', '93.157.87.255', 1570590720, 1570592767, 'IL', 'Israel'),
(66004, '93.157.88.0', '93.157.103.255', 1570592768, 1570596863, 'PL', 'Poland'),
(66005, '93.157.104.0', '93.157.111.255', 1570596864, 1570598911, 'UA', 'Ukraine'),
(66006, '93.157.112.0', '93.157.119.255', 1570598912, 1570600959, 'PL', 'Poland'),
(66007, '93.157.120.0', '93.157.127.255', 1570600960, 1570603007, 'RU', 'Russian Federation'),
(66008, '93.157.128.0', '93.157.135.255', 1570603008, 1570605055, 'CZ', 'Czech Republic'),
(66009, '93.157.136.0', '93.157.143.255', 1570605056, 1570607103, 'NL', 'Netherlands'),
(66010, '93.157.144.0', '93.157.151.255', 1570607104, 1570609151, 'RU', 'Russian Federation'),
(66011, '93.157.152.0', '93.157.159.255', 1570609152, 1570611199, 'PL', 'Poland'),
(66012, '93.157.160.0', '93.157.191.255', 1570611200, 1570619391, 'RU', 'Russian Federation'),
(66013, '93.157.192.0', '93.157.199.255', 1570619392, 1570621439, 'BA', 'Bosnia and Herzegovina'),
(66014, '93.157.200.0', '93.157.215.255', 1570621440, 1570625535, 'RU', 'Russian Federation'),
(66015, '93.157.216.0', '93.157.223.255', 1570625536, 1570627583, 'GB', 'United Kingdom'),
(66016, '93.157.224.0', '93.157.255.255', 1570627584, 1570635775, 'RU', 'Russian Federation'),
(66017, '93.158.0.0', '93.158.35.31', 1570635776, 1570644767, 'FR', 'France'),
(66018, '93.158.35.32', '93.158.35.39', 1570644768, 1570644775, 'GB', 'United Kingdom'),
(66019, '93.158.35.40', '93.158.35.255', 1570644776, 1570644991, 'FR', 'France'),
(66020, '93.158.36.0', '93.158.36.63', 1570644992, 1570645055, 'GB', 'United Kingdom'),
(66021, '93.158.36.64', '93.158.36.239', 1570645056, 1570645231, 'FR', 'France'),
(66022, '93.158.36.240', '93.158.36.255', 1570645232, 1570645247, 'GB', 'United Kingdom'),
(66023, '93.158.37.0', '93.158.63.255', 1570645248, 1570652159, 'FR', 'France'),
(66024, '93.158.64.0', '93.158.64.127', 1570652160, 1570652287, 'SE', 'Sweden'),
(66025, '93.158.64.128', '93.158.64.131', 1570652288, 1570652291, 'MY', 'Malaysia'),
(66026, '93.158.64.132', '93.158.64.135', 1570652292, 1570652295, 'GB', 'United Kingdom'),
(66027, '93.158.64.136', '93.158.64.139', 1570652296, 1570652299, 'DE', 'Germany'),
(66028, '93.158.64.140', '93.158.65.127', 1570652300, 1570652543, 'SE', 'Sweden'),
(66029, '93.158.65.128', '93.158.65.135', 1570652544, 1570652551, 'FR', 'France'),
(66030, '93.158.65.136', '93.158.66.219', 1570652552, 1570652891, 'SE', 'Sweden'),
(66031, '93.158.66.220', '93.158.66.223', 1570652892, 1570652895, 'DE', 'Germany'),
(66032, '93.158.66.224', '93.158.77.143', 1570652896, 1570655631, 'SE', 'Sweden'),
(66033, '93.158.77.144', '93.158.77.147', 1570655632, 1570655635, 'DE', 'Germany'),
(66034, '93.158.77.148', '93.158.78.255', 1570655636, 1570655999, 'SE', 'Sweden'),
(66035, '93.158.79.0', '93.158.79.3', 1570656000, 1570656003, 'DE', 'Germany'),
(66036, '93.158.79.4', '93.158.79.119', 1570656004, 1570656119, 'SE', 'Sweden'),
(66037, '93.158.79.120', '93.158.79.127', 1570656120, 1570656127, 'GB', 'United Kingdom'),
(66038, '93.158.79.128', '93.158.95.255', 1570656128, 1570660351, 'SE', 'Sweden'),
(66039, '93.158.96.0', '93.158.96.7', 1570660352, 1570660359, 'FI', 'Finland'),
(66040, '93.158.96.8', '93.158.96.15', 1570660360, 1570660367, 'SE', 'Sweden'),
(66041, '93.158.96.16', '93.158.96.31', 1570660368, 1570660383, 'FR', 'France'),
(66042, '93.158.96.32', '93.158.96.35', 1570660384, 1570660387, 'RU', 'Russian Federation'),
(66043, '93.158.96.36', '93.158.96.55', 1570660388, 1570660407, 'SE', 'Sweden'),
(66044, '93.158.96.56', '93.158.96.59', 1570660408, 1570660411, 'DE', 'Germany'),
(66045, '93.158.96.60', '93.158.96.191', 1570660412, 1570660543, 'SE', 'Sweden'),
(66046, '93.158.96.192', '93.158.96.223', 1570660544, 1570660575, 'FI', 'Finland'),
(66047, '93.158.96.224', '93.158.96.239', 1570660576, 1570660591, 'GB', 'United Kingdom'),
(66048, '93.158.96.240', '93.158.96.243', 1570660592, 1570660595, 'RU', 'Russian Federation'),
(66049, '93.158.96.244', '93.158.96.247', 1570660596, 1570660599, 'SE', 'Sweden'),
(66050, '93.158.96.248', '93.158.96.255', 1570660600, 1570660607, 'FI', 'Finland'),
(66051, '93.158.97.0', '93.158.97.7', 1570660608, 1570660615, 'SE', 'Sweden'),
(66052, '93.158.97.8', '93.158.97.11', 1570660616, 1570660619, 'RU', 'Russian Federation'),
(66053, '93.158.97.12', '93.158.97.15', 1570660620, 1570660623, 'SE', 'Sweden'),
(66054, '93.158.97.16', '93.158.97.31', 1570660624, 1570660639, 'FR', 'France'),
(66055, '93.158.97.32', '93.158.97.67', 1570660640, 1570660675, 'DE', 'Germany'),
(66056, '93.158.97.68', '93.158.97.255', 1570660676, 1570660863, 'SE', 'Sweden'),
(66057, '93.158.98.0', '93.158.99.255', 1570660864, 1570661375, 'NO', 'Norway'),
(66058, '93.158.100.0', '93.158.100.255', 1570661376, 1570661631, 'GB', 'United Kingdom'),
(66059, '93.158.101.0', '93.158.102.255', 1570661632, 1570662143, 'SE', 'Sweden'),
(66060, '93.158.103.0', '93.158.103.255', 1570662144, 1570662399, 'DE', 'Germany'),
(66061, '93.158.104.0', '93.158.107.255', 1570662400, 1570663423, 'SE', 'Sweden'),
(66062, '93.158.108.0', '93.158.108.159', 1570663424, 1570663583, 'GB', 'United Kingdom'),
(66063, '93.158.108.160', '93.158.108.191', 1570663584, 1570663615, 'NO', 'Norway'),
(66064, '93.158.108.192', '93.158.109.159', 1570663616, 1570663839, 'GB', 'United Kingdom'),
(66065, '93.158.109.160', '93.158.109.191', 1570663840, 1570663871, 'NO', 'Norway'),
(66066, '93.158.109.192', '93.158.109.255', 1570663872, 1570663935, 'GB', 'United Kingdom'),
(66067, '93.158.110.0', '93.158.115.127', 1570663936, 1570665343, 'SE', 'Sweden'),
(66068, '93.158.115.128', '93.158.115.135', 1570665344, 1570665351, 'GB', 'United Kingdom'),
(66069, '93.158.115.136', '93.158.115.191', 1570665352, 1570665407, 'SE', 'Sweden'),
(66070, '93.158.115.192', '93.158.115.207', 1570665408, 1570665423, 'GB', 'United Kingdom'),
(66071, '93.158.115.208', '93.158.115.223', 1570665424, 1570665439, 'SE', 'Sweden'),
(66072, '93.158.115.224', '93.158.115.239', 1570665440, 1570665455, 'FR', 'France'),
(66073, '93.158.115.240', '93.158.115.247', 1570665456, 1570665463, 'DK', 'Denmark');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(66074, '93.158.115.248', '93.158.117.191', 1570665464, 1570665919, 'SE', 'Sweden'),
(66075, '93.158.117.192', '93.158.117.207', 1570665920, 1570665935, 'GB', 'United Kingdom'),
(66076, '93.158.117.208', '93.158.117.223', 1570665936, 1570665951, 'IT', 'Italy'),
(66077, '93.158.117.224', '93.158.117.239', 1570665952, 1570665967, 'FR', 'France'),
(66078, '93.158.117.240', '93.158.118.159', 1570665968, 1570666143, 'SE', 'Sweden'),
(66079, '93.158.118.160', '93.158.118.163', 1570666144, 1570666147, 'DE', 'Germany'),
(66080, '93.158.118.164', '93.158.118.191', 1570666148, 1570666175, 'SE', 'Sweden'),
(66081, '93.158.118.192', '93.158.118.207', 1570666176, 1570666191, 'GB', 'United Kingdom'),
(66082, '93.158.118.208', '93.158.118.239', 1570666192, 1570666223, 'FR', 'France'),
(66083, '93.158.118.240', '93.158.118.243', 1570666224, 1570666227, 'SE', 'Sweden'),
(66084, '93.158.118.244', '93.158.118.247', 1570666228, 1570666231, 'NO', 'Norway'),
(66085, '93.158.118.248', '93.158.119.23', 1570666232, 1570666263, 'SE', 'Sweden'),
(66086, '93.158.119.24', '93.158.119.27', 1570666264, 1570666267, 'US', 'United States'),
(66087, '93.158.119.28', '93.158.119.127', 1570666268, 1570666367, 'SE', 'Sweden'),
(66088, '93.158.119.128', '93.158.119.143', 1570666368, 1570666383, 'FR', 'France'),
(66089, '93.158.119.144', '93.158.119.147', 1570666384, 1570666387, 'SE', 'Sweden'),
(66090, '93.158.119.148', '93.158.119.151', 1570666388, 1570666391, 'NL', 'Netherlands'),
(66091, '93.158.119.152', '93.158.119.155', 1570666392, 1570666395, 'SE', 'Sweden'),
(66092, '93.158.119.156', '93.158.119.159', 1570666396, 1570666399, 'DE', 'Germany'),
(66093, '93.158.119.160', '93.158.119.191', 1570666400, 1570666431, 'SE', 'Sweden'),
(66094, '93.158.119.192', '93.158.119.207', 1570666432, 1570666447, 'GB', 'United Kingdom'),
(66095, '93.158.119.208', '93.158.119.223', 1570666448, 1570666463, 'DE', 'Germany'),
(66096, '93.158.119.224', '93.158.119.255', 1570666464, 1570666495, 'SE', 'Sweden'),
(66097, '93.158.120.0', '93.158.120.3', 1570666496, 1570666499, 'ES', 'Spain'),
(66098, '93.158.120.4', '93.158.120.15', 1570666500, 1570666511, 'SE', 'Sweden'),
(66099, '93.158.120.16', '93.158.120.23', 1570666512, 1570666519, 'NO', 'Norway'),
(66100, '93.158.120.24', '93.158.120.191', 1570666520, 1570666687, 'SE', 'Sweden'),
(66101, '93.158.120.192', '93.158.120.207', 1570666688, 1570666703, 'GB', 'United Kingdom'),
(66102, '93.158.120.208', '93.158.120.223', 1570666704, 1570666719, 'ES', 'Spain'),
(66103, '93.158.120.224', '93.158.120.239', 1570666720, 1570666735, 'FR', 'France'),
(66104, '93.158.120.240', '93.158.120.255', 1570666736, 1570666751, 'SE', 'Sweden'),
(66105, '93.158.121.0', '93.158.121.3', 1570666752, 1570666755, 'ES', 'Spain'),
(66106, '93.158.121.4', '93.158.121.7', 1570666756, 1570666759, 'SE', 'Sweden'),
(66107, '93.158.121.8', '93.158.121.15', 1570666760, 1570666767, 'GB', 'United Kingdom'),
(66108, '93.158.121.16', '93.158.121.135', 1570666768, 1570666887, 'SE', 'Sweden'),
(66109, '93.158.121.136', '93.158.121.139', 1570666888, 1570666891, 'DE', 'Germany'),
(66110, '93.158.121.140', '93.158.121.191', 1570666892, 1570666943, 'SE', 'Sweden'),
(66111, '93.158.121.192', '93.158.121.207', 1570666944, 1570666959, 'FR', 'France'),
(66112, '93.158.121.208', '93.158.121.223', 1570666960, 1570666975, 'SE', 'Sweden'),
(66113, '93.158.121.224', '93.158.121.239', 1570666976, 1570666991, 'FR', 'France'),
(66114, '93.158.121.240', '93.158.121.255', 1570666992, 1570667007, 'SE', 'Sweden'),
(66115, '93.158.122.0', '93.158.122.3', 1570667008, 1570667011, 'ES', 'Spain'),
(66116, '93.158.122.4', '93.158.122.7', 1570667012, 1570667015, 'SE', 'Sweden'),
(66117, '93.158.122.8', '93.158.122.15', 1570667016, 1570667023, 'FI', 'Finland'),
(66118, '93.158.122.16', '93.158.122.31', 1570667024, 1570667039, 'ES', 'Spain'),
(66119, '93.158.122.32', '93.158.122.159', 1570667040, 1570667167, 'SE', 'Sweden'),
(66120, '93.158.122.160', '93.158.122.163', 1570667168, 1570667171, 'DE', 'Germany'),
(66121, '93.158.122.164', '93.158.122.191', 1570667172, 1570667199, 'SE', 'Sweden'),
(66122, '93.158.122.192', '93.158.122.207', 1570667200, 1570667215, 'FR', 'France'),
(66123, '93.158.122.208', '93.158.122.223', 1570667216, 1570667231, 'SE', 'Sweden'),
(66124, '93.158.122.224', '93.158.122.239', 1570667232, 1570667247, 'FR', 'France'),
(66125, '93.158.122.240', '93.158.122.255', 1570667248, 1570667263, 'SE', 'Sweden'),
(66126, '93.158.123.0', '93.158.123.3', 1570667264, 1570667267, 'ES', 'Spain'),
(66127, '93.158.123.4', '93.158.123.19', 1570667268, 1570667283, 'SE', 'Sweden'),
(66128, '93.158.123.20', '93.158.123.23', 1570667284, 1570667287, 'MT', 'Malta'),
(66129, '93.158.123.24', '93.158.123.31', 1570667288, 1570667295, 'SE', 'Sweden'),
(66130, '93.158.123.32', '93.158.123.63', 1570667296, 1570667327, 'GB', 'United Kingdom'),
(66131, '93.158.123.64', '93.158.123.71', 1570667328, 1570667335, 'SE', 'Sweden'),
(66132, '93.158.123.72', '93.158.123.75', 1570667336, 1570667339, 'GB', 'United Kingdom'),
(66133, '93.158.123.76', '93.158.123.79', 1570667340, 1570667343, 'NL', 'Netherlands'),
(66134, '93.158.123.80', '93.158.123.83', 1570667344, 1570667347, 'DE', 'Germany'),
(66135, '93.158.123.84', '93.158.123.191', 1570667348, 1570667455, 'SE', 'Sweden'),
(66136, '93.158.123.192', '93.158.123.207', 1570667456, 1570667471, 'FR', 'France'),
(66137, '93.158.123.208', '93.158.123.223', 1570667472, 1570667487, 'SE', 'Sweden'),
(66138, '93.158.123.224', '93.158.123.239', 1570667488, 1570667503, 'FR', 'France'),
(66139, '93.158.123.240', '93.158.123.251', 1570667504, 1570667515, 'SE', 'Sweden'),
(66140, '93.158.123.252', '93.158.123.255', 1570667516, 1570667519, 'US', 'United States'),
(66141, '93.158.124.0', '93.158.124.3', 1570667520, 1570667523, 'NL', 'Netherlands'),
(66142, '93.158.124.4', '93.158.124.7', 1570667524, 1570667527, 'IT', 'Italy'),
(66143, '93.158.124.8', '93.158.124.11', 1570667528, 1570667531, 'NO', 'Norway'),
(66144, '93.158.124.12', '93.158.124.15', 1570667532, 1570667535, 'IT', 'Italy'),
(66145, '93.158.124.16', '93.158.124.67', 1570667536, 1570667587, 'SE', 'Sweden'),
(66146, '93.158.124.68', '93.158.124.71', 1570667588, 1570667591, 'US', 'United States'),
(66147, '93.158.124.72', '93.158.124.79', 1570667592, 1570667599, 'SE', 'Sweden'),
(66148, '93.158.124.80', '93.158.124.83', 1570667600, 1570667603, 'DE', 'Germany'),
(66149, '93.158.124.84', '93.158.124.127', 1570667604, 1570667647, 'SE', 'Sweden'),
(66150, '93.158.124.128', '93.158.124.131', 1570667648, 1570667651, 'US', 'United States'),
(66151, '93.158.124.132', '93.158.124.191', 1570667652, 1570667711, 'SE', 'Sweden'),
(66152, '93.158.124.192', '93.158.124.207', 1570667712, 1570667727, 'FR', 'France'),
(66153, '93.158.124.208', '93.158.124.223', 1570667728, 1570667743, 'NL', 'Netherlands'),
(66154, '93.158.124.224', '93.158.124.255', 1570667744, 1570667775, 'SE', 'Sweden'),
(66155, '93.158.125.0', '93.158.125.3', 1570667776, 1570667779, 'NL', 'Netherlands'),
(66156, '93.158.125.4', '93.158.125.15', 1570667780, 1570667791, 'SE', 'Sweden'),
(66157, '93.158.125.16', '93.158.125.31', 1570667792, 1570667807, 'ES', 'Spain'),
(66158, '93.158.125.32', '93.158.125.63', 1570667808, 1570667839, 'SE', 'Sweden'),
(66159, '93.158.125.64', '93.158.125.127', 1570667840, 1570667903, 'FR', 'France'),
(66160, '93.158.125.128', '93.158.125.131', 1570667904, 1570667907, 'SE', 'Sweden'),
(66161, '93.158.125.132', '93.158.125.135', 1570667908, 1570667911, 'RU', 'Russian Federation'),
(66162, '93.158.125.136', '93.158.125.139', 1570667912, 1570667915, 'US', 'United States'),
(66163, '93.158.125.140', '93.158.125.143', 1570667916, 1570667919, 'SE', 'Sweden'),
(66164, '93.158.125.144', '93.158.125.147', 1570667920, 1570667923, 'DE', 'Germany'),
(66165, '93.158.125.148', '93.158.125.191', 1570667924, 1570667967, 'SE', 'Sweden'),
(66166, '93.158.125.192', '93.158.125.207', 1570667968, 1570667983, 'FR', 'France'),
(66167, '93.158.125.208', '93.158.125.255', 1570667984, 1570668031, 'SE', 'Sweden'),
(66168, '93.158.126.0', '93.158.126.3', 1570668032, 1570668035, 'NL', 'Netherlands'),
(66169, '93.158.126.4', '93.158.126.15', 1570668036, 1570668047, 'SE', 'Sweden'),
(66170, '93.158.126.16', '93.158.126.23', 1570668048, 1570668055, 'ES', 'Spain'),
(66171, '93.158.126.24', '93.158.126.31', 1570668056, 1570668063, 'NL', 'Netherlands'),
(66172, '93.158.126.32', '93.158.126.255', 1570668064, 1570668287, 'SE', 'Sweden'),
(66173, '93.158.127.0', '93.158.127.3', 1570668288, 1570668291, 'NL', 'Netherlands'),
(66174, '93.158.127.4', '93.158.127.63', 1570668292, 1570668351, 'SE', 'Sweden'),
(66175, '93.158.127.64', '93.158.127.127', 1570668352, 1570668415, 'NO', 'Norway'),
(66176, '93.158.127.128', '93.158.127.255', 1570668416, 1570668543, 'SE', 'Sweden'),
(66177, '93.158.128.0', '93.158.141.111', 1570668544, 1570671983, 'RU', 'Russian Federation'),
(66178, '93.158.141.112', '93.158.141.115', 1570671984, 1570671987, 'TR', 'Turkey'),
(66179, '93.158.141.116', '93.158.255.255', 1570671988, 1570701311, 'RU', 'Russian Federation'),
(66180, '93.159.0.0', '93.159.63.255', 1570701312, 1570717695, 'PL', 'Poland'),
(66181, '93.159.64.0', '93.159.95.255', 1570717696, 1570725887, 'HR', 'Croatia'),
(66182, '93.159.96.0', '93.159.127.255', 1570725888, 1570734079, 'DE', 'Germany'),
(66183, '93.159.128.0', '93.159.191.255', 1570734080, 1570750463, 'PL', 'Poland'),
(66184, '93.159.192.0', '93.159.199.255', 1570750464, 1570752511, 'AL', 'Albania'),
(66185, '93.159.200.0', '93.159.207.255', 1570752512, 1570754559, 'GB', 'United Kingdom'),
(66186, '93.159.208.0', '93.159.215.255', 1570754560, 1570756607, 'ES', 'Spain'),
(66187, '93.159.216.0', '93.159.247.255', 1570756608, 1570764799, 'RU', 'Russian Federation'),
(66188, '93.159.248.0', '93.159.255.255', 1570764800, 1570766847, 'DE', 'Germany'),
(66189, '93.160.0.0', '93.167.255.255', 1570766848, 1571291135, 'DK', 'Denmark'),
(66190, '93.168.0.0', '93.169.255.255', 1571291136, 1571422207, 'RO', 'Romania'),
(66191, '93.170.0.0', '93.170.0.255', 1571422208, 1571422463, 'UA', 'Ukraine'),
(66192, '93.170.1.0', '93.170.13.255', 1571422464, 1571425791, 'CZ', 'Czech Republic'),
(66193, '93.170.14.0', '93.170.15.255', 1571425792, 1571426303, 'RU', 'Russian Federation'),
(66194, '93.170.16.0', '93.170.23.255', 1571426304, 1571428351, 'CZ', 'Czech Republic'),
(66195, '93.170.24.0', '93.170.25.255', 1571428352, 1571428863, 'RU', 'Russian Federation'),
(66196, '93.170.26.0', '93.170.26.255', 1571428864, 1571429119, 'CZ', 'Czech Republic'),
(66197, '93.170.27.0', '93.170.27.255', 1571429120, 1571429375, 'RU', 'Russian Federation'),
(66198, '93.170.28.0', '93.170.51.255', 1571429376, 1571435519, 'UA', 'Ukraine'),
(66199, '93.170.52.0', '93.170.53.255', 1571435520, 1571436031, 'NL', 'Netherlands'),
(66200, '93.170.54.0', '93.170.54.255', 1571436032, 1571436287, 'UA', 'Ukraine'),
(66201, '93.170.55.0', '93.170.63.255', 1571436288, 1571438591, 'RU', 'Russian Federation'),
(66202, '93.170.64.0', '93.170.75.255', 1571438592, 1571441663, 'UA', 'Ukraine'),
(66203, '93.170.76.0', '93.170.76.255', 1571441664, 1571441919, 'RU', 'Russian Federation'),
(66204, '93.170.77.0', '93.170.77.255', 1571441920, 1571442175, 'DE', 'Germany'),
(66205, '93.170.78.0', '93.170.79.255', 1571442176, 1571442687, 'NL', 'Netherlands'),
(66206, '93.170.80.0', '93.170.81.255', 1571442688, 1571443199, 'UA', 'Ukraine'),
(66207, '93.170.82.0', '93.170.82.255', 1571443200, 1571443455, 'NL', 'Netherlands'),
(66208, '93.170.83.0', '93.170.83.255', 1571443456, 1571443711, 'UA', 'Ukraine'),
(66209, '93.170.84.0', '93.170.87.255', 1571443712, 1571444735, 'CZ', 'Czech Republic'),
(66210, '93.170.88.0', '93.170.95.255', 1571444736, 1571446783, 'NL', 'Netherlands'),
(66211, '93.170.96.0', '93.170.99.255', 1571446784, 1571447807, 'KZ', 'Kazakhstan'),
(66212, '93.170.100.0', '93.170.103.255', 1571447808, 1571448831, 'RU', 'Russian Federation'),
(66213, '93.170.104.0', '93.170.111.255', 1571448832, 1571450879, 'US', 'United States'),
(66214, '93.170.112.0', '93.170.115.255', 1571450880, 1571451903, 'UA', 'Ukraine'),
(66215, '93.170.116.0', '93.170.119.255', 1571451904, 1571452927, 'RU', 'Russian Federation'),
(66216, '93.170.120.0', '93.170.123.255', 1571452928, 1571453951, 'CZ', 'Czech Republic'),
(66217, '93.170.124.0', '93.170.127.255', 1571453952, 1571454975, 'GB', 'United Kingdom'),
(66218, '93.170.128.0', '93.170.131.255', 1571454976, 1571455999, 'RU', 'Russian Federation'),
(66219, '93.170.132.0', '93.170.133.255', 1571456000, 1571456511, 'CY', 'Cyprus'),
(66220, '93.170.134.0', '93.170.135.255', 1571456512, 1571457023, 'RU', 'Russian Federation'),
(66221, '93.170.136.0', '93.170.139.255', 1571457024, 1571458047, 'UA', 'Ukraine'),
(66222, '93.170.140.0', '93.170.143.255', 1571458048, 1571459071, 'CZ', 'Czech Republic'),
(66223, '93.170.144.0', '93.170.159.255', 1571459072, 1571463167, 'UA', 'Ukraine'),
(66224, '93.170.160.0', '93.170.167.255', 1571463168, 1571465215, 'RU', 'Russian Federation'),
(66225, '93.170.168.0', '93.170.183.255', 1571465216, 1571469311, 'CZ', 'Czech Republic'),
(66226, '93.170.184.0', '93.170.187.255', 1571469312, 1571470335, 'RU', 'Russian Federation'),
(66227, '93.170.188.0', '93.170.215.255', 1571470336, 1571477503, 'CZ', 'Czech Republic'),
(66228, '93.170.216.0', '93.170.219.255', 1571477504, 1571478527, 'RU', 'Russian Federation'),
(66229, '93.170.220.0', '93.170.247.255', 1571478528, 1571485695, 'CZ', 'Czech Republic'),
(66230, '93.170.248.0', '93.170.255.255', 1571485696, 1571487743, 'RU', 'Russian Federation'),
(66231, '93.171.0.0', '93.171.31.255', 1571487744, 1571495935, 'SK', 'Slovakia'),
(66232, '93.171.32.0', '93.171.47.255', 1571495936, 1571500031, 'CZ', 'Czech Republic'),
(66233, '93.171.48.0', '93.171.55.255', 1571500032, 1571502079, 'RU', 'Russian Federation'),
(66234, '93.171.56.0', '93.171.63.255', 1571502080, 1571504127, 'CZ', 'Czech Republic'),
(66235, '93.171.64.0', '93.171.79.255', 1571504128, 1571508223, 'UA', 'Ukraine'),
(66236, '93.171.80.0', '93.171.103.255', 1571508224, 1571514367, 'CZ', 'Czech Republic'),
(66237, '93.171.104.0', '93.171.127.255', 1571514368, 1571520511, 'BY', 'Belarus'),
(66238, '93.171.128.0', '93.171.143.255', 1571520512, 1571524607, 'CZ', 'Czech Republic'),
(66239, '93.171.144.0', '93.171.151.255', 1571524608, 1571526655, 'RU', 'Russian Federation'),
(66240, '93.171.152.0', '93.171.159.255', 1571526656, 1571528703, 'CZ', 'Czech Republic'),
(66241, '93.171.160.0', '93.171.163.255', 1571528704, 1571529727, 'MD', 'Moldova, Republic of'),
(66242, '93.171.164.0', '93.171.167.255', 1571529728, 1571530751, 'CZ', 'Czech Republic'),
(66243, '93.171.168.0', '93.171.168.255', 1571530752, 1571531007, 'RU', 'Russian Federation'),
(66244, '93.171.169.0', '93.171.239.255', 1571531008, 1571549183, 'CZ', 'Czech Republic'),
(66245, '93.171.240.0', '93.171.251.255', 1571549184, 1571552255, 'UA', 'Ukraine'),
(66246, '93.171.252.0', '93.171.255.255', 1571552256, 1571553279, 'CZ', 'Czech Republic'),
(66247, '93.172.0.0', '93.173.255.255', 1571553280, 1571684351, 'IL', 'Israel'),
(66248, '93.174.0.0', '93.174.7.255', 1571684352, 1571686399, 'ES', 'Spain'),
(66249, '93.174.8.0', '93.174.15.255', 1571686400, 1571688447, 'GB', 'United Kingdom'),
(66250, '93.174.16.0', '93.174.23.255', 1571688448, 1571690495, 'CH', 'Switzerland'),
(66251, '93.174.24.0', '93.174.27.255', 1571690496, 1571691519, 'GE', 'Georgia'),
(66252, '93.174.32.0', '93.174.39.255', 1571692544, 1571694591, 'FR', 'France'),
(66253, '93.174.40.0', '93.174.47.255', 1571694592, 1571696639, 'LU', 'Luxembourg'),
(66254, '93.174.48.0', '93.174.63.255', 1571696640, 1571700735, 'RU', 'Russian Federation'),
(66255, '93.174.64.0', '93.174.71.255', 1571700736, 1571702783, 'IT', 'Italy'),
(66256, '93.174.72.0', '93.174.79.255', 1571702784, 1571704831, 'RU', 'Russian Federation'),
(66257, '93.174.80.0', '93.174.87.255', 1571704832, 1571706879, 'GB', 'United Kingdom'),
(66258, '93.174.88.0', '93.174.95.255', 1571706880, 1571708927, 'NL', 'Netherlands'),
(66259, '93.174.96.0', '93.174.97.255', 1571708928, 1571709439, 'GB', 'United Kingdom'),
(66260, '93.174.98.0', '93.174.98.127', 1571709440, 1571709567, 'DE', 'Germany'),
(66261, '93.174.98.128', '93.174.98.255', 1571709568, 1571709695, 'GB', 'United Kingdom'),
(66262, '93.174.99.0', '93.174.99.127', 1571709696, 1571709823, 'FR', 'France'),
(66263, '93.174.99.128', '93.174.99.255', 1571709824, 1571709951, 'GB', 'United Kingdom'),
(66264, '93.174.100.0', '93.174.100.127', 1571709952, 1571710079, 'NL', 'Netherlands'),
(66265, '93.174.100.128', '93.174.100.255', 1571710080, 1571710207, 'GB', 'United Kingdom'),
(66266, '93.174.101.0', '93.174.101.127', 1571710208, 1571710335, 'ES', 'Spain'),
(66267, '93.174.101.128', '93.174.101.255', 1571710336, 1571710463, 'GB', 'United Kingdom'),
(66268, '93.174.102.0', '93.174.102.127', 1571710464, 1571710591, 'IT', 'Italy'),
(66269, '93.174.102.128', '93.174.103.255', 1571710592, 1571710975, 'GB', 'United Kingdom'),
(66270, '93.174.104.0', '93.174.111.255', 1571710976, 1571713023, 'NL', 'Netherlands'),
(66271, '93.174.112.0', '93.174.119.255', 1571713024, 1571715071, 'RU', 'Russian Federation'),
(66272, '93.174.120.0', '93.174.127.255', 1571715072, 1571717119, 'GR', 'Greece'),
(66273, '93.174.128.0', '93.174.135.255', 1571717120, 1571719167, 'RU', 'Russian Federation'),
(66274, '93.174.136.0', '93.174.143.255', 1571719168, 1571721215, 'GB', 'United Kingdom'),
(66275, '93.174.144.0', '93.174.151.255', 1571721216, 1571723263, 'FR', 'France'),
(66276, '93.174.152.0', '93.174.153.255', 1571723264, 1571723775, 'GB', 'United Kingdom'),
(66277, '93.174.154.0', '93.174.154.255', 1571723776, 1571724031, 'SE', 'Sweden'),
(66278, '93.174.155.0', '93.174.159.255', 1571724032, 1571725311, 'GB', 'United Kingdom'),
(66279, '93.174.160.0', '93.174.167.255', 1571725312, 1571727359, 'RO', 'Romania'),
(66280, '93.174.168.0', '93.174.175.255', 1571727360, 1571729407, 'IE', 'Ireland'),
(66281, '93.174.176.0', '93.174.177.127', 1571729408, 1571729791, 'SK', 'Slovakia'),
(66282, '93.174.177.128', '93.174.177.135', 1571729792, 1571729799, 'CZ', 'Czech Republic'),
(66283, '93.174.177.136', '93.174.183.255', 1571729800, 1571731455, 'SK', 'Slovakia'),
(66284, '93.174.184.0', '93.174.187.255', 1571731456, 1571732479, 'CH', 'Switzerland'),
(66285, '93.174.188.0', '93.174.188.15', 1571732480, 1571732495, 'LI', 'Liechtenstein'),
(66286, '93.174.188.16', '93.174.191.255', 1571732496, 1571733503, 'CH', 'Switzerland'),
(66287, '93.174.192.0', '93.174.199.255', 1571733504, 1571735551, 'FI', 'Finland'),
(66288, '93.174.200.0', '93.174.207.255', 1571735552, 1571737599, 'NL', 'Netherlands'),
(66289, '93.174.208.0', '93.174.208.255', 1571737600, 1571737855, 'GB', 'United Kingdom'),
(66290, '93.174.209.0', '93.174.209.255', 1571737856, 1571738111, 'EU', 'Europe'),
(66291, '93.174.210.0', '93.174.210.255', 1571738112, 1571738367, 'NL', 'Netherlands'),
(66292, '93.174.211.0', '93.174.215.255', 1571738368, 1571739647, 'EU', 'Europe'),
(66293, '93.174.216.0', '93.174.223.255', 1571739648, 1571741695, 'GB', 'United Kingdom'),
(66294, '93.174.224.0', '93.174.231.255', 1571741696, 1571743743, 'RU', 'Russian Federation'),
(66295, '93.174.232.0', '93.174.239.255', 1571743744, 1571745791, 'GB', 'United Kingdom'),
(66296, '93.174.240.0', '93.174.247.255', 1571745792, 1571747839, 'RU', 'Russian Federation'),
(66297, '93.174.248.0', '93.174.255.255', 1571747840, 1571749887, 'GB', 'United Kingdom'),
(66298, '93.175.0.0', '93.175.31.255', 1571749888, 1571758079, 'RU', 'Russian Federation'),
(66299, '93.175.32.0', '93.175.63.255', 1571758080, 1571766271, 'IL', 'Israel'),
(66300, '93.175.64.0', '93.175.143.255', 1571766272, 1571786751, 'PL', 'Poland'),
(66301, '93.175.144.0', '93.175.159.255', 1571786752, 1571790847, 'EU', 'Europe'),
(66302, '93.175.160.0', '93.175.175.255', 1571790848, 1571794943, 'PL', 'Poland'),
(66303, '93.175.176.0', '93.175.191.255', 1571794944, 1571799039, 'NL', 'Netherlands'),
(66304, '93.175.192.0', '93.175.255.255', 1571799040, 1571815423, 'UA', 'Ukraine'),
(66305, '93.176.0.0', '93.176.63.255', 1571815424, 1571831807, 'FR', 'France'),
(66306, '93.176.64.0', '93.176.88.127', 1571831808, 1571838079, 'DK', 'Denmark'),
(66307, '93.176.88.128', '93.176.88.159', 1571838080, 1571838111, 'CY', 'Cyprus'),
(66308, '93.176.88.160', '93.176.127.255', 1571838112, 1571848191, 'DK', 'Denmark'),
(66309, '93.176.128.0', '93.176.191.255', 1571848192, 1571864575, 'RU', 'Russian Federation'),
(66310, '93.176.192.0', '93.176.255.255', 1571864576, 1571880959, 'PL', 'Poland'),
(66311, '93.177.0.0', '93.177.63.255', 1571880960, 1571897343, 'RU', 'Russian Federation'),
(66312, '93.177.64.0', '93.177.127.255', 1571897344, 1571913727, 'NO', 'Norway'),
(66313, '93.177.128.0', '93.177.191.255', 1571913728, 1571930111, 'GE', 'Georgia'),
(66314, '93.177.192.0', '93.177.255.255', 1571930112, 1571946495, 'LV', 'Latvia'),
(66315, '93.178.0.0', '93.178.63.255', 1571946496, 1571962879, 'SA', 'Saudi Arabia'),
(66316, '93.178.64.0', '93.178.127.255', 1571962880, 1571979263, 'RU', 'Russian Federation'),
(66317, '93.178.128.0', '93.178.191.255', 1571979264, 1571995647, 'DK', 'Denmark'),
(66318, '93.178.192.0', '93.178.255.255', 1571995648, 1572012031, 'UA', 'Ukraine'),
(66319, '93.179.0.0', '93.179.31.255', 1572012032, 1572020223, 'NO', 'Norway'),
(66320, '93.179.32.0', '93.179.63.255', 1572020224, 1572028415, 'SE', 'Sweden'),
(66321, '93.179.64.0', '93.179.127.255', 1572028416, 1572044799, 'RU', 'Russian Federation'),
(66322, '93.179.128.0', '93.179.191.255', 1572044800, 1572061183, 'IT', 'Italy'),
(66323, '93.179.192.0', '93.179.255.255', 1572061184, 1572077567, 'PL', 'Poland'),
(66324, '93.180.0.0', '93.180.63.255', 1572077568, 1572093951, 'RU', 'Russian Federation'),
(66325, '93.180.64.0', '93.180.71.255', 1572093952, 1572095999, 'NL', 'Netherlands'),
(66326, '93.180.72.0', '93.180.79.255', 1572096000, 1572098047, 'DE', 'Germany'),
(66327, '93.180.80.0', '93.180.87.255', 1572098048, 1572100095, 'DK', 'Denmark'),
(66328, '93.180.88.0', '93.180.95.255', 1572100096, 1572102143, 'CH', 'Switzerland'),
(66329, '93.180.96.0', '93.180.127.255', 1572102144, 1572110335, 'BA', 'Bosnia and Herzegovina'),
(66330, '93.180.128.0', '93.180.191.255', 1572110336, 1572126719, 'RU', 'Russian Federation'),
(66331, '93.180.192.0', '93.180.255.255', 1572126720, 1572143103, 'UA', 'Ukraine'),
(66332, '93.181.0.0', '93.181.63.255', 1572143104, 1572159487, 'DE', 'Germany'),
(66333, '93.181.64.0', '93.181.127.255', 1572159488, 1572175871, 'CZ', 'Czech Republic'),
(66334, '93.181.128.0', '93.181.191.255', 1572175872, 1572192255, 'PL', 'Poland'),
(66335, '93.181.192.0', '93.182.63.255', 1572192256, 1572225023, 'RU', 'Russian Federation'),
(66336, '93.182.64.0', '93.182.127.255', 1572225024, 1572241407, 'TR', 'Turkey'),
(66337, '93.182.128.0', '93.182.191.255', 1572241408, 1572257791, 'SE', 'Sweden'),
(66338, '93.182.192.0', '93.182.255.255', 1572257792, 1572274175, 'FR', 'France'),
(66339, '93.183.0.0', '93.183.7.255', 1572274176, 1572276223, 'FI', 'Finland'),
(66340, '93.183.8.0', '93.183.11.255', 1572276224, 1572277247, 'US', 'United States'),
(66341, '93.183.12.0', '93.183.13.255', 1572277248, 1572277759, 'DE', 'Germany'),
(66342, '93.183.14.0', '93.183.23.255', 1572277760, 1572280319, 'SG', 'Singapore'),
(66343, '93.183.24.0', '93.183.24.255', 1572280320, 1572280575, 'DE', 'Germany'),
(66344, '93.183.25.0', '93.183.30.255', 1572280576, 1572282111, 'SG', 'Singapore'),
(66345, '93.183.31.0', '93.183.31.255', 1572282112, 1572282367, 'PT', 'Portugal'),
(66346, '93.183.32.0', '93.183.63.255', 1572282368, 1572290559, 'SG', 'Singapore'),
(66347, '93.183.64.0', '93.183.127.255', 1572290560, 1572306943, 'RU', 'Russian Federation'),
(66348, '93.183.128.0', '93.183.191.255', 1572306944, 1572323327, 'BG', 'Bulgaria'),
(66349, '93.183.192.0', '93.183.255.255', 1572323328, 1572339711, 'UA', 'Ukraine'),
(66350, '93.184.0.0', '93.184.15.255', 1572339712, 1572343807, 'PS', 'Palestinian Territory, Occupied'),
(66351, '93.184.16.0', '93.184.31.255', 1572343808, 1572347903, 'CH', 'Switzerland'),
(66352, '93.184.32.0', '93.184.47.255', 1572347904, 1572351999, 'FR', 'France'),
(66353, '93.184.48.0', '93.184.63.255', 1572352000, 1572356095, 'DE', 'Germany'),
(66354, '93.184.64.0', '93.184.79.255', 1572356096, 1572360191, 'SK', 'Slovakia'),
(66355, '93.184.80.0', '93.184.95.255', 1572360192, 1572364287, 'RS', 'Serbia'),
(66356, '93.184.96.0', '93.184.111.255', 1572364288, 1572368383, 'NL', 'Netherlands'),
(66357, '93.184.112.0', '93.184.127.255', 1572368384, 1572372479, 'NO', 'Norway'),
(66358, '93.184.128.0', '93.184.143.255', 1572372480, 1572376575, 'DE', 'Germany'),
(66359, '93.184.144.0', '93.184.159.255', 1572376576, 1572380671, 'TR', 'Turkey'),
(66360, '93.184.160.0', '93.184.175.255', 1572380672, 1572384767, 'RU', 'Russian Federation'),
(66361, '93.184.176.0', '93.184.191.255', 1572384768, 1572388863, 'DE', 'Germany'),
(66362, '93.184.192.0', '93.184.207.255', 1572388864, 1572392959, 'DK', 'Denmark'),
(66363, '93.184.208.0', '93.184.209.255', 1572392960, 1572393471, 'NL', 'Netherlands'),
(66364, '93.184.210.0', '93.184.211.255', 1572393472, 1572393983, 'GB', 'United Kingdom'),
(66365, '93.184.212.0', '93.184.213.255', 1572393984, 1572394495, 'DE', 'Germany'),
(66366, '93.184.214.0', '93.184.223.255', 1572394496, 1572397055, 'US', 'United States'),
(66367, '93.184.224.0', '93.184.239.255', 1572397056, 1572401151, 'AZ', 'Azerbaijan'),
(66368, '93.184.240.0', '93.184.255.255', 1572401152, 1572405247, 'GB', 'United Kingdom'),
(66369, '93.185.0.0', '93.185.15.255', 1572405248, 1572409343, 'CZ', 'Czech Republic'),
(66370, '93.185.16.0', '93.185.31.255', 1572409344, 1572413439, 'RU', 'Russian Federation'),
(66371, '93.185.32.0', '93.185.47.255', 1572413440, 1572417535, 'AM', 'Armenia'),
(66372, '93.185.48.0', '93.185.63.255', 1572417536, 1572421631, 'CZ', 'Czech Republic'),
(66373, '93.185.64.0', '93.185.79.255', 1572421632, 1572425727, 'KZ', 'Kazakhstan'),
(66374, '93.185.80.0', '93.185.95.255', 1572425728, 1572429823, 'LB', 'Lebanon'),
(66375, '93.185.96.0', '93.185.111.255', 1572429824, 1572433919, 'CZ', 'Czech Republic'),
(66376, '93.185.112.0', '93.185.127.255', 1572433920, 1572438015, 'IT', 'Italy'),
(66377, '93.185.128.0', '93.185.143.255', 1572438016, 1572442111, 'AT', 'Austria'),
(66378, '93.185.144.0', '93.185.159.255', 1572442112, 1572446207, 'RU', 'Russian Federation'),
(66379, '93.185.160.0', '93.185.175.255', 1572446208, 1572450303, 'NO', 'Norway'),
(66380, '93.185.176.0', '93.185.207.255', 1572450304, 1572458495, 'RU', 'Russian Federation'),
(66381, '93.185.208.0', '93.185.223.255', 1572458496, 1572462591, 'UA', 'Ukraine'),
(66382, '93.185.224.0', '93.185.239.255', 1572462592, 1572466687, 'LB', 'Lebanon'),
(66383, '93.185.240.0', '93.185.255.255', 1572466688, 1572470783, 'EE', 'Estonia'),
(66384, '93.186.0.0', '93.186.15.255', 1572470784, 1572474879, 'DE', 'Germany'),
(66385, '93.186.16.0', '93.186.47.255', 1572474880, 1572483071, 'GB', 'United Kingdom'),
(66386, '93.186.48.0', '93.186.63.255', 1572483072, 1572487167, 'RU', 'Russian Federation'),
(66387, '93.186.64.0', '93.186.77.255', 1572487168, 1572490751, 'RS', 'Serbia'),
(66388, '93.186.78.0', '93.186.78.255', 1572490752, 1572491007, 'HR', 'Croatia'),
(66389, '93.186.79.0', '93.186.79.255', 1572491008, 1572491263, 'LU', 'Luxembourg'),
(66390, '93.186.80.0', '93.186.95.255', 1572491264, 1572495359, 'IT', 'Italy'),
(66391, '93.186.96.0', '93.186.111.255', 1572495360, 1572499455, 'RU', 'Russian Federation'),
(66392, '93.186.112.0', '93.186.127.255', 1572499456, 1572503551, 'TR', 'Turkey'),
(66393, '93.186.128.0', '93.186.129.255', 1572503552, 1572504063, 'IT', 'Italy'),
(66394, '93.186.130.0', '93.186.130.255', 1572504064, 1572504319, 'US', 'United States'),
(66395, '93.186.131.0', '93.186.131.255', 1572504320, 1572504575, 'DE', 'Germany'),
(66396, '93.186.132.0', '93.186.132.127', 1572504576, 1572504703, 'RO', 'Romania'),
(66397, '93.186.132.128', '93.186.132.255', 1572504704, 1572504831, 'TR', 'Turkey'),
(66398, '93.186.133.0', '93.186.133.255', 1572504832, 1572505087, 'SG', 'Singapore'),
(66399, '93.186.134.0', '93.186.137.15', 1572505088, 1572505871, 'IT', 'Italy'),
(66400, '93.186.137.16', '93.186.137.31', 1572505872, 1572505887, 'GR', 'Greece'),
(66401, '93.186.137.32', '93.186.137.127', 1572505888, 1572505983, 'IT', 'Italy'),
(66402, '93.186.137.128', '93.186.139.255', 1572505984, 1572506623, 'GR', 'Greece'),
(66403, '93.186.140.0', '93.186.142.63', 1572506624, 1572507199, 'IT', 'Italy'),
(66404, '93.186.142.64', '93.186.142.71', 1572507200, 1572507207, 'GB', 'United Kingdom'),
(66405, '93.186.142.72', '93.186.143.255', 1572507208, 1572507647, 'IT', 'Italy'),
(66406, '93.186.144.0', '93.186.159.255', 1572507648, 1572511743, 'GB', 'United Kingdom'),
(66407, '93.186.160.0', '93.186.175.255', 1572511744, 1572515839, 'DE', 'Germany'),
(66408, '93.186.176.0', '93.186.183.127', 1572515840, 1572517759, 'NL', 'Netherlands'),
(66409, '93.186.183.128', '93.186.183.143', 1572517760, 1572517775, 'CA', 'Canada'),
(66410, '93.186.183.144', '93.186.191.255', 1572517776, 1572519935, 'NL', 'Netherlands'),
(66411, '93.186.192.0', '93.186.207.255', 1572519936, 1572524031, 'DE', 'Germany'),
(66412, '93.186.208.0', '93.186.223.255', 1572524032, 1572528127, 'GE', 'Georgia'),
(66413, '93.186.224.0', '93.186.239.255', 1572528128, 1572532223, 'RU', 'Russian Federation'),
(66414, '93.186.240.0', '93.186.255.255', 1572532224, 1572536319, 'IT', 'Italy'),
(66415, '93.187.0.0', '93.187.1.255', 1572536320, 1572536831, 'JE', 'Jersey'),
(66416, '93.187.2.0', '93.187.2.255', 1572536832, 1572537087, 'GB', 'United Kingdom'),
(66417, '93.187.3.0', '93.187.6.255', 1572537088, 1572538111, 'JE', 'Jersey'),
(66418, '93.187.7.0', '93.187.7.63', 1572538112, 1572538175, 'GB', 'United Kingdom'),
(66419, '93.187.7.64', '93.187.7.255', 1572538176, 1572538367, 'JE', 'Jersey'),
(66420, '93.187.8.0', '93.187.15.255', 1572538368, 1572540415, 'NL', 'Netherlands'),
(66421, '93.187.16.0', '93.187.16.95', 1572540416, 1572540511, 'GB', 'United Kingdom'),
(66422, '93.187.16.96', '93.187.16.103', 1572540512, 1572540519, 'DE', 'Germany'),
(66423, '93.187.16.104', '93.187.19.255', 1572540520, 1572541439, 'GB', 'United Kingdom'),
(66424, '93.187.20.0', '93.187.20.7', 1572541440, 1572541447, 'FR', 'France'),
(66425, '93.187.20.8', '93.187.20.15', 1572541448, 1572541455, 'GB', 'United Kingdom'),
(66426, '93.187.20.16', '93.187.20.23', 1572541456, 1572541463, 'FR', 'France'),
(66427, '93.187.20.24', '93.187.20.31', 1572541464, 1572541471, 'GB', 'United Kingdom'),
(66428, '93.187.20.32', '93.187.20.95', 1572541472, 1572541535, 'FR', 'France'),
(66429, '93.187.20.96', '93.187.20.103', 1572541536, 1572541543, 'GB', 'United Kingdom'),
(66430, '93.187.20.104', '93.187.20.111', 1572541544, 1572541551, 'CH', 'Switzerland'),
(66431, '93.187.20.112', '93.187.21.207', 1572541552, 1572541903, 'GB', 'United Kingdom'),
(66432, '93.187.21.208', '93.187.21.223', 1572541904, 1572541919, 'DE', 'Germany'),
(66433, '93.187.21.224', '93.187.21.255', 1572541920, 1572541951, 'GB', 'United Kingdom'),
(66434, '93.187.22.0', '93.187.22.31', 1572541952, 1572541983, 'DE', 'Germany'),
(66435, '93.187.22.32', '93.187.22.47', 1572541984, 1572541999, 'ES', 'Spain'),
(66436, '93.187.22.48', '93.187.22.63', 1572542000, 1572542015, 'GB', 'United Kingdom'),
(66437, '93.187.22.64', '93.187.22.79', 1572542016, 1572542031, 'HU', 'Hungary'),
(66438, '93.187.22.80', '93.187.22.119', 1572542032, 1572542071, 'GB', 'United Kingdom'),
(66439, '93.187.22.120', '93.187.22.127', 1572542072, 1572542079, 'DE', 'Germany'),
(66440, '93.187.22.128', '93.187.22.135', 1572542080, 1572542087, 'ES', 'Spain'),
(66441, '93.187.22.136', '93.187.22.159', 1572542088, 1572542111, 'GB', 'United Kingdom'),
(66442, '93.187.22.160', '93.187.22.167', 1572542112, 1572542119, 'PL', 'Poland'),
(66443, '93.187.22.168', '93.187.22.175', 1572542120, 1572542127, 'ES', 'Spain'),
(66444, '93.187.22.176', '93.187.22.199', 1572542128, 1572542151, 'GB', 'United Kingdom'),
(66445, '93.187.22.200', '93.187.22.207', 1572542152, 1572542159, 'DE', 'Germany'),
(66446, '93.187.22.208', '93.187.22.255', 1572542160, 1572542207, 'GB', 'United Kingdom'),
(66447, '93.187.23.0', '93.187.23.255', 1572542208, 1572542463, 'FR', 'France'),
(66448, '93.187.24.0', '93.187.31.255', 1572542464, 1572544511, 'IT', 'Italy'),
(66449, '93.187.32.0', '93.187.39.255', 1572544512, 1572546559, 'IQ', 'Iraq'),
(66450, '93.187.40.0', '93.187.47.255', 1572546560, 1572548607, 'FR', 'France'),
(66451, '93.187.48.0', '93.187.55.255', 1572548608, 1572550655, 'NL', 'Netherlands'),
(66452, '93.187.56.0', '93.187.63.255', 1572550656, 1572552703, 'DE', 'Germany'),
(66453, '93.187.64.0', '93.187.71.255', 1572552704, 1572554751, 'TR', 'Turkey'),
(66454, '93.187.72.0', '93.187.79.255', 1572554752, 1572556799, 'RU', 'Russian Federation'),
(66455, '93.187.80.0', '93.187.87.255', 1572556800, 1572558847, 'NO', 'Norway'),
(66456, '93.187.88.0', '93.187.95.255', 1572558848, 1572560895, 'IT', 'Italy'),
(66457, '93.187.96.0', '93.187.103.255', 1572560896, 1572562943, 'RU', 'Russian Federation'),
(66458, '93.187.104.0', '93.187.111.255', 1572562944, 1572564991, 'CZ', 'Czech Republic'),
(66459, '93.187.112.0', '93.187.119.255', 1572564992, 1572567039, 'DE', 'Germany'),
(66460, '93.187.120.0', '93.187.127.255', 1572567040, 1572569087, 'RU', 'Russian Federation'),
(66461, '93.187.128.0', '93.187.128.255', 1572569088, 1572569343, 'NL', 'Netherlands'),
(66462, '93.187.129.0', '93.187.129.255', 1572569344, 1572569599, 'GB', 'United Kingdom'),
(66463, '93.187.130.0', '93.187.135.255', 1572569600, 1572571135, 'NL', 'Netherlands'),
(66464, '93.187.136.0', '93.187.143.255', 1572571136, 1572573183, 'RO', 'Romania'),
(66465, '93.187.144.0', '93.187.150.255', 1572573184, 1572574975, 'GG', 'Guernsey'),
(66466, '93.187.151.0', '93.187.151.191', 1572574976, 1572575167, 'GB', 'United Kingdom'),
(66467, '93.187.151.192', '93.187.151.255', 1572575168, 1572575231, 'GG', 'Guernsey'),
(66468, '93.187.152.0', '93.187.159.255', 1572575232, 1572577279, 'RU', 'Russian Federation'),
(66469, '93.187.160.0', '93.187.167.255', 1572577280, 1572579327, 'AM', 'Armenia'),
(66470, '93.187.168.0', '93.187.175.255', 1572579328, 1572581375, 'GB', 'United Kingdom'),
(66471, '93.187.176.0', '93.187.191.255', 1572581376, 1572585471, 'RU', 'Russian Federation'),
(66472, '93.187.192.0', '93.187.199.255', 1572585472, 1572587519, 'CH', 'Switzerland'),
(66473, '93.187.200.0', '93.187.207.255', 1572587520, 1572589567, 'TR', 'Turkey'),
(66474, '93.187.208.0', '93.187.215.255', 1572589568, 1572591615, 'CH', 'Switzerland'),
(66475, '93.187.216.0', '93.187.223.255', 1572591616, 1572593663, 'NL', 'Netherlands'),
(66476, '93.187.224.0', '93.187.227.255', 1572593664, 1572594687, 'GB', 'United Kingdom'),
(66477, '93.187.228.0', '93.187.228.255', 1572594688, 1572594943, 'FR', 'France'),
(66478, '93.187.229.0', '93.187.231.255', 1572594944, 1572595711, 'GB', 'United Kingdom'),
(66479, '93.187.232.0', '93.187.239.255', 1572595712, 1572597759, 'DE', 'Germany'),
(66480, '93.187.240.0', '93.187.247.255', 1572597760, 1572599807, 'RS', 'Serbia'),
(66481, '93.187.248.0', '93.187.255.255', 1572599808, 1572601855, 'DE', 'Germany'),
(66482, '93.188.0.0', '93.188.7.255', 1572601856, 1572603903, 'SE', 'Sweden'),
(66483, '93.188.8.0', '93.188.15.255', 1572603904, 1572605951, 'GE', 'Georgia'),
(66484, '93.188.16.0', '93.188.23.255', 1572605952, 1572607999, 'RU', 'Russian Federation'),
(66485, '93.188.24.0', '93.188.31.255', 1572608000, 1572610047, 'DE', 'Germany'),
(66486, '93.188.32.0', '93.188.39.255', 1572610048, 1572612095, 'UA', 'Ukraine'),
(66487, '93.188.40.0', '93.188.47.255', 1572612096, 1572614143, 'RU', 'Russian Federation'),
(66488, '93.188.48.0', '93.188.55.255', 1572614144, 1572616191, 'ES', 'Spain'),
(66489, '93.188.56.0', '93.188.63.255', 1572616192, 1572618239, 'CH', 'Switzerland'),
(66490, '93.188.64.0', '93.188.71.255', 1572618240, 1572620287, 'NL', 'Netherlands'),
(66491, '93.188.72.0', '93.188.72.127', 1572620288, 1572620415, 'CH', 'Switzerland'),
(66492, '93.188.72.128', '93.188.72.143', 1572620416, 1572620431, 'CZ', 'Czech Republic'),
(66493, '93.188.72.144', '93.188.73.15', 1572620432, 1572620559, 'CH', 'Switzerland'),
(66494, '93.188.73.16', '93.188.73.23', 1572620560, 1572620567, 'NL', 'Netherlands'),
(66495, '93.188.73.24', '93.188.79.255', 1572620568, 1572622335, 'CH', 'Switzerland'),
(66496, '93.188.80.0', '93.188.87.255', 1572622336, 1572624383, 'RU', 'Russian Federation'),
(66497, '93.188.88.0', '93.188.95.255', 1572624384, 1572626431, 'NO', 'Norway'),
(66498, '93.188.96.0', '93.188.103.255', 1572626432, 1572628479, 'IT', 'Italy'),
(66499, '93.188.104.0', '93.188.111.255', 1572628480, 1572630527, 'DE', 'Germany'),
(66500, '93.188.112.0', '93.188.119.255', 1572630528, 1572632575, 'IT', 'Italy'),
(66501, '93.188.120.0', '93.188.127.255', 1572632576, 1572634623, 'RU', 'Russian Federation'),
(66502, '93.188.128.0', '93.188.135.255', 1572634624, 1572636671, 'US', 'United States'),
(66503, '93.188.136.0', '93.188.143.255', 1572636672, 1572638719, 'ES', 'Spain'),
(66504, '93.188.144.0', '93.188.151.255', 1572638720, 1572640767, 'FR', 'France'),
(66505, '93.188.152.0', '93.188.159.255', 1572640768, 1572642815, 'RU', 'Russian Federation'),
(66506, '93.188.160.0', '93.188.167.255', 1572642816, 1572644863, 'UA', 'Ukraine'),
(66507, '93.188.168.0', '93.188.175.255', 1572644864, 1572646911, 'FR', 'France'),
(66508, '93.188.176.0', '93.188.183.255', 1572646912, 1572648959, 'GB', 'United Kingdom'),
(66509, '93.188.184.0', '93.188.191.255', 1572648960, 1572651007, 'RU', 'Russian Federation'),
(66510, '93.188.192.0', '93.188.199.255', 1572651008, 1572653055, 'BH', 'Bahrain'),
(66511, '93.188.200.0', '93.188.215.255', 1572653056, 1572657151, 'RU', 'Russian Federation'),
(66512, '93.188.216.0', '93.188.223.255', 1572657152, 1572659199, 'DE', 'Germany'),
(66513, '93.188.224.0', '93.188.231.255', 1572659200, 1572661247, 'IT', 'Italy'),
(66514, '93.188.232.0', '93.188.239.255', 1572661248, 1572663295, 'NO', 'Norway'),
(66515, '93.188.240.0', '93.188.247.255', 1572663296, 1572665343, 'DE', 'Germany'),
(66516, '93.188.248.0', '93.188.255.255', 1572665344, 1572667391, 'NL', 'Netherlands'),
(66517, '93.189.0.0', '93.189.4.239', 1572667392, 1572668655, 'GB', 'United Kingdom'),
(66518, '93.189.4.240', '93.189.4.255', 1572668656, 1572668671, 'CY', 'Cyprus'),
(66519, '93.189.5.0', '93.189.5.31', 1572668672, 1572668703, 'GB', 'United Kingdom'),
(66520, '93.189.5.32', '93.189.5.39', 1572668704, 1572668711, 'CY', 'Cyprus'),
(66521, '93.189.5.40', '93.189.5.47', 1572668712, 1572668719, 'GB', 'United Kingdom'),
(66522, '93.189.5.48', '93.189.5.55', 1572668720, 1572668727, 'CY', 'Cyprus'),
(66523, '93.189.5.56', '93.189.7.255', 1572668728, 1572669439, 'GB', 'United Kingdom'),
(66524, '93.189.8.0', '93.189.23.255', 1572669440, 1572673535, 'RU', 'Russian Federation'),
(66525, '93.189.24.0', '93.189.31.255', 1572673536, 1572675583, 'AT', 'Austria'),
(66526, '93.189.32.0', '93.189.39.255', 1572675584, 1572677631, 'ES', 'Spain'),
(66527, '93.189.40.0', '93.189.55.255', 1572677632, 1572681727, 'RU', 'Russian Federation'),
(66528, '93.189.56.0', '93.189.56.255', 1572681728, 1572681983, 'DE', 'Germany'),
(66529, '93.189.57.0', '93.189.57.255', 1572681984, 1572682239, 'RU', 'Russian Federation'),
(66530, '93.189.58.0', '93.189.59.255', 1572682240, 1572682751, 'DE', 'Germany'),
(66531, '93.189.60.0', '93.189.63.255', 1572682752, 1572683775, 'RU', 'Russian Federation'),
(66532, '93.189.64.0', '93.189.71.255', 1572683776, 1572685823, 'CH', 'Switzerland'),
(66533, '93.189.72.0', '93.189.87.255', 1572685824, 1572689919, 'RU', 'Russian Federation'),
(66534, '93.189.88.0', '93.189.95.255', 1572689920, 1572691967, 'ES', 'Spain'),
(66535, '93.189.96.0', '93.189.103.255', 1572691968, 1572694015, 'SA', 'Saudi Arabia'),
(66536, '93.189.104.0', '93.189.104.198', 1572694016, 1572694214, 'GB', 'United Kingdom'),
(66537, '93.189.104.199', '93.189.104.201', 1572694215, 1572694217, 'US', 'United States'),
(66538, '93.189.104.202', '93.189.106.127', 1572694218, 1572694655, 'GB', 'United Kingdom'),
(66539, '93.189.106.128', '93.189.106.255', 1572694656, 1572694783, 'SG', 'Singapore'),
(66540, '93.189.107.0', '93.189.111.255', 1572694784, 1572696063, 'GB', 'United Kingdom'),
(66541, '93.189.112.0', '93.189.119.255', 1572696064, 1572698111, 'HU', 'Hungary'),
(66542, '93.189.120.0', '93.189.127.255', 1572698112, 1572700159, 'RU', 'Russian Federation'),
(66543, '93.189.128.0', '93.189.135.255', 1572700160, 1572702207, 'NL', 'Netherlands'),
(66544, '93.189.136.0', '93.189.143.255', 1572702208, 1572704255, 'IT', 'Italy'),
(66545, '93.189.144.0', '93.189.151.255', 1572704256, 1572706303, 'RU', 'Russian Federation'),
(66546, '93.189.152.0', '93.189.159.255', 1572706304, 1572708351, 'DE', 'Germany'),
(66547, '93.189.160.0', '93.189.167.255', 1572708352, 1572710399, 'GB', 'United Kingdom'),
(66548, '93.189.168.0', '93.189.175.255', 1572710400, 1572712447, 'DE', 'Germany'),
(66549, '93.189.176.0', '93.189.183.255', 1572712448, 1572714495, 'ES', 'Spain'),
(66550, '93.189.184.0', '93.189.191.255', 1572714496, 1572716543, 'IT', 'Italy'),
(66551, '93.189.192.0', '93.189.199.255', 1572716544, 1572718591, 'SA', 'Saudi Arabia'),
(66552, '93.189.200.0', '93.189.207.255', 1572718592, 1572720639, 'RU', 'Russian Federation'),
(66553, '93.189.208.0', '93.189.215.255', 1572720640, 1572722687, 'IT', 'Italy'),
(66554, '93.189.216.0', '93.189.231.255', 1572722688, 1572726783, 'RU', 'Russian Federation'),
(66555, '93.189.232.0', '93.189.239.255', 1572726784, 1572728831, 'CH', 'Switzerland'),
(66556, '93.189.240.0', '93.189.245.127', 1572728832, 1572730239, 'SE', 'Sweden'),
(66557, '93.189.245.128', '93.189.245.191', 1572730240, 1572730303, 'MY', 'Malaysia'),
(66558, '93.189.245.192', '93.189.247.255', 1572730304, 1572730879, 'SE', 'Sweden'),
(66559, '93.189.248.0', '93.189.255.255', 1572730880, 1572732927, 'RU', 'Russian Federation'),
(66560, '93.190.0.0', '93.190.7.255', 1572732928, 1572734975, 'HU', 'Hungary'),
(66561, '93.190.8.0', '93.190.15.255', 1572734976, 1572737023, 'KZ', 'Kazakhstan'),
(66562, '93.190.16.0', '93.190.23.255', 1572737024, 1572739071, 'RU', 'Russian Federation'),
(66563, '93.190.24.0', '93.190.31.255', 1572739072, 1572741119, 'IR', 'Iran, Islamic Republic of'),
(66564, '93.190.32.0', '93.190.39.255', 1572741120, 1572743167, 'FI', 'Finland'),
(66565, '93.190.40.0', '93.190.47.255', 1572743168, 1572745215, 'UA', 'Ukraine'),
(66566, '93.190.48.0', '93.190.63.255', 1572745216, 1572749311, 'CZ', 'Czech Republic'),
(66567, '93.190.64.0', '93.190.71.7', 1572749312, 1572751111, 'DE', 'Germany'),
(66568, '93.190.71.8', '93.190.71.15', 1572751112, 1572751119, 'GB', 'United Kingdom'),
(66569, '93.190.71.16', '93.190.71.255', 1572751120, 1572751359, 'DE', 'Germany'),
(66570, '93.190.72.0', '93.190.79.255', 1572751360, 1572753407, 'CH', 'Switzerland'),
(66571, '93.190.80.0', '93.190.87.255', 1572753408, 1572755455, 'NO', 'Norway'),
(66572, '93.190.88.0', '93.190.95.255', 1572755456, 1572757503, 'DE', 'Germany'),
(66573, '93.190.96.0', '93.190.103.255', 1572757504, 1572759551, 'FI', 'Finland'),
(66574, '93.190.104.0', '93.190.111.255', 1572759552, 1572761599, 'RU', 'Russian Federation'),
(66575, '93.190.112.0', '93.190.119.255', 1572761600, 1572763647, 'GB', 'United Kingdom'),
(66576, '93.190.120.0', '93.190.127.255', 1572763648, 1572765695, 'TR', 'Turkey'),
(66577, '93.190.128.0', '93.190.135.255', 1572765696, 1572767743, 'CZ', 'Czech Republic'),
(66578, '93.190.136.0', '93.190.143.204', 1572767744, 1572769740, 'NL', 'Netherlands'),
(66579, '93.190.143.205', '93.190.143.254', 1572769741, 1572769790, 'KY', 'Cayman Islands'),
(66580, '93.190.143.255', '93.190.143.255', 1572769791, 1572769791, 'NL', 'Netherlands'),
(66581, '93.190.144.0', '93.190.144.255', 1572769792, 1572770047, 'RO', 'Romania'),
(66582, '93.190.145.0', '93.190.145.63', 1572770048, 1572770111, 'RS', 'Serbia'),
(66583, '93.190.145.64', '93.190.151.255', 1572770112, 1572771839, 'RO', 'Romania'),
(66584, '93.190.152.0', '93.190.152.255', 1572771840, 1572772095, 'EU', 'Europe'),
(66585, '93.190.153.0', '93.190.159.255', 1572772096, 1572773887, 'ES', 'Spain'),
(66586, '93.190.160.0', '93.190.167.255', 1572773888, 1572775935, 'RS', 'Serbia'),
(66587, '93.190.168.0', '93.190.175.255', 1572775936, 1572777983, 'GB', 'United Kingdom'),
(66588, '93.190.176.0', '93.190.183.255', 1572777984, 1572780031, 'UA', 'Ukraine'),
(66589, '93.190.184.0', '93.190.191.255', 1572780032, 1572782079, 'NL', 'Netherlands'),
(66590, '93.190.192.0', '93.190.199.255', 1572782080, 1572784127, 'SE', 'Sweden'),
(66591, '93.190.200.0', '93.190.207.255', 1572784128, 1572786175, 'RU', 'Russian Federation'),
(66592, '93.190.208.0', '93.190.215.255', 1572786176, 1572788223, 'FR', 'France'),
(66593, '93.190.216.0', '93.190.223.255', 1572788224, 1572790271, 'TR', 'Turkey'),
(66594, '93.190.224.0', '93.190.231.255', 1572790272, 1572792319, 'RU', 'Russian Federation'),
(66595, '93.190.232.0', '93.190.239.255', 1572792320, 1572794367, 'DE', 'Germany'),
(66596, '93.190.240.0', '93.190.247.255', 1572794368, 1572796415, 'RU', 'Russian Federation'),
(66597, '93.190.248.0', '93.190.255.255', 1572796416, 1572798463, 'DE', 'Germany'),
(66598, '93.191.0.0', '93.191.7.255', 1572798464, 1572800511, 'NL', 'Netherlands'),
(66599, '93.191.8.0', '93.191.23.255', 1572800512, 1572804607, 'RU', 'Russian Federation'),
(66600, '93.191.24.0', '93.191.39.255', 1572804608, 1572808703, 'GB', 'United Kingdom'),
(66601, '93.191.40.0', '93.191.47.255', 1572808704, 1572810751, 'FR', 'France'),
(66602, '93.191.48.0', '93.191.52.255', 1572810752, 1572812031, 'DE', 'Germany'),
(66603, '93.191.53.0', '93.191.54.255', 1572812032, 1572812543, 'RO', 'Romania'),
(66604, '93.191.55.0', '93.191.55.255', 1572812544, 1572812799, 'DE', 'Germany'),
(66605, '93.191.56.0', '93.191.63.255', 1572812800, 1572814847, 'RU', 'Russian Federation'),
(66606, '93.191.64.0', '93.191.71.255', 1572814848, 1572816895, 'KW', 'Kuwait'),
(66607, '93.191.72.0', '93.191.79.255', 1572816896, 1572818943, 'RU', 'Russian Federation'),
(66608, '93.191.80.0', '93.191.87.255', 1572818944, 1572820991, 'FR', 'France'),
(66609, '93.191.88.0', '93.191.95.255', 1572820992, 1572823039, 'CH', 'Switzerland'),
(66610, '93.191.96.0', '93.191.103.255', 1572823040, 1572825087, 'BY', 'Belarus'),
(66611, '93.191.104.0', '93.191.111.255', 1572825088, 1572827135, 'RU', 'Russian Federation'),
(66612, '93.191.112.0', '93.191.119.255', 1572827136, 1572829183, 'NO', 'Norway'),
(66613, '93.191.120.0', '93.191.127.255', 1572829184, 1572831231, 'FI', 'Finland'),
(66614, '93.191.128.0', '93.191.128.255', 1572831232, 1572831487, 'BH', 'Bahrain'),
(66615, '93.191.136.0', '93.191.143.255', 1572833280, 1572835327, 'ES', 'Spain'),
(66616, '93.191.144.0', '93.191.151.255', 1572835328, 1572837375, 'IE', 'Ireland'),
(66617, '93.191.152.0', '93.191.159.255', 1572837376, 1572839423, 'DK', 'Denmark'),
(66618, '93.191.160.0', '93.191.167.255', 1572839424, 1572841471, 'DE', 'Germany'),
(66619, '93.191.168.0', '93.191.170.255', 1572841472, 1572842239, 'EU', 'Europe'),
(66620, '93.191.171.0', '93.191.171.255', 1572842240, 1572842495, 'LV', 'Latvia'),
(66621, '93.191.172.0', '93.191.172.255', 1572842496, 1572842751, 'EU', 'Europe'),
(66622, '93.191.173.0', '93.191.173.255', 1572842752, 1572843007, 'NL', 'Netherlands'),
(66623, '93.191.174.0', '93.191.175.255', 1572843008, 1572843519, 'EU', 'Europe'),
(66624, '93.191.176.0', '93.191.183.255', 1572843520, 1572845567, 'JO', 'Jordan'),
(66625, '93.191.184.0', '93.191.191.255', 1572845568, 1572847615, 'FR', 'France'),
(66626, '93.191.192.0', '93.191.199.255', 1572847616, 1572849663, 'GI', 'Gibraltar'),
(66627, '93.191.200.0', '93.191.207.255', 1572849664, 1572851711, 'GB', 'United Kingdom'),
(66628, '93.191.208.0', '93.191.215.255', 1572851712, 1572853759, 'DE', 'Germany'),
(66629, '93.191.216.0', '93.191.216.0', 1572853760, 1572853760, 'EU', 'Europe'),
(66630, '93.191.216.1', '93.191.216.7', 1572853761, 1572853767, 'BE', 'Belgium'),
(66631, '93.191.216.8', '93.191.216.9', 1572853768, 1572853769, 'EU', 'Europe'),
(66632, '93.191.216.10', '93.191.216.10', 1572853770, 1572853770, 'DK', 'Denmark'),
(66633, '93.191.216.11', '93.191.216.15', 1572853771, 1572853775, 'EU', 'Europe'),
(66634, '93.191.216.16', '93.191.216.255', 1572853776, 1572854015, 'BE', 'Belgium'),
(66635, '93.191.217.0', '93.191.217.255', 1572854016, 1572854271, 'LU', 'Luxembourg'),
(66636, '93.191.218.0', '93.191.218.0', 1572854272, 1572854272, 'EU', 'Europe'),
(66637, '93.191.218.1', '93.191.218.12', 1572854273, 1572854284, 'BE', 'Belgium'),
(66638, '93.191.218.13', '93.191.218.13', 1572854285, 1572854285, 'NL', 'Netherlands'),
(66639, '93.191.218.14', '93.191.218.14', 1572854286, 1572854286, 'CH', 'Switzerland'),
(66640, '93.191.218.15', '93.191.218.15', 1572854287, 1572854287, 'LU', 'Luxembourg'),
(66641, '93.191.218.16', '93.191.218.255', 1572854288, 1572854527, 'BE', 'Belgium'),
(66642, '93.191.219.0', '93.191.220.255', 1572854528, 1572855039, 'EU', 'Europe'),
(66643, '93.191.221.0', '93.191.221.31', 1572855040, 1572855071, 'BE', 'Belgium'),
(66644, '93.191.221.32', '93.191.221.255', 1572855072, 1572855295, 'EU', 'Europe'),
(66645, '93.191.222.0', '93.191.222.255', 1572855296, 1572855551, 'CH', 'Switzerland'),
(66646, '93.191.223.0', '93.191.223.0', 1572855552, 1572855552, 'EU', 'Europe'),
(66647, '93.191.223.1', '93.191.223.6', 1572855553, 1572855558, 'BE', 'Belgium'),
(66648, '93.191.223.7', '93.191.223.9', 1572855559, 1572855561, 'EU', 'Europe'),
(66649, '93.191.223.10', '93.191.223.10', 1572855562, 1572855562, 'DK', 'Denmark'),
(66650, '93.191.223.11', '93.191.223.15', 1572855563, 1572855567, 'EU', 'Europe'),
(66651, '93.191.223.16', '93.191.223.255', 1572855568, 1572855807, 'BE', 'Belgium'),
(66652, '93.191.224.0', '93.191.231.255', 1572855808, 1572857855, 'KZ', 'Kazakhstan'),
(66653, '93.191.232.0', '93.191.239.255', 1572857856, 1572859903, 'SE', 'Sweden'),
(66654, '93.191.240.0', '93.191.247.255', 1572859904, 1572861951, 'IT', 'Italy'),
(66655, '93.191.248.0', '93.191.255.255', 1572861952, 1572863999, 'CH', 'Switzerland'),
(66656, '93.192.0.0', '93.255.255.255', 1572864000, 1577058303, 'DE', 'Germany'),
(66657, '94.0.0.0', '94.15.255.255', 1577058304, 1578106879, 'GB', 'United Kingdom'),
(66658, '94.16.0.0', '94.16.126.255', 1578106880, 1578139391, 'DE', 'Germany'),
(66659, '94.16.127.0', '94.16.127.255', 1578139392, 1578139647, 'AT', 'Austria'),
(66660, '94.16.128.0', '94.16.255.255', 1578139648, 1578172415, 'DE', 'Germany'),
(66661, '94.17.0.0', '94.17.255.255', 1578172416, 1578237951, 'MT', 'Malta'),
(66662, '94.18.0.0', '94.18.255.255', 1578237952, 1578303487, 'DK', 'Denmark'),
(66663, '94.19.0.0', '94.19.255.255', 1578303488, 1578369023, 'RU', 'Russian Federation'),
(66664, '94.20.0.0', '94.20.255.255', 1578369024, 1578434559, 'AZ', 'Azerbaijan'),
(66665, '94.21.0.0', '94.21.255.255', 1578434560, 1578500095, 'HU', 'Hungary');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(66666, '94.22.0.0', '94.22.255.255', 1578500096, 1578565631, 'FI', 'Finland'),
(66667, '94.23.0.0', '94.23.63.255', 1578565632, 1578582015, 'FR', 'France'),
(66668, '94.23.64.0', '94.23.73.255', 1578582016, 1578584575, 'IT', 'Italy'),
(66669, '94.23.74.0', '94.23.79.255', 1578584576, 1578586111, 'PT', 'Portugal'),
(66670, '94.23.80.0', '94.23.87.255', 1578586112, 1578588159, 'ES', 'Spain'),
(66671, '94.23.88.0', '94.23.95.255', 1578588160, 1578590207, 'PL', 'Poland'),
(66672, '94.23.96.0', '94.23.96.15', 1578590208, 1578590223, 'FR', 'France'),
(66673, '94.23.96.16', '94.23.96.23', 1578590224, 1578590231, 'ES', 'Spain'),
(66674, '94.23.96.24', '94.23.96.31', 1578590232, 1578590239, 'IT', 'Italy'),
(66675, '94.23.96.32', '94.23.96.63', 1578590240, 1578590271, 'FR', 'France'),
(66676, '94.23.96.64', '94.23.96.67', 1578590272, 1578590275, 'NL', 'Netherlands'),
(66677, '94.23.96.68', '94.23.96.71', 1578590276, 1578590279, 'PT', 'Portugal'),
(66678, '94.23.96.72', '94.23.96.75', 1578590280, 1578590283, 'PL', 'Poland'),
(66679, '94.23.96.76', '94.23.96.79', 1578590284, 1578590287, 'GB', 'United Kingdom'),
(66680, '94.23.96.80', '94.23.96.95', 1578590288, 1578590303, 'DE', 'Germany'),
(66681, '94.23.96.96', '94.23.96.103', 1578590304, 1578590311, 'IT', 'Italy'),
(66682, '94.23.96.104', '94.23.96.131', 1578590312, 1578590339, 'FR', 'France'),
(66683, '94.23.96.132', '94.23.96.135', 1578590340, 1578590343, 'DE', 'Germany'),
(66684, '94.23.96.136', '94.23.96.143', 1578590344, 1578590351, 'FR', 'France'),
(66685, '94.23.96.144', '94.23.96.159', 1578590352, 1578590367, 'GB', 'United Kingdom'),
(66686, '94.23.96.160', '94.23.96.207', 1578590368, 1578590415, 'FR', 'France'),
(66687, '94.23.96.208', '94.23.96.223', 1578590416, 1578590431, 'PL', 'Poland'),
(66688, '94.23.96.224', '94.23.96.239', 1578590432, 1578590447, 'BE', 'Belgium'),
(66689, '94.23.96.240', '94.23.97.7', 1578590448, 1578590471, 'FR', 'France'),
(66690, '94.23.97.8', '94.23.97.15', 1578590472, 1578590479, 'DE', 'Germany'),
(66691, '94.23.97.16', '94.23.97.31', 1578590480, 1578590495, 'IT', 'Italy'),
(66692, '94.23.97.32', '94.23.97.63', 1578590496, 1578590527, 'PL', 'Poland'),
(66693, '94.23.97.64', '94.23.97.71', 1578590528, 1578590535, 'ES', 'Spain'),
(66694, '94.23.97.72', '94.23.97.79', 1578590536, 1578590543, 'FR', 'France'),
(66695, '94.23.97.80', '94.23.97.95', 1578590544, 1578590559, 'PL', 'Poland'),
(66696, '94.23.97.96', '94.23.97.99', 1578590560, 1578590563, 'PT', 'Portugal'),
(66697, '94.23.97.100', '94.23.97.103', 1578590564, 1578590567, 'FR', 'France'),
(66698, '94.23.97.104', '94.23.97.107', 1578590568, 1578590571, 'PL', 'Poland'),
(66699, '94.23.97.108', '94.23.97.111', 1578590572, 1578590575, 'IT', 'Italy'),
(66700, '94.23.97.112', '94.23.97.135', 1578590576, 1578590599, 'FR', 'France'),
(66701, '94.23.97.136', '94.23.97.139', 1578590600, 1578590603, 'LT', 'Lithuania'),
(66702, '94.23.97.140', '94.23.97.143', 1578590604, 1578590607, 'PL', 'Poland'),
(66703, '94.23.97.144', '94.23.97.151', 1578590608, 1578590615, 'GB', 'United Kingdom'),
(66704, '94.23.97.152', '94.23.97.155', 1578590616, 1578590619, 'DE', 'Germany'),
(66705, '94.23.97.156', '94.23.97.159', 1578590620, 1578590623, 'IT', 'Italy'),
(66706, '94.23.97.160', '94.23.97.175', 1578590624, 1578590639, 'FR', 'France'),
(66707, '94.23.97.176', '94.23.97.183', 1578590640, 1578590647, 'CZ', 'Czech Republic'),
(66708, '94.23.97.184', '94.23.97.191', 1578590648, 1578590655, 'BE', 'Belgium'),
(66709, '94.23.97.192', '94.23.97.195', 1578590656, 1578590659, 'FR', 'France'),
(66710, '94.23.97.196', '94.23.97.199', 1578590660, 1578590663, 'CZ', 'Czech Republic'),
(66711, '94.23.97.200', '94.23.97.203', 1578590664, 1578590667, 'FR', 'France'),
(66712, '94.23.97.204', '94.23.97.207', 1578590668, 1578590671, 'NL', 'Netherlands'),
(66713, '94.23.97.208', '94.23.97.223', 1578590672, 1578590687, 'PL', 'Poland'),
(66714, '94.23.97.224', '94.23.97.227', 1578590688, 1578590691, 'GB', 'United Kingdom'),
(66715, '94.23.97.228', '94.23.97.231', 1578590692, 1578590695, 'DE', 'Germany'),
(66716, '94.23.97.232', '94.23.97.235', 1578590696, 1578590699, 'FR', 'France'),
(66717, '94.23.97.236', '94.23.98.15', 1578590700, 1578590735, 'PL', 'Poland'),
(66718, '94.23.98.16', '94.23.98.67', 1578590736, 1578590787, 'FR', 'France'),
(66719, '94.23.98.68', '94.23.98.71', 1578590788, 1578590791, 'LT', 'Lithuania'),
(66720, '94.23.98.72', '94.23.98.75', 1578590792, 1578590795, 'FR', 'France'),
(66721, '94.23.98.76', '94.23.98.79', 1578590796, 1578590799, 'IT', 'Italy'),
(66722, '94.23.98.80', '94.23.98.95', 1578590800, 1578590815, 'ES', 'Spain'),
(66723, '94.23.98.96', '94.23.98.111', 1578590816, 1578590831, 'GB', 'United Kingdom'),
(66724, '94.23.98.112', '94.23.98.119', 1578590832, 1578590839, 'NL', 'Netherlands'),
(66725, '94.23.98.120', '94.23.98.127', 1578590840, 1578590847, 'PL', 'Poland'),
(66726, '94.23.98.128', '94.23.98.131', 1578590848, 1578590851, 'DE', 'Germany'),
(66727, '94.23.98.132', '94.23.98.135', 1578590852, 1578590855, 'FR', 'France'),
(66728, '94.23.98.136', '94.23.98.139', 1578590856, 1578590859, 'GB', 'United Kingdom'),
(66729, '94.23.98.140', '94.23.98.159', 1578590860, 1578590879, 'FR', 'France'),
(66730, '94.23.98.160', '94.23.98.191', 1578590880, 1578590911, 'PL', 'Poland'),
(66731, '94.23.98.192', '94.23.98.207', 1578590912, 1578590927, 'FR', 'France'),
(66732, '94.23.98.208', '94.23.98.215', 1578590928, 1578590935, 'DE', 'Germany'),
(66733, '94.23.98.216', '94.23.98.223', 1578590936, 1578590943, 'ES', 'Spain'),
(66734, '94.23.98.224', '94.23.98.255', 1578590944, 1578590975, 'FR', 'France'),
(66735, '94.23.99.0', '94.23.99.15', 1578590976, 1578590991, 'GB', 'United Kingdom'),
(66736, '94.23.99.16', '94.23.99.23', 1578590992, 1578590999, 'IT', 'Italy'),
(66737, '94.23.99.24', '94.23.99.31', 1578591000, 1578591007, 'FR', 'France'),
(66738, '94.23.99.32', '94.23.99.35', 1578591008, 1578591011, 'GB', 'United Kingdom'),
(66739, '94.23.99.36', '94.23.99.47', 1578591012, 1578591023, 'FR', 'France'),
(66740, '94.23.99.48', '94.23.99.63', 1578591024, 1578591039, 'PL', 'Poland'),
(66741, '94.23.99.64', '94.23.99.79', 1578591040, 1578591055, 'NL', 'Netherlands'),
(66742, '94.23.99.80', '94.23.99.95', 1578591056, 1578591071, 'FR', 'France'),
(66743, '94.23.99.96', '94.23.99.143', 1578591072, 1578591119, 'GB', 'United Kingdom'),
(66744, '94.23.99.144', '94.23.99.151', 1578591120, 1578591127, 'FR', 'France'),
(66745, '94.23.99.152', '94.23.99.159', 1578591128, 1578591135, 'DE', 'Germany'),
(66746, '94.23.99.160', '94.23.99.167', 1578591136, 1578591143, 'FR', 'France'),
(66747, '94.23.99.168', '94.23.99.175', 1578591144, 1578591151, 'GB', 'United Kingdom'),
(66748, '94.23.99.176', '94.23.99.207', 1578591152, 1578591183, 'FR', 'France'),
(66749, '94.23.99.208', '94.23.99.211', 1578591184, 1578591187, 'CH', 'Switzerland'),
(66750, '94.23.99.212', '94.23.99.215', 1578591188, 1578591191, 'PT', 'Portugal'),
(66751, '94.23.99.216', '94.23.99.219', 1578591192, 1578591195, 'GB', 'United Kingdom'),
(66752, '94.23.99.220', '94.23.100.47', 1578591196, 1578591279, 'FR', 'France'),
(66753, '94.23.100.48', '94.23.100.55', 1578591280, 1578591287, 'ES', 'Spain'),
(66754, '94.23.100.56', '94.23.100.59', 1578591288, 1578591291, 'DE', 'Germany'),
(66755, '94.23.100.60', '94.23.100.63', 1578591292, 1578591295, 'ES', 'Spain'),
(66756, '94.23.100.64', '94.23.100.95', 1578591296, 1578591327, 'FR', 'France'),
(66757, '94.23.100.96', '94.23.100.111', 1578591328, 1578591343, 'PL', 'Poland'),
(66758, '94.23.100.112', '94.23.100.159', 1578591344, 1578591391, 'FR', 'France'),
(66759, '94.23.100.160', '94.23.100.163', 1578591392, 1578591395, 'IT', 'Italy'),
(66760, '94.23.100.164', '94.23.100.175', 1578591396, 1578591407, 'PL', 'Poland'),
(66761, '94.23.100.176', '94.23.100.179', 1578591408, 1578591411, 'ES', 'Spain'),
(66762, '94.23.100.180', '94.23.100.183', 1578591412, 1578591415, 'FR', 'France'),
(66763, '94.23.100.184', '94.23.100.191', 1578591416, 1578591423, 'ES', 'Spain'),
(66764, '94.23.100.192', '94.23.100.199', 1578591424, 1578591431, 'PL', 'Poland'),
(66765, '94.23.100.200', '94.23.100.207', 1578591432, 1578591439, 'ES', 'Spain'),
(66766, '94.23.100.208', '94.23.100.223', 1578591440, 1578591455, 'FR', 'France'),
(66767, '94.23.100.224', '94.23.100.227', 1578591456, 1578591459, 'GB', 'United Kingdom'),
(66768, '94.23.100.228', '94.23.100.231', 1578591460, 1578591463, 'FR', 'France'),
(66769, '94.23.100.232', '94.23.100.255', 1578591464, 1578591487, 'PL', 'Poland'),
(66770, '94.23.101.0', '94.23.101.15', 1578591488, 1578591503, 'FR', 'France'),
(66771, '94.23.101.16', '94.23.101.31', 1578591504, 1578591519, 'CH', 'Switzerland'),
(66772, '94.23.101.32', '94.23.101.63', 1578591520, 1578591551, 'ES', 'Spain'),
(66773, '94.23.101.64', '94.23.101.67', 1578591552, 1578591555, 'BE', 'Belgium'),
(66774, '94.23.101.68', '94.23.101.71', 1578591556, 1578591559, 'IT', 'Italy'),
(66775, '94.23.101.72', '94.23.101.75', 1578591560, 1578591563, 'PL', 'Poland'),
(66776, '94.23.101.76', '94.23.101.87', 1578591564, 1578591575, 'FR', 'France'),
(66777, '94.23.101.88', '94.23.101.91', 1578591576, 1578591579, 'DE', 'Germany'),
(66778, '94.23.101.92', '94.23.101.95', 1578591580, 1578591583, 'ES', 'Spain'),
(66779, '94.23.101.96', '94.23.101.111', 1578591584, 1578591599, 'IT', 'Italy'),
(66780, '94.23.101.112', '94.23.101.207', 1578591600, 1578591695, 'FR', 'France'),
(66781, '94.23.101.208', '94.23.101.211', 1578591696, 1578591699, 'DE', 'Germany'),
(66782, '94.23.101.212', '94.23.101.215', 1578591700, 1578591703, 'FR', 'France'),
(66783, '94.23.101.216', '94.23.101.219', 1578591704, 1578591707, 'DE', 'Germany'),
(66784, '94.23.101.220', '94.23.101.223', 1578591708, 1578591711, 'FR', 'France'),
(66785, '94.23.101.224', '94.23.101.255', 1578591712, 1578591743, 'PL', 'Poland'),
(66786, '94.23.102.0', '94.23.102.15', 1578591744, 1578591759, 'ES', 'Spain'),
(66787, '94.23.102.16', '94.23.102.47', 1578591760, 1578591791, 'FR', 'France'),
(66788, '94.23.102.48', '94.23.102.51', 1578591792, 1578591795, 'ES', 'Spain'),
(66789, '94.23.102.52', '94.23.102.55', 1578591796, 1578591799, 'NL', 'Netherlands'),
(66790, '94.23.102.56', '94.23.102.63', 1578591800, 1578591807, 'PL', 'Poland'),
(66791, '94.23.102.64', '94.23.102.143', 1578591808, 1578591887, 'FR', 'France'),
(66792, '94.23.102.144', '94.23.102.147', 1578591888, 1578591891, 'DE', 'Germany'),
(66793, '94.23.102.148', '94.23.102.155', 1578591892, 1578591899, 'FR', 'France'),
(66794, '94.23.102.156', '94.23.102.159', 1578591900, 1578591903, 'NL', 'Netherlands'),
(66795, '94.23.102.160', '94.23.102.175', 1578591904, 1578591919, 'PL', 'Poland'),
(66796, '94.23.102.176', '94.23.102.195', 1578591920, 1578591939, 'ES', 'Spain'),
(66797, '94.23.102.196', '94.23.102.207', 1578591940, 1578591951, 'FR', 'France'),
(66798, '94.23.102.208', '94.23.102.223', 1578591952, 1578591967, 'PT', 'Portugal'),
(66799, '94.23.102.224', '94.23.102.231', 1578591968, 1578591975, 'FR', 'France'),
(66800, '94.23.102.232', '94.23.102.235', 1578591976, 1578591979, 'PL', 'Poland'),
(66801, '94.23.102.236', '94.23.102.239', 1578591980, 1578591983, 'FR', 'France'),
(66802, '94.23.102.240', '94.23.103.31', 1578591984, 1578592031, 'PL', 'Poland'),
(66803, '94.23.103.32', '94.23.103.39', 1578592032, 1578592039, 'PT', 'Portugal'),
(66804, '94.23.103.40', '94.23.103.43', 1578592040, 1578592043, 'ES', 'Spain'),
(66805, '94.23.103.44', '94.23.103.47', 1578592044, 1578592047, 'PL', 'Poland'),
(66806, '94.23.103.48', '94.23.103.63', 1578592048, 1578592063, 'FR', 'France'),
(66807, '94.23.103.64', '94.23.103.67', 1578592064, 1578592067, 'ES', 'Spain'),
(66808, '94.23.103.68', '94.23.103.71', 1578592068, 1578592071, 'FR', 'France'),
(66809, '94.23.103.72', '94.23.103.79', 1578592072, 1578592079, 'PL', 'Poland'),
(66810, '94.23.103.80', '94.23.103.95', 1578592080, 1578592095, 'ES', 'Spain'),
(66811, '94.23.103.96', '94.23.103.111', 1578592096, 1578592111, 'FR', 'France'),
(66812, '94.23.103.112', '94.23.103.127', 1578592112, 1578592127, 'GB', 'United Kingdom'),
(66813, '94.23.103.128', '94.23.103.143', 1578592128, 1578592143, 'DE', 'Germany'),
(66814, '94.23.103.144', '94.23.103.159', 1578592144, 1578592159, 'NL', 'Netherlands'),
(66815, '94.23.103.160', '94.23.103.163', 1578592160, 1578592163, 'FR', 'France'),
(66816, '94.23.103.164', '94.23.103.171', 1578592164, 1578592171, 'IT', 'Italy'),
(66817, '94.23.103.172', '94.23.103.175', 1578592172, 1578592175, 'ES', 'Spain'),
(66818, '94.23.103.176', '94.23.103.183', 1578592176, 1578592183, 'CZ', 'Czech Republic'),
(66819, '94.23.103.184', '94.23.103.191', 1578592184, 1578592191, 'PT', 'Portugal'),
(66820, '94.23.103.192', '94.23.103.199', 1578592192, 1578592199, 'BE', 'Belgium'),
(66821, '94.23.103.200', '94.23.103.207', 1578592200, 1578592207, 'CH', 'Switzerland'),
(66822, '94.23.103.208', '94.23.103.223', 1578592208, 1578592223, 'FR', 'France'),
(66823, '94.23.103.224', '94.23.103.239', 1578592224, 1578592239, 'ES', 'Spain'),
(66824, '94.23.103.240', '94.23.104.15', 1578592240, 1578592271, 'FR', 'France'),
(66825, '94.23.104.16', '94.23.104.23', 1578592272, 1578592279, 'PL', 'Poland'),
(66826, '94.23.104.24', '94.23.104.27', 1578592280, 1578592283, 'BE', 'Belgium'),
(66827, '94.23.104.28', '94.23.104.31', 1578592284, 1578592287, 'FR', 'France'),
(66828, '94.23.104.32', '94.23.104.39', 1578592288, 1578592295, 'PL', 'Poland'),
(66829, '94.23.104.40', '94.23.104.47', 1578592296, 1578592303, 'PT', 'Portugal'),
(66830, '94.23.104.48', '94.23.104.95', 1578592304, 1578592351, 'FR', 'France'),
(66831, '94.23.104.96', '94.23.104.111', 1578592352, 1578592367, 'PL', 'Poland'),
(66832, '94.23.104.112', '94.23.104.115', 1578592368, 1578592371, 'FR', 'France'),
(66833, '94.23.104.116', '94.23.104.119', 1578592372, 1578592375, 'IE', 'Ireland'),
(66834, '94.23.104.120', '94.23.104.123', 1578592376, 1578592379, 'GB', 'United Kingdom'),
(66835, '94.23.104.124', '94.23.104.127', 1578592380, 1578592383, 'NL', 'Netherlands'),
(66836, '94.23.104.128', '94.23.104.139', 1578592384, 1578592395, 'FR', 'France'),
(66837, '94.23.104.140', '94.23.104.143', 1578592396, 1578592399, 'DE', 'Germany'),
(66838, '94.23.104.144', '94.23.104.151', 1578592400, 1578592407, 'FR', 'France'),
(66839, '94.23.104.152', '94.23.104.155', 1578592408, 1578592411, 'GB', 'United Kingdom'),
(66840, '94.23.104.156', '94.23.104.159', 1578592412, 1578592415, 'DE', 'Germany'),
(66841, '94.23.104.160', '94.23.104.167', 1578592416, 1578592423, 'IT', 'Italy'),
(66842, '94.23.104.168', '94.23.104.175', 1578592424, 1578592431, 'IE', 'Ireland'),
(66843, '94.23.104.176', '94.23.104.231', 1578592432, 1578592487, 'FR', 'France'),
(66844, '94.23.104.232', '94.23.104.239', 1578592488, 1578592495, 'PL', 'Poland'),
(66845, '94.23.104.240', '94.23.104.255', 1578592496, 1578592511, 'FR', 'France'),
(66846, '94.23.105.0', '94.23.105.3', 1578592512, 1578592515, 'GB', 'United Kingdom'),
(66847, '94.23.105.4', '94.23.105.7', 1578592516, 1578592519, 'PL', 'Poland'),
(66848, '94.23.105.8', '94.23.105.19', 1578592520, 1578592531, 'FR', 'France'),
(66849, '94.23.105.20', '94.23.105.23', 1578592532, 1578592535, 'GB', 'United Kingdom'),
(66850, '94.23.105.24', '94.23.105.27', 1578592536, 1578592539, 'PL', 'Poland'),
(66851, '94.23.105.28', '94.23.105.31', 1578592540, 1578592543, 'ES', 'Spain'),
(66852, '94.23.105.32', '94.23.105.47', 1578592544, 1578592559, 'FR', 'France'),
(66853, '94.23.105.48', '94.23.105.63', 1578592560, 1578592575, 'NL', 'Netherlands'),
(66854, '94.23.105.64', '94.23.105.79', 1578592576, 1578592591, 'GB', 'United Kingdom'),
(66855, '94.23.105.80', '94.23.105.95', 1578592592, 1578592607, 'FR', 'France'),
(66856, '94.23.105.96', '94.23.105.111', 1578592608, 1578592623, 'IE', 'Ireland'),
(66857, '94.23.105.112', '94.23.105.175', 1578592624, 1578592687, 'FR', 'France'),
(66858, '94.23.105.176', '94.23.105.183', 1578592688, 1578592695, 'DE', 'Germany'),
(66859, '94.23.105.184', '94.23.105.207', 1578592696, 1578592719, 'ES', 'Spain'),
(66860, '94.23.105.208', '94.23.105.223', 1578592720, 1578592735, 'CH', 'Switzerland'),
(66861, '94.23.105.224', '94.23.105.231', 1578592736, 1578592743, 'PL', 'Poland'),
(66862, '94.23.105.232', '94.23.105.235', 1578592744, 1578592747, 'PT', 'Portugal'),
(66863, '94.23.105.236', '94.23.105.239', 1578592748, 1578592751, 'DE', 'Germany'),
(66864, '94.23.105.240', '94.23.105.255', 1578592752, 1578592767, 'IE', 'Ireland'),
(66865, '94.23.106.0', '94.23.106.15', 1578592768, 1578592783, 'DE', 'Germany'),
(66866, '94.23.106.16', '94.23.106.31', 1578592784, 1578592799, 'FR', 'France'),
(66867, '94.23.106.32', '94.23.106.35', 1578592800, 1578592803, 'NL', 'Netherlands'),
(66868, '94.23.106.36', '94.23.106.43', 1578592804, 1578592811, 'FR', 'France'),
(66869, '94.23.106.44', '94.23.106.47', 1578592812, 1578592815, 'PL', 'Poland'),
(66870, '94.23.106.48', '94.23.106.63', 1578592816, 1578592831, 'FR', 'France'),
(66871, '94.23.106.64', '94.23.106.79', 1578592832, 1578592847, 'PL', 'Poland'),
(66872, '94.23.106.80', '94.23.106.83', 1578592848, 1578592851, 'BE', 'Belgium'),
(66873, '94.23.106.84', '94.23.106.87', 1578592852, 1578592855, 'DE', 'Germany'),
(66874, '94.23.106.88', '94.23.106.91', 1578592856, 1578592859, 'FR', 'France'),
(66875, '94.23.106.92', '94.23.106.111', 1578592860, 1578592879, 'PL', 'Poland'),
(66876, '94.23.106.112', '94.23.106.115', 1578592880, 1578592883, 'FR', 'France'),
(66877, '94.23.106.116', '94.23.106.123', 1578592884, 1578592891, 'GB', 'United Kingdom'),
(66878, '94.23.106.124', '94.23.106.127', 1578592892, 1578592895, 'FR', 'France'),
(66879, '94.23.106.128', '94.23.106.191', 1578592896, 1578592959, 'IT', 'Italy'),
(66880, '94.23.106.192', '94.23.106.239', 1578592960, 1578593007, 'FR', 'France'),
(66881, '94.23.106.240', '94.23.107.255', 1578593008, 1578593279, 'DE', 'Germany'),
(66882, '94.23.108.0', '94.23.108.15', 1578593280, 1578593295, 'PL', 'Poland'),
(66883, '94.23.108.16', '94.23.108.19', 1578593296, 1578593299, 'ES', 'Spain'),
(66884, '94.23.108.20', '94.23.108.23', 1578593300, 1578593303, 'GB', 'United Kingdom'),
(66885, '94.23.108.24', '94.23.108.27', 1578593304, 1578593307, 'ES', 'Spain'),
(66886, '94.23.108.28', '94.23.108.39', 1578593308, 1578593319, 'FR', 'France'),
(66887, '94.23.108.40', '94.23.108.43', 1578593320, 1578593323, 'PT', 'Portugal'),
(66888, '94.23.108.44', '94.23.108.47', 1578593324, 1578593327, 'FR', 'France'),
(66889, '94.23.108.48', '94.23.108.63', 1578593328, 1578593343, 'IT', 'Italy'),
(66890, '94.23.108.64', '94.23.108.79', 1578593344, 1578593359, 'FR', 'France'),
(66891, '94.23.108.80', '94.23.108.95', 1578593360, 1578593375, 'PL', 'Poland'),
(66892, '94.23.108.96', '94.23.108.127', 1578593376, 1578593407, 'GB', 'United Kingdom'),
(66893, '94.23.108.128', '94.23.108.131', 1578593408, 1578593411, 'IT', 'Italy'),
(66894, '94.23.108.132', '94.23.108.135', 1578593412, 1578593415, 'FR', 'France'),
(66895, '94.23.108.136', '94.23.108.143', 1578593416, 1578593423, 'DE', 'Germany'),
(66896, '94.23.108.144', '94.23.108.159', 1578593424, 1578593439, 'FR', 'France'),
(66897, '94.23.108.160', '94.23.108.163', 1578593440, 1578593443, 'IT', 'Italy'),
(66898, '94.23.108.164', '94.23.108.167', 1578593444, 1578593447, 'PL', 'Poland'),
(66899, '94.23.108.168', '94.23.108.175', 1578593448, 1578593455, 'DE', 'Germany'),
(66900, '94.23.108.176', '94.23.108.191', 1578593456, 1578593471, 'FR', 'France'),
(66901, '94.23.108.192', '94.23.108.199', 1578593472, 1578593479, 'GB', 'United Kingdom'),
(66902, '94.23.108.200', '94.23.108.203', 1578593480, 1578593483, 'PL', 'Poland'),
(66903, '94.23.108.204', '94.23.108.207', 1578593484, 1578593487, 'FR', 'France'),
(66904, '94.23.108.208', '94.23.108.215', 1578593488, 1578593495, 'ES', 'Spain'),
(66905, '94.23.108.216', '94.23.108.223', 1578593496, 1578593503, 'FR', 'France'),
(66906, '94.23.108.224', '94.23.108.239', 1578593504, 1578593519, 'PL', 'Poland'),
(66907, '94.23.108.240', '94.23.109.7', 1578593520, 1578593543, 'FR', 'France'),
(66908, '94.23.109.8', '94.23.109.11', 1578593544, 1578593547, 'ES', 'Spain'),
(66909, '94.23.109.12', '94.23.109.15', 1578593548, 1578593551, 'FI', 'Finland'),
(66910, '94.23.109.16', '94.23.109.23', 1578593552, 1578593559, 'PL', 'Poland'),
(66911, '94.23.109.24', '94.23.109.47', 1578593560, 1578593583, 'FR', 'France'),
(66912, '94.23.109.48', '94.23.109.51', 1578593584, 1578593587, 'GB', 'United Kingdom'),
(66913, '94.23.109.52', '94.23.109.55', 1578593588, 1578593591, 'DE', 'Germany'),
(66914, '94.23.109.56', '94.23.109.63', 1578593592, 1578593599, 'IE', 'Ireland'),
(66915, '94.23.109.64', '94.23.109.95', 1578593600, 1578593631, 'FR', 'France'),
(66916, '94.23.109.96', '94.23.109.111', 1578593632, 1578593647, 'NL', 'Netherlands'),
(66917, '94.23.109.112', '94.23.109.123', 1578593648, 1578593659, 'PL', 'Poland'),
(66918, '94.23.109.124', '94.23.109.127', 1578593660, 1578593663, 'FR', 'France'),
(66919, '94.23.109.128', '94.23.109.143', 1578593664, 1578593679, 'IT', 'Italy'),
(66920, '94.23.109.144', '94.23.109.175', 1578593680, 1578593711, 'FR', 'France'),
(66921, '94.23.109.176', '94.23.109.191', 1578593712, 1578593727, 'IE', 'Ireland'),
(66922, '94.23.109.192', '94.23.109.223', 1578593728, 1578593759, 'FR', 'France'),
(66923, '94.23.109.224', '94.23.109.239', 1578593760, 1578593775, 'ES', 'Spain'),
(66924, '94.23.109.240', '94.23.109.255', 1578593776, 1578593791, 'NL', 'Netherlands'),
(66925, '94.23.110.0', '94.23.110.31', 1578593792, 1578593823, 'FR', 'France'),
(66926, '94.23.110.32', '94.23.110.39', 1578593824, 1578593831, 'GB', 'United Kingdom'),
(66927, '94.23.110.40', '94.23.110.43', 1578593832, 1578593835, 'FR', 'France'),
(66928, '94.23.110.44', '94.23.110.47', 1578593836, 1578593839, 'NL', 'Netherlands'),
(66929, '94.23.110.48', '94.23.110.79', 1578593840, 1578593871, 'FR', 'France'),
(66930, '94.23.110.80', '94.23.110.83', 1578593872, 1578593875, 'ES', 'Spain'),
(66931, '94.23.110.84', '94.23.110.87', 1578593876, 1578593879, 'FR', 'France'),
(66932, '94.23.110.88', '94.23.110.95', 1578593880, 1578593887, 'DE', 'Germany'),
(66933, '94.23.110.96', '94.23.110.103', 1578593888, 1578593895, 'ES', 'Spain'),
(66934, '94.23.110.104', '94.23.110.107', 1578593896, 1578593899, 'GB', 'United Kingdom'),
(66935, '94.23.110.108', '94.23.110.111', 1578593900, 1578593903, 'DE', 'Germany'),
(66936, '94.23.110.112', '94.23.110.127', 1578593904, 1578593919, 'FR', 'France'),
(66937, '94.23.110.128', '94.23.110.143', 1578593920, 1578593935, 'PL', 'Poland'),
(66938, '94.23.110.144', '94.23.110.151', 1578593936, 1578593943, 'FR', 'France'),
(66939, '94.23.110.152', '94.23.110.155', 1578593944, 1578593947, 'IT', 'Italy'),
(66940, '94.23.110.156', '94.23.110.163', 1578593948, 1578593955, 'FR', 'France'),
(66941, '94.23.110.164', '94.23.110.167', 1578593956, 1578593959, 'LT', 'Lithuania'),
(66942, '94.23.110.168', '94.23.110.171', 1578593960, 1578593963, 'FR', 'France'),
(66943, '94.23.110.172', '94.23.110.175', 1578593964, 1578593967, 'ES', 'Spain'),
(66944, '94.23.110.176', '94.23.110.191', 1578593968, 1578593983, 'FR', 'France'),
(66945, '94.23.110.192', '94.23.110.207', 1578593984, 1578593999, 'PL', 'Poland'),
(66946, '94.23.110.208', '94.23.110.223', 1578594000, 1578594015, 'FR', 'France'),
(66947, '94.23.110.224', '94.23.110.239', 1578594016, 1578594031, 'BE', 'Belgium'),
(66948, '94.23.110.240', '94.23.110.247', 1578594032, 1578594039, 'ES', 'Spain'),
(66949, '94.23.110.248', '94.23.110.255', 1578594040, 1578594047, 'IT', 'Italy'),
(66950, '94.23.111.0', '94.23.111.7', 1578594048, 1578594055, 'FR', 'France'),
(66951, '94.23.111.8', '94.23.111.11', 1578594056, 1578594059, 'ES', 'Spain'),
(66952, '94.23.111.12', '94.23.111.15', 1578594060, 1578594063, 'FR', 'France'),
(66953, '94.23.111.16', '94.23.111.31', 1578594064, 1578594079, 'PL', 'Poland'),
(66954, '94.23.111.32', '94.23.111.39', 1578594080, 1578594087, 'CH', 'Switzerland'),
(66955, '94.23.111.40', '94.23.111.47', 1578594088, 1578594095, 'CZ', 'Czech Republic'),
(66956, '94.23.111.48', '94.23.111.95', 1578594096, 1578594143, 'FR', 'France'),
(66957, '94.23.111.96', '94.23.111.99', 1578594144, 1578594147, 'PL', 'Poland'),
(66958, '94.23.111.100', '94.23.111.103', 1578594148, 1578594151, 'ES', 'Spain'),
(66959, '94.23.111.104', '94.23.111.111', 1578594152, 1578594159, 'IT', 'Italy'),
(66960, '94.23.111.112', '94.23.111.115', 1578594160, 1578594163, 'PT', 'Portugal'),
(66961, '94.23.111.116', '94.23.111.119', 1578594164, 1578594167, 'ES', 'Spain'),
(66962, '94.23.111.120', '94.23.111.123', 1578594168, 1578594171, 'DE', 'Germany'),
(66963, '94.23.111.124', '94.23.111.127', 1578594172, 1578594175, 'ES', 'Spain'),
(66964, '94.23.111.128', '94.23.111.159', 1578594176, 1578594207, 'FR', 'France'),
(66965, '94.23.111.160', '94.23.111.163', 1578594208, 1578594211, 'DE', 'Germany'),
(66966, '94.23.111.164', '94.23.111.167', 1578594212, 1578594215, 'ES', 'Spain'),
(66967, '94.23.111.168', '94.23.111.191', 1578594216, 1578594239, 'PL', 'Poland'),
(66968, '94.23.111.192', '94.23.111.207', 1578594240, 1578594255, 'FR', 'France'),
(66969, '94.23.111.208', '94.23.111.223', 1578594256, 1578594271, 'IE', 'Ireland'),
(66970, '94.23.111.224', '94.23.111.255', 1578594272, 1578594303, 'PL', 'Poland'),
(66971, '94.23.112.0', '94.23.112.3', 1578594304, 1578594307, 'GB', 'United Kingdom'),
(66972, '94.23.112.4', '94.23.112.7', 1578594308, 1578594311, 'FI', 'Finland'),
(66973, '94.23.112.8', '94.23.112.11', 1578594312, 1578594315, 'PL', 'Poland'),
(66974, '94.23.112.12', '94.23.112.15', 1578594316, 1578594319, 'FR', 'France'),
(66975, '94.23.112.16', '94.23.112.31', 1578594320, 1578594335, 'PL', 'Poland'),
(66976, '94.23.112.32', '94.23.112.47', 1578594336, 1578594351, 'IE', 'Ireland'),
(66977, '94.23.112.48', '94.23.112.51', 1578594352, 1578594355, 'GB', 'United Kingdom'),
(66978, '94.23.112.52', '94.23.112.55', 1578594356, 1578594359, 'FR', 'France'),
(66979, '94.23.112.56', '94.23.112.59', 1578594360, 1578594363, 'PT', 'Portugal'),
(66980, '94.23.112.60', '94.23.112.63', 1578594364, 1578594367, 'ES', 'Spain'),
(66981, '94.23.112.64', '94.23.112.71', 1578594368, 1578594375, 'FR', 'France'),
(66982, '94.23.112.72', '94.23.112.79', 1578594376, 1578594383, 'PT', 'Portugal'),
(66983, '94.23.112.80', '94.23.112.95', 1578594384, 1578594399, 'FR', 'France'),
(66984, '94.23.112.96', '94.23.112.127', 1578594400, 1578594431, 'PL', 'Poland'),
(66985, '94.23.112.128', '94.23.112.143', 1578594432, 1578594447, 'FR', 'France'),
(66986, '94.23.112.144', '94.23.112.159', 1578594448, 1578594463, 'PL', 'Poland'),
(66987, '94.23.112.160', '94.23.112.175', 1578594464, 1578594479, 'FR', 'France'),
(66988, '94.23.112.176', '94.23.112.191', 1578594480, 1578594495, 'ES', 'Spain'),
(66989, '94.23.112.192', '94.23.112.207', 1578594496, 1578594511, 'FR', 'France'),
(66990, '94.23.112.208', '94.23.112.211', 1578594512, 1578594515, 'PL', 'Poland'),
(66991, '94.23.112.212', '94.23.112.215', 1578594516, 1578594519, 'FR', 'France'),
(66992, '94.23.112.216', '94.23.112.219', 1578594520, 1578594523, 'PL', 'Poland'),
(66993, '94.23.112.220', '94.23.112.223', 1578594524, 1578594527, 'FR', 'France'),
(66994, '94.23.112.224', '94.23.112.227', 1578594528, 1578594531, 'PL', 'Poland'),
(66995, '94.23.112.228', '94.23.112.231', 1578594532, 1578594535, 'NL', 'Netherlands'),
(66996, '94.23.112.232', '94.23.112.235', 1578594536, 1578594539, 'DE', 'Germany'),
(66997, '94.23.112.236', '94.23.112.239', 1578594540, 1578594543, 'FR', 'France'),
(66998, '94.23.112.240', '94.23.112.247', 1578594544, 1578594551, 'ES', 'Spain'),
(66999, '94.23.112.248', '94.23.112.251', 1578594552, 1578594555, 'PL', 'Poland'),
(67000, '94.23.112.252', '94.23.112.255', 1578594556, 1578594559, 'LT', 'Lithuania'),
(67001, '94.23.113.0', '94.23.113.15', 1578594560, 1578594575, 'PL', 'Poland'),
(67002, '94.23.113.16', '94.23.113.47', 1578594576, 1578594607, 'ES', 'Spain'),
(67003, '94.23.113.48', '94.23.113.63', 1578594608, 1578594623, 'FR', 'France'),
(67004, '94.23.113.64', '94.23.113.127', 1578594624, 1578594687, 'DE', 'Germany'),
(67005, '94.23.113.128', '94.23.113.143', 1578594688, 1578594703, 'FR', 'France'),
(67006, '94.23.113.144', '94.23.113.147', 1578594704, 1578594707, 'BE', 'Belgium'),
(67007, '94.23.113.148', '94.23.113.151', 1578594708, 1578594711, 'DE', 'Germany'),
(67008, '94.23.113.152', '94.23.113.155', 1578594712, 1578594715, 'IT', 'Italy'),
(67009, '94.23.113.156', '94.23.113.191', 1578594716, 1578594751, 'FR', 'France'),
(67010, '94.23.113.192', '94.23.113.207', 1578594752, 1578594767, 'ES', 'Spain'),
(67011, '94.23.113.208', '94.23.113.215', 1578594768, 1578594775, 'GB', 'United Kingdom'),
(67012, '94.23.113.216', '94.23.113.223', 1578594776, 1578594783, 'ES', 'Spain'),
(67013, '94.23.113.224', '94.23.113.239', 1578594784, 1578594799, 'FR', 'France'),
(67014, '94.23.113.240', '94.23.113.255', 1578594800, 1578594815, 'DE', 'Germany'),
(67015, '94.23.114.0', '94.23.114.31', 1578594816, 1578594847, 'FR', 'France'),
(67016, '94.23.114.32', '94.23.114.47', 1578594848, 1578594863, 'IT', 'Italy'),
(67017, '94.23.114.48', '94.23.114.55', 1578594864, 1578594871, 'PL', 'Poland'),
(67018, '94.23.114.56', '94.23.114.223', 1578594872, 1578595039, 'FR', 'France'),
(67019, '94.23.114.224', '94.23.114.239', 1578595040, 1578595055, 'GB', 'United Kingdom'),
(67020, '94.23.114.240', '94.23.115.31', 1578595056, 1578595103, 'FR', 'France'),
(67021, '94.23.115.32', '94.23.115.47', 1578595104, 1578595119, 'GB', 'United Kingdom'),
(67022, '94.23.115.48', '94.23.115.55', 1578595120, 1578595127, 'FR', 'France'),
(67023, '94.23.115.56', '94.23.115.59', 1578595128, 1578595131, 'ES', 'Spain'),
(67024, '94.23.115.60', '94.23.115.79', 1578595132, 1578595151, 'FR', 'France'),
(67025, '94.23.115.80', '94.23.115.95', 1578595152, 1578595167, 'ES', 'Spain'),
(67026, '94.23.115.96', '94.23.115.127', 1578595168, 1578595199, 'FR', 'France'),
(67027, '94.23.115.128', '94.23.115.131', 1578595200, 1578595203, 'DE', 'Germany'),
(67028, '94.23.115.132', '94.23.115.135', 1578595204, 1578595207, 'FR', 'France'),
(67029, '94.23.115.136', '94.23.115.143', 1578595208, 1578595215, 'PL', 'Poland'),
(67030, '94.23.115.144', '94.23.115.159', 1578595216, 1578595231, 'DE', 'Germany'),
(67031, '94.23.115.160', '94.23.115.191', 1578595232, 1578595263, 'BE', 'Belgium'),
(67032, '94.23.115.192', '94.23.115.195', 1578595264, 1578595267, 'ES', 'Spain'),
(67033, '94.23.115.196', '94.23.115.199', 1578595268, 1578595271, 'FR', 'France'),
(67034, '94.23.115.200', '94.23.115.203', 1578595272, 1578595275, 'DE', 'Germany'),
(67035, '94.23.115.204', '94.23.115.207', 1578595276, 1578595279, 'ES', 'Spain'),
(67036, '94.23.115.208', '94.23.115.215', 1578595280, 1578595287, 'FR', 'France'),
(67037, '94.23.115.216', '94.23.115.223', 1578595288, 1578595295, 'PL', 'Poland'),
(67038, '94.23.115.224', '94.23.115.255', 1578595296, 1578595327, 'FR', 'France'),
(67039, '94.23.116.0', '94.23.116.15', 1578595328, 1578595343, 'IT', 'Italy'),
(67040, '94.23.116.16', '94.23.116.35', 1578595344, 1578595363, 'FR', 'France'),
(67041, '94.23.116.36', '94.23.116.39', 1578595364, 1578595367, 'DE', 'Germany'),
(67042, '94.23.116.40', '94.23.116.51', 1578595368, 1578595379, 'FR', 'France'),
(67043, '94.23.116.52', '94.23.116.55', 1578595380, 1578595383, 'CH', 'Switzerland'),
(67044, '94.23.116.56', '94.23.116.59', 1578595384, 1578595387, 'ES', 'Spain'),
(67045, '94.23.116.60', '94.23.116.79', 1578595388, 1578595407, 'PL', 'Poland'),
(67046, '94.23.116.80', '94.23.116.83', 1578595408, 1578595411, 'IE', 'Ireland'),
(67047, '94.23.116.84', '94.23.116.91', 1578595412, 1578595419, 'PL', 'Poland'),
(67048, '94.23.116.92', '94.23.116.95', 1578595420, 1578595423, 'IT', 'Italy'),
(67049, '94.23.116.96', '94.23.116.111', 1578595424, 1578595439, 'PL', 'Poland'),
(67050, '94.23.116.112', '94.23.116.119', 1578595440, 1578595447, 'FR', 'France'),
(67051, '94.23.116.120', '94.23.116.127', 1578595448, 1578595455, 'ES', 'Spain'),
(67052, '94.23.116.128', '94.23.116.131', 1578595456, 1578595459, 'DE', 'Germany'),
(67053, '94.23.116.132', '94.23.116.139', 1578595460, 1578595467, 'PL', 'Poland'),
(67054, '94.23.116.140', '94.23.116.143', 1578595468, 1578595471, 'FR', 'France'),
(67055, '94.23.116.144', '94.23.116.151', 1578595472, 1578595479, 'ES', 'Spain'),
(67056, '94.23.116.152', '94.23.116.159', 1578595480, 1578595487, 'GB', 'United Kingdom'),
(67057, '94.23.116.160', '94.23.116.175', 1578595488, 1578595503, 'DE', 'Germany'),
(67058, '94.23.116.176', '94.23.116.191', 1578595504, 1578595519, 'PL', 'Poland'),
(67059, '94.23.116.192', '94.23.116.207', 1578595520, 1578595535, 'FR', 'France'),
(67060, '94.23.116.208', '94.23.116.211', 1578595536, 1578595539, 'BE', 'Belgium'),
(67061, '94.23.116.212', '94.23.116.215', 1578595540, 1578595543, 'CH', 'Switzerland'),
(67062, '94.23.116.216', '94.23.116.219', 1578595544, 1578595547, 'GB', 'United Kingdom'),
(67063, '94.23.116.220', '94.23.117.23', 1578595548, 1578595607, 'FR', 'France'),
(67064, '94.23.117.24', '94.23.117.27', 1578595608, 1578595611, 'GB', 'United Kingdom'),
(67065, '94.23.117.28', '94.23.117.31', 1578595612, 1578595615, 'ES', 'Spain'),
(67066, '94.23.117.32', '94.23.117.35', 1578595616, 1578595619, 'PL', 'Poland'),
(67067, '94.23.117.36', '94.23.117.39', 1578595620, 1578595623, 'BE', 'Belgium'),
(67068, '94.23.117.40', '94.23.117.43', 1578595624, 1578595627, 'GB', 'United Kingdom'),
(67069, '94.23.117.44', '94.23.117.47', 1578595628, 1578595631, 'IE', 'Ireland'),
(67070, '94.23.117.48', '94.23.117.51', 1578595632, 1578595635, 'FR', 'France'),
(67071, '94.23.117.52', '94.23.117.55', 1578595636, 1578595639, 'ES', 'Spain'),
(67072, '94.23.117.56', '94.23.117.59', 1578595640, 1578595643, 'DE', 'Germany'),
(67073, '94.23.117.60', '94.23.117.63', 1578595644, 1578595647, 'GB', 'United Kingdom'),
(67074, '94.23.117.64', '94.23.117.95', 1578595648, 1578595679, 'FR', 'France'),
(67075, '94.23.117.96', '94.23.117.111', 1578595680, 1578595695, 'PL', 'Poland'),
(67076, '94.23.117.112', '94.23.117.127', 1578595696, 1578595711, 'FR', 'France'),
(67077, '94.23.117.128', '94.23.117.159', 1578595712, 1578595743, 'GB', 'United Kingdom'),
(67078, '94.23.117.160', '94.23.117.163', 1578595744, 1578595747, 'IT', 'Italy'),
(67079, '94.23.117.164', '94.23.117.167', 1578595748, 1578595751, 'FR', 'France'),
(67080, '94.23.117.168', '94.23.117.175', 1578595752, 1578595759, 'ES', 'Spain'),
(67081, '94.23.117.176', '94.23.117.179', 1578595760, 1578595763, 'FR', 'France'),
(67082, '94.23.117.180', '94.23.117.191', 1578595764, 1578595775, 'ES', 'Spain'),
(67083, '94.23.117.192', '94.23.117.223', 1578595776, 1578595807, 'CH', 'Switzerland'),
(67084, '94.23.117.224', '94.23.117.239', 1578595808, 1578595823, 'DE', 'Germany'),
(67085, '94.23.117.240', '94.23.118.15', 1578595824, 1578595855, 'FR', 'France'),
(67086, '94.23.118.16', '94.23.118.31', 1578595856, 1578595871, 'GB', 'United Kingdom'),
(67087, '94.23.118.32', '94.23.118.67', 1578595872, 1578595907, 'PL', 'Poland'),
(67088, '94.23.118.68', '94.23.118.71', 1578595908, 1578595911, 'BE', 'Belgium'),
(67089, '94.23.118.72', '94.23.118.95', 1578595912, 1578595935, 'FR', 'France'),
(67090, '94.23.118.96', '94.23.118.127', 1578595936, 1578595967, 'DE', 'Germany'),
(67091, '94.23.118.128', '94.23.118.143', 1578595968, 1578595983, 'IE', 'Ireland'),
(67092, '94.23.118.144', '94.23.118.151', 1578595984, 1578595991, 'NL', 'Netherlands'),
(67093, '94.23.118.152', '94.23.118.155', 1578595992, 1578595995, 'IT', 'Italy'),
(67094, '94.23.118.156', '94.23.118.175', 1578595996, 1578596015, 'FR', 'France'),
(67095, '94.23.118.176', '94.23.118.183', 1578596016, 1578596023, 'PL', 'Poland'),
(67096, '94.23.118.184', '94.23.118.191', 1578596024, 1578596031, 'FR', 'France'),
(67097, '94.23.118.192', '94.23.118.223', 1578596032, 1578596063, 'IT', 'Italy'),
(67098, '94.23.118.224', '94.23.118.255', 1578596064, 1578596095, 'IE', 'Ireland'),
(67099, '94.23.119.0', '94.23.119.3', 1578596096, 1578596099, 'DE', 'Germany'),
(67100, '94.23.119.4', '94.23.119.7', 1578596100, 1578596103, 'GB', 'United Kingdom'),
(67101, '94.23.119.8', '94.23.119.11', 1578596104, 1578596107, 'PL', 'Poland'),
(67102, '94.23.119.12', '94.23.119.15', 1578596108, 1578596111, 'ES', 'Spain'),
(67103, '94.23.119.16', '94.23.119.19', 1578596112, 1578596115, 'NL', 'Netherlands'),
(67104, '94.23.119.20', '94.23.119.23', 1578596116, 1578596119, 'FR', 'France'),
(67105, '94.23.119.24', '94.23.119.27', 1578596120, 1578596123, 'PT', 'Portugal'),
(67106, '94.23.119.28', '94.23.119.31', 1578596124, 1578596127, 'ES', 'Spain'),
(67107, '94.23.119.32', '94.23.119.47', 1578596128, 1578596143, 'PL', 'Poland'),
(67108, '94.23.119.48', '94.23.119.51', 1578596144, 1578596147, 'DE', 'Germany'),
(67109, '94.23.119.52', '94.23.119.55', 1578596148, 1578596151, 'FR', 'France'),
(67110, '94.23.119.56', '94.23.119.59', 1578596152, 1578596155, 'DE', 'Germany'),
(67111, '94.23.119.60', '94.23.119.63', 1578596156, 1578596159, 'FR', 'France'),
(67112, '94.23.119.64', '94.23.119.79', 1578596160, 1578596175, 'PL', 'Poland'),
(67113, '94.23.119.80', '94.23.119.87', 1578596176, 1578596183, 'GB', 'United Kingdom'),
(67114, '94.23.119.88', '94.23.119.95', 1578596184, 1578596191, 'BE', 'Belgium'),
(67115, '94.23.119.96', '94.23.119.111', 1578596192, 1578596207, 'ES', 'Spain'),
(67116, '94.23.119.112', '94.23.119.159', 1578596208, 1578596255, 'FR', 'France'),
(67117, '94.23.119.160', '94.23.119.191', 1578596256, 1578596287, 'GB', 'United Kingdom'),
(67118, '94.23.119.192', '94.23.119.207', 1578596288, 1578596303, 'ES', 'Spain'),
(67119, '94.23.119.208', '94.23.119.255', 1578596304, 1578596351, 'FR', 'France'),
(67120, '94.23.120.0', '94.23.121.255', 1578596352, 1578596863, 'GB', 'United Kingdom'),
(67121, '94.23.122.0', '94.23.134.255', 1578596864, 1578600191, 'FR', 'France'),
(67122, '94.23.135.0', '94.23.135.63', 1578600192, 1578600255, 'BE', 'Belgium'),
(67123, '94.23.135.64', '94.23.136.63', 1578600256, 1578600511, 'FR', 'France'),
(67124, '94.23.136.64', '94.23.136.127', 1578600512, 1578600575, 'BE', 'Belgium'),
(67125, '94.23.136.128', '94.23.143.255', 1578600576, 1578602495, 'FR', 'France'),
(67126, '94.23.144.0', '94.23.151.255', 1578602496, 1578604543, 'NL', 'Netherlands'),
(67127, '94.23.152.0', '94.23.159.255', 1578604544, 1578606591, 'GB', 'United Kingdom'),
(67128, '94.23.160.0', '94.23.164.109', 1578606592, 1578607725, 'DE', 'Germany'),
(67129, '94.23.164.110', '94.23.164.110', 1578607726, 1578607726, 'FR', 'France'),
(67130, '94.23.164.111', '94.23.167.255', 1578607727, 1578608639, 'DE', 'Germany'),
(67131, '94.23.168.0', '94.23.175.255', 1578608640, 1578610687, 'CZ', 'Czech Republic'),
(67132, '94.23.176.0', '94.23.176.63', 1578610688, 1578610751, 'FR', 'France'),
(67133, '94.23.176.64', '94.23.176.67', 1578610752, 1578610755, 'BE', 'Belgium'),
(67134, '94.23.176.68', '94.23.176.71', 1578610756, 1578610759, 'ES', 'Spain'),
(67135, '94.23.176.72', '94.23.176.75', 1578610760, 1578610763, 'PL', 'Poland'),
(67136, '94.23.176.76', '94.23.176.79', 1578610764, 1578610767, 'NL', 'Netherlands'),
(67137, '94.23.176.80', '94.23.176.83', 1578610768, 1578610771, 'CH', 'Switzerland'),
(67138, '94.23.176.84', '94.23.176.87', 1578610772, 1578610775, 'GB', 'United Kingdom'),
(67139, '94.23.176.88', '94.23.176.91', 1578610776, 1578610779, 'DE', 'Germany'),
(67140, '94.23.176.92', '94.23.176.95', 1578610780, 1578610783, 'FR', 'France'),
(67141, '94.23.176.96', '94.23.176.111', 1578610784, 1578610799, 'DE', 'Germany'),
(67142, '94.23.176.112', '94.23.176.115', 1578610800, 1578610803, 'PL', 'Poland'),
(67143, '94.23.176.116', '94.23.176.119', 1578610804, 1578610807, 'GB', 'United Kingdom'),
(67144, '94.23.176.120', '94.23.176.131', 1578610808, 1578610819, 'FR', 'France'),
(67145, '94.23.176.132', '94.23.176.135', 1578610820, 1578610823, 'NL', 'Netherlands'),
(67146, '94.23.176.136', '94.23.176.143', 1578610824, 1578610831, 'DE', 'Germany'),
(67147, '94.23.176.144', '94.23.176.159', 1578610832, 1578610847, 'CH', 'Switzerland'),
(67148, '94.23.176.160', '94.23.176.163', 1578610848, 1578610851, 'PL', 'Poland'),
(67149, '94.23.176.164', '94.23.176.167', 1578610852, 1578610855, 'IE', 'Ireland'),
(67150, '94.23.176.168', '94.23.176.175', 1578610856, 1578610863, 'PL', 'Poland'),
(67151, '94.23.176.176', '94.23.176.179', 1578610864, 1578610867, 'BE', 'Belgium'),
(67152, '94.23.176.180', '94.23.176.183', 1578610868, 1578610871, 'FR', 'France'),
(67153, '94.23.176.184', '94.23.176.191', 1578610872, 1578610879, 'PL', 'Poland'),
(67154, '94.23.176.192', '94.23.176.255', 1578610880, 1578610943, 'FR', 'France'),
(67155, '94.23.177.0', '94.23.177.31', 1578610944, 1578610975, 'ES', 'Spain'),
(67156, '94.23.177.32', '94.23.177.63', 1578610976, 1578611007, 'PL', 'Poland'),
(67157, '94.23.177.64', '94.23.177.79', 1578611008, 1578611023, 'FR', 'France'),
(67158, '94.23.177.80', '94.23.177.95', 1578611024, 1578611039, 'NL', 'Netherlands'),
(67159, '94.23.177.96', '94.23.177.99', 1578611040, 1578611043, 'ES', 'Spain'),
(67160, '94.23.177.100', '94.23.177.103', 1578611044, 1578611047, 'GB', 'United Kingdom'),
(67161, '94.23.177.104', '94.23.177.107', 1578611048, 1578611051, 'ES', 'Spain'),
(67162, '94.23.177.108', '94.23.177.111', 1578611052, 1578611055, 'PL', 'Poland'),
(67163, '94.23.177.112', '94.23.177.127', 1578611056, 1578611071, 'FR', 'France'),
(67164, '94.23.177.128', '94.23.177.131', 1578611072, 1578611075, 'DE', 'Germany'),
(67165, '94.23.177.132', '94.23.177.143', 1578611076, 1578611087, 'FR', 'France'),
(67166, '94.23.177.144', '94.23.177.159', 1578611088, 1578611103, 'DE', 'Germany'),
(67167, '94.23.177.160', '94.23.177.163', 1578611104, 1578611107, 'BE', 'Belgium'),
(67168, '94.23.177.164', '94.23.177.175', 1578611108, 1578611119, 'DE', 'Germany'),
(67169, '94.23.177.176', '94.23.177.179', 1578611120, 1578611123, 'PL', 'Poland'),
(67170, '94.23.177.180', '94.23.177.183', 1578611124, 1578611127, 'FR', 'France'),
(67171, '94.23.177.184', '94.23.177.191', 1578611128, 1578611135, 'PL', 'Poland'),
(67172, '94.23.177.192', '94.23.177.207', 1578611136, 1578611151, 'CH', 'Switzerland'),
(67173, '94.23.177.208', '94.23.177.223', 1578611152, 1578611167, 'DE', 'Germany'),
(67174, '94.23.177.224', '94.23.177.231', 1578611168, 1578611175, 'PL', 'Poland'),
(67175, '94.23.177.232', '94.23.177.239', 1578611176, 1578611183, 'IE', 'Ireland'),
(67176, '94.23.177.240', '94.23.177.247', 1578611184, 1578611191, 'BE', 'Belgium'),
(67177, '94.23.177.248', '94.23.177.251', 1578611192, 1578611195, 'FR', 'France'),
(67178, '94.23.177.252', '94.23.177.255', 1578611196, 1578611199, 'ES', 'Spain'),
(67179, '94.23.178.0', '94.23.178.15', 1578611200, 1578611215, 'NL', 'Netherlands'),
(67180, '94.23.178.16', '94.23.178.19', 1578611216, 1578611219, 'GB', 'United Kingdom'),
(67181, '94.23.178.20', '94.23.178.23', 1578611220, 1578611223, 'DE', 'Germany'),
(67182, '94.23.178.24', '94.23.178.27', 1578611224, 1578611227, 'ES', 'Spain'),
(67183, '94.23.178.28', '94.23.178.31', 1578611228, 1578611231, 'PL', 'Poland'),
(67184, '94.23.178.32', '94.23.178.35', 1578611232, 1578611235, 'IT', 'Italy'),
(67185, '94.23.178.36', '94.23.178.39', 1578611236, 1578611239, 'FR', 'France'),
(67186, '94.23.178.40', '94.23.178.43', 1578611240, 1578611243, 'IE', 'Ireland'),
(67187, '94.23.178.44', '94.23.178.51', 1578611244, 1578611251, 'GB', 'United Kingdom'),
(67188, '94.23.178.52', '94.23.178.55', 1578611252, 1578611255, 'IT', 'Italy'),
(67189, '94.23.178.56', '94.23.178.63', 1578611256, 1578611263, 'PL', 'Poland'),
(67190, '94.23.178.64', '94.23.178.79', 1578611264, 1578611279, 'IT', 'Italy'),
(67191, '94.23.178.80', '94.23.178.87', 1578611280, 1578611287, 'FR', 'France'),
(67192, '94.23.178.88', '94.23.178.91', 1578611288, 1578611291, 'PL', 'Poland'),
(67193, '94.23.178.92', '94.23.178.95', 1578611292, 1578611295, 'DE', 'Germany'),
(67194, '94.23.178.96', '94.23.178.103', 1578611296, 1578611303, 'GB', 'United Kingdom'),
(67195, '94.23.178.104', '94.23.178.127', 1578611304, 1578611327, 'PL', 'Poland'),
(67196, '94.23.178.128', '94.23.178.143', 1578611328, 1578611343, 'BE', 'Belgium'),
(67197, '94.23.178.144', '94.23.178.159', 1578611344, 1578611359, 'FR', 'France'),
(67198, '94.23.178.160', '94.23.178.175', 1578611360, 1578611375, 'CH', 'Switzerland'),
(67199, '94.23.178.176', '94.23.178.191', 1578611376, 1578611391, 'FR', 'France'),
(67200, '94.23.178.192', '94.23.178.199', 1578611392, 1578611399, 'GB', 'United Kingdom'),
(67201, '94.23.178.200', '94.23.178.207', 1578611400, 1578611407, 'ES', 'Spain'),
(67202, '94.23.178.208', '94.23.178.223', 1578611408, 1578611423, 'IT', 'Italy'),
(67203, '94.23.178.224', '94.23.178.231', 1578611424, 1578611431, 'GB', 'United Kingdom'),
(67204, '94.23.178.232', '94.23.178.235', 1578611432, 1578611435, 'ES', 'Spain'),
(67205, '94.23.178.236', '94.23.178.239', 1578611436, 1578611439, 'FR', 'France'),
(67206, '94.23.178.240', '94.23.178.243', 1578611440, 1578611443, 'ES', 'Spain'),
(67207, '94.23.178.244', '94.23.178.247', 1578611444, 1578611447, 'NL', 'Netherlands'),
(67208, '94.23.178.248', '94.23.178.255', 1578611448, 1578611455, 'ES', 'Spain'),
(67209, '94.23.179.0', '94.23.179.255', 1578611456, 1578611711, 'FR', 'France'),
(67210, '94.23.180.0', '94.23.180.63', 1578611712, 1578611775, 'CH', 'Switzerland'),
(67211, '94.23.180.64', '94.23.180.71', 1578611776, 1578611783, 'DE', 'Germany'),
(67212, '94.23.180.72', '94.23.180.79', 1578611784, 1578611791, 'FR', 'France'),
(67213, '94.23.180.80', '94.23.180.95', 1578611792, 1578611807, 'GB', 'United Kingdom'),
(67214, '94.23.180.96', '94.23.180.127', 1578611808, 1578611839, 'CH', 'Switzerland'),
(67215, '94.23.180.128', '94.23.180.143', 1578611840, 1578611855, 'BE', 'Belgium'),
(67216, '94.23.180.144', '94.23.180.207', 1578611856, 1578611919, 'FR', 'France'),
(67217, '94.23.180.208', '94.23.180.223', 1578611920, 1578611935, 'BE', 'Belgium'),
(67218, '94.23.180.224', '94.23.180.231', 1578611936, 1578611943, 'PL', 'Poland'),
(67219, '94.23.180.232', '94.23.180.235', 1578611944, 1578611947, 'FR', 'France'),
(67220, '94.23.180.236', '94.23.180.239', 1578611948, 1578611951, 'GB', 'United Kingdom'),
(67221, '94.23.180.240', '94.23.180.255', 1578611952, 1578611967, 'FR', 'France'),
(67222, '94.23.181.0', '94.23.181.63', 1578611968, 1578612031, 'GB', 'United Kingdom'),
(67223, '94.23.181.64', '94.23.181.71', 1578612032, 1578612039, 'DE', 'Germany'),
(67224, '94.23.181.72', '94.23.181.79', 1578612040, 1578612047, 'CH', 'Switzerland'),
(67225, '94.23.181.80', '94.23.181.83', 1578612048, 1578612051, 'NL', 'Netherlands'),
(67226, '94.23.181.84', '94.23.181.87', 1578612052, 1578612055, 'DE', 'Germany'),
(67227, '94.23.181.88', '94.23.181.91', 1578612056, 1578612059, 'PL', 'Poland'),
(67228, '94.23.181.92', '94.23.181.95', 1578612060, 1578612063, 'ES', 'Spain'),
(67229, '94.23.181.96', '94.23.181.147', 1578612064, 1578612115, 'FR', 'France'),
(67230, '94.23.181.148', '94.23.181.151', 1578612116, 1578612119, 'PL', 'Poland'),
(67231, '94.23.181.152', '94.23.181.155', 1578612120, 1578612123, 'IE', 'Ireland'),
(67232, '94.23.181.156', '94.23.181.159', 1578612124, 1578612127, 'DE', 'Germany'),
(67233, '94.23.181.160', '94.23.181.167', 1578612128, 1578612135, 'ES', 'Spain'),
(67234, '94.23.181.168', '94.23.181.171', 1578612136, 1578612139, 'IE', 'Ireland'),
(67235, '94.23.181.172', '94.23.181.175', 1578612140, 1578612143, 'ES', 'Spain'),
(67236, '94.23.181.176', '94.23.181.255', 1578612144, 1578612223, 'PL', 'Poland'),
(67237, '94.23.182.0', '94.23.182.15', 1578612224, 1578612239, 'IT', 'Italy'),
(67238, '94.23.182.16', '94.23.182.31', 1578612240, 1578612255, 'FR', 'France'),
(67239, '94.23.182.32', '94.23.182.35', 1578612256, 1578612259, 'PL', 'Poland'),
(67240, '94.23.182.36', '94.23.182.39', 1578612260, 1578612263, 'IT', 'Italy'),
(67241, '94.23.182.40', '94.23.182.79', 1578612264, 1578612303, 'FR', 'France'),
(67242, '94.23.182.80', '94.23.182.95', 1578612304, 1578612319, 'DE', 'Germany'),
(67243, '94.23.182.96', '94.23.182.159', 1578612320, 1578612383, 'FR', 'France'),
(67244, '94.23.182.160', '94.23.182.191', 1578612384, 1578612415, 'PL', 'Poland'),
(67245, '94.23.182.192', '94.23.183.95', 1578612416, 1578612575, 'FR', 'France'),
(67246, '94.23.183.96', '94.23.183.99', 1578612576, 1578612579, 'PL', 'Poland'),
(67247, '94.23.183.100', '94.23.183.103', 1578612580, 1578612583, 'FR', 'France'),
(67248, '94.23.183.104', '94.23.183.107', 1578612584, 1578612587, 'IE', 'Ireland'),
(67249, '94.23.183.108', '94.23.183.127', 1578612588, 1578612607, 'IT', 'Italy'),
(67250, '94.23.183.128', '94.23.183.143', 1578612608, 1578612623, 'PT', 'Portugal'),
(67251, '94.23.183.144', '94.23.183.159', 1578612624, 1578612639, 'CH', 'Switzerland'),
(67252, '94.23.183.160', '94.23.183.191', 1578612640, 1578612671, 'PL', 'Poland'),
(67253, '94.23.183.192', '94.23.183.207', 1578612672, 1578612687, 'ES', 'Spain'),
(67254, '94.23.183.208', '94.23.183.223', 1578612688, 1578612703, 'DE', 'Germany'),
(67255, '94.23.183.224', '94.23.184.127', 1578612704, 1578612863, 'FR', 'France'),
(67256, '94.23.184.128', '94.23.184.159', 1578612864, 1578612895, 'NL', 'Netherlands'),
(67257, '94.23.184.160', '94.23.184.163', 1578612896, 1578612899, 'FR', 'France'),
(67258, '94.23.184.164', '94.23.184.167', 1578612900, 1578612903, 'PL', 'Poland'),
(67259, '94.23.184.168', '94.23.184.171', 1578612904, 1578612907, 'DE', 'Germany'),
(67260, '94.23.184.172', '94.23.184.191', 1578612908, 1578612927, 'FR', 'France'),
(67261, '94.23.184.192', '94.23.184.207', 1578612928, 1578612943, 'ES', 'Spain'),
(67262, '94.23.184.208', '94.23.184.223', 1578612944, 1578612959, 'GB', 'United Kingdom'),
(67263, '94.23.184.224', '94.23.184.239', 1578612960, 1578612975, 'DE', 'Germany'),
(67264, '94.23.184.240', '94.23.184.247', 1578612976, 1578612983, 'IT', 'Italy'),
(67265, '94.23.184.248', '94.23.184.255', 1578612984, 1578612991, 'FR', 'France'),
(67266, '94.23.185.0', '94.23.185.255', 1578612992, 1578613247, 'DE', 'Germany'),
(67267, '94.23.186.0', '94.23.186.143', 1578613248, 1578613391, 'FR', 'France'),
(67268, '94.23.186.144', '94.23.186.151', 1578613392, 1578613399, 'GB', 'United Kingdom'),
(67269, '94.23.186.152', '94.23.186.175', 1578613400, 1578613423, 'FR', 'France'),
(67270, '94.23.186.176', '94.23.186.179', 1578613424, 1578613427, 'DE', 'Germany'),
(67271, '94.23.186.180', '94.23.186.183', 1578613428, 1578613431, 'GB', 'United Kingdom'),
(67272, '94.23.186.184', '94.23.186.187', 1578613432, 1578613435, 'ES', 'Spain'),
(67273, '94.23.186.188', '94.23.186.199', 1578613436, 1578613447, 'FR', 'France'),
(67274, '94.23.186.200', '94.23.186.203', 1578613448, 1578613451, 'NL', 'Netherlands'),
(67275, '94.23.186.204', '94.23.186.207', 1578613452, 1578613455, 'GB', 'United Kingdom'),
(67276, '94.23.186.208', '94.23.186.211', 1578613456, 1578613459, 'IE', 'Ireland'),
(67277, '94.23.186.212', '94.23.186.223', 1578613460, 1578613471, 'FR', 'France'),
(67278, '94.23.186.224', '94.23.186.227', 1578613472, 1578613475, 'ES', 'Spain'),
(67279, '94.23.186.228', '94.23.186.231', 1578613476, 1578613479, 'CH', 'Switzerland'),
(67280, '94.23.186.232', '94.23.186.235', 1578613480, 1578613483, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(67281, '94.23.186.236', '94.23.186.239', 1578613484, 1578613487, 'PL', 'Poland'),
(67282, '94.23.186.240', '94.23.186.243', 1578613488, 1578613491, 'IT', 'Italy'),
(67283, '94.23.186.244', '94.23.186.247', 1578613492, 1578613495, 'IE', 'Ireland'),
(67284, '94.23.186.248', '94.23.186.255', 1578613496, 1578613503, 'NL', 'Netherlands'),
(67285, '94.23.187.0', '94.23.187.63', 1578613504, 1578613567, 'DE', 'Germany'),
(67286, '94.23.187.64', '94.23.187.127', 1578613568, 1578613631, 'PL', 'Poland'),
(67287, '94.23.187.128', '94.23.187.143', 1578613632, 1578613647, 'DE', 'Germany'),
(67288, '94.23.187.144', '94.23.187.175', 1578613648, 1578613679, 'FR', 'France'),
(67289, '94.23.187.176', '94.23.187.191', 1578613680, 1578613695, 'ES', 'Spain'),
(67290, '94.23.187.192', '94.23.187.207', 1578613696, 1578613711, 'NL', 'Netherlands'),
(67291, '94.23.187.208', '94.23.187.215', 1578613712, 1578613719, 'BE', 'Belgium'),
(67292, '94.23.187.216', '94.23.187.219', 1578613720, 1578613723, 'ES', 'Spain'),
(67293, '94.23.187.220', '94.23.187.223', 1578613724, 1578613727, 'IT', 'Italy'),
(67294, '94.23.187.224', '94.23.187.231', 1578613728, 1578613735, 'FR', 'France'),
(67295, '94.23.187.232', '94.23.187.235', 1578613736, 1578613739, 'PL', 'Poland'),
(67296, '94.23.187.236', '94.23.187.239', 1578613740, 1578613743, 'FR', 'France'),
(67297, '94.23.187.240', '94.23.187.247', 1578613744, 1578613751, 'ES', 'Spain'),
(67298, '94.23.187.248', '94.23.187.255', 1578613752, 1578613759, 'NL', 'Netherlands'),
(67299, '94.23.188.0', '94.23.188.15', 1578613760, 1578613775, 'DE', 'Germany'),
(67300, '94.23.188.16', '94.23.188.19', 1578613776, 1578613779, 'FR', 'France'),
(67301, '94.23.188.20', '94.23.188.23', 1578613780, 1578613783, 'PL', 'Poland'),
(67302, '94.23.188.24', '94.23.188.27', 1578613784, 1578613787, 'BE', 'Belgium'),
(67303, '94.23.188.28', '94.23.188.31', 1578613788, 1578613791, 'PL', 'Poland'),
(67304, '94.23.188.32', '94.23.188.63', 1578613792, 1578613823, 'ES', 'Spain'),
(67305, '94.23.188.64', '94.23.188.127', 1578613824, 1578613887, 'IT', 'Italy'),
(67306, '94.23.188.128', '94.23.188.191', 1578613888, 1578613951, 'ES', 'Spain'),
(67307, '94.23.188.192', '94.23.188.223', 1578613952, 1578613983, 'FR', 'France'),
(67308, '94.23.188.224', '94.23.188.239', 1578613984, 1578613999, 'PL', 'Poland'),
(67309, '94.23.188.240', '94.23.188.243', 1578614000, 1578614003, 'FR', 'France'),
(67310, '94.23.188.244', '94.23.188.247', 1578614004, 1578614007, 'PL', 'Poland'),
(67311, '94.23.188.248', '94.23.188.255', 1578614008, 1578614015, 'DE', 'Germany'),
(67312, '94.23.189.0', '94.23.189.15', 1578614016, 1578614031, 'FR', 'France'),
(67313, '94.23.189.16', '94.23.189.31', 1578614032, 1578614047, 'BE', 'Belgium'),
(67314, '94.23.189.32', '94.23.189.39', 1578614048, 1578614055, 'FI', 'Finland'),
(67315, '94.23.189.40', '94.23.189.55', 1578614056, 1578614071, 'FR', 'France'),
(67316, '94.23.189.56', '94.23.189.63', 1578614072, 1578614079, 'ES', 'Spain'),
(67317, '94.23.189.64', '94.23.189.159', 1578614080, 1578614175, 'FR', 'France'),
(67318, '94.23.189.160', '94.23.189.175', 1578614176, 1578614191, 'ES', 'Spain'),
(67319, '94.23.189.176', '94.23.189.179', 1578614192, 1578614195, 'FR', 'France'),
(67320, '94.23.189.180', '94.23.189.191', 1578614196, 1578614207, 'GB', 'United Kingdom'),
(67321, '94.23.189.192', '94.23.189.255', 1578614208, 1578614271, 'PL', 'Poland'),
(67322, '94.23.190.0', '94.23.190.255', 1578614272, 1578614527, 'ES', 'Spain'),
(67323, '94.23.191.0', '94.23.191.15', 1578614528, 1578614543, 'GB', 'United Kingdom'),
(67324, '94.23.191.16', '94.23.191.31', 1578614544, 1578614559, 'PL', 'Poland'),
(67325, '94.23.191.32', '94.23.191.47', 1578614560, 1578614575, 'FR', 'France'),
(67326, '94.23.191.48', '94.23.191.55', 1578614576, 1578614583, 'DE', 'Germany'),
(67327, '94.23.191.56', '94.23.191.63', 1578614584, 1578614591, 'GB', 'United Kingdom'),
(67328, '94.23.191.64', '94.23.191.95', 1578614592, 1578614623, 'CZ', 'Czech Republic'),
(67329, '94.23.191.96', '94.23.191.127', 1578614624, 1578614655, 'BE', 'Belgium'),
(67330, '94.23.191.128', '94.23.255.255', 1578614656, 1578631167, 'FR', 'France'),
(67331, '94.24.0.0', '94.24.127.255', 1578631168, 1578663935, 'RO', 'Romania'),
(67332, '94.24.128.0', '94.25.255.255', 1578663936, 1578762239, 'RU', 'Russian Federation'),
(67333, '94.26.0.0', '94.26.127.255', 1578762240, 1578795007, 'BG', 'Bulgaria'),
(67334, '94.26.128.0', '94.26.255.255', 1578795008, 1578827775, 'RU', 'Russian Federation'),
(67335, '94.27.0.0', '94.27.127.255', 1578827776, 1578860543, 'UA', 'Ukraine'),
(67336, '94.27.128.0', '94.27.255.255', 1578860544, 1578893311, 'HU', 'Hungary'),
(67337, '94.28.0.0', '94.29.127.255', 1578893312, 1578991615, 'RU', 'Russian Federation'),
(67338, '94.29.128.0', '94.29.255.255', 1578991616, 1579024383, 'KW', 'Kuwait'),
(67339, '94.30.0.0', '94.30.127.255', 1579024384, 1579057151, 'GB', 'United Kingdom'),
(67340, '94.30.128.0', '94.30.255.255', 1579057152, 1579089919, 'LV', 'Latvia'),
(67341, '94.31.0.0', '94.31.1.255', 1579089920, 1579090431, 'GB', 'United Kingdom'),
(67342, '94.31.2.0', '94.31.2.31', 1579090432, 1579090463, 'NL', 'Netherlands'),
(67343, '94.31.2.32', '94.31.7.47', 1579090464, 1579091759, 'GB', 'United Kingdom'),
(67344, '94.31.7.48', '94.31.7.63', 1579091760, 1579091775, 'IL', 'Israel'),
(67345, '94.31.7.64', '94.31.7.127', 1579091776, 1579091839, 'GB', 'United Kingdom'),
(67346, '94.31.7.128', '94.31.7.143', 1579091840, 1579091855, 'US', 'United States'),
(67347, '94.31.7.144', '94.31.7.255', 1579091856, 1579091967, 'GB', 'United Kingdom'),
(67348, '94.31.8.0', '94.31.8.255', 1579091968, 1579092223, 'DE', 'Germany'),
(67349, '94.31.9.0', '94.31.14.255', 1579092224, 1579093759, 'GB', 'United Kingdom'),
(67350, '94.31.15.0', '94.31.15.255', 1579093760, 1579094015, 'NL', 'Netherlands'),
(67351, '94.31.16.0', '94.31.16.255', 1579094016, 1579094271, 'GB', 'United Kingdom'),
(67352, '94.31.17.0', '94.31.17.255', 1579094272, 1579094527, 'NL', 'Netherlands'),
(67353, '94.31.18.0', '94.31.18.255', 1579094528, 1579094783, 'GB', 'United Kingdom'),
(67354, '94.31.19.0', '94.31.19.255', 1579094784, 1579095039, 'NL', 'Netherlands'),
(67355, '94.31.20.0', '94.31.24.255', 1579095040, 1579096319, 'GB', 'United Kingdom'),
(67356, '94.31.25.0', '94.31.25.31', 1579096320, 1579096351, 'DK', 'Denmark'),
(67357, '94.31.25.32', '94.31.32.255', 1579096352, 1579098367, 'GB', 'United Kingdom'),
(67358, '94.31.33.0', '94.31.33.63', 1579098368, 1579098431, 'NL', 'Netherlands'),
(67359, '94.31.33.64', '94.31.36.39', 1579098432, 1579099175, 'GB', 'United Kingdom'),
(67360, '94.31.36.40', '94.31.36.47', 1579099176, 1579099183, 'NL', 'Netherlands'),
(67361, '94.31.36.48', '94.31.58.255', 1579099184, 1579105023, 'GB', 'United Kingdom'),
(67362, '94.31.59.0', '94.31.59.63', 1579105024, 1579105087, 'NL', 'Netherlands'),
(67363, '94.31.59.64', '94.31.59.95', 1579105088, 1579105119, 'DE', 'Germany'),
(67364, '94.31.59.96', '94.31.60.255', 1579105120, 1579105535, 'GB', 'United Kingdom'),
(67365, '94.31.61.0', '94.31.61.63', 1579105536, 1579105599, 'NL', 'Netherlands'),
(67366, '94.31.61.64', '94.31.63.255', 1579105600, 1579106303, 'GB', 'United Kingdom'),
(67367, '94.31.64.0', '94.31.127.255', 1579106304, 1579122687, 'DE', 'Germany'),
(67368, '94.31.128.0', '94.31.255.255', 1579122688, 1579155455, 'RU', 'Russian Federation'),
(67369, '94.32.0.0', '94.39.255.255', 1579155456, 1579679743, 'IT', 'Italy'),
(67370, '94.40.0.0', '94.40.255.255', 1579679744, 1579745279, 'PL', 'Poland'),
(67371, '94.41.0.0', '94.41.255.255', 1579745280, 1579810815, 'RU', 'Russian Federation'),
(67372, '94.42.0.0', '94.42.255.255', 1579810816, 1579876351, 'PL', 'Poland'),
(67373, '94.43.0.0', '94.43.255.255', 1579876352, 1579941887, 'GE', 'Georgia'),
(67374, '94.44.0.0', '94.44.255.255', 1579941888, 1580007423, 'HU', 'Hungary'),
(67375, '94.45.0.0', '94.45.31.255', 1580007424, 1580015615, 'RU', 'Russian Federation'),
(67376, '94.45.32.0', '94.45.159.255', 1580015616, 1580048383, 'UA', 'Ukraine'),
(67377, '94.45.160.0', '94.45.223.255', 1580048384, 1580064767, 'RU', 'Russian Federation'),
(67378, '94.45.224.0', '94.45.255.255', 1580064768, 1580072959, 'DE', 'Germany'),
(67379, '94.46.0.0', '94.46.8.63', 1580072960, 1580075071, 'PT', 'Portugal'),
(67380, '94.46.8.64', '94.46.8.191', 1580075072, 1580075199, 'GB', 'United Kingdom'),
(67381, '94.46.8.192', '94.46.124.255', 1580075200, 1580104959, 'PT', 'Portugal'),
(67382, '94.46.125.0', '94.46.125.255', 1580104960, 1580105215, 'CH', 'Switzerland'),
(67383, '94.46.126.0', '94.46.239.255', 1580105216, 1580134399, 'PT', 'Portugal'),
(67384, '94.46.240.0', '94.46.240.175', 1580134400, 1580134575, 'ES', 'Spain'),
(67385, '94.46.240.176', '94.46.240.183', 1580134576, 1580134583, 'GB', 'United Kingdom'),
(67386, '94.46.240.184', '94.46.240.191', 1580134584, 1580134591, 'ES', 'Spain'),
(67387, '94.46.240.192', '94.46.240.255', 1580134592, 1580134655, 'GB', 'United Kingdom'),
(67388, '94.46.241.0', '94.46.247.255', 1580134656, 1580136447, 'ES', 'Spain'),
(67389, '94.46.248.0', '94.46.255.255', 1580136448, 1580138495, 'PT', 'Portugal'),
(67390, '94.47.0.0', '94.47.255.255', 1580138496, 1580204031, 'IT', 'Italy'),
(67391, '94.48.0.0', '94.49.255.255', 1580204032, 1580335103, 'RO', 'Romania'),
(67392, '94.50.0.0', '94.51.255.255', 1580335104, 1580466175, 'RU', 'Russian Federation'),
(67393, '94.52.0.0', '94.53.255.255', 1580466176, 1580597247, 'RO', 'Romania'),
(67394, '94.54.0.0', '94.55.255.255', 1580597248, 1580728319, 'TR', 'Turkey'),
(67395, '94.56.0.0', '94.59.255.255', 1580728320, 1580990463, 'AE', 'United Arab Emirates'),
(67396, '94.60.0.0', '94.63.255.255', 1580990464, 1581252607, 'RO', 'Romania'),
(67397, '94.64.0.0', '94.71.255.255', 1581252608, 1581776895, 'GR', 'Greece'),
(67398, '94.72.0.0', '94.72.63.255', 1581776896, 1581793279, 'RU', 'Russian Federation'),
(67399, '94.72.64.0', '94.72.127.255', 1581793280, 1581809663, 'PL', 'Poland'),
(67400, '94.72.128.0', '94.72.191.255', 1581809664, 1581826047, 'BG', 'Bulgaria'),
(67401, '94.72.192.0', '94.72.255.255', 1581826048, 1581842431, 'GB', 'United Kingdom'),
(67402, '94.73.0.0', '94.73.63.255', 1581842432, 1581858815, 'BG', 'Bulgaria'),
(67403, '94.73.64.0', '94.73.127.255', 1581858816, 1581875199, 'IT', 'Italy'),
(67404, '94.73.128.0', '94.73.151.255', 1581875200, 1581881343, 'TR', 'Turkey'),
(67405, '94.73.152.0', '94.73.152.255', 1581881344, 1581881599, 'GB', 'United Kingdom'),
(67406, '94.73.153.0', '94.73.187.255', 1581881600, 1581890559, 'TR', 'Turkey'),
(67407, '94.73.188.0', '94.73.189.255', 1581890560, 1581891071, 'GB', 'United Kingdom'),
(67408, '94.73.190.0', '94.73.191.255', 1581891072, 1581891583, 'TR', 'Turkey'),
(67409, '94.73.192.0', '94.73.255.255', 1581891584, 1581907967, 'RU', 'Russian Federation'),
(67410, '94.74.0.0', '94.74.63.255', 1581907968, 1581924351, 'IT', 'Italy'),
(67411, '94.74.64.0', '94.74.127.255', 1581924352, 1581940735, 'UA', 'Ukraine'),
(67412, '94.74.128.0', '94.74.191.255', 1581940736, 1581957119, 'IR', 'Iran, Islamic Republic of'),
(67413, '94.74.192.0', '94.74.255.255', 1581957120, 1581973503, 'CZ', 'Czech Republic'),
(67414, '94.75.0.0', '94.75.63.255', 1581973504, 1581989887, 'RU', 'Russian Federation'),
(67415, '94.75.64.0', '94.75.127.255', 1581989888, 1582006271, 'PL', 'Poland'),
(67416, '94.75.128.0', '94.75.191.255', 1582006272, 1582022655, 'RU', 'Russian Federation'),
(67417, '94.75.192.0', '94.75.220.76', 1582022656, 1582029900, 'NL', 'Netherlands'),
(67418, '94.75.220.77', '94.75.220.77', 1582029901, 1582029901, 'SE', 'Sweden'),
(67419, '94.75.220.78', '94.75.255.255', 1582029902, 1582039039, 'NL', 'Netherlands'),
(67420, '94.76.0.0', '94.76.63.255', 1582039040, 1582055423, 'BH', 'Bahrain'),
(67421, '94.76.64.0', '94.76.127.255', 1582055424, 1582071807, 'UA', 'Ukraine'),
(67422, '94.76.128.0', '94.76.191.255', 1582071808, 1582088191, 'ES', 'Spain'),
(67423, '94.76.192.0', '94.76.255.255', 1582088192, 1582104575, 'GB', 'United Kingdom'),
(67424, '94.77.0.0', '94.77.191.255', 1582104576, 1582153727, 'RU', 'Russian Federation'),
(67425, '94.77.192.0', '94.77.255.255', 1582153728, 1582170111, 'SA', 'Saudi Arabia'),
(67426, '94.78.0.0', '94.78.63.255', 1582170112, 1582186495, 'CH', 'Switzerland'),
(67427, '94.78.64.0', '94.78.94.31', 1582186496, 1582194207, 'TR', 'Turkey'),
(67428, '94.78.94.32', '94.78.94.255', 1582194208, 1582194431, 'GB', 'United Kingdom'),
(67429, '94.78.95.0', '94.78.127.255', 1582194432, 1582202879, 'TR', 'Turkey'),
(67430, '94.78.128.0', '94.78.191.255', 1582202880, 1582219263, 'PL', 'Poland'),
(67431, '94.78.192.0', '94.79.63.255', 1582219264, 1582252031, 'RU', 'Russian Federation'),
(67432, '94.79.64.0', '94.79.127.255', 1582252032, 1582268415, 'TR', 'Turkey'),
(67433, '94.79.128.0', '94.79.191.255', 1582268416, 1582284799, 'DE', 'Germany'),
(67434, '94.79.192.0', '94.79.255.255', 1582284800, 1582301183, 'BH', 'Bahrain'),
(67435, '94.80.0.0', '94.95.255.255', 1582301184, 1583349759, 'IT', 'Italy'),
(67436, '94.96.0.0', '94.99.255.255', 1583349760, 1583611903, 'SA', 'Saudi Arabia'),
(67437, '94.100.0.0', '94.100.15.255', 1583611904, 1583615999, 'LV', 'Latvia'),
(67438, '94.100.16.0', '94.100.22.255', 1583616000, 1583617791, 'NL', 'Netherlands'),
(67439, '94.100.23.0', '94.100.23.52', 1583617792, 1583617844, 'US', 'United States'),
(67440, '94.100.23.53', '94.100.23.53', 1583617845, 1583617845, 'A1', 'Anonymous Proxy'),
(67441, '94.100.23.54', '94.100.23.255', 1583617846, 1583618047, 'US', 'United States'),
(67442, '94.100.24.0', '94.100.30.255', 1583618048, 1583619839, 'NL', 'Netherlands'),
(67443, '94.100.31.0', '94.100.31.255', 1583619840, 1583620095, 'US', 'United States'),
(67444, '94.100.32.0', '94.100.47.255', 1583620096, 1583624191, 'IT', 'Italy'),
(67445, '94.100.48.0', '94.100.63.255', 1583624192, 1583628287, 'RS', 'Serbia'),
(67446, '94.100.64.0', '94.100.75.179', 1583628288, 1583631283, 'DE', 'Germany'),
(67447, '94.100.75.180', '94.100.75.183', 1583631284, 1583631287, 'A2', 'Satellite Provider'),
(67448, '94.100.75.184', '94.100.79.255', 1583631288, 1583632383, 'DE', 'Germany'),
(67449, '94.100.80.0', '94.100.95.255', 1583632384, 1583636479, 'RU', 'Russian Federation'),
(67450, '94.100.96.0', '94.100.111.255', 1583636480, 1583640575, 'MK', 'Macedonia'),
(67451, '94.100.112.0', '94.100.127.255', 1583640576, 1583644671, 'NL', 'Netherlands'),
(67452, '94.100.128.0', '94.100.134.255', 1583644672, 1583646463, 'DE', 'Germany'),
(67453, '94.100.135.0', '94.100.135.255', 1583646464, 1583646719, 'GB', 'United Kingdom'),
(67454, '94.100.136.0', '94.100.143.255', 1583646720, 1583648767, 'DE', 'Germany'),
(67455, '94.100.144.0', '94.100.159.255', 1583648768, 1583652863, 'CH', 'Switzerland'),
(67456, '94.100.160.0', '94.100.175.255', 1583652864, 1583656959, 'FR', 'France'),
(67457, '94.100.176.0', '94.100.207.255', 1583656960, 1583665151, 'RU', 'Russian Federation'),
(67458, '94.100.208.0', '94.100.223.255', 1583665152, 1583669247, 'UA', 'Ukraine'),
(67459, '94.100.224.0', '94.100.239.255', 1583669248, 1583673343, 'GE', 'Georgia'),
(67460, '94.100.240.0', '94.100.242.135', 1583673344, 1583673991, 'DE', 'Germany'),
(67461, '94.100.242.136', '94.100.242.143', 1583673992, 1583673999, 'GB', 'United Kingdom'),
(67462, '94.100.242.144', '94.100.255.255', 1583674000, 1583677439, 'DE', 'Germany'),
(67463, '94.101.0.0', '94.101.15.255', 1583677440, 1583681535, 'FI', 'Finland'),
(67464, '94.101.16.0', '94.101.31.255', 1583681536, 1583685631, 'PL', 'Poland'),
(67465, '94.101.32.0', '94.101.47.255', 1583685632, 1583689727, 'DE', 'Germany'),
(67466, '94.101.48.0', '94.101.63.255', 1583689728, 1583693823, 'IT', 'Italy'),
(67467, '94.101.64.0', '94.101.64.47', 1583693824, 1583693871, 'RU', 'Russian Federation'),
(67468, '94.101.64.48', '94.101.64.55', 1583693872, 1583693879, 'A2', 'Satellite Provider'),
(67469, '94.101.64.56', '94.101.79.255', 1583693880, 1583697919, 'RU', 'Russian Federation'),
(67470, '94.101.80.0', '94.101.95.255', 1583697920, 1583702015, 'TR', 'Turkey'),
(67471, '94.101.96.0', '94.101.111.255', 1583702016, 1583706111, 'RU', 'Russian Federation'),
(67472, '94.101.112.0', '94.101.127.255', 1583706112, 1583710207, 'GI', 'Gibraltar'),
(67473, '94.101.128.0', '94.101.135.255', 1583710208, 1583712255, 'IR', 'Iran, Islamic Republic of'),
(67474, '94.101.136.0', '94.101.143.255', 1583712256, 1583714303, 'AE', 'United Arab Emirates'),
(67475, '94.101.144.0', '94.101.158.223', 1583714304, 1583718111, 'GB', 'United Kingdom'),
(67476, '94.101.158.224', '94.101.158.224', 1583718112, 1583718112, 'FR', 'France'),
(67477, '94.101.158.225', '94.101.158.225', 1583718113, 1583718113, 'DE', 'Germany'),
(67478, '94.101.158.226', '94.101.158.226', 1583718114, 1583718114, 'ES', 'Spain'),
(67479, '94.101.158.227', '94.101.158.227', 1583718115, 1583718115, 'IT', 'Italy'),
(67480, '94.101.158.228', '94.101.158.228', 1583718116, 1583718116, 'NL', 'Netherlands'),
(67481, '94.101.158.229', '94.101.158.229', 1583718117, 1583718117, 'BE', 'Belgium'),
(67482, '94.101.158.230', '94.101.175.255', 1583718118, 1583722495, 'GB', 'United Kingdom'),
(67483, '94.101.176.0', '94.101.191.255', 1583722496, 1583726591, 'IR', 'Iran, Islamic Republic of'),
(67484, '94.101.192.0', '94.101.194.255', 1583726592, 1583727359, 'BG', 'Bulgaria'),
(67485, '94.101.195.0', '94.101.196.255', 1583727360, 1583727871, 'MK', 'Macedonia'),
(67486, '94.101.197.0', '94.101.207.255', 1583727872, 1583730687, 'BG', 'Bulgaria'),
(67487, '94.101.208.0', '94.101.214.111', 1583730688, 1583732335, 'DK', 'Denmark'),
(67488, '94.101.214.112', '94.101.214.127', 1583732336, 1583732351, 'A2', 'Satellite Provider'),
(67489, '94.101.214.128', '94.101.214.159', 1583732352, 1583732383, 'DK', 'Denmark'),
(67490, '94.101.214.160', '94.101.214.175', 1583732384, 1583732399, 'DE', 'Germany'),
(67491, '94.101.214.176', '94.101.223.255', 1583732400, 1583734783, 'DK', 'Denmark'),
(67492, '94.101.224.0', '94.101.239.255', 1583734784, 1583738879, 'LV', 'Latvia'),
(67493, '94.101.240.0', '94.101.255.255', 1583738880, 1583742975, 'IR', 'Iran, Islamic Republic of'),
(67494, '94.102.0.0', '94.102.15.255', 1583742976, 1583747071, 'TR', 'Turkey'),
(67495, '94.102.16.0', '94.102.31.255', 1583747072, 1583751167, 'RU', 'Russian Federation'),
(67496, '94.102.32.0', '94.102.47.255', 1583751168, 1583755263, 'NO', 'Norway'),
(67497, '94.102.48.0', '94.102.48.150', 1583755264, 1583755414, 'NL', 'Netherlands'),
(67498, '94.102.48.151', '94.102.48.160', 1583755415, 1583755424, 'RU', 'Russian Federation'),
(67499, '94.102.48.161', '94.102.63.255', 1583755425, 1583759359, 'NL', 'Netherlands'),
(67500, '94.102.64.0', '94.102.79.255', 1583759360, 1583763455, 'TR', 'Turkey'),
(67501, '94.102.80.0', '94.102.95.255', 1583763456, 1583767551, 'RU', 'Russian Federation'),
(67502, '94.102.96.0', '94.102.111.255', 1583767552, 1583771647, 'AT', 'Austria'),
(67503, '94.102.112.0', '94.102.127.255', 1583771648, 1583775743, 'RU', 'Russian Federation'),
(67504, '94.102.128.0', '94.102.143.255', 1583775744, 1583779839, 'IT', 'Italy'),
(67505, '94.102.144.0', '94.102.145.159', 1583779840, 1583780255, 'GB', 'United Kingdom'),
(67506, '94.102.145.160', '94.102.145.167', 1583780256, 1583780263, 'IT', 'Italy'),
(67507, '94.102.145.168', '94.102.147.159', 1583780264, 1583780767, 'GB', 'United Kingdom'),
(67508, '94.102.147.160', '94.102.147.167', 1583780768, 1583780775, 'IT', 'Italy'),
(67509, '94.102.147.168', '94.102.149.7', 1583780776, 1583781127, 'GB', 'United Kingdom'),
(67510, '94.102.149.8', '94.102.149.15', 1583781128, 1583781135, 'IT', 'Italy'),
(67511, '94.102.149.16', '94.102.149.159', 1583781136, 1583781279, 'GB', 'United Kingdom'),
(67512, '94.102.149.160', '94.102.149.175', 1583781280, 1583781295, 'IT', 'Italy'),
(67513, '94.102.149.176', '94.102.149.239', 1583781296, 1583781359, 'GB', 'United Kingdom'),
(67514, '94.102.149.240', '94.102.149.247', 1583781360, 1583781367, 'IT', 'Italy'),
(67515, '94.102.149.248', '94.102.154.95', 1583781368, 1583782495, 'GB', 'United Kingdom'),
(67516, '94.102.154.96', '94.102.154.103', 1583782496, 1583782503, 'IT', 'Italy'),
(67517, '94.102.154.104', '94.102.154.127', 1583782504, 1583782527, 'GB', 'United Kingdom'),
(67518, '94.102.154.128', '94.102.154.135', 1583782528, 1583782535, 'IT', 'Italy'),
(67519, '94.102.154.136', '94.102.155.15', 1583782536, 1583782671, 'GB', 'United Kingdom'),
(67520, '94.102.155.16', '94.102.155.23', 1583782672, 1583782679, 'IT', 'Italy'),
(67521, '94.102.155.24', '94.102.156.111', 1583782680, 1583783023, 'GB', 'United Kingdom'),
(67522, '94.102.156.112', '94.102.156.119', 1583783024, 1583783031, 'IT', 'Italy'),
(67523, '94.102.156.120', '94.102.159.47', 1583783032, 1583783727, 'GB', 'United Kingdom'),
(67524, '94.102.159.48', '94.102.159.55', 1583783728, 1583783735, 'IT', 'Italy'),
(67525, '94.102.159.56', '94.102.159.87', 1583783736, 1583783767, 'GB', 'United Kingdom'),
(67526, '94.102.159.88', '94.102.159.95', 1583783768, 1583783775, 'IT', 'Italy'),
(67527, '94.102.159.96', '94.102.159.223', 1583783776, 1583783903, 'GB', 'United Kingdom'),
(67528, '94.102.159.224', '94.102.159.231', 1583783904, 1583783911, 'IT', 'Italy'),
(67529, '94.102.159.232', '94.102.159.255', 1583783912, 1583783935, 'GB', 'United Kingdom'),
(67530, '94.102.160.0', '94.102.175.255', 1583783936, 1583788031, 'EU', 'Europe'),
(67531, '94.102.176.0', '94.102.191.255', 1583788032, 1583792127, 'TM', 'Turkmenistan'),
(67532, '94.102.192.0', '94.102.207.255', 1583792128, 1583796223, 'IE', 'Ireland'),
(67533, '94.102.208.0', '94.102.222.255', 1583796224, 1583800063, 'DE', 'Germany'),
(67534, '94.102.223.0', '94.102.223.31', 1583800064, 1583800095, 'AT', 'Austria'),
(67535, '94.102.223.32', '94.102.223.255', 1583800096, 1583800319, 'DE', 'Germany'),
(67536, '94.102.224.0', '94.102.239.255', 1583800320, 1583804415, 'ME', 'Montenegro'),
(67537, '94.102.240.0', '94.102.255.255', 1583804416, 1583808511, 'GB', 'United Kingdom'),
(67538, '94.103.0.0', '94.103.15.255', 1583808512, 1583812607, 'MD', 'Moldova, Republic of'),
(67539, '94.103.16.0', '94.103.18.51', 1583812608, 1583813171, 'NL', 'Netherlands'),
(67540, '94.103.18.52', '94.103.18.63', 1583813172, 1583813183, 'US', 'United States'),
(67541, '94.103.18.64', '94.103.18.79', 1583813184, 1583813199, 'NL', 'Netherlands'),
(67542, '94.103.18.80', '94.103.18.95', 1583813200, 1583813215, 'RU', 'Russian Federation'),
(67543, '94.103.18.96', '94.103.18.111', 1583813216, 1583813231, 'US', 'United States'),
(67544, '94.103.18.112', '94.103.18.119', 1583813232, 1583813239, 'NL', 'Netherlands'),
(67545, '94.103.18.120', '94.103.18.123', 1583813240, 1583813243, 'US', 'United States'),
(67546, '94.103.18.124', '94.103.20.31', 1583813244, 1583813663, 'NL', 'Netherlands'),
(67547, '94.103.20.32', '94.103.20.39', 1583813664, 1583813671, 'US', 'United States'),
(67548, '94.103.20.40', '94.103.20.79', 1583813672, 1583813711, 'NL', 'Netherlands'),
(67549, '94.103.20.80', '94.103.20.95', 1583813712, 1583813727, 'US', 'United States'),
(67550, '94.103.20.96', '94.103.20.103', 1583813728, 1583813735, 'NL', 'Netherlands'),
(67551, '94.103.20.104', '94.103.20.111', 1583813736, 1583813743, 'DE', 'Germany'),
(67552, '94.103.20.112', '94.103.25.255', 1583813744, 1583815167, 'NL', 'Netherlands'),
(67553, '94.103.26.0', '94.103.26.47', 1583815168, 1583815215, 'US', 'United States'),
(67554, '94.103.26.48', '94.103.26.175', 1583815216, 1583815343, 'NL', 'Netherlands'),
(67555, '94.103.26.176', '94.103.26.183', 1583815344, 1583815351, 'US', 'United States'),
(67556, '94.103.26.184', '94.103.27.255', 1583815352, 1583815679, 'NL', 'Netherlands'),
(67557, '94.103.28.0', '94.103.28.31', 1583815680, 1583815711, 'DE', 'Germany'),
(67558, '94.103.28.32', '94.103.28.47', 1583815712, 1583815727, 'US', 'United States'),
(67559, '94.103.28.48', '94.103.28.127', 1583815728, 1583815807, 'NL', 'Netherlands'),
(67560, '94.103.28.128', '94.103.28.255', 1583815808, 1583815935, 'US', 'United States'),
(67561, '94.103.29.0', '94.103.29.255', 1583815936, 1583816191, 'GB', 'United Kingdom'),
(67562, '94.103.30.0', '94.103.30.63', 1583816192, 1583816255, 'DE', 'Germany'),
(67563, '94.103.30.64', '94.103.30.159', 1583816256, 1583816351, 'NL', 'Netherlands'),
(67564, '94.103.30.160', '94.103.30.223', 1583816352, 1583816415, 'GB', 'United Kingdom'),
(67565, '94.103.30.224', '94.103.31.255', 1583816416, 1583816703, 'NL', 'Netherlands'),
(67566, '94.103.32.0', '94.103.40.255', 1583816704, 1583819007, 'TR', 'Turkey'),
(67567, '94.103.41.0', '94.103.41.128', 1583819008, 1583819136, 'GB', 'United Kingdom'),
(67568, '94.103.41.129', '94.103.47.255', 1583819137, 1583820799, 'TR', 'Turkey'),
(67569, '94.103.48.0', '94.103.63.255', 1583820800, 1583824895, 'LV', 'Latvia'),
(67570, '94.103.64.0', '94.103.79.255', 1583824896, 1583828991, 'SI', 'Slovenia'),
(67571, '94.103.80.0', '94.103.95.255', 1583828992, 1583833087, 'RU', 'Russian Federation'),
(67572, '94.103.96.0', '94.103.111.255', 1583833088, 1583837183, 'CH', 'Switzerland'),
(67573, '94.103.112.0', '94.103.127.255', 1583837184, 1583841279, 'GB', 'United Kingdom'),
(67574, '94.103.128.0', '94.103.143.255', 1583841280, 1583845375, 'FR', 'France'),
(67575, '94.103.144.0', '94.103.144.159', 1583845376, 1583845535, 'NL', 'Netherlands'),
(67576, '94.103.144.160', '94.103.144.191', 1583845536, 1583845567, 'BE', 'Belgium'),
(67577, '94.103.144.192', '94.103.145.95', 1583845568, 1583845727, 'NL', 'Netherlands'),
(67578, '94.103.145.96', '94.103.145.111', 1583845728, 1583845743, 'BE', 'Belgium'),
(67579, '94.103.145.112', '94.103.156.191', 1583845744, 1583848639, 'NL', 'Netherlands'),
(67580, '94.103.156.192', '94.103.156.255', 1583848640, 1583848703, 'BE', 'Belgium'),
(67581, '94.103.157.0', '94.103.157.31', 1583848704, 1583848735, 'NL', 'Netherlands'),
(67582, '94.103.157.32', '94.103.157.95', 1583848736, 1583848799, 'BE', 'Belgium'),
(67583, '94.103.157.96', '94.103.159.255', 1583848800, 1583849471, 'NL', 'Netherlands'),
(67584, '94.103.160.0', '94.103.164.255', 1583849472, 1583850751, 'DE', 'Germany'),
(67585, '94.103.165.0', '94.103.165.191', 1583850752, 1583850943, 'AT', 'Austria'),
(67586, '94.103.165.192', '94.103.165.199', 1583850944, 1583850951, 'DE', 'Germany'),
(67587, '94.103.165.200', '94.103.165.207', 1583850952, 1583850959, 'AT', 'Austria'),
(67588, '94.103.165.208', '94.103.165.247', 1583850960, 1583850999, 'DE', 'Germany'),
(67589, '94.103.165.248', '94.103.165.255', 1583851000, 1583851007, 'AT', 'Austria'),
(67590, '94.103.166.0', '94.103.175.255', 1583851008, 1583853567, 'DE', 'Germany'),
(67591, '94.103.176.0', '94.103.191.255', 1583853568, 1583857663, 'RU', 'Russian Federation'),
(67592, '94.103.192.0', '94.103.207.255', 1583857664, 1583861759, 'SE', 'Sweden'),
(67593, '94.103.208.0', '94.103.223.255', 1583861760, 1583865855, 'LU', 'Luxembourg'),
(67594, '94.103.224.0', '94.103.239.255', 1583865856, 1583869951, 'RU', 'Russian Federation'),
(67595, '94.103.240.0', '94.103.255.255', 1583869952, 1583874047, 'KZ', 'Kazakhstan'),
(67596, '94.104.0.0', '94.111.255.255', 1583874048, 1584398335, 'BE', 'Belgium'),
(67597, '94.112.0.0', '94.115.255.255', 1584398336, 1584660479, 'CZ', 'Czech Republic'),
(67598, '94.116.0.0', '94.118.255.255', 1584660480, 1584857087, 'GB', 'United Kingdom'),
(67599, '94.119.0.0', '94.119.7.255', 1584857088, 1584859135, 'DE', 'Germany'),
(67600, '94.119.8.0', '94.119.255.255', 1584859136, 1584922623, 'GB', 'United Kingdom'),
(67601, '94.120.0.0', '94.123.255.255', 1584922624, 1585184767, 'TR', 'Turkey'),
(67602, '94.124.0.0', '94.124.23.255', 1585184768, 1585190911, 'PL', 'Poland'),
(67603, '94.124.24.0', '94.124.31.255', 1585190912, 1585192959, 'ES', 'Spain'),
(67604, '94.124.32.0', '94.124.39.255', 1585192960, 1585195007, 'IT', 'Italy'),
(67605, '94.124.40.0', '94.124.47.255', 1585195008, 1585197055, 'CZ', 'Czech Republic'),
(67606, '94.124.48.0', '94.124.55.255', 1585197056, 1585199103, 'IT', 'Italy'),
(67607, '94.124.56.0', '94.124.63.255', 1585199104, 1585201151, 'NL', 'Netherlands'),
(67608, '94.124.64.0', '94.124.79.255', 1585201152, 1585205247, 'IT', 'Italy'),
(67609, '94.124.80.0', '94.124.87.255', 1585205248, 1585207295, 'FR', 'France'),
(67610, '94.124.88.0', '94.124.97.255', 1585207296, 1585209855, 'NL', 'Netherlands'),
(67611, '94.124.98.0', '94.124.98.255', 1585209856, 1585210111, 'IQ', 'Iraq'),
(67612, '94.124.99.0', '94.124.99.255', 1585210112, 1585210367, 'IR', 'Iran, Islamic Republic of'),
(67613, '94.124.100.0', '94.124.103.255', 1585210368, 1585211391, 'NL', 'Netherlands'),
(67614, '94.124.104.0', '94.124.111.255', 1585211392, 1585213439, 'CZ', 'Czech Republic'),
(67615, '94.124.112.0', '94.124.115.255', 1585213440, 1585214463, 'GB', 'United Kingdom'),
(67616, '94.124.116.0', '94.124.127.255', 1585214464, 1585217535, 'NL', 'Netherlands'),
(67617, '94.124.128.0', '94.124.135.255', 1585217536, 1585219583, 'FR', 'France'),
(67618, '94.124.136.0', '94.124.143.255', 1585219584, 1585221631, 'NL', 'Netherlands'),
(67619, '94.124.144.0', '94.124.151.255', 1585221632, 1585223679, 'SK', 'Slovakia'),
(67620, '94.124.152.0', '94.124.159.255', 1585223680, 1585225727, 'FR', 'France'),
(67621, '94.124.160.0', '94.124.167.255', 1585225728, 1585227775, 'UA', 'Ukraine'),
(67622, '94.124.168.0', '94.124.181.255', 1585227776, 1585231359, 'RU', 'Russian Federation'),
(67623, '94.124.182.0', '94.124.182.255', 1585231360, 1585231615, 'NL', 'Netherlands'),
(67624, '94.124.183.0', '94.124.183.255', 1585231616, 1585231871, 'RU', 'Russian Federation'),
(67625, '94.124.184.0', '94.124.191.255', 1585231872, 1585233919, 'CZ', 'Czech Republic'),
(67626, '94.124.192.0', '94.124.207.255', 1585233920, 1585238015, 'RU', 'Russian Federation'),
(67627, '94.124.208.0', '94.124.215.255', 1585238016, 1585240063, 'DE', 'Germany'),
(67628, '94.124.216.0', '94.124.219.255', 1585240064, 1585241087, 'FR', 'France'),
(67629, '94.124.220.0', '94.124.223.255', 1585241088, 1585242111, 'MQ', 'Martinique'),
(67630, '94.124.224.0', '94.124.231.255', 1585242112, 1585244159, 'RU', 'Russian Federation'),
(67631, '94.124.232.0', '94.124.239.255', 1585244160, 1585246207, 'FR', 'France'),
(67632, '94.124.240.0', '94.124.247.255', 1585246208, 1585248255, 'RU', 'Russian Federation'),
(67633, '94.124.248.0', '94.124.255.255', 1585248256, 1585250303, 'CZ', 'Czech Republic'),
(67634, '94.125.0.0', '94.125.15.255', 1585250304, 1585254399, 'RU', 'Russian Federation'),
(67635, '94.125.16.0', '94.125.23.255', 1585254400, 1585256447, 'GB', 'United Kingdom'),
(67636, '94.125.24.0', '94.125.31.255', 1585256448, 1585258495, 'DE', 'Germany'),
(67637, '94.125.32.0', '94.125.39.255', 1585258496, 1585260543, 'GB', 'United Kingdom'),
(67638, '94.125.40.0', '94.125.55.255', 1585260544, 1585264639, 'RU', 'Russian Federation'),
(67639, '94.125.56.0', '94.125.59.255', 1585264640, 1585265663, 'MT', 'Malta'),
(67640, '94.125.60.0', '94.125.60.31', 1585265664, 1585265695, 'FR', 'France'),
(67641, '94.125.60.32', '94.125.60.63', 1585265696, 1585265727, 'IM', 'Isle of Man'),
(67642, '94.125.60.64', '94.125.61.255', 1585265728, 1585266175, 'FR', 'France'),
(67643, '94.125.62.0', '94.125.62.95', 1585266176, 1585266271, 'MT', 'Malta'),
(67644, '94.125.62.96', '94.125.62.111', 1585266272, 1585266287, 'MA', 'Morocco'),
(67645, '94.125.62.112', '94.125.63.255', 1585266288, 1585266687, 'MT', 'Malta'),
(67646, '94.125.64.0', '94.125.79.255', 1585266688, 1585270783, 'DE', 'Germany'),
(67647, '94.125.80.0', '94.125.87.255', 1585270784, 1585272831, 'IT', 'Italy'),
(67648, '94.125.88.0', '94.125.95.255', 1585272832, 1585274879, 'RU', 'Russian Federation'),
(67649, '94.125.96.0', '94.125.103.255', 1585274880, 1585276927, 'ES', 'Spain'),
(67650, '94.125.104.0', '94.125.111.255', 1585276928, 1585278975, 'FR', 'France'),
(67651, '94.125.112.0', '94.125.119.255', 1585278976, 1585281023, 'AL', 'Albania'),
(67652, '94.125.120.0', '94.125.127.255', 1585281024, 1585283071, 'UA', 'Ukraine'),
(67653, '94.125.128.0', '94.125.135.255', 1585283072, 1585285119, 'GB', 'United Kingdom'),
(67654, '94.125.136.0', '94.125.143.255', 1585285120, 1585287167, 'ES', 'Spain'),
(67655, '94.125.144.0', '94.125.151.255', 1585287168, 1585289215, 'CY', 'Cyprus'),
(67656, '94.125.152.0', '94.125.159.255', 1585289216, 1585291263, 'DE', 'Germany'),
(67657, '94.125.160.0', '94.125.175.255', 1585291264, 1585295359, 'FR', 'France'),
(67658, '94.125.176.0', '94.125.183.255', 1585295360, 1585297407, 'HU', 'Hungary'),
(67659, '94.125.184.0', '94.125.191.255', 1585297408, 1585299455, 'RU', 'Russian Federation'),
(67660, '94.125.192.0', '94.125.199.255', 1585299456, 1585301503, 'GB', 'United Kingdom'),
(67661, '94.125.200.0', '94.125.207.255', 1585301504, 1585303551, 'LU', 'Luxembourg'),
(67662, '94.125.208.0', '94.125.215.255', 1585303552, 1585305599, 'DE', 'Germany'),
(67663, '94.125.216.0', '94.125.223.255', 1585305600, 1585307647, 'CZ', 'Czech Republic'),
(67664, '94.125.224.0', '94.125.231.255', 1585307648, 1585309695, 'QA', 'Qatar'),
(67665, '94.125.232.0', '94.125.239.255', 1585309696, 1585311743, 'IT', 'Italy'),
(67666, '94.125.240.0', '94.125.247.255', 1585311744, 1585313791, 'RU', 'Russian Federation'),
(67667, '94.125.248.0', '94.125.255.255', 1585313792, 1585315839, 'HU', 'Hungary'),
(67668, '94.126.0.0', '94.126.7.255', 1585315840, 1585317887, 'DK', 'Denmark'),
(67669, '94.126.8.0', '94.126.15.255', 1585317888, 1585319935, 'IT', 'Italy'),
(67670, '94.126.16.0', '94.126.23.255', 1585319936, 1585321983, 'CH', 'Switzerland'),
(67671, '94.126.24.0', '94.126.31.255', 1585321984, 1585324031, 'RU', 'Russian Federation'),
(67672, '94.126.32.0', '94.126.39.255', 1585324032, 1585326079, 'NL', 'Netherlands'),
(67673, '94.126.40.0', '94.126.47.255', 1585326080, 1585328127, 'GB', 'United Kingdom'),
(67674, '94.126.48.0', '94.126.55.255', 1585328128, 1585330175, 'BE', 'Belgium'),
(67675, '94.126.56.0', '94.126.63.255', 1585330176, 1585332223, 'IT', 'Italy'),
(67676, '94.126.64.0', '94.126.71.255', 1585332224, 1585334271, 'NL', 'Netherlands'),
(67677, '94.126.72.0', '94.126.79.255', 1585334272, 1585336319, 'DE', 'Germany'),
(67678, '94.126.80.0', '94.126.87.255', 1585336320, 1585338367, 'SE', 'Sweden'),
(67679, '94.126.88.0', '94.126.95.255', 1585338368, 1585340415, 'RU', 'Russian Federation'),
(67680, '94.126.96.0', '94.126.103.255', 1585340416, 1585342463, 'AT', 'Austria'),
(67681, '94.126.104.0', '94.126.107.79', 1585342464, 1585343311, 'GB', 'United Kingdom'),
(67682, '94.126.107.80', '94.126.107.87', 1585343312, 1585343319, 'DE', 'Germany'),
(67683, '94.126.107.88', '94.126.111.255', 1585343320, 1585344511, 'GB', 'United Kingdom'),
(67684, '94.126.112.0', '94.126.119.255', 1585344512, 1585346559, 'FR', 'France'),
(67685, '94.126.120.0', '94.126.127.255', 1585346560, 1585348607, 'GB', 'United Kingdom'),
(67686, '94.126.128.0', '94.126.135.255', 1585348608, 1585350655, 'CH', 'Switzerland'),
(67687, '94.126.136.0', '94.126.143.255', 1585350656, 1585352703, 'IT', 'Italy'),
(67688, '94.126.144.0', '94.126.151.255', 1585352704, 1585354751, 'PT', 'Portugal'),
(67689, '94.126.152.0', '94.126.159.255', 1585354752, 1585356799, 'RU', 'Russian Federation'),
(67690, '94.126.160.0', '94.126.167.255', 1585356800, 1585358847, 'FI', 'Finland'),
(67691, '94.126.168.0', '94.126.175.255', 1585358848, 1585360895, 'PT', 'Portugal'),
(67692, '94.126.176.0', '94.126.183.255', 1585360896, 1585362943, 'DK', 'Denmark'),
(67693, '94.126.184.0', '94.126.185.255', 1585362944, 1585363455, 'IT', 'Italy'),
(67694, '94.126.186.0', '94.126.186.95', 1585363456, 1585363551, 'ES', 'Spain'),
(67695, '94.126.186.96', '94.126.191.255', 1585363552, 1585364991, 'IT', 'Italy'),
(67696, '94.126.192.0', '94.126.199.255', 1585364992, 1585367039, 'GB', 'United Kingdom'),
(67697, '94.126.200.0', '94.126.207.255', 1585367040, 1585369087, 'RU', 'Russian Federation'),
(67698, '94.126.208.0', '94.126.215.255', 1585369088, 1585371135, 'GB', 'United Kingdom'),
(67699, '94.126.216.0', '94.126.231.255', 1585371136, 1585375231, 'SE', 'Sweden'),
(67700, '94.126.232.0', '94.126.239.255', 1585375232, 1585377279, 'GB', 'United Kingdom'),
(67701, '94.126.240.0', '94.126.247.255', 1585377280, 1585379327, 'ES', 'Spain'),
(67702, '94.126.248.0', '94.126.255.255', 1585379328, 1585381375, 'CH', 'Switzerland'),
(67703, '94.127.0.0', '94.127.3.255', 1585381376, 1585382399, 'RS', 'Serbia'),
(67704, '94.127.4.0', '94.127.7.255', 1585382400, 1585383423, 'GB', 'United Kingdom'),
(67705, '94.127.8.0', '94.127.15.255', 1585383424, 1585385471, 'FR', 'France'),
(67706, '94.127.16.0', '94.127.23.255', 1585385472, 1585387519, 'DE', 'Germany'),
(67707, '94.127.24.0', '94.127.31.255', 1585387520, 1585389567, 'SI', 'Slovenia'),
(67708, '94.127.32.0', '94.127.39.255', 1585389568, 1585391615, 'SE', 'Sweden'),
(67709, '94.127.40.0', '94.127.47.255', 1585391616, 1585393663, 'IT', 'Italy'),
(67710, '94.127.48.0', '94.127.55.255', 1585393664, 1585395711, 'DK', 'Denmark'),
(67711, '94.127.56.0', '94.127.63.255', 1585395712, 1585397759, 'NO', 'Norway'),
(67712, '94.127.64.0', '94.127.71.255', 1585397760, 1585399807, 'RU', 'Russian Federation'),
(67713, '94.127.72.0', '94.127.72.255', 1585399808, 1585400063, 'NL', 'Netherlands'),
(67714, '94.127.73.0', '94.127.73.255', 1585400064, 1585400319, 'IL', 'Israel'),
(67715, '94.127.74.0', '94.127.74.255', 1585400320, 1585400575, 'GB', 'United Kingdom'),
(67716, '94.127.75.0', '94.127.75.255', 1585400576, 1585400831, 'FR', 'France'),
(67717, '94.127.76.0', '94.127.76.255', 1585400832, 1585401087, 'DE', 'Germany'),
(67718, '94.127.77.0', '94.127.77.255', 1585401088, 1585401343, 'NL', 'Netherlands'),
(67719, '94.127.78.0', '94.127.78.255', 1585401344, 1585401599, 'DE', 'Germany'),
(67720, '94.127.79.0', '94.127.79.255', 1585401600, 1585401855, 'GB', 'United Kingdom'),
(67721, '94.127.80.0', '94.127.87.255', 1585401856, 1585403903, 'IT', 'Italy'),
(67722, '94.127.88.0', '94.127.95.255', 1585403904, 1585405951, 'RU', 'Russian Federation'),
(67723, '94.127.96.0', '94.127.103.255', 1585405952, 1585407999, 'GB', 'United Kingdom'),
(67724, '94.127.104.0', '94.127.111.255', 1585408000, 1585410047, 'PL', 'Poland'),
(67725, '94.127.112.0', '94.127.119.255', 1585410048, 1585412095, 'GB', 'United Kingdom'),
(67726, '94.127.120.0', '94.127.127.255', 1585412096, 1585414143, 'NO', 'Norway'),
(67727, '94.127.128.0', '94.127.135.255', 1585414144, 1585416191, 'CZ', 'Czech Republic'),
(67728, '94.127.136.0', '94.127.159.255', 1585416192, 1585422335, 'RU', 'Russian Federation'),
(67729, '94.127.160.0', '94.127.167.255', 1585422336, 1585424383, 'ES', 'Spain'),
(67730, '94.127.168.0', '94.127.183.255', 1585424384, 1585428479, 'RU', 'Russian Federation'),
(67731, '94.127.184.0', '94.127.199.255', 1585428480, 1585432575, 'ES', 'Spain'),
(67732, '94.127.200.0', '94.127.207.255', 1585432576, 1585434623, 'RU', 'Russian Federation'),
(67733, '94.127.208.0', '94.127.215.255', 1585434624, 1585436671, 'JO', 'Jordan'),
(67734, '94.127.216.0', '94.127.223.255', 1585436672, 1585438719, 'RU', 'Russian Federation'),
(67735, '94.127.224.0', '94.127.231.255', 1585438720, 1585440767, 'DE', 'Germany'),
(67736, '94.127.232.0', '94.127.239.255', 1585440768, 1585442815, 'IT', 'Italy'),
(67737, '94.127.240.0', '94.127.255.255', 1585442816, 1585446911, 'RU', 'Russian Federation'),
(67738, '94.128.0.0', '94.129.255.255', 1585446912, 1585577983, 'KW', 'Kuwait'),
(67739, '94.130.0.0', '94.131.255.255', 1585577984, 1585709055, 'UA', 'Ukraine'),
(67740, '94.132.0.0', '94.133.255.255', 1585709056, 1585840127, 'PT', 'Portugal'),
(67741, '94.134.0.0', '94.135.255.255', 1585840128, 1585971199, 'DE', 'Germany'),
(67742, '94.136.0.0', '94.136.31.255', 1585971200, 1585979391, 'AT', 'Austria'),
(67743, '94.136.32.0', '94.136.63.255', 1585979392, 1585987583, 'GB', 'United Kingdom'),
(67744, '94.136.64.0', '94.136.65.255', 1585987584, 1585988095, 'SE', 'Sweden'),
(67745, '94.136.66.0', '94.136.66.7', 1585988096, 1585988103, 'IT', 'Italy'),
(67746, '94.136.66.8', '94.136.66.23', 1585988104, 1585988119, 'SE', 'Sweden'),
(67747, '94.136.66.24', '94.136.66.27', 1585988120, 1585988123, 'US', 'United States'),
(67748, '94.136.66.28', '94.136.66.255', 1585988124, 1585988351, 'SE', 'Sweden'),
(67749, '94.136.67.0', '94.136.67.7', 1585988352, 1585988359, 'DE', 'Germany'),
(67750, '94.136.67.8', '94.136.67.127', 1585988360, 1585988479, 'SE', 'Sweden'),
(67751, '94.136.67.128', '94.136.67.131', 1585988480, 1585988483, 'US', 'United States'),
(67752, '94.136.67.132', '94.136.69.63', 1585988484, 1585988927, 'SE', 'Sweden'),
(67753, '94.136.69.64', '94.136.69.67', 1585988928, 1585988931, 'US', 'United States'),
(67754, '94.136.69.68', '94.136.70.187', 1585988932, 1585989307, 'SE', 'Sweden'),
(67755, '94.136.70.188', '94.136.70.191', 1585989308, 1585989311, 'US', 'United States'),
(67756, '94.136.70.192', '94.136.75.255', 1585989312, 1585990655, 'SE', 'Sweden'),
(67757, '94.136.76.0', '94.136.76.3', 1585990656, 1585990659, 'US', 'United States'),
(67758, '94.136.76.4', '94.136.76.191', 1585990660, 1585990847, 'SE', 'Sweden'),
(67759, '94.136.76.192', '94.136.76.195', 1585990848, 1585990851, 'US', 'United States'),
(67760, '94.136.76.196', '94.136.76.255', 1585990852, 1585990911, 'SE', 'Sweden'),
(67761, '94.136.77.0', '94.136.77.3', 1585990912, 1585990915, 'US', 'United States'),
(67762, '94.136.77.4', '94.136.77.255', 1585990916, 1585991167, 'SE', 'Sweden'),
(67763, '94.136.78.0', '94.136.78.3', 1585991168, 1585991171, 'US', 'United States'),
(67764, '94.136.78.4', '94.136.80.3', 1585991172, 1585991683, 'SE', 'Sweden'),
(67765, '94.136.80.4', '94.136.80.7', 1585991684, 1585991687, 'US', 'United States'),
(67766, '94.136.80.8', '94.136.80.47', 1585991688, 1585991727, 'SE', 'Sweden'),
(67767, '94.136.80.48', '94.136.80.51', 1585991728, 1585991731, 'RU', 'Russian Federation'),
(67768, '94.136.80.52', '94.136.80.255', 1585991732, 1585991935, 'SE', 'Sweden'),
(67769, '94.136.81.0', '94.136.81.3', 1585991936, 1585991939, 'US', 'United States'),
(67770, '94.136.81.4', '94.136.91.47', 1585991940, 1585994543, 'SE', 'Sweden'),
(67771, '94.136.91.48', '94.136.91.51', 1585994544, 1585994547, 'MY', 'Malaysia'),
(67772, '94.136.91.52', '94.136.95.127', 1585994548, 1585995647, 'SE', 'Sweden'),
(67773, '94.136.95.128', '94.136.95.131', 1585995648, 1585995651, 'US', 'United States'),
(67774, '94.136.95.132', '94.136.95.255', 1585995652, 1585995775, 'SE', 'Sweden'),
(67775, '94.136.96.0', '94.136.127.255', 1585995776, 1586003967, 'AT', 'Austria'),
(67776, '94.136.128.0', '94.136.159.255', 1586003968, 1586012159, 'SK', 'Slovakia'),
(67777, '94.136.160.0', '94.136.191.255', 1586012160, 1586020351, 'DE', 'Germany'),
(67778, '94.136.192.0', '94.136.223.255', 1586020352, 1586028543, 'RU', 'Russian Federation'),
(67779, '94.136.224.0', '94.136.255.255', 1586028544, 1586036735, 'GB', 'United Kingdom'),
(67780, '94.137.0.0', '94.137.95.255', 1586036736, 1586061311, 'RU', 'Russian Federation'),
(67781, '94.137.96.0', '94.137.127.255', 1586061312, 1586069503, 'SE', 'Sweden'),
(67782, '94.137.128.0', '94.137.159.255', 1586069504, 1586077695, 'DE', 'Germany'),
(67783, '94.137.160.0', '94.137.191.255', 1586077696, 1586085887, 'GE', 'Georgia'),
(67784, '94.137.192.0', '94.138.31.255', 1586085888, 1586110463, 'RU', 'Russian Federation'),
(67785, '94.138.32.0', '94.138.63.255', 1586110464, 1586118655, 'IT', 'Italy'),
(67786, '94.138.64.0', '94.138.95.255', 1586118656, 1586126847, 'DK', 'Denmark'),
(67787, '94.138.96.0', '94.138.101.255', 1586126848, 1586128383, 'CZ', 'Czech Republic'),
(67788, '94.138.102.0', '94.138.102.255', 1586128384, 1586128639, 'SK', 'Slovakia'),
(67789, '94.138.103.0', '94.138.127.255', 1586128640, 1586135039, 'CZ', 'Czech Republic'),
(67790, '94.138.128.0', '94.138.159.255', 1586135040, 1586143231, 'RU', 'Russian Federation'),
(67791, '94.138.160.0', '94.138.191.255', 1586143232, 1586151423, 'IT', 'Italy'),
(67792, '94.138.192.0', '94.138.223.255', 1586151424, 1586159615, 'TR', 'Turkey'),
(67793, '94.138.224.0', '94.138.255.255', 1586159616, 1586167807, 'MT', 'Malta'),
(67794, '94.139.0.0', '94.139.31.255', 1586167808, 1586175999, 'DE', 'Germany'),
(67795, '94.139.32.0', '94.139.63.255', 1586176000, 1586184191, 'BE', 'Belgium'),
(67796, '94.139.64.0', '94.139.95.255', 1586184192, 1586192383, 'NO', 'Norway'),
(67797, '94.139.96.0', '94.139.127.255', 1586192384, 1586200575, 'RU', 'Russian Federation'),
(67798, '94.139.128.0', '94.139.159.255', 1586200576, 1586208767, 'MD', 'Moldova, Republic of'),
(67799, '94.139.160.0', '94.139.191.255', 1586208768, 1586216959, 'IR', 'Iran, Islamic Republic of'),
(67800, '94.139.192.0', '94.139.223.255', 1586216960, 1586225151, 'BG', 'Bulgaria'),
(67801, '94.139.224.0', '94.139.255.255', 1586225152, 1586233343, 'RU', 'Russian Federation'),
(67802, '94.140.0.0', '94.140.31.255', 1586233344, 1586241535, 'FR', 'France'),
(67803, '94.140.32.0', '94.140.37.167', 1586241536, 1586242983, 'SE', 'Sweden'),
(67804, '94.140.37.168', '94.140.37.175', 1586242984, 1586242991, 'DK', 'Denmark'),
(67805, '94.140.37.176', '94.140.40.195', 1586242992, 1586243779, 'SE', 'Sweden'),
(67806, '94.140.40.196', '94.140.40.203', 1586243780, 1586243787, 'NO', 'Norway'),
(67807, '94.140.40.204', '94.140.63.255', 1586243788, 1586249727, 'SE', 'Sweden'),
(67808, '94.140.64.0', '94.140.95.255', 1586249728, 1586257919, 'SI', 'Slovenia'),
(67809, '94.140.96.0', '94.140.127.255', 1586257920, 1586266111, 'EU', 'Europe'),
(67810, '94.140.128.0', '94.140.159.255', 1586266112, 1586274303, 'RU', 'Russian Federation'),
(67811, '94.140.160.0', '94.140.191.255', 1586274304, 1586282495, 'BE', 'Belgium'),
(67812, '94.140.192.0', '94.140.255.255', 1586282496, 1586298879, 'RU', 'Russian Federation'),
(67813, '94.141.0.0', '94.141.31.255', 1586298880, 1586307071, 'IT', 'Italy'),
(67814, '94.141.32.0', '94.141.63.255', 1586307072, 1586315263, 'RU', 'Russian Federation'),
(67815, '94.141.64.0', '94.141.95.255', 1586315264, 1586323455, 'UZ', 'Uzbekistan'),
(67816, '94.141.96.0', '94.141.127.255', 1586323456, 1586331647, 'RU', 'Russian Federation'),
(67817, '94.141.128.0', '94.141.159.255', 1586331648, 1586339839, 'PL', 'Poland'),
(67818, '94.141.160.0', '94.141.191.255', 1586339840, 1586348031, 'RU', 'Russian Federation'),
(67819, '94.141.192.0', '94.141.223.255', 1586348032, 1586356223, 'SY', 'Syrian Arab Republic'),
(67820, '94.141.224.0', '94.142.31.255', 1586356224, 1586372607, 'RU', 'Russian Federation'),
(67821, '94.142.32.0', '94.142.63.255', 1586372608, 1586380799, 'JO', 'Jordan'),
(67822, '94.142.64.0', '94.142.95.255', 1586380800, 1586388991, 'GB', 'United Kingdom'),
(67823, '94.142.96.0', '94.142.127.255', 1586388992, 1586397183, 'ES', 'Spain'),
(67824, '94.142.128.0', '94.142.135.255', 1586397184, 1586399231, 'LV', 'Latvia'),
(67825, '94.142.136.0', '94.142.143.255', 1586399232, 1586401279, 'RU', 'Russian Federation'),
(67826, '94.142.144.0', '94.142.151.255', 1586401280, 1586403327, 'IT', 'Italy'),
(67827, '94.142.152.0', '94.142.159.255', 1586403328, 1586405375, 'IS', 'Iceland'),
(67828, '94.142.160.0', '94.142.167.255', 1586405376, 1586407423, 'AT', 'Austria'),
(67829, '94.142.168.0', '94.142.175.255', 1586407424, 1586409471, 'GB', 'United Kingdom'),
(67830, '94.142.176.0', '94.142.183.255', 1586409472, 1586411519, 'IT', 'Italy'),
(67831, '94.142.184.0', '94.142.184.255', 1586411520, 1586411775, 'GB', 'United Kingdom'),
(67832, '94.142.185.0', '94.142.186.255', 1586411776, 1586412287, 'US', 'United States'),
(67833, '94.142.187.0', '94.142.187.255', 1586412288, 1586412543, 'HK', 'Hong Kong'),
(67834, '94.142.188.0', '94.142.188.255', 1586412544, 1586412799, 'GB', 'United Kingdom'),
(67835, '94.142.189.0', '94.142.189.255', 1586412800, 1586413055, 'US', 'United States'),
(67836, '94.142.190.0', '94.142.191.255', 1586413056, 1586413567, 'GB', 'United Kingdom'),
(67837, '94.142.192.0', '94.142.199.255', 1586413568, 1586415615, 'IT', 'Italy'),
(67838, '94.142.200.0', '94.142.202.127', 1586415616, 1586416255, 'ES', 'Spain'),
(67839, '94.142.202.128', '94.142.207.255', 1586416256, 1586417663, 'AD', 'Andorra'),
(67840, '94.142.208.0', '94.142.215.255', 1586417664, 1586419711, 'NL', 'Netherlands'),
(67841, '94.142.216.0', '94.142.223.255', 1586419712, 1586421759, 'DE', 'Germany'),
(67842, '94.142.224.0', '94.142.231.255', 1586421760, 1586423807, 'SE', 'Sweden'),
(67843, '94.142.232.0', '94.142.239.255', 1586423808, 1586425855, 'CZ', 'Czech Republic'),
(67844, '94.142.240.0', '94.142.247.255', 1586425856, 1586427903, 'NL', 'Netherlands'),
(67845, '94.142.248.0', '94.142.248.255', 1586427904, 1586428159, 'CH', 'Switzerland'),
(67846, '94.142.249.0', '94.142.253.223', 1586428160, 1586429407, 'FR', 'France'),
(67847, '94.142.253.224', '94.142.253.239', 1586429408, 1586429423, 'US', 'United States'),
(67848, '94.142.253.240', '94.142.255.255', 1586429424, 1586429951, 'FR', 'France'),
(67849, '94.143.0.0', '94.143.7.255', 1586429952, 1586431999, 'CH', 'Switzerland'),
(67850, '94.143.8.0', '94.143.15.255', 1586432000, 1586434047, 'DK', 'Denmark'),
(67851, '94.143.16.0', '94.143.23.255', 1586434048, 1586436095, 'BE', 'Belgium'),
(67852, '94.143.24.0', '94.143.31.255', 1586436096, 1586438143, 'ES', 'Spain'),
(67853, '94.143.32.0', '94.143.63.255', 1586438144, 1586446335, 'RU', 'Russian Federation'),
(67854, '94.143.64.0', '94.143.71.255', 1586446336, 1586448383, 'NO', 'Norway'),
(67855, '94.143.72.0', '94.143.79.255', 1586448384, 1586450431, 'ES', 'Spain'),
(67856, '94.143.80.0', '94.143.87.255', 1586450432, 1586452479, 'FR', 'France'),
(67857, '94.143.88.0', '94.143.95.255', 1586452480, 1586454527, 'CH', 'Switzerland'),
(67858, '94.143.96.0', '94.143.103.255', 1586454528, 1586456575, 'IT', 'Italy'),
(67859, '94.143.104.0', '94.143.111.255', 1586456576, 1586458623, 'GB', 'United Kingdom'),
(67860, '94.143.112.0', '94.143.113.31', 1586458624, 1586458911, 'FR', 'France'),
(67861, '94.143.113.32', '94.143.113.63', 1586458912, 1586458943, 'BE', 'Belgium'),
(67862, '94.143.113.64', '94.143.113.95', 1586458944, 1586458975, 'CH', 'Switzerland'),
(67863, '94.143.113.96', '94.143.113.127', 1586458976, 1586459007, 'DE', 'Germany'),
(67864, '94.143.113.128', '94.143.113.159', 1586459008, 1586459039, 'ES', 'Spain'),
(67865, '94.143.113.160', '94.143.113.191', 1586459040, 1586459071, 'GB', 'United Kingdom'),
(67866, '94.143.113.192', '94.143.113.223', 1586459072, 1586459103, 'IT', 'Italy'),
(67867, '94.143.113.224', '94.143.113.255', 1586459104, 1586459135, 'NL', 'Netherlands'),
(67868, '94.143.114.0', '94.143.119.111', 1586459136, 1586460527, 'FR', 'France'),
(67869, '94.143.119.112', '94.143.119.127', 1586460528, 1586460543, 'ES', 'Spain'),
(67870, '94.143.119.128', '94.143.119.255', 1586460544, 1586460671, 'FR', 'France'),
(67871, '94.143.120.0', '94.143.127.255', 1586460672, 1586462719, 'GB', 'United Kingdom'),
(67872, '94.143.128.0', '94.143.135.255', 1586462720, 1586464767, 'RU', 'Russian Federation'),
(67873, '94.143.136.0', '94.143.143.255', 1586464768, 1586466815, 'ES', 'Spain'),
(67874, '94.143.144.0', '94.143.151.255', 1586466816, 1586468863, 'RU', 'Russian Federation'),
(67875, '94.143.152.0', '94.143.159.255', 1586468864, 1586470911, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(67876, '94.143.160.0', '94.143.167.255', 1586470912, 1586472959, 'GB', 'United Kingdom'),
(67877, '94.143.168.0', '94.143.175.255', 1586472960, 1586475007, 'CZ', 'Czech Republic'),
(67878, '94.143.176.0', '94.143.183.255', 1586475008, 1586477055, 'GR', 'Greece'),
(67879, '94.143.184.0', '94.143.191.255', 1586477056, 1586479103, 'BE', 'Belgium'),
(67880, '94.143.192.0', '94.143.199.255', 1586479104, 1586481151, 'KG', 'Kyrgyzstan'),
(67881, '94.143.200.0', '94.143.207.255', 1586481152, 1586483199, 'ES', 'Spain'),
(67882, '94.143.208.0', '94.143.215.255', 1586483200, 1586485247, 'NL', 'Netherlands'),
(67883, '94.143.216.0', '94.143.223.255', 1586485248, 1586487295, 'FR', 'France'),
(67884, '94.143.224.0', '94.143.231.255', 1586487296, 1586489343, 'SA', 'Saudi Arabia'),
(67885, '94.143.232.0', '94.143.239.255', 1586489344, 1586491391, 'CZ', 'Czech Republic'),
(67886, '94.143.240.0', '94.143.247.255', 1586491392, 1586493439, 'RU', 'Russian Federation'),
(67887, '94.143.248.0', '94.143.255.255', 1586493440, 1586495487, 'GB', 'United Kingdom'),
(67888, '94.144.0.0', '94.151.255.255', 1586495488, 1587019775, 'DK', 'Denmark'),
(67889, '94.152.0.0', '94.152.255.255', 1587019776, 1587085311, 'PL', 'Poland'),
(67890, '94.153.0.0', '94.153.255.255', 1587085312, 1587150847, 'UA', 'Ukraine'),
(67891, '94.154.0.0', '94.154.15.255', 1587150848, 1587154943, 'RU', 'Russian Federation'),
(67892, '94.154.16.0', '94.154.31.255', 1587154944, 1587159039, 'PL', 'Poland'),
(67893, '94.154.32.0', '94.154.47.255', 1587159040, 1587163135, 'UA', 'Ukraine'),
(67894, '94.154.48.0', '94.154.55.255', 1587163136, 1587165183, 'DE', 'Germany'),
(67895, '94.154.56.0', '94.154.63.255', 1587165184, 1587167231, 'PL', 'Poland'),
(67896, '94.154.64.0', '94.154.95.255', 1587167232, 1587175423, 'RU', 'Russian Federation'),
(67897, '94.154.96.0', '94.154.103.255', 1587175424, 1587177471, 'PL', 'Poland'),
(67898, '94.154.104.0', '94.154.111.255', 1587177472, 1587179519, 'RS', 'Serbia'),
(67899, '94.154.112.0', '94.154.127.255', 1587179520, 1587183615, 'UA', 'Ukraine'),
(67900, '94.154.128.0', '94.154.191.255', 1587183616, 1587199999, 'RU', 'Russian Federation'),
(67901, '94.154.192.0', '94.154.255.255', 1587200000, 1587216383, 'UA', 'Ukraine'),
(67902, '94.155.0.0', '94.156.255.255', 1587216384, 1587347455, 'BG', 'Bulgaria'),
(67903, '94.157.0.0', '94.157.255.255', 1587347456, 1587412991, 'NL', 'Netherlands'),
(67904, '94.158.0.0', '94.158.15.255', 1587412992, 1587417087, 'RU', 'Russian Federation'),
(67905, '94.158.16.0', '94.158.47.255', 1587417088, 1587425279, 'UA', 'Ukraine'),
(67906, '94.158.48.0', '94.158.63.255', 1587425280, 1587429375, 'UZ', 'Uzbekistan'),
(67907, '94.158.64.0', '94.158.95.255', 1587429376, 1587437567, 'UA', 'Ukraine'),
(67908, '94.158.96.0', '94.158.127.255', 1587437568, 1587445759, 'RU', 'Russian Federation'),
(67909, '94.158.128.0', '94.158.143.255', 1587445760, 1587449855, 'PL', 'Poland'),
(67910, '94.158.144.0', '94.158.159.255', 1587449856, 1587453951, 'UA', 'Ukraine'),
(67911, '94.158.160.0', '94.158.223.255', 1587453952, 1587470335, 'RU', 'Russian Federation'),
(67912, '94.158.224.0', '94.158.239.255', 1587470336, 1587474431, 'PL', 'Poland'),
(67913, '94.158.240.0', '94.158.255.255', 1587474432, 1587478527, 'UA', 'Ukraine'),
(67914, '94.159.0.0', '94.159.127.255', 1587478528, 1587511295, 'RU', 'Russian Federation'),
(67915, '94.159.128.0', '94.159.255.255', 1587511296, 1587544063, 'IL', 'Israel'),
(67916, '94.160.0.0', '94.167.255.255', 1587544064, 1588068351, 'IT', 'Italy'),
(67917, '94.168.0.0', '94.175.255.255', 1588068352, 1588592639, 'GB', 'United Kingdom'),
(67918, '94.176.0.0', '94.176.111.255', 1588592640, 1588621311, 'RO', 'Romania'),
(67919, '94.176.112.0', '94.176.127.255', 1588621312, 1588625407, 'MD', 'Moldova, Republic of'),
(67920, '94.176.128.0', '94.177.47.255', 1588625408, 1588670463, 'RO', 'Romania'),
(67921, '94.177.48.0', '94.177.63.255', 1588670464, 1588674559, 'MD', 'Moldova, Republic of'),
(67922, '94.177.64.0', '94.177.121.255', 1588674560, 1588689407, 'RO', 'Romania'),
(67923, '94.177.122.0', '94.177.123.255', 1588689408, 1588689919, 'DE', 'Germany'),
(67924, '94.177.124.0', '94.177.255.255', 1588689920, 1588723711, 'RO', 'Romania'),
(67925, '94.178.0.0', '94.179.255.255', 1588723712, 1588854783, 'UA', 'Ukraine'),
(67926, '94.180.0.0', '94.181.255.255', 1588854784, 1588985855, 'RU', 'Russian Federation'),
(67927, '94.182.0.0', '94.184.255.255', 1588985856, 1589182463, 'IR', 'Iran, Islamic Republic of'),
(67928, '94.185.0.0', '94.185.63.255', 1589182464, 1589198847, 'OM', 'Oman'),
(67929, '94.185.64.0', '94.185.71.255', 1589198848, 1589200895, 'FR', 'France'),
(67930, '94.185.72.0', '94.185.79.255', 1589200896, 1589202943, 'IT', 'Italy'),
(67931, '94.185.80.0', '94.185.82.255', 1589202944, 1589203711, 'SE', 'Sweden'),
(67932, '94.185.83.0', '94.185.83.255', 1589203712, 1589203967, 'NL', 'Netherlands'),
(67933, '94.185.84.0', '94.185.84.255', 1589203968, 1589204223, 'SE', 'Sweden'),
(67934, '94.185.85.0', '94.185.87.255', 1589204224, 1589204991, 'NL', 'Netherlands'),
(67935, '94.185.88.0', '94.185.95.255', 1589204992, 1589207039, 'DE', 'Germany'),
(67936, '94.185.96.0', '94.185.127.255', 1589207040, 1589215231, 'IT', 'Italy'),
(67937, '94.185.128.0', '94.185.255.255', 1589215232, 1589247999, 'GB', 'United Kingdom'),
(67938, '94.186.0.0', '94.186.127.255', 1589248000, 1589280767, 'NO', 'Norway'),
(67939, '94.186.128.0', '94.186.255.255', 1589280768, 1589313535, 'DE', 'Germany'),
(67940, '94.187.0.0', '94.187.127.255', 1589313536, 1589346303, 'LB', 'Lebanon'),
(67941, '94.187.128.0', '94.187.255.255', 1589346304, 1589379071, 'KW', 'Kuwait'),
(67942, '94.188.0.0', '94.188.127.255', 1589379072, 1589411839, 'RU', 'Russian Federation'),
(67943, '94.188.128.0', '94.188.255.255', 1589411840, 1589444607, 'IL', 'Israel'),
(67944, '94.189.0.0', '94.189.127.255', 1589444608, 1589477375, 'DK', 'Denmark'),
(67945, '94.189.128.0', '94.189.255.255', 1589477376, 1589510143, 'RS', 'Serbia'),
(67946, '94.190.0.0', '94.190.127.255', 1589510144, 1589542911, 'RU', 'Russian Federation'),
(67947, '94.190.128.0', '94.190.255.255', 1589542912, 1589575679, 'BG', 'Bulgaria'),
(67948, '94.191.0.0', '94.191.127.255', 1589575680, 1589608447, 'RU', 'Russian Federation'),
(67949, '94.191.128.0', '94.191.143.255', 1589608448, 1589612543, 'DK', 'Denmark'),
(67950, '94.191.144.0', '94.191.175.255', 1589612544, 1589620735, 'SE', 'Sweden'),
(67951, '94.191.176.0', '94.191.255.255', 1589620736, 1589641215, 'DK', 'Denmark'),
(67952, '94.192.0.0', '94.197.255.255', 1589641216, 1590034431, 'GB', 'United Kingdom'),
(67953, '94.198.0.0', '94.198.7.255', 1590034432, 1590036479, 'RU', 'Russian Federation'),
(67954, '94.198.8.0', '94.198.15.255', 1590036480, 1590038527, 'GB', 'United Kingdom'),
(67955, '94.198.16.0', '94.198.23.255', 1590038528, 1590040575, 'RU', 'Russian Federation'),
(67956, '94.198.24.0', '94.198.31.255', 1590040576, 1590042623, 'NL', 'Netherlands'),
(67957, '94.198.32.0', '94.198.55.255', 1590042624, 1590048767, 'RU', 'Russian Federation'),
(67958, '94.198.56.0', '94.198.63.255', 1590048768, 1590050815, 'DE', 'Germany'),
(67959, '94.198.64.0', '94.198.71.255', 1590050816, 1590052863, 'SE', 'Sweden'),
(67960, '94.198.72.0', '94.198.79.255', 1590052864, 1590054911, 'IT', 'Italy'),
(67961, '94.198.80.0', '94.198.87.255', 1590054912, 1590056959, 'GB', 'United Kingdom'),
(67962, '94.198.88.0', '94.198.95.255', 1590056960, 1590059007, 'ES', 'Spain'),
(67963, '94.198.96.0', '94.198.100.191', 1590059008, 1590060223, 'IT', 'Italy'),
(67964, '94.198.100.192', '94.198.100.223', 1590060224, 1590060255, 'CH', 'Switzerland'),
(67965, '94.198.100.224', '94.198.102.255', 1590060256, 1590060799, 'IT', 'Italy'),
(67966, '94.198.103.0', '94.198.103.255', 1590060800, 1590061055, 'US', 'United States'),
(67967, '94.198.104.0', '94.198.111.255', 1590061056, 1590063103, 'RU', 'Russian Federation'),
(67968, '94.198.112.0', '94.198.119.255', 1590063104, 1590065151, 'CZ', 'Czech Republic'),
(67969, '94.198.120.0', '94.198.127.255', 1590065152, 1590067199, 'IE', 'Ireland'),
(67970, '94.198.128.0', '94.198.135.255', 1590067200, 1590069247, 'RU', 'Russian Federation'),
(67971, '94.198.136.0', '94.198.143.255', 1590069248, 1590071295, 'AT', 'Austria'),
(67972, '94.198.144.0', '94.198.151.255', 1590071296, 1590073343, 'FR', 'France'),
(67973, '94.198.152.0', '94.198.159.255', 1590073344, 1590075391, 'NL', 'Netherlands'),
(67974, '94.198.160.0', '94.198.167.63', 1590075392, 1590077247, 'BE', 'Belgium'),
(67975, '94.198.167.64', '94.198.167.95', 1590077248, 1590077279, 'NL', 'Netherlands'),
(67976, '94.198.167.96', '94.198.167.255', 1590077280, 1590077439, 'BE', 'Belgium'),
(67977, '94.198.168.0', '94.198.175.255', 1590077440, 1590079487, 'GB', 'United Kingdom'),
(67978, '94.198.176.0', '94.198.183.255', 1590079488, 1590081535, 'FR', 'France'),
(67979, '94.198.184.0', '94.198.191.255', 1590081536, 1590083583, 'GB', 'United Kingdom'),
(67980, '94.198.192.0', '94.198.199.255', 1590083584, 1590085631, 'RU', 'Russian Federation'),
(67981, '94.198.200.0', '94.198.207.255', 1590085632, 1590087679, 'FR', 'France'),
(67982, '94.198.208.0', '94.198.215.255', 1590087680, 1590089727, 'IT', 'Italy'),
(67983, '94.198.216.0', '94.198.223.255', 1590089728, 1590091775, 'RU', 'Russian Federation'),
(67984, '94.198.224.0', '94.198.231.255', 1590091776, 1590093823, 'CZ', 'Czech Republic'),
(67985, '94.198.232.0', '94.198.239.255', 1590093824, 1590095871, 'RU', 'Russian Federation'),
(67986, '94.198.240.0', '94.198.247.255', 1590095872, 1590097919, 'CZ', 'Czech Republic'),
(67987, '94.198.248.0', '94.198.255.255', 1590097920, 1590099967, 'CH', 'Switzerland'),
(67988, '94.199.0.0', '94.199.7.255', 1590099968, 1590102015, 'RU', 'Russian Federation'),
(67989, '94.199.8.0', '94.199.15.255', 1590102016, 1590104063, 'IT', 'Italy'),
(67990, '94.199.16.0', '94.199.23.255', 1590104064, 1590106111, 'TJ', 'Tajikistan'),
(67991, '94.199.24.0', '94.199.31.255', 1590106112, 1590108159, 'GB', 'United Kingdom'),
(67992, '94.199.32.0', '94.199.39.255', 1590108160, 1590110207, 'TR', 'Turkey'),
(67993, '94.199.40.0', '94.199.47.255', 1590110208, 1590112255, 'CZ', 'Czech Republic'),
(67994, '94.199.48.0', '94.199.55.255', 1590112256, 1590114303, 'HU', 'Hungary'),
(67995, '94.199.56.0', '94.199.63.255', 1590114304, 1590116351, 'FI', 'Finland'),
(67996, '94.199.64.0', '94.199.79.255', 1590116352, 1590120447, 'RU', 'Russian Federation'),
(67997, '94.199.80.0', '94.199.87.255', 1590120448, 1590122495, 'IT', 'Italy'),
(67998, '94.199.88.0', '94.199.95.255', 1590122496, 1590124543, 'DE', 'Germany'),
(67999, '94.199.96.0', '94.199.103.255', 1590124544, 1590126591, 'CH', 'Switzerland'),
(68000, '94.199.104.0', '94.199.111.255', 1590126592, 1590128639, 'RU', 'Russian Federation'),
(68001, '94.199.112.0', '94.199.119.255', 1590128640, 1590130687, 'FI', 'Finland'),
(68002, '94.199.120.0', '94.199.127.255', 1590130688, 1590132735, 'FR', 'France'),
(68003, '94.199.128.0', '94.199.128.255', 1590132736, 1590132991, 'DE', 'Germany'),
(68004, '94.199.129.0', '94.199.131.63', 1590132992, 1590133567, 'GB', 'United Kingdom'),
(68005, '94.199.131.64', '94.199.131.95', 1590133568, 1590133599, 'DE', 'Germany'),
(68006, '94.199.131.96', '94.199.135.255', 1590133600, 1590134783, 'GB', 'United Kingdom'),
(68007, '94.199.136.0', '94.199.143.255', 1590134784, 1590136831, 'ES', 'Spain'),
(68008, '94.199.144.0', '94.199.151.255', 1590136832, 1590138879, 'GB', 'United Kingdom'),
(68009, '94.199.152.0', '94.199.159.255', 1590138880, 1590140927, 'FR', 'France'),
(68010, '94.199.160.0', '94.199.167.255', 1590140928, 1590142975, 'UA', 'Ukraine'),
(68011, '94.199.168.0', '94.199.175.255', 1590142976, 1590145023, 'AT', 'Austria'),
(68012, '94.199.176.0', '94.199.183.255', 1590145024, 1590147071, 'HU', 'Hungary'),
(68013, '94.199.184.0', '94.199.191.255', 1590147072, 1590149119, 'GB', 'United Kingdom'),
(68014, '94.199.192.0', '94.199.199.255', 1590149120, 1590151167, 'CZ', 'Czech Republic'),
(68015, '94.199.200.0', '94.199.207.255', 1590151168, 1590153215, 'TR', 'Turkey'),
(68016, '94.199.208.0', '94.199.223.255', 1590153216, 1590157311, 'RU', 'Russian Federation'),
(68017, '94.199.224.0', '94.199.227.255', 1590157312, 1590158335, 'IE', 'Ireland'),
(68018, '94.199.228.0', '94.199.239.255', 1590158336, 1590161407, 'GB', 'United Kingdom'),
(68019, '94.199.240.0', '94.199.247.255', 1590161408, 1590163455, 'DE', 'Germany'),
(68020, '94.199.248.0', '94.199.255.255', 1590163456, 1590165503, 'NL', 'Netherlands'),
(68021, '94.200.0.0', '94.200.43.131', 1590165504, 1590176643, 'AE', 'United Arab Emirates'),
(68022, '94.200.43.132', '94.200.43.132', 1590176644, 1590176644, 'US', 'United States'),
(68023, '94.200.43.133', '94.200.44.63', 1590176645, 1590176831, 'AE', 'United Arab Emirates'),
(68024, '94.200.44.64', '94.200.44.95', 1590176832, 1590176863, 'A2', 'Satellite Provider'),
(68025, '94.200.44.96', '94.207.255.255', 1590176864, 1590689791, 'AE', 'United Arab Emirates'),
(68026, '94.208.0.0', '94.215.255.255', 1590689792, 1591214079, 'NL', 'Netherlands'),
(68027, '94.216.0.0', '94.223.255.255', 1591214080, 1591738367, 'DE', 'Germany'),
(68028, '94.224.0.0', '94.227.255.255', 1591738368, 1592000511, 'BE', 'Belgium'),
(68029, '94.228.0.0', '94.228.15.255', 1592000512, 1592004607, 'ES', 'Spain'),
(68030, '94.228.16.0', '94.228.31.255', 1592004608, 1592008703, 'AM', 'Armenia'),
(68031, '94.228.32.0', '94.228.47.255', 1592008704, 1592012799, 'GB', 'United Kingdom'),
(68032, '94.228.48.0', '94.228.63.255', 1592012800, 1592016895, 'CH', 'Switzerland'),
(68033, '94.228.64.0', '94.228.79.255', 1592016896, 1592020991, 'GB', 'United Kingdom'),
(68034, '94.228.80.0', '94.228.95.255', 1592020992, 1592025087, 'SK', 'Slovakia'),
(68035, '94.228.96.0', '94.228.111.255', 1592025088, 1592029183, 'DE', 'Germany'),
(68036, '94.228.112.0', '94.228.127.255', 1592029184, 1592033279, 'RU', 'Russian Federation'),
(68037, '94.228.128.0', '94.228.143.255', 1592033280, 1592037375, 'NL', 'Netherlands'),
(68038, '94.228.144.0', '94.228.159.255', 1592037376, 1592041471, 'CH', 'Switzerland'),
(68039, '94.228.160.0', '94.228.175.255', 1592041472, 1592045567, 'RU', 'Russian Federation'),
(68040, '94.228.176.0', '94.228.191.255', 1592045568, 1592049663, 'FR', 'France'),
(68041, '94.228.192.0', '94.228.207.255', 1592049664, 1592053759, 'RU', 'Russian Federation'),
(68042, '94.228.208.0', '94.228.209.255', 1592053760, 1592054271, 'NL', 'Netherlands'),
(68043, '94.228.210.0', '94.228.210.255', 1592054272, 1592054527, 'AE', 'United Arab Emirates'),
(68044, '94.228.211.0', '94.228.211.127', 1592054528, 1592054655, 'NL', 'Netherlands'),
(68045, '94.228.211.128', '94.228.211.255', 1592054656, 1592054783, 'US', 'United States'),
(68046, '94.228.212.0', '94.228.213.255', 1592054784, 1592055295, 'AE', 'United Arab Emirates'),
(68047, '94.228.214.0', '94.228.223.23', 1592055296, 1592057623, 'NL', 'Netherlands'),
(68048, '94.228.223.24', '94.228.223.31', 1592057624, 1592057631, 'IN', 'India'),
(68049, '94.228.223.32', '94.228.223.127', 1592057632, 1592057727, 'NL', 'Netherlands'),
(68050, '94.228.223.128', '94.228.223.135', 1592057728, 1592057735, 'IN', 'India'),
(68051, '94.228.223.136', '94.228.223.255', 1592057736, 1592057855, 'NL', 'Netherlands'),
(68052, '94.228.224.0', '94.228.239.255', 1592057856, 1592061951, 'RS', 'Serbia'),
(68053, '94.228.240.0', '94.228.255.255', 1592061952, 1592066047, 'RU', 'Russian Federation'),
(68054, '94.229.0.0', '94.229.5.255', 1592066048, 1592067583, 'US', 'United States'),
(68055, '94.229.6.0', '94.229.6.127', 1592067584, 1592067711, 'NO', 'Norway'),
(68056, '94.229.6.128', '94.229.6.255', 1592067712, 1592067839, 'CY', 'Cyprus'),
(68057, '94.229.7.0', '94.229.7.255', 1592067840, 1592068095, 'NL', 'Netherlands'),
(68058, '94.229.8.0', '94.229.9.255', 1592068096, 1592068607, 'US', 'United States'),
(68059, '94.229.10.0', '94.229.10.255', 1592068608, 1592068863, 'CY', 'Cyprus'),
(68060, '94.229.11.0', '94.229.11.31', 1592068864, 1592068895, 'US', 'United States'),
(68061, '94.229.11.32', '94.229.11.63', 1592068896, 1592068927, 'NL', 'Netherlands'),
(68062, '94.229.11.64', '94.229.11.95', 1592068928, 1592068959, 'US', 'United States'),
(68063, '94.229.11.96', '94.229.11.127', 1592068960, 1592068991, 'CY', 'Cyprus'),
(68064, '94.229.11.128', '94.229.11.223', 1592068992, 1592069087, 'US', 'United States'),
(68065, '94.229.11.224', '94.229.12.127', 1592069088, 1592069247, 'CY', 'Cyprus'),
(68066, '94.229.12.128', '94.229.12.255', 1592069248, 1592069375, 'RU', 'Russian Federation'),
(68067, '94.229.13.0', '94.229.13.31', 1592069376, 1592069407, 'US', 'United States'),
(68068, '94.229.13.32', '94.229.13.255', 1592069408, 1592069631, 'CY', 'Cyprus'),
(68069, '94.229.14.0', '94.229.14.79', 1592069632, 1592069711, 'NL', 'Netherlands'),
(68070, '94.229.14.80', '94.229.14.95', 1592069712, 1592069727, 'CY', 'Cyprus'),
(68071, '94.229.14.96', '94.229.14.127', 1592069728, 1592069759, 'NL', 'Netherlands'),
(68072, '94.229.14.128', '94.229.14.207', 1592069760, 1592069839, 'CY', 'Cyprus'),
(68073, '94.229.14.208', '94.229.14.255', 1592069840, 1592069887, 'NL', 'Netherlands'),
(68074, '94.229.15.0', '94.229.31.255', 1592069888, 1592074239, 'RU', 'Russian Federation'),
(68075, '94.229.32.0', '94.229.47.255', 1592074240, 1592078335, 'SK', 'Slovakia'),
(68076, '94.229.48.0', '94.229.63.255', 1592078336, 1592082431, 'NL', 'Netherlands'),
(68077, '94.229.64.0', '94.229.79.255', 1592082432, 1592086527, 'GB', 'United Kingdom'),
(68078, '94.229.80.0', '94.229.82.39', 1592086528, 1592087079, 'CZ', 'Czech Republic'),
(68079, '94.229.82.40', '94.229.82.47', 1592087080, 1592087087, 'PL', 'Poland'),
(68080, '94.229.82.48', '94.229.82.255', 1592087088, 1592087295, 'CZ', 'Czech Republic'),
(68081, '94.229.83.0', '94.229.86.127', 1592087296, 1592088191, 'PL', 'Poland'),
(68082, '94.229.86.128', '94.229.95.255', 1592088192, 1592090623, 'CZ', 'Czech Republic'),
(68083, '94.229.96.0', '94.229.111.255', 1592090624, 1592094719, 'RU', 'Russian Federation'),
(68084, '94.229.112.0', '94.229.127.255', 1592094720, 1592098815, 'RS', 'Serbia'),
(68085, '94.229.128.0', '94.229.143.255', 1592098816, 1592102911, 'GB', 'United Kingdom'),
(68086, '94.229.144.0', '94.229.159.255', 1592102912, 1592107007, 'DE', 'Germany'),
(68087, '94.229.160.0', '94.229.175.255', 1592107008, 1592111103, 'GB', 'United Kingdom'),
(68088, '94.229.176.0', '94.229.191.255', 1592111104, 1592115199, 'DE', 'Germany'),
(68089, '94.229.192.0', '94.229.207.255', 1592115200, 1592119295, 'ES', 'Spain'),
(68090, '94.229.208.0', '94.229.223.255', 1592119296, 1592123391, 'PL', 'Poland'),
(68091, '94.229.224.0', '94.230.15.255', 1592123392, 1592135679, 'RU', 'Russian Federation'),
(68092, '94.230.16.0', '94.230.31.255', 1592135680, 1592139775, 'PL', 'Poland'),
(68093, '94.230.32.0', '94.230.47.255', 1592139776, 1592143871, 'RU', 'Russian Federation'),
(68094, '94.230.48.0', '94.230.63.255', 1592143872, 1592147967, 'DE', 'Germany'),
(68095, '94.230.64.0', '94.230.79.255', 1592147968, 1592152063, 'IT', 'Italy'),
(68096, '94.230.80.0', '94.230.95.255', 1592152064, 1592156159, 'IL', 'Israel'),
(68097, '94.230.96.0', '94.230.111.255', 1592156160, 1592160255, 'IE', 'Ireland'),
(68098, '94.230.112.0', '94.230.143.255', 1592160256, 1592168447, 'RU', 'Russian Federation'),
(68099, '94.230.144.0', '94.230.159.255', 1592168448, 1592172543, 'CZ', 'Czech Republic'),
(68100, '94.230.160.0', '94.230.175.255', 1592172544, 1592176639, 'RU', 'Russian Federation'),
(68101, '94.230.176.0', '94.230.191.255', 1592176640, 1592180735, 'RS', 'Serbia'),
(68102, '94.230.192.0', '94.230.207.255', 1592180736, 1592184831, 'UA', 'Ukraine'),
(68103, '94.230.208.0', '94.230.223.255', 1592184832, 1592188927, 'CH', 'Switzerland'),
(68104, '94.230.224.0', '94.230.239.255', 1592188928, 1592193023, 'UZ', 'Uzbekistan'),
(68105, '94.230.240.0', '94.230.255.255', 1592193024, 1592197119, 'RU', 'Russian Federation'),
(68106, '94.231.0.0', '94.231.15.255', 1592197120, 1592201215, 'PL', 'Poland'),
(68107, '94.231.16.0', '94.231.31.255', 1592201216, 1592205311, 'RU', 'Russian Federation'),
(68108, '94.231.32.0', '94.231.47.255', 1592205312, 1592209407, 'UA', 'Ukraine'),
(68109, '94.231.48.0', '94.231.63.255', 1592209408, 1592213503, 'PL', 'Poland'),
(68110, '94.231.64.0', '94.231.79.255', 1592213504, 1592217599, 'UA', 'Ukraine'),
(68111, '94.231.80.0', '94.231.95.255', 1592217600, 1592221695, 'CH', 'Switzerland'),
(68112, '94.231.96.0', '94.231.111.255', 1592221696, 1592225791, 'DK', 'Denmark'),
(68113, '94.231.112.0', '94.231.175.255', 1592225792, 1592242175, 'RU', 'Russian Federation'),
(68114, '94.231.176.0', '94.231.191.255', 1592242176, 1592246271, 'UA', 'Ukraine'),
(68115, '94.231.192.0', '94.231.223.255', 1592246272, 1592254463, 'RU', 'Russian Federation'),
(68116, '94.231.224.0', '94.231.239.255', 1592254464, 1592258559, 'PL', 'Poland'),
(68117, '94.231.240.0', '94.231.255.255', 1592258560, 1592262655, 'NL', 'Netherlands'),
(68118, '94.232.0.0', '94.232.31.255', 1592262656, 1592270847, 'RU', 'Russian Federation'),
(68119, '94.232.32.0', '94.232.39.255', 1592270848, 1592272895, 'PL', 'Poland'),
(68120, '94.232.40.0', '94.232.71.255', 1592272896, 1592281087, 'RU', 'Russian Federation'),
(68121, '94.232.72.0', '94.232.79.255', 1592281088, 1592283135, 'UA', 'Ukraine'),
(68122, '94.232.80.0', '94.232.87.255', 1592283136, 1592285183, 'GR', 'Greece'),
(68123, '94.232.88.0', '94.232.95.255', 1592285184, 1592287231, 'RU', 'Russian Federation'),
(68124, '94.232.96.0', '94.232.103.255', 1592287232, 1592289279, 'RO', 'Romania'),
(68125, '94.232.104.0', '94.232.111.255', 1592289280, 1592291327, 'RU', 'Russian Federation'),
(68126, '94.232.112.0', '94.232.119.255', 1592291328, 1592293375, 'NL', 'Netherlands'),
(68127, '94.232.120.0', '94.232.127.255', 1592293376, 1592295423, 'LT', 'Lithuania'),
(68128, '94.232.128.0', '94.232.143.255', 1592295424, 1592299519, 'RU', 'Russian Federation'),
(68129, '94.232.144.0', '94.232.159.255', 1592299520, 1592303615, 'PL', 'Poland'),
(68130, '94.232.160.0', '94.232.167.255', 1592303616, 1592305663, 'NL', 'Netherlands'),
(68131, '94.232.168.0', '94.232.175.255', 1592305664, 1592307711, 'IR', 'Iran, Islamic Republic of'),
(68132, '94.232.176.0', '94.232.183.255', 1592307712, 1592309759, 'UA', 'Ukraine'),
(68133, '94.232.184.0', '94.232.191.255', 1592309760, 1592311807, 'RU', 'Russian Federation'),
(68134, '94.232.192.0', '94.232.199.255', 1592311808, 1592313855, 'DE', 'Germany'),
(68135, '94.232.200.0', '94.232.207.255', 1592313856, 1592315903, 'RU', 'Russian Federation'),
(68136, '94.232.208.0', '94.232.215.255', 1592315904, 1592317951, 'UA', 'Ukraine'),
(68137, '94.232.216.0', '94.232.223.255', 1592317952, 1592319999, 'PL', 'Poland'),
(68138, '94.232.224.0', '94.232.231.255', 1592320000, 1592322047, 'LT', 'Lithuania'),
(68139, '94.232.232.0', '94.232.239.255', 1592322048, 1592324095, 'RU', 'Russian Federation'),
(68140, '94.232.240.0', '94.232.247.255', 1592324096, 1592326143, 'KZ', 'Kazakhstan'),
(68141, '94.232.248.0', '94.232.255.255', 1592326144, 1592328191, 'UA', 'Ukraine'),
(68142, '94.233.0.0', '94.233.255.255', 1592328192, 1592393727, 'RU', 'Russian Federation'),
(68143, '94.234.0.0', '94.234.255.255', 1592393728, 1592459263, 'SE', 'Sweden'),
(68144, '94.235.0.0', '94.235.255.255', 1592459264, 1592524799, 'TR', 'Turkey'),
(68145, '94.236.0.0', '94.236.127.255', 1592524800, 1592557567, 'GB', 'United Kingdom'),
(68146, '94.236.128.0', '94.236.255.255', 1592557568, 1592590335, 'BG', 'Bulgaria'),
(68147, '94.237.0.0', '94.237.127.255', 1592590336, 1592623103, 'FI', 'Finland'),
(68148, '94.237.128.0', '94.237.255.255', 1592623104, 1592655871, 'RU', 'Russian Federation'),
(68149, '94.238.0.0', '94.239.255.255', 1592655872, 1592786943, 'FR', 'France'),
(68150, '94.240.0.0', '94.240.63.255', 1592786944, 1592803327, 'PL', 'Poland'),
(68151, '94.240.64.0', '94.240.127.255', 1592803328, 1592819711, 'RU', 'Russian Federation'),
(68152, '94.240.128.0', '94.240.191.255', 1592819712, 1592836095, 'UA', 'Ukraine'),
(68153, '94.240.192.0', '94.240.255.255', 1592836096, 1592852479, 'GE', 'Georgia'),
(68154, '94.241.0.0', '94.241.63.255', 1592852480, 1592868863, 'RU', 'Russian Federation'),
(68155, '94.241.64.0', '94.241.127.255', 1592868864, 1592885247, 'CZ', 'Czech Republic'),
(68156, '94.241.128.0', '94.241.191.255', 1592885248, 1592901631, 'IR', 'Iran, Islamic Republic of'),
(68157, '94.241.192.0', '94.242.63.255', 1592901632, 1592934399, 'RU', 'Russian Federation'),
(68158, '94.242.64.0', '94.242.127.255', 1592934400, 1592950783, 'CZ', 'Czech Republic'),
(68159, '94.242.128.0', '94.242.191.255', 1592950784, 1592967167, 'RU', 'Russian Federation'),
(68160, '94.242.192.0', '94.242.255.255', 1592967168, 1592983551, 'LU', 'Luxembourg'),
(68161, '94.243.0.0', '94.243.63.255', 1592983552, 1592999935, 'RU', 'Russian Federation'),
(68162, '94.243.64.0', '94.243.127.255', 1592999936, 1593016319, 'MD', 'Moldova, Republic of'),
(68163, '94.243.128.0', '94.243.255.255', 1593016320, 1593049087, 'RU', 'Russian Federation'),
(68164, '94.244.0.0', '94.244.63.255', 1593049088, 1593065471, 'UA', 'Ukraine'),
(68165, '94.244.64.0', '94.244.127.255', 1593065472, 1593081855, 'LT', 'Lithuania'),
(68166, '94.244.128.0', '94.244.191.255', 1593081856, 1593098239, 'UA', 'Ukraine'),
(68167, '94.244.192.0', '94.244.255.255', 1593098240, 1593114623, 'CH', 'Switzerland'),
(68168, '94.245.0.0', '94.245.31.255', 1593114624, 1593122815, 'DK', 'Denmark'),
(68169, '94.245.32.0', '94.245.63.255', 1593122816, 1593131007, 'SE', 'Sweden'),
(68170, '94.245.64.0', '94.245.126.255', 1593131008, 1593147135, 'GB', 'United Kingdom'),
(68171, '94.245.127.0', '94.245.127.255', 1593147136, 1593147391, 'EU', 'Europe'),
(68172, '94.245.128.0', '94.245.191.255', 1593147392, 1593163775, 'RU', 'Russian Federation'),
(68173, '94.245.192.0', '94.245.255.255', 1593163776, 1593180159, 'AT', 'Austria'),
(68174, '94.246.0.0', '94.246.63.255', 1593180160, 1593196543, 'NO', 'Norway'),
(68175, '94.246.64.0', '94.246.87.255', 1593196544, 1593202687, 'SE', 'Sweden'),
(68176, '94.246.88.0', '94.246.88.127', 1593202688, 1593202815, 'NO', 'Norway'),
(68177, '94.246.88.128', '94.246.90.255', 1593202816, 1593203455, 'SE', 'Sweden'),
(68178, '94.246.91.0', '94.246.91.31', 1593203456, 1593203487, 'NO', 'Norway'),
(68179, '94.246.91.32', '94.246.93.119', 1593203488, 1593204087, 'SE', 'Sweden'),
(68180, '94.246.93.120', '94.246.93.127', 1593204088, 1593204095, 'FI', 'Finland'),
(68181, '94.246.93.128', '94.246.93.191', 1593204096, 1593204159, 'SE', 'Sweden'),
(68182, '94.246.93.192', '94.246.93.255', 1593204160, 1593204223, 'FI', 'Finland'),
(68183, '94.246.94.0', '94.246.99.63', 1593204224, 1593205567, 'SE', 'Sweden'),
(68184, '94.246.99.64', '94.246.99.127', 1593205568, 1593205631, 'DK', 'Denmark'),
(68185, '94.246.99.128', '94.246.101.67', 1593205632, 1593206083, 'SE', 'Sweden'),
(68186, '94.246.101.68', '94.246.101.79', 1593206084, 1593206095, 'DK', 'Denmark'),
(68187, '94.246.101.80', '94.246.101.87', 1593206096, 1593206103, 'FI', 'Finland'),
(68188, '94.246.101.88', '94.246.101.95', 1593206104, 1593206111, 'GB', 'United Kingdom'),
(68189, '94.246.101.96', '94.246.101.207', 1593206112, 1593206223, 'SE', 'Sweden'),
(68190, '94.246.101.208', '94.246.101.215', 1593206224, 1593206231, 'FI', 'Finland'),
(68191, '94.246.101.216', '94.246.113.63', 1593206232, 1593209151, 'SE', 'Sweden'),
(68192, '94.246.113.64', '94.246.113.67', 1593209152, 1593209155, 'GR', 'Greece'),
(68193, '94.246.113.68', '94.246.113.71', 1593209156, 1593209159, 'HU', 'Hungary'),
(68194, '94.246.113.72', '94.246.113.75', 1593209160, 1593209163, 'FI', 'Finland'),
(68195, '94.246.113.76', '94.246.113.79', 1593209164, 1593209167, 'CH', 'Switzerland'),
(68196, '94.246.113.80', '94.246.119.255', 1593209168, 1593210879, 'SE', 'Sweden'),
(68197, '94.246.120.0', '94.246.121.255', 1593210880, 1593211391, 'NO', 'Norway'),
(68198, '94.246.122.0', '94.246.125.255', 1593211392, 1593212415, 'SE', 'Sweden'),
(68199, '94.246.126.0', '94.246.127.255', 1593212416, 1593212927, 'NO', 'Norway'),
(68200, '94.246.128.0', '94.246.191.255', 1593212928, 1593229311, 'PL', 'Poland'),
(68201, '94.246.192.0', '94.246.255.255', 1593229312, 1593245695, 'EE', 'Estonia'),
(68202, '94.247.0.0', '94.247.7.255', 1593245696, 1593247743, 'NL', 'Netherlands'),
(68203, '94.247.8.0', '94.247.15.255', 1593247744, 1593249791, 'IT', 'Italy'),
(68204, '94.247.16.0', '94.247.23.255', 1593249792, 1593251839, 'RU', 'Russian Federation'),
(68205, '94.247.24.0', '94.247.25.63', 1593251840, 1593252159, 'FR', 'France'),
(68206, '94.247.25.64', '94.247.25.96', 1593252160, 1593252192, 'GB', 'United Kingdom'),
(68207, '94.247.25.97', '94.247.31.255', 1593252193, 1593253887, 'FR', 'France'),
(68208, '94.247.32.0', '94.247.39.255', 1593253888, 1593255935, 'CZ', 'Czech Republic'),
(68209, '94.247.40.0', '94.247.47.255', 1593255936, 1593257983, 'DE', 'Germany'),
(68210, '94.247.48.0', '94.247.55.255', 1593257984, 1593260031, 'IE', 'Ireland'),
(68211, '94.247.56.0', '94.247.63.255', 1593260032, 1593262079, 'RU', 'Russian Federation'),
(68212, '94.247.64.0', '94.247.71.255', 1593262080, 1593264127, 'KZ', 'Kazakhstan'),
(68213, '94.247.72.0', '94.247.79.255', 1593264128, 1593266175, 'NL', 'Netherlands'),
(68214, '94.247.80.0', '94.247.87.255', 1593266176, 1593268223, 'GB', 'United Kingdom'),
(68215, '94.247.88.0', '94.247.95.255', 1593268224, 1593270271, 'HU', 'Hungary'),
(68216, '94.247.96.0', '94.247.103.255', 1593270272, 1593272319, 'GB', 'United Kingdom'),
(68217, '94.247.104.0', '94.247.111.255', 1593272320, 1593274367, 'RU', 'Russian Federation'),
(68218, '94.247.112.0', '94.247.119.255', 1593274368, 1593276415, 'DE', 'Germany'),
(68219, '94.247.120.0', '94.247.127.255', 1593276416, 1593278463, 'RU', 'Russian Federation'),
(68220, '94.247.128.0', '94.247.135.255', 1593278464, 1593280511, 'KZ', 'Kazakhstan'),
(68221, '94.247.136.0', '94.247.143.255', 1593280512, 1593282559, 'EE', 'Estonia'),
(68222, '94.247.144.0', '94.247.151.255', 1593282560, 1593284607, 'AT', 'Austria'),
(68223, '94.247.152.0', '94.247.159.255', 1593284608, 1593286655, 'GB', 'United Kingdom'),
(68224, '94.247.160.0', '94.247.167.255', 1593286656, 1593288703, 'FR', 'France'),
(68225, '94.247.168.0', '94.247.175.255', 1593288704, 1593290751, 'SE', 'Sweden'),
(68226, '94.247.176.0', '94.247.183.255', 1593290752, 1593292799, 'FR', 'France'),
(68227, '94.247.184.0', '94.247.191.255', 1593292800, 1593294847, 'IT', 'Italy'),
(68228, '94.247.192.0', '94.247.199.255', 1593294848, 1593296895, 'NL', 'Netherlands'),
(68229, '94.247.200.0', '94.247.207.255', 1593296896, 1593298943, 'RS', 'Serbia'),
(68230, '94.247.208.0', '94.247.215.255', 1593298944, 1593300991, 'RU', 'Russian Federation'),
(68231, '94.247.216.0', '94.247.223.255', 1593300992, 1593303039, 'CH', 'Switzerland'),
(68232, '94.247.224.0', '94.247.231.255', 1593303040, 1593305087, 'UA', 'Ukraine'),
(68233, '94.247.232.0', '94.247.239.255', 1593305088, 1593307135, 'FR', 'France'),
(68234, '94.247.240.0', '94.247.255.255', 1593307136, 1593311231, 'RU', 'Russian Federation'),
(68235, '94.248.0.0', '94.248.127.255', 1593311232, 1593343999, 'UA', 'Ukraine'),
(68236, '94.248.128.0', '94.248.255.255', 1593344000, 1593376767, 'HU', 'Hungary'),
(68237, '94.249.0.0', '94.249.127.255', 1593376768, 1593409535, 'JO', 'Jordan'),
(68238, '94.249.128.0', '94.249.255.255', 1593409536, 1593442303, 'DE', 'Germany'),
(68239, '94.250.0.0', '94.250.127.255', 1593442304, 1593475071, 'BA', 'Bosnia and Herzegovina'),
(68240, '94.250.128.0', '94.251.127.255', 1593475072, 1593540607, 'RU', 'Russian Federation'),
(68241, '94.251.128.0', '94.251.255.255', 1593540608, 1593573375, 'PL', 'Poland'),
(68242, '94.252.0.0', '94.252.127.255', 1593573376, 1593606143, 'LU', 'Luxembourg'),
(68243, '94.252.128.0', '94.252.255.255', 1593606144, 1593638911, 'SY', 'Syrian Arab Republic'),
(68244, '94.253.0.0', '94.253.127.255', 1593638912, 1593671679, 'RU', 'Russian Federation'),
(68245, '94.253.128.0', '94.253.255.255', 1593671680, 1593704447, 'HR', 'Croatia'),
(68246, '94.254.0.0', '94.254.127.255', 1593704448, 1593737215, 'SE', 'Sweden'),
(68247, '94.254.128.0', '94.254.255.255', 1593737216, 1593769983, 'PL', 'Poland'),
(68248, '94.255.0.0', '94.255.127.255', 1593769984, 1593802751, 'RU', 'Russian Federation'),
(68249, '94.255.128.0', '94.255.255.255', 1593802752, 1593835519, 'SE', 'Sweden'),
(68250, '95.0.0.0', '95.15.255.255', 1593835520, 1594884095, 'TR', 'Turkey'),
(68251, '95.16.0.0', '95.23.255.255', 1594884096, 1595408383, 'ES', 'Spain'),
(68252, '95.24.0.0', '95.32.255.255', 1595408384, 1595998207, 'RU', 'Russian Federation'),
(68253, '95.33.0.0', '95.33.255.255', 1595998208, 1596063743, 'DE', 'Germany'),
(68254, '95.34.0.0', '95.34.255.255', 1596063744, 1596129279, 'NO', 'Norway'),
(68255, '95.35.0.0', '95.35.255.255', 1596129280, 1596194815, 'IL', 'Israel'),
(68256, '95.36.0.0', '95.36.255.255', 1596194816, 1596260351, 'NL', 'Netherlands'),
(68257, '95.37.0.0', '95.37.255.255', 1596260352, 1596325887, 'RU', 'Russian Federation'),
(68258, '95.38.0.0', '95.38.255.255', 1596325888, 1596391423, 'IR', 'Iran, Islamic Republic of'),
(68259, '95.39.0.0', '95.39.255.255', 1596391424, 1596456959, 'ES', 'Spain'),
(68260, '95.40.0.0', '95.41.255.255', 1596456960, 1596588031, 'PL', 'Poland'),
(68261, '95.42.0.0', '95.43.255.255', 1596588032, 1596719103, 'BG', 'Bulgaria'),
(68262, '95.44.0.0', '95.45.255.255', 1596719104, 1596850175, 'IE', 'Ireland'),
(68263, '95.46.0.0', '95.47.255.255', 1596850176, 1596981247, 'CZ', 'Czech Republic'),
(68264, '95.48.0.0', '95.51.255.255', 1596981248, 1597243391, 'PL', 'Poland'),
(68265, '95.52.0.0', '95.55.255.255', 1597243392, 1597505535, 'RU', 'Russian Federation'),
(68266, '95.56.0.0', '95.59.255.255', 1597505536, 1597767679, 'KZ', 'Kazakhstan'),
(68267, '95.60.0.0', '95.63.255.255', 1597767680, 1598029823, 'ES', 'Spain'),
(68268, '95.64.0.0', '95.64.127.255', 1598029824, 1598062591, 'RO', 'Romania'),
(68269, '95.64.128.0', '95.64.255.255', 1598062592, 1598095359, 'RU', 'Russian Federation'),
(68270, '95.65.0.0', '95.65.127.255', 1598095360, 1598128127, 'MD', 'Moldova, Republic of'),
(68271, '95.65.128.0', '95.65.255.255', 1598128128, 1598160895, 'TR', 'Turkey'),
(68272, '95.66.0.0', '95.66.127.255', 1598160896, 1598193663, 'KW', 'Kuwait'),
(68273, '95.66.128.0', '95.66.255.255', 1598193664, 1598226431, 'RU', 'Russian Federation'),
(68274, '95.67.0.0', '95.67.127.255', 1598226432, 1598259199, 'UA', 'Ukraine'),
(68275, '95.67.128.0', '95.67.255.255', 1598259200, 1598291967, 'RU', 'Russian Federation'),
(68276, '95.68.0.0', '95.68.127.255', 1598291968, 1598324735, 'LV', 'Latvia'),
(68277, '95.68.128.0', '95.68.255.255', 1598324736, 1598357503, 'RU', 'Russian Federation'),
(68278, '95.69.0.0', '95.69.127.255', 1598357504, 1598390271, 'PT', 'Portugal'),
(68279, '95.69.128.0', '95.69.255.255', 1598390272, 1598423039, 'UA', 'Ukraine'),
(68280, '95.70.0.0', '95.70.127.255', 1598423040, 1598455807, 'RU', 'Russian Federation'),
(68281, '95.70.128.0', '95.70.255.255', 1598455808, 1598488575, 'TR', 'Turkey'),
(68282, '95.71.0.0', '95.73.255.255', 1598488576, 1598685183, 'RU', 'Russian Federation'),
(68283, '95.74.0.0', '95.75.255.255', 1598685184, 1598816255, 'IT', 'Italy'),
(68284, '95.76.0.0', '95.77.255.255', 1598816256, 1598947327, 'RO', 'Romania'),
(68285, '95.78.0.0', '95.79.255.255', 1598947328, 1599078399, 'RU', 'Russian Federation'),
(68286, '95.80.0.0', '95.80.63.255', 1599078400, 1599094783, 'SE', 'Sweden'),
(68287, '95.80.64.0', '95.80.127.255', 1599094784, 1599111167, 'RU', 'Russian Federation'),
(68288, '95.80.128.0', '95.80.191.255', 1599111168, 1599127551, 'IR', 'Iran, Islamic Republic of'),
(68289, '95.80.192.0', '95.80.197.175', 1599127552, 1599129007, 'CZ', 'Czech Republic'),
(68290, '95.80.197.176', '95.80.197.179', 1599129008, 1599129011, 'EE', 'Estonia'),
(68291, '95.80.197.180', '95.80.215.255', 1599129012, 1599133695, 'CZ', 'Czech Republic'),
(68292, '95.80.216.0', '95.80.216.127', 1599133696, 1599133823, 'SK', 'Slovakia'),
(68293, '95.80.216.128', '95.80.229.31', 1599133824, 1599137055, 'CZ', 'Czech Republic'),
(68294, '95.80.229.32', '95.80.229.47', 1599137056, 1599137071, 'SK', 'Slovakia'),
(68295, '95.80.229.48', '95.80.255.255', 1599137072, 1599143935, 'CZ', 'Czech Republic'),
(68296, '95.81.0.0', '95.81.63.255', 1599143936, 1599160319, 'UA', 'Ukraine'),
(68297, '95.81.64.0', '95.81.127.255', 1599160320, 1599176703, 'IR', 'Iran, Islamic Republic of'),
(68298, '95.81.128.0', '95.81.175.255', 1599176704, 1599188991, 'FR', 'France'),
(68299, '95.81.176.0', '95.81.177.127', 1599188992, 1599189375, 'DE', 'Germany'),
(68300, '95.81.177.128', '95.81.191.255', 1599189376, 1599193087, 'FR', 'France'),
(68301, '95.81.192.0', '95.81.255.255', 1599193088, 1599209471, 'RU', 'Russian Federation'),
(68302, '95.82.0.0', '95.82.127.255', 1599209472, 1599242239, 'IR', 'Iran, Islamic Republic of'),
(68303, '95.82.128.0', '95.82.191.255', 1599242240, 1599258623, 'CZ', 'Czech Republic'),
(68304, '95.82.192.0', '95.83.191.255', 1599258624, 1599324159, 'RU', 'Russian Federation'),
(68305, '95.83.192.0', '95.83.255.255', 1599324160, 1599340543, 'IE', 'Ireland'),
(68306, '95.84.0.0', '95.84.63.255', 1599340544, 1599356927, 'RU', 'Russian Federation'),
(68307, '95.84.64.0', '95.84.127.255', 1599356928, 1599373311, 'BH', 'Bahrain'),
(68308, '95.84.128.0', '95.85.127.255', 1599373312, 1599438847, 'RU', 'Russian Federation'),
(68309, '95.85.128.0', '95.85.191.255', 1599438848, 1599455231, 'RS', 'Serbia'),
(68310, '95.85.192.0', '95.85.255.255', 1599455232, 1599471615, 'CZ', 'Czech Republic'),
(68311, '95.86.0.0', '95.86.63.255', 1599471616, 1599487999, 'MK', 'Macedonia'),
(68312, '95.86.64.0', '95.86.127.255', 1599488000, 1599504383, 'IL', 'Israel'),
(68313, '95.86.128.0', '95.86.191.255', 1599504384, 1599520767, 'AZ', 'Azerbaijan'),
(68314, '95.86.192.0', '95.86.255.255', 1599520768, 1599537151, 'RU', 'Russian Federation'),
(68315, '95.87.0.0', '95.87.63.255', 1599537152, 1599553535, 'BG', 'Bulgaria'),
(68316, '95.87.64.0', '95.87.95.255', 1599553536, 1599561727, 'KG', 'Kyrgyzstan'),
(68317, '95.87.96.0', '95.87.111.255', 1599561728, 1599565823, 'GB', 'United Kingdom'),
(68318, '95.87.112.0', '95.87.119.255', 1599565824, 1599567871, 'SY', 'Syrian Arab Republic'),
(68319, '95.87.120.0', '95.87.127.255', 1599567872, 1599569919, 'IT', 'Italy'),
(68320, '95.87.128.0', '95.87.191.255', 1599569920, 1599586303, 'SI', 'Slovenia'),
(68321, '95.87.192.0', '95.87.255.255', 1599586304, 1599602687, 'BG', 'Bulgaria'),
(68322, '95.88.0.0', '95.91.255.255', 1599602688, 1599864831, 'DE', 'Germany'),
(68323, '95.92.0.0', '95.95.255.255', 1599864832, 1600126975, 'PT', 'Portugal'),
(68324, '95.96.0.0', '95.99.255.255', 1600126976, 1600389119, 'NL', 'Netherlands'),
(68325, '95.100.0.0', '95.100.31.255', 1600389120, 1600397311, 'EU', 'Europe'),
(68326, '95.100.32.0', '95.100.47.255', 1600397312, 1600401407, 'DE', 'Germany'),
(68327, '95.100.48.0', '95.100.207.255', 1600401408, 1600442367, 'EU', 'Europe'),
(68328, '95.100.208.0', '95.100.223.255', 1600442368, 1600446463, 'DE', 'Germany'),
(68329, '95.100.224.0', '95.100.249.255', 1600446464, 1600453119, 'EU', 'Europe'),
(68330, '95.100.250.0', '95.100.251.255', 1600453120, 1600453631, 'IT', 'Italy'),
(68331, '95.100.252.0', '95.101.7.255', 1600453632, 1600456703, 'EU', 'Europe'),
(68332, '95.101.8.0', '95.101.11.255', 1600456704, 1600457727, 'DE', 'Germany'),
(68333, '95.101.12.0', '95.101.255.255', 1600457728, 1600520191, 'EU', 'Europe'),
(68334, '95.102.0.0', '95.103.255.255', 1600520192, 1600651263, 'SK', 'Slovakia'),
(68335, '95.104.0.0', '95.104.127.255', 1600651264, 1600684031, 'GE', 'Georgia'),
(68336, '95.104.128.0', '95.105.127.255', 1600684032, 1600749567, 'RU', 'Russian Federation'),
(68337, '95.105.128.0', '95.105.255.255', 1600749568, 1600782335, 'SK', 'Slovakia'),
(68338, '95.106.0.0', '95.107.127.255', 1600782336, 1600880639, 'RU', 'Russian Federation'),
(68339, '95.107.128.0', '95.107.255.255', 1600880640, 1600913407, 'AL', 'Albania'),
(68340, '95.108.0.0', '95.108.127.255', 1600913408, 1600946175, 'PL', 'Poland'),
(68341, '95.108.128.0', '95.108.194.95', 1600946176, 1600963167, 'RU', 'Russian Federation'),
(68342, '95.108.194.96', '95.108.194.103', 1600963168, 1600963175, 'UA', 'Ukraine'),
(68343, '95.108.194.104', '95.108.194.111', 1600963176, 1600963183, 'RU', 'Russian Federation'),
(68344, '95.108.194.112', '95.108.194.119', 1600963184, 1600963191, 'BY', 'Belarus'),
(68345, '95.108.194.120', '95.108.194.127', 1600963192, 1600963199, 'KZ', 'Kazakhstan'),
(68346, '95.108.194.128', '95.108.255.255', 1600963200, 1600978943, 'RU', 'Russian Federation'),
(68347, '95.109.0.0', '95.109.127.255', 1600978944, 1601011711, 'SE', 'Sweden'),
(68348, '95.109.128.0', '95.109.255.255', 1601011712, 1601044479, 'UA', 'Ukraine'),
(68349, '95.110.0.0', '95.110.127.255', 1601044480, 1601077247, 'RU', 'Russian Federation'),
(68350, '95.110.128.0', '95.110.255.255', 1601077248, 1601110015, 'IT', 'Italy'),
(68351, '95.111.0.0', '95.111.127.255', 1601110016, 1601142783, 'BG', 'Bulgaria'),
(68352, '95.111.128.0', '95.111.255.255', 1601142784, 1601175551, 'UA', 'Ukraine'),
(68353, '95.112.0.0', '95.119.255.255', 1601175552, 1601699839, 'DE', 'Germany'),
(68354, '95.120.0.0', '95.127.255.255', 1601699840, 1602224127, 'ES', 'Spain'),
(68355, '95.128.0.0', '95.128.7.255', 1602224128, 1602226175, 'NL', 'Netherlands'),
(68356, '95.128.8.0', '95.128.15.255', 1602226176, 1602228223, 'GB', 'United Kingdom'),
(68357, '95.128.16.0', '95.128.23.254', 1602228224, 1602230270, 'FR', 'France'),
(68358, '95.128.23.255', '95.128.23.255', 1602230271, 1602230271, 'DE', 'Germany'),
(68359, '95.128.24.0', '95.128.31.255', 1602230272, 1602232319, 'DK', 'Denmark'),
(68360, '95.128.32.0', '95.128.39.255', 1602232320, 1602234367, 'CH', 'Switzerland'),
(68361, '95.128.40.0', '95.128.40.223', 1602234368, 1602234591, 'FR', 'France'),
(68362, '95.128.40.224', '95.128.40.255', 1602234592, 1602234623, 'GB', 'United Kingdom'),
(68363, '95.128.41.0', '95.128.41.79', 1602234624, 1602234703, 'FR', 'France'),
(68364, '95.128.41.80', '95.128.41.224', 1602234704, 1602234848, 'GB', 'United Kingdom'),
(68365, '95.128.41.225', '95.128.42.15', 1602234849, 1602234895, 'FR', 'France'),
(68366, '95.128.42.16', '95.128.42.23', 1602234896, 1602234903, 'GB', 'United Kingdom'),
(68367, '95.128.42.24', '95.128.42.63', 1602234904, 1602234943, 'FR', 'France'),
(68368, '95.128.42.64', '95.128.42.255', 1602234944, 1602235135, 'GB', 'United Kingdom'),
(68369, '95.128.43.0', '95.128.43.127', 1602235136, 1602235263, 'FR', 'France'),
(68370, '95.128.43.128', '95.128.44.255', 1602235264, 1602235647, 'GB', 'United Kingdom'),
(68371, '95.128.45.0', '95.128.45.127', 1602235648, 1602235775, 'FR', 'France'),
(68372, '95.128.45.128', '95.128.45.255', 1602235776, 1602235903, 'GB', 'United Kingdom'),
(68373, '95.128.46.0', '95.128.46.63', 1602235904, 1602235967, 'ES', 'Spain'),
(68374, '95.128.46.64', '95.128.55.255', 1602235968, 1602238463, 'GB', 'United Kingdom'),
(68375, '95.128.56.0', '95.128.63.255', 1602238464, 1602240511, 'TR', 'Turkey'),
(68376, '95.128.64.0', '95.128.71.255', 1602240512, 1602242559, 'BY', 'Belarus'),
(68377, '95.128.72.0', '95.128.77.191', 1602242560, 1602244031, 'FR', 'France'),
(68378, '95.128.77.192', '95.128.77.195', 1602244032, 1602244035, 'GB', 'United Kingdom'),
(68379, '95.128.77.196', '95.128.77.199', 1602244036, 1602244039, 'ES', 'Spain'),
(68380, '95.128.77.200', '95.128.79.255', 1602244040, 1602244607, 'FR', 'France'),
(68381, '95.128.80.0', '95.128.87.255', 1602244608, 1602246655, 'CH', 'Switzerland'),
(68382, '95.128.88.0', '95.128.95.255', 1602246656, 1602248703, 'NL', 'Netherlands'),
(68383, '95.128.96.0', '95.128.103.255', 1602248704, 1602250751, 'BE', 'Belgium'),
(68384, '95.128.104.0', '95.128.111.255', 1602250752, 1602252799, 'NO', 'Norway'),
(68385, '95.128.112.0', '95.128.119.255', 1602252800, 1602254847, 'SE', 'Sweden'),
(68386, '95.128.120.0', '95.128.120.255', 1602254848, 1602255103, 'PT', 'Portugal'),
(68387, '95.128.121.0', '95.128.121.255', 1602255104, 1602255359, 'HU', 'Hungary'),
(68388, '95.128.122.0', '95.128.122.255', 1602255360, 1602255615, 'US', 'United States'),
(68389, '95.128.123.0', '95.128.123.255', 1602255616, 1602255871, 'PT', 'Portugal'),
(68390, '95.128.124.0', '95.128.127.255', 1602255872, 1602256895, 'HU', 'Hungary'),
(68391, '95.128.128.0', '95.128.135.255', 1602256896, 1602258943, 'GB', 'United Kingdom'),
(68392, '95.128.136.0', '95.128.143.255', 1602258944, 1602260991, 'RU', 'Russian Federation'),
(68393, '95.128.144.0', '95.128.151.255', 1602260992, 1602263039, 'FR', 'France'),
(68394, '95.128.152.0', '95.128.159.255', 1602263040, 1602265087, 'ES', 'Spain'),
(68395, '95.128.160.0', '95.128.167.255', 1602265088, 1602267135, 'RU', 'Russian Federation'),
(68396, '95.128.168.0', '95.128.168.63', 1602267136, 1602267199, 'DE', 'Germany'),
(68397, '95.128.168.64', '95.128.168.127', 1602267200, 1602267263, 'FR', 'France'),
(68398, '95.128.168.128', '95.128.168.191', 1602267264, 1602267327, 'GB', 'United Kingdom'),
(68399, '95.128.168.192', '95.128.168.255', 1602267328, 1602267391, 'ES', 'Spain'),
(68400, '95.128.169.0', '95.128.175.255', 1602267392, 1602269183, 'RO', 'Romania'),
(68401, '95.128.176.0', '95.128.183.255', 1602269184, 1602271231, 'RU', 'Russian Federation'),
(68402, '95.128.184.0', '95.128.191.255', 1602271232, 1602273279, 'MK', 'Macedonia'),
(68403, '95.128.192.0', '95.128.192.255', 1602273280, 1602273535, 'FR', 'France'),
(68404, '95.128.193.0', '95.128.193.255', 1602273536, 1602273791, 'GB', 'United Kingdom'),
(68405, '95.128.194.0', '95.128.196.255', 1602273792, 1602274559, 'IN', 'India'),
(68406, '95.128.197.0', '95.128.197.255', 1602274560, 1602274815, 'IE', 'Ireland'),
(68407, '95.128.198.0', '95.128.198.255', 1602274816, 1602275071, 'GB', 'United Kingdom'),
(68408, '95.128.199.0', '95.128.201.95', 1602275072, 1602275679, 'DE', 'Germany'),
(68409, '95.128.201.96', '95.128.201.111', 1602275680, 1602275695, 'CA', 'Canada'),
(68410, '95.128.201.112', '95.128.215.255', 1602275696, 1602279423, 'DE', 'Germany'),
(68411, '95.128.216.0', '95.128.223.255', 1602279424, 1602281471, 'GB', 'United Kingdom'),
(68412, '95.128.224.0', '95.128.231.255', 1602281472, 1602283519, 'RU', 'Russian Federation'),
(68413, '95.128.232.0', '95.128.239.255', 1602283520, 1602285567, 'HR', 'Croatia'),
(68414, '95.128.240.0', '95.128.247.255', 1602285568, 1602287615, 'RU', 'Russian Federation'),
(68415, '95.128.248.0', '95.128.255.255', 1602287616, 1602289663, 'DE', 'Germany'),
(68416, '95.129.0.0', '95.129.7.255', 1602289664, 1602291711, 'LB', 'Lebanon'),
(68417, '95.129.8.0', '95.129.15.255', 1602291712, 1602293759, 'SA', 'Saudi Arabia'),
(68418, '95.129.16.0', '95.129.23.255', 1602293760, 1602295807, 'GB', 'United Kingdom'),
(68419, '95.129.24.0', '95.129.31.255', 1602295808, 1602297855, 'NL', 'Netherlands'),
(68420, '95.129.32.0', '95.129.33.255', 1602297856, 1602298367, 'IL', 'Israel'),
(68421, '95.129.34.0', '95.129.34.63', 1602298368, 1602298431, 'MT', 'Malta'),
(68422, '95.129.34.64', '95.129.35.255', 1602298432, 1602298879, 'IL', 'Israel'),
(68423, '95.129.36.0', '95.129.37.255', 1602298880, 1602299391, 'MT', 'Malta'),
(68424, '95.129.38.0', '95.129.39.255', 1602299392, 1602299903, 'GB', 'United Kingdom'),
(68425, '95.129.40.0', '95.129.47.255', 1602299904, 1602301951, 'GR', 'Greece'),
(68426, '95.129.48.0', '95.129.55.255', 1602301952, 1602303999, 'DE', 'Germany'),
(68427, '95.129.56.0', '95.129.63.255', 1602304000, 1602306047, 'RU', 'Russian Federation'),
(68428, '95.129.64.0', '95.129.71.255', 1602306048, 1602308095, 'GB', 'United Kingdom'),
(68429, '95.129.72.0', '95.129.79.255', 1602308096, 1602310143, 'RU', 'Russian Federation'),
(68430, '95.129.80.0', '95.129.87.255', 1602310144, 1602312191, 'NL', 'Netherlands'),
(68431, '95.129.88.0', '95.129.95.255', 1602312192, 1602314239, 'RU', 'Russian Federation'),
(68432, '95.129.96.0', '95.129.103.255', 1602314240, 1602316287, 'CZ', 'Czech Republic'),
(68433, '95.129.104.0', '95.129.111.255', 1602316288, 1602318335, 'GB', 'United Kingdom'),
(68434, '95.129.112.0', '95.129.119.255', 1602318336, 1602320383, 'ES', 'Spain'),
(68435, '95.129.120.0', '95.129.128.255', 1602320384, 1602322687, 'NL', 'Netherlands'),
(68436, '95.129.129.0', '95.129.129.15', 1602322688, 1602322703, 'IE', 'Ireland'),
(68437, '95.129.129.16', '95.129.135.255', 1602322704, 1602324479, 'NL', 'Netherlands'),
(68438, '95.129.136.0', '95.129.151.255', 1602324480, 1602328575, 'RU', 'Russian Federation'),
(68439, '95.129.152.0', '95.129.159.255', 1602328576, 1602330623, 'ES', 'Spain'),
(68440, '95.129.160.0', '95.129.183.255', 1602330624, 1602336767, 'RU', 'Russian Federation'),
(68441, '95.129.184.0', '95.129.191.255', 1602336768, 1602338815, 'GB', 'United Kingdom'),
(68442, '95.129.192.0', '95.129.199.255', 1602338816, 1602340863, 'EE', 'Estonia'),
(68443, '95.129.200.0', '95.129.207.255', 1602340864, 1602342911, 'AT', 'Austria'),
(68444, '95.129.208.0', '95.129.215.255', 1602342912, 1602344959, 'DE', 'Germany'),
(68445, '95.129.216.0', '95.129.223.255', 1602344960, 1602347007, 'ES', 'Spain'),
(68446, '95.129.224.0', '95.129.231.255', 1602347008, 1602349055, 'PL', 'Poland'),
(68447, '95.129.232.0', '95.129.239.255', 1602349056, 1602351103, 'RU', 'Russian Federation'),
(68448, '95.129.240.0', '95.129.247.255', 1602351104, 1602353151, 'CZ', 'Czech Republic'),
(68449, '95.129.248.0', '95.129.255.255', 1602353152, 1602355199, 'ES', 'Spain'),
(68450, '95.130.0.0', '95.130.7.255', 1602355200, 1602357247, 'GB', 'United Kingdom'),
(68451, '95.130.8.0', '95.130.8.255', 1602357248, 1602357503, 'FR', 'France'),
(68452, '95.130.9.0', '95.130.9.255', 1602357504, 1602357759, 'A1', 'Anonymous Proxy'),
(68453, '95.130.10.0', '95.130.15.255', 1602357760, 1602359295, 'FR', 'France'),
(68454, '95.130.16.0', '95.130.23.255', 1602359296, 1602361343, 'DE', 'Germany'),
(68455, '95.130.24.0', '95.130.31.255', 1602361344, 1602363391, 'FI', 'Finland'),
(68456, '95.130.32.0', '95.130.39.255', 1602363392, 1602365439, 'LV', 'Latvia'),
(68457, '95.130.40.0', '95.130.47.255', 1602365440, 1602367487, 'BE', 'Belgium'),
(68458, '95.130.48.0', '95.130.55.255', 1602367488, 1602369535, 'ES', 'Spain'),
(68459, '95.130.56.0', '95.130.63.255', 1602369536, 1602371583, 'IR', 'Iran, Islamic Republic of'),
(68460, '95.130.64.0', '95.130.71.255', 1602371584, 1602373631, 'SE', 'Sweden'),
(68461, '95.130.72.0', '95.130.79.255', 1602373632, 1602375679, 'GB', 'United Kingdom'),
(68462, '95.130.80.0', '95.130.87.255', 1602375680, 1602377727, 'BY', 'Belarus'),
(68463, '95.130.88.0', '95.130.95.255', 1602377728, 1602379775, 'PS', 'Palestinian Territory, Occupied'),
(68464, '95.130.96.0', '95.130.111.255', 1602379776, 1602383871, 'GB', 'United Kingdom'),
(68465, '95.130.112.0', '95.130.112.0', 1602383872, 1602383872, 'EU', 'Europe'),
(68466, '95.130.112.1', '95.130.112.1', 1602383873, 1602383873, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(68467, '95.130.112.2', '95.130.115.255', 1602383874, 1602384895, 'EU', 'Europe'),
(68468, '95.130.116.0', '95.130.116.255', 1602384896, 1602385151, 'DE', 'Germany'),
(68469, '95.130.117.0', '95.130.119.255', 1602385152, 1602385919, 'EU', 'Europe'),
(68470, '95.130.120.0', '95.130.127.255', 1602385920, 1602387967, 'AT', 'Austria'),
(68471, '95.130.128.0', '95.130.135.255', 1602387968, 1602390015, 'RU', 'Russian Federation'),
(68472, '95.130.136.0', '95.130.143.255', 1602390016, 1602392063, 'IT', 'Italy'),
(68473, '95.130.144.0', '95.130.151.255', 1602392064, 1602394111, 'GB', 'United Kingdom'),
(68474, '95.130.152.0', '95.130.159.255', 1602394112, 1602396159, 'FR', 'France'),
(68475, '95.130.160.0', '95.130.167.255', 1602396160, 1602398207, 'DE', 'Germany'),
(68476, '95.130.168.0', '95.130.175.255', 1602398208, 1602400255, 'TR', 'Turkey'),
(68477, '95.130.176.0', '95.130.183.255', 1602400256, 1602402303, 'RU', 'Russian Federation'),
(68478, '95.130.184.0', '95.130.191.255', 1602402304, 1602404351, 'LU', 'Luxembourg'),
(68479, '95.130.192.0', '95.130.199.255', 1602404352, 1602406399, 'GB', 'United Kingdom'),
(68480, '95.130.200.0', '95.130.207.255', 1602406400, 1602408447, 'DE', 'Germany'),
(68481, '95.130.208.0', '95.130.215.255', 1602408448, 1602410495, 'DK', 'Denmark'),
(68482, '95.130.216.0', '95.130.223.255', 1602410496, 1602412543, 'NO', 'Norway'),
(68483, '95.130.224.0', '95.130.231.255', 1602412544, 1602414591, 'GB', 'United Kingdom'),
(68484, '95.130.232.0', '95.130.239.255', 1602414592, 1602416639, 'NL', 'Netherlands'),
(68485, '95.130.240.0', '95.130.247.255', 1602416640, 1602418687, 'IR', 'Iran, Islamic Republic of'),
(68486, '95.130.248.0', '95.130.255.255', 1602418688, 1602420735, 'DE', 'Germany'),
(68487, '95.131.0.0', '95.131.15.255', 1602420736, 1602424831, 'RU', 'Russian Federation'),
(68488, '95.131.16.0', '95.131.23.255', 1602424832, 1602426879, 'FR', 'France'),
(68489, '95.131.24.0', '95.131.31.255', 1602426880, 1602428927, 'RU', 'Russian Federation'),
(68490, '95.131.32.0', '95.131.39.255', 1602428928, 1602430975, 'PL', 'Poland'),
(68491, '95.131.40.0', '95.131.47.255', 1602430976, 1602433023, 'IT', 'Italy'),
(68492, '95.131.48.0', '95.131.49.191', 1602433024, 1602433471, 'HU', 'Hungary'),
(68493, '95.131.49.192', '95.131.49.199', 1602433472, 1602433479, 'CY', 'Cyprus'),
(68494, '95.131.49.200', '95.131.55.255', 1602433480, 1602435071, 'HU', 'Hungary'),
(68495, '95.131.56.0', '95.131.63.255', 1602435072, 1602437119, 'IT', 'Italy'),
(68496, '95.131.64.0', '95.131.71.255', 1602437120, 1602439167, 'GB', 'United Kingdom'),
(68497, '95.131.72.0', '95.131.79.255', 1602439168, 1602441215, 'RU', 'Russian Federation'),
(68498, '95.131.80.0', '95.131.87.255', 1602441216, 1602443263, 'GB', 'United Kingdom'),
(68499, '95.131.88.0', '95.131.95.255', 1602443264, 1602445311, 'RU', 'Russian Federation'),
(68500, '95.131.96.0', '95.131.103.255', 1602445312, 1602447359, 'DE', 'Germany'),
(68501, '95.131.104.0', '95.131.105.255', 1602447360, 1602447871, 'GB', 'United Kingdom'),
(68502, '95.131.106.0', '95.131.107.255', 1602447872, 1602448383, 'DE', 'Germany'),
(68503, '95.131.108.0', '95.131.109.255', 1602448384, 1602448895, 'NL', 'Netherlands'),
(68504, '95.131.110.0', '95.131.111.255', 1602448896, 1602449407, 'GB', 'United Kingdom'),
(68505, '95.131.112.0', '95.131.119.255', 1602449408, 1602451455, 'LV', 'Latvia'),
(68506, '95.131.120.0', '95.131.127.255', 1602451456, 1602453503, 'DE', 'Germany'),
(68507, '95.131.128.0', '95.131.135.255', 1602453504, 1602455551, 'SK', 'Slovakia'),
(68508, '95.131.136.0', '95.131.136.138', 1602455552, 1602455690, 'FR', 'France'),
(68509, '95.131.136.139', '95.131.136.139', 1602455691, 1602455691, 'BE', 'Belgium'),
(68510, '95.131.136.140', '95.131.137.207', 1602455692, 1602456015, 'FR', 'France'),
(68511, '95.131.137.208', '95.131.137.217', 1602456016, 1602456025, 'ES', 'Spain'),
(68512, '95.131.137.218', '95.131.137.218', 1602456026, 1602456026, 'DE', 'Germany'),
(68513, '95.131.137.219', '95.131.137.219', 1602456027, 1602456027, 'NL', 'Netherlands'),
(68514, '95.131.137.220', '95.131.137.220', 1602456028, 1602456028, 'IT', 'Italy'),
(68515, '95.131.137.221', '95.131.137.221', 1602456029, 1602456029, 'ES', 'Spain'),
(68516, '95.131.137.222', '95.131.137.222', 1602456030, 1602456030, 'PT', 'Portugal'),
(68517, '95.131.137.223', '95.131.137.223', 1602456031, 1602456031, 'ES', 'Spain'),
(68518, '95.131.137.224', '95.131.138.111', 1602456032, 1602456175, 'FR', 'France'),
(68519, '95.131.138.112', '95.131.138.119', 1602456176, 1602456183, 'ES', 'Spain'),
(68520, '95.131.138.120', '95.131.143.255', 1602456184, 1602457599, 'FR', 'France'),
(68521, '95.131.144.0', '95.131.151.255', 1602457600, 1602459647, 'RU', 'Russian Federation'),
(68522, '95.131.152.0', '95.131.159.255', 1602459648, 1602461695, 'GB', 'United Kingdom'),
(68523, '95.131.160.0', '95.131.175.255', 1602461696, 1602465791, 'ES', 'Spain'),
(68524, '95.131.176.0', '95.131.183.255', 1602465792, 1602467839, 'RU', 'Russian Federation'),
(68525, '95.131.184.0', '95.131.191.255', 1602467840, 1602469887, 'GI', 'Gibraltar'),
(68526, '95.131.192.0', '95.131.199.255', 1602469888, 1602471935, 'AT', 'Austria'),
(68527, '95.131.200.0', '95.131.207.255', 1602471936, 1602473983, 'SE', 'Sweden'),
(68528, '95.131.208.0', '95.131.215.255', 1602473984, 1602476031, 'RU', 'Russian Federation'),
(68529, '95.131.216.0', '95.131.223.255', 1602476032, 1602478079, 'GB', 'United Kingdom'),
(68530, '95.131.224.0', '95.131.231.255', 1602478080, 1602480127, 'RU', 'Russian Federation'),
(68531, '95.131.232.0', '95.131.239.255', 1602480128, 1602482175, 'MT', 'Malta'),
(68532, '95.131.240.0', '95.131.247.255', 1602482176, 1602484223, 'FR', 'France'),
(68533, '95.131.248.0', '95.131.255.255', 1602484224, 1602486271, 'GB', 'United Kingdom'),
(68534, '95.132.0.0', '95.135.255.255', 1602486272, 1602748415, 'UA', 'Ukraine'),
(68535, '95.136.0.0', '95.136.127.255', 1602748416, 1602781183, 'PT', 'Portugal'),
(68536, '95.136.128.0', '95.136.255.255', 1602781184, 1602813951, 'FR', 'France'),
(68537, '95.137.0.0', '95.137.127.255', 1602813952, 1602846719, 'RU', 'Russian Federation'),
(68538, '95.137.128.0', '95.137.255.255', 1602846720, 1602879487, 'GE', 'Georgia'),
(68539, '95.138.0.0', '95.138.63.255', 1602879488, 1602895871, 'FR', 'France'),
(68540, '95.138.64.0', '95.138.64.255', 1602895872, 1602896127, 'MQ', 'Martinique'),
(68541, '95.138.65.0', '95.138.127.255', 1602896128, 1602912255, 'FR', 'France'),
(68542, '95.138.128.0', '95.139.255.255', 1602912256, 1603010559, 'RU', 'Russian Federation'),
(68543, '95.140.0.0', '95.140.15.255', 1603010560, 1603014655, 'FR', 'France'),
(68544, '95.140.16.0', '95.140.31.255', 1603014656, 1603018751, 'RU', 'Russian Federation'),
(68545, '95.140.32.0', '95.140.47.255', 1603018752, 1603022847, 'HU', 'Hungary'),
(68546, '95.140.48.0', '95.140.63.255', 1603022848, 1603026943, 'GB', 'United Kingdom'),
(68547, '95.140.64.0', '95.140.79.255', 1603026944, 1603031039, 'SE', 'Sweden'),
(68548, '95.140.80.0', '95.140.95.255', 1603031040, 1603035135, 'RU', 'Russian Federation'),
(68549, '95.140.96.0', '95.140.111.255', 1603035136, 1603039231, 'SY', 'Syrian Arab Republic'),
(68550, '95.140.112.0', '95.140.127.255', 1603039232, 1603043327, 'RS', 'Serbia'),
(68551, '95.140.128.0', '95.140.143.255', 1603043328, 1603047423, 'IT', 'Italy'),
(68552, '95.140.144.0', '95.140.159.255', 1603047424, 1603051519, 'RU', 'Russian Federation'),
(68553, '95.140.160.0', '95.140.175.255', 1603051520, 1603055615, 'JO', 'Jordan'),
(68554, '95.140.176.0', '95.140.191.255', 1603055616, 1603059711, 'SE', 'Sweden'),
(68555, '95.140.192.0', '95.140.207.255', 1603059712, 1603063807, 'AM', 'Armenia'),
(68556, '95.140.208.0', '95.140.223.255', 1603063808, 1603067903, 'BG', 'Bulgaria'),
(68557, '95.140.224.0', '95.140.224.23', 1603067904, 1603067927, 'DE', 'Germany'),
(68558, '95.140.224.24', '95.140.239.255', 1603067928, 1603071999, 'GB', 'United Kingdom'),
(68559, '95.140.240.0', '95.140.255.255', 1603072000, 1603076095, 'CZ', 'Czech Republic'),
(68560, '95.141.0.0', '95.141.15.255', 1603076096, 1603080191, 'RU', 'Russian Federation'),
(68561, '95.141.16.0', '95.141.16.255', 1603080192, 1603080447, 'DE', 'Germany'),
(68562, '95.141.17.0', '95.141.17.255', 1603080448, 1603080703, 'FR', 'France'),
(68563, '95.141.18.0', '95.141.25.255', 1603080704, 1603082751, 'DE', 'Germany'),
(68564, '95.141.26.0', '95.141.26.255', 1603082752, 1603083007, 'ES', 'Spain'),
(68565, '95.141.27.0', '95.141.27.255', 1603083008, 1603083263, 'UA', 'Ukraine'),
(68566, '95.141.28.0', '95.141.30.255', 1603083264, 1603084031, 'DE', 'Germany'),
(68567, '95.141.31.0', '95.141.41.255', 1603084032, 1603086847, 'IT', 'Italy'),
(68568, '95.141.42.0', '95.141.42.255', 1603086848, 1603087103, 'DE', 'Germany'),
(68569, '95.141.43.0', '95.141.47.255', 1603087104, 1603088383, 'IT', 'Italy'),
(68570, '95.141.48.0', '95.141.63.255', 1603088384, 1603092479, 'LB', 'Lebanon'),
(68571, '95.141.64.0', '95.141.95.255', 1603092480, 1603100671, 'NO', 'Norway'),
(68572, '95.141.96.0', '95.141.127.255', 1603100672, 1603108863, 'FR', 'France'),
(68573, '95.141.128.0', '95.141.143.255', 1603108864, 1603112959, 'KZ', 'Kazakhstan'),
(68574, '95.141.144.0', '95.141.175.255', 1603112960, 1603121151, 'GB', 'United Kingdom'),
(68575, '95.141.176.0', '95.141.207.255', 1603121152, 1603129343, 'RU', 'Russian Federation'),
(68576, '95.141.208.0', '95.141.223.255', 1603129344, 1603133439, 'JO', 'Jordan'),
(68577, '95.141.224.0', '95.141.239.255', 1603133440, 1603137535, 'RU', 'Russian Federation'),
(68578, '95.141.240.0', '95.141.255.255', 1603137536, 1603141631, 'KW', 'Kuwait'),
(68579, '95.142.0.0', '95.142.15.255', 1603141632, 1603145727, 'ES', 'Spain'),
(68580, '95.142.16.0', '95.142.17.47', 1603145728, 1603146031, 'NL', 'Netherlands'),
(68581, '95.142.17.48', '95.142.17.79', 1603146032, 1603146063, 'CY', 'Cyprus'),
(68582, '95.142.17.80', '95.142.17.255', 1603146064, 1603146239, 'NL', 'Netherlands'),
(68583, '95.142.18.0', '95.142.19.255', 1603146240, 1603146751, 'US', 'United States'),
(68584, '95.142.20.0', '95.142.20.255', 1603146752, 1603147007, 'NL', 'Netherlands'),
(68585, '95.142.21.0', '95.142.21.255', 1603147008, 1603147263, 'US', 'United States'),
(68586, '95.142.22.0', '95.142.22.127', 1603147264, 1603147391, 'CY', 'Cyprus'),
(68587, '95.142.22.128', '95.142.22.255', 1603147392, 1603147519, 'NL', 'Netherlands'),
(68588, '95.142.23.0', '95.142.23.255', 1603147520, 1603147775, 'IL', 'Israel'),
(68589, '95.142.24.0', '95.142.24.255', 1603147776, 1603148031, 'US', 'United States'),
(68590, '95.142.25.0', '95.142.25.255', 1603148032, 1603148287, 'IL', 'Israel'),
(68591, '95.142.26.0', '95.142.27.255', 1603148288, 1603148799, 'NL', 'Netherlands'),
(68592, '95.142.28.0', '95.142.29.255', 1603148800, 1603149311, 'IL', 'Israel'),
(68593, '95.142.30.0', '95.142.30.255', 1603149312, 1603149567, 'NL', 'Netherlands'),
(68594, '95.142.31.0', '95.142.31.255', 1603149568, 1603149823, 'US', 'United States'),
(68595, '95.142.32.0', '95.142.47.255', 1603149824, 1603153919, 'RU', 'Russian Federation'),
(68596, '95.142.48.0', '95.142.63.255', 1603153920, 1603158015, 'NL', 'Netherlands'),
(68597, '95.142.64.0', '95.142.68.127', 1603158016, 1603159167, 'DE', 'Germany'),
(68598, '95.142.68.128', '95.142.68.143', 1603159168, 1603159183, 'NL', 'Netherlands'),
(68599, '95.142.68.144', '95.142.68.159', 1603159184, 1603159199, 'FR', 'France'),
(68600, '95.142.68.160', '95.142.69.191', 1603159200, 1603159487, 'DE', 'Germany'),
(68601, '95.142.69.192', '95.142.69.223', 1603159488, 1603159519, 'AT', 'Austria'),
(68602, '95.142.69.224', '95.142.69.239', 1603159520, 1603159535, 'DE', 'Germany'),
(68603, '95.142.69.240', '95.142.69.255', 1603159536, 1603159551, 'GB', 'United Kingdom'),
(68604, '95.142.70.0', '95.142.71.15', 1603159552, 1603159823, 'DE', 'Germany'),
(68605, '95.142.71.16', '95.142.71.63', 1603159824, 1603159871, 'CH', 'Switzerland'),
(68606, '95.142.71.64', '95.142.72.15', 1603159872, 1603160079, 'DE', 'Germany'),
(68607, '95.142.72.16', '95.142.72.31', 1603160080, 1603160095, 'NL', 'Netherlands'),
(68608, '95.142.72.32', '95.142.72.47', 1603160096, 1603160111, 'GB', 'United Kingdom'),
(68609, '95.142.72.48', '95.142.73.15', 1603160112, 1603160335, 'DE', 'Germany'),
(68610, '95.142.73.16', '95.142.73.31', 1603160336, 1603160351, 'GB', 'United Kingdom'),
(68611, '95.142.73.32', '95.142.75.175', 1603160352, 1603161007, 'DE', 'Germany'),
(68612, '95.142.75.176', '95.142.75.191', 1603161008, 1603161023, 'GB', 'United Kingdom'),
(68613, '95.142.75.192', '95.142.76.15', 1603161024, 1603161103, 'DE', 'Germany'),
(68614, '95.142.76.16', '95.142.76.31', 1603161104, 1603161119, 'GB', 'United Kingdom'),
(68615, '95.142.76.32', '95.142.76.47', 1603161120, 1603161135, 'AT', 'Austria'),
(68616, '95.142.76.48', '95.142.76.63', 1603161136, 1603161151, 'GB', 'United Kingdom'),
(68617, '95.142.76.64', '95.142.77.223', 1603161152, 1603161567, 'DE', 'Germany'),
(68618, '95.142.77.224', '95.142.77.255', 1603161568, 1603161599, 'FR', 'France'),
(68619, '95.142.78.0', '95.142.79.255', 1603161600, 1603162111, 'DE', 'Germany'),
(68620, '95.142.80.0', '95.142.95.255', 1603162112, 1603166207, 'TJ', 'Tajikistan'),
(68621, '95.142.96.0', '95.142.98.31', 1603166208, 1603166751, 'NL', 'Netherlands'),
(68622, '95.142.98.32', '95.142.98.47', 1603166752, 1603166767, 'MT', 'Malta'),
(68623, '95.142.98.48', '95.142.98.95', 1603166768, 1603166815, 'US', 'United States'),
(68624, '95.142.98.96', '95.142.98.127', 1603166816, 1603166847, 'VE', 'Venezuela'),
(68625, '95.142.98.128', '95.142.98.191', 1603166848, 1603166911, 'NL', 'Netherlands'),
(68626, '95.142.98.192', '95.142.98.223', 1603166912, 1603166943, 'VE', 'Venezuela'),
(68627, '95.142.98.224', '95.142.98.239', 1603166944, 1603166959, 'NL', 'Netherlands'),
(68628, '95.142.98.240', '95.142.98.255', 1603166960, 1603166975, 'US', 'United States'),
(68629, '95.142.99.0', '95.142.99.159', 1603166976, 1603167135, 'NL', 'Netherlands'),
(68630, '95.142.99.160', '95.142.99.191', 1603167136, 1603167167, 'JP', 'Japan'),
(68631, '95.142.99.192', '95.142.99.255', 1603167168, 1603167231, 'NL', 'Netherlands'),
(68632, '95.142.100.0', '95.142.101.255', 1603167232, 1603167743, 'BE', 'Belgium'),
(68633, '95.142.102.0', '95.142.102.127', 1603167744, 1603167871, 'NO', 'Norway'),
(68634, '95.142.102.128', '95.142.110.127', 1603167872, 1603169919, 'NL', 'Netherlands'),
(68635, '95.142.110.128', '95.142.110.191', 1603169920, 1603169983, 'US', 'United States'),
(68636, '95.142.110.192', '95.142.110.255', 1603169984, 1603170047, 'SE', 'Sweden'),
(68637, '95.142.111.0', '95.142.111.255', 1603170048, 1603170303, 'NL', 'Netherlands'),
(68638, '95.142.112.0', '95.142.127.255', 1603170304, 1603174399, 'IE', 'Ireland'),
(68639, '95.142.128.0', '95.142.143.255', 1603174400, 1603178495, 'TR', 'Turkey'),
(68640, '95.142.144.0', '95.142.159.255', 1603178496, 1603182591, 'GB', 'United Kingdom'),
(68641, '95.142.160.0', '95.142.175.255', 1603182592, 1603186687, 'FR', 'France'),
(68642, '95.142.176.0', '95.142.191.255', 1603186688, 1603190783, 'IT', 'Italy'),
(68643, '95.142.192.0', '95.142.207.255', 1603190784, 1603194879, 'RU', 'Russian Federation'),
(68644, '95.142.208.0', '95.142.223.255', 1603194880, 1603198975, 'IT', 'Italy'),
(68645, '95.142.224.0', '95.142.239.255', 1603198976, 1603203071, 'IR', 'Iran, Islamic Republic of'),
(68646, '95.142.240.0', '95.142.255.255', 1603203072, 1603207167, 'PL', 'Poland'),
(68647, '95.143.0.0', '95.143.31.255', 1603207168, 1603215359, 'RU', 'Russian Federation'),
(68648, '95.143.32.0', '95.143.39.15', 1603215360, 1603217167, 'DE', 'Germany'),
(68649, '95.143.39.16', '95.143.39.31', 1603217168, 1603217183, 'US', 'United States'),
(68650, '95.143.39.32', '95.143.47.255', 1603217184, 1603219455, 'DE', 'Germany'),
(68651, '95.143.48.0', '95.143.52.15', 1603219456, 1603220495, 'CH', 'Switzerland'),
(68652, '95.143.52.16', '95.143.52.23', 1603220496, 1603220503, 'LI', 'Liechtenstein'),
(68653, '95.143.52.24', '95.143.63.255', 1603220504, 1603223551, 'CH', 'Switzerland'),
(68654, '95.143.64.0', '95.143.64.63', 1603223552, 1603223615, 'FR', 'France'),
(68655, '95.143.64.64', '95.143.64.79', 1603223616, 1603223631, 'GB', 'United Kingdom'),
(68656, '95.143.64.80', '95.143.64.152', 1603223632, 1603223704, 'FR', 'France'),
(68657, '95.143.64.153', '95.143.64.159', 1603223705, 1603223711, 'GB', 'United Kingdom'),
(68658, '95.143.64.160', '95.143.65.128', 1603223712, 1603223936, 'FR', 'France'),
(68659, '95.143.65.129', '95.143.65.143', 1603223937, 1603223951, 'GB', 'United Kingdom'),
(68660, '95.143.65.144', '95.143.66.255', 1603223952, 1603224319, 'FR', 'France'),
(68661, '95.143.67.0', '95.143.67.15', 1603224320, 1603224335, 'GB', 'United Kingdom'),
(68662, '95.143.67.16', '95.143.67.31', 1603224336, 1603224351, 'BE', 'Belgium'),
(68663, '95.143.67.32', '95.143.67.47', 1603224352, 1603224367, 'NL', 'Netherlands'),
(68664, '95.143.67.48', '95.143.67.63', 1603224368, 1603224383, 'DE', 'Germany'),
(68665, '95.143.67.64', '95.143.67.79', 1603224384, 1603224399, 'CH', 'Switzerland'),
(68666, '95.143.67.80', '95.143.67.95', 1603224400, 1603224415, 'IT', 'Italy'),
(68667, '95.143.67.96', '95.143.67.111', 1603224416, 1603224431, 'ES', 'Spain'),
(68668, '95.143.67.112', '95.143.67.127', 1603224432, 1603224447, 'US', 'United States'),
(68669, '95.143.67.128', '95.143.67.143', 1603224448, 1603224463, 'MX', 'Mexico'),
(68670, '95.143.67.144', '95.143.67.255', 1603224464, 1603224575, 'GB', 'United Kingdom'),
(68671, '95.143.68.0', '95.143.68.255', 1603224576, 1603224831, 'FR', 'France'),
(68672, '95.143.69.0', '95.143.69.15', 1603224832, 1603224847, 'ES', 'Spain'),
(68673, '95.143.69.16', '95.143.69.63', 1603224848, 1603224895, 'FR', 'France'),
(68674, '95.143.69.64', '95.143.69.79', 1603224896, 1603224911, 'GB', 'United Kingdom'),
(68675, '95.143.69.80', '95.143.69.175', 1603224912, 1603225007, 'FR', 'France'),
(68676, '95.143.69.176', '95.143.69.191', 1603225008, 1603225023, 'MX', 'Mexico'),
(68677, '95.143.69.192', '95.143.70.155', 1603225024, 1603225243, 'FR', 'France'),
(68678, '95.143.70.156', '95.143.70.159', 1603225244, 1603225247, 'GB', 'United Kingdom'),
(68679, '95.143.70.160', '95.143.70.195', 1603225248, 1603225283, 'FR', 'France'),
(68680, '95.143.70.196', '95.143.70.199', 1603225284, 1603225287, 'GB', 'United Kingdom'),
(68681, '95.143.70.200', '95.143.70.211', 1603225288, 1603225299, 'FR', 'France'),
(68682, '95.143.70.212', '95.143.70.215', 1603225300, 1603225303, 'GB', 'United Kingdom'),
(68683, '95.143.70.216', '95.143.70.239', 1603225304, 1603225327, 'FR', 'France'),
(68684, '95.143.70.240', '95.143.70.255', 1603225328, 1603225343, 'GB', 'United Kingdom'),
(68685, '95.143.71.0', '95.143.71.255', 1603225344, 1603225599, 'FR', 'France'),
(68686, '95.143.72.0', '95.143.72.7', 1603225600, 1603225607, 'ES', 'Spain'),
(68687, '95.143.72.8', '95.143.72.15', 1603225608, 1603225615, 'GB', 'United Kingdom'),
(68688, '95.143.72.16', '95.143.72.23', 1603225616, 1603225623, 'DE', 'Germany'),
(68689, '95.143.72.24', '95.143.72.31', 1603225624, 1603225631, 'IT', 'Italy'),
(68690, '95.143.72.32', '95.143.72.39', 1603225632, 1603225639, 'US', 'United States'),
(68691, '95.143.72.40', '95.143.72.47', 1603225640, 1603225647, 'CN', 'China'),
(68692, '95.143.72.48', '95.143.73.255', 1603225648, 1603226111, 'FR', 'France'),
(68693, '95.143.74.0', '95.143.75.255', 1603226112, 1603226623, 'GB', 'United Kingdom'),
(68694, '95.143.76.0', '95.143.79.255', 1603226624, 1603227647, 'FR', 'France'),
(68695, '95.143.80.0', '95.143.80.139', 1603227648, 1603227787, 'AT', 'Austria'),
(68696, '95.143.80.140', '95.143.80.151', 1603227788, 1603227799, 'DE', 'Germany'),
(68697, '95.143.80.152', '95.143.80.195', 1603227800, 1603227843, 'AT', 'Austria'),
(68698, '95.143.80.196', '95.143.80.199', 1603227844, 1603227847, 'DE', 'Germany'),
(68699, '95.143.80.200', '95.143.81.27', 1603227848, 1603227931, 'AT', 'Austria'),
(68700, '95.143.81.28', '95.143.81.31', 1603227932, 1603227935, 'IT', 'Italy'),
(68701, '95.143.81.32', '95.143.81.35', 1603227936, 1603227939, 'CZ', 'Czech Republic'),
(68702, '95.143.81.36', '95.143.81.43', 1603227940, 1603227947, 'CH', 'Switzerland'),
(68703, '95.143.81.44', '95.143.81.67', 1603227948, 1603227971, 'IT', 'Italy'),
(68704, '95.143.81.68', '95.143.81.79', 1603227972, 1603227983, 'AT', 'Austria'),
(68705, '95.143.81.80', '95.143.81.87', 1603227984, 1603227991, 'DE', 'Germany'),
(68706, '95.143.81.88', '95.143.82.11', 1603227992, 1603228171, 'AT', 'Austria'),
(68707, '95.143.82.12', '95.143.82.15', 1603228172, 1603228175, 'FR', 'France'),
(68708, '95.143.82.16', '95.143.82.127', 1603228176, 1603228287, 'AT', 'Austria'),
(68709, '95.143.82.128', '95.143.82.135', 1603228288, 1603228295, 'IT', 'Italy'),
(68710, '95.143.82.136', '95.143.82.239', 1603228296, 1603228399, 'AT', 'Austria'),
(68711, '95.143.82.240', '95.143.82.243', 1603228400, 1603228403, 'CH', 'Switzerland'),
(68712, '95.143.82.244', '95.143.82.247', 1603228404, 1603228407, 'DE', 'Germany'),
(68713, '95.143.82.248', '95.143.82.255', 1603228408, 1603228415, 'AT', 'Austria'),
(68714, '95.143.83.0', '95.143.84.127', 1603228416, 1603228799, 'DE', 'Germany'),
(68715, '95.143.84.128', '95.143.84.211', 1603228800, 1603228883, 'AT', 'Austria'),
(68716, '95.143.84.212', '95.143.84.215', 1603228884, 1603228887, 'DE', 'Germany'),
(68717, '95.143.84.216', '95.143.84.255', 1603228888, 1603228927, 'AT', 'Austria'),
(68718, '95.143.85.0', '95.143.85.63', 1603228928, 1603228991, 'DE', 'Germany'),
(68719, '95.143.85.64', '95.143.85.119', 1603228992, 1603229047, 'AT', 'Austria'),
(68720, '95.143.85.120', '95.143.85.127', 1603229048, 1603229055, 'SI', 'Slovenia'),
(68721, '95.143.85.128', '95.143.95.255', 1603229056, 1603231743, 'AT', 'Austria'),
(68722, '95.143.96.0', '95.143.111.255', 1603231744, 1603235839, 'IT', 'Italy'),
(68723, '95.143.112.0', '95.143.127.255', 1603235840, 1603239935, 'RU', 'Russian Federation'),
(68724, '95.143.128.0', '95.143.143.255', 1603239936, 1603244031, 'CZ', 'Czech Republic'),
(68725, '95.143.144.0', '95.143.159.255', 1603244032, 1603248127, 'SI', 'Slovenia'),
(68726, '95.143.160.0', '95.143.175.255', 1603248128, 1603252223, 'DE', 'Germany'),
(68727, '95.143.176.0', '95.143.191.255', 1603252224, 1603256319, 'RU', 'Russian Federation'),
(68728, '95.143.192.0', '95.143.207.255', 1603256320, 1603260415, 'SE', 'Sweden'),
(68729, '95.143.208.0', '95.143.223.255', 1603260416, 1603264511, 'RU', 'Russian Federation'),
(68730, '95.143.224.0', '95.143.239.255', 1603264512, 1603268607, 'AT', 'Austria'),
(68731, '95.143.240.0', '95.143.255.255', 1603268608, 1603272703, 'PL', 'Poland'),
(68732, '95.144.0.0', '95.151.255.255', 1603272704, 1603796991, 'GB', 'United Kingdom'),
(68733, '95.152.0.0', '95.152.63.255', 1603796992, 1603813375, 'RU', 'Russian Federation'),
(68734, '95.152.64.0', '95.152.127.255', 1603813376, 1603829759, 'CH', 'Switzerland'),
(68735, '95.152.128.0', '95.152.191.255', 1603829760, 1603846143, 'NL', 'Netherlands'),
(68736, '95.152.192.0', '95.152.255.255', 1603846144, 1603862527, 'GB', 'United Kingdom'),
(68737, '95.153.0.0', '95.153.63.255', 1603862528, 1603878911, 'EE', 'Estonia'),
(68738, '95.153.64.0', '95.153.127.255', 1603878912, 1603895295, 'MD', 'Moldova, Republic of'),
(68739, '95.153.128.0', '95.153.255.255', 1603895296, 1603928063, 'RU', 'Russian Federation'),
(68740, '95.154.0.0', '95.154.63.255', 1603928064, 1603944447, 'DK', 'Denmark'),
(68741, '95.154.64.0', '95.154.191.255', 1603944448, 1603977215, 'RU', 'Russian Federation'),
(68742, '95.154.192.0', '95.154.200.31', 1603977216, 1603979295, 'GB', 'United Kingdom'),
(68743, '95.154.200.32', '95.154.200.63', 1603979296, 1603979327, 'US', 'United States'),
(68744, '95.154.200.64', '95.154.204.175', 1603979328, 1603980463, 'GB', 'United Kingdom'),
(68745, '95.154.204.176', '95.154.204.191', 1603980464, 1603980479, 'CH', 'Switzerland'),
(68746, '95.154.204.192', '95.154.206.63', 1603980480, 1603980863, 'GB', 'United Kingdom'),
(68747, '95.154.206.64', '95.154.206.127', 1603980864, 1603980927, 'ID', 'Indonesia'),
(68748, '95.154.206.128', '95.154.213.63', 1603980928, 1603982655, 'GB', 'United Kingdom'),
(68749, '95.154.213.64', '95.154.213.95', 1603982656, 1603982687, 'DK', 'Denmark'),
(68750, '95.154.213.96', '95.154.213.127', 1603982688, 1603982719, 'AN', 'Netherlands Antilles'),
(68751, '95.154.213.128', '95.154.213.191', 1603982720, 1603982783, 'GB', 'United Kingdom'),
(68752, '95.154.213.192', '95.154.213.255', 1603982784, 1603982847, 'AN', 'Netherlands Antilles'),
(68753, '95.154.214.0', '95.154.221.255', 1603982848, 1603984895, 'GB', 'United Kingdom'),
(68754, '95.154.222.0', '95.154.222.255', 1603984896, 1603985151, 'PT', 'Portugal'),
(68755, '95.154.223.0', '95.154.223.127', 1603985152, 1603985279, 'GB', 'United Kingdom'),
(68756, '95.154.223.128', '95.154.223.255', 1603985280, 1603985407, 'BR', 'Brazil'),
(68757, '95.154.224.0', '95.154.241.255', 1603985408, 1603990015, 'GB', 'United Kingdom'),
(68758, '95.154.242.0', '95.154.242.255', 1603990016, 1603990271, 'GR', 'Greece'),
(68759, '95.154.243.0', '95.154.243.255', 1603990272, 1603990527, 'SA', 'Saudi Arabia'),
(68760, '95.154.244.0', '95.154.250.255', 1603990528, 1603992319, 'GB', 'United Kingdom'),
(68761, '95.154.251.0', '95.154.251.255', 1603992320, 1603992575, 'US', 'United States'),
(68762, '95.154.252.0', '95.154.255.255', 1603992576, 1603993599, 'GB', 'United Kingdom'),
(68763, '95.155.0.0', '95.155.63.255', 1603993600, 1604009983, 'ME', 'Montenegro'),
(68764, '95.155.64.0', '95.155.127.255', 1604009984, 1604026367, 'PL', 'Poland'),
(68765, '95.155.128.0', '95.155.191.255', 1604026368, 1604042751, 'NL', 'Netherlands'),
(68766, '95.155.192.0', '95.155.255.255', 1604042752, 1604059135, 'SE', 'Sweden'),
(68767, '95.156.0.0', '95.156.63.255', 1604059136, 1604075519, 'MK', 'Macedonia'),
(68768, '95.156.64.0', '95.156.127.255', 1604075520, 1604091903, 'RU', 'Russian Federation'),
(68769, '95.156.128.0', '95.156.191.255', 1604091904, 1604108287, 'BA', 'Bosnia and Herzegovina'),
(68770, '95.156.192.0', '95.156.226.207', 1604108288, 1604117199, 'DE', 'Germany'),
(68771, '95.156.226.208', '95.156.226.223', 1604117200, 1604117215, 'GR', 'Greece'),
(68772, '95.156.226.224', '95.157.63.255', 1604117216, 1604141055, 'DE', 'Germany'),
(68773, '95.157.64.0', '95.157.127.255', 1604141056, 1604157439, 'RO', 'Romania'),
(68774, '95.157.128.0', '95.157.255.255', 1604157440, 1604190207, 'FR', 'France'),
(68775, '95.158.0.0', '95.158.63.255', 1604190208, 1604206591, 'UA', 'Ukraine'),
(68776, '95.158.64.0', '95.158.127.255', 1604206592, 1604222975, 'PL', 'Poland'),
(68777, '95.158.128.0', '95.158.191.255', 1604222976, 1604239359, 'BG', 'Bulgaria'),
(68778, '95.158.192.0', '95.158.255.255', 1604239360, 1604255743, 'RU', 'Russian Federation'),
(68779, '95.159.0.0', '95.159.63.255', 1604255744, 1604272127, 'SY', 'Syrian Arab Republic'),
(68780, '95.159.64.0', '95.159.127.255', 1604272128, 1604288511, 'IQ', 'Iraq'),
(68781, '95.159.128.0', '95.159.191.255', 1604288512, 1604304895, 'RU', 'Russian Federation'),
(68782, '95.159.192.0', '95.159.255.255', 1604304896, 1604321279, 'SI', 'Slovenia'),
(68783, '95.160.0.0', '95.160.255.255', 1604321280, 1604386815, 'PL', 'Poland'),
(68784, '95.161.0.0', '95.161.255.255', 1604386816, 1604452351, 'RU', 'Russian Federation'),
(68785, '95.162.0.0', '95.162.255.255', 1604452352, 1604517887, 'RO', 'Romania'),
(68786, '95.163.0.0', '95.163.255.255', 1604517888, 1604583423, 'RU', 'Russian Federation'),
(68787, '95.164.0.0', '95.164.255.255', 1604583424, 1604648959, 'UA', 'Ukraine'),
(68788, '95.165.0.0', '95.165.255.255', 1604648960, 1604714495, 'RU', 'Russian Federation'),
(68789, '95.166.0.0', '95.166.255.255', 1604714496, 1604780031, 'DK', 'Denmark'),
(68790, '95.167.0.0', '95.167.255.255', 1604780032, 1604845567, 'RU', 'Russian Federation'),
(68791, '95.168.0.0', '95.168.31.255', 1604845568, 1604853759, 'FR', 'France'),
(68792, '95.168.32.0', '95.168.63.255', 1604853760, 1604861951, 'HU', 'Hungary'),
(68793, '95.168.64.0', '95.168.95.255', 1604861952, 1604870143, 'RS', 'Serbia'),
(68794, '95.168.96.0', '95.168.127.255', 1604870144, 1604878335, 'HR', 'Croatia'),
(68795, '95.168.128.0', '95.168.160.127', 1604878336, 1604886655, 'DE', 'Germany'),
(68796, '95.168.160.128', '95.168.160.255', 1604886656, 1604886783, 'RU', 'Russian Federation'),
(68797, '95.168.161.0', '95.168.161.255', 1604886784, 1604887039, 'DE', 'Germany'),
(68798, '95.168.162.0', '95.168.162.255', 1604887040, 1604887295, 'GB', 'United Kingdom'),
(68799, '95.168.163.0', '95.168.165.255', 1604887296, 1604888063, 'DE', 'Germany'),
(68800, '95.168.166.0', '95.168.171.255', 1604888064, 1604889599, 'TR', 'Turkey'),
(68801, '95.168.172.0', '95.168.173.255', 1604889600, 1604890111, 'DE', 'Germany'),
(68802, '95.168.174.0', '95.168.174.255', 1604890112, 1604890367, 'RU', 'Russian Federation'),
(68803, '95.168.175.0', '95.168.176.255', 1604890368, 1604890879, 'TR', 'Turkey'),
(68804, '95.168.177.0', '95.168.181.63', 1604890880, 1604891967, 'DE', 'Germany'),
(68805, '95.168.181.64', '95.168.181.255', 1604891968, 1604892159, 'RU', 'Russian Federation'),
(68806, '95.168.182.0', '95.168.184.255', 1604892160, 1604892927, 'DE', 'Germany'),
(68807, '95.168.185.0', '95.168.185.255', 1604892928, 1604893183, 'HK', 'Hong Kong'),
(68808, '95.168.186.0', '95.168.188.255', 1604893184, 1604893951, 'DE', 'Germany'),
(68809, '95.168.189.0', '95.168.190.255', 1604893952, 1604894463, 'TR', 'Turkey'),
(68810, '95.168.191.0', '95.168.191.255', 1604894464, 1604894719, 'DE', 'Germany'),
(68811, '95.168.192.0', '95.168.194.255', 1604894720, 1604895487, 'CZ', 'Czech Republic'),
(68812, '95.168.195.0', '95.168.195.3', 1604895488, 1604895491, 'SK', 'Slovakia'),
(68813, '95.168.195.4', '95.168.195.119', 1604895492, 1604895607, 'CZ', 'Czech Republic'),
(68814, '95.168.195.120', '95.168.195.123', 1604895608, 1604895611, 'SK', 'Slovakia'),
(68815, '95.168.195.124', '95.168.213.255', 1604895612, 1604900351, 'CZ', 'Czech Republic'),
(68816, '95.168.214.0', '95.168.214.31', 1604900352, 1604900383, 'SC', 'Seychelles'),
(68817, '95.168.214.32', '95.168.217.191', 1604900384, 1604901311, 'CZ', 'Czech Republic'),
(68818, '95.168.217.192', '95.168.217.255', 1604901312, 1604901375, 'SC', 'Seychelles'),
(68819, '95.168.218.0', '95.168.218.255', 1604901376, 1604901631, 'CZ', 'Czech Republic'),
(68820, '95.168.219.0', '95.168.219.255', 1604901632, 1604901887, 'SK', 'Slovakia'),
(68821, '95.168.220.0', '95.168.220.23', 1604901888, 1604901911, 'CZ', 'Czech Republic'),
(68822, '95.168.220.24', '95.168.220.47', 1604901912, 1604901935, 'SK', 'Slovakia'),
(68823, '95.168.220.48', '95.168.220.95', 1604901936, 1604901983, 'CZ', 'Czech Republic'),
(68824, '95.168.220.96', '95.168.220.254', 1604901984, 1604902142, 'SK', 'Slovakia'),
(68825, '95.168.220.255', '95.168.221.255', 1604902143, 1604902399, 'CZ', 'Czech Republic'),
(68826, '95.168.222.0', '95.168.223.255', 1604902400, 1604902911, 'SK', 'Slovakia'),
(68827, '95.168.224.0', '95.168.255.255', 1604902912, 1604911103, 'BG', 'Bulgaria'),
(68828, '95.169.0.0', '95.169.31.255', 1604911104, 1604919295, 'UA', 'Ukraine'),
(68829, '95.169.32.0', '95.169.63.255', 1604919296, 1604927487, 'NO', 'Norway'),
(68830, '95.169.64.0', '95.169.95.255', 1604927488, 1604935679, 'IT', 'Italy'),
(68831, '95.169.96.0', '95.169.159.255', 1604935680, 1604952063, 'RU', 'Russian Federation'),
(68832, '95.169.160.0', '95.169.185.255', 1604952064, 1604958719, 'DE', 'Germany'),
(68833, '95.169.186.0', '95.169.187.255', 1604958720, 1604959231, 'RU', 'Russian Federation'),
(68834, '95.169.188.0', '95.169.189.255', 1604959232, 1604959743, 'DE', 'Germany'),
(68835, '95.169.190.0', '95.169.191.255', 1604959744, 1604960255, 'RU', 'Russian Federation'),
(68836, '95.169.192.0', '95.169.223.255', 1604960256, 1604968447, 'BG', 'Bulgaria'),
(68837, '95.169.224.0', '95.169.255.255', 1604968448, 1604976639, 'ES', 'Spain'),
(68838, '95.170.0.0', '95.170.63.255', 1604976640, 1604993023, 'FR', 'France'),
(68839, '95.170.64.0', '95.170.95.255', 1604993024, 1605001215, 'NL', 'Netherlands'),
(68840, '95.170.96.0', '95.170.191.255', 1605001216, 1605025791, 'RU', 'Russian Federation'),
(68841, '95.170.192.0', '95.170.223.255', 1605025792, 1605033983, 'IQ', 'Iraq'),
(68842, '95.170.224.0', '95.170.255.255', 1605033984, 1605042175, 'SK', 'Slovakia'),
(68843, '95.171.0.0', '95.171.31.255', 1605042176, 1605050367, 'RU', 'Russian Federation'),
(68844, '95.171.32.0', '95.171.63.255', 1605050368, 1605058559, 'IT', 'Italy'),
(68845, '95.171.64.0', '95.171.95.255', 1605058560, 1605066751, 'HU', 'Hungary'),
(68846, '95.171.96.0', '95.171.127.255', 1605066752, 1605074943, 'PL', 'Poland'),
(68847, '95.171.128.0', '95.171.159.255', 1605074944, 1605083135, 'FR', 'France'),
(68848, '95.171.160.0', '95.171.191.255', 1605083136, 1605091327, 'BE', 'Belgium'),
(68849, '95.171.192.0', '95.171.223.255', 1605091328, 1605099519, 'PL', 'Poland'),
(68850, '95.171.224.0', '95.171.255.255', 1605099520, 1605107711, 'RU', 'Russian Federation'),
(68851, '95.172.0.0', '95.172.5.79', 1605107712, 1605109071, 'GB', 'United Kingdom'),
(68852, '95.172.5.80', '95.172.5.87', 1605109072, 1605109079, 'NL', 'Netherlands'),
(68853, '95.172.5.88', '95.172.6.7', 1605109080, 1605109255, 'GB', 'United Kingdom'),
(68854, '95.172.6.8', '95.172.6.15', 1605109256, 1605109263, 'IT', 'Italy'),
(68855, '95.172.6.16', '95.172.6.183', 1605109264, 1605109431, 'GB', 'United Kingdom'),
(68856, '95.172.6.184', '95.172.6.191', 1605109432, 1605109439, 'IT', 'Italy'),
(68857, '95.172.6.192', '95.172.7.215', 1605109440, 1605109719, 'GB', 'United Kingdom'),
(68858, '95.172.7.216', '95.172.7.223', 1605109720, 1605109727, 'IT', 'Italy'),
(68859, '95.172.7.224', '95.172.16.111', 1605109728, 1605111919, 'GB', 'United Kingdom'),
(68860, '95.172.16.112', '95.172.16.119', 1605111920, 1605111927, 'IT', 'Italy'),
(68861, '95.172.16.120', '95.172.19.31', 1605111928, 1605112607, 'GB', 'United Kingdom'),
(68862, '95.172.19.32', '95.172.19.39', 1605112608, 1605112615, 'IT', 'Italy'),
(68863, '95.172.19.40', '95.172.20.127', 1605112616, 1605112959, 'GB', 'United Kingdom'),
(68864, '95.172.20.128', '95.172.20.135', 1605112960, 1605112967, 'IT', 'Italy'),
(68865, '95.172.20.136', '95.172.22.39', 1605112968, 1605113383, 'GB', 'United Kingdom'),
(68866, '95.172.22.40', '95.172.22.47', 1605113384, 1605113391, 'IT', 'Italy'),
(68867, '95.172.22.48', '95.172.26.31', 1605113392, 1605114399, 'GB', 'United Kingdom'),
(68868, '95.172.26.32', '95.172.26.39', 1605114400, 1605114407, 'IT', 'Italy'),
(68869, '95.172.26.40', '95.172.28.127', 1605114408, 1605115007, 'GB', 'United Kingdom'),
(68870, '95.172.28.128', '95.172.28.135', 1605115008, 1605115015, 'IT', 'Italy'),
(68871, '95.172.28.136', '95.172.29.95', 1605115016, 1605115231, 'GB', 'United Kingdom'),
(68872, '95.172.29.96', '95.172.29.103', 1605115232, 1605115239, 'IT', 'Italy'),
(68873, '95.172.29.104', '95.172.31.23', 1605115240, 1605115671, 'GB', 'United Kingdom'),
(68874, '95.172.31.24', '95.172.31.31', 1605115672, 1605115679, 'IT', 'Italy'),
(68875, '95.172.31.32', '95.172.31.135', 1605115680, 1605115783, 'GB', 'United Kingdom'),
(68876, '95.172.31.136', '95.172.31.143', 1605115784, 1605115791, 'IT', 'Italy'),
(68877, '95.172.31.144', '95.172.31.255', 1605115792, 1605115903, 'GB', 'United Kingdom'),
(68878, '95.172.32.0', '95.172.63.255', 1605115904, 1605124095, 'RU', 'Russian Federation'),
(68879, '95.172.64.0', '95.172.65.255', 1605124096, 1605124607, 'US', 'United States'),
(68880, '95.172.66.0', '95.172.66.31', 1605124608, 1605124639, 'GB', 'United Kingdom'),
(68881, '95.172.66.32', '95.172.66.127', 1605124640, 1605124735, 'US', 'United States'),
(68882, '95.172.66.128', '95.172.66.255', 1605124736, 1605124863, 'GB', 'United Kingdom'),
(68883, '95.172.67.0', '95.172.67.31', 1605124864, 1605124895, 'US', 'United States'),
(68884, '95.172.67.32', '95.172.67.63', 1605124896, 1605124927, 'GB', 'United Kingdom'),
(68885, '95.172.67.64', '95.172.67.95', 1605124928, 1605124959, 'US', 'United States'),
(68886, '95.172.67.96', '95.172.67.255', 1605124960, 1605125119, 'GB', 'United Kingdom'),
(68887, '95.172.68.0', '95.172.68.127', 1605125120, 1605125247, 'US', 'United States'),
(68888, '95.172.68.128', '95.172.68.143', 1605125248, 1605125263, 'GB', 'United Kingdom'),
(68889, '95.172.68.144', '95.172.68.159', 1605125264, 1605125279, 'DE', 'Germany'),
(68890, '95.172.68.160', '95.172.68.215', 1605125280, 1605125335, 'GB', 'United Kingdom'),
(68891, '95.172.68.216', '95.172.68.223', 1605125336, 1605125343, 'US', 'United States'),
(68892, '95.172.68.224', '95.172.68.255', 1605125344, 1605125375, 'GB', 'United Kingdom'),
(68893, '95.172.69.0', '95.172.71.15', 1605125376, 1605125903, 'US', 'United States'),
(68894, '95.172.71.16', '95.172.71.16', 1605125904, 1605125904, 'GB', 'United Kingdom'),
(68895, '95.172.71.17', '95.172.71.32', 1605125905, 1605125920, 'DE', 'Germany'),
(68896, '95.172.71.33', '95.172.71.127', 1605125921, 1605126015, 'GB', 'United Kingdom'),
(68897, '95.172.71.128', '95.172.74.255', 1605126016, 1605126911, 'US', 'United States'),
(68898, '95.172.75.0', '95.172.75.255', 1605126912, 1605127167, 'EU', 'Europe'),
(68899, '95.172.76.0', '95.172.77.255', 1605127168, 1605127679, 'US', 'United States'),
(68900, '95.172.78.0', '95.172.78.255', 1605127680, 1605127935, 'GB', 'United Kingdom'),
(68901, '95.172.79.0', '95.172.81.255', 1605127936, 1605128703, 'US', 'United States'),
(68902, '95.172.82.0', '95.172.83.255', 1605128704, 1605129215, 'GB', 'United Kingdom'),
(68903, '95.172.84.0', '95.172.85.255', 1605129216, 1605129727, 'US', 'United States'),
(68904, '95.172.86.0', '95.172.87.255', 1605129728, 1605130239, 'GB', 'United Kingdom'),
(68905, '95.172.88.0', '95.172.88.31', 1605130240, 1605130271, 'US', 'United States'),
(68906, '95.172.88.32', '95.172.88.55', 1605130272, 1605130295, 'GB', 'United Kingdom'),
(68907, '95.172.88.56', '95.172.88.63', 1605130296, 1605130303, 'US', 'United States'),
(68908, '95.172.88.64', '95.172.88.127', 1605130304, 1605130367, 'GB', 'United Kingdom'),
(68909, '95.172.88.128', '95.172.88.159', 1605130368, 1605130399, 'US', 'United States'),
(68910, '95.172.88.160', '95.172.88.255', 1605130400, 1605130495, 'GB', 'United Kingdom'),
(68911, '95.172.89.0', '95.172.90.255', 1605130496, 1605131007, 'US', 'United States'),
(68912, '95.172.91.0', '95.172.91.255', 1605131008, 1605131263, 'GB', 'United Kingdom'),
(68913, '95.172.92.0', '95.172.95.63', 1605131264, 1605132095, 'US', 'United States'),
(68914, '95.172.95.64', '95.172.95.255', 1605132096, 1605132287, 'GB', 'United Kingdom'),
(68915, '95.172.96.0', '95.172.159.255', 1605132288, 1605148671, 'RU', 'Russian Federation'),
(68916, '95.172.160.0', '95.172.191.255', 1605148672, 1605156863, 'PT', 'Portugal'),
(68917, '95.172.192.0', '95.172.223.255', 1605156864, 1605165055, 'JO', 'Jordan'),
(68918, '95.172.224.0', '95.172.241.3', 1605165056, 1605169411, 'GB', 'United Kingdom'),
(68919, '95.172.241.4', '95.172.241.4', 1605169412, 1605169412, 'DE', 'Germany'),
(68920, '95.172.241.5', '95.172.255.255', 1605169413, 1605173247, 'GB', 'United Kingdom'),
(68921, '95.173.0.0', '95.173.31.255', 1605173248, 1605181439, 'TR', 'Turkey'),
(68922, '95.173.32.0', '95.173.63.255', 1605181440, 1605189631, 'LT', 'Lithuania'),
(68923, '95.173.64.0', '95.173.64.31', 1605189632, 1605189663, 'SK', 'Slovakia'),
(68924, '95.173.64.32', '95.173.64.127', 1605189664, 1605189759, 'CZ', 'Czech Republic'),
(68925, '95.173.64.128', '95.173.64.255', 1605189760, 1605189887, 'SK', 'Slovakia'),
(68926, '95.173.65.0', '95.173.95.255', 1605189888, 1605197823, 'CZ', 'Czech Republic'),
(68927, '95.173.96.0', '95.173.127.255', 1605197824, 1605206015, 'DE', 'Germany'),
(68928, '95.173.128.0', '95.173.159.255', 1605206016, 1605214207, 'RU', 'Russian Federation'),
(68929, '95.173.160.0', '95.173.191.255', 1605214208, 1605222399, 'TR', 'Turkey'),
(68930, '95.173.192.0', '95.173.223.255', 1605222400, 1605230591, 'CZ', 'Czech Republic'),
(68931, '95.173.224.0', '95.173.255.255', 1605230592, 1605238783, 'TR', 'Turkey'),
(68932, '95.174.0.0', '95.174.31.255', 1605238784, 1605246975, 'IT', 'Italy'),
(68933, '95.174.32.0', '95.174.63.255', 1605246976, 1605255167, 'PL', 'Poland'),
(68934, '95.174.64.0', '95.174.71.255', 1605255168, 1605257215, 'RU', 'Russian Federation'),
(68935, '95.174.72.0', '95.174.79.255', 1605257216, 1605259263, 'FR', 'France'),
(68936, '95.174.80.0', '95.174.80.255', 1605259264, 1605259519, 'DE', 'Germany'),
(68937, '95.174.81.0', '95.174.81.63', 1605259520, 1605259583, 'CH', 'Switzerland'),
(68938, '95.174.81.64', '95.174.87.255', 1605259584, 1605261311, 'DE', 'Germany'),
(68939, '95.174.88.0', '95.174.127.255', 1605261312, 1605271551, 'RU', 'Russian Federation'),
(68940, '95.174.128.0', '95.174.159.255', 1605271552, 1605279743, 'DE', 'Germany'),
(68941, '95.174.160.0', '95.174.191.255', 1605279744, 1605287935, 'FR', 'France'),
(68942, '95.174.192.0', '95.174.223.255', 1605287936, 1605296127, 'RU', 'Russian Federation'),
(68943, '95.174.224.0', '95.174.255.255', 1605296128, 1605304319, 'CH', 'Switzerland'),
(68944, '95.175.0.0', '95.175.31.255', 1605304320, 1605312511, 'PL', 'Poland'),
(68945, '95.175.32.0', '95.175.63.255', 1605312512, 1605320703, 'IL', 'Israel'),
(68946, '95.175.64.0', '95.175.95.255', 1605320704, 1605328895, 'KW', 'Kuwait'),
(68947, '95.175.96.0', '95.175.127.255', 1605328896, 1605337087, 'FI', 'Finland'),
(68948, '95.175.128.0', '95.175.159.255', 1605337088, 1605345279, 'GB', 'United Kingdom'),
(68949, '95.175.160.0', '95.175.191.255', 1605345280, 1605353471, 'FR', 'France'),
(68950, '95.175.192.0', '95.175.223.255', 1605353472, 1605361663, 'GB', 'United Kingdom'),
(68951, '95.175.224.0', '95.175.255.255', 1605361664, 1605369855, 'RU', 'Russian Federation'),
(68952, '95.176.0.0', '95.176.127.255', 1605369856, 1605402623, 'FR', 'France'),
(68953, '95.176.128.0', '95.176.255.255', 1605402624, 1605435391, 'SI', 'Slovenia'),
(68954, '95.177.0.0', '95.177.127.255', 1605435392, 1605468159, 'GB', 'United Kingdom'),
(68955, '95.177.128.0', '95.177.255.255', 1605468160, 1605500927, 'RO', 'Romania'),
(68956, '95.178.0.0', '95.178.127.255', 1605500928, 1605533695, 'PL', 'Poland'),
(68957, '95.178.128.0', '95.178.255.255', 1605533696, 1605566463, 'HR', 'Croatia'),
(68958, '95.179.0.0', '95.179.127.255', 1605566464, 1605599231, 'RU', 'Russian Federation'),
(68959, '95.179.128.0', '95.179.255.255', 1605599232, 1605631999, 'GR', 'Greece'),
(68960, '95.180.0.0', '95.180.127.255', 1605632000, 1605664767, 'RS', 'Serbia'),
(68961, '95.180.128.0', '95.180.255.255', 1605664768, 1605697535, 'MK', 'Macedonia'),
(68962, '95.181.0.0', '95.182.127.255', 1605697536, 1605795839, 'RU', 'Russian Federation'),
(68963, '95.182.128.0', '95.182.255.255', 1605795840, 1605828607, 'BE', 'Belgium'),
(68964, '95.183.0.0', '95.183.127.255', 1605828608, 1605861375, 'RU', 'Russian Federation'),
(68965, '95.183.128.0', '95.183.255.255', 1605861376, 1605894143, 'TR', 'Turkey'),
(68966, '95.184.0.0', '95.187.255.255', 1605894144, 1606156287, 'RO', 'Romania'),
(68967, '95.188.0.0', '95.191.255.255', 1606156288, 1606418431, 'RU', 'Russian Federation'),
(68968, '95.192.0.0', '95.195.82.255', 1606418432, 1606636287, 'SE', 'Sweden'),
(68969, '95.195.83.0', '95.195.83.255', 1606636288, 1606636543, 'GB', 'United Kingdom'),
(68970, '95.195.84.0', '95.207.255.255', 1606636544, 1607467007, 'SE', 'Sweden'),
(68971, '95.208.0.0', '95.208.255.255', 1607467008, 1607532543, 'DE', 'Germany'),
(68972, '95.209.0.0', '95.209.143.255', 1607532544, 1607569407, 'SE', 'Sweden'),
(68973, '95.209.144.0', '95.209.155.255', 1607569408, 1607572479, 'DK', 'Denmark'),
(68974, '95.209.156.0', '95.209.167.255', 1607572480, 1607575551, 'SE', 'Sweden'),
(68975, '95.209.168.0', '95.209.175.255', 1607575552, 1607577599, 'DK', 'Denmark'),
(68976, '95.209.176.0', '95.209.191.255', 1607577600, 1607581695, 'SE', 'Sweden'),
(68977, '95.209.192.0', '95.209.199.255', 1607581696, 1607583743, 'DK', 'Denmark'),
(68978, '95.209.200.0', '95.209.207.255', 1607583744, 1607585791, 'SE', 'Sweden'),
(68979, '95.209.208.0', '95.209.255.255', 1607585792, 1607598079, 'DK', 'Denmark'),
(68980, '95.210.0.0', '95.210.0.255', 1607598080, 1607598335, 'IT', 'Italy'),
(68981, '95.210.1.0', '95.210.1.255', 1607598336, 1607598591, 'EU', 'Europe'),
(68982, '95.210.2.0', '95.210.30.255', 1607598592, 1607606015, 'IT', 'Italy'),
(68983, '95.210.31.0', '95.210.31.255', 1607606016, 1607606271, 'FR', 'France'),
(68984, '95.210.32.0', '95.210.43.255', 1607606272, 1607609343, 'IT', 'Italy'),
(68985, '95.210.44.0', '95.210.44.255', 1607609344, 1607609599, 'EU', 'Europe'),
(68986, '95.210.45.0', '95.210.47.255', 1607609600, 1607610367, 'IT', 'Italy'),
(68987, '95.210.48.0', '95.210.55.255', 1607610368, 1607612415, 'IE', 'Ireland'),
(68988, '95.210.56.0', '95.210.63.255', 1607612416, 1607614463, 'A2', 'Satellite Provider'),
(68989, '95.210.64.0', '95.210.71.255', 1607614464, 1607616511, 'FR', 'France'),
(68990, '95.210.72.0', '95.210.79.255', 1607616512, 1607618559, 'A2', 'Satellite Provider'),
(68991, '95.210.80.0', '95.210.95.255', 1607618560, 1607622655, 'GB', 'United Kingdom'),
(68992, '95.210.96.0', '95.210.108.255', 1607622656, 1607625983, 'A2', 'Satellite Provider'),
(68993, '95.210.109.0', '95.210.109.255', 1607625984, 1607626239, 'EU', 'Europe'),
(68994, '95.210.110.0', '95.210.118.255', 1607626240, 1607628543, 'A2', 'Satellite Provider'),
(68995, '95.210.119.0', '95.210.119.255', 1607628544, 1607628799, 'EU', 'Europe'),
(68996, '95.210.120.0', '95.210.127.255', 1607628800, 1607630847, 'A2', 'Satellite Provider'),
(68997, '95.210.128.0', '95.210.139.255', 1607630848, 1607633919, 'IE', 'Ireland'),
(68998, '95.210.140.0', '95.210.151.255', 1607633920, 1607636991, 'A2', 'Satellite Provider'),
(68999, '95.210.152.0', '95.210.159.255', 1607636992, 1607639039, 'IE', 'Ireland'),
(69000, '95.210.160.0', '95.210.191.255', 1607639040, 1607647231, 'EU', 'Europe'),
(69001, '95.210.192.0', '95.210.207.255', 1607647232, 1607651327, 'DE', 'Germany'),
(69002, '95.210.208.0', '95.210.223.255', 1607651328, 1607655423, 'FR', 'France'),
(69003, '95.210.224.0', '95.210.255.255', 1607655424, 1607663615, 'A2', 'Satellite Provider'),
(69004, '95.211.0.0', '95.211.124.199', 1607663616, 1607695559, 'NL', 'Netherlands'),
(69005, '95.211.124.200', '95.211.124.200', 1607695560, 1607695560, 'A1', 'Anonymous Proxy'),
(69006, '95.211.124.201', '95.211.255.255', 1607695561, 1607729151, 'NL', 'Netherlands'),
(69007, '95.212.0.0', '95.212.127.255', 1607729152, 1607761919, 'EG', 'Egypt'),
(69008, '95.212.128.0', '95.212.143.255', 1607761920, 1607766015, 'SY', 'Syrian Arab Republic'),
(69009, '95.212.144.0', '95.212.255.255', 1607766016, 1607794687, 'EG', 'Egypt'),
(69010, '95.213.0.0', '95.213.255.255', 1607794688, 1607860223, 'RU', 'Russian Federation'),
(69011, '95.214.0.0', '95.214.127.255', 1607860224, 1607892991, 'ES', 'Spain'),
(69012, '95.214.128.0', '95.214.128.63', 1607892992, 1607893055, 'GB', 'United Kingdom'),
(69013, '95.214.128.64', '95.214.128.127', 1607893056, 1607893119, 'DE', 'Germany'),
(69014, '95.214.128.128', '95.214.128.196', 1607893120, 1607893188, 'DK', 'Denmark'),
(69015, '95.214.128.197', '95.214.128.255', 1607893189, 1607893247, 'IT', 'Italy'),
(69016, '95.214.129.0', '95.214.129.63', 1607893248, 1607893311, 'AT', 'Austria'),
(69017, '95.214.129.64', '95.214.129.127', 1607893312, 1607893375, 'FR', 'France'),
(69018, '95.214.129.128', '95.214.129.195', 1607893376, 1607893443, 'SE', 'Sweden'),
(69019, '95.214.129.196', '95.214.129.255', 1607893444, 1607893503, 'NL', 'Netherlands'),
(69020, '95.214.130.0', '95.214.130.63', 1607893504, 1607893567, 'BE', 'Belgium'),
(69021, '95.214.130.64', '95.214.130.127', 1607893568, 1607893631, 'IE', 'Ireland'),
(69022, '95.214.130.128', '95.214.255.255', 1607893632, 1607925759, 'ES', 'Spain'),
(69023, '95.215.0.0', '95.215.3.255', 1607925760, 1607926783, 'RU', 'Russian Federation'),
(69024, '95.215.4.0', '95.215.7.255', 1607926784, 1607927807, 'NL', 'Netherlands'),
(69025, '95.215.8.0', '95.215.15.255', 1607927808, 1607929855, 'RU', 'Russian Federation'),
(69026, '95.215.16.0', '95.215.19.255', 1607929856, 1607930879, 'SE', 'Sweden'),
(69027, '95.215.20.0', '95.215.31.255', 1607930880, 1607933951, 'PL', 'Poland'),
(69028, '95.215.32.0', '95.215.35.255', 1607933952, 1607934975, 'DE', 'Germany'),
(69029, '95.215.36.0', '95.215.39.255', 1607934976, 1607935999, 'UA', 'Ukraine'),
(69030, '95.215.44.0', '95.215.47.255', 1607937024, 1607938047, 'LV', 'Latvia'),
(69031, '95.215.48.0', '95.215.51.255', 1607938048, 1607939071, 'UA', 'Ukraine'),
(69032, '95.215.52.0', '95.215.55.255', 1607939072, 1607940095, 'PL', 'Poland'),
(69033, '95.215.56.0', '95.215.59.255', 1607940096, 1607941119, 'RU', 'Russian Federation'),
(69034, '95.215.60.0', '95.215.63.255', 1607941120, 1607942143, 'ES', 'Spain'),
(69035, '95.215.64.0', '95.215.71.255', 1607942144, 1607944191, 'RU', 'Russian Federation'),
(69036, '95.215.72.0', '95.215.75.255', 1607944192, 1607945215, 'FR', 'France'),
(69037, '95.215.80.0', '95.215.83.255', 1607946240, 1607947263, 'UA', 'Ukraine'),
(69038, '95.215.84.0', '95.215.87.255', 1607947264, 1607948287, 'RU', 'Russian Federation'),
(69039, '95.215.88.0', '95.215.91.255', 1607948288, 1607949311, 'GB', 'United Kingdom'),
(69040, '95.215.92.0', '95.215.95.255', 1607949312, 1607950335, 'UA', 'Ukraine'),
(69041, '95.215.96.0', '95.215.103.255', 1607950336, 1607952383, 'RU', 'Russian Federation'),
(69042, '95.215.104.0', '95.215.107.255', 1607952384, 1607953407, 'UA', 'Ukraine'),
(69043, '95.215.112.0', '95.215.119.255', 1607954432, 1607956479, 'UA', 'Ukraine'),
(69044, '95.215.120.0', '95.215.123.255', 1607956480, 1607957503, 'ES', 'Spain'),
(69045, '95.215.124.0', '95.215.127.255', 1607957504, 1607958527, 'UA', 'Ukraine'),
(69046, '95.215.128.0', '95.215.131.255', 1607958528, 1607959551, 'PS', 'Palestinian Territory, Occupied'),
(69047, '95.215.132.0', '95.215.135.255', 1607959552, 1607960575, 'EE', 'Estonia'),
(69048, '95.215.136.0', '95.215.143.255', 1607960576, 1607962623, 'RU', 'Russian Federation'),
(69049, '95.215.144.0', '95.215.147.255', 1607962624, 1607963647, 'UA', 'Ukraine'),
(69050, '95.215.148.0', '95.215.155.255', 1607963648, 1607965695, 'RU', 'Russian Federation'),
(69051, '95.215.156.0', '95.215.159.255', 1607965696, 1607966719, 'UA', 'Ukraine'),
(69052, '95.215.164.0', '95.215.167.255', 1607967744, 1607968767, 'UA', 'Ukraine'),
(69053, '95.215.168.0', '95.215.171.255', 1607968768, 1607969791, 'SE', 'Sweden'),
(69054, '95.215.176.0', '95.215.183.255', 1607970816, 1607972863, 'RU', 'Russian Federation'),
(69055, '95.215.184.0', '95.215.191.255', 1607972864, 1607974911, 'NL', 'Netherlands'),
(69056, '95.215.192.0', '95.215.199.255', 1607974912, 1607976959, 'PL', 'Poland'),
(69057, '95.215.200.0', '95.215.211.255', 1607976960, 1607980031, 'RU', 'Russian Federation'),
(69058, '95.215.212.0', '95.215.215.255', 1607980032, 1607981055, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(69059, '95.215.216.0', '95.215.219.255', 1607981056, 1607982079, 'UA', 'Ukraine'),
(69060, '95.215.224.0', '95.215.227.255', 1607983104, 1607984127, 'GB', 'United Kingdom'),
(69061, '95.215.232.0', '95.215.235.255', 1607985152, 1607986175, 'PL', 'Poland'),
(69062, '95.215.236.0', '95.215.239.255', 1607986176, 1607987199, 'UA', 'Ukraine'),
(69063, '95.215.244.0', '95.215.247.255', 1607988224, 1607989247, 'KG', 'Kyrgyzstan'),
(69064, '95.215.252.0', '95.215.255.255', 1607990272, 1607991295, 'RU', 'Russian Federation'),
(69065, '95.216.0.0', '95.217.255.255', 1607991296, 1608122367, 'UA', 'Ukraine'),
(69066, '95.218.0.0', '95.219.255.255', 1608122368, 1608253439, 'RO', 'Romania'),
(69067, '95.220.0.0', '95.221.255.255', 1608253440, 1608384511, 'RU', 'Russian Federation'),
(69068, '95.222.0.0', '95.223.255.255', 1608384512, 1608515583, 'DE', 'Germany'),
(69069, '95.224.0.0', '95.255.255.255', 1608515584, 1610612735, 'IT', 'Italy'),
(69070, '96.0.0.0', '96.0.255.255', 1610612736, 1610678271, 'US', 'United States'),
(69071, '96.1.0.0', '96.1.255.255', 1610678272, 1610743807, 'CA', 'Canada'),
(69072, '96.2.0.0', '96.8.112.247', 1610743808, 1611165943, 'US', 'United States'),
(69073, '96.8.112.248', '96.8.112.255', 1611165944, 1611165951, 'BD', 'Bangladesh'),
(69074, '96.8.113.0', '96.8.113.159', 1611165952, 1611166111, 'US', 'United States'),
(69075, '96.8.113.160', '96.8.113.167', 1611166112, 1611166119, 'NZ', 'New Zealand'),
(69076, '96.8.113.168', '96.8.113.215', 1611166120, 1611166167, 'US', 'United States'),
(69077, '96.8.113.216', '96.8.113.223', 1611166168, 1611166175, 'AF', 'Afghanistan'),
(69078, '96.8.113.224', '96.8.114.135', 1611166176, 1611166343, 'US', 'United States'),
(69079, '96.8.114.136', '96.8.114.143', 1611166344, 1611166351, 'VE', 'Venezuela'),
(69080, '96.8.114.144', '96.8.115.95', 1611166352, 1611166559, 'US', 'United States'),
(69081, '96.8.115.96', '96.8.115.111', 1611166560, 1611166575, 'HN', 'Honduras'),
(69082, '96.8.115.112', '96.8.117.223', 1611166576, 1611167199, 'US', 'United States'),
(69083, '96.8.117.224', '96.8.117.255', 1611167200, 1611167231, 'IN', 'India'),
(69084, '96.8.118.0', '96.8.119.191', 1611167232, 1611167679, 'US', 'United States'),
(69085, '96.8.119.192', '96.8.119.239', 1611167680, 1611167727, 'SE', 'Sweden'),
(69086, '96.8.119.240', '96.8.124.255', 1611167728, 1611169023, 'US', 'United States'),
(69087, '96.8.125.0', '96.8.127.127', 1611169024, 1611169663, 'IE', 'Ireland'),
(69088, '96.8.127.128', '96.8.127.255', 1611169664, 1611169791, 'GB', 'United Kingdom'),
(69089, '96.8.128.0', '96.9.95.255', 1611169792, 1611227135, 'US', 'United States'),
(69090, '96.9.96.0', '96.9.127.255', 1611227136, 1611235327, 'CA', 'Canada'),
(69091, '96.9.128.0', '96.19.255.255', 1611235328, 1611923455, 'US', 'United States'),
(69092, '96.20.0.0', '96.23.255.255', 1611923456, 1612185599, 'CA', 'Canada'),
(69093, '96.24.0.0', '96.30.127.255', 1612185600, 1612611583, 'US', 'United States'),
(69094, '96.30.128.0', '96.30.223.255', 1612611584, 1612636159, 'CA', 'Canada'),
(69095, '96.30.224.0', '96.31.160.255', 1612636160, 1612685567, 'US', 'United States'),
(69096, '96.31.161.0', '96.31.161.15', 1612685568, 1612685583, 'CA', 'Canada'),
(69097, '96.31.161.16', '96.31.166.207', 1612685584, 1612687055, 'US', 'United States'),
(69098, '96.31.166.208', '96.31.166.215', 1612687056, 1612687063, 'CA', 'Canada'),
(69099, '96.31.166.216', '96.31.174.191', 1612687064, 1612689087, 'US', 'United States'),
(69100, '96.31.174.192', '96.31.174.255', 1612689088, 1612689151, 'CA', 'Canada'),
(69101, '96.31.175.0', '96.43.159.255', 1612689152, 1613471743, 'US', 'United States'),
(69102, '96.43.160.0', '96.43.191.255', 1613471744, 1613479935, 'JM', 'Jamaica'),
(69103, '96.43.192.0', '96.43.223.255', 1613479936, 1613488127, 'US', 'United States'),
(69104, '96.43.224.0', '96.43.239.255', 1613488128, 1613492223, 'CA', 'Canada'),
(69105, '96.43.240.0', '96.44.31.255', 1613492224, 1613504511, 'US', 'United States'),
(69106, '96.44.32.0', '96.44.127.255', 1613504512, 1613529087, 'CA', 'Canada'),
(69107, '96.44.128.0', '96.44.163.74', 1613529088, 1613538122, 'US', 'United States'),
(69108, '96.44.163.75', '96.44.163.77', 1613538123, 1613538125, 'A1', 'Anonymous Proxy'),
(69109, '96.44.163.78', '96.44.191.255', 1613538126, 1613545471, 'US', 'United States'),
(69110, '96.44.192.0', '96.44.192.23', 1613545472, 1613545495, 'CA', 'Canada'),
(69111, '96.44.192.24', '96.44.192.31', 1613545496, 1613545503, 'US', 'United States'),
(69112, '96.44.192.32', '96.44.192.79', 1613545504, 1613545551, 'CA', 'Canada'),
(69113, '96.44.192.80', '96.44.192.87', 1613545552, 1613545559, 'US', 'United States'),
(69114, '96.44.192.88', '96.44.193.71', 1613545560, 1613545799, 'CA', 'Canada'),
(69115, '96.44.193.72', '96.44.193.79', 1613545800, 1613545807, 'US', 'United States'),
(69116, '96.44.193.80', '96.44.193.143', 1613545808, 1613545871, 'CA', 'Canada'),
(69117, '96.44.193.144', '96.44.193.151', 1613545872, 1613545879, 'US', 'United States'),
(69118, '96.44.193.152', '96.44.193.159', 1613545880, 1613545887, 'NL', 'Netherlands'),
(69119, '96.44.193.160', '96.44.194.175', 1613545888, 1613546159, 'CA', 'Canada'),
(69120, '96.44.194.176', '96.44.194.183', 1613546160, 1613546167, 'US', 'United States'),
(69121, '96.44.194.184', '96.44.195.167', 1613546168, 1613546407, 'CA', 'Canada'),
(69122, '96.44.195.168', '96.44.195.183', 1613546408, 1613546423, 'US', 'United States'),
(69123, '96.44.195.184', '96.44.196.183', 1613546424, 1613546679, 'CA', 'Canada'),
(69124, '96.44.196.184', '96.44.196.199', 1613546680, 1613546695, 'US', 'United States'),
(69125, '96.44.196.200', '96.44.196.207', 1613546696, 1613546703, 'CA', 'Canada'),
(69126, '96.44.196.208', '96.44.196.223', 1613546704, 1613546719, 'US', 'United States'),
(69127, '96.44.196.224', '96.44.201.159', 1613546720, 1613547935, 'CA', 'Canada'),
(69128, '96.44.201.160', '96.44.201.167', 1613547936, 1613547943, 'US', 'United States'),
(69129, '96.44.201.168', '96.44.203.191', 1613547944, 1613548479, 'CA', 'Canada'),
(69130, '96.44.203.192', '96.44.203.199', 1613548480, 1613548487, 'US', 'United States'),
(69131, '96.44.203.200', '96.44.205.159', 1613548488, 1613548959, 'CA', 'Canada'),
(69132, '96.44.205.160', '96.44.205.167', 1613548960, 1613548967, 'US', 'United States'),
(69133, '96.44.205.168', '96.44.211.151', 1613548968, 1613550487, 'CA', 'Canada'),
(69134, '96.44.211.152', '96.44.211.159', 1613550488, 1613550495, 'US', 'United States'),
(69135, '96.44.211.160', '96.44.212.143', 1613550496, 1613550735, 'CA', 'Canada'),
(69136, '96.44.212.144', '96.44.212.151', 1613550736, 1613550743, 'US', 'United States'),
(69137, '96.44.212.152', '96.44.217.191', 1613550744, 1613552063, 'CA', 'Canada'),
(69138, '96.44.217.192', '96.44.217.207', 1613552064, 1613552079, 'US', 'United States'),
(69139, '96.44.217.208', '96.44.218.23', 1613552080, 1613552151, 'CA', 'Canada'),
(69140, '96.44.218.24', '96.44.218.31', 1613552152, 1613552159, 'US', 'United States'),
(69141, '96.44.218.32', '96.44.218.71', 1613552160, 1613552199, 'CA', 'Canada'),
(69142, '96.44.218.72', '96.44.218.79', 1613552200, 1613552207, 'US', 'United States'),
(69143, '96.44.218.80', '96.44.233.215', 1613552208, 1613556183, 'CA', 'Canada'),
(69144, '96.44.233.216', '96.44.233.223', 1613556184, 1613556191, 'US', 'United States'),
(69145, '96.44.233.224', '96.44.242.87', 1613556192, 1613558359, 'CA', 'Canada'),
(69146, '96.44.242.88', '96.44.242.103', 1613558360, 1613558375, 'NL', 'Netherlands'),
(69147, '96.44.242.104', '96.45.15.255', 1613558376, 1613565951, 'CA', 'Canada'),
(69148, '96.45.16.0', '96.45.31.255', 1613565952, 1613570047, 'US', 'United States'),
(69149, '96.45.32.0', '96.45.47.255', 1613570048, 1613574143, 'CA', 'Canada'),
(69150, '96.45.48.0', '96.45.175.255', 1613574144, 1613606911, 'US', 'United States'),
(69151, '96.45.176.0', '96.45.176.255', 1613606912, 1613607167, 'CA', 'Canada'),
(69152, '96.45.177.0', '96.45.177.255', 1613607168, 1613607423, 'US', 'United States'),
(69153, '96.45.178.0', '96.45.207.255', 1613607424, 1613615103, 'CA', 'Canada'),
(69154, '96.45.208.0', '96.46.31.255', 1613615104, 1613635583, 'US', 'United States'),
(69155, '96.46.32.0', '96.46.47.255', 1613635584, 1613639679, 'CA', 'Canada'),
(69156, '96.46.48.0', '96.46.51.255', 1613639680, 1613640703, 'US', 'United States'),
(69157, '96.46.52.0', '96.46.52.127', 1613640704, 1613640831, 'CA', 'Canada'),
(69158, '96.46.52.128', '96.46.191.255', 1613640832, 1613676543, 'US', 'United States'),
(69159, '96.46.192.0', '96.46.207.255', 1613676544, 1613680639, 'CA', 'Canada'),
(69160, '96.46.208.0', '96.47.41.246', 1613680640, 1613703670, 'US', 'United States'),
(69161, '96.47.41.247', '96.47.41.254', 1613703671, 1613703678, 'LK', 'Sri Lanka'),
(69162, '96.47.41.255', '96.47.175.255', 1613703679, 1613737983, 'US', 'United States'),
(69163, '96.47.176.0', '96.47.191.255', 1613737984, 1613742079, 'CA', 'Canada'),
(69164, '96.47.192.0', '96.47.255.255', 1613742080, 1613758463, 'US', 'United States'),
(69165, '96.48.0.0', '96.55.255.255', 1613758464, 1614282751, 'CA', 'Canada'),
(69166, '96.56.0.0', '96.62.255.255', 1614282752, 1614741503, 'US', 'United States'),
(69167, '96.63.0.0', '96.63.63.255', 1614741504, 1614757887, 'CA', 'Canada'),
(69168, '96.63.64.0', '96.63.127.255', 1614757888, 1614774271, 'US', 'United States'),
(69169, '96.63.128.0', '96.63.175.255', 1614774272, 1614786559, 'CA', 'Canada'),
(69170, '96.63.176.0', '96.125.127.255', 1614786560, 1618837503, 'US', 'United States'),
(69171, '96.125.128.0', '96.125.143.255', 1618837504, 1618841599, 'CA', 'Canada'),
(69172, '96.125.144.0', '96.125.175.255', 1618841600, 1618849791, 'US', 'United States'),
(69173, '96.125.176.0', '96.125.177.255', 1618849792, 1618850303, 'CA', 'Canada'),
(69174, '96.125.178.0', '96.125.178.255', 1618850304, 1618850559, 'US', 'United States'),
(69175, '96.125.179.0', '96.125.187.255', 1618850560, 1618852863, 'CA', 'Canada'),
(69176, '96.125.188.0', '96.125.190.255', 1618852864, 1618853631, 'US', 'United States'),
(69177, '96.125.191.0', '96.125.223.255', 1618853632, 1618862079, 'CA', 'Canada'),
(69178, '96.125.224.0', '96.125.239.255', 1618862080, 1618866175, 'US', 'United States'),
(69179, '96.125.240.0', '96.125.255.255', 1618866176, 1618870271, 'CA', 'Canada'),
(69180, '96.126.0.0', '96.127.191.255', 1618870272, 1618984959, 'US', 'United States'),
(69181, '96.127.192.0', '96.127.255.255', 1618984960, 1619001343, 'CA', 'Canada'),
(69182, '96.128.0.0', '97.74.255.255', 1619001344, 1632305151, 'US', 'United States'),
(69183, '97.75.0.0', '97.75.63.255', 1632305152, 1632321535, 'CA', 'Canada'),
(69184, '97.75.64.0', '97.75.191.255', 1632321536, 1632354303, 'US', 'United States'),
(69185, '97.75.192.0', '97.75.193.47', 1632354304, 1632354607, 'CA', 'Canada'),
(69186, '97.75.193.48', '97.75.193.55', 1632354608, 1632354615, 'US', 'United States'),
(69187, '97.75.193.56', '97.75.193.119', 1632354616, 1632354679, 'CA', 'Canada'),
(69188, '97.75.193.120', '97.75.193.127', 1632354680, 1632354687, 'US', 'United States'),
(69189, '97.75.193.128', '97.75.194.103', 1632354688, 1632354919, 'CA', 'Canada'),
(69190, '97.75.194.104', '97.75.194.111', 1632354920, 1632354927, 'NL', 'Netherlands'),
(69191, '97.75.194.112', '97.75.196.183', 1632354928, 1632355511, 'CA', 'Canada'),
(69192, '97.75.196.184', '97.75.196.191', 1632355512, 1632355519, 'US', 'United States'),
(69193, '97.75.196.192', '97.75.196.255', 1632355520, 1632355583, 'CA', 'Canada'),
(69194, '97.75.197.0', '97.75.197.15', 1632355584, 1632355599, 'US', 'United States'),
(69195, '97.75.197.16', '97.75.208.247', 1632355600, 1632358647, 'CA', 'Canada'),
(69196, '97.75.208.248', '97.75.208.255', 1632358648, 1632358655, 'US', 'United States'),
(69197, '97.75.209.0', '97.75.209.119', 1632358656, 1632358775, 'CA', 'Canada'),
(69198, '97.75.209.120', '97.75.209.127', 1632358776, 1632358783, 'US', 'United States'),
(69199, '97.75.209.128', '97.75.223.255', 1632358784, 1632362495, 'CA', 'Canada'),
(69200, '97.75.224.0', '97.107.47.255', 1632362496, 1634414591, 'US', 'United States'),
(69201, '97.107.48.0', '97.107.63.255', 1634414592, 1634418687, 'CA', 'Canada'),
(69202, '97.107.64.0', '97.107.175.255', 1634418688, 1634447359, 'US', 'United States'),
(69203, '97.107.176.0', '97.107.191.255', 1634447360, 1634451455, 'CA', 'Canada'),
(69204, '97.107.192.0', '97.107.207.255', 1634451456, 1634455551, 'US', 'United States'),
(69205, '97.107.208.0', '97.107.223.255', 1634455552, 1634459647, 'CA', 'Canada'),
(69206, '97.107.224.0', '97.107.255.255', 1634459648, 1634467839, 'US', 'United States'),
(69207, '97.108.0.0', '97.111.255.255', 1634467840, 1634729983, 'CA', 'Canada'),
(69208, '97.112.0.0', '98.103.7.147', 1634729984, 1650919315, 'US', 'United States'),
(69209, '98.103.7.148', '98.103.7.148', 1650919316, 1650919316, 'A1', 'Anonymous Proxy'),
(69210, '98.103.7.149', '98.123.255.255', 1650919317, 1652293631, 'US', 'United States'),
(69211, '98.124.0.0', '98.124.63.255', 1652293632, 1652310015, 'CA', 'Canada'),
(69212, '98.124.64.0', '98.126.220.255', 1652310016, 1652481279, 'US', 'United States'),
(69213, '98.126.221.0', '98.126.222.255', 1652481280, 1652481791, 'CN', 'China'),
(69214, '98.126.223.0', '98.126.244.118', 1652481792, 1652487286, 'US', 'United States'),
(69215, '98.126.244.119', '98.126.244.119', 1652487287, 1652487287, 'TR', 'Turkey'),
(69216, '98.126.244.120', '98.129.0.15', 1652487288, 1652621327, 'US', 'United States'),
(69217, '98.129.0.16', '98.129.0.23', 1652621328, 1652621335, 'CA', 'Canada'),
(69218, '98.129.0.24', '98.129.0.31', 1652621336, 1652621343, 'AU', 'Australia'),
(69219, '98.129.0.32', '98.129.0.47', 1652621344, 1652621359, 'CA', 'Canada'),
(69220, '98.129.0.48', '98.129.0.183', 1652621360, 1652621495, 'US', 'United States'),
(69221, '98.129.0.184', '98.129.0.191', 1652621496, 1652621503, 'CA', 'Canada'),
(69222, '98.129.0.192', '98.129.1.95', 1652621504, 1652621663, 'US', 'United States'),
(69223, '98.129.1.96', '98.129.1.103', 1652621664, 1652621671, 'GB', 'United Kingdom'),
(69224, '98.129.1.104', '98.129.1.111', 1652621672, 1652621679, 'US', 'United States'),
(69225, '98.129.1.112', '98.129.1.119', 1652621680, 1652621687, 'CA', 'Canada'),
(69226, '98.129.1.120', '98.129.1.127', 1652621688, 1652621695, 'US', 'United States'),
(69227, '98.129.1.128', '98.129.1.135', 1652621696, 1652621703, 'MX', 'Mexico'),
(69228, '98.129.1.136', '98.129.2.87', 1652621704, 1652621911, 'US', 'United States'),
(69229, '98.129.2.88', '98.129.2.95', 1652621912, 1652621919, 'GB', 'United Kingdom'),
(69230, '98.129.2.96', '98.129.3.39', 1652621920, 1652622119, 'US', 'United States'),
(69231, '98.129.3.40', '98.129.3.47', 1652622120, 1652622127, 'GB', 'United Kingdom'),
(69232, '98.129.3.48', '98.129.3.95', 1652622128, 1652622175, 'US', 'United States'),
(69233, '98.129.3.96', '98.129.3.127', 1652622176, 1652622207, 'GB', 'United Kingdom'),
(69234, '98.129.3.128', '98.129.3.191', 1652622208, 1652622271, 'US', 'United States'),
(69235, '98.129.3.192', '98.129.3.199', 1652622272, 1652622279, 'AU', 'Australia'),
(69236, '98.129.3.200', '98.129.4.239', 1652622280, 1652622575, 'US', 'United States'),
(69237, '98.129.4.240', '98.129.4.247', 1652622576, 1652622583, 'GB', 'United Kingdom'),
(69238, '98.129.4.248', '98.129.6.47', 1652622584, 1652622895, 'US', 'United States'),
(69239, '98.129.6.48', '98.129.6.55', 1652622896, 1652622903, 'MX', 'Mexico'),
(69240, '98.129.6.56', '98.129.10.31', 1652622904, 1652623903, 'US', 'United States'),
(69241, '98.129.10.32', '98.129.10.63', 1652623904, 1652623935, 'IN', 'India'),
(69242, '98.129.10.64', '98.129.10.239', 1652623936, 1652624111, 'US', 'United States'),
(69243, '98.129.10.240', '98.129.10.247', 1652624112, 1652624119, 'MX', 'Mexico'),
(69244, '98.129.10.248', '98.129.12.127', 1652624120, 1652624511, 'US', 'United States'),
(69245, '98.129.12.128', '98.129.12.135', 1652624512, 1652624519, 'IN', 'India'),
(69246, '98.129.12.136', '98.129.12.143', 1652624520, 1652624527, 'US', 'United States'),
(69247, '98.129.12.144', '98.129.12.151', 1652624528, 1652624535, 'GB', 'United Kingdom'),
(69248, '98.129.12.152', '98.129.12.207', 1652624536, 1652624591, 'US', 'United States'),
(69249, '98.129.12.208', '98.129.12.215', 1652624592, 1652624599, 'IE', 'Ireland'),
(69250, '98.129.12.216', '98.129.13.15', 1652624600, 1652624655, 'US', 'United States'),
(69251, '98.129.13.16', '98.129.13.23', 1652624656, 1652624663, 'ZA', 'South Africa'),
(69252, '98.129.13.24', '98.129.14.223', 1652624664, 1652625119, 'US', 'United States'),
(69253, '98.129.14.224', '98.129.14.231', 1652625120, 1652625127, 'ZA', 'South Africa'),
(69254, '98.129.14.232', '98.129.15.151', 1652625128, 1652625303, 'US', 'United States'),
(69255, '98.129.15.152', '98.129.15.159', 1652625304, 1652625311, 'CA', 'Canada'),
(69256, '98.129.15.160', '98.129.16.87', 1652625312, 1652625495, 'US', 'United States'),
(69257, '98.129.16.88', '98.129.16.95', 1652625496, 1652625503, 'CA', 'Canada'),
(69258, '98.129.16.96', '98.129.17.31', 1652625504, 1652625695, 'US', 'United States'),
(69259, '98.129.17.32', '98.129.17.47', 1652625696, 1652625711, 'IN', 'India'),
(69260, '98.129.17.48', '98.129.18.135', 1652625712, 1652626055, 'US', 'United States'),
(69261, '98.129.18.136', '98.129.18.143', 1652626056, 1652626063, 'GB', 'United Kingdom'),
(69262, '98.129.18.144', '98.129.19.143', 1652626064, 1652626319, 'US', 'United States'),
(69263, '98.129.19.144', '98.129.19.151', 1652626320, 1652626327, 'GB', 'United Kingdom'),
(69264, '98.129.19.152', '98.129.19.223', 1652626328, 1652626399, 'US', 'United States'),
(69265, '98.129.19.224', '98.129.19.231', 1652626400, 1652626407, 'IE', 'Ireland'),
(69266, '98.129.19.232', '98.129.20.55', 1652626408, 1652626487, 'US', 'United States'),
(69267, '98.129.20.56', '98.129.20.63', 1652626488, 1652626495, 'GB', 'United Kingdom'),
(69268, '98.129.20.64', '98.129.21.39', 1652626496, 1652626727, 'US', 'United States'),
(69269, '98.129.21.40', '98.129.21.47', 1652626728, 1652626735, 'IL', 'Israel'),
(69270, '98.129.21.48', '98.129.24.63', 1652626736, 1652627519, 'US', 'United States'),
(69271, '98.129.24.64', '98.129.24.111', 1652627520, 1652627567, 'MY', 'Malaysia'),
(69272, '98.129.24.112', '98.129.24.119', 1652627568, 1652627575, 'US', 'United States'),
(69273, '98.129.24.120', '98.129.24.127', 1652627576, 1652627583, 'GB', 'United Kingdom'),
(69274, '98.129.24.128', '98.129.26.87', 1652627584, 1652628055, 'US', 'United States'),
(69275, '98.129.26.88', '98.129.26.95', 1652628056, 1652628063, 'IN', 'India'),
(69276, '98.129.26.96', '98.129.27.87', 1652628064, 1652628311, 'US', 'United States'),
(69277, '98.129.27.88', '98.129.27.95', 1652628312, 1652628319, 'BO', 'Bolivia'),
(69278, '98.129.27.96', '98.129.27.127', 1652628320, 1652628351, 'US', 'United States'),
(69279, '98.129.27.128', '98.129.27.135', 1652628352, 1652628359, 'CA', 'Canada'),
(69280, '98.129.27.136', '98.129.32.47', 1652628360, 1652629551, 'US', 'United States'),
(69281, '98.129.32.48', '98.129.32.55', 1652629552, 1652629559, 'NZ', 'New Zealand'),
(69282, '98.129.32.56', '98.129.34.15', 1652629560, 1652630031, 'US', 'United States'),
(69283, '98.129.34.16', '98.129.34.23', 1652630032, 1652630039, 'GB', 'United Kingdom'),
(69284, '98.129.34.24', '98.129.34.231', 1652630040, 1652630247, 'US', 'United States'),
(69285, '98.129.34.232', '98.129.34.239', 1652630248, 1652630255, 'AU', 'Australia'),
(69286, '98.129.34.240', '98.129.36.127', 1652630256, 1652630655, 'US', 'United States'),
(69287, '98.129.36.128', '98.129.36.135', 1652630656, 1652630663, 'IL', 'Israel'),
(69288, '98.129.36.136', '98.129.37.103', 1652630664, 1652630887, 'US', 'United States'),
(69289, '98.129.37.104', '98.129.37.111', 1652630888, 1652630895, 'AU', 'Australia'),
(69290, '98.129.37.112', '98.129.37.231', 1652630896, 1652631015, 'US', 'United States'),
(69291, '98.129.37.232', '98.129.37.239', 1652631016, 1652631023, 'IN', 'India'),
(69292, '98.129.37.240', '98.129.39.47', 1652631024, 1652631343, 'US', 'United States'),
(69293, '98.129.39.48', '98.129.39.55', 1652631344, 1652631351, 'CA', 'Canada'),
(69294, '98.129.39.56', '98.129.39.239', 1652631352, 1652631535, 'US', 'United States'),
(69295, '98.129.39.240', '98.129.39.255', 1652631536, 1652631551, 'MY', 'Malaysia'),
(69296, '98.129.40.0', '98.129.40.199', 1652631552, 1652631751, 'US', 'United States'),
(69297, '98.129.40.200', '98.129.40.207', 1652631752, 1652631759, 'GB', 'United Kingdom'),
(69298, '98.129.40.208', '98.129.41.191', 1652631760, 1652631999, 'US', 'United States'),
(69299, '98.129.41.192', '98.129.41.207', 1652632000, 1652632015, 'AE', 'United Arab Emirates'),
(69300, '98.129.41.208', '98.129.42.191', 1652632016, 1652632255, 'US', 'United States'),
(69301, '98.129.42.192', '98.129.42.199', 1652632256, 1652632263, 'IL', 'Israel'),
(69302, '98.129.42.200', '98.129.43.111', 1652632264, 1652632431, 'US', 'United States'),
(69303, '98.129.43.112', '98.129.43.119', 1652632432, 1652632439, 'CA', 'Canada'),
(69304, '98.129.43.120', '98.129.44.71', 1652632440, 1652632647, 'US', 'United States'),
(69305, '98.129.44.72', '98.129.44.79', 1652632648, 1652632655, 'MY', 'Malaysia'),
(69306, '98.129.44.80', '98.129.44.95', 1652632656, 1652632671, 'US', 'United States'),
(69307, '98.129.44.96', '98.129.44.175', 1652632672, 1652632751, 'MY', 'Malaysia'),
(69308, '98.129.44.176', '98.129.45.31', 1652632752, 1652632863, 'US', 'United States'),
(69309, '98.129.45.32', '98.129.45.47', 1652632864, 1652632879, 'CA', 'Canada'),
(69310, '98.129.45.48', '98.129.45.55', 1652632880, 1652632887, 'US', 'United States'),
(69311, '98.129.45.56', '98.129.45.63', 1652632888, 1652632895, 'AU', 'Australia'),
(69312, '98.129.45.64', '98.129.45.79', 1652632896, 1652632911, 'US', 'United States'),
(69313, '98.129.45.80', '98.129.45.87', 1652632912, 1652632919, 'CA', 'Canada'),
(69314, '98.129.45.88', '98.129.45.103', 1652632920, 1652632935, 'US', 'United States'),
(69315, '98.129.45.104', '98.129.45.111', 1652632936, 1652632943, 'PH', 'Philippines'),
(69316, '98.129.45.112', '98.129.46.71', 1652632944, 1652633159, 'US', 'United States'),
(69317, '98.129.46.72', '98.129.46.79', 1652633160, 1652633167, 'CA', 'Canada'),
(69318, '98.129.46.80', '98.129.49.143', 1652633168, 1652633999, 'US', 'United States'),
(69319, '98.129.49.144', '98.129.49.151', 1652634000, 1652634007, 'GB', 'United Kingdom'),
(69320, '98.129.49.152', '98.129.50.31', 1652634008, 1652634143, 'US', 'United States'),
(69321, '98.129.50.32', '98.129.50.39', 1652634144, 1652634151, 'AE', 'United Arab Emirates'),
(69322, '98.129.50.40', '98.129.51.55', 1652634152, 1652634423, 'US', 'United States'),
(69323, '98.129.51.56', '98.129.51.63', 1652634424, 1652634431, 'CA', 'Canada'),
(69324, '98.129.51.64', '98.129.52.23', 1652634432, 1652634647, 'US', 'United States'),
(69325, '98.129.52.24', '98.129.52.31', 1652634648, 1652634655, 'PH', 'Philippines'),
(69326, '98.129.52.32', '98.129.52.39', 1652634656, 1652634663, 'AU', 'Australia'),
(69327, '98.129.52.40', '98.129.52.143', 1652634664, 1652634767, 'US', 'United States'),
(69328, '98.129.52.144', '98.129.52.151', 1652634768, 1652634775, 'AU', 'Australia'),
(69329, '98.129.52.152', '98.129.52.167', 1652634776, 1652634791, 'US', 'United States'),
(69330, '98.129.52.168', '98.129.52.175', 1652634792, 1652634799, 'CA', 'Canada'),
(69331, '98.129.52.176', '98.129.52.231', 1652634800, 1652634855, 'US', 'United States'),
(69332, '98.129.52.232', '98.129.52.239', 1652634856, 1652634863, 'CA', 'Canada'),
(69333, '98.129.52.240', '98.129.53.167', 1652634864, 1652635047, 'US', 'United States'),
(69334, '98.129.53.168', '98.129.53.175', 1652635048, 1652635055, 'GB', 'United Kingdom'),
(69335, '98.129.53.176', '98.129.54.159', 1652635056, 1652635295, 'US', 'United States'),
(69336, '98.129.54.160', '98.129.54.175', 1652635296, 1652635311, 'CA', 'Canada'),
(69337, '98.129.54.176', '98.129.55.199', 1652635312, 1652635591, 'US', 'United States'),
(69338, '98.129.55.200', '98.129.55.207', 1652635592, 1652635599, 'CA', 'Canada'),
(69339, '98.129.55.208', '98.129.56.255', 1652635600, 1652635903, 'US', 'United States'),
(69340, '98.129.57.0', '98.129.57.7', 1652635904, 1652635911, 'AU', 'Australia'),
(69341, '98.129.57.8', '98.129.59.7', 1652635912, 1652636423, 'US', 'United States'),
(69342, '98.129.59.8', '98.129.59.15', 1652636424, 1652636431, 'CA', 'Canada'),
(69343, '98.129.59.16', '98.129.59.215', 1652636432, 1652636631, 'US', 'United States'),
(69344, '98.129.59.216', '98.129.59.223', 1652636632, 1652636639, 'IL', 'Israel'),
(69345, '98.129.59.224', '98.129.59.239', 1652636640, 1652636655, 'US', 'United States'),
(69346, '98.129.59.240', '98.129.59.247', 1652636656, 1652636663, 'CA', 'Canada'),
(69347, '98.129.59.248', '98.129.60.167', 1652636664, 1652636839, 'US', 'United States'),
(69348, '98.129.60.168', '98.129.60.175', 1652636840, 1652636847, 'CA', 'Canada'),
(69349, '98.129.60.176', '98.129.62.23', 1652636848, 1652637207, 'US', 'United States'),
(69350, '98.129.62.24', '98.129.62.31', 1652637208, 1652637215, 'FR', 'France'),
(69351, '98.129.62.32', '98.129.63.183', 1652637216, 1652637623, 'US', 'United States'),
(69352, '98.129.63.184', '98.129.63.191', 1652637624, 1652637631, 'GB', 'United Kingdom'),
(69353, '98.129.63.192', '98.129.64.191', 1652637632, 1652637887, 'US', 'United States'),
(69354, '98.129.64.192', '98.129.64.199', 1652637888, 1652637895, 'IL', 'Israel'),
(69355, '98.129.64.200', '98.129.65.191', 1652637896, 1652638143, 'US', 'United States'),
(69356, '98.129.65.192', '98.129.65.199', 1652638144, 1652638151, 'CH', 'Switzerland'),
(69357, '98.129.65.200', '98.129.65.239', 1652638152, 1652638191, 'US', 'United States'),
(69358, '98.129.65.240', '98.129.65.255', 1652638192, 1652638207, 'IN', 'India'),
(69359, '98.129.66.0', '98.129.66.7', 1652638208, 1652638215, 'US', 'United States'),
(69360, '98.129.66.8', '98.129.66.15', 1652638216, 1652638223, 'AU', 'Australia'),
(69361, '98.129.66.16', '98.129.67.239', 1652638224, 1652638703, 'US', 'United States'),
(69362, '98.129.67.240', '98.129.67.247', 1652638704, 1652638711, 'IN', 'India'),
(69363, '98.129.67.248', '98.129.68.135', 1652638712, 1652638855, 'US', 'United States'),
(69364, '98.129.68.136', '98.129.68.143', 1652638856, 1652638863, 'CA', 'Canada'),
(69365, '98.129.68.144', '98.129.68.175', 1652638864, 1652638895, 'US', 'United States'),
(69366, '98.129.68.176', '98.129.68.183', 1652638896, 1652638903, 'GB', 'United Kingdom'),
(69367, '98.129.68.184', '98.129.69.39', 1652638904, 1652639015, 'US', 'United States'),
(69368, '98.129.69.40', '98.129.69.47', 1652639016, 1652639023, 'MX', 'Mexico'),
(69369, '98.129.69.48', '98.129.69.159', 1652639024, 1652639135, 'US', 'United States'),
(69370, '98.129.69.160', '98.129.69.167', 1652639136, 1652639143, 'AU', 'Australia'),
(69371, '98.129.69.168', '98.129.70.223', 1652639144, 1652639455, 'US', 'United States'),
(69372, '98.129.70.224', '98.129.70.239', 1652639456, 1652639471, 'IN', 'India'),
(69373, '98.129.70.240', '98.129.71.47', 1652639472, 1652639535, 'US', 'United States'),
(69374, '98.129.71.48', '98.129.71.55', 1652639536, 1652639543, 'CA', 'Canada'),
(69375, '98.129.71.56', '98.129.71.183', 1652639544, 1652639671, 'US', 'United States'),
(69376, '98.129.71.184', '98.129.71.191', 1652639672, 1652639679, 'GB', 'United Kingdom'),
(69377, '98.129.71.192', '98.129.75.119', 1652639680, 1652640631, 'US', 'United States'),
(69378, '98.129.75.120', '98.129.75.127', 1652640632, 1652640639, 'NL', 'Netherlands'),
(69379, '98.129.75.128', '98.129.77.159', 1652640640, 1652641183, 'US', 'United States'),
(69380, '98.129.77.160', '98.129.77.167', 1652641184, 1652641191, 'BR', 'Brazil'),
(69381, '98.129.77.168', '98.129.78.151', 1652641192, 1652641431, 'US', 'United States'),
(69382, '98.129.78.152', '98.129.78.159', 1652641432, 1652641439, 'IN', 'India'),
(69383, '98.129.78.160', '98.129.80.87', 1652641440, 1652641879, 'US', 'United States'),
(69384, '98.129.80.88', '98.129.80.95', 1652641880, 1652641887, 'GB', 'United Kingdom'),
(69385, '98.129.80.96', '98.129.80.103', 1652641888, 1652641895, 'US', 'United States'),
(69386, '98.129.80.104', '98.129.80.119', 1652641896, 1652641911, 'GB', 'United Kingdom'),
(69387, '98.129.80.120', '98.129.80.127', 1652641912, 1652641919, 'CA', 'Canada'),
(69388, '98.129.80.128', '98.129.80.191', 1652641920, 1652641983, 'US', 'United States'),
(69389, '98.129.80.192', '98.129.80.223', 1652641984, 1652642015, 'AE', 'United Arab Emirates'),
(69390, '98.129.80.224', '98.129.80.231', 1652642016, 1652642023, 'CA', 'Canada'),
(69391, '98.129.80.232', '98.129.85.143', 1652642024, 1652643215, 'US', 'United States'),
(69392, '98.129.85.144', '98.129.85.151', 1652643216, 1652643223, 'IT', 'Italy'),
(69393, '98.129.85.152', '98.129.86.23', 1652643224, 1652643351, 'US', 'United States'),
(69394, '98.129.86.24', '98.129.86.31', 1652643352, 1652643359, 'CA', 'Canada'),
(69395, '98.129.86.32', '98.129.86.103', 1652643360, 1652643431, 'US', 'United States'),
(69396, '98.129.86.104', '98.129.86.119', 1652643432, 1652643447, 'CA', 'Canada'),
(69397, '98.129.86.120', '98.129.86.135', 1652643448, 1652643463, 'US', 'United States'),
(69398, '98.129.86.136', '98.129.86.143', 1652643464, 1652643471, 'CA', 'Canada'),
(69399, '98.129.86.144', '98.129.86.247', 1652643472, 1652643575, 'US', 'United States'),
(69400, '98.129.86.248', '98.129.86.255', 1652643576, 1652643583, 'EG', 'Egypt'),
(69401, '98.129.87.0', '98.129.87.47', 1652643584, 1652643631, 'US', 'United States'),
(69402, '98.129.87.48', '98.129.87.55', 1652643632, 1652643639, 'IN', 'India'),
(69403, '98.129.87.56', '98.129.87.71', 1652643640, 1652643655, 'US', 'United States'),
(69404, '98.129.87.72', '98.129.87.79', 1652643656, 1652643663, 'GB', 'United Kingdom'),
(69405, '98.129.87.80', '98.129.87.95', 1652643664, 1652643679, 'US', 'United States'),
(69406, '98.129.87.96', '98.129.87.103', 1652643680, 1652643687, 'GB', 'United Kingdom'),
(69407, '98.129.87.104', '98.129.87.215', 1652643688, 1652643799, 'US', 'United States'),
(69408, '98.129.87.216', '98.129.87.223', 1652643800, 1652643807, 'GB', 'United Kingdom'),
(69409, '98.129.87.224', '98.129.87.255', 1652643808, 1652643839, 'US', 'United States'),
(69410, '98.129.88.0', '98.129.88.7', 1652643840, 1652643847, 'GB', 'United Kingdom'),
(69411, '98.129.88.8', '98.129.88.39', 1652643848, 1652643879, 'US', 'United States'),
(69412, '98.129.88.40', '98.129.88.47', 1652643880, 1652643887, 'AU', 'Australia'),
(69413, '98.129.88.48', '98.129.88.55', 1652643888, 1652643895, 'CA', 'Canada'),
(69414, '98.129.88.56', '98.129.89.127', 1652643896, 1652644223, 'US', 'United States'),
(69415, '98.129.89.128', '98.129.89.135', 1652644224, 1652644231, 'AU', 'Australia'),
(69416, '98.129.89.136', '98.129.89.151', 1652644232, 1652644247, 'US', 'United States'),
(69417, '98.129.89.152', '98.129.89.159', 1652644248, 1652644255, 'GB', 'United Kingdom'),
(69418, '98.129.89.160', '98.129.89.215', 1652644256, 1652644311, 'US', 'United States'),
(69419, '98.129.89.216', '98.129.89.223', 1652644312, 1652644319, 'CA', 'Canada'),
(69420, '98.129.89.224', '98.129.90.23', 1652644320, 1652644375, 'US', 'United States'),
(69421, '98.129.90.24', '98.129.90.31', 1652644376, 1652644383, 'CA', 'Canada'),
(69422, '98.129.90.32', '98.129.90.239', 1652644384, 1652644591, 'US', 'United States'),
(69423, '98.129.90.240', '98.129.91.31', 1652644592, 1652644639, 'BD', 'Bangladesh'),
(69424, '98.129.91.32', '98.129.91.39', 1652644640, 1652644647, 'US', 'United States'),
(69425, '98.129.91.40', '98.129.91.47', 1652644648, 1652644655, 'BO', 'Bolivia'),
(69426, '98.129.91.48', '98.129.91.191', 1652644656, 1652644799, 'US', 'United States'),
(69427, '98.129.91.192', '98.129.91.199', 1652644800, 1652644807, 'CA', 'Canada'),
(69428, '98.129.91.200', '98.129.91.255', 1652644808, 1652644863, 'US', 'United States'),
(69429, '98.129.92.0', '98.129.92.7', 1652644864, 1652644871, 'AU', 'Australia'),
(69430, '98.129.92.8', '98.129.92.239', 1652644872, 1652645103, 'US', 'United States'),
(69431, '98.129.92.240', '98.129.92.247', 1652645104, 1652645111, 'CA', 'Canada'),
(69432, '98.129.92.248', '98.129.95.119', 1652645112, 1652645751, 'US', 'United States'),
(69433, '98.129.95.120', '98.129.95.127', 1652645752, 1652645759, 'NZ', 'New Zealand'),
(69434, '98.129.95.128', '98.129.95.159', 1652645760, 1652645791, 'US', 'United States'),
(69435, '98.129.95.160', '98.129.95.167', 1652645792, 1652645799, 'IN', 'India'),
(69436, '98.129.95.168', '98.129.95.247', 1652645800, 1652645879, 'US', 'United States'),
(69437, '98.129.95.248', '98.129.95.255', 1652645880, 1652645887, 'NZ', 'New Zealand'),
(69438, '98.129.96.0', '98.129.96.31', 1652645888, 1652645919, 'US', 'United States'),
(69439, '98.129.96.32', '98.129.96.47', 1652645920, 1652645935, 'AE', 'United Arab Emirates'),
(69440, '98.129.96.48', '98.129.97.127', 1652645936, 1652646271, 'US', 'United States'),
(69441, '98.129.97.128', '98.129.97.135', 1652646272, 1652646279, 'AU', 'Australia'),
(69442, '98.129.97.136', '98.129.98.87', 1652646280, 1652646487, 'US', 'United States'),
(69443, '98.129.98.88', '98.129.98.95', 1652646488, 1652646495, 'CA', 'Canada'),
(69444, '98.129.98.96', '98.129.98.103', 1652646496, 1652646503, 'US', 'United States'),
(69445, '98.129.98.104', '98.129.98.111', 1652646504, 1652646511, 'CA', 'Canada'),
(69446, '98.129.98.112', '98.129.99.159', 1652646512, 1652646815, 'US', 'United States'),
(69447, '98.129.99.160', '98.129.99.167', 1652646816, 1652646823, 'BD', 'Bangladesh'),
(69448, '98.129.99.168', '98.129.101.31', 1652646824, 1652647199, 'US', 'United States'),
(69449, '98.129.101.32', '98.129.101.39', 1652647200, 1652647207, 'IL', 'Israel'),
(69450, '98.129.101.40', '98.129.101.47', 1652647208, 1652647215, 'GB', 'United Kingdom'),
(69451, '98.129.101.48', '98.129.101.135', 1652647216, 1652647303, 'US', 'United States'),
(69452, '98.129.101.136', '98.129.101.143', 1652647304, 1652647311, 'AU', 'Australia'),
(69453, '98.129.101.144', '98.129.101.151', 1652647312, 1652647319, 'US', 'United States'),
(69454, '98.129.101.152', '98.129.101.159', 1652647320, 1652647327, 'IL', 'Israel'),
(69455, '98.129.101.160', '98.129.101.183', 1652647328, 1652647351, 'US', 'United States'),
(69456, '98.129.101.184', '98.129.101.191', 1652647352, 1652647359, 'GB', 'United Kingdom'),
(69457, '98.129.101.192', '98.129.102.87', 1652647360, 1652647511, 'US', 'United States'),
(69458, '98.129.102.88', '98.129.102.95', 1652647512, 1652647519, 'CA', 'Canada'),
(69459, '98.129.102.96', '98.129.102.223', 1652647520, 1652647647, 'US', 'United States'),
(69460, '98.129.102.224', '98.129.102.231', 1652647648, 1652647655, 'MX', 'Mexico'),
(69461, '98.129.102.232', '98.129.103.143', 1652647656, 1652647823, 'US', 'United States'),
(69462, '98.129.103.144', '98.129.103.151', 1652647824, 1652647831, 'CA', 'Canada'),
(69463, '98.129.103.152', '98.129.103.175', 1652647832, 1652647855, 'US', 'United States'),
(69464, '98.129.103.176', '98.129.103.191', 1652647856, 1652647871, 'CA', 'Canada'),
(69465, '98.129.103.192', '98.129.103.239', 1652647872, 1652647919, 'US', 'United States'),
(69466, '98.129.103.240', '98.129.103.255', 1652647920, 1652647935, 'IE', 'Ireland'),
(69467, '98.129.104.0', '98.129.104.167', 1652647936, 1652648103, 'US', 'United States'),
(69468, '98.129.104.168', '98.129.104.175', 1652648104, 1652648111, 'MX', 'Mexico'),
(69469, '98.129.104.176', '98.129.105.63', 1652648112, 1652648255, 'US', 'United States'),
(69470, '98.129.105.64', '98.129.105.71', 1652648256, 1652648263, 'GB', 'United Kingdom'),
(69471, '98.129.105.72', '98.129.105.207', 1652648264, 1652648399, 'US', 'United States'),
(69472, '98.129.105.208', '98.129.105.215', 1652648400, 1652648407, 'IN', 'India'),
(69473, '98.129.105.216', '98.129.106.191', 1652648408, 1652648639, 'US', 'United States'),
(69474, '98.129.106.192', '98.129.106.199', 1652648640, 1652648647, 'MY', 'Malaysia'),
(69475, '98.129.106.200', '98.129.107.175', 1652648648, 1652648879, 'US', 'United States'),
(69476, '98.129.107.176', '98.129.107.183', 1652648880, 1652648887, 'BD', 'Bangladesh'),
(69477, '98.129.107.184', '98.129.108.23', 1652648888, 1652648983, 'US', 'United States'),
(69478, '98.129.108.24', '98.129.108.31', 1652648984, 1652648991, 'NZ', 'New Zealand'),
(69479, '98.129.108.32', '98.129.109.247', 1652648992, 1652649463, 'US', 'United States'),
(69480, '98.129.109.248', '98.129.109.255', 1652649464, 1652649471, 'GB', 'United Kingdom'),
(69481, '98.129.110.0', '98.129.110.47', 1652649472, 1652649519, 'US', 'United States'),
(69482, '98.129.110.48', '98.129.110.55', 1652649520, 1652649527, 'SE', 'Sweden'),
(69483, '98.129.110.56', '98.129.110.71', 1652649528, 1652649543, 'US', 'United States'),
(69484, '98.129.110.72', '98.129.110.79', 1652649544, 1652649551, 'CA', 'Canada'),
(69485, '98.129.110.80', '98.129.113.63', 1652649552, 1652650303, 'US', 'United States'),
(69486, '98.129.113.64', '98.129.113.71', 1652650304, 1652650311, 'SE', 'Sweden'),
(69487, '98.129.113.72', '98.129.113.95', 1652650312, 1652650335, 'US', 'United States'),
(69488, '98.129.113.96', '98.129.113.103', 1652650336, 1652650343, 'CA', 'Canada'),
(69489, '98.129.113.104', '98.129.114.183', 1652650344, 1652650679, 'US', 'United States'),
(69490, '98.129.114.184', '98.129.114.191', 1652650680, 1652650687, 'CA', 'Canada'),
(69491, '98.129.114.192', '98.129.114.255', 1652650688, 1652650751, 'US', 'United States'),
(69492, '98.129.115.0', '98.129.115.7', 1652650752, 1652650759, 'AU', 'Australia'),
(69493, '98.129.115.8', '98.129.115.39', 1652650760, 1652650791, 'US', 'United States'),
(69494, '98.129.115.40', '98.129.115.47', 1652650792, 1652650799, 'GB', 'United Kingdom'),
(69495, '98.129.115.48', '98.129.116.55', 1652650800, 1652651063, 'US', 'United States'),
(69496, '98.129.116.56', '98.129.116.63', 1652651064, 1652651071, 'SG', 'Singapore'),
(69497, '98.129.116.64', '98.129.116.71', 1652651072, 1652651079, 'US', 'United States'),
(69498, '98.129.116.72', '98.129.116.79', 1652651080, 1652651087, 'GB', 'United Kingdom'),
(69499, '98.129.116.80', '98.129.116.103', 1652651088, 1652651111, 'US', 'United States'),
(69500, '98.129.116.104', '98.129.116.111', 1652651112, 1652651119, 'NZ', 'New Zealand'),
(69501, '98.129.116.112', '98.129.117.7', 1652651120, 1652651271, 'US', 'United States'),
(69502, '98.129.117.8', '98.129.117.15', 1652651272, 1652651279, 'IN', 'India'),
(69503, '98.129.117.16', '98.129.117.87', 1652651280, 1652651351, 'US', 'United States'),
(69504, '98.129.117.88', '98.129.117.95', 1652651352, 1652651359, 'CA', 'Canada'),
(69505, '98.129.117.96', '98.129.117.231', 1652651360, 1652651495, 'US', 'United States'),
(69506, '98.129.117.232', '98.129.117.239', 1652651496, 1652651503, 'AR', 'Argentina'),
(69507, '98.129.117.240', '98.129.120.119', 1652651504, 1652652151, 'US', 'United States'),
(69508, '98.129.120.120', '98.129.120.127', 1652652152, 1652652159, 'IN', 'India'),
(69509, '98.129.120.128', '98.129.121.39', 1652652160, 1652652327, 'US', 'United States'),
(69510, '98.129.121.40', '98.129.121.47', 1652652328, 1652652335, 'SG', 'Singapore'),
(69511, '98.129.121.48', '98.129.122.47', 1652652336, 1652652591, 'US', 'United States'),
(69512, '98.129.122.48', '98.129.122.55', 1652652592, 1652652599, 'BD', 'Bangladesh'),
(69513, '98.129.122.56', '98.129.122.111', 1652652600, 1652652655, 'US', 'United States'),
(69514, '98.129.122.112', '98.129.122.119', 1652652656, 1652652663, 'GB', 'United Kingdom'),
(69515, '98.129.122.120', '98.129.123.95', 1652652664, 1652652895, 'US', 'United States'),
(69516, '98.129.123.96', '98.129.123.127', 1652652896, 1652652927, 'CA', 'Canada'),
(69517, '98.129.123.128', '98.129.124.175', 1652652928, 1652653231, 'US', 'United States'),
(69518, '98.129.124.176', '98.129.124.183', 1652653232, 1652653239, 'CA', 'Canada'),
(69519, '98.129.124.184', '98.129.124.191', 1652653240, 1652653247, 'US', 'United States'),
(69520, '98.129.124.192', '98.129.124.223', 1652653248, 1652653279, 'BD', 'Bangladesh'),
(69521, '98.129.124.224', '98.129.125.31', 1652653280, 1652653343, 'US', 'United States'),
(69522, '98.129.125.32', '98.129.125.47', 1652653344, 1652653359, 'BD', 'Bangladesh'),
(69523, '98.129.125.48', '98.129.126.63', 1652653360, 1652653631, 'US', 'United States'),
(69524, '98.129.126.64', '98.129.126.71', 1652653632, 1652653639, 'CA', 'Canada'),
(69525, '98.129.126.72', '98.129.126.95', 1652653640, 1652653663, 'US', 'United States'),
(69526, '98.129.126.96', '98.129.126.103', 1652653664, 1652653671, 'IN', 'India'),
(69527, '98.129.126.104', '98.129.126.111', 1652653672, 1652653679, 'GB', 'United Kingdom'),
(69528, '98.129.126.112', '98.129.127.31', 1652653680, 1652653855, 'US', 'United States'),
(69529, '98.129.127.32', '98.129.127.39', 1652653856, 1652653863, 'AR', 'Argentina'),
(69530, '98.129.127.40', '98.129.127.199', 1652653864, 1652654023, 'US', 'United States'),
(69531, '98.129.127.200', '98.129.127.207', 1652654024, 1652654031, 'CA', 'Canada'),
(69532, '98.129.127.208', '98.129.129.191', 1652654032, 1652654527, 'US', 'United States'),
(69533, '98.129.129.192', '98.129.129.199', 1652654528, 1652654535, 'NZ', 'New Zealand'),
(69534, '98.129.129.200', '98.129.129.207', 1652654536, 1652654543, 'CA', 'Canada'),
(69535, '98.129.129.208', '98.129.130.127', 1652654544, 1652654719, 'US', 'United States'),
(69536, '98.129.130.128', '98.129.130.135', 1652654720, 1652654727, 'GB', 'United Kingdom'),
(69537, '98.129.130.136', '98.129.130.191', 1652654728, 1652654783, 'US', 'United States'),
(69538, '98.129.130.192', '98.129.130.223', 1652654784, 1652654815, 'BD', 'Bangladesh'),
(69539, '98.129.130.224', '98.129.131.79', 1652654816, 1652654927, 'US', 'United States'),
(69540, '98.129.131.80', '98.129.131.87', 1652654928, 1652654935, 'GB', 'United Kingdom'),
(69541, '98.129.131.88', '98.129.131.159', 1652654936, 1652655007, 'US', 'United States'),
(69542, '98.129.131.160', '98.129.131.167', 1652655008, 1652655015, 'GB', 'United Kingdom'),
(69543, '98.129.131.168', '98.129.131.215', 1652655016, 1652655063, 'US', 'United States'),
(69544, '98.129.131.216', '98.129.131.223', 1652655064, 1652655071, 'GU', 'Guam'),
(69545, '98.129.131.224', '98.129.132.127', 1652655072, 1652655231, 'US', 'United States'),
(69546, '98.129.132.128', '98.129.132.159', 1652655232, 1652655263, 'CA', 'Canada'),
(69547, '98.129.132.160', '98.129.132.199', 1652655264, 1652655303, 'US', 'United States'),
(69548, '98.129.132.200', '98.129.132.207', 1652655304, 1652655311, 'IN', 'India'),
(69549, '98.129.132.208', '98.129.133.71', 1652655312, 1652655431, 'US', 'United States'),
(69550, '98.129.133.72', '98.129.133.79', 1652655432, 1652655439, 'GU', 'Guam'),
(69551, '98.129.133.80', '98.129.133.151', 1652655440, 1652655511, 'US', 'United States'),
(69552, '98.129.133.152', '98.129.133.159', 1652655512, 1652655519, 'AU', 'Australia'),
(69553, '98.129.133.160', '98.129.134.111', 1652655520, 1652655727, 'US', 'United States'),
(69554, '98.129.134.112', '98.129.134.127', 1652655728, 1652655743, 'GB', 'United Kingdom'),
(69555, '98.129.134.128', '98.129.134.255', 1652655744, 1652655871, 'US', 'United States'),
(69556, '98.129.135.0', '98.129.135.7', 1652655872, 1652655879, 'CA', 'Canada'),
(69557, '98.129.135.8', '98.129.135.15', 1652655880, 1652655887, 'US', 'United States'),
(69558, '98.129.135.16', '98.129.135.23', 1652655888, 1652655895, 'IN', 'India'),
(69559, '98.129.135.24', '98.129.135.31', 1652655896, 1652655903, 'GB', 'United Kingdom'),
(69560, '98.129.135.32', '98.129.135.71', 1652655904, 1652655943, 'US', 'United States'),
(69561, '98.129.135.72', '98.129.135.79', 1652655944, 1652655951, 'JM', 'Jamaica'),
(69562, '98.129.135.80', '98.129.135.111', 1652655952, 1652655983, 'US', 'United States'),
(69563, '98.129.135.112', '98.129.135.127', 1652655984, 1652655999, 'GB', 'United Kingdom'),
(69564, '98.129.135.128', '98.129.135.191', 1652656000, 1652656063, 'US', 'United States'),
(69565, '98.129.135.192', '98.129.135.199', 1652656064, 1652656071, 'GB', 'United Kingdom'),
(69566, '98.129.135.200', '98.129.136.255', 1652656072, 1652656383, 'US', 'United States'),
(69567, '98.129.137.0', '98.129.137.7', 1652656384, 1652656391, 'CA', 'Canada'),
(69568, '98.129.137.8', '98.129.137.47', 1652656392, 1652656431, 'US', 'United States'),
(69569, '98.129.137.48', '98.129.137.55', 1652656432, 1652656439, 'ZA', 'South Africa'),
(69570, '98.129.137.56', '98.129.137.63', 1652656440, 1652656447, 'CA', 'Canada'),
(69571, '98.129.137.64', '98.129.138.31', 1652656448, 1652656671, 'US', 'United States'),
(69572, '98.129.138.32', '98.129.138.39', 1652656672, 1652656679, 'GB', 'United Kingdom'),
(69573, '98.129.138.40', '98.129.138.63', 1652656680, 1652656703, 'US', 'United States'),
(69574, '98.129.138.64', '98.129.138.71', 1652656704, 1652656711, 'CA', 'Canada'),
(69575, '98.129.138.72', '98.129.138.79', 1652656712, 1652656719, 'US', 'United States'),
(69576, '98.129.138.80', '98.129.138.87', 1652656720, 1652656727, 'NZ', 'New Zealand'),
(69577, '98.129.138.88', '98.129.138.119', 1652656728, 1652656759, 'US', 'United States'),
(69578, '98.129.138.120', '98.129.138.127', 1652656760, 1652656767, 'CN', 'China'),
(69579, '98.129.138.128', '98.129.138.159', 1652656768, 1652656799, 'US', 'United States'),
(69580, '98.129.138.160', '98.129.138.167', 1652656800, 1652656807, 'GB', 'United Kingdom'),
(69581, '98.129.138.168', '98.129.138.215', 1652656808, 1652656855, 'US', 'United States'),
(69582, '98.129.138.216', '98.129.138.223', 1652656856, 1652656863, 'PH', 'Philippines'),
(69583, '98.129.138.224', '98.129.139.31', 1652656864, 1652656927, 'US', 'United States'),
(69584, '98.129.139.32', '98.129.139.39', 1652656928, 1652656935, 'GB', 'United Kingdom'),
(69585, '98.129.139.40', '98.129.140.143', 1652656936, 1652657295, 'US', 'United States'),
(69586, '98.129.140.144', '98.129.140.159', 1652657296, 1652657311, 'AU', 'Australia'),
(69587, '98.129.140.160', '98.129.141.31', 1652657312, 1652657439, 'US', 'United States'),
(69588, '98.129.141.32', '98.129.141.39', 1652657440, 1652657447, 'MX', 'Mexico'),
(69589, '98.129.141.40', '98.129.141.159', 1652657448, 1652657567, 'US', 'United States'),
(69590, '98.129.141.160', '98.129.141.167', 1652657568, 1652657575, 'JM', 'Jamaica'),
(69591, '98.129.141.168', '98.129.142.199', 1652657576, 1652657863, 'US', 'United States'),
(69592, '98.129.142.200', '98.129.142.207', 1652657864, 1652657871, 'GB', 'United Kingdom'),
(69593, '98.129.142.208', '98.129.144.47', 1652657872, 1652658223, 'US', 'United States'),
(69594, '98.129.144.48', '98.129.144.55', 1652658224, 1652658231, 'GB', 'United Kingdom'),
(69595, '98.129.144.56', '98.129.144.191', 1652658232, 1652658367, 'US', 'United States'),
(69596, '98.129.144.192', '98.129.144.199', 1652658368, 1652658375, 'MX', 'Mexico'),
(69597, '98.129.144.200', '98.129.144.255', 1652658376, 1652658431, 'US', 'United States'),
(69598, '98.129.145.0', '98.129.145.7', 1652658432, 1652658439, 'GB', 'United Kingdom'),
(69599, '98.129.145.8', '98.129.145.103', 1652658440, 1652658535, 'US', 'United States'),
(69600, '98.129.145.104', '98.129.145.111', 1652658536, 1652658543, 'GB', 'United Kingdom'),
(69601, '98.129.145.112', '98.129.145.127', 1652658544, 1652658559, 'US', 'United States'),
(69602, '98.129.145.128', '98.129.145.135', 1652658560, 1652658567, 'CA', 'Canada'),
(69603, '98.129.145.136', '98.129.145.255', 1652658568, 1652658687, 'US', 'United States'),
(69604, '98.129.146.0', '98.129.146.7', 1652658688, 1652658695, 'NZ', 'New Zealand'),
(69605, '98.129.146.8', '98.129.146.39', 1652658696, 1652658727, 'US', 'United States'),
(69606, '98.129.146.40', '98.129.146.47', 1652658728, 1652658735, 'IN', 'India'),
(69607, '98.129.146.48', '98.129.147.207', 1652658736, 1652659151, 'US', 'United States'),
(69608, '98.129.147.208', '98.129.147.215', 1652659152, 1652659159, 'GB', 'United Kingdom'),
(69609, '98.129.147.216', '98.129.148.167', 1652659160, 1652659367, 'US', 'United States'),
(69610, '98.129.148.168', '98.129.148.175', 1652659368, 1652659375, 'CA', 'Canada'),
(69611, '98.129.148.176', '98.129.151.39', 1652659376, 1652660007, 'US', 'United States'),
(69612, '98.129.151.40', '98.129.151.47', 1652660008, 1652660015, 'CA', 'Canada'),
(69613, '98.129.151.48', '98.129.151.159', 1652660016, 1652660127, 'US', 'United States'),
(69614, '98.129.151.160', '98.129.151.167', 1652660128, 1652660135, 'CA', 'Canada'),
(69615, '98.129.151.168', '98.129.151.215', 1652660136, 1652660183, 'US', 'United States'),
(69616, '98.129.151.216', '98.129.151.223', 1652660184, 1652660191, 'MX', 'Mexico'),
(69617, '98.129.151.224', '98.129.152.63', 1652660192, 1652660287, 'US', 'United States'),
(69618, '98.129.152.64', '98.129.152.71', 1652660288, 1652660295, 'IN', 'India'),
(69619, '98.129.152.72', '98.129.152.79', 1652660296, 1652660303, 'MX', 'Mexico'),
(69620, '98.129.152.80', '98.129.153.71', 1652660304, 1652660551, 'US', 'United States'),
(69621, '98.129.153.72', '98.129.153.79', 1652660552, 1652660559, 'GB', 'United Kingdom'),
(69622, '98.129.153.80', '98.129.153.159', 1652660560, 1652660639, 'US', 'United States'),
(69623, '98.129.153.160', '98.129.153.183', 1652660640, 1652660663, 'AU', 'Australia'),
(69624, '98.129.153.184', '98.129.154.223', 1652660664, 1652660959, 'US', 'United States'),
(69625, '98.129.154.224', '98.129.154.231', 1652660960, 1652660967, 'BR', 'Brazil'),
(69626, '98.129.154.232', '98.129.155.95', 1652660968, 1652661087, 'US', 'United States'),
(69627, '98.129.155.96', '98.129.155.103', 1652661088, 1652661095, 'MY', 'Malaysia'),
(69628, '98.129.155.104', '98.129.155.143', 1652661096, 1652661135, 'US', 'United States'),
(69629, '98.129.155.144', '98.129.155.151', 1652661136, 1652661143, 'GB', 'United Kingdom'),
(69630, '98.129.155.152', '98.129.155.159', 1652661144, 1652661151, 'US', 'United States'),
(69631, '98.129.155.160', '98.129.155.167', 1652661152, 1652661159, 'IL', 'Israel'),
(69632, '98.129.155.168', '98.129.155.199', 1652661160, 1652661191, 'US', 'United States'),
(69633, '98.129.155.200', '98.129.155.207', 1652661192, 1652661199, 'CA', 'Canada'),
(69634, '98.129.155.208', '98.129.161.207', 1652661200, 1652662735, 'US', 'United States'),
(69635, '98.129.161.208', '98.129.161.223', 1652662736, 1652662751, 'GB', 'United Kingdom'),
(69636, '98.129.161.224', '98.129.162.135', 1652662752, 1652662919, 'US', 'United States'),
(69637, '98.129.162.136', '98.129.162.143', 1652662920, 1652662927, 'AU', 'Australia'),
(69638, '98.129.162.144', '98.129.162.255', 1652662928, 1652663039, 'US', 'United States'),
(69639, '98.129.163.0', '98.129.163.7', 1652663040, 1652663047, 'MX', 'Mexico'),
(69640, '98.129.163.8', '98.129.163.95', 1652663048, 1652663135, 'US', 'United States'),
(69641, '98.129.163.96', '98.129.163.103', 1652663136, 1652663143, 'CA', 'Canada'),
(69642, '98.129.163.104', '98.129.168.207', 1652663144, 1652664527, 'US', 'United States'),
(69643, '98.129.168.208', '98.129.168.223', 1652664528, 1652664543, 'CA', 'Canada'),
(69644, '98.129.168.224', '98.129.170.247', 1652664544, 1652665079, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(69645, '98.129.170.248', '98.129.170.255', 1652665080, 1652665087, 'CA', 'Canada'),
(69646, '98.129.171.0', '98.129.171.15', 1652665088, 1652665103, 'US', 'United States'),
(69647, '98.129.171.16', '98.129.171.23', 1652665104, 1652665111, 'CA', 'Canada'),
(69648, '98.129.171.24', '98.129.171.231', 1652665112, 1652665319, 'US', 'United States'),
(69649, '98.129.171.232', '98.129.171.239', 1652665320, 1652665327, 'BR', 'Brazil'),
(69650, '98.129.171.240', '98.129.171.247', 1652665328, 1652665335, 'PR', 'Puerto Rico'),
(69651, '98.129.171.248', '98.129.172.111', 1652665336, 1652665455, 'US', 'United States'),
(69652, '98.129.172.112', '98.129.172.119', 1652665456, 1652665463, 'CA', 'Canada'),
(69653, '98.129.172.120', '98.129.172.135', 1652665464, 1652665479, 'US', 'United States'),
(69654, '98.129.172.136', '98.129.172.143', 1652665480, 1652665487, 'GB', 'United Kingdom'),
(69655, '98.129.172.144', '98.129.173.71', 1652665488, 1652665671, 'US', 'United States'),
(69656, '98.129.173.72', '98.129.173.79', 1652665672, 1652665679, 'MX', 'Mexico'),
(69657, '98.129.173.80', '98.129.173.87', 1652665680, 1652665687, 'IE', 'Ireland'),
(69658, '98.129.173.88', '98.129.173.207', 1652665688, 1652665807, 'US', 'United States'),
(69659, '98.129.173.208', '98.129.173.215', 1652665808, 1652665815, 'GB', 'United Kingdom'),
(69660, '98.129.173.216', '98.129.174.7', 1652665816, 1652665863, 'US', 'United States'),
(69661, '98.129.174.8', '98.129.174.15', 1652665864, 1652665871, 'AU', 'Australia'),
(69662, '98.129.174.16', '98.129.174.95', 1652665872, 1652665951, 'US', 'United States'),
(69663, '98.129.174.96', '98.129.174.103', 1652665952, 1652665959, 'IT', 'Italy'),
(69664, '98.129.174.104', '98.129.174.127', 1652665960, 1652665983, 'US', 'United States'),
(69665, '98.129.174.128', '98.129.174.135', 1652665984, 1652665991, 'CA', 'Canada'),
(69666, '98.129.174.136', '98.129.175.63', 1652665992, 1652666175, 'US', 'United States'),
(69667, '98.129.175.64', '98.129.175.71', 1652666176, 1652666183, 'CA', 'Canada'),
(69668, '98.129.175.72', '98.129.175.95', 1652666184, 1652666207, 'US', 'United States'),
(69669, '98.129.175.96', '98.129.175.103', 1652666208, 1652666215, 'GB', 'United Kingdom'),
(69670, '98.129.175.104', '98.129.175.215', 1652666216, 1652666327, 'US', 'United States'),
(69671, '98.129.175.216', '98.129.175.223', 1652666328, 1652666335, 'MX', 'Mexico'),
(69672, '98.129.175.224', '98.129.176.127', 1652666336, 1652666495, 'US', 'United States'),
(69673, '98.129.176.128', '98.129.176.143', 1652666496, 1652666511, 'CA', 'Canada'),
(69674, '98.129.176.144', '98.129.176.159', 1652666512, 1652666527, 'US', 'United States'),
(69675, '98.129.176.160', '98.129.176.175', 1652666528, 1652666543, 'GB', 'United Kingdom'),
(69676, '98.129.176.176', '98.129.186.23', 1652666544, 1652668951, 'US', 'United States'),
(69677, '98.129.186.24', '98.129.186.31', 1652668952, 1652668959, 'IE', 'Ireland'),
(69678, '98.129.186.32', '98.129.186.39', 1652668960, 1652668967, 'US', 'United States'),
(69679, '98.129.186.40', '98.129.186.47', 1652668968, 1652668975, 'AU', 'Australia'),
(69680, '98.129.186.48', '98.129.187.7', 1652668976, 1652669191, 'US', 'United States'),
(69681, '98.129.187.8', '98.129.187.15', 1652669192, 1652669199, 'IN', 'India'),
(69682, '98.129.187.16', '98.129.187.47', 1652669200, 1652669231, 'US', 'United States'),
(69683, '98.129.187.48', '98.129.187.55', 1652669232, 1652669239, 'CA', 'Canada'),
(69684, '98.129.187.56', '98.129.188.127', 1652669240, 1652669567, 'US', 'United States'),
(69685, '98.129.188.128', '98.129.188.135', 1652669568, 1652669575, 'GB', 'United Kingdom'),
(69686, '98.129.188.136', '98.129.190.63', 1652669576, 1652670015, 'US', 'United States'),
(69687, '98.129.190.64', '98.129.190.71', 1652670016, 1652670023, 'CA', 'Canada'),
(69688, '98.129.190.72', '98.129.191.103', 1652670024, 1652670311, 'US', 'United States'),
(69689, '98.129.191.104', '98.129.191.111', 1652670312, 1652670319, 'BR', 'Brazil'),
(69690, '98.129.191.112', '98.129.191.119', 1652670320, 1652670327, 'US', 'United States'),
(69691, '98.129.191.120', '98.129.191.127', 1652670328, 1652670335, 'BR', 'Brazil'),
(69692, '98.129.191.128', '98.129.191.255', 1652670336, 1652670463, 'CA', 'Canada'),
(69693, '98.129.192.0', '98.129.193.151', 1652670464, 1652670871, 'US', 'United States'),
(69694, '98.129.193.152', '98.129.193.159', 1652670872, 1652670879, 'CA', 'Canada'),
(69695, '98.129.193.160', '98.129.194.191', 1652670880, 1652671167, 'US', 'United States'),
(69696, '98.129.194.192', '98.129.194.199', 1652671168, 1652671175, 'NL', 'Netherlands'),
(69697, '98.129.194.200', '98.129.194.231', 1652671176, 1652671207, 'US', 'United States'),
(69698, '98.129.194.232', '98.129.194.239', 1652671208, 1652671215, 'NL', 'Netherlands'),
(69699, '98.129.194.240', '98.129.195.39', 1652671216, 1652671271, 'US', 'United States'),
(69700, '98.129.195.40', '98.129.195.47', 1652671272, 1652671279, 'GB', 'United Kingdom'),
(69701, '98.129.195.48', '98.129.195.111', 1652671280, 1652671343, 'US', 'United States'),
(69702, '98.129.195.112', '98.129.195.119', 1652671344, 1652671351, 'GB', 'United Kingdom'),
(69703, '98.129.195.120', '98.129.195.127', 1652671352, 1652671359, 'MX', 'Mexico'),
(69704, '98.129.195.128', '98.129.195.143', 1652671360, 1652671375, 'US', 'United States'),
(69705, '98.129.195.144', '98.129.195.151', 1652671376, 1652671383, 'CA', 'Canada'),
(69706, '98.129.195.152', '98.129.195.175', 1652671384, 1652671407, 'US', 'United States'),
(69707, '98.129.195.176', '98.129.195.183', 1652671408, 1652671415, 'GB', 'United Kingdom'),
(69708, '98.129.195.184', '98.129.197.39', 1652671416, 1652671783, 'US', 'United States'),
(69709, '98.129.197.40', '98.129.197.47', 1652671784, 1652671791, 'NL', 'Netherlands'),
(69710, '98.129.197.48', '98.129.198.23', 1652671792, 1652672023, 'US', 'United States'),
(69711, '98.129.198.24', '98.129.198.31', 1652672024, 1652672031, 'MX', 'Mexico'),
(69712, '98.129.198.32', '98.129.198.63', 1652672032, 1652672063, 'US', 'United States'),
(69713, '98.129.198.64', '98.129.198.71', 1652672064, 1652672071, 'GB', 'United Kingdom'),
(69714, '98.129.198.72', '98.129.198.159', 1652672072, 1652672159, 'US', 'United States'),
(69715, '98.129.198.160', '98.129.198.167', 1652672160, 1652672167, 'JP', 'Japan'),
(69716, '98.129.198.168', '98.129.198.191', 1652672168, 1652672191, 'US', 'United States'),
(69717, '98.129.198.192', '98.129.198.199', 1652672192, 1652672199, 'PK', 'Pakistan'),
(69718, '98.129.198.200', '98.129.199.39', 1652672200, 1652672295, 'US', 'United States'),
(69719, '98.129.199.40', '98.129.199.47', 1652672296, 1652672303, 'MT', 'Malta'),
(69720, '98.129.199.48', '98.129.199.79', 1652672304, 1652672335, 'US', 'United States'),
(69721, '98.129.199.80', '98.129.199.87', 1652672336, 1652672343, 'MT', 'Malta'),
(69722, '98.129.199.88', '98.129.199.183', 1652672344, 1652672439, 'US', 'United States'),
(69723, '98.129.199.184', '98.129.199.191', 1652672440, 1652672447, 'CA', 'Canada'),
(69724, '98.129.199.192', '98.129.199.199', 1652672448, 1652672455, 'GB', 'United Kingdom'),
(69725, '98.129.199.200', '98.129.199.207', 1652672456, 1652672463, 'US', 'United States'),
(69726, '98.129.199.208', '98.129.199.215', 1652672464, 1652672471, 'IN', 'India'),
(69727, '98.129.199.216', '98.129.199.223', 1652672472, 1652672479, 'ZA', 'South Africa'),
(69728, '98.129.199.224', '98.129.199.231', 1652672480, 1652672487, 'IN', 'India'),
(69729, '98.129.199.232', '98.129.202.255', 1652672488, 1652673279, 'US', 'United States'),
(69730, '98.129.203.0', '98.129.203.255', 1652673280, 1652673535, 'CA', 'Canada'),
(69731, '98.129.204.0', '98.129.206.15', 1652673536, 1652674063, 'US', 'United States'),
(69732, '98.129.206.16', '98.129.206.23', 1652674064, 1652674071, 'CA', 'Canada'),
(69733, '98.129.206.24', '98.129.206.87', 1652674072, 1652674135, 'US', 'United States'),
(69734, '98.129.206.88', '98.129.206.95', 1652674136, 1652674143, 'MX', 'Mexico'),
(69735, '98.129.206.96', '98.129.207.23', 1652674144, 1652674327, 'US', 'United States'),
(69736, '98.129.207.24', '98.129.207.31', 1652674328, 1652674335, 'GB', 'United Kingdom'),
(69737, '98.129.207.32', '98.129.207.39', 1652674336, 1652674343, 'US', 'United States'),
(69738, '98.129.207.40', '98.129.207.47', 1652674344, 1652674351, 'NA', 'Namibia'),
(69739, '98.129.207.48', '98.129.207.63', 1652674352, 1652674367, 'US', 'United States'),
(69740, '98.129.207.64', '98.129.207.71', 1652674368, 1652674375, 'GB', 'United Kingdom'),
(69741, '98.129.207.72', '98.129.209.63', 1652674376, 1652674879, 'US', 'United States'),
(69742, '98.129.209.64', '98.129.209.71', 1652674880, 1652674887, 'CA', 'Canada'),
(69743, '98.129.209.72', '98.129.209.103', 1652674888, 1652674919, 'US', 'United States'),
(69744, '98.129.209.104', '98.129.209.111', 1652674920, 1652674927, 'CH', 'Switzerland'),
(69745, '98.129.209.112', '98.129.209.127', 1652674928, 1652674943, 'US', 'United States'),
(69746, '98.129.209.128', '98.129.209.135', 1652674944, 1652674951, 'CA', 'Canada'),
(69747, '98.129.209.136', '98.129.209.231', 1652674952, 1652675047, 'US', 'United States'),
(69748, '98.129.209.232', '98.129.209.239', 1652675048, 1652675055, 'MX', 'Mexico'),
(69749, '98.129.209.240', '98.129.210.31', 1652675056, 1652675103, 'US', 'United States'),
(69750, '98.129.210.32', '98.129.210.39', 1652675104, 1652675111, 'GB', 'United Kingdom'),
(69751, '98.129.210.40', '98.129.211.63', 1652675112, 1652675391, 'US', 'United States'),
(69752, '98.129.211.64', '98.129.211.71', 1652675392, 1652675399, 'IN', 'India'),
(69753, '98.129.211.72', '98.129.211.159', 1652675400, 1652675487, 'US', 'United States'),
(69754, '98.129.211.160', '98.129.211.167', 1652675488, 1652675495, 'NZ', 'New Zealand'),
(69755, '98.129.211.168', '98.129.213.111', 1652675496, 1652675951, 'US', 'United States'),
(69756, '98.129.213.112', '98.129.213.119', 1652675952, 1652675959, 'KE', 'Kenya'),
(69757, '98.129.213.120', '98.129.213.191', 1652675960, 1652676031, 'US', 'United States'),
(69758, '98.129.213.192', '98.129.213.207', 1652676032, 1652676047, 'IN', 'India'),
(69759, '98.129.213.208', '98.129.214.95', 1652676048, 1652676191, 'US', 'United States'),
(69760, '98.129.214.96', '98.129.214.103', 1652676192, 1652676199, 'IN', 'India'),
(69761, '98.129.214.104', '98.129.216.7', 1652676200, 1652676615, 'US', 'United States'),
(69762, '98.129.216.8', '98.129.216.15', 1652676616, 1652676623, 'AU', 'Australia'),
(69763, '98.129.216.16', '98.129.216.71', 1652676624, 1652676679, 'US', 'United States'),
(69764, '98.129.216.72', '98.129.216.79', 1652676680, 1652676687, 'CA', 'Canada'),
(69765, '98.129.216.80', '98.129.217.143', 1652676688, 1652677007, 'US', 'United States'),
(69766, '98.129.217.144', '98.129.217.151', 1652677008, 1652677015, 'IN', 'India'),
(69767, '98.129.217.152', '98.129.217.175', 1652677016, 1652677039, 'US', 'United States'),
(69768, '98.129.217.176', '98.129.217.183', 1652677040, 1652677047, 'MT', 'Malta'),
(69769, '98.129.217.184', '98.129.218.215', 1652677048, 1652677335, 'US', 'United States'),
(69770, '98.129.218.216', '98.129.218.223', 1652677336, 1652677343, 'KE', 'Kenya'),
(69771, '98.129.218.224', '98.129.218.247', 1652677344, 1652677367, 'US', 'United States'),
(69772, '98.129.218.248', '98.129.218.255', 1652677368, 1652677375, 'GB', 'United Kingdom'),
(69773, '98.129.219.0', '98.129.219.31', 1652677376, 1652677407, 'US', 'United States'),
(69774, '98.129.219.32', '98.129.219.39', 1652677408, 1652677415, 'IN', 'India'),
(69775, '98.129.219.40', '98.129.219.199', 1652677416, 1652677575, 'US', 'United States'),
(69776, '98.129.219.200', '98.129.219.207', 1652677576, 1652677583, 'CH', 'Switzerland'),
(69777, '98.129.219.208', '98.129.225.87', 1652677584, 1652678999, 'US', 'United States'),
(69778, '98.129.225.88', '98.129.225.95', 1652679000, 1652679007, 'SG', 'Singapore'),
(69779, '98.129.225.96', '98.129.225.119', 1652679008, 1652679031, 'US', 'United States'),
(69780, '98.129.225.120', '98.129.225.127', 1652679032, 1652679039, 'BR', 'Brazil'),
(69781, '98.129.225.128', '98.129.225.191', 1652679040, 1652679103, 'US', 'United States'),
(69782, '98.129.225.192', '98.129.225.199', 1652679104, 1652679111, 'MX', 'Mexico'),
(69783, '98.129.225.200', '98.129.225.207', 1652679112, 1652679119, 'NO', 'Norway'),
(69784, '98.129.225.208', '98.129.232.39', 1652679120, 1652680743, 'US', 'United States'),
(69785, '98.129.232.40', '98.129.232.47', 1652680744, 1652680751, 'CA', 'Canada'),
(69786, '98.129.232.48', '98.129.233.87', 1652680752, 1652681047, 'US', 'United States'),
(69787, '98.129.233.88', '98.129.233.95', 1652681048, 1652681055, 'GB', 'United Kingdom'),
(69788, '98.129.233.96', '98.129.234.239', 1652681056, 1652681455, 'US', 'United States'),
(69789, '98.129.234.240', '98.129.234.247', 1652681456, 1652681463, 'CA', 'Canada'),
(69790, '98.129.234.248', '98.129.234.255', 1652681464, 1652681471, 'US', 'United States'),
(69791, '98.129.235.0', '98.129.235.7', 1652681472, 1652681479, 'GB', 'United Kingdom'),
(69792, '98.129.235.8', '98.129.235.39', 1652681480, 1652681511, 'US', 'United States'),
(69793, '98.129.235.40', '98.129.235.47', 1652681512, 1652681519, 'IL', 'Israel'),
(69794, '98.129.235.48', '98.142.107.255', 1652681520, 1653500927, 'US', 'United States'),
(69795, '98.142.108.0', '98.142.108.255', 1653500928, 1653501183, 'FR', 'France'),
(69796, '98.142.109.0', '98.142.109.255', 1653501184, 1653501439, 'IL', 'Israel'),
(69797, '98.142.110.0', '98.142.110.255', 1653501440, 1653501695, 'HK', 'Hong Kong'),
(69798, '98.142.111.0', '98.142.239.255', 1653501696, 1653534719, 'US', 'United States'),
(69799, '98.142.240.0', '98.142.255.255', 1653534720, 1653538815, 'CA', 'Canada'),
(69800, '98.143.0.0', '98.143.63.255', 1653538816, 1653555199, 'US', 'United States'),
(69801, '98.143.64.0', '98.143.83.255', 1653555200, 1653560319, 'CA', 'Canada'),
(69802, '98.143.84.0', '98.143.84.7', 1653560320, 1653560327, 'US', 'United States'),
(69803, '98.143.84.8', '98.143.111.255', 1653560328, 1653567487, 'CA', 'Canada'),
(69804, '98.143.112.0', '98.143.127.255', 1653567488, 1653571583, 'US', 'United States'),
(69805, '98.143.128.0', '98.143.143.255', 1653571584, 1653575679, 'CA', 'Canada'),
(69806, '98.143.144.0', '98.143.144.117', 1653575680, 1653575797, 'US', 'United States'),
(69807, '98.143.144.118', '98.143.144.118', 1653575798, 1653575798, 'A1', 'Anonymous Proxy'),
(69808, '98.143.144.119', '98.143.207.255', 1653575799, 1653592063, 'US', 'United States'),
(69809, '98.143.208.0', '98.143.223.255', 1653592064, 1653596159, 'CA', 'Canada'),
(69810, '98.143.224.0', '98.143.239.255', 1653596160, 1653600255, 'US', 'United States'),
(69811, '98.143.240.0', '98.143.255.255', 1653600256, 1653604351, 'CA', 'Canada'),
(69812, '98.144.0.0', '98.158.79.255', 1653604352, 1654542335, 'US', 'United States'),
(69813, '98.158.80.0', '98.158.95.255', 1654542336, 1654546431, 'CA', 'Canada'),
(69814, '98.158.96.0', '98.158.111.255', 1654546432, 1654550527, 'VG', 'Virgin Islands, British'),
(69815, '98.158.112.0', '98.158.127.255', 1654550528, 1654554623, 'US', 'United States'),
(69816, '98.158.128.0', '98.158.143.255', 1654554624, 1654558719, 'CA', 'Canada'),
(69817, '98.158.144.0', '98.158.239.63', 1654558720, 1654583103, 'US', 'United States'),
(69818, '98.158.239.64', '98.158.239.95', 1654583104, 1654583135, 'CA', 'Canada'),
(69819, '98.158.239.96', '98.159.239.255', 1654583136, 1654648831, 'US', 'United States'),
(69820, '98.159.240.0', '98.159.255.255', 1654648832, 1654652927, 'CA', 'Canada'),
(69821, '98.160.0.0', '99.38.37.151', 1654652928, 1663444375, 'US', 'United States'),
(69822, '99.38.37.152', '99.38.37.159', 1663444376, 1663444383, 'CA', 'Canada'),
(69823, '99.38.37.160', '99.74.152.215', 1663444384, 1665833175, 'US', 'United States'),
(69824, '99.74.152.216', '99.74.152.223', 1665833176, 1665833183, 'A2', 'Satellite Provider'),
(69825, '99.74.152.224', '99.191.255.255', 1665833184, 1673527295, 'US', 'United States'),
(69826, '99.192.0.0', '99.192.127.255', 1673527296, 1673560063, 'CA', 'Canada'),
(69827, '99.192.128.0', '99.192.136.95', 1673560064, 1673562207, 'US', 'United States'),
(69828, '99.192.136.96', '99.192.136.127', 1673562208, 1673562239, 'CR', 'Costa Rica'),
(69829, '99.192.136.128', '99.192.136.143', 1673562240, 1673562255, 'CA', 'Canada'),
(69830, '99.192.136.144', '99.192.136.191', 1673562256, 1673562303, 'US', 'United States'),
(69831, '99.192.136.192', '99.192.136.207', 1673562304, 1673562319, 'CA', 'Canada'),
(69832, '99.192.136.208', '99.192.136.223', 1673562320, 1673562335, 'PL', 'Poland'),
(69833, '99.192.136.224', '99.192.137.31', 1673562336, 1673562399, 'US', 'United States'),
(69834, '99.192.137.32', '99.192.137.47', 1673562400, 1673562415, 'GB', 'United Kingdom'),
(69835, '99.192.137.48', '99.192.137.127', 1673562416, 1673562495, 'US', 'United States'),
(69836, '99.192.137.128', '99.192.137.143', 1673562496, 1673562511, 'CA', 'Canada'),
(69837, '99.192.137.144', '99.192.138.15', 1673562512, 1673562639, 'US', 'United States'),
(69838, '99.192.138.16', '99.192.138.47', 1673562640, 1673562671, 'GB', 'United Kingdom'),
(69839, '99.192.138.48', '99.192.138.95', 1673562672, 1673562719, 'US', 'United States'),
(69840, '99.192.138.96', '99.192.138.127', 1673562720, 1673562751, 'NL', 'Netherlands'),
(69841, '99.192.138.128', '99.192.138.143', 1673562752, 1673562767, 'CA', 'Canada'),
(69842, '99.192.138.144', '99.192.139.15', 1673562768, 1673562895, 'US', 'United States'),
(69843, '99.192.139.16', '99.192.139.31', 1673562896, 1673562911, 'CA', 'Canada'),
(69844, '99.192.139.32', '99.192.139.95', 1673562912, 1673562975, 'US', 'United States'),
(69845, '99.192.139.96', '99.192.139.127', 1673562976, 1673563007, 'NL', 'Netherlands'),
(69846, '99.192.139.128', '99.192.140.15', 1673563008, 1673563151, 'US', 'United States'),
(69847, '99.192.140.16', '99.192.140.31', 1673563152, 1673563167, 'CA', 'Canada'),
(69848, '99.192.140.32', '99.192.141.15', 1673563168, 1673563407, 'US', 'United States'),
(69849, '99.192.141.16', '99.192.141.31', 1673563408, 1673563423, 'CA', 'Canada'),
(69850, '99.192.141.32', '99.192.141.95', 1673563424, 1673563487, 'US', 'United States'),
(69851, '99.192.141.96', '99.192.141.127', 1673563488, 1673563519, 'CA', 'Canada'),
(69852, '99.192.141.128', '99.192.142.15', 1673563520, 1673563663, 'US', 'United States'),
(69853, '99.192.142.16', '99.192.142.31', 1673563664, 1673563679, 'CA', 'Canada'),
(69854, '99.192.142.32', '99.192.142.47', 1673563680, 1673563695, 'US', 'United States'),
(69855, '99.192.142.48', '99.192.142.63', 1673563696, 1673563711, 'CA', 'Canada'),
(69856, '99.192.142.64', '99.192.142.127', 1673563712, 1673563775, 'US', 'United States'),
(69857, '99.192.142.128', '99.192.142.255', 1673563776, 1673563903, 'GB', 'United Kingdom'),
(69858, '99.192.143.0', '99.192.154.127', 1673563904, 1673566847, 'US', 'United States'),
(69859, '99.192.154.128', '99.192.154.191', 1673566848, 1673566911, 'CA', 'Canada'),
(69860, '99.192.154.192', '99.192.154.255', 1673566912, 1673566975, 'US', 'United States'),
(69861, '99.192.155.0', '99.192.155.31', 1673566976, 1673567007, 'CA', 'Canada'),
(69862, '99.192.155.32', '99.192.155.127', 1673567008, 1673567103, 'US', 'United States'),
(69863, '99.192.155.128', '99.192.155.191', 1673567104, 1673567167, 'GB', 'United Kingdom'),
(69864, '99.192.155.192', '99.192.156.31', 1673567168, 1673567263, 'US', 'United States'),
(69865, '99.192.156.32', '99.192.156.47', 1673567264, 1673567279, 'AT', 'Austria'),
(69866, '99.192.156.48', '99.192.156.95', 1673567280, 1673567327, 'US', 'United States'),
(69867, '99.192.156.96', '99.192.156.111', 1673567328, 1673567343, 'RU', 'Russian Federation'),
(69868, '99.192.156.112', '99.192.156.127', 1673567344, 1673567359, 'US', 'United States'),
(69869, '99.192.156.128', '99.192.156.191', 1673567360, 1673567423, 'MT', 'Malta'),
(69870, '99.192.156.192', '99.192.157.95', 1673567424, 1673567583, 'US', 'United States'),
(69871, '99.192.157.96', '99.192.157.127', 1673567584, 1673567615, 'CA', 'Canada'),
(69872, '99.192.157.128', '99.192.157.255', 1673567616, 1673567743, 'CZ', 'Czech Republic'),
(69873, '99.192.158.0', '99.192.158.47', 1673567744, 1673567791, 'US', 'United States'),
(69874, '99.192.158.48', '99.192.158.63', 1673567792, 1673567807, 'CA', 'Canada'),
(69875, '99.192.158.64', '99.192.158.79', 1673567808, 1673567823, 'AU', 'Australia'),
(69876, '99.192.158.80', '99.192.158.111', 1673567824, 1673567855, 'US', 'United States'),
(69877, '99.192.158.112', '99.192.158.127', 1673567856, 1673567871, 'CA', 'Canada'),
(69878, '99.192.158.128', '99.192.159.255', 1673567872, 1673568255, 'US', 'United States'),
(69879, '99.192.160.0', '99.192.160.15', 1673568256, 1673568271, 'CA', 'Canada'),
(69880, '99.192.160.16', '99.192.160.47', 1673568272, 1673568303, 'US', 'United States'),
(69881, '99.192.160.48', '99.192.160.63', 1673568304, 1673568319, 'GB', 'United Kingdom'),
(69882, '99.192.160.64', '99.192.160.127', 1673568320, 1673568383, 'US', 'United States'),
(69883, '99.192.160.128', '99.192.160.191', 1673568384, 1673568447, 'CA', 'Canada'),
(69884, '99.192.160.192', '99.192.162.255', 1673568448, 1673569023, 'US', 'United States'),
(69885, '99.192.163.0', '99.192.163.15', 1673569024, 1673569039, 'CA', 'Canada'),
(69886, '99.192.163.16', '99.192.163.31', 1673569040, 1673569055, 'HR', 'Croatia'),
(69887, '99.192.163.32', '99.192.163.79', 1673569056, 1673569103, 'US', 'United States'),
(69888, '99.192.163.80', '99.192.163.95', 1673569104, 1673569119, 'CA', 'Canada'),
(69889, '99.192.163.96', '99.192.163.159', 1673569120, 1673569183, 'US', 'United States'),
(69890, '99.192.163.160', '99.192.163.191', 1673569184, 1673569215, 'NL', 'Netherlands'),
(69891, '99.192.163.192', '99.192.166.95', 1673569216, 1673569887, 'US', 'United States'),
(69892, '99.192.166.96', '99.192.166.111', 1673569888, 1673569903, 'PL', 'Poland'),
(69893, '99.192.166.112', '99.192.166.175', 1673569904, 1673569967, 'US', 'United States'),
(69894, '99.192.166.176', '99.192.166.191', 1673569968, 1673569983, 'GB', 'United Kingdom'),
(69895, '99.192.166.192', '99.192.168.255', 1673569984, 1673570559, 'US', 'United States'),
(69896, '99.192.169.0', '99.192.169.255', 1673570560, 1673570815, 'LT', 'Lithuania'),
(69897, '99.192.170.0', '99.192.173.95', 1673570816, 1673571679, 'US', 'United States'),
(69898, '99.192.173.96', '99.192.173.127', 1673571680, 1673571711, 'CA', 'Canada'),
(69899, '99.192.173.128', '99.192.174.255', 1673571712, 1673572095, 'US', 'United States'),
(69900, '99.192.175.0', '99.192.175.255', 1673572096, 1673572351, 'LT', 'Lithuania'),
(69901, '99.192.176.0', '99.192.178.31', 1673572352, 1673572895, 'US', 'United States'),
(69902, '99.192.178.32', '99.192.178.47', 1673572896, 1673572911, 'CA', 'Canada'),
(69903, '99.192.178.48', '99.192.179.63', 1673572912, 1673573183, 'US', 'United States'),
(69904, '99.192.179.64', '99.192.179.127', 1673573184, 1673573247, 'CA', 'Canada'),
(69905, '99.192.179.128', '99.192.180.127', 1673573248, 1673573503, 'US', 'United States'),
(69906, '99.192.180.128', '99.192.180.191', 1673573504, 1673573567, 'NL', 'Netherlands'),
(69907, '99.192.180.192', '99.192.181.111', 1673573568, 1673573743, 'US', 'United States'),
(69908, '99.192.181.112', '99.192.181.191', 1673573744, 1673573823, 'CA', 'Canada'),
(69909, '99.192.181.192', '99.192.193.191', 1673573824, 1673576895, 'US', 'United States'),
(69910, '99.192.193.192', '99.192.193.255', 1673576896, 1673576959, 'A1', 'Anonymous Proxy'),
(69911, '99.192.194.0', '99.192.195.15', 1673576960, 1673577231, 'US', 'United States'),
(69912, '99.192.195.16', '99.192.195.31', 1673577232, 1673577247, 'CA', 'Canada'),
(69913, '99.192.195.32', '99.192.196.255', 1673577248, 1673577727, 'US', 'United States'),
(69914, '99.192.197.0', '99.192.197.255', 1673577728, 1673577983, 'LT', 'Lithuania'),
(69915, '99.192.198.0', '99.192.198.255', 1673577984, 1673578239, 'A1', 'Anonymous Proxy'),
(69916, '99.192.199.0', '99.192.199.47', 1673578240, 1673578287, 'US', 'United States'),
(69917, '99.192.199.48', '99.192.199.63', 1673578288, 1673578303, 'CA', 'Canada'),
(69918, '99.192.199.64', '99.192.200.255', 1673578304, 1673578751, 'US', 'United States'),
(69919, '99.192.201.0', '99.192.201.15', 1673578752, 1673578767, 'CA', 'Canada'),
(69920, '99.192.201.16', '99.192.203.127', 1673578768, 1673579391, 'US', 'United States'),
(69921, '99.192.203.128', '99.192.203.191', 1673579392, 1673579455, 'LT', 'Lithuania'),
(69922, '99.192.203.192', '99.192.206.63', 1673579456, 1673580095, 'US', 'United States'),
(69923, '99.192.206.64', '99.192.206.95', 1673580096, 1673580127, 'CA', 'Canada'),
(69924, '99.192.206.96', '99.192.206.255', 1673580128, 1673580287, 'US', 'United States'),
(69925, '99.192.207.0', '99.192.207.255', 1673580288, 1673580543, 'CA', 'Canada'),
(69926, '99.192.208.0', '99.192.209.127', 1673580544, 1673580927, 'US', 'United States'),
(69927, '99.192.209.128', '99.192.209.191', 1673580928, 1673580991, 'LT', 'Lithuania'),
(69928, '99.192.209.192', '99.192.210.127', 1673580992, 1673581183, 'US', 'United States'),
(69929, '99.192.210.128', '99.192.210.191', 1673581184, 1673581247, 'LT', 'Lithuania'),
(69930, '99.192.210.192', '99.192.211.127', 1673581248, 1673581439, 'US', 'United States'),
(69931, '99.192.211.128', '99.192.211.191', 1673581440, 1673581503, 'LT', 'Lithuania'),
(69932, '99.192.211.192', '99.192.212.31', 1673581504, 1673581599, 'US', 'United States'),
(69933, '99.192.212.32', '99.192.212.47', 1673581600, 1673581615, 'CA', 'Canada'),
(69934, '99.192.212.48', '99.192.212.127', 1673581616, 1673581695, 'US', 'United States'),
(69935, '99.192.212.128', '99.192.212.191', 1673581696, 1673581759, 'LT', 'Lithuania'),
(69936, '99.192.212.192', '99.192.213.127', 1673581760, 1673581951, 'US', 'United States'),
(69937, '99.192.213.128', '99.192.213.191', 1673581952, 1673582015, 'LT', 'Lithuania'),
(69938, '99.192.213.192', '99.192.214.127', 1673582016, 1673582207, 'US', 'United States'),
(69939, '99.192.214.128', '99.192.214.191', 1673582208, 1673582271, 'LT', 'Lithuania'),
(69940, '99.192.214.192', '99.192.218.127', 1673582272, 1673583231, 'US', 'United States'),
(69941, '99.192.218.128', '99.192.218.191', 1673583232, 1673583295, 'CA', 'Canada'),
(69942, '99.192.218.192', '99.192.219.95', 1673583296, 1673583455, 'US', 'United States'),
(69943, '99.192.219.96', '99.192.219.127', 1673583456, 1673583487, 'HR', 'Croatia'),
(69944, '99.192.219.128', '99.192.222.63', 1673583488, 1673584191, 'US', 'United States'),
(69945, '99.192.222.64', '99.192.222.95', 1673584192, 1673584223, 'HR', 'Croatia'),
(69946, '99.192.222.96', '99.192.222.255', 1673584224, 1673584383, 'US', 'United States'),
(69947, '99.192.223.0', '99.192.223.15', 1673584384, 1673584399, 'HR', 'Croatia'),
(69948, '99.192.223.16', '99.192.224.127', 1673584400, 1673584767, 'US', 'United States'),
(69949, '99.192.224.128', '99.192.224.255', 1673584768, 1673584895, 'CA', 'Canada'),
(69950, '99.192.225.0', '99.192.226.191', 1673584896, 1673585343, 'US', 'United States'),
(69951, '99.192.226.192', '99.192.226.255', 1673585344, 1673585407, 'SC', 'Seychelles'),
(69952, '99.192.227.0', '99.192.229.255', 1673585408, 1673586175, 'US', 'United States'),
(69953, '99.192.230.0', '99.192.230.15', 1673586176, 1673586191, 'NL', 'Netherlands'),
(69954, '99.192.230.16', '99.192.230.255', 1673586192, 1673586431, 'US', 'United States'),
(69955, '99.192.231.0', '99.192.231.15', 1673586432, 1673586447, 'NL', 'Netherlands'),
(69956, '99.192.231.16', '99.192.240.63', 1673586448, 1673588799, 'US', 'United States'),
(69957, '99.192.240.64', '99.192.240.127', 1673588800, 1673588863, 'CA', 'Canada'),
(69958, '99.192.240.128', '99.192.240.255', 1673588864, 1673588991, 'US', 'United States'),
(69959, '99.192.241.0', '99.192.241.15', 1673588992, 1673589007, 'HR', 'Croatia'),
(69960, '99.192.241.16', '99.192.247.255', 1673589008, 1673590783, 'US', 'United States'),
(69961, '99.192.248.0', '99.192.248.127', 1673590784, 1673590911, 'EC', 'Ecuador'),
(69962, '99.192.248.128', '99.198.255.255', 1673590912, 1673986047, 'US', 'United States'),
(69963, '99.199.0.0', '99.199.255.255', 1673986048, 1674051583, 'CA', 'Canada'),
(69964, '99.200.0.0', '99.207.255.255', 1674051584, 1674575871, 'US', 'United States'),
(69965, '99.208.0.0', '99.255.255.255', 1674575872, 1677721599, 'CA', 'Canada'),
(69966, '100.0.0.0', '100.42.239.255', 1677721600, 1680535551, 'US', 'United States'),
(69967, '100.42.240.0', '100.42.255.255', 1680535552, 1680539647, 'CA', 'Canada'),
(69968, '100.43.0.0', '100.43.95.255', 1680539648, 1680564223, 'US', 'United States'),
(69969, '100.43.96.0', '100.43.127.255', 1680564224, 1680572415, 'CA', 'Canada'),
(69970, '100.43.128.0', '100.44.85.255', 1680572416, 1680627199, 'US', 'United States'),
(69971, '100.44.86.0', '100.44.86.63', 1680627200, 1680627263, 'CA', 'Canada'),
(69972, '100.44.86.64', '100.63.255.255', 1680627264, 1681915903, 'US', 'United States'),
(69973, '100.128.0.0', '100.255.255.255', 1686110208, 1694498815, 'US', 'United States'),
(69974, '101.0.0.0', '101.0.3.255', 1694498816, 1694499839, 'CN', 'China'),
(69975, '101.0.4.0', '101.0.7.255', 1694499840, 1694500863, 'ID', 'Indonesia'),
(69976, '101.0.8.0', '101.0.31.255', 1694500864, 1694507007, 'JP', 'Japan'),
(69977, '101.0.32.0', '101.0.63.255', 1694507008, 1694515199, 'IN', 'India'),
(69978, '101.0.64.0', '101.0.127.255', 1694515200, 1694531583, 'AU', 'Australia'),
(69979, '101.0.128.0', '101.0.255.255', 1694531584, 1694564351, 'TW', 'Taiwan'),
(69980, '101.1.0.0', '101.1.3.255', 1694564352, 1694565375, 'CN', 'China'),
(69981, '101.1.4.0', '101.1.7.255', 1694565376, 1694566399, 'HK', 'Hong Kong'),
(69982, '101.1.8.0', '101.1.15.255', 1694566400, 1694568447, 'KR', 'Korea, Republic of'),
(69983, '101.1.16.0', '101.1.31.255', 1694568448, 1694572543, 'HK', 'Hong Kong'),
(69984, '101.1.32.0', '101.1.63.255', 1694572544, 1694580735, 'KR', 'Korea, Republic of'),
(69985, '101.1.64.0', '101.1.255.255', 1694580736, 1694629887, 'JP', 'Japan'),
(69986, '101.2.0.0', '101.2.127.255', 1694629888, 1694662655, 'IN', 'India'),
(69987, '101.2.128.0', '101.2.159.255', 1694662656, 1694670847, 'JP', 'Japan'),
(69988, '101.2.160.0', '101.2.167.255', 1694670848, 1694672895, 'BD', 'Bangladesh'),
(69989, '101.2.168.0', '101.2.171.255', 1694672896, 1694673919, 'AU', 'Australia'),
(69990, '101.2.172.0', '101.2.175.255', 1694673920, 1694674943, 'CN', 'China'),
(69991, '101.2.176.0', '101.2.191.255', 1694674944, 1694679039, 'LK', 'Sri Lanka'),
(69992, '101.2.192.0', '101.2.255.255', 1694679040, 1694695423, 'AU', 'Australia'),
(69993, '101.3.0.0', '101.3.255.255', 1694695424, 1694760959, 'TW', 'Taiwan'),
(69994, '101.4.0.0', '101.7.255.255', 1694760960, 1695023103, 'CN', 'China'),
(69995, '101.8.0.0', '101.15.255.255', 1695023104, 1695547391, 'TW', 'Taiwan'),
(69996, '101.16.0.0', '101.49.255.255', 1695547392, 1697775615, 'CN', 'China'),
(69997, '101.50.0.0', '101.50.3.255', 1697775616, 1697776639, 'ID', 'Indonesia'),
(69998, '101.50.4.0', '101.50.15.255', 1697776640, 1697779711, 'JP', 'Japan'),
(69999, '101.50.16.0', '101.50.31.255', 1697779712, 1697783807, 'ID', 'Indonesia'),
(70000, '101.50.32.0', '101.50.55.255', 1697783808, 1697789951, 'JP', 'Japan'),
(70001, '101.50.56.0', '101.50.59.255', 1697789952, 1697790975, 'CN', 'China'),
(70002, '101.50.60.0', '101.50.63.255', 1697790976, 1697791999, 'JP', 'Japan'),
(70003, '101.50.64.0', '101.50.127.255', 1697792000, 1697808383, 'PK', 'Pakistan'),
(70004, '101.50.128.0', '101.50.255.255', 1697808384, 1697841151, 'JP', 'Japan'),
(70005, '101.51.0.0', '101.51.255.255', 1697841152, 1697906687, 'TH', 'Thailand'),
(70006, '101.52.0.0', '101.52.255.255', 1697906688, 1697972223, 'CN', 'China'),
(70007, '101.53.0.0', '101.53.63.255', 1697972224, 1697988607, 'VN', 'Vietnam'),
(70008, '101.53.64.0', '101.53.95.255', 1697988608, 1697996799, 'KR', 'Korea, Republic of'),
(70009, '101.53.96.0', '101.53.99.255', 1697996800, 1697997823, 'JP', 'Japan'),
(70010, '101.53.100.0', '101.53.103.255', 1697997824, 1697998847, 'CN', 'China'),
(70011, '101.53.104.0', '101.53.127.255', 1697998848, 1698004991, 'JP', 'Japan'),
(70012, '101.53.128.0', '101.53.255.255', 1698004992, 1698037759, 'AU', 'Australia'),
(70013, '101.54.0.0', '101.54.255.255', 1698037760, 1698103295, 'CN', 'China'),
(70014, '101.55.0.0', '101.55.127.255', 1698103296, 1698136063, 'KR', 'Korea, Republic of'),
(70015, '101.55.128.0', '101.55.223.255', 1698136064, 1698160639, 'JP', 'Japan'),
(70016, '101.55.224.0', '101.55.231.255', 1698160640, 1698162687, 'CN', 'China'),
(70017, '101.55.232.0', '101.55.255.255', 1698162688, 1698168831, 'JP', 'Japan'),
(70018, '101.56.0.0', '101.63.255.255', 1698168832, 1698693119, 'IN', 'India'),
(70019, '101.64.0.0', '101.78.3.255', 1698693120, 1699611647, 'CN', 'China'),
(70020, '101.78.4.0', '101.78.7.255', 1699611648, 1699612671, 'JP', 'Japan'),
(70021, '101.78.8.0', '101.78.15.255', 1699612672, 1699614719, 'LA', 'Lao People''s Democratic Republic'),
(70022, '101.78.16.0', '101.78.31.255', 1699614720, 1699618815, 'PH', 'Philippines'),
(70023, '101.78.32.0', '101.78.63.255', 1699618816, 1699627007, 'CN', 'China'),
(70024, '101.78.64.0', '101.78.127.255', 1699627008, 1699643391, 'SG', 'Singapore'),
(70025, '101.78.128.0', '101.78.255.255', 1699643392, 1699676159, 'HK', 'Hong Kong'),
(70026, '101.79.0.0', '101.79.255.255', 1699676160, 1699741695, 'KR', 'Korea, Republic of'),
(70027, '101.80.0.0', '101.96.11.255', 1699741696, 1700793343, 'CN', 'China'),
(70028, '101.96.12.0', '101.96.15.255', 1700793344, 1700794367, 'VN', 'Vietnam'),
(70029, '101.96.16.0', '101.96.31.255', 1700794368, 1700798463, 'CN', 'China'),
(70030, '101.96.32.0', '101.96.63.255', 1700798464, 1700806655, 'JP', 'Japan'),
(70031, '101.96.64.0', '101.96.127.255', 1700806656, 1700823039, 'VN', 'Vietnam'),
(70032, '101.96.128.0', '101.96.255.255', 1700823040, 1700855807, 'CN', 'China'),
(70033, '101.97.0.0', '101.97.255.255', 1700855808, 1700921343, 'JP', 'Japan'),
(70034, '101.98.0.0', '101.98.255.255', 1700921344, 1700986879, 'NZ', 'New Zealand'),
(70035, '101.99.0.0', '101.99.63.255', 1700986880, 1701003263, 'VN', 'Vietnam'),
(70036, '101.99.64.0', '101.99.95.255', 1701003264, 1701011455, 'MY', 'Malaysia'),
(70037, '101.99.96.0', '101.99.127.255', 1701011456, 1701019647, 'CN', 'China'),
(70038, '101.99.128.0', '101.99.255.255', 1701019648, 1701052415, 'GU', 'Guam'),
(70039, '101.100.0.0', '101.100.255.255', 1701052416, 1701117951, 'NZ', 'New Zealand'),
(70040, '101.101.0.0', '101.101.63.255', 1701117952, 1701134335, 'NC', 'New Caledonia'),
(70041, '101.101.64.0', '101.101.95.255', 1701134336, 1701142527, 'CN', 'China'),
(70042, '101.101.96.0', '101.101.99.255', 1701142528, 1701143551, 'HK', 'Hong Kong'),
(70043, '101.101.100.0', '101.101.100.255', 1701143552, 1701143807, 'CN', 'China'),
(70044, '101.101.101.0', '101.101.101.255', 1701143808, 1701144063, 'AU', 'Australia'),
(70045, '101.101.102.0', '101.101.127.255', 1701144064, 1701150719, 'CN', 'China'),
(70046, '101.101.128.0', '101.101.255.255', 1701150720, 1701183487, 'KR', 'Korea, Republic of'),
(70047, '101.102.0.0', '101.102.63.255', 1701183488, 1701199871, 'JP', 'Japan'),
(70048, '101.102.64.0', '101.102.95.255', 1701199872, 1701208063, 'CN', 'China'),
(70049, '101.102.96.0', '101.102.99.255', 1701208064, 1701209087, 'JP', 'Japan'),
(70050, '101.102.100.0', '101.102.102.255', 1701209088, 1701209855, 'CN', 'China'),
(70051, '101.102.103.0', '101.102.103.255', 1701209856, 1701210111, 'AU', 'Australia'),
(70052, '101.102.104.0', '101.102.127.255', 1701210112, 1701216255, 'CN', 'China'),
(70053, '101.102.128.0', '101.102.255.255', 1701216256, 1701249023, 'JP', 'Japan'),
(70054, '101.103.0.0', '101.103.255.255', 1701249024, 1701314559, 'AU', 'Australia'),
(70055, '101.104.0.0', '101.107.255.255', 1701314560, 1701576703, 'CN', 'China'),
(70056, '101.108.0.0', '101.109.255.255', 1701576704, 1701707775, 'TH', 'Thailand'),
(70057, '101.110.0.0', '101.110.63.255', 1701707776, 1701724159, 'JP', 'Japan'),
(70058, '101.110.64.0', '101.110.111.255', 1701724160, 1701736447, 'CN', 'China'),
(70059, '101.110.112.0', '101.110.115.255', 1701736448, 1701737471, 'NZ', 'New Zealand'),
(70060, '101.110.116.0', '101.110.127.255', 1701737472, 1701740543, 'CN', 'China'),
(70061, '101.110.128.0', '101.111.255.255', 1701740544, 1701838847, 'JP', 'Japan'),
(70062, '101.112.0.0', '101.119.255.255', 1701838848, 1702363135, 'AU', 'Australia'),
(70063, '101.120.0.0', '101.126.255.255', 1702363136, 1702821887, 'CN', 'China'),
(70064, '101.127.0.0', '101.127.255.255', 1702821888, 1702887423, 'HK', 'Hong Kong'),
(70065, '101.128.0.0', '101.128.3.255', 1702887424, 1702888447, 'CN', 'China'),
(70066, '101.128.4.0', '101.128.7.255', 1702888448, 1702889471, 'AU', 'Australia'),
(70067, '101.128.8.0', '101.128.63.255', 1702889472, 1702903807, 'CN', 'China'),
(70068, '101.128.64.0', '101.128.127.255', 1702903808, 1702920191, 'ID', 'Indonesia'),
(70069, '101.128.128.0', '101.128.255.255', 1702920192, 1702952959, 'JP', 'Japan'),
(70070, '101.129.0.0', '101.135.255.255', 1702952960, 1703411711, 'CN', 'China'),
(70071, '101.136.0.0', '101.139.255.255', 1703411712, 1703673855, 'TW', 'Taiwan'),
(70072, '101.140.0.0', '101.143.255.255', 1703673856, 1703935999, 'JP', 'Japan'),
(70073, '101.144.0.0', '101.159.255.255', 1703936000, 1704984575, 'CN', 'China'),
(70074, '101.160.0.0', '101.191.255.255', 1704984576, 1707081727, 'AU', 'Australia'),
(70075, '101.192.0.0', '101.201.255.255', 1707081728, 1707737087, 'CN', 'China'),
(70076, '101.202.0.0', '101.202.255.255', 1707737088, 1707802623, 'KR', 'Korea, Republic of'),
(70077, '101.203.0.0', '101.203.127.255', 1707802624, 1707835391, 'JP', 'Japan'),
(70078, '101.203.128.0', '101.203.167.255', 1707835392, 1707845631, 'CN', 'China'),
(70079, '101.203.168.0', '101.203.171.255', 1707845632, 1707846655, 'ID', 'Indonesia'),
(70080, '101.203.172.0', '101.203.191.255', 1707846656, 1707851775, 'CN', 'China'),
(70081, '101.203.192.0', '101.203.255.255', 1707851776, 1707868159, 'JP', 'Japan'),
(70082, '101.204.0.0', '101.207.255.255', 1707868160, 1708130303, 'CN', 'China'),
(70083, '101.208.0.0', '101.223.255.255', 1708130304, 1709178879, 'IN', 'India'),
(70084, '101.224.0.0', '101.233.255.255', 1709178880, 1709834239, 'CN', 'China'),
(70085, '101.234.0.0', '101.234.63.255', 1709834240, 1709850623, 'SG', 'Singapore'),
(70086, '101.234.64.0', '101.234.71.255', 1709850624, 1709852671, 'CN', 'China'),
(70087, '101.234.72.0', '101.234.75.255', 1709852672, 1709853695, 'AU', 'Australia'),
(70088, '101.234.76.0', '101.234.127.255', 1709853696, 1709867007, 'CN', 'China'),
(70089, '101.234.128.0', '101.234.255.255', 1709867008, 1709899775, 'AU', 'Australia'),
(70090, '101.235.0.0', '101.235.255.255', 1709899776, 1709965311, 'KR', 'Korea, Republic of'),
(70091, '101.236.0.0', '101.249.255.255', 1709965312, 1710882815, 'CN', 'China'),
(70092, '101.250.0.0', '101.250.255.255', 1710882816, 1710948351, 'KR', 'Korea, Republic of'),
(70093, '101.251.0.0', '101.251.3.255', 1710948352, 1710949375, 'CN', 'China'),
(70094, '101.251.4.0', '101.251.7.255', 1710949376, 1710950399, 'NP', 'Nepal'),
(70095, '101.251.8.0', '101.254.255.255', 1710950400, 1711210495, 'CN', 'China'),
(70096, '101.255.0.0', '101.255.255.255', 1711210496, 1711276031, 'ID', 'Indonesia'),
(70097, '103.0.0.0', '103.1.4.255', 1728053248, 1728120063, 'AU', 'Australia'),
(70098, '103.1.5.0', '103.1.5.255', 1728120064, 1728120319, 'SG', 'Singapore'),
(70099, '103.1.6.0', '103.1.6.255', 1728120320, 1728120575, 'IN', 'India'),
(70100, '103.1.7.0', '103.1.7.255', 1728120576, 1728120831, 'AU', 'Australia'),
(70101, '103.1.8.0', '103.1.11.255', 1728120832, 1728121855, 'CN', 'China'),
(70102, '103.1.12.0', '103.1.19.255', 1728121856, 1728123903, 'HK', 'Hong Kong'),
(70103, '103.1.20.0', '103.1.27.255', 1728123904, 1728125951, 'CN', 'China'),
(70104, '103.1.28.0', '103.1.31.255', 1728125952, 1728126975, 'LA', 'Lao People''s Democratic Republic'),
(70105, '103.1.32.0', '103.1.51.255', 1728126976, 1728132095, 'HK', 'Hong Kong'),
(70106, '103.1.52.0', '103.1.63.255', 1728132096, 1728135167, 'AU', 'Australia'),
(70107, '103.1.64.0', '103.1.67.255', 1728135168, 1728136191, 'HK', 'Hong Kong'),
(70108, '103.1.68.0', '103.1.71.255', 1728136192, 1728137215, 'MY', 'Malaysia'),
(70109, '103.1.72.0', '103.1.75.255', 1728137216, 1728138239, 'CN', 'China'),
(70110, '103.1.76.0', '103.1.79.255', 1728138240, 1728139263, 'AU', 'Australia'),
(70111, '103.1.80.0', '103.1.83.255', 1728139264, 1728140287, 'IN', 'India'),
(70112, '103.1.84.0', '103.1.87.255', 1728140288, 1728141311, 'SG', 'Singapore'),
(70113, '103.1.88.0', '103.1.91.255', 1728141312, 1728142335, 'CN', 'China'),
(70114, '103.1.92.0', '103.1.95.255', 1728142336, 1728143359, 'NP', 'Nepal'),
(70115, '103.1.96.0', '103.1.99.255', 1728143360, 1728144383, 'MP', 'Northern Mariana Islands'),
(70116, '103.1.100.0', '103.1.103.255', 1728144384, 1728145407, 'IN', 'India'),
(70117, '103.1.104.0', '103.1.107.255', 1728145408, 1728146431, 'MY', 'Malaysia'),
(70118, '103.1.108.0', '103.1.111.255', 1728146432, 1728147455, 'AU', 'Australia'),
(70119, '103.1.112.0', '103.1.115.255', 1728147456, 1728148479, 'IN', 'India'),
(70120, '103.1.116.0', '103.1.119.255', 1728148480, 1728149503, 'PH', 'Philippines'),
(70121, '103.1.120.0', '103.1.123.255', 1728149504, 1728150527, 'JP', 'Japan'),
(70122, '103.1.124.0', '103.1.131.255', 1728150528, 1728152575, 'IN', 'India'),
(70123, '103.1.132.0', '103.1.135.255', 1728152576, 1728153599, 'MY', 'Malaysia'),
(70124, '103.1.136.0', '103.1.139.255', 1728153600, 1728154623, 'SG', 'Singapore'),
(70125, '103.1.140.0', '103.1.143.255', 1728154624, 1728155647, 'JP', 'Japan'),
(70126, '103.1.144.0', '103.1.155.255', 1728155648, 1728158719, 'MY', 'Malaysia'),
(70127, '103.1.156.0', '103.1.159.255', 1728158720, 1728159743, 'HK', 'Hong Kong'),
(70128, '103.1.160.0', '103.1.167.255', 1728159744, 1728161791, 'TH', 'Thailand'),
(70129, '103.1.168.0', '103.1.171.255', 1728161792, 1728162815, 'CN', 'China'),
(70130, '103.1.172.0', '103.1.175.255', 1728162816, 1728163839, 'SG', 'Singapore'),
(70131, '103.1.176.0', '103.1.179.255', 1728163840, 1728164863, 'LK', 'Sri Lanka'),
(70132, '103.1.180.0', '103.1.183.255', 1728164864, 1728165887, 'FJ', 'Fiji'),
(70133, '103.1.184.0', '103.1.195.255', 1728165888, 1728168959, 'AU', 'Australia'),
(70134, '103.1.196.0', '103.1.199.255', 1728168960, 1728169983, 'IN', 'India'),
(70135, '103.1.200.0', '103.1.203.255', 1728169984, 1728171007, 'VN', 'Vietnam'),
(70136, '103.1.204.0', '103.1.207.255', 1728171008, 1728172031, 'AU', 'Australia'),
(70137, '103.1.208.0', '103.1.211.255', 1728172032, 1728173055, 'VN', 'Vietnam'),
(70138, '103.1.212.0', '103.1.219.255', 1728173056, 1728175103, 'AU', 'Australia'),
(70139, '103.1.220.0', '103.1.227.255', 1728175104, 1728177151, 'HK', 'Hong Kong'),
(70140, '103.1.228.0', '103.1.231.255', 1728177152, 1728178175, 'AU', 'Australia'),
(70141, '103.1.232.0', '103.1.235.255', 1728178176, 1728179199, 'LA', 'Lao People''s Democratic Republic'),
(70142, '103.1.236.0', '103.1.239.255', 1728179200, 1728180223, 'VN', 'Vietnam'),
(70143, '103.1.240.0', '103.1.243.255', 1728180224, 1728181247, 'AU', 'Australia'),
(70144, '103.1.244.0', '103.2.75.255', 1728181248, 1728203775, 'JP', 'Japan'),
(70145, '103.2.76.0', '103.2.79.255', 1728203776, 1728204799, 'KR', 'Korea, Republic of'),
(70146, '103.2.80.0', '103.2.83.255', 1728204800, 1728205823, 'IN', 'India'),
(70147, '103.2.84.0', '103.2.87.255', 1728205824, 1728206847, 'KR', 'Korea, Republic of'),
(70148, '103.2.88.0', '103.2.91.255', 1728206848, 1728207871, 'SB', 'Solomon Islands'),
(70149, '103.2.92.0', '103.2.95.255', 1728207872, 1728208895, 'KR', 'Korea, Republic of'),
(70150, '103.2.96.0', '103.2.103.255', 1728208896, 1728210943, 'JP', 'Japan'),
(70151, '103.2.104.0', '103.2.107.255', 1728210944, 1728211967, 'SG', 'Singapore'),
(70152, '103.2.108.0', '103.2.111.255', 1728211968, 1728212991, 'CN', 'China'),
(70153, '103.2.112.0', '103.2.115.255', 1728212992, 1728214015, 'TH', 'Thailand'),
(70154, '103.2.116.0', '103.2.119.255', 1728214016, 1728215039, 'AU', 'Australia'),
(70155, '103.2.120.0', '103.2.123.255', 1728215040, 1728216063, 'NZ', 'New Zealand'),
(70156, '103.2.124.0', '103.2.131.255', 1728216064, 1728218111, 'JP', 'Japan'),
(70157, '103.2.132.0', '103.2.135.255', 1728218112, 1728219135, 'IN', 'India'),
(70158, '103.2.136.0', '103.2.139.255', 1728219136, 1728220159, 'JP', 'Japan'),
(70159, '103.2.140.0', '103.2.143.255', 1728220160, 1728221183, 'NZ', 'New Zealand'),
(70160, '103.2.144.0', '103.2.147.255', 1728221184, 1728222207, 'ID', 'Indonesia'),
(70161, '103.2.148.0', '103.2.155.255', 1728222208, 1728224255, 'LK', 'Sri Lanka'),
(70162, '103.2.156.0', '103.2.159.255', 1728224256, 1728225279, 'CN', 'China'),
(70163, '103.2.160.0', '103.2.163.255', 1728225280, 1728226303, 'JP', 'Japan'),
(70164, '103.2.164.0', '103.2.167.255', 1728226304, 1728227327, 'CN', 'China'),
(70165, '103.2.168.0', '103.2.179.255', 1728227328, 1728230399, 'AU', 'Australia'),
(70166, '103.2.180.0', '103.2.183.255', 1728230400, 1728231423, 'SG', 'Singapore'),
(70167, '103.2.184.0', '103.2.187.255', 1728231424, 1728232447, 'NC', 'New Caledonia'),
(70168, '103.2.188.0', '103.2.199.255', 1728232448, 1728235519, 'AU', 'Australia'),
(70169, '103.2.200.0', '103.2.215.255', 1728235520, 1728239615, 'CN', 'China'),
(70170, '103.2.216.0', '103.2.219.255', 1728239616, 1728240639, 'TW', 'Taiwan'),
(70171, '103.2.220.0', '103.2.231.255', 1728240640, 1728243711, 'VN', 'Vietnam'),
(70172, '103.2.232.0', '103.2.243.255', 1728243712, 1728246783, 'IN', 'India'),
(70173, '103.2.244.0', '103.3.19.255', 1728246784, 1728254975, 'JP', 'Japan'),
(70174, '103.3.20.0', '103.3.23.255', 1728254976, 1728255999, 'MY', 'Malaysia'),
(70175, '103.3.24.0', '103.3.27.255', 1728256000, 1728257023, 'HK', 'Hong Kong'),
(70176, '103.3.28.0', '103.3.31.255', 1728257024, 1728258047, 'MN', 'Mongolia'),
(70177, '103.3.32.0', '103.3.35.255', 1728258048, 1728259071, 'IN', 'India'),
(70178, '103.3.36.0', '103.3.39.255', 1728259072, 1728260095, 'KR', 'Korea, Republic of'),
(70179, '103.3.40.0', '103.3.43.255', 1728260096, 1728261119, 'IN', 'India'),
(70180, '103.3.44.0', '103.3.47.255', 1728261120, 1728262143, 'ID', 'Indonesia'),
(70181, '103.3.48.0', '103.3.55.255', 1728262144, 1728264191, 'JP', 'Japan'),
(70182, '103.3.56.0', '103.3.59.255', 1728264192, 1728265215, 'ID', 'Indonesia'),
(70183, '103.3.60.0', '103.3.63.255', 1728265216, 1728266239, 'SG', 'Singapore'),
(70184, '103.3.64.0', '103.3.67.255', 1728266240, 1728267263, 'TH', 'Thailand'),
(70185, '103.3.68.0', '103.3.71.255', 1728267264, 1728268287, 'ID', 'Indonesia'),
(70186, '103.3.72.0', '103.3.75.255', 1728268288, 1728269311, 'MY', 'Malaysia'),
(70187, '103.3.76.0', '103.3.79.255', 1728269312, 1728270335, 'ID', 'Indonesia'),
(70188, '103.3.80.0', '103.3.83.255', 1728270336, 1728271359, 'PH', 'Philippines'),
(70189, '103.3.84.0', '103.3.143.255', 1728271360, 1728286719, 'CN', 'China'),
(70190, '103.3.144.0', '103.3.147.255', 1728286720, 1728287743, 'AU', 'Australia'),
(70191, '103.3.148.0', '103.3.159.255', 1728287744, 1728290815, 'CN', 'China'),
(70192, '103.3.160.0', '103.3.163.255', 1728290816, 1728291839, 'AU', 'Australia'),
(70193, '103.3.164.0', '103.3.167.255', 1728291840, 1728292863, 'SG', 'Singapore'),
(70194, '103.3.168.0', '103.3.171.255', 1728292864, 1728293887, 'PG', 'Papua New Guinea'),
(70195, '103.3.172.0', '103.3.175.255', 1728293888, 1728294911, 'MY', 'Malaysia'),
(70196, '103.3.176.0', '103.3.179.255', 1728294912, 1728295935, 'TH', 'Thailand'),
(70197, '103.3.180.0', '103.3.191.255', 1728295936, 1728299007, 'JP', 'Japan'),
(70198, '103.3.192.0', '103.3.195.255', 1728299008, 1728300031, 'TW', 'Taiwan'),
(70199, '103.3.196.0', '103.3.199.255', 1728300032, 1728301055, 'AU', 'Australia'),
(70200, '103.3.200.0', '103.3.203.255', 1728301056, 1728302079, 'SG', 'Singapore'),
(70201, '103.3.204.0', '103.3.207.255', 1728302080, 1728303103, 'IN', 'India'),
(70202, '103.3.208.0', '103.3.215.255', 1728303104, 1728305151, 'ID', 'Indonesia'),
(70203, '103.3.216.0', '103.3.219.255', 1728305152, 1728306175, 'AU', 'Australia'),
(70204, '103.3.220.0', '103.3.223.255', 1728306176, 1728307199, 'ID', 'Indonesia'),
(70205, '103.3.224.0', '103.3.227.255', 1728307200, 1728308223, 'BD', 'Bangladesh'),
(70206, '103.3.228.0', '103.3.231.255', 1728308224, 1728309247, 'IN', 'India'),
(70207, '103.3.232.0', '103.3.235.255', 1728309248, 1728310271, 'NZ', 'New Zealand'),
(70208, '103.3.236.0', '103.3.239.255', 1728310272, 1728311295, 'AU', 'Australia'),
(70209, '103.3.240.0', '103.3.243.255', 1728311296, 1728312319, 'GU', 'Guam'),
(70210, '103.3.244.0', '103.3.255.255', 1728312320, 1728315391, 'VN', 'Vietnam'),
(70211, '103.4.0.0', '103.4.3.255', 1728315392, 1728316415, 'ID', 'Indonesia'),
(70212, '103.4.4.0', '103.4.7.255', 1728316416, 1728317439, 'MY', 'Malaysia'),
(70213, '103.4.8.0', '103.4.11.255', 1728317440, 1728318463, 'JP', 'Japan'),
(70214, '103.4.12.0', '103.4.15.255', 1728318464, 1728319487, 'SG', 'Singapore'),
(70215, '103.4.16.0', '103.4.19.255', 1728319488, 1728320511, 'AU', 'Australia'),
(70216, '103.4.20.0', '103.4.23.255', 1728320512, 1728321535, 'PH', 'Philippines'),
(70217, '103.4.24.0', '103.4.27.255', 1728321536, 1728322559, 'JP', 'Japan'),
(70218, '103.4.28.0', '103.4.31.255', 1728322560, 1728323583, 'MY', 'Malaysia'),
(70219, '103.4.32.0', '103.4.35.255', 1728323584, 1728324607, 'JP', 'Japan'),
(70220, '103.4.36.0', '103.4.39.255', 1728324608, 1728325631, 'SG', 'Singapore'),
(70221, '103.4.40.0', '103.4.43.255', 1728325632, 1728326655, 'JP', 'Japan'),
(70222, '103.4.44.0', '103.4.47.255', 1728326656, 1728327679, 'MY', 'Malaysia'),
(70223, '103.4.48.0', '103.4.51.255', 1728327680, 1728328703, 'KR', 'Korea, Republic of'),
(70224, '103.4.52.0', '103.4.55.255', 1728328704, 1728329727, 'ID', 'Indonesia'),
(70225, '103.4.56.0', '103.4.59.255', 1728329728, 1728330751, 'CN', 'China'),
(70226, '103.4.60.0', '103.4.63.255', 1728330752, 1728331775, 'AU', 'Australia'),
(70227, '103.4.64.0', '103.4.67.255', 1728331776, 1728332799, 'BD', 'Bangladesh'),
(70228, '103.4.68.0', '103.4.71.255', 1728332800, 1728333823, 'JP', 'Japan'),
(70229, '103.4.72.0', '103.4.75.255', 1728333824, 1728334847, 'PF', 'French Polynesia'),
(70230, '103.4.76.0', '103.4.83.255', 1728334848, 1728336895, 'JP', 'Japan'),
(70231, '103.4.84.0', '103.4.87.255', 1728336896, 1728337919, 'AU', 'Australia'),
(70232, '103.4.88.0', '103.4.91.255', 1728337920, 1728338943, 'MY', 'Malaysia'),
(70233, '103.4.92.0', '103.4.95.255', 1728338944, 1728339967, 'PK', 'Pakistan'),
(70234, '103.4.96.0', '103.4.99.255', 1728339968, 1728340991, 'SG', 'Singapore'),
(70235, '103.4.100.0', '103.4.103.255', 1728340992, 1728342015, 'AU', 'Australia'),
(70236, '103.4.104.0', '103.4.107.255', 1728342016, 1728343039, 'TW', 'Taiwan'),
(70237, '103.4.108.0', '103.4.111.255', 1728343040, 1728344063, 'SG', 'Singapore'),
(70238, '103.4.112.0', '103.4.113.255', 1728344064, 1728344575, 'HK', 'Hong Kong'),
(70239, '103.4.114.0', '103.4.115.255', 1728344576, 1728345087, 'SG', 'Singapore');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(70240, '103.4.116.0', '103.4.119.255', 1728345088, 1728346111, 'BD', 'Bangladesh'),
(70241, '103.4.120.0', '103.4.120.255', 1728346112, 1728346367, 'AU', 'Australia'),
(70242, '103.4.121.0', '103.4.121.255', 1728346368, 1728346623, 'NZ', 'New Zealand'),
(70243, '103.4.122.0', '103.4.123.255', 1728346624, 1728347135, 'AU', 'Australia'),
(70244, '103.4.124.0', '103.4.127.255', 1728347136, 1728348159, 'SG', 'Singapore'),
(70245, '103.4.128.0', '103.4.131.255', 1728348160, 1728349183, 'VN', 'Vietnam'),
(70246, '103.4.132.0', '103.4.134.255', 1728349184, 1728349951, 'AU', 'Australia'),
(70247, '103.4.135.0', '103.4.135.255', 1728349952, 1728350207, 'NP', 'Nepal'),
(70248, '103.4.136.0', '103.4.139.255', 1728350208, 1728351231, 'NZ', 'New Zealand'),
(70249, '103.4.140.0', '103.4.143.255', 1728351232, 1728352255, 'MY', 'Malaysia'),
(70250, '103.4.144.0', '103.4.147.255', 1728352256, 1728353279, 'BD', 'Bangladesh'),
(70251, '103.4.148.0', '103.4.151.255', 1728353280, 1728354303, 'KR', 'Korea, Republic of'),
(70252, '103.4.152.0', '103.4.155.255', 1728354304, 1728355327, 'NZ', 'New Zealand'),
(70253, '103.4.156.0', '103.4.159.255', 1728355328, 1728356351, 'TH', 'Thailand'),
(70254, '103.4.160.0', '103.4.163.255', 1728356352, 1728357375, 'AU', 'Australia'),
(70255, '103.4.164.0', '103.4.167.255', 1728357376, 1728358399, 'ID', 'Indonesia'),
(70256, '103.4.168.0', '103.4.171.255', 1728358400, 1728359423, 'CN', 'China'),
(70257, '103.4.172.0', '103.4.173.255', 1728359424, 1728359935, 'AU', 'Australia'),
(70258, '103.4.174.0', '103.4.175.255', 1728359936, 1728360447, 'ID', 'Indonesia'),
(70259, '103.4.176.0', '103.4.183.255', 1728360448, 1728362495, 'KR', 'Korea, Republic of'),
(70260, '103.4.184.0', '103.4.187.255', 1728362496, 1728363519, 'CN', 'China'),
(70261, '103.4.188.0', '103.4.191.255', 1728363520, 1728364543, 'BN', 'Brunei Darussalam'),
(70262, '103.4.192.0', '103.4.195.255', 1728364544, 1728365567, 'AU', 'Australia'),
(70263, '103.4.196.0', '103.4.199.255', 1728365568, 1728366591, 'SG', 'Singapore'),
(70264, '103.4.200.0', '103.4.203.255', 1728366592, 1728367615, 'JP', 'Japan'),
(70265, '103.4.204.0', '103.4.204.255', 1728367616, 1728367871, 'IN', 'India'),
(70266, '103.4.205.0', '103.4.205.255', 1728367872, 1728368127, 'AU', 'Australia'),
(70267, '103.4.206.0', '103.4.207.255', 1728368128, 1728368639, 'ID', 'Indonesia'),
(70268, '103.4.208.0', '103.4.211.255', 1728368640, 1728369663, 'IN', 'India'),
(70269, '103.4.212.0', '103.4.215.255', 1728369664, 1728370687, 'AU', 'Australia'),
(70270, '103.4.216.0', '103.4.219.255', 1728370688, 1728371711, 'TH', 'Thailand'),
(70271, '103.4.220.0', '103.4.223.255', 1728371712, 1728372735, 'IN', 'India'),
(70272, '103.4.224.0', '103.4.227.255', 1728372736, 1728373759, 'HK', 'Hong Kong'),
(70273, '103.4.228.0', '103.4.231.255', 1728373760, 1728374783, 'TH', 'Thailand'),
(70274, '103.4.232.0', '103.4.232.255', 1728374784, 1728375039, 'SG', 'Singapore'),
(70275, '103.4.234.0', '103.4.239.255', 1728375296, 1728376831, 'AU', 'Australia'),
(70276, '103.4.240.0', '103.4.243.255', 1728376832, 1728377855, 'ID', 'Indonesia'),
(70277, '103.4.244.0', '103.4.247.255', 1728377856, 1728378879, 'HK', 'Hong Kong'),
(70278, '103.4.248.0', '103.4.255.255', 1728378880, 1728380927, 'IN', 'India'),
(70279, '103.5.0.0', '103.5.7.255', 1728380928, 1728382975, 'PH', 'Philippines'),
(70280, '103.5.8.0', '103.5.11.255', 1728382976, 1728383999, 'SG', 'Singapore'),
(70281, '103.5.12.0', '103.5.15.255', 1728384000, 1728385023, 'HK', 'Hong Kong'),
(70282, '103.5.16.0', '103.5.19.255', 1728385024, 1728386047, 'IN', 'India'),
(70283, '103.5.20.0', '103.5.23.255', 1728386048, 1728387071, 'JP', 'Japan'),
(70284, '103.5.24.0', '103.5.27.255', 1728387072, 1728388095, 'TH', 'Thailand'),
(70285, '103.5.28.0', '103.5.28.255', 1728388096, 1728388351, 'NZ', 'New Zealand'),
(70286, '103.5.29.0', '103.5.29.255', 1728388352, 1728388607, 'AU', 'Australia'),
(70287, '103.5.30.0', '103.5.31.255', 1728388608, 1728389119, 'VN', 'Vietnam'),
(70288, '103.5.32.0', '103.5.35.255', 1728389120, 1728390143, 'TW', 'Taiwan'),
(70289, '103.5.36.0', '103.5.39.255', 1728390144, 1728391167, 'CN', 'China'),
(70290, '103.5.40.0', '103.5.43.255', 1728391168, 1728392191, 'JP', 'Japan'),
(70291, '103.5.44.0', '103.5.47.255', 1728392192, 1728393215, 'SG', 'Singapore'),
(70292, '103.5.48.0', '103.5.51.255', 1728393216, 1728394239, 'ID', 'Indonesia'),
(70293, '103.5.52.0', '103.5.59.255', 1728394240, 1728396287, 'CN', 'China'),
(70294, '103.5.60.0', '103.5.63.255', 1728396288, 1728397311, 'PH', 'Philippines'),
(70295, '103.5.64.0', '103.5.67.255', 1728397312, 1728398335, 'JP', 'Japan'),
(70296, '103.5.68.0', '103.5.69.255', 1728398336, 1728398847, 'AU', 'Australia'),
(70297, '103.5.70.0', '103.5.70.255', 1728398848, 1728399103, 'IN', 'India'),
(70298, '103.5.71.0', '103.5.75.255', 1728399104, 1728400383, 'NZ', 'New Zealand'),
(70299, '103.5.76.0', '103.5.77.255', 1728400384, 1728400895, 'AU', 'Australia'),
(70300, '103.5.78.0', '103.5.78.255', 1728400896, 1728401151, 'IN', 'India'),
(70301, '103.5.79.0', '103.5.79.255', 1728401152, 1728401407, 'SG', 'Singapore'),
(70302, '103.5.80.0', '103.5.83.255', 1728401408, 1728402431, 'NZ', 'New Zealand'),
(70303, '103.5.84.0', '103.5.87.255', 1728402432, 1728403455, 'IN', 'India'),
(70304, '103.5.88.0', '103.5.99.255', 1728403456, 1728406527, 'AU', 'Australia'),
(70305, '103.5.100.0', '103.5.103.255', 1728406528, 1728407551, 'TW', 'Taiwan'),
(70306, '103.5.104.0', '103.5.104.255', 1728407552, 1728407807, 'JP', 'Japan'),
(70307, '103.5.105.0', '103.5.105.255', 1728407808, 1728408063, 'MY', 'Malaysia'),
(70308, '103.5.106.0', '103.5.106.255', 1728408064, 1728408319, 'NZ', 'New Zealand'),
(70309, '103.5.107.0', '103.5.107.255', 1728408320, 1728408575, 'ID', 'Indonesia'),
(70310, '103.5.108.0', '103.5.111.255', 1728408576, 1728409599, 'NZ', 'New Zealand'),
(70311, '103.5.112.0', '103.5.115.255', 1728409600, 1728410623, 'IN', 'India'),
(70312, '103.5.116.0', '103.5.119.255', 1728410624, 1728411647, 'JP', 'Japan'),
(70313, '103.5.120.0', '103.5.123.255', 1728411648, 1728412671, 'TH', 'Thailand'),
(70314, '103.5.124.0', '103.5.127.255', 1728412672, 1728413695, 'KH', 'Cambodia'),
(70315, '103.5.128.0', '103.5.131.255', 1728413696, 1728414719, 'KR', 'Korea, Republic of'),
(70316, '103.5.132.0', '103.5.135.255', 1728414720, 1728415743, 'IN', 'India'),
(70317, '103.5.136.0', '103.5.139.255', 1728415744, 1728416767, 'PK', 'Pakistan'),
(70318, '103.5.140.0', '103.5.143.255', 1728416768, 1728417791, 'JP', 'Japan'),
(70319, '103.5.144.0', '103.5.147.255', 1728417792, 1728418815, 'KR', 'Korea, Republic of'),
(70320, '103.5.148.0', '103.5.148.255', 1728418816, 1728419071, 'ID', 'Indonesia'),
(70321, '103.5.149.0', '103.5.149.255', 1728419072, 1728419327, 'HK', 'Hong Kong'),
(70322, '103.5.150.0', '103.5.150.255', 1728419328, 1728419583, 'NP', 'Nepal'),
(70323, '103.5.151.0', '103.5.151.255', 1728419584, 1728419839, 'SG', 'Singapore'),
(70324, '103.5.152.0', '103.5.155.255', 1728419840, 1728420863, 'JP', 'Japan'),
(70325, '103.5.156.0', '103.5.159.255', 1728420864, 1728421887, 'NZ', 'New Zealand'),
(70326, '103.5.160.0', '103.5.163.255', 1728421888, 1728422911, 'JP', 'Japan'),
(70327, '103.5.164.0', '103.5.167.255', 1728422912, 1728423935, 'AU', 'Australia'),
(70328, '103.5.168.0', '103.5.171.255', 1728423936, 1728424959, 'TW', 'Taiwan'),
(70329, '103.5.172.0', '103.5.175.255', 1728424960, 1728425983, 'AF', 'Afghanistan'),
(70330, '103.5.176.0', '103.5.179.255', 1728425984, 1728427007, 'JP', 'Japan'),
(70331, '103.5.180.0', '103.5.183.255', 1728427008, 1728428031, 'MY', 'Malaysia'),
(70332, '103.5.184.0', '103.5.191.255', 1728428032, 1728430079, 'IN', 'India'),
(70333, '103.5.192.0', '103.5.195.255', 1728430080, 1728431103, 'JP', 'Japan'),
(70334, '103.5.196.0', '103.5.197.255', 1728431104, 1728431615, 'AF', 'Afghanistan'),
(70335, '103.5.198.0', '103.5.198.255', 1728431616, 1728431871, 'HK', 'Hong Kong'),
(70336, '103.5.199.0', '103.5.199.255', 1728431872, 1728432127, 'SG', 'Singapore'),
(70337, '103.5.200.0', '103.5.203.255', 1728432128, 1728433151, 'IN', 'India'),
(70338, '103.5.204.0', '103.5.211.255', 1728433152, 1728435199, 'VN', 'Vietnam'),
(70339, '103.5.212.0', '103.5.214.255', 1728435200, 1728435967, 'AU', 'Australia'),
(70340, '103.5.215.0', '103.5.215.255', 1728435968, 1728436223, 'ID', 'Indonesia'),
(70341, '103.5.216.0', '103.5.219.255', 1728436224, 1728437247, 'IN', 'India'),
(70342, '103.5.220.0', '103.5.223.255', 1728437248, 1728438271, 'HK', 'Hong Kong'),
(70343, '103.5.224.0', '103.5.227.255', 1728438272, 1728439295, 'NZ', 'New Zealand'),
(70344, '103.5.228.0', '103.5.229.255', 1728439296, 1728439807, 'NP', 'Nepal'),
(70345, '103.5.230.0', '103.5.231.255', 1728439808, 1728440319, 'AU', 'Australia'),
(70346, '103.5.232.0', '103.5.235.255', 1728440320, 1728441343, 'BD', 'Bangladesh'),
(70347, '103.5.236.0', '103.5.239.255', 1728441344, 1728442367, 'MY', 'Malaysia'),
(70348, '103.5.240.0', '103.5.243.255', 1728442368, 1728443391, 'SG', 'Singapore'),
(70349, '103.5.244.0', '103.5.247.255', 1728443392, 1728444415, 'IN', 'India'),
(70350, '103.5.248.0', '103.5.251.255', 1728444416, 1728445439, 'JP', 'Japan'),
(70351, '103.5.252.0', '103.5.255.255', 1728445440, 1728446463, 'CN', 'China'),
(70352, '103.6.0.0', '103.6.1.255', 1728446464, 1728446975, 'ID', 'Indonesia'),
(70353, '103.6.2.0', '103.6.3.255', 1728446976, 1728447487, 'IN', 'India'),
(70354, '103.6.4.0', '103.6.7.255', 1728447488, 1728448511, 'HK', 'Hong Kong'),
(70355, '103.6.8.0', '103.6.11.255', 1728448512, 1728449535, 'KH', 'Cambodia'),
(70356, '103.6.12.0', '103.6.15.255', 1728449536, 1728450559, 'AU', 'Australia'),
(70357, '103.6.16.0', '103.6.23.255', 1728450560, 1728452607, 'JP', 'Japan'),
(70358, '103.6.24.0', '103.6.25.255', 1728452608, 1728453119, 'AU', 'Australia'),
(70359, '103.6.26.0', '103.6.27.255', 1728453120, 1728453631, 'IN', 'India'),
(70360, '103.6.28.0', '103.6.31.255', 1728453632, 1728454655, 'NZ', 'New Zealand'),
(70361, '103.6.32.0', '103.6.33.255', 1728454656, 1728455167, 'IN', 'India'),
(70362, '103.6.34.0', '103.6.34.255', 1728455168, 1728455423, 'ID', 'Indonesia'),
(70363, '103.6.35.0', '103.6.35.255', 1728455424, 1728455679, 'AU', 'Australia'),
(70364, '103.6.36.0', '103.6.43.255', 1728455680, 1728457727, 'ID', 'Indonesia'),
(70365, '103.6.44.0', '103.6.47.255', 1728457728, 1728458751, 'JP', 'Japan'),
(70366, '103.6.48.0', '103.6.51.255', 1728458752, 1728459775, 'HK', 'Hong Kong'),
(70367, '103.6.52.0', '103.6.55.255', 1728459776, 1728460799, 'ID', 'Indonesia'),
(70368, '103.6.56.0', '103.6.63.255', 1728460800, 1728462847, 'JP', 'Japan'),
(70369, '103.6.64.0', '103.6.67.255', 1728462848, 1728463871, 'NZ', 'New Zealand'),
(70370, '103.6.68.0', '103.6.71.255', 1728463872, 1728464895, 'JP', 'Japan'),
(70371, '103.6.72.0', '103.6.75.255', 1728464896, 1728465919, 'KR', 'Korea, Republic of'),
(70372, '103.6.76.0', '103.6.79.255', 1728465920, 1728466943, 'CN', 'China'),
(70373, '103.6.80.0', '103.6.83.255', 1728466944, 1728467967, 'KR', 'Korea, Republic of'),
(70374, '103.6.84.0', '103.6.85.255', 1728467968, 1728468479, 'HK', 'Hong Kong'),
(70375, '103.6.86.0', '103.6.86.255', 1728468480, 1728468735, 'AU', 'Australia'),
(70376, '103.6.87.0', '103.6.88.255', 1728468736, 1728469247, 'IN', 'India'),
(70377, '103.6.89.0', '103.6.89.255', 1728469248, 1728469503, 'NZ', 'New Zealand'),
(70378, '103.6.90.0', '103.6.91.255', 1728469504, 1728470015, 'HK', 'Hong Kong'),
(70379, '103.6.92.0', '103.6.95.255', 1728470016, 1728471039, 'JP', 'Japan'),
(70380, '103.6.96.0', '103.6.99.255', 1728471040, 1728472063, 'PH', 'Philippines'),
(70381, '103.6.100.0', '103.6.103.255', 1728472064, 1728473087, 'KR', 'Korea, Republic of'),
(70382, '103.6.104.0', '103.6.104.255', 1728473088, 1728473343, 'IN', 'India'),
(70383, '103.6.105.0', '103.6.105.255', 1728473344, 1728473599, 'AU', 'Australia'),
(70384, '103.6.106.0', '103.6.107.255', 1728473600, 1728474111, 'SG', 'Singapore'),
(70385, '103.6.108.0', '103.6.111.255', 1728474112, 1728475135, 'IN', 'India'),
(70386, '103.6.112.0', '103.6.115.255', 1728475136, 1728476159, 'JP', 'Japan'),
(70387, '103.6.116.0', '103.6.116.255', 1728476160, 1728476415, 'AU', 'Australia'),
(70388, '103.6.117.0', '103.6.118.255', 1728476416, 1728476927, 'ID', 'Indonesia'),
(70389, '103.6.119.0', '103.6.119.255', 1728476928, 1728477183, 'IN', 'India'),
(70390, '103.6.120.0', '103.6.131.255', 1728477184, 1728480255, 'HK', 'Hong Kong'),
(70391, '103.6.132.0', '103.6.135.255', 1728480256, 1728481279, 'IN', 'India'),
(70392, '103.6.136.0', '103.6.143.255', 1728481280, 1728483327, 'HK', 'Hong Kong'),
(70393, '103.6.144.0', '103.6.147.255', 1728483328, 1728484351, 'NZ', 'New Zealand'),
(70394, '103.6.148.0', '103.6.151.255', 1728484352, 1728485375, 'SG', 'Singapore'),
(70395, '103.6.152.0', '103.6.155.255', 1728485376, 1728486399, 'HK', 'Hong Kong'),
(70396, '103.6.156.0', '103.6.159.255', 1728486400, 1728487423, 'IN', 'India'),
(70397, '103.6.160.0', '103.6.161.255', 1728487424, 1728487935, 'HK', 'Hong Kong'),
(70398, '103.6.162.0', '103.6.162.255', 1728487936, 1728488191, 'TH', 'Thailand'),
(70399, '103.6.163.0', '103.6.163.255', 1728488192, 1728488447, 'MY', 'Malaysia'),
(70400, '103.6.164.0', '103.6.164.255', 1728488448, 1728488703, 'IN', 'India'),
(70401, '103.6.165.0', '103.6.165.255', 1728488704, 1728488959, 'TH', 'Thailand'),
(70402, '103.6.166.0', '103.6.166.255', 1728488960, 1728489215, 'HK', 'Hong Kong'),
(70403, '103.6.167.0', '103.6.171.255', 1728489216, 1728490495, 'IN', 'India'),
(70404, '103.6.172.0', '103.6.175.255', 1728490496, 1728491519, 'KR', 'Korea, Republic of'),
(70405, '103.6.176.0', '103.6.179.255', 1728491520, 1728492543, 'HK', 'Hong Kong'),
(70406, '103.6.180.0', '103.6.180.255', 1728492544, 1728492799, 'ID', 'Indonesia'),
(70407, '103.6.181.0', '103.6.181.255', 1728492800, 1728493055, 'PH', 'Philippines'),
(70408, '103.6.182.0', '103.6.183.255', 1728493056, 1728493567, 'TH', 'Thailand'),
(70409, '103.6.184.0', '103.6.187.255', 1728493568, 1728494591, 'IN', 'India'),
(70410, '103.6.188.0', '103.6.191.255', 1728494592, 1728495615, 'AU', 'Australia'),
(70411, '103.6.192.0', '103.6.195.255', 1728495616, 1728496639, 'HK', 'Hong Kong'),
(70412, '103.6.196.0', '103.6.199.255', 1728496640, 1728497663, 'MY', 'Malaysia'),
(70413, '103.6.200.0', '103.6.207.255', 1728497664, 1728499711, 'ID', 'Indonesia'),
(70414, '103.6.208.0', '103.6.211.255', 1728499712, 1728500735, 'AU', 'Australia'),
(70415, '103.6.212.0', '103.6.213.255', 1728500736, 1728501247, 'NZ', 'New Zealand'),
(70416, '103.6.214.0', '103.6.214.255', 1728501248, 1728501503, 'ID', 'Indonesia'),
(70417, '103.6.215.0', '103.6.219.255', 1728501504, 1728502783, 'AU', 'Australia'),
(70418, '103.6.220.0', '103.6.223.255', 1728502784, 1728503807, 'CN', 'China'),
(70419, '103.6.224.0', '103.6.231.255', 1728503808, 1728505855, 'JP', 'Japan'),
(70420, '103.6.232.0', '103.6.235.255', 1728505856, 1728506879, 'NZ', 'New Zealand'),
(70421, '103.6.236.0', '103.6.239.255', 1728506880, 1728507903, 'MY', 'Malaysia'),
(70422, '103.6.240.0', '103.6.243.255', 1728507904, 1728508927, 'JP', 'Japan'),
(70423, '103.6.244.0', '103.6.247.255', 1728508928, 1728509951, 'MY', 'Malaysia'),
(70424, '103.6.248.0', '103.6.251.255', 1728509952, 1728510975, 'PH', 'Philippines'),
(70425, '103.6.252.0', '103.6.255.255', 1728510976, 1728511999, 'AU', 'Australia'),
(70426, '103.7.0.0', '103.7.1.255', 1728512000, 1728512511, 'ID', 'Indonesia'),
(70427, '103.7.2.0', '103.7.2.255', 1728512512, 1728512767, 'SG', 'Singapore'),
(70428, '103.7.3.0', '103.7.3.255', 1728512768, 1728513023, 'IN', 'India'),
(70429, '103.7.4.0', '103.7.7.255', 1728513024, 1728514047, 'CN', 'China'),
(70430, '103.7.8.0', '103.7.11.255', 1728514048, 1728515071, 'SG', 'Singapore'),
(70431, '103.7.12.0', '103.7.15.255', 1728515072, 1728516095, 'ID', 'Indonesia'),
(70432, '103.7.16.0', '103.7.19.255', 1728516096, 1728517119, 'TH', 'Thailand'),
(70433, '103.7.20.0', '103.7.23.255', 1728517120, 1728518143, 'JP', 'Japan'),
(70434, '103.7.24.0', '103.7.27.255', 1728518144, 1728519167, 'KH', 'Cambodia'),
(70435, '103.7.28.0', '103.7.31.255', 1728519168, 1728520191, 'CN', 'China'),
(70436, '103.7.32.0', '103.7.35.255', 1728520192, 1728521215, 'KR', 'Korea, Republic of'),
(70437, '103.7.36.0', '103.7.43.255', 1728521216, 1728523263, 'VN', 'Vietnam'),
(70438, '103.7.44.0', '103.7.51.255', 1728523264, 1728525311, 'AU', 'Australia'),
(70439, '103.7.52.0', '103.7.53.255', 1728525312, 1728525823, 'ID', 'Indonesia'),
(70440, '103.7.54.0', '103.7.55.255', 1728525824, 1728526335, 'HK', 'Hong Kong'),
(70441, '103.7.56.0', '103.7.59.255', 1728526336, 1728527359, 'TH', 'Thailand'),
(70442, '103.7.60.0', '103.7.63.255', 1728527360, 1728528383, 'PK', 'Pakistan'),
(70443, '103.7.64.0', '103.7.67.255', 1728528384, 1728529407, 'IN', 'India'),
(70444, '103.7.68.0', '103.7.71.255', 1728529408, 1728530431, 'MY', 'Malaysia'),
(70445, '103.7.72.0', '103.7.75.255', 1728530432, 1728531455, 'AU', 'Australia'),
(70446, '103.7.76.0', '103.7.79.255', 1728531456, 1728532479, 'PK', 'Pakistan'),
(70447, '103.7.80.0', '103.7.83.255', 1728532480, 1728533503, 'IN', 'India'),
(70448, '103.7.84.0', '103.7.87.255', 1728533504, 1728534527, 'ID', 'Indonesia'),
(70449, '103.7.88.0', '103.7.91.255', 1728534528, 1728535551, 'AU', 'Australia'),
(70450, '103.7.92.0', '103.7.95.255', 1728535552, 1728536575, 'JP', 'Japan'),
(70451, '103.7.96.0', '103.7.97.255', 1728536576, 1728537087, 'NZ', 'New Zealand'),
(70452, '103.7.98.0', '103.7.99.255', 1728537088, 1728537599, 'AU', 'Australia'),
(70453, '103.7.100.0', '103.7.103.255', 1728537600, 1728538623, 'GU', 'Guam'),
(70454, '103.7.104.0', '103.7.107.255', 1728538624, 1728539647, 'AF', 'Afghanistan'),
(70455, '103.7.108.0', '103.7.111.255', 1728539648, 1728540671, 'IN', 'India'),
(70456, '103.7.112.0', '103.7.115.255', 1728540672, 1728541695, 'BD', 'Bangladesh'),
(70457, '103.7.116.0', '103.7.123.255', 1728541696, 1728543743, 'JP', 'Japan'),
(70458, '103.7.124.0', '103.7.127.255', 1728543744, 1728544767, 'SG', 'Singapore'),
(70459, '103.7.128.0', '103.7.131.255', 1728544768, 1728545791, 'IN', 'India'),
(70460, '103.7.132.0', '103.7.135.255', 1728545792, 1728546815, 'JP', 'Japan'),
(70461, '103.7.136.0', '103.7.139.255', 1728546816, 1728547839, 'AU', 'Australia'),
(70462, '103.7.140.0', '103.7.143.255', 1728547840, 1728548863, 'MY', 'Malaysia'),
(70463, '103.7.144.0', '103.7.144.255', 1728548864, 1728549119, 'KH', 'Cambodia'),
(70464, '103.7.145.0', '103.7.145.255', 1728549120, 1728549375, 'IN', 'India'),
(70465, '103.7.146.0', '103.7.146.255', 1728549376, 1728549631, 'PH', 'Philippines'),
(70466, '103.7.147.0', '103.7.147.255', 1728549632, 1728549887, 'AU', 'Australia'),
(70467, '103.7.148.0', '103.7.151.255', 1728549888, 1728550911, 'IN', 'India'),
(70468, '103.7.152.0', '103.7.155.255', 1728550912, 1728551935, 'JP', 'Japan'),
(70469, '103.7.156.0', '103.7.159.255', 1728551936, 1728552959, 'MY', 'Malaysia'),
(70470, '103.7.160.0', '103.7.163.255', 1728552960, 1728553983, 'HK', 'Hong Kong'),
(70471, '103.7.164.0', '103.7.167.255', 1728553984, 1728555007, 'AU', 'Australia'),
(70472, '103.7.168.0', '103.7.171.255', 1728555008, 1728556031, 'NZ', 'New Zealand'),
(70473, '103.7.172.0', '103.7.172.255', 1728556032, 1728556287, 'VN', 'Vietnam'),
(70474, '103.7.173.0', '103.7.173.255', 1728556288, 1728556543, 'ID', 'Indonesia'),
(70475, '103.7.174.0', '103.7.175.255', 1728556544, 1728557055, 'VN', 'Vietnam'),
(70476, '103.7.176.0', '103.7.176.255', 1728557056, 1728557311, 'ID', 'Indonesia'),
(70477, '103.7.177.0', '103.7.177.255', 1728557312, 1728557567, 'VN', 'Vietnam'),
(70478, '103.7.178.0', '103.7.179.255', 1728557568, 1728558079, 'ID', 'Indonesia'),
(70479, '103.7.180.0', '103.7.183.255', 1728558080, 1728559103, 'IN', 'India'),
(70480, '103.7.184.0', '103.7.187.255', 1728559104, 1728560127, 'ID', 'Indonesia'),
(70481, '103.7.188.0', '103.7.189.255', 1728560128, 1728560639, 'AU', 'Australia'),
(70482, '103.7.190.0', '103.7.191.255', 1728560640, 1728561151, 'HK', 'Hong Kong'),
(70483, '103.7.192.0', '103.7.195.255', 1728561152, 1728562175, 'AU', 'Australia'),
(70484, '103.7.196.0', '103.7.196.255', 1728562176, 1728562431, 'VN', 'Vietnam'),
(70485, '103.7.197.0', '103.7.197.255', 1728562432, 1728562687, 'VU', 'Vanuatu'),
(70486, '103.7.198.0', '103.7.199.255', 1728562688, 1728563199, 'JP', 'Japan'),
(70487, '103.7.200.0', '103.7.203.255', 1728563200, 1728564223, 'SG', 'Singapore'),
(70488, '103.7.204.0', '103.7.207.255', 1728564224, 1728565247, 'IN', 'India'),
(70489, '103.7.208.0', '103.7.211.255', 1728565248, 1728566271, 'JP', 'Japan'),
(70490, '103.7.212.0', '103.7.223.255', 1728566272, 1728569343, 'CN', 'China'),
(70491, '103.7.224.0', '103.7.224.255', 1728569344, 1728569599, 'PH', 'Philippines'),
(70492, '103.7.225.0', '103.7.231.255', 1728569600, 1728571391, 'ID', 'Indonesia'),
(70493, '103.7.232.0', '103.7.235.255', 1728571392, 1728572415, 'AU', 'Australia'),
(70494, '103.7.236.0', '103.7.239.255', 1728572416, 1728573439, 'JP', 'Japan'),
(70495, '103.7.240.0', '103.7.243.255', 1728573440, 1728574463, 'HK', 'Hong Kong'),
(70496, '103.7.244.0', '103.7.247.255', 1728574464, 1728575487, 'KR', 'Korea, Republic of'),
(70497, '103.7.248.0', '103.7.251.255', 1728575488, 1728576511, 'BD', 'Bangladesh'),
(70498, '103.7.252.0', '103.7.255.255', 1728576512, 1728577535, 'BT', 'Bhutan'),
(70499, '103.8.0.0', '103.8.3.255', 1728577536, 1728578559, 'KH', 'Cambodia'),
(70500, '103.8.4.0', '103.8.11.255', 1728578560, 1728580607, 'CN', 'China'),
(70501, '103.8.12.0', '103.8.12.255', 1728580608, 1728580863, 'ID', 'Indonesia'),
(70502, '103.8.13.0', '103.8.13.255', 1728580864, 1728581119, 'VN', 'Vietnam'),
(70503, '103.8.14.0', '103.8.15.255', 1728581120, 1728581631, 'PK', 'Pakistan'),
(70504, '103.8.16.0', '103.8.19.255', 1728581632, 1728582655, 'NZ', 'New Zealand'),
(70505, '103.8.20.0', '103.8.23.255', 1728582656, 1728583679, 'JP', 'Japan'),
(70506, '103.8.24.0', '103.8.27.255', 1728583680, 1728584703, 'MY', 'Malaysia'),
(70507, '103.8.28.0', '103.8.29.255', 1728584704, 1728585215, 'AU', 'Australia'),
(70508, '103.8.30.0', '103.8.31.255', 1728585216, 1728585727, 'SG', 'Singapore'),
(70509, '103.8.32.0', '103.8.35.255', 1728585728, 1728586751, 'CN', 'China'),
(70510, '103.8.36.0', '103.8.47.255', 1728586752, 1728589823, 'IN', 'India'),
(70511, '103.8.48.0', '103.8.51.255', 1728589824, 1728590847, 'JP', 'Japan'),
(70512, '103.8.52.0', '103.8.55.255', 1728590848, 1728591871, 'CN', 'China'),
(70513, '103.8.56.0', '103.8.59.255', 1728591872, 1728592895, 'ID', 'Indonesia'),
(70514, '103.8.60.0', '103.8.60.255', 1728592896, 1728593151, 'MN', 'Mongolia'),
(70515, '103.8.61.0', '103.8.61.255', 1728593152, 1728593407, 'AU', 'Australia'),
(70516, '103.8.62.0', '103.8.62.255', 1728593408, 1728593663, 'IN', 'India'),
(70517, '103.8.63.0', '103.8.63.255', 1728593664, 1728593919, 'ID', 'Indonesia'),
(70518, '103.8.64.0', '103.8.71.255', 1728593920, 1728595967, 'JP', 'Japan'),
(70519, '103.8.72.0', '103.8.73.255', 1728595968, 1728596479, 'NZ', 'New Zealand'),
(70520, '103.8.74.0', '103.8.79.255', 1728596480, 1728598015, 'ID', 'Indonesia'),
(70521, '103.8.80.0', '103.8.83.255', 1728598016, 1728599039, 'NZ', 'New Zealand'),
(70522, '103.8.84.0', '103.8.95.255', 1728599040, 1728602111, 'JP', 'Japan'),
(70523, '103.8.96.0', '103.8.99.255', 1728602112, 1728603135, 'ID', 'Indonesia'),
(70524, '103.8.100.0', '103.8.103.255', 1728603136, 1728604159, 'KR', 'Korea, Republic of'),
(70525, '103.8.104.0', '103.8.107.255', 1728604160, 1728605183, 'TW', 'Taiwan'),
(70526, '103.8.108.0', '103.8.111.255', 1728605184, 1728606207, 'CN', 'China'),
(70527, '103.8.112.0', '103.8.115.255', 1728606208, 1728607231, 'PK', 'Pakistan'),
(70528, '103.8.116.0', '103.8.119.255', 1728607232, 1728608255, 'IN', 'India'),
(70529, '103.8.120.0', '103.8.120.255', 1728608256, 1728608511, 'SG', 'Singapore'),
(70530, '103.8.121.0', '103.8.121.255', 1728608512, 1728608767, 'IN', 'India'),
(70531, '103.8.122.0', '103.8.122.255', 1728608768, 1728609023, 'ID', 'Indonesia'),
(70532, '103.8.123.0', '103.8.127.255', 1728609024, 1728610303, 'IN', 'India'),
(70533, '103.8.128.0', '103.8.131.255', 1728610304, 1728611327, 'TH', 'Thailand'),
(70534, '103.8.132.0', '103.8.139.255', 1728611328, 1728613375, 'AU', 'Australia'),
(70535, '103.8.140.0', '103.8.143.255', 1728613376, 1728614399, 'NZ', 'New Zealand'),
(70536, '103.8.144.0', '103.8.147.255', 1728614400, 1728615423, 'MY', 'Malaysia'),
(70537, '103.8.148.0', '103.8.151.255', 1728615424, 1728616447, 'IN', 'India'),
(70538, '103.8.152.0', '103.8.155.255', 1728616448, 1728617471, 'SG', 'Singapore'),
(70539, '103.8.156.0', '103.8.159.255', 1728617472, 1728618495, 'CN', 'China'),
(70540, '103.8.160.0', '103.8.163.255', 1728618496, 1728619519, 'MY', 'Malaysia'),
(70541, '103.8.164.0', '103.8.167.255', 1728619520, 1728620543, 'IN', 'India'),
(70542, '103.8.168.0', '103.8.175.255', 1728620544, 1728622591, 'AU', 'Australia'),
(70543, '103.8.176.0', '103.8.183.255', 1728622592, 1728624639, 'SG', 'Singapore'),
(70544, '103.8.184.0', '103.8.187.255', 1728624640, 1728625663, 'JP', 'Japan'),
(70545, '103.8.188.0', '103.8.189.255', 1728625664, 1728626175, 'IN', 'India'),
(70546, '103.8.190.0', '103.8.190.255', 1728626176, 1728626431, 'JP', 'Japan'),
(70547, '103.8.191.0', '103.8.191.255', 1728626432, 1728626687, 'HK', 'Hong Kong'),
(70548, '103.8.192.0', '103.8.195.255', 1728626688, 1728627711, 'IN', 'India'),
(70549, '103.8.196.0', '103.8.199.255', 1728627712, 1728628735, 'JP', 'Japan'),
(70550, '103.8.200.0', '103.8.207.255', 1728628736, 1728630783, 'CN', 'China'),
(70551, '103.8.208.0', '103.8.211.255', 1728630784, 1728631807, 'TH', 'Thailand'),
(70552, '103.8.212.0', '103.8.213.255', 1728631808, 1728632319, 'SG', 'Singapore'),
(70553, '103.8.214.0', '103.8.214.255', 1728632320, 1728632575, 'PK', 'Pakistan'),
(70554, '103.8.215.0', '103.8.219.255', 1728632576, 1728633855, 'IN', 'India'),
(70555, '103.8.220.0', '103.8.223.255', 1728633856, 1728634879, 'CN', 'China'),
(70556, '103.8.224.0', '103.8.228.255', 1728634880, 1728636159, 'ID', 'Indonesia'),
(70557, '103.8.229.0', '103.8.229.255', 1728636160, 1728636415, 'AU', 'Australia'),
(70558, '103.8.230.0', '103.8.230.255', 1728636416, 1728636671, 'KR', 'Korea, Republic of'),
(70559, '103.8.231.0', '103.8.231.255', 1728636672, 1728636927, 'PK', 'Pakistan'),
(70560, '103.8.232.0', '103.8.235.255', 1728636928, 1728637951, 'NZ', 'New Zealand'),
(70561, '103.8.236.0', '103.8.237.255', 1728637952, 1728638463, 'AU', 'Australia'),
(70562, '103.8.238.0', '103.8.238.255', 1728638464, 1728638719, 'ID', 'Indonesia'),
(70563, '103.8.239.0', '103.8.239.255', 1728638720, 1728638975, 'AU', 'Australia'),
(70564, '103.8.240.0', '103.8.243.255', 1728638976, 1728639999, 'JP', 'Japan'),
(70565, '103.8.244.0', '103.8.247.255', 1728640000, 1728641023, 'ID', 'Indonesia'),
(70566, '103.8.248.0', '103.8.251.255', 1728641024, 1728642047, 'IN', 'India'),
(70567, '103.8.252.0', '103.8.255.255', 1728642048, 1728643071, 'NZ', 'New Zealand'),
(70568, '103.9.0.0', '103.9.7.255', 1728643072, 1728645119, 'VN', 'Vietnam'),
(70569, '103.9.8.0', '103.9.11.255', 1728645120, 1728646143, 'SG', 'Singapore'),
(70570, '103.9.12.0', '103.9.15.255', 1728646144, 1728647167, 'IN', 'India'),
(70571, '103.9.16.0', '103.9.21.255', 1728647168, 1728648703, 'AU', 'Australia'),
(70572, '103.9.22.0', '103.9.22.255', 1728648704, 1728648959, 'ID', 'Indonesia'),
(70573, '103.9.23.0', '103.9.23.255', 1728648960, 1728649215, 'PK', 'Pakistan'),
(70574, '103.9.28.0', '103.9.31.255', 1728650240, 1728651263, 'JP', 'Japan'),
(70575, '103.9.32.0', '103.9.35.255', 1728651264, 1728652287, 'KR', 'Korea, Republic of'),
(70576, '103.9.36.0', '103.9.39.255', 1728652288, 1728653311, 'ID', 'Indonesia'),
(70577, '103.9.40.0', '103.9.43.255', 1728653312, 1728654335, 'NZ', 'New Zealand'),
(70578, '103.9.44.0', '103.9.47.255', 1728654336, 1728655359, 'ID', 'Indonesia'),
(70579, '103.9.48.0', '103.9.49.255', 1728655360, 1728655871, 'IN', 'India'),
(70580, '103.9.50.0', '103.9.50.255', 1728655872, 1728656127, 'SB', 'Solomon Islands'),
(70581, '103.9.51.0', '103.9.51.255', 1728656128, 1728656383, 'HK', 'Hong Kong'),
(70582, '103.9.52.0', '103.9.71.255', 1728656384, 1728661503, 'AU', 'Australia'),
(70583, '103.9.72.0', '103.9.75.255', 1728661504, 1728662527, 'IN', 'India'),
(70584, '103.9.76.0', '103.9.87.255', 1728662528, 1728665599, 'VN', 'Vietnam'),
(70585, '103.9.88.0', '103.9.91.255', 1728665600, 1728666623, 'MN', 'Mongolia'),
(70586, '103.9.92.0', '103.9.99.255', 1728666624, 1728668671, 'JP', 'Japan'),
(70587, '103.9.100.0', '103.9.103.255', 1728668672, 1728669695, 'SG', 'Singapore'),
(70588, '103.9.104.0', '103.9.105.255', 1728669696, 1728670207, 'BD', 'Bangladesh'),
(70589, '103.9.106.0', '103.9.106.255', 1728670208, 1728670463, 'NZ', 'New Zealand'),
(70590, '103.9.107.0', '103.9.107.255', 1728670464, 1728670719, 'FJ', 'Fiji'),
(70591, '103.9.108.0', '103.9.111.255', 1728670720, 1728671743, 'JP', 'Japan'),
(70592, '103.9.112.0', '103.9.115.255', 1728671744, 1728672767, 'BD', 'Bangladesh'),
(70593, '103.9.116.0', '103.9.119.255', 1728672768, 1728673791, 'TW', 'Taiwan'),
(70594, '103.9.120.0', '103.9.123.255', 1728673792, 1728674815, 'JP', 'Japan'),
(70595, '103.9.124.0', '103.9.127.255', 1728674816, 1728675839, 'ID', 'Indonesia'),
(70596, '103.9.128.0', '103.9.131.255', 1728675840, 1728676863, 'KR', 'Korea, Republic of'),
(70597, '103.9.132.0', '103.9.135.255', 1728676864, 1728677887, 'IN', 'India'),
(70598, '103.9.136.0', '103.9.139.255', 1728677888, 1728678911, 'BD', 'Bangladesh'),
(70599, '103.9.140.0', '103.9.143.255', 1728678912, 1728679935, 'PG', 'Papua New Guinea'),
(70600, '103.9.144.0', '103.9.147.255', 1728679936, 1728680959, 'ID', 'Indonesia'),
(70601, '103.9.148.0', '103.9.151.255', 1728680960, 1728681983, 'MY', 'Malaysia'),
(70602, '103.9.152.0', '103.9.155.255', 1728681984, 1728683007, 'CN', 'China'),
(70603, '103.9.156.0', '103.9.159.255', 1728683008, 1728684031, 'BD', 'Bangladesh'),
(70604, '103.9.160.0', '103.9.163.255', 1728684032, 1728685055, 'AU', 'Australia'),
(70605, '103.9.164.0', '103.9.167.255', 1728685056, 1728686079, 'JP', 'Japan'),
(70606, '103.9.168.0', '103.9.171.255', 1728686080, 1728687103, 'AU', 'Australia'),
(70607, '103.9.172.0', '103.9.180.255', 1728687104, 1728689407, 'JP', 'Japan'),
(70608, '103.9.181.0', '103.9.181.255', 1728689408, 1728689663, 'BD', 'Bangladesh'),
(70609, '103.9.182.0', '103.9.182.255', 1728689664, 1728689919, 'PK', 'Pakistan'),
(70610, '103.9.183.0', '103.9.183.255', 1728689920, 1728690175, 'SG', 'Singapore'),
(70611, '103.9.184.0', '103.9.187.255', 1728690176, 1728691199, 'BD', 'Bangladesh'),
(70612, '103.9.188.0', '103.9.191.255', 1728691200, 1728692223, 'KH', 'Cambodia'),
(70613, '103.9.192.0', '103.9.195.255', 1728692224, 1728693247, 'JP', 'Japan'),
(70614, '103.9.196.0', '103.9.215.255', 1728693248, 1728698367, 'VN', 'Vietnam'),
(70615, '103.9.216.0', '103.9.219.255', 1728698368, 1728699391, 'NZ', 'New Zealand'),
(70616, '103.9.220.0', '103.9.221.255', 1728699392, 1728699903, 'BD', 'Bangladesh'),
(70617, '103.9.222.0', '103.9.223.255', 1728699904, 1728700415, 'IN', 'India'),
(70618, '103.9.224.0', '103.9.224.255', 1728700416, 1728700671, 'BD', 'Bangladesh'),
(70619, '103.9.225.0', '103.9.225.255', 1728700672, 1728700927, 'IN', 'India'),
(70620, '103.9.226.0', '103.9.226.255', 1728700928, 1728701183, 'PG', 'Papua New Guinea'),
(70621, '103.9.227.0', '103.9.227.255', 1728701184, 1728701439, 'ID', 'Indonesia'),
(70622, '103.9.228.0', '103.9.231.255', 1728701440, 1728702463, 'WS', 'Samoa'),
(70623, '103.9.232.0', '103.9.235.255', 1728702464, 1728703487, 'IN', 'India'),
(70624, '103.9.236.0', '103.9.239.255', 1728703488, 1728704511, 'NZ', 'New Zealand'),
(70625, '103.9.240.0', '103.9.243.255', 1728704512, 1728705535, 'AU', 'Australia'),
(70626, '103.9.244.0', '103.9.247.255', 1728705536, 1728706559, 'HK', 'Hong Kong'),
(70627, '103.9.248.0', '103.10.3.255', 1728706560, 1728709631, 'CN', 'China'),
(70628, '103.10.4.0', '103.10.7.255', 1728709632, 1728710655, 'TW', 'Taiwan'),
(70629, '103.10.8.0', '103.10.8.255', 1728710656, 1728710911, 'AU', 'Australia'),
(70630, '103.10.9.0', '103.10.9.255', 1728710912, 1728711167, 'IN', 'India'),
(70631, '103.10.11.0', '103.10.11.255', 1728711424, 1728711679, 'AU', 'Australia'),
(70632, '103.10.12.0', '103.10.15.255', 1728711680, 1728712703, 'HK', 'Hong Kong'),
(70633, '103.10.16.0', '103.10.19.255', 1728712704, 1728713727, 'CN', 'China'),
(70634, '103.10.20.0', '103.10.23.255', 1728713728, 1728714751, 'MN', 'Mongolia'),
(70635, '103.10.24.0', '103.10.27.255', 1728714752, 1728715775, 'IN', 'India'),
(70636, '103.10.28.0', '103.10.31.255', 1728715776, 1728716799, 'NP', 'Nepal'),
(70637, '103.10.32.0', '103.10.35.255', 1728716800, 1728717823, 'AU', 'Australia'),
(70638, '103.10.36.0', '103.10.39.255', 1728717824, 1728718847, 'JP', 'Japan'),
(70639, '103.10.40.0', '103.10.43.255', 1728718848, 1728719871, 'MY', 'Malaysia'),
(70640, '103.10.44.0', '103.10.47.255', 1728719872, 1728720895, 'NZ', 'New Zealand'),
(70641, '103.10.48.0', '103.10.51.255', 1728720896, 1728721919, 'AU', 'Australia'),
(70642, '103.10.52.0', '103.10.55.255', 1728721920, 1728722943, 'BD', 'Bangladesh'),
(70643, '103.10.56.0', '103.10.56.255', 1728722944, 1728723199, 'ID', 'Indonesia'),
(70644, '103.10.57.0', '103.10.57.255', 1728723200, 1728723455, 'AU', 'Australia'),
(70645, '103.10.58.0', '103.10.67.255', 1728723456, 1728726015, 'ID', 'Indonesia'),
(70646, '103.10.68.0', '103.10.71.255', 1728726016, 1728727039, 'JP', 'Japan'),
(70647, '103.10.72.0', '103.10.75.255', 1728727040, 1728728063, 'AU', 'Australia'),
(70648, '103.10.76.0', '103.10.79.255', 1728728064, 1728729087, 'BD', 'Bangladesh'),
(70649, '103.10.80.0', '103.10.81.255', 1728729088, 1728729599, 'ID', 'Indonesia'),
(70650, '103.10.82.0', '103.10.83.255', 1728729600, 1728730111, 'AU', 'Australia'),
(70651, '103.10.84.0', '103.10.87.255', 1728730112, 1728731135, 'CN', 'China'),
(70652, '103.10.88.0', '103.10.91.255', 1728731136, 1728732159, 'VN', 'Vietnam'),
(70653, '103.10.92.0', '103.10.95.255', 1728732160, 1728733183, 'KR', 'Korea, Republic of'),
(70654, '103.10.96.0', '103.10.99.255', 1728733184, 1728734207, 'ID', 'Indonesia'),
(70655, '103.10.100.0', '103.10.103.255', 1728734208, 1728735231, 'SG', 'Singapore'),
(70656, '103.10.104.0', '103.10.107.255', 1728735232, 1728736255, 'ID', 'Indonesia'),
(70657, '103.10.108.0', '103.10.108.255', 1728736256, 1728736511, 'HK', 'Hong Kong'),
(70658, '103.10.109.0', '103.10.109.255', 1728736512, 1728736767, 'IN', 'India'),
(70659, '103.10.110.0', '103.10.110.255', 1728736768, 1728737023, 'ID', 'Indonesia'),
(70660, '103.10.111.0', '103.10.111.255', 1728737024, 1728737279, 'CN', 'China'),
(70661, '103.10.112.0', '103.10.115.255', 1728737280, 1728738303, 'JP', 'Japan'),
(70662, '103.10.116.0', '103.10.119.255', 1728738304, 1728739327, 'IN', 'India'),
(70663, '103.10.120.0', '103.10.123.255', 1728739328, 1728740351, 'ID', 'Indonesia'),
(70664, '103.10.124.0', '103.10.125.255', 1728740352, 1728740863, 'HK', 'Hong Kong'),
(70665, '103.10.126.0', '103.10.126.255', 1728740864, 1728741119, 'AU', 'Australia'),
(70666, '103.10.127.0', '103.10.127.255', 1728741120, 1728741375, 'IN', 'India'),
(70667, '103.10.128.0', '103.10.131.255', 1728741376, 1728742399, 'ID', 'Indonesia'),
(70668, '103.10.132.0', '103.10.135.255', 1728742400, 1728743423, 'IN', 'India'),
(70669, '103.10.136.0', '103.10.139.255', 1728743424, 1728744447, 'ID', 'Indonesia'),
(70670, '103.10.140.0', '103.10.143.255', 1728744448, 1728745471, 'CN', 'China'),
(70671, '103.10.144.0', '103.10.151.255', 1728745472, 1728747519, 'ID', 'Indonesia'),
(70672, '103.10.152.0', '103.10.155.255', 1728747520, 1728748543, 'PH', 'Philippines'),
(70673, '103.10.156.0', '103.10.163.255', 1728748544, 1728750591, 'MY', 'Malaysia'),
(70674, '103.10.164.0', '103.10.167.255', 1728750592, 1728751615, 'JP', 'Japan'),
(70675, '103.10.168.0', '103.10.168.255', 1728751616, 1728751871, 'IN', 'India'),
(70676, '103.10.169.0', '103.10.171.255', 1728751872, 1728752639, 'ID', 'Indonesia'),
(70677, '103.10.172.0', '103.10.175.255', 1728752640, 1728753663, 'LK', 'Sri Lanka'),
(70678, '103.10.176.0', '103.10.179.255', 1728753664, 1728754687, 'PH', 'Philippines'),
(70679, '103.10.180.0', '103.10.183.255', 1728754688, 1728755711, 'IN', 'India'),
(70680, '103.10.184.0', '103.10.187.255', 1728755712, 1728756735, 'ID', 'Indonesia'),
(70681, '103.10.188.0', '103.10.191.255', 1728756736, 1728757759, 'IN', 'India'),
(70682, '103.10.192.0', '103.10.195.255', 1728757760, 1728758783, 'JP', 'Japan'),
(70683, '103.10.196.0', '103.10.196.255', 1728758784, 1728759039, 'MY', 'Malaysia'),
(70684, '103.10.197.0', '103.10.197.255', 1728759040, 1728759295, 'HK', 'Hong Kong'),
(70685, '103.10.198.0', '103.10.198.255', 1728759296, 1728759551, 'SG', 'Singapore'),
(70686, '103.10.199.0', '103.10.199.255', 1728759552, 1728759807, 'HK', 'Hong Kong'),
(70687, '103.10.200.0', '103.10.203.255', 1728759808, 1728760831, 'PH', 'Philippines'),
(70688, '103.10.204.0', '103.10.207.255', 1728760832, 1728761855, 'TW', 'Taiwan'),
(70689, '103.10.208.0', '103.10.211.255', 1728761856, 1728762879, 'IN', 'India'),
(70690, '103.10.212.0', '103.10.215.255', 1728762880, 1728763903, 'VN', 'Vietnam'),
(70691, '103.10.216.0', '103.10.219.255', 1728763904, 1728764927, 'KR', 'Korea, Republic of'),
(70692, '103.10.220.0', '103.10.221.255', 1728764928, 1728765439, 'SG', 'Singapore'),
(70693, '103.10.222.0', '103.10.222.255', 1728765440, 1728765695, 'IN', 'India'),
(70694, '103.10.223.0', '103.10.223.255', 1728765696, 1728765951, 'ID', 'Indonesia'),
(70695, '103.10.224.0', '103.10.227.255', 1728765952, 1728766975, 'IN', 'India'),
(70696, '103.10.228.0', '103.10.231.255', 1728766976, 1728767999, 'TH', 'Thailand'),
(70697, '103.10.232.0', '103.10.232.255', 1728768000, 1728768255, 'AU', 'Australia'),
(70698, '103.10.233.0', '103.10.233.255', 1728768256, 1728768511, 'NZ', 'New Zealand'),
(70699, '103.10.234.0', '103.10.235.255', 1728768512, 1728769023, 'IN', 'India'),
(70700, '103.10.236.0', '103.10.239.255', 1728769024, 1728770047, 'HK', 'Hong Kong'),
(70701, '103.10.240.0', '103.10.247.255', 1728770048, 1728772095, 'JP', 'Japan'),
(70702, '103.10.248.0', '103.10.252.255', 1728772096, 1728773375, 'IN', 'India'),
(70703, '103.10.253.0', '103.10.253.255', 1728773376, 1728773631, 'ID', 'Indonesia'),
(70704, '103.10.254.0', '103.10.255.255', 1728773632, 1728774143, 'PH', 'Philippines'),
(70705, '103.11.0.0', '103.11.3.255', 1728774144, 1728775167, 'AU', 'Australia'),
(70706, '103.11.4.0', '103.11.7.255', 1728775168, 1728776191, 'JP', 'Japan'),
(70707, '103.11.8.0', '103.11.11.255', 1728776192, 1728777215, 'AU', 'Australia'),
(70708, '103.11.12.0', '103.11.15.255', 1728777216, 1728778239, 'TH', 'Thailand'),
(70709, '103.11.16.0', '103.11.19.255', 1728778240, 1728779263, 'JP', 'Japan'),
(70710, '103.11.20.0', '103.11.20.255', 1728779264, 1728779519, 'IN', 'India'),
(70711, '103.11.21.0', '103.11.21.255', 1728779520, 1728779775, 'NZ', 'New Zealand'),
(70712, '103.11.22.0', '103.11.23.255', 1728779776, 1728780287, 'ID', 'Indonesia'),
(70713, '103.11.24.0', '103.11.27.255', 1728780288, 1728781311, 'KR', 'Korea, Republic of'),
(70714, '103.11.28.0', '103.11.31.255', 1728781312, 1728782335, 'ID', 'Indonesia'),
(70715, '103.11.32.0', '103.11.35.255', 1728782336, 1728783359, 'LK', 'Sri Lanka'),
(70716, '103.11.36.0', '103.11.39.255', 1728783360, 1728784383, 'HK', 'Hong Kong'),
(70717, '103.11.40.0', '103.11.43.255', 1728784384, 1728785407, 'PH', 'Philippines'),
(70718, '103.11.44.0', '103.11.47.255', 1728785408, 1728786431, 'KR', 'Korea, Republic of'),
(70719, '103.11.48.0', '103.11.51.255', 1728786432, 1728787455, 'SG', 'Singapore'),
(70720, '103.11.52.0', '103.11.55.255', 1728787456, 1728788479, 'AU', 'Australia'),
(70721, '103.11.56.0', '103.11.59.255', 1728788480, 1728789503, 'KR', 'Korea, Republic of'),
(70722, '103.11.60.0', '103.11.63.255', 1728789504, 1728790527, 'PK', 'Pakistan'),
(70723, '103.11.64.0', '103.11.67.255', 1728790528, 1728791551, 'PH', 'Philippines'),
(70724, '103.11.68.0', '103.11.71.255', 1728791552, 1728792575, 'PK', 'Pakistan'),
(70725, '103.11.72.0', '103.11.73.255', 1728792576, 1728793087, 'NZ', 'New Zealand'),
(70726, '103.11.74.0', '103.11.75.255', 1728793088, 1728793599, 'ID', 'Indonesia'),
(70727, '103.11.76.0', '103.11.79.255', 1728793600, 1728794623, 'AU', 'Australia'),
(70728, '103.11.80.0', '103.11.87.255', 1728794624, 1728796671, 'IN', 'India'),
(70729, '103.11.88.0', '103.11.95.255', 1728796672, 1728798719, 'HK', 'Hong Kong'),
(70730, '103.11.96.0', '103.11.99.255', 1728798720, 1728799743, 'ID', 'Indonesia'),
(70731, '103.11.100.0', '103.11.105.255', 1728799744, 1728801279, 'HK', 'Hong Kong'),
(70732, '103.11.106.0', '103.11.107.255', 1728801280, 1728801791, 'ID', 'Indonesia'),
(70733, '103.11.108.0', '103.11.111.255', 1728801792, 1728802815, 'HK', 'Hong Kong'),
(70734, '103.11.112.0', '103.11.115.255', 1728802816, 1728803839, 'PH', 'Philippines'),
(70735, '103.11.116.0', '103.11.119.255', 1728803840, 1728804863, 'IN', 'India'),
(70736, '103.11.120.0', '103.11.123.255', 1728804864, 1728805887, 'JP', 'Japan'),
(70737, '103.11.124.0', '103.11.127.255', 1728805888, 1728806911, 'NZ', 'New Zealand'),
(70738, '103.11.128.0', '103.11.131.255', 1728806912, 1728807935, 'KR', 'Korea, Republic of'),
(70739, '103.11.132.0', '103.11.135.255', 1728807936, 1728808959, 'ID', 'Indonesia'),
(70740, '103.11.136.0', '103.11.139.255', 1728808960, 1728809983, 'BD', 'Bangladesh'),
(70741, '103.11.140.0', '103.11.141.255', 1728809984, 1728810495, 'SG', 'Singapore'),
(70742, '103.11.142.0', '103.11.142.255', 1728810496, 1728810751, 'AU', 'Australia'),
(70743, '103.11.143.0', '103.11.143.255', 1728810752, 1728811007, 'SG', 'Singapore'),
(70744, '103.11.144.0', '103.11.147.255', 1728811008, 1728812031, 'AU', 'Australia'),
(70745, '103.11.148.0', '103.11.149.255', 1728812032, 1728812543, 'ID', 'Indonesia'),
(70746, '103.11.150.0', '103.11.151.255', 1728812544, 1728813055, 'SG', 'Singapore'),
(70747, '103.11.152.0', '103.11.155.255', 1728813056, 1728814079, 'IN', 'India'),
(70748, '103.11.156.0', '103.11.159.255', 1728814080, 1728815103, 'JP', 'Japan'),
(70749, '103.11.160.0', '103.11.171.255', 1728815104, 1728818175, 'AU', 'Australia'),
(70750, '103.11.172.0', '103.11.175.255', 1728818176, 1728819199, 'VN', 'Vietnam'),
(70751, '103.11.176.0', '103.11.177.255', 1728819200, 1728819711, 'ID', 'Indonesia'),
(70752, '103.11.178.0', '103.11.178.255', 1728819712, 1728819967, 'NZ', 'New Zealand'),
(70753, '103.11.179.0', '103.11.179.255', 1728819968, 1728820223, 'ID', 'Indonesia'),
(70754, '103.11.180.0', '103.11.183.255', 1728820224, 1728821247, 'CN', 'China'),
(70755, '103.11.184.0', '103.11.185.255', 1728821248, 1728821759, 'AU', 'Australia'),
(70756, '103.11.186.0', '103.11.187.255', 1728821760, 1728822271, 'ID', 'Indonesia'),
(70757, '103.11.188.0', '103.11.191.255', 1728822272, 1728823295, 'SG', 'Singapore'),
(70758, '103.11.192.0', '103.11.195.255', 1728823296, 1728824319, 'MN', 'Mongolia'),
(70759, '103.11.196.0', '103.11.199.255', 1728824320, 1728825343, 'JP', 'Japan'),
(70760, '103.11.200.0', '103.11.203.255', 1728825344, 1728826367, 'SG', 'Singapore'),
(70761, '103.11.204.0', '103.11.207.255', 1728826368, 1728827391, 'AU', 'Australia'),
(70762, '103.11.208.0', '103.11.211.255', 1728827392, 1728828415, 'JP', 'Japan'),
(70763, '103.11.212.0', '103.11.215.255', 1728828416, 1728829439, 'AU', 'Australia'),
(70764, '103.11.216.0', '103.11.219.255', 1728829440, 1728830463, 'KH', 'Cambodia'),
(70765, '103.11.220.0', '103.11.220.255', 1728830464, 1728830719, 'SG', 'Singapore'),
(70766, '103.11.221.0', '103.11.221.255', 1728830720, 1728830975, 'JP', 'Japan'),
(70767, '103.11.222.0', '103.11.223.255', 1728830976, 1728831487, 'ID', 'Indonesia'),
(70768, '103.11.224.0', '103.11.227.255', 1728831488, 1728832511, 'IN', 'India'),
(70769, '103.11.228.0', '103.11.231.255', 1728832512, 1728833535, 'HK', 'Hong Kong'),
(70770, '103.11.232.0', '103.11.235.255', 1728833536, 1728834559, 'IN', 'India'),
(70771, '103.11.236.0', '103.11.239.255', 1728834560, 1728835583, 'JP', 'Japan'),
(70772, '103.11.240.0', '103.11.243.255', 1728835584, 1728836607, 'NZ', 'New Zealand'),
(70773, '103.11.244.0', '103.11.247.255', 1728836608, 1728837631, 'HK', 'Hong Kong'),
(70774, '103.11.248.0', '103.11.251.255', 1728837632, 1728838655, 'KR', 'Korea, Republic of'),
(70775, '103.11.252.0', '103.11.255.255', 1728838656, 1728839679, 'ID', 'Indonesia'),
(70776, '103.12.0.0', '103.12.0.255', 1728839680, 1728839935, 'FJ', 'Fiji'),
(70777, '103.12.1.0', '103.12.1.255', 1728839936, 1728840191, 'IN', 'India'),
(70778, '103.12.2.0', '103.12.2.255', 1728840192, 1728840447, 'SG', 'Singapore'),
(70779, '103.12.3.0', '103.12.11.255', 1728840448, 1728842751, 'AU', 'Australia'),
(70780, '103.12.12.0', '103.12.15.255', 1728842752, 1728843775, 'ID', 'Indonesia'),
(70781, '103.12.16.0', '103.12.19.255', 1728843776, 1728844799, 'JP', 'Japan'),
(70782, '103.12.20.0', '103.12.21.255', 1728844800, 1728845311, 'ID', 'Indonesia'),
(70783, '103.12.22.0', '103.12.22.255', 1728845312, 1728845567, 'AU', 'Australia'),
(70784, '103.12.23.0', '103.12.23.255', 1728845568, 1728845823, 'ID', 'Indonesia'),
(70785, '103.12.24.0', '103.12.27.255', 1728845824, 1728846847, 'IN', 'India'),
(70786, '103.12.28.0', '103.12.31.255', 1728846848, 1728847871, 'ID', 'Indonesia'),
(70787, '103.12.32.0', '103.12.35.255', 1728847872, 1728848895, 'CN', 'China'),
(70788, '103.12.36.0', '103.12.39.255', 1728848896, 1728849919, 'AU', 'Australia'),
(70789, '103.12.40.0', '103.12.43.255', 1728849920, 1728850943, 'PK', 'Pakistan'),
(70790, '103.12.44.0', '103.12.47.255', 1728850944, 1728851967, 'BD', 'Bangladesh'),
(70791, '103.12.48.0', '103.12.55.255', 1728851968, 1728854015, 'JP', 'Japan'),
(70792, '103.12.56.0', '103.12.57.255', 1728854016, 1728854527, 'AU', 'Australia'),
(70793, '103.12.58.0', '103.12.58.255', 1728854528, 1728854783, 'PK', 'Pakistan'),
(70794, '103.12.59.0', '103.12.59.255', 1728854784, 1728855039, 'AU', 'Australia'),
(70795, '103.12.60.0', '103.12.63.255', 1728855040, 1728856063, 'HK', 'Hong Kong'),
(70796, '103.12.64.0', '103.12.67.255', 1728856064, 1728857087, 'MY', 'Malaysia'),
(70797, '103.12.68.0', '103.12.71.255', 1728857088, 1728858111, 'CN', 'China'),
(70798, '103.12.72.0', '103.12.79.255', 1728858112, 1728860159, 'BD', 'Bangladesh'),
(70799, '103.12.80.0', '103.12.81.255', 1728860160, 1728860671, 'ID', 'Indonesia'),
(70800, '103.12.82.0', '103.12.83.255', 1728860672, 1728861183, 'BD', 'Bangladesh'),
(70801, '103.12.84.0', '103.12.84.255', 1728861184, 1728861439, 'ID', 'Indonesia'),
(70802, '103.12.85.0', '103.12.87.255', 1728861440, 1728862207, 'AU', 'Australia'),
(70803, '103.12.88.0', '103.12.91.255', 1728862208, 1728863231, 'PH', 'Philippines'),
(70804, '103.12.92.0', '103.12.95.255', 1728863232, 1728864255, 'HK', 'Hong Kong'),
(70805, '103.12.96.0', '103.12.99.255', 1728864256, 1728865279, 'AF', 'Afghanistan'),
(70806, '103.12.100.0', '103.12.103.255', 1728865280, 1728866303, 'AU', 'Australia'),
(70807, '103.12.104.0', '103.12.107.255', 1728866304, 1728867327, 'VN', 'Vietnam'),
(70808, '103.12.108.0', '103.12.111.255', 1728867328, 1728868351, 'AU', 'Australia'),
(70809, '103.12.112.0', '103.12.115.255', 1728868352, 1728869375, 'ID', 'Indonesia'),
(70810, '103.12.116.0', '103.12.119.255', 1728869376, 1728870399, 'IN', 'India'),
(70811, '103.12.120.0', '103.12.123.255', 1728870400, 1728871423, 'PK', 'Pakistan'),
(70812, '103.12.124.0', '103.12.127.255', 1728871424, 1728872447, 'IN', 'India'),
(70813, '103.13.0.0', '103.13.0.255', 1728905216, 1728905471, 'FJ', 'Fiji'),
(70814, '103.13.1.0', '103.13.1.255', 1728905472, 1728905727, 'PK', 'Pakistan'),
(70815, '103.13.2.0', '103.13.7.255', 1728905728, 1728907263, 'IN', 'India'),
(70816, '103.13.8.0', '103.13.11.255', 1728907264, 1728908287, 'NZ', 'New Zealand'),
(70817, '103.13.12.0', '103.13.27.255', 1728908288, 1728912383, 'JP', 'Japan'),
(70818, '103.13.28.0', '103.13.31.255', 1728912384, 1728913407, 'TH', 'Thailand'),
(70819, '103.13.32.0', '103.13.35.255', 1728913408, 1728914431, 'PH', 'Philippines'),
(70820, '103.13.36.0', '103.13.38.255', 1728914432, 1728915199, 'ID', 'Indonesia'),
(70821, '103.13.39.0', '103.13.39.255', 1728915200, 1728915455, 'NZ', 'New Zealand'),
(70822, '103.13.40.0', '103.13.47.255', 1728915456, 1728917503, 'JP', 'Japan'),
(70823, '103.13.48.0', '103.13.51.255', 1728917504, 1728918527, 'HK', 'Hong Kong'),
(70824, '103.13.52.0', '103.13.55.255', 1728918528, 1728919551, 'KR', 'Korea, Republic of'),
(70825, '103.13.56.0', '103.13.59.255', 1728919552, 1728920575, 'AU', 'Australia'),
(70826, '103.13.60.0', '103.13.63.255', 1728920576, 1728921599, 'JP', 'Japan'),
(70827, '103.13.64.0', '103.13.67.255', 1728921600, 1728922623, 'AF', 'Afghanistan'),
(70828, '103.13.68.0', '103.13.75.255', 1728922624, 1728924671, 'AU', 'Australia'),
(70829, '103.13.76.0', '103.13.79.255', 1728924672, 1728925695, 'VN', 'Vietnam'),
(70830, '103.13.80.0', '103.13.83.255', 1728925696, 1728926719, 'AU', 'Australia'),
(70831, '103.14.0.0', '103.14.0.255', 1728970752, 1728971007, 'FJ', 'Fiji'),
(70832, '103.14.1.0', '103.14.1.255', 1728971008, 1728971263, 'AU', 'Australia'),
(70833, '103.14.2.0', '103.14.2.255', 1728971264, 1728971519, 'IN', 'India'),
(70834, '103.14.3.0', '103.14.3.255', 1728971520, 1728971775, 'NZ', 'New Zealand'),
(70835, '103.14.4.0', '103.14.7.255', 1728971776, 1728972799, 'AU', 'Australia'),
(70836, '103.14.8.0', '103.14.11.255', 1728972800, 1728973823, 'TH', 'Thailand'),
(70837, '103.14.12.0', '103.14.15.255', 1728973824, 1728974847, 'JP', 'Japan'),
(70838, '103.14.16.0', '103.14.21.255', 1728974848, 1728976383, 'ID', 'Indonesia'),
(70839, '103.14.22.0', '103.14.23.255', 1728976384, 1728976895, 'AU', 'Australia'),
(70840, '103.14.24.0', '103.14.24.255', 1728976896, 1728977151, 'AF', 'Afghanistan'),
(70841, '103.14.26.0', '103.14.26.255', 1728977408, 1728977663, 'HK', 'Hong Kong'),
(70842, '103.14.27.0', '103.14.27.255', 1728977664, 1728977919, 'BD', 'Bangladesh'),
(70843, '103.14.28.0', '103.14.31.255', 1728977920, 1728978943, 'MY', 'Malaysia'),
(70844, '103.14.32.0', '103.14.35.255', 1728978944, 1728979967, 'JP', 'Japan'),
(70845, '103.14.36.0', '103.14.39.255', 1728979968, 1728980991, 'MN', 'Mongolia'),
(70846, '103.14.40.0', '103.14.43.255', 1728980992, 1728982015, 'NZ', 'New Zealand'),
(70847, '103.14.44.0', '103.14.45.255', 1728982016, 1728982527, 'ID', 'Indonesia'),
(70848, '103.14.46.0', '103.14.46.255', 1728982528, 1728982783, 'IN', 'India'),
(70849, '103.14.47.0', '103.14.55.255', 1728982784, 1728985087, 'AU', 'Australia'),
(70850, '103.14.56.0', '103.14.59.255', 1728985088, 1728986111, 'TW', 'Taiwan'),
(70851, '103.14.60.0', '103.14.63.255', 1728986112, 1728987135, 'PH', 'Philippines'),
(70852, '103.22.0.0', '103.22.95.255', 1729495040, 1729519615, 'CN', 'China'),
(70853, '103.22.96.0', '103.22.99.255', 1729519616, 1729520639, 'HK', 'Hong Kong'),
(70854, '103.22.100.0', '103.22.127.255', 1729520640, 1729527807, 'CN', 'China');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(70855, '103.22.128.0', '103.22.131.255', 1729527808, 1729528831, 'SG', 'Singapore'),
(70856, '103.22.132.0', '103.22.139.255', 1729528832, 1729530879, 'ID', 'Indonesia'),
(70857, '103.22.140.0', '103.22.143.255', 1729530880, 1729531903, 'MY', 'Malaysia'),
(70858, '103.22.144.0', '103.22.147.255', 1729531904, 1729532927, 'AU', 'Australia'),
(70859, '103.22.148.0', '103.22.151.255', 1729532928, 1729533951, 'MY', 'Malaysia'),
(70860, '103.22.152.0', '103.22.155.255', 1729533952, 1729534975, 'JP', 'Japan'),
(70861, '103.22.156.0', '103.22.159.255', 1729534976, 1729535999, 'TW', 'Taiwan'),
(70862, '103.22.160.0', '103.22.163.255', 1729536000, 1729537023, 'HK', 'Hong Kong'),
(70863, '103.22.164.0', '103.22.166.255', 1729537024, 1729537791, 'ID', 'Indonesia'),
(70864, '103.22.167.0', '103.22.167.255', 1729537792, 1729538047, 'JP', 'Japan'),
(70865, '103.22.168.0', '103.22.171.255', 1729538048, 1729539071, 'SG', 'Singapore'),
(70866, '103.22.172.0', '103.22.175.255', 1729539072, 1729540095, 'IN', 'India'),
(70867, '103.22.176.0', '103.22.179.255', 1729540096, 1729541119, 'AU', 'Australia'),
(70868, '103.22.180.0', '103.22.183.255', 1729541120, 1729542143, 'TH', 'Thailand'),
(70869, '103.22.184.0', '103.22.187.255', 1729542144, 1729543167, 'AU', 'Australia'),
(70870, '103.22.188.0', '103.22.191.255', 1729543168, 1729544191, 'CN', 'China'),
(70871, '103.22.192.0', '103.22.195.255', 1729544192, 1729545215, 'IN', 'India'),
(70872, '103.22.196.0', '103.22.199.255', 1729545216, 1729546239, 'AU', 'Australia'),
(70873, '103.22.200.0', '103.22.203.255', 1729546240, 1729547263, 'HK', 'Hong Kong'),
(70874, '103.22.204.0', '103.22.207.255', 1729547264, 1729548287, 'IN', 'India'),
(70875, '103.22.208.0', '103.22.211.255', 1729548288, 1729549311, 'AU', 'Australia'),
(70876, '103.22.212.0', '103.22.215.255', 1729549312, 1729550335, 'JP', 'Japan'),
(70877, '103.22.216.0', '103.22.219.255', 1729550336, 1729551359, 'MY', 'Malaysia'),
(70878, '103.22.220.0', '103.22.223.255', 1729551360, 1729552383, 'KR', 'Korea, Republic of'),
(70879, '103.22.224.0', '103.22.227.255', 1729552384, 1729553407, 'AU', 'Australia'),
(70880, '103.22.228.0', '103.22.231.255', 1729553408, 1729554431, 'CN', 'China'),
(70881, '103.22.232.0', '103.22.233.255', 1729554432, 1729554943, 'ID', 'Indonesia'),
(70882, '103.22.234.0', '103.22.235.255', 1729554944, 1729555455, 'NZ', 'New Zealand'),
(70883, '103.22.236.0', '103.22.239.255', 1729555456, 1729556479, 'IN', 'India'),
(70884, '103.22.240.0', '103.22.243.255', 1729556480, 1729557503, 'ID', 'Indonesia'),
(70885, '103.22.244.0', '103.22.247.255', 1729557504, 1729558527, 'HK', 'Hong Kong'),
(70886, '103.22.248.0', '103.22.251.255', 1729558528, 1729559551, 'ID', 'Indonesia'),
(70887, '103.22.252.0', '103.22.255.255', 1729559552, 1729560575, 'CN', 'China'),
(70888, '103.23.0.0', '103.23.3.255', 1729560576, 1729561599, 'AU', 'Australia'),
(70889, '103.23.4.0', '103.23.7.255', 1729561600, 1729562623, 'JP', 'Japan'),
(70890, '103.23.8.0', '103.23.11.255', 1729562624, 1729563647, 'CN', 'China'),
(70891, '103.23.12.0', '103.23.15.255', 1729563648, 1729564671, 'JP', 'Japan'),
(70892, '103.23.16.0', '103.23.19.255', 1729564672, 1729565695, 'NZ', 'New Zealand'),
(70893, '103.23.20.0', '103.23.23.255', 1729565696, 1729566719, 'ID', 'Indonesia'),
(70894, '103.23.24.0', '103.23.29.255', 1729566720, 1729568255, 'IN', 'India'),
(70895, '103.23.30.0', '103.23.30.255', 1729568256, 1729568511, 'ID', 'Indonesia'),
(70896, '103.23.32.0', '103.23.35.255', 1729568768, 1729569791, 'ID', 'Indonesia'),
(70897, '103.23.36.0', '103.23.39.255', 1729569792, 1729570815, 'AF', 'Afghanistan'),
(70898, '103.23.40.0', '103.23.43.255', 1729570816, 1729571839, 'AU', 'Australia'),
(70899, '103.23.44.0', '103.23.47.255', 1729571840, 1729572863, 'MY', 'Malaysia'),
(70900, '103.23.48.0', '103.23.51.255', 1729572864, 1729573887, 'MN', 'Mongolia'),
(70901, '103.23.52.0', '103.23.55.255', 1729573888, 1729574911, 'NC', 'New Caledonia'),
(70902, '103.23.56.0', '103.23.59.255', 1729574912, 1729575935, 'CN', 'China'),
(70903, '103.23.60.0', '103.23.63.255', 1729575936, 1729576959, 'BD', 'Bangladesh'),
(70904, '103.23.64.0', '103.23.67.255', 1729576960, 1729577983, 'AU', 'Australia'),
(70905, '103.23.68.0', '103.23.69.255', 1729577984, 1729578495, 'HK', 'Hong Kong'),
(70906, '103.23.70.0', '103.23.70.255', 1729578496, 1729578751, 'AU', 'Australia'),
(70907, '103.23.71.0', '103.23.71.255', 1729578752, 1729579007, 'MY', 'Malaysia'),
(70908, '103.23.72.0', '103.23.75.255', 1729579008, 1729580031, 'JP', 'Japan'),
(70909, '103.23.76.0', '103.23.79.255', 1729580032, 1729581055, 'SG', 'Singapore'),
(70910, '103.23.80.0', '103.23.87.255', 1729581056, 1729583103, 'KR', 'Korea, Republic of'),
(70911, '103.23.88.0', '103.23.91.255', 1729583104, 1729584127, 'JP', 'Japan'),
(70912, '103.23.92.0', '103.23.95.255', 1729584128, 1729585151, 'SG', 'Singapore'),
(70913, '103.23.96.0', '103.23.99.255', 1729585152, 1729586175, 'PH', 'Philippines'),
(70914, '103.23.100.0', '103.23.103.255', 1729586176, 1729587199, 'ID', 'Indonesia'),
(70915, '103.23.104.0', '103.23.107.255', 1729587200, 1729588223, 'AU', 'Australia'),
(70916, '103.23.108.0', '103.23.111.255', 1729588224, 1729589247, 'TW', 'Taiwan'),
(70917, '103.23.112.0', '103.23.115.255', 1729589248, 1729590271, 'AU', 'Australia'),
(70918, '103.23.116.0', '103.23.117.255', 1729590272, 1729590783, 'ID', 'Indonesia'),
(70919, '103.23.118.0', '103.23.119.255', 1729590784, 1729591295, 'IN', 'India'),
(70920, '103.23.120.0', '103.23.123.255', 1729591296, 1729592319, 'TH', 'Thailand'),
(70921, '103.23.124.0', '103.23.127.255', 1729592320, 1729593343, 'IN', 'India'),
(70922, '103.23.128.0', '103.23.131.255', 1729593344, 1729594367, 'JP', 'Japan'),
(70923, '103.23.132.0', '103.23.139.255', 1729594368, 1729596415, 'KH', 'Cambodia'),
(70924, '103.23.140.0', '103.23.140.255', 1729596416, 1729596671, 'IN', 'India'),
(70925, '103.23.141.0', '103.23.141.255', 1729596672, 1729596927, 'ID', 'Indonesia'),
(70926, '103.23.142.0', '103.23.143.255', 1729596928, 1729597439, 'NZ', 'New Zealand'),
(70927, '103.23.144.0', '103.23.147.255', 1729597440, 1729598463, 'VN', 'Vietnam'),
(70928, '103.23.148.0', '103.23.149.255', 1729598464, 1729598975, 'AU', 'Australia'),
(70929, '103.23.150.0', '103.23.150.255', 1729598976, 1729599231, 'IN', 'India'),
(70930, '103.23.151.0', '103.23.151.255', 1729599232, 1729599487, 'ID', 'Indonesia'),
(70931, '103.23.152.0', '103.23.155.255', 1729599488, 1729600511, 'AU', 'Australia'),
(70932, '103.23.156.0', '103.23.159.255', 1729600512, 1729601535, 'VN', 'Vietnam'),
(70933, '103.23.160.0', '103.23.167.255', 1729601536, 1729603583, 'CN', 'China'),
(70934, '103.23.168.0', '103.23.171.255', 1729603584, 1729604607, 'BD', 'Bangladesh'),
(70935, '103.23.172.0', '103.23.173.255', 1729604608, 1729605119, 'AU', 'Australia'),
(70936, '103.23.174.0', '103.23.174.255', 1729605120, 1729605375, 'PH', 'Philippines'),
(70937, '103.23.175.0', '103.23.175.255', 1729605376, 1729605631, 'ID', 'Indonesia'),
(70938, '103.23.176.0', '103.23.179.255', 1729605632, 1729606655, 'CN', 'China'),
(70939, '103.23.180.0', '103.23.183.255', 1729606656, 1729607679, 'ID', 'Indonesia'),
(70940, '103.23.184.0', '103.23.191.255', 1729607680, 1729609727, 'AU', 'Australia'),
(70941, '103.23.192.0', '103.23.195.255', 1729609728, 1729610751, 'HK', 'Hong Kong'),
(70942, '103.23.196.0', '103.23.199.255', 1729610752, 1729611775, 'JP', 'Japan'),
(70943, '103.23.200.0', '103.23.203.255', 1729611776, 1729612799, 'ID', 'Indonesia'),
(70944, '103.23.204.0', '103.23.207.255', 1729612800, 1729613823, 'JP', 'Japan'),
(70945, '103.23.208.0', '103.23.211.255', 1729613824, 1729614847, 'SG', 'Singapore'),
(70946, '103.23.212.0', '103.23.212.255', 1729614848, 1729615103, 'NZ', 'New Zealand'),
(70947, '103.23.213.0', '103.23.213.255', 1729615104, 1729615359, 'KH', 'Cambodia'),
(70948, '103.23.214.0', '103.23.215.255', 1729615360, 1729615871, 'IN', 'India'),
(70949, '103.23.216.0', '103.23.219.255', 1729615872, 1729616895, 'AU', 'Australia'),
(70950, '103.23.220.0', '103.23.223.255', 1729616896, 1729617919, 'JP', 'Japan'),
(70951, '103.23.224.0', '103.23.227.255', 1729617920, 1729618943, 'ID', 'Indonesia'),
(70952, '103.23.228.0', '103.23.231.255', 1729618944, 1729619967, 'CN', 'China'),
(70953, '103.23.232.0', '103.23.235.255', 1729619968, 1729620991, 'ID', 'Indonesia'),
(70954, '103.23.236.0', '103.23.239.255', 1729620992, 1729622015, 'IN', 'India'),
(70955, '103.23.240.0', '103.23.244.255', 1729622016, 1729623295, 'ID', 'Indonesia'),
(70956, '103.23.245.0', '103.23.245.255', 1729623296, 1729623551, 'AU', 'Australia'),
(70957, '103.23.246.0', '103.23.246.255', 1729623552, 1729623807, 'TH', 'Thailand'),
(70958, '103.23.247.0', '103.23.247.255', 1729623808, 1729624063, 'AF', 'Afghanistan'),
(70959, '103.23.248.0', '103.23.255.255', 1729624064, 1729626111, 'JP', 'Japan'),
(70960, '103.28.0.0', '103.28.3.255', 1729888256, 1729889279, 'KH', 'Cambodia'),
(70961, '103.28.4.0', '103.28.11.255', 1729889280, 1729891327, 'CN', 'China'),
(70962, '103.28.12.0', '103.28.15.255', 1729891328, 1729892351, 'ID', 'Indonesia'),
(70963, '103.28.16.0', '103.28.19.255', 1729892352, 1729893375, 'PH', 'Philippines'),
(70964, '103.28.20.0', '103.28.20.255', 1729893376, 1729893631, 'AU', 'Australia'),
(70965, '103.28.21.0', '103.28.23.255', 1729893632, 1729894399, 'ID', 'Indonesia'),
(70966, '103.28.24.0', '103.28.31.255', 1729894400, 1729896447, 'JP', 'Japan'),
(70967, '103.28.32.0', '103.28.39.255', 1729896448, 1729898495, 'VN', 'Vietnam'),
(70968, '103.28.40.0', '103.28.43.255', 1729898496, 1729899519, 'AU', 'Australia'),
(70969, '103.28.44.0', '103.28.47.255', 1729899520, 1729900543, 'HK', 'Hong Kong'),
(70970, '103.28.48.0', '103.28.51.255', 1729900544, 1729901567, 'AU', 'Australia'),
(70971, '103.28.52.0', '103.28.53.255', 1729901568, 1729902079, 'BD', 'Bangladesh'),
(70972, '103.28.54.0', '103.28.55.255', 1729902080, 1729902591, 'SG', 'Singapore'),
(70973, '103.28.56.0', '103.28.59.255', 1729902592, 1729903615, 'ID', 'Indonesia'),
(70974, '103.28.60.0', '103.28.67.255', 1729903616, 1729905663, 'KR', 'Korea, Republic of'),
(70975, '103.28.68.0', '103.28.71.255', 1729905664, 1729906687, 'PH', 'Philippines'),
(70976, '103.28.72.0', '103.28.72.255', 1729906688, 1729906943, 'AU', 'Australia'),
(70977, '103.28.73.0', '103.28.73.255', 1729906944, 1729907199, 'JP', 'Japan'),
(70978, '103.28.74.0', '103.28.75.255', 1729907200, 1729907711, 'ID', 'Indonesia'),
(70979, '103.28.76.0', '103.28.79.255', 1729907712, 1729908735, 'HK', 'Hong Kong'),
(70980, '103.28.80.0', '103.28.83.255', 1729908736, 1729909759, 'ID', 'Indonesia'),
(70981, '103.28.84.0', '103.28.87.255', 1729909760, 1729910783, 'NP', 'Nepal'),
(70982, '103.28.88.0', '103.28.91.255', 1729910784, 1729911807, 'MY', 'Malaysia'),
(70983, '103.28.92.0', '103.28.92.255', 1729911808, 1729912063, 'AU', 'Australia'),
(70984, '103.28.93.0', '103.28.95.255', 1729912064, 1729912831, 'ID', 'Indonesia'),
(70985, '103.28.96.0', '103.28.99.255', 1729912832, 1729913855, 'JP', 'Japan'),
(70986, '103.28.100.0', '103.28.103.255', 1729913856, 1729914879, 'TH', 'Thailand'),
(70987, '103.28.104.0', '103.28.104.255', 1729914880, 1729915135, 'ID', 'Indonesia'),
(70988, '103.28.105.0', '103.28.105.255', 1729915136, 1729915391, 'IN', 'India'),
(70989, '103.28.106.0', '103.28.119.255', 1729915392, 1729918975, 'ID', 'Indonesia'),
(70990, '103.28.120.0', '103.28.123.255', 1729918976, 1729919999, 'BD', 'Bangladesh'),
(70991, '103.28.124.0', '103.28.127.255', 1729920000, 1729921023, 'TH', 'Thailand'),
(70992, '103.28.128.0', '103.28.131.255', 1729921024, 1729922047, 'AU', 'Australia'),
(70993, '103.28.132.0', '103.28.135.255', 1729922048, 1729923071, 'AF', 'Afghanistan'),
(70994, '103.28.136.0', '103.28.139.255', 1729923072, 1729924095, 'VN', 'Vietnam'),
(70995, '103.28.140.0', '103.28.143.255', 1729924096, 1729925119, 'IN', 'India'),
(70996, '103.28.144.0', '103.28.147.255', 1729925120, 1729926143, 'HK', 'Hong Kong'),
(70997, '103.28.148.0', '103.28.149.255', 1729926144, 1729926655, 'ID', 'Indonesia'),
(70998, '103.28.150.0', '103.28.155.255', 1729926656, 1729928191, 'PK', 'Pakistan'),
(70999, '103.28.156.0', '103.28.159.255', 1729928192, 1729929215, 'IN', 'India'),
(71000, '103.28.160.0', '103.28.160.255', 1729929216, 1729929471, 'AU', 'Australia'),
(71001, '103.28.161.0', '103.28.161.255', 1729929472, 1729929727, 'ID', 'Indonesia'),
(71002, '103.28.162.0', '103.28.162.255', 1729929728, 1729929983, 'MY', 'Malaysia'),
(71003, '103.28.163.0', '103.28.163.255', 1729929984, 1729930239, 'ID', 'Indonesia'),
(71004, '103.28.164.0', '103.28.171.255', 1729930240, 1729932287, 'JP', 'Japan'),
(71005, '103.28.172.0', '103.28.175.255', 1729932288, 1729933311, 'VN', 'Vietnam'),
(71006, '103.28.176.0', '103.28.179.255', 1729933312, 1729934335, 'ID', 'Indonesia'),
(71007, '103.28.180.0', '103.28.183.255', 1729934336, 1729935359, 'IN', 'India'),
(71008, '103.28.184.0', '103.28.187.255', 1729935360, 1729936383, 'JP', 'Japan'),
(71009, '103.28.188.0', '103.28.195.255', 1729936384, 1729938431, 'ID', 'Indonesia'),
(71010, '103.28.196.0', '103.28.199.255', 1729938432, 1729939455, 'AU', 'Australia'),
(71011, '103.28.200.0', '103.28.201.255', 1729939456, 1729939967, 'TW', 'Taiwan'),
(71012, '103.28.202.0', '103.28.203.255', 1729939968, 1729940479, 'PH', 'Philippines'),
(71013, '103.28.204.0', '103.28.207.255', 1729940480, 1729941503, 'CN', 'China'),
(71014, '103.28.208.0', '103.28.211.255', 1729941504, 1729942527, 'SG', 'Singapore'),
(71015, '103.28.212.0', '103.28.215.255', 1729942528, 1729943551, 'IN', 'India'),
(71016, '103.28.216.0', '103.28.217.255', 1729943552, 1729944063, 'AU', 'Australia'),
(71017, '103.28.218.0', '103.28.227.255', 1729944064, 1729946623, 'ID', 'Indonesia'),
(71018, '103.28.228.0', '103.28.239.255', 1729946624, 1729949695, 'JP', 'Japan'),
(71019, '103.28.240.0', '103.28.241.255', 1729949696, 1729950207, 'IN', 'India'),
(71020, '103.28.242.0', '103.28.243.255', 1729950208, 1729950719, 'KH', 'Cambodia'),
(71021, '103.28.244.0', '103.28.251.255', 1729950720, 1729952767, 'JP', 'Japan'),
(71022, '103.28.252.0', '103.28.255.255', 1729952768, 1729953791, 'IN', 'India'),
(71023, '103.29.0.0', '103.29.3.255', 1729953792, 1729954815, 'MY', 'Malaysia'),
(71024, '103.29.4.0', '103.29.7.255', 1729954816, 1729955839, 'ID', 'Indonesia'),
(71025, '103.29.8.0', '103.29.11.255', 1729955840, 1729956863, 'BD', 'Bangladesh'),
(71026, '103.29.12.0', '103.29.15.255', 1729956864, 1729957887, 'HK', 'Hong Kong'),
(71027, '103.29.16.0', '103.29.19.255', 1729957888, 1729958911, 'CN', 'China'),
(71028, '103.29.20.0', '103.29.23.255', 1729958912, 1729959935, 'PH', 'Philippines'),
(71029, '103.29.24.0', '103.29.27.255', 1729959936, 1729960959, 'SG', 'Singapore'),
(71030, '103.29.28.0', '103.29.29.255', 1729960960, 1729961471, 'IN', 'India'),
(71031, '103.29.30.0', '103.29.31.255', 1729961472, 1729961983, 'NZ', 'New Zealand'),
(71032, '103.29.32.0', '103.29.39.255', 1729961984, 1729964031, 'IN', 'India'),
(71033, '103.29.40.0', '103.29.43.255', 1729964032, 1729965055, 'AU', 'Australia'),
(71034, '103.29.44.0', '103.29.47.255', 1729965056, 1729966079, 'IN', 'India'),
(71035, '103.29.48.0', '103.29.51.255', 1729966080, 1729967103, 'JP', 'Japan'),
(71036, '103.29.52.0', '103.29.55.255', 1729967104, 1729968127, 'AU', 'Australia'),
(71037, '103.29.56.0', '103.29.59.255', 1729968128, 1729969151, 'MY', 'Malaysia'),
(71038, '103.29.60.0', '103.29.63.255', 1729969152, 1729970175, 'LK', 'Sri Lanka'),
(71039, '103.29.64.0', '103.29.67.255', 1729970176, 1729971199, 'AU', 'Australia'),
(71040, '103.29.68.0', '103.29.71.255', 1729971200, 1729972223, 'JP', 'Japan'),
(71041, '103.29.72.0', '103.29.75.255', 1729972224, 1729973247, 'HK', 'Hong Kong'),
(71042, '103.29.76.0', '103.29.79.255', 1729973248, 1729974271, 'AU', 'Australia'),
(71043, '103.29.80.0', '103.29.83.255', 1729974272, 1729975295, 'PH', 'Philippines'),
(71044, '103.29.84.0', '103.29.89.255', 1729975296, 1729976831, 'AU', 'Australia'),
(71045, '103.29.90.0', '103.29.91.255', 1729976832, 1729977343, 'NZ', 'New Zealand'),
(71046, '103.29.92.0', '103.29.95.255', 1729977344, 1729978367, 'HK', 'Hong Kong'),
(71047, '103.29.96.0', '103.29.99.255', 1729978368, 1729979391, 'IN', 'India'),
(71048, '103.29.100.0', '103.29.103.255', 1729979392, 1729980415, 'AU', 'Australia'),
(71049, '103.29.104.0', '103.29.105.255', 1729980416, 1729980927, 'BD', 'Bangladesh'),
(71050, '103.29.106.0', '103.29.111.255', 1729980928, 1729982463, 'SG', 'Singapore'),
(71051, '103.29.112.0', '103.29.112.255', 1729982464, 1729982719, 'AU', 'Australia'),
(71052, '103.29.113.0', '103.29.113.255', 1729982720, 1729982975, 'JP', 'Japan'),
(71053, '103.29.114.0', '103.29.114.255', 1729982976, 1729983231, 'SG', 'Singapore'),
(71054, '103.29.115.0', '103.29.115.255', 1729983232, 1729983487, 'AU', 'Australia'),
(71055, '103.29.116.0', '103.29.119.255', 1729983488, 1729984511, 'IN', 'India'),
(71056, '103.29.120.0', '103.29.123.255', 1729984512, 1729985535, 'ID', 'Indonesia'),
(71057, '103.29.124.0', '103.29.127.255', 1729985536, 1729986559, 'BD', 'Bangladesh'),
(71058, '103.29.128.0', '103.29.139.255', 1729986560, 1729989631, 'CN', 'China'),
(71059, '103.29.140.0', '103.29.143.255', 1729989632, 1729990655, 'HK', 'Hong Kong'),
(71060, '103.29.144.0', '103.29.147.255', 1729990656, 1729991679, 'MN', 'Mongolia'),
(71061, '103.29.148.0', '103.29.151.255', 1729991680, 1729992703, 'ID', 'Indonesia'),
(71062, '103.29.152.0', '103.29.155.255', 1729992704, 1729993727, 'NC', 'New Caledonia'),
(71063, '103.29.156.0', '103.29.159.255', 1729993728, 1729994751, 'IN', 'India'),
(71064, '103.29.160.0', '103.29.162.255', 1729994752, 1729995519, 'AU', 'Australia'),
(71065, '103.29.163.0', '103.29.163.255', 1729995520, 1729995775, 'PK', 'Pakistan'),
(71066, '103.29.164.0', '103.29.167.255', 1729995776, 1729996799, 'ID', 'Indonesia'),
(71067, '103.29.168.0', '103.29.169.255', 1729996800, 1729997311, 'AU', 'Australia'),
(71068, '103.29.170.0', '103.29.171.255', 1729997312, 1729997823, 'ID', 'Indonesia'),
(71069, '103.29.172.0', '103.29.175.255', 1729997824, 1729998847, 'AU', 'Australia'),
(71070, '103.29.176.0', '103.29.183.255', 1729998848, 1730000895, 'JP', 'Japan'),
(71071, '103.29.184.0', '103.29.187.255', 1730000896, 1730001919, 'ID', 'Indonesia'),
(71072, '103.29.188.0', '103.29.191.255', 1730001920, 1730002943, 'TH', 'Thailand'),
(71073, '103.29.192.0', '103.29.195.255', 1730002944, 1730003967, 'AU', 'Australia'),
(71074, '103.29.196.0', '103.29.196.255', 1730003968, 1730004223, 'ID', 'Indonesia'),
(71075, '103.29.197.0', '103.29.197.255', 1730004224, 1730004479, 'IN', 'India'),
(71076, '103.29.198.0', '103.29.198.255', 1730004480, 1730004735, 'MY', 'Malaysia'),
(71077, '103.29.199.0', '103.29.199.255', 1730004736, 1730004991, 'MN', 'Mongolia'),
(71078, '103.29.200.0', '103.29.207.255', 1730004992, 1730007039, 'AU', 'Australia'),
(71079, '103.29.208.0', '103.29.211.255', 1730007040, 1730008063, 'IN', 'India'),
(71080, '103.29.212.0', '103.29.215.255', 1730008064, 1730009087, 'ID', 'Indonesia'),
(71081, '103.29.216.0', '103.29.219.255', 1730009088, 1730010111, 'AU', 'Australia'),
(71082, '103.29.220.0', '103.29.223.255', 1730010112, 1730011135, 'IN', 'India'),
(71083, '103.29.224.0', '103.29.227.255', 1730011136, 1730012159, 'BT', 'Bhutan'),
(71084, '103.29.228.0', '103.29.231.255', 1730012160, 1730013183, 'ID', 'Indonesia'),
(71085, '103.29.232.0', '103.29.239.255', 1730013184, 1730015231, 'IN', 'India'),
(71086, '103.29.240.0', '103.29.243.255', 1730015232, 1730016255, 'MY', 'Malaysia'),
(71087, '103.29.244.0', '103.29.247.255', 1730016256, 1730017279, 'PH', 'Philippines'),
(71088, '103.29.248.0', '103.29.249.255', 1730017280, 1730017791, 'IN', 'India'),
(71089, '103.29.250.0', '103.29.255.255', 1730017792, 1730019327, 'PH', 'Philippines'),
(71090, '103.246.0.0', '103.246.3.255', 1744175104, 1744176127, 'ID', 'Indonesia'),
(71091, '103.246.4.0', '103.246.7.255', 1744176128, 1744177151, 'AU', 'Australia'),
(71092, '103.246.8.0', '103.246.15.255', 1744177152, 1744179199, 'CN', 'China'),
(71093, '103.246.16.0', '103.246.19.255', 1744179200, 1744180223, 'TH', 'Thailand'),
(71094, '103.246.20.0', '103.246.23.255', 1744180224, 1744181247, 'PH', 'Philippines'),
(71095, '103.246.24.0', '103.246.27.255', 1744181248, 1744182271, 'TH', 'Thailand'),
(71096, '103.246.28.0', '103.246.36.255', 1744182272, 1744184575, 'AU', 'Australia'),
(71097, '103.246.37.0', '103.246.37.255', 1744184576, 1744184831, 'SG', 'Singapore'),
(71098, '103.246.38.0', '103.246.38.255', 1744184832, 1744185087, 'HK', 'Hong Kong'),
(71099, '103.246.39.0', '103.246.39.255', 1744185088, 1744185343, 'AU', 'Australia'),
(71100, '103.246.40.0', '103.246.43.255', 1744185344, 1744186367, 'HK', 'Hong Kong'),
(71101, '103.246.44.0', '103.246.49.255', 1744186368, 1744187903, 'IN', 'India'),
(71102, '103.246.50.0', '103.246.50.255', 1744187904, 1744188159, 'TH', 'Thailand'),
(71103, '103.246.51.0', '103.246.51.255', 1744188160, 1744188415, 'AU', 'Australia'),
(71104, '103.246.52.0', '103.246.55.255', 1744188416, 1744189439, 'NZ', 'New Zealand'),
(71105, '103.246.56.0', '103.246.59.255', 1744189440, 1744190463, 'KR', 'Korea, Republic of'),
(71106, '103.246.60.0', '103.246.63.255', 1744190464, 1744191487, 'JP', 'Japan'),
(71107, '103.246.64.0', '103.246.67.255', 1744191488, 1744192511, 'IN', 'India'),
(71108, '103.246.68.0', '103.246.75.255', 1744192512, 1744194559, 'JP', 'Japan'),
(71109, '103.246.76.0', '103.246.76.255', 1744194560, 1744194815, 'ID', 'Indonesia'),
(71110, '103.246.77.0', '103.246.77.255', 1744194816, 1744195071, 'HK', 'Hong Kong'),
(71111, '103.246.78.0', '103.246.78.255', 1744195072, 1744195327, 'SG', 'Singapore'),
(71112, '103.246.79.0', '103.246.79.255', 1744195328, 1744195583, 'HK', 'Hong Kong'),
(71113, '103.246.80.0', '103.246.83.255', 1744195584, 1744196607, 'JP', 'Japan'),
(71114, '103.246.84.0', '103.246.87.255', 1744196608, 1744197631, 'IN', 'India'),
(71115, '103.246.88.0', '103.246.91.255', 1744197632, 1744198655, 'MY', 'Malaysia'),
(71116, '103.246.92.0', '103.246.95.255', 1744198656, 1744199679, 'SG', 'Singapore'),
(71117, '103.246.96.0', '103.246.103.255', 1744199680, 1744201727, 'AU', 'Australia'),
(71118, '103.246.104.0', '103.246.104.255', 1744201728, 1744201983, 'VN', 'Vietnam'),
(71119, '103.246.106.0', '103.246.106.255', 1744202240, 1744202495, 'IN', 'India'),
(71120, '103.246.107.0', '103.246.107.255', 1744202496, 1744202751, 'ID', 'Indonesia'),
(71121, '103.246.108.0', '103.246.111.255', 1744202752, 1744203775, 'PK', 'Pakistan'),
(71122, '103.246.112.0', '103.246.115.255', 1744203776, 1744204799, 'MY', 'Malaysia'),
(71123, '103.246.116.0', '103.246.119.255', 1744204800, 1744205823, 'ID', 'Indonesia'),
(71124, '103.246.120.0', '103.246.127.255', 1744205824, 1744207871, 'CN', 'China'),
(71125, '103.246.128.0', '103.246.128.255', 1744207872, 1744208127, 'AU', 'Australia'),
(71126, '103.246.129.0', '103.246.129.255', 1744208128, 1744208383, 'ID', 'Indonesia'),
(71127, '103.246.130.0', '103.246.131.255', 1744208384, 1744208895, 'AU', 'Australia'),
(71128, '103.246.132.0', '103.246.135.255', 1744208896, 1744209919, 'CN', 'China'),
(71129, '103.246.136.0', '103.246.139.255', 1744209920, 1744210943, 'AU', 'Australia'),
(71130, '103.246.140.0', '103.246.143.255', 1744210944, 1744211967, 'SG', 'Singapore'),
(71131, '103.246.144.0', '103.246.147.255', 1744211968, 1744212991, 'KH', 'Cambodia'),
(71132, '103.246.148.0', '103.246.151.255', 1744212992, 1744214015, 'JP', 'Japan'),
(71133, '103.246.152.0', '103.246.159.255', 1744214016, 1744216063, 'CN', 'China'),
(71134, '103.246.160.0', '103.246.163.255', 1744216064, 1744217087, 'HK', 'Hong Kong'),
(71135, '103.246.164.0', '103.246.167.255', 1744217088, 1744218111, 'JP', 'Japan'),
(71136, '103.246.168.0', '103.246.168.255', 1744218112, 1744218367, 'AU', 'Australia'),
(71137, '103.246.169.0', '103.246.169.255', 1744218368, 1744218623, 'ID', 'Indonesia'),
(71138, '103.246.170.0', '103.246.171.255', 1744218624, 1744219135, 'IN', 'India'),
(71139, '103.246.172.0', '103.246.175.255', 1744219136, 1744220159, 'PH', 'Philippines'),
(71140, '103.246.176.0', '103.246.179.255', 1744220160, 1744221183, 'HK', 'Hong Kong'),
(71141, '103.246.180.0', '103.246.183.255', 1744221184, 1744222207, 'NZ', 'New Zealand'),
(71142, '103.246.184.0', '103.246.185.255', 1744222208, 1744222719, 'ID', 'Indonesia'),
(71143, '103.246.186.0', '103.246.187.255', 1744222720, 1744223231, 'AU', 'Australia'),
(71144, '103.246.188.0', '103.246.191.255', 1744223232, 1744224255, 'TH', 'Thailand'),
(71145, '103.246.192.0', '103.246.195.255', 1744224256, 1744225279, 'JP', 'Japan'),
(71146, '103.246.196.0', '103.246.199.255', 1744225280, 1744226303, 'IN', 'India'),
(71147, '103.246.200.0', '103.246.203.255', 1744226304, 1744227327, 'SG', 'Singapore'),
(71148, '103.246.204.0', '103.246.207.255', 1744227328, 1744228351, 'MY', 'Malaysia'),
(71149, '103.246.208.0', '103.246.211.255', 1744228352, 1744229375, 'TW', 'Taiwan'),
(71150, '103.246.212.0', '103.246.215.255', 1744229376, 1744230399, 'IN', 'India'),
(71151, '103.246.216.0', '103.246.216.255', 1744230400, 1744230655, 'HK', 'Hong Kong'),
(71152, '103.246.217.0', '103.246.217.255', 1744230656, 1744230911, 'MY', 'Malaysia'),
(71153, '103.246.218.0', '103.246.219.255', 1744230912, 1744231423, 'IN', 'India'),
(71154, '103.246.220.0', '103.246.223.255', 1744231424, 1744232447, 'VN', 'Vietnam'),
(71155, '103.246.224.0', '103.246.227.255', 1744232448, 1744233471, 'IN', 'India'),
(71156, '103.246.228.0', '103.246.231.255', 1744233472, 1744234495, 'KH', 'Cambodia'),
(71157, '103.246.232.0', '103.246.232.255', 1744234496, 1744234751, 'JP', 'Japan'),
(71158, '103.246.233.0', '103.246.235.255', 1744234752, 1744235519, 'AU', 'Australia'),
(71159, '103.246.236.0', '103.246.239.255', 1744235520, 1744236543, 'KR', 'Korea, Republic of'),
(71160, '103.246.240.0', '103.246.243.255', 1744236544, 1744237567, 'IN', 'India'),
(71161, '103.246.244.0', '103.246.247.255', 1744237568, 1744238591, 'HK', 'Hong Kong'),
(71162, '103.246.248.0', '103.246.249.255', 1744238592, 1744239103, 'US', 'United States'),
(71163, '103.246.250.0', '103.246.251.255', 1744239104, 1744239615, 'NZ', 'New Zealand'),
(71164, '103.246.252.0', '103.246.255.255', 1744239616, 1744240639, 'JP', 'Japan'),
(71165, '103.247.0.0', '103.247.3.255', 1744240640, 1744241663, 'AU', 'Australia'),
(71166, '103.247.4.0', '103.247.7.255', 1744241664, 1744242687, 'JP', 'Japan'),
(71167, '103.247.8.0', '103.247.18.255', 1744242688, 1744245503, 'ID', 'Indonesia'),
(71168, '103.247.19.0', '103.247.19.255', 1744245504, 1744245759, 'AU', 'Australia'),
(71169, '103.247.20.0', '103.247.27.255', 1744245760, 1744247807, 'ID', 'Indonesia'),
(71170, '103.247.28.0', '103.247.31.255', 1744247808, 1744248831, 'IN', 'India'),
(71171, '103.247.32.0', '103.247.37.255', 1744248832, 1744250367, 'ID', 'Indonesia'),
(71172, '103.247.38.0', '103.247.39.255', 1744250368, 1744250879, 'PH', 'Philippines'),
(71173, '103.247.40.0', '103.247.43.255', 1744250880, 1744251903, 'ID', 'Indonesia'),
(71174, '103.247.44.0', '103.247.47.255', 1744251904, 1744252927, 'BD', 'Bangladesh'),
(71175, '103.247.48.0', '103.247.51.255', 1744252928, 1744253951, 'LK', 'Sri Lanka'),
(71176, '103.247.52.0', '103.247.55.255', 1744253952, 1744254975, 'JP', 'Japan'),
(71177, '103.247.56.0', '103.247.59.255', 1744254976, 1744255999, 'NZ', 'New Zealand'),
(71178, '103.247.60.0', '103.247.63.255', 1744256000, 1744257023, 'TH', 'Thailand'),
(71179, '103.247.64.0', '103.247.65.255', 1744257024, 1744257535, 'AU', 'Australia'),
(71180, '103.247.66.0', '103.247.66.255', 1744257536, 1744257791, 'PK', 'Pakistan'),
(71181, '103.247.67.0', '103.247.67.255', 1744257792, 1744258047, 'AU', 'Australia'),
(71182, '103.247.68.0', '103.247.71.255', 1744258048, 1744259071, 'JP', 'Japan'),
(71183, '103.247.72.0', '103.247.75.255', 1744259072, 1744260095, 'NZ', 'New Zealand'),
(71184, '103.247.76.0', '103.247.79.255', 1744260096, 1744261119, 'AU', 'Australia'),
(71185, '103.247.80.0', '103.247.83.255', 1744261120, 1744262143, 'IN', 'India'),
(71186, '103.247.84.0', '103.247.91.255', 1744262144, 1744264191, 'JP', 'Japan'),
(71187, '103.247.92.0', '103.247.95.255', 1744264192, 1744265215, 'HK', 'Hong Kong'),
(71188, '103.247.96.0', '103.247.99.255', 1744265216, 1744266239, 'IN', 'India'),
(71189, '103.247.100.0', '103.247.103.255', 1744266240, 1744267263, 'ID', 'Indonesia'),
(71190, '103.247.104.0', '103.247.107.255', 1744267264, 1744268287, 'IN', 'India'),
(71191, '103.247.108.0', '103.247.111.255', 1744268288, 1744269311, 'HK', 'Hong Kong'),
(71192, '103.247.112.0', '103.247.115.255', 1744269312, 1744270335, 'TW', 'Taiwan'),
(71193, '103.247.116.0', '103.247.116.255', 1744270336, 1744270591, 'AU', 'Australia'),
(71194, '103.247.117.0', '103.247.117.255', 1744270592, 1744270847, 'ID', 'Indonesia'),
(71195, '103.247.118.0', '103.247.119.255', 1744270848, 1744271359, 'AU', 'Australia'),
(71196, '103.247.120.0', '103.247.123.255', 1744271360, 1744272383, 'ID', 'Indonesia'),
(71197, '103.247.124.0', '103.247.125.255', 1744272384, 1744272895, 'PK', 'Pakistan'),
(71198, '103.247.126.0', '103.247.127.255', 1744272896, 1744273407, 'ID', 'Indonesia'),
(71199, '103.247.128.0', '103.247.131.255', 1744273408, 1744274431, 'AU', 'Australia'),
(71200, '103.247.132.0', '103.247.135.255', 1744274432, 1744275455, 'SG', 'Singapore'),
(71201, '103.247.136.0', '103.247.147.255', 1744275456, 1744278527, 'HK', 'Hong Kong'),
(71202, '103.247.148.0', '103.247.151.255', 1744278528, 1744279551, 'IN', 'India'),
(71203, '103.247.152.0', '103.247.155.255', 1744279552, 1744280575, 'NZ', 'New Zealand'),
(71204, '103.247.156.0', '103.247.167.255', 1744280576, 1744283647, 'HK', 'Hong Kong'),
(71205, '103.247.168.0', '103.247.179.255', 1744283648, 1744286719, 'CN', 'China'),
(71206, '103.247.182.0', '103.247.183.255', 1744287232, 1744287743, 'ID', 'Indonesia'),
(71207, '103.247.184.0', '103.247.187.255', 1744287744, 1744288767, 'AU', 'Australia'),
(71208, '103.247.188.0', '103.247.191.255', 1744288768, 1744289791, 'JP', 'Japan'),
(71209, '103.247.192.0', '103.247.195.255', 1744289792, 1744290815, 'NZ', 'New Zealand'),
(71210, '103.247.196.0', '103.247.197.255', 1744290816, 1744291327, 'ID', 'Indonesia'),
(71211, '103.247.198.0', '103.247.198.255', 1744291328, 1744291583, 'AF', 'Afghanistan'),
(71212, '103.247.199.0', '103.247.199.255', 1744291584, 1744291839, 'SG', 'Singapore'),
(71213, '103.247.200.0', '103.247.203.255', 1744291840, 1744292863, 'CN', 'China'),
(71214, '103.247.204.0', '103.247.207.255', 1744292864, 1744293887, 'SG', 'Singapore'),
(71215, '103.247.208.0', '103.247.210.255', 1744293888, 1744294655, 'IN', 'India'),
(71216, '103.247.211.0', '103.247.211.255', 1744294656, 1744294911, 'ID', 'Indonesia'),
(71217, '103.247.212.0', '103.247.215.255', 1744294912, 1744295935, 'CN', 'China'),
(71218, '103.247.216.0', '103.247.219.255', 1744295936, 1744296959, 'ID', 'Indonesia'),
(71219, '103.247.220.0', '103.247.223.255', 1744296960, 1744297983, 'KR', 'Korea, Republic of'),
(71220, '103.247.224.0', '103.247.225.255', 1744297984, 1744298495, 'AU', 'Australia'),
(71221, '103.247.226.0', '103.247.227.255', 1744298496, 1744299007, 'ID', 'Indonesia'),
(71222, '103.247.228.0', '103.247.231.255', 1744299008, 1744300031, 'HK', 'Hong Kong'),
(71223, '103.247.232.0', '103.247.235.255', 1744300032, 1744301055, 'KR', 'Korea, Republic of'),
(71224, '103.247.236.0', '103.247.237.255', 1744301056, 1744301567, 'AU', 'Australia'),
(71225, '103.247.238.0', '103.247.239.255', 1744301568, 1744302079, 'BD', 'Bangladesh'),
(71226, '103.247.240.0', '103.247.243.255', 1744302080, 1744303103, 'JP', 'Japan'),
(71227, '103.247.244.0', '103.247.245.255', 1744303104, 1744303615, 'ID', 'Indonesia'),
(71228, '103.247.246.0', '103.247.246.255', 1744303616, 1744303871, 'IN', 'India'),
(71229, '103.247.247.0', '103.247.247.255', 1744303872, 1744304127, 'NZ', 'New Zealand'),
(71230, '103.247.248.0', '103.247.251.255', 1744304128, 1744305151, 'AU', 'Australia'),
(71231, '103.247.252.0', '103.247.255.255', 1744305152, 1744306175, 'PH', 'Philippines'),
(71232, '105.128.0.0', '105.159.255.255', 1769996288, 1772093439, 'MA', 'Morocco'),
(71233, '105.238.0.0', '105.239.255.255', 1777205248, 1777336319, 'SD', 'Sudan'),
(71234, '105.240.0.0', '105.255.255.255', 1777336320, 1778384895, 'ZA', 'South Africa'),
(71235, '106.0.0.0', '106.0.0.255', 1778384896, 1778385151, 'CN', 'China'),
(71236, '106.0.1.0', '106.0.1.255', 1778385152, 1778385407, 'AU', 'Australia'),
(71237, '106.0.2.0', '106.0.31.255', 1778385408, 1778393087, 'CN', 'China'),
(71238, '106.0.64.0', '106.0.127.255', 1778401280, 1778417663, 'CN', 'China'),
(71239, '106.0.128.0', '106.0.255.255', 1778417664, 1778450431, 'TH', 'Thailand'),
(71240, '106.1.0.0', '106.1.255.255', 1778450432, 1778515967, 'TW', 'Taiwan'),
(71241, '106.2.0.0', '106.9.255.255', 1778515968, 1779040255, 'CN', 'China'),
(71242, '106.10.0.0', '106.10.127.255', 1779040256, 1779073023, 'KR', 'Korea, Republic of'),
(71243, '106.10.128.0', '106.10.255.255', 1779073024, 1779105791, 'SG', 'Singapore'),
(71244, '106.11.0.0', '106.50.255.255', 1779105792, 1781727231, 'CN', 'China'),
(71245, '106.51.0.0', '106.51.255.255', 1781727232, 1781792767, 'IN', 'India'),
(71246, '106.52.0.0', '106.63.255.255', 1781792768, 1782579199, 'CN', 'China'),
(71247, '106.64.0.0', '106.65.255.255', 1782579200, 1782710271, 'TW', 'Taiwan'),
(71248, '106.66.0.0', '106.67.255.255', 1782710272, 1782841343, 'IN', 'India'),
(71249, '106.68.0.0', '106.71.255.255', 1782841344, 1783103487, 'AU', 'Australia'),
(71250, '106.72.0.0', '106.73.255.255', 1783103488, 1783234559, 'JP', 'Japan'),
(71251, '106.74.0.0', '106.75.255.255', 1783234560, 1783365631, 'CN', 'China'),
(71252, '106.76.0.0', '106.79.255.255', 1783365632, 1783627775, 'IN', 'India'),
(71253, '106.80.0.0', '106.95.255.255', 1783627776, 1784676351, 'CN', 'China'),
(71254, '106.96.0.0', '106.103.255.255', 1784676352, 1785200639, 'KR', 'Korea, Republic of'),
(71255, '106.104.0.0', '106.107.255.255', 1785200640, 1785462783, 'TW', 'Taiwan'),
(71256, '106.108.0.0', '106.127.255.255', 1785462784, 1786773503, 'CN', 'China'),
(71257, '106.128.0.0', '106.191.255.255', 1786773504, 1790967807, 'JP', 'Japan'),
(71258, '106.192.0.0', '106.223.255.255', 1790967808, 1793064959, 'IN', 'India'),
(71259, '106.224.0.0', '106.239.255.255', 1793064960, 1794113535, 'CN', 'China'),
(71260, '106.240.0.0', '106.255.255.255', 1794113536, 1795162111, 'KR', 'Korea, Republic of'),
(71261, '107.0.0.0', '107.6.0.31', 1795162112, 1795555359, 'US', 'United States'),
(71262, '107.6.0.32', '107.6.0.127', 1795555360, 1795555455, 'CA', 'Canada'),
(71263, '107.6.0.128', '107.6.0.191', 1795555456, 1795555519, 'US', 'United States'),
(71264, '107.6.0.192', '107.6.0.255', 1795555520, 1795555583, 'CA', 'Canada'),
(71265, '107.6.1.0', '107.6.1.255', 1795555584, 1795555839, 'US', 'United States'),
(71266, '107.6.2.0', '107.6.2.15', 1795555840, 1795555855, 'CA', 'Canada'),
(71267, '107.6.2.16', '107.6.2.23', 1795555856, 1795555863, 'US', 'United States'),
(71268, '107.6.2.24', '107.6.2.63', 1795555864, 1795555903, 'CA', 'Canada'),
(71269, '107.6.2.64', '107.6.2.127', 1795555904, 1795555967, 'AN', 'Netherlands Antilles'),
(71270, '107.6.2.128', '107.6.2.255', 1795555968, 1795556095, 'CA', 'Canada'),
(71271, '107.6.3.0', '107.6.3.7', 1795556096, 1795556103, 'US', 'United States'),
(71272, '107.6.3.8', '107.6.3.31', 1795556104, 1795556127, 'CA', 'Canada'),
(71273, '107.6.3.32', '107.6.3.79', 1795556128, 1795556175, 'US', 'United States'),
(71274, '107.6.3.80', '107.6.3.87', 1795556176, 1795556183, 'CA', 'Canada'),
(71275, '107.6.3.88', '107.6.3.95', 1795556184, 1795556191, 'US', 'United States'),
(71276, '107.6.3.96', '107.6.3.159', 1795556192, 1795556255, 'CA', 'Canada'),
(71277, '107.6.3.160', '107.6.3.191', 1795556256, 1795556287, 'US', 'United States'),
(71278, '107.6.3.192', '107.6.3.223', 1795556288, 1795556319, 'QA', 'Qatar'),
(71279, '107.6.3.224', '107.6.3.255', 1795556320, 1795556351, 'US', 'United States'),
(71280, '107.6.4.0', '107.6.4.255', 1795556352, 1795556607, 'CA', 'Canada'),
(71281, '107.6.5.0', '107.6.5.15', 1795556608, 1795556623, 'US', 'United States'),
(71282, '107.6.5.16', '107.6.5.255', 1795556624, 1795556863, 'CA', 'Canada'),
(71283, '107.6.6.0', '107.6.6.63', 1795556864, 1795556927, 'US', 'United States'),
(71284, '107.6.6.64', '107.6.6.95', 1795556928, 1795556959, 'CA', 'Canada'),
(71285, '107.6.6.96', '107.6.6.127', 1795556960, 1795556991, 'US', 'United States'),
(71286, '107.6.6.128', '107.6.6.255', 1795556992, 1795557119, 'CA', 'Canada'),
(71287, '107.6.7.0', '107.6.7.15', 1795557120, 1795557135, 'US', 'United States'),
(71288, '107.6.7.16', '107.6.7.23', 1795557136, 1795557143, 'CA', 'Canada'),
(71289, '107.6.7.24', '107.6.7.31', 1795557144, 1795557151, 'US', 'United States'),
(71290, '107.6.7.32', '107.6.7.95', 1795557152, 1795557215, 'CA', 'Canada'),
(71291, '107.6.7.96', '107.6.7.127', 1795557216, 1795557247, 'US', 'United States'),
(71292, '107.6.7.128', '107.6.7.255', 1795557248, 1795557375, 'CA', 'Canada'),
(71293, '107.6.8.0', '107.6.8.255', 1795557376, 1795557631, 'IN', 'India'),
(71294, '107.6.9.0', '107.6.12.255', 1795557632, 1795558655, 'US', 'United States'),
(71295, '107.6.13.0', '107.6.13.255', 1795558656, 1795558911, 'A1', 'Anonymous Proxy'),
(71296, '107.6.14.0', '107.6.15.255', 1795558912, 1795559423, 'US', 'United States'),
(71297, '107.6.16.0', '107.6.16.255', 1795559424, 1795559679, 'AR', 'Argentina'),
(71298, '107.6.17.0', '107.6.17.63', 1795559680, 1795559743, 'US', 'United States'),
(71299, '107.6.17.64', '107.6.17.127', 1795559744, 1795559807, 'AE', 'United Arab Emirates'),
(71300, '107.6.17.128', '107.6.19.255', 1795559808, 1795560447, 'US', 'United States'),
(71301, '107.6.20.0', '107.6.21.255', 1795560448, 1795560959, 'CA', 'Canada'),
(71302, '107.6.22.0', '107.6.22.255', 1795560960, 1795561215, 'US', 'United States'),
(71303, '107.6.23.0', '107.6.23.143', 1795561216, 1795561359, 'CA', 'Canada'),
(71304, '107.6.23.144', '107.6.23.255', 1795561360, 1795561471, 'US', 'United States'),
(71305, '107.6.24.0', '107.6.26.255', 1795561472, 1795562239, 'CA', 'Canada'),
(71306, '107.6.27.0', '107.6.40.63', 1795562240, 1795565631, 'US', 'United States'),
(71307, '107.6.40.64', '107.6.40.151', 1795565632, 1795565719, 'CA', 'Canada'),
(71308, '107.6.40.152', '107.6.40.191', 1795565720, 1795565759, 'US', 'United States'),
(71309, '107.6.40.192', '107.6.40.223', 1795565760, 1795565791, 'CA', 'Canada'),
(71310, '107.6.40.224', '107.6.40.239', 1795565792, 1795565807, 'US', 'United States'),
(71311, '107.6.40.240', '107.6.42.63', 1795565808, 1795566143, 'CA', 'Canada'),
(71312, '107.6.42.64', '107.6.42.127', 1795566144, 1795566207, 'US', 'United States'),
(71313, '107.6.42.128', '107.6.42.151', 1795566208, 1795566231, 'CA', 'Canada'),
(71314, '107.6.42.152', '107.6.42.159', 1795566232, 1795566239, 'US', 'United States'),
(71315, '107.6.42.160', '107.6.42.223', 1795566240, 1795566303, 'CA', 'Canada'),
(71316, '107.6.42.224', '107.6.42.255', 1795566304, 1795566335, 'US', 'United States'),
(71317, '107.6.43.0', '107.6.43.255', 1795566336, 1795566591, 'CA', 'Canada'),
(71318, '107.6.44.0', '107.6.47.255', 1795566592, 1795567615, 'US', 'United States'),
(71319, '107.6.48.0', '107.6.48.47', 1795567616, 1795567663, 'CA', 'Canada'),
(71320, '107.6.48.48', '107.6.48.63', 1795567664, 1795567679, 'US', 'United States'),
(71321, '107.6.48.64', '107.6.48.79', 1795567680, 1795567695, 'CA', 'Canada'),
(71322, '107.6.48.80', '107.6.48.95', 1795567696, 1795567711, 'US', 'United States'),
(71323, '107.6.48.96', '107.6.48.119', 1795567712, 1795567735, 'CA', 'Canada'),
(71324, '107.6.48.120', '107.6.48.127', 1795567736, 1795567743, 'US', 'United States'),
(71325, '107.6.48.128', '107.6.48.159', 1795567744, 1795567775, 'CA', 'Canada'),
(71326, '107.6.48.160', '107.6.48.175', 1795567776, 1795567791, 'US', 'United States'),
(71327, '107.6.48.176', '107.6.48.191', 1795567792, 1795567807, 'CA', 'Canada'),
(71328, '107.6.48.192', '107.6.49.127', 1795567808, 1795567999, 'US', 'United States'),
(71329, '107.6.49.128', '107.6.51.255', 1795568000, 1795568639, 'CA', 'Canada'),
(71330, '107.6.52.0', '107.6.53.15', 1795568640, 1795568911, 'US', 'United States'),
(71331, '107.6.53.16', '107.6.53.31', 1795568912, 1795568927, 'CA', 'Canada'),
(71332, '107.6.53.32', '107.6.55.255', 1795568928, 1795569663, 'US', 'United States'),
(71333, '107.6.56.0', '107.6.57.255', 1795569664, 1795570175, 'CA', 'Canada'),
(71334, '107.6.58.0', '107.6.60.255', 1795570176, 1795570943, 'US', 'United States'),
(71335, '107.6.61.0', '107.6.62.15', 1795570944, 1795571215, 'CA', 'Canada'),
(71336, '107.6.62.16', '107.6.62.23', 1795571216, 1795571223, 'US', 'United States'),
(71337, '107.6.62.24', '107.6.62.31', 1795571224, 1795571231, 'CA', 'Canada'),
(71338, '107.6.62.32', '107.6.62.127', 1795571232, 1795571327, 'US', 'United States'),
(71339, '107.6.62.128', '107.6.62.191', 1795571328, 1795571391, 'CA', 'Canada'),
(71340, '107.6.62.192', '107.6.62.223', 1795571392, 1795571423, 'US', 'United States'),
(71341, '107.6.62.224', '107.6.62.255', 1795571424, 1795571455, 'CA', 'Canada'),
(71342, '107.6.63.0', '107.6.111.255', 1795571456, 1795583999, 'US', 'United States'),
(71343, '107.6.112.0', '107.6.127.255', 1795584000, 1795588095, 'SG', 'Singapore'),
(71344, '107.6.128.0', '107.16.184.127', 1795588096, 1796257919, 'US', 'United States'),
(71345, '107.16.184.128', '107.16.184.255', 1796257920, 1796258047, 'PR', 'Puerto Rico'),
(71346, '107.16.185.0', '107.16.203.255', 1796258048, 1796262911, 'US', 'United States'),
(71347, '107.16.204.0', '107.16.204.255', 1796262912, 1796263167, 'PR', 'Puerto Rico'),
(71348, '107.16.205.0', '107.17.191.255', 1796263168, 1796325375, 'US', 'United States'),
(71349, '107.17.192.0', '107.17.192.255', 1796325376, 1796325631, 'PR', 'Puerto Rico'),
(71350, '107.17.193.0', '107.20.161.196', 1796325632, 1796514244, 'US', 'United States'),
(71351, '107.20.161.197', '107.20.161.197', 1796514245, 1796514245, 'A1', 'Anonymous Proxy'),
(71352, '107.20.161.198', '107.127.255.255', 1796514246, 1803550719, 'US', 'United States'),
(71353, '107.192.0.0', '108.58.255.255', 1807745024, 1815805951, 'US', 'United States'),
(71354, '108.59.0.0', '108.59.0.255', 1815805952, 1815806207, 'FR', 'France'),
(71355, '108.59.1.0', '108.59.1.255', 1815806208, 1815806463, 'A1', 'Anonymous Proxy'),
(71356, '108.59.2.0', '108.59.2.63', 1815806464, 1815806527, 'US', 'United States'),
(71357, '108.59.2.64', '108.59.2.95', 1815806528, 1815806559, 'GB', 'United Kingdom'),
(71358, '108.59.2.96', '108.59.2.255', 1815806560, 1815806719, 'US', 'United States'),
(71359, '108.59.3.0', '108.59.3.127', 1815806720, 1815806847, 'GB', 'United Kingdom'),
(71360, '108.59.3.128', '108.59.3.197', 1815806848, 1815806917, 'US', 'United States'),
(71361, '108.59.3.198', '108.59.3.205', 1815806918, 1815806925, 'AR', 'Argentina'),
(71362, '108.59.3.206', '108.59.4.127', 1815806926, 1815807103, 'US', 'United States'),
(71363, '108.59.4.128', '108.59.4.159', 1815807104, 1815807135, 'SC', 'Seychelles'),
(71364, '108.59.4.160', '108.59.4.223', 1815807136, 1815807199, 'US', 'United States'),
(71365, '108.59.4.224', '108.59.4.255', 1815807200, 1815807231, 'GB', 'United Kingdom'),
(71366, '108.59.5.0', '108.59.5.70', 1815807232, 1815807302, 'US', 'United States'),
(71367, '108.59.5.71', '108.59.5.80', 1815807303, 1815807312, 'DE', 'Germany'),
(71368, '108.59.5.81', '108.59.6.191', 1815807313, 1815807679, 'US', 'United States'),
(71369, '108.59.6.192', '108.59.6.255', 1815807680, 1815807743, 'GB', 'United Kingdom'),
(71370, '108.59.7.0', '108.59.7.31', 1815807744, 1815807775, 'SC', 'Seychelles'),
(71371, '108.59.7.32', '108.59.7.32', 1815807776, 1815807776, 'US', 'United States'),
(71372, '108.59.7.33', '108.59.7.50', 1815807777, 1815807794, 'GB', 'United Kingdom'),
(71373, '108.59.7.51', '108.59.7.95', 1815807795, 1815807839, 'US', 'United States'),
(71374, '108.59.7.96', '108.59.7.191', 1815807840, 1815807935, 'GB', 'United Kingdom'),
(71375, '108.59.7.192', '108.59.7.255', 1815807936, 1815807999, 'US', 'United States'),
(71376, '108.59.8.0', '108.59.8.255', 1815808000, 1815808255, 'A1', 'Anonymous Proxy'),
(71377, '108.59.9.0', '108.59.9.36', 1815808256, 1815808292, 'US', 'United States'),
(71378, '108.59.9.37', '108.59.9.44', 1815808293, 1815808300, 'GB', 'United Kingdom'),
(71379, '108.59.9.45', '108.59.9.48', 1815808301, 1815808304, 'US', 'United States'),
(71380, '108.59.9.49', '108.59.9.58', 1815808305, 1815808314, 'GB', 'United Kingdom'),
(71381, '108.59.9.59', '108.59.9.137', 1815808315, 1815808393, 'US', 'United States'),
(71382, '108.59.9.138', '108.59.9.148', 1815808394, 1815808404, 'GB', 'United Kingdom'),
(71383, '108.59.9.149', '108.59.10.74', 1815808405, 1815808586, 'US', 'United States'),
(71384, '108.59.10.75', '108.59.10.86', 1815808587, 1815808598, 'AE', 'United Arab Emirates'),
(71385, '108.59.10.87', '108.59.10.144', 1815808599, 1815808656, 'US', 'United States'),
(71386, '108.59.10.145', '108.59.10.145', 1815808657, 1815808657, 'A1', 'Anonymous Proxy'),
(71387, '108.59.10.146', '108.59.10.207', 1815808658, 1815808719, 'US', 'United States'),
(71388, '108.59.10.208', '108.59.10.219', 1815808720, 1815808731, 'GB', 'United Kingdom'),
(71389, '108.59.10.220', '108.59.10.225', 1815808732, 1815808737, 'US', 'United States'),
(71390, '108.59.10.226', '108.59.10.246', 1815808738, 1815808758, 'GB', 'United Kingdom'),
(71391, '108.59.10.247', '108.59.10.255', 1815808759, 1815808767, 'US', 'United States'),
(71392, '108.59.11.0', '108.59.11.63', 1815808768, 1815808831, 'SC', 'Seychelles'),
(71393, '108.59.11.64', '108.59.11.76', 1815808832, 1815808844, 'US', 'United States'),
(71394, '108.59.11.77', '108.59.11.89', 1815808845, 1815808857, 'GB', 'United Kingdom'),
(71395, '108.59.11.90', '108.59.11.106', 1815808858, 1815808874, 'US', 'United States'),
(71396, '108.59.11.107', '108.59.11.115', 1815808875, 1815808883, 'GB', 'United Kingdom'),
(71397, '108.59.11.116', '108.59.11.127', 1815808884, 1815808895, 'US', 'United States'),
(71398, '108.59.11.128', '108.59.11.191', 1815808896, 1815808959, 'SC', 'Seychelles'),
(71399, '108.59.11.192', '108.59.11.237', 1815808960, 1815809005, 'US', 'United States'),
(71400, '108.59.11.238', '108.59.11.247', 1815809006, 1815809015, 'GB', 'United Kingdom'),
(71401, '108.59.11.248', '108.59.12.172', 1815809016, 1815809196, 'US', 'United States'),
(71402, '108.59.12.173', '108.59.12.181', 1815809197, 1815809205, 'IE', 'Ireland'),
(71403, '108.59.12.182', '108.59.13.39', 1815809206, 1815809319, 'US', 'United States'),
(71404, '108.59.13.40', '108.59.13.47', 1815809320, 1815809327, 'NL', 'Netherlands'),
(71405, '108.59.13.48', '108.59.13.48', 1815809328, 1815809328, 'US', 'United States'),
(71406, '108.59.13.49', '108.59.13.57', 1815809329, 1815809337, 'SE', 'Sweden'),
(71407, '108.59.13.58', '108.59.13.159', 1815809338, 1815809439, 'US', 'United States'),
(71408, '108.59.13.160', '108.59.13.191', 1815809440, 1815809471, 'SC', 'Seychelles'),
(71409, '108.59.13.192', '108.59.13.223', 1815809472, 1815809503, 'DK', 'Denmark'),
(71410, '108.59.13.224', '108.59.13.224', 1815809504, 1815809504, 'US', 'United States'),
(71411, '108.59.13.225', '108.59.13.233', 1815809505, 1815809513, 'GB', 'United Kingdom'),
(71412, '108.59.13.234', '108.59.13.255', 1815809514, 1815809535, 'US', 'United States'),
(71413, '108.59.14.0', '108.59.14.63', 1815809536, 1815809599, 'SC', 'Seychelles'),
(71414, '108.59.14.64', '108.59.14.108', 1815809600, 1815809644, 'US', 'United States'),
(71415, '108.59.14.109', '108.59.14.118', 1815809645, 1815809654, 'AN', 'Netherlands Antilles'),
(71416, '108.59.14.119', '108.59.14.128', 1815809655, 1815809664, 'US', 'United States'),
(71417, '108.59.14.129', '108.59.14.150', 1815809665, 1815809686, 'DK', 'Denmark'),
(71418, '108.59.14.151', '108.59.14.166', 1815809687, 1815809702, 'US', 'United States'),
(71419, '108.59.14.167', '108.59.14.185', 1815809703, 1815809721, 'DK', 'Denmark'),
(71420, '108.59.14.186', '108.59.14.230', 1815809722, 1815809766, 'US', 'United States'),
(71421, '108.59.14.231', '108.59.14.248', 1815809767, 1815809784, 'DK', 'Denmark'),
(71422, '108.59.14.249', '108.59.63.255', 1815809785, 1815822335, 'US', 'United States'),
(71423, '108.59.64.0', '108.59.79.255', 1815822336, 1815826431, 'CA', 'Canada'),
(71424, '108.59.80.0', '108.59.255.255', 1815826432, 1815871487, 'US', 'United States'),
(71425, '108.60.0.0', '108.60.31.255', 1815871488, 1815879679, 'CA', 'Canada'),
(71426, '108.60.32.0', '108.60.131.10', 1815879680, 1815905034, 'US', 'United States'),
(71427, '108.60.131.11', '108.60.131.14', 1815905035, 1815905038, 'A1', 'Anonymous Proxy'),
(71428, '108.60.131.15', '108.60.159.255', 1815905039, 1815912447, 'US', 'United States'),
(71429, '108.60.160.0', '108.60.191.255', 1815912448, 1815920639, 'CA', 'Canada'),
(71430, '108.60.192.0', '108.60.223.255', 1815920640, 1815928831, 'US', 'United States'),
(71431, '108.60.224.0', '108.60.255.255', 1815928832, 1815937023, 'BS', 'Bahamas'),
(71432, '108.61.0.0', '108.61.81.63', 1815937024, 1815957823, 'US', 'United States'),
(71433, '108.61.81.64', '108.61.81.127', 1815957824, 1815957887, 'A1', 'Anonymous Proxy'),
(71434, '108.61.81.128', '108.61.252.255', 1815957888, 1816001791, 'US', 'United States'),
(71435, '108.61.253.0', '108.61.255.255', 1816001792, 1816002559, 'NL', 'Netherlands'),
(71436, '108.62.0.0', '108.62.17.255', 1816002560, 1816007167, 'US', 'United States'),
(71437, '108.62.18.0', '108.62.18.7', 1816007168, 1816007175, 'CA', 'Canada'),
(71438, '108.62.18.8', '108.62.84.255', 1816007176, 1816024319, 'US', 'United States'),
(71439, '108.62.85.0', '108.62.85.255', 1816024320, 1816024575, 'CA', 'Canada'),
(71440, '108.62.86.0', '108.62.112.111', 1816024576, 1816031343, 'US', 'United States'),
(71441, '108.62.112.112', '108.62.112.119', 1816031344, 1816031351, 'CA', 'Canada'),
(71442, '108.62.112.120', '108.62.255.255', 1816031352, 1816068095, 'US', 'United States'),
(71443, '108.63.0.0', '108.63.255.255', 1816068096, 1816133631, 'CA', 'Canada'),
(71444, '108.64.0.0', '108.160.15.255', 1816133632, 1822429183, 'US', 'United States'),
(71445, '108.160.16.0', '108.160.31.255', 1822429184, 1822433279, 'CA', 'Canada'),
(71446, '108.160.32.0', '108.160.79.255', 1822433280, 1822445567, 'US', 'United States'),
(71447, '108.160.80.0', '108.160.111.255', 1822445568, 1822453759, 'CA', 'Canada'),
(71448, '108.160.112.0', '108.160.239.255', 1822453760, 1822486527, 'US', 'United States'),
(71449, '108.160.240.0', '108.160.255.255', 1822486528, 1822490623, 'CA', 'Canada'),
(71450, '108.161.0.0', '108.161.31.255', 1822490624, 1822498815, 'US', 'United States'),
(71451, '108.161.32.0', '108.161.47.255', 1822498816, 1822502911, 'CA', 'Canada'),
(71452, '108.161.48.0', '108.161.111.255', 1822502912, 1822519295, 'US', 'United States'),
(71453, '108.161.112.0', '108.161.127.255', 1822519296, 1822523391, 'CA', 'Canada'),
(71454, '108.161.128.0', '108.161.159.255', 1822523392, 1822531583, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(71455, '108.161.160.0', '108.161.175.255', 1822531584, 1822535679, 'CA', 'Canada'),
(71456, '108.161.176.0', '108.162.63.255', 1822535680, 1822572543, 'US', 'United States'),
(71457, '108.162.64.0', '108.162.191.255', 1822572544, 1822605311, 'CA', 'Canada'),
(71458, '108.162.192.0', '108.163.127.255', 1822605312, 1822654463, 'US', 'United States'),
(71459, '108.163.128.0', '108.163.191.255', 1822654464, 1822670847, 'CA', 'Canada'),
(71460, '108.163.192.0', '108.166.0.63', 1822670848, 1822818367, 'US', 'United States'),
(71461, '108.166.0.64', '108.166.0.71', 1822818368, 1822818375, 'CA', 'Canada'),
(71462, '108.166.0.72', '108.166.2.183', 1822818376, 1822818999, 'US', 'United States'),
(71463, '108.166.2.184', '108.166.2.191', 1822819000, 1822819007, 'CA', 'Canada'),
(71464, '108.166.2.192', '108.166.2.215', 1822819008, 1822819031, 'US', 'United States'),
(71465, '108.166.2.216', '108.166.2.223', 1822819032, 1822819039, 'IL', 'Israel'),
(71466, '108.166.2.224', '108.166.3.143', 1822819040, 1822819215, 'US', 'United States'),
(71467, '108.166.3.144', '108.166.3.151', 1822819216, 1822819223, 'CA', 'Canada'),
(71468, '108.166.3.152', '108.166.4.19', 1822819224, 1822819347, 'US', 'United States'),
(71469, '108.166.4.20', '108.166.4.23', 1822819348, 1822819351, 'NO', 'Norway'),
(71470, '108.166.4.24', '108.166.4.27', 1822819352, 1822819355, 'US', 'United States'),
(71471, '108.166.4.28', '108.166.4.31', 1822819356, 1822819359, 'AU', 'Australia'),
(71472, '108.166.4.32', '108.166.4.235', 1822819360, 1822819563, 'US', 'United States'),
(71473, '108.166.4.236', '108.166.4.239', 1822819564, 1822819567, 'AU', 'Australia'),
(71474, '108.166.4.240', '108.166.5.255', 1822819568, 1822819839, 'US', 'United States'),
(71475, '108.166.6.0', '108.166.6.3', 1822819840, 1822819843, 'PE', 'Peru'),
(71476, '108.166.6.4', '108.166.6.51', 1822819844, 1822819891, 'US', 'United States'),
(71477, '108.166.6.52', '108.166.6.55', 1822819892, 1822819895, 'CA', 'Canada'),
(71478, '108.166.6.56', '108.166.6.199', 1822819896, 1822820039, 'US', 'United States'),
(71479, '108.166.6.200', '108.166.6.203', 1822820040, 1822820043, 'IL', 'Israel'),
(71480, '108.166.6.204', '108.166.7.51', 1822820044, 1822820147, 'US', 'United States'),
(71481, '108.166.7.52', '108.166.7.55', 1822820148, 1822820151, 'AU', 'Australia'),
(71482, '108.166.7.56', '108.166.7.99', 1822820152, 1822820195, 'US', 'United States'),
(71483, '108.166.7.100', '108.166.7.103', 1822820196, 1822820199, 'AU', 'Australia'),
(71484, '108.166.7.104', '108.166.7.231', 1822820200, 1822820327, 'US', 'United States'),
(71485, '108.166.7.232', '108.166.7.235', 1822820328, 1822820331, 'AU', 'Australia'),
(71486, '108.166.7.236', '108.166.11.63', 1822820332, 1822821183, 'US', 'United States'),
(71487, '108.166.11.64', '108.166.11.79', 1822821184, 1822821199, 'IN', 'India'),
(71488, '108.166.11.80', '108.166.14.247', 1822821200, 1822822135, 'US', 'United States'),
(71489, '108.166.14.248', '108.166.15.39', 1822822136, 1822822183, 'IL', 'Israel'),
(71490, '108.166.15.40', '108.166.15.95', 1822822184, 1822822239, 'US', 'United States'),
(71491, '108.166.15.96', '108.166.15.103', 1822822240, 1822822247, 'IN', 'India'),
(71492, '108.166.15.104', '108.166.17.207', 1822822248, 1822822863, 'US', 'United States'),
(71493, '108.166.17.208', '108.166.17.215', 1822822864, 1822822871, 'CA', 'Canada'),
(71494, '108.166.17.216', '108.166.19.255', 1822822872, 1822823423, 'US', 'United States'),
(71495, '108.166.20.0', '108.166.20.7', 1822823424, 1822823431, 'CA', 'Canada'),
(71496, '108.166.20.8', '108.166.20.247', 1822823432, 1822823671, 'US', 'United States'),
(71497, '108.166.20.248', '108.166.20.255', 1822823672, 1822823679, 'CY', 'Cyprus'),
(71498, '108.166.21.0', '108.166.26.43', 1822823680, 1822825003, 'US', 'United States'),
(71499, '108.166.26.44', '108.166.26.47', 1822825004, 1822825007, 'AU', 'Australia'),
(71500, '108.166.26.48', '108.166.26.159', 1822825008, 1822825119, 'US', 'United States'),
(71501, '108.166.26.160', '108.166.26.163', 1822825120, 1822825123, 'CA', 'Canada'),
(71502, '108.166.26.164', '108.166.26.175', 1822825124, 1822825135, 'US', 'United States'),
(71503, '108.166.26.176', '108.166.26.179', 1822825136, 1822825139, 'CY', 'Cyprus'),
(71504, '108.166.26.180', '108.166.26.183', 1822825140, 1822825143, 'NZ', 'New Zealand'),
(71505, '108.166.26.184', '108.166.26.251', 1822825144, 1822825211, 'US', 'United States'),
(71506, '108.166.26.252', '108.166.26.255', 1822825212, 1822825215, 'NO', 'Norway'),
(71507, '108.166.27.0', '108.166.29.55', 1822825216, 1822825783, 'US', 'United States'),
(71508, '108.166.29.56', '108.166.29.63', 1822825784, 1822825791, 'AU', 'Australia'),
(71509, '108.166.29.64', '108.166.29.167', 1822825792, 1822825895, 'US', 'United States'),
(71510, '108.166.29.168', '108.166.29.175', 1822825896, 1822825903, 'NZ', 'New Zealand'),
(71511, '108.166.29.176', '108.166.30.167', 1822825904, 1822826151, 'US', 'United States'),
(71512, '108.166.30.168', '108.166.30.191', 1822826152, 1822826175, 'IL', 'Israel'),
(71513, '108.166.30.192', '108.166.30.223', 1822826176, 1822826207, 'US', 'United States'),
(71514, '108.166.30.224', '108.166.30.231', 1822826208, 1822826215, 'AU', 'Australia'),
(71515, '108.166.30.232', '108.166.32.63', 1822826216, 1822826559, 'US', 'United States'),
(71516, '108.166.32.64', '108.166.32.79', 1822826560, 1822826575, 'MX', 'Mexico'),
(71517, '108.166.32.80', '108.166.33.223', 1822826576, 1822826975, 'US', 'United States'),
(71518, '108.166.33.224', '108.166.33.255', 1822826976, 1822827007, 'IL', 'Israel'),
(71519, '108.166.34.0', '108.166.34.47', 1822827008, 1822827055, 'US', 'United States'),
(71520, '108.166.34.48', '108.166.34.55', 1822827056, 1822827063, 'DK', 'Denmark'),
(71521, '108.166.34.56', '108.166.34.159', 1822827064, 1822827167, 'US', 'United States'),
(71522, '108.166.34.160', '108.166.34.167', 1822827168, 1822827175, 'IL', 'Israel'),
(71523, '108.166.34.168', '108.166.34.175', 1822827176, 1822827183, 'US', 'United States'),
(71524, '108.166.34.176', '108.166.34.183', 1822827184, 1822827191, 'DK', 'Denmark'),
(71525, '108.166.34.184', '108.166.35.47', 1822827192, 1822827311, 'US', 'United States'),
(71526, '108.166.35.48', '108.166.35.55', 1822827312, 1822827319, 'IN', 'India'),
(71527, '108.166.35.56', '108.166.35.199', 1822827320, 1822827463, 'US', 'United States'),
(71528, '108.166.35.200', '108.166.35.207', 1822827464, 1822827471, 'AU', 'Australia'),
(71529, '108.166.35.208', '108.166.36.167', 1822827472, 1822827687, 'US', 'United States'),
(71530, '108.166.36.168', '108.166.36.171', 1822827688, 1822827691, 'CZ', 'Czech Republic'),
(71531, '108.166.36.172', '108.166.36.207', 1822827692, 1822827727, 'US', 'United States'),
(71532, '108.166.36.208', '108.166.36.211', 1822827728, 1822827731, 'CA', 'Canada'),
(71533, '108.166.36.212', '108.166.36.251', 1822827732, 1822827771, 'US', 'United States'),
(71534, '108.166.36.252', '108.166.36.255', 1822827772, 1822827775, 'AU', 'Australia'),
(71535, '108.166.37.0', '108.166.37.95', 1822827776, 1822827871, 'US', 'United States'),
(71536, '108.166.37.96', '108.166.37.103', 1822827872, 1822827879, 'AU', 'Australia'),
(71537, '108.166.37.104', '108.167.255.255', 1822827880, 1822949375, 'US', 'United States'),
(71538, '108.168.0.0', '108.168.127.255', 1822949376, 1822982143, 'CA', 'Canada'),
(71539, '108.168.128.0', '108.170.5.247', 1822982144, 1823081975, 'US', 'United States'),
(71540, '108.170.5.248', '108.170.5.255', 1823081976, 1823081983, 'ID', 'Indonesia'),
(71541, '108.170.6.0', '108.170.6.215', 1823081984, 1823082199, 'US', 'United States'),
(71542, '108.170.6.216', '108.170.6.223', 1823082200, 1823082207, 'TR', 'Turkey'),
(71543, '108.170.6.224', '108.170.16.255', 1823082208, 1823084799, 'US', 'United States'),
(71544, '108.170.17.0', '108.170.17.7', 1823084800, 1823084807, 'TR', 'Turkey'),
(71545, '108.170.17.8', '108.170.17.159', 1823084808, 1823084959, 'US', 'United States'),
(71546, '108.170.17.160', '108.170.17.167', 1823084960, 1823084967, 'MV', 'Maldives'),
(71547, '108.170.17.168', '108.170.127.255', 1823084968, 1823113215, 'US', 'United States'),
(71548, '108.170.128.0', '108.170.191.255', 1823113216, 1823129599, 'CA', 'Canada'),
(71549, '108.170.192.0', '108.171.63.255', 1823129600, 1823162367, 'US', 'United States'),
(71550, '108.171.64.0', '108.171.95.255', 1823162368, 1823170559, 'CA', 'Canada'),
(71551, '108.171.96.0', '108.171.164.7', 1823170560, 1823187975, 'US', 'United States'),
(71552, '108.171.164.8', '108.171.164.15', 1823187976, 1823187983, 'FI', 'Finland'),
(71553, '108.171.164.16', '108.171.165.55', 1823187984, 1823188279, 'US', 'United States'),
(71554, '108.171.165.56', '108.171.165.63', 1823188280, 1823188287, 'MX', 'Mexico'),
(71555, '108.171.165.64', '108.171.165.87', 1823188288, 1823188311, 'US', 'United States'),
(71556, '108.171.165.88', '108.171.165.95', 1823188312, 1823188319, 'IN', 'India'),
(71557, '108.171.165.96', '108.171.168.19', 1823188320, 1823189011, 'US', 'United States'),
(71558, '108.171.168.20', '108.171.168.23', 1823189012, 1823189015, 'AU', 'Australia'),
(71559, '108.171.168.24', '108.171.168.55', 1823189016, 1823189047, 'US', 'United States'),
(71560, '108.171.168.56', '108.171.168.83', 1823189048, 1823189075, 'KY', 'Cayman Islands'),
(71561, '108.171.168.84', '108.171.168.163', 1823189076, 1823189155, 'US', 'United States'),
(71562, '108.171.168.164', '108.171.168.167', 1823189156, 1823189159, 'AU', 'Australia'),
(71563, '108.171.168.168', '108.171.255.255', 1823189160, 1823211519, 'US', 'United States'),
(71564, '108.172.0.0', '108.173.255.255', 1823211520, 1823342591, 'CA', 'Canada'),
(71565, '108.174.0.0', '108.174.15.255', 1823342592, 1823346687, 'US', 'United States'),
(71566, '108.174.16.0', '108.174.31.255', 1823346688, 1823350783, 'CA', 'Canada'),
(71567, '108.174.32.0', '108.174.47.255', 1823350784, 1823354879, 'US', 'United States'),
(71568, '108.174.48.0', '108.174.48.15', 1823354880, 1823354895, 'GB', 'United Kingdom'),
(71569, '108.174.48.16', '108.174.48.23', 1823354896, 1823354903, 'BE', 'Belgium'),
(71570, '108.174.48.24', '108.174.48.47', 1823354904, 1823354927, 'US', 'United States'),
(71571, '108.174.48.48', '108.174.48.55', 1823354928, 1823354935, 'VE', 'Venezuela'),
(71572, '108.174.48.56', '108.174.48.159', 1823354936, 1823355039, 'US', 'United States'),
(71573, '108.174.48.160', '108.174.48.167', 1823355040, 1823355047, 'GB', 'United Kingdom'),
(71574, '108.174.48.168', '108.174.48.175', 1823355048, 1823355055, 'US', 'United States'),
(71575, '108.174.48.176', '108.174.48.183', 1823355056, 1823355063, 'GB', 'United Kingdom'),
(71576, '108.174.48.184', '108.174.48.191', 1823355064, 1823355071, 'CA', 'Canada'),
(71577, '108.174.48.192', '108.174.48.207', 1823355072, 1823355087, 'SE', 'Sweden'),
(71578, '108.174.48.208', '108.174.48.215', 1823355088, 1823355095, 'US', 'United States'),
(71579, '108.174.48.216', '108.174.48.231', 1823355096, 1823355111, 'SE', 'Sweden'),
(71580, '108.174.48.232', '108.174.48.239', 1823355112, 1823355119, 'US', 'United States'),
(71581, '108.174.48.240', '108.174.48.247', 1823355120, 1823355127, 'VE', 'Venezuela'),
(71582, '108.174.48.248', '108.174.48.255', 1823355128, 1823355135, 'US', 'United States'),
(71583, '108.174.49.0', '108.174.49.127', 1823355136, 1823355263, 'GB', 'United Kingdom'),
(71584, '108.174.49.128', '108.174.49.255', 1823355264, 1823355391, 'US', 'United States'),
(71585, '108.174.50.0', '108.174.50.63', 1823355392, 1823355455, 'ES', 'Spain'),
(71586, '108.174.50.64', '108.174.50.95', 1823355456, 1823355487, 'US', 'United States'),
(71587, '108.174.50.96', '108.174.50.103', 1823355488, 1823355495, 'SE', 'Sweden'),
(71588, '108.174.50.104', '108.174.59.255', 1823355496, 1823357951, 'US', 'United States'),
(71589, '108.174.60.0', '108.174.60.31', 1823357952, 1823357983, 'SE', 'Sweden'),
(71590, '108.174.60.32', '108.174.60.255', 1823357984, 1823358207, 'US', 'United States'),
(71591, '108.174.61.0', '108.174.61.31', 1823358208, 1823358239, 'SE', 'Sweden'),
(71592, '108.174.61.32', '108.174.74.255', 1823358240, 1823361791, 'US', 'United States'),
(71593, '108.174.75.0', '108.174.76.255', 1823361792, 1823362303, 'CA', 'Canada'),
(71594, '108.174.77.0', '108.174.127.255', 1823362304, 1823375359, 'US', 'United States'),
(71595, '108.174.128.0', '108.174.143.255', 1823375360, 1823379455, 'CA', 'Canada'),
(71596, '108.174.144.0', '108.174.159.255', 1823379456, 1823383551, 'US', 'United States'),
(71597, '108.174.160.0', '108.174.175.255', 1823383552, 1823387647, 'CA', 'Canada'),
(71598, '108.174.176.0', '108.175.79.255', 1823387648, 1823428607, 'US', 'United States'),
(71599, '108.175.80.0', '108.175.95.255', 1823428608, 1823432703, 'CA', 'Canada'),
(71600, '108.175.96.0', '108.175.223.255', 1823432704, 1823465471, 'US', 'United States'),
(71601, '108.175.224.0', '108.175.239.255', 1823465472, 1823469567, 'CA', 'Canada'),
(71602, '108.175.240.0', '108.179.255.255', 1823469568, 1823735807, 'US', 'United States'),
(71603, '108.192.0.0', '108.229.33.31', 1824522240, 1826955551, 'US', 'United States'),
(71604, '108.229.33.32', '108.229.33.39', 1826955552, 1826955559, 'AD', 'Andorra'),
(71605, '108.229.33.40', '108.255.255.255', 1826955560, 1828716543, 'US', 'United States'),
(71606, '109.0.0.0', '109.31.255.255', 1828716544, 1830813695, 'FR', 'France'),
(71607, '109.32.0.0', '109.39.255.255', 1830813696, 1831337983, 'NL', 'Netherlands'),
(71608, '109.40.0.0', '109.47.255.255', 1831337984, 1831862271, 'DE', 'Germany'),
(71609, '109.48.0.0', '109.51.255.255', 1831862272, 1832124415, 'PT', 'Portugal'),
(71610, '109.52.0.0', '109.55.255.255', 1832124416, 1832386559, 'IT', 'Italy'),
(71611, '109.56.0.0', '109.57.255.255', 1832386560, 1832517631, 'DK', 'Denmark'),
(71612, '109.58.0.0', '109.58.255.255', 1832517632, 1832583167, 'SE', 'Sweden'),
(71613, '109.59.0.0', '109.59.255.255', 1832583168, 1832648703, 'DK', 'Denmark'),
(71614, '109.60.0.0', '109.60.127.255', 1832648704, 1832681471, 'HR', 'Croatia'),
(71615, '109.60.128.0', '109.60.255.255', 1832681472, 1832714239, 'RU', 'Russian Federation'),
(71616, '109.61.0.0', '109.61.127.255', 1832714240, 1832747007, 'HU', 'Hungary'),
(71617, '109.61.128.0', '109.61.255.255', 1832747008, 1832779775, 'RU', 'Russian Federation'),
(71618, '109.62.0.0', '109.62.127.255', 1832779776, 1832812543, 'FR', 'France'),
(71619, '109.62.128.0', '109.62.255.255', 1832812544, 1832845311, 'RU', 'Russian Federation'),
(71620, '109.63.0.0', '109.63.127.255', 1832845312, 1832878079, 'BH', 'Bahrain'),
(71621, '109.63.128.0', '109.63.255.255', 1832878080, 1832910847, 'RU', 'Russian Federation'),
(71622, '109.64.0.0', '109.67.255.255', 1832910848, 1833172991, 'IL', 'Israel'),
(71623, '109.68.0.0', '109.68.15.255', 1833172992, 1833177087, 'GB', 'United Kingdom'),
(71624, '109.68.16.0', '109.68.23.255', 1833177088, 1833179135, 'RU', 'Russian Federation'),
(71625, '109.68.24.0', '109.68.31.255', 1833179136, 1833181183, 'IT', 'Italy'),
(71626, '109.68.32.0', '109.68.39.255', 1833181184, 1833183231, 'GB', 'United Kingdom'),
(71627, '109.68.40.0', '109.68.47.255', 1833183232, 1833185279, 'UA', 'Ukraine'),
(71628, '109.68.48.0', '109.68.55.255', 1833185280, 1833187327, 'DE', 'Germany'),
(71629, '109.68.56.0', '109.68.63.255', 1833187328, 1833189375, 'NL', 'Netherlands'),
(71630, '109.68.64.0', '109.68.71.255', 1833189376, 1833191423, 'GB', 'United Kingdom'),
(71631, '109.68.72.0', '109.68.79.255', 1833191424, 1833193471, 'RU', 'Russian Federation'),
(71632, '109.68.80.0', '109.68.87.255', 1833193472, 1833195519, 'ES', 'Spain'),
(71633, '109.68.88.0', '109.68.95.255', 1833195520, 1833197567, 'NO', 'Norway'),
(71634, '109.68.96.0', '109.68.103.255', 1833197568, 1833199615, 'DE', 'Germany'),
(71635, '109.68.104.0', '109.68.111.255', 1833199616, 1833201663, 'AT', 'Austria'),
(71636, '109.68.112.0', '109.68.119.255', 1833201664, 1833203711, 'RU', 'Russian Federation'),
(71637, '109.68.120.0', '109.68.127.255', 1833203712, 1833205759, 'AM', 'Armenia'),
(71638, '109.68.128.0', '109.68.135.255', 1833205760, 1833207807, 'FI', 'Finland'),
(71639, '109.68.136.0', '109.68.143.255', 1833207808, 1833209855, 'RU', 'Russian Federation'),
(71640, '109.68.144.0', '109.68.151.255', 1833209856, 1833211903, 'GR', 'Greece'),
(71641, '109.68.152.0', '109.68.159.255', 1833211904, 1833213951, 'IT', 'Italy'),
(71642, '109.68.160.0', '109.68.167.255', 1833213952, 1833215999, 'BE', 'Belgium'),
(71643, '109.68.168.0', '109.68.175.255', 1833216000, 1833218047, 'RU', 'Russian Federation'),
(71644, '109.68.176.0', '109.68.183.255', 1833218048, 1833220095, 'NO', 'Norway'),
(71645, '109.68.184.0', '109.68.191.255', 1833220096, 1833222143, 'RU', 'Russian Federation'),
(71646, '109.68.192.0', '109.68.199.255', 1833222144, 1833224191, 'GB', 'United Kingdom'),
(71647, '109.68.200.0', '109.68.215.255', 1833224192, 1833228287, 'RU', 'Russian Federation'),
(71648, '109.68.216.0', '109.68.231.255', 1833228288, 1833232383, 'DE', 'Germany'),
(71649, '109.68.232.0', '109.68.239.255', 1833232384, 1833234431, 'TJ', 'Tajikistan'),
(71650, '109.68.240.0', '109.68.247.255', 1833234432, 1833236479, 'GB', 'United Kingdom'),
(71651, '109.68.248.0', '109.68.255.255', 1833236480, 1833238527, 'FI', 'Finland'),
(71652, '109.69.0.0', '109.69.7.255', 1833238528, 1833240575, 'AL', 'Albania'),
(71653, '109.69.8.0', '109.69.15.255', 1833240576, 1833242623, 'ES', 'Spain'),
(71654, '109.69.16.0', '109.69.31.255', 1833242624, 1833246719, 'RU', 'Russian Federation'),
(71655, '109.69.32.0', '109.69.39.255', 1833246720, 1833248767, 'FI', 'Finland'),
(71656, '109.69.40.0', '109.69.47.255', 1833248768, 1833250815, 'MK', 'Macedonia'),
(71657, '109.69.48.0', '109.69.63.255', 1833250816, 1833254911, 'GB', 'United Kingdom'),
(71658, '109.69.64.0', '109.69.71.255', 1833254912, 1833256959, 'DE', 'Germany'),
(71659, '109.69.72.0', '109.69.79.255', 1833256960, 1833259007, 'RU', 'Russian Federation'),
(71660, '109.69.80.0', '109.69.87.255', 1833259008, 1833261055, 'GB', 'United Kingdom'),
(71661, '109.69.88.0', '109.69.95.255', 1833261056, 1833263103, 'PL', 'Poland'),
(71662, '109.69.96.0', '109.69.103.255', 1833263104, 1833265151, 'DE', 'Germany'),
(71663, '109.69.104.0', '109.69.111.255', 1833265152, 1833267199, 'GB', 'United Kingdom'),
(71664, '109.69.112.0', '109.69.119.255', 1833267200, 1833269247, 'HU', 'Hungary'),
(71665, '109.69.120.0', '109.69.127.255', 1833269248, 1833271295, 'FI', 'Finland'),
(71666, '109.69.128.0', '109.69.135.255', 1833271296, 1833273343, 'IT', 'Italy'),
(71667, '109.69.136.0', '109.69.143.255', 1833273344, 1833275391, 'EU', 'Europe'),
(71668, '109.69.144.0', '109.69.151.255', 1833275392, 1833277439, 'IT', 'Italy'),
(71669, '109.69.152.0', '109.69.159.255', 1833277440, 1833279487, 'CH', 'Switzerland'),
(71670, '109.69.160.0', '109.69.167.255', 1833279488, 1833281535, 'AL', 'Albania'),
(71671, '109.69.168.0', '109.69.175.255', 1833281536, 1833283583, 'AT', 'Austria'),
(71672, '109.69.176.0', '109.69.183.255', 1833283584, 1833285631, 'RU', 'Russian Federation'),
(71673, '109.69.184.0', '109.69.199.255', 1833285632, 1833289727, 'FR', 'France'),
(71674, '109.69.200.0', '109.69.207.255', 1833289728, 1833291775, 'IT', 'Italy'),
(71675, '109.69.208.0', '109.69.215.255', 1833291776, 1833293823, 'CZ', 'Czech Republic'),
(71676, '109.69.216.0', '109.69.218.204', 1833293824, 1833294540, 'BE', 'Belgium'),
(71677, '109.69.218.205', '109.69.218.214', 1833294541, 1833294550, 'NL', 'Netherlands'),
(71678, '109.69.218.215', '109.69.218.255', 1833294551, 1833294591, 'FR', 'France'),
(71679, '109.69.219.0', '109.69.223.255', 1833294592, 1833295871, 'BE', 'Belgium'),
(71680, '109.69.224.0', '109.69.231.255', 1833295872, 1833297919, 'NL', 'Netherlands'),
(71681, '109.69.232.0', '109.69.239.255', 1833297920, 1833299967, 'GB', 'United Kingdom'),
(71682, '109.69.240.0', '109.69.247.255', 1833299968, 1833302015, 'LU', 'Luxembourg'),
(71683, '109.69.248.0', '109.69.255.255', 1833302016, 1833304063, 'AT', 'Austria'),
(71684, '109.70.0.0', '109.70.15.255', 1833304064, 1833308159, 'NL', 'Netherlands'),
(71685, '109.70.16.0', '109.70.18.79', 1833308160, 1833308751, 'FR', 'France'),
(71686, '109.70.18.80', '109.70.18.87', 1833308752, 1833308759, 'NL', 'Netherlands'),
(71687, '109.70.18.88', '109.70.18.91', 1833308760, 1833308763, 'FR', 'France'),
(71688, '109.70.18.92', '109.70.18.95', 1833308764, 1833308767, 'NL', 'Netherlands'),
(71689, '109.70.18.96', '109.70.18.135', 1833308768, 1833308807, 'FR', 'France'),
(71690, '109.70.18.136', '109.70.18.143', 1833308808, 1833308815, 'NL', 'Netherlands'),
(71691, '109.70.18.144', '109.70.18.147', 1833308816, 1833308819, 'FR', 'France'),
(71692, '109.70.18.148', '109.70.18.151', 1833308820, 1833308823, 'NL', 'Netherlands'),
(71693, '109.70.18.152', '109.70.18.159', 1833308824, 1833308831, 'FR', 'France'),
(71694, '109.70.18.160', '109.70.18.167', 1833308832, 1833308839, 'NL', 'Netherlands'),
(71695, '109.70.18.168', '109.70.18.183', 1833308840, 1833308855, 'FR', 'France'),
(71696, '109.70.18.184', '109.70.18.187', 1833308856, 1833308859, 'NL', 'Netherlands'),
(71697, '109.70.18.188', '109.70.23.255', 1833308860, 1833310207, 'FR', 'France'),
(71698, '109.70.24.0', '109.70.31.255', 1833310208, 1833312255, 'RU', 'Russian Federation'),
(71699, '109.70.32.0', '109.70.39.255', 1833312256, 1833314303, 'ES', 'Spain'),
(71700, '109.70.40.0', '109.70.46.63', 1833314304, 1833315903, 'IM', 'Isle of Man'),
(71701, '109.70.46.64', '109.70.46.79', 1833315904, 1833315919, 'GB', 'United Kingdom'),
(71702, '109.70.46.80', '109.70.47.255', 1833315920, 1833316351, 'IM', 'Isle of Man'),
(71703, '109.70.48.0', '109.70.55.255', 1833316352, 1833318399, 'DK', 'Denmark'),
(71704, '109.70.56.0', '109.70.63.255', 1833318400, 1833320447, 'GB', 'United Kingdom'),
(71705, '109.70.64.0', '109.70.65.255', 1833320448, 1833320959, 'AE', 'United Arab Emirates'),
(71706, '109.70.66.0', '109.70.66.255', 1833320960, 1833321215, 'IQ', 'Iraq'),
(71707, '109.70.67.0', '109.70.67.66', 1833321216, 1833321282, 'US', 'United States'),
(71708, '109.70.67.67', '109.70.67.67', 1833321283, 1833321283, 'AE', 'United Arab Emirates'),
(71709, '109.70.67.68', '109.70.67.255', 1833321284, 1833321471, 'US', 'United States'),
(71710, '109.70.68.0', '109.70.71.255', 1833321472, 1833322495, 'AE', 'United Arab Emirates'),
(71711, '109.70.72.0', '109.70.79.255', 1833322496, 1833324543, 'IT', 'Italy'),
(71712, '109.70.80.0', '109.70.87.255', 1833324544, 1833326591, 'NO', 'Norway'),
(71713, '109.70.88.0', '109.70.89.255', 1833326592, 1833327103, 'GB', 'United Kingdom'),
(71714, '109.70.90.0', '109.70.95.255', 1833327104, 1833328639, 'US', 'United States'),
(71715, '109.70.96.0', '109.70.103.255', 1833328640, 1833330687, 'AT', 'Austria'),
(71716, '109.70.104.0', '109.70.111.255', 1833330688, 1833332735, 'UA', 'Ukraine'),
(71717, '109.70.112.0', '109.70.119.255', 1833332736, 1833334783, 'CH', 'Switzerland'),
(71718, '109.70.120.0', '109.70.127.255', 1833334784, 1833336831, 'IT', 'Italy'),
(71719, '109.70.128.0', '109.70.128.127', 1833336832, 1833336959, 'ES', 'Spain'),
(71720, '109.70.128.128', '109.70.128.239', 1833336960, 1833337071, 'FR', 'France'),
(71721, '109.70.128.240', '109.70.135.255', 1833337072, 1833338879, 'ES', 'Spain'),
(71722, '109.70.136.0', '109.70.151.255', 1833338880, 1833342975, 'GB', 'United Kingdom'),
(71723, '109.70.152.0', '109.70.159.255', 1833342976, 1833345023, 'CH', 'Switzerland'),
(71724, '109.70.160.0', '109.70.167.255', 1833345024, 1833347071, 'FI', 'Finland'),
(71725, '109.70.168.0', '109.70.175.255', 1833347072, 1833349119, 'FR', 'France'),
(71726, '109.70.176.0', '109.70.183.255', 1833349120, 1833351167, 'FI', 'Finland'),
(71727, '109.70.184.0', '109.70.191.255', 1833351168, 1833353215, 'RU', 'Russian Federation'),
(71728, '109.70.192.0', '109.70.199.255', 1833353216, 1833355263, 'DE', 'Germany'),
(71729, '109.70.200.0', '109.70.207.255', 1833355264, 1833357311, 'IT', 'Italy'),
(71730, '109.70.208.0', '109.70.208.249', 1833357312, 1833357561, 'IE', 'Ireland'),
(71731, '109.70.208.250', '109.70.208.251', 1833357562, 1833357563, 'GB', 'United Kingdom'),
(71732, '109.70.208.252', '109.70.209.11', 1833357564, 1833357579, 'IE', 'Ireland'),
(71733, '109.70.209.12', '109.70.209.19', 1833357580, 1833357587, 'GB', 'United Kingdom'),
(71734, '109.70.209.20', '109.70.209.63', 1833357588, 1833357631, 'IE', 'Ireland'),
(71735, '109.70.209.64', '109.70.209.79', 1833357632, 1833357647, 'GB', 'United Kingdom'),
(71736, '109.70.209.80', '109.70.210.79', 1833357648, 1833357903, 'IE', 'Ireland'),
(71737, '109.70.210.80', '109.70.210.255', 1833357904, 1833358079, 'GB', 'United Kingdom'),
(71738, '109.70.211.0', '109.70.213.27', 1833358080, 1833358619, 'IE', 'Ireland'),
(71739, '109.70.213.28', '109.70.213.249', 1833358620, 1833358841, 'GB', 'United Kingdom'),
(71740, '109.70.213.250', '109.70.213.253', 1833358842, 1833358845, 'IE', 'Ireland'),
(71741, '109.70.213.254', '109.70.213.255', 1833358846, 1833358847, 'GB', 'United Kingdom'),
(71742, '109.70.214.0', '109.70.214.231', 1833358848, 1833359079, 'IE', 'Ireland'),
(71743, '109.70.214.232', '109.70.214.235', 1833359080, 1833359083, 'GB', 'United Kingdom'),
(71744, '109.70.214.236', '109.70.214.239', 1833359084, 1833359087, 'IE', 'Ireland'),
(71745, '109.70.214.240', '109.70.214.255', 1833359088, 1833359103, 'GB', 'United Kingdom'),
(71746, '109.70.215.0', '109.70.215.255', 1833359104, 1833359359, 'IE', 'Ireland'),
(71747, '109.70.216.0', '109.70.223.255', 1833359360, 1833361407, 'DE', 'Germany'),
(71748, '109.70.224.0', '109.70.231.255', 1833361408, 1833363455, 'GB', 'United Kingdom'),
(71749, '109.70.232.0', '109.70.239.255', 1833363456, 1833365503, 'RU', 'Russian Federation'),
(71750, '109.70.240.0', '109.70.247.255', 1833365504, 1833367551, 'IT', 'Italy'),
(71751, '109.70.248.0', '109.70.255.255', 1833367552, 1833369599, 'RU', 'Russian Federation'),
(71752, '109.71.0.0', '109.71.1.255', 1833369600, 1833370111, 'NL', 'Netherlands'),
(71753, '109.71.2.0', '109.71.2.255', 1833370112, 1833370367, 'BG', 'Bulgaria'),
(71754, '109.71.3.0', '109.71.3.255', 1833370368, 1833370623, 'SE', 'Sweden'),
(71755, '109.71.4.0', '109.71.7.255', 1833370624, 1833371647, 'NL', 'Netherlands'),
(71756, '109.71.8.0', '109.71.15.255', 1833371648, 1833373695, 'RU', 'Russian Federation'),
(71757, '109.71.16.0', '109.71.31.255', 1833373696, 1833377791, 'DE', 'Germany'),
(71758, '109.71.32.0', '109.71.39.255', 1833377792, 1833379839, 'KZ', 'Kazakhstan'),
(71759, '109.71.40.0', '109.71.47.255', 1833379840, 1833381887, 'PT', 'Portugal'),
(71760, '109.71.48.0', '109.71.55.255', 1833381888, 1833383935, 'NL', 'Netherlands'),
(71761, '109.71.56.0', '109.71.63.255', 1833383936, 1833385983, 'DK', 'Denmark'),
(71762, '109.71.64.0', '109.71.71.255', 1833385984, 1833388031, 'SK', 'Slovakia'),
(71763, '109.71.72.0', '109.71.79.255', 1833388032, 1833390079, 'RU', 'Russian Federation'),
(71764, '109.71.80.0', '109.71.80.127', 1833390080, 1833390207, 'GB', 'United Kingdom'),
(71765, '109.71.80.128', '109.71.80.255', 1833390208, 1833390335, 'US', 'United States'),
(71766, '109.71.81.0', '109.71.86.255', 1833390336, 1833391871, 'GB', 'United Kingdom'),
(71767, '109.71.87.0', '109.71.87.255', 1833391872, 1833392127, 'US', 'United States'),
(71768, '109.71.88.0', '109.71.103.255', 1833392128, 1833396223, 'CH', 'Switzerland'),
(71769, '109.71.104.0', '109.71.111.255', 1833396224, 1833398271, 'NL', 'Netherlands'),
(71770, '109.71.112.0', '109.71.119.255', 1833398272, 1833400319, 'DE', 'Germany'),
(71771, '109.71.120.0', '109.71.127.255', 1833400320, 1833402367, 'GB', 'United Kingdom'),
(71772, '109.71.128.0', '109.71.143.255', 1833402368, 1833406463, 'FR', 'France'),
(71773, '109.71.144.0', '109.71.145.0', 1833406464, 1833406720, 'GB', 'United Kingdom'),
(71774, '109.71.145.1', '109.71.145.31', 1833406721, 1833406751, 'NL', 'Netherlands'),
(71775, '109.71.145.32', '109.71.145.128', 1833406752, 1833406848, 'GB', 'United Kingdom'),
(71776, '109.71.145.129', '109.71.145.143', 1833406849, 1833406863, 'ET', 'Ethiopia'),
(71777, '109.71.145.144', '109.71.145.192', 1833406864, 1833406912, 'GB', 'United Kingdom'),
(71778, '109.71.145.193', '109.71.145.199', 1833406913, 1833406919, 'CA', 'Canada'),
(71779, '109.71.145.200', '109.71.151.255', 1833406920, 1833408511, 'GB', 'United Kingdom'),
(71780, '109.71.152.0', '109.71.155.255', 1833408512, 1833409535, 'RS', 'Serbia'),
(71781, '109.71.156.0', '109.71.157.255', 1833409536, 1833410047, 'AL', 'Albania'),
(71782, '109.71.158.0', '109.71.158.255', 1833410048, 1833410303, 'RS', 'Serbia'),
(71783, '109.71.159.0', '109.71.159.255', 1833410304, 1833410559, 'AL', 'Albania'),
(71784, '109.71.160.0', '109.71.167.255', 1833410560, 1833412607, 'PT', 'Portugal'),
(71785, '109.71.168.0', '109.71.175.255', 1833412608, 1833414655, 'GB', 'United Kingdom'),
(71786, '109.71.176.0', '109.71.183.255', 1833414656, 1833416703, 'RU', 'Russian Federation'),
(71787, '109.71.184.0', '109.71.191.255', 1833416704, 1833418751, 'NL', 'Netherlands'),
(71788, '109.71.192.0', '109.71.207.255', 1833418752, 1833422847, 'RU', 'Russian Federation'),
(71789, '109.71.208.0', '109.71.215.255', 1833422848, 1833424895, 'CZ', 'Czech Republic'),
(71790, '109.71.216.0', '109.71.222.255', 1833424896, 1833426687, 'DE', 'Germany'),
(71791, '109.71.223.0', '109.71.223.255', 1833426688, 1833426943, 'GB', 'United Kingdom'),
(71792, '109.71.224.0', '109.71.231.255', 1833426944, 1833428991, 'KG', 'Kyrgyzstan'),
(71793, '109.71.232.0', '109.71.239.255', 1833428992, 1833431039, 'IT', 'Italy'),
(71794, '109.71.240.0', '109.71.247.255', 1833431040, 1833433087, 'RU', 'Russian Federation'),
(71795, '109.71.248.0', '109.71.255.255', 1833433088, 1833435135, 'GB', 'United Kingdom'),
(71796, '109.72.0.0', '109.72.15.255', 1833435136, 1833439231, 'CZ', 'Czech Republic'),
(71797, '109.72.16.0', '109.72.31.255', 1833439232, 1833443327, 'GB', 'United Kingdom'),
(71798, '109.72.32.0', '109.72.47.255', 1833443328, 1833447423, 'NL', 'Netherlands'),
(71799, '109.72.48.0', '109.72.63.255', 1833447424, 1833451519, 'RS', 'Serbia'),
(71800, '109.72.64.0', '109.72.79.255', 1833451520, 1833455615, 'RU', 'Russian Federation'),
(71801, '109.72.80.0', '109.72.95.255', 1833455616, 1833459711, 'NL', 'Netherlands'),
(71802, '109.72.96.0', '109.72.111.255', 1833459712, 1833463807, 'ME', 'Montenegro'),
(71803, '109.72.112.0', '109.72.127.255', 1833463808, 1833467903, 'UA', 'Ukraine'),
(71804, '109.72.128.0', '109.72.128.175', 1833467904, 1833468079, 'RU', 'Russian Federation'),
(71805, '109.72.128.176', '109.72.128.255', 1833468080, 1833468159, 'CH', 'Switzerland'),
(71806, '109.72.129.0', '109.72.129.127', 1833468160, 1833468287, 'RU', 'Russian Federation'),
(71807, '109.72.129.128', '109.72.130.159', 1833468288, 1833468575, 'CH', 'Switzerland'),
(71808, '109.72.130.160', '109.72.130.175', 1833468576, 1833468591, 'RU', 'Russian Federation'),
(71809, '109.72.130.176', '109.72.133.255', 1833468592, 1833469439, 'CH', 'Switzerland'),
(71810, '109.72.134.0', '109.72.135.255', 1833469440, 1833469951, 'IN', 'India'),
(71811, '109.72.136.0', '109.72.143.255', 1833469952, 1833471999, 'CH', 'Switzerland'),
(71812, '109.72.144.0', '109.72.151.255', 1833472000, 1833474047, 'EU', 'Europe'),
(71813, '109.72.152.0', '109.72.153.255', 1833474048, 1833474559, 'UA', 'Ukraine'),
(71814, '109.72.154.0', '109.72.154.255', 1833474560, 1833474815, 'RU', 'Russian Federation'),
(71815, '109.72.155.0', '109.72.155.255', 1833474816, 1833475071, 'EU', 'Europe'),
(71816, '109.72.156.0', '109.72.159.255', 1833475072, 1833476095, 'DE', 'Germany'),
(71817, '109.72.160.0', '109.72.164.255', 1833476096, 1833477375, 'NL', 'Netherlands'),
(71818, '109.72.165.0', '109.72.165.127', 1833477376, 1833477503, 'GB', 'United Kingdom'),
(71819, '109.72.165.128', '109.72.165.255', 1833477504, 1833477631, 'DE', 'Germany'),
(71820, '109.72.166.0', '109.72.191.255', 1833477632, 1833484287, 'NL', 'Netherlands'),
(71821, '109.72.192.0', '109.72.207.255', 1833484288, 1833488383, 'IR', 'Iran, Islamic Republic of'),
(71822, '109.72.208.0', '109.72.223.255', 1833488384, 1833492479, 'GB', 'United Kingdom'),
(71823, '109.72.224.0', '109.73.15.255', 1833492480, 1833504767, 'RU', 'Russian Federation'),
(71824, '109.73.16.0', '109.73.31.255', 1833504768, 1833508863, 'DE', 'Germany'),
(71825, '109.73.32.0', '109.73.47.255', 1833508864, 1833512959, 'RU', 'Russian Federation'),
(71826, '109.73.48.0', '109.73.63.255', 1833512960, 1833517055, 'DE', 'Germany'),
(71827, '109.73.64.0', '109.73.79.255', 1833517056, 1833521151, 'GB', 'United Kingdom'),
(71828, '109.73.80.0', '109.73.95.255', 1833521152, 1833525247, 'IT', 'Italy'),
(71829, '109.73.96.0', '109.73.111.255', 1833525248, 1833529343, 'LV', 'Latvia'),
(71830, '109.73.112.0', '109.73.127.255', 1833529344, 1833533439, 'GB', 'United Kingdom'),
(71831, '109.73.128.0', '109.73.143.255', 1833533440, 1833537535, 'RU', 'Russian Federation'),
(71832, '109.73.144.0', '109.73.159.255', 1833537536, 1833541631, 'AT', 'Austria'),
(71833, '109.73.160.0', '109.73.161.255', 1833541632, 1833542143, 'IL', 'Israel'),
(71834, '109.73.162.0', '109.73.163.255', 1833542144, 1833542655, 'GB', 'United Kingdom'),
(71835, '109.73.164.0', '109.73.164.255', 1833542656, 1833542911, 'IN', 'India'),
(71836, '109.73.165.0', '109.73.166.0', 1833542912, 1833543168, 'GB', 'United Kingdom'),
(71837, '109.73.166.1', '109.73.166.255', 1833543169, 1833543423, 'IN', 'India'),
(71838, '109.73.167.0', '109.73.175.255', 1833543424, 1833545727, 'GB', 'United Kingdom'),
(71839, '109.73.176.0', '109.73.191.255', 1833545728, 1833549823, 'IT', 'Italy'),
(71840, '109.73.192.0', '109.73.207.255', 1833549824, 1833553919, 'RU', 'Russian Federation'),
(71841, '109.73.208.0', '109.73.223.255', 1833553920, 1833558015, 'CZ', 'Czech Republic'),
(71842, '109.73.224.0', '109.73.239.255', 1833558016, 1833562111, 'RO', 'Romania'),
(71843, '109.73.240.0', '109.73.255.255', 1833562112, 1833566207, 'PS', 'Palestinian Territory, Occupied'),
(71844, '109.74.0.0', '109.74.15.255', 1833566208, 1833570303, 'SE', 'Sweden'),
(71845, '109.74.16.0', '109.74.28.255', 1833570304, 1833573631, 'GB', 'United Kingdom'),
(71846, '109.74.29.0', '109.74.31.255', 1833573632, 1833574399, 'NL', 'Netherlands'),
(71847, '109.74.32.0', '109.74.47.255', 1833574400, 1833578495, 'YE', 'Yemen'),
(71848, '109.74.48.0', '109.74.63.255', 1833578496, 1833582591, 'HU', 'Hungary'),
(71849, '109.74.64.0', '109.74.79.255', 1833582592, 1833586687, 'TJ', 'Tajikistan'),
(71850, '109.74.80.0', '109.74.95.255', 1833586688, 1833590783, 'FR', 'France'),
(71851, '109.74.96.0', '109.74.111.255', 1833590784, 1833594879, 'PL', 'Poland'),
(71852, '109.74.112.0', '109.74.143.255', 1833594880, 1833603071, 'RU', 'Russian Federation'),
(71853, '109.74.144.0', '109.74.156.255', 1833603072, 1833606399, 'SK', 'Slovakia'),
(71854, '109.74.157.0', '109.74.157.255', 1833606400, 1833606655, 'CZ', 'Czech Republic'),
(71855, '109.74.158.0', '109.74.159.255', 1833606656, 1833607167, 'SK', 'Slovakia'),
(71856, '109.74.160.0', '109.74.175.255', 1833607168, 1833611263, 'RU', 'Russian Federation'),
(71857, '109.74.176.0', '109.74.191.255', 1833611264, 1833615359, 'NO', 'Norway'),
(71858, '109.74.192.0', '109.74.207.255', 1833615360, 1833619455, 'GB', 'United Kingdom'),
(71859, '109.74.208.0', '109.74.223.255', 1833619456, 1833623551, 'RU', 'Russian Federation'),
(71860, '109.74.224.0', '109.74.239.255', 1833623552, 1833627647, 'IR', 'Iran, Islamic Republic of'),
(71861, '109.74.240.0', '109.74.255.255', 1833627648, 1833631743, 'GB', 'United Kingdom'),
(71862, '109.75.0.0', '109.75.15.255', 1833631744, 1833635839, 'CZ', 'Czech Republic'),
(71863, '109.75.16.0', '109.75.18.15', 1833635840, 1833636367, 'DE', 'Germany'),
(71864, '109.75.18.16', '109.75.18.23', 1833636368, 1833636375, 'AL', 'Albania'),
(71865, '109.75.18.24', '109.75.31.255', 1833636376, 1833639935, 'DE', 'Germany'),
(71866, '109.75.32.0', '109.75.47.255', 1833639936, 1833644031, 'AM', 'Armenia'),
(71867, '109.75.48.0', '109.75.48.31', 1833644032, 1833644063, 'TJ', 'Tajikistan'),
(71868, '109.75.48.32', '109.75.48.255', 1833644064, 1833644287, 'RU', 'Russian Federation'),
(71869, '109.75.49.0', '109.75.49.31', 1833644288, 1833644319, 'TJ', 'Tajikistan'),
(71870, '109.75.49.32', '109.75.63.255', 1833644320, 1833648127, 'RU', 'Russian Federation'),
(71871, '109.75.64.0', '109.75.79.255', 1833648128, 1833652223, 'LB', 'Lebanon'),
(71872, '109.75.80.0', '109.75.96.191', 1833652224, 1833656511, 'DE', 'Germany'),
(71873, '109.75.96.192', '109.75.96.223', 1833656512, 1833656543, 'US', 'United States'),
(71874, '109.75.96.224', '109.75.97.63', 1833656544, 1833656639, 'DE', 'Germany'),
(71875, '109.75.97.64', '109.75.97.95', 1833656640, 1833656671, 'US', 'United States'),
(71876, '109.75.97.96', '109.75.98.159', 1833656672, 1833656991, 'DE', 'Germany'),
(71877, '109.75.98.160', '109.75.98.207', 1833656992, 1833657039, 'US', 'United States'),
(71878, '109.75.98.208', '109.75.99.63', 1833657040, 1833657151, 'DE', 'Germany'),
(71879, '109.75.99.64', '109.75.99.127', 1833657152, 1833657215, 'US', 'United States'),
(71880, '109.75.99.128', '109.75.99.215', 1833657216, 1833657303, 'DE', 'Germany'),
(71881, '109.75.99.216', '109.75.99.223', 1833657304, 1833657311, 'US', 'United States'),
(71882, '109.75.99.224', '109.75.101.191', 1833657312, 1833657791, 'DE', 'Germany'),
(71883, '109.75.101.192', '109.75.101.255', 1833657792, 1833657855, 'US', 'United States'),
(71884, '109.75.102.0', '109.75.102.191', 1833657856, 1833658047, 'DE', 'Germany'),
(71885, '109.75.102.192', '109.75.102.255', 1833658048, 1833658111, 'US', 'United States'),
(71886, '109.75.103.0', '109.75.103.191', 1833658112, 1833658303, 'DE', 'Germany'),
(71887, '109.75.103.192', '109.75.103.255', 1833658304, 1833658367, 'US', 'United States'),
(71888, '109.75.104.0', '109.75.106.79', 1833658368, 1833658959, 'DE', 'Germany'),
(71889, '109.75.106.80', '109.75.106.95', 1833658960, 1833658975, 'US', 'United States'),
(71890, '109.75.106.96', '109.75.106.223', 1833658976, 1833659103, 'DE', 'Germany'),
(71891, '109.75.106.224', '109.75.107.63', 1833659104, 1833659199, 'US', 'United States'),
(71892, '109.75.107.64', '109.75.107.95', 1833659200, 1833659231, 'DE', 'Germany'),
(71893, '109.75.107.96', '109.75.107.127', 1833659232, 1833659263, 'US', 'United States'),
(71894, '109.75.107.128', '109.75.108.31', 1833659264, 1833659423, 'DE', 'Germany'),
(71895, '109.75.108.32', '109.75.108.63', 1833659424, 1833659455, 'US', 'United States'),
(71896, '109.75.108.64', '109.75.111.191', 1833659456, 1833660351, 'DE', 'Germany'),
(71897, '109.75.111.192', '109.75.111.255', 1833660352, 1833660415, 'US', 'United States'),
(71898, '109.75.112.0', '109.75.127.255', 1833660416, 1833664511, 'IT', 'Italy'),
(71899, '109.75.128.0', '109.75.143.255', 1833664512, 1833668607, 'RU', 'Russian Federation'),
(71900, '109.75.144.0', '109.75.159.255', 1833668608, 1833672703, 'CZ', 'Czech Republic'),
(71901, '109.75.160.0', '109.75.175.255', 1833672704, 1833676799, 'GB', 'United Kingdom'),
(71902, '109.75.176.0', '109.75.178.255', 1833676800, 1833677567, 'DE', 'Germany'),
(71903, '109.75.179.0', '109.75.179.31', 1833677568, 1833677599, 'CH', 'Switzerland'),
(71904, '109.75.179.32', '109.75.179.207', 1833677600, 1833677775, 'DE', 'Germany'),
(71905, '109.75.179.208', '109.75.179.215', 1833677776, 1833677783, 'FR', 'France'),
(71906, '109.75.179.216', '109.75.191.255', 1833677784, 1833680895, 'DE', 'Germany'),
(71907, '109.75.192.0', '109.75.207.255', 1833680896, 1833684991, 'UA', 'Ukraine'),
(71908, '109.75.208.0', '109.75.208.23', 1833684992, 1833685015, 'DE', 'Germany'),
(71909, '109.75.208.24', '109.75.208.31', 1833685016, 1833685023, 'LU', 'Luxembourg'),
(71910, '109.75.208.32', '109.75.208.75', 1833685024, 1833685067, 'DE', 'Germany'),
(71911, '109.75.208.76', '109.75.208.79', 1833685068, 1833685071, 'GB', 'United Kingdom'),
(71912, '109.75.208.80', '109.75.211.87', 1833685072, 1833685847, 'DE', 'Germany'),
(71913, '109.75.211.88', '109.75.211.91', 1833685848, 1833685851, 'IE', 'Ireland'),
(71914, '109.75.211.92', '109.75.211.95', 1833685852, 1833685855, 'DE', 'Germany'),
(71915, '109.75.211.96', '109.75.211.111', 1833685856, 1833685871, 'IE', 'Ireland'),
(71916, '109.75.211.112', '109.75.223.255', 1833685872, 1833689087, 'DE', 'Germany'),
(71917, '109.75.224.0', '109.75.239.255', 1833689088, 1833693183, 'FI', 'Finland'),
(71918, '109.75.240.0', '109.75.255.255', 1833693184, 1833697279, 'RU', 'Russian Federation'),
(71919, '109.76.0.0', '109.79.255.255', 1833697280, 1833959423, 'IE', 'Ireland'),
(71920, '109.80.0.0', '109.81.255.255', 1833959424, 1834090495, 'CZ', 'Czech Republic'),
(71921, '109.82.0.0', '109.83.255.255', 1834090496, 1834221567, 'SA', 'Saudi Arabia'),
(71922, '109.84.0.0', '109.85.255.255', 1834221568, 1834352639, 'DE', 'Germany'),
(71923, '109.86.0.0', '109.87.255.255', 1834352640, 1834483711, 'UA', 'Ukraine'),
(71924, '109.88.0.0', '109.89.255.255', 1834483712, 1834614783, 'BE', 'Belgium'),
(71925, '109.90.0.0', '109.91.255.255', 1834614784, 1834745855, 'DE', 'Germany'),
(71926, '109.92.0.0', '109.93.255.255', 1834745856, 1834876927, 'RS', 'Serbia'),
(71927, '109.94.0.0', '109.94.31.255', 1834876928, 1834885119, 'RU', 'Russian Federation'),
(71928, '109.94.32.0', '109.94.63.255', 1834885120, 1834893311, 'FR', 'France'),
(71929, '109.94.64.0', '109.94.95.255', 1834893312, 1834901503, 'RU', 'Russian Federation'),
(71930, '109.94.96.0', '109.94.127.255', 1834901504, 1834909695, 'RS', 'Serbia'),
(71931, '109.94.128.0', '109.94.143.255', 1834909696, 1834913791, 'GB', 'United Kingdom'),
(71932, '109.94.144.0', '109.94.159.255', 1834913792, 1834917887, 'RO', 'Romania'),
(71933, '109.94.160.0', '109.94.175.255', 1834917888, 1834921983, 'UA', 'Ukraine'),
(71934, '109.94.176.0', '109.94.207.255', 1834921984, 1834930175, 'RU', 'Russian Federation'),
(71935, '109.94.208.0', '109.94.223.255', 1834930176, 1834934271, 'UA', 'Ukraine'),
(71936, '109.94.224.0', '109.94.239.255', 1834934272, 1834938367, 'RS', 'Serbia'),
(71937, '109.94.240.0', '109.95.7.255', 1834938368, 1834944511, 'PL', 'Poland'),
(71938, '109.95.8.0', '109.95.15.255', 1834944512, 1834946559, 'RO', 'Romania'),
(71939, '109.95.16.0', '109.95.23.255', 1834946560, 1834948607, 'RU', 'Russian Federation'),
(71940, '109.95.24.0', '109.95.31.255', 1834948608, 1834950655, 'PL', 'Poland'),
(71941, '109.95.32.0', '109.95.55.255', 1834950656, 1834956799, 'UA', 'Ukraine'),
(71942, '109.95.56.0', '109.95.71.255', 1834956800, 1834960895, 'IR', 'Iran, Islamic Republic of'),
(71943, '109.95.72.0', '109.95.87.255', 1834960896, 1834964991, 'RU', 'Russian Federation'),
(71944, '109.95.88.0', '109.95.95.255', 1834964992, 1834967039, 'PL', 'Poland'),
(71945, '109.95.96.0', '109.95.111.255', 1834967040, 1834971135, 'RU', 'Russian Federation'),
(71946, '109.95.112.0', '109.95.119.255', 1834971136, 1834973183, 'PL', 'Poland'),
(71947, '109.95.120.0', '109.95.127.255', 1834973184, 1834975231, 'RU', 'Russian Federation'),
(71948, '109.95.128.0', '109.95.135.255', 1834975232, 1834977279, 'IL', 'Israel'),
(71949, '109.95.136.0', '109.95.159.255', 1834977280, 1834983423, 'PL', 'Poland'),
(71950, '109.95.160.0', '109.95.167.255', 1834983424, 1834985471, 'RU', 'Russian Federation'),
(71951, '109.95.168.0', '109.95.183.255', 1834985472, 1834989567, 'PL', 'Poland'),
(71952, '109.95.184.0', '109.95.191.255', 1834989568, 1834991615, 'GB', 'United Kingdom'),
(71953, '109.95.192.0', '109.95.199.255', 1834991616, 1834993663, 'RU', 'Russian Federation'),
(71954, '109.95.200.0', '109.95.207.255', 1834993664, 1834995711, 'PL', 'Poland'),
(71955, '109.95.208.0', '109.95.231.255', 1834995712, 1835001855, 'RU', 'Russian Federation'),
(71956, '109.95.232.0', '109.95.239.255', 1835001856, 1835003903, 'PL', 'Poland'),
(71957, '109.95.240.0', '109.95.247.255', 1835003904, 1835005951, 'CH', 'Switzerland'),
(71958, '109.95.248.0', '109.95.255.255', 1835005952, 1835007999, 'RU', 'Russian Federation'),
(71959, '109.96.0.0', '109.103.255.255', 1835008000, 1835532287, 'RO', 'Romania'),
(71960, '109.104.0.0', '109.104.31.255', 1835532288, 1835540479, 'SE', 'Sweden'),
(71961, '109.104.32.0', '109.104.63.255', 1835540480, 1835548671, 'DE', 'Germany'),
(71962, '109.104.64.0', '109.104.67.255', 1835548672, 1835549695, 'GB', 'United Kingdom'),
(71963, '109.104.68.0', '109.104.69.255', 1835549696, 1835550207, 'ES', 'Spain'),
(71964, '109.104.70.0', '109.104.113.135', 1835550208, 1835561351, 'GB', 'United Kingdom'),
(71965, '109.104.113.136', '109.104.113.143', 1835561352, 1835561359, 'A2', 'Satellite Provider'),
(71966, '109.104.113.144', '109.104.127.255', 1835561360, 1835565055, 'GB', 'United Kingdom'),
(71967, '109.104.128.0', '109.104.159.255', 1835565056, 1835573247, 'AL', 'Albania'),
(71968, '109.104.160.0', '109.104.191.255', 1835573248, 1835581439, 'UA', 'Ukraine'),
(71969, '109.104.192.0', '109.104.223.255', 1835581440, 1835589631, 'BG', 'Bulgaria'),
(71970, '109.104.224.0', '109.104.255.255', 1835589632, 1835597823, 'IT', 'Italy'),
(71971, '109.105.0.0', '109.105.31.255', 1835597824, 1835606015, 'HU', 'Hungary'),
(71972, '109.105.32.0', '109.105.63.255', 1835606016, 1835614207, 'CZ', 'Czech Republic'),
(71973, '109.105.64.0', '109.105.95.255', 1835614208, 1835622399, 'RU', 'Russian Federation'),
(71974, '109.105.96.0', '109.105.105.255', 1835622400, 1835624959, 'SE', 'Sweden'),
(71975, '109.105.106.0', '109.105.106.255', 1835624960, 1835625215, 'DK', 'Denmark'),
(71976, '109.105.107.0', '109.105.107.255', 1835625216, 1835625471, 'SE', 'Sweden'),
(71977, '109.105.108.0', '109.105.108.127', 1835625472, 1835625599, 'DK', 'Denmark'),
(71978, '109.105.108.128', '109.105.110.255', 1835625600, 1835626239, 'SE', 'Sweden'),
(71979, '109.105.111.0', '109.105.111.255', 1835626240, 1835626495, 'DK', 'Denmark'),
(71980, '109.105.112.0', '109.105.112.255', 1835626496, 1835626751, 'SE', 'Sweden'),
(71981, '109.105.113.0', '109.105.113.255', 1835626752, 1835627007, 'DK', 'Denmark'),
(71982, '109.105.114.0', '109.105.115.255', 1835627008, 1835627519, 'SE', 'Sweden'),
(71983, '109.105.116.0', '109.105.116.127', 1835627520, 1835627647, 'DK', 'Denmark'),
(71984, '109.105.116.128', '109.105.123.255', 1835627648, 1835629567, 'SE', 'Sweden'),
(71985, '109.105.124.0', '109.105.126.255', 1835629568, 1835630335, 'DK', 'Denmark'),
(71986, '109.105.127.0', '109.105.127.255', 1835630336, 1835630591, 'SE', 'Sweden'),
(71987, '109.105.128.0', '109.105.151.255', 1835630592, 1835636735, 'RU', 'Russian Federation'),
(71988, '109.105.152.0', '109.105.158.255', 1835636736, 1835638527, 'LU', 'Luxembourg'),
(71989, '109.105.159.0', '109.105.159.255', 1835638528, 1835638783, 'AM', 'Armenia'),
(71990, '109.105.160.0', '109.105.191.255', 1835638784, 1835646975, 'RU', 'Russian Federation'),
(71991, '109.105.192.0', '109.105.223.255', 1835646976, 1835655167, 'BA', 'Bosnia and Herzegovina'),
(71992, '109.105.224.0', '109.105.255.255', 1835655168, 1835663359, 'CY', 'Cyprus'),
(71993, '109.106.0.0', '109.106.31.255', 1835663360, 1835671551, 'UA', 'Ukraine'),
(71994, '109.106.32.0', '109.106.63.255', 1835671552, 1835679743, 'CH', 'Switzerland'),
(71995, '109.106.64.0', '109.106.95.255', 1835679744, 1835687935, 'FR', 'France'),
(71996, '109.106.96.0', '109.106.127.255', 1835687936, 1835696127, 'IE', 'Ireland'),
(71997, '109.106.128.0', '109.106.159.255', 1835696128, 1835704319, 'RU', 'Russian Federation'),
(71998, '109.106.160.0', '109.106.179.255', 1835704320, 1835709439, 'NL', 'Netherlands'),
(71999, '109.106.180.0', '109.106.191.255', 1835709440, 1835712511, 'EU', 'Europe'),
(72000, '109.106.192.0', '109.106.223.255', 1835712512, 1835720703, 'RU', 'Russian Federation'),
(72001, '109.106.224.0', '109.106.255.255', 1835720704, 1835728895, 'RS', 'Serbia'),
(72002, '109.107.0.0', '109.107.31.255', 1835728896, 1835737087, 'PL', 'Poland'),
(72003, '109.107.32.0', '109.107.63.255', 1835737088, 1835745279, 'GB', 'United Kingdom'),
(72004, '109.107.64.0', '109.107.95.255', 1835745280, 1835753471, 'BG', 'Bulgaria'),
(72005, '109.107.96.0', '109.107.127.255', 1835753472, 1835761663, 'ES', 'Spain'),
(72006, '109.107.128.0', '109.107.159.255', 1835761664, 1835769855, 'JO', 'Jordan'),
(72007, '109.107.160.0', '109.107.191.255', 1835769856, 1835778047, 'RU', 'Russian Federation'),
(72008, '109.107.192.0', '109.107.223.255', 1835778048, 1835786239, 'CZ', 'Czech Republic'),
(72009, '109.107.224.0', '109.107.255.255', 1835786240, 1835794431, 'JO', 'Jordan'),
(72010, '109.108.0.0', '109.108.31.255', 1835794432, 1835802623, 'FI', 'Finland'),
(72011, '109.108.32.0', '109.108.63.255', 1835802624, 1835810815, 'RU', 'Russian Federation'),
(72012, '109.108.64.0', '109.108.95.255', 1835810816, 1835819007, 'UA', 'Ukraine'),
(72013, '109.108.96.0', '109.108.127.255', 1835819008, 1835827199, 'CZ', 'Czech Republic'),
(72014, '109.108.128.0', '109.108.159.255', 1835827200, 1835835391, 'GB', 'United Kingdom'),
(72015, '109.108.160.0', '109.108.191.255', 1835835392, 1835843583, 'ES', 'Spain'),
(72016, '109.108.192.0', '109.108.223.255', 1835843584, 1835851775, 'NO', 'Norway'),
(72017, '109.108.224.0', '109.108.255.255', 1835851776, 1835859967, 'UA', 'Ukraine'),
(72018, '109.109.0.0', '109.109.31.255', 1835859968, 1835868159, 'DE', 'Germany'),
(72019, '109.109.32.0', '109.109.63.255', 1835868160, 1835876351, 'IR', 'Iran, Islamic Republic of'),
(72020, '109.109.64.0', '109.109.95.255', 1835876352, 1835884543, 'NO', 'Norway'),
(72021, '109.109.96.0', '109.109.127.255', 1835884544, 1835892735, 'NL', 'Netherlands'),
(72022, '109.109.128.0', '109.109.191.255', 1835892736, 1835909119, 'GB', 'United Kingdom'),
(72023, '109.109.192.0', '109.109.207.255', 1835909120, 1835913215, 'RS', 'Serbia'),
(72024, '109.109.208.0', '109.109.223.255', 1835913216, 1835917311, 'RU', 'Russian Federation'),
(72025, '109.109.224.0', '109.109.226.103', 1835917312, 1835917927, 'GB', 'United Kingdom'),
(72026, '109.109.226.104', '109.109.226.111', 1835917928, 1835917935, 'IT', 'Italy'),
(72027, '109.109.226.112', '109.109.227.79', 1835917936, 1835918159, 'GB', 'United Kingdom'),
(72028, '109.109.227.80', '109.109.227.87', 1835918160, 1835918167, 'IT', 'Italy'),
(72029, '109.109.227.88', '109.109.228.183', 1835918168, 1835918519, 'GB', 'United Kingdom'),
(72030, '109.109.228.184', '109.109.228.191', 1835918520, 1835918527, 'IT', 'Italy'),
(72031, '109.109.228.192', '109.109.228.231', 1835918528, 1835918567, 'GB', 'United Kingdom'),
(72032, '109.109.228.232', '109.109.228.239', 1835918568, 1835918575, 'IT', 'Italy'),
(72033, '109.109.228.240', '109.109.229.143', 1835918576, 1835918735, 'GB', 'United Kingdom'),
(72034, '109.109.229.144', '109.109.229.151', 1835918736, 1835918743, 'IT', 'Italy'),
(72035, '109.109.229.152', '109.109.232.71', 1835918744, 1835919431, 'GB', 'United Kingdom'),
(72036, '109.109.232.72', '109.109.232.79', 1835919432, 1835919439, 'IT', 'Italy'),
(72037, '109.109.232.80', '109.109.232.151', 1835919440, 1835919511, 'GB', 'United Kingdom'),
(72038, '109.109.232.152', '109.109.232.159', 1835919512, 1835919519, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(72039, '109.109.232.160', '109.109.232.167', 1835919520, 1835919527, 'GB', 'United Kingdom'),
(72040, '109.109.232.168', '109.109.232.175', 1835919528, 1835919535, 'IT', 'Italy'),
(72041, '109.109.232.176', '109.109.234.255', 1835919536, 1835920127, 'GB', 'United Kingdom'),
(72042, '109.109.235.0', '109.109.235.47', 1835920128, 1835920175, 'PT', 'Portugal'),
(72043, '109.109.235.48', '109.109.235.63', 1835920176, 1835920191, 'GB', 'United Kingdom'),
(72044, '109.109.235.64', '109.109.235.71', 1835920192, 1835920199, 'PT', 'Portugal'),
(72045, '109.109.235.72', '109.109.235.79', 1835920200, 1835920207, 'GB', 'United Kingdom'),
(72046, '109.109.235.80', '109.109.235.111', 1835920208, 1835920239, 'PT', 'Portugal'),
(72047, '109.109.235.112', '109.109.235.119', 1835920240, 1835920247, 'GB', 'United Kingdom'),
(72048, '109.109.235.120', '109.109.235.151', 1835920248, 1835920279, 'PT', 'Portugal'),
(72049, '109.109.235.152', '109.109.235.159', 1835920280, 1835920287, 'GB', 'United Kingdom'),
(72050, '109.109.235.160', '109.109.235.199', 1835920288, 1835920327, 'PT', 'Portugal'),
(72051, '109.109.235.200', '109.109.235.207', 1835920328, 1835920335, 'GB', 'United Kingdom'),
(72052, '109.109.235.208', '109.109.235.215', 1835920336, 1835920343, 'PT', 'Portugal'),
(72053, '109.109.235.216', '109.109.235.223', 1835920344, 1835920351, 'GB', 'United Kingdom'),
(72054, '109.109.235.224', '109.109.235.255', 1835920352, 1835920383, 'PT', 'Portugal'),
(72055, '109.109.236.0', '109.109.236.95', 1835920384, 1835920479, 'GB', 'United Kingdom'),
(72056, '109.109.236.96', '109.109.236.103', 1835920480, 1835920487, 'IT', 'Italy'),
(72057, '109.109.236.104', '109.109.237.135', 1835920488, 1835920775, 'GB', 'United Kingdom'),
(72058, '109.109.237.136', '109.109.237.143', 1835920776, 1835920783, 'IT', 'Italy'),
(72059, '109.109.237.144', '109.109.239.223', 1835920784, 1835921375, 'GB', 'United Kingdom'),
(72060, '109.109.239.224', '109.109.239.231', 1835921376, 1835921383, 'IT', 'Italy'),
(72061, '109.109.239.232', '109.109.239.255', 1835921384, 1835921407, 'GB', 'United Kingdom'),
(72062, '109.109.240.0', '109.109.240.7', 1835921408, 1835921415, 'IT', 'Italy'),
(72063, '109.109.240.8', '109.109.240.31', 1835921416, 1835921439, 'GB', 'United Kingdom'),
(72064, '109.109.240.32', '109.109.240.39', 1835921440, 1835921447, 'IT', 'Italy'),
(72065, '109.109.240.40', '109.109.244.143', 1835921448, 1835922575, 'GB', 'United Kingdom'),
(72066, '109.109.244.144', '109.109.244.151', 1835922576, 1835922583, 'IT', 'Italy'),
(72067, '109.109.244.152', '109.109.252.47', 1835922584, 1835924527, 'GB', 'United Kingdom'),
(72068, '109.109.252.48', '109.109.252.55', 1835924528, 1835924535, 'IT', 'Italy'),
(72069, '109.109.252.56', '109.109.253.223', 1835924536, 1835924959, 'GB', 'United Kingdom'),
(72070, '109.109.253.224', '109.109.253.231', 1835924960, 1835924967, 'IT', 'Italy'),
(72071, '109.109.253.232', '109.109.255.255', 1835924968, 1835925503, 'GB', 'United Kingdom'),
(72072, '109.110.0.0', '109.110.31.255', 1835925504, 1835933695, 'LV', 'Latvia'),
(72073, '109.110.32.0', '109.110.63.255', 1835933696, 1835941887, 'RU', 'Russian Federation'),
(72074, '109.110.64.0', '109.110.95.255', 1835941888, 1835950079, 'UA', 'Ukraine'),
(72075, '109.110.96.0', '109.110.127.255', 1835950080, 1835958271, 'LB', 'Lebanon'),
(72076, '109.110.128.0', '109.110.159.255', 1835958272, 1835966463, 'HU', 'Hungary'),
(72077, '109.110.160.0', '109.110.191.255', 1835966464, 1835974655, 'IR', 'Iran, Islamic Republic of'),
(72078, '109.110.192.0', '109.110.223.255', 1835974656, 1835982847, 'PL', 'Poland'),
(72079, '109.110.224.0', '109.110.255.255', 1835982848, 1835991039, 'CY', 'Cyprus'),
(72080, '109.111.0.0', '109.111.31.255', 1835991040, 1835999231, 'RU', 'Russian Federation'),
(72081, '109.111.32.0', '109.111.63.255', 1835999232, 1836007423, 'IR', 'Iran, Islamic Republic of'),
(72082, '109.111.64.0', '109.111.95.255', 1836007424, 1836015615, 'RU', 'Russian Federation'),
(72083, '109.111.96.0', '109.111.127.255', 1836015616, 1836023807, 'AD', 'Andorra'),
(72084, '109.111.128.0', '109.111.191.255', 1836023808, 1836040191, 'RU', 'Russian Federation'),
(72085, '109.111.192.0', '109.111.223.255', 1836040192, 1836048383, 'GB', 'United Kingdom'),
(72086, '109.111.224.0', '109.111.224.83', 1836048384, 1836048467, 'RS', 'Serbia'),
(72087, '109.111.224.84', '109.111.224.87', 1836048468, 1836048471, 'SR', 'Suriname'),
(72088, '109.111.224.88', '109.111.255.255', 1836048472, 1836056575, 'RS', 'Serbia'),
(72089, '109.112.0.0', '109.119.255.255', 1836056576, 1836580863, 'IT', 'Italy'),
(72090, '109.120.0.0', '109.120.63.255', 1836580864, 1836597247, 'RU', 'Russian Federation'),
(72091, '109.120.64.0', '109.120.65.255', 1836597248, 1836597759, 'LU', 'Luxembourg'),
(72092, '109.120.66.0', '109.120.99.255', 1836597760, 1836606463, 'DE', 'Germany'),
(72093, '109.120.100.0', '109.120.127.255', 1836606464, 1836613631, 'LU', 'Luxembourg'),
(72094, '109.120.128.0', '109.120.191.255', 1836613632, 1836630015, 'RU', 'Russian Federation'),
(72095, '109.120.192.0', '109.120.255.255', 1836630016, 1836646399, 'BG', 'Bulgaria'),
(72096, '109.121.0.0', '109.121.127.255', 1836646400, 1836679167, 'RS', 'Serbia'),
(72097, '109.121.128.0', '109.121.255.255', 1836679168, 1836711935, 'BG', 'Bulgaria'),
(72098, '109.122.0.0', '109.122.63.255', 1836711936, 1836728319, 'UA', 'Ukraine'),
(72099, '109.122.64.0', '109.122.127.255', 1836728320, 1836744703, 'RS', 'Serbia'),
(72100, '109.122.128.0', '109.122.191.255', 1836744704, 1836761087, 'FR', 'France'),
(72101, '109.122.192.0', '109.122.255.255', 1836761088, 1836777471, 'IR', 'Iran, Islamic Republic of'),
(72102, '109.123.0.0', '109.123.63.255', 1836777472, 1836793855, 'SI', 'Slovenia'),
(72103, '109.123.64.0', '109.123.127.255', 1836793856, 1836810239, 'GB', 'United Kingdom'),
(72104, '109.123.128.0', '109.123.191.255', 1836810240, 1836826623, 'RU', 'Russian Federation'),
(72105, '109.123.192.0', '109.123.255.255', 1836826624, 1836843007, 'CZ', 'Czech Republic'),
(72106, '109.124.0.0', '109.124.127.255', 1836843008, 1836875775, 'RU', 'Russian Federation'),
(72107, '109.124.128.0', '109.124.191.255', 1836875776, 1836892159, 'SE', 'Sweden'),
(72108, '109.124.192.0', '109.124.255.255', 1836892160, 1836908543, 'RU', 'Russian Federation'),
(72109, '109.125.0.0', '109.125.63.255', 1836908544, 1836924927, 'IE', 'Ireland'),
(72110, '109.125.64.0', '109.125.127.255', 1836924928, 1836941311, 'DE', 'Germany'),
(72111, '109.125.128.0', '109.125.191.255', 1836941312, 1836957695, 'IR', 'Iran, Islamic Republic of'),
(72112, '109.125.192.0', '109.125.255.255', 1836957696, 1836974079, 'PL', 'Poland'),
(72113, '109.126.0.0', '109.126.63.255', 1836974080, 1836990463, 'RU', 'Russian Federation'),
(72114, '109.126.64.0', '109.126.127.255', 1836990464, 1837006847, 'AT', 'Austria'),
(72115, '109.126.128.0', '109.126.191.255', 1837006848, 1837023231, 'BY', 'Belarus'),
(72116, '109.126.192.0', '109.126.255.255', 1837023232, 1837039615, 'RU', 'Russian Federation'),
(72117, '109.127.0.0', '109.127.63.255', 1837039616, 1837055999, 'AZ', 'Azerbaijan'),
(72118, '109.127.64.0', '109.127.127.255', 1837056000, 1837072383, 'IQ', 'Iraq'),
(72119, '109.127.128.0', '109.127.191.255', 1837072384, 1837088767, 'RU', 'Russian Federation'),
(72120, '109.127.192.0', '109.127.255.255', 1837088768, 1837105151, 'SI', 'Slovenia'),
(72121, '109.128.0.0', '109.143.255.255', 1837105152, 1838153727, 'BE', 'Belgium'),
(72122, '109.144.0.0', '109.159.255.255', 1838153728, 1839202303, 'GB', 'United Kingdom'),
(72123, '109.160.0.0', '109.160.127.255', 1839202304, 1839235071, 'BG', 'Bulgaria'),
(72124, '109.160.128.0', '109.160.255.255', 1839235072, 1839267839, 'IL', 'Israel'),
(72125, '109.161.0.0', '109.161.127.255', 1839267840, 1839300607, 'RU', 'Russian Federation'),
(72126, '109.161.128.0', '109.161.255.255', 1839300608, 1839333375, 'BH', 'Bahrain'),
(72127, '109.162.0.0', '109.162.127.255', 1839333376, 1839366143, 'UA', 'Ukraine'),
(72128, '109.162.128.0', '109.162.255.255', 1839366144, 1839398911, 'IR', 'Iran, Islamic Republic of'),
(72129, '109.163.0.0', '109.163.127.255', 1839398912, 1839431679, 'NO', 'Norway'),
(72130, '109.163.128.0', '109.163.191.255', 1839431680, 1839448063, 'BA', 'Bosnia and Herzegovina'),
(72131, '109.163.192.0', '109.163.199.255', 1839448064, 1839450111, 'KZ', 'Kazakhstan'),
(72132, '109.163.200.0', '109.163.207.255', 1839450112, 1839452159, 'NO', 'Norway'),
(72133, '109.163.208.0', '109.163.215.255', 1839452160, 1839454207, 'FI', 'Finland'),
(72134, '109.163.216.0', '109.163.223.255', 1839454208, 1839456255, 'RU', 'Russian Federation'),
(72135, '109.163.224.0', '109.163.229.159', 1839456256, 1839457695, 'RO', 'Romania'),
(72136, '109.163.229.160', '109.163.229.175', 1839457696, 1839457711, 'SY', 'Syrian Arab Republic'),
(72137, '109.163.229.176', '109.163.229.223', 1839457712, 1839457759, 'RO', 'Romania'),
(72138, '109.163.229.224', '109.163.229.239', 1839457760, 1839457775, 'AQ', 'Antarctica'),
(72139, '109.163.229.240', '109.163.233.127', 1839457776, 1839458687, 'RO', 'Romania'),
(72140, '109.163.233.128', '109.163.233.159', 1839458688, 1839458719, 'IN', 'India'),
(72141, '109.163.233.160', '109.163.233.199', 1839458720, 1839458759, 'RO', 'Romania'),
(72142, '109.163.233.200', '109.163.233.200', 1839458760, 1839458760, 'A1', 'Anonymous Proxy'),
(72143, '109.163.233.201', '109.163.235.255', 1839458761, 1839459327, 'RO', 'Romania'),
(72144, '109.163.236.0', '109.163.239.63', 1839459328, 1839460159, 'DE', 'Germany'),
(72145, '109.163.239.64', '109.163.239.127', 1839460160, 1839460223, 'RO', 'Romania'),
(72146, '109.163.239.128', '109.163.239.255', 1839460224, 1839460351, 'DE', 'Germany'),
(72147, '109.163.240.0', '109.163.247.255', 1839460352, 1839462399, 'RU', 'Russian Federation'),
(72148, '109.163.248.0', '109.163.255.255', 1839462400, 1839464447, 'FI', 'Finland'),
(72149, '109.164.0.0', '109.164.127.255', 1839464448, 1839497215, 'CZ', 'Czech Republic'),
(72150, '109.164.128.0', '109.164.255.255', 1839497216, 1839529983, 'CH', 'Switzerland'),
(72151, '109.165.0.0', '109.165.127.255', 1839529984, 1839562751, 'RU', 'Russian Federation'),
(72152, '109.165.128.0', '109.165.255.255', 1839562752, 1839595519, 'BA', 'Bosnia and Herzegovina'),
(72153, '109.166.0.0', '109.166.255.255', 1839595520, 1839661055, 'RO', 'Romania'),
(72154, '109.167.0.0', '109.167.127.255', 1839661056, 1839693823, 'UA', 'Ukraine'),
(72155, '109.167.128.0', '109.167.255.255', 1839693824, 1839726591, 'RU', 'Russian Federation'),
(72156, '109.168.0.0', '109.168.105.63', 1839726592, 1839753535, 'IT', 'Italy'),
(72157, '109.168.105.64', '109.168.105.71', 1839753536, 1839753543, 'ES', 'Spain'),
(72158, '109.168.105.72', '109.168.116.39', 1839753544, 1839756327, 'IT', 'Italy'),
(72159, '109.168.116.40', '109.168.116.47', 1839756328, 1839756335, 'FR', 'France'),
(72160, '109.168.116.48', '109.168.127.255', 1839756336, 1839759359, 'IT', 'Italy'),
(72161, '109.168.128.0', '109.168.255.255', 1839759360, 1839792127, 'RU', 'Russian Federation'),
(72162, '109.169.0.0', '109.169.10.47', 1839792128, 1839794735, 'GB', 'United Kingdom'),
(72163, '109.169.10.48', '109.169.10.63', 1839794736, 1839794751, 'CH', 'Switzerland'),
(72164, '109.169.10.64', '109.169.10.127', 1839794752, 1839794815, 'GB', 'United Kingdom'),
(72165, '109.169.10.128', '109.169.10.159', 1839794816, 1839794847, 'MY', 'Malaysia'),
(72166, '109.169.10.160', '109.169.11.207', 1839794848, 1839795151, 'GB', 'United Kingdom'),
(72167, '109.169.11.208', '109.169.11.223', 1839795152, 1839795167, 'US', 'United States'),
(72168, '109.169.11.224', '109.169.17.127', 1839795168, 1839796607, 'GB', 'United Kingdom'),
(72169, '109.169.17.128', '109.169.17.191', 1839796608, 1839796671, 'US', 'United States'),
(72170, '109.169.17.192', '109.169.21.255', 1839796672, 1839797759, 'GB', 'United Kingdom'),
(72171, '109.169.22.0', '109.169.22.255', 1839797760, 1839798015, 'GR', 'Greece'),
(72172, '109.169.23.0', '109.169.23.255', 1839798016, 1839798271, 'GB', 'United Kingdom'),
(72173, '109.169.24.0', '109.169.24.127', 1839798272, 1839798399, 'US', 'United States'),
(72174, '109.169.24.128', '109.169.24.255', 1839798400, 1839798527, 'GB', 'United Kingdom'),
(72175, '109.169.25.0', '109.169.25.31', 1839798528, 1839798559, 'US', 'United States'),
(72176, '109.169.25.32', '109.169.31.63', 1839798560, 1839800127, 'GB', 'United Kingdom'),
(72177, '109.169.31.64', '109.169.31.95', 1839800128, 1839800159, 'US', 'United States'),
(72178, '109.169.31.96', '109.169.32.127', 1839800160, 1839800447, 'GB', 'United Kingdom'),
(72179, '109.169.32.128', '109.169.32.159', 1839800448, 1839800479, 'SG', 'Singapore'),
(72180, '109.169.32.160', '109.169.34.63', 1839800480, 1839800895, 'GB', 'United Kingdom'),
(72181, '109.169.34.64', '109.169.34.127', 1839800896, 1839800959, 'CY', 'Cyprus'),
(72182, '109.169.34.128', '109.169.34.191', 1839800960, 1839801023, 'GR', 'Greece'),
(72183, '109.169.34.192', '109.169.35.191', 1839801024, 1839801279, 'GB', 'United Kingdom'),
(72184, '109.169.35.192', '109.169.35.223', 1839801280, 1839801311, 'VG', 'Virgin Islands, British'),
(72185, '109.169.35.224', '109.169.36.207', 1839801312, 1839801551, 'GB', 'United Kingdom'),
(72186, '109.169.36.208', '109.169.36.223', 1839801552, 1839801567, 'US', 'United States'),
(72187, '109.169.36.224', '109.169.38.255', 1839801568, 1839802111, 'GB', 'United Kingdom'),
(72188, '109.169.39.0', '109.169.39.127', 1839802112, 1839802239, 'RO', 'Romania'),
(72189, '109.169.39.128', '109.169.55.255', 1839802240, 1839806463, 'GB', 'United Kingdom'),
(72190, '109.169.56.0', '109.169.73.255', 1839806464, 1839811071, 'US', 'United States'),
(72191, '109.169.74.0', '109.169.79.255', 1839811072, 1839812607, 'GB', 'United Kingdom'),
(72192, '109.169.80.0', '109.169.85.255', 1839812608, 1839814143, 'US', 'United States'),
(72193, '109.169.86.0', '109.169.95.255', 1839814144, 1839816703, 'GB', 'United Kingdom'),
(72194, '109.169.96.0', '109.169.127.255', 1839816704, 1839824895, 'NO', 'Norway'),
(72195, '109.169.128.0', '109.170.127.255', 1839824896, 1839890431, 'RU', 'Russian Federation'),
(72196, '109.170.128.0', '109.170.255.255', 1839890432, 1839923199, 'GB', 'United Kingdom'),
(72197, '109.171.0.0', '109.171.127.255', 1839923200, 1839955967, 'RU', 'Russian Federation'),
(72198, '109.171.128.0', '109.171.255.255', 1839955968, 1839988735, 'SA', 'Saudi Arabia'),
(72199, '109.172.0.0', '109.172.127.255', 1839988736, 1840021503, 'RU', 'Russian Federation'),
(72200, '109.172.128.0', '109.172.255.255', 1840021504, 1840054271, 'GE', 'Georgia'),
(72201, '109.173.0.0', '109.173.127.255', 1840054272, 1840087039, 'RU', 'Russian Federation'),
(72202, '109.173.128.0', '109.173.255.255', 1840087040, 1840119807, 'PL', 'Poland'),
(72203, '109.174.0.0', '109.174.127.255', 1840119808, 1840152575, 'RU', 'Russian Federation'),
(72204, '109.174.128.0', '109.174.255.255', 1840152576, 1840185343, 'GB', 'United Kingdom'),
(72205, '109.175.0.0', '109.175.127.255', 1840185344, 1840218111, 'BA', 'Bosnia and Herzegovina'),
(72206, '109.175.128.0', '109.176.255.255', 1840218112, 1840316415, 'GB', 'United Kingdom'),
(72207, '109.177.0.0', '109.177.255.255', 1840316416, 1840381951, 'RU', 'Russian Federation'),
(72208, '109.178.0.0', '109.178.255.255', 1840381952, 1840447487, 'GR', 'Greece'),
(72209, '109.179.0.0', '109.179.255.255', 1840447488, 1840513023, 'NO', 'Norway'),
(72210, '109.180.0.0', '109.181.255.255', 1840513024, 1840644095, 'GB', 'United Kingdom'),
(72211, '109.182.0.0', '109.182.255.255', 1840644096, 1840709631, 'SI', 'Slovenia'),
(72212, '109.183.0.0', '109.183.255.255', 1840709632, 1840775167, 'CZ', 'Czech Republic'),
(72213, '109.184.0.0', '109.184.255.255', 1840775168, 1840840703, 'RU', 'Russian Federation'),
(72214, '109.185.0.0', '109.185.255.255', 1840840704, 1840906239, 'MD', 'Moldova, Republic of'),
(72215, '109.186.0.0', '109.186.255.255', 1840906240, 1840971775, 'IL', 'Israel'),
(72216, '109.187.0.0', '109.188.255.255', 1840971776, 1841102847, 'RU', 'Russian Federation'),
(72217, '109.189.0.0', '109.189.255.255', 1841102848, 1841168383, 'NO', 'Norway'),
(72218, '109.190.0.0', '109.190.255.255', 1841168384, 1841233919, 'FR', 'France'),
(72219, '109.191.0.0', '109.191.255.255', 1841233920, 1841299455, 'RU', 'Russian Federation'),
(72220, '109.192.0.0', '109.193.255.255', 1841299456, 1841430527, 'DE', 'Germany'),
(72221, '109.194.0.0', '109.195.255.255', 1841430528, 1841561599, 'RU', 'Russian Federation'),
(72222, '109.196.0.0', '109.196.15.255', 1841561600, 1841565695, 'PL', 'Poland'),
(72223, '109.196.16.0', '109.196.31.255', 1841565696, 1841569791, 'RU', 'Russian Federation'),
(72224, '109.196.32.0', '109.196.63.255', 1841569792, 1841577983, 'PL', 'Poland'),
(72225, '109.196.64.0', '109.196.79.255', 1841577984, 1841582079, 'RU', 'Russian Federation'),
(72226, '109.196.80.0', '109.196.95.255', 1841582080, 1841586175, 'PL', 'Poland'),
(72227, '109.196.96.0', '109.196.111.255', 1841586176, 1841590271, 'RU', 'Russian Federation'),
(72228, '109.196.112.0', '109.196.127.255', 1841590272, 1841594367, 'PL', 'Poland'),
(72229, '109.196.128.0', '109.196.143.255', 1841594368, 1841598463, 'RU', 'Russian Federation'),
(72230, '109.196.144.0', '109.196.159.255', 1841598464, 1841602559, 'PL', 'Poland'),
(72231, '109.196.160.0', '109.196.191.255', 1841602560, 1841610751, 'UA', 'Ukraine'),
(72232, '109.196.192.0', '109.196.223.255', 1841610752, 1841618943, 'RU', 'Russian Federation'),
(72233, '109.196.224.0', '109.196.255.255', 1841618944, 1841627135, 'PL', 'Poland'),
(72234, '109.197.0.0', '109.197.7.255', 1841627136, 1841629183, 'NO', 'Norway'),
(72235, '109.197.8.0', '109.197.31.255', 1841629184, 1841635327, 'RU', 'Russian Federation'),
(72236, '109.197.32.0', '109.197.47.255', 1841635328, 1841639423, 'PL', 'Poland'),
(72237, '109.197.48.0', '109.197.55.255', 1841639424, 1841641471, 'RU', 'Russian Federation'),
(72238, '109.197.56.0', '109.197.71.255', 1841641472, 1841645567, 'PL', 'Poland'),
(72239, '109.197.72.0', '109.197.79.255', 1841645568, 1841647615, 'RU', 'Russian Federation'),
(72240, '109.197.80.0', '109.197.87.255', 1841647616, 1841649663, 'RO', 'Romania'),
(72241, '109.197.88.0', '109.197.95.255', 1841649664, 1841651711, 'RU', 'Russian Federation'),
(72242, '109.197.96.0', '109.197.103.255', 1841651712, 1841653759, 'PL', 'Poland'),
(72243, '109.197.104.0', '109.197.111.255', 1841653760, 1841655807, 'FR', 'France'),
(72244, '109.197.112.0', '109.197.159.255', 1841655808, 1841668095, 'RU', 'Russian Federation'),
(72245, '109.197.160.0', '109.197.167.255', 1841668096, 1841670143, 'RO', 'Romania'),
(72246, '109.197.168.0', '109.197.175.255', 1841670144, 1841672191, 'PL', 'Poland'),
(72247, '109.197.176.0', '109.197.183.255', 1841672192, 1841674239, 'FR', 'France'),
(72248, '109.197.184.0', '109.197.191.255', 1841674240, 1841676287, 'PL', 'Poland'),
(72249, '109.197.192.0', '109.197.207.255', 1841676288, 1841680383, 'RU', 'Russian Federation'),
(72250, '109.197.208.0', '109.197.215.255', 1841680384, 1841682431, 'LV', 'Latvia'),
(72251, '109.197.216.0', '109.197.223.255', 1841682432, 1841684479, 'UA', 'Ukraine'),
(72252, '109.197.224.0', '109.197.231.255', 1841684480, 1841686527, 'RU', 'Russian Federation'),
(72253, '109.197.232.0', '109.197.239.255', 1841686528, 1841688575, 'RO', 'Romania'),
(72254, '109.197.240.0', '109.197.247.255', 1841688576, 1841690623, 'FR', 'France'),
(72255, '109.197.248.0', '109.197.255.255', 1841690624, 1841692671, 'RU', 'Russian Federation'),
(72256, '109.198.0.0', '109.198.31.255', 1841692672, 1841700863, 'RS', 'Serbia'),
(72257, '109.198.32.0', '109.198.63.255', 1841700864, 1841709055, 'MD', 'Moldova, Republic of'),
(72258, '109.198.64.0', '109.198.127.255', 1841709056, 1841725439, 'RU', 'Russian Federation'),
(72259, '109.198.128.0', '109.198.159.255', 1841725440, 1841733631, 'DK', 'Denmark'),
(72260, '109.198.160.0', '109.198.255.255', 1841733632, 1841758207, 'RU', 'Russian Federation'),
(72261, '109.199.0.0', '109.199.31.255', 1841758208, 1841766399, 'PL', 'Poland'),
(72262, '109.199.32.0', '109.199.63.255', 1841766400, 1841774591, 'HU', 'Hungary'),
(72263, '109.199.64.0', '109.199.95.255', 1841774592, 1841782783, 'PL', 'Poland'),
(72264, '109.199.96.0', '109.199.127.255', 1841782784, 1841790975, 'RO', 'Romania'),
(72265, '109.199.128.0', '109.199.159.255', 1841790976, 1841799167, 'BG', 'Bulgaria'),
(72266, '109.199.160.0', '109.199.191.255', 1841799168, 1841807359, 'DE', 'Germany'),
(72267, '109.199.192.0', '109.199.223.255', 1841807360, 1841815551, 'NO', 'Norway'),
(72268, '109.199.224.0', '109.199.255.255', 1841815552, 1841823743, 'BG', 'Bulgaria'),
(72269, '109.200.0.0', '109.200.31.255', 1841823744, 1841831935, 'GB', 'United Kingdom'),
(72270, '109.200.32.0', '109.200.63.255', 1841831936, 1841840127, 'MT', 'Malta'),
(72271, '109.200.64.0', '109.200.95.255', 1841840128, 1841848319, 'PL', 'Poland'),
(72272, '109.200.96.0', '109.200.127.255', 1841848320, 1841856511, 'RU', 'Russian Federation'),
(72273, '109.200.128.0', '109.200.160.65', 1841856512, 1841864769, 'UA', 'Ukraine'),
(72274, '109.200.160.66', '109.200.191.255', 1841864770, 1841872895, 'YE', 'Yemen'),
(72275, '109.200.192.0', '109.200.211.255', 1841872896, 1841878015, 'NL', 'Netherlands'),
(72276, '109.200.212.0', '109.200.215.255', 1841878016, 1841879039, 'AU', 'Australia'),
(72277, '109.200.216.0', '109.200.217.255', 1841879040, 1841879551, 'NL', 'Netherlands'),
(72278, '109.200.218.0', '109.200.218.255', 1841879552, 1841879807, 'US', 'United States'),
(72279, '109.200.219.0', '109.200.219.255', 1841879808, 1841880063, 'GB', 'United Kingdom'),
(72280, '109.200.220.0', '109.200.223.255', 1841880064, 1841881087, 'JP', 'Japan'),
(72281, '109.200.224.0', '109.200.255.255', 1841881088, 1841889279, 'UA', 'Ukraine'),
(72282, '109.201.0.0', '109.201.31.255', 1841889280, 1841897471, 'IR', 'Iran, Islamic Republic of'),
(72283, '109.201.32.0', '109.201.63.255', 1841897472, 1841905663, 'RO', 'Romania'),
(72284, '109.201.64.0', '109.201.127.255', 1841905664, 1841922047, 'RU', 'Russian Federation'),
(72285, '109.201.128.0', '109.201.159.255', 1841922048, 1841930239, 'NL', 'Netherlands'),
(72286, '109.201.160.0', '109.201.191.255', 1841930240, 1841938431, 'KG', 'Kyrgyzstan'),
(72287, '109.201.192.0', '109.201.223.255', 1841938432, 1841946623, 'RU', 'Russian Federation'),
(72288, '109.201.224.0', '109.201.255.255', 1841946624, 1841954815, 'UA', 'Ukraine'),
(72289, '109.202.0.0', '109.202.63.255', 1841954816, 1841971199, 'RU', 'Russian Federation'),
(72290, '109.202.64.0', '109.202.95.255', 1841971200, 1841979391, 'CZ', 'Czech Republic'),
(72291, '109.202.96.0', '109.202.111.255', 1841979392, 1841983487, 'NL', 'Netherlands'),
(72292, '109.202.112.0', '109.202.113.255', 1841983488, 1841983999, 'GI', 'Gibraltar'),
(72293, '109.202.114.0', '109.202.119.255', 1841984000, 1841985535, 'IM', 'Isle of Man'),
(72294, '109.202.120.0', '109.202.127.255', 1841985536, 1841987583, 'SI', 'Slovenia'),
(72295, '109.202.128.0', '109.202.159.255', 1841987584, 1841995775, 'DK', 'Denmark'),
(72296, '109.202.160.0', '109.202.191.255', 1841995776, 1842003967, 'RU', 'Russian Federation'),
(72297, '109.202.192.0', '109.202.223.255', 1842003968, 1842012159, 'CH', 'Switzerland'),
(72298, '109.202.224.0', '109.202.255.255', 1842012160, 1842020351, 'GB', 'United Kingdom'),
(72299, '109.203.0.0', '109.203.31.255', 1842020352, 1842028543, 'NO', 'Norway'),
(72300, '109.203.32.0', '109.203.63.255', 1842028544, 1842036735, 'CH', 'Switzerland'),
(72301, '109.203.64.0', '109.203.71.255', 1842036736, 1842038783, 'FR', 'France'),
(72302, '109.203.72.0', '109.203.95.255', 1842038784, 1842044927, 'LU', 'Luxembourg'),
(72303, '109.203.96.0', '109.203.105.137', 1842044928, 1842047369, 'GB', 'United Kingdom'),
(72304, '109.203.105.138', '109.203.105.139', 1842047370, 1842047371, 'IN', 'India'),
(72305, '109.203.105.140', '109.203.127.255', 1842047372, 1842053119, 'GB', 'United Kingdom'),
(72306, '109.203.128.0', '109.203.159.255', 1842053120, 1842061311, 'ES', 'Spain'),
(72307, '109.203.160.0', '109.203.191.255', 1842061312, 1842069503, 'IR', 'Iran, Islamic Republic of'),
(72308, '109.203.192.0', '109.203.223.255', 1842069504, 1842077695, 'RU', 'Russian Federation'),
(72309, '109.203.224.0', '109.203.231.255', 1842077696, 1842079743, 'FR', 'France'),
(72310, '109.203.232.0', '109.203.255.255', 1842079744, 1842085887, 'MQ', 'Martinique'),
(72311, '109.204.0.0', '109.204.127.255', 1842085888, 1842118655, 'GB', 'United Kingdom'),
(72312, '109.204.128.0', '109.204.255.255', 1842118656, 1842151423, 'FI', 'Finland'),
(72313, '109.205.0.0', '109.205.7.255', 1842151424, 1842153471, 'FR', 'France'),
(72314, '109.205.8.0', '109.205.8.95', 1842153472, 1842153567, 'NO', 'Norway'),
(72315, '109.205.8.96', '109.205.8.103', 1842153568, 1842153575, 'GB', 'United Kingdom'),
(72316, '109.205.8.104', '109.205.8.191', 1842153576, 1842153663, 'NO', 'Norway'),
(72317, '109.205.8.192', '109.205.8.207', 1842153664, 1842153679, 'NL', 'Netherlands'),
(72318, '109.205.8.208', '109.205.8.215', 1842153680, 1842153687, 'NO', 'Norway'),
(72319, '109.205.8.216', '109.205.8.223', 1842153688, 1842153695, 'NL', 'Netherlands'),
(72320, '109.205.8.224', '109.205.9.159', 1842153696, 1842153887, 'NO', 'Norway'),
(72321, '109.205.9.160', '109.205.9.191', 1842153888, 1842153919, 'DE', 'Germany'),
(72322, '109.205.9.192', '109.205.9.223', 1842153920, 1842153951, 'NE', 'Niger'),
(72323, '109.205.9.224', '109.205.9.255', 1842153952, 1842153983, 'NO', 'Norway'),
(72324, '109.205.10.0', '109.205.10.63', 1842153984, 1842154047, 'US', 'United States'),
(72325, '109.205.10.64', '109.205.10.127', 1842154048, 1842154111, 'NO', 'Norway'),
(72326, '109.205.10.128', '109.205.10.131', 1842154112, 1842154115, 'US', 'United States'),
(72327, '109.205.10.132', '109.205.10.135', 1842154116, 1842154119, 'NO', 'Norway'),
(72328, '109.205.10.136', '109.205.10.159', 1842154120, 1842154143, 'US', 'United States'),
(72329, '109.205.10.160', '109.205.10.255', 1842154144, 1842154239, 'NO', 'Norway'),
(72330, '109.205.11.0', '109.205.11.7', 1842154240, 1842154247, 'HK', 'Hong Kong'),
(72331, '109.205.11.8', '109.205.11.31', 1842154248, 1842154271, 'NO', 'Norway'),
(72332, '109.205.11.32', '109.205.11.39', 1842154272, 1842154279, 'CN', 'China'),
(72333, '109.205.11.40', '109.205.11.127', 1842154280, 1842154367, 'NO', 'Norway'),
(72334, '109.205.11.128', '109.205.11.191', 1842154368, 1842154431, 'US', 'United States'),
(72335, '109.205.11.192', '109.205.11.207', 1842154432, 1842154447, 'SG', 'Singapore'),
(72336, '109.205.11.208', '109.205.11.255', 1842154448, 1842154495, 'NO', 'Norway'),
(72337, '109.205.12.0', '109.205.13.255', 1842154496, 1842155007, 'US', 'United States'),
(72338, '109.205.14.0', '109.205.14.255', 1842155008, 1842155263, 'AU', 'Australia'),
(72339, '109.205.15.0', '109.205.15.255', 1842155264, 1842155519, 'SG', 'Singapore'),
(72340, '109.205.16.0', '109.205.23.255', 1842155520, 1842157567, 'IT', 'Italy'),
(72341, '109.205.24.0', '109.205.31.255', 1842157568, 1842159615, 'AE', 'United Arab Emirates'),
(72342, '109.205.32.0', '109.205.39.255', 1842159616, 1842161663, 'BA', 'Bosnia and Herzegovina'),
(72343, '109.205.40.0', '109.205.47.255', 1842161664, 1842163711, 'GE', 'Georgia'),
(72344, '109.205.48.0', '109.205.55.255', 1842163712, 1842165759, 'PL', 'Poland'),
(72345, '109.205.56.0', '109.205.63.255', 1842165760, 1842167807, 'RU', 'Russian Federation'),
(72346, '109.205.64.0', '109.205.71.255', 1842167808, 1842169855, 'FR', 'France'),
(72347, '109.205.72.0', '109.205.79.255', 1842169856, 1842171903, 'CZ', 'Czech Republic'),
(72348, '109.205.80.0', '109.205.87.255', 1842171904, 1842173951, 'RU', 'Russian Federation'),
(72349, '109.205.88.0', '109.205.95.255', 1842173952, 1842175999, 'RO', 'Romania'),
(72350, '109.205.96.0', '109.205.103.255', 1842176000, 1842178047, 'FI', 'Finland'),
(72351, '109.205.104.0', '109.205.111.255', 1842178048, 1842180095, 'IT', 'Italy'),
(72352, '109.205.112.0', '109.205.119.255', 1842180096, 1842182143, 'IQ', 'Iraq'),
(72353, '109.205.120.0', '109.205.127.255', 1842182144, 1842184191, 'LV', 'Latvia'),
(72354, '109.205.128.0', '109.205.135.255', 1842184192, 1842186239, 'DE', 'Germany'),
(72355, '109.205.136.0', '109.205.143.255', 1842186240, 1842188287, 'ES', 'Spain'),
(72356, '109.205.144.0', '109.205.151.255', 1842188288, 1842190335, 'RU', 'Russian Federation'),
(72357, '109.205.152.0', '109.205.159.255', 1842190336, 1842192383, 'GB', 'United Kingdom'),
(72358, '109.205.160.0', '109.205.167.255', 1842192384, 1842194431, 'AZ', 'Azerbaijan'),
(72359, '109.205.168.0', '109.205.175.255', 1842194432, 1842196479, 'CH', 'Switzerland'),
(72360, '109.205.176.0', '109.205.183.255', 1842196480, 1842198527, 'DE', 'Germany'),
(72361, '109.205.184.0', '109.205.191.255', 1842198528, 1842200575, 'GB', 'United Kingdom'),
(72362, '109.205.192.0', '109.205.199.255', 1842200576, 1842202623, 'NL', 'Netherlands'),
(72363, '109.205.200.0', '109.205.207.255', 1842202624, 1842204671, 'CH', 'Switzerland'),
(72364, '109.205.208.0', '109.205.215.255', 1842204672, 1842206719, 'AZ', 'Azerbaijan'),
(72365, '109.205.216.0', '109.205.223.255', 1842206720, 1842208767, 'SE', 'Sweden'),
(72366, '109.205.224.0', '109.205.231.255', 1842208768, 1842210815, 'GB', 'United Kingdom'),
(72367, '109.205.232.0', '109.205.239.255', 1842210816, 1842212863, 'LT', 'Lithuania'),
(72368, '109.205.240.0', '109.205.246.255', 1842212864, 1842214655, 'CZ', 'Czech Republic'),
(72369, '109.205.247.0', '109.205.255.255', 1842214656, 1842216959, 'RU', 'Russian Federation'),
(72370, '109.206.0.0', '109.206.31.255', 1842216960, 1842225151, 'RO', 'Romania'),
(72371, '109.206.32.0', '109.206.63.255', 1842225152, 1842233343, 'UA', 'Ukraine'),
(72372, '109.206.64.0', '109.206.95.255', 1842233344, 1842241535, 'RO', 'Romania'),
(72373, '109.206.96.0', '109.206.127.255', 1842241536, 1842249727, 'RS', 'Serbia'),
(72374, '109.206.128.0', '109.206.159.255', 1842249728, 1842257919, 'RU', 'Russian Federation'),
(72375, '109.206.160.0', '109.206.191.255', 1842257920, 1842266111, 'EU', 'Europe'),
(72376, '109.206.192.0', '109.206.223.255', 1842266112, 1842274303, 'PL', 'Poland'),
(72377, '109.206.224.0', '109.206.255.255', 1842274304, 1842282495, 'RO', 'Romania'),
(72378, '109.207.0.0', '109.207.15.255', 1842282496, 1842286591, 'RU', 'Russian Federation'),
(72379, '109.207.16.0', '109.207.31.255', 1842286592, 1842290687, 'GB', 'United Kingdom'),
(72380, '109.207.32.0', '109.207.47.255', 1842290688, 1842294783, 'RS', 'Serbia'),
(72381, '109.207.48.0', '109.207.63.255', 1842294784, 1842298879, 'PL', 'Poland'),
(72382, '109.207.64.0', '109.207.79.255', 1842298880, 1842302975, 'UA', 'Ukraine'),
(72383, '109.207.80.0', '109.207.95.255', 1842302976, 1842307071, 'RU', 'Russian Federation'),
(72384, '109.207.96.0', '109.207.111.255', 1842307072, 1842311167, 'PL', 'Poland'),
(72385, '109.207.112.0', '109.207.127.255', 1842311168, 1842315263, 'UA', 'Ukraine'),
(72386, '109.207.128.0', '109.207.143.255', 1842315264, 1842319359, 'RO', 'Romania'),
(72387, '109.207.144.0', '109.207.159.255', 1842319360, 1842323455, 'PL', 'Poland'),
(72388, '109.207.160.0', '109.207.191.255', 1842323456, 1842331647, 'RU', 'Russian Federation'),
(72389, '109.207.192.0', '109.207.207.255', 1842331648, 1842335743, 'UA', 'Ukraine'),
(72390, '109.207.208.0', '109.207.223.255', 1842335744, 1842339839, 'RO', 'Romania'),
(72391, '109.207.224.0', '109.207.239.255', 1842339840, 1842343935, 'RU', 'Russian Federation'),
(72392, '109.207.240.0', '109.207.255.255', 1842343936, 1842348031, 'UZ', 'Uzbekistan'),
(72393, '109.208.0.0', '109.223.255.255', 1842348032, 1843396607, 'FR', 'France'),
(72394, '109.224.0.0', '109.224.63.255', 1843396608, 1843412991, 'IQ', 'Iraq'),
(72395, '109.224.64.0', '109.224.127.255', 1843412992, 1843429375, 'CZ', 'Czech Republic'),
(72396, '109.224.128.0', '109.224.255.255', 1843429376, 1843462143, 'GB', 'United Kingdom'),
(72397, '109.225.0.0', '109.225.63.255', 1843462144, 1843478527, 'RU', 'Russian Federation'),
(72398, '109.225.64.0', '109.225.127.255', 1843478528, 1843494911, 'SE', 'Sweden'),
(72399, '109.225.128.0', '109.225.191.255', 1843494912, 1843511295, 'IR', 'Iran, Islamic Republic of'),
(72400, '109.225.192.0', '109.225.255.255', 1843511296, 1843527679, 'RU', 'Russian Federation'),
(72401, '109.226.0.0', '109.226.63.255', 1843527680, 1843544063, 'IL', 'Israel'),
(72402, '109.226.64.0', '109.226.127.255', 1843544064, 1843560447, 'RU', 'Russian Federation'),
(72403, '109.226.128.0', '109.226.191.255', 1843560448, 1843576831, 'DE', 'Germany'),
(72404, '109.226.192.0', '109.226.255.255', 1843576832, 1843593215, 'RU', 'Russian Federation'),
(72405, '109.227.0.0', '109.227.63.255', 1843593216, 1843609599, 'HR', 'Croatia'),
(72406, '109.227.64.0', '109.227.127.255', 1843609600, 1843625983, 'UA', 'Ukraine'),
(72407, '109.227.128.0', '109.227.191.255', 1843625984, 1843642367, 'ES', 'Spain'),
(72408, '109.227.192.0', '109.227.255.255', 1843642368, 1843658751, 'RU', 'Russian Federation'),
(72409, '109.228.0.0', '109.228.63.255', 1843658752, 1843675135, 'GB', 'United Kingdom'),
(72410, '109.228.64.0', '109.228.127.255', 1843675136, 1843691519, 'ME', 'Montenegro'),
(72411, '109.228.128.0', '109.228.191.255', 1843691520, 1843707903, 'SE', 'Sweden'),
(72412, '109.228.192.0', '109.228.255.255', 1843707904, 1843724287, 'TR', 'Turkey'),
(72413, '109.229.0.0', '109.229.31.255', 1843724288, 1843732479, 'UA', 'Ukraine'),
(72414, '109.229.32.0', '109.229.159.255', 1843732480, 1843765247, 'RU', 'Russian Federation'),
(72415, '109.229.160.0', '109.229.191.255', 1843765248, 1843773439, 'KZ', 'Kazakhstan'),
(72416, '109.229.192.0', '109.229.223.255', 1843773440, 1843781631, 'LV', 'Latvia'),
(72417, '109.229.224.0', '109.229.255.255', 1843781632, 1843789823, 'RU', 'Russian Federation'),
(72418, '109.230.0.0', '109.230.63.255', 1843789824, 1843806207, 'SK', 'Slovakia'),
(72419, '109.230.64.0', '109.230.127.255', 1843806208, 1843822591, 'IR', 'Iran, Islamic Republic of'),
(72420, '109.230.128.0', '109.230.191.255', 1843822592, 1843838975, 'RU', 'Russian Federation'),
(72421, '109.230.192.0', '109.230.201.255', 1843838976, 1843841535, 'DE', 'Germany'),
(72422, '109.230.202.0', '109.230.202.255', 1843841536, 1843841791, 'CH', 'Switzerland'),
(72423, '109.230.203.0', '109.230.203.255', 1843841792, 1843842047, 'AU', 'Australia'),
(72424, '109.230.204.0', '109.230.218.255', 1843842048, 1843845887, 'DE', 'Germany'),
(72425, '109.230.219.0', '109.230.219.255', 1843845888, 1843846143, 'IT', 'Italy'),
(72426, '109.230.220.0', '109.230.226.63', 1843846144, 1843847743, 'DE', 'Germany'),
(72427, '109.230.226.64', '109.230.226.79', 1843847744, 1843847759, 'GR', 'Greece'),
(72428, '109.230.226.80', '109.230.231.255', 1843847760, 1843849215, 'DE', 'Germany'),
(72429, '109.230.232.0', '109.230.235.255', 1843849216, 1843850239, 'GB', 'United Kingdom'),
(72430, '109.230.236.0', '109.230.245.255', 1843850240, 1843852799, 'DE', 'Germany'),
(72431, '109.230.246.0', '109.230.246.255', 1843852800, 1843853055, 'A1', 'Anonymous Proxy'),
(72432, '109.230.247.0', '109.230.255.255', 1843853056, 1843855359, 'DE', 'Germany'),
(72433, '109.231.0.0', '109.231.63.255', 1843855360, 1843871743, 'PL', 'Poland'),
(72434, '109.231.64.0', '109.231.127.255', 1843871744, 1843888127, 'GB', 'United Kingdom'),
(72435, '109.231.128.0', '109.231.191.255', 1843888128, 1843904511, 'CZ', 'Czech Republic'),
(72436, '109.231.192.0', '109.231.255.255', 1843904512, 1843920895, 'GB', 'United Kingdom'),
(72437, '109.232.0.0', '109.232.7.255', 1843920896, 1843922943, 'KZ', 'Kazakhstan'),
(72438, '109.232.8.0', '109.232.15.255', 1843922944, 1843924991, 'NL', 'Netherlands'),
(72439, '109.232.16.0', '109.232.23.255', 1843924992, 1843927039, 'ES', 'Spain'),
(72440, '109.232.24.0', '109.232.31.255', 1843927040, 1843929087, 'PL', 'Poland'),
(72441, '109.232.32.0', '109.232.39.255', 1843929088, 1843931135, 'IT', 'Italy'),
(72442, '109.232.40.0', '109.232.47.255', 1843931136, 1843933183, 'NL', 'Netherlands'),
(72443, '109.232.48.0', '109.232.55.255', 1843933184, 1843935231, 'IT', 'Italy'),
(72444, '109.232.56.0', '109.232.63.255', 1843935232, 1843937279, 'GB', 'United Kingdom'),
(72445, '109.232.64.0', '109.232.71.255', 1843937280, 1843939327, 'ES', 'Spain'),
(72446, '109.232.72.0', '109.232.79.255', 1843939328, 1843941375, 'DK', 'Denmark'),
(72447, '109.232.80.0', '109.232.87.255', 1843941376, 1843943423, 'FI', 'Finland'),
(72448, '109.232.88.0', '109.232.95.255', 1843943424, 1843945471, 'CH', 'Switzerland'),
(72449, '109.232.96.0', '109.232.103.255', 1843945472, 1843947519, 'FR', 'France'),
(72450, '109.232.104.0', '109.232.111.255', 1843947520, 1843949567, 'RU', 'Russian Federation'),
(72451, '109.232.112.0', '109.232.119.255', 1843949568, 1843951615, 'BY', 'Belarus'),
(72452, '109.232.120.0', '109.232.135.255', 1843951616, 1843955711, 'DE', 'Germany'),
(72453, '109.232.136.0', '109.232.143.255', 1843955712, 1843957759, 'IT', 'Italy'),
(72454, '109.232.144.0', '109.232.151.255', 1843957760, 1843959807, 'CZ', 'Czech Republic'),
(72455, '109.232.152.0', '109.232.159.255', 1843959808, 1843961855, 'GB', 'United Kingdom'),
(72456, '109.232.160.0', '109.232.175.255', 1843961856, 1843965951, 'DE', 'Germany'),
(72457, '109.232.176.0', '109.232.183.255', 1843965952, 1843967999, 'GB', 'United Kingdom'),
(72458, '109.232.184.0', '109.232.191.255', 1843968000, 1843970047, 'RU', 'Russian Federation'),
(72459, '109.232.192.0', '109.232.199.255', 1843970048, 1843972095, 'FR', 'France'),
(72460, '109.232.200.0', '109.232.207.255', 1843972096, 1843974143, 'HU', 'Hungary'),
(72461, '109.232.208.0', '109.232.215.255', 1843974144, 1843976191, 'ES', 'Spain'),
(72462, '109.232.216.0', '109.232.223.255', 1843976192, 1843978239, 'TR', 'Turkey'),
(72463, '109.232.224.0', '109.232.231.255', 1843978240, 1843980287, 'NL', 'Netherlands'),
(72464, '109.232.232.0', '109.232.239.255', 1843980288, 1843982335, 'FR', 'France'),
(72465, '109.232.240.0', '109.232.247.255', 1843982336, 1843984383, 'PL', 'Poland'),
(72466, '109.232.248.0', '109.232.251.255', 1843984384, 1843985407, 'RU', 'Russian Federation'),
(72467, '109.232.252.0', '109.232.252.255', 1843985408, 1843985663, 'UA', 'Ukraine'),
(72468, '109.232.253.0', '109.232.255.255', 1843985664, 1843986431, 'RU', 'Russian Federation'),
(72469, '109.233.0.0', '109.233.7.255', 1843986432, 1843988479, 'NO', 'Norway'),
(72470, '109.233.8.0', '109.233.8.47', 1843988480, 1843988527, 'GB', 'United Kingdom'),
(72471, '109.233.8.48', '109.233.8.48', 1843988528, 1843988528, 'EU', 'Europe'),
(72472, '109.233.8.49', '109.233.15.255', 1843988529, 1843990527, 'GB', 'United Kingdom'),
(72473, '109.233.16.0', '109.233.23.255', 1843990528, 1843992575, 'LB', 'Lebanon'),
(72474, '109.233.24.0', '109.233.31.255', 1843992576, 1843994623, 'AT', 'Austria'),
(72475, '109.233.32.0', '109.233.55.255', 1843994624, 1844000767, 'GB', 'United Kingdom'),
(72476, '109.233.56.0', '109.233.59.255', 1844000768, 1844001791, 'NO', 'Norway'),
(72477, '109.233.60.0', '109.233.61.255', 1844001792, 1844002303, 'NL', 'Netherlands'),
(72478, '109.233.62.0', '109.233.62.255', 1844002304, 1844002559, 'NO', 'Norway'),
(72479, '109.233.63.0', '109.233.63.255', 1844002560, 1844002815, 'NL', 'Netherlands'),
(72480, '109.233.64.0', '109.233.79.255', 1844002816, 1844006911, 'CZ', 'Czech Republic'),
(72481, '109.233.80.0', '109.233.87.255', 1844006912, 1844008959, 'SM', 'San Marino'),
(72482, '109.233.88.0', '109.233.95.255', 1844008960, 1844011007, 'PL', 'Poland'),
(72483, '109.233.96.0', '109.233.103.255', 1844011008, 1844013055, 'IT', 'Italy'),
(72484, '109.233.104.0', '109.233.111.255', 1844013056, 1844015103, 'PL', 'Poland'),
(72485, '109.233.112.0', '109.233.119.255', 1844015104, 1844017151, 'GB', 'United Kingdom'),
(72486, '109.233.120.0', '109.233.135.255', 1844017152, 1844021247, 'IT', 'Italy'),
(72487, '109.233.136.0', '109.233.159.255', 1844021248, 1844027391, 'DE', 'Germany'),
(72488, '109.233.160.0', '109.233.167.255', 1844027392, 1844029439, 'CZ', 'Czech Republic'),
(72489, '109.233.168.0', '109.233.175.255', 1844029440, 1844031487, 'RU', 'Russian Federation'),
(72490, '109.233.176.0', '109.233.176.255', 1844031488, 1844031743, 'EU', 'Europe'),
(72491, '109.233.177.0', '109.233.177.31', 1844031744, 1844031775, 'CH', 'Switzerland'),
(72492, '109.233.177.32', '109.233.177.255', 1844031776, 1844031999, 'EU', 'Europe'),
(72493, '109.233.178.0', '109.233.178.255', 1844032000, 1844032255, 'GB', 'United Kingdom'),
(72494, '109.233.179.0', '109.233.181.255', 1844032256, 1844033023, 'CH', 'Switzerland'),
(72495, '109.233.182.0', '109.233.182.247', 1844033024, 1844033271, 'EU', 'Europe'),
(72496, '109.233.182.248', '109.233.183.255', 1844033272, 1844033535, 'CH', 'Switzerland'),
(72497, '109.233.184.0', '109.233.191.255', 1844033536, 1844035583, 'RS', 'Serbia'),
(72498, '109.233.192.0', '109.233.199.255', 1844035584, 1844037631, 'MD', 'Moldova, Republic of'),
(72499, '109.233.200.0', '109.233.215.255', 1844037632, 1844041727, 'RU', 'Russian Federation'),
(72500, '109.233.216.0', '109.233.223.255', 1844041728, 1844043775, 'IT', 'Italy'),
(72501, '109.233.224.0', '109.233.247.255', 1844043776, 1844049919, 'RU', 'Russian Federation'),
(72502, '109.233.248.0', '109.233.255.255', 1844049920, 1844051967, 'DE', 'Germany'),
(72503, '109.234.0.0', '109.234.7.255', 1844051968, 1844054015, 'FR', 'France'),
(72504, '109.234.8.0', '109.234.15.255', 1844054016, 1844056063, 'RU', 'Russian Federation'),
(72505, '109.234.16.0', '109.234.23.255', 1844056064, 1844058111, 'IL', 'Israel'),
(72506, '109.234.24.0', '109.234.39.255', 1844058112, 1844062207, 'RU', 'Russian Federation'),
(72507, '109.234.40.0', '109.234.47.255', 1844062208, 1844064255, 'CZ', 'Czech Republic'),
(72508, '109.234.48.0', '109.234.63.255', 1844064256, 1844068351, 'IT', 'Italy'),
(72509, '109.234.64.0', '109.234.64.127', 1844068352, 1844068479, 'FR', 'France'),
(72510, '109.234.64.128', '109.234.71.255', 1844068480, 1844070399, 'ES', 'Spain'),
(72511, '109.234.72.0', '109.234.75.255', 1844070400, 1844071423, 'GB', 'United Kingdom'),
(72512, '109.234.76.0', '109.234.79.255', 1844071424, 1844072447, 'DE', 'Germany'),
(72513, '109.234.80.0', '109.234.95.255', 1844072448, 1844076543, 'ES', 'Spain'),
(72514, '109.234.96.0', '109.234.96.31', 1844076544, 1844076575, 'GB', 'United Kingdom'),
(72515, '109.234.96.32', '109.234.96.95', 1844076576, 1844076639, 'IE', 'Ireland'),
(72516, '109.234.96.96', '109.234.96.111', 1844076640, 1844076655, 'GB', 'United Kingdom'),
(72517, '109.234.96.112', '109.234.96.231', 1844076656, 1844076775, 'IE', 'Ireland'),
(72518, '109.234.96.232', '109.234.96.239', 1844076776, 1844076783, 'GB', 'United Kingdom'),
(72519, '109.234.96.240', '109.234.96.247', 1844076784, 1844076791, 'IE', 'Ireland'),
(72520, '109.234.96.248', '109.234.96.255', 1844076792, 1844076799, 'GB', 'United Kingdom'),
(72521, '109.234.97.0', '109.234.97.191', 1844076800, 1844076991, 'IE', 'Ireland'),
(72522, '109.234.97.192', '109.234.97.207', 1844076992, 1844077007, 'GB', 'United Kingdom'),
(72523, '109.234.97.208', '109.234.97.231', 1844077008, 1844077031, 'IE', 'Ireland'),
(72524, '109.234.97.232', '109.234.97.255', 1844077032, 1844077055, 'GB', 'United Kingdom'),
(72525, '109.234.98.0', '109.234.98.231', 1844077056, 1844077287, 'IE', 'Ireland'),
(72526, '109.234.98.232', '109.234.98.255', 1844077288, 1844077311, 'GB', 'United Kingdom'),
(72527, '109.234.99.0', '109.234.99.151', 1844077312, 1844077463, 'IE', 'Ireland'),
(72528, '109.234.99.152', '109.234.99.159', 1844077464, 1844077471, 'GB', 'United Kingdom'),
(72529, '109.234.99.160', '109.234.99.191', 1844077472, 1844077503, 'IE', 'Ireland'),
(72530, '109.234.99.192', '109.234.99.255', 1844077504, 1844077567, 'GB', 'United Kingdom'),
(72531, '109.234.100.0', '109.234.100.63', 1844077568, 1844077631, 'IE', 'Ireland'),
(72532, '109.234.100.64', '109.234.103.223', 1844077632, 1844078559, 'GB', 'United Kingdom'),
(72533, '109.234.103.224', '109.234.103.239', 1844078560, 1844078575, 'IE', 'Ireland'),
(72534, '109.234.103.240', '109.234.103.255', 1844078576, 1844078591, 'GB', 'United Kingdom'),
(72535, '109.234.104.0', '109.234.109.255', 1844078592, 1844080127, 'DE', 'Germany'),
(72536, '109.234.110.0', '109.234.111.255', 1844080128, 1844080639, 'PL', 'Poland'),
(72537, '109.234.112.0', '109.234.119.255', 1844080640, 1844082687, 'GE', 'Georgia'),
(72538, '109.234.120.0', '109.234.125.87', 1844082688, 1844084055, 'DE', 'Germany'),
(72539, '109.234.125.88', '109.234.125.103', 1844084056, 1844084071, 'CH', 'Switzerland'),
(72540, '109.234.125.104', '109.234.127.255', 1844084072, 1844084735, 'DE', 'Germany'),
(72541, '109.234.128.0', '109.234.135.255', 1844084736, 1844086783, 'RU', 'Russian Federation'),
(72542, '109.234.136.0', '109.234.143.255', 1844086784, 1844088831, 'IT', 'Italy'),
(72543, '109.234.144.0', '109.234.151.255', 1844088832, 1844090879, 'AT', 'Austria'),
(72544, '109.234.152.0', '109.234.159.255', 1844090880, 1844092927, 'RU', 'Russian Federation'),
(72545, '109.234.160.0', '109.234.167.255', 1844092928, 1844094975, 'FR', 'France'),
(72546, '109.234.168.0', '109.234.183.255', 1844094976, 1844099071, 'GB', 'United Kingdom'),
(72547, '109.234.184.0', '109.234.191.255', 1844099072, 1844101119, 'DE', 'Germany'),
(72548, '109.234.192.0', '109.234.207.255', 1844101120, 1844105215, 'GB', 'United Kingdom'),
(72549, '109.234.208.0', '109.234.215.255', 1844105216, 1844107263, 'ES', 'Spain'),
(72550, '109.234.216.0', '109.234.218.31', 1844107264, 1844107807, 'DE', 'Germany'),
(72551, '109.234.218.32', '109.234.218.47', 1844107808, 1844107823, 'CH', 'Switzerland'),
(72552, '109.234.218.48', '109.234.223.255', 1844107824, 1844109311, 'DE', 'Germany'),
(72553, '109.234.224.0', '109.234.224.255', 1844109312, 1844109567, 'US', 'United States'),
(72554, '109.234.225.0', '109.234.231.255', 1844109568, 1844111359, 'GB', 'United Kingdom'),
(72555, '109.234.232.0', '109.234.239.255', 1844111360, 1844113407, 'AL', 'Albania'),
(72556, '109.234.240.0', '109.234.247.255', 1844113408, 1844115455, 'FI', 'Finland'),
(72557, '109.234.248.0', '109.234.255.255', 1844115456, 1844117503, 'DE', 'Germany'),
(72558, '109.235.0.0', '109.235.7.255', 1844117504, 1844119551, 'CZ', 'Czech Republic'),
(72559, '109.235.8.0', '109.235.15.255', 1844119552, 1844121599, 'UA', 'Ukraine'),
(72560, '109.235.16.0', '109.235.23.255', 1844121600, 1844123647, 'ES', 'Spain'),
(72561, '109.235.24.0', '109.235.31.255', 1844123648, 1844125695, 'RU', 'Russian Federation'),
(72562, '109.235.32.0', '109.235.39.255', 1844125696, 1844127743, 'NL', 'Netherlands'),
(72563, '109.235.40.0', '109.235.47.255', 1844127744, 1844129791, 'DE', 'Germany'),
(72564, '109.235.48.0', '109.235.54.255', 1844129792, 1844131583, 'NL', 'Netherlands'),
(72565, '109.235.55.0', '109.235.55.63', 1844131584, 1844131647, 'SC', 'Seychelles'),
(72566, '109.235.55.64', '109.235.55.127', 1844131648, 1844131711, 'NL', 'Netherlands'),
(72567, '109.235.55.128', '109.235.55.191', 1844131712, 1844131775, 'RU', 'Russian Federation'),
(72568, '109.235.55.192', '109.235.55.223', 1844131776, 1844131807, 'US', 'United States'),
(72569, '109.235.55.224', '109.235.55.233', 1844131808, 1844131817, 'NL', 'Netherlands'),
(72570, '109.235.55.234', '109.235.55.255', 1844131818, 1844131839, 'US', 'United States'),
(72571, '109.235.56.0', '109.235.56.9', 1844131840, 1844131849, 'DE', 'Germany'),
(72572, '109.235.56.10', '109.235.56.25', 1844131850, 1844131865, 'AT', 'Austria'),
(72573, '109.235.56.26', '109.235.63.255', 1844131866, 1844133887, 'DE', 'Germany'),
(72574, '109.235.64.0', '109.235.71.255', 1844133888, 1844135935, 'LT', 'Lithuania'),
(72575, '109.235.72.0', '109.235.79.255', 1844135936, 1844137983, 'NL', 'Netherlands'),
(72576, '109.235.80.0', '109.235.87.255', 1844137984, 1844140031, 'FR', 'France'),
(72577, '109.235.88.0', '109.235.95.255', 1844140032, 1844142079, 'RU', 'Russian Federation'),
(72578, '109.235.96.0', '109.235.103.255', 1844142080, 1844144127, 'RS', 'Serbia'),
(72579, '109.235.104.0', '109.235.111.255', 1844144128, 1844146175, 'SM', 'San Marino'),
(72580, '109.235.112.0', '109.235.119.255', 1844146176, 1844148223, 'NO', 'Norway'),
(72581, '109.235.120.0', '109.235.127.255', 1844148224, 1844150271, 'GB', 'United Kingdom'),
(72582, '109.235.128.0', '109.235.135.255', 1844150272, 1844152319, 'ES', 'Spain'),
(72583, '109.235.136.0', '109.235.143.243', 1844152320, 1844154355, 'DE', 'Germany'),
(72584, '109.235.143.244', '109.235.143.255', 1844154356, 1844154367, 'NL', 'Netherlands'),
(72585, '109.235.144.0', '109.235.151.255', 1844154368, 1844156415, 'GB', 'United Kingdom'),
(72586, '109.235.152.0', '109.235.159.255', 1844156416, 1844158463, 'IT', 'Italy'),
(72587, '109.235.160.0', '109.235.167.255', 1844158464, 1844160511, 'RU', 'Russian Federation'),
(72588, '109.235.168.0', '109.235.175.255', 1844160512, 1844162559, 'SE', 'Sweden'),
(72589, '109.235.176.0', '109.235.183.255', 1844162560, 1844164607, 'CZ', 'Czech Republic'),
(72590, '109.235.184.0', '109.235.191.255', 1844164608, 1844166655, 'RU', 'Russian Federation'),
(72591, '109.235.192.0', '109.235.199.255', 1844166656, 1844168703, 'AZ', 'Azerbaijan'),
(72592, '109.235.200.0', '109.235.202.255', 1844168704, 1844169471, 'SE', 'Sweden'),
(72593, '109.235.203.0', '109.235.203.15', 1844169472, 1844169487, 'AF', 'Afghanistan'),
(72594, '109.235.203.16', '109.235.203.47', 1844169488, 1844169519, 'US', 'United States'),
(72595, '109.235.203.48', '109.235.203.127', 1844169520, 1844169599, 'SE', 'Sweden'),
(72596, '109.235.203.128', '109.235.203.175', 1844169600, 1844169647, 'US', 'United States'),
(72597, '109.235.203.176', '109.235.203.183', 1844169648, 1844169655, 'AF', 'Afghanistan'),
(72598, '109.235.203.184', '109.235.203.191', 1844169656, 1844169663, 'SE', 'Sweden'),
(72599, '109.235.203.192', '109.235.203.207', 1844169664, 1844169679, 'US', 'United States'),
(72600, '109.235.203.208', '109.235.203.215', 1844169680, 1844169687, 'ZM', 'Zambia'),
(72601, '109.235.203.216', '109.235.203.223', 1844169688, 1844169695, 'IQ', 'Iraq'),
(72602, '109.235.203.224', '109.235.203.231', 1844169696, 1844169703, 'KZ', 'Kazakhstan'),
(72603, '109.235.203.232', '109.235.203.235', 1844169704, 1844169707, 'ZA', 'South Africa'),
(72604, '109.235.203.236', '109.235.203.255', 1844169708, 1844169727, 'SE', 'Sweden'),
(72605, '109.235.204.0', '109.235.204.39', 1844169728, 1844169767, 'DE', 'Germany'),
(72606, '109.235.204.40', '109.235.204.223', 1844169768, 1844169951, 'US', 'United States'),
(72607, '109.235.204.224', '109.235.204.255', 1844169952, 1844169983, 'DE', 'Germany'),
(72608, '109.235.205.0', '109.235.205.11', 1844169984, 1844169995, 'AF', 'Afghanistan'),
(72609, '109.235.205.12', '109.235.205.15', 1844169996, 1844169999, 'TM', 'Turkmenistan'),
(72610, '109.235.205.16', '109.235.205.31', 1844170000, 1844170015, 'AF', 'Afghanistan'),
(72611, '109.235.205.32', '109.235.205.35', 1844170016, 1844170019, 'NG', 'Nigeria'),
(72612, '109.235.205.36', '109.235.205.43', 1844170020, 1844170027, 'AF', 'Afghanistan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(72613, '109.235.205.44', '109.235.205.47', 1844170028, 1844170031, 'IQ', 'Iraq'),
(72614, '109.235.205.48', '109.235.205.67', 1844170032, 1844170051, 'AF', 'Afghanistan'),
(72615, '109.235.205.68', '109.235.205.71', 1844170052, 1844170055, 'GH', 'Ghana'),
(72616, '109.235.205.72', '109.235.205.79', 1844170056, 1844170063, 'AF', 'Afghanistan'),
(72617, '109.235.205.80', '109.235.205.83', 1844170064, 1844170067, 'DE', 'Germany'),
(72618, '109.235.205.84', '109.235.205.87', 1844170068, 1844170071, 'NG', 'Nigeria'),
(72619, '109.235.205.88', '109.235.205.91', 1844170072, 1844170075, 'CG', 'Congo'),
(72620, '109.235.205.92', '109.235.205.95', 1844170076, 1844170079, 'DE', 'Germany'),
(72621, '109.235.205.96', '109.235.205.99', 1844170080, 1844170083, 'CG', 'Congo'),
(72622, '109.235.205.100', '109.235.205.107', 1844170084, 1844170091, 'NG', 'Nigeria'),
(72623, '109.235.205.108', '109.235.205.111', 1844170092, 1844170095, 'ZM', 'Zambia'),
(72624, '109.235.205.112', '109.235.205.115', 1844170096, 1844170099, 'AF', 'Afghanistan'),
(72625, '109.235.205.116', '109.235.205.119', 1844170100, 1844170103, 'MA', 'Morocco'),
(72626, '109.235.205.120', '109.235.205.127', 1844170104, 1844170111, 'AF', 'Afghanistan'),
(72627, '109.235.205.128', '109.235.205.135', 1844170112, 1844170119, 'DE', 'Germany'),
(72628, '109.235.205.136', '109.235.205.139', 1844170120, 1844170123, 'AF', 'Afghanistan'),
(72629, '109.235.205.140', '109.235.205.143', 1844170124, 1844170127, 'LY', 'Libyan Arab Jamahiriya'),
(72630, '109.235.205.144', '109.235.205.151', 1844170128, 1844170135, 'NG', 'Nigeria'),
(72631, '109.235.205.152', '109.235.205.155', 1844170136, 1844170139, 'AF', 'Afghanistan'),
(72632, '109.235.205.156', '109.235.205.255', 1844170140, 1844170239, 'DE', 'Germany'),
(72633, '109.235.206.0', '109.235.206.15', 1844170240, 1844170255, 'AF', 'Afghanistan'),
(72634, '109.235.206.16', '109.235.206.23', 1844170256, 1844170263, 'IQ', 'Iraq'),
(72635, '109.235.206.24', '109.235.206.63', 1844170264, 1844170303, 'AF', 'Afghanistan'),
(72636, '109.235.206.64', '109.235.207.255', 1844170304, 1844170751, 'DE', 'Germany'),
(72637, '109.235.208.0', '109.235.223.255', 1844170752, 1844174847, 'RU', 'Russian Federation'),
(72638, '109.235.224.0', '109.235.239.255', 1844174848, 1844178943, 'DE', 'Germany'),
(72639, '109.235.240.0', '109.235.247.255', 1844178944, 1844180991, 'EE', 'Estonia'),
(72640, '109.235.248.0', '109.235.249.240', 1844180992, 1844181488, 'TR', 'Turkey'),
(72641, '109.235.249.241', '109.235.249.255', 1844181489, 1844181503, 'DE', 'Germany'),
(72642, '109.235.250.0', '109.235.250.104', 1844181504, 1844181608, 'TR', 'Turkey'),
(72643, '109.235.250.105', '109.235.250.112', 1844181609, 1844181616, 'CA', 'Canada'),
(72644, '109.235.250.113', '109.235.251.64', 1844181617, 1844181824, 'TR', 'Turkey'),
(72645, '109.235.251.65', '109.235.251.79', 1844181825, 1844181839, 'GB', 'United Kingdom'),
(72646, '109.235.251.80', '109.235.251.192', 1844181840, 1844181952, 'TR', 'Turkey'),
(72647, '109.235.251.193', '109.235.251.198', 1844181953, 1844181958, 'GB', 'United Kingdom'),
(72648, '109.235.251.199', '109.235.251.224', 1844181959, 1844181984, 'TR', 'Turkey'),
(72649, '109.235.251.225', '109.235.251.230', 1844181985, 1844181990, 'GB', 'United Kingdom'),
(72650, '109.235.251.231', '109.235.255.255', 1844181991, 1844183039, 'TR', 'Turkey'),
(72651, '109.236.0.0', '109.236.31.255', 1844183040, 1844191231, 'IT', 'Italy'),
(72652, '109.236.32.0', '109.236.47.255', 1844191232, 1844195327, 'AL', 'Albania'),
(72653, '109.236.48.0', '109.236.79.255', 1844195328, 1844203519, 'RU', 'Russian Federation'),
(72654, '109.236.80.0', '109.236.95.255', 1844203520, 1844207615, 'NL', 'Netherlands'),
(72655, '109.236.96.0', '109.236.111.255', 1844207616, 1844211711, 'RU', 'Russian Federation'),
(72656, '109.236.112.0', '109.236.127.255', 1844211712, 1844215807, 'SK', 'Slovakia'),
(72657, '109.236.128.0', '109.236.143.255', 1844215808, 1844219903, 'BE', 'Belgium'),
(72658, '109.236.144.0', '109.236.144.255', 1844219904, 1844220159, 'KE', 'Kenya'),
(72659, '109.236.145.0', '109.236.145.127', 1844220160, 1844220287, 'DE', 'Germany'),
(72660, '109.236.145.128', '109.236.145.255', 1844220288, 1844220415, 'LB', 'Lebanon'),
(72661, '109.236.146.0', '109.236.146.255', 1844220416, 1844220671, 'A2', 'Satellite Provider'),
(72662, '109.236.147.0', '109.236.147.255', 1844220672, 1844220927, 'DE', 'Germany'),
(72663, '109.236.148.0', '109.236.151.255', 1844220928, 1844221951, 'A2', 'Satellite Provider'),
(72664, '109.236.152.0', '109.236.155.255', 1844221952, 1844222975, 'DE', 'Germany'),
(72665, '109.236.156.0', '109.236.157.255', 1844222976, 1844223487, 'US', 'United States'),
(72666, '109.236.158.0', '109.236.158.255', 1844223488, 1844223743, 'DE', 'Germany'),
(72667, '109.236.159.0', '109.236.159.255', 1844223744, 1844223999, 'A2', 'Satellite Provider'),
(72668, '109.236.160.0', '109.236.175.255', 1844224000, 1844228095, 'GB', 'United Kingdom'),
(72669, '109.236.176.0', '109.236.177.127', 1844228096, 1844228479, 'DK', 'Denmark'),
(72670, '109.236.177.128', '109.236.177.159', 1844228480, 1844228511, 'SE', 'Sweden'),
(72671, '109.236.177.160', '109.236.184.15', 1844228512, 1844230159, 'DK', 'Denmark'),
(72672, '109.236.184.16', '109.236.184.31', 1844230160, 1844230175, 'SE', 'Sweden'),
(72673, '109.236.184.32', '109.236.191.255', 1844230176, 1844232191, 'DK', 'Denmark'),
(72674, '109.236.192.0', '109.236.205.255', 1844232192, 1844235775, 'ES', 'Spain'),
(72675, '109.236.206.0', '109.236.206.255', 1844235776, 1844236031, 'GB', 'United Kingdom'),
(72676, '109.236.207.0', '109.236.207.255', 1844236032, 1844236287, 'FR', 'France'),
(72677, '109.236.208.0', '109.237.15.255', 1844236288, 1844252671, 'RU', 'Russian Federation'),
(72678, '109.237.16.0', '109.237.31.255', 1844252672, 1844256767, 'GB', 'United Kingdom'),
(72679, '109.237.32.0', '109.237.47.255', 1844256768, 1844260863, 'BA', 'Bosnia and Herzegovina'),
(72680, '109.237.48.0', '109.237.63.255', 1844260864, 1844264959, 'CH', 'Switzerland'),
(72681, '109.237.64.0', '109.237.79.255', 1844264960, 1844269055, 'NL', 'Netherlands'),
(72682, '109.237.80.0', '109.237.95.255', 1844269056, 1844273151, 'UA', 'Ukraine'),
(72683, '109.237.96.0', '109.237.111.255', 1844273152, 1844277247, 'RU', 'Russian Federation'),
(72684, '109.237.112.0', '109.237.127.255', 1844277248, 1844281343, 'AZ', 'Azerbaijan'),
(72685, '109.237.128.0', '109.237.143.255', 1844281344, 1844285439, 'DE', 'Germany'),
(72686, '109.237.144.0', '109.237.159.255', 1844285440, 1844289535, 'RU', 'Russian Federation'),
(72687, '109.237.160.0', '109.237.175.255', 1844289536, 1844293631, 'IT', 'Italy'),
(72688, '109.237.176.0', '109.237.191.255', 1844293632, 1844297727, 'DE', 'Germany'),
(72689, '109.237.192.0', '109.237.207.255', 1844297728, 1844301823, 'IQ', 'Iraq'),
(72690, '109.237.208.0', '109.237.223.255', 1844301824, 1844305919, 'NL', 'Netherlands'),
(72691, '109.237.224.0', '109.237.239.255', 1844305920, 1844310015, 'RU', 'Russian Federation'),
(72692, '109.237.240.0', '109.238.15.255', 1844310016, 1844318207, 'FR', 'France'),
(72693, '109.238.16.0', '109.238.31.255', 1844318208, 1844322303, 'IT', 'Italy'),
(72694, '109.238.32.0', '109.238.47.255', 1844322304, 1844326399, 'CZ', 'Czech Republic'),
(72695, '109.238.48.0', '109.238.62.255', 1844326400, 1844330239, 'DK', 'Denmark'),
(72696, '109.238.63.0', '109.238.63.63', 1844330240, 1844330303, 'LU', 'Luxembourg'),
(72697, '109.238.63.64', '109.238.63.183', 1844330304, 1844330423, 'DK', 'Denmark'),
(72698, '109.238.63.184', '109.238.63.199', 1844330424, 1844330439, 'LU', 'Luxembourg'),
(72699, '109.238.63.200', '109.238.63.255', 1844330440, 1844330495, 'DK', 'Denmark'),
(72700, '109.238.64.0', '109.238.79.255', 1844330496, 1844334591, 'GB', 'United Kingdom'),
(72701, '109.238.80.0', '109.238.111.255', 1844334592, 1844342783, 'RU', 'Russian Federation'),
(72702, '109.238.112.0', '109.238.127.255', 1844342784, 1844346879, 'IT', 'Italy'),
(72703, '109.238.128.0', '109.238.128.127', 1844346880, 1844347007, 'US', 'United States'),
(72704, '109.238.128.128', '109.238.128.255', 1844347008, 1844347135, 'GB', 'United Kingdom'),
(72705, '109.238.129.0', '109.238.129.127', 1844347136, 1844347263, 'BE', 'Belgium'),
(72706, '109.238.129.128', '109.238.131.255', 1844347264, 1844347903, 'GB', 'United Kingdom'),
(72707, '109.238.132.0', '109.238.132.255', 1844347904, 1844348159, 'US', 'United States'),
(72708, '109.238.133.0', '109.238.134.255', 1844348160, 1844348671, 'GB', 'United Kingdom'),
(72709, '109.238.135.0', '109.238.135.255', 1844348672, 1844348927, 'BE', 'Belgium'),
(72710, '109.238.136.0', '109.238.137.255', 1844348928, 1844349439, 'GB', 'United Kingdom'),
(72711, '109.238.138.0', '109.238.139.255', 1844349440, 1844349951, 'US', 'United States'),
(72712, '109.238.140.0', '109.238.140.255', 1844349952, 1844350207, 'HK', 'Hong Kong'),
(72713, '109.238.141.0', '109.238.142.255', 1844350208, 1844350719, 'CA', 'Canada'),
(72714, '109.238.143.0', '109.238.143.255', 1844350720, 1844350975, 'GB', 'United Kingdom'),
(72715, '109.238.144.0', '109.238.159.255', 1844350976, 1844355071, 'SY', 'Syrian Arab Republic'),
(72716, '109.238.160.0', '109.238.175.255', 1844355072, 1844359167, 'KZ', 'Kazakhstan'),
(72717, '109.238.176.0', '109.238.191.255', 1844359168, 1844363263, 'IR', 'Iran, Islamic Republic of'),
(72718, '109.238.192.0', '109.238.207.255', 1844363264, 1844367359, 'RU', 'Russian Federation'),
(72719, '109.238.208.0', '109.238.223.255', 1844367360, 1844371455, 'CZ', 'Czech Republic'),
(72720, '109.238.224.0', '109.238.239.255', 1844371456, 1844375551, 'GE', 'Georgia'),
(72721, '109.238.240.0', '109.238.255.255', 1844375552, 1844379647, 'RU', 'Russian Federation'),
(72722, '109.239.0.0', '109.239.15.255', 1844379648, 1844383743, 'IR', 'Iran, Islamic Republic of'),
(72723, '109.239.16.0', '109.239.31.255', 1844383744, 1844387839, 'AZ', 'Azerbaijan'),
(72724, '109.239.32.0', '109.239.47.255', 1844387840, 1844391935, 'KZ', 'Kazakhstan'),
(72725, '109.239.48.0', '109.239.63.255', 1844391936, 1844396031, 'DE', 'Germany'),
(72726, '109.239.64.0', '109.239.79.255', 1844396032, 1844400127, 'CZ', 'Czech Republic'),
(72727, '109.239.80.0', '109.239.111.255', 1844400128, 1844408319, 'GB', 'United Kingdom'),
(72728, '109.239.112.0', '109.239.127.255', 1844408320, 1844412415, 'FR', 'France'),
(72729, '109.239.128.0', '109.239.134.255', 1844412416, 1844414207, 'RU', 'Russian Federation'),
(72730, '109.239.135.0', '109.239.135.255', 1844414208, 1844414463, 'SE', 'Sweden'),
(72731, '109.239.136.0', '109.239.136.255', 1844414464, 1844414719, 'NL', 'Netherlands'),
(72732, '109.239.137.0', '109.239.137.255', 1844414720, 1844414975, 'US', 'United States'),
(72733, '109.239.138.0', '109.239.143.255', 1844414976, 1844416511, 'RU', 'Russian Federation'),
(72734, '109.239.144.0', '109.239.159.255', 1844416512, 1844420607, 'FR', 'France'),
(72735, '109.239.160.0', '109.239.175.255', 1844420608, 1844424703, 'DE', 'Germany'),
(72736, '109.239.176.0', '109.239.191.255', 1844424704, 1844428799, 'SI', 'Slovenia'),
(72737, '109.239.192.0', '109.239.207.255', 1844428800, 1844432895, 'DE', 'Germany'),
(72738, '109.239.208.0', '109.239.223.255', 1844432896, 1844436991, 'RU', 'Russian Federation'),
(72739, '109.239.224.0', '109.239.239.255', 1844436992, 1844441087, 'NO', 'Norway'),
(72740, '109.239.240.0', '109.239.255.255', 1844441088, 1844445183, 'IT', 'Italy'),
(72741, '109.240.0.0', '109.240.255.255', 1844445184, 1844510719, 'FI', 'Finland'),
(72742, '109.241.0.0', '109.241.255.255', 1844510720, 1844576255, 'RU', 'Russian Federation'),
(72743, '109.242.0.0', '109.242.255.255', 1844576256, 1844641791, 'GR', 'Greece'),
(72744, '109.243.0.0', '109.243.255.255', 1844641792, 1844707327, 'PL', 'Poland'),
(72745, '109.244.0.0', '109.244.255.255', 1844707328, 1844772863, 'RU', 'Russian Federation'),
(72746, '109.245.0.0', '109.245.255.255', 1844772864, 1844838399, 'RS', 'Serbia'),
(72747, '109.246.0.0', '109.246.255.255', 1844838400, 1844903935, 'GB', 'United Kingdom'),
(72748, '109.247.0.0', '109.247.255.255', 1844903936, 1844969471, 'NO', 'Norway'),
(72749, '109.248.0.0', '109.248.255.255', 1844969472, 1845035007, 'RU', 'Russian Federation'),
(72750, '109.249.0.0', '109.249.255.255', 1845035008, 1845100543, 'GB', 'United Kingdom'),
(72751, '109.250.0.0', '109.250.255.255', 1845100544, 1845166079, 'DE', 'Germany'),
(72752, '109.251.0.0', '109.251.255.255', 1845166080, 1845231615, 'UA', 'Ukraine'),
(72753, '109.252.0.0', '109.252.255.255', 1845231616, 1845297151, 'RU', 'Russian Federation'),
(72754, '109.253.0.0', '109.253.255.255', 1845297152, 1845362687, 'IL', 'Israel'),
(72755, '109.254.0.0', '109.254.255.255', 1845362688, 1845428223, 'UA', 'Ukraine'),
(72756, '109.255.0.0', '109.255.255.255', 1845428224, 1845493759, 'IE', 'Ireland'),
(72757, '110.0.0.0', '110.3.255.255', 1845493760, 1845755903, 'JP', 'Japan'),
(72758, '110.4.0.0', '110.4.31.255', 1845755904, 1845764095, 'HK', 'Hong Kong'),
(72759, '110.4.32.0', '110.4.39.255', 1845764096, 1845766143, 'JP', 'Japan'),
(72760, '110.4.40.0', '110.4.47.255', 1845766144, 1845768191, 'MY', 'Malaysia'),
(72761, '110.4.48.0', '110.4.63.255', 1845768192, 1845772287, 'JP', 'Japan'),
(72762, '110.4.64.0', '110.4.127.255', 1845772288, 1845788671, 'KR', 'Korea, Republic of'),
(72763, '110.4.128.0', '110.5.63.255', 1845788672, 1845837823, 'JP', 'Japan'),
(72764, '110.5.64.0', '110.5.71.255', 1845837824, 1845839871, 'PH', 'Philippines'),
(72765, '110.5.72.0', '110.5.79.255', 1845839872, 1845841919, 'IN', 'India'),
(72766, '110.5.80.0', '110.5.95.255', 1845841920, 1845846015, 'AU', 'Australia'),
(72767, '110.5.96.0', '110.5.111.255', 1845846016, 1845850111, 'ID', 'Indonesia'),
(72768, '110.5.112.0', '110.5.115.255', 1845850112, 1845851135, 'WS', 'Samoa'),
(72769, '110.5.116.0', '110.5.119.255', 1845851136, 1845852159, 'AU', 'Australia'),
(72770, '110.5.120.0', '110.5.127.255', 1845852160, 1845854207, 'JP', 'Japan'),
(72771, '110.5.128.0', '110.5.255.255', 1845854208, 1845886975, 'KR', 'Korea, Republic of'),
(72772, '110.6.0.0', '110.7.255.255', 1845886976, 1846018047, 'CN', 'China'),
(72773, '110.8.0.0', '110.15.255.255', 1846018048, 1846542335, 'KR', 'Korea, Republic of'),
(72774, '110.16.0.0', '110.19.255.255', 1846542336, 1846804479, 'CN', 'China'),
(72775, '110.20.0.0', '110.23.255.255', 1846804480, 1847066623, 'AU', 'Australia'),
(72776, '110.24.0.0', '110.31.255.255', 1847066624, 1847590911, 'TW', 'Taiwan'),
(72777, '110.32.0.0', '110.33.255.255', 1847590912, 1847721983, 'AU', 'Australia'),
(72778, '110.34.0.0', '110.34.31.255', 1847721984, 1847730175, 'NP', 'Nepal'),
(72779, '110.34.32.0', '110.34.39.255', 1847730176, 1847732223, 'PK', 'Pakistan'),
(72780, '110.34.48.0', '110.34.51.255', 1847734272, 1847735295, 'NZ', 'New Zealand'),
(72781, '110.34.52.0', '110.34.55.255', 1847735296, 1847736319, 'AU', 'Australia'),
(72782, '110.34.56.0', '110.34.63.255', 1847736320, 1847738367, 'HK', 'Hong Kong'),
(72783, '110.34.64.0', '110.34.127.255', 1847738368, 1847754751, 'KR', 'Korea, Republic of'),
(72784, '110.34.128.0', '110.34.255.255', 1847754752, 1847787519, 'TH', 'Thailand'),
(72785, '110.35.0.0', '110.35.63.255', 1847787520, 1847803903, 'KR', 'Korea, Republic of'),
(72786, '110.35.64.0', '110.35.79.255', 1847803904, 1847807999, 'VN', 'Vietnam'),
(72787, '110.35.80.0', '110.35.87.255', 1847808000, 1847810047, 'ID', 'Indonesia'),
(72788, '110.35.88.0', '110.35.95.255', 1847810048, 1847812095, 'FJ', 'Fiji'),
(72789, '110.35.96.0', '110.35.255.255', 1847812096, 1847853055, 'KR', 'Korea, Republic of'),
(72790, '110.36.0.0', '110.39.255.255', 1847853056, 1848115199, 'PK', 'Pakistan'),
(72791, '110.40.0.0', '110.43.255.255', 1848115200, 1848377343, 'CN', 'China'),
(72792, '110.44.16.0', '110.44.19.255', 1848381440, 1848382463, 'NZ', 'New Zealand'),
(72793, '110.44.20.0', '110.44.23.255', 1848382464, 1848383487, 'JP', 'Japan'),
(72794, '110.44.24.0', '110.44.31.255', 1848383488, 1848385535, 'AU', 'Australia'),
(72795, '110.44.32.0', '110.44.63.255', 1848385536, 1848393727, 'KR', 'Korea, Republic of'),
(72796, '110.44.64.0', '110.44.95.255', 1848393728, 1848401919, 'JP', 'Japan'),
(72797, '110.44.96.0', '110.44.111.255', 1848401920, 1848406015, 'PH', 'Philippines'),
(72798, '110.44.112.0', '110.44.127.255', 1848406016, 1848410111, 'NP', 'Nepal'),
(72799, '110.44.128.0', '110.44.143.255', 1848410112, 1848414207, 'PH', 'Philippines'),
(72800, '110.44.144.0', '110.44.159.255', 1848414208, 1848418303, 'CN', 'China'),
(72801, '110.44.160.0', '110.44.167.255', 1848418304, 1848420351, 'AU', 'Australia'),
(72802, '110.44.168.0', '110.44.175.255', 1848420352, 1848422399, 'ID', 'Indonesia'),
(72803, '110.44.176.0', '110.44.183.255', 1848422400, 1848424447, 'JP', 'Japan'),
(72804, '110.44.184.0', '110.44.191.255', 1848424448, 1848426495, 'VN', 'Vietnam'),
(72805, '110.44.192.0', '110.47.255.255', 1848426496, 1848639487, 'KR', 'Korea, Republic of'),
(72806, '110.48.0.0', '110.48.255.255', 1848639488, 1848705023, 'CN', 'China'),
(72807, '110.49.0.0', '110.49.255.255', 1848705024, 1848770559, 'TH', 'Thailand'),
(72808, '110.50.0.0', '110.50.15.255', 1848770560, 1848774655, 'JP', 'Japan'),
(72809, '110.50.16.0', '110.50.23.255', 1848774656, 1848776703, 'AU', 'Australia'),
(72810, '110.50.24.0', '110.50.31.255', 1848776704, 1848778751, 'JP', 'Japan'),
(72811, '110.50.32.0', '110.50.63.255', 1848778752, 1848786943, 'IN', 'India'),
(72812, '110.50.64.0', '110.50.79.255', 1848786944, 1848791039, 'JP', 'Japan'),
(72813, '110.50.80.0', '110.50.87.255', 1848791040, 1848793087, 'ID', 'Indonesia'),
(72814, '110.50.88.0', '110.50.127.255', 1848793088, 1848803327, 'JP', 'Japan'),
(72815, '110.50.128.0', '110.50.191.255', 1848803328, 1848819711, 'TW', 'Taiwan'),
(72816, '110.50.192.0', '110.50.223.255', 1848819712, 1848827903, 'JP', 'Japan'),
(72817, '110.50.224.0', '110.50.239.255', 1848827904, 1848831999, 'PH', 'Philippines'),
(72818, '110.50.240.0', '110.50.255.255', 1848832000, 1848836095, 'JP', 'Japan'),
(72819, '110.51.0.0', '110.53.255.255', 1848836096, 1849032703, 'CN', 'China'),
(72820, '110.54.0.0', '110.54.127.255', 1849032704, 1849065471, 'JP', 'Japan'),
(72821, '110.54.128.0', '110.55.255.255', 1849065472, 1849163775, 'PH', 'Philippines'),
(72822, '110.56.0.0', '110.65.255.255', 1849163776, 1849819135, 'CN', 'China'),
(72823, '110.66.0.0', '110.67.255.255', 1849819136, 1849950207, 'JP', 'Japan'),
(72824, '110.68.0.0', '110.71.255.255', 1849950208, 1850212351, 'KR', 'Korea, Republic of'),
(72825, '110.72.0.0', '110.73.255.255', 1850212352, 1850343423, 'CN', 'China'),
(72826, '110.74.0.0', '110.74.127.255', 1850343424, 1850376191, 'JP', 'Japan'),
(72827, '110.74.128.0', '110.74.191.255', 1850376192, 1850392575, 'MY', 'Malaysia'),
(72828, '110.74.192.0', '110.74.223.255', 1850392576, 1850400767, 'KH', 'Cambodia'),
(72829, '110.74.224.0', '110.74.255.255', 1850400768, 1850408959, 'JP', 'Japan'),
(72830, '110.75.0.0', '110.76.63.255', 1850408960, 1850490879, 'CN', 'China'),
(72831, '110.76.64.0', '110.76.127.255', 1850490880, 1850507263, 'KR', 'Korea, Republic of'),
(72832, '110.76.128.0', '110.76.139.255', 1850507264, 1850510335, 'AU', 'Australia'),
(72833, '110.76.140.0', '110.76.143.255', 1850510336, 1850511359, 'KR', 'Korea, Republic of'),
(72834, '110.76.144.0', '110.76.151.255', 1850511360, 1850513407, 'ID', 'Indonesia'),
(72835, '110.76.152.0', '110.76.155.255', 1850513408, 1850514431, 'TH', 'Thailand'),
(72836, '110.76.156.0', '110.76.159.255', 1850514432, 1850515455, 'CN', 'China'),
(72837, '110.76.160.0', '110.76.175.255', 1850515456, 1850519551, 'IN', 'India'),
(72838, '110.76.176.0', '110.76.179.255', 1850519552, 1850520575, 'AU', 'Australia'),
(72839, '110.76.180.0', '110.76.183.255', 1850520576, 1850521599, 'JP', 'Japan'),
(72840, '110.76.184.0', '110.76.187.255', 1850521600, 1850522623, 'CN', 'China'),
(72841, '110.76.188.0', '110.76.191.255', 1850522624, 1850523647, 'HK', 'Hong Kong'),
(72842, '110.76.192.0', '110.77.127.255', 1850523648, 1850572799, 'CN', 'China'),
(72843, '110.77.128.0', '110.78.255.255', 1850572800, 1850671103, 'TH', 'Thailand'),
(72844, '110.79.0.0', '110.79.255.255', 1850671104, 1850736639, 'HK', 'Hong Kong'),
(72845, '110.80.0.0', '110.91.255.255', 1850736640, 1851523071, 'CN', 'China'),
(72846, '110.92.0.0', '110.92.15.255', 1851523072, 1851527167, 'JP', 'Japan'),
(72847, '110.92.16.0', '110.92.19.255', 1851527168, 1851528191, 'NZ', 'New Zealand'),
(72848, '110.92.20.0', '110.92.23.255', 1851528192, 1851529215, 'KR', 'Korea, Republic of'),
(72849, '110.92.24.0', '110.92.31.255', 1851529216, 1851531263, 'PH', 'Philippines'),
(72850, '110.92.32.0', '110.92.63.255', 1851531264, 1851539455, 'JP', 'Japan'),
(72851, '110.92.72.0', '110.92.75.255', 1851541504, 1851542527, 'ID', 'Indonesia'),
(72852, '110.92.76.0', '110.92.79.255', 1851542528, 1851543551, 'HK', 'Hong Kong'),
(72853, '110.92.80.0', '110.92.95.255', 1851543552, 1851547647, 'JP', 'Japan'),
(72854, '110.92.96.0', '110.92.127.255', 1851547648, 1851555839, 'SG', 'Singapore'),
(72855, '110.92.128.0', '110.92.255.255', 1851555840, 1851588607, 'KR', 'Korea, Republic of'),
(72856, '110.93.0.0', '110.93.7.255', 1851588608, 1851590655, 'JP', 'Japan'),
(72857, '110.93.8.0', '110.93.11.255', 1851590656, 1851591679, 'AU', 'Australia'),
(72858, '110.93.12.0', '110.93.15.255', 1851591680, 1851592703, 'ID', 'Indonesia'),
(72859, '110.93.16.0', '110.93.23.255', 1851592704, 1851594751, 'AU', 'Australia'),
(72860, '110.93.24.0', '110.93.31.255', 1851594752, 1851596799, 'KR', 'Korea, Republic of'),
(72861, '110.93.32.0', '110.93.63.255', 1851596800, 1851604991, 'CN', 'China'),
(72862, '110.93.64.0', '110.93.95.255', 1851604992, 1851613183, 'PH', 'Philippines'),
(72863, '110.93.96.0', '110.93.111.255', 1851613184, 1851617279, 'JP', 'Japan'),
(72864, '110.93.112.0', '110.93.191.255', 1851617280, 1851637759, 'KR', 'Korea, Republic of'),
(72865, '110.93.192.0', '110.93.255.255', 1851637760, 1851654143, 'PK', 'Pakistan'),
(72866, '110.94.0.0', '110.127.255.255', 1851654144, 1853882367, 'CN', 'China'),
(72867, '110.128.0.0', '110.135.255.255', 1853882368, 1854406655, 'JP', 'Japan'),
(72868, '110.136.0.0', '110.139.255.255', 1854406656, 1854668799, 'ID', 'Indonesia'),
(72869, '110.140.0.0', '110.151.255.255', 1854668800, 1855455231, 'AU', 'Australia'),
(72870, '110.152.0.0', '110.157.255.255', 1855455232, 1855848447, 'CN', 'China'),
(72871, '110.158.0.0', '110.158.255.255', 1855848448, 1855913983, 'JP', 'Japan'),
(72872, '110.159.0.0', '110.159.255.255', 1855913984, 1855979519, 'MY', 'Malaysia'),
(72873, '110.160.0.0', '110.163.255.255', 1855979520, 1856241663, 'JP', 'Japan'),
(72874, '110.164.0.0', '110.164.255.255', 1856241664, 1856307199, 'TH', 'Thailand'),
(72875, '110.165.0.0', '110.165.31.255', 1856307200, 1856315391, 'KR', 'Korea, Republic of'),
(72876, '110.165.32.0', '110.165.63.255', 1856315392, 1856323583, 'CN', 'China'),
(72877, '110.165.64.0', '110.165.127.255', 1856323584, 1856339967, 'KR', 'Korea, Republic of'),
(72878, '110.165.128.0', '110.165.255.255', 1856339968, 1856372735, 'JP', 'Japan'),
(72879, '110.166.0.0', '110.167.255.255', 1856372736, 1856503807, 'CN', 'China'),
(72880, '110.168.0.0', '110.171.255.255', 1856503808, 1856765951, 'TH', 'Thailand'),
(72881, '110.172.0.0', '110.172.15.255', 1856765952, 1856770047, 'JP', 'Japan'),
(72882, '110.172.16.0', '110.172.31.255', 1856770048, 1856774143, 'IN', 'India'),
(72883, '110.172.32.0', '110.172.51.255', 1856774144, 1856779263, 'JP', 'Japan'),
(72884, '110.172.52.0', '110.172.55.255', 1856779264, 1856780287, 'IN', 'India'),
(72885, '110.172.56.0', '110.172.63.255', 1856780288, 1856782335, 'JP', 'Japan'),
(72886, '110.172.64.0', '110.172.127.255', 1856782336, 1856798719, 'KR', 'Korea, Republic of'),
(72887, '110.172.128.0', '110.172.191.255', 1856798720, 1856815103, 'IN', 'India'),
(72888, '110.172.192.0', '110.173.47.255', 1856815104, 1856843775, 'CN', 'China'),
(72889, '110.173.48.0', '110.173.63.255', 1856843776, 1856847871, 'HK', 'Hong Kong'),
(72890, '110.173.64.0', '110.173.127.255', 1856847872, 1856864255, 'CN', 'China'),
(72891, '110.173.128.0', '110.173.159.255', 1856864256, 1856872447, 'AU', 'Australia'),
(72892, '110.173.160.0', '110.173.175.255', 1856872448, 1856876543, 'NZ', 'New Zealand'),
(72893, '110.173.176.0', '110.173.191.255', 1856876544, 1856880639, 'IN', 'India'),
(72894, '110.173.192.0', '110.173.223.255', 1856880640, 1856888831, 'CN', 'China'),
(72895, '110.173.224.0', '110.173.239.255', 1856888832, 1856892927, 'AU', 'Australia'),
(72896, '110.173.240.0', '110.173.255.255', 1856892928, 1856897023, 'JP', 'Japan'),
(72897, '110.174.0.0', '110.175.255.255', 1856897024, 1857028095, 'AU', 'Australia'),
(72898, '110.176.0.0', '110.223.255.255', 1857028096, 1860173823, 'CN', 'China'),
(72899, '110.224.0.0', '110.227.255.255', 1860173824, 1860435967, 'IN', 'India'),
(72900, '110.228.0.0', '110.231.255.255', 1860435968, 1860698111, 'CN', 'China'),
(72901, '110.232.0.0', '110.232.31.255', 1860698112, 1860706303, 'JP', 'Japan'),
(72902, '110.232.32.0', '110.232.63.255', 1860706304, 1860714495, 'CN', 'China'),
(72903, '110.232.64.0', '110.232.95.255', 1860714496, 1860722687, 'ID', 'Indonesia'),
(72904, '110.232.96.0', '110.232.111.255', 1860722688, 1860726783, 'KR', 'Korea, Republic of'),
(72905, '110.232.112.0', '110.232.119.255', 1860726784, 1860728831, 'AU', 'Australia'),
(72906, '110.232.120.0', '110.232.139.255', 1860728832, 1860733951, 'JP', 'Japan'),
(72907, '110.232.140.0', '110.232.143.255', 1860733952, 1860734975, 'AU', 'Australia'),
(72908, '110.232.144.0', '110.232.147.255', 1860734976, 1860735999, 'NZ', 'New Zealand'),
(72909, '110.232.148.0', '110.232.151.255', 1860736000, 1860737023, 'AU', 'Australia'),
(72910, '110.232.152.0', '110.232.159.255', 1860737024, 1860739071, 'JP', 'Japan'),
(72911, '110.232.160.0', '110.232.175.255', 1860739072, 1860743167, 'PH', 'Philippines'),
(72912, '110.232.176.0', '110.232.179.255', 1860743168, 1860744191, 'AU', 'Australia'),
(72913, '110.232.180.0', '110.232.183.255', 1860744192, 1860745215, 'IN', 'India'),
(72914, '110.232.184.0', '110.232.187.255', 1860745216, 1860746239, 'AU', 'Australia'),
(72915, '110.232.188.0', '110.232.191.255', 1860746240, 1860747263, 'PK', 'Pakistan'),
(72916, '110.232.192.0', '110.232.239.255', 1860747264, 1860759551, 'JP', 'Japan'),
(72917, '110.232.240.0', '110.232.247.255', 1860759552, 1860761599, 'AU', 'Australia'),
(72918, '110.232.248.0', '110.232.255.255', 1860761600, 1860763647, 'IN', 'India'),
(72919, '110.233.0.0', '110.233.255.255', 1860763648, 1860829183, 'JP', 'Japan'),
(72920, '110.234.0.0', '110.235.255.255', 1860829184, 1860960255, 'IN', 'India'),
(72921, '110.236.0.0', '110.237.255.255', 1860960256, 1861091327, 'CN', 'China'),
(72922, '110.238.0.0', '110.239.255.255', 1861091328, 1861222399, 'AU', 'Australia'),
(72923, '110.240.0.0', '111.63.255.255', 1861222400, 1866465279, 'CN', 'China'),
(72924, '111.64.0.0', '111.64.255.255', 1866465280, 1866530815, 'JP', 'Japan'),
(72925, '111.65.0.0', '111.65.127.255', 1866530816, 1866563583, 'SG', 'Singapore'),
(72926, '111.65.128.0', '111.65.191.255', 1866563584, 1866579967, 'KR', 'Korea, Republic of'),
(72927, '111.65.192.0', '111.65.223.255', 1866579968, 1866588159, 'JP', 'Japan'),
(72928, '111.65.224.0', '111.65.239.255', 1866588160, 1866592255, 'NZ', 'New Zealand'),
(72929, '111.65.240.0', '111.65.255.255', 1866592256, 1866596351, 'VN', 'Vietnam'),
(72930, '111.66.0.0', '111.66.255.255', 1866596352, 1866661887, 'CN', 'China'),
(72931, '111.67.0.0', '111.67.31.255', 1866661888, 1866670079, 'AU', 'Australia'),
(72932, '111.67.32.0', '111.67.47.255', 1866670080, 1866674175, 'MY', 'Malaysia'),
(72933, '111.67.48.0', '111.67.63.255', 1866674176, 1866678271, 'TW', 'Taiwan'),
(72934, '111.67.64.0', '111.67.95.255', 1866678272, 1866686463, 'ID', 'Indonesia'),
(72935, '111.67.96.0', '111.67.111.255', 1866686464, 1866690559, 'KH', 'Cambodia'),
(72936, '111.67.112.0', '111.67.191.255', 1866690560, 1866711039, 'JP', 'Japan'),
(72937, '111.67.192.0', '111.67.207.255', 1866711040, 1866715135, 'CN', 'China'),
(72938, '111.67.208.0', '111.67.255.255', 1866715136, 1866727423, 'KR', 'Korea, Republic of'),
(72939, '111.68.0.0', '111.68.15.255', 1866727424, 1866731519, 'HK', 'Hong Kong'),
(72940, '111.68.16.0', '111.68.23.255', 1866731520, 1866733567, 'JP', 'Japan'),
(72941, '111.68.24.0', '111.68.31.255', 1866733568, 1866735615, 'ID', 'Indonesia'),
(72942, '111.68.32.0', '111.68.63.255', 1866735616, 1866743807, 'PH', 'Philippines'),
(72943, '111.68.64.0', '111.68.95.255', 1866743808, 1866751999, 'CN', 'China'),
(72944, '111.68.96.0', '111.68.111.255', 1866752000, 1866756095, 'PK', 'Pakistan'),
(72945, '111.68.112.0', '111.68.127.255', 1866756096, 1866760191, 'ID', 'Indonesia'),
(72946, '111.68.128.0', '111.68.255.255', 1866760192, 1866792959, 'JP', 'Japan'),
(72947, '111.69.0.0', '111.69.255.255', 1866792960, 1866858495, 'NZ', 'New Zealand'),
(72948, '111.70.0.0', '111.71.255.255', 1866858496, 1866989567, 'TW', 'Taiwan'),
(72949, '111.72.0.0', '111.79.255.255', 1866989568, 1867513855, 'CN', 'China'),
(72950, '111.80.0.0', '111.83.255.255', 1867513856, 1867775999, 'TW', 'Taiwan'),
(72951, '111.84.0.0', '111.84.255.255', 1867776000, 1867841535, 'TH', 'Thailand'),
(72952, '111.85.0.0', '111.85.255.255', 1867841536, 1867907071, 'CN', 'China'),
(72953, '111.86.0.0', '111.87.255.255', 1867907072, 1868038143, 'JP', 'Japan'),
(72954, '111.88.0.0', '111.88.255.255', 1868038144, 1868103679, 'PK', 'Pakistan'),
(72955, '111.89.0.0', '111.90.127.255', 1868103680, 1868201983, 'JP', 'Japan'),
(72956, '111.90.128.0', '111.90.159.255', 1868201984, 1868210175, 'MY', 'Malaysia'),
(72957, '111.90.160.0', '111.90.167.255', 1868210176, 1868212223, 'JP', 'Japan'),
(72958, '111.90.168.0', '111.90.175.255', 1868212224, 1868214271, 'IN', 'India'),
(72959, '111.90.176.0', '111.90.191.255', 1868214272, 1868218367, 'KH', 'Cambodia'),
(72960, '111.90.192.0', '111.90.255.255', 1868218368, 1868234751, 'SG', 'Singapore'),
(72961, '111.91.0.0', '111.91.127.255', 1868234752, 1868267519, 'IN', 'India'),
(72962, '111.91.128.0', '111.91.191.255', 1868267520, 1868283903, 'KR', 'Korea, Republic of'),
(72963, '111.91.192.0', '111.91.223.255', 1868283904, 1868292095, 'CN', 'China'),
(72964, '111.91.224.0', '111.91.231.255', 1868292096, 1868294143, 'IN', 'India'),
(72965, '111.91.232.0', '111.91.235.255', 1868294144, 1868295167, 'VN', 'Vietnam'),
(72966, '111.91.236.0', '111.91.239.255', 1868295168, 1868296191, 'HK', 'Hong Kong'),
(72967, '111.91.240.0', '111.91.255.255', 1868296192, 1868300287, 'JP', 'Japan'),
(72968, '111.92.0.0', '111.92.127.255', 1868300288, 1868333055, 'IN', 'India'),
(72969, '111.92.128.0', '111.92.159.255', 1868333056, 1868341247, 'PK', 'Pakistan'),
(72970, '111.92.160.0', '111.92.175.255', 1868341248, 1868345343, 'ID', 'Indonesia'),
(72971, '111.92.176.0', '111.92.179.255', 1868345344, 1868346367, 'GU', 'Guam'),
(72972, '111.92.180.0', '111.92.183.255', 1868346368, 1868347391, 'TH', 'Thailand'),
(72973, '111.92.184.0', '111.92.187.255', 1868347392, 1868348415, 'AU', 'Australia'),
(72974, '111.92.188.0', '111.92.191.255', 1868348416, 1868349439, 'KR', 'Korea, Republic of'),
(72975, '111.92.192.0', '111.92.223.255', 1868349440, 1868357631, 'SG', 'Singapore'),
(72976, '111.92.224.0', '111.92.239.255', 1868357632, 1868361727, 'HK', 'Hong Kong'),
(72977, '111.92.240.0', '111.92.243.255', 1868361728, 1868362751, 'KH', 'Cambodia'),
(72978, '111.92.244.0', '111.92.247.255', 1868362752, 1868363775, 'JP', 'Japan'),
(72979, '111.92.248.0', '111.92.255.255', 1868363776, 1868365823, 'BD', 'Bangladesh'),
(72980, '111.93.0.0', '111.93.255.255', 1868365824, 1868431359, 'IN', 'India'),
(72981, '111.94.0.0', '111.95.255.255', 1868431360, 1868562431, 'ID', 'Indonesia'),
(72982, '111.96.0.0', '111.111.255.255', 1868562432, 1869611007, 'JP', 'Japan'),
(72983, '111.112.0.0', '111.117.255.255', 1869611008, 1870004223, 'CN', 'China'),
(72984, '111.118.0.0', '111.118.127.255', 1870004224, 1870036991, 'KR', 'Korea, Republic of'),
(72985, '111.118.128.0', '111.118.159.255', 1870036992, 1870045183, 'KH', 'Cambodia'),
(72986, '111.118.160.0', '111.118.175.255', 1870045184, 1870049279, 'AU', 'Australia'),
(72987, '111.118.176.0', '111.118.191.255', 1870049280, 1870053375, 'IN', 'India'),
(72988, '111.118.192.0', '111.118.199.255', 1870053376, 1870055423, 'AU', 'Australia'),
(72989, '111.118.200.0', '111.118.207.255', 1870055424, 1870057471, 'CN', 'China'),
(72990, '111.118.208.0', '111.118.211.255', 1870057472, 1870058495, 'AU', 'Australia'),
(72991, '111.118.212.0', '111.118.215.255', 1870058496, 1870059519, 'IN', 'India'),
(72992, '111.118.216.0', '111.118.239.255', 1870059520, 1870065663, 'AU', 'Australia'),
(72993, '111.118.240.0', '111.118.255.255', 1870065664, 1870069759, 'IN', 'India'),
(72994, '111.119.0.0', '111.119.31.255', 1870069760, 1870077951, 'JP', 'Japan'),
(72995, '111.119.32.0', '111.119.63.255', 1870077952, 1870086143, 'NP', 'Nepal'),
(72996, '111.119.64.0', '111.119.159.255', 1870086144, 1870110719, 'CN', 'China'),
(72997, '111.119.160.0', '111.119.191.255', 1870110720, 1870118911, 'PK', 'Pakistan'),
(72998, '111.119.192.0', '111.119.255.255', 1870118912, 1870135295, 'IN', 'India'),
(72999, '111.120.0.0', '111.124.255.255', 1870135296, 1870462975, 'CN', 'China'),
(73000, '111.125.0.0', '111.125.63.255', 1870462976, 1870479359, 'JP', 'Japan'),
(73001, '111.125.64.0', '111.125.127.255', 1870479360, 1870495743, 'PH', 'Philippines'),
(73002, '111.125.128.0', '111.125.135.255', 1870495744, 1870497791, 'TW', 'Taiwan'),
(73003, '111.125.136.0', '111.125.143.255', 1870497792, 1870499839, 'IN', 'India'),
(73004, '111.125.144.0', '111.125.151.255', 1870499840, 1870501887, 'JP', 'Japan'),
(73005, '111.125.152.0', '111.125.159.255', 1870501888, 1870503935, 'AF', 'Afghanistan'),
(73006, '111.125.160.0', '111.125.191.255', 1870503936, 1870512127, 'AU', 'Australia'),
(73007, '111.125.192.0', '111.125.255.255', 1870512128, 1870528511, 'IN', 'India'),
(73008, '111.126.0.0', '111.167.255.255', 1870528512, 1873281023, 'CN', 'China'),
(73009, '111.168.0.0', '111.169.255.255', 1873281024, 1873412095, 'JP', 'Japan'),
(73010, '111.170.0.0', '111.170.255.255', 1873412096, 1873477631, 'CN', 'China'),
(73011, '111.171.0.0', '111.171.127.255', 1873477632, 1873510399, 'KR', 'Korea, Republic of'),
(73012, '111.171.128.0', '111.171.255.255', 1873510400, 1873543167, 'JP', 'Japan'),
(73013, '111.172.0.0', '111.183.255.255', 1873543168, 1874329599, 'CN', 'China'),
(73014, '111.184.0.0', '111.185.255.255', 1874329600, 1874460671, 'TW', 'Taiwan'),
(73015, '111.186.0.0', '111.187.255.255', 1874460672, 1874591743, 'CN', 'China'),
(73016, '111.188.0.0', '111.191.255.255', 1874591744, 1874853887, 'JP', 'Japan'),
(73017, '111.192.0.0', '111.215.255.255', 1874853888, 1876426751, 'CN', 'China'),
(73018, '111.216.0.0', '111.217.255.255', 1876426752, 1876557823, 'JP', 'Japan'),
(73019, '111.218.0.0', '111.219.255.255', 1876557824, 1876688895, 'KR', 'Korea, Republic of'),
(73020, '111.220.0.0', '111.220.255.255', 1876688896, 1876754431, 'AU', 'Australia'),
(73021, '111.221.0.0', '111.221.7.255', 1876754432, 1876756479, 'BD', 'Bangladesh'),
(73022, '111.221.8.0', '111.221.31.255', 1876756480, 1876762623, 'SG', 'Singapore'),
(73023, '111.221.32.0', '111.221.39.255', 1876762624, 1876764671, 'KR', 'Korea, Republic of'),
(73024, '111.221.40.0', '111.221.43.255', 1876764672, 1876765695, 'ID', 'Indonesia'),
(73025, '111.221.44.0', '111.221.47.255', 1876765696, 1876766719, 'SG', 'Singapore'),
(73026, '111.221.48.0', '111.221.55.255', 1876766720, 1876768767, 'MY', 'Malaysia'),
(73027, '111.221.56.0', '111.221.59.255', 1876768768, 1876769791, 'AU', 'Australia'),
(73028, '111.221.60.0', '111.221.63.255', 1876769792, 1876770815, 'JP', 'Japan'),
(73029, '111.221.64.0', '111.221.127.255', 1876770816, 1876787199, 'SG', 'Singapore'),
(73030, '111.221.128.0', '111.222.255.255', 1876787200, 1876885503, 'CN', 'China'),
(73031, '111.223.0.0', '111.223.31.255', 1876885504, 1876893695, 'PH', 'Philippines'),
(73032, '111.223.32.0', '111.223.63.255', 1876893696, 1876901887, 'TH', 'Thailand'),
(73033, '111.223.64.0', '111.223.127.255', 1876901888, 1876918271, 'SG', 'Singapore'),
(73034, '111.223.128.0', '111.223.191.255', 1876918272, 1876934655, 'LK', 'Sri Lanka'),
(73035, '111.223.192.0', '111.223.223.255', 1876934656, 1876942847, 'JP', 'Japan'),
(73036, '111.223.224.0', '111.223.239.255', 1876942848, 1876946943, 'AU', 'Australia'),
(73037, '111.223.240.0', '111.223.243.255', 1876946944, 1876947967, 'CN', 'China'),
(73038, '111.223.244.0', '111.223.247.255', 1876947968, 1876948991, 'AF', 'Afghanistan'),
(73039, '111.223.248.0', '111.223.251.255', 1876948992, 1876950015, 'CN', 'China'),
(73040, '111.223.252.0', '111.223.255.255', 1876950016, 1876951039, 'ID', 'Indonesia'),
(73041, '111.224.0.0', '111.231.255.255', 1876951040, 1877475327, 'CN', 'China'),
(73042, '111.232.0.0', '111.235.63.255', 1877475328, 1877688319, 'JP', 'Japan'),
(73043, '111.235.64.0', '111.235.67.255', 1877688320, 1877689343, 'IN', 'India'),
(73044, '111.235.68.0', '111.235.71.255', 1877689344, 1877690367, 'TH', 'Thailand'),
(73045, '111.235.72.0', '111.235.75.255', 1877690368, 1877691391, 'IN', 'India'),
(73046, '111.235.76.0', '111.235.79.255', 1877691392, 1877692415, 'JP', 'Japan'),
(73047, '111.235.80.0', '111.235.95.255', 1877692416, 1877696511, 'PH', 'Philippines'),
(73048, '111.235.96.0', '111.235.127.255', 1877696512, 1877704703, 'CN', 'China'),
(73049, '111.235.128.0', '111.235.131.255', 1877704704, 1877705727, 'AU', 'Australia'),
(73050, '111.235.132.0', '111.235.135.255', 1877705728, 1877706751, 'MY', 'Malaysia'),
(73051, '111.235.136.0', '111.235.139.255', 1877706752, 1877707775, 'SG', 'Singapore'),
(73052, '111.235.140.0', '111.235.147.255', 1877707776, 1877709823, 'AU', 'Australia'),
(73053, '111.235.148.0', '111.235.151.255', 1877709824, 1877710847, 'IN', 'India'),
(73054, '111.235.152.0', '111.235.155.255', 1877710848, 1877711871, 'HK', 'Hong Kong'),
(73055, '111.235.156.0', '111.235.191.255', 1877711872, 1877721087, 'CN', 'China'),
(73056, '111.235.192.0', '111.235.255.255', 1877721088, 1877737471, 'TW', 'Taiwan'),
(73057, '111.236.0.0', '111.239.255.255', 1877737472, 1877999615, 'JP', 'Japan'),
(73058, '111.240.0.0', '111.255.255.255', 1877999616, 1879048191, 'TW', 'Taiwan'),
(73059, '112.0.0.0', '112.67.255.255', 1879048192, 1883504639, 'CN', 'China'),
(73060, '112.68.0.0', '112.71.255.255', 1883504640, 1883766783, 'JP', 'Japan'),
(73061, '112.72.0.0', '112.72.15.255', 1883766784, 1883770879, 'MN', 'Mongolia'),
(73062, '112.72.16.0', '112.72.63.255', 1883770880, 1883783167, 'KR', 'Korea, Republic of'),
(73063, '112.72.64.0', '112.72.127.255', 1883783168, 1883799551, 'VN', 'Vietnam'),
(73064, '112.72.128.0', '112.72.255.255', 1883799552, 1883832319, 'KR', 'Korea, Republic of'),
(73065, '112.73.0.0', '112.75.255.255', 1883832320, 1884028927, 'CN', 'China'),
(73066, '112.76.0.0', '112.77.255.255', 1884028928, 1884159999, 'KR', 'Korea, Republic of'),
(73067, '112.78.0.0', '112.78.15.255', 1884160000, 1884164095, 'VN', 'Vietnam'),
(73068, '112.78.16.0', '112.78.31.255', 1884164096, 1884168191, 'TW', 'Taiwan'),
(73069, '112.78.32.0', '112.78.47.255', 1884168192, 1884172287, 'ID', 'Indonesia'),
(73070, '112.78.48.0', '112.78.63.255', 1884172288, 1884176383, 'PH', 'Philippines'),
(73071, '112.78.64.0', '112.78.95.255', 1884176384, 1884184575, 'TW', 'Taiwan'),
(73072, '112.78.96.0', '112.78.103.255', 1884184576, 1884186623, 'ID', 'Indonesia'),
(73073, '112.78.104.0', '112.78.111.255', 1884186624, 1884188671, 'TW', 'Taiwan'),
(73074, '112.78.112.0', '112.78.127.255', 1884188672, 1884192767, 'JP', 'Japan'),
(73075, '112.78.128.0', '112.78.191.255', 1884192768, 1884209151, 'ID', 'Indonesia'),
(73076, '112.78.192.0', '112.78.223.255', 1884209152, 1884217343, 'JP', 'Japan'),
(73077, '112.78.224.0', '112.78.255.255', 1884217344, 1884225535, 'SG', 'Singapore'),
(73078, '112.79.0.0', '112.79.255.255', 1884225536, 1884291071, 'IN', 'India'),
(73079, '112.80.0.0', '112.103.255.255', 1884291072, 1885863935, 'CN', 'China'),
(73080, '112.104.0.0', '112.105.255.255', 1885863936, 1885995007, 'TW', 'Taiwan'),
(73081, '112.106.0.0', '112.108.255.255', 1885995008, 1886191615, 'KR', 'Korea, Republic of'),
(73082, '112.109.0.0', '112.109.15.255', 1886191616, 1886195711, 'PH', 'Philippines'),
(73083, '112.109.16.0', '112.109.23.255', 1886195712, 1886197759, 'ID', 'Indonesia'),
(73084, '112.109.24.0', '112.109.31.255', 1886197760, 1886199807, 'JP', 'Japan'),
(73085, '112.109.32.0', '112.109.63.255', 1886199808, 1886207999, 'KR', 'Korea, Republic of'),
(73086, '112.109.64.0', '112.109.87.255', 1886208000, 1886214143, 'NZ', 'New Zealand'),
(73087, '112.109.88.0', '112.109.95.255', 1886214144, 1886216191, 'VN', 'Vietnam'),
(73088, '112.109.96.0', '112.109.127.255', 1886216192, 1886224383, 'IN', 'India'),
(73089, '112.109.128.0', '112.109.255.255', 1886224384, 1886257151, 'CN', 'China'),
(73090, '112.110.0.0', '112.110.255.255', 1886257152, 1886322687, 'IN', 'India'),
(73091, '112.111.0.0', '112.117.255.255', 1886322688, 1886781439, 'CN', 'China'),
(73092, '112.118.0.0', '112.120.255.255', 1886781440, 1886978047, 'HK', 'Hong Kong'),
(73093, '112.121.0.0', '112.121.31.255', 1886978048, 1886986239, 'KR', 'Korea, Republic of'),
(73094, '112.121.32.0', '112.121.47.255', 1886986240, 1886990335, 'TW', 'Taiwan'),
(73095, '112.121.48.0', '112.121.63.255', 1886990336, 1886994431, 'IN', 'India'),
(73096, '112.121.64.0', '112.121.119.255', 1886994432, 1887008767, 'TW', 'Taiwan'),
(73097, '112.121.120.0', '112.121.127.255', 1887008768, 1887010815, 'HK', 'Hong Kong'),
(73098, '112.121.128.0', '112.121.159.255', 1887010816, 1887019007, 'TH', 'Thailand'),
(73099, '112.121.160.0', '112.121.191.255', 1887019008, 1887027199, 'HK', 'Hong Kong'),
(73100, '112.121.192.0', '112.121.255.255', 1887027200, 1887043583, 'KR', 'Korea, Republic of'),
(73101, '112.122.0.0', '112.132.255.255', 1887043584, 1887764479, 'CN', 'China'),
(73102, '112.133.0.0', '112.133.191.255', 1887764480, 1887813631, 'KR', 'Korea, Republic of'),
(73103, '112.133.192.0', '112.133.255.255', 1887813632, 1887830015, 'IN', 'India'),
(73104, '112.134.0.0', '112.135.255.255', 1887830016, 1887961087, 'LK', 'Sri Lanka'),
(73105, '112.136.0.0', '112.136.127.255', 1887961088, 1887993855, 'JP', 'Japan'),
(73106, '112.136.128.0', '112.136.255.255', 1887993856, 1888026623, 'KR', 'Korea, Republic of'),
(73107, '112.137.0.0', '112.137.15.255', 1888026624, 1888030719, 'BD', 'Bangladesh'),
(73108, '112.137.16.0', '112.137.31.255', 1888030720, 1888034815, 'HK', 'Hong Kong'),
(73109, '112.137.32.0', '112.137.47.255', 1888034816, 1888038911, 'JP', 'Japan'),
(73110, '112.137.48.0', '112.137.55.255', 1888038912, 1888040959, 'CN', 'China'),
(73111, '112.137.56.0', '112.137.127.255', 1888040960, 1888059391, 'JP', 'Japan'),
(73112, '112.137.128.0', '112.137.143.255', 1888059392, 1888063487, 'VN', 'Vietnam'),
(73113, '112.137.144.0', '112.137.159.255', 1888063488, 1888067583, 'JP', 'Japan'),
(73114, '112.137.160.0', '112.137.175.255', 1888067584, 1888071679, 'MY', 'Malaysia'),
(73115, '112.137.176.0', '112.137.183.255', 1888071680, 1888073727, 'KR', 'Korea, Republic of'),
(73116, '112.137.184.0', '112.140.63.255', 1888073728, 1888239615, 'JP', 'Japan'),
(73117, '112.140.64.0', '112.140.127.255', 1888239616, 1888255999, 'KR', 'Korea, Republic of'),
(73118, '112.140.128.0', '112.140.143.255', 1888256000, 1888260095, 'JP', 'Japan'),
(73119, '112.140.144.0', '112.140.159.255', 1888260096, 1888264191, 'KR', 'Korea, Republic of'),
(73120, '112.140.160.0', '112.140.167.255', 1888264192, 1888266239, 'ID', 'Indonesia'),
(73121, '112.140.168.0', '112.140.175.255', 1888266240, 1888268287, 'JP', 'Japan'),
(73122, '112.140.176.0', '112.140.183.255', 1888268288, 1888270335, 'AU', 'Australia'),
(73123, '112.140.184.0', '112.140.187.255', 1888270336, 1888271359, 'SG', 'Singapore'),
(73124, '112.140.192.0', '112.140.255.255', 1888272384, 1888288767, 'KR', 'Korea, Republic of'),
(73125, '112.141.0.0', '112.141.255.255', 1888288768, 1888354303, 'AU', 'Australia'),
(73126, '112.142.0.0', '112.143.255.255', 1888354304, 1888485375, 'TH', 'Thailand'),
(73127, '112.144.0.0', '112.191.255.255', 1888485376, 1891631103, 'KR', 'Korea, Republic of'),
(73128, '112.192.0.0', '112.195.255.255', 1891631104, 1891893247, 'CN', 'China'),
(73129, '112.196.0.0', '112.196.191.255', 1891893248, 1891942399, 'IN', 'India'),
(73130, '112.196.192.0', '112.196.223.255', 1891942400, 1891950591, 'KR', 'Korea, Republic of'),
(73131, '112.196.224.0', '112.196.255.255', 1891950592, 1891958783, 'PH', 'Philippines'),
(73132, '112.197.0.0', '112.197.255.255', 1891958784, 1892024319, 'VN', 'Vietnam'),
(73133, '112.198.0.0', '112.199.127.255', 1892024320, 1892122623, 'PH', 'Philippines'),
(73134, '112.199.128.0', '112.199.255.255', 1892122624, 1892155391, 'SG', 'Singapore'),
(73135, '112.200.0.0', '112.211.255.255', 1892155392, 1892941823, 'PH', 'Philippines'),
(73136, '112.212.0.0', '112.213.31.255', 1892941824, 1893015551, 'KR', 'Korea, Republic of'),
(73137, '112.213.32.0', '112.213.47.255', 1893015552, 1893019647, 'AU', 'Australia'),
(73138, '112.213.48.0', '112.213.63.255', 1893019648, 1893023743, 'TW', 'Taiwan'),
(73139, '112.213.64.0', '112.213.79.255', 1893023744, 1893027839, 'HK', 'Hong Kong'),
(73140, '112.213.80.0', '112.213.95.255', 1893027840, 1893031935, 'VN', 'Vietnam'),
(73141, '112.213.96.0', '112.213.127.255', 1893031936, 1893040127, 'HK', 'Hong Kong'),
(73142, '112.213.128.0', '112.213.255.255', 1893040128, 1893072895, 'AU', 'Australia'),
(73143, '112.214.0.0', '112.214.255.255', 1893072896, 1893138431, 'KR', 'Korea, Republic of'),
(73144, '112.215.0.0', '112.215.255.255', 1893138432, 1893203967, 'ID', 'Indonesia'),
(73145, '112.216.0.0', '112.223.255.255', 1893203968, 1893728255, 'KR', 'Korea, Republic of'),
(73146, '112.224.0.0', '113.9.255.255', 1893728256, 1896480767, 'CN', 'China'),
(73147, '113.10.0.0', '113.10.63.255', 1896480768, 1896497151, 'KR', 'Korea, Republic of'),
(73148, '113.10.64.0', '113.10.127.255', 1896497152, 1896513535, 'SG', 'Singapore'),
(73149, '113.10.128.0', '113.10.255.255', 1896513536, 1896546303, 'HK', 'Hong Kong'),
(73150, '113.11.0.0', '113.11.127.255', 1896546304, 1896579071, 'BD', 'Bangladesh'),
(73151, '113.11.128.0', '113.11.159.255', 1896579072, 1896587263, 'ID', 'Indonesia'),
(73152, '113.11.160.0', '113.11.175.255', 1896587264, 1896591359, 'SG', 'Singapore'),
(73153, '113.11.176.0', '113.11.183.255', 1896591360, 1896593407, 'ID', 'Indonesia'),
(73154, '113.11.184.0', '113.11.187.255', 1896593408, 1896594431, 'AU', 'Australia'),
(73155, '113.11.188.0', '113.11.191.255', 1896594432, 1896595455, 'MY', 'Malaysia'),
(73156, '113.11.192.0', '113.11.223.255', 1896595456, 1896603647, 'CN', 'China'),
(73157, '113.11.224.0', '113.11.231.255', 1896603648, 1896605695, 'IN', 'India'),
(73158, '113.11.232.0', '113.11.235.255', 1896605696, 1896606719, 'AU', 'Australia'),
(73159, '113.11.236.0', '113.11.239.255', 1896606720, 1896607743, 'MY', 'Malaysia'),
(73160, '113.11.240.0', '113.11.247.255', 1896607744, 1896609791, 'VU', 'Vanuatu'),
(73161, '113.11.248.0', '113.11.255.255', 1896609792, 1896611839, 'SG', 'Singapore'),
(73162, '113.12.0.0', '113.18.255.255', 1896611840, 1897070591, 'CN', 'China'),
(73163, '113.19.0.0', '113.19.255.255', 1897070592, 1897136127, 'IN', 'India'),
(73164, '113.20.0.0', '113.20.15.255', 1897136128, 1897140223, 'AU', 'Australia'),
(73165, '113.20.16.0', '113.20.19.255', 1897140224, 1897141247, 'IN', 'India'),
(73166, '113.20.20.0', '113.20.23.255', 1897141248, 1897142271, 'HK', 'Hong Kong'),
(73167, '113.20.24.0', '113.20.27.255', 1897142272, 1897143295, 'AU', 'Australia'),
(73168, '113.20.28.0', '113.20.31.255', 1897143296, 1897144319, 'ID', 'Indonesia'),
(73169, '113.20.32.0', '113.20.63.255', 1897144320, 1897152511, 'NC', 'New Caledonia'),
(73170, '113.20.64.0', '113.20.95.255', 1897152512, 1897160703, 'FJ', 'Fiji'),
(73171, '113.20.96.0', '113.20.127.255', 1897160704, 1897168895, 'VN', 'Vietnam'),
(73172, '113.20.128.0', '113.20.131.255', 1897168896, 1897169919, 'AU', 'Australia'),
(73173, '113.20.132.0', '113.20.135.255', 1897169920, 1897170943, 'HK', 'Hong Kong'),
(73174, '113.20.136.0', '113.20.143.255', 1897170944, 1897172991, 'ID', 'Indonesia'),
(73175, '113.20.144.0', '113.20.151.255', 1897172992, 1897175039, 'PH', 'Philippines'),
(73176, '113.20.152.0', '113.20.155.255', 1897175040, 1897176063, 'JP', 'Japan'),
(73177, '113.20.156.0', '113.20.159.255', 1897176064, 1897177087, 'SG', 'Singapore'),
(73178, '113.20.160.0', '113.20.191.255', 1897177088, 1897185279, 'PH', 'Philippines'),
(73179, '113.20.192.0', '113.20.255.255', 1897185280, 1897201663, 'JP', 'Japan'),
(73180, '113.21.0.0', '113.21.31.255', 1897201664, 1897209855, 'KR', 'Korea, Republic of'),
(73181, '113.21.32.0', '113.21.47.255', 1897209856, 1897213951, 'AU', 'Australia'),
(73182, '113.21.48.0', '113.21.63.255', 1897213952, 1897218047, 'JP', 'Japan'),
(73183, '113.21.64.0', '113.21.79.255', 1897218048, 1897222143, 'IN', 'India'),
(73184, '113.21.80.0', '113.21.95.255', 1897222144, 1897226239, 'TW', 'Taiwan'),
(73185, '113.21.96.0', '113.21.127.255', 1897226240, 1897234431, 'NC', 'New Caledonia'),
(73186, '113.21.128.0', '113.21.159.255', 1897234432, 1897242623, 'MY', 'Malaysia'),
(73187, '113.21.160.0', '113.21.191.255', 1897242624, 1897250815, 'TW', 'Taiwan'),
(73188, '113.21.192.0', '113.21.223.255', 1897250816, 1897259007, 'HK', 'Hong Kong'),
(73189, '113.21.224.0', '113.21.227.255', 1897259008, 1897260031, 'NZ', 'New Zealand'),
(73190, '113.21.228.0', '113.21.231.255', 1897260032, 1897261055, 'BD', 'Bangladesh'),
(73191, '113.21.232.0', '113.21.239.255', 1897261056, 1897263103, 'JP', 'Japan'),
(73192, '113.21.240.0', '113.21.247.255', 1897263104, 1897265151, 'TH', 'Thailand'),
(73193, '113.21.248.0', '113.21.255.255', 1897265152, 1897267199, 'JP', 'Japan'),
(73194, '113.22.0.0', '113.23.127.255', 1897267200, 1897365503, 'VN', 'Vietnam'),
(73195, '113.23.128.0', '113.23.255.255', 1897365504, 1897398271, 'MY', 'Malaysia'),
(73196, '113.24.0.0', '113.27.255.255', 1897398272, 1897660415, 'CN', 'China'),
(73197, '113.28.0.0', '113.28.255.255', 1897660416, 1897725951, 'HK', 'Hong Kong'),
(73198, '113.29.0.0', '113.29.15.255', 1897725952, 1897730047, 'JP', 'Japan'),
(73199, '113.29.16.0', '113.29.31.255', 1897730048, 1897734143, 'AU', 'Australia'),
(73200, '113.29.32.0', '113.29.47.255', 1897734144, 1897738239, 'HK', 'Hong Kong'),
(73201, '113.29.48.0', '113.29.63.255', 1897738240, 1897742335, 'KR', 'Korea, Republic of'),
(73202, '113.29.64.0', '113.29.79.255', 1897742336, 1897746431, 'SG', 'Singapore'),
(73203, '113.29.80.0', '113.29.127.255', 1897746432, 1897758719, 'US', 'United States'),
(73204, '113.29.128.0', '113.29.207.255', 1897758720, 1897779199, 'KR', 'Korea, Republic of'),
(73205, '113.29.208.0', '113.29.215.255', 1897779200, 1897781247, 'AU', 'Australia'),
(73206, '113.29.216.0', '113.29.223.255', 1897781248, 1897783295, 'JP', 'Japan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(73207, '113.29.224.0', '113.29.239.255', 1897783296, 1897787391, 'SG', 'Singapore'),
(73208, '113.29.240.0', '113.29.247.255', 1897787392, 1897789439, 'AU', 'Australia'),
(73209, '113.29.248.0', '113.29.251.255', 1897789440, 1897790463, 'KH', 'Cambodia'),
(73210, '113.29.252.0', '113.29.255.255', 1897790464, 1897791487, 'HK', 'Hong Kong'),
(73211, '113.30.0.0', '113.30.127.255', 1897791488, 1897824255, 'KR', 'Korea, Republic of'),
(73212, '113.30.128.0', '113.30.255.255', 1897824256, 1897857023, 'IN', 'India'),
(73213, '113.31.0.0', '113.31.255.255', 1897857024, 1897922559, 'CN', 'China'),
(73214, '113.32.0.0', '113.43.255.255', 1897922560, 1898708991, 'JP', 'Japan'),
(73215, '113.44.0.0', '113.51.255.255', 1898708992, 1899233279, 'CN', 'China'),
(73216, '113.52.0.0', '113.52.15.255', 1899233280, 1899237375, 'AU', 'Australia'),
(73217, '113.52.16.0', '113.52.31.255', 1899237376, 1899241471, 'JP', 'Japan'),
(73218, '113.52.32.0', '113.52.63.255', 1899241472, 1899249663, 'VN', 'Vietnam'),
(73219, '113.52.64.0', '113.52.127.255', 1899249664, 1899266047, 'MO', 'Macau'),
(73220, '113.52.128.0', '113.52.131.255', 1899266048, 1899267071, 'AU', 'Australia'),
(73221, '113.52.132.0', '113.52.135.255', 1899267072, 1899268095, 'HK', 'Hong Kong'),
(73222, '113.52.136.0', '113.52.143.255', 1899268096, 1899270143, 'KR', 'Korea, Republic of'),
(73223, '113.52.144.0', '113.52.147.255', 1899270144, 1899271167, 'AU', 'Australia'),
(73224, '113.52.148.0', '113.52.151.255', 1899271168, 1899272191, 'ID', 'Indonesia'),
(73225, '113.52.152.0', '113.52.155.255', 1899272192, 1899273215, 'SG', 'Singapore'),
(73226, '113.52.156.0', '113.52.159.255', 1899273216, 1899274239, 'JP', 'Japan'),
(73227, '113.52.160.0', '113.52.191.255', 1899274240, 1899282431, 'CN', 'China'),
(73228, '113.52.192.0', '113.52.223.255', 1899282432, 1899290623, 'KR', 'Korea, Republic of'),
(73229, '113.52.224.0', '113.52.239.255', 1899290624, 1899294719, 'AU', 'Australia'),
(73230, '113.52.240.0', '113.52.255.255', 1899294720, 1899298815, 'JP', 'Japan'),
(73231, '113.53.0.0', '113.53.255.255', 1899298816, 1899364351, 'TH', 'Thailand'),
(73232, '113.54.0.0', '113.59.127.255', 1899364352, 1899724799, 'CN', 'China'),
(73233, '113.59.128.0', '113.59.191.255', 1899724800, 1899741183, 'KR', 'Korea, Republic of'),
(73234, '113.59.192.0', '113.59.223.255', 1899741184, 1899749375, 'LK', 'Sri Lanka'),
(73235, '113.59.224.0', '113.59.227.255', 1899749376, 1899750399, 'CN', 'China'),
(73236, '113.59.228.0', '113.59.231.255', 1899750400, 1899751423, 'JP', 'Japan'),
(73237, '113.59.232.0', '113.59.239.255', 1899751424, 1899753471, 'ID', 'Indonesia'),
(73238, '113.59.240.0', '113.59.255.255', 1899753472, 1899757567, 'HK', 'Hong Kong'),
(73239, '113.60.0.0', '113.61.31.255', 1899757568, 1899831295, 'KR', 'Korea, Republic of'),
(73240, '113.61.32.0', '113.61.63.255', 1899831296, 1899839487, 'PH', 'Philippines'),
(73241, '113.61.64.0', '113.61.103.255', 1899839488, 1899849727, 'AU', 'Australia'),
(73242, '113.61.104.0', '113.61.107.255', 1899849728, 1899850751, 'KR', 'Korea, Republic of'),
(73243, '113.61.108.0', '113.61.111.255', 1899850752, 1899851775, 'VN', 'Vietnam'),
(73244, '113.61.112.0', '113.61.127.255', 1899851776, 1899855871, 'JP', 'Japan'),
(73245, '113.61.128.0', '113.61.255.255', 1899855872, 1899888639, 'TW', 'Taiwan'),
(73246, '113.62.0.0', '113.129.255.255', 1899888640, 1904345087, 'CN', 'China'),
(73247, '113.130.0.0', '113.130.63.255', 1904345088, 1904361471, 'JP', 'Japan'),
(73248, '113.130.64.0', '113.130.95.255', 1904361472, 1904369663, 'KR', 'Korea, Republic of'),
(73249, '113.130.96.0', '113.130.119.255', 1904369664, 1904375807, 'CN', 'China'),
(73250, '113.130.120.0', '113.130.123.255', 1904375808, 1904376831, 'NZ', 'New Zealand'),
(73251, '113.130.124.0', '113.130.127.255', 1904376832, 1904377855, 'KH', 'Cambodia'),
(73252, '113.130.128.0', '113.131.255.255', 1904377856, 1904476159, 'KR', 'Korea, Republic of'),
(73253, '113.132.0.0', '113.143.255.255', 1904476160, 1905262591, 'CN', 'China'),
(73254, '113.144.0.0', '113.146.141.5', 1905262592, 1905429765, 'JP', 'Japan'),
(73255, '113.146.141.6', '113.146.141.6', 1905429766, 1905429766, 'AP', 'Asia/Pacific Region'),
(73256, '113.146.141.7', '113.159.255.255', 1905429767, 1906311167, 'JP', 'Japan'),
(73257, '113.160.0.0', '113.191.255.255', 1906311168, 1908408319, 'VN', 'Vietnam'),
(73258, '113.192.0.0', '113.192.63.255', 1908408320, 1908424703, 'AU', 'Australia'),
(73259, '113.192.64.0', '113.192.127.255', 1908424704, 1908441087, 'KR', 'Korea, Republic of'),
(73260, '113.192.128.0', '113.192.255.255', 1908441088, 1908473855, 'JP', 'Japan'),
(73261, '113.193.0.0', '113.193.255.255', 1908473856, 1908539391, 'IN', 'India'),
(73262, '113.194.0.0', '113.195.255.255', 1908539392, 1908670463, 'CN', 'China'),
(73263, '113.196.0.0', '113.196.255.255', 1908670464, 1908735999, 'TW', 'Taiwan'),
(73264, '113.197.0.0', '113.197.15.255', 1908736000, 1908740095, 'AU', 'Australia'),
(73265, '113.197.16.0', '113.197.31.255', 1908740096, 1908744191, 'JP', 'Japan'),
(73266, '113.197.32.0', '113.197.39.255', 1908744192, 1908746239, 'SG', 'Singapore'),
(73267, '113.197.40.0', '113.197.47.255', 1908746240, 1908748287, 'JP', 'Japan'),
(73268, '113.197.48.0', '113.197.55.255', 1908748288, 1908750335, 'PK', 'Pakistan'),
(73269, '113.197.56.0', '113.197.63.255', 1908750336, 1908752383, 'JP', 'Japan'),
(73270, '113.197.64.0', '113.197.67.255', 1908752384, 1908753407, 'NZ', 'New Zealand'),
(73271, '113.197.68.0', '113.197.71.255', 1908753408, 1908754431, 'PF', 'French Polynesia'),
(73272, '113.197.72.0', '113.197.79.255', 1908754432, 1908756479, 'PH', 'Philippines'),
(73273, '113.197.80.0', '113.197.95.255', 1908756480, 1908760575, 'KR', 'Korea, Republic of'),
(73274, '113.197.96.0', '113.197.99.255', 1908760576, 1908761599, 'NZ', 'New Zealand'),
(73275, '113.197.100.0', '113.197.103.255', 1908761600, 1908762623, 'CN', 'China'),
(73276, '113.197.104.0', '113.197.104.255', 1908762624, 1908762879, 'IN', 'India'),
(73277, '113.197.105.0', '113.197.105.255', 1908762880, 1908763135, 'HK', 'Hong Kong'),
(73278, '113.197.106.0', '113.197.107.255', 1908763136, 1908763647, 'IN', 'India'),
(73279, '113.197.108.0', '113.197.111.255', 1908763648, 1908764671, 'ID', 'Indonesia'),
(73280, '113.197.112.0', '113.197.127.255', 1908764672, 1908768767, 'AU', 'Australia'),
(73281, '113.197.128.0', '113.197.255.255', 1908768768, 1908801535, 'JP', 'Japan'),
(73282, '113.198.0.0', '113.199.127.255', 1908801536, 1908899839, 'KR', 'Korea, Republic of'),
(73283, '113.199.128.0', '113.199.255.255', 1908899840, 1908932607, 'NP', 'Nepal'),
(73284, '113.200.0.0', '113.202.255.255', 1908932608, 1909129215, 'CN', 'China'),
(73285, '113.203.0.0', '113.203.127.255', 1909129216, 1909161983, 'AU', 'Australia'),
(73286, '113.203.128.0', '113.203.255.255', 1909161984, 1909194751, 'PK', 'Pakistan'),
(73287, '113.204.0.0', '113.207.255.255', 1909194752, 1909456895, 'CN', 'China'),
(73288, '113.208.0.0', '113.208.63.255', 1909456896, 1909473279, 'JP', 'Japan'),
(73289, '113.208.64.0', '113.208.90.3', 1909473280, 1909479939, 'HK', 'Hong Kong'),
(73290, '113.208.90.4', '113.208.90.4', 1909479940, 1909479940, 'US', 'United States'),
(73291, '113.208.90.5', '113.208.95.255', 1909479941, 1909481471, 'HK', 'Hong Kong'),
(73292, '113.208.96.0', '113.209.255.255', 1909481472, 1909587967, 'CN', 'China'),
(73293, '113.210.0.0', '113.211.255.255', 1909587968, 1909719039, 'MY', 'Malaysia'),
(73294, '113.212.0.0', '113.212.63.255', 1909719040, 1909735423, 'CN', 'China'),
(73295, '113.212.64.0', '113.212.95.255', 1909735424, 1909743615, 'US', 'United States'),
(73296, '113.212.96.0', '113.212.99.255', 1909743616, 1909744639, 'AU', 'Australia'),
(73297, '113.212.100.0', '113.212.103.255', 1909744640, 1909745663, 'CN', 'China'),
(73298, '113.212.104.0', '113.212.107.255', 1909745664, 1909746687, 'JP', 'Japan'),
(73299, '113.212.108.0', '113.212.111.255', 1909746688, 1909747711, 'MY', 'Malaysia'),
(73300, '113.212.112.0', '113.212.127.255', 1909747712, 1909751807, 'ID', 'Indonesia'),
(73301, '113.212.128.0', '113.212.159.255', 1909751808, 1909759999, 'JP', 'Japan'),
(73302, '113.212.160.0', '113.212.167.255', 1909760000, 1909762047, 'ID', 'Indonesia'),
(73303, '113.212.168.0', '113.212.175.255', 1909762048, 1909764095, 'AU', 'Australia'),
(73304, '113.212.176.0', '113.212.183.255', 1909764096, 1909766143, 'PH', 'Philippines'),
(73305, '113.212.184.0', '113.212.191.255', 1909766144, 1909768191, 'CN', 'China'),
(73306, '113.212.192.0', '113.212.255.255', 1909768192, 1909784575, 'HK', 'Hong Kong'),
(73307, '113.213.0.0', '113.213.127.255', 1909784576, 1909817343, 'CN', 'China'),
(73308, '113.213.128.0', '113.213.255.255', 1909817344, 1909850111, 'JP', 'Japan'),
(73309, '113.214.0.0', '113.215.255.255', 1909850112, 1909981183, 'CN', 'China'),
(73310, '113.216.0.0', '113.217.255.255', 1909981184, 1910112255, 'KR', 'Korea, Republic of'),
(73311, '113.218.0.0', '113.251.255.255', 1910112256, 1912340479, 'CN', 'China'),
(73312, '113.252.0.0', '113.255.255.255', 1912340480, 1912602623, 'HK', 'Hong Kong'),
(73313, '114.0.0.0', '114.15.255.255', 1912602624, 1913651199, 'ID', 'Indonesia'),
(73314, '114.16.0.0', '114.22.255.255', 1913651200, 1914109951, 'JP', 'Japan'),
(73315, '114.23.0.0', '114.23.255.255', 1914109952, 1914175487, 'NZ', 'New Zealand'),
(73316, '114.24.0.0', '114.27.255.255', 1914175488, 1914437631, 'TW', 'Taiwan'),
(73317, '114.28.0.0', '114.28.255.255', 1914437632, 1914503167, 'CN', 'China'),
(73318, '114.29.0.0', '114.29.191.255', 1914503168, 1914552319, 'KR', 'Korea, Republic of'),
(73319, '114.29.192.0', '114.29.223.255', 1914552320, 1914560511, 'SG', 'Singapore'),
(73320, '114.29.224.0', '114.29.255.255', 1914560512, 1914568703, 'KH', 'Cambodia'),
(73321, '114.30.0.0', '114.30.31.255', 1914568704, 1914576895, 'KR', 'Korea, Republic of'),
(73322, '114.30.32.0', '114.30.47.255', 1914576896, 1914580991, 'TW', 'Taiwan'),
(73323, '114.30.48.0', '114.30.63.255', 1914580992, 1914585087, 'KR', 'Korea, Republic of'),
(73324, '114.30.64.0', '114.30.71.255', 1914585088, 1914587135, 'AU', 'Australia'),
(73325, '114.30.72.0', '114.30.79.255', 1914587136, 1914589183, 'IN', 'India'),
(73326, '114.30.80.0', '114.30.95.255', 1914589184, 1914593279, 'ID', 'Indonesia'),
(73327, '114.30.96.0', '114.30.127.255', 1914593280, 1914601471, 'AU', 'Australia'),
(73328, '114.30.128.0', '114.30.255.255', 1914601472, 1914634239, 'KR', 'Korea, Republic of'),
(73329, '114.31.0.0', '114.31.31.255', 1914634240, 1914642431, 'BD', 'Bangladesh'),
(73330, '114.31.32.0', '114.31.63.255', 1914642432, 1914650623, 'KR', 'Korea, Republic of'),
(73331, '114.31.64.0', '114.31.71.255', 1914650624, 1914652671, 'MN', 'Mongolia'),
(73332, '114.31.72.0', '114.31.79.255', 1914652672, 1914654719, 'AU', 'Australia'),
(73333, '114.31.80.0', '114.31.95.255', 1914654720, 1914658815, 'JP', 'Japan'),
(73334, '114.31.96.0', '114.31.103.255', 1914658816, 1914660863, 'AU', 'Australia'),
(73335, '114.31.104.0', '114.31.111.255', 1914660864, 1914662911, 'JP', 'Japan'),
(73336, '114.31.112.0', '114.31.127.255', 1914662912, 1914667007, 'KR', 'Korea, Republic of'),
(73337, '114.31.128.0', '114.31.191.255', 1914667008, 1914683391, 'IN', 'India'),
(73338, '114.31.192.0', '114.31.207.255', 1914683392, 1914687487, 'AU', 'Australia'),
(73339, '114.31.208.0', '114.31.215.255', 1914687488, 1914689535, 'NZ', 'New Zealand'),
(73340, '114.31.216.0', '114.31.223.255', 1914689536, 1914691583, 'JP', 'Japan'),
(73341, '114.31.224.0', '114.31.239.255', 1914691584, 1914695679, 'IN', 'India'),
(73342, '114.31.240.0', '114.31.247.255', 1914695680, 1914697727, 'ID', 'Indonesia'),
(73343, '114.31.248.0', '114.31.255.255', 1914697728, 1914699775, 'IN', 'India'),
(73344, '114.32.0.0', '114.47.255.255', 1914699776, 1915748351, 'TW', 'Taiwan'),
(73345, '114.48.0.0', '114.51.255.255', 1915748352, 1916010495, 'JP', 'Japan'),
(73346, '114.52.0.0', '114.53.255.255', 1916010496, 1916141567, 'KR', 'Korea, Republic of'),
(73347, '114.54.0.0', '114.55.255.255', 1916141568, 1916272639, 'CN', 'China'),
(73348, '114.56.0.0', '114.59.255.255', 1916272640, 1916534783, 'ID', 'Indonesia'),
(73349, '114.60.0.0', '114.68.255.255', 1916534784, 1917124607, 'CN', 'China'),
(73350, '114.69.0.0', '114.69.175.255', 1917124608, 1917169663, 'JP', 'Japan'),
(73351, '114.69.176.0', '114.69.223.255', 1917169664, 1917181951, 'NC', 'New Caledonia'),
(73352, '114.69.224.0', '114.69.255.255', 1917181952, 1917190143, 'IN', 'India'),
(73353, '114.70.0.0', '114.71.255.255', 1917190144, 1917321215, 'KR', 'Korea, Republic of'),
(73354, '114.72.0.0', '114.78.255.255', 1917321216, 1917779967, 'AU', 'Australia'),
(73355, '114.79.0.0', '114.79.63.255', 1917779968, 1917796351, 'ID', 'Indonesia'),
(73356, '114.79.64.0', '114.79.127.255', 1917796352, 1917812735, 'CN', 'China'),
(73357, '114.79.128.0', '114.79.255.255', 1917812736, 1917845503, 'IN', 'India'),
(73358, '114.80.0.0', '114.107.255.255', 1917845504, 1919680511, 'CN', 'China'),
(73359, '114.108.0.0', '114.108.191.255', 1919680512, 1919729663, 'KR', 'Korea, Republic of'),
(73360, '114.108.192.0', '114.108.255.255', 1919729664, 1919746047, 'PH', 'Philippines'),
(73361, '114.109.0.0', '114.109.255.255', 1919746048, 1919811583, 'TH', 'Thailand'),
(73362, '114.110.0.0', '114.110.15.255', 1919811584, 1919815679, 'CN', 'China'),
(73363, '114.110.16.0', '114.110.23.255', 1919815680, 1919817727, 'ID', 'Indonesia'),
(73364, '114.110.24.0', '114.110.31.255', 1919817728, 1919819775, 'KR', 'Korea, Republic of'),
(73365, '114.110.32.0', '114.110.39.255', 1919819776, 1919821823, 'NZ', 'New Zealand'),
(73366, '114.110.40.0', '114.110.47.255', 1919821824, 1919823871, 'ID', 'Indonesia'),
(73367, '114.110.48.0', '114.110.63.255', 1919823872, 1919827967, 'JP', 'Japan'),
(73368, '114.110.64.0', '114.110.127.255', 1919827968, 1919844351, 'CN', 'China'),
(73369, '114.110.128.0', '114.110.255.255', 1919844352, 1919877119, 'KR', 'Korea, Republic of'),
(73370, '114.111.0.0', '114.111.31.255', 1919877120, 1919885311, 'CN', 'China'),
(73371, '114.111.32.0', '114.111.63.255', 1919885312, 1919893503, 'KR', 'Korea, Republic of'),
(73372, '114.111.64.0', '114.111.127.255', 1919893504, 1919909887, 'JP', 'Japan'),
(73373, '114.111.128.0', '114.111.159.255', 1919909888, 1919918079, 'AU', 'Australia'),
(73374, '114.111.160.0', '114.111.191.255', 1919918080, 1919926271, 'CN', 'China'),
(73375, '114.111.192.0', '114.111.255.255', 1919926272, 1919942655, 'KR', 'Korea, Republic of'),
(73376, '114.112.0.0', '114.119.255.255', 1919942656, 1920466943, 'CN', 'China'),
(73377, '114.120.0.0', '114.127.255.255', 1920466944, 1920991231, 'ID', 'Indonesia'),
(73378, '114.128.0.0', '114.128.255.255', 1920991232, 1921056767, 'TH', 'Thailand'),
(73379, '114.129.0.0', '114.129.7.255', 1921056768, 1921058815, 'JP', 'Japan'),
(73380, '114.129.8.0', '114.129.15.255', 1921058816, 1921060863, 'BD', 'Bangladesh'),
(73381, '114.129.16.0', '114.129.23.255', 1921060864, 1921062911, 'ID', 'Indonesia'),
(73382, '114.129.24.0', '114.129.31.255', 1921062912, 1921064959, 'LA', 'Lao People''s Democratic Republic'),
(73383, '114.129.32.0', '114.129.47.255', 1921064960, 1921069055, 'SG', 'Singapore'),
(73384, '114.129.48.0', '114.129.63.255', 1921069056, 1921073151, 'JP', 'Japan'),
(73385, '114.129.64.0', '114.129.127.255', 1921073152, 1921089535, 'KR', 'Korea, Republic of'),
(73386, '114.129.128.0', '114.129.191.255', 1921089536, 1921105919, 'AU', 'Australia'),
(73387, '114.129.192.0', '114.129.255.255', 1921105920, 1921122303, 'KR', 'Korea, Republic of'),
(73388, '114.130.0.0', '114.130.255.255', 1921122304, 1921187839, 'BD', 'Bangladesh'),
(73389, '114.131.0.0', '114.131.255.255', 1921187840, 1921253375, 'TH', 'Thailand'),
(73390, '114.132.0.0', '114.132.255.255', 1921253376, 1921318911, 'CN', 'China'),
(73391, '114.133.0.0', '114.133.255.255', 1921318912, 1921384447, 'MY', 'Malaysia'),
(73392, '114.134.0.0', '114.134.15.255', 1921384448, 1921388543, 'NZ', 'New Zealand'),
(73393, '114.134.16.0', '114.134.31.255', 1921388544, 1921392639, 'PG', 'Papua New Guinea'),
(73394, '114.134.32.0', '114.134.63.255', 1921392640, 1921400831, 'JP', 'Japan'),
(73395, '114.134.64.0', '114.134.79.255', 1921400832, 1921404927, 'ID', 'Indonesia'),
(73396, '114.134.80.0', '114.134.83.127', 1921404928, 1921405823, 'HK', 'Hong Kong'),
(73397, '114.134.83.128', '114.134.83.159', 1921405824, 1921405855, 'MM', 'Myanmar'),
(73398, '114.134.83.160', '114.134.83.223', 1921405856, 1921405919, 'HK', 'Hong Kong'),
(73399, '114.134.83.224', '114.134.83.255', 1921405920, 1921405951, 'MM', 'Myanmar'),
(73400, '114.134.84.0', '114.134.87.255', 1921405952, 1921406975, 'HK', 'Hong Kong'),
(73401, '114.134.88.0', '114.134.95.255', 1921406976, 1921409023, 'BD', 'Bangladesh'),
(73402, '114.134.96.0', '114.134.159.255', 1921409024, 1921425407, 'JP', 'Japan'),
(73403, '114.134.160.0', '114.134.183.255', 1921425408, 1921431551, 'NZ', 'New Zealand'),
(73404, '114.134.184.0', '114.134.191.255', 1921431552, 1921433599, 'KH', 'Cambodia'),
(73405, '114.134.192.0', '114.134.255.255', 1921433600, 1921449983, 'JP', 'Japan'),
(73406, '114.135.0.0', '114.135.255.255', 1921449984, 1921515519, 'CN', 'China'),
(73407, '114.136.0.0', '114.137.255.255', 1921515520, 1921646591, 'TW', 'Taiwan'),
(73408, '114.138.0.0', '114.139.255.255', 1921646592, 1921777663, 'CN', 'China'),
(73409, '114.140.0.0', '114.140.255.255', 1921777664, 1921843199, 'TW', 'Taiwan'),
(73410, '114.141.0.0', '114.141.31.255', 1921843200, 1921851391, 'KR', 'Korea, Republic of'),
(73411, '114.141.32.0', '114.141.39.255', 1921851392, 1921853439, 'JP', 'Japan'),
(73412, '114.141.40.0', '114.141.47.255', 1921853440, 1921855487, 'KR', 'Korea, Republic of'),
(73413, '114.141.48.0', '114.141.63.255', 1921855488, 1921859583, 'ID', 'Indonesia'),
(73414, '114.141.64.0', '114.141.71.255', 1921859584, 1921861631, 'CN', 'China'),
(73415, '114.141.72.0', '114.141.79.255', 1921861632, 1921863679, 'SG', 'Singapore'),
(73416, '114.141.88.0', '114.141.95.255', 1921865728, 1921867775, 'ID', 'Indonesia'),
(73417, '114.141.96.0', '114.141.111.255', 1921867776, 1921871871, 'AU', 'Australia'),
(73418, '114.141.112.0', '114.141.127.255', 1921871872, 1921875967, 'NZ', 'New Zealand'),
(73419, '114.141.128.0', '114.141.191.255', 1921875968, 1921892351, 'CN', 'China'),
(73420, '114.141.192.0', '114.141.207.255', 1921892352, 1921896447, 'AU', 'Australia'),
(73421, '114.141.208.0', '114.141.215.255', 1921896448, 1921898495, 'SG', 'Singapore'),
(73422, '114.141.216.0', '114.141.223.255', 1921898496, 1921900543, 'PH', 'Philippines'),
(73423, '114.141.224.0', '114.141.255.255', 1921900544, 1921908735, 'KR', 'Korea, Republic of'),
(73424, '114.142.0.0', '114.142.135.255', 1921908736, 1921943551, 'JP', 'Japan'),
(73425, '114.142.136.0', '114.142.143.255', 1921943552, 1921945599, 'IN', 'India'),
(73426, '114.142.144.0', '114.142.159.255', 1921945600, 1921949695, 'HK', 'Hong Kong'),
(73427, '114.142.160.0', '114.142.175.255', 1921949696, 1921953791, 'AU', 'Australia'),
(73428, '114.142.176.0', '114.142.191.255', 1921953792, 1921957887, 'JP', 'Japan'),
(73429, '114.142.192.0', '114.142.255.255', 1921957888, 1921974271, 'GU', 'Guam'),
(73430, '114.143.0.0', '114.143.255.255', 1921974272, 1922039807, 'IN', 'India'),
(73431, '114.144.0.0', '114.195.255.255', 1922039808, 1925447679, 'JP', 'Japan'),
(73432, '114.196.0.0', '114.197.255.255', 1925447680, 1925578751, 'CN', 'China'),
(73433, '114.198.0.0', '114.198.127.255', 1925578752, 1925611519, 'AU', 'Australia'),
(73434, '114.198.128.0', '114.198.159.255', 1925611520, 1925619711, 'PH', 'Philippines'),
(73435, '114.198.160.0', '114.198.191.255', 1925619712, 1925627903, 'TW', 'Taiwan'),
(73436, '114.198.192.0', '114.198.231.255', 1925627904, 1925638143, 'JP', 'Japan'),
(73437, '114.198.232.0', '114.198.239.255', 1925638144, 1925640191, 'PK', 'Pakistan'),
(73438, '114.198.240.0', '114.198.247.255', 1925640192, 1925642239, 'ID', 'Indonesia'),
(73439, '114.198.248.0', '114.198.255.255', 1925642240, 1925644287, 'CN', 'China'),
(73440, '114.199.0.0', '114.199.63.255', 1925644288, 1925660671, 'KR', 'Korea, Republic of'),
(73441, '114.199.64.0', '114.199.79.255', 1925660672, 1925664767, 'HK', 'Hong Kong'),
(73442, '114.199.80.0', '114.199.127.255', 1925664768, 1925677055, 'ID', 'Indonesia'),
(73443, '114.199.128.0', '114.207.255.255', 1925677056, 1926234111, 'KR', 'Korea, Republic of'),
(73444, '114.208.0.0', '114.255.255.255', 1926234112, 1929379839, 'CN', 'China'),
(73445, '115.0.0.0', '115.23.255.255', 1929379840, 1930952703, 'KR', 'Korea, Republic of'),
(73446, '115.24.0.0', '115.29.255.255', 1930952704, 1931345919, 'CN', 'China'),
(73447, '115.30.0.0', '115.30.31.255', 1931345920, 1931354111, 'JP', 'Japan'),
(73448, '115.30.32.0', '115.30.63.255', 1931354112, 1931362303, 'AU', 'Australia'),
(73449, '115.30.64.0', '115.30.127.255', 1931362304, 1931378687, 'TW', 'Taiwan'),
(73450, '115.30.128.0', '115.31.63.255', 1931378688, 1931427839, 'JP', 'Japan'),
(73451, '115.31.64.0', '115.31.79.255', 1931427840, 1931431935, 'PH', 'Philippines'),
(73452, '115.31.80.0', '115.31.87.255', 1931431936, 1931433983, 'JP', 'Japan'),
(73453, '115.31.88.0', '115.31.95.255', 1931433984, 1931436031, 'AU', 'Australia'),
(73454, '115.31.96.0', '115.31.127.255', 1931436032, 1931444223, 'KR', 'Korea, Republic of'),
(73455, '115.31.128.0', '115.31.191.255', 1931444224, 1931460607, 'TH', 'Thailand'),
(73456, '115.31.192.0', '115.31.223.255', 1931460608, 1931468799, 'JP', 'Japan'),
(73457, '115.31.224.0', '115.31.255.255', 1931468800, 1931476991, 'SG', 'Singapore'),
(73458, '115.32.0.0', '115.35.255.255', 1931476992, 1931739135, 'CN', 'China'),
(73459, '115.36.0.0', '115.39.255.255', 1931739136, 1932001279, 'JP', 'Japan'),
(73460, '115.40.0.0', '115.41.255.255', 1932001280, 1932132351, 'KR', 'Korea, Republic of'),
(73461, '115.42.0.0', '115.42.31.255', 1932132352, 1932140543, 'AU', 'Australia'),
(73462, '115.42.64.0', '115.42.79.255', 1932148736, 1932152831, 'PK', 'Pakistan'),
(73463, '115.42.80.0', '115.42.95.255', 1932152832, 1932156927, 'TW', 'Taiwan'),
(73464, '115.42.96.0', '115.42.111.255', 1932156928, 1932161023, 'JP', 'Japan'),
(73465, '115.42.112.0', '115.42.119.255', 1932161024, 1932163071, 'TW', 'Taiwan'),
(73466, '115.42.120.0', '115.42.127.255', 1932163072, 1932165119, 'PH', 'Philippines'),
(73467, '115.42.128.0', '115.42.255.255', 1932165120, 1932197887, 'SG', 'Singapore'),
(73468, '115.43.0.0', '115.43.255.255', 1932197888, 1932263423, 'TW', 'Taiwan'),
(73469, '115.44.0.0', '115.63.255.255', 1932263424, 1933574143, 'CN', 'China'),
(73470, '115.64.0.0', '115.64.255.255', 1933574144, 1933639679, 'AU', 'Australia'),
(73471, '115.65.0.0', '115.65.255.255', 1933639680, 1933705215, 'JP', 'Japan'),
(73472, '115.66.0.0', '115.66.255.255', 1933705216, 1933770751, 'SG', 'Singapore'),
(73473, '115.67.0.0', '115.67.255.255', 1933770752, 1933836287, 'TH', 'Thailand'),
(73474, '115.68.0.0', '115.68.255.255', 1933836288, 1933901823, 'KR', 'Korea, Republic of'),
(73475, '115.69.0.0', '115.69.30.255', 1933901824, 1933909759, 'AU', 'Australia'),
(73476, '115.69.31.0', '115.69.31.255', 1933909760, 1933910015, 'A1', 'Anonymous Proxy'),
(73477, '115.69.32.0', '115.69.63.255', 1933910016, 1933918207, 'AU', 'Australia'),
(73478, '115.69.64.0', '115.69.79.255', 1933918208, 1933922303, 'CN', 'China'),
(73479, '115.69.80.0', '115.69.95.255', 1933922304, 1933926399, 'IN', 'India'),
(73480, '115.69.96.0', '115.69.127.255', 1933926400, 1933934591, 'KR', 'Korea, Republic of'),
(73481, '115.69.128.0', '115.69.159.255', 1933934592, 1933942783, 'IN', 'India'),
(73482, '115.69.160.0', '115.69.191.255', 1933942784, 1933950975, 'AU', 'Australia'),
(73483, '115.69.192.0', '115.69.207.255', 1933950976, 1933955071, 'JP', 'Japan'),
(73484, '115.69.208.0', '115.69.215.255', 1933955072, 1933957119, 'BD', 'Bangladesh'),
(73485, '115.69.216.0', '115.69.223.255', 1933957120, 1933959167, 'ID', 'Indonesia'),
(73486, '115.69.224.0', '115.69.239.255', 1933959168, 1933963263, 'JP', 'Japan'),
(73487, '115.69.240.0', '115.69.255.255', 1933963264, 1933967359, 'IN', 'India'),
(73488, '115.70.0.0', '115.70.255.255', 1933967360, 1934032895, 'AU', 'Australia'),
(73489, '115.71.0.0', '115.71.255.255', 1934032896, 1934098431, 'KR', 'Korea, Republic of'),
(73490, '115.72.0.0', '115.79.255.255', 1934098432, 1934622719, 'VN', 'Vietnam'),
(73491, '115.80.0.0', '115.83.255.255', 1934622720, 1934884863, 'TW', 'Taiwan'),
(73492, '115.84.0.0', '115.84.63.255', 1934884864, 1934901247, 'CN', 'China'),
(73493, '115.84.64.0', '115.84.127.255', 1934901248, 1934917631, 'LA', 'Lao People''s Democratic Republic'),
(73494, '115.84.128.0', '115.84.159.255', 1934917632, 1934925823, 'MV', 'Maldives'),
(73495, '115.84.160.0', '115.84.167.255', 1934925824, 1934927871, 'KR', 'Korea, Republic of'),
(73496, '115.84.168.0', '115.84.175.255', 1934927872, 1934929919, 'PH', 'Philippines'),
(73497, '115.84.176.0', '115.84.183.255', 1934929920, 1934931967, 'VN', 'Vietnam'),
(73498, '115.84.184.0', '115.84.191.255', 1934931968, 1934934015, 'JP', 'Japan'),
(73499, '115.84.192.0', '115.84.223.255', 1934934016, 1934942207, 'CN', 'China'),
(73500, '115.84.224.0', '115.85.63.255', 1934942208, 1934966783, 'PH', 'Philippines'),
(73501, '115.85.64.0', '115.85.95.255', 1934966784, 1934974975, 'ID', 'Indonesia'),
(73502, '115.85.96.0', '115.85.127.255', 1934974976, 1934983167, 'JP', 'Japan'),
(73503, '115.85.128.0', '115.85.128.255', 1934983168, 1934983423, 'MY', 'Malaysia'),
(73504, '115.85.129.0', '115.85.135.255', 1934983424, 1934985215, 'AU', 'Australia'),
(73505, '115.85.136.0', '115.85.143.255', 1934985216, 1934987263, 'JP', 'Japan'),
(73506, '115.85.144.0', '115.85.159.255', 1934987264, 1934991359, 'TW', 'Taiwan'),
(73507, '115.85.160.0', '115.85.191.255', 1934991360, 1934999551, 'KR', 'Korea, Republic of'),
(73508, '115.85.192.0', '115.85.255.255', 1934999552, 1935015935, 'CN', 'China'),
(73509, '115.86.0.0', '115.86.255.255', 1935015936, 1935081471, 'KR', 'Korea, Republic of'),
(73510, '115.87.0.0', '115.87.255.255', 1935081472, 1935147007, 'TH', 'Thailand'),
(73511, '115.88.0.0', '115.95.255.255', 1935147008, 1935671295, 'KR', 'Korea, Republic of'),
(73512, '115.96.0.0', '115.99.255.255', 1935671296, 1935933439, 'IN', 'India'),
(73513, '115.100.0.0', '115.107.255.255', 1935933440, 1936457727, 'CN', 'China'),
(73514, '115.108.0.0', '115.119.255.255', 1936457728, 1937244159, 'IN', 'India'),
(73515, '115.120.0.0', '115.123.255.255', 1937244160, 1937506303, 'CN', 'China'),
(73516, '115.124.0.0', '115.124.15.255', 1937506304, 1937510399, 'AU', 'Australia'),
(73517, '115.124.16.0', '115.124.31.255', 1937510400, 1937514495, 'CN', 'China'),
(73518, '115.124.32.0', '115.124.39.255', 1937514496, 1937516543, 'AU', 'Australia'),
(73519, '115.124.40.0', '115.124.47.255', 1937516544, 1937518591, 'IN', 'India'),
(73520, '115.124.48.0', '115.124.63.255', 1937518592, 1937522687, 'JP', 'Japan'),
(73521, '115.124.64.0', '115.124.95.255', 1937522688, 1937530879, 'ID', 'Indonesia'),
(73522, '115.124.96.0', '115.124.103.255', 1937530880, 1937532927, 'US', 'United States'),
(73523, '115.124.104.0', '115.124.111.255', 1937532928, 1937534975, 'IN', 'India'),
(73524, '115.124.112.0', '115.124.113.255', 1937534976, 1937535487, 'US', 'United States'),
(73525, '115.124.114.0', '115.124.115.255', 1937535488, 1937535999, 'IN', 'India'),
(73526, '115.124.116.0', '115.124.117.255', 1937536000, 1937536511, 'GB', 'United Kingdom'),
(73527, '115.124.118.0', '115.124.127.255', 1937536512, 1937539071, 'IN', 'India'),
(73528, '115.124.128.0', '115.125.255.255', 1937539072, 1937637375, 'JP', 'Japan'),
(73529, '115.126.0.0', '115.126.127.255', 1937637376, 1937670143, 'HK', 'Hong Kong'),
(73530, '115.126.128.0', '115.126.135.255', 1937670144, 1937672191, 'NZ', 'New Zealand'),
(73531, '115.126.136.0', '115.126.159.255', 1937672192, 1937678335, 'JP', 'Japan'),
(73532, '115.126.160.0', '115.126.191.255', 1937678336, 1937686527, 'NC', 'New Caledonia'),
(73533, '115.126.192.0', '115.126.255.255', 1937686528, 1937702911, 'KR', 'Korea, Republic of'),
(73534, '115.127.0.0', '115.127.255.255', 1937702912, 1937768447, 'BD', 'Bangladesh'),
(73535, '115.128.0.0', '115.131.255.255', 1937768448, 1938030591, 'AU', 'Australia'),
(73536, '115.132.0.0', '115.135.255.255', 1938030592, 1938292735, 'MY', 'Malaysia'),
(73537, '115.136.0.0', '115.145.255.255', 1938292736, 1938948095, 'KR', 'Korea, Republic of'),
(73538, '115.146.0.0', '115.146.63.255', 1938948096, 1938964479, 'JP', 'Japan'),
(73539, '115.146.64.0', '115.146.95.255', 1938964480, 1938972671, 'AU', 'Australia'),
(73540, '115.146.96.0', '115.146.111.255', 1938972672, 1938976767, 'MY', 'Malaysia'),
(73541, '115.146.112.0', '115.146.119.255', 1938976768, 1938978815, 'SG', 'Singapore'),
(73542, '115.146.120.0', '115.146.127.255', 1938978816, 1938980863, 'VN', 'Vietnam'),
(73543, '115.146.128.0', '115.147.255.255', 1938980864, 1939079167, 'PH', 'Philippines'),
(73544, '115.148.0.0', '115.159.255.255', 1939079168, 1939865599, 'CN', 'China'),
(73545, '115.160.0.0', '115.160.127.255', 1939865600, 1939898367, 'KR', 'Korea, Republic of'),
(73546, '115.160.128.0', '115.160.191.255', 1939898368, 1939914751, 'HK', 'Hong Kong'),
(73547, '115.160.192.0', '115.160.255.255', 1939914752, 1939931135, 'IN', 'India'),
(73548, '115.161.0.0', '115.161.255.255', 1939931136, 1939996671, 'KR', 'Korea, Republic of'),
(73549, '115.162.0.0', '115.163.255.255', 1939996672, 1940127743, 'JP', 'Japan'),
(73550, '115.164.0.0', '115.164.255.255', 1940127744, 1940193279, 'MY', 'Malaysia'),
(73551, '115.165.0.0', '115.165.159.255', 1940193280, 1940234239, 'JP', 'Japan'),
(73552, '115.165.160.0', '115.165.167.255', 1940234240, 1940236287, 'VN', 'Vietnam'),
(73553, '115.165.168.0', '115.165.175.255', 1940236288, 1940238335, 'AU', 'Australia'),
(73554, '115.165.176.0', '115.165.183.255', 1940238336, 1940240383, 'KR', 'Korea, Republic of'),
(73555, '115.165.184.0', '115.165.191.255', 1940240384, 1940242431, 'JP', 'Japan'),
(73556, '115.165.192.0', '115.165.255.255', 1940242432, 1940258815, 'TW', 'Taiwan'),
(73557, '115.166.0.0', '115.166.63.255', 1940258816, 1940275199, 'AU', 'Australia'),
(73558, '115.166.64.0', '115.166.95.255', 1940275200, 1940283391, 'CN', 'China'),
(73559, '115.166.96.0', '115.166.127.255', 1940283392, 1940291583, 'ID', 'Indonesia'),
(73560, '115.166.128.0', '115.166.143.255', 1940291584, 1940295679, 'HK', 'Hong Kong'),
(73561, '115.166.144.0', '115.166.255.255', 1940295680, 1940324351, 'JP', 'Japan'),
(73562, '115.167.0.0', '115.167.127.255', 1940324352, 1940357119, 'PK', 'Pakistan'),
(73563, '115.167.128.0', '115.167.255.255', 1940357120, 1940389887, 'JP', 'Japan'),
(73564, '115.168.0.0', '115.175.255.255', 1940389888, 1940914175, 'CN', 'China'),
(73565, '115.176.0.0', '115.177.255.255', 1940914176, 1941045247, 'JP', 'Japan'),
(73566, '115.178.0.0', '115.178.15.255', 1941045248, 1941049343, 'HK', 'Hong Kong'),
(73567, '115.178.16.0', '115.178.23.255', 1941049344, 1941051391, 'AU', 'Australia'),
(73568, '115.178.24.0', '115.178.27.255', 1941051392, 1941052415, 'KH', 'Cambodia'),
(73569, '115.178.28.0', '115.178.31.255', 1941052416, 1941053439, 'AU', 'Australia'),
(73570, '115.178.32.0', '115.178.47.255', 1941053440, 1941057535, 'KR', 'Korea, Republic of'),
(73571, '115.178.48.0', '115.178.55.255', 1941057536, 1941059583, 'ID', 'Indonesia'),
(73572, '115.178.56.0', '115.178.63.255', 1941059584, 1941061631, 'TH', 'Thailand'),
(73573, '115.178.64.0', '115.178.95.255', 1941061632, 1941069823, 'KR', 'Korea, Republic of'),
(73574, '115.178.96.0', '115.178.103.255', 1941069824, 1941071871, 'IN', 'India'),
(73575, '115.178.104.0', '115.178.111.255', 1941071872, 1941073919, 'AU', 'Australia'),
(73576, '115.178.112.0', '115.178.119.255', 1941073920, 1941075967, 'JP', 'Japan'),
(73577, '115.178.120.0', '115.178.255.255', 1941075968, 1941110783, 'ID', 'Indonesia'),
(73578, '115.179.0.0', '115.179.255.255', 1941110784, 1941176319, 'JP', 'Japan'),
(73579, '115.180.0.0', '115.183.255.255', 1941176320, 1941438463, 'CN', 'China'),
(73580, '115.184.0.0', '115.185.255.255', 1941438464, 1941569535, 'IN', 'India'),
(73581, '115.186.0.0', '115.186.191.255', 1941569536, 1941618687, 'PK', 'Pakistan'),
(73582, '115.186.192.0', '115.186.255.255', 1941618688, 1941635071, 'AU', 'Australia'),
(73583, '115.187.0.0', '115.187.15.255', 1941635072, 1941639167, 'IN', 'India'),
(73584, '115.187.16.0', '115.187.31.255', 1941639168, 1941643263, 'NP', 'Nepal'),
(73585, '115.187.32.0', '115.187.63.255', 1941643264, 1941651455, 'IN', 'India'),
(73586, '115.187.64.0', '115.187.79.255', 1941651456, 1941655551, 'JP', 'Japan'),
(73587, '115.187.80.0', '115.187.87.255', 1941655552, 1941657599, 'KR', 'Korea, Republic of'),
(73588, '115.187.88.0', '115.187.91.255', 1941657600, 1941658623, 'MN', 'Mongolia'),
(73589, '115.187.92.0', '115.187.95.255', 1941658624, 1941659647, 'JP', 'Japan'),
(73590, '115.187.96.0', '115.187.127.255', 1941659648, 1941667839, 'NZ', 'New Zealand'),
(73591, '115.187.128.0', '115.187.255.255', 1941667840, 1941700607, 'AU', 'Australia'),
(73592, '115.188.0.0', '115.189.255.255', 1941700608, 1941831679, 'NZ', 'New Zealand'),
(73593, '115.190.0.0', '115.239.255.255', 1941831680, 1945108479, 'CN', 'China'),
(73594, '115.240.0.0', '115.255.255.255', 1945108480, 1946157055, 'IN', 'India'),
(73595, '116.0.0.0', '116.0.7.255', 1946157056, 1946159103, 'ID', 'Indonesia'),
(73596, '116.0.8.0', '116.0.15.255', 1946159104, 1946161151, 'CN', 'China'),
(73597, '116.0.16.0', '116.0.23.255', 1946161152, 1946163199, 'AU', 'Australia'),
(73598, '116.0.24.0', '116.0.31.255', 1946163200, 1946165247, 'CN', 'China'),
(73599, '116.0.32.0', '116.0.63.255', 1946165248, 1946173439, 'PK', 'Pakistan'),
(73600, '116.0.64.0', '116.0.64.255', 1946173440, 1946173695, 'PG', 'Papua New Guinea'),
(73601, '116.0.65.0', '116.0.95.255', 1946173696, 1946181631, 'SG', 'Singapore'),
(73602, '116.0.96.0', '116.0.127.255', 1946181632, 1946189823, 'MY', 'Malaysia'),
(73603, '116.0.128.0', '116.0.255.255', 1946189824, 1946222591, 'JP', 'Japan'),
(73604, '116.1.0.0', '116.11.255.255', 1946222592, 1946943487, 'CN', 'China'),
(73605, '116.12.0.0', '116.12.31.255', 1946943488, 1946951679, 'JP', 'Japan'),
(73606, '116.12.32.0', '116.12.39.255', 1946951680, 1946953727, 'BD', 'Bangladesh'),
(73607, '116.12.40.0', '116.12.47.255', 1946953728, 1946955775, 'ID', 'Indonesia'),
(73608, '116.12.48.0', '116.12.55.255', 1946955776, 1946957823, 'SG', 'Singapore'),
(73609, '116.12.56.0', '116.12.63.255', 1946957824, 1946959871, 'NZ', 'New Zealand'),
(73610, '116.12.64.0', '116.12.127.255', 1946959872, 1946976255, 'LK', 'Sri Lanka'),
(73611, '116.12.128.0', '116.12.255.255', 1946976256, 1947009023, 'SG', 'Singapore'),
(73612, '116.13.0.0', '116.13.255.255', 1947009024, 1947074559, 'CN', 'China'),
(73613, '116.14.0.0', '116.15.255.255', 1947074560, 1947205631, 'SG', 'Singapore'),
(73614, '116.16.0.0', '116.31.255.255', 1947205632, 1948254207, 'CN', 'China'),
(73615, '116.32.0.0', '116.47.255.255', 1948254208, 1949302783, 'KR', 'Korea, Republic of'),
(73616, '116.48.0.0', '116.49.88.255', 1949302784, 1949391103, 'HK', 'Hong Kong'),
(73617, '116.49.89.0', '116.49.89.255', 1949391104, 1949391359, 'CN', 'China'),
(73618, '116.49.90.0', '116.49.255.255', 1949391360, 1949433855, 'HK', 'Hong Kong'),
(73619, '116.50.0.0', '116.50.15.255', 1949433856, 1949437951, 'CN', 'China'),
(73620, '116.50.16.0', '116.50.23.255', 1949437952, 1949439999, 'AU', 'Australia'),
(73621, '116.50.24.0', '116.50.31.255', 1949440000, 1949442047, 'ID', 'Indonesia'),
(73622, '116.50.32.0', '116.50.47.255', 1949442048, 1949446143, 'TW', 'Taiwan'),
(73623, '116.50.48.0', '116.50.55.255', 1949446144, 1949448191, 'JP', 'Japan'),
(73624, '116.50.56.0', '116.50.58.255', 1949448192, 1949448959, 'HK', 'Hong Kong'),
(73625, '116.50.59.0', '116.50.59.255', 1949448960, 1949449215, 'IN', 'India'),
(73626, '116.50.60.0', '116.50.63.255', 1949449216, 1949450239, 'HK', 'Hong Kong'),
(73627, '116.50.64.0', '116.50.127.255', 1949450240, 1949466623, 'IN', 'India'),
(73628, '116.50.128.0', '116.50.255.255', 1949466624, 1949499391, 'PH', 'Philippines'),
(73629, '116.51.0.0', '116.51.255.255', 1949499392, 1949564927, 'SG', 'Singapore'),
(73630, '116.52.0.0', '116.57.255.255', 1949564928, 1949958143, 'CN', 'China'),
(73631, '116.58.0.0', '116.58.127.255', 1949958144, 1949990911, 'PK', 'Pakistan'),
(73632, '116.58.128.0', '116.58.143.255', 1949990912, 1949995007, 'CN', 'China'),
(73633, '116.58.144.0', '116.58.191.255', 1949995008, 1950007295, 'JP', 'Japan'),
(73634, '116.58.192.0', '116.58.199.255', 1950007296, 1950009343, 'ID', 'Indonesia'),
(73635, '116.58.200.0', '116.58.207.255', 1950009344, 1950011391, 'BD', 'Bangladesh'),
(73636, '116.58.208.0', '116.58.223.255', 1950011392, 1950015487, 'CN', 'China'),
(73637, '116.58.224.0', '116.58.255.255', 1950015488, 1950023679, 'TH', 'Thailand'),
(73638, '116.59.0.0', '116.59.255.255', 1950023680, 1950089215, 'TW', 'Taiwan'),
(73639, '116.60.0.0', '116.63.255.255', 1950089216, 1950351359, 'CN', 'China'),
(73640, '116.64.0.0', '116.65.255.255', 1950351360, 1950482431, 'JP', 'Japan'),
(73641, '116.66.0.0', '116.66.127.255', 1950482432, 1950515199, 'CN', 'China'),
(73642, '116.66.128.0', '116.66.159.255', 1950515200, 1950523391, 'IN', 'India'),
(73643, '116.66.160.0', '116.66.175.255', 1950523392, 1950527487, 'AU', 'Australia'),
(73644, '116.66.176.0', '116.66.191.255', 1950527488, 1950531583, 'JP', 'Japan'),
(73645, '116.66.192.0', '116.66.199.255', 1950531584, 1950533631, 'NP', 'Nepal'),
(73646, '116.66.200.0', '116.66.207.255', 1950533632, 1950535679, 'ID', 'Indonesia'),
(73647, '116.66.208.0', '116.66.223.255', 1950535680, 1950539775, 'HK', 'Hong Kong'),
(73648, '116.66.224.0', '116.66.231.255', 1950539776, 1950541823, 'AU', 'Australia'),
(73649, '116.66.232.0', '116.66.239.255', 1950541824, 1950543871, 'HK', 'Hong Kong'),
(73650, '116.66.240.0', '116.66.247.255', 1950543872, 1950545919, 'NZ', 'New Zealand'),
(73651, '116.66.248.0', '116.66.255.255', 1950545920, 1950547967, 'PH', 'Philippines'),
(73652, '116.67.0.0', '116.67.127.255', 1950547968, 1950580735, 'KR', 'Korea, Republic of'),
(73653, '116.67.128.0', '116.67.255.255', 1950580736, 1950613503, 'JP', 'Japan'),
(73654, '116.68.0.0', '116.68.31.255', 1950613504, 1950621695, 'GU', 'Guam'),
(73655, '116.68.32.0', '116.68.63.255', 1950621696, 1950629887, 'KR', 'Korea, Republic of'),
(73656, '116.68.64.0', '116.68.127.255', 1950629888, 1950646271, 'IN', 'India'),
(73657, '116.68.128.0', '116.68.135.255', 1950646272, 1950648319, 'VN', 'Vietnam'),
(73658, '116.68.144.0', '116.68.159.255', 1950650368, 1950654463, 'TH', 'Thailand'),
(73659, '116.68.160.0', '116.68.175.255', 1950654464, 1950658559, 'ID', 'Indonesia'),
(73660, '116.68.184.0', '116.68.191.255', 1950660608, 1950662655, 'HK', 'Hong Kong'),
(73661, '116.68.192.0', '116.68.207.255', 1950662656, 1950666751, 'BD', 'Bangladesh'),
(73662, '116.68.208.0', '116.68.215.255', 1950666752, 1950668799, 'NP', 'Nepal'),
(73663, '116.68.216.0', '116.68.223.255', 1950668800, 1950670847, 'JP', 'Japan'),
(73664, '116.68.224.0', '116.68.231.255', 1950670848, 1950672895, 'ID', 'Indonesia'),
(73665, '116.68.232.0', '116.68.239.255', 1950672896, 1950674943, 'KR', 'Korea, Republic of'),
(73666, '116.68.240.0', '116.68.247.255', 1950674944, 1950676991, 'IN', 'India'),
(73667, '116.68.248.0', '116.68.255.255', 1950676992, 1950679039, 'ID', 'Indonesia'),
(73668, '116.69.0.0', '116.70.127.255', 1950679040, 1950777343, 'CN', 'China'),
(73669, '116.70.128.0', '116.70.255.255', 1950777344, 1950810111, 'JP', 'Japan'),
(73670, '116.71.0.0', '116.71.255.255', 1950810112, 1950875647, 'PK', 'Pakistan'),
(73671, '116.72.0.0', '116.75.255.255', 1950875648, 1951137791, 'IN', 'India'),
(73672, '116.76.0.0', '116.79.255.255', 1951137792, 1951399935, 'CN', 'China'),
(73673, '116.80.0.0', '116.83.255.255', 1951399936, 1951662079, 'JP', 'Japan'),
(73674, '116.84.0.0', '116.84.255.255', 1951662080, 1951727615, 'KR', 'Korea, Republic of'),
(73675, '116.85.0.0', '116.85.255.255', 1951727616, 1951793151, 'CN', 'China'),
(73676, '116.86.0.0', '116.89.127.255', 1951793152, 1952022527, 'SG', 'Singapore'),
(73677, '116.89.128.0', '116.89.143.255', 1952022528, 1952026623, 'TW', 'Taiwan'),
(73678, '116.89.144.0', '116.89.159.255', 1952026624, 1952030719, 'CN', 'China'),
(73679, '116.89.160.0', '116.89.191.255', 1952030720, 1952038911, 'KR', 'Korea, Republic of'),
(73680, '116.89.192.0', '116.89.223.255', 1952038912, 1952047103, 'JP', 'Japan'),
(73681, '116.89.224.0', '116.89.239.255', 1952047104, 1952051199, 'NZ', 'New Zealand'),
(73682, '116.89.240.0', '116.89.255.255', 1952051200, 1952055295, 'JP', 'Japan'),
(73683, '116.90.0.0', '116.90.63.255', 1952055296, 1952071679, 'AU', 'Australia'),
(73684, '116.90.64.0', '116.90.71.255', 1952071680, 1952073727, 'HK', 'Hong Kong'),
(73685, '116.90.72.0', '116.90.75.255', 1952073728, 1952074751, 'AU', 'Australia'),
(73686, '116.90.76.0', '116.90.79.255', 1952074752, 1952075775, 'NZ', 'New Zealand'),
(73687, '116.90.80.0', '116.90.95.255', 1952075776, 1952079871, 'CN', 'China'),
(73688, '116.90.96.0', '116.90.127.255', 1952079872, 1952088063, 'PK', 'Pakistan'),
(73689, '116.90.128.0', '116.90.143.255', 1952088064, 1952092159, 'NZ', 'New Zealand'),
(73690, '116.90.144.0', '116.90.159.255', 1952092160, 1952096255, 'JP', 'Japan'),
(73691, '116.90.160.0', '116.90.183.255', 1952096256, 1952102399, 'ID', 'Indonesia'),
(73692, '116.90.184.0', '116.90.191.255', 1952102400, 1952104447, 'CN', 'China'),
(73693, '116.90.192.0', '116.90.207.255', 1952104448, 1952108543, 'JP', 'Japan'),
(73694, '116.90.208.0', '116.90.215.255', 1952108544, 1952110591, 'ID', 'Indonesia'),
(73695, '116.90.216.0', '116.90.223.255', 1952110592, 1952112639, 'KR', 'Korea, Republic of'),
(73696, '116.90.224.0', '116.90.239.255', 1952112640, 1952116735, 'NP', 'Nepal'),
(73697, '116.90.240.0', '116.90.255.255', 1952116736, 1952120831, 'IN', 'India'),
(73698, '116.91.0.0', '116.91.255.255', 1952120832, 1952186367, 'JP', 'Japan'),
(73699, '116.92.0.0', '116.92.255.255', 1952186368, 1952251903, 'HK', 'Hong Kong'),
(73700, '116.93.0.0', '116.93.127.255', 1952251904, 1952284671, 'PH', 'Philippines'),
(73701, '116.93.128.0', '116.93.143.255', 1952284672, 1952288767, 'NZ', 'New Zealand'),
(73702, '116.93.144.0', '116.93.159.255', 1952288768, 1952292863, 'JP', 'Japan'),
(73703, '116.93.160.0', '116.93.255.255', 1952292864, 1952317439, 'KR', 'Korea, Republic of'),
(73704, '116.94.0.0', '116.94.255.255', 1952317440, 1952382975, 'JP', 'Japan'),
(73705, '116.95.0.0', '116.95.255.255', 1952382976, 1952448511, 'CN', 'China'),
(73706, '116.96.0.0', '116.111.255.255', 1952448512, 1953497087, 'VN', 'Vietnam'),
(73707, '116.112.0.0', '116.117.255.255', 1953497088, 1953890303, 'CN', 'China'),
(73708, '116.118.0.0', '116.118.127.255', 1953890304, 1953923071, 'VN', 'Vietnam'),
(73709, '116.118.128.0', '116.118.191.255', 1953923072, 1953939455, 'TW', 'Taiwan'),
(73710, '116.118.192.0', '116.118.239.255', 1953939456, 1953951743, 'JP', 'Japan'),
(73711, '116.118.240.0', '116.118.255.255', 1953951744, 1953955839, 'AU', 'Australia'),
(73712, '116.119.0.0', '116.119.255.255', 1953955840, 1954021375, 'IN', 'India'),
(73713, '116.120.0.0', '116.127.255.255', 1954021376, 1954545663, 'KR', 'Korea, Republic of'),
(73714, '116.128.0.0', '116.192.255.255', 1954545664, 1958805503, 'CN', 'China'),
(73715, '116.193.0.0', '116.193.7.255', 1958805504, 1958807551, 'SG', 'Singapore'),
(73716, '116.193.8.0', '116.193.15.255', 1958807552, 1958809599, 'MO', 'Macau'),
(73717, '116.193.16.0', '116.193.63.255', 1958809600, 1958821887, 'CN', 'China'),
(73718, '116.193.64.0', '116.193.79.255', 1958821888, 1958825983, 'VN', 'Vietnam'),
(73719, '116.193.80.0', '116.193.95.255', 1958825984, 1958830079, 'KR', 'Korea, Republic of'),
(73720, '116.193.96.0', '116.193.127.255', 1958830080, 1958838271, 'JP', 'Japan'),
(73721, '116.193.128.0', '116.193.143.255', 1958838272, 1958842367, 'IN', 'India'),
(73722, '116.193.144.0', '116.193.151.255', 1958842368, 1958844415, 'NZ', 'New Zealand'),
(73723, '116.193.156.0', '116.193.157.255', 1958845440, 1958845951, 'MY', 'Malaysia'),
(73724, '116.193.158.0', '116.193.159.255', 1958845952, 1958846463, 'HK', 'Hong Kong'),
(73725, '116.193.160.0', '116.193.163.255', 1958846464, 1958847487, 'IN', 'India'),
(73726, '116.193.168.0', '116.193.175.255', 1958848512, 1958850559, 'BD', 'Bangladesh'),
(73727, '116.193.176.0', '116.193.183.255', 1958850560, 1958852607, 'CN', 'China'),
(73728, '116.193.184.0', '116.193.187.255', 1958852608, 1958853631, 'AU', 'Australia'),
(73729, '116.193.188.0', '116.193.191.255', 1958853632, 1958854655, 'ID', 'Indonesia'),
(73730, '116.193.192.0', '116.193.215.255', 1958854656, 1958860799, 'AU', 'Australia'),
(73731, '116.193.216.0', '116.193.223.255', 1958860800, 1958862847, 'BD', 'Bangladesh'),
(73732, '116.193.224.0', '116.193.255.255', 1958862848, 1958871039, 'JP', 'Japan'),
(73733, '116.194.0.0', '116.196.255.255', 1958871040, 1959067647, 'CN', 'China'),
(73734, '116.197.0.0', '116.197.127.255', 1959067648, 1959100415, 'MY', 'Malaysia'),
(73735, '116.197.128.0', '116.197.135.255', 1959100416, 1959102463, 'ID', 'Indonesia'),
(73736, '116.197.136.0', '116.197.143.255', 1959102464, 1959104511, 'JP', 'Japan'),
(73737, '116.197.144.0', '116.197.151.255', 1959104512, 1959106559, 'AU', 'Australia'),
(73738, '116.197.152.0', '116.197.159.255', 1959106560, 1959108607, 'JP', 'Japan'),
(73739, '116.197.168.0', '116.197.175.255', 1959110656, 1959112703, 'JP', 'Japan'),
(73740, '116.197.176.0', '116.197.191.255', 1959112704, 1959116799, 'HK', 'Hong Kong'),
(73741, '116.197.192.0', '116.197.255.255', 1959116800, 1959133183, 'SG', 'Singapore'),
(73742, '116.198.0.0', '116.199.159.255', 1959133184, 1959239679, 'CN', 'China'),
(73743, '116.199.160.0', '116.199.167.255', 1959239680, 1959241727, 'KR', 'Korea, Republic of'),
(73744, '116.199.168.0', '116.199.175.255', 1959241728, 1959243775, 'IN', 'India'),
(73745, '116.199.176.0', '116.199.191.255', 1959243776, 1959247871, 'JP', 'Japan'),
(73746, '116.199.192.0', '116.199.207.255', 1959247872, 1959251967, 'ID', 'Indonesia'),
(73747, '116.199.208.0', '116.199.223.255', 1959251968, 1959256063, 'NZ', 'New Zealand'),
(73748, '116.199.224.0', '116.199.239.255', 1959256064, 1959260159, 'AU', 'Australia'),
(73749, '116.199.240.0', '116.199.255.255', 1959260160, 1959264255, 'JP', 'Japan'),
(73750, '116.200.0.0', '116.201.255.255', 1959264256, 1959395327, 'KR', 'Korea, Republic of'),
(73751, '116.202.0.0', '116.203.255.255', 1959395328, 1959526399, 'IN', 'India'),
(73752, '116.204.0.0', '116.211.255.255', 1959526400, 1960050687, 'CN', 'China'),
(73753, '116.212.0.0', '116.212.31.255', 1960050688, 1960058879, 'KR', 'Korea, Republic of'),
(73754, '116.212.32.0', '116.212.63.255', 1960058880, 1960067071, 'VN', 'Vietnam'),
(73755, '116.212.64.0', '116.212.71.255', 1960067072, 1960069119, 'AU', 'Australia'),
(73756, '116.212.72.0', '116.212.79.255', 1960069120, 1960071167, 'ID', 'Indonesia'),
(73757, '116.212.80.0', '116.212.95.255', 1960071168, 1960075263, 'TW', 'Taiwan'),
(73758, '116.212.96.0', '116.212.103.255', 1960075264, 1960077311, 'ID', 'Indonesia'),
(73759, '116.212.104.0', '116.212.111.255', 1960077312, 1960079359, 'BD', 'Bangladesh'),
(73760, '116.212.112.0', '116.212.127.255', 1960079360, 1960083455, 'HK', 'Hong Kong'),
(73761, '116.212.128.0', '116.212.159.255', 1960083456, 1960091647, 'KH', 'Cambodia'),
(73762, '116.212.160.0', '116.212.175.255', 1960091648, 1960095743, 'CN', 'China'),
(73763, '116.212.176.0', '116.212.183.255', 1960095744, 1960097791, 'IN', 'India'),
(73764, '116.212.184.0', '116.212.191.255', 1960097792, 1960099839, 'BD', 'Bangladesh'),
(73765, '116.212.192.0', '116.213.19.255', 1960099840, 1960121343, 'AU', 'Australia'),
(73766, '116.213.20.0', '116.213.23.255', 1960121344, 1960122367, 'JP', 'Japan'),
(73767, '116.213.24.0', '116.213.31.255', 1960122368, 1960124415, 'ID', 'Indonesia'),
(73768, '116.213.48.0', '116.213.63.255', 1960128512, 1960132607, 'ID', 'Indonesia'),
(73769, '116.213.64.0', '116.213.255.255', 1960132608, 1960181759, 'CN', 'China'),
(73770, '116.214.0.0', '116.214.15.255', 1960181760, 1960185855, 'TW', 'Taiwan'),
(73771, '116.214.16.0', '116.214.23.255', 1960185856, 1960187903, 'JP', 'Japan'),
(73772, '116.214.24.0', '116.214.31.255', 1960187904, 1960189951, 'IN', 'India'),
(73773, '116.214.32.0', '116.214.79.255', 1960189952, 1960202239, 'CN', 'China'),
(73774, '116.214.80.0', '116.214.95.255', 1960202240, 1960206335, 'JP', 'Japan'),
(73775, '116.214.96.0', '116.214.120.102', 1960206336, 1960212582, 'SG', 'Singapore'),
(73776, '116.214.120.103', '116.214.120.103', 1960212583, 1960212583, 'AP', 'Asia/Pacific Region'),
(73777, '116.214.120.104', '116.214.127.255', 1960212584, 1960214527, 'SG', 'Singapore'),
(73778, '116.214.128.0', '116.219.255.255', 1960214528, 1960574975, 'CN', 'China'),
(73779, '116.220.0.0', '116.223.255.255', 1960574976, 1960837119, 'JP', 'Japan'),
(73780, '116.224.0.0', '116.239.255.255', 1960837120, 1961885695, 'CN', 'China'),
(73781, '116.240.0.0', '116.240.255.255', 1961885696, 1961951231, 'AU', 'Australia'),
(73782, '116.241.0.0', '116.241.255.255', 1961951232, 1962016767, 'TW', 'Taiwan'),
(73783, '116.242.0.0', '116.249.255.255', 1962016768, 1962541055, 'CN', 'China'),
(73784, '116.250.0.0', '116.251.63.255', 1962541056, 1962622975, 'AU', 'Australia'),
(73785, '116.251.64.0', '116.251.127.255', 1962622976, 1962639359, 'CN', 'China'),
(73786, '116.251.128.0', '116.251.203.255', 1962639360, 1962658815, 'NZ', 'New Zealand'),
(73787, '116.251.204.0', '116.251.207.255', 1962658816, 1962659839, 'HK', 'Hong Kong'),
(73788, '116.251.208.0', '116.251.223.255', 1962659840, 1962663935, 'SG', 'Singapore'),
(73789, '116.251.224.0', '116.251.255.255', 1962663936, 1962672127, 'HK', 'Hong Kong'),
(73790, '116.252.0.0', '116.253.255.255', 1962672128, 1962803199, 'CN', 'China'),
(73791, '116.254.0.0', '116.254.95.255', 1962803200, 1962827775, 'JP', 'Japan'),
(73792, '116.254.96.0', '116.254.103.255', 1962827776, 1962829823, 'ID', 'Indonesia'),
(73793, '116.254.104.0', '116.254.111.255', 1962829824, 1962831871, 'JP', 'Japan'),
(73794, '116.254.112.0', '116.254.127.255', 1962831872, 1962835967, 'ID', 'Indonesia'),
(73795, '116.254.128.0', '116.254.255.255', 1962835968, 1962868735, 'CN', 'China'),
(73796, '116.255.0.0', '116.255.63.255', 1962868736, 1962885119, 'AU', 'Australia'),
(73797, '116.255.64.0', '116.255.127.255', 1962885120, 1962901503, 'KR', 'Korea, Republic of'),
(73798, '116.255.128.0', '116.255.255.255', 1962901504, 1962934271, 'CN', 'China'),
(73799, '117.0.0.0', '117.7.255.255', 1962934272, 1963458559, 'VN', 'Vietnam'),
(73800, '117.8.0.0', '117.15.255.255', 1963458560, 1963982847, 'CN', 'China'),
(73801, '117.16.0.0', '117.17.255.255', 1963982848, 1964113919, 'KR', 'Korea, Republic of'),
(73802, '117.18.0.0', '117.18.15.255', 1964113920, 1964118015, 'HK', 'Hong Kong'),
(73803, '117.18.16.0', '117.18.23.255', 1964118016, 1964120063, 'ID', 'Indonesia'),
(73804, '117.18.24.0', '117.18.31.255', 1964120064, 1964122111, 'JP', 'Japan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(73805, '117.18.32.0', '117.18.63.255', 1964122112, 1964130303, 'SG', 'Singapore'),
(73806, '117.18.64.0', '117.18.79.255', 1964130304, 1964134399, 'HK', 'Hong Kong'),
(73807, '117.18.80.0', '117.18.87.255', 1964134400, 1964136447, 'NZ', 'New Zealand'),
(73808, '117.18.88.0', '117.18.95.255', 1964136448, 1964138495, 'JP', 'Japan'),
(73809, '117.18.96.0', '117.18.127.255', 1964138496, 1964146687, 'HK', 'Hong Kong'),
(73810, '117.18.128.0', '117.18.223.255', 1964146688, 1964171263, 'JP', 'Japan'),
(73811, '117.18.224.0', '117.18.231.255', 1964171264, 1964173311, 'BD', 'Bangladesh'),
(73812, '117.18.232.0', '117.18.239.255', 1964173312, 1964175359, 'AU', 'Australia'),
(73813, '117.18.240.0', '117.18.255.255', 1964175360, 1964179455, 'PK', 'Pakistan'),
(73814, '117.19.0.0', '117.19.255.255', 1964179456, 1964244991, 'TW', 'Taiwan'),
(73815, '117.20.0.0', '117.20.15.255', 1964244992, 1964249087, 'AU', 'Australia'),
(73816, '117.20.16.0', '117.20.31.255', 1964249088, 1964253183, 'PK', 'Pakistan'),
(73817, '117.20.32.0', '117.20.39.255', 1964253184, 1964255231, 'WF', 'Wallis and Futuna'),
(73818, '117.20.40.0', '117.20.47.255', 1964255232, 1964257279, 'SG', 'Singapore'),
(73819, '117.20.48.0', '117.20.63.255', 1964257280, 1964261375, 'ID', 'Indonesia'),
(73820, '117.20.64.0', '117.20.71.255', 1964261376, 1964263423, 'AU', 'Australia'),
(73821, '117.20.72.0', '117.20.79.255', 1964263424, 1964265471, 'JP', 'Japan'),
(73822, '117.20.80.0', '117.20.95.255', 1964265472, 1964269567, 'KR', 'Korea, Republic of'),
(73823, '117.20.96.0', '117.20.111.255', 1964269568, 1964273663, 'JP', 'Japan'),
(73824, '117.20.112.0', '117.20.119.255', 1964273664, 1964275711, 'KH', 'Cambodia'),
(73825, '117.20.120.0', '117.20.127.255', 1964275712, 1964277759, 'GU', 'Guam'),
(73826, '117.20.128.0', '117.20.191.255', 1964277760, 1964294143, 'SG', 'Singapore'),
(73827, '117.20.192.0', '117.20.255.255', 1964294144, 1964310527, 'KR', 'Korea, Republic of'),
(73828, '117.21.0.0', '117.45.255.255', 1964310528, 1965948927, 'CN', 'China'),
(73829, '117.46.0.0', '117.46.255.255', 1965948928, 1966014463, 'JP', 'Japan'),
(73830, '117.47.0.0', '117.47.255.255', 1966014464, 1966079999, 'TH', 'Thailand'),
(73831, '117.48.0.0', '117.51.255.255', 1966080000, 1966342143, 'CN', 'China'),
(73832, '117.52.0.0', '117.52.255.255', 1966342144, 1966407679, 'KR', 'Korea, Republic of'),
(73833, '117.53.0.0', '117.53.39.255', 1966407680, 1966417919, 'JP', 'Japan'),
(73834, '117.53.48.0', '117.53.63.255', 1966419968, 1966424063, 'CN', 'China'),
(73835, '117.53.64.0', '117.53.127.255', 1966424064, 1966440447, 'KR', 'Korea, Republic of'),
(73836, '117.53.128.0', '117.53.143.255', 1966440448, 1966444543, 'AU', 'Australia'),
(73837, '117.53.152.0', '117.53.155.255', 1966446592, 1966447615, 'MY', 'Malaysia'),
(73838, '117.53.156.0', '117.53.159.255', 1966447616, 1966448639, 'NZ', 'New Zealand'),
(73839, '117.53.160.0', '117.53.175.255', 1966448640, 1966452735, 'AU', 'Australia'),
(73840, '117.53.176.0', '117.53.191.255', 1966452736, 1966456831, 'CN', 'China'),
(73841, '117.53.192.0', '117.53.255.255', 1966456832, 1966473215, 'KR', 'Korea, Republic of'),
(73842, '117.54.0.0', '117.54.255.255', 1966473216, 1966538751, 'ID', 'Indonesia'),
(73843, '117.55.0.0', '117.55.127.255', 1966538752, 1966571519, 'JP', 'Japan'),
(73844, '117.55.128.0', '117.55.191.255', 1966571520, 1966587903, 'KR', 'Korea, Republic of'),
(73845, '117.55.192.0', '117.55.207.255', 1966587904, 1966591999, 'AF', 'Afghanistan'),
(73846, '117.55.208.0', '117.55.223.255', 1966592000, 1966596095, 'JP', 'Japan'),
(73847, '117.55.224.0', '117.55.239.255', 1966596096, 1966600191, 'AU', 'Australia'),
(73848, '117.55.240.0', '117.55.247.255', 1966600192, 1966602239, 'IN', 'India'),
(73849, '117.55.248.0', '117.55.255.255', 1966602240, 1966604287, 'KH', 'Cambodia'),
(73850, '117.56.0.0', '117.56.255.255', 1966604288, 1966669823, 'TW', 'Taiwan'),
(73851, '117.57.0.0', '117.58.127.255', 1966669824, 1966768127, 'CN', 'China'),
(73852, '117.58.128.0', '117.58.143.255', 1966768128, 1966772223, 'KR', 'Korea, Republic of'),
(73853, '117.58.144.0', '117.58.159.255', 1966772224, 1966776319, 'JP', 'Japan'),
(73854, '117.58.160.0', '117.58.191.255', 1966776320, 1966784511, 'SG', 'Singapore'),
(73855, '117.58.192.0', '117.58.223.255', 1966784512, 1966792703, 'PH', 'Philippines'),
(73856, '117.58.224.0', '117.58.239.255', 1966792704, 1966796799, 'JP', 'Japan'),
(73857, '117.58.240.0', '117.58.247.255', 1966796800, 1966798847, 'BD', 'Bangladesh'),
(73858, '117.58.248.0', '117.58.255.255', 1966798848, 1966800895, 'AU', 'Australia'),
(73859, '117.59.0.0', '117.73.255.255', 1966800896, 1967783935, 'CN', 'China'),
(73860, '117.74.0.0', '117.74.63.255', 1967783936, 1967800319, 'JP', 'Japan'),
(73861, '117.74.64.0', '117.74.95.255', 1967800320, 1967808511, 'CN', 'China'),
(73862, '117.74.96.0', '117.74.111.255', 1967808512, 1967812607, 'AT', 'Austria'),
(73863, '117.74.112.0', '117.74.127.255', 1967812608, 1967816703, 'ID', 'Indonesia'),
(73864, '117.74.128.0', '117.95.255.255', 1967816704, 1969225727, 'CN', 'China'),
(73865, '117.96.0.0', '117.99.255.255', 1969225728, 1969487871, 'IN', 'India'),
(73866, '117.100.0.0', '117.101.255.255', 1969487872, 1969618943, 'CN', 'China'),
(73867, '117.102.0.0', '117.102.63.255', 1969618944, 1969635327, 'PK', 'Pakistan'),
(73868, '117.102.64.0', '117.102.127.255', 1969635328, 1969651711, 'ID', 'Indonesia'),
(73869, '117.102.128.0', '117.102.159.255', 1969651712, 1969659903, 'AU', 'Australia'),
(73870, '117.102.160.0', '117.102.167.255', 1969659904, 1969661951, 'ID', 'Indonesia'),
(73871, '117.102.168.0', '117.102.223.255', 1969661952, 1969676287, 'JP', 'Japan'),
(73872, '117.102.224.0', '117.103.15.255', 1969676288, 1969688575, 'ID', 'Indonesia'),
(73873, '117.103.16.0', '117.103.31.255', 1969688576, 1969692671, 'CN', 'China'),
(73874, '117.103.32.0', '117.103.39.255', 1969692672, 1969694719, 'ID', 'Indonesia'),
(73875, '117.103.40.0', '117.103.47.255', 1969694720, 1969696767, 'CN', 'China'),
(73876, '117.103.48.0', '117.103.71.255', 1969696768, 1969702911, 'ID', 'Indonesia'),
(73877, '117.103.72.0', '117.103.79.255', 1969702912, 1969704959, 'CN', 'China'),
(73878, '117.103.80.0', '117.103.87.255', 1969704960, 1969707007, 'BD', 'Bangladesh'),
(73879, '117.103.88.0', '117.103.95.255', 1969707008, 1969709055, 'MH', 'Marshall Islands'),
(73880, '117.103.96.0', '117.103.111.255', 1969709056, 1969713151, 'TW', 'Taiwan'),
(73881, '117.103.112.0', '117.103.119.255', 1969713152, 1969715199, 'AU', 'Australia'),
(73882, '117.103.120.0', '117.103.127.255', 1969715200, 1969717247, 'IN', 'India'),
(73883, '117.103.128.0', '117.103.143.255', 1969717248, 1969721343, 'CN', 'China'),
(73884, '117.103.144.0', '117.103.159.255', 1969721344, 1969725439, 'HK', 'Hong Kong'),
(73885, '117.103.160.0', '117.103.167.255', 1969725440, 1969727487, 'JP', 'Japan'),
(73886, '117.103.168.0', '117.103.175.255', 1969727488, 1969729535, 'ID', 'Indonesia'),
(73887, '117.103.176.0', '117.103.191.255', 1969729536, 1969733631, 'JP', 'Japan'),
(73888, '117.103.192.0', '117.103.255.255', 1969733632, 1969750015, 'VN', 'Vietnam'),
(73889, '117.104.0.0', '117.104.130.255', 1969750016, 1969783551, 'JP', 'Japan'),
(73890, '117.104.131.0', '117.104.131.255', 1969783552, 1969783807, 'US', 'United States'),
(73891, '117.104.132.0', '117.104.159.255', 1969783808, 1969790975, 'JP', 'Japan'),
(73892, '117.104.160.0', '117.104.167.255', 1969790976, 1969793023, 'AU', 'Australia'),
(73893, '117.104.168.0', '117.104.175.255', 1969793024, 1969795071, 'CN', 'China'),
(73894, '117.104.176.0', '117.104.183.255', 1969795072, 1969797119, 'NZ', 'New Zealand'),
(73895, '117.104.184.0', '117.104.187.255', 1969797120, 1969798143, 'SG', 'Singapore'),
(73896, '117.104.188.0', '117.104.191.255', 1969798144, 1969799167, 'HK', 'Hong Kong'),
(73897, '117.104.192.0', '117.104.223.255', 1969799168, 1969807359, 'ID', 'Indonesia'),
(73898, '117.104.224.0', '117.104.231.255', 1969807360, 1969809407, 'AF', 'Afghanistan'),
(73899, '117.104.232.0', '117.104.239.255', 1969809408, 1969811455, 'IN', 'India'),
(73900, '117.104.240.0', '117.104.255.255', 1969811456, 1969815551, 'PH', 'Philippines'),
(73901, '117.105.0.0', '117.105.255.255', 1969815552, 1969881087, 'SG', 'Singapore'),
(73902, '117.106.0.0', '117.107.255.255', 1969881088, 1970012159, 'CN', 'China'),
(73903, '117.108.0.0', '117.109.255.255', 1970012160, 1970143231, 'JP', 'Japan'),
(73904, '117.110.0.0', '117.111.255.255', 1970143232, 1970274303, 'KR', 'Korea, Republic of'),
(73905, '117.112.0.0', '117.119.255.255', 1970274304, 1970798591, 'CN', 'China'),
(73906, '117.120.0.0', '117.120.7.255', 1970798592, 1970800639, 'SG', 'Singapore'),
(73907, '117.120.8.0', '117.120.19.255', 1970800640, 1970803711, 'AU', 'Australia'),
(73908, '117.120.20.0', '117.120.21.255', 1970803712, 1970804223, 'HK', 'Hong Kong'),
(73909, '117.120.22.0', '117.120.23.255', 1970804224, 1970804735, 'AU', 'Australia'),
(73910, '117.120.24.0', '117.120.31.255', 1970804736, 1970806783, 'KH', 'Cambodia'),
(73911, '117.120.32.0', '117.120.39.255', 1970806784, 1970808831, 'NZ', 'New Zealand'),
(73912, '117.120.40.0', '117.120.47.255', 1970808832, 1970810879, 'AU', 'Australia'),
(73913, '117.120.48.0', '117.120.55.255', 1970810880, 1970812927, 'JP', 'Japan'),
(73914, '117.120.64.0', '117.121.199.255', 1970814976, 1970915327, 'CN', 'China'),
(73915, '117.121.200.0', '117.121.207.255', 1970915328, 1970917375, 'ID', 'Indonesia'),
(73916, '117.121.208.0', '117.121.223.255', 1970917376, 1970921471, 'TH', 'Thailand'),
(73917, '117.121.224.0', '117.121.239.255', 1970921472, 1970925567, 'NP', 'Nepal'),
(73918, '117.121.240.0', '117.121.240.255', 1970925568, 1970925823, 'MY', 'Malaysia'),
(73919, '117.121.241.0', '117.121.241.255', 1970925824, 1970926079, 'SG', 'Singapore'),
(73920, '117.121.242.0', '117.121.242.255', 1970926080, 1970926335, 'AU', 'Australia'),
(73921, '117.121.243.0', '117.121.243.255', 1970926336, 1970926591, 'US', 'United States'),
(73922, '117.121.244.0', '117.121.244.255', 1970926592, 1970926847, 'SG', 'Singapore'),
(73923, '117.121.245.0', '117.121.245.255', 1970926848, 1970927103, 'IL', 'Israel'),
(73924, '117.121.246.0', '117.121.246.255', 1970927104, 1970927359, 'SG', 'Singapore'),
(73925, '117.121.247.0', '117.121.247.255', 1970927360, 1970927615, 'US', 'United States'),
(73926, '117.121.248.0', '117.121.255.255', 1970927616, 1970929663, 'AU', 'Australia'),
(73927, '117.122.0.0', '117.122.127.255', 1970929664, 1970962431, 'VN', 'Vietnam'),
(73928, '117.122.128.0', '117.122.255.255', 1970962432, 1970995199, 'CN', 'China'),
(73929, '117.123.0.0', '117.123.255.255', 1970995200, 1971060735, 'KR', 'Korea, Republic of'),
(73930, '117.124.0.0', '117.191.255.255', 1971060736, 1975517183, 'CN', 'China'),
(73931, '117.192.0.0', '117.255.255.255', 1975517184, 1979711487, 'IN', 'India'),
(73932, '118.0.0.0', '118.23.255.255', 1979711488, 1981284351, 'JP', 'Japan'),
(73933, '118.24.0.0', '118.31.255.255', 1981284352, 1981808639, 'CN', 'China'),
(73934, '118.32.0.0', '118.63.255.255', 1981808640, 1983905791, 'KR', 'Korea, Republic of'),
(73935, '118.64.0.0', '118.66.255.255', 1983905792, 1984102399, 'CN', 'China'),
(73936, '118.67.0.0', '118.67.63.255', 1984102400, 1984118783, 'AU', 'Australia'),
(73937, '118.67.64.0', '118.67.111.255', 1984118784, 1984131071, 'JP', 'Japan'),
(73938, '118.67.112.0', '118.67.127.255', 1984131072, 1984135167, 'CN', 'China'),
(73939, '118.67.128.0', '118.67.191.255', 1984135168, 1984151551, 'KR', 'Korea, Republic of'),
(73940, '118.67.192.0', '118.67.199.255', 1984151552, 1984153599, 'NZ', 'New Zealand'),
(73941, '118.67.200.0', '118.67.207.255', 1984153600, 1984155647, 'KH', 'Cambodia'),
(73942, '118.67.208.0', '118.67.223.255', 1984155648, 1984159743, 'AU', 'Australia'),
(73943, '118.67.224.0', '118.67.255.255', 1984159744, 1984167935, 'IN', 'India'),
(73944, '118.68.0.0', '118.71.255.255', 1984167936, 1984430079, 'VN', 'Vietnam'),
(73945, '118.72.0.0', '118.81.255.255', 1984430080, 1985085439, 'CN', 'China'),
(73946, '118.82.0.0', '118.82.31.255', 1985085440, 1985093631, 'ID', 'Indonesia'),
(73947, '118.82.32.0', '118.82.47.255', 1985093632, 1985097727, 'AU', 'Australia'),
(73948, '118.82.48.0', '118.82.127.255', 1985097728, 1985118207, 'JP', 'Japan'),
(73949, '118.82.128.0', '118.82.255.255', 1985118208, 1985150975, 'NZ', 'New Zealand'),
(73950, '118.83.0.0', '118.83.255.255', 1985150976, 1985216511, 'JP', 'Japan'),
(73951, '118.84.0.0', '118.85.255.255', 1985216512, 1985347583, 'CN', 'China'),
(73952, '118.86.0.0', '118.87.255.255', 1985347584, 1985478655, 'JP', 'Japan'),
(73953, '118.88.0.0', '118.88.7.255', 1985478656, 1985480703, 'IN', 'India'),
(73954, '118.88.8.0', '118.88.15.255', 1985480704, 1985482751, 'PH', 'Philippines'),
(73955, '118.88.16.0', '118.88.23.255', 1985482752, 1985484799, 'AU', 'Australia'),
(73956, '118.88.24.0', '118.88.24.255', 1985484800, 1985485055, 'A1', 'Anonymous Proxy'),
(73957, '118.88.25.0', '118.88.31.255', 1985485056, 1985486847, 'AU', 'Australia'),
(73958, '118.88.32.0', '118.89.255.255', 1985486848, 1985609727, 'CN', 'China'),
(73959, '118.90.0.0', '118.90.255.255', 1985609728, 1985675263, 'NZ', 'New Zealand'),
(73960, '118.91.0.0', '118.91.127.255', 1985675264, 1985708031, 'KR', 'Korea, Republic of'),
(73961, '118.91.128.0', '118.91.143.255', 1985708032, 1985712127, 'ID', 'Indonesia'),
(73962, '118.91.144.0', '118.91.159.255', 1985712128, 1985716223, 'KR', 'Korea, Republic of'),
(73963, '118.91.160.0', '118.91.175.255', 1985716224, 1985720319, 'NP', 'Nepal'),
(73964, '118.91.176.0', '118.91.191.255', 1985720320, 1985724415, 'IN', 'India'),
(73965, '118.91.192.0', '118.91.223.255', 1985724416, 1985732607, 'JP', 'Japan'),
(73966, '118.91.224.0', '118.91.231.255', 1985732608, 1985734655, 'ID', 'Indonesia'),
(73967, '118.91.232.0', '118.91.239.255', 1985734656, 1985736703, 'IN', 'India'),
(73968, '118.91.240.0', '118.91.255.255', 1985736704, 1985740799, 'CN', 'China'),
(73969, '118.92.0.0', '118.93.255.255', 1985740800, 1985871871, 'NZ', 'New Zealand'),
(73970, '118.94.0.0', '118.95.255.255', 1985871872, 1986002943, 'IN', 'India'),
(73971, '118.96.0.0', '118.98.255.255', 1986002944, 1986199551, 'ID', 'Indonesia'),
(73972, '118.99.0.0', '118.99.63.255', 1986199552, 1986215935, 'HK', 'Hong Kong'),
(73973, '118.99.64.0', '118.99.127.255', 1986215936, 1986232319, 'ID', 'Indonesia'),
(73974, '118.99.128.0', '118.99.255.255', 1986232320, 1986265087, 'TW', 'Taiwan'),
(73975, '118.100.0.0', '118.101.255.255', 1986265088, 1986396159, 'MY', 'Malaysia'),
(73976, '118.102.0.0', '118.102.7.255', 1986396160, 1986398207, 'VN', 'Vietnam'),
(73977, '118.102.8.0', '118.102.15.255', 1986398208, 1986400255, 'HK', 'Hong Kong'),
(73978, '118.102.16.0', '118.102.39.255', 1986400256, 1986406399, 'CN', 'China'),
(73979, '118.102.40.0', '118.102.63.255', 1986406400, 1986412543, 'JP', 'Japan'),
(73980, '118.102.64.0', '118.102.127.255', 1986412544, 1986428927, 'AU', 'Australia'),
(73981, '118.102.128.0', '118.102.255.255', 1986428928, 1986461695, 'IN', 'India'),
(73982, '118.103.0.0', '118.103.135.255', 1986461696, 1986496511, 'JP', 'Japan'),
(73983, '118.103.136.0', '118.103.143.255', 1986496512, 1986498559, 'BT', 'Bhutan'),
(73984, '118.103.144.0', '118.103.159.255', 1986498560, 1986502655, 'HK', 'Hong Kong'),
(73985, '118.103.192.0', '118.103.223.255', 1986510848, 1986519039, 'KR', 'Korea, Republic of'),
(73986, '118.103.224.0', '118.103.239.255', 1986519040, 1986523135, 'PK', 'Pakistan'),
(73987, '118.103.240.0', '118.103.247.255', 1986523136, 1986525183, 'HK', 'Hong Kong'),
(73988, '118.103.248.0', '118.103.255.255', 1986525184, 1986527231, 'BN', 'Brunei Darussalam'),
(73989, '118.104.0.0', '118.106.255.255', 1986527232, 1986723839, 'JP', 'Japan'),
(73990, '118.107.0.0', '118.107.63.255', 1986723840, 1986740223, 'AU', 'Australia'),
(73991, '118.107.64.0', '118.107.127.255', 1986740224, 1986756607, 'VN', 'Vietnam'),
(73992, '118.107.128.0', '118.107.143.255', 1986756608, 1986760703, 'PK', 'Pakistan'),
(73993, '118.107.144.0', '118.107.151.255', 1986760704, 1986762751, 'AU', 'Australia'),
(73994, '118.107.152.0', '118.107.159.255', 1986762752, 1986764799, 'JP', 'Japan'),
(73995, '118.107.160.0', '118.107.175.255', 1986764800, 1986768895, 'KR', 'Korea, Republic of'),
(73996, '118.107.184.0', '118.107.191.255', 1986770944, 1986772991, 'AU', 'Australia'),
(73997, '118.107.192.0', '118.107.255.255', 1986772992, 1986789375, 'MY', 'Malaysia'),
(73998, '118.108.0.0', '118.111.255.255', 1986789376, 1987051519, 'JP', 'Japan'),
(73999, '118.112.0.0', '118.126.255.255', 1987051520, 1988034559, 'CN', 'China'),
(74000, '118.127.0.0', '118.127.127.255', 1988034560, 1988067327, 'AU', 'Australia'),
(74001, '118.127.128.0', '118.127.159.255', 1988067328, 1988075519, 'CN', 'China'),
(74002, '118.127.160.0', '118.127.191.255', 1988075520, 1988083711, 'AU', 'Australia'),
(74003, '118.127.192.0', '118.128.229.255', 1988083712, 1988158975, 'KR', 'Korea, Republic of'),
(74004, '118.128.230.0', '118.128.230.255', 1988158976, 1988159231, 'US', 'United States'),
(74005, '118.128.231.0', '118.131.255.255', 1988159232, 1988362239, 'KR', 'Korea, Republic of'),
(74006, '118.132.0.0', '118.135.255.255', 1988362240, 1988624383, 'CN', 'China'),
(74007, '118.136.0.0', '118.137.255.255', 1988624384, 1988755455, 'ID', 'Indonesia'),
(74008, '118.138.0.0', '118.139.159.255', 1988755456, 1988861951, 'AU', 'Australia'),
(74009, '118.139.160.0', '118.139.191.255', 1988861952, 1988870143, 'SG', 'Singapore'),
(74010, '118.139.192.0', '118.139.255.255', 1988870144, 1988886527, 'KR', 'Korea, Republic of'),
(74011, '118.140.0.0', '118.143.255.255', 1988886528, 1989148671, 'HK', 'Hong Kong'),
(74012, '118.144.0.0', '118.147.255.255', 1989148672, 1989410815, 'CN', 'China'),
(74013, '118.148.0.0', '118.149.255.255', 1989410816, 1989541887, 'NZ', 'New Zealand'),
(74014, '118.150.0.0', '118.150.255.255', 1989541888, 1989607423, 'TW', 'Taiwan'),
(74015, '118.151.0.0', '118.151.207.255', 1989607424, 1989660671, 'JP', 'Japan'),
(74016, '118.151.208.0', '118.151.211.255', 1989660672, 1989661695, 'IN', 'India'),
(74017, '118.151.212.0', '118.151.215.255', 1989661696, 1989662719, 'ID', 'Indonesia'),
(74018, '118.151.216.0', '118.151.219.255', 1989662720, 1989663743, 'AU', 'Australia'),
(74019, '118.151.220.0', '118.151.223.255', 1989663744, 1989664767, 'ID', 'Indonesia'),
(74020, '118.151.224.0', '118.159.255.255', 1989664768, 1990197247, 'JP', 'Japan'),
(74021, '118.160.0.0', '118.171.255.255', 1990197248, 1990983679, 'TW', 'Taiwan'),
(74022, '118.172.0.0', '118.175.255.255', 1990983680, 1991245823, 'TH', 'Thailand'),
(74023, '118.176.0.0', '118.176.255.255', 1991245824, 1991311359, 'KR', 'Korea, Republic of'),
(74024, '118.177.0.0', '118.177.255.255', 1991311360, 1991376895, 'JP', 'Japan'),
(74025, '118.178.0.0', '118.178.255.255', 1991376896, 1991442431, 'CN', 'China'),
(74026, '118.179.0.0', '118.179.223.255', 1991442432, 1991499775, 'BD', 'Bangladesh'),
(74027, '118.179.224.0', '118.179.255.255', 1991499776, 1991507967, 'NC', 'New Caledonia'),
(74028, '118.180.0.0', '118.188.255.255', 1991507968, 1992097791, 'CN', 'China'),
(74029, '118.189.0.0', '118.189.255.255', 1992097792, 1992163327, 'HK', 'Hong Kong'),
(74030, '118.190.0.0', '118.207.255.255', 1992163328, 1993342975, 'CN', 'China'),
(74031, '118.208.0.0', '118.211.255.255', 1993342976, 1993605119, 'AU', 'Australia'),
(74032, '118.212.0.0', '118.213.255.255', 1993605120, 1993736191, 'CN', 'China'),
(74033, '118.214.0.0', '118.215.255.255', 1993736192, 1993867263, 'SG', 'Singapore'),
(74034, '118.216.0.0', '118.223.255.255', 1993867264, 1994391551, 'KR', 'Korea, Republic of'),
(74035, '118.224.0.0', '118.230.255.255', 1994391552, 1994850303, 'CN', 'China'),
(74036, '118.231.0.0', '118.233.255.255', 1994850304, 1995046911, 'TW', 'Taiwan'),
(74037, '118.234.0.0', '118.235.255.255', 1995046912, 1995177983, 'KR', 'Korea, Republic of'),
(74038, '118.236.0.0', '118.238.255.255', 1995177984, 1995374591, 'JP', 'Japan'),
(74039, '118.239.0.0', '118.239.255.255', 1995374592, 1995440127, 'CN', 'China'),
(74040, '118.240.0.0', '118.241.255.255', 1995440128, 1995571199, 'JP', 'Japan'),
(74041, '118.242.0.0', '118.242.255.255', 1995571200, 1995636735, 'CN', 'China'),
(74042, '118.243.0.0', '118.243.255.255', 1995636736, 1995702271, 'JP', 'Japan'),
(74043, '118.244.0.0', '119.2.31.255', 1995702272, 1996627967, 'CN', 'China'),
(74044, '119.2.32.0', '119.2.39.255', 1996627968, 1996630015, 'PH', 'Philippines'),
(74045, '119.2.40.0', '119.2.55.255', 1996630016, 1996634111, 'ID', 'Indonesia'),
(74046, '119.2.56.0', '119.2.63.255', 1996634112, 1996636159, 'NP', 'Nepal'),
(74047, '119.2.64.0', '119.2.95.255', 1996636160, 1996644351, 'ID', 'Indonesia'),
(74048, '119.2.96.0', '119.2.127.255', 1996644352, 1996652543, 'BT', 'Bhutan'),
(74049, '119.2.128.0', '119.8.255.255', 1996652544, 1997078527, 'CN', 'China'),
(74050, '119.9.0.0', '119.9.255.255', 1997078528, 1997144063, 'HK', 'Hong Kong'),
(74051, '119.10.0.0', '119.10.127.255', 1997144064, 1997176831, 'CN', 'China'),
(74052, '119.10.128.0', '119.10.143.255', 1997176832, 1997180927, 'AU', 'Australia'),
(74053, '119.10.144.0', '119.10.159.255', 1997180928, 1997185023, 'HK', 'Hong Kong'),
(74054, '119.10.160.0', '119.10.167.255', 1997185024, 1997187071, 'JP', 'Japan'),
(74055, '119.10.168.0', '119.10.175.255', 1997187072, 1997189119, 'HK', 'Hong Kong'),
(74056, '119.10.176.0', '119.10.183.255', 1997189120, 1997191167, 'ID', 'Indonesia'),
(74057, '119.10.184.0', '119.10.255.255', 1997191168, 1997209599, 'JP', 'Japan'),
(74058, '119.11.0.0', '119.11.127.255', 1997209600, 1997242367, 'AU', 'Australia'),
(74059, '119.11.128.0', '119.11.255.255', 1997242368, 1997275135, 'ID', 'Indonesia'),
(74060, '119.12.0.0', '119.13.255.255', 1997275136, 1997406207, 'AU', 'Australia'),
(74061, '119.14.0.0', '119.14.255.255', 1997406208, 1997471743, 'TW', 'Taiwan'),
(74062, '119.15.0.0', '119.15.31.255', 1997471744, 1997479935, 'NZ', 'New Zealand'),
(74063, '119.15.32.0', '119.15.63.255', 1997479936, 1997488127, 'JP', 'Japan'),
(74064, '119.15.64.0', '119.15.79.255', 1997488128, 1997492223, 'AU', 'Australia'),
(74065, '119.15.80.0', '119.15.95.255', 1997492224, 1997496319, 'KH', 'Cambodia'),
(74066, '119.15.96.0', '119.15.111.255', 1997496320, 1997500415, 'AU', 'Australia'),
(74067, '119.15.112.0', '119.15.127.255', 1997500416, 1997504511, 'JP', 'Japan'),
(74068, '119.15.128.0', '119.15.135.255', 1997504512, 1997506559, 'ID', 'Indonesia'),
(74069, '119.15.136.0', '119.15.143.255', 1997506560, 1997508607, 'CN', 'China'),
(74070, '119.15.144.0', '119.15.151.255', 1997508608, 1997510655, 'JP', 'Japan'),
(74071, '119.15.152.0', '119.15.159.255', 1997510656, 1997512703, 'BD', 'Bangladesh'),
(74072, '119.15.160.0', '119.15.191.255', 1997512704, 1997520895, 'VN', 'Vietnam'),
(74073, '119.15.192.0', '119.15.255.255', 1997520896, 1997537279, 'TW', 'Taiwan'),
(74074, '119.16.0.0', '119.16.255.255', 1997537280, 1997602815, 'CN', 'China'),
(74075, '119.17.0.0', '119.17.31.255', 1997602816, 1997611007, 'KR', 'Korea, Republic of'),
(74076, '119.17.32.0', '119.17.63.255', 1997611008, 1997619199, 'AU', 'Australia'),
(74077, '119.17.64.0', '119.17.127.255', 1997619200, 1997635583, 'KR', 'Korea, Republic of'),
(74078, '119.17.128.0', '119.17.191.255', 1997635584, 1997651967, 'AU', 'Australia'),
(74079, '119.17.192.0', '119.17.255.255', 1997651968, 1997668351, 'VN', 'Vietnam'),
(74080, '119.18.0.0', '119.18.47.255', 1997668352, 1997680639, 'AU', 'Australia'),
(74081, '119.18.48.0', '119.18.63.255', 1997680640, 1997684735, 'IN', 'India'),
(74082, '119.18.64.0', '119.18.127.255', 1997684736, 1997701119, 'KR', 'Korea, Republic of'),
(74083, '119.18.128.0', '119.18.143.255', 1997701120, 1997705215, 'VN', 'Vietnam'),
(74084, '119.18.144.0', '119.18.151.255', 1997705216, 1997707263, 'BD', 'Bangladesh'),
(74085, '119.18.152.0', '119.18.159.255', 1997707264, 1997709311, 'ID', 'Indonesia'),
(74086, '119.18.160.0', '119.18.183.255', 1997709312, 1997715455, 'JP', 'Japan'),
(74087, '119.18.184.0', '119.18.191.255', 1997715456, 1997717503, 'VN', 'Vietnam'),
(74088, '119.18.192.0', '119.18.215.255', 1997717504, 1997723647, 'CN', 'China'),
(74089, '119.18.216.0', '119.18.223.255', 1997723648, 1997725695, 'JP', 'Japan'),
(74090, '119.18.224.0', '119.23.255.255', 1997725696, 1998061567, 'CN', 'China'),
(74091, '119.24.0.0', '119.26.255.255', 1998061568, 1998258175, 'JP', 'Japan'),
(74092, '119.27.0.0', '119.27.63.255', 1998258176, 1998274559, 'SG', 'Singapore'),
(74093, '119.27.64.0', '119.29.255.255', 1998274560, 1998454783, 'CN', 'China'),
(74094, '119.30.0.0', '119.30.7.255', 1998454784, 1998456831, 'AU', 'Australia'),
(74095, '119.30.8.0', '119.30.15.255', 1998456832, 1998458879, 'JP', 'Japan'),
(74096, '119.30.16.0', '119.30.31.255', 1998458880, 1998462975, 'TW', 'Taiwan'),
(74097, '119.30.32.0', '119.30.47.255', 1998462976, 1998467071, 'BD', 'Bangladesh'),
(74098, '119.30.48.0', '119.30.63.255', 1998467072, 1998471167, 'CN', 'China'),
(74099, '119.30.64.0', '119.30.127.255', 1998471168, 1998487551, 'PK', 'Pakistan'),
(74100, '119.30.128.0', '119.30.191.255', 1998487552, 1998503935, 'KR', 'Korea, Republic of'),
(74101, '119.30.192.0', '119.30.255.255', 1998503936, 1998520319, 'JP', 'Japan'),
(74102, '119.31.0.0', '119.31.127.255', 1998520320, 1998553087, 'TH', 'Thailand'),
(74103, '119.31.128.0', '119.31.159.255', 1998553088, 1998561279, 'JP', 'Japan'),
(74104, '119.31.160.0', '119.31.162.255', 1998561280, 1998562047, 'IN', 'India'),
(74105, '119.31.163.0', '119.31.163.255', 1998562048, 1998562303, 'TH', 'Thailand'),
(74106, '119.31.164.0', '119.31.164.255', 1998562304, 1998562559, 'IN', 'India'),
(74107, '119.31.165.0', '119.31.165.255', 1998562560, 1998562815, 'AP', 'Asia/Pacific Region'),
(74108, '119.31.166.0', '119.31.166.47', 1998562816, 1998562863, 'IN', 'India'),
(74109, '119.31.166.48', '119.31.166.48', 1998562864, 1998562864, 'HK', 'Hong Kong'),
(74110, '119.31.166.49', '119.31.175.255', 1998562865, 1998565375, 'IN', 'India'),
(74111, '119.31.176.0', '119.31.191.255', 1998565376, 1998569471, 'TW', 'Taiwan'),
(74112, '119.31.192.0', '119.31.223.255', 1998569472, 1998577663, 'CN', 'China'),
(74113, '119.31.224.0', '119.31.231.255', 1998577664, 1998579711, 'AU', 'Australia'),
(74114, '119.31.232.0', '119.31.239.255', 1998579712, 1998581759, 'SG', 'Singapore'),
(74115, '119.31.240.0', '119.31.255.255', 1998581760, 1998585855, 'KR', 'Korea, Republic of'),
(74116, '119.32.0.0', '119.40.79.255', 1998585856, 1999130623, 'CN', 'China'),
(74117, '119.40.80.0', '119.40.95.255', 1999130624, 1999134719, 'BD', 'Bangladesh'),
(74118, '119.40.96.0', '119.40.103.255', 1999134720, 1999136767, 'MN', 'Mongolia'),
(74119, '119.40.104.0', '119.40.111.255', 1999136768, 1999138815, 'AU', 'Australia'),
(74120, '119.40.112.0', '119.40.127.255', 1999138816, 1999142911, 'MY', 'Malaysia'),
(74121, '119.40.128.0', '119.42.31.255', 1999142912, 1999249407, 'CN', 'China'),
(74122, '119.42.32.0', '119.42.63.255', 1999249408, 1999257599, 'PH', 'Philippines'),
(74123, '119.42.64.0', '119.42.127.255', 1999257600, 1999273983, 'TH', 'Thailand'),
(74124, '119.42.128.0', '119.42.143.255', 1999273984, 1999278079, 'CN', 'China'),
(74125, '119.42.144.0', '119.42.144.17', 1999278080, 1999278097, 'HK', 'Hong Kong'),
(74126, '119.42.144.18', '119.42.144.18', 1999278098, 1999278098, 'A1', 'Anonymous Proxy'),
(74127, '119.42.144.19', '119.42.151.255', 1999278099, 1999280127, 'HK', 'Hong Kong'),
(74128, '119.42.152.0', '119.42.159.255', 1999280128, 1999282175, 'IN', 'India'),
(74129, '119.42.160.0', '119.42.191.255', 1999282176, 1999290367, 'KR', 'Korea, Republic of'),
(74130, '119.42.192.0', '119.42.223.255', 1999290368, 1999298559, 'SG', 'Singapore'),
(74131, '119.42.224.0', '119.42.255.255', 1999298560, 1999306751, 'CN', 'China'),
(74132, '119.43.0.0', '119.43.255.255', 1999306752, 1999372287, 'IN', 'India'),
(74133, '119.44.0.0', '119.45.255.255', 1999372288, 1999503359, 'CN', 'China'),
(74134, '119.46.0.0', '119.46.255.255', 1999503360, 1999568895, 'TH', 'Thailand'),
(74135, '119.47.0.0', '119.47.79.255', 1999568896, 1999589375, 'JP', 'Japan'),
(74136, '119.47.80.0', '119.47.87.255', 1999589376, 1999591423, 'HK', 'Hong Kong'),
(74137, '119.47.88.0', '119.47.95.255', 1999591424, 1999593471, 'ID', 'Indonesia'),
(74138, '119.47.96.0', '119.47.111.255', 1999593472, 1999597567, 'JP', 'Japan'),
(74139, '119.47.112.0', '119.47.127.255', 1999597568, 1999601663, 'NZ', 'New Zealand'),
(74140, '119.47.128.0', '119.47.255.255', 1999601664, 1999634431, 'JP', 'Japan'),
(74141, '119.48.0.0', '119.55.255.255', 1999634432, 2000158719, 'CN', 'China'),
(74142, '119.56.0.0', '119.56.127.255', 2000158720, 2000191487, 'SG', 'Singapore'),
(74143, '119.56.128.0', '119.56.255.255', 2000191488, 2000224255, 'KR', 'Korea, Republic of'),
(74144, '119.57.0.0', '119.58.255.255', 2000224256, 2000355327, 'CN', 'China'),
(74145, '119.59.0.0', '119.59.63.255', 2000355328, 2000371711, 'KR', 'Korea, Republic of'),
(74146, '119.59.64.0', '119.59.71.255', 2000371712, 2000373759, 'JP', 'Japan'),
(74147, '119.59.72.0', '119.59.79.255', 2000373760, 2000375807, 'HK', 'Hong Kong'),
(74148, '119.59.80.0', '119.59.87.255', 2000375808, 2000377855, 'AF', 'Afghanistan'),
(74149, '119.59.88.0', '119.59.95.255', 2000377856, 2000379903, 'JP', 'Japan'),
(74150, '119.59.96.0', '119.59.127.255', 2000379904, 2000388095, 'TH', 'Thailand'),
(74151, '119.59.128.0', '119.62.255.255', 2000388096, 2000617471, 'CN', 'China'),
(74152, '119.63.0.0', '119.63.15.255', 2000617472, 2000621567, 'PH', 'Philippines'),
(74153, '119.63.16.0', '119.63.31.255', 2000621568, 2000625663, 'JP', 'Japan'),
(74154, '119.63.32.0', '119.63.63.255', 2000625664, 2000633855, 'CN', 'China'),
(74155, '119.63.64.0', '119.63.95.255', 2000633856, 2000642047, 'TH', 'Thailand'),
(74156, '119.63.96.0', '119.63.111.255', 2000642048, 2000646143, 'HK', 'Hong Kong'),
(74157, '119.63.112.0', '119.63.127.255', 2000646144, 2000650239, 'JP', 'Japan'),
(74158, '119.63.128.0', '119.63.143.255', 2000650240, 2000654335, 'PK', 'Pakistan'),
(74159, '119.63.144.0', '119.63.199.255', 2000654336, 2000668671, 'JP', 'Japan'),
(74160, '119.63.200.0', '119.63.223.255', 2000668672, 2000674815, 'AU', 'Australia'),
(74161, '119.63.224.0', '119.71.255.255', 2000674816, 2001207295, 'KR', 'Korea, Republic of'),
(74162, '119.72.0.0', '119.72.255.255', 2001207296, 2001272831, 'JP', 'Japan'),
(74163, '119.73.0.0', '119.73.127.255', 2001272832, 2001305599, 'PK', 'Pakistan'),
(74164, '119.73.128.0', '119.75.63.255', 2001305600, 2001420287, 'SG', 'Singapore'),
(74165, '119.75.64.0', '119.75.191.255', 2001420288, 2001453055, 'KR', 'Korea, Republic of'),
(74166, '119.75.192.0', '119.75.207.255', 2001453056, 2001457151, 'SG', 'Singapore'),
(74167, '119.75.208.0', '119.75.223.255', 2001457152, 2001461247, 'CN', 'China'),
(74168, '119.75.224.0', '119.75.239.255', 2001461248, 2001465343, 'JP', 'Japan'),
(74169, '119.75.240.0', '119.75.255.255', 2001465344, 2001469439, 'TW', 'Taiwan'),
(74170, '119.76.0.0', '119.76.255.255', 2001469440, 2001534975, 'TH', 'Thailand'),
(74171, '119.77.0.0', '119.77.95.255', 2001534976, 2001559551, 'AU', 'Australia'),
(74172, '119.77.96.0', '119.77.127.255', 2001559552, 2001567743, 'KR', 'Korea, Republic of'),
(74173, '119.77.128.0', '119.77.255.255', 2001567744, 2001600511, 'TW', 'Taiwan'),
(74174, '119.78.0.0', '119.80.255.255', 2001600512, 2001797119, 'CN', 'China'),
(74175, '119.81.0.0', '119.81.255.255', 2001797120, 2001862655, 'SG', 'Singapore'),
(74176, '119.82.0.0', '119.82.7.255', 2001862656, 2001864703, 'AU', 'Australia'),
(74177, '119.82.8.0', '119.82.31.255', 2001864704, 2001870847, 'JP', 'Japan'),
(74178, '119.82.32.0', '119.82.63.255', 2001870848, 2001879039, 'KR', 'Korea, Republic of'),
(74179, '119.82.64.0', '119.82.127.255', 2001879040, 2001895423, 'IN', 'India'),
(74180, '119.82.128.0', '119.82.143.255', 2001895424, 2001899519, 'VN', 'Vietnam'),
(74181, '119.82.144.0', '119.82.151.255', 2001899520, 2001901567, 'AU', 'Australia'),
(74182, '119.82.152.0', '119.82.207.255', 2001901568, 2001915903, 'JP', 'Japan'),
(74183, '119.82.208.0', '119.82.223.255', 2001915904, 2001919999, 'CN', 'China'),
(74184, '119.82.224.0', '119.82.247.255', 2001920000, 2001926143, 'ID', 'Indonesia'),
(74185, '119.82.248.0', '119.82.255.255', 2001926144, 2001928191, 'KH', 'Cambodia'),
(74186, '119.83.0.0', '119.83.255.255', 2001928192, 2001993727, 'JP', 'Japan'),
(74187, '119.84.0.0', '119.91.255.255', 2001993728, 2002518015, 'CN', 'China'),
(74188, '119.92.0.0', '119.95.255.255', 2002518016, 2002780159, 'PH', 'Philippines'),
(74189, '119.96.0.0', '119.103.255.255', 2002780160, 2003304447, 'CN', 'China'),
(74190, '119.104.0.0', '119.107.255.255', 2003304448, 2003566591, 'JP', 'Japan'),
(74191, '119.108.0.0', '119.109.255.255', 2003566592, 2003697663, 'CN', 'China'),
(74192, '119.110.0.0', '119.110.63.255', 2003697664, 2003714047, 'MY', 'Malaysia'),
(74193, '119.110.64.0', '119.110.87.255', 2003714048, 2003720191, 'ID', 'Indonesia'),
(74194, '119.110.88.0', '119.110.95.255', 2003720192, 2003722239, 'JP', 'Japan'),
(74195, '119.110.96.0', '119.110.111.255', 2003722240, 2003726335, 'MY', 'Malaysia'),
(74196, '119.110.112.0', '119.110.127.255', 2003726336, 2003730431, 'ID', 'Indonesia'),
(74197, '119.110.128.0', '119.110.255.255', 2003730432, 2003763199, 'MY', 'Malaysia'),
(74198, '119.111.0.0', '119.111.255.255', 2003763200, 2003828735, 'PH', 'Philippines'),
(74199, '119.112.0.0', '119.147.255.255', 2003828736, 2006188031, 'CN', 'China'),
(74200, '119.148.0.0', '119.148.63.255', 2006188032, 2006204415, 'BD', 'Bangladesh'),
(74201, '119.148.64.0', '119.148.95.255', 2006204416, 2006212607, 'AU', 'Australia'),
(74202, '119.148.96.0', '119.148.103.255', 2006212608, 2006214655, 'TH', 'Thailand'),
(74203, '119.148.104.0', '119.148.111.255', 2006214656, 2006216703, 'JP', 'Japan'),
(74204, '119.148.112.0', '119.148.159.255', 2006216704, 2006228991, 'KR', 'Korea, Republic of'),
(74205, '119.148.160.0', '119.148.191.255', 2006228992, 2006237183, 'CN', 'China'),
(74206, '119.148.192.0', '119.148.255.255', 2006237184, 2006253567, 'JP', 'Japan'),
(74207, '119.149.0.0', '119.149.255.255', 2006253568, 2006319103, 'KR', 'Korea, Republic of'),
(74208, '119.150.0.0', '119.150.255.255', 2006319104, 2006384639, 'JP', 'Japan'),
(74209, '119.151.0.0', '119.151.191.255', 2006384640, 2006433791, 'IN', 'India'),
(74210, '119.151.192.0', '119.151.255.255', 2006433792, 2006450175, 'CN', 'China'),
(74211, '119.152.0.0', '119.160.127.255', 2006450176, 2007007231, 'PK', 'Pakistan'),
(74212, '119.160.128.0', '119.160.191.255', 2007007232, 2007023615, 'BN', 'Brunei Darussalam'),
(74213, '119.160.192.0', '119.160.199.255', 2007023616, 2007025663, 'IN', 'India'),
(74214, '119.160.200.0', '119.160.207.255', 2007025664, 2007027711, 'CN', 'China'),
(74215, '119.160.208.0', '119.160.223.255', 2007027712, 2007031807, 'TH', 'Thailand'),
(74216, '119.160.224.0', '119.160.239.255', 2007031808, 2007035903, 'AU', 'Australia'),
(74217, '119.160.240.0', '119.160.255.255', 2007035904, 2007039999, 'TW', 'Taiwan'),
(74218, '119.161.0.0', '119.161.31.255', 2007040000, 2007048191, 'KR', 'Korea, Republic of'),
(74219, '119.161.32.0', '119.161.95.255', 2007048192, 2007064575, 'AU', 'Australia'),
(74220, '119.161.104.0', '119.161.119.255', 2007066624, 2007070719, 'JP', 'Japan'),
(74221, '119.161.120.0', '119.161.127.255', 2007070720, 2007072767, 'IN', 'India'),
(74222, '119.161.128.0', '119.167.255.255', 2007072768, 2007498751, 'CN', 'China'),
(74223, '119.168.0.0', '119.175.255.255', 2007498752, 2008023039, 'JP', 'Japan'),
(74224, '119.176.0.0', '119.191.255.255', 2008023040, 2009071615, 'CN', 'China'),
(74225, '119.192.0.0', '119.223.255.255', 2009071616, 2011168767, 'KR', 'Korea, Republic of'),
(74226, '119.224.0.0', '119.224.143.255', 2011168768, 2011205631, 'NZ', 'New Zealand'),
(74227, '119.224.144.0', '119.224.159.255', 2011205632, 2011209727, 'AU', 'Australia'),
(74228, '119.224.160.0', '119.224.255.255', 2011209728, 2011234303, 'JP', 'Japan'),
(74229, '119.225.0.0', '119.225.255.255', 2011234304, 2011299839, 'AU', 'Australia'),
(74230, '119.226.0.0', '119.227.255.255', 2011299840, 2011430911, 'IN', 'India'),
(74231, '119.228.0.0', '119.231.255.255', 2011430912, 2011693055, 'JP', 'Japan'),
(74232, '119.232.0.0', '119.233.255.255', 2011693056, 2011824127, 'CN', 'China'),
(74233, '119.234.0.0', '119.234.255.255', 2011824128, 2011889663, 'SG', 'Singapore'),
(74234, '119.235.0.0', '119.235.15.255', 2011889664, 2011893759, 'LK', 'Sri Lanka'),
(74235, '119.235.16.0', '119.235.31.255', 2011893760, 2011897855, 'ID', 'Indonesia'),
(74236, '119.235.32.0', '119.235.39.255', 2011897856, 2011899903, 'NZ', 'New Zealand'),
(74237, '119.235.40.0', '119.235.47.255', 2011899904, 2011901951, 'HK', 'Hong Kong'),
(74238, '119.235.48.0', '119.235.63.255', 2011901952, 2011906047, 'IN', 'India'),
(74239, '119.235.64.0', '119.235.103.255', 2011906048, 2011916287, 'FJ', 'Fiji'),
(74240, '119.235.104.0', '119.235.127.255', 2011916288, 2011922431, 'JP', 'Japan'),
(74241, '119.235.128.0', '119.235.191.255', 2011922432, 2011938815, 'CN', 'China'),
(74242, '119.235.192.0', '119.235.207.255', 2011938816, 2011942911, 'KR', 'Korea, Republic of'),
(74243, '119.235.208.0', '119.235.223.255', 2011942912, 2011947007, 'ID', 'Indonesia'),
(74244, '119.235.224.0', '119.235.239.255', 2011947008, 2011951103, 'JP', 'Japan'),
(74245, '119.235.240.0', '119.235.247.255', 2011951104, 2011953151, 'KR', 'Korea, Republic of'),
(74246, '119.235.248.0', '119.235.255.255', 2011953152, 2011955199, 'ID', 'Indonesia'),
(74247, '119.236.0.0', '119.237.255.255', 2011955200, 2012086271, 'HK', 'Hong Kong'),
(74248, '119.238.0.0', '119.245.255.255', 2012086272, 2012610559, 'JP', 'Japan'),
(74249, '119.246.0.0', '119.247.255.255', 2012610560, 2012741631, 'HK', 'Hong Kong'),
(74250, '119.248.0.0', '119.251.255.255', 2012741632, 2013003775, 'CN', 'China'),
(74251, '119.252.0.0', '119.252.31.255', 2013003776, 2013011967, 'AU', 'Australia'),
(74252, '119.252.32.0', '119.252.63.255', 2013011968, 2013020159, 'JP', 'Japan'),
(74253, '119.252.64.0', '119.252.95.255', 2013020160, 2013028351, 'AU', 'Australia'),
(74254, '119.252.96.0', '119.252.103.255', 2013028352, 2013030399, 'CN', 'China'),
(74255, '119.252.104.0', '119.252.111.255', 2013030400, 2013032447, 'ID', 'Indonesia'),
(74256, '119.252.112.0', '119.252.127.255', 2013032448, 2013036543, 'FM', 'Micronesia, Federated States of'),
(74257, '119.252.128.0', '119.252.135.255', 2013036544, 2013038591, 'ID', 'Indonesia'),
(74258, '119.252.136.0', '119.252.143.255', 2013038592, 2013040639, 'HK', 'Hong Kong'),
(74259, '119.252.144.0', '119.252.159.255', 2013040640, 2013044735, 'IN', 'India'),
(74260, '119.252.160.0', '119.252.175.255', 2013044736, 2013048831, 'ID', 'Indonesia'),
(74261, '119.252.176.0', '119.252.191.255', 2013048832, 2013052927, 'AU', 'Australia'),
(74262, '119.252.192.0', '119.252.223.255', 2013052928, 2013061119, 'IN', 'India'),
(74263, '119.252.224.0', '119.252.239.255', 2013061120, 2013065215, 'PG', 'Papua New Guinea'),
(74264, '119.252.240.0', '120.15.255.255', 2013065216, 2014314495, 'CN', 'China'),
(74265, '120.16.0.0', '120.23.255.255', 2014314496, 2014838783, 'AU', 'Australia'),
(74266, '120.24.0.0', '120.27.255.255', 2014838784, 2015100927, 'CN', 'China'),
(74267, '120.28.0.0', '120.28.255.255', 2015100928, 2015166463, 'PH', 'Philippines'),
(74268, '120.29.0.0', '120.29.63.255', 2015166464, 2015182847, 'AU', 'Australia'),
(74269, '120.29.64.0', '120.29.127.255', 2015182848, 2015199231, 'PH', 'Philippines'),
(74270, '120.29.128.0', '120.29.143.255', 2015199232, 2015203327, 'KR', 'Korea, Republic of'),
(74271, '120.29.144.0', '120.29.151.255', 2015203328, 2015205375, 'JP', 'Japan'),
(74272, '120.29.152.0', '120.29.159.255', 2015205376, 2015207423, 'ID', 'Indonesia'),
(74273, '120.29.160.0', '120.29.191.255', 2015207424, 2015215615, 'JP', 'Japan'),
(74274, '120.29.192.0', '120.29.207.255', 2015215616, 2015219711, 'IN', 'India'),
(74275, '120.29.208.0', '120.29.208.255', 2015219712, 2015219967, 'US', 'United States'),
(74276, '120.29.209.0', '120.29.209.255', 2015219968, 2015220223, 'PH', 'Philippines'),
(74277, '120.29.210.0', '120.29.210.255', 2015220224, 2015220479, 'IN', 'India'),
(74278, '120.29.211.0', '120.29.211.255', 2015220480, 2015220735, 'HK', 'Hong Kong'),
(74279, '120.29.212.0', '120.29.223.255', 2015220736, 2015223807, 'IN', 'India'),
(74280, '120.29.224.0', '120.29.231.255', 2015223808, 2015225855, 'ID', 'Indonesia'),
(74281, '120.29.232.0', '120.29.239.255', 2015225856, 2015227903, 'IN', 'India'),
(74282, '120.29.240.0', '120.29.255.255', 2015227904, 2015231999, 'AU', 'Australia'),
(74283, '120.30.0.0', '120.49.255.255', 2015232000, 2016542719, 'CN', 'China'),
(74284, '120.50.0.0', '120.50.31.255', 2016542720, 2016550911, 'BD', 'Bangladesh'),
(74285, '120.50.32.0', '120.50.47.255', 2016550912, 2016555007, 'SG', 'Singapore'),
(74286, '120.50.48.0', '120.50.63.255', 2016555008, 2016559103, 'MY', 'Malaysia'),
(74287, '120.50.64.0', '120.50.159.255', 2016559104, 2016583679, 'KR', 'Korea, Republic of'),
(74288, '120.50.160.0', '120.50.175.255', 2016583680, 2016587775, 'JP', 'Japan'),
(74289, '120.50.176.0', '120.50.183.255', 2016587776, 2016589823, 'BD', 'Bangladesh'),
(74290, '120.50.184.0', '120.50.191.255', 2016589824, 2016591871, 'VN', 'Vietnam'),
(74291, '120.50.192.0', '120.51.255.255', 2016591872, 2016673791, 'JP', 'Japan'),
(74292, '120.52.0.0', '120.55.255.255', 2016673792, 2016935935, 'CN', 'China'),
(74293, '120.56.0.0', '120.63.255.255', 2016935936, 2017460223, 'IN', 'India'),
(74294, '120.64.0.0', '120.71.255.255', 2017460224, 2017984511, 'CN', 'China'),
(74295, '120.72.0.0', '120.72.15.255', 2017984512, 2017988607, 'JP', 'Japan'),
(74296, '120.72.16.0', '120.72.31.255', 2017988608, 2017992703, 'PH', 'Philippines'),
(74297, '120.72.32.0', '120.72.63.255', 2017992704, 2018000895, 'CN', 'China'),
(74298, '120.72.64.0', '120.72.79.255', 2018000896, 2018004991, 'JP', 'Japan'),
(74299, '120.72.80.0', '120.72.87.255', 2018004992, 2018007039, 'VN', 'Vietnam'),
(74300, '120.72.88.0', '120.72.95.255', 2018007040, 2018009087, 'IN', 'India'),
(74301, '120.72.96.0', '120.72.127.255', 2018009088, 2018017279, 'VN', 'Vietnam'),
(74302, '120.72.128.0', '120.72.255.255', 2018017280, 2018050047, 'CN', 'China'),
(74303, '120.73.0.0', '120.73.255.255', 2018050048, 2018115583, 'KR', 'Korea, Republic of'),
(74304, '120.74.0.0', '120.75.255.255', 2018115584, 2018246655, 'JP', 'Japan'),
(74305, '120.76.0.0', '120.87.255.255', 2018246656, 2019033087, 'CN', 'China'),
(74306, '120.88.0.0', '120.88.7.255', 2019033088, 2019035135, 'AU', 'Australia'),
(74307, '120.88.8.0', '120.88.15.255', 2019035136, 2019037183, 'CN', 'China'),
(74308, '120.88.16.0', '120.88.31.255', 2019037184, 2019041279, 'JP', 'Japan'),
(74309, '120.88.32.0', '120.88.47.255', 2019041280, 2019045375, 'IN', 'India'),
(74310, '120.88.48.0', '120.88.48.255', 2019045376, 2019045631, 'US', 'United States'),
(74311, '120.88.49.0', '120.88.63.255', 2019045632, 2019049471, 'JP', 'Japan'),
(74312, '120.88.64.0', '120.88.175.255', 2019049472, 2019078143, 'AU', 'Australia'),
(74313, '120.88.176.0', '120.88.191.255', 2019078144, 2019082239, 'IN', 'India'),
(74314, '120.88.192.0', '120.88.255.255', 2019082240, 2019098623, 'HK', 'Hong Kong'),
(74315, '120.89.0.0', '120.89.63.255', 2019098624, 2019115007, 'PH', 'Philippines'),
(74316, '120.89.64.0', '120.89.71.255', 2019115008, 2019117055, 'JP', 'Japan'),
(74317, '120.89.72.0', '120.89.79.255', 2019117056, 2019119103, 'IN', 'India'),
(74318, '120.89.80.0', '120.89.87.255', 2019119104, 2019121151, 'NZ', 'New Zealand'),
(74319, '120.89.88.0', '120.89.95.255', 2019121152, 2019123199, 'ID', 'Indonesia'),
(74320, '120.89.96.0', '120.89.127.255', 2019123200, 2019131391, 'NP', 'Nepal'),
(74321, '120.89.128.0', '120.89.255.255', 2019131392, 2019164159, 'JP', 'Japan'),
(74322, '120.90.0.0', '120.92.255.255', 2019164160, 2019360767, 'CN', 'China'),
(74323, '120.93.0.0', '120.93.255.255', 2019360768, 2019426303, 'JP', 'Japan'),
(74324, '120.94.0.0', '120.95.255.255', 2019426304, 2019557375, 'CN', 'China'),
(74325, '120.96.0.0', '120.127.255.255', 2019557376, 2021654527, 'TW', 'Taiwan'),
(74326, '120.128.0.0', '120.135.255.255', 2021654528, 2022178815, 'CN', 'China'),
(74327, '120.136.0.0', '120.136.7.255', 2022178816, 2022180863, 'NZ', 'New Zealand'),
(74328, '120.136.8.0', '120.136.15.255', 2022180864, 2022182911, 'JP', 'Japan'),
(74329, '120.136.24.0', '120.136.31.255', 2022184960, 2022187007, 'KH', 'Cambodia'),
(74330, '120.136.32.0', '120.136.42.83', 2022187008, 2022189651, 'HK', 'Hong Kong'),
(74331, '120.136.42.84', '120.136.42.84', 2022189652, 2022189652, 'A1', 'Anonymous Proxy'),
(74332, '120.136.42.85', '120.136.47.255', 2022189653, 2022191103, 'HK', 'Hong Kong'),
(74333, '120.136.48.0', '120.136.63.255', 2022191104, 2022195199, 'NZ', 'New Zealand'),
(74334, '120.136.64.0', '120.136.127.255', 2022195200, 2022211583, 'KR', 'Korea, Republic of'),
(74335, '120.136.128.0', '120.136.191.255', 2022211584, 2022227967, 'CN', 'China'),
(74336, '120.136.192.0', '120.136.255.255', 2022227968, 2022244351, 'JP', 'Japan'),
(74337, '120.137.0.0', '120.137.127.255', 2022244352, 2022277119, 'CN', 'China'),
(74338, '120.137.128.0', '120.137.255.255', 2022277120, 2022309887, 'JP', 'Japan'),
(74339, '120.138.0.0', '120.138.15.255', 2022309888, 2022313983, 'PH', 'Philippines'),
(74340, '120.138.16.0', '120.138.31.255', 2022313984, 2022318079, 'NZ', 'New Zealand'),
(74341, '120.138.32.0', '120.138.36.31', 2022318080, 2022319135, 'AU', 'Australia'),
(74342, '120.138.36.32', '120.138.36.47', 2022319136, 2022319151, 'SG', 'Singapore'),
(74343, '120.138.36.48', '120.138.63.255', 2022319152, 2022326271, 'AU', 'Australia'),
(74344, '120.138.64.0', '120.138.79.255', 2022326272, 2022330367, 'VN', 'Vietnam'),
(74345, '120.138.80.0', '120.138.95.255', 2022330368, 2022334463, 'MY', 'Malaysia'),
(74346, '120.138.96.0', '120.138.127.255', 2022334464, 2022342655, 'IN', 'India'),
(74347, '120.138.128.0', '120.138.191.255', 2022342656, 2022359039, 'JP', 'Japan'),
(74348, '120.138.192.0', '120.138.255.255', 2022359040, 2022375423, 'IN', 'India'),
(74349, '120.139.0.0', '120.141.255.255', 2022375424, 2022572031, 'MY', 'Malaysia'),
(74350, '120.142.0.0', '120.142.255.255', 2022572032, 2022637567, 'KR', 'Korea, Republic of'),
(74351, '120.143.0.0', '120.143.127.255', 2022637568, 2022670335, 'JP', 'Japan'),
(74352, '120.143.128.0', '120.143.159.255', 2022670336, 2022678527, 'CN', 'China'),
(74353, '120.143.160.0', '120.143.255.255', 2022678528, 2022703103, 'KR', 'Korea, Republic of'),
(74354, '120.144.0.0', '120.159.255.255', 2022703104, 2023751679, 'AU', 'Australia'),
(74355, '120.160.0.0', '120.191.255.255', 2023751680, 2025848831, 'ID', 'Indonesia'),
(74356, '120.192.0.0', '120.255.255.255', 2025848832, 2030043135, 'CN', 'China'),
(74357, '121.0.0.0', '121.0.7.255', 2030043136, 2030045183, 'AU', 'Australia'),
(74358, '121.0.8.0', '121.0.31.255', 2030045184, 2030051327, 'CN', 'China'),
(74359, '121.0.32.0', '121.0.63.255', 2030051328, 2030059519, 'JP', 'Japan'),
(74360, '121.0.64.0', '121.0.255.255', 2030059520, 2030108671, 'KR', 'Korea, Republic of'),
(74361, '121.1.0.0', '121.1.63.255', 2030108672, 2030125055, 'PH', 'Philippines'),
(74362, '121.1.64.0', '121.1.127.255', 2030125056, 2030141439, 'KR', 'Korea, Republic of'),
(74363, '121.1.128.0', '121.1.253.255', 2030141440, 2030173695, 'JP', 'Japan'),
(74364, '121.1.254.0', '121.1.254.255', 2030173696, 2030173951, 'AP', 'Asia/Pacific Region'),
(74365, '121.1.255.0', '121.3.255.255', 2030173952, 2030305279, 'JP', 'Japan'),
(74366, '121.4.0.0', '121.5.255.255', 2030305280, 2030436351, 'CN', 'China'),
(74367, '121.6.0.0', '121.7.255.255', 2030436352, 2030567423, 'SG', 'Singapore'),
(74368, '121.8.0.0', '121.43.255.255', 2030567424, 2032926719, 'CN', 'China'),
(74369, '121.44.0.0', '121.45.255.255', 2032926720, 2033057791, 'AU', 'Australia'),
(74370, '121.46.0.0', '121.49.255.255', 2033057792, 2033319935, 'CN', 'China'),
(74371, '121.50.0.0', '121.50.7.255', 2033319936, 2033321983, 'IN', 'India'),
(74372, '121.50.8.0', '121.50.15.255', 2033321984, 2033324031, 'CN', 'China'),
(74373, '121.50.16.0', '121.50.31.255', 2033324032, 2033328127, 'KR', 'Korea, Republic of'),
(74374, '121.50.32.0', '121.50.39.255', 2033328128, 2033330175, 'ID', 'Indonesia'),
(74375, '121.50.40.0', '121.50.63.255', 2033330176, 2033336319, 'JP', 'Japan'),
(74376, '121.50.64.0', '121.50.127.255', 2033336320, 2033352703, 'KR', 'Korea, Republic of'),
(74377, '121.50.128.0', '121.50.143.255', 2033352704, 2033356799, 'ID', 'Indonesia'),
(74378, '121.50.144.0', '121.50.151.255', 2033356800, 2033358847, 'TW', 'Taiwan'),
(74379, '121.50.152.0', '121.50.167.255', 2033358848, 2033362943, 'JP', 'Japan'),
(74380, '121.50.176.0', '121.50.191.255', 2033364992, 2033369087, 'TW', 'Taiwan'),
(74381, '121.50.192.0', '121.50.223.255', 2033369088, 2033377279, 'AU', 'Australia'),
(74382, '121.50.224.0', '121.50.255.255', 2033377280, 2033385471, 'KR', 'Korea, Republic of'),
(74383, '121.51.0.0', '121.51.255.255', 2033385472, 2033451007, 'CN', 'China'),
(74384, '121.52.0.0', '121.52.143.255', 2033451008, 2033487871, 'ID', 'Indonesia'),
(74385, '121.52.144.0', '121.52.159.255', 2033487872, 2033491967, 'PK', 'Pakistan'),
(74386, '121.52.160.0', '121.52.191.255', 2033491968, 2033500159, 'CN', 'China'),
(74387, '121.52.192.0', '121.52.199.255', 2033500160, 2033502207, 'AU', 'Australia'),
(74388, '121.52.200.0', '121.52.207.255', 2033502208, 2033504255, 'SG', 'Singapore'),
(74389, '121.52.208.0', '121.52.255.255', 2033504256, 2033516543, 'CN', 'China'),
(74390, '121.53.0.0', '121.53.255.255', 2033516544, 2033582079, 'KR', 'Korea, Republic of'),
(74391, '121.54.0.0', '121.54.127.255', 2033582080, 2033614847, 'PH', 'Philippines'),
(74392, '121.54.128.0', '121.54.159.255', 2033614848, 2033623039, 'AU', 'Australia'),
(74393, '121.54.168.0', '121.54.175.255', 2033625088, 2033627135, 'HK', 'Hong Kong'),
(74394, '121.54.176.0', '121.54.183.255', 2033627136, 2033629183, 'CN', 'China'),
(74395, '121.54.184.0', '121.54.191.255', 2033629184, 2033631231, 'JP', 'Japan'),
(74396, '121.54.192.0', '121.54.255.255', 2033631232, 2033647615, 'KR', 'Korea, Republic of'),
(74397, '121.55.0.0', '121.55.63.255', 2033647616, 2033663999, 'CN', 'China'),
(74398, '121.55.64.0', '121.55.191.255', 2033664000, 2033696767, 'KR', 'Korea, Republic of'),
(74399, '121.55.192.0', '121.55.255.255', 2033696768, 2033713151, 'GU', 'Guam'),
(74400, '121.56.0.0', '121.58.127.255', 2033713152, 2033876991, 'CN', 'China'),
(74401, '121.58.128.0', '121.58.135.255', 2033876992, 2033879039, 'JP', 'Japan'),
(74402, '121.58.136.0', '121.58.167.255', 2033879040, 2033887231, 'CN', 'China'),
(74403, '121.58.168.0', '121.58.175.255', 2033887232, 2033889279, 'IN', 'India'),
(74404, '121.58.176.0', '121.58.183.255', 2033889280, 2033891327, 'JP', 'Japan'),
(74405, '121.58.184.0', '121.58.191.255', 2033891328, 2033893375, 'ID', 'Indonesia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(74406, '121.58.192.0', '121.58.255.255', 2033893376, 2033909759, 'PH', 'Philippines'),
(74407, '121.59.0.0', '121.63.255.255', 2033909760, 2034237439, 'CN', 'China'),
(74408, '121.64.0.0', '121.67.255.255', 2034237440, 2034499583, 'KR', 'Korea, Republic of'),
(74409, '121.68.0.0', '121.71.255.255', 2034499584, 2034761727, 'CN', 'China'),
(74410, '121.72.0.0', '121.75.255.255', 2034761728, 2035023871, 'NZ', 'New Zealand'),
(74411, '121.76.0.0', '121.77.255.255', 2035023872, 2035154943, 'CN', 'China'),
(74412, '121.78.0.0', '121.78.255.255', 2035154944, 2035220479, 'KR', 'Korea, Republic of'),
(74413, '121.79.0.0', '121.79.127.255', 2035220480, 2035253247, 'AU', 'Australia'),
(74414, '121.79.128.0', '121.79.191.255', 2035253248, 2035269631, 'CN', 'China'),
(74415, '121.79.192.0', '121.79.255.255', 2035269632, 2035286015, 'NZ', 'New Zealand'),
(74416, '121.80.0.0', '121.87.255.255', 2035286016, 2035810303, 'JP', 'Japan'),
(74417, '121.88.0.0', '121.88.255.255', 2035810304, 2035875839, 'KR', 'Korea, Republic of'),
(74418, '121.89.0.0', '121.89.255.255', 2035875840, 2035941375, 'CN', 'China'),
(74419, '121.90.0.0', '121.90.255.255', 2035941376, 2036006911, 'NZ', 'New Zealand'),
(74420, '121.91.0.0', '121.91.255.255', 2036006912, 2036072447, 'AU', 'Australia'),
(74421, '121.92.0.0', '121.95.255.255', 2036072448, 2036334591, 'JP', 'Japan'),
(74422, '121.96.0.0', '121.97.255.255', 2036334592, 2036465663, 'PH', 'Philippines'),
(74423, '121.98.0.0', '121.99.255.255', 2036465664, 2036596735, 'NZ', 'New Zealand'),
(74424, '121.100.0.0', '121.100.7.255', 2036596736, 2036598783, 'ID', 'Indonesia'),
(74425, '121.100.8.0', '121.100.15.255', 2036598784, 2036600831, 'JP', 'Japan'),
(74426, '121.100.16.0', '121.100.31.255', 2036600832, 2036604927, 'ID', 'Indonesia'),
(74427, '121.100.32.0', '121.100.47.255', 2036604928, 2036609023, 'SG', 'Singapore'),
(74428, '121.100.48.0', '121.100.55.255', 2036609024, 2036611071, 'AF', 'Afghanistan'),
(74429, '121.100.56.0', '121.100.63.255', 2036611072, 2036613119, 'JP', 'Japan'),
(74430, '121.100.64.0', '121.100.127.255', 2036613120, 2036629503, 'KR', 'Korea, Republic of'),
(74431, '121.100.128.0', '121.101.63.255', 2036629504, 2036678655, 'CN', 'China'),
(74432, '121.101.64.0', '121.101.127.255', 2036678656, 2036695039, 'JP', 'Japan'),
(74433, '121.101.128.0', '121.101.135.255', 2036695040, 2036697087, 'ID', 'Indonesia'),
(74434, '121.101.136.0', '121.101.143.255', 2036697088, 2036699135, 'AU', 'Australia'),
(74435, '121.101.144.0', '121.101.159.255', 2036699136, 2036703231, 'IN', 'India'),
(74436, '121.101.160.0', '121.101.167.255', 2036703232, 2036705279, 'AU', 'Australia'),
(74437, '121.101.168.0', '121.101.175.255', 2036705280, 2036707327, 'HK', 'Hong Kong'),
(74438, '121.101.176.0', '121.101.183.255', 2036707328, 2036709375, 'MN', 'Mongolia'),
(74439, '121.101.184.0', '121.101.191.255', 2036709376, 2036711423, 'ID', 'Indonesia'),
(74440, '121.101.192.0', '121.101.207.255', 2036711424, 2036715519, 'KR', 'Korea, Republic of'),
(74441, '121.101.208.0', '121.101.223.255', 2036715520, 2036719615, 'CN', 'China'),
(74442, '121.101.224.0', '121.101.255.255', 2036719616, 2036727807, 'KR', 'Korea, Republic of'),
(74443, '121.102.0.0', '121.119.214.255', 2036727808, 2037896959, 'JP', 'Japan'),
(74444, '121.119.215.0', '121.119.215.255', 2037896960, 2037897215, 'US', 'United States'),
(74445, '121.119.216.0', '121.119.255.255', 2037897216, 2037907455, 'JP', 'Japan'),
(74446, '121.120.0.0', '121.123.255.255', 2037907456, 2038169599, 'MY', 'Malaysia'),
(74447, '121.124.0.0', '121.126.255.255', 2038169600, 2038366207, 'KR', 'Korea, Republic of'),
(74448, '121.127.0.0', '121.127.31.255', 2038366208, 2038374399, 'PH', 'Philippines'),
(74449, '121.127.32.0', '121.127.63.255', 2038374400, 2038382591, 'AF', 'Afghanistan'),
(74450, '121.127.64.0', '121.127.191.255', 2038382592, 2038415359, 'KR', 'Korea, Republic of'),
(74451, '121.127.192.0', '121.127.223.255', 2038415360, 2038423551, 'AU', 'Australia'),
(74452, '121.127.224.0', '121.127.255.255', 2038423552, 2038431743, 'HK', 'Hong Kong'),
(74453, '121.128.0.0', '121.191.255.255', 2038431744, 2042626047, 'KR', 'Korea, Republic of'),
(74454, '121.192.0.0', '121.199.255.255', 2042626048, 2043150335, 'CN', 'China'),
(74455, '121.200.0.0', '121.200.47.255', 2043150336, 2043162623, 'AU', 'Australia'),
(74456, '121.200.48.0', '121.200.59.255', 2043162624, 2043165695, 'IN', 'India'),
(74457, '121.200.60.0', '121.200.63.255', 2043165696, 2043166719, 'BD', 'Bangladesh'),
(74458, '121.200.64.0', '121.200.127.255', 2043166720, 2043183103, 'KR', 'Korea, Republic of'),
(74459, '121.200.128.0', '121.200.191.255', 2043183104, 2043199487, 'JP', 'Japan'),
(74460, '121.200.192.0', '121.200.199.255', 2043199488, 2043201535, 'CN', 'China'),
(74461, '121.200.200.0', '121.200.207.255', 2043201536, 2043203583, 'JP', 'Japan'),
(74462, '121.200.208.0', '121.200.215.255', 2043203584, 2043205631, 'AU', 'Australia'),
(74463, '121.200.216.0', '121.200.223.255', 2043205632, 2043207679, 'JP', 'Japan'),
(74464, '121.200.224.0', '121.200.239.255', 2043207680, 2043211775, 'AU', 'Australia'),
(74465, '121.200.240.0', '121.200.255.255', 2043211776, 2043215871, 'SG', 'Singapore'),
(74466, '121.201.0.0', '121.201.255.255', 2043215872, 2043281407, 'CN', 'China'),
(74467, '121.202.0.0', '121.203.255.255', 2043281408, 2043412479, 'HK', 'Hong Kong'),
(74468, '121.204.0.0', '121.207.255.255', 2043412480, 2043674623, 'CN', 'China'),
(74469, '121.208.0.0', '121.223.255.255', 2043674624, 2044723199, 'AU', 'Australia'),
(74470, '121.224.0.0', '121.239.255.255', 2044723200, 2045771775, 'CN', 'China'),
(74471, '121.240.0.0', '121.247.255.255', 2045771776, 2046296063, 'IN', 'India'),
(74472, '121.248.0.0', '121.251.255.255', 2046296064, 2046558207, 'CN', 'China'),
(74473, '121.252.0.0', '121.254.63.255', 2046558208, 2046705663, 'KR', 'Korea, Republic of'),
(74474, '121.254.64.0', '121.254.127.255', 2046705664, 2046722047, 'TW', 'Taiwan'),
(74475, '121.254.128.0', '121.254.255.255', 2046722048, 2046754815, 'KR', 'Korea, Republic of'),
(74476, '121.255.0.0', '121.255.255.255', 2046754816, 2046820351, 'CN', 'China'),
(74477, '122.0.0.0', '122.0.7.255', 2046820352, 2046822399, 'TH', 'Thailand'),
(74478, '122.0.8.0', '122.0.15.255', 2046822400, 2046824447, 'KR', 'Korea, Republic of'),
(74479, '122.0.16.0', '122.0.31.255', 2046824448, 2046828543, 'MY', 'Malaysia'),
(74480, '122.0.32.0', '122.0.63.255', 2046828544, 2046836735, 'KR', 'Korea, Republic of'),
(74481, '122.0.64.0', '122.0.255.255', 2046836736, 2046885887, 'CN', 'China'),
(74482, '122.1.0.0', '122.1.255.255', 2046885888, 2046951423, 'JP', 'Japan'),
(74483, '122.2.0.0', '122.3.255.255', 2046951424, 2047082495, 'PH', 'Philippines'),
(74484, '122.4.0.0', '122.10.199.255', 2047082496, 2047526911, 'CN', 'China'),
(74485, '122.10.200.0', '122.10.215.255', 2047526912, 2047531007, 'HK', 'Hong Kong'),
(74486, '122.10.216.0', '122.15.255.255', 2047531008, 2047868927, 'CN', 'China'),
(74487, '122.16.0.0', '122.31.255.255', 2047868928, 2048917503, 'JP', 'Japan'),
(74488, '122.32.0.0', '122.47.255.255', 2048917504, 2049966079, 'KR', 'Korea, Republic of'),
(74489, '122.48.0.0', '122.49.63.255', 2049966080, 2050047999, 'CN', 'China'),
(74490, '122.49.64.0', '122.49.127.255', 2050048000, 2050064383, 'KR', 'Korea, Republic of'),
(74491, '122.49.128.0', '122.49.191.255', 2050064384, 2050080767, 'AU', 'Australia'),
(74492, '122.49.192.0', '122.49.199.255', 2050080768, 2050082815, 'JP', 'Japan'),
(74493, '122.49.200.0', '122.49.207.255', 2050082816, 2050084863, 'AU', 'Australia'),
(74494, '122.49.208.0', '122.49.223.255', 2050084864, 2050088959, 'PH', 'Philippines'),
(74495, '122.49.224.0', '122.49.231.255', 2050088960, 2050091007, 'ID', 'Indonesia'),
(74496, '122.49.232.0', '122.49.255.255', 2050091008, 2050097151, 'JP', 'Japan'),
(74497, '122.50.0.0', '122.50.7.255', 2050097152, 2050099199, 'SG', 'Singapore'),
(74498, '122.50.8.0', '122.50.15.255', 2050099200, 2050101247, 'IN', 'India'),
(74499, '122.50.16.0', '122.50.63.255', 2050101248, 2050113535, 'JP', 'Japan'),
(74500, '122.50.64.0', '122.50.127.255', 2050113536, 2050129919, 'SG', 'Singapore'),
(74501, '122.50.128.0', '122.50.255.255', 2050129920, 2050162687, 'IN', 'India'),
(74502, '122.51.0.0', '122.51.255.255', 2050162688, 2050228223, 'CN', 'China'),
(74503, '122.52.0.0', '122.55.255.255', 2050228224, 2050490367, 'PH', 'Philippines'),
(74504, '122.56.0.0', '122.63.255.255', 2050490368, 2051014655, 'NZ', 'New Zealand'),
(74505, '122.64.0.0', '122.97.255.255', 2051014656, 2053242879, 'CN', 'China'),
(74506, '122.98.0.0', '122.98.255.255', 2053242880, 2053308415, 'IN', 'India'),
(74507, '122.99.0.0', '122.99.63.255', 2053308416, 2053324799, 'TW', 'Taiwan'),
(74508, '122.99.64.0', '122.99.95.255', 2053324800, 2053332991, 'AU', 'Australia'),
(74509, '122.99.96.0', '122.99.103.255', 2053332992, 2053335039, 'BD', 'Bangladesh'),
(74510, '122.99.104.0', '122.99.111.255', 2053335040, 2053337087, 'JP', 'Japan'),
(74511, '122.99.112.0', '122.99.123.255', 2053337088, 2053340159, 'AU', 'Australia'),
(74512, '122.99.124.0', '122.99.127.255', 2053340160, 2053341183, 'IN', 'India'),
(74513, '122.99.128.0', '122.99.255.255', 2053341184, 2053373951, 'KR', 'Korea, Republic of'),
(74514, '122.100.0.0', '122.100.15.255', 2053373952, 2053378047, 'AU', 'Australia'),
(74515, '122.100.16.0', '122.100.31.255', 2053378048, 2053382143, 'JP', 'Japan'),
(74516, '122.100.32.0', '122.100.63.255', 2053382144, 2053390335, 'KR', 'Korea, Republic of'),
(74517, '122.100.64.0', '122.100.127.255', 2053390336, 2053406719, 'TW', 'Taiwan'),
(74518, '122.100.128.0', '122.100.255.255', 2053406720, 2053439487, 'MO', 'Macau'),
(74519, '122.101.0.0', '122.101.255.255', 2053439488, 2053505023, 'KR', 'Korea, Republic of'),
(74520, '122.102.0.0', '122.102.15.255', 2053505024, 2053509119, 'CN', 'China'),
(74521, '122.102.16.0', '122.102.23.255', 2053509120, 2053511167, 'AU', 'Australia'),
(74522, '122.102.24.0', '122.102.31.255', 2053511168, 2053513215, 'IN', 'India'),
(74523, '122.102.32.0', '122.102.39.255', 2053513216, 2053515263, 'BD', 'Bangladesh'),
(74524, '122.102.40.0', '122.102.55.255', 2053515264, 2053519359, 'ID', 'Indonesia'),
(74525, '122.102.56.0', '122.102.63.255', 2053519360, 2053521407, 'JP', 'Japan'),
(74526, '122.102.64.0', '122.102.95.255', 2053521408, 2053529599, 'CN', 'China'),
(74527, '122.102.96.0', '122.102.107.255', 2053529600, 2053532671, 'AU', 'Australia'),
(74528, '122.102.108.0', '122.102.109.255', 2053532672, 2053533183, 'NZ', 'New Zealand'),
(74529, '122.102.110.0', '122.102.111.255', 2053533184, 2053533695, 'AU', 'Australia'),
(74530, '122.102.112.0', '122.102.115.255', 2053533696, 2053534719, 'VN', 'Vietnam'),
(74531, '122.102.116.0', '122.102.127.255', 2053534720, 2053537791, 'IN', 'India'),
(74532, '122.102.128.0', '122.103.255.255', 2053537792, 2053636095, 'JP', 'Japan'),
(74533, '122.104.0.0', '122.111.255.255', 2053636096, 2054160383, 'AU', 'Australia'),
(74534, '122.112.0.0', '122.115.255.255', 2054160384, 2054422527, 'CN', 'China'),
(74535, '122.116.0.0', '122.118.255.255', 2054422528, 2054619135, 'TW', 'Taiwan'),
(74536, '122.119.0.0', '122.119.255.255', 2054619136, 2054684671, 'CN', 'China'),
(74537, '122.120.0.0', '122.127.255.255', 2054684672, 2055208959, 'TW', 'Taiwan'),
(74538, '122.128.0.0', '122.128.15.255', 2055208960, 2055213055, 'JP', 'Japan'),
(74539, '122.128.16.0', '122.128.31.255', 2055213056, 2055217151, 'ID', 'Indonesia'),
(74540, '122.128.32.0', '122.128.79.255', 2055217152, 2055229439, 'KR', 'Korea, Republic of'),
(74541, '122.128.80.0', '122.128.87.255', 2055229440, 2055231487, 'TW', 'Taiwan'),
(74542, '122.128.88.0', '122.128.95.255', 2055231488, 2055233535, 'AU', 'Australia'),
(74543, '122.128.104.0', '122.128.111.255', 2055235584, 2055237631, 'HK', 'Hong Kong'),
(74544, '122.128.112.0', '122.128.119.255', 2055237632, 2055239679, 'JP', 'Japan'),
(74545, '122.128.120.0', '122.128.127.255', 2055239680, 2055241727, 'CN', 'China'),
(74546, '122.128.128.0', '122.128.255.255', 2055241728, 2055274495, 'KR', 'Korea, Republic of'),
(74547, '122.129.0.0', '122.129.63.255', 2055274496, 2055290879, 'VN', 'Vietnam'),
(74548, '122.129.64.0', '122.129.95.255', 2055290880, 2055299071, 'PK', 'Pakistan'),
(74549, '122.129.96.0', '122.129.119.255', 2055299072, 2055305215, 'ID', 'Indonesia'),
(74550, '122.129.120.0', '122.129.127.255', 2055305216, 2055307263, 'MY', 'Malaysia'),
(74551, '122.129.128.0', '122.129.159.255', 2055307264, 2055315455, 'AU', 'Australia'),
(74552, '122.129.160.0', '122.129.191.255', 2055315456, 2055323647, 'JP', 'Japan'),
(74553, '122.129.192.0', '122.129.207.255', 2055323648, 2055327743, 'ID', 'Indonesia'),
(74554, '122.129.208.0', '122.129.215.255', 2055327744, 2055329791, 'KR', 'Korea, Republic of'),
(74555, '122.129.216.0', '122.129.223.255', 2055329792, 2055331839, 'AU', 'Australia'),
(74556, '122.129.224.0', '122.129.239.255', 2055331840, 2055335935, 'JP', 'Japan'),
(74557, '122.129.240.0', '122.129.255.255', 2055335936, 2055340031, 'KR', 'Korea, Republic of'),
(74558, '122.130.0.0', '122.135.255.255', 2055340032, 2055733247, 'JP', 'Japan'),
(74559, '122.136.0.0', '122.143.255.255', 2055733248, 2056257535, 'CN', 'China'),
(74560, '122.144.0.0', '122.144.7.255', 2056257536, 2056259583, 'ID', 'Indonesia'),
(74561, '122.144.8.0', '122.144.15.255', 2056259584, 2056261631, 'BD', 'Bangladesh'),
(74562, '122.144.16.0', '122.144.23.255', 2056261632, 2056263679, 'IN', 'India'),
(74563, '122.144.24.0', '122.144.31.255', 2056263680, 2056265727, 'TH', 'Thailand'),
(74564, '122.144.32.0', '122.144.63.255', 2056265728, 2056273919, 'TW', 'Taiwan'),
(74565, '122.144.64.0', '122.144.127.255', 2056273920, 2056290303, 'PH', 'Philippines'),
(74566, '122.144.128.0', '122.144.255.255', 2056290304, 2056323071, 'CN', 'China'),
(74567, '122.145.0.0', '122.145.69.255', 2056323072, 2056340991, 'JP', 'Japan'),
(74568, '122.145.70.0', '122.145.70.255', 2056340992, 2056341247, 'US', 'United States'),
(74569, '122.145.71.0', '122.145.71.255', 2056341248, 2056341503, 'JP', 'Japan'),
(74570, '122.145.72.0', '122.145.72.255', 2056341504, 2056341759, 'US', 'United States'),
(74571, '122.145.73.0', '122.145.74.255', 2056341760, 2056342271, 'JP', 'Japan'),
(74572, '122.145.75.0', '122.145.75.255', 2056342272, 2056342527, 'US', 'United States'),
(74573, '122.145.76.0', '122.145.255.255', 2056342528, 2056388607, 'JP', 'Japan'),
(74574, '122.146.0.0', '122.147.255.255', 2056388608, 2056519679, 'TW', 'Taiwan'),
(74575, '122.148.0.0', '122.151.255.255', 2056519680, 2056781823, 'AU', 'Australia'),
(74576, '122.152.0.0', '122.152.47.255', 2056781824, 2056794111, 'JP', 'Japan'),
(74577, '122.152.48.0', '122.152.55.255', 2056794112, 2056796159, 'BD', 'Bangladesh'),
(74578, '122.152.56.0', '122.152.95.255', 2056796160, 2056806399, 'JP', 'Japan'),
(74579, '122.152.96.0', '122.152.127.255', 2056806400, 2056814591, 'KR', 'Korea, Republic of'),
(74580, '122.152.128.0', '122.152.144.255', 2056814592, 2056818943, 'JP', 'Japan'),
(74581, '122.152.145.0', '122.152.145.49', 2056818944, 2056818993, 'MY', 'Malaysia'),
(74582, '122.152.145.50', '122.152.145.50', 2056818994, 2056818994, 'AP', 'Asia/Pacific Region'),
(74583, '122.152.145.51', '122.152.145.255', 2056818995, 2056819199, 'MY', 'Malaysia'),
(74584, '122.152.146.0', '122.152.191.255', 2056819200, 2056830975, 'JP', 'Japan'),
(74585, '122.152.192.0', '122.152.255.255', 2056830976, 2056847359, 'CN', 'China'),
(74586, '122.153.0.0', '122.153.255.255', 2056847360, 2056912895, 'KR', 'Korea, Republic of'),
(74587, '122.154.0.0', '122.155.255.255', 2056912896, 2057043967, 'TH', 'Thailand'),
(74588, '122.156.0.0', '122.159.255.255', 2057043968, 2057306111, 'CN', 'China'),
(74589, '122.160.0.0', '122.187.255.255', 2057306112, 2059141119, 'IN', 'India'),
(74590, '122.188.0.0', '122.195.255.255', 2059141120, 2059665407, 'CN', 'China'),
(74591, '122.196.0.0', '122.197.255.255', 2059665408, 2059796479, 'JP', 'Japan'),
(74592, '122.198.0.0', '122.198.255.255', 2059796480, 2059862015, 'CN', 'China'),
(74593, '122.199.0.0', '122.199.63.255', 2059862016, 2059878399, 'AU', 'Australia'),
(74594, '122.199.64.0', '122.199.255.255', 2059878400, 2059927551, 'KR', 'Korea, Republic of'),
(74595, '122.200.0.0', '122.200.15.255', 2059927552, 2059931647, 'ID', 'Indonesia'),
(74596, '122.200.16.0', '122.200.23.255', 2059931648, 2059933695, 'IN', 'India'),
(74597, '122.200.24.0', '122.200.31.255', 2059933696, 2059935743, 'AU', 'Australia'),
(74598, '122.200.32.0', '122.200.39.255', 2059935744, 2059937791, 'JP', 'Japan'),
(74599, '122.200.40.0', '122.200.47.255', 2059937792, 2059939839, 'BD', 'Bangladesh'),
(74600, '122.200.48.0', '122.200.55.255', 2059939840, 2059941887, 'ID', 'Indonesia'),
(74601, '122.200.56.0', '122.200.63.255', 2059941888, 2059943935, 'AU', 'Australia'),
(74602, '122.200.64.0', '122.200.127.255', 2059943936, 2059960319, 'CN', 'China'),
(74603, '122.200.128.0', '122.200.131.255', 2059960320, 2059961343, 'JP', 'Japan'),
(74604, '122.200.132.0', '122.200.135.255', 2059961344, 2059962367, 'HK', 'Hong Kong'),
(74605, '122.200.136.0', '122.200.143.255', 2059962368, 2059964415, 'JP', 'Japan'),
(74606, '122.200.144.0', '122.200.151.255', 2059964416, 2059966463, 'ID', 'Indonesia'),
(74607, '122.200.152.0', '122.200.159.255', 2059966464, 2059968511, 'TW', 'Taiwan'),
(74608, '122.200.160.0', '122.200.191.255', 2059968512, 2059976703, 'AU', 'Australia'),
(74609, '122.200.192.0', '122.201.7.255', 2059976704, 2059995135, 'JP', 'Japan'),
(74610, '122.201.8.0', '122.201.15.255', 2059995136, 2059997183, 'VN', 'Vietnam'),
(74611, '122.201.16.0', '122.201.31.255', 2059997184, 2060001279, 'MN', 'Mongolia'),
(74612, '122.201.32.0', '122.201.32.255', 2060001280, 2060001535, 'HK', 'Hong Kong'),
(74613, '122.201.33.0', '122.201.33.255', 2060001536, 2060001791, 'US', 'United States'),
(74614, '122.201.34.0', '122.201.35.255', 2060001792, 2060002303, 'HK', 'Hong Kong'),
(74615, '122.201.36.0', '122.201.36.255', 2060002304, 2060002559, 'US', 'United States'),
(74616, '122.201.37.0', '122.201.37.255', 2060002560, 2060002815, 'ID', 'Indonesia'),
(74617, '122.201.38.0', '122.201.38.255', 2060002816, 2060003071, 'US', 'United States'),
(74618, '122.201.39.0', '122.201.47.255', 2060003072, 2060005375, 'HK', 'Hong Kong'),
(74619, '122.201.48.0', '122.201.63.255', 2060005376, 2060009471, 'CN', 'China'),
(74620, '122.201.64.0', '122.201.127.255', 2060009472, 2060025855, 'AU', 'Australia'),
(74621, '122.201.128.0', '122.201.255.255', 2060025856, 2060058623, 'TW', 'Taiwan'),
(74622, '122.202.0.0', '122.202.15.255', 2060058624, 2060062719, 'AU', 'Australia'),
(74623, '122.202.16.0', '122.202.31.255', 2060062720, 2060066815, 'JP', 'Japan'),
(74624, '122.202.32.0', '122.202.63.255', 2060066816, 2060075007, 'KR', 'Korea, Republic of'),
(74625, '122.202.64.0', '122.202.95.255', 2060075008, 2060083199, 'AU', 'Australia'),
(74626, '122.202.96.0', '122.202.127.255', 2060083200, 2060091391, 'PH', 'Philippines'),
(74627, '122.202.128.0', '122.203.255.255', 2060091392, 2060189695, 'KR', 'Korea, Republic of'),
(74628, '122.204.0.0', '122.207.255.255', 2060189696, 2060451839, 'CN', 'China'),
(74629, '122.208.0.0', '122.223.255.255', 2060451840, 2061500415, 'JP', 'Japan'),
(74630, '122.224.0.0', '122.247.255.255', 2061500416, 2063073279, 'CN', 'China'),
(74631, '122.248.0.0', '122.248.15.255', 2063073280, 2063077375, 'BD', 'Bangladesh'),
(74632, '122.248.16.0', '122.248.16.1', 2063077376, 2063077377, 'HK', 'Hong Kong'),
(74633, '122.248.16.2', '122.248.16.2', 2063077378, 2063077378, 'AP', 'Asia/Pacific Region'),
(74634, '122.248.16.3', '122.248.23.255', 2063077379, 2063079423, 'HK', 'Hong Kong'),
(74635, '122.248.24.0', '122.248.31.255', 2063079424, 2063081471, 'CN', 'China'),
(74636, '122.248.32.0', '122.248.47.255', 2063081472, 2063085567, 'ID', 'Indonesia'),
(74637, '122.248.48.0', '122.248.63.255', 2063085568, 2063089663, 'CN', 'China'),
(74638, '122.248.64.0', '122.248.95.255', 2063089664, 2063097855, 'JP', 'Japan'),
(74639, '122.248.96.0', '122.248.127.255', 2063097856, 2063106047, 'MM', 'Myanmar'),
(74640, '122.248.128.0', '122.248.131.255', 2063106048, 2063107071, 'JP', 'Japan'),
(74641, '122.248.132.0', '122.248.132.255', 2063107072, 2063107327, 'AP', 'Asia/Pacific Region'),
(74642, '122.248.133.0', '122.248.134.39', 2063107328, 2063107623, 'JP', 'Japan'),
(74643, '122.248.134.40', '122.248.134.47', 2063107624, 2063107631, 'AU', 'Australia'),
(74644, '122.248.134.48', '122.248.175.255', 2063107632, 2063118335, 'JP', 'Japan'),
(74645, '122.248.176.0', '122.248.176.255', 2063118336, 2063118591, 'IN', 'India'),
(74646, '122.248.177.0', '122.248.191.255', 2063118592, 2063122431, 'JP', 'Japan'),
(74647, '122.248.192.0', '122.248.255.255', 2063122432, 2063138815, 'SG', 'Singapore'),
(74648, '122.249.0.0', '122.251.255.255', 2063138816, 2063335423, 'JP', 'Japan'),
(74649, '122.252.0.0', '122.252.23.255', 2063335424, 2063341567, 'AU', 'Australia'),
(74650, '122.252.24.0', '122.252.31.255', 2063341568, 2063343615, 'SG', 'Singapore'),
(74651, '122.252.32.0', '122.252.63.255', 2063343616, 2063351807, 'JP', 'Japan'),
(74652, '122.252.64.0', '122.252.127.255', 2063351808, 2063368191, 'KR', 'Korea, Republic of'),
(74653, '122.252.128.0', '122.252.143.255', 2063368192, 2063372287, 'JP', 'Japan'),
(74654, '122.252.144.0', '122.252.151.255', 2063372288, 2063374335, 'AP', 'Asia/Pacific Region'),
(74655, '122.252.152.0', '122.252.159.255', 2063374336, 2063376383, 'NZ', 'New Zealand'),
(74656, '122.252.160.0', '122.252.175.255', 2063376384, 2063380479, 'TW', 'Taiwan'),
(74657, '122.252.176.0', '122.252.183.255', 2063380480, 2063382527, 'KH', 'Cambodia'),
(74658, '122.252.184.0', '122.252.191.255', 2063382528, 2063384575, 'NZ', 'New Zealand'),
(74659, '122.252.192.0', '122.252.223.255', 2063384576, 2063392767, 'KR', 'Korea, Republic of'),
(74660, '122.252.224.0', '122.252.255.255', 2063392768, 2063400959, 'IN', 'India'),
(74661, '122.253.0.0', '122.253.255.255', 2063400960, 2063466495, 'JP', 'Japan'),
(74662, '122.254.0.0', '122.254.63.255', 2063466496, 2063482879, 'TW', 'Taiwan'),
(74663, '122.254.64.0', '122.254.127.255', 2063482880, 2063499263, 'MN', 'Mongolia'),
(74664, '122.254.128.0', '122.254.255.255', 2063499264, 2063532031, 'KR', 'Korea, Republic of'),
(74665, '122.255.0.0', '122.255.63.255', 2063532032, 2063548415, 'LK', 'Sri Lanka'),
(74666, '122.255.64.0', '122.255.71.255', 2063548416, 2063550463, 'CN', 'China'),
(74667, '122.255.72.0', '122.255.75.255', 2063550464, 2063551487, 'IN', 'India'),
(74668, '122.255.76.0', '122.255.79.255', 2063551488, 2063552511, 'JP', 'Japan'),
(74669, '122.255.80.0', '122.255.95.255', 2063552512, 2063556607, 'TW', 'Taiwan'),
(74670, '122.255.96.0', '122.255.127.255', 2063556608, 2063564799, 'MY', 'Malaysia'),
(74671, '122.255.128.0', '122.255.255.255', 2063564800, 2063597567, 'JP', 'Japan'),
(74672, '123.0.0.0', '123.0.15.255', 2063597568, 2063601663, 'KR', 'Korea, Republic of'),
(74673, '123.0.16.0', '123.0.31.255', 2063601664, 2063605759, 'BD', 'Bangladesh'),
(74674, '123.0.32.0', '123.0.63.255', 2063605760, 2063613951, 'TW', 'Taiwan'),
(74675, '123.0.64.0', '123.0.127.255', 2063613952, 2063630335, 'JP', 'Japan'),
(74676, '123.0.128.0', '123.0.191.255', 2063630336, 2063646719, 'CN', 'China'),
(74677, '123.0.192.0', '123.0.255.255', 2063646720, 2063663103, 'TW', 'Taiwan'),
(74678, '123.1.0.0', '123.1.127.255', 2063663104, 2063695871, 'JP', 'Japan'),
(74679, '123.1.128.0', '123.1.255.255', 2063695872, 2063728639, 'HK', 'Hong Kong'),
(74680, '123.2.0.0', '123.3.255.255', 2063728640, 2063859711, 'AU', 'Australia'),
(74681, '123.4.0.0', '123.15.255.255', 2063859712, 2064646143, 'CN', 'China'),
(74682, '123.16.0.0', '123.31.255.255', 2064646144, 2065694719, 'VN', 'Vietnam'),
(74683, '123.32.0.0', '123.47.255.255', 2065694720, 2066743295, 'KR', 'Korea, Republic of'),
(74684, '123.48.0.0', '123.48.255.255', 2066743296, 2066808831, 'JP', 'Japan'),
(74685, '123.49.0.0', '123.49.63.255', 2066808832, 2066825215, 'BD', 'Bangladesh'),
(74686, '123.49.64.0', '123.49.127.255', 2066825216, 2066841599, 'SG', 'Singapore'),
(74687, '123.49.128.0', '123.49.255.255', 2066841600, 2066874367, 'CN', 'China'),
(74688, '123.50.0.0', '123.50.31.255', 2066874368, 2066882559, 'JP', 'Japan'),
(74689, '123.50.32.0', '123.50.63.255', 2066882560, 2066890751, 'TW', 'Taiwan'),
(74690, '123.50.64.0', '123.50.127.255', 2066890752, 2066907135, 'PF', 'French Polynesia'),
(74691, '123.50.128.0', '123.50.159.255', 2066907136, 2066915327, 'AU', 'Australia'),
(74692, '123.50.160.0', '123.50.191.255', 2066915328, 2066923519, 'CN', 'China'),
(74693, '123.50.192.0', '123.50.255.255', 2066923520, 2066939903, 'JP', 'Japan'),
(74694, '123.51.0.0', '123.51.127.255', 2066939904, 2066972671, 'AU', 'Australia'),
(74695, '123.51.128.0', '123.51.255.255', 2066972672, 2067005439, 'TW', 'Taiwan'),
(74696, '123.52.0.0', '123.62.255.255', 2067005440, 2067726335, 'CN', 'China'),
(74697, '123.63.0.0', '123.63.255.255', 2067726336, 2067791871, 'HK', 'Hong Kong'),
(74698, '123.64.0.0', '123.98.127.255', 2067791872, 2070052863, 'CN', 'China'),
(74699, '123.98.128.0', '123.98.143.255', 2070052864, 2070056959, 'AU', 'Australia'),
(74700, '123.98.144.0', '123.98.159.255', 2070056960, 2070061055, 'JP', 'Japan'),
(74701, '123.98.160.0', '123.98.223.255', 2070061056, 2070077439, 'KR', 'Korea, Republic of'),
(74702, '123.98.224.0', '123.98.255.255', 2070077440, 2070085631, 'JP', 'Japan'),
(74703, '123.99.0.0', '123.99.63.255', 2070085632, 2070102015, 'TW', 'Taiwan'),
(74704, '123.99.64.0', '123.99.127.255', 2070102016, 2070118399, 'KR', 'Korea, Republic of'),
(74705, '123.99.128.0', '123.100.31.255', 2070118400, 2070159359, 'CN', 'China'),
(74706, '123.100.32.0', '123.100.63.255', 2070159360, 2070167551, 'AU', 'Australia'),
(74707, '123.100.64.0', '123.100.127.255', 2070167552, 2070183935, 'NZ', 'New Zealand'),
(74708, '123.100.128.0', '123.100.159.255', 2070183936, 2070192127, 'AU', 'Australia'),
(74709, '123.100.160.0', '123.100.191.255', 2070192128, 2070200319, 'KR', 'Korea, Republic of'),
(74710, '123.100.192.0', '123.100.223.255', 2070200320, 2070208511, 'JP', 'Japan'),
(74711, '123.100.224.0', '123.100.229.255', 2070208512, 2070210047, 'SG', 'Singapore'),
(74712, '123.100.230.0', '123.100.230.255', 2070210048, 2070210303, 'AU', 'Australia'),
(74713, '123.100.231.0', '123.100.255.255', 2070210304, 2070216703, 'SG', 'Singapore'),
(74714, '123.101.0.0', '123.101.255.255', 2070216704, 2070282239, 'CN', 'China'),
(74715, '123.102.0.0', '123.102.255.255', 2070282240, 2070347775, 'AU', 'Australia'),
(74716, '123.103.0.0', '123.103.127.255', 2070347776, 2070380543, 'CN', 'China'),
(74717, '123.103.128.0', '123.103.191.255', 2070380544, 2070396927, 'JP', 'Japan'),
(74718, '123.103.192.0', '123.103.223.255', 2070396928, 2070405119, 'AU', 'Australia'),
(74719, '123.103.224.0', '123.103.239.255', 2070405120, 2070409215, 'JP', 'Japan'),
(74720, '123.103.240.0', '123.103.255.255', 2070409216, 2070413311, 'HK', 'Hong Kong'),
(74721, '123.104.0.0', '123.108.7.255', 2070413312, 2070677503, 'JP', 'Japan'),
(74722, '123.108.8.0', '123.108.15.255', 2070677504, 2070679551, 'ID', 'Indonesia'),
(74723, '123.108.16.0', '123.108.31.255', 2070679552, 2070683647, 'KR', 'Korea, Republic of'),
(74724, '123.108.32.0', '123.108.63.255', 2070683648, 2070691839, 'IN', 'India'),
(74725, '123.108.64.0', '123.108.95.255', 2070691840, 2070700031, 'AU', 'Australia'),
(74726, '123.108.96.0', '123.108.103.255', 2070700032, 2070702079, 'ID', 'Indonesia'),
(74727, '123.108.104.0', '123.108.107.255', 2070702080, 2070703103, 'AU', 'Australia'),
(74728, '123.108.108.0', '123.108.111.255', 2070703104, 2070704127, 'HK', 'Hong Kong'),
(74729, '123.108.112.0', '123.108.127.255', 2070704128, 2070708223, 'PH', 'Philippines'),
(74730, '123.108.128.0', '123.108.143.255', 2070708224, 2070712319, 'CN', 'China'),
(74731, '123.108.144.0', '123.108.151.255', 2070712320, 2070714367, 'NZ', 'New Zealand'),
(74732, '123.108.152.0', '123.108.159.255', 2070714368, 2070716415, 'JP', 'Japan'),
(74733, '123.108.160.0', '123.108.191.255', 2070716416, 2070724607, 'KR', 'Korea, Republic of'),
(74734, '123.108.192.0', '123.108.199.255', 2070724608, 2070726655, 'JP', 'Japan'),
(74735, '123.108.200.0', '123.108.207.255', 2070726656, 2070728703, 'IN', 'India'),
(74736, '123.108.208.0', '123.108.223.255', 2070728704, 2070732799, 'CN', 'China'),
(74737, '123.108.224.0', '123.108.231.255', 2070732800, 2070734847, 'IN', 'India'),
(74738, '123.108.232.0', '123.108.239.255', 2070734848, 2070736895, 'JP', 'Japan'),
(74739, '123.108.240.0', '123.108.247.255', 2070736896, 2070738943, 'BD', 'Bangladesh'),
(74740, '123.108.248.0', '123.108.255.255', 2070738944, 2070740991, 'KH', 'Cambodia'),
(74741, '123.109.0.0', '123.109.255.255', 2070740992, 2070806527, 'KR', 'Korea, Republic of'),
(74742, '123.110.0.0', '123.110.255.255', 2070806528, 2070872063, 'TW', 'Taiwan'),
(74743, '123.111.0.0', '123.111.255.255', 2070872064, 2070937599, 'KR', 'Korea, Republic of'),
(74744, '123.112.0.0', '123.135.255.255', 2070937600, 2072510463, 'CN', 'China'),
(74745, '123.136.0.0', '123.136.15.255', 2072510464, 2072514559, 'HK', 'Hong Kong'),
(74746, '123.136.16.0', '123.136.23.255', 2072514560, 2072516607, 'IN', 'India'),
(74747, '123.136.24.0', '123.136.31.255', 2072516608, 2072518655, 'BD', 'Bangladesh'),
(74748, '123.136.32.0', '123.136.63.255', 2072518656, 2072526847, 'AU', 'Australia'),
(74749, '123.136.64.0', '123.136.71.255', 2072526848, 2072528895, 'SG', 'Singapore'),
(74750, '123.136.72.0', '123.136.79.255', 2072528896, 2072530943, 'PH', 'Philippines'),
(74751, '123.136.80.0', '123.136.95.255', 2072530944, 2072535039, 'CN', 'China'),
(74752, '123.136.96.0', '123.136.127.255', 2072535040, 2072543231, 'MY', 'Malaysia'),
(74753, '123.136.128.0', '123.136.255.255', 2072543232, 2072575999, 'IN', 'India'),
(74754, '123.137.0.0', '123.139.255.255', 2072576000, 2072772607, 'CN', 'China'),
(74755, '123.140.0.0', '123.143.255.255', 2072772608, 2073034751, 'KR', 'Korea, Republic of'),
(74756, '123.144.0.0', '123.175.255.255', 2073034752, 2075131903, 'CN', 'China'),
(74757, '123.176.0.0', '123.176.31.255', 2075131904, 2075140095, 'MV', 'Maldives'),
(74758, '123.176.32.0', '123.176.47.255', 2075140096, 2075144191, 'IN', 'India'),
(74759, '123.176.48.0', '123.176.55.255', 2075144192, 2075146239, 'JP', 'Japan'),
(74760, '123.176.56.0', '123.176.59.255', 2075146240, 2075147263, 'BD', 'Bangladesh'),
(74761, '123.176.60.0', '123.176.63.255', 2075147264, 2075148287, 'CN', 'China'),
(74762, '123.176.64.0', '123.176.71.255', 2075148288, 2075150335, 'PH', 'Philippines'),
(74763, '123.176.72.0', '123.176.79.255', 2075150336, 2075152383, 'WS', 'Samoa'),
(74764, '123.176.80.0', '123.176.95.255', 2075152384, 2075156479, 'CN', 'China'),
(74765, '123.176.96.0', '123.176.103.255', 2075156480, 2075158527, 'HK', 'Hong Kong'),
(74766, '123.176.104.0', '123.176.111.255', 2075158528, 2075160575, 'JP', 'Japan'),
(74767, '123.176.112.0', '123.176.119.255', 2075160576, 2075162623, 'AU', 'Australia'),
(74768, '123.176.120.0', '123.176.127.255', 2075162624, 2075164671, 'ID', 'Indonesia'),
(74769, '123.176.128.0', '123.176.255.255', 2075164672, 2075197439, 'JP', 'Japan'),
(74770, '123.177.0.0', '123.191.255.255', 2075197440, 2076180479, 'CN', 'China'),
(74771, '123.192.0.0', '123.195.255.255', 2076180480, 2076442623, 'TW', 'Taiwan'),
(74772, '123.196.0.0', '123.197.255.255', 2076442624, 2076573695, 'CN', 'China'),
(74773, '123.198.0.0', '123.198.255.255', 2076573696, 2076639231, 'JP', 'Japan'),
(74774, '123.199.0.0', '123.199.127.255', 2076639232, 2076671999, 'KR', 'Korea, Republic of'),
(74775, '123.199.128.0', '123.199.255.255', 2076672000, 2076704767, 'CN', 'China'),
(74776, '123.200.0.0', '123.200.31.255', 2076704768, 2076712959, 'BD', 'Bangladesh'),
(74777, '123.200.32.0', '123.200.63.255', 2076712960, 2076721151, 'JP', 'Japan'),
(74778, '123.200.64.0', '123.200.127.255', 2076721152, 2076737535, 'KR', 'Korea, Republic of'),
(74779, '123.200.128.0', '123.200.255.255', 2076737536, 2076770303, 'AU', 'Australia'),
(74780, '123.201.0.0', '123.201.255.255', 2076770304, 2076835839, 'IN', 'India'),
(74781, '123.202.0.0', '123.203.255.255', 2076835840, 2076966911, 'HK', 'Hong Kong'),
(74782, '123.204.0.0', '123.205.255.255', 2076966912, 2077097983, 'TW', 'Taiwan'),
(74783, '123.206.0.0', '123.207.255.255', 2077097984, 2077229055, 'CN', 'China'),
(74784, '123.208.0.0', '123.211.255.255', 2077229056, 2077491199, 'AU', 'Australia'),
(74785, '123.212.0.0', '123.215.255.255', 2077491200, 2077753343, 'KR', 'Korea, Republic of'),
(74786, '123.216.0.0', '123.227.255.255', 2077753344, 2078539775, 'JP', 'Japan'),
(74787, '123.228.0.0', '123.229.255.255', 2078539776, 2078670847, 'KR', 'Korea, Republic of'),
(74788, '123.230.0.0', '123.230.255.255', 2078670848, 2078736383, 'JP', 'Japan'),
(74789, '123.231.0.0', '123.231.127.255', 2078736384, 2078769151, 'LK', 'Sri Lanka'),
(74790, '123.231.128.0', '123.231.255.255', 2078769152, 2078801919, 'ID', 'Indonesia'),
(74791, '123.232.0.0', '123.235.255.255', 2078801920, 2079064063, 'CN', 'China'),
(74792, '123.236.0.0', '123.239.255.255', 2079064064, 2079326207, 'IN', 'India'),
(74793, '123.240.0.0', '123.241.255.255', 2079326208, 2079457279, 'TW', 'Taiwan'),
(74794, '123.242.0.0', '123.242.127.255', 2079457280, 2079490047, 'CN', 'China'),
(74795, '123.242.128.0', '123.242.191.255', 2079490048, 2079506431, 'TH', 'Thailand'),
(74796, '123.242.200.0', '123.242.207.255', 2079508480, 2079510527, 'PH', 'Philippines'),
(74797, '123.242.208.0', '123.242.223.255', 2079510528, 2079514623, 'JP', 'Japan'),
(74798, '123.242.224.0', '123.242.231.255', 2079514624, 2079516671, 'HK', 'Hong Kong'),
(74799, '123.242.232.0', '123.242.239.255', 2079516672, 2079518719, 'JP', 'Japan'),
(74800, '123.242.240.0', '123.242.255.255', 2079518720, 2079522815, 'IN', 'India'),
(74801, '123.243.0.0', '123.243.255.255', 2079522816, 2079588351, 'AU', 'Australia'),
(74802, '123.244.0.0', '123.247.255.255', 2079588352, 2079850495, 'CN', 'China'),
(74803, '123.248.0.0', '123.248.255.255', 2079850496, 2079916031, 'KR', 'Korea, Republic of'),
(74804, '123.249.0.0', '123.249.255.255', 2079916032, 2079981567, 'CN', 'China'),
(74805, '123.250.0.0', '123.251.255.255', 2079981568, 2080112639, 'KR', 'Korea, Republic of'),
(74806, '123.252.0.0', '123.252.127.255', 2080112640, 2080145407, 'TW', 'Taiwan'),
(74807, '123.252.128.0', '123.252.255.255', 2080145408, 2080178175, 'IN', 'India'),
(74808, '123.253.0.0', '123.253.255.255', 2080178176, 2080243711, 'CN', 'China'),
(74809, '123.254.0.0', '123.254.63.255', 2080243712, 2080260095, 'JP', 'Japan'),
(74810, '123.254.64.0', '123.254.95.255', 2080260096, 2080268287, 'KR', 'Korea, Republic of'),
(74811, '123.254.96.0', '123.254.103.255', 2080268288, 2080270335, 'AU', 'Australia'),
(74812, '123.254.104.0', '123.254.111.255', 2080270336, 2080272383, 'HK', 'Hong Kong'),
(74813, '123.254.112.0', '123.254.127.255', 2080272384, 2080276479, 'AU', 'Australia'),
(74814, '123.254.128.0', '123.254.255.255', 2080276480, 2080309247, 'KR', 'Korea, Republic of'),
(74815, '123.255.0.0', '123.255.63.255', 2080309248, 2080325631, 'NZ', 'New Zealand'),
(74816, '123.255.64.0', '123.255.127.255', 2080325632, 2080342015, 'HK', 'Hong Kong'),
(74817, '123.255.128.0', '123.255.199.255', 2080342016, 2080360447, 'JP', 'Japan'),
(74818, '123.255.200.0', '123.255.207.255', 2080360448, 2080362495, 'ID', 'Indonesia'),
(74819, '123.255.208.0', '123.255.223.255', 2080362496, 2080366591, 'AU', 'Australia'),
(74820, '123.255.224.0', '123.255.231.255', 2080366592, 2080368639, 'TW', 'Taiwan'),
(74821, '123.255.232.0', '123.255.247.255', 2080368640, 2080372735, 'JP', 'Japan'),
(74822, '123.255.248.0', '123.255.255.255', 2080372736, 2080374783, 'IN', 'India'),
(74823, '124.0.0.0', '124.3.255.255', 2080374784, 2080636927, 'KR', 'Korea, Republic of'),
(74824, '124.4.0.0', '124.4.255.255', 2080636928, 2080702463, 'IN', 'India'),
(74825, '124.5.0.0', '124.5.255.255', 2080702464, 2080767999, 'KR', 'Korea, Republic of'),
(74826, '124.6.0.0', '124.6.31.255', 2080768000, 2080776191, 'TW', 'Taiwan'),
(74827, '124.6.32.0', '124.6.63.255', 2080776192, 2080784383, 'ID', 'Indonesia'),
(74828, '124.6.64.0', '124.6.127.255', 2080784384, 2080800767, 'CN', 'China'),
(74829, '124.6.128.0', '124.6.191.255', 2080800768, 2080817151, 'PH', 'Philippines'),
(74830, '124.6.192.0', '124.6.223.255', 2080817152, 2080825343, 'NZ', 'New Zealand'),
(74831, '124.6.224.0', '124.6.239.255', 2080825344, 2080829439, 'BD', 'Bangladesh'),
(74832, '124.6.240.0', '124.6.255.255', 2080829440, 2080833535, 'LK', 'Sri Lanka'),
(74833, '124.7.0.0', '124.7.255.255', 2080833536, 2080899071, 'IN', 'India'),
(74834, '124.8.0.0', '124.12.255.255', 2080899072, 2081226751, 'TW', 'Taiwan'),
(74835, '124.13.0.0', '124.13.255.255', 2081226752, 2081292287, 'MY', 'Malaysia'),
(74836, '124.14.0.0', '124.17.255.255', 2081292288, 2081554431, 'CN', 'China'),
(74837, '124.18.0.0', '124.18.255.255', 2081554432, 2081619967, 'JP', 'Japan'),
(74838, '124.19.0.0', '124.19.127.255', 2081619968, 2081652735, 'AU', 'Australia'),
(74839, '124.19.128.0', '124.19.255.255', 2081652736, 2081685503, 'PH', 'Philippines'),
(74840, '124.20.0.0', '124.23.255.255', 2081685504, 2081947647, 'CN', 'China'),
(74841, '124.24.0.0', '124.27.255.255', 2081947648, 2082209791, 'JP', 'Japan'),
(74842, '124.28.0.0', '124.28.191.255', 2082209792, 2082258943, 'KR', 'Korea, Republic of'),
(74843, '124.28.192.0', '124.29.127.255', 2082258944, 2082308095, 'CN', 'China'),
(74844, '124.29.128.0', '124.29.191.255', 2082308096, 2082324479, 'TW', 'Taiwan'),
(74845, '124.29.192.0', '124.29.255.255', 2082324480, 2082340863, 'PK', 'Pakistan'),
(74846, '124.30.0.0', '124.30.255.255', 2082340864, 2082406399, 'IN', 'India'),
(74847, '124.31.0.0', '124.31.255.255', 2082406400, 2082471935, 'CN', 'China'),
(74848, '124.32.0.0', '124.40.43.255', 2082471936, 2083007487, 'JP', 'Japan'),
(74849, '124.40.44.0', '124.40.49.255', 2083007488, 2083009023, 'US', 'United States'),
(74850, '124.40.50.0', '124.40.53.255', 2083009024, 2083010047, 'JP', 'Japan'),
(74851, '124.40.54.0', '124.40.58.255', 2083010048, 2083011327, 'US', 'United States'),
(74852, '124.40.59.0', '124.40.59.255', 2083011328, 2083011583, 'JP', 'Japan'),
(74853, '124.40.60.0', '124.40.63.255', 2083011584, 2083012607, 'US', 'United States'),
(74854, '124.40.64.0', '124.40.111.255', 2083012608, 2083024895, 'JP', 'Japan'),
(74855, '124.40.112.0', '124.40.223.255', 2083024896, 2083053567, 'CN', 'China'),
(74856, '124.40.224.0', '124.40.239.255', 2083053568, 2083057663, 'TH', 'Thailand'),
(74857, '124.40.240.0', '124.40.243.255', 2083057664, 2083058687, 'AU', 'Australia'),
(74858, '124.40.244.0', '124.40.247.255', 2083058688, 2083059711, 'IN', 'India'),
(74859, '124.40.248.0', '124.40.255.255', 2083059712, 2083061759, 'ID', 'Indonesia'),
(74860, '124.41.0.0', '124.41.191.255', 2083061760, 2083110911, 'JP', 'Japan'),
(74861, '124.41.192.0', '124.41.255.255', 2083110912, 2083127295, 'NP', 'Nepal'),
(74862, '124.42.0.0', '124.42.255.255', 2083127296, 2083192831, 'CN', 'China'),
(74863, '124.43.0.0', '124.43.255.255', 2083192832, 2083258367, 'LK', 'Sri Lanka'),
(74864, '124.44.0.0', '124.45.255.255', 2083258368, 2083389439, 'JP', 'Japan'),
(74865, '124.46.0.0', '124.46.255.255', 2083389440, 2083454975, 'KR', 'Korea, Republic of'),
(74866, '124.47.0.0', '124.47.63.255', 2083454976, 2083471359, 'CN', 'China'),
(74867, '124.47.64.0', '124.47.127.255', 2083471360, 2083487743, 'JP', 'Japan'),
(74868, '124.47.128.0', '124.47.191.255', 2083487744, 2083504127, 'AU', 'Australia'),
(74869, '124.47.192.0', '124.47.255.255', 2083504128, 2083520511, 'JP', 'Japan'),
(74870, '124.48.0.0', '124.63.255.255', 2083520512, 2084569087, 'KR', 'Korea, Republic of'),
(74871, '124.64.0.0', '124.66.127.255', 2084569088, 2084732927, 'CN', 'China'),
(74872, '124.66.128.0', '124.66.159.255', 2084732928, 2084741119, 'SG', 'Singapore'),
(74873, '124.66.160.0', '124.66.167.255', 2084741120, 2084743167, 'ID', 'Indonesia'),
(74874, '124.66.176.0', '124.66.191.255', 2084745216, 2084749311, 'KR', 'Korea, Republic of'),
(74875, '124.66.192.0', '124.66.207.255', 2084749312, 2084753407, 'JP', 'Japan'),
(74876, '124.66.208.0', '124.66.223.255', 2084753408, 2084757503, 'KR', 'Korea, Republic of'),
(74877, '124.66.224.0', '124.66.255.255', 2084757504, 2084765695, 'JP', 'Japan'),
(74878, '124.67.0.0', '124.79.255.255', 2084765696, 2085617663, 'CN', 'China'),
(74879, '124.80.0.0', '124.80.255.255', 2085617664, 2085683199, 'KR', 'Korea, Republic of'),
(74880, '124.81.0.0', '124.81.255.255', 2085683200, 2085748735, 'ID', 'Indonesia'),
(74881, '124.82.0.0', '124.82.255.255', 2085748736, 2085814271, 'MY', 'Malaysia'),
(74882, '124.83.0.0', '124.83.127.255', 2085814272, 2085847039, 'PH', 'Philippines'),
(74883, '124.83.128.0', '124.87.255.255', 2085847040, 2086141951, 'JP', 'Japan'),
(74884, '124.88.0.0', '124.95.255.255', 2086141952, 2086666239, 'CN', 'China'),
(74885, '124.96.0.0', '124.103.255.255', 2086666240, 2087190527, 'JP', 'Japan'),
(74886, '124.104.0.0', '124.107.255.255', 2087190528, 2087452671, 'PH', 'Philippines'),
(74887, '124.108.0.0', '124.108.3.255', 2087452672, 2087453695, 'AU', 'Australia'),
(74888, '124.108.4.0', '124.108.7.255', 2087453696, 2087454719, 'KH', 'Cambodia'),
(74889, '124.108.8.0', '124.108.15.255', 2087454720, 2087456767, 'CN', 'China'),
(74890, '124.108.16.0', '124.108.19.255', 2087456768, 2087457791, 'MY', 'Malaysia'),
(74891, '124.108.24.0', '124.108.31.255', 2087458816, 2087460863, 'FJ', 'Fiji'),
(74892, '124.108.32.0', '124.108.39.255', 2087460864, 2087462911, 'JP', 'Japan'),
(74893, '124.108.40.0', '124.108.47.255', 2087462912, 2087464959, 'CN', 'China'),
(74894, '124.108.48.0', '124.108.55.255', 2087464960, 2087467007, 'KH', 'Cambodia'),
(74895, '124.108.56.0', '124.108.63.255', 2087467008, 2087469055, 'JP', 'Japan'),
(74896, '124.108.64.0', '124.108.111.255', 2087469056, 2087481343, 'HK', 'Hong Kong'),
(74897, '124.108.112.0', '124.108.127.255', 2087481344, 2087485439, 'SG', 'Singapore'),
(74898, '124.108.128.0', '124.108.191.255', 2087485440, 2087501823, 'TW', 'Taiwan'),
(74899, '124.108.192.0', '124.108.255.255', 2087501824, 2087518207, 'JP', 'Japan'),
(74900, '124.109.0.0', '124.109.3.255', 2087518208, 2087519231, 'TH', 'Thailand'),
(74901, '124.109.4.0', '124.109.7.255', 2087519232, 2087520255, 'SG', 'Singapore'),
(74902, '124.109.8.0', '124.109.15.255', 2087520256, 2087522303, 'FM', 'Micronesia, Federated States of'),
(74903, '124.109.16.0', '124.109.23.255', 2087522304, 2087524351, 'BD', 'Bangladesh'),
(74904, '124.109.24.0', '124.109.31.255', 2087524352, 2087526399, 'TH', 'Thailand'),
(74905, '124.109.32.0', '124.109.63.255', 2087526400, 2087534591, 'PK', 'Pakistan'),
(74906, '124.109.64.0', '124.109.95.255', 2087534592, 2087542783, 'AU', 'Australia'),
(74907, '124.109.96.0', '124.109.103.255', 2087542784, 2087544831, 'CN', 'China'),
(74908, '124.109.104.0', '124.109.107.255', 2087544832, 2087545855, 'BD', 'Bangladesh'),
(74909, '124.109.108.0', '124.109.111.255', 2087545856, 2087546879, 'JP', 'Japan'),
(74910, '124.109.112.0', '124.109.127.255', 2087546880, 2087550975, 'TW', 'Taiwan'),
(74911, '124.109.128.0', '124.110.255.255', 2087550976, 2087649279, 'JP', 'Japan'),
(74912, '124.111.0.0', '124.111.255.255', 2087649280, 2087714815, 'KR', 'Korea, Republic of'),
(74913, '124.112.0.0', '124.119.255.255', 2087714816, 2088239103, 'CN', 'China'),
(74914, '124.120.0.0', '124.122.255.255', 2088239104, 2088435711, 'TH', 'Thailand'),
(74915, '124.123.0.0', '124.125.255.255', 2088435712, 2088632319, 'IN', 'India'),
(74916, '124.126.0.0', '124.135.255.255', 2088632320, 2089287679, 'CN', 'China'),
(74917, '124.136.0.0', '124.139.255.255', 2089287680, 2089549823, 'KR', 'Korea, Republic of'),
(74918, '124.140.0.0', '124.145.255.255', 2089549824, 2089943039, 'JP', 'Japan'),
(74919, '124.146.0.0', '124.146.63.255', 2089943040, 2089959423, 'KR', 'Korea, Republic of'),
(74920, '124.146.64.0', '124.147.127.255', 2089959424, 2090041343, 'JP', 'Japan'),
(74921, '124.147.128.0', '124.147.255.255', 2090041344, 2090074111, 'CN', 'China'),
(74922, '124.148.0.0', '124.150.127.255', 2090074112, 2090237951, 'AU', 'Australia'),
(74923, '124.150.128.0', '124.150.135.255', 2090237952, 2090239999, 'TW', 'Taiwan'),
(74924, '124.150.136.0', '124.150.136.255', 2090240000, 2090240255, 'IN', 'India'),
(74925, '124.150.140.0', '124.150.143.255', 2090241024, 2090242047, 'MY', 'Malaysia'),
(74926, '124.150.144.0', '124.150.159.255', 2090242048, 2090246143, 'JP', 'Japan'),
(74927, '124.150.160.0', '124.150.175.255', 2090246144, 2090250239, 'NZ', 'New Zealand'),
(74928, '124.150.176.0', '124.150.255.255', 2090250240, 2090270719, 'JP', 'Japan'),
(74929, '124.151.0.0', '124.152.255.255', 2090270720, 2090401791, 'CN', 'China'),
(74930, '124.153.0.0', '124.153.63.255', 2090401792, 2090418175, 'ID', 'Indonesia'),
(74931, '124.153.64.0', '124.153.127.255', 2090418176, 2090434559, 'IN', 'India'),
(74932, '124.153.128.0', '124.153.255.255', 2090434560, 2090467327, 'KR', 'Korea, Republic of'),
(74933, '124.154.0.0', '124.155.127.255', 2090467328, 2090565631, 'JP', 'Japan'),
(74934, '124.155.128.0', '124.155.191.255', 2090565632, 2090582015, 'TW', 'Taiwan'),
(74935, '124.155.192.0', '124.155.223.255', 2090582016, 2090590207, 'SG', 'Singapore'),
(74936, '124.155.224.0', '124.155.239.255', 2090590208, 2090594303, 'NZ', 'New Zealand'),
(74937, '124.155.240.0', '124.155.255.255', 2090594304, 2090598399, 'IN', 'India'),
(74938, '124.156.0.0', '124.156.255.255', 2090598400, 2090663935, 'CN', 'China'),
(74939, '124.157.0.0', '124.157.63.255', 2090663936, 2090680319, 'VN', 'Vietnam'),
(74940, '124.157.64.0', '124.157.127.255', 2090680320, 2090696703, 'NZ', 'New Zealand'),
(74941, '124.157.128.0', '124.157.255.255', 2090696704, 2090729471, 'TH', 'Thailand'),
(74942, '124.158.0.0', '124.158.15.255', 2090729472, 2090733567, 'VN', 'Vietnam'),
(74943, '124.158.16.0', '124.158.27.255', 2090733568, 2090736639, 'AU', 'Australia'),
(74944, '124.158.28.0', '124.158.31.255', 2090736640, 2090737663, 'IN', 'India'),
(74945, '124.158.32.0', '124.158.63.255', 2090737664, 2090745855, 'PH', 'Philippines'),
(74946, '124.158.64.0', '124.158.127.255', 2090745856, 2090762239, 'MN', 'Mongolia'),
(74947, '124.158.128.0', '124.158.191.255', 2090762240, 2090778623, 'ID', 'Indonesia'),
(74948, '124.158.192.0', '124.158.223.255', 2090778624, 2090786815, 'HK', 'Hong Kong'),
(74949, '124.158.224.0', '124.158.255.255', 2090786816, 2090795007, 'MY', 'Malaysia'),
(74950, '124.159.0.0', '124.159.255.255', 2090795008, 2090860543, 'JP', 'Japan'),
(74951, '124.160.0.0', '124.167.255.255', 2090860544, 2091384831, 'CN', 'China'),
(74952, '124.168.0.0', '124.171.255.255', 2091384832, 2091646975, 'AU', 'Australia'),
(74953, '124.172.0.0', '124.175.255.255', 2091646976, 2091909119, 'CN', 'China'),
(74954, '124.176.0.0', '124.191.255.255', 2091909120, 2092957695, 'AU', 'Australia'),
(74955, '124.192.0.0', '124.193.255.255', 2092957696, 2093088767, 'CN', 'China'),
(74956, '124.194.0.0', '124.194.255.255', 2093088768, 2093154303, 'KR', 'Korea, Republic of'),
(74957, '124.195.0.0', '124.195.127.255', 2093154304, 2093187071, 'ID', 'Indonesia'),
(74958, '124.195.128.0', '124.195.143.255', 2093187072, 2093191167, 'MY', 'Malaysia'),
(74959, '124.195.144.0', '124.195.159.255', 2093191168, 2093195263, 'JP', 'Japan'),
(74960, '124.195.160.0', '124.195.191.255', 2093195264, 2093203455, 'KR', 'Korea, Republic of'),
(74961, '124.195.192.0', '124.195.223.255', 2093203456, 2093211647, 'MV', 'Maldives'),
(74962, '124.195.224.0', '124.195.255.255', 2093211648, 2093219839, 'KR', 'Korea, Republic of'),
(74963, '124.196.0.0', '124.196.255.255', 2093219840, 2093285375, 'CN', 'China'),
(74964, '124.197.0.0', '124.197.63.255', 2093285376, 2093301759, 'NZ', 'New Zealand'),
(74965, '124.197.64.0', '124.197.127.255', 2093301760, 2093318143, 'SG', 'Singapore'),
(74966, '124.197.128.0', '124.197.223.255', 2093318144, 2093342719, 'KR', 'Korea, Republic of'),
(74967, '124.197.224.0', '124.197.255.255', 2093342720, 2093350911, 'MY', 'Malaysia'),
(74968, '124.198.0.0', '124.198.127.255', 2093350912, 2093383679, 'KR', 'Korea, Republic of'),
(74969, '124.198.128.0', '124.198.255.255', 2093383680, 2093416447, 'NZ', 'New Zealand'),
(74970, '124.199.0.0', '124.199.63.255', 2093416448, 2093432831, 'KR', 'Korea, Republic of'),
(74971, '124.199.64.0', '124.199.111.255', 2093432832, 2093445119, 'TW', 'Taiwan'),
(74972, '124.199.112.0', '124.199.127.255', 2093445120, 2093449215, 'AF', 'Afghanistan'),
(74973, '124.199.128.0', '124.199.255.255', 2093449216, 2093481983, 'KR', 'Korea, Republic of'),
(74974, '124.200.0.0', '124.207.255.255', 2093481984, 2094006271, 'CN', 'China'),
(74975, '124.208.0.0', '124.215.255.255', 2094006272, 2094530559, 'JP', 'Japan'),
(74976, '124.216.0.0', '124.216.255.255', 2094530560, 2094596095, 'KR', 'Korea, Republic of'),
(74977, '124.217.0.0', '124.217.127.255', 2094596096, 2094628863, 'PH', 'Philippines'),
(74978, '124.217.128.0', '124.217.191.255', 2094628864, 2094645247, 'HK', 'Hong Kong'),
(74979, '124.217.192.0', '124.217.223.255', 2094645248, 2094653439, 'KR', 'Korea, Republic of'),
(74980, '124.217.224.0', '124.217.255.255', 2094653440, 2094661631, 'MY', 'Malaysia'),
(74981, '124.218.0.0', '124.219.127.255', 2094661632, 2094759935, 'TW', 'Taiwan'),
(74982, '124.219.128.0', '124.219.255.255', 2094759936, 2094792703, 'JP', 'Japan'),
(74983, '124.220.0.0', '124.240.191.255', 2094792704, 2096152575, 'CN', 'China'),
(74984, '124.240.192.0', '124.240.223.255', 2096152576, 2096160767, 'PG', 'Papua New Guinea'),
(74985, '124.240.224.0', '124.241.255.255', 2096160768, 2096234495, 'JP', 'Japan'),
(74986, '124.242.0.0', '124.242.255.255', 2096234496, 2096300031, 'CN', 'China'),
(74987, '124.243.0.0', '124.243.127.255', 2096300032, 2096332799, 'KR', 'Korea, Republic of'),
(74988, '124.243.128.0', '124.243.191.255', 2096332800, 2096349183, 'AU', 'Australia'),
(74989, '124.243.192.0', '124.243.255.255', 2096349184, 2096365567, 'CN', 'China'),
(74990, '124.244.0.0', '124.244.255.255', 2096365568, 2096431103, 'HK', 'Hong Kong'),
(74991, '124.245.0.0', '124.245.255.255', 2096431104, 2096496639, 'JP', 'Japan'),
(74992, '124.246.0.0', '124.246.63.255', 2096496640, 2096513023, 'AU', 'Australia'),
(74993, '124.246.64.0', '124.246.127.255', 2096513024, 2096529407, 'SG', 'Singapore'),
(74994, '124.246.128.0', '124.247.191.255', 2096529408, 2096611327, 'JP', 'Japan'),
(74995, '124.247.192.0', '124.247.255.255', 2096611328, 2096627711, 'IN', 'India'),
(74996, '124.248.0.0', '124.248.127.255', 2096627712, 2096660479, 'CN', 'China'),
(74997, '124.248.128.0', '124.248.143.255', 2096660480, 2096664575, 'NZ', 'New Zealand'),
(74998, '124.248.144.0', '124.248.159.255', 2096664576, 2096668671, 'JP', 'Japan'),
(74999, '124.248.160.0', '124.248.191.255', 2096668672, 2096676863, 'KH', 'Cambodia'),
(75000, '124.248.192.0', '124.248.255.255', 2096676864, 2096693247, 'HK', 'Hong Kong'),
(75001, '124.249.0.0', '124.251.255.255', 2096693248, 2096889855, 'CN', 'China');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(75002, '124.252.0.0', '124.252.255.255', 2096889856, 2096955391, 'AU', 'Australia'),
(75003, '124.253.0.0', '124.253.255.255', 2096955392, 2097020927, 'IN', 'India'),
(75004, '124.254.0.0', '124.254.63.255', 2097020928, 2097037311, 'CN', 'China'),
(75005, '124.254.64.0', '124.254.127.255', 2097037312, 2097053695, 'AU', 'Australia'),
(75006, '124.254.128.0', '124.254.255.255', 2097053696, 2097086463, 'KR', 'Korea, Republic of'),
(75007, '124.255.0.0', '125.4.255.255', 2097086464, 2097479679, 'JP', 'Japan'),
(75008, '125.5.0.0', '125.5.255.255', 2097479680, 2097545215, 'PH', 'Philippines'),
(75009, '125.6.0.0', '125.6.255.255', 2097545216, 2097610751, 'JP', 'Japan'),
(75010, '125.7.0.0', '125.7.127.255', 2097610752, 2097643519, 'AU', 'Australia'),
(75011, '125.7.128.0', '125.7.255.255', 2097643520, 2097676287, 'KR', 'Korea, Republic of'),
(75012, '125.8.0.0', '125.14.176.255', 2097676288, 2098114815, 'JP', 'Japan'),
(75013, '125.14.177.0', '125.14.177.255', 2098114816, 2098115071, 'US', 'United States'),
(75014, '125.14.178.0', '125.14.206.255', 2098115072, 2098122495, 'JP', 'Japan'),
(75015, '125.14.207.0', '125.14.207.255', 2098122496, 2098122751, 'US', 'United States'),
(75016, '125.14.208.0', '125.15.255.255', 2098122752, 2098200575, 'JP', 'Japan'),
(75017, '125.16.0.0', '125.23.255.255', 2098200576, 2098724863, 'IN', 'India'),
(75018, '125.24.0.0', '125.27.255.255', 2098724864, 2098987007, 'TH', 'Thailand'),
(75019, '125.28.0.0', '125.30.255.255', 2098987008, 2099183615, 'JP', 'Japan'),
(75020, '125.31.0.0', '125.31.63.255', 2099183616, 2099199999, 'MO', 'Macau'),
(75021, '125.31.64.0', '125.31.127.255', 2099200000, 2099216383, 'JP', 'Japan'),
(75022, '125.31.128.0', '125.31.191.255', 2099216384, 2099232767, 'KR', 'Korea, Republic of'),
(75023, '125.31.192.0', '125.47.255.255', 2099232768, 2100297727, 'CN', 'China'),
(75024, '125.48.0.0', '125.56.127.255', 2100297728, 2100854783, 'JP', 'Japan'),
(75025, '125.56.128.0', '125.56.255.255', 2100854784, 2100887551, 'US', 'United States'),
(75026, '125.57.0.0', '125.57.255.255', 2100887552, 2100953087, 'KR', 'Korea, Republic of'),
(75027, '125.58.0.0', '125.58.63.255', 2100953088, 2100969471, 'VN', 'Vietnam'),
(75028, '125.58.64.0', '125.58.127.255', 2100969472, 2100985855, 'JP', 'Japan'),
(75029, '125.58.128.0', '125.58.255.255', 2100985856, 2101018623, 'CN', 'China'),
(75030, '125.59.0.0', '125.59.255.255', 2101018624, 2101084159, 'HK', 'Hong Kong'),
(75031, '125.60.0.0', '125.60.127.255', 2101084160, 2101116927, 'KR', 'Korea, Republic of'),
(75032, '125.60.128.0', '125.60.255.255', 2101116928, 2101149695, 'PH', 'Philippines'),
(75033, '125.61.0.0', '125.61.127.255', 2101149696, 2101182463, 'KR', 'Korea, Republic of'),
(75034, '125.61.128.0', '125.62.63.255', 2101182464, 2101231615, 'CN', 'China'),
(75035, '125.62.64.0', '125.62.95.255', 2101231616, 2101239807, 'AU', 'Australia'),
(75036, '125.62.96.0', '125.62.215.255', 2101239808, 2101270527, 'IN', 'India'),
(75037, '125.62.216.0', '125.62.223.255', 2101270528, 2101272575, 'KR', 'Korea, Republic of'),
(75038, '125.62.224.0', '125.62.239.255', 2101272576, 2101276671, 'TW', 'Taiwan'),
(75039, '125.62.240.0', '125.62.255.255', 2101276672, 2101280767, 'JP', 'Japan'),
(75040, '125.63.0.0', '125.63.31.255', 2101280768, 2101288959, 'AU', 'Australia'),
(75041, '125.63.32.0', '125.63.47.255', 2101288960, 2101293055, 'JP', 'Japan'),
(75042, '125.63.48.0', '125.63.63.255', 2101293056, 2101297151, 'AU', 'Australia'),
(75043, '125.63.64.0', '125.63.127.255', 2101297152, 2101313535, 'IN', 'India'),
(75044, '125.63.128.0', '125.63.255.255', 2101313536, 2101346303, 'AU', 'Australia'),
(75045, '125.64.0.0', '125.98.255.255', 2101346304, 2103640063, 'CN', 'China'),
(75046, '125.99.0.0', '125.99.255.255', 2103640064, 2103705599, 'IN', 'India'),
(75047, '125.100.0.0', '125.103.255.255', 2103705600, 2103967743, 'JP', 'Japan'),
(75048, '125.104.0.0', '125.127.255.255', 2103967744, 2105540607, 'CN', 'China'),
(75049, '125.128.0.0', '125.159.255.255', 2105540608, 2107637759, 'KR', 'Korea, Republic of'),
(75050, '125.160.0.0', '125.167.255.255', 2107637760, 2108162047, 'ID', 'Indonesia'),
(75051, '125.168.0.0', '125.168.255.255', 2108162048, 2108227583, 'AU', 'Australia'),
(75052, '125.169.0.0', '125.169.255.255', 2108227584, 2108293119, 'CN', 'China'),
(75053, '125.170.0.0', '125.170.255.255', 2108293120, 2108358655, 'JP', 'Japan'),
(75054, '125.171.0.0', '125.171.255.255', 2108358656, 2108424191, 'CN', 'China'),
(75055, '125.172.0.0', '125.175.255.255', 2108424192, 2108686335, 'JP', 'Japan'),
(75056, '125.176.0.0', '125.191.255.255', 2108686336, 2109734911, 'KR', 'Korea, Republic of'),
(75057, '125.192.0.0', '125.207.255.255', 2109734912, 2110783487, 'JP', 'Japan'),
(75058, '125.208.0.0', '125.208.63.255', 2110783488, 2110799871, 'CN', 'China'),
(75059, '125.208.64.0', '125.208.127.255', 2110799872, 2110816255, 'KR', 'Korea, Republic of'),
(75060, '125.208.128.0', '125.208.191.255', 2110816256, 2110832639, 'ID', 'Indonesia'),
(75061, '125.208.192.0', '125.209.63.255', 2110832640, 2110865407, 'KR', 'Korea, Republic of'),
(75062, '125.209.64.0', '125.209.127.255', 2110865408, 2110881791, 'PK', 'Pakistan'),
(75063, '125.209.128.0', '125.209.191.255', 2110881792, 2110898175, 'AU', 'Australia'),
(75064, '125.209.192.0', '125.209.255.255', 2110898176, 2110914559, 'KR', 'Korea, Republic of'),
(75065, '125.210.0.0', '125.211.255.255', 2110914560, 2111045631, 'CN', 'China'),
(75066, '125.212.0.0', '125.212.127.255', 2111045632, 2111078399, 'PH', 'Philippines'),
(75067, '125.212.128.0', '125.212.255.255', 2111078400, 2111111167, 'VN', 'Vietnam'),
(75068, '125.213.0.0', '125.213.127.255', 2111111168, 2111143935, 'CN', 'China'),
(75069, '125.213.128.0', '125.213.159.255', 2111143936, 2111152127, 'ID', 'Indonesia'),
(75070, '125.213.160.0', '125.213.191.255', 2111152128, 2111160319, 'AU', 'Australia'),
(75071, '125.213.192.0', '125.213.223.255', 2111160320, 2111168511, 'AF', 'Afghanistan'),
(75072, '125.213.224.0', '125.213.255.255', 2111168512, 2111176703, 'TH', 'Thailand'),
(75073, '125.214.0.0', '125.214.63.255', 2111176704, 2111193087, 'VN', 'Vietnam'),
(75074, '125.214.64.0', '125.214.95.255', 2111193088, 2111201279, 'AU', 'Australia'),
(75075, '125.214.96.0', '125.214.127.255', 2111201280, 2111209471, 'CN', 'China'),
(75076, '125.214.128.0', '125.214.159.255', 2111209472, 2111217663, 'JP', 'Japan'),
(75077, '125.214.160.0', '125.214.191.255', 2111217664, 2111225855, 'LK', 'Sri Lanka'),
(75078, '125.214.192.0', '125.214.255.255', 2111225856, 2111242239, 'HK', 'Hong Kong'),
(75079, '125.215.0.0', '125.215.63.255', 2111242240, 2111258623, 'CN', 'China'),
(75080, '125.215.64.0', '125.215.127.255', 2111258624, 2111275007, 'JP', 'Japan'),
(75081, '125.215.128.0', '125.215.255.255', 2111275008, 2111307775, 'HK', 'Hong Kong'),
(75082, '125.216.0.0', '125.223.255.255', 2111307776, 2111832063, 'CN', 'China'),
(75083, '125.224.0.0', '125.233.255.255', 2111832064, 2112487423, 'TW', 'Taiwan'),
(75084, '125.234.0.0', '125.235.255.255', 2112487424, 2112618495, 'VN', 'Vietnam'),
(75085, '125.236.0.0', '125.239.255.255', 2112618496, 2112880639, 'NZ', 'New Zealand'),
(75086, '125.240.0.0', '125.252.63.255', 2112880640, 2113683455, 'KR', 'Korea, Republic of'),
(75087, '125.252.64.0', '125.252.191.255', 2113683456, 2113716223, 'JP', 'Japan'),
(75088, '125.252.192.0', '125.252.255.255', 2113716224, 2113732607, 'SG', 'Singapore'),
(75089, '125.253.0.0', '125.253.111.255', 2113732608, 2113761279, 'AU', 'Australia'),
(75090, '125.253.112.0', '125.253.127.255', 2113761280, 2113765375, 'VN', 'Vietnam'),
(75091, '125.253.128.0', '125.253.255.255', 2113765376, 2113798143, 'HK', 'Hong Kong'),
(75092, '125.254.0.0', '125.254.51.255', 2113798144, 2113811455, 'AU', 'Australia'),
(75093, '125.254.52.0', '125.254.55.255', 2113811456, 2113812479, 'HK', 'Hong Kong'),
(75094, '125.254.56.0', '125.254.59.255', 2113812480, 2113813503, 'JP', 'Japan'),
(75095, '125.254.60.0', '125.254.127.255', 2113813504, 2113830911, 'AU', 'Australia'),
(75096, '125.254.128.0', '125.254.255.255', 2113830912, 2113863679, 'CN', 'China'),
(75097, '125.255.0.0', '125.255.255.255', 2113863680, 2113929215, 'AU', 'Australia'),
(75098, '126.0.0.0', '126.255.255.255', 2113929216, 2130706431, 'JP', 'Japan'),
(75099, '128.0.0.0', '128.0.255.255', 2147483648, 2147549183, 'EU', 'Europe'),
(75100, '128.1.0.0', '128.6.255.255', 2147549184, 2147942399, 'US', 'United States'),
(75101, '128.7.0.0', '128.7.255.255', 2147942400, 2148007935, 'DE', 'Germany'),
(75102, '128.8.0.0', '128.11.62.99', 2148007936, 2148220515, 'US', 'United States'),
(75103, '128.11.62.100', '128.11.62.119', 2148220516, 2148220535, 'AU', 'Australia'),
(75104, '128.11.62.120', '128.11.96.31', 2148220536, 2148229151, 'US', 'United States'),
(75105, '128.11.96.32', '128.11.96.63', 2148229152, 2148229183, 'CA', 'Canada'),
(75106, '128.11.96.64', '128.15.255.255', 2148229184, 2148532223, 'US', 'United States'),
(75107, '128.16.0.0', '128.16.255.255', 2148532224, 2148597759, 'GB', 'United Kingdom'),
(75108, '128.17.0.0', '128.38.255.255', 2148597760, 2150039551, 'US', 'United States'),
(75109, '128.39.0.0', '128.39.255.255', 2150039552, 2150105087, 'NO', 'Norway'),
(75110, '128.40.0.0', '128.41.255.255', 2150105088, 2150236159, 'GB', 'United Kingdom'),
(75111, '128.42.0.0', '128.42.255.255', 2150236160, 2150301695, 'US', 'United States'),
(75112, '128.43.0.0', '128.43.255.255', 2150301696, 2150367231, 'CA', 'Canada'),
(75113, '128.44.0.0', '128.44.255.255', 2150367232, 2150432767, 'US', 'United States'),
(75114, '128.45.0.0', '128.45.255.255', 2150432768, 2150498303, 'IT', 'Italy'),
(75115, '128.46.0.0', '128.64.255.255', 2150498304, 2151743487, 'US', 'United States'),
(75116, '128.65.0.0', '128.65.63.255', 2151743488, 2151759871, 'BY', 'Belarus'),
(75117, '128.65.64.0', '128.65.95.255', 2151759872, 2151768063, 'US', 'United States'),
(75118, '128.65.96.0', '128.65.103.255', 2151768064, 2151770111, 'GB', 'United Kingdom'),
(75119, '128.65.104.0', '128.65.111.255', 2151770112, 2151772159, 'BA', 'Bosnia and Herzegovina'),
(75120, '128.65.112.0', '128.65.127.255', 2151772160, 2151776255, 'IT', 'Italy'),
(75121, '128.65.128.0', '128.65.135.255', 2151776256, 2151778303, 'AT', 'Austria'),
(75122, '128.65.136.0', '128.65.143.255', 2151778304, 2151780351, 'RU', 'Russian Federation'),
(75123, '128.65.144.0', '128.65.151.255', 2151780352, 2151782399, 'DE', 'Germany'),
(75124, '128.65.152.0', '128.65.159.255', 2151782400, 2151784447, 'ES', 'Spain'),
(75125, '128.65.160.0', '128.65.191.255', 2151784448, 2151792639, 'IR', 'Iran, Islamic Republic of'),
(75126, '128.65.192.0', '128.65.199.255', 2151792640, 2151794687, 'CH', 'Switzerland'),
(75127, '128.65.200.0', '128.65.207.255', 2151794688, 2151796735, 'IT', 'Italy'),
(75128, '128.65.208.0', '128.65.211.255', 2151796736, 2151797759, 'NL', 'Netherlands'),
(75129, '128.65.212.0', '128.65.212.15', 2151797760, 2151797775, 'DE', 'Germany'),
(75130, '128.65.212.16', '128.65.219.255', 2151797776, 2151799807, 'NL', 'Netherlands'),
(75131, '128.65.220.0', '128.65.223.255', 2151799808, 2151800831, 'DE', 'Germany'),
(75132, '128.65.224.0', '128.65.255.255', 2151800832, 2151809023, 'PT', 'Portugal'),
(75133, '128.66.0.0', '128.67.255.255', 2151809024, 2151940095, 'IT', 'Italy'),
(75134, '128.68.0.0', '128.75.255.255', 2151940096, 2152464383, 'RU', 'Russian Federation'),
(75135, '128.76.0.0', '128.77.255.255', 2152464384, 2152595455, 'DK', 'Denmark'),
(75136, '128.78.0.0', '128.79.255.255', 2152595456, 2152726527, 'FR', 'France'),
(75137, '128.80.0.0', '128.85.255.255', 2152726528, 2153119743, 'US', 'United States'),
(75138, '128.86.0.0', '128.86.255.255', 2153119744, 2153185279, 'GB', 'United Kingdom'),
(75139, '128.87.0.0', '128.87.255.255', 2153185280, 2153250815, 'SE', 'Sweden'),
(75140, '128.88.0.0', '128.88.254.255', 2153250816, 2153316095, 'US', 'United States'),
(75141, '128.88.255.0', '128.88.255.255', 2153316096, 2153316351, 'AP', 'Asia/Pacific Region'),
(75142, '128.89.0.0', '128.92.255.255', 2153316352, 2153578495, 'US', 'United States'),
(75143, '128.93.0.0', '128.93.255.255', 2153578496, 2153644031, 'FR', 'France'),
(75144, '128.94.0.0', '128.97.255.255', 2153644032, 2153906175, 'US', 'United States'),
(75145, '128.98.0.0', '128.98.255.255', 2153906176, 2153971711, 'GB', 'United Kingdom'),
(75146, '128.99.0.0', '128.99.255.255', 2153971712, 2154037247, 'US', 'United States'),
(75147, '128.100.0.0', '128.100.255.255', 2154037248, 2154102783, 'CA', 'Canada'),
(75148, '128.101.0.0', '128.123.255.255', 2154102784, 2155610111, 'US', 'United States'),
(75149, '128.124.0.0', '128.124.255.255', 2155610112, 2155675647, 'UA', 'Ukraine'),
(75150, '128.125.0.0', '128.126.255.255', 2155675648, 2155806719, 'US', 'United States'),
(75151, '128.127.0.0', '128.127.7.255', 2155806720, 2155808767, 'IT', 'Italy'),
(75152, '128.127.8.0', '128.127.15.255', 2155808768, 2155810815, 'RU', 'Russian Federation'),
(75153, '128.127.16.0', '128.127.23.255', 2155810816, 2155812863, 'FR', 'France'),
(75154, '128.127.24.0', '128.127.31.255', 2155812864, 2155814911, 'GB', 'United Kingdom'),
(75155, '128.127.32.0', '128.127.47.255', 2155814912, 2155819007, 'NL', 'Netherlands'),
(75156, '128.127.48.0', '128.127.55.255', 2155819008, 2155821055, 'DE', 'Germany'),
(75157, '128.127.56.0', '128.127.63.255', 2155821056, 2155823103, 'IT', 'Italy'),
(75158, '128.127.64.0', '128.127.71.255', 2155823104, 2155825151, 'DE', 'Germany'),
(75159, '128.127.72.0', '128.127.79.255', 2155825152, 2155827199, 'AE', 'United Arab Emirates'),
(75160, '128.127.80.0', '128.127.95.255', 2155827200, 2155831295, 'PL', 'Poland'),
(75161, '128.127.96.0', '128.127.103.255', 2155831296, 2155833343, 'RU', 'Russian Federation'),
(75162, '128.127.104.0', '128.127.105.255', 2155833344, 2155833855, 'SE', 'Sweden'),
(75163, '128.127.106.0', '128.127.108.255', 2155833856, 2155834623, 'NL', 'Netherlands'),
(75164, '128.127.109.0', '128.127.109.255', 2155834624, 2155834879, 'LU', 'Luxembourg'),
(75165, '128.127.110.0', '128.127.111.255', 2155834880, 2155835391, 'NL', 'Netherlands'),
(75166, '128.127.112.0', '128.127.127.255', 2155835392, 2155839487, 'RO', 'Romania'),
(75167, '128.127.128.0', '128.127.143.255', 2155839488, 2155843583, 'FR', 'France'),
(75168, '128.127.144.0', '128.127.151.255', 2155843584, 2155845631, 'RU', 'Russian Federation'),
(75169, '128.127.152.0', '128.127.159.255', 2155845632, 2155847679, 'DE', 'Germany'),
(75170, '128.127.160.0', '128.127.167.255', 2155847680, 2155849727, 'ES', 'Spain'),
(75171, '128.127.168.0', '128.127.175.255', 2155849728, 2155851775, 'TR', 'Turkey'),
(75172, '128.127.176.0', '128.127.183.255', 2155851776, 2155853823, 'KZ', 'Kazakhstan'),
(75173, '128.127.184.0', '128.127.191.255', 2155853824, 2155855871, 'SE', 'Sweden'),
(75174, '128.127.192.0', '128.127.255.255', 2155855872, 2155872255, 'RO', 'Romania'),
(75175, '128.128.0.0', '128.129.255.255', 2155872256, 2156003327, 'US', 'United States'),
(75176, '128.130.0.0', '128.131.255.255', 2156003328, 2156134399, 'AT', 'Austria'),
(75177, '128.132.0.0', '128.133.255.255', 2156134400, 2156265471, 'US', 'United States'),
(75178, '128.134.0.0', '128.134.255.255', 2156265472, 2156331007, 'KR', 'Korea, Republic of'),
(75179, '128.135.0.0', '128.138.255.255', 2156331008, 2156593151, 'US', 'United States'),
(75180, '128.139.0.0', '128.139.255.255', 2156593152, 2156658687, 'IL', 'Israel'),
(75181, '128.140.0.0', '128.140.127.255', 2156658688, 2156691455, 'IR', 'Iran, Islamic Republic of'),
(75182, '128.140.128.0', '128.140.128.22', 2156691456, 2156691478, 'A2', 'Satellite Provider'),
(75183, '128.140.128.23', '128.140.128.23', 2156691479, 2156691479, 'FR', 'France'),
(75184, '128.140.128.24', '128.140.143.255', 2156691480, 2156695551, 'A2', 'Satellite Provider'),
(75185, '128.140.144.0', '128.140.151.255', 2156695552, 2156697599, 'FR', 'France'),
(75186, '128.140.152.0', '128.140.159.255', 2156697600, 2156699647, 'CY', 'Cyprus'),
(75187, '128.140.160.0', '128.140.175.255', 2156699648, 2156703743, 'RU', 'Russian Federation'),
(75188, '128.140.176.0', '128.140.191.255', 2156703744, 2156707839, 'BG', 'Bulgaria'),
(75189, '128.140.192.0', '128.140.199.255', 2156707840, 2156709887, 'RU', 'Russian Federation'),
(75190, '128.140.200.0', '128.140.207.255', 2156709888, 2156711935, 'ES', 'Spain'),
(75191, '128.140.208.0', '128.140.215.255', 2156711936, 2156713983, 'DE', 'Germany'),
(75192, '128.140.216.0', '128.140.223.255', 2156713984, 2156716031, 'NL', 'Netherlands'),
(75193, '128.140.224.0', '128.140.231.255', 2156716032, 2156718079, 'RO', 'Romania'),
(75194, '128.140.232.0', '128.140.239.255', 2156718080, 2156720127, 'IS', 'Iceland'),
(75195, '128.140.240.0', '128.140.255.255', 2156720128, 2156724223, 'BY', 'Belarus'),
(75196, '128.141.0.0', '128.142.255.255', 2156724224, 2156855295, 'CH', 'Switzerland'),
(75197, '128.143.0.0', '128.143.255.255', 2156855296, 2156920831, 'US', 'United States'),
(75198, '128.144.0.0', '128.144.255.255', 2156920832, 2156986367, 'CA', 'Canada'),
(75199, '128.145.0.0', '128.175.255.255', 2156986368, 2159017983, 'US', 'United States'),
(75200, '128.176.0.0', '128.176.255.255', 2159017984, 2159083519, 'DE', 'Germany'),
(75201, '128.177.0.0', '128.177.255.255', 2159083520, 2159149055, 'US', 'United States'),
(75202, '128.178.0.0', '128.179.255.255', 2159149056, 2159280127, 'CH', 'Switzerland'),
(75203, '128.180.0.0', '128.183.255.255', 2159280128, 2159542271, 'US', 'United States'),
(75204, '128.184.0.0', '128.184.255.255', 2159542272, 2159607807, 'AU', 'Australia'),
(75205, '128.185.0.0', '128.188.255.255', 2159607808, 2159869951, 'US', 'United States'),
(75206, '128.189.0.0', '128.189.255.255', 2159869952, 2159935487, 'CA', 'Canada'),
(75207, '128.190.0.0', '128.198.255.255', 2159935488, 2160525311, 'US', 'United States'),
(75208, '128.199.0.0', '128.199.255.255', 2160525312, 2160590847, 'GB', 'United Kingdom'),
(75209, '128.200.0.0', '128.200.255.255', 2160590848, 2160656383, 'US', 'United States'),
(75210, '128.201.0.0', '128.201.255.255', 2160656384, 2160721919, 'EU', 'Europe'),
(75211, '128.202.0.0', '128.203.255.255', 2160721920, 2160852991, 'US', 'United States'),
(75212, '128.204.0.0', '128.204.127.255', 2160852992, 2160885759, 'RU', 'Russian Federation'),
(75213, '128.204.128.0', '128.204.159.255', 2160885760, 2160893951, 'AT', 'Austria'),
(75214, '128.204.160.0', '128.204.191.255', 2160893952, 2160902143, 'RU', 'Russian Federation'),
(75215, '128.204.192.0', '128.204.197.4', 2160902144, 2160903428, 'NL', 'Netherlands'),
(75216, '128.204.197.5', '128.204.197.132', 2160903429, 2160903556, 'ES', 'Spain'),
(75217, '128.204.197.133', '128.204.201.4', 2160903557, 2160904452, 'NL', 'Netherlands'),
(75218, '128.204.201.5', '128.204.201.132', 2160904453, 2160904580, 'RO', 'Romania'),
(75219, '128.204.201.133', '128.204.202.13', 2160904581, 2160904717, 'NL', 'Netherlands'),
(75220, '128.204.202.14', '128.204.202.15', 2160904718, 2160904719, 'GB', 'United Kingdom'),
(75221, '128.204.202.16', '128.204.202.23', 2160904720, 2160904727, 'NL', 'Netherlands'),
(75222, '128.204.202.24', '128.204.202.25', 2160904728, 2160904729, 'GB', 'United Kingdom'),
(75223, '128.204.202.26', '128.204.202.37', 2160904730, 2160904741, 'NL', 'Netherlands'),
(75224, '128.204.202.38', '128.204.202.39', 2160904742, 2160904743, 'GB', 'United Kingdom'),
(75225, '128.204.202.40', '128.204.202.42', 2160904744, 2160904746, 'NL', 'Netherlands'),
(75226, '128.204.202.43', '128.204.202.71', 2160904747, 2160904775, 'GB', 'United Kingdom'),
(75227, '128.204.202.72', '128.204.202.78', 2160904776, 2160904782, 'NL', 'Netherlands'),
(75228, '128.204.202.79', '128.204.202.170', 2160904783, 2160904874, 'GB', 'United Kingdom'),
(75229, '128.204.202.171', '128.204.204.70', 2160904875, 2160905286, 'NL', 'Netherlands'),
(75230, '128.204.204.71', '128.204.204.71', 2160905287, 2160905287, 'TR', 'Turkey'),
(75231, '128.204.204.72', '128.204.204.181', 2160905288, 2160905397, 'NL', 'Netherlands'),
(75232, '128.204.204.182', '128.204.204.182', 2160905398, 2160905398, 'ES', 'Spain'),
(75233, '128.204.204.183', '128.204.207.255', 2160905399, 2160906239, 'NL', 'Netherlands'),
(75234, '128.204.208.0', '128.204.215.255', 2160906240, 2160908287, 'FR', 'France'),
(75235, '128.204.216.0', '128.204.223.255', 2160908288, 2160910335, 'PL', 'Poland'),
(75236, '128.204.224.0', '128.204.239.255', 2160910336, 2160914431, 'NL', 'Netherlands'),
(75237, '128.204.240.0', '128.204.255.255', 2160914432, 2160918527, 'SA', 'Saudi Arabia'),
(75238, '128.205.0.0', '128.213.255.255', 2160918528, 2161508351, 'US', 'United States'),
(75239, '128.214.0.0', '128.214.255.255', 2161508352, 2161573887, 'FI', 'Finland'),
(75240, '128.215.0.0', '128.231.255.255', 2161573888, 2162687999, 'US', 'United States'),
(75241, '128.232.0.0', '128.232.255.255', 2162688000, 2162753535, 'GB', 'United Kingdom'),
(75242, '128.233.0.0', '128.233.255.255', 2162753536, 2162819071, 'CA', 'Canada'),
(75243, '128.234.0.0', '128.234.255.255', 2162819072, 2162884607, 'RO', 'Romania'),
(75244, '128.235.0.0', '128.239.255.255', 2162884608, 2163212287, 'US', 'United States'),
(75245, '128.240.0.0', '128.240.255.255', 2163212288, 2163277823, 'GB', 'United Kingdom'),
(75246, '128.241.0.0', '128.241.39.255', 2163277824, 2163288063, 'US', 'United States'),
(75247, '128.241.40.0', '128.241.47.255', 2163288064, 2163290111, 'A1', 'Anonymous Proxy'),
(75248, '128.241.48.0', '128.241.103.255', 2163290112, 2163304447, 'US', 'United States'),
(75249, '128.241.104.0', '128.241.111.255', 2163304448, 2163306495, 'A1', 'Anonymous Proxy'),
(75250, '128.241.112.0', '128.242.255.255', 2163306496, 2163408895, 'US', 'United States'),
(75251, '128.243.0.0', '128.243.255.255', 2163408896, 2163474431, 'GB', 'United Kingdom'),
(75252, '128.244.0.0', '128.245.255.255', 2163474432, 2163605503, 'US', 'United States'),
(75253, '128.246.0.0', '128.246.71.255', 2163605504, 2163623935, 'CH', 'Switzerland'),
(75254, '128.246.72.0', '128.246.72.255', 2163623936, 2163624191, 'AP', 'Asia/Pacific Region'),
(75255, '128.246.73.0', '128.246.127.255', 2163624192, 2163638271, 'CH', 'Switzerland'),
(75256, '128.246.128.0', '128.246.128.255', 2163638272, 2163638527, 'US', 'United States'),
(75257, '128.246.129.0', '128.246.255.255', 2163638528, 2163671039, 'CH', 'Switzerland'),
(75258, '128.247.0.0', '128.249.255.255', 2163671040, 2163867647, 'US', 'United States'),
(75259, '128.250.0.0', '128.250.255.255', 2163867648, 2163933183, 'AU', 'Australia'),
(75260, '128.251.0.0', '129.10.255.255', 2163933184, 2164981759, 'US', 'United States'),
(75261, '129.11.0.0', '129.12.255.255', 2164981760, 2165112831, 'GB', 'United Kingdom'),
(75262, '129.13.0.0', '129.13.255.255', 2165112832, 2165178367, 'DE', 'Germany'),
(75263, '129.14.0.0', '129.15.255.255', 2165178368, 2165309439, 'US', 'United States'),
(75264, '129.16.0.0', '129.16.255.255', 2165309440, 2165374975, 'SE', 'Sweden'),
(75265, '129.17.0.0', '129.17.255.255', 2165374976, 2165440511, 'US', 'United States'),
(75266, '129.19.0.0', '129.19.255.255', 2165506048, 2165571583, 'US', 'United States'),
(75267, '129.20.0.0', '129.20.255.255', 2165571584, 2165637119, 'FR', 'France'),
(75268, '129.21.0.0', '129.25.255.255', 2165637120, 2165964799, 'US', 'United States'),
(75269, '129.26.0.0', '129.26.255.255', 2165964800, 2166030335, 'DE', 'Germany'),
(75270, '129.27.0.0', '129.27.255.255', 2166030336, 2166095871, 'AT', 'Austria'),
(75271, '129.28.0.0', '129.30.255.255', 2166095872, 2166292479, 'US', 'United States'),
(75272, '129.31.0.0', '129.31.255.255', 2166292480, 2166358015, 'GB', 'United Kingdom'),
(75273, '129.32.0.0', '129.33.167.255', 2166358016, 2166466559, 'US', 'United States'),
(75274, '129.33.168.0', '129.33.168.255', 2166466560, 2166466815, 'CA', 'Canada'),
(75275, '129.33.169.0', '129.35.63.255', 2166466816, 2166571007, 'US', 'United States'),
(75276, '129.35.64.0', '129.35.79.255', 2166571008, 2166575103, 'GB', 'United Kingdom'),
(75277, '129.35.80.0', '129.35.80.255', 2166575104, 2166575359, 'US', 'United States'),
(75278, '129.35.81.0', '129.35.81.255', 2166575360, 2166575615, 'GB', 'United Kingdom'),
(75279, '129.35.82.0', '129.35.204.161', 2166575616, 2166607009, 'US', 'United States'),
(75280, '129.35.204.162', '129.35.204.162', 2166607010, 2166607010, 'DE', 'Germany'),
(75281, '129.35.204.163', '129.35.230.255', 2166607011, 2166613759, 'US', 'United States'),
(75282, '129.35.231.0', '129.35.231.255', 2166613760, 2166614015, 'DE', 'Germany'),
(75283, '129.35.232.0', '129.59.255.255', 2166614016, 2168193023, 'US', 'United States'),
(75284, '129.60.0.0', '129.60.255.255', 2168193024, 2168258559, 'JP', 'Japan'),
(75285, '129.61.0.0', '129.66.255.255', 2168258560, 2168651775, 'US', 'United States'),
(75286, '129.67.0.0', '129.67.255.255', 2168651776, 2168717311, 'GB', 'United Kingdom'),
(75287, '129.68.0.0', '129.68.255.255', 2168717312, 2168782847, 'US', 'United States'),
(75288, '129.69.0.0', '129.70.255.255', 2168782848, 2168913919, 'DE', 'Germany'),
(75289, '129.71.0.0', '129.77.255.255', 2168913920, 2169372671, 'US', 'United States'),
(75290, '129.78.0.0', '129.78.255.255', 2169372672, 2169438207, 'AU', 'Australia'),
(75291, '129.79.0.0', '129.87.255.255', 2169438208, 2170028031, 'US', 'United States'),
(75292, '129.88.0.0', '129.88.255.255', 2170028032, 2170093567, 'FR', 'France'),
(75293, '129.89.0.0', '129.89.255.255', 2170093568, 2170159103, 'US', 'United States'),
(75294, '129.90.0.0', '129.90.255.255', 2170159104, 2170224639, 'VE', 'Venezuela'),
(75295, '129.91.0.0', '129.93.255.255', 2170224640, 2170421247, 'US', 'United States'),
(75296, '129.94.0.0', '129.94.255.255', 2170421248, 2170486783, 'AU', 'Australia'),
(75297, '129.95.0.0', '129.95.255.255', 2170486784, 2170552319, 'US', 'United States'),
(75298, '129.96.0.0', '129.96.255.255', 2170552320, 2170617855, 'AU', 'Australia'),
(75299, '129.97.0.0', '129.97.255.255', 2170617856, 2170683391, 'CA', 'Canada'),
(75300, '129.98.0.0', '129.99.255.255', 2170683392, 2170814463, 'US', 'United States'),
(75301, '129.100.0.0', '129.100.255.255', 2170814464, 2170879999, 'CA', 'Canada'),
(75302, '129.101.0.0', '129.101.255.255', 2170880000, 2170945535, 'US', 'United States'),
(75303, '129.102.0.0', '129.102.255.255', 2170945536, 2171011071, 'FR', 'France'),
(75304, '129.103.0.0', '129.103.255.255', 2171011072, 2171076607, 'DE', 'Germany'),
(75305, '129.104.0.0', '129.104.255.255', 2171076608, 2171142143, 'FR', 'France'),
(75306, '129.105.0.0', '129.124.255.255', 2171142144, 2172452863, 'US', 'United States'),
(75307, '129.125.0.0', '129.125.255.255', 2172452864, 2172518399, 'NL', 'Netherlands'),
(75308, '129.126.0.0', '129.126.255.255', 2172518400, 2172583935, 'US', 'United States'),
(75309, '129.127.0.0', '129.127.255.255', 2172583936, 2172649471, 'AU', 'Australia'),
(75310, '129.128.0.0', '129.128.255.255', 2172649472, 2172715007, 'CA', 'Canada'),
(75311, '129.129.0.0', '129.129.255.255', 2172715008, 2172780543, 'CH', 'Switzerland'),
(75312, '129.130.0.0', '129.131.255.255', 2172780544, 2172911615, 'US', 'United States'),
(75313, '129.132.0.0', '129.132.255.255', 2172911616, 2172977151, 'CH', 'Switzerland'),
(75314, '129.133.0.0', '129.135.255.255', 2172977152, 2173173759, 'US', 'United States'),
(75315, '129.136.0.0', '129.136.255.255', 2173173760, 2173239295, 'JP', 'Japan'),
(75316, '129.137.0.0', '129.139.255.255', 2173239296, 2173435903, 'US', 'United States'),
(75317, '129.141.0.0', '129.141.255.255', 2173501440, 2173566975, 'US', 'United States'),
(75318, '129.142.0.0', '129.142.255.255', 2173566976, 2173632511, 'DK', 'Denmark'),
(75319, '129.143.0.0', '129.143.255.255', 2173632512, 2173698047, 'DE', 'Germany'),
(75320, '129.144.0.0', '129.168.255.255', 2173698048, 2175336447, 'US', 'United States'),
(75321, '129.169.0.0', '129.169.255.255', 2175336448, 2175401983, 'GB', 'United Kingdom'),
(75322, '129.170.0.0', '129.172.255.255', 2175401984, 2175598591, 'US', 'United States'),
(75323, '129.173.0.0', '129.173.255.255', 2175598592, 2175664127, 'CA', 'Canada'),
(75324, '129.174.0.0', '129.174.255.255', 2175664128, 2175729663, 'US', 'United States'),
(75325, '129.175.0.0', '129.175.255.255', 2175729664, 2175795199, 'FR', 'France'),
(75326, '129.176.0.0', '129.176.255.255', 2175795200, 2175860735, 'US', 'United States'),
(75327, '129.177.0.0', '129.177.255.255', 2175860736, 2175926271, 'NO', 'Norway'),
(75328, '129.178.0.0', '129.178.255.255', 2175926272, 2175991807, 'SE', 'Sweden'),
(75329, '129.179.0.0', '129.179.255.255', 2175991808, 2176057343, 'US', 'United States'),
(75330, '129.180.0.0', '129.180.255.255', 2176057344, 2176122879, 'AU', 'Australia'),
(75331, '129.181.0.0', '129.185.255.255', 2176122880, 2176450559, 'FR', 'France'),
(75332, '129.186.0.0', '129.186.255.255', 2176450560, 2176516095, 'US', 'United States'),
(75333, '129.187.0.0', '129.187.255.255', 2176516096, 2176581631, 'DE', 'Germany'),
(75334, '129.188.0.0', '129.192.96.255', 2176581632, 2176868607, 'US', 'United States'),
(75335, '129.192.97.0', '129.192.97.255', 2176868608, 2176868863, 'IT', 'Italy'),
(75336, '129.192.98.0', '129.192.195.255', 2176868864, 2176893951, 'US', 'United States'),
(75337, '129.192.196.0', '129.192.196.255', 2176893952, 2176894207, 'AP', 'Asia/Pacific Region'),
(75338, '129.192.197.0', '129.193.255.255', 2176894208, 2176974847, 'US', 'United States'),
(75339, '129.194.0.0', '129.195.255.255', 2176974848, 2177105919, 'CH', 'Switzerland'),
(75340, '129.196.0.0', '129.198.255.255', 2177105920, 2177302527, 'US', 'United States'),
(75341, '129.199.0.0', '129.199.255.255', 2177302528, 2177368063, 'FR', 'France'),
(75342, '129.200.0.0', '129.204.255.255', 2177368064, 2177695743, 'US', 'United States'),
(75343, '129.206.0.0', '129.206.255.255', 2177761280, 2177826815, 'DE', 'Germany'),
(75344, '129.207.0.0', '129.207.255.255', 2177826816, 2177892351, 'US', 'United States'),
(75345, '129.208.0.0', '129.208.255.255', 2177892352, 2177957887, 'GB', 'United Kingdom'),
(75346, '129.209.0.0', '129.214.255.255', 2177957888, 2178351103, 'US', 'United States'),
(75347, '129.215.0.0', '129.215.255.255', 2178351104, 2178416639, 'GB', 'United Kingdom'),
(75348, '129.216.0.0', '129.216.255.255', 2178416640, 2178482175, 'US', 'United States'),
(75349, '129.217.0.0', '129.217.255.255', 2178482176, 2178547711, 'DE', 'Germany'),
(75350, '129.218.0.0', '129.230.175.255', 2178547712, 2179379199, 'US', 'United States'),
(75351, '129.230.176.0', '129.230.255.255', 2179379200, 2179399679, 'GB', 'United Kingdom'),
(75352, '129.231.0.0', '129.231.255.255', 2179399680, 2179465215, 'US', 'United States'),
(75353, '129.233.0.0', '129.233.255.255', 2179530752, 2179596287, 'DE', 'Germany'),
(75354, '129.234.0.0', '129.234.255.255', 2179596288, 2179661823, 'GB', 'United Kingdom'),
(75355, '129.235.0.0', '129.239.255.255', 2179661824, 2179989503, 'US', 'United States'),
(75356, '129.240.0.0', '129.242.255.255', 2179989504, 2180186111, 'NO', 'Norway'),
(75357, '129.243.0.0', '129.246.255.255', 2180186112, 2180448255, 'US', 'United States'),
(75358, '129.247.0.0', '129.247.255.255', 2180448256, 2180513791, 'DE', 'Germany'),
(75359, '129.248.0.0', '129.248.255.255', 2180513792, 2180579327, 'US', 'United States'),
(75360, '129.249.0.0', '129.249.255.255', 2180579328, 2180644863, 'JP', 'Japan'),
(75361, '129.250.0.0', '129.250.2.77', 2180644864, 2180645453, 'US', 'United States'),
(75362, '129.250.2.78', '129.250.2.78', 2180645454, 2180645454, 'GB', 'United Kingdom'),
(75363, '129.250.2.79', '129.250.5.228', 2180645455, 2180646372, 'US', 'United States'),
(75364, '129.250.5.229', '129.250.5.229', 2180646373, 2180646373, 'DE', 'Germany'),
(75365, '129.250.5.230', '129.250.48.161', 2180646374, 2180657313, 'US', 'United States'),
(75366, '129.250.48.162', '129.250.48.162', 2180657314, 2180657314, 'JP', 'Japan'),
(75367, '129.250.48.163', '129.250.48.165', 2180657315, 2180657317, 'US', 'United States'),
(75368, '129.250.48.166', '129.250.48.166', 2180657318, 2180657318, 'JP', 'Japan'),
(75369, '129.250.48.167', '129.250.48.172', 2180657319, 2180657324, 'US', 'United States'),
(75370, '129.250.48.173', '129.250.48.173', 2180657325, 2180657325, 'GB', 'United Kingdom'),
(75371, '129.250.48.174', '129.250.48.188', 2180657326, 2180657340, 'US', 'United States'),
(75372, '129.250.48.189', '129.250.48.189', 2180657341, 2180657341, 'NL', 'Netherlands'),
(75373, '129.250.48.190', '129.250.48.212', 2180657342, 2180657364, 'US', 'United States'),
(75374, '129.250.48.213', '129.250.48.213', 2180657365, 2180657365, 'FR', 'France'),
(75375, '129.250.48.214', '129.250.48.220', 2180657366, 2180657372, 'US', 'United States'),
(75376, '129.250.48.221', '129.250.48.221', 2180657373, 2180657373, 'DE', 'Germany'),
(75377, '129.250.48.222', '129.253.255.255', 2180657374, 2180907007, 'US', 'United States'),
(75378, '129.254.0.0', '129.254.255.255', 2180907008, 2180972543, 'KR', 'Korea, Republic of'),
(75379, '129.255.0.0', '129.255.255.255', 2180972544, 2181038079, 'US', 'United States'),
(75380, '130.0.0.0', '130.0.7.255', 2181038080, 2181040127, 'GB', 'United Kingdom'),
(75381, '130.0.8.0', '130.0.15.255', 2181040128, 2181042175, 'AZ', 'Azerbaijan'),
(75382, '130.0.16.0', '130.0.23.255', 2181042176, 2181044223, 'DE', 'Germany'),
(75383, '130.0.24.0', '130.0.31.255', 2181044224, 2181046271, 'AL', 'Albania'),
(75384, '130.0.32.0', '130.0.63.255', 2181046272, 2181054463, 'UA', 'Ukraine'),
(75385, '130.0.64.0', '130.0.71.255', 2181054464, 2181056511, 'AT', 'Austria'),
(75386, '130.0.72.0', '130.0.79.255', 2181056512, 2181058559, 'DE', 'Germany'),
(75387, '130.0.80.0', '130.0.87.255', 2181058560, 2181060607, 'GB', 'United Kingdom'),
(75388, '130.0.88.0', '130.0.95.255', 2181060608, 2181062655, 'BA', 'Bosnia and Herzegovina'),
(75389, '130.0.96.0', '130.0.127.255', 2181062656, 2181070847, 'FR', 'France'),
(75390, '130.0.128.0', '130.0.191.255', 2181070848, 2181087231, 'IT', 'Italy'),
(75391, '130.0.192.0', '130.0.199.255', 2181087232, 2181089279, 'FR', 'France'),
(75392, '130.0.200.0', '130.0.207.255', 2181089280, 2181091327, 'SE', 'Sweden'),
(75393, '130.0.208.0', '130.0.215.255', 2181091328, 2181093375, 'IT', 'Italy'),
(75394, '130.0.216.0', '130.0.223.255', 2181093376, 2181095423, 'RU', 'Russian Federation'),
(75395, '130.0.224.0', '130.0.231.255', 2181095424, 2181097471, 'GB', 'United Kingdom'),
(75396, '130.0.232.0', '130.0.239.255', 2181097472, 2181099519, 'UA', 'Ukraine'),
(75397, '130.0.240.0', '130.0.255.255', 2181099520, 2181103615, 'SY', 'Syrian Arab Republic'),
(75398, '130.1.0.0', '130.11.255.255', 2181103616, 2181824511, 'US', 'United States'),
(75399, '130.12.0.0', '130.12.255.255', 2181824512, 2181890047, 'CA', 'Canada'),
(75400, '130.13.0.0', '130.14.255.255', 2181890048, 2182021119, 'US', 'United States'),
(75401, '130.15.0.0', '130.15.255.255', 2182021120, 2182086655, 'CA', 'Canada'),
(75402, '130.16.0.0', '130.23.255.255', 2182086656, 2182610943, 'US', 'United States'),
(75403, '130.24.0.0', '130.24.255.255', 2182610944, 2182676479, 'GB', 'United Kingdom'),
(75404, '130.25.0.0', '130.25.255.255', 2182676480, 2182742015, 'IT', 'Italy'),
(75405, '130.26.0.0', '130.27.255.255', 2182742016, 2182873087, 'US', 'United States'),
(75406, '130.28.0.0', '130.28.255.255', 2182873088, 2182938623, 'SE', 'Sweden'),
(75407, '130.29.0.0', '130.31.255.255', 2182938624, 2183135231, 'US', 'United States'),
(75408, '130.32.0.0', '130.32.255.255', 2183135232, 2183200767, 'GB', 'United Kingdom'),
(75409, '130.33.0.0', '130.33.255.255', 2183200768, 2183266303, 'US', 'United States'),
(75410, '130.34.0.0', '130.34.255.255', 2183266304, 2183331839, 'JP', 'Japan'),
(75411, '130.35.0.0', '130.36.74.255', 2183331840, 2183416575, 'US', 'United States'),
(75412, '130.36.75.0', '130.36.75.255', 2183416576, 2183416831, 'GB', 'United Kingdom'),
(75413, '130.36.76.0', '130.36.86.255', 2183416832, 2183419647, 'US', 'United States'),
(75414, '130.36.87.0', '130.36.87.255', 2183419648, 2183419903, 'EU', 'Europe'),
(75415, '130.36.88.0', '130.36.94.255', 2183419904, 2183421695, 'US', 'United States'),
(75416, '130.36.95.0', '130.36.95.255', 2183421696, 2183421951, 'EU', 'Europe'),
(75417, '130.36.96.0', '130.36.154.255', 2183421952, 2183437055, 'US', 'United States'),
(75418, '130.36.155.0', '130.36.155.255', 2183437056, 2183437311, 'AP', 'Asia/Pacific Region'),
(75419, '130.36.156.0', '130.36.255.255', 2183437312, 2183462911, 'US', 'United States'),
(75420, '130.37.0.0', '130.37.255.255', 2183462912, 2183528447, 'NL', 'Netherlands'),
(75421, '130.38.0.0', '130.42.255.255', 2183528448, 2183856127, 'US', 'United States'),
(75422, '130.43.0.0', '130.43.127.255', 2183856128, 2183888895, 'GR', 'Greece'),
(75423, '130.43.128.0', '130.43.191.255', 2183888896, 2183905279, 'GB', 'United Kingdom'),
(75424, '130.43.192.0', '130.43.255.255', 2183905280, 2183921663, 'HU', 'Hungary'),
(75425, '130.44.0.0', '130.53.255.255', 2183921664, 2184577023, 'US', 'United States'),
(75426, '130.54.0.0', '130.54.255.255', 2184577024, 2184642559, 'JP', 'Japan'),
(75427, '130.55.0.0', '130.55.255.255', 2184642560, 2184708095, 'US', 'United States'),
(75428, '130.56.0.0', '130.56.255.255', 2184708096, 2184773631, 'AU', 'Australia'),
(75429, '130.57.0.0', '130.58.255.255', 2184773632, 2184904703, 'US', 'United States'),
(75430, '130.59.0.0', '130.60.255.255', 2184904704, 2185035775, 'CH', 'Switzerland'),
(75431, '130.61.0.0', '130.62.255.255', 2185035776, 2185166847, 'US', 'United States'),
(75432, '130.63.0.0', '130.63.255.255', 2185166848, 2185232383, 'CA', 'Canada'),
(75433, '130.64.0.0', '130.65.255.255', 2185232384, 2185363455, 'US', 'United States'),
(75434, '130.66.0.0', '130.66.255.255', 2185363456, 2185428991, 'FR', 'France'),
(75435, '130.67.0.0', '130.67.255.255', 2185428992, 2185494527, 'NO', 'Norway'),
(75436, '130.68.0.0', '130.68.255.255', 2185494528, 2185560063, 'US', 'United States'),
(75437, '130.69.0.0', '130.69.255.255', 2185560064, 2185625599, 'JP', 'Japan'),
(75438, '130.70.0.0', '130.72.255.255', 2185625600, 2185822207, 'US', 'United States'),
(75439, '130.73.0.0', '130.73.255.255', 2185822208, 2185887743, 'DE', 'Germany'),
(75440, '130.74.0.0', '130.74.255.255', 2185887744, 2185953279, 'US', 'United States'),
(75441, '130.75.0.0', '130.75.255.255', 2185953280, 2186018815, 'DE', 'Germany'),
(75442, '130.76.0.0', '130.77.255.255', 2186018816, 2186149887, 'US', 'United States'),
(75443, '130.78.0.0', '130.78.255.255', 2186149888, 2186215423, 'NL', 'Netherlands'),
(75444, '130.79.0.0', '130.79.255.255', 2186215424, 2186280959, 'FR', 'France'),
(75445, '130.80.0.0', '130.81.255.255', 2186280960, 2186412031, 'US', 'United States'),
(75446, '130.82.0.0', '130.82.255.255', 2186412032, 2186477567, 'CH', 'Switzerland'),
(75447, '130.83.0.0', '130.83.255.255', 2186477568, 2186543103, 'DE', 'Germany'),
(75448, '130.84.0.0', '130.84.255.255', 2186543104, 2186608639, 'FR', 'France'),
(75449, '130.85.0.0', '130.86.255.255', 2186608640, 2186739711, 'US', 'United States'),
(75450, '130.87.0.0', '130.87.255.255', 2186739712, 2186805247, 'JP', 'Japan'),
(75451, '130.88.0.0', '130.88.255.255', 2186805248, 2186870783, 'GB', 'United Kingdom'),
(75452, '130.89.0.0', '130.89.255.255', 2186870784, 2186936319, 'NL', 'Netherlands'),
(75453, '130.90.0.0', '130.91.255.255', 2186936320, 2187067391, 'US', 'United States'),
(75454, '130.92.0.0', '130.92.255.255', 2187067392, 2187132927, 'CH', 'Switzerland'),
(75455, '130.93.0.0', '130.94.91.127', 2187132928, 2187221887, 'US', 'United States'),
(75456, '130.94.91.128', '130.94.91.255', 2187221888, 2187222015, 'A1', 'Anonymous Proxy'),
(75457, '130.94.92.0', '130.94.105.127', 2187222016, 2187225471, 'US', 'United States'),
(75458, '130.94.105.128', '130.94.105.255', 2187225472, 2187225599, 'A1', 'Anonymous Proxy'),
(75459, '130.94.106.0', '130.94.106.223', 2187225600, 2187225823, 'US', 'United States'),
(75460, '130.94.106.224', '130.94.106.255', 2187225824, 2187225855, 'A1', 'Anonymous Proxy'),
(75461, '130.94.107.0', '130.94.107.127', 2187225856, 2187225983, 'US', 'United States'),
(75462, '130.94.107.128', '130.94.107.255', 2187225984, 2187226111, 'A1', 'Anonymous Proxy'),
(75463, '130.94.108.0', '130.94.121.31', 2187226112, 2187229471, 'US', 'United States'),
(75464, '130.94.121.32', '130.94.121.39', 2187229472, 2187229479, 'A1', 'Anonymous Proxy'),
(75465, '130.94.121.40', '130.94.121.167', 2187229480, 2187229607, 'US', 'United States'),
(75466, '130.94.121.168', '130.94.121.175', 2187229608, 2187229615, 'A1', 'Anonymous Proxy'),
(75467, '130.94.121.176', '130.94.121.239', 2187229616, 2187229679, 'US', 'United States'),
(75468, '130.94.121.240', '130.94.121.247', 2187229680, 2187229687, 'A1', 'Anonymous Proxy'),
(75469, '130.94.121.248', '130.94.123.159', 2187229688, 2187230111, 'US', 'United States'),
(75470, '130.94.123.160', '130.94.123.191', 2187230112, 2187230143, 'A1', 'Anonymous Proxy'),
(75471, '130.94.123.192', '130.94.132.255', 2187230144, 2187232511, 'US', 'United States'),
(75472, '130.94.133.0', '130.94.133.127', 2187232512, 2187232639, 'A1', 'Anonymous Proxy'),
(75473, '130.94.133.128', '130.94.133.255', 2187232640, 2187232767, 'US', 'United States'),
(75474, '130.94.134.0', '130.94.134.255', 2187232768, 2187233023, 'A1', 'Anonymous Proxy'),
(75475, '130.94.135.0', '130.94.255.255', 2187233024, 2187263999, 'US', 'United States'),
(75476, '130.95.0.0', '130.95.255.255', 2187264000, 2187329535, 'AU', 'Australia'),
(75477, '130.96.0.0', '130.97.255.255', 2187329536, 2187460607, 'US', 'United States'),
(75478, '130.98.0.0', '130.98.255.255', 2187460608, 2187526143, 'FR', 'France'),
(75479, '130.99.0.0', '130.99.255.255', 2187526144, 2187591679, 'US', 'United States'),
(75480, '130.100.0.0', '130.100.255.255', 2187591680, 2187657215, 'SE', 'Sweden'),
(75481, '130.101.0.0', '130.101.255.255', 2187657216, 2187722751, 'US', 'United States'),
(75482, '130.102.0.0', '130.102.255.255', 2187722752, 2187788287, 'AU', 'Australia'),
(75483, '130.103.0.0', '130.103.255.255', 2187788288, 2187853823, 'US', 'United States'),
(75484, '130.104.0.0', '130.104.255.255', 2187853824, 2187919359, 'BE', 'Belgium'),
(75485, '130.105.0.0', '130.111.255.255', 2187919360, 2188378111, 'US', 'United States'),
(75486, '130.112.0.0', '130.112.255.255', 2188378112, 2188443647, 'NL', 'Netherlands'),
(75487, '130.113.0.0', '130.113.255.255', 2188443648, 2188509183, 'CA', 'Canada'),
(75488, '130.114.0.0', '130.114.255.255', 2188509184, 2188574719, 'US', 'United States'),
(75489, '130.115.0.0', '130.115.255.255', 2188574720, 2188640255, 'NL', 'Netherlands'),
(75490, '130.116.0.0', '130.116.255.255', 2188640256, 2188705791, 'AU', 'Australia'),
(75491, '130.117.0.0', '130.117.0.65', 2188705792, 2188705857, 'EU', 'Europe'),
(75492, '130.117.0.66', '130.117.0.66', 2188705858, 2188705858, 'DE', 'Germany'),
(75493, '130.117.0.67', '130.117.0.165', 2188705859, 2188705957, 'EU', 'Europe'),
(75494, '130.117.0.166', '130.117.0.166', 2188705958, 2188705958, 'DE', 'Germany'),
(75495, '130.117.0.167', '130.117.1.53', 2188705959, 2188706101, 'EU', 'Europe'),
(75496, '130.117.1.54', '130.117.1.54', 2188706102, 2188706102, 'DE', 'Germany'),
(75497, '130.117.1.55', '130.117.2.149', 2188706103, 2188706453, 'EU', 'Europe'),
(75498, '130.117.2.150', '130.117.2.150', 2188706454, 2188706454, 'DK', 'Denmark'),
(75499, '130.117.2.151', '130.117.23.120', 2188706455, 2188711800, 'EU', 'Europe'),
(75500, '130.117.23.121', '130.117.23.121', 2188711801, 2188711801, 'DE', 'Germany'),
(75501, '130.117.23.122', '130.117.49.245', 2188711802, 2188718581, 'EU', 'Europe'),
(75502, '130.117.49.246', '130.117.49.246', 2188718582, 2188718582, 'DE', 'Germany'),
(75503, '130.117.49.247', '130.117.72.239', 2188718583, 2188724463, 'EU', 'Europe'),
(75504, '130.117.72.240', '130.117.72.240', 2188724464, 2188724464, 'NL', 'Netherlands'),
(75505, '130.117.72.241', '130.117.81.255', 2188724465, 2188726783, 'EU', 'Europe'),
(75506, '130.117.82.0', '130.117.82.255', 2188726784, 2188727039, 'GB', 'United Kingdom'),
(75507, '130.117.83.0', '130.117.255.255', 2188727040, 2188771327, 'EU', 'Europe'),
(75508, '130.118.0.0', '130.119.247.255', 2188771328, 2188900351, 'US', 'United States'),
(75509, '130.119.248.0', '130.119.248.255', 2188900352, 2188900607, 'EU', 'Europe'),
(75510, '130.119.249.0', '130.119.255.255', 2188900608, 2188902399, 'US', 'United States'),
(75511, '130.120.0.0', '130.120.255.255', 2188902400, 2188967935, 'FR', 'France'),
(75512, '130.121.0.0', '130.122.255.255', 2188967936, 2189099007, 'US', 'United States'),
(75513, '130.123.0.0', '130.123.255.255', 2189099008, 2189164543, 'NZ', 'New Zealand'),
(75514, '130.124.0.0', '130.124.255.255', 2189164544, 2189230079, 'US', 'United States'),
(75515, '130.125.0.0', '130.125.255.255', 2189230080, 2189295615, 'CH', 'Switzerland'),
(75516, '130.126.0.0', '130.128.255.255', 2189295616, 2189492223, 'US', 'United States'),
(75517, '130.129.0.0', '130.129.255.255', 2189492224, 2189557759, 'CZ', 'Czech Republic'),
(75518, '130.130.0.0', '130.130.255.255', 2189557760, 2189623295, 'AU', 'Australia'),
(75519, '130.131.0.0', '130.132.255.255', 2189623296, 2189754367, 'US', 'United States'),
(75520, '130.133.0.0', '130.133.255.255', 2189754368, 2189819903, 'DE', 'Germany'),
(75521, '130.134.0.0', '130.135.255.255', 2189819904, 2189950975, 'US', 'United States'),
(75522, '130.136.0.0', '130.136.255.255', 2189950976, 2190016511, 'IT', 'Italy'),
(75523, '130.137.0.0', '130.137.255.255', 2190016512, 2190082047, 'US', 'United States'),
(75524, '130.138.0.0', '130.138.226.255', 2190082048, 2190140159, 'NL', 'Netherlands'),
(75525, '130.138.227.0', '130.138.227.255', 2190140160, 2190140415, 'EU', 'Europe'),
(75526, '130.138.228.0', '130.147.255.255', 2190140416, 2190737407, 'NL', 'Netherlands'),
(75527, '130.148.0.0', '130.148.255.255', 2190737408, 2190802943, 'GB', 'United Kingdom'),
(75528, '130.149.0.0', '130.149.255.255', 2190802944, 2190868479, 'DE', 'Germany'),
(75529, '130.150.0.0', '130.152.255.255', 2190868480, 2191065087, 'US', 'United States'),
(75530, '130.153.0.0', '130.153.255.255', 2191065088, 2191130623, 'JP', 'Japan'),
(75531, '130.154.0.0', '130.154.255.255', 2191130624, 2191196159, 'US', 'United States'),
(75532, '130.155.0.0', '130.155.255.255', 2191196160, 2191261695, 'AU', 'Australia'),
(75533, '130.156.0.0', '130.157.255.255', 2191261696, 2191392767, 'US', 'United States'),
(75534, '130.158.0.0', '130.158.255.255', 2191392768, 2191458303, 'JP', 'Japan'),
(75535, '130.159.0.0', '130.159.255.255', 2191458304, 2191523839, 'GB', 'United Kingdom'),
(75536, '130.160.0.0', '130.160.255.255', 2191523840, 2191589375, 'US', 'United States'),
(75537, '130.161.0.0', '130.161.255.255', 2191589376, 2191654911, 'NL', 'Netherlands'),
(75538, '130.162.0.0', '130.169.74.255', 2191654912, 2192132863, 'US', 'United States'),
(75539, '130.169.75.0', '130.169.75.255', 2192132864, 2192133119, 'DE', 'Germany'),
(75540, '130.169.76.0', '130.178.255.255', 2192133120, 2192769023, 'US', 'United States'),
(75541, '130.179.0.0', '130.179.255.255', 2192769024, 2192834559, 'CA', 'Canada'),
(75542, '130.180.0.0', '130.180.127.255', 2192834560, 2192867327, 'DE', 'Germany'),
(75543, '130.180.128.0', '130.180.191.255', 2192867328, 2192883711, 'SY', 'Syrian Arab Republic'),
(75544, '130.180.192.0', '130.180.199.255', 2192883712, 2192885759, 'PL', 'Poland'),
(75545, '130.180.200.0', '130.180.207.255', 2192885760, 2192887807, 'GB', 'United Kingdom'),
(75546, '130.180.208.0', '130.180.223.255', 2192887808, 2192891903, 'UA', 'Ukraine'),
(75547, '130.180.224.0', '130.180.255.255', 2192891904, 2192900095, 'RS', 'Serbia'),
(75548, '130.181.0.0', '130.182.255.255', 2192900096, 2193031167, 'US', 'United States'),
(75549, '130.183.0.0', '130.183.255.255', 2193031168, 2193096703, 'DE', 'Germany'),
(75550, '130.184.0.0', '130.184.255.255', 2193096704, 2193162239, 'US', 'United States'),
(75551, '130.185.0.0', '130.185.63.255', 2193162240, 2193178623, 'UA', 'Ukraine'),
(75552, '130.185.64.0', '130.185.71.255', 2193178624, 2193180671, 'GB', 'United Kingdom'),
(75553, '130.185.72.0', '130.185.75.255', 2193180672, 2193181695, 'IR', 'Iran, Islamic Republic of'),
(75554, '130.185.76.0', '130.185.77.255', 2193181696, 2193182207, 'DE', 'Germany'),
(75555, '130.185.78.0', '130.185.79.255', 2193182208, 2193182719, 'IR', 'Iran, Islamic Republic of'),
(75556, '130.185.80.0', '130.185.87.255', 2193182720, 2193184767, 'PT', 'Portugal'),
(75557, '130.185.88.0', '130.185.95.255', 2193184768, 2193186815, 'ES', 'Spain'),
(75558, '130.185.96.0', '130.185.103.255', 2193186816, 2193188863, 'PL', 'Poland'),
(75559, '130.185.104.0', '130.185.108.31', 2193188864, 2193189919, 'DE', 'Germany'),
(75560, '130.185.108.32', '130.185.108.47', 2193189920, 2193189935, 'NL', 'Netherlands'),
(75561, '130.185.108.48', '130.185.111.255', 2193189936, 2193190911, 'DE', 'Germany'),
(75562, '130.185.112.0', '130.185.127.255', 2193190912, 2193195007, 'RU', 'Russian Federation'),
(75563, '130.185.128.0', '130.185.143.255', 2193195008, 2193199103, 'DK', 'Denmark'),
(75564, '130.185.144.0', '130.185.151.255', 2193199104, 2193201151, 'GB', 'United Kingdom'),
(75565, '130.185.152.0', '130.185.155.255', 2193201152, 2193202175, 'SE', 'Sweden'),
(75566, '130.185.156.0', '130.185.159.255', 2193202176, 2193203199, 'US', 'United States'),
(75567, '130.185.160.0', '130.185.167.255', 2193203200, 2193205247, 'GB', 'United Kingdom'),
(75568, '130.185.168.0', '130.185.175.255', 2193205248, 2193207295, 'FR', 'France'),
(75569, '130.185.176.0', '130.185.183.255', 2193207296, 2193209343, 'CZ', 'Czech Republic'),
(75570, '130.185.184.0', '130.185.191.255', 2193209344, 2193211391, 'FR', 'France'),
(75571, '130.185.192.0', '130.185.255.255', 2193211392, 2193227775, 'BG', 'Bulgaria'),
(75572, '130.186.0.0', '130.186.255.255', 2193227776, 2193293311, 'IT', 'Italy'),
(75573, '130.187.0.0', '130.187.255.255', 2193293312, 2193358847, 'US', 'United States'),
(75574, '130.188.0.0', '130.188.255.255', 2193358848, 2193424383, 'FI', 'Finland'),
(75575, '130.189.0.0', '130.189.255.255', 2193424384, 2193489919, 'US', 'United States'),
(75576, '130.190.0.0', '130.190.255.255', 2193489920, 2193555455, 'FR', 'France'),
(75577, '130.191.0.0', '130.191.255.255', 2193555456, 2193620991, 'US', 'United States'),
(75578, '130.192.0.0', '130.192.255.255', 2193620992, 2193686527, 'IT', 'Italy'),
(75579, '130.193.0.0', '130.193.7.255', 2193686528, 2193688575, 'FR', 'France'),
(75580, '130.193.8.0', '130.193.18.63', 2193688576, 2193691199, 'CZ', 'Czech Republic'),
(75581, '130.193.18.64', '130.193.18.127', 2193691200, 2193691263, 'SK', 'Slovakia'),
(75582, '130.193.18.128', '130.193.23.255', 2193691264, 2193692671, 'CZ', 'Czech Republic'),
(75583, '130.193.24.0', '130.193.31.255', 2193692672, 2193694719, 'FR', 'France'),
(75584, '130.193.32.0', '130.193.71.255', 2193694720, 2193704959, 'RU', 'Russian Federation'),
(75585, '130.193.72.0', '130.193.79.255', 2193704960, 2193707007, 'IT', 'Italy'),
(75586, '130.193.80.0', '130.193.95.255', 2193707008, 2193711103, 'GB', 'United Kingdom'),
(75587, '130.193.96.0', '130.193.103.255', 2193711104, 2193713151, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(75588, '130.193.104.0', '130.193.111.255', 2193713152, 2193715199, 'ES', 'Spain'),
(75589, '130.193.112.0', '130.193.119.255', 2193715200, 2193717247, 'DE', 'Germany'),
(75590, '130.193.120.0', '130.193.127.255', 2193717248, 2193719295, 'AM', 'Armenia'),
(75591, '130.193.128.0', '130.193.255.255', 2193719296, 2193752063, 'IQ', 'Iraq'),
(75592, '130.194.0.0', '130.194.255.255', 2193752064, 2193817599, 'AU', 'Australia'),
(75593, '130.195.0.0', '130.195.255.255', 2193817600, 2193883135, 'NZ', 'New Zealand'),
(75594, '130.196.0.0', '130.197.255.255', 2193883136, 2194014207, 'US', 'United States'),
(75595, '130.198.0.0', '130.198.255.255', 2194014208, 2194079743, 'CH', 'Switzerland'),
(75596, '130.199.0.0', '130.200.255.255', 2194079744, 2194210815, 'US', 'United States'),
(75597, '130.201.0.0', '130.201.255.255', 2194210816, 2194276351, 'GB', 'United Kingdom'),
(75598, '130.202.0.0', '130.203.255.255', 2194276352, 2194407423, 'US', 'United States'),
(75599, '130.204.0.0', '130.204.255.255', 2194407424, 2194472959, 'BG', 'Bulgaria'),
(75600, '130.205.0.0', '130.205.255.255', 2194472960, 2194538495, 'US', 'United States'),
(75601, '130.206.0.0', '130.206.255.255', 2194538496, 2194604031, 'ES', 'Spain'),
(75602, '130.207.0.0', '130.207.255.255', 2194604032, 2194669567, 'US', 'United States'),
(75603, '130.208.0.0', '130.208.255.255', 2194669568, 2194735103, 'IS', 'Iceland'),
(75604, '130.209.0.0', '130.209.255.255', 2194735104, 2194800639, 'GB', 'United Kingdom'),
(75605, '130.210.0.0', '130.210.255.255', 2194800640, 2194866175, 'US', 'United States'),
(75606, '130.212.0.0', '130.214.25.252', 2194931712, 2195069436, 'US', 'United States'),
(75607, '130.214.25.253', '130.214.25.253', 2195069437, 2195069437, 'AP', 'Asia/Pacific Region'),
(75608, '130.214.25.254', '130.214.39.255', 2195069438, 2195073023, 'US', 'United States'),
(75609, '130.214.40.0', '130.214.40.255', 2195073024, 2195073279, 'EU', 'Europe'),
(75610, '130.214.41.0', '130.215.255.255', 2195073280, 2195193855, 'US', 'United States'),
(75611, '130.216.0.0', '130.217.255.255', 2195193856, 2195324927, 'NZ', 'New Zealand'),
(75612, '130.218.0.0', '130.219.255.255', 2195324928, 2195455999, 'US', 'United States'),
(75613, '130.220.0.0', '130.220.255.255', 2195456000, 2195521535, 'AU', 'Australia'),
(75614, '130.221.0.0', '130.222.255.255', 2195521536, 2195652607, 'US', 'United States'),
(75615, '130.223.0.0', '130.223.255.255', 2195652608, 2195718143, 'CH', 'Switzerland'),
(75616, '130.224.0.0', '130.224.255.255', 2195718144, 2195783679, 'US', 'United States'),
(75617, '130.225.0.0', '130.228.255.255', 2195783680, 2196045823, 'DK', 'Denmark'),
(75618, '130.229.0.0', '130.229.255.255', 2196045824, 2196111359, 'SE', 'Sweden'),
(75619, '130.230.0.0', '130.234.255.255', 2196111360, 2196439039, 'FI', 'Finland'),
(75620, '130.235.0.0', '130.244.255.255', 2196439040, 2197094399, 'SE', 'Sweden'),
(75621, '130.245.0.0', '130.245.255.255', 2197094400, 2197159935, 'US', 'United States'),
(75622, '130.246.0.0', '130.246.255.255', 2197159936, 2197225471, 'GB', 'United Kingdom'),
(75623, '130.247.0.0', '130.249.255.255', 2197225472, 2197422079, 'US', 'United States'),
(75624, '130.250.0.0', '130.250.255.255', 2197422080, 2197487615, 'CA', 'Canada'),
(75625, '130.251.0.0', '130.251.255.255', 2197487616, 2197553151, 'IT', 'Italy'),
(75626, '130.252.0.0', '130.254.255.255', 2197553152, 2197749759, 'US', 'United States'),
(75627, '130.255.0.0', '130.255.7.255', 2197749760, 2197751807, 'IQ', 'Iraq'),
(75628, '130.255.8.0', '130.255.15.255', 2197751808, 2197753855, 'RU', 'Russian Federation'),
(75629, '130.255.16.0', '130.255.31.255', 2197753856, 2197757951, 'GB', 'United Kingdom'),
(75630, '130.255.32.0', '130.255.63.255', 2197757952, 2197766143, 'RU', 'Russian Federation'),
(75631, '130.255.64.0', '130.255.71.255', 2197766144, 2197768191, 'PS', 'Palestinian Territory, Occupied'),
(75632, '130.255.72.0', '130.255.79.255', 2197768192, 2197770239, 'IL', 'Israel'),
(75633, '130.255.80.0', '130.255.87.255', 2197770240, 2197772287, 'RU', 'Russian Federation'),
(75634, '130.255.88.0', '130.255.95.255', 2197772288, 2197774335, 'IQ', 'Iraq'),
(75635, '130.255.96.0', '130.255.103.255', 2197774336, 2197776383, 'IT', 'Italy'),
(75636, '130.255.104.0', '130.255.111.255', 2197776384, 2197778431, 'DE', 'Germany'),
(75637, '130.255.112.0', '130.255.119.255', 2197778432, 2197780479, 'IT', 'Italy'),
(75638, '130.255.120.0', '130.255.127.255', 2197780480, 2197782527, 'DE', 'Germany'),
(75639, '130.255.128.0', '130.255.143.255', 2197782528, 2197786623, 'UA', 'Ukraine'),
(75640, '130.255.144.0', '130.255.151.255', 2197786624, 2197788671, 'IT', 'Italy'),
(75641, '130.255.152.0', '130.255.159.255', 2197788672, 2197790719, 'PL', 'Poland'),
(75642, '130.255.160.0', '130.255.160.227', 2197790720, 2197790947, 'SE', 'Sweden'),
(75643, '130.255.160.228', '130.255.160.231', 2197790948, 2197790951, 'EE', 'Estonia'),
(75644, '130.255.160.232', '130.255.161.135', 2197790952, 2197791111, 'SE', 'Sweden'),
(75645, '130.255.161.136', '130.255.161.139', 2197791112, 2197791115, 'LV', 'Latvia'),
(75646, '130.255.161.140', '130.255.162.223', 2197791116, 2197791455, 'SE', 'Sweden'),
(75647, '130.255.162.224', '130.255.162.227', 2197791456, 2197791459, 'LT', 'Lithuania'),
(75648, '130.255.162.228', '130.255.167.255', 2197791460, 2197792767, 'SE', 'Sweden'),
(75649, '130.255.168.0', '130.255.175.255', 2197792768, 2197794815, 'IT', 'Italy'),
(75650, '130.255.176.0', '130.255.183.255', 2197794816, 2197796863, 'SA', 'Saudi Arabia'),
(75651, '130.255.184.0', '130.255.191.255', 2197796864, 2197798911, 'DE', 'Germany'),
(75652, '130.255.192.0', '130.255.255.255', 2197798912, 2197815295, 'IR', 'Iran, Islamic Republic of'),
(75653, '131.1.0.0', '131.1.255.255', 2197880832, 2197946367, 'IT', 'Italy'),
(75654, '131.2.0.0', '131.96.255.255', 2197946368, 2204172287, 'US', 'United States'),
(75655, '131.97.0.0', '131.97.255.255', 2204172288, 2204237823, 'SE', 'Sweden'),
(75656, '131.98.0.0', '131.98.255.255', 2204237824, 2204303359, 'US', 'United States'),
(75657, '131.99.0.0', '131.99.255.255', 2204303360, 2204368895, 'DE', 'Germany'),
(75658, '131.101.0.0', '131.101.255.255', 2204434432, 2204499967, 'US', 'United States'),
(75659, '131.102.0.0', '131.102.255.255', 2204499968, 2204565503, 'CH', 'Switzerland'),
(75660, '131.103.0.0', '131.103.255.255', 2204565504, 2204631039, 'US', 'United States'),
(75661, '131.104.0.0', '131.104.255.255', 2204631040, 2204696575, 'CA', 'Canada'),
(75662, '131.105.0.0', '131.107.255.255', 2204696576, 2204893183, 'US', 'United States'),
(75663, '131.109.0.0', '131.110.255.255', 2204958720, 2205089791, 'US', 'United States'),
(75664, '131.111.0.0', '131.111.255.255', 2205089792, 2205155327, 'GB', 'United Kingdom'),
(75665, '131.112.0.0', '131.113.255.255', 2205155328, 2205286399, 'JP', 'Japan'),
(75666, '131.114.0.0', '131.114.255.255', 2205286400, 2205351935, 'IT', 'Italy'),
(75667, '131.115.0.0', '131.116.255.255', 2205351936, 2205483007, 'SE', 'Sweden'),
(75668, '131.117.0.0', '131.117.127.255', 2205483008, 2205515775, 'CH', 'Switzerland'),
(75669, '131.117.128.0', '131.117.143.255', 2205515776, 2205519871, 'AZ', 'Azerbaijan'),
(75670, '131.117.144.0', '131.117.159.255', 2205519872, 2205523967, 'DE', 'Germany'),
(75671, '131.117.160.0', '131.117.167.255', 2205523968, 2205526015, 'YE', 'Yemen'),
(75672, '131.117.168.0', '131.117.175.255', 2205526016, 2205528063, 'GB', 'United Kingdom'),
(75673, '131.117.176.0', '131.117.183.255', 2205528064, 2205530111, 'SE', 'Sweden'),
(75674, '131.117.184.0', '131.117.191.255', 2205530112, 2205532159, 'GB', 'United Kingdom'),
(75675, '131.117.192.0', '131.117.199.255', 2205532160, 2205534207, 'CZ', 'Czech Republic'),
(75676, '131.117.200.0', '131.117.207.255', 2205534208, 2205536255, 'FR', 'France'),
(75677, '131.117.208.0', '131.117.215.255', 2205536256, 2205538303, 'CZ', 'Czech Republic'),
(75678, '131.117.216.0', '131.117.223.255', 2205538304, 2205540351, 'RU', 'Russian Federation'),
(75679, '131.117.224.0', '131.117.255.255', 2205540352, 2205548543, 'IQ', 'Iraq'),
(75680, '131.118.0.0', '131.128.255.255', 2205548544, 2206269439, 'US', 'United States'),
(75681, '131.129.0.0', '131.129.255.255', 2206269440, 2206334975, 'CA', 'Canada'),
(75682, '131.130.0.0', '131.130.255.255', 2206334976, 2206400511, 'AT', 'Austria'),
(75683, '131.131.0.0', '131.131.255.255', 2206400512, 2206466047, 'US', 'United States'),
(75684, '131.132.0.0', '131.141.255.255', 2206466048, 2207121407, 'CA', 'Canada'),
(75685, '131.142.0.0', '131.146.255.255', 2207121408, 2207449087, 'US', 'United States'),
(75686, '131.147.0.0', '131.150.6.255', 2207449088, 2207647487, 'CA', 'Canada'),
(75687, '131.150.7.0', '131.150.7.255', 2207647488, 2207647743, 'US', 'United States'),
(75688, '131.150.8.0', '131.150.10.255', 2207647744, 2207648511, 'CA', 'Canada'),
(75689, '131.150.11.0', '131.150.15.255', 2207648512, 2207649791, 'US', 'United States'),
(75690, '131.150.16.0', '131.150.30.255', 2207649792, 2207653631, 'CA', 'Canada'),
(75691, '131.150.31.0', '131.150.31.255', 2207653632, 2207653887, 'US', 'United States'),
(75692, '131.150.32.0', '131.150.54.255', 2207653888, 2207659775, 'CA', 'Canada'),
(75693, '131.150.55.0', '131.150.55.255', 2207659776, 2207660031, 'US', 'United States'),
(75694, '131.150.56.0', '131.150.61.255', 2207660032, 2207661567, 'CA', 'Canada'),
(75695, '131.150.62.0', '131.150.62.255', 2207661568, 2207661823, 'US', 'United States'),
(75696, '131.150.63.0', '131.150.79.255', 2207661824, 2207666175, 'CA', 'Canada'),
(75697, '131.150.80.0', '131.150.83.255', 2207666176, 2207667199, 'US', 'United States'),
(75698, '131.150.84.0', '131.150.129.255', 2207667200, 2207678975, 'CA', 'Canada'),
(75699, '131.150.130.0', '131.150.131.255', 2207678976, 2207679487, 'US', 'United States'),
(75700, '131.150.132.0', '131.150.189.255', 2207679488, 2207694335, 'CA', 'Canada'),
(75701, '131.150.190.0', '131.150.190.255', 2207694336, 2207694591, 'US', 'United States'),
(75702, '131.150.191.0', '131.150.255.255', 2207694592, 2207711231, 'CA', 'Canada'),
(75703, '131.151.0.0', '131.151.255.255', 2207711232, 2207776767, 'US', 'United States'),
(75704, '131.152.0.0', '131.152.255.255', 2207776768, 2207842303, 'CH', 'Switzerland'),
(75705, '131.153.0.0', '131.153.255.255', 2207842304, 2207907839, 'US', 'United States'),
(75706, '131.154.0.0', '131.154.255.255', 2207907840, 2207973375, 'IT', 'Italy'),
(75707, '131.155.0.0', '131.155.255.255', 2207973376, 2208038911, 'NL', 'Netherlands'),
(75708, '131.156.0.0', '131.158.255.255', 2208038912, 2208235519, 'US', 'United States'),
(75709, '131.159.0.0', '131.159.255.255', 2208235520, 2208301055, 'DE', 'Germany'),
(75710, '131.160.0.0', '131.160.255.255', 2208301056, 2208366591, 'FI', 'Finland'),
(75711, '131.162.0.0', '131.163.255.255', 2208432128, 2208563199, 'CA', 'Canada'),
(75712, '131.164.0.0', '131.166.255.255', 2208563200, 2208759807, 'DK', 'Denmark'),
(75713, '131.167.0.0', '131.168.255.255', 2208759808, 2208890879, 'US', 'United States'),
(75714, '131.169.0.0', '131.169.255.255', 2208890880, 2208956415, 'DE', 'Germany'),
(75715, '131.170.0.0', '131.170.255.255', 2208956416, 2209021951, 'AU', 'Australia'),
(75716, '131.171.0.0', '131.171.255.255', 2209021952, 2209087487, 'US', 'United States'),
(75717, '131.172.0.0', '131.172.255.255', 2209087488, 2209153023, 'AU', 'Australia'),
(75718, '131.173.0.0', '131.173.255.255', 2209153024, 2209218559, 'DE', 'Germany'),
(75719, '131.174.0.0', '131.174.255.255', 2209218560, 2209284095, 'NL', 'Netherlands'),
(75720, '131.175.0.0', '131.175.255.255', 2209284096, 2209349631, 'IT', 'Italy'),
(75721, '131.176.0.0', '131.176.255.255', 2209349632, 2209415167, 'US', 'United States'),
(75722, '131.177.0.0', '131.177.255.255', 2209415168, 2209480703, 'FI', 'Finland'),
(75723, '131.178.0.0', '131.178.255.255', 2209480704, 2209546239, 'MX', 'Mexico'),
(75724, '131.179.0.0', '131.179.255.255', 2209546240, 2209611775, 'US', 'United States'),
(75725, '131.180.0.0', '131.180.255.255', 2209611776, 2209677311, 'NL', 'Netherlands'),
(75726, '131.181.0.0', '131.181.255.255', 2209677312, 2209742847, 'AU', 'Australia'),
(75727, '131.182.0.0', '131.184.255.255', 2209742848, 2209939455, 'US', 'United States'),
(75728, '131.185.0.0', '131.185.255.255', 2209939456, 2210004991, 'AU', 'Australia'),
(75729, '131.186.0.0', '131.187.255.255', 2210004992, 2210136063, 'US', 'United States'),
(75730, '131.188.0.0', '131.188.255.255', 2210136064, 2210201599, 'DE', 'Germany'),
(75731, '131.189.0.0', '131.194.255.255', 2210201600, 2210594815, 'US', 'United States'),
(75732, '131.195.0.0', '131.195.255.255', 2210594816, 2210660351, 'CA', 'Canada'),
(75733, '131.196.0.0', '131.196.255.255', 2210660352, 2210725887, 'EU', 'Europe'),
(75734, '131.197.0.0', '131.201.255.255', 2210725888, 2211053567, 'US', 'United States'),
(75735, '131.202.0.0', '131.202.255.255', 2211053568, 2211119103, 'CA', 'Canada'),
(75736, '131.203.0.0', '131.203.255.255', 2211119104, 2211184639, 'NZ', 'New Zealand'),
(75737, '131.204.0.0', '131.204.255.255', 2211184640, 2211250175, 'US', 'United States'),
(75738, '131.205.0.0', '131.205.255.255', 2211250176, 2211315711, 'SE', 'Sweden'),
(75739, '131.206.0.0', '131.206.255.255', 2211315712, 2211381247, 'JP', 'Japan'),
(75740, '131.207.0.0', '131.207.255.255', 2211381248, 2211446783, 'FI', 'Finland'),
(75741, '131.208.0.0', '131.210.255.255', 2211446784, 2211643391, 'US', 'United States'),
(75742, '131.211.0.0', '131.211.255.255', 2211643392, 2211708927, 'NL', 'Netherlands'),
(75743, '131.212.0.0', '131.212.255.255', 2211708928, 2211774463, 'US', 'United States'),
(75744, '131.213.0.0', '131.213.255.255', 2211774464, 2211839999, 'CA', 'Canada'),
(75745, '131.214.0.0', '131.216.255.255', 2211840000, 2212036607, 'US', 'United States'),
(75746, '131.217.0.0', '131.217.255.255', 2212036608, 2212102143, 'AU', 'Australia'),
(75747, '131.218.0.0', '131.219.255.255', 2212102144, 2212233215, 'US', 'United States'),
(75748, '131.220.0.0', '131.220.255.255', 2212233216, 2212298751, 'DE', 'Germany'),
(75749, '131.222.0.0', '131.223.255.255', 2212364288, 2212495359, 'US', 'United States'),
(75750, '131.224.0.0', '131.224.255.255', 2212495360, 2212560895, 'NL', 'Netherlands'),
(75751, '131.225.0.0', '131.226.255.255', 2212560896, 2212691967, 'US', 'United States'),
(75752, '131.227.0.0', '131.227.255.255', 2212691968, 2212757503, 'GB', 'United Kingdom'),
(75753, '131.228.0.0', '131.228.15.255', 2212757504, 2212761599, 'FI', 'Finland'),
(75754, '131.228.16.0', '131.228.19.255', 2212761600, 2212762623, 'GB', 'United Kingdom'),
(75755, '131.228.20.0', '131.228.35.255', 2212762624, 2212766719, 'FI', 'Finland'),
(75756, '131.228.36.0', '131.228.39.255', 2212766720, 2212767743, 'GB', 'United Kingdom'),
(75757, '131.228.40.0', '131.228.207.255', 2212767744, 2212810751, 'FI', 'Finland'),
(75758, '131.228.208.0', '131.228.210.255', 2212810752, 2212811519, 'US', 'United States'),
(75759, '131.228.211.0', '131.228.255.255', 2212811520, 2212823039, 'FI', 'Finland'),
(75760, '131.229.0.0', '131.230.255.255', 2212823040, 2212954111, 'US', 'United States'),
(75761, '131.231.0.0', '131.231.255.255', 2212954112, 2213019647, 'GB', 'United Kingdom'),
(75762, '131.232.0.0', '131.232.255.255', 2213019648, 2213085183, 'CA', 'Canada'),
(75763, '131.233.0.0', '131.233.255.255', 2213085184, 2213150719, 'US', 'United States'),
(75764, '131.234.0.0', '131.234.255.255', 2213150720, 2213216255, 'DE', 'Germany'),
(75765, '131.235.0.0', '131.235.255.255', 2213216256, 2213281791, 'CA', 'Canada'),
(75766, '131.236.0.0', '131.236.255.255', 2213281792, 2213347327, 'AU', 'Australia'),
(75767, '131.237.0.0', '131.237.255.255', 2213347328, 2213412863, 'NL', 'Netherlands'),
(75768, '131.238.0.0', '131.241.255.255', 2213412864, 2213675007, 'US', 'United States'),
(75769, '131.242.0.0', '131.242.255.255', 2213675008, 2213740543, 'AU', 'Australia'),
(75770, '131.243.0.0', '131.243.255.255', 2213740544, 2213806079, 'US', 'United States'),
(75771, '131.244.0.0', '131.245.255.255', 2213806080, 2213937151, 'AU', 'Australia'),
(75772, '131.246.0.0', '131.246.255.255', 2213937152, 2214002687, 'DE', 'Germany'),
(75773, '131.247.0.0', '131.247.255.255', 2214002688, 2214068223, 'US', 'United States'),
(75774, '131.248.0.0', '131.248.255.255', 2214068224, 2214133759, 'JP', 'Japan'),
(75775, '131.249.0.0', '131.250.255.255', 2214133760, 2214264831, 'US', 'United States'),
(75776, '131.251.0.0', '131.251.255.255', 2214264832, 2214330367, 'GB', 'United Kingdom'),
(75777, '131.252.0.0', '131.253.7.255', 2214330368, 2214397951, 'US', 'United States'),
(75778, '131.253.8.0', '131.253.8.255', 2214397952, 2214398207, 'CA', 'Canada'),
(75779, '131.253.9.0', '131.253.11.255', 2214398208, 2214398975, 'US', 'United States'),
(75780, '131.253.12.0', '131.253.18.255', 2214398976, 2214400767, 'CA', 'Canada'),
(75781, '131.253.19.0', '131.253.20.255', 2214400768, 2214401279, 'US', 'United States'),
(75782, '131.253.21.0', '131.253.47.255', 2214401280, 2214408191, 'CA', 'Canada'),
(75783, '131.253.48.0', '131.253.60.255', 2214408192, 2214411519, 'US', 'United States'),
(75784, '131.253.61.0', '131.253.255.255', 2214411520, 2214461439, 'CA', 'Canada'),
(75785, '131.254.0.0', '131.254.255.255', 2214461440, 2214526975, 'FR', 'France'),
(75786, '132.0.0.0', '132.63.255.255', 2214592512, 2218786815, 'US', 'United States'),
(75787, '132.64.0.0', '132.78.255.255', 2218786816, 2219769855, 'IL', 'Israel'),
(75788, '132.79.0.0', '132.145.255.255', 2219769856, 2224160767, 'US', 'United States'),
(75789, '132.146.0.0', '132.146.255.255', 2224160768, 2224226303, 'GB', 'United Kingdom'),
(75790, '132.147.0.0', '132.148.255.255', 2224226304, 2224357375, 'US', 'United States'),
(75791, '132.149.0.0', '132.149.255.255', 2224357376, 2224422911, 'FR', 'France'),
(75792, '132.150.0.0', '132.150.255.255', 2224422912, 2224488447, 'NO', 'Norway'),
(75793, '132.151.0.0', '132.152.255.255', 2224488448, 2224619519, 'US', 'United States'),
(75794, '132.153.0.0', '132.153.255.255', 2224619520, 2224685055, 'GB', 'United Kingdom'),
(75795, '132.154.0.0', '132.154.255.255', 2224685056, 2224750591, 'US', 'United States'),
(75796, '132.155.0.0', '132.155.255.255', 2224750592, 2224816127, 'FI', 'Finland'),
(75797, '132.156.0.0', '132.156.255.255', 2224816128, 2224881663, 'CA', 'Canada'),
(75798, '132.158.0.0', '132.164.255.255', 2224947200, 2225405951, 'US', 'United States'),
(75799, '132.165.0.0', '132.169.255.255', 2225405952, 2225733631, 'FR', 'France'),
(75800, '132.170.0.0', '132.170.255.255', 2225733632, 2225799167, 'US', 'United States'),
(75801, '132.171.0.0', '132.171.255.255', 2225799168, 2225864703, 'FI', 'Finland'),
(75802, '132.172.0.0', '132.175.255.255', 2225864704, 2226126847, 'US', 'United States'),
(75803, '132.176.0.0', '132.176.255.255', 2226126848, 2226192383, 'DE', 'Germany'),
(75804, '132.177.0.0', '132.178.255.255', 2226192384, 2226323455, 'US', 'United States'),
(75805, '132.179.0.0', '132.179.255.255', 2226323456, 2226388991, 'JP', 'Japan'),
(75806, '132.180.0.0', '132.180.255.255', 2226388992, 2226454527, 'DE', 'Germany'),
(75807, '132.181.0.0', '132.181.255.255', 2226454528, 2226520063, 'NZ', 'New Zealand'),
(75808, '132.182.0.0', '132.182.255.255', 2226520064, 2226585599, 'JP', 'Japan'),
(75809, '132.183.0.0', '132.183.255.255', 2226585600, 2226651135, 'US', 'United States'),
(75810, '132.185.0.0', '132.185.255.255', 2226716672, 2226782207, 'GB', 'United Kingdom'),
(75811, '132.186.0.0', '132.186.255.255', 2226782208, 2226847743, 'ZA', 'South Africa'),
(75812, '132.187.0.0', '132.187.255.255', 2226847744, 2226913279, 'DE', 'Germany'),
(75813, '132.188.0.0', '132.188.32.99', 2226913280, 2226921571, 'US', 'United States'),
(75814, '132.188.32.100', '132.188.32.100', 2226921572, 2226921572, 'EU', 'Europe'),
(75815, '132.188.32.101', '132.190.31.255', 2226921573, 2227052543, 'US', 'United States'),
(75816, '132.190.32.0', '132.190.32.65', 2227052544, 2227052609, 'EU', 'Europe'),
(75817, '132.190.32.66', '132.190.32.66', 2227052610, 2227052610, 'CH', 'Switzerland'),
(75818, '132.190.32.67', '132.190.32.255', 2227052611, 2227052799, 'EU', 'Europe'),
(75819, '132.190.33.0', '132.190.255.255', 2227052800, 2227109887, 'US', 'United States'),
(75820, '132.192.0.0', '132.194.255.255', 2227175424, 2227372031, 'US', 'United States'),
(75821, '132.195.0.0', '132.195.255.255', 2227372032, 2227437567, 'DE', 'Germany'),
(75822, '132.196.0.0', '132.196.255.255', 2227437568, 2227503103, 'SE', 'Sweden'),
(75823, '132.197.0.0', '132.198.255.255', 2227503104, 2227634175, 'US', 'United States'),
(75824, '132.199.0.0', '132.199.255.255', 2227634176, 2227699711, 'DE', 'Germany'),
(75825, '132.200.0.0', '132.201.255.255', 2227699712, 2227830783, 'US', 'United States'),
(75826, '132.202.0.0', '132.221.255.255', 2227830784, 2229141503, 'CA', 'Canada'),
(75827, '132.222.0.0', '132.222.255.255', 2229141504, 2229207039, 'JP', 'Japan'),
(75828, '132.223.0.0', '132.224.255.255', 2229207040, 2229338111, 'US', 'United States'),
(75829, '132.225.0.0', '132.225.255.255', 2229338112, 2229403647, 'CA', 'Canada'),
(75830, '132.226.0.0', '132.226.255.255', 2229403648, 2229469183, 'US', 'United States'),
(75831, '132.227.0.0', '132.227.255.255', 2229469184, 2229534719, 'FR', 'France'),
(75832, '132.228.0.0', '132.228.255.255', 2229534720, 2229600255, 'US', 'United States'),
(75833, '132.229.0.0', '132.229.255.255', 2229600256, 2229665791, 'NL', 'Netherlands'),
(75834, '132.230.0.0', '132.231.255.255', 2229665792, 2229796863, 'DE', 'Germany'),
(75835, '132.232.0.0', '132.232.255.255', 2229796864, 2229862399, 'GB', 'United Kingdom'),
(75836, '132.233.0.0', '132.233.255.255', 2229862400, 2229927935, 'US', 'United States'),
(75837, '132.234.0.0', '132.234.255.255', 2229927936, 2229993471, 'AU', 'Australia'),
(75838, '132.235.0.0', '132.243.255.255', 2229993472, 2230583295, 'US', 'United States'),
(75839, '132.244.0.0', '132.244.255.255', 2230583296, 2230648831, 'GB', 'United Kingdom'),
(75840, '132.245.0.0', '132.245.255.255', 2230648832, 2230714367, 'US', 'United States'),
(75841, '132.246.0.0', '132.246.255.255', 2230714368, 2230779903, 'CA', 'Canada'),
(75842, '132.247.0.0', '132.248.255.255', 2230779904, 2230910975, 'MX', 'Mexico'),
(75843, '132.249.0.0', '132.250.255.255', 2230910976, 2231042047, 'US', 'United States'),
(75844, '132.252.0.0', '132.252.255.255', 2231107584, 2231173119, 'DE', 'Germany'),
(75845, '132.253.0.0', '132.253.255.255', 2231173120, 2231238655, 'US', 'United States'),
(75846, '132.254.0.0', '132.254.255.255', 2231238656, 2231304191, 'MX', 'Mexico'),
(75847, '133.0.0.0', '133.255.255.255', 2231369728, 2248146943, 'JP', 'Japan'),
(75848, '134.0.0.0', '134.0.7.255', 2248146944, 2248148991, 'IT', 'Italy'),
(75849, '134.0.8.0', '134.0.15.255', 2248148992, 2248151039, 'ES', 'Spain'),
(75850, '134.0.16.0', '134.0.23.255', 2248151040, 2248153087, 'GB', 'United Kingdom'),
(75851, '134.0.24.0', '134.0.31.255', 2248153088, 2248155135, 'DE', 'Germany'),
(75852, '134.0.32.0', '134.0.63.255', 2248155136, 2248163327, 'AL', 'Albania'),
(75853, '134.0.64.0', '134.0.71.255', 2248163328, 2248165375, 'GB', 'United Kingdom'),
(75854, '134.0.72.0', '134.0.79.255', 2248165376, 2248167423, 'US', 'United States'),
(75855, '134.0.80.0', '134.0.87.255', 2248167424, 2248169471, 'IE', 'Ireland'),
(75856, '134.0.88.0', '134.0.95.255', 2248169472, 2248171519, 'NL', 'Netherlands'),
(75857, '134.0.96.0', '134.0.119.255', 2248171520, 2248177663, 'RU', 'Russian Federation'),
(75858, '134.0.120.0', '134.0.127.255', 2248177664, 2248179711, 'DE', 'Germany'),
(75859, '134.0.128.0', '134.0.255.255', 2248179712, 2248212479, 'OM', 'Oman'),
(75860, '134.1.0.0', '134.3.255.255', 2248212480, 2248409087, 'DE', 'Germany'),
(75861, '134.4.0.0', '134.6.255.255', 2248409088, 2248605695, 'US', 'United States'),
(75862, '134.7.0.0', '134.7.255.255', 2248605696, 2248671231, 'AU', 'Australia'),
(75863, '134.8.0.0', '134.16.255.255', 2248671232, 2249261055, 'US', 'United States'),
(75864, '134.17.0.0', '134.17.255.255', 2249261056, 2249326591, 'BY', 'Belarus'),
(75865, '134.18.0.0', '134.18.255.255', 2249326592, 2249392127, 'AU', 'Australia'),
(75866, '134.19.0.0', '134.19.127.255', 2249392128, 2249424895, 'DE', 'Germany'),
(75867, '134.19.128.0', '134.19.135.255', 2249424896, 2249426943, 'RU', 'Russian Federation'),
(75868, '134.19.136.0', '134.19.143.255', 2249426944, 2249428991, 'SK', 'Slovakia'),
(75869, '134.19.144.0', '134.19.159.255', 2249428992, 2249433087, 'RU', 'Russian Federation'),
(75870, '134.19.160.0', '134.19.167.255', 2249433088, 2249435135, 'GB', 'United Kingdom'),
(75871, '134.19.168.0', '134.19.175.255', 2249435136, 2249437183, 'IT', 'Italy'),
(75872, '134.19.176.0', '134.19.191.255', 2249437184, 2249441279, 'NL', 'Netherlands'),
(75873, '134.19.192.0', '134.19.199.255', 2249441280, 2249443327, 'FR', 'France'),
(75874, '134.19.200.0', '134.19.207.255', 2249443328, 2249445375, 'TR', 'Turkey'),
(75875, '134.19.208.0', '134.19.223.255', 2249445376, 2249449471, 'AZ', 'Azerbaijan'),
(75876, '134.19.224.0', '134.19.255.255', 2249449472, 2249457663, 'GE', 'Georgia'),
(75877, '134.20.0.0', '134.20.255.255', 2249457664, 2249523199, 'US', 'United States'),
(75878, '134.21.0.0', '134.21.255.255', 2249523200, 2249588735, 'CH', 'Switzerland'),
(75879, '134.22.0.0', '134.22.255.255', 2249588736, 2249654271, 'CA', 'Canada'),
(75880, '134.23.0.0', '134.24.18.255', 2249654272, 2249724671, 'US', 'United States'),
(75881, '134.24.19.0', '134.24.19.255', 2249724672, 2249724927, 'CA', 'Canada'),
(75882, '134.24.20.0', '134.24.239.255', 2249724928, 2249781247, 'US', 'United States'),
(75883, '134.24.240.0', '134.24.240.7', 2249781248, 2249781255, 'FR', 'France'),
(75884, '134.24.240.8', '134.24.255.255', 2249781256, 2249785343, 'US', 'United States'),
(75885, '134.25.0.0', '134.25.255.255', 2249785344, 2249850879, 'SE', 'Sweden'),
(75886, '134.26.0.0', '134.26.255.255', 2249850880, 2249916415, 'US', 'United States'),
(75887, '134.27.0.0', '134.27.32.255', 2249916416, 2249924863, 'NL', 'Netherlands'),
(75888, '134.27.33.0', '134.27.33.255', 2249924864, 2249925119, 'US', 'United States'),
(75889, '134.27.34.0', '134.27.47.255', 2249925120, 2249928703, 'NL', 'Netherlands'),
(75890, '134.27.48.0', '134.27.55.255', 2249928704, 2249930751, 'US', 'United States'),
(75891, '134.27.56.0', '134.27.59.255', 2249930752, 2249931775, 'NL', 'Netherlands'),
(75892, '134.27.60.0', '134.27.63.255', 2249931776, 2249932799, 'US', 'United States'),
(75893, '134.27.64.0', '134.27.64.127', 2249932800, 2249932927, 'NL', 'Netherlands'),
(75894, '134.27.64.128', '134.27.64.255', 2249932928, 2249933055, 'BR', 'Brazil'),
(75895, '134.27.65.0', '134.27.255.255', 2249933056, 2249981951, 'NL', 'Netherlands'),
(75896, '134.28.0.0', '134.28.255.255', 2249981952, 2250047487, 'DE', 'Germany'),
(75897, '134.29.0.0', '134.29.255.255', 2250047488, 2250113023, 'US', 'United States'),
(75898, '134.30.0.0', '134.30.255.255', 2250113024, 2250178559, 'DE', 'Germany'),
(75899, '134.31.0.0', '134.31.255.255', 2250178560, 2250244095, 'CA', 'Canada'),
(75900, '134.32.0.0', '134.33.255.255', 2250244096, 2250375167, 'US', 'United States'),
(75901, '134.34.0.0', '134.34.255.255', 2250375168, 2250440703, 'DE', 'Germany'),
(75902, '134.35.0.0', '134.35.255.255', 2250440704, 2250506239, 'US', 'United States'),
(75903, '134.36.0.0', '134.36.255.255', 2250506240, 2250571775, 'GB', 'United Kingdom'),
(75904, '134.37.0.0', '134.37.254.255', 2250571776, 2250637055, 'FI', 'Finland'),
(75905, '134.37.255.0', '134.37.255.255', 2250637056, 2250637311, 'EU', 'Europe'),
(75906, '134.38.0.0', '134.46.255.255', 2250637312, 2251227135, 'US', 'United States'),
(75907, '134.47.0.0', '134.47.255.255', 2251227136, 2251292671, 'NO', 'Norway'),
(75908, '134.48.0.0', '134.53.255.255', 2251292672, 2251685887, 'US', 'United States'),
(75909, '134.54.0.0', '134.54.0.255', 2251685888, 2251686143, 'EU', 'Europe'),
(75910, '134.54.1.0', '134.54.255.255', 2251686144, 2251751423, 'BE', 'Belgium'),
(75911, '134.55.0.0', '134.57.255.255', 2251751424, 2251948031, 'US', 'United States'),
(75912, '134.58.0.0', '134.58.255.255', 2251948032, 2252013567, 'BE', 'Belgium'),
(75913, '134.59.0.0', '134.59.255.255', 2252013568, 2252079103, 'FR', 'France'),
(75914, '134.60.0.0', '134.61.255.255', 2252079104, 2252210175, 'DE', 'Germany'),
(75915, '134.62.0.0', '134.72.255.255', 2252210176, 2252931071, 'US', 'United States'),
(75916, '134.74.0.0', '134.74.255.255', 2252996608, 2253062143, 'US', 'United States'),
(75917, '134.75.0.0', '134.75.255.255', 2253062144, 2253127679, 'KR', 'Korea, Republic of'),
(75918, '134.76.0.0', '134.76.255.255', 2253127680, 2253193215, 'DE', 'Germany'),
(75919, '134.77.0.0', '134.80.255.255', 2253193216, 2253455359, 'US', 'United States'),
(75920, '134.81.0.0', '134.81.255.255', 2253455360, 2253520895, 'DE', 'Germany'),
(75921, '134.82.0.0', '134.82.255.255', 2253520896, 2253586431, 'US', 'United States'),
(75922, '134.83.0.0', '134.83.255.255', 2253586432, 2253651967, 'GB', 'United Kingdom'),
(75923, '134.84.0.0', '134.86.255.255', 2253651968, 2253848575, 'US', 'United States'),
(75924, '134.87.0.0', '134.87.255.255', 2253848576, 2253914111, 'CA', 'Canada'),
(75925, '134.88.0.0', '134.89.255.255', 2253914112, 2254045183, 'US', 'United States'),
(75926, '134.90.0.0', '134.90.127.255', 2254045184, 2254077951, 'GE', 'Georgia'),
(75927, '134.90.128.0', '134.90.135.255', 2254077952, 2254079999, 'BA', 'Bosnia and Herzegovina'),
(75928, '134.90.136.0', '134.90.143.255', 2254080000, 2254082047, 'FR', 'France'),
(75929, '134.90.144.0', '134.90.151.255', 2254082048, 2254084095, 'NO', 'Norway'),
(75930, '134.90.152.0', '134.90.191.255', 2254084096, 2254094335, 'RU', 'Russian Federation'),
(75931, '134.90.192.0', '134.90.199.255', 2254094336, 2254096383, 'RO', 'Romania'),
(75932, '134.90.200.0', '134.90.201.255', 2254096384, 2254096895, 'GB', 'United Kingdom'),
(75933, '134.90.202.0', '134.90.207.255', 2254096896, 2254098431, 'RO', 'Romania'),
(75934, '134.90.208.0', '134.90.215.255', 2254098432, 2254100479, 'RU', 'Russian Federation'),
(75935, '134.90.216.0', '134.90.223.255', 2254100480, 2254102527, 'CH', 'Switzerland'),
(75936, '134.90.224.0', '134.90.255.255', 2254102528, 2254110719, 'IT', 'Italy'),
(75937, '134.91.0.0', '134.110.255.255', 2254110720, 2255421439, 'DE', 'Germany'),
(75938, '134.111.0.0', '134.114.255.255', 2255421440, 2255683583, 'US', 'United States'),
(75939, '134.115.0.0', '134.115.255.255', 2255683584, 2255749119, 'AU', 'Australia'),
(75940, '134.116.0.0', '134.116.255.255', 2255749120, 2255814655, 'US', 'United States'),
(75941, '134.117.0.0', '134.117.255.255', 2255814656, 2255880191, 'CA', 'Canada'),
(75942, '134.118.0.0', '134.118.255.255', 2255880192, 2255945727, 'US', 'United States'),
(75943, '134.119.0.0', '134.119.255.255', 2255945728, 2256011263, 'NO', 'Norway'),
(75944, '134.120.0.0', '134.129.255.255', 2256011264, 2256666623, 'US', 'United States'),
(75945, '134.130.0.0', '134.130.255.255', 2256666624, 2256732159, 'DE', 'Germany'),
(75946, '134.131.0.0', '134.137.255.255', 2256732160, 2257190911, 'US', 'United States'),
(75947, '134.138.0.0', '134.138.255.255', 2257190912, 2257256447, 'SE', 'Sweden'),
(75948, '134.139.0.0', '134.141.255.255', 2257256448, 2257453055, 'US', 'United States'),
(75949, '134.142.0.0', '134.142.255.255', 2257453056, 2257518591, 'GB', 'United Kingdom'),
(75950, '134.143.0.0', '134.143.255.255', 2257518592, 2257584127, 'NL', 'Netherlands'),
(75951, '134.144.0.0', '134.144.255.255', 2257584128, 2257649663, 'AU', 'Australia'),
(75952, '134.145.0.0', '134.145.255.255', 2257649664, 2257715199, 'NL', 'Netherlands'),
(75953, '134.146.0.0', '134.146.0.255', 2257715200, 2257715455, 'EU', 'Europe'),
(75954, '134.146.1.0', '134.146.5.255', 2257715456, 2257716735, 'NL', 'Netherlands'),
(75955, '134.146.6.0', '134.146.6.255', 2257716736, 2257716991, 'EU', 'Europe'),
(75956, '134.146.7.0', '134.146.8.255', 2257716992, 2257717503, 'NL', 'Netherlands'),
(75957, '134.146.9.0', '134.146.9.255', 2257717504, 2257717759, 'GB', 'United Kingdom'),
(75958, '134.146.10.0', '134.146.10.255', 2257717760, 2257718015, 'FR', 'France'),
(75959, '134.146.11.0', '134.146.194.255', 2257718016, 2257765119, 'NL', 'Netherlands'),
(75960, '134.146.195.0', '134.146.195.255', 2257765120, 2257765375, 'EU', 'Europe'),
(75961, '134.146.196.0', '134.146.217.255', 2257765376, 2257771007, 'NL', 'Netherlands'),
(75962, '134.146.218.0', '134.146.218.255', 2257771008, 2257771263, 'NO', 'Norway'),
(75963, '134.146.219.0', '134.146.239.255', 2257771264, 2257776639, 'NL', 'Netherlands'),
(75964, '134.146.240.0', '134.146.240.255', 2257776640, 2257776895, 'IN', 'India'),
(75965, '134.146.241.0', '134.146.255.255', 2257776896, 2257780735, 'NL', 'Netherlands'),
(75966, '134.147.0.0', '134.147.255.255', 2257780736, 2257846271, 'DE', 'Germany'),
(75967, '134.148.0.0', '134.148.255.255', 2257846272, 2257911807, 'AU', 'Australia'),
(75968, '134.149.0.0', '134.149.255.255', 2257911808, 2257977343, 'US', 'United States'),
(75969, '134.150.0.0', '134.150.255.255', 2257977344, 2258042879, 'CA', 'Canada'),
(75970, '134.151.0.0', '134.151.255.255', 2258042880, 2258108415, 'GB', 'United Kingdom'),
(75971, '134.152.0.0', '134.152.255.255', 2258108416, 2258173951, 'US', 'United States'),
(75972, '134.153.0.0', '134.153.255.255', 2258173952, 2258239487, 'CA', 'Canada'),
(75973, '134.154.0.0', '134.154.255.255', 2258239488, 2258305023, 'US', 'United States'),
(75974, '134.155.0.0', '134.155.255.255', 2258305024, 2258370559, 'DE', 'Germany'),
(75975, '134.156.0.0', '134.156.255.255', 2258370560, 2258436095, 'US', 'United States'),
(75976, '134.157.0.0', '134.158.255.255', 2258436096, 2258567167, 'FR', 'France'),
(75977, '134.159.0.0', '134.159.1.255', 2258567168, 2258567679, 'US', 'United States'),
(75978, '134.159.2.0', '134.159.2.255', 2258567680, 2258567935, 'HK', 'Hong Kong'),
(75979, '134.159.3.0', '134.159.63.255', 2258567936, 2258583551, 'US', 'United States'),
(75980, '134.159.64.0', '134.159.95.255', 2258583552, 2258591743, 'GB', 'United Kingdom'),
(75981, '134.159.96.0', '134.159.102.95', 2258591744, 2258593375, 'AU', 'Australia'),
(75982, '134.159.102.96', '134.159.102.255', 2258593376, 2258593535, 'HK', 'Hong Kong'),
(75983, '134.159.103.0', '134.159.105.255', 2258593536, 2258594303, 'AU', 'Australia'),
(75984, '134.159.106.0', '134.159.106.255', 2258594304, 2258594559, 'HK', 'Hong Kong'),
(75985, '134.159.107.0', '134.159.107.53', 2258594560, 2258594613, 'AP', 'Asia/Pacific Region'),
(75986, '134.159.107.54', '134.159.107.54', 2258594614, 2258594614, 'HK', 'Hong Kong'),
(75987, '134.159.107.55', '134.159.107.255', 2258594615, 2258594815, 'AP', 'Asia/Pacific Region'),
(75988, '134.159.108.0', '134.159.112.255', 2258594816, 2258596095, 'AU', 'Australia'),
(75989, '134.159.113.0', '134.159.113.255', 2258596096, 2258596351, 'HK', 'Hong Kong'),
(75990, '134.159.114.0', '134.159.115.255', 2258596352, 2258596863, 'AP', 'Asia/Pacific Region'),
(75991, '134.159.116.0', '134.159.117.255', 2258596864, 2258597375, 'AU', 'Australia'),
(75992, '134.159.118.0', '134.159.118.63', 2258597376, 2258597439, 'HK', 'Hong Kong'),
(75993, '134.159.118.64', '134.159.120.191', 2258597440, 2258598079, 'AU', 'Australia'),
(75994, '134.159.120.192', '134.159.120.199', 2258598080, 2258598087, 'TW', 'Taiwan'),
(75995, '134.159.120.200', '134.159.122.239', 2258598088, 2258598639, 'AU', 'Australia'),
(75996, '134.159.122.240', '134.159.122.255', 2258598640, 2258598655, 'TW', 'Taiwan'),
(75997, '134.159.123.0', '134.159.133.255', 2258598656, 2258601471, 'AU', 'Australia'),
(75998, '134.159.134.0', '134.159.135.255', 2258601472, 2258601983, 'JP', 'Japan'),
(75999, '134.159.136.0', '134.159.137.191', 2258601984, 2258602431, 'AU', 'Australia'),
(76000, '134.159.137.192', '134.159.137.207', 2258602432, 2258602447, 'HK', 'Hong Kong'),
(76001, '134.159.137.208', '134.159.139.127', 2258602448, 2258602879, 'AU', 'Australia'),
(76002, '134.159.139.128', '134.159.139.255', 2258602880, 2258603007, 'HK', 'Hong Kong'),
(76003, '134.159.140.0', '134.159.146.255', 2258603008, 2258604799, 'AU', 'Australia'),
(76004, '134.159.147.0', '134.159.147.255', 2258604800, 2258605055, 'AP', 'Asia/Pacific Region'),
(76005, '134.159.148.0', '134.159.151.255', 2258605056, 2258606079, 'AU', 'Australia'),
(76006, '134.159.152.0', '134.159.152.255', 2258606080, 2258606335, 'HK', 'Hong Kong'),
(76007, '134.159.153.0', '134.159.158.255', 2258606336, 2258607871, 'AU', 'Australia'),
(76008, '134.159.159.0', '134.159.163.255', 2258607872, 2258609151, 'HK', 'Hong Kong'),
(76009, '134.159.164.0', '134.159.164.255', 2258609152, 2258609407, 'AU', 'Australia'),
(76010, '134.159.165.0', '134.159.168.127', 2258609408, 2258610303, 'HK', 'Hong Kong'),
(76011, '134.159.168.128', '134.159.168.255', 2258610304, 2258610431, 'IN', 'India'),
(76012, '134.159.169.0', '134.159.170.255', 2258610432, 2258610943, 'HK', 'Hong Kong'),
(76013, '134.159.171.0', '134.159.171.127', 2258610944, 2258611071, 'JP', 'Japan'),
(76014, '134.159.171.128', '134.159.255.255', 2258611072, 2258632703, 'HK', 'Hong Kong'),
(76015, '134.160.0.0', '134.160.255.255', 2258632704, 2258698239, 'JP', 'Japan'),
(76016, '134.161.0.0', '134.168.255.255', 2258698240, 2259222527, 'US', 'United States'),
(76017, '134.169.0.0', '134.169.255.255', 2259222528, 2259288063, 'DE', 'Germany'),
(76018, '134.170.0.0', '134.170.255.255', 2259288064, 2259353599, 'US', 'United States'),
(76019, '134.171.0.0', '134.171.255.255', 2259353600, 2259419135, 'DE', 'Germany'),
(76020, '134.172.0.0', '134.175.255.255', 2259419136, 2259681279, 'US', 'United States'),
(76021, '134.176.0.0', '134.176.255.255', 2259681280, 2259746815, 'DE', 'Germany'),
(76022, '134.177.0.0', '134.177.255.255', 2259746816, 2259812351, 'US', 'United States'),
(76023, '134.178.0.0', '134.178.255.255', 2259812352, 2259877887, 'AU', 'Australia'),
(76024, '134.179.0.0', '134.179.255.255', 2259877888, 2259943423, 'US', 'United States'),
(76025, '134.180.0.0', '134.180.255.255', 2259943424, 2260008959, 'JP', 'Japan'),
(76026, '134.181.0.0', '134.182.255.255', 2260008960, 2260140031, 'US', 'United States'),
(76027, '134.183.0.0', '134.183.255.255', 2260140032, 2260205567, 'GB', 'United Kingdom'),
(76028, '134.184.0.0', '134.184.255.255', 2260205568, 2260271103, 'BE', 'Belgium'),
(76029, '134.185.0.0', '134.187.255.255', 2260271104, 2260467711, 'US', 'United States'),
(76030, '134.188.0.0', '134.188.255.255', 2260467712, 2260533247, 'NL', 'Netherlands'),
(76031, '134.189.0.0', '134.189.255.255', 2260533248, 2260598783, 'US', 'United States'),
(76032, '134.190.0.0', '134.190.255.255', 2260598784, 2260664319, 'CA', 'Canada'),
(76033, '134.191.0.0', '134.191.253.255', 2260664320, 2260729343, 'GB', 'United Kingdom'),
(76034, '134.191.254.0', '134.191.254.255', 2260729344, 2260729599, 'IL', 'Israel'),
(76035, '134.191.255.0', '134.191.255.255', 2260729600, 2260729855, 'GB', 'United Kingdom'),
(76036, '134.192.0.0', '134.195.255.255', 2260729856, 2260991999, 'US', 'United States'),
(76037, '134.196.0.0', '134.196.255.255', 2260992000, 2261057535, 'CN', 'China'),
(76038, '134.197.0.0', '134.198.255.255', 2261057536, 2261188607, 'US', 'United States'),
(76039, '134.199.0.0', '134.199.255.255', 2261188608, 2261254143, 'CA', 'Canada'),
(76040, '134.200.0.0', '134.201.255.255', 2261254144, 2261385215, 'US', 'United States'),
(76041, '134.202.0.0', '134.202.255.255', 2261385216, 2261450751, 'PR', 'Puerto Rico'),
(76042, '134.203.0.0', '134.203.255.255', 2261450752, 2261516287, 'NL', 'Netherlands'),
(76043, '134.204.0.0', '134.205.255.255', 2261516288, 2261647359, 'US', 'United States'),
(76044, '134.206.0.0', '134.206.255.255', 2261647360, 2261712895, 'FR', 'France'),
(76045, '134.207.0.0', '134.207.255.255', 2261712896, 2261778431, 'US', 'United States'),
(76046, '134.208.0.0', '134.208.255.255', 2261778432, 2261843967, 'TW', 'Taiwan'),
(76047, '134.209.0.0', '134.210.255.255', 2261843968, 2261975039, 'US', 'United States'),
(76048, '134.211.0.0', '134.211.255.255', 2261975040, 2262040575, 'AU', 'Australia'),
(76049, '134.212.0.0', '134.212.255.255', 2262040576, 2262106111, 'FR', 'France'),
(76050, '134.213.0.0', '134.213.255.255', 2262106112, 2262171647, 'IE', 'Ireland'),
(76051, '134.214.0.0', '134.214.255.255', 2262171648, 2262237183, 'FR', 'France'),
(76052, '134.215.0.0', '134.218.255.255', 2262237184, 2262499327, 'US', 'United States'),
(76053, '134.219.0.0', '134.220.255.255', 2262499328, 2262630399, 'GB', 'United Kingdom'),
(76054, '134.221.0.0', '134.222.109.231', 2262630400, 2262724071, 'NL', 'Netherlands'),
(76055, '134.222.109.232', '134.222.109.233', 2262724072, 2262724073, 'IE', 'Ireland'),
(76056, '134.222.109.234', '134.222.255.255', 2262724074, 2262761471, 'NL', 'Netherlands'),
(76057, '134.223.0.0', '134.224.255.255', 2262761472, 2262892543, 'US', 'United States'),
(76058, '134.225.0.0', '134.225.255.255', 2262892544, 2262958079, 'GB', 'United Kingdom'),
(76059, '134.226.0.0', '134.226.255.255', 2262958080, 2263023615, 'IE', 'Ireland'),
(76060, '134.227.0.0', '134.227.255.255', 2263023616, 2263089151, 'FR', 'France'),
(76061, '134.228.0.0', '134.236.255.255', 2263089152, 2263678975, 'US', 'United States'),
(76062, '134.237.0.0', '134.237.255.255', 2263678976, 2263744511, 'JP', 'Japan'),
(76063, '134.238.0.0', '134.238.255.255', 2263744512, 2263810047, 'US', 'United States'),
(76064, '134.239.0.0', '134.239.255.255', 2263810048, 2263875583, 'GB', 'United Kingdom'),
(76065, '134.240.0.0', '134.244.255.255', 2263875584, 2264203263, 'US', 'United States'),
(76066, '134.245.0.0', '134.245.255.255', 2264203264, 2264268799, 'DE', 'Germany'),
(76067, '134.246.0.0', '134.246.255.255', 2264268800, 2264334335, 'FR', 'France'),
(76068, '134.247.0.0', '134.247.255.255', 2264334336, 2264399871, 'DE', 'Germany'),
(76069, '134.248.0.0', '134.248.255.255', 2264399872, 2264465407, 'US', 'United States'),
(76070, '134.249.0.0', '134.249.255.255', 2264465408, 2264530943, 'UA', 'Ukraine'),
(76071, '134.250.0.0', '134.254.255.255', 2264530944, 2264858623, 'US', 'United States'),
(76072, '134.255.0.0', '134.255.127.255', 2264858624, 2264891391, 'HU', 'Hungary'),
(76073, '134.255.128.0', '134.255.159.255', 2264891392, 2264899583, 'RU', 'Russian Federation'),
(76074, '134.255.160.0', '134.255.183.255', 2264899584, 2264905727, 'IT', 'Italy'),
(76075, '134.255.184.0', '134.255.191.255', 2264905728, 2264907775, 'ES', 'Spain'),
(76076, '134.255.192.0', '134.255.255.255', 2264907776, 2264924159, 'DE', 'Germany'),
(76077, '135.0.0.0', '135.0.255.255', 2264924160, 2264989695, 'CA', 'Canada'),
(76078, '135.1.0.0', '135.12.0.255', 2264989696, 2265710847, 'US', 'United States'),
(76079, '135.12.1.0', '135.12.255.255', 2265710848, 2265776127, 'CA', 'Canada'),
(76080, '135.13.0.0', '135.18.255.255', 2265776128, 2266169343, 'US', 'United States'),
(76081, '135.19.0.0', '135.19.255.255', 2266169344, 2266234879, 'CA', 'Canada'),
(76082, '135.20.0.0', '135.180.255.255', 2266234880, 2276786175, 'US', 'United States'),
(76083, '135.181.0.0', '135.181.255.255', 2276786176, 2276851711, 'CA', 'Canada'),
(76084, '135.182.0.0', '135.195.255.255', 2276851712, 2277769215, 'US', 'United States'),
(76085, '135.196.0.0', '135.196.255.255', 2277769216, 2277834751, 'GB', 'United Kingdom'),
(76086, '135.197.0.0', '135.245.71.255', 2277834752, 2280998911, 'US', 'United States'),
(76087, '135.245.72.0', '135.245.72.255', 2280998912, 2280999167, 'EU', 'Europe'),
(76088, '135.245.73.0', '135.245.103.255', 2280999168, 2281007103, 'US', 'United States'),
(76089, '135.245.104.0', '135.245.104.255', 2281007104, 2281007359, 'IN', 'India'),
(76090, '135.245.105.0', '135.245.167.255', 2281007360, 2281023487, 'US', 'United States'),
(76091, '135.245.168.0', '135.245.168.255', 2281023488, 2281023743, 'IN', 'India'),
(76092, '135.245.169.0', '136.8.1.99', 2281023744, 2282226019, 'US', 'United States'),
(76093, '136.8.1.100', '136.8.1.100', 2282226020, 2282226020, 'AP', 'Asia/Pacific Region'),
(76094, '136.8.1.101', '136.8.4.255', 2282226021, 2282226943, 'US', 'United States'),
(76095, '136.8.5.0', '136.8.5.255', 2282226944, 2282227199, 'AP', 'Asia/Pacific Region'),
(76096, '136.8.6.0', '136.8.149.255', 2282227200, 2282264063, 'US', 'United States'),
(76097, '136.8.150.0', '136.8.150.255', 2282264064, 2282264319, 'EU', 'Europe'),
(76098, '136.8.151.0', '136.8.151.255', 2282264320, 2282264575, 'US', 'United States'),
(76099, '136.8.152.0', '136.8.152.255', 2282264576, 2282264831, 'EU', 'Europe'),
(76100, '136.8.153.0', '136.144.255.255', 2282264832, 2291204095, 'US', 'United States'),
(76101, '136.145.0.0', '136.145.255.255', 2291204096, 2291269631, 'PR', 'Puerto Rico'),
(76102, '136.146.0.0', '136.147.255.255', 2291269632, 2291400703, 'US', 'United States'),
(76103, '136.148.0.0', '136.148.255.255', 2291400704, 2291466239, 'GB', 'United Kingdom'),
(76104, '136.149.0.0', '136.152.255.255', 2291466240, 2291728383, 'US', 'United States'),
(76105, '136.153.0.0', '136.154.255.255', 2291728384, 2291859455, 'AU', 'Australia'),
(76106, '136.155.0.0', '136.155.255.255', 2291859456, 2291924991, 'SE', 'Sweden'),
(76107, '136.156.0.0', '136.156.255.255', 2291924992, 2291990527, 'GB', 'United Kingdom'),
(76108, '136.157.0.0', '136.157.255.255', 2291990528, 2292056063, 'US', 'United States'),
(76109, '136.158.0.0', '136.158.255.255', 2292056064, 2292121599, 'NO', 'Norway'),
(76110, '136.159.0.0', '136.159.255.255', 2292121600, 2292187135, 'CA', 'Canada'),
(76111, '136.160.0.0', '136.162.255.255', 2292187136, 2292383743, 'US', 'United States'),
(76112, '136.163.0.0', '136.163.255.255', 2292383744, 2292449279, 'SE', 'Sweden'),
(76113, '136.164.0.0', '136.164.255.255', 2292449280, 2292514815, 'NO', 'Norway'),
(76114, '136.165.0.0', '136.168.255.255', 2292514816, 2292776959, 'US', 'United States'),
(76115, '136.169.0.0', '136.169.127.255', 2292776960, 2292809727, 'LV', 'Latvia'),
(76116, '136.169.128.0', '136.169.255.255', 2292809728, 2292842495, 'RU', 'Russian Federation'),
(76117, '136.170.0.0', '136.170.255.255', 2292842496, 2292908031, 'GB', 'United Kingdom'),
(76118, '136.171.0.0', '136.171.255.255', 2292908032, 2292973567, 'US', 'United States'),
(76119, '136.172.0.0', '136.172.255.255', 2292973568, 2293039103, 'DE', 'Germany'),
(76120, '136.173.0.0', '136.173.161.255', 2293039104, 2293080575, 'EU', 'Europe'),
(76121, '136.173.162.0', '136.173.162.255', 2293080576, 2293080831, 'BE', 'Belgium'),
(76122, '136.173.163.0', '136.173.255.255', 2293080832, 2293104639, 'EU', 'Europe'),
(76123, '136.174.0.0', '136.185.255.255', 2293104640, 2293891071, 'US', 'United States'),
(76124, '136.186.0.0', '136.186.255.255', 2293891072, 2293956607, 'AU', 'Australia'),
(76125, '136.187.0.0', '136.187.255.255', 2293956608, 2294022143, 'JP', 'Japan'),
(76126, '136.188.0.0', '136.197.255.255', 2294022144, 2294677503, 'US', 'United States'),
(76127, '136.198.0.0', '136.198.255.255', 2294677504, 2294743039, 'JP', 'Japan'),
(76128, '136.199.0.0', '136.199.255.255', 2294743040, 2294808575, 'DE', 'Germany'),
(76129, '136.200.0.0', '136.200.255.255', 2294808576, 2294874111, 'US', 'United States'),
(76130, '136.201.0.0', '136.201.255.255', 2294874112, 2294939647, 'IE', 'Ireland'),
(76131, '136.202.0.0', '136.205.255.255', 2294939648, 2295201791, 'US', 'United States'),
(76132, '136.206.0.0', '136.206.255.255', 2295201792, 2295267327, 'IE', 'Ireland'),
(76133, '136.207.0.0', '136.224.255.255', 2295267328, 2296446975, 'US', 'United States'),
(76134, '136.225.0.0', '136.225.255.255', 2296446976, 2296512511, 'SE', 'Sweden'),
(76135, '136.226.0.0', '136.229.255.255', 2296512512, 2296774655, 'US', 'United States'),
(76136, '136.230.0.0', '136.230.255.255', 2296774656, 2296840191, 'DE', 'Germany'),
(76137, '136.231.0.0', '136.231.255.255', 2296840192, 2296905727, 'NL', 'Netherlands'),
(76138, '136.232.0.0', '136.235.255.255', 2296905728, 2297167871, 'US', 'United States'),
(76139, '136.236.0.0', '136.236.255.255', 2297167872, 2297233407, 'AU', 'Australia'),
(76140, '136.237.0.0', '136.237.255.255', 2297233408, 2297298943, 'US', 'United States'),
(76141, '136.238.0.0', '136.238.255.255', 2297298944, 2297364479, 'CH', 'Switzerland'),
(76142, '136.239.0.0', '136.242.255.255', 2297364480, 2297626623, 'US', 'United States'),
(76143, '136.243.0.0', '136.243.255.255', 2297626624, 2297692159, 'DE', 'Germany'),
(76144, '136.244.0.0', '137.14.255.255', 2297692160, 2299461631, 'US', 'United States'),
(76145, '137.15.0.0', '137.15.255.255', 2299461632, 2299527167, 'CA', 'Canada'),
(76146, '137.16.0.0', '137.16.255.255', 2299527168, 2299592703, 'US', 'United States'),
(76147, '137.17.0.0', '137.17.255.255', 2299592704, 2299658239, 'NL', 'Netherlands'),
(76148, '137.18.0.0', '137.32.255.255', 2299658240, 2300641279, 'US', 'United States'),
(76149, '137.33.0.0', '137.33.255.255', 2300641280, 2300706815, 'FI', 'Finland'),
(76150, '137.34.0.0', '137.34.255.255', 2300706816, 2300772351, 'CH', 'Switzerland'),
(76151, '137.35.0.0', '137.42.255.255', 2300772352, 2301296639, 'US', 'United States'),
(76152, '137.43.0.0', '137.43.255.255', 2301296640, 2301362175, 'IE', 'Ireland'),
(76153, '137.44.0.0', '137.44.255.255', 2301362176, 2301427711, 'GB', 'United Kingdom'),
(76154, '137.45.0.0', '137.46.255.255', 2301427712, 2301558783, 'US', 'United States'),
(76155, '137.47.0.0', '137.47.255.255', 2301558784, 2301624319, 'NO', 'Norway'),
(76156, '137.48.0.0', '137.49.255.255', 2301624320, 2301755391, 'US', 'United States'),
(76157, '137.50.0.0', '137.50.255.255', 2301755392, 2301820927, 'GB', 'United Kingdom'),
(76158, '137.51.0.0', '137.54.255.255', 2301820928, 2302083071, 'US', 'United States'),
(76159, '137.55.0.0', '137.56.163.45', 2302083072, 2302190381, 'NL', 'Netherlands'),
(76160, '137.56.163.46', '137.56.163.46', 2302190382, 2302190382, 'A1', 'Anonymous Proxy'),
(76161, '137.56.163.47', '137.56.255.255', 2302190383, 2302214143, 'NL', 'Netherlands'),
(76162, '137.57.0.0', '137.57.255.255', 2302214144, 2302279679, 'US', 'United States'),
(76163, '137.58.0.0', '137.58.255.255', 2302279680, 2302345215, 'SE', 'Sweden'),
(76164, '137.59.0.0', '137.59.255.255', 2302345216, 2302410751, 'EU', 'Europe'),
(76165, '137.60.0.0', '137.61.255.255', 2302410752, 2302541823, 'SE', 'Sweden'),
(76166, '137.62.0.0', '137.62.255.255', 2302541824, 2302607359, 'CH', 'Switzerland'),
(76167, '137.64.0.0', '137.67.255.255', 2302672896, 2302935039, 'US', 'United States'),
(76168, '137.68.0.0', '137.68.255.255', 2302935040, 2303000575, 'KR', 'Korea, Republic of'),
(76169, '137.69.0.0', '137.71.226.53', 2303000576, 2303189557, 'US', 'United States'),
(76170, '137.71.226.54', '137.71.226.54', 2303189558, 2303189558, 'IE', 'Ireland'),
(76171, '137.71.226.55', '137.71.229.255', 2303189559, 2303190527, 'US', 'United States'),
(76172, '137.71.230.0', '137.71.230.255', 2303190528, 2303190783, 'AP', 'Asia/Pacific Region'),
(76173, '137.71.231.0', '137.72.255.255', 2303190784, 2303262719, 'US', 'United States'),
(76174, '137.73.0.0', '137.73.255.255', 2303262720, 2303328255, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(76175, '137.74.0.0', '137.74.255.255', 2303328256, 2303393791, 'CA', 'Canada'),
(76176, '137.75.0.0', '137.75.255.255', 2303393792, 2303459327, 'US', 'United States'),
(76177, '137.76.0.0', '137.76.255.255', 2303459328, 2303524863, 'AU', 'Australia'),
(76178, '137.77.0.0', '137.81.255.255', 2303524864, 2303852543, 'US', 'United States'),
(76179, '137.82.0.0', '137.82.255.255', 2303852544, 2303918079, 'CA', 'Canada'),
(76180, '137.83.0.0', '137.91.255.255', 2303918080, 2304507903, 'US', 'United States'),
(76181, '137.92.0.0', '137.92.255.255', 2304507904, 2304573439, 'AU', 'Australia'),
(76182, '137.93.0.0', '137.93.255.255', 2304573440, 2304638975, 'NO', 'Norway'),
(76183, '137.94.0.0', '137.94.255.255', 2304638976, 2304704511, 'CA', 'Canada'),
(76184, '137.95.0.0', '137.95.255.255', 2304704512, 2304770047, 'US', 'United States'),
(76185, '137.96.0.0', '137.96.255.255', 2304770048, 2304835583, 'FI', 'Finland'),
(76186, '137.97.0.0', '137.100.255.255', 2304835584, 2305097727, 'US', 'United States'),
(76187, '137.101.0.0', '137.101.255.255', 2305097728, 2305163263, 'PK', 'Pakistan'),
(76188, '137.102.0.0', '137.104.255.255', 2305163264, 2305359871, 'US', 'United States'),
(76189, '137.105.0.0', '137.105.255.255', 2305359872, 2305425407, 'GB', 'United Kingdom'),
(76190, '137.106.0.0', '137.107.255.255', 2305425408, 2305556479, 'US', 'United States'),
(76191, '137.108.0.0', '137.108.255.255', 2305556480, 2305622015, 'GB', 'United Kingdom'),
(76192, '137.109.0.0', '137.109.255.255', 2305622016, 2305687551, 'AU', 'Australia'),
(76193, '137.110.0.0', '137.110.255.255', 2305687552, 2305753087, 'US', 'United States'),
(76194, '137.111.0.0', '137.111.255.255', 2305753088, 2305818623, 'AU', 'Australia'),
(76195, '137.112.0.0', '137.119.255.255', 2305818624, 2306342911, 'US', 'United States'),
(76196, '137.120.0.0', '137.120.255.255', 2306342912, 2306408447, 'NL', 'Netherlands'),
(76197, '137.121.0.0', '137.121.255.255', 2306408448, 2306473983, 'FR', 'France'),
(76198, '137.122.0.0', '137.122.255.255', 2306473984, 2306539519, 'CA', 'Canada'),
(76199, '137.123.0.0', '137.128.255.255', 2306539520, 2306932735, 'US', 'United States'),
(76200, '137.129.0.0', '137.129.255.255', 2306932736, 2306998271, 'FR', 'France'),
(76201, '137.130.0.0', '137.131.255.255', 2306998272, 2307129343, 'US', 'United States'),
(76202, '137.132.0.0', '137.132.255.255', 2307129344, 2307194879, 'SG', 'Singapore'),
(76203, '137.133.0.0', '137.133.255.255', 2307194880, 2307260415, 'NO', 'Norway'),
(76204, '137.134.0.0', '137.137.255.255', 2307260416, 2307522559, 'US', 'United States'),
(76205, '137.138.0.0', '137.138.255.255', 2307522560, 2307588095, 'CH', 'Switzerland'),
(76206, '137.139.0.0', '137.146.255.255', 2307588096, 2308112383, 'US', 'United States'),
(76207, '137.147.0.0', '137.147.255.255', 2308112384, 2308177919, 'AU', 'Australia'),
(76208, '137.148.0.0', '137.148.255.255', 2308177920, 2308243455, 'US', 'United States'),
(76209, '137.149.0.0', '137.149.255.255', 2308243456, 2308308991, 'CA', 'Canada'),
(76210, '137.150.0.0', '137.152.255.255', 2308308992, 2308505599, 'US', 'United States'),
(76211, '137.153.0.0', '137.153.255.255', 2308505600, 2308571135, 'JP', 'Japan'),
(76212, '137.154.0.0', '137.154.255.255', 2308571136, 2308636671, 'AU', 'Australia'),
(76213, '137.155.0.0', '137.155.255.255', 2308636672, 2308702207, 'US', 'United States'),
(76214, '137.156.0.0', '137.156.255.255', 2308702208, 2308767743, 'CH', 'Switzerland'),
(76215, '137.157.0.0', '137.157.255.255', 2308767744, 2308833279, 'AU', 'Australia'),
(76216, '137.158.0.0', '137.158.255.255', 2308833280, 2308898815, 'ZA', 'South Africa'),
(76217, '137.159.0.0', '137.162.255.255', 2308898816, 2309160959, 'US', 'United States'),
(76218, '137.163.0.0', '137.163.255.255', 2309160960, 2309226495, 'FI', 'Finland'),
(76219, '137.164.0.0', '137.165.255.255', 2309226496, 2309357567, 'US', 'United States'),
(76220, '137.166.0.0', '137.166.255.255', 2309357568, 2309423103, 'AU', 'Australia'),
(76221, '137.167.0.0', '137.171.255.255', 2309423104, 2309750783, 'US', 'United States'),
(76222, '137.172.0.0', '137.172.255.255', 2309750784, 2309816319, 'AU', 'Australia'),
(76223, '137.173.0.0', '137.173.255.255', 2309816320, 2309881855, 'US', 'United States'),
(76224, '137.174.0.0', '137.174.255.255', 2309881856, 2309947391, 'NL', 'Netherlands'),
(76225, '137.175.0.0', '137.185.255.255', 2309947392, 2310668287, 'US', 'United States'),
(76226, '137.186.0.0', '137.186.255.255', 2310668288, 2310733823, 'CA', 'Canada'),
(76227, '137.187.0.0', '137.188.255.255', 2310733824, 2310864895, 'US', 'United States'),
(76228, '137.189.0.0', '137.189.255.255', 2310864896, 2310930431, 'HK', 'Hong Kong'),
(76229, '137.190.0.0', '137.190.255.255', 2310930432, 2310995967, 'US', 'United States'),
(76230, '137.191.0.0', '137.191.255.255', 2310995968, 2311061503, 'IE', 'Ireland'),
(76231, '137.192.0.0', '137.192.255.255', 2311061504, 2311127039, 'US', 'United States'),
(76232, '137.193.0.0', '137.193.255.255', 2311127040, 2311192575, 'DE', 'Germany'),
(76233, '137.194.0.0', '137.194.255.255', 2311192576, 2311258111, 'FR', 'France'),
(76234, '137.195.0.0', '137.195.255.255', 2311258112, 2311323647, 'GB', 'United Kingdom'),
(76235, '137.196.0.0', '137.203.255.255', 2311323648, 2311847935, 'US', 'United States'),
(76236, '137.204.0.0', '137.204.255.255', 2311847936, 2311913471, 'IT', 'Italy'),
(76237, '137.205.0.0', '137.205.255.255', 2311913472, 2311979007, 'GB', 'United Kingdom'),
(76238, '137.206.0.0', '137.206.255.255', 2311979008, 2312044543, 'US', 'United States'),
(76239, '137.207.0.0', '137.207.255.255', 2312044544, 2312110079, 'CA', 'Canada'),
(76240, '137.208.0.0', '137.208.255.255', 2312110080, 2312175615, 'AT', 'Austria'),
(76241, '137.209.0.0', '137.212.255.255', 2312175616, 2312437759, 'US', 'United States'),
(76242, '137.213.0.0', '137.213.255.255', 2312437760, 2312503295, 'GB', 'United Kingdom'),
(76243, '137.214.0.0', '137.215.255.255', 2312503296, 2312634367, 'ZA', 'South Africa'),
(76244, '137.216.0.0', '137.216.255.255', 2312634368, 2312699903, 'US', 'United States'),
(76245, '137.217.0.0', '137.217.255.255', 2312699904, 2312765439, 'NO', 'Norway'),
(76246, '137.218.0.0', '137.218.255.255', 2312765440, 2312830975, 'GB', 'United Kingdom'),
(76247, '137.219.0.0', '137.219.255.255', 2312830976, 2312896511, 'AU', 'Australia'),
(76248, '137.220.0.0', '137.220.255.255', 2312896512, 2312962047, 'US', 'United States'),
(76249, '137.221.0.0', '137.222.255.255', 2312962048, 2313093119, 'GB', 'United Kingdom'),
(76250, '137.223.0.0', '137.223.255.255', 2313093120, 2313158655, 'IE', 'Ireland'),
(76251, '137.224.0.0', '137.224.255.255', 2313158656, 2313224191, 'NL', 'Netherlands'),
(76252, '137.225.0.0', '137.225.255.255', 2313224192, 2313289727, 'US', 'United States'),
(76253, '137.226.0.0', '137.226.255.255', 2313289728, 2313355263, 'DE', 'Germany'),
(76254, '137.227.0.0', '137.247.255.255', 2313355264, 2314731519, 'US', 'United States'),
(76255, '137.248.0.0', '137.248.255.255', 2314731520, 2314797055, 'DE', 'Germany'),
(76256, '137.249.0.0', '137.249.255.255', 2314797056, 2314862591, 'US', 'United States'),
(76257, '137.250.0.0', '137.251.255.255', 2314862592, 2314993663, 'DE', 'Germany'),
(76258, '137.252.0.0', '137.252.255.255', 2314993664, 2315059199, 'US', 'United States'),
(76259, '137.253.0.0', '137.253.255.255', 2315059200, 2315124735, 'GB', 'United Kingdom'),
(76260, '137.254.0.0', '137.254.255.255', 2315124736, 2315190271, 'US', 'United States'),
(76261, '138.1.0.0', '138.2.255.255', 2315321344, 2315452415, 'US', 'United States'),
(76262, '138.3.0.0', '138.3.255.255', 2315452416, 2315517951, 'GB', 'United Kingdom'),
(76263, '138.4.0.0', '138.4.255.255', 2315517952, 2315583487, 'ES', 'Spain'),
(76264, '138.5.0.0', '138.5.255.255', 2315583488, 2315649023, 'US', 'United States'),
(76265, '138.6.0.0', '138.6.255.255', 2315649024, 2315714559, 'SE', 'Sweden'),
(76266, '138.7.0.0', '138.7.255.255', 2315714560, 2315780095, 'AU', 'Australia'),
(76267, '138.8.0.0', '138.9.255.255', 2315780096, 2315911167, 'US', 'United States'),
(76268, '138.10.0.0', '138.11.255.255', 2315911168, 2316042239, 'CA', 'Canada'),
(76269, '138.12.0.0', '138.13.255.255', 2316042240, 2316173311, 'US', 'United States'),
(76270, '138.14.0.0', '138.14.255.255', 2316173312, 2316238847, 'SE', 'Sweden'),
(76271, '138.15.0.0', '138.18.255.255', 2316238848, 2316500991, 'US', 'United States'),
(76272, '138.19.0.0', '138.19.255.255', 2316500992, 2316566527, 'AU', 'Australia'),
(76273, '138.20.0.0', '138.20.255.255', 2316566528, 2316632063, 'US', 'United States'),
(76274, '138.21.0.0', '138.21.255.255', 2316632064, 2316697599, 'FR', 'France'),
(76275, '138.22.0.0', '138.22.255.255', 2316697600, 2316763135, 'AT', 'Austria'),
(76276, '138.23.0.0', '138.23.255.255', 2316763136, 2316828671, 'US', 'United States'),
(76277, '138.24.0.0', '138.25.255.255', 2316828672, 2316959743, 'AU', 'Australia'),
(76278, '138.26.0.0', '138.29.255.255', 2316959744, 2317221887, 'US', 'United States'),
(76279, '138.30.0.0', '138.30.255.255', 2317221888, 2317287423, 'JP', 'Japan'),
(76280, '138.31.0.0', '138.32.167.255', 2317287424, 2317395967, 'US', 'United States'),
(76281, '138.32.168.0', '138.32.168.255', 2317395968, 2317396223, 'NO', 'Norway'),
(76282, '138.32.169.0', '138.32.176.253', 2317396224, 2317398269, 'US', 'United States'),
(76283, '138.32.176.254', '138.32.176.254', 2317398270, 2317398270, 'GB', 'United Kingdom'),
(76284, '138.32.176.255', '138.32.235.255', 2317398271, 2317413375, 'US', 'United States'),
(76285, '138.32.236.0', '138.32.236.255', 2317413376, 2317413631, 'ID', 'Indonesia'),
(76286, '138.32.237.0', '138.32.240.255', 2317413632, 2317414655, 'US', 'United States'),
(76287, '138.32.241.0', '138.32.241.255', 2317414656, 2317414911, 'AU', 'Australia'),
(76288, '138.32.242.0', '138.32.253.255', 2317414912, 2317417983, 'US', 'United States'),
(76289, '138.32.254.0', '138.32.254.255', 2317417984, 2317418239, 'AP', 'Asia/Pacific Region'),
(76290, '138.32.255.0', '138.33.255.255', 2317418240, 2317484031, 'US', 'United States'),
(76291, '138.34.0.0', '138.34.12.255', 2317484032, 2317487359, 'CA', 'Canada'),
(76292, '138.34.13.0', '138.34.13.255', 2317487360, 2317487615, 'US', 'United States'),
(76293, '138.34.14.0', '138.34.255.255', 2317487616, 2317549567, 'CA', 'Canada'),
(76294, '138.35.0.0', '138.35.255.255', 2317549568, 2317615103, 'US', 'United States'),
(76295, '138.37.0.0', '138.38.255.255', 2317680640, 2317811711, 'GB', 'United Kingdom'),
(76296, '138.39.0.0', '138.39.255.255', 2317811712, 2317877247, 'US', 'United States'),
(76297, '138.40.0.0', '138.40.255.255', 2317877248, 2317942783, 'GB', 'United Kingdom'),
(76298, '138.41.0.0', '138.41.255.255', 2317942784, 2318008319, 'IT', 'Italy'),
(76299, '138.42.0.0', '138.43.255.255', 2318008320, 2318139391, 'US', 'United States'),
(76300, '138.44.0.0', '138.44.255.255', 2318139392, 2318204927, 'AU', 'Australia'),
(76301, '138.45.0.0', '138.47.255.255', 2318204928, 2318401535, 'US', 'United States'),
(76302, '138.48.0.0', '138.48.255.255', 2318401536, 2318467071, 'BE', 'Belgium'),
(76303, '138.49.0.0', '138.50.255.255', 2318467072, 2318598143, 'US', 'United States'),
(76304, '138.51.0.0', '138.51.255.255', 2318598144, 2318663679, 'CA', 'Canada'),
(76305, '138.52.0.0', '138.61.255.255', 2318663680, 2319319039, 'US', 'United States'),
(76306, '138.62.0.0', '138.62.255.255', 2319319040, 2319384575, 'NO', 'Norway'),
(76307, '138.63.0.0', '138.63.255.255', 2319384576, 2319450111, 'FR', 'France'),
(76308, '138.64.0.0', '138.65.255.255', 2319450112, 2319581183, 'US', 'United States'),
(76309, '138.66.0.0', '138.66.255.255', 2319581184, 2319646719, 'IT', 'Italy'),
(76310, '138.67.0.0', '138.69.255.255', 2319646720, 2319843327, 'US', 'United States'),
(76311, '138.70.0.0', '138.70.255.255', 2319843328, 2319908863, 'IT', 'Italy'),
(76312, '138.71.0.0', '138.71.255.255', 2319908864, 2319974399, 'AU', 'Australia'),
(76313, '138.72.0.0', '138.72.255.255', 2319974400, 2320039935, 'US', 'United States'),
(76314, '138.73.0.0', '138.73.255.255', 2320039936, 2320105471, 'CA', 'Canada'),
(76315, '138.74.0.0', '138.74.255.255', 2320105472, 2320171007, 'US', 'United States'),
(76316, '138.75.0.0', '138.75.255.255', 2320171008, 2320236543, 'NZ', 'New Zealand'),
(76317, '138.76.0.0', '138.76.255.255', 2320236544, 2320302079, 'US', 'United States'),
(76318, '138.77.0.0', '138.77.255.255', 2320302080, 2320367615, 'AU', 'Australia'),
(76319, '138.78.0.0', '138.78.255.255', 2320367616, 2320433151, 'US', 'United States'),
(76320, '138.79.0.0', '138.80.255.255', 2320433152, 2320564223, 'AU', 'Australia'),
(76321, '138.81.0.0', '138.81.255.255', 2320564224, 2320629759, 'CH', 'Switzerland'),
(76322, '138.82.0.0', '138.82.255.255', 2320629760, 2320695295, 'CA', 'Canada'),
(76323, '138.83.0.0', '138.95.255.255', 2320695296, 2321547263, 'US', 'United States'),
(76324, '138.96.0.0', '138.96.255.255', 2321547264, 2321612799, 'FR', 'France'),
(76325, '138.98.0.0', '138.98.255.255', 2321678336, 2321743871, 'US', 'United States'),
(76326, '138.100.0.0', '138.100.255.255', 2321809408, 2321874943, 'ES', 'Spain'),
(76327, '138.101.0.0', '138.101.255.255', 2321874944, 2321940479, 'JP', 'Japan'),
(76328, '138.102.0.0', '138.102.255.255', 2321940480, 2322006015, 'FR', 'France'),
(76329, '138.103.0.0', '138.103.255.255', 2322006016, 2322071551, 'US', 'United States'),
(76330, '138.104.0.0', '138.104.255.255', 2322071552, 2322137087, 'GB', 'United Kingdom'),
(76331, '138.105.0.0', '138.105.255.255', 2322137088, 2322202623, 'US', 'United States'),
(76332, '138.106.0.0', '138.106.255.255', 2322202624, 2322268159, 'SE', 'Sweden'),
(76333, '138.107.0.0', '138.107.255.255', 2322268160, 2322333695, 'JP', 'Japan'),
(76334, '138.108.0.0', '138.116.255.255', 2322333696, 2322923519, 'US', 'United States'),
(76335, '138.119.0.0', '138.120.255.255', 2323054592, 2323185663, 'CA', 'Canada'),
(76336, '138.123.0.0', '138.123.255.255', 2323316736, 2323382271, 'US', 'United States'),
(76337, '138.124.0.0', '138.124.255.255', 2323382272, 2323447807, 'NO', 'Norway'),
(76338, '138.125.0.0', '138.129.255.255', 2323447808, 2323775487, 'US', 'United States'),
(76339, '138.130.0.0', '138.130.255.255', 2323775488, 2323841023, 'AU', 'Australia'),
(76340, '138.131.0.0', '138.131.255.255', 2323841024, 2323906559, 'CH', 'Switzerland'),
(76341, '138.132.0.0', '138.132.255.255', 2323906560, 2323972095, 'IT', 'Italy'),
(76342, '138.133.0.0', '138.133.255.255', 2323972096, 2324037631, 'US', 'United States'),
(76343, '138.134.0.0', '138.134.255.255', 2324037632, 2324103167, 'IL', 'Israel'),
(76344, '138.135.0.0', '138.184.255.255', 2324103168, 2327379967, 'US', 'United States'),
(76345, '138.187.0.0', '138.191.255.255', 2327511040, 2327838719, 'CH', 'Switzerland'),
(76346, '138.192.0.0', '138.193.255.255', 2327838720, 2327969791, 'US', 'United States'),
(76347, '138.194.0.0', '138.194.255.255', 2327969792, 2328035327, 'AU', 'Australia'),
(76348, '138.195.0.0', '138.195.255.255', 2328035328, 2328100863, 'FR', 'France'),
(76349, '138.196.0.0', '138.197.255.255', 2328100864, 2328231935, 'US', 'United States'),
(76350, '138.198.0.0', '138.198.255.255', 2328231936, 2328297471, 'GB', 'United Kingdom'),
(76351, '138.199.0.0', '138.199.63.255', 2328297472, 2328313855, 'EU', 'Europe'),
(76352, '138.199.64.0', '138.199.79.255', 2328313856, 2328317951, 'NL', 'Netherlands'),
(76353, '138.199.80.0', '138.199.175.255', 2328317952, 2328342527, 'EU', 'Europe'),
(76354, '138.199.176.0', '138.199.176.255', 2328342528, 2328342783, 'DE', 'Germany'),
(76355, '138.199.177.0', '138.199.254.255', 2328342784, 2328362751, 'EU', 'Europe'),
(76356, '138.199.255.0', '138.201.255.255', 2328362752, 2328494079, 'DE', 'Germany'),
(76357, '138.202.0.0', '138.202.255.255', 2328494080, 2328559615, 'US', 'United States'),
(76358, '138.203.0.0', '138.203.255.255', 2328559616, 2328625151, 'BE', 'Belgium'),
(76359, '138.205.0.0', '138.205.255.255', 2328690688, 2328756223, 'BE', 'Belgium'),
(76360, '138.206.0.0', '138.206.160.255', 2328756224, 2328797439, 'CH', 'Switzerland'),
(76361, '138.206.161.0', '138.206.161.255', 2328797440, 2328797695, 'AU', 'Australia'),
(76362, '138.206.162.0', '138.206.255.255', 2328797696, 2328821759, 'CH', 'Switzerland'),
(76363, '138.207.0.0', '138.210.255.255', 2328821760, 2329083903, 'US', 'United States'),
(76364, '138.211.0.0', '138.211.255.255', 2329083904, 2329149439, 'NZ', 'New Zealand'),
(76365, '138.212.0.0', '138.212.255.255', 2329149440, 2329214975, 'JP', 'Japan'),
(76366, '138.214.0.0', '138.214.255.255', 2329280512, 2329346047, 'CA', 'Canada'),
(76367, '138.215.0.0', '138.215.255.255', 2329346048, 2329411583, 'SE', 'Sweden'),
(76368, '138.216.0.0', '138.216.255.255', 2329411584, 2329477119, 'FI', 'Finland'),
(76369, '138.217.0.0', '138.217.255.255', 2329477120, 2329542655, 'AU', 'Australia'),
(76370, '138.218.0.0', '138.218.255.255', 2329542656, 2329608191, 'CA', 'Canada'),
(76371, '138.220.0.0', '138.220.255.255', 2329673728, 2329739263, 'US', 'United States'),
(76372, '138.221.0.0', '138.221.255.255', 2329739264, 2329804799, 'CH', 'Switzerland'),
(76373, '138.222.0.0', '138.222.255.255', 2329804800, 2329870335, 'DE', 'Germany'),
(76374, '138.223.0.0', '138.223.255.255', 2329870336, 2329935871, 'CH', 'Switzerland'),
(76375, '138.224.0.0', '138.224.255.255', 2329935872, 2330001407, 'DE', 'Germany'),
(76376, '138.225.0.0', '138.225.255.255', 2330001408, 2330066943, 'CH', 'Switzerland'),
(76377, '138.226.0.0', '138.226.255.255', 2330066944, 2330132479, 'US', 'United States'),
(76378, '138.227.0.0', '138.227.255.255', 2330132480, 2330198015, 'SE', 'Sweden'),
(76379, '138.228.0.0', '138.228.255.255', 2330198016, 2330263551, 'CH', 'Switzerland'),
(76380, '138.229.0.0', '138.229.15.255', 2330263552, 2330267647, 'US', 'United States'),
(76381, '138.230.0.0', '138.230.255.255', 2330329088, 2330394623, 'US', 'United States'),
(76382, '138.231.0.0', '138.231.255.255', 2330394624, 2330460159, 'FR', 'France'),
(76383, '138.232.0.0', '138.232.255.255', 2330460160, 2330525695, 'AT', 'Austria'),
(76384, '138.233.0.0', '138.233.255.255', 2330525696, 2330591231, 'SE', 'Sweden'),
(76385, '138.234.0.0', '138.234.255.255', 2330591232, 2330656767, 'US', 'United States'),
(76386, '138.235.0.0', '138.235.255.255', 2330656768, 2330722303, 'NZ', 'New Zealand'),
(76387, '138.236.0.0', '138.240.255.255', 2330722304, 2331049983, 'US', 'United States'),
(76388, '138.241.0.0', '138.241.255.255', 2331049984, 2331115519, 'GB', 'United Kingdom'),
(76389, '138.242.0.0', '138.242.255.255', 2331115520, 2331181055, 'US', 'United States'),
(76390, '138.243.0.0', '138.243.255.255', 2331181056, 2331246591, 'JP', 'Japan'),
(76391, '138.244.0.0', '138.246.255.255', 2331246592, 2331443199, 'DE', 'Germany'),
(76392, '138.247.0.0', '138.247.255.255', 2331443200, 2331508735, 'US', 'United States'),
(76393, '138.248.0.0', '138.248.255.255', 2331508736, 2331574271, 'GB', 'United Kingdom'),
(76394, '138.249.0.0', '138.249.255.255', 2331574272, 2331639807, 'FI', 'Finland'),
(76395, '138.250.0.0', '138.251.255.255', 2331639808, 2331770879, 'GB', 'United Kingdom'),
(76396, '138.253.0.0', '138.253.255.255', 2331836416, 2331901951, 'GB', 'United Kingdom'),
(76397, '138.254.0.0', '138.254.255.255', 2331901952, 2331967487, 'US', 'United States'),
(76398, '139.0.0.0', '139.0.255.255', 2332033024, 2332098559, 'ID', 'Indonesia'),
(76399, '139.1.0.0', '139.4.255.255', 2332098560, 2332360703, 'DE', 'Germany'),
(76400, '139.5.0.0', '139.5.255.255', 2332360704, 2332426239, 'EU', 'Europe'),
(76401, '139.6.0.0', '139.8.255.255', 2332426240, 2332622847, 'DE', 'Germany'),
(76402, '139.9.0.0', '139.9.255.255', 2332622848, 2332688383, 'CN', 'China'),
(76403, '139.10.0.0', '139.10.255.255', 2332688384, 2332753919, 'NL', 'Netherlands'),
(76404, '139.11.0.0', '139.25.255.255', 2332753920, 2333736959, 'DE', 'Germany'),
(76405, '139.26.0.0', '139.26.255.255', 2333736960, 2333802495, 'EU', 'Europe'),
(76406, '139.27.0.0', '139.27.255.255', 2333802496, 2333868031, 'DE', 'Germany'),
(76407, '139.28.0.0', '139.28.255.255', 2333868032, 2333933567, 'EU', 'Europe'),
(76408, '139.29.0.0', '139.30.255.255', 2333933568, 2334064639, 'DE', 'Germany'),
(76409, '139.31.0.0', '139.43.255.255', 2334064640, 2334916607, 'US', 'United States'),
(76410, '139.44.0.0', '139.44.255.255', 2334916608, 2334982143, 'AU', 'Australia'),
(76411, '139.45.0.0', '139.47.255.255', 2334982144, 2335178751, 'US', 'United States'),
(76412, '139.48.0.0', '139.48.255.255', 2335178752, 2335244287, 'CA', 'Canada'),
(76413, '139.49.0.0', '139.49.255.255', 2335244288, 2335309823, 'US', 'United States'),
(76414, '139.50.0.0', '139.50.255.255', 2335309824, 2335375359, 'DE', 'Germany'),
(76415, '139.51.0.0', '139.52.255.255', 2335375360, 2335506431, 'US', 'United States'),
(76416, '139.53.0.0', '139.53.255.255', 2335506432, 2335571967, 'ZA', 'South Africa'),
(76417, '139.54.0.0', '139.54.255.255', 2335571968, 2335637503, 'FR', 'France'),
(76418, '139.55.0.0', '139.56.255.255', 2335637504, 2335768575, 'US', 'United States'),
(76419, '139.57.0.0', '139.57.255.255', 2335768576, 2335834111, 'CA', 'Canada'),
(76420, '139.58.0.0', '139.58.255.255', 2335834112, 2335899647, 'SE', 'Sweden'),
(76421, '139.59.0.0', '139.59.255.255', 2335899648, 2335965183, 'AU', 'Australia'),
(76422, '139.60.0.0', '139.62.255.255', 2335965184, 2336161791, 'US', 'United States'),
(76423, '139.63.0.0', '139.63.255.255', 2336161792, 2336227327, 'NL', 'Netherlands'),
(76424, '139.65.0.0', '139.65.255.255', 2336292864, 2336358399, 'US', 'United States'),
(76425, '139.66.0.0', '139.66.255.255', 2336358400, 2336423935, 'FI', 'Finland'),
(76426, '139.67.0.0', '139.73.255.255', 2336423936, 2336882687, 'US', 'United States'),
(76427, '139.74.0.0', '139.74.255.255', 2336882688, 2336948223, 'FI', 'Finland'),
(76428, '139.75.0.0', '139.75.255.255', 2336948224, 2337013759, 'DE', 'Germany'),
(76429, '139.76.0.0', '139.78.255.255', 2337013760, 2337210367, 'US', 'United States'),
(76430, '139.79.0.0', '139.79.255.255', 2337210368, 2337275903, 'CH', 'Switzerland'),
(76431, '139.80.0.0', '139.80.255.255', 2337275904, 2337341439, 'NZ', 'New Zealand'),
(76432, '139.81.0.0', '139.81.255.255', 2337341440, 2337406975, 'US', 'United States'),
(76433, '139.82.0.0', '139.82.255.255', 2337406976, 2337472511, 'BR', 'Brazil'),
(76434, '139.83.0.0', '139.83.255.255', 2337472512, 2337538047, 'PT', 'Portugal'),
(76435, '139.84.0.0', '139.85.255.255', 2337538048, 2337669119, 'US', 'United States'),
(76436, '139.86.0.0', '139.86.255.255', 2337669120, 2337734655, 'AU', 'Australia'),
(76437, '139.87.0.0', '139.88.255.255', 2337734656, 2337865727, 'US', 'United States'),
(76438, '139.89.0.0', '139.89.255.255', 2337865728, 2337931263, 'DE', 'Germany'),
(76439, '139.90.0.0', '139.90.255.255', 2337931264, 2337996799, 'BE', 'Belgium'),
(76440, '139.91.0.0', '139.91.255.255', 2337996800, 2338062335, 'GR', 'Greece'),
(76441, '139.92.0.0', '139.92.50.255', 2338062336, 2338075391, 'EU', 'Europe'),
(76442, '139.92.51.0', '139.92.51.255', 2338075392, 2338075647, 'IL', 'Israel'),
(76443, '139.92.52.0', '139.92.87.255', 2338075648, 2338084863, 'EU', 'Europe'),
(76444, '139.92.88.0', '139.92.89.255', 2338084864, 2338085375, 'IL', 'Israel'),
(76445, '139.92.90.0', '139.92.90.255', 2338085376, 2338085631, 'EU', 'Europe'),
(76446, '139.92.91.0', '139.92.92.255', 2338085632, 2338086143, 'IL', 'Israel'),
(76447, '139.92.93.0', '139.92.97.255', 2338086144, 2338087423, 'EU', 'Europe'),
(76448, '139.92.98.0', '139.92.98.255', 2338087424, 2338087679, 'IL', 'Israel'),
(76449, '139.92.99.0', '139.92.181.255', 2338087680, 2338108927, 'EU', 'Europe'),
(76450, '139.92.182.0', '139.92.185.255', 2338108928, 2338109951, 'IL', 'Israel'),
(76451, '139.92.186.0', '139.92.205.255', 2338109952, 2338115071, 'EU', 'Europe'),
(76452, '139.92.206.0', '139.92.208.255', 2338115072, 2338115839, 'IL', 'Israel'),
(76453, '139.92.209.0', '139.92.250.255', 2338115840, 2338126591, 'EU', 'Europe'),
(76454, '139.92.251.0', '139.92.254.255', 2338126592, 2338127615, 'IL', 'Israel'),
(76455, '139.92.255.0', '139.92.255.255', 2338127616, 2338127871, 'EU', 'Europe'),
(76456, '139.93.0.0', '139.95.255.255', 2338127872, 2338324479, 'US', 'United States'),
(76457, '139.96.0.0', '139.96.255.255', 2338324480, 2338390015, 'SE', 'Sweden'),
(76458, '139.97.0.0', '139.97.255.255', 2338390016, 2338455551, 'FI', 'Finland'),
(76459, '139.98.0.0', '139.98.255.255', 2338455552, 2338521087, 'NO', 'Norway'),
(76460, '139.99.0.0', '139.99.255.255', 2338521088, 2338586623, 'US', 'United States'),
(76461, '139.100.0.0', '139.100.255.255', 2338586624, 2338652159, 'FR', 'France'),
(76462, '139.101.0.0', '139.101.255.255', 2338652160, 2338717695, 'JP', 'Japan'),
(76463, '139.102.0.0', '139.102.255.255', 2338717696, 2338783231, 'US', 'United States'),
(76464, '139.103.0.0', '139.103.255.255', 2338783232, 2338848767, 'CA', 'Canada'),
(76465, '139.104.0.0', '139.104.255.255', 2338848768, 2338914303, 'US', 'United States'),
(76466, '139.105.0.0', '139.120.255.255', 2338914304, 2339962879, 'NO', 'Norway'),
(76467, '139.121.0.0', '139.121.255.255', 2339962880, 2340028415, 'US', 'United States'),
(76468, '139.122.0.0', '139.122.255.255', 2340028416, 2340093951, 'NL', 'Netherlands'),
(76469, '139.123.0.0', '139.123.255.255', 2340093952, 2340159487, 'FI', 'Finland'),
(76470, '139.124.0.0', '139.124.255.255', 2340159488, 2340225023, 'FR', 'France'),
(76471, '139.125.0.0', '139.127.255.255', 2340225024, 2340421631, 'US', 'United States'),
(76472, '139.128.0.0', '139.128.255.255', 2340421632, 2340487167, 'IT', 'Italy'),
(76473, '139.129.0.0', '139.129.255.255', 2340487168, 2340552703, 'CN', 'China'),
(76474, '139.130.0.0', '139.130.255.255', 2340552704, 2340618239, 'AU', 'Australia'),
(76475, '139.131.0.0', '139.131.255.255', 2340618240, 2340683775, 'US', 'United States'),
(76476, '139.132.0.0', '139.132.255.255', 2340683776, 2340749311, 'AU', 'Australia'),
(76477, '139.133.0.0', '139.133.255.255', 2340749312, 2340814847, 'GB', 'United Kingdom'),
(76478, '139.134.0.0', '139.134.255.255', 2340814848, 2340880383, 'AU', 'Australia'),
(76479, '139.135.0.0', '139.140.255.255', 2340880384, 2341273599, 'US', 'United States'),
(76480, '139.141.0.0', '139.141.255.255', 2341273600, 2341339135, 'KW', 'Kuwait'),
(76481, '139.142.0.0', '139.142.255.255', 2341339136, 2341404671, 'CA', 'Canada'),
(76482, '139.143.0.0', '139.143.255.255', 2341404672, 2341470207, 'GB', 'United Kingdom'),
(76483, '139.144.0.0', '139.144.255.255', 2341470208, 2341535743, 'US', 'United States'),
(76484, '139.145.0.0', '139.145.255.255', 2341535744, 2341601279, 'NO', 'Norway'),
(76485, '139.146.0.0', '139.147.255.255', 2341601280, 2341732351, 'US', 'United States'),
(76486, '139.148.0.0', '139.148.255.255', 2341732352, 2341797887, 'CN', 'China'),
(76487, '139.149.0.0', '139.149.255.255', 2341797888, 2341863423, 'GB', 'United Kingdom'),
(76488, '139.150.0.0', '139.150.255.255', 2341863424, 2341928959, 'KR', 'Korea, Republic of'),
(76489, '139.151.0.0', '139.151.255.255', 2341928960, 2341994495, 'US', 'United States'),
(76490, '139.152.0.0', '139.152.255.255', 2341994496, 2342060031, 'JP', 'Japan'),
(76491, '139.153.0.0', '139.153.255.255', 2342060032, 2342125567, 'GB', 'United Kingdom'),
(76492, '139.154.0.0', '139.154.255.255', 2342125568, 2342191103, 'JP', 'Japan'),
(76493, '139.155.0.0', '139.155.255.255', 2342191104, 2342256639, 'CN', 'China'),
(76494, '139.156.0.0', '139.156.255.255', 2342256640, 2342322175, 'NL', 'Netherlands'),
(76495, '139.157.0.0', '139.157.255.255', 2342322176, 2342387711, 'FI', 'Finland'),
(76496, '139.158.0.0', '139.158.255.255', 2342387712, 2342453247, 'FR', 'France'),
(76497, '139.159.0.0', '139.159.255.255', 2342453248, 2342518783, 'CN', 'China'),
(76498, '139.160.0.0', '139.160.255.255', 2342518784, 2342584319, 'FR', 'France'),
(76499, '139.161.0.0', '139.161.255.255', 2342584320, 2342649855, 'US', 'United States'),
(76500, '139.162.0.0', '139.162.255.255', 2342649856, 2342715391, 'NL', 'Netherlands'),
(76501, '139.163.0.0', '139.163.255.255', 2342715392, 2342780927, 'AU', 'Australia'),
(76502, '139.164.0.0', '139.164.255.255', 2342780928, 2342846463, 'NO', 'Norway'),
(76503, '139.165.0.0', '139.165.255.255', 2342846464, 2342911999, 'BE', 'Belgium'),
(76504, '139.166.0.0', '139.166.255.255', 2342912000, 2342977535, 'GB', 'United Kingdom'),
(76505, '139.167.0.0', '139.167.255.255', 2342977536, 2343043071, 'US', 'United States'),
(76506, '139.168.0.0', '139.168.255.255', 2343043072, 2343108607, 'AU', 'Australia'),
(76507, '139.169.0.0', '139.169.255.255', 2343108608, 2343174143, 'US', 'United States'),
(76508, '139.170.0.0', '139.170.255.255', 2343174144, 2343239679, 'CN', 'China'),
(76509, '139.171.0.0', '139.172.255.255', 2343239680, 2343370751, 'US', 'United States'),
(76510, '139.173.0.0', '139.173.255.255', 2343370752, 2343436287, 'CA', 'Canada'),
(76511, '139.174.0.0', '139.174.255.255', 2343436288, 2343501823, 'DE', 'Germany'),
(76512, '139.175.0.0', '139.175.255.255', 2343501824, 2343567359, 'TW', 'Taiwan'),
(76513, '139.176.0.0', '139.176.255.255', 2343567360, 2343632895, 'CN', 'China'),
(76514, '139.177.0.0', '139.177.255.255', 2343632896, 2343698431, 'US', 'United States'),
(76515, '139.178.0.0', '139.178.255.255', 2343698432, 2343763967, 'NL', 'Netherlands'),
(76516, '139.179.0.0', '139.179.255.255', 2343763968, 2343829503, 'TR', 'Turkey'),
(76517, '139.180.0.0', '139.181.115.255', 2343829504, 2343924735, 'US', 'United States'),
(76518, '139.181.116.0', '139.181.119.255', 2343924736, 2343925759, 'IL', 'Israel'),
(76519, '139.181.120.0', '139.181.155.255', 2343925760, 2343934975, 'US', 'United States'),
(76520, '139.181.156.0', '139.181.159.255', 2343934976, 2343935999, 'IL', 'Israel'),
(76521, '139.181.160.0', '139.182.255.255', 2343936000, 2344026111, 'US', 'United States'),
(76522, '139.183.0.0', '139.183.255.255', 2344026112, 2344091647, 'CN', 'China'),
(76523, '139.184.0.0', '139.184.255.255', 2344091648, 2344157183, 'GB', 'United Kingdom'),
(76524, '139.185.0.0', '139.185.255.255', 2344157184, 2344222719, 'US', 'United States'),
(76525, '139.186.0.0', '139.186.255.255', 2344222720, 2344288255, 'CN', 'China'),
(76526, '139.187.0.0', '139.187.255.255', 2344288256, 2344353791, 'US', 'United States'),
(76527, '139.188.0.0', '139.188.255.255', 2344353792, 2344419327, 'AU', 'Australia'),
(76528, '139.189.0.0', '139.189.255.255', 2344419328, 2344484863, 'CN', 'China'),
(76529, '139.190.0.0', '139.190.255.255', 2344484864, 2344550399, 'PK', 'Pakistan'),
(76530, '139.191.0.0', '139.191.255.255', 2344550400, 2344615935, 'EU', 'Europe'),
(76531, '139.192.0.0', '139.195.255.255', 2344615936, 2344878079, 'ID', 'Indonesia'),
(76532, '139.196.0.0', '139.215.255.255', 2344878080, 2346188799, 'CN', 'China'),
(76533, '139.216.0.0', '139.219.255.255', 2346188800, 2346450943, 'AU', 'Australia'),
(76534, '139.220.0.0', '139.221.255.255', 2346450944, 2346582015, 'CN', 'China'),
(76535, '139.222.0.0', '139.222.255.255', 2346582016, 2346647551, 'GB', 'United Kingdom'),
(76536, '139.223.0.0', '139.223.255.255', 2346647552, 2346713087, 'TW', 'Taiwan'),
(76537, '139.224.0.0', '139.224.255.255', 2346713088, 2346778623, 'CN', 'China'),
(76538, '139.225.0.0', '139.225.255.255', 2346778624, 2346844159, 'US', 'United States'),
(76539, '139.226.0.0', '139.227.255.255', 2346844160, 2346975231, 'CN', 'China'),
(76540, '139.228.0.0', '139.228.255.255', 2346975232, 2347040767, 'ID', 'Indonesia'),
(76541, '139.229.0.0', '139.229.255.255', 2347040768, 2347106303, 'US', 'United States'),
(76542, '139.230.0.0', '139.230.255.255', 2347106304, 2347171839, 'AU', 'Australia'),
(76543, '139.231.0.0', '139.254.255.255', 2347171840, 2348744703, 'US', 'United States'),
(76544, '139.255.0.0', '140.0.255.255', 2348744704, 2348875775, 'ID', 'Indonesia'),
(76545, '140.1.0.0', '140.74.255.255', 2348875776, 2353725439, 'US', 'United States'),
(76546, '140.75.0.0', '140.75.255.255', 2353725440, 2353790975, 'CN', 'China'),
(76547, '140.76.0.0', '140.76.255.255', 2353790976, 2353856511, 'US', 'United States'),
(76548, '140.77.0.0', '140.77.255.255', 2353856512, 2353922047, 'FR', 'France'),
(76549, '140.78.0.0', '140.78.255.255', 2353922048, 2353987583, 'AT', 'Austria'),
(76550, '140.79.0.0', '140.79.255.255', 2353987584, 2354053119, 'AU', 'Australia'),
(76551, '140.80.0.0', '140.80.255.255', 2354053120, 2354118655, 'CA', 'Canada'),
(76552, '140.82.0.0', '140.82.255.255', 2354184192, 2354249727, 'US', 'United States'),
(76553, '140.83.0.0', '140.83.255.255', 2354249728, 2354315263, 'AU', 'Australia'),
(76554, '140.84.0.0', '140.84.255.255', 2354315264, 2354380799, 'DE', 'Germany'),
(76555, '140.85.0.0', '140.85.255.255', 2354380800, 2354446335, 'NL', 'Netherlands'),
(76556, '140.86.0.0', '140.86.255.255', 2354446336, 2354511871, 'SE', 'Sweden'),
(76557, '140.87.0.0', '140.87.255.255', 2354511872, 2354577407, 'CA', 'Canada'),
(76558, '140.88.0.0', '140.91.255.255', 2354577408, 2354839551, 'US', 'United States'),
(76559, '140.92.0.0', '140.92.255.255', 2354839552, 2354905087, 'TW', 'Taiwan'),
(76560, '140.93.0.0', '140.94.255.255', 2354905088, 2355036159, 'FR', 'France'),
(76561, '140.95.0.0', '140.95.255.255', 2355036160, 2355101695, 'US', 'United States'),
(76562, '140.96.0.0', '140.96.255.255', 2355101696, 2355167231, 'TW', 'Taiwan'),
(76563, '140.97.0.0', '140.97.255.255', 2355167232, 2355232767, 'GB', 'United Kingdom'),
(76564, '140.98.0.0', '140.99.28.111', 2355232768, 2355305583, 'US', 'United States'),
(76565, '140.99.28.112', '140.99.28.119', 2355305584, 2355305591, 'DK', 'Denmark'),
(76566, '140.99.28.120', '140.104.255.255', 2355305592, 2355691519, 'US', 'United States'),
(76567, '140.105.0.0', '140.105.255.255', 2355691520, 2355757055, 'IT', 'Italy'),
(76568, '140.106.0.0', '140.108.255.255', 2355757056, 2355953663, 'US', 'United States'),
(76569, '140.109.0.0', '140.138.255.255', 2355953664, 2357919743, 'TW', 'Taiwan'),
(76570, '140.139.0.0', '140.142.255.255', 2357919744, 2358181887, 'US', 'United States'),
(76571, '140.143.0.0', '140.143.255.255', 2358181888, 2358247423, 'CN', 'China'),
(76572, '140.144.0.0', '140.147.255.255', 2358247424, 2358509567, 'US', 'United States'),
(76573, '140.148.0.0', '140.148.255.255', 2358509568, 2358575103, 'MX', 'Mexico'),
(76574, '140.149.0.0', '140.149.255.255', 2358575104, 2358640639, 'TH', 'Thailand'),
(76575, '140.150.0.0', '140.150.255.255', 2358640640, 2358706175, 'SE', 'Sweden'),
(76576, '140.151.0.0', '140.151.255.255', 2358706176, 2358771711, 'FI', 'Finland'),
(76577, '140.152.0.0', '140.158.255.255', 2358771712, 2359230463, 'US', 'United States'),
(76578, '140.159.0.0', '140.159.255.255', 2359230464, 2359295999, 'AU', 'Australia'),
(76579, '140.160.0.0', '140.160.255.255', 2359296000, 2359361535, 'US', 'United States'),
(76580, '140.161.0.0', '140.161.255.255', 2359361536, 2359427071, 'CA', 'Canada'),
(76581, '140.162.0.0', '140.163.255.255', 2359427072, 2359558143, 'US', 'United States'),
(76582, '140.164.0.0', '140.164.255.255', 2359558144, 2359623679, 'IT', 'Italy'),
(76583, '140.165.0.0', '140.165.255.255', 2359623680, 2359689215, 'US', 'United States'),
(76584, '140.166.0.0', '140.166.255.255', 2359689216, 2359754751, 'SE', 'Sweden'),
(76585, '140.167.0.0', '140.167.255.255', 2359754752, 2359820287, 'CA', 'Canada'),
(76586, '140.168.0.0', '140.168.255.255', 2359820288, 2359885823, 'AU', 'Australia'),
(76587, '140.169.0.0', '140.174.8.255', 2359885824, 2360215807, 'US', 'United States'),
(76588, '140.174.9.0', '140.174.9.255', 2360215808, 2360216063, 'A1', 'Anonymous Proxy'),
(76589, '140.174.10.0', '140.180.255.255', 2360216064, 2360672255, 'US', 'United States'),
(76590, '140.181.0.0', '140.181.255.255', 2360672256, 2360737791, 'DE', 'Germany'),
(76591, '140.182.0.0', '140.183.255.255', 2360737792, 2360868863, 'US', 'United States'),
(76592, '140.184.0.0', '140.184.255.255', 2360868864, 2360934399, 'CA', 'Canada'),
(76593, '140.185.0.0', '140.190.255.255', 2360934400, 2361327615, 'US', 'United States'),
(76594, '140.191.0.0', '140.191.255.255', 2361327616, 2361393151, 'AR', 'Argentina'),
(76595, '140.192.0.0', '140.192.255.255', 2361393152, 2361458687, 'US', 'United States'),
(76596, '140.193.0.0', '140.193.255.255', 2361458688, 2361524223, 'CA', 'Canada'),
(76597, '140.194.0.0', '140.199.255.255', 2361524224, 2361917439, 'US', 'United States'),
(76598, '140.200.0.0', '140.200.255.255', 2361917440, 2361982975, 'NZ', 'New Zealand'),
(76599, '140.201.0.0', '140.202.255.255', 2361982976, 2362114047, 'US', 'United States'),
(76600, '140.203.0.0', '140.203.255.255', 2362114048, 2362179583, 'IE', 'Ireland'),
(76601, '140.204.0.0', '140.204.255.255', 2362179584, 2362245119, 'GB', 'United Kingdom'),
(76602, '140.205.0.0', '140.207.255.255', 2362245120, 2362441727, 'CN', 'China'),
(76603, '140.208.0.0', '140.209.255.255', 2362441728, 2362572799, 'US', 'United States'),
(76604, '140.210.0.0', '140.210.255.255', 2362572800, 2362638335, 'CN', 'China'),
(76605, '140.211.0.0', '140.212.255.255', 2362638336, 2362769407, 'US', 'United States'),
(76606, '140.213.0.0', '140.213.255.255', 2362769408, 2362834943, 'ID', 'Indonesia'),
(76607, '140.214.0.0', '140.223.255.255', 2362834944, 2363490303, 'US', 'United States'),
(76608, '140.224.0.0', '140.224.255.255', 2363490304, 2363555839, 'CN', 'China'),
(76609, '140.225.0.0', '140.229.255.255', 2363555840, 2363883519, 'US', 'United States'),
(76610, '140.230.0.0', '140.230.255.255', 2363883520, 2363949055, 'CA', 'Canada'),
(76611, '140.231.0.0', '140.236.255.255', 2363949056, 2364342271, 'US', 'United States'),
(76612, '140.237.0.0', '140.237.255.255', 2364342272, 2364407807, 'CN', 'China'),
(76613, '140.238.0.0', '140.239.255.255', 2364407808, 2364538879, 'US', 'United States'),
(76614, '140.240.0.0', '140.240.255.255', 2364538880, 2364604415, 'CN', 'China'),
(76615, '140.241.0.0', '140.242.5.255', 2364604416, 2364671487, 'US', 'United States'),
(76616, '140.242.6.0', '140.242.6.255', 2364671488, 2364671743, 'CN', 'China'),
(76617, '140.242.7.0', '140.242.22.255', 2364671744, 2364675839, 'US', 'United States'),
(76618, '140.242.23.0', '140.242.23.255', 2364675840, 2364676095, 'CA', 'Canada'),
(76619, '140.242.24.0', '140.242.26.255', 2364676096, 2364676863, 'US', 'United States'),
(76620, '140.242.27.0', '140.242.27.3', 2364676864, 2364676867, 'EU', 'Europe'),
(76621, '140.242.27.4', '140.242.27.255', 2364676868, 2364677119, 'GB', 'United Kingdom'),
(76622, '140.242.28.0', '140.242.45.255', 2364677120, 2364681727, 'US', 'United States'),
(76623, '140.242.46.0', '140.242.46.255', 2364681728, 2364681983, 'EU', 'Europe'),
(76624, '140.242.47.0', '140.242.213.255', 2364681984, 2364724735, 'US', 'United States'),
(76625, '140.242.214.0', '140.242.214.255', 2364724736, 2364724991, 'AP', 'Asia/Pacific Region'),
(76626, '140.242.215.0', '140.242.225.255', 2364724992, 2364727807, 'US', 'United States'),
(76627, '140.242.226.0', '140.242.226.255', 2364727808, 2364728063, 'DE', 'Germany'),
(76628, '140.242.227.0', '140.242.255.255', 2364728064, 2364735487, 'US', 'United States'),
(76629, '140.243.0.0', '140.243.255.255', 2364735488, 2364801023, 'CN', 'China'),
(76630, '140.244.0.0', '140.245.255.255', 2364801024, 2364932095, 'US', 'United States'),
(76631, '140.246.0.0', '140.246.255.255', 2364932096, 2364997631, 'CN', 'China'),
(76632, '140.247.0.0', '140.248.255.255', 2364997632, 2365128703, 'US', 'United States'),
(76633, '140.249.0.0', '140.250.255.255', 2365128704, 2365259775, 'CN', 'China'),
(76634, '140.251.0.0', '140.252.255.255', 2365259776, 2365390847, 'US', 'United States'),
(76635, '140.253.0.0', '140.253.255.255', 2365390848, 2365456383, 'AU', 'Australia'),
(76636, '140.254.0.0', '140.254.255.255', 2365456384, 2365521919, 'US', 'United States'),
(76637, '140.255.0.0', '140.255.255.255', 2365521920, 2365587455, 'CN', 'China'),
(76638, '141.0.0.0', '141.0.7.255', 2365587456, 2365589503, 'JO', 'Jordan'),
(76639, '141.0.8.0', '141.0.15.255', 2365589504, 2365591551, 'A2', 'Satellite Provider'),
(76640, '141.0.16.0', '141.0.23.255', 2365591552, 2365593599, 'DE', 'Germany'),
(76641, '141.0.24.0', '141.0.31.255', 2365593600, 2365595647, 'NL', 'Netherlands'),
(76642, '141.0.32.0', '141.0.63.255', 2365595648, 2365603839, 'GB', 'United Kingdom'),
(76643, '141.0.64.0', '141.0.143.255', 2365603840, 2365624319, 'NO', 'Norway'),
(76644, '141.0.144.0', '141.0.167.255', 2365624320, 2365630463, 'GB', 'United Kingdom'),
(76645, '141.0.168.0', '141.0.175.255', 2365630464, 2365632511, 'NL', 'Netherlands'),
(76646, '141.0.176.0', '141.0.183.255', 2365632512, 2365634559, 'RU', 'Russian Federation'),
(76647, '141.0.184.0', '141.0.191.255', 2365634560, 2365636607, 'FR', 'France'),
(76648, '141.0.192.0', '141.0.199.255', 2365636608, 2365638655, 'GB', 'United Kingdom'),
(76649, '141.0.200.0', '141.0.207.255', 2365638656, 2365640703, 'FR', 'France'),
(76650, '141.0.208.0', '141.0.223.255', 2365640704, 2365644799, 'GB', 'United Kingdom'),
(76651, '141.0.224.0', '141.0.255.255', 2365644800, 2365652991, 'NO', 'Norway'),
(76652, '141.1.0.0', '141.6.203.255', 2365652992, 2366032895, 'DE', 'Germany'),
(76653, '141.6.204.0', '141.6.204.255', 2366032896, 2366033151, 'GB', 'United Kingdom'),
(76654, '141.6.205.0', '141.7.255.255', 2366033152, 2366111743, 'DE', 'Germany'),
(76655, '141.8.0.0', '141.8.127.255', 2366111744, 2366144511, 'MT', 'Malta'),
(76656, '141.8.128.0', '141.8.146.255', 2366144512, 2366149375, 'RU', 'Russian Federation'),
(76657, '141.8.147.0', '141.8.147.31', 2366149376, 2366149407, 'DE', 'Germany'),
(76658, '141.8.147.32', '141.8.147.47', 2366149408, 2366149423, 'PL', 'Poland'),
(76659, '141.8.147.48', '141.8.147.63', 2366149424, 2366149439, 'SK', 'Slovakia'),
(76660, '141.8.147.64', '141.8.147.79', 2366149440, 2366149455, 'PT', 'Portugal'),
(76661, '141.8.147.80', '141.8.147.95', 2366149456, 2366149471, 'ES', 'Spain'),
(76662, '141.8.147.96', '141.8.147.111', 2366149472, 2366149487, 'FR', 'France'),
(76663, '141.8.147.112', '141.8.147.119', 2366149488, 2366149495, 'MD', 'Moldova, Republic of'),
(76664, '141.8.147.120', '141.8.147.127', 2366149496, 2366149503, 'LT', 'Lithuania'),
(76665, '141.8.147.128', '141.8.147.135', 2366149504, 2366149511, 'LV', 'Latvia'),
(76666, '141.8.147.136', '141.8.147.143', 2366149512, 2366149519, 'EE', 'Estonia'),
(76667, '141.8.147.144', '141.8.147.151', 2366149520, 2366149527, 'BG', 'Bulgaria'),
(76668, '141.8.147.152', '141.8.147.159', 2366149528, 2366149535, 'RS', 'Serbia'),
(76669, '141.8.147.160', '141.8.147.167', 2366149536, 2366149543, 'UA', 'Ukraine'),
(76670, '141.8.147.168', '141.8.147.175', 2366149544, 2366149551, 'BY', 'Belarus'),
(76671, '141.8.147.176', '141.8.147.183', 2366149552, 2366149559, 'KZ', 'Kazakhstan'),
(76672, '141.8.147.184', '141.8.199.255', 2366149560, 2366162943, 'RU', 'Russian Federation'),
(76673, '141.8.200.0', '141.8.207.255', 2366162944, 2366164991, 'AL', 'Albania'),
(76674, '141.8.208.0', '141.8.215.255', 2366164992, 2366167039, 'GE', 'Georgia'),
(76675, '141.8.216.0', '141.8.223.255', 2366167040, 2366169087, 'GB', 'United Kingdom'),
(76676, '141.8.224.0', '141.8.231.255', 2366169088, 2366171135, 'CH', 'Switzerland'),
(76677, '141.8.232.0', '141.10.255.255', 2366171136, 2366308351, 'DE', 'Germany'),
(76678, '141.11.0.0', '141.11.233.255', 2366308352, 2366368255, 'GB', 'United Kingdom'),
(76679, '141.11.234.0', '141.11.234.255', 2366368256, 2366368511, 'FR', 'France'),
(76680, '141.11.235.0', '141.11.255.255', 2366368512, 2366373887, 'GB', 'United Kingdom'),
(76681, '141.12.0.0', '141.28.255.255', 2366373888, 2367487999, 'DE', 'Germany'),
(76682, '141.29.0.0', '141.29.255.255', 2367488000, 2367553535, 'SI', 'Slovenia'),
(76683, '141.30.0.0', '141.76.45.34', 2367553536, 2370579746, 'DE', 'Germany'),
(76684, '141.76.45.35', '141.76.45.35', 2370579747, 2370579747, 'A1', 'Anonymous Proxy'),
(76685, '141.76.45.36', '141.80.255.255', 2370579748, 2370895871, 'DE', 'Germany'),
(76686, '141.81.0.0', '141.81.255.255', 2370895872, 2370961407, 'SE', 'Sweden'),
(76687, '141.82.0.0', '141.84.255.255', 2370961408, 2371158015, 'DE', 'Germany'),
(76688, '141.85.0.0', '141.85.255.255', 2371158016, 2371223551, 'RO', 'Romania'),
(76689, '141.86.0.0', '141.86.255.255', 2371223552, 2371289087, 'US', 'United States'),
(76690, '141.87.0.0', '141.91.255.255', 2371289088, 2371616767, 'DE', 'Germany'),
(76691, '141.92.0.0', '141.92.255.255', 2371616768, 2371682303, 'GB', 'United Kingdom'),
(76692, '141.93.0.0', '141.93.255.255', 2371682304, 2371747839, 'NL', 'Netherlands'),
(76693, '141.94.0.0', '141.95.255.255', 2371747840, 2371878911, 'GB', 'United Kingdom'),
(76694, '141.96.0.0', '141.96.255.255', 2371878912, 2371944447, 'BE', 'Belgium'),
(76695, '141.97.0.0', '141.97.255.255', 2371944448, 2372009983, 'GB', 'United Kingdom'),
(76696, '141.98.0.0', '141.98.255.255', 2372009984, 2372075519, 'CH', 'Switzerland'),
(76697, '141.99.0.0', '141.100.255.255', 2372075520, 2372206591, 'DE', 'Germany'),
(76698, '141.101.0.0', '141.101.31.255', 2372206592, 2372214783, 'UA', 'Ukraine'),
(76699, '141.101.32.0', '141.101.47.255', 2372214784, 2372218879, 'DE', 'Germany'),
(76700, '141.101.48.0', '141.101.55.255', 2372218880, 2372220927, 'FR', 'France'),
(76701, '141.101.56.0', '141.101.63.255', 2372220928, 2372222975, 'KW', 'Kuwait'),
(76702, '141.101.64.0', '141.101.127.255', 2372222976, 2372239359, 'EU', 'Europe'),
(76703, '141.101.128.0', '141.101.225.255', 2372239360, 2372264447, 'RU', 'Russian Federation'),
(76704, '141.101.226.0', '141.101.233.255', 2372264448, 2372266495, 'UA', 'Ukraine'),
(76705, '141.101.234.0', '141.101.255.255', 2372266496, 2372272127, 'RU', 'Russian Federation'),
(76706, '141.102.0.0', '141.102.255.255', 2372272128, 2372337663, 'US', 'United States'),
(76707, '141.103.0.0', '141.103.255.255', 2372337664, 2372403199, 'ID', 'Indonesia'),
(76708, '141.104.0.0', '141.104.255.255', 2372403200, 2372468735, 'US', 'United States'),
(76709, '141.105.0.0', '141.105.15.255', 2372468736, 2372472831, 'NL', 'Netherlands'),
(76710, '141.105.16.0', '141.105.21.255', 2372472832, 2372474367, 'PL', 'Poland'),
(76711, '141.105.22.0', '141.105.22.255', 2372474368, 2372474623, 'US', 'United States'),
(76712, '141.105.23.0', '141.105.23.255', 2372474624, 2372474879, 'GB', 'United Kingdom'),
(76713, '141.105.24.0', '141.105.55.255', 2372474880, 2372483071, 'RU', 'Russian Federation'),
(76714, '141.105.56.0', '141.105.63.255', 2372483072, 2372485119, 'JO', 'Jordan'),
(76715, '141.105.64.0', '141.105.64.65', 2372485120, 2372485185, 'RU', 'Russian Federation'),
(76716, '141.105.64.66', '141.105.64.126', 2372485186, 2372485246, 'NL', 'Netherlands'),
(76717, '141.105.64.127', '141.105.64.127', 2372485247, 2372485247, 'RU', 'Russian Federation'),
(76718, '141.105.64.128', '141.105.64.255', 2372485248, 2372485375, 'IN', 'India'),
(76719, '141.105.65.0', '141.105.66.191', 2372485376, 2372485823, 'RU', 'Russian Federation'),
(76720, '141.105.66.192', '141.105.66.255', 2372485824, 2372485887, 'NL', 'Netherlands'),
(76721, '141.105.67.0', '141.105.71.255', 2372485888, 2372487167, 'RU', 'Russian Federation'),
(76722, '141.105.72.0', '141.105.79.255', 2372487168, 2372489215, 'FR', 'France'),
(76723, '141.105.80.0', '141.105.95.255', 2372489216, 2372493311, 'LB', 'Lebanon'),
(76724, '141.105.96.0', '141.105.111.255', 2372493312, 2372497407, 'ES', 'Spain'),
(76725, '141.105.112.0', '141.105.119.255', 2372497408, 2372499455, 'IE', 'Ireland'),
(76726, '141.105.120.0', '141.105.127.255', 2372499456, 2372501503, 'NL', 'Netherlands'),
(76727, '141.105.128.0', '141.105.143.255', 2372501504, 2372505599, 'UA', 'Ukraine'),
(76728, '141.105.144.0', '141.105.151.255', 2372505600, 2372507647, 'NL', 'Netherlands'),
(76729, '141.105.152.0', '141.105.159.255', 2372507648, 2372509695, 'IT', 'Italy'),
(76730, '141.105.160.0', '141.105.167.255', 2372509696, 2372511743, 'AE', 'United Arab Emirates'),
(76731, '141.105.168.0', '141.105.168.0', 2372511744, 2372511744, 'SI', 'Slovenia'),
(76732, '141.105.168.1', '141.105.168.254', 2372511745, 2372511998, 'BA', 'Bosnia and Herzegovina'),
(76733, '141.105.168.255', '141.105.169.0', 2372511999, 2372512000, 'SI', 'Slovenia'),
(76734, '141.105.169.1', '141.105.169.254', 2372512001, 2372512254, 'BA', 'Bosnia and Herzegovina'),
(76735, '141.105.169.255', '141.105.170.0', 2372512255, 2372512256, 'SI', 'Slovenia'),
(76736, '141.105.170.1', '141.105.170.254', 2372512257, 2372512510, 'BA', 'Bosnia and Herzegovina'),
(76737, '141.105.170.255', '141.105.171.0', 2372512511, 2372512512, 'SI', 'Slovenia'),
(76738, '141.105.171.1', '141.105.171.254', 2372512513, 2372512766, 'BA', 'Bosnia and Herzegovina'),
(76739, '141.105.171.255', '141.105.172.0', 2372512767, 2372512768, 'SI', 'Slovenia'),
(76740, '141.105.172.1', '141.105.172.254', 2372512769, 2372513022, 'BA', 'Bosnia and Herzegovina'),
(76741, '141.105.172.255', '141.105.173.0', 2372513023, 2372513024, 'SI', 'Slovenia'),
(76742, '141.105.173.1', '141.105.173.254', 2372513025, 2372513278, 'BA', 'Bosnia and Herzegovina'),
(76743, '141.105.173.255', '141.105.174.0', 2372513279, 2372513280, 'SI', 'Slovenia'),
(76744, '141.105.174.1', '141.105.174.254', 2372513281, 2372513534, 'BA', 'Bosnia and Herzegovina'),
(76745, '141.105.174.255', '141.105.175.0', 2372513535, 2372513536, 'SI', 'Slovenia'),
(76746, '141.105.175.1', '141.105.175.254', 2372513537, 2372513790, 'BA', 'Bosnia and Herzegovina'),
(76747, '141.105.175.255', '141.105.175.255', 2372513791, 2372513791, 'SI', 'Slovenia'),
(76748, '141.105.176.0', '141.105.255.255', 2372513792, 2372534271, 'GB', 'United Kingdom'),
(76749, '141.106.0.0', '141.107.255.255', 2372534272, 2372665343, 'US', 'United States'),
(76750, '141.108.0.0', '141.108.255.255', 2372665344, 2372730879, 'IT', 'Italy'),
(76751, '141.109.0.0', '141.109.255.255', 2372730880, 2372796415, 'CA', 'Canada'),
(76752, '141.110.0.0', '141.112.255.255', 2372796416, 2372993023, 'US', 'United States'),
(76753, '141.113.0.0', '141.113.127.255', 2372993024, 2373025791, 'DE', 'Germany'),
(76754, '141.113.128.0', '141.113.128.255', 2373025792, 2373026047, 'SG', 'Singapore'),
(76755, '141.113.129.0', '141.113.255.255', 2373026048, 2373058559, 'DE', 'Germany'),
(76756, '141.114.0.0', '141.114.255.255', 2373058560, 2373124095, 'US', 'United States'),
(76757, '141.115.0.0', '141.115.255.255', 2373124096, 2373189631, 'FR', 'France'),
(76758, '141.116.0.0', '141.116.255.255', 2373189632, 2373255167, 'US', 'United States'),
(76759, '141.117.0.0', '141.119.255.255', 2373255168, 2373451775, 'CA', 'Canada'),
(76760, '141.120.0.0', '141.120.255.255', 2373451776, 2373517311, 'AU', 'Australia'),
(76761, '141.121.0.0', '141.121.255.255', 2373517312, 2373582847, 'US', 'United States'),
(76762, '141.122.0.0', '141.122.159.255', 2373582848, 2373623807, 'CH', 'Switzerland'),
(76763, '141.122.160.0', '141.122.175.255', 2373623808, 2373627903, 'AU', 'Australia'),
(76764, '141.122.176.0', '141.122.255.255', 2373627904, 2373648383, 'CH', 'Switzerland'),
(76765, '141.123.0.0', '141.126.255.255', 2373648384, 2373910527, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(76766, '141.127.0.0', '141.127.255.255', 2373910528, 2373976063, 'FI', 'Finland'),
(76767, '141.128.0.0', '141.129.255.255', 2373976064, 2374107135, 'US', 'United States'),
(76768, '141.130.0.0', '141.130.255.255', 2374107136, 2374172671, 'DE', 'Germany'),
(76769, '141.131.0.0', '141.131.255.255', 2374172672, 2374238207, 'US', 'United States'),
(76770, '141.132.0.0', '141.132.255.255', 2374238208, 2374303743, 'AU', 'Australia'),
(76771, '141.133.0.0', '141.133.255.255', 2374303744, 2374369279, 'US', 'United States'),
(76772, '141.134.0.0', '141.135.255.255', 2374369280, 2374500351, 'BE', 'Belgium'),
(76773, '141.136.0.0', '141.136.7.255', 2374500352, 2374502399, 'LV', 'Latvia'),
(76774, '141.136.8.0', '141.136.15.255', 2374502400, 2374504447, 'MK', 'Macedonia'),
(76775, '141.136.16.0', '141.136.31.255', 2374504448, 2374508543, 'RO', 'Romania'),
(76776, '141.136.32.0', '141.136.47.255', 2374508544, 2374512639, 'LT', 'Lithuania'),
(76777, '141.136.48.0', '141.136.55.255', 2374512640, 2374514687, 'SK', 'Slovakia'),
(76778, '141.136.56.0', '141.136.63.255', 2374514688, 2374516735, 'ES', 'Spain'),
(76779, '141.136.64.0', '141.136.95.255', 2374516736, 2374524927, 'AM', 'Armenia'),
(76780, '141.136.96.0', '141.136.99.255', 2374524928, 2374525951, 'DE', 'Germany'),
(76781, '141.136.100.0', '141.136.110.255', 2374525952, 2374528767, 'FR', 'France'),
(76782, '141.136.111.0', '141.136.111.255', 2374528768, 2374529023, 'DE', 'Germany'),
(76783, '141.136.112.0', '141.136.119.255', 2374529024, 2374531071, 'RU', 'Russian Federation'),
(76784, '141.136.120.0', '141.136.127.255', 2374531072, 2374533119, 'NL', 'Netherlands'),
(76785, '141.136.128.0', '141.136.255.255', 2374533120, 2374565887, 'HR', 'Croatia'),
(76786, '141.137.0.0', '141.137.255.255', 2374565888, 2374631423, 'SE', 'Sweden'),
(76787, '141.138.0.0', '141.138.63.255', 2374631424, 2374647807, 'HR', 'Croatia'),
(76788, '141.138.64.0', '141.138.79.255', 2374647808, 2374651903, 'BE', 'Belgium'),
(76789, '141.138.80.0', '141.138.87.255', 2374651904, 2374653951, 'IT', 'Italy'),
(76790, '141.138.88.0', '141.138.95.255', 2374653952, 2374655999, 'FR', 'France'),
(76791, '141.138.96.0', '141.138.127.255', 2374656000, 2374664191, 'UA', 'Ukraine'),
(76792, '141.138.128.0', '141.138.135.255', 2374664192, 2374666239, 'GB', 'United Kingdom'),
(76793, '141.138.136.0', '141.138.151.255', 2374666240, 2374670335, 'NL', 'Netherlands'),
(76794, '141.138.152.0', '141.138.159.255', 2374670336, 2374672383, 'FR', 'France'),
(76795, '141.138.160.0', '141.138.167.255', 2374672384, 2374674431, 'PL', 'Poland'),
(76796, '141.138.168.0', '141.138.175.255', 2374674432, 2374676479, 'NL', 'Netherlands'),
(76797, '141.138.176.0', '141.138.191.255', 2374676480, 2374680575, 'LB', 'Lebanon'),
(76798, '141.138.192.0', '141.138.207.255', 2374680576, 2374684671, 'NL', 'Netherlands'),
(76799, '141.138.208.0', '141.138.208.167', 2374684672, 2374684839, 'GB', 'United Kingdom'),
(76800, '141.138.208.168', '141.138.208.175', 2374684840, 2374684847, 'NO', 'Norway'),
(76801, '141.138.208.176', '141.138.208.191', 2374684848, 2374684863, 'FI', 'Finland'),
(76802, '141.138.208.192', '141.138.208.207', 2374684864, 2374684879, 'DK', 'Denmark'),
(76803, '141.138.208.208', '141.138.209.63', 2374684880, 2374684991, 'GB', 'United Kingdom'),
(76804, '141.138.209.64', '141.138.209.191', 2374684992, 2374685119, 'FI', 'Finland'),
(76805, '141.138.209.192', '141.138.209.207', 2374685120, 2374685135, 'DK', 'Denmark'),
(76806, '141.138.209.208', '141.138.209.239', 2374685136, 2374685167, 'GB', 'United Kingdom'),
(76807, '141.138.209.240', '141.138.209.247', 2374685168, 2374685175, 'NO', 'Norway'),
(76808, '141.138.209.248', '141.138.210.55', 2374685176, 2374685239, 'GB', 'United Kingdom'),
(76809, '141.138.210.56', '141.138.210.63', 2374685240, 2374685247, 'DK', 'Denmark'),
(76810, '141.138.210.64', '141.138.210.191', 2374685248, 2374685375, 'NO', 'Norway'),
(76811, '141.138.210.192', '141.138.210.239', 2374685376, 2374685423, 'GB', 'United Kingdom'),
(76812, '141.138.210.240', '141.138.210.247', 2374685424, 2374685431, 'FI', 'Finland'),
(76813, '141.138.210.248', '141.138.211.47', 2374685432, 2374685487, 'GB', 'United Kingdom'),
(76814, '141.138.211.48', '141.138.211.63', 2374685488, 2374685503, 'FI', 'Finland'),
(76815, '141.138.211.64', '141.138.211.191', 2374685504, 2374685631, 'DK', 'Denmark'),
(76816, '141.138.211.192', '141.138.211.207', 2374685632, 2374685647, 'NO', 'Norway'),
(76817, '141.138.211.208', '141.138.212.47', 2374685648, 2374685743, 'GB', 'United Kingdom'),
(76818, '141.138.212.48', '141.138.212.63', 2374685744, 2374685759, 'FI', 'Finland'),
(76819, '141.138.212.64', '141.138.212.159', 2374685760, 2374685855, 'NL', 'Netherlands'),
(76820, '141.138.212.160', '141.138.212.175', 2374685856, 2374685871, 'DK', 'Denmark'),
(76821, '141.138.212.176', '141.138.212.191', 2374685872, 2374685887, 'NL', 'Netherlands'),
(76822, '141.138.212.192', '141.138.213.55', 2374685888, 2374686007, 'GB', 'United Kingdom'),
(76823, '141.138.213.56', '141.138.213.63', 2374686008, 2374686015, 'FI', 'Finland'),
(76824, '141.138.213.64', '141.138.213.159', 2374686016, 2374686111, 'PL', 'Poland'),
(76825, '141.138.213.160', '141.138.213.175', 2374686112, 2374686127, 'DK', 'Denmark'),
(76826, '141.138.213.176', '141.138.213.191', 2374686128, 2374686143, 'PL', 'Poland'),
(76827, '141.138.213.192', '141.138.214.63', 2374686144, 2374686271, 'GB', 'United Kingdom'),
(76828, '141.138.214.64', '141.138.214.95', 2374686272, 2374686303, 'NL', 'Netherlands'),
(76829, '141.138.214.96', '141.138.214.159', 2374686304, 2374686367, 'GB', 'United Kingdom'),
(76830, '141.138.214.160', '141.138.214.191', 2374686368, 2374686399, 'FI', 'Finland'),
(76831, '141.138.214.192', '141.138.214.207', 2374686400, 2374686415, 'DK', 'Denmark'),
(76832, '141.138.214.208', '141.138.215.175', 2374686416, 2374686639, 'GB', 'United Kingdom'),
(76833, '141.138.215.176', '141.138.215.191', 2374686640, 2374686655, 'DK', 'Denmark'),
(76834, '141.138.215.192', '141.138.215.207', 2374686656, 2374686671, 'FI', 'Finland'),
(76835, '141.138.215.208', '141.138.215.255', 2374686672, 2374686719, 'GB', 'United Kingdom'),
(76836, '141.138.216.0', '141.138.223.255', 2374686720, 2374688767, 'NL', 'Netherlands'),
(76837, '141.138.224.0', '141.138.255.255', 2374688768, 2374696959, 'GB', 'United Kingdom'),
(76838, '141.139.0.0', '141.142.255.255', 2374696960, 2374959103, 'US', 'United States'),
(76839, '141.143.0.0', '141.143.255.255', 2374959104, 2375024639, 'SE', 'Sweden'),
(76840, '141.144.0.0', '141.144.255.255', 2375024640, 2375090175, 'DK', 'Denmark'),
(76841, '141.145.0.0', '141.145.255.255', 2375090176, 2375155711, 'NO', 'Norway'),
(76842, '141.146.0.0', '141.146.255.255', 2375155712, 2375221247, 'US', 'United States'),
(76843, '141.147.0.0', '141.148.255.255', 2375221248, 2375352319, 'SE', 'Sweden'),
(76844, '141.149.0.0', '141.162.255.255', 2375352320, 2376269823, 'US', 'United States'),
(76845, '141.163.0.0', '141.163.255.255', 2376269824, 2376335359, 'GB', 'United Kingdom'),
(76846, '141.164.0.0', '141.167.255.255', 2376335360, 2376597503, 'US', 'United States'),
(76847, '141.168.0.0', '141.168.255.255', 2376597504, 2376663039, 'AU', 'Australia'),
(76848, '141.169.0.0', '141.169.255.255', 2376663040, 2376728575, 'DE', 'Germany'),
(76849, '141.170.0.0', '141.170.127.255', 2376728576, 2376761343, 'GB', 'United Kingdom'),
(76850, '141.170.128.0', '141.170.191.255', 2376761344, 2376777727, 'CZ', 'Czech Republic'),
(76851, '141.170.192.0', '141.170.207.255', 2376777728, 2376781823, 'BA', 'Bosnia and Herzegovina'),
(76852, '141.170.208.0', '141.170.215.255', 2376781824, 2376783871, 'ES', 'Spain'),
(76853, '141.170.216.0', '141.170.223.255', 2376783872, 2376785919, 'FR', 'France'),
(76854, '141.170.224.0', '141.170.255.255', 2376785920, 2376794111, 'UA', 'Ukraine'),
(76855, '141.171.0.0', '141.171.255.255', 2376794112, 2376859647, 'CH', 'Switzerland'),
(76856, '141.172.0.0', '141.172.255.255', 2376859648, 2376925183, 'FI', 'Finland'),
(76857, '141.173.0.0', '141.174.255.255', 2376925184, 2377056255, 'US', 'United States'),
(76858, '141.175.0.0', '141.175.255.255', 2377056256, 2377121791, 'FR', 'France'),
(76859, '141.176.0.0', '141.176.255.255', 2377121792, 2377187327, 'NL', 'Netherlands'),
(76860, '141.177.0.0', '141.177.255.255', 2377187328, 2377252863, 'US', 'United States'),
(76861, '141.178.0.0', '141.178.255.255', 2377252864, 2377318399, 'JP', 'Japan'),
(76862, '141.179.0.0', '141.180.255.255', 2377318400, 2377449471, 'US', 'United States'),
(76863, '141.181.0.0', '141.181.255.255', 2377449472, 2377515007, 'FR', 'France'),
(76864, '141.182.0.0', '141.186.255.255', 2377515008, 2377842687, 'US', 'United States'),
(76865, '141.187.0.0', '141.187.255.255', 2377842688, 2377908223, 'GB', 'United Kingdom'),
(76866, '141.188.0.0', '141.189.204.255', 2377908224, 2378026239, 'US', 'United States'),
(76867, '141.189.205.0', '141.189.205.255', 2378026240, 2378026495, 'EU', 'Europe'),
(76868, '141.189.206.0', '141.191.255.255', 2378026496, 2378170367, 'US', 'United States'),
(76869, '141.192.0.0', '141.192.255.255', 2378170368, 2378235903, 'FI', 'Finland'),
(76870, '141.193.0.0', '141.193.255.255', 2378235904, 2378301439, 'US', 'United States'),
(76871, '141.194.0.0', '141.194.6.255', 2378301440, 2378303231, 'FR', 'France'),
(76872, '141.194.7.0', '141.194.7.255', 2378303232, 2378303487, 'EU', 'Europe'),
(76873, '141.194.8.0', '141.194.255.255', 2378303488, 2378366975, 'FR', 'France'),
(76874, '141.195.0.0', '141.195.255.255', 2378366976, 2378432511, 'US', 'United States'),
(76875, '141.196.0.0', '141.196.255.255', 2378432512, 2378498047, 'TR', 'Turkey'),
(76876, '141.197.0.0', '141.197.9.255', 2378498048, 2378500607, 'US', 'United States'),
(76877, '141.197.10.0', '141.197.10.255', 2378500608, 2378500863, 'GB', 'United Kingdom'),
(76878, '141.197.11.0', '141.197.13.255', 2378500864, 2378501631, 'US', 'United States'),
(76879, '141.197.14.0', '141.197.14.255', 2378501632, 2378501887, 'EU', 'Europe'),
(76880, '141.197.15.0', '141.199.255.255', 2378501888, 2378694655, 'US', 'United States'),
(76881, '141.200.0.0', '141.200.255.255', 2378694656, 2378760191, 'DE', 'Germany'),
(76882, '141.201.0.0', '141.201.255.255', 2378760192, 2378825727, 'AT', 'Austria'),
(76883, '141.202.0.0', '141.202.255.255', 2378825728, 2378891263, 'US', 'United States'),
(76884, '141.203.0.0', '141.203.255.255', 2378891264, 2378956799, 'AT', 'Austria'),
(76885, '141.204.0.0', '141.207.255.255', 2378956800, 2379218943, 'US', 'United States'),
(76886, '141.208.0.0', '141.208.255.255', 2379218944, 2379284479, 'FI', 'Finland'),
(76887, '141.209.0.0', '141.222.255.255', 2379284480, 2380201983, 'US', 'United States'),
(76888, '141.223.0.0', '141.223.255.255', 2380201984, 2380267519, 'KR', 'Korea, Republic of'),
(76889, '141.224.0.0', '141.225.255.255', 2380267520, 2380398591, 'US', 'United States'),
(76890, '141.226.0.0', '141.226.255.255', 2380398592, 2380464127, 'IL', 'Israel'),
(76891, '141.227.0.0', '141.227.3.0', 2380464128, 2380464896, 'FR', 'France'),
(76892, '141.227.3.1', '141.227.3.1', 2380464897, 2380464897, 'US', 'United States'),
(76893, '141.227.3.2', '141.227.4.255', 2380464898, 2380465407, 'FR', 'France'),
(76894, '141.227.5.0', '141.227.5.255', 2380465408, 2380465663, 'AP', 'Asia/Pacific Region'),
(76895, '141.227.6.0', '141.227.255.255', 2380465664, 2380529663, 'FR', 'France'),
(76896, '141.228.0.0', '141.228.249.255', 2380529664, 2380593663, 'GB', 'United Kingdom'),
(76897, '141.228.250.0', '141.228.250.255', 2380593664, 2380593919, 'AP', 'Asia/Pacific Region'),
(76898, '141.228.251.0', '141.228.255.255', 2380593920, 2380595199, 'GB', 'United Kingdom'),
(76899, '141.230.0.0', '141.230.255.255', 2380660736, 2380726271, 'US', 'United States'),
(76900, '141.231.0.0', '141.231.255.255', 2380726272, 2380791807, 'GB', 'United Kingdom'),
(76901, '141.232.0.0', '141.236.255.255', 2380791808, 2381119487, 'US', 'United States'),
(76902, '141.237.0.0', '141.237.255.255', 2381119488, 2381185023, 'GR', 'Greece'),
(76903, '141.238.0.0', '141.240.255.255', 2381185024, 2381381631, 'US', 'United States'),
(76904, '141.241.0.0', '141.241.255.255', 2381381632, 2381447167, 'GB', 'United Kingdom'),
(76905, '141.242.0.0', '141.242.255.255', 2381447168, 2381512703, 'US', 'United States'),
(76906, '141.243.0.0', '141.243.255.255', 2381512704, 2381578239, 'AU', 'Australia'),
(76907, '141.244.0.0', '141.244.255.255', 2381578240, 2381643775, 'AT', 'Austria'),
(76908, '141.245.0.0', '141.245.255.255', 2381643776, 2381709311, 'GB', 'United Kingdom'),
(76909, '141.246.0.0', '141.248.255.255', 2381709312, 2381905919, 'US', 'United States'),
(76910, '141.249.0.0', '141.249.255.255', 2381905920, 2381971455, 'CH', 'Switzerland'),
(76911, '141.250.0.0', '141.250.255.255', 2381971456, 2382036991, 'IT', 'Italy'),
(76912, '141.251.0.0', '141.251.255.255', 2382036992, 2382102527, 'US', 'United States'),
(76913, '141.252.0.0', '141.252.255.255', 2382102528, 2382168063, 'NL', 'Netherlands'),
(76914, '141.253.0.0', '141.253.255.255', 2382168064, 2382233599, 'BE', 'Belgium'),
(76915, '141.254.0.0', '141.254.255.255', 2382233600, 2382299135, 'US', 'United States'),
(76916, '141.255.0.0', '141.255.127.255', 2382299136, 2382331903, 'GR', 'Greece'),
(76917, '141.255.128.0', '141.255.143.255', 2382331904, 2382335999, 'FR', 'France'),
(76918, '141.255.144.0', '141.255.159.255', 2382336000, 2382340095, 'NL', 'Netherlands'),
(76919, '141.255.160.0', '141.255.167.255', 2382340096, 2382342143, 'CH', 'Switzerland'),
(76920, '141.255.168.0', '141.255.175.255', 2382342144, 2382344191, 'AT', 'Austria'),
(76921, '141.255.176.0', '141.255.183.255', 2382344192, 2382346239, 'NL', 'Netherlands'),
(76922, '141.255.184.0', '141.255.191.255', 2382346240, 2382348287, 'SE', 'Sweden'),
(76923, '141.255.192.0', '141.255.255.255', 2382348288, 2382364671, 'SI', 'Slovenia'),
(76924, '142.0.0.0', '142.0.15.255', 2382364672, 2382368767, 'US', 'United States'),
(76925, '142.0.16.0', '142.0.31.255', 2382368768, 2382372863, 'CA', 'Canada'),
(76926, '142.0.32.0', '142.0.143.255', 2382372864, 2382401535, 'US', 'United States'),
(76927, '142.0.144.0', '142.0.175.255', 2382401536, 2382409727, 'CA', 'Canada'),
(76928, '142.0.176.0', '142.0.223.255', 2382409728, 2382422015, 'US', 'United States'),
(76929, '142.0.224.0', '142.0.239.255', 2382422016, 2382426111, 'JM', 'Jamaica'),
(76930, '142.0.240.0', '142.0.255.255', 2382426112, 2382430207, 'US', 'United States'),
(76931, '142.1.0.0', '142.3.255.255', 2382430208, 2382626815, 'CA', 'Canada'),
(76932, '142.4.0.0', '142.4.127.255', 2382626816, 2382659583, 'US', 'United States'),
(76933, '142.5.0.0', '142.10.255.255', 2382692352, 2383085567, 'CA', 'Canada'),
(76934, '142.11.0.0', '142.11.255.255', 2383085568, 2383151103, 'US', 'United States'),
(76935, '142.12.0.0', '142.53.255.255', 2383151104, 2385903615, 'CA', 'Canada'),
(76936, '142.54.0.0', '142.54.47.255', 2385903616, 2385915903, 'US', 'United States'),
(76937, '142.54.48.0', '142.54.63.255', 2385915904, 2385919999, 'CA', 'Canada'),
(76938, '142.54.64.0', '142.54.255.255', 2385920000, 2385969151, 'US', 'United States'),
(76939, '142.55.0.0', '142.56.127.255', 2385969152, 2386067455, 'CA', 'Canada'),
(76940, '142.56.128.0', '142.56.191.255', 2386067456, 2386083839, 'US', 'United States'),
(76941, '142.56.192.0', '142.64.255.255', 2386083840, 2386624511, 'CA', 'Canada'),
(76942, '142.65.0.0', '142.65.255.255', 2386624512, 2386690047, 'US', 'United States'),
(76943, '142.66.0.0', '142.70.140.255', 2386690048, 2386988287, 'CA', 'Canada'),
(76944, '142.70.141.0', '142.70.141.255', 2386988288, 2386988543, 'CH', 'Switzerland'),
(76945, '142.70.142.0', '142.70.143.255', 2386988544, 2386989055, 'CA', 'Canada'),
(76946, '142.70.144.0', '142.70.144.255', 2386989056, 2386989311, 'GB', 'United Kingdom'),
(76947, '142.70.145.0', '142.70.199.255', 2386989312, 2387003391, 'CA', 'Canada'),
(76948, '142.70.200.0', '142.70.200.255', 2387003392, 2387003647, 'GB', 'United Kingdom'),
(76949, '142.70.201.0', '142.70.201.255', 2387003648, 2387003903, 'CA', 'Canada'),
(76950, '142.70.202.0', '142.70.202.255', 2387003904, 2387004159, 'GB', 'United Kingdom'),
(76951, '142.70.203.0', '142.76.255.255', 2387004160, 2387410943, 'CA', 'Canada'),
(76952, '142.77.0.0', '142.77.255.255', 2387410944, 2387476479, 'US', 'United States'),
(76953, '142.78.0.0', '142.78.255.255', 2387476480, 2387542015, 'CA', 'Canada'),
(76954, '142.79.0.0', '142.79.255.255', 2387542016, 2387607551, 'US', 'United States'),
(76955, '142.80.0.0', '142.90.255.255', 2387607552, 2388328447, 'CA', 'Canada'),
(76956, '142.91.0.0', '142.91.255.255', 2388328448, 2388393983, 'US', 'United States'),
(76957, '142.92.0.0', '142.128.255.255', 2388393984, 2390818815, 'CA', 'Canada'),
(76958, '142.130.0.0', '142.131.177.255', 2390884352, 2390995455, 'CA', 'Canada'),
(76959, '142.131.178.0', '142.131.255.255', 2390995456, 2391015423, 'US', 'United States'),
(76960, '142.132.0.0', '142.191.255.255', 2391015424, 2394947583, 'CA', 'Canada'),
(76961, '142.192.0.0', '142.192.255.255', 2394947584, 2395013119, 'US', 'United States'),
(76962, '142.193.0.0', '142.195.255.255', 2395013120, 2395209727, 'CA', 'Canada'),
(76963, '142.196.0.0', '142.197.255.255', 2395209728, 2395340799, 'US', 'United States'),
(76964, '142.198.0.0', '142.249.255.255', 2395340800, 2398748671, 'CA', 'Canada'),
(76965, '142.250.0.0', '142.251.255.255', 2398748672, 2398879743, 'US', 'United States'),
(76966, '142.253.0.0', '142.253.255.255', 2398945280, 2399010815, 'CA', 'Canada'),
(76967, '142.254.0.0', '143.28.231.255', 2399010816, 2401036287, 'US', 'United States'),
(76968, '143.28.232.0', '143.28.232.255', 2401036288, 2401036543, 'EU', 'Europe'),
(76969, '143.28.233.0', '143.40.255.255', 2401036544, 2401828863, 'US', 'United States'),
(76970, '143.41.0.0', '143.41.255.255', 2401828864, 2401894399, 'GB', 'United Kingdom'),
(76971, '143.42.0.0', '143.46.255.255', 2401894400, 2402222079, 'US', 'United States'),
(76972, '143.47.0.0', '143.47.255.255', 2402222080, 2402287615, 'IE', 'Ireland'),
(76973, '143.48.0.0', '143.49.255.255', 2402287616, 2402418687, 'US', 'United States'),
(76974, '143.50.0.0', '143.50.255.255', 2402418688, 2402484223, 'AT', 'Austria'),
(76975, '143.51.0.0', '143.51.255.255', 2402484224, 2402549759, 'FI', 'Finland'),
(76976, '143.52.0.0', '143.53.255.255', 2402549760, 2402680831, 'GB', 'United Kingdom'),
(76977, '143.54.0.0', '143.54.255.255', 2402680832, 2402746367, 'BR', 'Brazil'),
(76978, '143.55.0.0', '143.58.7.255', 2402746368, 2402945023, 'US', 'United States'),
(76979, '143.58.8.0', '143.58.8.255', 2402945024, 2402945279, 'GB', 'United Kingdom'),
(76980, '143.58.9.0', '143.64.255.255', 2402945280, 2403401727, 'US', 'United States'),
(76981, '143.65.0.0', '143.65.255.255', 2403401728, 2403467263, 'GB', 'United Kingdom'),
(76982, '143.66.0.0', '143.88.255.255', 2403467264, 2404974591, 'US', 'United States'),
(76983, '143.89.0.0', '143.89.255.255', 2404974592, 2405040127, 'HK', 'Hong Kong'),
(76984, '143.90.0.0', '143.90.255.255', 2405040128, 2405105663, 'JP', 'Japan'),
(76985, '143.91.0.0', '143.91.255.255', 2405105664, 2405171199, 'US', 'United States'),
(76986, '143.92.0.0', '143.92.255.255', 2405171200, 2405236735, 'AU', 'Australia'),
(76987, '143.93.0.0', '143.93.255.255', 2405236736, 2405302271, 'DE', 'Germany'),
(76988, '143.94.0.0', '143.94.255.255', 2405302272, 2405367807, 'JP', 'Japan'),
(76989, '143.95.0.0', '143.95.255.255', 2405367808, 2405433343, 'US', 'United States'),
(76990, '143.96.0.0', '143.96.255.255', 2405433344, 2405498879, 'NZ', 'New Zealand'),
(76991, '143.97.0.0', '143.97.255.255', 2405498880, 2405564415, 'NO', 'Norway'),
(76992, '143.98.0.0', '143.98.255.255', 2405564416, 2405629951, 'US', 'United States'),
(76993, '143.99.0.0', '143.99.255.255', 2405629952, 2405695487, 'CH', 'Switzerland'),
(76994, '143.100.0.0', '143.105.255.255', 2405695488, 2406088703, 'US', 'United States'),
(76995, '143.106.0.0', '143.108.255.255', 2406088704, 2406285311, 'BR', 'Brazil'),
(76996, '143.109.0.0', '143.116.255.255', 2406285312, 2406809599, 'US', 'United States'),
(76997, '143.117.0.0', '143.117.255.255', 2406809600, 2406875135, 'GB', 'United Kingdom'),
(76998, '143.118.0.0', '143.118.255.255', 2406875136, 2406940671, 'SE', 'Sweden'),
(76999, '143.119.0.0', '143.119.255.255', 2406940672, 2407006207, 'AU', 'Australia'),
(77000, '143.120.0.0', '143.120.255.255', 2407006208, 2407071743, 'US', 'United States'),
(77001, '143.121.0.0', '143.121.255.255', 2407071744, 2407137279, 'NL', 'Netherlands'),
(77002, '143.122.0.0', '143.124.255.255', 2407137280, 2407333887, 'US', 'United States'),
(77003, '143.125.0.0', '143.125.255.255', 2407333888, 2407399423, 'JP', 'Japan'),
(77004, '143.126.0.0', '143.126.255.255', 2407399424, 2407464959, 'FR', 'France'),
(77005, '143.127.0.0', '143.127.255.255', 2407464960, 2407530495, 'US', 'United States'),
(77006, '143.128.0.0', '143.128.255.255', 2407530496, 2407596031, 'ZA', 'South Africa'),
(77007, '143.129.0.0', '143.129.255.255', 2407596032, 2407661567, 'BE', 'Belgium'),
(77008, '143.130.0.0', '143.130.255.255', 2407661568, 2407727103, 'AT', 'Austria'),
(77009, '143.131.0.0', '143.135.255.255', 2407727104, 2408054783, 'US', 'United States'),
(77010, '143.136.0.0', '143.136.255.255', 2408054784, 2408120319, 'JP', 'Japan'),
(77011, '143.138.0.0', '143.159.255.255', 2408185856, 2409627647, 'US', 'United States'),
(77012, '143.160.0.0', '143.160.255.255', 2409627648, 2409693183, 'ZA', 'South Africa'),
(77013, '143.161.0.0', '143.161.255.255', 2409693184, 2409758719, 'AT', 'Austria'),
(77014, '143.162.0.0', '143.162.255.255', 2409758720, 2409824255, 'US', 'United States'),
(77015, '143.163.0.0', '143.164.255.255', 2409824256, 2409955327, 'DE', 'Germany'),
(77016, '143.165.0.0', '143.166.255.255', 2409955328, 2410086399, 'US', 'United States'),
(77017, '143.167.0.0', '143.167.255.255', 2410086400, 2410151935, 'GB', 'United Kingdom'),
(77018, '143.168.0.0', '143.168.255.255', 2410151936, 2410217471, 'US', 'United States'),
(77019, '143.169.0.0', '143.169.255.255', 2410217472, 2410283007, 'BE', 'Belgium'),
(77020, '143.170.0.0', '143.170.255.255', 2410283008, 2410348543, 'US', 'United States'),
(77021, '143.171.0.0', '143.171.255.255', 2410348544, 2410414079, 'JP', 'Japan'),
(77022, '143.172.0.0', '143.173.255.255', 2410414080, 2410545151, 'US', 'United States'),
(77023, '143.174.0.0', '143.174.255.255', 2410545152, 2410610687, 'AU', 'Australia'),
(77024, '143.175.0.0', '143.175.255.255', 2410610688, 2410676223, 'US', 'United States'),
(77025, '143.176.0.0', '143.179.255.255', 2410676224, 2410938367, 'NL', 'Netherlands'),
(77026, '143.180.0.0', '143.180.255.255', 2410938368, 2411003903, 'CH', 'Switzerland'),
(77027, '143.181.0.0', '143.187.255.255', 2411003904, 2411462655, 'US', 'United States'),
(77028, '143.188.0.0', '143.189.255.255', 2411462656, 2411593727, 'AU', 'Australia'),
(77029, '143.190.0.0', '143.195.255.255', 2411593728, 2411986943, 'US', 'United States'),
(77030, '143.196.0.0', '143.196.255.255', 2411986944, 2412052479, 'FR', 'France'),
(77031, '143.197.0.0', '143.204.255.255', 2412052480, 2412576767, 'US', 'United States'),
(77032, '143.205.0.0', '143.205.255.255', 2412576768, 2412642303, 'AT', 'Austria'),
(77033, '143.206.0.0', '143.207.255.255', 2412642304, 2412773375, 'US', 'United States'),
(77034, '143.209.0.0', '143.209.255.255', 2412838912, 2412904447, 'US', 'United States'),
(77035, '143.210.0.0', '143.210.255.255', 2412904448, 2412969983, 'GB', 'United Kingdom'),
(77036, '143.211.0.0', '143.215.255.255', 2412969984, 2413297663, 'US', 'United States'),
(77037, '143.216.0.0', '143.216.255.255', 2413297664, 2413363199, 'AU', 'Australia'),
(77038, '143.217.0.0', '143.217.255.255', 2413363200, 2413428735, 'SE', 'Sweden'),
(77039, '143.218.0.0', '143.218.255.255', 2413428736, 2413494271, 'AU', 'Australia'),
(77040, '143.219.0.0', '143.220.255.255', 2413494272, 2413625343, 'US', 'United States'),
(77041, '143.221.0.0', '143.221.255.255', 2413625344, 2413690879, 'JP', 'Japan'),
(77042, '143.222.0.0', '143.223.255.255', 2413690880, 2413821951, 'US', 'United States'),
(77043, '143.224.0.0', '143.224.255.255', 2413821952, 2413887487, 'AT', 'Austria'),
(77044, '143.225.0.0', '143.225.255.255', 2413887488, 2413953023, 'IT', 'Italy'),
(77045, '143.226.0.0', '143.232.255.255', 2413953024, 2414411775, 'US', 'United States'),
(77046, '143.233.0.0', '143.233.255.255', 2414411776, 2414477311, 'GR', 'Greece'),
(77047, '143.234.0.0', '143.234.255.255', 2414477312, 2414542847, 'GB', 'United Kingdom'),
(77048, '143.235.0.0', '143.236.255.255', 2414542848, 2414673919, 'US', 'United States'),
(77049, '143.237.0.0', '143.237.255.255', 2414673920, 2414739455, 'SE', 'Sweden'),
(77050, '143.238.0.0', '143.238.255.255', 2414739456, 2414804991, 'AU', 'Australia'),
(77051, '143.239.0.0', '143.239.255.255', 2414804992, 2414870527, 'IE', 'Ireland'),
(77052, '143.240.0.0', '143.244.255.255', 2414870528, 2415198207, 'US', 'United States'),
(77053, '143.245.0.0', '143.245.255.255', 2415198208, 2415263743, 'AT', 'Austria'),
(77054, '143.246.0.0', '143.247.255.255', 2415263744, 2415394815, 'US', 'United States'),
(77055, '143.248.0.0', '143.248.255.255', 2415394816, 2415460351, 'KR', 'Korea, Republic of'),
(77056, '143.249.0.0', '143.251.255.255', 2415460352, 2415656959, 'US', 'United States'),
(77057, '143.252.0.0', '143.252.255.255', 2415656960, 2415722495, 'GB', 'United Kingdom'),
(77058, '143.253.0.0', '143.253.255.255', 2415722496, 2415788031, 'JP', 'Japan'),
(77059, '143.254.0.0', '143.254.255.255', 2415788032, 2415853567, 'US', 'United States'),
(77060, '144.0.0.0', '144.0.255.255', 2415919104, 2415984639, 'CN', 'China'),
(77061, '144.2.0.0', '144.2.255.255', 2416050176, 2416115711, 'NL', 'Netherlands'),
(77062, '144.3.0.0', '144.3.255.255', 2416115712, 2416181247, 'US', 'United States'),
(77063, '144.4.0.0', '144.4.255.255', 2416181248, 2416246783, 'FI', 'Finland'),
(77064, '144.5.0.0', '144.5.255.255', 2416246784, 2416312319, 'US', 'United States'),
(77065, '144.6.0.0', '144.6.255.255', 2416312320, 2416377855, 'AU', 'Australia'),
(77066, '144.7.0.0', '144.7.255.255', 2416377856, 2416443391, 'CN', 'China'),
(77067, '144.8.0.0', '144.11.255.255', 2416443392, 2416705535, 'US', 'United States'),
(77068, '144.12.0.0', '144.12.255.255', 2416705536, 2416771071, 'CN', 'China'),
(77069, '144.13.0.0', '144.15.239.255', 2416771072, 2416963583, 'US', 'United States'),
(77070, '144.15.240.0', '144.15.240.255', 2416963584, 2416963839, 'EU', 'Europe'),
(77071, '144.15.241.0', '144.15.255.255', 2416963840, 2416967679, 'US', 'United States'),
(77072, '144.16.0.0', '144.16.255.255', 2416967680, 2417033215, 'IN', 'India'),
(77073, '144.17.0.0', '144.19.255.255', 2417033216, 2417229823, 'US', 'United States'),
(77074, '144.20.0.0', '144.20.255.255', 2417229824, 2417295359, 'ES', 'Spain'),
(77075, '144.21.0.0', '144.21.255.255', 2417295360, 2417360895, 'PT', 'Portugal'),
(77076, '144.22.0.0', '144.23.255.255', 2417360896, 2417491967, 'CR', 'Costa Rica'),
(77077, '144.24.0.0', '144.24.255.255', 2417491968, 2417557503, 'GR', 'Greece'),
(77078, '144.25.0.0', '144.26.255.255', 2417557504, 2417688575, 'US', 'United States'),
(77079, '144.27.0.0', '144.27.255.255', 2417688576, 2417754111, 'SE', 'Sweden'),
(77080, '144.28.0.0', '144.31.255.255', 2417754112, 2418016255, 'US', 'United States'),
(77081, '144.32.0.0', '144.32.255.255', 2418016256, 2418081791, 'GB', 'United Kingdom'),
(77082, '144.33.0.0', '144.36.134.255', 2418081792, 2418312959, 'US', 'United States'),
(77083, '144.36.135.0', '144.36.135.255', 2418312960, 2418313215, 'IN', 'India'),
(77084, '144.36.136.0', '144.36.174.63', 2418313216, 2418323007, 'US', 'United States'),
(77085, '144.36.174.64', '144.36.174.64', 2418323008, 2418323008, 'PH', 'Philippines'),
(77086, '144.36.174.65', '144.36.228.255', 2418323009, 2418337023, 'US', 'United States'),
(77087, '144.36.229.0', '144.36.229.255', 2418337024, 2418337279, 'IN', 'India'),
(77088, '144.36.230.0', '144.36.233.255', 2418337280, 2418338303, 'US', 'United States'),
(77089, '144.36.234.0', '144.36.235.255', 2418338304, 2418338815, 'IN', 'India'),
(77090, '144.36.236.0', '144.36.247.255', 2418338816, 2418341887, 'US', 'United States'),
(77091, '144.36.248.0', '144.36.248.255', 2418341888, 2418342143, 'IN', 'India'),
(77092, '144.36.249.0', '144.40.255.255', 2418342144, 2418606079, 'US', 'United States'),
(77093, '144.41.0.0', '144.41.255.255', 2418606080, 2418671615, 'DE', 'Germany'),
(77094, '144.42.0.0', '144.42.255.255', 2418671616, 2418737151, 'US', 'United States'),
(77095, '144.43.0.0', '144.43.255.255', 2418737152, 2418802687, 'NL', 'Netherlands'),
(77096, '144.44.0.0', '144.44.255.255', 2418802688, 2418868223, 'EU', 'Europe'),
(77097, '144.45.0.0', '144.51.255.255', 2418868224, 2419326975, 'US', 'United States'),
(77098, '144.52.0.0', '144.52.255.255', 2419326976, 2419392511, 'CN', 'China'),
(77099, '144.53.0.0', '144.53.255.255', 2419392512, 2419458047, 'AU', 'Australia'),
(77100, '144.54.0.0', '144.54.255.255', 2419458048, 2419523583, 'NL', 'Netherlands'),
(77101, '144.55.0.0', '144.55.255.255', 2419523584, 2419589119, 'AU', 'Australia'),
(77102, '144.56.0.0', '144.56.255.255', 2419589120, 2419654655, 'FR', 'France'),
(77103, '144.57.0.0', '144.57.255.255', 2419654656, 2419720191, 'SE', 'Sweden'),
(77104, '144.58.0.0', '144.62.255.255', 2419720192, 2420047871, 'US', 'United States'),
(77105, '144.63.0.0', '144.63.255.255', 2420047872, 2420113407, 'SE', 'Sweden'),
(77106, '144.64.0.0', '144.64.255.255', 2420113408, 2420178943, 'PT', 'Portugal'),
(77107, '144.65.0.0', '144.65.255.255', 2420178944, 2420244479, 'AT', 'Austria'),
(77108, '144.66.0.0', '144.66.255.255', 2420244480, 2420310015, 'NZ', 'New Zealand'),
(77109, '144.67.0.0', '144.75.255.255', 2420310016, 2420899839, 'US', 'United States'),
(77110, '144.76.0.0', '144.76.255.255', 2420899840, 2420965375, 'DE', 'Germany'),
(77111, '144.77.0.0', '144.78.255.255', 2420965376, 2421096447, 'US', 'United States'),
(77112, '144.80.0.0', '144.81.255.255', 2421161984, 2421293055, 'US', 'United States'),
(77113, '144.82.0.0', '144.82.255.255', 2421293056, 2421358591, 'GB', 'United Kingdom'),
(77114, '144.83.0.0', '144.83.255.255', 2421358592, 2421424127, 'US', 'United States'),
(77115, '144.84.0.0', '144.84.255.255', 2421424128, 2421489663, 'NO', 'Norway'),
(77116, '144.85.0.0', '144.85.255.255', 2421489664, 2421555199, 'CH', 'Switzerland'),
(77117, '144.86.0.0', '144.86.255.255', 2421555200, 2421620735, 'US', 'United States'),
(77118, '144.87.0.0', '144.87.255.255', 2421620736, 2421686271, 'GB', 'United Kingdom'),
(77119, '144.88.0.0', '144.94.255.255', 2421686272, 2422145023, 'US', 'United States'),
(77120, '144.95.0.0', '144.95.31.255', 2422145024, 2422153215, 'NL', 'Netherlands'),
(77121, '144.95.32.0', '144.95.32.255', 2422153216, 2422153471, 'EU', 'Europe'),
(77122, '144.95.33.0', '144.95.35.255', 2422153472, 2422154239, 'NL', 'Netherlands'),
(77123, '144.95.36.0', '144.95.39.255', 2422154240, 2422155263, 'US', 'United States'),
(77124, '144.95.40.0', '144.95.40.255', 2422155264, 2422155519, 'AP', 'Asia/Pacific Region'),
(77125, '144.95.41.0', '144.95.63.255', 2422155520, 2422161407, 'NL', 'Netherlands'),
(77126, '144.95.64.0', '144.95.71.255', 2422161408, 2422163455, 'GB', 'United Kingdom'),
(77127, '144.95.72.0', '144.95.79.255', 2422163456, 2422165503, 'US', 'United States'),
(77128, '144.95.80.0', '144.95.87.255', 2422165504, 2422167551, 'HK', 'Hong Kong'),
(77129, '144.95.88.0', '144.95.255.255', 2422167552, 2422210559, 'NL', 'Netherlands'),
(77130, '144.96.0.0', '144.96.255.255', 2422210560, 2422276095, 'US', 'United States'),
(77131, '144.97.0.0', '144.97.255.255', 2422276096, 2422341631, 'AU', 'Australia'),
(77132, '144.98.0.0', '144.98.255.255', 2422341632, 2422407167, 'GB', 'United Kingdom'),
(77133, '144.99.0.0', '144.109.255.255', 2422407168, 2423128063, 'US', 'United States'),
(77134, '144.110.0.0', '144.110.255.255', 2423128064, 2423193599, 'AU', 'Australia'),
(77135, '144.111.0.0', '144.118.255.255', 2423193600, 2423717887, 'US', 'United States'),
(77136, '144.119.0.0', '144.119.255.255', 2423717888, 2423783423, 'NL', 'Netherlands'),
(77137, '144.120.0.0', '144.120.255.255', 2423783424, 2423848959, 'FJ', 'Fiji'),
(77138, '144.121.0.0', '144.121.255.255', 2423848960, 2423914495, 'US', 'United States'),
(77139, '144.122.0.0', '144.122.255.255', 2423914496, 2423980031, 'TR', 'Turkey'),
(77140, '144.123.0.0', '144.123.255.255', 2423980032, 2424045567, 'CN', 'China'),
(77141, '144.124.0.0', '144.124.255.255', 2424045568, 2424111103, 'GB', 'United Kingdom'),
(77142, '144.125.0.0', '144.126.255.255', 2424111104, 2424242175, 'US', 'United States'),
(77143, '144.127.0.0', '144.127.255.255', 2424242176, 2424307711, 'NO', 'Norway'),
(77144, '144.128.0.0', '144.129.255.255', 2424307712, 2424438783, 'US', 'United States'),
(77145, '144.130.0.0', '144.140.255.255', 2424438784, 2425159679, 'AU', 'Australia'),
(77146, '144.141.0.0', '144.144.255.255', 2425159680, 2425421823, 'US', 'United States'),
(77147, '144.145.0.0', '144.145.255.255', 2425421824, 2425487359, 'DE', 'Germany'),
(77148, '144.146.0.0', '144.163.255.255', 2425487360, 2426667007, 'US', 'United States'),
(77149, '144.164.0.0', '144.164.255.255', 2426667008, 2426732543, 'NO', 'Norway'),
(77150, '144.165.0.0', '144.165.255.255', 2426732544, 2426798079, 'FR', 'France'),
(77151, '144.166.0.0', '144.167.255.255', 2426798080, 2426929151, 'US', 'United States'),
(77152, '144.168.0.0', '144.168.255.255', 2426929152, 2426994687, 'EU', 'Europe'),
(77153, '144.169.0.0', '144.172.63.255', 2426994688, 2427207679, 'US', 'United States'),
(77154, '144.173.0.0', '144.173.255.255', 2427256832, 2427322367, 'GB', 'United Kingdom'),
(77155, '144.174.0.0', '144.175.255.255', 2427322368, 2427453439, 'US', 'United States'),
(77156, '144.176.0.0', '144.177.69.255', 2427453440, 2427536895, 'NO', 'Norway'),
(77157, '144.177.70.0', '144.177.70.255', 2427536896, 2427537151, 'US', 'United States'),
(77158, '144.177.71.0', '144.177.99.255', 2427537152, 2427544575, 'NO', 'Norway'),
(77159, '144.177.100.0', '144.177.100.255', 2427544576, 2427544831, 'AP', 'Asia/Pacific Region'),
(77160, '144.177.101.0', '144.177.255.255', 2427544832, 2427584511, 'NO', 'Norway'),
(77161, '144.178.0.0', '144.178.255.255', 2427584512, 2427650047, 'GB', 'United Kingdom'),
(77162, '144.179.0.0', '144.181.255.255', 2427650048, 2427846655, 'NO', 'Norway'),
(77163, '144.182.0.0', '144.186.255.255', 2427846656, 2428174335, 'US', 'United States'),
(77164, '144.187.0.0', '144.187.15.255', 2428174336, 2428178431, 'GB', 'United Kingdom'),
(77165, '144.187.16.0', '144.187.36.10', 2428178432, 2428183562, 'US', 'United States'),
(77166, '144.187.36.11', '144.187.36.11', 2428183563, 2428183563, 'EU', 'Europe'),
(77167, '144.187.36.12', '144.192.255.255', 2428183564, 2428567551, 'US', 'United States'),
(77168, '144.193.0.0', '144.193.255.255', 2428567552, 2428633087, 'NO', 'Norway'),
(77169, '144.194.0.0', '144.194.248.255', 2428633088, 2428696831, 'CA', 'Canada'),
(77170, '144.194.249.0', '144.194.249.255', 2428696832, 2428697087, 'EU', 'Europe'),
(77171, '144.194.250.0', '144.194.255.255', 2428697088, 2428698623, 'CA', 'Canada'),
(77172, '144.195.0.0', '144.198.255.255', 2428698624, 2428960767, 'US', 'United States'),
(77173, '144.199.0.0', '144.199.255.255', 2428960768, 2429026303, 'MY', 'Malaysia'),
(77174, '144.200.0.0', '144.200.255.255', 2429026304, 2429091839, 'CH', 'Switzerland'),
(77175, '144.201.0.0', '144.203.255.255', 2429091840, 2429288447, 'US', 'United States'),
(77176, '144.204.0.0', '144.204.255.255', 2429288448, 2429353983, 'FR', 'France'),
(77177, '144.205.0.0', '144.205.255.255', 2429353984, 2429419519, 'AU', 'Australia'),
(77178, '144.206.0.0', '144.206.255.255', 2429419520, 2429485055, 'RU', 'Russian Federation'),
(77179, '144.207.0.0', '144.208.255.255', 2429485056, 2429616127, 'US', 'United States'),
(77180, '144.209.0.0', '144.209.255.255', 2429616128, 2429681663, 'NL', 'Netherlands'),
(77181, '144.210.0.0', '144.212.255.255', 2429681664, 2429878271, 'US', 'United States'),
(77182, '144.213.0.0', '144.213.255.255', 2429878272, 2429943807, 'JP', 'Japan'),
(77183, '144.214.0.0', '144.214.255.255', 2429943808, 2430009343, 'HK', 'Hong Kong'),
(77184, '144.215.0.0', '144.247.255.255', 2430009344, 2432172031, 'US', 'United States'),
(77185, '144.248.0.0', '144.248.255.255', 2432172032, 2432237567, 'BE', 'Belgium'),
(77186, '144.249.0.0', '144.254.255.255', 2432237568, 2432630783, 'US', 'United States'),
(77187, '144.255.0.0', '144.255.255.255', 2432630784, 2432696319, 'CN', 'China'),
(77188, '145.0.0.0', '145.8.103.255', 2432696320, 2433247231, 'NL', 'Netherlands'),
(77189, '145.8.104.0', '145.8.104.255', 2433247232, 2433247487, 'GB', 'United Kingdom'),
(77190, '145.8.105.0', '145.16.255.255', 2433247488, 2433810431, 'NL', 'Netherlands'),
(77191, '145.17.0.0', '145.17.255.255', 2433810432, 2433875967, 'GB', 'United Kingdom'),
(77192, '145.18.0.0', '145.54.255.255', 2433875968, 2436300799, 'NL', 'Netherlands'),
(77193, '145.55.0.0', '145.55.255.255', 2436300800, 2436366335, 'GB', 'United Kingdom'),
(77194, '145.56.0.0', '145.61.255.255', 2436366336, 2436759551, 'NL', 'Netherlands'),
(77195, '145.62.0.0', '145.62.31.255', 2436759552, 2436767743, 'GB', 'United Kingdom'),
(77196, '145.62.32.0', '145.62.32.130', 2436767744, 2436767874, 'EU', 'Europe'),
(77197, '145.62.32.131', '145.62.32.131', 2436767875, 2436767875, 'DE', 'Germany'),
(77198, '145.62.32.132', '145.62.32.255', 2436767876, 2436767999, 'EU', 'Europe'),
(77199, '145.62.33.0', '145.62.255.255', 2436768000, 2436825087, 'GB', 'United Kingdom'),
(77200, '145.63.0.0', '145.217.255.255', 2436825088, 2446983167, 'NL', 'Netherlands'),
(77201, '145.218.0.0', '145.218.127.255', 2446983168, 2447015935, 'EU', 'Europe'),
(77202, '145.218.128.0', '145.218.128.3', 2447015936, 2447015939, 'DK', 'Denmark'),
(77203, '145.218.128.4', '145.218.128.7', 2447015940, 2447015943, 'SE', 'Sweden'),
(77204, '145.218.128.8', '145.218.128.11', 2447015944, 2447015947, 'GB', 'United Kingdom'),
(77205, '145.218.128.12', '145.218.128.15', 2447015948, 2447015951, 'HK', 'Hong Kong'),
(77206, '145.218.128.16', '145.218.255.255', 2447015952, 2447048703, 'EU', 'Europe'),
(77207, '145.219.0.0', '145.223.255.255', 2447048704, 2447376383, 'NL', 'Netherlands'),
(77208, '145.224.0.0', '145.224.32.56', 2447376384, 2447384632, 'GB', 'United Kingdom'),
(77209, '145.224.32.57', '145.224.32.57', 2447384633, 2447384633, 'NL', 'Netherlands'),
(77210, '145.224.32.58', '145.224.32.58', 2447384634, 2447384634, 'FR', 'France'),
(77211, '145.224.32.59', '145.224.32.59', 2447384635, 2447384635, 'BE', 'Belgium'),
(77212, '145.224.32.60', '145.224.32.60', 2447384636, 2447384636, 'DE', 'Germany'),
(77213, '145.224.32.61', '145.224.144.56', 2447384637, 2447413304, 'GB', 'United Kingdom'),
(77214, '145.224.144.57', '145.224.144.57', 2447413305, 2447413305, 'NL', 'Netherlands'),
(77215, '145.224.144.58', '145.224.144.58', 2447413306, 2447413306, 'FR', 'France'),
(77216, '145.224.144.59', '145.224.144.59', 2447413307, 2447413307, 'BE', 'Belgium'),
(77217, '145.224.144.60', '145.224.144.60', 2447413308, 2447413308, 'DE', 'Germany'),
(77218, '145.224.144.61', '145.224.255.255', 2447413309, 2447441919, 'GB', 'United Kingdom'),
(77219, '145.225.0.0', '145.225.255.255', 2447441920, 2447507455, 'DE', 'Germany'),
(77220, '145.226.0.0', '145.226.255.255', 2447507456, 2447572991, 'FR', 'France'),
(77221, '145.227.0.0', '145.227.255.255', 2447572992, 2447638527, 'GB', 'United Kingdom'),
(77222, '145.228.0.0', '145.228.161.75', 2447638528, 2447679819, 'DE', 'Germany'),
(77223, '145.228.161.76', '145.228.161.95', 2447679820, 2447679839, 'IT', 'Italy'),
(77224, '145.228.161.96', '145.228.255.255', 2447679840, 2447704063, 'DE', 'Germany'),
(77225, '145.229.0.0', '145.229.255.255', 2447704064, 2447769599, 'GB', 'United Kingdom'),
(77226, '145.230.0.0', '145.230.255.255', 2447769600, 2447835135, 'DE', 'Germany'),
(77227, '145.231.0.0', '145.231.255.255', 2447835136, 2447900671, 'FR', 'France'),
(77228, '145.232.0.0', '145.232.255.255', 2447900672, 2447966207, 'CH', 'Switzerland'),
(77229, '145.233.0.0', '145.233.255.255', 2447966208, 2448031743, 'GB', 'United Kingdom'),
(77230, '145.234.0.0', '145.234.255.255', 2448031744, 2448097279, 'CH', 'Switzerland'),
(77231, '145.235.0.0', '145.235.255.255', 2448097280, 2448162815, 'SE', 'Sweden'),
(77232, '145.236.0.0', '145.236.255.255', 2448162816, 2448228351, 'HU', 'Hungary'),
(77233, '145.237.0.0', '145.237.255.255', 2448228352, 2448293887, 'PL', 'Poland'),
(77234, '145.238.0.0', '145.238.255.255', 2448293888, 2448359423, 'FR', 'France'),
(77235, '145.239.0.0', '145.239.255.255', 2448359424, 2448424959, 'GB', 'United Kingdom'),
(77236, '145.240.0.0', '145.240.255.255', 2448424960, 2448490495, 'FR', 'France'),
(77237, '145.241.0.0', '145.241.255.255', 2448490496, 2448556031, 'AT', 'Austria'),
(77238, '145.242.0.0', '145.242.255.255', 2448556032, 2448621567, 'FR', 'France'),
(77239, '145.243.0.0', '145.243.255.255', 2448621568, 2448687103, 'DE', 'Germany'),
(77240, '145.244.0.0', '145.244.255.255', 2448687104, 2448752639, 'AT', 'Austria'),
(77241, '145.245.0.0', '145.245.255.255', 2448752640, 2448818175, 'CH', 'Switzerland'),
(77242, '145.246.0.0', '145.246.255.255', 2448818176, 2448883711, 'GB', 'United Kingdom'),
(77243, '145.247.0.0', '145.247.150.255', 2448883712, 2448922367, 'FI', 'Finland'),
(77244, '145.247.151.0', '145.247.170.255', 2448922368, 2448927487, 'NO', 'Norway'),
(77245, '145.247.171.0', '145.247.255.255', 2448927488, 2448949247, 'FI', 'Finland'),
(77246, '145.248.0.0', '145.248.255.255', 2448949248, 2449014783, 'FR', 'France'),
(77247, '145.249.0.0', '145.249.255.255', 2449014784, 2449080319, 'RU', 'Russian Federation'),
(77248, '145.250.0.0', '145.250.255.255', 2449080320, 2449145855, 'CH', 'Switzerland'),
(77249, '145.251.0.0', '145.251.255.255', 2449145856, 2449211391, 'SE', 'Sweden'),
(77250, '145.252.0.0', '145.252.255.255', 2449211392, 2449276927, 'CH', 'Switzerland'),
(77251, '145.253.0.0', '145.254.255.255', 2449276928, 2449407999, 'DE', 'Germany'),
(77252, '145.255.0.0', '145.255.47.255', 2449408000, 2449420287, 'RU', 'Russian Federation'),
(77253, '145.255.48.0', '145.255.55.255', 2449420288, 2449422335, 'DE', 'Germany'),
(77254, '145.255.56.0', '145.255.63.255', 2449422336, 2449424383, 'DK', 'Denmark'),
(77255, '145.255.64.0', '145.255.127.255', 2449424384, 2449440767, 'OM', 'Oman'),
(77256, '145.255.128.0', '145.255.128.255', 2449440768, 2449441023, 'NL', 'Netherlands'),
(77257, '145.255.129.0', '145.255.135.255', 2449441024, 2449442815, 'RO', 'Romania'),
(77258, '145.255.136.0', '145.255.143.255', 2449442816, 2449444863, 'RU', 'Russian Federation'),
(77259, '145.255.144.0', '145.255.159.255', 2449444864, 2449448959, 'SK', 'Slovakia'),
(77260, '145.255.160.0', '145.255.191.255', 2449448960, 2449457151, 'KZ', 'Kazakhstan'),
(77261, '145.255.192.0', '145.255.223.255', 2449457152, 2449465343, 'BG', 'Bulgaria'),
(77262, '145.255.224.0', '145.255.231.255', 2449465344, 2449467391, 'GB', 'United Kingdom'),
(77263, '145.255.232.0', '145.255.239.255', 2449467392, 2449469439, 'RU', 'Russian Federation'),
(77264, '145.255.240.0', '145.255.247.255', 2449469440, 2449471487, 'GB', 'United Kingdom'),
(77265, '145.255.248.0', '145.255.255.255', 2449471488, 2449473535, 'RU', 'Russian Federation'),
(77266, '146.0.0.0', '146.0.15.255', 2449473536, 2449477631, 'DE', 'Germany'),
(77267, '146.0.16.0', '146.0.23.255', 2449477632, 2449479679, 'AL', 'Albania'),
(77268, '146.0.24.0', '146.0.31.255', 2449479680, 2449481727, 'FR', 'France'),
(77269, '146.0.32.0', '146.0.63.255', 2449481728, 2449489919, 'RO', 'Romania'),
(77270, '146.0.64.0', '146.0.71.255', 2449489920, 2449491967, 'FR', 'France'),
(77271, '146.0.72.0', '146.0.72.128', 2449491968, 2449492096, 'NL', 'Netherlands'),
(77272, '146.0.72.129', '146.0.72.191', 2449492097, 2449492159, 'RU', 'Russian Federation'),
(77273, '146.0.72.192', '146.0.72.255', 2449492160, 2449492223, 'NL', 'Netherlands'),
(77274, '146.0.73.0', '146.0.73.49', 2449492224, 2449492273, 'RU', 'Russian Federation'),
(77275, '146.0.73.50', '146.0.73.117', 2449492274, 2449492341, 'NL', 'Netherlands'),
(77276, '146.0.73.118', '146.0.73.127', 2449492342, 2449492351, 'RU', 'Russian Federation'),
(77277, '146.0.73.128', '146.0.74.255', 2449492352, 2449492735, 'NL', 'Netherlands'),
(77278, '146.0.75.0', '146.0.75.32', 2449492736, 2449492768, 'RU', 'Russian Federation'),
(77279, '146.0.75.33', '146.0.75.69', 2449492769, 2449492805, 'NL', 'Netherlands'),
(77280, '146.0.75.70', '146.0.75.78', 2449492806, 2449492814, 'IN', 'India'),
(77281, '146.0.75.79', '146.0.75.128', 2449492815, 2449492864, 'NL', 'Netherlands'),
(77282, '146.0.75.129', '146.0.75.255', 2449492865, 2449492991, 'IN', 'India'),
(77283, '146.0.76.0', '146.0.79.255', 2449492992, 2449494015, 'NL', 'Netherlands'),
(77284, '146.0.80.0', '146.0.87.255', 2449494016, 2449496063, 'UA', 'Ukraine'),
(77285, '146.0.88.0', '146.0.95.255', 2449496064, 2449498111, 'FR', 'France'),
(77286, '146.0.96.0', '146.0.127.255', 2449498112, 2449506303, 'DE', 'Germany'),
(77287, '146.0.128.0', '146.0.255.255', 2449506304, 2449539071, 'RO', 'Romania'),
(77288, '146.1.0.0', '146.1.255.255', 2449539072, 2449604607, 'US', 'United States'),
(77289, '146.2.0.0', '146.2.255.255', 2449604608, 2449670143, 'NO', 'Norway'),
(77290, '146.3.0.0', '146.3.255.255', 2449670144, 2449735679, 'LU', 'Luxembourg'),
(77291, '146.4.0.0', '146.4.255.255', 2449735680, 2449801215, 'CH', 'Switzerland'),
(77292, '146.5.0.0', '146.10.255.255', 2449801216, 2450194431, 'US', 'United States'),
(77293, '146.11.0.0', '146.11.255.255', 2450194432, 2450259967, 'AU', 'Australia'),
(77294, '146.12.0.0', '146.18.255.255', 2450259968, 2450718719, 'US', 'United States'),
(77295, '146.19.0.0', '146.19.255.255', 2450718720, 2450784255, 'FR', 'France'),
(77296, '146.20.0.0', '146.20.255.255', 2450784256, 2450849791, 'US', 'United States'),
(77297, '146.21.0.0', '146.21.255.255', 2450849792, 2450915327, 'SE', 'Sweden'),
(77298, '146.22.0.0', '146.23.195.255', 2450915328, 2451031039, 'US', 'United States'),
(77299, '146.23.196.0', '146.23.196.255', 2451031040, 2451031295, 'AP', 'Asia/Pacific Region'),
(77300, '146.23.197.0', '146.23.211.255', 2451031296, 2451035135, 'US', 'United States'),
(77301, '146.23.212.0', '146.23.212.255', 2451035136, 2451035391, 'EU', 'Europe'),
(77302, '146.23.213.0', '146.38.90.15', 2451035392, 2451986959, 'US', 'United States'),
(77303, '146.38.90.16', '146.38.90.16', 2451986960, 2451986960, 'GB', 'United Kingdom'),
(77304, '146.38.90.17', '146.47.255.255', 2451986961, 2452619263, 'US', 'United States'),
(77305, '146.48.0.0', '146.48.255.255', 2452619264, 2452684799, 'IT', 'Italy'),
(77306, '146.49.0.0', '146.49.255.255', 2452684800, 2452750335, 'US', 'United States'),
(77307, '146.50.0.0', '146.50.255.255', 2452750336, 2452815871, 'NL', 'Netherlands'),
(77308, '146.51.0.0', '146.51.255.255', 2452815872, 2452881407, 'JP', 'Japan'),
(77309, '146.52.0.0', '146.52.255.255', 2452881408, 2452946943, 'DE', 'Germany'),
(77310, '146.53.0.0', '146.55.255.255', 2452946944, 2453143551, 'US', 'United States'),
(77311, '146.56.0.0', '146.56.255.255', 2453143552, 2453209087, 'JP', 'Japan'),
(77312, '146.57.0.0', '146.58.255.255', 2453209088, 2453340159, 'US', 'United States'),
(77313, '146.59.0.0', '146.59.255.255', 2453340160, 2453405695, 'NO', 'Norway'),
(77314, '146.60.0.0', '146.60.255.255', 2453405696, 2453471231, 'DE', 'Germany'),
(77315, '146.61.0.0', '146.61.255.255', 2453471232, 2453536767, 'US', 'United States'),
(77316, '146.63.0.0', '146.63.255.255', 2453602304, 2453667839, 'US', 'United States'),
(77317, '146.64.0.0', '146.64.255.255', 2453667840, 2453733375, 'ZA', 'South Africa'),
(77318, '146.65.0.0', '146.65.255.255', 2453733376, 2453798911, 'US', 'United States'),
(77319, '146.66.0.0', '146.66.7.255', 2453798912, 2453800959, 'GB', 'United Kingdom'),
(77320, '146.66.8.0', '146.66.15.255', 2453800960, 2453803007, 'RU', 'Russian Federation'),
(77321, '146.66.16.0', '146.66.23.255', 2453803008, 2453805055, 'KZ', 'Kazakhstan'),
(77322, '146.66.24.0', '146.66.31.255', 2453805056, 2453807103, 'FI', 'Finland'),
(77323, '146.66.32.0', '146.66.63.255', 2453807104, 2453815295, 'GB', 'United Kingdom'),
(77324, '146.66.64.0', '146.66.127.255', 2453815296, 2453831679, 'RO', 'Romania'),
(77325, '146.66.128.0', '146.66.128.127', 2453831680, 2453831807, 'IR', 'Iran, Islamic Republic of'),
(77326, '146.66.128.128', '146.66.128.191', 2453831808, 2453831871, 'IQ', 'Iraq'),
(77327, '146.66.128.192', '146.66.132.255', 2453831872, 2453832959, 'IR', 'Iran, Islamic Republic of'),
(77328, '146.66.133.0', '146.66.135.255', 2453832960, 2453833727, 'IQ', 'Iraq'),
(77329, '146.66.136.0', '146.66.143.255', 2453833728, 2453835775, 'ES', 'Spain'),
(77330, '146.66.144.0', '146.66.151.255', 2453835776, 2453837823, 'DE', 'Germany'),
(77331, '146.66.152.0', '146.66.154.255', 2453837824, 2453838591, 'LU', 'Luxembourg'),
(77332, '146.66.155.0', '146.66.155.255', 2453838592, 2453838847, 'EU', 'Europe'),
(77333, '146.66.156.0', '146.66.157.255', 2453838848, 2453839359, 'SE', 'Sweden'),
(77334, '146.66.158.0', '146.66.159.255', 2453839360, 2453839871, 'EU', 'Europe'),
(77335, '146.66.160.0', '146.66.207.255', 2453839872, 2453852159, 'RU', 'Russian Federation'),
(77336, '146.66.208.0', '146.66.223.255', 2453852160, 2453856255, 'RO', 'Romania'),
(77337, '146.66.224.0', '146.66.231.255', 2453856256, 2453858303, 'DE', 'Germany'),
(77338, '146.66.232.0', '146.66.239.255', 2453858304, 2453860351, 'SE', 'Sweden'),
(77339, '146.66.240.0', '146.66.255.255', 2453860352, 2453864447, 'ES', 'Spain'),
(77340, '146.67.0.0', '146.67.255.255', 2453864448, 2453929983, 'CH', 'Switzerland'),
(77341, '146.68.0.0', '146.69.255.255', 2453929984, 2454061055, 'US', 'United States'),
(77342, '146.70.0.0', '146.70.255.255', 2454061056, 2454126591, 'GB', 'United Kingdom'),
(77343, '146.71.128.0', '146.71.255.255', 2454159360, 2454192127, 'US', 'United States'),
(77344, '146.72.0.0', '146.72.255.255', 2454192128, 2454257663, 'NO', 'Norway'),
(77345, '146.73.0.0', '146.74.255.255', 2454257664, 2454388735, 'US', 'United States'),
(77346, '146.75.0.0', '146.75.255.255', 2454388736, 2454454271, 'SE', 'Sweden'),
(77347, '146.76.0.0', '146.76.255.255', 2454454272, 2454519807, 'US', 'United States'),
(77348, '146.77.0.0', '146.77.255.255', 2454519808, 2454585343, 'GB', 'United Kingdom'),
(77349, '146.78.0.0', '146.79.255.255', 2454585344, 2454716415, 'US', 'United States'),
(77350, '146.80.0.0', '146.80.255.255', 2454716416, 2454781951, 'GB', 'United Kingdom'),
(77351, '146.81.0.0', '146.81.255.255', 2454781952, 2454847487, 'FI', 'Finland'),
(77352, '146.82.0.0', '146.82.15.255', 2454847488, 2454851583, 'US', 'United States'),
(77353, '146.82.16.0', '146.82.16.255', 2454851584, 2454851839, 'DK', 'Denmark'),
(77354, '146.82.17.0', '146.82.17.255', 2454851840, 2454852095, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(77355, '146.82.18.0', '146.82.18.255', 2454852096, 2454852351, 'A1', 'Anonymous Proxy'),
(77356, '146.82.19.0', '146.82.21.255', 2454852352, 2454853119, 'US', 'United States'),
(77357, '146.82.22.0', '146.82.22.255', 2454853120, 2454853375, 'DK', 'Denmark'),
(77358, '146.82.23.0', '146.82.148.127', 2454853376, 2454885503, 'US', 'United States'),
(77359, '146.82.148.128', '146.82.148.255', 2454885504, 2454885631, 'GB', 'United Kingdom'),
(77360, '146.82.149.0', '146.82.155.255', 2454885632, 2454887423, 'US', 'United States'),
(77361, '146.82.156.0', '146.82.156.255', 2454887424, 2454887679, 'DK', 'Denmark'),
(77362, '146.82.157.0', '146.82.224.167', 2454887680, 2454904999, 'US', 'United States'),
(77363, '146.82.224.168', '146.82.224.175', 2454905000, 2454905007, 'BR', 'Brazil'),
(77364, '146.82.224.176', '146.82.232.63', 2454905008, 2454906943, 'US', 'United States'),
(77365, '146.82.232.64', '146.82.232.71', 2454906944, 2454906951, 'CL', 'Chile'),
(77366, '146.82.232.72', '146.82.255.255', 2454906952, 2454913023, 'US', 'United States'),
(77367, '146.83.0.0', '146.83.255.255', 2454913024, 2454978559, 'CL', 'Chile'),
(77368, '146.84.0.0', '146.86.255.255', 2454978560, 2455175167, 'US', 'United States'),
(77369, '146.87.0.0', '146.87.255.255', 2455175168, 2455240703, 'GB', 'United Kingdom'),
(77370, '146.88.0.0', '146.89.255.255', 2455240704, 2455371775, 'US', 'United States'),
(77371, '146.90.0.0', '146.90.255.255', 2455371776, 2455437311, 'GB', 'United Kingdom'),
(77372, '146.91.0.0', '146.96.255.255', 2455437312, 2455830527, 'US', 'United States'),
(77373, '146.97.0.0', '146.97.255.255', 2455830528, 2455896063, 'GB', 'United Kingdom'),
(77374, '146.98.0.0', '146.99.255.255', 2455896064, 2456027135, 'US', 'United States'),
(77375, '146.100.0.0', '146.100.255.255', 2456027136, 2456092671, 'IT', 'Italy'),
(77376, '146.101.0.0', '146.101.255.255', 2456092672, 2456158207, 'GB', 'United Kingdom'),
(77377, '146.102.0.0', '146.102.255.255', 2456158208, 2456223743, 'CZ', 'Czech Republic'),
(77378, '146.103.0.0', '146.103.255.255', 2456223744, 2456289279, 'BE', 'Belgium'),
(77379, '146.104.0.0', '146.104.255.255', 2456289280, 2456354815, 'NL', 'Netherlands'),
(77380, '146.105.0.0', '146.105.255.255', 2456354816, 2456420351, 'GB', 'United Kingdom'),
(77381, '146.106.0.0', '146.106.255.255', 2456420352, 2456485887, 'EU', 'Europe'),
(77382, '146.107.0.0', '146.107.255.255', 2456485888, 2456551423, 'DE', 'Germany'),
(77383, '146.108.0.0', '146.108.201.255', 2456551424, 2456603135, 'AT', 'Austria'),
(77384, '146.108.202.0', '146.108.202.255', 2456603136, 2456603391, 'EU', 'Europe'),
(77385, '146.108.203.0', '146.108.255.255', 2456603392, 2456616959, 'AT', 'Austria'),
(77386, '146.109.0.0', '146.109.255.255', 2456616960, 2456682495, 'CH', 'Switzerland'),
(77387, '146.110.0.0', '146.110.255.255', 2456682496, 2456748031, 'HU', 'Hungary'),
(77388, '146.111.0.0', '146.111.255.255', 2456748032, 2456813567, 'US', 'United States'),
(77389, '146.112.0.0', '146.112.255.255', 2456813568, 2456879103, 'AT', 'Austria'),
(77390, '146.113.0.0', '146.115.255.255', 2456879104, 2457075711, 'US', 'United States'),
(77391, '146.116.0.0', '146.116.255.255', 2457075712, 2457141247, 'AU', 'Australia'),
(77392, '146.118.0.0', '146.118.255.255', 2457206784, 2457272319, 'AU', 'Australia'),
(77393, '146.119.0.0', '146.119.255.255', 2457272320, 2457337855, 'FI', 'Finland'),
(77394, '146.120.0.0', '146.120.87.255', 2457337856, 2457360383, 'RU', 'Russian Federation'),
(77395, '146.120.88.0', '146.120.90.255', 2457360384, 2457361151, 'UA', 'Ukraine'),
(77396, '146.120.91.0', '146.120.91.255', 2457361152, 2457361407, 'CZ', 'Czech Republic'),
(77397, '146.120.92.0', '146.120.111.255', 2457361408, 2457366527, 'RU', 'Russian Federation'),
(77398, '146.120.112.0', '146.120.115.255', 2457366528, 2457367551, 'GB', 'United Kingdom'),
(77399, '146.120.116.0', '146.120.135.255', 2457367552, 2457372671, 'CZ', 'Czech Republic'),
(77400, '146.120.136.0', '146.120.151.255', 2457372672, 2457376767, 'RU', 'Russian Federation'),
(77401, '146.120.152.0', '146.120.159.255', 2457376768, 2457378815, 'DE', 'Germany'),
(77402, '146.120.160.0', '146.120.215.255', 2457378816, 2457393151, 'RU', 'Russian Federation'),
(77403, '146.120.216.0', '146.120.235.255', 2457393152, 2457398271, 'CZ', 'Czech Republic'),
(77404, '146.120.236.0', '146.120.243.255', 2457398272, 2457400319, 'UA', 'Ukraine'),
(77405, '146.120.244.0', '146.120.255.255', 2457400320, 2457403391, 'RU', 'Russian Federation'),
(77406, '146.121.0.0', '146.123.255.255', 2457403392, 2457599999, 'US', 'United States'),
(77407, '146.124.0.0', '146.124.255.255', 2457600000, 2457665535, 'GR', 'Greece'),
(77408, '146.125.0.0', '146.130.255.255', 2457665536, 2458058751, 'US', 'United States'),
(77409, '146.131.0.0', '146.131.255.255', 2458058752, 2458124287, 'CA', 'Canada'),
(77410, '146.132.0.0', '146.132.255.255', 2458124288, 2458189823, 'US', 'United States'),
(77411, '146.133.0.0', '146.133.255.255', 2458189824, 2458255359, 'IT', 'Italy'),
(77412, '146.134.0.0', '146.134.255.255', 2458255360, 2458320895, 'BR', 'Brazil'),
(77413, '146.135.0.0', '146.135.255.255', 2458320896, 2458386431, 'US', 'United States'),
(77414, '146.136.0.0', '146.136.255.255', 2458386432, 2458451967, 'CH', 'Switzerland'),
(77415, '146.137.0.0', '146.139.255.255', 2458451968, 2458648575, 'US', 'United States'),
(77416, '146.140.0.0', '146.140.255.255', 2458648576, 2458714111, 'DE', 'Germany'),
(77417, '146.141.0.0', '146.141.255.255', 2458714112, 2458779647, 'ZA', 'South Africa'),
(77418, '146.142.0.0', '146.143.255.255', 2458779648, 2458910719, 'US', 'United States'),
(77419, '146.145.0.0', '146.145.75.55', 2458976256, 2458995511, 'US', 'United States'),
(77420, '146.145.75.56', '146.145.75.63', 2458995512, 2458995519, 'PA', 'Panama'),
(77421, '146.145.75.64', '146.148.71.255', 2458995520, 2459191295, 'US', 'United States'),
(77422, '146.148.72.0', '146.148.72.255', 2459191296, 2459191551, 'CH', 'Switzerland'),
(77423, '146.148.73.0', '146.154.255.255', 2459191552, 2459631615, 'US', 'United States'),
(77424, '146.155.0.0', '146.155.255.255', 2459631616, 2459697151, 'CL', 'Chile'),
(77425, '146.156.0.0', '146.157.255.255', 2459697152, 2459828223, 'US', 'United States'),
(77426, '146.158.0.0', '146.158.127.255', 2459828224, 2459860991, 'RU', 'Russian Federation'),
(77427, '146.158.128.0', '146.158.255.255', 2459860992, 2459893759, 'RO', 'Romania'),
(77428, '146.159.0.0', '146.159.255.255', 2459893760, 2459959295, 'CH', 'Switzerland'),
(77429, '146.160.0.0', '146.160.255.255', 2459959296, 2460024831, 'US', 'United States'),
(77430, '146.161.0.0', '146.161.255.255', 2460024832, 2460090367, 'FI', 'Finland'),
(77431, '146.162.0.0', '146.162.255.255', 2460090368, 2460155903, 'GB', 'United Kingdom'),
(77432, '146.163.0.0', '146.163.255.255', 2460155904, 2460221439, 'US', 'United States'),
(77433, '146.164.0.0', '146.164.255.255', 2460221440, 2460286975, 'BR', 'Brazil'),
(77434, '146.165.0.0', '146.168.255.255', 2460286976, 2460549119, 'US', 'United States'),
(77435, '146.169.0.0', '146.169.255.255', 2460549120, 2460614655, 'GB', 'United Kingdom'),
(77436, '146.170.0.0', '146.170.255.255', 2460614656, 2460680191, 'US', 'United States'),
(77437, '146.171.0.0', '146.171.255.255', 2460680192, 2460745727, 'NZ', 'New Zealand'),
(77438, '146.172.0.0', '146.172.255.255', 2460745728, 2460811263, 'NO', 'Norway'),
(77439, '146.173.0.0', '146.173.255.255', 2460811264, 2460876799, 'SE', 'Sweden'),
(77440, '146.174.0.0', '146.174.255.255', 2460876800, 2460942335, 'US', 'United States'),
(77441, '146.175.0.0', '146.175.255.255', 2460942336, 2461007871, 'BE', 'Belgium'),
(77442, '146.176.0.0', '146.177.255.255', 2461007872, 2461138943, 'GB', 'United Kingdom'),
(77443, '146.178.0.0', '146.178.255.255', 2461138944, 2461204479, 'AU', 'Australia'),
(77444, '146.179.0.0', '146.179.255.255', 2461204480, 2461270015, 'GB', 'United Kingdom'),
(77445, '146.180.0.0', '146.181.255.255', 2461270016, 2461401087, 'US', 'United States'),
(77446, '146.182.0.0', '146.182.255.255', 2461401088, 2461466623, 'ZA', 'South Africa'),
(77447, '146.183.0.0', '146.184.255.255', 2461466624, 2461597695, 'US', 'United States'),
(77448, '146.185.0.0', '146.185.7.255', 2461597696, 2461599743, 'CH', 'Switzerland'),
(77449, '146.185.8.0', '146.185.15.255', 2461599744, 2461601791, 'SE', 'Sweden'),
(77450, '146.185.16.0', '146.185.23.178', 2461601792, 2461603762, 'GB', 'United Kingdom'),
(77451, '146.185.23.179', '146.185.23.179', 2461603763, 2461603763, 'A1', 'Anonymous Proxy'),
(77452, '146.185.23.180', '146.185.31.255', 2461603764, 2461605887, 'GB', 'United Kingdom'),
(77453, '146.185.32.0', '146.185.39.255', 2461605888, 2461607935, 'LB', 'Lebanon'),
(77454, '146.185.40.0', '146.185.47.255', 2461607936, 2461609983, 'FR', 'France'),
(77455, '146.185.48.0', '146.185.48.111', 2461609984, 2461610095, 'BE', 'Belgium'),
(77456, '146.185.48.112', '146.185.48.127', 2461610096, 2461610111, 'NL', 'Netherlands'),
(77457, '146.185.48.128', '146.185.49.223', 2461610112, 2461610463, 'BE', 'Belgium'),
(77458, '146.185.49.224', '146.185.49.239', 2461610464, 2461610479, 'NL', 'Netherlands'),
(77459, '146.185.49.240', '146.185.49.255', 2461610480, 2461610495, 'BE', 'Belgium'),
(77460, '146.185.50.0', '146.185.53.255', 2461610496, 2461611519, 'NL', 'Netherlands'),
(77461, '146.185.54.0', '146.185.54.55', 2461611520, 2461611575, 'BE', 'Belgium'),
(77462, '146.185.54.56', '146.185.54.63', 2461611576, 2461611583, 'NL', 'Netherlands'),
(77463, '146.185.54.64', '146.185.55.255', 2461611584, 2461612031, 'BE', 'Belgium'),
(77464, '146.185.56.0', '146.185.63.255', 2461612032, 2461614079, 'IL', 'Israel'),
(77465, '146.185.64.0', '146.185.127.255', 2461614080, 2461630463, 'TR', 'Turkey'),
(77466, '146.185.128.0', '146.185.217.255', 2461630464, 2461653503, 'RU', 'Russian Federation'),
(77467, '146.185.218.0', '146.185.219.255', 2461653504, 2461654015, 'GB', 'United Kingdom'),
(77468, '146.185.220.0', '146.185.239.255', 2461654016, 2461659135, 'RU', 'Russian Federation'),
(77469, '146.185.240.0', '146.185.241.255', 2461659136, 2461659647, 'UA', 'Ukraine'),
(77470, '146.185.242.0', '146.185.242.255', 2461659648, 2461659903, 'RU', 'Russian Federation'),
(77471, '146.185.243.0', '146.185.243.1', 2461659904, 2461659905, 'UA', 'Ukraine'),
(77472, '146.185.243.2', '146.185.243.9', 2461659906, 2461659913, 'RU', 'Russian Federation'),
(77473, '146.185.243.10', '146.185.243.255', 2461659914, 2461660159, 'UA', 'Ukraine'),
(77474, '146.185.244.0', '146.185.255.255', 2461660160, 2461663231, 'RU', 'Russian Federation'),
(77475, '146.186.0.0', '146.187.255.255', 2461663232, 2461794303, 'US', 'United States'),
(77476, '146.188.0.0', '146.188.255.255', 2461794304, 2461859839, 'GB', 'United Kingdom'),
(77477, '146.189.0.0', '146.190.255.255', 2461859840, 2461990911, 'US', 'United States'),
(77478, '146.191.0.0', '146.191.255.255', 2461990912, 2462056447, 'GB', 'United Kingdom'),
(77479, '146.192.0.0', '146.192.255.255', 2462056448, 2462121983, 'NO', 'Norway'),
(77480, '146.193.0.0', '146.193.255.255', 2462121984, 2462187519, 'PT', 'Portugal'),
(77481, '146.194.0.0', '146.194.255.255', 2462187520, 2462253055, 'GB', 'United Kingdom'),
(77482, '146.195.0.0', '146.196.31.255', 2462253056, 2462326783, 'AU', 'Australia'),
(77483, '146.197.0.0', '146.209.255.255', 2462384128, 2463236095, 'US', 'United States'),
(77484, '146.210.0.0', '146.210.255.255', 2463236096, 2463301631, 'AT', 'Austria'),
(77485, '146.211.0.0', '146.211.255.255', 2463301632, 2463367167, 'FI', 'Finland'),
(77486, '146.212.0.0', '146.212.255.255', 2463367168, 2463432703, 'SI', 'Slovenia'),
(77487, '146.213.0.0', '146.213.255.255', 2463432704, 2463498239, 'NO', 'Norway'),
(77488, '146.214.0.0', '146.215.255.255', 2463498240, 2463629311, 'US', 'United States'),
(77489, '146.216.0.0', '146.216.255.255', 2463629312, 2463694847, 'CH', 'Switzerland'),
(77490, '146.217.0.0', '146.218.255.255', 2463694848, 2463825919, 'US', 'United States'),
(77491, '146.219.0.0', '146.219.255.255', 2463825920, 2463891455, 'ES', 'Spain'),
(77492, '146.220.0.0', '146.220.79.255', 2463891456, 2463911935, 'LU', 'Luxembourg'),
(77493, '146.220.80.0', '146.220.95.255', 2463911936, 2463916031, 'FR', 'France'),
(77494, '146.220.96.0', '146.220.255.255', 2463916032, 2463956991, 'LU', 'Luxembourg'),
(77495, '146.221.0.0', '146.221.255.255', 2463956992, 2464022527, 'AU', 'Australia'),
(77496, '146.222.0.0', '146.223.255.255', 2464022528, 2464153599, 'US', 'United States'),
(77497, '146.224.0.0', '146.224.255.255', 2464153600, 2464219135, 'NO', 'Norway'),
(77498, '146.225.0.0', '146.225.255.255', 2464219136, 2464284671, 'US', 'United States'),
(77499, '146.226.0.0', '146.226.255.255', 2464284672, 2464350207, 'VI', 'Virgin Islands, U.S.'),
(77500, '146.227.0.0', '146.227.255.255', 2464350208, 2464415743, 'GB', 'United Kingdom'),
(77501, '146.228.0.0', '146.228.255.255', 2464415744, 2464481279, 'CH', 'Switzerland'),
(77502, '146.229.0.0', '146.229.255.255', 2464481280, 2464546815, 'US', 'United States'),
(77503, '146.230.0.0', '146.232.255.255', 2464546816, 2464743423, 'ZA', 'South Africa'),
(77504, '146.233.0.0', '146.233.255.255', 2464743424, 2464808959, 'US', 'United States'),
(77505, '146.234.0.0', '146.234.255.255', 2464808960, 2464874495, 'DE', 'Germany'),
(77506, '146.235.0.0', '146.246.255.255', 2464874496, 2465660927, 'US', 'United States'),
(77507, '146.247.0.0', '146.247.7.255', 2465660928, 2465662975, 'RU', 'Russian Federation'),
(77508, '146.247.8.0', '146.247.15.255', 2465662976, 2465665023, 'CH', 'Switzerland'),
(77509, '146.247.16.0', '146.247.23.255', 2465665024, 2465667071, 'IT', 'Italy'),
(77510, '146.247.24.0', '146.247.31.255', 2465667072, 2465669119, 'SI', 'Slovenia'),
(77511, '146.247.32.0', '146.247.39.255', 2465669120, 2465671167, 'RU', 'Russian Federation'),
(77512, '146.247.40.0', '146.247.47.255', 2465671168, 2465673215, 'IE', 'Ireland'),
(77513, '146.247.48.0', '146.247.63.255', 2465673216, 2465677311, 'GB', 'United Kingdom'),
(77514, '146.247.64.0', '146.247.71.255', 2465677312, 2465679359, 'IT', 'Italy'),
(77515, '146.247.72.0', '146.247.79.255', 2465679360, 2465681407, 'NL', 'Netherlands'),
(77516, '146.247.80.0', '146.247.87.255', 2465681408, 2465683455, 'SE', 'Sweden'),
(77517, '146.247.88.0', '146.247.95.255', 2465683456, 2465685503, 'FR', 'France'),
(77518, '146.247.96.0', '146.247.114.255', 2465685504, 2465690367, 'DE', 'Germany'),
(77519, '146.247.115.0', '146.247.115.63', 2465690368, 2465690431, 'US', 'United States'),
(77520, '146.247.115.64', '146.247.115.255', 2465690432, 2465690623, 'IT', 'Italy'),
(77521, '146.247.116.0', '146.247.116.15', 2465690624, 2465690639, 'GB', 'United Kingdom'),
(77522, '146.247.116.16', '146.247.116.255', 2465690640, 2465690879, 'IT', 'Italy'),
(77523, '146.247.117.0', '146.247.117.15', 2465690880, 2465690895, 'CH', 'Switzerland'),
(77524, '146.247.117.16', '146.247.117.255', 2465690896, 2465691135, 'IT', 'Italy'),
(77525, '146.247.118.0', '146.247.118.15', 2465691136, 2465691151, 'DE', 'Germany'),
(77526, '146.247.118.16', '146.247.118.255', 2465691152, 2465691391, 'IT', 'Italy'),
(77527, '146.247.119.0', '146.247.119.15', 2465691392, 2465691407, 'NL', 'Netherlands'),
(77528, '146.247.119.16', '146.247.119.255', 2465691408, 2465691647, 'IT', 'Italy'),
(77529, '146.247.120.0', '146.247.120.15', 2465691648, 2465691663, 'BR', 'Brazil'),
(77530, '146.247.120.16', '146.247.120.255', 2465691664, 2465691903, 'IT', 'Italy'),
(77531, '146.247.121.0', '146.247.121.15', 2465691904, 2465691919, 'JP', 'Japan'),
(77532, '146.247.121.16', '146.247.121.255', 2465691920, 2465692159, 'IT', 'Italy'),
(77533, '146.247.122.0', '146.247.122.15', 2465692160, 2465692175, 'CN', 'China'),
(77534, '146.247.122.16', '146.247.122.255', 2465692176, 2465692415, 'IT', 'Italy'),
(77535, '146.247.123.0', '146.247.123.15', 2465692416, 2465692431, 'LT', 'Lithuania'),
(77536, '146.247.123.16', '146.247.123.255', 2465692432, 2465692671, 'IT', 'Italy'),
(77537, '146.247.124.0', '146.247.124.15', 2465692672, 2465692687, 'FR', 'France'),
(77538, '146.247.124.16', '146.247.124.255', 2465692688, 2465692927, 'IT', 'Italy'),
(77539, '146.247.125.0', '146.247.125.15', 2465692928, 2465692943, 'ID', 'Indonesia'),
(77540, '146.247.125.16', '146.247.125.255', 2465692944, 2465693183, 'IT', 'Italy'),
(77541, '146.247.126.0', '146.247.126.15', 2465693184, 2465693199, 'RU', 'Russian Federation'),
(77542, '146.247.126.16', '146.247.126.255', 2465693200, 2465693439, 'IT', 'Italy'),
(77543, '146.247.127.0', '146.247.127.15', 2465693440, 2465693455, 'FR', 'France'),
(77544, '146.247.127.16', '146.247.127.255', 2465693456, 2465693695, 'IT', 'Italy'),
(77545, '146.247.128.0', '146.247.226.255', 2465693696, 2465719039, 'NO', 'Norway'),
(77546, '146.247.227.0', '146.247.227.127', 2465719040, 2465719167, 'FR', 'France'),
(77547, '146.247.227.128', '146.247.227.255', 2465719168, 2465719295, 'US', 'United States'),
(77548, '146.247.228.0', '146.247.228.127', 2465719296, 2465719423, 'FR', 'France'),
(77549, '146.247.228.128', '146.247.228.255', 2465719424, 2465719551, 'US', 'United States'),
(77550, '146.247.229.0', '146.247.229.127', 2465719552, 2465719679, 'FR', 'France'),
(77551, '146.247.229.128', '146.247.229.255', 2465719680, 2465719807, 'US', 'United States'),
(77552, '146.247.230.0', '146.247.230.127', 2465719808, 2465719935, 'FR', 'France'),
(77553, '146.247.230.128', '146.247.230.255', 2465719936, 2465720063, 'US', 'United States'),
(77554, '146.247.231.0', '146.247.231.127', 2465720064, 2465720191, 'FR', 'France'),
(77555, '146.247.231.128', '146.247.231.255', 2465720192, 2465720319, 'US', 'United States'),
(77556, '146.247.232.0', '146.247.232.31', 2465720320, 2465720351, 'NO', 'Norway'),
(77557, '146.247.232.32', '146.247.232.63', 2465720352, 2465720383, 'DK', 'Denmark'),
(77558, '146.247.232.64', '146.247.233.31', 2465720384, 2465720607, 'NO', 'Norway'),
(77559, '146.247.233.32', '146.247.233.63', 2465720608, 2465720639, 'DK', 'Denmark'),
(77560, '146.247.233.64', '146.247.234.31', 2465720640, 2465720863, 'NO', 'Norway'),
(77561, '146.247.234.32', '146.247.234.63', 2465720864, 2465720895, 'DK', 'Denmark'),
(77562, '146.247.234.64', '146.247.235.31', 2465720896, 2465721119, 'NO', 'Norway'),
(77563, '146.247.235.32', '146.247.235.63', 2465721120, 2465721151, 'DK', 'Denmark'),
(77564, '146.247.235.64', '146.247.236.31', 2465721152, 2465721375, 'NO', 'Norway'),
(77565, '146.247.236.32', '146.247.236.63', 2465721376, 2465721407, 'DK', 'Denmark'),
(77566, '146.247.236.64', '146.247.255.255', 2465721408, 2465726463, 'NO', 'Norway'),
(77567, '146.248.0.0', '146.248.255.255', 2465726464, 2465791999, 'CH', 'Switzerland'),
(77568, '146.249.0.0', '146.249.255.255', 2465792000, 2465857535, 'FR', 'France'),
(77569, '146.250.0.0', '146.250.255.255', 2465857536, 2465923071, 'US', 'United States'),
(77570, '146.251.0.0', '146.251.255.255', 2465923072, 2465988607, 'SA', 'Saudi Arabia'),
(77571, '146.252.0.0', '146.252.255.255', 2465988608, 2466054143, 'US', 'United States'),
(77572, '146.253.0.0', '146.253.255.255', 2466054144, 2466119679, 'SE', 'Sweden'),
(77573, '146.254.0.0', '146.254.255.255', 2466119680, 2466185215, 'DE', 'Germany'),
(77574, '146.255.0.0', '146.255.15.255', 2466185216, 2466189311, 'GB', 'United Kingdom'),
(77575, '146.255.16.0', '146.255.23.255', 2466189312, 2466191359, 'ES', 'Spain'),
(77576, '146.255.24.0', '146.255.31.255', 2466191360, 2466193407, 'CZ', 'Czech Republic'),
(77577, '146.255.32.0', '146.255.55.255', 2466193408, 2466199551, 'NL', 'Netherlands'),
(77578, '146.255.56.0', '146.255.63.255', 2466199552, 2466201599, 'AT', 'Austria'),
(77579, '146.255.64.0', '146.255.95.255', 2466201600, 2466209791, 'MK', 'Macedonia'),
(77580, '146.255.96.0', '146.255.103.255', 2466209792, 2466211839, 'ES', 'Spain'),
(77581, '146.255.104.0', '146.255.111.255', 2466211840, 2466213887, 'GB', 'United Kingdom'),
(77582, '146.255.112.0', '146.255.119.255', 2466213888, 2466215935, 'CH', 'Switzerland'),
(77583, '146.255.120.0', '146.255.127.255', 2466215936, 2466217983, 'DE', 'Germany'),
(77584, '146.255.128.0', '146.255.159.255', 2466217984, 2466226175, 'BA', 'Bosnia and Herzegovina'),
(77585, '146.255.160.0', '146.255.167.255', 2466226176, 2466228223, 'IT', 'Italy'),
(77586, '146.255.168.0', '146.255.175.255', 2466228224, 2466230271, 'FR', 'France'),
(77587, '146.255.176.0', '146.255.183.255', 2466230272, 2466232319, 'EE', 'Estonia'),
(77588, '146.255.184.0', '146.255.191.255', 2466232320, 2466234367, 'ES', 'Spain'),
(77589, '146.255.192.0', '146.255.223.255', 2466234368, 2466242559, 'RU', 'Russian Federation'),
(77590, '146.255.224.0', '146.255.255.255', 2466242560, 2466250751, 'GE', 'Georgia'),
(77591, '147.0.0.0', '147.5.255.255', 2466250752, 2466643967, 'US', 'United States'),
(77592, '147.6.0.0', '147.6.255.255', 2466643968, 2466709503, 'KR', 'Korea, Republic of'),
(77593, '147.7.0.0', '147.7.255.255', 2466709504, 2466775039, 'HU', 'Hungary'),
(77594, '147.8.0.0', '147.8.255.255', 2466775040, 2466840575, 'HK', 'Hong Kong'),
(77595, '147.9.0.0', '147.9.255.255', 2466840576, 2466906111, 'US', 'United States'),
(77596, '147.10.0.0', '147.10.255.255', 2466906112, 2466971647, 'AU', 'Australia'),
(77597, '147.11.0.0', '147.11.255.255', 2466971648, 2467037183, 'US', 'United States'),
(77598, '147.12.0.0', '147.12.255.255', 2467037184, 2467102719, 'NL', 'Netherlands'),
(77599, '147.13.0.0', '147.14.255.255', 2467102720, 2467233791, 'SE', 'Sweden'),
(77600, '147.15.0.0', '147.26.255.255', 2467233792, 2468020223, 'US', 'United States'),
(77601, '147.27.0.0', '147.27.255.255', 2468020224, 2468085759, 'GR', 'Greece'),
(77602, '147.28.0.0', '147.28.255.255', 2468085760, 2468151295, 'US', 'United States'),
(77603, '147.29.0.0', '147.29.113.255', 2468151296, 2468180479, 'DK', 'Denmark'),
(77604, '147.29.114.0', '147.29.114.255', 2468180480, 2468180735, 'EU', 'Europe'),
(77605, '147.29.115.0', '147.29.149.223', 2468180736, 2468189663, 'DK', 'Denmark'),
(77606, '147.29.149.224', '147.29.149.255', 2468189664, 2468189695, 'GB', 'United Kingdom'),
(77607, '147.29.150.0', '147.29.255.255', 2468189696, 2468216831, 'DK', 'Denmark'),
(77608, '147.30.0.0', '147.30.255.255', 2468216832, 2468282367, 'KZ', 'Kazakhstan'),
(77609, '147.31.0.0', '147.31.255.255', 2468282368, 2468347903, 'US', 'United States'),
(77610, '147.32.0.0', '147.33.255.255', 2468347904, 2468478975, 'CZ', 'Czech Republic'),
(77611, '147.34.0.0', '147.40.255.255', 2468478976, 2468937727, 'US', 'United States'),
(77612, '147.41.0.0', '147.41.255.255', 2468937728, 2469003263, 'AU', 'Australia'),
(77613, '147.42.0.0', '147.42.255.255', 2469003264, 2469068799, 'US', 'United States'),
(77614, '147.43.0.0', '147.43.255.255', 2469068800, 2469134335, 'KR', 'Korea, Republic of'),
(77615, '147.44.0.0', '147.44.255.255', 2469134336, 2469199871, 'SE', 'Sweden'),
(77616, '147.45.0.0', '147.45.255.255', 2469199872, 2469265407, 'RU', 'Russian Federation'),
(77617, '147.46.0.0', '147.47.255.255', 2469265408, 2469396479, 'KR', 'Korea, Republic of'),
(77618, '147.48.0.0', '147.51.255.255', 2469396480, 2469658623, 'US', 'United States'),
(77619, '147.52.0.0', '147.52.255.255', 2469658624, 2469724159, 'GR', 'Greece'),
(77620, '147.53.0.0', '147.53.255.255', 2469724160, 2469789695, 'US', 'United States'),
(77621, '147.54.0.0', '147.54.255.255', 2469789696, 2469855231, 'DE', 'Germany'),
(77622, '147.55.0.0', '147.59.255.255', 2469855232, 2470182911, 'US', 'United States'),
(77623, '147.60.0.0', '147.60.0.255', 2470182912, 2470183167, 'CH', 'Switzerland'),
(77624, '147.60.1.0', '147.60.1.255', 2470183168, 2470183423, 'AP', 'Asia/Pacific Region'),
(77625, '147.60.2.0', '147.60.255.255', 2470183424, 2470248447, 'CH', 'Switzerland'),
(77626, '147.61.0.0', '147.64.255.255', 2470248448, 2470510591, 'US', 'United States'),
(77627, '147.65.0.0', '147.65.255.255', 2470510592, 2470576127, 'BR', 'Brazil'),
(77628, '147.66.0.0', '147.66.255.255', 2470576128, 2470641663, 'AU', 'Australia'),
(77629, '147.67.0.0', '147.67.255.255', 2470641664, 2470707199, 'LU', 'Luxembourg'),
(77630, '147.68.0.0', '147.68.255.255', 2470707200, 2470772735, 'GB', 'United Kingdom'),
(77631, '147.69.0.0', '147.69.255.255', 2470772736, 2470838271, 'AU', 'Australia'),
(77632, '147.70.0.0', '147.74.255.255', 2470838272, 2471165951, 'US', 'United States'),
(77633, '147.75.0.0', '147.75.255.255', 2471165952, 2471231487, 'CH', 'Switzerland'),
(77634, '147.76.0.0', '147.76.255.255', 2471231488, 2471297023, 'AU', 'Australia'),
(77635, '147.77.0.0', '147.77.255.255', 2471297024, 2471362559, 'GB', 'United Kingdom'),
(77636, '147.78.0.0', '147.78.255.255', 2471362560, 2471428095, 'EU', 'Europe'),
(77637, '147.79.0.0', '147.82.255.255', 2471428096, 2471690239, 'US', 'United States'),
(77638, '147.83.0.0', '147.84.255.255', 2471690240, 2471821311, 'ES', 'Spain'),
(77639, '147.85.0.0', '147.85.255.255', 2471821312, 2471886847, 'US', 'United States'),
(77640, '147.86.0.0', '147.88.255.255', 2471886848, 2472083455, 'CH', 'Switzerland'),
(77641, '147.89.0.0', '147.89.255.255', 2472083456, 2472148991, 'GB', 'United Kingdom'),
(77642, '147.90.0.0', '147.90.255.255', 2472148992, 2472214527, 'US', 'United States'),
(77643, '147.91.0.0', '147.91.255.255', 2472214528, 2472280063, 'RS', 'Serbia'),
(77644, '147.92.0.0', '147.92.255.255', 2472280064, 2472345599, 'US', 'United States'),
(77645, '147.93.0.0', '147.93.255.255', 2472345600, 2472411135, 'BE', 'Belgium'),
(77646, '147.94.0.0', '147.94.255.255', 2472411136, 2472476671, 'FR', 'France'),
(77647, '147.95.0.0', '147.95.255.255', 2472476672, 2472542207, 'GR', 'Greece'),
(77648, '147.96.0.0', '147.96.255.255', 2472542208, 2472607743, 'ES', 'Spain'),
(77649, '147.97.0.0', '147.97.255.255', 2472607744, 2472673279, 'US', 'United States'),
(77650, '147.98.0.0', '147.100.255.255', 2472673280, 2472869887, 'FR', 'France'),
(77651, '147.101.0.0', '147.101.255.255', 2472869888, 2472935423, 'US', 'United States'),
(77652, '147.102.0.0', '147.102.255.255', 2472935424, 2473000959, 'GR', 'Greece'),
(77653, '147.103.0.0', '147.108.255.255', 2473000960, 2473394175, 'US', 'United States'),
(77654, '147.109.0.0', '147.109.255.255', 2473394176, 2473459711, 'AU', 'Australia'),
(77655, '147.110.0.0', '147.110.255.255', 2473459712, 2473525247, 'ZA', 'South Africa'),
(77656, '147.111.0.0', '147.112.255.255', 2473525248, 2473656319, 'NO', 'Norway'),
(77657, '147.113.0.0', '147.113.255.255', 2473656320, 2473721855, 'US', 'United States'),
(77658, '147.114.0.0', '147.114.33.255', 2473721856, 2473730559, 'GB', 'United Kingdom'),
(77659, '147.114.34.0', '147.114.35.255', 2473730560, 2473731071, 'HK', 'Hong Kong'),
(77660, '147.114.36.0', '147.114.248.255', 2473731072, 2473785599, 'GB', 'United Kingdom'),
(77661, '147.114.249.0', '147.114.249.255', 2473785600, 2473785855, 'AP', 'Asia/Pacific Region'),
(77662, '147.114.250.0', '147.114.255.255', 2473785856, 2473787391, 'GB', 'United Kingdom'),
(77663, '147.115.0.0', '147.118.255.255', 2473787392, 2474049535, 'US', 'United States'),
(77664, '147.119.0.0', '147.119.255.255', 2474049536, 2474115071, 'GB', 'United Kingdom'),
(77665, '147.120.0.0', '147.121.255.255', 2474115072, 2474246143, 'US', 'United States'),
(77666, '147.122.0.0', '147.123.255.255', 2474246144, 2474377215, 'IT', 'Italy'),
(77667, '147.124.0.0', '147.124.255.255', 2474377216, 2474442751, 'US', 'United States'),
(77668, '147.125.0.0', '147.125.255.255', 2474442752, 2474508287, 'AT', 'Austria'),
(77669, '147.126.0.0', '147.126.255.255', 2474508288, 2474573823, 'US', 'United States'),
(77670, '147.127.0.0', '147.127.255.255', 2474573824, 2474639359, 'FR', 'France'),
(77671, '147.128.0.0', '147.131.255.255', 2474639360, 2474901503, 'US', 'United States'),
(77672, '147.132.0.0', '147.132.255.255', 2474901504, 2474967039, 'AU', 'Australia'),
(77673, '147.133.0.0', '147.141.255.255', 2474967040, 2475556863, 'US', 'United States'),
(77674, '147.142.0.0', '147.142.255.255', 2475556864, 2475622399, 'DE', 'Germany'),
(77675, '147.143.0.0', '147.143.255.255', 2475622400, 2475687935, 'GB', 'United Kingdom'),
(77676, '147.144.0.0', '147.146.255.255', 2475687936, 2475884543, 'US', 'United States'),
(77677, '147.147.0.0', '147.152.255.255', 2475884544, 2476277759, 'GB', 'United Kingdom'),
(77678, '147.153.0.0', '147.155.255.255', 2476277760, 2476474367, 'US', 'United States'),
(77679, '147.156.0.0', '147.156.255.255', 2476474368, 2476539903, 'ES', 'Spain'),
(77680, '147.157.0.0', '147.157.255.255', 2476539904, 2476605439, 'JP', 'Japan'),
(77681, '147.158.0.0', '147.158.255.255', 2476605440, 2476670975, 'NZ', 'New Zealand'),
(77682, '147.159.0.0', '147.160.255.255', 2476670976, 2476802047, 'US', 'United States'),
(77683, '147.161.0.0', '147.161.255.255', 2476802048, 2476867583, 'IL', 'Israel'),
(77684, '147.162.0.0', '147.163.255.255', 2476867584, 2476998655, 'IT', 'Italy'),
(77685, '147.164.0.0', '147.166.255.255', 2476998656, 2477195263, 'US', 'United States'),
(77686, '147.167.0.0', '147.167.255.255', 2477195264, 2477260799, 'CH', 'Switzerland'),
(77687, '147.168.0.0', '147.170.255.255', 2477260800, 2477457407, 'US', 'United States'),
(77688, '147.171.0.0', '147.171.255.255', 2477457408, 2477522943, 'FR', 'France'),
(77689, '147.172.0.0', '147.172.255.255', 2477522944, 2477588479, 'DE', 'Germany'),
(77690, '147.173.0.0', '147.173.255.255', 2477588480, 2477654015, 'FR', 'France'),
(77691, '147.174.0.0', '147.174.255.255', 2477654016, 2477719551, 'US', 'United States'),
(77692, '147.175.0.0', '147.175.255.255', 2477719552, 2477785087, 'SK', 'Slovakia'),
(77693, '147.176.0.0', '147.176.255.255', 2477785088, 2477850623, 'JP', 'Japan'),
(77694, '147.177.0.0', '147.179.255.255', 2477850624, 2478047231, 'US', 'United States'),
(77695, '147.180.0.0', '147.180.255.255', 2478047232, 2478112767, 'SE', 'Sweden'),
(77696, '147.181.0.0', '147.181.255.255', 2478112768, 2478178303, 'NL', 'Netherlands'),
(77697, '147.182.0.0', '147.182.200.255', 2478178304, 2478229759, 'US', 'United States'),
(77698, '147.182.201.0', '147.182.201.255', 2478229760, 2478230015, 'AP', 'Asia/Pacific Region'),
(77699, '147.182.202.0', '147.183.255.255', 2478230016, 2478309375, 'US', 'United States'),
(77700, '147.184.0.0', '147.184.255.255', 2478309376, 2478374911, 'GB', 'United Kingdom'),
(77701, '147.185.0.0', '147.185.255.255', 2478374912, 2478440447, 'US', 'United States'),
(77702, '147.186.0.0', '147.186.255.255', 2478440448, 2478505983, 'SE', 'Sweden'),
(77703, '147.187.0.0', '147.187.255.255', 2478505984, 2478571519, 'US', 'United States'),
(77704, '147.188.0.0', '147.189.255.255', 2478571520, 2478702591, 'GB', 'United Kingdom'),
(77705, '147.190.0.0', '147.192.255.255', 2478702592, 2478899199, 'US', 'United States'),
(77706, '147.193.0.0', '147.193.255.255', 2478899200, 2478964735, 'GB', 'United Kingdom'),
(77707, '147.195.0.0', '147.195.255.255', 2479030272, 2479095807, 'US', 'United States'),
(77708, '147.196.0.0', '147.196.255.255', 2479095808, 2479161343, 'FR', 'France'),
(77709, '147.197.0.0', '147.197.255.255', 2479161344, 2479226879, 'GB', 'United Kingdom'),
(77710, '147.198.0.0', '147.199.255.255', 2479226880, 2479357951, 'US', 'United States'),
(77711, '147.200.0.0', '147.200.255.255', 2479357952, 2479423487, 'AU', 'Australia'),
(77712, '147.201.0.0', '147.201.255.255', 2479423488, 2479489023, 'GB', 'United Kingdom'),
(77713, '147.202.0.0', '147.203.117.255', 2479489024, 2479584767, 'US', 'United States'),
(77714, '147.203.118.0', '147.203.118.255', 2479584768, 2479585023, 'A1', 'Anonymous Proxy'),
(77715, '147.203.119.0', '147.203.125.255', 2479585024, 2479586815, 'US', 'United States'),
(77716, '147.203.126.0', '147.203.126.255', 2479586816, 2479587071, 'A1', 'Anonymous Proxy'),
(77717, '147.203.127.0', '147.203.255.255', 2479587072, 2479620095, 'US', 'United States'),
(77718, '147.204.0.0', '147.204.255.255', 2479620096, 2479685631, 'DE', 'Germany'),
(77719, '147.205.0.0', '147.208.255.255', 2479685632, 2479947775, 'US', 'United States'),
(77720, '147.209.0.0', '147.209.255.255', 2479947776, 2480013311, 'AU', 'Australia'),
(77721, '147.210.0.0', '147.210.255.255', 2480013312, 2480078847, 'FR', 'France'),
(77722, '147.211.0.0', '147.211.255.255', 2480078848, 2480144383, 'AU', 'Australia'),
(77723, '147.213.0.0', '147.213.255.255', 2480209920, 2480275455, 'SK', 'Slovakia'),
(77724, '147.214.0.0', '147.214.255.255', 2480275456, 2480340991, 'SE', 'Sweden'),
(77725, '147.215.0.0', '147.215.255.255', 2480340992, 2480406527, 'FR', 'France'),
(77726, '147.216.0.0', '147.219.255.255', 2480406528, 2480668671, 'US', 'United States'),
(77727, '147.220.0.0', '147.220.255.255', 2480668672, 2480734207, 'SE', 'Sweden'),
(77728, '147.221.0.0', '147.227.255.255', 2480734208, 2481192959, 'US', 'United States'),
(77729, '147.228.0.0', '147.231.255.255', 2481192960, 2481455103, 'CZ', 'Czech Republic'),
(77730, '147.232.0.0', '147.232.255.255', 2481455104, 2481520639, 'SK', 'Slovakia'),
(77731, '147.233.0.0', '147.237.255.255', 2481520640, 2481848319, 'IL', 'Israel'),
(77732, '147.238.0.0', '147.242.255.255', 2481848320, 2482175999, 'US', 'United States'),
(77733, '147.243.0.0', '147.243.127.255', 2482176000, 2482208767, 'FI', 'Finland'),
(77734, '147.243.128.0', '147.243.159.255', 2482208768, 2482216959, 'US', 'United States'),
(77735, '147.243.160.0', '147.243.191.255', 2482216960, 2482225151, 'FI', 'Finland'),
(77736, '147.243.192.0', '147.243.223.255', 2482225152, 2482233343, 'SG', 'Singapore'),
(77737, '147.243.224.0', '147.243.255.255', 2482233344, 2482241535, 'CN', 'China'),
(77738, '147.244.0.0', '147.249.255.255', 2482241536, 2482634751, 'US', 'United States'),
(77739, '147.250.0.0', '147.250.255.255', 2482634752, 2482700287, 'FR', 'France'),
(77740, '147.251.0.0', '147.251.255.255', 2482700288, 2482765823, 'CZ', 'Czech Republic'),
(77741, '147.252.0.0', '147.252.255.255', 2482765824, 2482831359, 'IE', 'Ireland'),
(77742, '147.253.0.0', '147.254.255.255', 2482831360, 2482962431, 'US', 'United States'),
(77743, '148.1.0.0', '148.1.255.255', 2483093504, 2483159039, 'US', 'United States'),
(77744, '148.2.0.0', '148.2.255.255', 2483159040, 2483224575, 'SE', 'Sweden'),
(77745, '148.3.0.0', '148.3.255.255', 2483224576, 2483290111, 'GB', 'United Kingdom'),
(77746, '148.4.0.0', '148.5.255.255', 2483290112, 2483421183, 'US', 'United States'),
(77747, '148.6.0.0', '148.6.255.255', 2483421184, 2483486719, 'HU', 'Hungary'),
(77748, '148.7.0.0', '148.53.255.255', 2483486720, 2486566911, 'US', 'United States'),
(77749, '148.54.0.0', '148.54.255.255', 2486566912, 2486632447, 'CH', 'Switzerland'),
(77750, '148.55.0.0', '148.55.255.255', 2486632448, 2486697983, 'US', 'United States'),
(77751, '148.56.0.0', '148.56.255.255', 2486697984, 2486763519, 'AT', 'Austria'),
(77752, '148.57.0.0', '148.59.255.255', 2486763520, 2486960127, 'US', 'United States'),
(77753, '148.60.0.0', '148.60.255.255', 2486960128, 2487025663, 'FR', 'France'),
(77754, '148.61.0.0', '148.73.255.255', 2487025664, 2487877631, 'US', 'United States'),
(77755, '148.74.0.0', '148.74.255.255', 2487877632, 2487943167, 'A2', 'Satellite Provider'),
(77756, '148.75.0.0', '148.78.255.255', 2487943168, 2488205311, 'US', 'United States'),
(77757, '148.79.0.0', '148.79.255.255', 2488205312, 2488270847, 'GB', 'United Kingdom'),
(77758, '148.80.0.0', '148.80.255.255', 2488270848, 2488336383, 'US', 'United States'),
(77759, '148.81.0.0', '148.81.255.255', 2488336384, 2488401919, 'PL', 'Poland'),
(77760, '148.82.0.0', '148.83.255.255', 2488401920, 2488532991, 'NO', 'Norway'),
(77761, '148.84.0.0', '148.87.255.255', 2488532992, 2488795135, 'US', 'United States'),
(77762, '148.88.0.0', '148.88.255.255', 2488795136, 2488860671, 'GB', 'United Kingdom'),
(77763, '148.89.0.0', '148.106.81.24', 2488860672, 2489995544, 'US', 'United States'),
(77764, '148.106.81.25', '148.106.81.25', 2489995545, 2489995545, 'AP', 'Asia/Pacific Region'),
(77765, '148.106.81.26', '148.107.4.255', 2489995546, 2490041599, 'US', 'United States'),
(77766, '148.107.5.0', '148.107.5.255', 2490041600, 2490041855, 'AP', 'Asia/Pacific Region'),
(77767, '148.107.6.0', '148.107.11.255', 2490041856, 2490043391, 'US', 'United States'),
(77768, '148.107.12.0', '148.107.12.255', 2490043392, 2490043647, 'GB', 'United Kingdom'),
(77769, '148.107.13.0', '148.109.255.255', 2490043648, 2490236927, 'US', 'United States'),
(77770, '148.110.0.0', '148.110.255.255', 2490236928, 2490302463, 'LU', 'Luxembourg'),
(77771, '148.111.0.0', '148.116.255.255', 2490302464, 2490695679, 'US', 'United States'),
(77772, '148.117.0.0', '148.117.255.255', 2490695680, 2490761215, 'CA', 'Canada'),
(77773, '148.118.0.0', '148.122.183.255', 2490761216, 2491070463, 'NO', 'Norway'),
(77774, '148.122.184.0', '148.122.184.255', 2491070464, 2491070719, 'US', 'United States'),
(77775, '148.122.185.0', '148.123.255.255', 2491070720, 2491154431, 'NO', 'Norway'),
(77776, '148.124.0.0', '148.134.255.255', 2491154432, 2491875327, 'US', 'United States'),
(77777, '148.135.0.0', '148.136.255.255', 2491875328, 2492006399, 'SE', 'Sweden'),
(77778, '148.137.0.0', '148.137.255.255', 2492006400, 2492071935, 'US', 'United States'),
(77779, '148.138.0.0', '148.138.255.255', 2492071936, 2492137471, 'SE', 'Sweden'),
(77780, '148.139.0.0', '148.139.255.255', 2492137472, 2492203007, 'US', 'United States'),
(77781, '148.140.0.0', '148.140.255.255', 2492203008, 2492268543, 'NO', 'Norway'),
(77782, '148.141.0.0', '148.142.255.255', 2492268544, 2492399615, 'US', 'United States'),
(77783, '148.143.0.0', '148.143.255.255', 2492399616, 2492465151, 'FR', 'France'),
(77784, '148.144.0.0', '148.144.255.255', 2492465152, 2492530687, 'US', 'United States'),
(77785, '148.145.0.0', '148.145.255.255', 2492530688, 2492596223, 'AU', 'Australia'),
(77786, '148.146.0.0', '148.147.255.255', 2492596224, 2492727295, 'US', 'United States'),
(77787, '148.148.0.0', '148.148.255.255', 2492727296, 2492792831, 'NL', 'Netherlands'),
(77788, '148.149.0.0', '148.150.255.255', 2492792832, 2492923903, 'US', 'United States'),
(77789, '148.151.0.0', '148.151.255.255', 2492923904, 2492989439, 'OM', 'Oman'),
(77790, '148.152.0.0', '148.159.255.255', 2492989440, 2493513727, 'US', 'United States'),
(77791, '148.160.0.0', '148.160.255.255', 2493513728, 2493579263, 'SE', 'Sweden'),
(77792, '148.161.0.0', '148.161.255.255', 2493579264, 2493644799, 'JP', 'Japan'),
(77793, '148.162.0.0', '148.168.255.255', 2493644800, 2494103551, 'US', 'United States'),
(77794, '148.169.0.0', '148.169.255.255', 2494103552, 2494169087, 'FR', 'France'),
(77795, '148.170.0.0', '148.175.255.255', 2494169088, 2494562303, 'US', 'United States'),
(77796, '148.176.0.0', '148.176.255.255', 2494562304, 2494627839, 'GB', 'United Kingdom'),
(77797, '148.177.0.0', '148.177.127.255', 2494627840, 2494660607, 'US', 'United States'),
(77798, '148.177.128.0', '148.177.129.255', 2494660608, 2494661119, 'EU', 'Europe'),
(77799, '148.177.130.0', '148.177.192.255', 2494661120, 2494677247, 'US', 'United States'),
(77800, '148.177.193.0', '148.177.193.255', 2494677248, 2494677503, 'AU', 'Australia'),
(77801, '148.177.194.0', '148.177.216.255', 2494677504, 2494683391, 'US', 'United States'),
(77802, '148.177.217.0', '148.177.217.255', 2494683392, 2494683647, 'AP', 'Asia/Pacific Region'),
(77803, '148.177.218.0', '148.177.241.255', 2494683648, 2494689791, 'US', 'United States'),
(77804, '148.177.242.0', '148.177.242.255', 2494689792, 2494690047, 'IN', 'India'),
(77805, '148.177.243.0', '148.180.255.255', 2494690048, 2494889983, 'US', 'United States'),
(77806, '148.181.0.0', '148.181.255.255', 2494889984, 2494955519, 'GB', 'United Kingdom'),
(77807, '148.182.0.0', '148.182.255.255', 2494955520, 2495021055, 'AU', 'Australia'),
(77808, '148.183.0.0', '148.184.255.255', 2495021056, 2495152127, 'US', 'United States'),
(77809, '148.185.0.0', '148.185.255.255', 2495152128, 2495217663, 'EU', 'Europe'),
(77810, '148.186.0.0', '148.186.255.255', 2495217664, 2495283199, 'US', 'United States'),
(77811, '148.187.0.0', '148.187.255.255', 2495283200, 2495348735, 'CH', 'Switzerland'),
(77812, '148.188.0.0', '148.188.8.255', 2495348736, 2495351039, 'US', 'United States'),
(77813, '148.188.9.0', '148.188.9.255', 2495351040, 2495351295, 'EU', 'Europe'),
(77814, '148.188.10.0', '148.188.17.55', 2495351296, 2495353143, 'US', 'United States'),
(77815, '148.188.17.56', '148.188.17.56', 2495353144, 2495353144, 'EU', 'Europe'),
(77816, '148.188.17.57', '148.188.247.255', 2495353145, 2495412223, 'US', 'United States'),
(77817, '148.188.248.0', '148.188.248.255', 2495412224, 2495412479, 'AP', 'Asia/Pacific Region'),
(77818, '148.188.249.0', '148.194.255.255', 2495412480, 2495807487, 'US', 'United States'),
(77819, '148.195.0.0', '148.195.255.255', 2495807488, 2495873023, 'AU', 'Australia'),
(77820, '148.196.0.0', '148.196.255.255', 2495873024, 2495938559, 'CH', 'Switzerland'),
(77821, '148.197.0.0', '148.197.255.255', 2495938560, 2496004095, 'GB', 'United Kingdom'),
(77822, '148.198.0.0', '148.198.255.255', 2496004096, 2496069631, 'AT', 'Austria'),
(77823, '148.199.0.0', '148.199.255.255', 2496069632, 2496135167, 'US', 'United States'),
(77824, '148.200.0.0', '148.200.255.255', 2496135168, 2496200703, 'NL', 'Netherlands'),
(77825, '148.201.0.0', '148.245.102.119', 2496200704, 2499110519, 'MX', 'Mexico'),
(77826, '148.245.102.120', '148.245.102.127', 2499110520, 2499110527, 'NI', 'Nicaragua'),
(77827, '148.245.102.128', '148.245.172.255', 2499110528, 2499128575, 'MX', 'Mexico'),
(77828, '148.245.173.0', '148.245.173.255', 2499128576, 2499128831, 'US', 'United States'),
(77829, '148.245.174.0', '148.250.255.255', 2499128832, 2499477503, 'MX', 'Mexico'),
(77830, '148.251.0.0', '148.251.255.255', 2499477504, 2499543039, 'DE', 'Germany'),
(77831, '148.252.0.0', '148.253.255.255', 2499543040, 2499674111, 'GB', 'United Kingdom'),
(77832, '148.254.0.0', '148.254.255.255', 2499674112, 2499739647, 'US', 'United States'),
(77833, '149.0.0.0', '149.0.255.255', 2499805184, 2499870719, 'TR', 'Turkey'),
(77834, '149.1.0.0', '149.2.255.255', 2499870720, 2500001791, 'US', 'United States'),
(77835, '149.3.0.0', '149.3.127.255', 2500001792, 2500034559, 'GE', 'Georgia'),
(77836, '149.3.128.0', '149.3.143.255', 2500034560, 2500038655, 'GB', 'United Kingdom'),
(77837, '149.3.144.0', '149.3.151.255', 2500038656, 2500040703, 'IT', 'Italy'),
(77838, '149.3.152.0', '149.3.159.255', 2500040704, 2500042751, 'LB', 'Lebanon'),
(77839, '149.3.160.0', '149.3.175.255', 2500042752, 2500046847, 'SA', 'Saudi Arabia'),
(77840, '149.3.176.0', '149.3.177.255', 2500046848, 2500047359, 'IT', 'Italy'),
(77841, '149.3.178.0', '149.3.178.255', 2500047360, 2500047615, 'DE', 'Germany'),
(77842, '149.3.179.0', '149.3.183.255', 2500047616, 2500048895, 'IT', 'Italy'),
(77843, '149.3.184.0', '149.3.191.255', 2500048896, 2500050943, 'MD', 'Moldova, Republic of'),
(77844, '149.3.192.0', '149.3.255.255', 2500050944, 2500067327, 'KZ', 'Kazakhstan'),
(77845, '149.4.0.0', '149.5.31.255', 2500067328, 2500141055, 'US', 'United States'),
(77846, '149.5.32.0', '149.5.32.255', 2500141056, 2500141311, 'IE', 'Ireland'),
(77847, '149.5.33.0', '149.5.33.159', 2500141312, 2500141471, 'US', 'United States'),
(77848, '149.5.33.160', '149.5.33.191', 2500141472, 2500141503, 'IE', 'Ireland'),
(77849, '149.5.33.192', '149.5.34.255', 2500141504, 2500141823, 'US', 'United States'),
(77850, '149.5.35.0', '149.5.38.255', 2500141824, 2500142847, 'IE', 'Ireland'),
(77851, '149.5.39.0', '149.5.39.255', 2500142848, 2500143103, 'US', 'United States'),
(77852, '149.5.40.0', '149.5.43.255', 2500143104, 2500144127, 'IE', 'Ireland'),
(77853, '149.5.44.0', '149.5.109.255', 2500144128, 2500161023, 'US', 'United States'),
(77854, '149.5.110.0', '149.5.111.255', 2500161024, 2500161535, 'GB', 'United Kingdom'),
(77855, '149.5.112.0', '149.5.167.255', 2500161536, 2500175871, 'US', 'United States'),
(77856, '149.5.168.0', '149.5.168.7', 2500175872, 2500175879, 'RO', 'Romania'),
(77857, '149.5.168.8', '149.6.4.47', 2500175880, 2500199471, 'US', 'United States'),
(77858, '149.6.4.48', '149.6.4.51', 2500199472, 2500199475, 'IE', 'Ireland'),
(77859, '149.6.4.52', '149.6.145.255', 2500199476, 2500235775, 'US', 'United States'),
(77860, '149.6.146.0', '149.6.146.255', 2500235776, 2500236031, 'GB', 'United Kingdom'),
(77861, '149.6.147.0', '149.6.156.47', 2500236032, 2500238383, 'US', 'United States'),
(77862, '149.6.156.48', '149.6.156.63', 2500238384, 2500238399, 'DE', 'Germany'),
(77863, '149.6.156.64', '149.6.156.127', 2500238400, 2500238463, 'US', 'United States'),
(77864, '149.6.156.128', '149.6.156.191', 2500238464, 2500238527, 'DE', 'Germany'),
(77865, '149.6.156.192', '149.7.47.255', 2500238528, 2500276223, 'US', 'United States'),
(77866, '149.7.48.0', '149.7.49.255', 2500276224, 2500276735, 'GB', 'United Kingdom'),
(77867, '149.7.50.0', '149.7.112.127', 2500276736, 2500292735, 'US', 'United States'),
(77868, '149.7.112.128', '149.7.112.191', 2500292736, 2500292799, 'DE', 'Germany'),
(77869, '149.7.112.192', '149.8.247.255', 2500292800, 2500392959, 'US', 'United States'),
(77870, '149.8.248.0', '149.8.248.255', 2500392960, 2500393215, 'IN', 'India'),
(77871, '149.8.249.0', '149.8.251.255', 2500393216, 2500393983, 'US', 'United States'),
(77872, '149.8.252.0', '149.8.252.255', 2500393984, 2500394239, 'GB', 'United Kingdom'),
(77873, '149.8.253.0', '149.12.96.255', 2500394240, 2500616447, 'US', 'United States'),
(77874, '149.12.97.0', '149.12.97.255', 2500616448, 2500616703, 'IT', 'Italy'),
(77875, '149.12.98.0', '149.12.176.63', 2500616704, 2500636735, 'US', 'United States'),
(77876, '149.12.176.64', '149.12.176.127', 2500636736, 2500636799, 'GB', 'United Kingdom'),
(77877, '149.12.176.128', '149.12.215.255', 2500636800, 2500646911, 'US', 'United States'),
(77878, '149.12.216.0', '149.12.216.255', 2500646912, 2500647167, 'ES', 'Spain'),
(77879, '149.12.217.0', '149.13.243.255', 2500647168, 2500719615, 'US', 'United States'),
(77880, '149.13.244.0', '149.13.247.255', 2500719616, 2500720639, 'IE', 'Ireland'),
(77881, '149.13.248.0', '149.26.255.255', 2500720640, 2501574655, 'US', 'United States'),
(77882, '149.27.0.0', '149.27.255.255', 2501574656, 2501640191, 'KZ', 'Kazakhstan'),
(77883, '149.28.0.0', '149.48.255.255', 2501640192, 2503016447, 'US', 'United States'),
(77884, '149.49.0.0', '149.49.255.255', 2503016448, 2503081983, 'IL', 'Israel'),
(77885, '149.50.0.0', '149.58.255.255', 2503081984, 2503671807, 'US', 'United States'),
(77886, '149.59.0.0', '149.59.255.255', 2503671808, 2503737343, 'NL', 'Netherlands'),
(77887, '149.60.0.0', '149.61.255.255', 2503737344, 2503868415, 'US', 'United States'),
(77888, '149.62.0.0', '149.62.31.255', 2503868416, 2503876607, 'RU', 'Russian Federation'),
(77889, '149.62.32.0', '149.62.47.255', 2503876608, 2503880703, 'ES', 'Spain'),
(77890, '149.62.48.0', '149.62.55.255', 2503880704, 2503882751, 'RU', 'Russian Federation'),
(77891, '149.62.56.0', '149.62.63.255', 2503882752, 2503884799, 'DE', 'Germany'),
(77892, '149.62.64.0', '149.62.127.255', 2503884800, 2503901183, 'SI', 'Slovenia'),
(77893, '149.62.128.0', '149.62.143.255', 2503901184, 2503905279, 'IT', 'Italy'),
(77894, '149.62.144.0', '149.62.151.255', 2503905280, 2503907327, 'CZ', 'Czech Republic'),
(77895, '149.62.152.0', '149.62.159.255', 2503907328, 2503909375, 'FR', 'France'),
(77896, '149.62.160.0', '149.62.167.175', 2503909376, 2503911343, 'RU', 'Russian Federation'),
(77897, '149.62.167.176', '149.62.167.191', 2503911344, 2503911359, 'NL', 'Netherlands'),
(77898, '149.62.167.192', '149.62.167.255', 2503911360, 2503911423, 'RU', 'Russian Federation'),
(77899, '149.62.168.0', '149.62.183.255', 2503911424, 2503915519, 'ES', 'Spain'),
(77900, '149.62.184.0', '149.62.191.255', 2503915520, 2503917567, 'IT', 'Italy'),
(77901, '149.62.192.0', '149.62.255.255', 2503917568, 2503933951, 'BG', 'Bulgaria'),
(77902, '149.63.0.0', '149.98.255.255', 2503933952, 2506293247, 'US', 'United States'),
(77903, '149.99.0.0', '149.99.255.255', 2506293248, 2506358783, 'CA', 'Canada'),
(77904, '149.100.0.0', '149.111.175.255', 2506358784, 2507124735, 'US', 'United States'),
(77905, '149.111.176.0', '149.111.176.255', 2507124736, 2507124991, 'IN', 'India'),
(77906, '149.111.177.0', '149.125.255.255', 2507124992, 2508062719, 'US', 'United States'),
(77907, '149.126.0.0', '149.126.7.255', 2508062720, 2508064767, 'CH', 'Switzerland'),
(77908, '149.126.8.0', '149.126.15.255', 2508064768, 2508066815, 'ES', 'Spain'),
(77909, '149.126.16.0', '149.126.23.255', 2508066816, 2508068863, 'RU', 'Russian Federation'),
(77910, '149.126.24.0', '149.126.31.255', 2508068864, 2508070911, 'HU', 'Hungary'),
(77911, '149.126.32.0', '149.126.47.255', 2508070912, 2508075007, 'ES', 'Spain'),
(77912, '149.126.48.0', '149.126.55.255', 2508075008, 2508077055, 'CH', 'Switzerland'),
(77913, '149.126.56.0', '149.126.63.255', 2508077056, 2508079103, 'BE', 'Belgium'),
(77914, '149.126.64.0', '149.126.71.255', 2508079104, 2508081151, 'DE', 'Germany'),
(77915, '149.126.72.0', '149.126.72.255', 2508081152, 2508081407, 'NL', 'Netherlands'),
(77916, '149.126.73.0', '149.126.73.255', 2508081408, 2508081663, 'IL', 'Israel'),
(77917, '149.126.74.0', '149.126.74.255', 2508081664, 2508081919, 'SG', 'Singapore'),
(77918, '149.126.75.0', '149.126.79.255', 2508081920, 2508083199, 'GB', 'United Kingdom'),
(77919, '149.126.80.0', '149.126.87.255', 2508083200, 2508085247, 'IS', 'Iceland'),
(77920, '149.126.88.0', '149.126.95.255', 2508085248, 2508087295, 'PS', 'Palestinian Territory, Occupied'),
(77921, '149.126.96.0', '149.126.103.255', 2508087296, 2508089343, 'RU', 'Russian Federation'),
(77922, '149.126.104.0', '149.126.111.255', 2508089344, 2508091391, 'GB', 'United Kingdom'),
(77923, '149.126.112.0', '149.126.127.255', 2508091392, 2508095487, 'AZ', 'Azerbaijan'),
(77924, '149.126.128.0', '149.126.159.255', 2508095488, 2508103679, 'SI', 'Slovenia'),
(77925, '149.126.160.0', '149.126.167.255', 2508103680, 2508105727, 'ES', 'Spain'),
(77926, '149.126.168.0', '149.126.175.255', 2508105728, 2508107775, 'RU', 'Russian Federation'),
(77927, '149.126.176.0', '149.126.183.255', 2508107776, 2508109823, 'FI', 'Finland'),
(77928, '149.126.184.0', '149.126.191.255', 2508109824, 2508111871, 'DE', 'Germany'),
(77929, '149.126.192.0', '149.126.255.255', 2508111872, 2508128255, 'RU', 'Russian Federation'),
(77930, '149.127.0.0', '149.131.255.255', 2508128256, 2508455935, 'US', 'United States'),
(77931, '149.132.0.0', '149.132.255.255', 2508455936, 2508521471, 'IT', 'Italy'),
(77932, '149.133.0.0', '149.133.255.255', 2508521472, 2508587007, 'CH', 'Switzerland'),
(77933, '149.134.0.0', '149.134.255.255', 2508587008, 2508652543, 'BE', 'Belgium'),
(77934, '149.135.0.0', '149.135.255.255', 2508652544, 2508718079, 'AU', 'Australia'),
(77935, '149.136.0.0', '149.138.255.255', 2508718080, 2508914687, 'US', 'United States'),
(77936, '149.139.0.0', '149.139.255.255', 2508914688, 2508980223, 'IT', 'Italy'),
(77937, '149.140.0.0', '149.140.255.255', 2508980224, 2509045759, 'TR', 'Turkey'),
(77938, '149.141.0.0', '149.143.255.255', 2509045760, 2509242367, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(77939, '149.144.0.0', '149.144.255.255', 2509242368, 2509307903, 'AU', 'Australia'),
(77940, '149.145.0.0', '149.145.255.255', 2509307904, 2509373439, 'US', 'United States'),
(77941, '149.146.0.0', '149.146.255.255', 2509373440, 2509438975, 'NL', 'Netherlands'),
(77942, '149.147.0.0', '149.147.255.255', 2509438976, 2509504511, 'KW', 'Kuwait'),
(77943, '149.148.0.0', '149.148.255.255', 2509504512, 2509570047, 'AT', 'Austria'),
(77944, '149.149.0.0', '149.152.255.255', 2509570048, 2509832191, 'US', 'United States'),
(77945, '149.153.0.0', '149.153.255.255', 2509832192, 2509897727, 'IE', 'Ireland'),
(77946, '149.154.0.0', '149.154.63.255', 2509897728, 2509914111, 'US', 'United States'),
(77947, '149.154.64.0', '149.154.71.255', 2509914112, 2509916159, 'RU', 'Russian Federation'),
(77948, '149.154.72.0', '149.154.79.255', 2509916160, 2509918207, 'DE', 'Germany'),
(77949, '149.154.80.0', '149.154.87.255', 2509918208, 2509920255, 'FR', 'France'),
(77950, '149.154.88.0', '149.154.95.255', 2509920256, 2509922303, 'IT', 'Italy'),
(77951, '149.154.96.0', '149.154.103.255', 2509922304, 2509924351, 'AT', 'Austria'),
(77952, '149.154.104.0', '149.154.119.255', 2509924352, 2509928447, 'RU', 'Russian Federation'),
(77953, '149.154.120.0', '149.154.127.255', 2509928448, 2509930495, 'FI', 'Finland'),
(77954, '149.154.128.0', '149.154.143.255', 2509930496, 2509934591, 'RU', 'Russian Federation'),
(77955, '149.154.144.0', '149.154.151.255', 2509934592, 2509936639, 'DE', 'Germany'),
(77956, '149.154.152.0', '149.154.156.17', 2509936640, 2509937681, 'AT', 'Austria'),
(77957, '149.154.156.18', '149.154.156.33', 2509937682, 2509937697, 'LI', 'Liechtenstein'),
(77958, '149.154.156.34', '149.154.156.49', 2509937698, 2509937713, 'AT', 'Austria'),
(77959, '149.154.156.50', '149.154.156.65', 2509937714, 2509937729, 'LI', 'Liechtenstein'),
(77960, '149.154.156.66', '149.154.156.255', 2509937730, 2509937919, 'AT', 'Austria'),
(77961, '149.154.157.0', '149.154.157.255', 2509937920, 2509938175, 'IT', 'Italy'),
(77962, '149.154.158.0', '149.154.158.255', 2509938176, 2509938431, 'US', 'United States'),
(77963, '149.154.159.0', '149.154.159.125', 2509938432, 2509938557, 'DE', 'Germany'),
(77964, '149.154.159.126', '149.154.159.126', 2509938558, 2509938558, 'FR', 'France'),
(77965, '149.154.159.127', '149.154.159.127', 2509938559, 2509938559, 'NL', 'Netherlands'),
(77966, '149.154.159.128', '149.154.159.255', 2509938560, 2509938687, 'DE', 'Germany'),
(77967, '149.154.160.0', '149.154.191.255', 2509938688, 2509946879, 'UA', 'Ukraine'),
(77968, '149.154.192.0', '149.154.255.255', 2509946880, 2509963263, 'BE', 'Belgium'),
(77969, '149.155.0.0', '149.155.255.255', 2509963264, 2510028799, 'GB', 'United Kingdom'),
(77970, '149.156.0.0', '149.156.255.255', 2510028800, 2510094335, 'PL', 'Poland'),
(77971, '149.157.0.0', '149.157.255.255', 2510094336, 2510159871, 'IE', 'Ireland'),
(77972, '149.158.0.0', '149.166.255.255', 2510159872, 2510749695, 'US', 'United States'),
(77973, '149.167.0.0', '149.167.255.255', 2510749696, 2510815231, 'AU', 'Australia'),
(77974, '149.168.0.0', '149.169.255.255', 2510815232, 2510946303, 'US', 'United States'),
(77975, '149.170.0.0', '149.170.255.255', 2510946304, 2511011839, 'GB', 'United Kingdom'),
(77976, '149.171.0.0', '149.171.255.255', 2511011840, 2511077375, 'AU', 'Australia'),
(77977, '149.172.0.0', '149.172.255.255', 2511077376, 2511142911, 'DE', 'Germany'),
(77978, '149.173.0.0', '149.175.255.255', 2511142912, 2511339519, 'US', 'United States'),
(77979, '149.176.0.0', '149.176.255.255', 2511339520, 2511405055, 'AU', 'Australia'),
(77980, '149.177.0.0', '149.196.255.255', 2511405056, 2512715775, 'GB', 'United Kingdom'),
(77981, '149.197.0.0', '149.197.255.255', 2512715776, 2512781311, 'FI', 'Finland'),
(77982, '149.198.0.0', '149.199.255.255', 2512781312, 2512912383, 'US', 'United States'),
(77983, '149.200.0.0', '149.200.127.255', 2512912384, 2512945151, 'HU', 'Hungary'),
(77984, '149.200.128.0', '149.200.255.255', 2512945152, 2512977919, 'JO', 'Jordan'),
(77985, '149.201.0.0', '149.208.255.255', 2512977920, 2513502207, 'DE', 'Germany'),
(77986, '149.209.0.0', '149.209.255.255', 2513502208, 2513567743, 'NO', 'Norway'),
(77987, '149.210.0.0', '149.210.127.255', 2513567744, 2513600511, 'GR', 'Greece'),
(77988, '149.210.128.0', '149.210.255.255', 2513600512, 2513633279, 'RO', 'Romania'),
(77989, '149.211.0.0', '149.211.255.255', 2513633280, 2513698815, 'DE', 'Germany'),
(77990, '149.212.0.0', '149.212.255.255', 2513698816, 2513764351, 'DK', 'Denmark'),
(77991, '149.213.0.0', '149.222.255.255', 2513764352, 2514419711, 'DE', 'Germany'),
(77992, '149.223.0.0', '149.223.255.255', 2514419712, 2514485247, 'GB', 'United Kingdom'),
(77993, '149.224.0.0', '149.226.254.255', 2514485248, 2514681599, 'DE', 'Germany'),
(77994, '149.226.255.0', '149.226.255.255', 2514681600, 2514681855, 'EU', 'Europe'),
(77995, '149.227.0.0', '149.240.255.255', 2514681856, 2515599359, 'DE', 'Germany'),
(77996, '149.241.0.0', '149.241.255.255', 2515599360, 2515664895, 'GB', 'United Kingdom'),
(77997, '149.242.0.0', '149.247.255.255', 2515664896, 2516058111, 'DE', 'Germany'),
(77998, '149.248.0.0', '149.248.255.255', 2516058112, 2516123647, 'EU', 'Europe'),
(77999, '149.249.0.0', '149.250.255.255', 2516123648, 2516254719, 'DE', 'Germany'),
(78000, '149.251.0.0', '149.251.255.255', 2516254720, 2516320255, 'FR', 'France'),
(78001, '149.252.0.0', '149.253.255.255', 2516320256, 2516451327, 'US', 'United States'),
(78002, '149.254.0.0', '149.254.255.255', 2516451328, 2516516863, 'GB', 'United Kingdom'),
(78003, '149.255.0.0', '149.255.15.255', 2516516864, 2516520959, 'RU', 'Russian Federation'),
(78004, '149.255.16.0', '149.255.23.255', 2516520960, 2516523007, 'SA', 'Saudi Arabia'),
(78005, '149.255.24.0', '149.255.31.255', 2516523008, 2516525055, 'RU', 'Russian Federation'),
(78006, '149.255.32.0', '149.255.36.255', 2516525056, 2516526335, 'US', 'United States'),
(78007, '149.255.37.0', '149.255.39.255', 2516526336, 2516527103, 'NL', 'Netherlands'),
(78008, '149.255.40.0', '149.255.47.255', 2516527104, 2516529151, 'GB', 'United Kingdom'),
(78009, '149.255.48.0', '149.255.55.255', 2516529152, 2516531199, 'CH', 'Switzerland'),
(78010, '149.255.56.0', '149.255.63.255', 2516531200, 2516533247, 'GB', 'United Kingdom'),
(78011, '149.255.64.0', '149.255.95.255', 2516533248, 2516541439, 'CZ', 'Czech Republic'),
(78012, '149.255.96.0', '149.255.111.255', 2516541440, 2516545535, 'GB', 'United Kingdom'),
(78013, '149.255.112.0', '149.255.119.255', 2516545536, 2516547583, 'RU', 'Russian Federation'),
(78014, '149.255.120.0', '149.255.127.255', 2516547584, 2516549631, 'GB', 'United Kingdom'),
(78015, '149.255.128.0', '149.255.135.255', 2516549632, 2516551679, 'RU', 'Russian Federation'),
(78016, '149.255.136.0', '149.255.143.255', 2516551680, 2516553727, 'FR', 'France'),
(78017, '149.255.144.0', '149.255.159.255', 2516553728, 2516557823, 'AZ', 'Azerbaijan'),
(78018, '149.255.160.0', '149.255.167.255', 2516557824, 2516559871, 'RU', 'Russian Federation'),
(78019, '149.255.168.0', '149.255.175.255', 2516559872, 2516561919, 'GB', 'United Kingdom'),
(78020, '149.255.176.0', '149.255.183.255', 2516561920, 2516563967, 'LI', 'Liechtenstein'),
(78021, '149.255.184.0', '149.255.191.255', 2516563968, 2516566015, 'GB', 'United Kingdom'),
(78022, '149.255.192.0', '149.255.255.255', 2516566016, 2516582399, 'IQ', 'Iraq'),
(78023, '150.0.0.0', '150.0.255.255', 2516582400, 2516647935, 'CN', 'China'),
(78024, '150.1.0.0', '150.70.63.255', 2516647936, 2521186303, 'JP', 'Japan'),
(78025, '150.70.64.0', '150.70.95.255', 2521186304, 2521194495, 'US', 'United States'),
(78026, '150.70.96.0', '150.70.143.255', 2521194496, 2521206783, 'JP', 'Japan'),
(78027, '150.70.144.0', '150.70.159.255', 2521206784, 2521210879, 'US', 'United States'),
(78028, '150.70.160.0', '150.70.207.255', 2521210880, 2521223167, 'JP', 'Japan'),
(78029, '150.70.208.0', '150.70.223.255', 2521223168, 2521227263, 'DE', 'Germany'),
(78030, '150.70.224.0', '150.100.255.255', 2521227264, 2523201535, 'JP', 'Japan'),
(78031, '150.101.0.0', '150.101.255.255', 2523201536, 2523267071, 'AU', 'Australia'),
(78032, '150.102.0.0', '150.105.255.255', 2523267072, 2523529215, 'US', 'United States'),
(78033, '150.106.0.0', '150.106.255.255', 2523529216, 2523594751, 'NO', 'Norway'),
(78034, '150.107.0.0', '150.107.255.255', 2523594752, 2523660287, 'EU', 'Europe'),
(78035, '150.108.0.0', '150.114.255.255', 2523660288, 2524119039, 'US', 'United States'),
(78036, '150.115.0.0', '150.115.255.255', 2524119040, 2524184575, 'CN', 'China'),
(78037, '150.116.0.0', '150.117.255.255', 2524184576, 2524315647, 'TW', 'Taiwan'),
(78038, '150.118.0.0', '150.120.255.255', 2524315648, 2524512255, 'US', 'United States'),
(78039, '150.121.0.0', '150.122.255.255', 2524512256, 2524643327, 'CN', 'China'),
(78040, '150.123.0.0', '150.127.224.255', 2524643328, 2524963071, 'US', 'United States'),
(78041, '150.127.225.0', '150.127.225.255', 2524963072, 2524963327, 'GB', 'United Kingdom'),
(78042, '150.127.226.0', '150.127.255.255', 2524963328, 2524971007, 'US', 'United States'),
(78043, '150.128.0.0', '150.128.255.255', 2524971008, 2525036543, 'ES', 'Spain'),
(78044, '150.129.0.0', '150.129.255.255', 2525036544, 2525102079, 'EU', 'Europe'),
(78045, '150.130.0.0', '150.131.255.255', 2525102080, 2525233151, 'US', 'United States'),
(78046, '150.132.0.0', '150.132.255.255', 2525233152, 2525298687, 'SE', 'Sweden'),
(78047, '150.133.0.0', '150.137.255.255', 2525298688, 2525626367, 'US', 'United States'),
(78048, '150.138.0.0', '150.139.255.255', 2525626368, 2525757439, 'CN', 'China'),
(78049, '150.140.0.0', '150.140.255.255', 2525757440, 2525822975, 'GR', 'Greece'),
(78050, '150.141.0.0', '150.144.255.255', 2525822976, 2526085119, 'US', 'United States'),
(78051, '150.145.0.0', '150.146.255.255', 2526085120, 2526216191, 'IT', 'Italy'),
(78052, '150.147.0.0', '150.149.255.255', 2526216192, 2526412799, 'US', 'United States'),
(78053, '150.150.0.0', '150.150.255.255', 2526412800, 2526478335, 'KR', 'Korea, Republic of'),
(78054, '150.151.0.0', '150.151.255.255', 2526478336, 2526543871, 'AU', 'Australia'),
(78055, '150.152.0.0', '150.157.255.255', 2526543872, 2526937087, 'US', 'United States'),
(78056, '150.158.0.0', '150.158.255.255', 2526937088, 2527002623, 'BE', 'Belgium'),
(78057, '150.159.0.0', '150.160.255.255', 2527002624, 2527133695, 'US', 'United States'),
(78058, '150.161.0.0', '150.165.255.255', 2527133696, 2527461375, 'BR', 'Brazil'),
(78059, '150.166.0.0', '150.172.255.255', 2527461376, 2527920127, 'US', 'United States'),
(78060, '150.173.0.0', '150.173.255.255', 2527920128, 2527985663, 'AU', 'Australia'),
(78061, '150.174.0.0', '150.174.255.255', 2527985664, 2528051199, 'US', 'United States'),
(78062, '150.175.0.0', '150.175.255.255', 2528051200, 2528116735, 'FR', 'France'),
(78063, '150.176.0.0', '150.177.255.255', 2528116736, 2528247807, 'US', 'United States'),
(78064, '150.178.0.0', '150.178.255.255', 2528247808, 2528313343, 'IT', 'Italy'),
(78065, '150.179.0.0', '150.182.255.255', 2528313344, 2528575487, 'US', 'United States'),
(78066, '150.183.0.0', '150.183.255.255', 2528575488, 2528641023, 'KR', 'Korea, Republic of'),
(78067, '150.184.0.0', '150.184.255.255', 2528641024, 2528706559, 'US', 'United States'),
(78068, '150.185.0.0', '150.189.255.255', 2528706560, 2529034239, 'VE', 'Venezuela'),
(78069, '150.190.0.0', '150.190.255.255', 2529034240, 2529099775, 'US', 'United States'),
(78070, '150.191.0.0', '150.191.255.255', 2529099776, 2529165311, 'AU', 'Australia'),
(78071, '150.192.0.0', '150.196.255.255', 2529165312, 2529492991, 'US', 'United States'),
(78072, '150.197.0.0', '150.197.255.255', 2529492992, 2529558527, 'KR', 'Korea, Republic of'),
(78073, '150.198.0.0', '150.202.255.255', 2529558528, 2529886207, 'US', 'United States'),
(78074, '150.203.0.0', '150.203.255.255', 2529886208, 2529951743, 'AU', 'Australia'),
(78075, '150.204.0.0', '150.204.255.255', 2529951744, 2530017279, 'GB', 'United Kingdom'),
(78076, '150.205.0.0', '150.205.255.255', 2530017280, 2530082815, 'CH', 'Switzerland'),
(78077, '150.206.0.0', '150.206.255.255', 2530082816, 2530148351, 'NZ', 'New Zealand'),
(78078, '150.207.0.0', '150.207.255.255', 2530148352, 2530213887, 'AU', 'Australia'),
(78079, '150.208.0.0', '150.212.255.255', 2530213888, 2530541567, 'US', 'United States'),
(78080, '150.213.0.0', '150.213.255.255', 2530541568, 2530607103, 'CH', 'Switzerland'),
(78081, '150.214.0.0', '150.214.255.255', 2530607104, 2530672639, 'ES', 'Spain'),
(78082, '150.215.0.0', '150.216.255.255', 2530672640, 2530803711, 'US', 'United States'),
(78083, '150.217.0.0', '150.217.255.255', 2530803712, 2530869247, 'IT', 'Italy'),
(78084, '150.218.0.0', '150.222.255.255', 2530869248, 2531196927, 'US', 'United States'),
(78085, '150.223.0.0', '150.223.255.255', 2531196928, 2531262463, 'CN', 'China'),
(78086, '150.224.0.0', '150.226.255.255', 2531262464, 2531459071, 'US', 'United States'),
(78087, '150.227.0.0', '150.227.255.255', 2531459072, 2531524607, 'SE', 'Sweden'),
(78088, '150.228.0.0', '150.228.255.255', 2531524608, 2531590143, 'US', 'United States'),
(78089, '150.229.0.0', '150.229.255.255', 2531590144, 2531655679, 'AU', 'Australia'),
(78090, '150.231.0.0', '150.235.255.255', 2531721216, 2532048895, 'US', 'United States'),
(78091, '150.236.0.0', '150.236.255.255', 2532048896, 2532114431, 'SE', 'Sweden'),
(78092, '150.237.0.0', '150.237.255.255', 2532114432, 2532179967, 'GB', 'United Kingdom'),
(78093, '150.238.0.0', '150.240.255.255', 2532179968, 2532376575, 'US', 'United States'),
(78094, '150.241.0.0', '150.241.255.255', 2532376576, 2532442111, 'ES', 'Spain'),
(78095, '150.242.0.0', '150.242.255.255', 2532442112, 2532507647, 'EU', 'Europe'),
(78096, '150.243.0.0', '150.243.255.255', 2532507648, 2532573183, 'US', 'United States'),
(78097, '150.244.0.0', '150.244.255.255', 2532573184, 2532638719, 'ES', 'Spain'),
(78098, '150.245.0.0', '150.250.255.255', 2532638720, 2533031935, 'US', 'United States'),
(78099, '150.251.0.0', '150.251.255.255', 2533031936, 2533097471, 'BE', 'Belgium'),
(78100, '150.252.0.0', '150.253.255.255', 2533097472, 2533228543, 'US', 'United States'),
(78101, '150.254.0.0', '150.254.255.255', 2533228544, 2533294079, 'PL', 'Poland'),
(78102, '150.255.0.0', '150.255.255.255', 2533294080, 2533359615, 'CN', 'China'),
(78103, '151.0.0.0', '151.0.63.255', 2533359616, 2533375999, 'UA', 'Ukraine'),
(78104, '151.0.64.0', '151.0.127.255', 2533376000, 2533392383, 'HU', 'Hungary'),
(78105, '151.0.128.0', '151.0.255.255', 2533392384, 2533425151, 'RO', 'Romania'),
(78106, '151.1.0.0', '151.100.255.255', 2533425152, 2539978751, 'IT', 'Italy'),
(78107, '151.101.0.0', '151.104.255.255', 2539978752, 2540240895, 'US', 'United States'),
(78108, '151.105.0.0', '151.105.255.255', 2540240896, 2540306431, 'FI', 'Finland'),
(78109, '151.106.0.0', '151.114.255.255', 2540306432, 2540896255, 'US', 'United States'),
(78110, '151.115.0.0', '151.115.255.255', 2540896256, 2540961791, 'GB', 'United Kingdom'),
(78111, '151.116.0.0', '151.119.255.255', 2540961792, 2541223935, 'US', 'United States'),
(78112, '151.120.0.0', '151.120.255.255', 2541223936, 2541289471, 'CH', 'Switzerland'),
(78113, '151.121.0.0', '151.126.255.255', 2541289472, 2541682687, 'US', 'United States'),
(78114, '151.127.0.0', '151.127.255.255', 2541682688, 2541748223, 'CH', 'Switzerland'),
(78115, '151.128.0.0', '151.128.255.255', 2541748224, 2541813759, 'US', 'United States'),
(78116, '151.129.0.0', '151.129.255.255', 2541813760, 2541879295, 'GB', 'United Kingdom'),
(78117, '151.130.0.0', '151.130.255.255', 2541879296, 2541944831, 'AU', 'Australia'),
(78118, '151.131.0.0', '151.132.255.255', 2541944832, 2542075903, 'US', 'United States'),
(78119, '151.133.0.0', '151.133.255.255', 2542075904, 2542141439, 'GB', 'United Kingdom'),
(78120, '151.134.0.0', '151.134.255.255', 2542141440, 2542206975, 'US', 'United States'),
(78121, '151.135.0.0', '151.135.255.255', 2542206976, 2542272511, 'TR', 'Turkey'),
(78122, '151.136.0.0', '151.136.255.255', 2542272512, 2542338047, 'DE', 'Germany'),
(78123, '151.137.0.0', '151.155.255.255', 2542338048, 2543583231, 'US', 'United States'),
(78124, '151.156.0.0', '151.156.255.255', 2543583232, 2543648767, 'SE', 'Sweden'),
(78125, '151.157.0.0', '151.157.255.255', 2543648768, 2543714303, 'NO', 'Norway'),
(78126, '151.158.0.0', '151.158.255.255', 2543714304, 2543779839, 'JP', 'Japan'),
(78127, '151.159.0.0', '151.169.255.255', 2543779840, 2544500735, 'US', 'United States'),
(78128, '151.170.0.0', '151.170.255.255', 2544500736, 2544566271, 'GB', 'United Kingdom'),
(78129, '151.171.0.0', '151.171.255.255', 2544566272, 2544631807, 'US', 'United States'),
(78130, '151.173.0.0', '151.174.255.255', 2544697344, 2544828415, 'US', 'United States'),
(78131, '151.175.0.0', '151.175.255.255', 2544828416, 2544893951, 'EU', 'Europe'),
(78132, '151.176.0.0', '151.176.255.255', 2544893952, 2544959487, 'GB', 'United Kingdom'),
(78133, '151.177.0.0', '151.177.255.255', 2544959488, 2545025023, 'SE', 'Sweden'),
(78134, '151.178.0.0', '151.178.255.255', 2545025024, 2545090559, 'AU', 'Australia'),
(78135, '151.179.0.0', '151.179.255.255', 2545090560, 2545156095, 'US', 'United States'),
(78136, '151.180.0.0', '151.180.255.255', 2545156096, 2545221631, 'GB', 'United Kingdom'),
(78137, '151.181.0.0', '151.181.255.255', 2545221632, 2545287167, 'US', 'United States'),
(78138, '151.182.0.0', '151.182.255.255', 2545287168, 2545352703, 'GB', 'United Kingdom'),
(78139, '151.183.0.0', '151.183.255.255', 2545352704, 2545418239, 'CH', 'Switzerland'),
(78140, '151.184.0.0', '151.184.255.255', 2545418240, 2545483775, 'NL', 'Netherlands'),
(78141, '151.185.0.0', '151.186.255.255', 2545483776, 2545614847, 'US', 'United States'),
(78142, '151.187.0.0', '151.187.255.255', 2545614848, 2545680383, 'NO', 'Norway'),
(78143, '151.188.0.0', '151.188.255.255', 2545680384, 2545745919, 'US', 'United States'),
(78144, '151.189.0.0', '151.189.255.255', 2545745920, 2545811455, 'DE', 'Germany'),
(78145, '151.190.0.0', '151.193.119.255', 2545811456, 2546038783, 'US', 'United States'),
(78146, '151.193.120.0', '151.193.120.255', 2546038784, 2546039039, 'EU', 'Europe'),
(78147, '151.193.121.0', '151.210.255.255', 2546039040, 2547187711, 'US', 'United States'),
(78148, '151.211.0.0', '151.212.255.255', 2547187712, 2547318783, 'GB', 'United Kingdom'),
(78149, '151.213.0.0', '151.215.255.255', 2547318784, 2547515391, 'US', 'United States'),
(78150, '151.216.0.0', '151.216.0.7', 2547515392, 2547515399, 'DK', 'Denmark'),
(78151, '151.216.4.0', '151.216.7.255', 2547516416, 2547517439, 'CH', 'Switzerland'),
(78152, '151.216.16.0', '151.216.31.255', 2547519488, 2547523583, 'CH', 'Switzerland'),
(78153, '151.216.32.0', '151.216.47.255', 2547523584, 2547527679, 'SE', 'Sweden'),
(78154, '152.0.0.0', '152.62.108.255', 2550136832, 2554227967, 'US', 'United States'),
(78155, '152.62.109.0', '152.62.109.255', 2554227968, 2554228223, 'EU', 'Europe'),
(78156, '152.62.110.0', '152.65.255.255', 2554228224, 2554462207, 'US', 'United States'),
(78157, '152.66.0.0', '152.66.255.255', 2554462208, 2554527743, 'HU', 'Hungary'),
(78158, '152.67.0.0', '152.70.255.255', 2554527744, 2554789887, 'US', 'United States'),
(78159, '152.71.0.0', '152.71.255.255', 2554789888, 2554855423, 'GB', 'United Kingdom'),
(78160, '152.72.0.0', '152.72.129.255', 2554855424, 2554888703, 'US', 'United States'),
(78161, '152.72.130.0', '152.72.130.255', 2554888704, 2554888959, 'EU', 'Europe'),
(78162, '152.72.131.0', '152.72.255.255', 2554888960, 2554920959, 'US', 'United States'),
(78163, '152.73.0.0', '152.73.255.255', 2554920960, 2554986495, 'DK', 'Denmark'),
(78164, '152.74.0.0', '152.74.255.255', 2554986496, 2555052031, 'CL', 'Chile'),
(78165, '152.75.0.0', '152.75.255.255', 2555052032, 2555117567, 'US', 'United States'),
(78166, '152.76.0.0', '152.76.255.255', 2555117568, 2555183103, 'AU', 'Australia'),
(78167, '152.77.0.0', '152.77.255.255', 2555183104, 2555248639, 'FR', 'France'),
(78168, '152.78.0.0', '152.78.255.255', 2555248640, 2555314175, 'GB', 'United Kingdom'),
(78169, '152.79.0.0', '152.80.255.255', 2555314176, 2555445247, 'US', 'United States'),
(78170, '152.81.0.0', '152.81.255.255', 2555445248, 2555510783, 'FR', 'France'),
(78171, '152.82.0.0', '152.82.255.255', 2555510784, 2555576319, 'US', 'United States'),
(78172, '152.83.0.0', '152.83.255.255', 2555576320, 2555641855, 'AU', 'Australia'),
(78173, '152.84.0.0', '152.84.255.255', 2555641856, 2555707391, 'BR', 'Brazil'),
(78174, '152.85.0.0', '152.87.255.255', 2555707392, 2555903999, 'US', 'United States'),
(78175, '152.88.0.0', '152.88.255.255', 2555904000, 2555969535, 'CH', 'Switzerland'),
(78176, '152.89.0.0', '152.89.255.255', 2555969536, 2556035071, 'EU', 'Europe'),
(78177, '152.90.0.0', '152.90.255.255', 2556035072, 2556100607, 'NO', 'Norway'),
(78178, '152.91.0.0', '152.91.255.255', 2556100608, 2556166143, 'AU', 'Australia'),
(78179, '152.92.0.0', '152.92.255.255', 2556166144, 2556231679, 'BR', 'Brazil'),
(78180, '152.93.0.0', '152.94.255.255', 2556231680, 2556362751, 'NO', 'Norway'),
(78181, '152.95.0.0', '152.95.255.255', 2556362752, 2556428287, 'DK', 'Denmark'),
(78182, '152.96.0.0', '152.96.255.255', 2556428288, 2556493823, 'CH', 'Switzerland'),
(78183, '152.97.0.0', '152.97.255.255', 2556493824, 2556559359, 'US', 'United States'),
(78184, '152.98.0.0', '152.98.255.255', 2556559360, 2556624895, 'AU', 'Australia'),
(78185, '152.99.0.0', '152.99.255.255', 2556624896, 2556690431, 'KR', 'Korea, Republic of'),
(78186, '152.100.0.0', '152.100.255.255', 2556690432, 2556755967, 'US', 'United States'),
(78187, '152.101.0.0', '152.101.255.255', 2556755968, 2556821503, 'HK', 'Hong Kong'),
(78188, '152.102.0.0', '152.102.255.255', 2556821504, 2556887039, 'SG', 'Singapore'),
(78189, '152.103.0.0', '152.104.255.255', 2556887040, 2557018111, 'HK', 'Hong Kong'),
(78190, '152.105.0.0', '152.105.255.255', 2557018112, 2557083647, 'GB', 'United Kingdom'),
(78191, '152.106.0.0', '152.112.255.255', 2557083648, 2557542399, 'ZA', 'South Africa'),
(78192, '152.113.0.0', '152.113.255.255', 2557542400, 2557607935, 'US', 'United States'),
(78193, '152.114.0.0', '152.114.255.255', 2557607936, 2557673471, 'GB', 'United Kingdom'),
(78194, '152.115.0.0', '152.115.255.255', 2557673472, 2557739007, 'DK', 'Denmark'),
(78195, '152.116.0.0', '152.117.255.255', 2557739008, 2557870079, 'US', 'United States'),
(78196, '152.118.0.0', '152.118.255.255', 2557870080, 2557935615, 'ID', 'Indonesia'),
(78197, '152.119.0.0', '152.133.255.255', 2557935616, 2558918655, 'US', 'United States'),
(78198, '152.134.0.0', '152.134.255.255', 2558918656, 2558984191, 'GB', 'United Kingdom'),
(78199, '152.135.0.0', '152.138.255.255', 2558984192, 2559246335, 'US', 'United States'),
(78200, '152.139.0.0', '152.139.255.255', 2559246336, 2559311871, 'CL', 'Chile'),
(78201, '152.140.0.0', '152.142.255.255', 2559311872, 2559508479, 'US', 'United States'),
(78202, '152.143.0.0', '152.143.255.255', 2559508480, 2559574015, 'DE', 'Germany'),
(78203, '152.144.0.0', '152.146.255.255', 2559574016, 2559770623, 'US', 'United States'),
(78204, '152.147.0.0', '152.147.255.255', 2559770624, 2559836159, 'AU', 'Australia'),
(78205, '152.148.0.0', '152.148.255.255', 2559836160, 2559901695, 'US', 'United States'),
(78206, '152.149.0.0', '152.149.255.255', 2559901696, 2559967231, 'KR', 'Korea, Republic of'),
(78207, '152.150.0.0', '152.150.255.255', 2559967232, 2560032767, 'GB', 'United Kingdom'),
(78208, '152.151.0.0', '152.151.255.255', 2560032768, 2560098303, 'US', 'United States'),
(78209, '152.152.0.0', '152.152.255.255', 2560098304, 2560163839, 'BE', 'Belgium'),
(78210, '152.153.0.0', '152.153.255.255', 2560163840, 2560229375, 'NZ', 'New Zealand'),
(78211, '152.154.0.0', '152.160.22.255', 2560229376, 2560628479, 'US', 'United States'),
(78212, '152.160.23.0', '152.160.23.255', 2560628480, 2560628735, 'CA', 'Canada'),
(78213, '152.160.24.0', '152.160.85.255', 2560628736, 2560644607, 'US', 'United States'),
(78214, '152.160.86.0', '152.160.86.255', 2560644608, 2560644863, 'CA', 'Canada'),
(78215, '152.160.87.0', '152.165.255.255', 2560644864, 2561015807, 'US', 'United States'),
(78216, '152.176.0.0', '152.225.255.255', 2561671168, 2564947967, 'US', 'United States'),
(78217, '152.226.0.0', '152.226.255.255', 2564947968, 2565013503, 'SG', 'Singapore'),
(78218, '152.227.0.0', '152.229.255.255', 2565013504, 2565210111, 'US', 'United States'),
(78219, '153.0.0.0', '153.0.255.255', 2566914048, 2566979583, 'CN', 'China'),
(78220, '153.1.0.0', '153.1.255.255', 2566979584, 2567045119, 'FI', 'Finland'),
(78221, '153.2.0.0', '153.2.255.255', 2567045120, 2567110655, 'US', 'United States'),
(78222, '153.3.0.0', '153.3.255.255', 2567110656, 2567176191, 'CN', 'China'),
(78223, '153.4.0.0', '153.4.255.255', 2567176192, 2567241727, 'US', 'United States'),
(78224, '153.5.0.0', '153.5.255.255', 2567241728, 2567307263, 'SI', 'Slovenia'),
(78225, '153.6.0.0', '153.14.255.255', 2567307264, 2567897087, 'US', 'United States'),
(78226, '153.15.0.0', '153.15.255.255', 2567897088, 2567962623, 'NO', 'Norway'),
(78227, '153.16.0.0', '153.16.255.255', 2567962624, 2568028159, 'US', 'United States'),
(78228, '153.17.0.0', '153.17.255.255', 2568028160, 2568093695, 'DE', 'Germany'),
(78229, '153.18.0.0', '153.18.255.255', 2568093696, 2568159231, 'US', 'United States'),
(78230, '153.19.0.0', '153.19.255.255', 2568159232, 2568224767, 'PL', 'Poland'),
(78231, '153.20.0.0', '153.20.255.255', 2568224768, 2568290303, 'SG', 'Singapore'),
(78232, '153.21.0.0', '153.33.255.255', 2568290304, 2569142271, 'US', 'United States'),
(78233, '153.34.0.0', '153.37.255.255', 2569142272, 2569404415, 'CN', 'China'),
(78234, '153.38.0.0', '153.43.255.255', 2569404416, 2569797631, 'US', 'United States'),
(78235, '153.44.0.0', '153.44.255.255', 2569797632, 2569863167, 'NO', 'Norway'),
(78236, '153.45.0.0', '153.46.255.255', 2569863168, 2569994239, 'CH', 'Switzerland'),
(78237, '153.47.0.0', '153.47.0.255', 2569994240, 2569994495, 'EU', 'Europe'),
(78238, '153.47.1.0', '153.48.255.255', 2569994496, 2570125311, 'US', 'United States'),
(78239, '153.49.0.0', '153.49.255.255', 2570125312, 2570190847, 'BE', 'Belgium'),
(78240, '153.50.0.0', '153.87.255.255', 2570190848, 2572681215, 'US', 'United States'),
(78241, '153.88.0.0', '153.88.255.255', 2572681216, 2572746751, 'SE', 'Sweden'),
(78242, '153.89.0.0', '153.91.255.255', 2572746752, 2572943359, 'US', 'United States'),
(78243, '153.92.0.0', '153.98.255.255', 2572943360, 2573402111, 'DE', 'Germany'),
(78244, '153.99.0.0', '153.99.255.255', 2573402112, 2573467647, 'CN', 'China'),
(78245, '153.100.0.0', '153.100.255.255', 2573467648, 2573533183, 'DE', 'Germany'),
(78246, '153.101.0.0', '153.101.255.255', 2573533184, 2573598719, 'CN', 'China'),
(78247, '153.102.0.0', '153.106.255.255', 2573598720, 2573926399, 'US', 'United States'),
(78248, '153.107.0.0', '153.107.255.255', 2573926400, 2573991935, 'AU', 'Australia'),
(78249, '153.108.0.0', '153.109.255.255', 2573991936, 2574123007, 'CH', 'Switzerland'),
(78250, '153.110.0.0', '153.110.255.255', 2574123008, 2574188543, 'NO', 'Norway'),
(78251, '153.111.0.0', '153.111.255.255', 2574188544, 2574254079, 'NZ', 'New Zealand'),
(78252, '153.112.0.0', '153.112.237.255', 2574254080, 2574315007, 'SE', 'Sweden'),
(78253, '153.112.238.0', '153.112.238.255', 2574315008, 2574315263, 'NO', 'Norway'),
(78254, '153.112.239.0', '153.112.255.255', 2574315264, 2574319615, 'SE', 'Sweden'),
(78255, '153.113.0.0', '153.117.255.255', 2574319616, 2574647295, 'US', 'United States'),
(78256, '153.118.0.0', '153.119.255.255', 2574647296, 2574778367, 'CN', 'China'),
(78257, '153.120.0.0', '153.255.255.255', 2574778368, 2583691263, 'JP', 'Japan'),
(78258, '154.0.0.0', '154.4.255.255', 2583691264, 2584018943, 'US', 'United States'),
(78259, '154.5.0.0', '154.5.255.255', 2584018944, 2584084479, 'CA', 'Canada'),
(78260, '154.6.0.0', '154.7.255.255', 2584084480, 2584215551, 'US', 'United States'),
(78261, '154.8.0.0', '154.8.255.255', 2584215552, 2584281087, 'GB', 'United Kingdom'),
(78262, '154.9.0.0', '154.9.255.255', 2584281088, 2584346623, 'US', 'United States'),
(78263, '154.10.0.0', '154.10.255.255', 2584346624, 2584412159, 'KR', 'Korea, Republic of'),
(78264, '154.11.0.0', '154.11.255.255', 2584412160, 2584477695, 'CA', 'Canada'),
(78265, '154.12.0.0', '154.13.255.255', 2584477696, 2584608767, 'US', 'United States'),
(78266, '154.14.0.0', '154.15.255.255', 2584608768, 2584739839, 'CH', 'Switzerland'),
(78267, '154.16.0.0', '154.16.255.255', 2584739840, 2584805375, 'EU', 'Europe'),
(78268, '154.17.0.0', '154.19.255.255', 2584805376, 2585001983, 'US', 'United States'),
(78269, '154.20.0.0', '154.20.255.255', 2585001984, 2585067519, 'CA', 'Canada'),
(78270, '154.21.0.0', '154.31.255.255', 2585067520, 2585788415, 'US', 'United States'),
(78271, '154.32.0.0', '154.32.255.255', 2585788416, 2585853951, 'GB', 'United Kingdom'),
(78272, '154.33.0.0', '154.34.255.255', 2585853952, 2585985023, 'JP', 'Japan'),
(78273, '154.35.0.0', '154.50.195.255', 2585985024, 2587018239, 'US', 'United States'),
(78274, '154.50.196.0', '154.50.196.255', 2587018240, 2587018495, 'IE', 'Ireland'),
(78275, '154.50.197.0', '154.64.255.255', 2587018496, 2587951103, 'US', 'United States'),
(78276, '155.1.0.0', '155.2.255.255', 2600534016, 2600665087, 'US', 'United States'),
(78277, '155.3.0.0', '155.3.255.255', 2600665088, 2600730623, 'CA', 'Canada'),
(78278, '155.4.0.0', '155.4.255.255', 2600730624, 2600796159, 'NO', 'Norway'),
(78279, '155.5.0.0', '155.9.255.255', 2600796160, 2601123839, 'US', 'United States'),
(78280, '155.10.0.0', '155.10.255.255', 2601123840, 2601189375, 'CA', 'Canada'),
(78281, '155.13.0.0', '155.14.255.255', 2601320448, 2601451519, 'US', 'United States'),
(78282, '155.15.0.0', '155.15.255.255', 2601451520, 2601517055, 'CA', 'Canada'),
(78283, '155.16.0.0', '155.31.255.255', 2601517056, 2602565631, 'US', 'United States'),
(78284, '155.32.0.0', '155.32.255.255', 2602565632, 2602631167, 'NZ', 'New Zealand'),
(78285, '155.33.0.0', '155.35.45.255', 2602631168, 2602774015, 'US', 'United States'),
(78286, '155.35.46.0', '155.35.46.255', 2602774016, 2602774271, 'IN', 'India'),
(78287, '155.35.47.0', '155.35.247.255', 2602774272, 2602825727, 'US', 'United States'),
(78288, '155.35.248.0', '155.35.248.255', 2602825728, 2602825983, 'AU', 'Australia'),
(78289, '155.35.249.0', '155.44.255.255', 2602825984, 2603417599, 'US', 'United States'),
(78290, '155.45.0.0', '155.45.255.255', 2603417600, 2603483135, 'DE', 'Germany'),
(78291, '155.46.0.0', '155.53.255.255', 2603483136, 2604007423, 'US', 'United States'),
(78292, '155.54.0.0', '155.54.255.255', 2604007424, 2604072959, 'ES', 'Spain'),
(78293, '155.55.0.0', '155.55.255.255', 2604072960, 2604138495, 'NO', 'Norway'),
(78294, '155.56.0.0', '155.56.255.255', 2604138496, 2604204031, 'DE', 'Germany'),
(78295, '155.57.0.0', '155.57.154.255', 2604204032, 2604243711, 'US', 'United States'),
(78296, '155.57.155.0', '155.57.155.255', 2604243712, 2604243967, 'AP', 'Asia/Pacific Region'),
(78297, '155.57.156.0', '155.57.159.255', 2604243968, 2604244991, 'US', 'United States'),
(78298, '155.57.160.0', '155.57.160.255', 2604244992, 2604245247, 'EU', 'Europe'),
(78299, '155.57.161.0', '155.58.255.255', 2604245248, 2604335103, 'US', 'United States'),
(78300, '155.59.0.0', '155.59.255.255', 2604335104, 2604400639, 'NZ', 'New Zealand'),
(78301, '155.60.0.0', '155.60.255.255', 2604400640, 2604466175, 'AU', 'Australia'),
(78302, '155.61.0.0', '155.61.255.255', 2604466176, 2604531711, 'US', 'United States'),
(78303, '155.62.0.0', '155.62.255.255', 2604531712, 2604597247, 'CA', 'Canada'),
(78304, '155.63.0.0', '155.65.255.255', 2604597248, 2604793855, 'US', 'United States'),
(78305, '155.66.0.0', '155.66.255.255', 2604793856, 2604859391, 'CH', 'Switzerland'),
(78306, '155.67.0.0', '155.68.255.255', 2604859392, 2604990463, 'US', 'United States'),
(78307, '155.69.0.0', '155.69.255.255', 2604990464, 2605055999, 'SG', 'Singapore'),
(78308, '155.70.0.0', '155.70.255.255', 2605056000, 2605121535, 'US', 'United States'),
(78309, '155.71.0.0', '155.71.255.255', 2605121536, 2605187071, 'AU', 'Australia'),
(78310, '155.72.0.0', '155.72.255.255', 2605187072, 2605252607, 'US', 'United States'),
(78311, '155.73.0.0', '155.73.255.255', 2605252608, 2605318143, 'AT', 'Austria'),
(78312, '155.74.0.0', '155.88.255.255', 2605318144, 2606301183, 'US', 'United States'),
(78313, '155.90.0.0', '155.91.64.9', 2606366720, 2606448649, 'US', 'United States'),
(78314, '155.91.64.10', '155.91.64.11', 2606448650, 2606448651, 'EU', 'Europe'),
(78315, '155.91.64.12', '155.91.135.255', 2606448652, 2606467071, 'US', 'United States'),
(78316, '155.91.136.0', '155.91.136.255', 2606467072, 2606467327, 'AP', 'Asia/Pacific Region'),
(78317, '155.91.137.0', '155.92.255.255', 2606467328, 2606563327, 'US', 'United States'),
(78318, '155.94.0.0', '155.94.69.255', 2606628864, 2606646783, 'US', 'United States'),
(78319, '155.94.70.0', '155.94.70.255', 2606646784, 2606647039, 'EU', 'Europe'),
(78320, '155.94.71.0', '155.94.77.255', 2606647040, 2606648831, 'US', 'United States'),
(78321, '155.94.78.0', '155.94.78.255', 2606648832, 2606649087, 'IE', 'Ireland'),
(78322, '155.94.79.0', '155.104.255.255', 2606649088, 2607349759, 'US', 'United States'),
(78323, '155.105.0.0', '155.105.255.255', 2607349760, 2607415295, 'CH', 'Switzerland'),
(78324, '155.106.0.0', '155.126.7.255', 2607415296, 2608728063, 'US', 'United States'),
(78325, '155.126.8.0', '155.126.8.255', 2608728064, 2608728319, 'AP', 'Asia/Pacific Region'),
(78326, '155.126.9.0', '155.130.255.255', 2608728320, 2609053695, 'US', 'United States'),
(78327, '155.131.0.0', '155.131.255.255', 2609053696, 2609119231, 'GB', 'United Kingdom'),
(78328, '155.132.0.0', '155.132.255.255', 2609119232, 2609184767, 'FR', 'France'),
(78329, '155.133.0.0', '155.133.255.255', 2609184768, 2609250303, 'DE', 'Germany'),
(78330, '155.134.0.0', '155.135.255.255', 2609250304, 2609381375, 'US', 'United States'),
(78331, '155.136.0.0', '155.136.255.255', 2609381376, 2609446911, 'GB', 'United Kingdom'),
(78332, '155.137.0.0', '155.137.255.255', 2609446912, 2609512447, 'DK', 'Denmark'),
(78333, '155.138.0.0', '155.139.255.255', 2609512448, 2609643519, 'US', 'United States'),
(78334, '155.140.0.0', '155.140.254.255', 2609643520, 2609708799, 'GB', 'United Kingdom'),
(78335, '155.140.255.0', '155.140.255.255', 2609708800, 2609709055, 'AP', 'Asia/Pacific Region'),
(78336, '155.141.0.0', '155.142.255.255', 2609709056, 2609840127, 'US', 'United States'),
(78337, '155.143.0.0', '155.144.255.255', 2609840128, 2609971199, 'AU', 'Australia'),
(78338, '155.145.0.0', '155.145.255.255', 2609971200, 2610036735, 'GB', 'United Kingdom'),
(78339, '155.146.0.0', '155.157.255.255', 2610036736, 2610823167, 'US', 'United States'),
(78340, '155.158.0.0', '155.158.255.255', 2610823168, 2610888703, 'PL', 'Poland'),
(78341, '155.159.0.0', '155.159.255.255', 2610888704, 2610954239, 'ZA', 'South Africa'),
(78342, '155.160.0.0', '155.160.255.255', 2610954240, 2611019775, 'JP', 'Japan'),
(78343, '155.161.0.0', '155.184.255.255', 2611019776, 2612592639, 'US', 'United States'),
(78344, '155.185.0.0', '155.185.255.255', 2612592640, 2612658175, 'IT', 'Italy'),
(78345, '155.186.0.0', '155.186.255.255', 2612658176, 2612723711, 'US', 'United States'),
(78346, '155.187.0.0', '155.187.255.255', 2612723712, 2612789247, 'AU', 'Australia'),
(78347, '155.188.0.0', '155.191.255.255', 2612789248, 2613051391, 'US', 'United States'),
(78348, '155.192.0.0', '155.192.255.255', 2613051392, 2613116927, 'GB', 'United Kingdom'),
(78349, '155.193.0.0', '155.193.255.255', 2613116928, 2613182463, 'US', 'United States'),
(78350, '155.194.0.0', '155.194.255.255', 2613182464, 2613247999, 'CA', 'Canada'),
(78351, '155.195.0.0', '155.195.255.255', 2613248000, 2613313535, 'US', 'United States'),
(78352, '155.197.0.0', '155.197.255.255', 2613379072, 2613444607, 'US', 'United States'),
(78353, '155.198.0.0', '155.198.255.255', 2613444608, 2613510143, 'GB', 'United Kingdom'),
(78354, '155.199.0.0', '155.201.35.50', 2613510144, 2613650226, 'US', 'United States'),
(78355, '155.201.35.51', '155.201.35.51', 2613650227, 2613650227, 'BM', 'Bermuda'),
(78356, '155.201.35.52', '155.201.35.66', 2613650228, 2613650242, 'US', 'United States'),
(78357, '155.201.35.67', '155.201.35.67', 2613650243, 2613650243, 'MX', 'Mexico'),
(78358, '155.201.35.68', '155.201.255.255', 2613650244, 2613706751, 'US', 'United States'),
(78359, '155.202.0.0', '155.202.255.255', 2613706752, 2613772287, 'GB', 'United Kingdom'),
(78360, '155.203.0.0', '155.203.255.255', 2613772288, 2613837823, 'US', 'United States'),
(78361, '155.204.0.0', '155.204.255.255', 2613837824, 2613903359, 'NL', 'Netherlands'),
(78362, '155.205.0.0', '155.205.255.255', 2613903360, 2613968895, 'AU', 'Australia'),
(78363, '155.206.0.0', '155.206.255.255', 2613968896, 2614034431, 'US', 'United States'),
(78364, '155.207.0.0', '155.207.255.255', 2614034432, 2614099967, 'GR', 'Greece'),
(78365, '155.208.0.0', '155.208.253.255', 2614099968, 2614164991, 'US', 'United States'),
(78366, '155.208.254.0', '155.208.254.255', 2614164992, 2614165247, 'EU', 'Europe'),
(78367, '155.208.255.0', '155.208.255.255', 2614165248, 2614165503, 'US', 'United States'),
(78368, '155.209.0.0', '155.209.255.255', 2614165504, 2614231039, 'NO', 'Norway'),
(78369, '155.210.0.0', '155.210.255.255', 2614231040, 2614296575, 'ES', 'Spain'),
(78370, '155.211.0.0', '155.211.255.255', 2614296576, 2614362111, 'BR', 'Brazil'),
(78371, '155.212.0.0', '155.222.255.255', 2614362112, 2615083007, 'US', 'United States'),
(78372, '155.223.0.0', '155.223.255.255', 2615083008, 2615148543, 'TR', 'Turkey'),
(78373, '155.224.0.0', '155.226.255.255', 2615148544, 2615345151, 'US', 'United States'),
(78374, '155.227.0.0', '155.227.255.255', 2615345152, 2615410687, 'NO', 'Norway'),
(78375, '155.228.0.0', '155.228.255.255', 2615410688, 2615476223, 'CH', 'Switzerland'),
(78376, '155.229.0.0', '155.229.255.255', 2615476224, 2615541759, 'US', 'United States'),
(78377, '155.230.0.0', '155.230.255.255', 2615541760, 2615607295, 'KR', 'Korea, Republic of'),
(78378, '155.231.0.0', '155.231.255.255', 2615607296, 2615672831, 'GB', 'United Kingdom'),
(78379, '155.232.0.0', '155.240.255.255', 2615672832, 2616262655, 'ZA', 'South Africa'),
(78380, '155.241.0.0', '155.244.255.255', 2616262656, 2616524799, 'US', 'United States'),
(78381, '155.245.0.0', '155.245.255.255', 2616524800, 2616590335, 'GB', 'United Kingdom'),
(78382, '155.246.0.0', '155.248.190.255', 2616590336, 2616770303, 'US', 'United States'),
(78383, '155.248.191.0', '155.248.191.255', 2616770304, 2616770559, 'EU', 'Europe'),
(78384, '155.248.192.0', '155.248.255.255', 2616770560, 2616786943, 'US', 'United States'),
(78385, '155.249.0.0', '155.249.255.255', 2616786944, 2616852479, 'GB', 'United Kingdom'),
(78386, '155.250.0.0', '155.250.255.255', 2616852480, 2616918015, 'DE', 'Germany'),
(78387, '155.252.0.0', '155.252.255.255', 2616983552, 2617049087, 'US', 'United States'),
(78388, '155.253.0.0', '155.253.255.255', 2617049088, 2617114623, 'IT', 'Italy'),
(78389, '155.254.0.0', '155.254.255.255', 2617114624, 2617180159, 'US', 'United States'),
(78390, '156.0.0.0', '156.7.255.255', 2617245696, 2617769983, 'US', 'United States'),
(78391, '156.8.0.0', '156.8.255.255', 2617769984, 2617835519, 'ZA', 'South Africa'),
(78392, '156.9.0.0', '156.9.255.255', 2617835520, 2617901055, 'US', 'United States'),
(78393, '156.10.0.0', '156.10.255.255', 2617901056, 2617966591, 'FI', 'Finland'),
(78394, '156.11.0.0', '156.11.255.255', 2617966592, 2618032127, 'CA', 'Canada'),
(78395, '156.12.0.0', '156.12.255.255', 2618032128, 2618097663, 'US', 'United States'),
(78396, '156.13.0.0', '156.13.255.255', 2618097664, 2618163199, 'NZ', 'New Zealand'),
(78397, '156.14.0.0', '156.14.255.255', 2618163200, 2618228735, 'IT', 'Italy'),
(78398, '156.15.0.0', '156.15.255.255', 2618228736, 2618294271, 'US', 'United States'),
(78399, '156.17.0.0', '156.17.255.255', 2618359808, 2618425343, 'PL', 'Poland'),
(78400, '156.18.0.0', '156.18.255.255', 2618425344, 2618490879, 'FR', 'France'),
(78401, '156.19.0.0', '156.21.255.255', 2618490880, 2618687487, 'US', 'United States'),
(78402, '156.22.0.0', '156.22.255.255', 2618687488, 2618753023, 'AU', 'Australia'),
(78403, '156.23.0.0', '156.24.255.255', 2618753024, 2618884095, 'US', 'United States'),
(78404, '156.25.0.0', '156.25.255.255', 2618884096, 2618949631, 'CH', 'Switzerland'),
(78405, '156.26.0.0', '156.27.255.255', 2618949632, 2619080703, 'US', 'United States'),
(78406, '156.28.0.0', '156.28.255.255', 2619080704, 2619146239, 'FR', 'France'),
(78407, '156.29.0.0', '156.30.255.255', 2619146240, 2619277311, 'US', 'United States'),
(78408, '156.31.0.0', '156.31.255.255', 2619277312, 2619342847, 'BN', 'Brunei Darussalam'),
(78409, '156.32.0.0', '156.33.255.255', 2619342848, 2619473919, 'US', 'United States'),
(78410, '156.34.0.0', '156.34.255.255', 2619473920, 2619539455, 'CA', 'Canada'),
(78411, '156.35.0.0', '156.35.255.255', 2619539456, 2619604991, 'ES', 'Spain'),
(78412, '156.36.0.0', '156.37.252.255', 2619604992, 2619735295, 'US', 'United States'),
(78413, '156.37.253.0', '156.37.253.255', 2619735296, 2619735551, 'EU', 'Europe'),
(78414, '156.37.254.0', '156.37.255.255', 2619735552, 2619736063, 'US', 'United States'),
(78415, '156.39.0.0', '156.42.255.255', 2619801600, 2620063743, 'US', 'United States'),
(78416, '156.43.0.0', '156.43.255.255', 2620063744, 2620129279, 'GB', 'United Kingdom'),
(78417, '156.44.0.0', '156.44.255.255', 2620129280, 2620194815, 'CA', 'Canada'),
(78418, '156.45.0.0', '156.46.213.159', 2620194816, 2620315039, 'US', 'United States'),
(78419, '156.46.213.160', '156.46.213.183', 2620315040, 2620315063, 'DE', 'Germany'),
(78420, '156.46.213.184', '156.47.255.255', 2620315064, 2620391423, 'US', 'United States'),
(78421, '156.48.0.0', '156.48.255.255', 2620391424, 2620456959, 'GB', 'United Kingdom'),
(78422, '156.49.0.0', '156.49.255.255', 2620456960, 2620522495, 'SE', 'Sweden'),
(78423, '156.50.0.0', '156.50.255.255', 2620522496, 2620588031, 'AU', 'Australia'),
(78424, '156.51.0.0', '156.51.255.255', 2620588032, 2620653567, 'SE', 'Sweden'),
(78425, '156.52.0.0', '156.52.255.255', 2620653568, 2620719103, 'NO', 'Norway'),
(78426, '156.53.0.0', '156.53.255.255', 2620719104, 2620784639, 'US', 'United States'),
(78427, '156.54.0.0', '156.54.255.255', 2620784640, 2620850175, 'IT', 'Italy'),
(78428, '156.55.0.0', '156.56.255.255', 2620850176, 2620981247, 'US', 'United States'),
(78429, '156.57.0.0', '156.57.255.255', 2620981248, 2621046783, 'CA', 'Canada'),
(78430, '156.58.0.0', '156.58.255.255', 2621046784, 2621112319, 'AT', 'Austria'),
(78431, '156.59.0.0', '156.59.255.255', 2621112320, 2621177855, 'NZ', 'New Zealand'),
(78432, '156.60.0.0', '156.60.255.255', 2621177856, 2621243391, 'US', 'United States'),
(78433, '156.61.0.0', '156.61.255.255', 2621243392, 2621308927, 'GB', 'United Kingdom'),
(78434, '156.62.0.0', '156.62.255.255', 2621308928, 2621374463, 'NZ', 'New Zealand'),
(78435, '156.63.0.0', '156.66.255.255', 2621374464, 2621636607, 'US', 'United States'),
(78436, '156.67.0.0', '156.67.255.255', 2621636608, 2621702143, 'DE', 'Germany'),
(78437, '156.68.0.0', '156.68.255.255', 2621702144, 2621767679, 'US', 'United States'),
(78438, '156.69.0.0', '156.69.255.255', 2621767680, 2621833215, 'NZ', 'New Zealand'),
(78439, '156.70.0.0', '156.82.255.255', 2621833216, 2622685183, 'US', 'United States'),
(78440, '156.83.0.0', '156.83.255.255', 2622685184, 2622750719, 'NL', 'Netherlands'),
(78441, '156.84.0.0', '156.96.255.255', 2622750720, 2623602687, 'US', 'United States'),
(78442, '156.97.0.0', '156.97.255.255', 2623602688, 2623668223, 'CL', 'Chile'),
(78443, '156.98.0.0', '156.105.255.255', 2623668224, 2624192511, 'US', 'United States'),
(78444, '156.106.0.0', '156.106.255.255', 2624192512, 2624258047, 'CH', 'Switzerland'),
(78445, '156.107.0.0', '156.107.32.255', 2624258048, 2624266495, 'US', 'United States'),
(78446, '156.107.33.0', '156.107.33.255', 2624266496, 2624266751, 'AP', 'Asia/Pacific Region'),
(78447, '156.107.34.0', '156.109.10.16', 2624266752, 2624391696, 'US', 'United States'),
(78448, '156.109.10.17', '156.109.10.17', 2624391697, 2624391697, 'EU', 'Europe'),
(78449, '156.109.10.18', '156.109.17.255', 2624391698, 2624393727, 'US', 'United States'),
(78450, '156.109.18.0', '156.109.18.255', 2624393728, 2624393983, 'EU', 'Europe'),
(78451, '156.109.19.0', '156.113.255.255', 2624393984, 2624716799, 'US', 'United States'),
(78452, '156.114.0.0', '156.114.255.255', 2624716800, 2624782335, 'NL', 'Netherlands'),
(78453, '156.115.0.0', '156.115.255.255', 2624782336, 2624847871, 'CH', 'Switzerland'),
(78454, '156.116.0.0', '156.116.255.255', 2624847872, 2624913407, 'NO', 'Norway'),
(78455, '156.117.0.0', '156.117.255.255', 2624913408, 2624978943, 'US', 'United States'),
(78456, '156.118.0.0', '156.118.255.255', 2624978944, 2625044479, 'FR', 'France'),
(78457, '156.119.0.0', '156.132.255.255', 2625044480, 2625961983, 'US', 'United States'),
(78458, '156.133.0.0', '156.133.255.255', 2625961984, 2626027519, 'LU', 'Luxembourg'),
(78459, '156.134.0.0', '156.134.255.255', 2626027520, 2626093055, 'US', 'United States'),
(78460, '156.135.0.0', '156.135.255.255', 2626093056, 2626158591, 'CH', 'Switzerland'),
(78461, '156.136.0.0', '156.146.255.255', 2626158592, 2626879487, 'US', 'United States'),
(78462, '156.147.0.0', '156.147.255.255', 2626879488, 2626945023, 'KR', 'Korea, Republic of'),
(78463, '156.148.0.0', '156.148.255.255', 2626945024, 2627010559, 'IT', 'Italy'),
(78464, '156.149.0.0', '156.149.255.255', 2627010560, 2627076095, 'NZ', 'New Zealand'),
(78465, '156.150.0.0', '156.150.255.255', 2627076096, 2627141631, 'NL', 'Netherlands'),
(78466, '156.151.0.0', '156.155.255.255', 2627141632, 2627469311, 'US', 'United States'),
(78467, '157.0.0.0', '157.0.255.255', 2634022912, 2634088447, 'CN', 'China'),
(78468, '157.1.0.0', '157.17.255.255', 2634088448, 2635202559, 'JP', 'Japan'),
(78469, '157.18.0.0', '157.18.255.255', 2635202560, 2635268095, 'CN', 'China'),
(78470, '157.19.0.0', '157.20.255.255', 2635268096, 2635399167, 'JP', 'Japan'),
(78471, '157.21.0.0', '157.22.255.255', 2635399168, 2635530239, 'US', 'United States'),
(78472, '157.23.0.0', '157.23.255.255', 2635530240, 2635595775, 'FR', 'France'),
(78473, '157.24.0.0', '157.24.255.255', 2635595776, 2635661311, 'FI', 'Finland'),
(78474, '157.25.0.0', '157.25.255.255', 2635661312, 2635726847, 'PL', 'Poland'),
(78475, '157.26.0.0', '157.26.255.255', 2635726848, 2635792383, 'CH', 'Switzerland'),
(78476, '157.27.0.0', '157.29.255.255', 2635792384, 2635988991, 'IT', 'Italy'),
(78477, '157.30.0.0', '157.31.255.255', 2635988992, 2636120063, 'US', 'United States'),
(78478, '157.32.0.0', '157.53.255.255', 2636120064, 2637561855, 'ID', 'Indonesia'),
(78479, '157.54.0.0', '157.60.255.255', 2637561856, 2638020607, 'US', 'United States'),
(78480, '157.61.0.0', '157.61.255.255', 2638020608, 2638086143, 'CN', 'China'),
(78481, '157.62.0.0', '157.62.255.255', 2638086144, 2638151679, 'US', 'United States'),
(78482, '157.63.0.0', '157.80.255.255', 2638151680, 2639331327, 'JP', 'Japan'),
(78483, '157.82.0.0', '157.82.255.255', 2639396864, 2639462399, 'JP', 'Japan'),
(78484, '157.83.0.0', '157.84.255.255', 2639462400, 2639593471, 'GB', 'United Kingdom'),
(78485, '157.85.0.0', '157.85.255.255', 2639593472, 2639659007, 'AU', 'Australia'),
(78486, '157.86.0.0', '157.86.255.255', 2639659008, 2639724543, 'BR', 'Brazil'),
(78487, '157.87.0.0', '157.87.255.255', 2639724544, 2639790079, 'US', 'United States'),
(78488, '157.88.0.0', '157.88.255.255', 2639790080, 2639855615, 'ES', 'Spain'),
(78489, '157.89.0.0', '157.91.255.255', 2639855616, 2640052223, 'US', 'United States'),
(78490, '157.92.0.0', '157.92.255.255', 2640052224, 2640117759, 'AR', 'Argentina'),
(78491, '157.93.0.0', '157.93.255.255', 2640117760, 2640183295, 'US', 'United States'),
(78492, '157.94.0.0', '157.94.255.255', 2640183296, 2640248831, 'FI', 'Finland'),
(78493, '157.95.0.0', '157.95.255.255', 2640248832, 2640314367, 'US', 'United States'),
(78494, '157.96.0.0', '157.96.255.255', 2640314368, 2640379903, 'SE', 'Sweden'),
(78495, '157.97.0.0', '157.97.255.255', 2640379904, 2640445439, 'CA', 'Canada'),
(78496, '157.98.0.0', '157.98.255.255', 2640445440, 2640510975, 'US', 'United States'),
(78497, '157.99.0.0', '157.99.255.255', 2640510976, 2640576511, 'FR', 'France'),
(78498, '157.100.0.0', '157.100.255.255', 2640576512, 2640642047, 'EC', 'Ecuador'),
(78499, '157.101.0.0', '157.120.255.255', 2640642048, 2641952767, 'JP', 'Japan'),
(78500, '157.121.0.0', '157.121.255.255', 2641952768, 2642018303, 'US', 'United States'),
(78501, '157.122.0.0', '157.122.255.255', 2642018304, 2642083839, 'CN', 'China'),
(78502, '157.123.0.0', '157.123.255.255', 2642083840, 2642149375, 'US', 'United States'),
(78503, '157.124.0.0', '157.124.255.255', 2642149376, 2642214911, 'FI', 'Finland'),
(78504, '157.125.0.0', '157.125.255.255', 2642214912, 2642280447, 'SE', 'Sweden'),
(78505, '157.126.0.0', '157.127.255.255', 2642280448, 2642411519, 'US', 'United States'),
(78506, '157.128.0.0', '157.128.255.255', 2642411520, 2642477055, 'AU', 'Australia'),
(78507, '157.129.0.0', '157.129.255.255', 2642477056, 2642542591, 'FI', 'Finland'),
(78508, '157.130.0.0', '157.130.255.255', 2642542592, 2642608127, 'US', 'United States'),
(78509, '157.132.0.0', '157.135.255.255', 2642673664, 2642935807, 'US', 'United States'),
(78510, '157.136.0.0', '157.136.255.255', 2642935808, 2643001343, 'FR', 'France'),
(78511, '157.137.0.0', '157.137.255.255', 2643001344, 2643066879, 'US', 'United States'),
(78512, '157.138.0.0', '157.138.255.255', 2643066880, 2643132415, 'IT', 'Italy'),
(78513, '157.139.0.0', '157.139.255.255', 2643132416, 2643197951, 'US', 'United States'),
(78514, '157.140.0.0', '157.140.255.255', 2643197952, 2643263487, 'GB', 'United Kingdom'),
(78515, '157.141.0.0', '157.143.255.255', 2643263488, 2643460095, 'US', 'United States'),
(78516, '157.144.0.0', '157.144.255.255', 2643460096, 2643525631, 'FI', 'Finland'),
(78517, '157.145.0.0', '157.147.255.255', 2643525632, 2643722239, 'US', 'United States'),
(78518, '157.148.0.0', '157.148.255.255', 2643722240, 2643787775, 'CN', 'China'),
(78519, '157.149.0.0', '157.154.255.255', 2643787776, 2644180991, 'US', 'United States'),
(78520, '157.155.0.0', '157.155.255.255', 2644180992, 2644246527, 'AU', 'Australia'),
(78521, '157.156.0.0', '157.156.255.255', 2644246528, 2644312063, 'CN', 'China'),
(78522, '157.157.0.0', '157.157.255.255', 2644312064, 2644377599, 'IS', 'Iceland'),
(78523, '157.158.0.0', '157.158.255.255', 2644377600, 2644443135, 'PL', 'Poland'),
(78524, '157.159.0.0', '157.159.255.255', 2644443136, 2644508671, 'FR', 'France'),
(78525, '157.160.0.0', '157.160.255.255', 2644508672, 2644574207, 'US', 'United States'),
(78526, '157.161.0.0', '157.161.255.255', 2644574208, 2644639743, 'CH', 'Switzerland'),
(78527, '157.162.0.0', '157.163.255.255', 2644639744, 2644770815, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(78528, '157.164.0.0', '157.164.255.255', 2644770816, 2644836351, 'BE', 'Belgium'),
(78529, '157.165.0.0', '157.166.214.255', 2644836352, 2644956927, 'US', 'United States'),
(78530, '157.166.215.0', '157.166.215.255', 2644956928, 2644957183, 'HK', 'Hong Kong'),
(78531, '157.166.216.0', '157.166.223.255', 2644957184, 2644959231, 'GB', 'United Kingdom'),
(78532, '157.166.224.0', '157.166.255.255', 2644959232, 2644967423, 'US', 'United States'),
(78533, '157.167.0.0', '157.167.255.255', 2644967424, 2645032959, 'AT', 'Austria'),
(78534, '157.168.0.0', '157.168.255.255', 2645032960, 2645098495, 'CH', 'Switzerland'),
(78535, '157.169.0.0', '157.169.255.255', 2645098496, 2645164031, 'FR', 'France'),
(78536, '157.170.0.0', '157.170.255.255', 2645164032, 2645229567, 'US', 'United States'),
(78537, '157.171.0.0', '157.171.255.255', 2645229568, 2645295103, 'SE', 'Sweden'),
(78538, '157.172.0.0', '157.172.255.255', 2645295104, 2645360639, 'FR', 'France'),
(78539, '157.173.0.0', '157.173.255.255', 2645360640, 2645426175, 'GB', 'United Kingdom'),
(78540, '157.174.0.0', '157.176.255.255', 2645426176, 2645622783, 'US', 'United States'),
(78541, '157.177.0.0', '157.177.255.255', 2645622784, 2645688319, 'AT', 'Austria'),
(78542, '157.178.0.0', '157.178.255.255', 2645688320, 2645753855, 'US', 'United States'),
(78543, '157.179.0.0', '157.179.255.255', 2645753856, 2645819391, 'TH', 'Thailand'),
(78544, '157.180.0.0', '157.180.255.255', 2645819392, 2645884927, 'SE', 'Sweden'),
(78545, '157.181.0.0', '157.181.255.255', 2645884928, 2645950463, 'HU', 'Hungary'),
(78546, '157.182.0.0', '157.185.255.255', 2645950464, 2646212607, 'US', 'United States'),
(78547, '157.186.0.0', '157.186.255.255', 2646212608, 2646278143, 'RU', 'Russian Federation'),
(78548, '157.187.0.0', '157.189.255.255', 2646278144, 2646474751, 'US', 'United States'),
(78549, '157.190.0.0', '157.190.255.255', 2646474752, 2646540287, 'IE', 'Ireland'),
(78550, '157.191.0.0', '157.191.255.255', 2646540288, 2646605823, 'US', 'United States'),
(78551, '157.192.0.0', '157.192.255.255', 2646605824, 2646671359, 'JP', 'Japan'),
(78552, '157.193.0.0', '157.193.255.255', 2646671360, 2646736895, 'BE', 'Belgium'),
(78553, '157.194.0.0', '157.196.255.255', 2646736896, 2646933503, 'US', 'United States'),
(78554, '157.197.0.0', '157.197.255.255', 2646933504, 2646999039, 'KR', 'Korea, Republic of'),
(78555, '157.198.0.0', '157.199.255.255', 2646999040, 2647130111, 'US', 'United States'),
(78556, '157.200.0.0', '157.200.255.255', 2647130112, 2647195647, 'FI', 'Finland'),
(78557, '157.201.0.0', '157.202.255.255', 2647195648, 2647326719, 'US', 'United States'),
(78558, '157.203.0.0', '157.203.255.255', 2647326720, 2647392255, 'GB', 'United Kingdom'),
(78559, '157.204.0.0', '157.204.255.255', 2647392256, 2647457791, 'US', 'United States'),
(78560, '157.205.0.0', '157.205.255.255', 2647457792, 2647523327, 'JP', 'Japan'),
(78561, '157.206.0.0', '157.210.255.255', 2647523328, 2647851007, 'US', 'United States'),
(78562, '157.211.0.0', '157.211.255.255', 2647851008, 2647916543, 'AU', 'Australia'),
(78563, '157.212.0.0', '157.226.255.255', 2647916544, 2648899583, 'US', 'United States'),
(78564, '157.227.0.0', '157.227.255.255', 2648899584, 2648965119, 'IN', 'India'),
(78565, '157.228.0.0', '157.228.255.255', 2648965120, 2649030655, 'GB', 'United Kingdom'),
(78566, '157.229.0.0', '157.234.215.255', 2649030656, 2649413631, 'US', 'United States'),
(78567, '157.234.216.0', '157.234.216.255', 2649413632, 2649413887, 'AP', 'Asia/Pacific Region'),
(78568, '157.234.217.0', '157.235.255.255', 2649413888, 2649489407, 'US', 'United States'),
(78569, '157.236.0.0', '157.236.255.255', 2649489408, 2649554943, 'GB', 'United Kingdom'),
(78570, '157.237.0.0', '157.237.255.255', 2649554944, 2649620479, 'NO', 'Norway'),
(78571, '157.238.0.0', '157.242.255.255', 2649620480, 2649948159, 'US', 'United States'),
(78572, '157.243.0.0', '157.243.255.255', 2649948160, 2650013695, 'FR', 'France'),
(78573, '157.244.0.0', '157.244.255.255', 2650013696, 2650079231, 'CA', 'Canada'),
(78574, '157.245.0.0', '157.246.255.255', 2650079232, 2650210303, 'US', 'United States'),
(78575, '157.247.0.0', '157.247.255.255', 2650210304, 2650275839, 'AT', 'Austria'),
(78576, '157.248.0.0', '157.248.255.255', 2650275840, 2650341375, 'US', 'United States'),
(78577, '157.249.0.0', '157.249.255.255', 2650341376, 2650406911, 'NO', 'Norway'),
(78578, '157.250.0.0', '157.252.255.255', 2650406912, 2650603519, 'US', 'United States'),
(78579, '157.253.0.0', '157.253.255.255', 2650603520, 2650669055, 'CO', 'Colombia'),
(78580, '157.254.0.0', '157.254.255.255', 2650669056, 2650734591, 'US', 'United States'),
(78581, '157.255.0.0', '157.255.255.255', 2650734592, 2650800127, 'CN', 'China'),
(78582, '158.0.0.0', '158.34.239.255', 2650800128, 2653089791, 'US', 'United States'),
(78583, '158.34.240.0', '158.34.240.255', 2653089792, 2653090047, 'AP', 'Asia/Pacific Region'),
(78584, '158.34.241.0', '158.35.255.255', 2653090048, 2653159423, 'US', 'United States'),
(78585, '158.36.0.0', '158.39.255.255', 2653159424, 2653421567, 'NO', 'Norway'),
(78586, '158.40.0.0', '158.40.255.255', 2653421568, 2653487103, 'AU', 'Australia'),
(78587, '158.41.0.0', '158.41.255.255', 2653487104, 2653552639, 'GB', 'United Kingdom'),
(78588, '158.42.0.0', '158.42.255.255', 2653552640, 2653618175, 'ES', 'Spain'),
(78589, '158.43.0.0', '158.43.255.255', 2653618176, 2653683711, 'GB', 'United Kingdom'),
(78590, '158.44.0.0', '158.44.255.255', 2653683712, 2653749247, 'KR', 'Korea, Republic of'),
(78591, '158.45.0.0', '158.45.255.255', 2653749248, 2653814783, 'AU', 'Australia'),
(78592, '158.46.0.0', '158.46.255.255', 2653814784, 2653880319, 'RU', 'Russian Federation'),
(78593, '158.47.0.0', '158.47.255.255', 2653880320, 2653945855, 'IT', 'Italy'),
(78594, '158.48.0.0', '158.48.255.255', 2653945856, 2654011391, 'US', 'United States'),
(78595, '158.49.0.0', '158.49.255.255', 2654011392, 2654076927, 'ES', 'Spain'),
(78596, '158.50.0.0', '158.50.31.255', 2654076928, 2654085119, 'FR', 'France'),
(78597, '158.50.32.0', '158.50.47.255', 2654085120, 2654089215, 'HK', 'Hong Kong'),
(78598, '158.50.48.0', '158.50.63.255', 2654089216, 2654093311, 'FR', 'France'),
(78599, '158.50.64.0', '158.50.79.255', 2654093312, 2654097407, 'US', 'United States'),
(78600, '158.50.80.0', '158.50.255.255', 2654097408, 2654142463, 'FR', 'France'),
(78601, '158.52.0.0', '158.53.255.255', 2654208000, 2654339071, 'US', 'United States'),
(78602, '158.54.0.0', '158.54.255.255', 2654339072, 2654404607, 'AU', 'Australia'),
(78603, '158.55.0.0', '158.57.255.255', 2654404608, 2654601215, 'US', 'United States'),
(78604, '158.58.0.0', '158.58.15.255', 2654601216, 2654605311, 'DE', 'Germany'),
(78605, '158.58.16.0', '158.58.23.255', 2654605312, 2654607359, 'AT', 'Austria'),
(78606, '158.58.24.0', '158.58.127.255', 2654607360, 2654633983, 'DE', 'Germany'),
(78607, '158.58.128.0', '158.58.135.255', 2654633984, 2654636031, 'RU', 'Russian Federation'),
(78608, '158.58.136.0', '158.58.143.255', 2654636032, 2654638079, 'IT', 'Italy'),
(78609, '158.58.144.0', '158.58.151.255', 2654638080, 2654640127, 'DE', 'Germany'),
(78610, '158.58.152.0', '158.58.159.255', 2654640128, 2654642175, 'NO', 'Norway'),
(78611, '158.58.160.0', '158.58.167.255', 2654642176, 2654644223, 'GB', 'United Kingdom'),
(78612, '158.58.168.0', '158.58.175.255', 2654644224, 2654646271, 'IT', 'Italy'),
(78613, '158.58.176.0', '158.58.183.255', 2654646272, 2654648319, 'FR', 'France'),
(78614, '158.58.184.0', '158.58.185.69', 2654648320, 2654648645, 'IR', 'Iran, Islamic Republic of'),
(78615, '158.58.185.70', '158.58.185.70', 2654648646, 2654648646, 'SE', 'Sweden'),
(78616, '158.58.185.71', '158.58.185.79', 2654648647, 2654648655, 'IR', 'Iran, Islamic Republic of'),
(78617, '158.58.185.80', '158.58.185.80', 2654648656, 2654648656, 'SE', 'Sweden'),
(78618, '158.58.185.81', '158.58.185.89', 2654648657, 2654648665, 'IR', 'Iran, Islamic Republic of'),
(78619, '158.58.185.90', '158.58.185.90', 2654648666, 2654648666, 'SE', 'Sweden'),
(78620, '158.58.185.91', '158.58.191.255', 2654648667, 2654650367, 'IR', 'Iran, Islamic Republic of'),
(78621, '158.58.192.0', '158.58.255.255', 2654650368, 2654666751, 'BG', 'Bulgaria'),
(78622, '158.59.0.0', '158.63.255.255', 2654666752, 2654994431, 'US', 'United States'),
(78623, '158.64.0.0', '158.64.255.255', 2654994432, 2655059967, 'LU', 'Luxembourg'),
(78624, '158.65.0.0', '158.65.255.255', 2655059968, 2655125503, 'US', 'United States'),
(78625, '158.66.0.0', '158.66.255.255', 2655125504, 2655191039, 'PL', 'Poland'),
(78626, '158.67.0.0', '158.67.255.255', 2655191040, 2655256575, 'EU', 'Europe'),
(78627, '158.68.0.0', '158.74.255.255', 2655256576, 2655715327, 'US', 'United States'),
(78628, '158.75.0.0', '158.75.255.255', 2655715328, 2655780863, 'PL', 'Poland'),
(78629, '158.76.0.0', '158.88.255.255', 2655780864, 2656632831, 'US', 'United States'),
(78630, '158.89.0.0', '158.89.255.255', 2656632832, 2656698367, 'AU', 'Australia'),
(78631, '158.90.0.0', '158.90.255.255', 2656698368, 2656763903, 'FI', 'Finland'),
(78632, '158.91.0.0', '158.91.255.255', 2656763904, 2656829439, 'US', 'United States'),
(78633, '158.92.0.0', '158.92.255.255', 2656829440, 2656894975, 'SE', 'Sweden'),
(78634, '158.93.0.0', '158.93.255.255', 2656894976, 2656960511, 'US', 'United States'),
(78635, '158.94.0.0', '158.94.255.255', 2656960512, 2657026047, 'GB', 'United Kingdom'),
(78636, '158.95.0.0', '158.96.255.255', 2657026048, 2657157119, 'US', 'United States'),
(78637, '158.97.0.0', '158.97.255.255', 2657157120, 2657222655, 'MX', 'Mexico'),
(78638, '158.98.0.0', '158.98.255.255', 2657222656, 2657288191, 'US', 'United States'),
(78639, '158.99.0.0', '158.99.255.255', 2657288192, 2657353727, 'ES', 'Spain'),
(78640, '158.100.0.0', '158.101.255.255', 2657353728, 2657484799, 'US', 'United States'),
(78641, '158.102.0.0', '158.102.255.255', 2657484800, 2657550335, 'IT', 'Italy'),
(78642, '158.103.0.0', '158.104.255.255', 2657550336, 2657681407, 'US', 'United States'),
(78643, '158.105.0.0', '158.105.255.255', 2657681408, 2657746943, 'SE', 'Sweden'),
(78644, '158.106.0.0', '158.107.255.255', 2657746944, 2657878015, 'US', 'United States'),
(78645, '158.108.0.0', '158.108.255.255', 2657878016, 2657943551, 'TH', 'Thailand'),
(78646, '158.109.0.0', '158.109.255.255', 2657943552, 2658009087, 'ES', 'Spain'),
(78647, '158.110.0.0', '158.110.255.255', 2658009088, 2658074623, 'IT', 'Italy'),
(78648, '158.111.0.0', '158.111.255.255', 2658074624, 2658140159, 'US', 'United States'),
(78649, '158.112.0.0', '158.112.255.255', 2658140160, 2658205695, 'NO', 'Norway'),
(78650, '158.113.0.0', '158.116.224.0', 2658205696, 2658459648, 'US', 'United States'),
(78651, '158.116.224.1', '158.116.224.1', 2658459649, 2658459649, 'EU', 'Europe'),
(78652, '158.116.224.2', '158.118.255.255', 2658459650, 2658598911, 'US', 'United States'),
(78653, '158.119.0.0', '158.119.255.255', 2658598912, 2658664447, 'GB', 'United Kingdom'),
(78654, '158.120.0.0', '158.123.255.255', 2658664448, 2658926591, 'US', 'United States'),
(78655, '158.124.0.0', '158.125.255.255', 2658926592, 2659057663, 'GB', 'United Kingdom'),
(78656, '158.126.0.0', '158.126.255.255', 2659057664, 2659123199, 'SE', 'Sweden'),
(78657, '158.127.0.0', '158.127.255.255', 2659123200, 2659188735, 'FI', 'Finland'),
(78658, '158.128.0.0', '158.128.255.255', 2659188736, 2659254271, 'CA', 'Canada'),
(78659, '158.129.0.0', '158.129.255.255', 2659254272, 2659319807, 'LT', 'Lithuania'),
(78660, '158.130.0.0', '158.130.255.255', 2659319808, 2659385343, 'US', 'United States'),
(78661, '158.131.0.0', '158.131.255.255', 2659385344, 2659450879, 'FI', 'Finland'),
(78662, '158.132.0.0', '158.132.255.255', 2659450880, 2659516415, 'HK', 'Hong Kong'),
(78663, '158.133.0.0', '158.133.255.255', 2659516416, 2659581951, 'CH', 'Switzerland'),
(78664, '158.134.0.0', '158.140.255.255', 2659581952, 2660040703, 'US', 'United States'),
(78665, '158.141.0.0', '158.141.255.255', 2660040704, 2660106239, 'CA', 'Canada'),
(78666, '158.142.0.0', '158.142.255.255', 2660106240, 2660171775, 'US', 'United States'),
(78667, '158.143.0.0', '158.143.255.255', 2660171776, 2660237311, 'GB', 'United Kingdom'),
(78668, '158.144.0.0', '158.144.255.255', 2660237312, 2660302847, 'IN', 'India'),
(78669, '158.145.0.0', '158.147.255.255', 2660302848, 2660499455, 'US', 'United States'),
(78670, '158.148.0.0', '158.148.255.255', 2660499456, 2660564991, 'IT', 'Italy'),
(78671, '158.149.0.0', '158.150.255.255', 2660564992, 2660696063, 'NO', 'Norway'),
(78672, '158.151.0.0', '158.151.255.255', 2660696064, 2660761599, 'US', 'United States'),
(78673, '158.152.0.0', '158.152.255.255', 2660761600, 2660827135, 'GB', 'United Kingdom'),
(78674, '158.153.0.0', '158.155.255.255', 2660827136, 2661023743, 'US', 'United States'),
(78675, '158.156.0.0', '158.156.255.255', 2661023744, 2661089279, 'FR', 'France'),
(78676, '158.157.0.0', '158.159.255.255', 2661089280, 2661285887, 'US', 'United States'),
(78677, '158.160.0.0', '158.160.255.255', 2661285888, 2661351423, 'VE', 'Venezuela'),
(78678, '158.161.0.0', '158.161.255.255', 2661351424, 2661416959, 'BN', 'Brunei Darussalam'),
(78679, '158.162.0.0', '158.162.255.255', 2661416960, 2661482495, 'PT', 'Portugal'),
(78680, '158.163.0.0', '158.163.255.255', 2661482496, 2661548031, 'CA', 'Canada'),
(78681, '158.164.0.0', '158.165.255.255', 2661548032, 2661679103, 'US', 'United States'),
(78682, '158.166.0.0', '158.169.255.255', 2661679104, 2661941247, 'LU', 'Luxembourg'),
(78683, '158.170.0.0', '158.170.255.255', 2661941248, 2662006783, 'CL', 'Chile'),
(78684, '158.171.0.0', '158.171.255.255', 2662006784, 2662072319, 'US', 'United States'),
(78685, '158.172.0.0', '158.172.255.255', 2662072320, 2662137855, 'ES', 'Spain'),
(78686, '158.173.0.0', '158.173.255.255', 2662137856, 2662203391, 'SE', 'Sweden'),
(78687, '158.174.0.0', '158.180.255.255', 2662203392, 2662662143, 'GB', 'United Kingdom'),
(78688, '158.181.0.0', '158.181.31.255', 2662662144, 2662670335, 'KG', 'Kyrgyzstan'),
(78689, '158.181.32.0', '158.181.47.255', 2662670336, 2662674431, 'AZ', 'Azerbaijan'),
(78690, '158.181.48.0', '158.181.59.255', 2662674432, 2662677503, 'DE', 'Germany'),
(78691, '158.181.60.0', '158.181.63.255', 2662677504, 2662678527, 'GB', 'United Kingdom'),
(78692, '158.181.64.0', '158.181.95.255', 2662678528, 2662686719, 'DE', 'Germany'),
(78693, '158.181.96.0', '158.181.127.255', 2662686720, 2662694911, 'CH', 'Switzerland'),
(78694, '158.181.128.0', '158.181.255.255', 2662694912, 2662727679, 'KG', 'Kyrgyzstan'),
(78695, '158.182.0.0', '158.182.255.255', 2662727680, 2662793215, 'HK', 'Hong Kong'),
(78696, '158.183.0.0', '158.189.255.255', 2662793216, 2663251967, 'US', 'United States'),
(78697, '158.190.0.0', '158.192.255.255', 2663251968, 2663448575, 'FR', 'France'),
(78698, '158.193.0.0', '158.193.255.255', 2663448576, 2663514111, 'SK', 'Slovakia'),
(78699, '158.194.0.0', '158.194.255.255', 2663514112, 2663579647, 'CZ', 'Czech Republic'),
(78700, '158.195.0.0', '158.195.255.255', 2663579648, 2663645183, 'SK', 'Slovakia'),
(78701, '158.196.0.0', '158.196.255.255', 2663645184, 2663710719, 'CZ', 'Czech Republic'),
(78702, '158.197.0.0', '158.197.255.255', 2663710720, 2663776255, 'SK', 'Slovakia'),
(78703, '158.198.0.0', '158.215.255.255', 2663776256, 2664955903, 'JP', 'Japan'),
(78704, '158.216.0.0', '158.216.255.255', 2664955904, 2665021439, 'CH', 'Switzerland'),
(78705, '158.217.0.0', '158.217.255.255', 2665021440, 2665086975, 'JP', 'Japan'),
(78706, '158.218.0.0', '158.218.255.255', 2665086976, 2665152511, 'GB', 'United Kingdom'),
(78707, '158.219.0.0', '158.219.255.255', 2665152512, 2665218047, 'US', 'United States'),
(78708, '158.220.0.0', '158.220.255.255', 2665218048, 2665283583, 'CH', 'Switzerland'),
(78709, '158.221.0.0', '158.222.127.255', 2665283584, 2665381887, 'US', 'United States'),
(78710, '158.223.0.0', '158.223.255.255', 2665414656, 2665480191, 'GB', 'United Kingdom'),
(78711, '158.224.0.0', '158.224.255.255', 2665480192, 2665545727, 'US', 'United States'),
(78712, '158.225.0.0', '158.225.255.255', 2665545728, 2665611263, 'DE', 'Germany'),
(78713, '158.226.0.0', '158.226.255.255', 2665611264, 2665676799, 'CH', 'Switzerland'),
(78714, '158.227.0.0', '158.227.255.255', 2665676800, 2665742335, 'ES', 'Spain'),
(78715, '158.228.0.0', '158.229.255.255', 2665742336, 2665873407, 'US', 'United States'),
(78716, '158.230.0.0', '158.230.255.255', 2665873408, 2665938943, 'GB', 'United Kingdom'),
(78717, '158.231.0.0', '158.231.255.255', 2665938944, 2666004479, 'FR', 'France'),
(78718, '158.232.0.0', '158.232.255.255', 2666004480, 2666070015, 'CH', 'Switzerland'),
(78719, '158.233.0.0', '158.233.255.255', 2666070016, 2666135551, 'FI', 'Finland'),
(78720, '158.234.0.0', '158.234.255.255', 2666135552, 2666201087, 'GB', 'United Kingdom'),
(78721, '158.235.0.0', '158.247.255.255', 2666201088, 2667053055, 'US', 'United States'),
(78722, '158.248.0.0', '158.248.255.255', 2667053056, 2667118591, 'SE', 'Sweden'),
(78723, '158.249.0.0', '158.249.255.255', 2667118592, 2667184127, 'HU', 'Hungary'),
(78724, '158.250.0.0', '158.250.255.255', 2667184128, 2667249663, 'RU', 'Russian Federation'),
(78725, '158.251.0.0', '158.251.255.255', 2667249664, 2667315199, 'CL', 'Chile'),
(78726, '158.252.0.0', '158.254.255.255', 2667315200, 2667511807, 'US', 'United States'),
(78727, '158.255.0.0', '158.255.7.255', 2667511808, 2667513855, 'RU', 'Russian Federation'),
(78728, '158.255.8.0', '158.255.15.255', 2667513856, 2667515903, 'GB', 'United Kingdom'),
(78729, '158.255.16.0', '158.255.23.255', 2667515904, 2667517951, 'CZ', 'Czech Republic'),
(78730, '158.255.24.0', '158.255.28.127', 2667517952, 2667519103, 'SK', 'Slovakia'),
(78731, '158.255.28.128', '158.255.28.255', 2667519104, 2667519231, 'CZ', 'Czech Republic'),
(78732, '158.255.29.0', '158.255.30.255', 2667519232, 2667519743, 'SK', 'Slovakia'),
(78733, '158.255.31.0', '158.255.39.255', 2667519744, 2667522047, 'CZ', 'Czech Republic'),
(78734, '158.255.40.0', '158.255.47.255', 2667522048, 2667524095, 'GB', 'United Kingdom'),
(78735, '158.255.48.0', '158.255.55.255', 2667524096, 2667526143, 'RU', 'Russian Federation'),
(78736, '158.255.56.0', '158.255.63.255', 2667526144, 2667528191, 'LV', 'Latvia'),
(78737, '158.255.64.0', '158.255.79.255', 2667528192, 2667532287, 'FR', 'France'),
(78738, '158.255.80.0', '158.255.87.255', 2667532288, 2667534335, 'RU', 'Russian Federation'),
(78739, '158.255.88.0', '158.255.95.255', 2667534336, 2667536383, 'PL', 'Poland'),
(78740, '158.255.96.0', '158.255.96.143', 2667536384, 2667536527, 'FR', 'France'),
(78741, '158.255.96.144', '158.255.127.255', 2667536528, 2667544575, 'AT', 'Austria'),
(78742, '158.255.128.0', '158.255.191.255', 2667544576, 2667560959, 'RU', 'Russian Federation'),
(78743, '158.255.192.0', '158.255.207.255', 2667560960, 2667565055, 'IT', 'Italy'),
(78744, '158.255.208.0', '158.255.208.255', 2667565056, 2667565311, 'HK', 'Hong Kong'),
(78745, '158.255.209.0', '158.255.212.255', 2667565312, 2667566335, 'AT', 'Austria'),
(78746, '158.255.213.0', '158.255.213.255', 2667566336, 2667566591, 'US', 'United States'),
(78747, '158.255.214.0', '158.255.214.255', 2667566592, 2667566847, 'DE', 'Germany'),
(78748, '158.255.215.0', '158.255.215.255', 2667566848, 2667567103, 'FR', 'France'),
(78749, '158.255.216.0', '158.255.223.255', 2667567104, 2667569151, 'SE', 'Sweden'),
(78750, '158.255.224.0', '158.255.231.255', 2667569152, 2667571199, 'GB', 'United Kingdom'),
(78751, '158.255.232.0', '158.255.239.255', 2667571200, 2667573247, 'ES', 'Spain'),
(78752, '158.255.240.0', '158.255.247.255', 2667573248, 2667575295, 'IT', 'Italy'),
(78753, '158.255.248.0', '158.255.255.255', 2667575296, 2667577343, 'SK', 'Slovakia'),
(78754, '159.0.0.0', '159.0.255.255', 2667577344, 2667642879, 'SA', 'Saudi Arabia'),
(78755, '159.1.0.0', '159.5.255.255', 2667642880, 2667970559, 'US', 'United States'),
(78756, '159.6.0.0', '159.6.255.255', 2667970560, 2668036095, 'CA', 'Canada'),
(78757, '159.7.0.0', '159.7.255.255', 2668036096, 2668101631, 'SE', 'Sweden'),
(78758, '159.8.0.0', '159.8.255.255', 2668101632, 2668167167, 'CH', 'Switzerland'),
(78759, '159.9.0.0', '159.11.255.255', 2668167168, 2668363775, 'US', 'United States'),
(78760, '159.12.0.0', '159.12.255.255', 2668363776, 2668429311, 'CH', 'Switzerland'),
(78761, '159.13.0.0', '159.13.255.255', 2668429312, 2668494847, 'AU', 'Australia'),
(78762, '159.14.0.0', '159.14.255.255', 2668494848, 2668560383, 'US', 'United States'),
(78763, '159.15.0.0', '159.15.255.255', 2668560384, 2668625919, 'GB', 'United Kingdom'),
(78764, '159.16.0.0', '159.16.255.255', 2668625920, 2668691455, 'MX', 'Mexico'),
(78765, '159.17.0.0', '159.17.255.255', 2668691456, 2668756991, 'US', 'United States'),
(78766, '159.18.0.0', '159.18.255.255', 2668756992, 2668822527, 'CA', 'Canada'),
(78767, '159.19.0.0', '159.19.255.255', 2668822528, 2668888063, 'US', 'United States'),
(78768, '159.20.0.0', '159.20.7.255', 2668888064, 2668890111, 'DK', 'Denmark'),
(78769, '159.20.8.0', '159.20.15.255', 2668890112, 2668892159, 'FR', 'France'),
(78770, '159.20.16.0', '159.20.23.255', 2668892160, 2668894207, 'BA', 'Bosnia and Herzegovina'),
(78771, '159.20.24.0', '159.20.31.255', 2668894208, 2668896255, 'MT', 'Malta'),
(78772, '159.20.32.0', '159.20.63.255', 2668896256, 2668904447, 'GB', 'United Kingdom'),
(78773, '159.20.64.0', '159.20.95.255', 2668904448, 2668912639, 'TR', 'Turkey'),
(78774, '159.20.96.0', '159.20.111.255', 2668912640, 2668916735, 'IR', 'Iran, Islamic Republic of'),
(78775, '159.20.112.0', '159.20.119.255', 2668916736, 2668918783, 'TR', 'Turkey'),
(78776, '159.20.120.0', '159.20.127.255', 2668918784, 2668920831, 'ES', 'Spain'),
(78777, '159.20.128.0', '159.20.255.255', 2668920832, 2668953599, 'IT', 'Italy'),
(78778, '159.21.0.0', '159.21.255.255', 2668953600, 2669019135, 'US', 'United States'),
(78779, '159.22.0.0', '159.22.255.255', 2669019136, 2669084671, 'CH', 'Switzerland'),
(78780, '159.23.0.0', '159.23.255.255', 2669084672, 2669150207, 'ES', 'Spain'),
(78781, '159.24.0.0', '159.24.255.255', 2669150208, 2669215743, 'US', 'United States'),
(78782, '159.25.0.0', '159.25.255.255', 2669215744, 2669281279, 'DE', 'Germany'),
(78783, '159.26.0.0', '159.28.255.255', 2669281280, 2669477887, 'US', 'United States'),
(78784, '159.29.0.0', '159.29.255.255', 2669477888, 2669543423, 'CH', 'Switzerland'),
(78785, '159.30.0.0', '159.30.255.255', 2669543424, 2669608959, 'GB', 'United Kingdom'),
(78786, '159.31.0.0', '159.31.255.255', 2669608960, 2669674495, 'FR', 'France'),
(78787, '159.32.0.0', '159.33.255.255', 2669674496, 2669805567, 'CA', 'Canada'),
(78788, '159.34.0.0', '159.34.255.255', 2669805568, 2669871103, 'GB', 'United Kingdom'),
(78789, '159.35.0.0', '159.37.255.255', 2669871104, 2670067711, 'US', 'United States'),
(78790, '159.38.0.0', '159.38.255.255', 2670067712, 2670133247, 'SE', 'Sweden'),
(78791, '159.39.0.0', '159.45.255.255', 2670133248, 2670591999, 'US', 'United States'),
(78792, '159.46.0.0', '159.46.255.255', 2670592000, 2670657535, 'NL', 'Netherlands'),
(78793, '159.47.0.0', '159.49.255.255', 2670657536, 2670854143, 'US', 'United States'),
(78794, '159.50.0.0', '159.50.255.255', 2670854144, 2670919679, 'FR', 'France'),
(78795, '159.51.0.0', '159.51.235.255', 2670919680, 2670980095, 'DE', 'Germany'),
(78796, '159.51.236.0', '159.51.236.255', 2670980096, 2670980351, 'EU', 'Europe'),
(78797, '159.51.237.0', '159.51.255.255', 2670980352, 2670985215, 'DE', 'Germany'),
(78798, '159.52.0.0', '159.52.255.255', 2670985216, 2671050751, 'AU', 'Australia'),
(78799, '159.53.0.0', '159.54.255.255', 2671050752, 2671181823, 'US', 'United States'),
(78800, '159.55.0.0', '159.55.255.255', 2671181824, 2671247359, 'CA', 'Canada'),
(78801, '159.56.0.0', '159.57.255.255', 2671247360, 2671378431, 'US', 'United States'),
(78802, '159.58.0.0', '159.58.255.255', 2671378432, 2671443967, 'NO', 'Norway'),
(78803, '159.59.0.0', '159.59.255.255', 2671443968, 2671509503, 'US', 'United States'),
(78804, '159.60.0.0', '159.60.255.255', 2671509504, 2671575039, 'NL', 'Netherlands'),
(78805, '159.61.0.0', '159.63.167.255', 2671575040, 2671749119, 'US', 'United States'),
(78806, '159.63.168.0', '159.63.171.255', 2671749120, 2671750143, 'CA', 'Canada'),
(78807, '159.63.172.0', '159.71.255.255', 2671750144, 2672295935, 'US', 'United States'),
(78808, '159.72.0.0', '159.72.255.255', 2672295936, 2672361471, 'SE', 'Sweden'),
(78809, '159.73.0.0', '159.73.255.255', 2672361472, 2672427007, 'AU', 'Australia'),
(78810, '159.74.0.0', '159.79.255.255', 2672427008, 2672820223, 'US', 'United States'),
(78811, '159.80.0.0', '159.80.255.255', 2672820224, 2672885759, 'JP', 'Japan'),
(78812, '159.81.0.0', '159.81.255.255', 2672885760, 2672951295, 'NO', 'Norway'),
(78813, '159.82.0.0', '159.83.255.255', 2672951296, 2673082367, 'US', 'United States'),
(78814, '159.84.0.0', '159.84.255.255', 2673082368, 2673147903, 'FR', 'France'),
(78815, '159.85.0.0', '159.85.255.255', 2673147904, 2673213439, 'US', 'United States'),
(78816, '159.86.0.0', '159.86.255.255', 2673213440, 2673278975, 'GB', 'United Kingdom'),
(78817, '159.87.0.0', '159.88.255.255', 2673278976, 2673410047, 'US', 'United States'),
(78818, '159.89.0.0', '159.89.255.255', 2673410048, 2673475583, 'CA', 'Canada'),
(78819, '159.90.0.0', '159.90.255.255', 2673475584, 2673541119, 'VE', 'Venezuela'),
(78820, '159.91.0.0', '159.91.255.255', 2673541120, 2673606655, 'US', 'United States'),
(78821, '159.92.0.0', '159.92.255.255', 2673606656, 2673672191, 'GB', 'United Kingdom'),
(78822, '159.93.0.0', '159.93.255.255', 2673672192, 2673737727, 'RU', 'Russian Federation'),
(78823, '159.94.0.0', '159.94.255.255', 2673737728, 2673803263, 'US', 'United States'),
(78824, '159.95.0.0', '159.95.255.255', 2673803264, 2673868799, 'FR', 'France'),
(78825, '159.96.0.0', '159.99.255.255', 2673868800, 2674130943, 'US', 'United States'),
(78826, '159.100.0.0', '159.101.207.255', 2674130944, 2674249727, 'GB', 'United Kingdom'),
(78827, '159.101.208.0', '159.101.215.255', 2674249728, 2674251775, 'US', 'United States'),
(78828, '159.101.216.0', '159.101.255.255', 2674251776, 2674262015, 'GB', 'United Kingdom'),
(78829, '159.102.0.0', '159.102.255.255', 2674262016, 2674327551, 'US', 'United States'),
(78830, '159.103.0.0', '159.103.255.255', 2674327552, 2674393087, 'CH', 'Switzerland'),
(78831, '159.104.0.0', '159.104.255.255', 2674393088, 2674458623, 'GB', 'United Kingdom'),
(78832, '159.105.0.0', '159.106.255.255', 2674458624, 2674589695, 'US', 'United States'),
(78833, '159.107.0.0', '159.107.255.255', 2674589696, 2674655231, 'SE', 'Sweden'),
(78834, '159.108.0.0', '159.108.255.255', 2674655232, 2674720767, 'US', 'United States'),
(78835, '159.109.0.0', '159.109.255.255', 2674720768, 2674786303, 'FR', 'France'),
(78836, '159.110.0.0', '159.110.255.255', 2674786304, 2674851839, 'US', 'United States'),
(78837, '159.111.0.0', '159.111.255.255', 2674851840, 2674917375, 'AU', 'Australia'),
(78838, '159.112.0.0', '159.113.255.255', 2674917376, 2675048447, 'US', 'United States'),
(78839, '159.114.0.0', '159.114.255.255', 2675048448, 2675113983, 'GB', 'United Kingdom'),
(78840, '159.115.0.0', '159.116.255.255', 2675113984, 2675245055, 'US', 'United States'),
(78841, '159.117.0.0', '159.117.255.255', 2675245056, 2675310591, 'NZ', 'New Zealand'),
(78842, '159.118.0.0', '159.121.255.255', 2675310592, 2675572735, 'US', 'United States'),
(78843, '159.122.0.0', '159.122.255.255', 2675572736, 2675638271, 'CH', 'Switzerland'),
(78844, '159.123.0.0', '159.127.255.255', 2675638272, 2675965951, 'US', 'United States'),
(78845, '159.128.0.0', '159.128.255.255', 2675965952, 2676031487, 'CA', 'Canada'),
(78846, '159.129.0.0', '159.129.255.255', 2676031488, 2676097023, 'US', 'United States'),
(78847, '159.130.0.0', '159.130.255.255', 2676097024, 2676162559, 'NO', 'Norway'),
(78848, '159.131.0.0', '159.133.255.255', 2676162560, 2676359167, 'US', 'United States'),
(78849, '159.134.0.0', '159.134.255.255', 2676359168, 2676424703, 'IE', 'Ireland'),
(78850, '159.135.0.0', '159.143.255.255', 2676424704, 2677014527, 'US', 'United States'),
(78851, '159.144.0.0', '159.144.255.255', 2677014528, 2677080063, 'CH', 'Switzerland'),
(78852, '159.145.0.0', '159.145.255.255', 2677080064, 2677145599, 'US', 'United States'),
(78853, '159.146.0.0', '159.146.127.255', 2677145600, 2677178367, 'TR', 'Turkey'),
(78854, '159.146.128.0', '159.146.255.255', 2677178368, 2677211135, 'UA', 'Ukraine'),
(78855, '159.147.0.0', '159.147.255.255', 2677211136, 2677276671, 'GB', 'United Kingdom'),
(78856, '159.148.0.0', '159.148.255.255', 2677276672, 2677342207, 'LV', 'Latvia'),
(78857, '159.149.0.0', '159.149.255.255', 2677342208, 2677407743, 'IT', 'Italy'),
(78858, '159.150.0.0', '159.150.255.255', 2677407744, 2677473279, 'US', 'United States'),
(78859, '159.151.0.0', '159.151.255.255', 2677473280, 2677538815, 'FR', 'France'),
(78860, '159.152.0.0', '159.152.255.255', 2677538816, 2677604351, 'FI', 'Finland'),
(78861, '159.153.0.0', '159.153.255.255', 2677604352, 2677669887, 'US', 'United States'),
(78862, '159.154.0.0', '159.154.255.255', 2677669888, 2677735423, 'DE', 'Germany'),
(78863, '159.155.0.0', '159.155.255.255', 2677735424, 2677800959, 'US', 'United States'),
(78864, '159.156.0.0', '159.156.255.255', 2677800960, 2677866495, 'CH', 'Switzerland'),
(78865, '159.157.0.0', '159.158.255.255', 2677866496, 2677997567, 'US', 'United States'),
(78866, '159.159.0.0', '159.159.255.255', 2677997568, 2678063103, 'CA', 'Canada'),
(78867, '159.160.0.0', '159.160.255.255', 2678063104, 2678128639, 'UA', 'Ukraine'),
(78868, '159.161.0.0', '159.161.255.255', 2678128640, 2678194175, 'US', 'United States'),
(78869, '159.162.0.0', '159.162.255.255', 2678194176, 2678259711, 'NO', 'Norway'),
(78870, '159.163.0.0', '159.166.255.255', 2678259712, 2678521855, 'US', 'United States'),
(78871, '159.167.0.0', '159.167.255.255', 2678521856, 2678587391, 'GB', 'United Kingdom'),
(78872, '159.168.0.0', '159.168.255.255', 2678587392, 2678652927, 'CH', 'Switzerland'),
(78873, '159.169.0.0', '159.169.255.255', 2678652928, 2678718463, 'US', 'United States'),
(78874, '159.170.0.0', '159.170.255.255', 2678718464, 2678783999, 'GB', 'United Kingdom'),
(78875, '159.171.0.0', '159.171.255.255', 2678784000, 2678849535, 'NO', 'Norway'),
(78876, '159.172.0.0', '159.172.7.255', 2678849536, 2678851583, 'US', 'United States'),
(78877, '159.172.8.0', '159.172.8.255', 2678851584, 2678851839, 'GB', 'United Kingdom'),
(78878, '159.172.9.0', '159.172.51.255', 2678851840, 2678862847, 'US', 'United States'),
(78879, '159.172.52.0', '159.172.52.255', 2678862848, 2678863103, 'BR', 'Brazil'),
(78880, '159.172.53.0', '159.172.90.255', 2678863104, 2678872831, 'US', 'United States'),
(78881, '159.172.91.0', '159.172.91.255', 2678872832, 2678873087, 'IN', 'India'),
(78882, '159.172.92.0', '159.172.139.255', 2678873088, 2678885375, 'US', 'United States'),
(78883, '159.172.140.0', '159.172.140.255', 2678885376, 2678885631, 'GB', 'United Kingdom'),
(78884, '159.172.141.0', '159.172.141.255', 2678885632, 2678885887, 'US', 'United States'),
(78885, '159.172.142.0', '159.172.142.255', 2678885888, 2678886143, 'DE', 'Germany'),
(78886, '159.172.143.0', '159.172.143.255', 2678886144, 2678886399, 'NL', 'Netherlands'),
(78887, '159.172.144.0', '159.172.144.255', 2678886400, 2678886655, 'GB', 'United Kingdom'),
(78888, '159.172.145.0', '159.172.145.255', 2678886656, 2678886911, 'IT', 'Italy'),
(78889, '159.172.146.0', '159.172.171.255', 2678886912, 2678893567, 'US', 'United States'),
(78890, '159.172.172.0', '159.172.172.255', 2678893568, 2678893823, 'CL', 'Chile'),
(78891, '159.172.173.0', '159.172.240.255', 2678893824, 2678911231, 'US', 'United States'),
(78892, '159.172.241.0', '159.172.241.255', 2678911232, 2678911487, 'NL', 'Netherlands'),
(78893, '159.172.242.0', '159.172.242.255', 2678911488, 2678911743, 'AU', 'Australia'),
(78894, '159.172.243.0', '159.172.255.255', 2678911744, 2678915071, 'US', 'United States'),
(78895, '159.173.0.0', '159.173.255.255', 2678915072, 2678980607, 'FR', 'France'),
(78896, '159.174.0.0', '159.174.255.255', 2678980608, 2679046143, 'US', 'United States'),
(78897, '159.175.0.0', '159.175.255.255', 2679046144, 2679111679, 'CA', 'Canada'),
(78898, '159.176.0.0', '159.176.255.255', 2679111680, 2679177215, 'US', 'United States'),
(78899, '159.177.0.0', '159.177.255.255', 2679177216, 2679242751, 'CA', 'Canada'),
(78900, '159.178.0.0', '159.178.255.255', 2679242752, 2679308287, 'US', 'United States'),
(78901, '159.179.0.0', '159.179.255.255', 2679308288, 2679373823, 'CH', 'Switzerland'),
(78902, '159.180.0.0', '159.180.255.255', 2679373824, 2679439359, 'GB', 'United Kingdom'),
(78903, '159.181.0.0', '159.189.255.255', 2679439360, 2680029183, 'US', 'United States'),
(78904, '159.190.0.0', '159.190.255.255', 2680029184, 2680094719, 'SE', 'Sweden'),
(78905, '159.191.0.0', '159.192.255.255', 2680094720, 2680225791, 'US', 'United States'),
(78906, '159.193.0.0', '159.194.255.255', 2680225792, 2680356863, 'SE', 'Sweden'),
(78907, '159.195.0.0', '159.195.255.255', 2680356864, 2680422399, 'DK', 'Denmark'),
(78908, '159.196.0.0', '159.196.255.255', 2680422400, 2680487935, 'AU', 'Australia'),
(78909, '159.197.0.0', '159.197.255.255', 2680487936, 2680553471, 'GB', 'United Kingdom'),
(78910, '159.198.0.0', '159.199.255.255', 2680553472, 2680684543, 'US', 'United States'),
(78911, '159.200.0.0', '159.200.255.255', 2680684544, 2680750079, 'SE', 'Sweden'),
(78912, '159.201.0.0', '159.204.255.255', 2680750080, 2681012223, 'US', 'United States'),
(78913, '159.205.0.0', '159.205.255.255', 2681012224, 2681077759, 'PL', 'Poland'),
(78914, '159.206.0.0', '159.206.255.255', 2681077760, 2681143295, 'CA', 'Canada'),
(78915, '159.207.0.0', '159.207.255.255', 2681143296, 2681208831, 'AU', 'Australia'),
(78916, '159.208.0.0', '159.208.255.255', 2681208832, 2681274367, 'CA', 'Canada'),
(78917, '159.209.0.0', '159.209.255.255', 2681274368, 2681339903, 'US', 'United States'),
(78918, '159.210.0.0', '159.210.255.255', 2681339904, 2681405439, 'IT', 'Italy'),
(78919, '159.211.0.0', '159.211.255.255', 2681405440, 2681470975, 'JP', 'Japan'),
(78920, '159.212.0.0', '159.212.255.255', 2681470976, 2681536511, 'US', 'United States'),
(78921, '159.213.0.0', '159.213.255.255', 2681536512, 2681602047, 'IT', 'Italy'),
(78922, '159.214.0.0', '159.215.255.255', 2681602048, 2681733119, 'US', 'United States'),
(78923, '159.216.0.0', '159.216.255.255', 2681733120, 2681798655, 'NO', 'Norway'),
(78924, '159.217.0.0', '159.217.255.255', 2681798656, 2681864191, 'FR', 'France'),
(78925, '159.218.0.0', '159.218.255.255', 2681864192, 2681929727, 'US', 'United States'),
(78926, '159.219.0.0', '159.219.255.255', 2681929728, 2681995263, 'GB', 'United Kingdom'),
(78927, '159.220.0.0', '159.223.255.255', 2681995264, 2682257407, 'US', 'United States'),
(78928, '159.224.0.0', '159.224.255.255', 2682257408, 2682322943, 'UA', 'Ukraine'),
(78929, '159.225.0.0', '159.225.255.255', 2682322944, 2682388479, 'US', 'United States'),
(78930, '159.226.0.0', '159.226.255.255', 2682388480, 2682454015, 'CN', 'China'),
(78931, '159.227.0.0', '159.227.255.255', 2682454016, 2682519551, 'US', 'United States'),
(78932, '159.228.0.0', '159.228.255.255', 2682519552, 2682585087, 'JP', 'Japan'),
(78933, '159.229.0.0', '159.230.255.255', 2682585088, 2682716159, 'US', 'United States'),
(78934, '159.231.0.0', '159.231.255.255', 2682716160, 2682781695, 'CA', 'Canada'),
(78935, '159.232.0.0', '159.232.255.255', 2682781696, 2682847231, 'CH', 'Switzerland'),
(78936, '159.233.0.0', '159.235.255.255', 2682847232, 2683043839, 'US', 'United States'),
(78937, '159.236.0.0', '159.236.255.255', 2683043840, 2683109375, 'GB', 'United Kingdom'),
(78938, '159.237.0.0', '159.237.255.255', 2683109376, 2683174911, 'ES', 'Spain'),
(78939, '159.238.0.0', '159.238.255.255', 2683174912, 2683240447, 'US', 'United States'),
(78940, '159.239.0.0', '159.239.255.255', 2683240448, 2683305983, 'GB', 'United Kingdom'),
(78941, '159.240.0.0', '159.240.255.255', 2683305984, 2683371519, 'US', 'United States'),
(78942, '159.241.0.0', '159.241.255.255', 2683371520, 2683437055, 'CH', 'Switzerland'),
(78943, '159.242.0.0', '159.243.255.255', 2683437056, 2683568127, 'US', 'United States'),
(78944, '159.244.0.0', '159.244.255.255', 2683568128, 2683633663, 'GB', 'United Kingdom'),
(78945, '159.245.0.0', '159.245.15.255', 2683633664, 2683637759, 'EU', 'Europe'),
(78946, '159.245.16.0', '159.245.16.99', 2683637760, 2683637859, 'NL', 'Netherlands'),
(78947, '159.245.16.100', '159.245.16.100', 2683637860, 2683637860, 'EU', 'Europe'),
(78948, '159.245.16.101', '159.245.31.255', 2683637861, 2683641855, 'NL', 'Netherlands'),
(78949, '159.245.32.0', '159.245.47.255', 2683641856, 2683645951, 'US', 'United States'),
(78950, '159.245.48.0', '159.245.48.255', 2683645952, 2683646207, 'AP', 'Asia/Pacific Region'),
(78951, '159.245.49.0', '159.245.63.255', 2683646208, 2683650047, 'SG', 'Singapore'),
(78952, '159.245.64.0', '159.245.255.255', 2683650048, 2683699199, 'EU', 'Europe'),
(78953, '159.246.0.0', '159.247.255.255', 2683699200, 2683830271, 'US', 'United States'),
(78954, '159.248.0.0', '159.248.255.255', 2683830272, 2683895807, 'AU', 'Australia'),
(78955, '159.249.0.0', '159.252.255.255', 2683895808, 2684157951, 'US', 'United States'),
(78956, '159.253.0.0', '159.253.1.255', 2684157952, 2684158463, 'NL', 'Netherlands'),
(78957, '159.253.2.0', '159.253.2.255', 2684158464, 2684158719, 'BE', 'Belgium'),
(78958, '159.253.3.0', '159.253.7.255', 2684158720, 2684159999, 'NL', 'Netherlands'),
(78959, '159.253.8.0', '159.253.15.255', 2684160000, 2684162047, 'NO', 'Norway'),
(78960, '159.253.16.0', '159.253.23.255', 2684162048, 2684164095, 'EE', 'Estonia'),
(78961, '159.253.24.0', '159.253.31.255', 2684164096, 2684166143, 'SE', 'Sweden'),
(78962, '159.253.32.0', '159.253.47.255', 2684166144, 2684170239, 'TR', 'Turkey'),
(78963, '159.253.48.0', '159.253.79.255', 2684170240, 2684178431, 'GB', 'United Kingdom'),
(78964, '159.253.80.0', '159.253.87.255', 2684178432, 2684180479, 'TR', 'Turkey'),
(78965, '159.253.88.0', '159.253.95.255', 2684180480, 2684182527, 'DK', 'Denmark'),
(78966, '159.253.96.0', '159.253.103.255', 2684182528, 2684184575, 'IT', 'Italy'),
(78967, '159.253.104.0', '159.253.111.255', 2684184576, 2684186623, 'SK', 'Slovakia'),
(78968, '159.253.112.0', '159.253.119.255', 2684186624, 2684188671, 'DE', 'Germany'),
(78969, '159.253.120.0', '159.253.127.255', 2684188672, 2684190719, 'RU', 'Russian Federation'),
(78970, '159.253.128.0', '159.253.128.15', 2684190720, 2684190735, 'US', 'United States'),
(78971, '159.253.128.16', '159.253.128.19', 2684190736, 2684190739, 'NL', 'Netherlands'),
(78972, '159.253.128.20', '159.253.128.23', 2684190740, 2684190743, 'TR', 'Turkey'),
(78973, '159.253.128.24', '159.253.128.31', 2684190744, 2684190751, 'GB', 'United Kingdom'),
(78974, '159.253.128.32', '159.253.128.111', 2684190752, 2684190831, 'US', 'United States'),
(78975, '159.253.128.112', '159.253.128.127', 2684190832, 2684190847, 'HR', 'Croatia'),
(78976, '159.253.128.128', '159.253.128.159', 2684190848, 2684190879, 'TR', 'Turkey'),
(78977, '159.253.128.160', '159.253.128.191', 2684190880, 2684190911, 'SA', 'Saudi Arabia'),
(78978, '159.253.128.192', '159.253.128.203', 2684190912, 2684190923, 'NL', 'Netherlands'),
(78979, '159.253.128.204', '159.253.128.207', 2684190924, 2684190927, 'TR', 'Turkey'),
(78980, '159.253.128.208', '159.253.128.223', 2684190928, 2684190943, 'US', 'United States'),
(78981, '159.253.128.224', '159.253.128.239', 2684190944, 2684190959, 'IN', 'India'),
(78982, '159.253.128.240', '159.253.128.247', 2684190960, 2684190967, 'US', 'United States'),
(78983, '159.253.128.248', '159.253.128.251', 2684190968, 2684190971, 'IN', 'India'),
(78984, '159.253.128.252', '159.253.128.255', 2684190972, 2684190975, 'US', 'United States'),
(78985, '159.253.129.0', '159.253.129.63', 2684190976, 2684191039, 'CY', 'Cyprus'),
(78986, '159.253.129.64', '159.253.129.127', 2684191040, 2684191103, 'NL', 'Netherlands'),
(78987, '159.253.129.128', '159.253.129.191', 2684191104, 2684191167, 'CY', 'Cyprus'),
(78988, '159.253.129.192', '159.253.129.255', 2684191168, 2684191231, 'NL', 'Netherlands'),
(78989, '159.253.130.0', '159.253.130.7', 2684191232, 2684191239, 'HR', 'Croatia'),
(78990, '159.253.130.8', '159.253.130.15', 2684191240, 2684191247, 'IT', 'Italy'),
(78991, '159.253.130.16', '159.253.130.27', 2684191248, 2684191259, 'AU', 'Australia'),
(78992, '159.253.130.28', '159.253.130.31', 2684191260, 2684191263, 'US', 'United States'),
(78993, '159.253.130.32', '159.253.130.39', 2684191264, 2684191271, 'GB', 'United Kingdom'),
(78994, '159.253.130.40', '159.253.130.47', 2684191272, 2684191279, 'US', 'United States'),
(78995, '159.253.130.48', '159.253.130.55', 2684191280, 2684191287, 'GB', 'United Kingdom'),
(78996, '159.253.130.56', '159.253.130.63', 2684191288, 2684191295, 'EG', 'Egypt'),
(78997, '159.253.130.64', '159.253.130.71', 2684191296, 2684191303, 'HR', 'Croatia'),
(78998, '159.253.130.72', '159.253.130.75', 2684191304, 2684191307, 'EG', 'Egypt'),
(78999, '159.253.130.76', '159.253.130.79', 2684191308, 2684191311, 'NL', 'Netherlands'),
(79000, '159.253.130.80', '159.253.130.87', 2684191312, 2684191319, 'US', 'United States'),
(79001, '159.253.130.88', '159.253.130.95', 2684191320, 2684191327, 'CA', 'Canada'),
(79002, '159.253.130.96', '159.253.130.103', 2684191328, 2684191335, 'US', 'United States'),
(79003, '159.253.130.104', '159.253.130.111', 2684191336, 2684191343, 'IE', 'Ireland'),
(79004, '159.253.130.112', '159.253.130.119', 2684191344, 2684191351, 'HR', 'Croatia'),
(79005, '159.253.130.120', '159.253.130.127', 2684191352, 2684191359, 'RU', 'Russian Federation'),
(79006, '159.253.130.128', '159.253.130.135', 2684191360, 2684191367, 'SG', 'Singapore'),
(79007, '159.253.130.136', '159.253.130.143', 2684191368, 2684191375, 'HR', 'Croatia'),
(79008, '159.253.130.144', '159.253.130.151', 2684191376, 2684191383, 'AU', 'Australia'),
(79009, '159.253.130.152', '159.253.130.159', 2684191384, 2684191391, 'GB', 'United Kingdom'),
(79010, '159.253.130.160', '159.253.130.167', 2684191392, 2684191399, 'NO', 'Norway'),
(79011, '159.253.130.168', '159.253.130.175', 2684191400, 2684191407, 'US', 'United States'),
(79012, '159.253.130.176', '159.253.130.179', 2684191408, 2684191411, 'HK', 'Hong Kong'),
(79013, '159.253.130.180', '159.253.130.183', 2684191412, 2684191415, 'ZA', 'South Africa'),
(79014, '159.253.130.184', '159.253.130.191', 2684191416, 2684191423, 'US', 'United States'),
(79015, '159.253.130.192', '159.253.130.207', 2684191424, 2684191439, 'AU', 'Australia'),
(79016, '159.253.130.208', '159.253.130.223', 2684191440, 2684191455, 'CN', 'China'),
(79017, '159.253.130.224', '159.253.131.127', 2684191456, 2684191615, 'US', 'United States'),
(79018, '159.253.131.128', '159.253.131.255', 2684191616, 2684191743, 'DK', 'Denmark'),
(79019, '159.253.132.0', '159.253.132.15', 2684191744, 2684191759, 'NL', 'Netherlands'),
(79020, '159.253.132.16', '159.253.132.63', 2684191760, 2684191807, 'US', 'United States'),
(79021, '159.253.132.64', '159.253.132.71', 2684191808, 2684191815, 'KE', 'Kenya'),
(79022, '159.253.132.72', '159.253.132.95', 2684191816, 2684191839, 'US', 'United States'),
(79023, '159.253.132.96', '159.253.132.99', 2684191840, 2684191843, 'UG', 'Uganda'),
(79024, '159.253.132.100', '159.253.132.103', 2684191844, 2684191847, 'CN', 'China'),
(79025, '159.253.132.104', '159.253.132.111', 2684191848, 2684191855, 'GB', 'United Kingdom'),
(79026, '159.253.132.112', '159.253.132.115', 2684191856, 2684191859, 'US', 'United States'),
(79027, '159.253.132.116', '159.253.132.119', 2684191860, 2684191863, 'AZ', 'Azerbaijan'),
(79028, '159.253.132.120', '159.253.132.127', 2684191864, 2684191871, 'US', 'United States'),
(79029, '159.253.132.128', '159.253.132.129', 2684191872, 2684191873, 'TR', 'Turkey'),
(79030, '159.253.132.130', '159.253.132.130', 2684191874, 2684191874, 'US', 'United States'),
(79031, '159.253.132.131', '159.253.132.131', 2684191875, 2684191875, 'SA', 'Saudi Arabia'),
(79032, '159.253.132.132', '159.253.132.135', 2684191876, 2684191879, 'TR', 'Turkey'),
(79033, '159.253.132.136', '159.253.132.143', 2684191880, 2684191887, 'LT', 'Lithuania'),
(79034, '159.253.132.144', '159.253.132.155', 2684191888, 2684191899, 'IT', 'Italy'),
(79035, '159.253.132.156', '159.253.132.167', 2684191900, 2684191911, 'US', 'United States'),
(79036, '159.253.132.168', '159.253.132.175', 2684191912, 2684191919, 'KW', 'Kuwait'),
(79037, '159.253.132.176', '159.253.132.183', 2684191920, 2684191927, 'TR', 'Turkey'),
(79038, '159.253.132.184', '159.253.132.191', 2684191928, 2684191935, 'US', 'United States'),
(79039, '159.253.132.192', '159.253.132.195', 2684191936, 2684191939, 'TR', 'Turkey'),
(79040, '159.253.132.196', '159.253.132.199', 2684191940, 2684191943, 'US', 'United States'),
(79041, '159.253.132.200', '159.253.132.207', 2684191944, 2684191951, 'ES', 'Spain'),
(79042, '159.253.132.208', '159.253.132.223', 2684191952, 2684191967, 'US', 'United States'),
(79043, '159.253.132.224', '159.253.132.231', 2684191968, 2684191975, 'NL', 'Netherlands'),
(79044, '159.253.132.232', '159.253.132.255', 2684191976, 2684191999, 'US', 'United States'),
(79045, '159.253.133.0', '159.253.133.7', 2684192000, 2684192007, 'ES', 'Spain'),
(79046, '159.253.133.8', '159.253.133.15', 2684192008, 2684192015, 'AE', 'United Arab Emirates'),
(79047, '159.253.133.16', '159.253.133.31', 2684192016, 2684192031, 'CN', 'China'),
(79048, '159.253.133.32', '159.253.133.39', 2684192032, 2684192039, 'US', 'United States'),
(79049, '159.253.133.40', '159.253.133.47', 2684192040, 2684192047, 'AL', 'Albania'),
(79050, '159.253.133.48', '159.253.133.55', 2684192048, 2684192055, 'US', 'United States'),
(79051, '159.253.133.56', '159.253.133.63', 2684192056, 2684192063, 'IN', 'India'),
(79052, '159.253.133.64', '159.253.133.71', 2684192064, 2684192071, 'AL', 'Albania'),
(79053, '159.253.133.72', '159.253.133.79', 2684192072, 2684192079, 'US', 'United States'),
(79054, '159.253.133.80', '159.253.133.87', 2684192080, 2684192087, 'IN', 'India'),
(79055, '159.253.133.88', '159.253.133.95', 2684192088, 2684192095, 'SG', 'Singapore'),
(79056, '159.253.133.96', '159.253.133.103', 2684192096, 2684192103, 'CY', 'Cyprus'),
(79057, '159.253.133.104', '159.253.133.107', 2684192104, 2684192107, 'GB', 'United Kingdom'),
(79058, '159.253.133.108', '159.253.133.109', 2684192108, 2684192109, 'NL', 'Netherlands'),
(79059, '159.253.133.110', '159.253.133.111', 2684192110, 2684192111, 'TR', 'Turkey'),
(79060, '159.253.133.112', '159.253.133.119', 2684192112, 2684192119, 'CH', 'Switzerland'),
(79061, '159.253.133.120', '159.253.133.127', 2684192120, 2684192127, 'DO', 'Dominican Republic'),
(79062, '159.253.133.128', '159.253.133.135', 2684192128, 2684192135, 'IN', 'India'),
(79063, '159.253.133.136', '159.253.133.143', 2684192136, 2684192143, 'GB', 'United Kingdom'),
(79064, '159.253.133.144', '159.253.133.159', 2684192144, 2684192159, 'US', 'United States'),
(79065, '159.253.133.160', '159.253.133.163', 2684192160, 2684192163, 'HK', 'Hong Kong'),
(79066, '159.253.133.164', '159.253.133.175', 2684192164, 2684192175, 'TR', 'Turkey'),
(79067, '159.253.133.176', '159.253.133.191', 2684192176, 2684192191, 'JO', 'Jordan'),
(79068, '159.253.133.192', '159.253.133.199', 2684192192, 2684192199, 'US', 'United States'),
(79069, '159.253.133.200', '159.253.133.207', 2684192200, 2684192207, 'QA', 'Qatar'),
(79070, '159.253.133.208', '159.253.133.215', 2684192208, 2684192215, 'US', 'United States'),
(79071, '159.253.133.216', '159.253.133.223', 2684192216, 2684192223, 'CA', 'Canada'),
(79072, '159.253.133.224', '159.253.133.231', 2684192224, 2684192231, 'TR', 'Turkey'),
(79073, '159.253.133.232', '159.253.133.239', 2684192232, 2684192239, 'US', 'United States'),
(79074, '159.253.133.240', '159.253.133.247', 2684192240, 2684192247, 'IN', 'India'),
(79075, '159.253.133.248', '159.253.134.7', 2684192248, 2684192263, 'US', 'United States'),
(79076, '159.253.134.8', '159.253.134.9', 2684192264, 2684192265, 'TR', 'Turkey'),
(79077, '159.253.134.10', '159.253.134.10', 2684192266, 2684192266, 'EG', 'Egypt'),
(79078, '159.253.134.11', '159.253.134.11', 2684192267, 2684192267, 'SA', 'Saudi Arabia'),
(79079, '159.253.134.12', '159.253.134.15', 2684192268, 2684192271, 'GB', 'United Kingdom'),
(79080, '159.253.134.16', '159.253.134.23', 2684192272, 2684192279, 'US', 'United States'),
(79081, '159.253.134.24', '159.253.134.31', 2684192280, 2684192287, 'RU', 'Russian Federation'),
(79082, '159.253.134.32', '159.253.134.39', 2684192288, 2684192295, 'DK', 'Denmark'),
(79083, '159.253.134.40', '159.253.134.47', 2684192296, 2684192303, 'US', 'United States'),
(79084, '159.253.134.48', '159.253.134.55', 2684192304, 2684192311, 'CA', 'Canada'),
(79085, '159.253.134.56', '159.253.134.71', 2684192312, 2684192327, 'US', 'United States'),
(79086, '159.253.134.72', '159.253.134.79', 2684192328, 2684192335, 'AE', 'United Arab Emirates'),
(79087, '159.253.134.80', '159.253.134.87', 2684192336, 2684192343, 'US', 'United States'),
(79088, '159.253.134.88', '159.253.134.91', 2684192344, 2684192347, 'AE', 'United Arab Emirates'),
(79089, '159.253.134.92', '159.253.134.95', 2684192348, 2684192351, 'SA', 'Saudi Arabia'),
(79090, '159.253.134.96', '159.253.134.103', 2684192352, 2684192359, 'AE', 'United Arab Emirates'),
(79091, '159.253.134.104', '159.253.134.115', 2684192360, 2684192371, 'US', 'United States'),
(79092, '159.253.134.116', '159.253.134.119', 2684192372, 2684192375, 'GB', 'United Kingdom'),
(79093, '159.253.134.120', '159.253.134.127', 2684192376, 2684192383, 'BM', 'Bermuda'),
(79094, '159.253.134.128', '159.253.134.131', 2684192384, 2684192387, 'CA', 'Canada'),
(79095, '159.253.134.132', '159.253.134.135', 2684192388, 2684192391, 'AE', 'United Arab Emirates'),
(79096, '159.253.134.136', '159.253.134.143', 2684192392, 2684192399, 'US', 'United States'),
(79097, '159.253.134.144', '159.253.134.151', 2684192400, 2684192407, 'AU', 'Australia'),
(79098, '159.253.134.152', '159.253.134.159', 2684192408, 2684192415, 'US', 'United States'),
(79099, '159.253.134.160', '159.253.134.167', 2684192416, 2684192423, 'CA', 'Canada'),
(79100, '159.253.134.168', '159.253.134.171', 2684192424, 2684192427, 'CH', 'Switzerland'),
(79101, '159.253.134.172', '159.253.134.175', 2684192428, 2684192431, 'NL', 'Netherlands'),
(79102, '159.253.134.176', '159.253.134.183', 2684192432, 2684192439, 'BR', 'Brazil'),
(79103, '159.253.134.184', '159.253.134.191', 2684192440, 2684192447, 'NL', 'Netherlands'),
(79104, '159.253.134.192', '159.253.134.203', 2684192448, 2684192459, 'TR', 'Turkey'),
(79105, '159.253.134.204', '159.253.134.207', 2684192460, 2684192463, 'CN', 'China'),
(79106, '159.253.134.208', '159.253.134.215', 2684192464, 2684192471, 'US', 'United States'),
(79107, '159.253.134.216', '159.253.134.223', 2684192472, 2684192479, 'CN', 'China'),
(79108, '159.253.134.224', '159.253.134.239', 2684192480, 2684192495, 'US', 'United States'),
(79109, '159.253.134.240', '159.253.134.247', 2684192496, 2684192503, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(79110, '159.253.134.248', '159.253.134.251', 2684192504, 2684192507, 'HR', 'Croatia'),
(79111, '159.253.134.252', '159.253.134.253', 2684192508, 2684192509, 'CA', 'Canada'),
(79112, '159.253.134.254', '159.253.134.254', 2684192510, 2684192510, 'BH', 'Bahrain'),
(79113, '159.253.134.255', '159.253.134.255', 2684192511, 2684192511, 'RU', 'Russian Federation'),
(79114, '159.253.135.0', '159.253.135.33', 2684192512, 2684192545, 'US', 'United States'),
(79115, '159.253.135.34', '159.253.135.35', 2684192546, 2684192547, 'EG', 'Egypt'),
(79116, '159.253.135.36', '159.253.135.39', 2684192548, 2684192551, 'SA', 'Saudi Arabia'),
(79117, '159.253.135.40', '159.253.135.47', 2684192552, 2684192559, 'GB', 'United Kingdom'),
(79118, '159.253.135.48', '159.253.135.55', 2684192560, 2684192567, 'NL', 'Netherlands'),
(79119, '159.253.135.56', '159.253.135.71', 2684192568, 2684192583, 'US', 'United States'),
(79120, '159.253.135.72', '159.253.135.79', 2684192584, 2684192591, 'DE', 'Germany'),
(79121, '159.253.135.80', '159.253.135.87', 2684192592, 2684192599, 'US', 'United States'),
(79122, '159.253.135.88', '159.253.135.95', 2684192600, 2684192607, 'AE', 'United Arab Emirates'),
(79123, '159.253.135.96', '159.253.135.99', 2684192608, 2684192611, 'US', 'United States'),
(79124, '159.253.135.100', '159.253.135.103', 2684192612, 2684192615, 'ES', 'Spain'),
(79125, '159.253.135.104', '159.253.135.111', 2684192616, 2684192623, 'US', 'United States'),
(79126, '159.253.135.112', '159.253.135.115', 2684192624, 2684192627, 'GB', 'United Kingdom'),
(79127, '159.253.135.116', '159.253.135.119', 2684192628, 2684192631, 'US', 'United States'),
(79128, '159.253.135.120', '159.253.135.127', 2684192632, 2684192639, 'SE', 'Sweden'),
(79129, '159.253.135.128', '159.253.135.143', 2684192640, 2684192655, 'GR', 'Greece'),
(79130, '159.253.135.144', '159.253.135.151', 2684192656, 2684192663, 'GB', 'United Kingdom'),
(79131, '159.253.135.152', '159.253.135.155', 2684192664, 2684192667, 'AE', 'United Arab Emirates'),
(79132, '159.253.135.156', '159.253.135.159', 2684192668, 2684192671, 'RU', 'Russian Federation'),
(79133, '159.253.135.160', '159.253.135.175', 2684192672, 2684192687, 'US', 'United States'),
(79134, '159.253.135.176', '159.253.135.183', 2684192688, 2684192695, 'NL', 'Netherlands'),
(79135, '159.253.135.184', '159.253.135.191', 2684192696, 2684192703, 'IT', 'Italy'),
(79136, '159.253.135.192', '159.253.135.199', 2684192704, 2684192711, 'BE', 'Belgium'),
(79137, '159.253.135.200', '159.253.135.203', 2684192712, 2684192715, 'AU', 'Australia'),
(79138, '159.253.135.204', '159.253.135.207', 2684192716, 2684192719, 'CA', 'Canada'),
(79139, '159.253.135.208', '159.253.135.215', 2684192720, 2684192727, 'NL', 'Netherlands'),
(79140, '159.253.135.216', '159.253.135.219', 2684192728, 2684192731, 'BE', 'Belgium'),
(79141, '159.253.135.220', '159.253.135.223', 2684192732, 2684192735, 'IT', 'Italy'),
(79142, '159.253.135.224', '159.253.135.255', 2684192736, 2684192767, 'US', 'United States'),
(79143, '159.253.136.0', '159.253.136.7', 2684192768, 2684192775, 'TR', 'Turkey'),
(79144, '159.253.136.8', '159.253.136.31', 2684192776, 2684192799, 'US', 'United States'),
(79145, '159.253.136.32', '159.253.136.39', 2684192800, 2684192807, 'GB', 'United Kingdom'),
(79146, '159.253.136.40', '159.253.136.55', 2684192808, 2684192823, 'PL', 'Poland'),
(79147, '159.253.136.56', '159.253.136.63', 2684192824, 2684192831, 'CA', 'Canada'),
(79148, '159.253.136.64', '159.253.136.71', 2684192832, 2684192839, 'NO', 'Norway'),
(79149, '159.253.136.72', '159.253.136.87', 2684192840, 2684192855, 'SA', 'Saudi Arabia'),
(79150, '159.253.136.88', '159.253.136.99', 2684192856, 2684192867, 'US', 'United States'),
(79151, '159.253.136.100', '159.253.136.111', 2684192868, 2684192879, 'CN', 'China'),
(79152, '159.253.136.112', '159.253.136.127', 2684192880, 2684192895, 'US', 'United States'),
(79153, '159.253.136.128', '159.253.136.159', 2684192896, 2684192927, 'LT', 'Lithuania'),
(79154, '159.253.136.160', '159.253.136.171', 2684192928, 2684192939, 'ES', 'Spain'),
(79155, '159.253.136.172', '159.253.136.183', 2684192940, 2684192951, 'US', 'United States'),
(79156, '159.253.136.184', '159.253.136.191', 2684192952, 2684192959, 'CY', 'Cyprus'),
(79157, '159.253.136.192', '159.253.136.199', 2684192960, 2684192967, 'PL', 'Poland'),
(79158, '159.253.136.200', '159.253.136.203', 2684192968, 2684192971, 'GB', 'United Kingdom'),
(79159, '159.253.136.204', '159.253.136.207', 2684192972, 2684192975, 'MA', 'Morocco'),
(79160, '159.253.136.208', '159.253.136.215', 2684192976, 2684192983, 'SA', 'Saudi Arabia'),
(79161, '159.253.136.216', '159.253.136.223', 2684192984, 2684192991, 'TR', 'Turkey'),
(79162, '159.253.136.224', '159.253.136.231', 2684192992, 2684192999, 'BR', 'Brazil'),
(79163, '159.253.136.232', '159.253.136.239', 2684193000, 2684193007, 'SA', 'Saudi Arabia'),
(79164, '159.253.136.240', '159.253.136.247', 2684193008, 2684193015, 'GB', 'United Kingdom'),
(79165, '159.253.136.248', '159.253.136.251', 2684193016, 2684193019, 'CN', 'China'),
(79166, '159.253.136.252', '159.253.136.252', 2684193020, 2684193020, 'BH', 'Bahrain'),
(79167, '159.253.136.253', '159.253.136.253', 2684193021, 2684193021, 'US', 'United States'),
(79168, '159.253.136.254', '159.253.136.254', 2684193022, 2684193022, 'ES', 'Spain'),
(79169, '159.253.136.255', '159.253.136.255', 2684193023, 2684193023, 'IT', 'Italy'),
(79170, '159.253.137.0', '159.253.137.7', 2684193024, 2684193031, 'TR', 'Turkey'),
(79171, '159.253.137.8', '159.253.137.15', 2684193032, 2684193039, 'GR', 'Greece'),
(79172, '159.253.137.16', '159.253.137.31', 2684193040, 2684193055, 'BR', 'Brazil'),
(79173, '159.253.137.32', '159.253.137.35', 2684193056, 2684193059, 'TR', 'Turkey'),
(79174, '159.253.137.36', '159.253.137.39', 2684193060, 2684193063, 'GB', 'United Kingdom'),
(79175, '159.253.137.40', '159.253.137.47', 2684193064, 2684193071, 'US', 'United States'),
(79176, '159.253.137.48', '159.253.137.55', 2684193072, 2684193079, 'EG', 'Egypt'),
(79177, '159.253.137.56', '159.253.137.63', 2684193080, 2684193087, 'HR', 'Croatia'),
(79178, '159.253.137.64', '159.253.137.95', 2684193088, 2684193119, 'GB', 'United Kingdom'),
(79179, '159.253.137.96', '159.253.137.103', 2684193120, 2684193127, 'CN', 'China'),
(79180, '159.253.137.104', '159.253.137.123', 2684193128, 2684193147, 'US', 'United States'),
(79181, '159.253.137.124', '159.253.137.127', 2684193148, 2684193151, 'GR', 'Greece'),
(79182, '159.253.137.128', '159.253.137.135', 2684193152, 2684193159, 'NZ', 'New Zealand'),
(79183, '159.253.137.136', '159.253.137.143', 2684193160, 2684193167, 'SA', 'Saudi Arabia'),
(79184, '159.253.137.144', '159.253.137.151', 2684193168, 2684193175, 'US', 'United States'),
(79185, '159.253.137.152', '159.253.137.159', 2684193176, 2684193183, 'BH', 'Bahrain'),
(79186, '159.253.137.160', '159.253.137.171', 2684193184, 2684193195, 'TR', 'Turkey'),
(79187, '159.253.137.172', '159.253.137.175', 2684193196, 2684193199, 'CN', 'China'),
(79188, '159.253.137.176', '159.253.137.191', 2684193200, 2684193215, 'BE', 'Belgium'),
(79189, '159.253.137.192', '159.253.137.199', 2684193216, 2684193223, 'US', 'United States'),
(79190, '159.253.137.200', '159.253.137.207', 2684193224, 2684193231, 'BR', 'Brazil'),
(79191, '159.253.137.208', '159.253.137.211', 2684193232, 2684193235, 'BM', 'Bermuda'),
(79192, '159.253.137.212', '159.253.137.215', 2684193236, 2684193239, 'AE', 'United Arab Emirates'),
(79193, '159.253.137.216', '159.253.137.223', 2684193240, 2684193247, 'PK', 'Pakistan'),
(79194, '159.253.137.224', '159.253.137.231', 2684193248, 2684193255, 'NL', 'Netherlands'),
(79195, '159.253.137.232', '159.253.137.239', 2684193256, 2684193263, 'US', 'United States'),
(79196, '159.253.137.240', '159.253.137.247', 2684193264, 2684193271, 'NO', 'Norway'),
(79197, '159.253.137.248', '159.253.138.7', 2684193272, 2684193287, 'US', 'United States'),
(79198, '159.253.138.8', '159.253.138.15', 2684193288, 2684193295, 'SA', 'Saudi Arabia'),
(79199, '159.253.138.16', '159.253.138.23', 2684193296, 2684193303, 'IT', 'Italy'),
(79200, '159.253.138.24', '159.253.138.31', 2684193304, 2684193311, 'HK', 'Hong Kong'),
(79201, '159.253.138.32', '159.253.138.39', 2684193312, 2684193319, 'IN', 'India'),
(79202, '159.253.138.40', '159.253.138.47', 2684193320, 2684193327, 'AE', 'United Arab Emirates'),
(79203, '159.253.138.48', '159.253.138.55', 2684193328, 2684193335, 'GR', 'Greece'),
(79204, '159.253.138.56', '159.253.138.95', 2684193336, 2684193375, 'US', 'United States'),
(79205, '159.253.138.96', '159.253.138.103', 2684193376, 2684193383, 'LB', 'Lebanon'),
(79206, '159.253.138.104', '159.253.138.111', 2684193384, 2684193391, 'US', 'United States'),
(79207, '159.253.138.112', '159.253.138.119', 2684193392, 2684193399, 'JO', 'Jordan'),
(79208, '159.253.138.120', '159.253.138.127', 2684193400, 2684193407, 'PL', 'Poland'),
(79209, '159.253.138.128', '159.253.138.159', 2684193408, 2684193439, 'SA', 'Saudi Arabia'),
(79210, '159.253.138.160', '159.253.138.167', 2684193440, 2684193447, 'US', 'United States'),
(79211, '159.253.138.168', '159.253.138.175', 2684193448, 2684193455, 'HU', 'Hungary'),
(79212, '159.253.138.176', '159.253.138.187', 2684193456, 2684193467, 'US', 'United States'),
(79213, '159.253.138.188', '159.253.138.191', 2684193468, 2684193471, 'AE', 'United Arab Emirates'),
(79214, '159.253.138.192', '159.253.138.199', 2684193472, 2684193479, 'MX', 'Mexico'),
(79215, '159.253.138.200', '159.253.138.207', 2684193480, 2684193487, 'IN', 'India'),
(79216, '159.253.138.208', '159.253.138.231', 2684193488, 2684193511, 'US', 'United States'),
(79217, '159.253.138.232', '159.253.138.239', 2684193512, 2684193519, 'AE', 'United Arab Emirates'),
(79218, '159.253.138.240', '159.253.138.247', 2684193520, 2684193527, 'NL', 'Netherlands'),
(79219, '159.253.138.248', '159.253.138.255', 2684193528, 2684193535, 'GB', 'United Kingdom'),
(79220, '159.253.139.0', '159.253.139.15', 2684193536, 2684193551, 'US', 'United States'),
(79221, '159.253.139.16', '159.253.139.23', 2684193552, 2684193559, 'SA', 'Saudi Arabia'),
(79222, '159.253.139.24', '159.253.139.31', 2684193560, 2684193567, 'CN', 'China'),
(79223, '159.253.139.32', '159.253.139.39', 2684193568, 2684193575, 'US', 'United States'),
(79224, '159.253.139.40', '159.253.139.47', 2684193576, 2684193583, 'EG', 'Egypt'),
(79225, '159.253.139.48', '159.253.139.55', 2684193584, 2684193591, 'RU', 'Russian Federation'),
(79226, '159.253.139.56', '159.253.139.63', 2684193592, 2684193599, 'ES', 'Spain'),
(79227, '159.253.139.64', '159.253.139.71', 2684193600, 2684193607, 'IN', 'India'),
(79228, '159.253.139.72', '159.253.139.75', 2684193608, 2684193611, 'PT', 'Portugal'),
(79229, '159.253.139.76', '159.253.139.79', 2684193612, 2684193615, 'CN', 'China'),
(79230, '159.253.139.80', '159.253.139.87', 2684193616, 2684193623, 'IN', 'India'),
(79231, '159.253.139.88', '159.253.139.95', 2684193624, 2684193631, 'GR', 'Greece'),
(79232, '159.253.139.96', '159.253.139.103', 2684193632, 2684193639, 'IN', 'India'),
(79233, '159.253.139.104', '159.253.139.111', 2684193640, 2684193647, 'TR', 'Turkey'),
(79234, '159.253.139.112', '159.253.139.119', 2684193648, 2684193655, 'AU', 'Australia'),
(79235, '159.253.139.120', '159.253.139.123', 2684193656, 2684193659, 'ES', 'Spain'),
(79236, '159.253.139.124', '159.253.139.127', 2684193660, 2684193663, 'US', 'United States'),
(79237, '159.253.139.128', '159.253.139.135', 2684193664, 2684193671, 'CH', 'Switzerland'),
(79238, '159.253.139.136', '159.253.139.143', 2684193672, 2684193679, 'US', 'United States'),
(79239, '159.253.139.144', '159.253.139.151', 2684193680, 2684193687, 'DE', 'Germany'),
(79240, '159.253.139.152', '159.253.139.155', 2684193688, 2684193691, 'US', 'United States'),
(79241, '159.253.139.156', '159.253.139.159', 2684193692, 2684193695, 'GR', 'Greece'),
(79242, '159.253.139.160', '159.253.139.175', 2684193696, 2684193711, 'GB', 'United Kingdom'),
(79243, '159.253.139.176', '159.253.139.183', 2684193712, 2684193719, 'TR', 'Turkey'),
(79244, '159.253.139.184', '159.253.139.191', 2684193720, 2684193727, 'CN', 'China'),
(79245, '159.253.139.192', '159.253.139.223', 2684193728, 2684193759, 'US', 'United States'),
(79246, '159.253.139.224', '159.253.139.231', 2684193760, 2684193767, 'GB', 'United Kingdom'),
(79247, '159.253.139.232', '159.253.139.239', 2684193768, 2684193775, 'AR', 'Argentina'),
(79248, '159.253.139.240', '159.253.139.253', 2684193776, 2684193789, 'US', 'United States'),
(79249, '159.253.139.254', '159.253.139.254', 2684193790, 2684193790, 'TR', 'Turkey'),
(79250, '159.253.139.255', '159.253.139.255', 2684193791, 2684193791, 'CH', 'Switzerland'),
(79251, '159.253.140.0', '159.253.140.7', 2684193792, 2684193799, 'AE', 'United Arab Emirates'),
(79252, '159.253.140.8', '159.253.140.15', 2684193800, 2684193807, 'FR', 'France'),
(79253, '159.253.140.16', '159.253.140.31', 2684193808, 2684193823, 'GB', 'United Kingdom'),
(79254, '159.253.140.32', '159.253.140.39', 2684193824, 2684193831, 'ES', 'Spain'),
(79255, '159.253.140.40', '159.253.140.63', 2684193832, 2684193855, 'US', 'United States'),
(79256, '159.253.140.64', '159.253.140.79', 2684193856, 2684193871, 'GB', 'United Kingdom'),
(79257, '159.253.140.80', '159.253.140.119', 2684193872, 2684193911, 'US', 'United States'),
(79258, '159.253.140.120', '159.253.140.127', 2684193912, 2684193919, 'AT', 'Austria'),
(79259, '159.253.140.128', '159.253.140.135', 2684193920, 2684193927, 'US', 'United States'),
(79260, '159.253.140.136', '159.253.140.139', 2684193928, 2684193931, 'AT', 'Austria'),
(79261, '159.253.140.140', '159.253.140.143', 2684193932, 2684193935, 'GB', 'United Kingdom'),
(79262, '159.253.140.144', '159.253.140.159', 2684193936, 2684193951, 'US', 'United States'),
(79263, '159.253.140.160', '159.253.140.167', 2684193952, 2684193959, 'IN', 'India'),
(79264, '159.253.140.168', '159.253.140.171', 2684193960, 2684193963, 'CN', 'China'),
(79265, '159.253.140.172', '159.253.140.175', 2684193964, 2684193967, 'US', 'United States'),
(79266, '159.253.140.176', '159.253.140.183', 2684193968, 2684193975, 'IL', 'Israel'),
(79267, '159.253.140.184', '159.253.140.191', 2684193976, 2684193983, 'DK', 'Denmark'),
(79268, '159.253.140.192', '159.253.140.207', 2684193984, 2684193999, 'US', 'United States'),
(79269, '159.253.140.208', '159.253.140.215', 2684194000, 2684194007, 'DK', 'Denmark'),
(79270, '159.253.140.216', '159.253.140.247', 2684194008, 2684194039, 'US', 'United States'),
(79271, '159.253.140.248', '159.253.140.255', 2684194040, 2684194047, 'MT', 'Malta'),
(79272, '159.253.141.0', '159.253.141.7', 2684194048, 2684194055, 'IT', 'Italy'),
(79273, '159.253.141.8', '159.253.141.39', 2684194056, 2684194087, 'US', 'United States'),
(79274, '159.253.141.40', '159.253.141.47', 2684194088, 2684194095, 'GR', 'Greece'),
(79275, '159.253.141.48', '159.253.141.71', 2684194096, 2684194119, 'US', 'United States'),
(79276, '159.253.141.72', '159.253.141.79', 2684194120, 2684194127, 'BG', 'Bulgaria'),
(79277, '159.253.141.80', '159.253.141.87', 2684194128, 2684194135, 'GB', 'United Kingdom'),
(79278, '159.253.141.88', '159.253.141.95', 2684194136, 2684194143, 'MX', 'Mexico'),
(79279, '159.253.141.96', '159.253.141.103', 2684194144, 2684194151, 'US', 'United States'),
(79280, '159.253.141.104', '159.253.141.111', 2684194152, 2684194159, 'EG', 'Egypt'),
(79281, '159.253.141.112', '159.253.141.119', 2684194160, 2684194167, 'IN', 'India'),
(79282, '159.253.141.120', '159.253.141.123', 2684194168, 2684194171, 'US', 'United States'),
(79283, '159.253.141.124', '159.253.141.127', 2684194172, 2684194175, 'IL', 'Israel'),
(79284, '159.253.141.128', '159.253.141.159', 2684194176, 2684194207, 'LT', 'Lithuania'),
(79285, '159.253.141.160', '159.253.141.167', 2684194208, 2684194215, 'AZ', 'Azerbaijan'),
(79286, '159.253.141.168', '159.253.141.175', 2684194216, 2684194223, 'IL', 'Israel'),
(79287, '159.253.141.176', '159.253.141.191', 2684194224, 2684194239, 'US', 'United States'),
(79288, '159.253.141.192', '159.253.141.207', 2684194240, 2684194255, 'NL', 'Netherlands'),
(79289, '159.253.141.208', '159.253.141.223', 2684194256, 2684194271, 'US', 'United States'),
(79290, '159.253.141.224', '159.253.141.231', 2684194272, 2684194279, 'GB', 'United Kingdom'),
(79291, '159.253.141.232', '159.253.141.239', 2684194280, 2684194287, 'BZ', 'Belize'),
(79292, '159.253.141.240', '159.253.141.247', 2684194288, 2684194295, 'RU', 'Russian Federation'),
(79293, '159.253.141.248', '159.253.141.255', 2684194296, 2684194303, 'CA', 'Canada'),
(79294, '159.253.142.0', '159.253.142.7', 2684194304, 2684194311, 'SE', 'Sweden'),
(79295, '159.253.142.8', '159.253.142.15', 2684194312, 2684194319, 'IL', 'Israel'),
(79296, '159.253.142.16', '159.253.142.23', 2684194320, 2684194327, 'SA', 'Saudi Arabia'),
(79297, '159.253.142.24', '159.253.142.31', 2684194328, 2684194335, 'TR', 'Turkey'),
(79298, '159.253.142.32', '159.253.142.39', 2684194336, 2684194343, 'LV', 'Latvia'),
(79299, '159.253.142.40', '159.253.142.47', 2684194344, 2684194351, 'IL', 'Israel'),
(79300, '159.253.142.48', '159.253.142.63', 2684194352, 2684194367, 'US', 'United States'),
(79301, '159.253.142.64', '159.253.142.71', 2684194368, 2684194375, 'TW', 'Taiwan'),
(79302, '159.253.142.72', '159.253.142.79', 2684194376, 2684194383, 'JO', 'Jordan'),
(79303, '159.253.142.80', '159.253.142.87', 2684194384, 2684194391, 'GB', 'United Kingdom'),
(79304, '159.253.142.88', '159.253.142.95', 2684194392, 2684194399, 'US', 'United States'),
(79305, '159.253.142.96', '159.253.142.103', 2684194400, 2684194407, 'GR', 'Greece'),
(79306, '159.253.142.104', '159.253.142.119', 2684194408, 2684194423, 'NZ', 'New Zealand'),
(79307, '159.253.142.120', '159.253.142.127', 2684194424, 2684194431, 'SA', 'Saudi Arabia'),
(79308, '159.253.142.128', '159.253.142.159', 2684194432, 2684194463, 'SG', 'Singapore'),
(79309, '159.253.142.160', '159.253.142.167', 2684194464, 2684194471, 'BR', 'Brazil'),
(79310, '159.253.142.168', '159.253.142.175', 2684194472, 2684194479, 'TR', 'Turkey'),
(79311, '159.253.142.176', '159.253.142.191', 2684194480, 2684194495, 'GB', 'United Kingdom'),
(79312, '159.253.142.192', '159.253.142.199', 2684194496, 2684194503, 'NG', 'Nigeria'),
(79313, '159.253.142.200', '159.253.142.203', 2684194504, 2684194507, 'US', 'United States'),
(79314, '159.253.142.204', '159.253.142.207', 2684194508, 2684194511, 'SE', 'Sweden'),
(79315, '159.253.142.208', '159.253.142.215', 2684194512, 2684194519, 'GB', 'United Kingdom'),
(79316, '159.253.142.216', '159.253.142.223', 2684194520, 2684194527, 'IT', 'Italy'),
(79317, '159.253.142.224', '159.253.142.231', 2684194528, 2684194535, 'US', 'United States'),
(79318, '159.253.142.232', '159.253.142.235', 2684194536, 2684194539, 'NG', 'Nigeria'),
(79319, '159.253.142.236', '159.253.142.239', 2684194540, 2684194543, 'CN', 'China'),
(79320, '159.253.142.240', '159.253.142.247', 2684194544, 2684194551, 'US', 'United States'),
(79321, '159.253.142.248', '159.253.142.255', 2684194552, 2684194559, 'IN', 'India'),
(79322, '159.253.143.0', '159.253.143.103', 2684194560, 2684194663, 'US', 'United States'),
(79323, '159.253.143.104', '159.253.143.111', 2684194664, 2684194671, 'JO', 'Jordan'),
(79324, '159.253.143.112', '159.253.143.119', 2684194672, 2684194679, 'US', 'United States'),
(79325, '159.253.143.120', '159.253.143.127', 2684194680, 2684194687, 'NO', 'Norway'),
(79326, '159.253.143.128', '159.253.143.135', 2684194688, 2684194695, 'NL', 'Netherlands'),
(79327, '159.253.143.136', '159.253.143.143', 2684194696, 2684194703, 'DK', 'Denmark'),
(79328, '159.253.143.144', '159.253.143.151', 2684194704, 2684194711, 'US', 'United States'),
(79329, '159.253.143.152', '159.253.143.159', 2684194712, 2684194719, 'LV', 'Latvia'),
(79330, '159.253.143.160', '159.253.143.163', 2684194720, 2684194723, 'BR', 'Brazil'),
(79331, '159.253.143.164', '159.253.143.167', 2684194724, 2684194727, 'US', 'United States'),
(79332, '159.253.143.168', '159.253.143.191', 2684194728, 2684194751, 'DK', 'Denmark'),
(79333, '159.253.143.192', '159.253.143.207', 2684194752, 2684194767, 'US', 'United States'),
(79334, '159.253.143.208', '159.253.143.255', 2684194768, 2684194815, 'DK', 'Denmark'),
(79335, '159.253.144.0', '159.253.144.23', 2684194816, 2684194839, 'NL', 'Netherlands'),
(79336, '159.253.144.24', '159.253.144.31', 2684194840, 2684194847, 'US', 'United States'),
(79337, '159.253.144.32', '159.253.144.39', 2684194848, 2684194855, 'SA', 'Saudi Arabia'),
(79338, '159.253.144.40', '159.253.144.47', 2684194856, 2684194863, 'UG', 'Uganda'),
(79339, '159.253.144.48', '159.253.144.55', 2684194864, 2684194871, 'US', 'United States'),
(79340, '159.253.144.56', '159.253.144.63', 2684194872, 2684194879, 'SA', 'Saudi Arabia'),
(79341, '159.253.144.64', '159.253.144.71', 2684194880, 2684194887, 'AE', 'United Arab Emirates'),
(79342, '159.253.144.72', '159.253.144.79', 2684194888, 2684194895, 'ES', 'Spain'),
(79343, '159.253.144.80', '159.253.144.87', 2684194896, 2684194903, 'NL', 'Netherlands'),
(79344, '159.253.144.88', '159.253.144.91', 2684194904, 2684194907, 'TR', 'Turkey'),
(79345, '159.253.144.92', '159.253.144.95', 2684194908, 2684194911, 'US', 'United States'),
(79346, '159.253.144.96', '159.253.144.103', 2684194912, 2684194919, 'PT', 'Portugal'),
(79347, '159.253.144.104', '159.253.144.111', 2684194920, 2684194927, 'NL', 'Netherlands'),
(79348, '159.253.144.112', '159.253.144.115', 2684194928, 2684194931, 'TR', 'Turkey'),
(79349, '159.253.144.116', '159.253.144.119', 2684194932, 2684194935, 'BM', 'Bermuda'),
(79350, '159.253.144.120', '159.253.144.127', 2684194936, 2684194943, 'CN', 'China'),
(79351, '159.253.144.128', '159.253.144.135', 2684194944, 2684194951, 'NL', 'Netherlands'),
(79352, '159.253.144.136', '159.253.144.143', 2684194952, 2684194959, 'US', 'United States'),
(79353, '159.253.144.144', '159.253.144.151', 2684194960, 2684194967, 'MA', 'Morocco'),
(79354, '159.253.144.152', '159.253.144.159', 2684194968, 2684194975, 'PK', 'Pakistan'),
(79355, '159.253.144.160', '159.253.144.175', 2684194976, 2684194991, 'NL', 'Netherlands'),
(79356, '159.253.144.176', '159.253.144.183', 2684194992, 2684194999, 'US', 'United States'),
(79357, '159.253.144.184', '159.253.144.191', 2684195000, 2684195007, 'DK', 'Denmark'),
(79358, '159.253.144.192', '159.253.144.223', 2684195008, 2684195039, 'IN', 'India'),
(79359, '159.253.144.224', '159.253.144.231', 2684195040, 2684195047, 'BR', 'Brazil'),
(79360, '159.253.144.232', '159.253.144.239', 2684195048, 2684195055, 'ES', 'Spain'),
(79361, '159.253.144.240', '159.253.144.247', 2684195056, 2684195063, 'DK', 'Denmark'),
(79362, '159.253.144.248', '159.253.144.255', 2684195064, 2684195071, 'GR', 'Greece'),
(79363, '159.253.145.0', '159.253.145.7', 2684195072, 2684195079, 'US', 'United States'),
(79364, '159.253.145.8', '159.253.145.15', 2684195080, 2684195087, 'ES', 'Spain'),
(79365, '159.253.145.16', '159.253.145.23', 2684195088, 2684195095, 'EG', 'Egypt'),
(79366, '159.253.145.24', '159.253.145.39', 2684195096, 2684195111, 'US', 'United States'),
(79367, '159.253.145.40', '159.253.145.47', 2684195112, 2684195119, 'SA', 'Saudi Arabia'),
(79368, '159.253.145.48', '159.253.145.55', 2684195120, 2684195127, 'CA', 'Canada'),
(79369, '159.253.145.56', '159.253.145.63', 2684195128, 2684195135, 'GB', 'United Kingdom'),
(79370, '159.253.145.64', '159.253.145.95', 2684195136, 2684195167, 'US', 'United States'),
(79371, '159.253.145.96', '159.253.145.127', 2684195168, 2684195199, 'CY', 'Cyprus'),
(79372, '159.253.145.128', '159.253.145.223', 2684195200, 2684195295, 'US', 'United States'),
(79373, '159.253.145.224', '159.253.145.231', 2684195296, 2684195303, 'DE', 'Germany'),
(79374, '159.253.145.232', '159.253.145.235', 2684195304, 2684195307, 'SE', 'Sweden'),
(79375, '159.253.145.236', '159.253.145.239', 2684195308, 2684195311, 'US', 'United States'),
(79376, '159.253.145.240', '159.253.145.247', 2684195312, 2684195319, 'NL', 'Netherlands'),
(79377, '159.253.145.248', '159.253.145.251', 2684195320, 2684195323, 'GB', 'United Kingdom'),
(79378, '159.253.145.252', '159.253.145.255', 2684195324, 2684195327, 'US', 'United States'),
(79379, '159.253.146.0', '159.253.146.7', 2684195328, 2684195335, 'NL', 'Netherlands'),
(79380, '159.253.146.8', '159.253.146.15', 2684195336, 2684195343, 'US', 'United States'),
(79381, '159.253.146.16', '159.253.146.23', 2684195344, 2684195351, 'DE', 'Germany'),
(79382, '159.253.146.24', '159.253.146.31', 2684195352, 2684195359, 'ES', 'Spain'),
(79383, '159.253.146.32', '159.253.146.39', 2684195360, 2684195367, 'NL', 'Netherlands'),
(79384, '159.253.146.40', '159.253.146.43', 2684195368, 2684195371, 'ES', 'Spain'),
(79385, '159.253.146.44', '159.253.146.47', 2684195372, 2684195375, 'MA', 'Morocco'),
(79386, '159.253.146.48', '159.253.146.55', 2684195376, 2684195383, 'BE', 'Belgium'),
(79387, '159.253.146.56', '159.253.146.63', 2684195384, 2684195391, 'AE', 'United Arab Emirates'),
(79388, '159.253.146.64', '159.253.146.79', 2684195392, 2684195407, 'US', 'United States'),
(79389, '159.253.146.80', '159.253.146.87', 2684195408, 2684195415, 'GB', 'United Kingdom'),
(79390, '159.253.146.88', '159.253.146.95', 2684195416, 2684195423, 'AE', 'United Arab Emirates'),
(79391, '159.253.146.96', '159.253.146.99', 2684195424, 2684195427, 'IT', 'Italy'),
(79392, '159.253.146.100', '159.253.146.103', 2684195428, 2684195431, 'TR', 'Turkey'),
(79393, '159.253.146.104', '159.253.146.111', 2684195432, 2684195439, 'GB', 'United Kingdom'),
(79394, '159.253.146.112', '159.253.146.127', 2684195440, 2684195455, 'DK', 'Denmark'),
(79395, '159.253.146.128', '159.253.146.159', 2684195456, 2684195487, 'CN', 'China'),
(79396, '159.253.146.160', '159.253.146.167', 2684195488, 2684195495, 'TW', 'Taiwan'),
(79397, '159.253.146.168', '159.253.146.175', 2684195496, 2684195503, 'UG', 'Uganda'),
(79398, '159.253.146.176', '159.253.146.183', 2684195504, 2684195511, 'SA', 'Saudi Arabia'),
(79399, '159.253.146.184', '159.253.146.191', 2684195512, 2684195519, 'US', 'United States'),
(79400, '159.253.146.192', '159.253.146.199', 2684195520, 2684195527, 'IN', 'India'),
(79401, '159.253.146.200', '159.253.146.207', 2684195528, 2684195535, 'RO', 'Romania'),
(79402, '159.253.146.208', '159.253.146.215', 2684195536, 2684195543, 'US', 'United States'),
(79403, '159.253.146.216', '159.253.146.223', 2684195544, 2684195551, 'NL', 'Netherlands'),
(79404, '159.253.146.224', '159.253.146.231', 2684195552, 2684195559, 'BA', 'Bosnia and Herzegovina'),
(79405, '159.253.146.232', '159.253.146.239', 2684195560, 2684195567, 'CA', 'Canada'),
(79406, '159.253.146.240', '159.253.146.247', 2684195568, 2684195575, 'US', 'United States'),
(79407, '159.253.146.248', '159.253.146.255', 2684195576, 2684195583, 'TR', 'Turkey'),
(79408, '159.253.147.0', '159.253.147.63', 2684195584, 2684195647, 'US', 'United States'),
(79409, '159.253.147.64', '159.253.147.71', 2684195648, 2684195655, 'BA', 'Bosnia and Herzegovina'),
(79410, '159.253.147.72', '159.253.147.79', 2684195656, 2684195663, 'US', 'United States'),
(79411, '159.253.147.80', '159.253.147.91', 2684195664, 2684195675, 'NL', 'Netherlands'),
(79412, '159.253.147.92', '159.253.147.95', 2684195676, 2684195679, 'US', 'United States'),
(79413, '159.253.147.96', '159.253.147.99', 2684195680, 2684195683, 'AE', 'United Arab Emirates'),
(79414, '159.253.147.100', '159.253.147.101', 2684195684, 2684195685, 'NL', 'Netherlands'),
(79415, '159.253.147.102', '159.253.147.102', 2684195686, 2684195686, 'US', 'United States'),
(79416, '159.253.147.103', '159.253.147.103', 2684195687, 2684195687, 'SA', 'Saudi Arabia'),
(79417, '159.253.147.104', '159.253.147.111', 2684195688, 2684195695, 'GB', 'United Kingdom'),
(79418, '159.253.147.112', '159.253.147.119', 2684195696, 2684195703, 'US', 'United States'),
(79419, '159.253.147.120', '159.253.147.127', 2684195704, 2684195711, 'CN', 'China'),
(79420, '159.253.147.128', '159.253.147.128', 2684195712, 2684195712, 'US', 'United States'),
(79421, '159.253.147.129', '159.253.147.129', 2684195713, 2684195713, 'CN', 'China'),
(79422, '159.253.147.130', '159.253.147.131', 2684195714, 2684195715, 'UA', 'Ukraine'),
(79423, '159.253.147.132', '159.253.147.135', 2684195716, 2684195719, 'US', 'United States'),
(79424, '159.253.147.136', '159.253.147.143', 2684195720, 2684195727, 'GB', 'United Kingdom'),
(79425, '159.253.147.144', '159.253.147.151', 2684195728, 2684195735, 'US', 'United States'),
(79426, '159.253.147.152', '159.253.147.159', 2684195736, 2684195743, 'CA', 'Canada'),
(79427, '159.253.147.160', '159.253.147.167', 2684195744, 2684195751, 'US', 'United States'),
(79428, '159.253.147.168', '159.253.147.175', 2684195752, 2684195759, 'BE', 'Belgium'),
(79429, '159.253.147.176', '159.253.147.183', 2684195760, 2684195767, 'US', 'United States'),
(79430, '159.253.147.184', '159.253.147.191', 2684195768, 2684195775, 'KW', 'Kuwait'),
(79431, '159.253.147.192', '159.253.147.199', 2684195776, 2684195783, 'CN', 'China'),
(79432, '159.253.147.200', '159.253.147.207', 2684195784, 2684195791, 'EG', 'Egypt'),
(79433, '159.253.147.208', '159.253.147.215', 2684195792, 2684195799, 'KW', 'Kuwait'),
(79434, '159.253.147.216', '159.253.147.223', 2684195800, 2684195807, 'AF', 'Afghanistan'),
(79435, '159.253.147.224', '159.253.147.231', 2684195808, 2684195815, 'AR', 'Argentina'),
(79436, '159.253.147.232', '159.253.147.239', 2684195816, 2684195823, 'GB', 'United Kingdom'),
(79437, '159.253.147.240', '159.253.147.247', 2684195824, 2684195831, 'AF', 'Afghanistan'),
(79438, '159.253.147.248', '159.253.147.255', 2684195832, 2684195839, 'HR', 'Croatia'),
(79439, '159.253.148.0', '159.253.148.15', 2684195840, 2684195855, 'US', 'United States'),
(79440, '159.253.148.16', '159.253.148.23', 2684195856, 2684195863, 'GB', 'United Kingdom'),
(79441, '159.253.148.24', '159.253.148.27', 2684195864, 2684195867, 'UG', 'Uganda'),
(79442, '159.253.148.28', '159.253.148.31', 2684195868, 2684195871, 'ES', 'Spain'),
(79443, '159.253.148.32', '159.253.148.39', 2684195872, 2684195879, 'AT', 'Austria'),
(79444, '159.253.148.40', '159.253.148.47', 2684195880, 2684195887, 'US', 'United States'),
(79445, '159.253.148.48', '159.253.148.63', 2684195888, 2684195903, 'NL', 'Netherlands'),
(79446, '159.253.148.64', '159.253.148.71', 2684195904, 2684195911, 'IN', 'India'),
(79447, '159.253.148.72', '159.253.148.79', 2684195912, 2684195919, 'CN', 'China'),
(79448, '159.253.148.80', '159.253.148.95', 2684195920, 2684195935, 'HR', 'Croatia'),
(79449, '159.253.148.96', '159.253.148.127', 2684195936, 2684195967, 'AF', 'Afghanistan'),
(79450, '159.253.148.128', '159.253.148.135', 2684195968, 2684195975, 'CN', 'China'),
(79451, '159.253.148.136', '159.253.148.139', 2684195976, 2684195979, 'TR', 'Turkey'),
(79452, '159.253.148.140', '159.253.148.143', 2684195980, 2684195983, 'US', 'United States'),
(79453, '159.253.148.144', '159.253.148.151', 2684195984, 2684195991, 'BD', 'Bangladesh'),
(79454, '159.253.148.152', '159.253.148.159', 2684195992, 2684195999, 'IE', 'Ireland'),
(79455, '159.253.148.160', '159.253.148.167', 2684196000, 2684196007, 'US', 'United States'),
(79456, '159.253.148.168', '159.253.148.175', 2684196008, 2684196015, 'FR', 'France'),
(79457, '159.253.148.176', '159.253.148.183', 2684196016, 2684196023, 'AU', 'Australia'),
(79458, '159.253.148.184', '159.253.148.191', 2684196024, 2684196031, 'US', 'United States'),
(79459, '159.253.148.192', '159.253.148.207', 2684196032, 2684196047, 'MA', 'Morocco'),
(79460, '159.253.148.208', '159.253.148.215', 2684196048, 2684196055, 'AT', 'Austria'),
(79461, '159.253.148.216', '159.253.148.223', 2684196056, 2684196063, 'ES', 'Spain'),
(79462, '159.253.148.224', '159.253.148.231', 2684196064, 2684196071, 'US', 'United States'),
(79463, '159.253.148.232', '159.253.148.239', 2684196072, 2684196079, 'EG', 'Egypt'),
(79464, '159.253.148.240', '159.253.148.247', 2684196080, 2684196087, 'CA', 'Canada'),
(79465, '159.253.148.248', '159.253.148.255', 2684196088, 2684196095, 'GB', 'United Kingdom'),
(79466, '159.253.149.0', '159.253.149.63', 2684196096, 2684196159, 'US', 'United States'),
(79467, '159.253.149.64', '159.253.149.95', 2684196160, 2684196191, 'AF', 'Afghanistan'),
(79468, '159.253.149.96', '159.253.149.103', 2684196192, 2684196199, 'SA', 'Saudi Arabia'),
(79469, '159.253.149.104', '159.253.149.111', 2684196200, 2684196207, 'ES', 'Spain'),
(79470, '159.253.149.112', '159.253.149.127', 2684196208, 2684196223, 'US', 'United States'),
(79471, '159.253.149.128', '159.253.149.143', 2684196224, 2684196239, 'NL', 'Netherlands'),
(79472, '159.253.149.144', '159.253.149.159', 2684196240, 2684196255, 'TR', 'Turkey'),
(79473, '159.253.149.160', '159.253.149.175', 2684196256, 2684196271, 'NL', 'Netherlands'),
(79474, '159.253.149.176', '159.253.149.183', 2684196272, 2684196279, 'EG', 'Egypt'),
(79475, '159.253.149.184', '159.253.149.207', 2684196280, 2684196303, 'DK', 'Denmark'),
(79476, '159.253.149.208', '159.253.149.215', 2684196304, 2684196311, 'BR', 'Brazil'),
(79477, '159.253.149.216', '159.253.149.223', 2684196312, 2684196319, 'PA', 'Panama'),
(79478, '159.253.149.224', '159.253.149.239', 2684196320, 2684196335, 'US', 'United States'),
(79479, '159.253.149.240', '159.253.149.247', 2684196336, 2684196343, 'CN', 'China'),
(79480, '159.253.149.248', '159.253.149.251', 2684196344, 2684196347, 'TR', 'Turkey'),
(79481, '159.253.149.252', '159.253.150.31', 2684196348, 2684196383, 'US', 'United States'),
(79482, '159.253.150.32', '159.253.150.39', 2684196384, 2684196391, 'GB', 'United Kingdom'),
(79483, '159.253.150.40', '159.253.150.47', 2684196392, 2684196399, 'US', 'United States'),
(79484, '159.253.150.48', '159.253.150.63', 2684196400, 2684196415, 'TR', 'Turkey'),
(79485, '159.253.150.64', '159.253.150.79', 2684196416, 2684196431, 'US', 'United States'),
(79486, '159.253.150.80', '159.253.150.87', 2684196432, 2684196439, 'CH', 'Switzerland'),
(79487, '159.253.150.88', '159.253.150.95', 2684196440, 2684196447, 'DK', 'Denmark'),
(79488, '159.253.150.96', '159.253.150.111', 2684196448, 2684196463, 'EG', 'Egypt'),
(79489, '159.253.150.112', '159.253.150.159', 2684196464, 2684196511, 'DK', 'Denmark'),
(79490, '159.253.150.160', '159.253.150.175', 2684196512, 2684196527, 'US', 'United States'),
(79491, '159.253.150.176', '159.253.150.183', 2684196528, 2684196535, 'DK', 'Denmark'),
(79492, '159.253.150.184', '159.253.150.191', 2684196536, 2684196543, 'US', 'United States'),
(79493, '159.253.150.192', '159.253.150.199', 2684196544, 2684196551, 'DK', 'Denmark'),
(79494, '159.253.150.200', '159.253.150.223', 2684196552, 2684196575, 'NL', 'Netherlands'),
(79495, '159.253.150.224', '159.253.150.239', 2684196576, 2684196591, 'US', 'United States'),
(79496, '159.253.150.240', '159.253.150.255', 2684196592, 2684196607, 'NL', 'Netherlands'),
(79497, '159.253.151.0', '159.253.151.31', 2684196608, 2684196639, 'US', 'United States'),
(79498, '159.253.151.32', '159.253.151.63', 2684196640, 2684196671, 'GB', 'United Kingdom'),
(79499, '159.253.151.64', '159.253.151.111', 2684196672, 2684196719, 'NL', 'Netherlands'),
(79500, '159.253.151.112', '159.253.151.159', 2684196720, 2684196767, 'US', 'United States'),
(79501, '159.253.151.160', '159.253.151.167', 2684196768, 2684196775, 'CN', 'China'),
(79502, '159.253.151.168', '159.253.151.175', 2684196776, 2684196783, 'US', 'United States'),
(79503, '159.253.151.176', '159.253.151.183', 2684196784, 2684196791, 'TR', 'Turkey'),
(79504, '159.253.151.184', '159.253.151.191', 2684196792, 2684196799, 'US', 'United States'),
(79505, '159.253.151.192', '159.253.151.223', 2684196800, 2684196831, 'TR', 'Turkey'),
(79506, '159.253.151.224', '159.253.151.231', 2684196832, 2684196839, 'US', 'United States'),
(79507, '159.253.151.232', '159.253.151.239', 2684196840, 2684196847, 'BR', 'Brazil'),
(79508, '159.253.151.240', '159.253.151.251', 2684196848, 2684196859, 'US', 'United States'),
(79509, '159.253.151.252', '159.253.151.255', 2684196860, 2684196863, 'NL', 'Netherlands'),
(79510, '159.253.152.0', '159.253.152.7', 2684196864, 2684196871, 'US', 'United States'),
(79511, '159.253.152.8', '159.253.152.15', 2684196872, 2684196879, 'MX', 'Mexico'),
(79512, '159.253.152.16', '159.253.152.17', 2684196880, 2684196881, 'GB', 'United Kingdom'),
(79513, '159.253.152.18', '159.253.152.18', 2684196882, 2684196882, 'US', 'United States'),
(79514, '159.253.152.19', '159.253.152.19', 2684196883, 2684196883, 'DE', 'Germany'),
(79515, '159.253.152.20', '159.253.152.21', 2684196884, 2684196885, 'SA', 'Saudi Arabia'),
(79516, '159.253.152.22', '159.253.152.22', 2684196886, 2684196886, 'GB', 'United Kingdom'),
(79517, '159.253.152.23', '159.253.152.23', 2684196887, 2684196887, 'UA', 'Ukraine'),
(79518, '159.253.152.24', '159.253.152.27', 2684196888, 2684196891, 'TR', 'Turkey'),
(79519, '159.253.152.28', '159.253.152.29', 2684196892, 2684196893, 'SA', 'Saudi Arabia'),
(79520, '159.253.152.30', '159.253.152.30', 2684196894, 2684196894, 'BR', 'Brazil'),
(79521, '159.253.152.31', '159.253.152.31', 2684196895, 2684196895, 'MA', 'Morocco'),
(79522, '159.253.152.32', '159.253.152.39', 2684196896, 2684196903, 'RU', 'Russian Federation'),
(79523, '159.253.152.40', '159.253.152.41', 2684196904, 2684196905, 'US', 'United States'),
(79524, '159.253.152.42', '159.253.152.42', 2684196906, 2684196906, 'EG', 'Egypt'),
(79525, '159.253.152.43', '159.253.152.43', 2684196907, 2684196907, 'AU', 'Australia'),
(79526, '159.253.152.44', '159.253.152.44', 2684196908, 2684196908, 'UA', 'Ukraine'),
(79527, '159.253.152.45', '159.253.152.45', 2684196909, 2684196909, 'AU', 'Australia'),
(79528, '159.253.152.46', '159.253.152.46', 2684196910, 2684196910, 'GB', 'United Kingdom'),
(79529, '159.253.152.47', '159.253.152.47', 2684196911, 2684196911, 'IT', 'Italy'),
(79530, '159.253.152.48', '159.253.152.63', 2684196912, 2684196927, 'US', 'United States'),
(79531, '159.253.152.64', '159.253.152.95', 2684196928, 2684196959, 'NL', 'Netherlands'),
(79532, '159.253.152.96', '159.253.152.103', 2684196960, 2684196967, 'US', 'United States'),
(79533, '159.253.152.104', '159.253.152.111', 2684196968, 2684196975, 'BR', 'Brazil'),
(79534, '159.253.152.112', '159.253.152.119', 2684196976, 2684196983, 'NL', 'Netherlands'),
(79535, '159.253.152.120', '159.253.152.123', 2684196984, 2684196987, 'DK', 'Denmark'),
(79536, '159.253.152.124', '159.253.152.135', 2684196988, 2684196999, 'US', 'United States'),
(79537, '159.253.152.136', '159.253.152.143', 2684197000, 2684197007, 'IT', 'Italy'),
(79538, '159.253.152.144', '159.253.152.151', 2684197008, 2684197015, 'US', 'United States'),
(79539, '159.253.152.152', '159.253.152.157', 2684197016, 2684197021, 'NL', 'Netherlands'),
(79540, '159.253.152.158', '159.253.152.158', 2684197022, 2684197022, 'RU', 'Russian Federation'),
(79541, '159.253.152.159', '159.253.152.159', 2684197023, 2684197023, 'NL', 'Netherlands'),
(79542, '159.253.152.160', '159.253.152.167', 2684197024, 2684197031, 'EG', 'Egypt'),
(79543, '159.253.152.168', '159.253.152.175', 2684197032, 2684197039, 'US', 'United States'),
(79544, '159.253.152.176', '159.253.152.183', 2684197040, 2684197047, 'TH', 'Thailand'),
(79545, '159.253.152.184', '159.253.152.191', 2684197048, 2684197055, 'IN', 'India'),
(79546, '159.253.152.192', '159.253.152.199', 2684197056, 2684197063, 'US', 'United States'),
(79547, '159.253.152.200', '159.253.152.207', 2684197064, 2684197071, 'CN', 'China'),
(79548, '159.253.152.208', '159.253.152.215', 2684197072, 2684197079, 'MX', 'Mexico'),
(79549, '159.253.152.216', '159.253.152.219', 2684197080, 2684197083, 'IT', 'Italy'),
(79550, '159.253.152.220', '159.253.152.223', 2684197084, 2684197087, 'NO', 'Norway'),
(79551, '159.253.152.224', '159.253.152.239', 2684197088, 2684197103, 'US', 'United States'),
(79552, '159.253.152.240', '159.253.152.243', 2684197104, 2684197107, 'TR', 'Turkey'),
(79553, '159.253.152.244', '159.253.152.247', 2684197108, 2684197111, 'AR', 'Argentina'),
(79554, '159.253.152.248', '159.253.152.251', 2684197112, 2684197115, 'TR', 'Turkey'),
(79555, '159.253.152.252', '159.253.152.255', 2684197116, 2684197119, 'US', 'United States'),
(79556, '159.253.153.0', '159.253.153.0', 2684197120, 2684197120, 'NL', 'Netherlands'),
(79557, '159.253.153.1', '159.253.153.1', 2684197121, 2684197121, 'MA', 'Morocco'),
(79558, '159.253.153.2', '159.253.153.3', 2684197122, 2684197123, 'SK', 'Slovakia'),
(79559, '159.253.153.4', '159.253.153.15', 2684197124, 2684197135, 'US', 'United States'),
(79560, '159.253.153.16', '159.253.153.23', 2684197136, 2684197143, 'SA', 'Saudi Arabia'),
(79561, '159.253.153.24', '159.253.153.31', 2684197144, 2684197151, 'GB', 'United Kingdom'),
(79562, '159.253.153.32', '159.253.153.47', 2684197152, 2684197167, 'US', 'United States'),
(79563, '159.253.153.48', '159.253.153.55', 2684197168, 2684197175, 'DK', 'Denmark'),
(79564, '159.253.153.56', '159.253.153.59', 2684197176, 2684197179, 'TR', 'Turkey'),
(79565, '159.253.153.60', '159.253.153.61', 2684197180, 2684197181, 'GB', 'United Kingdom'),
(79566, '159.253.153.62', '159.253.153.62', 2684197182, 2684197182, 'MA', 'Morocco'),
(79567, '159.253.153.63', '159.253.153.63', 2684197183, 2684197183, 'GB', 'United Kingdom'),
(79568, '159.253.153.64', '159.253.153.71', 2684197184, 2684197191, 'DK', 'Denmark'),
(79569, '159.253.153.72', '159.253.153.75', 2684197192, 2684197195, 'US', 'United States'),
(79570, '159.253.153.76', '159.253.153.76', 2684197196, 2684197196, 'IT', 'Italy'),
(79571, '159.253.153.77', '159.253.153.77', 2684197197, 2684197197, 'NL', 'Netherlands'),
(79572, '159.253.153.78', '159.253.153.78', 2684197198, 2684197198, 'US', 'United States'),
(79573, '159.253.153.79', '159.253.153.79', 2684197199, 2684197199, 'AU', 'Australia'),
(79574, '159.253.153.80', '159.253.153.87', 2684197200, 2684197207, 'SA', 'Saudi Arabia'),
(79575, '159.253.153.88', '159.253.153.111', 2684197208, 2684197231, 'US', 'United States'),
(79576, '159.253.153.112', '159.253.153.119', 2684197232, 2684197239, 'NL', 'Netherlands'),
(79577, '159.253.153.120', '159.253.153.127', 2684197240, 2684197247, 'GB', 'United Kingdom'),
(79578, '159.253.153.128', '159.253.153.131', 2684197248, 2684197251, 'SA', 'Saudi Arabia'),
(79579, '159.253.153.132', '159.253.153.143', 2684197252, 2684197263, 'US', 'United States'),
(79580, '159.253.153.144', '159.253.153.147', 2684197264, 2684197267, 'SA', 'Saudi Arabia'),
(79581, '159.253.153.148', '159.253.153.151', 2684197268, 2684197271, 'US', 'United States'),
(79582, '159.253.153.152', '159.253.153.159', 2684197272, 2684197279, 'HR', 'Croatia'),
(79583, '159.253.153.160', '159.253.153.163', 2684197280, 2684197283, 'US', 'United States'),
(79584, '159.253.153.164', '159.253.153.167', 2684197284, 2684197287, 'TR', 'Turkey'),
(79585, '159.253.153.168', '159.253.153.171', 2684197288, 2684197291, 'US', 'United States'),
(79586, '159.253.153.172', '159.253.153.175', 2684197292, 2684197295, 'HK', 'Hong Kong'),
(79587, '159.253.153.176', '159.253.153.183', 2684197296, 2684197303, 'HR', 'Croatia'),
(79588, '159.253.153.184', '159.253.153.187', 2684197304, 2684197307, 'NL', 'Netherlands'),
(79589, '159.253.153.188', '159.253.153.199', 2684197308, 2684197319, 'US', 'United States'),
(79590, '159.253.153.200', '159.253.153.207', 2684197320, 2684197327, 'SA', 'Saudi Arabia'),
(79591, '159.253.153.208', '159.253.153.215', 2684197328, 2684197335, 'BR', 'Brazil'),
(79592, '159.253.153.216', '159.253.153.216', 2684197336, 2684197336, 'PA', 'Panama'),
(79593, '159.253.153.217', '159.253.153.219', 2684197337, 2684197339, 'NL', 'Netherlands'),
(79594, '159.253.153.220', '159.253.153.223', 2684197340, 2684197343, 'US', 'United States'),
(79595, '159.253.153.224', '159.253.153.231', 2684197344, 2684197351, 'UA', 'Ukraine'),
(79596, '159.253.153.232', '159.253.153.235', 2684197352, 2684197355, 'GB', 'United Kingdom'),
(79597, '159.253.153.236', '159.253.153.236', 2684197356, 2684197356, 'TR', 'Turkey'),
(79598, '159.253.153.237', '159.253.153.237', 2684197357, 2684197357, 'NL', 'Netherlands'),
(79599, '159.253.153.238', '159.253.153.238', 2684197358, 2684197358, 'RU', 'Russian Federation'),
(79600, '159.253.153.239', '159.253.153.239', 2684197359, 2684197359, 'IN', 'India'),
(79601, '159.253.153.240', '159.253.153.248', 2684197360, 2684197368, 'TR', 'Turkey'),
(79602, '159.253.153.249', '159.253.153.249', 2684197369, 2684197369, 'US', 'United States'),
(79603, '159.253.153.250', '159.253.153.250', 2684197370, 2684197370, 'SA', 'Saudi Arabia'),
(79604, '159.253.153.251', '159.253.153.251', 2684197371, 2684197371, 'AU', 'Australia'),
(79605, '159.253.153.252', '159.253.153.253', 2684197372, 2684197373, 'MA', 'Morocco'),
(79606, '159.253.153.254', '159.253.159.255', 2684197374, 2684198911, 'NL', 'Netherlands'),
(79607, '159.253.160.0', '159.253.161.255', 2684198912, 2684199423, 'GB', 'United Kingdom'),
(79608, '159.253.162.0', '159.253.162.255', 2684199424, 2684199679, 'EU', 'Europe'),
(79609, '159.253.163.0', '159.253.167.255', 2684199680, 2684200959, 'GB', 'United Kingdom'),
(79610, '159.253.168.0', '159.253.175.255', 2684200960, 2684203007, 'RU', 'Russian Federation'),
(79611, '159.253.176.0', '159.253.183.255', 2684203008, 2684205055, 'GB', 'United Kingdom'),
(79612, '159.253.184.0', '159.253.191.255', 2684205056, 2684207103, 'IT', 'Italy'),
(79613, '159.253.192.0', '159.253.215.255', 2684207104, 2684213247, 'GB', 'United Kingdom'),
(79614, '159.253.216.0', '159.253.223.255', 2684213248, 2684215295, 'MK', 'Macedonia'),
(79615, '159.253.224.0', '159.253.231.255', 2684215296, 2684217343, 'BE', 'Belgium'),
(79616, '159.253.232.0', '159.253.239.255', 2684217344, 2684219391, 'CZ', 'Czech Republic'),
(79617, '159.253.240.0', '159.253.247.255', 2684219392, 2684221439, 'PL', 'Poland'),
(79618, '159.253.248.0', '159.253.255.255', 2684221440, 2684223487, 'IL', 'Israel'),
(79619, '159.254.0.0', '159.254.255.255', 2684223488, 2684289023, 'GB', 'United Kingdom'),
(79620, '159.255.0.0', '159.255.31.255', 2684289024, 2684297215, 'RU', 'Russian Federation'),
(79621, '159.255.32.0', '159.255.39.255', 2684297216, 2684299263, 'IR', 'Iran, Islamic Republic of'),
(79622, '159.255.40.0', '159.255.47.255', 2684299264, 2684301311, 'CY', 'Cyprus'),
(79623, '159.255.48.0', '159.255.63.255', 2684301312, 2684305407, 'PT', 'Portugal'),
(79624, '159.255.64.0', '159.255.127.255', 2684305408, 2684321791, 'RU', 'Russian Federation'),
(79625, '159.255.128.0', '159.255.159.255', 2684321792, 2684329983, 'IT', 'Italy'),
(79626, '159.255.160.0', '159.255.167.255', 2684329984, 2684332031, 'IQ', 'Iraq'),
(79627, '159.255.168.0', '159.255.175.255', 2684332032, 2684334079, 'DE', 'Germany'),
(79628, '159.255.176.0', '159.255.191.255', 2684334080, 2684338175, 'PL', 'Poland'),
(79629, '159.255.192.0', '159.255.192.127', 2684338176, 2684338303, 'NL', 'Netherlands'),
(79630, '159.255.192.128', '159.255.192.191', 2684338304, 2684338367, 'ES', 'Spain'),
(79631, '159.255.192.192', '159.255.193.255', 2684338368, 2684338687, 'NL', 'Netherlands'),
(79632, '159.255.194.0', '159.255.195.159', 2684338688, 2684339103, 'ES', 'Spain'),
(79633, '159.255.195.160', '159.255.195.255', 2684339104, 2684339199, 'NL', 'Netherlands'),
(79634, '159.255.196.0', '159.255.199.255', 2684339200, 2684340223, 'ES', 'Spain'),
(79635, '159.255.200.0', '159.255.215.255', 2684340224, 2684344319, 'GB', 'United Kingdom'),
(79636, '159.255.216.0', '159.255.219.255', 2684344320, 2684345343, 'NL', 'Netherlands'),
(79637, '159.255.220.0', '159.255.220.127', 2684345344, 2684345471, 'US', 'United States'),
(79638, '159.255.220.128', '159.255.220.255', 2684345472, 2684345599, 'NL', 'Netherlands'),
(79639, '159.255.221.0', '159.255.221.255', 2684345600, 2684345855, 'US', 'United States'),
(79640, '159.255.222.0', '159.255.223.255', 2684345856, 2684346367, 'NL', 'Netherlands'),
(79641, '159.255.224.0', '159.255.255.255', 2684346368, 2684354559, 'FI', 'Finland'),
(79642, '160.0.0.0', '160.3.255.255', 2684354560, 2684616703, 'US', 'United States'),
(79643, '160.4.0.0', '160.4.255.255', 2684616704, 2684682239, 'NZ', 'New Zealand'),
(79644, '160.5.0.0', '160.5.255.255', 2684682240, 2684747775, 'GB', 'United Kingdom'),
(79645, '160.6.0.0', '160.6.255.255', 2684747776, 2684813311, 'IE', 'Ireland'),
(79646, '160.7.0.0', '160.7.255.255', 2684813312, 2684878847, 'US', 'United States'),
(79647, '160.8.0.0', '160.8.255.255', 2684878848, 2684944383, 'SE', 'Sweden'),
(79648, '160.9.0.0', '160.9.255.255', 2684944384, 2685009919, 'GB', 'United Kingdom'),
(79649, '160.10.0.0', '160.10.255.255', 2685009920, 2685075455, 'US', 'United States'),
(79650, '160.11.0.0', '160.30.255.255', 2685075456, 2686386175, 'JP', 'Japan'),
(79651, '160.31.0.0', '160.37.255.255', 2686386176, 2686844927, 'US', 'United States'),
(79652, '160.38.0.0', '160.38.255.255', 2686844928, 2686910463, 'GB', 'United Kingdom'),
(79653, '160.39.0.0', '160.39.255.255', 2686910464, 2686975999, 'US', 'United States'),
(79654, '160.40.0.0', '160.40.255.255', 2686976000, 2687041535, 'GR', 'Greece'),
(79655, '160.41.0.0', '160.43.255.255', 2687041536, 2687238143, 'US', 'United States'),
(79656, '160.44.0.0', '160.44.230.207', 2687238144, 2687297231, 'DE', 'Germany'),
(79657, '160.44.230.208', '160.44.230.215', 2687297232, 2687297239, 'GB', 'United Kingdom'),
(79658, '160.44.230.216', '160.44.230.223', 2687297240, 2687297247, 'SE', 'Sweden'),
(79659, '160.44.230.224', '160.44.233.32', 2687297248, 2687297824, 'DE', 'Germany'),
(79660, '160.44.233.33', '160.44.233.36', 2687297825, 2687297828, 'FR', 'France'),
(79661, '160.44.233.37', '160.44.233.40', 2687297829, 2687297832, 'DE', 'Germany'),
(79662, '160.44.233.41', '160.44.233.44', 2687297833, 2687297836, 'CH', 'Switzerland'),
(79663, '160.44.233.45', '160.44.238.47', 2687297837, 2687299119, 'DE', 'Germany'),
(79664, '160.44.238.48', '160.44.238.55', 2687299120, 2687299127, 'US', 'United States'),
(79665, '160.44.238.56', '160.44.238.63', 2687299128, 2687299135, 'CN', 'China'),
(79666, '160.44.238.64', '160.51.255.255', 2687299136, 2687762431, 'DE', 'Germany'),
(79667, '160.52.0.0', '160.52.255.255', 2687762432, 2687827967, 'AT', 'Austria'),
(79668, '160.53.0.0', '160.53.255.255', 2687827968, 2687893503, 'CH', 'Switzerland'),
(79669, '160.54.0.0', '160.58.255.255', 2687893504, 2688221183, 'DE', 'Germany'),
(79670, '160.59.0.0', '160.59.255.255', 2688221184, 2688286719, 'CH', 'Switzerland'),
(79671, '160.60.0.0', '160.60.255.255', 2688286720, 2688352255, 'DE', 'Germany'),
(79672, '160.61.0.0', '160.62.4.9', 2688352256, 2688418825, 'CH', 'Switzerland'),
(79673, '160.62.4.10', '160.62.4.10', 2688418826, 2688418826, 'EU', 'Europe'),
(79674, '160.62.4.11', '160.62.9.255', 2688418827, 2688420351, 'CH', 'Switzerland'),
(79675, '160.62.10.0', '160.62.10.255', 2688420352, 2688420607, 'CN', 'China'),
(79676, '160.62.11.0', '160.62.11.255', 2688420608, 2688420863, 'CH', 'Switzerland'),
(79677, '160.62.12.0', '160.62.12.255', 2688420864, 2688421119, 'SG', 'Singapore'),
(79678, '160.62.13.0', '160.62.13.255', 2688421120, 2688421375, 'AP', 'Asia/Pacific Region');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(79679, '160.62.14.0', '160.62.15.255', 2688421376, 2688421887, 'US', 'United States'),
(79680, '160.62.16.0', '160.63.255.255', 2688421888, 2688548863, 'CH', 'Switzerland'),
(79681, '160.64.0.0', '160.64.255.255', 2688548864, 2688614399, 'AU', 'Australia'),
(79682, '160.65.0.0', '160.65.255.255', 2688614400, 2688679935, 'US', 'United States'),
(79683, '160.66.0.0', '160.66.255.255', 2688679936, 2688745471, 'IT', 'Italy'),
(79684, '160.67.0.0', '160.68.255.255', 2688745472, 2688876543, 'NO', 'Norway'),
(79685, '160.69.0.0', '160.69.255.255', 2688876544, 2688942079, 'US', 'United States'),
(79686, '160.70.0.0', '160.70.255.255', 2688942080, 2689007615, 'DE', 'Germany'),
(79687, '160.71.0.0', '160.71.255.255', 2689007616, 2689073151, 'FI', 'Finland'),
(79688, '160.72.0.0', '160.72.255.255', 2689073152, 2689138687, 'CA', 'Canada'),
(79689, '160.73.0.0', '160.73.255.255', 2689138688, 2689204223, 'US', 'United States'),
(79690, '160.74.0.0', '160.74.255.255', 2689204224, 2689269759, 'JP', 'Japan'),
(79691, '160.75.0.0', '160.75.255.255', 2689269760, 2689335295, 'TR', 'Turkey'),
(79692, '160.76.0.0', '160.76.255.255', 2689335296, 2689400831, 'US', 'United States'),
(79693, '160.78.0.0', '160.78.255.255', 2689466368, 2689531903, 'IT', 'Italy'),
(79694, '160.79.0.0', '160.79.15.255', 2689531904, 2689535999, 'US', 'United States'),
(79695, '160.79.16.0', '160.79.17.255', 2689536000, 2689536511, 'GB', 'United Kingdom'),
(79696, '160.79.18.0', '160.79.37.255', 2689536512, 2689541631, 'US', 'United States'),
(79697, '160.79.38.0', '160.79.38.255', 2689541632, 2689541887, 'GB', 'United Kingdom'),
(79698, '160.79.39.0', '160.79.53.255', 2689541888, 2689545727, 'US', 'United States'),
(79699, '160.79.54.0', '160.79.55.255', 2689545728, 2689546239, 'GB', 'United Kingdom'),
(79700, '160.79.56.0', '160.79.108.255', 2689546240, 2689559807, 'US', 'United States'),
(79701, '160.79.109.0', '160.79.109.255', 2689559808, 2689560063, 'GB', 'United Kingdom'),
(79702, '160.79.110.0', '160.79.133.255', 2689560064, 2689566207, 'US', 'United States'),
(79703, '160.79.134.0', '160.79.135.255', 2689566208, 2689566719, 'GB', 'United Kingdom'),
(79704, '160.79.136.0', '160.79.141.255', 2689566720, 2689568255, 'US', 'United States'),
(79705, '160.79.142.0', '160.79.143.255', 2689568256, 2689568767, 'GB', 'United Kingdom'),
(79706, '160.79.144.0', '160.79.194.255', 2689568768, 2689581823, 'US', 'United States'),
(79707, '160.79.195.0', '160.79.195.255', 2689581824, 2689582079, 'GB', 'United Kingdom'),
(79708, '160.79.196.0', '160.79.213.255', 2689582080, 2689586687, 'US', 'United States'),
(79709, '160.79.214.0', '160.79.215.255', 2689586688, 2689587199, 'GB', 'United Kingdom'),
(79710, '160.79.216.0', '160.79.239.255', 2689587200, 2689593343, 'US', 'United States'),
(79711, '160.79.240.0', '160.79.241.255', 2689593344, 2689593855, 'GB', 'United Kingdom'),
(79712, '160.79.242.0', '160.79.242.255', 2689593856, 2689594111, 'US', 'United States'),
(79713, '160.79.243.0', '160.79.245.255', 2689594112, 2689594879, 'GB', 'United Kingdom'),
(79714, '160.79.246.0', '160.79.255.255', 2689594880, 2689597439, 'US', 'United States'),
(79715, '160.80.0.0', '160.80.255.255', 2689597440, 2689662975, 'IT', 'Italy'),
(79716, '160.81.0.0', '160.82.255.255', 2689662976, 2689794047, 'US', 'United States'),
(79717, '160.83.0.0', '160.83.31.255', 2689794048, 2689802239, 'DE', 'Germany'),
(79718, '160.83.32.0', '160.83.63.255', 2689802240, 2689810431, 'GB', 'United Kingdom'),
(79719, '160.83.64.0', '160.83.95.255', 2689810432, 2689818623, 'US', 'United States'),
(79720, '160.83.96.0', '160.83.97.255', 2689818624, 2689819135, 'IN', 'India'),
(79721, '160.83.98.0', '160.83.127.255', 2689819136, 2689826815, 'US', 'United States'),
(79722, '160.83.128.0', '160.83.159.255', 2689826816, 2689835007, 'JP', 'Japan'),
(79723, '160.83.160.0', '160.83.191.255', 2689835008, 2689843199, 'AU', 'Australia'),
(79724, '160.83.192.0', '160.84.255.255', 2689843200, 2689925119, 'US', 'United States'),
(79725, '160.85.0.0', '160.85.255.255', 2689925120, 2689990655, 'CH', 'Switzerland'),
(79726, '160.86.0.0', '160.91.255.255', 2689990656, 2690383871, 'US', 'United States'),
(79727, '160.92.0.0', '160.92.255.255', 2690383872, 2690449407, 'FR', 'France'),
(79728, '160.93.0.0', '160.95.255.255', 2690449408, 2690646015, 'US', 'United States'),
(79729, '160.96.0.0', '160.96.255.255', 2690646016, 2690711551, 'SG', 'Singapore'),
(79730, '160.97.0.0', '160.97.255.255', 2690711552, 2690777087, 'IT', 'Italy'),
(79731, '160.98.0.0', '160.98.255.255', 2690777088, 2690842623, 'CH', 'Switzerland'),
(79732, '160.99.0.0', '160.99.255.255', 2690842624, 2690908159, 'RS', 'Serbia'),
(79733, '160.100.0.0', '160.100.255.255', 2690908160, 2690973695, 'GB', 'United Kingdom'),
(79734, '160.101.0.0', '160.102.255.255', 2690973696, 2691104767, 'US', 'United States'),
(79735, '160.103.0.0', '160.103.255.255', 2691104768, 2691170303, 'FR', 'France'),
(79736, '160.104.0.0', '160.104.255.255', 2691170304, 2691235839, 'GB', 'United Kingdom'),
(79737, '160.106.0.0', '160.106.255.255', 2691301376, 2691366911, 'CA', 'Canada'),
(79738, '160.107.0.0', '160.112.255.255', 2691366912, 2691760127, 'US', 'United States'),
(79739, '160.114.0.0', '160.114.255.255', 2691825664, 2691891199, 'HU', 'Hungary'),
(79740, '160.115.0.0', '160.124.255.255', 2691891200, 2692546559, 'ZA', 'South Africa'),
(79741, '160.125.0.0', '160.159.255.255', 2692546560, 2694840319, 'US', 'United States'),
(79742, '160.180.0.0', '160.180.255.255', 2696151040, 2696216575, 'IT', 'Italy'),
(79743, '160.184.0.0', '160.204.255.255', 2696413184, 2697789439, 'JP', 'Japan'),
(79744, '160.205.0.0', '160.205.255.255', 2697789440, 2697854975, 'US', 'United States'),
(79745, '160.206.0.0', '160.206.255.255', 2697854976, 2697920511, 'AU', 'Australia'),
(79746, '160.207.0.0', '160.209.255.255', 2697920512, 2698117119, 'US', 'United States'),
(79747, '160.210.0.0', '160.210.255.255', 2698117120, 2698182655, 'IS', 'Iceland'),
(79748, '160.211.0.0', '160.211.255.255', 2698182656, 2698248191, 'DE', 'Germany'),
(79749, '160.212.0.0', '160.212.255.255', 2698248192, 2698313727, 'US', 'United States'),
(79750, '160.213.0.0', '160.213.111.255', 2698313728, 2698342399, 'GB', 'United Kingdom'),
(79751, '160.213.112.0', '160.213.127.255', 2698342400, 2698346495, 'DE', 'Germany'),
(79752, '160.213.128.0', '160.213.239.255', 2698346496, 2698375167, 'GB', 'United Kingdom'),
(79753, '160.213.240.0', '160.213.255.255', 2698375168, 2698379263, 'DE', 'Germany'),
(79754, '160.214.0.0', '160.214.255.255', 2698379264, 2698444799, 'ES', 'Spain'),
(79755, '160.215.0.0', '160.215.255.255', 2698444800, 2698510335, 'JP', 'Japan'),
(79756, '160.216.0.0', '160.218.255.255', 2698510336, 2698706943, 'CZ', 'Czech Republic'),
(79757, '160.219.0.0', '160.219.255.255', 2698706944, 2698772479, 'CH', 'Switzerland'),
(79758, '160.220.0.0', '160.220.255.255', 2698772480, 2698838015, 'IT', 'Italy'),
(79759, '160.221.0.0', '160.221.255.255', 2698838016, 2698903551, 'BE', 'Belgium'),
(79760, '160.222.0.0', '160.222.255.255', 2698903552, 2698969087, 'AU', 'Australia'),
(79761, '160.223.0.0', '160.223.255.255', 2698969088, 2699034623, 'CA', 'Canada'),
(79762, '160.227.0.0', '160.227.255.255', 2699231232, 2699296767, 'US', 'United States'),
(79763, '160.228.0.0', '160.228.255.255', 2699296768, 2699362303, 'FR', 'France'),
(79764, '160.229.0.0', '160.232.255.255', 2699362304, 2699624447, 'US', 'United States'),
(79765, '160.233.0.0', '160.233.255.255', 2699624448, 2699689983, 'JP', 'Japan'),
(79766, '160.235.0.0', '160.252.255.255', 2699755520, 2700935167, 'JP', 'Japan'),
(79767, '160.253.0.0', '160.254.255.255', 2700935168, 2701066239, 'US', 'United States'),
(79768, '161.1.0.0', '161.1.255.255', 2701197312, 2701262847, 'US', 'United States'),
(79769, '161.2.0.0', '161.2.255.255', 2701262848, 2701328383, 'GB', 'United Kingdom'),
(79770, '161.3.0.0', '161.3.255.255', 2701328384, 2701393919, 'FR', 'France'),
(79771, '161.4.0.0', '161.4.255.255', 2701393920, 2701459455, 'NO', 'Norway'),
(79772, '161.5.0.0', '161.5.255.255', 2701459456, 2701524991, 'AT', 'Austria'),
(79773, '161.6.0.0', '161.7.255.255', 2701524992, 2701656063, 'US', 'United States'),
(79774, '161.8.0.0', '161.8.255.255', 2701656064, 2701721599, 'RU', 'Russian Federation'),
(79775, '161.9.0.0', '161.9.255.255', 2701721600, 2701787135, 'TR', 'Turkey'),
(79776, '161.11.0.0', '161.11.255.255', 2701852672, 2701918207, 'US', 'United States'),
(79777, '161.12.0.0', '161.12.255.255', 2701918208, 2701983743, 'GB', 'United Kingdom'),
(79778, '161.13.0.0', '161.16.255.255', 2701983744, 2702245887, 'US', 'United States'),
(79779, '161.17.0.0', '161.17.255.255', 2702245888, 2702311423, 'GB', 'United Kingdom'),
(79780, '161.19.0.0', '161.19.255.255', 2702376960, 2702442495, 'CA', 'Canada'),
(79781, '161.20.0.0', '161.20.255.255', 2702442496, 2702508031, 'CH', 'Switzerland'),
(79782, '161.21.0.0', '161.21.255.255', 2702508032, 2702573567, 'US', 'United States'),
(79783, '161.23.0.0', '161.23.255.255', 2702639104, 2702704639, 'GB', 'United Kingdom'),
(79784, '161.24.0.0', '161.24.255.255', 2702704640, 2702770175, 'BR', 'Brazil'),
(79785, '161.25.0.0', '161.25.255.255', 2702770176, 2702835711, 'CL', 'Chile'),
(79786, '161.26.0.0', '161.26.255.255', 2702835712, 2702901247, 'US', 'United States'),
(79787, '161.27.0.0', '161.27.255.255', 2702901248, 2702966783, 'IT', 'Italy'),
(79788, '161.28.0.0', '161.28.255.255', 2702966784, 2703032319, 'US', 'United States'),
(79789, '161.29.0.0', '161.29.255.255', 2703032320, 2703097855, 'NZ', 'New Zealand'),
(79790, '161.30.0.0', '161.30.255.255', 2703097856, 2703163391, 'GB', 'United Kingdom'),
(79791, '161.31.0.0', '161.36.255.255', 2703163392, 2703556607, 'US', 'United States'),
(79792, '161.37.0.0', '161.37.255.255', 2703556608, 2703622143, 'ES', 'Spain'),
(79793, '161.38.0.0', '161.40.255.255', 2703622144, 2703818751, 'US', 'United States'),
(79794, '161.41.0.0', '161.41.255.255', 2703818752, 2703884287, 'FI', 'Finland'),
(79795, '161.42.0.0', '161.42.255.255', 2703884288, 2703949823, 'DE', 'Germany'),
(79796, '161.43.0.0', '161.43.255.255', 2703949824, 2704015359, 'AU', 'Australia'),
(79797, '161.44.0.0', '161.47.255.255', 2704015360, 2704277503, 'US', 'United States'),
(79798, '161.48.0.0', '161.48.255.255', 2704277504, 2704343039, 'FR', 'France'),
(79799, '161.49.0.0', '161.49.255.255', 2704343040, 2704408575, 'US', 'United States'),
(79800, '161.50.0.0', '161.50.255.255', 2704408576, 2704474111, 'AU', 'Australia'),
(79801, '161.51.0.0', '161.51.42.255', 2704474112, 2704485119, 'US', 'United States'),
(79802, '161.51.43.0', '161.51.43.255', 2704485120, 2704485375, 'AU', 'Australia'),
(79803, '161.51.44.0', '161.51.255.255', 2704485376, 2704539647, 'US', 'United States'),
(79804, '161.52.0.0', '161.52.255.255', 2704539648, 2704605183, 'SE', 'Sweden'),
(79805, '161.53.0.0', '161.53.255.255', 2704605184, 2704670719, 'HR', 'Croatia'),
(79806, '161.54.0.0', '161.54.255.255', 2704670720, 2704736255, 'SE', 'Sweden'),
(79807, '161.55.0.0', '161.55.255.255', 2704736256, 2704801791, 'US', 'United States'),
(79808, '161.57.0.0', '161.58.255.255', 2704867328, 2704998399, 'US', 'United States'),
(79809, '161.59.0.0', '161.59.255.255', 2704998400, 2705063935, 'BE', 'Belgium'),
(79810, '161.60.0.0', '161.61.255.255', 2705063936, 2705195007, 'US', 'United States'),
(79811, '161.62.0.0', '161.62.255.255', 2705195008, 2705260543, 'CH', 'Switzerland'),
(79812, '161.63.0.0', '161.63.255.255', 2705260544, 2705326079, 'US', 'United States'),
(79813, '161.64.0.0', '161.64.255.255', 2705326080, 2705391615, 'MO', 'Macau'),
(79814, '161.65.0.0', '161.66.255.255', 2705391616, 2705522687, 'NZ', 'New Zealand'),
(79815, '161.67.0.0', '161.67.255.255', 2705522688, 2705588223, 'ES', 'Spain'),
(79816, '161.68.0.0', '161.68.30.255', 2705588224, 2705596159, 'US', 'United States'),
(79817, '161.68.31.0', '161.68.31.255', 2705596160, 2705596415, 'CA', 'Canada'),
(79818, '161.68.32.0', '161.70.255.255', 2705596416, 2705784831, 'US', 'United States'),
(79819, '161.71.0.0', '161.71.255.255', 2705784832, 2705850367, 'GB', 'United Kingdom'),
(79820, '161.72.0.0', '161.72.255.255', 2705850368, 2705915903, 'ES', 'Spain'),
(79821, '161.73.0.0', '161.74.255.255', 2705915904, 2706046975, 'GB', 'United Kingdom'),
(79822, '161.75.0.0', '161.75.255.255', 2706046976, 2706112511, 'JP', 'Japan'),
(79823, '161.76.0.0', '161.76.255.255', 2706112512, 2706178047, 'GB', 'United Kingdom'),
(79824, '161.77.0.0', '161.77.255.255', 2706178048, 2706243583, 'US', 'United States'),
(79825, '161.78.0.0', '161.78.255.255', 2706243584, 2706309119, 'CH', 'Switzerland'),
(79826, '161.79.0.0', '161.79.255.255', 2706309120, 2706374655, 'BR', 'Brazil'),
(79827, '161.80.0.0', '161.82.255.255', 2706374656, 2706571263, 'US', 'United States'),
(79828, '161.83.0.0', '161.84.223.255', 2706571264, 2706694143, 'NL', 'Netherlands'),
(79829, '161.84.224.0', '161.84.255.255', 2706694144, 2706702335, 'US', 'United States'),
(79830, '161.85.0.0', '161.88.239.255', 2706702336, 2706960383, 'NL', 'Netherlands'),
(79831, '161.88.240.0', '161.88.255.255', 2706960384, 2706964479, 'US', 'United States'),
(79832, '161.89.0.0', '161.92.255.255', 2706964480, 2707226623, 'NL', 'Netherlands'),
(79833, '161.93.0.0', '161.96.255.255', 2707226624, 2707488767, 'JP', 'Japan'),
(79834, '161.97.0.0', '161.98.255.255', 2707488768, 2707619839, 'US', 'United States'),
(79835, '161.99.0.0', '161.103.255.255', 2707619840, 2707947519, 'GB', 'United Kingdom'),
(79836, '161.104.0.0', '161.106.255.255', 2707947520, 2708144127, 'FR', 'France'),
(79837, '161.107.0.0', '161.109.255.255', 2708144128, 2708340735, 'US', 'United States'),
(79838, '161.110.0.0', '161.110.255.255', 2708340736, 2708406271, 'AT', 'Austria'),
(79839, '161.111.0.0', '161.111.255.255', 2708406272, 2708471807, 'ES', 'Spain'),
(79840, '161.112.0.0', '161.112.255.255', 2708471808, 2708537343, 'GB', 'United Kingdom'),
(79841, '161.113.0.0', '161.114.125.255', 2708537344, 2708635135, 'US', 'United States'),
(79842, '161.114.126.0', '161.114.126.255', 2708635136, 2708635391, 'EU', 'Europe'),
(79843, '161.114.127.0', '161.114.227.255', 2708635392, 2708661247, 'US', 'United States'),
(79844, '161.114.228.0', '161.114.228.255', 2708661248, 2708661503, 'AU', 'Australia'),
(79845, '161.114.229.0', '161.115.255.255', 2708661504, 2708733951, 'US', 'United States'),
(79846, '161.116.0.0', '161.116.255.255', 2708733952, 2708799487, 'ES', 'Spain'),
(79847, '161.117.0.0', '161.117.255.255', 2708799488, 2708865023, 'AU', 'Australia'),
(79848, '161.118.0.0', '161.118.255.255', 2708865024, 2708930559, 'JP', 'Japan'),
(79849, '161.119.0.0', '161.121.255.255', 2708930560, 2709127167, 'US', 'United States'),
(79850, '161.122.0.0', '161.122.255.255', 2709127168, 2709192703, 'KR', 'Korea, Republic of'),
(79851, '161.123.0.0', '161.123.255.255', 2709192704, 2709258239, 'EU', 'Europe'),
(79852, '161.124.0.0', '161.125.255.255', 2709258240, 2709389311, 'US', 'United States'),
(79853, '161.126.0.0', '161.126.255.255', 2709389312, 2709454847, 'SG', 'Singapore'),
(79854, '161.127.0.0', '161.130.255.255', 2709454848, 2709716991, 'US', 'United States'),
(79855, '161.131.0.0', '161.131.255.255', 2709716992, 2709782527, 'CL', 'Chile'),
(79856, '161.132.0.0', '161.132.255.255', 2709782528, 2709848063, 'PE', 'Peru'),
(79857, '161.133.0.0', '161.137.255.255', 2709848064, 2710175743, 'US', 'United States'),
(79858, '161.139.0.0', '161.139.255.255', 2710241280, 2710306815, 'MY', 'Malaysia'),
(79859, '161.141.0.0', '161.141.255.255', 2710372352, 2710437887, 'CA', 'Canada'),
(79860, '161.142.0.0', '161.142.255.255', 2710437888, 2710503423, 'MY', 'Malaysia'),
(79861, '161.143.0.0', '161.143.255.255', 2710503424, 2710568959, 'AU', 'Australia'),
(79862, '161.144.0.0', '161.145.255.255', 2710568960, 2710700031, 'US', 'United States'),
(79863, '161.146.0.0', '161.146.255.255', 2710700032, 2710765567, 'AU', 'Australia'),
(79864, '161.147.0.0', '161.147.255.255', 2710765568, 2710831103, 'IT', 'Italy'),
(79865, '161.148.0.0', '161.148.255.255', 2710831104, 2710896639, 'BR', 'Brazil'),
(79866, '161.149.0.0', '161.151.255.255', 2710896640, 2711093247, 'US', 'United States'),
(79867, '161.152.0.0', '161.152.255.255', 2711093248, 2711158783, 'AU', 'Australia'),
(79868, '161.153.0.0', '161.157.255.255', 2711158784, 2711486463, 'US', 'United States'),
(79869, '161.158.0.0', '161.158.255.255', 2711486464, 2711551999, 'NL', 'Netherlands'),
(79870, '161.159.0.0', '161.162.64.255', 2711552000, 2711765247, 'US', 'United States'),
(79871, '161.162.65.0', '161.162.65.255', 2711765248, 2711765503, 'EU', 'Europe'),
(79872, '161.162.66.0', '161.183.255.255', 2711765504, 2713190399, 'US', 'United States'),
(79873, '161.184.0.0', '161.184.255.255', 2713190400, 2713255935, 'CA', 'Canada'),
(79874, '161.185.0.0', '161.186.255.255', 2713255936, 2713387007, 'US', 'United States'),
(79875, '161.187.0.0', '161.187.255.255', 2713387008, 2713452543, 'CA', 'Canada'),
(79876, '161.188.0.0', '161.189.255.255', 2713452544, 2713583615, 'US', 'United States'),
(79877, '161.190.0.0', '161.190.255.255', 2713583616, 2713649151, 'AR', 'Argentina'),
(79878, '161.191.0.0', '161.195.255.255', 2713649152, 2713976831, 'US', 'United States'),
(79879, '161.196.0.0', '161.196.255.255', 2713976832, 2714042367, 'VE', 'Venezuela'),
(79880, '161.197.0.0', '161.199.255.255', 2714042368, 2714238975, 'US', 'United States'),
(79881, '161.200.0.0', '161.200.255.255', 2714238976, 2714304511, 'TH', 'Thailand'),
(79882, '161.201.0.0', '161.201.255.255', 2714304512, 2714370047, 'US', 'United States'),
(79883, '161.202.0.0', '161.202.255.255', 2714370048, 2714435583, 'CH', 'Switzerland'),
(79884, '161.203.0.0', '161.206.255.255', 2714435584, 2714697727, 'US', 'United States'),
(79885, '161.207.0.0', '161.207.255.255', 2714697728, 2714763263, 'CN', 'China'),
(79886, '161.208.0.0', '161.215.255.255', 2714763264, 2715287551, 'US', 'United States'),
(79887, '161.216.0.0', '161.216.255.255', 2715287552, 2715353087, 'CA', 'Canada'),
(79888, '161.217.0.0', '161.228.255.255', 2715353088, 2716139519, 'US', 'United States'),
(79889, '161.229.0.0', '161.229.255.255', 2716139520, 2716205055, 'SG', 'Singapore'),
(79890, '161.230.0.0', '161.237.255.255', 2716205056, 2716729343, 'US', 'United States'),
(79891, '161.238.0.0', '161.238.255.255', 2716729344, 2716794879, 'CL', 'Chile'),
(79892, '161.239.0.0', '161.245.255.255', 2716794880, 2717253631, 'US', 'United States'),
(79893, '161.246.0.0', '161.246.255.255', 2717253632, 2717319167, 'TH', 'Thailand'),
(79894, '161.247.0.0', '161.247.255.255', 2717319168, 2717384703, 'US', 'United States'),
(79895, '161.248.0.0', '161.248.255.255', 2717384704, 2717450239, 'JP', 'Japan'),
(79896, '161.249.0.0', '161.251.255.255', 2717450240, 2717646847, 'US', 'United States'),
(79897, '161.252.0.0', '161.252.255.255', 2717646848, 2717712383, 'KW', 'Kuwait'),
(79898, '161.253.0.0', '161.254.255.255', 2717712384, 2717843455, 'US', 'United States'),
(79899, '162.0.0.0', '162.10.255.255', 2717908992, 2718629887, 'US', 'United States'),
(79900, '162.11.0.0', '162.11.255.255', 2718629888, 2718695423, 'GB', 'United Kingdom'),
(79901, '162.12.0.0', '162.12.255.255', 2718695424, 2718760959, 'US', 'United States'),
(79902, '162.13.0.0', '162.13.255.255', 2718760960, 2718826495, 'GB', 'United Kingdom'),
(79903, '162.14.0.0', '162.16.255.255', 2718826496, 2719023103, 'US', 'United States'),
(79904, '162.18.0.0', '162.18.142.255', 2719088640, 2719125247, 'US', 'United States'),
(79905, '162.18.143.0', '162.18.143.255', 2719125248, 2719125503, 'EU', 'Europe'),
(79906, '162.18.144.0', '162.20.255.255', 2719125504, 2719285247, 'US', 'United States'),
(79907, '162.21.0.0', '162.21.255.255', 2719285248, 2719350783, 'CH', 'Switzerland'),
(79908, '162.22.0.0', '162.22.255.255', 2719350784, 2719416319, 'US', 'United States'),
(79909, '162.23.0.0', '162.23.255.255', 2719416320, 2719481855, 'CH', 'Switzerland'),
(79910, '162.24.0.0', '162.24.255.255', 2719481856, 2719547391, 'US', 'United States'),
(79911, '162.25.0.0', '162.25.255.255', 2719547392, 2719612927, 'AT', 'Austria'),
(79912, '162.26.0.0', '162.26.255.255', 2719612928, 2719678463, 'CH', 'Switzerland'),
(79913, '162.27.0.0', '162.37.255.255', 2719678464, 2720399359, 'US', 'United States'),
(79914, '162.38.0.0', '162.38.255.255', 2720399360, 2720464895, 'FR', 'France'),
(79915, '162.39.0.0', '162.52.255.255', 2720464896, 2721382399, 'US', 'United States'),
(79916, '162.53.0.0', '162.53.255.255', 2721382400, 2721447935, 'CA', 'Canada'),
(79917, '162.54.0.0', '162.71.255.255', 2721447936, 2722627583, 'US', 'United States'),
(79918, '162.73.0.0', '162.73.255.255', 2722693120, 2722758655, 'CA', 'Canada'),
(79919, '162.74.0.0', '162.84.255.255', 2722758656, 2723479551, 'US', 'United States'),
(79920, '162.85.0.0', '162.85.255.255', 2723479552, 2723545087, 'CA', 'Canada'),
(79921, '162.86.0.0', '162.86.255.255', 2723545088, 2723610623, 'CH', 'Switzerland'),
(79922, '162.87.0.0', '162.90.98.255', 2723610624, 2723832575, 'US', 'United States'),
(79923, '162.90.99.0', '162.90.99.255', 2723832576, 2723832831, 'GB', 'United Kingdom'),
(79924, '162.90.100.0', '162.103.255.255', 2723832832, 2724724735, 'US', 'United States'),
(79925, '162.105.0.0', '162.105.255.255', 2724790272, 2724855807, 'CN', 'China'),
(79926, '162.106.0.0', '162.106.255.255', 2724855808, 2724921343, 'CA', 'Canada'),
(79927, '162.107.0.0', '162.111.255.255', 2724921344, 2725249023, 'US', 'United States'),
(79928, '162.112.0.0', '162.112.255.255', 2725249024, 2725314559, 'NZ', 'New Zealand'),
(79929, '162.113.0.0', '162.116.125.255', 2725314560, 2725543423, 'US', 'United States'),
(79930, '162.116.126.0', '162.116.126.255', 2725543424, 2725543679, 'EU', 'Europe'),
(79931, '162.116.127.0', '162.121.255.255', 2725543680, 2725904383, 'US', 'United States'),
(79932, '162.122.0.0', '162.122.255.255', 2725904384, 2725969919, 'VE', 'Venezuela'),
(79933, '162.123.0.0', '162.138.255.255', 2725969920, 2727018495, 'US', 'United States'),
(79934, '162.139.0.0', '162.139.255.255', 2727018496, 2727084031, 'CA', 'Canada'),
(79935, '162.140.0.0', '162.143.255.255', 2727084032, 2727346175, 'US', 'United States'),
(79936, '162.144.0.0', '162.147.255.255', 2727346176, 2727608319, 'AU', 'Australia'),
(79937, '162.148.0.0', '162.151.255.255', 2727608320, 2727870463, 'US', 'United States'),
(79938, '162.160.0.0', '162.191.255.255', 2728394752, 2730491903, 'US', 'United States'),
(79939, '163.0.0.0', '163.0.255.255', 2734686208, 2734751743, 'CN', 'China'),
(79940, '163.1.0.0', '163.1.255.255', 2734751744, 2734817279, 'GB', 'United Kingdom'),
(79941, '163.2.0.0', '163.2.255.255', 2734817280, 2734882815, 'US', 'United States'),
(79942, '163.3.0.0', '163.3.255.255', 2734882816, 2734948351, 'SE', 'Sweden'),
(79943, '163.4.0.0', '163.4.255.255', 2734948352, 2735013887, 'US', 'United States'),
(79944, '163.5.0.0', '163.5.255.255', 2735013888, 2735079423, 'FR', 'France'),
(79945, '163.6.0.0', '163.6.255.255', 2735079424, 2735144959, 'US', 'United States'),
(79946, '163.7.0.0', '163.7.255.255', 2735144960, 2735210495, 'NZ', 'New Zealand'),
(79947, '163.8.0.0', '163.8.255.255', 2735210496, 2735276031, 'AU', 'Australia'),
(79948, '163.9.0.0', '163.9.255.255', 2735276032, 2735341567, 'FR', 'France'),
(79949, '163.10.0.0', '163.10.255.255', 2735341568, 2735407103, 'AR', 'Argentina'),
(79950, '163.11.0.0', '163.12.255.255', 2735407104, 2735538175, 'US', 'United States'),
(79951, '163.13.0.0', '163.32.255.255', 2735538176, 2736848895, 'TW', 'Taiwan'),
(79952, '163.33.0.0', '163.33.255.255', 2736848896, 2736914431, 'US', 'United States'),
(79953, '163.34.0.0', '163.34.255.255', 2736914432, 2736979967, 'NO', 'Norway'),
(79954, '163.35.0.0', '163.41.255.255', 2736979968, 2737438719, 'US', 'United States'),
(79955, '163.42.0.0', '163.61.255.255', 2737438720, 2738749439, 'JP', 'Japan'),
(79956, '163.62.0.0', '163.116.255.255', 2738749440, 2742353919, 'FR', 'France'),
(79957, '163.117.0.0', '163.117.255.255', 2742353920, 2742419455, 'ES', 'Spain'),
(79958, '163.118.0.0', '163.118.255.255', 2742419456, 2742484991, 'US', 'United States'),
(79959, '163.119.0.0', '163.119.255.255', 2742484992, 2742550527, 'GB', 'United Kingdom'),
(79960, '163.120.0.0', '163.120.255.255', 2742550528, 2742616063, 'US', 'United States'),
(79961, '163.121.0.0', '163.121.255.255', 2742616064, 2742681599, 'EG', 'Egypt'),
(79962, '163.122.0.0', '163.122.255.255', 2742681600, 2742747135, 'IN', 'India'),
(79963, '163.123.0.0', '163.123.127.255', 2742747136, 2742779903, 'CA', 'Canada'),
(79964, '163.124.0.0', '163.124.255.255', 2742812672, 2742878207, 'US', 'United States'),
(79965, '163.125.0.0', '163.125.255.255', 2742878208, 2742943743, 'CN', 'China'),
(79966, '163.126.0.0', '163.126.255.255', 2742943744, 2743009279, 'US', 'United States'),
(79967, '163.129.0.0', '163.129.255.255', 2743140352, 2743205887, 'US', 'United States'),
(79968, '163.130.0.0', '163.141.255.255', 2743205888, 2743992319, 'JP', 'Japan'),
(79969, '163.142.0.0', '163.142.255.255', 2743992320, 2744057855, 'CN', 'China'),
(79970, '163.143.0.0', '163.149.255.255', 2744057856, 2744516607, 'JP', 'Japan'),
(79971, '163.150.0.0', '163.151.255.255', 2744516608, 2744647679, 'US', 'United States'),
(79972, '163.152.0.0', '163.152.255.255', 2744647680, 2744713215, 'KR', 'Korea, Republic of'),
(79973, '163.153.0.0', '163.154.255.255', 2744713216, 2744844287, 'US', 'United States'),
(79974, '163.155.0.0', '163.155.255.255', 2744844288, 2744909823, 'CA', 'Canada'),
(79975, '163.156.0.0', '163.156.255.255', 2744909824, 2744975359, 'GB', 'United Kingdom'),
(79976, '163.157.0.0', '163.157.253.255', 2744975360, 2745040383, 'SE', 'Sweden'),
(79977, '163.157.254.0', '163.157.254.255', 2745040384, 2745040639, 'EU', 'Europe'),
(79978, '163.157.255.0', '163.157.255.255', 2745040640, 2745040895, 'SE', 'Sweden'),
(79979, '163.158.0.0', '163.158.255.255', 2745040896, 2745106431, 'DE', 'Germany'),
(79980, '163.159.0.0', '163.159.255.255', 2745106432, 2745171967, 'SI', 'Slovenia'),
(79981, '163.160.0.0', '163.160.255.255', 2745171968, 2745237503, 'GB', 'United Kingdom'),
(79982, '163.161.0.0', '163.161.255.255', 2745237504, 2745303039, 'CH', 'Switzerland'),
(79983, '163.162.0.0', '163.162.255.255', 2745303040, 2745368575, 'IT', 'Italy'),
(79984, '163.163.0.0', '163.163.255.255', 2745368576, 2745434111, 'BE', 'Belgium'),
(79985, '163.164.0.0', '163.164.255.255', 2745434112, 2745499647, 'GB', 'United Kingdom'),
(79986, '163.165.0.0', '163.165.191.255', 2745499648, 2745548799, 'BE', 'Belgium'),
(79987, '163.165.192.0', '163.165.255.255', 2745548800, 2745565183, 'DE', 'Germany'),
(79988, '163.166.0.0', '163.167.255.255', 2745565184, 2745696255, 'GB', 'United Kingdom'),
(79989, '163.168.0.0', '163.168.255.255', 2745696256, 2745761791, 'CH', 'Switzerland'),
(79990, '163.169.0.0', '163.172.255.255', 2745761792, 2746023935, 'GB', 'United Kingdom'),
(79991, '163.173.0.0', '163.173.255.255', 2746023936, 2746089471, 'FR', 'France'),
(79992, '163.174.0.0', '163.174.255.255', 2746089472, 2746155007, 'NO', 'Norway'),
(79993, '163.175.0.0', '163.175.255.255', 2746155008, 2746220543, 'NL', 'Netherlands'),
(79994, '163.176.0.0', '163.176.255.255', 2746220544, 2746286079, 'US', 'United States'),
(79995, '163.177.0.0', '163.177.255.255', 2746286080, 2746351615, 'CN', 'China'),
(79996, '163.178.0.0', '163.178.255.255', 2746351616, 2746417151, 'CR', 'Costa Rica'),
(79997, '163.179.0.0', '163.179.255.255', 2746417152, 2746482687, 'CN', 'China'),
(79998, '163.180.0.0', '163.180.255.255', 2746482688, 2746548223, 'KR', 'Korea, Republic of'),
(79999, '163.181.0.0', '163.188.255.255', 2746548224, 2747072511, 'US', 'United States'),
(80000, '163.189.0.0', '163.189.255.255', 2747072512, 2747138047, 'AU', 'Australia'),
(80001, '163.190.0.0', '163.194.255.255', 2747138048, 2747465727, 'US', 'United States'),
(80002, '163.195.0.0', '163.203.255.255', 2747465728, 2748055551, 'ZA', 'South Africa'),
(80003, '163.204.0.0', '163.204.255.255', 2748055552, 2748121087, 'CN', 'China'),
(80004, '163.205.0.0', '163.207.255.255', 2748121088, 2748317695, 'US', 'United States'),
(80005, '163.208.0.0', '163.212.255.255', 2748317696, 2748645375, 'JP', 'Japan'),
(80006, '163.213.0.0', '163.213.255.255', 2748645376, 2748710911, 'KR', 'Korea, Republic of'),
(80007, '163.214.0.0', '163.221.255.255', 2748710912, 2749235199, 'JP', 'Japan'),
(80008, '163.222.0.0', '163.222.255.255', 2749235200, 2749300735, 'KR', 'Korea, Republic of'),
(80009, '163.223.0.0', '163.227.255.255', 2749300736, 2749628415, 'JP', 'Japan'),
(80010, '163.228.0.0', '163.228.255.255', 2749628416, 2749693951, 'US', 'United States'),
(80011, '163.229.0.0', '163.229.255.255', 2749693952, 2749759487, 'KR', 'Korea, Republic of'),
(80012, '163.230.0.0', '163.231.255.255', 2749759488, 2749890559, 'US', 'United States'),
(80013, '163.232.0.0', '163.233.255.255', 2749890560, 2750021631, 'AU', 'Australia'),
(80014, '163.234.0.0', '163.238.255.255', 2750021632, 2750349311, 'US', 'United States'),
(80015, '163.239.0.0', '163.239.255.255', 2750349312, 2750414847, 'KR', 'Korea, Republic of'),
(80016, '163.240.0.0', '163.244.61.255', 2750414848, 2750692863, 'US', 'United States'),
(80017, '163.244.62.0', '163.244.63.255', 2750692864, 2750693375, 'EU', 'Europe'),
(80018, '163.244.64.0', '163.246.255.255', 2750693376, 2750873599, 'US', 'United States'),
(80019, '163.247.0.0', '163.247.255.255', 2750873600, 2750939135, 'CL', 'Chile'),
(80020, '163.248.0.0', '163.249.255.255', 2750939136, 2751070207, 'US', 'United States'),
(80021, '163.250.0.0', '163.250.255.255', 2751070208, 2751135743, 'CL', 'Chile'),
(80022, '163.251.0.0', '163.254.255.255', 2751135744, 2751397887, 'US', 'United States'),
(80023, '163.255.0.0', '163.255.255.255', 2751397888, 2751463423, 'KR', 'Korea, Republic of'),
(80024, '164.0.0.0', '164.0.255.255', 2751463424, 2751528959, 'KZ', 'Kazakhstan'),
(80025, '164.1.0.0', '164.2.255.255', 2751528960, 2751660031, 'FR', 'France'),
(80026, '164.3.0.0', '164.3.219.255', 2751660032, 2751716351, 'AT', 'Austria'),
(80027, '164.3.220.0', '164.3.220.255', 2751716352, 2751716607, 'US', 'United States'),
(80028, '164.3.221.0', '164.3.255.255', 2751716608, 2751725567, 'AT', 'Austria'),
(80029, '164.4.0.0', '164.4.255.255', 2751725568, 2751791103, 'SE', 'Sweden'),
(80030, '164.5.0.0', '164.5.255.255', 2751791104, 2751856639, 'FI', 'Finland'),
(80031, '164.6.0.0', '164.6.255.255', 2751856640, 2751922175, 'GB', 'United Kingdom'),
(80032, '164.7.0.0', '164.7.255.255', 2751922176, 2751987711, 'FR', 'France'),
(80033, '164.8.0.0', '164.8.255.255', 2751987712, 2752053247, 'SI', 'Slovenia'),
(80034, '164.9.0.0', '164.10.255.255', 2752053248, 2752184319, 'SE', 'Sweden'),
(80035, '164.11.0.0', '164.12.255.255', 2752184320, 2752315391, 'GB', 'United Kingdom'),
(80036, '164.13.0.0', '164.13.255.255', 2752315392, 2752380927, 'FI', 'Finland'),
(80037, '164.14.0.0', '164.14.255.255', 2752380928, 2752446463, 'CH', 'Switzerland'),
(80038, '164.15.0.0', '164.15.255.255', 2752446464, 2752511999, 'BE', 'Belgium'),
(80039, '164.16.0.0', '164.34.255.255', 2752512000, 2753757183, 'DE', 'Germany'),
(80040, '164.35.0.0', '164.35.255.255', 2753757184, 2753822719, 'BE', 'Belgium'),
(80041, '164.36.0.0', '164.36.255.255', 2753822720, 2753888255, 'GB', 'United Kingdom'),
(80042, '164.37.0.0', '164.37.255.255', 2753888256, 2753953791, 'SE', 'Sweden'),
(80043, '164.38.0.0', '164.39.255.255', 2753953792, 2754084863, 'GB', 'United Kingdom'),
(80044, '164.40.0.0', '164.40.127.255', 2754084864, 2754117631, 'KZ', 'Kazakhstan'),
(80045, '164.40.128.0', '164.40.159.255', 2754117632, 2754125823, 'NL', 'Netherlands'),
(80046, '164.40.160.0', '164.40.167.255', 2754125824, 2754127871, 'DE', 'Germany'),
(80047, '164.40.168.0', '164.40.175.255', 2754127872, 2754129919, 'SK', 'Slovakia'),
(80048, '164.40.176.0', '164.40.183.255', 2754129920, 2754131967, 'SE', 'Sweden'),
(80049, '164.40.184.0', '164.40.191.255', 2754131968, 2754134015, 'PL', 'Poland'),
(80050, '164.40.192.0', '164.40.207.255', 2754134016, 2754138111, 'DE', 'Germany'),
(80051, '164.40.208.0', '164.40.223.255', 2754138112, 2754142207, 'GB', 'United Kingdom'),
(80052, '164.40.224.0', '164.40.231.255', 2754142208, 2754144255, 'BA', 'Bosnia and Herzegovina'),
(80053, '164.40.232.0', '164.40.239.255', 2754144256, 2754146303, 'DE', 'Germany'),
(80054, '164.40.240.0', '164.40.247.255', 2754146304, 2754148351, 'PL', 'Poland'),
(80055, '164.40.248.0', '164.40.255.255', 2754148352, 2754150399, 'MK', 'Macedonia'),
(80056, '164.41.0.0', '164.41.255.255', 2754150400, 2754215935, 'BR', 'Brazil'),
(80057, '164.42.0.0', '164.42.255.255', 2754215936, 2754281471, 'PR', 'Puerto Rico'),
(80058, '164.43.0.0', '164.43.255.255', 2754281472, 2754347007, 'JP', 'Japan'),
(80059, '164.44.0.0', '164.45.255.255', 2754347008, 2754478079, 'US', 'United States'),
(80060, '164.46.0.0', '164.46.255.255', 2754478080, 2754543615, 'JP', 'Japan'),
(80061, '164.47.0.0', '164.47.255.255', 2754543616, 2754609151, 'US', 'United States'),
(80062, '164.48.0.0', '164.48.255.255', 2754609152, 2754674687, 'SE', 'Sweden'),
(80063, '164.49.0.0', '164.52.255.255', 2754674688, 2754936831, 'US', 'United States'),
(80064, '164.53.0.0', '164.53.255.255', 2754936832, 2755002367, 'AU', 'Australia'),
(80065, '164.54.0.0', '164.58.255.255', 2755002368, 2755330047, 'US', 'United States'),
(80066, '164.59.0.0', '164.59.255.255', 2755330048, 2755395583, 'DE', 'Germany'),
(80067, '164.60.0.0', '164.60.255.255', 2755395584, 2755461119, 'FR', 'France'),
(80068, '164.61.0.0', '164.61.209.255', 2755461120, 2755514879, 'DE', 'Germany'),
(80069, '164.61.210.0', '164.61.210.255', 2755514880, 2755515135, 'EU', 'Europe'),
(80070, '164.61.211.0', '164.61.255.255', 2755515136, 2755526655, 'DE', 'Germany'),
(80071, '164.62.0.0', '164.62.255.255', 2755526656, 2755592191, 'US', 'United States'),
(80072, '164.63.0.0', '164.63.255.255', 2755592192, 2755657727, 'GB', 'United Kingdom'),
(80073, '164.64.0.0', '164.68.255.255', 2755657728, 2755985407, 'US', 'United States'),
(80074, '164.69.0.0', '164.71.255.255', 2755985408, 2756182015, 'JP', 'Japan'),
(80075, '164.72.0.0', '164.72.255.255', 2756182016, 2756247551, 'US', 'United States'),
(80076, '164.73.0.0', '164.73.255.255', 2756247552, 2756313087, 'UY', 'Uruguay'),
(80077, '164.74.0.0', '164.74.255.255', 2756313088, 2756378623, 'US', 'United States'),
(80078, '164.75.0.0', '164.75.255.255', 2756378624, 2756444159, 'AU', 'Australia'),
(80079, '164.76.0.0', '164.76.255.255', 2756444160, 2756509695, 'US', 'United States'),
(80080, '164.77.0.0', '164.77.255.255', 2756509696, 2756575231, 'CL', 'Chile'),
(80081, '164.78.0.0', '164.78.255.255', 2756575232, 2756640767, 'SG', 'Singapore'),
(80082, '164.79.0.0', '164.79.255.255', 2756640768, 2756706303, 'US', 'United States'),
(80083, '164.80.0.0', '164.80.255.255', 2756706304, 2756771839, 'AU', 'Australia'),
(80084, '164.81.0.0', '164.81.255.255', 2756771840, 2756837375, 'FR', 'France'),
(80085, '164.82.0.0', '164.84.255.255', 2756837376, 2757033983, 'US', 'United States'),
(80086, '164.85.0.0', '164.85.255.255', 2757033984, 2757099519, 'BR', 'Brazil'),
(80087, '164.86.0.0', '164.87.255.255', 2757099520, 2757230591, 'US', 'United States'),
(80088, '164.88.0.0', '164.88.255.255', 2757230592, 2757296127, 'ZA', 'South Africa'),
(80089, '164.89.0.0', '164.95.255.255', 2757296128, 2757754879, 'US', 'United States'),
(80090, '164.96.0.0', '164.96.255.255', 2757754880, 2757820415, 'CL', 'Chile'),
(80091, '164.97.0.0', '164.97.255.255', 2757820416, 2757885951, 'AU', 'Australia'),
(80092, '164.98.0.0', '164.98.255.255', 2757885952, 2757951487, 'CL', 'Chile'),
(80093, '164.99.0.0', '164.99.255.255', 2757951488, 2758017023, 'US', 'United States'),
(80094, '164.100.0.0', '164.100.255.255', 2758017024, 2758082559, 'IN', 'India'),
(80095, '164.101.0.0', '164.101.255.255', 2758082560, 2758148095, 'US', 'United States'),
(80096, '164.102.0.0', '164.102.255.255', 2758148096, 2758213631, 'CA', 'Canada'),
(80097, '164.103.0.0', '164.107.255.255', 2758213632, 2758541311, 'US', 'United States'),
(80098, '164.108.0.0', '164.108.255.255', 2758541312, 2758606847, 'AU', 'Australia'),
(80099, '164.109.0.0', '164.111.255.255', 2758606848, 2758803455, 'US', 'United States'),
(80100, '164.112.0.0', '164.112.255.255', 2758803456, 2758868991, 'AU', 'Australia'),
(80101, '164.113.0.0', '164.114.255.255', 2758868992, 2759000063, 'US', 'United States'),
(80102, '164.115.0.0', '164.115.255.255', 2759000064, 2759065599, 'TH', 'Thailand'),
(80103, '164.116.0.0', '164.123.255.255', 2759065600, 2759589887, 'US', 'United States'),
(80104, '164.124.0.0', '164.125.255.255', 2759589888, 2759720959, 'KR', 'Korea, Republic of'),
(80105, '164.126.0.0', '164.127.255.255', 2759720960, 2759852031, 'PL', 'Poland'),
(80106, '164.128.0.0', '164.128.122.175', 2759852032, 2759883439, 'CH', 'Switzerland'),
(80107, '164.128.122.176', '164.128.122.179', 2759883440, 2759883443, 'LI', 'Liechtenstein'),
(80108, '164.128.122.180', '164.128.122.187', 2759883444, 2759883451, 'CH', 'Switzerland'),
(80109, '164.128.122.188', '164.128.122.191', 2759883452, 2759883455, 'LI', 'Liechtenstein'),
(80110, '164.128.122.192', '164.128.125.79', 2759883456, 2759884111, 'CH', 'Switzerland'),
(80111, '164.128.125.80', '164.128.125.83', 2759884112, 2759884115, 'GB', 'United Kingdom'),
(80112, '164.128.125.84', '164.128.166.31', 2759884116, 2759894559, 'CH', 'Switzerland'),
(80113, '164.128.166.32', '164.128.166.35', 2759894560, 2759894563, 'LI', 'Liechtenstein'),
(80114, '164.128.166.36', '164.128.255.255', 2759894564, 2759917567, 'CH', 'Switzerland'),
(80115, '164.129.0.0', '164.129.0.255', 2759917568, 2759917823, 'FR', 'France'),
(80116, '164.129.1.0', '164.129.1.255', 2759917824, 2759918079, 'EU', 'Europe'),
(80117, '164.129.2.0', '164.129.255.255', 2759918080, 2759983103, 'FR', 'France'),
(80118, '164.130.0.0', '164.130.255.255', 2759983104, 2760048639, 'IT', 'Italy'),
(80119, '164.131.0.0', '164.131.255.255', 2760048640, 2760114175, 'FR', 'France'),
(80120, '164.132.0.0', '164.132.255.255', 2760114176, 2760179711, 'IT', 'Italy'),
(80121, '164.133.0.0', '164.133.255.255', 2760179712, 2760245247, 'DE', 'Germany'),
(80122, '164.134.0.0', '164.134.255.255', 2760245248, 2760310783, 'GB', 'United Kingdom'),
(80123, '164.135.0.0', '164.135.255.255', 2760310784, 2760376319, 'SE', 'Sweden'),
(80124, '164.136.0.0', '164.137.255.255', 2760376320, 2760507391, 'GB', 'United Kingdom'),
(80125, '164.138.0.0', '164.138.15.255', 2760507392, 2760511487, 'RU', 'Russian Federation'),
(80126, '164.138.16.0', '164.138.23.255', 2760511488, 2760513535, 'IR', 'Iran, Islamic Republic of'),
(80127, '164.138.24.0', '164.138.31.255', 2760513536, 2760515583, 'NL', 'Netherlands'),
(80128, '164.138.32.0', '164.138.39.255', 2760515584, 2760517631, 'RU', 'Russian Federation'),
(80129, '164.138.40.0', '164.138.47.255', 2760517632, 2760519679, 'KZ', 'Kazakhstan'),
(80130, '164.138.48.0', '164.138.55.255', 2760519680, 2760521727, 'IT', 'Italy'),
(80131, '164.138.56.0', '164.138.63.255', 2760521728, 2760523775, 'FR', 'France'),
(80132, '164.138.64.0', '164.138.79.255', 2760523776, 2760527871, 'CH', 'Switzerland'),
(80133, '164.138.80.0', '164.138.87.255', 2760527872, 2760529919, 'GB', 'United Kingdom'),
(80134, '164.138.88.0', '164.138.95.255', 2760529920, 2760531967, 'RU', 'Russian Federation'),
(80135, '164.138.96.0', '164.138.103.255', 2760531968, 2760534015, 'IR', 'Iran, Islamic Republic of'),
(80136, '164.138.104.0', '164.138.111.255', 2760534016, 2760536063, 'BE', 'Belgium'),
(80137, '164.138.112.0', '164.138.127.255', 2760536064, 2760540159, 'IL', 'Israel'),
(80138, '164.138.128.0', '164.138.191.255', 2760540160, 2760556543, 'RO', 'Romania'),
(80139, '164.138.192.0', '164.138.199.255', 2760556544, 2760558591, 'DE', 'Germany'),
(80140, '164.138.200.0', '164.138.215.255', 2760558592, 2760562687, 'ES', 'Spain'),
(80141, '164.138.216.0', '164.138.223.255', 2760562688, 2760564735, 'BG', 'Bulgaria'),
(80142, '164.138.224.0', '164.138.231.255', 2760564736, 2760566783, 'GB', 'United Kingdom'),
(80143, '164.138.232.0', '164.138.239.255', 2760566784, 2760568831, 'IQ', 'Iraq'),
(80144, '164.138.240.0', '164.138.247.255', 2760568832, 2760570879, 'FR', 'France'),
(80145, '164.138.248.0', '164.138.255.255', 2760570880, 2760572927, 'NL', 'Netherlands'),
(80146, '164.139.0.0', '164.139.255.255', 2760572928, 2760638463, 'DE', 'Germany'),
(80147, '164.140.0.0', '164.140.255.255', 2760638464, 2760703999, 'NL', 'Netherlands'),
(80148, '164.141.0.0', '164.141.255.255', 2760704000, 2760769535, 'FI', 'Finland'),
(80149, '164.142.0.0', '164.142.255.255', 2760769536, 2760835071, 'IT', 'Italy'),
(80150, '164.143.0.0', '164.143.247.255', 2760835072, 2760898559, 'GB', 'United Kingdom'),
(80151, '164.143.248.0', '164.143.251.255', 2760898560, 2760899583, 'US', 'United States'),
(80152, '164.143.252.0', '164.143.255.255', 2760899584, 2760900607, 'GB', 'United Kingdom'),
(80153, '164.144.0.0', '164.144.123.0', 2760900608, 2760932096, 'US', 'United States'),
(80154, '164.144.123.1', '164.144.123.1', 2760932097, 2760932097, 'EU', 'Europe'),
(80155, '164.144.123.2', '164.145.255.255', 2760932098, 2761031679, 'US', 'United States'),
(80156, '164.146.0.0', '164.151.255.255', 2761031680, 2761424895, 'ZA', 'South Africa'),
(80157, '164.152.0.0', '164.154.255.255', 2761424896, 2761621503, 'US', 'United States'),
(80158, '164.155.0.0', '164.155.255.255', 2761621504, 2761687039, 'ZA', 'South Africa'),
(80159, '164.156.0.0', '164.159.255.255', 2761687040, 2761949183, 'US', 'United States'),
(80160, '164.160.0.0', '164.163.255.255', 2761949184, 2762211327, 'JP', 'Japan'),
(80161, '164.164.0.0', '164.164.255.255', 2762211328, 2762276863, 'IN', 'India'),
(80162, '164.165.0.0', '164.165.255.255', 2762276864, 2762342399, 'US', 'United States'),
(80163, '164.166.0.0', '164.166.255.255', 2762342400, 2762407935, 'CA', 'Canada'),
(80164, '164.167.0.0', '164.176.255.255', 2762407936, 2763063295, 'US', 'United States'),
(80165, '164.177.0.0', '164.177.127.255', 2763063296, 2763096063, 'FR', 'France'),
(80166, '164.177.128.0', '164.177.159.255', 2763096064, 2763104255, 'GB', 'United Kingdom'),
(80167, '164.177.160.0', '164.177.175.255', 2763104256, 2763108351, 'DE', 'Germany'),
(80168, '164.177.176.0', '164.177.183.255', 2763108352, 2763110399, 'RU', 'Russian Federation'),
(80169, '164.177.184.0', '164.177.191.255', 2763110400, 2763112447, 'NL', 'Netherlands'),
(80170, '164.177.192.0', '164.177.255.255', 2763112448, 2763128831, 'BY', 'Belarus'),
(80171, '164.178.0.0', '164.178.255.255', 2763128832, 2763194367, 'CA', 'Canada'),
(80172, '164.179.0.0', '164.214.255.255', 2763194368, 2765553663, 'US', 'United States'),
(80173, '164.215.0.0', '164.215.31.255', 2765553664, 2765561855, 'CY', 'Cyprus'),
(80174, '164.215.32.0', '164.215.32.175', 2765561856, 2765562031, 'FI', 'Finland'),
(80175, '164.215.32.176', '164.215.32.191', 2765562032, 2765562047, 'SE', 'Sweden'),
(80176, '164.215.32.192', '164.215.33.255', 2765562048, 2765562367, 'FI', 'Finland'),
(80177, '164.215.34.0', '164.215.34.15', 2765562368, 2765562383, 'RU', 'Russian Federation'),
(80178, '164.215.34.16', '164.215.39.255', 2765562384, 2765563903, 'FI', 'Finland'),
(80179, '164.215.40.0', '164.215.47.255', 2765563904, 2765565951, 'IR', 'Iran, Islamic Republic of'),
(80180, '164.215.48.0', '164.215.55.255', 2765565952, 2765567999, 'RU', 'Russian Federation'),
(80181, '164.215.56.0', '164.215.63.255', 2765568000, 2765570047, 'IR', 'Iran, Islamic Republic of'),
(80182, '164.215.64.0', '164.215.95.255', 2765570048, 2765578239, 'RU', 'Russian Federation'),
(80183, '164.215.96.0', '164.215.103.255', 2765578240, 2765580287, 'AZ', 'Azerbaijan'),
(80184, '164.215.104.0', '164.215.111.255', 2765580288, 2765582335, 'GB', 'United Kingdom'),
(80185, '164.215.112.0', '164.215.127.255', 2765582336, 2765586431, 'CZ', 'Czech Republic'),
(80186, '164.215.128.0', '164.215.255.255', 2765586432, 2765619199, 'IR', 'Iran, Islamic Republic of'),
(80187, '164.216.0.0', '164.255.255.255', 2765619200, 2768240639, 'US', 'United States'),
(80188, '165.1.0.0', '165.2.255.255', 2768306176, 2768437247, 'US', 'United States'),
(80189, '165.3.0.0', '165.5.255.255', 2768437248, 2768633855, 'ZA', 'South Africa'),
(80190, '165.6.0.0', '165.7.255.255', 2768633856, 2768764927, 'US', 'United States'),
(80191, '165.8.0.0', '165.11.255.255', 2768764928, 2769027071, 'ZA', 'South Africa'),
(80192, '165.12.0.0', '165.12.255.255', 2769027072, 2769092607, 'AU', 'Australia'),
(80193, '165.13.0.0', '165.13.255.255', 2769092608, 2769158143, 'US', 'United States'),
(80194, '165.14.0.0', '165.14.255.255', 2769158144, 2769223679, 'JP', 'Japan'),
(80195, '165.19.0.0', '165.20.255.255', 2769485824, 2769616895, 'US', 'United States'),
(80196, '165.21.0.0', '165.21.255.255', 2769616896, 2769682431, 'SG', 'Singapore'),
(80197, '165.22.0.0', '165.22.255.255', 2769682432, 2769747967, 'US', 'United States'),
(80198, '165.23.0.0', '165.23.255.255', 2769747968, 2769813503, 'CA', 'Canada'),
(80199, '165.24.0.0', '165.24.255.255', 2769813504, 2769879039, 'US', 'United States'),
(80200, '165.25.0.0', '165.25.255.255', 2769879040, 2769944575, 'ZA', 'South Africa'),
(80201, '165.26.0.0', '165.30.255.255', 2769944576, 2770272255, 'US', 'United States'),
(80202, '165.31.0.0', '165.31.255.255', 2770272256, 2770337791, 'AU', 'Australia'),
(80203, '165.32.0.0', '165.66.255.255', 2770337792, 2772631551, 'US', 'United States'),
(80204, '165.67.0.0', '165.67.255.255', 2772631552, 2772697087, 'AU', 'Australia'),
(80205, '165.68.0.0', '165.68.255.255', 2772697088, 2772762623, 'US', 'United States'),
(80206, '165.69.0.0', '165.69.255.255', 2772762624, 2772828159, 'AU', 'Australia'),
(80207, '165.70.0.0', '165.72.199.255', 2772828160, 2773010431, 'US', 'United States'),
(80208, '165.72.200.0', '165.72.200.255', 2773010432, 2773010687, 'EU', 'Europe'),
(80209, '165.72.201.0', '165.72.255.255', 2773010688, 2773024767, 'US', 'United States'),
(80210, '165.74.0.0', '165.75.255.255', 2773090304, 2773221375, 'US', 'United States'),
(80211, '165.76.0.0', '165.76.255.255', 2773221376, 2773286911, 'JP', 'Japan'),
(80212, '165.77.0.0', '165.77.255.255', 2773286912, 2773352447, 'US', 'United States'),
(80213, '165.78.0.0', '165.78.255.255', 2773352448, 2773417983, 'CA', 'Canada'),
(80214, '165.79.0.0', '165.83.255.255', 2773417984, 2773745663, 'US', 'United States'),
(80215, '165.84.0.0', '165.84.255.255', 2773745664, 2773811199, 'NZ', 'New Zealand'),
(80216, '165.85.0.0', '165.85.255.255', 2773811200, 2773876735, 'US', 'United States'),
(80217, '165.86.0.0', '165.86.255.255', 2773876736, 2773942271, 'AU', 'Australia'),
(80218, '165.87.0.0', '165.92.255.255', 2773942272, 2774335487, 'US', 'United States'),
(80219, '165.93.0.0', '165.93.255.255', 2774335488, 2774401023, 'JP', 'Japan'),
(80220, '165.94.0.0', '165.95.255.255', 2774401024, 2774532095, 'US', 'United States'),
(80221, '165.96.0.0', '165.96.255.255', 2774532096, 2774597631, 'JP', 'Japan'),
(80222, '165.97.0.0', '165.97.255.255', 2774597632, 2774663167, 'US', 'United States'),
(80223, '165.98.0.0', '165.98.255.255', 2774663168, 2774728703, 'NI', 'Nicaragua'),
(80224, '165.99.0.0', '165.102.255.255', 2774728704, 2774990847, 'JP', 'Japan'),
(80225, '165.103.0.0', '165.107.255.255', 2774990848, 2775318527, 'US', 'United States'),
(80226, '165.108.0.0', '165.108.255.255', 2775318528, 2775384063, 'JP', 'Japan'),
(80227, '165.109.0.0', '165.113.255.255', 2775384064, 2775711743, 'US', 'United States'),
(80228, '165.114.0.0', '165.114.255.255', 2775711744, 2775777279, 'NL', 'Netherlands'),
(80229, '165.115.0.0', '165.115.255.255', 2775777280, 2775842815, 'CA', 'Canada'),
(80230, '165.116.0.0', '165.117.255.255', 2775842816, 2775973887, 'US', 'United States'),
(80231, '165.118.0.0', '165.118.255.255', 2775973888, 2776039423, 'AU', 'Australia'),
(80232, '165.119.0.0', '165.125.177.255', 2776039424, 2776478207, 'US', 'United States'),
(80233, '165.125.178.0', '165.125.178.255', 2776478208, 2776478463, 'EU', 'Europe'),
(80234, '165.125.179.0', '165.129.11.14', 2776478464, 2776697614, 'US', 'United States'),
(80235, '165.129.11.15', '165.129.11.15', 2776697615, 2776697615, 'EU', 'Europe'),
(80236, '165.129.11.16', '165.131.255.255', 2776697616, 2776891391, 'US', 'United States'),
(80237, '165.132.0.0', '165.133.255.255', 2776891392, 2777022463, 'KR', 'Korea, Republic of'),
(80238, '165.134.0.0', '165.140.255.255', 2777022464, 2777481215, 'US', 'United States'),
(80239, '165.141.0.0', '165.141.255.255', 2777481216, 2777546751, 'KR', 'Korea, Republic of'),
(80240, '165.142.0.0', '165.142.255.255', 2777546752, 2777612287, 'AU', 'Australia'),
(80241, '165.143.0.0', '165.149.255.255', 2777612288, 2778071039, 'ZA', 'South Africa'),
(80242, '165.150.0.0', '165.153.255.255', 2778071040, 2778333183, 'US', 'United States'),
(80243, '165.154.0.0', '165.154.255.255', 2778333184, 2778398719, 'CA', 'Canada'),
(80244, '165.155.0.0', '165.164.255.255', 2778398720, 2779054079, 'US', 'United States'),
(80245, '165.165.0.0', '165.165.63.255', 2779054080, 2779070463, 'SZ', 'Swaziland'),
(80246, '165.165.64.0', '165.165.255.255', 2779070464, 2779119615, 'ZA', 'South Africa'),
(80247, '165.166.0.0', '165.177.255.255', 2779119616, 2779906047, 'US', 'United States'),
(80248, '165.178.0.0', '165.178.255.255', 2779906048, 2779971583, 'CA', 'Canada'),
(80249, '165.179.0.0', '165.179.255.255', 2779971584, 2780037119, 'US', 'United States'),
(80250, '165.180.0.0', '165.180.255.255', 2780037120, 2780102655, 'ZA', 'South Africa'),
(80251, '165.181.0.0', '165.181.255.255', 2780102656, 2780168191, 'US', 'United States'),
(80252, '165.182.0.0', '165.183.255.255', 2780168192, 2780299263, 'CL', 'Chile'),
(80253, '165.184.0.0', '165.184.255.255', 2780299264, 2780364799, 'US', 'United States'),
(80254, '165.185.0.0', '165.185.255.255', 2780364800, 2780430335, 'CA', 'Canada'),
(80255, '165.186.0.0', '165.186.255.255', 2780430336, 2780495871, 'KR', 'Korea, Republic of'),
(80256, '165.187.0.0', '165.187.255.255', 2780495872, 2780561407, 'AU', 'Australia'),
(80257, '165.188.0.0', '165.190.255.255', 2780561408, 2780758015, 'US', 'United States'),
(80258, '165.191.0.0', '165.191.255.255', 2780758016, 2780823551, 'AU', 'Australia'),
(80259, '165.192.0.0', '165.193.58.223', 2780823552, 2780904159, 'US', 'United States'),
(80260, '165.193.58.224', '165.193.58.255', 2780904160, 2780904191, 'CA', 'Canada'),
(80261, '165.193.59.0', '165.193.81.63', 2780904192, 2780909887, 'US', 'United States'),
(80262, '165.193.81.64', '165.193.81.79', 2780909888, 2780909903, 'CA', 'Canada'),
(80263, '165.193.81.80', '165.193.126.15', 2780909904, 2780921359, 'US', 'United States'),
(80264, '165.193.126.16', '165.193.126.23', 2780921360, 2780921367, 'GB', 'United Kingdom'),
(80265, '165.193.126.24', '165.193.143.255', 2780921368, 2780925951, 'US', 'United States'),
(80266, '165.193.144.0', '165.193.144.255', 2780925952, 2780926207, 'GB', 'United Kingdom'),
(80267, '165.193.145.0', '165.193.145.63', 2780926208, 2780926271, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(80268, '165.193.145.64', '165.193.145.95', 2780926272, 2780926303, 'FR', 'France'),
(80269, '165.193.145.96', '165.193.145.111', 2780926304, 2780926319, 'IT', 'Italy'),
(80270, '165.193.145.112', '165.193.145.119', 2780926320, 2780926327, 'GB', 'United Kingdom'),
(80271, '165.193.145.120', '165.193.145.127', 2780926328, 2780926335, 'US', 'United States'),
(80272, '165.193.145.128', '165.193.145.159', 2780926336, 2780926367, 'GB', 'United Kingdom'),
(80273, '165.193.145.160', '165.193.147.103', 2780926368, 2780926823, 'US', 'United States'),
(80274, '165.193.147.104', '165.193.147.159', 2780926824, 2780926879, 'GB', 'United Kingdom'),
(80275, '165.193.147.160', '165.193.147.255', 2780926880, 2780926975, 'US', 'United States'),
(80276, '165.193.148.0', '165.193.149.255', 2780926976, 2780927487, 'GB', 'United Kingdom'),
(80277, '165.193.150.0', '165.193.150.255', 2780927488, 2780927743, 'US', 'United States'),
(80278, '165.193.151.0', '165.193.152.127', 2780927744, 2780928127, 'GB', 'United Kingdom'),
(80279, '165.193.152.128', '165.193.153.31', 2780928128, 2780928287, 'US', 'United States'),
(80280, '165.193.153.32', '165.193.153.47', 2780928288, 2780928303, 'GB', 'United Kingdom'),
(80281, '165.193.153.48', '165.193.153.127', 2780928304, 2780928383, 'US', 'United States'),
(80282, '165.193.153.128', '165.193.153.159', 2780928384, 2780928415, 'GB', 'United Kingdom'),
(80283, '165.193.153.160', '165.193.153.191', 2780928416, 2780928447, 'US', 'United States'),
(80284, '165.193.153.192', '165.193.153.199', 2780928448, 2780928455, 'GB', 'United Kingdom'),
(80285, '165.193.153.200', '165.193.153.207', 2780928456, 2780928463, 'US', 'United States'),
(80286, '165.193.153.208', '165.193.153.215', 2780928464, 2780928471, 'DE', 'Germany'),
(80287, '165.193.153.216', '165.193.155.255', 2780928472, 2780929023, 'US', 'United States'),
(80288, '165.193.156.0', '165.193.156.255', 2780929024, 2780929279, 'GB', 'United Kingdom'),
(80289, '165.193.157.0', '165.193.158.255', 2780929280, 2780929791, 'FR', 'France'),
(80290, '165.193.159.0', '165.193.159.255', 2780929792, 2780930047, 'US', 'United States'),
(80291, '165.193.160.0', '165.193.161.255', 2780930048, 2780930559, 'GB', 'United Kingdom'),
(80292, '165.193.162.0', '165.193.163.63', 2780930560, 2780930879, 'US', 'United States'),
(80293, '165.193.163.64', '165.193.163.111', 2780930880, 2780930927, 'GB', 'United Kingdom'),
(80294, '165.193.163.112', '165.193.163.127', 2780930928, 2780930943, 'US', 'United States'),
(80295, '165.193.163.128', '165.193.163.143', 2780930944, 2780930959, 'GB', 'United Kingdom'),
(80296, '165.193.163.144', '165.193.163.159', 2780930960, 2780930975, 'FR', 'France'),
(80297, '165.193.163.160', '165.193.163.191', 2780930976, 2780931007, 'US', 'United States'),
(80298, '165.193.163.192', '165.193.163.223', 2780931008, 2780931039, 'GB', 'United Kingdom'),
(80299, '165.193.163.224', '165.193.163.255', 2780931040, 2780931071, 'US', 'United States'),
(80300, '165.193.164.0', '165.193.168.239', 2780931072, 2780932335, 'GB', 'United Kingdom'),
(80301, '165.193.168.240', '165.193.169.255', 2780932336, 2780932607, 'US', 'United States'),
(80302, '165.193.170.0', '165.193.171.255', 2780932608, 2780933119, 'GB', 'United Kingdom'),
(80303, '165.193.172.0', '165.193.172.31', 2780933120, 2780933151, 'US', 'United States'),
(80304, '165.193.172.32', '165.193.172.71', 2780933152, 2780933191, 'GB', 'United Kingdom'),
(80305, '165.193.172.72', '165.193.172.127', 2780933192, 2780933247, 'US', 'United States'),
(80306, '165.193.172.128', '165.193.173.255', 2780933248, 2780933631, 'GB', 'United Kingdom'),
(80307, '165.193.174.0', '165.193.174.255', 2780933632, 2780933887, 'US', 'United States'),
(80308, '165.193.175.0', '165.193.175.255', 2780933888, 2780934143, 'GB', 'United Kingdom'),
(80309, '165.193.176.0', '165.193.176.23', 2780934144, 2780934167, 'PL', 'Poland'),
(80310, '165.193.176.24', '165.193.200.79', 2780934168, 2780940367, 'US', 'United States'),
(80311, '165.193.200.80', '165.193.200.95', 2780940368, 2780940383, 'CA', 'Canada'),
(80312, '165.193.200.96', '165.193.202.255', 2780940384, 2780941055, 'US', 'United States'),
(80313, '165.193.203.0', '165.193.203.31', 2780941056, 2780941087, 'GB', 'United Kingdom'),
(80314, '165.193.203.32', '165.193.205.151', 2780941088, 2780941719, 'US', 'United States'),
(80315, '165.193.205.152', '165.193.205.159', 2780941720, 2780941727, 'GB', 'United Kingdom'),
(80316, '165.193.205.160', '165.193.212.215', 2780941728, 2780943575, 'US', 'United States'),
(80317, '165.193.212.216', '165.193.212.223', 2780943576, 2780943583, 'BM', 'Bermuda'),
(80318, '165.193.212.224', '165.193.219.159', 2780943584, 2780945311, 'US', 'United States'),
(80319, '165.193.219.160', '165.193.219.223', 2780945312, 2780945375, 'BM', 'Bermuda'),
(80320, '165.193.219.224', '165.193.220.255', 2780945376, 2780945663, 'US', 'United States'),
(80321, '165.193.221.0', '165.193.221.31', 2780945664, 2780945695, 'BM', 'Bermuda'),
(80322, '165.193.221.32', '165.193.222.207', 2780945696, 2780946127, 'US', 'United States'),
(80323, '165.193.222.208', '165.193.222.215', 2780946128, 2780946135, 'CA', 'Canada'),
(80324, '165.193.222.216', '165.193.229.191', 2780946136, 2780947903, 'US', 'United States'),
(80325, '165.193.229.192', '165.193.229.255', 2780947904, 2780947967, 'MY', 'Malaysia'),
(80326, '165.193.230.0', '165.193.233.79', 2780947968, 2780948815, 'US', 'United States'),
(80327, '165.193.233.80', '165.193.233.87', 2780948816, 2780948823, 'MY', 'Malaysia'),
(80328, '165.193.233.88', '165.193.249.135', 2780948824, 2780952967, 'US', 'United States'),
(80329, '165.193.249.136', '165.193.249.143', 2780952968, 2780952975, 'GB', 'United Kingdom'),
(80330, '165.193.249.144', '165.193.255.255', 2780952976, 2780954623, 'US', 'United States'),
(80331, '165.194.0.0', '165.194.255.255', 2780954624, 2781020159, 'KR', 'Korea, Republic of'),
(80332, '165.195.0.0', '165.201.255.255', 2781020160, 2781478911, 'US', 'United States'),
(80333, '165.202.0.0', '165.202.255.255', 2781478912, 2781544447, 'HK', 'Hong Kong'),
(80334, '165.203.0.0', '165.204.77.255', 2781544448, 2781629951, 'US', 'United States'),
(80335, '165.204.78.0', '165.204.78.255', 2781629952, 2781630207, 'EU', 'Europe'),
(80336, '165.204.79.0', '165.204.255.255', 2781630208, 2781675519, 'US', 'United States'),
(80337, '165.205.0.0', '165.205.255.255', 2781675520, 2781741055, 'NZ', 'New Zealand'),
(80338, '165.206.0.0', '165.208.255.255', 2781741056, 2781937663, 'US', 'United States'),
(80339, '165.209.0.0', '165.209.255.255', 2781937664, 2782003199, 'TH', 'Thailand'),
(80340, '165.212.0.0', '165.212.255.255', 2782134272, 2782199807, 'US', 'United States'),
(80341, '165.213.0.0', '165.213.255.255', 2782199808, 2782265343, 'KR', 'Korea, Republic of'),
(80342, '165.214.0.0', '165.215.163.255', 2782265344, 2782372863, 'US', 'United States'),
(80343, '165.215.164.0', '165.215.167.255', 2782372864, 2782373887, 'GB', 'United Kingdom'),
(80344, '165.215.168.0', '165.219.255.255', 2782373888, 2782658559, 'US', 'United States'),
(80345, '165.220.0.0', '165.220.255.255', 2782658560, 2782724095, 'PH', 'Philippines'),
(80346, '165.221.0.0', '165.221.255.255', 2782724096, 2782789631, 'US', 'United States'),
(80347, '165.222.0.0', '165.222.255.255', 2782789632, 2782855167, 'CH', 'Switzerland'),
(80348, '165.223.0.0', '165.227.255.255', 2782855168, 2783182847, 'US', 'United States'),
(80349, '165.228.0.0', '165.228.255.255', 2783182848, 2783248383, 'AU', 'Australia'),
(80350, '165.229.0.0', '165.229.255.255', 2783248384, 2783313919, 'KR', 'Korea, Republic of'),
(80351, '165.230.0.0', '165.230.255.255', 2783313920, 2783379455, 'US', 'United States'),
(80352, '165.231.0.0', '165.231.255.255', 2783379456, 2783444991, 'ZA', 'South Africa'),
(80353, '165.232.0.0', '165.232.255.255', 2783444992, 2783510527, 'US', 'United States'),
(80354, '165.233.0.0', '165.233.255.255', 2783510528, 2783576063, 'ZA', 'South Africa'),
(80355, '165.234.0.0', '165.239.255.255', 2783576064, 2783969279, 'US', 'United States'),
(80356, '165.240.0.0', '165.240.255.255', 2783969280, 2784034815, 'AU', 'Australia'),
(80357, '165.241.0.0', '165.242.255.255', 2784034816, 2784165887, 'JP', 'Japan'),
(80358, '165.243.0.0', '165.244.255.255', 2784165888, 2784296959, 'KR', 'Korea, Republic of'),
(80359, '165.245.0.0', '165.245.255.255', 2784296960, 2784362495, 'US', 'United States'),
(80360, '165.246.0.0', '165.246.255.255', 2784362496, 2784428031, 'KR', 'Korea, Republic of'),
(80361, '165.247.0.0', '166.7.255.255', 2784428032, 2785542143, 'US', 'United States'),
(80362, '166.8.0.0', '166.15.255.255', 2785542144, 2786066431, 'CH', 'Switzerland'),
(80363, '166.16.0.0', '166.47.255.255', 2786066432, 2788163583, 'US', 'United States'),
(80364, '166.49.0.0', '166.49.3.47', 2788229120, 2788229935, 'US', 'United States'),
(80365, '166.49.3.48', '166.49.3.55', 2788229936, 2788229943, 'GB', 'United Kingdom'),
(80366, '166.49.3.56', '166.49.6.7', 2788229944, 2788230663, 'US', 'United States'),
(80367, '166.49.6.8', '166.49.6.23', 2788230664, 2788230679, 'GB', 'United Kingdom'),
(80368, '166.49.6.24', '166.49.6.47', 2788230680, 2788230703, 'US', 'United States'),
(80369, '166.49.6.48', '166.49.6.63', 2788230704, 2788230719, 'GB', 'United Kingdom'),
(80370, '166.49.6.64', '166.49.6.71', 2788230720, 2788230727, 'CH', 'Switzerland'),
(80371, '166.49.6.72', '166.49.6.79', 2788230728, 2788230735, 'GB', 'United Kingdom'),
(80372, '166.49.6.80', '166.49.10.71', 2788230736, 2788231751, 'US', 'United States'),
(80373, '166.49.10.72', '166.49.10.79', 2788231752, 2788231759, 'SG', 'Singapore'),
(80374, '166.49.10.80', '166.49.13.135', 2788231760, 2788232583, 'US', 'United States'),
(80375, '166.49.13.136', '166.49.13.143', 2788232584, 2788232591, 'SG', 'Singapore'),
(80376, '166.49.13.144', '166.49.13.151', 2788232592, 2788232599, 'US', 'United States'),
(80377, '166.49.13.152', '166.49.13.159', 2788232600, 2788232607, 'SG', 'Singapore'),
(80378, '166.49.13.160', '166.49.16.47', 2788232608, 2788233263, 'US', 'United States'),
(80379, '166.49.16.48', '166.49.16.55', 2788233264, 2788233271, 'GB', 'United Kingdom'),
(80380, '166.49.16.56', '166.49.20.39', 2788233272, 2788234279, 'US', 'United States'),
(80381, '166.49.20.40', '166.49.20.47', 2788234280, 2788234287, 'CA', 'Canada'),
(80382, '166.49.20.48', '166.49.22.15', 2788234288, 2788234767, 'US', 'United States'),
(80383, '166.49.22.16', '166.49.22.23', 2788234768, 2788234775, 'GB', 'United Kingdom'),
(80384, '166.49.22.24', '166.49.24.31', 2788234776, 2788235295, 'US', 'United States'),
(80385, '166.49.24.32', '166.49.24.47', 2788235296, 2788235311, 'SG', 'Singapore'),
(80386, '166.49.24.48', '166.49.37.255', 2788235312, 2788238847, 'US', 'United States'),
(80387, '166.49.38.0', '166.49.38.7', 2788238848, 2788238855, 'GB', 'United Kingdom'),
(80388, '166.49.38.8', '166.49.38.63', 2788238856, 2788238911, 'US', 'United States'),
(80389, '166.49.38.64', '166.49.38.71', 2788238912, 2788238919, 'GB', 'United Kingdom'),
(80390, '166.49.38.72', '166.49.48.39', 2788238920, 2788241447, 'US', 'United States'),
(80391, '166.49.48.40', '166.49.48.47', 2788241448, 2788241455, 'GB', 'United Kingdom'),
(80392, '166.49.48.48', '166.49.56.15', 2788241456, 2788243471, 'US', 'United States'),
(80393, '166.49.56.16', '166.49.56.31', 2788243472, 2788243487, 'SG', 'Singapore'),
(80394, '166.49.56.32', '166.49.62.15', 2788243488, 2788245007, 'US', 'United States'),
(80395, '166.49.62.16', '166.49.62.31', 2788245008, 2788245023, 'CA', 'Canada'),
(80396, '166.49.62.32', '166.49.73.55', 2788245024, 2788247863, 'US', 'United States'),
(80397, '166.49.73.56', '166.49.73.63', 2788247864, 2788247871, 'GB', 'United Kingdom'),
(80398, '166.49.73.64', '166.49.93.255', 2788247872, 2788253183, 'US', 'United States'),
(80399, '166.49.94.0', '166.49.94.7', 2788253184, 2788253191, 'JP', 'Japan'),
(80400, '166.49.94.8', '166.49.127.255', 2788253192, 2788261887, 'US', 'United States'),
(80401, '166.49.128.0', '166.49.255.255', 2788261888, 2788294655, 'GB', 'United Kingdom'),
(80402, '166.50.0.0', '166.63.255.255', 2788294656, 2789212159, 'US', 'United States'),
(80403, '166.64.0.0', '166.64.255.255', 2789212160, 2789277695, 'AU', 'Australia'),
(80404, '166.65.0.0', '166.65.255.255', 2789277696, 2789343231, 'NZ', 'New Zealand'),
(80405, '166.66.0.0', '166.74.255.255', 2789343232, 2789933055, 'US', 'United States'),
(80406, '166.75.0.0', '166.75.255.255', 2789933056, 2789998591, 'CL', 'Chile'),
(80407, '166.76.0.0', '166.77.255.255', 2789998592, 2790129663, 'US', 'United States'),
(80408, '166.79.0.0', '166.79.255.255', 2790195200, 2790260735, 'KR', 'Korea, Republic of'),
(80409, '166.80.0.0', '166.80.255.255', 2790260736, 2790326271, 'US', 'United States'),
(80410, '166.82.0.0', '166.82.72.255', 2790391808, 2790410495, 'US', 'United States'),
(80411, '166.82.73.0', '166.82.73.255', 2790410496, 2790410751, 'AQ', 'Antarctica'),
(80412, '166.82.74.0', '166.82.255.255', 2790410752, 2790457343, 'US', 'United States'),
(80413, '166.83.0.0', '166.83.255.255', 2790457344, 2790522879, 'NZ', 'New Zealand'),
(80414, '166.84.0.0', '166.84.255.255', 2790522880, 2790588415, 'US', 'United States'),
(80415, '166.85.0.0', '166.85.255.255', 2790588416, 2790653951, 'ZA', 'South Africa'),
(80416, '166.86.0.0', '166.86.255.255', 2790653952, 2790719487, 'US', 'United States'),
(80417, '166.87.0.0', '166.87.255.255', 2790719488, 2790785023, 'SA', 'Saudi Arabia'),
(80418, '166.88.0.0', '166.99.255.255', 2790785024, 2791571455, 'US', 'United States'),
(80419, '166.100.0.0', '166.100.255.255', 2791571456, 2791636991, 'JP', 'Japan'),
(80420, '166.101.0.0', '166.102.255.255', 2791636992, 2791768063, 'US', 'United States'),
(80421, '166.103.0.0', '166.104.255.255', 2791768064, 2791899135, 'KR', 'Korea, Republic of'),
(80422, '166.105.0.0', '166.105.255.255', 2791899136, 2791964671, 'US', 'United States'),
(80423, '166.107.0.0', '166.109.255.255', 2792030208, 2792226815, 'US', 'United States'),
(80424, '166.110.0.0', '166.110.255.255', 2792226816, 2792292351, 'CL', 'Chile'),
(80425, '166.111.0.0', '166.111.255.255', 2792292352, 2792357887, 'CN', 'China'),
(80426, '166.112.0.0', '166.113.255.255', 2792357888, 2792488959, 'US', 'United States'),
(80427, '166.114.0.0', '166.114.255.255', 2792488960, 2792554495, 'BO', 'Bolivia'),
(80428, '166.115.0.0', '166.117.255.255', 2792554496, 2792751103, 'US', 'United States'),
(80429, '166.118.0.0', '166.119.255.255', 2792751104, 2792882175, 'JP', 'Japan'),
(80430, '166.120.0.0', '166.120.255.255', 2792882176, 2792947711, 'AU', 'Australia'),
(80431, '166.121.0.0', '166.121.255.255', 2792947712, 2793013247, 'SG', 'Singapore'),
(80432, '166.122.0.0', '166.124.255.255', 2793013248, 2793209855, 'US', 'United States'),
(80433, '166.125.0.0', '166.125.255.255', 2793209856, 2793275391, 'KR', 'Korea, Republic of'),
(80434, '166.126.0.0', '166.178.255.255', 2793275392, 2796748799, 'US', 'United States'),
(80435, '166.179.0.0', '166.179.255.255', 2796748800, 2796814335, 'NZ', 'New Zealand'),
(80436, '166.180.0.0', '166.210.224.255', 2796814336, 2798838015, 'US', 'United States'),
(80437, '166.210.225.0', '166.210.225.255', 2798838016, 2798838271, 'CO', 'Colombia'),
(80438, '166.210.226.0', '167.10.255.255', 2798838272, 2802515967, 'US', 'United States'),
(80439, '167.11.0.0', '167.11.255.255', 2802515968, 2802581503, 'CA', 'Canada'),
(80440, '167.12.0.0', '167.16.255.255', 2802581504, 2802909183, 'US', 'United States'),
(80441, '167.17.0.0', '167.17.255.255', 2802909184, 2802974719, 'CA', 'Canada'),
(80442, '167.18.0.0', '167.27.255.255', 2802974720, 2803630079, 'US', 'United States'),
(80443, '167.28.0.0', '167.28.255.255', 2803630080, 2803695615, 'CL', 'Chile'),
(80444, '167.29.0.0', '167.29.255.255', 2803695616, 2803761151, 'US', 'United States'),
(80445, '167.30.0.0', '167.30.255.255', 2803761152, 2803826687, 'AU', 'Australia'),
(80446, '167.31.0.0', '167.31.255.255', 2803826688, 2803892223, 'US', 'United States'),
(80447, '167.32.0.0', '167.63.255.255', 2803892224, 2805989375, 'CA', 'Canada'),
(80448, '167.64.0.0', '167.73.255.255', 2805989376, 2806644735, 'US', 'United States'),
(80449, '167.74.0.0', '167.74.255.255', 2806644736, 2806710271, 'CA', 'Canada'),
(80450, '167.75.0.0', '167.80.255.255', 2806710272, 2807103487, 'US', 'United States'),
(80451, '167.81.0.0', '167.81.255.255', 2807103488, 2807169023, 'NL', 'Netherlands'),
(80452, '167.82.0.0', '167.83.8.255', 2807169024, 2807236863, 'US', 'United States'),
(80453, '167.83.9.0', '167.83.9.255', 2807236864, 2807237119, 'EU', 'Europe'),
(80454, '167.83.10.0', '167.83.97.255', 2807237120, 2807259647, 'US', 'United States'),
(80455, '167.83.98.0', '167.83.99.255', 2807259648, 2807260159, 'AP', 'Asia/Pacific Region'),
(80456, '167.83.100.0', '167.91.255.255', 2807260160, 2807824383, 'US', 'United States'),
(80457, '167.92.0.0', '167.92.255.255', 2807824384, 2807889919, 'CA', 'Canada'),
(80458, '167.93.0.0', '167.102.255.255', 2807889920, 2808545279, 'US', 'United States'),
(80459, '167.103.0.0', '167.103.255.255', 2808545280, 2808610815, 'AU', 'Australia'),
(80460, '167.104.0.0', '167.107.255.255', 2808610816, 2808872959, 'US', 'United States'),
(80461, '167.109.0.0', '167.110.255.255', 2808938496, 2809069567, 'US', 'United States'),
(80462, '167.111.0.0', '167.111.255.255', 2809069568, 2809135103, 'SA', 'Saudi Arabia'),
(80463, '167.112.0.0', '167.122.255.255', 2809135104, 2809855999, 'US', 'United States'),
(80464, '167.123.0.0', '167.123.255.255', 2809856000, 2809921535, 'AU', 'Australia'),
(80465, '167.124.0.0', '167.124.255.255', 2809921536, 2809987071, 'US', 'United States'),
(80466, '167.125.0.0', '167.125.255.255', 2809987072, 2810052607, 'CA', 'Canada'),
(80467, '167.126.0.0', '167.128.255.255', 2810052608, 2810249215, 'US', 'United States'),
(80468, '167.129.0.0', '167.129.255.255', 2810249216, 2810314751, 'CA', 'Canada'),
(80469, '167.130.0.0', '167.130.255.255', 2810314752, 2810380287, 'AU', 'Australia'),
(80470, '167.131.0.0', '167.133.255.255', 2810380288, 2810576895, 'US', 'United States'),
(80471, '167.134.0.0', '167.134.255.255', 2810576896, 2810642431, 'VE', 'Venezuela'),
(80472, '167.135.0.0', '167.138.255.255', 2810642432, 2810904575, 'US', 'United States'),
(80473, '167.139.0.0', '167.139.255.255', 2810904576, 2810970111, 'CN', 'China'),
(80474, '167.140.0.0', '167.148.255.255', 2810970112, 2811559935, 'US', 'United States'),
(80475, '167.149.0.0', '167.149.255.255', 2811559936, 2811625471, 'CH', 'Switzerland'),
(80476, '167.150.0.0', '167.156.255.255', 2811625472, 2812084223, 'US', 'United States'),
(80477, '167.157.0.0', '167.157.255.255', 2812084224, 2812149759, 'BO', 'Bolivia'),
(80478, '167.158.0.0', '167.161.255.255', 2812149760, 2812411903, 'US', 'United States'),
(80479, '167.162.0.0', '167.162.255.255', 2812411904, 2812477439, 'AU', 'Australia'),
(80480, '167.163.0.0', '167.167.55.255', 2812477440, 2812753919, 'US', 'United States'),
(80481, '167.167.56.0', '167.167.63.255', 2812753920, 2812755967, 'BR', 'Brazil'),
(80482, '167.167.64.0', '167.167.95.255', 2812755968, 2812764159, 'US', 'United States'),
(80483, '167.167.96.0', '167.167.103.255', 2812764160, 2812766207, 'GB', 'United Kingdom'),
(80484, '167.167.104.0', '167.167.135.255', 2812766208, 2812774399, 'US', 'United States'),
(80485, '167.167.136.0', '167.167.143.255', 2812774400, 2812776447, 'GB', 'United Kingdom'),
(80486, '167.167.144.0', '167.167.151.255', 2812776448, 2812778495, 'DE', 'Germany'),
(80487, '167.167.152.0', '167.167.155.255', 2812778496, 2812779519, 'IT', 'Italy'),
(80488, '167.167.156.0', '167.167.159.255', 2812779520, 2812780543, 'FR', 'France'),
(80489, '167.167.160.0', '167.167.163.255', 2812780544, 2812781567, 'DK', 'Denmark'),
(80490, '167.167.164.0', '167.167.223.255', 2812781568, 2812796927, 'US', 'United States'),
(80491, '167.167.224.0', '167.167.231.255', 2812796928, 2812798975, 'AU', 'Australia'),
(80492, '167.167.232.0', '167.167.239.255', 2812798976, 2812801023, 'JP', 'Japan'),
(80493, '167.167.240.0', '167.167.247.255', 2812801024, 2812803071, 'US', 'United States'),
(80494, '167.167.248.0', '167.167.255.255', 2812803072, 2812805119, 'SG', 'Singapore'),
(80495, '167.168.0.0', '167.168.255.255', 2812805120, 2812870655, 'CH', 'Switzerland'),
(80496, '167.169.0.0', '167.169.255.255', 2812870656, 2812936191, 'JP', 'Japan'),
(80497, '167.170.0.0', '167.171.255.255', 2812936192, 2813067263, 'US', 'United States'),
(80498, '167.172.0.0', '167.172.208.0', 2813067264, 2813120512, 'GB', 'United Kingdom'),
(80499, '167.172.208.1', '167.172.208.1', 2813120513, 2813120513, 'US', 'United States'),
(80500, '167.172.208.2', '167.172.255.255', 2813120514, 2813132799, 'GB', 'United Kingdom'),
(80501, '167.173.0.0', '167.174.255.255', 2813132800, 2813263871, 'US', 'United States'),
(80502, '167.175.0.0', '167.175.255.255', 2813263872, 2813329407, 'JP', 'Japan'),
(80503, '167.176.0.0', '167.178.255.255', 2813329408, 2813526015, 'US', 'United States'),
(80504, '167.179.0.0', '167.179.255.255', 2813526016, 2813591551, 'NZ', 'New Zealand'),
(80505, '167.180.0.0', '167.188.255.255', 2813591552, 2814181375, 'US', 'United States'),
(80506, '167.189.0.0', '167.189.255.255', 2814181376, 2814246911, 'AU', 'Australia'),
(80507, '167.190.0.0', '167.191.252.255', 2814246912, 2814377215, 'US', 'United States'),
(80508, '167.191.253.0', '167.191.253.255', 2814377216, 2814377471, 'EU', 'Europe'),
(80509, '167.191.254.0', '167.201.255.255', 2814377472, 2815033343, 'US', 'United States'),
(80510, '167.202.0.0', '167.202.255.255', 2815033344, 2815098879, 'NL', 'Netherlands'),
(80511, '167.203.0.0', '167.203.48.179', 2815098880, 2815111347, 'GB', 'United Kingdom'),
(80512, '167.203.48.180', '167.203.48.180', 2815111348, 2815111348, 'US', 'United States'),
(80513, '167.203.48.181', '167.203.157.255', 2815111349, 2815139327, 'GB', 'United Kingdom'),
(80514, '167.203.158.0', '167.203.158.255', 2815139328, 2815139583, 'US', 'United States'),
(80515, '167.203.159.0', '167.203.255.255', 2815139584, 2815164415, 'GB', 'United Kingdom'),
(80516, '167.204.0.0', '167.204.255.255', 2815164416, 2815229951, 'US', 'United States'),
(80517, '167.205.0.0', '167.205.255.255', 2815229952, 2815295487, 'ID', 'Indonesia'),
(80518, '167.206.0.0', '167.216.139.255', 2815295488, 2815986687, 'US', 'United States'),
(80519, '167.216.140.0', '167.216.140.127', 2815986688, 2815986815, 'GB', 'United Kingdom'),
(80520, '167.216.140.128', '167.216.140.143', 2815986816, 2815986831, 'US', 'United States'),
(80521, '167.216.140.144', '167.216.142.15', 2815986832, 2815987215, 'GB', 'United Kingdom'),
(80522, '167.216.142.16', '167.216.142.31', 2815987216, 2815987231, 'US', 'United States'),
(80523, '167.216.142.32', '167.216.142.71', 2815987232, 2815987271, 'GB', 'United Kingdom'),
(80524, '167.216.142.72', '167.216.142.127', 2815987272, 2815987327, 'US', 'United States'),
(80525, '167.216.142.128', '167.216.142.191', 2815987328, 2815987391, 'GB', 'United Kingdom'),
(80526, '167.216.142.192', '167.216.143.255', 2815987392, 2815987711, 'US', 'United States'),
(80527, '167.216.144.0', '167.216.146.127', 2815987712, 2815988351, 'FR', 'France'),
(80528, '167.216.146.128', '167.216.146.159', 2815988352, 2815988383, 'GB', 'United Kingdom'),
(80529, '167.216.146.160', '167.216.146.255', 2815988384, 2815988479, 'US', 'United States'),
(80530, '167.216.147.0', '167.216.147.63', 2815988480, 2815988543, 'GB', 'United Kingdom'),
(80531, '167.216.147.64', '167.216.196.127', 2815988544, 2816001151, 'US', 'United States'),
(80532, '167.216.196.128', '167.216.196.159', 2816001152, 2816001183, 'DE', 'Germany'),
(80533, '167.216.196.160', '167.216.210.95', 2816001184, 2816004703, 'US', 'United States'),
(80534, '167.216.210.96', '167.216.210.103', 2816004704, 2816004711, 'GB', 'United Kingdom'),
(80535, '167.216.210.104', '167.216.223.255', 2816004712, 2816008191, 'US', 'United States'),
(80536, '167.216.224.0', '167.216.224.15', 2816008192, 2816008207, 'IE', 'Ireland'),
(80537, '167.216.224.16', '167.219.47.255', 2816008208, 2816159743, 'US', 'United States'),
(80538, '167.219.48.0', '167.219.48.255', 2816159744, 2816159999, 'IN', 'India'),
(80539, '167.219.49.0', '167.226.255.255', 2816160000, 2816671743, 'US', 'United States'),
(80540, '167.227.0.0', '167.227.255.255', 2816671744, 2816737279, 'CA', 'Canada'),
(80541, '167.228.0.0', '167.232.232.255', 2816737280, 2817059071, 'US', 'United States'),
(80542, '167.232.233.0', '167.232.233.255', 2817059072, 2817059327, 'AP', 'Asia/Pacific Region'),
(80543, '167.232.234.0', '167.232.239.255', 2817059328, 2817060863, 'US', 'United States'),
(80544, '167.232.240.0', '167.232.240.255', 2817060864, 2817061119, 'EU', 'Europe'),
(80545, '167.232.241.0', '167.232.247.255', 2817061120, 2817062911, 'LU', 'Luxembourg'),
(80546, '167.232.248.0', '167.236.247.255', 2817062912, 2817325055, 'US', 'United States'),
(80547, '167.236.248.0', '167.236.248.255', 2817325056, 2817325311, 'EU', 'Europe'),
(80548, '167.236.249.0', '167.246.63.0', 2817325312, 2817933056, 'US', 'United States'),
(80549, '167.246.63.1', '167.246.63.2', 2817933057, 2817933058, 'CA', 'Canada'),
(80550, '167.246.63.3', '167.247.14.255', 2817933059, 2817986303, 'US', 'United States'),
(80551, '167.247.15.0', '167.247.15.255', 2817986304, 2817986559, 'AP', 'Asia/Pacific Region'),
(80552, '167.247.16.0', '167.247.219.9', 2817986560, 2818038537, 'US', 'United States'),
(80553, '167.247.219.10', '167.247.219.10', 2818038538, 2818038538, 'AP', 'Asia/Pacific Region'),
(80554, '167.247.219.11', '167.251.255.255', 2818038539, 2818310143, 'US', 'United States'),
(80555, '167.252.0.0', '167.252.255.255', 2818310144, 2818375679, 'AR', 'Argentina'),
(80556, '167.253.0.0', '167.255.255.255', 2818375680, 2818572287, 'US', 'United States'),
(80557, '168.1.0.0', '168.1.255.255', 2818637824, 2818703359, 'CH', 'Switzerland'),
(80558, '168.2.0.0', '168.69.255.255', 2818703360, 2823159807, 'US', 'United States'),
(80559, '168.70.0.0', '168.70.255.255', 2823159808, 2823225343, 'HK', 'Hong Kong'),
(80560, '168.71.0.0', '168.75.255.255', 2823225344, 2823553023, 'US', 'United States'),
(80561, '168.76.0.0', '168.76.255.255', 2823553024, 2823618559, 'ZA', 'South Africa'),
(80562, '168.77.0.0', '168.77.255.255', 2823618560, 2823684095, 'PA', 'Panama'),
(80563, '168.78.0.0', '168.78.255.255', 2823684096, 2823749631, 'KR', 'Korea, Republic of'),
(80564, '168.79.0.0', '168.79.255.255', 2823749632, 2823815167, 'JP', 'Japan'),
(80565, '168.80.0.0', '168.81.255.255', 2823815168, 2823946239, 'ZA', 'South Africa'),
(80566, '168.82.0.0', '168.82.255.255', 2823946240, 2824011775, 'US', 'United States'),
(80567, '168.83.0.0', '168.83.255.255', 2824011776, 2824077311, 'AR', 'Argentina'),
(80568, '168.84.0.0', '168.88.255.255', 2824077312, 2824404991, 'US', 'United States'),
(80569, '168.89.0.0', '168.89.255.255', 2824404992, 2824470527, 'ZA', 'South Africa'),
(80570, '168.91.0.0', '168.94.255.255', 2824536064, 2824798207, 'US', 'United States'),
(80571, '168.95.0.0', '168.95.255.255', 2824798208, 2824863743, 'TW', 'Taiwan'),
(80572, '168.96.0.0', '168.96.255.255', 2824863744, 2824929279, 'AR', 'Argentina'),
(80573, '168.97.0.0', '168.100.255.255', 2824929280, 2825191423, 'US', 'United States'),
(80574, '168.101.0.0', '168.101.255.255', 2825191424, 2825256959, 'AR', 'Argentina'),
(80575, '168.102.0.0', '168.105.255.255', 2825256960, 2825519103, 'US', 'United States'),
(80576, '168.106.0.0', '168.106.255.255', 2825519104, 2825584639, 'HK', 'Hong Kong'),
(80577, '168.107.0.0', '168.114.255.255', 2825584640, 2826108927, 'US', 'United States'),
(80578, '168.115.0.0', '168.115.255.255', 2826108928, 2826174463, 'KR', 'Korea, Republic of'),
(80579, '168.116.0.0', '168.119.255.255', 2826174464, 2826436607, 'US', 'United States'),
(80580, '168.120.0.0', '168.120.255.255', 2826436608, 2826502143, 'TH', 'Thailand'),
(80581, '168.122.0.0', '168.122.255.255', 2826567680, 2826633215, 'US', 'United States'),
(80582, '168.123.0.0', '168.123.255.255', 2826633216, 2826698751, 'GU', 'Guam'),
(80583, '168.124.0.0', '168.125.255.255', 2826698752, 2826829823, 'US', 'United States'),
(80584, '168.126.0.0', '168.126.255.255', 2826829824, 2826895359, 'KR', 'Korea, Republic of'),
(80585, '168.127.0.0', '168.127.255.255', 2826895360, 2826960895, 'US', 'United States'),
(80586, '168.128.0.0', '168.128.255.255', 2826960896, 2827026431, 'ZA', 'South Africa'),
(80587, '168.129.0.0', '168.129.255.255', 2827026432, 2827091967, 'US', 'United States'),
(80588, '168.130.0.0', '168.130.255.255', 2827091968, 2827157503, 'AU', 'Australia'),
(80589, '168.131.0.0', '168.131.255.255', 2827157504, 2827223039, 'KR', 'Korea, Republic of'),
(80590, '168.132.0.0', '168.132.255.255', 2827223040, 2827288575, 'AU', 'Australia'),
(80591, '168.133.0.0', '168.133.255.255', 2827288576, 2827354111, 'US', 'United States'),
(80592, '168.134.0.0', '168.134.255.255', 2827354112, 2827419647, 'AU', 'Australia'),
(80593, '168.135.0.0', '168.138.255.255', 2827419648, 2827681791, 'US', 'United States'),
(80594, '168.139.0.0', '168.139.255.255', 2827681792, 2827747327, 'TR', 'Turkey'),
(80595, '168.140.0.0', '168.140.255.255', 2827747328, 2827812863, 'AU', 'Australia'),
(80596, '168.141.0.0', '168.141.255.255', 2827812864, 2827878399, 'US', 'United States'),
(80597, '168.142.0.0', '168.142.255.255', 2827878400, 2827943935, 'ZA', 'South Africa'),
(80598, '168.143.0.0', '168.143.111.255', 2827943936, 2827972607, 'US', 'United States'),
(80599, '168.143.112.0', '168.143.115.255', 2827972608, 2827973631, 'A1', 'Anonymous Proxy'),
(80600, '168.143.116.0', '168.143.117.127', 2827973632, 2827974015, 'US', 'United States'),
(80601, '168.143.117.128', '168.143.117.255', 2827974016, 2827974143, 'A1', 'Anonymous Proxy'),
(80602, '168.143.118.0', '168.143.119.255', 2827974144, 2827974655, 'US', 'United States'),
(80603, '168.143.120.0', '168.143.120.127', 2827974656, 2827974783, 'A1', 'Anonymous Proxy'),
(80604, '168.143.120.128', '168.143.123.63', 2827974784, 2827975487, 'US', 'United States'),
(80605, '168.143.123.64', '168.143.123.127', 2827975488, 2827975551, 'A1', 'Anonymous Proxy'),
(80606, '168.143.123.128', '168.143.185.175', 2827975552, 2827991471, 'US', 'United States'),
(80607, '168.143.185.176', '168.143.185.191', 2827991472, 2827991487, 'A1', 'Anonymous Proxy'),
(80608, '168.143.185.192', '168.143.185.207', 2827991488, 2827991503, 'US', 'United States'),
(80609, '168.143.185.208', '168.143.185.223', 2827991504, 2827991519, 'A1', 'Anonymous Proxy'),
(80610, '168.143.185.224', '168.143.255.255', 2827991520, 2828009471, 'US', 'United States'),
(80611, '168.144.0.0', '168.144.255.255', 2828009472, 2828075007, 'CA', 'Canada'),
(80612, '168.145.0.0', '168.151.255.255', 2828075008, 2828533759, 'US', 'United States'),
(80613, '168.152.0.0', '168.153.255.255', 2828533760, 2828664831, 'AU', 'Australia'),
(80614, '168.154.0.0', '168.154.255.255', 2828664832, 2828730367, 'KR', 'Korea, Republic of'),
(80615, '168.155.0.0', '168.155.255.255', 2828730368, 2828795903, 'ZA', 'South Africa'),
(80616, '168.156.0.0', '168.159.255.255', 2828795904, 2829058047, 'US', 'United States'),
(80617, '168.160.0.0', '168.160.255.255', 2829058048, 2829123583, 'CN', 'China'),
(80618, '168.161.0.0', '168.161.95.255', 2829123584, 2829148159, 'US', 'United States'),
(80619, '168.161.96.0', '168.161.96.255', 2829148160, 2829148415, 'HK', 'Hong Kong'),
(80620, '168.161.97.0', '168.161.199.255', 2829148416, 2829174783, 'US', 'United States'),
(80621, '168.161.200.0', '168.161.203.255', 2829174784, 2829175807, 'GB', 'United Kingdom'),
(80622, '168.161.204.0', '168.161.205.255', 2829175808, 2829176319, 'US', 'United States'),
(80623, '168.161.206.0', '168.161.207.255', 2829176320, 2829176831, 'DE', 'Germany'),
(80624, '168.161.208.0', '168.161.209.255', 2829176832, 2829177343, 'JP', 'Japan'),
(80625, '168.161.210.0', '168.161.211.255', 2829177344, 2829177855, 'AU', 'Australia'),
(80626, '168.161.212.0', '168.161.213.255', 2829177856, 2829178367, 'HK', 'Hong Kong'),
(80627, '168.161.214.0', '168.161.215.255', 2829178368, 2829178879, 'US', 'United States'),
(80628, '168.161.216.0', '168.161.217.255', 2829178880, 2829179391, 'MX', 'Mexico'),
(80629, '168.161.218.0', '168.161.219.255', 2829179392, 2829179903, 'BR', 'Brazil'),
(80630, '168.161.220.0', '168.161.223.255', 2829179904, 2829180927, 'IN', 'India'),
(80631, '168.161.224.0', '168.161.227.255', 2829180928, 2829181951, 'CN', 'China'),
(80632, '168.161.228.0', '168.161.229.255', 2829181952, 2829182463, 'US', 'United States'),
(80633, '168.161.230.0', '168.161.231.255', 2829182464, 2829182975, 'VE', 'Venezuela'),
(80634, '168.161.232.0', '168.162.255.255', 2829182976, 2829254655, 'US', 'United States'),
(80635, '168.163.0.0', '168.163.255.255', 2829254656, 2829320191, 'CH', 'Switzerland'),
(80636, '168.164.0.0', '168.164.255.255', 2829320192, 2829385727, 'ZA', 'South Africa'),
(80637, '168.165.0.0', '168.165.255.255', 2829385728, 2829451263, 'MX', 'Mexico'),
(80638, '168.166.0.0', '168.166.255.255', 2829451264, 2829516799, 'US', 'United States'),
(80639, '168.167.0.0', '168.167.255.255', 2829516800, 2829582335, 'BW', 'Botswana'),
(80640, '168.168.0.0', '168.168.33.249', 2829582336, 2829591033, 'US', 'United States'),
(80641, '168.168.33.250', '168.168.33.250', 2829591034, 2829591034, 'EU', 'Europe'),
(80642, '168.168.33.251', '168.168.42.255', 2829591035, 2829593343, 'US', 'United States'),
(80643, '168.168.43.0', '168.168.43.255', 2829593344, 2829593599, 'EU', 'Europe'),
(80644, '168.168.44.0', '168.171.255.255', 2829593600, 2829844479, 'US', 'United States'),
(80645, '168.172.0.0', '168.172.255.255', 2829844480, 2829910015, 'ZA', 'South Africa'),
(80646, '168.173.0.0', '168.175.98.255', 2829910016, 2830066431, 'US', 'United States'),
(80647, '168.175.99.0', '168.175.99.255', 2830066432, 2830066687, 'HK', 'Hong Kong'),
(80648, '168.175.100.0', '168.175.255.255', 2830066688, 2830106623, 'US', 'United States'),
(80649, '168.176.0.0', '168.176.255.255', 2830106624, 2830172159, 'CO', 'Colombia'),
(80650, '168.177.0.0', '168.180.255.255', 2830172160, 2830434303, 'US', 'United States'),
(80651, '168.182.0.0', '168.183.83.255', 2830499840, 2830586879, 'US', 'United States'),
(80652, '168.183.84.0', '168.183.84.255', 2830586880, 2830587135, 'EU', 'Europe'),
(80653, '168.183.85.0', '168.185.255.255', 2830587136, 2830761983, 'US', 'United States'),
(80654, '168.186.0.0', '168.186.255.255', 2830761984, 2830827519, 'AU', 'Australia'),
(80655, '168.187.0.0', '168.187.10.255', 2830827520, 2830830335, 'KW', 'Kuwait'),
(80656, '168.187.11.0', '168.187.11.255', 2830830336, 2830830591, 'US', 'United States'),
(80657, '168.187.12.0', '168.187.102.255', 2830830592, 2830853887, 'KW', 'Kuwait'),
(80658, '168.187.103.0', '168.187.103.255', 2830853888, 2830854143, 'US', 'United States'),
(80659, '168.187.104.0', '168.187.110.255', 2830854144, 2830855935, 'KW', 'Kuwait'),
(80660, '168.187.111.0', '168.187.111.255', 2830855936, 2830856191, 'US', 'United States'),
(80661, '168.187.112.0', '168.187.255.255', 2830856192, 2830893055, 'KW', 'Kuwait'),
(80662, '168.188.0.0', '168.188.255.255', 2830893056, 2830958591, 'KR', 'Korea, Republic of'),
(80663, '168.189.0.0', '168.193.255.255', 2830958592, 2831286271, 'US', 'United States'),
(80664, '168.198.0.0', '168.198.255.255', 2831548416, 2831613951, 'AU', 'Australia'),
(80665, '168.199.0.0', '168.201.255.255', 2831613952, 2831810559, 'US', 'United States'),
(80666, '168.202.0.0', '168.202.255.255', 2831810560, 2831876095, 'IT', 'Italy'),
(80667, '168.203.0.0', '168.204.255.255', 2831876096, 2832007167, 'US', 'United States'),
(80668, '168.206.0.0', '168.206.255.255', 2832072704, 2832138239, 'ZA', 'South Africa'),
(80669, '168.207.0.0', '168.208.255.255', 2832138240, 2832269311, 'US', 'United States'),
(80670, '168.209.0.0', '168.210.255.255', 2832269312, 2832400383, 'ZA', 'South Africa'),
(80671, '168.212.0.0', '168.216.255.255', 2832465920, 2832793599, 'US', 'United States'),
(80672, '168.217.0.0', '168.217.255.255', 2832793600, 2832859135, 'AU', 'Australia'),
(80673, '168.218.0.0', '168.218.255.255', 2832859136, 2832924671, 'US', 'United States'),
(80674, '168.219.0.0', '168.219.255.255', 2832924672, 2832990207, 'KR', 'Korea, Republic of'),
(80675, '168.220.0.0', '168.224.1.13', 2832990208, 2833252621, 'US', 'United States'),
(80676, '168.224.1.14', '168.224.1.14', 2833252622, 2833252622, 'GB', 'United Kingdom'),
(80677, '168.224.1.15', '168.224.159.255', 2833252623, 2833293311, 'US', 'United States'),
(80678, '168.224.160.0', '168.224.160.255', 2833293312, 2833293567, 'EU', 'Europe'),
(80679, '168.224.161.0', '168.225.255.255', 2833293568, 2833383423, 'US', 'United States'),
(80680, '168.226.0.0', '168.226.255.255', 2833383424, 2833448959, 'AR', 'Argentina'),
(80681, '168.229.0.0', '168.230.239.255', 2833580032, 2833707007, 'US', 'United States'),
(80682, '168.230.240.0', '168.230.240.255', 2833707008, 2833707263, 'GB', 'United Kingdom'),
(80683, '168.230.241.0', '168.230.255.255', 2833707264, 2833711103, 'US', 'United States'),
(80684, '168.231.0.0', '168.231.255.255', 2833711104, 2833776639, 'CL', 'Chile'),
(80685, '168.233.0.0', '168.233.255.255', 2833842176, 2833907711, 'US', 'United States'),
(80686, '168.234.0.0', '168.234.255.255', 2833907712, 2833973247, 'GT', 'Guatemala'),
(80687, '168.235.0.0', '168.235.63.255', 2833973248, 2833989631, 'US', 'United States'),
(80688, '168.236.0.0', '168.242.255.255', 2834038784, 2834497535, 'US', 'United States'),
(80689, '168.243.0.0', '168.243.255.255', 2834497536, 2834563071, 'SV', 'El Salvador'),
(80690, '168.244.0.0', '168.247.255.255', 2834563072, 2834825215, 'US', 'United States'),
(80691, '168.248.0.0', '168.249.255.255', 2834825216, 2834956287, 'KR', 'Korea, Republic of'),
(80692, '168.250.0.0', '168.251.255.255', 2834956288, 2835087359, 'US', 'United States'),
(80693, '168.252.0.0', '168.252.255.255', 2835087360, 2835152895, 'AU', 'Australia'),
(80694, '168.254.0.0', '168.254.255.255', 2835218432, 2835283967, 'US', 'United States'),
(80695, '168.255.0.0', '168.255.255.255', 2835283968, 2835349503, 'MX', 'Mexico'),
(80696, '169.0.0.0', '169.31.255.255', 2835349504, 2837446655, 'US', 'United States'),
(80697, '169.32.0.0', '169.63.255.255', 2837446656, 2839543807, 'CH', 'Switzerland'),
(80698, '169.64.0.0', '169.71.49.255', 2839543808, 2840015359, 'US', 'United States'),
(80699, '169.71.50.0', '169.71.50.255', 2840015360, 2840015615, 'GB', 'United Kingdom'),
(80700, '169.71.51.0', '169.128.255.255', 2840015616, 2843803647, 'US', 'United States'),
(80701, '169.129.0.0', '169.129.255.255', 2843803648, 2843869183, 'ZA', 'South Africa'),
(80702, '169.130.0.0', '169.139.255.255', 2843869184, 2844524543, 'US', 'United States'),
(80703, '169.140.0.0', '169.140.255.255', 2844524544, 2844590079, 'KR', 'Korea, Republic of'),
(80704, '169.141.0.0', '169.143.242.255', 2844590080, 2844783359, 'US', 'United States'),
(80705, '169.143.243.0', '169.143.243.255', 2844783360, 2844783615, 'AU', 'Australia'),
(80706, '169.143.244.0', '169.143.247.255', 2844783616, 2844784639, 'DE', 'Germany'),
(80707, '169.143.248.0', '169.145.196.255', 2844784640, 2844902655, 'US', 'United States'),
(80708, '169.145.197.0', '169.145.197.255', 2844902656, 2844902911, 'SG', 'Singapore'),
(80709, '169.145.198.0', '169.145.235.255', 2844902912, 2844912639, 'US', 'United States'),
(80710, '169.145.236.0', '169.145.236.255', 2844912640, 2844912895, 'JP', 'Japan'),
(80711, '169.145.237.0', '169.157.255.255', 2844912896, 2845704191, 'US', 'United States'),
(80712, '169.158.0.0', '169.158.199.255', 2845704192, 2845755391, 'CU', 'Cuba'),
(80713, '169.158.200.0', '169.158.200.255', 2845755392, 2845755647, 'EU', 'Europe'),
(80714, '169.158.201.0', '169.158.255.255', 2845755648, 2845769727, 'CU', 'Cuba'),
(80715, '169.160.0.0', '169.200.255.255', 2845835264, 2848522239, 'US', 'United States'),
(80716, '169.201.0.0', '169.201.255.255', 2848522240, 2848587775, 'AU', 'Australia'),
(80717, '169.202.0.0', '169.202.255.255', 2848587776, 2848653311, 'ZA', 'South Africa'),
(80718, '169.203.0.0', '169.207.255.255', 2848653312, 2848980991, 'US', 'United States'),
(80719, '169.208.0.0', '169.222.255.255', 2848980992, 2849964031, 'KR', 'Korea, Republic of'),
(80720, '169.223.0.0', '169.223.255.255', 2849964032, 2850029567, 'HK', 'Hong Kong'),
(80721, '169.224.0.0', '169.253.255.255', 2850029568, 2851995647, 'US', 'United States'),
(80722, '170.0.0.0', '170.9.0.109', 2852126720, 2852716653, 'US', 'United States'),
(80723, '170.9.0.110', '170.9.0.110', 2852716654, 2852716654, 'AU', 'Australia'),
(80724, '170.9.0.111', '170.17.255.255', 2852716655, 2853306367, 'US', 'United States'),
(80725, '170.18.0.0', '170.18.255.255', 2853306368, 2853371903, 'CL', 'Chile'),
(80726, '170.19.0.0', '170.24.255.255', 2853371904, 2853765119, 'US', 'United States'),
(80727, '170.25.0.0', '170.25.255.255', 2853765120, 2853830655, 'MX', 'Mexico'),
(80728, '170.26.0.0', '170.37.255.255', 2853830656, 2854617087, 'US', 'United States'),
(80729, '170.38.0.0', '170.38.255.255', 2854617088, 2854682623, 'MY', 'Malaysia'),
(80730, '170.40.0.0', '170.50.255.255', 2854748160, 2855469055, 'US', 'United States'),
(80731, '170.51.0.0', '170.51.47.255', 2855469056, 2855481343, 'PY', 'Paraguay'),
(80732, '170.51.48.0', '170.51.63.255', 2855481344, 2855485439, 'AR', 'Argentina'),
(80733, '170.51.64.0', '170.51.127.255', 2855485440, 2855501823, 'UY', 'Uruguay'),
(80734, '170.51.128.0', '170.51.255.255', 2855501824, 2855534591, 'AR', 'Argentina'),
(80735, '170.52.0.0', '170.54.159.255', 2855534592, 2855706623, 'US', 'United States'),
(80736, '170.54.160.0', '170.54.160.255', 2855706624, 2855706879, 'EU', 'Europe'),
(80737, '170.54.161.0', '170.59.255.255', 2855706880, 2856058879, 'US', 'United States'),
(80738, '170.60.0.0', '170.60.255.255', 2856058880, 2856124415, 'CH', 'Switzerland'),
(80739, '170.61.0.0', '170.65.255.255', 2856124416, 2856452095, 'US', 'United States'),
(80740, '170.66.0.0', '170.66.255.255', 2856452096, 2856517631, 'BR', 'Brazil'),
(80741, '170.67.0.0', '170.69.255.255', 2856517632, 2856714239, 'US', 'United States'),
(80742, '170.70.0.0', '170.70.255.255', 2856714240, 2856779775, 'MX', 'Mexico'),
(80743, '170.71.0.0', '170.79.255.255', 2856779776, 2857369599, 'US', 'United States'),
(80744, '170.85.0.0', '170.86.14.255', 2857697280, 2857766655, 'US', 'United States'),
(80745, '170.86.15.0', '170.86.15.255', 2857766656, 2857766911, 'EU', 'Europe'),
(80746, '170.86.16.0', '170.104.255.255', 2857766912, 2859007999, 'US', 'United States'),
(80747, '170.105.0.0', '170.105.255.255', 2859008000, 2859073535, 'JP', 'Japan'),
(80748, '170.106.0.0', '170.148.95.255', 2859073536, 2861850623, 'US', 'United States'),
(80749, '170.148.96.0', '170.148.96.255', 2861850624, 2861850879, 'AP', 'Asia/Pacific Region'),
(80750, '170.148.97.0', '170.148.98.255', 2861850880, 2861851391, 'HK', 'Hong Kong'),
(80751, '170.148.99.0', '170.148.99.255', 2861851392, 2861851647, 'AP', 'Asia/Pacific Region'),
(80752, '170.148.100.0', '170.148.137.255', 2861851648, 2861861375, 'HK', 'Hong Kong'),
(80753, '170.148.138.0', '170.149.255.255', 2861861376, 2861957119, 'US', 'United States'),
(80754, '170.151.0.0', '170.154.255.255', 2862022656, 2862284799, 'US', 'United States'),
(80755, '170.155.0.0', '170.155.255.255', 2862284800, 2862350335, 'AR', 'Argentina'),
(80756, '170.156.0.0', '170.156.255.255', 2862350336, 2862415871, 'US', 'United States'),
(80757, '170.157.0.0', '170.157.255.255', 2862415872, 2862481407, 'AU', 'Australia'),
(80758, '170.158.0.0', '170.162.32.255', 2862481408, 2862751999, 'US', 'United States'),
(80759, '170.162.33.0', '170.162.33.255', 2862752000, 2862752255, 'EU', 'Europe'),
(80760, '170.162.34.0', '170.168.255.255', 2862752256, 2863202303, 'US', 'United States'),
(80761, '170.169.0.0', '170.169.255.255', 2863202304, 2863267839, 'MX', 'Mexico'),
(80762, '170.170.0.0', '170.174.255.255', 2863267840, 2863595519, 'US', 'United States'),
(80763, '170.175.0.0', '170.175.255.255', 2863595520, 2863661055, 'CA', 'Canada'),
(80764, '170.176.0.0', '170.178.255.255', 2863661056, 2863857663, 'US', 'United States'),
(80765, '170.179.0.0', '170.179.255.255', 2863857664, 2863923199, 'SG', 'Singapore'),
(80766, '170.180.0.0', '170.194.15.255', 2863923200, 2864844799, 'US', 'United States'),
(80767, '170.194.16.0', '170.194.16.255', 2864844800, 2864845055, 'NL', 'Netherlands'),
(80768, '170.194.17.0', '170.194.31.255', 2864845056, 2864848895, 'US', 'United States'),
(80769, '170.194.32.0', '170.194.32.255', 2864848896, 2864849151, 'GB', 'United Kingdom'),
(80770, '170.194.33.0', '170.202.204.241', 2864849152, 2865417457, 'US', 'United States'),
(80771, '170.202.204.242', '170.202.204.242', 2865417458, 2865417458, 'GB', 'United Kingdom'),
(80772, '170.202.204.243', '170.205.63.255', 2865417459, 2865577983, 'US', 'United States'),
(80773, '170.205.64.0', '170.205.191.255', 2865577984, 2865610751, 'BE', 'Belgium'),
(80774, '170.205.192.0', '170.209.255.255', 2865610752, 2865889279, 'US', 'United States'),
(80775, '170.210.0.0', '170.210.255.255', 2865889280, 2865954815, 'AR', 'Argentina'),
(80776, '170.211.0.0', '170.235.255.255', 2865954816, 2867593215, 'US', 'United States'),
(80777, '170.236.0.0', '170.236.179.255', 2867593216, 2867639295, 'CH', 'Switzerland'),
(80778, '170.236.180.0', '170.236.180.255', 2867639296, 2867639551, 'AT', 'Austria'),
(80779, '170.236.181.0', '170.237.255.255', 2867639552, 2867724287, 'CH', 'Switzerland'),
(80780, '170.240.0.0', '170.243.255.255', 2867855360, 2868117503, 'US', 'United States'),
(80781, '170.248.0.0', '170.251.113.192', 2868379648, 2868605376, 'US', 'United States'),
(80782, '170.251.113.193', '170.251.113.193', 2868605377, 2868605377, 'NO', 'Norway'),
(80783, '170.251.113.194', '170.252.63.255', 2868605378, 2868658175, 'US', 'United States'),
(80784, '170.252.64.0', '170.252.64.255', 2868658176, 2868658431, 'GB', 'United Kingdom'),
(80785, '170.252.65.0', '170.252.71.255', 2868658432, 2868660223, 'US', 'United States'),
(80786, '170.252.72.0', '170.252.72.255', 2868660224, 2868660479, 'EU', 'Europe'),
(80787, '170.252.73.0', '170.252.79.255', 2868660480, 2868662271, 'US', 'United States'),
(80788, '170.252.80.0', '170.252.80.255', 2868662272, 2868662527, 'EU', 'Europe'),
(80789, '170.252.81.0', '170.252.136.0', 2868662528, 2868676608, 'US', 'United States'),
(80790, '170.252.136.1', '170.252.136.1', 2868676609, 2868676609, 'AU', 'Australia'),
(80791, '170.252.136.2', '170.252.160.0', 2868676610, 2868682752, 'US', 'United States'),
(80792, '170.252.160.1', '170.252.160.1', 2868682753, 2868682753, 'AP', 'Asia/Pacific Region'),
(80793, '170.252.160.2', '170.253.255.255', 2868682754, 2868772863, 'US', 'United States'),
(80794, '170.255.0.0', '170.255.255.255', 2868838400, 2868903935, 'BE', 'Belgium'),
(80795, '171.0.0.0', '171.1.255.255', 2868903936, 2869035007, 'SG', 'Singapore'),
(80796, '171.2.0.0', '171.3.255.255', 2869035008, 2869166079, 'JP', 'Japan'),
(80797, '171.4.0.0', '171.7.255.255', 2869166080, 2869428223, 'TH', 'Thailand'),
(80798, '171.8.0.0', '171.15.255.255', 2869428224, 2869952511, 'CN', 'China'),
(80799, '171.16.0.0', '171.16.255.255', 2869952512, 2870018047, 'FR', 'France'),
(80800, '171.17.0.0', '171.17.255.255', 2870018048, 2870083583, 'DE', 'Germany'),
(80801, '171.18.0.0', '171.18.16.255', 2870083584, 2870087935, 'FR', 'France'),
(80802, '171.18.17.0', '171.18.17.255', 2870087936, 2870088191, 'ES', 'Spain'),
(80803, '171.18.18.0', '171.18.20.255', 2870088192, 2870088959, 'FR', 'France'),
(80804, '171.18.21.0', '171.18.21.31', 2870088960, 2870088991, 'ES', 'Spain'),
(80805, '171.18.21.32', '171.18.23.255', 2870088992, 2870089727, 'FR', 'France'),
(80806, '171.18.24.0', '171.18.31.255', 2870089728, 2870091775, 'DE', 'Germany'),
(80807, '171.18.32.0', '171.18.47.255', 2870091776, 2870095871, 'FR', 'France'),
(80808, '171.18.48.0', '171.18.49.255', 2870095872, 2870096383, 'SG', 'Singapore'),
(80809, '171.18.50.0', '171.18.255.255', 2870096384, 2870149119, 'FR', 'France'),
(80810, '171.19.0.0', '171.19.255.255', 2870149120, 2870214655, 'HU', 'Hungary'),
(80811, '171.20.0.0', '171.20.255.255', 2870214656, 2870280191, 'DK', 'Denmark'),
(80812, '171.21.0.0', '171.21.255.255', 2870280192, 2870345727, 'NL', 'Netherlands'),
(80813, '171.22.0.0', '171.22.255.255', 2870345728, 2870411263, 'GB', 'United Kingdom'),
(80814, '171.23.0.0', '171.23.255.255', 2870411264, 2870476799, 'NO', 'Norway'),
(80815, '171.24.0.0', '171.24.255.255', 2870476800, 2870542335, 'DE', 'Germany'),
(80816, '171.25.0.0', '171.25.127.255', 2870542336, 2870575103, 'CH', 'Switzerland'),
(80817, '171.25.128.0', '171.25.159.255', 2870575104, 2870583295, 'SE', 'Sweden'),
(80818, '171.25.160.0', '171.25.163.255', 2870583296, 2870584319, 'NO', 'Norway'),
(80819, '171.25.164.0', '171.25.167.255', 2870584320, 2870585343, 'RU', 'Russian Federation'),
(80820, '171.25.168.0', '171.25.175.255', 2870585344, 2870587391, 'UA', 'Ukraine'),
(80821, '171.25.176.0', '171.25.176.255', 2870587392, 2870587647, 'CZ', 'Czech Republic'),
(80822, '171.25.177.0', '171.25.177.255', 2870587648, 2870587903, 'RU', 'Russian Federation'),
(80823, '171.25.178.0', '171.25.178.255', 2870587904, 2870588159, 'DE', 'Germany'),
(80824, '171.25.179.0', '171.25.179.255', 2870588160, 2870588415, 'NL', 'Netherlands'),
(80825, '171.25.180.0', '171.25.181.255', 2870588416, 2870588927, 'HU', 'Hungary'),
(80826, '171.25.182.0', '171.25.183.255', 2870588928, 2870589439, 'PL', 'Poland'),
(80827, '171.25.184.0', '171.25.189.255', 2870589440, 2870590975, 'RU', 'Russian Federation'),
(80828, '171.25.190.0', '171.25.190.255', 2870590976, 2870591231, 'LV', 'Latvia'),
(80829, '171.25.191.0', '171.25.191.255', 2870591232, 2870591487, 'IT', 'Italy'),
(80830, '171.25.192.0', '171.25.192.255', 2870591488, 2870591743, 'PL', 'Poland'),
(80831, '171.25.193.0', '171.25.193.255', 2870591744, 2870591999, 'SE', 'Sweden'),
(80832, '171.25.194.0', '171.25.195.255', 2870592000, 2870592511, 'RU', 'Russian Federation'),
(80833, '171.25.196.0', '171.25.199.255', 2870592512, 2870593535, 'PL', 'Poland'),
(80834, '171.25.200.0', '171.25.201.255', 2870593536, 2870594047, 'GB', 'United Kingdom'),
(80835, '171.25.202.0', '171.25.203.255', 2870594048, 2870594559, 'RU', 'Russian Federation'),
(80836, '171.25.204.0', '171.25.207.255', 2870594560, 2870595583, 'UA', 'Ukraine'),
(80837, '171.25.208.0', '171.25.211.255', 2870595584, 2870596607, 'FR', 'France'),
(80838, '171.25.212.0', '171.25.215.255', 2870596608, 2870597631, 'RU', 'Russian Federation'),
(80839, '171.25.216.0', '171.25.216.255', 2870597632, 2870597887, 'PL', 'Poland'),
(80840, '171.25.217.0', '171.25.217.255', 2870597888, 2870598143, 'BE', 'Belgium'),
(80841, '171.25.218.0', '171.25.219.255', 2870598144, 2870598655, 'LV', 'Latvia'),
(80842, '171.25.220.0', '171.25.222.255', 2870598656, 2870599423, 'CZ', 'Czech Republic'),
(80843, '171.25.223.0', '171.25.223.255', 2870599424, 2870599679, 'RO', 'Romania'),
(80844, '171.25.224.0', '171.25.224.255', 2870599680, 2870599935, 'KW', 'Kuwait');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(80845, '171.25.225.0', '171.25.225.255', 2870599936, 2870600191, 'DE', 'Germany'),
(80846, '171.25.226.0', '171.25.227.255', 2870600192, 2870600703, 'PL', 'Poland'),
(80847, '171.25.228.0', '171.25.228.255', 2870600704, 2870600959, 'DK', 'Denmark'),
(80848, '171.25.229.0', '171.25.229.255', 2870600960, 2870601215, 'BE', 'Belgium'),
(80849, '171.25.230.0', '171.25.231.255', 2870601216, 2870601727, 'PL', 'Poland'),
(80850, '171.25.232.0', '171.25.235.255', 2870601728, 2870602751, 'RU', 'Russian Federation'),
(80851, '171.25.236.0', '171.25.241.255', 2870602752, 2870604287, 'UA', 'Ukraine'),
(80852, '171.25.242.0', '171.25.255.255', 2870604288, 2870607871, 'RU', 'Russian Federation'),
(80853, '171.26.0.0', '171.26.255.255', 2870607872, 2870673407, 'BE', 'Belgium'),
(80854, '171.27.0.0', '171.27.255.255', 2870673408, 2870738943, 'CH', 'Switzerland'),
(80855, '171.28.0.0', '171.30.255.255', 2870738944, 2870935551, 'GB', 'United Kingdom'),
(80856, '171.31.0.0', '171.31.255.255', 2870935552, 2871001087, 'HU', 'Hungary'),
(80857, '171.32.0.0', '171.32.255.255', 2871001088, 2871066623, 'SE', 'Sweden'),
(80858, '171.33.0.0', '171.33.63.255', 2871066624, 2871083007, 'CH', 'Switzerland'),
(80859, '171.33.64.0', '171.33.127.255', 2871083008, 2871099391, 'RO', 'Romania'),
(80860, '171.34.0.0', '171.47.255.255', 2871132160, 2872049663, 'CN', 'China'),
(80861, '171.48.0.0', '171.63.255.255', 2872049664, 2873098239, 'IN', 'India'),
(80862, '171.64.0.0', '171.75.255.255', 2873098240, 2873884671, 'US', 'United States'),
(80863, '171.76.0.0', '171.79.255.255', 2873884672, 2874146815, 'IN', 'India'),
(80864, '171.80.0.0', '171.95.255.255', 2874146816, 2875195391, 'CN', 'China'),
(80865, '171.96.0.0', '171.103.255.255', 2875195392, 2875719679, 'TH', 'Thailand'),
(80866, '171.104.0.0', '171.127.255.255', 2875719680, 2877292543, 'CN', 'China'),
(80867, '171.128.0.0', '171.159.47.255', 2877292544, 2879336447, 'US', 'United States'),
(80868, '171.159.48.0', '171.159.49.255', 2879336448, 2879336959, 'GB', 'United Kingdom'),
(80869, '171.159.50.0', '171.161.47.255', 2879336960, 2879467519, 'US', 'United States'),
(80870, '171.161.48.0', '171.161.49.255', 2879467520, 2879468031, 'AP', 'Asia/Pacific Region'),
(80871, '171.161.50.0', '171.161.55.255', 2879468032, 2879469567, 'US', 'United States'),
(80872, '171.161.56.0', '171.161.57.255', 2879469568, 2879470079, 'AP', 'Asia/Pacific Region'),
(80873, '171.161.58.0', '171.206.255.255', 2879470080, 2882469887, 'US', 'United States'),
(80874, '171.207.0.0', '171.207.255.255', 2882469888, 2882535423, 'SG', 'Singapore'),
(80875, '171.208.0.0', '171.223.255.255', 2882535424, 2883583999, 'CN', 'China'),
(80876, '171.224.0.0', '171.255.255.255', 2883584000, 2885681151, 'VN', 'Vietnam'),
(80877, '172.128.0.0', '172.140.255.255', 2894069760, 2894921727, 'US', 'United States'),
(80878, '172.141.0.0', '172.143.255.255', 2894921728, 2895118335, 'GB', 'United Kingdom'),
(80879, '172.144.0.0', '172.146.204.255', 2895118336, 2895301887, 'US', 'United States'),
(80880, '172.146.205.0', '172.146.205.255', 2895301888, 2895302143, 'AR', 'Argentina'),
(80881, '172.146.206.0', '172.151.255.255', 2895302144, 2895642623, 'US', 'United States'),
(80882, '172.152.0.0', '172.152.255.255', 2895642624, 2895708159, 'FR', 'France'),
(80883, '172.153.0.0', '172.157.255.255', 2895708160, 2896035839, 'US', 'United States'),
(80884, '172.158.0.0', '172.158.255.255', 2896035840, 2896101375, 'DE', 'Germany'),
(80885, '172.159.0.0', '172.159.255.255', 2896101376, 2896166911, 'GB', 'United Kingdom'),
(80886, '172.160.0.0', '172.172.255.255', 2896166912, 2897018879, 'US', 'United States'),
(80887, '172.173.0.0', '172.174.255.255', 2897018880, 2897149951, 'DE', 'Germany'),
(80888, '172.175.0.0', '172.175.255.255', 2897149952, 2897215487, 'US', 'United States'),
(80889, '172.176.0.0', '172.183.255.255', 2897215488, 2897739775, 'DE', 'Germany'),
(80890, '172.184.0.0', '172.187.255.255', 2897739776, 2898001919, 'FR', 'France'),
(80891, '172.188.0.0', '172.189.255.255', 2898001920, 2898132991, 'GB', 'United Kingdom'),
(80892, '172.190.0.0', '172.199.255.255', 2898132992, 2898788351, 'US', 'United States'),
(80893, '172.200.0.0', '172.203.255.255', 2898788352, 2899050495, 'GB', 'United Kingdom'),
(80894, '172.204.0.0', '172.204.255.255', 2899050496, 2899116031, 'FR', 'France'),
(80895, '172.205.0.0', '172.205.127.255', 2899116032, 2899148799, 'VN', 'Vietnam'),
(80896, '172.205.128.0', '172.205.255.255', 2899148800, 2899181567, 'AU', 'Australia'),
(80897, '172.206.0.0', '172.207.255.255', 2899181568, 2899312639, 'GB', 'United Kingdom'),
(80898, '172.208.0.0', '172.208.255.255', 2899312640, 2899378175, 'FR', 'France'),
(80899, '172.209.0.0', '172.209.255.255', 2899378176, 2899443711, 'GB', 'United Kingdom'),
(80900, '172.210.0.0', '172.211.255.255', 2899443712, 2899574783, 'FR', 'France'),
(80901, '172.212.0.0', '172.216.255.255', 2899574784, 2899902463, 'GB', 'United Kingdom'),
(80902, '172.217.0.0', '172.217.255.255', 2899902464, 2899967999, 'US', 'United States'),
(80903, '172.218.0.0', '172.219.255.255', 2899968000, 2900099071, 'CA', 'Canada'),
(80904, '172.220.0.0', '172.223.255.255', 2900099072, 2900361215, 'US', 'United States'),
(80905, '173.0.0.0', '173.0.15.255', 2902458368, 2902462463, 'A1', 'Anonymous Proxy'),
(80906, '173.0.16.0', '173.0.48.119', 2902462464, 2902470775, 'US', 'United States'),
(80907, '173.0.48.120', '173.0.48.121', 2902470776, 2902470777, 'BD', 'Bangladesh'),
(80908, '173.0.48.122', '173.0.49.24', 2902470778, 2902470936, 'US', 'United States'),
(80909, '173.0.49.25', '173.0.49.26', 2902470937, 2902470938, 'LK', 'Sri Lanka'),
(80910, '173.0.49.27', '173.0.49.74', 2902470939, 2902470986, 'US', 'United States'),
(80911, '173.0.49.75', '173.0.49.77', 2902470987, 2902470989, 'BD', 'Bangladesh'),
(80912, '173.0.49.78', '173.0.53.82', 2902470990, 2902472018, 'US', 'United States'),
(80913, '173.0.53.83', '173.0.53.85', 2902472019, 2902472021, 'AL', 'Albania'),
(80914, '173.0.53.86', '173.0.56.21', 2902472022, 2902472725, 'US', 'United States'),
(80915, '173.0.56.22', '173.0.56.24', 2902472726, 2902472728, 'BD', 'Bangladesh'),
(80916, '173.0.56.25', '173.0.56.84', 2902472729, 2902472788, 'US', 'United States'),
(80917, '173.0.56.85', '173.0.56.86', 2902472789, 2902472790, 'LK', 'Sri Lanka'),
(80918, '173.0.56.87', '173.0.56.109', 2902472791, 2902472813, 'US', 'United States'),
(80919, '173.0.56.110', '173.0.56.110', 2902472814, 2902472814, 'LK', 'Sri Lanka'),
(80920, '173.0.56.111', '173.0.56.130', 2902472815, 2902472834, 'US', 'United States'),
(80921, '173.0.56.131', '173.0.56.132', 2902472835, 2902472836, 'BD', 'Bangladesh'),
(80922, '173.0.56.133', '173.0.57.68', 2902472837, 2902473028, 'US', 'United States'),
(80923, '173.0.57.69', '173.0.57.71', 2902473029, 2902473031, 'IN', 'India'),
(80924, '173.0.57.72', '173.0.57.147', 2902473032, 2902473107, 'US', 'United States'),
(80925, '173.0.57.148', '173.0.57.149', 2902473108, 2902473109, 'BD', 'Bangladesh'),
(80926, '173.0.57.150', '173.0.59.84', 2902473110, 2902473556, 'US', 'United States'),
(80927, '173.0.59.85', '173.0.59.86', 2902473557, 2902473558, 'LK', 'Sri Lanka'),
(80928, '173.0.59.87', '173.0.59.177', 2902473559, 2902473649, 'US', 'United States'),
(80929, '173.0.59.178', '173.0.59.178', 2902473650, 2902473650, 'BD', 'Bangladesh'),
(80930, '173.0.59.179', '173.0.59.180', 2902473651, 2902473652, 'US', 'United States'),
(80931, '173.0.59.181', '173.0.59.181', 2902473653, 2902473653, 'BD', 'Bangladesh'),
(80932, '173.0.59.182', '173.0.61.39', 2902473654, 2902474023, 'US', 'United States'),
(80933, '173.0.61.40', '173.0.61.48', 2902474024, 2902474032, 'RU', 'Russian Federation'),
(80934, '173.0.61.49', '173.0.61.78', 2902474033, 2902474062, 'US', 'United States'),
(80935, '173.0.61.79', '173.0.61.89', 2902474063, 2902474073, 'RU', 'Russian Federation'),
(80936, '173.0.61.90', '173.0.65.255', 2902474074, 2902475263, 'US', 'United States'),
(80937, '173.0.66.0', '173.0.66.63', 2902475264, 2902475327, 'CY', 'Cyprus'),
(80938, '173.0.66.64', '173.0.66.135', 2902475328, 2902475399, 'US', 'United States'),
(80939, '173.0.66.136', '173.0.66.143', 2902475400, 2902475407, 'UY', 'Uruguay'),
(80940, '173.0.66.144', '173.0.133.255', 2902475408, 2902492671, 'US', 'United States'),
(80941, '173.0.134.0', '173.0.135.255', 2902492672, 2902493183, 'IN', 'India'),
(80942, '173.0.136.0', '173.0.191.255', 2902493184, 2902507519, 'US', 'United States'),
(80943, '173.0.192.0', '173.0.223.255', 2902507520, 2902515711, 'CA', 'Canada'),
(80944, '173.0.224.0', '173.31.255.255', 2902515712, 2904555519, 'US', 'United States'),
(80945, '173.32.0.0', '173.35.255.255', 2904555520, 2904817663, 'CA', 'Canada'),
(80946, '173.36.0.0', '173.44.34.73', 2904817664, 2905350729, 'US', 'United States'),
(80947, '173.44.34.74', '173.44.34.74', 2905350730, 2905350730, 'A1', 'Anonymous Proxy'),
(80948, '173.44.34.75', '173.44.133.119', 2905350731, 2905376119, 'US', 'United States'),
(80949, '173.44.133.120', '173.44.133.127', 2905376120, 2905376127, 'MX', 'Mexico'),
(80950, '173.44.133.128', '173.44.133.207', 2905376128, 2905376207, 'US', 'United States'),
(80951, '173.44.133.208', '173.44.133.223', 2905376208, 2905376223, 'GB', 'United Kingdom'),
(80952, '173.44.133.224', '173.44.134.135', 2905376224, 2905376391, 'US', 'United States'),
(80953, '173.44.134.136', '173.44.134.143', 2905376392, 2905376399, 'PK', 'Pakistan'),
(80954, '173.44.134.144', '173.44.134.159', 2905376400, 2905376415, 'US', 'United States'),
(80955, '173.44.134.160', '173.44.134.167', 2905376416, 2905376423, 'AZ', 'Azerbaijan'),
(80956, '173.44.134.168', '173.44.134.175', 2905376424, 2905376431, 'TW', 'Taiwan'),
(80957, '173.44.134.176', '173.44.134.191', 2905376432, 2905376447, 'US', 'United States'),
(80958, '173.44.134.192', '173.44.134.199', 2905376448, 2905376455, 'HK', 'Hong Kong'),
(80959, '173.44.134.200', '173.44.134.207', 2905376456, 2905376463, 'PK', 'Pakistan'),
(80960, '173.44.134.208', '173.44.134.215', 2905376464, 2905376471, 'HK', 'Hong Kong'),
(80961, '173.44.134.216', '173.44.134.255', 2905376472, 2905376511, 'US', 'United States'),
(80962, '173.44.135.0', '173.44.135.63', 2905376512, 2905376575, 'HK', 'Hong Kong'),
(80963, '173.44.135.64', '173.44.135.95', 2905376576, 2905376607, 'CN', 'China'),
(80964, '173.44.135.96', '173.44.135.103', 2905376608, 2905376615, 'CA', 'Canada'),
(80965, '173.44.135.104', '173.44.135.255', 2905376616, 2905376767, 'US', 'United States'),
(80966, '173.44.136.0', '173.44.138.255', 2905376768, 2905377535, 'CA', 'Canada'),
(80967, '173.44.139.0', '173.44.142.191', 2905377536, 2905378495, 'US', 'United States'),
(80968, '173.44.142.192', '173.44.142.255', 2905378496, 2905378559, 'GB', 'United Kingdom'),
(80969, '173.44.143.0', '173.44.143.255', 2905378560, 2905378815, 'CA', 'Canada'),
(80970, '173.44.144.0', '173.44.144.255', 2905378816, 2905379071, 'US', 'United States'),
(80971, '173.44.145.0', '173.44.145.255', 2905379072, 2905379327, 'CA', 'Canada'),
(80972, '173.44.146.0', '173.44.150.255', 2905379328, 2905380607, 'US', 'United States'),
(80973, '173.44.151.0', '173.44.151.255', 2905380608, 2905380863, 'CA', 'Canada'),
(80974, '173.44.152.0', '173.44.167.255', 2905380864, 2905384959, 'US', 'United States'),
(80975, '173.44.168.0', '173.44.168.255', 2905384960, 2905385215, 'CA', 'Canada'),
(80976, '173.44.169.0', '173.44.171.183', 2905385216, 2905385911, 'US', 'United States'),
(80977, '173.44.171.184', '173.44.171.191', 2905385912, 2905385919, 'VN', 'Vietnam'),
(80978, '173.44.171.192', '173.44.171.199', 2905385920, 2905385927, 'US', 'United States'),
(80979, '173.44.171.200', '173.44.171.207', 2905385928, 2905385935, 'HK', 'Hong Kong'),
(80980, '173.44.171.208', '173.44.171.215', 2905385936, 2905385943, 'PK', 'Pakistan'),
(80981, '173.44.171.216', '173.44.171.223', 2905385944, 2905385951, 'CN', 'China'),
(80982, '173.44.171.224', '173.44.171.255', 2905385952, 2905385983, 'CR', 'Costa Rica'),
(80983, '173.44.172.0', '173.44.191.31', 2905385984, 2905390879, 'US', 'United States'),
(80984, '173.44.191.32', '173.44.191.47', 2905390880, 2905390895, 'GB', 'United Kingdom'),
(80985, '173.44.191.48', '173.44.191.55', 2905390896, 2905390903, 'CN', 'China'),
(80986, '173.44.191.56', '173.44.191.63', 2905390904, 2905390911, 'PK', 'Pakistan'),
(80987, '173.44.191.64', '173.44.192.223', 2905390912, 2905391327, 'US', 'United States'),
(80988, '173.44.192.224', '173.44.192.231', 2905391328, 2905391335, 'CR', 'Costa Rica'),
(80989, '173.44.192.232', '173.44.193.239', 2905391336, 2905391599, 'US', 'United States'),
(80990, '173.44.193.240', '173.44.193.255', 2905391600, 2905391615, 'GB', 'United Kingdom'),
(80991, '173.44.194.0', '173.44.203.255', 2905391616, 2905394175, 'US', 'United States'),
(80992, '173.44.204.0', '173.44.205.255', 2905394176, 2905394687, 'CA', 'Canada'),
(80993, '173.44.206.0', '173.45.0.255', 2905394688, 2905407743, 'US', 'United States'),
(80994, '173.45.1.0', '173.45.1.255', 2905407744, 2905407999, 'TW', 'Taiwan'),
(80995, '173.45.2.0', '173.45.31.255', 2905408000, 2905415679, 'US', 'United States'),
(80996, '173.45.32.0', '173.45.32.255', 2905415680, 2905415935, 'GB', 'United Kingdom'),
(80997, '173.45.33.0', '173.45.99.143', 2905415936, 2905432975, 'US', 'United States'),
(80998, '173.45.99.144', '173.45.99.151', 2905432976, 2905432983, 'AE', 'United Arab Emirates'),
(80999, '173.45.99.152', '173.45.152.255', 2905432984, 2905446655, 'US', 'United States'),
(81000, '173.45.153.0', '173.45.153.255', 2905446656, 2905446911, 'DE', 'Germany'),
(81001, '173.45.154.0', '173.45.165.255', 2905446912, 2905449983, 'US', 'United States'),
(81002, '173.45.166.0', '173.45.169.255', 2905449984, 2905451007, 'CA', 'Canada'),
(81003, '173.45.170.0', '173.45.171.63', 2905451008, 2905451327, 'US', 'United States'),
(81004, '173.45.171.64', '173.45.171.127', 2905451328, 2905451391, 'CY', 'Cyprus'),
(81005, '173.45.171.128', '173.45.171.255', 2905451392, 2905451519, 'US', 'United States'),
(81006, '173.45.172.0', '173.45.172.127', 2905451520, 2905451647, 'PA', 'Panama'),
(81007, '173.45.172.128', '173.45.255.255', 2905451648, 2905473023, 'US', 'United States'),
(81008, '173.46.0.0', '173.46.31.255', 2905473024, 2905481215, 'CA', 'Canada'),
(81009, '173.46.32.0', '173.175.255.255', 2905481216, 2913992703, 'US', 'United States'),
(81010, '173.176.0.0', '173.183.255.255', 2913992704, 2914516991, 'CA', 'Canada'),
(81011, '173.184.0.0', '173.195.47.255', 2914516992, 2915250175, 'US', 'United States'),
(81012, '173.195.48.0', '173.195.63.255', 2915250176, 2915254271, 'CA', 'Canada'),
(81013, '173.195.64.0', '173.195.143.255', 2915254272, 2915274751, 'US', 'United States'),
(81014, '173.195.144.0', '173.195.144.63', 2915274752, 2915274815, 'PL', 'Poland'),
(81015, '173.195.144.64', '173.195.144.255', 2915274816, 2915275007, 'US', 'United States'),
(81016, '173.195.145.0', '173.195.145.63', 2915275008, 2915275071, 'PL', 'Poland'),
(81017, '173.195.145.64', '173.195.145.255', 2915275072, 2915275263, 'US', 'United States'),
(81018, '173.195.146.0', '173.195.146.63', 2915275264, 2915275327, 'PL', 'Poland'),
(81019, '173.195.146.64', '173.198.247.31', 2915275328, 2915497759, 'US', 'United States'),
(81020, '173.198.247.32', '173.198.255.31', 2915497760, 2915499807, 'A1', 'Anonymous Proxy'),
(81021, '173.198.255.32', '173.199.63.255', 2915499808, 2915516415, 'US', 'United States'),
(81022, '173.199.64.0', '173.199.64.255', 2915516416, 2915516671, 'NL', 'Netherlands'),
(81023, '173.199.65.0', '173.199.65.255', 2915516672, 2915516927, 'CA', 'Canada'),
(81024, '173.199.66.0', '173.199.67.255', 2915516928, 2915517439, 'US', 'United States'),
(81025, '173.199.68.0', '173.199.71.255', 2915517440, 2915518463, 'DK', 'Denmark'),
(81026, '173.199.72.0', '173.199.79.255', 2915518464, 2915520511, 'GB', 'United Kingdom'),
(81027, '173.199.80.0', '173.199.81.255', 2915520512, 2915521023, 'AU', 'Australia'),
(81028, '173.199.82.0', '173.199.82.255', 2915521024, 2915521279, 'JP', 'Japan'),
(81029, '173.199.83.0', '173.199.83.255', 2915521280, 2915521535, 'PL', 'Poland'),
(81030, '173.199.84.0', '173.199.104.255', 2915521536, 2915526911, 'US', 'United States'),
(81031, '173.199.105.0', '173.199.105.255', 2915526912, 2915527167, 'DE', 'Germany'),
(81032, '173.199.106.0', '173.199.107.255', 2915527168, 2915527679, 'US', 'United States'),
(81033, '173.199.108.0', '173.199.112.11', 2915527680, 2915528715, 'NL', 'Netherlands'),
(81034, '173.199.112.12', '173.199.112.15', 2915528716, 2915528719, 'US', 'United States'),
(81035, '173.199.112.16', '173.199.112.79', 2915528720, 2915528783, 'NL', 'Netherlands'),
(81036, '173.199.112.80', '173.203.12.31', 2915528784, 2915765279, 'US', 'United States'),
(81037, '173.203.12.32', '173.203.12.39', 2915765280, 2915765287, 'IN', 'India'),
(81038, '173.203.12.40', '173.203.12.119', 2915765288, 2915765367, 'US', 'United States'),
(81039, '173.203.12.120', '173.203.12.127', 2915765368, 2915765375, 'ZA', 'South Africa'),
(81040, '173.203.12.128', '173.203.12.183', 2915765376, 2915765431, 'US', 'United States'),
(81041, '173.203.12.184', '173.203.12.191', 2915765432, 2915765439, 'MX', 'Mexico'),
(81042, '173.203.12.192', '173.203.12.223', 2915765440, 2915765471, 'US', 'United States'),
(81043, '173.203.12.224', '173.203.12.231', 2915765472, 2915765479, 'CA', 'Canada'),
(81044, '173.203.12.232', '173.203.13.167', 2915765480, 2915765671, 'US', 'United States'),
(81045, '173.203.13.168', '173.203.13.175', 2915765672, 2915765679, 'AU', 'Australia'),
(81046, '173.203.13.176', '173.203.15.63', 2915765680, 2915766079, 'US', 'United States'),
(81047, '173.203.15.64', '173.203.15.79', 2915766080, 2915766095, 'BR', 'Brazil'),
(81048, '173.203.15.80', '173.203.16.175', 2915766096, 2915766447, 'US', 'United States'),
(81049, '173.203.16.176', '173.203.16.191', 2915766448, 2915766463, 'GB', 'United Kingdom'),
(81050, '173.203.16.192', '173.203.17.31', 2915766464, 2915766559, 'US', 'United States'),
(81051, '173.203.17.32', '173.203.17.63', 2915766560, 2915766591, 'GB', 'United Kingdom'),
(81052, '173.203.17.64', '173.203.17.95', 2915766592, 2915766623, 'US', 'United States'),
(81053, '173.203.17.96', '173.203.17.127', 2915766624, 2915766655, 'CA', 'Canada'),
(81054, '173.203.17.128', '173.203.18.55', 2915766656, 2915766839, 'US', 'United States'),
(81055, '173.203.18.56', '173.203.18.63', 2915766840, 2915766847, 'DE', 'Germany'),
(81056, '173.203.18.64', '173.203.19.15', 2915766848, 2915767055, 'US', 'United States'),
(81057, '173.203.19.16', '173.203.19.23', 2915767056, 2915767063, 'GB', 'United Kingdom'),
(81058, '173.203.19.24', '173.203.20.111', 2915767064, 2915767407, 'US', 'United States'),
(81059, '173.203.20.112', '173.203.20.119', 2915767408, 2915767415, 'GB', 'United Kingdom'),
(81060, '173.203.20.120', '173.203.21.111', 2915767416, 2915767663, 'US', 'United States'),
(81061, '173.203.21.112', '173.203.21.127', 2915767664, 2915767679, 'NZ', 'New Zealand'),
(81062, '173.203.21.128', '173.203.21.143', 2915767680, 2915767695, 'GB', 'United Kingdom'),
(81063, '173.203.21.144', '173.203.21.191', 2915767696, 2915767743, 'US', 'United States'),
(81064, '173.203.21.192', '173.203.21.223', 2915767744, 2915767775, 'GB', 'United Kingdom'),
(81065, '173.203.21.224', '173.203.22.23', 2915767776, 2915767831, 'US', 'United States'),
(81066, '173.203.22.24', '173.203.22.31', 2915767832, 2915767839, 'CA', 'Canada'),
(81067, '173.203.22.32', '173.203.22.87', 2915767840, 2915767895, 'US', 'United States'),
(81068, '173.203.22.88', '173.203.22.95', 2915767896, 2915767903, 'KW', 'Kuwait'),
(81069, '173.203.22.96', '173.203.23.127', 2915767904, 2915768191, 'US', 'United States'),
(81070, '173.203.23.128', '173.203.23.135', 2915768192, 2915768199, 'GB', 'United Kingdom'),
(81071, '173.203.23.136', '173.203.23.239', 2915768200, 2915768303, 'US', 'United States'),
(81072, '173.203.23.240', '173.203.23.247', 2915768304, 2915768311, 'MX', 'Mexico'),
(81073, '173.203.23.248', '173.203.24.39', 2915768312, 2915768359, 'US', 'United States'),
(81074, '173.203.24.40', '173.203.24.47', 2915768360, 2915768367, 'GB', 'United Kingdom'),
(81075, '173.203.24.48', '173.203.24.55', 2915768368, 2915768375, 'US', 'United States'),
(81076, '173.203.24.56', '173.203.24.63', 2915768376, 2915768383, 'GB', 'United Kingdom'),
(81077, '173.203.24.64', '173.203.24.111', 2915768384, 2915768431, 'US', 'United States'),
(81078, '173.203.24.112', '173.203.24.119', 2915768432, 2915768439, 'IE', 'Ireland'),
(81079, '173.203.24.120', '173.203.25.127', 2915768440, 2915768703, 'US', 'United States'),
(81080, '173.203.25.128', '173.203.25.191', 2915768704, 2915768767, 'GB', 'United Kingdom'),
(81081, '173.203.25.192', '173.203.26.71', 2915768768, 2915768903, 'US', 'United States'),
(81082, '173.203.26.72', '173.203.26.79', 2915768904, 2915768911, 'GR', 'Greece'),
(81083, '173.203.26.80', '173.203.27.7', 2915768912, 2915769095, 'US', 'United States'),
(81084, '173.203.27.8', '173.203.27.15', 2915769096, 2915769103, 'BB', 'Barbados'),
(81085, '173.203.27.16', '173.203.27.23', 2915769104, 2915769111, 'US', 'United States'),
(81086, '173.203.27.24', '173.203.27.31', 2915769112, 2915769119, 'BB', 'Barbados'),
(81087, '173.203.27.32', '173.203.27.151', 2915769120, 2915769239, 'US', 'United States'),
(81088, '173.203.27.152', '173.203.27.159', 2915769240, 2915769247, 'CA', 'Canada'),
(81089, '173.203.27.160', '173.203.27.207', 2915769248, 2915769295, 'US', 'United States'),
(81090, '173.203.27.208', '173.203.27.215', 2915769296, 2915769303, 'BR', 'Brazil'),
(81091, '173.203.27.216', '173.203.31.55', 2915769304, 2915770167, 'US', 'United States'),
(81092, '173.203.31.56', '173.203.31.63', 2915770168, 2915770175, 'BR', 'Brazil'),
(81093, '173.203.31.64', '173.203.31.143', 2915770176, 2915770255, 'US', 'United States'),
(81094, '173.203.31.144', '173.203.31.151', 2915770256, 2915770263, 'CA', 'Canada'),
(81095, '173.203.31.152', '173.203.31.167', 2915770264, 2915770279, 'JE', 'Jersey'),
(81096, '173.203.31.168', '173.203.31.199', 2915770280, 2915770311, 'US', 'United States'),
(81097, '173.203.31.200', '173.203.31.207', 2915770312, 2915770319, 'MX', 'Mexico'),
(81098, '173.203.31.208', '173.203.34.223', 2915770320, 2915771103, 'US', 'United States'),
(81099, '173.203.34.224', '173.203.34.255', 2915771104, 2915771135, 'CA', 'Canada'),
(81100, '173.203.35.0', '173.203.40.255', 2915771136, 2915772671, 'US', 'United States'),
(81101, '173.203.41.0', '173.203.41.7', 2915772672, 2915772679, 'IN', 'India'),
(81102, '173.203.41.8', '173.203.41.39', 2915772680, 2915772711, 'US', 'United States'),
(81103, '173.203.41.40', '173.203.41.47', 2915772712, 2915772719, 'GB', 'United Kingdom'),
(81104, '173.203.41.48', '173.203.41.79', 2915772720, 2915772751, 'US', 'United States'),
(81105, '173.203.41.80', '173.203.41.87', 2915772752, 2915772759, 'DE', 'Germany'),
(81106, '173.203.41.88', '173.203.42.87', 2915772760, 2915773015, 'US', 'United States'),
(81107, '173.203.42.88', '173.203.42.95', 2915773016, 2915773023, 'SG', 'Singapore'),
(81108, '173.203.42.96', '173.203.42.111', 2915773024, 2915773039, 'IN', 'India'),
(81109, '173.203.42.112', '173.203.42.247', 2915773040, 2915773175, 'US', 'United States'),
(81110, '173.203.42.248', '173.203.42.255', 2915773176, 2915773183, 'KW', 'Kuwait'),
(81111, '173.203.43.0', '173.203.45.95', 2915773184, 2915773791, 'US', 'United States'),
(81112, '173.203.45.96', '173.203.45.111', 2915773792, 2915773807, 'CA', 'Canada'),
(81113, '173.203.45.112', '173.203.45.143', 2915773808, 2915773839, 'JE', 'Jersey'),
(81114, '173.203.45.144', '173.203.128.15', 2915773840, 2915794959, 'US', 'United States'),
(81115, '173.203.128.16', '173.203.128.31', 2915794960, 2915794975, 'MX', 'Mexico'),
(81116, '173.203.128.32', '173.203.128.63', 2915794976, 2915795007, 'US', 'United States'),
(81117, '173.203.128.64', '173.203.128.69', 2915795008, 2915795013, 'BR', 'Brazil'),
(81118, '173.203.128.70', '173.203.128.70', 2915795014, 2915795014, 'MX', 'Mexico'),
(81119, '173.203.128.71', '173.203.128.79', 2915795015, 2915795023, 'BR', 'Brazil'),
(81120, '173.203.128.80', '173.203.129.63', 2915795024, 2915795263, 'US', 'United States'),
(81121, '173.203.129.64', '173.203.129.79', 2915795264, 2915795279, 'NZ', 'New Zealand'),
(81122, '173.203.129.80', '173.203.129.143', 2915795280, 2915795343, 'US', 'United States'),
(81123, '173.203.129.144', '173.203.129.159', 2915795344, 2915795359, 'NZ', 'New Zealand'),
(81124, '173.203.129.160', '173.203.130.79', 2915795360, 2915795535, 'US', 'United States'),
(81125, '173.203.130.80', '173.203.130.95', 2915795536, 2915795551, 'CA', 'Canada'),
(81126, '173.203.130.96', '173.203.131.15', 2915795552, 2915795727, 'US', 'United States'),
(81127, '173.203.131.16', '173.203.131.31', 2915795728, 2915795743, 'CA', 'Canada'),
(81128, '173.203.131.32', '173.203.131.255', 2915795744, 2915795967, 'US', 'United States'),
(81129, '173.203.132.0', '173.203.132.7', 2915795968, 2915795975, 'GB', 'United Kingdom'),
(81130, '173.203.132.8', '173.203.132.15', 2915795976, 2915795983, 'US', 'United States'),
(81131, '173.203.132.16', '173.203.132.23', 2915795984, 2915795991, 'AE', 'United Arab Emirates'),
(81132, '173.203.132.24', '173.203.132.71', 2915795992, 2915796039, 'US', 'United States'),
(81133, '173.203.132.72', '173.203.132.79', 2915796040, 2915796047, 'MX', 'Mexico'),
(81134, '173.203.132.80', '173.203.132.87', 2915796048, 2915796055, 'US', 'United States'),
(81135, '173.203.132.88', '173.203.132.95', 2915796056, 2915796063, 'MX', 'Mexico'),
(81136, '173.203.132.96', '173.203.132.167', 2915796064, 2915796135, 'US', 'United States'),
(81137, '173.203.132.168', '173.203.132.175', 2915796136, 2915796143, 'CA', 'Canada'),
(81138, '173.203.132.176', '173.203.132.183', 2915796144, 2915796151, 'US', 'United States'),
(81139, '173.203.132.184', '173.203.132.191', 2915796152, 2915796159, 'AR', 'Argentina'),
(81140, '173.203.132.192', '173.203.132.231', 2915796160, 2915796199, 'US', 'United States'),
(81141, '173.203.132.232', '173.203.132.239', 2915796200, 2915796207, 'IL', 'Israel'),
(81142, '173.203.132.240', '173.203.133.79', 2915796208, 2915796303, 'US', 'United States'),
(81143, '173.203.133.80', '173.203.133.87', 2915796304, 2915796311, 'MX', 'Mexico'),
(81144, '173.203.133.88', '173.203.133.127', 2915796312, 2915796351, 'US', 'United States'),
(81145, '173.203.133.128', '173.203.133.135', 2915796352, 2915796359, 'CA', 'Canada'),
(81146, '173.203.133.136', '173.203.133.175', 2915796360, 2915796399, 'US', 'United States'),
(81147, '173.203.133.176', '173.203.133.183', 2915796400, 2915796407, 'PE', 'Peru'),
(81148, '173.203.133.184', '173.203.133.207', 2915796408, 2915796431, 'US', 'United States'),
(81149, '173.203.133.208', '173.203.133.215', 2915796432, 2915796439, 'AU', 'Australia'),
(81150, '173.203.133.216', '173.203.134.15', 2915796440, 2915796495, 'US', 'United States'),
(81151, '173.203.134.16', '173.203.134.23', 2915796496, 2915796503, 'IL', 'Israel'),
(81152, '173.203.134.24', '173.203.134.151', 2915796504, 2915796631, 'US', 'United States'),
(81153, '173.203.134.152', '173.203.134.159', 2915796632, 2915796639, 'BR', 'Brazil'),
(81154, '173.203.134.160', '173.203.134.167', 2915796640, 2915796647, 'US', 'United States'),
(81155, '173.203.134.168', '173.203.134.175', 2915796648, 2915796655, 'AU', 'Australia'),
(81156, '173.203.134.176', '173.203.134.231', 2915796656, 2915796711, 'US', 'United States'),
(81157, '173.203.134.232', '173.203.134.239', 2915796712, 2915796719, 'GB', 'United Kingdom'),
(81158, '173.203.134.240', '173.203.135.79', 2915796720, 2915796815, 'US', 'United States'),
(81159, '173.203.135.80', '173.203.135.87', 2915796816, 2915796823, 'CA', 'Canada'),
(81160, '173.203.135.88', '173.203.135.183', 2915796824, 2915796919, 'US', 'United States'),
(81161, '173.203.135.184', '173.203.135.191', 2915796920, 2915796927, 'BR', 'Brazil'),
(81162, '173.203.135.192', '173.203.135.231', 2915796928, 2915796967, 'US', 'United States'),
(81163, '173.203.135.232', '173.203.135.239', 2915796968, 2915796975, 'BR', 'Brazil'),
(81164, '173.203.135.240', '173.203.136.159', 2915796976, 2915797151, 'US', 'United States'),
(81165, '173.203.136.160', '173.203.136.167', 2915797152, 2915797159, 'MX', 'Mexico'),
(81166, '173.203.136.168', '173.203.137.199', 2915797160, 2915797447, 'US', 'United States'),
(81167, '173.203.137.200', '173.203.137.207', 2915797448, 2915797455, 'CA', 'Canada'),
(81168, '173.203.137.208', '173.203.137.215', 2915797456, 2915797463, 'MX', 'Mexico'),
(81169, '173.203.137.216', '173.203.138.39', 2915797464, 2915797543, 'US', 'United States'),
(81170, '173.203.138.40', '173.203.138.47', 2915797544, 2915797551, 'CA', 'Canada'),
(81171, '173.203.138.48', '173.203.138.55', 2915797552, 2915797559, 'IN', 'India'),
(81172, '173.203.138.56', '173.203.138.223', 2915797560, 2915797727, 'US', 'United States'),
(81173, '173.203.138.224', '173.203.138.231', 2915797728, 2915797735, 'IL', 'Israel'),
(81174, '173.203.138.232', '173.203.139.7', 2915797736, 2915797767, 'US', 'United States'),
(81175, '173.203.139.8', '173.203.139.15', 2915797768, 2915797775, 'MX', 'Mexico'),
(81176, '173.203.139.16', '173.203.139.111', 2915797776, 2915797871, 'US', 'United States'),
(81177, '173.203.139.112', '173.203.139.119', 2915797872, 2915797879, 'IN', 'India'),
(81178, '173.203.139.120', '173.203.139.135', 2915797880, 2915797895, 'US', 'United States'),
(81179, '173.203.139.136', '173.203.139.143', 2915797896, 2915797903, 'MX', 'Mexico'),
(81180, '173.203.139.144', '173.203.140.63', 2915797904, 2915798079, 'US', 'United States'),
(81181, '173.203.140.64', '173.203.140.95', 2915798080, 2915798111, 'IN', 'India'),
(81182, '173.203.140.96', '173.203.142.159', 2915798112, 2915798687, 'US', 'United States'),
(81183, '173.203.142.160', '173.203.142.191', 2915798688, 2915798719, 'BR', 'Brazil'),
(81184, '173.203.142.192', '173.203.143.159', 2915798720, 2915798943, 'US', 'United States'),
(81185, '173.203.143.160', '173.203.143.191', 2915798944, 2915798975, 'PH', 'Philippines'),
(81186, '173.203.143.192', '173.203.143.223', 2915798976, 2915799007, 'US', 'United States'),
(81187, '173.203.143.224', '173.203.143.255', 2915799008, 2915799039, 'CA', 'Canada'),
(81188, '173.203.144.0', '173.203.144.7', 2915799040, 2915799047, 'US', 'United States'),
(81189, '173.203.144.8', '173.203.144.15', 2915799048, 2915799055, 'ES', 'Spain'),
(81190, '173.203.144.16', '173.203.144.127', 2915799056, 2915799167, 'US', 'United States'),
(81191, '173.203.144.128', '173.203.144.135', 2915799168, 2915799175, 'GB', 'United Kingdom'),
(81192, '173.203.144.136', '173.203.144.143', 2915799176, 2915799183, 'US', 'United States'),
(81193, '173.203.144.144', '173.203.144.151', 2915799184, 2915799191, 'GB', 'United Kingdom'),
(81194, '173.203.144.152', '173.203.144.159', 2915799192, 2915799199, 'JE', 'Jersey'),
(81195, '173.203.144.160', '173.203.144.175', 2915799200, 2915799215, 'US', 'United States'),
(81196, '173.203.144.176', '173.203.144.183', 2915799216, 2915799223, 'MX', 'Mexico'),
(81197, '173.203.144.184', '173.203.145.31', 2915799224, 2915799327, 'US', 'United States'),
(81198, '173.203.145.32', '173.203.145.39', 2915799328, 2915799335, 'TH', 'Thailand'),
(81199, '173.203.145.40', '173.203.145.135', 2915799336, 2915799431, 'US', 'United States'),
(81200, '173.203.145.136', '173.203.145.143', 2915799432, 2915799439, 'TH', 'Thailand'),
(81201, '173.203.145.144', '173.203.145.239', 2915799440, 2915799535, 'US', 'United States'),
(81202, '173.203.145.240', '173.203.145.247', 2915799536, 2915799543, 'JP', 'Japan'),
(81203, '173.203.145.248', '173.203.146.39', 2915799544, 2915799591, 'US', 'United States'),
(81204, '173.203.146.40', '173.203.146.47', 2915799592, 2915799599, 'IN', 'India'),
(81205, '173.203.146.48', '173.203.146.223', 2915799600, 2915799775, 'US', 'United States'),
(81206, '173.203.146.224', '173.203.146.239', 2915799776, 2915799791, 'PR', 'Puerto Rico'),
(81207, '173.203.146.240', '173.203.146.255', 2915799792, 2915799807, 'CA', 'Canada'),
(81208, '173.203.147.0', '173.203.147.95', 2915799808, 2915799903, 'US', 'United States'),
(81209, '173.203.147.96', '173.203.147.103', 2915799904, 2915799911, 'CA', 'Canada'),
(81210, '173.203.147.104', '173.203.147.127', 2915799912, 2915799935, 'US', 'United States'),
(81211, '173.203.147.128', '173.203.147.135', 2915799936, 2915799943, 'AR', 'Argentina'),
(81212, '173.203.147.136', '173.203.147.247', 2915799944, 2915800055, 'US', 'United States'),
(81213, '173.203.147.248', '173.203.147.255', 2915800056, 2915800063, 'NZ', 'New Zealand'),
(81214, '173.203.148.0', '173.203.148.167', 2915800064, 2915800231, 'US', 'United States'),
(81215, '173.203.148.168', '173.203.148.175', 2915800232, 2915800239, 'AU', 'Australia'),
(81216, '173.203.148.176', '173.203.148.207', 2915800240, 2915800271, 'US', 'United States'),
(81217, '173.203.148.208', '173.203.148.215', 2915800272, 2915800279, 'AU', 'Australia'),
(81218, '173.203.148.216', '173.203.149.95', 2915800280, 2915800415, 'US', 'United States'),
(81219, '173.203.149.96', '173.203.149.103', 2915800416, 2915800423, 'GB', 'United Kingdom'),
(81220, '173.203.149.104', '173.203.149.199', 2915800424, 2915800519, 'US', 'United States'),
(81221, '173.203.149.200', '173.203.149.207', 2915800520, 2915800527, 'PH', 'Philippines'),
(81222, '173.203.149.208', '173.203.149.223', 2915800528, 2915800543, 'US', 'United States'),
(81223, '173.203.149.224', '173.203.149.231', 2915800544, 2915800551, 'IN', 'India'),
(81224, '173.203.149.232', '173.203.150.55', 2915800552, 2915800631, 'US', 'United States'),
(81225, '173.203.150.56', '173.203.150.63', 2915800632, 2915800639, 'TH', 'Thailand'),
(81226, '173.203.150.64', '173.203.150.87', 2915800640, 2915800663, 'US', 'United States'),
(81227, '173.203.150.88', '173.203.150.103', 2915800664, 2915800679, 'BG', 'Bulgaria'),
(81228, '173.203.150.104', '173.203.150.135', 2915800680, 2915800711, 'US', 'United States'),
(81229, '173.203.150.136', '173.203.150.143', 2915800712, 2915800719, 'CA', 'Canada'),
(81230, '173.203.150.144', '173.203.150.159', 2915800720, 2915800735, 'US', 'United States'),
(81231, '173.203.150.160', '173.203.150.167', 2915800736, 2915800743, 'CA', 'Canada'),
(81232, '173.203.150.168', '173.203.150.175', 2915800744, 2915800751, 'US', 'United States'),
(81233, '173.203.150.176', '173.203.150.183', 2915800752, 2915800759, 'CL', 'Chile'),
(81234, '173.203.150.184', '173.203.151.71', 2915800760, 2915800903, 'US', 'United States'),
(81235, '173.203.151.72', '173.203.151.79', 2915800904, 2915800911, 'IL', 'Israel'),
(81236, '173.203.151.80', '173.203.151.119', 2915800912, 2915800951, 'US', 'United States'),
(81237, '173.203.151.120', '173.203.151.127', 2915800952, 2915800959, 'GB', 'United Kingdom'),
(81238, '173.203.151.128', '173.203.151.247', 2915800960, 2915801079, 'US', 'United States'),
(81239, '173.203.151.248', '173.203.151.255', 2915801080, 2915801087, 'IL', 'Israel'),
(81240, '173.203.152.0', '173.203.154.79', 2915801088, 2915801679, 'US', 'United States'),
(81241, '173.203.154.80', '173.203.154.87', 2915801680, 2915801687, 'MX', 'Mexico'),
(81242, '173.203.154.88', '173.203.155.15', 2915801688, 2915801871, 'US', 'United States'),
(81243, '173.203.155.16', '173.203.155.23', 2915801872, 2915801879, 'BR', 'Brazil'),
(81244, '173.203.155.24', '173.203.155.135', 2915801880, 2915801991, 'US', 'United States'),
(81245, '173.203.155.136', '173.203.155.143', 2915801992, 2915801999, 'IL', 'Israel'),
(81246, '173.203.155.144', '173.203.156.207', 2915802000, 2915802319, 'US', 'United States'),
(81247, '173.203.156.208', '173.203.156.215', 2915802320, 2915802327, 'AW', 'Aruba'),
(81248, '173.203.156.216', '173.203.156.239', 2915802328, 2915802351, 'US', 'United States'),
(81249, '173.203.156.240', '173.203.156.247', 2915802352, 2915802359, 'AW', 'Aruba'),
(81250, '173.203.156.248', '173.203.157.7', 2915802360, 2915802375, 'US', 'United States'),
(81251, '173.203.157.8', '173.203.157.15', 2915802376, 2915802383, 'CA', 'Canada'),
(81252, '173.203.157.16', '173.203.157.47', 2915802384, 2915802415, 'US', 'United States'),
(81253, '173.203.157.48', '173.203.157.55', 2915802416, 2915802423, 'CA', 'Canada'),
(81254, '173.203.157.56', '173.203.157.183', 2915802424, 2915802551, 'US', 'United States'),
(81255, '173.203.157.184', '173.203.157.191', 2915802552, 2915802559, 'AU', 'Australia'),
(81256, '173.203.157.192', '173.203.158.87', 2915802560, 2915802711, 'US', 'United States'),
(81257, '173.203.158.88', '173.203.158.95', 2915802712, 2915802719, 'ZA', 'South Africa'),
(81258, '173.203.158.96', '173.203.159.15', 2915802720, 2915802895, 'US', 'United States'),
(81259, '173.203.159.16', '173.203.159.23', 2915802896, 2915802903, 'PH', 'Philippines'),
(81260, '173.203.159.24', '173.203.159.119', 2915802904, 2915802999, 'US', 'United States'),
(81261, '173.203.159.120', '173.203.159.127', 2915803000, 2915803007, 'RU', 'Russian Federation'),
(81262, '173.203.159.128', '173.203.160.55', 2915803008, 2915803191, 'US', 'United States'),
(81263, '173.203.160.56', '173.203.160.63', 2915803192, 2915803199, 'CA', 'Canada'),
(81264, '173.203.160.64', '173.203.160.71', 2915803200, 2915803207, 'GB', 'United Kingdom'),
(81265, '173.203.160.72', '173.203.160.103', 2915803208, 2915803239, 'US', 'United States'),
(81266, '173.203.160.104', '173.203.160.111', 2915803240, 2915803247, 'BR', 'Brazil'),
(81267, '173.203.160.112', '173.203.160.159', 2915803248, 2915803295, 'US', 'United States'),
(81268, '173.203.160.160', '173.203.160.175', 2915803296, 2915803311, 'CA', 'Canada'),
(81269, '173.203.160.176', '173.203.160.191', 2915803312, 2915803327, 'ID', 'Indonesia'),
(81270, '173.203.160.192', '173.203.162.135', 2915803328, 2915803783, 'US', 'United States'),
(81271, '173.203.162.136', '173.203.162.143', 2915803784, 2915803791, 'CN', 'China'),
(81272, '173.203.162.144', '173.203.162.167', 2915803792, 2915803815, 'US', 'United States'),
(81273, '173.203.162.168', '173.203.162.175', 2915803816, 2915803823, 'PE', 'Peru'),
(81274, '173.203.162.176', '173.203.164.215', 2915803824, 2915804375, 'US', 'United States'),
(81275, '173.203.164.216', '173.203.164.223', 2915804376, 2915804383, 'BR', 'Brazil'),
(81276, '173.203.164.224', '173.203.165.103', 2915804384, 2915804519, 'US', 'United States'),
(81277, '173.203.165.104', '173.203.165.111', 2915804520, 2915804527, 'CN', 'China'),
(81278, '173.203.165.112', '173.203.165.175', 2915804528, 2915804591, 'US', 'United States'),
(81279, '173.203.165.176', '173.203.165.183', 2915804592, 2915804599, 'CA', 'Canada'),
(81280, '173.203.165.184', '173.203.166.7', 2915804600, 2915804679, 'US', 'United States'),
(81281, '173.203.166.8', '173.203.166.15', 2915804680, 2915804687, 'CA', 'Canada'),
(81282, '173.203.166.16', '173.203.166.87', 2915804688, 2915804759, 'US', 'United States'),
(81283, '173.203.166.88', '173.203.166.95', 2915804760, 2915804767, 'NZ', 'New Zealand'),
(81284, '173.203.166.96', '173.203.166.119', 2915804768, 2915804791, 'US', 'United States'),
(81285, '173.203.166.120', '173.203.166.127', 2915804792, 2915804799, 'GB', 'United Kingdom'),
(81286, '173.203.166.128', '173.203.166.135', 2915804800, 2915804807, 'US', 'United States'),
(81287, '173.203.166.136', '173.203.166.143', 2915804808, 2915804815, 'NZ', 'New Zealand'),
(81288, '173.203.166.144', '173.203.166.175', 2915804816, 2915804847, 'US', 'United States'),
(81289, '173.203.166.176', '173.203.166.183', 2915804848, 2915804855, 'CO', 'Colombia'),
(81290, '173.203.166.184', '173.203.167.127', 2915804856, 2915805055, 'US', 'United States'),
(81291, '173.203.167.128', '173.203.167.135', 2915805056, 2915805063, 'GB', 'United Kingdom'),
(81292, '173.203.167.136', '173.203.168.191', 2915805064, 2915805375, 'US', 'United States'),
(81293, '173.203.168.192', '173.203.168.207', 2915805376, 2915805391, 'PH', 'Philippines'),
(81294, '173.203.168.208', '173.203.168.255', 2915805392, 2915805439, 'US', 'United States'),
(81295, '173.203.169.0', '173.203.169.15', 2915805440, 2915805455, 'BR', 'Brazil'),
(81296, '173.203.169.16', '173.203.174.15', 2915805456, 2915806735, 'US', 'United States'),
(81297, '173.203.174.16', '173.203.174.31', 2915806736, 2915806751, 'IT', 'Italy'),
(81298, '173.203.174.32', '173.203.174.103', 2915806752, 2915806823, 'US', 'United States'),
(81299, '173.203.174.104', '173.203.174.111', 2915806824, 2915806831, 'IN', 'India'),
(81300, '173.203.174.112', '173.203.174.143', 2915806832, 2915806863, 'US', 'United States'),
(81301, '173.203.174.144', '173.203.174.151', 2915806864, 2915806871, 'IN', 'India'),
(81302, '173.203.174.152', '173.203.174.175', 2915806872, 2915806895, 'US', 'United States'),
(81303, '173.203.174.176', '173.203.174.183', 2915806896, 2915806903, 'CA', 'Canada'),
(81304, '173.203.174.184', '173.203.174.247', 2915806904, 2915806967, 'US', 'United States'),
(81305, '173.203.174.248', '173.203.174.255', 2915806968, 2915806975, 'CA', 'Canada'),
(81306, '173.203.175.0', '173.203.176.39', 2915806976, 2915807271, 'US', 'United States'),
(81307, '173.203.176.40', '173.203.176.47', 2915807272, 2915807279, 'GB', 'United Kingdom'),
(81308, '173.203.176.48', '173.203.176.55', 2915807280, 2915807287, 'US', 'United States'),
(81309, '173.203.176.56', '173.203.176.63', 2915807288, 2915807295, 'ZA', 'South Africa'),
(81310, '173.203.176.64', '173.203.176.207', 2915807296, 2915807439, 'US', 'United States'),
(81311, '173.203.176.208', '173.203.176.215', 2915807440, 2915807447, 'CA', 'Canada'),
(81312, '173.203.176.216', '173.203.176.223', 2915807448, 2915807455, 'US', 'United States'),
(81313, '173.203.176.224', '173.203.176.231', 2915807456, 2915807463, 'PT', 'Portugal'),
(81314, '173.203.176.232', '173.203.177.71', 2915807464, 2915807559, 'US', 'United States'),
(81315, '173.203.177.72', '173.203.177.79', 2915807560, 2915807567, 'CA', 'Canada'),
(81316, '173.203.177.80', '173.203.177.119', 2915807568, 2915807607, 'US', 'United States'),
(81317, '173.203.177.120', '173.203.177.127', 2915807608, 2915807615, 'IL', 'Israel'),
(81318, '173.203.177.128', '173.203.179.95', 2915807616, 2915808095, 'US', 'United States'),
(81319, '173.203.179.96', '173.203.179.103', 2915808096, 2915808103, 'CA', 'Canada'),
(81320, '173.203.179.104', '173.203.179.183', 2915808104, 2915808183, 'US', 'United States'),
(81321, '173.203.179.184', '173.203.179.191', 2915808184, 2915808191, 'CA', 'Canada'),
(81322, '173.203.179.192', '173.203.179.247', 2915808192, 2915808247, 'US', 'United States'),
(81323, '173.203.179.248', '173.203.179.255', 2915808248, 2915808255, 'DE', 'Germany'),
(81324, '173.203.180.0', '173.203.188.31', 2915808256, 2915810335, 'US', 'United States'),
(81325, '173.203.188.32', '173.203.188.39', 2915810336, 2915810343, 'GB', 'United Kingdom'),
(81326, '173.203.188.40', '173.203.188.47', 2915810344, 2915810351, 'MX', 'Mexico'),
(81327, '173.203.188.48', '173.203.188.127', 2915810352, 2915810431, 'US', 'United States'),
(81328, '173.203.188.128', '173.203.188.135', 2915810432, 2915810439, 'AU', 'Australia'),
(81329, '173.203.188.136', '173.203.188.167', 2915810440, 2915810471, 'US', 'United States'),
(81330, '173.203.188.168', '173.203.188.175', 2915810472, 2915810479, 'GB', 'United Kingdom'),
(81331, '173.203.188.176', '173.203.191.63', 2915810480, 2915811135, 'US', 'United States'),
(81332, '173.203.191.64', '173.203.191.127', 2915811136, 2915811199, 'IN', 'India'),
(81333, '173.203.191.128', '173.203.232.223', 2915811200, 2915821791, 'US', 'United States'),
(81334, '173.203.232.224', '173.203.232.255', 2915821792, 2915821823, 'IL', 'Israel'),
(81335, '173.203.233.0', '173.205.255.255', 2915821824, 2915958783, 'US', 'United States'),
(81336, '173.206.0.0', '173.206.255.255', 2915958784, 2916024319, 'CA', 'Canada'),
(81337, '173.207.0.0', '173.208.45.159', 2916024320, 2916101535, 'US', 'United States'),
(81338, '173.208.45.160', '173.208.45.167', 2916101536, 2916101543, 'CA', 'Canada'),
(81339, '173.208.45.168', '173.208.45.239', 2916101544, 2916101615, 'US', 'United States'),
(81340, '173.208.45.240', '173.208.45.247', 2916101616, 2916101623, 'CA', 'Canada'),
(81341, '173.208.45.248', '173.208.57.255', 2916101624, 2916104703, 'US', 'United States'),
(81342, '173.208.58.0', '173.208.58.15', 2916104704, 2916104719, 'ZA', 'South Africa'),
(81343, '173.208.58.16', '173.208.80.63', 2916104720, 2916110399, 'US', 'United States'),
(81344, '173.208.80.64', '173.208.80.71', 2916110400, 2916110407, 'LK', 'Sri Lanka'),
(81345, '173.208.80.72', '173.208.110.207', 2916110408, 2916118223, 'US', 'United States'),
(81346, '173.208.110.208', '173.208.110.215', 2916118224, 2916118231, 'LK', 'Sri Lanka'),
(81347, '173.208.110.216', '173.208.120.247', 2916118232, 2916120823, 'US', 'United States'),
(81348, '173.208.120.248', '173.208.120.255', 2916120824, 2916120831, 'CA', 'Canada'),
(81349, '173.208.121.0', '173.208.123.23', 2916120832, 2916121367, 'US', 'United States'),
(81350, '173.208.123.24', '173.208.123.31', 2916121368, 2916121375, 'CA', 'Canada'),
(81351, '173.208.123.32', '173.208.196.255', 2916121376, 2916140287, 'US', 'United States'),
(81352, '173.208.197.0', '173.208.197.255', 2916140288, 2916140543, 'A1', 'Anonymous Proxy'),
(81353, '173.208.198.0', '173.209.31.255', 2916140544, 2916163583, 'US', 'United States'),
(81354, '173.209.32.0', '173.209.63.255', 2916163584, 2916171775, 'CA', 'Canada'),
(81355, '173.209.64.0', '173.209.111.255', 2916171776, 2916184063, 'US', 'United States'),
(81356, '173.209.112.0', '173.209.159.255', 2916184064, 2916196351, 'CA', 'Canada'),
(81357, '173.209.160.0', '173.210.127.255', 2916196352, 2916253695, 'US', 'United States'),
(81358, '173.210.128.0', '173.210.255.255', 2916253696, 2916286463, 'CA', 'Canada'),
(81359, '173.211.0.0', '173.211.127.255', 2916286464, 2916319231, 'US', 'United States'),
(81360, '173.211.128.0', '173.211.191.255', 2916319232, 2916335615, 'PR', 'Puerto Rico'),
(81361, '173.211.192.0', '173.212.63.255', 2916335616, 2916368383, 'US', 'United States'),
(81362, '173.212.64.0', '173.212.191.255', 2916368384, 2916401151, 'CA', 'Canada'),
(81363, '173.212.192.0', '173.213.66.191', 2916401152, 2916434623, 'US', 'United States'),
(81364, '173.213.66.192', '173.213.66.223', 2916434624, 2916434655, 'CA', 'Canada'),
(81365, '173.213.66.224', '173.213.74.7', 2916434656, 2916436487, 'US', 'United States'),
(81366, '173.213.74.8', '173.213.74.15', 2916436488, 2916436495, 'CA', 'Canada'),
(81367, '173.213.74.16', '173.213.74.63', 2916436496, 2916436543, 'US', 'United States'),
(81368, '173.213.74.64', '173.213.74.127', 2916436544, 2916436607, 'CA', 'Canada'),
(81369, '173.213.74.128', '173.213.76.47', 2916436608, 2916437039, 'US', 'United States'),
(81370, '173.213.76.48', '173.213.76.55', 2916437040, 2916437047, 'DE', 'Germany'),
(81371, '173.213.76.56', '173.213.76.63', 2916437048, 2916437055, 'CN', 'China'),
(81372, '173.213.76.64', '173.213.76.215', 2916437056, 2916437207, 'US', 'United States'),
(81373, '173.213.76.216', '173.213.76.223', 2916437208, 2916437215, 'TH', 'Thailand'),
(81374, '173.213.76.224', '173.213.76.239', 2916437216, 2916437231, 'US', 'United States'),
(81375, '173.213.76.240', '173.213.76.247', 2916437232, 2916437239, 'SG', 'Singapore'),
(81376, '173.213.76.248', '173.213.88.79', 2916437240, 2916440143, 'US', 'United States'),
(81377, '173.213.88.80', '173.213.88.95', 2916440144, 2916440159, 'CA', 'Canada'),
(81378, '173.213.88.96', '173.213.88.111', 2916440160, 2916440175, 'US', 'United States'),
(81379, '173.213.88.112', '173.213.88.127', 2916440176, 2916440191, 'CA', 'Canada'),
(81380, '173.213.88.128', '173.213.88.223', 2916440192, 2916440287, 'US', 'United States'),
(81381, '173.213.88.224', '173.213.88.231', 2916440288, 2916440295, 'CA', 'Canada'),
(81382, '173.213.88.232', '173.213.92.31', 2916440296, 2916441119, 'US', 'United States'),
(81383, '173.213.92.32', '173.213.92.63', 2916441120, 2916441151, 'CA', 'Canada'),
(81384, '173.213.92.64', '173.213.92.255', 2916441152, 2916441343, 'US', 'United States'),
(81385, '173.213.93.0', '173.213.95.255', 2916441344, 2916442111, 'CA', 'Canada'),
(81386, '173.213.96.0', '173.213.100.15', 2916442112, 2916443151, 'US', 'United States'),
(81387, '173.213.100.16', '173.213.100.23', 2916443152, 2916443159, 'GB', 'United Kingdom'),
(81388, '173.213.100.24', '173.213.101.222', 2916443160, 2916443614, 'US', 'United States'),
(81389, '173.213.101.223', '173.213.101.255', 2916443615, 2916443647, 'CA', 'Canada'),
(81390, '173.213.102.0', '173.214.127.255', 2916443648, 2916515839, 'US', 'United States'),
(81391, '173.214.128.0', '173.214.143.255', 2916515840, 2916519935, 'CA', 'Canada'),
(81392, '173.214.144.0', '173.214.178.50', 2916519936, 2916528690, 'US', 'United States'),
(81393, '173.214.178.51', '173.214.178.75', 2916528691, 2916528715, 'CH', 'Switzerland'),
(81394, '173.214.178.76', '173.214.241.159', 2916528716, 2916544927, 'US', 'United States'),
(81395, '173.214.241.160', '173.214.241.191', 2916544928, 2916544959, 'BZ', 'Belize'),
(81396, '173.214.241.192', '173.214.252.255', 2916544960, 2916547839, 'US', 'United States'),
(81397, '173.214.253.0', '173.214.253.31', 2916547840, 2916547871, 'BZ', 'Belize'),
(81398, '173.214.253.32', '173.215.127.255', 2916547872, 2916581375, 'US', 'United States'),
(81399, '173.215.128.0', '173.215.255.255', 2916581376, 2916614143, 'PR', 'Puerto Rico'),
(81400, '173.216.0.0', '173.224.114.63', 2916614144, 2917167679, 'US', 'United States'),
(81401, '173.224.114.64', '173.224.114.127', 2917167680, 2917167743, 'BR', 'Brazil'),
(81402, '173.224.114.128', '173.224.114.159', 2917167744, 2917167775, 'US', 'United States'),
(81403, '173.224.114.160', '173.224.114.191', 2917167776, 2917167807, 'LT', 'Lithuania'),
(81404, '173.224.114.192', '173.224.114.223', 2917167808, 2917167839, 'US', 'United States'),
(81405, '173.224.114.224', '173.224.114.255', 2917167840, 2917167871, 'TR', 'Turkey'),
(81406, '173.224.115.0', '173.224.115.31', 2917167872, 2917167903, 'US', 'United States'),
(81407, '173.224.115.32', '173.224.115.63', 2917167904, 2917167935, 'TR', 'Turkey'),
(81408, '173.224.115.64', '173.224.115.95', 2917167936, 2917167967, 'US', 'United States'),
(81409, '173.224.115.96', '173.224.115.127', 2917167968, 2917167999, 'GB', 'United Kingdom'),
(81410, '173.224.115.128', '173.224.115.159', 2917168000, 2917168031, 'UA', 'Ukraine'),
(81411, '173.224.115.160', '173.224.115.223', 2917168032, 2917168095, 'US', 'United States'),
(81412, '173.224.115.224', '173.224.115.255', 2917168096, 2917168127, 'NZ', 'New Zealand'),
(81413, '173.224.116.0', '173.224.116.95', 2917168128, 2917168223, 'US', 'United States'),
(81414, '173.224.116.96', '173.224.116.127', 2917168224, 2917168255, 'BR', 'Brazil'),
(81415, '173.224.116.128', '173.224.116.191', 2917168256, 2917168319, 'US', 'United States'),
(81416, '173.224.116.192', '173.224.116.223', 2917168320, 2917168351, 'AR', 'Argentina'),
(81417, '173.224.116.224', '173.224.116.255', 2917168352, 2917168383, 'DE', 'Germany'),
(81418, '173.224.117.0', '173.224.117.31', 2917168384, 2917168415, 'BR', 'Brazil');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(81419, '173.224.117.32', '173.224.117.63', 2917168416, 2917168447, 'US', 'United States'),
(81420, '173.224.117.64', '173.224.117.95', 2917168448, 2917168479, 'BR', 'Brazil'),
(81421, '173.224.117.96', '173.224.117.223', 2917168480, 2917168607, 'US', 'United States'),
(81422, '173.224.117.224', '173.224.117.255', 2917168608, 2917168639, 'BR', 'Brazil'),
(81423, '173.224.118.0', '173.224.123.95', 2917168640, 2917170015, 'US', 'United States'),
(81424, '173.224.123.96', '173.224.123.127', 2917170016, 2917170047, 'UA', 'Ukraine'),
(81425, '173.224.123.128', '173.224.123.159', 2917170048, 2917170079, 'BR', 'Brazil'),
(81426, '173.224.123.160', '173.224.123.191', 2917170080, 2917170111, 'US', 'United States'),
(81427, '173.224.123.192', '173.224.123.223', 2917170112, 2917170143, 'TR', 'Turkey'),
(81428, '173.224.123.224', '173.224.124.63', 2917170144, 2917170239, 'US', 'United States'),
(81429, '173.224.124.64', '173.224.124.127', 2917170240, 2917170303, 'BR', 'Brazil'),
(81430, '173.224.124.128', '173.224.127.168', 2917170304, 2917171112, 'US', 'United States'),
(81431, '173.224.127.169', '173.224.127.170', 2917171113, 2917171114, 'CA', 'Canada'),
(81432, '173.224.127.171', '173.224.127.171', 2917171115, 2917171115, 'BR', 'Brazil'),
(81433, '173.224.127.172', '173.224.127.176', 2917171116, 2917171120, 'US', 'United States'),
(81434, '173.224.127.177', '173.224.127.177', 2917171121, 2917171121, 'DO', 'Dominican Republic'),
(81435, '173.224.127.178', '173.224.127.178', 2917171122, 2917171122, 'IN', 'India'),
(81436, '173.224.127.179', '173.224.223.255', 2917171123, 2917195775, 'US', 'United States'),
(81437, '173.224.224.0', '173.224.224.255', 2917195776, 2917196031, 'A2', 'Satellite Provider'),
(81438, '173.224.225.0', '173.224.225.127', 2917196032, 2917196159, 'CA', 'Canada'),
(81439, '173.224.225.128', '173.224.225.255', 2917196160, 2917196287, 'A2', 'Satellite Provider'),
(81440, '173.224.226.0', '173.224.226.127', 2917196288, 2917196415, 'CA', 'Canada'),
(81441, '173.224.226.128', '173.224.239.255', 2917196416, 2917199871, 'A2', 'Satellite Provider'),
(81442, '173.224.240.0', '173.224.255.255', 2917199872, 2917203967, 'CA', 'Canada'),
(81443, '173.225.0.0', '173.225.24.223', 2917203968, 2917210335, 'US', 'United States'),
(81444, '173.225.24.224', '173.225.24.255', 2917210336, 2917210367, 'CA', 'Canada'),
(81445, '173.225.25.0', '173.225.207.255', 2917210368, 2917257215, 'US', 'United States'),
(81446, '173.225.208.0', '173.225.223.255', 2917257216, 2917261311, 'KY', 'Cayman Islands'),
(81447, '173.225.224.0', '173.225.239.255', 2917261312, 2917265407, 'US', 'United States'),
(81448, '173.225.240.0', '173.225.249.63', 2917265408, 2917267775, 'JM', 'Jamaica'),
(81449, '173.225.249.64', '173.225.249.127', 2917267776, 2917267839, 'VG', 'Virgin Islands, British'),
(81450, '173.225.249.128', '173.225.250.255', 2917267840, 2917268223, 'JM', 'Jamaica'),
(81451, '173.225.251.0', '173.225.251.255', 2917268224, 2917268479, 'BB', 'Barbados'),
(81452, '173.225.252.0', '173.225.255.255', 2917268480, 2917269503, 'JM', 'Jamaica'),
(81453, '173.226.0.0', '173.228.191.255', 2917269504, 2917449727, 'US', 'United States'),
(81454, '173.228.192.0', '173.228.255.255', 2917449728, 2917466111, 'PR', 'Puerto Rico'),
(81455, '173.229.0.0', '173.230.159.255', 2917466112, 2917572607, 'US', 'United States'),
(81456, '173.230.160.0', '173.230.191.255', 2917572608, 2917580799, 'CA', 'Canada'),
(81457, '173.230.192.0', '173.230.234.255', 2917580800, 2917591807, 'US', 'United States'),
(81458, '173.230.235.0', '173.230.235.15', 2917591808, 2917591823, 'RO', 'Romania'),
(81459, '173.230.235.16', '173.230.235.47', 2917591824, 2917591855, 'US', 'United States'),
(81460, '173.230.235.48', '173.230.235.95', 2917591856, 2917591903, 'RO', 'Romania'),
(81461, '173.230.235.96', '173.231.0.255', 2917591904, 2917597439, 'US', 'United States'),
(81462, '173.231.1.0', '173.231.1.255', 2917597440, 2917597695, 'GB', 'United Kingdom'),
(81463, '173.231.2.0', '173.231.95.255', 2917597696, 2917621759, 'US', 'United States'),
(81464, '173.231.96.0', '173.231.127.255', 2917621760, 2917629951, 'CA', 'Canada'),
(81465, '173.231.128.0', '173.231.192.255', 2917629952, 2917646591, 'US', 'United States'),
(81466, '173.231.193.0', '173.231.195.127', 2917646592, 2917647231, 'CN', 'China'),
(81467, '173.231.195.128', '173.231.195.255', 2917647232, 2917647359, 'US', 'United States'),
(81468, '173.231.196.0', '173.231.200.127', 2917647360, 2917648511, 'CN', 'China'),
(81469, '173.231.200.128', '173.231.200.255', 2917648512, 2917648639, 'US', 'United States'),
(81470, '173.231.201.0', '173.231.203.127', 2917648640, 2917649279, 'CN', 'China'),
(81471, '173.231.203.128', '173.231.203.255', 2917649280, 2917649407, 'US', 'United States'),
(81472, '173.231.204.0', '173.231.204.127', 2917649408, 2917649535, 'RU', 'Russian Federation'),
(81473, '173.231.204.128', '173.231.204.255', 2917649536, 2917649663, 'CN', 'China'),
(81474, '173.231.205.0', '173.231.205.127', 2917649664, 2917649791, 'GB', 'United Kingdom'),
(81475, '173.231.205.128', '173.231.205.255', 2917649792, 2917649919, 'AZ', 'Azerbaijan'),
(81476, '173.231.206.0', '173.231.206.127', 2917649920, 2917650047, 'CN', 'China'),
(81477, '173.231.206.128', '173.231.206.255', 2917650048, 2917650175, 'US', 'United States'),
(81478, '173.231.207.0', '173.231.207.127', 2917650176, 2917650303, 'CN', 'China'),
(81479, '173.231.207.128', '173.231.207.255', 2917650304, 2917650431, 'PA', 'Panama'),
(81480, '173.231.208.0', '173.231.208.127', 2917650432, 2917650559, 'CN', 'China'),
(81481, '173.231.208.128', '173.231.210.127', 2917650560, 2917651071, 'US', 'United States'),
(81482, '173.231.210.128', '173.231.211.255', 2917651072, 2917651455, 'CN', 'China'),
(81483, '173.231.212.0', '173.231.212.255', 2917651456, 2917651711, 'US', 'United States'),
(81484, '173.231.213.0', '173.231.213.127', 2917651712, 2917651839, 'CR', 'Costa Rica'),
(81485, '173.231.213.128', '173.231.214.127', 2917651840, 2917652095, 'CN', 'China'),
(81486, '173.231.214.128', '173.231.214.255', 2917652096, 2917652223, 'IN', 'India'),
(81487, '173.231.215.0', '173.231.215.255', 2917652224, 2917652479, 'AU', 'Australia'),
(81488, '173.231.216.0', '173.231.216.255', 2917652480, 2917652735, 'CN', 'China'),
(81489, '173.231.217.0', '173.231.217.127', 2917652736, 2917652863, 'NZ', 'New Zealand'),
(81490, '173.231.217.128', '173.231.218.255', 2917652864, 2917653247, 'US', 'United States'),
(81491, '173.231.219.0', '173.231.219.127', 2917653248, 2917653375, 'CN', 'China'),
(81492, '173.231.219.128', '173.231.219.255', 2917653376, 2917653503, 'PA', 'Panama'),
(81493, '173.231.220.0', '173.231.221.255', 2917653504, 2917654015, 'GB', 'United Kingdom'),
(81494, '173.231.222.0', '173.231.222.127', 2917654016, 2917654143, 'FI', 'Finland'),
(81495, '173.231.222.128', '173.231.222.255', 2917654144, 2917654271, 'MY', 'Malaysia'),
(81496, '173.231.223.0', '173.231.223.255', 2917654272, 2917654527, 'CN', 'China'),
(81497, '173.231.224.0', '173.231.224.127', 2917654528, 2917654655, 'TH', 'Thailand'),
(81498, '173.231.224.128', '173.231.224.255', 2917654656, 2917654783, 'MX', 'Mexico'),
(81499, '173.231.225.0', '173.231.225.255', 2917654784, 2917655039, 'DE', 'Germany'),
(81500, '173.231.226.0', '173.231.226.127', 2917655040, 2917655167, 'US', 'United States'),
(81501, '173.231.226.128', '173.231.226.255', 2917655168, 2917655295, 'SG', 'Singapore'),
(81502, '173.231.227.0', '173.231.227.127', 2917655296, 2917655423, 'GB', 'United Kingdom'),
(81503, '173.231.227.128', '173.231.228.255', 2917655424, 2917655807, 'CN', 'China'),
(81504, '173.231.229.0', '173.231.229.127', 2917655808, 2917655935, 'US', 'United States'),
(81505, '173.231.229.128', '173.231.229.255', 2917655936, 2917656063, 'HU', 'Hungary'),
(81506, '173.231.230.0', '173.231.231.127', 2917656064, 2917656447, 'CN', 'China'),
(81507, '173.231.231.128', '173.231.231.255', 2917656448, 2917656575, 'FR', 'France'),
(81508, '173.231.232.0', '173.231.232.127', 2917656576, 2917656703, 'US', 'United States'),
(81509, '173.231.232.128', '173.231.233.255', 2917656704, 2917657087, 'CN', 'China'),
(81510, '173.231.234.0', '173.231.234.127', 2917657088, 2917657215, 'NO', 'Norway'),
(81511, '173.231.234.128', '173.231.235.127', 2917657216, 2917657471, 'US', 'United States'),
(81512, '173.231.235.128', '173.231.235.255', 2917657472, 2917657599, 'CN', 'China'),
(81513, '173.231.236.0', '173.231.236.255', 2917657600, 2917657855, 'US', 'United States'),
(81514, '173.231.237.0', '173.231.237.127', 2917657856, 2917657983, 'CN', 'China'),
(81515, '173.231.237.128', '173.231.238.255', 2917657984, 2917658367, 'US', 'United States'),
(81516, '173.231.239.0', '173.231.239.127', 2917658368, 2917658495, 'CN', 'China'),
(81517, '173.231.239.128', '173.231.243.127', 2917658496, 2917659519, 'US', 'United States'),
(81518, '173.231.243.128', '173.231.243.255', 2917659520, 2917659647, 'HK', 'Hong Kong'),
(81519, '173.231.244.0', '173.231.244.127', 2917659648, 2917659775, 'US', 'United States'),
(81520, '173.231.244.128', '173.231.244.255', 2917659776, 2917659903, 'CN', 'China'),
(81521, '173.231.245.0', '173.231.246.255', 2917659904, 2917660415, 'US', 'United States'),
(81522, '173.231.247.0', '173.231.247.127', 2917660416, 2917660543, 'CA', 'Canada'),
(81523, '173.231.247.128', '173.231.247.255', 2917660544, 2917660671, 'GI', 'Gibraltar'),
(81524, '173.231.248.0', '173.231.249.255', 2917660672, 2917661183, 'GB', 'United Kingdom'),
(81525, '173.231.250.0', '173.231.250.127', 2917661184, 2917661311, 'CA', 'Canada'),
(81526, '173.231.250.128', '173.231.251.255', 2917661312, 2917661695, 'CN', 'China'),
(81527, '173.231.252.0', '173.231.252.127', 2917661696, 2917661823, 'ZA', 'South Africa'),
(81528, '173.231.252.128', '173.231.252.255', 2917661824, 2917661951, 'PK', 'Pakistan'),
(81529, '173.231.253.0', '173.231.253.127', 2917661952, 2917662079, 'CN', 'China'),
(81530, '173.231.253.128', '173.232.1.255', 2917662080, 2917663231, 'US', 'United States'),
(81531, '173.232.2.0', '173.232.2.255', 2917663232, 2917663487, 'CA', 'Canada'),
(81532, '173.232.3.0', '173.232.36.255', 2917663488, 2917672191, 'US', 'United States'),
(81533, '173.232.37.0', '173.232.37.31', 2917672192, 2917672223, 'CA', 'Canada'),
(81534, '173.232.37.32', '173.232.51.255', 2917672224, 2917676031, 'US', 'United States'),
(81535, '173.232.52.0', '173.232.52.255', 2917676032, 2917676287, 'CA', 'Canada'),
(81536, '173.232.53.0', '173.232.144.255', 2917676288, 2917699839, 'US', 'United States'),
(81537, '173.232.145.0', '173.232.146.255', 2917699840, 2917700351, 'CA', 'Canada'),
(81538, '173.232.147.0', '173.232.169.255', 2917700352, 2917706239, 'US', 'United States'),
(81539, '173.232.170.0', '173.232.172.255', 2917706240, 2917707007, 'CA', 'Canada'),
(81540, '173.232.173.0', '173.232.174.255', 2917707008, 2917707519, 'US', 'United States'),
(81541, '173.232.175.0', '173.232.175.255', 2917707520, 2917707775, 'CA', 'Canada'),
(81542, '173.232.176.0', '173.232.184.255', 2917707776, 2917710079, 'US', 'United States'),
(81543, '173.232.185.0', '173.232.187.255', 2917710080, 2917710847, 'CA', 'Canada'),
(81544, '173.232.188.0', '173.232.199.255', 2917710848, 2917713919, 'US', 'United States'),
(81545, '173.232.200.0', '173.232.201.255', 2917713920, 2917714431, 'CA', 'Canada'),
(81546, '173.232.202.0', '173.232.207.255', 2917714432, 2917715967, 'US', 'United States'),
(81547, '173.232.208.0', '173.232.208.255', 2917715968, 2917716223, 'DE', 'Germany'),
(81548, '173.232.209.0', '173.232.215.255', 2917716224, 2917718015, 'US', 'United States'),
(81549, '173.232.216.0', '173.232.217.255', 2917718016, 2917718527, 'CA', 'Canada'),
(81550, '173.232.218.0', '173.232.232.255', 2917718528, 2917722367, 'US', 'United States'),
(81551, '173.232.233.0', '173.232.233.255', 2917722368, 2917722623, 'CA', 'Canada'),
(81552, '173.232.234.0', '173.232.239.255', 2917722624, 2917724159, 'US', 'United States'),
(81553, '173.232.240.0', '173.232.240.255', 2917724160, 2917724415, 'CA', 'Canada'),
(81554, '173.232.241.0', '173.232.247.255', 2917724416, 2917726207, 'US', 'United States'),
(81555, '173.232.248.0', '173.232.248.255', 2917726208, 2917726463, 'CA', 'Canada'),
(81556, '173.232.249.0', '173.232.249.31', 2917726464, 2917726495, 'CR', 'Costa Rica'),
(81557, '173.232.249.32', '173.234.8.111', 2917726496, 2917795951, 'US', 'United States'),
(81558, '173.234.8.112', '173.234.8.119', 2917795952, 2917795959, 'CA', 'Canada'),
(81559, '173.234.8.120', '173.234.9.167', 2917795960, 2917796263, 'US', 'United States'),
(81560, '173.234.9.168', '173.234.9.175', 2917796264, 2917796271, 'CA', 'Canada'),
(81561, '173.234.9.176', '173.234.31.255', 2917796272, 2917801983, 'US', 'United States'),
(81562, '173.234.32.0', '173.234.32.7', 2917801984, 2917801991, 'CA', 'Canada'),
(81563, '173.234.32.8', '173.234.32.247', 2917801992, 2917802231, 'US', 'United States'),
(81564, '173.234.32.248', '173.234.32.255', 2917802232, 2917802239, 'CA', 'Canada'),
(81565, '173.234.33.0', '173.234.33.55', 2917802240, 2917802295, 'US', 'United States'),
(81566, '173.234.33.56', '173.234.33.63', 2917802296, 2917802303, 'CA', 'Canada'),
(81567, '173.234.33.64', '173.234.33.127', 2917802304, 2917802367, 'US', 'United States'),
(81568, '173.234.33.128', '173.234.33.135', 2917802368, 2917802375, 'CA', 'Canada'),
(81569, '173.234.33.136', '173.234.41.239', 2917802376, 2917804527, 'US', 'United States'),
(81570, '173.234.41.240', '173.234.41.247', 2917804528, 2917804535, 'LK', 'Sri Lanka'),
(81571, '173.234.41.248', '173.234.43.79', 2917804536, 2917804879, 'US', 'United States'),
(81572, '173.234.43.80', '173.234.43.87', 2917804880, 2917804887, 'CA', 'Canada'),
(81573, '173.234.43.88', '173.234.43.111', 2917804888, 2917804911, 'US', 'United States'),
(81574, '173.234.43.112', '173.234.43.119', 2917804912, 2917804919, 'CA', 'Canada'),
(81575, '173.234.43.120', '173.234.43.135', 2917804920, 2917804935, 'US', 'United States'),
(81576, '173.234.43.136', '173.234.43.143', 2917804936, 2917804943, 'CA', 'Canada'),
(81577, '173.234.43.144', '173.234.43.151', 2917804944, 2917804951, 'US', 'United States'),
(81578, '173.234.43.152', '173.234.43.159', 2917804952, 2917804959, 'CA', 'Canada'),
(81579, '173.234.43.160', '173.234.43.239', 2917804960, 2917805039, 'US', 'United States'),
(81580, '173.234.43.240', '173.234.43.247', 2917805040, 2917805047, 'CA', 'Canada'),
(81581, '173.234.43.248', '173.234.60.79', 2917805048, 2917809231, 'US', 'United States'),
(81582, '173.234.60.80', '173.234.60.87', 2917809232, 2917809239, 'CA', 'Canada'),
(81583, '173.234.60.88', '173.234.63.7', 2917809240, 2917809927, 'US', 'United States'),
(81584, '173.234.63.8', '173.234.63.15', 2917809928, 2917809935, 'CA', 'Canada'),
(81585, '173.234.63.16', '173.234.69.55', 2917809936, 2917811511, 'US', 'United States'),
(81586, '173.234.69.56', '173.234.69.63', 2917811512, 2917811519, 'LK', 'Sri Lanka'),
(81587, '173.234.69.64', '173.234.69.127', 2917811520, 2917811583, 'US', 'United States'),
(81588, '173.234.69.128', '173.234.69.255', 2917811584, 2917811711, 'LK', 'Sri Lanka'),
(81589, '173.234.70.0', '173.234.77.175', 2917811712, 2917813679, 'US', 'United States'),
(81590, '173.234.77.176', '173.234.77.183', 2917813680, 2917813687, 'LK', 'Sri Lanka'),
(81591, '173.234.77.184', '173.234.85.23', 2917813688, 2917815575, 'US', 'United States'),
(81592, '173.234.85.24', '173.234.85.31', 2917815576, 2917815583, 'RO', 'Romania'),
(81593, '173.234.85.32', '173.234.117.127', 2917815584, 2917823871, 'US', 'United States'),
(81594, '173.234.117.128', '173.234.117.143', 2917823872, 2917823887, 'CA', 'Canada'),
(81595, '173.234.117.144', '173.234.117.151', 2917823888, 2917823895, 'US', 'United States'),
(81596, '173.234.117.152', '173.234.117.159', 2917823896, 2917823903, 'CA', 'Canada'),
(81597, '173.234.117.160', '173.234.117.231', 2917823904, 2917823975, 'US', 'United States'),
(81598, '173.234.117.232', '173.234.117.247', 2917823976, 2917823991, 'CA', 'Canada'),
(81599, '173.234.117.248', '173.234.140.95', 2917823992, 2917829727, 'US', 'United States'),
(81600, '173.234.140.96', '173.234.140.111', 2917829728, 2917829743, 'CA', 'Canada'),
(81601, '173.234.140.112', '173.234.157.159', 2917829744, 2917834143, 'US', 'United States'),
(81602, '173.234.157.160', '173.234.157.167', 2917834144, 2917834151, 'CA', 'Canada'),
(81603, '173.234.157.168', '173.234.163.159', 2917834152, 2917835679, 'US', 'United States'),
(81604, '173.234.163.160', '173.234.163.167', 2917835680, 2917835687, 'CA', 'Canada'),
(81605, '173.234.163.168', '173.234.188.255', 2917835688, 2917842175, 'US', 'United States'),
(81606, '173.234.189.0', '173.234.189.255', 2917842176, 2917842431, 'CA', 'Canada'),
(81607, '173.234.190.0', '173.234.208.23', 2917842432, 2917847063, 'US', 'United States'),
(81608, '173.234.208.24', '173.234.208.31', 2917847064, 2917847071, 'CA', 'Canada'),
(81609, '173.234.208.32', '173.234.233.31', 2917847072, 2917853471, 'US', 'United States'),
(81610, '173.234.233.32', '173.234.233.55', 2917853472, 2917853495, 'CA', 'Canada'),
(81611, '173.234.233.56', '173.234.233.79', 2917853496, 2917853519, 'US', 'United States'),
(81612, '173.234.233.80', '173.234.233.95', 2917853520, 2917853535, 'CA', 'Canada'),
(81613, '173.234.233.96', '173.234.233.127', 2917853536, 2917853567, 'US', 'United States'),
(81614, '173.234.233.128', '173.234.233.135', 2917853568, 2917853575, 'CA', 'Canada'),
(81615, '173.234.233.136', '173.234.233.175', 2917853576, 2917853615, 'US', 'United States'),
(81616, '173.234.233.176', '173.234.233.183', 2917853616, 2917853623, 'CA', 'Canada'),
(81617, '173.234.233.184', '173.234.237.127', 2917853624, 2917854591, 'US', 'United States'),
(81618, '173.234.237.128', '173.234.237.255', 2917854592, 2917854719, 'LK', 'Sri Lanka'),
(81619, '173.234.238.0', '173.237.95.255', 2917854720, 2918014975, 'US', 'United States'),
(81620, '173.237.96.0', '173.237.127.255', 2918014976, 2918023167, 'CA', 'Canada'),
(81621, '173.237.128.0', '173.237.207.255', 2918023168, 2918043647, 'US', 'United States'),
(81622, '173.237.208.0', '173.237.223.255', 2918043648, 2918047743, 'CA', 'Canada'),
(81623, '173.237.224.0', '173.237.239.255', 2918047744, 2918051839, 'US', 'United States'),
(81624, '173.237.240.0', '173.238.255.255', 2918051840, 2918121471, 'CA', 'Canada'),
(81625, '173.239.0.0', '173.239.127.255', 2918121472, 2918154239, 'US', 'United States'),
(81626, '173.239.128.0', '173.239.191.255', 2918154240, 2918170623, 'CA', 'Canada'),
(81627, '173.239.192.0', '173.240.49.127', 2918170624, 2918199679, 'US', 'United States'),
(81628, '173.240.49.128', '173.240.49.191', 2918199680, 2918199743, 'CA', 'Canada'),
(81629, '173.240.49.192', '173.240.51.223', 2918199744, 2918200287, 'US', 'United States'),
(81630, '173.240.51.224', '173.240.51.239', 2918200288, 2918200303, 'CA', 'Canada'),
(81631, '173.240.51.240', '173.240.56.207', 2918200304, 2918201551, 'US', 'United States'),
(81632, '173.240.56.208', '173.240.56.223', 2918201552, 2918201567, 'CA', 'Canada'),
(81633, '173.240.56.224', '173.240.59.111', 2918201568, 2918202223, 'US', 'United States'),
(81634, '173.240.59.112', '173.240.59.127', 2918202224, 2918202239, 'CA', 'Canada'),
(81635, '173.240.59.128', '173.240.175.255', 2918202240, 2918232063, 'US', 'United States'),
(81636, '173.240.176.0', '173.240.191.255', 2918232064, 2918236159, 'CA', 'Canada'),
(81637, '173.240.192.0', '173.241.31.255', 2918236160, 2918260735, 'US', 'United States'),
(81638, '173.241.32.0', '173.241.47.255', 2918260736, 2918264831, 'CA', 'Canada'),
(81639, '173.241.48.0', '173.241.95.255', 2918264832, 2918277119, 'US', 'United States'),
(81640, '173.241.96.0', '173.241.111.255', 2918277120, 2918281215, 'CA', 'Canada'),
(81641, '173.241.112.0', '173.241.131.255', 2918281216, 2918286335, 'US', 'United States'),
(81642, '173.241.132.0', '173.241.133.127', 2918286336, 2918286719, 'CA', 'Canada'),
(81643, '173.241.133.128', '173.241.134.31', 2918286720, 2918286879, 'US', 'United States'),
(81644, '173.241.134.32', '173.241.134.47', 2918286880, 2918286895, 'GB', 'United Kingdom'),
(81645, '173.241.134.48', '173.241.134.255', 2918286896, 2918287103, 'US', 'United States'),
(81646, '173.241.135.0', '173.241.135.255', 2918287104, 2918287359, 'CR', 'Costa Rica'),
(81647, '173.241.136.0', '173.241.143.255', 2918287360, 2918289407, 'GB', 'United Kingdom'),
(81648, '173.241.144.0', '173.241.240.232', 2918289408, 2918314216, 'US', 'United States'),
(81649, '173.241.240.233', '173.241.240.233', 2918314217, 2918314217, 'GB', 'United Kingdom'),
(81650, '173.241.240.234', '173.242.207.255', 2918314218, 2918371327, 'US', 'United States'),
(81651, '173.242.208.0', '173.242.223.255', 2918371328, 2918375423, 'CA', 'Canada'),
(81652, '173.242.224.0', '173.243.31.255', 2918375424, 2918391807, 'US', 'United States'),
(81653, '173.243.32.0', '173.243.47.255', 2918391808, 2918395903, 'CA', 'Canada'),
(81654, '173.243.48.0', '173.243.79.255', 2918395904, 2918404095, 'US', 'United States'),
(81655, '173.243.80.0', '173.243.90.255', 2918404096, 2918406911, 'PR', 'Puerto Rico'),
(81656, '173.243.91.0', '173.243.92.255', 2918406912, 2918407423, 'US', 'United States'),
(81657, '173.243.93.0', '173.243.95.255', 2918407424, 2918408191, 'PR', 'Puerto Rico'),
(81658, '173.243.96.0', '173.243.114.103', 2918408192, 2918412903, 'US', 'United States'),
(81659, '173.243.114.104', '173.243.114.111', 2918412904, 2918412911, 'ES', 'Spain'),
(81660, '173.243.114.112', '173.243.114.127', 2918412912, 2918412927, 'US', 'United States'),
(81661, '173.243.114.128', '173.243.114.135', 2918412928, 2918412935, 'ES', 'Spain'),
(81662, '173.243.114.136', '173.243.127.255', 2918412936, 2918416383, 'US', 'United States'),
(81663, '173.243.128.0', '173.243.143.255', 2918416384, 2918420479, 'CA', 'Canada'),
(81664, '173.243.144.0', '173.243.191.255', 2918420480, 2918432767, 'US', 'United States'),
(81665, '173.243.192.0', '173.243.207.255', 2918432768, 2918436863, 'CA', 'Canada'),
(81666, '173.243.208.0', '173.244.79.255', 2918436864, 2918469631, 'US', 'United States'),
(81667, '173.244.80.0', '173.244.86.255', 2918469632, 2918471423, 'CA', 'Canada'),
(81668, '173.244.87.0', '173.244.87.255', 2918471424, 2918471679, 'US', 'United States'),
(81669, '173.244.88.0', '173.244.91.255', 2918471680, 2918472703, 'CA', 'Canada'),
(81670, '173.244.92.0', '173.244.93.255', 2918472704, 2918473215, 'US', 'United States'),
(81671, '173.244.94.0', '173.244.95.255', 2918473216, 2918473727, 'CA', 'Canada'),
(81672, '173.244.96.0', '173.244.111.255', 2918473728, 2918477823, 'US', 'United States'),
(81673, '173.244.112.0', '173.244.127.255', 2918477824, 2918481919, 'CA', 'Canada'),
(81674, '173.244.128.0', '173.244.206.190', 2918481920, 2918502078, 'US', 'United States'),
(81675, '173.244.206.191', '173.244.206.191', 2918502079, 2918502079, 'A1', 'Anonymous Proxy'),
(81676, '173.244.206.192', '173.245.0.255', 2918502080, 2918514943, 'US', 'United States'),
(81677, '173.245.1.0', '173.245.1.135', 2918514944, 2918515079, 'CA', 'Canada'),
(81678, '173.245.1.136', '173.245.1.255', 2918515080, 2918515199, 'US', 'United States'),
(81679, '173.245.2.0', '173.245.2.127', 2918515200, 2918515327, 'CA', 'Canada'),
(81680, '173.245.2.128', '173.245.68.15', 2918515328, 2918532111, 'US', 'United States'),
(81681, '173.245.68.16', '173.245.68.23', 2918532112, 2918532119, 'CN', 'China'),
(81682, '173.245.68.24', '173.245.68.47', 2918532120, 2918532143, 'US', 'United States'),
(81683, '173.245.68.48', '173.245.68.55', 2918532144, 2918532151, 'PK', 'Pakistan'),
(81684, '173.245.68.56', '173.245.71.255', 2918532152, 2918533119, 'US', 'United States'),
(81685, '173.245.72.0', '173.245.72.7', 2918533120, 2918533127, 'CN', 'China'),
(81686, '173.245.72.8', '173.245.72.23', 2918533128, 2918533143, 'US', 'United States'),
(81687, '173.245.72.24', '173.245.72.31', 2918533144, 2918533151, 'CN', 'China'),
(81688, '173.245.72.32', '173.245.72.39', 2918533152, 2918533159, 'US', 'United States'),
(81689, '173.245.72.40', '173.245.72.47', 2918533160, 2918533167, 'CN', 'China'),
(81690, '173.245.72.48', '173.245.72.71', 2918533168, 2918533191, 'US', 'United States'),
(81691, '173.245.72.72', '173.245.72.79', 2918533192, 2918533199, 'AU', 'Australia'),
(81692, '173.245.72.80', '173.245.72.95', 2918533200, 2918533215, 'CN', 'China'),
(81693, '173.245.72.96', '173.245.78.31', 2918533216, 2918534687, 'US', 'United States'),
(81694, '173.245.78.32', '173.245.78.39', 2918534688, 2918534695, 'CN', 'China'),
(81695, '173.245.78.40', '173.245.78.47', 2918534696, 2918534703, 'US', 'United States'),
(81696, '173.245.78.48', '173.245.78.63', 2918534704, 2918534719, 'CN', 'China'),
(81697, '173.245.78.64', '173.245.78.159', 2918534720, 2918534815, 'US', 'United States'),
(81698, '173.245.78.160', '173.245.78.223', 2918534816, 2918534879, 'CN', 'China'),
(81699, '173.245.78.224', '173.245.79.31', 2918534880, 2918534943, 'US', 'United States'),
(81700, '173.245.79.32', '173.245.79.63', 2918534944, 2918534975, 'CN', 'China'),
(81701, '173.245.79.64', '173.245.79.71', 2918534976, 2918534983, 'US', 'United States'),
(81702, '173.245.79.72', '173.245.79.79', 2918534984, 2918534991, 'ID', 'Indonesia'),
(81703, '173.245.79.80', '173.245.83.255', 2918534992, 2918536191, 'US', 'United States'),
(81704, '173.245.84.0', '173.245.85.255', 2918536192, 2918536703, 'A1', 'Anonymous Proxy'),
(81705, '173.245.86.0', '173.245.86.15', 2918536704, 2918536719, 'US', 'United States'),
(81706, '173.245.86.16', '173.245.86.23', 2918536720, 2918536727, 'CA', 'Canada'),
(81707, '173.245.86.24', '173.245.255.255', 2918536728, 2918580223, 'US', 'United States'),
(81708, '173.246.0.0', '173.246.31.255', 2918580224, 2918588415, 'CA', 'Canada'),
(81709, '173.246.32.0', '173.246.63.255', 2918588416, 2918596607, 'US', 'United States'),
(81710, '173.246.64.0', '173.246.93.255', 2918596608, 2918604287, 'CA', 'Canada'),
(81711, '173.246.94.0', '173.246.94.255', 2918604288, 2918604543, 'US', 'United States'),
(81712, '173.246.95.0', '173.246.95.255', 2918604544, 2918604799, 'CA', 'Canada'),
(81713, '173.246.96.0', '173.247.207.255', 2918604800, 2918699007, 'US', 'United States'),
(81714, '173.247.208.0', '173.247.223.255', 2918699008, 2918703103, 'CA', 'Canada'),
(81715, '173.247.224.0', '173.248.191.255', 2918703104, 2918760447, 'US', 'United States'),
(81716, '173.248.192.0', '173.248.255.255', 2918760448, 2918776831, 'CA', 'Canada'),
(81717, '173.249.0.0', '173.249.152.255', 2918776832, 2918815999, 'US', 'United States'),
(81718, '173.249.153.0', '173.249.156.255', 2918816000, 2918817023, 'GB', 'United Kingdom'),
(81719, '173.249.157.0', '173.249.199.255', 2918817024, 2918828031, 'US', 'United States'),
(81720, '173.249.200.0', '173.249.201.255', 2918828032, 2918828543, 'UA', 'Ukraine'),
(81721, '173.249.202.0', '173.249.203.255', 2918828544, 2918829055, 'ES', 'Spain'),
(81722, '173.249.204.0', '173.249.204.127', 2918829056, 2918829183, 'US', 'United States'),
(81723, '173.249.204.128', '173.249.204.255', 2918829184, 2918829311, 'PL', 'Poland'),
(81724, '173.249.205.0', '173.249.205.127', 2918829312, 2918829439, 'CA', 'Canada'),
(81725, '173.249.205.128', '173.249.205.255', 2918829440, 2918829567, 'JM', 'Jamaica'),
(81726, '173.249.206.0', '173.249.206.127', 2918829568, 2918829695, 'GR', 'Greece'),
(81727, '173.249.206.128', '173.249.206.255', 2918829696, 2918829823, 'DE', 'Germany'),
(81728, '173.249.207.0', '173.249.207.255', 2918829824, 2918830079, 'CN', 'China'),
(81729, '173.249.208.0', '173.249.223.255', 2918830080, 2918834175, 'CA', 'Canada'),
(81730, '173.249.224.0', '173.249.255.255', 2918834176, 2918842367, 'US', 'United States'),
(81731, '173.250.0.0', '173.250.127.255', 2918842368, 2918875135, 'CA', 'Canada'),
(81732, '173.250.128.0', '173.251.255.255', 2918875136, 2918973439, 'US', 'United States'),
(81733, '173.252.0.0', '173.252.63.255', 2918973440, 2918989823, 'CA', 'Canada'),
(81734, '173.252.64.0', '173.252.143.255', 2918989824, 2919010303, 'US', 'United States'),
(81735, '173.252.144.0', '173.252.145.127', 2919010304, 2919010687, 'CA', 'Canada'),
(81736, '173.252.145.128', '173.252.183.255', 2919010688, 2919020543, 'US', 'United States'),
(81737, '173.252.184.0', '173.252.184.31', 2919020544, 2919020575, 'CA', 'Canada'),
(81738, '173.252.184.32', '173.252.184.63', 2919020576, 2919020607, 'US', 'United States'),
(81739, '173.252.184.64', '173.252.184.111', 2919020608, 2919020655, 'CA', 'Canada'),
(81740, '173.252.184.112', '173.252.184.167', 2919020656, 2919020711, 'US', 'United States'),
(81741, '173.252.184.168', '173.252.184.175', 2919020712, 2919020719, 'CA', 'Canada'),
(81742, '173.252.184.176', '173.252.184.183', 2919020720, 2919020727, 'US', 'United States'),
(81743, '173.252.184.184', '173.252.184.255', 2919020728, 2919020799, 'CA', 'Canada'),
(81744, '173.252.185.0', '173.252.187.15', 2919020800, 2919021327, 'US', 'United States'),
(81745, '173.252.187.16', '173.252.187.23', 2919021328, 2919021335, 'CA', 'Canada'),
(81746, '173.252.187.24', '173.252.187.31', 2919021336, 2919021343, 'US', 'United States'),
(81747, '173.252.187.32', '173.252.187.255', 2919021344, 2919021567, 'CA', 'Canada'),
(81748, '173.252.188.0', '173.252.189.255', 2919021568, 2919022079, 'US', 'United States'),
(81749, '173.252.190.0', '173.252.190.127', 2919022080, 2919022207, 'CA', 'Canada'),
(81750, '173.252.190.128', '173.252.190.207', 2919022208, 2919022287, 'US', 'United States'),
(81751, '173.252.190.208', '173.252.191.95', 2919022288, 2919022431, 'CA', 'Canada'),
(81752, '173.252.191.96', '173.253.95.255', 2919022432, 2919063551, 'US', 'United States'),
(81753, '173.253.96.0', '173.253.97.255', 2919063552, 2919064063, 'MX', 'Mexico'),
(81754, '173.253.98.0', '173.253.112.7', 2919064064, 2919067655, 'CN', 'China'),
(81755, '173.253.112.8', '173.253.112.47', 2919067656, 2919067695, 'US', 'United States'),
(81756, '173.253.112.48', '173.253.112.55', 2919067696, 2919067703, 'PK', 'Pakistan'),
(81757, '173.253.112.56', '173.253.112.63', 2919067704, 2919067711, 'ES', 'Spain'),
(81758, '173.253.112.64', '173.253.112.71', 2919067712, 2919067719, 'CN', 'China'),
(81759, '173.253.112.72', '173.253.112.79', 2919067720, 2919067727, 'TR', 'Turkey'),
(81760, '173.253.112.80', '173.253.112.87', 2919067728, 2919067735, 'IN', 'India'),
(81761, '173.253.112.88', '173.253.112.95', 2919067736, 2919067743, 'US', 'United States'),
(81762, '173.253.112.96', '173.253.112.103', 2919067744, 2919067751, 'BR', 'Brazil'),
(81763, '173.253.112.104', '173.253.112.111', 2919067752, 2919067759, 'IN', 'India'),
(81764, '173.253.112.112', '173.253.112.119', 2919067760, 2919067767, 'CA', 'Canada'),
(81765, '173.253.112.120', '173.253.112.127', 2919067768, 2919067775, 'US', 'United States'),
(81766, '173.253.112.128', '173.253.112.135', 2919067776, 2919067783, 'AU', 'Australia'),
(81767, '173.253.112.136', '173.253.112.143', 2919067784, 2919067791, 'US', 'United States'),
(81768, '173.253.112.144', '173.253.112.151', 2919067792, 2919067799, 'BR', 'Brazil'),
(81769, '173.253.112.152', '173.253.112.175', 2919067800, 2919067823, 'US', 'United States'),
(81770, '173.253.112.176', '173.253.112.183', 2919067824, 2919067831, 'BR', 'Brazil'),
(81771, '173.253.112.184', '173.253.112.191', 2919067832, 2919067839, 'US', 'United States'),
(81772, '173.253.112.192', '173.253.112.199', 2919067840, 2919067847, 'BR', 'Brazil'),
(81773, '173.253.112.200', '173.253.112.215', 2919067848, 2919067863, 'US', 'United States'),
(81774, '173.253.112.216', '173.253.112.223', 2919067864, 2919067871, 'ES', 'Spain'),
(81775, '173.253.112.224', '173.253.112.231', 2919067872, 2919067879, 'CA', 'Canada'),
(81776, '173.253.112.232', '173.253.112.239', 2919067880, 2919067887, 'TW', 'Taiwan'),
(81777, '173.253.112.240', '173.253.112.247', 2919067888, 2919067895, 'IE', 'Ireland'),
(81778, '173.253.112.248', '173.253.112.255', 2919067896, 2919067903, 'CA', 'Canada'),
(81779, '173.253.113.0', '173.253.113.7', 2919067904, 2919067911, 'US', 'United States'),
(81780, '173.253.113.8', '173.253.113.15', 2919067912, 2919067919, 'CN', 'China'),
(81781, '173.253.113.16', '173.253.113.23', 2919067920, 2919067927, 'US', 'United States'),
(81782, '173.253.113.24', '173.253.113.31', 2919067928, 2919067935, 'RU', 'Russian Federation'),
(81783, '173.253.113.32', '173.253.113.39', 2919067936, 2919067943, 'BR', 'Brazil'),
(81784, '173.253.113.40', '173.253.113.47', 2919067944, 2919067951, 'PL', 'Poland'),
(81785, '173.253.113.48', '173.253.113.55', 2919067952, 2919067959, 'CN', 'China'),
(81786, '173.253.113.56', '173.253.113.63', 2919067960, 2919067967, 'IL', 'Israel'),
(81787, '173.253.113.64', '173.253.113.71', 2919067968, 2919067975, 'US', 'United States'),
(81788, '173.253.113.72', '173.253.113.79', 2919067976, 2919067983, 'CA', 'Canada'),
(81789, '173.253.113.80', '173.253.113.95', 2919067984, 2919067999, 'CN', 'China'),
(81790, '173.253.113.96', '173.253.113.103', 2919068000, 2919068007, 'CM', 'Cameroon'),
(81791, '173.253.113.104', '173.253.113.111', 2919068008, 2919068015, 'BR', 'Brazil'),
(81792, '173.253.113.112', '173.253.113.119', 2919068016, 2919068023, 'US', 'United States'),
(81793, '173.253.113.120', '173.253.113.127', 2919068024, 2919068031, 'HK', 'Hong Kong'),
(81794, '173.253.113.128', '173.253.113.135', 2919068032, 2919068039, 'US', 'United States'),
(81795, '173.253.113.136', '173.253.113.143', 2919068040, 2919068047, 'IN', 'India'),
(81796, '173.253.113.144', '173.253.113.151', 2919068048, 2919068055, 'CA', 'Canada'),
(81797, '173.253.113.152', '173.253.113.183', 2919068056, 2919068087, 'US', 'United States'),
(81798, '173.253.113.184', '173.253.113.191', 2919068088, 2919068095, 'TR', 'Turkey'),
(81799, '173.253.113.192', '173.253.113.199', 2919068096, 2919068103, 'US', 'United States'),
(81800, '173.253.113.200', '173.253.113.207', 2919068104, 2919068111, 'AE', 'United Arab Emirates'),
(81801, '173.253.113.208', '173.253.113.215', 2919068112, 2919068119, 'US', 'United States'),
(81802, '173.253.113.216', '173.253.113.223', 2919068120, 2919068127, 'CN', 'China'),
(81803, '173.253.113.224', '173.253.113.231', 2919068128, 2919068135, 'US', 'United States'),
(81804, '173.253.113.232', '173.253.113.239', 2919068136, 2919068143, 'PK', 'Pakistan'),
(81805, '173.253.113.240', '173.253.113.247', 2919068144, 2919068151, 'IN', 'India'),
(81806, '173.253.113.248', '173.253.113.255', 2919068152, 2919068159, 'JM', 'Jamaica'),
(81807, '173.253.114.0', '173.253.114.7', 2919068160, 2919068167, 'US', 'United States'),
(81808, '173.253.114.8', '173.253.114.15', 2919068168, 2919068175, 'CA', 'Canada'),
(81809, '173.253.114.16', '173.253.114.23', 2919068176, 2919068183, 'US', 'United States'),
(81810, '173.253.114.24', '173.253.114.31', 2919068184, 2919068191, 'CA', 'Canada'),
(81811, '173.253.114.32', '173.253.114.39', 2919068192, 2919068199, 'PR', 'Puerto Rico'),
(81812, '173.253.114.40', '173.253.114.47', 2919068200, 2919068207, 'US', 'United States'),
(81813, '173.253.114.48', '173.253.114.55', 2919068208, 2919068215, 'GB', 'United Kingdom'),
(81814, '173.253.114.56', '173.253.114.63', 2919068216, 2919068223, 'CA', 'Canada'),
(81815, '173.253.114.64', '173.253.114.79', 2919068224, 2919068239, 'US', 'United States'),
(81816, '173.253.114.80', '173.253.114.87', 2919068240, 2919068247, 'CN', 'China'),
(81817, '173.253.114.88', '173.253.114.95', 2919068248, 2919068255, 'AU', 'Australia'),
(81818, '173.253.114.96', '173.253.114.111', 2919068256, 2919068271, 'US', 'United States'),
(81819, '173.253.114.112', '173.253.114.119', 2919068272, 2919068279, 'SG', 'Singapore'),
(81820, '173.253.114.120', '173.253.114.127', 2919068280, 2919068287, 'US', 'United States'),
(81821, '173.253.114.128', '173.253.114.135', 2919068288, 2919068295, 'CN', 'China'),
(81822, '173.253.114.136', '173.253.114.143', 2919068296, 2919068303, 'BR', 'Brazil'),
(81823, '173.253.114.144', '173.253.114.151', 2919068304, 2919068311, 'RO', 'Romania'),
(81824, '173.253.114.152', '173.253.114.159', 2919068312, 2919068319, 'MY', 'Malaysia'),
(81825, '173.253.114.160', '173.253.114.175', 2919068320, 2919068335, 'US', 'United States'),
(81826, '173.253.114.176', '173.253.114.183', 2919068336, 2919068343, 'RU', 'Russian Federation'),
(81827, '173.253.114.184', '173.253.114.199', 2919068344, 2919068359, 'US', 'United States'),
(81828, '173.253.114.200', '173.253.114.207', 2919068360, 2919068367, 'CM', 'Cameroon'),
(81829, '173.253.114.208', '173.253.114.215', 2919068368, 2919068375, 'CN', 'China'),
(81830, '173.253.114.216', '173.253.114.223', 2919068376, 2919068383, 'US', 'United States'),
(81831, '173.253.114.224', '173.253.114.231', 2919068384, 2919068391, 'BR', 'Brazil'),
(81832, '173.253.114.232', '173.253.114.255', 2919068392, 2919068415, 'US', 'United States'),
(81833, '173.253.115.0', '173.253.115.7', 2919068416, 2919068423, 'BR', 'Brazil'),
(81834, '173.253.115.8', '173.253.115.15', 2919068424, 2919068431, 'CN', 'China'),
(81835, '173.253.115.16', '173.253.115.79', 2919068432, 2919068495, 'US', 'United States'),
(81836, '173.253.115.80', '173.253.115.87', 2919068496, 2919068503, 'BR', 'Brazil'),
(81837, '173.253.115.88', '173.253.115.95', 2919068504, 2919068511, 'IN', 'India'),
(81838, '173.253.115.96', '173.253.115.103', 2919068512, 2919068519, 'CN', 'China'),
(81839, '173.253.115.104', '173.253.115.111', 2919068520, 2919068527, 'US', 'United States'),
(81840, '173.253.115.112', '173.253.115.119', 2919068528, 2919068535, 'PL', 'Poland'),
(81841, '173.253.115.120', '173.253.115.135', 2919068536, 2919068551, 'IN', 'India'),
(81842, '173.253.115.136', '173.253.115.143', 2919068552, 2919068559, 'AU', 'Australia'),
(81843, '173.253.115.144', '173.253.115.151', 2919068560, 2919068567, 'CN', 'China'),
(81844, '173.253.115.152', '173.253.115.159', 2919068568, 2919068575, 'IN', 'India'),
(81845, '173.253.115.160', '173.253.115.167', 2919068576, 2919068583, 'US', 'United States'),
(81846, '173.253.115.168', '173.253.115.175', 2919068584, 2919068591, 'CN', 'China'),
(81847, '173.253.115.176', '173.253.115.183', 2919068592, 2919068599, 'US', 'United States'),
(81848, '173.253.115.184', '173.253.115.191', 2919068600, 2919068607, 'CM', 'Cameroon'),
(81849, '173.253.115.192', '173.253.115.199', 2919068608, 2919068615, 'MY', 'Malaysia'),
(81850, '173.253.115.200', '173.253.115.231', 2919068616, 2919068647, 'US', 'United States'),
(81851, '173.253.115.232', '173.253.115.239', 2919068648, 2919068655, 'AU', 'Australia'),
(81852, '173.253.115.240', '173.253.115.247', 2919068656, 2919068663, 'CN', 'China'),
(81853, '173.253.115.248', '173.253.116.31', 2919068664, 2919068703, 'US', 'United States'),
(81854, '173.253.116.32', '173.253.116.39', 2919068704, 2919068711, 'IN', 'India'),
(81855, '173.253.116.40', '173.253.116.47', 2919068712, 2919068719, 'JM', 'Jamaica'),
(81856, '173.253.116.48', '173.253.116.55', 2919068720, 2919068727, 'US', 'United States'),
(81857, '173.253.116.56', '173.253.116.63', 2919068728, 2919068735, 'RU', 'Russian Federation'),
(81858, '173.253.116.64', '173.253.116.71', 2919068736, 2919068743, 'NO', 'Norway'),
(81859, '173.253.116.72', '173.253.116.79', 2919068744, 2919068751, 'PR', 'Puerto Rico'),
(81860, '173.253.116.80', '173.253.116.103', 2919068752, 2919068775, 'US', 'United States'),
(81861, '173.253.116.104', '173.253.116.111', 2919068776, 2919068783, 'HK', 'Hong Kong'),
(81862, '173.253.116.112', '173.253.116.119', 2919068784, 2919068791, 'IN', 'India'),
(81863, '173.253.116.120', '173.253.116.127', 2919068792, 2919068799, 'CR', 'Costa Rica'),
(81864, '173.253.116.128', '173.253.116.143', 2919068800, 2919068815, 'NO', 'Norway'),
(81865, '173.253.116.144', '173.253.116.151', 2919068816, 2919068823, 'US', 'United States'),
(81866, '173.253.116.152', '173.253.116.159', 2919068824, 2919068831, 'CA', 'Canada'),
(81867, '173.253.116.160', '173.253.116.167', 2919068832, 2919068839, 'CN', 'China'),
(81868, '173.253.116.168', '173.253.116.199', 2919068840, 2919068871, 'US', 'United States'),
(81869, '173.253.116.200', '173.253.116.207', 2919068872, 2919068879, 'CN', 'China'),
(81870, '173.253.116.208', '173.253.116.215', 2919068880, 2919068887, 'DO', 'Dominican Republic'),
(81871, '173.253.116.216', '173.253.116.223', 2919068888, 2919068895, 'SG', 'Singapore'),
(81872, '173.253.116.224', '173.253.116.239', 2919068896, 2919068911, 'US', 'United States'),
(81873, '173.253.116.240', '173.253.116.255', 2919068912, 2919068927, 'CN', 'China'),
(81874, '173.253.117.0', '173.253.117.7', 2919068928, 2919068935, 'US', 'United States'),
(81875, '173.253.117.8', '173.253.117.15', 2919068936, 2919068943, 'ZA', 'South Africa'),
(81876, '173.253.117.16', '173.253.117.39', 2919068944, 2919068967, 'US', 'United States'),
(81877, '173.253.117.40', '173.253.117.47', 2919068968, 2919068975, 'RU', 'Russian Federation'),
(81878, '173.253.117.48', '173.253.117.63', 2919068976, 2919068991, 'US', 'United States'),
(81879, '173.253.117.64', '173.253.117.71', 2919068992, 2919068999, 'DO', 'Dominican Republic'),
(81880, '173.253.117.72', '173.253.117.87', 2919069000, 2919069015, 'US', 'United States'),
(81881, '173.253.117.88', '173.253.117.103', 2919069016, 2919069031, 'CN', 'China'),
(81882, '173.253.117.104', '173.253.117.111', 2919069032, 2919069039, 'US', 'United States'),
(81883, '173.253.117.112', '173.253.117.119', 2919069040, 2919069047, 'CN', 'China'),
(81884, '173.253.117.120', '173.253.117.127', 2919069048, 2919069055, 'US', 'United States'),
(81885, '173.253.117.128', '173.253.117.135', 2919069056, 2919069063, 'CN', 'China'),
(81886, '173.253.117.136', '173.253.117.143', 2919069064, 2919069071, 'AF', 'Afghanistan'),
(81887, '173.253.117.144', '173.253.117.151', 2919069072, 2919069079, 'CN', 'China'),
(81888, '173.253.117.152', '173.253.117.159', 2919069080, 2919069087, 'US', 'United States'),
(81889, '173.253.117.160', '173.253.117.167', 2919069088, 2919069095, 'IN', 'India'),
(81890, '173.253.117.168', '173.253.117.175', 2919069096, 2919069103, 'BZ', 'Belize'),
(81891, '173.253.117.176', '173.253.117.183', 2919069104, 2919069111, 'US', 'United States'),
(81892, '173.253.117.184', '173.253.117.191', 2919069112, 2919069119, 'CN', 'China'),
(81893, '173.253.117.192', '173.253.117.199', 2919069120, 2919069127, 'CA', 'Canada'),
(81894, '173.253.117.200', '173.253.117.207', 2919069128, 2919069135, 'US', 'United States'),
(81895, '173.253.117.208', '173.253.117.215', 2919069136, 2919069143, 'CN', 'China'),
(81896, '173.253.117.216', '173.253.117.223', 2919069144, 2919069151, 'BR', 'Brazil'),
(81897, '173.253.117.224', '173.253.117.231', 2919069152, 2919069159, 'US', 'United States'),
(81898, '173.253.117.232', '173.253.117.239', 2919069160, 2919069167, 'JM', 'Jamaica'),
(81899, '173.253.117.240', '173.253.117.247', 2919069168, 2919069175, 'GB', 'United Kingdom'),
(81900, '173.253.117.248', '173.253.117.255', 2919069176, 2919069183, 'US', 'United States'),
(81901, '173.253.118.0', '173.253.118.7', 2919069184, 2919069191, 'PR', 'Puerto Rico'),
(81902, '173.253.118.8', '173.253.118.15', 2919069192, 2919069199, 'US', 'United States'),
(81903, '173.253.118.16', '173.253.118.23', 2919069200, 2919069207, 'GB', 'United Kingdom'),
(81904, '173.253.118.24', '173.253.118.31', 2919069208, 2919069215, 'BR', 'Brazil'),
(81905, '173.253.118.32', '173.253.118.47', 2919069216, 2919069231, 'US', 'United States'),
(81906, '173.253.118.48', '173.253.118.55', 2919069232, 2919069239, 'ES', 'Spain'),
(81907, '173.253.118.56', '173.253.118.71', 2919069240, 2919069255, 'GB', 'United Kingdom'),
(81908, '173.253.118.72', '173.253.118.87', 2919069256, 2919069271, 'CN', 'China'),
(81909, '173.253.118.88', '173.253.118.111', 2919069272, 2919069295, 'US', 'United States'),
(81910, '173.253.118.112', '173.253.118.119', 2919069296, 2919069303, 'BR', 'Brazil'),
(81911, '173.253.118.120', '173.253.118.143', 2919069304, 2919069327, 'US', 'United States'),
(81912, '173.253.118.144', '173.253.118.151', 2919069328, 2919069335, 'BR', 'Brazil'),
(81913, '173.253.118.152', '173.253.118.159', 2919069336, 2919069343, 'TR', 'Turkey'),
(81914, '173.253.118.160', '173.253.118.175', 2919069344, 2919069359, 'US', 'United States'),
(81915, '173.253.118.176', '173.253.118.183', 2919069360, 2919069367, 'CN', 'China'),
(81916, '173.253.118.184', '173.253.118.191', 2919069368, 2919069375, 'AU', 'Australia'),
(81917, '173.253.118.192', '173.253.118.207', 2919069376, 2919069391, 'US', 'United States'),
(81918, '173.253.118.208', '173.253.118.215', 2919069392, 2919069399, 'GB', 'United Kingdom'),
(81919, '173.253.118.216', '173.253.118.223', 2919069400, 2919069407, 'US', 'United States'),
(81920, '173.253.118.224', '173.253.118.231', 2919069408, 2919069415, 'VN', 'Vietnam'),
(81921, '173.253.118.232', '173.253.118.255', 2919069416, 2919069439, 'US', 'United States'),
(81922, '173.253.119.0', '173.253.119.7', 2919069440, 2919069447, 'CA', 'Canada'),
(81923, '173.253.119.8', '173.253.119.15', 2919069448, 2919069455, 'US', 'United States'),
(81924, '173.253.119.16', '173.253.119.23', 2919069456, 2919069463, 'CN', 'China'),
(81925, '173.253.119.24', '173.253.119.31', 2919069464, 2919069471, 'US', 'United States'),
(81926, '173.253.119.32', '173.253.119.39', 2919069472, 2919069479, 'CA', 'Canada'),
(81927, '173.253.119.40', '173.253.119.47', 2919069480, 2919069487, 'CN', 'China'),
(81928, '173.253.119.48', '173.253.119.55', 2919069488, 2919069495, 'US', 'United States'),
(81929, '173.253.119.56', '173.253.119.63', 2919069496, 2919069503, 'CN', 'China'),
(81930, '173.253.119.64', '173.253.119.71', 2919069504, 2919069511, 'AR', 'Argentina'),
(81931, '173.253.119.72', '173.253.119.79', 2919069512, 2919069519, 'US', 'United States'),
(81932, '173.253.119.80', '173.253.119.87', 2919069520, 2919069527, 'IN', 'India'),
(81933, '173.253.119.88', '173.253.119.95', 2919069528, 2919069535, 'TR', 'Turkey'),
(81934, '173.253.119.96', '173.253.119.103', 2919069536, 2919069543, 'US', 'United States'),
(81935, '173.253.119.104', '173.253.119.119', 2919069544, 2919069559, 'CN', 'China'),
(81936, '173.253.119.120', '173.253.119.127', 2919069560, 2919069567, 'AE', 'United Arab Emirates'),
(81937, '173.253.119.128', '173.253.119.135', 2919069568, 2919069575, 'VN', 'Vietnam'),
(81938, '173.253.119.136', '173.253.119.143', 2919069576, 2919069583, 'CN', 'China'),
(81939, '173.253.119.144', '173.253.119.167', 2919069584, 2919069607, 'US', 'United States'),
(81940, '173.253.119.168', '173.253.119.175', 2919069608, 2919069615, 'CN', 'China'),
(81941, '173.253.119.176', '173.253.119.183', 2919069616, 2919069623, 'QA', 'Qatar'),
(81942, '173.253.119.184', '173.253.119.191', 2919069624, 2919069631, 'PK', 'Pakistan'),
(81943, '173.253.119.192', '173.253.119.199', 2919069632, 2919069639, 'TW', 'Taiwan'),
(81944, '173.253.119.200', '173.253.119.223', 2919069640, 2919069663, 'US', 'United States'),
(81945, '173.253.119.224', '173.253.119.231', 2919069664, 2919069671, 'CA', 'Canada'),
(81946, '173.253.119.232', '173.253.119.239', 2919069672, 2919069679, 'US', 'United States'),
(81947, '173.253.119.240', '173.253.119.247', 2919069680, 2919069687, 'CA', 'Canada'),
(81948, '173.253.119.248', '173.253.120.7', 2919069688, 2919069703, 'US', 'United States'),
(81949, '173.253.120.8', '173.253.120.15', 2919069704, 2919069711, 'CN', 'China'),
(81950, '173.253.120.16', '173.253.120.23', 2919069712, 2919069719, 'UA', 'Ukraine'),
(81951, '173.253.120.24', '173.253.120.39', 2919069720, 2919069735, 'US', 'United States'),
(81952, '173.253.120.40', '173.253.120.47', 2919069736, 2919069743, 'BR', 'Brazil'),
(81953, '173.253.120.48', '173.253.120.79', 2919069744, 2919069775, 'US', 'United States'),
(81954, '173.253.120.80', '173.253.120.95', 2919069776, 2919069791, 'CN', 'China'),
(81955, '173.253.120.96', '173.253.120.103', 2919069792, 2919069799, 'PK', 'Pakistan'),
(81956, '173.253.120.104', '173.253.120.111', 2919069800, 2919069807, 'US', 'United States'),
(81957, '173.253.120.112', '173.253.120.119', 2919069808, 2919069815, 'PK', 'Pakistan'),
(81958, '173.253.120.120', '173.253.120.127', 2919069816, 2919069823, 'CN', 'China'),
(81959, '173.253.120.128', '173.253.120.135', 2919069824, 2919069831, 'IN', 'India'),
(81960, '173.253.120.136', '173.253.120.143', 2919069832, 2919069839, 'US', 'United States'),
(81961, '173.253.120.144', '173.253.120.151', 2919069840, 2919069847, 'BR', 'Brazil'),
(81962, '173.253.120.152', '173.253.120.159', 2919069848, 2919069855, 'US', 'United States'),
(81963, '173.253.120.160', '173.253.120.167', 2919069856, 2919069863, 'GB', 'United Kingdom'),
(81964, '173.253.120.168', '173.253.120.175', 2919069864, 2919069871, 'US', 'United States'),
(81965, '173.253.120.176', '173.253.120.183', 2919069872, 2919069879, 'IN', 'India'),
(81966, '173.253.120.184', '173.253.120.199', 2919069880, 2919069895, 'US', 'United States'),
(81967, '173.253.120.200', '173.253.120.207', 2919069896, 2919069903, 'BR', 'Brazil'),
(81968, '173.253.120.208', '173.253.120.247', 2919069904, 2919069943, 'US', 'United States'),
(81969, '173.253.120.248', '173.253.120.255', 2919069944, 2919069951, 'BR', 'Brazil'),
(81970, '173.253.121.0', '173.253.121.23', 2919069952, 2919069975, 'US', 'United States'),
(81971, '173.253.121.24', '173.253.121.31', 2919069976, 2919069983, 'IT', 'Italy'),
(81972, '173.253.121.32', '173.253.121.39', 2919069984, 2919069991, 'IN', 'India'),
(81973, '173.253.121.40', '173.253.121.47', 2919069992, 2919069999, 'SG', 'Singapore'),
(81974, '173.253.121.48', '173.253.121.95', 2919070000, 2919070047, 'US', 'United States'),
(81975, '173.253.121.96', '173.253.121.103', 2919070048, 2919070055, 'TR', 'Turkey'),
(81976, '173.253.121.104', '173.253.121.119', 2919070056, 2919070071, 'US', 'United States'),
(81977, '173.253.121.120', '173.253.121.127', 2919070072, 2919070079, 'AE', 'United Arab Emirates'),
(81978, '173.253.121.128', '173.253.121.143', 2919070080, 2919070095, 'US', 'United States'),
(81979, '173.253.121.144', '173.253.121.151', 2919070096, 2919070103, 'CN', 'China'),
(81980, '173.253.121.152', '173.253.121.159', 2919070104, 2919070111, 'AU', 'Australia'),
(81981, '173.253.121.160', '173.253.121.167', 2919070112, 2919070119, 'ES', 'Spain'),
(81982, '173.253.121.168', '173.253.121.175', 2919070120, 2919070127, 'JM', 'Jamaica'),
(81983, '173.253.121.176', '173.253.121.183', 2919070128, 2919070135, 'GB', 'United Kingdom'),
(81984, '173.253.121.184', '173.253.121.207', 2919070136, 2919070159, 'US', 'United States'),
(81985, '173.253.121.208', '173.253.121.215', 2919070160, 2919070167, 'GB', 'United Kingdom'),
(81986, '173.253.121.216', '173.253.121.247', 2919070168, 2919070199, 'US', 'United States'),
(81987, '173.253.121.248', '173.253.121.255', 2919070200, 2919070207, 'ES', 'Spain'),
(81988, '173.253.122.0', '173.253.122.15', 2919070208, 2919070223, 'US', 'United States'),
(81989, '173.253.122.16', '173.253.122.23', 2919070224, 2919070231, 'CN', 'China'),
(81990, '173.253.122.24', '173.253.122.31', 2919070232, 2919070239, 'US', 'United States'),
(81991, '173.253.122.32', '173.253.122.39', 2919070240, 2919070247, 'AF', 'Afghanistan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(81992, '173.253.122.40', '173.253.122.47', 2919070248, 2919070255, 'CA', 'Canada'),
(81993, '173.253.122.48', '173.253.122.55', 2919070256, 2919070263, 'AF', 'Afghanistan'),
(81994, '173.253.122.56', '173.253.122.63', 2919070264, 2919070271, 'CA', 'Canada'),
(81995, '173.253.122.64', '173.253.122.71', 2919070272, 2919070279, 'IN', 'India'),
(81996, '173.253.122.72', '173.253.122.87', 2919070280, 2919070295, 'US', 'United States'),
(81997, '173.253.122.88', '173.253.122.95', 2919070296, 2919070303, 'CN', 'China'),
(81998, '173.253.122.96', '173.253.122.103', 2919070304, 2919070311, 'BR', 'Brazil'),
(81999, '173.253.122.104', '173.253.122.111', 2919070312, 2919070319, 'NL', 'Netherlands'),
(82000, '173.253.122.112', '173.253.122.119', 2919070320, 2919070327, 'CN', 'China'),
(82001, '173.253.122.120', '173.253.122.127', 2919070328, 2919070335, 'BR', 'Brazil'),
(82002, '173.253.122.128', '173.253.122.143', 2919070336, 2919070351, 'US', 'United States'),
(82003, '173.253.122.144', '173.253.122.151', 2919070352, 2919070359, 'ZA', 'South Africa'),
(82004, '173.253.122.152', '173.253.122.175', 2919070360, 2919070383, 'CN', 'China'),
(82005, '173.253.122.176', '173.253.122.183', 2919070384, 2919070391, 'US', 'United States'),
(82006, '173.253.122.184', '173.253.122.191', 2919070392, 2919070399, 'DE', 'Germany'),
(82007, '173.253.122.192', '173.253.122.207', 2919070400, 2919070415, 'US', 'United States'),
(82008, '173.253.122.208', '173.253.122.215', 2919070416, 2919070423, 'CA', 'Canada'),
(82009, '173.253.122.216', '173.253.122.223', 2919070424, 2919070431, 'US', 'United States'),
(82010, '173.253.122.224', '173.253.122.231', 2919070432, 2919070439, 'NL', 'Netherlands'),
(82011, '173.253.122.232', '173.253.122.239', 2919070440, 2919070447, 'BR', 'Brazil'),
(82012, '173.253.122.240', '173.253.122.255', 2919070448, 2919070463, 'US', 'United States'),
(82013, '173.253.123.0', '173.253.123.7', 2919070464, 2919070471, 'IN', 'India'),
(82014, '173.253.123.8', '173.253.123.15', 2919070472, 2919070479, 'CN', 'China'),
(82015, '173.253.123.16', '173.253.123.23', 2919070480, 2919070487, 'PK', 'Pakistan'),
(82016, '173.253.123.24', '173.253.123.63', 2919070488, 2919070527, 'US', 'United States'),
(82017, '173.253.123.64', '173.253.123.79', 2919070528, 2919070543, 'CA', 'Canada'),
(82018, '173.253.123.80', '173.253.123.87', 2919070544, 2919070551, 'CR', 'Costa Rica'),
(82019, '173.253.123.88', '173.253.123.95', 2919070552, 2919070559, 'PR', 'Puerto Rico'),
(82020, '173.253.123.96', '173.253.123.103', 2919070560, 2919070567, 'US', 'United States'),
(82021, '173.253.123.104', '173.253.123.111', 2919070568, 2919070575, 'CA', 'Canada'),
(82022, '173.253.123.112', '173.253.123.143', 2919070576, 2919070607, 'US', 'United States'),
(82023, '173.253.123.144', '173.253.123.151', 2919070608, 2919070615, 'RO', 'Romania'),
(82024, '173.253.123.152', '173.253.123.167', 2919070616, 2919070631, 'US', 'United States'),
(82025, '173.253.123.168', '173.253.123.175', 2919070632, 2919070639, 'TR', 'Turkey'),
(82026, '173.253.123.176', '173.253.123.183', 2919070640, 2919070647, 'US', 'United States'),
(82027, '173.253.123.184', '173.253.123.191', 2919070648, 2919070655, 'GB', 'United Kingdom'),
(82028, '173.253.123.192', '173.253.123.199', 2919070656, 2919070663, 'US', 'United States'),
(82029, '173.253.123.200', '173.253.123.207', 2919070664, 2919070671, 'GB', 'United Kingdom'),
(82030, '173.253.123.208', '173.253.123.215', 2919070672, 2919070679, 'US', 'United States'),
(82031, '173.253.123.216', '173.253.123.223', 2919070680, 2919070687, 'IN', 'India'),
(82032, '173.253.123.224', '173.253.123.231', 2919070688, 2919070695, 'BY', 'Belarus'),
(82033, '173.253.123.232', '173.253.123.247', 2919070696, 2919070711, 'US', 'United States'),
(82034, '173.253.123.248', '173.253.123.255', 2919070712, 2919070719, 'CN', 'China'),
(82035, '173.253.124.0', '173.253.124.7', 2919070720, 2919070727, 'GB', 'United Kingdom'),
(82036, '173.253.124.8', '173.253.124.15', 2919070728, 2919070735, 'US', 'United States'),
(82037, '173.253.124.16', '173.253.124.23', 2919070736, 2919070743, 'PL', 'Poland'),
(82038, '173.253.124.24', '173.253.124.31', 2919070744, 2919070751, 'CN', 'China'),
(82039, '173.253.124.32', '173.253.124.63', 2919070752, 2919070783, 'US', 'United States'),
(82040, '173.253.124.64', '173.253.124.71', 2919070784, 2919070791, 'BR', 'Brazil'),
(82041, '173.253.124.72', '173.253.124.79', 2919070792, 2919070799, 'US', 'United States'),
(82042, '173.253.124.80', '173.253.124.87', 2919070800, 2919070807, 'NO', 'Norway'),
(82043, '173.253.124.88', '173.253.124.95', 2919070808, 2919070815, 'CN', 'China'),
(82044, '173.253.124.96', '173.253.124.111', 2919070816, 2919070831, 'US', 'United States'),
(82045, '173.253.124.112', '173.253.124.119', 2919070832, 2919070839, 'IE', 'Ireland'),
(82046, '173.253.124.120', '173.253.124.127', 2919070840, 2919070847, 'CN', 'China'),
(82047, '173.253.124.128', '173.253.124.159', 2919070848, 2919070879, 'US', 'United States'),
(82048, '173.253.124.160', '173.253.124.167', 2919070880, 2919070887, 'IN', 'India'),
(82049, '173.253.124.168', '173.253.124.183', 2919070888, 2919070903, 'US', 'United States'),
(82050, '173.253.124.184', '173.253.124.199', 2919070904, 2919070919, 'CN', 'China'),
(82051, '173.253.124.200', '173.253.124.207', 2919070920, 2919070927, 'CA', 'Canada'),
(82052, '173.253.124.208', '173.253.124.223', 2919070928, 2919070943, 'US', 'United States'),
(82053, '173.253.124.224', '173.253.124.231', 2919070944, 2919070951, 'BR', 'Brazil'),
(82054, '173.253.124.232', '173.253.124.255', 2919070952, 2919070975, 'US', 'United States'),
(82055, '173.253.125.0', '173.253.125.7', 2919070976, 2919070983, 'TR', 'Turkey'),
(82056, '173.253.125.8', '173.253.125.15', 2919070984, 2919070991, 'GB', 'United Kingdom'),
(82057, '173.253.125.16', '173.253.125.55', 2919070992, 2919071031, 'US', 'United States'),
(82058, '173.253.125.56', '173.253.125.63', 2919071032, 2919071039, 'IT', 'Italy'),
(82059, '173.253.125.64', '173.253.125.71', 2919071040, 2919071047, 'IN', 'India'),
(82060, '173.253.125.72', '173.253.125.79', 2919071048, 2919071055, 'US', 'United States'),
(82061, '173.253.125.80', '173.253.125.87', 2919071056, 2919071063, 'CN', 'China'),
(82062, '173.253.125.88', '173.253.125.167', 2919071064, 2919071143, 'US', 'United States'),
(82063, '173.253.125.168', '173.253.125.175', 2919071144, 2919071151, 'CN', 'China'),
(82064, '173.253.125.176', '173.253.125.183', 2919071152, 2919071159, 'US', 'United States'),
(82065, '173.253.125.184', '173.253.125.191', 2919071160, 2919071167, 'CN', 'China'),
(82066, '173.253.125.192', '173.253.125.199', 2919071168, 2919071175, 'US', 'United States'),
(82067, '173.253.125.200', '173.253.125.207', 2919071176, 2919071183, 'GB', 'United Kingdom'),
(82068, '173.253.125.208', '173.253.125.223', 2919071184, 2919071199, 'CA', 'Canada'),
(82069, '173.253.125.224', '173.253.125.231', 2919071200, 2919071207, 'DK', 'Denmark'),
(82070, '173.253.125.232', '173.253.125.239', 2919071208, 2919071215, 'MX', 'Mexico'),
(82071, '173.253.125.240', '173.254.192.31', 2919071216, 2919153695, 'US', 'United States'),
(82072, '173.254.192.32', '173.254.192.39', 2919153696, 2919153703, 'DE', 'Germany'),
(82073, '173.254.192.40', '173.254.216.65', 2919153704, 2919159873, 'US', 'United States'),
(82074, '173.254.216.66', '173.254.216.69', 2919159874, 2919159877, 'A1', 'Anonymous Proxy'),
(82075, '173.254.216.70', '173.255.1.47', 2919159878, 2919170351, 'US', 'United States'),
(82076, '173.255.1.48', '173.255.1.55', 2919170352, 2919170359, 'PE', 'Peru'),
(82077, '173.255.1.56', '173.255.1.95', 2919170360, 2919170399, 'US', 'United States'),
(82078, '173.255.1.96', '173.255.1.103', 2919170400, 2919170407, 'TR', 'Turkey'),
(82079, '173.255.1.104', '173.255.1.111', 2919170408, 2919170415, 'ES', 'Spain'),
(82080, '173.255.1.112', '173.255.1.127', 2919170416, 2919170431, 'US', 'United States'),
(82081, '173.255.1.128', '173.255.1.135', 2919170432, 2919170439, 'JP', 'Japan'),
(82082, '173.255.1.136', '173.255.1.143', 2919170440, 2919170447, 'IN', 'India'),
(82083, '173.255.1.144', '173.255.1.183', 2919170448, 2919170487, 'US', 'United States'),
(82084, '173.255.1.184', '173.255.1.191', 2919170488, 2919170495, 'NL', 'Netherlands'),
(82085, '173.255.1.192', '173.255.1.247', 2919170496, 2919170551, 'US', 'United States'),
(82086, '173.255.1.248', '173.255.1.255', 2919170552, 2919170559, 'FR', 'France'),
(82087, '173.255.2.0', '173.255.2.55', 2919170560, 2919170615, 'US', 'United States'),
(82088, '173.255.2.56', '173.255.2.63', 2919170616, 2919170623, 'CN', 'China'),
(82089, '173.255.2.64', '173.255.2.79', 2919170624, 2919170639, 'US', 'United States'),
(82090, '173.255.2.80', '173.255.2.95', 2919170640, 2919170655, 'JP', 'Japan'),
(82091, '173.255.2.96', '173.255.2.111', 2919170656, 2919170671, 'US', 'United States'),
(82092, '173.255.2.112', '173.255.2.119', 2919170672, 2919170679, 'JP', 'Japan'),
(82093, '173.255.2.120', '173.255.2.135', 2919170680, 2919170695, 'US', 'United States'),
(82094, '173.255.2.136', '173.255.2.143', 2919170696, 2919170703, 'CN', 'China'),
(82095, '173.255.2.144', '173.255.2.167', 2919170704, 2919170727, 'US', 'United States'),
(82096, '173.255.2.168', '173.255.2.175', 2919170728, 2919170735, 'IN', 'India'),
(82097, '173.255.2.176', '173.255.2.199', 2919170736, 2919170759, 'US', 'United States'),
(82098, '173.255.2.200', '173.255.2.207', 2919170760, 2919170767, 'BR', 'Brazil'),
(82099, '173.255.2.208', '173.255.2.215', 2919170768, 2919170775, 'AR', 'Argentina'),
(82100, '173.255.2.216', '173.255.2.239', 2919170776, 2919170799, 'US', 'United States'),
(82101, '173.255.2.240', '173.255.2.255', 2919170800, 2919170815, 'SG', 'Singapore'),
(82102, '173.255.3.0', '173.255.3.87', 2919170816, 2919170903, 'US', 'United States'),
(82103, '173.255.3.88', '173.255.3.95', 2919170904, 2919170911, 'GR', 'Greece'),
(82104, '173.255.3.96', '173.255.3.103', 2919170912, 2919170919, 'US', 'United States'),
(82105, '173.255.3.104', '173.255.3.111', 2919170920, 2919170927, 'BR', 'Brazil'),
(82106, '173.255.3.112', '173.255.3.119', 2919170928, 2919170935, 'US', 'United States'),
(82107, '173.255.3.120', '173.255.3.127', 2919170936, 2919170943, 'PH', 'Philippines'),
(82108, '173.255.3.128', '173.255.3.151', 2919170944, 2919170967, 'US', 'United States'),
(82109, '173.255.3.152', '173.255.3.159', 2919170968, 2919170975, 'NZ', 'New Zealand'),
(82110, '173.255.3.160', '173.255.3.255', 2919170976, 2919171071, 'US', 'United States'),
(82111, '173.255.4.0', '173.255.4.7', 2919171072, 2919171079, 'IN', 'India'),
(82112, '173.255.4.8', '173.255.4.15', 2919171080, 2919171087, 'US', 'United States'),
(82113, '173.255.4.16', '173.255.4.23', 2919171088, 2919171095, 'TR', 'Turkey'),
(82114, '173.255.4.24', '173.255.4.31', 2919171096, 2919171103, 'US', 'United States'),
(82115, '173.255.4.32', '173.255.4.39', 2919171104, 2919171111, 'PL', 'Poland'),
(82116, '173.255.4.40', '173.255.4.71', 2919171112, 2919171143, 'US', 'United States'),
(82117, '173.255.4.72', '173.255.4.79', 2919171144, 2919171151, 'TR', 'Turkey'),
(82118, '173.255.4.80', '173.255.4.87', 2919171152, 2919171159, 'US', 'United States'),
(82119, '173.255.4.88', '173.255.4.95', 2919171160, 2919171167, 'AU', 'Australia'),
(82120, '173.255.4.96', '173.255.4.111', 2919171168, 2919171183, 'US', 'United States'),
(82121, '173.255.4.112', '173.255.4.119', 2919171184, 2919171191, 'ZA', 'South Africa'),
(82122, '173.255.4.120', '173.255.5.15', 2919171192, 2919171343, 'US', 'United States'),
(82123, '173.255.5.16', '173.255.5.23', 2919171344, 2919171351, 'BR', 'Brazil'),
(82124, '173.255.5.24', '173.255.5.31', 2919171352, 2919171359, 'US', 'United States'),
(82125, '173.255.5.32', '173.255.5.39', 2919171360, 2919171367, 'BR', 'Brazil'),
(82126, '173.255.5.40', '173.255.5.71', 2919171368, 2919171399, 'US', 'United States'),
(82127, '173.255.5.72', '173.255.5.79', 2919171400, 2919171407, 'IT', 'Italy'),
(82128, '173.255.5.80', '173.255.5.87', 2919171408, 2919171415, 'CN', 'China'),
(82129, '173.255.5.88', '173.255.5.127', 2919171416, 2919171455, 'US', 'United States'),
(82130, '173.255.5.128', '173.255.5.135', 2919171456, 2919171463, 'BR', 'Brazil'),
(82131, '173.255.5.136', '173.255.5.207', 2919171464, 2919171535, 'US', 'United States'),
(82132, '173.255.5.208', '173.255.5.215', 2919171536, 2919171543, 'BR', 'Brazil'),
(82133, '173.255.5.216', '173.255.5.247', 2919171544, 2919171575, 'US', 'United States'),
(82134, '173.255.5.248', '173.255.5.255', 2919171576, 2919171583, 'BR', 'Brazil'),
(82135, '173.255.6.0', '173.255.6.71', 2919171584, 2919171655, 'US', 'United States'),
(82136, '173.255.6.72', '173.255.6.79', 2919171656, 2919171663, 'BR', 'Brazil'),
(82137, '173.255.6.80', '173.255.6.111', 2919171664, 2919171695, 'US', 'United States'),
(82138, '173.255.6.112', '173.255.6.119', 2919171696, 2919171703, 'BR', 'Brazil'),
(82139, '173.255.6.120', '173.255.15.255', 2919171704, 2919174143, 'US', 'United States'),
(82140, '173.255.16.0', '173.255.31.255', 2919174144, 2919178239, 'CA', 'Canada'),
(82141, '173.255.32.0', '173.255.63.255', 2919178240, 2919186431, 'US', 'United States'),
(82142, '173.255.64.0', '173.255.79.255', 2919186432, 2919190527, 'CA', 'Canada'),
(82143, '173.255.80.0', '173.255.125.31', 2919190528, 2919202079, 'US', 'United States'),
(82144, '173.255.125.32', '173.255.125.63', 2919202080, 2919202111, 'BE', 'Belgium'),
(82145, '173.255.125.64', '173.255.143.255', 2919202112, 2919206911, 'US', 'United States'),
(82146, '173.255.144.0', '173.255.159.255', 2919206912, 2919211007, 'CA', 'Canada'),
(82147, '173.255.160.0', '173.255.160.255', 2919211008, 2919211263, 'US', 'United States'),
(82148, '173.255.161.0', '173.255.161.255', 2919211264, 2919211519, 'A1', 'Anonymous Proxy'),
(82149, '173.255.162.0', '173.255.255.255', 2919211520, 2919235583, 'US', 'United States'),
(82150, '174.0.0.0', '174.7.255.255', 2919235584, 2919759871, 'CA', 'Canada'),
(82151, '174.8.0.0', '174.34.129.63', 2919759872, 2921496895, 'US', 'United States'),
(82152, '174.34.129.64', '174.34.129.71', 2921496896, 2921496903, 'IN', 'India'),
(82153, '174.34.129.72', '174.34.129.135', 2921496904, 2921496967, 'US', 'United States'),
(82154, '174.34.129.136', '174.34.129.143', 2921496968, 2921496975, 'IN', 'India'),
(82155, '174.34.129.144', '174.34.131.71', 2921496976, 2921497415, 'US', 'United States'),
(82156, '174.34.131.72', '174.34.131.79', 2921497416, 2921497423, 'IN', 'India'),
(82157, '174.34.131.80', '174.34.131.127', 2921497424, 2921497471, 'US', 'United States'),
(82158, '174.34.131.128', '174.34.131.255', 2921497472, 2921497599, 'IN', 'India'),
(82159, '174.34.132.0', '174.34.132.255', 2921497600, 2921497855, 'US', 'United States'),
(82160, '174.34.133.0', '174.34.133.7', 2921497856, 2921497863, 'CA', 'Canada'),
(82161, '174.34.133.8', '174.34.133.175', 2921497864, 2921498031, 'US', 'United States'),
(82162, '174.34.133.176', '174.34.133.183', 2921498032, 2921498039, 'CA', 'Canada'),
(82163, '174.34.133.184', '174.34.134.103', 2921498040, 2921498215, 'US', 'United States'),
(82164, '174.34.134.104', '174.34.134.111', 2921498216, 2921498223, 'CA', 'Canada'),
(82165, '174.34.134.112', '174.34.135.15', 2921498224, 2921498383, 'US', 'United States'),
(82166, '174.34.135.16', '174.34.135.23', 2921498384, 2921498391, 'ID', 'Indonesia'),
(82167, '174.34.135.24', '174.34.135.63', 2921498392, 2921498431, 'US', 'United States'),
(82168, '174.34.135.64', '174.34.135.71', 2921498432, 2921498439, 'CA', 'Canada'),
(82169, '174.34.135.72', '174.34.155.207', 2921498440, 2921503695, 'US', 'United States'),
(82170, '174.34.155.208', '174.34.155.215', 2921503696, 2921503703, 'ID', 'Indonesia'),
(82171, '174.34.155.216', '174.34.158.175', 2921503704, 2921504431, 'US', 'United States'),
(82172, '174.34.158.176', '174.34.158.183', 2921504432, 2921504439, 'GB', 'United Kingdom'),
(82173, '174.34.158.184', '174.34.164.159', 2921504440, 2921505951, 'US', 'United States'),
(82174, '174.34.164.160', '174.34.164.223', 2921505952, 2921506015, 'IN', 'India'),
(82175, '174.34.164.224', '174.34.166.39', 2921506016, 2921506343, 'US', 'United States'),
(82176, '174.34.166.40', '174.34.166.47', 2921506344, 2921506351, 'CA', 'Canada'),
(82177, '174.34.166.48', '174.34.166.127', 2921506352, 2921506431, 'US', 'United States'),
(82178, '174.34.166.128', '174.34.166.159', 2921506432, 2921506463, 'IN', 'India'),
(82179, '174.34.166.160', '174.34.175.111', 2921506464, 2921508719, 'US', 'United States'),
(82180, '174.34.175.112', '174.34.175.119', 2921508720, 2921508727, 'SE', 'Sweden'),
(82181, '174.34.175.120', '174.34.177.231', 2921508728, 2921509351, 'US', 'United States'),
(82182, '174.34.177.232', '174.34.177.247', 2921509352, 2921509367, 'CA', 'Canada'),
(82183, '174.34.177.248', '174.34.185.215', 2921509368, 2921511383, 'US', 'United States'),
(82184, '174.34.185.216', '174.34.185.223', 2921511384, 2921511391, 'CA', 'Canada'),
(82185, '174.34.185.224', '174.34.190.255', 2921511392, 2921512703, 'US', 'United States'),
(82186, '174.34.191.0', '174.34.191.255', 2921512704, 2921512959, 'CA', 'Canada'),
(82187, '174.34.192.0', '174.34.251.255', 2921512960, 2921528319, 'US', 'United States'),
(82188, '174.34.252.0', '174.34.252.31', 2921528320, 2921528351, 'UA', 'Ukraine'),
(82189, '174.34.252.32', '174.34.252.255', 2921528352, 2921528575, 'US', 'United States'),
(82190, '174.34.253.0', '174.34.253.31', 2921528576, 2921528607, 'UA', 'Ukraine'),
(82191, '174.34.253.32', '174.34.254.95', 2921528608, 2921528927, 'US', 'United States'),
(82192, '174.34.254.96', '174.34.254.127', 2921528928, 2921528959, 'UA', 'Ukraine'),
(82193, '174.34.254.128', '174.35.127.255', 2921528960, 2921562111, 'US', 'United States'),
(82194, '174.35.128.0', '174.35.255.255', 2921562112, 2921594879, 'CA', 'Canada'),
(82195, '174.36.0.0', '174.36.247.79', 2921594880, 2921658191, 'US', 'United States'),
(82196, '174.36.247.80', '174.36.247.87', 2921658192, 2921658199, 'A1', 'Anonymous Proxy'),
(82197, '174.36.247.88', '174.87.255.255', 2921658200, 2925002751, 'US', 'United States'),
(82198, '174.88.0.0', '174.95.255.255', 2925002752, 2925527039, 'CA', 'Canada'),
(82199, '174.96.0.0', '174.111.255.255', 2925527040, 2926575615, 'US', 'United States'),
(82200, '174.112.0.0', '174.119.255.255', 2926575616, 2927099903, 'CA', 'Canada'),
(82201, '174.120.0.0', '174.120.47.95', 2927099904, 2927112031, 'US', 'United States'),
(82202, '174.120.47.96', '174.120.47.103', 2927112032, 2927112039, 'CH', 'Switzerland'),
(82203, '174.120.47.104', '174.120.204.47', 2927112040, 2927152175, 'US', 'United States'),
(82204, '174.120.204.48', '174.120.204.55', 2927152176, 2927152183, 'CH', 'Switzerland'),
(82205, '174.120.204.56', '174.120.214.159', 2927152184, 2927154847, 'US', 'United States'),
(82206, '174.120.214.160', '174.120.214.167', 2927154848, 2927154855, 'CH', 'Switzerland'),
(82207, '174.120.214.168', '174.122.45.255', 2927154856, 2927242751, 'US', 'United States'),
(82208, '174.122.46.0', '174.122.47.255', 2927242752, 2927243263, 'AE', 'United Arab Emirates'),
(82209, '174.122.48.0', '174.122.91.255', 2927243264, 2927254527, 'US', 'United States'),
(82210, '174.122.92.0', '174.122.93.255', 2927254528, 2927255039, 'AE', 'United Arab Emirates'),
(82211, '174.122.94.0', '174.127.187.255', 2927255040, 2927606783, 'US', 'United States'),
(82212, '174.127.188.0', '174.127.191.255', 2927606784, 2927607807, 'CA', 'Canada'),
(82213, '174.127.192.0', '174.132.97.15', 2927607808, 2927911183, 'US', 'United States'),
(82214, '174.132.97.16', '174.132.97.23', 2927911184, 2927911191, 'CH', 'Switzerland'),
(82215, '174.132.97.24', '174.132.205.255', 2927911192, 2927939071, 'US', 'United States'),
(82216, '174.132.206.0', '174.132.206.255', 2927939072, 2927939327, 'A1', 'Anonymous Proxy'),
(82217, '174.132.207.0', '174.136.96.167', 2927939328, 2928173223, 'US', 'United States'),
(82218, '174.136.96.168', '174.136.96.175', 2928173224, 2928173231, 'JP', 'Japan'),
(82219, '174.136.96.176', '174.136.97.31', 2928173232, 2928173343, 'US', 'United States'),
(82220, '174.136.97.32', '174.136.97.39', 2928173344, 2928173351, 'NL', 'Netherlands'),
(82221, '174.136.97.40', '174.136.97.239', 2928173352, 2928173551, 'US', 'United States'),
(82222, '174.136.97.240', '174.136.97.247', 2928173552, 2928173559, 'CA', 'Canada'),
(82223, '174.136.97.248', '174.136.98.143', 2928173560, 2928173711, 'US', 'United States'),
(82224, '174.136.98.144', '174.136.98.159', 2928173712, 2928173727, 'JP', 'Japan'),
(82225, '174.136.98.160', '174.136.99.79', 2928173728, 2928173903, 'US', 'United States'),
(82226, '174.136.99.80', '174.136.99.95', 2928173904, 2928173919, 'NZ', 'New Zealand'),
(82227, '174.136.99.96', '174.136.99.135', 2928173920, 2928173959, 'US', 'United States'),
(82228, '174.136.99.136', '174.136.99.143', 2928173960, 2928173967, 'CA', 'Canada'),
(82229, '174.136.99.144', '174.136.100.143', 2928173968, 2928174223, 'US', 'United States'),
(82230, '174.136.100.144', '174.136.100.151', 2928174224, 2928174231, 'CA', 'Canada'),
(82231, '174.136.100.152', '174.136.101.87', 2928174232, 2928174423, 'US', 'United States'),
(82232, '174.136.101.88', '174.136.101.95', 2928174424, 2928174431, 'CA', 'Canada'),
(82233, '174.136.101.96', '174.136.103.63', 2928174432, 2928174911, 'US', 'United States'),
(82234, '174.136.103.64', '174.136.103.71', 2928174912, 2928174919, 'AU', 'Australia'),
(82235, '174.136.103.72', '174.136.104.63', 2928174920, 2928175167, 'US', 'United States'),
(82236, '174.136.104.64', '174.136.104.71', 2928175168, 2928175175, 'RU', 'Russian Federation'),
(82237, '174.136.104.72', '174.136.104.103', 2928175176, 2928175207, 'US', 'United States'),
(82238, '174.136.104.104', '174.136.104.111', 2928175208, 2928175215, 'CA', 'Canada'),
(82239, '174.136.104.112', '174.136.104.199', 2928175216, 2928175303, 'US', 'United States'),
(82240, '174.136.104.200', '174.136.104.207', 2928175304, 2928175311, 'CN', 'China'),
(82241, '174.136.104.208', '174.136.105.39', 2928175312, 2928175399, 'US', 'United States'),
(82242, '174.136.105.40', '174.136.105.47', 2928175400, 2928175407, 'TR', 'Turkey'),
(82243, '174.136.105.48', '174.136.105.111', 2928175408, 2928175471, 'US', 'United States'),
(82244, '174.136.105.112', '174.136.105.119', 2928175472, 2928175479, 'JP', 'Japan'),
(82245, '174.136.105.120', '174.136.105.191', 2928175480, 2928175551, 'US', 'United States'),
(82246, '174.136.105.192', '174.136.105.207', 2928175552, 2928175567, 'CA', 'Canada'),
(82247, '174.136.105.208', '174.136.106.159', 2928175568, 2928175775, 'US', 'United States'),
(82248, '174.136.106.160', '174.136.106.175', 2928175776, 2928175791, 'PH', 'Philippines'),
(82249, '174.136.106.176', '174.136.107.95', 2928175792, 2928175967, 'US', 'United States'),
(82250, '174.136.107.96', '174.136.107.103', 2928175968, 2928175975, 'ZA', 'South Africa'),
(82251, '174.136.107.104', '174.136.108.79', 2928175976, 2928176207, 'US', 'United States'),
(82252, '174.136.108.80', '174.136.108.95', 2928176208, 2928176223, 'ZA', 'South Africa'),
(82253, '174.136.108.96', '174.136.108.103', 2928176224, 2928176231, 'JP', 'Japan'),
(82254, '174.136.108.104', '174.136.108.199', 2928176232, 2928176327, 'US', 'United States'),
(82255, '174.136.108.200', '174.136.108.207', 2928176328, 2928176335, 'RU', 'Russian Federation'),
(82256, '174.136.108.208', '174.136.109.63', 2928176336, 2928176447, 'US', 'United States'),
(82257, '174.136.109.64', '174.136.109.71', 2928176448, 2928176455, 'GB', 'United Kingdom'),
(82258, '174.136.109.72', '174.136.109.135', 2928176456, 2928176519, 'US', 'United States'),
(82259, '174.136.109.136', '174.136.109.143', 2928176520, 2928176527, 'NL', 'Netherlands'),
(82260, '174.136.109.144', '174.136.111.207', 2928176528, 2928177103, 'US', 'United States'),
(82261, '174.136.111.208', '174.136.111.215', 2928177104, 2928177111, 'AR', 'Argentina'),
(82262, '174.136.111.216', '174.136.111.255', 2928177112, 2928177151, 'US', 'United States'),
(82263, '174.136.112.0', '174.136.127.255', 2928177152, 2928181247, 'CA', 'Canada'),
(82264, '174.136.128.0', '174.136.148.223', 2928181248, 2928186591, 'US', 'United States'),
(82265, '174.136.148.224', '174.136.148.255', 2928186592, 2928186623, 'CA', 'Canada'),
(82266, '174.136.149.0', '174.137.16.15', 2928186624, 2928218127, 'US', 'United States'),
(82267, '174.137.16.16', '174.137.16.31', 2928218128, 2928218143, 'CA', 'Canada'),
(82268, '174.137.16.32', '174.137.17.255', 2928218144, 2928218623, 'US', 'United States'),
(82269, '174.137.18.0', '174.137.19.255', 2928218624, 2928219135, 'CA', 'Canada'),
(82270, '174.137.20.0', '174.137.47.255', 2928219136, 2928226303, 'US', 'United States'),
(82271, '174.137.48.0', '174.137.63.255', 2928226304, 2928230399, 'CA', 'Canada'),
(82272, '174.137.64.0', '174.137.149.227', 2928230400, 2928252387, 'US', 'United States'),
(82273, '174.137.149.228', '174.137.149.228', 2928252388, 2928252388, 'A1', 'Anonymous Proxy'),
(82274, '174.137.149.229', '174.137.150.195', 2928252389, 2928252611, 'US', 'United States'),
(82275, '174.137.150.196', '174.137.150.196', 2928252612, 2928252612, 'A1', 'Anonymous Proxy'),
(82276, '174.137.150.197', '174.137.152.59', 2928252613, 2928252987, 'US', 'United States'),
(82277, '174.137.152.60', '174.137.152.60', 2928252988, 2928252988, 'A1', 'Anonymous Proxy'),
(82278, '174.137.152.61', '174.137.184.255', 2928252989, 2928261375, 'US', 'United States'),
(82279, '174.137.185.0', '174.137.186.255', 2928261376, 2928261887, 'CA', 'Canada'),
(82280, '174.137.187.0', '174.137.191.255', 2928261888, 2928263167, 'US', 'United States'),
(82281, '174.137.192.0', '174.137.193.255', 2928263168, 2928263679, 'CA', 'Canada'),
(82282, '174.137.194.0', '174.137.194.7', 2928263680, 2928263687, 'US', 'United States'),
(82283, '174.137.194.8', '174.137.194.111', 2928263688, 2928263791, 'CA', 'Canada'),
(82284, '174.137.194.112', '174.137.194.119', 2928263792, 2928263799, 'US', 'United States'),
(82285, '174.137.194.120', '174.137.194.143', 2928263800, 2928263823, 'CA', 'Canada'),
(82286, '174.137.194.144', '174.137.194.151', 2928263824, 2928263831, 'US', 'United States'),
(82287, '174.137.194.152', '174.137.194.175', 2928263832, 2928263855, 'CA', 'Canada'),
(82288, '174.137.194.176', '174.137.194.191', 2928263856, 2928263871, 'US', 'United States'),
(82289, '174.137.194.192', '174.137.195.63', 2928263872, 2928263999, 'CA', 'Canada'),
(82290, '174.137.195.64', '174.137.195.71', 2928264000, 2928264007, 'US', 'United States'),
(82291, '174.137.195.72', '174.137.195.79', 2928264008, 2928264015, 'CA', 'Canada'),
(82292, '174.137.195.80', '174.137.195.87', 2928264016, 2928264023, 'US', 'United States'),
(82293, '174.137.195.88', '174.137.195.127', 2928264024, 2928264063, 'CA', 'Canada'),
(82294, '174.137.195.128', '174.137.195.159', 2928264064, 2928264095, 'US', 'United States'),
(82295, '174.137.195.160', '174.137.195.223', 2928264096, 2928264159, 'CA', 'Canada'),
(82296, '174.137.195.224', '174.137.195.231', 2928264160, 2928264167, 'US', 'United States'),
(82297, '174.137.195.232', '174.137.196.95', 2928264168, 2928264287, 'CA', 'Canada'),
(82298, '174.137.196.96', '174.137.196.111', 2928264288, 2928264303, 'US', 'United States'),
(82299, '174.137.196.112', '174.137.196.135', 2928264304, 2928264327, 'CA', 'Canada'),
(82300, '174.137.196.136', '174.137.196.143', 2928264328, 2928264335, 'NL', 'Netherlands'),
(82301, '174.137.196.144', '174.137.196.167', 2928264336, 2928264359, 'CA', 'Canada'),
(82302, '174.137.196.168', '174.137.196.175', 2928264360, 2928264367, 'US', 'United States'),
(82303, '174.137.196.176', '174.137.196.191', 2928264368, 2928264383, 'CA', 'Canada'),
(82304, '174.137.196.192', '174.137.196.199', 2928264384, 2928264391, 'US', 'United States'),
(82305, '174.137.196.200', '174.137.196.207', 2928264392, 2928264399, 'CA', 'Canada'),
(82306, '174.137.196.208', '174.137.196.231', 2928264400, 2928264423, 'US', 'United States'),
(82307, '174.137.196.232', '174.137.198.55', 2928264424, 2928264759, 'CA', 'Canada'),
(82308, '174.137.198.56', '174.137.198.71', 2928264760, 2928264775, 'US', 'United States'),
(82309, '174.137.198.72', '174.137.198.79', 2928264776, 2928264783, 'CA', 'Canada'),
(82310, '174.137.198.80', '174.137.198.127', 2928264784, 2928264831, 'US', 'United States'),
(82311, '174.137.198.128', '174.137.198.159', 2928264832, 2928264863, 'CA', 'Canada'),
(82312, '174.137.198.160', '174.137.198.167', 2928264864, 2928264871, 'US', 'United States'),
(82313, '174.137.198.168', '174.137.198.175', 2928264872, 2928264879, 'CA', 'Canada'),
(82314, '174.137.198.176', '174.137.199.7', 2928264880, 2928264967, 'US', 'United States'),
(82315, '174.137.199.8', '174.137.199.23', 2928264968, 2928264983, 'CA', 'Canada'),
(82316, '174.137.199.24', '174.137.199.47', 2928264984, 2928265007, 'US', 'United States'),
(82317, '174.137.199.48', '174.137.199.95', 2928265008, 2928265055, 'CA', 'Canada'),
(82318, '174.137.199.96', '174.137.199.143', 2928265056, 2928265103, 'US', 'United States'),
(82319, '174.137.199.144', '174.137.199.183', 2928265104, 2928265143, 'CA', 'Canada'),
(82320, '174.137.199.184', '174.137.199.255', 2928265144, 2928265215, 'US', 'United States'),
(82321, '174.137.200.0', '174.137.200.255', 2928265216, 2928265471, 'CA', 'Canada'),
(82322, '174.137.201.0', '174.137.201.7', 2928265472, 2928265479, 'US', 'United States'),
(82323, '174.137.201.8', '174.137.201.31', 2928265480, 2928265503, 'CA', 'Canada'),
(82324, '174.137.201.32', '174.137.201.55', 2928265504, 2928265527, 'US', 'United States'),
(82325, '174.137.201.56', '174.137.201.87', 2928265528, 2928265559, 'CA', 'Canada'),
(82326, '174.137.201.88', '174.137.201.95', 2928265560, 2928265567, 'US', 'United States'),
(82327, '174.137.201.96', '174.137.201.103', 2928265568, 2928265575, 'CA', 'Canada'),
(82328, '174.137.201.104', '174.137.201.151', 2928265576, 2928265623, 'US', 'United States'),
(82329, '174.137.201.152', '174.137.201.159', 2928265624, 2928265631, 'CA', 'Canada'),
(82330, '174.137.201.160', '174.137.201.175', 2928265632, 2928265647, 'US', 'United States'),
(82331, '174.137.201.176', '174.137.201.199', 2928265648, 2928265671, 'CA', 'Canada'),
(82332, '174.137.201.200', '174.137.201.215', 2928265672, 2928265687, 'US', 'United States'),
(82333, '174.137.201.216', '174.137.201.231', 2928265688, 2928265703, 'CA', 'Canada'),
(82334, '174.137.201.232', '174.137.201.239', 2928265704, 2928265711, 'US', 'United States'),
(82335, '174.137.201.240', '174.137.201.255', 2928265712, 2928265727, 'CA', 'Canada'),
(82336, '174.137.202.0', '174.137.202.7', 2928265728, 2928265735, 'US', 'United States'),
(82337, '174.137.202.8', '174.137.203.39', 2928265736, 2928266023, 'CA', 'Canada'),
(82338, '174.137.203.40', '174.137.203.47', 2928266024, 2928266031, 'US', 'United States'),
(82339, '174.137.203.48', '174.137.203.71', 2928266032, 2928266055, 'CA', 'Canada'),
(82340, '174.137.203.72', '174.137.203.79', 2928266056, 2928266063, 'US', 'United States'),
(82341, '174.137.203.80', '174.137.203.127', 2928266064, 2928266111, 'CA', 'Canada'),
(82342, '174.137.203.128', '174.137.203.135', 2928266112, 2928266119, 'US', 'United States'),
(82343, '174.137.203.136', '174.137.203.191', 2928266120, 2928266175, 'CA', 'Canada'),
(82344, '174.137.203.192', '174.137.203.207', 2928266176, 2928266191, 'US', 'United States'),
(82345, '174.137.203.208', '174.137.204.15', 2928266192, 2928266255, 'CA', 'Canada'),
(82346, '174.137.204.16', '174.137.204.23', 2928266256, 2928266263, 'US', 'United States'),
(82347, '174.137.204.24', '174.137.204.55', 2928266264, 2928266295, 'CA', 'Canada'),
(82348, '174.137.204.56', '174.137.204.71', 2928266296, 2928266311, 'US', 'United States'),
(82349, '174.137.204.72', '174.137.204.119', 2928266312, 2928266359, 'CA', 'Canada'),
(82350, '174.137.204.120', '174.137.204.127', 2928266360, 2928266367, 'US', 'United States'),
(82351, '174.137.204.128', '174.137.204.167', 2928266368, 2928266407, 'CA', 'Canada'),
(82352, '174.137.204.168', '174.137.204.175', 2928266408, 2928266415, 'US', 'United States'),
(82353, '174.137.204.176', '174.137.217.191', 2928266416, 2928269759, 'CA', 'Canada'),
(82354, '174.137.217.192', '174.137.217.207', 2928269760, 2928269775, 'US', 'United States'),
(82355, '174.137.217.208', '174.137.217.215', 2928269776, 2928269783, 'CA', 'Canada'),
(82356, '174.137.217.216', '174.137.217.239', 2928269784, 2928269807, 'US', 'United States'),
(82357, '174.137.217.240', '174.137.218.151', 2928269808, 2928269975, 'CA', 'Canada'),
(82358, '174.137.218.152', '174.137.218.159', 2928269976, 2928269983, 'US', 'United States'),
(82359, '174.137.218.160', '174.137.218.175', 2928269984, 2928269999, 'CA', 'Canada'),
(82360, '174.137.218.176', '174.137.218.183', 2928270000, 2928270007, 'US', 'United States'),
(82361, '174.137.218.184', '174.137.218.239', 2928270008, 2928270063, 'CA', 'Canada'),
(82362, '174.137.218.240', '174.137.218.247', 2928270064, 2928270071, 'US', 'United States'),
(82363, '174.137.218.248', '174.137.219.55', 2928270072, 2928270135, 'CA', 'Canada'),
(82364, '174.137.219.56', '174.137.219.63', 2928270136, 2928270143, 'US', 'United States'),
(82365, '174.137.219.64', '174.137.219.95', 2928270144, 2928270175, 'CA', 'Canada'),
(82366, '174.137.219.96', '174.137.219.103', 2928270176, 2928270183, 'US', 'United States'),
(82367, '174.137.219.104', '174.137.220.143', 2928270184, 2928270479, 'CA', 'Canada'),
(82368, '174.137.220.144', '174.137.220.151', 2928270480, 2928270487, 'NL', 'Netherlands'),
(82369, '174.137.220.152', '174.137.220.215', 2928270488, 2928270551, 'CA', 'Canada'),
(82370, '174.137.220.216', '174.137.220.223', 2928270552, 2928270559, 'US', 'United States'),
(82371, '174.137.220.224', '174.137.220.247', 2928270560, 2928270583, 'CA', 'Canada'),
(82372, '174.137.220.248', '174.137.220.255', 2928270584, 2928270591, 'US', 'United States'),
(82373, '174.137.221.0', '174.137.221.15', 2928270592, 2928270607, 'CA', 'Canada'),
(82374, '174.137.221.16', '174.137.221.23', 2928270608, 2928270615, 'US', 'United States'),
(82375, '174.137.221.24', '174.137.221.31', 2928270616, 2928270623, 'CA', 'Canada'),
(82376, '174.137.221.32', '174.137.221.39', 2928270624, 2928270631, 'US', 'United States'),
(82377, '174.137.221.40', '174.137.221.55', 2928270632, 2928270647, 'CA', 'Canada'),
(82378, '174.137.221.56', '174.137.221.63', 2928270648, 2928270655, 'US', 'United States'),
(82379, '174.137.221.64', '174.137.221.135', 2928270656, 2928270727, 'CA', 'Canada'),
(82380, '174.137.221.136', '174.137.221.151', 2928270728, 2928270743, 'US', 'United States'),
(82381, '174.137.221.152', '174.137.221.159', 2928270744, 2928270751, 'CA', 'Canada'),
(82382, '174.137.221.160', '174.137.221.175', 2928270752, 2928270767, 'US', 'United States'),
(82383, '174.137.221.176', '174.137.221.199', 2928270768, 2928270791, 'CA', 'Canada'),
(82384, '174.137.221.200', '174.137.221.207', 2928270792, 2928270799, 'US', 'United States'),
(82385, '174.137.221.208', '174.137.223.39', 2928270800, 2928271143, 'CA', 'Canada'),
(82386, '174.137.223.40', '174.137.223.47', 2928271144, 2928271151, 'US', 'United States'),
(82387, '174.137.223.48', '174.137.223.79', 2928271152, 2928271183, 'CA', 'Canada'),
(82388, '174.137.223.80', '174.137.223.87', 2928271184, 2928271191, 'US', 'United States'),
(82389, '174.137.223.88', '174.137.224.87', 2928271192, 2928271447, 'CA', 'Canada'),
(82390, '174.137.224.88', '174.137.224.95', 2928271448, 2928271455, 'US', 'United States'),
(82391, '174.137.224.96', '174.137.225.151', 2928271456, 2928271767, 'CA', 'Canada'),
(82392, '174.137.225.152', '174.137.225.159', 2928271768, 2928271775, 'US', 'United States'),
(82393, '174.137.225.160', '174.137.225.207', 2928271776, 2928271823, 'CA', 'Canada'),
(82394, '174.137.225.208', '174.137.225.255', 2928271824, 2928271871, 'US', 'United States'),
(82395, '174.137.226.0', '174.137.226.71', 2928271872, 2928271943, 'CA', 'Canada'),
(82396, '174.137.226.72', '174.137.226.79', 2928271944, 2928271951, 'US', 'United States'),
(82397, '174.137.226.80', '174.137.229.135', 2928271952, 2928272775, 'CA', 'Canada'),
(82398, '174.137.229.136', '174.137.229.143', 2928272776, 2928272783, 'US', 'United States'),
(82399, '174.137.229.144', '174.137.229.199', 2928272784, 2928272839, 'CA', 'Canada'),
(82400, '174.137.229.200', '174.137.229.207', 2928272840, 2928272847, 'US', 'United States'),
(82401, '174.137.229.208', '174.137.230.7', 2928272848, 2928272903, 'CA', 'Canada'),
(82402, '174.137.230.8', '174.137.230.23', 2928272904, 2928272919, 'US', 'United States'),
(82403, '174.137.230.24', '174.137.230.55', 2928272920, 2928272951, 'CA', 'Canada'),
(82404, '174.137.230.56', '174.137.230.175', 2928272952, 2928273071, 'US', 'United States'),
(82405, '174.137.230.176', '174.137.230.183', 2928273072, 2928273079, 'CA', 'Canada'),
(82406, '174.137.230.184', '174.137.231.31', 2928273080, 2928273183, 'US', 'United States'),
(82407, '174.137.231.32', '174.137.231.39', 2928273184, 2928273191, 'CA', 'Canada'),
(82408, '174.137.231.40', '174.137.231.47', 2928273192, 2928273199, 'US', 'United States'),
(82409, '174.137.231.48', '174.137.231.143', 2928273200, 2928273295, 'CA', 'Canada'),
(82410, '174.137.231.144', '174.137.231.151', 2928273296, 2928273303, 'US', 'United States'),
(82411, '174.137.231.152', '174.137.231.159', 2928273304, 2928273311, 'CA', 'Canada'),
(82412, '174.137.231.160', '174.137.231.215', 2928273312, 2928273367, 'US', 'United States'),
(82413, '174.137.231.216', '174.137.231.231', 2928273368, 2928273383, 'CA', 'Canada'),
(82414, '174.137.231.232', '174.137.232.31', 2928273384, 2928273439, 'US', 'United States'),
(82415, '174.137.232.32', '174.137.232.39', 2928273440, 2928273447, 'CA', 'Canada'),
(82416, '174.137.232.40', '174.137.232.63', 2928273448, 2928273471, 'US', 'United States'),
(82417, '174.137.232.64', '174.137.232.71', 2928273472, 2928273479, 'CA', 'Canada'),
(82418, '174.137.232.72', '174.137.232.183', 2928273480, 2928273591, 'US', 'United States'),
(82419, '174.137.232.184', '174.137.232.191', 2928273592, 2928273599, 'CA', 'Canada'),
(82420, '174.137.232.192', '174.137.232.199', 2928273600, 2928273607, 'NL', 'Netherlands'),
(82421, '174.137.232.200', '174.137.232.231', 2928273608, 2928273639, 'CA', 'Canada'),
(82422, '174.137.232.232', '174.137.232.239', 2928273640, 2928273647, 'US', 'United States'),
(82423, '174.137.232.240', '174.137.233.7', 2928273648, 2928273671, 'CA', 'Canada'),
(82424, '174.137.233.8', '174.137.233.39', 2928273672, 2928273703, 'US', 'United States'),
(82425, '174.137.233.40', '174.137.233.71', 2928273704, 2928273735, 'CA', 'Canada'),
(82426, '174.137.233.72', '174.137.233.135', 2928273736, 2928273799, 'US', 'United States'),
(82427, '174.137.233.136', '174.137.233.143', 2928273800, 2928273807, 'CA', 'Canada'),
(82428, '174.137.233.144', '174.137.233.255', 2928273808, 2928273919, 'US', 'United States'),
(82429, '174.137.234.0', '174.137.234.255', 2928273920, 2928274175, 'CA', 'Canada'),
(82430, '174.137.235.0', '174.137.235.23', 2928274176, 2928274199, 'US', 'United States'),
(82431, '174.137.235.24', '174.137.235.31', 2928274200, 2928274207, 'CA', 'Canada'),
(82432, '174.137.235.32', '174.137.235.71', 2928274208, 2928274247, 'US', 'United States'),
(82433, '174.137.235.72', '174.137.235.87', 2928274248, 2928274263, 'CA', 'Canada'),
(82434, '174.137.235.88', '174.137.235.119', 2928274264, 2928274295, 'US', 'United States'),
(82435, '174.137.235.120', '174.137.235.135', 2928274296, 2928274311, 'CA', 'Canada'),
(82436, '174.137.235.136', '174.137.235.143', 2928274312, 2928274319, 'US', 'United States'),
(82437, '174.137.235.144', '174.137.235.159', 2928274320, 2928274335, 'CA', 'Canada'),
(82438, '174.137.235.160', '174.137.235.183', 2928274336, 2928274359, 'US', 'United States'),
(82439, '174.137.235.184', '174.137.235.191', 2928274360, 2928274367, 'CA', 'Canada'),
(82440, '174.137.235.192', '174.137.235.215', 2928274368, 2928274391, 'US', 'United States'),
(82441, '174.137.235.216', '174.137.236.63', 2928274392, 2928274495, 'CA', 'Canada'),
(82442, '174.137.236.64', '174.137.236.71', 2928274496, 2928274503, 'US', 'United States'),
(82443, '174.137.236.72', '174.137.236.87', 2928274504, 2928274519, 'CA', 'Canada'),
(82444, '174.137.236.88', '174.137.236.95', 2928274520, 2928274527, 'US', 'United States'),
(82445, '174.137.236.96', '174.137.236.143', 2928274528, 2928274575, 'CA', 'Canada'),
(82446, '174.137.236.144', '174.137.236.151', 2928274576, 2928274583, 'US', 'United States'),
(82447, '174.137.236.152', '174.137.236.167', 2928274584, 2928274599, 'CA', 'Canada'),
(82448, '174.137.236.168', '174.137.236.175', 2928274600, 2928274607, 'US', 'United States'),
(82449, '174.137.236.176', '174.137.236.183', 2928274608, 2928274615, 'CA', 'Canada'),
(82450, '174.137.236.184', '174.137.236.191', 2928274616, 2928274623, 'US', 'United States'),
(82451, '174.137.236.192', '174.137.236.199', 2928274624, 2928274631, 'CA', 'Canada'),
(82452, '174.137.236.200', '174.137.236.207', 2928274632, 2928274639, 'US', 'United States'),
(82453, '174.137.236.208', '174.137.237.15', 2928274640, 2928274703, 'CA', 'Canada'),
(82454, '174.137.237.16', '174.137.237.23', 2928274704, 2928274711, 'US', 'United States'),
(82455, '174.137.237.24', '174.137.237.79', 2928274712, 2928274767, 'CA', 'Canada'),
(82456, '174.137.237.80', '174.137.237.87', 2928274768, 2928274775, 'US', 'United States'),
(82457, '174.137.237.88', '174.137.237.159', 2928274776, 2928274847, 'CA', 'Canada'),
(82458, '174.137.237.160', '174.137.237.167', 2928274848, 2928274855, 'US', 'United States'),
(82459, '174.137.237.168', '174.137.237.231', 2928274856, 2928274919, 'CA', 'Canada'),
(82460, '174.137.237.232', '174.137.237.239', 2928274920, 2928274927, 'US', 'United States'),
(82461, '174.137.237.240', '174.137.238.111', 2928274928, 2928275055, 'CA', 'Canada'),
(82462, '174.137.238.112', '174.137.238.127', 2928275056, 2928275071, 'US', 'United States'),
(82463, '174.137.238.128', '174.137.239.255', 2928275072, 2928275455, 'CA', 'Canada'),
(82464, '174.137.240.0', '174.137.240.7', 2928275456, 2928275463, 'US', 'United States'),
(82465, '174.137.240.8', '174.137.240.23', 2928275464, 2928275479, 'CA', 'Canada'),
(82466, '174.137.240.24', '174.137.240.39', 2928275480, 2928275495, 'US', 'United States'),
(82467, '174.137.240.40', '174.137.240.143', 2928275496, 2928275599, 'CA', 'Canada'),
(82468, '174.137.240.144', '174.137.240.151', 2928275600, 2928275607, 'US', 'United States'),
(82469, '174.137.240.152', '174.137.241.7', 2928275608, 2928275719, 'CA', 'Canada'),
(82470, '174.137.241.8', '174.137.241.15', 2928275720, 2928275727, 'US', 'United States'),
(82471, '174.137.241.16', '174.137.241.55', 2928275728, 2928275767, 'CA', 'Canada'),
(82472, '174.137.241.56', '174.137.241.63', 2928275768, 2928275775, 'US', 'United States'),
(82473, '174.137.241.64', '174.137.241.103', 2928275776, 2928275815, 'CA', 'Canada'),
(82474, '174.137.241.104', '174.137.241.111', 2928275816, 2928275823, 'US', 'United States'),
(82475, '174.137.241.112', '174.137.242.103', 2928275824, 2928276071, 'CA', 'Canada'),
(82476, '174.137.242.104', '174.137.242.111', 2928276072, 2928276079, 'US', 'United States'),
(82477, '174.137.242.112', '174.137.242.223', 2928276080, 2928276191, 'CA', 'Canada'),
(82478, '174.137.242.224', '174.137.243.7', 2928276192, 2928276231, 'US', 'United States'),
(82479, '174.137.243.8', '174.137.243.63', 2928276232, 2928276287, 'CA', 'Canada'),
(82480, '174.137.243.64', '174.137.243.95', 2928276288, 2928276319, 'US', 'United States'),
(82481, '174.137.243.96', '174.137.243.143', 2928276320, 2928276367, 'CA', 'Canada'),
(82482, '174.137.243.144', '174.137.243.231', 2928276368, 2928276455, 'US', 'United States'),
(82483, '174.137.243.232', '174.137.243.239', 2928276456, 2928276463, 'CA', 'Canada'),
(82484, '174.137.243.240', '174.137.244.55', 2928276464, 2928276535, 'US', 'United States'),
(82485, '174.137.244.56', '174.137.244.63', 2928276536, 2928276543, 'CA', 'Canada'),
(82486, '174.137.244.64', '174.137.244.119', 2928276544, 2928276599, 'US', 'United States'),
(82487, '174.137.244.120', '174.137.244.127', 2928276600, 2928276607, 'CA', 'Canada'),
(82488, '174.137.244.128', '174.137.244.199', 2928276608, 2928276679, 'US', 'United States'),
(82489, '174.137.244.200', '174.137.244.215', 2928276680, 2928276695, 'CA', 'Canada'),
(82490, '174.137.244.216', '174.137.244.231', 2928276696, 2928276711, 'US', 'United States'),
(82491, '174.137.244.232', '174.137.244.247', 2928276712, 2928276727, 'CA', 'Canada'),
(82492, '174.137.244.248', '174.137.244.255', 2928276728, 2928276735, 'US', 'United States'),
(82493, '174.137.245.0', '174.137.245.7', 2928276736, 2928276743, 'CA', 'Canada'),
(82494, '174.137.245.8', '174.137.245.167', 2928276744, 2928276903, 'US', 'United States'),
(82495, '174.137.245.168', '174.137.245.175', 2928276904, 2928276911, 'CA', 'Canada'),
(82496, '174.137.245.176', '174.137.245.183', 2928276912, 2928276919, 'US', 'United States'),
(82497, '174.137.245.184', '174.137.246.175', 2928276920, 2928277167, 'CA', 'Canada'),
(82498, '174.137.246.176', '174.137.246.191', 2928277168, 2928277183, 'US', 'United States'),
(82499, '174.137.246.192', '174.137.246.207', 2928277184, 2928277199, 'CA', 'Canada'),
(82500, '174.137.246.208', '174.137.246.223', 2928277200, 2928277215, 'US', 'United States'),
(82501, '174.137.246.224', '174.137.247.31', 2928277216, 2928277279, 'CA', 'Canada'),
(82502, '174.137.247.32', '174.137.247.55', 2928277280, 2928277303, 'US', 'United States'),
(82503, '174.137.247.56', '174.137.247.87', 2928277304, 2928277335, 'CA', 'Canada'),
(82504, '174.137.247.88', '174.137.247.95', 2928277336, 2928277343, 'US', 'United States'),
(82505, '174.137.247.96', '174.137.248.167', 2928277344, 2928277671, 'CA', 'Canada'),
(82506, '174.137.248.168', '174.137.248.175', 2928277672, 2928277679, 'US', 'United States'),
(82507, '174.137.248.176', '174.137.248.191', 2928277680, 2928277695, 'CA', 'Canada'),
(82508, '174.137.248.192', '174.137.248.199', 2928277696, 2928277703, 'US', 'United States'),
(82509, '174.137.248.200', '174.137.251.7', 2928277704, 2928278279, 'CA', 'Canada'),
(82510, '174.137.251.8', '174.137.251.15', 2928278280, 2928278287, 'US', 'United States'),
(82511, '174.137.251.16', '174.137.251.63', 2928278288, 2928278335, 'CA', 'Canada'),
(82512, '174.137.251.64', '174.137.251.71', 2928278336, 2928278343, 'US', 'United States'),
(82513, '174.137.251.72', '174.137.251.95', 2928278344, 2928278367, 'CA', 'Canada'),
(82514, '174.137.251.96', '174.137.251.103', 2928278368, 2928278375, 'US', 'United States'),
(82515, '174.137.251.104', '174.137.253.7', 2928278376, 2928278791, 'CA', 'Canada'),
(82516, '174.137.253.8', '174.137.253.15', 2928278792, 2928278799, 'US', 'United States'),
(82517, '174.137.253.16', '174.137.253.95', 2928278800, 2928278879, 'CA', 'Canada'),
(82518, '174.137.253.96', '174.137.253.103', 2928278880, 2928278887, 'US', 'United States'),
(82519, '174.137.253.104', '174.137.253.111', 2928278888, 2928278895, 'CA', 'Canada'),
(82520, '174.137.253.112', '174.137.253.127', 2928278896, 2928278911, 'US', 'United States'),
(82521, '174.137.253.128', '174.137.253.231', 2928278912, 2928279015, 'CA', 'Canada'),
(82522, '174.137.253.232', '174.137.253.239', 2928279016, 2928279023, 'US', 'United States'),
(82523, '174.137.253.240', '174.137.255.87', 2928279024, 2928279383, 'CA', 'Canada'),
(82524, '174.137.255.88', '174.137.255.95', 2928279384, 2928279391, 'US', 'United States'),
(82525, '174.137.255.96', '174.137.255.255', 2928279392, 2928279551, 'CA', 'Canada'),
(82526, '174.138.0.0', '174.138.127.255', 2928279552, 2928312319, 'US', 'United States'),
(82527, '174.138.128.0', '174.138.143.255', 2928312320, 2928316415, 'CA', 'Canada'),
(82528, '174.138.144.0', '174.138.152.255', 2928316416, 2928318719, 'US', 'United States'),
(82529, '174.138.153.0', '174.138.153.255', 2928318720, 2928318975, 'DO', 'Dominican Republic'),
(82530, '174.138.154.0', '174.138.160.7', 2928318976, 2928320519, 'US', 'United States'),
(82531, '174.138.160.8', '174.138.160.15', 2928320520, 2928320527, 'BR', 'Brazil'),
(82532, '174.138.160.16', '174.138.162.39', 2928320528, 2928321063, 'US', 'United States'),
(82533, '174.138.162.40', '174.138.162.47', 2928321064, 2928321071, 'AU', 'Australia'),
(82534, '174.138.162.48', '174.138.163.31', 2928321072, 2928321311, 'US', 'United States'),
(82535, '174.138.163.32', '174.138.163.47', 2928321312, 2928321327, 'GB', 'United Kingdom'),
(82536, '174.138.163.48', '174.138.168.79', 2928321328, 2928322639, 'US', 'United States'),
(82537, '174.138.168.80', '174.138.168.95', 2928322640, 2928322655, 'RU', 'Russian Federation'),
(82538, '174.138.168.96', '174.138.170.63', 2928322656, 2928323135, 'US', 'United States'),
(82539, '174.138.170.64', '174.138.170.71', 2928323136, 2928323143, 'RU', 'Russian Federation'),
(82540, '174.138.170.72', '174.138.170.103', 2928323144, 2928323175, 'US', 'United States'),
(82541, '174.138.170.104', '174.138.170.111', 2928323176, 2928323183, 'AU', 'Australia'),
(82542, '174.138.170.112', '174.138.173.127', 2928323184, 2928323967, 'US', 'United States'),
(82543, '174.138.173.128', '174.138.173.143', 2928323968, 2928323983, 'RU', 'Russian Federation'),
(82544, '174.138.173.144', '174.138.175.167', 2928323984, 2928324519, 'US', 'United States'),
(82545, '174.138.175.168', '174.138.175.175', 2928324520, 2928324527, 'TR', 'Turkey'),
(82546, '174.138.175.176', '174.138.191.255', 2928324528, 2928328703, 'US', 'United States'),
(82547, '174.138.192.0', '174.138.223.255', 2928328704, 2928336895, 'CA', 'Canada'),
(82548, '174.138.224.0', '174.140.162.127', 2928336896, 2928452223, 'US', 'United States'),
(82549, '174.140.162.128', '174.140.162.255', 2928452224, 2928452351, 'A1', 'Anonymous Proxy'),
(82550, '174.140.163.0', '174.140.175.255', 2928452352, 2928455679, 'US', 'United States'),
(82551, '174.140.176.0', '174.140.191.255', 2928455680, 2928459775, 'CA', 'Canada'),
(82552, '174.140.192.0', '174.141.255.255', 2928459776, 2928541695, 'US', 'United States'),
(82553, '174.142.0.0', '174.142.45.87', 2928541696, 2928553303, 'CA', 'Canada'),
(82554, '174.142.45.88', '174.142.45.95', 2928553304, 2928553311, 'HU', 'Hungary'),
(82555, '174.142.45.96', '174.142.67.95', 2928553312, 2928558943, 'CA', 'Canada'),
(82556, '174.142.67.96', '174.142.67.103', 2928558944, 2928558951, 'PE', 'Peru'),
(82557, '174.142.67.104', '174.142.113.47', 2928558952, 2928570671, 'CA', 'Canada'),
(82558, '174.142.113.48', '174.142.113.63', 2928570672, 2928570687, 'FR', 'France'),
(82559, '174.142.113.64', '174.142.147.215', 2928570688, 2928579543, 'CA', 'Canada'),
(82560, '174.142.147.216', '174.142.147.223', 2928579544, 2928579551, 'HU', 'Hungary'),
(82561, '174.142.147.224', '174.142.164.55', 2928579552, 2928583735, 'CA', 'Canada'),
(82562, '174.142.164.56', '174.142.164.63', 2928583736, 2928583743, 'SY', 'Syrian Arab Republic'),
(82563, '174.142.164.64', '174.142.211.247', 2928583744, 2928595959, 'CA', 'Canada'),
(82564, '174.142.211.248', '174.142.211.255', 2928595960, 2928595967, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(82565, '174.142.212.0', '174.142.255.255', 2928595968, 2928607231, 'CA', 'Canada'),
(82566, '174.143.0.0', '174.143.0.55', 2928607232, 2928607287, 'US', 'United States'),
(82567, '174.143.0.56', '174.143.0.71', 2928607288, 2928607303, 'NO', 'Norway'),
(82568, '174.143.0.72', '174.143.0.111', 2928607304, 2928607343, 'US', 'United States'),
(82569, '174.143.0.112', '174.143.0.119', 2928607344, 2928607351, 'GB', 'United Kingdom'),
(82570, '174.143.0.120', '174.143.1.79', 2928607352, 2928607567, 'US', 'United States'),
(82571, '174.143.1.80', '174.143.1.87', 2928607568, 2928607575, 'CA', 'Canada'),
(82572, '174.143.1.88', '174.143.1.223', 2928607576, 2928607711, 'US', 'United States'),
(82573, '174.143.1.224', '174.143.1.231', 2928607712, 2928607719, 'CA', 'Canada'),
(82574, '174.143.1.232', '174.143.2.71', 2928607720, 2928607815, 'US', 'United States'),
(82575, '174.143.2.72', '174.143.2.79', 2928607816, 2928607823, 'CA', 'Canada'),
(82576, '174.143.2.80', '174.143.5.239', 2928607824, 2928608751, 'US', 'United States'),
(82577, '174.143.5.240', '174.143.6.15', 2928608752, 2928608783, 'GB', 'United Kingdom'),
(82578, '174.143.6.16', '174.143.8.191', 2928608784, 2928609471, 'US', 'United States'),
(82579, '174.143.8.192', '174.143.10.191', 2928609472, 2928609983, 'BD', 'Bangladesh'),
(82580, '174.143.10.192', '174.143.11.95', 2928609984, 2928610143, 'US', 'United States'),
(82581, '174.143.11.96', '174.143.11.127', 2928610144, 2928610175, 'GB', 'United Kingdom'),
(82582, '174.143.11.128', '174.143.12.79', 2928610176, 2928610383, 'US', 'United States'),
(82583, '174.143.12.80', '174.143.12.87', 2928610384, 2928610391, 'VG', 'Virgin Islands, British'),
(82584, '174.143.12.88', '174.143.13.55', 2928610392, 2928610615, 'US', 'United States'),
(82585, '174.143.13.56', '174.143.13.63', 2928610616, 2928610623, 'IL', 'Israel'),
(82586, '174.143.13.64', '174.143.13.95', 2928610624, 2928610655, 'US', 'United States'),
(82587, '174.143.13.96', '174.143.13.103', 2928610656, 2928610663, 'MX', 'Mexico'),
(82588, '174.143.13.104', '174.143.13.143', 2928610664, 2928610703, 'US', 'United States'),
(82589, '174.143.13.144', '174.143.13.151', 2928610704, 2928610711, 'IN', 'India'),
(82590, '174.143.13.152', '174.143.14.7', 2928610712, 2928610823, 'US', 'United States'),
(82591, '174.143.14.8', '174.143.14.15', 2928610824, 2928610831, 'CA', 'Canada'),
(82592, '174.143.14.16', '174.143.14.23', 2928610832, 2928610839, 'GB', 'United Kingdom'),
(82593, '174.143.14.24', '174.143.14.119', 2928610840, 2928610935, 'US', 'United States'),
(82594, '174.143.14.120', '174.143.14.127', 2928610936, 2928610943, 'GB', 'United Kingdom'),
(82595, '174.143.14.128', '174.143.15.231', 2928610944, 2928611303, 'US', 'United States'),
(82596, '174.143.15.232', '174.143.15.239', 2928611304, 2928611311, 'IL', 'Israel'),
(82597, '174.143.15.240', '174.143.16.23', 2928611312, 2928611351, 'US', 'United States'),
(82598, '174.143.16.24', '174.143.16.31', 2928611352, 2928611359, 'ZA', 'South Africa'),
(82599, '174.143.16.32', '174.143.16.47', 2928611360, 2928611375, 'US', 'United States'),
(82600, '174.143.16.48', '174.143.16.55', 2928611376, 2928611383, 'ZA', 'South Africa'),
(82601, '174.143.16.56', '174.143.17.7', 2928611384, 2928611591, 'US', 'United States'),
(82602, '174.143.17.8', '174.143.17.15', 2928611592, 2928611599, 'CA', 'Canada'),
(82603, '174.143.17.16', '174.143.17.111', 2928611600, 2928611695, 'US', 'United States'),
(82604, '174.143.17.112', '174.143.17.119', 2928611696, 2928611703, 'BB', 'Barbados'),
(82605, '174.143.17.120', '174.143.17.207', 2928611704, 2928611791, 'US', 'United States'),
(82606, '174.143.17.208', '174.143.17.223', 2928611792, 2928611807, 'GB', 'United Kingdom'),
(82607, '174.143.17.224', '174.143.17.255', 2928611808, 2928611839, 'US', 'United States'),
(82608, '174.143.18.0', '174.143.18.7', 2928611840, 2928611847, 'CA', 'Canada'),
(82609, '174.143.18.8', '174.143.19.39', 2928611848, 2928612135, 'US', 'United States'),
(82610, '174.143.19.40', '174.143.19.47', 2928612136, 2928612143, 'AU', 'Australia'),
(82611, '174.143.19.48', '174.143.19.135', 2928612144, 2928612231, 'US', 'United States'),
(82612, '174.143.19.136', '174.143.19.143', 2928612232, 2928612239, 'GB', 'United Kingdom'),
(82613, '174.143.19.144', '174.143.19.183', 2928612240, 2928612279, 'US', 'United States'),
(82614, '174.143.19.184', '174.143.19.191', 2928612280, 2928612287, 'GB', 'United Kingdom'),
(82615, '174.143.19.192', '174.143.19.223', 2928612288, 2928612319, 'US', 'United States'),
(82616, '174.143.19.224', '174.143.19.231', 2928612320, 2928612327, 'CA', 'Canada'),
(82617, '174.143.19.232', '174.143.19.247', 2928612328, 2928612343, 'US', 'United States'),
(82618, '174.143.19.248', '174.143.19.255', 2928612344, 2928612351, 'CA', 'Canada'),
(82619, '174.143.20.0', '174.143.20.63', 2928612352, 2928612415, 'US', 'United States'),
(82620, '174.143.20.64', '174.143.20.95', 2928612416, 2928612447, 'CA', 'Canada'),
(82621, '174.143.20.96', '174.143.21.127', 2928612448, 2928612735, 'US', 'United States'),
(82622, '174.143.21.128', '174.143.21.191', 2928612736, 2928612799, 'CA', 'Canada'),
(82623, '174.143.21.192', '174.143.32.31', 2928612800, 2928615455, 'US', 'United States'),
(82624, '174.143.32.32', '174.143.32.39', 2928615456, 2928615463, 'GB', 'United Kingdom'),
(82625, '174.143.32.40', '174.143.33.55', 2928615464, 2928615735, 'US', 'United States'),
(82626, '174.143.33.56', '174.143.33.63', 2928615736, 2928615743, 'GB', 'United Kingdom'),
(82627, '174.143.33.64', '174.143.33.79', 2928615744, 2928615759, 'CA', 'Canada'),
(82628, '174.143.33.80', '174.143.33.191', 2928615760, 2928615871, 'US', 'United States'),
(82629, '174.143.33.192', '174.143.33.199', 2928615872, 2928615879, 'MY', 'Malaysia'),
(82630, '174.143.33.200', '174.143.34.47', 2928615880, 2928615983, 'US', 'United States'),
(82631, '174.143.34.48', '174.143.34.55', 2928615984, 2928615991, 'AU', 'Australia'),
(82632, '174.143.34.56', '174.143.37.159', 2928615992, 2928616863, 'US', 'United States'),
(82633, '174.143.37.160', '174.143.37.175', 2928616864, 2928616879, 'ZA', 'South Africa'),
(82634, '174.143.37.176', '174.143.38.63', 2928616880, 2928617023, 'US', 'United States'),
(82635, '174.143.38.64', '174.143.38.79', 2928617024, 2928617039, 'IN', 'India'),
(82636, '174.143.38.80', '174.143.38.239', 2928617040, 2928617199, 'US', 'United States'),
(82637, '174.143.38.240', '174.143.38.255', 2928617200, 2928617215, 'IL', 'Israel'),
(82638, '174.143.39.0', '174.143.39.143', 2928617216, 2928617359, 'US', 'United States'),
(82639, '174.143.39.144', '174.143.39.159', 2928617360, 2928617375, 'CA', 'Canada'),
(82640, '174.143.39.160', '174.143.40.151', 2928617376, 2928617623, 'US', 'United States'),
(82641, '174.143.40.152', '174.143.40.159', 2928617624, 2928617631, 'IN', 'India'),
(82642, '174.143.40.160', '174.143.40.167', 2928617632, 2928617639, 'US', 'United States'),
(82643, '174.143.40.168', '174.143.40.175', 2928617640, 2928617647, 'JP', 'Japan'),
(82644, '174.143.40.176', '174.143.41.167', 2928617648, 2928617895, 'US', 'United States'),
(82645, '174.143.41.168', '174.143.41.175', 2928617896, 2928617903, 'IN', 'India'),
(82646, '174.143.41.176', '174.143.41.223', 2928617904, 2928617951, 'US', 'United States'),
(82647, '174.143.41.224', '174.143.41.231', 2928617952, 2928617959, 'GB', 'United Kingdom'),
(82648, '174.143.41.232', '174.143.42.247', 2928617960, 2928618231, 'US', 'United States'),
(82649, '174.143.42.248', '174.143.42.255', 2928618232, 2928618239, 'IL', 'Israel'),
(82650, '174.143.43.0', '174.143.43.7', 2928618240, 2928618247, 'US', 'United States'),
(82651, '174.143.43.8', '174.143.43.15', 2928618248, 2928618255, 'GB', 'United Kingdom'),
(82652, '174.143.43.16', '174.143.43.31', 2928618256, 2928618271, 'US', 'United States'),
(82653, '174.143.43.32', '174.143.43.39', 2928618272, 2928618279, 'IL', 'Israel'),
(82654, '174.143.43.40', '174.143.43.127', 2928618280, 2928618367, 'US', 'United States'),
(82655, '174.143.43.128', '174.143.43.135', 2928618368, 2928618375, 'GB', 'United Kingdom'),
(82656, '174.143.43.136', '174.143.43.143', 2928618376, 2928618383, 'US', 'United States'),
(82657, '174.143.43.144', '174.143.43.159', 2928618384, 2928618399, 'CA', 'Canada'),
(82658, '174.143.43.160', '174.143.43.239', 2928618400, 2928618479, 'US', 'United States'),
(82659, '174.143.43.240', '174.143.43.247', 2928618480, 2928618487, 'CA', 'Canada'),
(82660, '174.143.43.248', '174.143.44.63', 2928618488, 2928618559, 'US', 'United States'),
(82661, '174.143.44.64', '174.143.44.95', 2928618560, 2928618591, 'IN', 'India'),
(82662, '174.143.44.96', '174.143.46.63', 2928618592, 2928619071, 'US', 'United States'),
(82663, '174.143.46.64', '174.143.46.95', 2928619072, 2928619103, 'BD', 'Bangladesh'),
(82664, '174.143.46.96', '174.143.47.127', 2928619104, 2928619391, 'US', 'United States'),
(82665, '174.143.47.128', '174.143.47.159', 2928619392, 2928619423, 'CA', 'Canada'),
(82666, '174.143.47.160', '174.143.50.103', 2928619424, 2928620135, 'US', 'United States'),
(82667, '174.143.50.104', '174.143.50.111', 2928620136, 2928620143, 'IN', 'India'),
(82668, '174.143.50.112', '174.143.50.119', 2928620144, 2928620151, 'CA', 'Canada'),
(82669, '174.143.50.120', '174.143.50.151', 2928620152, 2928620183, 'US', 'United States'),
(82670, '174.143.50.152', '174.143.50.159', 2928620184, 2928620191, 'FR', 'France'),
(82671, '174.143.50.160', '174.143.50.199', 2928620192, 2928620231, 'US', 'United States'),
(82672, '174.143.50.200', '174.143.50.207', 2928620232, 2928620239, 'SE', 'Sweden'),
(82673, '174.143.50.208', '174.143.51.15', 2928620240, 2928620303, 'US', 'United States'),
(82674, '174.143.51.16', '174.143.51.23', 2928620304, 2928620311, 'GB', 'United Kingdom'),
(82675, '174.143.51.24', '174.143.51.71', 2928620312, 2928620359, 'US', 'United States'),
(82676, '174.143.51.72', '174.143.51.79', 2928620360, 2928620367, 'IN', 'India'),
(82677, '174.143.51.80', '174.143.51.151', 2928620368, 2928620439, 'US', 'United States'),
(82678, '174.143.51.152', '174.143.51.159', 2928620440, 2928620447, 'NL', 'Netherlands'),
(82679, '174.143.51.160', '174.143.52.71', 2928620448, 2928620615, 'US', 'United States'),
(82680, '174.143.52.72', '174.143.52.79', 2928620616, 2928620623, 'AU', 'Australia'),
(82681, '174.143.52.80', '174.143.53.55', 2928620624, 2928620855, 'US', 'United States'),
(82682, '174.143.53.56', '174.143.53.63', 2928620856, 2928620863, 'ZA', 'South Africa'),
(82683, '174.143.53.64', '174.143.53.191', 2928620864, 2928620991, 'US', 'United States'),
(82684, '174.143.53.192', '174.143.53.199', 2928620992, 2928620999, 'GB', 'United Kingdom'),
(82685, '174.143.53.200', '174.143.54.79', 2928621000, 2928621135, 'US', 'United States'),
(82686, '174.143.54.80', '174.143.54.87', 2928621136, 2928621143, 'GB', 'United Kingdom'),
(82687, '174.143.54.88', '174.143.54.159', 2928621144, 2928621215, 'US', 'United States'),
(82688, '174.143.54.160', '174.143.54.167', 2928621216, 2928621223, 'GB', 'United Kingdom'),
(82689, '174.143.54.168', '174.143.55.239', 2928621224, 2928621551, 'US', 'United States'),
(82690, '174.143.55.240', '174.143.55.247', 2928621552, 2928621559, 'FR', 'France'),
(82691, '174.143.55.248', '174.143.55.255', 2928621560, 2928621567, 'GB', 'United Kingdom'),
(82692, '174.143.56.0', '174.143.56.255', 2928621568, 2928621823, 'US', 'United States'),
(82693, '174.143.57.0', '174.143.57.15', 2928621824, 2928621839, 'CA', 'Canada'),
(82694, '174.143.57.16', '174.143.57.79', 2928621840, 2928621903, 'US', 'United States'),
(82695, '174.143.57.80', '174.143.57.87', 2928621904, 2928621911, 'AE', 'United Arab Emirates'),
(82696, '174.143.57.88', '174.143.57.111', 2928621912, 2928621935, 'US', 'United States'),
(82697, '174.143.57.112', '174.143.57.119', 2928621936, 2928621943, 'NZ', 'New Zealand'),
(82698, '174.143.57.120', '174.143.57.127', 2928621944, 2928621951, 'IN', 'India'),
(82699, '174.143.57.128', '174.143.57.223', 2928621952, 2928622047, 'US', 'United States'),
(82700, '174.143.57.224', '174.143.57.231', 2928622048, 2928622055, 'CA', 'Canada'),
(82701, '174.143.57.232', '174.143.58.95', 2928622056, 2928622175, 'US', 'United States'),
(82702, '174.143.58.96', '174.143.58.103', 2928622176, 2928622183, 'GB', 'United Kingdom'),
(82703, '174.143.58.104', '174.143.58.151', 2928622184, 2928622231, 'US', 'United States'),
(82704, '174.143.58.152', '174.143.58.159', 2928622232, 2928622239, 'AU', 'Australia'),
(82705, '174.143.58.160', '174.143.58.247', 2928622240, 2928622327, 'US', 'United States'),
(82706, '174.143.58.248', '174.143.58.255', 2928622328, 2928622335, 'CN', 'China'),
(82707, '174.143.59.0', '174.143.60.31', 2928622336, 2928622623, 'US', 'United States'),
(82708, '174.143.60.32', '174.143.60.47', 2928622624, 2928622639, 'NZ', 'New Zealand'),
(82709, '174.143.60.48', '174.143.60.111', 2928622640, 2928622703, 'US', 'United States'),
(82710, '174.143.60.112', '174.143.60.127', 2928622704, 2928622719, 'GB', 'United Kingdom'),
(82711, '174.143.60.128', '174.143.60.207', 2928622720, 2928622799, 'US', 'United States'),
(82712, '174.143.60.208', '174.143.60.223', 2928622800, 2928622815, 'CA', 'Canada'),
(82713, '174.143.60.224', '174.143.61.79', 2928622816, 2928622927, 'US', 'United States'),
(82714, '174.143.61.80', '174.143.61.111', 2928622928, 2928622959, 'CA', 'Canada'),
(82715, '174.143.61.112', '174.143.62.135', 2928622960, 2928623239, 'US', 'United States'),
(82716, '174.143.62.136', '174.143.62.143', 2928623240, 2928623247, 'CA', 'Canada'),
(82717, '174.143.62.144', '174.143.62.159', 2928623248, 2928623263, 'US', 'United States'),
(82718, '174.143.62.160', '174.143.62.167', 2928623264, 2928623271, 'MX', 'Mexico'),
(82719, '174.143.62.168', '174.143.63.135', 2928623272, 2928623495, 'US', 'United States'),
(82720, '174.143.63.136', '174.143.63.143', 2928623496, 2928623503, 'CA', 'Canada'),
(82721, '174.143.63.144', '174.143.64.191', 2928623504, 2928623807, 'US', 'United States'),
(82722, '174.143.64.192', '174.143.64.199', 2928623808, 2928623815, 'AU', 'Australia'),
(82723, '174.143.64.200', '174.143.64.215', 2928623816, 2928623831, 'US', 'United States'),
(82724, '174.143.64.216', '174.143.64.223', 2928623832, 2928623839, 'NO', 'Norway'),
(82725, '174.143.64.224', '174.143.64.239', 2928623840, 2928623855, 'US', 'United States'),
(82726, '174.143.64.240', '174.143.64.247', 2928623856, 2928623863, 'NZ', 'New Zealand'),
(82727, '174.143.64.248', '174.143.65.127', 2928623864, 2928623999, 'US', 'United States'),
(82728, '174.143.65.128', '174.143.65.135', 2928624000, 2928624007, 'CA', 'Canada'),
(82729, '174.143.65.136', '174.143.65.255', 2928624008, 2928624127, 'US', 'United States'),
(82730, '174.143.66.0', '174.143.66.7', 2928624128, 2928624135, 'CY', 'Cyprus'),
(82731, '174.143.66.8', '174.143.66.15', 2928624136, 2928624143, 'CA', 'Canada'),
(82732, '174.143.66.16', '174.143.66.23', 2928624144, 2928624151, 'US', 'United States'),
(82733, '174.143.66.24', '174.143.66.31', 2928624152, 2928624159, 'CA', 'Canada'),
(82734, '174.143.66.32', '174.143.66.175', 2928624160, 2928624303, 'US', 'United States'),
(82735, '174.143.66.176', '174.143.66.183', 2928624304, 2928624311, 'NL', 'Netherlands'),
(82736, '174.143.66.184', '174.143.66.191', 2928624312, 2928624319, 'US', 'United States'),
(82737, '174.143.66.192', '174.143.66.199', 2928624320, 2928624327, 'CA', 'Canada'),
(82738, '174.143.66.200', '174.143.67.95', 2928624328, 2928624479, 'US', 'United States'),
(82739, '174.143.67.96', '174.143.67.103', 2928624480, 2928624487, 'MX', 'Mexico'),
(82740, '174.143.67.104', '174.143.68.71', 2928624488, 2928624711, 'US', 'United States'),
(82741, '174.143.68.72', '174.143.68.79', 2928624712, 2928624719, 'AU', 'Australia'),
(82742, '174.143.68.80', '174.143.68.151', 2928624720, 2928624791, 'US', 'United States'),
(82743, '174.143.68.152', '174.143.68.159', 2928624792, 2928624799, 'AU', 'Australia'),
(82744, '174.143.68.160', '174.143.70.23', 2928624800, 2928625175, 'US', 'United States'),
(82745, '174.143.70.24', '174.143.70.31', 2928625176, 2928625183, 'AU', 'Australia'),
(82746, '174.143.70.32', '174.143.70.79', 2928625184, 2928625231, 'US', 'United States'),
(82747, '174.143.70.80', '174.143.70.87', 2928625232, 2928625239, 'CA', 'Canada'),
(82748, '174.143.70.88', '174.143.73.255', 2928625240, 2928626175, 'US', 'United States'),
(82749, '174.143.74.0', '174.143.74.15', 2928626176, 2928626191, 'CA', 'Canada'),
(82750, '174.143.74.16', '174.143.74.255', 2928626192, 2928626431, 'US', 'United States'),
(82751, '174.143.75.0', '174.143.75.15', 2928626432, 2928626447, 'HU', 'Hungary'),
(82752, '174.143.75.16', '174.143.75.47', 2928626448, 2928626479, 'CA', 'Canada'),
(82753, '174.143.75.48', '174.143.75.175', 2928626480, 2928626607, 'US', 'United States'),
(82754, '174.143.75.176', '174.143.75.191', 2928626608, 2928626623, 'IN', 'India'),
(82755, '174.143.75.192', '174.143.76.143', 2928626624, 2928626831, 'US', 'United States'),
(82756, '174.143.76.144', '174.143.76.151', 2928626832, 2928626839, 'MX', 'Mexico'),
(82757, '174.143.76.152', '174.143.76.183', 2928626840, 2928626871, 'US', 'United States'),
(82758, '174.143.76.184', '174.143.76.191', 2928626872, 2928626879, 'AU', 'Australia'),
(82759, '174.143.76.192', '174.143.76.215', 2928626880, 2928626903, 'US', 'United States'),
(82760, '174.143.76.216', '174.143.76.223', 2928626904, 2928626911, 'GB', 'United Kingdom'),
(82761, '174.143.76.224', '174.143.77.31', 2928626912, 2928626975, 'US', 'United States'),
(82762, '174.143.77.32', '174.143.77.39', 2928626976, 2928626983, 'CA', 'Canada'),
(82763, '174.143.77.40', '174.143.77.111', 2928626984, 2928627055, 'US', 'United States'),
(82764, '174.143.77.112', '174.143.77.119', 2928627056, 2928627063, 'AU', 'Australia'),
(82765, '174.143.77.120', '174.143.77.127', 2928627064, 2928627071, 'GB', 'United Kingdom'),
(82766, '174.143.77.128', '174.143.77.151', 2928627072, 2928627095, 'US', 'United States'),
(82767, '174.143.77.152', '174.143.77.159', 2928627096, 2928627103, 'AU', 'Australia'),
(82768, '174.143.77.160', '174.143.77.223', 2928627104, 2928627167, 'US', 'United States'),
(82769, '174.143.77.224', '174.143.77.231', 2928627168, 2928627175, 'GB', 'United Kingdom'),
(82770, '174.143.77.232', '174.143.77.239', 2928627176, 2928627183, 'IE', 'Ireland'),
(82771, '174.143.77.240', '174.143.78.183', 2928627184, 2928627383, 'US', 'United States'),
(82772, '174.143.78.184', '174.143.78.191', 2928627384, 2928627391, 'AU', 'Australia'),
(82773, '174.143.78.192', '174.143.78.215', 2928627392, 2928627415, 'US', 'United States'),
(82774, '174.143.78.216', '174.143.78.223', 2928627416, 2928627423, 'AU', 'Australia'),
(82775, '174.143.78.224', '174.143.78.231', 2928627424, 2928627431, 'IL', 'Israel'),
(82776, '174.143.78.232', '174.143.78.239', 2928627432, 2928627439, 'GB', 'United Kingdom'),
(82777, '174.143.78.240', '174.143.79.7', 2928627440, 2928627463, 'US', 'United States'),
(82778, '174.143.79.8', '174.143.79.15', 2928627464, 2928627471, 'TW', 'Taiwan'),
(82779, '174.143.79.16', '174.143.79.31', 2928627472, 2928627487, 'US', 'United States'),
(82780, '174.143.79.32', '174.143.79.39', 2928627488, 2928627495, 'IN', 'India'),
(82781, '174.143.79.40', '174.143.79.87', 2928627496, 2928627543, 'US', 'United States'),
(82782, '174.143.79.88', '174.143.79.95', 2928627544, 2928627551, 'GB', 'United Kingdom'),
(82783, '174.143.79.96', '174.143.84.47', 2928627552, 2928628783, 'US', 'United States'),
(82784, '174.143.84.48', '174.143.84.55', 2928628784, 2928628791, 'GB', 'United Kingdom'),
(82785, '174.143.84.56', '174.143.84.63', 2928628792, 2928628799, 'US', 'United States'),
(82786, '174.143.84.64', '174.143.84.71', 2928628800, 2928628807, 'CA', 'Canada'),
(82787, '174.143.84.72', '174.143.84.143', 2928628808, 2928628879, 'US', 'United States'),
(82788, '174.143.84.144', '174.143.84.151', 2928628880, 2928628887, 'AU', 'Australia'),
(82789, '174.143.84.152', '174.143.85.15', 2928628888, 2928629007, 'US', 'United States'),
(82790, '174.143.85.16', '174.143.85.23', 2928629008, 2928629015, 'CA', 'Canada'),
(82791, '174.143.85.24', '174.143.85.39', 2928629016, 2928629031, 'US', 'United States'),
(82792, '174.143.85.40', '174.143.85.47', 2928629032, 2928629039, 'HK', 'Hong Kong'),
(82793, '174.143.85.48', '174.143.85.191', 2928629040, 2928629183, 'US', 'United States'),
(82794, '174.143.85.192', '174.143.85.199', 2928629184, 2928629191, 'GB', 'United Kingdom'),
(82795, '174.143.85.200', '174.143.85.207', 2928629192, 2928629199, 'CA', 'Canada'),
(82796, '174.143.85.208', '174.143.85.215', 2928629200, 2928629207, 'US', 'United States'),
(82797, '174.143.85.216', '174.143.85.223', 2928629208, 2928629215, 'IL', 'Israel'),
(82798, '174.143.85.224', '174.143.85.247', 2928629216, 2928629239, 'US', 'United States'),
(82799, '174.143.85.248', '174.143.85.255', 2928629240, 2928629247, 'GB', 'United Kingdom'),
(82800, '174.143.86.0', '174.143.87.7', 2928629248, 2928629511, 'US', 'United States'),
(82801, '174.143.87.8', '174.143.87.15', 2928629512, 2928629519, 'MX', 'Mexico'),
(82802, '174.143.87.16', '174.143.87.103', 2928629520, 2928629607, 'US', 'United States'),
(82803, '174.143.87.104', '174.143.87.111', 2928629608, 2928629615, 'GB', 'United Kingdom'),
(82804, '174.143.87.112', '174.143.87.151', 2928629616, 2928629655, 'US', 'United States'),
(82805, '174.143.87.152', '174.143.87.159', 2928629656, 2928629663, 'IL', 'Israel'),
(82806, '174.143.87.160', '174.143.87.167', 2928629664, 2928629671, 'US', 'United States'),
(82807, '174.143.87.168', '174.143.87.175', 2928629672, 2928629679, 'JP', 'Japan'),
(82808, '174.143.87.176', '174.143.87.191', 2928629680, 2928629695, 'US', 'United States'),
(82809, '174.143.87.192', '174.143.87.199', 2928629696, 2928629703, 'CA', 'Canada'),
(82810, '174.143.87.200', '174.143.88.127', 2928629704, 2928629887, 'US', 'United States'),
(82811, '174.143.88.128', '174.143.88.191', 2928629888, 2928629951, 'BD', 'Bangladesh'),
(82812, '174.143.88.192', '174.143.90.255', 2928629952, 2928630527, 'US', 'United States'),
(82813, '174.143.91.0', '174.143.91.31', 2928630528, 2928630559, 'CA', 'Canada'),
(82814, '174.143.91.32', '174.143.92.7', 2928630560, 2928630791, 'US', 'United States'),
(82815, '174.143.92.8', '174.143.92.23', 2928630792, 2928630807, 'GB', 'United Kingdom'),
(82816, '174.143.92.24', '174.143.92.111', 2928630808, 2928630895, 'US', 'United States'),
(82817, '174.143.92.112', '174.143.92.119', 2928630896, 2928630903, 'MX', 'Mexico'),
(82818, '174.143.92.120', '174.143.92.127', 2928630904, 2928630911, 'HU', 'Hungary'),
(82819, '174.143.92.128', '174.143.93.39', 2928630912, 2928631079, 'US', 'United States'),
(82820, '174.143.93.40', '174.143.93.47', 2928631080, 2928631087, 'GB', 'United Kingdom'),
(82821, '174.143.93.48', '174.143.93.71', 2928631088, 2928631111, 'US', 'United States'),
(82822, '174.143.93.72', '174.143.93.79', 2928631112, 2928631119, 'AU', 'Australia'),
(82823, '174.143.93.80', '174.143.93.95', 2928631120, 2928631135, 'US', 'United States'),
(82824, '174.143.93.96', '174.143.93.103', 2928631136, 2928631143, 'CA', 'Canada'),
(82825, '174.143.93.104', '174.143.93.199', 2928631144, 2928631239, 'US', 'United States'),
(82826, '174.143.93.200', '174.143.93.207', 2928631240, 2928631247, 'CA', 'Canada'),
(82827, '174.143.93.208', '174.143.94.15', 2928631248, 2928631311, 'US', 'United States'),
(82828, '174.143.94.16', '174.143.94.23', 2928631312, 2928631319, 'CA', 'Canada'),
(82829, '174.143.94.24', '174.143.94.127', 2928631320, 2928631423, 'US', 'United States'),
(82830, '174.143.94.128', '174.143.94.135', 2928631424, 2928631431, 'MX', 'Mexico'),
(82831, '174.143.94.136', '174.143.94.255', 2928631432, 2928631551, 'US', 'United States'),
(82832, '174.143.95.0', '174.143.95.7', 2928631552, 2928631559, 'SG', 'Singapore'),
(82833, '174.143.95.8', '174.143.95.15', 2928631560, 2928631567, 'US', 'United States'),
(82834, '174.143.95.16', '174.143.95.23', 2928631568, 2928631575, 'CA', 'Canada'),
(82835, '174.143.95.24', '174.143.95.191', 2928631576, 2928631743, 'US', 'United States'),
(82836, '174.143.95.192', '174.143.95.199', 2928631744, 2928631751, 'MX', 'Mexico'),
(82837, '174.143.95.200', '174.143.95.223', 2928631752, 2928631775, 'US', 'United States'),
(82838, '174.143.95.224', '174.143.95.231', 2928631776, 2928631783, 'IL', 'Israel'),
(82839, '174.143.95.232', '174.143.96.47', 2928631784, 2928631855, 'US', 'United States'),
(82840, '174.143.96.48', '174.143.96.55', 2928631856, 2928631863, 'CA', 'Canada'),
(82841, '174.143.96.56', '174.143.96.63', 2928631864, 2928631871, 'AU', 'Australia'),
(82842, '174.143.96.64', '174.143.96.79', 2928631872, 2928631887, 'US', 'United States'),
(82843, '174.143.96.80', '174.143.96.87', 2928631888, 2928631895, 'FR', 'France'),
(82844, '174.143.96.88', '174.143.96.143', 2928631896, 2928631951, 'US', 'United States'),
(82845, '174.143.96.144', '174.143.96.151', 2928631952, 2928631959, 'SG', 'Singapore'),
(82846, '174.143.96.152', '174.143.96.167', 2928631960, 2928631975, 'US', 'United States'),
(82847, '174.143.96.168', '174.143.96.175', 2928631976, 2928631983, 'IN', 'India'),
(82848, '174.143.96.176', '174.143.96.223', 2928631984, 2928632031, 'US', 'United States'),
(82849, '174.143.96.224', '174.143.96.231', 2928632032, 2928632039, 'NO', 'Norway'),
(82850, '174.143.96.232', '174.143.96.247', 2928632040, 2928632055, 'US', 'United States'),
(82851, '174.143.96.248', '174.143.96.255', 2928632056, 2928632063, 'MX', 'Mexico'),
(82852, '174.143.97.0', '174.143.97.159', 2928632064, 2928632223, 'US', 'United States'),
(82853, '174.143.97.160', '174.143.97.167', 2928632224, 2928632231, 'GB', 'United Kingdom'),
(82854, '174.143.97.168', '174.143.98.47', 2928632232, 2928632367, 'US', 'United States'),
(82855, '174.143.98.48', '174.143.98.55', 2928632368, 2928632375, 'IN', 'India'),
(82856, '174.143.98.56', '174.143.98.79', 2928632376, 2928632399, 'US', 'United States'),
(82857, '174.143.98.80', '174.143.98.87', 2928632400, 2928632407, 'CA', 'Canada'),
(82858, '174.143.98.88', '174.143.98.199', 2928632408, 2928632519, 'US', 'United States'),
(82859, '174.143.98.200', '174.143.98.207', 2928632520, 2928632527, 'IN', 'India'),
(82860, '174.143.98.208', '174.143.100.255', 2928632528, 2928633087, 'US', 'United States'),
(82861, '174.143.101.0', '174.143.101.15', 2928633088, 2928633103, 'CA', 'Canada'),
(82862, '174.143.101.16', '174.143.101.31', 2928633104, 2928633119, 'US', 'United States'),
(82863, '174.143.101.32', '174.143.101.47', 2928633120, 2928633135, 'CA', 'Canada'),
(82864, '174.143.101.48', '174.143.101.111', 2928633136, 2928633199, 'US', 'United States'),
(82865, '174.143.101.112', '174.143.101.127', 2928633200, 2928633215, 'CA', 'Canada'),
(82866, '174.143.101.128', '174.143.102.79', 2928633216, 2928633423, 'US', 'United States'),
(82867, '174.143.102.80', '174.143.102.95', 2928633424, 2928633439, 'IN', 'India'),
(82868, '174.143.102.96', '174.143.102.239', 2928633440, 2928633583, 'US', 'United States'),
(82869, '174.143.102.240', '174.143.102.255', 2928633584, 2928633599, 'GB', 'United Kingdom'),
(82870, '174.143.103.0', '174.143.104.23', 2928633600, 2928633879, 'US', 'United States'),
(82871, '174.143.104.24', '174.143.104.31', 2928633880, 2928633887, 'IL', 'Israel'),
(82872, '174.143.104.32', '174.143.104.39', 2928633888, 2928633895, 'CA', 'Canada'),
(82873, '174.143.104.40', '174.143.104.103', 2928633896, 2928633959, 'US', 'United States'),
(82874, '174.143.104.104', '174.143.104.111', 2928633960, 2928633967, 'GB', 'United Kingdom'),
(82875, '174.143.104.112', '174.143.105.79', 2928633968, 2928634191, 'US', 'United States'),
(82876, '174.143.105.80', '174.143.105.87', 2928634192, 2928634199, 'CH', 'Switzerland'),
(82877, '174.143.105.88', '174.143.105.135', 2928634200, 2928634247, 'US', 'United States'),
(82878, '174.143.105.136', '174.143.105.143', 2928634248, 2928634255, 'CA', 'Canada'),
(82879, '174.143.105.144', '174.143.106.111', 2928634256, 2928634479, 'US', 'United States'),
(82880, '174.143.106.112', '174.143.106.119', 2928634480, 2928634487, 'CA', 'Canada'),
(82881, '174.143.106.120', '174.143.106.127', 2928634488, 2928634495, 'US', 'United States'),
(82882, '174.143.106.128', '174.143.106.135', 2928634496, 2928634503, 'CN', 'China'),
(82883, '174.143.106.136', '174.143.106.143', 2928634504, 2928634511, 'US', 'United States'),
(82884, '174.143.106.144', '174.143.106.151', 2928634512, 2928634519, 'CA', 'Canada'),
(82885, '174.143.106.152', '174.143.106.175', 2928634520, 2928634543, 'US', 'United States'),
(82886, '174.143.106.176', '174.143.106.183', 2928634544, 2928634551, 'IN', 'India'),
(82887, '174.143.106.184', '174.143.107.15', 2928634552, 2928634639, 'US', 'United States'),
(82888, '174.143.107.16', '174.143.107.23', 2928634640, 2928634647, 'VG', 'Virgin Islands, British'),
(82889, '174.143.107.24', '174.143.107.31', 2928634648, 2928634655, 'US', 'United States'),
(82890, '174.143.107.32', '174.143.107.39', 2928634656, 2928634663, 'IN', 'India'),
(82891, '174.143.107.40', '174.143.107.215', 2928634664, 2928634839, 'US', 'United States'),
(82892, '174.143.107.216', '174.143.107.223', 2928634840, 2928634847, 'GB', 'United Kingdom'),
(82893, '174.143.107.224', '174.143.108.23', 2928634848, 2928634903, 'US', 'United States'),
(82894, '174.143.108.24', '174.143.108.31', 2928634904, 2928634911, 'MX', 'Mexico'),
(82895, '174.143.108.32', '174.143.108.55', 2928634912, 2928634935, 'US', 'United States'),
(82896, '174.143.108.56', '174.143.108.63', 2928634936, 2928634943, 'PH', 'Philippines'),
(82897, '174.143.108.64', '174.143.108.79', 2928634944, 2928634959, 'US', 'United States'),
(82898, '174.143.108.80', '174.143.108.87', 2928634960, 2928634967, 'CA', 'Canada'),
(82899, '174.143.108.88', '174.143.108.231', 2928634968, 2928635111, 'US', 'United States'),
(82900, '174.143.108.232', '174.143.108.239', 2928635112, 2928635119, 'IN', 'India'),
(82901, '174.143.108.240', '174.143.108.247', 2928635120, 2928635127, 'US', 'United States'),
(82902, '174.143.108.248', '174.143.108.255', 2928635128, 2928635135, 'IE', 'Ireland'),
(82903, '174.143.109.0', '174.143.109.55', 2928635136, 2928635191, 'US', 'United States'),
(82904, '174.143.109.56', '174.143.109.63', 2928635192, 2928635199, 'IN', 'India'),
(82905, '174.143.109.64', '174.143.109.71', 2928635200, 2928635207, 'US', 'United States'),
(82906, '174.143.109.72', '174.143.109.79', 2928635208, 2928635215, 'IN', 'India'),
(82907, '174.143.109.80', '174.143.109.135', 2928635216, 2928635271, 'US', 'United States'),
(82908, '174.143.109.136', '174.143.109.143', 2928635272, 2928635279, 'IL', 'Israel'),
(82909, '174.143.109.144', '174.143.109.167', 2928635280, 2928635303, 'US', 'United States'),
(82910, '174.143.109.168', '174.143.109.175', 2928635304, 2928635311, 'CA', 'Canada'),
(82911, '174.143.109.176', '174.143.109.207', 2928635312, 2928635343, 'US', 'United States'),
(82912, '174.143.109.208', '174.143.109.215', 2928635344, 2928635351, 'ZA', 'South Africa'),
(82913, '174.143.109.216', '174.143.111.15', 2928635352, 2928635663, 'US', 'United States'),
(82914, '174.143.111.16', '174.143.111.23', 2928635664, 2928635671, 'AU', 'Australia'),
(82915, '174.143.111.24', '174.143.111.167', 2928635672, 2928635815, 'US', 'United States'),
(82916, '174.143.111.168', '174.143.111.175', 2928635816, 2928635823, 'BR', 'Brazil'),
(82917, '174.143.111.176', '174.143.111.183', 2928635824, 2928635831, 'GB', 'United Kingdom'),
(82918, '174.143.111.184', '174.143.111.215', 2928635832, 2928635863, 'US', 'United States'),
(82919, '174.143.111.216', '174.143.111.223', 2928635864, 2928635871, 'AU', 'Australia'),
(82920, '174.143.111.224', '174.143.113.31', 2928635872, 2928636191, 'US', 'United States'),
(82921, '174.143.113.32', '174.143.113.39', 2928636192, 2928636199, 'CA', 'Canada'),
(82922, '174.143.113.40', '174.143.113.215', 2928636200, 2928636375, 'US', 'United States'),
(82923, '174.143.113.216', '174.143.113.223', 2928636376, 2928636383, 'CA', 'Canada'),
(82924, '174.143.113.224', '174.143.114.63', 2928636384, 2928636479, 'US', 'United States'),
(82925, '174.143.114.64', '174.143.114.71', 2928636480, 2928636487, 'SE', 'Sweden'),
(82926, '174.143.114.72', '174.143.114.111', 2928636488, 2928636527, 'US', 'United States'),
(82927, '174.143.114.112', '174.143.114.119', 2928636528, 2928636535, 'CA', 'Canada'),
(82928, '174.143.114.120', '174.143.114.239', 2928636536, 2928636655, 'US', 'United States'),
(82929, '174.143.114.240', '174.143.114.247', 2928636656, 2928636663, 'NZ', 'New Zealand'),
(82930, '174.143.114.248', '174.143.115.255', 2928636664, 2928636927, 'US', 'United States'),
(82931, '174.143.116.0', '174.143.116.7', 2928636928, 2928636935, 'IL', 'Israel'),
(82932, '174.143.116.8', '174.143.116.79', 2928636936, 2928637007, 'US', 'United States'),
(82933, '174.143.116.80', '174.143.116.87', 2928637008, 2928637015, 'BG', 'Bulgaria'),
(82934, '174.143.116.88', '174.143.116.111', 2928637016, 2928637039, 'US', 'United States'),
(82935, '174.143.116.112', '174.143.116.119', 2928637040, 2928637047, 'CA', 'Canada'),
(82936, '174.143.116.120', '174.143.118.47', 2928637048, 2928637487, 'US', 'United States'),
(82937, '174.143.118.48', '174.143.118.55', 2928637488, 2928637495, 'CA', 'Canada'),
(82938, '174.143.118.56', '174.143.120.31', 2928637496, 2928637983, 'US', 'United States'),
(82939, '174.143.120.32', '174.143.120.39', 2928637984, 2928637991, 'IN', 'India'),
(82940, '174.143.120.40', '174.143.120.95', 2928637992, 2928638047, 'US', 'United States'),
(82941, '174.143.120.96', '174.143.120.103', 2928638048, 2928638055, 'BE', 'Belgium'),
(82942, '174.143.120.104', '174.143.120.143', 2928638056, 2928638095, 'US', 'United States'),
(82943, '174.143.120.144', '174.143.120.151', 2928638096, 2928638103, 'IN', 'India'),
(82944, '174.143.120.152', '174.143.120.167', 2928638104, 2928638119, 'US', 'United States'),
(82945, '174.143.120.168', '174.143.120.175', 2928638120, 2928638127, 'IN', 'India'),
(82946, '174.143.120.176', '174.143.120.255', 2928638128, 2928638207, 'US', 'United States'),
(82947, '174.143.121.0', '174.143.121.7', 2928638208, 2928638215, 'GB', 'United Kingdom'),
(82948, '174.143.121.8', '174.143.121.151', 2928638216, 2928638359, 'US', 'United States'),
(82949, '174.143.121.152', '174.143.121.159', 2928638360, 2928638367, 'CA', 'Canada'),
(82950, '174.143.121.160', '174.143.121.167', 2928638368, 2928638375, 'IN', 'India'),
(82951, '174.143.121.168', '174.143.121.247', 2928638376, 2928638455, 'US', 'United States'),
(82952, '174.143.121.248', '174.143.121.255', 2928638456, 2928638463, 'MX', 'Mexico'),
(82953, '174.143.122.0', '174.143.123.127', 2928638464, 2928638847, 'US', 'United States'),
(82954, '174.143.123.128', '174.143.123.135', 2928638848, 2928638855, 'CA', 'Canada'),
(82955, '174.143.123.136', '174.143.126.39', 2928638856, 2928639527, 'US', 'United States'),
(82956, '174.143.126.40', '174.143.126.47', 2928639528, 2928639535, 'GB', 'United Kingdom'),
(82957, '174.143.126.48', '174.143.126.127', 2928639536, 2928639615, 'US', 'United States'),
(82958, '174.143.126.128', '174.143.126.135', 2928639616, 2928639623, 'CA', 'Canada'),
(82959, '174.143.126.136', '174.143.126.191', 2928639624, 2928639679, 'US', 'United States'),
(82960, '174.143.126.192', '174.143.126.199', 2928639680, 2928639687, 'GB', 'United Kingdom'),
(82961, '174.143.126.200', '174.143.127.23', 2928639688, 2928639767, 'US', 'United States'),
(82962, '174.143.127.24', '174.143.127.31', 2928639768, 2928639775, 'CA', 'Canada'),
(82963, '174.143.127.32', '174.143.132.63', 2928639776, 2928641087, 'US', 'United States'),
(82964, '174.143.132.64', '174.143.132.127', 2928641088, 2928641151, 'CA', 'Canada'),
(82965, '174.143.132.128', '174.143.133.103', 2928641152, 2928641383, 'US', 'United States'),
(82966, '174.143.133.104', '174.143.133.111', 2928641384, 2928641391, 'ID', 'Indonesia'),
(82967, '174.143.133.112', '174.143.138.39', 2928641392, 2928642599, 'US', 'United States'),
(82968, '174.143.138.40', '174.143.138.47', 2928642600, 2928642607, 'IN', 'India'),
(82969, '174.143.138.48', '174.143.160.127', 2928642608, 2928648319, 'US', 'United States'),
(82970, '174.143.160.128', '174.143.160.191', 2928648320, 2928648383, 'BD', 'Bangladesh'),
(82971, '174.143.160.192', '174.143.160.223', 2928648384, 2928648415, 'US', 'United States'),
(82972, '174.143.160.224', '174.143.160.255', 2928648416, 2928648447, 'BD', 'Bangladesh'),
(82973, '174.143.161.0', '174.143.161.31', 2928648448, 2928648479, 'US', 'United States'),
(82974, '174.143.161.32', '174.143.161.127', 2928648480, 2928648575, 'BD', 'Bangladesh'),
(82975, '174.143.161.128', '174.143.161.159', 2928648576, 2928648607, 'US', 'United States'),
(82976, '174.143.161.160', '174.143.161.191', 2928648608, 2928648639, 'BD', 'Bangladesh'),
(82977, '174.143.161.192', '174.143.164.39', 2928648640, 2928649255, 'US', 'United States'),
(82978, '174.143.164.40', '174.143.164.47', 2928649256, 2928649263, 'ZA', 'South Africa'),
(82979, '174.143.164.48', '174.143.164.55', 2928649264, 2928649271, 'IL', 'Israel'),
(82980, '174.143.164.56', '174.143.164.71', 2928649272, 2928649287, 'US', 'United States'),
(82981, '174.143.164.72', '174.143.164.79', 2928649288, 2928649295, 'RO', 'Romania'),
(82982, '174.143.164.80', '174.143.164.87', 2928649296, 2928649303, 'GR', 'Greece'),
(82983, '174.143.164.88', '174.143.164.95', 2928649304, 2928649311, 'IN', 'India'),
(82984, '174.143.164.96', '174.143.164.135', 2928649312, 2928649351, 'US', 'United States'),
(82985, '174.143.164.136', '174.143.164.143', 2928649352, 2928649359, 'JP', 'Japan'),
(82986, '174.143.164.144', '174.143.164.159', 2928649360, 2928649375, 'US', 'United States'),
(82987, '174.143.164.160', '174.143.164.167', 2928649376, 2928649383, 'IN', 'India'),
(82988, '174.143.164.168', '174.143.164.199', 2928649384, 2928649415, 'US', 'United States'),
(82989, '174.143.164.200', '174.143.164.207', 2928649416, 2928649423, 'CA', 'Canada'),
(82990, '174.143.164.208', '174.143.164.231', 2928649424, 2928649447, 'US', 'United States'),
(82991, '174.143.164.232', '174.143.164.239', 2928649448, 2928649455, 'GB', 'United Kingdom'),
(82992, '174.143.164.240', '174.143.165.79', 2928649456, 2928649551, 'US', 'United States'),
(82993, '174.143.165.80', '174.143.165.87', 2928649552, 2928649559, 'BO', 'Bolivia'),
(82994, '174.143.165.88', '174.143.167.103', 2928649560, 2928650087, 'US', 'United States'),
(82995, '174.143.167.104', '174.143.167.111', 2928650088, 2928650095, 'CZ', 'Czech Republic'),
(82996, '174.143.167.112', '174.143.167.127', 2928650096, 2928650111, 'US', 'United States'),
(82997, '174.143.167.128', '174.143.167.135', 2928650112, 2928650119, 'IN', 'India'),
(82998, '174.143.167.136', '174.143.167.167', 2928650120, 2928650151, 'US', 'United States'),
(82999, '174.143.167.168', '174.143.167.175', 2928650152, 2928650159, 'AU', 'Australia'),
(83000, '174.143.167.176', '174.143.167.223', 2928650160, 2928650207, 'US', 'United States'),
(83001, '174.143.167.224', '174.143.167.231', 2928650208, 2928650215, 'IL', 'Israel'),
(83002, '174.143.167.232', '174.143.190.23', 2928650216, 2928655895, 'US', 'United States'),
(83003, '174.143.190.24', '174.143.190.31', 2928655896, 2928655903, 'CA', 'Canada'),
(83004, '174.143.190.32', '174.143.190.55', 2928655904, 2928655927, 'US', 'United States'),
(83005, '174.143.190.56', '174.143.190.63', 2928655928, 2928655935, 'NZ', 'New Zealand'),
(83006, '174.143.190.64', '174.143.190.71', 2928655936, 2928655943, 'US', 'United States'),
(83007, '174.143.190.72', '174.143.190.79', 2928655944, 2928655951, 'NZ', 'New Zealand'),
(83008, '174.143.190.80', '174.143.190.111', 2928655952, 2928655983, 'US', 'United States'),
(83009, '174.143.190.112', '174.143.190.119', 2928655984, 2928655991, 'GB', 'United Kingdom'),
(83010, '174.143.190.120', '174.143.192.255', 2928655992, 2928656639, 'US', 'United States'),
(83011, '174.143.193.0', '174.143.193.7', 2928656640, 2928656647, 'CA', 'Canada'),
(83012, '174.143.193.8', '174.143.193.15', 2928656648, 2928656655, 'US', 'United States'),
(83013, '174.143.193.16', '174.143.193.23', 2928656656, 2928656663, 'PK', 'Pakistan'),
(83014, '174.143.193.24', '174.143.193.183', 2928656664, 2928656823, 'US', 'United States'),
(83015, '174.143.193.184', '174.143.193.191', 2928656824, 2928656831, 'ZA', 'South Africa'),
(83016, '174.143.193.192', '174.143.193.239', 2928656832, 2928656879, 'US', 'United States'),
(83017, '174.143.193.240', '174.143.193.255', 2928656880, 2928656895, 'GB', 'United Kingdom'),
(83018, '174.143.194.0', '174.143.198.63', 2928656896, 2928657983, 'US', 'United States'),
(83019, '174.143.198.64', '174.143.198.95', 2928657984, 2928658015, 'NO', 'Norway'),
(83020, '174.143.198.96', '174.143.216.143', 2928658016, 2928662671, 'US', 'United States'),
(83021, '174.143.216.144', '174.143.216.159', 2928662672, 2928662687, 'GB', 'United Kingdom'),
(83022, '174.143.216.160', '174.143.217.95', 2928662688, 2928662879, 'US', 'United States'),
(83023, '174.143.217.96', '174.143.217.111', 2928662880, 2928662895, 'IL', 'Israel'),
(83024, '174.143.217.112', '174.143.217.175', 2928662896, 2928662959, 'US', 'United States'),
(83025, '174.143.217.176', '174.143.217.191', 2928662960, 2928662975, 'IN', 'India'),
(83026, '174.143.217.192', '174.143.218.63', 2928662976, 2928663103, 'US', 'United States'),
(83027, '174.143.218.64', '174.143.218.79', 2928663104, 2928663119, 'MX', 'Mexico'),
(83028, '174.143.218.80', '174.143.220.207', 2928663120, 2928663759, 'US', 'United States'),
(83029, '174.143.220.208', '174.143.220.223', 2928663760, 2928663775, 'GB', 'United Kingdom'),
(83030, '174.143.220.224', '174.143.222.95', 2928663776, 2928664159, 'US', 'United States'),
(83031, '174.143.222.96', '174.143.222.111', 2928664160, 2928664175, 'GB', 'United Kingdom'),
(83032, '174.143.222.112', '174.143.222.127', 2928664176, 2928664191, 'US', 'United States'),
(83033, '174.143.222.128', '174.143.222.143', 2928664192, 2928664207, 'GB', 'United Kingdom'),
(83034, '174.143.222.144', '174.143.223.207', 2928664208, 2928664527, 'US', 'United States'),
(83035, '174.143.223.208', '174.143.223.223', 2928664528, 2928664543, 'CA', 'Canada'),
(83036, '174.143.223.224', '174.143.224.63', 2928664544, 2928664639, 'US', 'United States'),
(83037, '174.143.224.64', '174.143.224.95', 2928664640, 2928664671, 'GB', 'United Kingdom'),
(83038, '174.143.224.96', '174.143.227.127', 2928664672, 2928665471, 'US', 'United States'),
(83039, '174.143.227.128', '174.143.227.159', 2928665472, 2928665503, 'GB', 'United Kingdom'),
(83040, '174.143.227.160', '174.143.227.191', 2928665504, 2928665535, 'US', 'United States'),
(83041, '174.143.227.192', '174.143.227.223', 2928665536, 2928665567, 'GB', 'United Kingdom'),
(83042, '174.143.227.224', '174.143.228.255', 2928665568, 2928665855, 'US', 'United States'),
(83043, '174.143.229.0', '174.143.229.15', 2928665856, 2928665871, 'GB', 'United Kingdom'),
(83044, '174.143.229.16', '174.143.229.175', 2928665872, 2928666031, 'US', 'United States'),
(83045, '174.143.229.176', '174.143.229.191', 2928666032, 2928666047, 'SG', 'Singapore'),
(83046, '174.143.229.192', '174.143.230.47', 2928666048, 2928666159, 'US', 'United States'),
(83047, '174.143.230.48', '174.143.230.63', 2928666160, 2928666175, 'GB', 'United Kingdom'),
(83048, '174.143.230.64', '174.143.230.191', 2928666176, 2928666303, 'US', 'United States'),
(83049, '174.143.230.192', '174.143.230.207', 2928666304, 2928666319, 'AU', 'Australia'),
(83050, '174.143.230.208', '174.143.230.223', 2928666320, 2928666335, 'US', 'United States'),
(83051, '174.143.230.224', '174.143.230.239', 2928666336, 2928666351, 'GB', 'United Kingdom'),
(83052, '174.143.230.240', '174.143.231.223', 2928666352, 2928666591, 'US', 'United States'),
(83053, '174.143.231.224', '174.143.231.239', 2928666592, 2928666607, 'AU', 'Australia'),
(83054, '174.143.231.240', '174.255.255.255', 2928666608, 2936012799, 'US', 'United States'),
(83055, '175.0.0.0', '175.27.255.255', 2936012800, 2937847807, 'CN', 'China'),
(83056, '175.28.0.0', '175.28.3.255', 2937847808, 2937848831, 'KH', 'Cambodia'),
(83057, '175.28.4.0', '175.28.7.255', 2937848832, 2937849855, 'JP', 'Japan'),
(83058, '175.28.8.0', '175.28.11.255', 2937849856, 2937850879, 'SG', 'Singapore'),
(83059, '175.28.12.0', '175.28.15.255', 2937850880, 2937851903, 'MY', 'Malaysia'),
(83060, '175.28.16.0', '175.28.31.255', 2937851904, 2937855999, 'JP', 'Japan'),
(83061, '175.28.32.0', '175.28.47.255', 2937856000, 2937860095, 'KR', 'Korea, Republic of'),
(83062, '175.28.48.0', '175.28.63.255', 2937860096, 2937864191, 'JP', 'Japan'),
(83063, '175.28.64.0', '175.28.127.255', 2937864192, 2937880575, 'SG', 'Singapore'),
(83064, '175.28.128.0', '175.28.255.255', 2937880576, 2937913343, 'JP', 'Japan'),
(83065, '175.29.0.0', '175.29.255.255', 2937913344, 2937978879, 'BD', 'Bangladesh'),
(83066, '175.30.0.0', '175.31.255.255', 2937978880, 2938109951, 'CN', 'China'),
(83067, '175.32.0.0', '175.39.255.255', 2938109952, 2938634239, 'AU', 'Australia'),
(83068, '175.40.0.0', '175.40.255.255', 2938634240, 2938699775, 'IN', 'India'),
(83069, '175.41.0.0', '175.41.15.255', 2938699776, 2938703871, 'KR', 'Korea, Republic of'),
(83070, '175.41.16.0', '175.41.31.255', 2938703872, 2938707967, 'HK', 'Hong Kong'),
(83071, '175.41.32.0', '175.41.39.255', 2938707968, 2938710015, 'JP', 'Japan'),
(83072, '175.41.40.0', '175.41.47.255', 2938710016, 2938712063, 'AU', 'Australia'),
(83073, '175.41.48.0', '175.41.63.255', 2938712064, 2938716159, 'TW', 'Taiwan'),
(83074, '175.41.64.0', '175.41.127.255', 2938716160, 2938732543, 'JP', 'Japan'),
(83075, '175.41.128.0', '175.41.132.255', 2938732544, 2938733823, 'SG', 'Singapore'),
(83076, '175.41.133.0', '175.41.133.255', 2938733824, 2938734079, 'AP', 'Asia/Pacific Region'),
(83077, '175.41.134.0', '175.41.191.255', 2938734080, 2938748927, 'SG', 'Singapore'),
(83078, '175.41.192.0', '175.41.255.255', 2938748928, 2938765311, 'JP', 'Japan'),
(83079, '175.42.0.0', '175.44.255.255', 2938765312, 2938961919, 'CN', 'China'),
(83080, '175.45.0.0', '175.45.63.255', 2938961920, 2938978303, 'HK', 'Hong Kong'),
(83081, '175.45.64.0', '175.45.135.255', 2938978304, 2938996735, 'AU', 'Australia'),
(83082, '175.45.136.0', '175.45.143.255', 2938996736, 2938998783, 'JP', 'Japan'),
(83083, '175.45.144.0', '175.45.159.255', 2938998784, 2939002879, 'AU', 'Australia'),
(83084, '175.45.160.0', '175.45.167.255', 2939002880, 2939004927, 'KR', 'Korea, Republic of'),
(83085, '175.45.168.0', '175.45.175.255', 2939004928, 2939006975, 'JP', 'Japan'),
(83086, '175.45.176.0', '175.45.179.255', 2939006976, 2939007999, 'KP', 'Korea, Democratic People''s Republic of'),
(83087, '175.45.184.0', '175.45.191.255', 2939009024, 2939011071, 'ID', 'Indonesia'),
(83088, '175.45.192.0', '175.45.255.255', 2939011072, 2939027455, 'KR', 'Korea, Republic of'),
(83089, '175.46.0.0', '175.95.255.255', 2939027456, 2942304255, 'CN', 'China'),
(83090, '175.96.0.0', '175.99.255.255', 2942304256, 2942566399, 'TW', 'Taiwan'),
(83091, '175.100.0.0', '175.100.127.255', 2942566400, 2942599167, 'KH', 'Cambodia'),
(83092, '175.100.128.0', '175.100.163.255', 2942599168, 2942608383, 'IN', 'India'),
(83093, '175.100.164.0', '175.100.167.255', 2942608384, 2942609407, 'HK', 'Hong Kong'),
(83094, '175.100.168.0', '175.100.191.255', 2942609408, 2942615551, 'IN', 'India'),
(83095, '175.100.192.0', '175.100.207.255', 2942615552, 2942619647, 'HK', 'Hong Kong'),
(83096, '175.100.208.0', '175.100.255.255', 2942619648, 2942631935, 'JP', 'Japan'),
(83097, '175.101.0.0', '175.101.255.255', 2942631936, 2942697471, 'IN', 'India'),
(83098, '175.102.0.0', '175.102.255.255', 2942697472, 2942763007, 'CN', 'China'),
(83099, '175.103.0.0', '175.103.15.255', 2942763008, 2942767103, 'JP', 'Japan'),
(83100, '175.103.16.0', '175.103.31.255', 2942767104, 2942771199, 'AU', 'Australia'),
(83101, '175.103.32.0', '175.103.63.255', 2942771200, 2942779391, 'ID', 'Indonesia'),
(83102, '175.103.64.0', '175.103.127.255', 2942779392, 2942795775, 'VN', 'Vietnam'),
(83103, '175.103.128.0', '175.105.255.255', 2942795776, 2942959615, 'JP', 'Japan'),
(83104, '175.106.0.0', '175.106.3.255', 2942959616, 2942960639, 'VN', 'Vietnam'),
(83105, '175.106.8.0', '175.106.23.255', 2942961664, 2942965759, 'ID', 'Indonesia'),
(83106, '175.106.24.0', '175.106.31.255', 2942965760, 2942967807, 'AU', 'Australia'),
(83107, '175.106.32.0', '175.106.63.255', 2942967808, 2942975999, 'AF', 'Afghanistan'),
(83108, '175.106.64.0', '175.106.127.255', 2942976000, 2942992383, 'KR', 'Korea, Republic of'),
(83109, '175.106.128.0', '175.106.255.255', 2942992384, 2943025151, 'CN', 'China'),
(83110, '175.107.0.0', '175.107.63.255', 2943025152, 2943041535, 'PK', 'Pakistan'),
(83111, '175.107.64.0', '175.107.127.255', 2943041536, 2943057919, 'KR', 'Korea, Republic of'),
(83112, '175.107.128.0', '175.107.191.255', 2943057920, 2943074303, 'AU', 'Australia'),
(83113, '175.107.192.0', '175.107.255.255', 2943074304, 2943090687, 'PK', 'Pakistan'),
(83114, '175.108.0.0', '175.109.255.255', 2943090688, 2943221759, 'JP', 'Japan'),
(83115, '175.110.0.0', '175.111.15.255', 2943221760, 2943291391, 'PK', 'Pakistan'),
(83116, '175.111.16.0', '175.111.31.255', 2943291392, 2943295487, 'KR', 'Korea, Republic of'),
(83117, '175.111.32.0', '175.111.63.255', 2943295488, 2943303679, 'TW', 'Taiwan'),
(83118, '175.111.64.0', '175.111.87.255', 2943303680, 2943309823, 'JP', 'Japan'),
(83119, '175.111.88.0', '175.111.91.255', 2943309824, 2943310847, 'ID', 'Indonesia'),
(83120, '175.111.92.0', '175.111.95.255', 2943310848, 2943311871, 'JP', 'Japan'),
(83121, '175.111.96.0', '175.111.99.255', 2943311872, 2943312895, 'HK', 'Hong Kong'),
(83122, '175.111.100.0', '175.111.103.255', 2943312896, 2943313919, 'NZ', 'New Zealand'),
(83123, '175.111.104.0', '175.111.107.255', 2943313920, 2943314943, 'SG', 'Singapore'),
(83124, '175.111.112.0', '175.111.119.255', 2943315968, 2943318015, 'ID', 'Indonesia'),
(83125, '175.111.120.0', '175.111.127.255', 2943318016, 2943320063, 'JP', 'Japan'),
(83126, '175.111.128.0', '175.111.191.255', 2943320064, 2943336447, 'PK', 'Pakistan'),
(83127, '175.111.192.0', '175.111.255.255', 2943336448, 2943352831, 'TW', 'Taiwan'),
(83128, '175.112.0.0', '175.127.255.255', 2943352832, 2944401407, 'KR', 'Korea, Republic of'),
(83129, '175.128.0.0', '175.135.255.255', 2944401408, 2944925695, 'JP', 'Japan'),
(83130, '175.136.0.0', '175.145.255.255', 2944925696, 2945581055, 'MY', 'Malaysia'),
(83131, '175.146.0.0', '175.155.255.255', 2945581056, 2946236415, 'CN', 'China'),
(83132, '175.156.0.0', '175.156.255.255', 2946236416, 2946301951, 'SG', 'Singapore'),
(83133, '175.157.0.0', '175.157.255.255', 2946301952, 2946367487, 'LK', 'Sri Lanka'),
(83134, '175.158.0.0', '175.158.31.255', 2946367488, 2946375679, 'KR', 'Korea, Republic of'),
(83135, '175.158.32.0', '175.158.63.255', 2946375680, 2946383871, 'ID', 'Indonesia'),
(83136, '175.158.64.0', '175.158.95.255', 2946383872, 2946392063, 'IN', 'India'),
(83137, '175.158.104.0', '175.158.111.255', 2946394112, 2946396159, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(83138, '175.158.112.0', '175.158.127.255', 2946396160, 2946400255, 'JP', 'Japan'),
(83139, '175.158.128.0', '175.158.191.255', 2946400256, 2946416639, 'NC', 'New Caledonia'),
(83140, '175.158.192.0', '175.158.255.255', 2946416640, 2946433023, 'PH', 'Philippines'),
(83141, '175.159.0.0', '175.159.255.255', 2946433024, 2946498559, 'HK', 'Hong Kong'),
(83142, '175.160.0.0', '175.175.255.255', 2946498560, 2947547135, 'CN', 'China'),
(83143, '175.176.0.0', '175.176.127.255', 2947547136, 2947579903, 'PH', 'Philippines'),
(83144, '175.176.128.0', '175.176.143.255', 2947579904, 2947583999, 'KR', 'Korea, Republic of'),
(83145, '175.176.144.0', '175.176.151.255', 2947584000, 2947586047, 'TO', 'Tonga'),
(83146, '175.176.160.0', '175.176.167.255', 2947588096, 2947590143, 'ID', 'Indonesia'),
(83147, '175.176.168.0', '175.176.175.255', 2947590144, 2947592191, 'SG', 'Singapore'),
(83148, '175.176.192.0', '175.176.195.255', 2947596288, 2947597311, 'IN', 'India'),
(83149, '175.176.196.0', '175.176.199.255', 2947597312, 2947598335, 'JP', 'Japan'),
(83150, '175.176.200.0', '175.176.215.255', 2947598336, 2947602431, 'AU', 'Australia'),
(83151, '175.176.216.0', '175.176.219.255', 2947602432, 2947603455, 'NZ', 'New Zealand'),
(83152, '175.176.220.0', '175.176.223.255', 2947603456, 2947604479, 'TH', 'Thailand'),
(83153, '175.176.224.0', '175.176.244.255', 2947604480, 2947609855, 'HK', 'Hong Kong'),
(83154, '175.176.245.0', '175.176.245.255', 2947609856, 2947610111, 'AF', 'Afghanistan'),
(83155, '175.176.246.0', '175.176.255.255', 2947610112, 2947612671, 'HK', 'Hong Kong'),
(83156, '175.177.0.0', '175.177.255.255', 2947612672, 2947678207, 'JP', 'Japan'),
(83157, '175.178.0.0', '175.178.255.255', 2947678208, 2947743743, 'CN', 'China'),
(83158, '175.179.0.0', '175.179.255.255', 2947743744, 2947809279, 'JP', 'Japan'),
(83159, '175.180.0.0', '175.183.255.255', 2947809280, 2948071423, 'TW', 'Taiwan'),
(83160, '175.184.0.0', '175.184.127.255', 2948071424, 2948104191, 'JP', 'Japan'),
(83161, '175.184.128.0', '175.184.191.255', 2948104192, 2948120575, 'CN', 'China'),
(83162, '175.184.192.0', '175.184.223.255', 2948120576, 2948128767, 'AU', 'Australia'),
(83163, '175.184.224.0', '175.184.239.255', 2948128768, 2948132863, 'ID', 'Indonesia'),
(83164, '175.184.240.0', '175.184.247.255', 2948132864, 2948134911, 'TW', 'Taiwan'),
(83165, '175.184.248.0', '175.184.251.255', 2948134912, 2948135935, 'ID', 'Indonesia'),
(83166, '175.184.252.0', '175.184.255.255', 2948135936, 2948136959, 'IN', 'India'),
(83167, '175.185.0.0', '175.191.255.255', 2948136960, 2948595711, 'CN', 'China'),
(83168, '175.192.0.0', '175.255.255.255', 2948595712, 2952790015, 'KR', 'Korea, Republic of'),
(83169, '176.0.0.0', '176.7.255.255', 2952790016, 2953314303, 'DE', 'Germany'),
(83170, '176.8.0.0', '176.8.255.255', 2953314304, 2953379839, 'UA', 'Ukraine'),
(83171, '176.9.0.0', '176.9.176.63', 2953379840, 2953424959, 'DE', 'Germany'),
(83172, '176.9.176.64', '176.9.176.79', 2953424960, 2953424975, 'ES', 'Spain'),
(83173, '176.9.176.80', '176.9.177.31', 2953424976, 2953425183, 'DE', 'Germany'),
(83174, '176.9.177.32', '176.9.177.47', 2953425184, 2953425199, 'ES', 'Spain'),
(83175, '176.9.177.48', '176.9.215.191', 2953425200, 2953435071, 'DE', 'Germany'),
(83176, '176.9.215.192', '176.9.215.199', 2953435072, 2953435079, 'IT', 'Italy'),
(83177, '176.9.215.200', '176.9.218.207', 2953435080, 2953435855, 'DE', 'Germany'),
(83178, '176.9.218.208', '176.9.218.215', 2953435856, 2953435863, 'IT', 'Italy'),
(83179, '176.9.218.216', '176.9.227.239', 2953435864, 2953438191, 'DE', 'Germany'),
(83180, '176.9.227.240', '176.9.227.247', 2953438192, 2953438199, 'ES', 'Spain'),
(83181, '176.9.227.248', '176.9.228.23', 2953438200, 2953438231, 'DE', 'Germany'),
(83182, '176.9.228.24', '176.9.228.31', 2953438232, 2953438239, 'CH', 'Switzerland'),
(83183, '176.9.228.32', '176.9.239.239', 2953438240, 2953441263, 'DE', 'Germany'),
(83184, '176.9.239.240', '176.9.239.255', 2953441264, 2953441279, 'IT', 'Italy'),
(83185, '176.9.240.0', '176.9.246.215', 2953441280, 2953443031, 'DE', 'Germany'),
(83186, '176.9.246.216', '176.9.246.223', 2953443032, 2953443039, 'IT', 'Italy'),
(83187, '176.9.246.224', '176.9.251.87', 2953443040, 2953444183, 'DE', 'Germany'),
(83188, '176.9.251.88', '176.9.251.95', 2953444184, 2953444191, 'IT', 'Italy'),
(83189, '176.9.251.96', '176.9.255.255', 2953444192, 2953445375, 'DE', 'Germany'),
(83190, '176.10.0.0', '176.10.31.255', 2953445376, 2953453567, 'IT', 'Italy'),
(83191, '176.10.32.0', '176.10.39.255', 2953453568, 2953455615, 'IS', 'Iceland'),
(83192, '176.10.40.0', '176.10.47.255', 2953455616, 2953457663, 'SK', 'Slovakia'),
(83193, '176.10.48.0', '176.10.55.255', 2953457664, 2953459711, 'DE', 'Germany'),
(83194, '176.10.56.0', '176.10.63.255', 2953459712, 2953461759, 'IT', 'Italy'),
(83195, '176.10.64.0', '176.10.79.255', 2953461760, 2953465855, 'ES', 'Spain'),
(83196, '176.10.80.0', '176.10.80.135', 2953465856, 2953465991, 'GB', 'United Kingdom'),
(83197, '176.10.80.136', '176.10.80.255', 2953465992, 2953466111, 'EU', 'Europe'),
(83198, '176.10.81.0', '176.10.81.15', 2953466112, 2953466127, 'GB', 'United Kingdom'),
(83199, '176.10.81.16', '176.10.81.255', 2953466128, 2953466367, 'EU', 'Europe'),
(83200, '176.10.82.0', '176.10.84.255', 2953466368, 2953467135, 'GB', 'United Kingdom'),
(83201, '176.10.85.0', '176.10.85.255', 2953467136, 2953467391, 'US', 'United States'),
(83202, '176.10.86.0', '176.10.87.255', 2953467392, 2953467903, 'EU', 'Europe'),
(83203, '176.10.88.0', '176.10.95.255', 2953467904, 2953469951, 'BE', 'Belgium'),
(83204, '176.10.96.0', '176.10.127.255', 2953469952, 2953478143, 'CH', 'Switzerland'),
(83205, '176.10.128.0', '176.10.227.63', 2953478144, 2953503551, 'SE', 'Sweden'),
(83206, '176.10.227.64', '176.10.227.71', 2953503552, 2953503559, 'NO', 'Norway'),
(83207, '176.10.227.72', '176.10.227.79', 2953503560, 2953503567, 'SE', 'Sweden'),
(83208, '176.10.227.80', '176.10.227.95', 2953503568, 2953503583, 'NO', 'Norway'),
(83209, '176.10.227.96', '176.10.255.255', 2953503584, 2953510911, 'SE', 'Sweden'),
(83210, '176.11.0.0', '176.11.255.255', 2953510912, 2953576447, 'NO', 'Norway'),
(83211, '176.12.0.0', '176.12.63.255', 2953576448, 2953592831, 'BG', 'Bulgaria'),
(83212, '176.12.64.0', '176.12.79.255', 2953592832, 2953596927, 'IR', 'Iran, Islamic Republic of'),
(83213, '176.12.80.0', '176.12.87.255', 2953596928, 2953598975, 'ES', 'Spain'),
(83214, '176.12.88.0', '176.12.95.255', 2953598976, 2953601023, 'IT', 'Italy'),
(83215, '176.12.96.0', '176.12.103.255', 2953601024, 2953603071, 'RU', 'Russian Federation'),
(83216, '176.12.104.0', '176.12.111.255', 2953603072, 2953605119, 'GB', 'United Kingdom'),
(83217, '176.12.112.0', '176.12.127.255', 2953605120, 2953609215, 'CZ', 'Czech Republic'),
(83218, '176.12.128.0', '176.13.255.255', 2953609216, 2953707519, 'IL', 'Israel'),
(83219, '176.14.0.0', '176.15.255.255', 2953707520, 2953838591, 'RU', 'Russian Federation'),
(83220, '176.16.0.0', '176.19.255.255', 2953838592, 2954100735, 'SA', 'Saudi Arabia'),
(83221, '176.20.0.0', '176.23.255.255', 2954100736, 2954362879, 'DK', 'Denmark'),
(83222, '176.24.0.0', '176.27.255.255', 2954362880, 2954625023, 'GB', 'United Kingdom'),
(83223, '176.28.0.0', '176.28.63.255', 2954625024, 2954641407, 'DE', 'Germany'),
(83224, '176.28.64.0', '176.28.71.255', 2954641408, 2954643455, 'RU', 'Russian Federation'),
(83225, '176.28.72.0', '176.28.79.255', 2954643456, 2954645503, 'IQ', 'Iraq'),
(83226, '176.28.80.0', '176.28.87.255', 2954645504, 2954647551, 'AZ', 'Azerbaijan'),
(83227, '176.28.88.0', '176.28.99.175', 2954647552, 2954650543, 'ES', 'Spain'),
(83228, '176.28.99.176', '176.28.99.191', 2954650544, 2954650559, 'IT', 'Italy'),
(83229, '176.28.99.192', '176.28.127.255', 2954650560, 2954657791, 'ES', 'Spain'),
(83230, '176.28.128.0', '176.29.255.255', 2954657792, 2954756095, 'JO', 'Jordan'),
(83231, '176.30.0.0', '176.30.255.255', 2954756096, 2954821631, 'TR', 'Turkey'),
(83232, '176.31.0.0', '176.31.0.15', 2954821632, 2954821647, 'FR', 'France'),
(83233, '176.31.0.16', '176.31.0.19', 2954821648, 2954821651, 'ES', 'Spain'),
(83234, '176.31.0.20', '176.31.0.23', 2954821652, 2954821655, 'NL', 'Netherlands'),
(83235, '176.31.0.24', '176.31.0.71', 2954821656, 2954821703, 'FR', 'France'),
(83236, '176.31.0.72', '176.31.0.75', 2954821704, 2954821707, 'GB', 'United Kingdom'),
(83237, '176.31.0.76', '176.31.0.83', 2954821708, 2954821715, 'DE', 'Germany'),
(83238, '176.31.0.84', '176.31.0.87', 2954821716, 2954821719, 'GB', 'United Kingdom'),
(83239, '176.31.0.88', '176.31.0.91', 2954821720, 2954821723, 'PL', 'Poland'),
(83240, '176.31.0.92', '176.31.0.95', 2954821724, 2954821727, 'FR', 'France'),
(83241, '176.31.0.96', '176.31.0.143', 2954821728, 2954821775, 'IE', 'Ireland'),
(83242, '176.31.0.144', '176.31.0.151', 2954821776, 2954821783, 'DE', 'Germany'),
(83243, '176.31.0.152', '176.31.0.155', 2954821784, 2954821787, 'ES', 'Spain'),
(83244, '176.31.0.156', '176.31.0.159', 2954821788, 2954821791, 'FR', 'France'),
(83245, '176.31.0.160', '176.31.0.191', 2954821792, 2954821823, 'ES', 'Spain'),
(83246, '176.31.0.192', '176.31.0.223', 2954821824, 2954821855, 'GB', 'United Kingdom'),
(83247, '176.31.0.224', '176.31.0.255', 2954821856, 2954821887, 'IT', 'Italy'),
(83248, '176.31.1.0', '176.31.1.31', 2954821888, 2954821919, 'NL', 'Netherlands'),
(83249, '176.31.1.32', '176.31.1.63', 2954821920, 2954821951, 'FR', 'France'),
(83250, '176.31.1.64', '176.31.1.95', 2954821952, 2954821983, 'ES', 'Spain'),
(83251, '176.31.1.96', '176.31.1.127', 2954821984, 2954822015, 'GB', 'United Kingdom'),
(83252, '176.31.1.128', '176.31.1.159', 2954822016, 2954822047, 'IT', 'Italy'),
(83253, '176.31.1.160', '176.31.1.191', 2954822048, 2954822079, 'DE', 'Germany'),
(83254, '176.31.1.192', '176.31.1.255', 2954822080, 2954822143, 'IE', 'Ireland'),
(83255, '176.31.2.0', '176.31.2.31', 2954822144, 2954822175, 'FR', 'France'),
(83256, '176.31.2.32', '176.31.2.127', 2954822176, 2954822271, 'PL', 'Poland'),
(83257, '176.31.2.128', '176.31.2.143', 2954822272, 2954822287, 'FR', 'France'),
(83258, '176.31.2.144', '176.31.2.159', 2954822288, 2954822303, 'NL', 'Netherlands'),
(83259, '176.31.2.160', '176.31.2.191', 2954822304, 2954822335, 'FR', 'France'),
(83260, '176.31.2.192', '176.31.2.199', 2954822336, 2954822343, 'GB', 'United Kingdom'),
(83261, '176.31.2.200', '176.31.2.203', 2954822344, 2954822347, 'ES', 'Spain'),
(83262, '176.31.2.204', '176.31.2.207', 2954822348, 2954822351, 'PL', 'Poland'),
(83263, '176.31.2.208', '176.31.2.223', 2954822352, 2954822367, 'FR', 'France'),
(83264, '176.31.2.224', '176.31.2.255', 2954822368, 2954822399, 'IT', 'Italy'),
(83265, '176.31.3.0', '176.31.3.31', 2954822400, 2954822431, 'PL', 'Poland'),
(83266, '176.31.3.32', '176.31.3.51', 2954822432, 2954822451, 'FR', 'France'),
(83267, '176.31.3.52', '176.31.3.63', 2954822452, 2954822463, 'ES', 'Spain'),
(83268, '176.31.3.64', '176.31.3.79', 2954822464, 2954822479, 'FR', 'France'),
(83269, '176.31.3.80', '176.31.3.83', 2954822480, 2954822483, 'DE', 'Germany'),
(83270, '176.31.3.84', '176.31.3.87', 2954822484, 2954822487, 'ES', 'Spain'),
(83271, '176.31.3.88', '176.31.3.91', 2954822488, 2954822491, 'FR', 'France'),
(83272, '176.31.3.92', '176.31.3.95', 2954822492, 2954822495, 'DE', 'Germany'),
(83273, '176.31.3.96', '176.31.3.127', 2954822496, 2954822527, 'FR', 'France'),
(83274, '176.31.3.128', '176.31.3.131', 2954822528, 2954822531, 'GB', 'United Kingdom'),
(83275, '176.31.3.132', '176.31.3.135', 2954822532, 2954822535, 'FR', 'France'),
(83276, '176.31.3.136', '176.31.3.139', 2954822536, 2954822539, 'PL', 'Poland'),
(83277, '176.31.3.140', '176.31.3.147', 2954822540, 2954822547, 'IT', 'Italy'),
(83278, '176.31.3.148', '176.31.3.151', 2954822548, 2954822551, 'FR', 'France'),
(83279, '176.31.3.152', '176.31.3.159', 2954822552, 2954822559, 'PL', 'Poland'),
(83280, '176.31.3.160', '176.31.3.191', 2954822560, 2954822591, 'ES', 'Spain'),
(83281, '176.31.3.192', '176.31.3.199', 2954822592, 2954822599, 'GB', 'United Kingdom'),
(83282, '176.31.3.200', '176.31.3.207', 2954822600, 2954822607, 'DE', 'Germany'),
(83283, '176.31.3.208', '176.31.3.255', 2954822608, 2954822655, 'FR', 'France'),
(83284, '176.31.4.0', '176.31.4.63', 2954822656, 2954822719, 'ES', 'Spain'),
(83285, '176.31.4.64', '176.31.4.95', 2954822720, 2954822751, 'DE', 'Germany'),
(83286, '176.31.4.96', '176.31.4.127', 2954822752, 2954822783, 'ES', 'Spain'),
(83287, '176.31.4.128', '176.31.4.135', 2954822784, 2954822791, 'NL', 'Netherlands'),
(83288, '176.31.4.136', '176.31.4.223', 2954822792, 2954822879, 'FR', 'France'),
(83289, '176.31.4.224', '176.31.4.231', 2954822880, 2954822887, 'ES', 'Spain'),
(83290, '176.31.4.232', '176.31.4.235', 2954822888, 2954822891, 'GB', 'United Kingdom'),
(83291, '176.31.4.236', '176.31.4.239', 2954822892, 2954822895, 'IE', 'Ireland'),
(83292, '176.31.4.240', '176.31.4.255', 2954822896, 2954822911, 'FR', 'France'),
(83293, '176.31.5.0', '176.31.5.3', 2954822912, 2954822915, 'DE', 'Germany'),
(83294, '176.31.5.4', '176.31.5.7', 2954822916, 2954822919, 'PL', 'Poland'),
(83295, '176.31.5.8', '176.31.5.11', 2954822920, 2954822923, 'PT', 'Portugal'),
(83296, '176.31.5.12', '176.31.5.15', 2954822924, 2954822927, 'NL', 'Netherlands'),
(83297, '176.31.5.16', '176.31.5.19', 2954822928, 2954822931, 'LT', 'Lithuania'),
(83298, '176.31.5.20', '176.31.5.23', 2954822932, 2954822935, 'FR', 'France'),
(83299, '176.31.5.24', '176.31.5.27', 2954822936, 2954822939, 'IT', 'Italy'),
(83300, '176.31.5.28', '176.31.5.31', 2954822940, 2954822943, 'IE', 'Ireland'),
(83301, '176.31.5.32', '176.31.5.35', 2954822944, 2954822947, 'GB', 'United Kingdom'),
(83302, '176.31.5.36', '176.31.5.47', 2954822948, 2954822959, 'FR', 'France'),
(83303, '176.31.5.48', '176.31.5.51', 2954822960, 2954822963, 'FI', 'Finland'),
(83304, '176.31.5.52', '176.31.5.63', 2954822964, 2954822975, 'FR', 'France'),
(83305, '176.31.5.64', '176.31.5.79', 2954822976, 2954822991, 'PL', 'Poland'),
(83306, '176.31.5.80', '176.31.5.123', 2954822992, 2954823035, 'FR', 'France'),
(83307, '176.31.5.124', '176.31.5.127', 2954823036, 2954823039, 'IT', 'Italy'),
(83308, '176.31.5.128', '176.31.5.131', 2954823040, 2954823043, 'FR', 'France'),
(83309, '176.31.5.132', '176.31.5.135', 2954823044, 2954823047, 'DE', 'Germany'),
(83310, '176.31.5.136', '176.31.5.143', 2954823048, 2954823055, 'FR', 'France'),
(83311, '176.31.5.144', '176.31.5.159', 2954823056, 2954823071, 'IE', 'Ireland'),
(83312, '176.31.5.160', '176.31.5.191', 2954823072, 2954823103, 'DE', 'Germany'),
(83313, '176.31.5.192', '176.31.5.255', 2954823104, 2954823167, 'FR', 'France'),
(83314, '176.31.6.0', '176.31.6.31', 2954823168, 2954823199, 'IE', 'Ireland'),
(83315, '176.31.6.32', '176.31.6.35', 2954823200, 2954823203, 'DE', 'Germany'),
(83316, '176.31.6.36', '176.31.6.39', 2954823204, 2954823207, 'PL', 'Poland'),
(83317, '176.31.6.40', '176.31.6.43', 2954823208, 2954823211, 'GB', 'United Kingdom'),
(83318, '176.31.6.44', '176.31.6.47', 2954823212, 2954823215, 'PL', 'Poland'),
(83319, '176.31.6.48', '176.31.6.55', 2954823216, 2954823223, 'IE', 'Ireland'),
(83320, '176.31.6.56', '176.31.6.79', 2954823224, 2954823247, 'FR', 'France'),
(83321, '176.31.6.80', '176.31.6.83', 2954823248, 2954823251, 'ES', 'Spain'),
(83322, '176.31.6.84', '176.31.6.87', 2954823252, 2954823255, 'FR', 'France'),
(83323, '176.31.6.88', '176.31.6.91', 2954823256, 2954823259, 'ES', 'Spain'),
(83324, '176.31.6.92', '176.31.6.95', 2954823260, 2954823263, 'GB', 'United Kingdom'),
(83325, '176.31.6.96', '176.31.6.127', 2954823264, 2954823295, 'ES', 'Spain'),
(83326, '176.31.6.128', '176.31.6.143', 2954823296, 2954823311, 'PL', 'Poland'),
(83327, '176.31.6.144', '176.31.6.159', 2954823312, 2954823327, 'IE', 'Ireland'),
(83328, '176.31.6.160', '176.31.6.219', 2954823328, 2954823387, 'FR', 'France'),
(83329, '176.31.6.220', '176.31.6.223', 2954823388, 2954823391, 'DE', 'Germany'),
(83330, '176.31.6.224', '176.31.6.227', 2954823392, 2954823395, 'PT', 'Portugal'),
(83331, '176.31.6.228', '176.31.6.231', 2954823396, 2954823399, 'GB', 'United Kingdom'),
(83332, '176.31.6.232', '176.31.6.235', 2954823400, 2954823403, 'PT', 'Portugal'),
(83333, '176.31.6.236', '176.31.6.239', 2954823404, 2954823407, 'GB', 'United Kingdom'),
(83334, '176.31.6.240', '176.31.6.255', 2954823408, 2954823423, 'DE', 'Germany'),
(83335, '176.31.7.0', '176.31.7.127', 2954823424, 2954823551, 'IE', 'Ireland'),
(83336, '176.31.7.128', '176.31.7.131', 2954823552, 2954823555, 'GB', 'United Kingdom'),
(83337, '176.31.7.132', '176.31.7.135', 2954823556, 2954823559, 'FR', 'France'),
(83338, '176.31.7.136', '176.31.7.139', 2954823560, 2954823563, 'PL', 'Poland'),
(83339, '176.31.7.140', '176.31.7.175', 2954823564, 2954823599, 'FR', 'France'),
(83340, '176.31.7.176', '176.31.7.183', 2954823600, 2954823607, 'ES', 'Spain'),
(83341, '176.31.7.184', '176.31.7.187', 2954823608, 2954823611, 'CH', 'Switzerland'),
(83342, '176.31.7.188', '176.31.7.191', 2954823612, 2954823615, 'FR', 'France'),
(83343, '176.31.7.192', '176.31.7.195', 2954823616, 2954823619, 'GB', 'United Kingdom'),
(83344, '176.31.7.196', '176.31.7.199', 2954823620, 2954823623, 'PL', 'Poland'),
(83345, '176.31.7.200', '176.31.7.203', 2954823624, 2954823627, 'FR', 'France'),
(83346, '176.31.7.204', '176.31.7.207', 2954823628, 2954823631, 'ES', 'Spain'),
(83347, '176.31.7.208', '176.31.7.219', 2954823632, 2954823643, 'FR', 'France'),
(83348, '176.31.7.220', '176.31.7.223', 2954823644, 2954823647, 'ES', 'Spain'),
(83349, '176.31.7.224', '176.31.8.15', 2954823648, 2954823695, 'FR', 'France'),
(83350, '176.31.8.16', '176.31.8.31', 2954823696, 2954823711, 'PT', 'Portugal'),
(83351, '176.31.8.32', '176.31.8.35', 2954823712, 2954823715, 'FR', 'France'),
(83352, '176.31.8.36', '176.31.8.39', 2954823716, 2954823719, 'ES', 'Spain'),
(83353, '176.31.8.40', '176.31.8.47', 2954823720, 2954823727, 'FR', 'France'),
(83354, '176.31.8.48', '176.31.8.55', 2954823728, 2954823735, 'PT', 'Portugal'),
(83355, '176.31.8.56', '176.31.8.63', 2954823736, 2954823743, 'NL', 'Netherlands'),
(83356, '176.31.8.64', '176.31.8.79', 2954823744, 2954823759, 'CZ', 'Czech Republic'),
(83357, '176.31.8.80', '176.31.8.87', 2954823760, 2954823767, 'IT', 'Italy'),
(83358, '176.31.8.88', '176.31.8.91', 2954823768, 2954823771, 'GB', 'United Kingdom'),
(83359, '176.31.8.92', '176.31.8.95', 2954823772, 2954823775, 'PL', 'Poland'),
(83360, '176.31.8.96', '176.31.8.99', 2954823776, 2954823779, 'FR', 'France'),
(83361, '176.31.8.100', '176.31.8.103', 2954823780, 2954823783, 'CZ', 'Czech Republic'),
(83362, '176.31.8.104', '176.31.8.107', 2954823784, 2954823787, 'ES', 'Spain'),
(83363, '176.31.8.108', '176.31.8.111', 2954823788, 2954823791, 'NL', 'Netherlands'),
(83364, '176.31.8.112', '176.31.8.127', 2954823792, 2954823807, 'IE', 'Ireland'),
(83365, '176.31.8.128', '176.31.8.207', 2954823808, 2954823887, 'PL', 'Poland'),
(83366, '176.31.8.208', '176.31.8.211', 2954823888, 2954823891, 'ES', 'Spain'),
(83367, '176.31.8.212', '176.31.8.215', 2954823892, 2954823895, 'NL', 'Netherlands'),
(83368, '176.31.8.216', '176.31.8.219', 2954823896, 2954823899, 'PL', 'Poland'),
(83369, '176.31.8.220', '176.31.8.223', 2954823900, 2954823903, 'ES', 'Spain'),
(83370, '176.31.8.224', '176.31.8.235', 2954823904, 2954823915, 'PL', 'Poland'),
(83371, '176.31.8.236', '176.31.8.239', 2954823916, 2954823919, 'FR', 'France'),
(83372, '176.31.8.240', '176.31.8.247', 2954823920, 2954823927, 'GB', 'United Kingdom'),
(83373, '176.31.8.248', '176.31.8.255', 2954823928, 2954823935, 'PL', 'Poland'),
(83374, '176.31.9.0', '176.31.9.63', 2954823936, 2954823999, 'FR', 'France'),
(83375, '176.31.9.64', '176.31.9.95', 2954824000, 2954824031, 'GB', 'United Kingdom'),
(83376, '176.31.9.96', '176.31.9.127', 2954824032, 2954824063, 'FR', 'France'),
(83377, '176.31.9.128', '176.31.9.135', 2954824064, 2954824071, 'GB', 'United Kingdom'),
(83378, '176.31.9.136', '176.31.9.139', 2954824072, 2954824075, 'FI', 'Finland'),
(83379, '176.31.9.140', '176.31.9.143', 2954824076, 2954824079, 'FR', 'France'),
(83380, '176.31.9.144', '176.31.9.147', 2954824080, 2954824083, 'PL', 'Poland'),
(83381, '176.31.9.148', '176.31.9.151', 2954824084, 2954824087, 'NL', 'Netherlands'),
(83382, '176.31.9.152', '176.31.9.155', 2954824088, 2954824091, 'IE', 'Ireland'),
(83383, '176.31.9.156', '176.31.9.159', 2954824092, 2954824095, 'PL', 'Poland'),
(83384, '176.31.9.160', '176.31.9.191', 2954824096, 2954824127, 'GB', 'United Kingdom'),
(83385, '176.31.9.192', '176.31.9.195', 2954824128, 2954824131, 'PL', 'Poland'),
(83386, '176.31.9.196', '176.31.9.199', 2954824132, 2954824135, 'BE', 'Belgium'),
(83387, '176.31.9.200', '176.31.9.203', 2954824136, 2954824139, 'IE', 'Ireland'),
(83388, '176.31.9.204', '176.31.9.223', 2954824140, 2954824159, 'FR', 'France'),
(83389, '176.31.9.224', '176.31.9.239', 2954824160, 2954824175, 'IE', 'Ireland'),
(83390, '176.31.9.240', '176.31.10.31', 2954824176, 2954824223, 'PL', 'Poland'),
(83391, '176.31.10.32', '176.31.10.79', 2954824224, 2954824271, 'FR', 'France'),
(83392, '176.31.10.80', '176.31.10.83', 2954824272, 2954824275, 'GB', 'United Kingdom'),
(83393, '176.31.10.84', '176.31.10.87', 2954824276, 2954824279, 'FR', 'France'),
(83394, '176.31.10.88', '176.31.10.91', 2954824280, 2954824283, 'PL', 'Poland'),
(83395, '176.31.10.92', '176.31.10.95', 2954824284, 2954824287, 'FR', 'France'),
(83396, '176.31.10.96', '176.31.10.127', 2954824288, 2954824319, 'ES', 'Spain'),
(83397, '176.31.10.128', '176.31.10.175', 2954824320, 2954824367, 'FR', 'France'),
(83398, '176.31.10.176', '176.31.10.179', 2954824368, 2954824371, 'DE', 'Germany'),
(83399, '176.31.10.180', '176.31.10.239', 2954824372, 2954824431, 'FR', 'France'),
(83400, '176.31.10.240', '176.31.10.255', 2954824432, 2954824447, 'BE', 'Belgium'),
(83401, '176.31.11.0', '176.31.11.3', 2954824448, 2954824451, 'FR', 'France'),
(83402, '176.31.11.4', '176.31.11.7', 2954824452, 2954824455, 'DE', 'Germany'),
(83403, '176.31.11.8', '176.31.11.15', 2954824456, 2954824463, 'NL', 'Netherlands'),
(83404, '176.31.11.16', '176.31.11.31', 2954824464, 2954824479, 'FR', 'France'),
(83405, '176.31.11.32', '176.31.11.63', 2954824480, 2954824511, 'BE', 'Belgium'),
(83406, '176.31.11.64', '176.31.11.95', 2954824512, 2954824543, 'GB', 'United Kingdom'),
(83407, '176.31.11.96', '176.31.11.159', 2954824544, 2954824607, 'FR', 'France'),
(83408, '176.31.11.160', '176.31.11.163', 2954824608, 2954824611, 'GB', 'United Kingdom'),
(83409, '176.31.11.164', '176.31.11.175', 2954824612, 2954824623, 'FR', 'France'),
(83410, '176.31.11.176', '176.31.11.179', 2954824624, 2954824627, 'GB', 'United Kingdom'),
(83411, '176.31.11.180', '176.31.11.183', 2954824628, 2954824631, 'PL', 'Poland'),
(83412, '176.31.11.184', '176.31.11.187', 2954824632, 2954824635, 'FR', 'France'),
(83413, '176.31.11.188', '176.31.11.191', 2954824636, 2954824639, 'PL', 'Poland'),
(83414, '176.31.11.192', '176.31.11.223', 2954824640, 2954824671, 'IT', 'Italy'),
(83415, '176.31.11.224', '176.31.11.255', 2954824672, 2954824703, 'ES', 'Spain'),
(83416, '176.31.12.0', '176.31.12.3', 2954824704, 2954824707, 'FR', 'France'),
(83417, '176.31.12.4', '176.31.12.7', 2954824708, 2954824711, 'IT', 'Italy'),
(83418, '176.31.12.8', '176.31.12.15', 2954824712, 2954824719, 'FR', 'France'),
(83419, '176.31.12.16', '176.31.12.63', 2954824720, 2954824767, 'IE', 'Ireland'),
(83420, '176.31.12.64', '176.31.12.71', 2954824768, 2954824775, 'FR', 'France'),
(83421, '176.31.12.72', '176.31.12.75', 2954824776, 2954824779, 'NL', 'Netherlands'),
(83422, '176.31.12.76', '176.31.12.79', 2954824780, 2954824783, 'FI', 'Finland'),
(83423, '176.31.12.80', '176.31.12.95', 2954824784, 2954824799, 'FR', 'France'),
(83424, '176.31.12.96', '176.31.12.127', 2954824800, 2954824831, 'PT', 'Portugal'),
(83425, '176.31.12.128', '176.31.12.159', 2954824832, 2954824863, 'PL', 'Poland'),
(83426, '176.31.12.160', '176.31.12.191', 2954824864, 2954824895, 'IE', 'Ireland'),
(83427, '176.31.12.192', '176.31.12.199', 2954824896, 2954824903, 'GB', 'United Kingdom'),
(83428, '176.31.12.200', '176.31.12.203', 2954824904, 2954824907, 'CH', 'Switzerland'),
(83429, '176.31.12.204', '176.31.12.207', 2954824908, 2954824911, 'BE', 'Belgium'),
(83430, '176.31.12.208', '176.31.12.211', 2954824912, 2954824915, 'ES', 'Spain'),
(83431, '176.31.12.212', '176.31.12.215', 2954824916, 2954824919, 'BE', 'Belgium'),
(83432, '176.31.12.216', '176.31.12.219', 2954824920, 2954824923, 'GB', 'United Kingdom'),
(83433, '176.31.12.220', '176.31.12.223', 2954824924, 2954824927, 'ES', 'Spain'),
(83434, '176.31.12.224', '176.31.12.227', 2954824928, 2954824931, 'GB', 'United Kingdom'),
(83435, '176.31.12.228', '176.31.12.239', 2954824932, 2954824943, 'ES', 'Spain'),
(83436, '176.31.12.240', '176.31.12.255', 2954824944, 2954824959, 'FR', 'France'),
(83437, '176.31.13.0', '176.31.13.15', 2954824960, 2954824975, 'IE', 'Ireland'),
(83438, '176.31.13.16', '176.31.13.63', 2954824976, 2954825023, 'FR', 'France'),
(83439, '176.31.13.64', '176.31.13.71', 2954825024, 2954825031, 'DE', 'Germany'),
(83440, '176.31.13.72', '176.31.13.103', 2954825032, 2954825063, 'FR', 'France'),
(83441, '176.31.13.104', '176.31.13.107', 2954825064, 2954825067, 'ES', 'Spain'),
(83442, '176.31.13.108', '176.31.13.111', 2954825068, 2954825071, 'GB', 'United Kingdom'),
(83443, '176.31.13.112', '176.31.13.127', 2954825072, 2954825087, 'BE', 'Belgium'),
(83444, '176.31.13.128', '176.31.13.135', 2954825088, 2954825095, 'CZ', 'Czech Republic'),
(83445, '176.31.13.136', '176.31.13.139', 2954825096, 2954825099, 'FR', 'France'),
(83446, '176.31.13.140', '176.31.13.143', 2954825100, 2954825103, 'PL', 'Poland'),
(83447, '176.31.13.144', '176.31.13.159', 2954825104, 2954825119, 'DE', 'Germany'),
(83448, '176.31.13.160', '176.31.13.191', 2954825120, 2954825151, 'PL', 'Poland'),
(83449, '176.31.13.192', '176.31.13.199', 2954825152, 2954825159, 'FR', 'France'),
(83450, '176.31.13.200', '176.31.13.203', 2954825160, 2954825163, 'DE', 'Germany'),
(83451, '176.31.13.204', '176.31.13.207', 2954825164, 2954825167, 'GB', 'United Kingdom'),
(83452, '176.31.13.208', '176.31.13.211', 2954825168, 2954825171, 'DE', 'Germany'),
(83453, '176.31.13.212', '176.31.13.215', 2954825172, 2954825175, 'NL', 'Netherlands'),
(83454, '176.31.13.216', '176.31.13.219', 2954825176, 2954825179, 'IE', 'Ireland'),
(83455, '176.31.13.220', '176.31.13.223', 2954825180, 2954825183, 'GB', 'United Kingdom'),
(83456, '176.31.13.224', '176.31.13.227', 2954825184, 2954825187, 'DE', 'Germany'),
(83457, '176.31.13.228', '176.31.13.231', 2954825188, 2954825191, 'NL', 'Netherlands'),
(83458, '176.31.13.232', '176.31.13.235', 2954825192, 2954825195, 'FR', 'France'),
(83459, '176.31.13.236', '176.31.13.239', 2954825196, 2954825199, 'IE', 'Ireland'),
(83460, '176.31.13.240', '176.31.13.243', 2954825200, 2954825203, 'FR', 'France'),
(83461, '176.31.13.244', '176.31.13.247', 2954825204, 2954825207, 'IT', 'Italy'),
(83462, '176.31.13.248', '176.31.13.251', 2954825208, 2954825211, 'GB', 'United Kingdom'),
(83463, '176.31.13.252', '176.31.13.255', 2954825212, 2954825215, 'DE', 'Germany'),
(83464, '176.31.14.0', '176.31.14.15', 2954825216, 2954825231, 'FR', 'France'),
(83465, '176.31.14.16', '176.31.14.19', 2954825232, 2954825235, 'BE', 'Belgium'),
(83466, '176.31.14.20', '176.31.14.23', 2954825236, 2954825239, 'PL', 'Poland'),
(83467, '176.31.14.24', '176.31.14.27', 2954825240, 2954825243, 'ES', 'Spain'),
(83468, '176.31.14.28', '176.31.14.31', 2954825244, 2954825247, 'CZ', 'Czech Republic'),
(83469, '176.31.14.32', '176.31.14.47', 2954825248, 2954825263, 'GB', 'United Kingdom'),
(83470, '176.31.14.48', '176.31.14.51', 2954825264, 2954825267, 'IT', 'Italy'),
(83471, '176.31.14.52', '176.31.14.55', 2954825268, 2954825271, 'GB', 'United Kingdom'),
(83472, '176.31.14.56', '176.31.14.59', 2954825272, 2954825275, 'ES', 'Spain'),
(83473, '176.31.14.60', '176.31.14.95', 2954825276, 2954825311, 'FR', 'France'),
(83474, '176.31.14.96', '176.31.14.99', 2954825312, 2954825315, 'GB', 'United Kingdom'),
(83475, '176.31.14.100', '176.31.14.103', 2954825316, 2954825319, 'DE', 'Germany'),
(83476, '176.31.14.104', '176.31.14.111', 2954825320, 2954825327, 'ES', 'Spain'),
(83477, '176.31.14.112', '176.31.14.115', 2954825328, 2954825331, 'GB', 'United Kingdom'),
(83478, '176.31.14.116', '176.31.14.127', 2954825332, 2954825343, 'NL', 'Netherlands'),
(83479, '176.31.14.128', '176.31.14.135', 2954825344, 2954825351, 'FR', 'France'),
(83480, '176.31.14.136', '176.31.14.143', 2954825352, 2954825359, 'PT', 'Portugal'),
(83481, '176.31.14.144', '176.31.14.159', 2954825360, 2954825375, 'DE', 'Germany'),
(83482, '176.31.14.160', '176.31.14.167', 2954825376, 2954825383, 'PT', 'Portugal'),
(83483, '176.31.14.168', '176.31.14.171', 2954825384, 2954825387, 'PL', 'Poland'),
(83484, '176.31.14.172', '176.31.14.175', 2954825388, 2954825391, 'ES', 'Spain'),
(83485, '176.31.14.176', '176.31.14.179', 2954825392, 2954825395, 'NL', 'Netherlands'),
(83486, '176.31.14.180', '176.31.14.239', 2954825396, 2954825455, 'FR', 'France'),
(83487, '176.31.14.240', '176.31.14.243', 2954825456, 2954825459, 'GB', 'United Kingdom'),
(83488, '176.31.14.244', '176.31.14.251', 2954825460, 2954825467, 'FR', 'France'),
(83489, '176.31.14.252', '176.31.14.255', 2954825468, 2954825471, 'NL', 'Netherlands'),
(83490, '176.31.15.0', '176.31.15.63', 2954825472, 2954825535, 'IE', 'Ireland'),
(83491, '176.31.15.64', '176.31.15.67', 2954825536, 2954825539, 'PL', 'Poland'),
(83492, '176.31.15.68', '176.31.15.71', 2954825540, 2954825543, 'FI', 'Finland'),
(83493, '176.31.15.72', '176.31.15.75', 2954825544, 2954825547, 'BE', 'Belgium'),
(83494, '176.31.15.76', '176.31.15.79', 2954825548, 2954825551, 'DE', 'Germany'),
(83495, '176.31.15.80', '176.31.15.127', 2954825552, 2954825599, 'FR', 'France'),
(83496, '176.31.15.128', '176.31.15.159', 2954825600, 2954825631, 'PL', 'Poland'),
(83497, '176.31.15.160', '176.31.15.167', 2954825632, 2954825639, 'IE', 'Ireland'),
(83498, '176.31.15.168', '176.31.15.183', 2954825640, 2954825655, 'FR', 'France'),
(83499, '176.31.15.184', '176.31.15.187', 2954825656, 2954825659, 'PL', 'Poland'),
(83500, '176.31.15.188', '176.31.15.191', 2954825660, 2954825663, 'FR', 'France'),
(83501, '176.31.15.192', '176.31.15.255', 2954825664, 2954825727, 'GB', 'United Kingdom'),
(83502, '176.31.16.0', '176.31.16.63', 2954825728, 2954825791, 'FR', 'France'),
(83503, '176.31.16.64', '176.31.16.95', 2954825792, 2954825823, 'NL', 'Netherlands'),
(83504, '176.31.16.96', '176.31.16.127', 2954825824, 2954825855, 'ES', 'Spain'),
(83505, '176.31.16.128', '176.31.16.159', 2954825856, 2954825887, 'FR', 'France'),
(83506, '176.31.16.160', '176.31.16.191', 2954825888, 2954825919, 'IT', 'Italy'),
(83507, '176.31.16.192', '176.31.16.195', 2954825920, 2954825923, 'CH', 'Switzerland'),
(83508, '176.31.16.196', '176.31.16.199', 2954825924, 2954825927, 'IT', 'Italy'),
(83509, '176.31.16.200', '176.31.16.203', 2954825928, 2954825931, 'PL', 'Poland'),
(83510, '176.31.16.204', '176.31.16.207', 2954825932, 2954825935, 'GB', 'United Kingdom'),
(83511, '176.31.16.208', '176.31.16.211', 2954825936, 2954825939, 'BE', 'Belgium'),
(83512, '176.31.16.212', '176.31.16.223', 2954825940, 2954825951, 'FR', 'France'),
(83513, '176.31.16.224', '176.31.16.239', 2954825952, 2954825967, 'PL', 'Poland'),
(83514, '176.31.16.240', '176.31.16.255', 2954825968, 2954825983, 'ES', 'Spain'),
(83515, '176.31.17.0', '176.31.17.31', 2954825984, 2954826015, 'FR', 'France'),
(83516, '176.31.17.32', '176.31.17.35', 2954826016, 2954826019, 'PT', 'Portugal'),
(83517, '176.31.17.36', '176.31.17.39', 2954826020, 2954826023, 'PL', 'Poland'),
(83518, '176.31.17.40', '176.31.17.47', 2954826024, 2954826031, 'FR', 'France'),
(83519, '176.31.17.48', '176.31.17.51', 2954826032, 2954826035, 'PL', 'Poland'),
(83520, '176.31.17.52', '176.31.17.55', 2954826036, 2954826039, 'ES', 'Spain'),
(83521, '176.31.17.56', '176.31.17.59', 2954826040, 2954826043, 'PL', 'Poland'),
(83522, '176.31.17.60', '176.31.17.63', 2954826044, 2954826047, 'NL', 'Netherlands'),
(83523, '176.31.17.64', '176.31.17.79', 2954826048, 2954826063, 'FR', 'France'),
(83524, '176.31.17.80', '176.31.17.83', 2954826064, 2954826067, 'BE', 'Belgium'),
(83525, '176.31.17.84', '176.31.17.87', 2954826068, 2954826071, 'NL', 'Netherlands'),
(83526, '176.31.17.88', '176.31.17.95', 2954826072, 2954826079, 'IE', 'Ireland'),
(83527, '176.31.17.96', '176.31.17.163', 2954826080, 2954826147, 'FR', 'France'),
(83528, '176.31.17.164', '176.31.17.167', 2954826148, 2954826151, 'IE', 'Ireland'),
(83529, '176.31.17.168', '176.31.17.175', 2954826152, 2954826159, 'ES', 'Spain'),
(83530, '176.31.17.176', '176.31.17.183', 2954826160, 2954826167, 'PL', 'Poland'),
(83531, '176.31.17.184', '176.31.17.255', 2954826168, 2954826239, 'FR', 'France'),
(83532, '176.31.18.0', '176.31.18.3', 2954826240, 2954826243, 'IT', 'Italy'),
(83533, '176.31.18.4', '176.31.18.7', 2954826244, 2954826247, 'GB', 'United Kingdom'),
(83534, '176.31.18.8', '176.31.18.15', 2954826248, 2954826255, 'CH', 'Switzerland'),
(83535, '176.31.18.16', '176.31.18.19', 2954826256, 2954826259, 'GB', 'United Kingdom'),
(83536, '176.31.18.20', '176.31.18.23', 2954826260, 2954826263, 'PL', 'Poland'),
(83537, '176.31.18.24', '176.31.18.27', 2954826264, 2954826267, 'FR', 'France'),
(83538, '176.31.18.28', '176.31.18.31', 2954826268, 2954826271, 'NL', 'Netherlands'),
(83539, '176.31.18.32', '176.31.18.39', 2954826272, 2954826279, 'FR', 'France'),
(83540, '176.31.18.40', '176.31.18.43', 2954826280, 2954826283, 'IT', 'Italy'),
(83541, '176.31.18.44', '176.31.18.47', 2954826284, 2954826287, 'GB', 'United Kingdom'),
(83542, '176.31.18.48', '176.31.18.51', 2954826288, 2954826291, 'FI', 'Finland'),
(83543, '176.31.18.52', '176.31.18.55', 2954826292, 2954826295, 'DE', 'Germany'),
(83544, '176.31.18.56', '176.31.18.59', 2954826296, 2954826299, 'FR', 'France'),
(83545, '176.31.18.60', '176.31.18.63', 2954826300, 2954826303, 'GB', 'United Kingdom'),
(83546, '176.31.18.64', '176.31.18.127', 2954826304, 2954826367, 'FR', 'France'),
(83547, '176.31.18.128', '176.31.18.131', 2954826368, 2954826371, 'DE', 'Germany'),
(83548, '176.31.18.132', '176.31.18.135', 2954826372, 2954826375, 'GB', 'United Kingdom'),
(83549, '176.31.18.136', '176.31.18.143', 2954826376, 2954826383, 'FR', 'France'),
(83550, '176.31.18.144', '176.31.18.151', 2954826384, 2954826391, 'PL', 'Poland'),
(83551, '176.31.18.152', '176.31.18.163', 2954826392, 2954826403, 'FR', 'France'),
(83552, '176.31.18.164', '176.31.18.167', 2954826404, 2954826407, 'BE', 'Belgium'),
(83553, '176.31.18.168', '176.31.18.171', 2954826408, 2954826411, 'ES', 'Spain'),
(83554, '176.31.18.172', '176.31.18.175', 2954826412, 2954826415, 'FR', 'France'),
(83555, '176.31.18.176', '176.31.18.179', 2954826416, 2954826419, 'GB', 'United Kingdom'),
(83556, '176.31.18.180', '176.31.18.183', 2954826420, 2954826423, 'PT', 'Portugal'),
(83557, '176.31.18.184', '176.31.18.187', 2954826424, 2954826427, 'PL', 'Poland'),
(83558, '176.31.18.188', '176.31.18.191', 2954826428, 2954826431, 'PT', 'Portugal'),
(83559, '176.31.18.192', '176.31.18.207', 2954826432, 2954826447, 'IT', 'Italy'),
(83560, '176.31.18.208', '176.31.18.211', 2954826448, 2954826451, 'GB', 'United Kingdom'),
(83561, '176.31.18.212', '176.31.18.231', 2954826452, 2954826471, 'FR', 'France'),
(83562, '176.31.18.232', '176.31.18.235', 2954826472, 2954826475, 'GB', 'United Kingdom'),
(83563, '176.31.18.236', '176.31.18.243', 2954826476, 2954826483, 'FR', 'France'),
(83564, '176.31.18.244', '176.31.18.247', 2954826484, 2954826487, 'NL', 'Netherlands'),
(83565, '176.31.18.248', '176.31.18.251', 2954826488, 2954826491, 'LT', 'Lithuania'),
(83566, '176.31.18.252', '176.31.19.255', 2954826492, 2954826751, 'FR', 'France'),
(83567, '176.31.20.0', '176.31.20.3', 2954826752, 2954826755, 'CH', 'Switzerland'),
(83568, '176.31.20.4', '176.31.20.7', 2954826756, 2954826759, 'GB', 'United Kingdom'),
(83569, '176.31.20.8', '176.31.20.11', 2954826760, 2954826763, 'PL', 'Poland'),
(83570, '176.31.20.12', '176.31.20.15', 2954826764, 2954826767, 'IE', 'Ireland'),
(83571, '176.31.20.16', '176.31.20.19', 2954826768, 2954826771, 'GB', 'United Kingdom'),
(83572, '176.31.20.20', '176.31.20.23', 2954826772, 2954826775, 'PL', 'Poland'),
(83573, '176.31.20.24', '176.31.20.27', 2954826776, 2954826779, 'FR', 'France'),
(83574, '176.31.20.28', '176.31.20.31', 2954826780, 2954826783, 'PL', 'Poland'),
(83575, '176.31.20.32', '176.31.20.43', 2954826784, 2954826795, 'FR', 'France'),
(83576, '176.31.20.44', '176.31.20.47', 2954826796, 2954826799, 'DE', 'Germany'),
(83577, '176.31.20.48', '176.31.20.55', 2954826800, 2954826807, 'NL', 'Netherlands'),
(83578, '176.31.20.56', '176.31.20.59', 2954826808, 2954826811, 'FR', 'France'),
(83579, '176.31.20.60', '176.31.20.63', 2954826812, 2954826815, 'IT', 'Italy'),
(83580, '176.31.20.64', '176.31.20.127', 2954826816, 2954826879, 'FR', 'France'),
(83581, '176.31.20.128', '176.31.21.255', 2954826880, 2954827263, 'DE', 'Germany'),
(83582, '176.31.22.0', '176.31.22.31', 2954827264, 2954827295, 'IE', 'Ireland'),
(83583, '176.31.22.32', '176.31.22.127', 2954827296, 2954827391, 'DE', 'Germany'),
(83584, '176.31.22.128', '176.31.22.223', 2954827392, 2954827487, 'IE', 'Ireland'),
(83585, '176.31.22.224', '176.31.22.255', 2954827488, 2954827519, 'GB', 'United Kingdom'),
(83586, '176.31.23.0', '176.31.23.127', 2954827520, 2954827647, 'FR', 'France'),
(83587, '176.31.23.128', '176.31.23.255', 2954827648, 2954827775, 'GB', 'United Kingdom'),
(83588, '176.31.24.0', '176.31.24.23', 2954827776, 2954827799, 'FR', 'France'),
(83589, '176.31.24.24', '176.31.24.31', 2954827800, 2954827807, 'DE', 'Germany'),
(83590, '176.31.24.32', '176.31.24.39', 2954827808, 2954827815, 'PL', 'Poland'),
(83591, '176.31.24.40', '176.31.24.43', 2954827816, 2954827819, 'FR', 'France'),
(83592, '176.31.24.44', '176.31.24.47', 2954827820, 2954827823, 'ES', 'Spain'),
(83593, '176.31.24.48', '176.31.24.51', 2954827824, 2954827827, 'DE', 'Germany'),
(83594, '176.31.24.52', '176.31.24.55', 2954827828, 2954827831, 'PT', 'Portugal'),
(83595, '176.31.24.56', '176.31.24.59', 2954827832, 2954827835, 'IE', 'Ireland'),
(83596, '176.31.24.60', '176.31.24.63', 2954827836, 2954827839, 'DE', 'Germany'),
(83597, '176.31.24.64', '176.31.24.79', 2954827840, 2954827855, 'BE', 'Belgium'),
(83598, '176.31.24.80', '176.31.24.87', 2954827856, 2954827863, 'PT', 'Portugal'),
(83599, '176.31.24.88', '176.31.24.107', 2954827864, 2954827883, 'FR', 'France'),
(83600, '176.31.24.108', '176.31.24.111', 2954827884, 2954827887, 'DE', 'Germany'),
(83601, '176.31.24.112', '176.31.24.163', 2954827888, 2954827939, 'FR', 'France'),
(83602, '176.31.24.164', '176.31.24.167', 2954827940, 2954827943, 'PT', 'Portugal'),
(83603, '176.31.24.168', '176.31.24.171', 2954827944, 2954827947, 'NL', 'Netherlands'),
(83604, '176.31.24.172', '176.31.24.191', 2954827948, 2954827967, 'FR', 'France'),
(83605, '176.31.24.192', '176.31.24.195', 2954827968, 2954827971, 'CZ', 'Czech Republic'),
(83606, '176.31.24.196', '176.31.24.199', 2954827972, 2954827975, 'CH', 'Switzerland'),
(83607, '176.31.24.200', '176.31.24.203', 2954827976, 2954827979, 'FR', 'France'),
(83608, '176.31.24.204', '176.31.24.207', 2954827980, 2954827983, 'IE', 'Ireland'),
(83609, '176.31.24.208', '176.31.24.211', 2954827984, 2954827987, 'DE', 'Germany'),
(83610, '176.31.24.212', '176.31.24.223', 2954827988, 2954827999, 'PL', 'Poland'),
(83611, '176.31.24.224', '176.31.24.255', 2954828000, 2954828031, 'IE', 'Ireland'),
(83612, '176.31.25.0', '176.31.25.255', 2954828032, 2954828287, 'FR', 'France'),
(83613, '176.31.26.0', '176.31.26.3', 2954828288, 2954828291, 'CZ', 'Czech Republic'),
(83614, '176.31.26.4', '176.31.26.7', 2954828292, 2954828295, 'DE', 'Germany'),
(83615, '176.31.26.8', '176.31.26.11', 2954828296, 2954828299, 'CH', 'Switzerland'),
(83616, '176.31.26.12', '176.31.26.15', 2954828300, 2954828303, 'DE', 'Germany'),
(83617, '176.31.26.16', '176.31.26.19', 2954828304, 2954828307, 'PL', 'Poland'),
(83618, '176.31.26.20', '176.31.26.23', 2954828308, 2954828311, 'BE', 'Belgium'),
(83619, '176.31.26.24', '176.31.26.27', 2954828312, 2954828315, 'FR', 'France'),
(83620, '176.31.26.28', '176.31.26.31', 2954828316, 2954828319, 'IE', 'Ireland'),
(83621, '176.31.26.32', '176.31.26.47', 2954828320, 2954828335, 'FR', 'France'),
(83622, '176.31.26.48', '176.31.26.55', 2954828336, 2954828343, 'IE', 'Ireland'),
(83623, '176.31.26.56', '176.31.26.59', 2954828344, 2954828347, 'FI', 'Finland'),
(83624, '176.31.26.60', '176.31.26.63', 2954828348, 2954828351, 'DE', 'Germany'),
(83625, '176.31.26.64', '176.31.26.127', 2954828352, 2954828415, 'FR', 'France'),
(83626, '176.31.26.128', '176.31.26.143', 2954828416, 2954828431, 'IT', 'Italy'),
(83627, '176.31.26.144', '176.31.26.151', 2954828432, 2954828439, 'IE', 'Ireland'),
(83628, '176.31.26.152', '176.31.26.155', 2954828440, 2954828443, 'GB', 'United Kingdom'),
(83629, '176.31.26.156', '176.31.26.159', 2954828444, 2954828447, 'ES', 'Spain'),
(83630, '176.31.26.160', '176.31.26.175', 2954828448, 2954828463, 'FR', 'France'),
(83631, '176.31.26.176', '176.31.26.179', 2954828464, 2954828467, 'FI', 'Finland'),
(83632, '176.31.26.180', '176.31.26.183', 2954828468, 2954828471, 'PL', 'Poland'),
(83633, '176.31.26.184', '176.31.26.191', 2954828472, 2954828479, 'FR', 'France'),
(83634, '176.31.26.192', '176.31.26.207', 2954828480, 2954828495, 'ES', 'Spain'),
(83635, '176.31.26.208', '176.31.26.223', 2954828496, 2954828511, 'IT', 'Italy'),
(83636, '176.31.26.224', '176.31.27.255', 2954828512, 2954828799, 'FR', 'France'),
(83637, '176.31.28.0', '176.31.28.15', 2954828800, 2954828815, 'NL', 'Netherlands'),
(83638, '176.31.28.16', '176.31.28.19', 2954828816, 2954828819, 'FR', 'France'),
(83639, '176.31.28.20', '176.31.28.23', 2954828820, 2954828823, 'GB', 'United Kingdom'),
(83640, '176.31.28.24', '176.31.28.31', 2954828824, 2954828831, 'PT', 'Portugal'),
(83641, '176.31.28.32', '176.31.28.35', 2954828832, 2954828835, 'ES', 'Spain'),
(83642, '176.31.28.36', '176.31.28.39', 2954828836, 2954828839, 'DE', 'Germany'),
(83643, '176.31.28.40', '176.31.28.63', 2954828840, 2954828863, 'GB', 'United Kingdom'),
(83644, '176.31.28.64', '176.31.28.95', 2954828864, 2954828895, 'FR', 'France'),
(83645, '176.31.28.96', '176.31.28.127', 2954828896, 2954828927, 'BE', 'Belgium'),
(83646, '176.31.28.128', '176.31.28.143', 2954828928, 2954828943, 'IE', 'Ireland'),
(83647, '176.31.28.144', '176.31.28.155', 2954828944, 2954828955, 'FR', 'France'),
(83648, '176.31.28.156', '176.31.28.159', 2954828956, 2954828959, 'DE', 'Germany'),
(83649, '176.31.28.160', '176.31.28.175', 2954828960, 2954828975, 'FR', 'France'),
(83650, '176.31.28.176', '176.31.28.183', 2954828976, 2954828983, 'GB', 'United Kingdom'),
(83651, '176.31.28.184', '176.31.28.191', 2954828984, 2954828991, 'PL', 'Poland'),
(83652, '176.31.28.192', '176.31.28.199', 2954828992, 2954828999, 'IT', 'Italy'),
(83653, '176.31.28.200', '176.31.28.207', 2954829000, 2954829007, 'LT', 'Lithuania'),
(83654, '176.31.28.208', '176.31.28.223', 2954829008, 2954829023, 'IE', 'Ireland'),
(83655, '176.31.28.224', '176.31.29.63', 2954829024, 2954829119, 'FR', 'France'),
(83656, '176.31.29.64', '176.31.29.79', 2954829120, 2954829135, 'NL', 'Netherlands'),
(83657, '176.31.29.80', '176.31.29.83', 2954829136, 2954829139, 'FR', 'France'),
(83658, '176.31.29.84', '176.31.29.87', 2954829140, 2954829143, 'CZ', 'Czech Republic'),
(83659, '176.31.29.88', '176.31.29.95', 2954829144, 2954829151, 'GB', 'United Kingdom'),
(83660, '176.31.29.96', '176.31.29.111', 2954829152, 2954829167, 'CH', 'Switzerland'),
(83661, '176.31.29.112', '176.31.29.115', 2954829168, 2954829171, 'NL', 'Netherlands'),
(83662, '176.31.29.116', '176.31.29.119', 2954829172, 2954829175, 'IE', 'Ireland'),
(83663, '176.31.29.120', '176.31.29.123', 2954829176, 2954829179, 'NL', 'Netherlands'),
(83664, '176.31.29.124', '176.31.29.127', 2954829180, 2954829183, 'GB', 'United Kingdom'),
(83665, '176.31.29.128', '176.31.29.159', 2954829184, 2954829215, 'BE', 'Belgium'),
(83666, '176.31.29.160', '176.31.29.191', 2954829216, 2954829247, 'NL', 'Netherlands'),
(83667, '176.31.29.192', '176.31.29.255', 2954829248, 2954829311, 'PT', 'Portugal'),
(83668, '176.31.30.0', '176.31.30.7', 2954829312, 2954829319, 'ES', 'Spain'),
(83669, '176.31.30.8', '176.31.30.11', 2954829320, 2954829323, 'LT', 'Lithuania'),
(83670, '176.31.30.12', '176.31.30.15', 2954829324, 2954829327, 'BE', 'Belgium'),
(83671, '176.31.30.16', '176.31.30.19', 2954829328, 2954829331, 'FR', 'France'),
(83672, '176.31.30.20', '176.31.30.23', 2954829332, 2954829335, 'CZ', 'Czech Republic'),
(83673, '176.31.30.24', '176.31.30.31', 2954829336, 2954829343, 'GB', 'United Kingdom'),
(83674, '176.31.30.32', '176.31.30.63', 2954829344, 2954829375, 'IT', 'Italy'),
(83675, '176.31.30.64', '176.31.30.71', 2954829376, 2954829383, 'GB', 'United Kingdom'),
(83676, '176.31.30.72', '176.31.30.75', 2954829384, 2954829387, 'FR', 'France'),
(83677, '176.31.30.76', '176.31.30.79', 2954829388, 2954829391, 'IE', 'Ireland'),
(83678, '176.31.30.80', '176.31.30.83', 2954829392, 2954829395, 'FR', 'France'),
(83679, '176.31.30.84', '176.31.30.87', 2954829396, 2954829399, 'LT', 'Lithuania'),
(83680, '176.31.30.88', '176.31.30.95', 2954829400, 2954829407, 'PL', 'Poland'),
(83681, '176.31.30.96', '176.31.30.111', 2954829408, 2954829423, 'IE', 'Ireland'),
(83682, '176.31.30.112', '176.31.30.115', 2954829424, 2954829427, 'FR', 'France'),
(83683, '176.31.30.116', '176.31.30.119', 2954829428, 2954829431, 'PL', 'Poland'),
(83684, '176.31.30.120', '176.31.30.123', 2954829432, 2954829435, 'FR', 'France'),
(83685, '176.31.30.124', '176.31.30.127', 2954829436, 2954829439, 'DE', 'Germany'),
(83686, '176.31.30.128', '176.31.30.143', 2954829440, 2954829455, 'FR', 'France'),
(83687, '176.31.30.144', '176.31.30.159', 2954829456, 2954829471, 'GB', 'United Kingdom'),
(83688, '176.31.30.160', '176.31.30.175', 2954829472, 2954829487, 'FR', 'France'),
(83689, '176.31.30.176', '176.31.30.183', 2954829488, 2954829495, 'IT', 'Italy'),
(83690, '176.31.30.184', '176.31.30.187', 2954829496, 2954829499, 'NL', 'Netherlands'),
(83691, '176.31.30.188', '176.31.30.191', 2954829500, 2954829503, 'IT', 'Italy'),
(83692, '176.31.30.192', '176.31.30.207', 2954829504, 2954829519, 'FR', 'France'),
(83693, '176.31.30.208', '176.31.30.223', 2954829520, 2954829535, 'GB', 'United Kingdom'),
(83694, '176.31.30.224', '176.31.30.247', 2954829536, 2954829559, 'FR', 'France'),
(83695, '176.31.30.248', '176.31.30.251', 2954829560, 2954829563, 'BE', 'Belgium'),
(83696, '176.31.30.252', '176.31.30.255', 2954829564, 2954829567, 'FI', 'Finland'),
(83697, '176.31.31.0', '176.31.31.35', 2954829568, 2954829603, 'FR', 'France'),
(83698, '176.31.31.36', '176.31.31.39', 2954829604, 2954829607, 'PT', 'Portugal'),
(83699, '176.31.31.40', '176.31.31.47', 2954829608, 2954829615, 'NL', 'Netherlands'),
(83700, '176.31.31.48', '176.31.31.55', 2954829616, 2954829623, 'GB', 'United Kingdom'),
(83701, '176.31.31.56', '176.31.31.63', 2954829624, 2954829631, 'ES', 'Spain'),
(83702, '176.31.31.64', '176.31.31.79', 2954829632, 2954829647, 'GB', 'United Kingdom'),
(83703, '176.31.31.80', '176.31.31.127', 2954829648, 2954829695, 'FR', 'France'),
(83704, '176.31.31.128', '176.31.31.131', 2954829696, 2954829699, 'BE', 'Belgium'),
(83705, '176.31.31.132', '176.31.31.135', 2954829700, 2954829703, 'ES', 'Spain'),
(83706, '176.31.31.136', '176.31.31.159', 2954829704, 2954829727, 'FR', 'France'),
(83707, '176.31.31.160', '176.31.31.163', 2954829728, 2954829731, 'PL', 'Poland'),
(83708, '176.31.31.164', '176.31.31.167', 2954829732, 2954829735, 'GB', 'United Kingdom'),
(83709, '176.31.31.168', '176.31.31.171', 2954829736, 2954829739, 'FI', 'Finland'),
(83710, '176.31.31.172', '176.31.31.175', 2954829740, 2954829743, 'NL', 'Netherlands'),
(83711, '176.31.31.176', '176.31.31.183', 2954829744, 2954829751, 'FR', 'France'),
(83712, '176.31.31.184', '176.31.31.187', 2954829752, 2954829755, 'CH', 'Switzerland'),
(83713, '176.31.31.188', '176.31.31.255', 2954829756, 2954829823, 'FR', 'France'),
(83714, '176.31.32.0', '176.31.32.3', 2954829824, 2954829827, 'BE', 'Belgium'),
(83715, '176.31.32.4', '176.31.32.7', 2954829828, 2954829831, 'NL', 'Netherlands'),
(83716, '176.31.32.8', '176.31.32.15', 2954829832, 2954829839, 'DE', 'Germany'),
(83717, '176.31.32.16', '176.31.32.51', 2954829840, 2954829875, 'FR', 'France'),
(83718, '176.31.32.52', '176.31.32.55', 2954829876, 2954829879, 'GB', 'United Kingdom'),
(83719, '176.31.32.56', '176.31.32.63', 2954829880, 2954829887, 'FR', 'France'),
(83720, '176.31.32.64', '176.31.32.79', 2954829888, 2954829903, 'PL', 'Poland'),
(83721, '176.31.32.80', '176.31.32.95', 2954829904, 2954829919, 'GB', 'United Kingdom'),
(83722, '176.31.32.96', '176.31.32.127', 2954829920, 2954829951, 'FR', 'France'),
(83723, '176.31.32.128', '176.31.32.135', 2954829952, 2954829959, 'ES', 'Spain'),
(83724, '176.31.32.136', '176.31.32.139', 2954829960, 2954829963, 'PT', 'Portugal'),
(83725, '176.31.32.140', '176.31.32.143', 2954829964, 2954829967, 'PL', 'Poland'),
(83726, '176.31.32.144', '176.31.32.151', 2954829968, 2954829975, 'FR', 'France'),
(83727, '176.31.32.152', '176.31.32.159', 2954829976, 2954829983, 'NL', 'Netherlands'),
(83728, '176.31.32.160', '176.31.32.191', 2954829984, 2954830015, 'DE', 'Germany'),
(83729, '176.31.32.192', '176.31.32.255', 2954830016, 2954830079, 'GB', 'United Kingdom'),
(83730, '176.31.33.0', '176.31.33.31', 2954830080, 2954830111, 'IT', 'Italy'),
(83731, '176.31.33.32', '176.31.33.63', 2954830112, 2954830143, 'FR', 'France'),
(83732, '176.31.33.64', '176.31.33.67', 2954830144, 2954830147, 'ES', 'Spain'),
(83733, '176.31.33.68', '176.31.33.71', 2954830148, 2954830151, 'PL', 'Poland'),
(83734, '176.31.33.72', '176.31.33.79', 2954830152, 2954830159, 'FR', 'France'),
(83735, '176.31.33.80', '176.31.33.83', 2954830160, 2954830163, 'GB', 'United Kingdom'),
(83736, '176.31.33.84', '176.31.33.87', 2954830164, 2954830167, 'PT', 'Portugal'),
(83737, '176.31.33.88', '176.31.33.95', 2954830168, 2954830175, 'DE', 'Germany'),
(83738, '176.31.33.96', '176.31.33.191', 2954830176, 2954830271, 'FR', 'France'),
(83739, '176.31.33.192', '176.31.33.199', 2954830272, 2954830279, 'DE', 'Germany'),
(83740, '176.31.33.200', '176.31.33.203', 2954830280, 2954830283, 'PL', 'Poland'),
(83741, '176.31.33.204', '176.31.33.207', 2954830284, 2954830287, 'DE', 'Germany'),
(83742, '176.31.33.208', '176.31.33.223', 2954830288, 2954830303, 'FR', 'France'),
(83743, '176.31.33.224', '176.31.34.31', 2954830304, 2954830367, 'DE', 'Germany'),
(83744, '176.31.34.32', '176.31.34.39', 2954830368, 2954830375, 'NL', 'Netherlands'),
(83745, '176.31.34.40', '176.31.34.47', 2954830376, 2954830383, 'ES', 'Spain'),
(83746, '176.31.34.48', '176.31.34.51', 2954830384, 2954830387, 'PL', 'Poland'),
(83747, '176.31.34.52', '176.31.34.55', 2954830388, 2954830391, 'BE', 'Belgium'),
(83748, '176.31.34.56', '176.31.34.63', 2954830392, 2954830399, 'FR', 'France'),
(83749, '176.31.34.64', '176.31.34.79', 2954830400, 2954830415, 'IT', 'Italy'),
(83750, '176.31.34.80', '176.31.34.95', 2954830416, 2954830431, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(83751, '176.31.34.96', '176.31.34.111', 2954830432, 2954830447, 'FR', 'France'),
(83752, '176.31.34.112', '176.31.34.115', 2954830448, 2954830451, 'CZ', 'Czech Republic'),
(83753, '176.31.34.116', '176.31.34.119', 2954830452, 2954830455, 'BE', 'Belgium'),
(83754, '176.31.34.120', '176.31.34.127', 2954830456, 2954830463, 'CH', 'Switzerland'),
(83755, '176.31.34.128', '176.31.34.255', 2954830464, 2954830591, 'PL', 'Poland'),
(83756, '176.31.35.0', '176.31.35.255', 2954830592, 2954830847, 'GB', 'United Kingdom'),
(83757, '176.31.36.0', '176.31.36.7', 2954830848, 2954830855, 'ES', 'Spain'),
(83758, '176.31.36.8', '176.31.36.11', 2954830856, 2954830859, 'FR', 'France'),
(83759, '176.31.36.12', '176.31.36.15', 2954830860, 2954830863, 'GB', 'United Kingdom'),
(83760, '176.31.36.16', '176.31.36.31', 2954830864, 2954830879, 'FR', 'France'),
(83761, '176.31.36.32', '176.31.36.39', 2954830880, 2954830887, 'GB', 'United Kingdom'),
(83762, '176.31.36.40', '176.31.36.43', 2954830888, 2954830891, 'FR', 'France'),
(83763, '176.31.36.44', '176.31.36.47', 2954830892, 2954830895, 'ES', 'Spain'),
(83764, '176.31.36.48', '176.31.36.83', 2954830896, 2954830931, 'FR', 'France'),
(83765, '176.31.36.84', '176.31.36.87', 2954830932, 2954830935, 'IE', 'Ireland'),
(83766, '176.31.36.88', '176.31.36.127', 2954830936, 2954830975, 'FR', 'France'),
(83767, '176.31.36.128', '176.31.36.255', 2954830976, 2954831103, 'PL', 'Poland'),
(83768, '176.31.37.0', '176.31.37.63', 2954831104, 2954831167, 'PT', 'Portugal'),
(83769, '176.31.37.64', '176.31.37.127', 2954831168, 2954831231, 'FR', 'France'),
(83770, '176.31.37.128', '176.31.37.159', 2954831232, 2954831263, 'DE', 'Germany'),
(83771, '176.31.37.160', '176.31.37.163', 2954831264, 2954831267, 'FR', 'France'),
(83772, '176.31.37.164', '176.31.37.167', 2954831268, 2954831271, 'PL', 'Poland'),
(83773, '176.31.37.168', '176.31.37.171', 2954831272, 2954831275, 'FR', 'France'),
(83774, '176.31.37.172', '176.31.37.175', 2954831276, 2954831279, 'IT', 'Italy'),
(83775, '176.31.37.176', '176.31.37.191', 2954831280, 2954831295, 'CH', 'Switzerland'),
(83776, '176.31.37.192', '176.31.37.223', 2954831296, 2954831327, 'FR', 'France'),
(83777, '176.31.37.224', '176.31.37.227', 2954831328, 2954831331, 'PL', 'Poland'),
(83778, '176.31.37.228', '176.31.37.231', 2954831332, 2954831335, 'FR', 'France'),
(83779, '176.31.37.232', '176.31.37.235', 2954831336, 2954831339, 'PL', 'Poland'),
(83780, '176.31.37.236', '176.31.37.239', 2954831340, 2954831343, 'GB', 'United Kingdom'),
(83781, '176.31.37.240', '176.31.37.255', 2954831344, 2954831359, 'PL', 'Poland'),
(83782, '176.31.38.0', '176.31.38.31', 2954831360, 2954831391, 'FR', 'France'),
(83783, '176.31.38.32', '176.31.38.39', 2954831392, 2954831399, 'CZ', 'Czech Republic'),
(83784, '176.31.38.40', '176.31.38.43', 2954831400, 2954831403, 'CH', 'Switzerland'),
(83785, '176.31.38.44', '176.31.38.47', 2954831404, 2954831407, 'DE', 'Germany'),
(83786, '176.31.38.48', '176.31.38.51', 2954831408, 2954831411, 'ES', 'Spain'),
(83787, '176.31.38.52', '176.31.38.63', 2954831412, 2954831423, 'DE', 'Germany'),
(83788, '176.31.38.64', '176.31.38.127', 2954831424, 2954831487, 'FR', 'France'),
(83789, '176.31.38.128', '176.31.38.159', 2954831488, 2954831519, 'DE', 'Germany'),
(83790, '176.31.38.160', '176.31.38.163', 2954831520, 2954831523, 'FI', 'Finland'),
(83791, '176.31.38.164', '176.31.38.167', 2954831524, 2954831527, 'DE', 'Germany'),
(83792, '176.31.38.168', '176.31.38.179', 2954831528, 2954831539, 'PT', 'Portugal'),
(83793, '176.31.38.180', '176.31.38.183', 2954831540, 2954831543, 'GB', 'United Kingdom'),
(83794, '176.31.38.184', '176.31.38.187', 2954831544, 2954831547, 'IT', 'Italy'),
(83795, '176.31.38.188', '176.31.38.191', 2954831548, 2954831551, 'PT', 'Portugal'),
(83796, '176.31.38.192', '176.31.38.223', 2954831552, 2954831583, 'DE', 'Germany'),
(83797, '176.31.38.224', '176.31.38.239', 2954831584, 2954831599, 'ES', 'Spain'),
(83798, '176.31.38.240', '176.31.38.243', 2954831600, 2954831603, 'PT', 'Portugal'),
(83799, '176.31.38.244', '176.31.38.247', 2954831604, 2954831607, 'BE', 'Belgium'),
(83800, '176.31.38.248', '176.31.38.251', 2954831608, 2954831611, 'FR', 'France'),
(83801, '176.31.38.252', '176.31.38.255', 2954831612, 2954831615, 'ES', 'Spain'),
(83802, '176.31.39.0', '176.31.39.31', 2954831616, 2954831647, 'FR', 'France'),
(83803, '176.31.39.32', '176.31.39.35', 2954831648, 2954831651, 'GB', 'United Kingdom'),
(83804, '176.31.39.36', '176.31.39.51', 2954831652, 2954831667, 'FR', 'France'),
(83805, '176.31.39.52', '176.31.39.55', 2954831668, 2954831671, 'PL', 'Poland'),
(83806, '176.31.39.56', '176.31.39.59', 2954831672, 2954831675, 'DE', 'Germany'),
(83807, '176.31.39.60', '176.31.39.95', 2954831676, 2954831711, 'FR', 'France'),
(83808, '176.31.39.96', '176.31.39.127', 2954831712, 2954831743, 'ES', 'Spain'),
(83809, '176.31.39.128', '176.31.39.131', 2954831744, 2954831747, 'FR', 'France'),
(83810, '176.31.39.132', '176.31.39.135', 2954831748, 2954831751, 'DE', 'Germany'),
(83811, '176.31.39.136', '176.31.39.143', 2954831752, 2954831759, 'FR', 'France'),
(83812, '176.31.39.144', '176.31.39.159', 2954831760, 2954831775, 'FI', 'Finland'),
(83813, '176.31.39.160', '176.31.39.163', 2954831776, 2954831779, 'CH', 'Switzerland'),
(83814, '176.31.39.164', '176.31.39.167', 2954831780, 2954831783, 'FR', 'France'),
(83815, '176.31.39.168', '176.31.39.171', 2954831784, 2954831787, 'DE', 'Germany'),
(83816, '176.31.39.172', '176.31.39.175', 2954831788, 2954831791, 'CZ', 'Czech Republic'),
(83817, '176.31.39.176', '176.31.39.183', 2954831792, 2954831799, 'NL', 'Netherlands'),
(83818, '176.31.39.184', '176.31.39.191', 2954831800, 2954831807, 'FR', 'France'),
(83819, '176.31.39.192', '176.31.39.223', 2954831808, 2954831839, 'GB', 'United Kingdom'),
(83820, '176.31.39.224', '176.31.40.47', 2954831840, 2954831919, 'FR', 'France'),
(83821, '176.31.40.48', '176.31.40.51', 2954831920, 2954831923, 'PL', 'Poland'),
(83822, '176.31.40.52', '176.31.40.55', 2954831924, 2954831927, 'PT', 'Portugal'),
(83823, '176.31.40.56', '176.31.40.63', 2954831928, 2954831935, 'IE', 'Ireland'),
(83824, '176.31.40.64', '176.31.40.111', 2954831936, 2954831983, 'FR', 'France'),
(83825, '176.31.40.112', '176.31.40.127', 2954831984, 2954831999, 'BE', 'Belgium'),
(83826, '176.31.40.128', '176.31.40.131', 2954832000, 2954832003, 'PL', 'Poland'),
(83827, '176.31.40.132', '176.31.40.151', 2954832004, 2954832023, 'FR', 'France'),
(83828, '176.31.40.152', '176.31.40.191', 2954832024, 2954832063, 'PL', 'Poland'),
(83829, '176.31.40.192', '176.31.40.199', 2954832064, 2954832071, 'FR', 'France'),
(83830, '176.31.40.200', '176.31.40.207', 2954832072, 2954832079, 'IE', 'Ireland'),
(83831, '176.31.40.208', '176.31.40.255', 2954832080, 2954832127, 'FR', 'France'),
(83832, '176.31.41.0', '176.31.41.7', 2954832128, 2954832135, 'GB', 'United Kingdom'),
(83833, '176.31.41.8', '176.31.41.15', 2954832136, 2954832143, 'PL', 'Poland'),
(83834, '176.31.41.16', '176.31.41.31', 2954832144, 2954832159, 'FR', 'France'),
(83835, '176.31.41.32', '176.31.41.39', 2954832160, 2954832167, 'ES', 'Spain'),
(83836, '176.31.41.40', '176.31.41.47', 2954832168, 2954832175, 'IE', 'Ireland'),
(83837, '176.31.41.48', '176.31.41.63', 2954832176, 2954832191, 'FR', 'France'),
(83838, '176.31.41.64', '176.31.41.79', 2954832192, 2954832207, 'PL', 'Poland'),
(83839, '176.31.41.80', '176.31.41.83', 2954832208, 2954832211, 'PT', 'Portugal'),
(83840, '176.31.41.84', '176.31.41.87', 2954832212, 2954832215, 'FR', 'France'),
(83841, '176.31.41.88', '176.31.41.91', 2954832216, 2954832219, 'DE', 'Germany'),
(83842, '176.31.41.92', '176.31.41.95', 2954832220, 2954832223, 'FR', 'France'),
(83843, '176.31.41.96', '176.31.41.127', 2954832224, 2954832255, 'BE', 'Belgium'),
(83844, '176.31.41.128', '176.31.41.207', 2954832256, 2954832335, 'FR', 'France'),
(83845, '176.31.41.208', '176.31.41.215', 2954832336, 2954832343, 'DE', 'Germany'),
(83846, '176.31.41.216', '176.31.41.219', 2954832344, 2954832347, 'FR', 'France'),
(83847, '176.31.41.220', '176.31.41.223', 2954832348, 2954832351, 'ES', 'Spain'),
(83848, '176.31.41.224', '176.31.41.255', 2954832352, 2954832383, 'FR', 'France'),
(83849, '176.31.42.0', '176.31.42.255', 2954832384, 2954832639, 'NL', 'Netherlands'),
(83850, '176.31.43.0', '176.31.43.3', 2954832640, 2954832643, 'DE', 'Germany'),
(83851, '176.31.43.4', '176.31.43.7', 2954832644, 2954832647, 'FR', 'France'),
(83852, '176.31.43.8', '176.31.43.11', 2954832648, 2954832651, 'ES', 'Spain'),
(83853, '176.31.43.12', '176.31.43.15', 2954832652, 2954832655, 'GB', 'United Kingdom'),
(83854, '176.31.43.16', '176.31.43.31', 2954832656, 2954832671, 'FR', 'France'),
(83855, '176.31.43.32', '176.31.43.35', 2954832672, 2954832675, 'IE', 'Ireland'),
(83856, '176.31.43.36', '176.31.43.39', 2954832676, 2954832679, 'FR', 'France'),
(83857, '176.31.43.40', '176.31.43.47', 2954832680, 2954832687, 'PL', 'Poland'),
(83858, '176.31.43.48', '176.31.43.51', 2954832688, 2954832691, 'GB', 'United Kingdom'),
(83859, '176.31.43.52', '176.31.43.55', 2954832692, 2954832695, 'DE', 'Germany'),
(83860, '176.31.43.56', '176.31.43.59', 2954832696, 2954832699, 'GB', 'United Kingdom'),
(83861, '176.31.43.60', '176.31.43.63', 2954832700, 2954832703, 'CH', 'Switzerland'),
(83862, '176.31.43.64', '176.31.43.135', 2954832704, 2954832775, 'FR', 'France'),
(83863, '176.31.43.136', '176.31.43.139', 2954832776, 2954832779, 'PL', 'Poland'),
(83864, '176.31.43.140', '176.31.43.143', 2954832780, 2954832783, 'NL', 'Netherlands'),
(83865, '176.31.43.144', '176.31.43.159', 2954832784, 2954832799, 'FR', 'France'),
(83866, '176.31.43.160', '176.31.43.175', 2954832800, 2954832815, 'ES', 'Spain'),
(83867, '176.31.43.176', '176.31.43.183', 2954832816, 2954832823, 'FR', 'France'),
(83868, '176.31.43.184', '176.31.43.191', 2954832824, 2954832831, 'ES', 'Spain'),
(83869, '176.31.43.192', '176.31.43.195', 2954832832, 2954832835, 'GB', 'United Kingdom'),
(83870, '176.31.43.196', '176.31.43.199', 2954832836, 2954832839, 'LT', 'Lithuania'),
(83871, '176.31.43.200', '176.31.43.207', 2954832840, 2954832847, 'GB', 'United Kingdom'),
(83872, '176.31.43.208', '176.31.43.211', 2954832848, 2954832851, 'IT', 'Italy'),
(83873, '176.31.43.212', '176.31.43.215', 2954832852, 2954832855, 'PL', 'Poland'),
(83874, '176.31.43.216', '176.31.43.219', 2954832856, 2954832859, 'DE', 'Germany'),
(83875, '176.31.43.220', '176.31.43.223', 2954832860, 2954832863, 'ES', 'Spain'),
(83876, '176.31.43.224', '176.31.43.247', 2954832864, 2954832887, 'FR', 'France'),
(83877, '176.31.43.248', '176.31.43.251', 2954832888, 2954832891, 'PL', 'Poland'),
(83878, '176.31.43.252', '176.31.44.63', 2954832892, 2954832959, 'FR', 'France'),
(83879, '176.31.44.64', '176.31.44.79', 2954832960, 2954832975, 'IT', 'Italy'),
(83880, '176.31.44.80', '176.31.44.95', 2954832976, 2954832991, 'FR', 'France'),
(83881, '176.31.44.96', '176.31.44.127', 2954832992, 2954833023, 'GB', 'United Kingdom'),
(83882, '176.31.44.128', '176.31.44.151', 2954833024, 2954833047, 'FR', 'France'),
(83883, '176.31.44.152', '176.31.44.159', 2954833048, 2954833055, 'ES', 'Spain'),
(83884, '176.31.44.160', '176.31.44.175', 2954833056, 2954833071, 'FR', 'France'),
(83885, '176.31.44.176', '176.31.44.179', 2954833072, 2954833075, 'PT', 'Portugal'),
(83886, '176.31.44.180', '176.31.44.183', 2954833076, 2954833079, 'ES', 'Spain'),
(83887, '176.31.44.184', '176.31.44.187', 2954833080, 2954833083, 'GB', 'United Kingdom'),
(83888, '176.31.44.188', '176.31.44.191', 2954833084, 2954833087, 'PL', 'Poland'),
(83889, '176.31.44.192', '176.31.44.199', 2954833088, 2954833095, 'FR', 'France'),
(83890, '176.31.44.200', '176.31.44.203', 2954833096, 2954833099, 'GB', 'United Kingdom'),
(83891, '176.31.44.204', '176.31.44.207', 2954833100, 2954833103, 'FR', 'France'),
(83892, '176.31.44.208', '176.31.44.215', 2954833104, 2954833111, 'CZ', 'Czech Republic'),
(83893, '176.31.44.216', '176.31.44.223', 2954833112, 2954833119, 'FR', 'France'),
(83894, '176.31.44.224', '176.31.44.255', 2954833120, 2954833151, 'PL', 'Poland'),
(83895, '176.31.45.0', '176.31.45.31', 2954833152, 2954833183, 'FR', 'France'),
(83896, '176.31.45.32', '176.31.45.47', 2954833184, 2954833199, 'PL', 'Poland'),
(83897, '176.31.45.48', '176.31.45.55', 2954833200, 2954833207, 'FR', 'France'),
(83898, '176.31.45.56', '176.31.45.59', 2954833208, 2954833211, 'CH', 'Switzerland'),
(83899, '176.31.45.60', '176.31.45.63', 2954833212, 2954833215, 'FR', 'France'),
(83900, '176.31.45.64', '176.31.45.67', 2954833216, 2954833219, 'DE', 'Germany'),
(83901, '176.31.45.68', '176.31.45.71', 2954833220, 2954833223, 'IT', 'Italy'),
(83902, '176.31.45.72', '176.31.45.75', 2954833224, 2954833227, 'FR', 'France'),
(83903, '176.31.45.76', '176.31.45.79', 2954833228, 2954833231, 'CH', 'Switzerland'),
(83904, '176.31.45.80', '176.31.45.95', 2954833232, 2954833247, 'ES', 'Spain'),
(83905, '176.31.45.96', '176.31.45.103', 2954833248, 2954833255, 'FR', 'France'),
(83906, '176.31.45.104', '176.31.45.111', 2954833256, 2954833263, 'PL', 'Poland'),
(83907, '176.31.45.112', '176.31.45.119', 2954833264, 2954833271, 'FR', 'France'),
(83908, '176.31.45.120', '176.31.45.127', 2954833272, 2954833279, 'DE', 'Germany'),
(83909, '176.31.45.128', '176.31.45.131', 2954833280, 2954833283, 'PL', 'Poland'),
(83910, '176.31.45.132', '176.31.45.135', 2954833284, 2954833287, 'FR', 'France'),
(83911, '176.31.45.136', '176.31.45.143', 2954833288, 2954833295, 'IE', 'Ireland'),
(83912, '176.31.45.144', '176.31.45.163', 2954833296, 2954833315, 'FR', 'France'),
(83913, '176.31.45.164', '176.31.45.167', 2954833316, 2954833319, 'CZ', 'Czech Republic'),
(83914, '176.31.45.168', '176.31.45.191', 2954833320, 2954833343, 'FR', 'France'),
(83915, '176.31.45.192', '176.31.45.255', 2954833344, 2954833407, 'GB', 'United Kingdom'),
(83916, '176.31.46.0', '176.31.46.7', 2954833408, 2954833415, 'FR', 'France'),
(83917, '176.31.46.8', '176.31.46.11', 2954833416, 2954833419, 'ES', 'Spain'),
(83918, '176.31.46.12', '176.31.46.15', 2954833420, 2954833423, 'IT', 'Italy'),
(83919, '176.31.46.16', '176.31.46.31', 2954833424, 2954833439, 'GB', 'United Kingdom'),
(83920, '176.31.46.32', '176.31.46.35', 2954833440, 2954833443, 'FR', 'France'),
(83921, '176.31.46.36', '176.31.46.39', 2954833444, 2954833447, 'PL', 'Poland'),
(83922, '176.31.46.40', '176.31.46.43', 2954833448, 2954833451, 'GB', 'United Kingdom'),
(83923, '176.31.46.44', '176.31.46.47', 2954833452, 2954833455, 'DE', 'Germany'),
(83924, '176.31.46.48', '176.31.46.63', 2954833456, 2954833471, 'ES', 'Spain'),
(83925, '176.31.46.64', '176.31.46.79', 2954833472, 2954833487, 'FR', 'France'),
(83926, '176.31.46.80', '176.31.46.95', 2954833488, 2954833503, 'BE', 'Belgium'),
(83927, '176.31.46.96', '176.31.46.127', 2954833504, 2954833535, 'FR', 'France'),
(83928, '176.31.46.128', '176.31.46.131', 2954833536, 2954833539, 'PL', 'Poland'),
(83929, '176.31.46.132', '176.31.46.143', 2954833540, 2954833551, 'DE', 'Germany'),
(83930, '176.31.46.144', '176.31.46.147', 2954833552, 2954833555, 'FR', 'France'),
(83931, '176.31.46.148', '176.31.46.151', 2954833556, 2954833559, 'IE', 'Ireland'),
(83932, '176.31.46.152', '176.31.46.155', 2954833560, 2954833563, 'IT', 'Italy'),
(83933, '176.31.46.156', '176.31.46.163', 2954833564, 2954833571, 'PL', 'Poland'),
(83934, '176.31.46.164', '176.31.46.167', 2954833572, 2954833575, 'FR', 'France'),
(83935, '176.31.46.168', '176.31.46.175', 2954833576, 2954833583, 'PL', 'Poland'),
(83936, '176.31.46.176', '176.31.46.179', 2954833584, 2954833587, 'FR', 'France'),
(83937, '176.31.46.180', '176.31.46.183', 2954833588, 2954833591, 'IT', 'Italy'),
(83938, '176.31.46.184', '176.31.46.187', 2954833592, 2954833595, 'GB', 'United Kingdom'),
(83939, '176.31.46.188', '176.31.46.191', 2954833596, 2954833599, 'FR', 'France'),
(83940, '176.31.46.192', '176.31.46.195', 2954833600, 2954833603, 'FI', 'Finland'),
(83941, '176.31.46.196', '176.31.46.199', 2954833604, 2954833607, 'FR', 'France'),
(83942, '176.31.46.200', '176.31.46.203', 2954833608, 2954833611, 'PL', 'Poland'),
(83943, '176.31.46.204', '176.31.46.207', 2954833612, 2954833615, 'ES', 'Spain'),
(83944, '176.31.46.208', '176.31.46.223', 2954833616, 2954833631, 'GB', 'United Kingdom'),
(83945, '176.31.46.224', '176.31.46.227', 2954833632, 2954833635, 'FR', 'France'),
(83946, '176.31.46.228', '176.31.46.231', 2954833636, 2954833639, 'CZ', 'Czech Republic'),
(83947, '176.31.46.232', '176.31.46.239', 2954833640, 2954833647, 'CH', 'Switzerland'),
(83948, '176.31.46.240', '176.31.46.255', 2954833648, 2954833663, 'FI', 'Finland'),
(83949, '176.31.47.0', '176.31.47.31', 2954833664, 2954833695, 'IE', 'Ireland'),
(83950, '176.31.47.32', '176.31.47.35', 2954833696, 2954833699, 'PL', 'Poland'),
(83951, '176.31.47.36', '176.31.47.39', 2954833700, 2954833703, 'BE', 'Belgium'),
(83952, '176.31.47.40', '176.31.47.43', 2954833704, 2954833707, 'FR', 'France'),
(83953, '176.31.47.44', '176.31.47.47', 2954833708, 2954833711, 'FI', 'Finland'),
(83954, '176.31.47.48', '176.31.47.55', 2954833712, 2954833719, 'PL', 'Poland'),
(83955, '176.31.47.56', '176.31.47.59', 2954833720, 2954833723, 'DE', 'Germany'),
(83956, '176.31.47.60', '176.31.47.63', 2954833724, 2954833727, 'PL', 'Poland'),
(83957, '176.31.47.64', '176.31.47.67', 2954833728, 2954833731, 'DE', 'Germany'),
(83958, '176.31.47.68', '176.31.47.71', 2954833732, 2954833735, 'FR', 'France'),
(83959, '176.31.47.72', '176.31.47.79', 2954833736, 2954833743, 'PT', 'Portugal'),
(83960, '176.31.47.80', '176.31.47.95', 2954833744, 2954833759, 'FR', 'France'),
(83961, '176.31.47.96', '176.31.47.127', 2954833760, 2954833791, 'BE', 'Belgium'),
(83962, '176.31.47.128', '176.31.47.143', 2954833792, 2954833807, 'PL', 'Poland'),
(83963, '176.31.47.144', '176.31.47.147', 2954833808, 2954833811, 'ES', 'Spain'),
(83964, '176.31.47.148', '176.31.47.151', 2954833812, 2954833815, 'PL', 'Poland'),
(83965, '176.31.47.152', '176.31.47.159', 2954833816, 2954833823, 'PT', 'Portugal'),
(83966, '176.31.47.160', '176.31.47.191', 2954833824, 2954833855, 'GB', 'United Kingdom'),
(83967, '176.31.47.192', '176.31.47.255', 2954833856, 2954833919, 'FR', 'France'),
(83968, '176.31.48.0', '176.31.48.7', 2954833920, 2954833927, 'PL', 'Poland'),
(83969, '176.31.48.8', '176.31.48.11', 2954833928, 2954833931, 'ES', 'Spain'),
(83970, '176.31.48.12', '176.31.48.15', 2954833932, 2954833935, 'FR', 'France'),
(83971, '176.31.48.16', '176.31.48.31', 2954833936, 2954833951, 'NL', 'Netherlands'),
(83972, '176.31.48.32', '176.31.48.47', 2954833952, 2954833967, 'FR', 'France'),
(83973, '176.31.48.48', '176.31.48.63', 2954833968, 2954833983, 'ES', 'Spain'),
(83974, '176.31.48.64', '176.31.48.79', 2954833984, 2954833999, 'FR', 'France'),
(83975, '176.31.48.80', '176.31.48.83', 2954834000, 2954834003, 'PL', 'Poland'),
(83976, '176.31.48.84', '176.31.48.87', 2954834004, 2954834007, 'DE', 'Germany'),
(83977, '176.31.48.88', '176.31.48.91', 2954834008, 2954834011, 'PL', 'Poland'),
(83978, '176.31.48.92', '176.31.48.95', 2954834012, 2954834015, 'GB', 'United Kingdom'),
(83979, '176.31.48.96', '176.31.48.127', 2954834016, 2954834047, 'PL', 'Poland'),
(83980, '176.31.48.128', '176.31.48.143', 2954834048, 2954834063, 'GB', 'United Kingdom'),
(83981, '176.31.48.144', '176.31.48.147', 2954834064, 2954834067, 'PL', 'Poland'),
(83982, '176.31.48.148', '176.31.48.151', 2954834068, 2954834071, 'NL', 'Netherlands'),
(83983, '176.31.48.152', '176.31.48.159', 2954834072, 2954834079, 'PL', 'Poland'),
(83984, '176.31.48.160', '176.31.48.175', 2954834080, 2954834095, 'FR', 'France'),
(83985, '176.31.48.176', '176.31.48.179', 2954834096, 2954834099, 'PL', 'Poland'),
(83986, '176.31.48.180', '176.31.48.183', 2954834100, 2954834103, 'CH', 'Switzerland'),
(83987, '176.31.48.184', '176.31.48.187', 2954834104, 2954834107, 'PL', 'Poland'),
(83988, '176.31.48.188', '176.31.48.191', 2954834108, 2954834111, 'PT', 'Portugal'),
(83989, '176.31.48.192', '176.31.48.223', 2954834112, 2954834143, 'FR', 'France'),
(83990, '176.31.48.224', '176.31.48.231', 2954834144, 2954834151, 'GB', 'United Kingdom'),
(83991, '176.31.48.232', '176.31.49.255', 2954834152, 2954834431, 'FR', 'France'),
(83992, '176.31.50.0', '176.31.50.3', 2954834432, 2954834435, 'PL', 'Poland'),
(83993, '176.31.50.4', '176.31.50.7', 2954834436, 2954834439, 'IE', 'Ireland'),
(83994, '176.31.50.8', '176.31.50.11', 2954834440, 2954834443, 'NL', 'Netherlands'),
(83995, '176.31.50.12', '176.31.50.15', 2954834444, 2954834447, 'LT', 'Lithuania'),
(83996, '176.31.50.16', '176.31.50.19', 2954834448, 2954834451, 'PL', 'Poland'),
(83997, '176.31.50.20', '176.31.50.27', 2954834452, 2954834459, 'IT', 'Italy'),
(83998, '176.31.50.28', '176.31.50.35', 2954834460, 2954834467, 'FR', 'France'),
(83999, '176.31.50.36', '176.31.50.47', 2954834468, 2954834479, 'ES', 'Spain'),
(84000, '176.31.50.48', '176.31.50.51', 2954834480, 2954834483, 'FR', 'France'),
(84001, '176.31.50.52', '176.31.50.59', 2954834484, 2954834491, 'ES', 'Spain'),
(84002, '176.31.50.60', '176.31.50.63', 2954834492, 2954834495, 'GB', 'United Kingdom'),
(84003, '176.31.50.64', '176.31.50.95', 2954834496, 2954834527, 'IT', 'Italy'),
(84004, '176.31.50.96', '176.31.50.99', 2954834528, 2954834531, 'FR', 'France'),
(84005, '176.31.50.100', '176.31.50.103', 2954834532, 2954834535, 'PL', 'Poland'),
(84006, '176.31.50.104', '176.31.50.107', 2954834536, 2954834539, 'FR', 'France'),
(84007, '176.31.50.108', '176.31.50.143', 2954834540, 2954834575, 'PL', 'Poland'),
(84008, '176.31.50.144', '176.31.50.147', 2954834576, 2954834579, 'GB', 'United Kingdom'),
(84009, '176.31.50.148', '176.31.50.151', 2954834580, 2954834583, 'IT', 'Italy'),
(84010, '176.31.50.152', '176.31.50.159', 2954834584, 2954834591, 'IE', 'Ireland'),
(84011, '176.31.50.160', '176.31.50.175', 2954834592, 2954834607, 'FR', 'France'),
(84012, '176.31.50.176', '176.31.50.179', 2954834608, 2954834611, 'PT', 'Portugal'),
(84013, '176.31.50.180', '176.31.50.183', 2954834612, 2954834615, 'ES', 'Spain'),
(84014, '176.31.50.184', '176.31.50.191', 2954834616, 2954834623, 'FR', 'France'),
(84015, '176.31.50.192', '176.31.50.195', 2954834624, 2954834627, 'PL', 'Poland'),
(84016, '176.31.50.196', '176.31.50.199', 2954834628, 2954834631, 'DE', 'Germany'),
(84017, '176.31.50.200', '176.31.50.203', 2954834632, 2954834635, 'IT', 'Italy'),
(84018, '176.31.50.204', '176.31.50.211', 2954834636, 2954834643, 'FR', 'France'),
(84019, '176.31.50.212', '176.31.50.215', 2954834644, 2954834647, 'GB', 'United Kingdom'),
(84020, '176.31.50.216', '176.31.50.219', 2954834648, 2954834651, 'FR', 'France'),
(84021, '176.31.50.220', '176.31.50.223', 2954834652, 2954834655, 'NL', 'Netherlands'),
(84022, '176.31.50.224', '176.31.50.231', 2954834656, 2954834663, 'DE', 'Germany'),
(84023, '176.31.50.232', '176.31.50.239', 2954834664, 2954834671, 'ES', 'Spain'),
(84024, '176.31.50.240', '176.31.50.243', 2954834672, 2954834675, 'NL', 'Netherlands'),
(84025, '176.31.50.244', '176.31.50.247', 2954834676, 2954834679, 'FR', 'France'),
(84026, '176.31.50.248', '176.31.50.251', 2954834680, 2954834683, 'ES', 'Spain'),
(84027, '176.31.50.252', '176.31.50.255', 2954834684, 2954834687, 'GB', 'United Kingdom'),
(84028, '176.31.51.0', '176.31.51.3', 2954834688, 2954834691, 'NL', 'Netherlands'),
(84029, '176.31.51.4', '176.31.51.7', 2954834692, 2954834695, 'PL', 'Poland'),
(84030, '176.31.51.8', '176.31.51.63', 2954834696, 2954834751, 'FR', 'France'),
(84031, '176.31.51.64', '176.31.51.67', 2954834752, 2954834755, 'PL', 'Poland'),
(84032, '176.31.51.68', '176.31.51.71', 2954834756, 2954834759, 'FR', 'France'),
(84033, '176.31.51.72', '176.31.51.75', 2954834760, 2954834763, 'PL', 'Poland'),
(84034, '176.31.51.76', '176.31.51.111', 2954834764, 2954834799, 'FR', 'France'),
(84035, '176.31.51.112', '176.31.51.115', 2954834800, 2954834803, 'GB', 'United Kingdom'),
(84036, '176.31.51.116', '176.31.51.119', 2954834804, 2954834807, 'FR', 'France'),
(84037, '176.31.51.120', '176.31.51.123', 2954834808, 2954834811, 'GB', 'United Kingdom'),
(84038, '176.31.51.124', '176.31.51.191', 2954834812, 2954834879, 'FR', 'France'),
(84039, '176.31.51.192', '176.31.51.223', 2954834880, 2954834911, 'PL', 'Poland'),
(84040, '176.31.51.224', '176.31.53.15', 2954834912, 2954835215, 'FR', 'France'),
(84041, '176.31.53.16', '176.31.53.23', 2954835216, 2954835223, 'IT', 'Italy'),
(84042, '176.31.53.24', '176.31.53.27', 2954835224, 2954835227, 'PT', 'Portugal'),
(84043, '176.31.53.28', '176.31.53.31', 2954835228, 2954835231, 'PL', 'Poland'),
(84044, '176.31.53.32', '176.31.53.63', 2954835232, 2954835263, 'FR', 'France'),
(84045, '176.31.53.64', '176.31.53.79', 2954835264, 2954835279, 'DE', 'Germany'),
(84046, '176.31.53.80', '176.31.53.83', 2954835280, 2954835283, 'FR', 'France'),
(84047, '176.31.53.84', '176.31.53.87', 2954835284, 2954835287, 'ES', 'Spain'),
(84048, '176.31.53.88', '176.31.53.95', 2954835288, 2954835295, 'IT', 'Italy'),
(84049, '176.31.53.96', '176.31.53.99', 2954835296, 2954835299, 'FR', 'France'),
(84050, '176.31.53.100', '176.31.53.103', 2954835300, 2954835303, 'LT', 'Lithuania'),
(84051, '176.31.53.104', '176.31.53.107', 2954835304, 2954835307, 'ES', 'Spain'),
(84052, '176.31.53.108', '176.31.53.111', 2954835308, 2954835311, 'GB', 'United Kingdom'),
(84053, '176.31.53.112', '176.31.53.127', 2954835312, 2954835327, 'FR', 'France'),
(84054, '176.31.53.128', '176.31.53.135', 2954835328, 2954835335, 'ES', 'Spain'),
(84055, '176.31.53.136', '176.31.53.159', 2954835336, 2954835359, 'IE', 'Ireland'),
(84056, '176.31.53.160', '176.31.53.163', 2954835360, 2954835363, 'BE', 'Belgium'),
(84057, '176.31.53.164', '176.31.53.167', 2954835364, 2954835367, 'NL', 'Netherlands'),
(84058, '176.31.53.168', '176.31.53.171', 2954835368, 2954835371, 'IT', 'Italy'),
(84059, '176.31.53.172', '176.31.53.175', 2954835372, 2954835375, 'FR', 'France'),
(84060, '176.31.53.176', '176.31.53.191', 2954835376, 2954835391, 'CH', 'Switzerland'),
(84061, '176.31.53.192', '176.31.53.199', 2954835392, 2954835399, 'DE', 'Germany'),
(84062, '176.31.53.200', '176.31.53.203', 2954835400, 2954835403, 'FR', 'France'),
(84063, '176.31.53.204', '176.31.53.207', 2954835404, 2954835407, 'ES', 'Spain'),
(84064, '176.31.53.208', '176.31.53.215', 2954835408, 2954835415, 'FR', 'France'),
(84065, '176.31.53.216', '176.31.53.219', 2954835416, 2954835419, 'CH', 'Switzerland'),
(84066, '176.31.53.220', '176.31.53.223', 2954835420, 2954835423, 'GB', 'United Kingdom'),
(84067, '176.31.53.224', '176.31.54.31', 2954835424, 2954835487, 'DE', 'Germany'),
(84068, '176.31.54.32', '176.31.54.55', 2954835488, 2954835511, 'FR', 'France'),
(84069, '176.31.54.56', '176.31.54.63', 2954835512, 2954835519, 'ES', 'Spain'),
(84070, '176.31.54.64', '176.31.54.83', 2954835520, 2954835539, 'PL', 'Poland'),
(84071, '176.31.54.84', '176.31.54.87', 2954835540, 2954835543, 'FR', 'France'),
(84072, '176.31.54.88', '176.31.54.91', 2954835544, 2954835547, 'GB', 'United Kingdom'),
(84073, '176.31.54.92', '176.31.54.95', 2954835548, 2954835551, 'PL', 'Poland'),
(84074, '176.31.54.96', '176.31.54.127', 2954835552, 2954835583, 'FR', 'France'),
(84075, '176.31.54.128', '176.31.54.143', 2954835584, 2954835599, 'PL', 'Poland'),
(84076, '176.31.54.144', '176.31.54.147', 2954835600, 2954835603, 'FR', 'France'),
(84077, '176.31.54.148', '176.31.54.155', 2954835604, 2954835611, 'DE', 'Germany'),
(84078, '176.31.54.156', '176.31.54.159', 2954835612, 2954835615, 'PL', 'Poland'),
(84079, '176.31.54.160', '176.31.54.163', 2954835616, 2954835619, 'CZ', 'Czech Republic'),
(84080, '176.31.54.164', '176.31.54.167', 2954835620, 2954835623, 'ES', 'Spain'),
(84081, '176.31.54.168', '176.31.54.171', 2954835624, 2954835627, 'DE', 'Germany'),
(84082, '176.31.54.172', '176.31.54.179', 2954835628, 2954835635, 'ES', 'Spain'),
(84083, '176.31.54.180', '176.31.54.187', 2954835636, 2954835643, 'PT', 'Portugal'),
(84084, '176.31.54.188', '176.31.54.199', 2954835644, 2954835655, 'ES', 'Spain'),
(84085, '176.31.54.200', '176.31.54.203', 2954835656, 2954835659, 'PT', 'Portugal'),
(84086, '176.31.54.204', '176.31.54.207', 2954835660, 2954835663, 'FR', 'France'),
(84087, '176.31.54.208', '176.31.54.223', 2954835664, 2954835679, 'PL', 'Poland'),
(84088, '176.31.54.224', '176.31.54.231', 2954835680, 2954835687, 'DE', 'Germany'),
(84089, '176.31.54.232', '176.31.54.243', 2954835688, 2954835699, 'FR', 'France'),
(84090, '176.31.54.244', '176.31.54.255', 2954835700, 2954835711, 'ES', 'Spain'),
(84091, '176.31.55.0', '176.31.56.255', 2954835712, 2954836223, 'FR', 'France'),
(84092, '176.31.57.0', '176.31.57.63', 2954836224, 2954836287, 'DE', 'Germany'),
(84093, '176.31.57.64', '176.31.57.95', 2954836288, 2954836319, 'ES', 'Spain'),
(84094, '176.31.57.96', '176.31.57.111', 2954836320, 2954836335, 'FR', 'France'),
(84095, '176.31.57.112', '176.31.57.115', 2954836336, 2954836339, 'IT', 'Italy'),
(84096, '176.31.57.116', '176.31.57.119', 2954836340, 2954836343, 'FR', 'France'),
(84097, '176.31.57.120', '176.31.57.127', 2954836344, 2954836351, 'PL', 'Poland'),
(84098, '176.31.57.128', '176.31.57.143', 2954836352, 2954836367, 'FR', 'France'),
(84099, '176.31.57.144', '176.31.57.159', 2954836368, 2954836383, 'CZ', 'Czech Republic'),
(84100, '176.31.57.160', '176.31.57.183', 2954836384, 2954836407, 'FR', 'France'),
(84101, '176.31.57.184', '176.31.57.191', 2954836408, 2954836415, 'GB', 'United Kingdom'),
(84102, '176.31.57.192', '176.31.57.199', 2954836416, 2954836423, 'FR', 'France'),
(84103, '176.31.57.200', '176.31.57.207', 2954836424, 2954836431, 'GB', 'United Kingdom'),
(84104, '176.31.57.208', '176.31.57.211', 2954836432, 2954836435, 'IT', 'Italy'),
(84105, '176.31.57.212', '176.31.57.215', 2954836436, 2954836439, 'CH', 'Switzerland'),
(84106, '176.31.57.216', '176.31.57.223', 2954836440, 2954836447, 'GB', 'United Kingdom'),
(84107, '176.31.57.224', '176.31.57.255', 2954836448, 2954836479, 'DE', 'Germany'),
(84108, '176.31.58.0', '176.31.58.255', 2954836480, 2954836735, 'FR', 'France'),
(84109, '176.31.59.0', '176.31.59.7', 2954836736, 2954836743, 'ES', 'Spain'),
(84110, '176.31.59.8', '176.31.59.23', 2954836744, 2954836759, 'FR', 'France'),
(84111, '176.31.59.24', '176.31.59.31', 2954836760, 2954836767, 'CH', 'Switzerland'),
(84112, '176.31.59.32', '176.31.59.127', 2954836768, 2954836863, 'FR', 'France'),
(84113, '176.31.59.128', '176.31.59.139', 2954836864, 2954836875, 'ES', 'Spain'),
(84114, '176.31.59.140', '176.31.59.143', 2954836876, 2954836879, 'A1', 'Anonymous Proxy'),
(84115, '176.31.59.144', '176.31.59.159', 2954836880, 2954836895, 'IT', 'Italy'),
(84116, '176.31.59.160', '176.31.59.167', 2954836896, 2954836903, 'PL', 'Poland'),
(84117, '176.31.59.168', '176.31.59.191', 2954836904, 2954836927, 'FR', 'France'),
(84118, '176.31.59.192', '176.31.59.223', 2954836928, 2954836959, 'DE', 'Germany'),
(84119, '176.31.59.224', '176.31.59.239', 2954836960, 2954836975, 'CH', 'Switzerland'),
(84120, '176.31.59.240', '176.31.59.243', 2954836976, 2954836979, 'ES', 'Spain'),
(84121, '176.31.59.244', '176.31.59.247', 2954836980, 2954836983, 'NL', 'Netherlands'),
(84122, '176.31.59.248', '176.31.59.255', 2954836984, 2954836991, 'GB', 'United Kingdom'),
(84123, '176.31.60.0', '176.31.60.31', 2954836992, 2954837023, 'PT', 'Portugal'),
(84124, '176.31.60.32', '176.31.60.63', 2954837024, 2954837055, 'DE', 'Germany'),
(84125, '176.31.60.64', '176.31.60.79', 2954837056, 2954837071, 'IT', 'Italy'),
(84126, '176.31.60.80', '176.31.60.83', 2954837072, 2954837075, 'ES', 'Spain'),
(84127, '176.31.60.84', '176.31.60.87', 2954837076, 2954837079, 'FR', 'France'),
(84128, '176.31.60.88', '176.31.60.91', 2954837080, 2954837083, 'FI', 'Finland'),
(84129, '176.31.60.92', '176.31.60.95', 2954837084, 2954837087, 'GB', 'United Kingdom'),
(84130, '176.31.60.96', '176.31.60.99', 2954837088, 2954837091, 'ES', 'Spain'),
(84131, '176.31.60.100', '176.31.60.103', 2954837092, 2954837095, 'FR', 'France'),
(84132, '176.31.60.104', '176.31.60.111', 2954837096, 2954837103, 'DE', 'Germany'),
(84133, '176.31.60.112', '176.31.60.131', 2954837104, 2954837123, 'FR', 'France'),
(84134, '176.31.60.132', '176.31.60.135', 2954837124, 2954837127, 'IE', 'Ireland'),
(84135, '176.31.60.136', '176.31.60.139', 2954837128, 2954837131, 'DE', 'Germany'),
(84136, '176.31.60.140', '176.31.60.143', 2954837132, 2954837135, 'FI', 'Finland'),
(84137, '176.31.60.144', '176.31.60.159', 2954837136, 2954837151, 'PL', 'Poland'),
(84138, '176.31.60.160', '176.31.60.223', 2954837152, 2954837215, 'FR', 'France'),
(84139, '176.31.60.224', '176.31.60.255', 2954837216, 2954837247, 'PL', 'Poland'),
(84140, '176.31.61.0', '176.31.61.47', 2954837248, 2954837295, 'DE', 'Germany'),
(84141, '176.31.61.48', '176.31.61.63', 2954837296, 2954837311, 'FR', 'France'),
(84142, '176.31.61.64', '176.31.61.71', 2954837312, 2954837319, 'FI', 'Finland'),
(84143, '176.31.61.72', '176.31.61.79', 2954837320, 2954837327, 'NL', 'Netherlands'),
(84144, '176.31.61.80', '176.31.61.87', 2954837328, 2954837335, 'GB', 'United Kingdom'),
(84145, '176.31.61.88', '176.31.61.95', 2954837336, 2954837343, 'LT', 'Lithuania'),
(84146, '176.31.61.96', '176.31.61.103', 2954837344, 2954837351, 'FR', 'France'),
(84147, '176.31.61.104', '176.31.61.107', 2954837352, 2954837355, 'PL', 'Poland'),
(84148, '176.31.61.108', '176.31.61.127', 2954837356, 2954837375, 'FR', 'France'),
(84149, '176.31.61.128', '176.31.61.135', 2954837376, 2954837383, 'LT', 'Lithuania'),
(84150, '176.31.61.136', '176.31.61.143', 2954837384, 2954837391, 'PL', 'Poland'),
(84151, '176.31.61.144', '176.31.61.159', 2954837392, 2954837407, 'FR', 'France'),
(84152, '176.31.61.160', '176.31.61.175', 2954837408, 2954837423, 'ES', 'Spain'),
(84153, '176.31.61.176', '176.31.61.179', 2954837424, 2954837427, 'FR', 'France'),
(84154, '176.31.61.180', '176.31.61.187', 2954837428, 2954837435, 'GB', 'United Kingdom'),
(84155, '176.31.61.188', '176.31.61.191', 2954837436, 2954837439, 'FR', 'France'),
(84156, '176.31.61.192', '176.31.61.223', 2954837440, 2954837471, 'GB', 'United Kingdom'),
(84157, '176.31.61.224', '176.31.61.235', 2954837472, 2954837483, 'ES', 'Spain'),
(84158, '176.31.61.236', '176.31.61.239', 2954837484, 2954837487, 'PL', 'Poland'),
(84159, '176.31.61.240', '176.31.61.247', 2954837488, 2954837495, 'CH', 'Switzerland'),
(84160, '176.31.61.248', '176.31.62.31', 2954837496, 2954837535, 'FR', 'France'),
(84161, '176.31.62.32', '176.31.62.39', 2954837536, 2954837543, 'GB', 'United Kingdom'),
(84162, '176.31.62.40', '176.31.62.47', 2954837544, 2954837551, 'IT', 'Italy'),
(84163, '176.31.62.48', '176.31.62.51', 2954837552, 2954837555, 'LT', 'Lithuania'),
(84164, '176.31.62.52', '176.31.62.55', 2954837556, 2954837559, 'FR', 'France'),
(84165, '176.31.62.56', '176.31.62.59', 2954837560, 2954837563, 'GB', 'United Kingdom'),
(84166, '176.31.62.60', '176.31.62.63', 2954837564, 2954837567, 'PT', 'Portugal'),
(84167, '176.31.62.64', '176.31.62.67', 2954837568, 2954837571, 'FR', 'France'),
(84168, '176.31.62.68', '176.31.62.71', 2954837572, 2954837575, 'GB', 'United Kingdom'),
(84169, '176.31.62.72', '176.31.62.75', 2954837576, 2954837579, 'NL', 'Netherlands'),
(84170, '176.31.62.76', '176.31.62.79', 2954837580, 2954837583, 'GB', 'United Kingdom'),
(84171, '176.31.62.80', '176.31.62.87', 2954837584, 2954837591, 'IE', 'Ireland'),
(84172, '176.31.62.88', '176.31.62.95', 2954837592, 2954837599, 'PL', 'Poland'),
(84173, '176.31.62.96', '176.31.62.127', 2954837600, 2954837631, 'DE', 'Germany'),
(84174, '176.31.62.128', '176.31.62.135', 2954837632, 2954837639, 'FR', 'France'),
(84175, '176.31.62.136', '176.31.62.139', 2954837640, 2954837643, 'PL', 'Poland'),
(84176, '176.31.62.140', '176.31.62.143', 2954837644, 2954837647, 'GB', 'United Kingdom'),
(84177, '176.31.62.144', '176.31.62.147', 2954837648, 2954837651, 'NL', 'Netherlands'),
(84178, '176.31.62.148', '176.31.62.163', 2954837652, 2954837667, 'FR', 'France'),
(84179, '176.31.62.164', '176.31.62.167', 2954837668, 2954837671, 'CZ', 'Czech Republic'),
(84180, '176.31.62.168', '176.31.62.175', 2954837672, 2954837679, 'BE', 'Belgium'),
(84181, '176.31.62.176', '176.31.62.183', 2954837680, 2954837687, 'FR', 'France'),
(84182, '176.31.62.184', '176.31.62.191', 2954837688, 2954837695, 'NL', 'Netherlands'),
(84183, '176.31.62.192', '176.31.62.223', 2954837696, 2954837727, 'FR', 'France'),
(84184, '176.31.62.224', '176.31.62.239', 2954837728, 2954837743, 'GB', 'United Kingdom'),
(84185, '176.31.62.240', '176.31.63.15', 2954837744, 2954837775, 'FR', 'France'),
(84186, '176.31.63.16', '176.31.63.31', 2954837776, 2954837791, 'DE', 'Germany'),
(84187, '176.31.63.32', '176.31.63.63', 2954837792, 2954837823, 'GB', 'United Kingdom'),
(84188, '176.31.63.64', '176.31.63.67', 2954837824, 2954837827, 'FR', 'France'),
(84189, '176.31.63.68', '176.31.63.71', 2954837828, 2954837831, 'DE', 'Germany'),
(84190, '176.31.63.72', '176.31.63.79', 2954837832, 2954837839, 'PL', 'Poland'),
(84191, '176.31.63.80', '176.31.63.83', 2954837840, 2954837843, 'ES', 'Spain'),
(84192, '176.31.63.84', '176.31.63.91', 2954837844, 2954837851, 'FR', 'France'),
(84193, '176.31.63.92', '176.31.63.95', 2954837852, 2954837855, 'IT', 'Italy'),
(84194, '176.31.63.96', '176.31.63.127', 2954837856, 2954837887, 'DE', 'Germany'),
(84195, '176.31.63.128', '176.31.63.143', 2954837888, 2954837903, 'IT', 'Italy'),
(84196, '176.31.63.144', '176.31.63.159', 2954837904, 2954837919, 'FR', 'France'),
(84197, '176.31.63.160', '176.31.63.191', 2954837920, 2954837951, 'DE', 'Germany'),
(84198, '176.31.63.192', '176.31.63.255', 2954837952, 2954838015, 'FR', 'France'),
(84199, '176.31.64.0', '176.31.64.3', 2954838016, 2954838019, 'PL', 'Poland'),
(84200, '176.31.64.4', '176.31.64.31', 2954838020, 2954838047, 'FR', 'France'),
(84201, '176.31.64.32', '176.31.64.39', 2954838048, 2954838055, 'DE', 'Germany'),
(84202, '176.31.64.40', '176.31.64.55', 2954838056, 2954838071, 'FR', 'France'),
(84203, '176.31.64.56', '176.31.64.59', 2954838072, 2954838075, 'CH', 'Switzerland'),
(84204, '176.31.64.60', '176.31.64.63', 2954838076, 2954838079, 'PT', 'Portugal'),
(84205, '176.31.64.64', '176.31.64.71', 2954838080, 2954838087, 'FR', 'France'),
(84206, '176.31.64.72', '176.31.64.75', 2954838088, 2954838091, 'IT', 'Italy'),
(84207, '176.31.64.76', '176.31.64.79', 2954838092, 2954838095, 'FR', 'France'),
(84208, '176.31.64.80', '176.31.64.83', 2954838096, 2954838099, 'ES', 'Spain'),
(84209, '176.31.64.84', '176.31.64.95', 2954838100, 2954838111, 'FR', 'France'),
(84210, '176.31.64.96', '176.31.64.99', 2954838112, 2954838115, 'CZ', 'Czech Republic'),
(84211, '176.31.64.100', '176.31.64.103', 2954838116, 2954838119, 'GB', 'United Kingdom'),
(84212, '176.31.64.104', '176.31.64.107', 2954838120, 2954838123, 'CZ', 'Czech Republic'),
(84213, '176.31.64.108', '176.31.64.111', 2954838124, 2954838127, 'IT', 'Italy'),
(84214, '176.31.64.112', '176.31.64.115', 2954838128, 2954838131, 'GB', 'United Kingdom'),
(84215, '176.31.64.116', '176.31.64.119', 2954838132, 2954838135, 'FR', 'France'),
(84216, '176.31.64.120', '176.31.64.123', 2954838136, 2954838139, 'ES', 'Spain'),
(84217, '176.31.64.124', '176.31.64.127', 2954838140, 2954838143, 'CH', 'Switzerland'),
(84218, '176.31.64.128', '176.31.64.135', 2954838144, 2954838151, 'FR', 'France'),
(84219, '176.31.64.136', '176.31.64.143', 2954838152, 2954838159, 'BE', 'Belgium'),
(84220, '176.31.64.144', '176.31.64.147', 2954838160, 2954838163, 'FR', 'France'),
(84221, '176.31.64.148', '176.31.64.151', 2954838164, 2954838167, 'GB', 'United Kingdom'),
(84222, '176.31.64.152', '176.31.64.155', 2954838168, 2954838171, 'NL', 'Netherlands'),
(84223, '176.31.64.156', '176.31.64.159', 2954838172, 2954838175, 'IT', 'Italy'),
(84224, '176.31.64.160', '176.31.64.163', 2954838176, 2954838179, 'GB', 'United Kingdom'),
(84225, '176.31.64.164', '176.31.64.167', 2954838180, 2954838183, 'DE', 'Germany'),
(84226, '176.31.64.168', '176.31.64.175', 2954838184, 2954838191, 'IT', 'Italy'),
(84227, '176.31.64.176', '176.31.64.183', 2954838192, 2954838199, 'GB', 'United Kingdom'),
(84228, '176.31.64.184', '176.31.64.195', 2954838200, 2954838211, 'ES', 'Spain'),
(84229, '176.31.64.196', '176.31.64.199', 2954838212, 2954838215, 'IE', 'Ireland'),
(84230, '176.31.64.200', '176.31.64.203', 2954838216, 2954838219, 'GB', 'United Kingdom'),
(84231, '176.31.64.204', '176.31.64.207', 2954838220, 2954838223, 'ES', 'Spain'),
(84232, '176.31.64.208', '176.31.64.223', 2954838224, 2954838239, 'FR', 'France'),
(84233, '176.31.64.224', '176.31.64.247', 2954838240, 2954838263, 'PL', 'Poland'),
(84234, '176.31.64.248', '176.31.64.255', 2954838264, 2954838271, 'IT', 'Italy'),
(84235, '176.31.65.0', '176.31.65.7', 2954838272, 2954838279, 'DE', 'Germany'),
(84236, '176.31.65.8', '176.31.65.15', 2954838280, 2954838287, 'IT', 'Italy'),
(84237, '176.31.65.16', '176.31.65.31', 2954838288, 2954838303, 'BE', 'Belgium'),
(84238, '176.31.65.32', '176.31.65.79', 2954838304, 2954838351, 'FR', 'France'),
(84239, '176.31.65.80', '176.31.65.95', 2954838352, 2954838367, 'DE', 'Germany'),
(84240, '176.31.65.96', '176.31.65.103', 2954838368, 2954838375, 'FR', 'France'),
(84241, '176.31.65.104', '176.31.65.107', 2954838376, 2954838379, 'NL', 'Netherlands'),
(84242, '176.31.65.108', '176.31.65.111', 2954838380, 2954838383, 'PL', 'Poland'),
(84243, '176.31.65.112', '176.31.65.115', 2954838384, 2954838387, 'FR', 'France'),
(84244, '176.31.65.116', '176.31.65.119', 2954838388, 2954838391, 'CH', 'Switzerland'),
(84245, '176.31.65.120', '176.31.65.123', 2954838392, 2954838395, 'GB', 'United Kingdom'),
(84246, '176.31.65.124', '176.31.65.127', 2954838396, 2954838399, 'IE', 'Ireland'),
(84247, '176.31.65.128', '176.31.65.159', 2954838400, 2954838431, 'DE', 'Germany'),
(84248, '176.31.65.160', '176.31.65.163', 2954838432, 2954838435, 'CH', 'Switzerland'),
(84249, '176.31.65.164', '176.31.65.175', 2954838436, 2954838447, 'FR', 'France'),
(84250, '176.31.65.176', '176.31.65.183', 2954838448, 2954838455, 'NL', 'Netherlands'),
(84251, '176.31.65.184', '176.31.65.195', 2954838456, 2954838467, 'FR', 'France'),
(84252, '176.31.65.196', '176.31.65.203', 2954838468, 2954838475, 'PL', 'Poland'),
(84253, '176.31.65.204', '176.31.65.207', 2954838476, 2954838479, 'IT', 'Italy'),
(84254, '176.31.65.208', '176.31.65.239', 2954838480, 2954838511, 'FR', 'France'),
(84255, '176.31.65.240', '176.31.65.247', 2954838512, 2954838519, 'IT', 'Italy'),
(84256, '176.31.65.248', '176.31.65.251', 2954838520, 2954838523, 'DE', 'Germany'),
(84257, '176.31.65.252', '176.31.65.255', 2954838524, 2954838527, 'IE', 'Ireland'),
(84258, '176.31.66.0', '176.31.66.3', 2954838528, 2954838531, 'IT', 'Italy'),
(84259, '176.31.66.4', '176.31.66.7', 2954838532, 2954838535, 'GB', 'United Kingdom'),
(84260, '176.31.66.8', '176.31.66.11', 2954838536, 2954838539, 'PL', 'Poland'),
(84261, '176.31.66.12', '176.31.66.15', 2954838540, 2954838543, 'CH', 'Switzerland'),
(84262, '176.31.66.16', '176.31.66.31', 2954838544, 2954838559, 'PL', 'Poland'),
(84263, '176.31.66.32', '176.31.66.47', 2954838560, 2954838575, 'FR', 'France'),
(84264, '176.31.66.48', '176.31.66.55', 2954838576, 2954838583, 'IT', 'Italy'),
(84265, '176.31.66.56', '176.31.66.63', 2954838584, 2954838591, 'BE', 'Belgium'),
(84266, '176.31.66.64', '176.31.66.71', 2954838592, 2954838599, 'DE', 'Germany'),
(84267, '176.31.66.72', '176.31.66.79', 2954838600, 2954838607, 'GB', 'United Kingdom'),
(84268, '176.31.66.80', '176.31.66.87', 2954838608, 2954838615, 'NL', 'Netherlands'),
(84269, '176.31.66.88', '176.31.66.95', 2954838616, 2954838623, 'FR', 'France'),
(84270, '176.31.66.96', '176.31.66.111', 2954838624, 2954838639, 'IT', 'Italy'),
(84271, '176.31.66.112', '176.31.66.115', 2954838640, 2954838643, 'GB', 'United Kingdom'),
(84272, '176.31.66.116', '176.31.66.119', 2954838644, 2954838647, 'DE', 'Germany'),
(84273, '176.31.66.120', '176.31.66.127', 2954838648, 2954838655, 'PL', 'Poland'),
(84274, '176.31.66.128', '176.31.66.191', 2954838656, 2954838719, 'IE', 'Ireland'),
(84275, '176.31.66.192', '176.31.66.223', 2954838720, 2954838751, 'FR', 'France'),
(84276, '176.31.66.224', '176.31.66.239', 2954838752, 2954838767, 'BE', 'Belgium'),
(84277, '176.31.66.240', '176.31.67.131', 2954838768, 2954838915, 'FR', 'France'),
(84278, '176.31.67.132', '176.31.67.143', 2954838916, 2954838927, 'GB', 'United Kingdom'),
(84279, '176.31.67.144', '176.31.67.147', 2954838928, 2954838931, 'FR', 'France'),
(84280, '176.31.67.148', '176.31.67.151', 2954838932, 2954838935, 'GB', 'United Kingdom'),
(84281, '176.31.67.152', '176.31.67.155', 2954838936, 2954838939, 'FR', 'France'),
(84282, '176.31.67.156', '176.31.67.159', 2954838940, 2954838943, 'IE', 'Ireland'),
(84283, '176.31.67.160', '176.31.67.207', 2954838944, 2954838991, 'FR', 'France'),
(84284, '176.31.67.208', '176.31.67.211', 2954838992, 2954838995, 'DE', 'Germany'),
(84285, '176.31.67.212', '176.31.67.215', 2954838996, 2954838999, 'ES', 'Spain'),
(84286, '176.31.67.216', '176.31.67.223', 2954839000, 2954839007, 'GB', 'United Kingdom'),
(84287, '176.31.67.224', '176.31.67.255', 2954839008, 2954839039, 'FR', 'France'),
(84288, '176.31.68.0', '176.31.68.67', 2954839040, 2954839107, 'GB', 'United Kingdom'),
(84289, '176.31.68.68', '176.31.68.71', 2954839108, 2954839111, 'BE', 'Belgium'),
(84290, '176.31.68.72', '176.31.68.79', 2954839112, 2954839119, 'ES', 'Spain'),
(84291, '176.31.68.80', '176.31.68.87', 2954839120, 2954839127, 'NL', 'Netherlands'),
(84292, '176.31.68.88', '176.31.68.95', 2954839128, 2954839135, 'GB', 'United Kingdom'),
(84293, '176.31.68.96', '176.31.68.127', 2954839136, 2954839167, 'DE', 'Germany'),
(84294, '176.31.68.128', '176.31.68.159', 2954839168, 2954839199, 'PL', 'Poland'),
(84295, '176.31.68.160', '176.31.68.191', 2954839200, 2954839231, 'DE', 'Germany'),
(84296, '176.31.68.192', '176.31.68.207', 2954839232, 2954839247, 'IE', 'Ireland'),
(84297, '176.31.68.208', '176.31.68.211', 2954839248, 2954839251, 'GB', 'United Kingdom'),
(84298, '176.31.68.212', '176.31.68.223', 2954839252, 2954839263, 'FR', 'France'),
(84299, '176.31.68.224', '176.31.68.227', 2954839264, 2954839267, 'PL', 'Poland'),
(84300, '176.31.68.228', '176.31.68.231', 2954839268, 2954839271, 'FR', 'France'),
(84301, '176.31.68.232', '176.31.68.239', 2954839272, 2954839279, 'GB', 'United Kingdom'),
(84302, '176.31.68.240', '176.31.69.7', 2954839280, 2954839303, 'FR', 'France'),
(84303, '176.31.69.8', '176.31.69.15', 2954839304, 2954839311, 'GB', 'United Kingdom'),
(84304, '176.31.69.16', '176.31.69.23', 2954839312, 2954839319, 'PL', 'Poland'),
(84305, '176.31.69.24', '176.31.69.47', 2954839320, 2954839343, 'GB', 'United Kingdom'),
(84306, '176.31.69.48', '176.31.69.51', 2954839344, 2954839347, 'ES', 'Spain'),
(84307, '176.31.69.52', '176.31.69.55', 2954839348, 2954839351, 'IT', 'Italy'),
(84308, '176.31.69.56', '176.31.69.59', 2954839352, 2954839355, 'NL', 'Netherlands'),
(84309, '176.31.69.60', '176.31.69.63', 2954839356, 2954839359, 'ES', 'Spain'),
(84310, '176.31.69.64', '176.31.69.71', 2954839360, 2954839367, 'FR', 'France'),
(84311, '176.31.69.72', '176.31.69.75', 2954839368, 2954839371, 'GB', 'United Kingdom'),
(84312, '176.31.69.76', '176.31.69.79', 2954839372, 2954839375, 'FR', 'France'),
(84313, '176.31.69.80', '176.31.69.87', 2954839376, 2954839383, 'GB', 'United Kingdom'),
(84314, '176.31.69.88', '176.31.69.95', 2954839384, 2954839391, 'FR', 'France'),
(84315, '176.31.69.96', '176.31.69.99', 2954839392, 2954839395, 'PL', 'Poland'),
(84316, '176.31.69.100', '176.31.69.103', 2954839396, 2954839399, 'GB', 'United Kingdom'),
(84317, '176.31.69.104', '176.31.69.111', 2954839400, 2954839407, 'FR', 'France'),
(84318, '176.31.69.112', '176.31.69.127', 2954839408, 2954839423, 'IE', 'Ireland'),
(84319, '176.31.69.128', '176.31.69.159', 2954839424, 2954839455, 'GB', 'United Kingdom'),
(84320, '176.31.69.160', '176.31.69.175', 2954839456, 2954839471, 'PL', 'Poland'),
(84321, '176.31.69.176', '176.31.69.183', 2954839472, 2954839479, 'BE', 'Belgium'),
(84322, '176.31.69.184', '176.31.69.187', 2954839480, 2954839483, 'DE', 'Germany'),
(84323, '176.31.69.188', '176.31.69.191', 2954839484, 2954839487, 'FR', 'France'),
(84324, '176.31.69.192', '176.31.69.223', 2954839488, 2954839519, 'ES', 'Spain'),
(84325, '176.31.69.224', '176.31.69.227', 2954839520, 2954839523, 'GB', 'United Kingdom'),
(84326, '176.31.69.228', '176.31.69.231', 2954839524, 2954839527, 'PL', 'Poland'),
(84327, '176.31.69.232', '176.31.69.239', 2954839528, 2954839535, 'GB', 'United Kingdom'),
(84328, '176.31.69.240', '176.31.69.247', 2954839536, 2954839543, 'FR', 'France'),
(84329, '176.31.69.248', '176.31.69.255', 2954839544, 2954839551, 'ES', 'Spain'),
(84330, '176.31.70.0', '176.31.71.255', 2954839552, 2954840063, 'DE', 'Germany'),
(84331, '176.31.72.0', '176.31.72.31', 2954840064, 2954840095, 'FR', 'France'),
(84332, '176.31.72.32', '176.31.72.39', 2954840096, 2954840103, 'ES', 'Spain'),
(84333, '176.31.72.40', '176.31.72.43', 2954840104, 2954840107, 'GB', 'United Kingdom'),
(84334, '176.31.72.44', '176.31.72.47', 2954840108, 2954840111, 'ES', 'Spain'),
(84335, '176.31.72.48', '176.31.72.51', 2954840112, 2954840115, 'FR', 'France'),
(84336, '176.31.72.52', '176.31.72.55', 2954840116, 2954840119, 'PL', 'Poland'),
(84337, '176.31.72.56', '176.31.72.59', 2954840120, 2954840123, 'ES', 'Spain'),
(84338, '176.31.72.60', '176.31.72.63', 2954840124, 2954840127, 'PL', 'Poland'),
(84339, '176.31.72.64', '176.31.72.75', 2954840128, 2954840139, 'FR', 'France'),
(84340, '176.31.72.76', '176.31.72.79', 2954840140, 2954840143, 'PL', 'Poland'),
(84341, '176.31.72.80', '176.31.72.95', 2954840144, 2954840159, 'IE', 'Ireland'),
(84342, '176.31.72.96', '176.31.72.115', 2954840160, 2954840179, 'FR', 'France'),
(84343, '176.31.72.116', '176.31.72.119', 2954840180, 2954840183, 'IT', 'Italy'),
(84344, '176.31.72.120', '176.31.72.123', 2954840184, 2954840187, 'DE', 'Germany'),
(84345, '176.31.72.124', '176.31.72.127', 2954840188, 2954840191, 'PL', 'Poland'),
(84346, '176.31.72.128', '176.31.72.159', 2954840192, 2954840223, 'FR', 'France'),
(84347, '176.31.72.160', '176.31.73.159', 2954840224, 2954840479, 'PL', 'Poland'),
(84348, '176.31.73.160', '176.31.73.175', 2954840480, 2954840495, 'FR', 'France'),
(84349, '176.31.73.176', '176.31.73.179', 2954840496, 2954840499, 'DE', 'Germany'),
(84350, '176.31.73.180', '176.31.73.183', 2954840500, 2954840503, 'ES', 'Spain'),
(84351, '176.31.73.184', '176.31.73.187', 2954840504, 2954840507, 'FR', 'France'),
(84352, '176.31.73.188', '176.31.73.199', 2954840508, 2954840519, 'PL', 'Poland'),
(84353, '176.31.73.200', '176.31.73.203', 2954840520, 2954840523, 'FR', 'France'),
(84354, '176.31.73.204', '176.31.73.207', 2954840524, 2954840527, 'ES', 'Spain'),
(84355, '176.31.73.208', '176.31.73.223', 2954840528, 2954840543, 'FR', 'France'),
(84356, '176.31.73.224', '176.31.73.255', 2954840544, 2954840575, 'ES', 'Spain'),
(84357, '176.31.74.0', '176.31.74.15', 2954840576, 2954840591, 'FI', 'Finland'),
(84358, '176.31.74.16', '176.31.74.31', 2954840592, 2954840607, 'ES', 'Spain'),
(84359, '176.31.74.32', '176.31.74.47', 2954840608, 2954840623, 'FR', 'France'),
(84360, '176.31.74.48', '176.31.74.55', 2954840624, 2954840631, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(84361, '176.31.74.56', '176.31.74.63', 2954840632, 2954840639, 'ES', 'Spain'),
(84362, '176.31.74.64', '176.31.74.71', 2954840640, 2954840647, 'FR', 'France'),
(84363, '176.31.74.72', '176.31.74.79', 2954840648, 2954840655, 'PL', 'Poland'),
(84364, '176.31.74.80', '176.31.74.87', 2954840656, 2954840663, 'FR', 'France'),
(84365, '176.31.74.88', '176.31.74.95', 2954840664, 2954840671, 'PL', 'Poland'),
(84366, '176.31.74.96', '176.31.74.127', 2954840672, 2954840703, 'IT', 'Italy'),
(84367, '176.31.74.128', '176.31.74.143', 2954840704, 2954840719, 'FR', 'France'),
(84368, '176.31.74.144', '176.31.74.151', 2954840720, 2954840727, 'GB', 'United Kingdom'),
(84369, '176.31.74.152', '176.31.74.155', 2954840728, 2954840731, 'ES', 'Spain'),
(84370, '176.31.74.156', '176.31.74.167', 2954840732, 2954840743, 'DE', 'Germany'),
(84371, '176.31.74.168', '176.31.74.175', 2954840744, 2954840751, 'GB', 'United Kingdom'),
(84372, '176.31.74.176', '176.31.74.179', 2954840752, 2954840755, 'FR', 'France'),
(84373, '176.31.74.180', '176.31.74.183', 2954840756, 2954840759, 'ES', 'Spain'),
(84374, '176.31.74.184', '176.31.74.187', 2954840760, 2954840763, 'GB', 'United Kingdom'),
(84375, '176.31.74.188', '176.31.74.191', 2954840764, 2954840767, 'PL', 'Poland'),
(84376, '176.31.74.192', '176.31.74.199', 2954840768, 2954840775, 'GB', 'United Kingdom'),
(84377, '176.31.74.200', '176.31.74.203', 2954840776, 2954840779, 'FR', 'France'),
(84378, '176.31.74.204', '176.31.74.207', 2954840780, 2954840783, 'NL', 'Netherlands'),
(84379, '176.31.74.208', '176.31.74.255', 2954840784, 2954840831, 'FR', 'France'),
(84380, '176.31.75.0', '176.31.75.15', 2954840832, 2954840847, 'NL', 'Netherlands'),
(84381, '176.31.75.16', '176.31.75.19', 2954840848, 2954840851, 'CH', 'Switzerland'),
(84382, '176.31.75.20', '176.31.75.23', 2954840852, 2954840855, 'BE', 'Belgium'),
(84383, '176.31.75.24', '176.31.75.27', 2954840856, 2954840859, 'DE', 'Germany'),
(84384, '176.31.75.28', '176.31.75.31', 2954840860, 2954840863, 'ES', 'Spain'),
(84385, '176.31.75.32', '176.31.75.71', 2954840864, 2954840903, 'FR', 'France'),
(84386, '176.31.75.72', '176.31.75.75', 2954840904, 2954840907, 'PL', 'Poland'),
(84387, '176.31.75.76', '176.31.75.79', 2954840908, 2954840911, 'ES', 'Spain'),
(84388, '176.31.75.80', '176.31.75.87', 2954840912, 2954840919, 'DE', 'Germany'),
(84389, '176.31.75.88', '176.31.75.95', 2954840920, 2954840927, 'FR', 'France'),
(84390, '176.31.75.96', '176.31.75.99', 2954840928, 2954840931, 'IT', 'Italy'),
(84391, '176.31.75.100', '176.31.75.107', 2954840932, 2954840939, 'FR', 'France'),
(84392, '176.31.75.108', '176.31.75.111', 2954840940, 2954840943, 'ES', 'Spain'),
(84393, '176.31.75.112', '176.31.75.127', 2954840944, 2954840959, 'FR', 'France'),
(84394, '176.31.75.128', '176.31.75.191', 2954840960, 2954841023, 'IT', 'Italy'),
(84395, '176.31.75.192', '176.31.76.3', 2954841024, 2954841091, 'ES', 'Spain'),
(84396, '176.31.76.4', '176.31.76.7', 2954841092, 2954841095, 'PL', 'Poland'),
(84397, '176.31.76.8', '176.31.76.15', 2954841096, 2954841103, 'GB', 'United Kingdom'),
(84398, '176.31.76.16', '176.31.76.23', 2954841104, 2954841111, 'ES', 'Spain'),
(84399, '176.31.76.24', '176.31.76.63', 2954841112, 2954841151, 'FR', 'France'),
(84400, '176.31.76.64', '176.31.76.95', 2954841152, 2954841183, 'ES', 'Spain'),
(84401, '176.31.76.96', '176.31.76.111', 2954841184, 2954841199, 'FR', 'France'),
(84402, '176.31.76.112', '176.31.76.115', 2954841200, 2954841203, 'CZ', 'Czech Republic'),
(84403, '176.31.76.116', '176.31.76.127', 2954841204, 2954841215, 'PL', 'Poland'),
(84404, '176.31.76.128', '176.31.76.151', 2954841216, 2954841239, 'DE', 'Germany'),
(84405, '176.31.76.152', '176.31.76.159', 2954841240, 2954841247, 'GB', 'United Kingdom'),
(84406, '176.31.76.160', '176.31.76.167', 2954841248, 2954841255, 'PL', 'Poland'),
(84407, '176.31.76.168', '176.31.76.171', 2954841256, 2954841259, 'ES', 'Spain'),
(84408, '176.31.76.172', '176.31.76.175', 2954841260, 2954841263, 'GB', 'United Kingdom'),
(84409, '176.31.76.176', '176.31.76.183', 2954841264, 2954841271, 'FR', 'France'),
(84410, '176.31.76.184', '176.31.76.187', 2954841272, 2954841275, 'IT', 'Italy'),
(84411, '176.31.76.188', '176.31.76.207', 2954841276, 2954841295, 'FR', 'France'),
(84412, '176.31.76.208', '176.31.76.211', 2954841296, 2954841299, 'ES', 'Spain'),
(84413, '176.31.76.212', '176.31.76.219', 2954841300, 2954841307, 'PL', 'Poland'),
(84414, '176.31.76.220', '176.31.76.223', 2954841308, 2954841311, 'GB', 'United Kingdom'),
(84415, '176.31.76.224', '176.31.77.127', 2954841312, 2954841471, 'FR', 'France'),
(84416, '176.31.77.128', '176.31.77.159', 2954841472, 2954841503, 'PL', 'Poland'),
(84417, '176.31.77.160', '176.31.77.163', 2954841504, 2954841507, 'DE', 'Germany'),
(84418, '176.31.77.164', '176.31.77.167', 2954841508, 2954841511, 'GB', 'United Kingdom'),
(84419, '176.31.77.168', '176.31.77.175', 2954841512, 2954841519, 'FR', 'France'),
(84420, '176.31.77.176', '176.31.77.179', 2954841520, 2954841523, 'PL', 'Poland'),
(84421, '176.31.77.180', '176.31.77.183', 2954841524, 2954841527, 'DE', 'Germany'),
(84422, '176.31.77.184', '176.31.77.191', 2954841528, 2954841535, 'FR', 'France'),
(84423, '176.31.77.192', '176.31.77.199', 2954841536, 2954841543, 'GB', 'United Kingdom'),
(84424, '176.31.77.200', '176.31.77.207', 2954841544, 2954841551, 'PL', 'Poland'),
(84425, '176.31.77.208', '176.31.77.211', 2954841552, 2954841555, 'FR', 'France'),
(84426, '176.31.77.212', '176.31.77.215', 2954841556, 2954841559, 'PL', 'Poland'),
(84427, '176.31.77.216', '176.31.77.219', 2954841560, 2954841563, 'FI', 'Finland'),
(84428, '176.31.77.220', '176.31.77.223', 2954841564, 2954841567, 'PL', 'Poland'),
(84429, '176.31.77.224', '176.31.77.247', 2954841568, 2954841591, 'ES', 'Spain'),
(84430, '176.31.77.248', '176.31.78.31', 2954841592, 2954841631, 'PL', 'Poland'),
(84431, '176.31.78.32', '176.31.78.43', 2954841632, 2954841643, 'FR', 'France'),
(84432, '176.31.78.44', '176.31.78.47', 2954841644, 2954841647, 'ES', 'Spain'),
(84433, '176.31.78.48', '176.31.78.55', 2954841648, 2954841655, 'FR', 'France'),
(84434, '176.31.78.56', '176.31.78.59', 2954841656, 2954841659, 'GB', 'United Kingdom'),
(84435, '176.31.78.60', '176.31.78.63', 2954841660, 2954841663, 'FR', 'France'),
(84436, '176.31.78.64', '176.31.78.67', 2954841664, 2954841667, 'IE', 'Ireland'),
(84437, '176.31.78.68', '176.31.78.71', 2954841668, 2954841671, 'NL', 'Netherlands'),
(84438, '176.31.78.72', '176.31.78.75', 2954841672, 2954841675, 'CH', 'Switzerland'),
(84439, '176.31.78.76', '176.31.78.79', 2954841676, 2954841679, 'FR', 'France'),
(84440, '176.31.78.80', '176.31.78.83', 2954841680, 2954841683, 'GB', 'United Kingdom'),
(84441, '176.31.78.84', '176.31.78.87', 2954841684, 2954841687, 'PT', 'Portugal'),
(84442, '176.31.78.88', '176.31.78.91', 2954841688, 2954841691, 'PL', 'Poland'),
(84443, '176.31.78.92', '176.31.78.95', 2954841692, 2954841695, 'FR', 'France'),
(84444, '176.31.78.96', '176.31.78.99', 2954841696, 2954841699, 'IT', 'Italy'),
(84445, '176.31.78.100', '176.31.78.103', 2954841700, 2954841703, 'FR', 'France'),
(84446, '176.31.78.104', '176.31.78.111', 2954841704, 2954841711, 'BE', 'Belgium'),
(84447, '176.31.78.112', '176.31.78.115', 2954841712, 2954841715, 'FR', 'France'),
(84448, '176.31.78.116', '176.31.78.119', 2954841716, 2954841719, 'CZ', 'Czech Republic'),
(84449, '176.31.78.120', '176.31.78.159', 2954841720, 2954841759, 'FR', 'France'),
(84450, '176.31.78.160', '176.31.78.183', 2954841760, 2954841783, 'PL', 'Poland'),
(84451, '176.31.78.184', '176.31.78.187', 2954841784, 2954841787, 'CZ', 'Czech Republic'),
(84452, '176.31.78.188', '176.31.78.195', 2954841788, 2954841795, 'ES', 'Spain'),
(84453, '176.31.78.196', '176.31.78.199', 2954841796, 2954841799, 'FR', 'France'),
(84454, '176.31.78.200', '176.31.78.203', 2954841800, 2954841803, 'PL', 'Poland'),
(84455, '176.31.78.204', '176.31.78.207', 2954841804, 2954841807, 'DE', 'Germany'),
(84456, '176.31.78.208', '176.31.78.211', 2954841808, 2954841811, 'FR', 'France'),
(84457, '176.31.78.212', '176.31.78.215', 2954841812, 2954841815, 'GB', 'United Kingdom'),
(84458, '176.31.78.216', '176.31.78.219', 2954841816, 2954841819, 'FR', 'France'),
(84459, '176.31.78.220', '176.31.78.223', 2954841820, 2954841823, 'GB', 'United Kingdom'),
(84460, '176.31.78.224', '176.31.78.251', 2954841824, 2954841851, 'FR', 'France'),
(84461, '176.31.78.252', '176.31.78.255', 2954841852, 2954841855, 'ES', 'Spain'),
(84462, '176.31.79.0', '176.31.79.19', 2954841856, 2954841875, 'FR', 'France'),
(84463, '176.31.79.20', '176.31.79.23', 2954841876, 2954841879, 'NL', 'Netherlands'),
(84464, '176.31.79.24', '176.31.79.31', 2954841880, 2954841887, 'PL', 'Poland'),
(84465, '176.31.79.32', '176.31.79.51', 2954841888, 2954841907, 'FR', 'France'),
(84466, '176.31.79.52', '176.31.79.55', 2954841908, 2954841911, 'PL', 'Poland'),
(84467, '176.31.79.56', '176.31.79.63', 2954841912, 2954841919, 'NL', 'Netherlands'),
(84468, '176.31.79.64', '176.31.79.71', 2954841920, 2954841927, 'GB', 'United Kingdom'),
(84469, '176.31.79.72', '176.31.79.75', 2954841928, 2954841931, 'PL', 'Poland'),
(84470, '176.31.79.76', '176.31.79.79', 2954841932, 2954841935, 'FI', 'Finland'),
(84471, '176.31.79.80', '176.31.79.83', 2954841936, 2954841939, 'BE', 'Belgium'),
(84472, '176.31.79.84', '176.31.79.87', 2954841940, 2954841943, 'ES', 'Spain'),
(84473, '176.31.79.88', '176.31.79.95', 2954841944, 2954841951, 'DE', 'Germany'),
(84474, '176.31.79.96', '176.31.79.127', 2954841952, 2954841983, 'ES', 'Spain'),
(84475, '176.31.79.128', '176.31.79.159', 2954841984, 2954842015, 'FR', 'France'),
(84476, '176.31.79.160', '176.31.79.175', 2954842016, 2954842031, 'GB', 'United Kingdom'),
(84477, '176.31.79.176', '176.31.79.179', 2954842032, 2954842035, 'CH', 'Switzerland'),
(84478, '176.31.79.180', '176.31.79.183', 2954842036, 2954842039, 'PL', 'Poland'),
(84479, '176.31.79.184', '176.31.79.187', 2954842040, 2954842043, 'FR', 'France'),
(84480, '176.31.79.188', '176.31.79.191', 2954842044, 2954842047, 'GB', 'United Kingdom'),
(84481, '176.31.79.192', '176.31.79.211', 2954842048, 2954842067, 'FR', 'France'),
(84482, '176.31.79.212', '176.31.79.215', 2954842068, 2954842071, 'GB', 'United Kingdom'),
(84483, '176.31.79.216', '176.31.79.219', 2954842072, 2954842075, 'FR', 'France'),
(84484, '176.31.79.220', '176.31.79.223', 2954842076, 2954842079, 'NL', 'Netherlands'),
(84485, '176.31.79.224', '176.31.79.239', 2954842080, 2954842095, 'FR', 'France'),
(84486, '176.31.79.240', '176.31.79.255', 2954842096, 2954842111, 'IE', 'Ireland'),
(84487, '176.31.80.0', '176.31.80.127', 2954842112, 2954842239, 'FR', 'France'),
(84488, '176.31.80.128', '176.31.80.131', 2954842240, 2954842243, 'ES', 'Spain'),
(84489, '176.31.80.132', '176.31.80.135', 2954842244, 2954842247, 'FR', 'France'),
(84490, '176.31.80.136', '176.31.80.139', 2954842248, 2954842251, 'ES', 'Spain'),
(84491, '176.31.80.140', '176.31.80.143', 2954842252, 2954842255, 'GB', 'United Kingdom'),
(84492, '176.31.80.144', '176.31.80.151', 2954842256, 2954842263, 'FR', 'France'),
(84493, '176.31.80.152', '176.31.80.155', 2954842264, 2954842267, 'CZ', 'Czech Republic'),
(84494, '176.31.80.156', '176.31.80.159', 2954842268, 2954842271, 'FR', 'France'),
(84495, '176.31.80.160', '176.31.80.163', 2954842272, 2954842275, 'IE', 'Ireland'),
(84496, '176.31.80.164', '176.31.80.167', 2954842276, 2954842279, 'FR', 'France'),
(84497, '176.31.80.168', '176.31.80.179', 2954842280, 2954842291, 'PL', 'Poland'),
(84498, '176.31.80.180', '176.31.80.183', 2954842292, 2954842295, 'CH', 'Switzerland'),
(84499, '176.31.80.184', '176.31.80.187', 2954842296, 2954842299, 'GB', 'United Kingdom'),
(84500, '176.31.80.188', '176.31.80.255', 2954842300, 2954842367, 'ES', 'Spain'),
(84501, '176.31.81.0', '176.31.81.7', 2954842368, 2954842375, 'IE', 'Ireland'),
(84502, '176.31.81.8', '176.31.81.35', 2954842376, 2954842403, 'FR', 'France'),
(84503, '176.31.81.36', '176.31.81.39', 2954842404, 2954842407, 'IT', 'Italy'),
(84504, '176.31.81.40', '176.31.81.43', 2954842408, 2954842411, 'DE', 'Germany'),
(84505, '176.31.81.44', '176.31.81.47', 2954842412, 2954842415, 'GB', 'United Kingdom'),
(84506, '176.31.81.48', '176.31.81.51', 2954842416, 2954842419, 'NL', 'Netherlands'),
(84507, '176.31.81.52', '176.31.81.55', 2954842420, 2954842423, 'FR', 'France'),
(84508, '176.31.81.56', '176.31.81.59', 2954842424, 2954842427, 'ES', 'Spain'),
(84509, '176.31.81.60', '176.31.81.71', 2954842428, 2954842439, 'FR', 'France'),
(84510, '176.31.81.72', '176.31.81.75', 2954842440, 2954842443, 'IE', 'Ireland'),
(84511, '176.31.81.76', '176.31.81.79', 2954842444, 2954842447, 'BE', 'Belgium'),
(84512, '176.31.81.80', '176.31.81.83', 2954842448, 2954842451, 'GB', 'United Kingdom'),
(84513, '176.31.81.84', '176.31.81.87', 2954842452, 2954842455, 'CZ', 'Czech Republic'),
(84514, '176.31.81.88', '176.31.81.91', 2954842456, 2954842459, 'FR', 'France'),
(84515, '176.31.81.92', '176.31.81.95', 2954842460, 2954842463, 'IE', 'Ireland'),
(84516, '176.31.81.96', '176.31.81.99', 2954842464, 2954842467, 'PL', 'Poland'),
(84517, '176.31.81.100', '176.31.81.103', 2954842468, 2954842471, 'FR', 'France'),
(84518, '176.31.81.104', '176.31.81.111', 2954842472, 2954842479, 'GB', 'United Kingdom'),
(84519, '176.31.81.112', '176.31.81.115', 2954842480, 2954842483, 'IT', 'Italy'),
(84520, '176.31.81.116', '176.31.81.119', 2954842484, 2954842487, 'PL', 'Poland'),
(84521, '176.31.81.120', '176.31.81.123', 2954842488, 2954842491, 'CH', 'Switzerland'),
(84522, '176.31.81.124', '176.31.81.127', 2954842492, 2954842495, 'FR', 'France'),
(84523, '176.31.81.128', '176.31.81.191', 2954842496, 2954842559, 'GB', 'United Kingdom'),
(84524, '176.31.81.192', '176.31.82.31', 2954842560, 2954842655, 'DE', 'Germany'),
(84525, '176.31.82.32', '176.31.82.35', 2954842656, 2954842659, 'ES', 'Spain'),
(84526, '176.31.82.36', '176.31.82.39', 2954842660, 2954842663, 'FI', 'Finland'),
(84527, '176.31.82.40', '176.31.82.43', 2954842664, 2954842667, 'FR', 'France'),
(84528, '176.31.82.44', '176.31.82.47', 2954842668, 2954842671, 'IE', 'Ireland'),
(84529, '176.31.82.48', '176.31.82.79', 2954842672, 2954842703, 'FR', 'France'),
(84530, '176.31.82.80', '176.31.82.103', 2954842704, 2954842727, 'PL', 'Poland'),
(84531, '176.31.82.104', '176.31.82.107', 2954842728, 2954842731, 'ES', 'Spain'),
(84532, '176.31.82.108', '176.31.82.111', 2954842732, 2954842735, 'LT', 'Lithuania'),
(84533, '176.31.82.112', '176.31.82.119', 2954842736, 2954842743, 'NL', 'Netherlands'),
(84534, '176.31.82.120', '176.31.82.127', 2954842744, 2954842751, 'CH', 'Switzerland'),
(84535, '176.31.82.128', '176.31.82.143', 2954842752, 2954842767, 'PL', 'Poland'),
(84536, '176.31.82.144', '176.31.82.147', 2954842768, 2954842771, 'BE', 'Belgium'),
(84537, '176.31.82.148', '176.31.82.151', 2954842772, 2954842775, 'GB', 'United Kingdom'),
(84538, '176.31.82.152', '176.31.82.159', 2954842776, 2954842783, 'FR', 'France'),
(84539, '176.31.82.160', '176.31.82.167', 2954842784, 2954842791, 'PT', 'Portugal'),
(84540, '176.31.82.168', '176.31.82.175', 2954842792, 2954842799, 'BE', 'Belgium'),
(84541, '176.31.82.176', '176.31.82.183', 2954842800, 2954842807, 'ES', 'Spain'),
(84542, '176.31.82.184', '176.31.82.187', 2954842808, 2954842811, 'GB', 'United Kingdom'),
(84543, '176.31.82.188', '176.31.82.191', 2954842812, 2954842815, 'FI', 'Finland'),
(84544, '176.31.82.192', '176.31.82.207', 2954842816, 2954842831, 'PL', 'Poland'),
(84545, '176.31.82.208', '176.31.82.231', 2954842832, 2954842855, 'FR', 'France'),
(84546, '176.31.82.232', '176.31.82.239', 2954842856, 2954842863, 'GB', 'United Kingdom'),
(84547, '176.31.82.240', '176.31.82.255', 2954842864, 2954842879, 'FR', 'France'),
(84548, '176.31.83.0', '176.31.83.31', 2954842880, 2954842911, 'PL', 'Poland'),
(84549, '176.31.83.32', '176.31.83.39', 2954842912, 2954842919, 'IT', 'Italy'),
(84550, '176.31.83.40', '176.31.83.47', 2954842920, 2954842927, 'FR', 'France'),
(84551, '176.31.83.48', '176.31.83.55', 2954842928, 2954842935, 'BE', 'Belgium'),
(84552, '176.31.83.56', '176.31.83.63', 2954842936, 2954842943, 'IE', 'Ireland'),
(84553, '176.31.83.64', '176.31.83.71', 2954842944, 2954842951, 'CH', 'Switzerland'),
(84554, '176.31.83.72', '176.31.83.75', 2954842952, 2954842955, 'PL', 'Poland'),
(84555, '176.31.83.76', '176.31.83.79', 2954842956, 2954842959, 'IT', 'Italy'),
(84556, '176.31.83.80', '176.31.83.95', 2954842960, 2954842975, 'FR', 'France'),
(84557, '176.31.83.96', '176.31.83.111', 2954842976, 2954842991, 'ES', 'Spain'),
(84558, '176.31.83.112', '176.31.83.127', 2954842992, 2954843007, 'PL', 'Poland'),
(84559, '176.31.83.128', '176.31.83.135', 2954843008, 2954843015, 'GB', 'United Kingdom'),
(84560, '176.31.83.136', '176.31.83.143', 2954843016, 2954843023, 'LT', 'Lithuania'),
(84561, '176.31.83.144', '176.31.83.147', 2954843024, 2954843027, 'PL', 'Poland'),
(84562, '176.31.83.148', '176.31.83.151', 2954843028, 2954843031, 'ES', 'Spain'),
(84563, '176.31.83.152', '176.31.83.159', 2954843032, 2954843039, 'IT', 'Italy'),
(84564, '176.31.83.160', '176.31.83.191', 2954843040, 2954843071, 'DE', 'Germany'),
(84565, '176.31.83.192', '176.31.83.223', 2954843072, 2954843103, 'FR', 'France'),
(84566, '176.31.83.224', '176.31.83.255', 2954843104, 2954843135, 'NL', 'Netherlands'),
(84567, '176.31.84.0', '176.31.84.47', 2954843136, 2954843183, 'FR', 'France'),
(84568, '176.31.84.48', '176.31.84.51', 2954843184, 2954843187, 'NL', 'Netherlands'),
(84569, '176.31.84.52', '176.31.84.55', 2954843188, 2954843191, 'GB', 'United Kingdom'),
(84570, '176.31.84.56', '176.31.84.59', 2954843192, 2954843195, 'NL', 'Netherlands'),
(84571, '176.31.84.60', '176.31.84.63', 2954843196, 2954843199, 'ES', 'Spain'),
(84572, '176.31.84.64', '176.31.84.127', 2954843200, 2954843263, 'FR', 'France'),
(84573, '176.31.84.128', '176.31.84.135', 2954843264, 2954843271, 'CZ', 'Czech Republic'),
(84574, '176.31.84.136', '176.31.84.139', 2954843272, 2954843275, 'GB', 'United Kingdom'),
(84575, '176.31.84.140', '176.31.84.175', 2954843276, 2954843311, 'FR', 'France'),
(84576, '176.31.84.176', '176.31.84.179', 2954843312, 2954843315, 'ES', 'Spain'),
(84577, '176.31.84.180', '176.31.84.183', 2954843316, 2954843319, 'FR', 'France'),
(84578, '176.31.84.184', '176.31.84.187', 2954843320, 2954843323, 'DE', 'Germany'),
(84579, '176.31.84.188', '176.31.84.191', 2954843324, 2954843327, 'NL', 'Netherlands'),
(84580, '176.31.84.192', '176.31.84.199', 2954843328, 2954843335, 'IT', 'Italy'),
(84581, '176.31.84.200', '176.31.84.203', 2954843336, 2954843339, 'GB', 'United Kingdom'),
(84582, '176.31.84.204', '176.31.84.207', 2954843340, 2954843343, 'NL', 'Netherlands'),
(84583, '176.31.84.208', '176.31.84.211', 2954843344, 2954843347, 'FR', 'France'),
(84584, '176.31.84.212', '176.31.84.215', 2954843348, 2954843351, 'GB', 'United Kingdom'),
(84585, '176.31.84.216', '176.31.84.239', 2954843352, 2954843375, 'FR', 'France'),
(84586, '176.31.84.240', '176.31.84.255', 2954843376, 2954843391, 'ES', 'Spain'),
(84587, '176.31.85.0', '176.31.85.15', 2954843392, 2954843407, 'FR', 'France'),
(84588, '176.31.85.16', '176.31.85.23', 2954843408, 2954843415, 'CH', 'Switzerland'),
(84589, '176.31.85.24', '176.31.85.27', 2954843416, 2954843419, 'PL', 'Poland'),
(84590, '176.31.85.28', '176.31.85.31', 2954843420, 2954843423, 'FR', 'France'),
(84591, '176.31.85.32', '176.31.85.47', 2954843424, 2954843439, 'NL', 'Netherlands'),
(84592, '176.31.85.48', '176.31.85.67', 2954843440, 2954843459, 'FR', 'France'),
(84593, '176.31.85.68', '176.31.85.71', 2954843460, 2954843463, 'NL', 'Netherlands'),
(84594, '176.31.85.72', '176.31.85.79', 2954843464, 2954843471, 'FR', 'France'),
(84595, '176.31.85.80', '176.31.85.95', 2954843472, 2954843487, 'GB', 'United Kingdom'),
(84596, '176.31.85.96', '176.31.85.127', 2954843488, 2954843519, 'DE', 'Germany'),
(84597, '176.31.85.128', '176.31.85.143', 2954843520, 2954843535, 'PL', 'Poland'),
(84598, '176.31.85.144', '176.31.85.203', 2954843536, 2954843595, 'FR', 'France'),
(84599, '176.31.85.204', '176.31.85.207', 2954843596, 2954843599, 'DE', 'Germany'),
(84600, '176.31.85.208', '176.31.85.211', 2954843600, 2954843603, 'IT', 'Italy'),
(84601, '176.31.85.212', '176.31.85.215', 2954843604, 2954843607, 'PL', 'Poland'),
(84602, '176.31.85.216', '176.31.85.239', 2954843608, 2954843631, 'FR', 'France'),
(84603, '176.31.85.240', '176.31.85.247', 2954843632, 2954843639, 'CH', 'Switzerland'),
(84604, '176.31.85.248', '176.31.85.251', 2954843640, 2954843643, 'IE', 'Ireland'),
(84605, '176.31.85.252', '176.31.85.255', 2954843644, 2954843647, 'CZ', 'Czech Republic'),
(84606, '176.31.86.0', '176.31.86.63', 2954843648, 2954843711, 'PL', 'Poland'),
(84607, '176.31.86.64', '176.31.86.67', 2954843712, 2954843715, 'FR', 'France'),
(84608, '176.31.86.68', '176.31.86.71', 2954843716, 2954843719, 'GB', 'United Kingdom'),
(84609, '176.31.86.72', '176.31.86.75', 2954843720, 2954843723, 'BE', 'Belgium'),
(84610, '176.31.86.76', '176.31.86.79', 2954843724, 2954843727, 'CZ', 'Czech Republic'),
(84611, '176.31.86.80', '176.31.86.127', 2954843728, 2954843775, 'FR', 'France'),
(84612, '176.31.86.128', '176.31.86.135', 2954843776, 2954843783, 'PL', 'Poland'),
(84613, '176.31.86.136', '176.31.86.143', 2954843784, 2954843791, 'GB', 'United Kingdom'),
(84614, '176.31.86.144', '176.31.86.159', 2954843792, 2954843807, 'IE', 'Ireland'),
(84615, '176.31.86.160', '176.31.86.175', 2954843808, 2954843823, 'PL', 'Poland'),
(84616, '176.31.86.176', '176.31.86.191', 2954843824, 2954843839, 'GB', 'United Kingdom'),
(84617, '176.31.86.192', '176.31.86.223', 2954843840, 2954843871, 'DE', 'Germany'),
(84618, '176.31.86.224', '176.31.86.239', 2954843872, 2954843887, 'PL', 'Poland'),
(84619, '176.31.86.240', '176.31.86.247', 2954843888, 2954843895, 'BE', 'Belgium'),
(84620, '176.31.86.248', '176.31.86.251', 2954843896, 2954843899, 'PT', 'Portugal'),
(84621, '176.31.86.252', '176.31.86.255', 2954843900, 2954843903, 'ES', 'Spain'),
(84622, '176.31.87.0', '176.31.87.127', 2954843904, 2954844031, 'FR', 'France'),
(84623, '176.31.87.128', '176.31.87.159', 2954844032, 2954844063, 'DE', 'Germany'),
(84624, '176.31.87.160', '176.31.87.191', 2954844064, 2954844095, 'BE', 'Belgium'),
(84625, '176.31.87.192', '176.31.87.223', 2954844096, 2954844127, 'IT', 'Italy'),
(84626, '176.31.87.224', '176.31.87.239', 2954844128, 2954844143, 'FR', 'France'),
(84627, '176.31.87.240', '176.31.87.243', 2954844144, 2954844147, 'NL', 'Netherlands'),
(84628, '176.31.87.244', '176.31.88.15', 2954844148, 2954844175, 'FR', 'France'),
(84629, '176.31.88.16', '176.31.88.19', 2954844176, 2954844179, 'DE', 'Germany'),
(84630, '176.31.88.20', '176.31.88.23', 2954844180, 2954844183, 'NL', 'Netherlands'),
(84631, '176.31.88.24', '176.31.88.27', 2954844184, 2954844187, 'GB', 'United Kingdom'),
(84632, '176.31.88.28', '176.31.88.31', 2954844188, 2954844191, 'ES', 'Spain'),
(84633, '176.31.88.32', '176.31.88.63', 2954844192, 2954844223, 'IE', 'Ireland'),
(84634, '176.31.88.64', '176.31.88.103', 2954844224, 2954844263, 'FR', 'France'),
(84635, '176.31.88.104', '176.31.88.107', 2954844264, 2954844267, 'IE', 'Ireland'),
(84636, '176.31.88.108', '176.31.88.115', 2954844268, 2954844275, 'FR', 'France'),
(84637, '176.31.88.116', '176.31.88.119', 2954844276, 2954844279, 'GB', 'United Kingdom'),
(84638, '176.31.88.120', '176.31.88.127', 2954844280, 2954844287, 'PT', 'Portugal'),
(84639, '176.31.88.128', '176.31.88.191', 2954844288, 2954844351, 'PL', 'Poland'),
(84640, '176.31.88.192', '176.31.88.255', 2954844352, 2954844415, 'FR', 'France'),
(84641, '176.31.89.0', '176.31.89.7', 2954844416, 2954844423, 'ES', 'Spain'),
(84642, '176.31.89.8', '176.31.89.15', 2954844424, 2954844431, 'FR', 'France'),
(84643, '176.31.89.16', '176.31.89.31', 2954844432, 2954844447, 'BE', 'Belgium'),
(84644, '176.31.89.32', '176.31.89.39', 2954844448, 2954844455, 'CH', 'Switzerland'),
(84645, '176.31.89.40', '176.31.89.47', 2954844456, 2954844463, 'NL', 'Netherlands'),
(84646, '176.31.89.48', '176.31.89.51', 2954844464, 2954844467, 'ES', 'Spain'),
(84647, '176.31.89.52', '176.31.89.55', 2954844468, 2954844471, 'PL', 'Poland'),
(84648, '176.31.89.56', '176.31.89.63', 2954844472, 2954844479, 'NL', 'Netherlands'),
(84649, '176.31.89.64', '176.31.89.67', 2954844480, 2954844483, 'DE', 'Germany'),
(84650, '176.31.89.68', '176.31.89.71', 2954844484, 2954844487, 'GB', 'United Kingdom'),
(84651, '176.31.89.72', '176.31.89.79', 2954844488, 2954844495, 'FR', 'France'),
(84652, '176.31.89.80', '176.31.89.83', 2954844496, 2954844499, 'CZ', 'Czech Republic'),
(84653, '176.31.89.84', '176.31.89.87', 2954844500, 2954844503, 'PL', 'Poland'),
(84654, '176.31.89.88', '176.31.89.91', 2954844504, 2954844507, 'IE', 'Ireland'),
(84655, '176.31.89.92', '176.31.89.95', 2954844508, 2954844511, 'DE', 'Germany'),
(84656, '176.31.89.96', '176.31.89.127', 2954844512, 2954844543, 'FR', 'France'),
(84657, '176.31.89.128', '176.31.89.159', 2954844544, 2954844575, 'PL', 'Poland'),
(84658, '176.31.89.160', '176.31.89.175', 2954844576, 2954844591, 'DE', 'Germany'),
(84659, '176.31.89.176', '176.31.89.183', 2954844592, 2954844599, 'ES', 'Spain'),
(84660, '176.31.89.184', '176.31.89.191', 2954844600, 2954844607, 'NL', 'Netherlands'),
(84661, '176.31.89.192', '176.31.89.255', 2954844608, 2954844671, 'PL', 'Poland'),
(84662, '176.31.90.0', '176.31.90.15', 2954844672, 2954844687, 'FR', 'France'),
(84663, '176.31.90.16', '176.31.90.31', 2954844688, 2954844703, 'CH', 'Switzerland'),
(84664, '176.31.90.32', '176.31.90.35', 2954844704, 2954844707, 'FR', 'France'),
(84665, '176.31.90.36', '176.31.90.39', 2954844708, 2954844711, 'PL', 'Poland'),
(84666, '176.31.90.40', '176.31.90.47', 2954844712, 2954844719, 'PT', 'Portugal'),
(84667, '176.31.90.48', '176.31.90.51', 2954844720, 2954844723, 'ES', 'Spain'),
(84668, '176.31.90.52', '176.31.90.59', 2954844724, 2954844731, 'FR', 'France'),
(84669, '176.31.90.60', '176.31.90.63', 2954844732, 2954844735, 'IE', 'Ireland'),
(84670, '176.31.90.64', '176.31.90.95', 2954844736, 2954844767, 'GB', 'United Kingdom'),
(84671, '176.31.90.96', '176.31.90.127', 2954844768, 2954844799, 'FR', 'France'),
(84672, '176.31.90.128', '176.31.90.143', 2954844800, 2954844815, 'ES', 'Spain'),
(84673, '176.31.90.144', '176.31.90.147', 2954844816, 2954844819, 'BE', 'Belgium'),
(84674, '176.31.90.148', '176.31.90.255', 2954844820, 2954844927, 'FR', 'France'),
(84675, '176.31.91.0', '176.31.91.3', 2954844928, 2954844931, 'PT', 'Portugal'),
(84676, '176.31.91.4', '176.31.91.15', 2954844932, 2954844943, 'FR', 'France'),
(84677, '176.31.91.16', '176.31.91.19', 2954844944, 2954844947, 'GB', 'United Kingdom'),
(84678, '176.31.91.20', '176.31.91.23', 2954844948, 2954844951, 'IT', 'Italy'),
(84679, '176.31.91.24', '176.31.91.31', 2954844952, 2954844959, 'IE', 'Ireland'),
(84680, '176.31.91.32', '176.31.91.39', 2954844960, 2954844967, 'PL', 'Poland'),
(84681, '176.31.91.40', '176.31.91.43', 2954844968, 2954844971, 'BE', 'Belgium'),
(84682, '176.31.91.44', '176.31.91.67', 2954844972, 2954844995, 'PL', 'Poland'),
(84683, '176.31.91.68', '176.31.91.71', 2954844996, 2954844999, 'FR', 'France'),
(84684, '176.31.91.72', '176.31.91.75', 2954845000, 2954845003, 'NL', 'Netherlands'),
(84685, '176.31.91.76', '176.31.91.95', 2954845004, 2954845023, 'FR', 'France'),
(84686, '176.31.91.96', '176.31.91.111', 2954845024, 2954845039, 'IE', 'Ireland'),
(84687, '176.31.91.112', '176.31.91.119', 2954845040, 2954845047, 'IT', 'Italy'),
(84688, '176.31.91.120', '176.31.91.127', 2954845048, 2954845055, 'FI', 'Finland'),
(84689, '176.31.91.128', '176.31.91.131', 2954845056, 2954845059, 'PT', 'Portugal'),
(84690, '176.31.91.132', '176.31.91.135', 2954845060, 2954845063, 'FR', 'France'),
(84691, '176.31.91.136', '176.31.91.143', 2954845064, 2954845071, 'PL', 'Poland'),
(84692, '176.31.91.144', '176.31.91.151', 2954845072, 2954845079, 'BE', 'Belgium'),
(84693, '176.31.91.152', '176.31.91.155', 2954845080, 2954845083, 'DE', 'Germany'),
(84694, '176.31.91.156', '176.31.91.159', 2954845084, 2954845087, 'FR', 'France'),
(84695, '176.31.91.160', '176.31.91.163', 2954845088, 2954845091, 'FI', 'Finland'),
(84696, '176.31.91.164', '176.31.91.167', 2954845092, 2954845095, 'ES', 'Spain'),
(84697, '176.31.91.168', '176.31.91.171', 2954845096, 2954845099, 'IT', 'Italy'),
(84698, '176.31.91.172', '176.31.91.175', 2954845100, 2954845103, 'ES', 'Spain'),
(84699, '176.31.91.176', '176.31.91.183', 2954845104, 2954845111, 'IE', 'Ireland'),
(84700, '176.31.91.184', '176.31.91.191', 2954845112, 2954845119, 'NL', 'Netherlands'),
(84701, '176.31.91.192', '176.31.91.207', 2954845120, 2954845135, 'PL', 'Poland'),
(84702, '176.31.91.208', '176.31.91.219', 2954845136, 2954845147, 'FR', 'France'),
(84703, '176.31.91.220', '176.31.91.223', 2954845148, 2954845151, 'GB', 'United Kingdom'),
(84704, '176.31.91.224', '176.31.91.231', 2954845152, 2954845159, 'PL', 'Poland'),
(84705, '176.31.91.232', '176.31.91.239', 2954845160, 2954845167, 'GB', 'United Kingdom'),
(84706, '176.31.91.240', '176.31.91.255', 2954845168, 2954845183, 'BE', 'Belgium'),
(84707, '176.31.92.0', '176.31.92.15', 2954845184, 2954845199, 'PL', 'Poland'),
(84708, '176.31.92.16', '176.31.92.23', 2954845200, 2954845207, 'NL', 'Netherlands'),
(84709, '176.31.92.24', '176.31.92.27', 2954845208, 2954845211, 'ES', 'Spain'),
(84710, '176.31.92.28', '176.31.92.31', 2954845212, 2954845215, 'CH', 'Switzerland'),
(84711, '176.31.92.32', '176.31.92.39', 2954845216, 2954845223, 'FR', 'France'),
(84712, '176.31.92.40', '176.31.92.47', 2954845224, 2954845231, 'NL', 'Netherlands'),
(84713, '176.31.92.48', '176.31.92.55', 2954845232, 2954845239, 'DE', 'Germany'),
(84714, '176.31.92.56', '176.31.92.63', 2954845240, 2954845247, 'NL', 'Netherlands'),
(84715, '176.31.92.64', '176.31.92.79', 2954845248, 2954845263, 'CH', 'Switzerland'),
(84716, '176.31.92.80', '176.31.92.95', 2954845264, 2954845279, 'PL', 'Poland'),
(84717, '176.31.92.96', '176.31.92.99', 2954845280, 2954845283, 'CZ', 'Czech Republic'),
(84718, '176.31.92.100', '176.31.92.107', 2954845284, 2954845291, 'GB', 'United Kingdom'),
(84719, '176.31.92.108', '176.31.92.111', 2954845292, 2954845295, 'ES', 'Spain'),
(84720, '176.31.92.112', '176.31.92.115', 2954845296, 2954845299, 'IT', 'Italy'),
(84721, '176.31.92.116', '176.31.92.119', 2954845300, 2954845303, 'ES', 'Spain'),
(84722, '176.31.92.120', '176.31.92.127', 2954845304, 2954845311, 'PL', 'Poland'),
(84723, '176.31.92.128', '176.31.92.131', 2954845312, 2954845315, 'CH', 'Switzerland'),
(84724, '176.31.92.132', '176.31.92.135', 2954845316, 2954845319, 'BE', 'Belgium'),
(84725, '176.31.92.136', '176.31.92.143', 2954845320, 2954845327, 'LT', 'Lithuania'),
(84726, '176.31.92.144', '176.31.92.159', 2954845328, 2954845343, 'FR', 'France'),
(84727, '176.31.92.160', '176.31.92.175', 2954845344, 2954845359, 'FI', 'Finland'),
(84728, '176.31.92.176', '176.31.92.179', 2954845360, 2954845363, 'FR', 'France'),
(84729, '176.31.92.180', '176.31.92.183', 2954845364, 2954845367, 'ES', 'Spain'),
(84730, '176.31.92.184', '176.31.92.187', 2954845368, 2954845371, 'NL', 'Netherlands'),
(84731, '176.31.92.188', '176.31.92.191', 2954845372, 2954845375, 'DE', 'Germany'),
(84732, '176.31.92.192', '176.31.92.223', 2954845376, 2954845407, 'PL', 'Poland'),
(84733, '176.31.92.224', '176.31.92.255', 2954845408, 2954845439, 'FR', 'France'),
(84734, '176.31.93.0', '176.31.93.255', 2954845440, 2954845695, 'GB', 'United Kingdom'),
(84735, '176.31.94.0', '176.31.94.255', 2954845696, 2954845951, 'IT', 'Italy'),
(84736, '176.31.95.0', '176.31.95.15', 2954845952, 2954845967, 'ES', 'Spain'),
(84737, '176.31.95.16', '176.31.95.47', 2954845968, 2954845999, 'FR', 'France'),
(84738, '176.31.95.48', '176.31.95.63', 2954846000, 2954846015, 'PT', 'Portugal'),
(84739, '176.31.95.64', '176.31.95.95', 2954846016, 2954846047, 'FR', 'France'),
(84740, '176.31.95.96', '176.31.95.99', 2954846048, 2954846051, 'CZ', 'Czech Republic'),
(84741, '176.31.95.100', '176.31.95.103', 2954846052, 2954846055, 'CH', 'Switzerland'),
(84742, '176.31.95.104', '176.31.95.107', 2954846056, 2954846059, 'FR', 'France'),
(84743, '176.31.95.108', '176.31.95.111', 2954846060, 2954846063, 'GB', 'United Kingdom'),
(84744, '176.31.95.112', '176.31.95.127', 2954846064, 2954846079, 'NL', 'Netherlands'),
(84745, '176.31.95.128', '176.31.95.159', 2954846080, 2954846111, 'DE', 'Germany'),
(84746, '176.31.95.160', '176.31.95.167', 2954846112, 2954846119, 'FR', 'France'),
(84747, '176.31.95.168', '176.31.95.171', 2954846120, 2954846123, 'IE', 'Ireland'),
(84748, '176.31.95.172', '176.31.95.175', 2954846124, 2954846127, 'NL', 'Netherlands'),
(84749, '176.31.95.176', '176.31.95.183', 2954846128, 2954846135, 'FR', 'France'),
(84750, '176.31.95.184', '176.31.95.187', 2954846136, 2954846139, 'DE', 'Germany'),
(84751, '176.31.95.188', '176.31.95.191', 2954846140, 2954846143, 'GB', 'United Kingdom'),
(84752, '176.31.95.192', '176.31.95.239', 2954846144, 2954846191, 'FR', 'France'),
(84753, '176.31.95.240', '176.31.95.255', 2954846192, 2954846207, 'FI', 'Finland'),
(84754, '176.31.96.0', '176.31.128.3', 2954846208, 2954854403, 'FR', 'France'),
(84755, '176.31.128.4', '176.31.128.7', 2954854404, 2954854407, 'IT', 'Italy'),
(84756, '176.31.128.8', '176.31.128.11', 2954854408, 2954854411, 'FR', 'France'),
(84757, '176.31.128.12', '176.31.128.15', 2954854412, 2954854415, 'PL', 'Poland'),
(84758, '176.31.128.16', '176.31.128.31', 2954854416, 2954854431, 'GB', 'United Kingdom'),
(84759, '176.31.128.32', '176.31.128.63', 2954854432, 2954854463, 'FR', 'France'),
(84760, '176.31.128.64', '176.31.128.71', 2954854464, 2954854471, 'LT', 'Lithuania'),
(84761, '176.31.128.72', '176.31.128.75', 2954854472, 2954854475, 'FR', 'France'),
(84762, '176.31.128.76', '176.31.128.79', 2954854476, 2954854479, 'BE', 'Belgium'),
(84763, '176.31.128.80', '176.31.128.95', 2954854480, 2954854495, 'FR', 'France'),
(84764, '176.31.128.96', '176.31.128.111', 2954854496, 2954854511, 'PL', 'Poland'),
(84765, '176.31.128.112', '176.31.128.127', 2954854512, 2954854527, 'ES', 'Spain'),
(84766, '176.31.128.128', '176.31.128.219', 2954854528, 2954854619, 'FR', 'France'),
(84767, '176.31.128.220', '176.31.128.223', 2954854620, 2954854623, 'ES', 'Spain'),
(84768, '176.31.128.224', '176.31.128.255', 2954854624, 2954854655, 'FR', 'France'),
(84769, '176.31.129.0', '176.31.129.3', 2954854656, 2954854659, 'PL', 'Poland'),
(84770, '176.31.129.4', '176.31.129.7', 2954854660, 2954854663, 'GB', 'United Kingdom'),
(84771, '176.31.129.8', '176.31.129.11', 2954854664, 2954854667, 'FI', 'Finland'),
(84772, '176.31.129.12', '176.31.129.35', 2954854668, 2954854691, 'FR', 'France'),
(84773, '176.31.129.36', '176.31.129.39', 2954854692, 2954854695, 'IT', 'Italy'),
(84774, '176.31.129.40', '176.31.129.43', 2954854696, 2954854699, 'PL', 'Poland'),
(84775, '176.31.129.44', '176.31.129.47', 2954854700, 2954854703, 'ES', 'Spain'),
(84776, '176.31.129.48', '176.31.129.55', 2954854704, 2954854711, 'FR', 'France'),
(84777, '176.31.129.56', '176.31.129.63', 2954854712, 2954854719, 'DE', 'Germany'),
(84778, '176.31.129.64', '176.31.129.127', 2954854720, 2954854783, 'ES', 'Spain'),
(84779, '176.31.129.128', '176.31.129.143', 2954854784, 2954854799, 'FR', 'France'),
(84780, '176.31.129.144', '176.31.129.159', 2954854800, 2954854815, 'FI', 'Finland'),
(84781, '176.31.129.160', '176.31.129.191', 2954854816, 2954854847, 'FR', 'France'),
(84782, '176.31.129.192', '176.31.129.195', 2954854848, 2954854851, 'PL', 'Poland'),
(84783, '176.31.129.196', '176.31.129.199', 2954854852, 2954854855, 'GB', 'United Kingdom'),
(84784, '176.31.129.200', '176.31.129.207', 2954854856, 2954854863, 'FR', 'France'),
(84785, '176.31.129.208', '176.31.129.211', 2954854864, 2954854867, 'PL', 'Poland'),
(84786, '176.31.129.212', '176.31.129.215', 2954854868, 2954854871, 'GB', 'United Kingdom'),
(84787, '176.31.129.216', '176.31.129.223', 2954854872, 2954854879, 'ES', 'Spain'),
(84788, '176.31.129.224', '176.31.129.239', 2954854880, 2954854895, 'FR', 'France'),
(84789, '176.31.129.240', '176.31.129.247', 2954854896, 2954854903, 'PL', 'Poland'),
(84790, '176.31.129.248', '176.31.130.7', 2954854904, 2954854919, 'FR', 'France'),
(84791, '176.31.130.8', '176.31.130.15', 2954854920, 2954854927, 'PL', 'Poland'),
(84792, '176.31.130.16', '176.31.130.31', 2954854928, 2954854943, 'FI', 'Finland'),
(84793, '176.31.130.32', '176.31.130.111', 2954854944, 2954855023, 'FR', 'France'),
(84794, '176.31.130.112', '176.31.130.115', 2954855024, 2954855027, 'GB', 'United Kingdom'),
(84795, '176.31.130.116', '176.31.130.119', 2954855028, 2954855031, 'PL', 'Poland'),
(84796, '176.31.130.120', '176.31.130.127', 2954855032, 2954855039, 'GB', 'United Kingdom'),
(84797, '176.31.130.128', '176.31.130.131', 2954855040, 2954855043, 'FR', 'France'),
(84798, '176.31.130.132', '176.31.130.135', 2954855044, 2954855047, 'IE', 'Ireland'),
(84799, '176.31.130.136', '176.31.130.139', 2954855048, 2954855051, 'PL', 'Poland'),
(84800, '176.31.130.140', '176.31.130.143', 2954855052, 2954855055, 'ES', 'Spain'),
(84801, '176.31.130.144', '176.31.130.147', 2954855056, 2954855059, 'FR', 'France'),
(84802, '176.31.130.148', '176.31.130.151', 2954855060, 2954855063, 'ES', 'Spain'),
(84803, '176.31.130.152', '176.31.130.155', 2954855064, 2954855067, 'BE', 'Belgium'),
(84804, '176.31.130.156', '176.31.130.159', 2954855068, 2954855071, 'ES', 'Spain'),
(84805, '176.31.130.160', '176.31.130.163', 2954855072, 2954855075, 'FR', 'France'),
(84806, '176.31.130.164', '176.31.130.167', 2954855076, 2954855079, 'DE', 'Germany'),
(84807, '176.31.130.168', '176.31.130.175', 2954855080, 2954855087, 'GB', 'United Kingdom'),
(84808, '176.31.130.176', '176.31.130.179', 2954855088, 2954855091, 'PL', 'Poland'),
(84809, '176.31.130.180', '176.31.130.183', 2954855092, 2954855095, 'IE', 'Ireland'),
(84810, '176.31.130.184', '176.31.130.191', 2954855096, 2954855103, 'FR', 'France'),
(84811, '176.31.130.192', '176.31.130.255', 2954855104, 2954855167, 'IE', 'Ireland'),
(84812, '176.31.131.0', '176.31.131.31', 2954855168, 2954855199, 'GB', 'United Kingdom'),
(84813, '176.31.131.32', '176.31.131.39', 2954855200, 2954855207, 'FR', 'France'),
(84814, '176.31.131.40', '176.31.131.43', 2954855208, 2954855211, 'NL', 'Netherlands'),
(84815, '176.31.131.44', '176.31.131.47', 2954855212, 2954855215, 'CH', 'Switzerland'),
(84816, '176.31.131.48', '176.31.131.127', 2954855216, 2954855295, 'FR', 'France'),
(84817, '176.31.131.128', '176.31.131.191', 2954855296, 2954855359, 'BE', 'Belgium'),
(84818, '176.31.131.192', '176.31.132.15', 2954855360, 2954855439, 'FR', 'France'),
(84819, '176.31.132.16', '176.31.132.31', 2954855440, 2954855455, 'LT', 'Lithuania'),
(84820, '176.31.132.32', '176.31.132.55', 2954855456, 2954855479, 'FR', 'France'),
(84821, '176.31.132.56', '176.31.132.63', 2954855480, 2954855487, 'IT', 'Italy'),
(84822, '176.31.132.64', '176.31.132.99', 2954855488, 2954855523, 'GB', 'United Kingdom'),
(84823, '176.31.132.100', '176.31.132.103', 2954855524, 2954855527, 'DE', 'Germany'),
(84824, '176.31.132.104', '176.31.132.111', 2954855528, 2954855535, 'PT', 'Portugal'),
(84825, '176.31.132.112', '176.31.132.127', 2954855536, 2954855551, 'FR', 'France'),
(84826, '176.31.132.128', '176.31.132.143', 2954855552, 2954855567, 'GB', 'United Kingdom'),
(84827, '176.31.132.144', '176.31.132.147', 2954855568, 2954855571, 'FR', 'France'),
(84828, '176.31.132.148', '176.31.132.151', 2954855572, 2954855575, 'BE', 'Belgium'),
(84829, '176.31.132.152', '176.31.132.155', 2954855576, 2954855579, 'FR', 'France'),
(84830, '176.31.132.156', '176.31.132.159', 2954855580, 2954855583, 'IT', 'Italy'),
(84831, '176.31.132.160', '176.31.132.191', 2954855584, 2954855615, 'FR', 'France'),
(84832, '176.31.132.192', '176.31.132.195', 2954855616, 2954855619, 'PL', 'Poland'),
(84833, '176.31.132.196', '176.31.132.199', 2954855620, 2954855623, 'FR', 'France'),
(84834, '176.31.132.200', '176.31.132.203', 2954855624, 2954855627, 'IT', 'Italy'),
(84835, '176.31.132.204', '176.31.132.211', 2954855628, 2954855635, 'GB', 'United Kingdom'),
(84836, '176.31.132.212', '176.31.132.215', 2954855636, 2954855639, 'FR', 'France'),
(84837, '176.31.132.216', '176.31.132.219', 2954855640, 2954855643, 'PL', 'Poland'),
(84838, '176.31.132.220', '176.31.132.231', 2954855644, 2954855655, 'GB', 'United Kingdom'),
(84839, '176.31.132.232', '176.31.132.235', 2954855656, 2954855659, 'CH', 'Switzerland'),
(84840, '176.31.132.236', '176.31.132.239', 2954855660, 2954855663, 'DE', 'Germany'),
(84841, '176.31.132.240', '176.31.133.15', 2954855664, 2954855695, 'NL', 'Netherlands'),
(84842, '176.31.133.16', '176.31.133.23', 2954855696, 2954855703, 'FR', 'France'),
(84843, '176.31.133.24', '176.31.133.27', 2954855704, 2954855707, 'ES', 'Spain'),
(84844, '176.31.133.28', '176.31.133.31', 2954855708, 2954855711, 'GB', 'United Kingdom'),
(84845, '176.31.133.32', '176.31.133.63', 2954855712, 2954855743, 'PL', 'Poland'),
(84846, '176.31.133.64', '176.31.133.127', 2954855744, 2954855807, 'FR', 'France'),
(84847, '176.31.133.128', '176.31.133.191', 2954855808, 2954855871, 'IE', 'Ireland'),
(84848, '176.31.133.192', '176.31.133.199', 2954855872, 2954855879, 'FR', 'France'),
(84849, '176.31.133.200', '176.31.133.207', 2954855880, 2954855887, 'ES', 'Spain'),
(84850, '176.31.133.208', '176.31.133.223', 2954855888, 2954855903, 'FR', 'France'),
(84851, '176.31.133.224', '176.31.133.239', 2954855904, 2954855919, 'PL', 'Poland'),
(84852, '176.31.133.240', '176.31.134.63', 2954855920, 2954855999, 'FR', 'France'),
(84853, '176.31.134.64', '176.31.134.135', 2954856000, 2954856071, 'PL', 'Poland'),
(84854, '176.31.134.136', '176.31.134.143', 2954856072, 2954856079, 'FR', 'France'),
(84855, '176.31.134.144', '176.31.134.147', 2954856080, 2954856083, 'DE', 'Germany'),
(84856, '176.31.134.148', '176.31.134.151', 2954856084, 2954856087, 'FR', 'France'),
(84857, '176.31.134.152', '176.31.134.159', 2954856088, 2954856095, 'ES', 'Spain'),
(84858, '176.31.134.160', '176.31.134.175', 2954856096, 2954856111, 'FR', 'France'),
(84859, '176.31.134.176', '176.31.134.179', 2954856112, 2954856115, 'IE', 'Ireland'),
(84860, '176.31.134.180', '176.31.134.183', 2954856116, 2954856119, 'DE', 'Germany'),
(84861, '176.31.134.184', '176.31.134.187', 2954856120, 2954856123, 'PL', 'Poland'),
(84862, '176.31.134.188', '176.31.134.191', 2954856124, 2954856127, 'CZ', 'Czech Republic'),
(84863, '176.31.134.192', '176.31.134.231', 2954856128, 2954856167, 'FR', 'France'),
(84864, '176.31.134.232', '176.31.134.239', 2954856168, 2954856175, 'ES', 'Spain'),
(84865, '176.31.134.240', '176.31.134.251', 2954856176, 2954856187, 'PL', 'Poland'),
(84866, '176.31.134.252', '176.31.135.255', 2954856188, 2954856447, 'FR', 'France'),
(84867, '176.31.136.0', '176.31.136.63', 2954856448, 2954856511, 'ES', 'Spain'),
(84868, '176.31.136.64', '176.31.136.103', 2954856512, 2954856551, 'FR', 'France'),
(84869, '176.31.136.104', '176.31.136.107', 2954856552, 2954856555, 'ES', 'Spain'),
(84870, '176.31.136.108', '176.31.136.111', 2954856556, 2954856559, 'BE', 'Belgium'),
(84871, '176.31.136.112', '176.31.136.115', 2954856560, 2954856563, 'ES', 'Spain'),
(84872, '176.31.136.116', '176.31.136.119', 2954856564, 2954856567, 'LT', 'Lithuania'),
(84873, '176.31.136.120', '176.31.136.123', 2954856568, 2954856571, 'PL', 'Poland'),
(84874, '176.31.136.124', '176.31.136.127', 2954856572, 2954856575, 'BE', 'Belgium'),
(84875, '176.31.136.128', '176.31.136.135', 2954856576, 2954856583, 'ES', 'Spain'),
(84876, '176.31.136.136', '176.31.136.139', 2954856584, 2954856587, 'FR', 'France'),
(84877, '176.31.136.140', '176.31.136.143', 2954856588, 2954856591, 'ES', 'Spain'),
(84878, '176.31.136.144', '176.31.136.159', 2954856592, 2954856607, 'FR', 'France'),
(84879, '176.31.136.160', '176.31.136.163', 2954856608, 2954856611, 'BE', 'Belgium'),
(84880, '176.31.136.164', '176.31.136.167', 2954856612, 2954856615, 'FR', 'France'),
(84881, '176.31.136.168', '176.31.136.171', 2954856616, 2954856619, 'ES', 'Spain'),
(84882, '176.31.136.172', '176.31.136.175', 2954856620, 2954856623, 'GB', 'United Kingdom'),
(84883, '176.31.136.176', '176.31.136.179', 2954856624, 2954856627, 'IT', 'Italy'),
(84884, '176.31.136.180', '176.31.136.183', 2954856628, 2954856631, 'FR', 'France'),
(84885, '176.31.136.184', '176.31.136.187', 2954856632, 2954856635, 'GB', 'United Kingdom'),
(84886, '176.31.136.188', '176.31.136.191', 2954856636, 2954856639, 'DE', 'Germany'),
(84887, '176.31.136.192', '176.31.136.223', 2954856640, 2954856671, 'IT', 'Italy'),
(84888, '176.31.136.224', '176.31.136.227', 2954856672, 2954856675, 'PT', 'Portugal'),
(84889, '176.31.136.228', '176.31.136.231', 2954856676, 2954856679, 'IT', 'Italy'),
(84890, '176.31.136.232', '176.31.136.235', 2954856680, 2954856683, 'FR', 'France'),
(84891, '176.31.136.236', '176.31.136.239', 2954856684, 2954856687, 'GB', 'United Kingdom'),
(84892, '176.31.136.240', '176.31.136.243', 2954856688, 2954856691, 'BE', 'Belgium'),
(84893, '176.31.136.244', '176.31.136.251', 2954856692, 2954856699, 'FR', 'France'),
(84894, '176.31.136.252', '176.31.137.255', 2954856700, 2954856959, 'PL', 'Poland'),
(84895, '176.31.138.0', '176.31.138.15', 2954856960, 2954856975, 'FR', 'France'),
(84896, '176.31.138.16', '176.31.138.19', 2954856976, 2954856979, 'PL', 'Poland'),
(84897, '176.31.138.20', '176.31.138.23', 2954856980, 2954856983, 'IE', 'Ireland'),
(84898, '176.31.138.24', '176.31.138.27', 2954856984, 2954856987, 'BE', 'Belgium'),
(84899, '176.31.138.28', '176.31.138.31', 2954856988, 2954856991, 'FR', 'France'),
(84900, '176.31.138.32', '176.31.138.35', 2954856992, 2954856995, 'PL', 'Poland'),
(84901, '176.31.138.36', '176.31.138.39', 2954856996, 2954856999, 'ES', 'Spain'),
(84902, '176.31.138.40', '176.31.138.47', 2954857000, 2954857007, 'PL', 'Poland'),
(84903, '176.31.138.48', '176.31.138.127', 2954857008, 2954857087, 'FR', 'France'),
(84904, '176.31.138.128', '176.31.138.131', 2954857088, 2954857091, 'PL', 'Poland'),
(84905, '176.31.138.132', '176.31.138.135', 2954857092, 2954857095, 'CZ', 'Czech Republic'),
(84906, '176.31.138.136', '176.31.138.139', 2954857096, 2954857099, 'PL', 'Poland'),
(84907, '176.31.138.140', '176.31.138.143', 2954857100, 2954857103, 'IT', 'Italy'),
(84908, '176.31.138.144', '176.31.138.147', 2954857104, 2954857107, 'GB', 'United Kingdom'),
(84909, '176.31.138.148', '176.31.138.151', 2954857108, 2954857111, 'FR', 'France'),
(84910, '176.31.138.152', '176.31.138.155', 2954857112, 2954857115, 'PL', 'Poland'),
(84911, '176.31.138.156', '176.31.138.159', 2954857116, 2954857119, 'IE', 'Ireland'),
(84912, '176.31.138.160', '176.31.138.175', 2954857120, 2954857135, 'PT', 'Portugal'),
(84913, '176.31.138.176', '176.31.138.183', 2954857136, 2954857143, 'LT', 'Lithuania'),
(84914, '176.31.138.184', '176.31.138.191', 2954857144, 2954857151, 'FR', 'France'),
(84915, '176.31.138.192', '176.31.138.255', 2954857152, 2954857215, 'IE', 'Ireland'),
(84916, '176.31.139.0', '176.31.140.31', 2954857216, 2954857503, 'FR', 'France'),
(84917, '176.31.140.32', '176.31.140.47', 2954857504, 2954857519, 'IT', 'Italy'),
(84918, '176.31.140.48', '176.31.140.51', 2954857520, 2954857523, 'FR', 'France'),
(84919, '176.31.140.52', '176.31.140.55', 2954857524, 2954857527, 'DE', 'Germany'),
(84920, '176.31.140.56', '176.31.140.59', 2954857528, 2954857531, 'GB', 'United Kingdom'),
(84921, '176.31.140.60', '176.31.140.63', 2954857532, 2954857535, 'NL', 'Netherlands'),
(84922, '176.31.140.64', '176.31.140.79', 2954857536, 2954857551, 'CH', 'Switzerland'),
(84923, '176.31.140.80', '176.31.140.95', 2954857552, 2954857567, 'IT', 'Italy'),
(84924, '176.31.140.96', '176.31.140.99', 2954857568, 2954857571, 'PL', 'Poland'),
(84925, '176.31.140.100', '176.31.140.103', 2954857572, 2954857575, 'PT', 'Portugal'),
(84926, '176.31.140.104', '176.31.140.111', 2954857576, 2954857583, 'FR', 'France'),
(84927, '176.31.140.112', '176.31.140.127', 2954857584, 2954857599, 'ES', 'Spain'),
(84928, '176.31.140.128', '176.31.140.191', 2954857600, 2954857663, 'IE', 'Ireland'),
(84929, '176.31.140.192', '176.31.140.223', 2954857664, 2954857695, 'FR', 'France'),
(84930, '176.31.140.224', '176.31.140.227', 2954857696, 2954857699, 'IE', 'Ireland'),
(84931, '176.31.140.228', '176.31.140.231', 2954857700, 2954857703, 'ES', 'Spain'),
(84932, '176.31.140.232', '176.31.140.235', 2954857704, 2954857707, 'PL', 'Poland'),
(84933, '176.31.140.236', '176.31.140.239', 2954857708, 2954857711, 'ES', 'Spain'),
(84934, '176.31.140.240', '176.31.140.255', 2954857712, 2954857727, 'IE', 'Ireland'),
(84935, '176.31.141.0', '176.31.141.23', 2954857728, 2954857751, 'FR', 'France'),
(84936, '176.31.141.24', '176.31.141.27', 2954857752, 2954857755, 'ES', 'Spain'),
(84937, '176.31.141.28', '176.31.141.31', 2954857756, 2954857759, 'PL', 'Poland'),
(84938, '176.31.141.32', '176.31.141.95', 2954857760, 2954857823, 'FR', 'France'),
(84939, '176.31.141.96', '176.31.141.127', 2954857824, 2954857855, 'ES', 'Spain'),
(84940, '176.31.141.128', '176.31.141.255', 2954857856, 2954857983, 'IE', 'Ireland'),
(84941, '176.31.142.0', '176.31.142.15', 2954857984, 2954857999, 'IT', 'Italy'),
(84942, '176.31.142.16', '176.31.142.31', 2954858000, 2954858015, 'FR', 'France'),
(84943, '176.31.142.32', '176.31.142.39', 2954858016, 2954858023, 'PL', 'Poland'),
(84944, '176.31.142.40', '176.31.142.43', 2954858024, 2954858027, 'ES', 'Spain'),
(84945, '176.31.142.44', '176.31.142.47', 2954858028, 2954858031, 'IT', 'Italy'),
(84946, '176.31.142.48', '176.31.142.51', 2954858032, 2954858035, 'DE', 'Germany'),
(84947, '176.31.142.52', '176.31.142.55', 2954858036, 2954858039, 'PL', 'Poland'),
(84948, '176.31.142.56', '176.31.142.59', 2954858040, 2954858043, 'FR', 'France'),
(84949, '176.31.142.60', '176.31.142.63', 2954858044, 2954858047, 'PT', 'Portugal'),
(84950, '176.31.142.64', '176.31.142.67', 2954858048, 2954858051, 'ES', 'Spain'),
(84951, '176.31.142.68', '176.31.142.75', 2954858052, 2954858059, 'FR', 'France'),
(84952, '176.31.142.76', '176.31.142.79', 2954858060, 2954858063, 'PL', 'Poland'),
(84953, '176.31.142.80', '176.31.142.95', 2954858064, 2954858079, 'IE', 'Ireland'),
(84954, '176.31.142.96', '176.31.142.111', 2954858080, 2954858095, 'NL', 'Netherlands'),
(84955, '176.31.142.112', '176.31.142.127', 2954858096, 2954858111, 'ES', 'Spain'),
(84956, '176.31.142.128', '176.31.142.159', 2954858112, 2954858143, 'DE', 'Germany'),
(84957, '176.31.142.160', '176.31.142.191', 2954858144, 2954858175, 'ES', 'Spain'),
(84958, '176.31.142.192', '176.31.142.207', 2954858176, 2954858191, 'PL', 'Poland'),
(84959, '176.31.142.208', '176.31.142.223', 2954858192, 2954858207, 'GB', 'United Kingdom'),
(84960, '176.31.142.224', '176.31.142.255', 2954858208, 2954858239, 'IT', 'Italy'),
(84961, '176.31.143.0', '176.31.143.31', 2954858240, 2954858271, 'NL', 'Netherlands'),
(84962, '176.31.143.32', '176.31.143.63', 2954858272, 2954858303, 'GB', 'United Kingdom'),
(84963, '176.31.143.64', '176.31.143.95', 2954858304, 2954858335, 'DE', 'Germany'),
(84964, '176.31.143.96', '176.31.143.111', 2954858336, 2954858351, 'IE', 'Ireland'),
(84965, '176.31.143.112', '176.31.143.143', 2954858352, 2954858383, 'PL', 'Poland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(84966, '176.31.143.144', '176.31.143.175', 2954858384, 2954858415, 'FR', 'France'),
(84967, '176.31.143.176', '176.31.143.183', 2954858416, 2954858423, 'ES', 'Spain'),
(84968, '176.31.143.184', '176.31.143.187', 2954858424, 2954858427, 'DE', 'Germany'),
(84969, '176.31.143.188', '176.31.143.191', 2954858428, 2954858431, 'FR', 'France'),
(84970, '176.31.143.192', '176.31.143.199', 2954858432, 2954858439, 'GB', 'United Kingdom'),
(84971, '176.31.143.200', '176.31.143.203', 2954858440, 2954858443, 'FR', 'France'),
(84972, '176.31.143.204', '176.31.143.207', 2954858444, 2954858447, 'GB', 'United Kingdom'),
(84973, '176.31.143.208', '176.31.143.223', 2954858448, 2954858463, 'IT', 'Italy'),
(84974, '176.31.143.224', '176.31.143.239', 2954858464, 2954858479, 'FR', 'France'),
(84975, '176.31.143.240', '176.31.143.243', 2954858480, 2954858483, 'NL', 'Netherlands'),
(84976, '176.31.143.244', '176.31.143.247', 2954858484, 2954858487, 'DE', 'Germany'),
(84977, '176.31.143.248', '176.31.143.251', 2954858488, 2954858491, 'IT', 'Italy'),
(84978, '176.31.143.252', '176.31.143.255', 2954858492, 2954858495, 'NL', 'Netherlands'),
(84979, '176.31.144.0', '176.31.144.255', 2954858496, 2954858751, 'ES', 'Spain'),
(84980, '176.31.145.0', '176.31.145.63', 2954858752, 2954858815, 'IE', 'Ireland'),
(84981, '176.31.145.64', '176.31.145.67', 2954858816, 2954858819, 'ES', 'Spain'),
(84982, '176.31.145.68', '176.31.145.71', 2954858820, 2954858823, 'FR', 'France'),
(84983, '176.31.145.72', '176.31.145.79', 2954858824, 2954858831, 'GB', 'United Kingdom'),
(84984, '176.31.145.80', '176.31.145.95', 2954858832, 2954858847, 'IE', 'Ireland'),
(84985, '176.31.145.96', '176.31.145.143', 2954858848, 2954858895, 'FR', 'France'),
(84986, '176.31.145.144', '176.31.145.159', 2954858896, 2954858911, 'ES', 'Spain'),
(84987, '176.31.145.160', '176.31.145.191', 2954858912, 2954858943, 'DE', 'Germany'),
(84988, '176.31.145.192', '176.31.145.223', 2954858944, 2954858975, 'ES', 'Spain'),
(84989, '176.31.145.224', '176.31.145.239', 2954858976, 2954858991, 'FR', 'France'),
(84990, '176.31.145.240', '176.31.145.255', 2954858992, 2954859007, 'GB', 'United Kingdom'),
(84991, '176.31.146.0', '176.31.146.15', 2954859008, 2954859023, 'FR', 'France'),
(84992, '176.31.146.16', '176.31.146.19', 2954859024, 2954859027, 'IT', 'Italy'),
(84993, '176.31.146.20', '176.31.146.23', 2954859028, 2954859031, 'PT', 'Portugal'),
(84994, '176.31.146.24', '176.31.146.35', 2954859032, 2954859043, 'FR', 'France'),
(84995, '176.31.146.36', '176.31.146.39', 2954859044, 2954859047, 'DE', 'Germany'),
(84996, '176.31.146.40', '176.31.146.63', 2954859048, 2954859071, 'FR', 'France'),
(84997, '176.31.146.64', '176.31.146.71', 2954859072, 2954859079, 'PL', 'Poland'),
(84998, '176.31.146.72', '176.31.146.79', 2954859080, 2954859087, 'FR', 'France'),
(84999, '176.31.146.80', '176.31.146.95', 2954859088, 2954859103, 'BE', 'Belgium'),
(85000, '176.31.146.96', '176.31.146.115', 2954859104, 2954859123, 'FR', 'France'),
(85001, '176.31.146.116', '176.31.146.119', 2954859124, 2954859127, 'NL', 'Netherlands'),
(85002, '176.31.146.120', '176.31.146.123', 2954859128, 2954859131, 'GB', 'United Kingdom'),
(85003, '176.31.146.124', '176.31.146.127', 2954859132, 2954859135, 'BE', 'Belgium'),
(85004, '176.31.146.128', '176.31.146.231', 2954859136, 2954859239, 'FR', 'France'),
(85005, '176.31.146.232', '176.31.146.235', 2954859240, 2954859243, 'ES', 'Spain'),
(85006, '176.31.146.236', '176.31.146.239', 2954859244, 2954859247, 'PL', 'Poland'),
(85007, '176.31.146.240', '176.31.147.3', 2954859248, 2954859267, 'FR', 'France'),
(85008, '176.31.147.4', '176.31.147.7', 2954859268, 2954859271, 'ES', 'Spain'),
(85009, '176.31.147.8', '176.31.147.11', 2954859272, 2954859275, 'PL', 'Poland'),
(85010, '176.31.147.12', '176.31.147.15', 2954859276, 2954859279, 'ES', 'Spain'),
(85011, '176.31.147.16', '176.31.147.47', 2954859280, 2954859311, 'FR', 'France'),
(85012, '176.31.147.48', '176.31.147.51', 2954859312, 2954859315, 'ES', 'Spain'),
(85013, '176.31.147.52', '176.31.147.59', 2954859316, 2954859323, 'FR', 'France'),
(85014, '176.31.147.60', '176.31.147.63', 2954859324, 2954859327, 'CZ', 'Czech Republic'),
(85015, '176.31.147.64', '176.31.147.79', 2954859328, 2954859343, 'GB', 'United Kingdom'),
(85016, '176.31.147.80', '176.31.147.127', 2954859344, 2954859391, 'FR', 'France'),
(85017, '176.31.147.128', '176.31.147.159', 2954859392, 2954859423, 'IT', 'Italy'),
(85018, '176.31.147.160', '176.31.147.191', 2954859424, 2954859455, 'GB', 'United Kingdom'),
(85019, '176.31.147.192', '176.31.147.223', 2954859456, 2954859487, 'NL', 'Netherlands'),
(85020, '176.31.147.224', '176.31.147.231', 2954859488, 2954859495, 'FR', 'France'),
(85021, '176.31.147.232', '176.31.147.239', 2954859496, 2954859503, 'IT', 'Italy'),
(85022, '176.31.147.240', '176.31.147.255', 2954859504, 2954859519, 'GB', 'United Kingdom'),
(85023, '176.31.148.0', '176.31.148.31', 2954859520, 2954859551, 'DE', 'Germany'),
(85024, '176.31.148.32', '176.31.148.39', 2954859552, 2954859559, 'FR', 'France'),
(85025, '176.31.148.40', '176.31.148.55', 2954859560, 2954859575, 'IT', 'Italy'),
(85026, '176.31.148.56', '176.31.148.63', 2954859576, 2954859583, 'DE', 'Germany'),
(85027, '176.31.148.64', '176.31.148.127', 2954859584, 2954859647, 'FR', 'France'),
(85028, '176.31.148.128', '176.31.148.135', 2954859648, 2954859655, 'ES', 'Spain'),
(85029, '176.31.148.136', '176.31.148.143', 2954859656, 2954859663, 'NL', 'Netherlands'),
(85030, '176.31.148.144', '176.31.148.159', 2954859664, 2954859679, 'FR', 'France'),
(85031, '176.31.148.160', '176.31.148.175', 2954859680, 2954859695, 'CH', 'Switzerland'),
(85032, '176.31.148.176', '176.31.148.183', 2954859696, 2954859703, 'FR', 'France'),
(85033, '176.31.148.184', '176.31.148.187', 2954859704, 2954859707, 'GB', 'United Kingdom'),
(85034, '176.31.148.188', '176.31.148.191', 2954859708, 2954859711, 'DE', 'Germany'),
(85035, '176.31.148.192', '176.31.148.255', 2954859712, 2954859775, 'FR', 'France'),
(85036, '176.31.149.0', '176.31.149.31', 2954859776, 2954859807, 'PL', 'Poland'),
(85037, '176.31.149.32', '176.31.149.47', 2954859808, 2954859823, 'GB', 'United Kingdom'),
(85038, '176.31.149.48', '176.31.149.55', 2954859824, 2954859831, 'DE', 'Germany'),
(85039, '176.31.149.56', '176.31.149.127', 2954859832, 2954859903, 'FR', 'France'),
(85040, '176.31.149.128', '176.31.149.159', 2954859904, 2954859935, 'DE', 'Germany'),
(85041, '176.31.149.160', '176.31.149.175', 2954859936, 2954859951, 'FR', 'France'),
(85042, '176.31.149.176', '176.31.149.179', 2954859952, 2954859955, 'PL', 'Poland'),
(85043, '176.31.149.180', '176.31.149.183', 2954859956, 2954859959, 'GB', 'United Kingdom'),
(85044, '176.31.149.184', '176.31.149.187', 2954859960, 2954859963, 'ES', 'Spain'),
(85045, '176.31.149.188', '176.31.149.255', 2954859964, 2954860031, 'PL', 'Poland'),
(85046, '176.31.150.0', '176.31.150.31', 2954860032, 2954860063, 'DE', 'Germany'),
(85047, '176.31.150.32', '176.31.150.63', 2954860064, 2954860095, 'FR', 'France'),
(85048, '176.31.150.64', '176.31.150.71', 2954860096, 2954860103, 'GB', 'United Kingdom'),
(85049, '176.31.150.72', '176.31.150.79', 2954860104, 2954860111, 'FR', 'France'),
(85050, '176.31.150.80', '176.31.150.95', 2954860112, 2954860127, 'GB', 'United Kingdom'),
(85051, '176.31.150.96', '176.31.150.99', 2954860128, 2954860131, 'ES', 'Spain'),
(85052, '176.31.150.100', '176.31.150.103', 2954860132, 2954860135, 'FR', 'France'),
(85053, '176.31.150.104', '176.31.150.119', 2954860136, 2954860151, 'PL', 'Poland'),
(85054, '176.31.150.120', '176.31.150.135', 2954860152, 2954860167, 'IE', 'Ireland'),
(85055, '176.31.150.136', '176.31.150.139', 2954860168, 2954860171, 'PL', 'Poland'),
(85056, '176.31.150.140', '176.31.150.143', 2954860172, 2954860175, 'BE', 'Belgium'),
(85057, '176.31.150.144', '176.31.150.151', 2954860176, 2954860183, 'DE', 'Germany'),
(85058, '176.31.150.152', '176.31.150.155', 2954860184, 2954860187, 'FR', 'France'),
(85059, '176.31.150.156', '176.31.150.159', 2954860188, 2954860191, 'ES', 'Spain'),
(85060, '176.31.150.160', '176.31.150.195', 2954860192, 2954860227, 'FR', 'France'),
(85061, '176.31.150.196', '176.31.150.199', 2954860228, 2954860231, 'PL', 'Poland'),
(85062, '176.31.150.200', '176.31.150.207', 2954860232, 2954860239, 'BE', 'Belgium'),
(85063, '176.31.150.208', '176.31.150.211', 2954860240, 2954860243, 'NL', 'Netherlands'),
(85064, '176.31.150.212', '176.31.150.215', 2954860244, 2954860247, 'ES', 'Spain'),
(85065, '176.31.150.216', '176.31.150.223', 2954860248, 2954860255, 'FR', 'France'),
(85066, '176.31.150.224', '176.31.150.239', 2954860256, 2954860271, 'IE', 'Ireland'),
(85067, '176.31.150.240', '176.31.150.243', 2954860272, 2954860275, 'GB', 'United Kingdom'),
(85068, '176.31.150.244', '176.31.151.31', 2954860276, 2954860319, 'FR', 'France'),
(85069, '176.31.151.32', '176.31.151.39', 2954860320, 2954860327, 'DE', 'Germany'),
(85070, '176.31.151.40', '176.31.151.47', 2954860328, 2954860335, 'FR', 'France'),
(85071, '176.31.151.48', '176.31.151.63', 2954860336, 2954860351, 'CH', 'Switzerland'),
(85072, '176.31.151.64', '176.31.151.127', 2954860352, 2954860415, 'FR', 'France'),
(85073, '176.31.151.128', '176.31.151.135', 2954860416, 2954860423, 'PL', 'Poland'),
(85074, '176.31.151.136', '176.31.151.139', 2954860424, 2954860427, 'FR', 'France'),
(85075, '176.31.151.140', '176.31.151.143', 2954860428, 2954860431, 'IE', 'Ireland'),
(85076, '176.31.151.144', '176.31.151.151', 2954860432, 2954860439, 'FR', 'France'),
(85077, '176.31.151.152', '176.31.151.155', 2954860440, 2954860443, 'IT', 'Italy'),
(85078, '176.31.151.156', '176.31.151.159', 2954860444, 2954860447, 'FI', 'Finland'),
(85079, '176.31.151.160', '176.31.151.167', 2954860448, 2954860455, 'FR', 'France'),
(85080, '176.31.151.168', '176.31.151.171', 2954860456, 2954860459, 'IE', 'Ireland'),
(85081, '176.31.151.172', '176.31.151.175', 2954860460, 2954860463, 'GB', 'United Kingdom'),
(85082, '176.31.151.176', '176.31.151.191', 2954860464, 2954860479, 'DE', 'Germany'),
(85083, '176.31.151.192', '176.31.151.195', 2954860480, 2954860483, 'GB', 'United Kingdom'),
(85084, '176.31.151.196', '176.31.151.199', 2954860484, 2954860487, 'FR', 'France'),
(85085, '176.31.151.200', '176.31.151.203', 2954860488, 2954860491, 'GB', 'United Kingdom'),
(85086, '176.31.151.204', '176.31.151.247', 2954860492, 2954860535, 'FR', 'France'),
(85087, '176.31.151.248', '176.31.151.251', 2954860536, 2954860539, 'GB', 'United Kingdom'),
(85088, '176.31.151.252', '176.31.151.255', 2954860540, 2954860543, 'ES', 'Spain'),
(85089, '176.31.152.0', '176.31.152.255', 2954860544, 2954860799, 'CZ', 'Czech Republic'),
(85090, '176.31.153.0', '176.31.153.63', 2954860800, 2954860863, 'IE', 'Ireland'),
(85091, '176.31.153.64', '176.31.153.191', 2954860864, 2954860991, 'FR', 'France'),
(85092, '176.31.153.192', '176.31.153.203', 2954860992, 2954861003, 'PL', 'Poland'),
(85093, '176.31.153.204', '176.31.153.223', 2954861004, 2954861023, 'FR', 'France'),
(85094, '176.31.153.224', '176.31.153.231', 2954861024, 2954861031, 'GB', 'United Kingdom'),
(85095, '176.31.153.232', '176.31.153.235', 2954861032, 2954861035, 'NL', 'Netherlands'),
(85096, '176.31.153.236', '176.31.153.239', 2954861036, 2954861039, 'IT', 'Italy'),
(85097, '176.31.153.240', '176.31.153.255', 2954861040, 2954861055, 'PL', 'Poland'),
(85098, '176.31.154.0', '176.31.154.11', 2954861056, 2954861067, 'FR', 'France'),
(85099, '176.31.154.12', '176.31.154.15', 2954861068, 2954861071, 'GB', 'United Kingdom'),
(85100, '176.31.154.16', '176.31.154.31', 2954861072, 2954861087, 'FR', 'France'),
(85101, '176.31.154.32', '176.31.154.63', 2954861088, 2954861119, 'CH', 'Switzerland'),
(85102, '176.31.154.64', '176.31.154.87', 2954861120, 2954861143, 'FR', 'France'),
(85103, '176.31.154.88', '176.31.154.91', 2954861144, 2954861147, 'DE', 'Germany'),
(85104, '176.31.154.92', '176.31.154.95', 2954861148, 2954861151, 'FR', 'France'),
(85105, '176.31.154.96', '176.31.154.103', 2954861152, 2954861159, 'GB', 'United Kingdom'),
(85106, '176.31.154.104', '176.31.154.127', 2954861160, 2954861183, 'FR', 'France'),
(85107, '176.31.154.128', '176.31.154.135', 2954861184, 2954861191, 'IT', 'Italy'),
(85108, '176.31.154.136', '176.31.154.139', 2954861192, 2954861195, 'FR', 'France'),
(85109, '176.31.154.140', '176.31.154.143', 2954861196, 2954861199, 'CZ', 'Czech Republic'),
(85110, '176.31.154.144', '176.31.154.159', 2954861200, 2954861215, 'GB', 'United Kingdom'),
(85111, '176.31.154.160', '176.31.154.175', 2954861216, 2954861231, 'FR', 'France'),
(85112, '176.31.154.176', '176.31.154.183', 2954861232, 2954861239, 'PL', 'Poland'),
(85113, '176.31.154.184', '176.31.154.191', 2954861240, 2954861247, 'FR', 'France'),
(85114, '176.31.154.192', '176.31.154.255', 2954861248, 2954861311, 'PL', 'Poland'),
(85115, '176.31.155.0', '176.31.155.11', 2954861312, 2954861323, 'FR', 'France'),
(85116, '176.31.155.12', '176.31.155.15', 2954861324, 2954861327, 'IT', 'Italy'),
(85117, '176.31.155.16', '176.31.155.31', 2954861328, 2954861343, 'NL', 'Netherlands'),
(85118, '176.31.155.32', '176.31.155.47', 2954861344, 2954861359, 'FR', 'France'),
(85119, '176.31.155.48', '176.31.155.51', 2954861360, 2954861363, 'IE', 'Ireland'),
(85120, '176.31.155.52', '176.31.155.55', 2954861364, 2954861367, 'FR', 'France'),
(85121, '176.31.155.56', '176.31.155.59', 2954861368, 2954861371, 'ES', 'Spain'),
(85122, '176.31.155.60', '176.31.155.63', 2954861372, 2954861375, 'PT', 'Portugal'),
(85123, '176.31.155.64', '176.31.155.95', 2954861376, 2954861407, 'DE', 'Germany'),
(85124, '176.31.155.96', '176.31.155.111', 2954861408, 2954861423, 'FR', 'France'),
(85125, '176.31.155.112', '176.31.155.119', 2954861424, 2954861431, 'CH', 'Switzerland'),
(85126, '176.31.155.120', '176.31.155.127', 2954861432, 2954861439, 'GB', 'United Kingdom'),
(85127, '176.31.155.128', '176.31.155.255', 2954861440, 2954861567, 'FR', 'France'),
(85128, '176.31.156.0', '176.31.156.3', 2954861568, 2954861571, 'IT', 'Italy'),
(85129, '176.31.156.4', '176.31.156.7', 2954861572, 2954861575, 'GB', 'United Kingdom'),
(85130, '176.31.156.8', '176.31.156.31', 2954861576, 2954861599, 'FR', 'France'),
(85131, '176.31.156.32', '176.31.156.47', 2954861600, 2954861615, 'PL', 'Poland'),
(85132, '176.31.156.48', '176.31.156.55', 2954861616, 2954861623, 'FR', 'France'),
(85133, '176.31.156.56', '176.31.156.63', 2954861624, 2954861631, 'IT', 'Italy'),
(85134, '176.31.156.64', '176.31.156.67', 2954861632, 2954861635, 'NL', 'Netherlands'),
(85135, '176.31.156.68', '176.31.156.71', 2954861636, 2954861639, 'GB', 'United Kingdom'),
(85136, '176.31.156.72', '176.31.156.79', 2954861640, 2954861647, 'PL', 'Poland'),
(85137, '176.31.156.80', '176.31.156.87', 2954861648, 2954861655, 'GB', 'United Kingdom'),
(85138, '176.31.156.88', '176.31.156.95', 2954861656, 2954861663, 'FR', 'France'),
(85139, '176.31.156.96', '176.31.156.103', 2954861664, 2954861671, 'ES', 'Spain'),
(85140, '176.31.156.104', '176.31.156.107', 2954861672, 2954861675, 'NL', 'Netherlands'),
(85141, '176.31.156.108', '176.31.156.119', 2954861676, 2954861687, 'PL', 'Poland'),
(85142, '176.31.156.120', '176.31.156.123', 2954861688, 2954861691, 'GB', 'United Kingdom'),
(85143, '176.31.156.124', '176.31.156.127', 2954861692, 2954861695, 'ES', 'Spain'),
(85144, '176.31.156.128', '176.31.156.195', 2954861696, 2954861763, 'GB', 'United Kingdom'),
(85145, '176.31.156.196', '176.31.156.199', 2954861764, 2954861767, 'PL', 'Poland'),
(85146, '176.31.156.200', '176.31.156.207', 2954861768, 2954861775, 'FR', 'France'),
(85147, '176.31.156.208', '176.31.156.211', 2954861776, 2954861779, 'PT', 'Portugal'),
(85148, '176.31.156.212', '176.31.156.215', 2954861780, 2954861783, 'DE', 'Germany'),
(85149, '176.31.156.216', '176.31.156.219', 2954861784, 2954861787, 'FR', 'France'),
(85150, '176.31.156.220', '176.31.156.223', 2954861788, 2954861791, 'PL', 'Poland'),
(85151, '176.31.156.224', '176.31.156.255', 2954861792, 2954861823, 'GB', 'United Kingdom'),
(85152, '176.31.157.0', '176.31.157.3', 2954861824, 2954861827, 'PL', 'Poland'),
(85153, '176.31.157.4', '176.31.157.7', 2954861828, 2954861831, 'GB', 'United Kingdom'),
(85154, '176.31.157.8', '176.31.157.11', 2954861832, 2954861835, 'DE', 'Germany'),
(85155, '176.31.157.12', '176.31.157.15', 2954861836, 2954861839, 'PL', 'Poland'),
(85156, '176.31.157.16', '176.31.157.19', 2954861840, 2954861843, 'GB', 'United Kingdom'),
(85157, '176.31.157.20', '176.31.157.23', 2954861844, 2954861847, 'PL', 'Poland'),
(85158, '176.31.157.24', '176.31.157.39', 2954861848, 2954861863, 'FR', 'France'),
(85159, '176.31.157.40', '176.31.157.43', 2954861864, 2954861867, 'NL', 'Netherlands'),
(85160, '176.31.157.44', '176.31.157.47', 2954861868, 2954861871, 'FR', 'France'),
(85161, '176.31.157.48', '176.31.157.63', 2954861872, 2954861887, 'IE', 'Ireland'),
(85162, '176.31.157.64', '176.31.157.95', 2954861888, 2954861919, 'DE', 'Germany'),
(85163, '176.31.157.96', '176.31.157.99', 2954861920, 2954861923, 'PL', 'Poland'),
(85164, '176.31.157.100', '176.31.157.103', 2954861924, 2954861927, 'ES', 'Spain'),
(85165, '176.31.157.104', '176.31.157.111', 2954861928, 2954861935, 'FR', 'France'),
(85166, '176.31.157.112', '176.31.157.119', 2954861936, 2954861943, 'DE', 'Germany'),
(85167, '176.31.157.120', '176.31.157.123', 2954861944, 2954861947, 'FR', 'France'),
(85168, '176.31.157.124', '176.31.157.127', 2954861948, 2954861951, 'GB', 'United Kingdom'),
(85169, '176.31.157.128', '176.31.157.131', 2954861952, 2954861955, 'FR', 'France'),
(85170, '176.31.157.132', '176.31.157.143', 2954861956, 2954861967, 'GB', 'United Kingdom'),
(85171, '176.31.157.144', '176.31.157.151', 2954861968, 2954861975, 'ES', 'Spain'),
(85172, '176.31.157.152', '176.31.157.159', 2954861976, 2954861983, 'DE', 'Germany'),
(85173, '176.31.157.160', '176.31.157.163', 2954861984, 2954861987, 'FR', 'France'),
(85174, '176.31.157.164', '176.31.157.167', 2954861988, 2954861991, 'BE', 'Belgium'),
(85175, '176.31.157.168', '176.31.157.171', 2954861992, 2954861995, 'PL', 'Poland'),
(85176, '176.31.157.172', '176.31.157.175', 2954861996, 2954861999, 'DE', 'Germany'),
(85177, '176.31.157.176', '176.31.157.191', 2954862000, 2954862015, 'GB', 'United Kingdom'),
(85178, '176.31.157.192', '176.31.157.223', 2954862016, 2954862047, 'FR', 'France'),
(85179, '176.31.157.224', '176.31.157.239', 2954862048, 2954862063, 'IT', 'Italy'),
(85180, '176.31.157.240', '176.31.157.255', 2954862064, 2954862079, 'FI', 'Finland'),
(85181, '176.31.158.0', '176.31.158.63', 2954862080, 2954862143, 'FR', 'France'),
(85182, '176.31.158.64', '176.31.158.127', 2954862144, 2954862207, 'ES', 'Spain'),
(85183, '176.31.158.128', '176.31.158.131', 2954862208, 2954862211, 'PL', 'Poland'),
(85184, '176.31.158.132', '176.31.158.135', 2954862212, 2954862215, 'PT', 'Portugal'),
(85185, '176.31.158.136', '176.31.158.139', 2954862216, 2954862219, 'FR', 'France'),
(85186, '176.31.158.140', '176.31.158.143', 2954862220, 2954862223, 'DE', 'Germany'),
(85187, '176.31.158.144', '176.31.158.159', 2954862224, 2954862239, 'FR', 'France'),
(85188, '176.31.158.160', '176.31.158.167', 2954862240, 2954862247, 'IT', 'Italy'),
(85189, '176.31.158.168', '176.31.158.171', 2954862248, 2954862251, 'DE', 'Germany'),
(85190, '176.31.158.172', '176.31.158.175', 2954862252, 2954862255, 'CZ', 'Czech Republic'),
(85191, '176.31.158.176', '176.31.158.191', 2954862256, 2954862271, 'FR', 'France'),
(85192, '176.31.158.192', '176.31.158.223', 2954862272, 2954862303, 'FI', 'Finland'),
(85193, '176.31.158.224', '176.31.158.255', 2954862304, 2954862335, 'FR', 'France'),
(85194, '176.31.159.0', '176.31.159.31', 2954862336, 2954862367, 'PL', 'Poland'),
(85195, '176.31.159.32', '176.31.159.35', 2954862368, 2954862371, 'FR', 'France'),
(85196, '176.31.159.36', '176.31.159.39', 2954862372, 2954862375, 'CH', 'Switzerland'),
(85197, '176.31.159.40', '176.31.159.63', 2954862376, 2954862399, 'FR', 'France'),
(85198, '176.31.159.64', '176.31.159.79', 2954862400, 2954862415, 'IE', 'Ireland'),
(85199, '176.31.159.80', '176.31.159.95', 2954862416, 2954862431, 'DE', 'Germany'),
(85200, '176.31.159.96', '176.31.159.127', 2954862432, 2954862463, 'FR', 'France'),
(85201, '176.31.159.128', '176.31.159.131', 2954862464, 2954862467, 'GB', 'United Kingdom'),
(85202, '176.31.159.132', '176.31.159.135', 2954862468, 2954862471, 'NL', 'Netherlands'),
(85203, '176.31.159.136', '176.31.159.143', 2954862472, 2954862479, 'DE', 'Germany'),
(85204, '176.31.159.144', '176.31.159.147', 2954862480, 2954862483, 'ES', 'Spain'),
(85205, '176.31.159.148', '176.31.159.151', 2954862484, 2954862487, 'FR', 'France'),
(85206, '176.31.159.152', '176.31.159.159', 2954862488, 2954862495, 'IT', 'Italy'),
(85207, '176.31.159.160', '176.31.159.175', 2954862496, 2954862511, 'ES', 'Spain'),
(85208, '176.31.159.176', '176.31.159.179', 2954862512, 2954862515, 'DE', 'Germany'),
(85209, '176.31.159.180', '176.31.159.183', 2954862516, 2954862519, 'PT', 'Portugal'),
(85210, '176.31.159.184', '176.31.159.187', 2954862520, 2954862523, 'ES', 'Spain'),
(85211, '176.31.159.188', '176.31.159.191', 2954862524, 2954862527, 'IT', 'Italy'),
(85212, '176.31.159.192', '176.31.159.223', 2954862528, 2954862559, 'FR', 'France'),
(85213, '176.31.159.224', '176.31.159.231', 2954862560, 2954862567, 'ES', 'Spain'),
(85214, '176.31.159.232', '176.31.159.235', 2954862568, 2954862571, 'CZ', 'Czech Republic'),
(85215, '176.31.159.236', '176.31.159.251', 2954862572, 2954862587, 'FR', 'France'),
(85216, '176.31.159.252', '176.31.159.255', 2954862588, 2954862591, 'ES', 'Spain'),
(85217, '176.31.160.0', '176.31.191.255', 2954862592, 2954870783, 'FR', 'France'),
(85218, '176.31.192.0', '176.31.192.3', 2954870784, 2954870787, 'DE', 'Germany'),
(85219, '176.31.192.4', '176.31.192.7', 2954870788, 2954870791, 'GB', 'United Kingdom'),
(85220, '176.31.192.8', '176.31.192.11', 2954870792, 2954870795, 'FR', 'France'),
(85221, '176.31.192.12', '176.31.192.15', 2954870796, 2954870799, 'PL', 'Poland'),
(85222, '176.31.192.16', '176.31.192.47', 2954870800, 2954870831, 'FR', 'France'),
(85223, '176.31.192.48', '176.31.192.51', 2954870832, 2954870835, 'PL', 'Poland'),
(85224, '176.31.192.52', '176.31.192.55', 2954870836, 2954870839, 'GB', 'United Kingdom'),
(85225, '176.31.192.56', '176.31.192.59', 2954870840, 2954870843, 'DE', 'Germany'),
(85226, '176.31.192.60', '176.31.192.63', 2954870844, 2954870847, 'FR', 'France'),
(85227, '176.31.192.64', '176.31.192.79', 2954870848, 2954870863, 'PL', 'Poland'),
(85228, '176.31.192.80', '176.31.192.83', 2954870864, 2954870867, 'GB', 'United Kingdom'),
(85229, '176.31.192.84', '176.31.192.91', 2954870868, 2954870875, 'ES', 'Spain'),
(85230, '176.31.192.92', '176.31.192.95', 2954870876, 2954870879, 'PL', 'Poland'),
(85231, '176.31.192.96', '176.31.192.111', 2954870880, 2954870895, 'IE', 'Ireland'),
(85232, '176.31.192.112', '176.31.192.119', 2954870896, 2954870903, 'FR', 'France'),
(85233, '176.31.192.120', '176.31.192.123', 2954870904, 2954870907, 'PL', 'Poland'),
(85234, '176.31.192.124', '176.31.192.127', 2954870908, 2954870911, 'ES', 'Spain'),
(85235, '176.31.192.128', '176.31.194.255', 2954870912, 2954871551, 'FR', 'France'),
(85236, '176.31.195.0', '176.31.195.31', 2954871552, 2954871583, 'DE', 'Germany'),
(85237, '176.31.195.32', '176.31.195.47', 2954871584, 2954871599, 'GB', 'United Kingdom'),
(85238, '176.31.195.48', '176.31.195.51', 2954871600, 2954871603, 'FR', 'France'),
(85239, '176.31.195.52', '176.31.195.55', 2954871604, 2954871607, 'PL', 'Poland'),
(85240, '176.31.195.56', '176.31.195.59', 2954871608, 2954871611, 'BE', 'Belgium'),
(85241, '176.31.195.60', '176.31.195.63', 2954871612, 2954871615, 'CZ', 'Czech Republic'),
(85242, '176.31.195.64', '176.31.195.79', 2954871616, 2954871631, 'ES', 'Spain'),
(85243, '176.31.195.80', '176.31.195.83', 2954871632, 2954871635, 'BE', 'Belgium'),
(85244, '176.31.195.84', '176.31.195.87', 2954871636, 2954871639, 'ES', 'Spain'),
(85245, '176.31.195.88', '176.31.195.91', 2954871640, 2954871643, 'FR', 'France'),
(85246, '176.31.195.92', '176.31.195.95', 2954871644, 2954871647, 'IT', 'Italy'),
(85247, '176.31.195.96', '176.31.195.119', 2954871648, 2954871671, 'FR', 'France'),
(85248, '176.31.195.120', '176.31.195.123', 2954871672, 2954871675, 'DE', 'Germany'),
(85249, '176.31.195.124', '176.31.195.143', 2954871676, 2954871695, 'FR', 'France'),
(85250, '176.31.195.144', '176.31.195.151', 2954871696, 2954871703, 'DE', 'Germany'),
(85251, '176.31.195.152', '176.31.195.155', 2954871704, 2954871707, 'CH', 'Switzerland'),
(85252, '176.31.195.156', '176.31.195.159', 2954871708, 2954871711, 'GB', 'United Kingdom'),
(85253, '176.31.195.160', '176.31.195.255', 2954871712, 2954871807, 'FR', 'France'),
(85254, '176.31.196.0', '176.31.196.15', 2954871808, 2954871823, 'ES', 'Spain'),
(85255, '176.31.196.16', '176.31.196.23', 2954871824, 2954871831, 'FR', 'France'),
(85256, '176.31.196.24', '176.31.196.31', 2954871832, 2954871839, 'PL', 'Poland'),
(85257, '176.31.196.32', '176.31.196.79', 2954871840, 2954871887, 'FR', 'France'),
(85258, '176.31.196.80', '176.31.196.87', 2954871888, 2954871895, 'GB', 'United Kingdom'),
(85259, '176.31.196.88', '176.31.196.95', 2954871896, 2954871903, 'FR', 'France'),
(85260, '176.31.196.96', '176.31.196.111', 2954871904, 2954871919, 'IE', 'Ireland'),
(85261, '176.31.196.112', '176.31.196.115', 2954871920, 2954871923, 'ES', 'Spain'),
(85262, '176.31.196.116', '176.31.196.127', 2954871924, 2954871935, 'IE', 'Ireland'),
(85263, '176.31.196.128', '176.31.196.131', 2954871936, 2954871939, 'PL', 'Poland'),
(85264, '176.31.196.132', '176.31.196.135', 2954871940, 2954871943, 'GB', 'United Kingdom'),
(85265, '176.31.196.136', '176.31.196.139', 2954871944, 2954871947, 'ES', 'Spain'),
(85266, '176.31.196.140', '176.31.196.143', 2954871948, 2954871951, 'DE', 'Germany'),
(85267, '176.31.196.144', '176.31.196.147', 2954871952, 2954871955, 'ES', 'Spain'),
(85268, '176.31.196.148', '176.31.196.151', 2954871956, 2954871959, 'PT', 'Portugal'),
(85269, '176.31.196.152', '176.31.196.159', 2954871960, 2954871967, 'FR', 'France'),
(85270, '176.31.196.160', '176.31.196.191', 2954871968, 2954871999, 'PL', 'Poland'),
(85271, '176.31.196.192', '176.31.198.3', 2954872000, 2954872323, 'FR', 'France'),
(85272, '176.31.198.4', '176.31.198.7', 2954872324, 2954872327, 'PL', 'Poland'),
(85273, '176.31.198.8', '176.31.198.15', 2954872328, 2954872335, 'DE', 'Germany'),
(85274, '176.31.198.16', '176.31.198.31', 2954872336, 2954872351, 'FR', 'France'),
(85275, '176.31.198.32', '176.31.198.63', 2954872352, 2954872383, 'DE', 'Germany'),
(85276, '176.31.198.64', '176.31.198.95', 2954872384, 2954872415, 'GB', 'United Kingdom'),
(85277, '176.31.198.96', '176.31.198.99', 2954872416, 2954872419, 'ES', 'Spain'),
(85278, '176.31.198.100', '176.31.198.115', 2954872420, 2954872435, 'PL', 'Poland'),
(85279, '176.31.198.116', '176.31.198.119', 2954872436, 2954872439, 'ES', 'Spain'),
(85280, '176.31.198.120', '176.31.198.159', 2954872440, 2954872479, 'PL', 'Poland'),
(85281, '176.31.198.160', '176.31.198.223', 2954872480, 2954872543, 'DE', 'Germany'),
(85282, '176.31.198.224', '176.31.198.227', 2954872544, 2954872547, 'FR', 'France'),
(85283, '176.31.198.228', '176.31.198.231', 2954872548, 2954872551, 'CH', 'Switzerland'),
(85284, '176.31.198.232', '176.31.198.235', 2954872552, 2954872555, 'GB', 'United Kingdom'),
(85285, '176.31.198.236', '176.31.198.239', 2954872556, 2954872559, 'CZ', 'Czech Republic'),
(85286, '176.31.198.240', '176.31.198.243', 2954872560, 2954872563, 'DE', 'Germany'),
(85287, '176.31.198.244', '176.31.198.247', 2954872564, 2954872567, 'FR', 'France'),
(85288, '176.31.198.248', '176.31.198.251', 2954872568, 2954872571, 'IE', 'Ireland'),
(85289, '176.31.198.252', '176.31.199.7', 2954872572, 2954872583, 'FR', 'France'),
(85290, '176.31.199.8', '176.31.199.11', 2954872584, 2954872587, 'FI', 'Finland'),
(85291, '176.31.199.12', '176.31.199.15', 2954872588, 2954872591, 'DE', 'Germany'),
(85292, '176.31.199.16', '176.31.199.31', 2954872592, 2954872607, 'IT', 'Italy'),
(85293, '176.31.199.32', '176.31.199.63', 2954872608, 2954872639, 'FR', 'France'),
(85294, '176.31.199.64', '176.31.199.95', 2954872640, 2954872671, 'BE', 'Belgium'),
(85295, '176.31.199.96', '176.31.199.99', 2954872672, 2954872675, 'IE', 'Ireland'),
(85296, '176.31.199.100', '176.31.199.103', 2954872676, 2954872679, 'ES', 'Spain'),
(85297, '176.31.199.104', '176.31.199.111', 2954872680, 2954872687, 'FR', 'France'),
(85298, '176.31.199.112', '176.31.199.127', 2954872688, 2954872703, 'GB', 'United Kingdom'),
(85299, '176.31.199.128', '176.31.199.255', 2954872704, 2954872831, 'DE', 'Germany'),
(85300, '176.31.200.0', '176.31.201.255', 2954872832, 2954873343, 'FR', 'France'),
(85301, '176.31.202.0', '176.31.202.3', 2954873344, 2954873347, 'NL', 'Netherlands'),
(85302, '176.31.202.4', '176.31.202.7', 2954873348, 2954873351, 'PL', 'Poland'),
(85303, '176.31.202.8', '176.31.202.11', 2954873352, 2954873355, 'GB', 'United Kingdom'),
(85304, '176.31.202.12', '176.31.202.15', 2954873356, 2954873359, 'IT', 'Italy'),
(85305, '176.31.202.16', '176.31.202.23', 2954873360, 2954873367, 'FR', 'France'),
(85306, '176.31.202.24', '176.31.202.31', 2954873368, 2954873375, 'PL', 'Poland'),
(85307, '176.31.202.32', '176.31.202.47', 2954873376, 2954873391, 'FR', 'France'),
(85308, '176.31.202.48', '176.31.202.63', 2954873392, 2954873407, 'PL', 'Poland'),
(85309, '176.31.202.64', '176.31.202.103', 2954873408, 2954873447, 'FR', 'France'),
(85310, '176.31.202.104', '176.31.202.115', 2954873448, 2954873459, 'PL', 'Poland'),
(85311, '176.31.202.116', '176.31.202.119', 2954873460, 2954873463, 'NL', 'Netherlands'),
(85312, '176.31.202.120', '176.31.202.123', 2954873464, 2954873467, 'PL', 'Poland'),
(85313, '176.31.202.124', '176.31.202.191', 2954873468, 2954873535, 'FR', 'France'),
(85314, '176.31.202.192', '176.31.202.223', 2954873536, 2954873567, 'DE', 'Germany'),
(85315, '176.31.202.224', '176.31.202.239', 2954873568, 2954873583, 'FR', 'France'),
(85316, '176.31.202.240', '176.31.202.247', 2954873584, 2954873591, 'ES', 'Spain'),
(85317, '176.31.202.248', '176.31.202.255', 2954873592, 2954873599, 'FR', 'France'),
(85318, '176.31.203.0', '176.31.203.31', 2954873600, 2954873631, 'DE', 'Germany'),
(85319, '176.31.203.32', '176.31.203.35', 2954873632, 2954873635, 'NL', 'Netherlands'),
(85320, '176.31.203.36', '176.31.203.39', 2954873636, 2954873639, 'PL', 'Poland'),
(85321, '176.31.203.40', '176.31.203.47', 2954873640, 2954873647, 'FR', 'France'),
(85322, '176.31.203.48', '176.31.203.63', 2954873648, 2954873663, 'PL', 'Poland'),
(85323, '176.31.203.64', '176.31.203.79', 2954873664, 2954873679, 'IT', 'Italy'),
(85324, '176.31.203.80', '176.31.203.95', 2954873680, 2954873695, 'FR', 'France'),
(85325, '176.31.203.96', '176.31.203.127', 2954873696, 2954873727, 'ES', 'Spain'),
(85326, '176.31.203.128', '176.31.203.159', 2954873728, 2954873759, 'FR', 'France'),
(85327, '176.31.203.160', '176.31.203.191', 2954873760, 2954873791, 'DE', 'Germany'),
(85328, '176.31.203.192', '176.31.203.199', 2954873792, 2954873799, 'FR', 'France'),
(85329, '176.31.203.200', '176.31.203.203', 2954873800, 2954873803, 'PL', 'Poland'),
(85330, '176.31.203.204', '176.31.203.207', 2954873804, 2954873807, 'NL', 'Netherlands'),
(85331, '176.31.203.208', '176.31.203.215', 2954873808, 2954873815, 'DE', 'Germany'),
(85332, '176.31.203.216', '176.31.203.219', 2954873816, 2954873819, 'FI', 'Finland'),
(85333, '176.31.203.220', '176.31.203.231', 2954873820, 2954873831, 'FR', 'France'),
(85334, '176.31.203.232', '176.31.203.235', 2954873832, 2954873835, 'IT', 'Italy'),
(85335, '176.31.203.236', '176.31.203.239', 2954873836, 2954873839, 'PL', 'Poland'),
(85336, '176.31.203.240', '176.31.203.247', 2954873840, 2954873847, 'IT', 'Italy'),
(85337, '176.31.203.248', '176.31.203.251', 2954873848, 2954873851, 'GB', 'United Kingdom'),
(85338, '176.31.203.252', '176.31.203.255', 2954873852, 2954873855, 'PL', 'Poland'),
(85339, '176.31.204.0', '176.31.204.255', 2954873856, 2954874111, 'GB', 'United Kingdom'),
(85340, '176.31.205.0', '176.31.205.255', 2954874112, 2954874367, 'FR', 'France'),
(85341, '176.31.206.0', '176.31.206.7', 2954874368, 2954874375, 'ES', 'Spain'),
(85342, '176.31.206.8', '176.31.206.11', 2954874376, 2954874379, 'FR', 'France'),
(85343, '176.31.206.12', '176.31.206.15', 2954874380, 2954874383, 'PL', 'Poland'),
(85344, '176.31.206.16', '176.31.206.19', 2954874384, 2954874387, 'FR', 'France'),
(85345, '176.31.206.20', '176.31.206.23', 2954874388, 2954874391, 'PL', 'Poland'),
(85346, '176.31.206.24', '176.31.206.47', 2954874392, 2954874415, 'IE', 'Ireland'),
(85347, '176.31.206.48', '176.31.206.51', 2954874416, 2954874419, 'GB', 'United Kingdom'),
(85348, '176.31.206.52', '176.31.206.55', 2954874420, 2954874423, 'FR', 'France'),
(85349, '176.31.206.56', '176.31.206.59', 2954874424, 2954874427, 'GB', 'United Kingdom'),
(85350, '176.31.206.60', '176.31.206.127', 2954874428, 2954874495, 'FR', 'France'),
(85351, '176.31.206.128', '176.31.206.191', 2954874496, 2954874559, 'NL', 'Netherlands'),
(85352, '176.31.206.192', '176.31.206.199', 2954874560, 2954874567, 'GB', 'United Kingdom'),
(85353, '176.31.206.200', '176.31.206.223', 2954874568, 2954874591, 'FR', 'France'),
(85354, '176.31.206.224', '176.31.206.255', 2954874592, 2954874623, 'PT', 'Portugal'),
(85355, '176.31.207.0', '176.31.207.3', 2954874624, 2954874627, 'BE', 'Belgium'),
(85356, '176.31.207.4', '176.31.207.7', 2954874628, 2954874631, 'FR', 'France'),
(85357, '176.31.207.8', '176.31.207.11', 2954874632, 2954874635, 'PL', 'Poland'),
(85358, '176.31.207.12', '176.31.207.15', 2954874636, 2954874639, 'NL', 'Netherlands'),
(85359, '176.31.207.16', '176.31.207.23', 2954874640, 2954874647, 'ES', 'Spain'),
(85360, '176.31.207.24', '176.31.207.27', 2954874648, 2954874651, 'FR', 'France'),
(85361, '176.31.207.28', '176.31.207.31', 2954874652, 2954874655, 'PL', 'Poland'),
(85362, '176.31.207.32', '176.31.207.47', 2954874656, 2954874671, 'FR', 'France'),
(85363, '176.31.207.48', '176.31.207.51', 2954874672, 2954874675, 'PL', 'Poland'),
(85364, '176.31.207.52', '176.31.207.55', 2954874676, 2954874679, 'CZ', 'Czech Republic'),
(85365, '176.31.207.56', '176.31.207.63', 2954874680, 2954874687, 'FR', 'France'),
(85366, '176.31.207.64', '176.31.207.95', 2954874688, 2954874719, 'ES', 'Spain'),
(85367, '176.31.207.96', '176.31.207.127', 2954874720, 2954874751, 'FI', 'Finland'),
(85368, '176.31.207.128', '176.31.207.175', 2954874752, 2954874799, 'IE', 'Ireland'),
(85369, '176.31.207.176', '176.31.207.191', 2954874800, 2954874815, 'GB', 'United Kingdom'),
(85370, '176.31.207.192', '176.31.207.195', 2954874816, 2954874819, 'DE', 'Germany'),
(85371, '176.31.207.196', '176.31.207.199', 2954874820, 2954874823, 'ES', 'Spain'),
(85372, '176.31.207.200', '176.31.207.203', 2954874824, 2954874827, 'FR', 'France'),
(85373, '176.31.207.204', '176.31.207.207', 2954874828, 2954874831, 'PL', 'Poland'),
(85374, '176.31.207.208', '176.31.207.231', 2954874832, 2954874855, 'FR', 'France'),
(85375, '176.31.207.232', '176.31.207.235', 2954874856, 2954874859, 'DE', 'Germany'),
(85376, '176.31.207.236', '176.31.207.239', 2954874860, 2954874863, 'LT', 'Lithuania'),
(85377, '176.31.207.240', '176.31.207.243', 2954874864, 2954874867, 'FR', 'France'),
(85378, '176.31.207.244', '176.31.207.247', 2954874868, 2954874871, 'PL', 'Poland'),
(85379, '176.31.207.248', '176.31.208.31', 2954874872, 2954874911, 'FR', 'France'),
(85380, '176.31.208.32', '176.31.208.39', 2954874912, 2954874919, 'FI', 'Finland'),
(85381, '176.31.208.40', '176.31.208.43', 2954874920, 2954874923, 'PL', 'Poland'),
(85382, '176.31.208.44', '176.31.208.47', 2954874924, 2954874927, 'FR', 'France'),
(85383, '176.31.208.48', '176.31.208.63', 2954874928, 2954874943, 'PL', 'Poland'),
(85384, '176.31.208.64', '176.31.208.95', 2954874944, 2954874975, 'IE', 'Ireland'),
(85385, '176.31.208.96', '176.31.208.99', 2954874976, 2954874979, 'PL', 'Poland'),
(85386, '176.31.208.100', '176.31.208.103', 2954874980, 2954874983, 'DE', 'Germany'),
(85387, '176.31.208.104', '176.31.208.107', 2954874984, 2954874987, 'GB', 'United Kingdom'),
(85388, '176.31.208.108', '176.31.208.111', 2954874988, 2954874991, 'PL', 'Poland'),
(85389, '176.31.208.112', '176.31.208.127', 2954874992, 2954875007, 'IE', 'Ireland'),
(85390, '176.31.208.128', '176.31.208.143', 2954875008, 2954875023, 'FR', 'France'),
(85391, '176.31.208.144', '176.31.208.147', 2954875024, 2954875027, 'ES', 'Spain'),
(85392, '176.31.208.148', '176.31.208.151', 2954875028, 2954875031, 'FR', 'France'),
(85393, '176.31.208.152', '176.31.208.167', 2954875032, 2954875047, 'PL', 'Poland'),
(85394, '176.31.208.168', '176.31.208.171', 2954875048, 2954875051, 'FR', 'France'),
(85395, '176.31.208.172', '176.31.208.175', 2954875052, 2954875055, 'NL', 'Netherlands'),
(85396, '176.31.208.176', '176.31.208.183', 2954875056, 2954875063, 'IT', 'Italy'),
(85397, '176.31.208.184', '176.31.208.187', 2954875064, 2954875067, 'DE', 'Germany'),
(85398, '176.31.208.188', '176.31.208.191', 2954875068, 2954875071, 'FI', 'Finland'),
(85399, '176.31.208.192', '176.31.208.195', 2954875072, 2954875075, 'NL', 'Netherlands'),
(85400, '176.31.208.196', '176.31.208.199', 2954875076, 2954875079, 'GB', 'United Kingdom'),
(85401, '176.31.208.200', '176.31.208.215', 2954875080, 2954875095, 'FR', 'France'),
(85402, '176.31.208.216', '176.31.208.219', 2954875096, 2954875099, 'GB', 'United Kingdom'),
(85403, '176.31.208.220', '176.31.208.223', 2954875100, 2954875103, 'PL', 'Poland'),
(85404, '176.31.208.224', '176.31.209.47', 2954875104, 2954875183, 'FR', 'France'),
(85405, '176.31.209.48', '176.31.209.55', 2954875184, 2954875191, 'GB', 'United Kingdom'),
(85406, '176.31.209.56', '176.31.209.63', 2954875192, 2954875199, 'FR', 'France'),
(85407, '176.31.209.64', '176.31.209.67', 2954875200, 2954875203, 'PL', 'Poland'),
(85408, '176.31.209.68', '176.31.209.71', 2954875204, 2954875207, 'DE', 'Germany'),
(85409, '176.31.209.72', '176.31.209.79', 2954875208, 2954875215, 'NL', 'Netherlands'),
(85410, '176.31.209.80', '176.31.209.95', 2954875216, 2954875231, 'FR', 'France'),
(85411, '176.31.209.96', '176.31.209.111', 2954875232, 2954875247, 'ES', 'Spain'),
(85412, '176.31.209.112', '176.31.209.159', 2954875248, 2954875295, 'FR', 'France'),
(85413, '176.31.209.160', '176.31.209.175', 2954875296, 2954875311, 'PL', 'Poland'),
(85414, '176.31.209.176', '176.31.209.191', 2954875312, 2954875327, 'FR', 'France'),
(85415, '176.31.209.192', '176.31.209.223', 2954875328, 2954875359, 'PL', 'Poland'),
(85416, '176.31.209.224', '176.31.209.239', 2954875360, 2954875375, 'FR', 'France'),
(85417, '176.31.209.240', '176.31.209.243', 2954875376, 2954875379, 'PT', 'Portugal'),
(85418, '176.31.209.244', '176.31.209.247', 2954875380, 2954875383, 'FI', 'Finland'),
(85419, '176.31.209.248', '176.31.209.255', 2954875384, 2954875391, 'GB', 'United Kingdom'),
(85420, '176.31.210.0', '176.31.210.71', 2954875392, 2954875463, 'ES', 'Spain'),
(85421, '176.31.210.72', '176.31.210.75', 2954875464, 2954875467, 'NL', 'Netherlands'),
(85422, '176.31.210.76', '176.31.210.79', 2954875468, 2954875471, 'GB', 'United Kingdom'),
(85423, '176.31.210.80', '176.31.210.83', 2954875472, 2954875475, 'NL', 'Netherlands'),
(85424, '176.31.210.84', '176.31.210.91', 2954875476, 2954875483, 'DE', 'Germany'),
(85425, '176.31.210.92', '176.31.210.95', 2954875484, 2954875487, 'ES', 'Spain'),
(85426, '176.31.210.96', '176.31.210.99', 2954875488, 2954875491, 'LT', 'Lithuania'),
(85427, '176.31.210.100', '176.31.210.103', 2954875492, 2954875495, 'ES', 'Spain'),
(85428, '176.31.210.104', '176.31.210.111', 2954875496, 2954875503, 'IT', 'Italy'),
(85429, '176.31.210.112', '176.31.210.127', 2954875504, 2954875519, 'FR', 'France'),
(85430, '176.31.210.128', '176.31.210.151', 2954875520, 2954875543, 'PL', 'Poland'),
(85431, '176.31.210.152', '176.31.210.159', 2954875544, 2954875551, 'FR', 'France'),
(85432, '176.31.210.160', '176.31.210.191', 2954875552, 2954875583, 'PL', 'Poland'),
(85433, '176.31.210.192', '176.31.210.195', 2954875584, 2954875587, 'ES', 'Spain'),
(85434, '176.31.210.196', '176.31.210.199', 2954875588, 2954875591, 'IT', 'Italy'),
(85435, '176.31.210.200', '176.31.210.207', 2954875592, 2954875599, 'FR', 'France'),
(85436, '176.31.210.208', '176.31.210.223', 2954875600, 2954875615, 'PT', 'Portugal'),
(85437, '176.31.210.224', '176.31.210.231', 2954875616, 2954875623, 'PL', 'Poland'),
(85438, '176.31.210.232', '176.31.210.235', 2954875624, 2954875627, 'DE', 'Germany'),
(85439, '176.31.210.236', '176.31.210.239', 2954875628, 2954875631, 'ES', 'Spain'),
(85440, '176.31.210.240', '176.31.210.243', 2954875632, 2954875635, 'CH', 'Switzerland'),
(85441, '176.31.210.244', '176.31.210.247', 2954875636, 2954875639, 'FR', 'France'),
(85442, '176.31.210.248', '176.31.210.255', 2954875640, 2954875647, 'BE', 'Belgium'),
(85443, '176.31.211.0', '176.31.211.3', 2954875648, 2954875651, 'ES', 'Spain'),
(85444, '176.31.211.4', '176.31.211.7', 2954875652, 2954875655, 'BE', 'Belgium'),
(85445, '176.31.211.8', '176.31.211.11', 2954875656, 2954875659, 'FR', 'France'),
(85446, '176.31.211.12', '176.31.211.15', 2954875660, 2954875663, 'PT', 'Portugal'),
(85447, '176.31.211.16', '176.31.211.23', 2954875664, 2954875671, 'ES', 'Spain'),
(85448, '176.31.211.24', '176.31.211.47', 2954875672, 2954875695, 'FR', 'France'),
(85449, '176.31.211.48', '176.31.211.55', 2954875696, 2954875703, 'ES', 'Spain'),
(85450, '176.31.211.56', '176.31.211.59', 2954875704, 2954875707, 'PL', 'Poland'),
(85451, '176.31.211.60', '176.31.211.63', 2954875708, 2954875711, 'ES', 'Spain'),
(85452, '176.31.211.64', '176.31.211.127', 2954875712, 2954875775, 'IE', 'Ireland'),
(85453, '176.31.211.128', '176.31.211.159', 2954875776, 2954875807, 'FR', 'France'),
(85454, '176.31.211.160', '176.31.211.191', 2954875808, 2954875839, 'IT', 'Italy'),
(85455, '176.31.211.192', '176.31.211.223', 2954875840, 2954875871, 'PT', 'Portugal'),
(85456, '176.31.211.224', '176.31.211.231', 2954875872, 2954875879, 'PL', 'Poland'),
(85457, '176.31.211.232', '176.31.211.235', 2954875880, 2954875883, 'DE', 'Germany'),
(85458, '176.31.211.236', '176.31.211.243', 2954875884, 2954875891, 'FR', 'France'),
(85459, '176.31.211.244', '176.31.211.247', 2954875892, 2954875895, 'ES', 'Spain'),
(85460, '176.31.211.248', '176.31.211.255', 2954875896, 2954875903, 'FR', 'France'),
(85461, '176.31.212.0', '176.31.212.3', 2954875904, 2954875907, 'IT', 'Italy'),
(85462, '176.31.212.4', '176.31.212.7', 2954875908, 2954875911, 'CH', 'Switzerland'),
(85463, '176.31.212.8', '176.31.212.15', 2954875912, 2954875919, 'ES', 'Spain'),
(85464, '176.31.212.16', '176.31.212.31', 2954875920, 2954875935, 'FR', 'France'),
(85465, '176.31.212.32', '176.31.212.47', 2954875936, 2954875951, 'PL', 'Poland'),
(85466, '176.31.212.48', '176.31.212.95', 2954875952, 2954875999, 'IE', 'Ireland'),
(85467, '176.31.212.96', '176.31.212.127', 2954876000, 2954876031, 'GB', 'United Kingdom'),
(85468, '176.31.212.128', '176.31.212.135', 2954876032, 2954876039, 'IT', 'Italy'),
(85469, '176.31.212.136', '176.31.212.139', 2954876040, 2954876043, 'FR', 'France'),
(85470, '176.31.212.140', '176.31.212.143', 2954876044, 2954876047, 'GB', 'United Kingdom'),
(85471, '176.31.212.144', '176.31.212.147', 2954876048, 2954876051, 'ES', 'Spain'),
(85472, '176.31.212.148', '176.31.212.151', 2954876052, 2954876055, 'NL', 'Netherlands'),
(85473, '176.31.212.152', '176.31.212.155', 2954876056, 2954876059, 'PL', 'Poland'),
(85474, '176.31.212.156', '176.31.212.159', 2954876060, 2954876063, 'ES', 'Spain'),
(85475, '176.31.212.160', '176.31.212.175', 2954876064, 2954876079, 'FR', 'France'),
(85476, '176.31.212.176', '176.31.212.191', 2954876080, 2954876095, 'PL', 'Poland'),
(85477, '176.31.212.192', '176.31.212.207', 2954876096, 2954876111, 'FR', 'France'),
(85478, '176.31.212.208', '176.31.212.215', 2954876112, 2954876119, 'IE', 'Ireland'),
(85479, '176.31.212.216', '176.31.212.219', 2954876120, 2954876123, 'FR', 'France'),
(85480, '176.31.212.220', '176.31.212.223', 2954876124, 2954876127, 'NL', 'Netherlands'),
(85481, '176.31.212.224', '176.31.212.243', 2954876128, 2954876147, 'FR', 'France'),
(85482, '176.31.212.244', '176.31.212.247', 2954876148, 2954876151, 'BE', 'Belgium'),
(85483, '176.31.212.248', '176.31.213.31', 2954876152, 2954876191, 'FR', 'France'),
(85484, '176.31.213.32', '176.31.213.63', 2954876192, 2954876223, 'PT', 'Portugal'),
(85485, '176.31.213.64', '176.31.213.71', 2954876224, 2954876231, 'FR', 'France'),
(85486, '176.31.213.72', '176.31.213.75', 2954876232, 2954876235, 'PL', 'Poland'),
(85487, '176.31.213.76', '176.31.213.79', 2954876236, 2954876239, 'IE', 'Ireland'),
(85488, '176.31.213.80', '176.31.213.87', 2954876240, 2954876247, 'PL', 'Poland'),
(85489, '176.31.213.88', '176.31.213.127', 2954876248, 2954876287, 'ES', 'Spain'),
(85490, '176.31.213.128', '176.31.213.191', 2954876288, 2954876351, 'FR', 'France'),
(85491, '176.31.213.192', '176.31.213.223', 2954876352, 2954876383, 'ES', 'Spain'),
(85492, '176.31.213.224', '176.31.213.231', 2954876384, 2954876391, 'FR', 'France'),
(85493, '176.31.213.232', '176.31.213.235', 2954876392, 2954876395, 'DE', 'Germany'),
(85494, '176.31.213.236', '176.31.213.239', 2954876396, 2954876399, 'IE', 'Ireland'),
(85495, '176.31.213.240', '176.31.213.243', 2954876400, 2954876403, 'GB', 'United Kingdom'),
(85496, '176.31.213.244', '176.31.213.247', 2954876404, 2954876407, 'NL', 'Netherlands'),
(85497, '176.31.213.248', '176.31.213.251', 2954876408, 2954876411, 'LT', 'Lithuania'),
(85498, '176.31.213.252', '176.31.213.255', 2954876412, 2954876415, 'DE', 'Germany'),
(85499, '176.31.214.0', '176.31.214.7', 2954876416, 2954876423, 'IT', 'Italy'),
(85500, '176.31.214.8', '176.31.214.15', 2954876424, 2954876431, 'PL', 'Poland'),
(85501, '176.31.214.16', '176.31.214.19', 2954876432, 2954876435, 'PT', 'Portugal'),
(85502, '176.31.214.20', '176.31.214.23', 2954876436, 2954876439, 'GB', 'United Kingdom'),
(85503, '176.31.214.24', '176.31.214.31', 2954876440, 2954876447, 'FR', 'France'),
(85504, '176.31.214.32', '176.31.214.35', 2954876448, 2954876451, 'GB', 'United Kingdom'),
(85505, '176.31.214.36', '176.31.214.39', 2954876452, 2954876455, 'FR', 'France'),
(85506, '176.31.214.40', '176.31.214.47', 2954876456, 2954876463, 'CZ', 'Czech Republic'),
(85507, '176.31.214.48', '176.31.214.159', 2954876464, 2954876575, 'IT', 'Italy'),
(85508, '176.31.214.160', '176.31.214.163', 2954876576, 2954876579, 'ES', 'Spain'),
(85509, '176.31.214.164', '176.31.214.167', 2954876580, 2954876583, 'FR', 'France'),
(85510, '176.31.214.168', '176.31.214.171', 2954876584, 2954876587, 'GB', 'United Kingdom'),
(85511, '176.31.214.172', '176.31.214.175', 2954876588, 2954876591, 'PL', 'Poland'),
(85512, '176.31.214.176', '176.31.214.223', 2954876592, 2954876639, 'IE', 'Ireland'),
(85513, '176.31.214.224', '176.31.214.227', 2954876640, 2954876643, 'DE', 'Germany'),
(85514, '176.31.214.228', '176.31.214.231', 2954876644, 2954876647, 'IT', 'Italy'),
(85515, '176.31.214.232', '176.31.214.239', 2954876648, 2954876655, 'FR', 'France'),
(85516, '176.31.214.240', '176.31.214.255', 2954876656, 2954876671, 'BE', 'Belgium'),
(85517, '176.31.215.0', '176.31.215.31', 2954876672, 2954876703, 'PT', 'Portugal'),
(85518, '176.31.215.32', '176.31.215.47', 2954876704, 2954876719, 'FR', 'France'),
(85519, '176.31.215.48', '176.31.215.55', 2954876720, 2954876727, 'GB', 'United Kingdom'),
(85520, '176.31.215.56', '176.31.215.59', 2954876728, 2954876731, 'PL', 'Poland'),
(85521, '176.31.215.60', '176.31.215.63', 2954876732, 2954876735, 'DE', 'Germany'),
(85522, '176.31.215.64', '176.31.215.95', 2954876736, 2954876767, 'IT', 'Italy'),
(85523, '176.31.215.96', '176.31.215.123', 2954876768, 2954876795, 'FR', 'France'),
(85524, '176.31.215.124', '176.31.215.127', 2954876796, 2954876799, 'DE', 'Germany'),
(85525, '176.31.215.128', '176.31.215.191', 2954876800, 2954876863, 'IE', 'Ireland'),
(85526, '176.31.215.192', '176.31.215.223', 2954876864, 2954876895, 'DE', 'Germany'),
(85527, '176.31.215.224', '176.31.215.227', 2954876896, 2954876899, 'GB', 'United Kingdom'),
(85528, '176.31.215.228', '176.31.215.231', 2954876900, 2954876903, 'IT', 'Italy'),
(85529, '176.31.215.232', '176.31.216.31', 2954876904, 2954876959, 'FR', 'France'),
(85530, '176.31.216.32', '176.31.216.47', 2954876960, 2954876975, 'DE', 'Germany'),
(85531, '176.31.216.48', '176.31.216.55', 2954876976, 2954876983, 'PL', 'Poland'),
(85532, '176.31.216.56', '176.31.216.59', 2954876984, 2954876987, 'FR', 'France'),
(85533, '176.31.216.60', '176.31.216.63', 2954876988, 2954876991, 'ES', 'Spain'),
(85534, '176.31.216.64', '176.31.216.79', 2954876992, 2954877007, 'PL', 'Poland'),
(85535, '176.31.216.80', '176.31.216.95', 2954877008, 2954877023, 'CZ', 'Czech Republic'),
(85536, '176.31.216.96', '176.31.216.99', 2954877024, 2954877027, 'ES', 'Spain'),
(85537, '176.31.216.100', '176.31.216.103', 2954877028, 2954877031, 'PL', 'Poland'),
(85538, '176.31.216.104', '176.31.216.107', 2954877032, 2954877035, 'FR', 'France'),
(85539, '176.31.216.108', '176.31.216.111', 2954877036, 2954877039, 'GB', 'United Kingdom'),
(85540, '176.31.216.112', '176.31.216.127', 2954877040, 2954877055, 'FR', 'France'),
(85541, '176.31.216.128', '176.31.216.131', 2954877056, 2954877059, 'PL', 'Poland'),
(85542, '176.31.216.132', '176.31.216.135', 2954877060, 2954877063, 'GB', 'United Kingdom'),
(85543, '176.31.216.136', '176.31.216.143', 2954877064, 2954877071, 'DE', 'Germany'),
(85544, '176.31.216.144', '176.31.216.159', 2954877072, 2954877087, 'CH', 'Switzerland'),
(85545, '176.31.216.160', '176.31.216.175', 2954877088, 2954877103, 'DE', 'Germany'),
(85546, '176.31.216.176', '176.31.216.179', 2954877104, 2954877107, 'PL', 'Poland'),
(85547, '176.31.216.180', '176.31.216.191', 2954877108, 2954877119, 'FR', 'France'),
(85548, '176.31.216.192', '176.31.216.223', 2954877120, 2954877151, 'ES', 'Spain'),
(85549, '176.31.216.224', '176.31.216.231', 2954877152, 2954877159, 'NL', 'Netherlands'),
(85550, '176.31.216.232', '176.31.216.235', 2954877160, 2954877163, 'PL', 'Poland'),
(85551, '176.31.216.236', '176.31.216.239', 2954877164, 2954877167, 'FI', 'Finland'),
(85552, '176.31.216.240', '176.31.216.255', 2954877168, 2954877183, 'DE', 'Germany'),
(85553, '176.31.217.0', '176.31.218.15', 2954877184, 2954877455, 'FR', 'France'),
(85554, '176.31.218.16', '176.31.218.19', 2954877456, 2954877459, 'PT', 'Portugal'),
(85555, '176.31.218.20', '176.31.218.23', 2954877460, 2954877463, 'FR', 'France'),
(85556, '176.31.218.24', '176.31.218.31', 2954877464, 2954877471, 'DE', 'Germany'),
(85557, '176.31.218.32', '176.31.218.63', 2954877472, 2954877503, 'FR', 'France'),
(85558, '176.31.218.64', '176.31.218.79', 2954877504, 2954877519, 'ES', 'Spain'),
(85559, '176.31.218.80', '176.31.218.83', 2954877520, 2954877523, 'BE', 'Belgium'),
(85560, '176.31.218.84', '176.31.218.87', 2954877524, 2954877527, 'ES', 'Spain'),
(85561, '176.31.218.88', '176.31.218.95', 2954877528, 2954877535, 'PT', 'Portugal'),
(85562, '176.31.218.96', '176.31.218.99', 2954877536, 2954877539, 'PL', 'Poland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(85563, '176.31.218.100', '176.31.218.107', 2954877540, 2954877547, 'FR', 'France'),
(85564, '176.31.218.108', '176.31.218.111', 2954877548, 2954877551, 'PL', 'Poland'),
(85565, '176.31.218.112', '176.31.218.143', 2954877552, 2954877583, 'FR', 'France'),
(85566, '176.31.218.144', '176.31.218.147', 2954877584, 2954877587, 'FI', 'Finland'),
(85567, '176.31.218.148', '176.31.218.151', 2954877588, 2954877591, 'PL', 'Poland'),
(85568, '176.31.218.152', '176.31.218.155', 2954877592, 2954877595, 'DE', 'Germany'),
(85569, '176.31.218.156', '176.31.218.159', 2954877596, 2954877599, 'PT', 'Portugal'),
(85570, '176.31.218.160', '176.31.218.175', 2954877600, 2954877615, 'PL', 'Poland'),
(85571, '176.31.218.176', '176.31.218.191', 2954877616, 2954877631, 'NL', 'Netherlands'),
(85572, '176.31.218.192', '176.31.218.211', 2954877632, 2954877651, 'FR', 'France'),
(85573, '176.31.218.212', '176.31.218.215', 2954877652, 2954877655, 'CZ', 'Czech Republic'),
(85574, '176.31.218.216', '176.31.218.223', 2954877656, 2954877663, 'FR', 'France'),
(85575, '176.31.218.224', '176.31.218.227', 2954877664, 2954877667, 'GB', 'United Kingdom'),
(85576, '176.31.218.228', '176.31.218.231', 2954877668, 2954877671, 'PL', 'Poland'),
(85577, '176.31.218.232', '176.31.218.235', 2954877672, 2954877675, 'FR', 'France'),
(85578, '176.31.218.236', '176.31.218.239', 2954877676, 2954877679, 'PL', 'Poland'),
(85579, '176.31.218.240', '176.31.219.31', 2954877680, 2954877727, 'FR', 'France'),
(85580, '176.31.219.32', '176.31.219.47', 2954877728, 2954877743, 'IE', 'Ireland'),
(85581, '176.31.219.48', '176.31.219.83', 2954877744, 2954877779, 'FR', 'France'),
(85582, '176.31.219.84', '176.31.219.87', 2954877780, 2954877783, 'A1', 'Anonymous Proxy'),
(85583, '176.31.219.88', '176.31.219.95', 2954877784, 2954877791, 'IT', 'Italy'),
(85584, '176.31.219.96', '176.31.219.115', 2954877792, 2954877811, 'FR', 'France'),
(85585, '176.31.219.116', '176.31.219.119', 2954877812, 2954877815, 'DE', 'Germany'),
(85586, '176.31.219.120', '176.31.219.123', 2954877816, 2954877819, 'FR', 'France'),
(85587, '176.31.219.124', '176.31.219.127', 2954877820, 2954877823, 'PL', 'Poland'),
(85588, '176.31.219.128', '176.31.220.11', 2954877824, 2954877963, 'FR', 'France'),
(85589, '176.31.220.12', '176.31.220.15', 2954877964, 2954877967, 'DE', 'Germany'),
(85590, '176.31.220.16', '176.31.220.31', 2954877968, 2954877983, 'PT', 'Portugal'),
(85591, '176.31.220.32', '176.31.220.39', 2954877984, 2954877991, 'LT', 'Lithuania'),
(85592, '176.31.220.40', '176.31.220.43', 2954877992, 2954877995, 'ES', 'Spain'),
(85593, '176.31.220.44', '176.31.220.47', 2954877996, 2954877999, 'PL', 'Poland'),
(85594, '176.31.220.48', '176.31.220.55', 2954878000, 2954878007, 'FR', 'France'),
(85595, '176.31.220.56', '176.31.220.59', 2954878008, 2954878011, 'IT', 'Italy'),
(85596, '176.31.220.60', '176.31.220.63', 2954878012, 2954878015, 'GB', 'United Kingdom'),
(85597, '176.31.220.64', '176.31.220.79', 2954878016, 2954878031, 'FR', 'France'),
(85598, '176.31.220.80', '176.31.220.83', 2954878032, 2954878035, 'NL', 'Netherlands'),
(85599, '176.31.220.84', '176.31.220.87', 2954878036, 2954878039, 'FR', 'France'),
(85600, '176.31.220.88', '176.31.220.95', 2954878040, 2954878047, 'DE', 'Germany'),
(85601, '176.31.220.96', '176.31.220.111', 2954878048, 2954878063, 'FR', 'France'),
(85602, '176.31.220.112', '176.31.220.127', 2954878064, 2954878079, 'IT', 'Italy'),
(85603, '176.31.220.128', '176.31.220.143', 2954878080, 2954878095, 'FR', 'France'),
(85604, '176.31.220.144', '176.31.220.159', 2954878096, 2954878111, 'ES', 'Spain'),
(85605, '176.31.220.160', '176.31.220.191', 2954878112, 2954878143, 'PT', 'Portugal'),
(85606, '176.31.220.192', '176.31.220.255', 2954878144, 2954878207, 'FR', 'France'),
(85607, '176.31.221.0', '176.31.221.255', 2954878208, 2954878463, 'ES', 'Spain'),
(85608, '176.31.222.0', '176.31.222.7', 2954878464, 2954878471, 'CH', 'Switzerland'),
(85609, '176.31.222.8', '176.31.222.11', 2954878472, 2954878475, 'FR', 'France'),
(85610, '176.31.222.12', '176.31.222.15', 2954878476, 2954878479, 'GB', 'United Kingdom'),
(85611, '176.31.222.16', '176.31.222.31', 2954878480, 2954878495, 'NL', 'Netherlands'),
(85612, '176.31.222.32', '176.31.222.35', 2954878496, 2954878499, 'GB', 'United Kingdom'),
(85613, '176.31.222.36', '176.31.222.47', 2954878500, 2954878511, 'FR', 'France'),
(85614, '176.31.222.48', '176.31.222.63', 2954878512, 2954878527, 'CZ', 'Czech Republic'),
(85615, '176.31.222.64', '176.31.222.87', 2954878528, 2954878551, 'PL', 'Poland'),
(85616, '176.31.222.88', '176.31.222.91', 2954878552, 2954878555, 'CH', 'Switzerland'),
(85617, '176.31.222.92', '176.31.222.95', 2954878556, 2954878559, 'PL', 'Poland'),
(85618, '176.31.222.96', '176.31.222.111', 2954878560, 2954878575, 'FR', 'France'),
(85619, '176.31.222.112', '176.31.222.115', 2954878576, 2954878579, 'GB', 'United Kingdom'),
(85620, '176.31.222.116', '176.31.222.119', 2954878580, 2954878583, 'NL', 'Netherlands'),
(85621, '176.31.222.120', '176.31.222.127', 2954878584, 2954878591, 'GB', 'United Kingdom'),
(85622, '176.31.222.128', '176.31.222.143', 2954878592, 2954878607, 'BE', 'Belgium'),
(85623, '176.31.222.144', '176.31.222.159', 2954878608, 2954878623, 'FI', 'Finland'),
(85624, '176.31.222.160', '176.31.222.167', 2954878624, 2954878631, 'PL', 'Poland'),
(85625, '176.31.222.168', '176.31.222.171', 2954878632, 2954878635, 'IT', 'Italy'),
(85626, '176.31.222.172', '176.31.222.175', 2954878636, 2954878639, 'PL', 'Poland'),
(85627, '176.31.222.176', '176.31.222.191', 2954878640, 2954878655, 'IT', 'Italy'),
(85628, '176.31.222.192', '176.31.222.223', 2954878656, 2954878687, 'PL', 'Poland'),
(85629, '176.31.222.224', '176.31.222.231', 2954878688, 2954878695, 'FR', 'France'),
(85630, '176.31.222.232', '176.31.222.239', 2954878696, 2954878703, 'IE', 'Ireland'),
(85631, '176.31.222.240', '176.31.222.243', 2954878704, 2954878707, 'IT', 'Italy'),
(85632, '176.31.222.244', '176.31.222.247', 2954878708, 2954878711, 'PL', 'Poland'),
(85633, '176.31.222.248', '176.31.222.255', 2954878712, 2954878719, 'ES', 'Spain'),
(85634, '176.31.223.0', '176.31.223.43', 2954878720, 2954878763, 'FR', 'France'),
(85635, '176.31.223.44', '176.31.223.47', 2954878764, 2954878767, 'GB', 'United Kingdom'),
(85636, '176.31.223.48', '176.31.223.63', 2954878768, 2954878783, 'FR', 'France'),
(85637, '176.31.223.64', '176.31.223.127', 2954878784, 2954878847, 'IE', 'Ireland'),
(85638, '176.31.223.128', '176.31.223.135', 2954878848, 2954878855, 'FR', 'France'),
(85639, '176.31.223.136', '176.31.223.143', 2954878856, 2954878863, 'IE', 'Ireland'),
(85640, '176.31.223.144', '176.31.223.147', 2954878864, 2954878867, 'BE', 'Belgium'),
(85641, '176.31.223.148', '176.31.223.151', 2954878868, 2954878871, 'FI', 'Finland'),
(85642, '176.31.223.152', '176.31.223.155', 2954878872, 2954878875, 'PL', 'Poland'),
(85643, '176.31.223.156', '176.31.223.159', 2954878876, 2954878879, 'IE', 'Ireland'),
(85644, '176.31.223.160', '176.31.223.163', 2954878880, 2954878883, 'ES', 'Spain'),
(85645, '176.31.223.164', '176.31.223.167', 2954878884, 2954878887, 'PL', 'Poland'),
(85646, '176.31.223.168', '176.31.223.171', 2954878888, 2954878891, 'FR', 'France'),
(85647, '176.31.223.172', '176.31.223.175', 2954878892, 2954878895, 'GB', 'United Kingdom'),
(85648, '176.31.223.176', '176.31.223.179', 2954878896, 2954878899, 'DE', 'Germany'),
(85649, '176.31.223.180', '176.31.223.183', 2954878900, 2954878903, 'GB', 'United Kingdom'),
(85650, '176.31.223.184', '176.31.223.187', 2954878904, 2954878907, 'NL', 'Netherlands'),
(85651, '176.31.223.188', '176.31.223.191', 2954878908, 2954878911, 'PL', 'Poland'),
(85652, '176.31.223.192', '176.31.223.195', 2954878912, 2954878915, 'DE', 'Germany'),
(85653, '176.31.223.196', '176.31.223.199', 2954878916, 2954878919, 'PL', 'Poland'),
(85654, '176.31.223.200', '176.31.223.211', 2954878920, 2954878931, 'FR', 'France'),
(85655, '176.31.223.212', '176.31.223.219', 2954878932, 2954878939, 'GB', 'United Kingdom'),
(85656, '176.31.223.220', '176.31.223.223', 2954878940, 2954878943, 'PL', 'Poland'),
(85657, '176.31.223.224', '176.31.255.255', 2954878944, 2954887167, 'FR', 'France'),
(85658, '176.32.0.0', '176.32.15.255', 2954887168, 2954891263, 'UA', 'Ukraine'),
(85659, '176.32.16.0', '176.32.31.255', 2954891264, 2954895359, 'IT', 'Italy'),
(85660, '176.32.32.0', '176.32.39.255', 2954895360, 2954897407, 'RU', 'Russian Federation'),
(85661, '176.32.40.0', '176.32.47.255', 2954897408, 2954899455, 'DE', 'Germany'),
(85662, '176.32.48.0', '176.32.55.255', 2954899456, 2954901503, 'ES', 'Spain'),
(85663, '176.32.56.0', '176.32.63.255', 2954901504, 2954903551, 'IT', 'Italy'),
(85664, '176.32.64.0', '176.32.71.255', 2954903552, 2954905599, 'NL', 'Netherlands'),
(85665, '176.32.72.0', '176.32.79.255', 2954905600, 2954907647, 'IE', 'Ireland'),
(85666, '176.32.80.0', '176.32.87.255', 2954907648, 2954909695, 'GB', 'United Kingdom'),
(85667, '176.32.88.0', '176.32.95.255', 2954909696, 2954911743, 'DE', 'Germany'),
(85668, '176.32.96.0', '176.32.125.255', 2954911744, 2954919423, 'NL', 'Netherlands'),
(85669, '176.32.126.0', '176.32.127.255', 2954919424, 2954919935, 'IE', 'Ireland'),
(85670, '176.32.128.0', '176.32.159.255', 2954919936, 2954928127, 'RU', 'Russian Federation'),
(85671, '176.32.160.0', '176.32.175.255', 2954928128, 2954932223, 'PL', 'Poland'),
(85672, '176.32.176.0', '176.32.191.255', 2954932224, 2954936319, 'RU', 'Russian Federation'),
(85673, '176.32.192.0', '176.32.199.255', 2954936320, 2954938367, 'AM', 'Armenia'),
(85674, '176.32.200.0', '176.32.207.255', 2954938368, 2954940415, 'HU', 'Hungary'),
(85675, '176.32.208.0', '176.32.223.255', 2954940416, 2954944511, 'DE', 'Germany'),
(85676, '176.32.224.0', '176.32.231.255', 2954944512, 2954946559, 'GB', 'United Kingdom'),
(85677, '176.32.232.0', '176.32.237.255', 2954946560, 2954948095, 'DE', 'Germany'),
(85678, '176.32.238.0', '176.32.238.255', 2954948096, 2954948351, 'NL', 'Netherlands'),
(85679, '176.32.239.0', '176.32.239.255', 2954948352, 2954948607, 'DE', 'Germany'),
(85680, '176.32.240.0', '176.32.247.255', 2954948608, 2954950655, 'RU', 'Russian Federation'),
(85681, '176.32.248.0', '176.32.255.255', 2954950656, 2954952703, 'ES', 'Spain'),
(85682, '176.33.0.0', '176.33.255.255', 2954952704, 2955018239, 'TR', 'Turkey'),
(85683, '176.34.0.0', '176.34.31.255', 2955018240, 2955026431, 'FR', 'France'),
(85684, '176.34.32.0', '176.34.63.255', 2955026432, 2955034623, 'NL', 'Netherlands'),
(85685, '176.34.64.0', '176.34.127.255', 2955034624, 2955051007, 'IE', 'Ireland'),
(85686, '176.34.128.0', '176.34.191.255', 2955051008, 2955067391, 'NL', 'Netherlands'),
(85687, '176.34.192.0', '176.34.199.255', 2955067392, 2955069439, 'IE', 'Ireland'),
(85688, '176.34.200.0', '176.34.207.255', 2955069440, 2955071487, 'NL', 'Netherlands'),
(85689, '176.34.208.0', '176.34.215.255', 2955071488, 2955073535, 'IE', 'Ireland'),
(85690, '176.34.216.0', '176.34.223.255', 2955073536, 2955075583, 'FR', 'France'),
(85691, '176.34.224.0', '176.34.255.255', 2955075584, 2955083775, 'NL', 'Netherlands'),
(85692, '176.35.0.0', '176.35.255.255', 2955083776, 2955149311, 'GB', 'United Kingdom'),
(85693, '176.36.0.0', '176.39.255.255', 2955149312, 2955411455, 'UA', 'Ukraine'),
(85694, '176.40.0.0', '176.43.255.255', 2955411456, 2955673599, 'TR', 'Turkey'),
(85695, '176.44.0.0', '176.45.255.255', 2955673600, 2955804671, 'SA', 'Saudi Arabia'),
(85696, '176.46.0.0', '176.46.127.255', 2955804672, 2955837439, 'EE', 'Estonia'),
(85697, '176.46.128.0', '176.46.159.255', 2955837440, 2955845631, 'IR', 'Iran, Islamic Republic of'),
(85698, '176.46.160.0', '176.46.191.255', 2955845632, 2955853823, 'GB', 'United Kingdom'),
(85699, '176.46.192.0', '176.46.255.255', 2955853824, 2955870207, 'CH', 'Switzerland'),
(85700, '176.47.0.0', '176.47.255.255', 2955870208, 2955935743, 'UA', 'Ukraine'),
(85701, '176.48.0.0', '176.52.127.255', 2955935744, 2956230655, 'RU', 'Russian Federation'),
(85702, '176.52.128.0', '176.52.159.255', 2956230656, 2956238847, 'SI', 'Slovenia'),
(85703, '176.52.160.0', '176.52.175.255', 2956238848, 2956242943, 'ES', 'Spain'),
(85704, '176.52.176.0', '176.52.183.255', 2956242944, 2956244991, 'SE', 'Sweden'),
(85705, '176.52.184.0', '176.52.191.255', 2956244992, 2956247039, 'FR', 'France'),
(85706, '176.52.192.0', '176.52.207.255', 2956247040, 2956251135, 'DE', 'Germany'),
(85707, '176.52.208.0', '176.52.215.255', 2956251136, 2956253183, 'GB', 'United Kingdom'),
(85708, '176.52.216.0', '176.52.223.255', 2956253184, 2956255231, 'IE', 'Ireland'),
(85709, '176.52.224.0', '176.52.239.255', 2956255232, 2956259327, 'FR', 'France'),
(85710, '176.52.240.0', '176.52.247.255', 2956259328, 2956261375, 'DE', 'Germany'),
(85711, '176.52.248.0', '176.52.255.255', 2956261376, 2956263423, 'ES', 'Spain'),
(85712, '176.53.0.0', '176.53.60.255', 2956263424, 2956279039, 'TR', 'Turkey'),
(85713, '176.53.61.0', '176.53.61.255', 2956279040, 2956279295, 'BG', 'Bulgaria'),
(85714, '176.53.62.0', '176.53.117.255', 2956279296, 2956293631, 'TR', 'Turkey'),
(85715, '176.53.118.0', '176.53.118.255', 2956293632, 2956293887, 'SY', 'Syrian Arab Republic'),
(85716, '176.53.119.0', '176.53.127.255', 2956293888, 2956296191, 'TR', 'Turkey'),
(85717, '176.53.128.0', '176.53.255.255', 2956296192, 2956328959, 'RU', 'Russian Federation'),
(85718, '176.54.0.0', '176.55.255.255', 2956328960, 2956460031, 'TR', 'Turkey'),
(85719, '176.56.0.0', '176.56.31.255', 2956460032, 2956468223, 'RU', 'Russian Federation'),
(85720, '176.56.32.0', '176.56.39.255', 2956468224, 2956470271, 'LV', 'Latvia'),
(85721, '176.56.40.0', '176.56.47.255', 2956470272, 2956472319, 'NL', 'Netherlands'),
(85722, '176.56.48.0', '176.56.55.255', 2956472320, 2956474367, 'RU', 'Russian Federation'),
(85723, '176.56.56.0', '176.56.63.255', 2956474368, 2956476415, 'GB', 'United Kingdom'),
(85724, '176.56.64.0', '176.56.127.255', 2956476416, 2956492799, 'ES', 'Spain'),
(85725, '176.56.128.0', '176.56.143.255', 2956492800, 2956496895, 'CH', 'Switzerland'),
(85726, '176.56.144.0', '176.56.159.255', 2956496896, 2956500991, 'IR', 'Iran, Islamic Republic of'),
(85727, '176.56.160.0', '176.56.167.255', 2956500992, 2956503039, 'NL', 'Netherlands'),
(85728, '176.56.168.0', '176.56.172.255', 2956503040, 2956504319, 'RU', 'Russian Federation'),
(85729, '176.56.173.0', '176.56.173.127', 2956504320, 2956504447, 'NL', 'Netherlands'),
(85730, '176.56.173.128', '176.56.174.255', 2956504448, 2956504831, 'RU', 'Russian Federation'),
(85731, '176.56.175.0', '176.56.175.255', 2956504832, 2956505087, 'GB', 'United Kingdom'),
(85732, '176.56.176.0', '176.56.179.255', 2956505088, 2956506111, 'NL', 'Netherlands'),
(85733, '176.56.180.0', '176.56.181.255', 2956506112, 2956506623, 'GB', 'United Kingdom'),
(85734, '176.56.182.0', '176.56.182.255', 2956506624, 2956506879, 'RU', 'Russian Federation'),
(85735, '176.56.183.0', '176.56.183.255', 2956506880, 2956507135, 'DE', 'Germany'),
(85736, '176.56.184.0', '176.56.187.255', 2956507136, 2956508159, 'NL', 'Netherlands'),
(85737, '176.56.188.0', '176.56.188.255', 2956508160, 2956508415, 'RU', 'Russian Federation'),
(85738, '176.56.189.0', '176.56.189.255', 2956508416, 2956508671, 'FR', 'France'),
(85739, '176.56.190.0', '176.56.191.255', 2956508672, 2956509183, 'NL', 'Netherlands'),
(85740, '176.56.192.0', '176.56.223.255', 2956509184, 2956517375, 'GB', 'United Kingdom'),
(85741, '176.56.224.0', '176.56.226.207', 2956517376, 2956518095, 'NL', 'Netherlands'),
(85742, '176.56.226.208', '176.56.226.223', 2956518096, 2956518111, 'FI', 'Finland'),
(85743, '176.56.226.224', '176.56.239.255', 2956518112, 2956521471, 'NL', 'Netherlands'),
(85744, '176.56.240.0', '176.56.255.255', 2956521472, 2956525567, 'SE', 'Sweden'),
(85745, '176.57.0.0', '176.57.31.255', 2956525568, 2956533759, 'JO', 'Jordan'),
(85746, '176.57.32.0', '176.57.39.255', 2956533760, 2956535807, 'FR', 'France'),
(85747, '176.57.40.0', '176.57.47.255', 2956535808, 2956537855, 'LV', 'Latvia'),
(85748, '176.57.48.0', '176.57.63.255', 2956537856, 2956541951, 'UA', 'Ukraine'),
(85749, '176.57.64.0', '176.57.71.255', 2956541952, 2956543999, 'FR', 'France'),
(85750, '176.57.72.0', '176.57.79.255', 2956544000, 2956546047, 'RU', 'Russian Federation'),
(85751, '176.57.80.0', '176.57.87.255', 2956546048, 2956548095, 'FR', 'France'),
(85752, '176.57.88.0', '176.57.95.255', 2956548096, 2956550143, 'ME', 'Montenegro'),
(85753, '176.57.96.0', '176.57.111.255', 2956550144, 2956554239, 'ES', 'Spain'),
(85754, '176.57.112.0', '176.57.127.255', 2956554240, 2956558335, 'IT', 'Italy'),
(85755, '176.57.128.0', '176.57.191.255', 2956558336, 2956574719, 'DE', 'Germany'),
(85756, '176.57.192.0', '176.57.199.255', 2956574720, 2956576767, 'SE', 'Sweden'),
(85757, '176.57.200.0', '176.57.207.255', 2956576768, 2956578815, 'ES', 'Spain'),
(85758, '176.57.208.0', '176.57.223.255', 2956578816, 2956582911, 'RU', 'Russian Federation'),
(85759, '176.57.224.0', '176.57.239.255', 2956582912, 2956587007, 'CH', 'Switzerland'),
(85760, '176.57.240.0', '176.57.247.255', 2956587008, 2956589055, 'FR', 'France'),
(85761, '176.57.248.0', '176.58.7.255', 2956589056, 2956593151, 'GB', 'United Kingdom'),
(85762, '176.58.8.0', '176.58.15.255', 2956593152, 2956595199, 'ES', 'Spain'),
(85763, '176.58.16.0', '176.58.23.255', 2956595200, 2956597247, 'PL', 'Poland'),
(85764, '176.58.24.0', '176.58.31.255', 2956597248, 2956599295, 'NL', 'Netherlands'),
(85765, '176.58.32.0', '176.58.63.255', 2956599296, 2956607487, 'RU', 'Russian Federation'),
(85766, '176.58.64.0', '176.58.79.255', 2956607488, 2956611583, 'PS', 'Palestinian Territory, Occupied'),
(85767, '176.58.80.0', '176.58.87.255', 2956611584, 2956613631, 'IT', 'Italy'),
(85768, '176.58.88.0', '176.58.88.255', 2956613632, 2956613887, 'GB', 'United Kingdom'),
(85769, '176.58.89.0', '176.58.89.255', 2956613888, 2956614143, 'NL', 'Netherlands'),
(85770, '176.58.90.0', '176.58.90.255', 2956614144, 2956614399, 'FR', 'France'),
(85771, '176.58.91.0', '176.58.95.255', 2956614400, 2956615679, 'EU', 'Europe'),
(85772, '176.58.96.0', '176.58.127.255', 2956615680, 2956623871, 'GB', 'United Kingdom'),
(85773, '176.58.128.0', '176.58.255.255', 2956623872, 2956656639, 'GR', 'Greece'),
(85774, '176.59.0.0', '176.59.255.255', 2956656640, 2956722175, 'RU', 'Russian Federation'),
(85775, '176.60.0.0', '176.60.255.255', 2956722176, 2956787711, 'BY', 'Belarus'),
(85776, '176.61.0.0', '176.61.127.255', 2956787712, 2956820479, 'IE', 'Ireland'),
(85777, '176.61.128.0', '176.61.135.255', 2956820480, 2956822527, 'NL', 'Netherlands'),
(85778, '176.61.136.0', '176.61.137.255', 2956822528, 2956823039, 'SE', 'Sweden'),
(85779, '176.61.138.0', '176.61.138.127', 2956823040, 2956823167, 'GB', 'United Kingdom'),
(85780, '176.61.138.128', '176.61.139.255', 2956823168, 2956823551, 'SE', 'Sweden'),
(85781, '176.61.140.0', '176.61.140.124', 2956823552, 2956823676, 'US', 'United States'),
(85782, '176.61.140.125', '176.61.140.125', 2956823677, 2956823677, 'A1', 'Anonymous Proxy'),
(85783, '176.61.140.126', '176.61.143.255', 2956823678, 2956824575, 'US', 'United States'),
(85784, '176.61.144.0', '176.61.151.255', 2956824576, 2956826623, 'PT', 'Portugal'),
(85785, '176.61.152.0', '176.61.155.255', 2956826624, 2956827647, 'US', 'United States'),
(85786, '176.61.156.0', '176.61.159.255', 2956827648, 2956828671, 'DK', 'Denmark'),
(85787, '176.61.160.0', '176.61.175.255', 2956828672, 2956832767, 'BA', 'Bosnia and Herzegovina'),
(85788, '176.61.176.0', '176.61.191.255', 2956832768, 2956836863, 'AT', 'Austria'),
(85789, '176.61.192.0', '176.61.255.255', 2956836864, 2956853247, 'SK', 'Slovakia'),
(85790, '176.62.0.0', '176.62.47.255', 2956853248, 2956865535, 'HR', 'Croatia'),
(85791, '176.62.48.0', '176.62.63.255', 2956865536, 2956869631, 'IT', 'Italy'),
(85792, '176.62.64.0', '176.62.127.255', 2956869632, 2956886015, 'RU', 'Russian Federation'),
(85793, '176.62.128.0', '176.62.135.255', 2956886016, 2956888063, 'GB', 'United Kingdom'),
(85794, '176.62.136.0', '176.62.143.255', 2956888064, 2956890111, 'BE', 'Belgium'),
(85795, '176.62.144.0', '176.62.151.255', 2956890112, 2956892159, 'IR', 'Iran, Islamic Republic of'),
(85796, '176.62.152.0', '176.62.159.255', 2956892160, 2956894207, 'IT', 'Italy'),
(85797, '176.62.160.0', '176.62.171.255', 2956894208, 2956897279, 'BE', 'Belgium'),
(85798, '176.62.172.0', '176.62.172.255', 2956897280, 2956897535, 'NL', 'Netherlands'),
(85799, '176.62.173.0', '176.62.174.255', 2956897536, 2956898047, 'BE', 'Belgium'),
(85800, '176.62.175.0', '176.62.175.255', 2956898048, 2956898303, 'NL', 'Netherlands'),
(85801, '176.62.176.0', '176.62.191.255', 2956898304, 2956902399, 'RU', 'Russian Federation'),
(85802, '176.62.192.0', '176.62.199.255', 2956902400, 2956904447, 'NL', 'Netherlands'),
(85803, '176.62.200.0', '176.62.207.255', 2956904448, 2956906495, 'DK', 'Denmark'),
(85804, '176.62.208.0', '176.62.215.255', 2956906496, 2956908543, 'GB', 'United Kingdom'),
(85805, '176.62.216.0', '176.62.223.255', 2956908544, 2956910591, 'RU', 'Russian Federation'),
(85806, '176.62.224.0', '176.62.239.255', 2956910592, 2956914687, 'CZ', 'Czech Republic'),
(85807, '176.62.240.0', '176.62.255.255', 2956914688, 2956918783, 'RU', 'Russian Federation'),
(85808, '176.63.0.0', '176.63.255.255', 2956918784, 2956984319, 'HU', 'Hungary'),
(85809, '176.64.0.0', '176.64.255.255', 2956984320, 2957049855, 'SE', 'Sweden'),
(85810, '176.65.0.0', '176.65.31.255', 2957049856, 2957058047, 'PS', 'Palestinian Territory, Occupied'),
(85811, '176.65.32.0', '176.65.63.255', 2957058048, 2957066239, 'RU', 'Russian Federation'),
(85812, '176.65.64.0', '176.65.71.255', 2957066240, 2957068287, 'GB', 'United Kingdom'),
(85813, '176.65.72.0', '176.65.79.255', 2957068288, 2957070335, 'LU', 'Luxembourg'),
(85814, '176.65.80.0', '176.65.95.255', 2957070336, 2957074431, 'IT', 'Italy'),
(85815, '176.65.96.0', '176.65.127.255', 2957074432, 2957082623, 'RU', 'Russian Federation'),
(85816, '176.65.128.0', '176.65.150.255', 2957082624, 2957088511, 'DE', 'Germany'),
(85817, '176.65.151.0', '176.65.151.255', 2957088512, 2957088767, 'AT', 'Austria'),
(85818, '176.65.152.0', '176.65.171.255', 2957088768, 2957093887, 'DE', 'Germany'),
(85819, '176.65.172.0', '176.65.183.255', 2957093888, 2957096959, 'CH', 'Switzerland'),
(85820, '176.65.184.0', '176.65.217.255', 2957096960, 2957105663, 'DE', 'Germany'),
(85821, '176.65.218.0', '176.65.218.255', 2957105664, 2957105919, 'GB', 'United Kingdom'),
(85822, '176.65.219.0', '176.65.221.255', 2957105920, 2957106687, 'AT', 'Austria'),
(85823, '176.65.222.0', '176.65.222.248', 2957106688, 2957106936, 'GB', 'United Kingdom'),
(85824, '176.65.222.249', '176.65.222.255', 2957106937, 2957106943, 'AT', 'Austria'),
(85825, '176.65.223.0', '176.65.223.248', 2957106944, 2957107192, 'DE', 'Germany'),
(85826, '176.65.223.249', '176.65.223.255', 2957107193, 2957107199, 'AT', 'Austria'),
(85827, '176.65.224.0', '176.65.224.248', 2957107200, 2957107448, 'DE', 'Germany'),
(85828, '176.65.224.249', '176.65.224.255', 2957107449, 2957107455, 'AT', 'Austria'),
(85829, '176.65.225.0', '176.65.225.248', 2957107456, 2957107704, 'DE', 'Germany'),
(85830, '176.65.225.249', '176.65.225.255', 2957107705, 2957107711, 'AT', 'Austria'),
(85831, '176.65.226.0', '176.65.226.248', 2957107712, 2957107960, 'DE', 'Germany'),
(85832, '176.65.226.249', '176.65.226.255', 2957107961, 2957107967, 'AT', 'Austria'),
(85833, '176.65.227.0', '176.65.227.248', 2957107968, 2957108216, 'DE', 'Germany'),
(85834, '176.65.227.249', '176.65.227.255', 2957108217, 2957108223, 'AT', 'Austria'),
(85835, '176.65.228.0', '176.65.228.248', 2957108224, 2957108472, 'DE', 'Germany'),
(85836, '176.65.228.249', '176.65.228.255', 2957108473, 2957108479, 'AT', 'Austria'),
(85837, '176.65.229.0', '176.65.229.248', 2957108480, 2957108728, 'DE', 'Germany'),
(85838, '176.65.229.249', '176.65.229.255', 2957108729, 2957108735, 'AT', 'Austria'),
(85839, '176.65.230.0', '176.65.230.248', 2957108736, 2957108984, 'DE', 'Germany'),
(85840, '176.65.230.249', '176.65.230.255', 2957108985, 2957108991, 'AT', 'Austria'),
(85841, '176.65.231.0', '176.65.231.248', 2957108992, 2957109240, 'DE', 'Germany'),
(85842, '176.65.231.249', '176.65.231.255', 2957109241, 2957109247, 'AT', 'Austria'),
(85843, '176.65.232.0', '176.65.232.248', 2957109248, 2957109496, 'DE', 'Germany'),
(85844, '176.65.232.249', '176.65.232.255', 2957109497, 2957109503, 'AT', 'Austria'),
(85845, '176.65.233.0', '176.65.233.248', 2957109504, 2957109752, 'DE', 'Germany'),
(85846, '176.65.233.249', '176.65.233.255', 2957109753, 2957109759, 'AT', 'Austria'),
(85847, '176.65.234.0', '176.65.234.248', 2957109760, 2957110008, 'DE', 'Germany'),
(85848, '176.65.234.249', '176.65.234.255', 2957110009, 2957110015, 'AT', 'Austria'),
(85849, '176.65.235.0', '176.65.235.248', 2957110016, 2957110264, 'DE', 'Germany'),
(85850, '176.65.235.249', '176.65.235.255', 2957110265, 2957110271, 'AT', 'Austria'),
(85851, '176.65.236.0', '176.65.236.248', 2957110272, 2957110520, 'DE', 'Germany'),
(85852, '176.65.236.249', '176.65.236.255', 2957110521, 2957110527, 'AT', 'Austria'),
(85853, '176.65.237.0', '176.65.237.248', 2957110528, 2957110776, 'DE', 'Germany'),
(85854, '176.65.237.249', '176.65.237.255', 2957110777, 2957110783, 'AT', 'Austria'),
(85855, '176.65.238.0', '176.65.238.248', 2957110784, 2957111032, 'DE', 'Germany'),
(85856, '176.65.238.249', '176.65.238.255', 2957111033, 2957111039, 'AT', 'Austria'),
(85857, '176.65.239.0', '176.65.239.248', 2957111040, 2957111288, 'DE', 'Germany'),
(85858, '176.65.239.249', '176.65.239.255', 2957111289, 2957111295, 'AT', 'Austria'),
(85859, '176.65.240.0', '176.65.240.248', 2957111296, 2957111544, 'DE', 'Germany'),
(85860, '176.65.240.249', '176.65.240.255', 2957111545, 2957111551, 'AT', 'Austria'),
(85861, '176.65.241.0', '176.65.241.248', 2957111552, 2957111800, 'DE', 'Germany'),
(85862, '176.65.241.249', '176.65.241.255', 2957111801, 2957111807, 'AT', 'Austria'),
(85863, '176.65.242.0', '176.65.242.248', 2957111808, 2957112056, 'DE', 'Germany'),
(85864, '176.65.242.249', '176.65.242.255', 2957112057, 2957112063, 'AT', 'Austria'),
(85865, '176.65.243.0', '176.65.243.248', 2957112064, 2957112312, 'DE', 'Germany'),
(85866, '176.65.243.249', '176.65.243.255', 2957112313, 2957112319, 'AT', 'Austria'),
(85867, '176.65.244.0', '176.65.244.248', 2957112320, 2957112568, 'DE', 'Germany'),
(85868, '176.65.244.249', '176.65.244.255', 2957112569, 2957112575, 'AT', 'Austria'),
(85869, '176.65.245.0', '176.65.245.248', 2957112576, 2957112824, 'DE', 'Germany'),
(85870, '176.65.245.249', '176.65.245.255', 2957112825, 2957112831, 'AT', 'Austria'),
(85871, '176.65.246.0', '176.65.246.248', 2957112832, 2957113080, 'DE', 'Germany'),
(85872, '176.65.246.249', '176.65.246.255', 2957113081, 2957113087, 'AT', 'Austria'),
(85873, '176.65.247.0', '176.65.247.248', 2957113088, 2957113336, 'DE', 'Germany'),
(85874, '176.65.247.249', '176.65.247.255', 2957113337, 2957113343, 'AT', 'Austria'),
(85875, '176.65.248.0', '176.65.248.248', 2957113344, 2957113592, 'DE', 'Germany'),
(85876, '176.65.248.249', '176.65.248.255', 2957113593, 2957113599, 'AT', 'Austria'),
(85877, '176.65.249.0', '176.65.249.248', 2957113600, 2957113848, 'DE', 'Germany'),
(85878, '176.65.249.249', '176.65.249.255', 2957113849, 2957113855, 'AT', 'Austria'),
(85879, '176.65.250.0', '176.65.250.248', 2957113856, 2957114104, 'DE', 'Germany'),
(85880, '176.65.250.249', '176.65.250.255', 2957114105, 2957114111, 'AT', 'Austria'),
(85881, '176.65.251.0', '176.65.251.248', 2957114112, 2957114360, 'DE', 'Germany'),
(85882, '176.65.251.249', '176.65.251.255', 2957114361, 2957114367, 'AT', 'Austria'),
(85883, '176.65.252.0', '176.65.252.248', 2957114368, 2957114616, 'DE', 'Germany'),
(85884, '176.65.252.249', '176.65.252.255', 2957114617, 2957114623, 'AT', 'Austria'),
(85885, '176.65.253.0', '176.65.253.248', 2957114624, 2957114872, 'DE', 'Germany'),
(85886, '176.65.253.249', '176.65.253.255', 2957114873, 2957114879, 'AT', 'Austria'),
(85887, '176.65.254.0', '176.65.254.248', 2957114880, 2957115128, 'DE', 'Germany'),
(85888, '176.65.254.249', '176.66.255.255', 2957115129, 2957180927, 'AT', 'Austria'),
(85889, '176.67.0.0', '176.67.31.255', 2957180928, 2957189119, 'UA', 'Ukraine'),
(85890, '176.67.32.0', '176.67.47.255', 2957189120, 2957193215, 'LV', 'Latvia'),
(85891, '176.67.48.0', '176.67.55.255', 2957193216, 2957195263, 'RU', 'Russian Federation'),
(85892, '176.67.56.0', '176.67.63.255', 2957195264, 2957197311, 'PS', 'Palestinian Territory, Occupied'),
(85893, '176.67.64.0', '176.67.79.255', 2957197312, 2957201407, 'IR', 'Iran, Islamic Republic of'),
(85894, '176.67.80.0', '176.67.83.255', 2957201408, 2957202431, 'A1', 'Anonymous Proxy'),
(85895, '176.67.84.0', '176.67.84.31', 2957202432, 2957202463, 'GB', 'United Kingdom'),
(85896, '176.67.84.32', '176.67.84.35', 2957202464, 2957202467, 'PL', 'Poland'),
(85897, '176.67.84.36', '176.67.84.39', 2957202468, 2957202471, 'KR', 'Korea, Republic of'),
(85898, '176.67.84.40', '176.67.84.43', 2957202472, 2957202475, 'BR', 'Brazil'),
(85899, '176.67.84.44', '176.67.84.47', 2957202476, 2957202479, 'EG', 'Egypt'),
(85900, '176.67.84.48', '176.67.84.51', 2957202480, 2957202483, 'ZA', 'South Africa'),
(85901, '176.67.84.52', '176.67.84.55', 2957202484, 2957202487, 'IS', 'Iceland'),
(85902, '176.67.84.56', '176.67.84.59', 2957202488, 2957202491, 'CA', 'Canada'),
(85903, '176.67.84.60', '176.67.84.63', 2957202492, 2957202495, 'IL', 'Israel'),
(85904, '176.67.84.64', '176.67.84.67', 2957202496, 2957202499, 'DE', 'Germany'),
(85905, '176.67.84.68', '176.67.84.71', 2957202500, 2957202503, 'AR', 'Argentina'),
(85906, '176.67.84.72', '176.67.84.75', 2957202504, 2957202507, 'NZ', 'New Zealand'),
(85907, '176.67.84.76', '176.67.84.79', 2957202508, 2957202511, 'DE', 'Germany'),
(85908, '176.67.84.80', '176.67.84.95', 2957202512, 2957202527, 'NO', 'Norway'),
(85909, '176.67.84.96', '176.67.84.111', 2957202528, 2957202543, 'SE', 'Sweden'),
(85910, '176.67.84.112', '176.67.84.119', 2957202544, 2957202551, 'FI', 'Finland'),
(85911, '176.67.84.120', '176.67.84.127', 2957202552, 2957202559, 'EE', 'Estonia'),
(85912, '176.67.84.128', '176.67.84.135', 2957202560, 2957202567, 'LV', 'Latvia'),
(85913, '176.67.84.136', '176.67.84.143', 2957202568, 2957202575, 'LT', 'Lithuania'),
(85914, '176.67.84.144', '176.67.84.151', 2957202576, 2957202583, 'BY', 'Belarus'),
(85915, '176.67.84.152', '176.67.84.159', 2957202584, 2957202591, 'UA', 'Ukraine'),
(85916, '176.67.84.160', '176.67.84.167', 2957202592, 2957202599, 'RO', 'Romania'),
(85917, '176.67.84.168', '176.67.84.175', 2957202600, 2957202607, 'BG', 'Bulgaria'),
(85918, '176.67.84.176', '176.67.84.183', 2957202608, 2957202615, 'GR', 'Greece'),
(85919, '176.67.84.184', '176.67.84.191', 2957202616, 2957202623, 'TR', 'Turkey'),
(85920, '176.67.84.192', '176.67.84.195', 2957202624, 2957202627, 'AT', 'Austria'),
(85921, '176.67.84.196', '176.67.84.199', 2957202628, 2957202631, 'IT', 'Italy'),
(85922, '176.67.84.200', '176.67.84.207', 2957202632, 2957202639, 'CH', 'Switzerland'),
(85923, '176.67.84.208', '176.67.84.211', 2957202640, 2957202643, 'LU', 'Luxembourg'),
(85924, '176.67.84.212', '176.67.84.215', 2957202644, 2957202647, 'BE', 'Belgium'),
(85925, '176.67.84.216', '176.67.84.219', 2957202648, 2957202651, 'NL', 'Netherlands'),
(85926, '176.67.84.220', '176.67.84.235', 2957202652, 2957202667, 'DK', 'Denmark'),
(85927, '176.67.84.236', '176.67.84.239', 2957202668, 2957202671, 'FR', 'France'),
(85928, '176.67.84.240', '176.67.84.243', 2957202672, 2957202675, 'US', 'United States'),
(85929, '176.67.84.244', '176.67.84.247', 2957202676, 2957202679, 'ES', 'Spain'),
(85930, '176.67.84.248', '176.67.84.251', 2957202680, 2957202683, 'PT', 'Portugal'),
(85931, '176.67.84.252', '176.67.84.255', 2957202684, 2957202687, 'AU', 'Australia'),
(85932, '176.67.85.0', '176.67.85.3', 2957202688, 2957202691, 'RU', 'Russian Federation'),
(85933, '176.67.85.4', '176.67.85.11', 2957202692, 2957202699, 'IE', 'Ireland'),
(85934, '176.67.85.12', '176.67.85.15', 2957202700, 2957202703, 'JP', 'Japan'),
(85935, '176.67.85.16', '176.67.85.255', 2957202704, 2957202943, 'US', 'United States'),
(85936, '176.67.86.0', '176.67.87.255', 2957202944, 2957203455, 'A1', 'Anonymous Proxy'),
(85937, '176.67.88.0', '176.67.95.255', 2957203456, 2957205503, 'FR', 'France'),
(85938, '176.67.96.0', '176.67.127.255', 2957205504, 2957213695, 'PS', 'Palestinian Territory, Occupied'),
(85939, '176.67.128.0', '176.67.159.255', 2957213696, 2957221887, 'FR', 'France'),
(85940, '176.67.160.0', '176.67.183.255', 2957221888, 2957228031, 'GB', 'United Kingdom'),
(85941, '176.67.184.0', '176.67.191.255', 2957228032, 2957230079, 'DK', 'Denmark'),
(85942, '176.67.192.0', '176.67.223.255', 2957230080, 2957238271, 'RS', 'Serbia'),
(85943, '176.67.224.0', '176.67.231.255', 2957238272, 2957240319, 'CZ', 'Czech Republic'),
(85944, '176.67.232.0', '176.67.239.255', 2957240320, 2957242367, 'BG', 'Bulgaria'),
(85945, '176.67.240.0', '176.67.247.255', 2957242368, 2957244415, 'RU', 'Russian Federation'),
(85946, '176.67.248.0', '176.67.255.255', 2957244416, 2957246463, 'HU', 'Hungary'),
(85947, '176.68.0.0', '176.68.255.255', 2957246464, 2957311999, 'SE', 'Sweden'),
(85948, '176.69.0.0', '176.69.255.255', 2957312000, 2957377535, 'RU', 'Russian Federation'),
(85949, '176.70.0.0', '176.71.255.255', 2957377536, 2957508607, 'SE', 'Sweden'),
(85950, '176.72.0.0', '176.72.255.255', 2957508608, 2957574143, 'FI', 'Finland'),
(85951, '176.73.0.0', '176.73.255.255', 2957574144, 2957639679, 'GE', 'Georgia'),
(85952, '176.74.0.0', '176.74.7.255', 2957639680, 2957641727, 'GB', 'United Kingdom'),
(85953, '176.74.8.0', '176.74.15.255', 2957641728, 2957643775, 'RU', 'Russian Federation'),
(85954, '176.74.16.0', '176.74.31.255', 2957643776, 2957647871, 'GB', 'United Kingdom'),
(85955, '176.74.32.0', '176.74.39.255', 2957647872, 2957649919, 'FR', 'France'),
(85956, '176.74.40.0', '176.74.47.255', 2957649920, 2957651967, 'CH', 'Switzerland'),
(85957, '176.74.48.0', '176.74.55.255', 2957651968, 2957654015, 'AE', 'United Arab Emirates'),
(85958, '176.74.56.0', '176.74.63.255', 2957654016, 2957656063, 'DE', 'Germany'),
(85959, '176.74.64.0', '176.74.127.255', 2957656064, 2957672447, 'GE', 'Georgia'),
(85960, '176.74.128.0', '176.74.159.255', 2957672448, 2957680639, 'CZ', 'Czech Republic'),
(85961, '176.74.160.0', '176.74.167.3', 2957680640, 2957682435, 'GB', 'United Kingdom'),
(85962, '176.74.167.4', '176.74.167.14', 2957682436, 2957682446, 'US', 'United States'),
(85963, '176.74.167.15', '176.74.191.255', 2957682447, 2957688831, 'GB', 'United Kingdom'),
(85964, '176.74.192.0', '176.74.199.255', 2957688832, 2957690879, 'SE', 'Sweden'),
(85965, '176.74.200.0', '176.74.207.255', 2957690880, 2957692927, 'RU', 'Russian Federation'),
(85966, '176.74.208.0', '176.74.215.255', 2957692928, 2957694975, 'NO', 'Norway'),
(85967, '176.74.216.0', '176.74.223.255', 2957694976, 2957697023, 'CZ', 'Czech Republic'),
(85968, '176.74.224.0', '176.74.255.255', 2957697024, 2957705215, 'NL', 'Netherlands'),
(85969, '176.75.0.0', '176.75.255.255', 2957705216, 2957770751, 'NO', 'Norway'),
(85970, '176.76.0.0', '176.76.255.255', 2957770752, 2957836287, 'SI', 'Slovenia'),
(85971, '176.77.0.0', '176.77.127.255', 2957836288, 2957869055, 'RU', 'Russian Federation'),
(85972, '176.77.128.0', '176.77.255.255', 2957869056, 2957901823, 'HU', 'Hungary'),
(85973, '176.78.0.0', '176.79.255.255', 2957901824, 2958032895, 'PT', 'Portugal'),
(85974, '176.80.0.0', '176.87.255.255', 2958032896, 2958557183, 'ES', 'Spain'),
(85975, '176.88.0.0', '176.91.255.255', 2958557184, 2958819327, 'TR', 'Turkey'),
(85976, '176.92.0.0', '176.92.255.255', 2958819328, 2958884863, 'GR', 'Greece'),
(85977, '176.93.0.0', '176.93.255.255', 2958884864, 2958950399, 'FI', 'Finland'),
(85978, '176.94.0.0', '176.95.255.255', 2958950400, 2959081471, 'DE', 'Germany'),
(85979, '176.96.0.0', '176.96.31.255', 2959081472, 2959089663, 'RU', 'Russian Federation'),
(85980, '176.96.32.0', '176.96.47.255', 2959089664, 2959093759, 'PL', 'Poland'),
(85981, '176.96.48.0', '176.96.63.255', 2959093760, 2959097855, 'RO', 'Romania'),
(85982, '176.96.64.0', '176.96.71.255', 2959097856, 2959099903, 'RU', 'Russian Federation'),
(85983, '176.96.72.0', '176.96.79.255', 2959099904, 2959101951, 'UA', 'Ukraine'),
(85984, '176.96.80.0', '176.96.87.255', 2959101952, 2959103999, 'RU', 'Russian Federation'),
(85985, '176.96.88.0', '176.96.95.255', 2959104000, 2959106047, 'RO', 'Romania'),
(85986, '176.96.96.0', '176.96.127.255', 2959106048, 2959114239, 'AT', 'Austria'),
(85987, '176.96.128.0', '176.96.143.255', 2959114240, 2959118335, 'RU', 'Russian Federation'),
(85988, '176.96.144.0', '176.96.151.255', 2959118336, 2959120383, 'PL', 'Poland'),
(85989, '176.96.152.0', '176.96.159.255', 2959120384, 2959122431, 'AT', 'Austria'),
(85990, '176.96.160.0', '176.96.175.255', 2959122432, 2959126527, 'PL', 'Poland'),
(85991, '176.96.176.0', '176.96.183.255', 2959126528, 2959128575, 'RO', 'Romania'),
(85992, '176.96.184.0', '176.96.191.255', 2959128576, 2959130623, 'RU', 'Russian Federation'),
(85993, '176.96.192.0', '176.96.223.255', 2959130624, 2959138815, 'UA', 'Ukraine'),
(85994, '176.96.224.0', '176.96.255.255', 2959138816, 2959147007, 'RU', 'Russian Federation'),
(85995, '176.97.0.0', '176.97.7.255', 2959147008, 2959149055, 'UA', 'Ukraine'),
(85996, '176.97.8.0', '176.97.15.255', 2959149056, 2959151103, 'CZ', 'Czech Republic'),
(85997, '176.97.16.0', '176.97.31.255', 2959151104, 2959155199, 'PL', 'Poland'),
(85998, '176.97.32.0', '176.97.47.255', 2959155200, 2959159295, 'RU', 'Russian Federation'),
(85999, '176.97.48.0', '176.97.55.255', 2959159296, 2959161343, 'PL', 'Poland'),
(86000, '176.97.56.0', '176.97.63.255', 2959161344, 2959163391, 'RO', 'Romania'),
(86001, '176.97.64.0', '176.97.79.255', 2959163392, 2959167487, 'UA', 'Ukraine'),
(86002, '176.97.80.0', '176.97.95.255', 2959167488, 2959171583, 'PL', 'Poland'),
(86003, '176.97.96.0', '176.97.111.255', 2959171584, 2959175679, 'RU', 'Russian Federation'),
(86004, '176.97.112.0', '176.97.127.255', 2959175680, 2959179775, 'UA', 'Ukraine'),
(86005, '176.97.128.0', '176.97.135.255', 2959179776, 2959181823, 'RU', 'Russian Federation'),
(86006, '176.97.136.0', '176.97.143.255', 2959181824, 2959183871, 'PL', 'Poland'),
(86007, '176.97.144.0', '176.97.159.255', 2959183872, 2959187967, 'RO', 'Romania'),
(86008, '176.97.160.0', '176.97.223.255', 2959187968, 2959204351, 'RU', 'Russian Federation'),
(86009, '176.97.224.0', '176.97.239.255', 2959204352, 2959208447, 'RO', 'Romania'),
(86010, '176.97.240.0', '176.97.247.255', 2959208448, 2959210495, 'CZ', 'Czech Republic'),
(86011, '176.97.248.0', '176.97.255.255', 2959210496, 2959212543, 'PL', 'Poland'),
(86012, '176.98.0.0', '176.98.31.255', 2959212544, 2959220735, 'UA', 'Ukraine'),
(86013, '176.98.32.0', '176.98.47.255', 2959220736, 2959224831, 'RO', 'Romania'),
(86014, '176.98.48.0', '176.98.55.255', 2959224832, 2959226879, 'UA', 'Ukraine'),
(86015, '176.98.56.0', '176.98.63.255', 2959226880, 2959228927, 'RO', 'Romania'),
(86016, '176.98.64.0', '176.98.95.255', 2959228928, 2959237119, 'UA', 'Ukraine'),
(86017, '176.98.96.0', '176.98.111.255', 2959237120, 2959241215, 'CZ', 'Czech Republic'),
(86018, '176.98.112.0', '176.98.127.255', 2959241216, 2959245311, 'PL', 'Poland'),
(86019, '176.98.128.0', '176.98.159.255', 2959245312, 2959253503, 'RU', 'Russian Federation'),
(86020, '176.98.160.0', '176.98.167.255', 2959253504, 2959255551, 'DE', 'Germany'),
(86021, '176.98.168.0', '176.98.191.255', 2959255552, 2959261695, 'RU', 'Russian Federation'),
(86022, '176.98.192.0', '176.98.255.255', 2959261696, 2959278079, 'KZ', 'Kazakhstan'),
(86023, '176.99.0.0', '176.99.15.255', 2959278080, 2959282175, 'RU', 'Russian Federation'),
(86024, '176.99.16.0', '176.99.47.255', 2959282176, 2959290367, 'RO', 'Romania'),
(86025, '176.99.48.0', '176.99.55.255', 2959290368, 2959292415, 'PL', 'Poland'),
(86026, '176.99.56.0', '176.99.255.255', 2959292416, 2959343615, 'RU', 'Russian Federation'),
(86027, '176.100.0.0', '176.100.31.255', 2959343616, 2959351807, 'UA', 'Ukraine'),
(86028, '176.100.32.0', '176.100.39.255', 2959351808, 2959353855, 'EU', 'Europe'),
(86029, '176.100.40.0', '176.100.47.255', 2959353856, 2959355903, 'RU', 'Russian Federation'),
(86030, '176.100.48.0', '176.100.55.255', 2959355904, 2959357951, 'RO', 'Romania'),
(86031, '176.100.56.0', '176.100.63.255', 2959357952, 2959359999, 'UA', 'Ukraine'),
(86032, '176.100.64.0', '176.100.159.255', 2959360000, 2959384575, 'RU', 'Russian Federation'),
(86033, '176.100.160.0', '176.100.191.255', 2959384576, 2959392767, 'UA', 'Ukraine'),
(86034, '176.100.192.0', '176.100.199.255', 2959392768, 2959394815, 'PL', 'Poland'),
(86035, '176.100.200.0', '176.100.215.255', 2959394816, 2959398911, 'ES', 'Spain'),
(86036, '176.100.216.0', '176.100.223.255', 2959398912, 2959400959, 'RU', 'Russian Federation'),
(86037, '176.100.224.0', '176.100.239.255', 2959400960, 2959405055, 'ES', 'Spain'),
(86038, '176.100.240.0', '176.100.255.255', 2959405056, 2959409151, 'RU', 'Russian Federation'),
(86039, '176.101.0.0', '176.101.15.255', 2959409152, 2959413247, 'UA', 'Ukraine'),
(86040, '176.101.16.0', '176.101.31.255', 2959413248, 2959417343, 'ES', 'Spain'),
(86041, '176.101.32.0', '176.101.55.255', 2959417344, 2959423487, 'IR', 'Iran, Islamic Republic of'),
(86042, '176.101.56.0', '176.101.71.255', 2959423488, 2959427583, 'RU', 'Russian Federation'),
(86043, '176.101.72.0', '176.101.79.255', 2959427584, 2959429631, 'ES', 'Spain'),
(86044, '176.101.80.0', '176.101.87.255', 2959429632, 2959431679, 'PL', 'Poland'),
(86045, '176.101.88.0', '176.101.95.255', 2959431680, 2959433727, 'RU', 'Russian Federation'),
(86046, '176.101.96.0', '176.101.127.255', 2959433728, 2959441919, 'UA', 'Ukraine'),
(86047, '176.101.128.0', '176.101.143.255', 2959441920, 2959446015, 'PL', 'Poland'),
(86048, '176.101.144.0', '176.101.159.255', 2959446016, 2959450111, 'CZ', 'Czech Republic'),
(86049, '176.101.160.0', '176.101.167.255', 2959450112, 2959452159, 'PL', 'Poland'),
(86050, '176.101.168.0', '176.101.175.255', 2959452160, 2959454207, 'RO', 'Romania'),
(86051, '176.101.176.0', '176.101.183.255', 2959454208, 2959456255, 'SK', 'Slovakia'),
(86052, '176.101.184.0', '176.101.223.255', 2959456256, 2959466495, 'UA', 'Ukraine'),
(86053, '176.101.224.0', '176.101.255.255', 2959466496, 2959474687, 'RU', 'Russian Federation'),
(86054, '176.102.0.0', '176.102.63.255', 2959474688, 2959491071, 'UA', 'Ukraine'),
(86055, '176.102.64.0', '176.102.71.255', 2959491072, 2959493119, 'NL', 'Netherlands'),
(86056, '176.102.72.0', '176.102.79.255', 2959493120, 2959495167, 'CZ', 'Czech Republic'),
(86057, '176.102.80.0', '176.102.95.255', 2959495168, 2959499263, 'PL', 'Poland'),
(86058, '176.102.96.0', '176.102.119.255', 2959499264, 2959505407, 'SK', 'Slovakia'),
(86059, '176.102.120.0', '176.102.127.255', 2959505408, 2959507455, 'RO', 'Romania'),
(86060, '176.102.128.0', '176.102.159.255', 2959507456, 2959515647, 'CZ', 'Czech Republic'),
(86061, '176.102.160.0', '176.102.167.255', 2959515648, 2959517695, 'RU', 'Russian Federation'),
(86062, '176.102.168.0', '176.102.175.255', 2959517696, 2959519743, 'DE', 'Germany'),
(86063, '176.102.176.0', '176.102.191.255', 2959519744, 2959523839, 'PL', 'Poland'),
(86064, '176.102.192.0', '176.102.223.255', 2959523840, 2959532031, 'UA', 'Ukraine'),
(86065, '176.102.224.0', '176.102.255.255', 2959532032, 2959540223, 'IR', 'Iran, Islamic Republic of'),
(86066, '176.103.0.0', '176.103.31.255', 2959540224, 2959548415, 'UA', 'Ukraine'),
(86067, '176.103.32.0', '176.103.47.255', 2959548416, 2959552511, 'PL', 'Poland'),
(86068, '176.103.48.0', '176.103.71.255', 2959552512, 2959558655, 'UA', 'Ukraine'),
(86069, '176.103.72.0', '176.103.79.255', 2959558656, 2959560703, 'PL', 'Poland'),
(86070, '176.103.80.0', '176.103.111.255', 2959560704, 2959568895, 'RU', 'Russian Federation'),
(86071, '176.103.112.0', '176.103.119.255', 2959568896, 2959570943, 'UA', 'Ukraine'),
(86072, '176.103.120.0', '176.103.127.255', 2959570944, 2959572991, 'RO', 'Romania'),
(86073, '176.103.128.0', '176.103.159.255', 2959572992, 2959581183, 'RU', 'Russian Federation'),
(86074, '176.103.160.0', '176.103.175.255', 2959581184, 2959585279, 'PL', 'Poland'),
(86075, '176.103.176.0', '176.103.199.255', 2959585280, 2959591423, 'LV', 'Latvia'),
(86076, '176.103.200.0', '176.103.215.255', 2959591424, 2959595519, 'UA', 'Ukraine'),
(86077, '176.103.216.0', '176.103.223.255', 2959595520, 2959597567, 'RS', 'Serbia'),
(86078, '176.103.224.0', '176.103.239.255', 2959597568, 2959601663, 'UA', 'Ukraine'),
(86079, '176.103.240.0', '176.103.247.255', 2959601664, 2959603711, 'RO', 'Romania'),
(86080, '176.103.248.0', '176.103.255.255', 2959603712, 2959605759, 'IT', 'Italy'),
(86081, '176.104.0.0', '176.104.103.255', 2959605760, 2959632383, 'UA', 'Ukraine'),
(86082, '176.104.104.0', '176.104.111.255', 2959632384, 2959634431, 'RS', 'Serbia'),
(86083, '176.104.112.0', '176.104.119.255', 2959634432, 2959636479, 'PL', 'Poland'),
(86084, '176.104.120.0', '176.104.167.255', 2959636480, 2959648767, 'RU', 'Russian Federation'),
(86085, '176.104.168.0', '176.104.175.255', 2959648768, 2959650815, 'UA', 'Ukraine'),
(86086, '176.104.176.0', '176.104.183.255', 2959650816, 2959652863, 'PL', 'Poland'),
(86087, '176.104.184.0', '176.104.191.255', 2959652864, 2959654911, 'UA', 'Ukraine'),
(86088, '176.104.192.0', '176.104.223.255', 2959654912, 2959663103, 'RU', 'Russian Federation'),
(86089, '176.104.224.0', '176.105.127.255', 2959663104, 2959704063, 'UA', 'Ukraine'),
(86090, '176.105.128.0', '176.105.143.255', 2959704064, 2959708159, 'PL', 'Poland'),
(86091, '176.105.144.0', '176.105.159.255', 2959708160, 2959712255, 'RO', 'Romania'),
(86092, '176.105.160.0', '176.105.223.255', 2959712256, 2959728639, 'UA', 'Ukraine'),
(86093, '176.105.224.0', '176.105.255.255', 2959728640, 2959736831, 'RO', 'Romania'),
(86094, '176.106.0.0', '176.106.7.255', 2959736832, 2959738879, 'UA', 'Ukraine'),
(86095, '176.106.8.0', '176.106.31.255', 2959738880, 2959745023, 'RU', 'Russian Federation'),
(86096, '176.106.32.0', '176.106.39.255', 2959745024, 2959747071, 'PL', 'Poland'),
(86097, '176.106.40.0', '176.106.47.255', 2959747072, 2959749119, 'PS', 'Palestinian Territory, Occupied'),
(86098, '176.106.48.0', '176.106.63.255', 2959749120, 2959753215, 'LV', 'Latvia'),
(86099, '176.106.64.0', '176.106.95.255', 2959753216, 2959761407, 'RU', 'Russian Federation'),
(86100, '176.106.96.0', '176.106.103.255', 2959761408, 2959763455, 'LV', 'Latvia'),
(86101, '176.106.104.0', '176.106.111.255', 2959763456, 2959765503, 'PL', 'Poland'),
(86102, '176.106.112.0', '176.106.119.255', 2959765504, 2959767551, 'RU', 'Russian Federation'),
(86103, '176.106.120.0', '176.106.127.255', 2959767552, 2959769599, 'RS', 'Serbia'),
(86104, '176.106.128.0', '176.106.159.255', 2959769600, 2959777791, 'RU', 'Russian Federation'),
(86105, '176.106.160.0', '176.106.183.255', 2959777792, 2959783935, 'LV', 'Latvia'),
(86106, '176.106.184.0', '176.106.191.255', 2959783936, 2959785983, 'SK', 'Slovakia'),
(86107, '176.106.192.0', '176.106.223.255', 2959785984, 2959794175, 'UA', 'Ukraine'),
(86108, '176.106.224.0', '176.106.231.255', 2959794176, 2959796223, 'IL', 'Israel'),
(86109, '176.106.232.0', '176.107.7.255', 2959796224, 2959804415, 'RU', 'Russian Federation'),
(86110, '176.107.8.0', '176.107.15.255', 2959804416, 2959806463, 'RO', 'Romania'),
(86111, '176.107.16.0', '176.107.31.255', 2959806464, 2959810559, 'SK', 'Slovakia'),
(86112, '176.107.32.0', '176.107.47.255', 2959810560, 2959814655, 'PL', 'Poland'),
(86113, '176.107.48.0', '176.107.63.255', 2959814656, 2959818751, 'RU', 'Russian Federation'),
(86114, '176.107.64.0', '176.107.79.255', 2959818752, 2959822847, 'RO', 'Romania'),
(86115, '176.107.80.0', '176.107.87.255', 2959822848, 2959824895, 'RU', 'Russian Federation'),
(86116, '176.107.88.0', '176.107.95.255', 2959824896, 2959826943, 'UA', 'Ukraine'),
(86117, '176.107.96.0', '176.107.103.255', 2959826944, 2959828991, 'RU', 'Russian Federation'),
(86118, '176.107.104.0', '176.107.119.255', 2959828992, 2959833087, 'PL', 'Poland'),
(86119, '176.107.120.0', '176.107.127.255', 2959833088, 2959835135, 'CZ', 'Czech Republic'),
(86120, '176.107.128.0', '176.107.159.255', 2959835136, 2959843327, 'UA', 'Ukraine'),
(86121, '176.107.160.0', '176.107.167.255', 2959843328, 2959845375, 'RU', 'Russian Federation'),
(86122, '176.107.168.0', '176.107.175.255', 2959845376, 2959847423, 'PL', 'Poland'),
(86123, '176.107.176.0', '176.107.199.255', 2959847424, 2959853567, 'UA', 'Ukraine'),
(86124, '176.107.200.0', '176.107.255.255', 2959853568, 2959867903, 'RU', 'Russian Federation'),
(86125, '176.108.0.0', '176.108.31.255', 2959867904, 2959876095, 'UA', 'Ukraine'),
(86126, '176.108.32.0', '176.108.47.255', 2959876096, 2959880191, 'RS', 'Serbia'),
(86127, '176.108.48.0', '176.108.55.255', 2959880192, 2959882239, 'RU', 'Russian Federation'),
(86128, '176.108.56.0', '176.108.63.255', 2959882240, 2959884287, 'BA', 'Bosnia and Herzegovina'),
(86129, '176.108.64.0', '176.108.95.255', 2959884288, 2959892479, 'KZ', 'Kazakhstan'),
(86130, '176.108.96.0', '176.108.127.255', 2959892480, 2959900671, 'UA', 'Ukraine'),
(86131, '176.108.128.0', '176.108.135.255', 2959900672, 2959902719, 'PL', 'Poland'),
(86132, '176.108.136.0', '176.108.183.255', 2959902720, 2959915007, 'RU', 'Russian Federation'),
(86133, '176.108.184.0', '176.108.191.255', 2959915008, 2959917055, 'UA', 'Ukraine'),
(86134, '176.108.192.0', '176.108.223.255', 2959917056, 2959925247, 'RU', 'Russian Federation'),
(86135, '176.108.224.0', '176.108.231.255', 2959925248, 2959927295, 'RO', 'Romania'),
(86136, '176.108.232.0', '176.108.239.255', 2959927296, 2959929343, 'UA', 'Ukraine'),
(86137, '176.108.240.0', '176.109.7.255', 2959929344, 2959935487, 'RU', 'Russian Federation'),
(86138, '176.109.8.0', '176.109.15.255', 2959935488, 2959937535, 'UA', 'Ukraine'),
(86139, '176.109.16.0', '176.109.47.255', 2959937536, 2959945727, 'RU', 'Russian Federation'),
(86140, '176.109.48.0', '176.109.55.255', 2959945728, 2959947775, 'PL', 'Poland'),
(86141, '176.109.56.0', '176.109.63.255', 2959947776, 2959949823, 'SK', 'Slovakia'),
(86142, '176.109.64.0', '176.109.127.255', 2959949824, 2959966207, 'RU', 'Russian Federation'),
(86143, '176.109.128.0', '176.109.135.255', 2959966208, 2959968255, 'PL', 'Poland'),
(86144, '176.109.136.0', '176.109.143.255', 2959968256, 2959970303, 'RS', 'Serbia'),
(86145, '176.109.144.0', '176.109.159.255', 2959970304, 2959974399, 'RU', 'Russian Federation'),
(86146, '176.109.160.0', '176.109.167.255', 2959974400, 2959976447, 'PL', 'Poland'),
(86147, '176.109.168.0', '176.109.255.255', 2959976448, 2959998975, 'UA', 'Ukraine'),
(86148, '176.110.128.0', '176.110.143.255', 2960031744, 2960035839, 'RU', 'Russian Federation'),
(86149, '176.110.144.0', '176.110.159.255', 2960035840, 2960039935, 'PL', 'Poland'),
(86150, '176.110.160.0', '176.110.215.255', 2960039936, 2960054271, 'RU', 'Russian Federation'),
(86151, '176.110.216.0', '176.110.223.255', 2960054272, 2960056319, 'RO', 'Romania');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(86152, '176.110.224.0', '176.110.255.255', 2960056320, 2960064511, 'RU', 'Russian Federation'),
(86153, '176.111.0.0', '176.111.7.255', 2960064512, 2960066559, 'RO', 'Romania'),
(86154, '176.111.8.0', '176.111.15.255', 2960066560, 2960068607, 'RU', 'Russian Federation'),
(86155, '176.111.16.0', '176.111.31.255', 2960068608, 2960072703, 'PL', 'Poland'),
(86156, '176.111.32.0', '176.111.63.255', 2960072704, 2960080895, 'UA', 'Ukraine'),
(86157, '176.111.64.0', '176.111.79.255', 2960080896, 2960084991, 'RU', 'Russian Federation'),
(86158, '176.111.80.0', '176.111.95.255', 2960084992, 2960089087, 'UA', 'Ukraine'),
(86159, '176.111.96.0', '176.111.103.255', 2960089088, 2960091135, 'RU', 'Russian Federation'),
(86160, '176.111.104.0', '176.111.111.255', 2960091136, 2960093183, 'PT', 'Portugal'),
(86161, '176.111.112.0', '176.111.159.255', 2960093184, 2960105471, 'PL', 'Poland'),
(86162, '176.111.160.0', '176.111.175.255', 2960105472, 2960109567, 'RO', 'Romania'),
(86163, '176.111.176.0', '176.111.191.255', 2960109568, 2960113663, 'UA', 'Ukraine'),
(86164, '176.111.192.0', '176.111.207.255', 2960113664, 2960117759, 'NO', 'Norway'),
(86165, '176.111.208.0', '176.111.215.255', 2960117760, 2960119807, 'RU', 'Russian Federation'),
(86166, '176.111.216.0', '176.111.223.255', 2960119808, 2960121855, 'CH', 'Switzerland'),
(86167, '176.111.224.0', '176.111.239.255', 2960121856, 2960125951, 'PL', 'Poland'),
(86168, '176.111.240.0', '176.111.247.255', 2960125952, 2960127999, 'UA', 'Ukraine'),
(86169, '176.111.248.0', '176.111.255.255', 2960128000, 2960130047, 'RU', 'Russian Federation'),
(86170, '176.112.0.0', '176.112.31.255', 2960130048, 2960138239, 'UA', 'Ukraine'),
(86171, '176.112.32.0', '176.112.71.255', 2960138240, 2960148479, 'RU', 'Russian Federation'),
(86172, '176.112.72.0', '176.112.79.255', 2960148480, 2960150527, 'PL', 'Poland'),
(86173, '176.112.80.0', '176.112.87.255', 2960150528, 2960152575, 'RO', 'Romania'),
(86174, '176.112.88.0', '176.112.111.255', 2960152576, 2960158719, 'RU', 'Russian Federation'),
(86175, '176.112.112.0', '176.112.119.255', 2960158720, 2960160767, 'PL', 'Poland'),
(86176, '176.112.120.0', '176.112.127.255', 2960160768, 2960162815, 'UA', 'Ukraine'),
(86177, '176.112.128.0', '176.112.159.255', 2960162816, 2960171007, 'CZ', 'Czech Republic'),
(86178, '176.112.160.0', '176.112.175.255', 2960171008, 2960175103, 'RU', 'Russian Federation'),
(86179, '176.112.176.0', '176.112.191.255', 2960175104, 2960179199, 'SK', 'Slovakia'),
(86180, '176.112.192.0', '176.113.39.255', 2960179200, 2960205823, 'RU', 'Russian Federation'),
(86181, '176.113.40.0', '176.113.47.255', 2960205824, 2960207871, 'RO', 'Romania'),
(86182, '176.113.48.0', '176.113.63.255', 2960207872, 2960211967, 'RU', 'Russian Federation'),
(86183, '176.113.64.0', '176.113.111.255', 2960211968, 2960224255, 'RO', 'Romania'),
(86184, '176.113.112.0', '176.113.127.255', 2960224256, 2960228351, 'RU', 'Russian Federation'),
(86185, '176.113.128.0', '176.113.143.255', 2960228352, 2960232447, 'TJ', 'Tajikistan'),
(86186, '176.113.144.0', '176.113.175.255', 2960232448, 2960240639, 'UA', 'Ukraine'),
(86187, '176.113.176.0', '176.113.191.255', 2960240640, 2960244735, 'RO', 'Romania'),
(86188, '176.113.192.0', '176.113.207.255', 2960244736, 2960248831, 'PL', 'Poland'),
(86189, '176.113.208.0', '176.114.15.255', 2960248832, 2960265215, 'UA', 'Ukraine'),
(86190, '176.114.16.0', '176.114.31.255', 2960265216, 2960269311, 'RU', 'Russian Federation'),
(86191, '176.114.32.0', '176.114.47.255', 2960269312, 2960273407, 'UA', 'Ukraine'),
(86192, '176.114.48.0', '176.114.55.255', 2960273408, 2960275455, 'RU', 'Russian Federation'),
(86193, '176.114.56.0', '176.114.63.255', 2960275456, 2960277503, 'RO', 'Romania'),
(86194, '176.114.64.0', '176.114.95.255', 2960277504, 2960285695, 'RU', 'Russian Federation'),
(86195, '176.114.96.0', '176.114.111.255', 2960285696, 2960289791, 'RO', 'Romania'),
(86196, '176.114.112.0', '176.114.231.255', 2960289792, 2960320511, 'RU', 'Russian Federation'),
(86197, '176.114.232.0', '176.114.239.255', 2960320512, 2960322559, 'PL', 'Poland'),
(86198, '176.114.240.0', '176.114.255.255', 2960322560, 2960326655, 'CZ', 'Czech Republic'),
(86199, '176.115.0.0', '176.115.31.255', 2960326656, 2960334847, 'PL', 'Poland'),
(86200, '176.115.32.0', '176.115.79.255', 2960334848, 2960347135, 'RU', 'Russian Federation'),
(86201, '176.115.80.0', '176.115.87.255', 2960347136, 2960349183, 'PL', 'Poland'),
(86202, '176.115.88.0', '176.115.95.255', 2960349184, 2960351231, 'RU', 'Russian Federation'),
(86203, '176.115.96.0', '176.115.103.255', 2960351232, 2960353279, 'UA', 'Ukraine'),
(86204, '176.115.104.0', '176.115.159.255', 2960353280, 2960367615, 'RU', 'Russian Federation'),
(86205, '176.115.160.0', '176.115.167.255', 2960367616, 2960369663, 'DE', 'Germany'),
(86206, '176.115.168.0', '176.115.175.255', 2960369664, 2960371711, 'IT', 'Italy'),
(86207, '176.115.176.0', '176.115.223.255', 2960371712, 2960383999, 'RU', 'Russian Federation'),
(86208, '176.115.224.0', '176.115.239.255', 2960384000, 2960388095, 'RO', 'Romania'),
(86209, '176.115.240.0', '176.115.255.255', 2960388096, 2960392191, 'PL', 'Poland'),
(86210, '176.116.0.0', '176.116.31.255', 2960392192, 2960400383, 'RU', 'Russian Federation'),
(86211, '176.116.32.0', '176.116.47.255', 2960400384, 2960404479, 'RO', 'Romania'),
(86212, '176.116.48.0', '176.116.63.255', 2960404480, 2960408575, 'RU', 'Russian Federation'),
(86213, '176.116.64.0', '176.116.95.255', 2960408576, 2960416767, 'UA', 'Ukraine'),
(86214, '176.116.96.0', '176.116.127.255', 2960416768, 2960424959, 'SK', 'Slovakia'),
(86215, '176.116.128.0', '176.116.135.255', 2960424960, 2960427007, 'RO', 'Romania'),
(86216, '176.116.136.0', '176.116.143.255', 2960427008, 2960429055, 'RU', 'Russian Federation'),
(86217, '176.116.160.0', '176.116.191.255', 2960433152, 2960441343, 'RU', 'Russian Federation'),
(86218, '176.116.192.0', '176.116.199.255', 2960441344, 2960443391, 'UA', 'Ukraine'),
(86219, '176.116.200.0', '176.116.207.255', 2960443392, 2960445439, 'PL', 'Poland'),
(86220, '176.116.208.0', '176.116.223.255', 2960445440, 2960449535, 'RU', 'Russian Federation'),
(86221, '176.116.224.0', '176.116.239.255', 2960449536, 2960453631, 'RO', 'Romania'),
(86222, '176.116.240.0', '176.117.55.255', 2960453632, 2960472063, 'RU', 'Russian Federation'),
(86223, '176.117.56.0', '176.117.63.255', 2960472064, 2960474111, 'NL', 'Netherlands'),
(86224, '176.117.64.0', '176.117.95.255', 2960474112, 2960482303, 'UA', 'Ukraine'),
(86225, '176.117.96.0', '176.117.103.255', 2960482304, 2960484351, 'TR', 'Turkey'),
(86226, '176.117.104.0', '176.117.111.255', 2960484352, 2960486399, 'DE', 'Germany'),
(86227, '176.117.112.0', '176.117.159.255', 2960486400, 2960498687, 'RU', 'Russian Federation'),
(86228, '176.117.160.0', '176.117.191.255', 2960498688, 2960506879, 'UA', 'Ukraine'),
(86229, '176.117.192.0', '176.118.31.255', 2960506880, 2960531455, 'RU', 'Russian Federation'),
(86230, '176.118.32.0', '176.118.39.255', 2960531456, 2960533503, 'RO', 'Romania'),
(86231, '176.118.40.0', '176.118.55.255', 2960533504, 2960537599, 'UA', 'Ukraine'),
(86232, '176.118.56.0', '176.118.63.255', 2960537600, 2960539647, 'RO', 'Romania'),
(86233, '176.118.64.0', '176.118.79.255', 2960539648, 2960543743, 'RU', 'Russian Federation'),
(86234, '176.118.80.0', '176.118.95.255', 2960543744, 2960547839, 'RO', 'Romania'),
(86235, '176.118.96.0', '176.118.111.255', 2960547840, 2960551935, 'SK', 'Slovakia'),
(86236, '176.118.112.0', '176.118.135.255', 2960551936, 2960558079, 'RU', 'Russian Federation'),
(86237, '176.118.136.0', '176.118.143.255', 2960558080, 2960560127, 'PL', 'Poland'),
(86238, '176.118.144.0', '176.118.151.255', 2960560128, 2960562175, 'UA', 'Ukraine'),
(86239, '176.118.152.0', '176.118.159.255', 2960562176, 2960564223, 'BY', 'Belarus'),
(86240, '176.118.160.0', '176.118.207.255', 2960564224, 2960576511, 'RO', 'Romania'),
(86241, '176.118.208.0', '176.118.223.255', 2960576512, 2960580607, 'CZ', 'Czech Republic'),
(86242, '176.118.224.0', '176.118.255.255', 2960580608, 2960588799, 'RU', 'Russian Federation'),
(86243, '176.119.0.0', '176.119.15.255', 2960588800, 2960592895, 'UA', 'Ukraine'),
(86244, '176.119.16.0', '176.119.23.255', 2960592896, 2960594943, 'RU', 'Russian Federation'),
(86245, '176.119.24.0', '176.119.31.255', 2960594944, 2960596991, 'UA', 'Ukraine'),
(86246, '176.119.32.0', '176.119.63.255', 2960596992, 2960605183, 'PL', 'Poland'),
(86247, '176.119.64.0', '176.119.127.255', 2960605184, 2960621567, 'UA', 'Ukraine'),
(86248, '176.119.128.0', '176.119.159.255', 2960621568, 2960629759, 'CZ', 'Czech Republic'),
(86249, '176.119.160.0', '176.119.223.255', 2960629760, 2960646143, 'RU', 'Russian Federation'),
(86250, '176.119.224.0', '176.119.231.255', 2960646144, 2960648191, 'KZ', 'Kazakhstan'),
(86251, '176.119.232.0', '176.119.239.255', 2960648192, 2960650239, 'UA', 'Ukraine'),
(86252, '176.119.240.0', '176.119.247.255', 2960650240, 2960652287, 'CZ', 'Czech Republic'),
(86253, '176.119.248.0', '176.119.255.255', 2960652288, 2960654335, 'PS', 'Palestinian Territory, Occupied'),
(86254, '176.120.0.0', '176.120.15.255', 2960654336, 2960658431, 'RU', 'Russian Federation'),
(86255, '176.120.16.0', '176.120.23.255', 2960658432, 2960660479, 'US', 'United States'),
(86256, '176.120.24.0', '176.120.31.255', 2960660480, 2960662527, 'RU', 'Russian Federation'),
(86257, '176.120.32.0', '176.120.63.255', 2960662528, 2960670719, 'UA', 'Ukraine'),
(86258, '176.120.64.0', '176.120.95.255', 2960670720, 2960678911, 'RU', 'Russian Federation'),
(86259, '176.120.96.0', '176.120.119.255', 2960678912, 2960685055, 'UA', 'Ukraine'),
(86260, '176.120.120.0', '176.120.127.255', 2960685056, 2960687103, 'PL', 'Poland'),
(86261, '176.120.128.0', '176.120.159.255', 2960687104, 2960695295, 'FR', 'France'),
(86262, '176.120.160.0', '176.120.167.255', 2960695296, 2960697343, 'RU', 'Russian Federation'),
(86263, '176.120.168.0', '176.120.175.255', 2960697344, 2960699391, 'ES', 'Spain'),
(86264, '176.120.176.0', '176.120.255.255', 2960699392, 2960719871, 'RU', 'Russian Federation'),
(86265, '176.121.0.0', '176.121.15.255', 2960719872, 2960723967, 'CZ', 'Czech Republic'),
(86266, '176.121.16.0', '176.121.23.255', 2960723968, 2960726015, 'RU', 'Russian Federation'),
(86267, '176.121.24.0', '176.121.47.255', 2960726016, 2960732159, 'RO', 'Romania'),
(86268, '176.121.48.0', '176.121.63.255', 2960732160, 2960736255, 'RU', 'Russian Federation'),
(86269, '176.121.64.0', '176.121.71.255', 2960736256, 2960738303, 'ES', 'Spain'),
(86270, '176.121.72.0', '176.121.79.255', 2960738304, 2960740351, 'UA', 'Ukraine'),
(86271, '176.128.0.0', '176.191.255.255', 2961178624, 2965372927, 'FR', 'France'),
(86272, '176.192.0.0', '176.197.255.255', 2965372928, 2965766143, 'RU', 'Russian Federation'),
(86273, '176.198.0.0', '176.199.255.255', 2965766144, 2965897215, 'DE', 'Germany'),
(86274, '176.200.0.0', '176.201.255.255', 2965897216, 2966028287, 'IT', 'Italy'),
(86275, '176.202.0.0', '176.203.255.255', 2966028288, 2966159359, 'QA', 'Qatar'),
(86276, '176.204.0.0', '176.205.255.255', 2966159360, 2966290431, 'AE', 'United Arab Emirates'),
(86277, '176.206.0.0', '176.207.255.255', 2966290432, 2966421503, 'IT', 'Italy'),
(86278, '176.208.0.0', '176.215.255.255', 2966421504, 2966945791, 'RU', 'Russian Federation'),
(86279, '176.216.0.0', '176.220.255.255', 2966945792, 2967273471, 'TR', 'Turkey'),
(86280, '176.221.0.0', '176.221.15.255', 2967273472, 2967277567, 'RU', 'Russian Federation'),
(86281, '176.221.16.0', '176.221.31.255', 2967277568, 2967281663, 'IR', 'Iran, Islamic Republic of'),
(86282, '176.221.32.0', '176.221.39.255', 2967281664, 2967283711, 'PT', 'Portugal'),
(86283, '176.221.40.0', '176.221.47.255', 2967283712, 2967285759, 'DE', 'Germany'),
(86284, '176.221.48.0', '176.221.55.255', 2967285760, 2967287807, 'UA', 'Ukraine'),
(86285, '176.221.56.0', '176.221.63.255', 2967287808, 2967289855, 'GB', 'United Kingdom'),
(86286, '176.221.64.0', '176.221.71.255', 2967289856, 2967291903, 'IR', 'Iran, Islamic Republic of'),
(86287, '176.221.72.0', '176.221.79.255', 2967291904, 2967293951, 'RS', 'Serbia'),
(86288, '176.221.80.0', '176.221.87.255', 2967293952, 2967295999, 'SE', 'Sweden'),
(86289, '176.221.88.0', '176.221.95.255', 2967296000, 2967298047, 'NO', 'Norway'),
(86290, '176.221.96.0', '176.221.127.255', 2967298048, 2967306239, 'PL', 'Poland'),
(86291, '176.221.128.0', '176.221.255.255', 2967306240, 2967339007, 'GE', 'Georgia'),
(86292, '176.222.0.0', '176.222.15.255', 2967339008, 2967343103, 'BG', 'Bulgaria'),
(86293, '176.222.16.0', '176.222.23.255', 2967343104, 2967345151, 'RU', 'Russian Federation'),
(86294, '176.222.24.0', '176.222.31.255', 2967345152, 2967347199, 'ES', 'Spain'),
(86295, '176.222.32.0', '176.222.32.255', 2967347200, 2967347455, 'HR', 'Croatia'),
(86296, '176.222.33.0', '176.222.33.127', 2967347456, 2967347583, 'GB', 'United Kingdom'),
(86297, '176.222.33.128', '176.222.47.255', 2967347584, 2967351295, 'HR', 'Croatia'),
(86298, '176.222.48.0', '176.222.63.255', 2967351296, 2967355391, 'FR', 'France'),
(86299, '176.222.64.0', '176.222.127.255', 2967355392, 2967371775, 'RO', 'Romania'),
(86300, '176.222.128.0', '176.222.191.255', 2967371776, 2967388159, 'KZ', 'Kazakhstan'),
(86301, '176.222.192.0', '176.222.207.255', 2967388160, 2967392255, 'RU', 'Russian Federation'),
(86302, '176.222.208.0', '176.222.215.255', 2967392256, 2967394303, 'FR', 'France'),
(86303, '176.222.216.0', '176.222.223.255', 2967394304, 2967396351, 'RU', 'Russian Federation'),
(86304, '176.222.224.0', '176.222.231.255', 2967396352, 2967398399, 'CZ', 'Czech Republic'),
(86305, '176.222.232.0', '176.222.239.255', 2967398400, 2967400447, 'DK', 'Denmark'),
(86306, '176.222.240.0', '176.222.255.255', 2967400448, 2967404543, 'RU', 'Russian Federation'),
(86307, '176.223.0.0', '176.223.143.255', 2967404544, 2967441407, 'RO', 'Romania'),
(86308, '176.223.144.0', '176.223.159.255', 2967441408, 2967445503, 'MD', 'Moldova, Republic of'),
(86309, '176.223.160.0', '176.223.255.255', 2967445504, 2967470079, 'RO', 'Romania'),
(86310, '176.224.0.0', '176.225.255.255', 2967470080, 2967601151, 'SA', 'Saudi Arabia'),
(86311, '176.226.0.0', '176.226.127.255', 2967601152, 2967633919, 'HU', 'Hungary'),
(86312, '176.226.128.0', '176.226.255.255', 2967633920, 2967666687, 'RU', 'Russian Federation'),
(86313, '176.227.0.0', '176.227.127.255', 2967666688, 2967699455, 'TR', 'Turkey'),
(86314, '176.227.128.0', '176.227.143.255', 2967699456, 2967703551, 'GB', 'United Kingdom'),
(86315, '176.227.144.0', '176.227.159.255', 2967703552, 2967707647, 'ES', 'Spain'),
(86316, '176.227.160.0', '176.227.167.255', 2967707648, 2967709695, 'PL', 'Poland'),
(86317, '176.227.168.0', '176.227.175.255', 2967709696, 2967711743, 'IT', 'Italy'),
(86318, '176.227.176.0', '176.227.191.255', 2967711744, 2967715839, 'RU', 'Russian Federation'),
(86319, '176.227.192.0', '176.227.223.255', 2967715840, 2967724031, 'GB', 'United Kingdom'),
(86320, '176.227.224.0', '176.227.239.255', 2967724032, 2967728127, 'CY', 'Cyprus'),
(86321, '176.227.240.0', '176.227.247.255', 2967728128, 2967730175, 'GB', 'United Kingdom'),
(86322, '176.227.248.0', '176.227.255.255', 2967730176, 2967732223, 'CZ', 'Czech Republic'),
(86323, '176.228.0.0', '176.231.255.255', 2967732224, 2967994367, 'IL', 'Israel'),
(86324, '176.232.0.0', '176.240.255.255', 2967994368, 2968584191, 'TR', 'Turkey'),
(86325, '176.241.0.0', '176.241.63.255', 2968584192, 2968600575, 'HU', 'Hungary'),
(86326, '176.241.64.0', '176.241.71.255', 2968600576, 2968602623, 'IQ', 'Iraq'),
(86327, '176.241.72.0', '176.241.79.255', 2968602624, 2968604671, 'PL', 'Poland'),
(86328, '176.241.80.0', '176.241.95.255', 2968604672, 2968608767, 'IQ', 'Iraq'),
(86329, '176.241.96.0', '176.241.103.255', 2968608768, 2968610815, 'RU', 'Russian Federation'),
(86330, '176.241.104.0', '176.241.111.255', 2968610816, 2968612863, 'UA', 'Ukraine'),
(86331, '176.241.112.0', '176.241.119.255', 2968612864, 2968614911, 'IL', 'Israel'),
(86332, '176.241.120.0', '176.241.127.255', 2968614912, 2968616959, 'FR', 'France'),
(86333, '176.241.128.0', '176.241.159.255', 2968616960, 2968625151, 'UA', 'Ukraine'),
(86334, '176.241.160.0', '176.241.175.255', 2968625152, 2968629247, 'DE', 'Germany'),
(86335, '176.241.176.0', '176.241.183.255', 2968629248, 2968631295, 'LB', 'Lebanon'),
(86336, '176.241.184.0', '176.241.191.255', 2968631296, 2968633343, 'SA', 'Saudi Arabia'),
(86337, '176.241.192.0', '176.241.231.255', 2968633344, 2968643583, 'RU', 'Russian Federation'),
(86338, '176.241.232.0', '176.241.239.255', 2968643584, 2968645631, 'NO', 'Norway'),
(86339, '176.241.240.0', '176.241.247.255', 2968645632, 2968647679, 'PL', 'Poland'),
(86340, '176.241.248.0', '176.241.248.48', 2968647680, 2968647728, 'FR', 'France'),
(86341, '176.241.248.49', '176.241.248.63', 2968647729, 2968647743, 'GB', 'United Kingdom'),
(86342, '176.241.248.64', '176.241.248.143', 2968647744, 2968647823, 'FR', 'France'),
(86343, '176.241.248.144', '176.241.248.255', 2968647824, 2968647935, 'GB', 'United Kingdom'),
(86344, '176.241.249.0', '176.241.249.48', 2968647936, 2968647984, 'FR', 'France'),
(86345, '176.241.249.49', '176.241.249.63', 2968647985, 2968647999, 'GB', 'United Kingdom'),
(86346, '176.241.249.64', '176.241.249.143', 2968648000, 2968648079, 'FR', 'France'),
(86347, '176.241.249.144', '176.241.249.255', 2968648080, 2968648191, 'GB', 'United Kingdom'),
(86348, '176.241.250.0', '176.241.250.31', 2968648192, 2968648223, 'FR', 'France'),
(86349, '176.241.250.32', '176.241.250.63', 2968648224, 2968648255, 'CH', 'Switzerland'),
(86350, '176.241.250.64', '176.241.250.95', 2968648256, 2968648287, 'GB', 'United Kingdom'),
(86351, '176.241.250.96', '176.241.250.127', 2968648288, 2968648319, 'BE', 'Belgium'),
(86352, '176.241.250.128', '176.241.250.192', 2968648320, 2968648384, 'FR', 'France'),
(86353, '176.241.250.193', '176.241.250.255', 2968648385, 2968648447, 'GB', 'United Kingdom'),
(86354, '176.241.251.0', '176.241.251.31', 2968648448, 2968648479, 'FR', 'France'),
(86355, '176.241.251.32', '176.241.251.63', 2968648480, 2968648511, 'CH', 'Switzerland'),
(86356, '176.241.251.64', '176.241.251.95', 2968648512, 2968648543, 'GB', 'United Kingdom'),
(86357, '176.241.251.96', '176.241.251.127', 2968648544, 2968648575, 'BE', 'Belgium'),
(86358, '176.241.251.128', '176.241.251.192', 2968648576, 2968648640, 'FR', 'France'),
(86359, '176.241.251.193', '176.241.255.251', 2968648641, 2968649723, 'GB', 'United Kingdom'),
(86360, '176.241.255.252', '176.241.255.255', 2968649724, 2968649727, 'FR', 'France'),
(86361, '176.242.0.0', '176.247.255.255', 2968649728, 2969042943, 'IT', 'Italy'),
(86362, '176.248.0.0', '176.255.255.255', 2969042944, 2969567231, 'GB', 'United Kingdom'),
(86363, '177.0.0.0', '177.255.255.255', 2969567232, 2986344447, 'BR', 'Brazil'),
(86364, '178.0.0.0', '178.15.255.255', 2986344448, 2987393023, 'DE', 'Germany'),
(86365, '178.16.0.0', '178.16.15.255', 2987393024, 2987397119, 'IM', 'Isle of Man'),
(86366, '178.16.16.0', '178.16.31.255', 2987397120, 2987401215, 'LV', 'Latvia'),
(86367, '178.16.32.0', '178.16.47.255', 2987401216, 2987405311, 'LT', 'Lithuania'),
(86368, '178.16.48.0', '178.16.63.255', 2987405312, 2987409407, 'DE', 'Germany'),
(86369, '178.16.64.0', '178.16.79.255', 2987409408, 2987413503, 'NO', 'Norway'),
(86370, '178.16.80.0', '178.16.95.255', 2987413504, 2987417599, 'UA', 'Ukraine'),
(86371, '178.16.96.0', '178.16.127.255', 2987417600, 2987425791, 'PL', 'Poland'),
(86372, '178.16.128.0', '178.16.143.255', 2987425792, 2987429887, 'BG', 'Bulgaria'),
(86373, '178.16.144.0', '178.16.156.255', 2987429888, 2987433215, 'RU', 'Russian Federation'),
(86374, '178.16.157.0', '178.16.157.71', 2987433216, 2987433287, 'KZ', 'Kazakhstan'),
(86375, '178.16.157.72', '178.16.157.75', 2987433288, 2987433291, 'RU', 'Russian Federation'),
(86376, '178.16.157.76', '178.16.157.115', 2987433292, 2987433331, 'KZ', 'Kazakhstan'),
(86377, '178.16.157.116', '178.16.157.119', 2987433332, 2987433335, 'RU', 'Russian Federation'),
(86378, '178.16.157.120', '178.16.157.123', 2987433336, 2987433339, 'KZ', 'Kazakhstan'),
(86379, '178.16.157.124', '178.16.157.131', 2987433340, 2987433347, 'RU', 'Russian Federation'),
(86380, '178.16.157.132', '178.16.157.143', 2987433348, 2987433359, 'KZ', 'Kazakhstan'),
(86381, '178.16.157.144', '178.16.157.151', 2987433360, 2987433367, 'RU', 'Russian Federation'),
(86382, '178.16.157.152', '178.16.157.163', 2987433368, 2987433379, 'KZ', 'Kazakhstan'),
(86383, '178.16.157.164', '178.16.157.167', 2987433380, 2987433383, 'RU', 'Russian Federation'),
(86384, '178.16.157.168', '178.16.157.255', 2987433384, 2987433471, 'KZ', 'Kazakhstan'),
(86385, '178.16.158.0', '178.16.159.255', 2987433472, 2987433983, 'RU', 'Russian Federation'),
(86386, '178.16.160.0', '178.16.175.255', 2987433984, 2987438079, 'FR', 'France'),
(86387, '178.16.176.0', '178.16.191.255', 2987438080, 2987442175, 'FI', 'Finland'),
(86388, '178.16.192.0', '178.16.207.255', 2987442176, 2987446271, 'IE', 'Ireland'),
(86389, '178.16.208.0', '178.16.223.255', 2987446272, 2987450367, 'SE', 'Sweden'),
(86390, '178.16.224.0', '178.16.239.255', 2987450368, 2987454463, 'GB', 'United Kingdom'),
(86391, '178.16.240.0', '178.16.255.255', 2987454464, 2987458559, 'FR', 'France'),
(86392, '178.17.0.0', '178.17.15.255', 2987458560, 2987462655, 'CZ', 'Czech Republic'),
(86393, '178.17.16.0', '178.17.31.255', 2987462656, 2987466751, 'RS', 'Serbia'),
(86394, '178.17.32.0', '178.17.47.255', 2987466752, 2987470847, 'GB', 'United Kingdom'),
(86395, '178.17.48.0', '178.17.61.255', 2987470848, 2987474431, 'IQ', 'Iraq'),
(86396, '178.17.62.0', '178.17.63.255', 2987474432, 2987474943, 'US', 'United States'),
(86397, '178.17.64.0', '178.17.79.255', 2987474944, 2987479039, 'GB', 'United Kingdom'),
(86398, '178.17.80.0', '178.17.111.255', 2987479040, 2987487231, 'CZ', 'Czech Republic'),
(86399, '178.17.112.0', '178.17.127.255', 2987487232, 2987491327, 'HR', 'Croatia'),
(86400, '178.17.128.0', '178.17.143.255', 2987491328, 2987495423, 'RU', 'Russian Federation'),
(86401, '178.17.144.0', '178.17.159.255', 2987495424, 2987499519, 'NO', 'Norway'),
(86402, '178.17.160.0', '178.17.163.223', 2987499520, 2987500511, 'MD', 'Moldova, Republic of'),
(86403, '178.17.163.224', '178.17.163.255', 2987500512, 2987500543, 'US', 'United States'),
(86404, '178.17.164.0', '178.17.164.223', 2987500544, 2987500767, 'MD', 'Moldova, Republic of'),
(86405, '178.17.164.224', '178.17.164.255', 2987500768, 2987500799, 'US', 'United States'),
(86406, '178.17.165.0', '178.17.175.255', 2987500800, 2987503615, 'MD', 'Moldova, Republic of'),
(86407, '178.17.176.0', '178.17.207.255', 2987503616, 2987511807, 'RU', 'Russian Federation'),
(86408, '178.17.208.0', '178.17.223.255', 2987511808, 2987515903, 'JO', 'Jordan'),
(86409, '178.17.224.0', '178.17.237.255', 2987515904, 2987519487, 'A2', 'Satellite Provider'),
(86410, '178.17.238.0', '178.17.238.255', 2987519488, 2987519743, 'KE', 'Kenya'),
(86411, '178.17.239.0', '178.17.239.255', 2987519744, 2987519999, 'A2', 'Satellite Provider'),
(86412, '178.17.240.0', '178.17.255.255', 2987520000, 2987524095, 'GB', 'United Kingdom'),
(86413, '178.18.0.0', '178.18.15.255', 2987524096, 2987528191, 'RU', 'Russian Federation'),
(86414, '178.18.16.0', '178.18.16.255', 2987528192, 2987528447, 'US', 'United States'),
(86415, '178.18.17.0', '178.18.17.255', 2987528448, 2987528703, 'A1', 'Anonymous Proxy'),
(86416, '178.18.18.0', '178.18.19.255', 2987528704, 2987529215, 'US', 'United States'),
(86417, '178.18.20.0', '178.18.31.255', 2987529216, 2987532287, 'NL', 'Netherlands'),
(86418, '178.18.32.0', '178.18.47.255', 2987532288, 2987536383, 'MD', 'Moldova, Republic of'),
(86419, '178.18.48.0', '178.18.63.255', 2987536384, 2987540479, 'FR', 'France'),
(86420, '178.18.64.0', '178.18.79.255', 2987540480, 2987544575, 'SK', 'Slovakia'),
(86421, '178.18.80.0', '178.18.95.255', 2987544576, 2987548671, 'NL', 'Netherlands'),
(86422, '178.18.96.0', '178.18.111.255', 2987548672, 2987552767, 'RU', 'Russian Federation'),
(86423, '178.18.112.0', '178.18.127.255', 2987552768, 2987556863, 'GB', 'United Kingdom'),
(86424, '178.18.128.0', '178.18.129.127', 2987556864, 2987557247, 'NL', 'Netherlands'),
(86425, '178.18.129.128', '178.18.129.159', 2987557248, 2987557279, 'BE', 'Belgium'),
(86426, '178.18.129.160', '178.18.129.192', 2987557280, 2987557312, 'NL', 'Netherlands'),
(86427, '178.18.129.193', '178.18.129.255', 2987557313, 2987557375, 'BE', 'Belgium'),
(86428, '178.18.130.0', '178.18.134.31', 2987557376, 2987558431, 'NL', 'Netherlands'),
(86429, '178.18.134.32', '178.18.134.63', 2987558432, 2987558463, 'BE', 'Belgium'),
(86430, '178.18.134.64', '178.18.140.0', 2987558464, 2987559936, 'NL', 'Netherlands'),
(86431, '178.18.140.1', '178.18.140.15', 2987559937, 2987559951, 'BE', 'Belgium'),
(86432, '178.18.140.16', '178.18.143.255', 2987559952, 2987560959, 'NL', 'Netherlands'),
(86433, '178.18.144.0', '178.18.148.255', 2987560960, 2987562239, 'DE', 'Germany'),
(86434, '178.18.149.0', '178.18.149.23', 2987562240, 2987562263, 'CY', 'Cyprus'),
(86435, '178.18.149.24', '178.18.149.35', 2987562264, 2987562275, 'SE', 'Sweden'),
(86436, '178.18.149.36', '178.18.159.255', 2987562276, 2987565055, 'DE', 'Germany'),
(86437, '178.18.160.0', '178.18.175.255', 2987565056, 2987569151, 'AT', 'Austria'),
(86438, '178.18.176.0', '178.18.191.255', 2987569152, 2987573247, 'FR', 'France'),
(86439, '178.18.192.0', '178.18.207.255', 2987573248, 2987577343, 'TR', 'Turkey'),
(86440, '178.18.208.0', '178.18.239.255', 2987577344, 2987585535, 'RU', 'Russian Federation'),
(86441, '178.18.240.0', '178.18.240.255', 2987585536, 2987585791, 'DE', 'Germany'),
(86442, '178.18.241.0', '178.18.241.7', 2987585792, 2987585799, 'PA', 'Panama'),
(86443, '178.18.241.8', '178.18.241.15', 2987585800, 2987585807, 'CZ', 'Czech Republic'),
(86444, '178.18.241.16', '178.18.241.23', 2987585808, 2987585815, 'ES', 'Spain'),
(86445, '178.18.241.24', '178.18.241.31', 2987585816, 2987585823, 'IT', 'Italy'),
(86446, '178.18.241.32', '178.18.241.39', 2987585824, 2987585831, 'FR', 'France'),
(86447, '178.18.241.40', '178.18.241.47', 2987585832, 2987585839, 'US', 'United States'),
(86448, '178.18.241.48', '178.18.241.55', 2987585840, 2987585847, 'DK', 'Denmark'),
(86449, '178.18.241.56', '178.18.241.63', 2987585848, 2987585855, 'SE', 'Sweden'),
(86450, '178.18.241.64', '178.18.241.71', 2987585856, 2987585863, 'RU', 'Russian Federation'),
(86451, '178.18.241.72', '178.18.241.79', 2987585864, 2987585871, 'GB', 'United Kingdom'),
(86452, '178.18.241.80', '178.18.241.87', 2987585872, 2987585879, 'MX', 'Mexico'),
(86453, '178.18.241.88', '178.18.241.95', 2987585880, 2987585887, 'BR', 'Brazil'),
(86454, '178.18.241.96', '178.18.241.103', 2987585888, 2987585895, 'PL', 'Poland'),
(86455, '178.18.241.104', '178.18.246.63', 2987585896, 2987587135, 'DE', 'Germany'),
(86456, '178.18.246.64', '178.18.246.71', 2987587136, 2987587143, 'CN', 'China'),
(86457, '178.18.246.72', '178.18.253.255', 2987587144, 2987589119, 'DE', 'Germany'),
(86458, '178.18.254.0', '178.18.255.255', 2987589120, 2987589631, 'US', 'United States'),
(86459, '178.19.0.0', '178.19.15.255', 2987589632, 2987593727, 'FR', 'France'),
(86460, '178.19.16.0', '178.19.31.255', 2987593728, 2987597823, 'LT', 'Lithuania'),
(86461, '178.19.32.0', '178.19.47.255', 2987597824, 2987601919, 'ES', 'Spain'),
(86462, '178.19.48.0', '178.19.63.255', 2987601920, 2987606015, 'IS', 'Iceland'),
(86463, '178.19.64.0', '178.19.65.255', 2987606016, 2987606527, 'US', 'United States'),
(86464, '178.19.66.0', '178.19.79.255', 2987606528, 2987610111, 'DE', 'Germany'),
(86465, '178.19.80.0', '178.19.95.255', 2987610112, 2987614207, 'RU', 'Russian Federation'),
(86466, '178.19.96.0', '178.19.111.255', 2987614208, 2987618303, 'PL', 'Poland'),
(86467, '178.19.112.0', '178.19.127.255', 2987618304, 2987622399, 'NL', 'Netherlands'),
(86468, '178.19.128.0', '178.19.143.255', 2987622400, 2987626495, 'FR', 'France'),
(86469, '178.19.144.0', '178.19.175.255', 2987626496, 2987634687, 'IT', 'Italy'),
(86470, '178.19.176.0', '178.19.191.255', 2987634688, 2987638783, 'PL', 'Poland'),
(86471, '178.19.192.0', '178.19.207.255', 2987638784, 2987642879, 'FO', 'Faroe Islands'),
(86472, '178.19.208.0', '178.19.239.255', 2987642880, 2987651071, 'DE', 'Germany'),
(86473, '178.19.240.0', '178.19.255.255', 2987651072, 2987655167, 'RU', 'Russian Federation'),
(86474, '178.20.0.0', '178.20.12.127', 2987655168, 2987658367, 'DE', 'Germany'),
(86475, '178.20.12.128', '178.20.12.143', 2987658368, 2987658383, 'AT', 'Austria'),
(86476, '178.20.12.144', '178.20.15.255', 2987658384, 2987659263, 'DE', 'Germany'),
(86477, '178.20.16.0', '178.20.23.255', 2987659264, 2987661311, 'BA', 'Bosnia and Herzegovina'),
(86478, '178.20.24.0', '178.20.31.255', 2987661312, 2987663359, 'GB', 'United Kingdom'),
(86479, '178.20.32.0', '178.20.39.255', 2987663360, 2987665407, 'IT', 'Italy'),
(86480, '178.20.40.0', '178.20.47.255', 2987665408, 2987667455, 'RU', 'Russian Federation'),
(86481, '178.20.48.0', '178.20.55.255', 2987667456, 2987669503, 'FR', 'France'),
(86482, '178.20.56.0', '178.20.63.255', 2987669504, 2987671551, 'NL', 'Netherlands'),
(86483, '178.20.64.0', '178.20.71.255', 2987671552, 2987673599, 'FR', 'France'),
(86484, '178.20.72.0', '178.20.79.255', 2987673600, 2987675647, 'IT', 'Italy'),
(86485, '178.20.80.0', '178.20.87.255', 2987675648, 2987677695, 'IE', 'Ireland'),
(86486, '178.20.88.0', '178.20.103.255', 2987677696, 2987681791, 'DE', 'Germany'),
(86487, '178.20.104.0', '178.20.111.255', 2987681792, 2987683839, 'NO', 'Norway'),
(86488, '178.20.112.0', '178.20.119.255', 2987683840, 2987685887, 'IT', 'Italy'),
(86489, '178.20.120.0', '178.20.127.255', 2987685888, 2987687935, 'GR', 'Greece'),
(86490, '178.20.128.0', '178.20.135.255', 2987687936, 2987689983, 'RU', 'Russian Federation'),
(86491, '178.20.136.0', '178.20.143.255', 2987689984, 2987692031, 'CZ', 'Czech Republic'),
(86492, '178.20.144.0', '178.20.151.255', 2987692032, 2987694079, 'SA', 'Saudi Arabia'),
(86493, '178.20.152.0', '178.20.159.255', 2987694080, 2987696127, 'UA', 'Ukraine'),
(86494, '178.20.160.0', '178.20.167.255', 2987696128, 2987698175, 'RS', 'Serbia'),
(86495, '178.20.168.0', '178.20.175.255', 2987698176, 2987700223, 'NL', 'Netherlands'),
(86496, '178.20.176.0', '178.20.183.255', 2987700224, 2987702271, 'RU', 'Russian Federation'),
(86497, '178.20.184.0', '178.20.191.255', 2987702272, 2987704319, 'JO', 'Jordan'),
(86498, '178.20.192.0', '178.20.199.255', 2987704320, 2987706367, 'GB', 'United Kingdom'),
(86499, '178.20.200.0', '178.20.207.255', 2987706368, 2987708415, 'RS', 'Serbia'),
(86500, '178.20.208.0', '178.20.215.255', 2987708416, 2987710463, 'PT', 'Portugal'),
(86501, '178.20.216.0', '178.20.223.255', 2987710464, 2987712511, 'DK', 'Denmark'),
(86502, '178.20.224.0', '178.20.231.255', 2987712512, 2987714559, 'GB', 'United Kingdom'),
(86503, '178.20.232.0', '178.20.239.255', 2987714560, 2987716607, 'RU', 'Russian Federation'),
(86504, '178.20.240.0', '178.20.247.255', 2987716608, 2987718655, 'FR', 'France'),
(86505, '178.20.248.0', '178.20.255.255', 2987718656, 2987720703, 'NL', 'Netherlands'),
(86506, '178.21.0.0', '178.21.7.255', 2987720704, 2987722751, 'DE', 'Germany'),
(86507, '178.21.8.0', '178.21.15.255', 2987722752, 2987724799, 'RU', 'Russian Federation'),
(86508, '178.21.16.0', '178.21.23.255', 2987724800, 2987726847, 'NL', 'Netherlands'),
(86509, '178.21.24.0', '178.21.31.255', 2987726848, 2987728895, 'RU', 'Russian Federation'),
(86510, '178.21.32.0', '178.21.39.255', 2987728896, 2987730943, 'GB', 'United Kingdom'),
(86511, '178.21.40.0', '178.21.47.255', 2987730944, 2987732991, 'IR', 'Iran, Islamic Republic of'),
(86512, '178.21.48.0', '178.21.55.255', 2987732992, 2987735039, 'HU', 'Hungary'),
(86513, '178.21.56.0', '178.21.63.255', 2987735040, 2987737087, 'ES', 'Spain'),
(86514, '178.21.64.0', '178.21.71.255', 2987737088, 2987739135, 'RU', 'Russian Federation'),
(86515, '178.21.72.0', '178.21.87.255', 2987739136, 2987743231, 'SE', 'Sweden'),
(86516, '178.21.88.0', '178.21.95.255', 2987743232, 2987745279, 'DK', 'Denmark'),
(86517, '178.21.96.0', '178.21.103.255', 2987745280, 2987747327, 'IT', 'Italy'),
(86518, '178.21.104.0', '178.21.111.255', 2987747328, 2987749375, 'ES', 'Spain'),
(86519, '178.21.112.0', '178.21.119.255', 2987749376, 2987751423, 'NL', 'Netherlands'),
(86520, '178.21.120.0', '178.21.127.255', 2987751424, 2987753471, 'RO', 'Romania'),
(86521, '178.21.128.0', '178.21.135.255', 2987753472, 2987755519, 'NO', 'Norway'),
(86522, '178.21.136.0', '178.21.143.255', 2987755520, 2987757567, 'PL', 'Poland'),
(86523, '178.21.144.0', '178.21.151.255', 2987757568, 2987759615, 'DE', 'Germany'),
(86524, '178.21.152.0', '178.21.159.255', 2987759616, 2987761663, 'PL', 'Poland'),
(86525, '178.21.160.0', '178.21.167.255', 2987761664, 2987763711, 'IR', 'Iran, Islamic Republic of'),
(86526, '178.21.168.0', '178.21.175.255', 2987763712, 2987765759, 'GR', 'Greece'),
(86527, '178.21.176.0', '178.21.183.255', 2987765760, 2987767807, 'FR', 'France'),
(86528, '178.21.184.0', '178.21.191.255', 2987767808, 2987769855, 'CZ', 'Czech Republic'),
(86529, '178.21.192.0', '178.21.199.255', 2987769856, 2987771903, 'FI', 'Finland'),
(86530, '178.21.200.0', '178.21.207.255', 2987771904, 2987773951, 'IT', 'Italy'),
(86531, '178.21.208.0', '178.21.215.255', 2987773952, 2987775999, 'FR', 'France'),
(86532, '178.21.216.0', '178.21.218.151', 2987776000, 2987776663, 'NL', 'Netherlands'),
(86533, '178.21.218.152', '178.21.218.159', 2987776664, 2987776671, 'BE', 'Belgium'),
(86534, '178.21.218.160', '178.21.223.255', 2987776672, 2987778047, 'NL', 'Netherlands'),
(86535, '178.21.224.0', '178.21.231.255', 2987778048, 2987780095, 'CH', 'Switzerland'),
(86536, '178.21.232.0', '178.21.239.255', 2987780096, 2987782143, 'GB', 'United Kingdom'),
(86537, '178.21.240.0', '178.21.247.255', 2987782144, 2987784191, 'EE', 'Estonia'),
(86538, '178.21.248.0', '178.21.255.255', 2987784192, 2987786239, 'DK', 'Denmark'),
(86539, '178.22.0.0', '178.22.7.255', 2987786240, 2987788287, 'FR', 'France'),
(86540, '178.22.8.0', '178.22.8.255', 2987788288, 2987788543, 'GB', 'United Kingdom'),
(86541, '178.22.9.0', '178.22.9.255', 2987788544, 2987788799, 'DE', 'Germany'),
(86542, '178.22.10.0', '178.22.10.255', 2987788800, 2987789055, 'US', 'United States'),
(86543, '178.22.11.0', '178.22.11.255', 2987789056, 2987789311, 'GB', 'United Kingdom'),
(86544, '178.22.12.0', '178.22.15.255', 2987789312, 2987790335, 'TR', 'Turkey'),
(86545, '178.22.16.0', '178.22.23.255', 2987790336, 2987792383, 'GB', 'United Kingdom'),
(86546, '178.22.24.0', '178.22.31.255', 2987792384, 2987794431, 'CH', 'Switzerland'),
(86547, '178.22.32.0', '178.22.39.255', 2987794432, 2987796479, 'IQ', 'Iraq'),
(86548, '178.22.40.0', '178.22.55.255', 2987796480, 2987800575, 'RU', 'Russian Federation'),
(86549, '178.22.56.0', '178.22.63.255', 2987800576, 2987802623, 'NL', 'Netherlands'),
(86550, '178.22.64.0', '178.22.71.255', 2987802624, 2987804671, 'CH', 'Switzerland'),
(86551, '178.22.72.0', '178.22.79.255', 2987804672, 2987806719, 'IR', 'Iran, Islamic Republic of'),
(86552, '178.22.80.0', '178.22.87.255', 2987806720, 2987808767, 'NL', 'Netherlands'),
(86553, '178.22.88.0', '178.22.95.255', 2987808768, 2987810815, 'RU', 'Russian Federation'),
(86554, '178.22.96.0', '178.22.103.255', 2987810816, 2987812863, 'NO', 'Norway'),
(86555, '178.22.104.0', '178.22.111.255', 2987812864, 2987814911, 'CH', 'Switzerland'),
(86556, '178.22.112.0', '178.22.119.255', 2987814912, 2987816959, 'CZ', 'Czech Republic'),
(86557, '178.22.120.0', '178.22.123.255', 2987816960, 2987817983, 'NL', 'Netherlands'),
(86558, '178.22.124.0', '178.22.127.255', 2987817984, 2987819007, 'GB', 'United Kingdom'),
(86559, '178.22.128.0', '178.22.135.255', 2987819008, 2987821055, 'FR', 'France'),
(86560, '178.22.136.0', '178.22.143.255', 2987821056, 2987823103, 'GB', 'United Kingdom'),
(86561, '178.22.144.0', '178.22.159.255', 2987823104, 2987827199, 'FR', 'France'),
(86562, '178.22.160.0', '178.22.167.255', 2987827200, 2987829247, 'GB', 'United Kingdom'),
(86563, '178.22.168.0', '178.22.175.255', 2987829248, 2987831295, 'KZ', 'Kazakhstan'),
(86564, '178.22.176.0', '178.22.183.255', 2987831296, 2987833343, 'FR', 'France'),
(86565, '178.22.184.0', '178.22.191.255', 2987833344, 2987835391, 'IT', 'Italy'),
(86566, '178.22.192.0', '178.22.199.255', 2987835392, 2987837439, 'RU', 'Russian Federation'),
(86567, '178.22.200.0', '178.22.207.255', 2987837440, 2987839487, 'SE', 'Sweden'),
(86568, '178.22.208.0', '178.22.215.255', 2987839488, 2987841535, 'GB', 'United Kingdom'),
(86569, '178.22.216.0', '178.22.223.255', 2987841536, 2987843583, 'RS', 'Serbia'),
(86570, '178.22.224.0', '178.22.231.255', 2987843584, 2987845631, 'HU', 'Hungary'),
(86571, '178.22.232.0', '178.22.239.255', 2987845632, 2987847679, 'NL', 'Netherlands'),
(86572, '178.22.240.0', '178.22.247.255', 2987847680, 2987849727, 'FR', 'France'),
(86573, '178.22.248.0', '178.22.255.255', 2987849728, 2987851775, 'IT', 'Italy'),
(86574, '178.23.0.0', '178.23.7.255', 2987851776, 2987853823, 'RU', 'Russian Federation'),
(86575, '178.23.8.0', '178.23.15.255', 2987853824, 2987855871, 'IT', 'Italy'),
(86576, '178.23.16.0', '178.23.23.255', 2987855872, 2987857919, 'QA', 'Qatar'),
(86577, '178.23.24.0', '178.23.31.255', 2987857920, 2987859967, 'DE', 'Germany'),
(86578, '178.23.32.0', '178.23.39.255', 2987859968, 2987862015, 'FR', 'France'),
(86579, '178.23.40.0', '178.23.47.255', 2987862016, 2987864063, 'BE', 'Belgium'),
(86580, '178.23.48.0', '178.23.55.255', 2987864064, 2987866111, 'DE', 'Germany'),
(86581, '178.23.56.0', '178.23.63.255', 2987866112, 2987868159, 'ES', 'Spain'),
(86582, '178.23.64.0', '178.23.71.255', 2987868160, 2987870207, 'RO', 'Romania'),
(86583, '178.23.72.0', '178.23.79.255', 2987870208, 2987872255, 'GR', 'Greece'),
(86584, '178.23.80.0', '178.23.87.255', 2987872256, 2987874303, 'AT', 'Austria'),
(86585, '178.23.88.0', '178.23.95.255', 2987874304, 2987876351, 'SK', 'Slovakia'),
(86586, '178.23.96.0', '178.23.103.255', 2987876352, 2987878399, 'NO', 'Norway'),
(86587, '178.23.104.0', '178.23.111.255', 2987878400, 2987880447, 'PL', 'Poland'),
(86588, '178.23.112.0', '178.23.119.255', 2987880448, 2987882495, 'EE', 'Estonia'),
(86589, '178.23.120.0', '178.23.127.255', 2987882496, 2987884543, 'DE', 'Germany'),
(86590, '178.23.128.0', '178.23.135.255', 2987884544, 2987886591, 'GB', 'United Kingdom'),
(86591, '178.23.136.0', '178.23.143.255', 2987886592, 2987888639, 'UA', 'Ukraine'),
(86592, '178.23.144.0', '178.23.151.255', 2987888640, 2987890687, 'RU', 'Russian Federation'),
(86593, '178.23.152.0', '178.23.159.255', 2987890688, 2987892735, 'FR', 'France'),
(86594, '178.23.160.0', '178.23.167.255', 2987892736, 2987894783, 'GB', 'United Kingdom'),
(86595, '178.23.168.0', '178.23.175.255', 2987894784, 2987896831, 'CH', 'Switzerland'),
(86596, '178.23.176.0', '178.23.183.255', 2987896832, 2987898879, 'DK', 'Denmark'),
(86597, '178.23.184.0', '178.23.191.255', 2987898880, 2987900927, 'NL', 'Netherlands'),
(86598, '178.23.192.0', '178.23.199.255', 2987900928, 2987902975, 'PL', 'Poland'),
(86599, '178.23.200.0', '178.23.207.255', 2987902976, 2987905023, 'IT', 'Italy'),
(86600, '178.23.208.0', '178.23.215.255', 2987905024, 2987907071, 'ES', 'Spain'),
(86601, '178.23.216.0', '178.23.223.255', 2987907072, 2987909119, 'CZ', 'Czech Republic'),
(86602, '178.23.224.0', '178.23.231.255', 2987909120, 2987911167, 'RU', 'Russian Federation'),
(86603, '178.23.232.0', '178.23.239.255', 2987911168, 2987913215, 'CZ', 'Czech Republic'),
(86604, '178.23.240.0', '178.23.247.255', 2987913216, 2987915263, 'DK', 'Denmark'),
(86605, '178.23.248.0', '178.23.255.255', 2987915264, 2987917311, 'IT', 'Italy'),
(86606, '178.24.0.0', '178.27.255.255', 2987917312, 2988179455, 'DE', 'Germany'),
(86607, '178.28.0.0', '178.31.255.255', 2988179456, 2988441599, 'SE', 'Sweden'),
(86608, '178.32.0.0', '178.32.0.3', 2988441600, 2988441603, 'CH', 'Switzerland'),
(86609, '178.32.0.4', '178.32.0.7', 2988441604, 2988441607, 'GB', 'United Kingdom'),
(86610, '178.32.0.8', '178.32.0.15', 2988441608, 2988441615, 'CH', 'Switzerland'),
(86611, '178.32.0.16', '178.32.0.47', 2988441616, 2988441647, 'FR', 'France'),
(86612, '178.32.0.48', '178.32.0.63', 2988441648, 2988441663, 'DE', 'Germany'),
(86613, '178.32.0.64', '178.32.0.95', 2988441664, 2988441695, 'IT', 'Italy'),
(86614, '178.32.0.96', '178.32.0.191', 2988441696, 2988441791, 'FR', 'France'),
(86615, '178.32.0.192', '178.32.0.207', 2988441792, 2988441807, 'PL', 'Poland'),
(86616, '178.32.0.208', '178.32.0.215', 2988441808, 2988441815, 'FR', 'France'),
(86617, '178.32.0.216', '178.32.0.219', 2988441816, 2988441819, 'FI', 'Finland'),
(86618, '178.32.0.220', '178.32.0.239', 2988441820, 2988441839, 'FR', 'France'),
(86619, '178.32.0.240', '178.32.0.243', 2988441840, 2988441843, 'IE', 'Ireland'),
(86620, '178.32.0.244', '178.32.0.247', 2988441844, 2988441847, 'BE', 'Belgium'),
(86621, '178.32.0.248', '178.32.0.255', 2988441848, 2988441855, 'FR', 'France'),
(86622, '178.32.1.0', '178.32.1.31', 2988441856, 2988441887, 'IT', 'Italy'),
(86623, '178.32.1.32', '178.32.1.39', 2988441888, 2988441895, 'FR', 'France'),
(86624, '178.32.1.40', '178.32.1.47', 2988441896, 2988441903, 'PL', 'Poland'),
(86625, '178.32.1.48', '178.32.1.55', 2988441904, 2988441911, 'IT', 'Italy'),
(86626, '178.32.1.56', '178.32.1.63', 2988441912, 2988441919, 'ES', 'Spain'),
(86627, '178.32.1.64', '178.32.1.75', 2988441920, 2988441931, 'PL', 'Poland'),
(86628, '178.32.1.76', '178.32.1.79', 2988441932, 2988441935, 'BE', 'Belgium'),
(86629, '178.32.1.80', '178.32.1.83', 2988441936, 2988441939, 'FR', 'France'),
(86630, '178.32.1.84', '178.32.1.87', 2988441940, 2988441943, 'ES', 'Spain'),
(86631, '178.32.1.88', '178.32.1.91', 2988441944, 2988441947, 'PT', 'Portugal'),
(86632, '178.32.1.92', '178.32.1.95', 2988441948, 2988441951, 'FR', 'France'),
(86633, '178.32.1.96', '178.32.1.111', 2988441952, 2988441967, 'PL', 'Poland'),
(86634, '178.32.1.112', '178.32.1.115', 2988441968, 2988441971, 'NL', 'Netherlands'),
(86635, '178.32.1.116', '178.32.1.119', 2988441972, 2988441975, 'CH', 'Switzerland'),
(86636, '178.32.1.120', '178.32.1.123', 2988441976, 2988441979, 'DE', 'Germany'),
(86637, '178.32.1.124', '178.32.1.127', 2988441980, 2988441983, 'IT', 'Italy'),
(86638, '178.32.1.128', '178.32.1.135', 2988441984, 2988441991, 'GB', 'United Kingdom'),
(86639, '178.32.1.136', '178.32.1.139', 2988441992, 2988441995, 'ES', 'Spain'),
(86640, '178.32.1.140', '178.32.1.143', 2988441996, 2988441999, 'PT', 'Portugal'),
(86641, '178.32.1.144', '178.32.1.147', 2988442000, 2988442003, 'PL', 'Poland'),
(86642, '178.32.1.148', '178.32.1.151', 2988442004, 2988442007, 'ES', 'Spain'),
(86643, '178.32.1.152', '178.32.1.191', 2988442008, 2988442047, 'FR', 'France'),
(86644, '178.32.1.192', '178.32.1.207', 2988442048, 2988442063, 'GB', 'United Kingdom'),
(86645, '178.32.1.208', '178.32.1.211', 2988442064, 2988442067, 'FR', 'France'),
(86646, '178.32.1.212', '178.32.1.215', 2988442068, 2988442071, 'BE', 'Belgium'),
(86647, '178.32.1.216', '178.32.1.219', 2988442072, 2988442075, 'FR', 'France'),
(86648, '178.32.1.220', '178.32.1.227', 2988442076, 2988442083, 'GB', 'United Kingdom'),
(86649, '178.32.1.228', '178.32.1.231', 2988442084, 2988442087, 'DE', 'Germany'),
(86650, '178.32.1.232', '178.32.1.239', 2988442088, 2988442095, 'FR', 'France'),
(86651, '178.32.1.240', '178.32.1.243', 2988442096, 2988442099, 'IT', 'Italy'),
(86652, '178.32.1.244', '178.32.3.63', 2988442100, 2988442431, 'FR', 'France'),
(86653, '178.32.3.64', '178.32.3.71', 2988442432, 2988442439, 'CZ', 'Czech Republic'),
(86654, '178.32.3.72', '178.32.3.79', 2988442440, 2988442447, 'ES', 'Spain'),
(86655, '178.32.3.80', '178.32.3.95', 2988442448, 2988442463, 'GB', 'United Kingdom'),
(86656, '178.32.3.96', '178.32.3.127', 2988442464, 2988442495, 'FR', 'France'),
(86657, '178.32.3.128', '178.32.3.135', 2988442496, 2988442503, 'PL', 'Poland'),
(86658, '178.32.3.136', '178.32.3.143', 2988442504, 2988442511, 'GB', 'United Kingdom'),
(86659, '178.32.3.144', '178.32.3.151', 2988442512, 2988442519, 'ES', 'Spain'),
(86660, '178.32.3.152', '178.32.3.159', 2988442520, 2988442527, 'DE', 'Germany'),
(86661, '178.32.3.160', '178.32.3.191', 2988442528, 2988442559, 'FR', 'France'),
(86662, '178.32.3.192', '178.32.3.215', 2988442560, 2988442583, 'PL', 'Poland'),
(86663, '178.32.3.216', '178.32.3.219', 2988442584, 2988442587, 'FR', 'France'),
(86664, '178.32.3.220', '178.32.3.223', 2988442588, 2988442591, 'ES', 'Spain'),
(86665, '178.32.3.224', '178.32.3.255', 2988442592, 2988442623, 'DE', 'Germany'),
(86666, '178.32.4.0', '178.32.4.23', 2988442624, 2988442647, 'PL', 'Poland'),
(86667, '178.32.4.24', '178.32.4.27', 2988442648, 2988442651, 'DE', 'Germany'),
(86668, '178.32.4.28', '178.32.4.31', 2988442652, 2988442655, 'GB', 'United Kingdom'),
(86669, '178.32.4.32', '178.32.4.47', 2988442656, 2988442671, 'PL', 'Poland'),
(86670, '178.32.4.48', '178.32.4.51', 2988442672, 2988442675, 'GB', 'United Kingdom'),
(86671, '178.32.4.52', '178.32.4.63', 2988442676, 2988442687, 'FR', 'France'),
(86672, '178.32.4.64', '178.32.4.71', 2988442688, 2988442695, 'PL', 'Poland'),
(86673, '178.32.4.72', '178.32.4.79', 2988442696, 2988442703, 'PT', 'Portugal'),
(86674, '178.32.4.80', '178.32.5.15', 2988442704, 2988442895, 'FR', 'France'),
(86675, '178.32.5.16', '178.32.5.19', 2988442896, 2988442899, 'PL', 'Poland'),
(86676, '178.32.5.20', '178.32.5.23', 2988442900, 2988442903, 'FR', 'France'),
(86677, '178.32.5.24', '178.32.5.27', 2988442904, 2988442907, 'IT', 'Italy'),
(86678, '178.32.5.28', '178.32.5.31', 2988442908, 2988442911, 'FR', 'France'),
(86679, '178.32.5.32', '178.32.5.35', 2988442912, 2988442915, 'NL', 'Netherlands'),
(86680, '178.32.5.36', '178.32.5.39', 2988442916, 2988442919, 'IT', 'Italy'),
(86681, '178.32.5.40', '178.32.5.43', 2988442920, 2988442923, 'LT', 'Lithuania'),
(86682, '178.32.5.44', '178.32.5.47', 2988442924, 2988442927, 'IE', 'Ireland'),
(86683, '178.32.5.48', '178.32.5.95', 2988442928, 2988442975, 'FR', 'France'),
(86684, '178.32.5.96', '178.32.5.115', 2988442976, 2988442995, 'GB', 'United Kingdom'),
(86685, '178.32.5.116', '178.32.5.119', 2988442996, 2988442999, 'IE', 'Ireland'),
(86686, '178.32.5.120', '178.32.5.127', 2988443000, 2988443007, 'GB', 'United Kingdom'),
(86687, '178.32.5.128', '178.32.5.143', 2988443008, 2988443023, 'PT', 'Portugal'),
(86688, '178.32.5.144', '178.32.5.147', 2988443024, 2988443027, 'CZ', 'Czech Republic'),
(86689, '178.32.5.148', '178.32.5.151', 2988443028, 2988443031, 'BE', 'Belgium'),
(86690, '178.32.5.152', '178.32.5.155', 2988443032, 2988443035, 'GB', 'United Kingdom'),
(86691, '178.32.5.156', '178.32.5.159', 2988443036, 2988443039, 'BE', 'Belgium'),
(86692, '178.32.5.160', '178.32.5.175', 2988443040, 2988443055, 'PL', 'Poland'),
(86693, '178.32.5.176', '178.32.5.191', 2988443056, 2988443071, 'DE', 'Germany'),
(86694, '178.32.5.192', '178.32.5.207', 2988443072, 2988443087, 'ES', 'Spain'),
(86695, '178.32.5.208', '178.32.5.231', 2988443088, 2988443111, 'PL', 'Poland'),
(86696, '178.32.5.232', '178.32.5.239', 2988443112, 2988443119, 'ES', 'Spain'),
(86697, '178.32.5.240', '178.32.6.255', 2988443120, 2988443391, 'FR', 'France'),
(86698, '178.32.7.0', '178.32.7.15', 2988443392, 2988443407, 'DE', 'Germany'),
(86699, '178.32.7.16', '178.32.7.47', 2988443408, 2988443439, 'FR', 'France'),
(86700, '178.32.7.48', '178.32.7.51', 2988443440, 2988443443, 'CZ', 'Czech Republic'),
(86701, '178.32.7.52', '178.32.7.55', 2988443444, 2988443447, 'DE', 'Germany'),
(86702, '178.32.7.56', '178.32.7.63', 2988443448, 2988443455, 'FR', 'France'),
(86703, '178.32.7.64', '178.32.7.95', 2988443456, 2988443487, 'BE', 'Belgium'),
(86704, '178.32.7.96', '178.32.7.147', 2988443488, 2988443539, 'FR', 'France'),
(86705, '178.32.7.148', '178.32.7.155', 2988443540, 2988443547, 'ES', 'Spain'),
(86706, '178.32.7.156', '178.32.7.159', 2988443548, 2988443551, 'IT', 'Italy'),
(86707, '178.32.7.160', '178.32.7.163', 2988443552, 2988443555, 'CH', 'Switzerland'),
(86708, '178.32.7.164', '178.32.7.167', 2988443556, 2988443559, 'PL', 'Poland'),
(86709, '178.32.7.168', '178.32.7.171', 2988443560, 2988443563, 'GB', 'United Kingdom'),
(86710, '178.32.7.172', '178.32.7.175', 2988443564, 2988443567, 'PL', 'Poland'),
(86711, '178.32.7.176', '178.32.7.191', 2988443568, 2988443583, 'FR', 'France'),
(86712, '178.32.7.192', '178.32.7.255', 2988443584, 2988443647, 'GB', 'United Kingdom'),
(86713, '178.32.8.0', '178.32.8.255', 2988443648, 2988443903, 'FR', 'France'),
(86714, '178.32.9.0', '178.32.9.15', 2988443904, 2988443919, 'BE', 'Belgium'),
(86715, '178.32.9.16', '178.32.9.19', 2988443920, 2988443923, 'FR', 'France'),
(86716, '178.32.9.20', '178.32.9.23', 2988443924, 2988443927, 'PL', 'Poland'),
(86717, '178.32.9.24', '178.32.10.7', 2988443928, 2988444167, 'FR', 'France'),
(86718, '178.32.10.8', '178.32.10.11', 2988444168, 2988444171, 'CZ', 'Czech Republic'),
(86719, '178.32.10.12', '178.32.10.15', 2988444172, 2988444175, 'FR', 'France'),
(86720, '178.32.10.16', '178.32.10.31', 2988444176, 2988444191, 'PT', 'Portugal'),
(86721, '178.32.10.32', '178.32.10.39', 2988444192, 2988444199, 'FR', 'France'),
(86722, '178.32.10.40', '178.32.10.43', 2988444200, 2988444203, 'FI', 'Finland'),
(86723, '178.32.10.44', '178.32.10.47', 2988444204, 2988444207, 'NL', 'Netherlands'),
(86724, '178.32.10.48', '178.32.10.255', 2988444208, 2988444415, 'FR', 'France'),
(86725, '178.32.11.0', '178.32.12.7', 2988444416, 2988444679, 'ES', 'Spain'),
(86726, '178.32.12.8', '178.32.12.15', 2988444680, 2988444687, 'FR', 'France'),
(86727, '178.32.12.16', '178.32.12.23', 2988444688, 2988444695, 'LT', 'Lithuania'),
(86728, '178.32.12.24', '178.32.12.31', 2988444696, 2988444703, 'FR', 'France'),
(86729, '178.32.12.32', '178.32.12.47', 2988444704, 2988444719, 'GB', 'United Kingdom'),
(86730, '178.32.12.48', '178.32.12.63', 2988444720, 2988444735, 'ES', 'Spain'),
(86731, '178.32.12.64', '178.32.12.67', 2988444736, 2988444739, 'GB', 'United Kingdom'),
(86732, '178.32.12.68', '178.32.12.83', 2988444740, 2988444755, 'BE', 'Belgium'),
(86733, '178.32.12.84', '178.32.12.87', 2988444756, 2988444759, 'DE', 'Germany'),
(86734, '178.32.12.88', '178.32.12.99', 2988444760, 2988444771, 'IE', 'Ireland'),
(86735, '178.32.12.100', '178.32.12.103', 2988444772, 2988444775, 'GB', 'United Kingdom'),
(86736, '178.32.12.104', '178.32.12.111', 2988444776, 2988444783, 'CZ', 'Czech Republic'),
(86737, '178.32.12.112', '178.32.12.119', 2988444784, 2988444791, 'FI', 'Finland'),
(86738, '178.32.12.120', '178.32.12.123', 2988444792, 2988444795, 'DE', 'Germany'),
(86739, '178.32.12.124', '178.32.12.255', 2988444796, 2988444927, 'ES', 'Spain'),
(86740, '178.32.13.0', '178.32.13.3', 2988444928, 2988444931, 'PL', 'Poland'),
(86741, '178.32.13.4', '178.32.13.15', 2988444932, 2988444943, 'DE', 'Germany'),
(86742, '178.32.13.16', '178.32.13.39', 2988444944, 2988444967, 'PL', 'Poland'),
(86743, '178.32.13.40', '178.32.13.47', 2988444968, 2988444975, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(86744, '178.32.13.48', '178.32.13.63', 2988444976, 2988444991, 'IE', 'Ireland'),
(86745, '178.32.13.64', '178.32.13.71', 2988444992, 2988444999, 'FR', 'France'),
(86746, '178.32.13.72', '178.32.13.79', 2988445000, 2988445007, 'PL', 'Poland'),
(86747, '178.32.13.80', '178.32.13.95', 2988445008, 2988445023, 'FR', 'France'),
(86748, '178.32.13.96', '178.32.13.99', 2988445024, 2988445027, 'PL', 'Poland'),
(86749, '178.32.13.100', '178.32.13.103', 2988445028, 2988445031, 'FR', 'France'),
(86750, '178.32.13.104', '178.32.13.107', 2988445032, 2988445035, 'ES', 'Spain'),
(86751, '178.32.13.108', '178.32.13.111', 2988445036, 2988445039, 'PL', 'Poland'),
(86752, '178.32.13.112', '178.32.13.191', 2988445040, 2988445119, 'FR', 'France'),
(86753, '178.32.13.192', '178.32.13.199', 2988445120, 2988445127, 'ES', 'Spain'),
(86754, '178.32.13.200', '178.32.13.211', 2988445128, 2988445139, 'FR', 'France'),
(86755, '178.32.13.212', '178.32.13.215', 2988445140, 2988445143, 'GB', 'United Kingdom'),
(86756, '178.32.13.216', '178.32.13.223', 2988445144, 2988445151, 'IT', 'Italy'),
(86757, '178.32.13.224', '178.32.13.239', 2988445152, 2988445167, 'FR', 'France'),
(86758, '178.32.13.240', '178.32.13.255', 2988445168, 2988445183, 'ES', 'Spain'),
(86759, '178.32.14.0', '178.32.16.255', 2988445184, 2988445951, 'DE', 'Germany'),
(86760, '178.32.17.0', '178.32.17.15', 2988445952, 2988445967, 'FR', 'France'),
(86761, '178.32.17.16', '178.32.17.31', 2988445968, 2988445983, 'GB', 'United Kingdom'),
(86762, '178.32.17.32', '178.32.17.255', 2988445984, 2988446207, 'DE', 'Germany'),
(86763, '178.32.18.0', '178.32.18.63', 2988446208, 2988446271, 'PL', 'Poland'),
(86764, '178.32.18.64', '178.32.18.67', 2988446272, 2988446275, 'IT', 'Italy'),
(86765, '178.32.18.68', '178.32.18.71', 2988446276, 2988446279, 'FR', 'France'),
(86766, '178.32.18.72', '178.32.18.79', 2988446280, 2988446287, 'BE', 'Belgium'),
(86767, '178.32.18.80', '178.32.18.83', 2988446288, 2988446291, 'FR', 'France'),
(86768, '178.32.18.84', '178.32.18.87', 2988446292, 2988446295, 'ES', 'Spain'),
(86769, '178.32.18.88', '178.32.18.91', 2988446296, 2988446299, 'GB', 'United Kingdom'),
(86770, '178.32.18.92', '178.32.18.99', 2988446300, 2988446307, 'FR', 'France'),
(86771, '178.32.18.100', '178.32.18.111', 2988446308, 2988446319, 'PL', 'Poland'),
(86772, '178.32.18.112', '178.32.18.115', 2988446320, 2988446323, 'FR', 'France'),
(86773, '178.32.18.116', '178.32.18.119', 2988446324, 2988446327, 'LT', 'Lithuania'),
(86774, '178.32.18.120', '178.32.18.127', 2988446328, 2988446335, 'NL', 'Netherlands'),
(86775, '178.32.18.128', '178.32.18.191', 2988446336, 2988446399, 'PL', 'Poland'),
(86776, '178.32.18.192', '178.32.18.255', 2988446400, 2988446463, 'FR', 'France'),
(86777, '178.32.19.0', '178.32.19.255', 2988446464, 2988446719, 'PL', 'Poland'),
(86778, '178.32.20.0', '178.32.20.255', 2988446720, 2988446975, 'DE', 'Germany'),
(86779, '178.32.21.0', '178.32.21.127', 2988446976, 2988447103, 'IT', 'Italy'),
(86780, '178.32.21.128', '178.32.21.255', 2988447104, 2988447231, 'FR', 'France'),
(86781, '178.32.22.0', '178.32.24.127', 2988447232, 2988447871, 'DE', 'Germany'),
(86782, '178.32.24.128', '178.32.24.179', 2988447872, 2988447923, 'PL', 'Poland'),
(86783, '178.32.24.180', '178.32.24.183', 2988447924, 2988447927, 'IT', 'Italy'),
(86784, '178.32.24.184', '178.32.24.191', 2988447928, 2988447935, 'PL', 'Poland'),
(86785, '178.32.24.192', '178.32.24.199', 2988447936, 2988447943, 'DE', 'Germany'),
(86786, '178.32.24.200', '178.32.24.203', 2988447944, 2988447947, 'GB', 'United Kingdom'),
(86787, '178.32.24.204', '178.32.24.215', 2988447948, 2988447959, 'FR', 'France'),
(86788, '178.32.24.216', '178.32.24.223', 2988447960, 2988447967, 'IT', 'Italy'),
(86789, '178.32.24.224', '178.32.24.255', 2988447968, 2988447999, 'BE', 'Belgium'),
(86790, '178.32.25.0', '178.32.25.127', 2988448000, 2988448127, 'DE', 'Germany'),
(86791, '178.32.25.128', '178.32.25.255', 2988448128, 2988448255, 'ES', 'Spain'),
(86792, '178.32.26.0', '178.32.26.255', 2988448256, 2988448511, 'DE', 'Germany'),
(86793, '178.32.27.0', '178.32.27.3', 2988448512, 2988448515, 'GB', 'United Kingdom'),
(86794, '178.32.27.4', '178.32.27.7', 2988448516, 2988448519, 'FR', 'France'),
(86795, '178.32.27.8', '178.32.27.31', 2988448520, 2988448543, 'PL', 'Poland'),
(86796, '178.32.27.32', '178.32.27.35', 2988448544, 2988448547, 'GB', 'United Kingdom'),
(86797, '178.32.27.36', '178.32.27.39', 2988448548, 2988448551, 'FR', 'France'),
(86798, '178.32.27.40', '178.32.27.47', 2988448552, 2988448559, 'PL', 'Poland'),
(86799, '178.32.27.48', '178.32.27.51', 2988448560, 2988448563, 'DE', 'Germany'),
(86800, '178.32.27.52', '178.32.27.63', 2988448564, 2988448575, 'ES', 'Spain'),
(86801, '178.32.27.64', '178.32.27.95', 2988448576, 2988448607, 'FR', 'France'),
(86802, '178.32.27.96', '178.32.27.127', 2988448608, 2988448639, 'ES', 'Spain'),
(86803, '178.32.27.128', '178.32.27.159', 2988448640, 2988448671, 'GB', 'United Kingdom'),
(86804, '178.32.27.160', '178.32.27.179', 2988448672, 2988448691, 'IT', 'Italy'),
(86805, '178.32.27.180', '178.32.27.183', 2988448692, 2988448695, 'DE', 'Germany'),
(86806, '178.32.27.184', '178.32.27.191', 2988448696, 2988448703, 'FR', 'France'),
(86807, '178.32.27.192', '178.32.27.255', 2988448704, 2988448767, 'GB', 'United Kingdom'),
(86808, '178.32.28.0', '178.32.28.15', 2988448768, 2988448783, 'FR', 'France'),
(86809, '178.32.28.16', '178.32.28.47', 2988448784, 2988448815, 'PL', 'Poland'),
(86810, '178.32.28.48', '178.32.28.63', 2988448816, 2988448831, 'ES', 'Spain'),
(86811, '178.32.28.64', '178.32.28.127', 2988448832, 2988448895, 'FR', 'France'),
(86812, '178.32.28.128', '178.32.28.135', 2988448896, 2988448903, 'IE', 'Ireland'),
(86813, '178.32.28.136', '178.32.28.139', 2988448904, 2988448907, 'ES', 'Spain'),
(86814, '178.32.28.140', '178.32.28.239', 2988448908, 2988449007, 'FR', 'France'),
(86815, '178.32.28.240', '178.32.28.255', 2988449008, 2988449023, 'GB', 'United Kingdom'),
(86816, '178.32.29.0', '178.32.29.31', 2988449024, 2988449055, 'PL', 'Poland'),
(86817, '178.32.29.32', '178.32.29.47', 2988449056, 2988449071, 'IT', 'Italy'),
(86818, '178.32.29.48', '178.32.29.63', 2988449072, 2988449087, 'FR', 'France'),
(86819, '178.32.29.64', '178.32.29.79', 2988449088, 2988449103, 'PL', 'Poland'),
(86820, '178.32.29.80', '178.32.29.95', 2988449104, 2988449119, 'DE', 'Germany'),
(86821, '178.32.29.96', '178.32.29.99', 2988449120, 2988449123, 'FR', 'France'),
(86822, '178.32.29.100', '178.32.29.103', 2988449124, 2988449127, 'DE', 'Germany'),
(86823, '178.32.29.104', '178.32.29.111', 2988449128, 2988449135, 'ES', 'Spain'),
(86824, '178.32.29.112', '178.32.29.127', 2988449136, 2988449151, 'FR', 'France'),
(86825, '178.32.29.128', '178.32.29.143', 2988449152, 2988449167, 'PL', 'Poland'),
(86826, '178.32.29.144', '178.32.29.151', 2988449168, 2988449175, 'GB', 'United Kingdom'),
(86827, '178.32.29.152', '178.32.29.159', 2988449176, 2988449183, 'FR', 'France'),
(86828, '178.32.29.160', '178.32.29.167', 2988449184, 2988449191, 'PL', 'Poland'),
(86829, '178.32.29.168', '178.32.29.175', 2988449192, 2988449199, 'CZ', 'Czech Republic'),
(86830, '178.32.29.176', '178.32.29.179', 2988449200, 2988449203, 'FR', 'France'),
(86831, '178.32.29.180', '178.32.29.183', 2988449204, 2988449207, 'PL', 'Poland'),
(86832, '178.32.29.184', '178.32.29.191', 2988449208, 2988449215, 'ES', 'Spain'),
(86833, '178.32.29.192', '178.32.29.223', 2988449216, 2988449247, 'FR', 'France'),
(86834, '178.32.29.224', '178.32.30.255', 2988449248, 2988449535, 'GB', 'United Kingdom'),
(86835, '178.32.31.0', '178.32.31.95', 2988449536, 2988449631, 'FR', 'France'),
(86836, '178.32.31.96', '178.32.31.103', 2988449632, 2988449639, 'ES', 'Spain'),
(86837, '178.32.31.104', '178.32.31.107', 2988449640, 2988449643, 'CH', 'Switzerland'),
(86838, '178.32.31.108', '178.32.31.111', 2988449644, 2988449647, 'CZ', 'Czech Republic'),
(86839, '178.32.31.112', '178.32.31.127', 2988449648, 2988449663, 'FR', 'France'),
(86840, '178.32.31.128', '178.32.31.159', 2988449664, 2988449695, 'DE', 'Germany'),
(86841, '178.32.31.160', '178.32.31.191', 2988449696, 2988449727, 'IT', 'Italy'),
(86842, '178.32.31.192', '178.32.31.207', 2988449728, 2988449743, 'BE', 'Belgium'),
(86843, '178.32.31.208', '178.32.31.223', 2988449744, 2988449759, 'GB', 'United Kingdom'),
(86844, '178.32.31.224', '178.32.31.255', 2988449760, 2988449791, 'CH', 'Switzerland'),
(86845, '178.32.32.0', '178.32.39.255', 2988449792, 2988451839, 'FR', 'France'),
(86846, '178.32.40.0', '178.32.47.255', 2988451840, 2988453887, 'BE', 'Belgium'),
(86847, '178.32.48.0', '178.32.63.255', 2988453888, 2988457983, 'GB', 'United Kingdom'),
(86848, '178.32.64.0', '178.32.64.3', 2988457984, 2988457987, 'FR', 'France'),
(86849, '178.32.64.4', '178.32.64.7', 2988457988, 2988457991, 'PL', 'Poland'),
(86850, '178.32.64.8', '178.32.64.11', 2988457992, 2988457995, 'CH', 'Switzerland'),
(86851, '178.32.64.12', '178.32.64.15', 2988457996, 2988457999, 'FR', 'France'),
(86852, '178.32.64.16', '178.32.64.31', 2988458000, 2988458015, 'DE', 'Germany'),
(86853, '178.32.64.32', '178.32.64.47', 2988458016, 2988458031, 'FR', 'France'),
(86854, '178.32.64.48', '178.32.64.63', 2988458032, 2988458047, 'IT', 'Italy'),
(86855, '178.32.64.64', '178.32.64.71', 2988458048, 2988458055, 'PL', 'Poland'),
(86856, '178.32.64.72', '178.32.64.79', 2988458056, 2988458063, 'CH', 'Switzerland'),
(86857, '178.32.64.80', '178.32.64.83', 2988458064, 2988458067, 'ES', 'Spain'),
(86858, '178.32.64.84', '178.32.64.91', 2988458068, 2988458075, 'FR', 'France'),
(86859, '178.32.64.92', '178.32.64.127', 2988458076, 2988458111, 'PL', 'Poland'),
(86860, '178.32.64.128', '178.32.65.7', 2988458112, 2988458247, 'FR', 'France'),
(86861, '178.32.65.8', '178.32.65.11', 2988458248, 2988458251, 'PL', 'Poland'),
(86862, '178.32.65.12', '178.32.65.15', 2988458252, 2988458255, 'BE', 'Belgium'),
(86863, '178.32.65.16', '178.32.65.31', 2988458256, 2988458271, 'IT', 'Italy'),
(86864, '178.32.65.32', '178.32.65.35', 2988458272, 2988458275, 'GB', 'United Kingdom'),
(86865, '178.32.65.36', '178.32.65.39', 2988458276, 2988458279, 'FI', 'Finland'),
(86866, '178.32.65.40', '178.32.65.43', 2988458280, 2988458283, 'ES', 'Spain'),
(86867, '178.32.65.44', '178.32.65.47', 2988458284, 2988458287, 'FR', 'France'),
(86868, '178.32.65.48', '178.32.65.51', 2988458288, 2988458291, 'BE', 'Belgium'),
(86869, '178.32.65.52', '178.32.65.55', 2988458292, 2988458295, 'DE', 'Germany'),
(86870, '178.32.65.56', '178.32.65.59', 2988458296, 2988458299, 'GB', 'United Kingdom'),
(86871, '178.32.65.60', '178.32.65.63', 2988458300, 2988458303, 'ES', 'Spain'),
(86872, '178.32.65.64', '178.32.65.79', 2988458304, 2988458319, 'FR', 'France'),
(86873, '178.32.65.80', '178.32.65.83', 2988458320, 2988458323, 'CZ', 'Czech Republic'),
(86874, '178.32.65.84', '178.32.65.91', 2988458324, 2988458331, 'FR', 'France'),
(86875, '178.32.65.92', '178.32.65.95', 2988458332, 2988458335, 'GB', 'United Kingdom'),
(86876, '178.32.65.96', '178.32.65.127', 2988458336, 2988458367, 'DE', 'Germany'),
(86877, '178.32.65.128', '178.32.65.159', 2988458368, 2988458399, 'FR', 'France'),
(86878, '178.32.65.160', '178.32.65.191', 2988458400, 2988458431, 'PL', 'Poland'),
(86879, '178.32.65.192', '178.32.65.255', 2988458432, 2988458495, 'FR', 'France'),
(86880, '178.32.66.0', '178.32.66.255', 2988458496, 2988458751, 'GB', 'United Kingdom'),
(86881, '178.32.67.0', '178.32.67.7', 2988458752, 2988458759, 'FR', 'France'),
(86882, '178.32.67.8', '178.32.67.11', 2988458760, 2988458763, 'NL', 'Netherlands'),
(86883, '178.32.67.12', '178.32.67.15', 2988458764, 2988458767, 'ES', 'Spain'),
(86884, '178.32.67.16', '178.32.67.255', 2988458768, 2988459007, 'FR', 'France'),
(86885, '178.32.68.0', '178.32.68.7', 2988459008, 2988459015, 'PL', 'Poland'),
(86886, '178.32.68.8', '178.32.68.11', 2988459016, 2988459019, 'FR', 'France'),
(86887, '178.32.68.12', '178.32.68.15', 2988459020, 2988459023, 'GB', 'United Kingdom'),
(86888, '178.32.68.16', '178.32.68.31', 2988459024, 2988459039, 'IE', 'Ireland'),
(86889, '178.32.68.32', '178.32.68.43', 2988459040, 2988459051, 'FR', 'France'),
(86890, '178.32.68.44', '178.32.68.47', 2988459052, 2988459055, 'ES', 'Spain'),
(86891, '178.32.68.48', '178.32.68.63', 2988459056, 2988459071, 'CH', 'Switzerland'),
(86892, '178.32.68.64', '178.32.68.67', 2988459072, 2988459075, 'GB', 'United Kingdom'),
(86893, '178.32.68.68', '178.32.68.71', 2988459076, 2988459079, 'ES', 'Spain'),
(86894, '178.32.68.72', '178.32.68.75', 2988459080, 2988459083, 'DE', 'Germany'),
(86895, '178.32.68.76', '178.32.68.79', 2988459084, 2988459087, 'FR', 'France'),
(86896, '178.32.68.80', '178.32.68.95', 2988459088, 2988459103, 'GB', 'United Kingdom'),
(86897, '178.32.68.96', '178.32.68.103', 2988459104, 2988459111, 'FR', 'France'),
(86898, '178.32.68.104', '178.32.68.111', 2988459112, 2988459119, 'ES', 'Spain'),
(86899, '178.32.68.112', '178.32.68.119', 2988459120, 2988459127, 'IT', 'Italy'),
(86900, '178.32.68.120', '178.32.68.143', 2988459128, 2988459151, 'PL', 'Poland'),
(86901, '178.32.68.144', '178.32.68.159', 2988459152, 2988459167, 'FR', 'France'),
(86902, '178.32.68.160', '178.32.68.163', 2988459168, 2988459171, 'IE', 'Ireland'),
(86903, '178.32.68.164', '178.32.68.167', 2988459172, 2988459175, 'FR', 'France'),
(86904, '178.32.68.168', '178.32.68.171', 2988459176, 2988459179, 'PL', 'Poland'),
(86905, '178.32.68.172', '178.32.68.175', 2988459180, 2988459183, 'FR', 'France'),
(86906, '178.32.68.176', '178.32.68.191', 2988459184, 2988459199, 'PL', 'Poland'),
(86907, '178.32.68.192', '178.32.68.215', 2988459200, 2988459223, 'FR', 'France'),
(86908, '178.32.68.216', '178.32.68.223', 2988459224, 2988459231, 'DE', 'Germany'),
(86909, '178.32.68.224', '178.32.68.227', 2988459232, 2988459235, 'GB', 'United Kingdom'),
(86910, '178.32.68.228', '178.32.68.231', 2988459236, 2988459239, 'PL', 'Poland'),
(86911, '178.32.68.232', '178.32.68.235', 2988459240, 2988459243, 'FR', 'France'),
(86912, '178.32.68.236', '178.32.68.239', 2988459244, 2988459247, 'ES', 'Spain'),
(86913, '178.32.68.240', '178.32.68.243', 2988459248, 2988459251, 'LT', 'Lithuania'),
(86914, '178.32.68.244', '178.32.68.247', 2988459252, 2988459255, 'GB', 'United Kingdom'),
(86915, '178.32.68.248', '178.32.68.251', 2988459256, 2988459259, 'FR', 'France'),
(86916, '178.32.68.252', '178.32.68.255', 2988459260, 2988459263, 'PL', 'Poland'),
(86917, '178.32.69.0', '178.32.69.255', 2988459264, 2988459519, 'ES', 'Spain'),
(86918, '178.32.70.0', '178.32.70.15', 2988459520, 2988459535, 'FR', 'France'),
(86919, '178.32.70.16', '178.32.70.19', 2988459536, 2988459539, 'GB', 'United Kingdom'),
(86920, '178.32.70.20', '178.32.70.23', 2988459540, 2988459543, 'PL', 'Poland'),
(86921, '178.32.70.24', '178.32.70.27', 2988459544, 2988459547, 'ES', 'Spain'),
(86922, '178.32.70.28', '178.32.70.31', 2988459548, 2988459551, 'PL', 'Poland'),
(86923, '178.32.70.32', '178.32.70.63', 2988459552, 2988459583, 'FR', 'France'),
(86924, '178.32.70.64', '178.32.70.79', 2988459584, 2988459599, 'ES', 'Spain'),
(86925, '178.32.70.80', '178.32.70.83', 2988459600, 2988459603, 'GB', 'United Kingdom'),
(86926, '178.32.70.84', '178.32.70.95', 2988459604, 2988459615, 'FR', 'France'),
(86927, '178.32.70.96', '178.32.70.99', 2988459616, 2988459619, 'CZ', 'Czech Republic'),
(86928, '178.32.70.100', '178.32.70.103', 2988459620, 2988459623, 'IE', 'Ireland'),
(86929, '178.32.70.104', '178.32.70.111', 2988459624, 2988459631, 'NL', 'Netherlands'),
(86930, '178.32.70.112', '178.32.70.119', 2988459632, 2988459639, 'FR', 'France'),
(86931, '178.32.70.120', '178.32.70.123', 2988459640, 2988459643, 'IT', 'Italy'),
(86932, '178.32.70.124', '178.32.70.127', 2988459644, 2988459647, 'CH', 'Switzerland'),
(86933, '178.32.70.128', '178.32.70.159', 2988459648, 2988459679, 'GB', 'United Kingdom'),
(86934, '178.32.70.160', '178.32.70.163', 2988459680, 2988459683, 'ES', 'Spain'),
(86935, '178.32.70.164', '178.32.70.167', 2988459684, 2988459687, 'DE', 'Germany'),
(86936, '178.32.70.168', '178.32.70.171', 2988459688, 2988459691, 'IT', 'Italy'),
(86937, '178.32.70.172', '178.32.70.175', 2988459692, 2988459695, 'PL', 'Poland'),
(86938, '178.32.70.176', '178.32.70.191', 2988459696, 2988459711, 'FR', 'France'),
(86939, '178.32.70.192', '178.32.70.195', 2988459712, 2988459715, 'ES', 'Spain'),
(86940, '178.32.70.196', '178.32.70.199', 2988459716, 2988459719, 'FR', 'France'),
(86941, '178.32.70.200', '178.32.70.207', 2988459720, 2988459727, 'DE', 'Germany'),
(86942, '178.32.70.208', '178.32.70.211', 2988459728, 2988459731, 'FR', 'France'),
(86943, '178.32.70.212', '178.32.70.215', 2988459732, 2988459735, 'ES', 'Spain'),
(86944, '178.32.70.216', '178.32.70.223', 2988459736, 2988459743, 'PL', 'Poland'),
(86945, '178.32.70.224', '178.32.70.227', 2988459744, 2988459747, 'ES', 'Spain'),
(86946, '178.32.70.228', '178.32.70.231', 2988459748, 2988459751, 'PL', 'Poland'),
(86947, '178.32.70.232', '178.32.70.239', 2988459752, 2988459759, 'FR', 'France'),
(86948, '178.32.70.240', '178.32.70.247', 2988459760, 2988459767, 'GB', 'United Kingdom'),
(86949, '178.32.70.248', '178.32.70.251', 2988459768, 2988459771, 'NL', 'Netherlands'),
(86950, '178.32.70.252', '178.32.70.255', 2988459772, 2988459775, 'GB', 'United Kingdom'),
(86951, '178.32.71.0', '178.32.71.63', 2988459776, 2988459839, 'FR', 'France'),
(86952, '178.32.71.64', '178.32.71.79', 2988459840, 2988459855, 'IT', 'Italy'),
(86953, '178.32.71.80', '178.32.71.83', 2988459856, 2988459859, 'GB', 'United Kingdom'),
(86954, '178.32.71.84', '178.32.71.87', 2988459860, 2988459863, 'FR', 'France'),
(86955, '178.32.71.88', '178.32.71.95', 2988459864, 2988459871, 'ES', 'Spain'),
(86956, '178.32.71.96', '178.32.71.119', 2988459872, 2988459895, 'PL', 'Poland'),
(86957, '178.32.71.120', '178.32.71.191', 2988459896, 2988459967, 'FR', 'France'),
(86958, '178.32.71.192', '178.32.71.223', 2988459968, 2988459999, 'ES', 'Spain'),
(86959, '178.32.71.224', '178.32.71.239', 2988460000, 2988460015, 'NL', 'Netherlands'),
(86960, '178.32.71.240', '178.32.71.255', 2988460016, 2988460031, 'FR', 'France'),
(86961, '178.32.72.0', '178.32.72.31', 2988460032, 2988460063, 'DE', 'Germany'),
(86962, '178.32.72.32', '178.32.72.63', 2988460064, 2988460095, 'FR', 'France'),
(86963, '178.32.72.64', '178.32.72.75', 2988460096, 2988460107, 'PL', 'Poland'),
(86964, '178.32.72.76', '178.32.72.79', 2988460108, 2988460111, 'DE', 'Germany'),
(86965, '178.32.72.80', '178.32.72.87', 2988460112, 2988460119, 'FR', 'France'),
(86966, '178.32.72.88', '178.32.72.91', 2988460120, 2988460123, 'DE', 'Germany'),
(86967, '178.32.72.92', '178.32.72.95', 2988460124, 2988460127, 'FR', 'France'),
(86968, '178.32.72.96', '178.32.72.99', 2988460128, 2988460131, 'PL', 'Poland'),
(86969, '178.32.72.100', '178.32.72.103', 2988460132, 2988460135, 'CZ', 'Czech Republic'),
(86970, '178.32.72.104', '178.32.72.111', 2988460136, 2988460143, 'FR', 'France'),
(86971, '178.32.72.112', '178.32.72.115', 2988460144, 2988460147, 'GB', 'United Kingdom'),
(86972, '178.32.72.116', '178.32.72.127', 2988460148, 2988460159, 'ES', 'Spain'),
(86973, '178.32.72.128', '178.32.72.159', 2988460160, 2988460191, 'GB', 'United Kingdom'),
(86974, '178.32.72.160', '178.32.72.163', 2988460192, 2988460195, 'FR', 'France'),
(86975, '178.32.72.164', '178.32.72.167', 2988460196, 2988460199, 'NL', 'Netherlands'),
(86976, '178.32.72.168', '178.32.72.175', 2988460200, 2988460207, 'LT', 'Lithuania'),
(86977, '178.32.72.176', '178.32.72.191', 2988460208, 2988460223, 'PL', 'Poland'),
(86978, '178.32.72.192', '178.32.72.207', 2988460224, 2988460239, 'FR', 'France'),
(86979, '178.32.72.208', '178.32.72.211', 2988460240, 2988460243, 'BE', 'Belgium'),
(86980, '178.32.72.212', '178.32.72.215', 2988460244, 2988460247, 'PL', 'Poland'),
(86981, '178.32.72.216', '178.32.72.223', 2988460248, 2988460255, 'FR', 'France'),
(86982, '178.32.72.224', '178.32.72.239', 2988460256, 2988460271, 'ES', 'Spain'),
(86983, '178.32.72.240', '178.32.72.243', 2988460272, 2988460275, 'FR', 'France'),
(86984, '178.32.72.244', '178.32.72.247', 2988460276, 2988460279, 'NL', 'Netherlands'),
(86985, '178.32.72.248', '178.32.72.255', 2988460280, 2988460287, 'PL', 'Poland'),
(86986, '178.32.73.0', '178.32.73.35', 2988460288, 2988460323, 'FR', 'France'),
(86987, '178.32.73.36', '178.32.73.39', 2988460324, 2988460327, 'GB', 'United Kingdom'),
(86988, '178.32.73.40', '178.32.73.47', 2988460328, 2988460335, 'PL', 'Poland'),
(86989, '178.32.73.48', '178.32.73.51', 2988460336, 2988460339, 'FR', 'France'),
(86990, '178.32.73.52', '178.32.73.55', 2988460340, 2988460343, 'GB', 'United Kingdom'),
(86991, '178.32.73.56', '178.32.73.79', 2988460344, 2988460367, 'FR', 'France'),
(86992, '178.32.73.80', '178.32.73.87', 2988460368, 2988460375, 'PL', 'Poland'),
(86993, '178.32.73.88', '178.32.73.255', 2988460376, 2988460543, 'FR', 'France'),
(86994, '178.32.74.0', '178.32.74.3', 2988460544, 2988460547, 'GB', 'United Kingdom'),
(86995, '178.32.74.4', '178.32.74.7', 2988460548, 2988460551, 'DE', 'Germany'),
(86996, '178.32.74.8', '178.32.74.31', 2988460552, 2988460575, 'PL', 'Poland'),
(86997, '178.32.74.32', '178.32.74.47', 2988460576, 2988460591, 'PT', 'Portugal'),
(86998, '178.32.74.48', '178.32.74.71', 2988460592, 2988460615, 'GB', 'United Kingdom'),
(86999, '178.32.74.72', '178.32.74.79', 2988460616, 2988460623, 'PT', 'Portugal'),
(87000, '178.32.74.80', '178.32.74.135', 2988460624, 2988460679, 'FR', 'France'),
(87001, '178.32.74.136', '178.32.74.143', 2988460680, 2988460687, 'DE', 'Germany'),
(87002, '178.32.74.144', '178.32.74.211', 2988460688, 2988460755, 'FR', 'France'),
(87003, '178.32.74.212', '178.32.74.215', 2988460756, 2988460759, 'PT', 'Portugal'),
(87004, '178.32.74.216', '178.32.74.223', 2988460760, 2988460767, 'FR', 'France'),
(87005, '178.32.74.224', '178.32.74.255', 2988460768, 2988460799, 'PL', 'Poland'),
(87006, '178.32.75.0', '178.32.75.63', 2988460800, 2988460863, 'DE', 'Germany'),
(87007, '178.32.75.64', '178.32.75.127', 2988460864, 2988460927, 'FR', 'France'),
(87008, '178.32.75.128', '178.32.75.131', 2988460928, 2988460931, 'ES', 'Spain'),
(87009, '178.32.75.132', '178.32.75.143', 2988460932, 2988460943, 'PL', 'Poland'),
(87010, '178.32.75.144', '178.32.75.159', 2988460944, 2988460959, 'ES', 'Spain'),
(87011, '178.32.75.160', '178.32.75.191', 2988460960, 2988460991, 'GB', 'United Kingdom'),
(87012, '178.32.75.192', '178.32.75.199', 2988460992, 2988460999, 'NL', 'Netherlands'),
(87013, '178.32.75.200', '178.32.75.203', 2988461000, 2988461003, 'FR', 'France'),
(87014, '178.32.75.204', '178.32.75.207', 2988461004, 2988461007, 'NL', 'Netherlands'),
(87015, '178.32.75.208', '178.32.75.211', 2988461008, 2988461011, 'FR', 'France'),
(87016, '178.32.75.212', '178.32.75.215', 2988461012, 2988461015, 'PL', 'Poland'),
(87017, '178.32.75.216', '178.32.75.223', 2988461016, 2988461023, 'FR', 'France'),
(87018, '178.32.75.224', '178.32.75.227', 2988461024, 2988461027, 'NL', 'Netherlands'),
(87019, '178.32.75.228', '178.32.75.235', 2988461028, 2988461035, 'ES', 'Spain'),
(87020, '178.32.75.236', '178.32.75.255', 2988461036, 2988461055, 'FR', 'France'),
(87021, '178.32.76.0', '178.32.76.31', 2988461056, 2988461087, 'PL', 'Poland'),
(87022, '178.32.76.32', '178.32.76.47', 2988461088, 2988461103, 'DE', 'Germany'),
(87023, '178.32.76.48', '178.32.76.199', 2988461104, 2988461255, 'FR', 'France'),
(87024, '178.32.76.200', '178.32.76.203', 2988461256, 2988461259, 'IT', 'Italy'),
(87025, '178.32.76.204', '178.32.76.207', 2988461260, 2988461263, 'PT', 'Portugal'),
(87026, '178.32.76.208', '178.32.76.223', 2988461264, 2988461279, 'PL', 'Poland'),
(87027, '178.32.76.224', '178.32.76.239', 2988461280, 2988461295, 'IT', 'Italy'),
(87028, '178.32.76.240', '178.32.76.243', 2988461296, 2988461299, 'PL', 'Poland'),
(87029, '178.32.76.244', '178.32.76.251', 2988461300, 2988461307, 'FR', 'France'),
(87030, '178.32.76.252', '178.32.76.255', 2988461308, 2988461311, 'PL', 'Poland'),
(87031, '178.32.77.0', '178.32.77.63', 2988461312, 2988461375, 'CH', 'Switzerland'),
(87032, '178.32.77.64', '178.32.77.79', 2988461376, 2988461391, 'FR', 'France'),
(87033, '178.32.77.80', '178.32.77.83', 2988461392, 2988461395, 'CH', 'Switzerland'),
(87034, '178.32.77.84', '178.32.77.87', 2988461396, 2988461399, 'DE', 'Germany'),
(87035, '178.32.77.88', '178.32.77.91', 2988461400, 2988461403, 'ES', 'Spain'),
(87036, '178.32.77.92', '178.32.77.95', 2988461404, 2988461407, 'GB', 'United Kingdom'),
(87037, '178.32.77.96', '178.32.77.99', 2988461408, 2988461411, 'IT', 'Italy'),
(87038, '178.32.77.100', '178.32.77.103', 2988461412, 2988461415, 'NL', 'Netherlands'),
(87039, '178.32.77.104', '178.32.77.107', 2988461416, 2988461419, 'IE', 'Ireland'),
(87040, '178.32.77.108', '178.32.77.111', 2988461420, 2988461423, 'FR', 'France'),
(87041, '178.32.77.112', '178.32.77.119', 2988461424, 2988461431, 'IT', 'Italy'),
(87042, '178.32.77.120', '178.32.77.123', 2988461432, 2988461435, 'PT', 'Portugal'),
(87043, '178.32.77.124', '178.32.77.127', 2988461436, 2988461439, 'BE', 'Belgium'),
(87044, '178.32.77.128', '178.32.77.159', 2988461440, 2988461471, 'FI', 'Finland'),
(87045, '178.32.77.160', '178.32.77.163', 2988461472, 2988461475, 'PL', 'Poland'),
(87046, '178.32.77.164', '178.32.77.167', 2988461476, 2988461479, 'IE', 'Ireland'),
(87047, '178.32.77.168', '178.32.77.171', 2988461480, 2988461483, 'CZ', 'Czech Republic'),
(87048, '178.32.77.172', '178.32.77.175', 2988461484, 2988461487, 'LT', 'Lithuania'),
(87049, '178.32.77.176', '178.32.77.179', 2988461488, 2988461491, 'FR', 'France'),
(87050, '178.32.77.180', '178.32.77.183', 2988461492, 2988461495, 'PL', 'Poland'),
(87051, '178.32.77.184', '178.32.77.187', 2988461496, 2988461499, 'ES', 'Spain'),
(87052, '178.32.77.188', '178.32.77.191', 2988461500, 2988461503, 'PT', 'Portugal'),
(87053, '178.32.77.192', '178.32.77.207', 2988461504, 2988461519, 'PL', 'Poland'),
(87054, '178.32.77.208', '178.32.77.211', 2988461520, 2988461523, 'PT', 'Portugal'),
(87055, '178.32.77.212', '178.32.77.247', 2988461524, 2988461559, 'FR', 'France'),
(87056, '178.32.77.248', '178.32.77.255', 2988461560, 2988461567, 'GB', 'United Kingdom'),
(87057, '178.32.78.0', '178.32.78.15', 2988461568, 2988461583, 'FR', 'France'),
(87058, '178.32.78.16', '178.32.78.19', 2988461584, 2988461587, 'PL', 'Poland'),
(87059, '178.32.78.20', '178.32.78.23', 2988461588, 2988461591, 'IE', 'Ireland'),
(87060, '178.32.78.24', '178.32.78.27', 2988461592, 2988461595, 'IT', 'Italy'),
(87061, '178.32.78.28', '178.32.78.31', 2988461596, 2988461599, 'GB', 'United Kingdom'),
(87062, '178.32.78.32', '178.32.78.47', 2988461600, 2988461615, 'FR', 'France'),
(87063, '178.32.78.48', '178.32.78.55', 2988461616, 2988461623, 'IT', 'Italy'),
(87064, '178.32.78.56', '178.32.78.127', 2988461624, 2988461695, 'FR', 'France'),
(87065, '178.32.78.128', '178.32.78.131', 2988461696, 2988461699, 'DE', 'Germany'),
(87066, '178.32.78.132', '178.32.78.135', 2988461700, 2988461703, 'PL', 'Poland'),
(87067, '178.32.78.136', '178.32.78.139', 2988461704, 2988461707, 'NL', 'Netherlands'),
(87068, '178.32.78.140', '178.32.78.143', 2988461708, 2988461711, 'BE', 'Belgium'),
(87069, '178.32.78.144', '178.32.78.151', 2988461712, 2988461719, 'FR', 'France'),
(87070, '178.32.78.152', '178.32.78.155', 2988461720, 2988461723, 'DE', 'Germany'),
(87071, '178.32.78.156', '178.32.78.159', 2988461724, 2988461727, 'FR', 'France'),
(87072, '178.32.78.160', '178.32.78.163', 2988461728, 2988461731, 'PL', 'Poland'),
(87073, '178.32.78.164', '178.32.78.167', 2988461732, 2988461735, 'DE', 'Germany'),
(87074, '178.32.78.168', '178.32.78.175', 2988461736, 2988461743, 'PL', 'Poland'),
(87075, '178.32.78.176', '178.32.78.179', 2988461744, 2988461747, 'ES', 'Spain'),
(87076, '178.32.78.180', '178.32.78.183', 2988461748, 2988461751, 'IT', 'Italy'),
(87077, '178.32.78.184', '178.32.78.187', 2988461752, 2988461755, 'FR', 'France'),
(87078, '178.32.78.188', '178.32.78.191', 2988461756, 2988461759, 'NL', 'Netherlands'),
(87079, '178.32.78.192', '178.32.78.231', 2988461760, 2988461799, 'PL', 'Poland'),
(87080, '178.32.78.232', '178.32.78.243', 2988461800, 2988461811, 'DE', 'Germany'),
(87081, '178.32.78.244', '178.32.78.247', 2988461812, 2988461815, 'FR', 'France'),
(87082, '178.32.78.248', '178.32.78.251', 2988461816, 2988461819, 'PL', 'Poland'),
(87083, '178.32.78.252', '178.32.78.255', 2988461820, 2988461823, 'GB', 'United Kingdom'),
(87084, '178.32.79.0', '178.32.79.15', 2988461824, 2988461839, 'PL', 'Poland'),
(87085, '178.32.79.16', '178.32.79.27', 2988461840, 2988461851, 'FR', 'France'),
(87086, '178.32.79.28', '178.32.79.31', 2988461852, 2988461855, 'PL', 'Poland'),
(87087, '178.32.79.32', '178.32.79.47', 2988461856, 2988461871, 'DE', 'Germany'),
(87088, '178.32.79.48', '178.32.79.55', 2988461872, 2988461879, 'FR', 'France'),
(87089, '178.32.79.56', '178.32.79.59', 2988461880, 2988461883, 'ES', 'Spain'),
(87090, '178.32.79.60', '178.32.79.63', 2988461884, 2988461887, 'PL', 'Poland'),
(87091, '178.32.79.64', '178.32.79.83', 2988461888, 2988461907, 'FR', 'France'),
(87092, '178.32.79.84', '178.32.79.87', 2988461908, 2988461911, 'ES', 'Spain'),
(87093, '178.32.79.88', '178.32.79.91', 2988461912, 2988461915, 'IT', 'Italy'),
(87094, '178.32.79.92', '178.32.79.95', 2988461916, 2988461919, 'NL', 'Netherlands'),
(87095, '178.32.79.96', '178.32.79.111', 2988461920, 2988461935, 'FR', 'France'),
(87096, '178.32.79.112', '178.32.79.127', 2988461936, 2988461951, 'GB', 'United Kingdom'),
(87097, '178.32.79.128', '178.32.79.255', 2988461952, 2988462079, 'PL', 'Poland'),
(87098, '178.32.80.0', '178.32.80.3', 2988462080, 2988462083, 'GB', 'United Kingdom'),
(87099, '178.32.80.4', '178.32.80.7', 2988462084, 2988462087, 'PL', 'Poland'),
(87100, '178.32.80.8', '178.32.80.11', 2988462088, 2988462091, 'IT', 'Italy'),
(87101, '178.32.80.12', '178.32.80.15', 2988462092, 2988462095, 'PL', 'Poland'),
(87102, '178.32.80.16', '178.32.80.39', 2988462096, 2988462119, 'FR', 'France'),
(87103, '178.32.80.40', '178.32.80.43', 2988462120, 2988462123, 'PL', 'Poland'),
(87104, '178.32.80.44', '178.32.80.47', 2988462124, 2988462127, 'GB', 'United Kingdom'),
(87105, '178.32.80.48', '178.32.80.51', 2988462128, 2988462131, 'ES', 'Spain'),
(87106, '178.32.80.52', '178.32.80.63', 2988462132, 2988462143, 'FR', 'France'),
(87107, '178.32.80.64', '178.32.80.71', 2988462144, 2988462151, 'PL', 'Poland'),
(87108, '178.32.80.72', '178.32.80.75', 2988462152, 2988462155, 'IT', 'Italy'),
(87109, '178.32.80.76', '178.32.80.79', 2988462156, 2988462159, 'NL', 'Netherlands'),
(87110, '178.32.80.80', '178.32.80.87', 2988462160, 2988462167, 'ES', 'Spain'),
(87111, '178.32.80.88', '178.32.80.91', 2988462168, 2988462171, 'PL', 'Poland'),
(87112, '178.32.80.92', '178.32.80.95', 2988462172, 2988462175, 'ES', 'Spain'),
(87113, '178.32.80.96', '178.32.80.111', 2988462176, 2988462191, 'PL', 'Poland'),
(87114, '178.32.80.112', '178.32.80.119', 2988462192, 2988462199, 'FR', 'France'),
(87115, '178.32.80.120', '178.32.80.123', 2988462200, 2988462203, 'PL', 'Poland'),
(87116, '178.32.80.124', '178.32.80.223', 2988462204, 2988462303, 'FR', 'France'),
(87117, '178.32.80.224', '178.32.80.227', 2988462304, 2988462307, 'DE', 'Germany'),
(87118, '178.32.80.228', '178.32.80.231', 2988462308, 2988462311, 'NL', 'Netherlands'),
(87119, '178.32.80.232', '178.32.80.239', 2988462312, 2988462319, 'FR', 'France'),
(87120, '178.32.80.240', '178.32.80.243', 2988462320, 2988462323, 'PL', 'Poland'),
(87121, '178.32.80.244', '178.32.80.247', 2988462324, 2988462327, 'DE', 'Germany'),
(87122, '178.32.80.248', '178.32.80.251', 2988462328, 2988462331, 'GB', 'United Kingdom'),
(87123, '178.32.80.252', '178.32.80.255', 2988462332, 2988462335, 'FR', 'France'),
(87124, '178.32.81.0', '178.32.81.127', 2988462336, 2988462463, 'ES', 'Spain'),
(87125, '178.32.81.128', '178.32.81.159', 2988462464, 2988462495, 'GB', 'United Kingdom'),
(87126, '178.32.81.160', '178.32.81.191', 2988462496, 2988462527, 'DE', 'Germany'),
(87127, '178.32.81.192', '178.32.81.223', 2988462528, 2988462559, 'NL', 'Netherlands'),
(87128, '178.32.81.224', '178.32.81.251', 2988462560, 2988462587, 'FR', 'France'),
(87129, '178.32.81.252', '178.32.81.255', 2988462588, 2988462591, 'DE', 'Germany'),
(87130, '178.32.82.0', '178.32.82.7', 2988462592, 2988462599, 'FR', 'France'),
(87131, '178.32.82.8', '178.32.82.11', 2988462600, 2988462603, 'IT', 'Italy'),
(87132, '178.32.82.12', '178.32.82.15', 2988462604, 2988462607, 'ES', 'Spain'),
(87133, '178.32.82.16', '178.32.82.143', 2988462608, 2988462735, 'FR', 'France'),
(87134, '178.32.82.144', '178.32.82.151', 2988462736, 2988462743, 'IT', 'Italy'),
(87135, '178.32.82.152', '178.32.82.159', 2988462744, 2988462751, 'FR', 'France'),
(87136, '178.32.82.160', '178.32.82.175', 2988462752, 2988462767, 'PL', 'Poland'),
(87137, '178.32.82.176', '178.32.82.183', 2988462768, 2988462775, 'GB', 'United Kingdom'),
(87138, '178.32.82.184', '178.32.82.187', 2988462776, 2988462779, 'PL', 'Poland'),
(87139, '178.32.82.188', '178.32.82.195', 2988462780, 2988462787, 'FR', 'France'),
(87140, '178.32.82.196', '178.32.82.207', 2988462788, 2988462799, 'PL', 'Poland'),
(87141, '178.32.82.208', '178.32.82.223', 2988462800, 2988462815, 'FR', 'France'),
(87142, '178.32.82.224', '178.32.82.231', 2988462816, 2988462823, 'BE', 'Belgium'),
(87143, '178.32.82.232', '178.32.82.255', 2988462824, 2988462847, 'FR', 'France'),
(87144, '178.32.83.0', '178.32.83.255', 2988462848, 2988463103, 'BE', 'Belgium'),
(87145, '178.32.84.0', '178.32.84.3', 2988463104, 2988463107, 'IT', 'Italy'),
(87146, '178.32.84.4', '178.32.84.7', 2988463108, 2988463111, 'FR', 'France'),
(87147, '178.32.84.8', '178.32.84.15', 2988463112, 2988463119, 'ES', 'Spain'),
(87148, '178.32.84.16', '178.32.84.19', 2988463120, 2988463123, 'GB', 'United Kingdom'),
(87149, '178.32.84.20', '178.32.84.23', 2988463124, 2988463127, 'ES', 'Spain'),
(87150, '178.32.84.24', '178.32.84.27', 2988463128, 2988463131, 'FR', 'France'),
(87151, '178.32.84.28', '178.32.84.31', 2988463132, 2988463135, 'PL', 'Poland'),
(87152, '178.32.84.32', '178.32.84.39', 2988463136, 2988463143, 'ES', 'Spain'),
(87153, '178.32.84.40', '178.32.84.43', 2988463144, 2988463147, 'FR', 'France'),
(87154, '178.32.84.44', '178.32.84.47', 2988463148, 2988463151, 'ES', 'Spain'),
(87155, '178.32.84.48', '178.32.84.55', 2988463152, 2988463159, 'FR', 'France'),
(87156, '178.32.84.56', '178.32.84.63', 2988463160, 2988463167, 'ES', 'Spain'),
(87157, '178.32.84.64', '178.32.84.95', 2988463168, 2988463199, 'NL', 'Netherlands'),
(87158, '178.32.84.96', '178.32.84.99', 2988463200, 2988463203, 'PL', 'Poland'),
(87159, '178.32.84.100', '178.32.84.103', 2988463204, 2988463207, 'DE', 'Germany'),
(87160, '178.32.84.104', '178.32.84.107', 2988463208, 2988463211, 'FR', 'France'),
(87161, '178.32.84.108', '178.32.84.119', 2988463212, 2988463223, 'GB', 'United Kingdom'),
(87162, '178.32.84.120', '178.32.84.123', 2988463224, 2988463227, 'ES', 'Spain'),
(87163, '178.32.84.124', '178.32.84.127', 2988463228, 2988463231, 'CH', 'Switzerland'),
(87164, '178.32.84.128', '178.32.84.147', 2988463232, 2988463251, 'FR', 'France'),
(87165, '178.32.84.148', '178.32.84.151', 2988463252, 2988463255, 'PL', 'Poland'),
(87166, '178.32.84.152', '178.32.84.155', 2988463256, 2988463259, 'IE', 'Ireland'),
(87167, '178.32.84.156', '178.32.84.159', 2988463260, 2988463263, 'CH', 'Switzerland'),
(87168, '178.32.84.160', '178.32.84.175', 2988463264, 2988463279, 'PL', 'Poland'),
(87169, '178.32.84.176', '178.32.84.179', 2988463280, 2988463283, 'GB', 'United Kingdom'),
(87170, '178.32.84.180', '178.32.84.211', 2988463284, 2988463315, 'FR', 'France'),
(87171, '178.32.84.212', '178.32.84.215', 2988463316, 2988463319, 'PL', 'Poland'),
(87172, '178.32.84.216', '178.32.84.219', 2988463320, 2988463323, 'FR', 'France'),
(87173, '178.32.84.220', '178.32.84.227', 2988463324, 2988463331, 'DE', 'Germany'),
(87174, '178.32.84.228', '178.32.84.231', 2988463332, 2988463335, 'IT', 'Italy'),
(87175, '178.32.84.232', '178.32.84.235', 2988463336, 2988463339, 'PT', 'Portugal'),
(87176, '178.32.84.236', '178.32.84.239', 2988463340, 2988463343, 'FR', 'France'),
(87177, '178.32.84.240', '178.32.84.255', 2988463344, 2988463359, 'BE', 'Belgium'),
(87178, '178.32.85.0', '178.32.85.255', 2988463360, 2988463615, 'FR', 'France'),
(87179, '178.32.86.0', '178.32.86.7', 2988463616, 2988463623, 'DE', 'Germany'),
(87180, '178.32.86.8', '178.32.86.11', 2988463624, 2988463627, 'PL', 'Poland'),
(87181, '178.32.86.12', '178.32.86.15', 2988463628, 2988463631, 'DE', 'Germany'),
(87182, '178.32.86.16', '178.32.86.31', 2988463632, 2988463647, 'GB', 'United Kingdom'),
(87183, '178.32.86.32', '178.32.86.35', 2988463648, 2988463651, 'PL', 'Poland'),
(87184, '178.32.86.36', '178.32.86.43', 2988463652, 2988463659, 'GB', 'United Kingdom'),
(87185, '178.32.86.44', '178.32.86.47', 2988463660, 2988463663, 'FR', 'France'),
(87186, '178.32.86.48', '178.32.86.63', 2988463664, 2988463679, 'PL', 'Poland'),
(87187, '178.32.86.64', '178.32.86.95', 2988463680, 2988463711, 'DE', 'Germany'),
(87188, '178.32.86.96', '178.32.86.127', 2988463712, 2988463743, 'FR', 'France'),
(87189, '178.32.86.128', '178.32.86.131', 2988463744, 2988463747, 'BE', 'Belgium'),
(87190, '178.32.86.132', '178.32.86.143', 2988463748, 2988463759, 'FR', 'France'),
(87191, '178.32.86.144', '178.32.86.159', 2988463760, 2988463775, 'DE', 'Germany'),
(87192, '178.32.86.160', '178.32.86.175', 2988463776, 2988463791, 'FR', 'France'),
(87193, '178.32.86.176', '178.32.86.187', 2988463792, 2988463803, 'GB', 'United Kingdom'),
(87194, '178.32.86.188', '178.32.86.207', 2988463804, 2988463823, 'FR', 'France'),
(87195, '178.32.86.208', '178.32.86.211', 2988463824, 2988463827, 'DE', 'Germany'),
(87196, '178.32.86.212', '178.32.86.215', 2988463828, 2988463831, 'ES', 'Spain'),
(87197, '178.32.86.216', '178.32.86.219', 2988463832, 2988463835, 'DE', 'Germany'),
(87198, '178.32.86.220', '178.32.86.223', 2988463836, 2988463839, 'FR', 'France'),
(87199, '178.32.86.224', '178.32.86.255', 2988463840, 2988463871, 'PL', 'Poland'),
(87200, '178.32.87.0', '178.32.87.35', 2988463872, 2988463907, 'FR', 'France'),
(87201, '178.32.87.36', '178.32.87.43', 2988463908, 2988463915, 'PL', 'Poland'),
(87202, '178.32.87.44', '178.32.87.47', 2988463916, 2988463919, 'GB', 'United Kingdom'),
(87203, '178.32.87.48', '178.32.87.67', 2988463920, 2988463939, 'FR', 'France'),
(87204, '178.32.87.68', '178.32.87.71', 2988463940, 2988463943, 'DE', 'Germany'),
(87205, '178.32.87.72', '178.32.87.75', 2988463944, 2988463947, 'FR', 'France'),
(87206, '178.32.87.76', '178.32.87.79', 2988463948, 2988463951, 'GB', 'United Kingdom'),
(87207, '178.32.87.80', '178.32.87.127', 2988463952, 2988463999, 'FR', 'France'),
(87208, '178.32.87.128', '178.32.87.135', 2988464000, 2988464007, 'IE', 'Ireland'),
(87209, '178.32.87.136', '178.32.87.143', 2988464008, 2988464015, 'LT', 'Lithuania'),
(87210, '178.32.87.144', '178.32.87.147', 2988464016, 2988464019, 'PT', 'Portugal'),
(87211, '178.32.87.148', '178.32.87.151', 2988464020, 2988464023, 'IT', 'Italy'),
(87212, '178.32.87.152', '178.32.87.155', 2988464024, 2988464027, 'GB', 'United Kingdom'),
(87213, '178.32.87.156', '178.32.87.159', 2988464028, 2988464031, 'PL', 'Poland'),
(87214, '178.32.87.160', '178.32.87.183', 2988464032, 2988464055, 'FR', 'France'),
(87215, '178.32.87.184', '178.32.87.187', 2988464056, 2988464059, 'ES', 'Spain'),
(87216, '178.32.87.188', '178.32.87.191', 2988464060, 2988464063, 'CZ', 'Czech Republic'),
(87217, '178.32.87.192', '178.32.87.223', 2988464064, 2988464095, 'PL', 'Poland'),
(87218, '178.32.87.224', '178.32.88.143', 2988464096, 2988464271, 'FR', 'France'),
(87219, '178.32.88.144', '178.32.88.147', 2988464272, 2988464275, 'ES', 'Spain'),
(87220, '178.32.88.148', '178.32.88.151', 2988464276, 2988464279, 'PL', 'Poland'),
(87221, '178.32.88.152', '178.32.88.155', 2988464280, 2988464283, 'FR', 'France'),
(87222, '178.32.88.156', '178.32.88.159', 2988464284, 2988464287, 'PL', 'Poland'),
(87223, '178.32.88.160', '178.32.88.167', 2988464288, 2988464295, 'FR', 'France'),
(87224, '178.32.88.168', '178.32.88.171', 2988464296, 2988464299, 'DE', 'Germany'),
(87225, '178.32.88.172', '178.32.88.175', 2988464300, 2988464303, 'GB', 'United Kingdom'),
(87226, '178.32.88.176', '178.32.88.179', 2988464304, 2988464307, 'IT', 'Italy'),
(87227, '178.32.88.180', '178.32.88.183', 2988464308, 2988464311, 'PL', 'Poland'),
(87228, '178.32.88.184', '178.32.88.223', 2988464312, 2988464351, 'FR', 'France'),
(87229, '178.32.88.224', '178.32.88.227', 2988464352, 2988464355, 'DE', 'Germany'),
(87230, '178.32.88.228', '178.32.88.231', 2988464356, 2988464359, 'FR', 'France'),
(87231, '178.32.88.232', '178.32.88.235', 2988464360, 2988464363, 'PL', 'Poland'),
(87232, '178.32.88.236', '178.32.88.239', 2988464364, 2988464367, 'GB', 'United Kingdom'),
(87233, '178.32.88.240', '178.32.89.143', 2988464368, 2988464527, 'FR', 'France'),
(87234, '178.32.89.144', '178.32.89.159', 2988464528, 2988464543, 'DE', 'Germany'),
(87235, '178.32.89.160', '178.32.89.167', 2988464544, 2988464551, 'FR', 'France'),
(87236, '178.32.89.168', '178.32.89.171', 2988464552, 2988464555, 'IT', 'Italy'),
(87237, '178.32.89.172', '178.32.89.175', 2988464556, 2988464559, 'NL', 'Netherlands'),
(87238, '178.32.89.176', '178.32.89.191', 2988464560, 2988464575, 'ES', 'Spain'),
(87239, '178.32.89.192', '178.32.89.207', 2988464576, 2988464591, 'GB', 'United Kingdom'),
(87240, '178.32.89.208', '178.32.89.223', 2988464592, 2988464607, 'FR', 'France'),
(87241, '178.32.89.224', '178.32.89.227', 2988464608, 2988464611, 'DE', 'Germany'),
(87242, '178.32.89.228', '178.32.89.235', 2988464612, 2988464619, 'PL', 'Poland'),
(87243, '178.32.89.236', '178.32.89.239', 2988464620, 2988464623, 'ES', 'Spain'),
(87244, '178.32.89.240', '178.32.89.243', 2988464624, 2988464627, 'FR', 'France'),
(87245, '178.32.89.244', '178.32.89.247', 2988464628, 2988464631, 'IT', 'Italy'),
(87246, '178.32.89.248', '178.32.90.139', 2988464632, 2988464779, 'FR', 'France'),
(87247, '178.32.90.140', '178.32.90.143', 2988464780, 2988464783, 'PL', 'Poland'),
(87248, '178.32.90.144', '178.32.90.147', 2988464784, 2988464787, 'IT', 'Italy'),
(87249, '178.32.90.148', '178.32.90.151', 2988464788, 2988464791, 'ES', 'Spain'),
(87250, '178.32.90.152', '178.32.90.155', 2988464792, 2988464795, 'FR', 'France'),
(87251, '178.32.90.156', '178.32.90.159', 2988464796, 2988464799, 'GB', 'United Kingdom'),
(87252, '178.32.90.160', '178.32.90.175', 2988464800, 2988464815, 'DE', 'Germany'),
(87253, '178.32.90.176', '178.32.90.179', 2988464816, 2988464819, 'FR', 'France'),
(87254, '178.32.90.180', '178.32.90.183', 2988464820, 2988464823, 'GB', 'United Kingdom'),
(87255, '178.32.90.184', '178.32.90.187', 2988464824, 2988464827, 'CZ', 'Czech Republic'),
(87256, '178.32.90.188', '178.32.90.191', 2988464828, 2988464831, 'PL', 'Poland'),
(87257, '178.32.90.192', '178.32.90.255', 2988464832, 2988464895, 'FR', 'France'),
(87258, '178.32.91.0', '178.32.91.15', 2988464896, 2988464911, 'PL', 'Poland'),
(87259, '178.32.91.16', '178.32.91.19', 2988464912, 2988464915, 'NL', 'Netherlands'),
(87260, '178.32.91.20', '178.32.91.23', 2988464916, 2988464919, 'DE', 'Germany'),
(87261, '178.32.91.24', '178.32.91.27', 2988464920, 2988464923, 'FI', 'Finland'),
(87262, '178.32.91.28', '178.32.91.31', 2988464924, 2988464927, 'FR', 'France'),
(87263, '178.32.91.32', '178.32.91.47', 2988464928, 2988464943, 'ES', 'Spain'),
(87264, '178.32.91.48', '178.32.91.51', 2988464944, 2988464947, 'FR', 'France'),
(87265, '178.32.91.52', '178.32.91.55', 2988464948, 2988464951, 'CH', 'Switzerland'),
(87266, '178.32.91.56', '178.32.91.59', 2988464952, 2988464955, 'FR', 'France'),
(87267, '178.32.91.60', '178.32.91.63', 2988464956, 2988464959, 'GB', 'United Kingdom'),
(87268, '178.32.91.64', '178.32.91.67', 2988464960, 2988464963, 'IT', 'Italy'),
(87269, '178.32.91.68', '178.32.91.71', 2988464964, 2988464967, 'LT', 'Lithuania'),
(87270, '178.32.91.72', '178.32.91.75', 2988464968, 2988464971, 'PT', 'Portugal'),
(87271, '178.32.91.76', '178.32.91.79', 2988464972, 2988464975, 'PL', 'Poland'),
(87272, '178.32.91.80', '178.32.92.63', 2988464976, 2988465215, 'FR', 'France'),
(87273, '178.32.92.64', '178.32.92.67', 2988465216, 2988465219, 'ES', 'Spain'),
(87274, '178.32.92.68', '178.32.92.71', 2988465220, 2988465223, 'IE', 'Ireland'),
(87275, '178.32.92.72', '178.32.92.83', 2988465224, 2988465235, 'FR', 'France'),
(87276, '178.32.92.84', '178.32.92.87', 2988465236, 2988465239, 'ES', 'Spain'),
(87277, '178.32.92.88', '178.32.92.127', 2988465240, 2988465279, 'FR', 'France'),
(87278, '178.32.92.128', '178.32.92.143', 2988465280, 2988465295, 'DE', 'Germany'),
(87279, '178.32.92.144', '178.32.92.147', 2988465296, 2988465299, 'IT', 'Italy'),
(87280, '178.32.92.148', '178.32.92.191', 2988465300, 2988465343, 'FR', 'France'),
(87281, '178.32.92.192', '178.32.92.211', 2988465344, 2988465363, 'DE', 'Germany'),
(87282, '178.32.92.212', '178.32.92.215', 2988465364, 2988465367, 'PL', 'Poland'),
(87283, '178.32.92.216', '178.32.92.223', 2988465368, 2988465375, 'FR', 'France'),
(87284, '178.32.92.224', '178.32.92.239', 2988465376, 2988465391, 'IT', 'Italy'),
(87285, '178.32.92.240', '178.32.92.243', 2988465392, 2988465395, 'ES', 'Spain'),
(87286, '178.32.92.244', '178.32.92.247', 2988465396, 2988465399, 'GB', 'United Kingdom'),
(87287, '178.32.92.248', '178.32.92.251', 2988465400, 2988465403, 'PT', 'Portugal'),
(87288, '178.32.92.252', '178.32.92.255', 2988465404, 2988465407, 'DE', 'Germany'),
(87289, '178.32.93.0', '178.32.93.15', 2988465408, 2988465423, 'CH', 'Switzerland'),
(87290, '178.32.93.16', '178.32.93.31', 2988465424, 2988465439, 'PT', 'Portugal'),
(87291, '178.32.93.32', '178.32.93.47', 2988465440, 2988465455, 'GB', 'United Kingdom'),
(87292, '178.32.93.48', '178.32.93.71', 2988465456, 2988465479, 'FR', 'France'),
(87293, '178.32.93.72', '178.32.93.75', 2988465480, 2988465483, 'NL', 'Netherlands'),
(87294, '178.32.93.76', '178.32.93.95', 2988465484, 2988465503, 'FR', 'France'),
(87295, '178.32.93.96', '178.32.93.99', 2988465504, 2988465507, 'DE', 'Germany'),
(87296, '178.32.93.100', '178.32.93.103', 2988465508, 2988465511, 'PL', 'Poland'),
(87297, '178.32.93.104', '178.32.93.107', 2988465512, 2988465515, 'PT', 'Portugal'),
(87298, '178.32.93.108', '178.32.93.111', 2988465516, 2988465519, 'GB', 'United Kingdom'),
(87299, '178.32.93.112', '178.32.93.115', 2988465520, 2988465523, 'IT', 'Italy'),
(87300, '178.32.93.116', '178.32.93.119', 2988465524, 2988465527, 'ES', 'Spain'),
(87301, '178.32.93.120', '178.32.93.123', 2988465528, 2988465531, 'FR', 'France'),
(87302, '178.32.93.124', '178.32.93.127', 2988465532, 2988465535, 'GB', 'United Kingdom'),
(87303, '178.32.93.128', '178.32.93.131', 2988465536, 2988465539, 'FR', 'France'),
(87304, '178.32.93.132', '178.32.93.135', 2988465540, 2988465543, 'GB', 'United Kingdom'),
(87305, '178.32.93.136', '178.32.93.139', 2988465544, 2988465547, 'CZ', 'Czech Republic'),
(87306, '178.32.93.140', '178.32.93.143', 2988465548, 2988465551, 'IT', 'Italy'),
(87307, '178.32.93.144', '178.32.93.151', 2988465552, 2988465559, 'ES', 'Spain'),
(87308, '178.32.93.152', '178.32.93.159', 2988465560, 2988465567, 'GB', 'United Kingdom'),
(87309, '178.32.93.160', '178.32.93.163', 2988465568, 2988465571, 'ES', 'Spain'),
(87310, '178.32.93.164', '178.32.93.167', 2988465572, 2988465575, 'GB', 'United Kingdom'),
(87311, '178.32.93.168', '178.32.93.175', 2988465576, 2988465583, 'DE', 'Germany'),
(87312, '178.32.93.176', '178.32.93.179', 2988465584, 2988465587, 'PL', 'Poland'),
(87313, '178.32.93.180', '178.32.93.183', 2988465588, 2988465591, 'ES', 'Spain'),
(87314, '178.32.93.184', '178.32.93.191', 2988465592, 2988465599, 'FR', 'France'),
(87315, '178.32.93.192', '178.32.93.207', 2988465600, 2988465615, 'PL', 'Poland'),
(87316, '178.32.93.208', '178.32.93.211', 2988465616, 2988465619, 'FR', 'France'),
(87317, '178.32.93.212', '178.32.93.215', 2988465620, 2988465623, 'IT', 'Italy'),
(87318, '178.32.93.216', '178.32.93.223', 2988465624, 2988465631, 'FR', 'France'),
(87319, '178.32.93.224', '178.32.93.239', 2988465632, 2988465647, 'IT', 'Italy'),
(87320, '178.32.93.240', '178.32.93.247', 2988465648, 2988465655, 'CZ', 'Czech Republic'),
(87321, '178.32.93.248', '178.32.93.255', 2988465656, 2988465663, 'GB', 'United Kingdom'),
(87322, '178.32.94.0', '178.32.95.127', 2988465664, 2988466047, 'FR', 'France'),
(87323, '178.32.95.128', '178.32.95.191', 2988466048, 2988466111, 'PL', 'Poland'),
(87324, '178.32.95.192', '178.32.95.199', 2988466112, 2988466119, 'FR', 'France'),
(87325, '178.32.95.200', '178.32.95.207', 2988466120, 2988466127, 'NL', 'Netherlands'),
(87326, '178.32.95.208', '178.32.95.211', 2988466128, 2988466131, 'PL', 'Poland'),
(87327, '178.32.95.212', '178.32.95.219', 2988466132, 2988466139, 'FR', 'France'),
(87328, '178.32.95.220', '178.32.95.223', 2988466140, 2988466143, 'PL', 'Poland'),
(87329, '178.32.95.224', '178.32.95.239', 2988466144, 2988466159, 'NL', 'Netherlands'),
(87330, '178.32.95.240', '178.32.135.255', 2988466160, 2988476415, 'FR', 'France'),
(87331, '178.32.136.0', '178.32.143.255', 2988476416, 2988478463, 'IT', 'Italy'),
(87332, '178.32.144.0', '178.32.144.23', 2988478464, 2988478487, 'FR', 'France'),
(87333, '178.32.144.24', '178.32.144.27', 2988478488, 2988478491, 'NL', 'Netherlands'),
(87334, '178.32.144.28', '178.32.144.31', 2988478492, 2988478495, 'GB', 'United Kingdom'),
(87335, '178.32.144.32', '178.32.144.35', 2988478496, 2988478499, 'IT', 'Italy'),
(87336, '178.32.144.36', '178.32.144.39', 2988478500, 2988478503, 'ES', 'Spain'),
(87337, '178.32.144.40', '178.32.144.43', 2988478504, 2988478507, 'FR', 'France'),
(87338, '178.32.144.44', '178.32.144.47', 2988478508, 2988478511, 'LT', 'Lithuania'),
(87339, '178.32.144.48', '178.32.144.79', 2988478512, 2988478543, 'FR', 'France'),
(87340, '178.32.144.80', '178.32.144.95', 2988478544, 2988478559, 'NL', 'Netherlands'),
(87341, '178.32.144.96', '178.32.144.99', 2988478560, 2988478563, 'ES', 'Spain'),
(87342, '178.32.144.100', '178.32.144.103', 2988478564, 2988478567, 'BE', 'Belgium'),
(87343, '178.32.144.104', '178.32.144.107', 2988478568, 2988478571, 'PT', 'Portugal'),
(87344, '178.32.144.108', '178.32.144.111', 2988478572, 2988478575, 'FR', 'France'),
(87345, '178.32.144.112', '178.32.144.115', 2988478576, 2988478579, 'PL', 'Poland'),
(87346, '178.32.144.116', '178.32.144.119', 2988478580, 2988478583, 'DE', 'Germany'),
(87347, '178.32.144.120', '178.32.144.123', 2988478584, 2988478587, 'ES', 'Spain'),
(87348, '178.32.144.124', '178.32.144.127', 2988478588, 2988478591, 'DE', 'Germany'),
(87349, '178.32.144.128', '178.32.144.159', 2988478592, 2988478623, 'FR', 'France'),
(87350, '178.32.144.160', '178.32.144.175', 2988478624, 2988478639, 'GB', 'United Kingdom'),
(87351, '178.32.144.176', '178.32.144.179', 2988478640, 2988478643, 'CH', 'Switzerland'),
(87352, '178.32.144.180', '178.32.144.183', 2988478644, 2988478647, 'CZ', 'Czech Republic'),
(87353, '178.32.144.184', '178.32.144.191', 2988478648, 2988478655, 'BE', 'Belgium'),
(87354, '178.32.144.192', '178.32.144.207', 2988478656, 2988478671, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(87355, '178.32.144.208', '178.32.144.219', 2988478672, 2988478683, 'FR', 'France'),
(87356, '178.32.144.220', '178.32.144.223', 2988478684, 2988478687, 'CZ', 'Czech Republic'),
(87357, '178.32.144.224', '178.32.145.31', 2988478688, 2988478751, 'FR', 'France'),
(87358, '178.32.145.32', '178.32.145.63', 2988478752, 2988478783, 'GB', 'United Kingdom'),
(87359, '178.32.145.64', '178.32.145.67', 2988478784, 2988478787, 'CH', 'Switzerland'),
(87360, '178.32.145.68', '178.32.145.71', 2988478788, 2988478791, 'PL', 'Poland'),
(87361, '178.32.145.72', '178.32.145.75', 2988478792, 2988478795, 'FR', 'France'),
(87362, '178.32.145.76', '178.32.145.79', 2988478796, 2988478799, 'DE', 'Germany'),
(87363, '178.32.145.80', '178.32.145.83', 2988478800, 2988478803, 'NL', 'Netherlands'),
(87364, '178.32.145.84', '178.32.145.87', 2988478804, 2988478807, 'PL', 'Poland'),
(87365, '178.32.145.88', '178.32.145.91', 2988478808, 2988478811, 'DE', 'Germany'),
(87366, '178.32.145.92', '178.32.145.95', 2988478812, 2988478815, 'GB', 'United Kingdom'),
(87367, '178.32.145.96', '178.32.145.127', 2988478816, 2988478847, 'PL', 'Poland'),
(87368, '178.32.145.128', '178.32.145.135', 2988478848, 2988478855, 'DE', 'Germany'),
(87369, '178.32.145.136', '178.32.145.139', 2988478856, 2988478859, 'LT', 'Lithuania'),
(87370, '178.32.145.140', '178.32.145.143', 2988478860, 2988478863, 'PL', 'Poland'),
(87371, '178.32.145.144', '178.32.145.147', 2988478864, 2988478867, 'CZ', 'Czech Republic'),
(87372, '178.32.145.148', '178.32.145.151', 2988478868, 2988478871, 'DE', 'Germany'),
(87373, '178.32.145.152', '178.32.145.159', 2988478872, 2988478879, 'IT', 'Italy'),
(87374, '178.32.145.160', '178.32.145.191', 2988478880, 2988478911, 'IE', 'Ireland'),
(87375, '178.32.145.192', '178.32.145.223', 2988478912, 2988478943, 'IT', 'Italy'),
(87376, '178.32.145.224', '178.32.145.227', 2988478944, 2988478947, 'FR', 'France'),
(87377, '178.32.145.228', '178.32.145.231', 2988478948, 2988478951, 'GB', 'United Kingdom'),
(87378, '178.32.145.232', '178.32.145.235', 2988478952, 2988478955, 'ES', 'Spain'),
(87379, '178.32.145.236', '178.32.145.239', 2988478956, 2988478959, 'DE', 'Germany'),
(87380, '178.32.145.240', '178.32.145.255', 2988478960, 2988478975, 'NL', 'Netherlands'),
(87381, '178.32.146.0', '178.32.146.3', 2988478976, 2988478979, 'DE', 'Germany'),
(87382, '178.32.146.4', '178.32.146.7', 2988478980, 2988478983, 'PL', 'Poland'),
(87383, '178.32.146.8', '178.32.146.19', 2988478984, 2988478995, 'DE', 'Germany'),
(87384, '178.32.146.20', '178.32.146.23', 2988478996, 2988478999, 'IE', 'Ireland'),
(87385, '178.32.146.24', '178.32.146.27', 2988479000, 2988479003, 'GB', 'United Kingdom'),
(87386, '178.32.146.28', '178.32.146.31', 2988479004, 2988479007, 'PL', 'Poland'),
(87387, '178.32.146.32', '178.32.146.79', 2988479008, 2988479055, 'FR', 'France'),
(87388, '178.32.146.80', '178.32.146.95', 2988479056, 2988479071, 'PL', 'Poland'),
(87389, '178.32.146.96', '178.32.146.99', 2988479072, 2988479075, 'BE', 'Belgium'),
(87390, '178.32.146.100', '178.32.146.103', 2988479076, 2988479079, 'FR', 'France'),
(87391, '178.32.146.104', '178.32.146.111', 2988479080, 2988479087, 'DE', 'Germany'),
(87392, '178.32.146.112', '178.32.146.127', 2988479088, 2988479103, 'FR', 'France'),
(87393, '178.32.146.128', '178.32.146.131', 2988479104, 2988479107, 'PL', 'Poland'),
(87394, '178.32.146.132', '178.32.146.143', 2988479108, 2988479119, 'FR', 'France'),
(87395, '178.32.146.144', '178.32.146.159', 2988479120, 2988479135, 'PT', 'Portugal'),
(87396, '178.32.146.160', '178.32.147.15', 2988479136, 2988479247, 'FR', 'France'),
(87397, '178.32.147.16', '178.32.147.19', 2988479248, 2988479251, 'ES', 'Spain'),
(87398, '178.32.147.20', '178.32.147.23', 2988479252, 2988479255, 'FR', 'France'),
(87399, '178.32.147.24', '178.32.147.27', 2988479256, 2988479259, 'PL', 'Poland'),
(87400, '178.32.147.28', '178.32.147.79', 2988479260, 2988479311, 'FR', 'France'),
(87401, '178.32.147.80', '178.32.147.83', 2988479312, 2988479315, 'PT', 'Portugal'),
(87402, '178.32.147.84', '178.32.147.87', 2988479316, 2988479319, 'IT', 'Italy'),
(87403, '178.32.147.88', '178.32.147.91', 2988479320, 2988479323, 'GB', 'United Kingdom'),
(87404, '178.32.147.92', '178.32.147.95', 2988479324, 2988479327, 'IT', 'Italy'),
(87405, '178.32.147.96', '178.32.147.127', 2988479328, 2988479359, 'GB', 'United Kingdom'),
(87406, '178.32.147.128', '178.32.147.131', 2988479360, 2988479363, 'ES', 'Spain'),
(87407, '178.32.147.132', '178.32.147.147', 2988479364, 2988479379, 'PL', 'Poland'),
(87408, '178.32.147.148', '178.32.147.151', 2988479380, 2988479383, 'IE', 'Ireland'),
(87409, '178.32.147.152', '178.32.147.159', 2988479384, 2988479391, 'PL', 'Poland'),
(87410, '178.32.147.160', '178.32.147.175', 2988479392, 2988479407, 'IE', 'Ireland'),
(87411, '178.32.147.176', '178.32.147.191', 2988479408, 2988479423, 'IT', 'Italy'),
(87412, '178.32.147.192', '178.32.147.207', 2988479424, 2988479439, 'ES', 'Spain'),
(87413, '178.32.147.208', '178.32.147.215', 2988479440, 2988479447, 'NL', 'Netherlands'),
(87414, '178.32.147.216', '178.32.147.219', 2988479448, 2988479451, 'GB', 'United Kingdom'),
(87415, '178.32.147.220', '178.32.148.15', 2988479452, 2988479503, 'FR', 'France'),
(87416, '178.32.148.16', '178.32.148.23', 2988479504, 2988479511, 'NL', 'Netherlands'),
(87417, '178.32.148.24', '178.32.148.31', 2988479512, 2988479519, 'PL', 'Poland'),
(87418, '178.32.148.32', '178.32.148.63', 2988479520, 2988479551, 'FR', 'France'),
(87419, '178.32.148.64', '178.32.148.67', 2988479552, 2988479555, 'DE', 'Germany'),
(87420, '178.32.148.68', '178.32.148.71', 2988479556, 2988479559, 'FR', 'France'),
(87421, '178.32.148.72', '178.32.148.75', 2988479560, 2988479563, 'FI', 'Finland'),
(87422, '178.32.148.76', '178.32.148.87', 2988479564, 2988479575, 'FR', 'France'),
(87423, '178.32.148.88', '178.32.148.91', 2988479576, 2988479579, 'GB', 'United Kingdom'),
(87424, '178.32.148.92', '178.32.148.95', 2988479580, 2988479583, 'PT', 'Portugal'),
(87425, '178.32.148.96', '178.32.148.111', 2988479584, 2988479599, 'ES', 'Spain'),
(87426, '178.32.148.112', '178.32.148.115', 2988479600, 2988479603, 'PL', 'Poland'),
(87427, '178.32.148.116', '178.32.148.119', 2988479604, 2988479607, 'GB', 'United Kingdom'),
(87428, '178.32.148.120', '178.32.148.255', 2988479608, 2988479743, 'FR', 'France'),
(87429, '178.32.149.0', '178.32.149.3', 2988479744, 2988479747, 'ES', 'Spain'),
(87430, '178.32.149.4', '178.32.149.7', 2988479748, 2988479751, 'FR', 'France'),
(87431, '178.32.149.8', '178.32.149.11', 2988479752, 2988479755, 'GB', 'United Kingdom'),
(87432, '178.32.149.12', '178.32.149.39', 2988479756, 2988479783, 'FR', 'France'),
(87433, '178.32.149.40', '178.32.149.43', 2988479784, 2988479787, 'GB', 'United Kingdom'),
(87434, '178.32.149.44', '178.32.149.47', 2988479788, 2988479791, 'ES', 'Spain'),
(87435, '178.32.149.48', '178.32.149.63', 2988479792, 2988479807, 'GB', 'United Kingdom'),
(87436, '178.32.149.64', '178.32.149.95', 2988479808, 2988479839, 'BE', 'Belgium'),
(87437, '178.32.149.96', '178.32.149.111', 2988479840, 2988479855, 'FR', 'France'),
(87438, '178.32.149.112', '178.32.149.119', 2988479856, 2988479863, 'PL', 'Poland'),
(87439, '178.32.149.120', '178.32.149.127', 2988479864, 2988479871, 'FR', 'France'),
(87440, '178.32.149.128', '178.32.149.255', 2988479872, 2988479999, 'BE', 'Belgium'),
(87441, '178.32.150.0', '178.32.150.3', 2988480000, 2988480003, 'DE', 'Germany'),
(87442, '178.32.150.4', '178.32.150.7', 2988480004, 2988480007, 'GB', 'United Kingdom'),
(87443, '178.32.150.8', '178.32.150.11', 2988480008, 2988480011, 'NL', 'Netherlands'),
(87444, '178.32.150.12', '178.32.150.15', 2988480012, 2988480015, 'GB', 'United Kingdom'),
(87445, '178.32.150.16', '178.32.150.31', 2988480016, 2988480031, 'CH', 'Switzerland'),
(87446, '178.32.150.32', '178.32.150.47', 2988480032, 2988480047, 'IE', 'Ireland'),
(87447, '178.32.150.48', '178.32.150.63', 2988480048, 2988480063, 'FR', 'France'),
(87448, '178.32.150.64', '178.32.150.127', 2988480064, 2988480127, 'ES', 'Spain'),
(87449, '178.32.150.128', '178.32.150.143', 2988480128, 2988480143, 'FR', 'France'),
(87450, '178.32.150.144', '178.32.150.147', 2988480144, 2988480147, 'GB', 'United Kingdom'),
(87451, '178.32.150.148', '178.32.150.159', 2988480148, 2988480159, 'FR', 'France'),
(87452, '178.32.150.160', '178.32.150.175', 2988480160, 2988480175, 'IE', 'Ireland'),
(87453, '178.32.150.176', '178.32.150.191', 2988480176, 2988480191, 'FR', 'France'),
(87454, '178.32.150.192', '178.32.150.207', 2988480192, 2988480207, 'IT', 'Italy'),
(87455, '178.32.150.208', '178.32.150.223', 2988480208, 2988480223, 'FR', 'France'),
(87456, '178.32.150.224', '178.32.150.227', 2988480224, 2988480227, 'IT', 'Italy'),
(87457, '178.32.150.228', '178.32.150.231', 2988480228, 2988480231, 'LT', 'Lithuania'),
(87458, '178.32.150.232', '178.32.150.235', 2988480232, 2988480235, 'FR', 'France'),
(87459, '178.32.150.236', '178.32.150.239', 2988480236, 2988480239, 'IT', 'Italy'),
(87460, '178.32.150.240', '178.32.151.7', 2988480240, 2988480263, 'FR', 'France'),
(87461, '178.32.151.8', '178.32.151.11', 2988480264, 2988480267, 'NL', 'Netherlands'),
(87462, '178.32.151.12', '178.32.151.15', 2988480268, 2988480271, 'FR', 'France'),
(87463, '178.32.151.16', '178.32.151.19', 2988480272, 2988480275, 'IE', 'Ireland'),
(87464, '178.32.151.20', '178.32.151.23', 2988480276, 2988480279, 'ES', 'Spain'),
(87465, '178.32.151.24', '178.32.151.27', 2988480280, 2988480283, 'GB', 'United Kingdom'),
(87466, '178.32.151.28', '178.32.151.31', 2988480284, 2988480287, 'PL', 'Poland'),
(87467, '178.32.151.32', '178.32.151.127', 2988480288, 2988480383, 'FR', 'France'),
(87468, '178.32.151.128', '178.32.151.159', 2988480384, 2988480415, 'PL', 'Poland'),
(87469, '178.32.151.160', '178.32.151.175', 2988480416, 2988480431, 'DE', 'Germany'),
(87470, '178.32.151.176', '178.32.151.179', 2988480432, 2988480435, 'FR', 'France'),
(87471, '178.32.151.180', '178.32.151.183', 2988480436, 2988480439, 'DE', 'Germany'),
(87472, '178.32.151.184', '178.32.151.187', 2988480440, 2988480443, 'NL', 'Netherlands'),
(87473, '178.32.151.188', '178.32.151.191', 2988480444, 2988480447, 'GB', 'United Kingdom'),
(87474, '178.32.151.192', '178.32.151.211', 2988480448, 2988480467, 'FR', 'France'),
(87475, '178.32.151.212', '178.32.151.215', 2988480468, 2988480471, 'DE', 'Germany'),
(87476, '178.32.151.216', '178.32.151.219', 2988480472, 2988480475, 'FR', 'France'),
(87477, '178.32.151.220', '178.32.151.223', 2988480476, 2988480479, 'PT', 'Portugal'),
(87478, '178.32.151.224', '178.32.151.231', 2988480480, 2988480487, 'FR', 'France'),
(87479, '178.32.151.232', '178.32.151.239', 2988480488, 2988480495, 'GB', 'United Kingdom'),
(87480, '178.32.151.240', '178.32.151.243', 2988480496, 2988480499, 'NL', 'Netherlands'),
(87481, '178.32.151.244', '178.32.151.255', 2988480500, 2988480511, 'FR', 'France'),
(87482, '178.32.152.0', '178.32.152.255', 2988480512, 2988480767, 'GB', 'United Kingdom'),
(87483, '178.32.153.0', '178.32.153.3', 2988480768, 2988480771, 'ES', 'Spain'),
(87484, '178.32.153.4', '178.32.153.7', 2988480772, 2988480775, 'IT', 'Italy'),
(87485, '178.32.153.8', '178.32.153.15', 2988480776, 2988480783, 'FR', 'France'),
(87486, '178.32.153.16', '178.32.153.31', 2988480784, 2988480799, 'GB', 'United Kingdom'),
(87487, '178.32.153.32', '178.32.153.35', 2988480800, 2988480803, 'FR', 'France'),
(87488, '178.32.153.36', '178.32.153.39', 2988480804, 2988480807, 'PL', 'Poland'),
(87489, '178.32.153.40', '178.32.153.43', 2988480808, 2988480811, 'FR', 'France'),
(87490, '178.32.153.44', '178.32.153.47', 2988480812, 2988480815, 'PL', 'Poland'),
(87491, '178.32.153.48', '178.32.153.59', 2988480816, 2988480827, 'FR', 'France'),
(87492, '178.32.153.60', '178.32.153.63', 2988480828, 2988480831, 'ES', 'Spain'),
(87493, '178.32.153.64', '178.32.153.127', 2988480832, 2988480895, 'PL', 'Poland'),
(87494, '178.32.153.128', '178.32.153.135', 2988480896, 2988480903, 'NL', 'Netherlands'),
(87495, '178.32.153.136', '178.32.153.143', 2988480904, 2988480911, 'FR', 'France'),
(87496, '178.32.153.144', '178.32.153.147', 2988480912, 2988480915, 'BE', 'Belgium'),
(87497, '178.32.153.148', '178.32.153.151', 2988480916, 2988480919, 'FR', 'France'),
(87498, '178.32.153.152', '178.32.153.155', 2988480920, 2988480923, 'FI', 'Finland'),
(87499, '178.32.153.156', '178.32.153.159', 2988480924, 2988480927, 'BE', 'Belgium'),
(87500, '178.32.153.160', '178.32.153.191', 2988480928, 2988480959, 'ES', 'Spain'),
(87501, '178.32.153.192', '178.32.153.207', 2988480960, 2988480975, 'PL', 'Poland'),
(87502, '178.32.153.208', '178.32.153.223', 2988480976, 2988480991, 'CH', 'Switzerland'),
(87503, '178.32.153.224', '178.32.153.239', 2988480992, 2988481007, 'DE', 'Germany'),
(87504, '178.32.153.240', '178.32.153.255', 2988481008, 2988481023, 'FI', 'Finland'),
(87505, '178.32.154.0', '178.32.154.31', 2988481024, 2988481055, 'FR', 'France'),
(87506, '178.32.154.32', '178.32.154.35', 2988481056, 2988481059, 'PL', 'Poland'),
(87507, '178.32.154.36', '178.32.154.39', 2988481060, 2988481063, 'FI', 'Finland'),
(87508, '178.32.154.40', '178.32.154.47', 2988481064, 2988481071, 'FR', 'France'),
(87509, '178.32.154.48', '178.32.154.55', 2988481072, 2988481079, 'NL', 'Netherlands'),
(87510, '178.32.154.56', '178.32.154.95', 2988481080, 2988481119, 'FR', 'France'),
(87511, '178.32.154.96', '178.32.154.103', 2988481120, 2988481127, 'PL', 'Poland'),
(87512, '178.32.154.104', '178.32.154.107', 2988481128, 2988481131, 'NL', 'Netherlands'),
(87513, '178.32.154.108', '178.32.154.111', 2988481132, 2988481135, 'GB', 'United Kingdom'),
(87514, '178.32.154.112', '178.32.154.127', 2988481136, 2988481151, 'LT', 'Lithuania'),
(87515, '178.32.154.128', '178.32.154.135', 2988481152, 2988481159, 'GB', 'United Kingdom'),
(87516, '178.32.154.136', '178.32.154.139', 2988481160, 2988481163, 'PL', 'Poland'),
(87517, '178.32.154.140', '178.32.154.143', 2988481164, 2988481167, 'IE', 'Ireland'),
(87518, '178.32.154.144', '178.32.154.155', 2988481168, 2988481179, 'FR', 'France'),
(87519, '178.32.154.156', '178.32.154.159', 2988481180, 2988481183, 'ES', 'Spain'),
(87520, '178.32.154.160', '178.32.154.163', 2988481184, 2988481187, 'DE', 'Germany'),
(87521, '178.32.154.164', '178.32.154.167', 2988481188, 2988481191, 'GB', 'United Kingdom'),
(87522, '178.32.154.168', '178.32.154.171', 2988481192, 2988481195, 'ES', 'Spain'),
(87523, '178.32.154.172', '178.32.154.175', 2988481196, 2988481199, 'FR', 'France'),
(87524, '178.32.154.176', '178.32.154.179', 2988481200, 2988481203, 'PL', 'Poland'),
(87525, '178.32.154.180', '178.32.154.187', 2988481204, 2988481211, 'ES', 'Spain'),
(87526, '178.32.154.188', '178.32.154.191', 2988481212, 2988481215, 'FR', 'France'),
(87527, '178.32.154.192', '178.32.154.195', 2988481216, 2988481219, 'GB', 'United Kingdom'),
(87528, '178.32.154.196', '178.32.154.199', 2988481220, 2988481223, 'FR', 'France'),
(87529, '178.32.154.200', '178.32.154.203', 2988481224, 2988481227, 'GB', 'United Kingdom'),
(87530, '178.32.154.204', '178.32.154.207', 2988481228, 2988481231, 'BE', 'Belgium'),
(87531, '178.32.154.208', '178.32.154.255', 2988481232, 2988481279, 'FR', 'France'),
(87532, '178.32.155.0', '178.32.155.255', 2988481280, 2988481535, 'GB', 'United Kingdom'),
(87533, '178.32.156.0', '178.32.156.127', 2988481536, 2988481663, 'IE', 'Ireland'),
(87534, '178.32.156.128', '178.32.156.131', 2988481664, 2988481667, 'FR', 'France'),
(87535, '178.32.156.132', '178.32.156.135', 2988481668, 2988481671, 'CH', 'Switzerland'),
(87536, '178.32.156.136', '178.32.156.139', 2988481672, 2988481675, 'FR', 'France'),
(87537, '178.32.156.140', '178.32.156.143', 2988481676, 2988481679, 'NL', 'Netherlands'),
(87538, '178.32.156.144', '178.32.156.159', 2988481680, 2988481695, 'PL', 'Poland'),
(87539, '178.32.156.160', '178.32.156.175', 2988481696, 2988481711, 'ES', 'Spain'),
(87540, '178.32.156.176', '178.32.156.183', 2988481712, 2988481719, 'PL', 'Poland'),
(87541, '178.32.156.184', '178.32.156.187', 2988481720, 2988481723, 'GB', 'United Kingdom'),
(87542, '178.32.156.188', '178.32.156.191', 2988481724, 2988481727, 'PL', 'Poland'),
(87543, '178.32.156.192', '178.32.156.199', 2988481728, 2988481735, 'BE', 'Belgium'),
(87544, '178.32.156.200', '178.32.156.203', 2988481736, 2988481739, 'FR', 'France'),
(87545, '178.32.156.204', '178.32.156.207', 2988481740, 2988481743, 'DE', 'Germany'),
(87546, '178.32.156.208', '178.32.156.223', 2988481744, 2988481759, 'ES', 'Spain'),
(87547, '178.32.156.224', '178.32.156.231', 2988481760, 2988481767, 'FR', 'France'),
(87548, '178.32.156.232', '178.32.156.235', 2988481768, 2988481771, 'GB', 'United Kingdom'),
(87549, '178.32.156.236', '178.32.156.239', 2988481772, 2988481775, 'DE', 'Germany'),
(87550, '178.32.156.240', '178.32.156.247', 2988481776, 2988481783, 'BE', 'Belgium'),
(87551, '178.32.156.248', '178.32.156.255', 2988481784, 2988481791, 'PL', 'Poland'),
(87552, '178.32.157.0', '178.32.157.63', 2988481792, 2988481855, 'FR', 'France'),
(87553, '178.32.157.64', '178.32.157.67', 2988481856, 2988481859, 'GB', 'United Kingdom'),
(87554, '178.32.157.68', '178.32.157.71', 2988481860, 2988481863, 'ES', 'Spain'),
(87555, '178.32.157.72', '178.32.157.75', 2988481864, 2988481867, 'FR', 'France'),
(87556, '178.32.157.76', '178.32.157.79', 2988481868, 2988481871, 'IT', 'Italy'),
(87557, '178.32.157.80', '178.32.157.91', 2988481872, 2988481883, 'FR', 'France'),
(87558, '178.32.157.92', '178.32.157.95', 2988481884, 2988481887, 'ES', 'Spain'),
(87559, '178.32.157.96', '178.32.157.111', 2988481888, 2988481903, 'GB', 'United Kingdom'),
(87560, '178.32.157.112', '178.32.157.127', 2988481904, 2988481919, 'BE', 'Belgium'),
(87561, '178.32.157.128', '178.32.157.143', 2988481920, 2988481935, 'IT', 'Italy'),
(87562, '178.32.157.144', '178.32.157.191', 2988481936, 2988481983, 'FR', 'France'),
(87563, '178.32.157.192', '178.32.157.195', 2988481984, 2988481987, 'DE', 'Germany'),
(87564, '178.32.157.196', '178.32.157.199', 2988481988, 2988481991, 'CZ', 'Czech Republic'),
(87565, '178.32.157.200', '178.32.157.203', 2988481992, 2988481995, 'FR', 'France'),
(87566, '178.32.157.204', '178.32.157.207', 2988481996, 2988481999, 'DE', 'Germany'),
(87567, '178.32.157.208', '178.32.157.215', 2988482000, 2988482007, 'ES', 'Spain'),
(87568, '178.32.157.216', '178.32.157.223', 2988482008, 2988482015, 'DE', 'Germany'),
(87569, '178.32.157.224', '178.32.157.231', 2988482016, 2988482023, 'IT', 'Italy'),
(87570, '178.32.157.232', '178.32.157.239', 2988482024, 2988482031, 'GB', 'United Kingdom'),
(87571, '178.32.157.240', '178.32.157.251', 2988482032, 2988482043, 'FR', 'France'),
(87572, '178.32.157.252', '178.32.158.31', 2988482044, 2988482079, 'PL', 'Poland'),
(87573, '178.32.158.32', '178.32.158.47', 2988482080, 2988482095, 'BE', 'Belgium'),
(87574, '178.32.158.48', '178.32.158.51', 2988482096, 2988482099, 'GB', 'United Kingdom'),
(87575, '178.32.158.52', '178.32.158.55', 2988482100, 2988482103, 'FR', 'France'),
(87576, '178.32.158.56', '178.32.158.63', 2988482104, 2988482111, 'GB', 'United Kingdom'),
(87577, '178.32.158.64', '178.32.158.95', 2988482112, 2988482143, 'DE', 'Germany'),
(87578, '178.32.158.96', '178.32.158.111', 2988482144, 2988482159, 'CH', 'Switzerland'),
(87579, '178.32.158.112', '178.32.158.115', 2988482160, 2988482163, 'ES', 'Spain'),
(87580, '178.32.158.116', '178.32.158.119', 2988482164, 2988482167, 'PL', 'Poland'),
(87581, '178.32.158.120', '178.32.158.127', 2988482168, 2988482175, 'ES', 'Spain'),
(87582, '178.32.158.128', '178.32.158.143', 2988482176, 2988482191, 'CH', 'Switzerland'),
(87583, '178.32.158.144', '178.32.158.147', 2988482192, 2988482195, 'ES', 'Spain'),
(87584, '178.32.158.148', '178.32.158.151', 2988482196, 2988482199, 'NL', 'Netherlands'),
(87585, '178.32.158.152', '178.32.158.155', 2988482200, 2988482203, 'CH', 'Switzerland'),
(87586, '178.32.158.156', '178.32.158.159', 2988482204, 2988482207, 'LT', 'Lithuania'),
(87587, '178.32.158.160', '178.32.158.187', 2988482208, 2988482235, 'FR', 'France'),
(87588, '178.32.158.188', '178.32.158.191', 2988482236, 2988482239, 'GB', 'United Kingdom'),
(87589, '178.32.158.192', '178.32.158.207', 2988482240, 2988482255, 'ES', 'Spain'),
(87590, '178.32.158.208', '178.32.158.239', 2988482256, 2988482287, 'FR', 'France'),
(87591, '178.32.158.240', '178.32.158.243', 2988482288, 2988482291, 'DE', 'Germany'),
(87592, '178.32.158.244', '178.32.158.247', 2988482292, 2988482295, 'PL', 'Poland'),
(87593, '178.32.158.248', '178.32.159.3', 2988482296, 2988482307, 'FR', 'France'),
(87594, '178.32.159.4', '178.32.159.7', 2988482308, 2988482311, 'PT', 'Portugal'),
(87595, '178.32.159.8', '178.32.159.11', 2988482312, 2988482315, 'GB', 'United Kingdom'),
(87596, '178.32.159.12', '178.32.159.15', 2988482316, 2988482319, 'CZ', 'Czech Republic'),
(87597, '178.32.159.16', '178.32.159.31', 2988482320, 2988482335, 'IT', 'Italy'),
(87598, '178.32.159.32', '178.32.159.47', 2988482336, 2988482351, 'ES', 'Spain'),
(87599, '178.32.159.48', '178.32.159.63', 2988482352, 2988482367, 'FR', 'France'),
(87600, '178.32.159.64', '178.32.159.95', 2988482368, 2988482399, 'ES', 'Spain'),
(87601, '178.32.159.96', '178.32.159.111', 2988482400, 2988482415, 'GB', 'United Kingdom'),
(87602, '178.32.159.112', '178.32.159.127', 2988482416, 2988482431, 'ES', 'Spain'),
(87603, '178.32.159.128', '178.32.159.143', 2988482432, 2988482447, 'FR', 'France'),
(87604, '178.32.159.144', '178.32.159.151', 2988482448, 2988482455, 'CZ', 'Czech Republic'),
(87605, '178.32.159.152', '178.32.159.159', 2988482456, 2988482463, 'FR', 'France'),
(87606, '178.32.159.160', '178.32.159.175', 2988482464, 2988482479, 'IE', 'Ireland'),
(87607, '178.32.159.176', '178.32.159.183', 2988482480, 2988482487, 'PL', 'Poland'),
(87608, '178.32.159.184', '178.32.159.207', 2988482488, 2988482511, 'FR', 'France'),
(87609, '178.32.159.208', '178.32.159.211', 2988482512, 2988482515, 'DE', 'Germany'),
(87610, '178.32.159.212', '178.32.159.215', 2988482516, 2988482519, 'PL', 'Poland'),
(87611, '178.32.159.216', '178.32.159.223', 2988482520, 2988482527, 'FR', 'France'),
(87612, '178.32.159.224', '178.32.159.227', 2988482528, 2988482531, 'DE', 'Germany'),
(87613, '178.32.159.228', '178.32.159.239', 2988482532, 2988482543, 'FR', 'France'),
(87614, '178.32.159.240', '178.32.159.247', 2988482544, 2988482551, 'GB', 'United Kingdom'),
(87615, '178.32.159.248', '178.32.159.255', 2988482552, 2988482559, 'CH', 'Switzerland'),
(87616, '178.32.160.0', '178.32.160.7', 2988482560, 2988482567, 'ES', 'Spain'),
(87617, '178.32.160.8', '178.32.160.19', 2988482568, 2988482579, 'FR', 'France'),
(87618, '178.32.160.20', '178.32.160.31', 2988482580, 2988482591, 'ES', 'Spain'),
(87619, '178.32.160.32', '178.32.160.47', 2988482592, 2988482607, 'PL', 'Poland'),
(87620, '178.32.160.48', '178.32.160.71', 2988482608, 2988482631, 'FR', 'France'),
(87621, '178.32.160.72', '178.32.160.79', 2988482632, 2988482639, 'PL', 'Poland'),
(87622, '178.32.160.80', '178.32.160.87', 2988482640, 2988482647, 'FR', 'France'),
(87623, '178.32.160.88', '178.32.160.91', 2988482648, 2988482651, 'CZ', 'Czech Republic'),
(87624, '178.32.160.92', '178.32.160.95', 2988482652, 2988482655, 'GB', 'United Kingdom'),
(87625, '178.32.160.96', '178.32.160.127', 2988482656, 2988482687, 'FR', 'France'),
(87626, '178.32.160.128', '178.32.160.135', 2988482688, 2988482695, 'ES', 'Spain'),
(87627, '178.32.160.136', '178.32.160.139', 2988482696, 2988482699, 'NL', 'Netherlands'),
(87628, '178.32.160.140', '178.32.160.203', 2988482700, 2988482763, 'FR', 'France'),
(87629, '178.32.160.204', '178.32.160.207', 2988482764, 2988482767, 'GB', 'United Kingdom'),
(87630, '178.32.160.208', '178.32.160.215', 2988482768, 2988482775, 'PL', 'Poland'),
(87631, '178.32.160.216', '178.32.160.219', 2988482776, 2988482779, 'NL', 'Netherlands'),
(87632, '178.32.160.220', '178.32.160.223', 2988482780, 2988482783, 'PL', 'Poland'),
(87633, '178.32.160.224', '178.32.160.239', 2988482784, 2988482799, 'FR', 'France'),
(87634, '178.32.160.240', '178.32.160.247', 2988482800, 2988482807, 'ES', 'Spain'),
(87635, '178.32.160.248', '178.32.160.251', 2988482808, 2988482811, 'GB', 'United Kingdom'),
(87636, '178.32.160.252', '178.32.160.255', 2988482812, 2988482815, 'FR', 'France'),
(87637, '178.32.161.0', '178.32.161.7', 2988482816, 2988482823, 'DE', 'Germany'),
(87638, '178.32.161.8', '178.32.161.15', 2988482824, 2988482831, 'PL', 'Poland'),
(87639, '178.32.161.16', '178.32.161.19', 2988482832, 2988482835, 'IE', 'Ireland'),
(87640, '178.32.161.20', '178.32.161.23', 2988482836, 2988482839, 'PL', 'Poland'),
(87641, '178.32.161.24', '178.32.161.27', 2988482840, 2988482843, 'ES', 'Spain'),
(87642, '178.32.161.28', '178.32.161.31', 2988482844, 2988482847, 'NL', 'Netherlands'),
(87643, '178.32.161.32', '178.32.161.47', 2988482848, 2988482863, 'FR', 'France'),
(87644, '178.32.161.48', '178.32.161.55', 2988482864, 2988482871, 'ES', 'Spain'),
(87645, '178.32.161.56', '178.32.161.59', 2988482872, 2988482875, 'PT', 'Portugal'),
(87646, '178.32.161.60', '178.32.161.63', 2988482876, 2988482879, 'CZ', 'Czech Republic'),
(87647, '178.32.161.64', '178.32.161.71', 2988482880, 2988482887, 'PL', 'Poland'),
(87648, '178.32.161.72', '178.32.161.75', 2988482888, 2988482891, 'ES', 'Spain'),
(87649, '178.32.161.76', '178.32.161.79', 2988482892, 2988482895, 'PL', 'Poland'),
(87650, '178.32.161.80', '178.32.161.111', 2988482896, 2988482927, 'GB', 'United Kingdom'),
(87651, '178.32.161.112', '178.32.161.115', 2988482928, 2988482931, 'FR', 'France'),
(87652, '178.32.161.116', '178.32.161.123', 2988482932, 2988482939, 'PL', 'Poland'),
(87653, '178.32.161.124', '178.32.161.127', 2988482940, 2988482943, 'LT', 'Lithuania'),
(87654, '178.32.161.128', '178.32.161.143', 2988482944, 2988482959, 'PL', 'Poland'),
(87655, '178.32.161.144', '178.32.161.159', 2988482960, 2988482975, 'CZ', 'Czech Republic'),
(87656, '178.32.161.160', '178.32.161.163', 2988482976, 2988482979, 'DE', 'Germany'),
(87657, '178.32.161.164', '178.32.161.167', 2988482980, 2988482983, 'GB', 'United Kingdom'),
(87658, '178.32.161.168', '178.32.161.171', 2988482984, 2988482987, 'DE', 'Germany'),
(87659, '178.32.161.172', '178.32.161.175', 2988482988, 2988482991, 'NL', 'Netherlands'),
(87660, '178.32.161.176', '178.32.161.215', 2988482992, 2988483031, 'FR', 'France'),
(87661, '178.32.161.216', '178.32.161.219', 2988483032, 2988483035, 'DE', 'Germany'),
(87662, '178.32.161.220', '178.32.161.223', 2988483036, 2988483039, 'LT', 'Lithuania'),
(87663, '178.32.161.224', '178.32.162.19', 2988483040, 2988483091, 'FR', 'France'),
(87664, '178.32.162.20', '178.32.162.23', 2988483092, 2988483095, 'BE', 'Belgium'),
(87665, '178.32.162.24', '178.32.162.27', 2988483096, 2988483099, 'FR', 'France'),
(87666, '178.32.162.28', '178.32.162.31', 2988483100, 2988483103, 'PL', 'Poland'),
(87667, '178.32.162.32', '178.32.162.35', 2988483104, 2988483107, 'IE', 'Ireland'),
(87668, '178.32.162.36', '178.32.162.39', 2988483108, 2988483111, 'PL', 'Poland'),
(87669, '178.32.162.40', '178.32.162.43', 2988483112, 2988483115, 'ES', 'Spain'),
(87670, '178.32.162.44', '178.32.162.47', 2988483116, 2988483119, 'PL', 'Poland'),
(87671, '178.32.162.48', '178.32.162.55', 2988483120, 2988483127, 'ES', 'Spain'),
(87672, '178.32.162.56', '178.32.162.63', 2988483128, 2988483135, 'PL', 'Poland'),
(87673, '178.32.162.64', '178.32.162.79', 2988483136, 2988483151, 'FR', 'France'),
(87674, '178.32.162.80', '178.32.162.83', 2988483152, 2988483155, 'PL', 'Poland'),
(87675, '178.32.162.84', '178.32.162.87', 2988483156, 2988483159, 'FR', 'France'),
(87676, '178.32.162.88', '178.32.162.95', 2988483160, 2988483167, 'ES', 'Spain'),
(87677, '178.32.162.96', '178.32.162.127', 2988483168, 2988483199, 'GB', 'United Kingdom'),
(87678, '178.32.162.128', '178.32.162.159', 2988483200, 2988483231, 'FR', 'France'),
(87679, '178.32.162.160', '178.32.162.163', 2988483232, 2988483235, 'IE', 'Ireland'),
(87680, '178.32.162.164', '178.32.162.191', 2988483236, 2988483263, 'PL', 'Poland'),
(87681, '178.32.162.192', '178.32.162.195', 2988483264, 2988483267, 'FR', 'France'),
(87682, '178.32.162.196', '178.32.162.199', 2988483268, 2988483271, 'NL', 'Netherlands'),
(87683, '178.32.162.200', '178.32.162.207', 2988483272, 2988483279, 'DE', 'Germany'),
(87684, '178.32.162.208', '178.32.162.211', 2988483280, 2988483283, 'ES', 'Spain'),
(87685, '178.32.162.212', '178.32.162.223', 2988483284, 2988483295, 'DE', 'Germany'),
(87686, '178.32.162.224', '178.32.162.227', 2988483296, 2988483299, 'FR', 'France'),
(87687, '178.32.162.228', '178.32.162.231', 2988483300, 2988483303, 'NL', 'Netherlands'),
(87688, '178.32.162.232', '178.32.162.239', 2988483304, 2988483311, 'FR', 'France'),
(87689, '178.32.162.240', '178.32.162.243', 2988483312, 2988483315, 'GB', 'United Kingdom'),
(87690, '178.32.162.244', '178.32.162.247', 2988483316, 2988483319, 'NL', 'Netherlands'),
(87691, '178.32.162.248', '178.32.162.255', 2988483320, 2988483327, 'PL', 'Poland'),
(87692, '178.32.163.0', '178.32.163.7', 2988483328, 2988483335, 'BE', 'Belgium'),
(87693, '178.32.163.8', '178.32.163.15', 2988483336, 2988483343, 'DE', 'Germany'),
(87694, '178.32.163.16', '178.32.163.23', 2988483344, 2988483351, 'GB', 'United Kingdom'),
(87695, '178.32.163.24', '178.32.163.31', 2988483352, 2988483359, 'FR', 'France'),
(87696, '178.32.163.32', '178.32.163.39', 2988483360, 2988483367, 'ES', 'Spain'),
(87697, '178.32.163.40', '178.32.163.47', 2988483368, 2988483375, 'PL', 'Poland'),
(87698, '178.32.163.48', '178.32.163.51', 2988483376, 2988483379, 'GB', 'United Kingdom'),
(87699, '178.32.163.52', '178.32.163.55', 2988483380, 2988483383, 'PL', 'Poland'),
(87700, '178.32.163.56', '178.32.163.99', 2988483384, 2988483427, 'FR', 'France'),
(87701, '178.32.163.100', '178.32.163.103', 2988483428, 2988483431, 'BE', 'Belgium'),
(87702, '178.32.163.104', '178.32.163.119', 2988483432, 2988483447, 'FR', 'France'),
(87703, '178.32.163.120', '178.32.163.127', 2988483448, 2988483455, 'DE', 'Germany'),
(87704, '178.32.163.128', '178.32.164.127', 2988483456, 2988483711, 'FR', 'France'),
(87705, '178.32.164.128', '178.32.164.143', 2988483712, 2988483727, 'PL', 'Poland'),
(87706, '178.32.164.144', '178.32.164.151', 2988483728, 2988483735, 'FR', 'France'),
(87707, '178.32.164.152', '178.32.164.155', 2988483736, 2988483739, 'DE', 'Germany'),
(87708, '178.32.164.156', '178.32.164.159', 2988483740, 2988483743, 'FR', 'France'),
(87709, '178.32.164.160', '178.32.164.183', 2988483744, 2988483767, 'GB', 'United Kingdom'),
(87710, '178.32.164.184', '178.32.164.191', 2988483768, 2988483775, 'FR', 'France'),
(87711, '178.32.164.192', '178.32.165.31', 2988483776, 2988483871, 'PL', 'Poland'),
(87712, '178.32.165.32', '178.32.165.39', 2988483872, 2988483879, 'DE', 'Germany'),
(87713, '178.32.165.40', '178.32.165.47', 2988483880, 2988483887, 'ES', 'Spain'),
(87714, '178.32.165.48', '178.32.165.55', 2988483888, 2988483895, 'GB', 'United Kingdom'),
(87715, '178.32.165.56', '178.32.165.63', 2988483896, 2988483903, 'DE', 'Germany'),
(87716, '178.32.165.64', '178.32.165.95', 2988483904, 2988483935, 'PT', 'Portugal'),
(87717, '178.32.165.96', '178.32.165.111', 2988483936, 2988483951, 'ES', 'Spain'),
(87718, '178.32.165.112', '178.32.165.123', 2988483952, 2988483963, 'IT', 'Italy'),
(87719, '178.32.165.124', '178.32.165.127', 2988483964, 2988483967, 'FR', 'France'),
(87720, '178.32.165.128', '178.32.165.143', 2988483968, 2988483983, 'IE', 'Ireland'),
(87721, '178.32.165.144', '178.32.165.151', 2988483984, 2988483991, 'DE', 'Germany'),
(87722, '178.32.165.152', '178.32.165.155', 2988483992, 2988483995, 'FR', 'France'),
(87723, '178.32.165.156', '178.32.165.159', 2988483996, 2988483999, 'PT', 'Portugal'),
(87724, '178.32.165.160', '178.32.165.163', 2988484000, 2988484003, 'DE', 'Germany'),
(87725, '178.32.165.164', '178.32.165.167', 2988484004, 2988484007, 'GB', 'United Kingdom'),
(87726, '178.32.165.168', '178.32.165.171', 2988484008, 2988484011, 'FR', 'France'),
(87727, '178.32.165.172', '178.32.165.175', 2988484012, 2988484015, 'IE', 'Ireland'),
(87728, '178.32.165.176', '178.32.165.179', 2988484016, 2988484019, 'FR', 'France'),
(87729, '178.32.165.180', '178.32.165.183', 2988484020, 2988484023, 'ES', 'Spain'),
(87730, '178.32.165.184', '178.32.165.191', 2988484024, 2988484031, 'FR', 'France'),
(87731, '178.32.165.192', '178.32.165.199', 2988484032, 2988484039, 'IT', 'Italy'),
(87732, '178.32.165.200', '178.32.165.207', 2988484040, 2988484047, 'NL', 'Netherlands'),
(87733, '178.32.165.208', '178.32.165.211', 2988484048, 2988484051, 'ES', 'Spain'),
(87734, '178.32.165.212', '178.32.165.215', 2988484052, 2988484055, 'GB', 'United Kingdom'),
(87735, '178.32.165.216', '178.32.165.219', 2988484056, 2988484059, 'PT', 'Portugal'),
(87736, '178.32.165.220', '178.32.165.223', 2988484060, 2988484063, 'PL', 'Poland'),
(87737, '178.32.165.224', '178.32.165.255', 2988484064, 2988484095, 'GB', 'United Kingdom'),
(87738, '178.32.166.0', '178.32.166.15', 2988484096, 2988484111, 'DE', 'Germany'),
(87739, '178.32.166.16', '178.32.166.31', 2988484112, 2988484127, 'FR', 'France'),
(87740, '178.32.166.32', '178.32.166.35', 2988484128, 2988484131, 'PT', 'Portugal'),
(87741, '178.32.166.36', '178.32.166.39', 2988484132, 2988484135, 'PL', 'Poland'),
(87742, '178.32.166.40', '178.32.166.43', 2988484136, 2988484139, 'FR', 'France'),
(87743, '178.32.166.44', '178.32.166.47', 2988484140, 2988484143, 'LT', 'Lithuania'),
(87744, '178.32.166.48', '178.32.166.67', 2988484144, 2988484163, 'FR', 'France'),
(87745, '178.32.166.68', '178.32.166.71', 2988484164, 2988484167, 'PT', 'Portugal'),
(87746, '178.32.166.72', '178.32.166.79', 2988484168, 2988484175, 'ES', 'Spain'),
(87747, '178.32.166.80', '178.32.166.91', 2988484176, 2988484187, 'FR', 'France'),
(87748, '178.32.166.92', '178.32.166.95', 2988484188, 2988484191, 'PL', 'Poland'),
(87749, '178.32.166.96', '178.32.166.111', 2988484192, 2988484207, 'DE', 'Germany'),
(87750, '178.32.166.112', '178.32.166.127', 2988484208, 2988484223, 'FR', 'France'),
(87751, '178.32.166.128', '178.32.166.143', 2988484224, 2988484239, 'ES', 'Spain'),
(87752, '178.32.166.144', '178.32.166.147', 2988484240, 2988484243, 'PL', 'Poland'),
(87753, '178.32.166.148', '178.32.166.191', 2988484244, 2988484287, 'FR', 'France'),
(87754, '178.32.166.192', '178.32.166.255', 2988484288, 2988484351, 'PL', 'Poland'),
(87755, '178.32.167.0', '178.32.167.31', 2988484352, 2988484383, 'GB', 'United Kingdom'),
(87756, '178.32.167.32', '178.32.167.39', 2988484384, 2988484391, 'CZ', 'Czech Republic'),
(87757, '178.32.167.40', '178.32.167.43', 2988484392, 2988484395, 'PT', 'Portugal'),
(87758, '178.32.167.44', '178.32.167.47', 2988484396, 2988484399, 'PL', 'Poland'),
(87759, '178.32.167.48', '178.32.167.51', 2988484400, 2988484403, 'PT', 'Portugal'),
(87760, '178.32.167.52', '178.32.167.75', 2988484404, 2988484427, 'PL', 'Poland'),
(87761, '178.32.167.76', '178.32.167.79', 2988484428, 2988484431, 'GB', 'United Kingdom'),
(87762, '178.32.167.80', '178.32.167.87', 2988484432, 2988484439, 'PL', 'Poland'),
(87763, '178.32.167.88', '178.32.167.91', 2988484440, 2988484443, 'ES', 'Spain'),
(87764, '178.32.167.92', '178.32.167.95', 2988484444, 2988484447, 'FR', 'France'),
(87765, '178.32.167.96', '178.32.167.111', 2988484448, 2988484463, 'SN', 'Senegal'),
(87766, '178.32.167.112', '178.32.167.115', 2988484464, 2988484467, 'BE', 'Belgium'),
(87767, '178.32.167.116', '178.32.167.119', 2988484468, 2988484471, 'CH', 'Switzerland'),
(87768, '178.32.167.120', '178.32.167.123', 2988484472, 2988484475, 'PL', 'Poland'),
(87769, '178.32.167.124', '178.32.167.127', 2988484476, 2988484479, 'FR', 'France'),
(87770, '178.32.167.128', '178.32.167.159', 2988484480, 2988484511, 'PL', 'Poland'),
(87771, '178.32.167.160', '178.32.167.191', 2988484512, 2988484543, 'IT', 'Italy'),
(87772, '178.32.167.192', '178.32.167.199', 2988484544, 2988484551, 'FR', 'France'),
(87773, '178.32.167.200', '178.32.167.207', 2988484552, 2988484559, 'PL', 'Poland'),
(87774, '178.32.167.208', '178.32.167.239', 2988484560, 2988484591, 'FR', 'France'),
(87775, '178.32.167.240', '178.32.167.255', 2988484592, 2988484607, 'PL', 'Poland'),
(87776, '178.32.168.0', '178.32.168.167', 2988484608, 2988484775, 'FR', 'France'),
(87777, '178.32.168.168', '178.32.168.175', 2988484776, 2988484783, 'PL', 'Poland'),
(87778, '178.32.168.176', '178.32.168.223', 2988484784, 2988484831, 'FR', 'France'),
(87779, '178.32.168.224', '178.32.168.239', 2988484832, 2988484847, 'PL', 'Poland'),
(87780, '178.32.168.240', '178.32.168.255', 2988484848, 2988484863, 'FR', 'France'),
(87781, '178.32.169.0', '178.32.169.15', 2988484864, 2988484879, 'NL', 'Netherlands'),
(87782, '178.32.169.16', '178.32.169.19', 2988484880, 2988484883, 'GB', 'United Kingdom'),
(87783, '178.32.169.20', '178.32.169.23', 2988484884, 2988484887, 'PL', 'Poland'),
(87784, '178.32.169.24', '178.32.169.27', 2988484888, 2988484891, 'FR', 'France'),
(87785, '178.32.169.28', '178.32.169.31', 2988484892, 2988484895, 'GB', 'United Kingdom'),
(87786, '178.32.169.32', '178.32.169.79', 2988484896, 2988484943, 'FR', 'France'),
(87787, '178.32.169.80', '178.32.169.87', 2988484944, 2988484951, 'PL', 'Poland'),
(87788, '178.32.169.88', '178.32.169.91', 2988484952, 2988484955, 'IT', 'Italy'),
(87789, '178.32.169.92', '178.32.169.103', 2988484956, 2988484967, 'FR', 'France'),
(87790, '178.32.169.104', '178.32.169.107', 2988484968, 2988484971, 'GB', 'United Kingdom'),
(87791, '178.32.169.108', '178.32.169.127', 2988484972, 2988484991, 'FR', 'France'),
(87792, '178.32.169.128', '178.32.169.143', 2988484992, 2988485007, 'LT', 'Lithuania'),
(87793, '178.32.169.144', '178.32.169.159', 2988485008, 2988485023, 'PL', 'Poland'),
(87794, '178.32.169.160', '178.32.169.175', 2988485024, 2988485039, 'IE', 'Ireland'),
(87795, '178.32.169.176', '178.32.169.191', 2988485040, 2988485055, 'PL', 'Poland'),
(87796, '178.32.169.192', '178.32.169.207', 2988485056, 2988485071, 'FR', 'France'),
(87797, '178.32.169.208', '178.32.169.223', 2988485072, 2988485087, 'IE', 'Ireland'),
(87798, '178.32.169.224', '178.32.169.255', 2988485088, 2988485119, 'PL', 'Poland'),
(87799, '178.32.170.0', '178.32.170.15', 2988485120, 2988485135, 'FR', 'France'),
(87800, '178.32.170.16', '178.32.170.31', 2988485136, 2988485151, 'PL', 'Poland'),
(87801, '178.32.170.32', '178.32.170.47', 2988485152, 2988485167, 'IT', 'Italy'),
(87802, '178.32.170.48', '178.32.170.63', 2988485168, 2988485183, 'FR', 'France'),
(87803, '178.32.170.64', '178.32.170.127', 2988485184, 2988485247, 'BE', 'Belgium'),
(87804, '178.32.170.128', '178.32.170.135', 2988485248, 2988485255, 'IT', 'Italy'),
(87805, '178.32.170.136', '178.32.170.143', 2988485256, 2988485263, 'NL', 'Netherlands'),
(87806, '178.32.170.144', '178.32.170.147', 2988485264, 2988485267, 'DE', 'Germany'),
(87807, '178.32.170.148', '178.32.170.151', 2988485268, 2988485271, 'CH', 'Switzerland'),
(87808, '178.32.170.152', '178.32.170.159', 2988485272, 2988485279, 'FR', 'France'),
(87809, '178.32.170.160', '178.32.170.191', 2988485280, 2988485311, 'PL', 'Poland'),
(87810, '178.32.170.192', '178.32.170.207', 2988485312, 2988485327, 'IT', 'Italy'),
(87811, '178.32.170.208', '178.32.170.215', 2988485328, 2988485335, 'FI', 'Finland'),
(87812, '178.32.170.216', '178.32.170.223', 2988485336, 2988485343, 'PT', 'Portugal'),
(87813, '178.32.170.224', '178.32.170.227', 2988485344, 2988485347, 'ES', 'Spain'),
(87814, '178.32.170.228', '178.32.170.231', 2988485348, 2988485351, 'IT', 'Italy'),
(87815, '178.32.170.232', '178.32.170.235', 2988485352, 2988485355, 'GB', 'United Kingdom'),
(87816, '178.32.170.236', '178.32.170.239', 2988485356, 2988485359, 'PL', 'Poland'),
(87817, '178.32.170.240', '178.32.171.63', 2988485360, 2988485439, 'FR', 'France'),
(87818, '178.32.171.64', '178.32.171.79', 2988485440, 2988485455, 'PL', 'Poland'),
(87819, '178.32.171.80', '178.32.171.95', 2988485456, 2988485471, 'ES', 'Spain'),
(87820, '178.32.171.96', '178.32.171.103', 2988485472, 2988485479, 'FR', 'France'),
(87821, '178.32.171.104', '178.32.171.111', 2988485480, 2988485487, 'IT', 'Italy'),
(87822, '178.32.171.112', '178.32.171.127', 2988485488, 2988485503, 'FR', 'France'),
(87823, '178.32.171.128', '178.32.171.143', 2988485504, 2988485519, 'GB', 'United Kingdom'),
(87824, '178.32.171.144', '178.32.171.183', 2988485520, 2988485559, 'FR', 'France'),
(87825, '178.32.171.184', '178.32.171.191', 2988485560, 2988485567, 'NL', 'Netherlands'),
(87826, '178.32.171.192', '178.32.171.207', 2988485568, 2988485583, 'GB', 'United Kingdom'),
(87827, '178.32.171.208', '178.32.171.211', 2988485584, 2988485587, 'IT', 'Italy'),
(87828, '178.32.171.212', '178.32.171.215', 2988485588, 2988485591, 'BE', 'Belgium'),
(87829, '178.32.171.216', '178.32.171.223', 2988485592, 2988485599, 'FR', 'France'),
(87830, '178.32.171.224', '178.32.171.231', 2988485600, 2988485607, 'PL', 'Poland'),
(87831, '178.32.171.232', '178.32.171.235', 2988485608, 2988485611, 'FR', 'France'),
(87832, '178.32.171.236', '178.32.171.239', 2988485612, 2988485615, 'LT', 'Lithuania'),
(87833, '178.32.171.240', '178.32.171.255', 2988485616, 2988485631, 'IE', 'Ireland'),
(87834, '178.32.172.0', '178.32.172.31', 2988485632, 2988485663, 'ES', 'Spain'),
(87835, '178.32.172.32', '178.32.172.39', 2988485664, 2988485671, 'PL', 'Poland'),
(87836, '178.32.172.40', '178.32.172.43', 2988485672, 2988485675, 'DE', 'Germany'),
(87837, '178.32.172.44', '178.32.172.47', 2988485676, 2988485679, 'GB', 'United Kingdom'),
(87838, '178.32.172.48', '178.32.172.51', 2988485680, 2988485683, 'FR', 'France'),
(87839, '178.32.172.52', '178.32.172.55', 2988485684, 2988485687, 'PL', 'Poland'),
(87840, '178.32.172.56', '178.32.172.59', 2988485688, 2988485691, 'GB', 'United Kingdom'),
(87841, '178.32.172.60', '178.32.172.63', 2988485692, 2988485695, 'PL', 'Poland'),
(87842, '178.32.172.64', '178.32.172.127', 2988485696, 2988485759, 'FR', 'France'),
(87843, '178.32.172.128', '178.32.172.135', 2988485760, 2988485767, 'GB', 'United Kingdom'),
(87844, '178.32.172.136', '178.32.172.159', 2988485768, 2988485791, 'FR', 'France'),
(87845, '178.32.172.160', '178.32.172.163', 2988485792, 2988485795, 'PT', 'Portugal'),
(87846, '178.32.172.164', '178.32.172.167', 2988485796, 2988485799, 'LT', 'Lithuania'),
(87847, '178.32.172.168', '178.32.172.171', 2988485800, 2988485803, 'PT', 'Portugal'),
(87848, '178.32.172.172', '178.32.172.175', 2988485804, 2988485807, 'PL', 'Poland'),
(87849, '178.32.172.176', '178.32.172.191', 2988485808, 2988485823, 'NL', 'Netherlands'),
(87850, '178.32.172.192', '178.32.172.199', 2988485824, 2988485831, 'FR', 'France'),
(87851, '178.32.172.200', '178.32.172.203', 2988485832, 2988485835, 'NL', 'Netherlands'),
(87852, '178.32.172.204', '178.32.172.207', 2988485836, 2988485839, 'LT', 'Lithuania'),
(87853, '178.32.172.208', '178.32.172.223', 2988485840, 2988485855, 'BE', 'Belgium'),
(87854, '178.32.172.224', '178.32.172.239', 2988485856, 2988485871, 'FR', 'France'),
(87855, '178.32.172.240', '178.32.172.243', 2988485872, 2988485875, 'PL', 'Poland'),
(87856, '178.32.172.244', '178.32.172.247', 2988485876, 2988485879, 'IE', 'Ireland'),
(87857, '178.32.172.248', '178.32.172.255', 2988485880, 2988485887, 'FR', 'France'),
(87858, '178.32.173.0', '178.32.173.15', 2988485888, 2988485903, 'PL', 'Poland'),
(87859, '178.32.173.16', '178.32.173.23', 2988485904, 2988485911, 'GB', 'United Kingdom'),
(87860, '178.32.173.24', '178.32.173.31', 2988485912, 2988485919, 'PT', 'Portugal'),
(87861, '178.32.173.32', '178.32.173.63', 2988485920, 2988485951, 'FR', 'France'),
(87862, '178.32.173.64', '178.32.173.67', 2988485952, 2988485955, 'GB', 'United Kingdom'),
(87863, '178.32.173.68', '178.32.173.71', 2988485956, 2988485959, 'CZ', 'Czech Republic'),
(87864, '178.32.173.72', '178.32.173.79', 2988485960, 2988485967, 'FR', 'France'),
(87865, '178.32.173.80', '178.32.173.95', 2988485968, 2988485983, 'IE', 'Ireland'),
(87866, '178.32.173.96', '178.32.173.111', 2988485984, 2988485999, 'FR', 'France'),
(87867, '178.32.173.112', '178.32.173.127', 2988486000, 2988486015, 'PL', 'Poland'),
(87868, '178.32.173.128', '178.32.173.143', 2988486016, 2988486031, 'FR', 'France'),
(87869, '178.32.173.144', '178.32.173.159', 2988486032, 2988486047, 'PL', 'Poland'),
(87870, '178.32.173.160', '178.32.173.175', 2988486048, 2988486063, 'GB', 'United Kingdom'),
(87871, '178.32.173.176', '178.32.173.179', 2988486064, 2988486067, 'FR', 'France'),
(87872, '178.32.173.180', '178.32.173.183', 2988486068, 2988486071, 'ES', 'Spain'),
(87873, '178.32.173.184', '178.32.173.187', 2988486072, 2988486075, 'FR', 'France'),
(87874, '178.32.173.188', '178.32.173.191', 2988486076, 2988486079, 'ES', 'Spain'),
(87875, '178.32.173.192', '178.32.173.195', 2988486080, 2988486083, 'BE', 'Belgium'),
(87876, '178.32.173.196', '178.32.173.199', 2988486084, 2988486087, 'IT', 'Italy'),
(87877, '178.32.173.200', '178.32.173.207', 2988486088, 2988486095, 'FR', 'France'),
(87878, '178.32.173.208', '178.32.173.211', 2988486096, 2988486099, 'GB', 'United Kingdom'),
(87879, '178.32.173.212', '178.32.173.223', 2988486100, 2988486111, 'FR', 'France'),
(87880, '178.32.173.224', '178.32.173.247', 2988486112, 2988486135, 'PL', 'Poland'),
(87881, '178.32.173.248', '178.32.173.251', 2988486136, 2988486139, 'FR', 'France'),
(87882, '178.32.173.252', '178.32.173.255', 2988486140, 2988486143, 'GB', 'United Kingdom'),
(87883, '178.32.174.0', '178.32.174.7', 2988486144, 2988486151, 'ES', 'Spain'),
(87884, '178.32.174.8', '178.32.174.11', 2988486152, 2988486155, 'PL', 'Poland'),
(87885, '178.32.174.12', '178.32.174.15', 2988486156, 2988486159, 'DE', 'Germany'),
(87886, '178.32.174.16', '178.32.174.31', 2988486160, 2988486175, 'IE', 'Ireland'),
(87887, '178.32.174.32', '178.32.174.35', 2988486176, 2988486179, 'FR', 'France'),
(87888, '178.32.174.36', '178.32.174.39', 2988486180, 2988486183, 'DE', 'Germany'),
(87889, '178.32.174.40', '178.32.174.47', 2988486184, 2988486191, 'IE', 'Ireland'),
(87890, '178.32.174.48', '178.32.174.51', 2988486192, 2988486195, 'IT', 'Italy'),
(87891, '178.32.174.52', '178.32.174.55', 2988486196, 2988486199, 'FR', 'France'),
(87892, '178.32.174.56', '178.32.174.63', 2988486200, 2988486207, 'PT', 'Portugal'),
(87893, '178.32.174.64', '178.32.174.71', 2988486208, 2988486215, 'PL', 'Poland'),
(87894, '178.32.174.72', '178.32.174.75', 2988486216, 2988486219, 'ES', 'Spain'),
(87895, '178.32.174.76', '178.32.174.79', 2988486220, 2988486223, 'FR', 'France'),
(87896, '178.32.174.80', '178.32.174.87', 2988486224, 2988486231, 'BE', 'Belgium'),
(87897, '178.32.174.88', '178.32.174.91', 2988486232, 2988486235, 'PL', 'Poland'),
(87898, '178.32.174.92', '178.32.174.95', 2988486236, 2988486239, 'ES', 'Spain'),
(87899, '178.32.174.96', '178.32.174.143', 2988486240, 2988486287, 'PL', 'Poland'),
(87900, '178.32.174.144', '178.32.174.147', 2988486288, 2988486291, 'FR', 'France'),
(87901, '178.32.174.148', '178.32.174.155', 2988486292, 2988486299, 'GB', 'United Kingdom'),
(87902, '178.32.174.156', '178.32.174.159', 2988486300, 2988486303, 'PL', 'Poland'),
(87903, '178.32.174.160', '178.32.174.167', 2988486304, 2988486311, 'FR', 'France'),
(87904, '178.32.174.168', '178.32.174.175', 2988486312, 2988486319, 'CH', 'Switzerland'),
(87905, '178.32.174.176', '178.32.174.179', 2988486320, 2988486323, 'IT', 'Italy'),
(87906, '178.32.174.180', '178.32.174.183', 2988486324, 2988486327, 'PT', 'Portugal'),
(87907, '178.32.174.184', '178.32.174.199', 2988486328, 2988486343, 'ES', 'Spain'),
(87908, '178.32.174.200', '178.32.174.203', 2988486344, 2988486347, 'FR', 'France'),
(87909, '178.32.174.204', '178.32.174.207', 2988486348, 2988486351, 'ES', 'Spain'),
(87910, '178.32.174.208', '178.32.174.231', 2988486352, 2988486375, 'FR', 'France'),
(87911, '178.32.174.232', '178.32.174.235', 2988486376, 2988486379, 'PL', 'Poland'),
(87912, '178.32.174.236', '178.32.174.255', 2988486380, 2988486399, 'FR', 'France'),
(87913, '178.32.175.0', '178.32.175.15', 2988486400, 2988486415, 'PL', 'Poland'),
(87914, '178.32.175.16', '178.32.175.23', 2988486416, 2988486423, 'FR', 'France'),
(87915, '178.32.175.24', '178.32.175.31', 2988486424, 2988486431, 'PT', 'Portugal'),
(87916, '178.32.175.32', '178.32.175.47', 2988486432, 2988486447, 'FR', 'France'),
(87917, '178.32.175.48', '178.32.175.63', 2988486448, 2988486463, 'ES', 'Spain'),
(87918, '178.32.175.64', '178.32.175.71', 2988486464, 2988486471, 'BE', 'Belgium'),
(87919, '178.32.175.72', '178.32.175.75', 2988486472, 2988486475, 'ES', 'Spain'),
(87920, '178.32.175.76', '178.32.175.79', 2988486476, 2988486479, 'PL', 'Poland'),
(87921, '178.32.175.80', '178.32.175.95', 2988486480, 2988486495, 'IE', 'Ireland'),
(87922, '178.32.175.96', '178.32.175.103', 2988486496, 2988486503, 'DE', 'Germany'),
(87923, '178.32.175.104', '178.32.175.111', 2988486504, 2988486511, 'PL', 'Poland'),
(87924, '178.32.175.112', '178.32.175.115', 2988486512, 2988486515, 'DE', 'Germany'),
(87925, '178.32.175.116', '178.32.175.127', 2988486516, 2988486527, 'PL', 'Poland'),
(87926, '178.32.175.128', '178.32.175.175', 2988486528, 2988486575, 'FR', 'France'),
(87927, '178.32.175.176', '178.32.175.179', 2988486576, 2988486579, 'PL', 'Poland'),
(87928, '178.32.175.180', '178.32.175.183', 2988486580, 2988486583, 'GB', 'United Kingdom'),
(87929, '178.32.175.184', '178.32.175.195', 2988486584, 2988486595, 'FR', 'France'),
(87930, '178.32.175.196', '178.32.175.199', 2988486596, 2988486599, 'GB', 'United Kingdom'),
(87931, '178.32.175.200', '178.32.175.203', 2988486600, 2988486603, 'DE', 'Germany'),
(87932, '178.32.175.204', '178.32.175.207', 2988486604, 2988486607, 'FR', 'France'),
(87933, '178.32.175.208', '178.32.175.215', 2988486608, 2988486615, 'FI', 'Finland'),
(87934, '178.32.175.216', '178.32.175.223', 2988486616, 2988486623, 'ES', 'Spain'),
(87935, '178.32.175.224', '178.32.175.243', 2988486624, 2988486643, 'FR', 'France'),
(87936, '178.32.175.244', '178.32.175.247', 2988486644, 2988486647, 'GB', 'United Kingdom'),
(87937, '178.32.175.248', '178.32.175.251', 2988486648, 2988486651, 'ES', 'Spain'),
(87938, '178.32.175.252', '178.32.175.255', 2988486652, 2988486655, 'PL', 'Poland'),
(87939, '178.32.176.0', '178.32.176.15', 2988486656, 2988486671, 'FR', 'France'),
(87940, '178.32.176.16', '178.32.176.19', 2988486672, 2988486675, 'DE', 'Germany'),
(87941, '178.32.176.20', '178.32.176.23', 2988486676, 2988486679, 'FR', 'France'),
(87942, '178.32.176.24', '178.32.176.31', 2988486680, 2988486687, 'ES', 'Spain'),
(87943, '178.32.176.32', '178.32.176.35', 2988486688, 2988486691, 'PL', 'Poland'),
(87944, '178.32.176.36', '178.32.176.39', 2988486692, 2988486695, 'IT', 'Italy'),
(87945, '178.32.176.40', '178.32.176.43', 2988486696, 2988486699, 'ES', 'Spain'),
(87946, '178.32.176.44', '178.32.176.55', 2988486700, 2988486711, 'PL', 'Poland'),
(87947, '178.32.176.56', '178.32.176.63', 2988486712, 2988486719, 'IT', 'Italy'),
(87948, '178.32.176.64', '178.32.176.79', 2988486720, 2988486735, 'FR', 'France'),
(87949, '178.32.176.80', '178.32.176.87', 2988486736, 2988486743, 'ES', 'Spain'),
(87950, '178.32.176.88', '178.32.176.91', 2988486744, 2988486747, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(87951, '178.32.176.92', '178.32.176.95', 2988486748, 2988486751, 'GB', 'United Kingdom'),
(87952, '178.32.176.96', '178.32.176.103', 2988486752, 2988486759, 'FR', 'France'),
(87953, '178.32.176.104', '178.32.176.107', 2988486760, 2988486763, 'PL', 'Poland'),
(87954, '178.32.176.108', '178.32.176.111', 2988486764, 2988486767, 'FR', 'France'),
(87955, '178.32.176.112', '178.32.176.119', 2988486768, 2988486775, 'GB', 'United Kingdom'),
(87956, '178.32.176.120', '178.32.176.127', 2988486776, 2988486783, 'BE', 'Belgium'),
(87957, '178.32.176.128', '178.32.176.131', 2988486784, 2988486787, 'DE', 'Germany'),
(87958, '178.32.176.132', '178.32.176.139', 2988486788, 2988486795, 'FR', 'France'),
(87959, '178.32.176.140', '178.32.176.143', 2988486796, 2988486799, 'PL', 'Poland'),
(87960, '178.32.176.144', '178.32.176.151', 2988486800, 2988486807, 'FR', 'France'),
(87961, '178.32.176.152', '178.32.176.155', 2988486808, 2988486811, 'DE', 'Germany'),
(87962, '178.32.176.156', '178.32.176.167', 2988486812, 2988486823, 'FR', 'France'),
(87963, '178.32.176.168', '178.32.176.175', 2988486824, 2988486831, 'IT', 'Italy'),
(87964, '178.32.176.176', '178.32.176.191', 2988486832, 2988486847, 'PL', 'Poland'),
(87965, '178.32.176.192', '178.32.176.207', 2988486848, 2988486863, 'FR', 'France'),
(87966, '178.32.176.208', '178.32.176.223', 2988486864, 2988486879, 'BE', 'Belgium'),
(87967, '178.32.176.224', '178.32.176.227', 2988486880, 2988486883, 'PL', 'Poland'),
(87968, '178.32.176.228', '178.32.176.231', 2988486884, 2988486887, 'FR', 'France'),
(87969, '178.32.176.232', '178.32.176.235', 2988486888, 2988486891, 'PT', 'Portugal'),
(87970, '178.32.176.236', '178.32.176.247', 2988486892, 2988486903, 'GB', 'United Kingdom'),
(87971, '178.32.176.248', '178.32.176.251', 2988486904, 2988486907, 'DE', 'Germany'),
(87972, '178.32.176.252', '178.32.176.255', 2988486908, 2988486911, 'LT', 'Lithuania'),
(87973, '178.32.177.0', '178.32.177.255', 2988486912, 2988487167, 'PL', 'Poland'),
(87974, '178.32.178.0', '178.32.178.255', 2988487168, 2988487423, 'FR', 'France'),
(87975, '178.32.179.0', '178.32.179.255', 2988487424, 2988487679, 'IE', 'Ireland'),
(87976, '178.32.180.0', '178.32.180.255', 2988487680, 2988487935, 'DE', 'Germany'),
(87977, '178.32.181.0', '178.32.181.3', 2988487936, 2988487939, 'BE', 'Belgium'),
(87978, '178.32.181.4', '178.32.181.11', 2988487940, 2988487947, 'FR', 'France'),
(87979, '178.32.181.12', '178.32.181.15', 2988487948, 2988487951, 'CH', 'Switzerland'),
(87980, '178.32.181.16', '178.32.181.43', 2988487952, 2988487979, 'FR', 'France'),
(87981, '178.32.181.44', '178.32.181.47', 2988487980, 2988487983, 'ES', 'Spain'),
(87982, '178.32.181.48', '178.32.181.75', 2988487984, 2988488011, 'FR', 'France'),
(87983, '178.32.181.76', '178.32.181.79', 2988488012, 2988488015, 'LT', 'Lithuania'),
(87984, '178.32.181.80', '178.32.181.95', 2988488016, 2988488031, 'FR', 'France'),
(87985, '178.32.181.96', '178.32.181.111', 2988488032, 2988488047, 'IE', 'Ireland'),
(87986, '178.32.181.112', '178.32.181.115', 2988488048, 2988488051, 'IT', 'Italy'),
(87987, '178.32.181.116', '178.32.181.119', 2988488052, 2988488055, 'FR', 'France'),
(87988, '178.32.181.120', '178.32.181.127', 2988488056, 2988488063, 'DE', 'Germany'),
(87989, '178.32.181.128', '178.32.181.159', 2988488064, 2988488095, 'FR', 'France'),
(87990, '178.32.181.160', '178.32.181.163', 2988488096, 2988488099, 'DE', 'Germany'),
(87991, '178.32.181.164', '178.32.181.167', 2988488100, 2988488103, 'PT', 'Portugal'),
(87992, '178.32.181.168', '178.32.181.175', 2988488104, 2988488111, 'FR', 'France'),
(87993, '178.32.181.176', '178.32.181.191', 2988488112, 2988488127, 'PL', 'Poland'),
(87994, '178.32.181.192', '178.32.181.239', 2988488128, 2988488175, 'FR', 'France'),
(87995, '178.32.181.240', '178.32.181.243', 2988488176, 2988488179, 'GB', 'United Kingdom'),
(87996, '178.32.181.244', '178.32.181.247', 2988488180, 2988488183, 'FR', 'France'),
(87997, '178.32.181.248', '178.32.181.251', 2988488184, 2988488187, 'IE', 'Ireland'),
(87998, '178.32.181.252', '178.32.181.255', 2988488188, 2988488191, 'DE', 'Germany'),
(87999, '178.32.182.0', '178.32.183.31', 2988488192, 2988488479, 'FR', 'France'),
(88000, '178.32.183.32', '178.32.183.39', 2988488480, 2988488487, 'PL', 'Poland'),
(88001, '178.32.183.40', '178.32.183.43', 2988488488, 2988488491, 'FR', 'France'),
(88002, '178.32.183.44', '178.32.183.47', 2988488492, 2988488495, 'ES', 'Spain'),
(88003, '178.32.183.48', '178.32.183.95', 2988488496, 2988488543, 'FR', 'France'),
(88004, '178.32.183.96', '178.32.183.107', 2988488544, 2988488555, 'GB', 'United Kingdom'),
(88005, '178.32.183.108', '178.32.183.115', 2988488556, 2988488563, 'ES', 'Spain'),
(88006, '178.32.183.116', '178.32.183.119', 2988488564, 2988488567, 'FR', 'France'),
(88007, '178.32.183.120', '178.32.183.123', 2988488568, 2988488571, 'ES', 'Spain'),
(88008, '178.32.183.124', '178.32.183.127', 2988488572, 2988488575, 'GB', 'United Kingdom'),
(88009, '178.32.183.128', '178.32.183.159', 2988488576, 2988488607, 'FR', 'France'),
(88010, '178.32.183.160', '178.32.183.191', 2988488608, 2988488639, 'DE', 'Germany'),
(88011, '178.32.183.192', '178.32.183.199', 2988488640, 2988488647, 'ES', 'Spain'),
(88012, '178.32.183.200', '178.32.183.207', 2988488648, 2988488655, 'IT', 'Italy'),
(88013, '178.32.183.208', '178.32.183.215', 2988488656, 2988488663, 'PL', 'Poland'),
(88014, '178.32.183.216', '178.32.184.255', 2988488664, 2988488959, 'FR', 'France'),
(88015, '178.32.185.0', '178.32.185.3', 2988488960, 2988488963, 'NL', 'Netherlands'),
(88016, '178.32.185.4', '178.32.185.7', 2988488964, 2988488967, 'FR', 'France'),
(88017, '178.32.185.8', '178.32.185.11', 2988488968, 2988488971, 'DE', 'Germany'),
(88018, '178.32.185.12', '178.32.185.15', 2988488972, 2988488975, 'FR', 'France'),
(88019, '178.32.185.16', '178.32.185.23', 2988488976, 2988488983, 'ES', 'Spain'),
(88020, '178.32.185.24', '178.32.185.27', 2988488984, 2988488987, 'FR', 'France'),
(88021, '178.32.185.28', '178.32.185.31', 2988488988, 2988488991, 'NL', 'Netherlands'),
(88022, '178.32.185.32', '178.32.185.63', 2988488992, 2988489023, 'ES', 'Spain'),
(88023, '178.32.185.64', '178.32.185.95', 2988489024, 2988489055, 'FR', 'France'),
(88024, '178.32.185.96', '178.32.185.111', 2988489056, 2988489071, 'DE', 'Germany'),
(88025, '178.32.185.112', '178.32.185.135', 2988489072, 2988489095, 'FR', 'France'),
(88026, '178.32.185.136', '178.32.185.143', 2988489096, 2988489103, 'GB', 'United Kingdom'),
(88027, '178.32.185.144', '178.32.185.159', 2988489104, 2988489119, 'FI', 'Finland'),
(88028, '178.32.185.160', '178.32.185.163', 2988489120, 2988489123, 'ES', 'Spain'),
(88029, '178.32.185.164', '178.32.185.167', 2988489124, 2988489127, 'IE', 'Ireland'),
(88030, '178.32.185.168', '178.32.185.171', 2988489128, 2988489131, 'IT', 'Italy'),
(88031, '178.32.185.172', '178.32.185.207', 2988489132, 2988489167, 'FR', 'France'),
(88032, '178.32.185.208', '178.32.185.215', 2988489168, 2988489175, 'PT', 'Portugal'),
(88033, '178.32.185.216', '178.32.185.219', 2988489176, 2988489179, 'PL', 'Poland'),
(88034, '178.32.185.220', '178.32.185.223', 2988489180, 2988489183, 'GB', 'United Kingdom'),
(88035, '178.32.185.224', '178.32.186.39', 2988489184, 2988489255, 'FR', 'France'),
(88036, '178.32.186.40', '178.32.186.43', 2988489256, 2988489259, 'GB', 'United Kingdom'),
(88037, '178.32.186.44', '178.32.186.47', 2988489260, 2988489263, 'FR', 'France'),
(88038, '178.32.186.48', '178.32.186.63', 2988489264, 2988489279, 'IT', 'Italy'),
(88039, '178.32.186.64', '178.32.186.67', 2988489280, 2988489283, 'FI', 'Finland'),
(88040, '178.32.186.68', '178.32.186.71', 2988489284, 2988489287, 'FR', 'France'),
(88041, '178.32.186.72', '178.32.186.79', 2988489288, 2988489295, 'PL', 'Poland'),
(88042, '178.32.186.80', '178.32.186.95', 2988489296, 2988489311, 'FR', 'France'),
(88043, '178.32.186.96', '178.32.186.111', 2988489312, 2988489327, 'PL', 'Poland'),
(88044, '178.32.186.112', '178.32.186.115', 2988489328, 2988489331, 'DE', 'Germany'),
(88045, '178.32.186.116', '178.32.186.119', 2988489332, 2988489335, 'PL', 'Poland'),
(88046, '178.32.186.120', '178.32.186.123', 2988489336, 2988489339, 'DE', 'Germany'),
(88047, '178.32.186.124', '178.32.186.127', 2988489340, 2988489343, 'PL', 'Poland'),
(88048, '178.32.186.128', '178.32.186.131', 2988489344, 2988489347, 'DE', 'Germany'),
(88049, '178.32.186.132', '178.32.186.135', 2988489348, 2988489351, 'PL', 'Poland'),
(88050, '178.32.186.136', '178.32.186.139', 2988489352, 2988489355, 'FR', 'France'),
(88051, '178.32.186.140', '178.32.186.143', 2988489356, 2988489359, 'PT', 'Portugal'),
(88052, '178.32.186.144', '178.32.186.159', 2988489360, 2988489375, 'FR', 'France'),
(88053, '178.32.186.160', '178.32.186.163', 2988489376, 2988489379, 'ES', 'Spain'),
(88054, '178.32.186.164', '178.32.186.167', 2988489380, 2988489383, 'GB', 'United Kingdom'),
(88055, '178.32.186.168', '178.32.186.175', 2988489384, 2988489391, 'FR', 'France'),
(88056, '178.32.186.176', '178.32.186.183', 2988489392, 2988489399, 'NL', 'Netherlands'),
(88057, '178.32.186.184', '178.32.186.187', 2988489400, 2988489403, 'PL', 'Poland'),
(88058, '178.32.186.188', '178.32.186.191', 2988489404, 2988489407, 'IT', 'Italy'),
(88059, '178.32.186.192', '178.32.186.223', 2988489408, 2988489439, 'PT', 'Portugal'),
(88060, '178.32.186.224', '178.32.186.239', 2988489440, 2988489455, 'GB', 'United Kingdom'),
(88061, '178.32.186.240', '178.32.186.255', 2988489456, 2988489471, 'FR', 'France'),
(88062, '178.32.187.0', '178.32.187.3', 2988489472, 2988489475, 'ES', 'Spain'),
(88063, '178.32.187.4', '178.32.187.7', 2988489476, 2988489479, 'GB', 'United Kingdom'),
(88064, '178.32.187.8', '178.32.187.11', 2988489480, 2988489483, 'PL', 'Poland'),
(88065, '178.32.187.12', '178.32.187.15', 2988489484, 2988489487, 'GB', 'United Kingdom'),
(88066, '178.32.187.16', '178.32.187.31', 2988489488, 2988489503, 'FR', 'France'),
(88067, '178.32.187.32', '178.32.187.47', 2988489504, 2988489519, 'GB', 'United Kingdom'),
(88068, '178.32.187.48', '178.32.187.55', 2988489520, 2988489527, 'ES', 'Spain'),
(88069, '178.32.187.56', '178.32.187.67', 2988489528, 2988489539, 'NL', 'Netherlands'),
(88070, '178.32.187.68', '178.32.187.71', 2988489540, 2988489543, 'CH', 'Switzerland'),
(88071, '178.32.187.72', '178.32.187.191', 2988489544, 2988489663, 'FR', 'France'),
(88072, '178.32.187.192', '178.32.187.195', 2988489664, 2988489667, 'DE', 'Germany'),
(88073, '178.32.187.196', '178.32.187.199', 2988489668, 2988489671, 'GB', 'United Kingdom'),
(88074, '178.32.187.200', '178.32.187.203', 2988489672, 2988489675, 'ES', 'Spain'),
(88075, '178.32.187.204', '178.32.187.207', 2988489676, 2988489679, 'IE', 'Ireland'),
(88076, '178.32.187.208', '178.32.187.223', 2988489680, 2988489695, 'FR', 'France'),
(88077, '178.32.187.224', '178.32.187.239', 2988489696, 2988489711, 'FI', 'Finland'),
(88078, '178.32.187.240', '178.32.187.247', 2988489712, 2988489719, 'FR', 'France'),
(88079, '178.32.187.248', '178.32.187.251', 2988489720, 2988489723, 'IT', 'Italy'),
(88080, '178.32.187.252', '178.32.187.255', 2988489724, 2988489727, 'ES', 'Spain'),
(88081, '178.32.188.0', '178.32.188.19', 2988489728, 2988489747, 'FR', 'France'),
(88082, '178.32.188.20', '178.32.188.23', 2988489748, 2988489751, 'IT', 'Italy'),
(88083, '178.32.188.24', '178.32.188.27', 2988489752, 2988489755, 'ES', 'Spain'),
(88084, '178.32.188.28', '178.32.188.31', 2988489756, 2988489759, 'FR', 'France'),
(88085, '178.32.188.32', '178.32.188.63', 2988489760, 2988489791, 'NL', 'Netherlands'),
(88086, '178.32.188.64', '178.32.188.159', 2988489792, 2988489887, 'PL', 'Poland'),
(88087, '178.32.188.160', '178.32.188.175', 2988489888, 2988489903, 'FR', 'France'),
(88088, '178.32.188.176', '178.32.188.191', 2988489904, 2988489919, 'IE', 'Ireland'),
(88089, '178.32.188.192', '178.32.188.207', 2988489920, 2988489935, 'PL', 'Poland'),
(88090, '178.32.188.208', '178.32.188.215', 2988489936, 2988489943, 'ES', 'Spain'),
(88091, '178.32.188.216', '178.32.188.219', 2988489944, 2988489947, 'FR', 'France'),
(88092, '178.32.188.220', '178.32.188.223', 2988489948, 2988489951, 'GB', 'United Kingdom'),
(88093, '178.32.188.224', '178.32.188.239', 2988489952, 2988489967, 'FR', 'France'),
(88094, '178.32.188.240', '178.32.188.255', 2988489968, 2988489983, 'GB', 'United Kingdom'),
(88095, '178.32.189.0', '178.32.189.63', 2988489984, 2988490047, 'FR', 'France'),
(88096, '178.32.189.64', '178.32.189.67', 2988490048, 2988490051, 'ES', 'Spain'),
(88097, '178.32.189.68', '178.32.189.71', 2988490052, 2988490055, 'PL', 'Poland'),
(88098, '178.32.189.72', '178.32.189.75', 2988490056, 2988490059, 'LT', 'Lithuania'),
(88099, '178.32.189.76', '178.32.189.79', 2988490060, 2988490063, 'FR', 'France'),
(88100, '178.32.189.80', '178.32.189.95', 2988490064, 2988490079, 'GB', 'United Kingdom'),
(88101, '178.32.189.96', '178.32.189.111', 2988490080, 2988490095, 'FR', 'France'),
(88102, '178.32.189.112', '178.32.189.119', 2988490096, 2988490103, 'PT', 'Portugal'),
(88103, '178.32.189.120', '178.32.189.123', 2988490104, 2988490107, 'ES', 'Spain'),
(88104, '178.32.189.124', '178.32.189.127', 2988490108, 2988490111, 'FR', 'France'),
(88105, '178.32.189.128', '178.32.189.159', 2988490112, 2988490143, 'PL', 'Poland'),
(88106, '178.32.189.160', '178.32.189.191', 2988490144, 2988490175, 'ES', 'Spain'),
(88107, '178.32.189.192', '178.32.189.195', 2988490176, 2988490179, 'IE', 'Ireland'),
(88108, '178.32.189.196', '178.32.189.199', 2988490180, 2988490183, 'PL', 'Poland'),
(88109, '178.32.189.200', '178.32.189.207', 2988490184, 2988490191, 'ES', 'Spain'),
(88110, '178.32.189.208', '178.32.189.211', 2988490192, 2988490195, 'GB', 'United Kingdom'),
(88111, '178.32.189.212', '178.32.189.215', 2988490196, 2988490199, 'FR', 'France'),
(88112, '178.32.189.216', '178.32.189.219', 2988490200, 2988490203, 'DE', 'Germany'),
(88113, '178.32.189.220', '178.32.189.239', 2988490204, 2988490223, 'FR', 'France'),
(88114, '178.32.189.240', '178.32.189.243', 2988490224, 2988490227, 'DE', 'Germany'),
(88115, '178.32.189.244', '178.32.189.247', 2988490228, 2988490231, 'GB', 'United Kingdom'),
(88116, '178.32.189.248', '178.32.189.251', 2988490232, 2988490235, 'ES', 'Spain'),
(88117, '178.32.189.252', '178.32.189.255', 2988490236, 2988490239, 'FR', 'France'),
(88118, '178.32.190.0', '178.32.190.7', 2988490240, 2988490247, 'PL', 'Poland'),
(88119, '178.32.190.8', '178.32.190.11', 2988490248, 2988490251, 'ES', 'Spain'),
(88120, '178.32.190.12', '178.32.190.15', 2988490252, 2988490255, 'GB', 'United Kingdom'),
(88121, '178.32.190.16', '178.32.190.31', 2988490256, 2988490271, 'PL', 'Poland'),
(88122, '178.32.190.32', '178.32.190.47', 2988490272, 2988490287, 'ES', 'Spain'),
(88123, '178.32.190.48', '178.32.190.55', 2988490288, 2988490295, 'FR', 'France'),
(88124, '178.32.190.56', '178.32.190.63', 2988490296, 2988490303, 'DE', 'Germany'),
(88125, '178.32.190.64', '178.32.190.79', 2988490304, 2988490319, 'ES', 'Spain'),
(88126, '178.32.190.80', '178.32.190.111', 2988490320, 2988490351, 'FR', 'France'),
(88127, '178.32.190.112', '178.32.190.115', 2988490352, 2988490355, 'IE', 'Ireland'),
(88128, '178.32.190.116', '178.32.190.127', 2988490356, 2988490367, 'DE', 'Germany'),
(88129, '178.32.190.128', '178.32.190.131', 2988490368, 2988490371, 'ES', 'Spain'),
(88130, '178.32.190.132', '178.32.190.135', 2988490372, 2988490375, 'NL', 'Netherlands'),
(88131, '178.32.190.136', '178.32.190.143', 2988490376, 2988490383, 'GB', 'United Kingdom'),
(88132, '178.32.190.144', '178.32.190.159', 2988490384, 2988490399, 'FR', 'France'),
(88133, '178.32.190.160', '178.32.190.167', 2988490400, 2988490407, 'GB', 'United Kingdom'),
(88134, '178.32.190.168', '178.32.190.171', 2988490408, 2988490411, 'NL', 'Netherlands'),
(88135, '178.32.190.172', '178.32.190.175', 2988490412, 2988490415, 'ES', 'Spain'),
(88136, '178.32.190.176', '178.32.190.179', 2988490416, 2988490419, 'FR', 'France'),
(88137, '178.32.190.180', '178.32.190.183', 2988490420, 2988490423, 'CH', 'Switzerland'),
(88138, '178.32.190.184', '178.32.190.223', 2988490424, 2988490463, 'FR', 'France'),
(88139, '178.32.190.224', '178.32.191.127', 2988490464, 2988490623, 'PL', 'Poland'),
(88140, '178.32.191.128', '178.32.191.255', 2988490624, 2988490751, 'ES', 'Spain'),
(88141, '178.32.192.0', '178.32.195.255', 2988490752, 2988491775, 'FR', 'France'),
(88142, '178.32.196.0', '178.32.196.255', 2988491776, 2988492031, 'TN', 'Tunisia'),
(88143, '178.32.197.0', '178.32.199.255', 2988492032, 2988492799, 'FR', 'France'),
(88144, '178.32.200.0', '178.32.207.255', 2988492800, 2988494847, 'PL', 'Poland'),
(88145, '178.32.208.0', '178.32.224.31', 2988494848, 2988498975, 'FR', 'France'),
(88146, '178.32.224.32', '178.32.224.39', 2988498976, 2988498983, 'ES', 'Spain'),
(88147, '178.32.224.40', '178.32.224.47', 2988498984, 2988498991, 'FR', 'France'),
(88148, '178.32.224.48', '178.32.224.63', 2988498992, 2988499007, 'PL', 'Poland'),
(88149, '178.32.224.64', '178.32.224.107', 2988499008, 2988499051, 'DE', 'Germany'),
(88150, '178.32.224.108', '178.32.224.111', 2988499052, 2988499055, 'FR', 'France'),
(88151, '178.32.224.112', '178.32.224.119', 2988499056, 2988499063, 'BE', 'Belgium'),
(88152, '178.32.224.120', '178.32.224.123', 2988499064, 2988499067, 'DE', 'Germany'),
(88153, '178.32.224.124', '178.32.224.127', 2988499068, 2988499071, 'FR', 'France'),
(88154, '178.32.224.128', '178.32.224.159', 2988499072, 2988499103, 'PL', 'Poland'),
(88155, '178.32.224.160', '178.32.224.175', 2988499104, 2988499119, 'IE', 'Ireland'),
(88156, '178.32.224.176', '178.32.224.191', 2988499120, 2988499135, 'FR', 'France'),
(88157, '178.32.224.192', '178.32.224.195', 2988499136, 2988499139, 'DE', 'Germany'),
(88158, '178.32.224.196', '178.32.224.199', 2988499140, 2988499143, 'FR', 'France'),
(88159, '178.32.224.200', '178.32.224.207', 2988499144, 2988499151, 'DE', 'Germany'),
(88160, '178.32.224.208', '178.32.224.223', 2988499152, 2988499167, 'FR', 'France'),
(88161, '178.32.224.224', '178.32.224.255', 2988499168, 2988499199, 'ES', 'Spain'),
(88162, '178.32.225.0', '178.32.225.143', 2988499200, 2988499343, 'FR', 'France'),
(88163, '178.32.225.144', '178.32.225.147', 2988499344, 2988499347, 'PL', 'Poland'),
(88164, '178.32.225.148', '178.32.225.151', 2988499348, 2988499351, 'GB', 'United Kingdom'),
(88165, '178.32.225.152', '178.32.225.159', 2988499352, 2988499359, 'IT', 'Italy'),
(88166, '178.32.225.160', '178.32.225.167', 2988499360, 2988499367, 'PL', 'Poland'),
(88167, '178.32.225.168', '178.32.225.175', 2988499368, 2988499375, 'IT', 'Italy'),
(88168, '178.32.225.176', '178.32.225.179', 2988499376, 2988499379, 'PT', 'Portugal'),
(88169, '178.32.225.180', '178.32.225.187', 2988499380, 2988499387, 'PL', 'Poland'),
(88170, '178.32.225.188', '178.32.225.207', 2988499388, 2988499407, 'FR', 'France'),
(88171, '178.32.225.208', '178.32.225.215', 2988499408, 2988499415, 'PL', 'Poland'),
(88172, '178.32.225.216', '178.32.225.223', 2988499416, 2988499423, 'DE', 'Germany'),
(88173, '178.32.225.224', '178.32.225.255', 2988499424, 2988499455, 'PL', 'Poland'),
(88174, '178.32.226.0', '178.32.226.7', 2988499456, 2988499463, 'NL', 'Netherlands'),
(88175, '178.32.226.8', '178.32.226.15', 2988499464, 2988499471, 'DE', 'Germany'),
(88176, '178.32.226.16', '178.32.226.31', 2988499472, 2988499487, 'FR', 'France'),
(88177, '178.32.226.32', '178.32.226.63', 2988499488, 2988499519, 'PL', 'Poland'),
(88178, '178.32.226.64', '178.32.226.95', 2988499520, 2988499551, 'ES', 'Spain'),
(88179, '178.32.226.96', '178.32.226.111', 2988499552, 2988499567, 'PL', 'Poland'),
(88180, '178.32.226.112', '178.32.226.119', 2988499568, 2988499575, 'IE', 'Ireland'),
(88181, '178.32.226.120', '178.32.226.123', 2988499576, 2988499579, 'FR', 'France'),
(88182, '178.32.226.124', '178.32.226.127', 2988499580, 2988499583, 'CH', 'Switzerland'),
(88183, '178.32.226.128', '178.32.226.143', 2988499584, 2988499599, 'PL', 'Poland'),
(88184, '178.32.226.144', '178.32.226.159', 2988499600, 2988499615, 'FR', 'France'),
(88185, '178.32.226.160', '178.32.226.167', 2988499616, 2988499623, 'DE', 'Germany'),
(88186, '178.32.226.168', '178.32.226.175', 2988499624, 2988499631, 'ES', 'Spain'),
(88187, '178.32.226.176', '178.32.226.179', 2988499632, 2988499635, 'CH', 'Switzerland'),
(88188, '178.32.226.180', '178.32.226.183', 2988499636, 2988499639, 'DE', 'Germany'),
(88189, '178.32.226.184', '178.32.226.207', 2988499640, 2988499663, 'GB', 'United Kingdom'),
(88190, '178.32.226.208', '178.32.226.215', 2988499664, 2988499671, 'DE', 'Germany'),
(88191, '178.32.226.216', '178.32.226.223', 2988499672, 2988499679, 'NL', 'Netherlands'),
(88192, '178.32.226.224', '178.32.226.227', 2988499680, 2988499683, 'FR', 'France'),
(88193, '178.32.226.228', '178.32.226.231', 2988499684, 2988499687, 'CZ', 'Czech Republic'),
(88194, '178.32.226.232', '178.32.226.235', 2988499688, 2988499691, 'FI', 'Finland'),
(88195, '178.32.226.236', '178.32.226.239', 2988499692, 2988499695, 'IT', 'Italy'),
(88196, '178.32.226.240', '178.32.226.243', 2988499696, 2988499699, 'PT', 'Portugal'),
(88197, '178.32.226.244', '178.32.226.247', 2988499700, 2988499703, 'GB', 'United Kingdom'),
(88198, '178.32.226.248', '178.32.226.255', 2988499704, 2988499711, 'DE', 'Germany'),
(88199, '178.32.227.0', '178.32.227.19', 2988499712, 2988499731, 'GB', 'United Kingdom'),
(88200, '178.32.227.20', '178.32.227.23', 2988499732, 2988499735, 'FR', 'France'),
(88201, '178.32.227.24', '178.32.227.31', 2988499736, 2988499743, 'NL', 'Netherlands'),
(88202, '178.32.227.32', '178.32.227.35', 2988499744, 2988499747, 'IE', 'Ireland'),
(88203, '178.32.227.36', '178.32.227.39', 2988499748, 2988499751, 'LT', 'Lithuania'),
(88204, '178.32.227.40', '178.32.227.43', 2988499752, 2988499755, 'PL', 'Poland'),
(88205, '178.32.227.44', '178.32.227.47', 2988499756, 2988499759, 'ES', 'Spain'),
(88206, '178.32.227.48', '178.32.227.51', 2988499760, 2988499763, 'CH', 'Switzerland'),
(88207, '178.32.227.52', '178.32.227.63', 2988499764, 2988499775, 'PL', 'Poland'),
(88208, '178.32.227.64', '178.32.227.79', 2988499776, 2988499791, 'IT', 'Italy'),
(88209, '178.32.227.80', '178.32.227.83', 2988499792, 2988499795, 'GB', 'United Kingdom'),
(88210, '178.32.227.84', '178.32.227.91', 2988499796, 2988499803, 'IT', 'Italy'),
(88211, '178.32.227.92', '178.32.227.95', 2988499804, 2988499807, 'DE', 'Germany'),
(88212, '178.32.227.96', '178.32.227.111', 2988499808, 2988499823, 'FR', 'France'),
(88213, '178.32.227.112', '178.32.227.119', 2988499824, 2988499831, 'PL', 'Poland'),
(88214, '178.32.227.120', '178.32.227.127', 2988499832, 2988499839, 'GB', 'United Kingdom'),
(88215, '178.32.227.128', '178.32.227.135', 2988499840, 2988499847, 'BE', 'Belgium'),
(88216, '178.32.227.136', '178.32.227.139', 2988499848, 2988499851, 'DE', 'Germany'),
(88217, '178.32.227.140', '178.32.227.143', 2988499852, 2988499855, 'PL', 'Poland'),
(88218, '178.32.227.144', '178.32.227.159', 2988499856, 2988499871, 'ES', 'Spain'),
(88219, '178.32.227.160', '178.32.227.191', 2988499872, 2988499903, 'IE', 'Ireland'),
(88220, '178.32.227.192', '178.32.227.195', 2988499904, 2988499907, 'FR', 'France'),
(88221, '178.32.227.196', '178.32.227.199', 2988499908, 2988499911, 'BE', 'Belgium'),
(88222, '178.32.227.200', '178.32.227.203', 2988499912, 2988499915, 'FR', 'France'),
(88223, '178.32.227.204', '178.32.227.207', 2988499916, 2988499919, 'LT', 'Lithuania'),
(88224, '178.32.227.208', '178.32.227.211', 2988499920, 2988499923, 'DE', 'Germany'),
(88225, '178.32.227.212', '178.32.227.215', 2988499924, 2988499927, 'BE', 'Belgium'),
(88226, '178.32.227.216', '178.32.227.223', 2988499928, 2988499935, 'FR', 'France'),
(88227, '178.32.227.224', '178.32.227.255', 2988499936, 2988499967, 'IE', 'Ireland'),
(88228, '178.32.228.0', '178.32.228.255', 2988499968, 2988500223, 'FR', 'France'),
(88229, '178.32.229.0', '178.32.229.31', 2988500224, 2988500255, 'ES', 'Spain'),
(88230, '178.32.229.32', '178.32.229.47', 2988500256, 2988500271, 'IT', 'Italy'),
(88231, '178.32.229.48', '178.32.229.63', 2988500272, 2988500287, 'BE', 'Belgium'),
(88232, '178.32.229.64', '178.32.229.79', 2988500288, 2988500303, 'PL', 'Poland'),
(88233, '178.32.229.80', '178.32.229.83', 2988500304, 2988500307, 'FR', 'France'),
(88234, '178.32.229.84', '178.32.229.87', 2988500308, 2988500311, 'NL', 'Netherlands'),
(88235, '178.32.229.88', '178.32.229.91', 2988500312, 2988500315, 'ES', 'Spain'),
(88236, '178.32.229.92', '178.32.229.95', 2988500316, 2988500319, 'DE', 'Germany'),
(88237, '178.32.229.96', '178.32.229.111', 2988500320, 2988500335, 'BE', 'Belgium'),
(88238, '178.32.229.112', '178.32.229.115', 2988500336, 2988500339, 'DE', 'Germany'),
(88239, '178.32.229.116', '178.32.229.123', 2988500340, 2988500347, 'IE', 'Ireland'),
(88240, '178.32.229.124', '178.32.229.127', 2988500348, 2988500351, 'PL', 'Poland'),
(88241, '178.32.229.128', '178.32.229.159', 2988500352, 2988500383, 'GB', 'United Kingdom'),
(88242, '178.32.229.160', '178.32.229.175', 2988500384, 2988500399, 'BE', 'Belgium'),
(88243, '178.32.229.176', '178.32.229.191', 2988500400, 2988500415, 'DE', 'Germany'),
(88244, '178.32.229.192', '178.32.229.223', 2988500416, 2988500447, 'PL', 'Poland'),
(88245, '178.32.229.224', '178.32.229.255', 2988500448, 2988500479, 'ES', 'Spain'),
(88246, '178.32.230.0', '178.32.230.15', 2988500480, 2988500495, 'DE', 'Germany'),
(88247, '178.32.230.16', '178.32.230.19', 2988500496, 2988500499, 'PL', 'Poland'),
(88248, '178.32.230.20', '178.32.230.23', 2988500500, 2988500503, 'DE', 'Germany'),
(88249, '178.32.230.24', '178.32.230.31', 2988500504, 2988500511, 'PL', 'Poland'),
(88250, '178.32.230.32', '178.32.230.39', 2988500512, 2988500519, 'FR', 'France'),
(88251, '178.32.230.40', '178.32.230.43', 2988500520, 2988500523, 'ES', 'Spain'),
(88252, '178.32.230.44', '178.32.230.47', 2988500524, 2988500527, 'GB', 'United Kingdom'),
(88253, '178.32.230.48', '178.32.230.63', 2988500528, 2988500543, 'BE', 'Belgium'),
(88254, '178.32.230.64', '178.32.230.127', 2988500544, 2988500607, 'PL', 'Poland'),
(88255, '178.32.230.128', '178.32.230.159', 2988500608, 2988500639, 'FR', 'France'),
(88256, '178.32.230.160', '178.32.230.191', 2988500640, 2988500671, 'GB', 'United Kingdom'),
(88257, '178.32.230.192', '178.32.230.199', 2988500672, 2988500679, 'IT', 'Italy'),
(88258, '178.32.230.200', '178.32.230.207', 2988500680, 2988500687, 'PL', 'Poland'),
(88259, '178.32.230.208', '178.32.230.223', 2988500688, 2988500703, 'NL', 'Netherlands'),
(88260, '178.32.230.224', '178.32.230.231', 2988500704, 2988500711, 'PL', 'Poland'),
(88261, '178.32.230.232', '178.32.231.31', 2988500712, 2988500767, 'FR', 'France'),
(88262, '178.32.231.32', '178.32.231.35', 2988500768, 2988500771, 'PT', 'Portugal'),
(88263, '178.32.231.36', '178.32.231.39', 2988500772, 2988500775, 'ES', 'Spain'),
(88264, '178.32.231.40', '178.32.231.43', 2988500776, 2988500779, 'GB', 'United Kingdom'),
(88265, '178.32.231.44', '178.32.231.51', 2988500780, 2988500787, 'PL', 'Poland'),
(88266, '178.32.231.52', '178.32.231.55', 2988500788, 2988500791, 'ES', 'Spain'),
(88267, '178.32.231.56', '178.32.231.63', 2988500792, 2988500799, 'PL', 'Poland'),
(88268, '178.32.231.64', '178.32.231.79', 2988500800, 2988500815, 'ES', 'Spain'),
(88269, '178.32.231.80', '178.32.231.95', 2988500816, 2988500831, 'FR', 'France'),
(88270, '178.32.231.96', '178.32.231.111', 2988500832, 2988500847, 'ES', 'Spain'),
(88271, '178.32.231.112', '178.32.231.115', 2988500848, 2988500851, 'FI', 'Finland'),
(88272, '178.32.231.116', '178.32.231.119', 2988500852, 2988500855, 'PL', 'Poland'),
(88273, '178.32.231.120', '178.32.231.123', 2988500856, 2988500859, 'IE', 'Ireland'),
(88274, '178.32.231.124', '178.32.231.131', 2988500860, 2988500867, 'FR', 'France'),
(88275, '178.32.231.132', '178.32.231.135', 2988500868, 2988500871, 'DE', 'Germany'),
(88276, '178.32.231.136', '178.32.231.143', 2988500872, 2988500879, 'ES', 'Spain'),
(88277, '178.32.231.144', '178.32.231.147', 2988500880, 2988500883, 'BE', 'Belgium'),
(88278, '178.32.231.148', '178.32.231.151', 2988500884, 2988500887, 'PL', 'Poland'),
(88279, '178.32.231.152', '178.32.231.183', 2988500888, 2988500919, 'FR', 'France'),
(88280, '178.32.231.184', '178.32.231.191', 2988500920, 2988500927, 'PL', 'Poland'),
(88281, '178.32.231.192', '178.32.231.199', 2988500928, 2988500935, 'FR', 'France'),
(88282, '178.32.231.200', '178.32.231.203', 2988500936, 2988500939, 'DE', 'Germany'),
(88283, '178.32.231.204', '178.32.231.207', 2988500940, 2988500943, 'FI', 'Finland'),
(88284, '178.32.231.208', '178.32.231.223', 2988500944, 2988500959, 'IT', 'Italy'),
(88285, '178.32.231.224', '178.32.231.239', 2988500960, 2988500975, 'IE', 'Ireland'),
(88286, '178.32.231.240', '178.32.231.243', 2988500976, 2988500979, 'CZ', 'Czech Republic'),
(88287, '178.32.231.244', '178.32.231.247', 2988500980, 2988500983, 'FR', 'France'),
(88288, '178.32.231.248', '178.32.231.251', 2988500984, 2988500987, 'DE', 'Germany'),
(88289, '178.32.231.252', '178.32.231.255', 2988500988, 2988500991, 'PL', 'Poland'),
(88290, '178.32.232.0', '178.32.232.127', 2988500992, 2988501119, 'FR', 'France'),
(88291, '178.32.232.128', '178.32.232.131', 2988501120, 2988501123, 'PL', 'Poland'),
(88292, '178.32.232.132', '178.32.232.139', 2988501124, 2988501131, 'FR', 'France'),
(88293, '178.32.232.140', '178.32.232.143', 2988501132, 2988501135, 'ES', 'Spain'),
(88294, '178.32.232.144', '178.32.232.191', 2988501136, 2988501183, 'FR', 'France'),
(88295, '178.32.232.192', '178.32.232.223', 2988501184, 2988501215, 'PL', 'Poland'),
(88296, '178.32.232.224', '178.32.232.227', 2988501216, 2988501219, 'DE', 'Germany'),
(88297, '178.32.232.228', '178.32.232.231', 2988501220, 2988501223, 'ES', 'Spain'),
(88298, '178.32.232.232', '178.32.232.235', 2988501224, 2988501227, 'PL', 'Poland'),
(88299, '178.32.232.236', '178.32.232.239', 2988501228, 2988501231, 'CZ', 'Czech Republic'),
(88300, '178.32.232.240', '178.32.232.255', 2988501232, 2988501247, 'PL', 'Poland'),
(88301, '178.32.233.0', '178.32.233.79', 2988501248, 2988501327, 'FR', 'France'),
(88302, '178.32.233.80', '178.32.233.83', 2988501328, 2988501331, 'FI', 'Finland'),
(88303, '178.32.233.84', '178.32.233.87', 2988501332, 2988501335, 'GB', 'United Kingdom'),
(88304, '178.32.233.88', '178.32.233.91', 2988501336, 2988501339, 'FR', 'France'),
(88305, '178.32.233.92', '178.32.233.111', 2988501340, 2988501359, 'PL', 'Poland'),
(88306, '178.32.233.112', '178.32.233.119', 2988501360, 2988501367, 'FR', 'France'),
(88307, '178.32.233.120', '178.32.233.127', 2988501368, 2988501375, 'ES', 'Spain'),
(88308, '178.32.233.128', '178.32.233.135', 2988501376, 2988501383, 'FR', 'France'),
(88309, '178.32.233.136', '178.32.233.143', 2988501384, 2988501391, 'PL', 'Poland'),
(88310, '178.32.233.144', '178.32.233.159', 2988501392, 2988501407, 'FR', 'France'),
(88311, '178.32.233.160', '178.32.233.163', 2988501408, 2988501411, 'LT', 'Lithuania'),
(88312, '178.32.233.164', '178.32.233.167', 2988501412, 2988501415, 'NL', 'Netherlands'),
(88313, '178.32.233.168', '178.32.233.171', 2988501416, 2988501419, 'DE', 'Germany'),
(88314, '178.32.233.172', '178.32.233.175', 2988501420, 2988501423, 'PL', 'Poland'),
(88315, '178.32.233.176', '178.32.233.191', 2988501424, 2988501439, 'NL', 'Netherlands'),
(88316, '178.32.233.192', '178.32.233.223', 2988501440, 2988501471, 'BE', 'Belgium'),
(88317, '178.32.233.224', '178.32.233.227', 2988501472, 2988501475, 'PT', 'Portugal'),
(88318, '178.32.233.228', '178.32.233.231', 2988501476, 2988501479, 'BE', 'Belgium'),
(88319, '178.32.233.232', '178.32.233.235', 2988501480, 2988501483, 'DE', 'Germany'),
(88320, '178.32.233.236', '178.32.233.239', 2988501484, 2988501487, 'PL', 'Poland'),
(88321, '178.32.233.240', '178.32.234.63', 2988501488, 2988501567, 'FR', 'France'),
(88322, '178.32.234.64', '178.32.234.127', 2988501568, 2988501631, 'PL', 'Poland'),
(88323, '178.32.234.128', '178.32.234.159', 2988501632, 2988501663, 'DE', 'Germany'),
(88324, '178.32.234.160', '178.32.234.175', 2988501664, 2988501679, 'CH', 'Switzerland'),
(88325, '178.32.234.176', '178.32.234.179', 2988501680, 2988501683, 'PL', 'Poland'),
(88326, '178.32.234.180', '178.32.234.183', 2988501684, 2988501687, 'GB', 'United Kingdom'),
(88327, '178.32.234.184', '178.32.234.187', 2988501688, 2988501691, 'FR', 'France'),
(88328, '178.32.234.188', '178.32.234.191', 2988501692, 2988501695, 'PL', 'Poland'),
(88329, '178.32.234.192', '178.32.234.223', 2988501696, 2988501727, 'FI', 'Finland'),
(88330, '178.32.234.224', '178.32.234.255', 2988501728, 2988501759, 'PL', 'Poland'),
(88331, '178.32.235.0', '178.32.236.23', 2988501760, 2988502039, 'FR', 'France'),
(88332, '178.32.236.24', '178.32.236.31', 2988502040, 2988502047, 'CZ', 'Czech Republic'),
(88333, '178.32.236.32', '178.32.236.35', 2988502048, 2988502051, 'FR', 'France'),
(88334, '178.32.236.36', '178.32.236.39', 2988502052, 2988502055, 'FI', 'Finland'),
(88335, '178.32.236.40', '178.32.236.43', 2988502056, 2988502059, 'GB', 'United Kingdom'),
(88336, '178.32.236.44', '178.32.236.47', 2988502060, 2988502063, 'IT', 'Italy'),
(88337, '178.32.236.48', '178.32.236.51', 2988502064, 2988502067, 'FR', 'France'),
(88338, '178.32.236.52', '178.32.236.55', 2988502068, 2988502071, 'GB', 'United Kingdom'),
(88339, '178.32.236.56', '178.32.236.59', 2988502072, 2988502075, 'PL', 'Poland'),
(88340, '178.32.236.60', '178.32.236.63', 2988502076, 2988502079, 'ES', 'Spain'),
(88341, '178.32.236.64', '178.32.236.79', 2988502080, 2988502095, 'IE', 'Ireland'),
(88342, '178.32.236.80', '178.32.236.83', 2988502096, 2988502099, 'FI', 'Finland'),
(88343, '178.32.236.84', '178.32.236.87', 2988502100, 2988502103, 'CZ', 'Czech Republic'),
(88344, '178.32.236.88', '178.32.236.91', 2988502104, 2988502107, 'PL', 'Poland'),
(88345, '178.32.236.92', '178.32.236.95', 2988502108, 2988502111, 'GB', 'United Kingdom'),
(88346, '178.32.236.96', '178.32.236.111', 2988502112, 2988502127, 'FR', 'France'),
(88347, '178.32.236.112', '178.32.236.127', 2988502128, 2988502143, 'PL', 'Poland'),
(88348, '178.32.236.128', '178.32.236.191', 2988502144, 2988502207, 'FR', 'France'),
(88349, '178.32.236.192', '178.32.236.207', 2988502208, 2988502223, 'GB', 'United Kingdom'),
(88350, '178.32.236.208', '178.32.236.239', 2988502224, 2988502255, 'FR', 'France'),
(88351, '178.32.236.240', '178.32.236.247', 2988502256, 2988502263, 'DE', 'Germany'),
(88352, '178.32.236.248', '178.32.236.251', 2988502264, 2988502267, 'ES', 'Spain'),
(88353, '178.32.236.252', '178.32.236.255', 2988502268, 2988502271, 'DE', 'Germany'),
(88354, '178.32.237.0', '178.32.237.127', 2988502272, 2988502399, 'FR', 'France'),
(88355, '178.32.237.128', '178.32.237.135', 2988502400, 2988502407, 'NL', 'Netherlands'),
(88356, '178.32.237.136', '178.32.237.139', 2988502408, 2988502411, 'FR', 'France'),
(88357, '178.32.237.140', '178.32.237.147', 2988502412, 2988502419, 'GB', 'United Kingdom'),
(88358, '178.32.237.148', '178.32.237.151', 2988502420, 2988502423, 'IE', 'Ireland'),
(88359, '178.32.237.152', '178.32.237.159', 2988502424, 2988502431, 'FI', 'Finland'),
(88360, '178.32.237.160', '178.32.237.175', 2988502432, 2988502447, 'FR', 'France'),
(88361, '178.32.237.176', '178.32.237.179', 2988502448, 2988502451, 'IE', 'Ireland'),
(88362, '178.32.237.180', '178.32.237.183', 2988502452, 2988502455, 'IT', 'Italy'),
(88363, '178.32.237.184', '178.32.237.187', 2988502456, 2988502459, 'ES', 'Spain'),
(88364, '178.32.237.188', '178.32.237.191', 2988502460, 2988502463, 'PT', 'Portugal'),
(88365, '178.32.237.192', '178.32.237.207', 2988502464, 2988502479, 'IE', 'Ireland'),
(88366, '178.32.237.208', '178.32.237.211', 2988502480, 2988502483, 'CH', 'Switzerland'),
(88367, '178.32.237.212', '178.32.237.215', 2988502484, 2988502487, 'PL', 'Poland'),
(88368, '178.32.237.216', '178.32.237.219', 2988502488, 2988502491, 'CH', 'Switzerland'),
(88369, '178.32.237.220', '178.32.237.223', 2988502492, 2988502495, 'PL', 'Poland'),
(88370, '178.32.237.224', '178.32.237.239', 2988502496, 2988502511, 'ES', 'Spain'),
(88371, '178.32.237.240', '178.32.237.247', 2988502512, 2988502519, 'FR', 'France'),
(88372, '178.32.237.248', '178.32.237.251', 2988502520, 2988502523, 'ES', 'Spain'),
(88373, '178.32.237.252', '178.32.238.15', 2988502524, 2988502543, 'PL', 'Poland'),
(88374, '178.32.238.16', '178.32.238.31', 2988502544, 2988502559, 'FR', 'France'),
(88375, '178.32.238.32', '178.32.238.63', 2988502560, 2988502591, 'PL', 'Poland'),
(88376, '178.32.238.64', '178.32.238.71', 2988502592, 2988502599, 'FR', 'France'),
(88377, '178.32.238.72', '178.32.238.75', 2988502600, 2988502603, 'DE', 'Germany'),
(88378, '178.32.238.76', '178.32.238.79', 2988502604, 2988502607, 'PL', 'Poland'),
(88379, '178.32.238.80', '178.32.238.103', 2988502608, 2988502631, 'FR', 'France'),
(88380, '178.32.238.104', '178.32.238.111', 2988502632, 2988502639, 'NL', 'Netherlands'),
(88381, '178.32.238.112', '178.32.238.127', 2988502640, 2988502655, 'FR', 'France'),
(88382, '178.32.238.128', '178.32.238.191', 2988502656, 2988502719, 'DE', 'Germany'),
(88383, '178.32.238.192', '178.32.238.195', 2988502720, 2988502723, 'ES', 'Spain'),
(88384, '178.32.238.196', '178.32.238.199', 2988502724, 2988502727, 'BE', 'Belgium'),
(88385, '178.32.238.200', '178.32.238.203', 2988502728, 2988502731, 'GB', 'United Kingdom'),
(88386, '178.32.238.204', '178.32.238.223', 2988502732, 2988502751, 'PL', 'Poland'),
(88387, '178.32.238.224', '178.32.238.255', 2988502752, 2988502783, 'ES', 'Spain'),
(88388, '178.32.239.0', '178.32.239.11', 2988502784, 2988502795, 'FR', 'France'),
(88389, '178.32.239.12', '178.32.239.15', 2988502796, 2988502799, 'DE', 'Germany'),
(88390, '178.32.239.16', '178.32.239.23', 2988502800, 2988502807, 'FR', 'France'),
(88391, '178.32.239.24', '178.32.239.47', 2988502808, 2988502831, 'GB', 'United Kingdom'),
(88392, '178.32.239.48', '178.32.239.55', 2988502832, 2988502839, 'DE', 'Germany'),
(88393, '178.32.239.56', '178.32.239.63', 2988502840, 2988502847, 'NL', 'Netherlands'),
(88394, '178.32.239.64', '178.32.239.67', 2988502848, 2988502851, 'FR', 'France'),
(88395, '178.32.239.68', '178.32.239.71', 2988502852, 2988502855, 'CH', 'Switzerland'),
(88396, '178.32.239.72', '178.32.239.75', 2988502856, 2988502859, 'FI', 'Finland'),
(88397, '178.32.239.76', '178.32.239.79', 2988502860, 2988502863, 'BE', 'Belgium'),
(88398, '178.32.239.80', '178.32.239.83', 2988502864, 2988502867, 'IE', 'Ireland'),
(88399, '178.32.239.84', '178.32.239.87', 2988502868, 2988502871, 'LT', 'Lithuania'),
(88400, '178.32.239.88', '178.32.239.91', 2988502872, 2988502875, 'PL', 'Poland'),
(88401, '178.32.239.92', '178.32.239.95', 2988502876, 2988502879, 'ES', 'Spain'),
(88402, '178.32.239.96', '178.32.239.99', 2988502880, 2988502883, 'IT', 'Italy'),
(88403, '178.32.239.100', '178.32.239.103', 2988502884, 2988502887, 'CZ', 'Czech Republic'),
(88404, '178.32.239.104', '178.32.239.107', 2988502888, 2988502891, 'NL', 'Netherlands'),
(88405, '178.32.239.108', '178.32.239.111', 2988502892, 2988502895, 'PL', 'Poland'),
(88406, '178.32.239.112', '178.32.239.127', 2988502896, 2988502911, 'FR', 'France'),
(88407, '178.32.239.128', '178.32.239.131', 2988502912, 2988502915, 'PL', 'Poland'),
(88408, '178.32.239.132', '178.32.239.135', 2988502916, 2988502919, 'CH', 'Switzerland'),
(88409, '178.32.239.136', '178.32.239.175', 2988502920, 2988502959, 'FR', 'France'),
(88410, '178.32.239.176', '178.32.239.191', 2988502960, 2988502975, 'IE', 'Ireland'),
(88411, '178.32.239.192', '178.32.239.199', 2988502976, 2988502983, 'PL', 'Poland'),
(88412, '178.32.239.200', '178.32.239.207', 2988502984, 2988502991, 'ES', 'Spain'),
(88413, '178.32.239.208', '178.32.239.231', 2988502992, 2988503015, 'DE', 'Germany'),
(88414, '178.32.239.232', '178.32.239.235', 2988503016, 2988503019, 'PL', 'Poland'),
(88415, '178.32.239.236', '178.32.239.239', 2988503020, 2988503023, 'FR', 'France'),
(88416, '178.32.239.240', '178.32.239.247', 2988503024, 2988503031, 'GB', 'United Kingdom'),
(88417, '178.32.239.248', '178.32.239.251', 2988503032, 2988503035, 'ES', 'Spain'),
(88418, '178.32.239.252', '178.32.239.255', 2988503036, 2988503039, 'GB', 'United Kingdom'),
(88419, '178.32.240.0', '178.32.240.31', 2988503040, 2988503071, 'FR', 'France'),
(88420, '178.32.240.32', '178.32.240.35', 2988503072, 2988503075, 'DE', 'Germany'),
(88421, '178.32.240.36', '178.32.240.47', 2988503076, 2988503087, 'GB', 'United Kingdom'),
(88422, '178.32.240.48', '178.32.240.63', 2988503088, 2988503103, 'FR', 'France'),
(88423, '178.32.240.64', '178.32.240.67', 2988503104, 2988503107, 'ES', 'Spain'),
(88424, '178.32.240.68', '178.32.240.71', 2988503108, 2988503111, 'NL', 'Netherlands'),
(88425, '178.32.240.72', '178.32.240.79', 2988503112, 2988503119, 'PL', 'Poland'),
(88426, '178.32.240.80', '178.32.240.87', 2988503120, 2988503127, 'DE', 'Germany'),
(88427, '178.32.240.88', '178.32.240.91', 2988503128, 2988503131, 'IT', 'Italy'),
(88428, '178.32.240.92', '178.32.240.111', 2988503132, 2988503151, 'PL', 'Poland'),
(88429, '178.32.240.112', '178.32.240.115', 2988503152, 2988503155, 'DE', 'Germany'),
(88430, '178.32.240.116', '178.32.240.119', 2988503156, 2988503159, 'LT', 'Lithuania'),
(88431, '178.32.240.120', '178.32.240.127', 2988503160, 2988503167, 'ES', 'Spain'),
(88432, '178.32.240.128', '178.32.240.131', 2988503168, 2988503171, 'PL', 'Poland'),
(88433, '178.32.240.132', '178.32.240.143', 2988503172, 2988503183, 'ES', 'Spain'),
(88434, '178.32.240.144', '178.32.240.159', 2988503184, 2988503199, 'NL', 'Netherlands'),
(88435, '178.32.240.160', '178.32.240.175', 2988503200, 2988503215, 'FR', 'France'),
(88436, '178.32.240.176', '178.32.240.191', 2988503216, 2988503231, 'PL', 'Poland'),
(88437, '178.32.240.192', '178.32.241.79', 2988503232, 2988503375, 'FR', 'France'),
(88438, '178.32.241.80', '178.32.241.87', 2988503376, 2988503383, 'PT', 'Portugal'),
(88439, '178.32.241.88', '178.32.241.95', 2988503384, 2988503391, 'PL', 'Poland'),
(88440, '178.32.241.96', '178.32.241.99', 2988503392, 2988503395, 'ES', 'Spain'),
(88441, '178.32.241.100', '178.32.241.103', 2988503396, 2988503399, 'PL', 'Poland'),
(88442, '178.32.241.104', '178.32.241.119', 2988503400, 2988503415, 'FR', 'France'),
(88443, '178.32.241.120', '178.32.241.127', 2988503416, 2988503423, 'PL', 'Poland'),
(88444, '178.32.241.128', '178.32.241.175', 2988503424, 2988503471, 'FR', 'France'),
(88445, '178.32.241.176', '178.32.241.191', 2988503472, 2988503487, 'ES', 'Spain'),
(88446, '178.32.241.192', '178.32.241.199', 2988503488, 2988503495, 'IT', 'Italy'),
(88447, '178.32.241.200', '178.32.241.203', 2988503496, 2988503499, 'PL', 'Poland'),
(88448, '178.32.241.204', '178.32.241.223', 2988503500, 2988503519, 'FR', 'France'),
(88449, '178.32.241.224', '178.32.241.239', 2988503520, 2988503535, 'NL', 'Netherlands'),
(88450, '178.32.241.240', '178.32.241.243', 2988503536, 2988503539, 'ES', 'Spain'),
(88451, '178.32.241.244', '178.32.241.251', 2988503540, 2988503547, 'FR', 'France'),
(88452, '178.32.241.252', '178.32.241.255', 2988503548, 2988503551, 'PL', 'Poland'),
(88453, '178.32.242.0', '178.32.243.63', 2988503552, 2988503871, 'FR', 'France'),
(88454, '178.32.243.64', '178.32.243.95', 2988503872, 2988503903, 'DE', 'Germany'),
(88455, '178.32.243.96', '178.32.243.111', 2988503904, 2988503919, 'FR', 'France'),
(88456, '178.32.243.112', '178.32.243.119', 2988503920, 2988503927, 'ES', 'Spain'),
(88457, '178.32.243.120', '178.32.243.123', 2988503928, 2988503931, 'IT', 'Italy'),
(88458, '178.32.243.124', '178.32.243.127', 2988503932, 2988503935, 'NL', 'Netherlands'),
(88459, '178.32.243.128', '178.32.243.131', 2988503936, 2988503939, 'FR', 'France'),
(88460, '178.32.243.132', '178.32.243.135', 2988503940, 2988503943, 'CH', 'Switzerland'),
(88461, '178.32.243.136', '178.32.243.139', 2988503944, 2988503947, 'PL', 'Poland'),
(88462, '178.32.243.140', '178.32.243.143', 2988503948, 2988503951, 'IE', 'Ireland'),
(88463, '178.32.243.144', '178.32.243.179', 2988503952, 2988503987, 'FR', 'France'),
(88464, '178.32.243.180', '178.32.243.199', 2988503988, 2988504007, 'PL', 'Poland'),
(88465, '178.32.243.200', '178.32.243.207', 2988504008, 2988504015, 'BE', 'Belgium'),
(88466, '178.32.243.208', '178.32.243.211', 2988504016, 2988504019, 'FR', 'France'),
(88467, '178.32.243.212', '178.32.243.215', 2988504020, 2988504023, 'ES', 'Spain'),
(88468, '178.32.243.216', '178.32.243.223', 2988504024, 2988504031, 'FR', 'France'),
(88469, '178.32.243.224', '178.32.243.255', 2988504032, 2988504063, 'ES', 'Spain'),
(88470, '178.32.244.0', '178.32.244.63', 2988504064, 2988504127, 'IE', 'Ireland'),
(88471, '178.32.244.64', '178.32.244.79', 2988504128, 2988504143, 'DE', 'Germany'),
(88472, '178.32.244.80', '178.32.244.95', 2988504144, 2988504159, 'FR', 'France'),
(88473, '178.32.244.96', '178.32.244.127', 2988504160, 2988504191, 'PL', 'Poland'),
(88474, '178.32.244.128', '178.32.244.159', 2988504192, 2988504223, 'FR', 'France'),
(88475, '178.32.244.160', '178.32.244.163', 2988504224, 2988504227, 'PT', 'Portugal'),
(88476, '178.32.244.164', '178.32.244.167', 2988504228, 2988504231, 'DE', 'Germany'),
(88477, '178.32.244.168', '178.32.244.175', 2988504232, 2988504239, 'PL', 'Poland'),
(88478, '178.32.244.176', '178.32.244.191', 2988504240, 2988504255, 'GB', 'United Kingdom'),
(88479, '178.32.244.192', '178.32.244.223', 2988504256, 2988504287, 'ES', 'Spain'),
(88480, '178.32.244.224', '178.32.244.239', 2988504288, 2988504303, 'GB', 'United Kingdom'),
(88481, '178.32.244.240', '178.32.244.247', 2988504304, 2988504311, 'PL', 'Poland'),
(88482, '178.32.244.248', '178.32.244.251', 2988504312, 2988504315, 'FI', 'Finland'),
(88483, '178.32.244.252', '178.32.244.255', 2988504316, 2988504319, 'DE', 'Germany'),
(88484, '178.32.245.0', '178.32.245.3', 2988504320, 2988504323, 'FR', 'France'),
(88485, '178.32.245.4', '178.32.245.7', 2988504324, 2988504327, 'NL', 'Netherlands'),
(88486, '178.32.245.8', '178.32.245.15', 2988504328, 2988504335, 'DE', 'Germany'),
(88487, '178.32.245.16', '178.32.245.31', 2988504336, 2988504351, 'FR', 'France'),
(88488, '178.32.245.32', '178.32.245.35', 2988504352, 2988504355, 'GB', 'United Kingdom'),
(88489, '178.32.245.36', '178.32.245.39', 2988504356, 2988504359, 'DE', 'Germany'),
(88490, '178.32.245.40', '178.32.245.43', 2988504360, 2988504363, 'GB', 'United Kingdom'),
(88491, '178.32.245.44', '178.32.245.47', 2988504364, 2988504367, 'FI', 'Finland'),
(88492, '178.32.245.48', '178.32.245.51', 2988504368, 2988504371, 'IE', 'Ireland'),
(88493, '178.32.245.52', '178.32.245.55', 2988504372, 2988504375, 'PL', 'Poland'),
(88494, '178.32.245.56', '178.32.245.59', 2988504376, 2988504379, 'PT', 'Portugal'),
(88495, '178.32.245.60', '178.32.245.95', 2988504380, 2988504415, 'FR', 'France'),
(88496, '178.32.245.96', '178.32.245.99', 2988504416, 2988504419, 'PL', 'Poland'),
(88497, '178.32.245.100', '178.32.245.103', 2988504420, 2988504423, 'DE', 'Germany'),
(88498, '178.32.245.104', '178.32.245.107', 2988504424, 2988504427, 'ES', 'Spain'),
(88499, '178.32.245.108', '178.32.245.111', 2988504428, 2988504431, 'PT', 'Portugal'),
(88500, '178.32.245.112', '178.32.245.115', 2988504432, 2988504435, 'FR', 'France'),
(88501, '178.32.245.116', '178.32.245.119', 2988504436, 2988504439, 'ES', 'Spain'),
(88502, '178.32.245.120', '178.32.245.123', 2988504440, 2988504443, 'FR', 'France'),
(88503, '178.32.245.124', '178.32.245.127', 2988504444, 2988504447, 'GB', 'United Kingdom'),
(88504, '178.32.245.128', '178.32.245.131', 2988504448, 2988504451, 'BE', 'Belgium'),
(88505, '178.32.245.132', '178.32.245.135', 2988504452, 2988504455, 'ES', 'Spain'),
(88506, '178.32.245.136', '178.32.245.139', 2988504456, 2988504459, 'PL', 'Poland'),
(88507, '178.32.245.140', '178.32.245.143', 2988504460, 2988504463, 'GB', 'United Kingdom'),
(88508, '178.32.245.144', '178.32.245.147', 2988504464, 2988504467, 'DE', 'Germany'),
(88509, '178.32.245.148', '178.32.245.151', 2988504468, 2988504471, 'ES', 'Spain'),
(88510, '178.32.245.152', '178.32.245.159', 2988504472, 2988504479, 'PL', 'Poland'),
(88511, '178.32.245.160', '178.32.245.223', 2988504480, 2988504543, 'FR', 'France'),
(88512, '178.32.245.224', '178.32.245.239', 2988504544, 2988504559, 'PL', 'Poland'),
(88513, '178.32.245.240', '178.32.245.243', 2988504560, 2988504563, 'FR', 'France'),
(88514, '178.32.245.244', '178.32.245.247', 2988504564, 2988504567, 'PL', 'Poland'),
(88515, '178.32.245.248', '178.32.245.251', 2988504568, 2988504571, 'CH', 'Switzerland'),
(88516, '178.32.245.252', '178.32.246.27', 2988504572, 2988504603, 'PL', 'Poland'),
(88517, '178.32.246.28', '178.32.246.63', 2988504604, 2988504639, 'FR', 'France'),
(88518, '178.32.246.64', '178.32.246.67', 2988504640, 2988504643, 'DE', 'Germany'),
(88519, '178.32.246.68', '178.32.246.71', 2988504644, 2988504647, 'PT', 'Portugal'),
(88520, '178.32.246.72', '178.32.246.79', 2988504648, 2988504655, 'GB', 'United Kingdom'),
(88521, '178.32.246.80', '178.32.246.111', 2988504656, 2988504687, 'FR', 'France'),
(88522, '178.32.246.112', '178.32.246.127', 2988504688, 2988504703, 'PL', 'Poland'),
(88523, '178.32.246.128', '178.32.246.159', 2988504704, 2988504735, 'FR', 'France'),
(88524, '178.32.246.160', '178.32.246.167', 2988504736, 2988504743, 'PL', 'Poland'),
(88525, '178.32.246.168', '178.32.246.175', 2988504744, 2988504751, 'ES', 'Spain'),
(88526, '178.32.246.176', '178.32.246.179', 2988504752, 2988504755, 'PL', 'Poland'),
(88527, '178.32.246.180', '178.32.246.191', 2988504756, 2988504767, 'FR', 'France'),
(88528, '178.32.246.192', '178.32.246.223', 2988504768, 2988504799, 'ES', 'Spain'),
(88529, '178.32.246.224', '178.32.246.239', 2988504800, 2988504815, 'PL', 'Poland'),
(88530, '178.32.246.240', '178.32.246.243', 2988504816, 2988504819, 'BE', 'Belgium'),
(88531, '178.32.246.244', '178.32.246.247', 2988504820, 2988504823, 'IE', 'Ireland'),
(88532, '178.32.246.248', '178.32.246.251', 2988504824, 2988504827, 'IT', 'Italy'),
(88533, '178.32.246.252', '178.32.247.31', 2988504828, 2988504863, 'FR', 'France'),
(88534, '178.32.247.32', '178.32.247.47', 2988504864, 2988504879, 'PL', 'Poland'),
(88535, '178.32.247.48', '178.32.247.127', 2988504880, 2988504959, 'FR', 'France'),
(88536, '178.32.247.128', '178.32.247.131', 2988504960, 2988504963, 'PT', 'Portugal'),
(88537, '178.32.247.132', '178.32.247.135', 2988504964, 2988504967, 'FR', 'France'),
(88538, '178.32.247.136', '178.32.247.143', 2988504968, 2988504975, 'BE', 'Belgium'),
(88539, '178.32.247.144', '178.32.247.151', 2988504976, 2988504983, 'FR', 'France'),
(88540, '178.32.247.152', '178.32.247.155', 2988504984, 2988504987, 'ES', 'Spain'),
(88541, '178.32.247.156', '178.32.247.159', 2988504988, 2988504991, 'FR', 'France'),
(88542, '178.32.247.160', '178.32.247.191', 2988504992, 2988505023, 'CZ', 'Czech Republic'),
(88543, '178.32.247.192', '178.32.247.255', 2988505024, 2988505087, 'FR', 'France'),
(88544, '178.32.248.0', '178.32.248.63', 2988505088, 2988505151, 'NL', 'Netherlands'),
(88545, '178.32.248.64', '178.32.248.95', 2988505152, 2988505183, 'FR', 'France'),
(88546, '178.32.248.96', '178.32.248.107', 2988505184, 2988505195, 'PL', 'Poland'),
(88547, '178.32.248.108', '178.32.248.111', 2988505196, 2988505199, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(88548, '178.32.248.112', '178.32.248.119', 2988505200, 2988505207, 'PL', 'Poland'),
(88549, '178.32.248.120', '178.32.248.123', 2988505208, 2988505211, 'ES', 'Spain'),
(88550, '178.32.248.124', '178.32.248.127', 2988505212, 2988505215, 'PT', 'Portugal'),
(88551, '178.32.248.128', '178.32.248.159', 2988505216, 2988505247, 'FR', 'France'),
(88552, '178.32.248.160', '178.32.248.167', 2988505248, 2988505255, 'PL', 'Poland'),
(88553, '178.32.248.168', '178.32.248.175', 2988505256, 2988505263, 'FR', 'France'),
(88554, '178.32.248.176', '178.32.248.179', 2988505264, 2988505267, 'IT', 'Italy'),
(88555, '178.32.248.180', '178.32.248.183', 2988505268, 2988505271, 'FR', 'France'),
(88556, '178.32.248.184', '178.32.248.187', 2988505272, 2988505275, 'CZ', 'Czech Republic'),
(88557, '178.32.248.188', '178.32.248.223', 2988505276, 2988505311, 'BE', 'Belgium'),
(88558, '178.32.248.224', '178.32.248.227', 2988505312, 2988505315, 'DE', 'Germany'),
(88559, '178.32.248.228', '178.32.248.231', 2988505316, 2988505319, 'ES', 'Spain'),
(88560, '178.32.248.232', '178.32.248.235', 2988505320, 2988505323, 'PL', 'Poland'),
(88561, '178.32.248.236', '178.32.248.239', 2988505324, 2988505327, 'ES', 'Spain'),
(88562, '178.32.248.240', '178.32.248.255', 2988505328, 2988505343, 'PL', 'Poland'),
(88563, '178.32.249.0', '178.32.249.31', 2988505344, 2988505375, 'DE', 'Germany'),
(88564, '178.32.249.32', '178.32.249.47', 2988505376, 2988505391, 'FR', 'France'),
(88565, '178.32.249.48', '178.32.249.55', 2988505392, 2988505399, 'PL', 'Poland'),
(88566, '178.32.249.56', '178.32.249.59', 2988505400, 2988505403, 'ES', 'Spain'),
(88567, '178.32.249.60', '178.32.249.63', 2988505404, 2988505407, 'GB', 'United Kingdom'),
(88568, '178.32.249.64', '178.32.249.95', 2988505408, 2988505439, 'FR', 'France'),
(88569, '178.32.249.96', '178.32.249.111', 2988505440, 2988505455, 'PL', 'Poland'),
(88570, '178.32.249.112', '178.32.249.115', 2988505456, 2988505459, 'FI', 'Finland'),
(88571, '178.32.249.116', '178.32.249.119', 2988505460, 2988505463, 'CH', 'Switzerland'),
(88572, '178.32.249.120', '178.32.249.127', 2988505464, 2988505471, 'IT', 'Italy'),
(88573, '178.32.249.128', '178.32.249.131', 2988505472, 2988505475, 'ES', 'Spain'),
(88574, '178.32.249.132', '178.32.249.135', 2988505476, 2988505479, 'NL', 'Netherlands'),
(88575, '178.32.249.136', '178.32.249.143', 2988505480, 2988505487, 'IE', 'Ireland'),
(88576, '178.32.249.144', '178.32.249.159', 2988505488, 2988505503, 'PL', 'Poland'),
(88577, '178.32.249.160', '178.32.249.255', 2988505504, 2988505599, 'FR', 'France'),
(88578, '178.32.250.0', '178.32.250.3', 2988505600, 2988505603, 'DE', 'Germany'),
(88579, '178.32.250.4', '178.32.250.7', 2988505604, 2988505607, 'ES', 'Spain'),
(88580, '178.32.250.8', '178.32.250.15', 2988505608, 2988505615, 'FR', 'France'),
(88581, '178.32.250.16', '178.32.250.31', 2988505616, 2988505631, 'ES', 'Spain'),
(88582, '178.32.250.32', '178.32.250.63', 2988505632, 2988505663, 'FR', 'France'),
(88583, '178.32.250.64', '178.32.250.95', 2988505664, 2988505695, 'ES', 'Spain'),
(88584, '178.32.250.96', '178.32.250.99', 2988505696, 2988505699, 'FR', 'France'),
(88585, '178.32.250.100', '178.32.250.103', 2988505700, 2988505703, 'IT', 'Italy'),
(88586, '178.32.250.104', '178.32.250.111', 2988505704, 2988505711, 'PL', 'Poland'),
(88587, '178.32.250.112', '178.32.250.127', 2988505712, 2988505727, 'GB', 'United Kingdom'),
(88588, '178.32.250.128', '178.32.250.135', 2988505728, 2988505735, 'PL', 'Poland'),
(88589, '178.32.250.136', '178.32.250.139', 2988505736, 2988505739, 'DE', 'Germany'),
(88590, '178.32.250.140', '178.32.250.143', 2988505740, 2988505743, 'ES', 'Spain'),
(88591, '178.32.250.144', '178.32.250.147', 2988505744, 2988505747, 'PT', 'Portugal'),
(88592, '178.32.250.148', '178.32.250.151', 2988505748, 2988505751, 'DE', 'Germany'),
(88593, '178.32.250.152', '178.32.250.155', 2988505752, 2988505755, 'CH', 'Switzerland'),
(88594, '178.32.250.156', '178.32.250.159', 2988505756, 2988505759, 'PL', 'Poland'),
(88595, '178.32.250.160', '178.32.250.207', 2988505760, 2988505807, 'FR', 'France'),
(88596, '178.32.250.208', '178.32.250.211', 2988505808, 2988505811, 'PL', 'Poland'),
(88597, '178.32.250.212', '178.32.250.215', 2988505812, 2988505815, 'DE', 'Germany'),
(88598, '178.32.250.216', '178.32.250.219', 2988505816, 2988505819, 'GB', 'United Kingdom'),
(88599, '178.32.250.220', '178.32.250.223', 2988505820, 2988505823, 'PL', 'Poland'),
(88600, '178.32.250.224', '178.32.250.239', 2988505824, 2988505839, 'FR', 'France'),
(88601, '178.32.250.240', '178.32.250.243', 2988505840, 2988505843, 'CH', 'Switzerland'),
(88602, '178.32.250.244', '178.32.250.247', 2988505844, 2988505847, 'FR', 'France'),
(88603, '178.32.250.248', '178.32.250.255', 2988505848, 2988505855, 'PL', 'Poland'),
(88604, '178.32.251.0', '178.32.251.63', 2988505856, 2988505919, 'IE', 'Ireland'),
(88605, '178.32.251.64', '178.32.251.79', 2988505920, 2988505935, 'GB', 'United Kingdom'),
(88606, '178.32.251.80', '178.32.251.87', 2988505936, 2988505943, 'ES', 'Spain'),
(88607, '178.32.251.88', '178.32.251.91', 2988505944, 2988505947, 'GB', 'United Kingdom'),
(88608, '178.32.251.92', '178.32.251.95', 2988505948, 2988505951, 'FR', 'France'),
(88609, '178.32.251.96', '178.32.251.111', 2988505952, 2988505967, 'GB', 'United Kingdom'),
(88610, '178.32.251.112', '178.32.251.115', 2988505968, 2988505971, 'BE', 'Belgium'),
(88611, '178.32.251.116', '178.32.251.119', 2988505972, 2988505975, 'ES', 'Spain'),
(88612, '178.32.251.120', '178.32.251.255', 2988505976, 2988506111, 'FR', 'France'),
(88613, '178.32.252.0', '178.32.252.31', 2988506112, 2988506143, 'BE', 'Belgium'),
(88614, '178.32.252.32', '178.32.252.39', 2988506144, 2988506151, 'ES', 'Spain'),
(88615, '178.32.252.40', '178.32.252.47', 2988506152, 2988506159, 'PL', 'Poland'),
(88616, '178.32.252.48', '178.32.252.79', 2988506160, 2988506191, 'FR', 'France'),
(88617, '178.32.252.80', '178.32.252.95', 2988506192, 2988506207, 'GB', 'United Kingdom'),
(88618, '178.32.252.96', '178.32.252.127', 2988506208, 2988506239, 'ES', 'Spain'),
(88619, '178.32.252.128', '178.32.252.143', 2988506240, 2988506255, 'BE', 'Belgium'),
(88620, '178.32.252.144', '178.32.252.159', 2988506256, 2988506271, 'CH', 'Switzerland'),
(88621, '178.32.252.160', '178.32.252.191', 2988506272, 2988506303, 'GB', 'United Kingdom'),
(88622, '178.32.252.192', '178.32.252.223', 2988506304, 2988506335, 'DE', 'Germany'),
(88623, '178.32.252.224', '178.32.252.255', 2988506336, 2988506367, 'FR', 'France'),
(88624, '178.32.253.0', '178.32.253.7', 2988506368, 2988506375, 'IE', 'Ireland'),
(88625, '178.32.253.8', '178.32.253.11', 2988506376, 2988506379, 'FR', 'France'),
(88626, '178.32.253.12', '178.32.253.15', 2988506380, 2988506383, 'DE', 'Germany'),
(88627, '178.32.253.16', '178.32.253.47', 2988506384, 2988506415, 'FR', 'France'),
(88628, '178.32.253.48', '178.32.253.63', 2988506416, 2988506431, 'BE', 'Belgium'),
(88629, '178.32.253.64', '178.32.253.79', 2988506432, 2988506447, 'IT', 'Italy'),
(88630, '178.32.253.80', '178.32.253.83', 2988506448, 2988506451, 'ES', 'Spain'),
(88631, '178.32.253.84', '178.32.253.87', 2988506452, 2988506455, 'PT', 'Portugal'),
(88632, '178.32.253.88', '178.32.253.91', 2988506456, 2988506459, 'BE', 'Belgium'),
(88633, '178.32.253.92', '178.32.253.95', 2988506460, 2988506463, 'PL', 'Poland'),
(88634, '178.32.253.96', '178.32.253.127', 2988506464, 2988506495, 'FR', 'France'),
(88635, '178.32.253.128', '178.32.253.131', 2988506496, 2988506499, 'PL', 'Poland'),
(88636, '178.32.253.132', '178.32.253.135', 2988506500, 2988506503, 'IT', 'Italy'),
(88637, '178.32.253.136', '178.32.253.139', 2988506504, 2988506507, 'DE', 'Germany'),
(88638, '178.32.253.140', '178.32.253.143', 2988506508, 2988506511, 'ES', 'Spain'),
(88639, '178.32.253.144', '178.32.253.147', 2988506512, 2988506515, 'GB', 'United Kingdom'),
(88640, '178.32.253.148', '178.32.253.151', 2988506516, 2988506519, 'FR', 'France'),
(88641, '178.32.253.152', '178.32.253.155', 2988506520, 2988506523, 'PL', 'Poland'),
(88642, '178.32.253.156', '178.32.253.159', 2988506524, 2988506527, 'IE', 'Ireland'),
(88643, '178.32.253.160', '178.32.253.175', 2988506528, 2988506543, 'FR', 'France'),
(88644, '178.32.253.176', '178.32.253.183', 2988506544, 2988506551, 'DE', 'Germany'),
(88645, '178.32.253.184', '178.32.253.191', 2988506552, 2988506559, 'FR', 'France'),
(88646, '178.32.253.192', '178.32.253.195', 2988506560, 2988506563, 'NL', 'Netherlands'),
(88647, '178.32.253.196', '178.32.253.199', 2988506564, 2988506567, 'GB', 'United Kingdom'),
(88648, '178.32.253.200', '178.32.253.203', 2988506568, 2988506571, 'PL', 'Poland'),
(88649, '178.32.253.204', '178.32.253.207', 2988506572, 2988506575, 'CH', 'Switzerland'),
(88650, '178.32.253.208', '178.32.253.223', 2988506576, 2988506591, 'FR', 'France'),
(88651, '178.32.253.224', '178.32.253.255', 2988506592, 2988506623, 'PT', 'Portugal'),
(88652, '178.32.254.0', '178.32.254.63', 2988506624, 2988506687, 'PL', 'Poland'),
(88653, '178.32.254.64', '178.32.254.127', 2988506688, 2988506751, 'IE', 'Ireland'),
(88654, '178.32.254.128', '178.32.254.139', 2988506752, 2988506763, 'ES', 'Spain'),
(88655, '178.32.254.140', '178.32.254.143', 2988506764, 2988506767, 'PL', 'Poland'),
(88656, '178.32.254.144', '178.32.254.159', 2988506768, 2988506783, 'ES', 'Spain'),
(88657, '178.32.254.160', '178.32.254.195', 2988506784, 2988506819, 'PL', 'Poland'),
(88658, '178.32.254.196', '178.32.254.207', 2988506820, 2988506831, 'FR', 'France'),
(88659, '178.32.254.208', '178.32.254.223', 2988506832, 2988506847, 'PL', 'Poland'),
(88660, '178.32.254.224', '178.32.254.239', 2988506848, 2988506863, 'FR', 'France'),
(88661, '178.32.254.240', '178.32.254.247', 2988506864, 2988506871, 'DE', 'Germany'),
(88662, '178.32.254.248', '178.32.254.251', 2988506872, 2988506875, 'ES', 'Spain'),
(88663, '178.32.254.252', '178.32.255.7', 2988506876, 2988506887, 'FR', 'France'),
(88664, '178.32.255.8', '178.32.255.11', 2988506888, 2988506891, 'ES', 'Spain'),
(88665, '178.32.255.12', '178.33.0.7', 2988506892, 2988507143, 'FR', 'France'),
(88666, '178.33.0.8', '178.33.0.11', 2988507144, 2988507147, 'BE', 'Belgium'),
(88667, '178.33.0.12', '178.33.0.19', 2988507148, 2988507155, 'IT', 'Italy'),
(88668, '178.33.0.20', '178.33.0.23', 2988507156, 2988507159, 'PL', 'Poland'),
(88669, '178.33.0.24', '178.33.0.27', 2988507160, 2988507163, 'CH', 'Switzerland'),
(88670, '178.33.0.28', '178.33.0.31', 2988507164, 2988507167, 'GB', 'United Kingdom'),
(88671, '178.33.0.32', '178.33.0.47', 2988507168, 2988507183, 'DE', 'Germany'),
(88672, '178.33.0.48', '178.33.0.63', 2988507184, 2988507199, 'FR', 'France'),
(88673, '178.33.0.64', '178.33.0.67', 2988507200, 2988507203, 'GB', 'United Kingdom'),
(88674, '178.33.0.68', '178.33.0.71', 2988507204, 2988507207, 'DE', 'Germany'),
(88675, '178.33.0.72', '178.33.0.75', 2988507208, 2988507211, 'ES', 'Spain'),
(88676, '178.33.0.76', '178.33.0.79', 2988507212, 2988507215, 'PL', 'Poland'),
(88677, '178.33.0.80', '178.33.0.95', 2988507216, 2988507231, 'FR', 'France'),
(88678, '178.33.0.96', '178.33.0.103', 2988507232, 2988507239, 'ES', 'Spain'),
(88679, '178.33.0.104', '178.33.0.107', 2988507240, 2988507243, 'FR', 'France'),
(88680, '178.33.0.108', '178.33.0.111', 2988507244, 2988507247, 'GB', 'United Kingdom'),
(88681, '178.33.0.112', '178.33.0.127', 2988507248, 2988507263, 'FR', 'France'),
(88682, '178.33.0.128', '178.33.0.143', 2988507264, 2988507279, 'PL', 'Poland'),
(88683, '178.33.0.144', '178.33.0.147', 2988507280, 2988507283, 'FR', 'France'),
(88684, '178.33.0.148', '178.33.0.151', 2988507284, 2988507287, 'ES', 'Spain'),
(88685, '178.33.0.152', '178.33.0.155', 2988507288, 2988507291, 'IE', 'Ireland'),
(88686, '178.33.0.156', '178.33.0.159', 2988507292, 2988507295, 'GB', 'United Kingdom'),
(88687, '178.33.0.160', '178.33.0.191', 2988507296, 2988507327, 'FR', 'France'),
(88688, '178.33.0.192', '178.33.0.199', 2988507328, 2988507335, 'DE', 'Germany'),
(88689, '178.33.0.200', '178.33.0.203', 2988507336, 2988507339, 'ES', 'Spain'),
(88690, '178.33.0.204', '178.33.0.207', 2988507340, 2988507343, 'NL', 'Netherlands'),
(88691, '178.33.0.208', '178.33.0.255', 2988507344, 2988507391, 'FR', 'France'),
(88692, '178.33.1.0', '178.33.1.31', 2988507392, 2988507423, 'CH', 'Switzerland'),
(88693, '178.33.1.32', '178.33.1.39', 2988507424, 2988507431, 'PL', 'Poland'),
(88694, '178.33.1.40', '178.33.1.47', 2988507432, 2988507439, 'DE', 'Germany'),
(88695, '178.33.1.48', '178.33.1.51', 2988507440, 2988507443, 'IT', 'Italy'),
(88696, '178.33.1.52', '178.33.1.55', 2988507444, 2988507447, 'NL', 'Netherlands'),
(88697, '178.33.1.56', '178.33.1.59', 2988507448, 2988507451, 'IT', 'Italy'),
(88698, '178.33.1.60', '178.33.1.63', 2988507452, 2988507455, 'PL', 'Poland'),
(88699, '178.33.1.64', '178.33.1.67', 2988507456, 2988507459, 'FR', 'France'),
(88700, '178.33.1.68', '178.33.1.71', 2988507460, 2988507463, 'BE', 'Belgium'),
(88701, '178.33.1.72', '178.33.1.75', 2988507464, 2988507467, 'CH', 'Switzerland'),
(88702, '178.33.1.76', '178.33.1.79', 2988507468, 2988507471, 'ES', 'Spain'),
(88703, '178.33.1.80', '178.33.1.83', 2988507472, 2988507475, 'FR', 'France'),
(88704, '178.33.1.84', '178.33.1.87', 2988507476, 2988507479, 'GB', 'United Kingdom'),
(88705, '178.33.1.88', '178.33.1.91', 2988507480, 2988507483, 'IE', 'Ireland'),
(88706, '178.33.1.92', '178.33.1.95', 2988507484, 2988507487, 'IT', 'Italy'),
(88707, '178.33.1.96', '178.33.1.111', 2988507488, 2988507503, 'FR', 'France'),
(88708, '178.33.1.112', '178.33.1.127', 2988507504, 2988507519, 'IT', 'Italy'),
(88709, '178.33.1.128', '178.33.1.131', 2988507520, 2988507523, 'PL', 'Poland'),
(88710, '178.33.1.132', '178.33.1.139', 2988507524, 2988507531, 'FR', 'France'),
(88711, '178.33.1.140', '178.33.1.143', 2988507532, 2988507535, 'DE', 'Germany'),
(88712, '178.33.1.144', '178.33.1.147', 2988507536, 2988507539, 'FR', 'France'),
(88713, '178.33.1.148', '178.33.1.151', 2988507540, 2988507543, 'PL', 'Poland'),
(88714, '178.33.1.152', '178.33.1.155', 2988507544, 2988507547, 'FR', 'France'),
(88715, '178.33.1.156', '178.33.1.168', 2988507548, 2988507560, 'GB', 'United Kingdom'),
(88716, '178.33.1.169', '178.33.1.169', 2988507561, 2988507561, 'FR', 'France'),
(88717, '178.33.1.170', '178.33.1.175', 2988507562, 2988507567, 'GB', 'United Kingdom'),
(88718, '178.33.1.176', '178.33.1.191', 2988507568, 2988507583, 'IE', 'Ireland'),
(88719, '178.33.1.192', '178.33.1.199', 2988507584, 2988507591, 'ES', 'Spain'),
(88720, '178.33.1.200', '178.33.1.203', 2988507592, 2988507595, 'FR', 'France'),
(88721, '178.33.1.204', '178.33.1.207', 2988507596, 2988507599, 'DE', 'Germany'),
(88722, '178.33.1.208', '178.33.1.211', 2988507600, 2988507603, 'ES', 'Spain'),
(88723, '178.33.1.212', '178.33.1.215', 2988507604, 2988507607, 'FR', 'France'),
(88724, '178.33.1.216', '178.33.1.219', 2988507608, 2988507611, 'ES', 'Spain'),
(88725, '178.33.1.220', '178.33.1.223', 2988507612, 2988507615, 'DE', 'Germany'),
(88726, '178.33.1.224', '178.33.1.231', 2988507616, 2988507623, 'IT', 'Italy'),
(88727, '178.33.1.232', '178.33.1.235', 2988507624, 2988507627, 'GB', 'United Kingdom'),
(88728, '178.33.1.236', '178.33.1.239', 2988507628, 2988507631, 'PT', 'Portugal'),
(88729, '178.33.1.240', '178.33.1.247', 2988507632, 2988507639, 'IT', 'Italy'),
(88730, '178.33.1.248', '178.33.1.251', 2988507640, 2988507643, 'FR', 'France'),
(88731, '178.33.1.252', '178.33.1.255', 2988507644, 2988507647, 'IT', 'Italy'),
(88732, '178.33.2.0', '178.33.2.63', 2988507648, 2988507711, 'DE', 'Germany'),
(88733, '178.33.2.64', '178.33.2.67', 2988507712, 2988507715, 'GB', 'United Kingdom'),
(88734, '178.33.2.68', '178.33.2.71', 2988507716, 2988507719, 'FR', 'France'),
(88735, '178.33.2.72', '178.33.2.79', 2988507720, 2988507727, 'CH', 'Switzerland'),
(88736, '178.33.2.80', '178.33.2.83', 2988507728, 2988507731, 'FR', 'France'),
(88737, '178.33.2.84', '178.33.2.87', 2988507732, 2988507735, 'GB', 'United Kingdom'),
(88738, '178.33.2.88', '178.33.2.91', 2988507736, 2988507739, 'ES', 'Spain'),
(88739, '178.33.2.92', '178.33.2.111', 2988507740, 2988507759, 'IE', 'Ireland'),
(88740, '178.33.2.112', '178.33.2.119', 2988507760, 2988507767, 'FR', 'France'),
(88741, '178.33.2.120', '178.33.2.191', 2988507768, 2988507839, 'PL', 'Poland'),
(88742, '178.33.2.192', '178.33.2.207', 2988507840, 2988507855, 'FR', 'France'),
(88743, '178.33.2.208', '178.33.2.211', 2988507856, 2988507859, 'BE', 'Belgium'),
(88744, '178.33.2.212', '178.33.2.219', 2988507860, 2988507867, 'PL', 'Poland'),
(88745, '178.33.2.220', '178.33.2.227', 2988507868, 2988507875, 'ES', 'Spain'),
(88746, '178.33.2.228', '178.33.2.231', 2988507876, 2988507879, 'FR', 'France'),
(88747, '178.33.2.232', '178.33.2.235', 2988507880, 2988507883, 'ES', 'Spain'),
(88748, '178.33.2.236', '178.33.2.239', 2988507884, 2988507887, 'GB', 'United Kingdom'),
(88749, '178.33.2.240', '178.33.2.255', 2988507888, 2988507903, 'ES', 'Spain'),
(88750, '178.33.3.0', '178.33.3.15', 2988507904, 2988507919, 'PL', 'Poland'),
(88751, '178.33.3.16', '178.33.3.23', 2988507920, 2988507927, 'DE', 'Germany'),
(88752, '178.33.3.24', '178.33.3.31', 2988507928, 2988507935, 'BE', 'Belgium'),
(88753, '178.33.3.32', '178.33.3.47', 2988507936, 2988507951, 'FR', 'France'),
(88754, '178.33.3.48', '178.33.3.51', 2988507952, 2988507955, 'DE', 'Germany'),
(88755, '178.33.3.52', '178.33.3.55', 2988507956, 2988507959, 'BE', 'Belgium'),
(88756, '178.33.3.56', '178.33.3.63', 2988507960, 2988507967, 'PL', 'Poland'),
(88757, '178.33.3.64', '178.33.3.67', 2988507968, 2988507971, 'FR', 'France'),
(88758, '178.33.3.68', '178.33.3.71', 2988507972, 2988507975, 'PL', 'Poland'),
(88759, '178.33.3.72', '178.33.3.75', 2988507976, 2988507979, 'FR', 'France'),
(88760, '178.33.3.76', '178.33.3.79', 2988507980, 2988507983, 'DE', 'Germany'),
(88761, '178.33.3.80', '178.33.3.95', 2988507984, 2988507999, 'FR', 'France'),
(88762, '178.33.3.96', '178.33.3.127', 2988508000, 2988508031, 'NL', 'Netherlands'),
(88763, '178.33.3.128', '178.33.3.131', 2988508032, 2988508035, 'PL', 'Poland'),
(88764, '178.33.3.132', '178.33.3.135', 2988508036, 2988508039, 'CZ', 'Czech Republic'),
(88765, '178.33.3.136', '178.33.3.143', 2988508040, 2988508047, 'FR', 'France'),
(88766, '178.33.3.144', '178.33.3.151', 2988508048, 2988508055, 'GB', 'United Kingdom'),
(88767, '178.33.3.152', '178.33.3.155', 2988508056, 2988508059, 'FR', 'France'),
(88768, '178.33.3.156', '178.33.3.159', 2988508060, 2988508063, 'DE', 'Germany'),
(88769, '178.33.3.160', '178.33.3.163', 2988508064, 2988508067, 'ES', 'Spain'),
(88770, '178.33.3.164', '178.33.3.167', 2988508068, 2988508071, 'PL', 'Poland'),
(88771, '178.33.3.168', '178.33.3.175', 2988508072, 2988508079, 'FR', 'France'),
(88772, '178.33.3.176', '178.33.3.191', 2988508080, 2988508095, 'ES', 'Spain'),
(88773, '178.33.3.192', '178.33.3.199', 2988508096, 2988508103, 'FR', 'France'),
(88774, '178.33.3.200', '178.33.3.207', 2988508104, 2988508111, 'IT', 'Italy'),
(88775, '178.33.3.208', '178.33.3.223', 2988508112, 2988508127, 'BE', 'Belgium'),
(88776, '178.33.3.224', '178.33.3.231', 2988508128, 2988508135, 'PL', 'Poland'),
(88777, '178.33.3.232', '178.33.3.239', 2988508136, 2988508143, 'GB', 'United Kingdom'),
(88778, '178.33.3.240', '178.33.3.247', 2988508144, 2988508151, 'FR', 'France'),
(88779, '178.33.3.248', '178.33.3.255', 2988508152, 2988508159, 'ES', 'Spain'),
(88780, '178.33.4.0', '178.33.4.31', 2988508160, 2988508191, 'FR', 'France'),
(88781, '178.33.4.32', '178.33.4.47', 2988508192, 2988508207, 'PL', 'Poland'),
(88782, '178.33.4.48', '178.33.4.59', 2988508208, 2988508219, 'FR', 'France'),
(88783, '178.33.4.60', '178.33.4.63', 2988508220, 2988508223, 'DE', 'Germany'),
(88784, '178.33.4.64', '178.33.4.95', 2988508224, 2988508255, 'FR', 'France'),
(88785, '178.33.4.96', '178.33.4.99', 2988508256, 2988508259, 'BE', 'Belgium'),
(88786, '178.33.4.100', '178.33.4.103', 2988508260, 2988508263, 'FR', 'France'),
(88787, '178.33.4.104', '178.33.4.111', 2988508264, 2988508271, 'ES', 'Spain'),
(88788, '178.33.4.112', '178.33.4.127', 2988508272, 2988508287, 'FR', 'France'),
(88789, '178.33.4.128', '178.33.4.143', 2988508288, 2988508303, 'PL', 'Poland'),
(88790, '178.33.4.144', '178.33.4.147', 2988508304, 2988508307, 'PT', 'Portugal'),
(88791, '178.33.4.148', '178.33.4.151', 2988508308, 2988508311, 'ES', 'Spain'),
(88792, '178.33.4.152', '178.33.4.155', 2988508312, 2988508315, 'FR', 'France'),
(88793, '178.33.4.156', '178.33.4.159', 2988508316, 2988508319, 'ES', 'Spain'),
(88794, '178.33.4.160', '178.33.4.183', 2988508320, 2988508343, 'FR', 'France'),
(88795, '178.33.4.184', '178.33.4.191', 2988508344, 2988508351, 'GB', 'United Kingdom'),
(88796, '178.33.4.192', '178.33.4.207', 2988508352, 2988508367, 'ES', 'Spain'),
(88797, '178.33.4.208', '178.33.4.223', 2988508368, 2988508383, 'FR', 'France'),
(88798, '178.33.4.224', '178.33.5.7', 2988508384, 2988508423, 'PL', 'Poland'),
(88799, '178.33.5.8', '178.33.5.11', 2988508424, 2988508427, 'CH', 'Switzerland'),
(88800, '178.33.5.12', '178.33.5.15', 2988508428, 2988508431, 'CZ', 'Czech Republic'),
(88801, '178.33.5.16', '178.33.5.19', 2988508432, 2988508435, 'FR', 'France'),
(88802, '178.33.5.20', '178.33.5.23', 2988508436, 2988508439, 'DE', 'Germany'),
(88803, '178.33.5.24', '178.33.5.27', 2988508440, 2988508443, 'LT', 'Lithuania'),
(88804, '178.33.5.28', '178.33.5.39', 2988508444, 2988508455, 'PL', 'Poland'),
(88805, '178.33.5.40', '178.33.5.63', 2988508456, 2988508479, 'FR', 'France'),
(88806, '178.33.5.64', '178.33.5.127', 2988508480, 2988508543, 'PT', 'Portugal'),
(88807, '178.33.5.128', '178.33.5.191', 2988508544, 2988508607, 'GB', 'United Kingdom'),
(88808, '178.33.5.192', '178.33.5.255', 2988508608, 2988508671, 'IT', 'Italy'),
(88809, '178.33.6.0', '178.33.6.7', 2988508672, 2988508679, 'DE', 'Germany'),
(88810, '178.33.6.8', '178.33.6.11', 2988508680, 2988508683, 'LT', 'Lithuania'),
(88811, '178.33.6.12', '178.33.6.15', 2988508684, 2988508687, 'DE', 'Germany'),
(88812, '178.33.6.16', '178.33.6.31', 2988508688, 2988508703, 'PL', 'Poland'),
(88813, '178.33.6.32', '178.33.6.39', 2988508704, 2988508711, 'GB', 'United Kingdom'),
(88814, '178.33.6.40', '178.33.6.47', 2988508712, 2988508719, 'DE', 'Germany'),
(88815, '178.33.6.48', '178.33.6.51', 2988508720, 2988508723, 'FR', 'France'),
(88816, '178.33.6.52', '178.33.6.63', 2988508724, 2988508735, 'GB', 'United Kingdom'),
(88817, '178.33.6.64', '178.33.6.95', 2988508736, 2988508767, 'FR', 'France'),
(88818, '178.33.6.96', '178.33.6.99', 2988508768, 2988508771, 'ES', 'Spain'),
(88819, '178.33.6.100', '178.33.6.107', 2988508772, 2988508779, 'FR', 'France'),
(88820, '178.33.6.108', '178.33.6.111', 2988508780, 2988508783, 'LT', 'Lithuania'),
(88821, '178.33.6.112', '178.33.6.119', 2988508784, 2988508791, 'PT', 'Portugal'),
(88822, '178.33.6.120', '178.33.6.127', 2988508792, 2988508799, 'ES', 'Spain'),
(88823, '178.33.6.128', '178.33.6.175', 2988508800, 2988508847, 'FR', 'France'),
(88824, '178.33.6.176', '178.33.6.183', 2988508848, 2988508855, 'GB', 'United Kingdom'),
(88825, '178.33.6.184', '178.33.6.199', 2988508856, 2988508871, 'FR', 'France'),
(88826, '178.33.6.200', '178.33.6.203', 2988508872, 2988508875, 'IT', 'Italy'),
(88827, '178.33.6.204', '178.33.6.207', 2988508876, 2988508879, 'PT', 'Portugal'),
(88828, '178.33.6.208', '178.33.6.223', 2988508880, 2988508895, 'DE', 'Germany'),
(88829, '178.33.6.224', '178.33.6.239', 2988508896, 2988508911, 'PL', 'Poland'),
(88830, '178.33.6.240', '178.33.6.247', 2988508912, 2988508919, 'IT', 'Italy'),
(88831, '178.33.6.248', '178.33.6.255', 2988508920, 2988508927, 'FR', 'France'),
(88832, '178.33.7.0', '178.33.7.3', 2988508928, 2988508931, 'IT', 'Italy'),
(88833, '178.33.7.4', '178.33.7.7', 2988508932, 2988508935, 'GB', 'United Kingdom'),
(88834, '178.33.7.8', '178.33.7.11', 2988508936, 2988508939, 'IT', 'Italy'),
(88835, '178.33.7.12', '178.33.7.15', 2988508940, 2988508943, 'PL', 'Poland'),
(88836, '178.33.7.16', '178.33.7.19', 2988508944, 2988508947, 'DE', 'Germany'),
(88837, '178.33.7.20', '178.33.7.23', 2988508948, 2988508951, 'FR', 'France'),
(88838, '178.33.7.24', '178.33.7.31', 2988508952, 2988508959, 'ES', 'Spain'),
(88839, '178.33.7.32', '178.33.7.59', 2988508960, 2988508987, 'FR', 'France'),
(88840, '178.33.7.60', '178.33.7.63', 2988508988, 2988508991, 'PL', 'Poland'),
(88841, '178.33.7.64', '178.33.7.127', 2988508992, 2988509055, 'NL', 'Netherlands'),
(88842, '178.33.7.128', '178.33.7.191', 2988509056, 2988509119, 'FR', 'France'),
(88843, '178.33.7.192', '178.33.7.223', 2988509120, 2988509151, 'IT', 'Italy'),
(88844, '178.33.7.224', '178.33.7.255', 2988509152, 2988509183, 'PL', 'Poland'),
(88845, '178.33.8.0', '178.33.8.95', 2988509184, 2988509279, 'FR', 'France'),
(88846, '178.33.8.96', '178.33.8.99', 2988509280, 2988509283, 'DE', 'Germany'),
(88847, '178.33.8.100', '178.33.8.103', 2988509284, 2988509287, 'IT', 'Italy'),
(88848, '178.33.8.104', '178.33.8.107', 2988509288, 2988509291, 'BE', 'Belgium'),
(88849, '178.33.8.108', '178.33.8.111', 2988509292, 2988509295, 'IT', 'Italy'),
(88850, '178.33.8.112', '178.33.8.127', 2988509296, 2988509311, 'DE', 'Germany'),
(88851, '178.33.8.128', '178.33.8.159', 2988509312, 2988509343, 'FR', 'France'),
(88852, '178.33.8.160', '178.33.8.167', 2988509344, 2988509351, 'BE', 'Belgium'),
(88853, '178.33.8.168', '178.33.8.171', 2988509352, 2988509355, 'ES', 'Spain'),
(88854, '178.33.8.172', '178.33.8.175', 2988509356, 2988509359, 'DE', 'Germany'),
(88855, '178.33.8.176', '178.33.8.179', 2988509360, 2988509363, 'CH', 'Switzerland'),
(88856, '178.33.8.180', '178.33.8.183', 2988509364, 2988509367, 'IT', 'Italy'),
(88857, '178.33.8.184', '178.33.8.187', 2988509368, 2988509371, 'CH', 'Switzerland'),
(88858, '178.33.8.188', '178.33.8.191', 2988509372, 2988509375, 'PL', 'Poland'),
(88859, '178.33.8.192', '178.33.8.219', 2988509376, 2988509403, 'FR', 'France'),
(88860, '178.33.8.220', '178.33.8.223', 2988509404, 2988509407, 'GB', 'United Kingdom'),
(88861, '178.33.8.224', '178.33.8.227', 2988509408, 2988509411, 'PL', 'Poland'),
(88862, '178.33.8.228', '178.33.8.231', 2988509412, 2988509415, 'DE', 'Germany'),
(88863, '178.33.8.232', '178.33.8.235', 2988509416, 2988509419, 'ES', 'Spain'),
(88864, '178.33.8.236', '178.33.9.3', 2988509420, 2988509443, 'FR', 'France'),
(88865, '178.33.9.4', '178.33.9.7', 2988509444, 2988509447, 'FI', 'Finland'),
(88866, '178.33.9.8', '178.33.9.11', 2988509448, 2988509451, 'GB', 'United Kingdom'),
(88867, '178.33.9.12', '178.33.9.19', 2988509452, 2988509459, 'PL', 'Poland'),
(88868, '178.33.9.20', '178.33.9.23', 2988509460, 2988509463, 'FR', 'France'),
(88869, '178.33.9.24', '178.33.9.27', 2988509464, 2988509467, 'GB', 'United Kingdom'),
(88870, '178.33.9.28', '178.33.9.31', 2988509468, 2988509471, 'NL', 'Netherlands'),
(88871, '178.33.9.32', '178.33.9.47', 2988509472, 2988509487, 'FR', 'France'),
(88872, '178.33.9.48', '178.33.9.51', 2988509488, 2988509491, 'IT', 'Italy'),
(88873, '178.33.9.52', '178.33.9.59', 2988509492, 2988509499, 'IE', 'Ireland'),
(88874, '178.33.9.60', '178.33.9.63', 2988509500, 2988509503, 'FR', 'France'),
(88875, '178.33.9.64', '178.33.9.71', 2988509504, 2988509511, 'PL', 'Poland'),
(88876, '178.33.9.72', '178.33.9.75', 2988509512, 2988509515, 'GB', 'United Kingdom'),
(88877, '178.33.9.76', '178.33.9.95', 2988509516, 2988509535, 'FR', 'France'),
(88878, '178.33.9.96', '178.33.9.103', 2988509536, 2988509543, 'ES', 'Spain'),
(88879, '178.33.9.104', '178.33.9.111', 2988509544, 2988509551, 'PL', 'Poland'),
(88880, '178.33.9.112', '178.33.9.135', 2988509552, 2988509575, 'FR', 'France'),
(88881, '178.33.9.136', '178.33.9.143', 2988509576, 2988509583, 'PL', 'Poland'),
(88882, '178.33.9.144', '178.33.9.179', 2988509584, 2988509619, 'FR', 'France'),
(88883, '178.33.9.180', '178.33.9.183', 2988509620, 2988509623, 'GB', 'United Kingdom'),
(88884, '178.33.9.184', '178.33.9.187', 2988509624, 2988509627, 'CZ', 'Czech Republic'),
(88885, '178.33.9.188', '178.33.9.191', 2988509628, 2988509631, 'IT', 'Italy'),
(88886, '178.33.9.192', '178.33.10.15', 2988509632, 2988509711, 'FR', 'France'),
(88887, '178.33.10.16', '178.33.10.19', 2988509712, 2988509715, 'IE', 'Ireland'),
(88888, '178.33.10.20', '178.33.10.23', 2988509716, 2988509719, 'GB', 'United Kingdom'),
(88889, '178.33.10.24', '178.33.10.27', 2988509720, 2988509723, 'ES', 'Spain'),
(88890, '178.33.10.28', '178.33.10.31', 2988509724, 2988509727, 'LT', 'Lithuania'),
(88891, '178.33.10.32', '178.33.10.55', 2988509728, 2988509751, 'FR', 'France'),
(88892, '178.33.10.56', '178.33.10.63', 2988509752, 2988509759, 'DE', 'Germany'),
(88893, '178.33.10.64', '178.33.10.71', 2988509760, 2988509767, 'PL', 'Poland'),
(88894, '178.33.10.72', '178.33.10.79', 2988509768, 2988509775, 'IT', 'Italy'),
(88895, '178.33.10.80', '178.33.10.83', 2988509776, 2988509779, 'ES', 'Spain'),
(88896, '178.33.10.84', '178.33.10.87', 2988509780, 2988509783, 'GB', 'United Kingdom'),
(88897, '178.33.10.88', '178.33.10.91', 2988509784, 2988509787, 'FR', 'France'),
(88898, '178.33.10.92', '178.33.10.95', 2988509788, 2988509791, 'BE', 'Belgium'),
(88899, '178.33.10.96', '178.33.10.127', 2988509792, 2988509823, 'NL', 'Netherlands'),
(88900, '178.33.10.128', '178.33.10.143', 2988509824, 2988509839, 'FR', 'France'),
(88901, '178.33.10.144', '178.33.10.159', 2988509840, 2988509855, 'ES', 'Spain'),
(88902, '178.33.10.160', '178.33.10.163', 2988509856, 2988509859, 'FR', 'France'),
(88903, '178.33.10.164', '178.33.10.167', 2988509860, 2988509863, 'DE', 'Germany'),
(88904, '178.33.10.168', '178.33.10.175', 2988509864, 2988509871, 'FR', 'France'),
(88905, '178.33.10.176', '178.33.10.179', 2988509872, 2988509875, 'DE', 'Germany'),
(88906, '178.33.10.180', '178.33.10.183', 2988509876, 2988509879, 'FR', 'France'),
(88907, '178.33.10.184', '178.33.10.187', 2988509880, 2988509883, 'PL', 'Poland'),
(88908, '178.33.10.188', '178.33.10.191', 2988509884, 2988509887, 'PT', 'Portugal'),
(88909, '178.33.10.192', '178.33.10.207', 2988509888, 2988509903, 'FR', 'France'),
(88910, '178.33.10.208', '178.33.10.211', 2988509904, 2988509907, 'PL', 'Poland'),
(88911, '178.33.10.212', '178.33.10.223', 2988509908, 2988509919, 'IT', 'Italy'),
(88912, '178.33.10.224', '178.33.10.231', 2988509920, 2988509927, 'FR', 'France'),
(88913, '178.33.10.232', '178.33.10.239', 2988509928, 2988509935, 'PL', 'Poland'),
(88914, '178.33.10.240', '178.33.10.243', 2988509936, 2988509939, 'DE', 'Germany'),
(88915, '178.33.10.244', '178.33.10.247', 2988509940, 2988509943, 'IT', 'Italy'),
(88916, '178.33.10.248', '178.33.10.255', 2988509944, 2988509951, 'FR', 'France'),
(88917, '178.33.11.0', '178.33.11.3', 2988509952, 2988509955, 'IT', 'Italy'),
(88918, '178.33.11.4', '178.33.11.11', 2988509956, 2988509963, 'PL', 'Poland'),
(88919, '178.33.11.12', '178.33.11.15', 2988509964, 2988509967, 'GB', 'United Kingdom'),
(88920, '178.33.11.16', '178.33.11.31', 2988509968, 2988509983, 'ES', 'Spain'),
(88921, '178.33.11.32', '178.33.11.35', 2988509984, 2988509987, 'DE', 'Germany'),
(88922, '178.33.11.36', '178.33.11.39', 2988509988, 2988509991, 'CZ', 'Czech Republic'),
(88923, '178.33.11.40', '178.33.11.43', 2988509992, 2988509995, 'FR', 'France'),
(88924, '178.33.11.44', '178.33.11.47', 2988509996, 2988509999, 'DE', 'Germany'),
(88925, '178.33.11.48', '178.33.11.63', 2988510000, 2988510015, 'PL', 'Poland'),
(88926, '178.33.11.64', '178.33.11.71', 2988510016, 2988510023, 'ES', 'Spain'),
(88927, '178.33.11.72', '178.33.11.79', 2988510024, 2988510031, 'FR', 'France'),
(88928, '178.33.11.80', '178.33.11.127', 2988510032, 2988510079, 'PL', 'Poland'),
(88929, '178.33.11.128', '178.33.11.135', 2988510080, 2988510087, 'ES', 'Spain'),
(88930, '178.33.11.136', '178.33.11.139', 2988510088, 2988510091, 'PL', 'Poland'),
(88931, '178.33.11.140', '178.33.11.147', 2988510092, 2988510099, 'FR', 'France'),
(88932, '178.33.11.148', '178.33.11.151', 2988510100, 2988510103, 'GB', 'United Kingdom'),
(88933, '178.33.11.152', '178.33.11.159', 2988510104, 2988510111, 'BE', 'Belgium'),
(88934, '178.33.11.160', '178.33.11.191', 2988510112, 2988510143, 'CZ', 'Czech Republic'),
(88935, '178.33.11.192', '178.33.11.223', 2988510144, 2988510175, 'NL', 'Netherlands'),
(88936, '178.33.11.224', '178.33.11.255', 2988510176, 2988510207, 'ES', 'Spain'),
(88937, '178.33.12.0', '178.33.12.3', 2988510208, 2988510211, 'GB', 'United Kingdom'),
(88938, '178.33.12.4', '178.33.12.7', 2988510212, 2988510215, 'ES', 'Spain'),
(88939, '178.33.12.8', '178.33.12.31', 2988510216, 2988510239, 'FR', 'France'),
(88940, '178.33.12.32', '178.33.12.35', 2988510240, 2988510243, 'IT', 'Italy'),
(88941, '178.33.12.36', '178.33.12.39', 2988510244, 2988510247, 'FR', 'France'),
(88942, '178.33.12.40', '178.33.12.43', 2988510248, 2988510251, 'FI', 'Finland'),
(88943, '178.33.12.44', '178.33.12.47', 2988510252, 2988510255, 'LT', 'Lithuania'),
(88944, '178.33.12.48', '178.33.12.51', 2988510256, 2988510259, 'GB', 'United Kingdom'),
(88945, '178.33.12.52', '178.33.12.55', 2988510260, 2988510263, 'FR', 'France'),
(88946, '178.33.12.56', '178.33.12.63', 2988510264, 2988510271, 'PL', 'Poland'),
(88947, '178.33.12.64', '178.33.12.79', 2988510272, 2988510287, 'FR', 'France'),
(88948, '178.33.12.80', '178.33.12.95', 2988510288, 2988510303, 'PL', 'Poland'),
(88949, '178.33.12.96', '178.33.12.99', 2988510304, 2988510307, 'ES', 'Spain'),
(88950, '178.33.12.100', '178.33.12.103', 2988510308, 2988510311, 'FR', 'France'),
(88951, '178.33.12.104', '178.33.12.111', 2988510312, 2988510319, 'GB', 'United Kingdom'),
(88952, '178.33.12.112', '178.33.12.115', 2988510320, 2988510323, 'FR', 'France'),
(88953, '178.33.12.116', '178.33.12.119', 2988510324, 2988510327, 'GB', 'United Kingdom'),
(88954, '178.33.12.120', '178.33.12.123', 2988510328, 2988510331, 'FR', 'France'),
(88955, '178.33.12.124', '178.33.12.127', 2988510332, 2988510335, 'IT', 'Italy'),
(88956, '178.33.12.128', '178.33.12.191', 2988510336, 2988510399, 'FR', 'France'),
(88957, '178.33.12.192', '178.33.12.195', 2988510400, 2988510403, 'DE', 'Germany'),
(88958, '178.33.12.196', '178.33.12.199', 2988510404, 2988510407, 'GB', 'United Kingdom'),
(88959, '178.33.12.200', '178.33.12.207', 2988510408, 2988510415, 'PL', 'Poland'),
(88960, '178.33.12.208', '178.33.12.223', 2988510416, 2988510431, 'FR', 'France'),
(88961, '178.33.12.224', '178.33.12.227', 2988510432, 2988510435, 'IT', 'Italy'),
(88962, '178.33.12.228', '178.33.12.231', 2988510436, 2988510439, 'BE', 'Belgium'),
(88963, '178.33.12.232', '178.33.12.255', 2988510440, 2988510463, 'FR', 'France'),
(88964, '178.33.13.0', '178.33.13.31', 2988510464, 2988510495, 'PL', 'Poland'),
(88965, '178.33.13.32', '178.33.13.43', 2988510496, 2988510507, 'FR', 'France'),
(88966, '178.33.13.44', '178.33.13.47', 2988510508, 2988510511, 'NL', 'Netherlands'),
(88967, '178.33.13.48', '178.33.13.51', 2988510512, 2988510515, 'GB', 'United Kingdom'),
(88968, '178.33.13.52', '178.33.13.55', 2988510516, 2988510519, 'IE', 'Ireland'),
(88969, '178.33.13.56', '178.33.13.59', 2988510520, 2988510523, 'PT', 'Portugal'),
(88970, '178.33.13.60', '178.33.13.63', 2988510524, 2988510527, 'BE', 'Belgium'),
(88971, '178.33.13.64', '178.33.13.95', 2988510528, 2988510559, 'FR', 'France'),
(88972, '178.33.13.96', '178.33.13.127', 2988510560, 2988510591, 'IT', 'Italy'),
(88973, '178.33.13.128', '178.33.13.159', 2988510592, 2988510623, 'BE', 'Belgium'),
(88974, '178.33.13.160', '178.33.13.191', 2988510624, 2988510655, 'IE', 'Ireland'),
(88975, '178.33.13.192', '178.33.13.223', 2988510656, 2988510687, 'PL', 'Poland'),
(88976, '178.33.13.224', '178.33.13.239', 2988510688, 2988510703, 'FR', 'France'),
(88977, '178.33.13.240', '178.33.13.255', 2988510704, 2988510719, 'PL', 'Poland'),
(88978, '178.33.14.0', '178.33.14.31', 2988510720, 2988510751, 'FR', 'France'),
(88979, '178.33.14.32', '178.33.14.39', 2988510752, 2988510759, 'PL', 'Poland'),
(88980, '178.33.14.40', '178.33.14.47', 2988510760, 2988510767, 'FR', 'France'),
(88981, '178.33.14.48', '178.33.14.51', 2988510768, 2988510771, 'ES', 'Spain'),
(88982, '178.33.14.52', '178.33.14.55', 2988510772, 2988510775, 'LT', 'Lithuania'),
(88983, '178.33.14.56', '178.33.14.127', 2988510776, 2988510847, 'FR', 'France'),
(88984, '178.33.14.128', '178.33.14.223', 2988510848, 2988510943, 'PL', 'Poland'),
(88985, '178.33.14.224', '178.33.14.255', 2988510944, 2988510975, 'GB', 'United Kingdom'),
(88986, '178.33.15.0', '178.33.15.3', 2988510976, 2988510979, 'PL', 'Poland'),
(88987, '178.33.15.4', '178.33.15.7', 2988510980, 2988510983, 'IT', 'Italy'),
(88988, '178.33.15.8', '178.33.15.11', 2988510984, 2988510987, 'GB', 'United Kingdom'),
(88989, '178.33.15.12', '178.33.15.15', 2988510988, 2988510991, 'PL', 'Poland'),
(88990, '178.33.15.16', '178.33.15.31', 2988510992, 2988511007, 'FR', 'France'),
(88991, '178.33.15.32', '178.33.15.39', 2988511008, 2988511015, 'PL', 'Poland'),
(88992, '178.33.15.40', '178.33.15.47', 2988511016, 2988511023, 'IT', 'Italy'),
(88993, '178.33.15.48', '178.33.15.95', 2988511024, 2988511071, 'FR', 'France'),
(88994, '178.33.15.96', '178.33.15.103', 2988511072, 2988511079, 'PL', 'Poland'),
(88995, '178.33.15.104', '178.33.15.107', 2988511080, 2988511083, 'FR', 'France'),
(88996, '178.33.15.108', '178.33.15.111', 2988511084, 2988511087, 'PL', 'Poland'),
(88997, '178.33.15.112', '178.33.15.127', 2988511088, 2988511103, 'FR', 'France'),
(88998, '178.33.15.128', '178.33.15.191', 2988511104, 2988511167, 'PL', 'Poland'),
(88999, '178.33.15.192', '178.33.15.195', 2988511168, 2988511171, 'IT', 'Italy'),
(89000, '178.33.15.196', '178.33.15.199', 2988511172, 2988511175, 'DE', 'Germany'),
(89001, '178.33.15.200', '178.33.15.203', 2988511176, 2988511179, 'GB', 'United Kingdom'),
(89002, '178.33.15.204', '178.33.15.211', 2988511180, 2988511187, 'FR', 'France'),
(89003, '178.33.15.212', '178.33.15.215', 2988511188, 2988511191, 'GB', 'United Kingdom'),
(89004, '178.33.15.216', '178.33.16.255', 2988511192, 2988511487, 'FR', 'France'),
(89005, '178.33.17.0', '178.33.17.63', 2988511488, 2988511551, 'PL', 'Poland'),
(89006, '178.33.17.64', '178.33.17.67', 2988511552, 2988511555, 'FR', 'France'),
(89007, '178.33.17.68', '178.33.17.71', 2988511556, 2988511559, 'CZ', 'Czech Republic'),
(89008, '178.33.17.72', '178.33.17.87', 2988511560, 2988511575, 'FR', 'France'),
(89009, '178.33.17.88', '178.33.17.95', 2988511576, 2988511583, 'GB', 'United Kingdom'),
(89010, '178.33.17.96', '178.33.17.175', 2988511584, 2988511663, 'FR', 'France'),
(89011, '178.33.17.176', '178.33.17.183', 2988511664, 2988511671, 'DE', 'Germany'),
(89012, '178.33.17.184', '178.33.17.187', 2988511672, 2988511675, 'PL', 'Poland'),
(89013, '178.33.17.188', '178.33.17.191', 2988511676, 2988511679, 'GB', 'United Kingdom'),
(89014, '178.33.17.192', '178.33.17.195', 2988511680, 2988511683, 'NL', 'Netherlands'),
(89015, '178.33.17.196', '178.33.17.199', 2988511684, 2988511687, 'ES', 'Spain'),
(89016, '178.33.17.200', '178.33.17.203', 2988511688, 2988511691, 'DE', 'Germany'),
(89017, '178.33.17.204', '178.33.17.207', 2988511692, 2988511695, 'FR', 'France'),
(89018, '178.33.17.208', '178.33.17.211', 2988511696, 2988511699, 'BE', 'Belgium'),
(89019, '178.33.17.212', '178.33.17.215', 2988511700, 2988511703, 'IT', 'Italy'),
(89020, '178.33.17.216', '178.33.17.223', 2988511704, 2988511711, 'PL', 'Poland'),
(89021, '178.33.17.224', '178.33.17.231', 2988511712, 2988511719, 'DE', 'Germany'),
(89022, '178.33.17.232', '178.33.17.239', 2988511720, 2988511727, 'FR', 'France'),
(89023, '178.33.17.240', '178.33.17.243', 2988511728, 2988511731, 'NL', 'Netherlands'),
(89024, '178.33.17.244', '178.33.17.251', 2988511732, 2988511739, 'DE', 'Germany'),
(89025, '178.33.17.252', '178.33.17.255', 2988511740, 2988511743, 'FR', 'France'),
(89026, '178.33.18.0', '178.33.18.3', 2988511744, 2988511747, 'PL', 'Poland'),
(89027, '178.33.18.4', '178.33.18.7', 2988511748, 2988511751, 'GB', 'United Kingdom'),
(89028, '178.33.18.8', '178.33.18.15', 2988511752, 2988511759, 'IT', 'Italy'),
(89029, '178.33.18.16', '178.33.18.23', 2988511760, 2988511767, 'FR', 'France'),
(89030, '178.33.18.24', '178.33.18.27', 2988511768, 2988511771, 'PL', 'Poland'),
(89031, '178.33.18.28', '178.33.18.31', 2988511772, 2988511775, 'FR', 'France'),
(89032, '178.33.18.32', '178.33.18.63', 2988511776, 2988511807, 'GB', 'United Kingdom'),
(89033, '178.33.18.64', '178.33.18.79', 2988511808, 2988511823, 'ES', 'Spain'),
(89034, '178.33.18.80', '178.33.18.87', 2988511824, 2988511831, 'DE', 'Germany'),
(89035, '178.33.18.88', '178.33.18.91', 2988511832, 2988511835, 'GB', 'United Kingdom'),
(89036, '178.33.18.92', '178.33.18.111', 2988511836, 2988511855, 'FR', 'France'),
(89037, '178.33.18.112', '178.33.18.143', 2988511856, 2988511887, 'PL', 'Poland'),
(89038, '178.33.18.144', '178.33.18.159', 2988511888, 2988511903, 'FR', 'France'),
(89039, '178.33.18.160', '178.33.18.167', 2988511904, 2988511911, 'IT', 'Italy'),
(89040, '178.33.18.168', '178.33.18.171', 2988511912, 2988511915, 'FR', 'France'),
(89041, '178.33.18.172', '178.33.18.175', 2988511916, 2988511919, 'PL', 'Poland'),
(89042, '178.33.18.176', '178.33.18.179', 2988511920, 2988511923, 'GB', 'United Kingdom'),
(89043, '178.33.18.180', '178.33.18.183', 2988511924, 2988511927, 'ES', 'Spain'),
(89044, '178.33.18.184', '178.33.18.187', 2988511928, 2988511931, 'IT', 'Italy'),
(89045, '178.33.18.188', '178.33.18.207', 2988511932, 2988511951, 'FR', 'France'),
(89046, '178.33.18.208', '178.33.18.223', 2988511952, 2988511967, 'GB', 'United Kingdom'),
(89047, '178.33.18.224', '178.33.18.235', 2988511968, 2988511979, 'IT', 'Italy'),
(89048, '178.33.18.236', '178.33.18.239', 2988511980, 2988511983, 'FR', 'France'),
(89049, '178.33.18.240', '178.33.18.255', 2988511984, 2988511999, 'BE', 'Belgium'),
(89050, '178.33.19.0', '178.33.19.31', 2988512000, 2988512031, 'PL', 'Poland'),
(89051, '178.33.19.32', '178.33.19.47', 2988512032, 2988512047, 'FR', 'France'),
(89052, '178.33.19.48', '178.33.19.55', 2988512048, 2988512055, 'ES', 'Spain'),
(89053, '178.33.19.56', '178.33.19.59', 2988512056, 2988512059, 'PL', 'Poland'),
(89054, '178.33.19.60', '178.33.19.63', 2988512060, 2988512063, 'FR', 'France'),
(89055, '178.33.19.64', '178.33.19.95', 2988512064, 2988512095, 'CH', 'Switzerland'),
(89056, '178.33.19.96', '178.33.19.127', 2988512096, 2988512127, 'IE', 'Ireland'),
(89057, '178.33.19.128', '178.33.19.143', 2988512128, 2988512143, 'PL', 'Poland'),
(89058, '178.33.19.144', '178.33.19.151', 2988512144, 2988512151, 'GB', 'United Kingdom'),
(89059, '178.33.19.152', '178.33.19.155', 2988512152, 2988512155, 'CH', 'Switzerland'),
(89060, '178.33.19.156', '178.33.19.159', 2988512156, 2988512159, 'FR', 'France'),
(89061, '178.33.19.160', '178.33.19.191', 2988512160, 2988512191, 'GB', 'United Kingdom'),
(89062, '178.33.19.192', '178.33.19.195', 2988512192, 2988512195, 'FR', 'France'),
(89063, '178.33.19.196', '178.33.19.199', 2988512196, 2988512199, 'DE', 'Germany'),
(89064, '178.33.19.200', '178.33.19.207', 2988512200, 2988512207, 'ES', 'Spain'),
(89065, '178.33.19.208', '178.33.19.223', 2988512208, 2988512223, 'FR', 'France'),
(89066, '178.33.19.224', '178.33.19.227', 2988512224, 2988512227, 'BE', 'Belgium'),
(89067, '178.33.19.228', '178.33.19.239', 2988512228, 2988512239, 'FR', 'France'),
(89068, '178.33.19.240', '178.33.19.247', 2988512240, 2988512247, 'LT', 'Lithuania'),
(89069, '178.33.19.248', '178.33.19.251', 2988512248, 2988512251, 'GB', 'United Kingdom'),
(89070, '178.33.19.252', '178.33.19.255', 2988512252, 2988512255, 'ES', 'Spain'),
(89071, '178.33.20.0', '178.33.20.31', 2988512256, 2988512287, 'FR', 'France'),
(89072, '178.33.20.32', '178.33.20.47', 2988512288, 2988512303, 'PL', 'Poland'),
(89073, '178.33.20.48', '178.33.20.51', 2988512304, 2988512307, 'IT', 'Italy'),
(89074, '178.33.20.52', '178.33.20.55', 2988512308, 2988512311, 'GB', 'United Kingdom'),
(89075, '178.33.20.56', '178.33.20.59', 2988512312, 2988512315, 'FR', 'France'),
(89076, '178.33.20.60', '178.33.20.63', 2988512316, 2988512319, 'DE', 'Germany'),
(89077, '178.33.20.64', '178.33.20.79', 2988512320, 2988512335, 'FR', 'France'),
(89078, '178.33.20.80', '178.33.20.83', 2988512336, 2988512339, 'PL', 'Poland'),
(89079, '178.33.20.84', '178.33.20.87', 2988512340, 2988512343, 'IT', 'Italy'),
(89080, '178.33.20.88', '178.33.20.95', 2988512344, 2988512351, 'FR', 'France'),
(89081, '178.33.20.96', '178.33.20.127', 2988512352, 2988512383, 'IT', 'Italy'),
(89082, '178.33.20.128', '178.33.20.143', 2988512384, 2988512399, 'FR', 'France'),
(89083, '178.33.20.144', '178.33.20.147', 2988512400, 2988512403, 'DE', 'Germany'),
(89084, '178.33.20.148', '178.33.20.159', 2988512404, 2988512415, 'FR', 'France'),
(89085, '178.33.20.160', '178.33.20.179', 2988512416, 2988512435, 'PL', 'Poland'),
(89086, '178.33.20.180', '178.33.20.183', 2988512436, 2988512439, 'FR', 'France'),
(89087, '178.33.20.184', '178.33.20.191', 2988512440, 2988512447, 'NL', 'Netherlands'),
(89088, '178.33.20.192', '178.33.20.199', 2988512448, 2988512455, 'PL', 'Poland'),
(89089, '178.33.20.200', '178.33.20.203', 2988512456, 2988512459, 'ES', 'Spain'),
(89090, '178.33.20.204', '178.33.20.211', 2988512460, 2988512467, 'FR', 'France'),
(89091, '178.33.20.212', '178.33.20.215', 2988512468, 2988512471, 'GB', 'United Kingdom'),
(89092, '178.33.20.216', '178.33.20.223', 2988512472, 2988512479, 'FR', 'France'),
(89093, '178.33.20.224', '178.33.20.227', 2988512480, 2988512483, 'DE', 'Germany'),
(89094, '178.33.20.228', '178.33.21.11', 2988512484, 2988512523, 'FR', 'France'),
(89095, '178.33.21.12', '178.33.21.15', 2988512524, 2988512527, 'IT', 'Italy'),
(89096, '178.33.21.16', '178.33.21.31', 2988512528, 2988512543, 'FR', 'France'),
(89097, '178.33.21.32', '178.33.21.39', 2988512544, 2988512551, 'PL', 'Poland'),
(89098, '178.33.21.40', '178.33.21.63', 2988512552, 2988512575, 'FR', 'France'),
(89099, '178.33.21.64', '178.33.21.67', 2988512576, 2988512579, 'NL', 'Netherlands'),
(89100, '178.33.21.68', '178.33.21.71', 2988512580, 2988512583, 'ES', 'Spain'),
(89101, '178.33.21.72', '178.33.21.75', 2988512584, 2988512587, 'FR', 'France'),
(89102, '178.33.21.76', '178.33.21.79', 2988512588, 2988512591, 'PL', 'Poland'),
(89103, '178.33.21.80', '178.33.21.83', 2988512592, 2988512595, 'BE', 'Belgium'),
(89104, '178.33.21.84', '178.33.21.87', 2988512596, 2988512599, 'ES', 'Spain'),
(89105, '178.33.21.88', '178.33.21.95', 2988512600, 2988512607, 'PT', 'Portugal'),
(89106, '178.33.21.96', '178.33.21.119', 2988512608, 2988512631, 'GB', 'United Kingdom'),
(89107, '178.33.21.120', '178.33.21.127', 2988512632, 2988512639, 'PL', 'Poland'),
(89108, '178.33.21.128', '178.33.21.135', 2988512640, 2988512647, 'GB', 'United Kingdom'),
(89109, '178.33.21.136', '178.33.21.139', 2988512648, 2988512651, 'ES', 'Spain'),
(89110, '178.33.21.140', '178.33.21.143', 2988512652, 2988512655, 'DE', 'Germany'),
(89111, '178.33.21.144', '178.33.21.151', 2988512656, 2988512663, 'PT', 'Portugal'),
(89112, '178.33.21.152', '178.33.21.155', 2988512664, 2988512667, 'FR', 'France'),
(89113, '178.33.21.156', '178.33.21.159', 2988512668, 2988512671, 'ES', 'Spain'),
(89114, '178.33.21.160', '178.33.21.175', 2988512672, 2988512687, 'FR', 'France'),
(89115, '178.33.21.176', '178.33.21.191', 2988512688, 2988512703, 'PL', 'Poland'),
(89116, '178.33.21.192', '178.33.21.255', 2988512704, 2988512767, 'FR', 'France'),
(89117, '178.33.22.0', '178.33.22.63', 2988512768, 2988512831, 'PL', 'Poland'),
(89118, '178.33.22.64', '178.33.22.67', 2988512832, 2988512835, 'FR', 'France'),
(89119, '178.33.22.68', '178.33.22.71', 2988512836, 2988512839, 'ES', 'Spain'),
(89120, '178.33.22.72', '178.33.22.79', 2988512840, 2988512847, 'DE', 'Germany'),
(89121, '178.33.22.80', '178.33.22.83', 2988512848, 2988512851, 'ES', 'Spain'),
(89122, '178.33.22.84', '178.33.22.87', 2988512852, 2988512855, 'DE', 'Germany'),
(89123, '178.33.22.88', '178.33.22.111', 2988512856, 2988512879, 'FR', 'France'),
(89124, '178.33.22.112', '178.33.22.127', 2988512880, 2988512895, 'DE', 'Germany'),
(89125, '178.33.22.128', '178.33.22.131', 2988512896, 2988512899, 'PL', 'Poland'),
(89126, '178.33.22.132', '178.33.22.143', 2988512900, 2988512911, 'ES', 'Spain'),
(89127, '178.33.22.144', '178.33.22.175', 2988512912, 2988512943, 'FR', 'France'),
(89128, '178.33.22.176', '178.33.22.183', 2988512944, 2988512951, 'ES', 'Spain'),
(89129, '178.33.22.184', '178.33.22.187', 2988512952, 2988512955, 'FR', 'France'),
(89130, '178.33.22.188', '178.33.22.191', 2988512956, 2988512959, 'LT', 'Lithuania'),
(89131, '178.33.22.192', '178.33.22.195', 2988512960, 2988512963, 'ES', 'Spain'),
(89132, '178.33.22.196', '178.33.22.199', 2988512964, 2988512967, 'PL', 'Poland'),
(89133, '178.33.22.200', '178.33.22.203', 2988512968, 2988512971, 'GB', 'United Kingdom'),
(89134, '178.33.22.204', '178.33.22.207', 2988512972, 2988512975, 'NL', 'Netherlands'),
(89135, '178.33.22.208', '178.33.22.211', 2988512976, 2988512979, 'FI', 'Finland'),
(89136, '178.33.22.212', '178.33.22.215', 2988512980, 2988512983, 'DE', 'Germany'),
(89137, '178.33.22.216', '178.33.22.219', 2988512984, 2988512987, 'CH', 'Switzerland'),
(89138, '178.33.22.220', '178.33.22.223', 2988512988, 2988512991, 'CZ', 'Czech Republic'),
(89139, '178.33.22.224', '178.33.22.227', 2988512992, 2988512995, 'FR', 'France'),
(89140, '178.33.22.228', '178.33.22.231', 2988512996, 2988512999, 'GB', 'United Kingdom'),
(89141, '178.33.22.232', '178.33.22.235', 2988513000, 2988513003, 'FR', 'France'),
(89142, '178.33.22.236', '178.33.22.239', 2988513004, 2988513007, 'PL', 'Poland'),
(89143, '178.33.22.240', '178.33.22.247', 2988513008, 2988513015, 'IT', 'Italy'),
(89144, '178.33.22.248', '178.33.22.251', 2988513016, 2988513019, 'DE', 'Germany'),
(89145, '178.33.22.252', '178.33.22.255', 2988513020, 2988513023, 'NL', 'Netherlands'),
(89146, '178.33.23.0', '178.33.23.127', 2988513024, 2988513151, 'FR', 'France'),
(89147, '178.33.23.128', '178.33.23.159', 2988513152, 2988513183, 'ES', 'Spain'),
(89148, '178.33.23.160', '178.33.23.167', 2988513184, 2988513191, 'DE', 'Germany'),
(89149, '178.33.23.168', '178.33.23.171', 2988513192, 2988513195, 'FR', 'France'),
(89150, '178.33.23.172', '178.33.23.175', 2988513196, 2988513199, 'ES', 'Spain'),
(89151, '178.33.23.176', '178.33.23.183', 2988513200, 2988513207, 'PT', 'Portugal'),
(89152, '178.33.23.184', '178.33.23.195', 2988513208, 2988513219, 'FR', 'France'),
(89153, '178.33.23.196', '178.33.23.199', 2988513220, 2988513223, 'NL', 'Netherlands'),
(89154, '178.33.23.200', '178.33.23.203', 2988513224, 2988513227, 'GB', 'United Kingdom'),
(89155, '178.33.23.204', '178.33.23.211', 2988513228, 2988513235, 'FR', 'France'),
(89156, '178.33.23.212', '178.33.23.215', 2988513236, 2988513239, 'ES', 'Spain'),
(89157, '178.33.23.216', '178.33.23.247', 2988513240, 2988513271, 'FR', 'France'),
(89158, '178.33.23.248', '178.33.23.251', 2988513272, 2988513275, 'DE', 'Germany'),
(89159, '178.33.23.252', '178.33.23.255', 2988513276, 2988513279, 'CH', 'Switzerland'),
(89160, '178.33.24.0', '178.33.24.3', 2988513280, 2988513283, 'FR', 'France'),
(89161, '178.33.24.4', '178.33.24.7', 2988513284, 2988513287, 'ES', 'Spain'),
(89162, '178.33.24.8', '178.33.24.11', 2988513288, 2988513291, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(89163, '178.33.24.12', '178.33.24.15', 2988513292, 2988513295, 'PL', 'Poland'),
(89164, '178.33.24.16', '178.33.24.23', 2988513296, 2988513303, 'NL', 'Netherlands'),
(89165, '178.33.24.24', '178.33.24.27', 2988513304, 2988513307, 'FR', 'France'),
(89166, '178.33.24.28', '178.33.24.31', 2988513308, 2988513311, 'PL', 'Poland'),
(89167, '178.33.24.32', '178.33.24.47', 2988513312, 2988513327, 'PT', 'Portugal'),
(89168, '178.33.24.48', '178.33.24.51', 2988513328, 2988513331, 'PL', 'Poland'),
(89169, '178.33.24.52', '178.33.24.63', 2988513332, 2988513343, 'FR', 'France'),
(89170, '178.33.24.64', '178.33.24.71', 2988513344, 2988513351, 'ES', 'Spain'),
(89171, '178.33.24.72', '178.33.24.79', 2988513352, 2988513359, 'IT', 'Italy'),
(89172, '178.33.24.80', '178.33.24.83', 2988513360, 2988513363, 'PT', 'Portugal'),
(89173, '178.33.24.84', '178.33.24.99', 2988513364, 2988513379, 'FR', 'France'),
(89174, '178.33.24.100', '178.33.24.103', 2988513380, 2988513383, 'PT', 'Portugal'),
(89175, '178.33.24.104', '178.33.24.107', 2988513384, 2988513387, 'FR', 'France'),
(89176, '178.33.24.108', '178.33.24.111', 2988513388, 2988513391, 'CH', 'Switzerland'),
(89177, '178.33.24.112', '178.33.24.127', 2988513392, 2988513407, 'FR', 'France'),
(89178, '178.33.24.128', '178.33.24.191', 2988513408, 2988513471, 'PL', 'Poland'),
(89179, '178.33.24.192', '178.33.24.223', 2988513472, 2988513503, 'FR', 'France'),
(89180, '178.33.24.224', '178.33.24.227', 2988513504, 2988513507, 'CH', 'Switzerland'),
(89181, '178.33.24.228', '178.33.24.231', 2988513508, 2988513511, 'DE', 'Germany'),
(89182, '178.33.24.232', '178.33.24.235', 2988513512, 2988513515, 'IE', 'Ireland'),
(89183, '178.33.24.236', '178.33.24.239', 2988513516, 2988513519, 'DE', 'Germany'),
(89184, '178.33.24.240', '178.33.25.15', 2988513520, 2988513551, 'GB', 'United Kingdom'),
(89185, '178.33.25.16', '178.33.25.19', 2988513552, 2988513555, 'IT', 'Italy'),
(89186, '178.33.25.20', '178.33.25.31', 2988513556, 2988513567, 'FR', 'France'),
(89187, '178.33.25.32', '178.33.25.39', 2988513568, 2988513575, 'GB', 'United Kingdom'),
(89188, '178.33.25.40', '178.33.25.47', 2988513576, 2988513583, 'PL', 'Poland'),
(89189, '178.33.25.48', '178.33.25.63', 2988513584, 2988513599, 'IE', 'Ireland'),
(89190, '178.33.25.64', '178.33.25.95', 2988513600, 2988513631, 'FR', 'France'),
(89191, '178.33.25.96', '178.33.25.111', 2988513632, 2988513647, 'ES', 'Spain'),
(89192, '178.33.25.112', '178.33.25.135', 2988513648, 2988513671, 'FR', 'France'),
(89193, '178.33.25.136', '178.33.25.139', 2988513672, 2988513675, 'PT', 'Portugal'),
(89194, '178.33.25.140', '178.33.25.143', 2988513676, 2988513679, 'FR', 'France'),
(89195, '178.33.25.144', '178.33.25.147', 2988513680, 2988513683, 'ES', 'Spain'),
(89196, '178.33.25.148', '178.33.25.155', 2988513684, 2988513691, 'FR', 'France'),
(89197, '178.33.25.156', '178.33.25.159', 2988513692, 2988513695, 'DE', 'Germany'),
(89198, '178.33.25.160', '178.33.25.167', 2988513696, 2988513703, 'FR', 'France'),
(89199, '178.33.25.168', '178.33.25.171', 2988513704, 2988513707, 'DE', 'Germany'),
(89200, '178.33.25.172', '178.33.25.187', 2988513708, 2988513723, 'FR', 'France'),
(89201, '178.33.25.188', '178.33.25.191', 2988513724, 2988513727, 'DE', 'Germany'),
(89202, '178.33.25.192', '178.33.25.203', 2988513728, 2988513739, 'FR', 'France'),
(89203, '178.33.25.204', '178.33.25.207', 2988513740, 2988513743, 'ES', 'Spain'),
(89204, '178.33.25.208', '178.33.25.223', 2988513744, 2988513759, 'GB', 'United Kingdom'),
(89205, '178.33.25.224', '178.33.26.87', 2988513760, 2988513879, 'FR', 'France'),
(89206, '178.33.26.88', '178.33.26.91', 2988513880, 2988513883, 'ES', 'Spain'),
(89207, '178.33.26.92', '178.33.26.103', 2988513884, 2988513895, 'FR', 'France'),
(89208, '178.33.26.104', '178.33.26.107', 2988513896, 2988513899, 'IT', 'Italy'),
(89209, '178.33.26.108', '178.33.26.111', 2988513900, 2988513903, 'PL', 'Poland'),
(89210, '178.33.26.112', '178.33.26.127', 2988513904, 2988513919, 'IT', 'Italy'),
(89211, '178.33.26.128', '178.33.26.159', 2988513920, 2988513951, 'FR', 'France'),
(89212, '178.33.26.160', '178.33.26.167', 2988513952, 2988513959, 'PL', 'Poland'),
(89213, '178.33.26.168', '178.33.26.171', 2988513960, 2988513963, 'NL', 'Netherlands'),
(89214, '178.33.26.172', '178.33.26.175', 2988513964, 2988513967, 'IE', 'Ireland'),
(89215, '178.33.26.176', '178.33.26.191', 2988513968, 2988513983, 'DE', 'Germany'),
(89216, '178.33.26.192', '178.33.26.199', 2988513984, 2988513991, 'GB', 'United Kingdom'),
(89217, '178.33.26.200', '178.33.26.207', 2988513992, 2988513999, 'IE', 'Ireland'),
(89218, '178.33.26.208', '178.33.26.223', 2988514000, 2988514015, 'FR', 'France'),
(89219, '178.33.26.224', '178.33.26.231', 2988514016, 2988514023, 'ES', 'Spain'),
(89220, '178.33.26.232', '178.33.26.235', 2988514024, 2988514027, 'CH', 'Switzerland'),
(89221, '178.33.26.236', '178.33.26.239', 2988514028, 2988514031, 'PL', 'Poland'),
(89222, '178.33.26.240', '178.33.26.255', 2988514032, 2988514047, 'FR', 'France'),
(89223, '178.33.27.0', '178.33.27.31', 2988514048, 2988514079, 'GB', 'United Kingdom'),
(89224, '178.33.27.32', '178.33.27.47', 2988514080, 2988514095, 'PL', 'Poland'),
(89225, '178.33.27.48', '178.33.27.51', 2988514096, 2988514099, 'DE', 'Germany'),
(89226, '178.33.27.52', '178.33.27.55', 2988514100, 2988514103, 'PL', 'Poland'),
(89227, '178.33.27.56', '178.33.27.63', 2988514104, 2988514111, 'FR', 'France'),
(89228, '178.33.27.64', '178.33.27.67', 2988514112, 2988514115, 'IE', 'Ireland'),
(89229, '178.33.27.68', '178.33.27.79', 2988514116, 2988514127, 'FR', 'France'),
(89230, '178.33.27.80', '178.33.27.83', 2988514128, 2988514131, 'IE', 'Ireland'),
(89231, '178.33.27.84', '178.33.27.87', 2988514132, 2988514135, 'IT', 'Italy'),
(89232, '178.33.27.88', '178.33.27.91', 2988514136, 2988514139, 'ES', 'Spain'),
(89233, '178.33.27.92', '178.33.27.95', 2988514140, 2988514143, 'PL', 'Poland'),
(89234, '178.33.27.96', '178.33.27.111', 2988514144, 2988514159, 'FR', 'France'),
(89235, '178.33.27.112', '178.33.27.115', 2988514160, 2988514163, 'IT', 'Italy'),
(89236, '178.33.27.116', '178.33.27.123', 2988514164, 2988514171, 'FR', 'France'),
(89237, '178.33.27.124', '178.33.27.127', 2988514172, 2988514175, 'DE', 'Germany'),
(89238, '178.33.27.128', '178.33.27.159', 2988514176, 2988514207, 'FR', 'France'),
(89239, '178.33.27.160', '178.33.27.163', 2988514208, 2988514211, 'ES', 'Spain'),
(89240, '178.33.27.164', '178.33.27.171', 2988514212, 2988514219, 'FR', 'France'),
(89241, '178.33.27.172', '178.33.27.179', 2988514220, 2988514227, 'GB', 'United Kingdom'),
(89242, '178.33.27.180', '178.33.27.183', 2988514228, 2988514231, 'IE', 'Ireland'),
(89243, '178.33.27.184', '178.33.27.191', 2988514232, 2988514239, 'ES', 'Spain'),
(89244, '178.33.27.192', '178.33.27.199', 2988514240, 2988514247, 'FR', 'France'),
(89245, '178.33.27.200', '178.33.27.203', 2988514248, 2988514251, 'GB', 'United Kingdom'),
(89246, '178.33.27.204', '178.33.27.207', 2988514252, 2988514255, 'FR', 'France'),
(89247, '178.33.27.208', '178.33.27.223', 2988514256, 2988514271, 'ES', 'Spain'),
(89248, '178.33.27.224', '178.33.27.231', 2988514272, 2988514279, 'FR', 'France'),
(89249, '178.33.27.232', '178.33.27.239', 2988514280, 2988514287, 'PL', 'Poland'),
(89250, '178.33.27.240', '178.33.27.255', 2988514288, 2988514303, 'ES', 'Spain'),
(89251, '178.33.28.0', '178.33.28.31', 2988514304, 2988514335, 'FR', 'France'),
(89252, '178.33.28.32', '178.33.28.35', 2988514336, 2988514339, 'PL', 'Poland'),
(89253, '178.33.28.36', '178.33.28.39', 2988514340, 2988514343, 'FR', 'France'),
(89254, '178.33.28.40', '178.33.28.47', 2988514344, 2988514351, 'PL', 'Poland'),
(89255, '178.33.28.48', '178.33.28.55', 2988514352, 2988514359, 'FR', 'France'),
(89256, '178.33.28.56', '178.33.28.63', 2988514360, 2988514367, 'ES', 'Spain'),
(89257, '178.33.28.64', '178.33.28.95', 2988514368, 2988514399, 'FR', 'France'),
(89258, '178.33.28.96', '178.33.28.127', 2988514400, 2988514431, 'GB', 'United Kingdom'),
(89259, '178.33.28.128', '178.33.28.143', 2988514432, 2988514447, 'FR', 'France'),
(89260, '178.33.28.144', '178.33.28.159', 2988514448, 2988514463, 'ES', 'Spain'),
(89261, '178.33.28.160', '178.33.28.239', 2988514464, 2988514543, 'FR', 'France'),
(89262, '178.33.28.240', '178.33.28.255', 2988514544, 2988514559, 'PL', 'Poland'),
(89263, '178.33.29.0', '178.33.29.63', 2988514560, 2988514623, 'FR', 'France'),
(89264, '178.33.29.64', '178.33.29.95', 2988514624, 2988514655, 'DE', 'Germany'),
(89265, '178.33.29.96', '178.33.29.111', 2988514656, 2988514671, 'FR', 'France'),
(89266, '178.33.29.112', '178.33.29.115', 2988514672, 2988514675, 'CH', 'Switzerland'),
(89267, '178.33.29.116', '178.33.29.119', 2988514676, 2988514679, 'IT', 'Italy'),
(89268, '178.33.29.120', '178.33.29.123', 2988514680, 2988514683, 'GB', 'United Kingdom'),
(89269, '178.33.29.124', '178.33.29.127', 2988514684, 2988514687, 'DE', 'Germany'),
(89270, '178.33.29.128', '178.33.29.159', 2988514688, 2988514719, 'GB', 'United Kingdom'),
(89271, '178.33.29.160', '178.33.29.175', 2988514720, 2988514735, 'ES', 'Spain'),
(89272, '178.33.29.176', '178.33.29.179', 2988514736, 2988514739, 'FR', 'France'),
(89273, '178.33.29.180', '178.33.29.183', 2988514740, 2988514743, 'ES', 'Spain'),
(89274, '178.33.29.184', '178.33.29.187', 2988514744, 2988514747, 'BE', 'Belgium'),
(89275, '178.33.29.188', '178.33.29.191', 2988514748, 2988514751, 'GB', 'United Kingdom'),
(89276, '178.33.29.192', '178.33.29.255', 2988514752, 2988514815, 'FI', 'Finland'),
(89277, '178.33.30.0', '178.33.30.7', 2988514816, 2988514823, 'FR', 'France'),
(89278, '178.33.30.8', '178.33.30.11', 2988514824, 2988514827, 'PL', 'Poland'),
(89279, '178.33.30.12', '178.33.30.15', 2988514828, 2988514831, 'FR', 'France'),
(89280, '178.33.30.16', '178.33.30.23', 2988514832, 2988514839, 'PL', 'Poland'),
(89281, '178.33.30.24', '178.33.30.63', 2988514840, 2988514879, 'ES', 'Spain'),
(89282, '178.33.30.64', '178.33.30.127', 2988514880, 2988514943, 'PL', 'Poland'),
(89283, '178.33.30.128', '178.33.30.143', 2988514944, 2988514959, 'ES', 'Spain'),
(89284, '178.33.30.144', '178.33.30.159', 2988514960, 2988514975, 'PL', 'Poland'),
(89285, '178.33.30.160', '178.33.30.163', 2988514976, 2988514979, 'DE', 'Germany'),
(89286, '178.33.30.164', '178.33.30.167', 2988514980, 2988514983, 'PL', 'Poland'),
(89287, '178.33.30.168', '178.33.30.175', 2988514984, 2988514991, 'IT', 'Italy'),
(89288, '178.33.30.176', '178.33.30.179', 2988514992, 2988514995, 'FR', 'France'),
(89289, '178.33.30.180', '178.33.30.191', 2988514996, 2988515007, 'PL', 'Poland'),
(89290, '178.33.30.192', '178.33.30.211', 2988515008, 2988515027, 'FR', 'France'),
(89291, '178.33.30.212', '178.33.30.215', 2988515028, 2988515031, 'DE', 'Germany'),
(89292, '178.33.30.216', '178.33.30.223', 2988515032, 2988515039, 'FR', 'France'),
(89293, '178.33.30.224', '178.33.30.255', 2988515040, 2988515071, 'GB', 'United Kingdom'),
(89294, '178.33.31.0', '178.33.31.255', 2988515072, 2988515327, 'FR', 'France'),
(89295, '178.33.32.0', '178.33.39.255', 2988515328, 2988517375, 'DE', 'Germany'),
(89296, '178.33.40.0', '178.33.47.255', 2988517376, 2988519423, 'FR', 'France'),
(89297, '178.33.48.0', '178.33.55.255', 2988519424, 2988521471, 'PL', 'Poland'),
(89298, '178.33.56.0', '178.33.63.255', 2988521472, 2988523519, 'FR', 'France'),
(89299, '178.33.64.0', '178.33.64.3', 2988523520, 2988523523, 'GB', 'United Kingdom'),
(89300, '178.33.64.4', '178.33.64.79', 2988523524, 2988523599, 'FR', 'France'),
(89301, '178.33.64.80', '178.33.64.83', 2988523600, 2988523603, 'ES', 'Spain'),
(89302, '178.33.64.84', '178.33.64.87', 2988523604, 2988523607, 'GB', 'United Kingdom'),
(89303, '178.33.64.88', '178.33.64.95', 2988523608, 2988523615, 'PL', 'Poland'),
(89304, '178.33.64.96', '178.33.64.111', 2988523616, 2988523631, 'FR', 'France'),
(89305, '178.33.64.112', '178.33.64.131', 2988523632, 2988523651, 'PL', 'Poland'),
(89306, '178.33.64.132', '178.33.64.135', 2988523652, 2988523655, 'FR', 'France'),
(89307, '178.33.64.136', '178.33.64.143', 2988523656, 2988523663, 'FI', 'Finland'),
(89308, '178.33.64.144', '178.33.64.147', 2988523664, 2988523667, 'DE', 'Germany'),
(89309, '178.33.64.148', '178.33.64.159', 2988523668, 2988523679, 'FR', 'France'),
(89310, '178.33.64.160', '178.33.64.191', 2988523680, 2988523711, 'ES', 'Spain'),
(89311, '178.33.64.192', '178.33.64.207', 2988523712, 2988523727, 'FR', 'France'),
(89312, '178.33.64.208', '178.33.64.211', 2988523728, 2988523731, 'PL', 'Poland'),
(89313, '178.33.64.212', '178.33.64.215', 2988523732, 2988523735, 'IT', 'Italy'),
(89314, '178.33.64.216', '178.33.64.219', 2988523736, 2988523739, 'DE', 'Germany'),
(89315, '178.33.64.220', '178.33.64.223', 2988523740, 2988523743, 'FR', 'France'),
(89316, '178.33.64.224', '178.33.64.255', 2988523744, 2988523775, 'CH', 'Switzerland'),
(89317, '178.33.65.0', '178.33.65.255', 2988523776, 2988524031, 'FR', 'France'),
(89318, '178.33.66.0', '178.33.66.7', 2988524032, 2988524039, 'PL', 'Poland'),
(89319, '178.33.66.8', '178.33.66.15', 2988524040, 2988524047, 'ES', 'Spain'),
(89320, '178.33.66.16', '178.33.66.23', 2988524048, 2988524055, 'FR', 'France'),
(89321, '178.33.66.24', '178.33.66.31', 2988524056, 2988524063, 'CZ', 'Czech Republic'),
(89322, '178.33.66.32', '178.33.66.35', 2988524064, 2988524067, 'PL', 'Poland'),
(89323, '178.33.66.36', '178.33.66.43', 2988524068, 2988524075, 'GB', 'United Kingdom'),
(89324, '178.33.66.44', '178.33.66.47', 2988524076, 2988524079, 'ES', 'Spain'),
(89325, '178.33.66.48', '178.33.66.51', 2988524080, 2988524083, 'GB', 'United Kingdom'),
(89326, '178.33.66.52', '178.33.66.55', 2988524084, 2988524087, 'IT', 'Italy'),
(89327, '178.33.66.56', '178.33.66.79', 2988524088, 2988524111, 'FR', 'France'),
(89328, '178.33.66.80', '178.33.66.95', 2988524112, 2988524127, 'IT', 'Italy'),
(89329, '178.33.66.96', '178.33.66.111', 2988524128, 2988524143, 'FR', 'France'),
(89330, '178.33.66.112', '178.33.66.115', 2988524144, 2988524147, 'GB', 'United Kingdom'),
(89331, '178.33.66.116', '178.33.66.119', 2988524148, 2988524151, 'IT', 'Italy'),
(89332, '178.33.66.120', '178.33.66.123', 2988524152, 2988524155, 'PL', 'Poland'),
(89333, '178.33.66.124', '178.33.66.127', 2988524156, 2988524159, 'PT', 'Portugal'),
(89334, '178.33.66.128', '178.33.66.131', 2988524160, 2988524163, 'ES', 'Spain'),
(89335, '178.33.66.132', '178.33.66.135', 2988524164, 2988524167, 'FR', 'France'),
(89336, '178.33.66.136', '178.33.66.143', 2988524168, 2988524175, 'ES', 'Spain'),
(89337, '178.33.66.144', '178.33.66.159', 2988524176, 2988524191, 'FR', 'France'),
(89338, '178.33.66.160', '178.33.66.163', 2988524192, 2988524195, 'FI', 'Finland'),
(89339, '178.33.66.164', '178.33.66.167', 2988524196, 2988524199, 'DE', 'Germany'),
(89340, '178.33.66.168', '178.33.66.171', 2988524200, 2988524203, 'IE', 'Ireland'),
(89341, '178.33.66.172', '178.33.66.179', 2988524204, 2988524211, 'FR', 'France'),
(89342, '178.33.66.180', '178.33.66.183', 2988524212, 2988524215, 'FI', 'Finland'),
(89343, '178.33.66.184', '178.33.66.187', 2988524216, 2988524219, 'FR', 'France'),
(89344, '178.33.66.188', '178.33.66.191', 2988524220, 2988524223, 'ES', 'Spain'),
(89345, '178.33.66.192', '178.33.66.195', 2988524224, 2988524227, 'DE', 'Germany'),
(89346, '178.33.66.196', '178.33.66.199', 2988524228, 2988524231, 'PL', 'Poland'),
(89347, '178.33.66.200', '178.33.66.207', 2988524232, 2988524239, 'ES', 'Spain'),
(89348, '178.33.66.208', '178.33.66.223', 2988524240, 2988524255, 'FR', 'France'),
(89349, '178.33.66.224', '178.33.66.227', 2988524256, 2988524259, 'LT', 'Lithuania'),
(89350, '178.33.66.228', '178.33.66.231', 2988524260, 2988524263, 'PT', 'Portugal'),
(89351, '178.33.66.232', '178.33.66.235', 2988524264, 2988524267, 'CZ', 'Czech Republic'),
(89352, '178.33.66.236', '178.33.66.239', 2988524268, 2988524271, 'NL', 'Netherlands'),
(89353, '178.33.66.240', '178.33.66.255', 2988524272, 2988524287, 'DE', 'Germany'),
(89354, '178.33.67.0', '178.33.67.3', 2988524288, 2988524291, 'ES', 'Spain'),
(89355, '178.33.67.4', '178.33.67.7', 2988524292, 2988524295, 'IT', 'Italy'),
(89356, '178.33.67.8', '178.33.67.15', 2988524296, 2988524303, 'FR', 'France'),
(89357, '178.33.67.16', '178.33.67.19', 2988524304, 2988524307, 'IT', 'Italy'),
(89358, '178.33.67.20', '178.33.67.31', 2988524308, 2988524319, 'GB', 'United Kingdom'),
(89359, '178.33.67.32', '178.33.67.63', 2988524320, 2988524351, 'FR', 'France'),
(89360, '178.33.67.64', '178.33.67.71', 2988524352, 2988524359, 'CH', 'Switzerland'),
(89361, '178.33.67.72', '178.33.67.75', 2988524360, 2988524363, 'ES', 'Spain'),
(89362, '178.33.67.76', '178.33.67.79', 2988524364, 2988524367, 'DE', 'Germany'),
(89363, '178.33.67.80', '178.33.67.95', 2988524368, 2988524383, 'GB', 'United Kingdom'),
(89364, '178.33.67.96', '178.33.67.127', 2988524384, 2988524415, 'IE', 'Ireland'),
(89365, '178.33.67.128', '178.33.67.159', 2988524416, 2988524447, 'FI', 'Finland'),
(89366, '178.33.67.160', '178.33.67.191', 2988524448, 2988524479, 'FR', 'France'),
(89367, '178.33.67.192', '178.33.67.195', 2988524480, 2988524483, 'CZ', 'Czech Republic'),
(89368, '178.33.67.196', '178.33.67.199', 2988524484, 2988524487, 'IT', 'Italy'),
(89369, '178.33.67.200', '178.33.67.207', 2988524488, 2988524495, 'FR', 'France'),
(89370, '178.33.67.208', '178.33.67.255', 2988524496, 2988524543, 'PL', 'Poland'),
(89371, '178.33.68.0', '178.33.68.31', 2988524544, 2988524575, 'IE', 'Ireland'),
(89372, '178.33.68.32', '178.33.68.47', 2988524576, 2988524591, 'FR', 'France'),
(89373, '178.33.68.48', '178.33.68.59', 2988524592, 2988524603, 'PL', 'Poland'),
(89374, '178.33.68.60', '178.33.68.63', 2988524604, 2988524607, 'ES', 'Spain'),
(89375, '178.33.68.64', '178.33.68.83', 2988524608, 2988524627, 'GB', 'United Kingdom'),
(89376, '178.33.68.84', '178.33.68.87', 2988524628, 2988524631, 'ES', 'Spain'),
(89377, '178.33.68.88', '178.33.68.91', 2988524632, 2988524635, 'DE', 'Germany'),
(89378, '178.33.68.92', '178.33.68.95', 2988524636, 2988524639, 'FR', 'France'),
(89379, '178.33.68.96', '178.33.68.127', 2988524640, 2988524671, 'DE', 'Germany'),
(89380, '178.33.68.128', '178.33.68.191', 2988524672, 2988524735, 'FR', 'France'),
(89381, '178.33.68.192', '178.33.68.207', 2988524736, 2988524751, 'GB', 'United Kingdom'),
(89382, '178.33.68.208', '178.33.68.255', 2988524752, 2988524799, 'FR', 'France'),
(89383, '178.33.69.0', '178.33.69.255', 2988524800, 2988525055, 'GB', 'United Kingdom'),
(89384, '178.33.70.0', '178.33.71.255', 2988525056, 2988525567, 'PL', 'Poland'),
(89385, '178.33.72.0', '178.33.72.15', 2988525568, 2988525583, 'FR', 'France'),
(89386, '178.33.72.16', '178.33.72.79', 2988525584, 2988525647, 'PL', 'Poland'),
(89387, '178.33.72.80', '178.33.72.87', 2988525648, 2988525655, 'GB', 'United Kingdom'),
(89388, '178.33.72.88', '178.33.72.91', 2988525656, 2988525659, 'FR', 'France'),
(89389, '178.33.72.92', '178.33.72.95', 2988525660, 2988525663, 'DE', 'Germany'),
(89390, '178.33.72.96', '178.33.72.207', 2988525664, 2988525775, 'FR', 'France'),
(89391, '178.33.72.208', '178.33.72.211', 2988525776, 2988525779, 'LT', 'Lithuania'),
(89392, '178.33.72.212', '178.33.72.215', 2988525780, 2988525783, 'FR', 'France'),
(89393, '178.33.72.216', '178.33.72.219', 2988525784, 2988525787, 'PL', 'Poland'),
(89394, '178.33.72.220', '178.33.72.223', 2988525788, 2988525791, 'FR', 'France'),
(89395, '178.33.72.224', '178.33.72.255', 2988525792, 2988525823, 'DE', 'Germany'),
(89396, '178.33.73.0', '178.33.73.19', 2988525824, 2988525843, 'FR', 'France'),
(89397, '178.33.73.20', '178.33.73.23', 2988525844, 2988525847, 'ES', 'Spain'),
(89398, '178.33.73.24', '178.33.73.27', 2988525848, 2988525851, 'IT', 'Italy'),
(89399, '178.33.73.28', '178.33.73.31', 2988525852, 2988525855, 'DE', 'Germany'),
(89400, '178.33.73.32', '178.33.73.63', 2988525856, 2988525887, 'FR', 'France'),
(89401, '178.33.73.64', '178.33.73.127', 2988525888, 2988525951, 'FI', 'Finland'),
(89402, '178.33.73.128', '178.33.73.255', 2988525952, 2988526079, 'ES', 'Spain'),
(89403, '178.33.74.0', '178.33.74.3', 2988526080, 2988526083, 'IE', 'Ireland'),
(89404, '178.33.74.4', '178.33.74.7', 2988526084, 2988526087, 'FR', 'France'),
(89405, '178.33.74.8', '178.33.74.11', 2988526088, 2988526091, 'PT', 'Portugal'),
(89406, '178.33.74.12', '178.33.74.15', 2988526092, 2988526095, 'GB', 'United Kingdom'),
(89407, '178.33.74.16', '178.33.74.55', 2988526096, 2988526135, 'FR', 'France'),
(89408, '178.33.74.56', '178.33.74.63', 2988526136, 2988526143, 'GB', 'United Kingdom'),
(89409, '178.33.74.64', '178.33.74.95', 2988526144, 2988526175, 'BE', 'Belgium'),
(89410, '178.33.74.96', '178.33.74.159', 2988526176, 2988526239, 'ES', 'Spain'),
(89411, '178.33.74.160', '178.33.75.87', 2988526240, 2988526423, 'PL', 'Poland'),
(89412, '178.33.75.88', '178.33.75.91', 2988526424, 2988526427, 'BE', 'Belgium'),
(89413, '178.33.75.92', '178.33.75.95', 2988526428, 2988526431, 'ES', 'Spain'),
(89414, '178.33.75.96', '178.33.75.99', 2988526432, 2988526435, 'NL', 'Netherlands'),
(89415, '178.33.75.100', '178.33.75.103', 2988526436, 2988526439, 'FR', 'France'),
(89416, '178.33.75.104', '178.33.75.107', 2988526440, 2988526443, 'CH', 'Switzerland'),
(89417, '178.33.75.108', '178.33.75.111', 2988526444, 2988526447, 'BE', 'Belgium'),
(89418, '178.33.75.112', '178.33.75.115', 2988526448, 2988526451, 'GB', 'United Kingdom'),
(89419, '178.33.75.116', '178.33.75.119', 2988526452, 2988526455, 'DE', 'Germany'),
(89420, '178.33.75.120', '178.33.75.127', 2988526456, 2988526463, 'ES', 'Spain'),
(89421, '178.33.75.128', '178.33.75.243', 2988526464, 2988526579, 'FR', 'France'),
(89422, '178.33.75.244', '178.33.75.247', 2988526580, 2988526583, 'ES', 'Spain'),
(89423, '178.33.75.248', '178.33.75.255', 2988526584, 2988526591, 'DE', 'Germany'),
(89424, '178.33.76.0', '178.33.76.15', 2988526592, 2988526607, 'FR', 'France'),
(89425, '178.33.76.16', '178.33.76.23', 2988526608, 2988526615, 'DE', 'Germany'),
(89426, '178.33.76.24', '178.33.76.63', 2988526616, 2988526655, 'FR', 'France'),
(89427, '178.33.76.64', '178.33.76.71', 2988526656, 2988526663, 'PL', 'Poland'),
(89428, '178.33.76.72', '178.33.76.79', 2988526664, 2988526671, 'FR', 'France'),
(89429, '178.33.76.80', '178.33.76.87', 2988526672, 2988526679, 'IE', 'Ireland'),
(89430, '178.33.76.88', '178.33.76.91', 2988526680, 2988526683, 'ES', 'Spain'),
(89431, '178.33.76.92', '178.33.76.95', 2988526684, 2988526687, 'FR', 'France'),
(89432, '178.33.76.96', '178.33.76.111', 2988526688, 2988526703, 'ES', 'Spain'),
(89433, '178.33.76.112', '178.33.76.115', 2988526704, 2988526707, 'NL', 'Netherlands'),
(89434, '178.33.76.116', '178.33.76.119', 2988526708, 2988526711, 'PL', 'Poland'),
(89435, '178.33.76.120', '178.33.76.123', 2988526712, 2988526715, 'ES', 'Spain'),
(89436, '178.33.76.124', '178.33.76.127', 2988526716, 2988526719, 'GB', 'United Kingdom'),
(89437, '178.33.76.128', '178.33.76.135', 2988526720, 2988526727, 'FR', 'France'),
(89438, '178.33.76.136', '178.33.76.143', 2988526728, 2988526735, 'DE', 'Germany'),
(89439, '178.33.76.144', '178.33.76.159', 2988526736, 2988526751, 'PL', 'Poland'),
(89440, '178.33.76.160', '178.33.76.191', 2988526752, 2988526783, 'GB', 'United Kingdom'),
(89441, '178.33.76.192', '178.33.76.255', 2988526784, 2988526847, 'FR', 'France'),
(89442, '178.33.77.0', '178.33.77.15', 2988526848, 2988526863, 'PL', 'Poland'),
(89443, '178.33.77.16', '178.33.77.19', 2988526864, 2988526867, 'GB', 'United Kingdom'),
(89444, '178.33.77.20', '178.33.77.23', 2988526868, 2988526871, 'FR', 'France'),
(89445, '178.33.77.24', '178.33.77.27', 2988526872, 2988526875, 'DE', 'Germany'),
(89446, '178.33.77.28', '178.33.77.31', 2988526876, 2988526879, 'PL', 'Poland'),
(89447, '178.33.77.32', '178.33.77.63', 2988526880, 2988526911, 'FR', 'France'),
(89448, '178.33.77.64', '178.33.77.79', 2988526912, 2988526927, 'GB', 'United Kingdom'),
(89449, '178.33.77.80', '178.33.77.87', 2988526928, 2988526935, 'DE', 'Germany'),
(89450, '178.33.77.88', '178.33.77.95', 2988526936, 2988526943, 'PL', 'Poland'),
(89451, '178.33.77.96', '178.33.77.103', 2988526944, 2988526951, 'DE', 'Germany'),
(89452, '178.33.77.104', '178.33.77.107', 2988526952, 2988526955, 'FR', 'France'),
(89453, '178.33.77.108', '178.33.77.111', 2988526956, 2988526959, 'IT', 'Italy'),
(89454, '178.33.77.112', '178.33.77.127', 2988526960, 2988526975, 'FR', 'France'),
(89455, '178.33.77.128', '178.33.77.143', 2988526976, 2988526991, 'PL', 'Poland'),
(89456, '178.33.77.144', '178.33.77.147', 2988526992, 2988526995, 'DE', 'Germany'),
(89457, '178.33.77.148', '178.33.77.155', 2988526996, 2988527003, 'ES', 'Spain'),
(89458, '178.33.77.156', '178.33.77.207', 2988527004, 2988527055, 'FR', 'France'),
(89459, '178.33.77.208', '178.33.77.223', 2988527056, 2988527071, 'BE', 'Belgium'),
(89460, '178.33.77.224', '178.33.77.239', 2988527072, 2988527087, 'IE', 'Ireland'),
(89461, '178.33.77.240', '178.33.77.247', 2988527088, 2988527095, 'GB', 'United Kingdom'),
(89462, '178.33.77.248', '178.33.77.255', 2988527096, 2988527103, 'PL', 'Poland'),
(89463, '178.33.78.0', '178.33.78.23', 2988527104, 2988527127, 'FR', 'France'),
(89464, '178.33.78.24', '178.33.78.63', 2988527128, 2988527167, 'PL', 'Poland'),
(89465, '178.33.78.64', '178.33.78.67', 2988527168, 2988527171, 'DE', 'Germany'),
(89466, '178.33.78.68', '178.33.78.71', 2988527172, 2988527175, 'ES', 'Spain'),
(89467, '178.33.78.72', '178.33.78.75', 2988527176, 2988527179, 'PT', 'Portugal'),
(89468, '178.33.78.76', '178.33.78.79', 2988527180, 2988527183, 'PL', 'Poland'),
(89469, '178.33.78.80', '178.33.78.83', 2988527184, 2988527187, 'IT', 'Italy'),
(89470, '178.33.78.84', '178.33.78.87', 2988527188, 2988527191, 'ES', 'Spain'),
(89471, '178.33.78.88', '178.33.78.91', 2988527192, 2988527195, 'DE', 'Germany'),
(89472, '178.33.78.92', '178.33.78.95', 2988527196, 2988527199, 'FR', 'France'),
(89473, '178.33.78.96', '178.33.78.103', 2988527200, 2988527207, 'NL', 'Netherlands'),
(89474, '178.33.78.104', '178.33.78.107', 2988527208, 2988527211, 'DE', 'Germany'),
(89475, '178.33.78.108', '178.33.78.111', 2988527212, 2988527215, 'PT', 'Portugal'),
(89476, '178.33.78.112', '178.33.78.255', 2988527216, 2988527359, 'FR', 'France'),
(89477, '178.33.79.0', '178.33.79.31', 2988527360, 2988527391, 'DE', 'Germany'),
(89478, '178.33.79.32', '178.33.79.39', 2988527392, 2988527399, 'PL', 'Poland'),
(89479, '178.33.79.40', '178.33.79.47', 2988527400, 2988527407, 'DE', 'Germany'),
(89480, '178.33.79.48', '178.33.79.51', 2988527408, 2988527411, 'FR', 'France'),
(89481, '178.33.79.52', '178.33.79.59', 2988527412, 2988527419, 'PL', 'Poland'),
(89482, '178.33.79.60', '178.33.79.63', 2988527420, 2988527423, 'GB', 'United Kingdom'),
(89483, '178.33.79.64', '178.33.79.71', 2988527424, 2988527431, 'FR', 'France'),
(89484, '178.33.79.72', '178.33.79.79', 2988527432, 2988527439, 'IT', 'Italy'),
(89485, '178.33.79.80', '178.33.79.91', 2988527440, 2988527451, 'PL', 'Poland'),
(89486, '178.33.79.92', '178.33.79.95', 2988527452, 2988527455, 'PT', 'Portugal'),
(89487, '178.33.79.96', '178.33.79.99', 2988527456, 2988527459, 'LT', 'Lithuania'),
(89488, '178.33.79.100', '178.33.79.103', 2988527460, 2988527463, 'IE', 'Ireland'),
(89489, '178.33.79.104', '178.33.79.115', 2988527464, 2988527475, 'FR', 'France'),
(89490, '178.33.79.116', '178.33.79.119', 2988527476, 2988527479, 'ES', 'Spain'),
(89491, '178.33.79.120', '178.33.79.127', 2988527480, 2988527487, 'FR', 'France'),
(89492, '178.33.79.128', '178.33.79.143', 2988527488, 2988527503, 'GB', 'United Kingdom'),
(89493, '178.33.79.144', '178.33.79.163', 2988527504, 2988527523, 'FR', 'France'),
(89494, '178.33.79.164', '178.33.79.167', 2988527524, 2988527527, 'PL', 'Poland'),
(89495, '178.33.79.168', '178.33.79.171', 2988527528, 2988527531, 'DE', 'Germany'),
(89496, '178.33.79.172', '178.33.79.191', 2988527532, 2988527551, 'FR', 'France'),
(89497, '178.33.79.192', '178.33.79.223', 2988527552, 2988527583, 'PL', 'Poland'),
(89498, '178.33.79.224', '178.33.79.231', 2988527584, 2988527591, 'GB', 'United Kingdom'),
(89499, '178.33.79.232', '178.33.79.235', 2988527592, 2988527595, 'IE', 'Ireland'),
(89500, '178.33.79.236', '178.33.79.239', 2988527596, 2988527599, 'DE', 'Germany'),
(89501, '178.33.79.240', '178.33.79.243', 2988527600, 2988527603, 'NL', 'Netherlands'),
(89502, '178.33.79.244', '178.33.79.247', 2988527604, 2988527607, 'FR', 'France'),
(89503, '178.33.79.248', '178.33.79.251', 2988527608, 2988527611, 'DE', 'Germany'),
(89504, '178.33.79.252', '178.33.79.255', 2988527612, 2988527615, 'PT', 'Portugal'),
(89505, '178.33.80.0', '178.33.80.3', 2988527616, 2988527619, 'ES', 'Spain'),
(89506, '178.33.80.4', '178.33.80.7', 2988527620, 2988527623, 'PL', 'Poland'),
(89507, '178.33.80.8', '178.33.80.15', 2988527624, 2988527631, 'ES', 'Spain'),
(89508, '178.33.80.16', '178.33.80.51', 2988527632, 2988527667, 'FR', 'France'),
(89509, '178.33.80.52', '178.33.80.55', 2988527668, 2988527671, 'IE', 'Ireland'),
(89510, '178.33.80.56', '178.33.80.59', 2988527672, 2988527675, 'ES', 'Spain'),
(89511, '178.33.80.60', '178.33.80.63', 2988527676, 2988527679, 'DE', 'Germany'),
(89512, '178.33.80.64', '178.33.80.67', 2988527680, 2988527683, 'ES', 'Spain'),
(89513, '178.33.80.68', '178.33.80.79', 2988527684, 2988527695, 'FR', 'France'),
(89514, '178.33.80.80', '178.33.80.95', 2988527696, 2988527711, 'GB', 'United Kingdom'),
(89515, '178.33.80.96', '178.33.80.131', 2988527712, 2988527747, 'FR', 'France'),
(89516, '178.33.80.132', '178.33.80.135', 2988527748, 2988527751, 'ES', 'Spain'),
(89517, '178.33.80.136', '178.33.80.139', 2988527752, 2988527755, 'DE', 'Germany'),
(89518, '178.33.80.140', '178.33.80.143', 2988527756, 2988527759, 'PL', 'Poland'),
(89519, '178.33.80.144', '178.33.80.159', 2988527760, 2988527775, 'ES', 'Spain'),
(89520, '178.33.80.160', '178.33.80.207', 2988527776, 2988527823, 'FR', 'France'),
(89521, '178.33.80.208', '178.33.80.211', 2988527824, 2988527827, 'ES', 'Spain'),
(89522, '178.33.80.212', '178.33.80.215', 2988527828, 2988527831, 'DE', 'Germany'),
(89523, '178.33.80.216', '178.33.80.223', 2988527832, 2988527839, 'ES', 'Spain'),
(89524, '178.33.80.224', '178.33.80.227', 2988527840, 2988527843, 'PL', 'Poland'),
(89525, '178.33.80.228', '178.33.80.231', 2988527844, 2988527847, 'NL', 'Netherlands'),
(89526, '178.33.80.232', '178.33.80.235', 2988527848, 2988527851, 'LT', 'Lithuania'),
(89527, '178.33.80.236', '178.33.80.239', 2988527852, 2988527855, 'GB', 'United Kingdom'),
(89528, '178.33.80.240', '178.33.80.255', 2988527856, 2988527871, 'FR', 'France'),
(89529, '178.33.81.0', '178.33.81.15', 2988527872, 2988527887, 'IE', 'Ireland'),
(89530, '178.33.81.16', '178.33.81.23', 2988527888, 2988527895, 'PT', 'Portugal'),
(89531, '178.33.81.24', '178.33.81.31', 2988527896, 2988527903, 'FR', 'France'),
(89532, '178.33.81.32', '178.33.81.63', 2988527904, 2988527935, 'ES', 'Spain'),
(89533, '178.33.81.64', '178.33.81.95', 2988527936, 2988527967, 'DE', 'Germany'),
(89534, '178.33.81.96', '178.33.81.111', 2988527968, 2988527983, 'PL', 'Poland'),
(89535, '178.33.81.112', '178.33.81.127', 2988527984, 2988527999, 'FR', 'France'),
(89536, '178.33.81.128', '178.33.81.135', 2988528000, 2988528007, 'IT', 'Italy'),
(89537, '178.33.81.136', '178.33.81.139', 2988528008, 2988528011, 'ES', 'Spain'),
(89538, '178.33.81.140', '178.33.81.143', 2988528012, 2988528015, 'PL', 'Poland'),
(89539, '178.33.81.144', '178.33.81.191', 2988528016, 2988528063, 'IE', 'Ireland'),
(89540, '178.33.81.192', '178.33.81.199', 2988528064, 2988528071, 'GB', 'United Kingdom'),
(89541, '178.33.81.200', '178.33.81.203', 2988528072, 2988528075, 'NL', 'Netherlands'),
(89542, '178.33.81.204', '178.33.81.207', 2988528076, 2988528079, 'BE', 'Belgium'),
(89543, '178.33.81.208', '178.33.81.223', 2988528080, 2988528095, 'ES', 'Spain'),
(89544, '178.33.81.224', '178.33.81.255', 2988528096, 2988528127, 'FR', 'France'),
(89545, '178.33.82.0', '178.33.82.31', 2988528128, 2988528159, 'GB', 'United Kingdom'),
(89546, '178.33.82.32', '178.33.82.51', 2988528160, 2988528179, 'ES', 'Spain'),
(89547, '178.33.82.52', '178.33.82.55', 2988528180, 2988528183, 'IT', 'Italy'),
(89548, '178.33.82.56', '178.33.82.59', 2988528184, 2988528187, 'PL', 'Poland'),
(89549, '178.33.82.60', '178.33.82.63', 2988528188, 2988528191, 'FR', 'France'),
(89550, '178.33.82.64', '178.33.82.79', 2988528192, 2988528207, 'IE', 'Ireland'),
(89551, '178.33.82.80', '178.33.82.87', 2988528208, 2988528215, 'FR', 'France'),
(89552, '178.33.82.88', '178.33.82.91', 2988528216, 2988528219, 'IE', 'Ireland'),
(89553, '178.33.82.92', '178.33.82.95', 2988528220, 2988528223, 'DE', 'Germany'),
(89554, '178.33.82.96', '178.33.82.99', 2988528224, 2988528227, 'FR', 'France'),
(89555, '178.33.82.100', '178.33.82.103', 2988528228, 2988528231, 'IE', 'Ireland'),
(89556, '178.33.82.104', '178.33.82.107', 2988528232, 2988528235, 'GB', 'United Kingdom'),
(89557, '178.33.82.108', '178.33.82.111', 2988528236, 2988528239, 'FR', 'France'),
(89558, '178.33.82.112', '178.33.82.135', 2988528240, 2988528263, 'GB', 'United Kingdom'),
(89559, '178.33.82.136', '178.33.82.139', 2988528264, 2988528267, 'PL', 'Poland'),
(89560, '178.33.82.140', '178.33.82.143', 2988528268, 2988528271, 'FR', 'France'),
(89561, '178.33.82.144', '178.33.82.159', 2988528272, 2988528287, 'IE', 'Ireland'),
(89562, '178.33.82.160', '178.33.82.175', 2988528288, 2988528303, 'GB', 'United Kingdom'),
(89563, '178.33.82.176', '178.33.82.223', 2988528304, 2988528351, 'FR', 'France'),
(89564, '178.33.82.224', '178.33.82.255', 2988528352, 2988528383, 'DE', 'Germany'),
(89565, '178.33.83.0', '178.33.83.15', 2988528384, 2988528399, 'GB', 'United Kingdom'),
(89566, '178.33.83.16', '178.33.83.35', 2988528400, 2988528419, 'FR', 'France'),
(89567, '178.33.83.36', '178.33.83.39', 2988528420, 2988528423, 'DE', 'Germany'),
(89568, '178.33.83.40', '178.33.83.47', 2988528424, 2988528431, 'NL', 'Netherlands'),
(89569, '178.33.83.48', '178.33.83.55', 2988528432, 2988528439, 'PL', 'Poland'),
(89570, '178.33.83.56', '178.33.83.63', 2988528440, 2988528447, 'GB', 'United Kingdom'),
(89571, '178.33.83.64', '178.33.83.67', 2988528448, 2988528451, 'DE', 'Germany'),
(89572, '178.33.83.68', '178.33.83.71', 2988528452, 2988528455, 'IT', 'Italy'),
(89573, '178.33.83.72', '178.33.83.75', 2988528456, 2988528459, 'GB', 'United Kingdom'),
(89574, '178.33.83.76', '178.33.83.79', 2988528460, 2988528463, 'ES', 'Spain'),
(89575, '178.33.83.80', '178.33.83.83', 2988528464, 2988528467, 'DE', 'Germany'),
(89576, '178.33.83.84', '178.33.83.87', 2988528468, 2988528471, 'GB', 'United Kingdom'),
(89577, '178.33.83.88', '178.33.83.91', 2988528472, 2988528475, 'ES', 'Spain'),
(89578, '178.33.83.92', '178.33.83.95', 2988528476, 2988528479, 'DE', 'Germany'),
(89579, '178.33.83.96', '178.33.83.99', 2988528480, 2988528483, 'NL', 'Netherlands'),
(89580, '178.33.83.100', '178.33.83.103', 2988528484, 2988528487, 'ES', 'Spain'),
(89581, '178.33.83.104', '178.33.83.111', 2988528488, 2988528495, 'FR', 'France'),
(89582, '178.33.83.112', '178.33.83.127', 2988528496, 2988528511, 'IT', 'Italy'),
(89583, '178.33.83.128', '178.33.83.255', 2988528512, 2988528639, 'FR', 'France'),
(89584, '178.33.84.0', '178.33.84.3', 2988528640, 2988528643, 'BE', 'Belgium'),
(89585, '178.33.84.4', '178.33.84.7', 2988528644, 2988528647, 'PL', 'Poland'),
(89586, '178.33.84.8', '178.33.84.31', 2988528648, 2988528671, 'FR', 'France'),
(89587, '178.33.84.32', '178.33.84.63', 2988528672, 2988528703, 'DE', 'Germany'),
(89588, '178.33.84.64', '178.33.84.95', 2988528704, 2988528735, 'IE', 'Ireland'),
(89589, '178.33.84.96', '178.33.84.111', 2988528736, 2988528751, 'FR', 'France'),
(89590, '178.33.84.112', '178.33.84.115', 2988528752, 2988528755, 'CH', 'Switzerland'),
(89591, '178.33.84.116', '178.33.84.119', 2988528756, 2988528759, 'PL', 'Poland'),
(89592, '178.33.84.120', '178.33.84.127', 2988528760, 2988528767, 'GB', 'United Kingdom'),
(89593, '178.33.84.128', '178.33.84.131', 2988528768, 2988528771, 'DE', 'Germany'),
(89594, '178.33.84.132', '178.33.84.143', 2988528772, 2988528783, 'FR', 'France'),
(89595, '178.33.84.144', '178.33.84.147', 2988528784, 2988528787, 'ES', 'Spain'),
(89596, '178.33.84.148', '178.33.84.151', 2988528788, 2988528791, 'FR', 'France'),
(89597, '178.33.84.152', '178.33.84.155', 2988528792, 2988528795, 'PL', 'Poland'),
(89598, '178.33.84.156', '178.33.84.159', 2988528796, 2988528799, 'GB', 'United Kingdom'),
(89599, '178.33.84.160', '178.33.84.223', 2988528800, 2988528863, 'FR', 'France'),
(89600, '178.33.84.224', '178.33.84.227', 2988528864, 2988528867, 'DE', 'Germany'),
(89601, '178.33.84.228', '178.33.84.231', 2988528868, 2988528871, 'FR', 'France'),
(89602, '178.33.84.232', '178.33.84.239', 2988528872, 2988528879, 'GB', 'United Kingdom'),
(89603, '178.33.84.240', '178.33.84.255', 2988528880, 2988528895, 'ES', 'Spain'),
(89604, '178.33.85.0', '178.33.85.15', 2988528896, 2988528911, 'FR', 'France'),
(89605, '178.33.85.16', '178.33.85.23', 2988528912, 2988528919, 'PL', 'Poland'),
(89606, '178.33.85.24', '178.33.85.27', 2988528920, 2988528923, 'CH', 'Switzerland'),
(89607, '178.33.85.28', '178.33.85.31', 2988528924, 2988528927, 'GB', 'United Kingdom'),
(89608, '178.33.85.32', '178.33.85.79', 2988528928, 2988528975, 'FR', 'France'),
(89609, '178.33.85.80', '178.33.85.95', 2988528976, 2988528991, 'PL', 'Poland'),
(89610, '178.33.85.96', '178.33.85.99', 2988528992, 2988528995, 'FI', 'Finland'),
(89611, '178.33.85.100', '178.33.85.103', 2988528996, 2988528999, 'BE', 'Belgium'),
(89612, '178.33.85.104', '178.33.85.107', 2988529000, 2988529003, 'GB', 'United Kingdom'),
(89613, '178.33.85.108', '178.33.85.111', 2988529004, 2988529007, 'FR', 'France'),
(89614, '178.33.85.112', '178.33.85.127', 2988529008, 2988529023, 'IE', 'Ireland'),
(89615, '178.33.85.128', '178.33.85.135', 2988529024, 2988529031, 'PL', 'Poland'),
(89616, '178.33.85.136', '178.33.85.151', 2988529032, 2988529047, 'FR', 'France'),
(89617, '178.33.85.152', '178.33.85.155', 2988529048, 2988529051, 'PL', 'Poland'),
(89618, '178.33.85.156', '178.33.85.159', 2988529052, 2988529055, 'PT', 'Portugal'),
(89619, '178.33.85.160', '178.33.85.223', 2988529056, 2988529119, 'FR', 'France'),
(89620, '178.33.85.224', '178.33.85.255', 2988529120, 2988529151, 'NL', 'Netherlands'),
(89621, '178.33.86.0', '178.33.86.7', 2988529152, 2988529159, 'IT', 'Italy'),
(89622, '178.33.86.8', '178.33.86.11', 2988529160, 2988529163, 'PL', 'Poland'),
(89623, '178.33.86.12', '178.33.86.15', 2988529164, 2988529167, 'DE', 'Germany'),
(89624, '178.33.86.16', '178.33.86.19', 2988529168, 2988529171, 'IE', 'Ireland'),
(89625, '178.33.86.20', '178.33.86.23', 2988529172, 2988529175, 'PT', 'Portugal'),
(89626, '178.33.86.24', '178.33.86.27', 2988529176, 2988529179, 'ES', 'Spain'),
(89627, '178.33.86.28', '178.33.86.47', 2988529180, 2988529199, 'FR', 'France'),
(89628, '178.33.86.48', '178.33.86.55', 2988529200, 2988529207, 'PL', 'Poland'),
(89629, '178.33.86.56', '178.33.86.95', 2988529208, 2988529247, 'FR', 'France'),
(89630, '178.33.86.96', '178.33.86.99', 2988529248, 2988529251, 'GB', 'United Kingdom'),
(89631, '178.33.86.100', '178.33.86.111', 2988529252, 2988529263, 'PL', 'Poland'),
(89632, '178.33.86.112', '178.33.86.115', 2988529264, 2988529267, 'BE', 'Belgium'),
(89633, '178.33.86.116', '178.33.86.119', 2988529268, 2988529271, 'PL', 'Poland'),
(89634, '178.33.86.120', '178.33.86.123', 2988529272, 2988529275, 'IT', 'Italy'),
(89635, '178.33.86.124', '178.33.86.127', 2988529276, 2988529279, 'ES', 'Spain'),
(89636, '178.33.86.128', '178.33.86.143', 2988529280, 2988529295, 'LT', 'Lithuania'),
(89637, '178.33.86.144', '178.33.86.159', 2988529296, 2988529311, 'IT', 'Italy'),
(89638, '178.33.86.160', '178.33.86.163', 2988529312, 2988529315, 'PL', 'Poland'),
(89639, '178.33.86.164', '178.33.86.167', 2988529316, 2988529319, 'FR', 'France'),
(89640, '178.33.86.168', '178.33.86.171', 2988529320, 2988529323, 'ES', 'Spain'),
(89641, '178.33.86.172', '178.33.86.179', 2988529324, 2988529331, 'DE', 'Germany'),
(89642, '178.33.86.180', '178.33.86.187', 2988529332, 2988529339, 'GB', 'United Kingdom'),
(89643, '178.33.86.188', '178.33.86.191', 2988529340, 2988529343, 'DE', 'Germany'),
(89644, '178.33.86.192', '178.33.86.199', 2988529344, 2988529351, 'PL', 'Poland'),
(89645, '178.33.86.200', '178.33.86.207', 2988529352, 2988529359, 'GB', 'United Kingdom'),
(89646, '178.33.86.208', '178.33.86.223', 2988529360, 2988529375, 'IT', 'Italy'),
(89647, '178.33.86.224', '178.33.86.231', 2988529376, 2988529383, 'GB', 'United Kingdom'),
(89648, '178.33.86.232', '178.33.86.235', 2988529384, 2988529387, 'DE', 'Germany'),
(89649, '178.33.86.236', '178.33.86.239', 2988529388, 2988529391, 'FR', 'France'),
(89650, '178.33.86.240', '178.33.86.255', 2988529392, 2988529407, 'PL', 'Poland'),
(89651, '178.33.87.0', '178.33.87.3', 2988529408, 2988529411, 'IT', 'Italy'),
(89652, '178.33.87.4', '178.33.87.7', 2988529412, 2988529415, 'NL', 'Netherlands'),
(89653, '178.33.87.8', '178.33.87.11', 2988529416, 2988529419, 'PT', 'Portugal'),
(89654, '178.33.87.12', '178.33.87.15', 2988529420, 2988529423, 'CH', 'Switzerland'),
(89655, '178.33.87.16', '178.33.87.23', 2988529424, 2988529431, 'DE', 'Germany'),
(89656, '178.33.87.24', '178.33.87.31', 2988529432, 2988529439, 'GB', 'United Kingdom'),
(89657, '178.33.87.32', '178.33.87.47', 2988529440, 2988529455, 'PL', 'Poland'),
(89658, '178.33.87.48', '178.33.87.127', 2988529456, 2988529535, 'FR', 'France'),
(89659, '178.33.87.128', '178.33.87.159', 2988529536, 2988529567, 'FI', 'Finland'),
(89660, '178.33.87.160', '178.33.87.175', 2988529568, 2988529583, 'FR', 'France'),
(89661, '178.33.87.176', '178.33.87.183', 2988529584, 2988529591, 'ES', 'Spain'),
(89662, '178.33.87.184', '178.33.87.187', 2988529592, 2988529595, 'FR', 'France'),
(89663, '178.33.87.188', '178.33.87.191', 2988529596, 2988529599, 'GB', 'United Kingdom'),
(89664, '178.33.87.192', '178.33.87.199', 2988529600, 2988529607, 'IT', 'Italy'),
(89665, '178.33.87.200', '178.33.87.223', 2988529608, 2988529631, 'FR', 'France'),
(89666, '178.33.87.224', '178.33.87.239', 2988529632, 2988529647, 'LT', 'Lithuania'),
(89667, '178.33.87.240', '178.33.88.39', 2988529648, 2988529703, 'FR', 'France'),
(89668, '178.33.88.40', '178.33.88.43', 2988529704, 2988529707, 'DE', 'Germany'),
(89669, '178.33.88.44', '178.33.88.95', 2988529708, 2988529759, 'FR', 'France'),
(89670, '178.33.88.96', '178.33.88.103', 2988529760, 2988529767, 'PL', 'Poland'),
(89671, '178.33.88.104', '178.33.88.107', 2988529768, 2988529771, 'FR', 'France'),
(89672, '178.33.88.108', '178.33.88.111', 2988529772, 2988529775, 'DE', 'Germany'),
(89673, '178.33.88.112', '178.33.88.119', 2988529776, 2988529783, 'ES', 'Spain'),
(89674, '178.33.88.120', '178.33.88.123', 2988529784, 2988529787, 'FR', 'France'),
(89675, '178.33.88.124', '178.33.88.127', 2988529788, 2988529791, 'PL', 'Poland'),
(89676, '178.33.88.128', '178.33.88.135', 2988529792, 2988529799, 'ES', 'Spain'),
(89677, '178.33.88.136', '178.33.88.143', 2988529800, 2988529807, 'DE', 'Germany'),
(89678, '178.33.88.144', '178.33.88.159', 2988529808, 2988529823, 'FR', 'France'),
(89679, '178.33.88.160', '178.33.88.191', 2988529824, 2988529855, 'ES', 'Spain'),
(89680, '178.33.88.192', '178.33.88.223', 2988529856, 2988529887, 'FR', 'France'),
(89681, '178.33.88.224', '178.33.88.227', 2988529888, 2988529891, 'DE', 'Germany'),
(89682, '178.33.88.228', '178.33.88.231', 2988529892, 2988529895, 'PL', 'Poland'),
(89683, '178.33.88.232', '178.33.88.235', 2988529896, 2988529899, 'FR', 'France'),
(89684, '178.33.88.236', '178.33.88.239', 2988529900, 2988529903, 'PT', 'Portugal'),
(89685, '178.33.88.240', '178.33.88.243', 2988529904, 2988529907, 'IT', 'Italy'),
(89686, '178.33.88.244', '178.33.88.247', 2988529908, 2988529911, 'PT', 'Portugal'),
(89687, '178.33.88.248', '178.33.89.15', 2988529912, 2988529935, 'GB', 'United Kingdom'),
(89688, '178.33.89.16', '178.33.89.19', 2988529936, 2988529939, 'CH', 'Switzerland'),
(89689, '178.33.89.20', '178.33.89.23', 2988529940, 2988529943, 'GB', 'United Kingdom'),
(89690, '178.33.89.24', '178.33.89.27', 2988529944, 2988529947, 'ES', 'Spain'),
(89691, '178.33.89.28', '178.33.89.31', 2988529948, 2988529951, 'PT', 'Portugal'),
(89692, '178.33.89.32', '178.33.89.35', 2988529952, 2988529955, 'GB', 'United Kingdom'),
(89693, '178.33.89.36', '178.33.89.39', 2988529956, 2988529959, 'PL', 'Poland'),
(89694, '178.33.89.40', '178.33.89.47', 2988529960, 2988529967, 'GB', 'United Kingdom'),
(89695, '178.33.89.48', '178.33.89.63', 2988529968, 2988529983, 'NL', 'Netherlands'),
(89696, '178.33.89.64', '178.33.89.79', 2988529984, 2988529999, 'GB', 'United Kingdom'),
(89697, '178.33.89.80', '178.33.89.83', 2988530000, 2988530003, 'FR', 'France'),
(89698, '178.33.89.84', '178.33.89.87', 2988530004, 2988530007, 'GB', 'United Kingdom'),
(89699, '178.33.89.88', '178.33.89.111', 2988530008, 2988530031, 'FR', 'France'),
(89700, '178.33.89.112', '178.33.89.115', 2988530032, 2988530035, 'CH', 'Switzerland'),
(89701, '178.33.89.116', '178.33.89.123', 2988530036, 2988530043, 'DE', 'Germany'),
(89702, '178.33.89.124', '178.33.89.127', 2988530044, 2988530047, 'FR', 'France'),
(89703, '178.33.89.128', '178.33.89.143', 2988530048, 2988530063, 'GB', 'United Kingdom'),
(89704, '178.33.89.144', '178.33.89.159', 2988530064, 2988530079, 'IE', 'Ireland'),
(89705, '178.33.89.160', '178.33.89.175', 2988530080, 2988530095, 'FR', 'France'),
(89706, '178.33.89.176', '178.33.89.179', 2988530096, 2988530099, 'PL', 'Poland'),
(89707, '178.33.89.180', '178.33.90.15', 2988530100, 2988530191, 'FR', 'France'),
(89708, '178.33.90.16', '178.33.90.31', 2988530192, 2988530207, 'NL', 'Netherlands'),
(89709, '178.33.90.32', '178.33.90.63', 2988530208, 2988530239, 'PL', 'Poland'),
(89710, '178.33.90.64', '178.33.90.95', 2988530240, 2988530271, 'FR', 'France'),
(89711, '178.33.90.96', '178.33.90.127', 2988530272, 2988530303, 'IE', 'Ireland'),
(89712, '178.33.90.128', '178.33.90.131', 2988530304, 2988530307, 'DE', 'Germany'),
(89713, '178.33.90.132', '178.33.90.135', 2988530308, 2988530311, 'PL', 'Poland'),
(89714, '178.33.90.136', '178.33.90.147', 2988530312, 2988530323, 'FR', 'France'),
(89715, '178.33.90.148', '178.33.90.151', 2988530324, 2988530327, 'GB', 'United Kingdom'),
(89716, '178.33.90.152', '178.33.90.191', 2988530328, 2988530367, 'FR', 'France'),
(89717, '178.33.90.192', '178.33.90.195', 2988530368, 2988530371, 'ES', 'Spain'),
(89718, '178.33.90.196', '178.33.90.203', 2988530372, 2988530379, 'FR', 'France'),
(89719, '178.33.90.204', '178.33.90.207', 2988530380, 2988530383, 'CH', 'Switzerland'),
(89720, '178.33.90.208', '178.33.90.215', 2988530384, 2988530391, 'FR', 'France'),
(89721, '178.33.90.216', '178.33.90.219', 2988530392, 2988530395, 'PT', 'Portugal'),
(89722, '178.33.90.220', '178.33.90.223', 2988530396, 2988530399, 'GB', 'United Kingdom'),
(89723, '178.33.90.224', '178.33.90.227', 2988530400, 2988530403, 'ES', 'Spain'),
(89724, '178.33.90.228', '178.33.90.231', 2988530404, 2988530407, 'PL', 'Poland'),
(89725, '178.33.90.232', '178.33.90.235', 2988530408, 2988530411, 'LT', 'Lithuania'),
(89726, '178.33.90.236', '178.33.90.239', 2988530412, 2988530415, 'CZ', 'Czech Republic'),
(89727, '178.33.90.240', '178.33.90.247', 2988530416, 2988530423, 'PL', 'Poland'),
(89728, '178.33.90.248', '178.33.90.255', 2988530424, 2988530431, 'ES', 'Spain'),
(89729, '178.33.91.0', '178.33.91.255', 2988530432, 2988530687, 'DE', 'Germany'),
(89730, '178.33.92.0', '178.33.92.7', 2988530688, 2988530695, 'IT', 'Italy'),
(89731, '178.33.92.8', '178.33.92.15', 2988530696, 2988530703, 'PL', 'Poland'),
(89732, '178.33.92.16', '178.33.92.47', 2988530704, 2988530735, 'FR', 'France'),
(89733, '178.33.92.48', '178.33.92.51', 2988530736, 2988530739, 'IE', 'Ireland'),
(89734, '178.33.92.52', '178.33.92.55', 2988530740, 2988530743, 'NL', 'Netherlands'),
(89735, '178.33.92.56', '178.33.92.63', 2988530744, 2988530751, 'PL', 'Poland'),
(89736, '178.33.92.64', '178.33.92.159', 2988530752, 2988530847, 'FR', 'France'),
(89737, '178.33.92.160', '178.33.92.163', 2988530848, 2988530851, 'DE', 'Germany'),
(89738, '178.33.92.164', '178.33.92.167', 2988530852, 2988530855, 'ES', 'Spain'),
(89739, '178.33.92.168', '178.33.92.175', 2988530856, 2988530863, 'PT', 'Portugal'),
(89740, '178.33.92.176', '178.33.92.179', 2988530864, 2988530867, 'PL', 'Poland'),
(89741, '178.33.92.180', '178.33.92.183', 2988530868, 2988530871, 'FR', 'France'),
(89742, '178.33.92.184', '178.33.92.191', 2988530872, 2988530879, 'IT', 'Italy'),
(89743, '178.33.92.192', '178.33.92.199', 2988530880, 2988530887, 'PL', 'Poland'),
(89744, '178.33.92.200', '178.33.92.207', 2988530888, 2988530895, 'DE', 'Germany'),
(89745, '178.33.92.208', '178.33.92.239', 2988530896, 2988530927, 'FR', 'France'),
(89746, '178.33.92.240', '178.33.92.255', 2988530928, 2988530943, 'FI', 'Finland'),
(89747, '178.33.93.0', '178.33.93.31', 2988530944, 2988530975, 'FR', 'France'),
(89748, '178.33.93.32', '178.33.93.63', 2988530976, 2988531007, 'PL', 'Poland'),
(89749, '178.33.93.64', '178.33.93.71', 2988531008, 2988531015, 'DE', 'Germany'),
(89750, '178.33.93.72', '178.33.93.75', 2988531016, 2988531019, 'NL', 'Netherlands'),
(89751, '178.33.93.76', '178.33.93.79', 2988531020, 2988531023, 'IE', 'Ireland'),
(89752, '178.33.93.80', '178.33.93.83', 2988531024, 2988531027, 'ES', 'Spain'),
(89753, '178.33.93.84', '178.33.93.87', 2988531028, 2988531031, 'FR', 'France'),
(89754, '178.33.93.88', '178.33.93.91', 2988531032, 2988531035, 'PL', 'Poland'),
(89755, '178.33.93.92', '178.33.93.95', 2988531036, 2988531039, 'DE', 'Germany'),
(89756, '178.33.93.96', '178.33.93.103', 2988531040, 2988531047, 'FR', 'France'),
(89757, '178.33.93.104', '178.33.93.107', 2988531048, 2988531051, 'GB', 'United Kingdom'),
(89758, '178.33.93.108', '178.33.93.111', 2988531052, 2988531055, 'PL', 'Poland'),
(89759, '178.33.93.112', '178.33.93.131', 2988531056, 2988531075, 'FR', 'France'),
(89760, '178.33.93.132', '178.33.93.135', 2988531076, 2988531079, 'GB', 'United Kingdom'),
(89761, '178.33.93.136', '178.33.93.139', 2988531080, 2988531083, 'FR', 'France'),
(89762, '178.33.93.140', '178.33.93.143', 2988531084, 2988531087, 'PL', 'Poland'),
(89763, '178.33.93.144', '178.33.93.159', 2988531088, 2988531103, 'FR', 'France'),
(89764, '178.33.93.160', '178.33.93.163', 2988531104, 2988531107, 'DE', 'Germany'),
(89765, '178.33.93.164', '178.33.93.207', 2988531108, 2988531151, 'FR', 'France'),
(89766, '178.33.93.208', '178.33.93.227', 2988531152, 2988531171, 'PL', 'Poland'),
(89767, '178.33.93.228', '178.33.93.231', 2988531172, 2988531175, 'BE', 'Belgium'),
(89768, '178.33.93.232', '178.33.93.239', 2988531176, 2988531183, 'GB', 'United Kingdom'),
(89769, '178.33.93.240', '178.33.93.243', 2988531184, 2988531187, 'ES', 'Spain'),
(89770, '178.33.93.244', '178.33.93.247', 2988531188, 2988531191, 'IE', 'Ireland'),
(89771, '178.33.93.248', '178.33.93.255', 2988531192, 2988531199, 'FR', 'France'),
(89772, '178.33.94.0', '178.33.94.47', 2988531200, 2988531247, 'ES', 'Spain'),
(89773, '178.33.94.48', '178.33.94.59', 2988531248, 2988531259, 'PL', 'Poland'),
(89774, '178.33.94.60', '178.33.94.71', 2988531260, 2988531271, 'GB', 'United Kingdom'),
(89775, '178.33.94.72', '178.33.94.79', 2988531272, 2988531279, 'ES', 'Spain');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(89776, '178.33.94.80', '178.33.94.87', 2988531280, 2988531287, 'PT', 'Portugal'),
(89777, '178.33.94.88', '178.33.94.91', 2988531288, 2988531291, 'FR', 'France'),
(89778, '178.33.94.92', '178.33.94.95', 2988531292, 2988531295, 'PL', 'Poland'),
(89779, '178.33.94.96', '178.33.94.111', 2988531296, 2988531311, 'IE', 'Ireland'),
(89780, '178.33.94.112', '178.33.94.119', 2988531312, 2988531319, 'GB', 'United Kingdom'),
(89781, '178.33.94.120', '178.33.94.123', 2988531320, 2988531323, 'PT', 'Portugal'),
(89782, '178.33.94.124', '178.33.94.127', 2988531324, 2988531327, 'GB', 'United Kingdom'),
(89783, '178.33.94.128', '178.33.94.143', 2988531328, 2988531343, 'IE', 'Ireland'),
(89784, '178.33.94.144', '178.33.94.151', 2988531344, 2988531351, 'CH', 'Switzerland'),
(89785, '178.33.94.152', '178.33.94.159', 2988531352, 2988531359, 'PL', 'Poland'),
(89786, '178.33.94.160', '178.33.94.191', 2988531360, 2988531391, 'FR', 'France'),
(89787, '178.33.94.192', '178.33.94.199', 2988531392, 2988531399, 'PL', 'Poland'),
(89788, '178.33.94.200', '178.33.94.203', 2988531400, 2988531403, 'DE', 'Germany'),
(89789, '178.33.94.204', '178.33.94.227', 2988531404, 2988531427, 'PL', 'Poland'),
(89790, '178.33.94.228', '178.33.94.251', 2988531428, 2988531451, 'FR', 'France'),
(89791, '178.33.94.252', '178.33.94.255', 2988531452, 2988531455, 'GB', 'United Kingdom'),
(89792, '178.33.95.0', '178.33.111.255', 2988531456, 2988535807, 'FR', 'France'),
(89793, '178.33.112.0', '178.33.119.255', 2988535808, 2988537855, 'ES', 'Spain'),
(89794, '178.33.120.0', '178.33.128.31', 2988537856, 2988539935, 'FR', 'France'),
(89795, '178.33.128.32', '178.33.128.63', 2988539936, 2988539967, 'GB', 'United Kingdom'),
(89796, '178.33.128.64', '178.33.128.67', 2988539968, 2988539971, 'ES', 'Spain'),
(89797, '178.33.128.68', '178.33.128.71', 2988539972, 2988539975, 'IT', 'Italy'),
(89798, '178.33.128.72', '178.33.128.79', 2988539976, 2988539983, 'FR', 'France'),
(89799, '178.33.128.80', '178.33.128.99', 2988539984, 2988540003, 'PL', 'Poland'),
(89800, '178.33.128.100', '178.33.128.103', 2988540004, 2988540007, 'CZ', 'Czech Republic'),
(89801, '178.33.128.104', '178.33.128.107', 2988540008, 2988540011, 'ES', 'Spain'),
(89802, '178.33.128.108', '178.33.128.111', 2988540012, 2988540015, 'DE', 'Germany'),
(89803, '178.33.128.112', '178.33.128.115', 2988540016, 2988540019, 'FR', 'France'),
(89804, '178.33.128.116', '178.33.128.119', 2988540020, 2988540023, 'GB', 'United Kingdom'),
(89805, '178.33.128.120', '178.33.128.123', 2988540024, 2988540027, 'PL', 'Poland'),
(89806, '178.33.128.124', '178.33.128.127', 2988540028, 2988540031, 'ES', 'Spain'),
(89807, '178.33.128.128', '178.33.129.47', 2988540032, 2988540207, 'FR', 'France'),
(89808, '178.33.129.48', '178.33.129.51', 2988540208, 2988540211, 'GB', 'United Kingdom'),
(89809, '178.33.129.52', '178.33.129.55', 2988540212, 2988540215, 'DE', 'Germany'),
(89810, '178.33.129.56', '178.33.129.59', 2988540216, 2988540219, 'FR', 'France'),
(89811, '178.33.129.60', '178.33.129.63', 2988540220, 2988540223, 'GB', 'United Kingdom'),
(89812, '178.33.129.64', '178.33.129.71', 2988540224, 2988540231, 'NL', 'Netherlands'),
(89813, '178.33.129.72', '178.33.129.75', 2988540232, 2988540235, 'GB', 'United Kingdom'),
(89814, '178.33.129.76', '178.33.129.79', 2988540236, 2988540239, 'ES', 'Spain'),
(89815, '178.33.129.80', '178.33.129.83', 2988540240, 2988540243, 'PL', 'Poland'),
(89816, '178.33.129.84', '178.33.129.87', 2988540244, 2988540247, 'IT', 'Italy'),
(89817, '178.33.129.88', '178.33.129.91', 2988540248, 2988540251, 'GB', 'United Kingdom'),
(89818, '178.33.129.92', '178.33.129.95', 2988540252, 2988540255, 'FR', 'France'),
(89819, '178.33.129.96', '178.33.129.111', 2988540256, 2988540271, 'PL', 'Poland'),
(89820, '178.33.129.112', '178.33.129.115', 2988540272, 2988540275, 'DE', 'Germany'),
(89821, '178.33.129.116', '178.33.129.119', 2988540276, 2988540279, 'PL', 'Poland'),
(89822, '178.33.129.120', '178.33.129.127', 2988540280, 2988540287, 'FR', 'France'),
(89823, '178.33.129.128', '178.33.129.143', 2988540288, 2988540303, 'BE', 'Belgium'),
(89824, '178.33.129.144', '178.33.129.203', 2988540304, 2988540363, 'FR', 'France'),
(89825, '178.33.129.204', '178.33.129.207', 2988540364, 2988540367, 'PL', 'Poland'),
(89826, '178.33.129.208', '178.33.129.215', 2988540368, 2988540375, 'FR', 'France'),
(89827, '178.33.129.216', '178.33.129.219', 2988540376, 2988540379, 'GB', 'United Kingdom'),
(89828, '178.33.129.220', '178.33.129.255', 2988540380, 2988540415, 'FR', 'France'),
(89829, '178.33.130.0', '178.33.130.3', 2988540416, 2988540419, 'CZ', 'Czech Republic'),
(89830, '178.33.130.4', '178.33.130.11', 2988540420, 2988540427, 'GB', 'United Kingdom'),
(89831, '178.33.130.12', '178.33.130.15', 2988540428, 2988540431, 'NL', 'Netherlands'),
(89832, '178.33.130.16', '178.33.130.19', 2988540432, 2988540435, 'FR', 'France'),
(89833, '178.33.130.20', '178.33.130.23', 2988540436, 2988540439, 'DE', 'Germany'),
(89834, '178.33.130.24', '178.33.130.31', 2988540440, 2988540447, 'PL', 'Poland'),
(89835, '178.33.130.32', '178.33.130.35', 2988540448, 2988540451, 'IT', 'Italy'),
(89836, '178.33.130.36', '178.33.130.39', 2988540452, 2988540455, 'FR', 'France'),
(89837, '178.33.130.40', '178.33.130.43', 2988540456, 2988540459, 'DE', 'Germany'),
(89838, '178.33.130.44', '178.33.130.47', 2988540460, 2988540463, 'ES', 'Spain'),
(89839, '178.33.130.48', '178.33.130.55', 2988540464, 2988540471, 'PL', 'Poland'),
(89840, '178.33.130.56', '178.33.130.63', 2988540472, 2988540479, 'ES', 'Spain'),
(89841, '178.33.130.64', '178.33.130.67', 2988540480, 2988540483, 'FR', 'France'),
(89842, '178.33.130.68', '178.33.130.71', 2988540484, 2988540487, 'DE', 'Germany'),
(89843, '178.33.130.72', '178.33.130.75', 2988540488, 2988540491, 'ES', 'Spain'),
(89844, '178.33.130.76', '178.33.130.83', 2988540492, 2988540499, 'FR', 'France'),
(89845, '178.33.130.84', '178.33.130.87', 2988540500, 2988540503, 'CZ', 'Czech Republic'),
(89846, '178.33.130.88', '178.33.130.91', 2988540504, 2988540507, 'DE', 'Germany'),
(89847, '178.33.130.92', '178.33.130.95', 2988540508, 2988540511, 'ES', 'Spain'),
(89848, '178.33.130.96', '178.33.130.127', 2988540512, 2988540543, 'FR', 'France'),
(89849, '178.33.130.128', '178.33.130.191', 2988540544, 2988540607, 'PL', 'Poland'),
(89850, '178.33.130.192', '178.33.130.207', 2988540608, 2988540623, 'BE', 'Belgium'),
(89851, '178.33.130.208', '178.33.130.215', 2988540624, 2988540631, 'GB', 'United Kingdom'),
(89852, '178.33.130.216', '178.33.130.219', 2988540632, 2988540635, 'DE', 'Germany'),
(89853, '178.33.130.220', '178.33.130.223', 2988540636, 2988540639, 'PT', 'Portugal'),
(89854, '178.33.130.224', '178.33.130.231', 2988540640, 2988540647, 'PL', 'Poland'),
(89855, '178.33.130.232', '178.33.130.235', 2988540648, 2988540651, 'FR', 'France'),
(89856, '178.33.130.236', '178.33.130.251', 2988540652, 2988540667, 'PL', 'Poland'),
(89857, '178.33.130.252', '178.33.130.255', 2988540668, 2988540671, 'IT', 'Italy'),
(89858, '178.33.131.0', '178.33.131.11', 2988540672, 2988540683, 'PL', 'Poland'),
(89859, '178.33.131.12', '178.33.131.35', 2988540684, 2988540707, 'FR', 'France'),
(89860, '178.33.131.36', '178.33.131.39', 2988540708, 2988540711, 'DE', 'Germany'),
(89861, '178.33.131.40', '178.33.131.43', 2988540712, 2988540715, 'FR', 'France'),
(89862, '178.33.131.44', '178.33.131.47', 2988540716, 2988540719, 'PL', 'Poland'),
(89863, '178.33.131.48', '178.33.131.63', 2988540720, 2988540735, 'DE', 'Germany'),
(89864, '178.33.131.64', '178.33.131.79', 2988540736, 2988540751, 'ES', 'Spain'),
(89865, '178.33.131.80', '178.33.131.87', 2988540752, 2988540759, 'PL', 'Poland'),
(89866, '178.33.131.88', '178.33.131.91', 2988540760, 2988540763, 'ES', 'Spain'),
(89867, '178.33.131.92', '178.33.131.95', 2988540764, 2988540767, 'DE', 'Germany'),
(89868, '178.33.131.96', '178.33.131.103', 2988540768, 2988540775, 'PL', 'Poland'),
(89869, '178.33.131.104', '178.33.131.111', 2988540776, 2988540783, 'BE', 'Belgium'),
(89870, '178.33.131.112', '178.33.131.115', 2988540784, 2988540787, 'ES', 'Spain'),
(89871, '178.33.131.116', '178.33.131.123', 2988540788, 2988540795, 'FR', 'France'),
(89872, '178.33.131.124', '178.33.131.127', 2988540796, 2988540799, 'GB', 'United Kingdom'),
(89873, '178.33.131.128', '178.33.131.159', 2988540800, 2988540831, 'FR', 'France'),
(89874, '178.33.131.160', '178.33.131.167', 2988540832, 2988540839, 'PL', 'Poland'),
(89875, '178.33.131.168', '178.33.131.175', 2988540840, 2988540847, 'GB', 'United Kingdom'),
(89876, '178.33.131.176', '178.33.131.179', 2988540848, 2988540851, 'FR', 'France'),
(89877, '178.33.131.180', '178.33.131.183', 2988540852, 2988540855, 'GB', 'United Kingdom'),
(89878, '178.33.131.184', '178.33.131.191', 2988540856, 2988540863, 'IT', 'Italy'),
(89879, '178.33.131.192', '178.33.132.3', 2988540864, 2988540931, 'FR', 'France'),
(89880, '178.33.132.4', '178.33.132.7', 2988540932, 2988540935, 'DE', 'Germany'),
(89881, '178.33.132.8', '178.33.132.15', 2988540936, 2988540943, 'FR', 'France'),
(89882, '178.33.132.16', '178.33.132.31', 2988540944, 2988540959, 'ES', 'Spain'),
(89883, '178.33.132.32', '178.33.132.47', 2988540960, 2988540975, 'FR', 'France'),
(89884, '178.33.132.48', '178.33.132.63', 2988540976, 2988540991, 'GB', 'United Kingdom'),
(89885, '178.33.132.64', '178.33.132.127', 2988540992, 2988541055, 'ES', 'Spain'),
(89886, '178.33.132.128', '178.33.132.159', 2988541056, 2988541087, 'FR', 'France'),
(89887, '178.33.132.160', '178.33.132.175', 2988541088, 2988541103, 'BE', 'Belgium'),
(89888, '178.33.132.176', '178.33.132.183', 2988541104, 2988541111, 'ES', 'Spain'),
(89889, '178.33.132.184', '178.33.132.191', 2988541112, 2988541119, 'DE', 'Germany'),
(89890, '178.33.132.192', '178.33.132.203', 2988541120, 2988541131, 'FR', 'France'),
(89891, '178.33.132.204', '178.33.132.207', 2988541132, 2988541135, 'DE', 'Germany'),
(89892, '178.33.132.208', '178.33.132.215', 2988541136, 2988541143, 'GB', 'United Kingdom'),
(89893, '178.33.132.216', '178.33.133.31', 2988541144, 2988541215, 'FR', 'France'),
(89894, '178.33.133.32', '178.33.133.47', 2988541216, 2988541231, 'FI', 'Finland'),
(89895, '178.33.133.48', '178.33.133.59', 2988541232, 2988541243, 'FR', 'France'),
(89896, '178.33.133.60', '178.33.133.63', 2988541244, 2988541247, 'GB', 'United Kingdom'),
(89897, '178.33.133.64', '178.33.133.79', 2988541248, 2988541263, 'FR', 'France'),
(89898, '178.33.133.80', '178.33.133.95', 2988541264, 2988541279, 'IT', 'Italy'),
(89899, '178.33.133.96', '178.33.133.127', 2988541280, 2988541311, 'NL', 'Netherlands'),
(89900, '178.33.133.128', '178.33.133.131', 2988541312, 2988541315, 'ES', 'Spain'),
(89901, '178.33.133.132', '178.33.133.135', 2988541316, 2988541319, 'CH', 'Switzerland'),
(89902, '178.33.133.136', '178.33.133.143', 2988541320, 2988541327, 'FR', 'France'),
(89903, '178.33.133.144', '178.33.133.151', 2988541328, 2988541335, 'PL', 'Poland'),
(89904, '178.33.133.152', '178.33.133.159', 2988541336, 2988541343, 'FR', 'France'),
(89905, '178.33.133.160', '178.33.133.163', 2988541344, 2988541347, 'GB', 'United Kingdom'),
(89906, '178.33.133.164', '178.33.133.167', 2988541348, 2988541351, 'IT', 'Italy'),
(89907, '178.33.133.168', '178.33.133.171', 2988541352, 2988541355, 'IE', 'Ireland'),
(89908, '178.33.133.172', '178.33.133.175', 2988541356, 2988541359, 'GB', 'United Kingdom'),
(89909, '178.33.133.176', '178.33.133.183', 2988541360, 2988541367, 'ES', 'Spain'),
(89910, '178.33.133.184', '178.33.133.187', 2988541368, 2988541371, 'PL', 'Poland'),
(89911, '178.33.133.188', '178.33.133.191', 2988541372, 2988541375, 'GB', 'United Kingdom'),
(89912, '178.33.133.192', '178.33.133.207', 2988541376, 2988541391, 'BE', 'Belgium'),
(89913, '178.33.133.208', '178.33.133.223', 2988541392, 2988541407, 'FR', 'France'),
(89914, '178.33.133.224', '178.33.133.239', 2988541408, 2988541423, 'BE', 'Belgium'),
(89915, '178.33.133.240', '178.33.133.255', 2988541424, 2988541439, 'DE', 'Germany'),
(89916, '178.33.134.0', '178.33.134.3', 2988541440, 2988541443, 'IT', 'Italy'),
(89917, '178.33.134.4', '178.33.134.7', 2988541444, 2988541447, 'FR', 'France'),
(89918, '178.33.134.8', '178.33.134.15', 2988541448, 2988541455, 'IE', 'Ireland'),
(89919, '178.33.134.16', '178.33.134.23', 2988541456, 2988541463, 'FR', 'France'),
(89920, '178.33.134.24', '178.33.134.27', 2988541464, 2988541467, 'ES', 'Spain'),
(89921, '178.33.134.28', '178.33.134.63', 2988541468, 2988541503, 'FR', 'France'),
(89922, '178.33.134.64', '178.33.134.79', 2988541504, 2988541519, 'CH', 'Switzerland'),
(89923, '178.33.134.80', '178.33.134.99', 2988541520, 2988541539, 'FR', 'France'),
(89924, '178.33.134.100', '178.33.134.103', 2988541540, 2988541543, 'PT', 'Portugal'),
(89925, '178.33.134.104', '178.33.134.107', 2988541544, 2988541547, 'FR', 'France'),
(89926, '178.33.134.108', '178.33.134.111', 2988541548, 2988541551, 'ES', 'Spain'),
(89927, '178.33.134.112', '178.33.134.127', 2988541552, 2988541567, 'FR', 'France'),
(89928, '178.33.134.128', '178.33.134.147', 2988541568, 2988541587, 'ES', 'Spain'),
(89929, '178.33.134.148', '178.33.134.163', 2988541588, 2988541603, 'FR', 'France'),
(89930, '178.33.134.164', '178.33.134.167', 2988541604, 2988541607, 'NL', 'Netherlands'),
(89931, '178.33.134.168', '178.33.134.171', 2988541608, 2988541611, 'GB', 'United Kingdom'),
(89932, '178.33.134.172', '178.33.134.175', 2988541612, 2988541615, 'IT', 'Italy'),
(89933, '178.33.134.176', '178.33.134.179', 2988541616, 2988541619, 'BE', 'Belgium'),
(89934, '178.33.134.180', '178.33.134.183', 2988541620, 2988541623, 'CH', 'Switzerland'),
(89935, '178.33.134.184', '178.33.134.207', 2988541624, 2988541647, 'FR', 'France'),
(89936, '178.33.134.208', '178.33.134.211', 2988541648, 2988541651, 'IT', 'Italy'),
(89937, '178.33.134.212', '178.33.134.215', 2988541652, 2988541655, 'FR', 'France'),
(89938, '178.33.134.216', '178.33.134.219', 2988541656, 2988541659, 'ES', 'Spain'),
(89939, '178.33.134.220', '178.33.134.223', 2988541660, 2988541663, 'PL', 'Poland'),
(89940, '178.33.134.224', '178.33.134.239', 2988541664, 2988541679, 'FR', 'France'),
(89941, '178.33.134.240', '178.33.134.243', 2988541680, 2988541683, 'BE', 'Belgium'),
(89942, '178.33.134.244', '178.33.134.247', 2988541684, 2988541687, 'DE', 'Germany'),
(89943, '178.33.134.248', '178.33.134.251', 2988541688, 2988541691, 'ES', 'Spain'),
(89944, '178.33.134.252', '178.33.134.255', 2988541692, 2988541695, 'IT', 'Italy'),
(89945, '178.33.135.0', '178.33.135.31', 2988541696, 2988541727, 'PL', 'Poland'),
(89946, '178.33.135.32', '178.33.135.35', 2988541728, 2988541731, 'NL', 'Netherlands'),
(89947, '178.33.135.36', '178.33.135.39', 2988541732, 2988541735, 'FR', 'France'),
(89948, '178.33.135.40', '178.33.135.43', 2988541736, 2988541739, 'GB', 'United Kingdom'),
(89949, '178.33.135.44', '178.33.135.47', 2988541740, 2988541743, 'FR', 'France'),
(89950, '178.33.135.48', '178.33.135.51', 2988541744, 2988541747, 'DE', 'Germany'),
(89951, '178.33.135.52', '178.33.135.55', 2988541748, 2988541751, 'ES', 'Spain'),
(89952, '178.33.135.56', '178.33.135.63', 2988541752, 2988541759, 'PL', 'Poland'),
(89953, '178.33.135.64', '178.33.135.67', 2988541760, 2988541763, 'BE', 'Belgium'),
(89954, '178.33.135.68', '178.33.135.71', 2988541764, 2988541767, 'DE', 'Germany'),
(89955, '178.33.135.72', '178.33.135.79', 2988541768, 2988541775, 'PL', 'Poland'),
(89956, '178.33.135.80', '178.33.135.83', 2988541776, 2988541779, 'CH', 'Switzerland'),
(89957, '178.33.135.84', '178.33.135.87', 2988541780, 2988541783, 'FR', 'France'),
(89958, '178.33.135.88', '178.33.135.91', 2988541784, 2988541787, 'ES', 'Spain'),
(89959, '178.33.135.92', '178.33.135.95', 2988541788, 2988541791, 'FR', 'France'),
(89960, '178.33.135.96', '178.33.135.111', 2988541792, 2988541807, 'ES', 'Spain'),
(89961, '178.33.135.112', '178.33.135.119', 2988541808, 2988541815, 'FR', 'France'),
(89962, '178.33.135.120', '178.33.135.123', 2988541816, 2988541819, 'ES', 'Spain'),
(89963, '178.33.135.124', '178.33.135.127', 2988541820, 2988541823, 'CZ', 'Czech Republic'),
(89964, '178.33.135.128', '178.33.135.159', 2988541824, 2988541855, 'FR', 'France'),
(89965, '178.33.135.160', '178.33.135.171', 2988541856, 2988541867, 'PL', 'Poland'),
(89966, '178.33.135.172', '178.33.135.191', 2988541868, 2988541887, 'FR', 'France'),
(89967, '178.33.135.192', '178.33.135.199', 2988541888, 2988541895, 'DE', 'Germany'),
(89968, '178.33.135.200', '178.33.135.203', 2988541896, 2988541899, 'PL', 'Poland'),
(89969, '178.33.135.204', '178.33.135.207', 2988541900, 2988541903, 'BE', 'Belgium'),
(89970, '178.33.135.208', '178.33.135.211', 2988541904, 2988541907, 'CZ', 'Czech Republic'),
(89971, '178.33.135.212', '178.33.135.215', 2988541908, 2988541911, 'GB', 'United Kingdom'),
(89972, '178.33.135.216', '178.33.135.239', 2988541912, 2988541935, 'PL', 'Poland'),
(89973, '178.33.135.240', '178.33.135.243', 2988541936, 2988541939, 'FR', 'France'),
(89974, '178.33.135.244', '178.33.135.247', 2988541940, 2988541943, 'FI', 'Finland'),
(89975, '178.33.135.248', '178.33.135.251', 2988541944, 2988541947, 'FR', 'France'),
(89976, '178.33.135.252', '178.33.135.255', 2988541948, 2988541951, 'ES', 'Spain'),
(89977, '178.33.136.0', '178.33.136.3', 2988541952, 2988541955, 'GB', 'United Kingdom'),
(89978, '178.33.136.4', '178.33.136.7', 2988541956, 2988541959, 'DE', 'Germany'),
(89979, '178.33.136.8', '178.33.136.11', 2988541960, 2988541963, 'CH', 'Switzerland'),
(89980, '178.33.136.12', '178.33.136.15', 2988541964, 2988541967, 'DE', 'Germany'),
(89981, '178.33.136.16', '178.33.136.47', 2988541968, 2988541999, 'FR', 'France'),
(89982, '178.33.136.48', '178.33.136.51', 2988542000, 2988542003, 'PL', 'Poland'),
(89983, '178.33.136.52', '178.33.136.55', 2988542004, 2988542007, 'DE', 'Germany'),
(89984, '178.33.136.56', '178.33.136.59', 2988542008, 2988542011, 'FI', 'Finland'),
(89985, '178.33.136.60', '178.33.136.63', 2988542012, 2988542015, 'CH', 'Switzerland'),
(89986, '178.33.136.64', '178.33.136.67', 2988542016, 2988542019, 'GB', 'United Kingdom'),
(89987, '178.33.136.68', '178.33.136.71', 2988542020, 2988542023, 'FR', 'France'),
(89988, '178.33.136.72', '178.33.136.75', 2988542024, 2988542027, 'NL', 'Netherlands'),
(89989, '178.33.136.76', '178.33.136.79', 2988542028, 2988542031, 'PL', 'Poland'),
(89990, '178.33.136.80', '178.33.136.95', 2988542032, 2988542047, 'FR', 'France'),
(89991, '178.33.136.96', '178.33.136.103', 2988542048, 2988542055, 'GB', 'United Kingdom'),
(89992, '178.33.136.104', '178.33.136.111', 2988542056, 2988542063, 'FR', 'France'),
(89993, '178.33.136.112', '178.33.136.115', 2988542064, 2988542067, 'GB', 'United Kingdom'),
(89994, '178.33.136.116', '178.33.136.119', 2988542068, 2988542071, 'ES', 'Spain'),
(89995, '178.33.136.120', '178.33.137.47', 2988542072, 2988542255, 'FR', 'France'),
(89996, '178.33.137.48', '178.33.137.63', 2988542256, 2988542271, 'IT', 'Italy'),
(89997, '178.33.137.64', '178.33.137.127', 2988542272, 2988542335, 'ES', 'Spain'),
(89998, '178.33.137.128', '178.33.137.159', 2988542336, 2988542367, 'DE', 'Germany'),
(89999, '178.33.137.160', '178.33.137.191', 2988542368, 2988542399, 'CZ', 'Czech Republic'),
(90000, '178.33.137.192', '178.33.137.195', 2988542400, 2988542403, 'FI', 'Finland'),
(90001, '178.33.137.196', '178.33.137.199', 2988542404, 2988542407, 'PL', 'Poland'),
(90002, '178.33.137.200', '178.33.137.203', 2988542408, 2988542411, 'LT', 'Lithuania'),
(90003, '178.33.137.204', '178.33.137.207', 2988542412, 2988542415, 'PL', 'Poland'),
(90004, '178.33.137.208', '178.33.137.223', 2988542416, 2988542431, 'FR', 'France'),
(90005, '178.33.137.224', '178.33.137.231', 2988542432, 2988542439, 'PL', 'Poland'),
(90006, '178.33.137.232', '178.33.137.235', 2988542440, 2988542443, 'ES', 'Spain'),
(90007, '178.33.137.236', '178.33.137.239', 2988542444, 2988542447, 'FR', 'France'),
(90008, '178.33.137.240', '178.33.137.247', 2988542448, 2988542455, 'PL', 'Poland'),
(90009, '178.33.137.248', '178.33.137.251', 2988542456, 2988542459, 'FR', 'France'),
(90010, '178.33.137.252', '178.33.138.31', 2988542460, 2988542495, 'ES', 'Spain'),
(90011, '178.33.138.32', '178.33.138.63', 2988542496, 2988542527, 'FR', 'France'),
(90012, '178.33.138.64', '178.33.138.71', 2988542528, 2988542535, 'DE', 'Germany'),
(90013, '178.33.138.72', '178.33.138.75', 2988542536, 2988542539, 'NL', 'Netherlands'),
(90014, '178.33.138.76', '178.33.138.79', 2988542540, 2988542543, 'LT', 'Lithuania'),
(90015, '178.33.138.80', '178.33.138.87', 2988542544, 2988542551, 'DE', 'Germany'),
(90016, '178.33.138.88', '178.33.138.95', 2988542552, 2988542559, 'ES', 'Spain'),
(90017, '178.33.138.96', '178.33.138.127', 2988542560, 2988542591, 'FR', 'France'),
(90018, '178.33.138.128', '178.33.138.131', 2988542592, 2988542595, 'PT', 'Portugal'),
(90019, '178.33.138.132', '178.33.138.135', 2988542596, 2988542599, 'FI', 'Finland'),
(90020, '178.33.138.136', '178.33.138.139', 2988542600, 2988542603, 'GB', 'United Kingdom'),
(90021, '178.33.138.140', '178.33.138.147', 2988542604, 2988542611, 'FR', 'France'),
(90022, '178.33.138.148', '178.33.138.163', 2988542612, 2988542627, 'DE', 'Germany'),
(90023, '178.33.138.164', '178.33.138.167', 2988542628, 2988542631, 'FR', 'France'),
(90024, '178.33.138.168', '178.33.138.171', 2988542632, 2988542635, 'CZ', 'Czech Republic'),
(90025, '178.33.138.172', '178.33.138.187', 2988542636, 2988542651, 'FR', 'France'),
(90026, '178.33.138.188', '178.33.138.191', 2988542652, 2988542655, 'PL', 'Poland'),
(90027, '178.33.138.192', '178.33.138.255', 2988542656, 2988542719, 'BE', 'Belgium'),
(90028, '178.33.139.0', '178.33.139.63', 2988542720, 2988542783, 'CH', 'Switzerland'),
(90029, '178.33.139.64', '178.33.139.127', 2988542784, 2988542847, 'CZ', 'Czech Republic'),
(90030, '178.33.139.128', '178.33.139.199', 2988542848, 2988542919, 'DE', 'Germany'),
(90031, '178.33.139.200', '178.33.139.203', 2988542920, 2988542923, 'PL', 'Poland'),
(90032, '178.33.139.204', '178.33.139.215', 2988542924, 2988542935, 'FR', 'France'),
(90033, '178.33.139.216', '178.33.139.219', 2988542936, 2988542939, 'IT', 'Italy'),
(90034, '178.33.139.220', '178.33.139.223', 2988542940, 2988542943, 'PL', 'Poland'),
(90035, '178.33.139.224', '178.33.139.239', 2988542944, 2988542959, 'DE', 'Germany'),
(90036, '178.33.139.240', '178.33.139.243', 2988542960, 2988542963, 'FR', 'France'),
(90037, '178.33.139.244', '178.33.139.247', 2988542964, 2988542967, 'CH', 'Switzerland'),
(90038, '178.33.139.248', '178.33.139.255', 2988542968, 2988542975, 'DE', 'Germany'),
(90039, '178.33.140.0', '178.33.140.7', 2988542976, 2988542983, 'CH', 'Switzerland'),
(90040, '178.33.140.8', '178.33.140.11', 2988542984, 2988542987, 'FR', 'France'),
(90041, '178.33.140.12', '178.33.140.15', 2988542988, 2988542991, 'PL', 'Poland'),
(90042, '178.33.140.16', '178.33.140.31', 2988542992, 2988543007, 'FR', 'France'),
(90043, '178.33.140.32', '178.33.140.35', 2988543008, 2988543011, 'PL', 'Poland'),
(90044, '178.33.140.36', '178.33.140.39', 2988543012, 2988543015, 'LT', 'Lithuania'),
(90045, '178.33.140.40', '178.33.140.63', 2988543016, 2988543039, 'DE', 'Germany'),
(90046, '178.33.140.64', '178.33.140.71', 2988543040, 2988543047, 'GB', 'United Kingdom'),
(90047, '178.33.140.72', '178.33.140.75', 2988543048, 2988543051, 'FR', 'France'),
(90048, '178.33.140.76', '178.33.140.79', 2988543052, 2988543055, 'DE', 'Germany'),
(90049, '178.33.140.80', '178.33.140.91', 2988543056, 2988543067, 'FR', 'France'),
(90050, '178.33.140.92', '178.33.140.95', 2988543068, 2988543071, 'PL', 'Poland'),
(90051, '178.33.140.96', '178.33.140.127', 2988543072, 2988543103, 'FR', 'France'),
(90052, '178.33.140.128', '178.33.140.191', 2988543104, 2988543167, 'GB', 'United Kingdom'),
(90053, '178.33.140.192', '178.33.140.195', 2988543168, 2988543171, 'PL', 'Poland'),
(90054, '178.33.140.196', '178.33.140.199', 2988543172, 2988543175, 'ES', 'Spain'),
(90055, '178.33.140.200', '178.33.140.203', 2988543176, 2988543179, 'GB', 'United Kingdom'),
(90056, '178.33.140.204', '178.33.140.207', 2988543180, 2988543183, 'ES', 'Spain'),
(90057, '178.33.140.208', '178.33.140.215', 2988543184, 2988543191, 'CH', 'Switzerland'),
(90058, '178.33.140.216', '178.33.140.219', 2988543192, 2988543195, 'PL', 'Poland'),
(90059, '178.33.140.220', '178.33.140.227', 2988543196, 2988543203, 'GB', 'United Kingdom'),
(90060, '178.33.140.228', '178.33.140.231', 2988543204, 2988543207, 'FR', 'France'),
(90061, '178.33.140.232', '178.33.140.235', 2988543208, 2988543211, 'PL', 'Poland'),
(90062, '178.33.140.236', '178.33.140.239', 2988543212, 2988543215, 'GB', 'United Kingdom'),
(90063, '178.33.140.240', '178.33.140.255', 2988543216, 2988543231, 'FR', 'France'),
(90064, '178.33.141.0', '178.33.141.3', 2988543232, 2988543235, 'IT', 'Italy'),
(90065, '178.33.141.4', '178.33.141.11', 2988543236, 2988543243, 'FR', 'France'),
(90066, '178.33.141.12', '178.33.141.15', 2988543244, 2988543247, 'IT', 'Italy'),
(90067, '178.33.141.16', '178.33.141.19', 2988543248, 2988543251, 'FR', 'France'),
(90068, '178.33.141.20', '178.33.141.23', 2988543252, 2988543255, 'ES', 'Spain'),
(90069, '178.33.141.24', '178.33.141.31', 2988543256, 2988543263, 'PL', 'Poland'),
(90070, '178.33.141.32', '178.33.141.47', 2988543264, 2988543279, 'ES', 'Spain'),
(90071, '178.33.141.48', '178.33.141.63', 2988543280, 2988543295, 'DE', 'Germany'),
(90072, '178.33.141.64', '178.33.141.67', 2988543296, 2988543299, 'ES', 'Spain'),
(90073, '178.33.141.68', '178.33.141.71', 2988543300, 2988543303, 'FR', 'France'),
(90074, '178.33.141.72', '178.33.141.75', 2988543304, 2988543307, 'ES', 'Spain'),
(90075, '178.33.141.76', '178.33.141.79', 2988543308, 2988543311, 'PL', 'Poland'),
(90076, '178.33.141.80', '178.33.141.83', 2988543312, 2988543315, 'FR', 'France'),
(90077, '178.33.141.84', '178.33.141.87', 2988543316, 2988543319, 'IE', 'Ireland'),
(90078, '178.33.141.88', '178.33.141.91', 2988543320, 2988543323, 'FI', 'Finland'),
(90079, '178.33.141.92', '178.33.141.95', 2988543324, 2988543327, 'PL', 'Poland'),
(90080, '178.33.141.96', '178.33.141.147', 2988543328, 2988543379, 'FR', 'France'),
(90081, '178.33.141.148', '178.33.141.151', 2988543380, 2988543383, 'PL', 'Poland'),
(90082, '178.33.141.152', '178.33.141.167', 2988543384, 2988543399, 'DE', 'Germany'),
(90083, '178.33.141.168', '178.33.141.171', 2988543400, 2988543403, 'GB', 'United Kingdom'),
(90084, '178.33.141.172', '178.33.141.175', 2988543404, 2988543407, 'ES', 'Spain'),
(90085, '178.33.141.176', '178.33.141.179', 2988543408, 2988543411, 'PL', 'Poland'),
(90086, '178.33.141.180', '178.33.141.183', 2988543412, 2988543415, 'FR', 'France'),
(90087, '178.33.141.184', '178.33.141.187', 2988543416, 2988543419, 'ES', 'Spain'),
(90088, '178.33.141.188', '178.33.141.191', 2988543420, 2988543423, 'PL', 'Poland'),
(90089, '178.33.141.192', '178.33.141.199', 2988543424, 2988543431, 'DE', 'Germany'),
(90090, '178.33.141.200', '178.33.141.207', 2988543432, 2988543439, 'GB', 'United Kingdom'),
(90091, '178.33.141.208', '178.33.141.215', 2988543440, 2988543447, 'FR', 'France'),
(90092, '178.33.141.216', '178.33.141.219', 2988543448, 2988543451, 'BE', 'Belgium'),
(90093, '178.33.141.220', '178.33.141.223', 2988543452, 2988543455, 'PL', 'Poland'),
(90094, '178.33.141.224', '178.33.142.11', 2988543456, 2988543499, 'FR', 'France'),
(90095, '178.33.142.12', '178.33.142.15', 2988543500, 2988543503, 'PT', 'Portugal'),
(90096, '178.33.142.16', '178.33.142.39', 2988543504, 2988543527, 'FR', 'France'),
(90097, '178.33.142.40', '178.33.142.47', 2988543528, 2988543535, 'GB', 'United Kingdom'),
(90098, '178.33.142.48', '178.33.142.63', 2988543536, 2988543551, 'FR', 'France'),
(90099, '178.33.142.64', '178.33.142.67', 2988543552, 2988543555, 'CH', 'Switzerland'),
(90100, '178.33.142.68', '178.33.142.71', 2988543556, 2988543559, 'BE', 'Belgium'),
(90101, '178.33.142.72', '178.33.142.75', 2988543560, 2988543563, 'PT', 'Portugal'),
(90102, '178.33.142.76', '178.33.142.79', 2988543564, 2988543567, 'FR', 'France'),
(90103, '178.33.142.80', '178.33.142.91', 2988543568, 2988543579, 'PL', 'Poland'),
(90104, '178.33.142.92', '178.33.142.95', 2988543580, 2988543583, 'FR', 'France'),
(90105, '178.33.142.96', '178.33.142.127', 2988543584, 2988543615, 'DE', 'Germany'),
(90106, '178.33.142.128', '178.33.142.255', 2988543616, 2988543743, 'ES', 'Spain'),
(90107, '178.33.143.0', '178.33.143.191', 2988543744, 2988543935, 'FR', 'France'),
(90108, '178.33.143.192', '178.33.143.203', 2988543936, 2988543947, 'PL', 'Poland'),
(90109, '178.33.143.204', '178.33.143.215', 2988543948, 2988543959, 'BE', 'Belgium'),
(90110, '178.33.143.216', '178.33.143.239', 2988543960, 2988543983, 'PL', 'Poland'),
(90111, '178.33.143.240', '178.33.143.255', 2988543984, 2988543999, 'PT', 'Portugal'),
(90112, '178.33.144.0', '178.33.144.3', 2988544000, 2988544003, 'GB', 'United Kingdom'),
(90113, '178.33.144.4', '178.33.144.7', 2988544004, 2988544007, 'PL', 'Poland'),
(90114, '178.33.144.8', '178.33.144.11', 2988544008, 2988544011, 'LT', 'Lithuania'),
(90115, '178.33.144.12', '178.33.144.15', 2988544012, 2988544015, 'PT', 'Portugal'),
(90116, '178.33.144.16', '178.33.144.23', 2988544016, 2988544023, 'GB', 'United Kingdom'),
(90117, '178.33.144.24', '178.33.144.31', 2988544024, 2988544031, 'DE', 'Germany'),
(90118, '178.33.144.32', '178.33.144.35', 2988544032, 2988544035, 'PL', 'Poland'),
(90119, '178.33.144.36', '178.33.144.39', 2988544036, 2988544039, 'FR', 'France'),
(90120, '178.33.144.40', '178.33.144.43', 2988544040, 2988544043, 'DE', 'Germany'),
(90121, '178.33.144.44', '178.33.144.47', 2988544044, 2988544047, 'GB', 'United Kingdom'),
(90122, '178.33.144.48', '178.33.144.55', 2988544048, 2988544055, 'FR', 'France'),
(90123, '178.33.144.56', '178.33.144.63', 2988544056, 2988544063, 'FI', 'Finland'),
(90124, '178.33.144.64', '178.33.144.127', 2988544064, 2988544127, 'DE', 'Germany'),
(90125, '178.33.144.128', '178.33.144.159', 2988544128, 2988544159, 'GB', 'United Kingdom'),
(90126, '178.33.144.160', '178.33.144.163', 2988544160, 2988544163, 'FR', 'France'),
(90127, '178.33.144.164', '178.33.144.167', 2988544164, 2988544167, 'PL', 'Poland'),
(90128, '178.33.144.168', '178.33.144.175', 2988544168, 2988544175, 'GB', 'United Kingdom'),
(90129, '178.33.144.176', '178.33.144.179', 2988544176, 2988544179, 'CH', 'Switzerland'),
(90130, '178.33.144.180', '178.33.144.183', 2988544180, 2988544183, 'DE', 'Germany'),
(90131, '178.33.144.184', '178.33.144.187', 2988544184, 2988544187, 'PL', 'Poland'),
(90132, '178.33.144.188', '178.33.144.191', 2988544188, 2988544191, 'FR', 'France'),
(90133, '178.33.144.192', '178.33.144.227', 2988544192, 2988544227, 'ES', 'Spain'),
(90134, '178.33.144.228', '178.33.145.15', 2988544228, 2988544271, 'FR', 'France'),
(90135, '178.33.145.16', '178.33.145.19', 2988544272, 2988544275, 'PL', 'Poland'),
(90136, '178.33.145.20', '178.33.145.23', 2988544276, 2988544279, 'FR', 'France'),
(90137, '178.33.145.24', '178.33.145.27', 2988544280, 2988544283, 'GB', 'United Kingdom'),
(90138, '178.33.145.28', '178.33.145.31', 2988544284, 2988544287, 'CZ', 'Czech Republic'),
(90139, '178.33.145.32', '178.33.145.35', 2988544288, 2988544291, 'PL', 'Poland'),
(90140, '178.33.145.36', '178.33.145.39', 2988544292, 2988544295, 'GB', 'United Kingdom'),
(90141, '178.33.145.40', '178.33.145.47', 2988544296, 2988544303, 'FR', 'France'),
(90142, '178.33.145.48', '178.33.145.51', 2988544304, 2988544307, 'IT', 'Italy'),
(90143, '178.33.145.52', '178.33.145.63', 2988544308, 2988544319, 'FR', 'France'),
(90144, '178.33.145.64', '178.33.145.67', 2988544320, 2988544323, 'PL', 'Poland'),
(90145, '178.33.145.68', '178.33.145.71', 2988544324, 2988544327, 'ES', 'Spain'),
(90146, '178.33.145.72', '178.33.145.75', 2988544328, 2988544331, 'PL', 'Poland'),
(90147, '178.33.145.76', '178.33.145.79', 2988544332, 2988544335, 'A1', 'Anonymous Proxy'),
(90148, '178.33.145.80', '178.33.145.95', 2988544336, 2988544351, 'FR', 'France'),
(90149, '178.33.145.96', '178.33.145.99', 2988544352, 2988544355, 'PL', 'Poland'),
(90150, '178.33.145.100', '178.33.145.103', 2988544356, 2988544359, 'DE', 'Germany'),
(90151, '178.33.145.104', '178.33.145.111', 2988544360, 2988544367, 'FR', 'France'),
(90152, '178.33.145.112', '178.33.145.115', 2988544368, 2988544371, 'ES', 'Spain'),
(90153, '178.33.145.116', '178.33.145.119', 2988544372, 2988544375, 'FR', 'France'),
(90154, '178.33.145.120', '178.33.145.127', 2988544376, 2988544383, 'ES', 'Spain'),
(90155, '178.33.145.128', '178.33.145.191', 2988544384, 2988544447, 'GB', 'United Kingdom'),
(90156, '178.33.145.192', '178.33.145.207', 2988544448, 2988544463, 'FR', 'France'),
(90157, '178.33.145.208', '178.33.145.223', 2988544464, 2988544479, 'IT', 'Italy'),
(90158, '178.33.145.224', '178.33.145.255', 2988544480, 2988544511, 'PL', 'Poland'),
(90159, '178.33.146.0', '178.33.146.15', 2988544512, 2988544527, 'FR', 'France'),
(90160, '178.33.146.16', '178.33.146.23', 2988544528, 2988544535, 'ES', 'Spain'),
(90161, '178.33.146.24', '178.33.146.31', 2988544536, 2988544543, 'FR', 'France'),
(90162, '178.33.146.32', '178.33.146.127', 2988544544, 2988544639, 'ES', 'Spain'),
(90163, '178.33.146.128', '178.33.146.135', 2988544640, 2988544647, 'PL', 'Poland'),
(90164, '178.33.146.136', '178.33.146.143', 2988544648, 2988544655, 'FR', 'France'),
(90165, '178.33.146.144', '178.33.146.151', 2988544656, 2988544663, 'ES', 'Spain'),
(90166, '178.33.146.152', '178.33.146.155', 2988544664, 2988544667, 'DE', 'Germany'),
(90167, '178.33.146.156', '178.33.146.159', 2988544668, 2988544671, 'ES', 'Spain'),
(90168, '178.33.146.160', '178.33.146.175', 2988544672, 2988544687, 'GB', 'United Kingdom'),
(90169, '178.33.146.176', '178.33.146.191', 2988544688, 2988544703, 'PL', 'Poland'),
(90170, '178.33.146.192', '178.33.146.207', 2988544704, 2988544719, 'GB', 'United Kingdom'),
(90171, '178.33.146.208', '178.33.146.211', 2988544720, 2988544723, 'FR', 'France'),
(90172, '178.33.146.212', '178.33.146.215', 2988544724, 2988544727, 'DE', 'Germany'),
(90173, '178.33.146.216', '178.33.146.255', 2988544728, 2988544767, 'FR', 'France'),
(90174, '178.33.147.0', '178.33.147.7', 2988544768, 2988544775, 'ES', 'Spain'),
(90175, '178.33.147.8', '178.33.147.15', 2988544776, 2988544783, 'PT', 'Portugal'),
(90176, '178.33.147.16', '178.33.147.19', 2988544784, 2988544787, 'DE', 'Germany'),
(90177, '178.33.147.20', '178.33.147.23', 2988544788, 2988544791, 'PL', 'Poland'),
(90178, '178.33.147.24', '178.33.147.31', 2988544792, 2988544799, 'PT', 'Portugal'),
(90179, '178.33.147.32', '178.33.147.63', 2988544800, 2988544831, 'FI', 'Finland'),
(90180, '178.33.147.64', '178.33.147.95', 2988544832, 2988544863, 'FR', 'France'),
(90181, '178.33.147.96', '178.33.147.127', 2988544864, 2988544895, 'PL', 'Poland'),
(90182, '178.33.147.128', '178.33.147.159', 2988544896, 2988544927, 'FR', 'France'),
(90183, '178.33.147.160', '178.33.147.163', 2988544928, 2988544931, 'DE', 'Germany'),
(90184, '178.33.147.164', '178.33.147.167', 2988544932, 2988544935, 'FR', 'France'),
(90185, '178.33.147.168', '178.33.147.175', 2988544936, 2988544943, 'IT', 'Italy'),
(90186, '178.33.147.176', '178.33.147.183', 2988544944, 2988544951, 'PT', 'Portugal'),
(90187, '178.33.147.184', '178.33.147.191', 2988544952, 2988544959, 'GB', 'United Kingdom'),
(90188, '178.33.147.192', '178.33.147.211', 2988544960, 2988544979, 'ES', 'Spain'),
(90189, '178.33.147.212', '178.33.147.215', 2988544980, 2988544983, 'FR', 'France'),
(90190, '178.33.147.216', '178.33.147.227', 2988544984, 2988544995, 'PL', 'Poland'),
(90191, '178.33.147.228', '178.33.147.231', 2988544996, 2988544999, 'FR', 'France'),
(90192, '178.33.147.232', '178.33.147.239', 2988545000, 2988545007, 'DE', 'Germany'),
(90193, '178.33.147.240', '178.33.147.243', 2988545008, 2988545011, 'FR', 'France'),
(90194, '178.33.147.244', '178.33.147.251', 2988545012, 2988545019, 'DE', 'Germany'),
(90195, '178.33.147.252', '178.33.148.7', 2988545020, 2988545031, 'FR', 'France'),
(90196, '178.33.148.8', '178.33.148.15', 2988545032, 2988545039, 'PL', 'Poland'),
(90197, '178.33.148.16', '178.33.148.23', 2988545040, 2988545047, 'ES', 'Spain'),
(90198, '178.33.148.24', '178.33.148.27', 2988545048, 2988545051, 'FR', 'France'),
(90199, '178.33.148.28', '178.33.148.31', 2988545052, 2988545055, 'PL', 'Poland'),
(90200, '178.33.148.32', '178.33.148.39', 2988545056, 2988545063, 'FR', 'France'),
(90201, '178.33.148.40', '178.33.148.43', 2988545064, 2988545067, 'GB', 'United Kingdom'),
(90202, '178.33.148.44', '178.33.148.47', 2988545068, 2988545071, 'ES', 'Spain'),
(90203, '178.33.148.48', '178.33.148.127', 2988545072, 2988545151, 'FR', 'France'),
(90204, '178.33.148.128', '178.33.148.143', 2988545152, 2988545167, 'PL', 'Poland'),
(90205, '178.33.148.144', '178.33.148.147', 2988545168, 2988545171, 'DE', 'Germany'),
(90206, '178.33.148.148', '178.33.148.151', 2988545172, 2988545175, 'FR', 'France'),
(90207, '178.33.148.152', '178.33.148.155', 2988545176, 2988545179, 'GB', 'United Kingdom'),
(90208, '178.33.148.156', '178.33.148.159', 2988545180, 2988545183, 'PL', 'Poland'),
(90209, '178.33.148.160', '178.33.148.191', 2988545184, 2988545215, 'FR', 'France'),
(90210, '178.33.148.192', '178.33.148.199', 2988545216, 2988545223, 'PT', 'Portugal'),
(90211, '178.33.148.200', '178.33.148.203', 2988545224, 2988545227, 'PL', 'Poland'),
(90212, '178.33.148.204', '178.33.148.223', 2988545228, 2988545247, 'FR', 'France'),
(90213, '178.33.148.224', '178.33.149.7', 2988545248, 2988545287, 'PL', 'Poland'),
(90214, '178.33.149.8', '178.33.149.11', 2988545288, 2988545291, 'FR', 'France'),
(90215, '178.33.149.12', '178.33.149.15', 2988545292, 2988545295, 'DE', 'Germany'),
(90216, '178.33.149.16', '178.33.149.51', 2988545296, 2988545331, 'FR', 'France'),
(90217, '178.33.149.52', '178.33.149.63', 2988545332, 2988545343, 'DE', 'Germany'),
(90218, '178.33.149.64', '178.33.149.87', 2988545344, 2988545367, 'FR', 'France'),
(90219, '178.33.149.88', '178.33.149.91', 2988545368, 2988545371, 'DE', 'Germany'),
(90220, '178.33.149.92', '178.33.149.95', 2988545372, 2988545375, 'GB', 'United Kingdom'),
(90221, '178.33.149.96', '178.33.149.103', 2988545376, 2988545383, 'DE', 'Germany'),
(90222, '178.33.149.104', '178.33.149.107', 2988545384, 2988545387, 'ES', 'Spain'),
(90223, '178.33.149.108', '178.33.149.111', 2988545388, 2988545391, 'FR', 'France'),
(90224, '178.33.149.112', '178.33.149.115', 2988545392, 2988545395, 'DE', 'Germany'),
(90225, '178.33.149.116', '178.33.149.159', 2988545396, 2988545439, 'FR', 'France'),
(90226, '178.33.149.160', '178.33.149.163', 2988545440, 2988545443, 'DE', 'Germany'),
(90227, '178.33.149.164', '178.33.149.167', 2988545444, 2988545447, 'ES', 'Spain'),
(90228, '178.33.149.168', '178.33.149.175', 2988545448, 2988545455, 'PL', 'Poland'),
(90229, '178.33.149.176', '178.33.149.223', 2988545456, 2988545503, 'FR', 'France'),
(90230, '178.33.149.224', '178.33.149.231', 2988545504, 2988545511, 'DE', 'Germany'),
(90231, '178.33.149.232', '178.33.149.235', 2988545512, 2988545515, 'IT', 'Italy'),
(90232, '178.33.149.236', '178.33.149.243', 2988545516, 2988545523, 'PL', 'Poland'),
(90233, '178.33.149.244', '178.33.149.247', 2988545524, 2988545527, 'FR', 'France'),
(90234, '178.33.149.248', '178.33.149.251', 2988545528, 2988545531, 'PL', 'Poland'),
(90235, '178.33.149.252', '178.33.150.15', 2988545532, 2988545551, 'FR', 'France'),
(90236, '178.33.150.16', '178.33.150.19', 2988545552, 2988545555, 'ES', 'Spain'),
(90237, '178.33.150.20', '178.33.150.23', 2988545556, 2988545559, 'IT', 'Italy'),
(90238, '178.33.150.24', '178.33.150.27', 2988545560, 2988545563, 'FR', 'France'),
(90239, '178.33.150.28', '178.33.150.35', 2988545564, 2988545571, 'DE', 'Germany'),
(90240, '178.33.150.36', '178.33.150.43', 2988545572, 2988545579, 'FR', 'France'),
(90241, '178.33.150.44', '178.33.150.47', 2988545580, 2988545583, 'ES', 'Spain'),
(90242, '178.33.150.48', '178.33.150.63', 2988545584, 2988545599, 'FR', 'France'),
(90243, '178.33.150.64', '178.33.150.95', 2988545600, 2988545631, 'DE', 'Germany'),
(90244, '178.33.150.96', '178.33.150.127', 2988545632, 2988545663, 'FR', 'France'),
(90245, '178.33.150.128', '178.33.150.159', 2988545664, 2988545695, 'ES', 'Spain'),
(90246, '178.33.150.160', '178.33.150.191', 2988545696, 2988545727, 'DE', 'Germany'),
(90247, '178.33.150.192', '178.33.150.255', 2988545728, 2988545791, 'FR', 'France'),
(90248, '178.33.151.0', '178.33.151.15', 2988545792, 2988545807, 'DE', 'Germany'),
(90249, '178.33.151.16', '178.33.151.23', 2988545808, 2988545815, 'FR', 'France'),
(90250, '178.33.151.24', '178.33.151.31', 2988545816, 2988545823, 'NL', 'Netherlands'),
(90251, '178.33.151.32', '178.33.151.39', 2988545824, 2988545831, 'FR', 'France'),
(90252, '178.33.151.40', '178.33.151.43', 2988545832, 2988545835, 'GB', 'United Kingdom'),
(90253, '178.33.151.44', '178.33.151.47', 2988545836, 2988545839, 'DE', 'Germany'),
(90254, '178.33.151.48', '178.33.151.63', 2988545840, 2988545855, 'FR', 'France'),
(90255, '178.33.151.64', '178.33.151.67', 2988545856, 2988545859, 'ES', 'Spain'),
(90256, '178.33.151.68', '178.33.151.71', 2988545860, 2988545863, 'FR', 'France'),
(90257, '178.33.151.72', '178.33.151.79', 2988545864, 2988545871, 'PL', 'Poland'),
(90258, '178.33.151.80', '178.33.151.127', 2988545872, 2988545919, 'FR', 'France'),
(90259, '178.33.151.128', '178.33.151.131', 2988545920, 2988545923, 'ES', 'Spain'),
(90260, '178.33.151.132', '178.33.151.135', 2988545924, 2988545927, 'PL', 'Poland'),
(90261, '178.33.151.136', '178.33.151.139', 2988545928, 2988545931, 'BE', 'Belgium'),
(90262, '178.33.151.140', '178.33.151.143', 2988545932, 2988545935, 'DE', 'Germany'),
(90263, '178.33.151.144', '178.33.151.151', 2988545936, 2988545943, 'GB', 'United Kingdom'),
(90264, '178.33.151.152', '178.33.151.155', 2988545944, 2988545947, 'CZ', 'Czech Republic'),
(90265, '178.33.151.156', '178.33.151.175', 2988545948, 2988545967, 'FR', 'France'),
(90266, '178.33.151.176', '178.33.151.179', 2988545968, 2988545971, 'GB', 'United Kingdom'),
(90267, '178.33.151.180', '178.33.151.183', 2988545972, 2988545975, 'DE', 'Germany'),
(90268, '178.33.151.184', '178.33.151.187', 2988545976, 2988545979, 'ES', 'Spain'),
(90269, '178.33.151.188', '178.33.151.191', 2988545980, 2988545983, 'DE', 'Germany'),
(90270, '178.33.151.192', '178.33.151.195', 2988545984, 2988545987, 'FR', 'France'),
(90271, '178.33.151.196', '178.33.151.199', 2988545988, 2988545991, 'PL', 'Poland'),
(90272, '178.33.151.200', '178.33.151.203', 2988545992, 2988545995, 'LT', 'Lithuania'),
(90273, '178.33.151.204', '178.33.151.207', 2988545996, 2988545999, 'FI', 'Finland'),
(90274, '178.33.151.208', '178.33.151.223', 2988546000, 2988546015, 'GB', 'United Kingdom'),
(90275, '178.33.151.224', '178.33.151.239', 2988546016, 2988546031, 'FR', 'France'),
(90276, '178.33.151.240', '178.33.151.243', 2988546032, 2988546035, 'ES', 'Spain'),
(90277, '178.33.151.244', '178.33.151.247', 2988546036, 2988546039, 'BE', 'Belgium'),
(90278, '178.33.151.248', '178.33.151.251', 2988546040, 2988546043, 'FR', 'France'),
(90279, '178.33.151.252', '178.33.151.255', 2988546044, 2988546047, 'ES', 'Spain'),
(90280, '178.33.152.0', '178.33.152.63', 2988546048, 2988546111, 'PL', 'Poland'),
(90281, '178.33.152.64', '178.33.152.67', 2988546112, 2988546115, 'ES', 'Spain'),
(90282, '178.33.152.68', '178.33.152.71', 2988546116, 2988546119, 'FR', 'France'),
(90283, '178.33.152.72', '178.33.152.75', 2988546120, 2988546123, 'IE', 'Ireland'),
(90284, '178.33.152.76', '178.33.152.95', 2988546124, 2988546143, 'GB', 'United Kingdom'),
(90285, '178.33.152.96', '178.33.152.111', 2988546144, 2988546159, 'PL', 'Poland'),
(90286, '178.33.152.112', '178.33.152.127', 2988546160, 2988546175, 'ES', 'Spain'),
(90287, '178.33.152.128', '178.33.152.191', 2988546176, 2988546239, 'GB', 'United Kingdom'),
(90288, '178.33.152.192', '178.33.152.223', 2988546240, 2988546271, 'LT', 'Lithuania'),
(90289, '178.33.152.224', '178.33.152.231', 2988546272, 2988546279, 'IT', 'Italy'),
(90290, '178.33.152.232', '178.33.152.235', 2988546280, 2988546283, 'DE', 'Germany'),
(90291, '178.33.152.236', '178.33.152.239', 2988546284, 2988546287, 'BE', 'Belgium'),
(90292, '178.33.152.240', '178.33.152.243', 2988546288, 2988546291, 'GB', 'United Kingdom'),
(90293, '178.33.152.244', '178.33.152.247', 2988546292, 2988546295, 'ES', 'Spain'),
(90294, '178.33.152.248', '178.33.152.251', 2988546296, 2988546299, 'PL', 'Poland'),
(90295, '178.33.152.252', '178.33.153.3', 2988546300, 2988546307, 'ES', 'Spain'),
(90296, '178.33.153.4', '178.33.153.7', 2988546308, 2988546311, 'NL', 'Netherlands'),
(90297, '178.33.153.8', '178.33.153.15', 2988546312, 2988546319, 'FR', 'France'),
(90298, '178.33.153.16', '178.33.153.23', 2988546320, 2988546327, 'CH', 'Switzerland'),
(90299, '178.33.153.24', '178.33.153.31', 2988546328, 2988546335, 'ES', 'Spain'),
(90300, '178.33.153.32', '178.33.153.47', 2988546336, 2988546351, 'CH', 'Switzerland'),
(90301, '178.33.153.48', '178.33.153.63', 2988546352, 2988546367, 'ES', 'Spain'),
(90302, '178.33.153.64', '178.33.153.127', 2988546368, 2988546431, 'PT', 'Portugal'),
(90303, '178.33.153.128', '178.33.153.135', 2988546432, 2988546439, 'FR', 'France'),
(90304, '178.33.153.136', '178.33.153.139', 2988546440, 2988546443, 'DE', 'Germany'),
(90305, '178.33.153.140', '178.33.153.143', 2988546444, 2988546447, 'FR', 'France'),
(90306, '178.33.153.144', '178.33.153.147', 2988546448, 2988546451, 'PL', 'Poland'),
(90307, '178.33.153.148', '178.33.153.159', 2988546452, 2988546463, 'ES', 'Spain'),
(90308, '178.33.153.160', '178.33.153.223', 2988546464, 2988546527, 'FR', 'France'),
(90309, '178.33.153.224', '178.33.153.231', 2988546528, 2988546535, 'BE', 'Belgium'),
(90310, '178.33.153.232', '178.33.153.235', 2988546536, 2988546539, 'FR', 'France'),
(90311, '178.33.153.236', '178.33.153.239', 2988546540, 2988546543, 'DE', 'Germany'),
(90312, '178.33.153.240', '178.33.153.243', 2988546544, 2988546547, 'ES', 'Spain'),
(90313, '178.33.153.244', '178.33.153.247', 2988546548, 2988546551, 'FR', 'France'),
(90314, '178.33.153.248', '178.33.153.251', 2988546552, 2988546555, 'GB', 'United Kingdom'),
(90315, '178.33.153.252', '178.33.153.255', 2988546556, 2988546559, 'BE', 'Belgium'),
(90316, '178.33.154.0', '178.33.154.11', 2988546560, 2988546571, 'PL', 'Poland'),
(90317, '178.33.154.12', '178.33.154.15', 2988546572, 2988546575, 'DE', 'Germany'),
(90318, '178.33.154.16', '178.33.154.19', 2988546576, 2988546579, 'ES', 'Spain'),
(90319, '178.33.154.20', '178.33.154.23', 2988546580, 2988546583, 'GB', 'United Kingdom'),
(90320, '178.33.154.24', '178.33.154.31', 2988546584, 2988546591, 'FR', 'France'),
(90321, '178.33.154.32', '178.33.154.39', 2988546592, 2988546599, 'DE', 'Germany'),
(90322, '178.33.154.40', '178.33.154.43', 2988546600, 2988546603, 'PT', 'Portugal'),
(90323, '178.33.154.44', '178.33.154.47', 2988546604, 2988546607, 'GB', 'United Kingdom'),
(90324, '178.33.154.48', '178.33.154.55', 2988546608, 2988546615, 'NL', 'Netherlands'),
(90325, '178.33.154.56', '178.33.154.59', 2988546616, 2988546619, 'FI', 'Finland'),
(90326, '178.33.154.60', '178.33.154.63', 2988546620, 2988546623, 'IT', 'Italy'),
(90327, '178.33.154.64', '178.33.154.127', 2988546624, 2988546687, 'FI', 'Finland'),
(90328, '178.33.154.128', '178.33.154.135', 2988546688, 2988546695, 'PL', 'Poland'),
(90329, '178.33.154.136', '178.33.154.139', 2988546696, 2988546699, 'FR', 'France'),
(90330, '178.33.154.140', '178.33.154.143', 2988546700, 2988546703, 'IT', 'Italy'),
(90331, '178.33.154.144', '178.33.154.159', 2988546704, 2988546719, 'BE', 'Belgium'),
(90332, '178.33.154.160', '178.33.154.167', 2988546720, 2988546727, 'FR', 'France'),
(90333, '178.33.154.168', '178.33.154.171', 2988546728, 2988546731, 'PL', 'Poland'),
(90334, '178.33.154.172', '178.33.154.175', 2988546732, 2988546735, 'DE', 'Germany'),
(90335, '178.33.154.176', '178.33.154.255', 2988546736, 2988546815, 'FR', 'France'),
(90336, '178.33.155.0', '178.33.155.3', 2988546816, 2988546819, 'PT', 'Portugal'),
(90337, '178.33.155.4', '178.33.155.7', 2988546820, 2988546823, 'NL', 'Netherlands'),
(90338, '178.33.155.8', '178.33.155.15', 2988546824, 2988546831, 'FR', 'France'),
(90339, '178.33.155.16', '178.33.155.19', 2988546832, 2988546835, 'DE', 'Germany'),
(90340, '178.33.155.20', '178.33.155.23', 2988546836, 2988546839, 'ES', 'Spain'),
(90341, '178.33.155.24', '178.33.155.31', 2988546840, 2988546847, 'IE', 'Ireland'),
(90342, '178.33.155.32', '178.33.155.35', 2988546848, 2988546851, 'PT', 'Portugal'),
(90343, '178.33.155.36', '178.33.155.39', 2988546852, 2988546855, 'IT', 'Italy'),
(90344, '178.33.155.40', '178.33.155.43', 2988546856, 2988546859, 'PL', 'Poland'),
(90345, '178.33.155.44', '178.33.155.47', 2988546860, 2988546863, 'IE', 'Ireland'),
(90346, '178.33.155.48', '178.33.155.51', 2988546864, 2988546867, 'GB', 'United Kingdom'),
(90347, '178.33.155.52', '178.33.155.55', 2988546868, 2988546871, 'FR', 'France'),
(90348, '178.33.155.56', '178.33.155.59', 2988546872, 2988546875, 'GB', 'United Kingdom'),
(90349, '178.33.155.60', '178.33.155.63', 2988546876, 2988546879, 'IE', 'Ireland'),
(90350, '178.33.155.64', '178.33.155.131', 2988546880, 2988546947, 'ES', 'Spain'),
(90351, '178.33.155.132', '178.33.155.135', 2988546948, 2988546951, 'DE', 'Germany'),
(90352, '178.33.155.136', '178.33.155.139', 2988546952, 2988546955, 'FR', 'France'),
(90353, '178.33.155.140', '178.33.155.143', 2988546956, 2988546959, 'DE', 'Germany'),
(90354, '178.33.155.144', '178.33.155.147', 2988546960, 2988546963, 'CH', 'Switzerland'),
(90355, '178.33.155.148', '178.33.155.151', 2988546964, 2988546967, 'IT', 'Italy'),
(90356, '178.33.155.152', '178.33.155.155', 2988546968, 2988546971, 'FR', 'France'),
(90357, '178.33.155.156', '178.33.155.159', 2988546972, 2988546975, 'BE', 'Belgium'),
(90358, '178.33.155.160', '178.33.155.175', 2988546976, 2988546991, 'FI', 'Finland'),
(90359, '178.33.155.176', '178.33.155.179', 2988546992, 2988546995, 'DE', 'Germany'),
(90360, '178.33.155.180', '178.33.155.183', 2988546996, 2988546999, 'ES', 'Spain'),
(90361, '178.33.155.184', '178.33.155.187', 2988547000, 2988547003, 'IT', 'Italy'),
(90362, '178.33.155.188', '178.33.155.191', 2988547004, 2988547007, 'ES', 'Spain'),
(90363, '178.33.155.192', '178.33.155.199', 2988547008, 2988547015, 'FR', 'France'),
(90364, '178.33.155.200', '178.33.155.203', 2988547016, 2988547019, 'NL', 'Netherlands'),
(90365, '178.33.155.204', '178.33.155.207', 2988547020, 2988547023, 'ES', 'Spain'),
(90366, '178.33.155.208', '178.33.155.223', 2988547024, 2988547039, 'FR', 'France'),
(90367, '178.33.155.224', '178.33.155.231', 2988547040, 2988547047, 'ES', 'Spain'),
(90368, '178.33.155.232', '178.33.155.239', 2988547048, 2988547055, 'PL', 'Poland'),
(90369, '178.33.155.240', '178.33.155.243', 2988547056, 2988547059, 'IT', 'Italy'),
(90370, '178.33.155.244', '178.33.155.247', 2988547060, 2988547063, 'FR', 'France'),
(90371, '178.33.155.248', '178.33.155.251', 2988547064, 2988547067, 'GB', 'United Kingdom'),
(90372, '178.33.155.252', '178.33.155.255', 2988547068, 2988547071, 'PL', 'Poland'),
(90373, '178.33.156.0', '178.33.156.15', 2988547072, 2988547087, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(90374, '178.33.156.16', '178.33.156.23', 2988547088, 2988547095, 'NL', 'Netherlands'),
(90375, '178.33.156.24', '178.33.156.27', 2988547096, 2988547099, 'DE', 'Germany'),
(90376, '178.33.156.28', '178.33.156.31', 2988547100, 2988547103, 'IE', 'Ireland'),
(90377, '178.33.156.32', '178.33.156.39', 2988547104, 2988547111, 'DE', 'Germany'),
(90378, '178.33.156.40', '178.33.156.43', 2988547112, 2988547115, 'GB', 'United Kingdom'),
(90379, '178.33.156.44', '178.33.156.51', 2988547116, 2988547123, 'FR', 'France'),
(90380, '178.33.156.52', '178.33.156.55', 2988547124, 2988547127, 'IT', 'Italy'),
(90381, '178.33.156.56', '178.33.156.63', 2988547128, 2988547135, 'FR', 'France'),
(90382, '178.33.156.64', '178.33.156.95', 2988547136, 2988547167, 'IT', 'Italy'),
(90383, '178.33.156.96', '178.33.156.111', 2988547168, 2988547183, 'IE', 'Ireland'),
(90384, '178.33.156.112', '178.33.156.119', 2988547184, 2988547191, 'ES', 'Spain'),
(90385, '178.33.156.120', '178.33.156.123', 2988547192, 2988547195, 'DE', 'Germany'),
(90386, '178.33.156.124', '178.33.156.127', 2988547196, 2988547199, 'PL', 'Poland'),
(90387, '178.33.156.128', '178.33.156.135', 2988547200, 2988547207, 'IE', 'Ireland'),
(90388, '178.33.156.136', '178.33.156.139', 2988547208, 2988547211, 'ES', 'Spain'),
(90389, '178.33.156.140', '178.33.156.143', 2988547212, 2988547215, 'GB', 'United Kingdom'),
(90390, '178.33.156.144', '178.33.156.151', 2988547216, 2988547223, 'FR', 'France'),
(90391, '178.33.156.152', '178.33.156.155', 2988547224, 2988547227, 'GB', 'United Kingdom'),
(90392, '178.33.156.156', '178.33.156.159', 2988547228, 2988547231, 'DE', 'Germany'),
(90393, '178.33.156.160', '178.33.156.167', 2988547232, 2988547239, 'FR', 'France'),
(90394, '178.33.156.168', '178.33.156.175', 2988547240, 2988547247, 'PL', 'Poland'),
(90395, '178.33.156.176', '178.33.156.183', 2988547248, 2988547255, 'NL', 'Netherlands'),
(90396, '178.33.156.184', '178.33.156.191', 2988547256, 2988547263, 'FR', 'France'),
(90397, '178.33.156.192', '178.33.156.195', 2988547264, 2988547267, 'GB', 'United Kingdom'),
(90398, '178.33.156.196', '178.33.156.199', 2988547268, 2988547271, 'ES', 'Spain'),
(90399, '178.33.156.200', '178.33.156.239', 2988547272, 2988547311, 'FR', 'France'),
(90400, '178.33.156.240', '178.33.156.255', 2988547312, 2988547327, 'PL', 'Poland'),
(90401, '178.33.157.0', '178.33.157.95', 2988547328, 2988547423, 'FR', 'France'),
(90402, '178.33.157.96', '178.33.157.103', 2988547424, 2988547431, 'GB', 'United Kingdom'),
(90403, '178.33.157.104', '178.33.157.107', 2988547432, 2988547435, 'ES', 'Spain'),
(90404, '178.33.157.108', '178.33.157.115', 2988547436, 2988547443, 'PL', 'Poland'),
(90405, '178.33.157.116', '178.33.157.119', 2988547444, 2988547447, 'DE', 'Germany'),
(90406, '178.33.157.120', '178.33.157.123', 2988547448, 2988547451, 'FR', 'France'),
(90407, '178.33.157.124', '178.33.157.127', 2988547452, 2988547455, 'PT', 'Portugal'),
(90408, '178.33.157.128', '178.33.157.143', 2988547456, 2988547471, 'PL', 'Poland'),
(90409, '178.33.157.144', '178.33.157.147', 2988547472, 2988547475, 'LT', 'Lithuania'),
(90410, '178.33.157.148', '178.33.157.151', 2988547476, 2988547479, 'GB', 'United Kingdom'),
(90411, '178.33.157.152', '178.33.157.159', 2988547480, 2988547487, 'FR', 'France'),
(90412, '178.33.157.160', '178.33.157.191', 2988547488, 2988547519, 'ES', 'Spain'),
(90413, '178.33.157.192', '178.33.157.195', 2988547520, 2988547523, 'NL', 'Netherlands'),
(90414, '178.33.157.196', '178.33.157.199', 2988547524, 2988547527, 'CZ', 'Czech Republic'),
(90415, '178.33.157.200', '178.33.157.203', 2988547528, 2988547531, 'IT', 'Italy'),
(90416, '178.33.157.204', '178.33.157.207', 2988547532, 2988547535, 'ES', 'Spain'),
(90417, '178.33.157.208', '178.33.157.211', 2988547536, 2988547539, 'FR', 'France'),
(90418, '178.33.157.212', '178.33.157.215', 2988547540, 2988547543, 'DE', 'Germany'),
(90419, '178.33.157.216', '178.33.157.219', 2988547544, 2988547547, 'BE', 'Belgium'),
(90420, '178.33.157.220', '178.33.157.239', 2988547548, 2988547567, 'FR', 'France'),
(90421, '178.33.157.240', '178.33.157.255', 2988547568, 2988547583, 'DE', 'Germany'),
(90422, '178.33.158.0', '178.33.158.15', 2988547584, 2988547599, 'ES', 'Spain'),
(90423, '178.33.158.16', '178.33.158.35', 2988547600, 2988547619, 'FR', 'France'),
(90424, '178.33.158.36', '178.33.158.39', 2988547620, 2988547623, 'PT', 'Portugal'),
(90425, '178.33.158.40', '178.33.158.43', 2988547624, 2988547627, 'FR', 'France'),
(90426, '178.33.158.44', '178.33.158.47', 2988547628, 2988547631, 'PL', 'Poland'),
(90427, '178.33.158.48', '178.33.158.71', 2988547632, 2988547655, 'FR', 'France'),
(90428, '178.33.158.72', '178.33.158.79', 2988547656, 2988547663, 'PL', 'Poland'),
(90429, '178.33.158.80', '178.33.158.95', 2988547664, 2988547679, 'FR', 'France'),
(90430, '178.33.158.96', '178.33.158.99', 2988547680, 2988547683, 'PL', 'Poland'),
(90431, '178.33.158.100', '178.33.158.103', 2988547684, 2988547687, 'FR', 'France'),
(90432, '178.33.158.104', '178.33.158.107', 2988547688, 2988547691, 'PL', 'Poland'),
(90433, '178.33.158.108', '178.33.158.111', 2988547692, 2988547695, 'CZ', 'Czech Republic'),
(90434, '178.33.158.112', '178.33.158.119', 2988547696, 2988547703, 'ES', 'Spain'),
(90435, '178.33.158.120', '178.33.158.127', 2988547704, 2988547711, 'IT', 'Italy'),
(90436, '178.33.158.128', '178.33.158.159', 2988547712, 2988547743, 'FR', 'France'),
(90437, '178.33.158.160', '178.33.158.167', 2988547744, 2988547751, 'PT', 'Portugal'),
(90438, '178.33.158.168', '178.33.158.175', 2988547752, 2988547759, 'ES', 'Spain'),
(90439, '178.33.158.176', '178.33.158.191', 2988547760, 2988547775, 'FR', 'France'),
(90440, '178.33.158.192', '178.33.158.223', 2988547776, 2988547807, 'ES', 'Spain'),
(90441, '178.33.158.224', '178.33.158.231', 2988547808, 2988547815, 'GB', 'United Kingdom'),
(90442, '178.33.158.232', '178.33.158.239', 2988547816, 2988547823, 'CH', 'Switzerland'),
(90443, '178.33.158.240', '178.33.158.247', 2988547824, 2988547831, 'FR', 'France'),
(90444, '178.33.158.248', '178.33.158.251', 2988547832, 2988547835, 'DE', 'Germany'),
(90445, '178.33.158.252', '178.33.158.255', 2988547836, 2988547839, 'BE', 'Belgium'),
(90446, '178.33.159.0', '178.33.159.31', 2988547840, 2988547871, 'FR', 'France'),
(90447, '178.33.159.32', '178.33.159.63', 2988547872, 2988547903, 'GB', 'United Kingdom'),
(90448, '178.33.159.64', '178.33.159.95', 2988547904, 2988547935, 'FR', 'France'),
(90449, '178.33.159.96', '178.33.159.127', 2988547936, 2988547967, 'LT', 'Lithuania'),
(90450, '178.33.159.128', '178.33.159.131', 2988547968, 2988547971, 'GB', 'United Kingdom'),
(90451, '178.33.159.132', '178.33.159.135', 2988547972, 2988547975, 'DE', 'Germany'),
(90452, '178.33.159.136', '178.33.159.143', 2988547976, 2988547983, 'PL', 'Poland'),
(90453, '178.33.159.144', '178.33.159.175', 2988547984, 2988548015, 'FR', 'France'),
(90454, '178.33.159.176', '178.33.159.179', 2988548016, 2988548019, 'ES', 'Spain'),
(90455, '178.33.159.180', '178.33.159.183', 2988548020, 2988548023, 'LT', 'Lithuania'),
(90456, '178.33.159.184', '178.33.159.191', 2988548024, 2988548031, 'PT', 'Portugal'),
(90457, '178.33.159.192', '178.33.159.207', 2988548032, 2988548047, 'FR', 'France'),
(90458, '178.33.159.208', '178.33.159.211', 2988548048, 2988548051, 'PL', 'Poland'),
(90459, '178.33.159.212', '178.33.159.215', 2988548052, 2988548055, 'ES', 'Spain'),
(90460, '178.33.159.216', '178.33.159.219', 2988548056, 2988548059, 'PL', 'Poland'),
(90461, '178.33.159.220', '178.33.159.223', 2988548060, 2988548063, 'IE', 'Ireland'),
(90462, '178.33.159.224', '178.33.167.255', 2988548064, 2988550143, 'ES', 'Spain'),
(90463, '178.33.168.0', '178.33.168.15', 2988550144, 2988550159, 'GB', 'United Kingdom'),
(90464, '178.33.168.16', '178.33.168.19', 2988550160, 2988550163, 'PT', 'Portugal'),
(90465, '178.33.168.20', '178.33.168.23', 2988550164, 2988550167, 'GB', 'United Kingdom'),
(90466, '178.33.168.24', '178.33.168.27', 2988550168, 2988550171, 'FR', 'France'),
(90467, '178.33.168.28', '178.33.168.31', 2988550172, 2988550175, 'CH', 'Switzerland'),
(90468, '178.33.168.32', '178.33.168.35', 2988550176, 2988550179, 'ES', 'Spain'),
(90469, '178.33.168.36', '178.33.168.47', 2988550180, 2988550191, 'FR', 'France'),
(90470, '178.33.168.48', '178.33.168.55', 2988550192, 2988550199, 'DE', 'Germany'),
(90471, '178.33.168.56', '178.33.168.59', 2988550200, 2988550203, 'FR', 'France'),
(90472, '178.33.168.60', '178.33.168.87', 2988550204, 2988550231, 'GB', 'United Kingdom'),
(90473, '178.33.168.88', '178.33.168.95', 2988550232, 2988550239, 'PL', 'Poland'),
(90474, '178.33.168.96', '178.33.168.103', 2988550240, 2988550247, 'GB', 'United Kingdom'),
(90475, '178.33.168.104', '178.33.168.107', 2988550248, 2988550251, 'DE', 'Germany'),
(90476, '178.33.168.108', '178.33.168.111', 2988550252, 2988550255, 'FR', 'France'),
(90477, '178.33.168.112', '178.33.168.115', 2988550256, 2988550259, 'ES', 'Spain'),
(90478, '178.33.168.116', '178.33.168.119', 2988550260, 2988550263, 'FR', 'France'),
(90479, '178.33.168.120', '178.33.168.127', 2988550264, 2988550271, 'NL', 'Netherlands'),
(90480, '178.33.168.128', '178.33.168.175', 2988550272, 2988550319, 'FR', 'France'),
(90481, '178.33.168.176', '178.33.168.191', 2988550320, 2988550335, 'PL', 'Poland'),
(90482, '178.33.168.192', '178.33.168.211', 2988550336, 2988550355, 'FR', 'France'),
(90483, '178.33.168.212', '178.33.168.219', 2988550356, 2988550363, 'GB', 'United Kingdom'),
(90484, '178.33.168.220', '178.33.168.223', 2988550364, 2988550367, 'NL', 'Netherlands'),
(90485, '178.33.168.224', '178.33.168.255', 2988550368, 2988550399, 'IT', 'Italy'),
(90486, '178.33.169.0', '178.33.169.3', 2988550400, 2988550403, 'ES', 'Spain'),
(90487, '178.33.169.4', '178.33.169.7', 2988550404, 2988550407, 'NL', 'Netherlands'),
(90488, '178.33.169.8', '178.33.169.11', 2988550408, 2988550411, 'GB', 'United Kingdom'),
(90489, '178.33.169.12', '178.33.169.15', 2988550412, 2988550415, 'FR', 'France'),
(90490, '178.33.169.16', '178.33.169.27', 2988550416, 2988550427, 'DE', 'Germany'),
(90491, '178.33.169.28', '178.33.169.31', 2988550428, 2988550431, 'FR', 'France'),
(90492, '178.33.169.32', '178.33.169.34', 2988550432, 2988550434, 'GB', 'United Kingdom'),
(90493, '178.33.169.35', '178.33.169.35', 2988550435, 2988550435, 'A1', 'Anonymous Proxy'),
(90494, '178.33.169.36', '178.33.169.47', 2988550436, 2988550447, 'GB', 'United Kingdom'),
(90495, '178.33.169.48', '178.33.169.51', 2988550448, 2988550451, 'CH', 'Switzerland'),
(90496, '178.33.169.52', '178.33.169.191', 2988550452, 2988550591, 'FR', 'France'),
(90497, '178.33.169.192', '178.33.169.195', 2988550592, 2988550595, 'DE', 'Germany'),
(90498, '178.33.169.196', '178.33.169.199', 2988550596, 2988550599, 'PT', 'Portugal'),
(90499, '178.33.169.200', '178.33.169.203', 2988550600, 2988550603, 'PL', 'Poland'),
(90500, '178.33.169.204', '178.33.169.207', 2988550604, 2988550607, 'DE', 'Germany'),
(90501, '178.33.169.208', '178.33.169.215', 2988550608, 2988550615, 'CH', 'Switzerland'),
(90502, '178.33.169.216', '178.33.169.219', 2988550616, 2988550619, 'FR', 'France'),
(90503, '178.33.169.220', '178.33.169.223', 2988550620, 2988550623, 'LT', 'Lithuania'),
(90504, '178.33.169.224', '178.33.169.227', 2988550624, 2988550627, 'FR', 'France'),
(90505, '178.33.169.228', '178.33.169.231', 2988550628, 2988550631, 'CH', 'Switzerland'),
(90506, '178.33.169.232', '178.33.169.243', 2988550632, 2988550643, 'FR', 'France'),
(90507, '178.33.169.244', '178.33.169.247', 2988550644, 2988550647, 'ES', 'Spain'),
(90508, '178.33.169.248', '178.33.169.255', 2988550648, 2988550655, 'PL', 'Poland'),
(90509, '178.33.170.0', '178.33.170.255', 2988550656, 2988550911, 'DE', 'Germany'),
(90510, '178.33.171.0', '178.33.171.255', 2988550912, 2988551167, 'CH', 'Switzerland'),
(90511, '178.33.172.0', '178.33.172.3', 2988551168, 2988551171, 'PL', 'Poland'),
(90512, '178.33.172.4', '178.33.172.7', 2988551172, 2988551175, 'FI', 'Finland'),
(90513, '178.33.172.8', '178.33.172.11', 2988551176, 2988551179, 'ES', 'Spain'),
(90514, '178.33.172.12', '178.33.172.15', 2988551180, 2988551183, 'FR', 'France'),
(90515, '178.33.172.16', '178.33.172.31', 2988551184, 2988551199, 'ES', 'Spain'),
(90516, '178.33.172.32', '178.33.172.47', 2988551200, 2988551215, 'IT', 'Italy'),
(90517, '178.33.172.48', '178.33.172.55', 2988551216, 2988551223, 'NL', 'Netherlands'),
(90518, '178.33.172.56', '178.33.172.127', 2988551224, 2988551295, 'FR', 'France'),
(90519, '178.33.172.128', '178.33.172.131', 2988551296, 2988551299, 'PL', 'Poland'),
(90520, '178.33.172.132', '178.33.172.135', 2988551300, 2988551303, 'FR', 'France'),
(90521, '178.33.172.136', '178.33.172.139', 2988551304, 2988551307, 'NL', 'Netherlands'),
(90522, '178.33.172.140', '178.33.172.151', 2988551308, 2988551319, 'FR', 'France'),
(90523, '178.33.172.152', '178.33.172.155', 2988551320, 2988551323, 'PL', 'Poland'),
(90524, '178.33.172.156', '178.33.172.159', 2988551324, 2988551327, 'GB', 'United Kingdom'),
(90525, '178.33.172.160', '178.33.172.167', 2988551328, 2988551335, 'NL', 'Netherlands'),
(90526, '178.33.172.168', '178.33.172.175', 2988551336, 2988551343, 'FR', 'France'),
(90527, '178.33.172.176', '178.33.172.191', 2988551344, 2988551359, 'DE', 'Germany'),
(90528, '178.33.172.192', '178.33.172.255', 2988551360, 2988551423, 'FR', 'France'),
(90529, '178.33.173.0', '178.33.173.3', 2988551424, 2988551427, 'LT', 'Lithuania'),
(90530, '178.33.173.4', '178.33.173.15', 2988551428, 2988551439, 'FR', 'France'),
(90531, '178.33.173.16', '178.33.173.19', 2988551440, 2988551443, 'GB', 'United Kingdom'),
(90532, '178.33.173.20', '178.33.173.23', 2988551444, 2988551447, 'FR', 'France'),
(90533, '178.33.173.24', '178.33.173.27', 2988551448, 2988551451, 'ES', 'Spain'),
(90534, '178.33.173.28', '178.33.173.31', 2988551452, 2988551455, 'FR', 'France'),
(90535, '178.33.173.32', '178.33.173.47', 2988551456, 2988551471, 'IE', 'Ireland'),
(90536, '178.33.173.48', '178.33.173.51', 2988551472, 2988551475, 'FR', 'France'),
(90537, '178.33.173.52', '178.33.173.63', 2988551476, 2988551487, 'IE', 'Ireland'),
(90538, '178.33.173.64', '178.33.173.79', 2988551488, 2988551503, 'PL', 'Poland'),
(90539, '178.33.173.80', '178.33.173.95', 2988551504, 2988551519, 'FR', 'France'),
(90540, '178.33.173.96', '178.33.173.111', 2988551520, 2988551535, 'ES', 'Spain'),
(90541, '178.33.173.112', '178.33.173.119', 2988551536, 2988551543, 'FR', 'France'),
(90542, '178.33.173.120', '178.33.173.123', 2988551544, 2988551547, 'GB', 'United Kingdom'),
(90543, '178.33.173.124', '178.33.173.127', 2988551548, 2988551551, 'DE', 'Germany'),
(90544, '178.33.173.128', '178.33.173.143', 2988551552, 2988551567, 'PL', 'Poland'),
(90545, '178.33.173.144', '178.33.173.159', 2988551568, 2988551583, 'IE', 'Ireland'),
(90546, '178.33.173.160', '178.33.173.179', 2988551584, 2988551603, 'FR', 'France'),
(90547, '178.33.173.180', '178.33.173.183', 2988551604, 2988551607, 'NL', 'Netherlands'),
(90548, '178.33.173.184', '178.33.173.191', 2988551608, 2988551615, 'GB', 'United Kingdom'),
(90549, '178.33.173.192', '178.33.173.207', 2988551616, 2988551631, 'ES', 'Spain'),
(90550, '178.33.173.208', '178.33.173.215', 2988551632, 2988551639, 'FR', 'France'),
(90551, '178.33.173.216', '178.33.173.219', 2988551640, 2988551643, 'GB', 'United Kingdom'),
(90552, '178.33.173.220', '178.33.173.223', 2988551644, 2988551647, 'FR', 'France'),
(90553, '178.33.173.224', '178.33.173.227', 2988551648, 2988551651, 'PL', 'Poland'),
(90554, '178.33.173.228', '178.33.173.231', 2988551652, 2988551655, 'GB', 'United Kingdom'),
(90555, '178.33.173.232', '178.33.173.239', 2988551656, 2988551663, 'ES', 'Spain'),
(90556, '178.33.173.240', '178.33.174.95', 2988551664, 2988551775, 'FR', 'France'),
(90557, '178.33.174.96', '178.33.174.127', 2988551776, 2988551807, 'PL', 'Poland'),
(90558, '178.33.174.128', '178.33.174.243', 2988551808, 2988551923, 'FR', 'France'),
(90559, '178.33.174.244', '178.33.174.247', 2988551924, 2988551927, 'ES', 'Spain'),
(90560, '178.33.174.248', '178.33.174.251', 2988551928, 2988551931, 'PL', 'Poland'),
(90561, '178.33.174.252', '178.33.174.255', 2988551932, 2988551935, 'FR', 'France'),
(90562, '178.33.175.0', '178.33.175.255', 2988551936, 2988552191, 'GB', 'United Kingdom'),
(90563, '178.33.176.0', '178.33.176.127', 2988552192, 2988552319, 'NL', 'Netherlands'),
(90564, '178.33.176.128', '178.33.176.255', 2988552320, 2988552447, 'FR', 'France'),
(90565, '178.33.177.0', '178.33.177.31', 2988552448, 2988552479, 'GB', 'United Kingdom'),
(90566, '178.33.177.32', '178.33.177.63', 2988552480, 2988552511, 'CH', 'Switzerland'),
(90567, '178.33.177.64', '178.33.177.103', 2988552512, 2988552551, 'BE', 'Belgium'),
(90568, '178.33.177.104', '178.33.177.111', 2988552552, 2988552559, 'IE', 'Ireland'),
(90569, '178.33.177.112', '178.33.177.115', 2988552560, 2988552563, 'FR', 'France'),
(90570, '178.33.177.116', '178.33.177.119', 2988552564, 2988552567, 'IE', 'Ireland'),
(90571, '178.33.177.120', '178.33.177.127', 2988552568, 2988552575, 'FR', 'France'),
(90572, '178.33.177.128', '178.33.177.131', 2988552576, 2988552579, 'CH', 'Switzerland'),
(90573, '178.33.177.132', '178.33.177.135', 2988552580, 2988552583, 'DE', 'Germany'),
(90574, '178.33.177.136', '178.33.177.139', 2988552584, 2988552587, 'FR', 'France'),
(90575, '178.33.177.140', '178.33.177.143', 2988552588, 2988552591, 'PL', 'Poland'),
(90576, '178.33.177.144', '178.33.177.151', 2988552592, 2988552599, 'NL', 'Netherlands'),
(90577, '178.33.177.152', '178.33.177.155', 2988552600, 2988552603, 'FR', 'France'),
(90578, '178.33.177.156', '178.33.177.159', 2988552604, 2988552607, 'DE', 'Germany'),
(90579, '178.33.177.160', '178.33.177.163', 2988552608, 2988552611, 'GB', 'United Kingdom'),
(90580, '178.33.177.164', '178.33.177.167', 2988552612, 2988552615, 'FR', 'France'),
(90581, '178.33.177.168', '178.33.177.171', 2988552616, 2988552619, 'GB', 'United Kingdom'),
(90582, '178.33.177.172', '178.33.177.175', 2988552620, 2988552623, 'PL', 'Poland'),
(90583, '178.33.177.176', '178.33.177.179', 2988552624, 2988552627, 'FR', 'France'),
(90584, '178.33.177.180', '178.33.177.183', 2988552628, 2988552631, 'CZ', 'Czech Republic'),
(90585, '178.33.177.184', '178.33.177.187', 2988552632, 2988552635, 'IE', 'Ireland'),
(90586, '178.33.177.188', '178.33.177.191', 2988552636, 2988552639, 'FR', 'France'),
(90587, '178.33.177.192', '178.33.177.199', 2988552640, 2988552647, 'PL', 'Poland'),
(90588, '178.33.177.200', '178.33.177.203', 2988552648, 2988552651, 'PT', 'Portugal'),
(90589, '178.33.177.204', '178.33.177.207', 2988552652, 2988552655, 'FR', 'France'),
(90590, '178.33.177.208', '178.33.177.211', 2988552656, 2988552659, 'CH', 'Switzerland'),
(90591, '178.33.177.212', '178.33.177.215', 2988552660, 2988552663, 'DE', 'Germany'),
(90592, '178.33.177.216', '178.33.177.255', 2988552664, 2988552703, 'FR', 'France'),
(90593, '178.33.178.0', '178.33.178.7', 2988552704, 2988552711, 'ES', 'Spain'),
(90594, '178.33.178.8', '178.33.178.11', 2988552712, 2988552715, 'PT', 'Portugal'),
(90595, '178.33.178.12', '178.33.178.15', 2988552716, 2988552719, 'FR', 'France'),
(90596, '178.33.178.16', '178.33.178.31', 2988552720, 2988552735, 'DE', 'Germany'),
(90597, '178.33.178.32', '178.33.178.47', 2988552736, 2988552751, 'FR', 'France'),
(90598, '178.33.178.48', '178.33.178.63', 2988552752, 2988552767, 'ES', 'Spain'),
(90599, '178.33.178.64', '178.33.178.67', 2988552768, 2988552771, 'DE', 'Germany'),
(90600, '178.33.178.68', '178.33.178.75', 2988552772, 2988552779, 'FR', 'France'),
(90601, '178.33.178.76', '178.33.178.79', 2988552780, 2988552783, 'PL', 'Poland'),
(90602, '178.33.178.80', '178.33.178.83', 2988552784, 2988552787, 'GB', 'United Kingdom'),
(90603, '178.33.178.84', '178.33.178.91', 2988552788, 2988552795, 'FR', 'France'),
(90604, '178.33.178.92', '178.33.178.95', 2988552796, 2988552799, 'PL', 'Poland'),
(90605, '178.33.178.96', '178.33.178.127', 2988552800, 2988552831, 'ES', 'Spain'),
(90606, '178.33.178.128', '178.33.178.135', 2988552832, 2988552839, 'BE', 'Belgium'),
(90607, '178.33.178.136', '178.33.178.143', 2988552840, 2988552847, 'DE', 'Germany'),
(90608, '178.33.178.144', '178.33.178.159', 2988552848, 2988552863, 'FR', 'France'),
(90609, '178.33.178.160', '178.33.178.175', 2988552864, 2988552879, 'NL', 'Netherlands'),
(90610, '178.33.178.176', '178.33.178.183', 2988552880, 2988552887, 'FR', 'France'),
(90611, '178.33.178.184', '178.33.178.187', 2988552888, 2988552891, 'PL', 'Poland'),
(90612, '178.33.178.188', '178.33.178.191', 2988552892, 2988552895, 'FI', 'Finland'),
(90613, '178.33.178.192', '178.33.178.207', 2988552896, 2988552911, 'CZ', 'Czech Republic'),
(90614, '178.33.178.208', '178.33.178.211', 2988552912, 2988552915, 'FR', 'France'),
(90615, '178.33.178.212', '178.33.178.215', 2988552916, 2988552919, 'DE', 'Germany'),
(90616, '178.33.178.216', '178.33.178.255', 2988552920, 2988552959, 'FR', 'France'),
(90617, '178.33.179.0', '178.33.179.15', 2988552960, 2988552975, 'ES', 'Spain'),
(90618, '178.33.179.16', '178.33.179.31', 2988552976, 2988552991, 'FR', 'France'),
(90619, '178.33.179.32', '178.33.179.35', 2988552992, 2988552995, 'ES', 'Spain'),
(90620, '178.33.179.36', '178.33.179.39', 2988552996, 2988552999, 'CH', 'Switzerland'),
(90621, '178.33.179.40', '178.33.179.43', 2988553000, 2988553003, 'FR', 'France'),
(90622, '178.33.179.44', '178.33.179.47', 2988553004, 2988553007, 'NL', 'Netherlands'),
(90623, '178.33.179.48', '178.33.179.63', 2988553008, 2988553023, 'IE', 'Ireland'),
(90624, '178.33.179.64', '178.33.179.127', 2988553024, 2988553087, 'LT', 'Lithuania'),
(90625, '178.33.179.128', '178.33.179.159', 2988553088, 2988553119, 'PL', 'Poland'),
(90626, '178.33.179.160', '178.33.179.175', 2988553120, 2988553135, 'ES', 'Spain'),
(90627, '178.33.179.176', '178.33.179.191', 2988553136, 2988553151, 'FR', 'France'),
(90628, '178.33.179.192', '178.33.179.207', 2988553152, 2988553167, 'GB', 'United Kingdom'),
(90629, '178.33.179.208', '178.33.179.215', 2988553168, 2988553175, 'FR', 'France'),
(90630, '178.33.179.216', '178.33.179.219', 2988553176, 2988553179, 'IT', 'Italy'),
(90631, '178.33.179.220', '178.33.179.255', 2988553180, 2988553215, 'FR', 'France'),
(90632, '178.33.180.0', '178.33.180.3', 2988553216, 2988553219, 'GB', 'United Kingdom'),
(90633, '178.33.180.4', '178.33.180.7', 2988553220, 2988553223, 'IT', 'Italy'),
(90634, '178.33.180.8', '178.33.180.11', 2988553224, 2988553227, 'GB', 'United Kingdom'),
(90635, '178.33.180.12', '178.33.180.15', 2988553228, 2988553231, 'DE', 'Germany'),
(90636, '178.33.180.16', '178.33.180.19', 2988553232, 2988553235, 'ES', 'Spain'),
(90637, '178.33.180.20', '178.33.180.23', 2988553236, 2988553239, 'IE', 'Ireland'),
(90638, '178.33.180.24', '178.33.180.39', 2988553240, 2988553255, 'FR', 'France'),
(90639, '178.33.180.40', '178.33.180.47', 2988553256, 2988553263, 'CH', 'Switzerland'),
(90640, '178.33.180.48', '178.33.180.63', 2988553264, 2988553279, 'FR', 'France'),
(90641, '178.33.180.64', '178.33.180.79', 2988553280, 2988553295, 'PL', 'Poland'),
(90642, '178.33.180.80', '178.33.180.83', 2988553296, 2988553299, 'FR', 'France'),
(90643, '178.33.180.84', '178.33.180.87', 2988553300, 2988553303, 'PL', 'Poland'),
(90644, '178.33.180.88', '178.33.180.95', 2988553304, 2988553311, 'BE', 'Belgium'),
(90645, '178.33.180.96', '178.33.180.99', 2988553312, 2988553315, 'FR', 'France'),
(90646, '178.33.180.100', '178.33.180.103', 2988553316, 2988553319, 'PL', 'Poland'),
(90647, '178.33.180.104', '178.33.180.107', 2988553320, 2988553323, 'CH', 'Switzerland'),
(90648, '178.33.180.108', '178.33.180.111', 2988553324, 2988553327, 'NL', 'Netherlands'),
(90649, '178.33.180.112', '178.33.180.127', 2988553328, 2988553343, 'GB', 'United Kingdom'),
(90650, '178.33.180.128', '178.33.180.143', 2988553344, 2988553359, 'IE', 'Ireland'),
(90651, '178.33.180.144', '178.33.180.151', 2988553360, 2988553367, 'FR', 'France'),
(90652, '178.33.180.152', '178.33.180.159', 2988553368, 2988553375, 'PL', 'Poland'),
(90653, '178.33.180.160', '178.33.180.183', 2988553376, 2988553399, 'FR', 'France'),
(90654, '178.33.180.184', '178.33.180.187', 2988553400, 2988553403, 'ES', 'Spain'),
(90655, '178.33.180.188', '178.33.180.191', 2988553404, 2988553407, 'GB', 'United Kingdom'),
(90656, '178.33.180.192', '178.33.180.215', 2988553408, 2988553431, 'IE', 'Ireland'),
(90657, '178.33.180.216', '178.33.180.255', 2988553432, 2988553471, 'FR', 'France'),
(90658, '178.33.181.0', '178.33.181.31', 2988553472, 2988553503, 'NL', 'Netherlands'),
(90659, '178.33.181.32', '178.33.181.35', 2988553504, 2988553507, 'ES', 'Spain'),
(90660, '178.33.181.36', '178.33.181.47', 2988553508, 2988553519, 'FR', 'France'),
(90661, '178.33.181.48', '178.33.181.55', 2988553520, 2988553527, 'GB', 'United Kingdom'),
(90662, '178.33.181.56', '178.33.181.59', 2988553528, 2988553531, 'CH', 'Switzerland'),
(90663, '178.33.181.60', '178.33.181.79', 2988553532, 2988553551, 'FR', 'France'),
(90664, '178.33.181.80', '178.33.181.95', 2988553552, 2988553567, 'PL', 'Poland'),
(90665, '178.33.181.96', '178.33.181.111', 2988553568, 2988553583, 'PT', 'Portugal'),
(90666, '178.33.181.112', '178.33.181.127', 2988553584, 2988553599, 'IE', 'Ireland'),
(90667, '178.33.181.128', '178.33.181.139', 2988553600, 2988553611, 'GB', 'United Kingdom'),
(90668, '178.33.181.140', '178.33.181.159', 2988553612, 2988553631, 'FR', 'France'),
(90669, '178.33.181.160', '178.33.181.167', 2988553632, 2988553639, 'PL', 'Poland'),
(90670, '178.33.181.168', '178.33.181.171', 2988553640, 2988553643, 'IE', 'Ireland'),
(90671, '178.33.181.172', '178.33.181.175', 2988553644, 2988553647, 'FR', 'France'),
(90672, '178.33.181.176', '178.33.181.179', 2988553648, 2988553651, 'NL', 'Netherlands'),
(90673, '178.33.181.180', '178.33.181.183', 2988553652, 2988553655, 'PL', 'Poland'),
(90674, '178.33.181.184', '178.33.181.191', 2988553656, 2988553663, 'FR', 'France'),
(90675, '178.33.181.192', '178.33.181.207', 2988553664, 2988553679, 'LT', 'Lithuania'),
(90676, '178.33.181.208', '178.33.181.255', 2988553680, 2988553727, 'FR', 'France'),
(90677, '178.33.182.0', '178.33.182.7', 2988553728, 2988553735, 'PL', 'Poland'),
(90678, '178.33.182.8', '178.33.182.11', 2988553736, 2988553739, 'DE', 'Germany'),
(90679, '178.33.182.12', '178.33.182.15', 2988553740, 2988553743, 'PL', 'Poland'),
(90680, '178.33.182.16', '178.33.182.19', 2988553744, 2988553747, 'FR', 'France'),
(90681, '178.33.182.20', '178.33.182.23', 2988553748, 2988553751, 'LT', 'Lithuania'),
(90682, '178.33.182.24', '178.33.182.27', 2988553752, 2988553755, 'PL', 'Poland'),
(90683, '178.33.182.28', '178.33.182.31', 2988553756, 2988553759, 'ES', 'Spain'),
(90684, '178.33.182.32', '178.33.182.63', 2988553760, 2988553791, 'FR', 'France'),
(90685, '178.33.182.64', '178.33.182.95', 2988553792, 2988553823, 'IE', 'Ireland'),
(90686, '178.33.182.96', '178.33.182.127', 2988553824, 2988553855, 'IT', 'Italy'),
(90687, '178.33.182.128', '178.33.182.191', 2988553856, 2988553919, 'BE', 'Belgium'),
(90688, '178.33.182.192', '178.33.182.195', 2988553920, 2988553923, 'GB', 'United Kingdom'),
(90689, '178.33.182.196', '178.33.182.199', 2988553924, 2988553927, 'ES', 'Spain'),
(90690, '178.33.182.200', '178.33.182.203', 2988553928, 2988553931, 'FR', 'France'),
(90691, '178.33.182.204', '178.33.182.207', 2988553932, 2988553935, 'PL', 'Poland'),
(90692, '178.33.182.208', '178.33.182.223', 2988553936, 2988553951, 'FR', 'France'),
(90693, '178.33.182.224', '178.33.182.227', 2988553952, 2988553955, 'ES', 'Spain'),
(90694, '178.33.182.228', '178.33.182.231', 2988553956, 2988553959, 'PL', 'Poland'),
(90695, '178.33.182.232', '178.33.182.239', 2988553960, 2988553967, 'FR', 'France'),
(90696, '178.33.182.240', '178.33.182.243', 2988553968, 2988553971, 'PL', 'Poland'),
(90697, '178.33.182.244', '178.33.182.247', 2988553972, 2988553975, 'FR', 'France'),
(90698, '178.33.182.248', '178.33.183.31', 2988553976, 2988554015, 'DE', 'Germany'),
(90699, '178.33.183.32', '178.33.183.51', 2988554016, 2988554035, 'FR', 'France'),
(90700, '178.33.183.52', '178.33.183.55', 2988554036, 2988554039, 'PL', 'Poland'),
(90701, '178.33.183.56', '178.33.183.59', 2988554040, 2988554043, 'BE', 'Belgium'),
(90702, '178.33.183.60', '178.33.183.91', 2988554044, 2988554075, 'FR', 'France'),
(90703, '178.33.183.92', '178.33.183.95', 2988554076, 2988554079, 'CH', 'Switzerland'),
(90704, '178.33.183.96', '178.33.183.143', 2988554080, 2988554127, 'FR', 'France'),
(90705, '178.33.183.144', '178.33.183.147', 2988554128, 2988554131, 'GB', 'United Kingdom'),
(90706, '178.33.183.148', '178.33.183.151', 2988554132, 2988554135, 'FR', 'France'),
(90707, '178.33.183.152', '178.33.183.155', 2988554136, 2988554139, 'DE', 'Germany'),
(90708, '178.33.183.156', '178.33.183.159', 2988554140, 2988554143, 'PL', 'Poland'),
(90709, '178.33.183.160', '178.33.183.183', 2988554144, 2988554167, 'FR', 'France'),
(90710, '178.33.183.184', '178.33.183.187', 2988554168, 2988554171, 'PL', 'Poland'),
(90711, '178.33.183.188', '178.33.183.191', 2988554172, 2988554175, 'DE', 'Germany'),
(90712, '178.33.183.192', '178.33.183.199', 2988554176, 2988554183, 'FR', 'France'),
(90713, '178.33.183.200', '178.33.183.207', 2988554184, 2988554191, 'CH', 'Switzerland'),
(90714, '178.33.183.208', '178.33.183.211', 2988554192, 2988554195, 'FR', 'France'),
(90715, '178.33.183.212', '178.33.183.215', 2988554196, 2988554199, 'DE', 'Germany'),
(90716, '178.33.183.216', '178.33.183.239', 2988554200, 2988554223, 'FR', 'France'),
(90717, '178.33.183.240', '178.33.183.255', 2988554224, 2988554239, 'IT', 'Italy'),
(90718, '178.33.184.0', '178.33.184.255', 2988554240, 2988554495, 'ES', 'Spain'),
(90719, '178.33.185.0', '178.33.185.3', 2988554496, 2988554499, 'FR', 'France'),
(90720, '178.33.185.4', '178.33.185.7', 2988554500, 2988554503, 'GB', 'United Kingdom'),
(90721, '178.33.185.8', '178.33.185.11', 2988554504, 2988554507, 'FI', 'Finland'),
(90722, '178.33.185.12', '178.33.185.15', 2988554508, 2988554511, 'PL', 'Poland'),
(90723, '178.33.185.16', '178.33.185.23', 2988554512, 2988554519, 'BE', 'Belgium'),
(90724, '178.33.185.24', '178.33.185.27', 2988554520, 2988554523, 'DE', 'Germany'),
(90725, '178.33.185.28', '178.33.185.31', 2988554524, 2988554527, 'FR', 'France'),
(90726, '178.33.185.32', '178.33.185.39', 2988554528, 2988554535, 'ES', 'Spain'),
(90727, '178.33.185.40', '178.33.185.43', 2988554536, 2988554539, 'DE', 'Germany'),
(90728, '178.33.185.44', '178.33.185.47', 2988554540, 2988554543, 'GB', 'United Kingdom'),
(90729, '178.33.185.48', '178.33.185.59', 2988554544, 2988554555, 'FR', 'France'),
(90730, '178.33.185.60', '178.33.185.63', 2988554556, 2988554559, 'DE', 'Germany'),
(90731, '178.33.185.64', '178.33.185.127', 2988554560, 2988554623, 'IT', 'Italy'),
(90732, '178.33.185.128', '178.33.185.191', 2988554624, 2988554687, 'PL', 'Poland'),
(90733, '178.33.185.192', '178.33.185.255', 2988554688, 2988554751, 'FR', 'France'),
(90734, '178.33.186.0', '178.33.186.31', 2988554752, 2988554783, 'CH', 'Switzerland'),
(90735, '178.33.186.32', '178.33.186.35', 2988554784, 2988554787, 'DE', 'Germany'),
(90736, '178.33.186.36', '178.33.186.39', 2988554788, 2988554791, 'PL', 'Poland'),
(90737, '178.33.186.40', '178.33.186.43', 2988554792, 2988554795, 'FR', 'France'),
(90738, '178.33.186.44', '178.33.186.47', 2988554796, 2988554799, 'IT', 'Italy'),
(90739, '178.33.186.48', '178.33.186.55', 2988554800, 2988554807, 'GB', 'United Kingdom'),
(90740, '178.33.186.56', '178.33.186.63', 2988554808, 2988554815, 'FR', 'France'),
(90741, '178.33.186.64', '178.33.186.127', 2988554816, 2988554879, 'GB', 'United Kingdom'),
(90742, '178.33.186.128', '178.33.186.167', 2988554880, 2988554919, 'FR', 'France'),
(90743, '178.33.186.168', '178.33.186.171', 2988554920, 2988554923, 'PL', 'Poland'),
(90744, '178.33.186.172', '178.33.186.175', 2988554924, 2988554927, 'PT', 'Portugal'),
(90745, '178.33.186.176', '178.33.186.179', 2988554928, 2988554931, 'DE', 'Germany'),
(90746, '178.33.186.180', '178.33.186.183', 2988554932, 2988554935, 'ES', 'Spain'),
(90747, '178.33.186.184', '178.33.186.191', 2988554936, 2988554943, 'FR', 'France'),
(90748, '178.33.186.192', '178.33.186.255', 2988554944, 2988555007, 'GB', 'United Kingdom'),
(90749, '178.33.187.0', '178.33.187.47', 2988555008, 2988555055, 'FR', 'France'),
(90750, '178.33.187.48', '178.33.187.63', 2988555056, 2988555071, 'GB', 'United Kingdom'),
(90751, '178.33.187.64', '178.33.187.67', 2988555072, 2988555075, 'PT', 'Portugal'),
(90752, '178.33.187.68', '178.33.187.71', 2988555076, 2988555079, 'DE', 'Germany'),
(90753, '178.33.187.72', '178.33.187.75', 2988555080, 2988555083, 'IT', 'Italy'),
(90754, '178.33.187.76', '178.33.187.79', 2988555084, 2988555087, 'LT', 'Lithuania'),
(90755, '178.33.187.80', '178.33.187.83', 2988555088, 2988555091, 'FI', 'Finland'),
(90756, '178.33.187.84', '178.33.187.91', 2988555092, 2988555099, 'FR', 'France'),
(90757, '178.33.187.92', '178.33.187.95', 2988555100, 2988555103, 'IT', 'Italy'),
(90758, '178.33.187.96', '178.33.187.99', 2988555104, 2988555107, 'GB', 'United Kingdom'),
(90759, '178.33.187.100', '178.33.187.103', 2988555108, 2988555111, 'IT', 'Italy'),
(90760, '178.33.187.104', '178.33.187.107', 2988555112, 2988555115, 'FR', 'France'),
(90761, '178.33.187.108', '178.33.187.111', 2988555116, 2988555119, 'PT', 'Portugal'),
(90762, '178.33.187.112', '178.33.187.115', 2988555120, 2988555123, 'DE', 'Germany'),
(90763, '178.33.187.116', '178.33.187.123', 2988555124, 2988555131, 'ES', 'Spain'),
(90764, '178.33.187.124', '178.33.187.127', 2988555132, 2988555135, 'GB', 'United Kingdom'),
(90765, '178.33.187.128', '178.33.187.143', 2988555136, 2988555151, 'FR', 'France'),
(90766, '178.33.187.144', '178.33.187.151', 2988555152, 2988555159, 'NL', 'Netherlands'),
(90767, '178.33.187.152', '178.33.187.155', 2988555160, 2988555163, 'PL', 'Poland'),
(90768, '178.33.187.156', '178.33.187.159', 2988555164, 2988555167, 'IE', 'Ireland'),
(90769, '178.33.187.160', '178.33.187.175', 2988555168, 2988555183, 'DE', 'Germany'),
(90770, '178.33.187.176', '178.33.187.179', 2988555184, 2988555187, 'GB', 'United Kingdom'),
(90771, '178.33.187.180', '178.33.187.183', 2988555188, 2988555191, 'NL', 'Netherlands'),
(90772, '178.33.187.184', '178.33.187.191', 2988555192, 2988555199, 'PL', 'Poland'),
(90773, '178.33.187.192', '178.33.187.195', 2988555200, 2988555203, 'NL', 'Netherlands'),
(90774, '178.33.187.196', '178.33.187.199', 2988555204, 2988555207, 'FR', 'France'),
(90775, '178.33.187.200', '178.33.187.203', 2988555208, 2988555211, 'NL', 'Netherlands'),
(90776, '178.33.187.204', '178.33.187.207', 2988555212, 2988555215, 'DE', 'Germany'),
(90777, '178.33.187.208', '178.33.188.255', 2988555216, 2988555519, 'FR', 'France'),
(90778, '178.33.189.0', '178.33.189.7', 2988555520, 2988555527, 'IE', 'Ireland'),
(90779, '178.33.189.8', '178.33.189.11', 2988555528, 2988555531, 'ES', 'Spain'),
(90780, '178.33.189.12', '178.33.189.15', 2988555532, 2988555535, 'FR', 'France'),
(90781, '178.33.189.16', '178.33.189.23', 2988555536, 2988555543, 'ES', 'Spain'),
(90782, '178.33.189.24', '178.33.189.39', 2988555544, 2988555559, 'FR', 'France'),
(90783, '178.33.189.40', '178.33.189.43', 2988555560, 2988555563, 'DE', 'Germany'),
(90784, '178.33.189.44', '178.33.189.127', 2988555564, 2988555647, 'FR', 'France'),
(90785, '178.33.189.128', '178.33.189.191', 2988555648, 2988555711, 'GB', 'United Kingdom'),
(90786, '178.33.189.192', '178.33.189.195', 2988555712, 2988555715, 'PL', 'Poland'),
(90787, '178.33.189.196', '178.33.189.199', 2988555716, 2988555719, 'ES', 'Spain'),
(90788, '178.33.189.200', '178.33.189.207', 2988555720, 2988555727, 'FR', 'France'),
(90789, '178.33.189.208', '178.33.189.211', 2988555728, 2988555731, 'GB', 'United Kingdom'),
(90790, '178.33.189.212', '178.33.189.215', 2988555732, 2988555735, 'PL', 'Poland'),
(90791, '178.33.189.216', '178.33.189.223', 2988555736, 2988555743, 'ES', 'Spain'),
(90792, '178.33.189.224', '178.33.190.255', 2988555744, 2988556031, 'FR', 'France'),
(90793, '178.33.191.0', '178.33.191.63', 2988556032, 2988556095, 'DE', 'Germany'),
(90794, '178.33.191.64', '178.33.191.71', 2988556096, 2988556103, 'FR', 'France'),
(90795, '178.33.191.72', '178.33.191.75', 2988556104, 2988556107, 'DE', 'Germany'),
(90796, '178.33.191.76', '178.33.191.79', 2988556108, 2988556111, 'FR', 'France'),
(90797, '178.33.191.80', '178.33.191.83', 2988556112, 2988556115, 'PL', 'Poland'),
(90798, '178.33.191.84', '178.33.191.87', 2988556116, 2988556119, 'NL', 'Netherlands'),
(90799, '178.33.191.88', '178.33.191.91', 2988556120, 2988556123, 'FR', 'France'),
(90800, '178.33.191.92', '178.33.191.95', 2988556124, 2988556127, 'NL', 'Netherlands'),
(90801, '178.33.191.96', '178.33.191.127', 2988556128, 2988556159, 'FR', 'France'),
(90802, '178.33.191.128', '178.33.191.143', 2988556160, 2988556175, 'NL', 'Netherlands'),
(90803, '178.33.191.144', '178.33.191.147', 2988556176, 2988556179, 'DE', 'Germany'),
(90804, '178.33.191.148', '178.33.191.151', 2988556180, 2988556183, 'IT', 'Italy'),
(90805, '178.33.191.152', '178.33.191.155', 2988556184, 2988556187, 'GB', 'United Kingdom'),
(90806, '178.33.191.156', '178.33.191.159', 2988556188, 2988556191, 'ES', 'Spain'),
(90807, '178.33.191.160', '178.33.191.163', 2988556192, 2988556195, 'NL', 'Netherlands'),
(90808, '178.33.191.164', '178.33.191.167', 2988556196, 2988556199, 'FR', 'France'),
(90809, '178.33.191.168', '178.33.191.171', 2988556200, 2988556203, 'CZ', 'Czech Republic'),
(90810, '178.33.191.172', '178.33.191.175', 2988556204, 2988556207, 'FI', 'Finland'),
(90811, '178.33.191.176', '178.33.191.179', 2988556208, 2988556211, 'PT', 'Portugal'),
(90812, '178.33.191.180', '178.33.191.183', 2988556212, 2988556215, 'FR', 'France'),
(90813, '178.33.191.184', '178.33.191.187', 2988556216, 2988556219, 'LT', 'Lithuania'),
(90814, '178.33.191.188', '178.33.191.191', 2988556220, 2988556223, 'FI', 'Finland'),
(90815, '178.33.191.192', '178.33.191.199', 2988556224, 2988556231, 'FR', 'France'),
(90816, '178.33.191.200', '178.33.191.203', 2988556232, 2988556235, 'DE', 'Germany'),
(90817, '178.33.191.204', '178.33.191.207', 2988556236, 2988556239, 'PL', 'Poland'),
(90818, '178.33.191.208', '178.33.191.219', 2988556240, 2988556251, 'FR', 'France'),
(90819, '178.33.191.220', '178.33.191.223', 2988556252, 2988556255, 'CZ', 'Czech Republic'),
(90820, '178.33.191.224', '178.33.191.227', 2988556256, 2988556259, 'ES', 'Spain'),
(90821, '178.33.191.228', '178.33.191.239', 2988556260, 2988556271, 'GB', 'United Kingdom'),
(90822, '178.33.191.240', '178.33.191.243', 2988556272, 2988556275, 'FR', 'France'),
(90823, '178.33.191.244', '178.33.191.247', 2988556276, 2988556279, 'LT', 'Lithuania'),
(90824, '178.33.191.248', '178.33.191.251', 2988556280, 2988556283, 'PL', 'Poland'),
(90825, '178.33.191.252', '178.33.191.255', 2988556284, 2988556287, 'GB', 'United Kingdom'),
(90826, '178.33.192.0', '178.33.192.7', 2988556288, 2988556295, 'PL', 'Poland'),
(90827, '178.33.192.8', '178.33.192.15', 2988556296, 2988556303, 'FR', 'France'),
(90828, '178.33.192.16', '178.33.192.23', 2988556304, 2988556311, 'PL', 'Poland'),
(90829, '178.33.192.24', '178.33.192.27', 2988556312, 2988556315, 'FR', 'France'),
(90830, '178.33.192.28', '178.33.192.31', 2988556316, 2988556319, 'DE', 'Germany'),
(90831, '178.33.192.32', '178.33.192.63', 2988556320, 2988556351, 'GB', 'United Kingdom'),
(90832, '178.33.192.64', '178.33.192.67', 2988556352, 2988556355, 'DE', 'Germany'),
(90833, '178.33.192.68', '178.33.192.71', 2988556356, 2988556359, 'PL', 'Poland'),
(90834, '178.33.192.72', '178.33.192.95', 2988556360, 2988556383, 'FR', 'France'),
(90835, '178.33.192.96', '178.33.192.127', 2988556384, 2988556415, 'DE', 'Germany'),
(90836, '178.33.192.128', '178.33.192.131', 2988556416, 2988556419, 'IT', 'Italy'),
(90837, '178.33.192.132', '178.33.192.135', 2988556420, 2988556423, 'FR', 'France'),
(90838, '178.33.192.136', '178.33.192.139', 2988556424, 2988556427, 'BE', 'Belgium'),
(90839, '178.33.192.140', '178.33.192.143', 2988556428, 2988556431, 'ES', 'Spain'),
(90840, '178.33.192.144', '178.33.192.147', 2988556432, 2988556435, 'GB', 'United Kingdom'),
(90841, '178.33.192.148', '178.33.192.151', 2988556436, 2988556439, 'FI', 'Finland'),
(90842, '178.33.192.152', '178.33.192.155', 2988556440, 2988556443, 'FR', 'France'),
(90843, '178.33.192.156', '178.33.192.159', 2988556444, 2988556447, 'PL', 'Poland'),
(90844, '178.33.192.160', '178.33.192.163', 2988556448, 2988556451, 'NL', 'Netherlands'),
(90845, '178.33.192.164', '178.33.192.175', 2988556452, 2988556463, 'FR', 'France'),
(90846, '178.33.192.176', '178.33.192.191', 2988556464, 2988556479, 'GB', 'United Kingdom'),
(90847, '178.33.192.192', '178.33.192.199', 2988556480, 2988556487, 'IT', 'Italy'),
(90848, '178.33.192.200', '178.33.192.203', 2988556488, 2988556491, 'PL', 'Poland'),
(90849, '178.33.192.204', '178.33.192.207', 2988556492, 2988556495, 'DE', 'Germany'),
(90850, '178.33.192.208', '178.33.192.239', 2988556496, 2988556527, 'FR', 'France'),
(90851, '178.33.192.240', '178.33.192.247', 2988556528, 2988556535, 'PL', 'Poland'),
(90852, '178.33.192.248', '178.33.192.251', 2988556536, 2988556539, 'FR', 'France'),
(90853, '178.33.192.252', '178.33.192.255', 2988556540, 2988556543, 'DE', 'Germany'),
(90854, '178.33.193.0', '178.33.194.31', 2988556544, 2988556831, 'FR', 'France'),
(90855, '178.33.194.32', '178.33.194.39', 2988556832, 2988556839, 'DE', 'Germany'),
(90856, '178.33.194.40', '178.33.194.47', 2988556840, 2988556847, 'FR', 'France'),
(90857, '178.33.194.48', '178.33.194.55', 2988556848, 2988556855, 'ES', 'Spain'),
(90858, '178.33.194.56', '178.33.194.63', 2988556856, 2988556863, 'GB', 'United Kingdom'),
(90859, '178.33.194.64', '178.33.194.71', 2988556864, 2988556871, 'PT', 'Portugal'),
(90860, '178.33.194.72', '178.33.194.75', 2988556872, 2988556875, 'BE', 'Belgium'),
(90861, '178.33.194.76', '178.33.194.79', 2988556876, 2988556879, 'FR', 'France'),
(90862, '178.33.194.80', '178.33.194.83', 2988556880, 2988556883, 'ES', 'Spain'),
(90863, '178.33.194.84', '178.33.194.87', 2988556884, 2988556887, 'DE', 'Germany'),
(90864, '178.33.194.88', '178.33.194.91', 2988556888, 2988556891, 'BE', 'Belgium'),
(90865, '178.33.194.92', '178.33.194.95', 2988556892, 2988556895, 'FR', 'France'),
(90866, '178.33.194.96', '178.33.194.111', 2988556896, 2988556911, 'PL', 'Poland'),
(90867, '178.33.194.112', '178.33.194.119', 2988556912, 2988556919, 'NL', 'Netherlands'),
(90868, '178.33.194.120', '178.33.194.127', 2988556920, 2988556927, 'PL', 'Poland'),
(90869, '178.33.194.128', '178.33.194.143', 2988556928, 2988556943, 'FR', 'France'),
(90870, '178.33.194.144', '178.33.194.163', 2988556944, 2988556963, 'PL', 'Poland'),
(90871, '178.33.194.164', '178.33.194.167', 2988556964, 2988556967, 'FR', 'France'),
(90872, '178.33.194.168', '178.33.194.175', 2988556968, 2988556975, 'BE', 'Belgium'),
(90873, '178.33.194.176', '178.33.194.179', 2988556976, 2988556979, 'FI', 'Finland'),
(90874, '178.33.194.180', '178.33.194.199', 2988556980, 2988556999, 'FR', 'France'),
(90875, '178.33.194.200', '178.33.194.203', 2988557000, 2988557003, 'BE', 'Belgium'),
(90876, '178.33.194.204', '178.33.194.207', 2988557004, 2988557007, 'ES', 'Spain'),
(90877, '178.33.194.208', '178.33.194.223', 2988557008, 2988557023, 'FR', 'France'),
(90878, '178.33.194.224', '178.33.194.239', 2988557024, 2988557039, 'IE', 'Ireland'),
(90879, '178.33.194.240', '178.33.194.243', 2988557040, 2988557043, 'PT', 'Portugal'),
(90880, '178.33.194.244', '178.33.194.247', 2988557044, 2988557047, 'BE', 'Belgium'),
(90881, '178.33.194.248', '178.33.194.255', 2988557048, 2988557055, 'PL', 'Poland'),
(90882, '178.33.195.0', '178.33.195.3', 2988557056, 2988557059, 'ES', 'Spain'),
(90883, '178.33.195.4', '178.33.195.7', 2988557060, 2988557063, 'FR', 'France'),
(90884, '178.33.195.8', '178.33.195.11', 2988557064, 2988557067, 'ES', 'Spain'),
(90885, '178.33.195.12', '178.33.195.15', 2988557068, 2988557071, 'PL', 'Poland'),
(90886, '178.33.195.16', '178.33.195.23', 2988557072, 2988557079, 'FR', 'France'),
(90887, '178.33.195.24', '178.33.195.31', 2988557080, 2988557087, 'FI', 'Finland'),
(90888, '178.33.195.32', '178.33.195.39', 2988557088, 2988557095, 'CH', 'Switzerland'),
(90889, '178.33.195.40', '178.33.195.47', 2988557096, 2988557103, 'ES', 'Spain'),
(90890, '178.33.195.48', '178.33.195.55', 2988557104, 2988557111, 'FR', 'France'),
(90891, '178.33.195.56', '178.33.195.59', 2988557112, 2988557115, 'LT', 'Lithuania'),
(90892, '178.33.195.60', '178.33.195.95', 2988557116, 2988557151, 'NL', 'Netherlands'),
(90893, '178.33.195.96', '178.33.195.159', 2988557152, 2988557215, 'FR', 'France'),
(90894, '178.33.195.160', '178.33.195.191', 2988557216, 2988557247, 'BE', 'Belgium'),
(90895, '178.33.195.192', '178.33.195.195', 2988557248, 2988557251, 'FR', 'France'),
(90896, '178.33.195.196', '178.33.195.199', 2988557252, 2988557255, 'ES', 'Spain'),
(90897, '178.33.195.200', '178.33.195.203', 2988557256, 2988557259, 'FR', 'France'),
(90898, '178.33.195.204', '178.33.195.207', 2988557260, 2988557263, 'DE', 'Germany'),
(90899, '178.33.195.208', '178.33.195.223', 2988557264, 2988557279, 'GB', 'United Kingdom'),
(90900, '178.33.195.224', '178.33.195.231', 2988557280, 2988557287, 'ES', 'Spain'),
(90901, '178.33.195.232', '178.33.195.235', 2988557288, 2988557291, 'PL', 'Poland'),
(90902, '178.33.195.236', '178.33.195.239', 2988557292, 2988557295, 'DE', 'Germany'),
(90903, '178.33.195.240', '178.33.195.243', 2988557296, 2988557299, 'BE', 'Belgium'),
(90904, '178.33.195.244', '178.33.195.247', 2988557300, 2988557303, 'PL', 'Poland'),
(90905, '178.33.195.248', '178.33.195.255', 2988557304, 2988557311, 'CZ', 'Czech Republic'),
(90906, '178.33.196.0', '178.33.196.15', 2988557312, 2988557327, 'DE', 'Germany'),
(90907, '178.33.196.16', '178.33.196.31', 2988557328, 2988557343, 'ES', 'Spain'),
(90908, '178.33.196.32', '178.33.196.67', 2988557344, 2988557379, 'FR', 'France'),
(90909, '178.33.196.68', '178.33.196.71', 2988557380, 2988557383, 'ES', 'Spain'),
(90910, '178.33.196.72', '178.33.196.75', 2988557384, 2988557387, 'GB', 'United Kingdom'),
(90911, '178.33.196.76', '178.33.196.79', 2988557388, 2988557391, 'CZ', 'Czech Republic'),
(90912, '178.33.196.80', '178.33.196.87', 2988557392, 2988557399, 'PL', 'Poland'),
(90913, '178.33.196.88', '178.33.196.91', 2988557400, 2988557403, 'ES', 'Spain'),
(90914, '178.33.196.92', '178.33.196.95', 2988557404, 2988557407, 'IT', 'Italy'),
(90915, '178.33.196.96', '178.33.196.115', 2988557408, 2988557427, 'ES', 'Spain'),
(90916, '178.33.196.116', '178.33.196.119', 2988557428, 2988557431, 'DE', 'Germany'),
(90917, '178.33.196.120', '178.33.196.127', 2988557432, 2988557439, 'PL', 'Poland'),
(90918, '178.33.196.128', '178.33.196.159', 2988557440, 2988557471, 'GB', 'United Kingdom'),
(90919, '178.33.196.160', '178.33.196.175', 2988557472, 2988557487, 'PL', 'Poland'),
(90920, '178.33.196.176', '178.33.196.179', 2988557488, 2988557491, 'FI', 'Finland'),
(90921, '178.33.196.180', '178.33.196.183', 2988557492, 2988557495, 'FR', 'France'),
(90922, '178.33.196.184', '178.33.196.191', 2988557496, 2988557503, 'PL', 'Poland'),
(90923, '178.33.196.192', '178.33.196.223', 2988557504, 2988557535, 'FR', 'France'),
(90924, '178.33.196.224', '178.33.196.227', 2988557536, 2988557539, 'PL', 'Poland'),
(90925, '178.33.196.228', '178.33.197.31', 2988557540, 2988557599, 'FR', 'France'),
(90926, '178.33.197.32', '178.33.197.63', 2988557600, 2988557631, 'DE', 'Germany'),
(90927, '178.33.197.64', '178.33.197.67', 2988557632, 2988557635, 'GB', 'United Kingdom'),
(90928, '178.33.197.68', '178.33.197.71', 2988557636, 2988557639, 'PT', 'Portugal'),
(90929, '178.33.197.72', '178.33.197.75', 2988557640, 2988557643, 'IE', 'Ireland'),
(90930, '178.33.197.76', '178.33.197.79', 2988557644, 2988557647, 'GB', 'United Kingdom'),
(90931, '178.33.197.80', '178.33.197.83', 2988557648, 2988557651, 'NL', 'Netherlands'),
(90932, '178.33.197.84', '178.33.197.95', 2988557652, 2988557663, 'FR', 'France'),
(90933, '178.33.197.96', '178.33.197.127', 2988557664, 2988557695, 'PL', 'Poland'),
(90934, '178.33.197.128', '178.33.197.159', 2988557696, 2988557727, 'FR', 'France'),
(90935, '178.33.197.160', '178.33.197.191', 2988557728, 2988557759, 'PL', 'Poland'),
(90936, '178.33.197.192', '178.33.197.195', 2988557760, 2988557763, 'DE', 'Germany'),
(90937, '178.33.197.196', '178.33.197.199', 2988557764, 2988557767, 'ES', 'Spain'),
(90938, '178.33.197.200', '178.33.197.203', 2988557768, 2988557771, 'PL', 'Poland'),
(90939, '178.33.197.204', '178.33.197.207', 2988557772, 2988557775, 'FR', 'France'),
(90940, '178.33.197.208', '178.33.197.223', 2988557776, 2988557791, 'BE', 'Belgium'),
(90941, '178.33.197.224', '178.33.198.127', 2988557792, 2988557951, 'FR', 'France'),
(90942, '178.33.198.128', '178.33.198.159', 2988557952, 2988557983, 'LT', 'Lithuania'),
(90943, '178.33.198.160', '178.33.198.175', 2988557984, 2988557999, 'FR', 'France'),
(90944, '178.33.198.176', '178.33.198.191', 2988558000, 2988558015, 'IE', 'Ireland'),
(90945, '178.33.198.192', '178.33.198.223', 2988558016, 2988558047, 'FR', 'France'),
(90946, '178.33.198.224', '178.33.198.239', 2988558048, 2988558063, 'PL', 'Poland'),
(90947, '178.33.198.240', '178.33.198.243', 2988558064, 2988558067, 'DE', 'Germany'),
(90948, '178.33.198.244', '178.33.198.247', 2988558068, 2988558071, 'FI', 'Finland'),
(90949, '178.33.198.248', '178.33.198.251', 2988558072, 2988558075, 'DE', 'Germany'),
(90950, '178.33.198.252', '178.33.198.255', 2988558076, 2988558079, 'PL', 'Poland'),
(90951, '178.33.199.0', '178.33.199.3', 2988558080, 2988558083, 'FR', 'France'),
(90952, '178.33.199.4', '178.33.199.7', 2988558084, 2988558087, 'PL', 'Poland'),
(90953, '178.33.199.8', '178.33.199.15', 2988558088, 2988558095, 'FR', 'France'),
(90954, '178.33.199.16', '178.33.199.23', 2988558096, 2988558103, 'PL', 'Poland'),
(90955, '178.33.199.24', '178.33.199.27', 2988558104, 2988558107, 'NL', 'Netherlands'),
(90956, '178.33.199.28', '178.33.199.31', 2988558108, 2988558111, 'IT', 'Italy'),
(90957, '178.33.199.32', '178.33.199.35', 2988558112, 2988558115, 'IE', 'Ireland'),
(90958, '178.33.199.36', '178.33.199.43', 2988558116, 2988558123, 'GB', 'United Kingdom'),
(90959, '178.33.199.44', '178.33.199.47', 2988558124, 2988558127, 'FR', 'France'),
(90960, '178.33.199.48', '178.33.199.51', 2988558128, 2988558131, 'DE', 'Germany'),
(90961, '178.33.199.52', '178.33.199.55', 2988558132, 2988558135, 'PL', 'Poland'),
(90962, '178.33.199.56', '178.33.199.59', 2988558136, 2988558139, 'GB', 'United Kingdom'),
(90963, '178.33.199.60', '178.33.199.63', 2988558140, 2988558143, 'DE', 'Germany'),
(90964, '178.33.199.64', '178.33.199.95', 2988558144, 2988558175, 'IT', 'Italy'),
(90965, '178.33.199.96', '178.33.199.123', 2988558176, 2988558203, 'FR', 'France'),
(90966, '178.33.199.124', '178.33.199.127', 2988558204, 2988558207, 'DE', 'Germany'),
(90967, '178.33.199.128', '178.33.199.191', 2988558208, 2988558271, 'ES', 'Spain'),
(90968, '178.33.199.192', '178.33.199.255', 2988558272, 2988558335, 'FI', 'Finland'),
(90969, '178.33.200.0', '178.33.200.63', 2988558336, 2988558399, 'IE', 'Ireland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(90970, '178.33.200.64', '178.33.200.127', 2988558400, 2988558463, 'LT', 'Lithuania'),
(90971, '178.33.200.128', '178.33.200.191', 2988558464, 2988558527, 'NL', 'Netherlands'),
(90972, '178.33.200.192', '178.33.200.255', 2988558528, 2988558591, 'PL', 'Poland'),
(90973, '178.33.201.0', '178.33.201.63', 2988558592, 2988558655, 'GB', 'United Kingdom'),
(90974, '178.33.201.64', '178.33.201.127', 2988558656, 2988558719, 'FR', 'France'),
(90975, '178.33.201.128', '178.33.201.135', 2988558720, 2988558727, 'PL', 'Poland'),
(90976, '178.33.201.136', '178.33.201.139', 2988558728, 2988558731, 'IT', 'Italy'),
(90977, '178.33.201.140', '178.33.201.143', 2988558732, 2988558735, 'PT', 'Portugal'),
(90978, '178.33.201.144', '178.33.201.155', 2988558736, 2988558747, 'FR', 'France'),
(90979, '178.33.201.156', '178.33.201.159', 2988558748, 2988558751, 'GB', 'United Kingdom'),
(90980, '178.33.201.160', '178.33.201.191', 2988558752, 2988558783, 'CH', 'Switzerland'),
(90981, '178.33.201.192', '178.33.201.207', 2988558784, 2988558799, 'FR', 'France'),
(90982, '178.33.201.208', '178.33.201.215', 2988558800, 2988558807, 'PT', 'Portugal'),
(90983, '178.33.201.216', '178.33.201.239', 2988558808, 2988558831, 'FR', 'France'),
(90984, '178.33.201.240', '178.33.201.255', 2988558832, 2988558847, 'IT', 'Italy'),
(90985, '178.33.202.0', '178.33.202.35', 2988558848, 2988558883, 'FR', 'France'),
(90986, '178.33.202.36', '178.33.202.39', 2988558884, 2988558887, 'BE', 'Belgium'),
(90987, '178.33.202.40', '178.33.202.43', 2988558888, 2988558891, 'GB', 'United Kingdom'),
(90988, '178.33.202.44', '178.33.202.47', 2988558892, 2988558895, 'NL', 'Netherlands'),
(90989, '178.33.202.48', '178.33.202.51', 2988558896, 2988558899, 'CH', 'Switzerland'),
(90990, '178.33.202.52', '178.33.202.55', 2988558900, 2988558903, 'FR', 'France'),
(90991, '178.33.202.56', '178.33.202.59', 2988558904, 2988558907, 'NL', 'Netherlands'),
(90992, '178.33.202.60', '178.33.202.63', 2988558908, 2988558911, 'PL', 'Poland'),
(90993, '178.33.202.64', '178.33.202.79', 2988558912, 2988558927, 'LT', 'Lithuania'),
(90994, '178.33.202.80', '178.33.202.87', 2988558928, 2988558935, 'GB', 'United Kingdom'),
(90995, '178.33.202.88', '178.33.202.91', 2988558936, 2988558939, 'DE', 'Germany'),
(90996, '178.33.202.92', '178.33.202.95', 2988558940, 2988558943, 'GB', 'United Kingdom'),
(90997, '178.33.202.96', '178.33.202.127', 2988558944, 2988558975, 'FR', 'France'),
(90998, '178.33.202.128', '178.33.202.159', 2988558976, 2988559007, 'GB', 'United Kingdom'),
(90999, '178.33.202.160', '178.33.202.163', 2988559008, 2988559011, 'BE', 'Belgium'),
(91000, '178.33.202.164', '178.33.202.167', 2988559012, 2988559015, 'PL', 'Poland'),
(91001, '178.33.202.168', '178.33.202.207', 2988559016, 2988559055, 'FR', 'France'),
(91002, '178.33.202.208', '178.33.202.211', 2988559056, 2988559059, 'NL', 'Netherlands'),
(91003, '178.33.202.212', '178.33.202.215', 2988559060, 2988559063, 'LT', 'Lithuania'),
(91004, '178.33.202.216', '178.33.202.223', 2988559064, 2988559071, 'FR', 'France'),
(91005, '178.33.202.224', '178.33.202.255', 2988559072, 2988559103, 'ES', 'Spain'),
(91006, '178.33.203.0', '178.33.203.31', 2988559104, 2988559135, 'PL', 'Poland'),
(91007, '178.33.203.32', '178.33.203.35', 2988559136, 2988559139, 'DE', 'Germany'),
(91008, '178.33.203.36', '178.33.203.47', 2988559140, 2988559151, 'PL', 'Poland'),
(91009, '178.33.203.48', '178.33.203.159', 2988559152, 2988559263, 'FR', 'France'),
(91010, '178.33.203.160', '178.33.203.191', 2988559264, 2988559295, 'LT', 'Lithuania'),
(91011, '178.33.203.192', '178.33.203.255', 2988559296, 2988559359, 'PL', 'Poland'),
(91012, '178.33.204.0', '178.33.205.15', 2988559360, 2988559631, 'FR', 'France'),
(91013, '178.33.205.16', '178.33.205.47', 2988559632, 2988559663, 'IE', 'Ireland'),
(91014, '178.33.205.48', '178.33.205.63', 2988559664, 2988559679, 'ES', 'Spain'),
(91015, '178.33.205.64', '178.33.205.75', 2988559680, 2988559691, 'FR', 'France'),
(91016, '178.33.205.76', '178.33.205.79', 2988559692, 2988559695, 'PL', 'Poland'),
(91017, '178.33.205.80', '178.33.205.87', 2988559696, 2988559703, 'FR', 'France'),
(91018, '178.33.205.88', '178.33.205.91', 2988559704, 2988559707, 'DE', 'Germany'),
(91019, '178.33.205.92', '178.33.205.95', 2988559708, 2988559711, 'PL', 'Poland'),
(91020, '178.33.205.96', '178.33.205.107', 2988559712, 2988559723, 'FR', 'France'),
(91021, '178.33.205.108', '178.33.205.111', 2988559724, 2988559727, 'IT', 'Italy'),
(91022, '178.33.205.112', '178.33.205.115', 2988559728, 2988559731, 'DE', 'Germany'),
(91023, '178.33.205.116', '178.33.205.119', 2988559732, 2988559735, 'PL', 'Poland'),
(91024, '178.33.205.120', '178.33.205.127', 2988559736, 2988559743, 'GB', 'United Kingdom'),
(91025, '178.33.205.128', '178.33.205.191', 2988559744, 2988559807, 'FR', 'France'),
(91026, '178.33.205.192', '178.33.205.255', 2988559808, 2988559871, 'ES', 'Spain'),
(91027, '178.33.206.0', '178.33.207.255', 2988559872, 2988560383, 'IT', 'Italy'),
(91028, '178.33.208.0', '178.33.208.3', 2988560384, 2988560387, 'FR', 'France'),
(91029, '178.33.208.4', '178.33.208.7', 2988560388, 2988560391, 'ES', 'Spain'),
(91030, '178.33.208.8', '178.33.208.11', 2988560392, 2988560395, 'GB', 'United Kingdom'),
(91031, '178.33.208.12', '178.33.208.15', 2988560396, 2988560399, 'FR', 'France'),
(91032, '178.33.208.16', '178.33.208.31', 2988560400, 2988560415, 'IE', 'Ireland'),
(91033, '178.33.208.32', '178.33.208.55', 2988560416, 2988560439, 'FR', 'France'),
(91034, '178.33.208.56', '178.33.208.59', 2988560440, 2988560443, 'DE', 'Germany'),
(91035, '178.33.208.60', '178.33.208.63', 2988560444, 2988560447, 'PL', 'Poland'),
(91036, '178.33.208.64', '178.33.208.67', 2988560448, 2988560451, 'DE', 'Germany'),
(91037, '178.33.208.68', '178.33.208.71', 2988560452, 2988560455, 'PL', 'Poland'),
(91038, '178.33.208.72', '178.33.208.95', 2988560456, 2988560479, 'FR', 'France'),
(91039, '178.33.208.96', '178.33.208.131', 2988560480, 2988560515, 'ES', 'Spain'),
(91040, '178.33.208.132', '178.33.208.135', 2988560516, 2988560519, 'FI', 'Finland'),
(91041, '178.33.208.136', '178.33.208.139', 2988560520, 2988560523, 'DE', 'Germany'),
(91042, '178.33.208.140', '178.33.208.143', 2988560524, 2988560527, 'BE', 'Belgium'),
(91043, '178.33.208.144', '178.33.208.151', 2988560528, 2988560535, 'ES', 'Spain'),
(91044, '178.33.208.152', '178.33.208.159', 2988560536, 2988560543, 'IE', 'Ireland'),
(91045, '178.33.208.160', '178.33.208.207', 2988560544, 2988560591, 'GB', 'United Kingdom'),
(91046, '178.33.208.208', '178.33.208.211', 2988560592, 2988560595, 'NL', 'Netherlands'),
(91047, '178.33.208.212', '178.33.208.215', 2988560596, 2988560599, 'IT', 'Italy'),
(91048, '178.33.208.216', '178.33.208.219', 2988560600, 2988560603, 'PL', 'Poland'),
(91049, '178.33.208.220', '178.33.208.239', 2988560604, 2988560623, 'FR', 'France'),
(91050, '178.33.208.240', '178.33.208.243', 2988560624, 2988560627, 'PL', 'Poland'),
(91051, '178.33.208.244', '178.33.208.255', 2988560628, 2988560639, 'FR', 'France'),
(91052, '178.33.209.0', '178.33.209.63', 2988560640, 2988560703, 'GB', 'United Kingdom'),
(91053, '178.33.209.64', '178.33.209.71', 2988560704, 2988560711, 'DE', 'Germany'),
(91054, '178.33.209.72', '178.33.209.79', 2988560712, 2988560719, 'PL', 'Poland'),
(91055, '178.33.209.80', '178.33.209.95', 2988560720, 2988560735, 'FR', 'France'),
(91056, '178.33.209.96', '178.33.209.111', 2988560736, 2988560751, 'DE', 'Germany'),
(91057, '178.33.209.112', '178.33.209.119', 2988560752, 2988560759, 'GB', 'United Kingdom'),
(91058, '178.33.209.120', '178.33.209.127', 2988560760, 2988560767, 'FI', 'Finland'),
(91059, '178.33.209.128', '178.33.209.143', 2988560768, 2988560783, 'FR', 'France'),
(91060, '178.33.209.144', '178.33.209.159', 2988560784, 2988560799, 'NL', 'Netherlands'),
(91061, '178.33.209.160', '178.33.209.175', 2988560800, 2988560815, 'DE', 'Germany'),
(91062, '178.33.209.176', '178.33.209.191', 2988560816, 2988560831, 'FR', 'France'),
(91063, '178.33.209.192', '178.33.209.223', 2988560832, 2988560863, 'GB', 'United Kingdom'),
(91064, '178.33.209.224', '178.33.209.231', 2988560864, 2988560871, 'PL', 'Poland'),
(91065, '178.33.209.232', '178.33.209.255', 2988560872, 2988560895, 'GB', 'United Kingdom'),
(91066, '178.33.210.0', '178.33.210.23', 2988560896, 2988560919, 'FR', 'France'),
(91067, '178.33.210.24', '178.33.210.27', 2988560920, 2988560923, 'DE', 'Germany'),
(91068, '178.33.210.28', '178.33.210.39', 2988560924, 2988560935, 'FR', 'France'),
(91069, '178.33.210.40', '178.33.210.43', 2988560936, 2988560939, 'CZ', 'Czech Republic'),
(91070, '178.33.210.44', '178.33.210.55', 2988560940, 2988560951, 'FR', 'France'),
(91071, '178.33.210.56', '178.33.210.59', 2988560952, 2988560955, 'DE', 'Germany'),
(91072, '178.33.210.60', '178.33.210.63', 2988560956, 2988560959, 'PL', 'Poland'),
(91073, '178.33.210.64', '178.33.210.79', 2988560960, 2988560975, 'FR', 'France'),
(91074, '178.33.210.80', '178.33.210.95', 2988560976, 2988560991, 'ES', 'Spain'),
(91075, '178.33.210.96', '178.33.210.99', 2988560992, 2988560995, 'FR', 'France'),
(91076, '178.33.210.100', '178.33.210.103', 2988560996, 2988560999, 'DE', 'Germany'),
(91077, '178.33.210.104', '178.33.210.127', 2988561000, 2988561023, 'FR', 'France'),
(91078, '178.33.210.128', '178.33.210.131', 2988561024, 2988561027, 'BE', 'Belgium'),
(91079, '178.33.210.132', '178.33.210.135', 2988561028, 2988561031, 'FR', 'France'),
(91080, '178.33.210.136', '178.33.210.143', 2988561032, 2988561039, 'ES', 'Spain'),
(91081, '178.33.210.144', '178.33.210.147', 2988561040, 2988561043, 'GB', 'United Kingdom'),
(91082, '178.33.210.148', '178.33.210.151', 2988561044, 2988561047, 'DE', 'Germany'),
(91083, '178.33.210.152', '178.33.210.155', 2988561048, 2988561051, 'PL', 'Poland'),
(91084, '178.33.210.156', '178.33.210.159', 2988561052, 2988561055, 'GB', 'United Kingdom'),
(91085, '178.33.210.160', '178.33.210.163', 2988561056, 2988561059, 'FR', 'France'),
(91086, '178.33.210.164', '178.33.210.175', 2988561060, 2988561071, 'PL', 'Poland'),
(91087, '178.33.210.176', '178.33.210.179', 2988561072, 2988561075, 'ES', 'Spain'),
(91088, '178.33.210.180', '178.33.210.183', 2988561076, 2988561079, 'LT', 'Lithuania'),
(91089, '178.33.210.184', '178.33.210.187', 2988561080, 2988561083, 'PL', 'Poland'),
(91090, '178.33.210.188', '178.33.210.191', 2988561084, 2988561087, 'GB', 'United Kingdom'),
(91091, '178.33.210.192', '178.33.210.199', 2988561088, 2988561095, 'FR', 'France'),
(91092, '178.33.210.200', '178.33.210.203', 2988561096, 2988561099, 'PL', 'Poland'),
(91093, '178.33.210.204', '178.33.210.207', 2988561100, 2988561103, 'CZ', 'Czech Republic'),
(91094, '178.33.210.208', '178.33.210.223', 2988561104, 2988561119, 'BE', 'Belgium'),
(91095, '178.33.210.224', '178.33.211.19', 2988561120, 2988561171, 'FR', 'France'),
(91096, '178.33.211.20', '178.33.211.23', 2988561172, 2988561175, 'PL', 'Poland'),
(91097, '178.33.211.24', '178.33.211.27', 2988561176, 2988561179, 'ES', 'Spain'),
(91098, '178.33.211.28', '178.33.211.31', 2988561180, 2988561183, 'PL', 'Poland'),
(91099, '178.33.211.32', '178.33.211.35', 2988561184, 2988561187, 'GB', 'United Kingdom'),
(91100, '178.33.211.36', '178.33.211.39', 2988561188, 2988561191, 'FR', 'France'),
(91101, '178.33.211.40', '178.33.211.43', 2988561192, 2988561195, 'CZ', 'Czech Republic'),
(91102, '178.33.211.44', '178.33.211.47', 2988561196, 2988561199, 'LT', 'Lithuania'),
(91103, '178.33.211.48', '178.33.211.51', 2988561200, 2988561203, 'PL', 'Poland'),
(91104, '178.33.211.52', '178.33.211.55', 2988561204, 2988561207, 'GB', 'United Kingdom'),
(91105, '178.33.211.56', '178.33.211.63', 2988561208, 2988561215, 'PL', 'Poland'),
(91106, '178.33.211.64', '178.33.211.79', 2988561216, 2988561231, 'FR', 'France'),
(91107, '178.33.211.80', '178.33.211.83', 2988561232, 2988561235, 'PT', 'Portugal'),
(91108, '178.33.211.84', '178.33.211.87', 2988561236, 2988561239, 'GB', 'United Kingdom'),
(91109, '178.33.211.88', '178.33.211.91', 2988561240, 2988561243, 'BE', 'Belgium'),
(91110, '178.33.211.92', '178.33.211.95', 2988561244, 2988561247, 'PL', 'Poland'),
(91111, '178.33.211.96', '178.33.211.99', 2988561248, 2988561251, 'FI', 'Finland'),
(91112, '178.33.211.100', '178.33.211.103', 2988561252, 2988561255, 'CH', 'Switzerland'),
(91113, '178.33.211.104', '178.33.211.107', 2988561256, 2988561259, 'ES', 'Spain'),
(91114, '178.33.211.108', '178.33.211.131', 2988561260, 2988561283, 'FR', 'France'),
(91115, '178.33.211.132', '178.33.211.135', 2988561284, 2988561287, 'NL', 'Netherlands'),
(91116, '178.33.211.136', '178.33.211.139', 2988561288, 2988561291, 'ES', 'Spain'),
(91117, '178.33.211.140', '178.33.211.143', 2988561292, 2988561295, 'PT', 'Portugal'),
(91118, '178.33.211.144', '178.33.211.151', 2988561296, 2988561303, 'PL', 'Poland'),
(91119, '178.33.211.152', '178.33.211.191', 2988561304, 2988561343, 'FR', 'France'),
(91120, '178.33.211.192', '178.33.211.223', 2988561344, 2988561375, 'PL', 'Poland'),
(91121, '178.33.211.224', '178.33.211.239', 2988561376, 2988561391, 'FR', 'France'),
(91122, '178.33.211.240', '178.33.211.251', 2988561392, 2988561403, 'ES', 'Spain'),
(91123, '178.33.211.252', '178.33.211.255', 2988561404, 2988561407, 'LT', 'Lithuania'),
(91124, '178.33.212.0', '178.33.212.131', 2988561408, 2988561539, 'FR', 'France'),
(91125, '178.33.212.132', '178.33.212.135', 2988561540, 2988561543, 'PL', 'Poland'),
(91126, '178.33.212.136', '178.33.212.139', 2988561544, 2988561547, 'NL', 'Netherlands'),
(91127, '178.33.212.140', '178.33.212.143', 2988561548, 2988561551, 'FR', 'France'),
(91128, '178.33.212.144', '178.33.212.159', 2988561552, 2988561567, 'DE', 'Germany'),
(91129, '178.33.212.160', '178.33.212.163', 2988561568, 2988561571, 'ES', 'Spain'),
(91130, '178.33.212.164', '178.33.212.175', 2988561572, 2988561583, 'FR', 'France'),
(91131, '178.33.212.176', '178.33.212.183', 2988561584, 2988561591, 'GB', 'United Kingdom'),
(91132, '178.33.212.184', '178.33.212.187', 2988561592, 2988561595, 'FR', 'France'),
(91133, '178.33.212.188', '178.33.212.191', 2988561596, 2988561599, 'PL', 'Poland'),
(91134, '178.33.212.192', '178.33.212.223', 2988561600, 2988561631, 'NL', 'Netherlands'),
(91135, '178.33.212.224', '178.33.212.255', 2988561632, 2988561663, 'PL', 'Poland'),
(91136, '178.33.213.0', '178.33.213.3', 2988561664, 2988561667, 'GB', 'United Kingdom'),
(91137, '178.33.213.4', '178.33.213.7', 2988561668, 2988561671, 'PL', 'Poland'),
(91138, '178.33.213.8', '178.33.213.11', 2988561672, 2988561675, 'NL', 'Netherlands'),
(91139, '178.33.213.12', '178.33.213.15', 2988561676, 2988561679, 'FI', 'Finland'),
(91140, '178.33.213.16', '178.33.213.19', 2988561680, 2988561683, 'FR', 'France'),
(91141, '178.33.213.20', '178.33.213.23', 2988561684, 2988561687, 'CZ', 'Czech Republic'),
(91142, '178.33.213.24', '178.33.213.27', 2988561688, 2988561691, 'DE', 'Germany'),
(91143, '178.33.213.28', '178.33.213.31', 2988561692, 2988561695, 'LT', 'Lithuania'),
(91144, '178.33.213.32', '178.33.213.63', 2988561696, 2988561727, 'GB', 'United Kingdom'),
(91145, '178.33.213.64', '178.33.213.79', 2988561728, 2988561743, 'PL', 'Poland'),
(91146, '178.33.213.80', '178.33.213.83', 2988561744, 2988561747, 'FR', 'France'),
(91147, '178.33.213.84', '178.33.213.87', 2988561748, 2988561751, 'PL', 'Poland'),
(91148, '178.33.213.88', '178.33.213.95', 2988561752, 2988561759, 'FR', 'France'),
(91149, '178.33.213.96', '178.33.213.99', 2988561760, 2988561763, 'PL', 'Poland'),
(91150, '178.33.213.100', '178.33.213.103', 2988561764, 2988561767, 'PT', 'Portugal'),
(91151, '178.33.213.104', '178.33.213.111', 2988561768, 2988561775, 'PL', 'Poland'),
(91152, '178.33.213.112', '178.33.213.127', 2988561776, 2988561791, 'FR', 'France'),
(91153, '178.33.213.128', '178.33.213.159', 2988561792, 2988561823, 'PL', 'Poland'),
(91154, '178.33.213.160', '178.33.213.179', 2988561824, 2988561843, 'FR', 'France'),
(91155, '178.33.213.180', '178.33.213.183', 2988561844, 2988561847, 'IT', 'Italy'),
(91156, '178.33.213.184', '178.33.213.191', 2988561848, 2988561855, 'FR', 'France'),
(91157, '178.33.213.192', '178.33.213.207', 2988561856, 2988561871, 'IE', 'Ireland'),
(91158, '178.33.213.208', '178.33.213.211', 2988561872, 2988561875, 'CH', 'Switzerland'),
(91159, '178.33.213.212', '178.33.213.215', 2988561876, 2988561879, 'A1', 'Anonymous Proxy'),
(91160, '178.33.213.216', '178.33.213.223', 2988561880, 2988561887, 'FR', 'France'),
(91161, '178.33.213.224', '178.33.213.239', 2988561888, 2988561903, 'PL', 'Poland'),
(91162, '178.33.213.240', '178.33.214.63', 2988561904, 2988561983, 'FR', 'France'),
(91163, '178.33.214.64', '178.33.214.95', 2988561984, 2988562015, 'DE', 'Germany'),
(91164, '178.33.214.96', '178.33.214.107', 2988562016, 2988562027, 'ES', 'Spain'),
(91165, '178.33.214.108', '178.33.214.111', 2988562028, 2988562031, 'LT', 'Lithuania'),
(91166, '178.33.214.112', '178.33.214.127', 2988562032, 2988562047, 'PL', 'Poland'),
(91167, '178.33.214.128', '178.33.214.159', 2988562048, 2988562079, 'DE', 'Germany'),
(91168, '178.33.214.160', '178.33.214.175', 2988562080, 2988562095, 'ES', 'Spain'),
(91169, '178.33.214.176', '178.33.214.191', 2988562096, 2988562111, 'IE', 'Ireland'),
(91170, '178.33.214.192', '178.33.214.195', 2988562112, 2988562115, 'NL', 'Netherlands'),
(91171, '178.33.214.196', '178.33.214.207', 2988562116, 2988562127, 'FR', 'France'),
(91172, '178.33.214.208', '178.33.214.223', 2988562128, 2988562143, 'PL', 'Poland'),
(91173, '178.33.214.224', '178.33.214.231', 2988562144, 2988562151, 'FR', 'France'),
(91174, '178.33.214.232', '178.33.214.243', 2988562152, 2988562163, 'PL', 'Poland'),
(91175, '178.33.214.244', '178.33.214.247', 2988562164, 2988562167, 'DE', 'Germany'),
(91176, '178.33.214.248', '178.33.214.255', 2988562168, 2988562175, 'IT', 'Italy'),
(91177, '178.33.215.0', '178.33.215.255', 2988562176, 2988562431, 'NL', 'Netherlands'),
(91178, '178.33.216.0', '178.33.216.135', 2988562432, 2988562567, 'FR', 'France'),
(91179, '178.33.216.136', '178.33.216.151', 2988562568, 2988562583, 'CH', 'Switzerland'),
(91180, '178.33.216.152', '178.33.216.155', 2988562584, 2988562587, 'FR', 'France'),
(91181, '178.33.216.156', '178.33.216.159', 2988562588, 2988562591, 'IT', 'Italy'),
(91182, '178.33.216.160', '178.33.216.167', 2988562592, 2988562599, 'GB', 'United Kingdom'),
(91183, '178.33.216.168', '178.33.216.175', 2988562600, 2988562607, 'FR', 'France'),
(91184, '178.33.216.176', '178.33.216.179', 2988562608, 2988562611, 'PT', 'Portugal'),
(91185, '178.33.216.180', '178.33.216.191', 2988562612, 2988562623, 'PL', 'Poland'),
(91186, '178.33.216.192', '178.33.216.255', 2988562624, 2988562687, 'FI', 'Finland'),
(91187, '178.33.217.0', '178.33.217.15', 2988562688, 2988562703, 'GB', 'United Kingdom'),
(91188, '178.33.217.16', '178.33.217.19', 2988562704, 2988562707, 'PL', 'Poland'),
(91189, '178.33.217.20', '178.33.217.23', 2988562708, 2988562711, 'DE', 'Germany'),
(91190, '178.33.217.24', '178.33.217.31', 2988562712, 2988562719, 'FR', 'France'),
(91191, '178.33.217.32', '178.33.217.127', 2988562720, 2988562815, 'BE', 'Belgium'),
(91192, '178.33.217.128', '178.33.217.135', 2988562816, 2988562823, 'PL', 'Poland'),
(91193, '178.33.217.136', '178.33.217.143', 2988562824, 2988562831, 'PT', 'Portugal'),
(91194, '178.33.217.144', '178.33.217.147', 2988562832, 2988562835, 'FR', 'France'),
(91195, '178.33.217.148', '178.33.217.151', 2988562836, 2988562839, 'NL', 'Netherlands'),
(91196, '178.33.217.152', '178.33.217.155', 2988562840, 2988562843, 'LT', 'Lithuania'),
(91197, '178.33.217.156', '178.33.217.159', 2988562844, 2988562847, 'PL', 'Poland'),
(91198, '178.33.217.160', '178.33.217.175', 2988562848, 2988562863, 'GB', 'United Kingdom'),
(91199, '178.33.217.176', '178.33.217.223', 2988562864, 2988562911, 'FR', 'France'),
(91200, '178.33.217.224', '178.33.217.255', 2988562912, 2988562943, 'PL', 'Poland'),
(91201, '178.33.218.0', '178.33.218.67', 2988562944, 2988563011, 'FR', 'France'),
(91202, '178.33.218.68', '178.33.218.71', 2988563012, 2988563015, 'PT', 'Portugal'),
(91203, '178.33.218.72', '178.33.218.79', 2988563016, 2988563023, 'GB', 'United Kingdom'),
(91204, '178.33.218.80', '178.33.218.99', 2988563024, 2988563043, 'FR', 'France'),
(91205, '178.33.218.100', '178.33.218.103', 2988563044, 2988563047, 'ES', 'Spain'),
(91206, '178.33.218.104', '178.33.218.111', 2988563048, 2988563055, 'FR', 'France'),
(91207, '178.33.218.112', '178.33.218.115', 2988563056, 2988563059, 'NL', 'Netherlands'),
(91208, '178.33.218.116', '178.33.218.119', 2988563060, 2988563063, 'CH', 'Switzerland'),
(91209, '178.33.218.120', '178.33.218.123', 2988563064, 2988563067, 'FI', 'Finland'),
(91210, '178.33.218.124', '178.33.218.131', 2988563068, 2988563075, 'PT', 'Portugal'),
(91211, '178.33.218.132', '178.33.218.135', 2988563076, 2988563079, 'GB', 'United Kingdom'),
(91212, '178.33.218.136', '178.33.218.139', 2988563080, 2988563083, 'DE', 'Germany'),
(91213, '178.33.218.140', '178.33.218.143', 2988563084, 2988563087, 'LT', 'Lithuania'),
(91214, '178.33.218.144', '178.33.218.159', 2988563088, 2988563103, 'PL', 'Poland'),
(91215, '178.33.218.160', '178.33.218.191', 2988563104, 2988563135, 'FR', 'France'),
(91216, '178.33.218.192', '178.33.218.207', 2988563136, 2988563151, 'PL', 'Poland'),
(91217, '178.33.218.208', '178.33.218.239', 2988563152, 2988563183, 'FR', 'France'),
(91218, '178.33.218.240', '178.33.218.243', 2988563184, 2988563187, 'CZ', 'Czech Republic'),
(91219, '178.33.218.244', '178.33.218.247', 2988563188, 2988563191, 'PL', 'Poland'),
(91220, '178.33.218.248', '178.33.218.255', 2988563192, 2988563199, 'FR', 'France'),
(91221, '178.33.219.0', '178.33.219.255', 2988563200, 2988563455, 'IE', 'Ireland'),
(91222, '178.33.220.0', '178.33.220.31', 2988563456, 2988563487, 'FR', 'France'),
(91223, '178.33.220.32', '178.33.220.43', 2988563488, 2988563499, 'GB', 'United Kingdom'),
(91224, '178.33.220.44', '178.33.220.47', 2988563500, 2988563503, 'FR', 'France'),
(91225, '178.33.220.48', '178.33.220.63', 2988563504, 2988563519, 'PL', 'Poland'),
(91226, '178.33.220.64', '178.33.220.67', 2988563520, 2988563523, 'CZ', 'Czech Republic'),
(91227, '178.33.220.68', '178.33.220.71', 2988563524, 2988563527, 'FI', 'Finland'),
(91228, '178.33.220.72', '178.33.220.79', 2988563528, 2988563535, 'PL', 'Poland'),
(91229, '178.33.220.80', '178.33.220.99', 2988563536, 2988563555, 'FR', 'France'),
(91230, '178.33.220.100', '178.33.220.103', 2988563556, 2988563559, 'BE', 'Belgium'),
(91231, '178.33.220.104', '178.33.220.111', 2988563560, 2988563567, 'FR', 'France'),
(91232, '178.33.220.112', '178.33.220.115', 2988563568, 2988563571, 'NL', 'Netherlands'),
(91233, '178.33.220.116', '178.33.220.127', 2988563572, 2988563583, 'GB', 'United Kingdom'),
(91234, '178.33.220.128', '178.33.220.135', 2988563584, 2988563591, 'PT', 'Portugal'),
(91235, '178.33.220.136', '178.33.220.143', 2988563592, 2988563599, 'GB', 'United Kingdom'),
(91236, '178.33.220.144', '178.33.220.151', 2988563600, 2988563607, 'ES', 'Spain'),
(91237, '178.33.220.152', '178.33.220.159', 2988563608, 2988563615, 'DE', 'Germany'),
(91238, '178.33.220.160', '178.33.220.191', 2988563616, 2988563647, 'FR', 'France'),
(91239, '178.33.220.192', '178.33.220.207', 2988563648, 2988563663, 'LT', 'Lithuania'),
(91240, '178.33.220.208', '178.33.220.211', 2988563664, 2988563667, 'FR', 'France'),
(91241, '178.33.220.212', '178.33.220.215', 2988563668, 2988563671, 'PL', 'Poland'),
(91242, '178.33.220.216', '178.33.220.219', 2988563672, 2988563675, 'FR', 'France'),
(91243, '178.33.220.220', '178.33.220.223', 2988563676, 2988563679, 'NL', 'Netherlands'),
(91244, '178.33.220.224', '178.33.221.255', 2988563680, 2988563967, 'FR', 'France'),
(91245, '178.33.222.0', '178.33.222.31', 2988563968, 2988563999, 'BE', 'Belgium'),
(91246, '178.33.222.32', '178.33.222.47', 2988564000, 2988564015, 'IE', 'Ireland'),
(91247, '178.33.222.48', '178.33.222.51', 2988564016, 2988564019, 'FR', 'France'),
(91248, '178.33.222.52', '178.33.222.55', 2988564020, 2988564023, 'PL', 'Poland'),
(91249, '178.33.222.56', '178.33.222.63', 2988564024, 2988564031, 'FR', 'France'),
(91250, '178.33.222.64', '178.33.222.95', 2988564032, 2988564063, 'BE', 'Belgium'),
(91251, '178.33.222.96', '178.33.222.175', 2988564064, 2988564143, 'FR', 'France'),
(91252, '178.33.222.176', '178.33.222.191', 2988564144, 2988564159, 'FI', 'Finland'),
(91253, '178.33.222.192', '178.33.222.207', 2988564160, 2988564175, 'FR', 'France'),
(91254, '178.33.222.208', '178.33.222.211', 2988564176, 2988564179, 'PL', 'Poland'),
(91255, '178.33.222.212', '178.33.222.215', 2988564180, 2988564183, 'GB', 'United Kingdom'),
(91256, '178.33.222.216', '178.33.222.219', 2988564184, 2988564187, 'PL', 'Poland'),
(91257, '178.33.222.220', '178.33.222.223', 2988564188, 2988564191, 'GB', 'United Kingdom'),
(91258, '178.33.222.224', '178.33.222.227', 2988564192, 2988564195, 'ES', 'Spain'),
(91259, '178.33.222.228', '178.33.222.231', 2988564196, 2988564199, 'LT', 'Lithuania'),
(91260, '178.33.222.232', '178.33.222.235', 2988564200, 2988564203, 'DE', 'Germany'),
(91261, '178.33.222.236', '178.33.222.247', 2988564204, 2988564215, 'FR', 'France'),
(91262, '178.33.222.248', '178.33.222.251', 2988564216, 2988564219, 'GB', 'United Kingdom'),
(91263, '178.33.222.252', '178.33.222.255', 2988564220, 2988564223, 'IT', 'Italy'),
(91264, '178.33.223.0', '178.33.223.51', 2988564224, 2988564275, 'FR', 'France'),
(91265, '178.33.223.52', '178.33.223.55', 2988564276, 2988564279, 'BE', 'Belgium'),
(91266, '178.33.223.56', '178.33.223.63', 2988564280, 2988564287, 'ES', 'Spain'),
(91267, '178.33.223.64', '178.33.223.79', 2988564288, 2988564303, 'FR', 'France'),
(91268, '178.33.223.80', '178.33.223.83', 2988564304, 2988564307, 'IT', 'Italy'),
(91269, '178.33.223.84', '178.33.223.87', 2988564308, 2988564311, 'PL', 'Poland'),
(91270, '178.33.223.88', '178.33.223.95', 2988564312, 2988564319, 'ES', 'Spain'),
(91271, '178.33.223.96', '178.33.223.127', 2988564320, 2988564351, 'FR', 'France'),
(91272, '178.33.223.128', '178.33.223.135', 2988564352, 2988564359, 'DE', 'Germany'),
(91273, '178.33.223.136', '178.33.223.143', 2988564360, 2988564367, 'GB', 'United Kingdom'),
(91274, '178.33.223.144', '178.33.223.159', 2988564368, 2988564383, 'FR', 'France'),
(91275, '178.33.223.160', '178.33.223.163', 2988564384, 2988564387, 'IE', 'Ireland'),
(91276, '178.33.223.164', '178.33.223.167', 2988564388, 2988564391, 'GB', 'United Kingdom'),
(91277, '178.33.223.168', '178.33.223.171', 2988564392, 2988564395, 'NL', 'Netherlands'),
(91278, '178.33.223.172', '178.33.223.175', 2988564396, 2988564399, 'CH', 'Switzerland'),
(91279, '178.33.223.176', '178.33.223.179', 2988564400, 2988564403, 'DE', 'Germany'),
(91280, '178.33.223.180', '178.33.223.183', 2988564404, 2988564407, 'ES', 'Spain'),
(91281, '178.33.223.184', '178.33.223.247', 2988564408, 2988564471, 'FR', 'France'),
(91282, '178.33.223.248', '178.33.223.255', 2988564472, 2988564479, 'GB', 'United Kingdom'),
(91283, '178.33.224.0', '178.33.255.255', 2988564480, 2988572671, 'FR', 'France'),
(91284, '178.34.0.0', '178.35.255.255', 2988572672, 2988703743, 'RU', 'Russian Federation'),
(91285, '178.36.0.0', '178.37.255.255', 2988703744, 2988834815, 'PL', 'Poland'),
(91286, '178.38.0.0', '178.39.255.255', 2988834816, 2988965887, 'CH', 'Switzerland'),
(91287, '178.40.0.0', '178.41.255.255', 2988965888, 2989096959, 'SK', 'Slovakia'),
(91288, '178.42.0.0', '178.43.255.255', 2989096960, 2989228031, 'PL', 'Poland'),
(91289, '178.44.0.0', '178.47.255.255', 2989228032, 2989490175, 'RU', 'Russian Federation'),
(91290, '178.48.0.0', '178.48.255.255', 2989490176, 2989555711, 'HU', 'Hungary'),
(91291, '178.49.0.0', '178.49.255.255', 2989555712, 2989621247, 'RU', 'Russian Federation'),
(91292, '178.50.0.0', '178.51.255.255', 2989621248, 2989752319, 'BE', 'Belgium'),
(91293, '178.52.0.0', '178.52.255.255', 2989752320, 2989817855, 'SY', 'Syrian Arab Republic'),
(91294, '178.53.0.0', '178.53.255.255', 2989817856, 2989883391, 'KW', 'Kuwait'),
(91295, '178.54.0.0', '178.54.255.255', 2989883392, 2989948927, 'UA', 'Ukraine'),
(91296, '178.55.0.0', '178.55.255.255', 2989948928, 2990014463, 'FI', 'Finland'),
(91297, '178.56.0.0', '178.56.255.255', 2990014464, 2990079999, 'PL', 'Poland'),
(91298, '178.57.0.0', '178.57.255.255', 2990080000, 2990145535, 'RU', 'Russian Federation'),
(91299, '178.58.0.0', '178.58.255.255', 2990145536, 2990211071, 'SI', 'Slovenia'),
(91300, '178.59.0.0', '178.59.255.255', 2990211072, 2990276607, 'GR', 'Greece'),
(91301, '178.60.0.0', '178.60.255.255', 2990276608, 2990342143, 'ES', 'Spain'),
(91302, '178.61.0.0', '178.61.255.255', 2990342144, 2990407679, 'KW', 'Kuwait'),
(91303, '178.62.0.0', '178.62.255.255', 2990407680, 2990473215, 'RU', 'Russian Federation'),
(91304, '178.63.0.0', '178.63.105.17', 2990473216, 2990500113, 'DE', 'Germany'),
(91305, '178.63.105.18', '178.63.105.19', 2990500114, 2990500115, 'PL', 'Poland'),
(91306, '178.63.105.20', '178.63.166.255', 2990500116, 2990515967, 'DE', 'Germany'),
(91307, '178.63.167.0', '178.63.167.15', 2990515968, 2990515983, 'IT', 'Italy'),
(91308, '178.63.167.16', '178.63.173.151', 2990515984, 2990517655, 'DE', 'Germany'),
(91309, '178.63.173.152', '178.63.173.159', 2990517656, 2990517663, 'IT', 'Italy'),
(91310, '178.63.173.160', '178.63.174.255', 2990517664, 2990518015, 'DE', 'Germany'),
(91311, '178.63.175.0', '178.63.175.63', 2990518016, 2990518079, 'IT', 'Italy'),
(91312, '178.63.175.64', '178.63.178.31', 2990518080, 2990518815, 'DE', 'Germany'),
(91313, '178.63.178.32', '178.63.178.39', 2990518816, 2990518823, 'IT', 'Italy'),
(91314, '178.63.178.40', '178.63.214.31', 2990518824, 2990528031, 'DE', 'Germany'),
(91315, '178.63.214.32', '178.63.214.39', 2990528032, 2990528039, 'IT', 'Italy'),
(91316, '178.63.214.40', '178.63.216.191', 2990528040, 2990528703, 'DE', 'Germany'),
(91317, '178.63.216.192', '178.63.216.223', 2990528704, 2990528735, 'RS', 'Serbia'),
(91318, '178.63.216.224', '178.63.239.255', 2990528736, 2990534655, 'DE', 'Germany'),
(91319, '178.63.240.0', '178.63.240.31', 2990534656, 2990534687, 'EG', 'Egypt'),
(91320, '178.63.240.32', '178.63.244.255', 2990534688, 2990535935, 'DE', 'Germany'),
(91321, '178.63.245.0', '178.63.245.31', 2990535936, 2990535967, 'PL', 'Poland'),
(91322, '178.63.245.32', '178.63.255.255', 2990535968, 2990538751, 'DE', 'Germany'),
(91323, '178.64.0.0', '178.71.255.255', 2990538752, 2991063039, 'RU', 'Russian Federation'),
(91324, '178.72.0.0', '178.72.15.255', 2991063040, 2991067135, 'SE', 'Sweden'),
(91325, '178.72.16.0', '178.72.31.255', 2991067136, 2991071231, 'DK', 'Denmark'),
(91326, '178.72.32.0', '178.72.63.255', 2991071232, 2991079423, 'NO', 'Norway'),
(91327, '178.72.64.0', '178.72.127.255', 2991079424, 2991095807, 'RU', 'Russian Federation'),
(91328, '178.72.128.0', '178.72.191.255', 2991095808, 2991112191, 'AM', 'Armenia'),
(91329, '178.72.192.0', '178.72.255.255', 2991112192, 2991128575, 'CZ', 'Czech Republic'),
(91330, '178.73.0.0', '178.73.63.255', 2991128576, 2991144959, 'PL', 'Poland'),
(91331, '178.73.64.0', '178.73.127.255', 2991144960, 2991161343, 'SA', 'Saudi Arabia'),
(91332, '178.73.128.0', '178.73.191.255', 2991161344, 2991177727, 'FR', 'France'),
(91333, '178.73.192.0', '178.73.195.255', 2991177728, 2991178751, 'A1', 'Anonymous Proxy'),
(91334, '178.73.196.0', '178.73.197.255', 2991178752, 2991179263, 'SE', 'Sweden'),
(91335, '178.73.198.0', '178.73.198.63', 2991179264, 2991179327, 'A1', 'Anonymous Proxy'),
(91336, '178.73.198.64', '178.73.210.255', 2991179328, 2991182591, 'SE', 'Sweden'),
(91337, '178.73.211.0', '178.73.211.255', 2991182592, 2991182847, 'A1', 'Anonymous Proxy'),
(91338, '178.73.212.0', '178.73.215.255', 2991182848, 2991183871, 'SE', 'Sweden'),
(91339, '178.73.216.0', '178.73.223.255', 2991183872, 2991185919, 'A1', 'Anonymous Proxy'),
(91340, '178.73.224.0', '178.73.224.31', 2991185920, 2991185951, 'GB', 'United Kingdom'),
(91341, '178.73.224.32', '178.73.224.47', 2991185952, 2991185967, 'NL', 'Netherlands'),
(91342, '178.73.224.48', '178.73.224.63', 2991185968, 2991185983, 'DE', 'Germany'),
(91343, '178.73.224.64', '178.73.224.79', 2991185984, 2991185999, 'DK', 'Denmark'),
(91344, '178.73.224.80', '178.73.224.95', 2991186000, 2991186015, 'ES', 'Spain'),
(91345, '178.73.224.96', '178.73.224.99', 2991186016, 2991186019, 'FR', 'France'),
(91346, '178.73.224.100', '178.73.224.255', 2991186020, 2991186175, 'SE', 'Sweden'),
(91347, '178.73.225.0', '178.73.225.31', 2991186176, 2991186207, 'GB', 'United Kingdom'),
(91348, '178.73.225.32', '178.73.225.47', 2991186208, 2991186223, 'NL', 'Netherlands'),
(91349, '178.73.225.48', '178.73.225.63', 2991186224, 2991186239, 'DE', 'Germany'),
(91350, '178.73.225.64', '178.73.225.79', 2991186240, 2991186255, 'DK', 'Denmark'),
(91351, '178.73.225.80', '178.73.225.95', 2991186256, 2991186271, 'ES', 'Spain'),
(91352, '178.73.225.96', '178.73.225.99', 2991186272, 2991186275, 'FR', 'France'),
(91353, '178.73.225.100', '178.73.225.255', 2991186276, 2991186431, 'SE', 'Sweden'),
(91354, '178.73.226.0', '178.73.226.31', 2991186432, 2991186463, 'GB', 'United Kingdom'),
(91355, '178.73.226.32', '178.73.226.47', 2991186464, 2991186479, 'NL', 'Netherlands'),
(91356, '178.73.226.48', '178.73.226.63', 2991186480, 2991186495, 'DE', 'Germany'),
(91357, '178.73.226.64', '178.73.226.79', 2991186496, 2991186511, 'DK', 'Denmark'),
(91358, '178.73.226.80', '178.73.226.95', 2991186512, 2991186527, 'ES', 'Spain'),
(91359, '178.73.226.96', '178.73.226.99', 2991186528, 2991186531, 'FR', 'France'),
(91360, '178.73.226.100', '178.73.226.255', 2991186532, 2991186687, 'SE', 'Sweden'),
(91361, '178.73.227.0', '178.73.227.31', 2991186688, 2991186719, 'GB', 'United Kingdom'),
(91362, '178.73.227.32', '178.73.227.47', 2991186720, 2991186735, 'NL', 'Netherlands'),
(91363, '178.73.227.48', '178.73.227.63', 2991186736, 2991186751, 'DE', 'Germany'),
(91364, '178.73.227.64', '178.73.227.79', 2991186752, 2991186767, 'DK', 'Denmark'),
(91365, '178.73.227.80', '178.73.227.95', 2991186768, 2991186783, 'ES', 'Spain'),
(91366, '178.73.227.96', '178.73.227.99', 2991186784, 2991186787, 'FR', 'France'),
(91367, '178.73.227.100', '178.73.227.255', 2991186788, 2991186943, 'SE', 'Sweden'),
(91368, '178.73.228.0', '178.73.228.31', 2991186944, 2991186975, 'GB', 'United Kingdom'),
(91369, '178.73.228.32', '178.73.228.47', 2991186976, 2991186991, 'NL', 'Netherlands'),
(91370, '178.73.228.48', '178.73.228.63', 2991186992, 2991187007, 'DE', 'Germany'),
(91371, '178.73.228.64', '178.73.228.79', 2991187008, 2991187023, 'DK', 'Denmark'),
(91372, '178.73.228.80', '178.73.228.95', 2991187024, 2991187039, 'ES', 'Spain'),
(91373, '178.73.228.96', '178.73.228.99', 2991187040, 2991187043, 'FR', 'France'),
(91374, '178.73.228.100', '178.73.228.255', 2991187044, 2991187199, 'SE', 'Sweden'),
(91375, '178.73.229.0', '178.73.229.31', 2991187200, 2991187231, 'GB', 'United Kingdom'),
(91376, '178.73.229.32', '178.73.229.47', 2991187232, 2991187247, 'NL', 'Netherlands'),
(91377, '178.73.229.48', '178.73.229.63', 2991187248, 2991187263, 'DE', 'Germany'),
(91378, '178.73.229.64', '178.73.229.79', 2991187264, 2991187279, 'DK', 'Denmark'),
(91379, '178.73.229.80', '178.73.229.95', 2991187280, 2991187295, 'ES', 'Spain'),
(91380, '178.73.229.96', '178.73.229.99', 2991187296, 2991187299, 'FR', 'France'),
(91381, '178.73.229.100', '178.73.229.255', 2991187300, 2991187455, 'SE', 'Sweden'),
(91382, '178.73.230.0', '178.73.230.31', 2991187456, 2991187487, 'GB', 'United Kingdom'),
(91383, '178.73.230.32', '178.73.230.47', 2991187488, 2991187503, 'NL', 'Netherlands'),
(91384, '178.73.230.48', '178.73.230.63', 2991187504, 2991187519, 'DE', 'Germany'),
(91385, '178.73.230.64', '178.73.230.79', 2991187520, 2991187535, 'DK', 'Denmark'),
(91386, '178.73.230.80', '178.73.230.95', 2991187536, 2991187551, 'ES', 'Spain'),
(91387, '178.73.230.96', '178.73.230.99', 2991187552, 2991187555, 'FR', 'France'),
(91388, '178.73.230.100', '178.73.230.255', 2991187556, 2991187711, 'SE', 'Sweden'),
(91389, '178.73.231.0', '178.73.231.31', 2991187712, 2991187743, 'GB', 'United Kingdom'),
(91390, '178.73.231.32', '178.73.231.47', 2991187744, 2991187759, 'NL', 'Netherlands'),
(91391, '178.73.231.48', '178.73.231.63', 2991187760, 2991187775, 'DE', 'Germany'),
(91392, '178.73.231.64', '178.73.231.79', 2991187776, 2991187791, 'DK', 'Denmark'),
(91393, '178.73.231.80', '178.73.231.95', 2991187792, 2991187807, 'ES', 'Spain'),
(91394, '178.73.231.96', '178.73.231.99', 2991187808, 2991187811, 'FR', 'France'),
(91395, '178.73.231.100', '178.73.231.255', 2991187812, 2991187967, 'SE', 'Sweden'),
(91396, '178.73.232.0', '178.73.232.31', 2991187968, 2991187999, 'GB', 'United Kingdom'),
(91397, '178.73.232.32', '178.73.232.47', 2991188000, 2991188015, 'NL', 'Netherlands'),
(91398, '178.73.232.48', '178.73.232.63', 2991188016, 2991188031, 'DE', 'Germany'),
(91399, '178.73.232.64', '178.73.232.79', 2991188032, 2991188047, 'DK', 'Denmark'),
(91400, '178.73.232.80', '178.73.232.95', 2991188048, 2991188063, 'ES', 'Spain'),
(91401, '178.73.232.96', '178.73.232.99', 2991188064, 2991188067, 'FR', 'France'),
(91402, '178.73.232.100', '178.73.232.255', 2991188068, 2991188223, 'SE', 'Sweden'),
(91403, '178.73.233.0', '178.73.233.31', 2991188224, 2991188255, 'GB', 'United Kingdom'),
(91404, '178.73.233.32', '178.73.233.47', 2991188256, 2991188271, 'NL', 'Netherlands'),
(91405, '178.73.233.48', '178.73.233.63', 2991188272, 2991188287, 'DE', 'Germany'),
(91406, '178.73.233.64', '178.73.233.79', 2991188288, 2991188303, 'DK', 'Denmark'),
(91407, '178.73.233.80', '178.73.233.95', 2991188304, 2991188319, 'ES', 'Spain'),
(91408, '178.73.233.96', '178.73.233.99', 2991188320, 2991188323, 'FR', 'France'),
(91409, '178.73.233.100', '178.73.233.255', 2991188324, 2991188479, 'SE', 'Sweden'),
(91410, '178.73.234.0', '178.73.234.31', 2991188480, 2991188511, 'GB', 'United Kingdom'),
(91411, '178.73.234.32', '178.73.234.47', 2991188512, 2991188527, 'NL', 'Netherlands'),
(91412, '178.73.234.48', '178.73.234.63', 2991188528, 2991188543, 'DE', 'Germany'),
(91413, '178.73.234.64', '178.73.234.79', 2991188544, 2991188559, 'DK', 'Denmark'),
(91414, '178.73.234.80', '178.73.234.95', 2991188560, 2991188575, 'ES', 'Spain'),
(91415, '178.73.234.96', '178.73.234.99', 2991188576, 2991188579, 'FR', 'France'),
(91416, '178.73.234.100', '178.73.234.255', 2991188580, 2991188735, 'SE', 'Sweden'),
(91417, '178.73.235.0', '178.73.235.31', 2991188736, 2991188767, 'GB', 'United Kingdom'),
(91418, '178.73.235.32', '178.73.235.47', 2991188768, 2991188783, 'NL', 'Netherlands'),
(91419, '178.73.235.48', '178.73.235.63', 2991188784, 2991188799, 'DE', 'Germany'),
(91420, '178.73.235.64', '178.73.235.79', 2991188800, 2991188815, 'DK', 'Denmark'),
(91421, '178.73.235.80', '178.73.235.95', 2991188816, 2991188831, 'ES', 'Spain'),
(91422, '178.73.235.96', '178.73.235.99', 2991188832, 2991188835, 'FR', 'France'),
(91423, '178.73.235.100', '178.73.235.255', 2991188836, 2991188991, 'SE', 'Sweden'),
(91424, '178.73.236.0', '178.73.236.31', 2991188992, 2991189023, 'GB', 'United Kingdom'),
(91425, '178.73.236.32', '178.73.236.47', 2991189024, 2991189039, 'NL', 'Netherlands'),
(91426, '178.73.236.48', '178.73.236.63', 2991189040, 2991189055, 'DE', 'Germany'),
(91427, '178.73.236.64', '178.73.236.79', 2991189056, 2991189071, 'DK', 'Denmark'),
(91428, '178.73.236.80', '178.73.236.95', 2991189072, 2991189087, 'ES', 'Spain'),
(91429, '178.73.236.96', '178.73.236.99', 2991189088, 2991189091, 'FR', 'France'),
(91430, '178.73.236.100', '178.73.236.255', 2991189092, 2991189247, 'SE', 'Sweden'),
(91431, '178.73.237.0', '178.73.237.31', 2991189248, 2991189279, 'GB', 'United Kingdom'),
(91432, '178.73.237.32', '178.73.237.47', 2991189280, 2991189295, 'NL', 'Netherlands'),
(91433, '178.73.237.48', '178.73.237.63', 2991189296, 2991189311, 'DE', 'Germany'),
(91434, '178.73.237.64', '178.73.237.79', 2991189312, 2991189327, 'DK', 'Denmark'),
(91435, '178.73.237.80', '178.73.237.95', 2991189328, 2991189343, 'ES', 'Spain'),
(91436, '178.73.237.96', '178.73.237.99', 2991189344, 2991189347, 'FR', 'France'),
(91437, '178.73.237.100', '178.73.237.255', 2991189348, 2991189503, 'SE', 'Sweden'),
(91438, '178.73.238.0', '178.73.238.31', 2991189504, 2991189535, 'GB', 'United Kingdom'),
(91439, '178.73.238.32', '178.73.238.47', 2991189536, 2991189551, 'NL', 'Netherlands'),
(91440, '178.73.238.48', '178.73.238.63', 2991189552, 2991189567, 'DE', 'Germany'),
(91441, '178.73.238.64', '178.73.238.79', 2991189568, 2991189583, 'DK', 'Denmark'),
(91442, '178.73.238.80', '178.73.238.95', 2991189584, 2991189599, 'ES', 'Spain'),
(91443, '178.73.238.96', '178.73.238.99', 2991189600, 2991189603, 'FR', 'France'),
(91444, '178.73.238.100', '178.73.238.255', 2991189604, 2991189759, 'SE', 'Sweden'),
(91445, '178.73.239.0', '178.73.239.31', 2991189760, 2991189791, 'GB', 'United Kingdom'),
(91446, '178.73.239.32', '178.73.239.47', 2991189792, 2991189807, 'NL', 'Netherlands'),
(91447, '178.73.239.48', '178.73.239.63', 2991189808, 2991189823, 'DE', 'Germany'),
(91448, '178.73.239.64', '178.73.239.79', 2991189824, 2991189839, 'DK', 'Denmark'),
(91449, '178.73.239.80', '178.73.239.95', 2991189840, 2991189855, 'ES', 'Spain'),
(91450, '178.73.239.96', '178.73.239.99', 2991189856, 2991189859, 'FR', 'France'),
(91451, '178.73.239.100', '178.73.239.255', 2991189860, 2991190015, 'SE', 'Sweden'),
(91452, '178.73.240.0', '178.73.240.31', 2991190016, 2991190047, 'GB', 'United Kingdom'),
(91453, '178.73.240.32', '178.73.240.47', 2991190048, 2991190063, 'NL', 'Netherlands'),
(91454, '178.73.240.48', '178.73.240.63', 2991190064, 2991190079, 'DE', 'Germany'),
(91455, '178.73.240.64', '178.73.240.79', 2991190080, 2991190095, 'DK', 'Denmark'),
(91456, '178.73.240.80', '178.73.240.95', 2991190096, 2991190111, 'ES', 'Spain'),
(91457, '178.73.240.96', '178.73.240.99', 2991190112, 2991190115, 'FR', 'France'),
(91458, '178.73.240.100', '178.73.240.255', 2991190116, 2991190271, 'SE', 'Sweden'),
(91459, '178.73.241.0', '178.73.241.31', 2991190272, 2991190303, 'GB', 'United Kingdom'),
(91460, '178.73.241.32', '178.73.241.47', 2991190304, 2991190319, 'NL', 'Netherlands'),
(91461, '178.73.241.48', '178.73.241.63', 2991190320, 2991190335, 'DE', 'Germany'),
(91462, '178.73.241.64', '178.73.241.79', 2991190336, 2991190351, 'DK', 'Denmark'),
(91463, '178.73.241.80', '178.73.241.95', 2991190352, 2991190367, 'ES', 'Spain'),
(91464, '178.73.241.96', '178.73.241.99', 2991190368, 2991190371, 'FR', 'France'),
(91465, '178.73.241.100', '178.73.241.255', 2991190372, 2991190527, 'SE', 'Sweden'),
(91466, '178.73.242.0', '178.73.242.31', 2991190528, 2991190559, 'GB', 'United Kingdom'),
(91467, '178.73.242.32', '178.73.242.47', 2991190560, 2991190575, 'NL', 'Netherlands'),
(91468, '178.73.242.48', '178.73.242.63', 2991190576, 2991190591, 'DE', 'Germany'),
(91469, '178.73.242.64', '178.73.242.79', 2991190592, 2991190607, 'DK', 'Denmark'),
(91470, '178.73.242.80', '178.73.242.95', 2991190608, 2991190623, 'ES', 'Spain'),
(91471, '178.73.242.96', '178.73.242.99', 2991190624, 2991190627, 'FR', 'France'),
(91472, '178.73.242.100', '178.73.242.255', 2991190628, 2991190783, 'SE', 'Sweden'),
(91473, '178.73.243.0', '178.73.243.31', 2991190784, 2991190815, 'GB', 'United Kingdom'),
(91474, '178.73.243.32', '178.73.243.47', 2991190816, 2991190831, 'NL', 'Netherlands'),
(91475, '178.73.243.48', '178.73.243.63', 2991190832, 2991190847, 'DE', 'Germany'),
(91476, '178.73.243.64', '178.73.243.79', 2991190848, 2991190863, 'DK', 'Denmark'),
(91477, '178.73.243.80', '178.73.243.95', 2991190864, 2991190879, 'ES', 'Spain'),
(91478, '178.73.243.96', '178.73.243.99', 2991190880, 2991190883, 'FR', 'France'),
(91479, '178.73.243.100', '178.73.243.255', 2991190884, 2991191039, 'SE', 'Sweden'),
(91480, '178.73.244.0', '178.73.244.31', 2991191040, 2991191071, 'GB', 'United Kingdom'),
(91481, '178.73.244.32', '178.73.244.47', 2991191072, 2991191087, 'NL', 'Netherlands'),
(91482, '178.73.244.48', '178.73.244.63', 2991191088, 2991191103, 'DE', 'Germany'),
(91483, '178.73.244.64', '178.73.244.79', 2991191104, 2991191119, 'DK', 'Denmark'),
(91484, '178.73.244.80', '178.73.244.95', 2991191120, 2991191135, 'ES', 'Spain'),
(91485, '178.73.244.96', '178.73.244.99', 2991191136, 2991191139, 'FR', 'France'),
(91486, '178.73.244.100', '178.73.244.255', 2991191140, 2991191295, 'SE', 'Sweden'),
(91487, '178.73.245.0', '178.73.245.31', 2991191296, 2991191327, 'GB', 'United Kingdom'),
(91488, '178.73.245.32', '178.73.245.47', 2991191328, 2991191343, 'NL', 'Netherlands'),
(91489, '178.73.245.48', '178.73.245.63', 2991191344, 2991191359, 'DE', 'Germany'),
(91490, '178.73.245.64', '178.73.245.79', 2991191360, 2991191375, 'DK', 'Denmark'),
(91491, '178.73.245.80', '178.73.245.95', 2991191376, 2991191391, 'ES', 'Spain'),
(91492, '178.73.245.96', '178.73.245.99', 2991191392, 2991191395, 'FR', 'France'),
(91493, '178.73.245.100', '178.73.245.255', 2991191396, 2991191551, 'SE', 'Sweden'),
(91494, '178.73.246.0', '178.73.246.31', 2991191552, 2991191583, 'GB', 'United Kingdom'),
(91495, '178.73.246.32', '178.73.246.47', 2991191584, 2991191599, 'NL', 'Netherlands'),
(91496, '178.73.246.48', '178.73.246.63', 2991191600, 2991191615, 'DE', 'Germany'),
(91497, '178.73.246.64', '178.73.246.79', 2991191616, 2991191631, 'DK', 'Denmark'),
(91498, '178.73.246.80', '178.73.246.95', 2991191632, 2991191647, 'ES', 'Spain'),
(91499, '178.73.246.96', '178.73.246.99', 2991191648, 2991191651, 'FR', 'France'),
(91500, '178.73.246.100', '178.73.246.255', 2991191652, 2991191807, 'SE', 'Sweden'),
(91501, '178.73.247.0', '178.73.247.255', 2991191808, 2991192063, 'FI', 'Finland'),
(91502, '178.73.248.0', '178.73.248.191', 2991192064, 2991192255, 'DK', 'Denmark'),
(91503, '178.73.248.192', '178.73.248.255', 2991192256, 2991192319, 'IT', 'Italy'),
(91504, '178.73.249.0', '178.73.255.255', 2991192320, 2991194111, 'SE', 'Sweden'),
(91505, '178.74.0.0', '178.74.63.255', 2991194112, 2991210495, 'NO', 'Norway'),
(91506, '178.74.64.0', '178.74.191.255', 2991210496, 2991243263, 'RU', 'Russian Federation'),
(91507, '178.74.192.0', '178.74.255.255', 2991243264, 2991259647, 'UA', 'Ukraine'),
(91508, '178.75.0.0', '178.75.127.255', 2991259648, 2991292415, 'RU', 'Russian Federation'),
(91509, '178.75.128.0', '178.75.191.255', 2991292416, 2991308799, 'FI', 'Finland'),
(91510, '178.75.192.0', '178.75.255.255', 2991308800, 2991325183, 'BG', 'Bulgaria'),
(91511, '178.76.0.0', '178.76.63.255', 2991325184, 2991341567, 'AZ', 'Azerbaijan'),
(91512, '178.76.64.0', '178.76.127.255', 2991341568, 2991357951, 'MD', 'Moldova, Republic of'),
(91513, '178.76.128.0', '178.76.128.255', 2991357952, 2991358207, 'DE', 'Germany'),
(91514, '178.76.129.0', '178.76.129.255', 2991358208, 2991358463, 'US', 'United States'),
(91515, '178.76.130.0', '178.76.140.255', 2991358464, 2991361279, 'DE', 'Germany'),
(91516, '178.76.141.0', '178.76.141.255', 2991361280, 2991361535, 'US', 'United States'),
(91517, '178.76.142.0', '178.76.159.255', 2991361536, 2991366143, 'DE', 'Germany'),
(91518, '178.76.160.0', '178.76.160.255', 2991366144, 2991366399, 'US', 'United States'),
(91519, '178.76.161.0', '178.76.191.255', 2991366400, 2991374335, 'DE', 'Germany'),
(91520, '178.76.192.0', '178.76.255.255', 2991374336, 2991390719, 'RU', 'Russian Federation'),
(91521, '178.77.0.0', '178.77.63.255', 2991390720, 2991407103, 'BA', 'Bosnia and Herzegovina'),
(91522, '178.77.64.0', '178.77.127.255', 2991407104, 2991423487, 'DE', 'Germany'),
(91523, '178.77.128.0', '178.77.191.255', 2991423488, 2991439871, 'JO', 'Jordan'),
(91524, '178.77.192.0', '178.77.255.255', 2991439872, 2991456255, 'CZ', 'Czech Republic'),
(91525, '178.78.0.0', '178.78.63.255', 2991456256, 2991472639, 'RU', 'Russian Federation'),
(91526, '178.78.64.0', '178.78.127.255', 2991472640, 2991489023, 'GB', 'United Kingdom'),
(91527, '178.78.128.0', '178.78.191.255', 2991489024, 2991505407, 'AM', 'Armenia'),
(91528, '178.78.192.0', '178.78.255.255', 2991505408, 2991521791, 'SE', 'Sweden'),
(91529, '178.79.0.0', '178.79.63.255', 2991521792, 2991538175, 'RS', 'Serbia'),
(91530, '178.79.64.0', '178.79.127.255', 2991538176, 2991554559, 'SI', 'Slovenia'),
(91531, '178.79.128.0', '178.79.191.255', 2991554560, 2991570943, 'GB', 'United Kingdom'),
(91532, '178.79.192.0', '178.79.193.255', 2991570944, 2991571455, 'IT', 'Italy'),
(91533, '178.79.194.0', '178.79.195.255', 2991571456, 2991571967, 'GB', 'United Kingdom'),
(91534, '178.79.196.0', '178.79.197.255', 2991571968, 2991572479, 'IT', 'Italy'),
(91535, '178.79.198.0', '178.79.199.255', 2991572480, 2991572991, 'IL', 'Israel'),
(91536, '178.79.200.0', '178.79.201.255', 2991572992, 2991573503, 'GB', 'United Kingdom'),
(91537, '178.79.202.0', '178.79.203.255', 2991573504, 2991574015, 'ES', 'Spain'),
(91538, '178.79.204.0', '178.79.205.255', 2991574016, 2991574527, 'DE', 'Germany'),
(91539, '178.79.206.0', '178.79.255.255', 2991574528, 2991587327, 'IT', 'Italy'),
(91540, '178.80.0.0', '178.81.255.255', 2991587328, 2991718399, 'SA', 'Saudi Arabia'),
(91541, '178.82.0.0', '178.83.255.255', 2991718400, 2991849471, 'CH', 'Switzerland'),
(91542, '178.84.0.0', '178.85.255.255', 2991849472, 2991980543, 'NL', 'Netherlands'),
(91543, '178.86.0.0', '178.86.1.7', 2991980544, 2991980807, 'UA', 'Ukraine'),
(91544, '178.86.1.8', '178.86.1.15', 2991980808, 2991980815, 'NA', 'Namibia'),
(91545, '178.86.1.16', '178.86.3.183', 2991980816, 2991981495, 'UA', 'Ukraine'),
(91546, '178.86.3.184', '178.86.3.191', 2991981496, 2991981503, 'NA', 'Namibia'),
(91547, '178.86.3.192', '178.86.5.15', 2991981504, 2991981839, 'UA', 'Ukraine'),
(91548, '178.86.5.16', '178.86.5.23', 2991981840, 2991981847, 'RU', 'Russian Federation'),
(91549, '178.86.5.24', '178.86.7.199', 2991981848, 2991982535, 'UA', 'Ukraine'),
(91550, '178.86.7.200', '178.86.7.207', 2991982536, 2991982543, 'GL', 'Greenland'),
(91551, '178.86.7.208', '178.86.8.0', 2991982544, 2991982592, 'UA', 'Ukraine'),
(91552, '178.86.8.1', '178.86.8.7', 2991982593, 2991982599, 'JP', 'Japan'),
(91553, '178.86.8.8', '178.86.8.15', 2991982600, 2991982607, 'UA', 'Ukraine'),
(91554, '178.86.8.16', '178.86.8.159', 2991982608, 2991982751, 'JP', 'Japan'),
(91555, '178.86.8.160', '178.86.8.167', 2991982752, 2991982759, 'UA', 'Ukraine'),
(91556, '178.86.8.168', '178.86.8.254', 2991982760, 2991982846, 'JP', 'Japan'),
(91557, '178.86.8.255', '178.86.9.255', 2991982847, 2991983103, 'UA', 'Ukraine'),
(91558, '178.86.10.0', '178.86.10.7', 2991983104, 2991983111, 'IN', 'India'),
(91559, '178.86.10.8', '178.86.11.7', 2991983112, 2991983367, 'UA', 'Ukraine'),
(91560, '178.86.11.8', '178.86.11.255', 2991983368, 2991983615, 'JP', 'Japan'),
(91561, '178.86.12.0', '178.86.14.255', 2991983616, 2991984383, 'UA', 'Ukraine'),
(91562, '178.86.15.0', '178.86.15.255', 2991984384, 2991984639, 'JP', 'Japan'),
(91563, '178.86.16.0', '178.86.21.31', 2991984640, 2991985951, 'UA', 'Ukraine'),
(91564, '178.86.21.32', '178.86.21.39', 2991985952, 2991985959, 'JP', 'Japan'),
(91565, '178.86.21.40', '178.86.21.63', 2991985960, 2991985983, 'UA', 'Ukraine'),
(91566, '178.86.21.64', '178.86.21.255', 2991985984, 2991986175, 'JP', 'Japan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(91567, '178.86.22.0', '178.86.23.55', 2991986176, 2991986487, 'UA', 'Ukraine'),
(91568, '178.86.23.56', '178.86.23.127', 2991986488, 2991986559, 'JP', 'Japan'),
(91569, '178.86.23.128', '178.86.28.87', 2991986560, 2991987799, 'UA', 'Ukraine'),
(91570, '178.86.28.88', '178.86.28.95', 2991987800, 2991987807, 'CA', 'Canada'),
(91571, '178.86.28.96', '178.87.255.255', 2991987808, 2992111615, 'UA', 'Ukraine'),
(91572, '178.88.0.0', '178.91.255.255', 2992111616, 2992373759, 'KZ', 'Kazakhstan'),
(91573, '178.92.0.0', '178.95.255.255', 2992373760, 2992635903, 'UA', 'Ukraine'),
(91574, '178.96.0.0', '178.111.255.255', 2992635904, 2993684479, 'GB', 'United Kingdom'),
(91575, '178.112.0.0', '178.115.255.255', 2993684480, 2993946623, 'AT', 'Austria'),
(91576, '178.116.0.0', '178.119.255.255', 2993946624, 2994208767, 'BE', 'Belgium'),
(91577, '178.120.0.0', '178.127.255.255', 2994208768, 2994733055, 'BY', 'Belarus'),
(91578, '178.128.0.0', '178.128.255.255', 2994733056, 2994798591, 'GR', 'Greece'),
(91579, '178.129.0.0', '178.130.255.255', 2994798592, 2994929663, 'RU', 'Russian Federation'),
(91580, '178.131.0.0', '178.131.255.255', 2994929664, 2994995199, 'IR', 'Iran, Islamic Republic of'),
(91581, '178.132.0.0', '178.132.7.255', 2994995200, 2994997247, 'RU', 'Russian Federation'),
(91582, '178.132.8.0', '178.132.15.255', 2994997248, 2994999295, 'BE', 'Belgium'),
(91583, '178.132.16.0', '178.132.31.255', 2994999296, 2995003391, 'FR', 'France'),
(91584, '178.132.32.0', '178.132.47.255', 2995003392, 2995007487, 'BH', 'Bahrain'),
(91585, '178.132.48.0', '178.132.55.255', 2995007488, 2995009535, 'TR', 'Turkey'),
(91586, '178.132.56.0', '178.132.63.255', 2995009536, 2995011583, 'ES', 'Spain'),
(91587, '178.132.64.0', '178.132.71.255', 2995011584, 2995013631, 'DE', 'Germany'),
(91588, '178.132.72.0', '178.132.72.255', 2995013632, 2995013887, 'MT', 'Malta'),
(91589, '178.132.73.0', '178.132.79.255', 2995013888, 2995015679, 'SE', 'Sweden'),
(91590, '178.132.80.0', '178.132.87.255', 2995015680, 2995017727, 'BG', 'Bulgaria'),
(91591, '178.132.88.0', '178.132.95.255', 2995017728, 2995019775, 'IT', 'Italy'),
(91592, '178.132.96.0', '178.132.103.255', 2995019776, 2995021823, 'RU', 'Russian Federation'),
(91593, '178.132.104.0', '178.132.111.255', 2995021824, 2995023871, 'IT', 'Italy'),
(91594, '178.132.112.0', '178.132.191.255', 2995023872, 2995044351, 'MD', 'Moldova, Republic of'),
(91595, '178.132.192.0', '178.132.199.255', 2995044352, 2995046399, 'ES', 'Spain'),
(91596, '178.132.200.0', '178.132.207.255', 2995046400, 2995048447, 'RU', 'Russian Federation'),
(91597, '178.132.208.0', '178.132.215.255', 2995048448, 2995050495, 'NL', 'Netherlands'),
(91598, '178.132.216.0', '178.132.223.255', 2995050496, 2995052543, 'AL', 'Albania'),
(91599, '178.132.224.0', '178.132.239.255', 2995052544, 2995056639, 'DK', 'Denmark'),
(91600, '178.132.240.0', '178.132.247.255', 2995056640, 2995058687, 'DE', 'Germany'),
(91601, '178.132.248.0', '178.132.255.255', 2995058688, 2995060735, 'SE', 'Sweden'),
(91602, '178.133.0.0', '178.133.255.255', 2995060736, 2995126271, 'UA', 'Ukraine'),
(91603, '178.134.0.0', '178.134.255.255', 2995126272, 2995191807, 'GE', 'Georgia'),
(91604, '178.135.0.0', '178.135.255.255', 2995191808, 2995257343, 'LB', 'Lebanon'),
(91605, '178.136.0.0', '178.137.255.255', 2995257344, 2995388415, 'UA', 'Ukraine'),
(91606, '178.138.0.0', '178.138.255.255', 2995388416, 2995453951, 'RO', 'Romania'),
(91607, '178.139.0.0', '178.139.255.255', 2995453952, 2995519487, 'ES', 'Spain'),
(91608, '178.140.0.0', '178.141.255.255', 2995519488, 2995650559, 'RU', 'Russian Federation'),
(91609, '178.142.0.0', '178.142.255.255', 2995650560, 2995716095, 'DE', 'Germany'),
(91610, '178.143.0.0', '178.143.255.255', 2995716096, 2995781631, 'SK', 'Slovakia'),
(91611, '178.144.0.0', '178.145.255.255', 2995781632, 2995912703, 'BE', 'Belgium'),
(91612, '178.146.0.0', '178.147.255.255', 2995912704, 2996043775, 'GR', 'Greece'),
(91613, '178.148.0.0', '178.149.255.255', 2996043776, 2996174847, 'RS', 'Serbia'),
(91614, '178.150.0.0', '178.151.255.255', 2996174848, 2996305919, 'UA', 'Ukraine'),
(91615, '178.152.0.0', '178.153.255.255', 2996305920, 2996436991, 'QA', 'Qatar'),
(91616, '178.154.0.0', '178.154.127.255', 2996436992, 2996469759, 'BY', 'Belarus'),
(91617, '178.154.128.0', '178.154.255.127', 2996469760, 2996502399, 'RU', 'Russian Federation'),
(91618, '178.154.255.128', '178.154.255.159', 2996502400, 2996502431, 'TR', 'Turkey'),
(91619, '178.154.255.160', '178.155.127.255', 2996502432, 2996535295, 'RU', 'Russian Federation'),
(91620, '178.155.128.0', '178.155.255.255', 2996535296, 2996568063, 'DK', 'Denmark'),
(91621, '178.156.0.0', '178.156.127.255', 2996568064, 2996600831, 'ES', 'Spain'),
(91622, '178.156.128.0', '178.156.255.255', 2996600832, 2996633599, 'RO', 'Romania'),
(91623, '178.157.0.0', '178.157.63.255', 2996633600, 2996649983, 'IR', 'Iran, Islamic Republic of'),
(91624, '178.157.64.0', '178.157.127.255', 2996649984, 2996666367, 'RO', 'Romania'),
(91625, '178.157.128.0', '178.157.191.255', 2996666368, 2996682751, 'RU', 'Russian Federation'),
(91626, '178.157.192.0', '178.157.255.255', 2996682752, 2996699135, 'DK', 'Denmark'),
(91627, '178.158.0.0', '178.158.255.255', 2996699136, 2996764671, 'UA', 'Ukraine'),
(91628, '178.159.0.0', '178.159.15.255', 2996764672, 2996768767, 'NL', 'Netherlands'),
(91629, '178.159.16.0', '178.159.31.255', 2996768768, 2996772863, 'RU', 'Russian Federation'),
(91630, '178.159.32.0', '178.159.47.255', 2996772864, 2996776959, 'UA', 'Ukraine'),
(91631, '178.159.48.0', '178.159.63.255', 2996776960, 2996781055, 'RU', 'Russian Federation'),
(91632, '178.159.64.0', '178.159.79.255', 2996781056, 2996785151, 'RO', 'Romania'),
(91633, '178.159.80.0', '178.159.95.255', 2996785152, 2996789247, 'RU', 'Russian Federation'),
(91634, '178.159.96.0', '178.159.127.255', 2996789248, 2996797439, 'UA', 'Ukraine'),
(91635, '178.159.128.0', '178.159.143.255', 2996797440, 2996801535, 'PL', 'Poland'),
(91636, '178.159.144.0', '178.159.159.255', 2996801536, 2996805631, 'RO', 'Romania'),
(91637, '178.159.160.0', '178.159.175.255', 2996805632, 2996809727, 'PL', 'Poland'),
(91638, '178.159.176.0', '178.159.191.255', 2996809728, 2996813823, 'UA', 'Ukraine'),
(91639, '178.159.192.0', '178.159.207.255', 2996813824, 2996817919, 'PL', 'Poland'),
(91640, '178.159.208.0', '178.159.239.255', 2996817920, 2996826111, 'UA', 'Ukraine'),
(91641, '178.159.240.0', '178.159.255.255', 2996826112, 2996830207, 'BY', 'Belarus'),
(91642, '178.160.0.0', '178.160.127.255', 2996830208, 2996862975, 'HR', 'Croatia'),
(91643, '178.160.128.0', '178.160.255.255', 2996862976, 2996895743, 'AM', 'Armenia'),
(91644, '178.161.0.0', '178.161.127.255', 2996895744, 2996928511, 'KW', 'Kuwait'),
(91645, '178.161.128.0', '178.162.127.255', 2996928512, 2996994047, 'RU', 'Russian Federation'),
(91646, '178.162.128.0', '178.162.131.127', 2996994048, 2996994943, 'DE', 'Germany'),
(91647, '178.162.131.128', '178.162.131.255', 2996994944, 2996995071, 'US', 'United States'),
(91648, '178.162.132.0', '178.162.132.255', 2996995072, 2996995327, 'BZ', 'Belize'),
(91649, '178.162.133.0', '178.162.134.63', 2996995328, 2996995647, 'DE', 'Germany'),
(91650, '178.162.134.64', '178.162.134.127', 2996995648, 2996995711, 'BZ', 'Belize'),
(91651, '178.162.134.128', '178.162.134.191', 2996995712, 2996995775, 'BY', 'Belarus'),
(91652, '178.162.134.192', '178.162.134.255', 2996995776, 2996995839, 'RU', 'Russian Federation'),
(91653, '178.162.135.0', '178.162.135.233', 2996995840, 2996996073, 'DE', 'Germany'),
(91654, '178.162.135.234', '178.162.135.234', 2996996074, 2996996074, 'A1', 'Anonymous Proxy'),
(91655, '178.162.135.235', '178.162.136.191', 2996996075, 2996996287, 'DE', 'Germany'),
(91656, '178.162.136.192', '178.162.136.255', 2996996288, 2996996351, 'RU', 'Russian Federation'),
(91657, '178.162.137.0', '178.162.137.31', 2996996352, 2996996383, 'DE', 'Germany'),
(91658, '178.162.137.32', '178.162.137.95', 2996996384, 2996996447, 'RU', 'Russian Federation'),
(91659, '178.162.137.96', '178.162.137.223', 2996996448, 2996996575, 'UA', 'Ukraine'),
(91660, '178.162.137.224', '178.162.138.31', 2996996576, 2996996639, 'DE', 'Germany'),
(91661, '178.162.138.32', '178.162.138.159', 2996996640, 2996996767, 'UA', 'Ukraine'),
(91662, '178.162.138.160', '178.162.138.223', 2996996768, 2996996831, 'RU', 'Russian Federation'),
(91663, '178.162.138.224', '178.162.138.255', 2996996832, 2996996863, 'DE', 'Germany'),
(91664, '178.162.139.0', '178.162.139.255', 2996996864, 2996997119, 'CN', 'China'),
(91665, '178.162.140.0', '178.162.143.255', 2996997120, 2996998143, 'DE', 'Germany'),
(91666, '178.162.144.0', '178.162.144.127', 2996998144, 2996998271, 'UA', 'Ukraine'),
(91667, '178.162.144.128', '178.162.145.127', 2996998272, 2996998527, 'DE', 'Germany'),
(91668, '178.162.145.128', '178.162.145.255', 2996998528, 2996998655, 'UA', 'Ukraine'),
(91669, '178.162.146.0', '178.162.146.63', 2996998656, 2996998719, 'DE', 'Germany'),
(91670, '178.162.146.64', '178.162.146.255', 2996998720, 2996998911, 'RU', 'Russian Federation'),
(91671, '178.162.147.0', '178.162.148.191', 2996998912, 2996999359, 'DE', 'Germany'),
(91672, '178.162.148.192', '178.162.148.255', 2996999360, 2996999423, 'IL', 'Israel'),
(91673, '178.162.149.0', '178.162.149.127', 2996999424, 2996999551, 'IN', 'India'),
(91674, '178.162.149.128', '178.162.149.255', 2996999552, 2996999679, 'DE', 'Germany'),
(91675, '178.162.150.0', '178.162.150.255', 2996999680, 2996999935, 'GB', 'United Kingdom'),
(91676, '178.162.151.0', '178.162.152.255', 2996999936, 2997000447, 'DE', 'Germany'),
(91677, '178.162.153.0', '178.162.153.255', 2997000448, 2997000703, 'RU', 'Russian Federation'),
(91678, '178.162.154.0', '178.162.156.255', 2997000704, 2997001471, 'DE', 'Germany'),
(91679, '178.162.157.0', '178.162.157.255', 2997001472, 2997001727, 'BZ', 'Belize'),
(91680, '178.162.158.0', '178.162.158.255', 2997001728, 2997001983, 'TR', 'Turkey'),
(91681, '178.162.159.0', '178.162.163.63', 2997001984, 2997003071, 'DE', 'Germany'),
(91682, '178.162.163.64', '178.162.163.127', 2997003072, 2997003135, 'RU', 'Russian Federation'),
(91683, '178.162.163.128', '178.162.163.191', 2997003136, 2997003199, 'DE', 'Germany'),
(91684, '178.162.163.192', '178.162.163.255', 2997003200, 2997003263, 'RU', 'Russian Federation'),
(91685, '178.162.164.0', '178.162.164.23', 2997003264, 2997003287, 'DE', 'Germany'),
(91686, '178.162.164.24', '178.162.164.31', 2997003288, 2997003295, 'NL', 'Netherlands'),
(91687, '178.162.164.32', '178.162.164.63', 2997003296, 2997003327, 'DE', 'Germany'),
(91688, '178.162.164.64', '178.162.164.127', 2997003328, 2997003391, 'RU', 'Russian Federation'),
(91689, '178.162.164.128', '178.162.166.255', 2997003392, 2997004031, 'DE', 'Germany'),
(91690, '178.162.167.0', '178.162.167.255', 2997004032, 2997004287, 'BZ', 'Belize'),
(91691, '178.162.168.0', '178.162.168.255', 2997004288, 2997004543, 'CA', 'Canada'),
(91692, '178.162.169.0', '178.162.169.63', 2997004544, 2997004607, 'DE', 'Germany'),
(91693, '178.162.169.64', '178.162.169.127', 2997004608, 2997004671, 'RU', 'Russian Federation'),
(91694, '178.162.169.128', '178.162.169.255', 2997004672, 2997004799, 'DE', 'Germany'),
(91695, '178.162.170.0', '178.162.170.255', 2997004800, 2997005055, 'BZ', 'Belize'),
(91696, '178.162.171.0', '178.162.171.127', 2997005056, 2997005183, 'GB', 'United Kingdom'),
(91697, '178.162.171.128', '178.162.172.63', 2997005184, 2997005375, 'DE', 'Germany'),
(91698, '178.162.172.64', '178.162.172.127', 2997005376, 2997005439, 'GR', 'Greece'),
(91699, '178.162.172.128', '178.162.172.255', 2997005440, 2997005567, 'GB', 'United Kingdom'),
(91700, '178.162.173.0', '178.162.173.255', 2997005568, 2997005823, 'BZ', 'Belize'),
(91701, '178.162.174.0', '178.162.175.255', 2997005824, 2997006335, 'DE', 'Germany'),
(91702, '178.162.176.0', '178.162.176.255', 2997006336, 2997006591, 'TR', 'Turkey'),
(91703, '178.162.177.0', '178.162.177.63', 2997006592, 2997006655, 'DE', 'Germany'),
(91704, '178.162.177.64', '178.162.177.127', 2997006656, 2997006719, 'TR', 'Turkey'),
(91705, '178.162.177.128', '178.162.177.255', 2997006720, 2997006847, 'RU', 'Russian Federation'),
(91706, '178.162.178.0', '178.162.183.127', 2997006848, 2997008255, 'DE', 'Germany'),
(91707, '178.162.183.128', '178.162.183.255', 2997008256, 2997008383, 'LT', 'Lithuania'),
(91708, '178.162.184.0', '178.162.184.63', 2997008384, 2997008447, 'DE', 'Germany'),
(91709, '178.162.184.64', '178.162.184.127', 2997008448, 2997008511, 'RU', 'Russian Federation'),
(91710, '178.162.184.128', '178.162.184.255', 2997008512, 2997008639, 'LT', 'Lithuania'),
(91711, '178.162.185.0', '178.162.186.63', 2997008640, 2997008959, 'DE', 'Germany'),
(91712, '178.162.186.64', '178.162.186.127', 2997008960, 2997009023, 'RU', 'Russian Federation'),
(91713, '178.162.186.128', '178.162.223.255', 2997009024, 2997018623, 'DE', 'Germany'),
(91714, '178.162.224.0', '178.162.225.255', 2997018624, 2997019135, 'GB', 'United Kingdom'),
(91715, '178.162.226.0', '178.162.226.255', 2997019136, 2997019391, 'TR', 'Turkey'),
(91716, '178.162.227.0', '178.162.228.63', 2997019392, 2997019711, 'DE', 'Germany'),
(91717, '178.162.228.64', '178.162.228.255', 2997019712, 2997019903, 'US', 'United States'),
(91718, '178.162.229.0', '178.162.232.47', 2997019904, 2997020719, 'DE', 'Germany'),
(91719, '178.162.232.48', '178.162.232.63', 2997020720, 2997020735, 'SE', 'Sweden'),
(91720, '178.162.232.64', '178.162.232.127', 2997020736, 2997020799, 'DE', 'Germany'),
(91721, '178.162.232.128', '178.162.232.191', 2997020800, 2997020863, 'CA', 'Canada'),
(91722, '178.162.232.192', '178.162.237.127', 2997020864, 2997022079, 'DE', 'Germany'),
(91723, '178.162.237.128', '178.162.237.191', 2997022080, 2997022143, 'GB', 'United Kingdom'),
(91724, '178.162.237.192', '178.162.238.31', 2997022144, 2997022239, 'DE', 'Germany'),
(91725, '178.162.238.32', '178.162.238.95', 2997022240, 2997022303, 'NL', 'Netherlands'),
(91726, '178.162.238.96', '178.162.238.159', 2997022304, 2997022367, 'SG', 'Singapore'),
(91727, '178.162.238.160', '178.162.240.31', 2997022368, 2997022751, 'DE', 'Germany'),
(91728, '178.162.240.32', '178.162.240.63', 2997022752, 2997022783, 'TR', 'Turkey'),
(91729, '178.162.240.64', '178.162.240.127', 2997022784, 2997022847, 'DE', 'Germany'),
(91730, '178.162.240.128', '178.162.241.255', 2997022848, 2997023231, 'BZ', 'Belize'),
(91731, '178.162.242.0', '178.162.242.63', 2997023232, 2997023295, 'DE', 'Germany'),
(91732, '178.162.242.64', '178.162.242.191', 2997023296, 2997023423, 'IN', 'India'),
(91733, '178.162.242.192', '178.162.245.255', 2997023424, 2997024255, 'DE', 'Germany'),
(91734, '178.162.246.0', '178.162.246.255', 2997024256, 2997024511, 'TR', 'Turkey'),
(91735, '178.162.247.0', '178.162.255.255', 2997024512, 2997026815, 'DE', 'Germany'),
(91736, '178.163.0.0', '178.163.127.255', 2997026816, 2997059583, 'RU', 'Russian Federation'),
(91737, '178.163.128.0', '178.163.255.255', 2997059584, 2997092351, 'BY', 'Belarus'),
(91738, '178.164.0.0', '178.164.127.255', 2997092352, 2997125119, 'NO', 'Norway'),
(91739, '178.164.128.0', '178.164.255.255', 2997125120, 2997157887, 'HU', 'Hungary'),
(91740, '178.165.0.0', '178.165.127.255', 2997157888, 2997190655, 'UA', 'Ukraine'),
(91741, '178.165.128.0', '178.165.255.255', 2997190656, 2997223423, 'AT', 'Austria'),
(91742, '178.166.0.0', '178.166.127.255', 2997223424, 2997256191, 'PT', 'Portugal'),
(91743, '178.166.128.0', '178.167.127.255', 2997256192, 2997321727, 'RU', 'Russian Federation'),
(91744, '178.167.128.0', '178.167.255.255', 2997321728, 2997354495, 'IE', 'Ireland'),
(91745, '178.168.0.0', '178.168.127.255', 2997354496, 2997387263, 'MD', 'Moldova, Republic of'),
(91746, '178.168.128.0', '178.168.255.255', 2997387264, 2997420031, 'BY', 'Belarus'),
(91747, '178.169.0.0', '178.169.127.255', 2997420032, 2997452799, 'RU', 'Russian Federation'),
(91748, '178.169.128.0', '178.169.255.255', 2997452800, 2997485567, 'BG', 'Bulgaria'),
(91749, '178.170.0.0', '178.170.4.255', 2997485568, 2997486847, 'FR', 'France'),
(91750, '178.170.5.0', '178.170.5.63', 2997486848, 2997486911, 'BH', 'Bahrain'),
(91751, '178.170.5.64', '178.170.108.129', 2997486912, 2997513345, 'FR', 'France'),
(91752, '178.170.108.130', '178.170.108.130', 2997513346, 2997513346, 'IT', 'Italy'),
(91753, '178.170.108.131', '178.170.108.131', 2997513347, 2997513347, 'ES', 'Spain'),
(91754, '178.170.108.132', '178.170.108.132', 2997513348, 2997513348, 'DE', 'Germany'),
(91755, '178.170.108.133', '178.170.108.133', 2997513349, 2997513349, 'PT', 'Portugal'),
(91756, '178.170.108.134', '178.170.108.134', 2997513350, 2997513350, 'BE', 'Belgium'),
(91757, '178.170.108.135', '178.170.108.135', 2997513351, 2997513351, 'LU', 'Luxembourg'),
(91758, '178.170.108.136', '178.170.108.136', 2997513352, 2997513352, 'AT', 'Austria'),
(91759, '178.170.108.137', '178.170.108.137', 2997513353, 2997513353, 'NL', 'Netherlands'),
(91760, '178.170.108.138', '178.170.108.138', 2997513354, 2997513354, 'IE', 'Ireland'),
(91761, '178.170.108.139', '178.170.127.255', 2997513355, 2997518335, 'FR', 'France'),
(91762, '178.170.128.0', '178.170.165.255', 2997518336, 2997528063, 'RU', 'Russian Federation'),
(91763, '178.170.166.0', '178.170.166.255', 2997528064, 2997528319, 'UA', 'Ukraine'),
(91764, '178.170.167.0', '178.171.127.255', 2997528320, 2997583871, 'RU', 'Russian Federation'),
(91765, '178.171.128.0', '178.171.255.255', 2997583872, 2997616639, 'SY', 'Syrian Arab Republic'),
(91766, '178.172.0.0', '178.172.127.255', 2997616640, 2997649407, 'SI', 'Slovenia'),
(91767, '178.172.128.0', '178.172.255.255', 2997649408, 2997682175, 'BY', 'Belarus'),
(91768, '178.173.0.0', '178.173.127.255', 2997682176, 2997714943, 'RU', 'Russian Federation'),
(91769, '178.173.128.0', '178.173.255.255', 2997714944, 2997747711, 'IR', 'Iran, Islamic Republic of'),
(91770, '178.174.0.0', '178.174.2.255', 2997747712, 2997748479, 'DE', 'Germany'),
(91771, '178.174.3.0', '178.174.3.255', 2997748480, 2997748735, 'AT', 'Austria'),
(91772, '178.174.4.0', '178.174.4.255', 2997748736, 2997748991, 'CH', 'Switzerland'),
(91773, '178.174.5.0', '178.174.5.127', 2997748992, 2997749119, 'GB', 'United Kingdom'),
(91774, '178.174.5.128', '178.174.5.255', 2997749120, 2997749247, 'IE', 'Ireland'),
(91775, '178.174.6.0', '178.174.6.127', 2997749248, 2997749375, 'FR', 'France'),
(91776, '178.174.6.128', '178.174.6.255', 2997749376, 2997749503, 'ES', 'Spain'),
(91777, '178.174.7.0', '178.174.7.127', 2997749504, 2997749631, 'PT', 'Portugal'),
(91778, '178.174.7.128', '178.174.7.255', 2997749632, 2997749759, 'IT', 'Italy'),
(91779, '178.174.8.0', '178.174.8.127', 2997749760, 2997749887, 'PL', 'Poland'),
(91780, '178.174.8.128', '178.174.8.255', 2997749888, 2997750015, 'CZ', 'Czech Republic'),
(91781, '178.174.9.0', '178.174.9.127', 2997750016, 2997750143, 'SK', 'Slovakia'),
(91782, '178.174.9.128', '178.174.9.255', 2997750144, 2997750271, 'RU', 'Russian Federation'),
(91783, '178.174.10.0', '178.174.10.127', 2997750272, 2997750399, 'RO', 'Romania'),
(91784, '178.174.10.128', '178.174.10.255', 2997750400, 2997750527, 'HU', 'Hungary'),
(91785, '178.174.11.0', '178.174.11.127', 2997750528, 2997750655, 'BA', 'Bosnia and Herzegovina'),
(91786, '178.174.11.128', '178.174.11.255', 2997750656, 2997750783, 'HR', 'Croatia'),
(91787, '178.174.12.0', '178.174.12.127', 2997750784, 2997750911, 'GR', 'Greece'),
(91788, '178.174.12.128', '178.174.12.255', 2997750912, 2997751039, 'TR', 'Turkey'),
(91789, '178.174.13.0', '178.174.13.127', 2997751040, 2997751167, 'NO', 'Norway'),
(91790, '178.174.13.128', '178.174.13.255', 2997751168, 2997751295, 'FI', 'Finland'),
(91791, '178.174.14.0', '178.174.14.127', 2997751296, 2997751423, 'SE', 'Sweden'),
(91792, '178.174.14.128', '178.174.14.255', 2997751424, 2997751551, 'DK', 'Denmark'),
(91793, '178.174.15.0', '178.174.15.127', 2997751552, 2997751679, 'LI', 'Liechtenstein'),
(91794, '178.174.15.128', '178.174.15.255', 2997751680, 2997751807, 'BE', 'Belgium'),
(91795, '178.174.16.0', '178.174.16.127', 2997751808, 2997751935, 'NL', 'Netherlands'),
(91796, '178.174.16.128', '178.174.16.255', 2997751936, 2997752063, 'LU', 'Luxembourg'),
(91797, '178.174.17.0', '178.174.17.127', 2997752064, 2997752191, 'CA', 'Canada'),
(91798, '178.174.17.128', '178.174.17.255', 2997752192, 2997752319, 'MX', 'Mexico'),
(91799, '178.174.18.0', '178.174.18.127', 2997752320, 2997752447, 'EE', 'Estonia'),
(91800, '178.174.18.128', '178.174.18.255', 2997752448, 2997752575, 'LV', 'Latvia'),
(91801, '178.174.19.0', '178.174.19.127', 2997752576, 2997752703, 'LT', 'Lithuania'),
(91802, '178.174.19.128', '178.174.19.255', 2997752704, 2997752831, 'CN', 'China'),
(91803, '178.174.20.0', '178.174.20.127', 2997752832, 2997752959, 'KR', 'Korea, Republic of'),
(91804, '178.174.20.128', '178.174.20.255', 2997752960, 2997753087, 'JP', 'Japan'),
(91805, '178.174.21.0', '178.174.21.127', 2997753088, 2997753215, 'AU', 'Australia'),
(91806, '178.174.21.128', '178.174.21.255', 2997753216, 2997753343, 'NZ', 'New Zealand'),
(91807, '178.174.22.0', '178.174.22.127', 2997753344, 2997753471, 'VN', 'Vietnam'),
(91808, '178.174.22.128', '178.174.22.255', 2997753472, 2997753599, 'BR', 'Brazil'),
(91809, '178.174.23.0', '178.174.23.127', 2997753600, 2997753727, 'TH', 'Thailand'),
(91810, '178.174.23.128', '178.174.23.255', 2997753728, 2997753855, 'IN', 'India'),
(91811, '178.174.24.0', '178.174.27.31', 2997753856, 2997754655, 'US', 'United States'),
(91812, '178.174.27.32', '178.174.27.255', 2997754656, 2997754879, 'DE', 'Germany'),
(91813, '178.174.28.0', '178.174.28.15', 2997754880, 2997754895, 'SG', 'Singapore'),
(91814, '178.174.28.16', '178.174.127.255', 2997754896, 2997780479, 'DE', 'Germany'),
(91815, '178.174.128.0', '178.174.255.255', 2997780480, 2997813247, 'SE', 'Sweden'),
(91816, '178.175.0.0', '178.175.7.255', 2997813248, 2997815295, 'AL', 'Albania'),
(91817, '178.175.8.0', '178.175.127.255', 2997815296, 2997846015, 'RS', 'Serbia'),
(91818, '178.175.128.0', '178.175.255.255', 2997846016, 2997878783, 'MD', 'Moldova, Republic of'),
(91819, '178.176.0.0', '178.179.255.255', 2997878784, 2998140927, 'RU', 'Russian Federation'),
(91820, '178.180.0.0', '178.183.255.255', 2998140928, 2998403071, 'PL', 'Poland'),
(91821, '178.184.0.0', '178.187.255.255', 2998403072, 2998665215, 'RU', 'Russian Federation'),
(91822, '178.188.0.0', '178.191.255.255', 2998665216, 2998927359, 'AT', 'Austria'),
(91823, '178.192.0.0', '178.199.255.255', 2998927360, 2999451647, 'CH', 'Switzerland'),
(91824, '178.200.0.0', '178.203.255.255', 2999451648, 2999713791, 'DE', 'Germany'),
(91825, '178.204.0.0', '178.207.255.255', 2999713792, 2999975935, 'RU', 'Russian Federation'),
(91826, '178.208.0.0', '178.208.31.255', 2999975936, 2999984127, 'FR', 'France'),
(91827, '178.208.32.0', '178.208.38.31', 2999984128, 2999985695, 'BE', 'Belgium'),
(91828, '178.208.38.32', '178.208.38.47', 2999985696, 2999985711, 'GB', 'United Kingdom'),
(91829, '178.208.38.48', '178.208.38.63', 2999985712, 2999985727, 'BE', 'Belgium'),
(91830, '178.208.38.64', '178.208.38.79', 2999985728, 2999985743, 'CZ', 'Czech Republic'),
(91831, '178.208.38.80', '178.208.38.95', 2999985744, 2999985759, 'NL', 'Netherlands'),
(91832, '178.208.38.96', '178.208.50.255', 2999985760, 2999988991, 'BE', 'Belgium'),
(91833, '178.208.51.0', '178.208.51.7', 2999988992, 2999988999, 'FR', 'France'),
(91834, '178.208.51.8', '178.208.51.15', 2999989000, 2999989007, 'BE', 'Belgium'),
(91835, '178.208.51.16', '178.208.51.127', 2999989008, 2999989119, 'NL', 'Netherlands'),
(91836, '178.208.51.128', '178.208.51.255', 2999989120, 2999989247, 'FR', 'France'),
(91837, '178.208.52.0', '178.208.58.255', 2999989248, 2999991039, 'BE', 'Belgium'),
(91838, '178.208.59.0', '178.208.63.255', 2999991040, 2999992319, 'NL', 'Netherlands'),
(91839, '178.208.64.0', '178.208.95.255', 2999992320, 3000000511, 'RU', 'Russian Federation'),
(91840, '178.208.96.0', '178.208.127.255', 3000000512, 3000008703, 'DE', 'Germany'),
(91841, '178.208.128.0', '178.208.159.255', 3000008704, 3000016895, 'RU', 'Russian Federation'),
(91842, '178.208.160.0', '178.208.175.255', 3000016896, 3000020991, 'GB', 'United Kingdom'),
(91843, '178.208.176.0', '178.208.183.255', 3000020992, 3000023039, 'US', 'United States'),
(91844, '178.208.184.0', '178.208.191.255', 3000023040, 3000025087, 'GB', 'United Kingdom'),
(91845, '178.208.192.0', '178.208.223.255', 3000025088, 3000033279, 'GI', 'Gibraltar'),
(91846, '178.208.224.0', '178.208.255.255', 3000033280, 3000041471, 'RU', 'Russian Federation'),
(91847, '178.209.0.0', '178.209.31.255', 3000041472, 3000049663, 'BA', 'Bosnia and Herzegovina'),
(91848, '178.209.32.0', '178.209.63.255', 3000049664, 3000057855, 'CH', 'Switzerland'),
(91849, '178.209.64.0', '178.209.95.255', 3000057856, 3000066047, 'UA', 'Ukraine'),
(91850, '178.209.96.0', '178.209.127.255', 3000066048, 3000074239, 'RU', 'Russian Federation'),
(91851, '178.209.128.0', '178.209.159.255', 3000074240, 3000082431, 'CZ', 'Czech Republic'),
(91852, '178.209.160.0', '178.209.191.255', 3000082432, 3000090623, 'DK', 'Denmark'),
(91853, '178.209.192.0', '178.210.95.255', 3000090624, 3000131583, 'RU', 'Russian Federation'),
(91854, '178.210.96.0', '178.210.127.255', 3000131584, 3000139775, 'DE', 'Germany'),
(91855, '178.210.128.0', '178.210.159.255', 3000139776, 3000147967, 'UA', 'Ukraine'),
(91856, '178.210.160.0', '178.210.191.255', 3000147968, 3000156159, 'TR', 'Turkey'),
(91857, '178.210.192.0', '178.210.223.255', 3000156160, 3000164351, 'UA', 'Ukraine'),
(91858, '178.210.224.0', '178.210.255.255', 3000164352, 3000172543, 'HU', 'Hungary'),
(91859, '178.211.0.0', '178.211.31.255', 3000172544, 3000180735, 'RU', 'Russian Federation'),
(91860, '178.211.32.0', '178.211.63.255', 3000180736, 3000188927, 'TR', 'Turkey'),
(91861, '178.211.64.0', '178.211.95.255', 3000188928, 3000197119, 'IT', 'Italy'),
(91862, '178.211.96.0', '178.211.159.255', 3000197120, 3000213503, 'UA', 'Ukraine'),
(91863, '178.211.160.0', '178.211.191.255', 3000213504, 3000221695, 'RU', 'Russian Federation'),
(91864, '178.211.192.0', '178.211.223.255', 3000221696, 3000229887, 'TR', 'Turkey'),
(91865, '178.211.224.0', '178.211.255.255', 3000229888, 3000238079, 'CH', 'Switzerland'),
(91866, '178.212.0.0', '178.212.7.255', 3000238080, 3000240127, 'KZ', 'Kazakhstan'),
(91867, '178.212.8.0', '178.212.15.255', 3000240128, 3000242175, 'RU', 'Russian Federation'),
(91868, '178.212.16.0', '178.212.23.255', 3000242176, 3000244223, 'AT', 'Austria'),
(91869, '178.212.24.0', '178.212.31.255', 3000244224, 3000246271, 'PL', 'Poland'),
(91870, '178.212.32.0', '178.212.39.255', 3000246272, 3000248319, 'RO', 'Romania'),
(91871, '178.212.40.0', '178.212.55.255', 3000248320, 3000252415, 'PL', 'Poland'),
(91872, '178.212.56.0', '178.212.63.255', 3000252416, 3000254463, 'RO', 'Romania'),
(91873, '178.212.64.0', '178.212.71.255', 3000254464, 3000256511, 'UA', 'Ukraine'),
(91874, '178.212.72.0', '178.212.87.255', 3000256512, 3000260607, 'RU', 'Russian Federation'),
(91875, '178.212.88.0', '178.212.95.255', 3000260608, 3000262655, 'RS', 'Serbia'),
(91876, '178.212.96.0', '178.212.111.255', 3000262656, 3000266751, 'UA', 'Ukraine'),
(91877, '178.212.112.0', '178.212.119.255', 3000266752, 3000268799, 'DE', 'Germany'),
(91878, '178.212.120.0', '178.212.127.255', 3000268800, 3000270847, 'PL', 'Poland'),
(91879, '178.212.128.0', '178.212.135.255', 3000270848, 3000272895, 'RU', 'Russian Federation'),
(91880, '178.212.136.0', '178.212.143.255', 3000272896, 3000274943, 'IT', 'Italy'),
(91881, '178.212.144.0', '178.212.175.255', 3000274944, 3000283135, 'PL', 'Poland'),
(91882, '178.212.176.0', '178.212.183.255', 3000283136, 3000285183, 'RU', 'Russian Federation'),
(91883, '178.212.184.0', '178.212.191.255', 3000285184, 3000287231, 'RO', 'Romania'),
(91884, '178.212.192.0', '178.212.199.255', 3000287232, 3000289279, 'UA', 'Ukraine'),
(91885, '178.212.200.0', '178.212.207.255', 3000289280, 3000291327, 'RO', 'Romania'),
(91886, '178.212.208.0', '178.212.215.255', 3000291328, 3000293375, 'RU', 'Russian Federation'),
(91887, '178.212.216.0', '178.212.223.255', 3000293376, 3000295423, 'PL', 'Poland'),
(91888, '178.212.224.0', '178.212.231.255', 3000295424, 3000297471, 'RU', 'Russian Federation'),
(91889, '178.212.232.0', '178.212.247.255', 3000297472, 3000301567, 'UA', 'Ukraine'),
(91890, '178.212.248.0', '178.212.255.255', 3000301568, 3000303615, 'RO', 'Romania'),
(91891, '178.213.0.0', '178.213.7.255', 3000303616, 3000305663, 'UA', 'Ukraine'),
(91892, '178.213.8.0', '178.213.39.255', 3000305664, 3000313855, 'RU', 'Russian Federation'),
(91893, '178.213.40.0', '178.213.47.255', 3000313856, 3000315903, 'CZ', 'Czech Republic'),
(91894, '178.213.48.0', '178.213.55.255', 3000315904, 3000317951, 'LV', 'Latvia'),
(91895, '178.213.56.0', '178.213.63.255', 3000317952, 3000319999, 'PL', 'Poland'),
(91896, '178.213.64.0', '178.213.71.255', 3000320000, 3000322047, 'FR', 'France'),
(91897, '178.213.72.0', '178.213.87.255', 3000322048, 3000326143, 'RU', 'Russian Federation'),
(91898, '178.213.88.0', '178.213.103.255', 3000326144, 3000330239, 'PL', 'Poland'),
(91899, '178.213.104.0', '178.213.111.255', 3000330240, 3000332287, 'UA', 'Ukraine'),
(91900, '178.213.112.0', '178.213.119.255', 3000332288, 3000334335, 'RU', 'Russian Federation'),
(91901, '178.213.120.0', '178.213.127.255', 3000334336, 3000336383, 'PL', 'Poland'),
(91902, '178.213.128.0', '178.213.135.255', 3000336384, 3000338431, 'AM', 'Armenia'),
(91903, '178.213.136.0', '178.213.143.255', 3000338432, 3000340479, 'PL', 'Poland'),
(91904, '178.213.144.0', '178.213.151.255', 3000340480, 3000342527, 'RU', 'Russian Federation'),
(91905, '178.213.152.0', '178.213.159.255', 3000342528, 3000344575, 'CZ', 'Czech Republic'),
(91906, '178.213.160.0', '178.213.167.255', 3000344576, 3000346623, 'PL', 'Poland'),
(91907, '178.213.168.0', '178.213.175.255', 3000346624, 3000348671, 'UA', 'Ukraine'),
(91908, '178.213.176.0', '178.213.183.255', 3000348672, 3000350719, 'RO', 'Romania'),
(91909, '178.213.184.0', '178.213.191.255', 3000350720, 3000352767, 'UA', 'Ukraine'),
(91910, '178.213.192.0', '178.213.215.255', 3000352768, 3000358911, 'RU', 'Russian Federation'),
(91911, '178.213.216.0', '178.213.223.255', 3000358912, 3000360959, 'PL', 'Poland'),
(91912, '178.213.224.0', '178.213.231.255', 3000360960, 3000363007, 'RU', 'Russian Federation'),
(91913, '178.213.232.0', '178.213.239.255', 3000363008, 3000365055, 'FI', 'Finland'),
(91914, '178.213.240.0', '178.213.255.255', 3000365056, 3000369151, 'RU', 'Russian Federation'),
(91915, '178.214.0.0', '178.214.31.255', 3000369152, 3000377343, 'PL', 'Poland'),
(91916, '178.214.32.0', '178.214.63.255', 3000377344, 3000385535, 'RU', 'Russian Federation'),
(91917, '178.214.64.0', '178.214.95.255', 3000385536, 3000393727, 'PS', 'Palestinian Territory, Occupied'),
(91918, '178.214.96.0', '178.214.127.255', 3000393728, 3000401919, 'NL', 'Netherlands'),
(91919, '178.214.128.0', '178.214.159.255', 3000401920, 3000410111, 'PL', 'Poland'),
(91920, '178.214.160.0', '178.214.223.255', 3000410112, 3000426495, 'UA', 'Ukraine'),
(91921, '178.214.224.0', '178.214.255.255', 3000426496, 3000434687, 'RU', 'Russian Federation'),
(91922, '178.215.0.0', '178.215.63.255', 3000434688, 3000451071, 'IR', 'Iran, Islamic Republic of'),
(91923, '178.215.64.0', '178.215.127.255', 3000451072, 3000467455, 'RU', 'Russian Federation'),
(91924, '178.215.128.0', '178.215.143.255', 3000467456, 3000471551, 'GB', 'United Kingdom'),
(91925, '178.215.144.0', '178.215.159.255', 3000471552, 3000475647, 'RU', 'Russian Federation'),
(91926, '178.215.160.0', '178.215.191.255', 3000475648, 3000483839, 'UA', 'Ukraine'),
(91927, '178.215.192.0', '178.215.207.255', 3000483840, 3000487935, 'PL', 'Poland'),
(91928, '178.215.208.0', '178.215.223.255', 3000487936, 3000492031, 'PS', 'Palestinian Territory, Occupied'),
(91929, '178.215.224.0', '178.216.23.255', 3000492032, 3000506367, 'UA', 'Ukraine'),
(91930, '178.216.24.0', '178.216.31.255', 3000506368, 3000508415, 'PL', 'Poland'),
(91931, '178.216.32.0', '178.216.39.255', 3000508416, 3000510463, 'UA', 'Ukraine'),
(91932, '178.216.40.0', '178.216.47.255', 3000510464, 3000512511, 'PL', 'Poland'),
(91933, '178.216.48.0', '178.216.55.255', 3000512512, 3000514559, 'EE', 'Estonia'),
(91934, '178.216.56.0', '178.216.63.255', 3000514560, 3000516607, 'SI', 'Slovenia'),
(91935, '178.216.64.0', '178.216.79.255', 3000516608, 3000520703, 'RU', 'Russian Federation'),
(91936, '178.216.80.0', '178.216.87.255', 3000520704, 3000522751, 'CZ', 'Czech Republic'),
(91937, '178.216.88.0', '178.216.95.255', 3000522752, 3000524799, 'PL', 'Poland'),
(91938, '178.216.96.0', '178.216.103.255', 3000524800, 3000526847, 'UA', 'Ukraine'),
(91939, '178.216.104.0', '178.216.111.255', 3000526848, 3000528895, 'PL', 'Poland'),
(91940, '178.216.112.0', '178.216.119.255', 3000528896, 3000530943, 'IE', 'Ireland'),
(91941, '178.216.120.0', '178.216.127.255', 3000530944, 3000532991, 'UA', 'Ukraine'),
(91942, '178.216.128.0', '178.216.135.255', 3000532992, 3000535039, 'UZ', 'Uzbekistan'),
(91943, '178.216.136.0', '178.216.143.255', 3000535040, 3000537087, 'PL', 'Poland'),
(91944, '178.216.144.0', '178.216.151.255', 3000537088, 3000539135, 'CZ', 'Czech Republic'),
(91945, '178.216.152.0', '178.216.167.255', 3000539136, 3000543231, 'RU', 'Russian Federation'),
(91946, '178.216.168.0', '178.216.175.255', 3000543232, 3000545279, 'UA', 'Ukraine'),
(91947, '178.216.176.0', '178.216.183.255', 3000545280, 3000547327, 'RU', 'Russian Federation'),
(91948, '178.216.184.0', '178.216.191.255', 3000547328, 3000549375, 'UA', 'Ukraine'),
(91949, '178.216.192.0', '178.216.199.255', 3000549376, 3000551423, 'SE', 'Sweden'),
(91950, '178.216.200.0', '178.216.207.255', 3000551424, 3000553471, 'PL', 'Poland'),
(91951, '178.216.208.0', '178.216.215.255', 3000553472, 3000555519, 'KG', 'Kyrgyzstan'),
(91952, '178.216.216.0', '178.216.223.255', 3000555520, 3000557567, 'RU', 'Russian Federation'),
(91953, '178.216.224.0', '178.216.239.255', 3000557568, 3000561663, 'UA', 'Ukraine'),
(91954, '178.216.240.0', '178.216.247.255', 3000561664, 3000563711, 'RO', 'Romania'),
(91955, '178.216.248.0', '178.216.255.255', 3000563712, 3000565759, 'CZ', 'Czech Republic'),
(91956, '178.217.0.0', '178.217.7.255', 3000565760, 3000567807, 'RU', 'Russian Federation'),
(91957, '178.217.8.0', '178.217.15.255', 3000567808, 3000569855, 'RS', 'Serbia'),
(91958, '178.217.16.0', '178.217.23.255', 3000569856, 3000571903, 'BE', 'Belgium'),
(91959, '178.217.24.0', '178.217.31.255', 3000571904, 3000573951, 'RU', 'Russian Federation'),
(91960, '178.217.32.0', '178.217.39.255', 3000573952, 3000575999, 'PL', 'Poland'),
(91961, '178.217.40.0', '178.217.79.255', 3000576000, 3000586239, 'RU', 'Russian Federation'),
(91962, '178.217.80.0', '178.217.87.255', 3000586240, 3000588287, 'NL', 'Netherlands'),
(91963, '178.217.88.0', '178.217.95.255', 3000588288, 3000590335, 'RO', 'Romania'),
(91964, '178.217.96.0', '178.217.111.255', 3000590336, 3000594431, 'RU', 'Russian Federation'),
(91965, '178.217.112.0', '178.217.119.255', 3000594432, 3000596479, 'PL', 'Poland'),
(91966, '178.217.120.0', '178.217.127.255', 3000596480, 3000598527, 'RU', 'Russian Federation'),
(91967, '178.217.128.0', '178.217.135.255', 3000598528, 3000600575, 'FI', 'Finland'),
(91968, '178.217.136.0', '178.217.143.255', 3000600576, 3000602623, 'PL', 'Poland'),
(91969, '178.217.144.0', '178.217.151.255', 3000602624, 3000604671, 'CZ', 'Czech Republic'),
(91970, '178.217.152.0', '178.217.159.255', 3000604672, 3000606719, 'RU', 'Russian Federation'),
(91971, '178.217.160.0', '178.217.167.255', 3000606720, 3000608767, 'UA', 'Ukraine'),
(91972, '178.217.168.0', '178.217.175.255', 3000608768, 3000610815, 'KG', 'Kyrgyzstan'),
(91973, '178.217.176.0', '178.217.183.255', 3000610816, 3000612863, 'RU', 'Russian Federation'),
(91974, '178.217.184.0', '178.217.199.255', 3000612864, 3000616959, 'PL', 'Poland'),
(91975, '178.217.200.0', '178.217.215.255', 3000616960, 3000621055, 'UA', 'Ukraine'),
(91976, '178.217.216.0', '178.217.223.255', 3000621056, 3000623103, 'PL', 'Poland'),
(91977, '178.217.224.0', '178.217.231.255', 3000623104, 3000625151, 'RU', 'Russian Federation'),
(91978, '178.217.232.0', '178.217.239.255', 3000625152, 3000627199, 'RO', 'Romania'),
(91979, '178.217.240.0', '178.217.247.255', 3000627200, 3000629247, 'CZ', 'Czech Republic'),
(91980, '178.217.248.0', '178.217.255.255', 3000629248, 3000631295, 'PL', 'Poland'),
(91981, '178.218.0.0', '178.218.63.255', 3000631296, 3000647679, 'RU', 'Russian Federation'),
(91982, '178.218.64.0', '178.218.79.255', 3000647680, 3000651775, 'UA', 'Ukraine'),
(91983, '178.218.80.0', '178.218.127.255', 3000651776, 3000664063, 'RU', 'Russian Federation'),
(91984, '178.218.128.0', '178.218.143.255', 3000664064, 3000668159, 'RO', 'Romania'),
(91985, '178.218.144.0', '178.218.159.255', 3000668160, 3000672255, 'RU', 'Russian Federation'),
(91986, '178.218.160.0', '178.218.175.255', 3000672256, 3000676351, 'HR', 'Croatia'),
(91987, '178.218.176.0', '178.218.207.255', 3000676352, 3000684543, 'RO', 'Romania'),
(91988, '178.218.208.0', '178.218.223.255', 3000684544, 3000688639, 'RU', 'Russian Federation'),
(91989, '178.218.224.0', '178.218.239.255', 3000688640, 3000692735, 'PL', 'Poland'),
(91990, '178.218.240.0', '178.218.255.255', 3000692736, 3000696831, 'UA', 'Ukraine'),
(91991, '178.219.0.0', '178.219.15.255', 3000696832, 3000700927, 'RS', 'Serbia'),
(91992, '178.219.16.0', '178.219.31.255', 3000700928, 3000705023, 'PL', 'Poland'),
(91993, '178.219.32.0', '178.219.47.255', 3000705024, 3000709119, 'RU', 'Russian Federation'),
(91994, '178.219.48.0', '178.219.63.255', 3000709120, 3000713215, 'AM', 'Armenia'),
(91995, '178.219.64.0', '178.219.79.255', 3000713216, 3000717311, 'A2', 'Satellite Provider'),
(91996, '178.219.80.0', '178.219.95.255', 3000717312, 3000721407, 'UA', 'Ukraine'),
(91997, '178.219.96.0', '178.219.143.255', 3000721408, 3000733695, 'PL', 'Poland'),
(91998, '178.219.144.0', '178.219.159.255', 3000733696, 3000737791, 'RU', 'Russian Federation'),
(91999, '178.219.160.0', '178.219.175.255', 3000737792, 3000741887, 'UA', 'Ukraine'),
(92000, '178.219.176.0', '178.219.191.255', 3000741888, 3000745983, 'RU', 'Russian Federation'),
(92001, '178.219.192.0', '178.219.207.255', 3000745984, 3000750079, 'UA', 'Ukraine'),
(92002, '178.219.208.0', '178.219.223.255', 3000750080, 3000754175, 'RU', 'Russian Federation'),
(92003, '178.219.224.0', '178.219.239.255', 3000754176, 3000758271, 'IR', 'Iran, Islamic Republic of'),
(92004, '178.219.240.0', '178.219.255.255', 3000758272, 3000762367, 'UA', 'Ukraine'),
(92005, '178.220.0.0', '178.223.255.255', 3000762368, 3001024511, 'RS', 'Serbia'),
(92006, '178.224.0.0', '178.231.255.255', 3001024512, 3001548799, 'NL', 'Netherlands'),
(92007, '178.232.0.0', '178.232.255.255', 3001548800, 3001614335, 'NO', 'Norway'),
(92008, '178.233.0.0', '178.233.255.255', 3001614336, 3001679871, 'TR', 'Turkey'),
(92009, '178.234.0.0', '178.234.255.255', 3001679872, 3001745407, 'RU', 'Russian Federation'),
(92010, '178.235.0.0', '178.235.255.255', 3001745408, 3001810943, 'PL', 'Poland'),
(92011, '178.236.0.0', '178.236.15.255', 3001810944, 3001815039, 'IE', 'Ireland'),
(92012, '178.236.16.0', '178.236.31.255', 3001815040, 3001819135, 'RU', 'Russian Federation'),
(92013, '178.236.32.0', '178.236.47.255', 3001819136, 3001823231, 'IR', 'Iran, Islamic Republic of'),
(92014, '178.236.48.0', '178.236.63.255', 3001823232, 3001827327, 'GE', 'Georgia'),
(92015, '178.236.64.0', '178.236.65.63', 3001827328, 3001827647, 'SE', 'Sweden'),
(92016, '178.236.65.64', '178.236.65.159', 3001827648, 3001827743, 'GB', 'United Kingdom'),
(92017, '178.236.65.160', '178.236.65.191', 3001827744, 3001827775, 'US', 'United States'),
(92018, '178.236.65.192', '178.236.70.0', 3001827776, 3001828864, 'SE', 'Sweden'),
(92019, '178.236.70.1', '178.236.70.32', 3001828865, 3001828896, 'US', 'United States'),
(92020, '178.236.70.33', '178.236.70.63', 3001828897, 3001828927, 'SE', 'Sweden'),
(92021, '178.236.70.64', '178.236.70.127', 3001828928, 3001828991, 'DE', 'Germany'),
(92022, '178.236.70.128', '178.236.70.191', 3001828992, 3001829055, 'GB', 'United Kingdom'),
(92023, '178.236.70.192', '178.236.71.0', 3001829056, 3001829120, 'SE', 'Sweden'),
(92024, '178.236.71.1', '178.236.71.32', 3001829121, 3001829152, 'US', 'United States'),
(92025, '178.236.71.33', '178.236.71.63', 3001829153, 3001829183, 'SE', 'Sweden'),
(92026, '178.236.71.64', '178.236.71.127', 3001829184, 3001829247, 'DE', 'Germany'),
(92027, '178.236.71.128', '178.236.71.191', 3001829248, 3001829311, 'GB', 'United Kingdom'),
(92028, '178.236.71.192', '178.236.76.0', 3001829312, 3001830400, 'SE', 'Sweden'),
(92029, '178.236.76.1', '178.236.76.32', 3001830401, 3001830432, 'GB', 'United Kingdom'),
(92030, '178.236.76.33', '178.236.76.95', 3001830433, 3001830495, 'SE', 'Sweden'),
(92031, '178.236.76.96', '178.236.76.127', 3001830496, 3001830527, 'GB', 'United Kingdom'),
(92032, '178.236.76.128', '178.236.76.159', 3001830528, 3001830559, 'IT', 'Italy'),
(92033, '178.236.76.160', '178.236.76.191', 3001830560, 3001830591, 'FR', 'France'),
(92034, '178.236.76.192', '178.236.76.223', 3001830592, 3001830623, 'US', 'United States'),
(92035, '178.236.76.224', '178.236.76.231', 3001830624, 3001830631, 'SE', 'Sweden'),
(92036, '178.236.76.232', '178.236.76.239', 3001830632, 3001830639, 'IT', 'Italy'),
(92037, '178.236.76.240', '178.236.77.0', 3001830640, 3001830656, 'SE', 'Sweden'),
(92038, '178.236.77.1', '178.236.77.32', 3001830657, 3001830688, 'GB', 'United Kingdom'),
(92039, '178.236.77.33', '178.236.77.95', 3001830689, 3001830751, 'SE', 'Sweden'),
(92040, '178.236.77.96', '178.236.77.127', 3001830752, 3001830783, 'GB', 'United Kingdom'),
(92041, '178.236.77.128', '178.236.77.159', 3001830784, 3001830815, 'IT', 'Italy'),
(92042, '178.236.77.160', '178.236.77.191', 3001830816, 3001830847, 'FR', 'France'),
(92043, '178.236.77.192', '178.236.77.223', 3001830848, 3001830879, 'US', 'United States'),
(92044, '178.236.77.224', '178.236.77.231', 3001830880, 3001830887, 'SE', 'Sweden'),
(92045, '178.236.77.232', '178.236.77.239', 3001830888, 3001830895, 'IT', 'Italy'),
(92046, '178.236.77.240', '178.236.78.0', 3001830896, 3001830912, 'SE', 'Sweden'),
(92047, '178.236.78.1', '178.236.78.32', 3001830913, 3001830944, 'GB', 'United Kingdom'),
(92048, '178.236.78.33', '178.236.78.95', 3001830945, 3001831007, 'SE', 'Sweden'),
(92049, '178.236.78.96', '178.236.78.127', 3001831008, 3001831039, 'GB', 'United Kingdom'),
(92050, '178.236.78.128', '178.236.78.159', 3001831040, 3001831071, 'IT', 'Italy'),
(92051, '178.236.78.160', '178.236.78.191', 3001831072, 3001831103, 'FR', 'France'),
(92052, '178.236.78.192', '178.236.78.223', 3001831104, 3001831135, 'US', 'United States'),
(92053, '178.236.78.224', '178.236.78.255', 3001831136, 3001831167, 'IT', 'Italy'),
(92054, '178.236.79.0', '178.236.79.31', 3001831168, 3001831199, 'GB', 'United Kingdom'),
(92055, '178.236.79.32', '178.236.79.95', 3001831200, 3001831263, 'SE', 'Sweden'),
(92056, '178.236.79.96', '178.236.79.127', 3001831264, 3001831295, 'GB', 'United Kingdom'),
(92057, '178.236.79.128', '178.236.79.159', 3001831296, 3001831327, 'IT', 'Italy'),
(92058, '178.236.79.160', '178.236.79.191', 3001831328, 3001831359, 'FR', 'France'),
(92059, '178.236.79.192', '178.236.79.223', 3001831360, 3001831391, 'US', 'United States'),
(92060, '178.236.79.224', '178.236.79.255', 3001831392, 3001831423, 'SE', 'Sweden'),
(92061, '178.236.80.0', '178.236.95.255', 3001831424, 3001835519, 'BA', 'Bosnia and Herzegovina'),
(92062, '178.236.96.0', '178.236.111.255', 3001835520, 3001839615, 'RU', 'Russian Federation'),
(92063, '178.236.112.0', '178.236.127.255', 3001839616, 3001843711, 'ES', 'Spain'),
(92064, '178.236.128.0', '178.236.137.255', 3001843712, 3001846271, 'RU', 'Russian Federation'),
(92065, '178.236.138.0', '178.236.139.255', 3001846272, 3001846783, 'GB', 'United Kingdom'),
(92066, '178.236.140.0', '178.236.143.255', 3001846784, 3001847807, 'RU', 'Russian Federation'),
(92067, '178.236.144.0', '178.236.159.255', 3001847808, 3001851903, 'GB', 'United Kingdom'),
(92068, '178.236.160.0', '178.236.175.255', 3001851904, 3001855999, 'IT', 'Italy'),
(92069, '178.236.176.0', '178.236.187.255', 3001856000, 3001859071, 'NL', 'Netherlands'),
(92070, '178.236.188.0', '178.236.191.255', 3001859072, 3001860095, 'MD', 'Moldova, Republic of'),
(92071, '178.236.192.0', '178.236.195.255', 3001860096, 3001861119, 'LV', 'Latvia'),
(92072, '178.236.196.0', '178.236.199.255', 3001861120, 3001862143, 'LT', 'Lithuania'),
(92073, '178.236.200.0', '178.236.203.255', 3001862144, 3001863167, 'EE', 'Estonia'),
(92074, '178.236.204.0', '178.236.207.255', 3001863168, 3001864191, 'LT', 'Lithuania'),
(92075, '178.236.208.0', '178.236.223.255', 3001864192, 3001868287, 'RU', 'Russian Federation'),
(92076, '178.236.224.0', '178.236.225.255', 3001868288, 3001868799, 'FR', 'France'),
(92077, '178.236.226.0', '178.236.226.3', 3001868800, 3001868803, 'US', 'United States'),
(92078, '178.236.226.4', '178.236.226.7', 3001868804, 3001868807, 'CN', 'China'),
(92079, '178.236.226.8', '178.236.226.11', 3001868808, 3001868811, 'JP', 'Japan'),
(92080, '178.236.226.12', '178.236.226.15', 3001868812, 3001868815, 'DE', 'Germany'),
(92081, '178.236.226.16', '178.236.226.19', 3001868816, 3001868819, 'FR', 'France'),
(92082, '178.236.226.20', '178.236.226.23', 3001868820, 3001868823, 'GB', 'United Kingdom'),
(92083, '178.236.226.24', '178.236.226.27', 3001868824, 3001868827, 'BR', 'Brazil'),
(92084, '178.236.226.28', '178.236.226.31', 3001868828, 3001868831, 'IT', 'Italy'),
(92085, '178.236.226.32', '178.236.226.35', 3001868832, 3001868835, 'FR', 'France'),
(92086, '178.236.226.36', '178.236.226.39', 3001868836, 3001868839, 'IN', 'India'),
(92087, '178.236.226.40', '178.236.226.43', 3001868840, 3001868843, 'RU', 'Russian Federation'),
(92088, '178.236.226.44', '178.236.226.47', 3001868844, 3001868847, 'ES', 'Spain'),
(92089, '178.236.226.48', '178.236.226.51', 3001868848, 3001868851, 'AU', 'Australia'),
(92090, '178.236.226.52', '178.236.226.55', 3001868852, 3001868855, 'MX', 'Mexico'),
(92091, '178.236.226.56', '178.236.226.59', 3001868856, 3001868859, 'KR', 'Korea, Republic of'),
(92092, '178.236.226.60', '178.236.226.63', 3001868860, 3001868863, 'FR', 'France'),
(92093, '178.236.226.64', '178.236.226.67', 3001868864, 3001868867, 'TR', 'Turkey'),
(92094, '178.236.226.68', '178.236.226.71', 3001868868, 3001868871, 'ID', 'Indonesia'),
(92095, '178.236.226.72', '178.236.226.75', 3001868872, 3001868875, 'CH', 'Switzerland'),
(92096, '178.236.226.76', '178.236.226.79', 3001868876, 3001868879, 'PL', 'Poland'),
(92097, '178.236.226.80', '178.236.226.83', 3001868880, 3001868883, 'BE', 'Belgium'),
(92098, '178.236.226.84', '178.236.226.87', 3001868884, 3001868887, 'SE', 'Sweden'),
(92099, '178.236.226.88', '178.236.226.91', 3001868888, 3001868891, 'SA', 'Saudi Arabia'),
(92100, '178.236.226.92', '178.236.226.95', 3001868892, 3001868895, 'TW', 'Taiwan'),
(92101, '178.236.226.96', '178.236.226.99', 3001868896, 3001868899, 'SJ', 'Svalbard and Jan Mayen'),
(92102, '178.236.226.100', '178.236.226.103', 3001868900, 3001868903, 'AT', 'Austria'),
(92103, '178.236.226.104', '178.236.226.107', 3001868904, 3001868907, 'AR', 'Argentina'),
(92104, '178.236.226.108', '178.236.226.111', 3001868908, 3001868911, 'ZA', 'South Africa'),
(92105, '178.236.226.112', '178.236.226.115', 3001868912, 3001868915, 'IR', 'Iran, Islamic Republic of'),
(92106, '178.236.226.116', '178.236.226.119', 3001868916, 3001868919, 'TH', 'Thailand'),
(92107, '178.236.226.120', '178.236.226.123', 3001868920, 3001868923, 'DK', 'Denmark'),
(92108, '178.236.226.124', '178.236.226.127', 3001868924, 3001868927, 'GR', 'Greece'),
(92109, '178.236.226.128', '178.236.226.131', 3001868928, 3001868931, 'AE', 'United Arab Emirates'),
(92110, '178.236.226.132', '178.236.226.135', 3001868932, 3001868935, 'VE', 'Venezuela'),
(92111, '178.236.226.136', '178.236.226.139', 3001868936, 3001868939, 'CD', 'Congo, The Democratic Republic of the'),
(92112, '178.236.226.140', '178.236.226.143', 3001868940, 3001868943, 'FI', 'Finland'),
(92113, '178.236.226.144', '178.236.226.147', 3001868944, 3001868947, 'MY', 'Malaysia'),
(92114, '178.236.226.148', '178.236.226.151', 3001868948, 3001868951, 'PT', 'Portugal'),
(92115, '178.236.226.152', '178.236.226.155', 3001868952, 3001868955, 'HK', 'Hong Kong'),
(92116, '178.236.226.156', '178.236.226.159', 3001868956, 3001868959, 'SG', 'Singapore'),
(92117, '178.236.226.160', '178.236.226.163', 3001868960, 3001868963, 'EG', 'Egypt'),
(92118, '178.236.226.164', '178.236.226.167', 3001868964, 3001868967, 'NG', 'Nigeria'),
(92119, '178.236.226.168', '178.236.226.171', 3001868968, 3001868971, 'IL', 'Israel'),
(92120, '178.236.226.172', '178.236.226.175', 3001868972, 3001868975, 'IE', 'Ireland'),
(92121, '178.236.226.176', '178.236.226.179', 3001868976, 3001868979, 'CL', 'Chile'),
(92122, '178.236.226.180', '178.236.226.183', 3001868980, 3001868983, 'CZ', 'Czech Republic'),
(92123, '178.236.226.184', '178.236.226.187', 3001868984, 3001868987, 'PH', 'Philippines'),
(92124, '178.236.226.188', '178.236.226.191', 3001868988, 3001868991, 'PK', 'Pakistan'),
(92125, '178.236.226.192', '178.236.226.195', 3001868992, 3001868995, 'RO', 'Romania'),
(92126, '178.236.226.196', '178.236.226.199', 3001868996, 3001868999, 'DZ', 'Algeria'),
(92127, '178.236.226.200', '178.236.226.203', 3001869000, 3001869003, 'PE', 'Peru'),
(92128, '178.236.226.204', '178.236.226.207', 3001869004, 3001869007, 'NZ', 'New Zealand'),
(92129, '178.236.226.208', '178.236.226.211', 3001869008, 3001869011, 'KZ', 'Kazakhstan'),
(92130, '178.236.226.212', '178.236.226.215', 3001869012, 3001869015, 'UA', 'Ukraine'),
(92131, '178.236.226.216', '178.236.226.219', 3001869016, 3001869019, 'KW', 'Kuwait'),
(92132, '178.236.226.220', '178.236.226.223', 3001869020, 3001869023, 'QA', 'Qatar'),
(92133, '178.236.226.224', '178.236.226.227', 3001869024, 3001869027, 'HU', 'Hungary'),
(92134, '178.236.226.228', '178.236.226.231', 3001869028, 3001869031, 'BD', 'Bangladesh'),
(92135, '178.236.226.232', '178.236.226.235', 3001869032, 3001869035, 'VN', 'Vietnam'),
(92136, '178.236.226.236', '178.236.226.239', 3001869036, 3001869039, 'MA', 'Morocco'),
(92137, '178.236.226.240', '178.236.226.243', 3001869040, 3001869043, 'SK', 'Slovakia'),
(92138, '178.236.226.244', '178.236.226.247', 3001869044, 3001869047, 'AO', 'Angola'),
(92139, '178.236.226.248', '178.236.226.251', 3001869048, 3001869051, 'IQ', 'Iraq'),
(92140, '178.236.226.252', '178.236.226.255', 3001869052, 3001869055, 'LY', 'Libyan Arab Jamahiriya'),
(92141, '178.236.227.0', '178.236.227.255', 3001869056, 3001869311, 'RU', 'Russian Federation'),
(92142, '178.236.228.0', '178.236.229.31', 3001869312, 3001869599, 'SA', 'Saudi Arabia'),
(92143, '178.236.229.32', '178.236.229.32', 3001869600, 3001869600, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(92144, '178.236.229.33', '178.236.229.128', 3001869601, 3001869696, 'IR', 'Iran, Islamic Republic of'),
(92145, '178.236.229.129', '178.236.229.255', 3001869697, 3001869823, 'YE', 'Yemen'),
(92146, '178.236.230.0', '178.236.230.63', 3001869824, 3001869887, 'IR', 'Iran, Islamic Republic of'),
(92147, '178.236.230.64', '178.236.230.255', 3001869888, 3001870079, 'FR', 'France'),
(92148, '178.236.231.0', '178.236.231.255', 3001870080, 3001870335, 'RU', 'Russian Federation'),
(92149, '178.236.232.0', '178.236.232.255', 3001870336, 3001870591, 'IT', 'Italy'),
(92150, '178.236.233.0', '178.236.233.255', 3001870592, 3001870847, 'FR', 'France'),
(92151, '178.236.234.0', '178.236.234.255', 3001870848, 3001871103, 'DE', 'Germany'),
(92152, '178.236.235.0', '178.236.235.255', 3001871104, 3001871359, 'ES', 'Spain'),
(92153, '178.236.236.0', '178.236.236.255', 3001871360, 3001871615, 'GR', 'Greece'),
(92154, '178.236.237.0', '178.236.237.255', 3001871616, 3001871871, 'PL', 'Poland'),
(92155, '178.236.238.0', '178.236.238.255', 3001871872, 3001872127, 'PT', 'Portugal'),
(92156, '178.236.239.0', '178.236.239.255', 3001872128, 3001872383, 'RO', 'Romania'),
(92157, '178.236.240.0', '178.236.255.255', 3001872384, 3001876479, 'RU', 'Russian Federation'),
(92158, '178.237.0.0', '178.237.15.255', 3001876480, 3001880575, 'IT', 'Italy'),
(92159, '178.237.16.0', '178.237.31.255', 3001880576, 3001884671, 'RU', 'Russian Federation'),
(92160, '178.237.32.0', '178.237.32.255', 3001884672, 3001884927, 'SE', 'Sweden'),
(92161, '178.237.33.0', '178.237.33.127', 3001884928, 3001885055, 'NL', 'Netherlands'),
(92162, '178.237.33.128', '178.237.33.159', 3001885056, 3001885087, 'US', 'United States'),
(92163, '178.237.33.160', '178.237.34.255', 3001885088, 3001885439, 'NL', 'Netherlands'),
(92164, '178.237.35.0', '178.237.38.255', 3001885440, 3001886463, 'BE', 'Belgium'),
(92165, '178.237.39.0', '178.237.39.47', 3001886464, 3001886511, 'NL', 'Netherlands'),
(92166, '178.237.39.48', '178.237.39.63', 3001886512, 3001886527, 'US', 'United States'),
(92167, '178.237.39.64', '178.237.39.79', 3001886528, 3001886543, 'IE', 'Ireland'),
(92168, '178.237.39.80', '178.237.39.95', 3001886544, 3001886559, 'US', 'United States'),
(92169, '178.237.39.96', '178.237.39.103', 3001886560, 3001886567, 'NL', 'Netherlands'),
(92170, '178.237.39.104', '178.237.39.111', 3001886568, 3001886575, 'CY', 'Cyprus'),
(92171, '178.237.39.112', '178.237.39.119', 3001886576, 3001886583, 'GE', 'Georgia'),
(92172, '178.237.39.120', '178.237.47.255', 3001886584, 3001888767, 'NL', 'Netherlands'),
(92173, '178.237.48.0', '178.237.63.255', 3001888768, 3001892863, 'BH', 'Bahrain'),
(92174, '178.237.64.0', '178.237.79.255', 3001892864, 3001896959, 'AZ', 'Azerbaijan'),
(92175, '178.237.80.0', '178.237.95.255', 3001896960, 3001901055, 'CH', 'Switzerland'),
(92176, '178.237.96.0', '178.237.111.255', 3001901056, 3001905151, 'FR', 'France'),
(92177, '178.237.112.0', '178.237.127.255', 3001905152, 3001909247, 'GB', 'United Kingdom'),
(92178, '178.237.128.0', '178.237.159.255', 3001909248, 3001917439, 'ES', 'Spain'),
(92179, '178.237.160.0', '178.237.175.255', 3001917440, 3001921535, 'GB', 'United Kingdom'),
(92180, '178.237.176.0', '178.237.207.255', 3001921536, 3001929727, 'RU', 'Russian Federation'),
(92181, '178.237.208.0', '178.237.223.255', 3001929728, 3001933823, 'RS', 'Serbia'),
(92182, '178.237.224.0', '178.237.239.255', 3001933824, 3001937919, 'ES', 'Spain'),
(92183, '178.237.240.0', '178.237.255.255', 3001937920, 3001942015, 'RU', 'Russian Federation'),
(92184, '178.238.0.0', '178.238.15.255', 3001942016, 3001946111, 'BY', 'Belarus'),
(92185, '178.238.16.0', '178.238.31.255', 3001946112, 3001950207, 'RU', 'Russian Federation'),
(92186, '178.238.32.0', '178.238.47.255', 3001950208, 3001954303, 'CZ', 'Czech Republic'),
(92187, '178.238.48.0', '178.238.63.255', 3001954304, 3001958399, 'IT', 'Italy'),
(92188, '178.238.64.0', '178.238.79.255', 3001958400, 3001962495, 'KZ', 'Kazakhstan'),
(92189, '178.238.80.0', '178.238.95.255', 3001962496, 3001966591, 'GB', 'United Kingdom'),
(92190, '178.238.96.0', '178.238.111.255', 3001966592, 3001970687, 'NL', 'Netherlands'),
(92191, '178.238.112.0', '178.238.127.255', 3001970688, 3001974783, 'RU', 'Russian Federation'),
(92192, '178.238.128.0', '178.238.159.255', 3001974784, 3001982975, 'GB', 'United Kingdom'),
(92193, '178.238.160.0', '178.238.175.255', 3001982976, 3001987071, 'CH', 'Switzerland'),
(92194, '178.238.176.0', '178.238.191.255', 3001987072, 3001991167, 'JO', 'Jordan'),
(92195, '178.238.192.0', '178.238.207.255', 3001991168, 3001995263, 'IR', 'Iran, Islamic Republic of'),
(92196, '178.238.208.0', '178.238.223.255', 3001995264, 3001999359, 'HU', 'Hungary'),
(92197, '178.238.224.0', '178.238.239.255', 3001999360, 3002003455, 'DE', 'Germany'),
(92198, '178.238.240.0', '178.239.15.255', 3002003456, 3002011647, 'PL', 'Poland'),
(92199, '178.239.16.0', '178.239.31.255', 3002011648, 3002015743, 'BA', 'Bosnia and Herzegovina'),
(92200, '178.239.32.0', '178.239.47.255', 3002015744, 3002019839, 'IT', 'Italy'),
(92201, '178.239.48.0', '178.239.54.191', 3002019840, 3002021567, 'NL', 'Netherlands'),
(92202, '178.239.54.192', '178.239.54.223', 3002021568, 3002021599, 'US', 'United States'),
(92203, '178.239.54.224', '178.239.54.255', 3002021600, 3002021631, 'IN', 'India'),
(92204, '178.239.55.0', '178.239.63.255', 3002021632, 3002023935, 'NL', 'Netherlands'),
(92205, '178.239.64.0', '178.239.79.255', 3002023936, 3002028031, 'DE', 'Germany'),
(92206, '178.239.80.0', '178.239.111.255', 3002028032, 3002036223, 'GB', 'United Kingdom'),
(92207, '178.239.112.0', '178.239.127.255', 3002036224, 3002040319, 'BG', 'Bulgaria'),
(92208, '178.239.128.0', '178.239.143.255', 3002040320, 3002044415, 'PL', 'Poland'),
(92209, '178.239.144.0', '178.239.159.255', 3002044416, 3002048511, 'IR', 'Iran, Islamic Republic of'),
(92210, '178.239.160.0', '178.239.175.255', 3002048512, 3002052607, 'GB', 'United Kingdom'),
(92211, '178.239.176.0', '178.239.191.255', 3002052608, 3002056703, 'IT', 'Italy'),
(92212, '178.239.192.0', '178.239.207.255', 3002056704, 3002060799, 'FI', 'Finland'),
(92213, '178.239.208.0', '178.239.223.255', 3002060800, 3002064895, 'ES', 'Spain'),
(92214, '178.239.224.0', '178.239.225.255', 3002064896, 3002065407, 'BG', 'Bulgaria'),
(92215, '178.239.226.0', '178.239.227.255', 3002065408, 3002065919, 'RS', 'Serbia'),
(92216, '178.239.228.0', '178.239.239.255', 3002065920, 3002068991, 'BG', 'Bulgaria'),
(92217, '178.239.240.0', '178.239.255.255', 3002068992, 3002073087, 'ES', 'Spain'),
(92218, '178.240.0.0', '178.247.255.255', 3002073088, 3002597375, 'TR', 'Turkey'),
(92219, '178.248.0.0', '178.248.7.255', 3002597376, 3002599423, 'RU', 'Russian Federation'),
(92220, '178.248.8.0', '178.248.15.255', 3002599424, 3002601471, 'CZ', 'Czech Republic'),
(92221, '178.248.16.0', '178.248.23.255', 3002601472, 3002603519, 'IS', 'Iceland'),
(92222, '178.248.24.0', '178.248.31.255', 3002603520, 3002605567, 'SE', 'Sweden'),
(92223, '178.248.32.0', '178.248.39.255', 3002605568, 3002607615, 'GB', 'United Kingdom'),
(92224, '178.248.40.0', '178.248.47.255', 3002607616, 3002609663, 'IR', 'Iran, Islamic Republic of'),
(92225, '178.248.48.0', '178.248.55.255', 3002609664, 3002611711, 'IT', 'Italy'),
(92226, '178.248.56.0', '178.248.63.255', 3002611712, 3002613759, 'CZ', 'Czech Republic'),
(92227, '178.248.64.0', '178.248.71.255', 3002613760, 3002615807, 'RU', 'Russian Federation'),
(92228, '178.248.72.0', '178.248.79.255', 3002615808, 3002617855, 'PL', 'Poland'),
(92229, '178.248.80.0', '178.248.87.255', 3002617856, 3002619903, 'RU', 'Russian Federation'),
(92230, '178.248.88.0', '178.248.88.119', 3002619904, 3002620023, 'IT', 'Italy'),
(92231, '178.248.88.120', '178.248.88.127', 3002620024, 3002620031, 'GB', 'United Kingdom'),
(92232, '178.248.88.128', '178.248.95.255', 3002620032, 3002621951, 'IT', 'Italy'),
(92233, '178.248.96.0', '178.248.103.255', 3002621952, 3002623999, 'NO', 'Norway'),
(92234, '178.248.104.0', '178.248.113.247', 3002624000, 3002626551, 'GB', 'United Kingdom'),
(92235, '178.248.113.248', '178.248.113.255', 3002626552, 3002626559, 'US', 'United States'),
(92236, '178.248.114.0', '178.248.119.255', 3002626560, 3002628095, 'GB', 'United Kingdom'),
(92237, '178.248.120.0', '178.248.127.255', 3002628096, 3002630143, 'NO', 'Norway'),
(92238, '178.248.128.0', '178.248.135.255', 3002630144, 3002632191, 'GB', 'United Kingdom'),
(92239, '178.248.136.0', '178.248.143.255', 3002632192, 3002634239, 'EE', 'Estonia'),
(92240, '178.248.144.0', '178.248.151.255', 3002634240, 3002636287, 'IT', 'Italy'),
(92241, '178.248.152.0', '178.248.159.255', 3002636288, 3002638335, 'NL', 'Netherlands'),
(92242, '178.248.160.0', '178.248.167.255', 3002638336, 3002640383, 'BE', 'Belgium'),
(92243, '178.248.168.0', '178.248.175.255', 3002640384, 3002642431, 'NL', 'Netherlands'),
(92244, '178.248.176.0', '178.248.183.255', 3002642432, 3002644479, 'IT', 'Italy'),
(92245, '178.248.184.0', '178.248.199.255', 3002644480, 3002648575, 'FR', 'France'),
(92246, '178.248.200.0', '178.248.207.255', 3002648576, 3002650623, 'HU', 'Hungary'),
(92247, '178.248.208.0', '178.248.215.255', 3002650624, 3002652671, 'FR', 'France'),
(92248, '178.248.216.0', '178.248.223.255', 3002652672, 3002654719, 'DE', 'Germany'),
(92249, '178.248.224.0', '178.248.231.255', 3002654720, 3002656767, 'NL', 'Netherlands'),
(92250, '178.248.232.0', '178.248.239.255', 3002656768, 3002658815, 'RU', 'Russian Federation'),
(92251, '178.248.240.0', '178.248.247.255', 3002658816, 3002660863, 'DE', 'Germany'),
(92252, '178.248.248.0', '178.248.255.255', 3002660864, 3002662911, 'CZ', 'Czech Republic'),
(92253, '178.249.0.0', '178.249.7.255', 3002662912, 3002664959, 'DE', 'Germany'),
(92254, '178.249.8.0', '178.249.15.255', 3002664960, 3002667007, 'ES', 'Spain'),
(92255, '178.249.16.0', '178.249.23.255', 3002667008, 3002669055, 'GE', 'Georgia'),
(92256, '178.249.24.0', '178.249.24.143', 3002669056, 3002669199, 'DE', 'Germany'),
(92257, '178.249.24.144', '178.249.24.151', 3002669200, 3002669207, 'CH', 'Switzerland'),
(92258, '178.249.24.152', '178.249.27.127', 3002669208, 3002669951, 'DE', 'Germany'),
(92259, '178.249.27.128', '178.249.27.159', 3002669952, 3002669983, 'US', 'United States'),
(92260, '178.249.27.160', '178.249.31.255', 3002669984, 3002671103, 'DE', 'Germany'),
(92261, '178.249.32.0', '178.249.39.255', 3002671104, 3002673151, 'LV', 'Latvia'),
(92262, '178.249.40.0', '178.249.47.255', 3002673152, 3002675199, 'GB', 'United Kingdom'),
(92263, '178.249.48.0', '178.249.55.255', 3002675200, 3002677247, 'DK', 'Denmark'),
(92264, '178.249.56.0', '178.249.79.255', 3002677248, 3002683391, 'RU', 'Russian Federation'),
(92265, '178.249.80.0', '178.249.87.255', 3002683392, 3002685439, 'DE', 'Germany'),
(92266, '178.249.88.0', '178.249.95.255', 3002685440, 3002687487, 'PL', 'Poland'),
(92267, '178.249.96.0', '178.249.99.255', 3002687488, 3002688511, 'GB', 'United Kingdom'),
(92268, '178.249.100.0', '178.249.103.255', 3002688512, 3002689535, 'NL', 'Netherlands'),
(92269, '178.249.104.0', '178.249.111.255', 3002689536, 3002691583, 'IL', 'Israel'),
(92270, '178.249.112.0', '178.249.119.255', 3002691584, 3002693631, 'MK', 'Macedonia'),
(92271, '178.249.120.0', '178.249.127.255', 3002693632, 3002695679, 'NO', 'Norway'),
(92272, '178.249.128.0', '178.249.135.255', 3002695680, 3002697727, 'RU', 'Russian Federation'),
(92273, '178.249.136.0', '178.249.143.255', 3002697728, 3002699775, 'DE', 'Germany'),
(92274, '178.249.144.0', '178.249.151.255', 3002699776, 3002701823, 'SE', 'Sweden'),
(92275, '178.249.152.0', '178.249.159.255', 3002701824, 3002703871, 'NL', 'Netherlands'),
(92276, '178.249.160.0', '178.249.167.255', 3002703872, 3002705919, 'DE', 'Germany'),
(92277, '178.249.168.0', '178.249.175.255', 3002705920, 3002707967, 'MK', 'Macedonia'),
(92278, '178.249.176.0', '178.249.183.255', 3002707968, 3002710015, 'KW', 'Kuwait'),
(92279, '178.249.184.0', '178.249.191.255', 3002710016, 3002712063, 'IT', 'Italy'),
(92280, '178.249.192.0', '178.249.199.255', 3002712064, 3002714111, 'LU', 'Luxembourg'),
(92281, '178.249.200.0', '178.249.207.255', 3002714112, 3002716159, 'IT', 'Italy'),
(92282, '178.249.208.0', '178.249.215.255', 3002716160, 3002718207, 'CZ', 'Czech Republic'),
(92283, '178.249.216.0', '178.249.239.255', 3002718208, 3002724351, 'IT', 'Italy'),
(92284, '178.249.240.0', '178.249.247.255', 3002724352, 3002726399, 'RU', 'Russian Federation'),
(92285, '178.249.248.0', '178.249.255.255', 3002726400, 3002728447, 'NL', 'Netherlands'),
(92286, '178.250.0.0', '178.250.7.255', 3002728448, 3002730495, 'FR', 'France'),
(92287, '178.250.8.0', '178.250.15.255', 3002730496, 3002732543, 'DE', 'Germany'),
(92288, '178.250.16.0', '178.250.23.255', 3002732544, 3002734591, 'NL', 'Netherlands'),
(92289, '178.250.24.0', '178.250.31.255', 3002734592, 3002736639, 'CH', 'Switzerland'),
(92290, '178.250.32.0', '178.250.39.255', 3002736640, 3002738687, 'LT', 'Lithuania'),
(92291, '178.250.40.0', '178.250.47.255', 3002738688, 3002740735, 'PL', 'Poland'),
(92292, '178.250.48.0', '178.250.55.255', 3002740736, 3002742783, 'GB', 'United Kingdom'),
(92293, '178.250.56.0', '178.250.56.143', 3002742784, 3002742927, 'LI', 'Liechtenstein'),
(92294, '178.250.56.144', '178.250.56.159', 3002742928, 3002742943, 'CH', 'Switzerland'),
(92295, '178.250.56.160', '178.250.57.31', 3002742944, 3002743071, 'LI', 'Liechtenstein'),
(92296, '178.250.57.32', '178.250.57.63', 3002743072, 3002743103, 'US', 'United States'),
(92297, '178.250.57.64', '178.250.63.255', 3002743104, 3002744831, 'LI', 'Liechtenstein'),
(92298, '178.250.64.0', '178.250.71.255', 3002744832, 3002746879, 'IT', 'Italy'),
(92299, '178.250.72.0', '178.250.79.255', 3002746880, 3002748927, 'GB', 'United Kingdom'),
(92300, '178.250.80.0', '178.250.87.255', 3002748928, 3002750975, 'DE', 'Germany'),
(92301, '178.250.88.0', '178.250.95.255', 3002750976, 3002753023, 'TR', 'Turkey'),
(92302, '178.250.96.0', '178.250.103.255', 3002753024, 3002755071, 'GB', 'United Kingdom'),
(92303, '178.250.104.0', '178.250.111.255', 3002755072, 3002757119, 'FR', 'France'),
(92304, '178.250.112.0', '178.250.119.255', 3002757120, 3002759167, 'IE', 'Ireland'),
(92305, '178.250.120.0', '178.250.127.255', 3002759168, 3002761215, 'DE', 'Germany'),
(92306, '178.250.128.0', '178.250.135.255', 3002761216, 3002763263, 'CH', 'Switzerland'),
(92307, '178.250.136.0', '178.250.143.255', 3002763264, 3002765311, 'RS', 'Serbia'),
(92308, '178.250.144.0', '178.250.151.255', 3002765312, 3002767359, 'NL', 'Netherlands'),
(92309, '178.250.152.0', '178.250.159.255', 3002767360, 3002769407, 'RU', 'Russian Federation'),
(92310, '178.250.160.0', '178.250.168.199', 3002769408, 3002771655, 'DE', 'Germany'),
(92311, '178.250.168.200', '178.250.168.207', 3002771656, 3002771663, 'NL', 'Netherlands'),
(92312, '178.250.168.208', '178.250.168.255', 3002771664, 3002771711, 'DE', 'Germany'),
(92313, '178.250.169.0', '178.250.169.7', 3002771712, 3002771719, 'NL', 'Netherlands'),
(92314, '178.250.169.8', '178.250.175.255', 3002771720, 3002773503, 'DE', 'Germany'),
(92315, '178.250.176.0', '178.250.183.255', 3002773504, 3002775551, 'GB', 'United Kingdom'),
(92316, '178.250.184.0', '178.250.191.255', 3002775552, 3002777599, 'RO', 'Romania'),
(92317, '178.250.192.0', '178.250.199.255', 3002777600, 3002779647, 'NL', 'Netherlands'),
(92318, '178.250.200.0', '178.250.207.255', 3002779648, 3002781695, 'IT', 'Italy'),
(92319, '178.250.208.0', '178.250.215.255', 3002781696, 3002783743, 'FR', 'France'),
(92320, '178.250.216.0', '178.250.223.255', 3002783744, 3002785791, 'NO', 'Norway'),
(92321, '178.250.224.0', '178.250.239.255', 3002785792, 3002789887, 'DE', 'Germany'),
(92322, '178.250.240.0', '178.250.247.255', 3002789888, 3002791935, 'RU', 'Russian Federation'),
(92323, '178.250.248.0', '178.250.255.255', 3002791936, 3002793983, 'AE', 'United Arab Emirates'),
(92324, '178.251.0.0', '178.251.7.255', 3002793984, 3002796031, 'DK', 'Denmark'),
(92325, '178.251.8.0', '178.251.15.255', 3002796032, 3002798079, 'DE', 'Germany'),
(92326, '178.251.16.0', '178.251.23.255', 3002798080, 3002800127, 'FR', 'France'),
(92327, '178.251.24.0', '178.251.31.255', 3002800128, 3002802175, 'NL', 'Netherlands'),
(92328, '178.251.32.0', '178.251.39.255', 3002802176, 3002804223, 'GB', 'United Kingdom'),
(92329, '178.251.40.0', '178.251.46.255', 3002804224, 3002806015, 'TR', 'Turkey'),
(92330, '178.251.47.0', '178.251.55.255', 3002806016, 3002808319, 'DE', 'Germany'),
(92331, '178.251.56.0', '178.251.63.255', 3002808320, 3002810367, 'FI', 'Finland'),
(92332, '178.251.64.0', '178.251.71.255', 3002810368, 3002812415, 'AT', 'Austria'),
(92333, '178.251.72.0', '178.251.79.255', 3002812416, 3002814463, 'IT', 'Italy'),
(92334, '178.251.80.0', '178.251.87.255', 3002814464, 3002816511, 'FR', 'France'),
(92335, '178.251.88.0', '178.251.95.255', 3002816512, 3002818559, 'DE', 'Germany'),
(92336, '178.251.96.0', '178.251.103.255', 3002818560, 3002820607, 'RU', 'Russian Federation'),
(92337, '178.251.104.0', '178.251.111.255', 3002820608, 3002822655, 'UA', 'Ukraine'),
(92338, '178.251.112.0', '178.251.119.255', 3002822656, 3002824703, 'DE', 'Germany'),
(92339, '178.251.120.0', '178.251.127.255', 3002824704, 3002826751, 'NL', 'Netherlands'),
(92340, '178.251.128.0', '178.251.135.255', 3002826752, 3002828799, 'SE', 'Sweden'),
(92341, '178.251.136.0', '178.251.143.255', 3002828800, 3002830847, 'RU', 'Russian Federation'),
(92342, '178.251.144.0', '178.251.159.255', 3002830848, 3002834943, 'FI', 'Finland'),
(92343, '178.251.160.0', '178.251.160.31', 3002834944, 3002834975, 'CH', 'Switzerland'),
(92344, '178.251.160.32', '178.251.163.175', 3002834976, 3002835887, 'LU', 'Luxembourg'),
(92345, '178.251.163.176', '178.251.163.191', 3002835888, 3002835903, 'US', 'United States'),
(92346, '178.251.163.192', '178.251.165.159', 3002835904, 3002836383, 'LU', 'Luxembourg'),
(92347, '178.251.165.160', '178.251.165.175', 3002836384, 3002836399, 'BE', 'Belgium'),
(92348, '178.251.165.176', '178.251.167.255', 3002836400, 3002836991, 'LU', 'Luxembourg'),
(92349, '178.251.168.0', '178.251.183.255', 3002836992, 3002841087, 'GB', 'United Kingdom'),
(92350, '178.251.184.0', '178.251.191.255', 3002841088, 3002843135, 'CZ', 'Czech Republic'),
(92351, '178.251.192.0', '178.251.199.255', 3002843136, 3002845183, 'NL', 'Netherlands'),
(92352, '178.251.200.0', '178.251.207.255', 3002845184, 3002847231, 'FR', 'France'),
(92353, '178.251.208.0', '178.251.215.255', 3002847232, 3002849279, 'IR', 'Iran, Islamic Republic of'),
(92354, '178.251.216.0', '178.251.223.255', 3002849280, 3002851327, 'RU', 'Russian Federation'),
(92355, '178.251.224.0', '178.251.231.255', 3002851328, 3002853375, 'DE', 'Germany'),
(92356, '178.251.232.0', '178.251.239.255', 3002853376, 3002855423, 'GB', 'United Kingdom'),
(92357, '178.251.240.0', '178.251.247.255', 3002855424, 3002857471, 'SE', 'Sweden'),
(92358, '178.251.248.0', '178.251.255.255', 3002857472, 3002859519, 'FR', 'France'),
(92359, '178.252.0.0', '178.252.63.255', 3002859520, 3002875903, 'PL', 'Poland'),
(92360, '178.252.64.0', '178.252.127.255', 3002875904, 3002892287, 'RU', 'Russian Federation'),
(92361, '178.252.128.0', '178.252.191.255', 3002892288, 3002908671, 'IR', 'Iran, Islamic Republic of'),
(92362, '178.252.192.0', '178.252.255.255', 3002908672, 3002925055, 'RU', 'Russian Federation'),
(92363, '178.253.0.0', '178.253.63.255', 3002925056, 3002941439, 'IR', 'Iran, Islamic Republic of'),
(92364, '178.253.64.0', '178.253.127.255', 3002941440, 3002957823, 'SY', 'Syrian Arab Republic'),
(92365, '178.253.128.0', '178.253.191.255', 3002957824, 3002974207, 'SK', 'Slovakia'),
(92366, '178.253.192.0', '178.253.255.255', 3002974208, 3002990591, 'RS', 'Serbia'),
(92367, '178.254.0.0', '178.254.63.255', 3002990592, 3003006975, 'DE', 'Germany'),
(92368, '178.254.64.0', '178.254.127.255', 3003006976, 3003023359, 'LU', 'Luxembourg'),
(92369, '178.254.128.0', '178.254.191.255', 3003023360, 3003039743, 'RS', 'Serbia'),
(92370, '178.254.192.0', '178.254.255.255', 3003039744, 3003056127, 'BG', 'Bulgaria'),
(92371, '178.255.0.0', '178.255.7.255', 3003056128, 3003058175, 'DE', 'Germany'),
(92372, '178.255.8.0', '178.255.8.255', 3003058176, 3003058431, 'MT', 'Malta'),
(92373, '178.255.9.0', '178.255.9.255', 3003058432, 3003058687, 'FI', 'Finland'),
(92374, '178.255.10.0', '178.255.10.63', 3003058688, 3003058751, 'EE', 'Estonia'),
(92375, '178.255.10.64', '178.255.10.255', 3003058752, 3003058943, 'PH', 'Philippines'),
(92376, '178.255.11.0', '178.255.11.255', 3003058944, 3003059199, 'IL', 'Israel'),
(92377, '178.255.12.0', '178.255.13.255', 3003059200, 3003059711, 'EE', 'Estonia'),
(92378, '178.255.14.0', '178.255.14.255', 3003059712, 3003059967, 'GI', 'Gibraltar'),
(92379, '178.255.15.0', '178.255.15.255', 3003059968, 3003060223, 'EE', 'Estonia'),
(92380, '178.255.16.0', '178.255.23.255', 3003060224, 3003062271, 'DE', 'Germany'),
(92381, '178.255.24.0', '178.255.31.255', 3003062272, 3003064319, 'NL', 'Netherlands'),
(92382, '178.255.32.0', '178.255.39.255', 3003064320, 3003066367, 'RO', 'Romania'),
(92383, '178.255.40.0', '178.255.42.15', 3003066368, 3003066895, 'PL', 'Poland'),
(92384, '178.255.42.16', '178.255.42.23', 3003066896, 3003066903, 'RU', 'Russian Federation'),
(92385, '178.255.42.24', '178.255.47.255', 3003066904, 3003068415, 'PL', 'Poland'),
(92386, '178.255.48.0', '178.255.55.255', 3003068416, 3003070463, 'NL', 'Netherlands'),
(92387, '178.255.56.0', '178.255.71.255', 3003070464, 3003074559, 'GB', 'United Kingdom'),
(92388, '178.255.72.0', '178.255.79.255', 3003074560, 3003076607, 'IT', 'Italy'),
(92389, '178.255.80.0', '178.255.84.31', 3003076608, 3003077663, 'GB', 'United Kingdom'),
(92390, '178.255.84.32', '178.255.84.47', 3003077664, 3003077679, 'US', 'United States'),
(92391, '178.255.84.48', '178.255.84.63', 3003077680, 3003077695, 'GB', 'United Kingdom'),
(92392, '178.255.84.64', '178.255.84.79', 3003077696, 3003077711, 'US', 'United States'),
(92393, '178.255.84.80', '178.255.84.255', 3003077712, 3003077887, 'GB', 'United Kingdom'),
(92394, '178.255.85.0', '178.255.85.63', 3003077888, 3003077951, 'US', 'United States'),
(92395, '178.255.85.64', '178.255.95.255', 3003077952, 3003080703, 'GB', 'United Kingdom'),
(92396, '178.255.96.0', '178.255.97.190', 3003080704, 3003081150, 'FR', 'France'),
(92397, '178.255.97.191', '178.255.97.196', 3003081151, 3003081156, 'GB', 'United Kingdom'),
(92398, '178.255.97.197', '178.255.97.197', 3003081157, 3003081157, 'ES', 'Spain'),
(92399, '178.255.97.198', '178.255.103.255', 3003081158, 3003082751, 'FR', 'France'),
(92400, '178.255.104.0', '178.255.111.255', 3003082752, 3003084799, 'ES', 'Spain'),
(92401, '178.255.112.0', '178.255.119.255', 3003084800, 3003086847, 'IT', 'Italy'),
(92402, '178.255.120.0', '178.255.127.255', 3003086848, 3003088895, 'RU', 'Russian Federation'),
(92403, '178.255.128.0', '178.255.135.255', 3003088896, 3003090943, 'FR', 'France'),
(92404, '178.255.136.0', '178.255.143.255', 3003090944, 3003092991, 'DE', 'Germany'),
(92405, '178.255.144.0', '178.255.151.255', 3003092992, 3003095039, 'NO', 'Norway'),
(92406, '178.255.152.0', '178.255.154.15', 3003095040, 3003095567, 'AT', 'Austria'),
(92407, '178.255.154.16', '178.255.154.31', 3003095568, 3003095583, 'CZ', 'Czech Republic'),
(92408, '178.255.154.32', '178.255.155.63', 3003095584, 3003095871, 'AT', 'Austria'),
(92409, '178.255.155.64', '178.255.155.127', 3003095872, 3003095935, 'IT', 'Italy'),
(92410, '178.255.155.128', '178.255.155.255', 3003095936, 3003096063, 'AT', 'Austria'),
(92411, '178.255.156.0', '178.255.156.15', 3003096064, 3003096079, 'CZ', 'Czech Republic'),
(92412, '178.255.156.16', '178.255.157.47', 3003096080, 3003096367, 'AT', 'Austria'),
(92413, '178.255.157.48', '178.255.157.63', 3003096368, 3003096383, 'DE', 'Germany'),
(92414, '178.255.157.64', '178.255.159.255', 3003096384, 3003097087, 'AT', 'Austria'),
(92415, '178.255.160.0', '178.255.167.255', 3003097088, 3003099135, 'FR', 'France'),
(92416, '178.255.168.0', '178.255.175.255', 3003099136, 3003101183, 'CZ', 'Czech Republic'),
(92417, '178.255.176.0', '178.255.183.255', 3003101184, 3003103231, 'UA', 'Ukraine'),
(92418, '178.255.184.0', '178.255.191.255', 3003103232, 3003105279, 'IT', 'Italy'),
(92419, '178.255.192.0', '178.255.199.255', 3003105280, 3003107327, 'NL', 'Netherlands'),
(92420, '178.255.200.0', '178.255.207.255', 3003107328, 3003109375, 'RU', 'Russian Federation'),
(92421, '178.255.208.0', '178.255.215.255', 3003109376, 3003111423, 'FR', 'France'),
(92422, '178.255.216.0', '178.255.223.255', 3003111424, 3003113471, 'IT', 'Italy'),
(92423, '178.255.224.0', '178.255.231.255', 3003113472, 3003115519, 'ES', 'Spain'),
(92424, '178.255.232.0', '178.255.239.255', 3003115520, 3003117567, 'RU', 'Russian Federation'),
(92425, '178.255.240.0', '178.255.247.255', 3003117568, 3003119615, 'IT', 'Italy'),
(92426, '178.255.248.0', '178.255.255.255', 3003119616, 3003121663, 'RU', 'Russian Federation'),
(92427, '180.0.0.0', '180.63.255.255', 3019898880, 3024093183, 'JP', 'Japan'),
(92428, '180.64.0.0', '180.71.255.255', 3024093184, 3024617471, 'KR', 'Korea, Republic of'),
(92429, '180.72.0.0', '180.75.255.255', 3024617472, 3024879615, 'MY', 'Malaysia'),
(92430, '180.76.0.0', '180.79.255.255', 3024879616, 3025141759, 'CN', 'China'),
(92431, '180.80.0.0', '180.83.255.255', 3025141760, 3025403903, 'KR', 'Korea, Republic of'),
(92432, '180.84.0.0', '180.86.255.255', 3025403904, 3025600511, 'CN', 'China'),
(92433, '180.87.0.0', '180.87.12.255', 3025600512, 3025603839, 'IN', 'India'),
(92434, '180.87.13.0', '180.87.13.255', 3025603840, 3025604095, 'HK', 'Hong Kong'),
(92435, '180.87.14.0', '180.87.15.29', 3025604096, 3025604381, 'IN', 'India'),
(92436, '180.87.15.30', '180.87.16.29', 3025604382, 3025604637, 'SG', 'Singapore'),
(92437, '180.87.16.30', '180.87.128.255', 3025604638, 3025633535, 'IN', 'India'),
(92438, '180.87.129.0', '180.87.129.255', 3025633536, 3025633791, 'HK', 'Hong Kong'),
(92439, '180.87.130.0', '180.87.143.255', 3025633792, 3025637375, 'IN', 'India'),
(92440, '180.87.144.0', '180.87.144.255', 3025637376, 3025637631, 'HK', 'Hong Kong'),
(92441, '180.87.145.0', '180.87.145.255', 3025637632, 3025637887, 'MY', 'Malaysia'),
(92442, '180.87.146.0', '180.87.147.255', 3025637888, 3025638399, 'IN', 'India'),
(92443, '180.87.148.0', '180.87.148.255', 3025638400, 3025638655, 'SG', 'Singapore'),
(92444, '180.87.149.0', '180.87.189.255', 3025638656, 3025649151, 'IN', 'India'),
(92445, '180.87.190.0', '180.87.191.255', 3025649152, 3025649663, 'HK', 'Hong Kong'),
(92446, '180.87.192.0', '180.87.255.255', 3025649664, 3025666047, 'IN', 'India'),
(92447, '180.88.0.0', '180.91.255.255', 3025666048, 3025928191, 'CN', 'China'),
(92448, '180.92.0.0', '180.92.15.255', 3025928192, 3025932287, 'TW', 'Taiwan'),
(92449, '180.92.16.0', '180.92.63.255', 3025932288, 3025944575, 'JP', 'Japan'),
(92450, '180.92.64.0', '180.92.127.255', 3025944576, 3025960959, 'KR', 'Korea, Republic of'),
(92451, '180.92.128.0', '180.92.159.255', 3025960960, 3025969151, 'PK', 'Pakistan'),
(92452, '180.92.160.0', '180.92.175.255', 3025969152, 3025973247, 'IN', 'India'),
(92453, '180.92.176.0', '180.92.179.255', 3025973248, 3025974271, 'AU', 'Australia'),
(92454, '180.92.180.0', '180.92.183.255', 3025974272, 3025975295, 'HK', 'Hong Kong'),
(92455, '180.92.184.0', '180.92.184.255', 3025975296, 3025975551, 'SG', 'Singapore'),
(92456, '180.92.185.0', '180.92.185.31', 3025975552, 3025975583, 'IN', 'India'),
(92457, '180.92.185.32', '180.92.185.255', 3025975584, 3025975807, 'SG', 'Singapore'),
(92458, '180.92.186.0', '180.92.186.31', 3025975808, 3025975839, 'AU', 'Australia'),
(92459, '180.92.186.32', '180.92.191.255', 3025975840, 3025977343, 'SG', 'Singapore'),
(92460, '180.92.192.0', '180.92.199.255', 3025977344, 3025979391, 'AU', 'Australia'),
(92461, '180.92.200.0', '180.92.207.255', 3025979392, 3025981439, 'IN', 'India'),
(92462, '180.92.208.0', '180.92.211.255', 3025981440, 3025982463, 'AU', 'Australia'),
(92463, '180.92.212.0', '180.92.215.255', 3025982464, 3025983487, 'ID', 'Indonesia'),
(92464, '180.92.216.0', '180.92.223.255', 3025983488, 3025985535, 'AU', 'Australia'),
(92465, '180.92.224.0', '180.92.239.255', 3025985536, 3025989631, 'BD', 'Bangladesh'),
(92466, '180.92.240.0', '180.92.255.255', 3025989632, 3025993727, 'KR', 'Korea, Republic of'),
(92467, '180.93.0.0', '180.93.255.255', 3025993728, 3026059263, 'VN', 'Vietnam'),
(92468, '180.94.0.0', '180.94.31.255', 3026059264, 3026067455, 'PH', 'Philippines'),
(92469, '180.94.36.0', '180.94.39.255', 3026068480, 3026069503, 'PH', 'Philippines'),
(92470, '180.94.40.0', '180.94.47.255', 3026069504, 3026071551, 'JP', 'Japan'),
(92471, '180.94.48.0', '180.94.55.255', 3026071552, 3026073599, 'HK', 'Hong Kong'),
(92472, '180.94.56.0', '180.94.63.255', 3026073600, 3026075647, 'CN', 'China'),
(92473, '180.94.64.0', '180.94.95.255', 3026075648, 3026083839, 'AF', 'Afghanistan'),
(92474, '180.94.96.0', '180.94.111.255', 3026083840, 3026087935, 'CN', 'China'),
(92475, '180.94.112.0', '180.94.119.255', 3026087936, 3026089983, 'AU', 'Australia'),
(92476, '180.94.128.0', '180.94.191.255', 3026092032, 3026108415, 'MO', 'Macau'),
(92477, '180.94.192.0', '180.94.215.255', 3026108416, 3026114559, 'JP', 'Japan'),
(92478, '180.94.216.0', '180.94.219.255', 3026114560, 3026115583, 'SG', 'Singapore'),
(92479, '180.94.220.0', '180.94.223.255', 3026115584, 3026116607, 'AU', 'Australia'),
(92480, '180.94.224.0', '180.94.231.255', 3026116608, 3026118655, 'HK', 'Hong Kong'),
(92481, '180.94.232.0', '180.94.239.255', 3026118656, 3026120703, 'AU', 'Australia'),
(92482, '180.94.240.0', '180.94.255.255', 3026120704, 3026124799, 'JP', 'Japan'),
(92483, '180.95.0.0', '180.95.127.255', 3026124800, 3026157567, 'AU', 'Australia'),
(92484, '180.95.128.0', '180.127.255.255', 3026157568, 3028287487, 'CN', 'China'),
(92485, '180.128.0.0', '180.128.255.255', 3028287488, 3028353023, 'TH', 'Thailand'),
(92486, '180.129.0.0', '180.129.127.255', 3028353024, 3028385791, 'SG', 'Singapore'),
(92487, '180.129.128.0', '180.130.255.255', 3028385792, 3028484095, 'CN', 'China'),
(92488, '180.131.0.0', '180.131.63.255', 3028484096, 3028500479, 'KR', 'Korea, Republic of'),
(92489, '180.131.64.0', '180.131.127.255', 3028500480, 3028516863, 'JP', 'Japan'),
(92490, '180.131.128.0', '180.131.135.255', 3028516864, 3028518911, 'AU', 'Australia'),
(92491, '180.131.136.0', '180.131.143.255', 3028518912, 3028520959, 'JP', 'Japan'),
(92492, '180.131.144.0', '180.131.147.255', 3028520960, 3028521983, 'ID', 'Indonesia'),
(92493, '180.131.148.0', '180.131.151.255', 3028521984, 3028523007, 'LA', 'Lao People''s Democratic Republic'),
(92494, '180.131.152.0', '180.131.159.255', 3028523008, 3028525055, 'JP', 'Japan'),
(92495, '180.131.160.0', '180.131.191.255', 3028525056, 3028533247, 'HK', 'Hong Kong'),
(92496, '180.131.192.0', '180.131.207.255', 3028533248, 3028537343, 'JP', 'Japan'),
(92497, '180.131.208.0', '180.131.255.255', 3028537344, 3028549631, 'US', 'United States'),
(92498, '180.132.0.0', '180.135.255.255', 3028549632, 3028811775, 'KR', 'Korea, Republic of'),
(92499, '180.136.0.0', '180.143.255.255', 3028811776, 3029336063, 'CN', 'China'),
(92500, '180.144.0.0', '180.147.255.255', 3029336064, 3029598207, 'JP', 'Japan'),
(92501, '180.148.0.0', '180.148.7.255', 3029598208, 3029600255, 'VN', 'Vietnam'),
(92502, '180.148.8.0', '180.148.11.255', 3029600256, 3029601279, 'AU', 'Australia'),
(92503, '180.148.12.0', '180.148.15.255', 3029601280, 3029602303, 'IN', 'India'),
(92504, '180.148.16.0', '180.148.23.255', 3029602304, 3029604351, 'CN', 'China'),
(92505, '180.148.24.0', '180.148.27.255', 3029604352, 3029605375, 'AU', 'Australia'),
(92506, '180.148.28.0', '180.148.31.255', 3029605376, 3029606399, 'JP', 'Japan'),
(92507, '180.148.32.0', '180.148.63.255', 3029606400, 3029614591, 'IN', 'India'),
(92508, '180.148.64.0', '180.148.127.255', 3029614592, 3029630975, 'AU', 'Australia'),
(92509, '180.148.128.0', '180.148.143.255', 3029630976, 3029635071, 'VN', 'Vietnam'),
(92510, '180.148.144.0', '180.148.151.255', 3029635072, 3029637119, 'JP', 'Japan'),
(92511, '180.148.152.0', '180.148.159.255', 3029637120, 3029639167, 'CN', 'China'),
(92512, '180.148.160.0', '180.148.175.255', 3029639168, 3029643263, 'JP', 'Japan'),
(92513, '180.148.176.0', '180.148.179.255', 3029643264, 3029644287, 'AU', 'Australia'),
(92514, '180.148.180.0', '180.148.183.255', 3029644288, 3029645311, 'KR', 'Korea, Republic of'),
(92515, '180.148.184.0', '180.148.207.255', 3029645312, 3029651455, 'JP', 'Japan'),
(92516, '180.148.208.0', '180.148.215.255', 3029651456, 3029653503, 'BD', 'Bangladesh'),
(92517, '180.148.216.0', '180.148.255.255', 3029653504, 3029663743, 'CN', 'China'),
(92518, '180.149.0.0', '180.149.31.255', 3029663744, 3029671935, 'BD', 'Bangladesh'),
(92519, '180.149.32.0', '180.149.63.255', 3029671936, 3029680127, 'IN', 'India'),
(92520, '180.149.64.0', '180.149.127.255', 3029680128, 3029696511, 'MN', 'Mongolia'),
(92521, '180.149.128.0', '180.149.159.255', 3029696512, 3029704703, 'CN', 'China'),
(92522, '180.149.160.0', '180.149.191.255', 3029704704, 3029712895, 'JP', 'Japan'),
(92523, '180.149.192.0', '180.149.199.255', 3029712896, 3029714943, 'AU', 'Australia'),
(92524, '180.149.200.0', '180.149.200.255', 3029714944, 3029715199, 'JP', 'Japan'),
(92525, '180.149.201.0', '180.149.201.255', 3029715200, 3029715455, 'AU', 'Australia'),
(92526, '180.149.202.0', '180.149.207.255', 3029715456, 3029716991, 'JP', 'Japan'),
(92527, '180.149.208.0', '180.149.223.255', 3029716992, 3029721087, 'PK', 'Pakistan'),
(92528, '180.149.224.0', '180.149.239.255', 3029721088, 3029725183, 'AU', 'Australia'),
(92529, '180.149.240.0', '180.149.247.255', 3029725184, 3029727231, 'IN', 'India'),
(92530, '180.149.248.0', '180.149.251.255', 3029727232, 3029728255, 'AU', 'Australia'),
(92531, '180.149.252.0', '180.149.255.255', 3029728256, 3029729279, 'HK', 'Hong Kong'),
(92532, '180.150.0.0', '180.150.127.255', 3029729280, 3029762047, 'AU', 'Australia'),
(92533, '180.150.128.0', '180.150.159.255', 3029762048, 3029770239, 'HK', 'Hong Kong'),
(92534, '180.150.160.0', '180.150.191.255', 3029770240, 3029778431, 'CN', 'China'),
(92535, '180.150.192.0', '180.150.231.255', 3029778432, 3029788671, 'KR', 'Korea, Republic of'),
(92536, '180.150.232.0', '180.150.239.255', 3029788672, 3029790719, 'ID', 'Indonesia'),
(92537, '180.150.240.0', '180.150.243.255', 3029790720, 3029791743, 'IN', 'India'),
(92538, '180.150.244.0', '180.150.247.255', 3029791744, 3029792767, 'ID', 'Indonesia'),
(92539, '180.150.248.0', '180.150.251.255', 3029792768, 3029793791, 'IN', 'India'),
(92540, '180.150.252.0', '180.150.255.255', 3029793792, 3029794815, 'PG', 'Papua New Guinea'),
(92541, '180.151.0.0', '180.151.255.255', 3029794816, 3029860351, 'IN', 'India'),
(92542, '180.152.0.0', '180.175.255.255', 3029860352, 3031433215, 'CN', 'China'),
(92543, '180.176.0.0', '180.177.255.255', 3031433216, 3031564287, 'TW', 'Taiwan'),
(92544, '180.178.0.0', '180.178.31.255', 3031564288, 3031572479, 'IN', 'India'),
(92545, '180.178.32.0', '180.178.63.255', 3031572480, 3031580671, 'HK', 'Hong Kong'),
(92546, '180.178.64.0', '180.178.67.255', 3031580672, 3031581695, 'AU', 'Australia'),
(92547, '180.178.68.0', '180.178.71.255', 3031581696, 3031582719, 'JP', 'Japan'),
(92548, '180.178.72.0', '180.178.79.255', 3031582720, 3031584767, 'SG', 'Singapore'),
(92549, '180.178.80.0', '180.178.91.255', 3031584768, 3031587839, 'JP', 'Japan'),
(92550, '180.178.92.0', '180.178.111.255', 3031587840, 3031592959, 'ID', 'Indonesia'),
(92551, '180.178.120.0', '180.178.123.255', 3031595008, 3031596031, 'AU', 'Australia'),
(92552, '180.178.124.0', '180.178.127.255', 3031596032, 3031597055, 'KH', 'Cambodia'),
(92553, '180.178.128.0', '180.178.191.255', 3031597056, 3031613439, 'PK', 'Pakistan'),
(92554, '180.178.192.0', '180.178.255.255', 3031613440, 3031629823, 'CN', 'China'),
(92555, '180.179.0.0', '180.179.255.255', 3031629824, 3031695359, 'IN', 'India'),
(92556, '180.180.0.0', '180.180.255.255', 3031695360, 3031760895, 'TH', 'Thailand'),
(92557, '180.181.0.0', '180.181.255.255', 3031760896, 3031826431, 'AU', 'Australia'),
(92558, '180.182.0.0', '180.182.255.255', 3031826432, 3031891967, 'KR', 'Korea, Republic of'),
(92559, '180.183.0.0', '180.183.255.255', 3031891968, 3031957503, 'TH', 'Thailand'),
(92560, '180.184.0.0', '180.188.127.255', 3031957504, 3032252415, 'CN', 'China'),
(92561, '180.188.128.0', '180.188.203.255', 3032252416, 3032271871, 'HK', 'Hong Kong'),
(92562, '180.188.204.0', '180.188.207.255', 3032271872, 3032272895, 'AU', 'Australia'),
(92563, '180.188.208.0', '180.188.223.255', 3032272896, 3032276991, 'JP', 'Japan'),
(92564, '180.188.224.0', '180.188.255.255', 3032276992, 3032285183, 'IN', 'India'),
(92565, '180.189.0.0', '180.189.63.255', 3032285184, 3032301567, 'JP', 'Japan'),
(92566, '180.189.64.0', '180.189.127.255', 3032301568, 3032317951, 'KR', 'Korea, Republic of'),
(92567, '180.189.128.0', '180.189.135.255', 3032317952, 3032319999, 'JP', 'Japan'),
(92568, '180.189.136.0', '180.189.147.255', 3032320000, 3032323071, 'AU', 'Australia'),
(92569, '180.189.148.0', '180.189.151.255', 3032323072, 3032324095, 'CN', 'China'),
(92570, '180.189.152.0', '180.189.159.255', 3032324096, 3032326143, 'AU', 'Australia'),
(92571, '180.189.160.0', '180.189.175.255', 3032326144, 3032330239, 'TL', 'Timor-Leste'),
(92572, '180.189.176.0', '180.189.191.255', 3032330240, 3032334335, 'KR', 'Korea, Republic of'),
(92573, '180.189.192.0', '180.189.223.255', 3032334336, 3032342527, 'NZ', 'New Zealand'),
(92574, '180.189.224.0', '180.189.255.255', 3032342528, 3032350719, 'JP', 'Japan'),
(92575, '180.190.0.0', '180.195.255.255', 3032350720, 3032743935, 'PH', 'Philippines'),
(92576, '180.196.0.0', '180.200.127.255', 3032743936, 3033038847, 'JP', 'Japan'),
(92577, '180.200.128.0', '180.200.223.255', 3033038848, 3033063423, 'AU', 'Australia'),
(92578, '180.200.224.0', '180.200.231.255', 3033063424, 3033065471, 'JP', 'Japan'),
(92579, '180.200.232.0', '180.200.235.255', 3033065472, 3033066495, 'MY', 'Malaysia'),
(92580, '180.200.236.0', '180.200.239.255', 3033066496, 3033067519, 'BD', 'Bangladesh'),
(92581, '180.200.240.0', '180.200.243.255', 3033067520, 3033068543, 'IN', 'India'),
(92582, '180.200.244.0', '180.200.247.255', 3033068544, 3033069567, 'AU', 'Australia'),
(92583, '180.200.248.0', '180.200.251.255', 3033069568, 3033070591, 'JP', 'Japan'),
(92584, '180.200.252.0', '180.203.255.255', 3033070592, 3033268223, 'CN', 'China'),
(92585, '180.204.0.0', '180.207.255.255', 3033268224, 3033530367, 'TW', 'Taiwan'),
(92586, '180.208.0.0', '180.209.255.255', 3033530368, 3033661439, 'CN', 'China'),
(92587, '180.210.0.0', '180.210.127.255', 3033661440, 3033694207, 'KR', 'Korea, Republic of'),
(92588, '180.210.128.0', '180.210.191.255', 3033694208, 3033710591, 'BD', 'Bangladesh'),
(92589, '180.210.192.0', '180.210.199.255', 3033710592, 3033712639, 'KR', 'Korea, Republic of'),
(92590, '180.210.200.0', '180.210.207.255', 3033712640, 3033714687, 'SG', 'Singapore'),
(92591, '180.210.208.0', '180.210.211.255', 3033714688, 3033715711, 'NZ', 'New Zealand'),
(92592, '180.210.216.0', '180.210.219.255', 3033716736, 3033717759, 'TH', 'Thailand'),
(92593, '180.210.224.0', '180.210.255.255', 3033718784, 3033726975, 'CN', 'China'),
(92594, '180.211.0.0', '180.211.63.255', 3033726976, 3033743359, 'KR', 'Korea, Republic of'),
(92595, '180.211.64.0', '180.211.71.255', 3033743360, 3033745407, 'IN', 'India'),
(92596, '180.211.72.0', '180.211.79.255', 3033745408, 3033747455, 'JP', 'Japan'),
(92597, '180.211.80.0', '180.211.83.255', 3033747456, 3033748479, 'IN', 'India'),
(92598, '180.211.84.0', '180.211.87.255', 3033748480, 3033749503, 'JP', 'Japan'),
(92599, '180.211.88.0', '180.211.95.255', 3033749504, 3033751551, 'ID', 'Indonesia'),
(92600, '180.211.96.0', '180.211.127.255', 3033751552, 3033759743, 'IN', 'India'),
(92601, '180.211.128.0', '180.211.255.255', 3033759744, 3033792511, 'BD', 'Bangladesh'),
(92602, '180.212.0.0', '180.213.255.255', 3033792512, 3033923583, 'CN', 'China'),
(92603, '180.214.0.0', '180.214.63.255', 3033923584, 3033939967, 'JP', 'Japan'),
(92604, '180.214.64.0', '180.214.95.255', 3033939968, 3033948159, 'AU', 'Australia'),
(92605, '180.214.96.0', '180.214.127.255', 3033948160, 3033956351, 'NC', 'New Caledonia'),
(92606, '180.214.128.0', '180.214.159.255', 3033956352, 3033964543, 'IN', 'India'),
(92607, '180.214.160.0', '180.214.167.255', 3033964544, 3033966591, 'HK', 'Hong Kong'),
(92608, '180.214.168.0', '180.214.175.255', 3033966592, 3033968639, 'AU', 'Australia'),
(92609, '180.214.176.0', '180.214.191.255', 3033968640, 3033972735, 'TW', 'Taiwan'),
(92610, '180.214.192.0', '180.214.223.255', 3033972736, 3033980927, 'TH', 'Thailand'),
(92611, '180.214.224.0', '180.214.231.255', 3033980928, 3033982975, 'JP', 'Japan'),
(92612, '180.214.232.0', '180.214.235.255', 3033982976, 3033983999, 'ID', 'Indonesia'),
(92613, '180.214.236.0', '180.214.239.255', 3033984000, 3033985023, 'VN', 'Vietnam'),
(92614, '180.214.240.0', '180.214.255.255', 3033985024, 3033989119, 'ID', 'Indonesia'),
(92615, '180.215.0.0', '180.215.255.255', 3033989120, 3034054655, 'IN', 'India'),
(92616, '180.216.0.0', '180.216.255.255', 3034054656, 3034120191, 'AU', 'Australia'),
(92617, '180.217.0.0', '180.218.255.255', 3034120192, 3034251263, 'TW', 'Taiwan'),
(92618, '180.219.0.0', '180.219.255.255', 3034251264, 3034316799, 'HK', 'Hong Kong'),
(92619, '180.220.0.0', '180.221.255.255', 3034316800, 3034447871, 'JP', 'Japan'),
(92620, '180.222.0.0', '180.222.31.255', 3034447872, 3034456063, 'AU', 'Australia'),
(92621, '180.222.32.0', '180.222.63.255', 3034456064, 3034464255, 'JP', 'Japan'),
(92622, '180.222.64.0', '180.222.71.255', 3034464256, 3034466303, 'NZ', 'New Zealand'),
(92623, '180.222.72.0', '180.222.95.255', 3034466304, 3034472447, 'JP', 'Japan'),
(92624, '180.222.96.0', '180.222.119.255', 3034472448, 3034478591, 'IN', 'India'),
(92625, '180.222.120.0', '180.222.127.255', 3034478592, 3034480639, 'JP', 'Japan'),
(92626, '180.222.128.0', '180.222.135.255', 3034480640, 3034482687, 'SG', 'Singapore'),
(92627, '180.222.136.0', '180.222.143.255', 3034482688, 3034484735, 'AF', 'Afghanistan'),
(92628, '180.222.144.0', '180.222.159.255', 3034484736, 3034488831, 'TH', 'Thailand'),
(92629, '180.222.160.0', '180.222.175.255', 3034488832, 3034492927, 'AU', 'Australia'),
(92630, '180.222.176.0', '180.222.191.255', 3034492928, 3034497023, 'JP', 'Japan'),
(92631, '180.222.192.0', '180.222.199.255', 3034497024, 3034499071, 'AU', 'Australia'),
(92632, '180.222.200.0', '180.222.203.255', 3034499072, 3034500095, 'HK', 'Hong Kong'),
(92633, '180.222.204.0', '180.222.207.255', 3034500096, 3034501119, 'TW', 'Taiwan'),
(92634, '180.222.208.0', '180.222.211.255', 3034501120, 3034502143, 'VU', 'Vanuatu'),
(92635, '180.222.212.0', '180.222.215.255', 3034502144, 3034503167, 'IN', 'India'),
(92636, '180.222.216.0', '180.222.219.255', 3034503168, 3034504191, 'ID', 'Indonesia'),
(92637, '180.222.220.0', '180.222.223.255', 3034504192, 3034505215, 'KR', 'Korea, Republic of'),
(92638, '180.222.224.0', '180.223.255.255', 3034505216, 3034578943, 'CN', 'China'),
(92639, '180.224.0.0', '180.231.255.255', 3034578944, 3035103231, 'KR', 'Korea, Republic of'),
(92640, '180.232.0.0', '180.232.255.255', 3035103232, 3035168767, 'PH', 'Philippines'),
(92641, '180.233.0.0', '180.233.95.255', 3035168768, 3035193343, 'CN', 'China'),
(92642, '180.233.96.0', '180.233.111.255', 3035193344, 3035197439, 'JP', 'Japan'),
(92643, '180.233.112.0', '180.233.119.255', 3035197440, 3035199487, 'HK', 'Hong Kong'),
(92644, '180.233.120.0', '180.233.123.255', 3035199488, 3035200511, 'IN', 'India'),
(92645, '180.233.124.0', '180.233.131.255', 3035200512, 3035202559, 'AU', 'Australia'),
(92646, '180.233.132.0', '180.233.143.255', 3035202560, 3035205631, 'JP', 'Japan'),
(92647, '180.233.144.0', '180.233.151.255', 3035205632, 3035207679, 'MY', 'Malaysia'),
(92648, '180.233.152.0', '180.233.159.255', 3035207680, 3035209727, 'ID', 'Indonesia'),
(92649, '180.233.160.0', '180.233.191.255', 3035209728, 3035217919, 'HK', 'Hong Kong'),
(92650, '180.233.192.0', '180.233.255.255', 3035217920, 3035234303, 'KR', 'Korea, Republic of'),
(92651, '180.234.0.0', '180.234.255.255', 3035234304, 3035299839, 'BD', 'Bangladesh'),
(92652, '180.235.0.0', '180.235.63.255', 3035299840, 3035316223, 'JP', 'Japan'),
(92653, '180.235.64.0', '180.235.95.255', 3035316224, 3035324415, 'CN', 'China'),
(92654, '180.235.96.0', '180.235.103.255', 3035324416, 3035326463, 'JP', 'Japan'),
(92655, '180.235.104.0', '180.235.111.255', 3035326464, 3035328511, 'AU', 'Australia'),
(92656, '180.235.128.0', '180.235.131.255', 3035332608, 3035333631, 'AU', 'Australia'),
(92657, '180.235.132.0', '180.235.135.255', 3035333632, 3035334655, 'HK', 'Hong Kong'),
(92658, '180.235.140.0', '180.235.147.255', 3035335680, 3035337727, 'JP', 'Japan'),
(92659, '180.235.148.0', '180.235.151.255', 3035337728, 3035338751, 'ID', 'Indonesia'),
(92660, '180.235.152.0', '180.235.152.255', 3035338752, 3035339007, 'SG', 'Singapore'),
(92661, '180.235.153.0', '180.235.153.255', 3035339008, 3035339263, 'IN', 'India'),
(92662, '180.235.154.0', '180.235.155.255', 3035339264, 3035339775, 'HK', 'Hong Kong'),
(92663, '180.235.156.0', '180.235.159.255', 3035339776, 3035340799, 'AU', 'Australia'),
(92664, '180.235.160.0', '180.235.191.255', 3035340800, 3035348991, 'MN', 'Mongolia'),
(92665, '180.235.192.0', '180.235.223.255', 3035348992, 3035357183, 'AU', 'Australia'),
(92666, '180.235.224.0', '180.235.255.255', 3035357184, 3035365375, 'JP', 'Japan'),
(92667, '180.236.0.0', '180.239.255.255', 3035365376, 3035627519, 'KR', 'Korea, Republic of'),
(92668, '180.240.0.0', '180.240.127.255', 3035627520, 3035660287, 'ID', 'Indonesia'),
(92669, '180.240.128.0', '180.240.255.255', 3035660288, 3035693055, 'SG', 'Singapore'),
(92670, '180.241.0.0', '180.254.255.255', 3035693056, 3036610559, 'ID', 'Indonesia'),
(92671, '180.255.0.0', '180.255.255.255', 3036610560, 3036676095, 'SG', 'Singapore'),
(92672, '181.0.0.0', '181.16.255.255', 3036676096, 3037790207, 'AR', 'Argentina'),
(92673, '181.17.0.0', '181.19.255.255', 3037790208, 3037986815, 'VE', 'Venezuela'),
(92674, '181.20.0.0', '181.23.255.255', 3037986816, 3038248959, 'AR', 'Argentina'),
(92675, '181.28.0.0', '181.31.255.255', 3038511104, 3038773247, 'AR', 'Argentina'),
(92676, '181.36.0.0', '181.37.255.255', 3039035392, 3039166463, 'DO', 'Dominican Republic'),
(92677, '181.40.0.0', '181.40.255.255', 3039297536, 3039363071, 'PY', 'Paraguay'),
(92678, '181.42.0.0', '181.42.255.255', 3039428608, 3039494143, 'CL', 'Chile'),
(92679, '181.46.0.0', '181.47.255.255', 3039690752, 3039821823, 'AR', 'Argentina'),
(92680, '181.48.0.0', '181.55.255.255', 3039821824, 3040346111, 'CO', 'Colombia'),
(92681, '181.64.0.0', '181.65.255.255', 3040870400, 3041001471, 'PE', 'Peru'),
(92682, '181.68.0.0', '181.69.255.255', 3041132544, 3041263615, 'CO', 'Colombia'),
(92683, '181.72.0.0', '181.75.255.255', 3041394688, 3041656831, 'CL', 'Chile'),
(92684, '181.80.0.0', '181.111.255.255', 3041918976, 3044016127, 'AR', 'Argentina'),
(92685, '181.112.0.0', '181.112.255.255', 3044016128, 3044081663, 'EC', 'Ecuador'),
(92686, '181.124.0.0', '181.127.255.255', 3044802560, 3045064703, 'PY', 'Paraguay'),
(92687, '181.128.0.0', '181.159.255.255', 3045064704, 3047161855, 'CO', 'Colombia'),
(92688, '181.160.0.0', '181.161.255.255', 3047161856, 3047292927, 'CL', 'Chile'),
(92689, '181.164.0.0', '181.167.255.255', 3047424000, 3047686143, 'AR', 'Argentina'),
(92690, '181.172.0.0', '181.173.255.255', 3047948288, 3048079359, 'CL', 'Chile'),
(92691, '181.176.0.0', '181.176.255.255', 3048210432, 3048275967, 'PE', 'Peru'),
(92692, '181.178.0.0', '181.179.255.255', 3048341504, 3048472575, 'PA', 'Panama'),
(92693, '181.180.0.0', '181.183.255.255', 3048472576, 3048734719, 'VE', 'Venezuela'),
(92694, '181.188.0.0', '181.188.127.255', 3048996864, 3049029631, 'TT', 'Trinidad and Tobago'),
(92695, '181.189.0.0', '181.189.63.255', 3049062400, 3049078783, 'CR', 'Costa Rica'),
(92696, '181.189.224.0', '181.189.255.255', 3049119744, 3049127935, 'HN', 'Honduras'),
(92697, '181.191.0.0', '181.191.255.255', 3049193472, 3049259007, 'PA', 'Panama'),
(92698, '182.0.0.0', '182.15.255.255', 3053453312, 3054501887, 'ID', 'Indonesia'),
(92699, '182.16.0.0', '182.16.127.255', 3054501888, 3054534655, 'HK', 'Hong Kong'),
(92700, '182.16.128.0', '182.16.139.255', 3054534656, 3054537727, 'PH', 'Philippines'),
(92701, '182.16.140.0', '182.16.143.255', 3054537728, 3054538751, 'SG', 'Singapore'),
(92702, '182.16.152.0', '182.16.155.255', 3054540800, 3054541823, 'NZ', 'New Zealand'),
(92703, '182.16.156.0', '182.16.159.255', 3054541824, 3054542847, 'BD', 'Bangladesh'),
(92704, '182.16.160.0', '182.16.191.255', 3054542848, 3054551039, 'ID', 'Indonesia'),
(92705, '182.16.192.0', '182.16.223.255', 3054551040, 3054559231, 'CN', 'China'),
(92706, '182.16.224.0', '182.16.231.255', 3054559232, 3054561279, 'JP', 'Japan'),
(92707, '182.16.232.0', '182.16.235.255', 3054561280, 3054562303, 'SG', 'Singapore'),
(92708, '182.16.236.0', '182.16.239.255', 3054562304, 3054563327, 'JP', 'Japan'),
(92709, '182.16.240.0', '182.16.255.255', 3054563328, 3054567423, 'ID', 'Indonesia'),
(92710, '182.17.0.0', '182.17.255.255', 3054567424, 3054632959, 'TH', 'Thailand'),
(92711, '182.18.0.0', '182.18.127.255', 3054632960, 3054665727, 'CN', 'China'),
(92712, '182.18.128.0', '182.18.191.255', 3054665728, 3054682111, 'IN', 'India'),
(92713, '182.18.192.0', '182.18.255.255', 3054682112, 3054698495, 'PH', 'Philippines'),
(92714, '182.19.0.0', '182.19.127.255', 3054698496, 3054731263, 'IN', 'India'),
(92715, '182.19.128.0', '182.19.255.255', 3054731264, 3054764031, 'SG', 'Singapore'),
(92716, '182.20.0.0', '182.22.255.255', 3054764032, 3054960639, 'JP', 'Japan'),
(92717, '182.23.0.0', '182.23.127.255', 3054960640, 3054993407, 'ID', 'Indonesia'),
(92718, '182.23.128.0', '182.23.143.255', 3054993408, 3054997503, 'IN', 'India'),
(92719, '182.23.144.0', '182.23.159.255', 3054997504, 3055001599, 'SG', 'Singapore'),
(92720, '182.23.160.0', '182.23.175.255', 3055001600, 3055005695, 'ID', 'Indonesia'),
(92721, '182.23.176.0', '182.23.183.255', 3055005696, 3055007743, 'NZ', 'New Zealand'),
(92722, '182.23.184.0', '182.23.191.255', 3055007744, 3055009791, 'CN', 'China'),
(92723, '182.23.192.0', '182.23.199.255', 3055009792, 3055011839, 'AU', 'Australia'),
(92724, '182.23.200.0', '182.23.207.255', 3055011840, 3055013887, 'CN', 'China'),
(92725, '182.23.208.0', '182.23.211.255', 3055013888, 3055014911, 'JP', 'Japan'),
(92726, '182.23.212.0', '182.23.215.255', 3055014912, 3055015935, 'AU', 'Australia'),
(92727, '182.23.216.0', '182.23.255.255', 3055015936, 3055026175, 'JP', 'Japan'),
(92728, '182.24.0.0', '182.30.255.255', 3055026176, 3055484927, 'ID', 'Indonesia'),
(92729, '182.31.0.0', '182.31.255.255', 3055484928, 3055550463, 'KR', 'Korea, Republic of'),
(92730, '182.32.0.0', '182.47.255.255', 3055550464, 3056599039, 'CN', 'China');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(92731, '182.48.0.0', '182.48.63.255', 3056599040, 3056615423, 'JP', 'Japan'),
(92732, '182.48.64.0', '182.48.95.255', 3056615424, 3056623615, 'BD', 'Bangladesh'),
(92733, '182.48.96.0', '182.48.127.255', 3056623616, 3056631807, 'CN', 'China'),
(92734, '182.48.128.0', '182.48.159.255', 3056631808, 3056639999, 'NZ', 'New Zealand'),
(92735, '182.48.160.0', '182.48.191.255', 3056640000, 3056648191, 'ID', 'Indonesia'),
(92736, '182.48.192.0', '182.48.255.255', 3056648192, 3056664575, 'IN', 'India'),
(92737, '182.49.0.0', '182.50.15.255', 3056664576, 3056734207, 'CN', 'China'),
(92738, '182.50.16.0', '182.50.63.255', 3056734208, 3056746495, 'KR', 'Korea, Republic of'),
(92739, '182.50.64.0', '182.50.67.255', 3056746496, 3056747519, 'NP', 'Nepal'),
(92740, '182.50.72.0', '182.50.75.255', 3056748544, 3056749567, 'WS', 'Samoa'),
(92741, '182.50.76.0', '182.50.79.255', 3056749568, 3056750591, 'SG', 'Singapore'),
(92742, '182.50.80.0', '182.50.95.255', 3056750592, 3056754687, 'TH', 'Thailand'),
(92743, '182.50.96.0', '182.50.111.255', 3056754688, 3056758783, 'JP', 'Japan'),
(92744, '182.50.112.0', '182.50.127.255', 3056758784, 3056762879, 'CN', 'China'),
(92745, '182.50.128.0', '182.50.159.255', 3056762880, 3056771071, 'SG', 'Singapore'),
(92746, '182.50.160.0', '182.50.163.255', 3056771072, 3056772095, 'NZ', 'New Zealand'),
(92747, '182.50.164.0', '182.50.167.255', 3056772096, 3056773119, 'JP', 'Japan'),
(92748, '182.50.168.0', '182.50.171.255', 3056773120, 3056774143, 'WS', 'Samoa'),
(92749, '182.50.172.0', '182.50.175.255', 3056774144, 3056775167, 'JP', 'Japan'),
(92750, '182.50.176.0', '182.50.191.255', 3056775168, 3056779263, 'AF', 'Afghanistan'),
(92751, '182.50.192.0', '182.50.239.255', 3056779264, 3056791551, 'JP', 'Japan'),
(92752, '182.50.240.0', '182.50.255.255', 3056791552, 3056795647, 'ID', 'Indonesia'),
(92753, '182.51.0.0', '182.51.255.255', 3056795648, 3056861183, 'CN', 'China'),
(92754, '182.52.0.0', '182.53.255.255', 3056861184, 3056992255, 'TH', 'Thailand'),
(92755, '182.54.0.0', '182.54.127.255', 3056992256, 3057025023, 'CN', 'China'),
(92756, '182.54.128.0', '182.54.159.255', 3057025024, 3057033215, 'PH', 'Philippines'),
(92757, '182.54.160.0', '182.54.175.255', 3057033216, 3057037311, 'NZ', 'New Zealand'),
(92758, '182.54.176.0', '182.54.191.255', 3057037312, 3057041407, 'JP', 'Japan'),
(92759, '182.54.192.0', '182.54.223.255', 3057041408, 3057049599, 'MY', 'Malaysia'),
(92760, '182.54.224.0', '182.54.227.255', 3057049600, 3057050623, 'AU', 'Australia'),
(92761, '182.54.228.0', '182.54.231.255', 3057050624, 3057051647, 'SG', 'Singapore'),
(92762, '182.54.232.0', '182.54.232.255', 3057051648, 3057051903, 'AU', 'Australia'),
(92763, '182.54.233.0', '182.54.233.255', 3057051904, 3057052159, 'EU', 'Europe'),
(92764, '182.54.234.0', '182.54.234.255', 3057052160, 3057052415, 'AU', 'Australia'),
(92765, '182.54.235.0', '182.54.235.255', 3057052416, 3057052671, 'ES', 'Spain'),
(92766, '182.54.236.0', '182.54.236.255', 3057052672, 3057052927, 'IL', 'Israel'),
(92767, '182.54.237.0', '182.54.237.255', 3057052928, 3057053183, 'GB', 'United Kingdom'),
(92768, '182.54.238.0', '182.54.239.255', 3057053184, 3057053695, 'AU', 'Australia'),
(92769, '182.54.240.0', '182.54.243.255', 3057053696, 3057054719, 'JP', 'Japan'),
(92770, '182.54.244.0', '182.54.247.255', 3057054720, 3057055743, 'HK', 'Hong Kong'),
(92771, '182.54.248.0', '182.54.255.255', 3057055744, 3057057791, 'JP', 'Japan'),
(92772, '182.55.0.0', '182.55.255.255', 3057057792, 3057123327, 'SG', 'Singapore'),
(92773, '182.56.0.0', '182.60.255.255', 3057123328, 3057451007, 'IN', 'India'),
(92774, '182.61.0.0', '182.61.255.255', 3057451008, 3057516543, 'CN', 'China'),
(92775, '182.62.0.0', '182.63.255.255', 3057516544, 3057647615, 'MY', 'Malaysia'),
(92776, '182.64.0.0', '182.79.255.255', 3057647616, 3058696191, 'IN', 'India'),
(92777, '182.80.0.0', '182.92.255.255', 3058696192, 3059548159, 'CN', 'China'),
(92778, '182.93.0.0', '182.93.63.255', 3059548160, 3059564543, 'MO', 'Macau'),
(92779, '182.93.64.0', '182.93.95.255', 3059564544, 3059572735, 'NP', 'Nepal'),
(92780, '182.93.96.0', '182.93.127.255', 3059572736, 3059580927, 'JP', 'Japan'),
(92781, '182.93.128.0', '182.93.255.255', 3059580928, 3059613695, 'TH', 'Thailand'),
(92782, '182.94.0.0', '182.95.255.255', 3059613696, 3059744767, 'IN', 'India'),
(92783, '182.96.0.0', '182.151.255.255', 3059744768, 3063414783, 'CN', 'China'),
(92784, '182.152.0.0', '182.153.255.255', 3063414784, 3063545855, 'HK', 'Hong Kong'),
(92785, '182.154.0.0', '182.154.255.255', 3063545856, 3063611391, 'NZ', 'New Zealand'),
(92786, '182.155.0.0', '182.155.255.255', 3063611392, 3063676927, 'TW', 'Taiwan'),
(92787, '182.156.0.0', '182.156.255.255', 3063676928, 3063742463, 'IN', 'India'),
(92788, '182.157.0.0', '182.157.255.255', 3063742464, 3063807999, 'CN', 'China'),
(92789, '182.158.0.0', '182.159.255.255', 3063808000, 3063939071, 'JP', 'Japan'),
(92790, '182.160.0.0', '182.160.63.255', 3063939072, 3063955455, 'MN', 'Mongolia'),
(92791, '182.160.64.0', '182.160.95.255', 3063955456, 3063963647, 'CN', 'China'),
(92792, '182.160.96.0', '182.160.127.255', 3063963648, 3063971839, 'BD', 'Bangladesh'),
(92793, '182.160.128.0', '182.160.191.255', 3063971840, 3063988223, 'AU', 'Australia'),
(92794, '182.160.192.0', '182.160.255.255', 3063988224, 3064004607, 'JP', 'Japan'),
(92795, '182.161.0.0', '182.161.31.255', 3064004608, 3064012799, 'LK', 'Sri Lanka'),
(92796, '182.161.64.0', '182.161.71.255', 3064020992, 3064023039, 'JP', 'Japan'),
(92797, '182.161.72.0', '182.161.75.255', 3064023040, 3064024063, 'SG', 'Singapore'),
(92798, '182.161.76.0', '182.161.79.255', 3064024064, 3064025087, 'JP', 'Japan'),
(92799, '182.161.80.0', '182.161.95.255', 3064025088, 3064029183, 'VN', 'Vietnam'),
(92800, '182.161.96.0', '182.162.255.255', 3064029184, 3064135679, 'KR', 'Korea, Republic of'),
(92801, '182.163.0.0', '182.163.95.255', 3064135680, 3064160255, 'JP', 'Japan'),
(92802, '182.163.96.0', '182.163.127.255', 3064160256, 3064168447, 'BD', 'Bangladesh'),
(92803, '182.163.128.0', '182.163.255.255', 3064168448, 3064201215, 'KR', 'Korea, Republic of'),
(92804, '182.164.0.0', '182.171.255.255', 3064201216, 3064725503, 'JP', 'Japan'),
(92805, '182.172.0.0', '182.172.255.255', 3064725504, 3064791039, 'KR', 'Korea, Republic of'),
(92806, '182.173.0.0', '182.173.63.255', 3064791040, 3064807423, 'TW', 'Taiwan'),
(92807, '182.173.64.0', '182.173.67.255', 3064807424, 3064808447, 'IN', 'India'),
(92808, '182.173.68.0', '182.173.71.255', 3064808448, 3064809471, 'TW', 'Taiwan'),
(92809, '182.173.72.0', '182.173.75.255', 3064809472, 3064810495, 'MY', 'Malaysia'),
(92810, '182.173.76.0', '182.173.79.255', 3064810496, 3064811519, 'HK', 'Hong Kong'),
(92811, '182.173.80.0', '182.173.127.255', 3064811520, 3064823807, 'KR', 'Korea, Republic of'),
(92812, '182.173.128.0', '182.173.159.255', 3064823808, 3064831999, 'JP', 'Japan'),
(92813, '182.173.160.0', '182.173.191.255', 3064832000, 3064840191, 'KR', 'Korea, Republic of'),
(92814, '182.173.192.0', '182.173.255.255', 3064840192, 3064856575, 'GU', 'Guam'),
(92815, '182.174.0.0', '182.175.255.255', 3064856576, 3064987647, 'CN', 'China'),
(92816, '182.176.0.0', '182.191.255.255', 3064987648, 3066036223, 'PK', 'Pakistan'),
(92817, '182.192.0.0', '182.199.255.255', 3066036224, 3066560511, 'KR', 'Korea, Republic of'),
(92818, '182.200.0.0', '182.207.255.255', 3066560512, 3067084799, 'CN', 'China'),
(92819, '182.208.0.0', '182.231.255.255', 3067084800, 3068657663, 'KR', 'Korea, Republic of'),
(92820, '182.232.0.0', '182.232.255.255', 3068657664, 3068723199, 'TH', 'Thailand'),
(92821, '182.233.0.0', '182.235.255.255', 3068723200, 3068919807, 'TW', 'Taiwan'),
(92822, '182.236.0.0', '182.236.111.255', 3068919808, 3068948479, 'JP', 'Japan'),
(92823, '182.236.112.0', '182.236.115.255', 3068948480, 3068949503, 'VN', 'Vietnam'),
(92824, '182.236.116.0', '182.236.119.255', 3068949504, 3068950527, 'AU', 'Australia'),
(92825, '182.236.120.0', '182.236.127.255', 3068950528, 3068952575, 'NZ', 'New Zealand'),
(92826, '182.236.128.0', '182.236.255.255', 3068952576, 3068985343, 'CN', 'China'),
(92827, '182.237.0.0', '182.237.3.255', 3068985344, 3068986367, 'HK', 'Hong Kong'),
(92828, '182.237.4.0', '182.237.7.255', 3068986368, 3068987391, 'AU', 'Australia'),
(92829, '182.237.8.0', '182.237.19.255', 3068987392, 3068990463, 'IN', 'India'),
(92830, '182.237.20.0', '182.237.23.255', 3068990464, 3068991487, 'VN', 'Vietnam'),
(92831, '182.237.24.0', '182.237.27.255', 3068991488, 3068992511, 'IN', 'India'),
(92832, '182.237.28.0', '182.237.31.255', 3068992512, 3068993535, 'PH', 'Philippines'),
(92833, '182.237.32.0', '182.237.127.255', 3068993536, 3069018111, 'KR', 'Korea, Republic of'),
(92834, '182.237.128.0', '182.237.191.255', 3069018112, 3069034495, 'IN', 'India'),
(92835, '182.237.192.0', '182.237.255.255', 3069034496, 3069050879, 'KR', 'Korea, Republic of'),
(92836, '182.238.0.0', '182.239.31.255', 3069050880, 3069124607, 'CN', 'China'),
(92837, '182.239.32.0', '182.239.39.255', 3069124608, 3069126655, 'PH', 'Philippines'),
(92838, '182.239.40.0', '182.239.43.255', 3069126656, 3069127679, 'MY', 'Malaysia'),
(92839, '182.239.44.0', '182.239.47.255', 3069127680, 3069128703, 'TW', 'Taiwan'),
(92840, '182.239.48.0', '182.239.127.255', 3069128704, 3069149183, 'HK', 'Hong Kong'),
(92841, '182.239.128.0', '182.239.255.255', 3069149184, 3069181951, 'AU', 'Australia'),
(92842, '182.240.0.0', '182.247.255.255', 3069181952, 3069706239, 'CN', 'China'),
(92843, '182.248.0.0', '182.251.255.255', 3069706240, 3069968383, 'JP', 'Japan'),
(92844, '182.252.0.0', '182.252.63.255', 3069968384, 3069984767, 'KR', 'Korea, Republic of'),
(92845, '182.252.64.0', '182.252.127.255', 3069984768, 3070001151, 'BD', 'Bangladesh'),
(92846, '182.252.128.0', '182.252.255.255', 3070001152, 3070033919, 'KR', 'Korea, Republic of'),
(92847, '182.253.0.0', '182.253.255.255', 3070033920, 3070099455, 'ID', 'Indonesia'),
(92848, '182.254.0.0', '182.254.255.255', 3070099456, 3070164991, 'CN', 'China'),
(92849, '182.255.0.0', '182.255.7.255', 3070164992, 3070167039, 'ID', 'Indonesia'),
(92850, '182.255.8.0', '182.255.15.255', 3070167040, 3070169087, 'TH', 'Thailand'),
(92851, '182.255.16.0', '182.255.19.255', 3070169088, 3070170111, 'ID', 'Indonesia'),
(92852, '182.255.20.0', '182.255.23.255', 3070170112, 3070171135, 'MY', 'Malaysia'),
(92853, '182.255.24.0', '182.255.27.255', 3070171136, 3070172159, 'HK', 'Hong Kong'),
(92854, '182.255.28.0', '182.255.31.255', 3070172160, 3070173183, 'AU', 'Australia'),
(92855, '182.255.32.0', '182.255.63.255', 3070173184, 3070181375, 'PH', 'Philippines'),
(92856, '182.255.64.0', '182.255.79.255', 3070181376, 3070185471, 'JP', 'Japan'),
(92857, '182.255.80.0', '182.255.127.255', 3070185472, 3070197759, 'AU', 'Australia'),
(92858, '182.255.128.0', '182.255.255.255', 3070197760, 3070230527, 'KR', 'Korea, Republic of'),
(92859, '183.0.0.0', '183.71.255.255', 3070230528, 3074949119, 'CN', 'China'),
(92860, '183.72.0.0', '183.77.255.255', 3074949120, 3075342335, 'JP', 'Japan'),
(92861, '183.78.0.0', '183.78.127.255', 3075342336, 3075375103, 'MY', 'Malaysia'),
(92862, '183.78.128.0', '183.78.159.255', 3075375104, 3075383295, 'KR', 'Korea, Republic of'),
(92863, '183.78.160.0', '183.78.167.255', 3075383296, 3075385343, 'IN', 'India'),
(92864, '183.78.168.0', '183.78.171.255', 3075385344, 3075386367, 'MY', 'Malaysia'),
(92865, '183.78.172.0', '183.78.175.255', 3075386368, 3075387391, 'AU', 'Australia'),
(92866, '183.78.180.0', '183.78.183.255', 3075388416, 3075389439, 'CN', 'China'),
(92867, '183.78.184.0', '183.78.187.255', 3075389440, 3075390463, 'IN', 'India'),
(92868, '183.78.188.0', '183.78.191.255', 3075390464, 3075391487, 'JP', 'Japan'),
(92869, '183.78.192.0', '183.78.255.255', 3075391488, 3075407871, 'KR', 'Korea, Republic of'),
(92870, '183.79.0.0', '183.79.255.255', 3075407872, 3075473407, 'JP', 'Japan'),
(92871, '183.80.0.0', '183.81.127.255', 3075473408, 3075571711, 'VN', 'Vietnam'),
(92872, '183.81.128.0', '183.81.143.255', 3075571712, 3075575807, 'FJ', 'Fiji'),
(92873, '183.81.144.0', '183.81.151.255', 3075575808, 3075577855, 'AU', 'Australia'),
(92874, '183.81.152.0', '183.81.159.255', 3075577856, 3075579903, 'ID', 'Indonesia'),
(92875, '183.81.160.0', '183.81.167.255', 3075579904, 3075581951, 'MY', 'Malaysia'),
(92876, '183.81.168.0', '183.81.171.255', 3075581952, 3075582975, 'MN', 'Mongolia'),
(92877, '183.81.176.0', '183.81.179.255', 3075584000, 3075585023, 'JP', 'Japan'),
(92878, '183.81.180.0', '183.81.183.255', 3075585024, 3075586047, 'CN', 'China'),
(92879, '183.81.184.0', '183.81.191.255', 3075586048, 3075588095, 'KH', 'Cambodia'),
(92880, '183.81.192.0', '183.81.255.255', 3075588096, 3075604479, 'SG', 'Singapore'),
(92881, '183.82.0.0', '183.83.255.255', 3075604480, 3075735551, 'IN', 'India'),
(92882, '183.84.0.0', '183.85.255.255', 3075735552, 3075866623, 'CN', 'China'),
(92883, '183.86.0.0', '183.86.191.255', 3075866624, 3075915775, 'JP', 'Japan'),
(92884, '183.86.192.0', '183.86.255.255', 3075915776, 3075932159, 'KR', 'Korea, Republic of'),
(92885, '183.87.0.0', '183.87.255.255', 3075932160, 3075997695, 'IN', 'India'),
(92886, '183.88.0.0', '183.89.255.255', 3075997696, 3076128767, 'TH', 'Thailand'),
(92887, '183.90.0.0', '183.90.127.255', 3076128768, 3076161535, 'SG', 'Singapore'),
(92888, '183.90.128.0', '183.90.159.255', 3076161536, 3076169727, 'KR', 'Korea, Republic of'),
(92889, '183.90.160.0', '183.90.167.255', 3076169728, 3076171775, 'VN', 'Vietnam'),
(92890, '183.90.168.0', '183.90.175.255', 3076171776, 3076173823, 'TH', 'Thailand'),
(92891, '183.90.176.0', '183.90.183.255', 3076173824, 3076175871, 'JP', 'Japan'),
(92892, '183.90.184.0', '183.90.191.255', 3076175872, 3076177919, 'HK', 'Hong Kong'),
(92893, '183.90.192.0', '183.90.255.255', 3076177920, 3076194303, 'JP', 'Japan'),
(92894, '183.91.0.0', '183.91.31.255', 3076194304, 3076202495, 'VN', 'Vietnam'),
(92895, '183.91.32.0', '183.91.63.255', 3076202496, 3076210687, 'HK', 'Hong Kong'),
(92896, '183.91.64.0', '183.91.95.255', 3076210688, 3076218879, 'ID', 'Indonesia'),
(92897, '183.91.96.0', '183.91.127.255', 3076218880, 3076227071, 'JP', 'Japan'),
(92898, '183.91.128.0', '183.91.131.255', 3076227072, 3076228095, 'CN', 'China'),
(92899, '183.91.132.0', '183.91.135.255', 3076228096, 3076229119, 'NP', 'Nepal'),
(92900, '183.91.136.0', '183.91.159.255', 3076229120, 3076235263, 'CN', 'China'),
(92901, '183.91.160.0', '183.91.191.255', 3076235264, 3076243455, 'VN', 'Vietnam'),
(92902, '183.91.192.0', '183.91.255.255', 3076243456, 3076259839, 'KR', 'Korea, Republic of'),
(92903, '183.92.0.0', '183.95.255.255', 3076259840, 3076521983, 'CN', 'China'),
(92904, '183.96.0.0', '183.127.255.255', 3076521984, 3078619135, 'KR', 'Korea, Republic of'),
(92905, '183.128.0.0', '183.170.255.255', 3078619136, 3081437183, 'CN', 'China'),
(92906, '183.171.0.0', '183.171.255.255', 3081437184, 3081502719, 'MY', 'Malaysia'),
(92907, '183.172.0.0', '183.175.255.255', 3081502720, 3081764863, 'CN', 'China'),
(92908, '183.176.0.0', '183.177.63.255', 3081764864, 3081846783, 'JP', 'Japan'),
(92909, '183.177.64.0', '183.177.95.255', 3081846784, 3081854975, 'HK', 'Hong Kong'),
(92910, '183.177.96.0', '183.177.111.255', 3081854976, 3081859071, 'MN', 'Mongolia'),
(92911, '183.177.112.0', '183.177.119.255', 3081859072, 3081861119, 'PH', 'Philippines'),
(92912, '183.177.120.0', '183.177.123.255', 3081861120, 3081862143, 'AU', 'Australia'),
(92913, '183.177.124.0', '183.177.127.255', 3081862144, 3081863167, 'IN', 'India'),
(92914, '183.177.128.0', '183.177.255.255', 3081863168, 3081895935, 'JP', 'Japan'),
(92915, '183.178.0.0', '183.179.255.255', 3081895936, 3082027007, 'HK', 'Hong Kong'),
(92916, '183.180.0.0', '183.181.255.255', 3082027008, 3082158079, 'JP', 'Japan'),
(92917, '183.182.0.0', '183.182.31.255', 3082158080, 3082166271, 'CN', 'China'),
(92918, '183.182.32.0', '183.182.63.255', 3082166272, 3082174463, 'JP', 'Japan'),
(92919, '183.182.64.0', '183.182.79.255', 3082174464, 3082178559, 'PH', 'Philippines'),
(92920, '183.182.80.0', '183.182.83.255', 3082178560, 3082179583, 'HK', 'Hong Kong'),
(92921, '183.182.84.0', '183.182.91.255', 3082179584, 3082181631, 'IN', 'India'),
(92922, '183.182.92.0', '183.182.95.255', 3082181632, 3082182655, 'ID', 'Indonesia'),
(92923, '183.182.96.0', '183.182.127.255', 3082182656, 3082190847, 'LA', 'Lao People''s Democratic Republic'),
(92924, '183.182.128.0', '183.183.255.255', 3082190848, 3082289151, 'JP', 'Japan'),
(92925, '183.184.0.0', '183.255.255.255', 3082289152, 3087007743, 'CN', 'China'),
(92926, '184.0.0.0', '184.63.255.255', 3087007744, 3091202047, 'US', 'United States'),
(92927, '184.64.0.0', '184.71.255.255', 3091202048, 3091726335, 'CA', 'Canada'),
(92928, '184.72.0.0', '184.75.127.255', 3091726336, 3091955711, 'US', 'United States'),
(92929, '184.75.128.0', '184.75.143.255', 3091955712, 3091959807, 'CA', 'Canada'),
(92930, '184.75.144.0', '184.75.207.255', 3091959808, 3091976191, 'US', 'United States'),
(92931, '184.75.208.0', '184.75.223.255', 3091976192, 3091980287, 'CA', 'Canada'),
(92932, '184.75.224.0', '184.93.255.255', 3091980288, 3093168127, 'US', 'United States'),
(92933, '184.94.0.0', '184.94.127.255', 3093168128, 3093200895, 'CA', 'Canada'),
(92934, '184.94.128.0', '184.94.175.255', 3093200896, 3093213183, 'US', 'United States'),
(92935, '184.94.176.0', '184.94.191.255', 3093213184, 3093217279, 'CA', 'Canada'),
(92936, '184.94.192.0', '184.94.255.255', 3093217280, 3093233663, 'US', 'United States'),
(92937, '184.95.0.0', '184.95.15.255', 3093233664, 3093237759, 'PR', 'Puerto Rico'),
(92938, '184.95.16.0', '184.95.32.7', 3093237760, 3093241863, 'US', 'United States'),
(92939, '184.95.32.8', '184.95.32.15', 3093241864, 3093241871, 'AU', 'Australia'),
(92940, '184.95.32.16', '184.95.33.175', 3093241872, 3093242287, 'US', 'United States'),
(92941, '184.95.33.176', '184.95.33.183', 3093242288, 3093242295, 'AU', 'Australia'),
(92942, '184.95.33.184', '184.95.35.95', 3093242296, 3093242719, 'US', 'United States'),
(92943, '184.95.35.96', '184.95.35.127', 3093242720, 3093242751, 'CN', 'China'),
(92944, '184.95.35.128', '184.95.37.87', 3093242752, 3093243223, 'US', 'United States'),
(92945, '184.95.37.88', '184.95.37.95', 3093243224, 3093243231, 'AU', 'Australia'),
(92946, '184.95.37.96', '184.95.46.135', 3093243232, 3093245575, 'US', 'United States'),
(92947, '184.95.46.136', '184.95.46.143', 3093245576, 3093245583, 'BR', 'Brazil'),
(92948, '184.95.46.144', '184.95.47.23', 3093245584, 3093245719, 'US', 'United States'),
(92949, '184.95.47.24', '184.95.47.31', 3093245720, 3093245727, 'AU', 'Australia'),
(92950, '184.95.47.32', '184.95.48.47', 3093245728, 3093245999, 'US', 'United States'),
(92951, '184.95.48.48', '184.95.48.55', 3093246000, 3093246007, 'AU', 'Australia'),
(92952, '184.95.48.56', '184.95.49.223', 3093246008, 3093246431, 'US', 'United States'),
(92953, '184.95.49.224', '184.95.49.231', 3093246432, 3093246439, 'AU', 'Australia'),
(92954, '184.95.49.232', '184.95.53.95', 3093246440, 3093247327, 'US', 'United States'),
(92955, '184.95.53.96', '184.95.53.103', 3093247328, 3093247335, 'AU', 'Australia'),
(92956, '184.95.53.104', '184.95.53.199', 3093247336, 3093247431, 'US', 'United States'),
(92957, '184.95.53.200', '184.95.53.207', 3093247432, 3093247439, 'CA', 'Canada'),
(92958, '184.95.53.208', '184.95.54.23', 3093247440, 3093247511, 'US', 'United States'),
(92959, '184.95.54.24', '184.95.54.31', 3093247512, 3093247519, 'AU', 'Australia'),
(92960, '184.95.54.32', '184.95.55.223', 3093247520, 3093247967, 'US', 'United States'),
(92961, '184.95.55.224', '184.95.55.239', 3093247968, 3093247983, 'CA', 'Canada'),
(92962, '184.95.55.240', '184.95.57.119', 3093247984, 3093248375, 'US', 'United States'),
(92963, '184.95.57.120', '184.95.57.143', 3093248376, 3093248399, 'AU', 'Australia'),
(92964, '184.95.57.144', '184.95.57.159', 3093248400, 3093248415, 'US', 'United States'),
(92965, '184.95.57.160', '184.95.57.175', 3093248416, 3093248431, 'AU', 'Australia'),
(92966, '184.95.57.176', '184.95.57.223', 3093248432, 3093248479, 'US', 'United States'),
(92967, '184.95.57.224', '184.95.57.231', 3093248480, 3093248487, 'AU', 'Australia'),
(92968, '184.95.57.232', '184.95.58.215', 3093248488, 3093248727, 'US', 'United States'),
(92969, '184.95.58.216', '184.95.58.223', 3093248728, 3093248735, 'AU', 'Australia'),
(92970, '184.95.58.224', '184.95.59.63', 3093248736, 3093248831, 'US', 'United States'),
(92971, '184.95.59.64', '184.95.59.71', 3093248832, 3093248839, 'AU', 'Australia'),
(92972, '184.95.59.72', '184.95.59.119', 3093248840, 3093248887, 'US', 'United States'),
(92973, '184.95.59.120', '184.95.59.127', 3093248888, 3093248895, 'AU', 'Australia'),
(92974, '184.95.59.128', '184.95.60.47', 3093248896, 3093249071, 'US', 'United States'),
(92975, '184.95.60.48', '184.95.60.55', 3093249072, 3093249079, 'GB', 'United Kingdom'),
(92976, '184.95.60.56', '184.95.62.63', 3093249080, 3093249599, 'US', 'United States'),
(92977, '184.95.62.64', '184.95.62.87', 3093249600, 3093249623, 'AU', 'Australia'),
(92978, '184.95.62.88', '184.95.62.143', 3093249624, 3093249679, 'US', 'United States'),
(92979, '184.95.62.144', '184.95.62.151', 3093249680, 3093249687, 'AU', 'Australia'),
(92980, '184.95.62.152', '184.95.191.255', 3093249688, 3093282815, 'US', 'United States'),
(92981, '184.95.192.0', '184.95.255.255', 3093282816, 3093299199, 'CA', 'Canada'),
(92982, '184.96.0.0', '184.104.47.255', 3093299200, 3093835775, 'US', 'United States'),
(92983, '184.104.48.0', '184.104.59.255', 3093835776, 3093838847, 'GB', 'United Kingdom'),
(92984, '184.104.60.0', '184.104.63.255', 3093838848, 3093839871, 'US', 'United States'),
(92985, '184.104.64.0', '184.104.77.255', 3093839872, 3093843455, 'NL', 'Netherlands'),
(92986, '184.104.78.0', '184.104.103.255', 3093843456, 3093850111, 'US', 'United States'),
(92987, '184.104.104.0', '184.104.124.255', 3093850112, 3093855487, 'DE', 'Germany'),
(92988, '184.104.125.0', '184.105.77.255', 3093855488, 3093908991, 'US', 'United States'),
(92989, '184.105.78.0', '184.105.78.255', 3093908992, 3093909247, 'PR', 'Puerto Rico'),
(92990, '184.105.79.0', '184.106.0.199', 3093909248, 3093954759, 'US', 'United States'),
(92991, '184.106.0.200', '184.106.0.207', 3093954760, 3093954767, 'AR', 'Argentina'),
(92992, '184.106.0.208', '184.106.1.159', 3093954768, 3093954975, 'US', 'United States'),
(92993, '184.106.1.160', '184.106.1.167', 3093954976, 3093954983, 'AU', 'Australia'),
(92994, '184.106.1.168', '184.106.1.207', 3093954984, 3093955023, 'US', 'United States'),
(92995, '184.106.1.208', '184.106.1.215', 3093955024, 3093955031, 'CA', 'Canada'),
(92996, '184.106.1.216', '184.106.2.7', 3093955032, 3093955079, 'US', 'United States'),
(92997, '184.106.2.8', '184.106.2.15', 3093955080, 3093955087, 'CA', 'Canada'),
(92998, '184.106.2.16', '184.106.2.55', 3093955088, 3093955127, 'US', 'United States'),
(92999, '184.106.2.56', '184.106.2.63', 3093955128, 3093955135, 'CA', 'Canada'),
(93000, '184.106.2.64', '184.106.2.103', 3093955136, 3093955175, 'US', 'United States'),
(93001, '184.106.2.104', '184.106.2.111', 3093955176, 3093955183, 'AU', 'Australia'),
(93002, '184.106.2.112', '184.106.2.159', 3093955184, 3093955231, 'US', 'United States'),
(93003, '184.106.2.160', '184.106.2.175', 3093955232, 3093955247, 'AU', 'Australia'),
(93004, '184.106.2.176', '184.106.3.31', 3093955248, 3093955359, 'US', 'United States'),
(93005, '184.106.3.32', '184.106.3.39', 3093955360, 3093955367, 'GB', 'United Kingdom'),
(93006, '184.106.3.40', '184.106.3.111', 3093955368, 3093955439, 'US', 'United States'),
(93007, '184.106.3.112', '184.106.3.119', 3093955440, 3093955447, 'CA', 'Canada'),
(93008, '184.106.3.120', '184.106.3.127', 3093955448, 3093955455, 'GB', 'United Kingdom'),
(93009, '184.106.3.128', '184.106.4.79', 3093955456, 3093955663, 'US', 'United States'),
(93010, '184.106.4.80', '184.106.4.95', 3093955664, 3093955679, 'CA', 'Canada'),
(93011, '184.106.4.96', '184.106.7.127', 3093955680, 3093956479, 'US', 'United States'),
(93012, '184.106.7.128', '184.106.7.143', 3093956480, 3093956495, 'IE', 'Ireland'),
(93013, '184.106.7.144', '184.106.7.191', 3093956496, 3093956543, 'US', 'United States'),
(93014, '184.106.7.192', '184.106.7.199', 3093956544, 3093956551, 'AU', 'Australia'),
(93015, '184.106.7.200', '184.106.7.215', 3093956552, 3093956567, 'US', 'United States'),
(93016, '184.106.7.216', '184.106.7.223', 3093956568, 3093956575, 'MX', 'Mexico'),
(93017, '184.106.7.224', '184.106.9.31', 3093956576, 3093956895, 'US', 'United States'),
(93018, '184.106.9.32', '184.106.9.79', 3093956896, 3093956943, 'CA', 'Canada'),
(93019, '184.106.9.80', '184.106.9.239', 3093956944, 3093957103, 'US', 'United States'),
(93020, '184.106.9.240', '184.106.9.255', 3093957104, 3093957119, 'CA', 'Canada'),
(93021, '184.106.10.0', '184.106.10.23', 3093957120, 3093957143, 'US', 'United States'),
(93022, '184.106.10.24', '184.106.10.31', 3093957144, 3093957151, 'IL', 'Israel'),
(93023, '184.106.10.32', '184.106.12.71', 3093957152, 3093957703, 'US', 'United States'),
(93024, '184.106.12.72', '184.106.12.79', 3093957704, 3093957711, 'BE', 'Belgium'),
(93025, '184.106.12.80', '184.106.12.255', 3093957712, 3093957887, 'US', 'United States'),
(93026, '184.106.13.0', '184.106.13.7', 3093957888, 3093957895, 'CA', 'Canada'),
(93027, '184.106.13.8', '184.106.13.15', 3093957896, 3093957903, 'US', 'United States'),
(93028, '184.106.13.16', '184.106.13.23', 3093957904, 3093957911, 'CA', 'Canada'),
(93029, '184.106.13.24', '184.106.13.223', 3093957912, 3093958111, 'US', 'United States'),
(93030, '184.106.13.224', '184.106.13.231', 3093958112, 3093958119, 'CA', 'Canada'),
(93031, '184.106.13.232', '184.106.14.31', 3093958120, 3093958175, 'US', 'United States'),
(93032, '184.106.14.32', '184.106.14.39', 3093958176, 3093958183, 'GB', 'United Kingdom'),
(93033, '184.106.14.40', '184.106.14.87', 3093958184, 3093958231, 'US', 'United States'),
(93034, '184.106.14.88', '184.106.14.95', 3093958232, 3093958239, 'AU', 'Australia'),
(93035, '184.106.14.96', '184.106.15.103', 3093958240, 3093958503, 'US', 'United States'),
(93036, '184.106.15.104', '184.106.15.111', 3093958504, 3093958511, 'CA', 'Canada'),
(93037, '184.106.15.112', '184.106.15.223', 3093958512, 3093958623, 'US', 'United States'),
(93038, '184.106.15.224', '184.106.15.231', 3093958624, 3093958631, 'MX', 'Mexico'),
(93039, '184.106.15.232', '184.106.16.7', 3093958632, 3093958663, 'US', 'United States'),
(93040, '184.106.16.8', '184.106.16.11', 3093958664, 3093958667, 'MX', 'Mexico'),
(93041, '184.106.16.12', '184.106.16.65', 3093958668, 3093958721, 'US', 'United States'),
(93042, '184.106.16.66', '184.106.16.67', 3093958722, 3093958723, 'IL', 'Israel'),
(93043, '184.106.16.68', '184.106.16.89', 3093958724, 3093958745, 'US', 'United States'),
(93044, '184.106.16.90', '184.106.16.91', 3093958746, 3093958747, 'FR', 'France'),
(93045, '184.106.16.92', '184.106.19.135', 3093958748, 3093959559, 'US', 'United States'),
(93046, '184.106.19.136', '184.106.19.143', 3093959560, 3093959567, 'CA', 'Canada'),
(93047, '184.106.19.144', '184.106.20.71', 3093959568, 3093959751, 'US', 'United States'),
(93048, '184.106.20.72', '184.106.20.79', 3093959752, 3093959759, 'GB', 'United Kingdom'),
(93049, '184.106.20.80', '184.106.20.231', 3093959760, 3093959911, 'US', 'United States'),
(93050, '184.106.20.232', '184.106.20.239', 3093959912, 3093959919, 'CA', 'Canada'),
(93051, '184.106.20.240', '184.106.21.127', 3093959920, 3093960063, 'US', 'United States'),
(93052, '184.106.21.128', '184.106.21.159', 3093960064, 3093960095, 'CA', 'Canada'),
(93053, '184.106.21.160', '184.106.21.255', 3093960096, 3093960191, 'US', 'United States'),
(93054, '184.106.22.0', '184.106.22.15', 3093960192, 3093960207, 'CA', 'Canada'),
(93055, '184.106.22.16', '184.106.22.159', 3093960208, 3093960351, 'US', 'United States'),
(93056, '184.106.22.160', '184.106.22.191', 3093960352, 3093960383, 'CA', 'Canada'),
(93057, '184.106.22.192', '184.106.22.255', 3093960384, 3093960447, 'US', 'United States'),
(93058, '184.106.23.0', '184.106.23.15', 3093960448, 3093960463, 'CA', 'Canada'),
(93059, '184.106.23.16', '184.106.30.19', 3093960464, 3093962259, 'US', 'United States'),
(93060, '184.106.30.20', '184.106.30.23', 3093962260, 3093962263, 'CA', 'Canada'),
(93061, '184.106.30.24', '184.106.30.47', 3093962264, 3093962287, 'US', 'United States'),
(93062, '184.106.30.48', '184.106.30.51', 3093962288, 3093962291, 'MX', 'Mexico'),
(93063, '184.106.30.52', '184.106.30.135', 3093962292, 3093962375, 'US', 'United States'),
(93064, '184.106.30.136', '184.106.30.139', 3093962376, 3093962379, 'CA', 'Canada'),
(93065, '184.106.30.140', '184.106.30.235', 3093962380, 3093962475, 'US', 'United States'),
(93066, '184.106.30.236', '184.106.30.239', 3093962476, 3093962479, 'CA', 'Canada'),
(93067, '184.106.30.240', '184.106.31.63', 3093962480, 3093962559, 'US', 'United States'),
(93068, '184.106.31.64', '184.106.31.79', 3093962560, 3093962575, 'GB', 'United Kingdom'),
(93069, '184.106.31.80', '184.106.32.55', 3093962576, 3093962807, 'US', 'United States'),
(93070, '184.106.32.56', '184.106.32.63', 3093962808, 3093962815, 'AU', 'Australia'),
(93071, '184.106.32.64', '184.106.32.191', 3093962816, 3093962943, 'US', 'United States'),
(93072, '184.106.32.192', '184.106.32.199', 3093962944, 3093962951, 'GB', 'United Kingdom'),
(93073, '184.106.32.200', '184.106.34.95', 3093962952, 3093963359, 'US', 'United States'),
(93074, '184.106.34.96', '184.106.34.103', 3093963360, 3093963367, 'CA', 'Canada'),
(93075, '184.106.34.104', '184.106.34.223', 3093963368, 3093963487, 'US', 'United States'),
(93076, '184.106.34.224', '184.106.34.231', 3093963488, 3093963495, 'IE', 'Ireland'),
(93077, '184.106.34.232', '184.106.35.79', 3093963496, 3093963599, 'US', 'United States'),
(93078, '184.106.35.80', '184.106.35.87', 3093963600, 3093963607, 'CA', 'Canada'),
(93079, '184.106.35.88', '184.106.40.239', 3093963608, 3093965039, 'US', 'United States'),
(93080, '184.106.40.240', '184.106.40.255', 3093965040, 3093965055, 'GB', 'United Kingdom'),
(93081, '184.106.41.0', '184.106.43.95', 3093965056, 3093965663, 'US', 'United States'),
(93082, '184.106.43.96', '184.106.43.103', 3093965664, 3093965671, 'KW', 'Kuwait'),
(93083, '184.106.43.104', '184.106.44.55', 3093965672, 3093965879, 'US', 'United States'),
(93084, '184.106.44.56', '184.106.44.57', 3093965880, 3093965881, 'CA', 'Canada'),
(93085, '184.106.44.58', '184.106.44.61', 3093965882, 3093965885, 'US', 'United States'),
(93086, '184.106.44.62', '184.106.44.63', 3093965886, 3093965887, 'MX', 'Mexico'),
(93087, '184.106.44.64', '184.106.44.79', 3093965888, 3093965903, 'US', 'United States'),
(93088, '184.106.44.80', '184.106.44.81', 3093965904, 3093965905, 'CA', 'Canada'),
(93089, '184.106.44.82', '184.106.44.141', 3093965906, 3093965965, 'US', 'United States'),
(93090, '184.106.44.142', '184.106.44.143', 3093965966, 3093965967, 'MX', 'Mexico'),
(93091, '184.106.44.144', '184.106.45.239', 3093965968, 3093966319, 'US', 'United States'),
(93092, '184.106.45.240', '184.106.45.243', 3093966320, 3093966323, 'AU', 'Australia'),
(93093, '184.106.45.244', '184.106.49.87', 3093966324, 3093967191, 'US', 'United States'),
(93094, '184.106.49.88', '184.106.49.95', 3093967192, 3093967199, 'CA', 'Canada'),
(93095, '184.106.49.96', '184.106.56.15', 3093967200, 3093968911, 'US', 'United States'),
(93096, '184.106.56.16', '184.106.56.31', 3093968912, 3093968927, 'CA', 'Canada'),
(93097, '184.106.56.32', '184.106.56.47', 3093968928, 3093968943, 'US', 'United States'),
(93098, '184.106.56.48', '184.106.56.55', 3093968944, 3093968951, 'MX', 'Mexico'),
(93099, '184.106.56.56', '184.106.56.111', 3093968952, 3093969007, 'US', 'United States'),
(93100, '184.106.56.112', '184.106.56.119', 3093969008, 3093969015, 'IE', 'Ireland'),
(93101, '184.106.56.120', '184.106.56.135', 3093969016, 3093969031, 'US', 'United States'),
(93102, '184.106.56.136', '184.106.56.139', 3093969032, 3093969035, 'CA', 'Canada'),
(93103, '184.106.56.140', '184.106.56.235', 3093969036, 3093969131, 'US', 'United States'),
(93104, '184.106.56.236', '184.106.56.239', 3093969132, 3093969135, 'MX', 'Mexico'),
(93105, '184.106.56.240', '184.106.62.71', 3093969136, 3093970503, 'US', 'United States'),
(93106, '184.106.62.72', '184.106.62.75', 3093970504, 3093970507, 'GB', 'United Kingdom'),
(93107, '184.106.62.76', '184.106.74.79', 3093970508, 3093973583, 'US', 'United States'),
(93108, '184.106.74.80', '184.106.74.95', 3093973584, 3093973599, 'BG', 'Bulgaria'),
(93109, '184.106.74.96', '184.106.88.71', 3093973600, 3093977159, 'US', 'United States'),
(93110, '184.106.88.72', '184.106.88.75', 3093977160, 3093977163, 'AU', 'Australia'),
(93111, '184.106.88.76', '184.106.88.79', 3093977164, 3093977167, 'IL', 'Israel'),
(93112, '184.106.88.80', '184.106.91.7', 3093977168, 3093977863, 'US', 'United States'),
(93113, '184.106.91.8', '184.106.91.15', 3093977864, 3093977871, 'CO', 'Colombia'),
(93114, '184.106.91.16', '184.106.124.63', 3093977872, 3093986367, 'US', 'United States'),
(93115, '184.106.124.64', '184.106.124.127', 3093986368, 3093986431, 'DE', 'Germany'),
(93116, '184.106.124.128', '184.106.124.159', 3093986432, 3093986463, 'US', 'United States'),
(93117, '184.106.124.160', '184.106.124.191', 3093986464, 3093986495, 'GB', 'United Kingdom'),
(93118, '184.106.124.192', '184.106.255.255', 3093986496, 3094020095, 'US', 'United States'),
(93119, '184.107.0.0', '184.107.255.255', 3094020096, 3094085631, 'CA', 'Canada'),
(93120, '184.108.0.0', '184.143.255.255', 3094085632, 3096444927, 'US', 'United States'),
(93121, '184.144.0.0', '184.151.255.255', 3096444928, 3096969215, 'CA', 'Canada'),
(93122, '184.152.0.0', '184.154.116.155', 3096969216, 3097130139, 'US', 'United States'),
(93123, '184.154.116.156', '184.154.116.156', 3097130140, 3097130140, 'A1', 'Anonymous Proxy'),
(93124, '184.154.116.157', '184.159.255.255', 3097130141, 3097493503, 'US', 'United States'),
(93125, '184.160.0.0', '184.163.255.255', 3097493504, 3097755647, 'CA', 'Canada'),
(93126, '184.164.0.0', '184.169.47.255', 3097755648, 3098095615, 'US', 'United States'),
(93127, '184.169.48.0', '184.169.63.255', 3098095616, 3098099711, 'CA', 'Canada'),
(93128, '184.169.64.0', '184.169.64.255', 3098099712, 3098099967, 'US', 'United States'),
(93129, '184.169.65.0', '184.169.67.255', 3098099968, 3098100735, 'SE', 'Sweden'),
(93130, '184.169.68.0', '184.169.69.255', 3098100736, 3098101247, 'SG', 'Singapore'),
(93131, '184.169.70.0', '184.169.77.255', 3098101248, 3098103295, 'US', 'United States'),
(93132, '184.169.78.0', '184.169.78.255', 3098103296, 3098103551, 'NL', 'Netherlands'),
(93133, '184.169.79.0', '184.169.79.255', 3098103552, 3098103807, 'DE', 'Germany'),
(93134, '184.169.80.0', '184.169.80.255', 3098103808, 3098104063, 'FR', 'France'),
(93135, '184.169.81.0', '184.169.81.255', 3098104064, 3098104319, 'GB', 'United Kingdom'),
(93136, '184.169.82.0', '184.169.82.255', 3098104320, 3098104575, 'IL', 'Israel'),
(93137, '184.169.83.0', '184.169.83.255', 3098104576, 3098104831, 'AU', 'Australia'),
(93138, '184.169.84.0', '184.169.84.255', 3098104832, 3098105087, 'JP', 'Japan'),
(93139, '184.169.85.0', '184.169.87.255', 3098105088, 3098105855, 'ES', 'Spain'),
(93140, '184.169.88.0', '184.169.88.255', 3098105856, 3098106111, 'HK', 'Hong Kong'),
(93141, '184.169.89.0', '184.169.90.255', 3098106112, 3098106623, 'IN', 'India'),
(93142, '184.169.91.0', '184.169.91.255', 3098106624, 3098106879, 'NL', 'Netherlands'),
(93143, '184.169.92.0', '184.169.92.255', 3098106880, 3098107135, 'DE', 'Germany'),
(93144, '184.169.93.0', '184.169.93.255', 3098107136, 3098107391, 'FR', 'France'),
(93145, '184.169.94.0', '184.169.94.255', 3098107392, 3098107647, 'EU', 'Europe'),
(93146, '184.169.95.0', '184.169.95.255', 3098107648, 3098107903, 'SE', 'Sweden'),
(93147, '184.169.96.0', '184.169.96.255', 3098107904, 3098108159, 'ES', 'Spain'),
(93148, '184.169.97.0', '184.169.97.255', 3098108160, 3098108415, 'IL', 'Israel'),
(93149, '184.169.98.0', '184.169.98.255', 3098108416, 3098108671, 'US', 'United States'),
(93150, '184.169.99.0', '184.169.99.255', 3098108672, 3098108927, 'SG', 'Singapore'),
(93151, '184.169.100.0', '184.169.100.255', 3098108928, 3098109183, 'JP', 'Japan'),
(93152, '184.169.101.0', '184.169.101.255', 3098109184, 3098109439, 'AU', 'Australia'),
(93153, '184.169.102.0', '184.169.102.255', 3098109440, 3098109695, 'HK', 'Hong Kong'),
(93154, '184.169.103.0', '184.169.106.255', 3098109696, 3098110719, 'QA', 'Qatar'),
(93155, '184.169.107.0', '184.169.110.255', 3098110720, 3098111743, 'IT', 'Italy'),
(93156, '184.169.111.0', '184.169.114.255', 3098111744, 3098112767, 'US', 'United States'),
(93157, '184.169.115.0', '184.169.118.255', 3098112768, 3098113791, 'AU', 'Australia'),
(93158, '184.169.119.0', '184.169.255.255', 3098113792, 3098148863, 'US', 'United States'),
(93159, '184.170.0.0', '184.170.63.255', 3098148864, 3098165247, 'JM', 'Jamaica'),
(93160, '184.170.64.0', '184.170.127.255', 3098165248, 3098181631, 'US', 'United States'),
(93161, '184.170.128.0', '184.170.143.255', 3098181632, 3098185727, 'CA', 'Canada'),
(93162, '184.170.144.0', '184.171.160.39', 3098185728, 3098255399, 'US', 'United States'),
(93163, '184.171.160.40', '184.171.160.47', 3098255400, 3098255407, 'BR', 'Brazil'),
(93164, '184.171.160.48', '184.171.162.31', 3098255408, 3098255903, 'US', 'United States'),
(93165, '184.171.162.32', '184.171.162.39', 3098255904, 3098255911, 'MV', 'Maldives'),
(93166, '184.171.162.40', '184.171.191.255', 3098255912, 3098263551, 'US', 'United States'),
(93167, '184.171.192.0', '184.171.223.255', 3098263552, 3098271743, 'CA', 'Canada'),
(93168, '184.171.224.0', '184.172.2.143', 3098271744, 3098280591, 'US', 'United States'),
(93169, '184.172.2.144', '184.172.2.151', 3098280592, 3098280599, 'PA', 'Panama'),
(93170, '184.172.2.152', '184.172.5.95', 3098280600, 3098281311, 'US', 'United States'),
(93171, '184.172.5.96', '184.172.5.127', 3098281312, 3098281343, 'EG', 'Egypt'),
(93172, '184.172.5.128', '184.172.6.31', 3098281344, 3098281503, 'US', 'United States'),
(93173, '184.172.6.32', '184.172.6.39', 3098281504, 3098281511, 'PA', 'Panama'),
(93174, '184.172.6.40', '184.172.6.239', 3098281512, 3098281711, 'US', 'United States'),
(93175, '184.172.6.240', '184.172.6.247', 3098281712, 3098281719, 'PA', 'Panama'),
(93176, '184.172.6.248', '184.172.7.215', 3098281720, 3098281943, 'US', 'United States'),
(93177, '184.172.7.216', '184.172.7.223', 3098281944, 3098281951, 'AU', 'Australia'),
(93178, '184.172.7.224', '184.172.9.87', 3098281952, 3098282327, 'US', 'United States'),
(93179, '184.172.9.88', '184.172.9.95', 3098282328, 3098282335, 'BR', 'Brazil'),
(93180, '184.172.9.96', '184.172.9.175', 3098282336, 3098282415, 'US', 'United States'),
(93181, '184.172.9.176', '184.172.9.191', 3098282416, 3098282431, 'BR', 'Brazil'),
(93182, '184.172.9.192', '184.172.9.231', 3098282432, 3098282471, 'US', 'United States'),
(93183, '184.172.9.232', '184.172.9.239', 3098282472, 3098282479, 'BR', 'Brazil'),
(93184, '184.172.9.240', '184.172.17.23', 3098282480, 3098284311, 'US', 'United States'),
(93185, '184.172.17.24', '184.172.17.31', 3098284312, 3098284319, 'BR', 'Brazil'),
(93186, '184.172.17.32', '184.172.21.71', 3098284320, 3098285383, 'US', 'United States'),
(93187, '184.172.21.72', '184.172.21.79', 3098285384, 3098285391, 'BR', 'Brazil'),
(93188, '184.172.21.80', '184.172.21.183', 3098285392, 3098285495, 'US', 'United States'),
(93189, '184.172.21.184', '184.172.21.191', 3098285496, 3098285503, 'BR', 'Brazil'),
(93190, '184.172.21.192', '184.172.24.111', 3098285504, 3098286191, 'US', 'United States'),
(93191, '184.172.24.112', '184.172.24.119', 3098286192, 3098286199, 'BR', 'Brazil'),
(93192, '184.172.24.120', '184.172.24.207', 3098286200, 3098286287, 'US', 'United States'),
(93193, '184.172.24.208', '184.172.24.215', 3098286288, 3098286295, 'IN', 'India'),
(93194, '184.172.24.216', '184.172.25.63', 3098286296, 3098286399, 'US', 'United States'),
(93195, '184.172.25.64', '184.172.25.95', 3098286400, 3098286431, 'BR', 'Brazil'),
(93196, '184.172.25.96', '184.172.30.95', 3098286432, 3098287711, 'US', 'United States'),
(93197, '184.172.30.96', '184.172.30.103', 3098287712, 3098287719, 'AU', 'Australia'),
(93198, '184.172.30.104', '184.172.32.215', 3098287720, 3098288343, 'US', 'United States'),
(93199, '184.172.32.216', '184.172.32.223', 3098288344, 3098288351, 'BR', 'Brazil'),
(93200, '184.172.32.224', '184.172.34.135', 3098288352, 3098288775, 'US', 'United States'),
(93201, '184.172.34.136', '184.172.34.143', 3098288776, 3098288783, 'BR', 'Brazil'),
(93202, '184.172.34.144', '184.172.37.87', 3098288784, 3098289495, 'US', 'United States'),
(93203, '184.172.37.88', '184.172.37.95', 3098289496, 3098289503, 'AU', 'Australia'),
(93204, '184.172.37.96', '184.172.57.191', 3098289504, 3098294719, 'US', 'United States'),
(93205, '184.172.57.192', '184.172.57.247', 3098294720, 3098294775, 'BR', 'Brazil'),
(93206, '184.172.57.248', '184.172.63.87', 3098294776, 3098296151, 'US', 'United States'),
(93207, '184.172.63.88', '184.172.63.95', 3098296152, 3098296159, 'BR', 'Brazil'),
(93208, '184.172.63.96', '184.172.162.255', 3098296160, 3098321663, 'US', 'United States'),
(93209, '184.172.163.0', '184.172.163.31', 3098321664, 3098321695, 'IN', 'India'),
(93210, '184.172.163.32', '184.172.165.191', 3098321696, 3098322367, 'US', 'United States'),
(93211, '184.172.165.192', '184.172.165.199', 3098322368, 3098322375, 'BD', 'Bangladesh'),
(93212, '184.172.165.200', '184.172.165.207', 3098322376, 3098322383, 'US', 'United States'),
(93213, '184.172.165.208', '184.172.165.215', 3098322384, 3098322391, 'BD', 'Bangladesh'),
(93214, '184.172.165.216', '184.172.167.7', 3098322392, 3098322695, 'US', 'United States'),
(93215, '184.172.167.8', '184.172.167.15', 3098322696, 3098322703, 'BD', 'Bangladesh'),
(93216, '184.172.167.16', '184.172.170.223', 3098322704, 3098323679, 'US', 'United States'),
(93217, '184.172.170.224', '184.172.170.255', 3098323680, 3098323711, 'EG', 'Egypt'),
(93218, '184.172.171.0', '184.172.181.239', 3098323712, 3098326511, 'US', 'United States'),
(93219, '184.172.181.240', '184.172.181.247', 3098326512, 3098326519, 'CN', 'China'),
(93220, '184.172.181.248', '184.172.200.15', 3098326520, 3098331151, 'US', 'United States'),
(93221, '184.172.200.16', '184.172.200.23', 3098331152, 3098331159, 'HK', 'Hong Kong'),
(93222, '184.172.200.24', '184.172.201.79', 3098331160, 3098331471, 'US', 'United States'),
(93223, '184.172.201.80', '184.172.201.87', 3098331472, 3098331479, 'CL', 'Chile'),
(93224, '184.172.201.88', '184.172.210.255', 3098331480, 3098333951, 'US', 'United States'),
(93225, '184.172.211.0', '184.172.211.7', 3098333952, 3098333959, 'BD', 'Bangladesh'),
(93226, '184.172.211.8', '184.172.215.143', 3098333960, 3098335119, 'US', 'United States'),
(93227, '184.172.215.144', '184.172.215.151', 3098335120, 3098335127, 'CA', 'Canada'),
(93228, '184.172.215.152', '184.172.220.47', 3098335128, 3098336303, 'US', 'United States'),
(93229, '184.172.220.48', '184.172.220.55', 3098336304, 3098336311, 'MY', 'Malaysia'),
(93230, '184.172.220.56', '184.173.73.23', 3098336312, 3098364183, 'US', 'United States'),
(93231, '184.173.73.24', '184.173.73.31', 3098364184, 3098364191, 'EG', 'Egypt'),
(93232, '184.173.73.32', '184.173.78.95', 3098364192, 3098365535, 'US', 'United States'),
(93233, '184.173.78.96', '184.173.78.111', 3098365536, 3098365551, 'IN', 'India'),
(93234, '184.173.78.112', '184.173.78.191', 3098365552, 3098365631, 'US', 'United States'),
(93235, '184.173.78.192', '184.173.78.199', 3098365632, 3098365639, 'AU', 'Australia'),
(93236, '184.173.78.200', '184.173.82.95', 3098365640, 3098366559, 'US', 'United States'),
(93237, '184.173.82.96', '184.173.82.111', 3098366560, 3098366575, 'BR', 'Brazil'),
(93238, '184.173.82.112', '184.173.83.119', 3098366576, 3098366839, 'US', 'United States'),
(93239, '184.173.83.120', '184.173.83.127', 3098366840, 3098366847, 'BR', 'Brazil'),
(93240, '184.173.83.128', '184.173.83.143', 3098366848, 3098366863, 'US', 'United States'),
(93241, '184.173.83.144', '184.173.83.159', 3098366864, 3098366879, 'BR', 'Brazil'),
(93242, '184.173.83.160', '184.173.84.15', 3098366880, 3098366991, 'US', 'United States'),
(93243, '184.173.84.16', '184.173.84.31', 3098366992, 3098367007, 'BR', 'Brazil'),
(93244, '184.173.84.32', '184.173.84.47', 3098367008, 3098367023, 'US', 'United States'),
(93245, '184.173.84.48', '184.173.84.87', 3098367024, 3098367063, 'BR', 'Brazil'),
(93246, '184.173.84.88', '184.173.84.111', 3098367064, 3098367087, 'US', 'United States'),
(93247, '184.173.84.112', '184.173.84.127', 3098367088, 3098367103, 'BR', 'Brazil'),
(93248, '184.173.84.128', '184.173.99.79', 3098367104, 3098370895, 'US', 'United States'),
(93249, '184.173.99.80', '184.173.99.87', 3098370896, 3098370903, 'BR', 'Brazil'),
(93250, '184.173.99.88', '184.173.101.167', 3098370904, 3098371495, 'US', 'United States'),
(93251, '184.173.101.168', '184.173.101.175', 3098371496, 3098371503, 'JO', 'Jordan'),
(93252, '184.173.101.176', '184.173.108.231', 3098371504, 3098373351, 'US', 'United States'),
(93253, '184.173.108.232', '184.173.108.239', 3098373352, 3098373359, 'BR', 'Brazil'),
(93254, '184.173.108.240', '184.173.111.39', 3098373360, 3098373927, 'US', 'United States'),
(93255, '184.173.111.40', '184.173.111.47', 3098373928, 3098373935, 'MX', 'Mexico'),
(93256, '184.173.111.48', '184.173.117.159', 3098373936, 3098375583, 'US', 'United States'),
(93257, '184.173.117.160', '184.173.117.191', 3098375584, 3098375615, 'BR', 'Brazil'),
(93258, '184.173.117.192', '184.173.122.159', 3098375616, 3098376863, 'US', 'United States'),
(93259, '184.173.122.160', '184.173.122.191', 3098376864, 3098376895, 'BR', 'Brazil'),
(93260, '184.173.122.192', '184.173.125.255', 3098376896, 3098377727, 'US', 'United States'),
(93261, '184.173.126.0', '184.173.126.31', 3098377728, 3098377759, 'AR', 'Argentina'),
(93262, '184.173.126.32', '184.173.135.15', 3098377760, 3098380047, 'US', 'United States'),
(93263, '184.173.135.16', '184.173.135.31', 3098380048, 3098380063, 'IN', 'India'),
(93264, '184.173.135.32', '184.173.136.239', 3098380064, 3098380527, 'US', 'United States'),
(93265, '184.173.136.240', '184.173.136.247', 3098380528, 3098380535, 'IN', 'India'),
(93266, '184.173.136.248', '184.173.140.143', 3098380536, 3098381455, 'US', 'United States'),
(93267, '184.173.140.144', '184.173.140.159', 3098381456, 3098381471, 'LT', 'Lithuania'),
(93268, '184.173.140.160', '184.173.157.63', 3098381472, 3098385727, 'US', 'United States'),
(93269, '184.173.157.64', '184.173.157.127', 3098385728, 3098385791, 'AF', 'Afghanistan'),
(93270, '184.173.157.128', '184.173.164.151', 3098385792, 3098387607, 'US', 'United States'),
(93271, '184.173.164.152', '184.173.164.159', 3098387608, 3098387615, 'RO', 'Romania'),
(93272, '184.173.164.160', '184.173.166.207', 3098387616, 3098388175, 'US', 'United States'),
(93273, '184.173.166.208', '184.173.166.215', 3098388176, 3098388183, 'SA', 'Saudi Arabia'),
(93274, '184.173.166.216', '184.173.174.255', 3098388184, 3098390271, 'US', 'United States'),
(93275, '184.173.175.0', '184.173.175.7', 3098390272, 3098390279, 'ES', 'Spain'),
(93276, '184.173.175.8', '184.173.195.15', 3098390280, 3098395407, 'US', 'United States'),
(93277, '184.173.195.16', '184.173.195.23', 3098395408, 3098395415, 'BR', 'Brazil'),
(93278, '184.173.195.24', '184.173.223.239', 3098395416, 3098402799, 'US', 'United States'),
(93279, '184.173.223.240', '184.173.223.247', 3098402800, 3098402807, 'ES', 'Spain'),
(93280, '184.173.223.248', '184.173.241.127', 3098402808, 3098407295, 'US', 'United States'),
(93281, '184.173.241.128', '184.173.241.135', 3098407296, 3098407303, 'MX', 'Mexico'),
(93282, '184.173.241.136', '184.173.247.31', 3098407304, 3098408735, 'US', 'United States'),
(93283, '184.173.247.32', '184.173.247.39', 3098408736, 3098408743, 'AR', 'Argentina'),
(93284, '184.173.247.40', '184.173.247.223', 3098408744, 3098408927, 'US', 'United States'),
(93285, '184.173.247.224', '184.173.247.231', 3098408928, 3098408935, 'ES', 'Spain'),
(93286, '184.173.247.232', '184.174.255.255', 3098408936, 3098476543, 'US', 'United States'),
(93287, '184.175.0.0', '184.175.63.255', 3098476544, 3098492927, 'CA', 'Canada'),
(93288, '184.175.64.0', '184.175.64.63', 3098492928, 3098492991, 'US', 'United States'),
(93289, '184.175.64.64', '184.175.64.95', 3098492992, 3098493023, 'CA', 'Canada'),
(93290, '184.175.64.96', '184.175.70.255', 3098493024, 3098494719, 'US', 'United States'),
(93291, '184.175.71.0', '184.175.74.255', 3098494720, 3098495743, 'CA', 'Canada'),
(93292, '184.175.75.0', '184.175.75.255', 3098495744, 3098495999, 'US', 'United States'),
(93293, '184.175.76.0', '184.175.76.255', 3098496000, 3098496255, 'CA', 'Canada'),
(93294, '184.175.77.0', '184.175.104.255', 3098496256, 3098503423, 'US', 'United States'),
(93295, '184.175.105.0', '184.175.105.255', 3098503424, 3098503679, 'CA', 'Canada'),
(93296, '184.175.106.0', '184.175.119.255', 3098503680, 3098507263, 'US', 'United States'),
(93297, '184.175.120.0', '184.175.120.255', 3098507264, 3098507519, 'CA', 'Canada'),
(93298, '184.175.121.0', '184.175.122.31', 3098507520, 3098507807, 'US', 'United States'),
(93299, '184.175.122.32', '184.175.122.47', 3098507808, 3098507823, 'AU', 'Australia'),
(93300, '184.175.122.48', '184.175.122.127', 3098507824, 3098507903, 'US', 'United States'),
(93301, '184.175.122.128', '184.175.122.143', 3098507904, 3098507919, 'AR', 'Argentina'),
(93302, '184.175.122.144', '184.255.255.255', 3098507920, 3103784959, 'US', 'United States'),
(93303, '185.0.0.0', '185.63.255.255', 3103784960, 3107979263, 'EU', 'Europe'),
(93304, '186.0.0.0', '186.0.127.255', 3120562176, 3120594943, 'CO', 'Colombia'),
(93305, '186.0.128.0', '186.0.143.255', 3120594944, 3120599039, 'AR', 'Argentina'),
(93306, '186.0.144.0', '186.0.151.255', 3120599040, 3120601087, 'EC', 'Ecuador'),
(93307, '186.0.152.0', '186.0.155.255', 3120601088, 3120602111, 'AR', 'Argentina'),
(93308, '186.0.156.0', '186.0.159.255', 3120602112, 3120603135, 'BO', 'Bolivia'),
(93309, '186.0.160.0', '186.0.187.255', 3120603136, 3120610303, 'AR', 'Argentina'),
(93310, '186.0.188.0', '186.0.191.255', 3120610304, 3120611327, 'PY', 'Paraguay'),
(93311, '186.0.192.0', '186.0.255.255', 3120611328, 3120627711, 'AR', 'Argentina'),
(93312, '186.1.0.0', '186.1.63.255', 3120627712, 3120644095, 'NI', 'Nicaragua'),
(93313, '186.1.64.0', '186.1.127.255', 3120644096, 3120660479, 'DO', 'Dominican Republic'),
(93314, '186.1.128.0', '186.1.159.255', 3120660480, 3120668671, 'PA', 'Panama'),
(93315, '186.1.160.0', '186.1.191.255', 3120668672, 3120676863, 'CO', 'Colombia'),
(93316, '186.1.192.0', '186.1.207.255', 3120676864, 3120680959, 'HT', 'Haiti'),
(93317, '186.1.208.0', '186.1.247.255', 3120680960, 3120691199, 'AR', 'Argentina'),
(93318, '186.1.248.0', '186.1.255.255', 3120691200, 3120693247, 'CO', 'Colombia'),
(93319, '186.2.0.0', '186.2.127.255', 3120693248, 3120726015, 'BO', 'Bolivia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(93320, '186.2.128.0', '186.2.159.255', 3120726016, 3120734207, 'HN', 'Honduras'),
(93321, '186.2.192.0', '186.2.255.255', 3120742400, 3120758783, 'PY', 'Paraguay'),
(93322, '186.3.0.0', '186.3.255.255', 3120758784, 3120824319, 'EC', 'Ecuador'),
(93323, '186.4.0.0', '186.4.63.255', 3120824320, 3120840703, 'CR', 'Costa Rica'),
(93324, '186.4.64.0', '186.4.127.255', 3120840704, 3120857087, 'AR', 'Argentina'),
(93325, '186.4.128.0', '186.5.127.255', 3120857088, 3120922623, 'EC', 'Ecuador'),
(93326, '186.5.128.0', '186.5.159.255', 3120922624, 3120930815, 'PA', 'Panama'),
(93327, '186.5.192.0', '186.5.231.255', 3120939008, 3120949247, 'AR', 'Argentina'),
(93328, '186.5.232.0', '186.5.239.255', 3120949248, 3120951295, 'CL', 'Chile'),
(93329, '186.5.240.0', '186.5.255.255', 3120951296, 3120955391, 'AR', 'Argentina'),
(93330, '186.6.0.0', '186.7.255.255', 3120955392, 3121086463, 'DO', 'Dominican Republic'),
(93331, '186.8.0.0', '186.8.255.255', 3121086464, 3121151999, 'UY', 'Uruguay'),
(93332, '186.9.0.0', '186.11.255.255', 3121152000, 3121348607, 'CL', 'Chile'),
(93333, '186.12.0.0', '186.13.255.255', 3121348608, 3121479679, 'AR', 'Argentina'),
(93334, '186.14.0.0', '186.14.255.255', 3121479680, 3121545215, 'VE', 'Venezuela'),
(93335, '186.15.0.0', '186.15.255.255', 3121545216, 3121610751, 'CR', 'Costa Rica'),
(93336, '186.16.0.0', '186.17.255.255', 3121610752, 3121741823, 'PY', 'Paraguay'),
(93337, '186.18.0.0', '186.19.255.255', 3121741824, 3121872895, 'AR', 'Argentina'),
(93338, '186.20.0.0', '186.21.255.255', 3121872896, 3122003967, 'CL', 'Chile'),
(93339, '186.22.0.0', '186.23.255.255', 3122003968, 3122135039, 'AR', 'Argentina'),
(93340, '186.24.0.0', '186.26.63.255', 3122135040, 3122282495, 'VE', 'Venezuela'),
(93341, '186.26.64.0', '186.26.79.255', 3122282496, 3122286591, 'AR', 'Argentina'),
(93342, '186.26.80.0', '186.26.95.255', 3122286592, 3122290687, 'US', 'United States'),
(93343, '186.26.96.0', '186.26.103.255', 3122290688, 3122292735, 'AR', 'Argentina'),
(93344, '186.26.104.0', '186.26.111.255', 3122292736, 3122294783, 'US', 'United States'),
(93345, '186.26.112.0', '186.26.127.255', 3122294784, 3122298879, 'CR', 'Costa Rica'),
(93346, '186.26.128.0', '186.26.255.255', 3122298880, 3122331647, 'VE', 'Venezuela'),
(93347, '186.27.0.0', '186.27.127.255', 3122331648, 3122364415, 'BO', 'Bolivia'),
(93348, '186.27.128.0', '186.31.255.255', 3122364416, 3122659327, 'CO', 'Colombia'),
(93349, '186.32.0.0', '186.32.63.255', 3122659328, 3122675711, 'CR', 'Costa Rica'),
(93350, '186.32.64.0', '186.32.127.255', 3122675712, 3122692095, 'SV', 'El Salvador'),
(93351, '186.32.128.0', '186.32.159.255', 3122692096, 3122700287, 'HN', 'Honduras'),
(93352, '186.32.160.0', '186.32.223.255', 3122700288, 3122716671, 'CR', 'Costa Rica'),
(93353, '186.32.224.0', '186.32.239.255', 3122716672, 3122720767, 'HN', 'Honduras'),
(93354, '186.32.240.0', '186.32.247.255', 3122720768, 3122722815, 'GT', 'Guatemala'),
(93355, '186.32.248.0', '186.32.255.255', 3122722816, 3122724863, 'SV', 'El Salvador'),
(93356, '186.33.0.0', '186.33.63.255', 3122724864, 3122741247, 'AR', 'Argentina'),
(93357, '186.33.64.0', '186.33.127.255', 3122741248, 3122757631, 'DO', 'Dominican Republic'),
(93358, '186.33.128.0', '186.33.191.255', 3122757632, 3122774015, 'EC', 'Ecuador'),
(93359, '186.33.192.0', '186.33.255.255', 3122774016, 3122790399, 'AR', 'Argentina'),
(93360, '186.34.0.0', '186.37.255.255', 3122790400, 3123052543, 'CL', 'Chile'),
(93361, '186.38.0.0', '186.39.255.255', 3123052544, 3123183615, 'AR', 'Argentina'),
(93362, '186.40.0.0', '186.41.255.255', 3123183616, 3123314687, 'CL', 'Chile'),
(93363, '186.42.0.0', '186.42.255.255', 3123314688, 3123380223, 'EC', 'Ecuador'),
(93364, '186.43.0.0', '186.43.127.255', 3123380224, 3123412991, 'CO', 'Colombia'),
(93365, '186.43.128.0', '186.43.191.255', 3123412992, 3123429375, 'EC', 'Ecuador'),
(93366, '186.44.0.0', '186.45.255.255', 3123445760, 3123576831, 'TT', 'Trinidad and Tobago'),
(93367, '186.46.0.0', '186.47.255.255', 3123576832, 3123707903, 'EC', 'Ecuador'),
(93368, '186.48.0.0', '186.55.255.255', 3123707904, 3124232191, 'UY', 'Uruguay'),
(93369, '186.56.0.0', '186.64.16.175', 3124232192, 3124760751, 'AR', 'Argentina'),
(93370, '186.64.16.176', '186.64.16.183', 3124760752, 3124760759, 'MX', 'Mexico'),
(93371, '186.64.16.184', '186.64.95.255', 3124760760, 3124781055, 'AR', 'Argentina'),
(93372, '186.64.128.0', '186.64.255.255', 3124789248, 3124822015, 'CR', 'Costa Rica'),
(93373, '186.65.0.0', '186.65.63.255', 3124822016, 3124838399, 'EC', 'Ecuador'),
(93374, '186.65.64.0', '186.65.103.255', 3124838400, 3124848639, 'AR', 'Argentina'),
(93375, '186.65.104.0', '186.65.107.255', 3124848640, 3124849663, 'PA', 'Panama'),
(93376, '186.65.108.0', '186.65.111.255', 3124849664, 3124850687, 'AR', 'Argentina'),
(93377, '186.65.112.0', '186.65.127.255', 3124850688, 3124854783, 'HN', 'Honduras'),
(93378, '186.65.128.0', '186.65.255.255', 3124854784, 3124887551, 'CL', 'Chile'),
(93379, '186.66.0.0', '186.66.255.255', 3124887552, 3124953087, 'EC', 'Ecuador'),
(93380, '186.67.0.0', '186.67.255.255', 3124953088, 3125018623, 'CL', 'Chile'),
(93381, '186.68.0.0', '186.71.255.255', 3125018624, 3125280767, 'EC', 'Ecuador'),
(93382, '186.72.0.0', '186.75.255.255', 3125280768, 3125542911, 'PA', 'Panama'),
(93383, '186.76.0.0', '186.77.255.255', 3125542912, 3125673983, 'NI', 'Nicaragua'),
(93384, '186.78.0.0', '186.79.255.255', 3125673984, 3125805055, 'CL', 'Chile'),
(93385, '186.80.0.0', '186.87.255.255', 3125805056, 3126329343, 'CO', 'Colombia'),
(93386, '186.88.0.0', '186.95.255.255', 3126329344, 3126853631, 'VE', 'Venezuela'),
(93387, '186.96.0.0', '186.96.63.255', 3126853632, 3126870015, 'AR', 'Argentina'),
(93388, '186.96.64.0', '186.96.79.255', 3126870016, 3126874111, 'VE', 'Venezuela'),
(93389, '186.96.80.0', '186.96.95.255', 3126874112, 3126878207, 'CR', 'Costa Rica'),
(93390, '186.96.96.0', '186.96.127.255', 3126878208, 3126886399, 'PA', 'Panama'),
(93391, '186.96.128.0', '186.96.251.255', 3126886400, 3126918143, 'AR', 'Argentina'),
(93392, '186.96.252.0', '186.96.255.255', 3126918144, 3126919167, 'HN', 'Honduras'),
(93393, '186.97.0.0', '186.99.255.255', 3126919168, 3127115775, 'CO', 'Colombia'),
(93394, '186.100.0.0', '186.100.255.255', 3127115776, 3127181311, 'AR', 'Argentina'),
(93395, '186.101.0.0', '186.101.255.255', 3127181312, 3127246847, 'EC', 'Ecuador'),
(93396, '186.102.0.0', '186.103.127.255', 3127246848, 3127345151, 'CO', 'Colombia'),
(93397, '186.103.128.0', '186.107.255.255', 3127345152, 3127640063, 'CL', 'Chile'),
(93398, '186.108.0.0', '186.111.255.255', 3127640064, 3127902207, 'AR', 'Argentina'),
(93399, '186.112.0.0', '186.119.255.255', 3127902208, 3128426495, 'CO', 'Colombia'),
(93400, '186.120.0.0', '186.120.255.255', 3128426496, 3128492031, 'DO', 'Dominican Republic'),
(93401, '186.121.0.0', '186.121.127.255', 3128492032, 3128524799, 'CO', 'Colombia'),
(93402, '186.121.128.0', '186.121.191.255', 3128524800, 3128541183, 'AR', 'Argentina'),
(93403, '186.121.192.0', '186.121.255.255', 3128541184, 3128557567, 'BO', 'Bolivia'),
(93404, '186.122.0.0', '186.143.255.255', 3128557568, 3129999359, 'AR', 'Argentina'),
(93405, '186.144.0.0', '186.147.255.255', 3129999360, 3130261503, 'CO', 'Colombia'),
(93406, '186.148.0.0', '186.148.63.255', 3130261504, 3130277887, 'CL', 'Chile'),
(93407, '186.148.128.0', '186.148.159.255', 3130294272, 3130302463, 'AR', 'Argentina'),
(93408, '186.148.160.0', '186.148.199.255', 3130302464, 3130312703, 'PA', 'Panama'),
(93409, '186.148.200.0', '186.148.207.255', 3130312704, 3130314751, 'AR', 'Argentina'),
(93410, '186.148.208.0', '186.148.211.255', 3130314752, 3130315775, 'CL', 'Chile'),
(93411, '186.148.212.0', '186.148.215.255', 3130315776, 3130316799, 'CR', 'Costa Rica'),
(93412, '186.148.216.0', '186.148.223.255', 3130316800, 3130318847, 'AN', 'Netherlands Antilles'),
(93413, '186.148.224.0', '186.148.255.255', 3130318848, 3130327039, 'AR', 'Argentina'),
(93414, '186.149.0.0', '186.149.255.255', 3130327040, 3130392575, 'DO', 'Dominican Republic'),
(93415, '186.151.0.0', '186.151.255.255', 3130458112, 3130523647, 'GT', 'Guatemala'),
(93416, '186.152.0.0', '186.153.255.255', 3130523648, 3130654719, 'AR', 'Argentina'),
(93417, '186.154.0.0', '186.155.255.255', 3130654720, 3130785791, 'CO', 'Colombia'),
(93418, '186.156.0.0', '186.156.127.255', 3130785792, 3130818559, 'CL', 'Chile'),
(93419, '186.157.0.0', '186.158.255.255', 3130851328, 3130982399, 'AR', 'Argentina'),
(93420, '186.159.0.0', '186.159.95.255', 3130982400, 3131006975, 'CO', 'Colombia'),
(93421, '186.159.96.0', '186.159.111.255', 3131006976, 3131011071, 'AN', 'Netherlands Antilles'),
(93422, '186.159.112.0', '186.159.115.255', 3131011072, 3131012095, 'CO', 'Colombia'),
(93423, '186.159.116.0', '186.159.119.255', 3131012096, 3131013119, 'PA', 'Panama'),
(93424, '186.159.120.0', '186.159.127.255', 3131013120, 3131015167, 'AR', 'Argentina'),
(93425, '186.159.128.0', '186.159.255.255', 3131015168, 3131047935, 'CR', 'Costa Rica'),
(93426, '186.160.0.0', '186.163.255.255', 3131047936, 3131310079, 'PE', 'Peru'),
(93427, '186.164.0.0', '186.167.255.255', 3131310080, 3131572223, 'VE', 'Venezuela'),
(93428, '186.168.0.0', '186.171.255.255', 3131572224, 3131834367, 'CO', 'Colombia'),
(93429, '186.172.0.0', '186.175.255.255', 3131834368, 3132096511, 'CL', 'Chile'),
(93430, '186.176.0.0', '186.177.255.255', 3132096512, 3132227583, 'CR', 'Costa Rica'),
(93431, '186.178.0.0', '186.178.255.255', 3132227584, 3132293119, 'EC', 'Ecuador'),
(93432, '186.180.0.0', '186.181.255.255', 3132358656, 3132489727, 'CO', 'Colombia'),
(93433, '186.182.0.0', '186.182.255.255', 3132489728, 3132555263, 'AR', 'Argentina'),
(93434, '186.184.0.0', '186.188.127.255', 3132620800, 3132915711, 'VE', 'Venezuela'),
(93435, '186.188.128.0', '186.188.255.255', 3132915712, 3132948479, 'PA', 'Panama'),
(93436, '186.189.0.0', '186.189.255.255', 3132948480, 3133014015, 'AR', 'Argentina'),
(93437, '186.190.0.0', '186.190.127.255', 3133014016, 3133046783, 'HT', 'Haiti'),
(93438, '186.190.128.0', '186.190.207.255', 3133046784, 3133067263, 'AR', 'Argentina'),
(93439, '186.190.208.0', '186.190.231.255', 3133067264, 3133073407, 'PA', 'Panama'),
(93440, '186.190.232.0', '186.190.235.255', 3133073408, 3133074431, 'AN', 'Netherlands Antilles'),
(93441, '186.190.236.0', '186.190.239.255', 3133074432, 3133075455, 'CL', 'Chile'),
(93442, '186.190.240.0', '186.190.255.255', 3133075456, 3133079551, 'AN', 'Netherlands Antilles'),
(93443, '186.191.0.0', '186.191.255.255', 3133079552, 3133145087, 'AR', 'Argentina'),
(93444, '186.192.0.0', '187.127.255.255', 3133145088, 3145727999, 'BR', 'Brazil'),
(93445, '187.128.0.0', '187.255.255.255', 3145728000, 3154116607, 'MX', 'Mexico'),
(93446, '188.0.0.0', '188.0.31.255', 3154116608, 3154124799, 'RU', 'Russian Federation'),
(93447, '188.0.32.0', '188.0.39.255', 3154124800, 3154126847, 'PL', 'Poland'),
(93448, '188.0.40.0', '188.0.47.255', 3154126848, 3154128895, 'RU', 'Russian Federation'),
(93449, '188.0.48.0', '188.0.63.255', 3154128896, 3154132991, 'EE', 'Estonia'),
(93450, '188.0.64.0', '188.0.159.255', 3154132992, 3154157567, 'UA', 'Ukraine'),
(93451, '188.0.160.0', '188.0.223.255', 3154157568, 3154173951, 'RU', 'Russian Federation'),
(93452, '188.0.224.0', '188.0.255.255', 3154173952, 3154182143, 'MD', 'Moldova, Republic of'),
(93453, '188.1.0.0', '188.1.255.255', 3154182144, 3154247679, 'DE', 'Germany'),
(93454, '188.2.0.0', '188.2.255.255', 3154247680, 3154313215, 'RS', 'Serbia'),
(93455, '188.3.0.0', '188.3.255.255', 3154313216, 3154378751, 'TR', 'Turkey'),
(93456, '188.4.0.0', '188.4.255.255', 3154378752, 3154444287, 'GR', 'Greece'),
(93457, '188.5.0.0', '188.5.255.255', 3154444288, 3154509823, 'BE', 'Belgium'),
(93458, '188.6.0.0', '188.6.255.255', 3154509824, 3154575359, 'HU', 'Hungary'),
(93459, '188.7.0.0', '188.7.255.255', 3154575360, 3154640895, 'FR', 'France'),
(93460, '188.8.0.0', '188.15.255.255', 3154640896, 3155165183, 'IT', 'Italy'),
(93461, '188.16.0.0', '188.19.255.255', 3155165184, 3155427327, 'RU', 'Russian Federation'),
(93462, '188.20.0.0', '188.21.52.155', 3155427328, 3155506331, 'AT', 'Austria'),
(93463, '188.21.52.156', '188.21.52.159', 3155506332, 3155506335, 'ES', 'Spain'),
(93464, '188.21.52.160', '188.23.255.255', 3155506336, 3155689471, 'AT', 'Austria'),
(93465, '188.24.0.0', '188.27.255.255', 3155689472, 3155951615, 'RO', 'Romania'),
(93466, '188.28.0.0', '188.31.255.255', 3155951616, 3156213759, 'GB', 'United Kingdom'),
(93467, '188.32.0.0', '188.32.255.255', 3156213760, 3156279295, 'RU', 'Russian Federation'),
(93468, '188.33.0.0', '188.33.255.255', 3156279296, 3156344831, 'PL', 'Poland'),
(93469, '188.34.0.0', '188.34.255.255', 3156344832, 3156410367, 'IR', 'Iran, Islamic Republic of'),
(93470, '188.35.0.0', '188.35.255.255', 3156410368, 3156475903, 'RU', 'Russian Federation'),
(93471, '188.36.0.0', '188.36.247.255', 3156475904, 3156539391, 'HU', 'Hungary'),
(93472, '188.36.248.0', '188.36.248.255', 3156539392, 3156539647, 'RO', 'Romania'),
(93473, '188.36.249.0', '188.36.255.255', 3156539648, 3156541439, 'HU', 'Hungary'),
(93474, '188.37.0.0', '188.37.255.255', 3156541440, 3156606975, 'PT', 'Portugal'),
(93475, '188.38.0.0', '188.38.255.255', 3156606976, 3156672511, 'TR', 'Turkey'),
(93476, '188.39.0.0', '188.39.255.255', 3156672512, 3156738047, 'GB', 'United Kingdom'),
(93477, '188.40.0.0', '188.40.83.135', 3156738048, 3156759431, 'DE', 'Germany'),
(93478, '188.40.83.136', '188.40.83.136', 3156759432, 3156759432, 'GB', 'United Kingdom'),
(93479, '188.40.83.137', '188.40.208.143', 3156759433, 3156791439, 'DE', 'Germany'),
(93480, '188.40.208.144', '188.40.208.159', 3156791440, 3156791455, 'NL', 'Netherlands'),
(93481, '188.40.208.160', '188.40.217.151', 3156791456, 3156793751, 'DE', 'Germany'),
(93482, '188.40.217.152', '188.40.217.159', 3156793752, 3156793759, 'IT', 'Italy'),
(93483, '188.40.217.160', '188.40.254.255', 3156793760, 3156803327, 'DE', 'Germany'),
(93484, '188.40.255.0', '188.40.255.31', 3156803328, 3156803359, 'CH', 'Switzerland'),
(93485, '188.40.255.32', '188.40.255.255', 3156803360, 3156803583, 'DE', 'Germany'),
(93486, '188.41.0.0', '188.41.255.255', 3156803584, 3156869119, 'TR', 'Turkey'),
(93487, '188.42.0.0', '188.42.127.255', 3156869120, 3156901887, 'LU', 'Luxembourg'),
(93488, '188.42.128.0', '188.42.159.255', 3156901888, 3156910079, 'SG', 'Singapore'),
(93489, '188.42.160.0', '188.42.191.255', 3156910080, 3156918271, 'US', 'United States'),
(93490, '188.42.192.0', '188.42.255.255', 3156918272, 3156934655, 'LU', 'Luxembourg'),
(93491, '188.43.0.0', '188.43.255.255', 3156934656, 3157000191, 'RU', 'Russian Federation'),
(93492, '188.44.0.0', '188.44.31.255', 3157000192, 3157008383, 'MK', 'Macedonia'),
(93493, '188.44.32.0', '188.44.63.255', 3157008384, 3157016575, 'RU', 'Russian Federation'),
(93494, '188.44.64.0', '188.44.95.255', 3157016576, 3157024767, 'BE', 'Belgium'),
(93495, '188.44.96.0', '188.44.127.255', 3157024768, 3157032959, 'RU', 'Russian Federation'),
(93496, '188.44.128.0', '188.44.255.255', 3157032960, 3157065727, 'HU', 'Hungary'),
(93497, '188.45.0.0', '188.45.255.255', 3157065728, 3157131263, 'AT', 'Austria'),
(93498, '188.46.0.0', '188.46.255.255', 3157131264, 3157196799, 'DE', 'Germany'),
(93499, '188.47.0.0', '188.47.255.255', 3157196800, 3157262335, 'PL', 'Poland'),
(93500, '188.48.0.0', '188.55.255.255', 3157262336, 3157786623, 'SA', 'Saudi Arabia'),
(93501, '188.56.0.0', '188.59.255.255', 3157786624, 3158048767, 'TR', 'Turkey'),
(93502, '188.60.0.0', '188.63.255.255', 3158048768, 3158310911, 'CH', 'Switzerland'),
(93503, '188.64.0.0', '188.64.7.255', 3158310912, 3158312959, 'FI', 'Finland'),
(93504, '188.64.8.0', '188.64.15.255', 3158312960, 3158315007, 'AZ', 'Azerbaijan'),
(93505, '188.64.16.0', '188.64.23.255', 3158315008, 3158317055, 'DE', 'Germany'),
(93506, '188.64.24.0', '188.64.31.255', 3158317056, 3158319103, 'SI', 'Slovenia'),
(93507, '188.64.32.0', '188.64.39.255', 3158319104, 3158321151, 'GB', 'United Kingdom'),
(93508, '188.64.40.0', '188.64.40.255', 3158321152, 3158321407, 'DE', 'Germany'),
(93509, '188.64.41.0', '188.64.41.15', 3158321408, 3158321423, 'US', 'United States'),
(93510, '188.64.41.16', '188.64.45.255', 3158321424, 3158322687, 'DE', 'Germany'),
(93511, '188.64.46.0', '188.64.46.191', 3158322688, 3158322879, 'NL', 'Netherlands'),
(93512, '188.64.46.192', '188.64.46.255', 3158322880, 3158322943, 'DE', 'Germany'),
(93513, '188.64.47.0', '188.64.47.127', 3158322944, 3158323071, 'NL', 'Netherlands'),
(93514, '188.64.47.128', '188.64.47.255', 3158323072, 3158323199, 'DE', 'Germany'),
(93515, '188.64.48.0', '188.64.55.255', 3158323200, 3158325247, 'BE', 'Belgium'),
(93516, '188.64.56.0', '188.64.63.255', 3158325248, 3158327295, 'DE', 'Germany'),
(93517, '188.64.64.0', '188.64.71.255', 3158327296, 3158329343, 'NL', 'Netherlands'),
(93518, '188.64.72.0', '188.64.79.255', 3158329344, 3158331391, 'BE', 'Belgium'),
(93519, '188.64.80.0', '188.64.87.255', 3158331392, 3158333439, 'PL', 'Poland'),
(93520, '188.64.88.0', '188.64.95.255', 3158333440, 3158335487, 'IT', 'Italy'),
(93521, '188.64.96.0', '188.64.103.255', 3158335488, 3158337535, 'IL', 'Israel'),
(93522, '188.64.104.0', '188.64.111.255', 3158337536, 3158339583, 'SI', 'Slovenia'),
(93523, '188.64.112.0', '188.64.119.255', 3158339584, 3158341631, 'RU', 'Russian Federation'),
(93524, '188.64.120.0', '188.64.127.255', 3158341632, 3158343679, 'IT', 'Italy'),
(93525, '188.64.128.0', '188.64.135.255', 3158343680, 3158345727, 'RU', 'Russian Federation'),
(93526, '188.64.136.0', '188.64.143.255', 3158345728, 3158347775, 'CY', 'Cyprus'),
(93527, '188.64.144.0', '188.64.151.255', 3158347776, 3158349823, 'RU', 'Russian Federation'),
(93528, '188.64.152.0', '188.64.159.255', 3158349824, 3158351871, 'DK', 'Denmark'),
(93529, '188.64.160.0', '188.64.175.255', 3158351872, 3158355967, 'RU', 'Russian Federation'),
(93530, '188.64.176.0', '188.64.183.255', 3158355968, 3158358015, 'LV', 'Latvia'),
(93531, '188.64.184.0', '188.64.191.255', 3158358016, 3158360063, 'GB', 'United Kingdom'),
(93532, '188.64.192.0', '188.64.199.255', 3158360064, 3158362111, 'DE', 'Germany'),
(93533, '188.64.200.0', '188.64.207.255', 3158362112, 3158364159, 'IL', 'Israel'),
(93534, '188.64.208.0', '188.64.215.255', 3158364160, 3158366207, 'TR', 'Turkey'),
(93535, '188.64.216.0', '188.64.223.255', 3158366208, 3158368255, 'RU', 'Russian Federation'),
(93536, '188.64.224.0', '188.64.231.255', 3158368256, 3158370303, 'FR', 'France'),
(93537, '188.64.232.0', '188.64.239.255', 3158370304, 3158372351, 'BE', 'Belgium'),
(93538, '188.64.240.0', '188.64.247.255', 3158372352, 3158374399, 'FR', 'France'),
(93539, '188.64.248.0', '188.64.255.255', 3158374400, 3158376447, 'DE', 'Germany'),
(93540, '188.65.0.0', '188.65.7.255', 3158376448, 3158378495, 'IT', 'Italy'),
(93541, '188.65.8.0', '188.65.23.255', 3158378496, 3158382591, 'RU', 'Russian Federation'),
(93542, '188.65.24.0', '188.65.31.255', 3158382592, 3158384639, 'OM', 'Oman'),
(93543, '188.65.32.0', '188.65.39.255', 3158384640, 3158386687, 'GB', 'United Kingdom'),
(93544, '188.65.40.0', '188.65.47.255', 3158386688, 3158388735, 'PL', 'Poland'),
(93545, '188.65.48.0', '188.65.55.255', 3158388736, 3158390783, 'RU', 'Russian Federation'),
(93546, '188.65.56.0', '188.65.63.255', 3158390784, 3158392831, 'GB', 'United Kingdom'),
(93547, '188.65.64.0', '188.65.71.255', 3158392832, 3158394879, 'RU', 'Russian Federation'),
(93548, '188.65.72.0', '188.65.72.127', 3158394880, 3158395007, 'AT', 'Austria'),
(93549, '188.65.72.128', '188.65.72.255', 3158395008, 3158395135, 'GB', 'United Kingdom'),
(93550, '188.65.73.0', '188.65.73.31', 3158395136, 3158395167, 'AT', 'Austria'),
(93551, '188.65.73.32', '188.65.73.39', 3158395168, 3158395175, 'DE', 'Germany'),
(93552, '188.65.73.40', '188.65.73.55', 3158395176, 3158395191, 'AT', 'Austria'),
(93553, '188.65.73.56', '188.65.73.63', 3158395192, 3158395199, 'DE', 'Germany'),
(93554, '188.65.73.64', '188.65.73.111', 3158395200, 3158395247, 'AT', 'Austria'),
(93555, '188.65.73.112', '188.65.73.159', 3158395248, 3158395295, 'DE', 'Germany'),
(93556, '188.65.73.160', '188.65.73.223', 3158395296, 3158395359, 'AT', 'Austria'),
(93557, '188.65.73.224', '188.65.73.231', 3158395360, 3158395367, 'DE', 'Germany'),
(93558, '188.65.73.232', '188.65.74.39', 3158395368, 3158395431, 'AT', 'Austria'),
(93559, '188.65.74.40', '188.65.74.47', 3158395432, 3158395439, 'DE', 'Germany'),
(93560, '188.65.74.48', '188.65.74.255', 3158395440, 3158395647, 'AT', 'Austria'),
(93561, '188.65.75.0', '188.65.75.15', 3158395648, 3158395663, 'DE', 'Germany'),
(93562, '188.65.75.16', '188.65.75.39', 3158395664, 3158395687, 'AT', 'Austria'),
(93563, '188.65.75.40', '188.65.75.47', 3158395688, 3158395695, 'DE', 'Germany'),
(93564, '188.65.75.48', '188.65.75.63', 3158395696, 3158395711, 'AT', 'Austria'),
(93565, '188.65.75.64', '188.65.75.95', 3158395712, 3158395743, 'DE', 'Germany'),
(93566, '188.65.75.96', '188.65.77.127', 3158395744, 3158396287, 'AT', 'Austria'),
(93567, '188.65.77.128', '188.65.77.167', 3158396288, 3158396327, 'DE', 'Germany'),
(93568, '188.65.77.168', '188.65.79.255', 3158396328, 3158396927, 'AT', 'Austria'),
(93569, '188.65.80.0', '188.65.87.255', 3158396928, 3158398975, 'IT', 'Italy'),
(93570, '188.65.88.0', '188.65.95.255', 3158398976, 3158401023, 'ES', 'Spain'),
(93571, '188.65.96.0', '188.65.103.255', 3158401024, 3158403071, 'GB', 'United Kingdom'),
(93572, '188.65.104.0', '188.65.111.255', 3158403072, 3158405119, 'RU', 'Russian Federation'),
(93573, '188.65.112.0', '188.65.119.255', 3158405120, 3158407167, 'GB', 'United Kingdom'),
(93574, '188.65.120.0', '188.65.120.255', 3158407168, 3158407423, 'US', 'United States'),
(93575, '188.65.121.0', '188.65.127.255', 3158407424, 3158409215, 'FR', 'France'),
(93576, '188.65.128.0', '188.65.135.255', 3158409216, 3158411263, 'RU', 'Russian Federation'),
(93577, '188.65.136.0', '188.65.143.255', 3158411264, 3158413311, 'FI', 'Finland'),
(93578, '188.65.144.0', '188.65.151.255', 3158413312, 3158415359, 'DE', 'Germany'),
(93579, '188.65.152.0', '188.65.159.255', 3158415360, 3158417407, 'SE', 'Sweden'),
(93580, '188.65.160.0', '188.65.167.255', 3158417408, 3158419455, 'NL', 'Netherlands'),
(93581, '188.65.168.0', '188.65.175.255', 3158419456, 3158421503, 'FR', 'France'),
(93582, '188.65.176.0', '188.65.183.255', 3158421504, 3158423551, 'GB', 'United Kingdom'),
(93583, '188.65.184.0', '188.65.185.255', 3158423552, 3158424063, 'MT', 'Malta'),
(93584, '188.65.186.0', '188.65.186.31', 3158424064, 3158424095, 'NL', 'Netherlands'),
(93585, '188.65.186.32', '188.65.186.63', 3158424096, 3158424127, 'MT', 'Malta'),
(93586, '188.65.186.64', '188.65.186.95', 3158424128, 3158424159, 'IE', 'Ireland'),
(93587, '188.65.186.96', '188.65.191.223', 3158424160, 3158425567, 'MT', 'Malta'),
(93588, '188.65.191.224', '188.65.191.255', 3158425568, 3158425599, 'IE', 'Ireland'),
(93589, '188.65.192.0', '188.65.199.255', 3158425600, 3158427647, 'NL', 'Netherlands'),
(93590, '188.65.200.0', '188.65.207.255', 3158427648, 3158429695, 'DE', 'Germany'),
(93591, '188.65.208.0', '188.65.215.255', 3158429696, 3158431743, 'RU', 'Russian Federation'),
(93592, '188.65.216.0', '188.65.223.255', 3158431744, 3158433791, 'BE', 'Belgium'),
(93593, '188.65.224.0', '188.65.231.255', 3158433792, 3158435839, 'NL', 'Netherlands'),
(93594, '188.65.232.0', '188.65.247.255', 3158435840, 3158439935, 'RU', 'Russian Federation'),
(93595, '188.65.248.0', '188.65.255.255', 3158439936, 3158441983, 'GB', 'United Kingdom'),
(93596, '188.66.0.0', '188.66.7.255', 3158441984, 3158444031, 'EE', 'Estonia'),
(93597, '188.66.8.0', '188.66.15.255', 3158444032, 3158446079, 'BE', 'Belgium'),
(93598, '188.66.16.0', '188.66.23.255', 3158446080, 3158448127, 'NL', 'Netherlands'),
(93599, '188.66.24.0', '188.66.39.255', 3158448128, 3158452223, 'RU', 'Russian Federation'),
(93600, '188.66.40.0', '188.66.47.255', 3158452224, 3158454271, 'DE', 'Germany'),
(93601, '188.66.48.0', '188.66.63.255', 3158454272, 3158458367, 'EU', 'Europe'),
(93602, '188.66.64.0', '188.66.127.255', 3158458368, 3158474751, 'GB', 'United Kingdom'),
(93603, '188.66.128.0', '188.66.255.255', 3158474752, 3158507519, 'OM', 'Oman'),
(93604, '188.67.0.0', '188.67.255.255', 3158507520, 3158573055, 'FI', 'Finland'),
(93605, '188.68.0.0', '188.68.255.255', 3158573056, 3158638591, 'RU', 'Russian Federation'),
(93606, '188.69.0.0', '188.69.255.255', 3158638592, 3158704127, 'LT', 'Lithuania'),
(93607, '188.70.0.0', '188.71.255.255', 3158704128, 3158835199, 'KW', 'Kuwait'),
(93608, '188.72.0.0', '188.72.63.255', 3158835200, 3158851583, 'IQ', 'Iraq'),
(93609, '188.72.64.0', '188.72.127.255', 3158851584, 3158867967, 'RU', 'Russian Federation'),
(93610, '188.72.128.0', '188.72.191.255', 3158867968, 3158884351, 'AZ', 'Azerbaijan'),
(93611, '188.72.192.0', '188.72.192.255', 3158884352, 3158884607, 'DE', 'Germany'),
(93612, '188.72.193.0', '188.72.193.255', 3158884608, 3158884863, 'BE', 'Belgium'),
(93613, '188.72.194.0', '188.72.194.255', 3158884864, 3158885119, 'GB', 'United Kingdom'),
(93614, '188.72.195.0', '188.72.197.255', 3158885120, 3158885887, 'TR', 'Turkey'),
(93615, '188.72.198.0', '188.72.198.255', 3158885888, 3158886143, 'HK', 'Hong Kong'),
(93616, '188.72.199.0', '188.72.199.31', 3158886144, 3158886175, 'DE', 'Germany'),
(93617, '188.72.199.32', '188.72.199.63', 3158886176, 3158886207, 'BZ', 'Belize'),
(93618, '188.72.199.64', '188.72.199.127', 3158886208, 3158886271, 'DE', 'Germany'),
(93619, '188.72.199.128', '188.72.199.191', 3158886272, 3158886335, 'RO', 'Romania'),
(93620, '188.72.199.192', '188.72.202.255', 3158886336, 3158887167, 'DE', 'Germany'),
(93621, '188.72.203.0', '188.72.203.255', 3158887168, 3158887423, 'CA', 'Canada'),
(93622, '188.72.204.0', '188.72.213.255', 3158887424, 3158889983, 'DE', 'Germany'),
(93623, '188.72.214.0', '188.72.214.255', 3158889984, 3158890239, 'HK', 'Hong Kong'),
(93624, '188.72.215.0', '188.72.218.255', 3158890240, 3158891263, 'DE', 'Germany'),
(93625, '188.72.219.0', '188.72.219.255', 3158891264, 3158891519, 'CA', 'Canada'),
(93626, '188.72.220.0', '188.72.220.31', 3158891520, 3158891551, 'DE', 'Germany'),
(93627, '188.72.220.32', '188.72.220.63', 3158891552, 3158891583, 'GB', 'United Kingdom'),
(93628, '188.72.220.64', '188.72.220.127', 3158891584, 3158891647, 'RU', 'Russian Federation'),
(93629, '188.72.220.128', '188.72.220.191', 3158891648, 3158891711, 'DE', 'Germany'),
(93630, '188.72.220.192', '188.72.220.255', 3158891712, 3158891775, 'RU', 'Russian Federation'),
(93631, '188.72.221.0', '188.72.221.255', 3158891776, 3158892031, 'PL', 'Poland'),
(93632, '188.72.222.0', '188.72.223.127', 3158892032, 3158892415, 'DE', 'Germany'),
(93633, '188.72.223.128', '188.72.223.255', 3158892416, 3158892543, 'GB', 'United Kingdom'),
(93634, '188.72.224.0', '188.72.224.127', 3158892544, 3158892671, 'DE', 'Germany'),
(93635, '188.72.224.128', '188.72.224.255', 3158892672, 3158892799, 'RU', 'Russian Federation'),
(93636, '188.72.225.0', '188.72.227.255', 3158892800, 3158893567, 'DE', 'Germany'),
(93637, '188.72.228.0', '188.72.228.255', 3158893568, 3158893823, 'GB', 'United Kingdom'),
(93638, '188.72.229.0', '188.72.234.63', 3158893824, 3158895167, 'DE', 'Germany'),
(93639, '188.72.234.64', '188.72.234.127', 3158895168, 3158895231, 'RU', 'Russian Federation'),
(93640, '188.72.234.128', '188.72.235.63', 3158895232, 3158895423, 'DE', 'Germany'),
(93641, '188.72.235.64', '188.72.235.127', 3158895424, 3158895487, 'RU', 'Russian Federation'),
(93642, '188.72.235.128', '188.72.235.191', 3158895488, 3158895551, 'MK', 'Macedonia'),
(93643, '188.72.235.192', '188.72.235.255', 3158895552, 3158895615, 'AE', 'United Arab Emirates'),
(93644, '188.72.236.0', '188.72.238.127', 3158895616, 3158896255, 'DE', 'Germany'),
(93645, '188.72.238.128', '188.72.238.255', 3158896256, 3158896383, 'IN', 'India'),
(93646, '188.72.239.0', '188.72.243.95', 3158896384, 3158897503, 'DE', 'Germany'),
(93647, '188.72.243.96', '188.72.243.159', 3158897504, 3158897567, 'RU', 'Russian Federation'),
(93648, '188.72.243.160', '188.72.243.223', 3158897568, 3158897631, 'DE', 'Germany'),
(93649, '188.72.243.224', '188.72.243.255', 3158897632, 3158897663, 'BZ', 'Belize'),
(93650, '188.72.244.0', '188.72.244.63', 3158897664, 3158897727, 'DE', 'Germany'),
(93651, '188.72.244.64', '188.72.244.127', 3158897728, 3158897791, 'RU', 'Russian Federation'),
(93652, '188.72.244.128', '188.72.244.191', 3158897792, 3158897855, 'DE', 'Germany'),
(93653, '188.72.244.192', '188.72.244.255', 3158897856, 3158897919, 'UA', 'Ukraine'),
(93654, '188.72.245.0', '188.72.246.31', 3158897920, 3158898207, 'DE', 'Germany'),
(93655, '188.72.246.32', '188.72.246.95', 3158898208, 3158898271, 'CZ', 'Czech Republic'),
(93656, '188.72.246.96', '188.72.246.159', 3158898272, 3158898335, 'RU', 'Russian Federation'),
(93657, '188.72.246.160', '188.72.246.255', 3158898336, 3158898431, 'DE', 'Germany'),
(93658, '188.72.247.0', '188.72.247.255', 3158898432, 3158898687, 'US', 'United States'),
(93659, '188.72.248.0', '188.72.248.127', 3158898688, 3158898815, 'DE', 'Germany'),
(93660, '188.72.248.128', '188.72.248.255', 3158898816, 3158898943, 'BZ', 'Belize'),
(93661, '188.72.249.0', '188.72.249.255', 3158898944, 3158899199, 'ES', 'Spain'),
(93662, '188.72.250.0', '188.72.250.255', 3158899200, 3158899455, 'DE', 'Germany'),
(93663, '188.72.251.0', '188.72.251.255', 3158899456, 3158899711, 'CA', 'Canada'),
(93664, '188.72.252.0', '188.72.255.255', 3158899712, 3158900735, 'DE', 'Germany'),
(93665, '188.73.0.0', '188.73.63.255', 3158900736, 3158917119, 'FR', 'France'),
(93666, '188.73.64.0', '188.73.127.255', 3158917120, 3158933503, 'DE', 'Germany'),
(93667, '188.73.128.0', '188.73.191.255', 3158933504, 3158949887, 'RU', 'Russian Federation'),
(93668, '188.73.192.0', '188.73.255.255', 3158949888, 3158966271, 'GR', 'Greece'),
(93669, '188.74.0.0', '188.74.1.159', 3158966272, 3158966687, 'DE', 'Germany'),
(93670, '188.74.1.160', '188.74.1.191', 3158966688, 3158966719, 'US', 'United States'),
(93671, '188.74.1.192', '188.74.4.31', 3158966720, 3158967327, 'DE', 'Germany'),
(93672, '188.74.4.32', '188.74.4.63', 3158967328, 3158967359, 'US', 'United States'),
(93673, '188.74.4.64', '188.74.4.255', 3158967360, 3158967551, 'DE', 'Germany'),
(93674, '188.74.5.0', '188.74.5.31', 3158967552, 3158967583, 'US', 'United States'),
(93675, '188.74.5.32', '188.74.5.255', 3158967584, 3158967807, 'DE', 'Germany'),
(93676, '188.74.6.0', '188.74.6.31', 3158967808, 3158967839, 'US', 'United States'),
(93677, '188.74.6.32', '188.74.16.127', 3158967840, 3158970495, 'DE', 'Germany'),
(93678, '188.74.16.128', '188.74.16.255', 3158970496, 3158970623, 'US', 'United States'),
(93679, '188.74.17.0', '188.74.17.127', 3158970624, 3158970751, 'DE', 'Germany'),
(93680, '188.74.17.128', '188.74.17.255', 3158970752, 3158970879, 'US', 'United States'),
(93681, '188.74.18.0', '188.74.18.95', 3158970880, 3158970975, 'DE', 'Germany'),
(93682, '188.74.18.96', '188.74.18.255', 3158970976, 3158971135, 'US', 'United States'),
(93683, '188.74.19.0', '188.74.19.95', 3158971136, 3158971231, 'DE', 'Germany'),
(93684, '188.74.19.96', '188.74.19.255', 3158971232, 3158971391, 'US', 'United States'),
(93685, '188.74.20.0', '188.74.20.95', 3158971392, 3158971487, 'DE', 'Germany'),
(93686, '188.74.20.96', '188.74.20.255', 3158971488, 3158971647, 'US', 'United States'),
(93687, '188.74.21.0', '188.74.21.127', 3158971648, 3158971775, 'DE', 'Germany'),
(93688, '188.74.21.128', '188.74.21.255', 3158971776, 3158971903, 'US', 'United States'),
(93689, '188.74.22.0', '188.74.22.127', 3158971904, 3158972031, 'DE', 'Germany'),
(93690, '188.74.22.128', '188.74.22.255', 3158972032, 3158972159, 'US', 'United States'),
(93691, '188.74.23.0', '188.74.23.127', 3158972160, 3158972287, 'DE', 'Germany'),
(93692, '188.74.23.128', '188.74.23.255', 3158972288, 3158972415, 'US', 'United States'),
(93693, '188.74.24.0', '188.74.24.127', 3158972416, 3158972543, 'DE', 'Germany'),
(93694, '188.74.24.128', '188.74.24.255', 3158972544, 3158972671, 'US', 'United States'),
(93695, '188.74.25.0', '188.74.25.127', 3158972672, 3158972799, 'DE', 'Germany'),
(93696, '188.74.25.128', '188.74.25.255', 3158972800, 3158972927, 'US', 'United States'),
(93697, '188.74.26.0', '188.74.26.127', 3158972928, 3158973055, 'DE', 'Germany'),
(93698, '188.74.26.128', '188.74.26.255', 3158973056, 3158973183, 'US', 'United States'),
(93699, '188.74.27.0', '188.74.27.127', 3158973184, 3158973311, 'DE', 'Germany'),
(93700, '188.74.27.128', '188.74.27.255', 3158973312, 3158973439, 'US', 'United States'),
(93701, '188.74.28.0', '188.74.28.127', 3158973440, 3158973567, 'DE', 'Germany'),
(93702, '188.74.28.128', '188.74.28.255', 3158973568, 3158973695, 'US', 'United States'),
(93703, '188.74.29.0', '188.74.29.127', 3158973696, 3158973823, 'DE', 'Germany'),
(93704, '188.74.29.128', '188.74.29.255', 3158973824, 3158973951, 'US', 'United States'),
(93705, '188.74.30.0', '188.74.30.127', 3158973952, 3158974079, 'DE', 'Germany'),
(93706, '188.74.30.128', '188.74.30.255', 3158974080, 3158974207, 'US', 'United States'),
(93707, '188.74.31.0', '188.74.31.31', 3158974208, 3158974239, 'DE', 'Germany'),
(93708, '188.74.31.32', '188.74.31.63', 3158974240, 3158974271, 'US', 'United States'),
(93709, '188.74.31.64', '188.74.31.127', 3158974272, 3158974335, 'DE', 'Germany'),
(93710, '188.74.31.128', '188.74.31.255', 3158974336, 3158974463, 'US', 'United States'),
(93711, '188.74.32.0', '188.74.63.255', 3158974464, 3158982655, 'DE', 'Germany'),
(93712, '188.74.64.0', '188.74.127.255', 3158982656, 3158999039, 'GB', 'United Kingdom'),
(93713, '188.74.128.0', '188.74.255.255', 3158999040, 3159031807, 'RO', 'Romania'),
(93714, '188.75.0.0', '188.75.63.255', 3159031808, 3159048191, 'RU', 'Russian Federation'),
(93715, '188.75.64.0', '188.75.127.255', 3159048192, 3159064575, 'IR', 'Iran, Islamic Republic of'),
(93716, '188.75.128.0', '188.75.191.255', 3159064576, 3159080959, 'CZ', 'Czech Republic'),
(93717, '188.75.192.0', '188.75.255.255', 3159080960, 3159097343, 'RU', 'Russian Federation'),
(93718, '188.76.0.0', '188.79.255.255', 3159097344, 3159359487, 'ES', 'Spain'),
(93719, '188.80.0.0', '188.83.255.255', 3159359488, 3159621631, 'PT', 'Portugal'),
(93720, '188.84.0.0', '188.87.255.255', 3159621632, 3159883775, 'ES', 'Spain'),
(93721, '188.88.0.0', '188.91.255.255', 3159883776, 3160145919, 'NL', 'Netherlands'),
(93722, '188.92.0.0', '188.92.7.255', 3160145920, 3160147967, 'RU', 'Russian Federation'),
(93723, '188.92.8.0', '188.92.15.255', 3160147968, 3160150015, 'CZ', 'Czech Republic'),
(93724, '188.92.16.0', '188.92.23.255', 3160150016, 3160152063, 'LV', 'Latvia'),
(93725, '188.92.24.0', '188.92.31.255', 3160152064, 3160154111, 'IT', 'Italy'),
(93726, '188.92.32.0', '188.92.39.255', 3160154112, 3160156159, 'DE', 'Germany'),
(93727, '188.92.40.0', '188.92.47.255', 3160156160, 3160158207, 'CZ', 'Czech Republic'),
(93728, '188.92.48.0', '188.92.55.255', 3160158208, 3160160255, 'CH', 'Switzerland'),
(93729, '188.92.56.0', '188.92.63.255', 3160160256, 3160162303, 'NL', 'Netherlands'),
(93730, '188.92.64.0', '188.92.71.255', 3160162304, 3160164351, 'FR', 'France'),
(93731, '188.92.72.0', '188.92.79.255', 3160164352, 3160166399, 'LV', 'Latvia'),
(93732, '188.92.80.0', '188.92.87.255', 3160166400, 3160168447, 'NO', 'Norway'),
(93733, '188.92.88.0', '188.92.95.255', 3160168448, 3160170495, 'GB', 'United Kingdom'),
(93734, '188.92.96.0', '188.92.103.255', 3160170496, 3160172543, 'IT', 'Italy'),
(93735, '188.92.104.0', '188.92.111.255', 3160172544, 3160174591, 'RU', 'Russian Federation'),
(93736, '188.92.112.0', '188.92.119.255', 3160174592, 3160176639, 'DE', 'Germany'),
(93737, '188.92.120.0', '188.92.127.255', 3160176640, 3160178687, 'IT', 'Italy'),
(93738, '188.92.128.0', '188.92.135.255', 3160178688, 3160180735, 'DE', 'Germany'),
(93739, '188.92.136.0', '188.92.143.255', 3160180736, 3160182783, 'GB', 'United Kingdom'),
(93740, '188.92.144.0', '188.92.151.255', 3160182784, 3160184831, 'CH', 'Switzerland'),
(93741, '188.92.152.0', '188.92.159.255', 3160184832, 3160186879, 'NL', 'Netherlands'),
(93742, '188.92.160.0', '188.92.167.255', 3160186880, 3160188927, 'EE', 'Estonia'),
(93743, '188.92.168.0', '188.92.175.255', 3160188928, 3160190975, 'SE', 'Sweden'),
(93744, '188.92.176.0', '188.92.183.255', 3160190976, 3160193023, 'RU', 'Russian Federation'),
(93745, '188.92.184.0', '188.92.184.255', 3160193024, 3160193279, 'A2', 'Satellite Provider'),
(93746, '188.92.185.0', '188.92.185.255', 3160193280, 3160193535, 'IT', 'Italy'),
(93747, '188.92.186.0', '188.92.189.239', 3160193536, 3160194543, 'A2', 'Satellite Provider'),
(93748, '188.92.189.240', '188.92.189.247', 3160194544, 3160194551, 'IT', 'Italy'),
(93749, '188.92.189.248', '188.92.190.127', 3160194552, 3160194687, 'A2', 'Satellite Provider'),
(93750, '188.92.190.128', '188.92.190.255', 3160194688, 3160194815, 'IT', 'Italy'),
(93751, '188.92.191.0', '188.92.191.255', 3160194816, 3160195071, 'A2', 'Satellite Provider'),
(93752, '188.92.192.0', '188.92.199.255', 3160195072, 3160197119, 'RU', 'Russian Federation'),
(93753, '188.92.200.0', '188.92.207.255', 3160197120, 3160199167, 'DE', 'Germany'),
(93754, '188.92.208.0', '188.92.215.255', 3160199168, 3160201215, 'GE', 'Georgia'),
(93755, '188.92.216.0', '188.92.223.255', 3160201216, 3160203263, 'RU', 'Russian Federation'),
(93756, '188.92.224.0', '188.92.225.255', 3160203264, 3160203775, 'CH', 'Switzerland'),
(93757, '188.92.226.0', '188.92.226.7', 3160203776, 3160203783, 'DE', 'Germany'),
(93758, '188.92.226.8', '188.92.226.31', 3160203784, 3160203807, 'CH', 'Switzerland'),
(93759, '188.92.226.32', '188.92.226.39', 3160203808, 3160203815, 'FR', 'France'),
(93760, '188.92.226.40', '188.92.231.255', 3160203816, 3160205311, 'CH', 'Switzerland'),
(93761, '188.92.232.0', '188.92.239.255', 3160205312, 3160207359, 'GB', 'United Kingdom'),
(93762, '188.92.240.0', '188.92.247.255', 3160207360, 3160209407, 'RU', 'Russian Federation'),
(93763, '188.92.248.0', '188.92.255.255', 3160209408, 3160211455, 'SE', 'Sweden'),
(93764, '188.93.0.0', '188.93.7.255', 3160211456, 3160213503, 'IE', 'Ireland'),
(93765, '188.93.8.0', '188.93.15.255', 3160213504, 3160215551, 'DE', 'Germany'),
(93766, '188.93.16.0', '188.93.31.255', 3160215552, 3160219647, 'RU', 'Russian Federation'),
(93767, '188.93.32.0', '188.93.39.255', 3160219648, 3160221695, 'ES', 'Spain'),
(93768, '188.93.40.0', '188.93.47.255', 3160221696, 3160223743, 'FR', 'France'),
(93769, '188.93.48.0', '188.93.63.255', 3160223744, 3160227839, 'RU', 'Russian Federation'),
(93770, '188.93.64.0', '188.93.71.255', 3160227840, 3160229887, 'IR', 'Iran, Islamic Republic of'),
(93771, '188.93.72.0', '188.93.79.255', 3160229888, 3160231935, 'ES', 'Spain'),
(93772, '188.93.80.0', '188.93.87.255', 3160231936, 3160233983, 'BE', 'Belgium'),
(93773, '188.93.88.0', '188.93.93.255', 3160233984, 3160235519, 'GE', 'Georgia'),
(93774, '188.93.94.0', '188.93.94.255', 3160235520, 3160235775, 'DE', 'Germany'),
(93775, '188.93.95.0', '188.93.95.255', 3160235776, 3160236031, 'GE', 'Georgia'),
(93776, '188.93.96.0', '188.93.103.255', 3160236032, 3160238079, 'BE', 'Belgium'),
(93777, '188.93.104.0', '188.93.111.255', 3160238080, 3160240127, 'RU', 'Russian Federation'),
(93778, '188.93.112.0', '188.93.119.255', 3160240128, 3160242175, 'BE', 'Belgium'),
(93779, '188.93.120.0', '188.93.127.255', 3160242176, 3160244223, 'RS', 'Serbia'),
(93780, '188.93.128.0', '188.93.135.255', 3160244224, 3160246271, 'RU', 'Russian Federation'),
(93781, '188.93.136.0', '188.93.143.255', 3160246272, 3160248319, 'IT', 'Italy'),
(93782, '188.93.144.0', '188.93.151.255', 3160248320, 3160250367, 'NL', 'Netherlands'),
(93783, '188.93.152.0', '188.93.159.255', 3160250368, 3160252415, 'BE', 'Belgium'),
(93784, '188.93.160.0', '188.93.167.255', 3160252416, 3160254463, 'PL', 'Poland'),
(93785, '188.93.168.0', '188.93.175.255', 3160254464, 3160256511, 'LU', 'Luxembourg'),
(93786, '188.93.176.0', '188.93.183.255', 3160256512, 3160258559, 'GB', 'United Kingdom'),
(93787, '188.93.184.0', '188.93.191.255', 3160258560, 3160260607, 'NO', 'Norway'),
(93788, '188.93.192.0', '188.93.199.255', 3160260608, 3160262655, 'PT', 'Portugal'),
(93789, '188.93.200.0', '188.93.207.255', 3160262656, 3160264703, 'HU', 'Hungary'),
(93790, '188.93.208.0', '188.93.215.255', 3160264704, 3160266751, 'RU', 'Russian Federation'),
(93791, '188.93.216.0', '188.93.223.255', 3160266752, 3160268799, 'DE', 'Germany'),
(93792, '188.93.224.0', '188.93.234.255', 3160268800, 3160271615, 'PT', 'Portugal'),
(93793, '188.93.235.0', '188.93.236.63', 3160271616, 3160271935, 'ES', 'Spain'),
(93794, '188.93.236.64', '188.93.236.79', 3160271936, 3160271951, 'PT', 'Portugal'),
(93795, '188.93.236.80', '188.93.239.255', 3160271952, 3160272895, 'ES', 'Spain'),
(93796, '188.93.240.0', '188.93.247.255', 3160272896, 3160274943, 'RU', 'Russian Federation'),
(93797, '188.93.248.0', '188.93.255.255', 3160274944, 3160276991, 'AT', 'Austria'),
(93798, '188.94.0.0', '188.94.7.255', 3160276992, 3160279039, 'FR', 'France'),
(93799, '188.94.8.0', '188.94.15.255', 3160279040, 3160281087, 'ES', 'Spain'),
(93800, '188.94.16.0', '188.94.23.255', 3160281088, 3160283135, 'GB', 'United Kingdom'),
(93801, '188.94.24.0', '188.94.31.255', 3160283136, 3160285183, 'DE', 'Germany'),
(93802, '188.94.32.0', '188.94.39.255', 3160285184, 3160287231, 'RU', 'Russian Federation'),
(93803, '188.94.40.0', '188.94.47.255', 3160287232, 3160289279, 'GB', 'United Kingdom'),
(93804, '188.94.48.0', '188.94.55.255', 3160289280, 3160291327, 'RU', 'Russian Federation'),
(93805, '188.94.56.0', '188.94.63.255', 3160291328, 3160293375, 'ES', 'Spain'),
(93806, '188.94.64.0', '188.94.71.255', 3160293376, 3160295423, 'FI', 'Finland'),
(93807, '188.94.72.0', '188.94.79.255', 3160295424, 3160297471, 'GB', 'United Kingdom'),
(93808, '188.94.80.0', '188.94.87.255', 3160297472, 3160299519, 'MD', 'Moldova, Republic of'),
(93809, '188.94.88.0', '188.94.95.255', 3160299520, 3160301567, 'RU', 'Russian Federation'),
(93810, '188.94.96.0', '188.94.103.255', 3160301568, 3160303615, 'DE', 'Germany'),
(93811, '188.94.104.0', '188.94.111.255', 3160303616, 3160305663, 'GB', 'United Kingdom'),
(93812, '188.94.112.0', '188.94.119.255', 3160305664, 3160307711, 'DE', 'Germany'),
(93813, '188.94.120.0', '188.94.127.255', 3160307712, 3160309759, 'IT', 'Italy'),
(93814, '188.94.128.0', '188.94.135.255', 3160309760, 3160311807, 'GB', 'United Kingdom'),
(93815, '188.94.136.0', '188.94.143.255', 3160311808, 3160313855, 'HU', 'Hungary'),
(93816, '188.94.144.0', '188.94.151.255', 3160313856, 3160315903, 'IT', 'Italy'),
(93817, '188.94.152.0', '188.94.159.255', 3160315904, 3160317951, 'KZ', 'Kazakhstan'),
(93818, '188.94.160.0', '188.94.175.255', 3160317952, 3160322047, 'RU', 'Russian Federation'),
(93819, '188.94.176.0', '188.94.183.255', 3160322048, 3160324095, 'CH', 'Switzerland'),
(93820, '188.94.184.0', '188.94.199.255', 3160324096, 3160328191, 'IT', 'Italy'),
(93821, '188.94.200.0', '188.94.207.255', 3160328192, 3160330239, 'FR', 'France'),
(93822, '188.94.208.0', '188.94.215.255', 3160330240, 3160332287, 'RU', 'Russian Federation'),
(93823, '188.94.216.0', '188.94.217.207', 3160332288, 3160332751, 'NO', 'Norway'),
(93824, '188.94.217.208', '188.94.217.215', 3160332752, 3160332759, 'SE', 'Sweden'),
(93825, '188.94.217.216', '188.94.217.223', 3160332760, 3160332767, 'AU', 'Australia'),
(93826, '188.94.217.224', '188.94.218.255', 3160332768, 3160333055, 'NO', 'Norway'),
(93827, '188.94.219.0', '188.94.219.31', 3160333056, 3160333087, 'CO', 'Colombia'),
(93828, '188.94.219.32', '188.94.219.111', 3160333088, 3160333167, 'NO', 'Norway'),
(93829, '188.94.219.112', '188.94.219.127', 3160333168, 3160333183, 'PA', 'Panama'),
(93830, '188.94.219.128', '188.94.222.239', 3160333184, 3160334063, 'NO', 'Norway'),
(93831, '188.94.222.240', '188.94.222.247', 3160334064, 3160334071, 'PA', 'Panama'),
(93832, '188.94.222.248', '188.94.223.255', 3160334072, 3160334335, 'NO', 'Norway'),
(93833, '188.94.224.0', '188.94.231.255', 3160334336, 3160336383, 'RU', 'Russian Federation'),
(93834, '188.94.232.0', '188.94.239.255', 3160336384, 3160338431, 'CZ', 'Czech Republic'),
(93835, '188.94.240.0', '188.94.247.255', 3160338432, 3160340479, 'GB', 'United Kingdom'),
(93836, '188.94.248.0', '188.95.15.255', 3160340480, 3160346623, 'DE', 'Germany'),
(93837, '188.95.16.0', '188.95.23.255', 3160346624, 3160348671, 'IT', 'Italy'),
(93838, '188.95.24.0', '188.95.31.255', 3160348672, 3160350719, 'PL', 'Poland'),
(93839, '188.95.32.0', '188.95.39.255', 3160350720, 3160352767, 'SE', 'Sweden'),
(93840, '188.95.40.0', '188.95.47.255', 3160352768, 3160354815, 'GB', 'United Kingdom'),
(93841, '188.95.48.0', '188.95.55.255', 3160354816, 3160356863, 'NL', 'Netherlands'),
(93842, '188.95.56.0', '188.95.63.255', 3160356864, 3160358911, 'CZ', 'Czech Republic'),
(93843, '188.95.64.0', '188.95.71.255', 3160358912, 3160360959, 'JO', 'Jordan'),
(93844, '188.95.72.0', '188.95.79.255', 3160360960, 3160363007, 'IT', 'Italy'),
(93845, '188.95.80.0', '188.95.87.255', 3160363008, 3160365055, 'GB', 'United Kingdom'),
(93846, '188.95.88.0', '188.95.103.255', 3160365056, 3160369151, 'NL', 'Netherlands'),
(93847, '188.95.104.0', '188.95.111.255', 3160369152, 3160371199, 'RU', 'Russian Federation'),
(93848, '188.95.112.0', '188.95.119.255', 3160371200, 3160373247, 'ES', 'Spain'),
(93849, '188.95.120.0', '188.95.127.255', 3160373248, 3160375295, 'CZ', 'Czech Republic'),
(93850, '188.95.128.0', '188.95.135.255', 3160375296, 3160377343, 'GB', 'United Kingdom'),
(93851, '188.95.136.0', '188.95.143.255', 3160377344, 3160379391, 'NL', 'Netherlands'),
(93852, '188.95.144.0', '188.95.151.255', 3160379392, 3160381439, 'TR', 'Turkey'),
(93853, '188.95.152.0', '188.95.156.79', 3160381440, 3160382543, 'UA', 'Ukraine'),
(93854, '188.95.156.80', '188.95.156.95', 3160382544, 3160382559, 'DE', 'Germany'),
(93855, '188.95.156.96', '188.95.159.255', 3160382560, 3160383487, 'UA', 'Ukraine'),
(93856, '188.95.160.0', '188.95.167.255', 3160383488, 3160385535, 'SA', 'Saudi Arabia'),
(93857, '188.95.168.0', '188.95.175.255', 3160385536, 3160387583, 'NL', 'Netherlands'),
(93858, '188.95.176.0', '188.95.183.255', 3160387584, 3160389631, 'RS', 'Serbia'),
(93859, '188.95.184.0', '188.95.191.255', 3160389632, 3160391679, 'RU', 'Russian Federation'),
(93860, '188.95.192.0', '188.95.207.255', 3160391680, 3160395775, 'GB', 'United Kingdom'),
(93861, '188.95.208.0', '188.95.215.255', 3160395776, 3160397823, 'EE', 'Estonia'),
(93862, '188.95.216.0', '188.95.223.255', 3160397824, 3160399871, 'ES', 'Spain'),
(93863, '188.95.224.0', '188.95.231.255', 3160399872, 3160401919, 'SE', 'Sweden'),
(93864, '188.95.232.0', '188.95.239.255', 3160401920, 3160403967, 'DE', 'Germany'),
(93865, '188.95.240.0', '188.95.247.255', 3160403968, 3160406015, 'NO', 'Norway'),
(93866, '188.95.248.0', '188.95.255.255', 3160406016, 3160408063, 'ES', 'Spain'),
(93867, '188.96.0.0', '188.111.255.255', 3160408064, 3161456639, 'DE', 'Germany'),
(93868, '188.112.0.0', '188.112.63.255', 3161456640, 3161473023, 'PL', 'Poland'),
(93869, '188.112.64.0', '188.112.127.255', 3161473024, 3161489407, 'SK', 'Slovakia'),
(93870, '188.112.128.0', '188.112.191.255', 3161489408, 3161505791, 'LV', 'Latvia'),
(93871, '188.112.192.0', '188.113.63.255', 3161505792, 3161538559, 'RU', 'Russian Federation'),
(93872, '188.113.64.0', '188.113.127.255', 3161538560, 3161554943, 'NO', 'Norway'),
(93873, '188.113.128.0', '188.113.191.255', 3161554944, 3161571327, 'RU', 'Russian Federation'),
(93874, '188.113.192.0', '188.113.255.255', 3161571328, 3161587711, 'UZ', 'Uzbekistan'),
(93875, '188.114.0.0', '188.114.127.255', 3161587712, 3161620479, 'RU', 'Russian Federation'),
(93876, '188.114.128.0', '188.114.191.255', 3161620480, 3161636863, 'DK', 'Denmark'),
(93877, '188.114.192.0', '188.114.255.255', 3161636864, 3161653247, 'RU', 'Russian Federation'),
(93878, '188.115.0.0', '188.115.63.255', 3161653248, 3161669631, 'LU', 'Luxembourg'),
(93879, '188.115.64.0', '188.115.127.255', 3161669632, 3161686015, 'FR', 'France'),
(93880, '188.115.128.0', '188.115.191.255', 3161686016, 3161702399, 'UA', 'Ukraine'),
(93881, '188.115.192.0', '188.115.255.255', 3161702400, 3161718783, 'AM', 'Armenia'),
(93882, '188.116.0.0', '188.116.63.255', 3161718784, 3161735167, 'PL', 'Poland'),
(93883, '188.116.64.0', '188.116.127.255', 3161735168, 3161751551, 'CZ', 'Czech Republic'),
(93884, '188.116.128.0', '188.116.191.255', 3161751552, 3161767935, 'RU', 'Russian Federation'),
(93885, '188.116.192.0', '188.116.255.255', 3161767936, 3161784319, 'BH', 'Bahrain'),
(93886, '188.117.0.0', '188.117.63.255', 3161784320, 3161800703, 'FI', 'Finland'),
(93887, '188.117.64.0', '188.117.127.255', 3161800704, 3161817087, 'SA', 'Saudi Arabia'),
(93888, '188.117.128.0', '188.117.191.255', 3161817088, 3161833471, 'PL', 'Poland'),
(93889, '188.117.192.0', '188.117.207.255', 3161833472, 3161837567, 'MK', 'Macedonia'),
(93890, '188.117.208.0', '188.117.208.127', 3161837568, 3161837695, 'AT', 'Austria'),
(93891, '188.117.208.128', '188.117.246.255', 3161837696, 3161847551, 'MK', 'Macedonia'),
(93892, '188.117.247.0', '188.117.255.255', 3161847552, 3161849855, 'AT', 'Austria'),
(93893, '188.118.0.0', '188.118.63.255', 3161849856, 3161866239, 'BE', 'Belgium'),
(93894, '188.118.64.0', '188.118.127.255', 3161866240, 3161882623, 'IR', 'Iran, Islamic Republic of'),
(93895, '188.118.128.0', '188.118.191.255', 3161882624, 3161899007, 'DE', 'Germany'),
(93896, '188.118.192.0', '188.118.255.255', 3161899008, 3161915391, 'AT', 'Austria'),
(93897, '188.119.0.0', '188.119.63.255', 3161915392, 3161931775, 'TR', 'Turkey'),
(93898, '188.119.64.0', '188.119.127.255', 3161931776, 3161948159, 'SA', 'Saudi Arabia'),
(93899, '188.119.128.0', '188.119.191.255', 3161948160, 3161964543, 'RO', 'Romania'),
(93900, '188.119.192.0', '188.119.255.255', 3161964544, 3161980927, 'ES', 'Spain'),
(93901, '188.120.0.0', '188.120.31.255', 3161980928, 3161989119, 'SK', 'Slovakia'),
(93902, '188.120.32.0', '188.120.63.255', 3161989120, 3161997311, 'RU', 'Russian Federation'),
(93903, '188.120.64.0', '188.120.95.255', 3161997312, 3162005503, 'DK', 'Denmark'),
(93904, '188.120.96.0', '188.120.127.255', 3162005504, 3162013695, 'RS', 'Serbia'),
(93905, '188.120.128.0', '188.120.159.255', 3162013696, 3162021887, 'IL', 'Israel'),
(93906, '188.120.160.0', '188.120.191.255', 3162021888, 3162030079, 'SE', 'Sweden'),
(93907, '188.120.192.0', '188.120.223.255', 3162030080, 3162038271, 'CZ', 'Czech Republic'),
(93908, '188.120.224.0', '188.120.255.255', 3162038272, 3162046463, 'RU', 'Russian Federation'),
(93909, '188.121.0.0', '188.121.31.255', 3162046464, 3162054655, 'PL', 'Poland'),
(93910, '188.121.32.0', '188.121.63.255', 3162054656, 3162062847, 'NL', 'Netherlands'),
(93911, '188.121.64.0', '188.121.95.255', 3162062848, 3162071039, 'SE', 'Sweden'),
(93912, '188.121.96.0', '188.121.159.255', 3162071040, 3162087423, 'IR', 'Iran, Islamic Republic of'),
(93913, '188.121.160.0', '188.121.191.255', 3162087424, 3162095615, 'SK', 'Slovakia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(93914, '188.121.192.0', '188.121.223.255', 3162095616, 3162103807, 'GE', 'Georgia'),
(93915, '188.121.224.0', '188.121.227.255', 3162103808, 3162104831, 'FR', 'France'),
(93916, '188.121.228.0', '188.121.251.255', 3162104832, 3162110975, 'NL', 'Netherlands'),
(93917, '188.121.252.0', '188.121.252.255', 3162110976, 3162111231, 'FR', 'France'),
(93918, '188.121.253.0', '188.121.255.255', 3162111232, 3162111999, 'NL', 'Netherlands'),
(93919, '188.122.0.0', '188.122.31.255', 3162112000, 3162120191, 'PL', 'Poland'),
(93920, '188.122.32.0', '188.122.63.255', 3162120192, 3162128383, 'GB', 'United Kingdom'),
(93921, '188.122.64.0', '188.122.67.255', 3162128384, 3162129407, 'NL', 'Netherlands'),
(93922, '188.122.68.0', '188.122.69.255', 3162129408, 3162129919, 'DE', 'Germany'),
(93923, '188.122.70.0', '188.122.95.255', 3162129920, 3162136575, 'NL', 'Netherlands'),
(93924, '188.122.96.0', '188.122.127.255', 3162136576, 3162144767, 'ES', 'Spain'),
(93925, '188.122.128.0', '188.122.159.255', 3162144768, 3162152959, 'SE', 'Sweden'),
(93926, '188.122.160.0', '188.122.191.255', 3162152960, 3162161151, 'RU', 'Russian Federation'),
(93927, '188.122.192.0', '188.122.223.255', 3162161152, 3162169343, 'CZ', 'Czech Republic'),
(93928, '188.122.224.0', '188.122.255.255', 3162169344, 3162177535, 'RU', 'Russian Federation'),
(93929, '188.123.0.0', '188.123.31.255', 3162177536, 3162185727, 'FI', 'Finland'),
(93930, '188.123.32.0', '188.123.63.255', 3162185728, 3162193919, 'RU', 'Russian Federation'),
(93931, '188.123.64.0', '188.123.95.255', 3162193920, 3162202111, 'FR', 'France'),
(93932, '188.123.96.0', '188.123.127.255', 3162202112, 3162210303, 'SK', 'Slovakia'),
(93933, '188.123.128.0', '188.123.159.255', 3162210304, 3162218495, 'GE', 'Georgia'),
(93934, '188.123.160.0', '188.123.191.255', 3162218496, 3162226687, 'JO', 'Jordan'),
(93935, '188.123.192.0', '188.123.223.255', 3162226688, 3162234879, 'PL', 'Poland'),
(93936, '188.123.224.0', '188.123.255.255', 3162234880, 3162243071, 'RU', 'Russian Federation'),
(93937, '188.124.0.0', '188.124.31.255', 3162243072, 3162251263, 'TR', 'Turkey'),
(93938, '188.124.32.0', '188.124.63.255', 3162251264, 3162259455, 'RU', 'Russian Federation'),
(93939, '188.124.64.0', '188.124.95.255', 3162259456, 3162267647, 'BG', 'Bulgaria'),
(93940, '188.124.96.0', '188.124.127.255', 3162267648, 3162275839, 'RU', 'Russian Federation'),
(93941, '188.124.128.0', '188.124.159.255', 3162275840, 3162284031, 'NO', 'Norway'),
(93942, '188.124.160.0', '188.124.191.255', 3162284032, 3162292223, 'PL', 'Poland'),
(93943, '188.124.192.0', '188.124.223.255', 3162292224, 3162300415, 'BA', 'Bosnia and Herzegovina'),
(93944, '188.124.224.0', '188.124.255.255', 3162300416, 3162308607, 'RU', 'Russian Federation'),
(93945, '188.125.0.0', '188.125.31.255', 3162308608, 3162316799, 'HR', 'Croatia'),
(93946, '188.125.32.0', '188.125.63.255', 3162316800, 3162324991, 'PL', 'Poland'),
(93947, '188.125.64.0', '188.125.71.255', 3162324992, 3162327039, 'IE', 'Ireland'),
(93948, '188.125.72.0', '188.125.79.255', 3162327040, 3162329087, 'CH', 'Switzerland'),
(93949, '188.125.80.0', '188.125.87.255', 3162329088, 3162331135, 'IE', 'Ireland'),
(93950, '188.125.88.0', '188.125.93.255', 3162331136, 3162332671, 'GB', 'United Kingdom'),
(93951, '188.125.94.0', '188.125.94.255', 3162332672, 3162332927, 'NL', 'Netherlands'),
(93952, '188.125.95.0', '188.125.95.255', 3162332928, 3162333183, 'DE', 'Germany'),
(93953, '188.125.96.0', '188.125.127.255', 3162333184, 3162341375, 'IT', 'Italy'),
(93954, '188.125.128.0', '188.125.159.255', 3162341376, 3162349567, 'PL', 'Poland'),
(93955, '188.125.160.0', '188.125.191.255', 3162349568, 3162357759, 'TR', 'Turkey'),
(93956, '188.125.192.0', '188.125.223.255', 3162357760, 3162365951, 'PT', 'Portugal'),
(93957, '188.125.224.0', '188.125.255.255', 3162365952, 3162374143, 'PL', 'Poland'),
(93958, '188.126.0.0', '188.126.31.255', 3162374144, 3162382335, 'BG', 'Bulgaria'),
(93959, '188.126.32.0', '188.126.63.255', 3162382336, 3162390527, 'RU', 'Russian Federation'),
(93960, '188.126.64.0', '188.126.79.255', 3162390528, 3162394623, 'SE', 'Sweden'),
(93961, '188.126.80.0', '188.126.95.255', 3162394624, 3162398719, 'A1', 'Anonymous Proxy'),
(93962, '188.126.96.0', '188.126.127.255', 3162398720, 3162406911, 'BE', 'Belgium'),
(93963, '188.126.128.0', '188.126.159.255', 3162406912, 3162415103, 'IR', 'Iran, Islamic Republic of'),
(93964, '188.126.160.0', '188.126.191.255', 3162415104, 3162423295, 'DE', 'Germany'),
(93965, '188.126.192.0', '188.126.223.255', 3162423296, 3162431487, 'NO', 'Norway'),
(93966, '188.126.224.0', '188.126.255.255', 3162431488, 3162439679, 'SE', 'Sweden'),
(93967, '188.127.0.0', '188.127.31.255', 3162439680, 3162447871, 'PL', 'Poland'),
(93968, '188.127.32.0', '188.127.63.255', 3162447872, 3162456063, 'RU', 'Russian Federation'),
(93969, '188.127.64.0', '188.127.95.255', 3162456064, 3162464255, 'BG', 'Bulgaria'),
(93970, '188.127.96.0', '188.127.127.255', 3162464256, 3162472447, 'BA', 'Bosnia and Herzegovina'),
(93971, '188.127.128.0', '188.127.159.255', 3162472448, 3162480639, 'HU', 'Hungary'),
(93972, '188.127.160.0', '188.127.191.255', 3162480640, 3162488831, 'ES', 'Spain'),
(93973, '188.127.192.0', '188.127.223.255', 3162488832, 3162497023, 'FI', 'Finland'),
(93974, '188.127.224.0', '188.127.253.63', 3162497024, 3162504511, 'RU', 'Russian Federation'),
(93975, '188.127.253.64', '188.127.253.95', 3162504512, 3162504543, 'PL', 'Poland'),
(93976, '188.127.253.96', '188.128.127.255', 3162504544, 3162537983, 'RU', 'Russian Federation'),
(93977, '188.128.128.0', '188.128.255.255', 3162537984, 3162570751, 'PL', 'Poland'),
(93978, '188.129.0.0', '188.129.127.255', 3162570752, 3162603519, 'HR', 'Croatia'),
(93979, '188.129.128.0', '188.129.255.255', 3162603520, 3162636287, 'GE', 'Georgia'),
(93980, '188.130.0.0', '188.130.127.255', 3162636288, 3162669055, 'FR', 'France'),
(93981, '188.130.128.0', '188.130.175.255', 3162669056, 3162681343, 'RU', 'Russian Federation'),
(93982, '188.130.176.0', '188.130.179.255', 3162681344, 3162682367, 'UA', 'Ukraine'),
(93983, '188.130.180.0', '188.130.181.255', 3162682368, 3162682879, 'RU', 'Russian Federation'),
(93984, '188.130.182.0', '188.130.183.255', 3162682880, 3162683391, 'LV', 'Latvia'),
(93985, '188.130.184.0', '188.130.191.255', 3162683392, 3162685439, 'RU', 'Russian Federation'),
(93986, '188.130.192.0', '188.130.223.255', 3162685440, 3162693631, 'UA', 'Ukraine'),
(93987, '188.130.224.0', '188.130.248.255', 3162693632, 3162700031, 'RU', 'Russian Federation'),
(93988, '188.130.249.0', '188.130.249.255', 3162700032, 3162700287, 'UZ', 'Uzbekistan'),
(93989, '188.130.250.0', '188.130.250.3', 3162700288, 3162700291, 'AL', 'Albania'),
(93990, '188.130.250.4', '188.130.250.7', 3162700292, 3162700295, 'AG', 'Antigua and Barbuda'),
(93991, '188.130.250.8', '188.130.250.11', 3162700296, 3162700299, 'AR', 'Argentina'),
(93992, '188.130.250.12', '188.130.250.15', 3162700300, 3162700303, 'AM', 'Armenia'),
(93993, '188.130.250.16', '188.130.250.19', 3162700304, 3162700307, 'AU', 'Australia'),
(93994, '188.130.250.20', '188.130.250.23', 3162700308, 3162700311, 'BS', 'Bahamas'),
(93995, '188.130.250.24', '188.130.250.27', 3162700312, 3162700315, 'BY', 'Belarus'),
(93996, '188.130.250.28', '188.130.250.31', 3162700316, 3162700319, 'BZ', 'Belize'),
(93997, '188.130.250.32', '188.130.250.35', 3162700320, 3162700323, 'BM', 'Bermuda'),
(93998, '188.130.250.36', '188.130.250.39', 3162700324, 3162700327, 'BA', 'Bosnia and Herzegovina'),
(93999, '188.130.250.40', '188.130.250.43', 3162700328, 3162700331, 'BR', 'Brazil'),
(94000, '188.130.250.44', '188.130.250.47', 3162700332, 3162700335, 'VG', 'Virgin Islands, British'),
(94001, '188.130.250.48', '188.130.250.51', 3162700336, 3162700339, 'BN', 'Brunei Darussalam'),
(94002, '188.130.250.52', '188.130.250.55', 3162700340, 3162700343, 'BG', 'Bulgaria'),
(94003, '188.130.250.56', '188.130.250.59', 3162700344, 3162700347, 'CA', 'Canada'),
(94004, '188.130.250.60', '188.130.250.63', 3162700348, 3162700351, 'KY', 'Cayman Islands'),
(94005, '188.130.250.64', '188.130.250.67', 3162700352, 3162700355, 'CL', 'Chile'),
(94006, '188.130.250.68', '188.130.250.71', 3162700356, 3162700359, 'CO', 'Colombia'),
(94007, '188.130.250.72', '188.130.250.75', 3162700360, 3162700363, 'CR', 'Costa Rica'),
(94008, '188.130.250.76', '188.130.250.79', 3162700364, 3162700367, 'HR', 'Croatia'),
(94009, '188.130.250.80', '188.130.250.83', 3162700368, 3162700371, 'CY', 'Cyprus'),
(94010, '188.130.250.84', '188.130.250.87', 3162700372, 3162700375, 'DK', 'Denmark'),
(94011, '188.130.250.88', '188.130.250.91', 3162700376, 3162700379, 'EG', 'Egypt'),
(94012, '188.130.250.92', '188.130.250.95', 3162700380, 3162700383, 'FR', 'France'),
(94013, '188.130.250.96', '188.130.250.99', 3162700384, 3162700387, 'DE', 'Germany'),
(94014, '188.130.250.100', '188.130.250.103', 3162700388, 3162700391, 'GR', 'Greece'),
(94015, '188.130.250.104', '188.130.250.107', 3162700392, 3162700395, 'HK', 'Hong Kong'),
(94016, '188.130.250.108', '188.130.250.111', 3162700396, 3162700399, 'HU', 'Hungary'),
(94017, '188.130.250.112', '188.130.250.115', 3162700400, 3162700403, 'IN', 'India'),
(94018, '188.130.250.116', '188.130.250.119', 3162700404, 3162700407, 'ID', 'Indonesia'),
(94019, '188.130.250.120', '188.130.250.123', 3162700408, 3162700411, 'IL', 'Israel'),
(94020, '188.130.250.124', '188.130.250.127', 3162700412, 3162700415, 'IT', 'Italy'),
(94021, '188.130.250.128', '188.130.250.131', 3162700416, 3162700419, 'JP', 'Japan'),
(94022, '188.130.250.132', '188.130.250.135', 3162700420, 3162700423, 'KR', 'Korea, Republic of'),
(94023, '188.130.250.136', '188.130.250.139', 3162700424, 3162700427, 'LV', 'Latvia'),
(94024, '188.130.250.140', '188.130.250.143', 3162700428, 3162700431, 'LB', 'Lebanon'),
(94025, '188.130.250.144', '188.130.250.147', 3162700432, 3162700435, 'LI', 'Liechtenstein'),
(94026, '188.130.250.148', '188.130.250.151', 3162700436, 3162700439, 'MY', 'Malaysia'),
(94027, '188.130.250.152', '188.130.250.155', 3162700440, 3162700443, 'MT', 'Malta'),
(94028, '188.130.250.156', '188.130.250.159', 3162700444, 3162700447, 'MX', 'Mexico'),
(94029, '188.130.250.160', '188.130.250.163', 3162700448, 3162700451, 'NZ', 'New Zealand'),
(94030, '188.130.250.164', '188.130.250.167', 3162700452, 3162700455, 'NO', 'Norway'),
(94031, '188.130.250.168', '188.130.250.171', 3162700456, 3162700459, 'PK', 'Pakistan'),
(94032, '188.130.250.172', '188.130.250.175', 3162700460, 3162700463, 'PA', 'Panama'),
(94033, '188.130.250.176', '188.130.250.179', 3162700464, 3162700467, 'PE', 'Peru'),
(94034, '188.130.250.180', '188.130.250.183', 3162700468, 3162700471, 'PH', 'Philippines'),
(94035, '188.130.250.184', '188.130.250.187', 3162700472, 3162700475, 'RO', 'Romania'),
(94036, '188.130.250.188', '188.130.250.191', 3162700476, 3162700479, 'RU', 'Russian Federation'),
(94037, '188.130.250.192', '188.130.250.195', 3162700480, 3162700483, 'RS', 'Serbia'),
(94038, '188.130.250.196', '188.130.250.199', 3162700484, 3162700487, 'SG', 'Singapore'),
(94039, '188.130.250.200', '188.130.250.203', 3162700488, 3162700491, 'SK', 'Slovakia'),
(94040, '188.130.250.204', '188.130.250.207', 3162700492, 3162700495, 'ZA', 'South Africa'),
(94041, '188.130.250.208', '188.130.250.211', 3162700496, 3162700499, 'ES', 'Spain'),
(94042, '188.130.250.212', '188.130.250.215', 3162700500, 3162700503, 'KN', 'Saint Kitts and Nevis'),
(94043, '188.130.250.216', '188.130.250.219', 3162700504, 3162700507, 'CH', 'Switzerland'),
(94044, '188.130.250.220', '188.130.250.223', 3162700508, 3162700511, 'TW', 'Taiwan'),
(94045, '188.130.250.224', '188.130.250.227', 3162700512, 3162700515, 'TH', 'Thailand'),
(94046, '188.130.250.228', '188.130.250.231', 3162700516, 3162700519, 'TR', 'Turkey'),
(94047, '188.130.250.232', '188.130.250.235', 3162700520, 3162700523, 'UA', 'Ukraine'),
(94048, '188.130.250.236', '188.130.250.239', 3162700524, 3162700527, 'GB', 'United Kingdom'),
(94049, '188.130.250.240', '188.130.250.243', 3162700528, 3162700531, 'US', 'United States'),
(94050, '188.130.250.244', '188.130.250.247', 3162700532, 3162700535, 'UY', 'Uruguay'),
(94051, '188.130.250.248', '188.130.250.251', 3162700536, 3162700539, 'UZ', 'Uzbekistan'),
(94052, '188.130.250.252', '188.130.250.255', 3162700540, 3162700543, 'VE', 'Venezuela'),
(94053, '188.130.251.0', '188.130.251.255', 3162700544, 3162700799, 'UA', 'Ukraine'),
(94054, '188.130.252.0', '188.130.255.255', 3162700800, 3162701823, 'RU', 'Russian Federation'),
(94055, '188.131.0.0', '188.131.127.255', 3162701824, 3162734591, 'MD', 'Moldova, Republic of'),
(94056, '188.131.128.0', '188.131.255.255', 3162734592, 3162767359, 'RU', 'Russian Federation'),
(94057, '188.132.0.0', '188.132.127.255', 3162767360, 3162800127, 'SA', 'Saudi Arabia'),
(94058, '188.132.128.0', '188.132.255.255', 3162800128, 3162832895, 'TR', 'Turkey'),
(94059, '188.133.0.0', '188.133.127.255', 3162832896, 3162865663, 'GR', 'Greece'),
(94060, '188.133.128.0', '188.134.127.255', 3162865664, 3162931199, 'RU', 'Russian Federation'),
(94061, '188.134.128.0', '188.134.255.255', 3162931200, 3162963967, 'CZ', 'Czech Republic'),
(94062, '188.135.0.0', '188.135.127.255', 3162963968, 3162996735, 'OM', 'Oman'),
(94063, '188.135.128.0', '188.135.255.255', 3162996736, 3163029503, 'IT', 'Italy'),
(94064, '188.136.0.0', '188.136.127.255', 3163029504, 3163062271, 'DE', 'Germany'),
(94065, '188.136.128.0', '188.136.255.255', 3163062272, 3163095039, 'IR', 'Iran, Islamic Republic of'),
(94066, '188.137.0.0', '188.137.127.255', 3163095040, 3163127807, 'PL', 'Poland'),
(94067, '188.137.128.0', '188.137.255.255', 3163127808, 3163160575, 'BH', 'Bahrain'),
(94068, '188.138.0.0', '188.138.3.255', 3163160576, 3163161599, 'DE', 'Germany'),
(94069, '188.138.4.0', '188.138.4.31', 3163161600, 3163161631, 'IN', 'India'),
(94070, '188.138.4.32', '188.138.4.63', 3163161632, 3163161663, 'DK', 'Denmark'),
(94071, '188.138.4.64', '188.138.4.95', 3163161664, 3163161695, 'US', 'United States'),
(94072, '188.138.4.96', '188.138.4.127', 3163161696, 3163161727, 'BG', 'Bulgaria'),
(94073, '188.138.4.128', '188.138.4.159', 3163161728, 3163161759, 'IN', 'India'),
(94074, '188.138.4.160', '188.138.4.223', 3163161760, 3163161823, 'BR', 'Brazil'),
(94075, '188.138.4.224', '188.138.4.255', 3163161824, 3163161855, 'US', 'United States'),
(94076, '188.138.5.0', '188.138.5.31', 3163161856, 3163161887, 'BR', 'Brazil'),
(94077, '188.138.5.32', '188.138.5.95', 3163161888, 3163161951, 'US', 'United States'),
(94078, '188.138.5.96', '188.138.5.159', 3163161952, 3163162015, 'DE', 'Germany'),
(94079, '188.138.5.160', '188.138.5.191', 3163162016, 3163162047, 'US', 'United States'),
(94080, '188.138.5.192', '188.138.5.223', 3163162048, 3163162079, 'NL', 'Netherlands'),
(94081, '188.138.5.224', '188.138.5.255', 3163162080, 3163162111, 'RU', 'Russian Federation'),
(94082, '188.138.6.0', '188.138.6.31', 3163162112, 3163162143, 'TR', 'Turkey'),
(94083, '188.138.6.32', '188.138.6.95', 3163162144, 3163162207, 'DE', 'Germany'),
(94084, '188.138.6.96', '188.138.6.127', 3163162208, 3163162239, 'UA', 'Ukraine'),
(94085, '188.138.6.128', '188.138.6.159', 3163162240, 3163162271, 'MA', 'Morocco'),
(94086, '188.138.6.160', '188.138.6.191', 3163162272, 3163162303, 'NL', 'Netherlands'),
(94087, '188.138.6.192', '188.138.6.223', 3163162304, 3163162335, 'TH', 'Thailand'),
(94088, '188.138.6.224', '188.138.6.255', 3163162336, 3163162367, 'RU', 'Russian Federation'),
(94089, '188.138.7.0', '188.138.7.31', 3163162368, 3163162399, 'DE', 'Germany'),
(94090, '188.138.7.32', '188.138.7.63', 3163162400, 3163162431, 'MA', 'Morocco'),
(94091, '188.138.7.64', '188.138.7.95', 3163162432, 3163162463, 'CY', 'Cyprus'),
(94092, '188.138.7.96', '188.138.7.127', 3163162464, 3163162495, 'DE', 'Germany'),
(94093, '188.138.7.128', '188.138.7.159', 3163162496, 3163162527, 'BR', 'Brazil'),
(94094, '188.138.7.160', '188.138.7.191', 3163162528, 3163162559, 'DE', 'Germany'),
(94095, '188.138.7.192', '188.138.7.255', 3163162560, 3163162623, 'US', 'United States'),
(94096, '188.138.8.0', '188.138.10.127', 3163162624, 3163163263, 'DE', 'Germany'),
(94097, '188.138.10.128', '188.138.10.129', 3163163264, 3163163265, 'TW', 'Taiwan'),
(94098, '188.138.10.130', '188.138.10.132', 3163163266, 3163163268, 'LT', 'Lithuania'),
(94099, '188.138.10.133', '188.138.10.191', 3163163269, 3163163327, 'DE', 'Germany'),
(94100, '188.138.10.192', '188.138.10.192', 3163163328, 3163163328, 'RU', 'Russian Federation'),
(94101, '188.138.10.193', '188.138.10.194', 3163163329, 3163163330, 'DE', 'Germany'),
(94102, '188.138.10.195', '188.138.10.195', 3163163331, 3163163331, 'CA', 'Canada'),
(94103, '188.138.10.196', '188.138.10.198', 3163163332, 3163163334, 'DE', 'Germany'),
(94104, '188.138.10.199', '188.138.10.199', 3163163335, 3163163335, 'PL', 'Poland'),
(94105, '188.138.10.200', '188.138.10.200', 3163163336, 3163163336, 'DE', 'Germany'),
(94106, '188.138.10.201', '188.138.10.201', 3163163337, 3163163337, 'RU', 'Russian Federation'),
(94107, '188.138.10.202', '188.138.10.202', 3163163338, 3163163338, 'BR', 'Brazil'),
(94108, '188.138.10.203', '188.138.10.203', 3163163339, 3163163339, 'TR', 'Turkey'),
(94109, '188.138.10.204', '188.138.10.206', 3163163340, 3163163342, 'DE', 'Germany'),
(94110, '188.138.10.207', '188.138.10.207', 3163163343, 3163163343, 'IR', 'Iran, Islamic Republic of'),
(94111, '188.138.10.208', '188.138.11.255', 3163163344, 3163163647, 'DE', 'Germany'),
(94112, '188.138.12.0', '188.138.12.31', 3163163648, 3163163679, 'DK', 'Denmark'),
(94113, '188.138.12.32', '188.138.12.63', 3163163680, 3163163711, 'RU', 'Russian Federation'),
(94114, '188.138.12.64', '188.138.12.95', 3163163712, 3163163743, 'BR', 'Brazil'),
(94115, '188.138.12.96', '188.138.12.159', 3163163744, 3163163807, 'US', 'United States'),
(94116, '188.138.12.160', '188.138.12.191', 3163163808, 3163163839, 'CY', 'Cyprus'),
(94117, '188.138.12.192', '188.138.12.223', 3163163840, 3163163871, 'PL', 'Poland'),
(94118, '188.138.12.224', '188.138.12.255', 3163163872, 3163163903, 'RU', 'Russian Federation'),
(94119, '188.138.13.0', '188.138.13.31', 3163163904, 3163163935, 'GR', 'Greece'),
(94120, '188.138.13.32', '188.138.13.63', 3163163936, 3163163967, 'BR', 'Brazil'),
(94121, '188.138.13.64', '188.138.13.95', 3163163968, 3163163999, 'US', 'United States'),
(94122, '188.138.13.96', '188.138.13.127', 3163164000, 3163164031, 'MA', 'Morocco'),
(94123, '188.138.13.128', '188.138.13.159', 3163164032, 3163164063, 'US', 'United States'),
(94124, '188.138.13.160', '188.138.13.191', 3163164064, 3163164095, 'AM', 'Armenia'),
(94125, '188.138.13.192', '188.138.13.223', 3163164096, 3163164127, 'RU', 'Russian Federation'),
(94126, '188.138.13.224', '188.138.13.255', 3163164128, 3163164159, 'MA', 'Morocco'),
(94127, '188.138.14.0', '188.138.14.31', 3163164160, 3163164191, 'US', 'United States'),
(94128, '188.138.14.32', '188.138.14.63', 3163164192, 3163164223, 'DE', 'Germany'),
(94129, '188.138.14.64', '188.138.14.95', 3163164224, 3163164255, 'LT', 'Lithuania'),
(94130, '188.138.14.96', '188.138.14.127', 3163164256, 3163164287, 'DE', 'Germany'),
(94131, '188.138.14.128', '188.138.14.159', 3163164288, 3163164319, 'CL', 'Chile'),
(94132, '188.138.14.160', '188.138.14.191', 3163164320, 3163164351, 'RU', 'Russian Federation'),
(94133, '188.138.14.192', '188.138.14.223', 3163164352, 3163164383, 'DE', 'Germany'),
(94134, '188.138.14.224', '188.138.14.255', 3163164384, 3163164415, 'US', 'United States'),
(94135, '188.138.15.0', '188.138.15.31', 3163164416, 3163164447, 'PL', 'Poland'),
(94136, '188.138.15.32', '188.138.15.63', 3163164448, 3163164479, 'US', 'United States'),
(94137, '188.138.15.64', '188.138.15.95', 3163164480, 3163164511, 'DE', 'Germany'),
(94138, '188.138.15.96', '188.138.15.127', 3163164512, 3163164543, 'HU', 'Hungary'),
(94139, '188.138.15.128', '188.138.15.159', 3163164544, 3163164575, 'RU', 'Russian Federation'),
(94140, '188.138.15.160', '188.138.15.191', 3163164576, 3163164607, 'DE', 'Germany'),
(94141, '188.138.15.192', '188.138.15.223', 3163164608, 3163164639, 'ES', 'Spain'),
(94142, '188.138.15.224', '188.138.15.255', 3163164640, 3163164671, 'US', 'United States'),
(94143, '188.138.16.0', '188.138.19.255', 3163164672, 3163165695, 'DE', 'Germany'),
(94144, '188.138.20.0', '188.138.20.31', 3163165696, 3163165727, 'US', 'United States'),
(94145, '188.138.20.32', '188.138.20.63', 3163165728, 3163165759, 'RU', 'Russian Federation'),
(94146, '188.138.20.64', '188.138.20.95', 3163165760, 3163165791, 'PL', 'Poland'),
(94147, '188.138.20.96', '188.138.20.127', 3163165792, 3163165823, 'RU', 'Russian Federation'),
(94148, '188.138.20.128', '188.138.20.159', 3163165824, 3163165855, 'BR', 'Brazil'),
(94149, '188.138.20.160', '188.138.20.191', 3163165856, 3163165887, 'DE', 'Germany'),
(94150, '188.138.20.192', '188.138.20.223', 3163165888, 3163165919, 'AR', 'Argentina'),
(94151, '188.138.20.224', '188.138.21.31', 3163165920, 3163165983, 'DE', 'Germany'),
(94152, '188.138.21.32', '188.138.21.63', 3163165984, 3163166015, 'AR', 'Argentina'),
(94153, '188.138.21.64', '188.138.21.95', 3163166016, 3163166047, 'US', 'United States'),
(94154, '188.138.21.96', '188.138.21.127', 3163166048, 3163166079, 'BR', 'Brazil'),
(94155, '188.138.21.128', '188.138.21.159', 3163166080, 3163166111, 'MA', 'Morocco'),
(94156, '188.138.21.160', '188.138.21.169', 3163166112, 3163166121, 'AR', 'Argentina'),
(94157, '188.138.21.170', '188.138.21.170', 3163166122, 3163166122, 'DE', 'Germany'),
(94158, '188.138.21.171', '188.138.21.191', 3163166123, 3163166143, 'AR', 'Argentina'),
(94159, '188.138.21.192', '188.138.21.223', 3163166144, 3163166175, 'DE', 'Germany'),
(94160, '188.138.21.224', '188.138.21.255', 3163166176, 3163166207, 'RU', 'Russian Federation'),
(94161, '188.138.22.0', '188.138.22.31', 3163166208, 3163166239, 'TR', 'Turkey'),
(94162, '188.138.22.32', '188.138.22.63', 3163166240, 3163166271, 'IT', 'Italy'),
(94163, '188.138.22.64', '188.138.22.127', 3163166272, 3163166335, 'DE', 'Germany'),
(94164, '188.138.22.128', '188.138.22.191', 3163166336, 3163166399, 'US', 'United States'),
(94165, '188.138.22.192', '188.138.22.223', 3163166400, 3163166431, 'DE', 'Germany'),
(94166, '188.138.22.224', '188.138.23.31', 3163166432, 3163166495, 'BR', 'Brazil'),
(94167, '188.138.23.32', '188.138.23.63', 3163166496, 3163166527, 'RO', 'Romania'),
(94168, '188.138.23.64', '188.138.23.95', 3163166528, 3163166559, 'DE', 'Germany'),
(94169, '188.138.23.96', '188.138.23.127', 3163166560, 3163166591, 'HU', 'Hungary'),
(94170, '188.138.23.128', '188.138.23.159', 3163166592, 3163166623, 'IN', 'India'),
(94171, '188.138.23.160', '188.138.23.191', 3163166624, 3163166655, 'AR', 'Argentina'),
(94172, '188.138.23.192', '188.138.23.223', 3163166656, 3163166687, 'DE', 'Germany'),
(94173, '188.138.23.224', '188.138.23.255', 3163166688, 3163166719, 'RU', 'Russian Federation'),
(94174, '188.138.24.0', '188.138.27.255', 3163166720, 3163167743, 'DE', 'Germany'),
(94175, '188.138.28.0', '188.138.28.31', 3163167744, 3163167775, 'RU', 'Russian Federation'),
(94176, '188.138.28.32', '188.138.28.63', 3163167776, 3163167807, 'GR', 'Greece'),
(94177, '188.138.28.64', '188.138.28.95', 3163167808, 3163167839, 'US', 'United States'),
(94178, '188.138.28.96', '188.138.28.127', 3163167840, 3163167871, 'BR', 'Brazil'),
(94179, '188.138.28.128', '188.138.28.159', 3163167872, 3163167903, 'DE', 'Germany'),
(94180, '188.138.28.160', '188.138.28.191', 3163167904, 3163167935, 'UA', 'Ukraine'),
(94181, '188.138.28.192', '188.138.28.223', 3163167936, 3163167967, 'US', 'United States'),
(94182, '188.138.28.224', '188.138.28.255', 3163167968, 3163167999, 'TR', 'Turkey'),
(94183, '188.138.29.0', '188.138.29.31', 3163168000, 3163168031, 'BR', 'Brazil'),
(94184, '188.138.29.32', '188.138.29.95', 3163168032, 3163168095, 'RU', 'Russian Federation'),
(94185, '188.138.29.96', '188.138.29.127', 3163168096, 3163168127, 'TR', 'Turkey'),
(94186, '188.138.29.128', '188.138.29.159', 3163168128, 3163168159, 'DE', 'Germany'),
(94187, '188.138.29.160', '188.138.29.191', 3163168160, 3163168191, 'BR', 'Brazil'),
(94188, '188.138.29.192', '188.138.29.223', 3163168192, 3163168223, 'AT', 'Austria'),
(94189, '188.138.29.224', '188.138.29.255', 3163168224, 3163168255, 'DE', 'Germany'),
(94190, '188.138.30.0', '188.138.30.31', 3163168256, 3163168287, 'US', 'United States'),
(94191, '188.138.30.32', '188.138.30.63', 3163168288, 3163168319, 'BR', 'Brazil'),
(94192, '188.138.30.64', '188.138.30.95', 3163168320, 3163168351, 'DK', 'Denmark'),
(94193, '188.138.30.96', '188.138.30.127', 3163168352, 3163168383, 'RU', 'Russian Federation'),
(94194, '188.138.30.128', '188.138.30.159', 3163168384, 3163168415, 'TR', 'Turkey'),
(94195, '188.138.30.160', '188.138.30.223', 3163168416, 3163168479, 'DE', 'Germany'),
(94196, '188.138.30.224', '188.138.30.255', 3163168480, 3163168511, 'US', 'United States'),
(94197, '188.138.31.0', '188.138.31.31', 3163168512, 3163168543, 'TR', 'Turkey'),
(94198, '188.138.31.32', '188.138.31.63', 3163168544, 3163168575, 'DE', 'Germany'),
(94199, '188.138.31.64', '188.138.31.95', 3163168576, 3163168607, 'US', 'United States'),
(94200, '188.138.31.96', '188.138.31.127', 3163168608, 3163168639, 'MA', 'Morocco'),
(94201, '188.138.31.128', '188.138.31.159', 3163168640, 3163168671, 'DE', 'Germany'),
(94202, '188.138.31.160', '188.138.31.191', 3163168672, 3163168703, 'US', 'United States'),
(94203, '188.138.31.192', '188.138.31.223', 3163168704, 3163168735, 'GR', 'Greece'),
(94204, '188.138.31.224', '188.138.36.31', 3163168736, 3163169823, 'DE', 'Germany'),
(94205, '188.138.36.32', '188.138.36.63', 3163169824, 3163169855, 'RU', 'Russian Federation'),
(94206, '188.138.36.64', '188.138.36.95', 3163169856, 3163169887, 'US', 'United States'),
(94207, '188.138.36.96', '188.138.36.159', 3163169888, 3163169951, 'DE', 'Germany'),
(94208, '188.138.36.160', '188.138.36.191', 3163169952, 3163169983, 'HR', 'Croatia'),
(94209, '188.138.36.192', '188.138.36.223', 3163169984, 3163170015, 'DE', 'Germany'),
(94210, '188.138.36.224', '188.138.36.255', 3163170016, 3163170047, 'ES', 'Spain'),
(94211, '188.138.37.0', '188.138.37.31', 3163170048, 3163170079, 'RU', 'Russian Federation'),
(94212, '188.138.37.32', '188.138.37.63', 3163170080, 3163170111, 'DE', 'Germany'),
(94213, '188.138.37.64', '188.138.37.95', 3163170112, 3163170143, 'CZ', 'Czech Republic'),
(94214, '188.138.37.96', '188.138.37.127', 3163170144, 3163170175, 'ZA', 'South Africa'),
(94215, '188.138.37.128', '188.138.37.159', 3163170176, 3163170207, 'DE', 'Germany'),
(94216, '188.138.37.160', '188.138.37.191', 3163170208, 3163170239, 'RU', 'Russian Federation'),
(94217, '188.138.37.192', '188.138.37.223', 3163170240, 3163170271, 'DE', 'Germany'),
(94218, '188.138.37.224', '188.138.37.255', 3163170272, 3163170303, 'US', 'United States'),
(94219, '188.138.38.0', '188.138.38.31', 3163170304, 3163170335, 'IT', 'Italy'),
(94220, '188.138.38.32', '188.138.38.63', 3163170336, 3163170367, 'RO', 'Romania'),
(94221, '188.138.38.64', '188.138.38.95', 3163170368, 3163170399, 'US', 'United States'),
(94222, '188.138.38.96', '188.138.38.127', 3163170400, 3163170431, 'BR', 'Brazil'),
(94223, '188.138.38.128', '188.138.38.159', 3163170432, 3163170463, 'DE', 'Germany'),
(94224, '188.138.38.160', '188.138.38.191', 3163170464, 3163170495, 'US', 'United States'),
(94225, '188.138.38.192', '188.138.38.223', 3163170496, 3163170527, 'BG', 'Bulgaria'),
(94226, '188.138.38.224', '188.138.38.255', 3163170528, 3163170559, 'HR', 'Croatia'),
(94227, '188.138.39.0', '188.138.39.31', 3163170560, 3163170591, 'DE', 'Germany'),
(94228, '188.138.39.32', '188.138.39.63', 3163170592, 3163170623, 'BR', 'Brazil'),
(94229, '188.138.39.64', '188.138.39.95', 3163170624, 3163170655, 'GR', 'Greece'),
(94230, '188.138.39.96', '188.138.39.127', 3163170656, 3163170687, 'BR', 'Brazil'),
(94231, '188.138.39.128', '188.138.39.159', 3163170688, 3163170719, 'DE', 'Germany'),
(94232, '188.138.39.160', '188.138.39.191', 3163170720, 3163170751, 'MA', 'Morocco'),
(94233, '188.138.39.192', '188.138.39.223', 3163170752, 3163170783, 'CH', 'Switzerland'),
(94234, '188.138.39.224', '188.138.39.255', 3163170784, 3163170815, 'US', 'United States'),
(94235, '188.138.40.0', '188.138.43.255', 3163170816, 3163171839, 'DE', 'Germany'),
(94236, '188.138.44.0', '188.138.44.31', 3163171840, 3163171871, 'NL', 'Netherlands'),
(94237, '188.138.44.32', '188.138.44.63', 3163171872, 3163171903, 'RO', 'Romania'),
(94238, '188.138.44.64', '188.138.44.95', 3163171904, 3163171935, 'BR', 'Brazil'),
(94239, '188.138.44.96', '188.138.44.127', 3163171936, 3163171967, 'DE', 'Germany'),
(94240, '188.138.44.128', '188.138.44.159', 3163171968, 3163171999, 'US', 'United States'),
(94241, '188.138.44.160', '188.138.44.191', 3163172000, 3163172031, 'BR', 'Brazil'),
(94242, '188.138.44.192', '188.138.44.223', 3163172032, 3163172063, 'LT', 'Lithuania'),
(94243, '188.138.44.224', '188.138.45.31', 3163172064, 3163172127, 'BR', 'Brazil'),
(94244, '188.138.45.32', '188.138.45.63', 3163172128, 3163172159, 'US', 'United States'),
(94245, '188.138.45.64', '188.138.45.95', 3163172160, 3163172191, 'TR', 'Turkey'),
(94246, '188.138.45.96', '188.138.45.127', 3163172192, 3163172223, 'LT', 'Lithuania'),
(94247, '188.138.45.128', '188.138.45.159', 3163172224, 3163172255, 'DE', 'Germany'),
(94248, '188.138.45.160', '188.138.45.191', 3163172256, 3163172287, 'US', 'United States'),
(94249, '188.138.45.192', '188.138.45.223', 3163172288, 3163172319, 'DE', 'Germany'),
(94250, '188.138.45.224', '188.138.45.255', 3163172320, 3163172351, 'NL', 'Netherlands'),
(94251, '188.138.46.0', '188.138.46.31', 3163172352, 3163172383, 'FR', 'France'),
(94252, '188.138.46.32', '188.138.46.63', 3163172384, 3163172415, 'GB', 'United Kingdom'),
(94253, '188.138.46.64', '188.138.46.95', 3163172416, 3163172447, 'DE', 'Germany'),
(94254, '188.138.46.96', '188.138.46.127', 3163172448, 3163172479, 'US', 'United States'),
(94255, '188.138.46.128', '188.138.46.159', 3163172480, 3163172511, 'MA', 'Morocco'),
(94256, '188.138.46.160', '188.138.46.191', 3163172512, 3163172543, 'RU', 'Russian Federation'),
(94257, '188.138.46.192', '188.138.46.223', 3163172544, 3163172575, 'AR', 'Argentina'),
(94258, '188.138.46.224', '188.138.46.255', 3163172576, 3163172607, 'MA', 'Morocco'),
(94259, '188.138.47.0', '188.138.47.31', 3163172608, 3163172639, 'DK', 'Denmark'),
(94260, '188.138.47.32', '188.138.47.63', 3163172640, 3163172671, 'LV', 'Latvia'),
(94261, '188.138.47.64', '188.138.47.95', 3163172672, 3163172703, 'BR', 'Brazil'),
(94262, '188.138.47.96', '188.138.47.127', 3163172704, 3163172735, 'DE', 'Germany'),
(94263, '188.138.47.128', '188.138.47.159', 3163172736, 3163172767, 'GR', 'Greece'),
(94264, '188.138.47.160', '188.138.47.191', 3163172768, 3163172799, 'US', 'United States'),
(94265, '188.138.47.192', '188.138.47.223', 3163172800, 3163172831, 'RU', 'Russian Federation'),
(94266, '188.138.47.224', '188.138.47.255', 3163172832, 3163172863, 'BR', 'Brazil'),
(94267, '188.138.48.0', '188.138.52.63', 3163172864, 3163173951, 'DE', 'Germany'),
(94268, '188.138.52.64', '188.138.52.95', 3163173952, 3163173983, 'IN', 'India'),
(94269, '188.138.52.96', '188.138.52.127', 3163173984, 3163174015, 'GB', 'United Kingdom'),
(94270, '188.138.52.128', '188.138.52.159', 3163174016, 3163174047, 'RU', 'Russian Federation'),
(94271, '188.138.52.160', '188.138.52.191', 3163174048, 3163174079, 'DK', 'Denmark'),
(94272, '188.138.52.192', '188.138.52.223', 3163174080, 3163174111, 'BR', 'Brazil'),
(94273, '188.138.52.224', '188.138.52.255', 3163174112, 3163174143, 'BE', 'Belgium'),
(94274, '188.138.53.0', '188.138.53.31', 3163174144, 3163174175, 'BD', 'Bangladesh'),
(94275, '188.138.53.32', '188.138.53.63', 3163174176, 3163174207, 'MA', 'Morocco'),
(94276, '188.138.53.64', '188.138.53.95', 3163174208, 3163174239, 'RU', 'Russian Federation'),
(94277, '188.138.53.96', '188.138.53.127', 3163174240, 3163174271, 'MA', 'Morocco'),
(94278, '188.138.53.128', '188.138.53.159', 3163174272, 3163174303, 'DE', 'Germany'),
(94279, '188.138.53.160', '188.138.53.191', 3163174304, 3163174335, 'US', 'United States'),
(94280, '188.138.53.192', '188.138.53.223', 3163174336, 3163174367, 'RU', 'Russian Federation'),
(94281, '188.138.53.224', '188.138.54.31', 3163174368, 3163174431, 'DE', 'Germany'),
(94282, '188.138.54.32', '188.138.54.63', 3163174432, 3163174463, 'BR', 'Brazil'),
(94283, '188.138.54.64', '188.138.54.95', 3163174464, 3163174495, 'DE', 'Germany'),
(94284, '188.138.54.96', '188.138.54.127', 3163174496, 3163174527, 'US', 'United States'),
(94285, '188.138.54.128', '188.138.54.159', 3163174528, 3163174559, 'BD', 'Bangladesh'),
(94286, '188.138.54.160', '188.138.54.191', 3163174560, 3163174591, 'PL', 'Poland'),
(94287, '188.138.54.192', '188.138.54.223', 3163174592, 3163174623, 'SE', 'Sweden'),
(94288, '188.138.54.224', '188.138.54.255', 3163174624, 3163174655, 'GB', 'United Kingdom'),
(94289, '188.138.55.0', '188.138.55.31', 3163174656, 3163174687, 'RU', 'Russian Federation'),
(94290, '188.138.55.32', '188.138.55.63', 3163174688, 3163174719, 'DE', 'Germany'),
(94291, '188.138.55.64', '188.138.55.95', 3163174720, 3163174751, 'NL', 'Netherlands'),
(94292, '188.138.55.96', '188.138.55.127', 3163174752, 3163174783, 'BR', 'Brazil'),
(94293, '188.138.55.128', '188.138.55.159', 3163174784, 3163174815, 'TW', 'Taiwan'),
(94294, '188.138.55.160', '188.138.55.191', 3163174816, 3163174847, 'CA', 'Canada'),
(94295, '188.138.55.192', '188.138.55.223', 3163174848, 3163174879, 'TR', 'Turkey'),
(94296, '188.138.55.224', '188.138.55.255', 3163174880, 3163174911, 'RU', 'Russian Federation'),
(94297, '188.138.56.0', '188.138.60.31', 3163174912, 3163175967, 'DE', 'Germany'),
(94298, '188.138.60.32', '188.138.60.95', 3163175968, 3163176031, 'US', 'United States'),
(94299, '188.138.60.96', '188.138.60.127', 3163176032, 3163176063, 'DE', 'Germany'),
(94300, '188.138.60.128', '188.138.60.159', 3163176064, 3163176095, 'RU', 'Russian Federation'),
(94301, '188.138.60.160', '188.138.60.191', 3163176096, 3163176127, 'CY', 'Cyprus'),
(94302, '188.138.60.192', '188.138.60.223', 3163176128, 3163176159, 'US', 'United States'),
(94303, '188.138.60.224', '188.138.60.255', 3163176160, 3163176191, 'DE', 'Germany'),
(94304, '188.138.61.0', '188.138.61.31', 3163176192, 3163176223, 'US', 'United States'),
(94305, '188.138.61.32', '188.138.61.63', 3163176224, 3163176255, 'DE', 'Germany'),
(94306, '188.138.61.64', '188.138.61.95', 3163176256, 3163176287, 'UG', 'Uganda'),
(94307, '188.138.61.96', '188.138.61.127', 3163176288, 3163176319, 'RU', 'Russian Federation'),
(94308, '188.138.61.128', '188.138.61.159', 3163176320, 3163176351, 'HU', 'Hungary'),
(94309, '188.138.61.160', '188.138.61.191', 3163176352, 3163176383, 'BR', 'Brazil'),
(94310, '188.138.61.192', '188.138.61.223', 3163176384, 3163176415, 'IN', 'India'),
(94311, '188.138.61.224', '188.138.62.31', 3163176416, 3163176479, 'DE', 'Germany'),
(94312, '188.138.62.32', '188.138.62.63', 3163176480, 3163176511, 'FR', 'France'),
(94313, '188.138.62.64', '188.138.62.95', 3163176512, 3163176543, 'RU', 'Russian Federation'),
(94314, '188.138.62.96', '188.138.62.127', 3163176544, 3163176575, 'UG', 'Uganda'),
(94315, '188.138.62.128', '188.138.62.159', 3163176576, 3163176607, 'GR', 'Greece'),
(94316, '188.138.62.160', '188.138.62.223', 3163176608, 3163176671, 'MA', 'Morocco'),
(94317, '188.138.62.224', '188.138.63.31', 3163176672, 3163176735, 'BR', 'Brazil'),
(94318, '188.138.63.32', '188.138.63.63', 3163176736, 3163176767, 'DE', 'Germany'),
(94319, '188.138.63.64', '188.138.63.95', 3163176768, 3163176799, 'PL', 'Poland'),
(94320, '188.138.63.96', '188.138.63.127', 3163176800, 3163176831, 'EG', 'Egypt'),
(94321, '188.138.63.128', '188.138.63.191', 3163176832, 3163176895, 'BR', 'Brazil'),
(94322, '188.138.63.192', '188.138.63.223', 3163176896, 3163176927, 'SE', 'Sweden'),
(94323, '188.138.63.224', '188.138.63.255', 3163176928, 3163176959, 'TH', 'Thailand'),
(94324, '188.138.64.0', '188.138.83.7', 3163176960, 3163181831, 'DE', 'Germany'),
(94325, '188.138.83.8', '188.138.83.9', 3163181832, 3163181833, 'TR', 'Turkey'),
(94326, '188.138.83.10', '188.138.83.16', 3163181834, 3163181840, 'DE', 'Germany'),
(94327, '188.138.83.17', '188.138.83.17', 3163181841, 3163181841, 'GB', 'United Kingdom'),
(94328, '188.138.83.18', '188.138.83.18', 3163181842, 3163181842, 'AL', 'Albania'),
(94329, '188.138.83.19', '188.138.83.29', 3163181843, 3163181853, 'DE', 'Germany'),
(94330, '188.138.83.30', '188.138.83.30', 3163181854, 3163181854, 'BD', 'Bangladesh'),
(94331, '188.138.83.31', '188.138.83.31', 3163181855, 3163181855, 'DK', 'Denmark'),
(94332, '188.138.83.32', '188.138.83.32', 3163181856, 3163181856, 'TR', 'Turkey'),
(94333, '188.138.83.33', '188.138.83.34', 3163181857, 3163181858, 'IN', 'India'),
(94334, '188.138.83.35', '188.138.83.37', 3163181859, 3163181861, 'TR', 'Turkey'),
(94335, '188.138.83.38', '188.138.83.38', 3163181862, 3163181862, 'GB', 'United Kingdom'),
(94336, '188.138.83.39', '188.138.83.41', 3163181863, 3163181865, 'US', 'United States'),
(94337, '188.138.83.42', '188.138.83.42', 3163181866, 3163181866, 'IN', 'India'),
(94338, '188.138.83.43', '188.138.83.46', 3163181867, 3163181870, 'DE', 'Germany'),
(94339, '188.138.83.47', '188.138.83.47', 3163181871, 3163181871, 'IN', 'India'),
(94340, '188.138.83.48', '188.138.83.49', 3163181872, 3163181873, 'TR', 'Turkey'),
(94341, '188.138.83.50', '188.138.83.50', 3163181874, 3163181874, 'US', 'United States'),
(94342, '188.138.83.51', '188.138.83.51', 3163181875, 3163181875, 'TR', 'Turkey'),
(94343, '188.138.83.52', '188.138.83.53', 3163181876, 3163181877, 'DE', 'Germany'),
(94344, '188.138.83.54', '188.138.83.55', 3163181878, 3163181879, 'IN', 'India'),
(94345, '188.138.83.56', '188.138.83.58', 3163181880, 3163181882, 'CH', 'Switzerland'),
(94346, '188.138.83.59', '188.138.83.59', 3163181883, 3163181883, 'IN', 'India'),
(94347, '188.138.83.60', '188.138.83.60', 3163181884, 3163181884, 'US', 'United States'),
(94348, '188.138.83.61', '188.138.83.61', 3163181885, 3163181885, 'TR', 'Turkey'),
(94349, '188.138.83.62', '188.138.83.64', 3163181886, 3163181888, 'CY', 'Cyprus'),
(94350, '188.138.83.65', '188.138.83.66', 3163181889, 3163181890, 'AL', 'Albania'),
(94351, '188.138.83.67', '188.138.83.68', 3163181891, 3163181892, 'DE', 'Germany'),
(94352, '188.138.83.69', '188.138.83.69', 3163181893, 3163181893, 'GB', 'United Kingdom'),
(94353, '188.138.83.70', '188.138.83.70', 3163181894, 3163181894, 'BD', 'Bangladesh'),
(94354, '188.138.83.71', '188.138.83.72', 3163181895, 3163181896, 'IN', 'India'),
(94355, '188.138.83.73', '188.138.83.73', 3163181897, 3163181897, 'US', 'United States'),
(94356, '188.138.83.74', '188.138.83.79', 3163181898, 3163181903, 'DE', 'Germany'),
(94357, '188.138.83.80', '188.138.83.81', 3163181904, 3163181905, 'BD', 'Bangladesh'),
(94358, '188.138.83.82', '188.138.83.84', 3163181906, 3163181908, 'BR', 'Brazil'),
(94359, '188.138.83.85', '188.138.83.85', 3163181909, 3163181909, 'DE', 'Germany'),
(94360, '188.138.83.86', '188.138.83.91', 3163181910, 3163181915, 'BR', 'Brazil'),
(94361, '188.138.83.92', '188.138.83.92', 3163181916, 3163181916, 'US', 'United States'),
(94362, '188.138.83.93', '188.138.83.93', 3163181917, 3163181917, 'IT', 'Italy'),
(94363, '188.138.83.94', '188.138.83.99', 3163181918, 3163181923, 'DE', 'Germany'),
(94364, '188.138.83.100', '188.138.83.100', 3163181924, 3163181924, 'TR', 'Turkey'),
(94365, '188.138.83.101', '188.138.83.104', 3163181925, 3163181928, 'DE', 'Germany'),
(94366, '188.138.83.105', '188.138.83.105', 3163181929, 3163181929, 'TR', 'Turkey'),
(94367, '188.138.83.106', '188.138.83.106', 3163181930, 3163181930, 'IN', 'India'),
(94368, '188.138.83.107', '188.138.83.107', 3163181931, 3163181931, 'MX', 'Mexico'),
(94369, '188.138.83.108', '188.138.83.108', 3163181932, 3163181932, 'TR', 'Turkey'),
(94370, '188.138.83.109', '188.138.83.110', 3163181933, 3163181934, 'DE', 'Germany'),
(94371, '188.138.83.111', '188.138.83.111', 3163181935, 3163181935, 'UA', 'Ukraine'),
(94372, '188.138.83.112', '188.138.83.112', 3163181936, 3163181936, 'IT', 'Italy'),
(94373, '188.138.83.113', '188.138.85.17', 3163181937, 3163182353, 'DE', 'Germany'),
(94374, '188.138.85.18', '188.138.85.18', 3163182354, 3163182354, 'RU', 'Russian Federation'),
(94375, '188.138.85.19', '188.138.85.19', 3163182355, 3163182355, 'DE', 'Germany'),
(94376, '188.138.85.20', '188.138.85.24', 3163182356, 3163182360, 'RU', 'Russian Federation'),
(94377, '188.138.85.25', '188.138.85.25', 3163182361, 3163182361, 'DE', 'Germany'),
(94378, '188.138.85.26', '188.138.85.62', 3163182362, 3163182398, 'RU', 'Russian Federation'),
(94379, '188.138.85.63', '188.138.85.69', 3163182399, 3163182405, 'DE', 'Germany'),
(94380, '188.138.85.70', '188.138.85.73', 3163182406, 3163182409, 'RU', 'Russian Federation'),
(94381, '188.138.85.74', '188.138.85.91', 3163182410, 3163182427, 'DE', 'Germany'),
(94382, '188.138.85.92', '188.138.85.92', 3163182428, 3163182428, 'RU', 'Russian Federation'),
(94383, '188.138.85.93', '188.138.85.97', 3163182429, 3163182433, 'DE', 'Germany'),
(94384, '188.138.85.98', '188.138.85.101', 3163182434, 3163182437, 'RU', 'Russian Federation'),
(94385, '188.138.85.102', '188.138.85.112', 3163182438, 3163182448, 'DE', 'Germany'),
(94386, '188.138.85.113', '188.138.85.126', 3163182449, 3163182462, 'RU', 'Russian Federation'),
(94387, '188.138.85.127', '188.138.85.154', 3163182463, 3163182490, 'DE', 'Germany'),
(94388, '188.138.85.155', '188.138.85.156', 3163182491, 3163182492, 'RU', 'Russian Federation'),
(94389, '188.138.85.157', '188.138.85.164', 3163182493, 3163182500, 'DE', 'Germany'),
(94390, '188.138.85.165', '188.138.85.165', 3163182501, 3163182501, 'RU', 'Russian Federation'),
(94391, '188.138.85.166', '188.138.85.166', 3163182502, 3163182502, 'DE', 'Germany'),
(94392, '188.138.85.167', '188.138.85.169', 3163182503, 3163182505, 'RU', 'Russian Federation'),
(94393, '188.138.85.170', '188.138.85.171', 3163182506, 3163182507, 'DE', 'Germany'),
(94394, '188.138.85.172', '188.138.85.189', 3163182508, 3163182525, 'RU', 'Russian Federation'),
(94395, '188.138.85.190', '188.138.85.190', 3163182526, 3163182526, 'BG', 'Bulgaria'),
(94396, '188.138.85.191', '188.138.85.195', 3163182527, 3163182531, 'DE', 'Germany'),
(94397, '188.138.85.196', '188.138.85.196', 3163182532, 3163182532, 'RU', 'Russian Federation'),
(94398, '188.138.85.197', '188.138.85.221', 3163182533, 3163182557, 'DE', 'Germany'),
(94399, '188.138.85.222', '188.138.85.223', 3163182558, 3163182559, 'RU', 'Russian Federation'),
(94400, '188.138.85.224', '188.138.85.224', 3163182560, 3163182560, 'BG', 'Bulgaria'),
(94401, '188.138.85.225', '188.138.85.225', 3163182561, 3163182561, 'RU', 'Russian Federation'),
(94402, '188.138.85.226', '188.138.85.226', 3163182562, 3163182562, 'BG', 'Bulgaria'),
(94403, '188.138.85.227', '188.138.85.227', 3163182563, 3163182563, 'RU', 'Russian Federation'),
(94404, '188.138.85.228', '188.138.85.228', 3163182564, 3163182564, 'BG', 'Bulgaria'),
(94405, '188.138.85.229', '188.138.85.229', 3163182565, 3163182565, 'RU', 'Russian Federation'),
(94406, '188.138.85.230', '188.138.85.230', 3163182566, 3163182566, 'BG', 'Bulgaria'),
(94407, '188.138.85.231', '188.138.85.231', 3163182567, 3163182567, 'RU', 'Russian Federation'),
(94408, '188.138.85.232', '188.138.85.239', 3163182568, 3163182575, 'BG', 'Bulgaria'),
(94409, '188.138.85.240', '188.138.85.254', 3163182576, 3163182590, 'RU', 'Russian Federation'),
(94410, '188.138.85.255', '188.138.93.73', 3163182591, 3163184457, 'DE', 'Germany'),
(94411, '188.138.93.74', '188.138.93.74', 3163184458, 3163184458, 'PL', 'Poland'),
(94412, '188.138.93.75', '188.138.93.87', 3163184459, 3163184471, 'DE', 'Germany'),
(94413, '188.138.93.88', '188.138.93.88', 3163184472, 3163184472, 'BE', 'Belgium'),
(94414, '188.138.93.89', '188.138.93.105', 3163184473, 3163184489, 'DE', 'Germany'),
(94415, '188.138.93.106', '188.138.93.106', 3163184490, 3163184490, 'US', 'United States'),
(94416, '188.138.93.107', '188.138.93.112', 3163184491, 3163184496, 'DE', 'Germany'),
(94417, '188.138.93.113', '188.138.93.115', 3163184497, 3163184499, 'RU', 'Russian Federation'),
(94418, '188.138.93.116', '188.138.93.116', 3163184500, 3163184500, 'NL', 'Netherlands'),
(94419, '188.138.93.117', '188.138.93.117', 3163184501, 3163184501, 'NO', 'Norway'),
(94420, '188.138.93.118', '188.138.93.118', 3163184502, 3163184502, 'DE', 'Germany'),
(94421, '188.138.93.119', '188.138.93.119', 3163184503, 3163184503, 'RU', 'Russian Federation'),
(94422, '188.138.93.120', '188.138.93.121', 3163184504, 3163184505, 'DE', 'Germany'),
(94423, '188.138.93.122', '188.138.93.122', 3163184506, 3163184506, 'PL', 'Poland'),
(94424, '188.138.93.123', '188.138.93.125', 3163184507, 3163184509, 'GR', 'Greece'),
(94425, '188.138.93.126', '188.138.110.68', 3163184510, 3163188804, 'DE', 'Germany'),
(94426, '188.138.110.69', '188.138.110.70', 3163188805, 3163188806, 'AR', 'Argentina'),
(94427, '188.138.110.71', '188.138.110.71', 3163188807, 3163188807, 'DE', 'Germany'),
(94428, '188.138.110.72', '188.138.110.74', 3163188808, 3163188810, 'AR', 'Argentina'),
(94429, '188.138.110.75', '188.138.110.76', 3163188811, 3163188812, 'DE', 'Germany'),
(94430, '188.138.110.77', '188.138.110.77', 3163188813, 3163188813, 'HU', 'Hungary'),
(94431, '188.138.110.78', '188.138.110.98', 3163188814, 3163188834, 'DE', 'Germany'),
(94432, '188.138.110.99', '188.138.110.99', 3163188835, 3163188835, 'GB', 'United Kingdom'),
(94433, '188.138.110.100', '188.138.110.108', 3163188836, 3163188844, 'DE', 'Germany'),
(94434, '188.138.110.109', '188.138.110.109', 3163188845, 3163188845, 'NL', 'Netherlands'),
(94435, '188.138.110.110', '188.138.110.111', 3163188846, 3163188847, 'DE', 'Germany'),
(94436, '188.138.110.112', '188.138.110.112', 3163188848, 3163188848, 'FR', 'France'),
(94437, '188.138.110.113', '188.138.110.113', 3163188849, 3163188849, 'FI', 'Finland'),
(94438, '188.138.110.114', '188.138.110.115', 3163188850, 3163188851, 'LK', 'Sri Lanka'),
(94439, '188.138.110.116', '188.138.110.117', 3163188852, 3163188853, 'DE', 'Germany'),
(94440, '188.138.110.118', '188.138.110.118', 3163188854, 3163188854, 'GB', 'United Kingdom'),
(94441, '188.138.110.119', '188.138.110.119', 3163188855, 3163188855, 'PL', 'Poland'),
(94442, '188.138.110.120', '188.138.110.124', 3163188856, 3163188860, 'DE', 'Germany'),
(94443, '188.138.110.125', '188.138.110.126', 3163188861, 3163188862, 'IN', 'India'),
(94444, '188.138.110.127', '188.138.117.25', 3163188863, 3163190553, 'DE', 'Germany'),
(94445, '188.138.117.26', '188.138.117.26', 3163190554, 3163190554, 'HU', 'Hungary'),
(94446, '188.138.117.27', '188.138.119.206', 3163190555, 3163191246, 'DE', 'Germany'),
(94447, '188.138.119.207', '188.138.119.207', 3163191247, 3163191247, 'BR', 'Brazil'),
(94448, '188.138.119.208', '188.138.119.208', 3163191248, 3163191248, 'IT', 'Italy'),
(94449, '188.138.119.209', '188.138.119.210', 3163191249, 3163191250, 'DE', 'Germany'),
(94450, '188.138.119.211', '188.138.119.212', 3163191251, 3163191252, 'GB', 'United Kingdom'),
(94451, '188.138.119.213', '188.138.119.216', 3163191253, 3163191256, 'DE', 'Germany'),
(94452, '188.138.119.217', '188.138.119.217', 3163191257, 3163191257, 'IN', 'India'),
(94453, '188.138.119.218', '188.138.119.219', 3163191258, 3163191259, 'DE', 'Germany'),
(94454, '188.138.119.220', '188.138.119.222', 3163191260, 3163191262, 'EE', 'Estonia'),
(94455, '188.138.119.223', '188.138.123.128', 3163191263, 3163192192, 'DE', 'Germany'),
(94456, '188.138.123.129', '188.138.123.129', 3163192193, 3163192193, 'HU', 'Hungary'),
(94457, '188.138.123.130', '188.138.123.130', 3163192194, 3163192194, 'DE', 'Germany'),
(94458, '188.138.123.131', '188.138.123.132', 3163192195, 3163192196, 'TW', 'Taiwan'),
(94459, '188.138.123.133', '188.138.123.134', 3163192197, 3163192198, 'HU', 'Hungary'),
(94460, '188.138.123.135', '188.138.123.137', 3163192199, 3163192201, 'DE', 'Germany'),
(94461, '188.138.123.138', '188.138.123.138', 3163192202, 3163192202, 'TR', 'Turkey'),
(94462, '188.138.123.139', '188.138.123.141', 3163192203, 3163192205, 'DE', 'Germany'),
(94463, '188.138.123.142', '188.138.123.143', 3163192206, 3163192207, 'SG', 'Singapore'),
(94464, '188.138.123.144', '188.138.123.144', 3163192208, 3163192208, 'DE', 'Germany'),
(94465, '188.138.123.145', '188.138.123.146', 3163192209, 3163192210, 'MX', 'Mexico'),
(94466, '188.138.123.147', '188.138.123.147', 3163192211, 3163192211, 'DE', 'Germany'),
(94467, '188.138.123.148', '188.138.123.148', 3163192212, 3163192212, 'US', 'United States'),
(94468, '188.138.123.149', '188.138.123.152', 3163192213, 3163192216, 'DE', 'Germany'),
(94469, '188.138.123.153', '188.138.123.154', 3163192217, 3163192218, 'GR', 'Greece'),
(94470, '188.138.123.155', '188.138.123.155', 3163192219, 3163192219, 'DE', 'Germany'),
(94471, '188.138.123.156', '188.138.123.158', 3163192220, 3163192222, 'US', 'United States'),
(94472, '188.138.123.159', '188.138.123.160', 3163192223, 3163192224, 'DE', 'Germany'),
(94473, '188.138.123.161', '188.138.123.161', 3163192225, 3163192225, 'TH', 'Thailand'),
(94474, '188.138.123.162', '188.138.123.164', 3163192226, 3163192228, 'DE', 'Germany'),
(94475, '188.138.123.165', '188.138.123.165', 3163192229, 3163192229, 'AF', 'Afghanistan'),
(94476, '188.138.123.166', '188.138.123.168', 3163192230, 3163192232, 'DE', 'Germany'),
(94477, '188.138.123.169', '188.138.123.170', 3163192233, 3163192234, 'AF', 'Afghanistan'),
(94478, '188.138.123.171', '188.138.123.171', 3163192235, 3163192235, 'DE', 'Germany'),
(94479, '188.138.123.172', '188.138.123.172', 3163192236, 3163192236, 'HU', 'Hungary'),
(94480, '188.138.123.173', '188.138.123.173', 3163192237, 3163192237, 'VE', 'Venezuela'),
(94481, '188.138.123.174', '188.138.123.174', 3163192238, 3163192238, 'DE', 'Germany'),
(94482, '188.138.123.175', '188.138.123.177', 3163192239, 3163192241, 'US', 'United States'),
(94483, '188.138.123.178', '188.138.123.178', 3163192242, 3163192242, 'RU', 'Russian Federation'),
(94484, '188.138.123.179', '188.138.123.181', 3163192243, 3163192245, 'DE', 'Germany'),
(94485, '188.138.123.182', '188.138.123.182', 3163192246, 3163192246, 'TW', 'Taiwan'),
(94486, '188.138.123.183', '188.138.123.185', 3163192247, 3163192249, 'DE', 'Germany'),
(94487, '188.138.123.186', '188.138.123.186', 3163192250, 3163192250, 'RU', 'Russian Federation'),
(94488, '188.138.123.187', '188.138.123.187', 3163192251, 3163192251, 'DE', 'Germany'),
(94489, '188.138.123.188', '188.138.123.191', 3163192252, 3163192255, 'TR', 'Turkey'),
(94490, '188.138.123.192', '188.138.127.193', 3163192256, 3163193281, 'DE', 'Germany'),
(94491, '188.138.127.194', '188.138.127.195', 3163193282, 3163193283, 'UA', 'Ukraine'),
(94492, '188.138.127.196', '188.138.127.226', 3163193284, 3163193314, 'DE', 'Germany'),
(94493, '188.138.127.227', '188.138.127.227', 3163193315, 3163193315, 'KR', 'Korea, Republic of'),
(94494, '188.138.127.228', '188.138.127.231', 3163193316, 3163193319, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(94495, '188.138.127.232', '188.138.127.232', 3163193320, 3163193320, 'HR', 'Croatia'),
(94496, '188.138.127.233', '188.138.127.255', 3163193321, 3163193343, 'DE', 'Germany'),
(94497, '188.138.128.0', '188.138.255.255', 3163193344, 3163226111, 'MD', 'Moldova, Republic of'),
(94498, '188.139.0.0', '188.139.127.255', 3163226112, 3163258879, 'SA', 'Saudi Arabia'),
(94499, '188.139.128.0', '188.139.255.255', 3163258880, 3163291647, 'SY', 'Syrian Arab Republic'),
(94500, '188.140.0.0', '188.140.127.255', 3163291648, 3163324415, 'PT', 'Portugal'),
(94501, '188.140.128.0', '188.140.255.255', 3163324416, 3163357183, 'OM', 'Oman'),
(94502, '188.141.0.0', '188.141.127.255', 3163357184, 3163389951, 'IE', 'Ireland'),
(94503, '188.141.128.0', '188.141.255.255', 3163389952, 3163422719, 'FR', 'France'),
(94504, '188.142.0.0', '188.142.127.255', 3163422720, 3163455487, 'NL', 'Netherlands'),
(94505, '188.142.128.0', '188.143.127.255', 3163455488, 3163521023, 'HU', 'Hungary'),
(94506, '188.143.128.0', '188.143.255.255', 3163521024, 3163553791, 'RU', 'Russian Federation'),
(94507, '188.144.0.0', '188.145.255.255', 3163553792, 3163684863, 'DE', 'Germany'),
(94508, '188.146.0.0', '188.147.255.255', 3163684864, 3163815935, 'PL', 'Poland'),
(94509, '188.148.0.0', '188.151.255.255', 3163815936, 3164078079, 'NO', 'Norway'),
(94510, '188.152.0.0', '188.153.255.255', 3164078080, 3164209151, 'IT', 'Italy'),
(94511, '188.154.0.0', '188.155.255.255', 3164209152, 3164340223, 'CH', 'Switzerland'),
(94512, '188.156.0.0', '188.157.255.255', 3164340224, 3164471295, 'HU', 'Hungary'),
(94513, '188.158.0.0', '188.159.255.255', 3164471296, 3164602367, 'IR', 'Iran, Islamic Republic of'),
(94514, '188.160.0.0', '188.160.255.255', 3164602368, 3164667903, 'SY', 'Syrian Arab Republic'),
(94515, '188.161.0.0', '188.161.255.255', 3164667904, 3164733439, 'PS', 'Palestinian Territory, Occupied'),
(94516, '188.162.0.0', '188.162.255.255', 3164733440, 3164798975, 'RU', 'Russian Federation'),
(94517, '188.163.0.0', '188.163.255.255', 3164798976, 3164864511, 'UA', 'Ukraine'),
(94518, '188.165.0.0', '188.165.7.255', 3164930048, 3164932095, 'IE', 'Ireland'),
(94519, '188.165.8.0', '188.165.15.255', 3164932096, 3164934143, 'FR', 'France'),
(94520, '188.165.16.0', '188.165.23.255', 3164934144, 3164936191, 'PL', 'Poland'),
(94521, '188.165.24.0', '188.165.31.255', 3164936192, 3164938239, 'LT', 'Lithuania'),
(94522, '188.165.32.0', '188.165.63.255', 3164938240, 3164946431, 'FR', 'France'),
(94523, '188.165.64.0', '188.165.64.3', 3164946432, 3164946435, 'PL', 'Poland'),
(94524, '188.165.64.4', '188.165.64.7', 3164946436, 3164946439, 'PT', 'Portugal'),
(94525, '188.165.64.8', '188.165.64.15', 3164946440, 3164946447, 'ES', 'Spain'),
(94526, '188.165.64.16', '188.165.64.47', 3164946448, 3164946479, 'FR', 'France'),
(94527, '188.165.64.48', '188.165.64.51', 3164946480, 3164946483, 'ES', 'Spain'),
(94528, '188.165.64.52', '188.165.64.63', 3164946484, 3164946495, 'PL', 'Poland'),
(94529, '188.165.64.64', '188.165.64.67', 3164946496, 3164946499, 'IT', 'Italy'),
(94530, '188.165.64.68', '188.165.64.71', 3164946500, 3164946503, 'GB', 'United Kingdom'),
(94531, '188.165.64.72', '188.165.64.75', 3164946504, 3164946507, 'BE', 'Belgium'),
(94532, '188.165.64.76', '188.165.64.79', 3164946508, 3164946511, 'CZ', 'Czech Republic'),
(94533, '188.165.64.80', '188.165.64.95', 3164946512, 3164946527, 'ES', 'Spain'),
(94534, '188.165.64.96', '188.165.64.127', 3164946528, 3164946559, 'GB', 'United Kingdom'),
(94535, '188.165.64.128', '188.165.65.95', 3164946560, 3164946783, 'FR', 'France'),
(94536, '188.165.65.96', '188.165.65.111', 3164946784, 3164946799, 'BE', 'Belgium'),
(94537, '188.165.65.112', '188.165.66.95', 3164946800, 3164947039, 'FR', 'France'),
(94538, '188.165.66.96', '188.165.66.99', 3164947040, 3164947043, 'ES', 'Spain'),
(94539, '188.165.66.100', '188.165.66.103', 3164947044, 3164947047, 'GB', 'United Kingdom'),
(94540, '188.165.66.104', '188.165.66.119', 3164947048, 3164947063, 'FR', 'France'),
(94541, '188.165.66.120', '188.165.66.123', 3164947064, 3164947067, 'NL', 'Netherlands'),
(94542, '188.165.66.124', '188.165.66.127', 3164947068, 3164947071, 'IT', 'Italy'),
(94543, '188.165.66.128', '188.165.66.255', 3164947072, 3164947199, 'DE', 'Germany'),
(94544, '188.165.67.0', '188.165.67.255', 3164947200, 3164947455, 'FR', 'France'),
(94545, '188.165.68.0', '188.165.68.63', 3164947456, 3164947519, 'PL', 'Poland'),
(94546, '188.165.68.64', '188.165.68.95', 3164947520, 3164947551, 'ES', 'Spain'),
(94547, '188.165.68.96', '188.165.68.127', 3164947552, 3164947583, 'DE', 'Germany'),
(94548, '188.165.68.128', '188.165.68.131', 3164947584, 3164947587, 'FR', 'France'),
(94549, '188.165.68.132', '188.165.68.135', 3164947588, 3164947591, 'DE', 'Germany'),
(94550, '188.165.68.136', '188.165.68.143', 3164947592, 3164947599, 'GB', 'United Kingdom'),
(94551, '188.165.68.144', '188.165.68.163', 3164947600, 3164947619, 'FR', 'France'),
(94552, '188.165.68.164', '188.165.68.167', 3164947620, 3164947623, 'ES', 'Spain'),
(94553, '188.165.68.168', '188.165.68.171', 3164947624, 3164947627, 'GB', 'United Kingdom'),
(94554, '188.165.68.172', '188.165.68.179', 3164947628, 3164947635, 'ES', 'Spain'),
(94555, '188.165.68.180', '188.165.68.183', 3164947636, 3164947639, 'DE', 'Germany'),
(94556, '188.165.68.184', '188.165.68.191', 3164947640, 3164947647, 'FR', 'France'),
(94557, '188.165.68.192', '188.165.68.195', 3164947648, 3164947651, 'CZ', 'Czech Republic'),
(94558, '188.165.68.196', '188.165.68.199', 3164947652, 3164947655, 'PL', 'Poland'),
(94559, '188.165.68.200', '188.165.69.31', 3164947656, 3164947743, 'FR', 'France'),
(94560, '188.165.69.32', '188.165.69.35', 3164947744, 3164947747, 'ES', 'Spain'),
(94561, '188.165.69.36', '188.165.69.39', 3164947748, 3164947751, 'BE', 'Belgium'),
(94562, '188.165.69.40', '188.165.69.47', 3164947752, 3164947759, 'PL', 'Poland'),
(94563, '188.165.69.48', '188.165.69.127', 3164947760, 3164947839, 'FR', 'France'),
(94564, '188.165.69.128', '188.165.69.255', 3164947840, 3164947967, 'GB', 'United Kingdom'),
(94565, '188.165.70.0', '188.165.71.255', 3164947968, 3164948479, 'BE', 'Belgium'),
(94566, '188.165.72.0', '188.165.72.255', 3164948480, 3164948735, 'FR', 'France'),
(94567, '188.165.73.0', '188.165.73.3', 3164948736, 3164948739, 'DE', 'Germany'),
(94568, '188.165.73.4', '188.165.73.7', 3164948740, 3164948743, 'CZ', 'Czech Republic'),
(94569, '188.165.73.8', '188.165.73.11', 3164948744, 3164948747, 'GB', 'United Kingdom'),
(94570, '188.165.73.12', '188.165.73.51', 3164948748, 3164948787, 'FR', 'France'),
(94571, '188.165.73.52', '188.165.73.55', 3164948788, 3164948791, 'ES', 'Spain'),
(94572, '188.165.73.56', '188.165.73.59', 3164948792, 3164948795, 'DE', 'Germany'),
(94573, '188.165.73.60', '188.165.73.63', 3164948796, 3164948799, 'PL', 'Poland'),
(94574, '188.165.73.64', '188.165.73.103', 3164948800, 3164948839, 'FR', 'France'),
(94575, '188.165.73.104', '188.165.73.107', 3164948840, 3164948843, 'GB', 'United Kingdom'),
(94576, '188.165.73.108', '188.165.73.111', 3164948844, 3164948847, 'PL', 'Poland'),
(94577, '188.165.73.112', '188.165.73.115', 3164948848, 3164948851, 'PT', 'Portugal'),
(94578, '188.165.73.116', '188.165.73.119', 3164948852, 3164948855, 'DE', 'Germany'),
(94579, '188.165.73.120', '188.165.73.127', 3164948856, 3164948863, 'FR', 'France'),
(94580, '188.165.73.128', '188.165.73.191', 3164948864, 3164948927, 'GB', 'United Kingdom'),
(94581, '188.165.73.192', '188.165.73.207', 3164948928, 3164948943, 'FR', 'France'),
(94582, '188.165.73.208', '188.165.73.255', 3164948944, 3164948991, 'IE', 'Ireland'),
(94583, '188.165.74.0', '188.165.74.95', 3164948992, 3164949087, 'GB', 'United Kingdom'),
(94584, '188.165.74.96', '188.165.74.103', 3164949088, 3164949095, 'FR', 'France'),
(94585, '188.165.74.104', '188.165.74.111', 3164949096, 3164949103, 'IT', 'Italy'),
(94586, '188.165.74.112', '188.165.74.115', 3164949104, 3164949107, 'DE', 'Germany'),
(94587, '188.165.74.116', '188.165.74.119', 3164949108, 3164949111, 'PL', 'Poland'),
(94588, '188.165.74.120', '188.165.74.127', 3164949112, 3164949119, 'FR', 'France'),
(94589, '188.165.74.128', '188.165.74.131', 3164949120, 3164949123, 'PT', 'Portugal'),
(94590, '188.165.74.132', '188.165.74.139', 3164949124, 3164949131, 'DE', 'Germany'),
(94591, '188.165.74.140', '188.165.74.143', 3164949132, 3164949135, 'CZ', 'Czech Republic'),
(94592, '188.165.74.144', '188.165.74.159', 3164949136, 3164949151, 'FR', 'France'),
(94593, '188.165.74.160', '188.165.74.163', 3164949152, 3164949155, 'NL', 'Netherlands'),
(94594, '188.165.74.164', '188.165.74.167', 3164949156, 3164949159, 'DE', 'Germany'),
(94595, '188.165.74.168', '188.165.74.171', 3164949160, 3164949163, 'PL', 'Poland'),
(94596, '188.165.74.172', '188.165.74.175', 3164949164, 3164949167, 'FR', 'France'),
(94597, '188.165.74.176', '188.165.74.179', 3164949168, 3164949171, 'IT', 'Italy'),
(94598, '188.165.74.180', '188.165.74.183', 3164949172, 3164949175, 'FR', 'France'),
(94599, '188.165.74.184', '188.165.74.187', 3164949176, 3164949179, 'ES', 'Spain'),
(94600, '188.165.74.188', '188.165.74.191', 3164949180, 3164949183, 'FR', 'France'),
(94601, '188.165.74.192', '188.165.74.199', 3164949184, 3164949191, 'PT', 'Portugal'),
(94602, '188.165.74.200', '188.165.74.203', 3164949192, 3164949195, 'DE', 'Germany'),
(94603, '188.165.74.204', '188.165.74.207', 3164949196, 3164949199, 'NL', 'Netherlands'),
(94604, '188.165.74.208', '188.165.74.223', 3164949200, 3164949215, 'FR', 'France'),
(94605, '188.165.74.224', '188.165.74.227', 3164949216, 3164949219, 'PL', 'Poland'),
(94606, '188.165.74.228', '188.165.74.231', 3164949220, 3164949223, 'FR', 'France'),
(94607, '188.165.74.232', '188.165.74.239', 3164949224, 3164949231, 'PL', 'Poland'),
(94608, '188.165.74.240', '188.165.74.255', 3164949232, 3164949247, 'BE', 'Belgium'),
(94609, '188.165.75.0', '188.165.75.15', 3164949248, 3164949263, 'FR', 'France'),
(94610, '188.165.75.16', '188.165.75.23', 3164949264, 3164949271, 'PL', 'Poland'),
(94611, '188.165.75.24', '188.165.75.27', 3164949272, 3164949275, 'GB', 'United Kingdom'),
(94612, '188.165.75.28', '188.165.75.31', 3164949276, 3164949279, 'CH', 'Switzerland'),
(94613, '188.165.75.32', '188.165.75.47', 3164949280, 3164949295, 'BE', 'Belgium'),
(94614, '188.165.75.48', '188.165.75.79', 3164949296, 3164949327, 'FR', 'France'),
(94615, '188.165.75.80', '188.165.75.87', 3164949328, 3164949335, 'PL', 'Poland'),
(94616, '188.165.75.88', '188.165.75.91', 3164949336, 3164949339, 'IT', 'Italy'),
(94617, '188.165.75.92', '188.165.75.95', 3164949340, 3164949343, 'GB', 'United Kingdom'),
(94618, '188.165.75.96', '188.165.75.115', 3164949344, 3164949363, 'FR', 'France'),
(94619, '188.165.75.116', '188.165.75.119', 3164949364, 3164949367, 'DE', 'Germany'),
(94620, '188.165.75.120', '188.165.75.123', 3164949368, 3164949371, 'NL', 'Netherlands'),
(94621, '188.165.75.124', '188.165.75.127', 3164949372, 3164949375, 'GB', 'United Kingdom'),
(94622, '188.165.75.128', '188.165.75.143', 3164949376, 3164949391, 'FR', 'France'),
(94623, '188.165.75.144', '188.165.75.147', 3164949392, 3164949395, 'GB', 'United Kingdom'),
(94624, '188.165.75.148', '188.165.75.191', 3164949396, 3164949439, 'FR', 'France'),
(94625, '188.165.75.192', '188.165.75.207', 3164949440, 3164949455, 'GB', 'United Kingdom'),
(94626, '188.165.75.208', '188.165.75.223', 3164949456, 3164949471, 'PL', 'Poland'),
(94627, '188.165.75.224', '188.165.75.255', 3164949472, 3164949503, 'FR', 'France'),
(94628, '188.165.76.0', '188.165.77.255', 3164949504, 3164950015, 'BE', 'Belgium'),
(94629, '188.165.78.0', '188.165.78.255', 3164950016, 3164950271, 'GB', 'United Kingdom'),
(94630, '188.165.79.0', '188.165.79.127', 3164950272, 3164950399, 'DE', 'Germany'),
(94631, '188.165.79.128', '188.165.79.135', 3164950400, 3164950407, 'ES', 'Spain'),
(94632, '188.165.79.136', '188.165.79.139', 3164950408, 3164950411, 'FR', 'France'),
(94633, '188.165.79.140', '188.165.79.163', 3164950412, 3164950435, 'PL', 'Poland'),
(94634, '188.165.79.164', '188.165.79.167', 3164950436, 3164950439, 'ES', 'Spain'),
(94635, '188.165.79.168', '188.165.79.175', 3164950440, 3164950447, 'FR', 'France'),
(94636, '188.165.79.176', '188.165.79.179', 3164950448, 3164950451, 'ES', 'Spain'),
(94637, '188.165.79.180', '188.165.79.183', 3164950452, 3164950455, 'CZ', 'Czech Republic'),
(94638, '188.165.79.184', '188.165.79.191', 3164950456, 3164950463, 'PL', 'Poland'),
(94639, '188.165.79.192', '188.165.79.207', 3164950464, 3164950479, 'ES', 'Spain'),
(94640, '188.165.79.208', '188.165.79.215', 3164950480, 3164950487, 'IT', 'Italy'),
(94641, '188.165.79.216', '188.165.79.223', 3164950488, 3164950495, 'PL', 'Poland'),
(94642, '188.165.79.224', '188.165.79.239', 3164950496, 3164950511, 'ES', 'Spain'),
(94643, '188.165.79.240', '188.165.79.243', 3164950512, 3164950515, 'GB', 'United Kingdom'),
(94644, '188.165.79.244', '188.165.79.247', 3164950516, 3164950519, 'ES', 'Spain'),
(94645, '188.165.79.248', '188.165.79.251', 3164950520, 3164950523, 'FR', 'France'),
(94646, '188.165.79.252', '188.165.79.255', 3164950524, 3164950527, 'ES', 'Spain'),
(94647, '188.165.80.0', '188.165.80.15', 3164950528, 3164950543, 'BE', 'Belgium'),
(94648, '188.165.80.16', '188.165.80.31', 3164950544, 3164950559, 'IE', 'Ireland'),
(94649, '188.165.80.32', '188.165.80.63', 3164950560, 3164950591, 'NL', 'Netherlands'),
(94650, '188.165.80.64', '188.165.80.95', 3164950592, 3164950623, 'FR', 'France'),
(94651, '188.165.80.96', '188.165.80.127', 3164950624, 3164950655, 'GB', 'United Kingdom'),
(94652, '188.165.80.128', '188.165.80.159', 3164950656, 3164950687, 'FR', 'France'),
(94653, '188.165.80.160', '188.165.80.175', 3164950688, 3164950703, 'ES', 'Spain'),
(94654, '188.165.80.176', '188.165.80.183', 3164950704, 3164950711, 'PL', 'Poland'),
(94655, '188.165.80.184', '188.165.80.187', 3164950712, 3164950715, 'FI', 'Finland'),
(94656, '188.165.80.188', '188.165.80.195', 3164950716, 3164950723, 'GB', 'United Kingdom'),
(94657, '188.165.80.196', '188.165.80.207', 3164950724, 3164950735, 'FR', 'France'),
(94658, '188.165.80.208', '188.165.80.223', 3164950736, 3164950751, 'ES', 'Spain'),
(94659, '188.165.80.224', '188.165.80.231', 3164950752, 3164950759, 'GB', 'United Kingdom'),
(94660, '188.165.80.232', '188.165.80.255', 3164950760, 3164950783, 'ES', 'Spain'),
(94661, '188.165.81.0', '188.165.81.255', 3164950784, 3164951039, 'FR', 'France'),
(94662, '188.165.82.0', '188.165.82.191', 3164951040, 3164951231, 'DE', 'Germany'),
(94663, '188.165.82.192', '188.165.82.199', 3164951232, 3164951239, 'GB', 'United Kingdom'),
(94664, '188.165.82.200', '188.165.82.223', 3164951240, 3164951263, 'FR', 'France'),
(94665, '188.165.82.224', '188.165.82.255', 3164951264, 3164951295, 'DE', 'Germany'),
(94666, '188.165.83.0', '188.165.83.175', 3164951296, 3164951471, 'PL', 'Poland'),
(94667, '188.165.83.176', '188.165.83.191', 3164951472, 3164951487, 'FR', 'France'),
(94668, '188.165.83.192', '188.165.83.223', 3164951488, 3164951519, 'PL', 'Poland'),
(94669, '188.165.83.224', '188.165.83.227', 3164951520, 3164951523, 'ES', 'Spain'),
(94670, '188.165.83.228', '188.165.83.231', 3164951524, 3164951527, 'IT', 'Italy'),
(94671, '188.165.83.232', '188.165.83.239', 3164951528, 3164951535, 'FR', 'France'),
(94672, '188.165.83.240', '188.165.83.247', 3164951536, 3164951543, 'BE', 'Belgium'),
(94673, '188.165.83.248', '188.165.83.251', 3164951544, 3164951547, 'NL', 'Netherlands'),
(94674, '188.165.83.252', '188.165.84.7', 3164951548, 3164951559, 'FR', 'France'),
(94675, '188.165.84.8', '188.165.84.15', 3164951560, 3164951567, 'PL', 'Poland'),
(94676, '188.165.84.16', '188.165.84.19', 3164951568, 3164951571, 'BE', 'Belgium'),
(94677, '188.165.84.20', '188.165.84.23', 3164951572, 3164951575, 'CZ', 'Czech Republic'),
(94678, '188.165.84.24', '188.165.84.31', 3164951576, 3164951583, 'NL', 'Netherlands'),
(94679, '188.165.84.32', '188.165.84.39', 3164951584, 3164951591, 'GB', 'United Kingdom'),
(94680, '188.165.84.40', '188.165.84.43', 3164951592, 3164951595, 'DE', 'Germany'),
(94681, '188.165.84.44', '188.165.84.63', 3164951596, 3164951615, 'FR', 'France'),
(94682, '188.165.84.64', '188.165.84.111', 3164951616, 3164951663, 'GB', 'United Kingdom'),
(94683, '188.165.84.112', '188.165.84.119', 3164951664, 3164951671, 'PL', 'Poland'),
(94684, '188.165.84.120', '188.165.84.123', 3164951672, 3164951675, 'FR', 'France'),
(94685, '188.165.84.124', '188.165.84.131', 3164951676, 3164951683, 'ES', 'Spain'),
(94686, '188.165.84.132', '188.165.84.135', 3164951684, 3164951687, 'GB', 'United Kingdom'),
(94687, '188.165.84.136', '188.165.84.139', 3164951688, 3164951691, 'FR', 'France'),
(94688, '188.165.84.140', '188.165.84.143', 3164951692, 3164951695, 'CH', 'Switzerland'),
(94689, '188.165.84.144', '188.165.84.159', 3164951696, 3164951711, 'PL', 'Poland'),
(94690, '188.165.84.160', '188.165.84.191', 3164951712, 3164951743, 'FR', 'France'),
(94691, '188.165.84.192', '188.165.84.223', 3164951744, 3164951775, 'PL', 'Poland'),
(94692, '188.165.84.224', '188.165.84.255', 3164951776, 3164951807, 'DE', 'Germany'),
(94693, '188.165.85.0', '188.165.86.127', 3164951808, 3164952191, 'FR', 'France'),
(94694, '188.165.86.128', '188.165.86.143', 3164952192, 3164952207, 'ES', 'Spain'),
(94695, '188.165.86.144', '188.165.86.151', 3164952208, 3164952215, 'FR', 'France'),
(94696, '188.165.86.152', '188.165.86.155', 3164952216, 3164952219, 'NL', 'Netherlands'),
(94697, '188.165.86.156', '188.165.86.159', 3164952220, 3164952223, 'FR', 'France'),
(94698, '188.165.86.160', '188.165.86.175', 3164952224, 3164952239, 'GB', 'United Kingdom'),
(94699, '188.165.86.176', '188.165.86.179', 3164952240, 3164952243, 'DE', 'Germany'),
(94700, '188.165.86.180', '188.165.86.183', 3164952244, 3164952247, 'BE', 'Belgium'),
(94701, '188.165.86.184', '188.165.86.191', 3164952248, 3164952255, 'FR', 'France'),
(94702, '188.165.86.192', '188.165.86.255', 3164952256, 3164952319, 'DE', 'Germany'),
(94703, '188.165.87.0', '188.165.87.255', 3164952320, 3164952575, 'ES', 'Spain'),
(94704, '188.165.88.0', '188.165.88.255', 3164952576, 3164952831, 'FR', 'France'),
(94705, '188.165.89.0', '188.165.89.127', 3164952832, 3164952959, 'IT', 'Italy'),
(94706, '188.165.89.128', '188.165.89.143', 3164952960, 3164952975, 'GB', 'United Kingdom'),
(94707, '188.165.89.144', '188.165.89.175', 3164952976, 3164953007, 'FR', 'France'),
(94708, '188.165.89.176', '188.165.89.191', 3164953008, 3164953023, 'ES', 'Spain'),
(94709, '188.165.89.192', '188.165.89.255', 3164953024, 3164953087, 'FR', 'France'),
(94710, '188.165.90.0', '188.165.90.63', 3164953088, 3164953151, 'LT', 'Lithuania'),
(94711, '188.165.90.64', '188.165.90.127', 3164953152, 3164953215, 'PL', 'Poland'),
(94712, '188.165.90.128', '188.165.90.159', 3164953216, 3164953247, 'FR', 'France'),
(94713, '188.165.90.160', '188.165.90.167', 3164953248, 3164953255, 'CH', 'Switzerland'),
(94714, '188.165.90.168', '188.165.90.175', 3164953256, 3164953263, 'CZ', 'Czech Republic'),
(94715, '188.165.90.176', '188.165.90.239', 3164953264, 3164953327, 'FR', 'France'),
(94716, '188.165.90.240', '188.165.91.31', 3164953328, 3164953375, 'PL', 'Poland'),
(94717, '188.165.91.32', '188.165.91.35', 3164953376, 3164953379, 'NL', 'Netherlands'),
(94718, '188.165.91.36', '188.165.91.39', 3164953380, 3164953383, 'GB', 'United Kingdom'),
(94719, '188.165.91.40', '188.165.91.47', 3164953384, 3164953391, 'PL', 'Poland'),
(94720, '188.165.91.48', '188.165.91.51', 3164953392, 3164953395, 'IT', 'Italy'),
(94721, '188.165.91.52', '188.165.91.55', 3164953396, 3164953399, 'NL', 'Netherlands'),
(94722, '188.165.91.56', '188.165.91.59', 3164953400, 3164953403, 'BE', 'Belgium'),
(94723, '188.165.91.60', '188.165.91.63', 3164953404, 3164953407, 'PL', 'Poland'),
(94724, '188.165.91.64', '188.165.91.79', 3164953408, 3164953423, 'BE', 'Belgium'),
(94725, '188.165.91.80', '188.165.91.95', 3164953424, 3164953439, 'FR', 'France'),
(94726, '188.165.91.96', '188.165.91.99', 3164953440, 3164953443, 'PL', 'Poland'),
(94727, '188.165.91.100', '188.165.91.103', 3164953444, 3164953447, 'DE', 'Germany'),
(94728, '188.165.91.104', '188.165.91.111', 3164953448, 3164953455, 'ES', 'Spain'),
(94729, '188.165.91.112', '188.165.91.115', 3164953456, 3164953459, 'FR', 'France'),
(94730, '188.165.91.116', '188.165.91.119', 3164953460, 3164953463, 'GB', 'United Kingdom'),
(94731, '188.165.91.120', '188.165.91.123', 3164953464, 3164953467, 'FR', 'France'),
(94732, '188.165.91.124', '188.165.91.127', 3164953468, 3164953471, 'GB', 'United Kingdom'),
(94733, '188.165.91.128', '188.165.91.159', 3164953472, 3164953503, 'PL', 'Poland'),
(94734, '188.165.91.160', '188.165.91.167', 3164953504, 3164953511, 'FR', 'France'),
(94735, '188.165.91.168', '188.165.91.171', 3164953512, 3164953515, 'PL', 'Poland'),
(94736, '188.165.91.172', '188.165.91.175', 3164953516, 3164953519, 'IE', 'Ireland'),
(94737, '188.165.91.176', '188.165.91.191', 3164953520, 3164953535, 'FR', 'France'),
(94738, '188.165.91.192', '188.165.91.207', 3164953536, 3164953551, 'PL', 'Poland'),
(94739, '188.165.91.208', '188.165.91.223', 3164953552, 3164953567, 'IE', 'Ireland'),
(94740, '188.165.91.224', '188.165.91.227', 3164953568, 3164953571, 'FR', 'France'),
(94741, '188.165.91.228', '188.165.91.231', 3164953572, 3164953575, 'GB', 'United Kingdom'),
(94742, '188.165.91.232', '188.165.91.239', 3164953576, 3164953583, 'IT', 'Italy'),
(94743, '188.165.91.240', '188.165.93.255', 3164953584, 3164954111, 'ES', 'Spain'),
(94744, '188.165.94.0', '188.165.94.31', 3164954112, 3164954143, 'FR', 'France'),
(94745, '188.165.94.32', '188.165.94.95', 3164954144, 3164954207, 'NL', 'Netherlands'),
(94746, '188.165.94.96', '188.165.94.103', 3164954208, 3164954215, 'FR', 'France'),
(94747, '188.165.94.104', '188.165.94.107', 3164954216, 3164954219, 'IT', 'Italy'),
(94748, '188.165.94.108', '188.165.94.151', 3164954220, 3164954263, 'FR', 'France'),
(94749, '188.165.94.152', '188.165.94.159', 3164954264, 3164954271, 'DE', 'Germany'),
(94750, '188.165.94.160', '188.165.94.163', 3164954272, 3164954275, 'IT', 'Italy'),
(94751, '188.165.94.164', '188.165.94.167', 3164954276, 3164954279, 'GB', 'United Kingdom'),
(94752, '188.165.94.168', '188.165.94.175', 3164954280, 3164954287, 'FR', 'France'),
(94753, '188.165.94.176', '188.165.94.191', 3164954288, 3164954303, 'ES', 'Spain'),
(94754, '188.165.94.192', '188.165.94.255', 3164954304, 3164954367, 'DE', 'Germany'),
(94755, '188.165.95.0', '188.165.95.31', 3164954368, 3164954399, 'FR', 'France'),
(94756, '188.165.95.32', '188.165.95.39', 3164954400, 3164954407, 'PL', 'Poland'),
(94757, '188.165.95.40', '188.165.95.47', 3164954408, 3164954415, 'CH', 'Switzerland'),
(94758, '188.165.95.48', '188.165.95.55', 3164954416, 3164954423, 'ES', 'Spain'),
(94759, '188.165.95.56', '188.165.95.63', 3164954424, 3164954431, 'PL', 'Poland'),
(94760, '188.165.95.64', '188.165.95.71', 3164954432, 3164954439, 'ES', 'Spain'),
(94761, '188.165.95.72', '188.165.95.75', 3164954440, 3164954443, 'NL', 'Netherlands'),
(94762, '188.165.95.76', '188.165.95.79', 3164954444, 3164954447, 'PL', 'Poland'),
(94763, '188.165.95.80', '188.165.95.111', 3164954448, 3164954479, 'FR', 'France'),
(94764, '188.165.95.112', '188.165.95.127', 3164954480, 3164954495, 'GB', 'United Kingdom'),
(94765, '188.165.95.128', '188.165.95.131', 3164954496, 3164954499, 'PL', 'Poland'),
(94766, '188.165.95.132', '188.165.95.139', 3164954500, 3164954507, 'FR', 'France'),
(94767, '188.165.95.140', '188.165.95.143', 3164954508, 3164954511, 'ES', 'Spain'),
(94768, '188.165.95.144', '188.165.95.147', 3164954512, 3164954515, 'PL', 'Poland'),
(94769, '188.165.95.148', '188.165.95.151', 3164954516, 3164954519, 'IT', 'Italy'),
(94770, '188.165.95.152', '188.165.95.175', 3164954520, 3164954543, 'GB', 'United Kingdom'),
(94771, '188.165.95.176', '188.165.95.191', 3164954544, 3164954559, 'LT', 'Lithuania'),
(94772, '188.165.95.192', '188.165.95.199', 3164954560, 3164954567, 'PT', 'Portugal'),
(94773, '188.165.95.200', '188.165.95.203', 3164954568, 3164954571, 'FR', 'France'),
(94774, '188.165.95.204', '188.165.95.207', 3164954572, 3164954575, 'CH', 'Switzerland'),
(94775, '188.165.95.208', '188.165.95.215', 3164954576, 3164954583, 'FR', 'France'),
(94776, '188.165.95.216', '188.165.95.223', 3164954584, 3164954591, 'DE', 'Germany'),
(94777, '188.165.95.224', '188.165.95.255', 3164954592, 3164954623, 'PL', 'Poland'),
(94778, '188.165.96.0', '188.165.102.223', 3164954624, 3164956383, 'FR', 'France'),
(94779, '188.165.102.224', '188.165.102.239', 3164956384, 3164956399, 'DE', 'Germany'),
(94780, '188.165.102.240', '188.165.103.63', 3164956400, 3164956479, 'FR', 'France'),
(94781, '188.165.103.64', '188.165.103.127', 3164956480, 3164956543, 'GB', 'United Kingdom'),
(94782, '188.165.103.128', '188.165.112.127', 3164956544, 3164958847, 'FR', 'France'),
(94783, '188.165.112.128', '188.165.112.191', 3164958848, 3164958911, 'IT', 'Italy'),
(94784, '188.165.112.192', '188.165.112.207', 3164958912, 3164958927, 'CH', 'Switzerland'),
(94785, '188.165.112.208', '188.165.112.235', 3164958928, 3164958955, 'FR', 'France'),
(94786, '188.165.112.236', '188.165.112.239', 3164958956, 3164958959, 'GB', 'United Kingdom'),
(94787, '188.165.112.240', '188.165.113.31', 3164958960, 3164959007, 'FR', 'France'),
(94788, '188.165.113.32', '188.165.113.47', 3164959008, 3164959023, 'PL', 'Poland'),
(94789, '188.165.113.48', '188.165.113.63', 3164959024, 3164959039, 'FR', 'France'),
(94790, '188.165.113.64', '188.165.113.159', 3164959040, 3164959135, 'DE', 'Germany'),
(94791, '188.165.113.160', '188.165.113.255', 3164959136, 3164959231, 'ES', 'Spain'),
(94792, '188.165.114.0', '188.165.114.15', 3164959232, 3164959247, 'FR', 'France'),
(94793, '188.165.114.16', '188.165.114.23', 3164959248, 3164959255, 'ES', 'Spain'),
(94794, '188.165.114.24', '188.165.114.31', 3164959256, 3164959263, 'PL', 'Poland'),
(94795, '188.165.114.32', '188.165.114.63', 3164959264, 3164959295, 'GB', 'United Kingdom'),
(94796, '188.165.114.64', '188.165.114.71', 3164959296, 3164959303, 'IT', 'Italy'),
(94797, '188.165.114.72', '188.165.114.75', 3164959304, 3164959307, 'FR', 'France'),
(94798, '188.165.114.76', '188.165.114.79', 3164959308, 3164959311, 'IT', 'Italy'),
(94799, '188.165.114.80', '188.165.114.95', 3164959312, 3164959327, 'ES', 'Spain'),
(94800, '188.165.114.96', '188.165.114.111', 3164959328, 3164959343, 'BE', 'Belgium'),
(94801, '188.165.114.112', '188.165.114.127', 3164959344, 3164959359, 'PL', 'Poland'),
(94802, '188.165.114.128', '188.165.114.139', 3164959360, 3164959371, 'FR', 'France'),
(94803, '188.165.114.140', '188.165.114.143', 3164959372, 3164959375, 'IE', 'Ireland'),
(94804, '188.165.114.144', '188.165.114.151', 3164959376, 3164959383, 'DE', 'Germany'),
(94805, '188.165.114.152', '188.165.114.155', 3164959384, 3164959387, 'PL', 'Poland'),
(94806, '188.165.114.156', '188.165.114.223', 3164959388, 3164959455, 'FR', 'France'),
(94807, '188.165.114.224', '188.165.114.231', 3164959456, 3164959463, 'DE', 'Germany'),
(94808, '188.165.114.232', '188.165.114.239', 3164959464, 3164959471, 'GB', 'United Kingdom'),
(94809, '188.165.114.240', '188.165.114.255', 3164959472, 3164959487, 'NL', 'Netherlands'),
(94810, '188.165.115.0', '188.165.115.255', 3164959488, 3164959743, 'ES', 'Spain'),
(94811, '188.165.116.0', '188.165.116.19', 3164959744, 3164959763, 'FR', 'France'),
(94812, '188.165.116.20', '188.165.116.23', 3164959764, 3164959767, 'PL', 'Poland'),
(94813, '188.165.116.24', '188.165.116.31', 3164959768, 3164959775, 'FR', 'France'),
(94814, '188.165.116.32', '188.165.116.63', 3164959776, 3164959807, 'DE', 'Germany'),
(94815, '188.165.116.64', '188.165.116.79', 3164959808, 3164959823, 'IE', 'Ireland'),
(94816, '188.165.116.80', '188.165.116.95', 3164959824, 3164959839, 'FI', 'Finland'),
(94817, '188.165.116.96', '188.165.116.111', 3164959840, 3164959855, 'BE', 'Belgium'),
(94818, '188.165.116.112', '188.165.116.143', 3164959856, 3164959887, 'FR', 'France'),
(94819, '188.165.116.144', '188.165.116.147', 3164959888, 3164959891, 'CH', 'Switzerland'),
(94820, '188.165.116.148', '188.165.116.151', 3164959892, 3164959895, 'LT', 'Lithuania'),
(94821, '188.165.116.152', '188.165.116.159', 3164959896, 3164959903, 'PL', 'Poland'),
(94822, '188.165.116.160', '188.165.116.175', 3164959904, 3164959919, 'DE', 'Germany'),
(94823, '188.165.116.176', '188.165.116.183', 3164959920, 3164959927, 'FR', 'France'),
(94824, '188.165.116.184', '188.165.116.187', 3164959928, 3164959931, 'GB', 'United Kingdom'),
(94825, '188.165.116.188', '188.165.116.191', 3164959932, 3164959935, 'IE', 'Ireland'),
(94826, '188.165.116.192', '188.165.116.255', 3164959936, 3164959999, 'FR', 'France'),
(94827, '188.165.117.0', '188.165.118.3', 3164960000, 3164960259, 'DE', 'Germany'),
(94828, '188.165.118.4', '188.165.118.7', 3164960260, 3164960263, 'FR', 'France'),
(94829, '188.165.118.8', '188.165.118.11', 3164960264, 3164960267, 'LT', 'Lithuania'),
(94830, '188.165.118.12', '188.165.118.15', 3164960268, 3164960271, 'NL', 'Netherlands'),
(94831, '188.165.118.16', '188.165.118.39', 3164960272, 3164960295, 'FR', 'France'),
(94832, '188.165.118.40', '188.165.118.43', 3164960296, 3164960299, 'IT', 'Italy'),
(94833, '188.165.118.44', '188.165.118.47', 3164960300, 3164960303, 'GB', 'United Kingdom'),
(94834, '188.165.118.48', '188.165.118.63', 3164960304, 3164960319, 'FR', 'France'),
(94835, '188.165.118.64', '188.165.118.67', 3164960320, 3164960323, 'ES', 'Spain'),
(94836, '188.165.118.68', '188.165.118.71', 3164960324, 3164960327, 'IT', 'Italy'),
(94837, '188.165.118.72', '188.165.118.75', 3164960328, 3164960331, 'CZ', 'Czech Republic'),
(94838, '188.165.118.76', '188.165.118.79', 3164960332, 3164960335, 'LT', 'Lithuania'),
(94839, '188.165.118.80', '188.165.118.83', 3164960336, 3164960339, 'PL', 'Poland'),
(94840, '188.165.118.84', '188.165.118.103', 3164960340, 3164960359, 'FR', 'France'),
(94841, '188.165.118.104', '188.165.118.107', 3164960360, 3164960363, 'PT', 'Portugal'),
(94842, '188.165.118.108', '188.165.118.111', 3164960364, 3164960367, 'PL', 'Poland'),
(94843, '188.165.118.112', '188.165.118.127', 3164960368, 3164960383, 'GB', 'United Kingdom'),
(94844, '188.165.118.128', '188.165.118.131', 3164960384, 3164960387, 'DE', 'Germany'),
(94845, '188.165.118.132', '188.165.118.135', 3164960388, 3164960391, 'PL', 'Poland'),
(94846, '188.165.118.136', '188.165.118.139', 3164960392, 3164960395, 'GB', 'United Kingdom'),
(94847, '188.165.118.140', '188.165.118.143', 3164960396, 3164960399, 'DE', 'Germany'),
(94848, '188.165.118.144', '188.165.118.159', 3164960400, 3164960415, 'PL', 'Poland'),
(94849, '188.165.118.160', '188.165.118.179', 3164960416, 3164960435, 'FR', 'France'),
(94850, '188.165.118.180', '188.165.118.183', 3164960436, 3164960439, 'PL', 'Poland'),
(94851, '188.165.118.184', '188.165.118.187', 3164960440, 3164960443, 'CH', 'Switzerland'),
(94852, '188.165.118.188', '188.165.118.191', 3164960444, 3164960447, 'IT', 'Italy'),
(94853, '188.165.118.192', '188.165.118.207', 3164960448, 3164960463, 'PL', 'Poland'),
(94854, '188.165.118.208', '188.165.118.211', 3164960464, 3164960467, 'NL', 'Netherlands'),
(94855, '188.165.118.212', '188.165.118.215', 3164960468, 3164960471, 'GB', 'United Kingdom'),
(94856, '188.165.118.216', '188.165.118.223', 3164960472, 3164960479, 'FR', 'France'),
(94857, '188.165.118.224', '188.165.118.255', 3164960480, 3164960511, 'DE', 'Germany'),
(94858, '188.165.119.0', '188.165.119.63', 3164960512, 3164960575, 'PL', 'Poland'),
(94859, '188.165.119.64', '188.165.119.79', 3164960576, 3164960591, 'DE', 'Germany'),
(94860, '188.165.119.80', '188.165.119.87', 3164960592, 3164960599, 'ES', 'Spain'),
(94861, '188.165.119.88', '188.165.119.111', 3164960600, 3164960623, 'DE', 'Germany'),
(94862, '188.165.119.112', '188.165.119.115', 3164960624, 3164960627, 'FR', 'France'),
(94863, '188.165.119.116', '188.165.119.127', 3164960628, 3164960639, 'PL', 'Poland'),
(94864, '188.165.119.128', '188.165.119.131', 3164960640, 3164960643, 'LT', 'Lithuania'),
(94865, '188.165.119.132', '188.165.119.135', 3164960644, 3164960647, 'FR', 'France'),
(94866, '188.165.119.136', '188.165.119.139', 3164960648, 3164960651, 'CH', 'Switzerland'),
(94867, '188.165.119.140', '188.165.119.147', 3164960652, 3164960659, 'IT', 'Italy'),
(94868, '188.165.119.148', '188.165.119.159', 3164960660, 3164960671, 'PL', 'Poland'),
(94869, '188.165.119.160', '188.165.119.163', 3164960672, 3164960675, 'ES', 'Spain'),
(94870, '188.165.119.164', '188.165.119.167', 3164960676, 3164960679, 'GB', 'United Kingdom'),
(94871, '188.165.119.168', '188.165.119.175', 3164960680, 3164960687, 'FR', 'France'),
(94872, '188.165.119.176', '188.165.119.183', 3164960688, 3164960695, 'PL', 'Poland'),
(94873, '188.165.119.184', '188.165.119.187', 3164960696, 3164960699, 'FR', 'France'),
(94874, '188.165.119.188', '188.165.119.191', 3164960700, 3164960703, 'ES', 'Spain'),
(94875, '188.165.119.192', '188.165.119.207', 3164960704, 3164960719, 'IE', 'Ireland'),
(94876, '188.165.119.208', '188.165.119.211', 3164960720, 3164960723, 'CH', 'Switzerland'),
(94877, '188.165.119.212', '188.165.119.215', 3164960724, 3164960727, 'FR', 'France'),
(94878, '188.165.119.216', '188.165.119.223', 3164960728, 3164960735, 'PL', 'Poland'),
(94879, '188.165.119.224', '188.165.119.255', 3164960736, 3164960767, 'ES', 'Spain'),
(94880, '188.165.120.0', '188.165.120.31', 3164960768, 3164960799, 'GB', 'United Kingdom'),
(94881, '188.165.120.32', '188.165.120.63', 3164960800, 3164960831, 'ES', 'Spain'),
(94882, '188.165.120.64', '188.165.120.143', 3164960832, 3164960911, 'FR', 'France'),
(94883, '188.165.120.144', '188.165.120.151', 3164960912, 3164960919, 'PL', 'Poland'),
(94884, '188.165.120.152', '188.165.120.159', 3164960920, 3164960927, 'FR', 'France'),
(94885, '188.165.120.160', '188.165.120.163', 3164960928, 3164960931, 'ES', 'Spain'),
(94886, '188.165.120.164', '188.165.120.167', 3164960932, 3164960935, 'FR', 'France'),
(94887, '188.165.120.168', '188.165.120.171', 3164960936, 3164960939, 'CH', 'Switzerland'),
(94888, '188.165.120.172', '188.165.120.175', 3164960940, 3164960943, 'DE', 'Germany'),
(94889, '188.165.120.176', '188.165.120.191', 3164960944, 3164960959, 'PL', 'Poland'),
(94890, '188.165.120.192', '188.165.120.195', 3164960960, 3164960963, 'ES', 'Spain'),
(94891, '188.165.120.196', '188.165.120.199', 3164960964, 3164960967, 'PT', 'Portugal'),
(94892, '188.165.120.200', '188.165.120.207', 3164960968, 3164960975, 'PL', 'Poland'),
(94893, '188.165.120.208', '188.165.120.223', 3164960976, 3164960991, 'GB', 'United Kingdom'),
(94894, '188.165.120.224', '188.165.120.235', 3164960992, 3164961003, 'FR', 'France'),
(94895, '188.165.120.236', '188.165.120.239', 3164961004, 3164961007, 'DE', 'Germany'),
(94896, '188.165.120.240', '188.165.120.255', 3164961008, 3164961023, 'PL', 'Poland'),
(94897, '188.165.121.0', '188.165.121.127', 3164961024, 3164961151, 'FR', 'France'),
(94898, '188.165.121.128', '188.165.121.143', 3164961152, 3164961167, 'DE', 'Germany'),
(94899, '188.165.121.144', '188.165.121.151', 3164961168, 3164961175, 'PL', 'Poland'),
(94900, '188.165.121.152', '188.165.121.255', 3164961176, 3164961279, 'FR', 'France'),
(94901, '188.165.122.0', '188.165.122.31', 3164961280, 3164961311, 'DE', 'Germany'),
(94902, '188.165.122.32', '188.165.122.39', 3164961312, 3164961319, 'FR', 'France'),
(94903, '188.165.122.40', '188.165.122.47', 3164961320, 3164961327, 'PL', 'Poland'),
(94904, '188.165.122.48', '188.165.122.51', 3164961328, 3164961331, 'CZ', 'Czech Republic'),
(94905, '188.165.122.52', '188.165.122.83', 3164961332, 3164961363, 'FR', 'France'),
(94906, '188.165.122.84', '188.165.122.87', 3164961364, 3164961367, 'ES', 'Spain'),
(94907, '188.165.122.88', '188.165.122.95', 3164961368, 3164961375, 'GB', 'United Kingdom'),
(94908, '188.165.122.96', '188.165.122.99', 3164961376, 3164961379, 'DE', 'Germany'),
(94909, '188.165.122.100', '188.165.122.107', 3164961380, 3164961387, 'IT', 'Italy'),
(94910, '188.165.122.108', '188.165.122.191', 3164961388, 3164961471, 'FR', 'France'),
(94911, '188.165.122.192', '188.165.122.223', 3164961472, 3164961503, 'DE', 'Germany'),
(94912, '188.165.122.224', '188.165.122.239', 3164961504, 3164961519, 'GB', 'United Kingdom'),
(94913, '188.165.122.240', '188.165.122.247', 3164961520, 3164961527, 'IT', 'Italy'),
(94914, '188.165.122.248', '188.165.122.255', 3164961528, 3164961535, 'PL', 'Poland'),
(94915, '188.165.123.0', '188.165.123.15', 3164961536, 3164961551, 'ES', 'Spain'),
(94916, '188.165.123.16', '188.165.123.23', 3164961552, 3164961559, 'FR', 'France'),
(94917, '188.165.123.24', '188.165.123.27', 3164961560, 3164961563, 'DE', 'Germany'),
(94918, '188.165.123.28', '188.165.123.47', 3164961564, 3164961583, 'FR', 'France'),
(94919, '188.165.123.48', '188.165.123.63', 3164961584, 3164961599, 'DE', 'Germany'),
(94920, '188.165.123.64', '188.165.123.95', 3164961600, 3164961631, 'BE', 'Belgium'),
(94921, '188.165.123.96', '188.165.123.111', 3164961632, 3164961647, 'IT', 'Italy'),
(94922, '188.165.123.112', '188.165.123.119', 3164961648, 3164961655, 'NL', 'Netherlands'),
(94923, '188.165.123.120', '188.165.123.127', 3164961656, 3164961663, 'ES', 'Spain'),
(94924, '188.165.123.128', '188.165.123.159', 3164961664, 3164961695, 'DE', 'Germany'),
(94925, '188.165.123.160', '188.165.123.191', 3164961696, 3164961727, 'GB', 'United Kingdom'),
(94926, '188.165.123.192', '188.165.123.195', 3164961728, 3164961731, 'ES', 'Spain'),
(94927, '188.165.123.196', '188.165.123.199', 3164961732, 3164961735, 'IT', 'Italy'),
(94928, '188.165.123.200', '188.165.123.203', 3164961736, 3164961739, 'FR', 'France'),
(94929, '188.165.123.204', '188.165.123.207', 3164961740, 3164961743, 'GB', 'United Kingdom'),
(94930, '188.165.123.208', '188.165.123.227', 3164961744, 3164961763, 'PL', 'Poland'),
(94931, '188.165.123.228', '188.165.123.231', 3164961764, 3164961767, 'IT', 'Italy'),
(94932, '188.165.123.232', '188.165.123.239', 3164961768, 3164961775, 'BE', 'Belgium'),
(94933, '188.165.123.240', '188.165.123.247', 3164961776, 3164961783, 'PL', 'Poland'),
(94934, '188.165.123.248', '188.165.123.255', 3164961784, 3164961791, 'ES', 'Spain'),
(94935, '188.165.124.0', '188.165.124.15', 3164961792, 3164961807, 'PL', 'Poland'),
(94936, '188.165.124.16', '188.165.124.23', 3164961808, 3164961815, 'FR', 'France'),
(94937, '188.165.124.24', '188.165.124.27', 3164961816, 3164961819, 'CZ', 'Czech Republic'),
(94938, '188.165.124.28', '188.165.124.31', 3164961820, 3164961823, 'DE', 'Germany'),
(94939, '188.165.124.32', '188.165.124.35', 3164961824, 3164961827, 'ES', 'Spain'),
(94940, '188.165.124.36', '188.165.124.63', 3164961828, 3164961855, 'FR', 'France'),
(94941, '188.165.124.64', '188.165.124.67', 3164961856, 3164961859, 'PL', 'Poland'),
(94942, '188.165.124.68', '188.165.124.71', 3164961860, 3164961863, 'ES', 'Spain'),
(94943, '188.165.124.72', '188.165.124.79', 3164961864, 3164961871, 'FR', 'France'),
(94944, '188.165.124.80', '188.165.124.95', 3164961872, 3164961887, 'IE', 'Ireland'),
(94945, '188.165.124.96', '188.165.124.111', 3164961888, 3164961903, 'ES', 'Spain'),
(94946, '188.165.124.112', '188.165.124.127', 3164961904, 3164961919, 'GB', 'United Kingdom'),
(94947, '188.165.124.128', '188.165.124.159', 3164961920, 3164961951, 'IT', 'Italy'),
(94948, '188.165.124.160', '188.165.124.175', 3164961952, 3164961967, 'ES', 'Spain'),
(94949, '188.165.124.176', '188.165.124.179', 3164961968, 3164961971, 'IE', 'Ireland'),
(94950, '188.165.124.180', '188.165.124.183', 3164961972, 3164961975, 'ES', 'Spain'),
(94951, '188.165.124.184', '188.165.124.187', 3164961976, 3164961979, 'FR', 'France'),
(94952, '188.165.124.188', '188.165.124.207', 3164961980, 3164961999, 'DE', 'Germany'),
(94953, '188.165.124.208', '188.165.124.215', 3164962000, 3164962007, 'BE', 'Belgium'),
(94954, '188.165.124.216', '188.165.124.219', 3164962008, 3164962011, 'DE', 'Germany'),
(94955, '188.165.124.220', '188.165.124.223', 3164962012, 3164962015, 'PT', 'Portugal'),
(94956, '188.165.124.224', '188.165.124.239', 3164962016, 3164962031, 'FR', 'France'),
(94957, '188.165.124.240', '188.165.124.255', 3164962032, 3164962047, 'NL', 'Netherlands'),
(94958, '188.165.125.0', '188.165.125.31', 3164962048, 3164962079, 'FR', 'France'),
(94959, '188.165.125.32', '188.165.125.47', 3164962080, 3164962095, 'ES', 'Spain'),
(94960, '188.165.125.48', '188.165.125.63', 3164962096, 3164962111, 'FR', 'France'),
(94961, '188.165.125.64', '188.165.125.95', 3164962112, 3164962143, 'GB', 'United Kingdom'),
(94962, '188.165.125.96', '188.165.125.103', 3164962144, 3164962151, 'ES', 'Spain'),
(94963, '188.165.125.104', '188.165.125.111', 3164962152, 3164962159, 'DE', 'Germany'),
(94964, '188.165.125.112', '188.165.125.143', 3164962160, 3164962191, 'FR', 'France'),
(94965, '188.165.125.144', '188.165.125.151', 3164962192, 3164962199, 'DE', 'Germany'),
(94966, '188.165.125.152', '188.165.125.155', 3164962200, 3164962203, 'GB', 'United Kingdom'),
(94967, '188.165.125.156', '188.165.125.159', 3164962204, 3164962207, 'PT', 'Portugal'),
(94968, '188.165.125.160', '188.165.125.163', 3164962208, 3164962211, 'FI', 'Finland'),
(94969, '188.165.125.164', '188.165.125.191', 3164962212, 3164962239, 'FR', 'France'),
(94970, '188.165.125.192', '188.165.125.199', 3164962240, 3164962247, 'PL', 'Poland'),
(94971, '188.165.125.200', '188.165.125.203', 3164962248, 3164962251, 'FR', 'France'),
(94972, '188.165.125.204', '188.165.125.207', 3164962252, 3164962255, 'DE', 'Germany'),
(94973, '188.165.125.208', '188.165.125.211', 3164962256, 3164962259, 'NL', 'Netherlands'),
(94974, '188.165.125.212', '188.165.125.215', 3164962260, 3164962263, 'DE', 'Germany'),
(94975, '188.165.125.216', '188.165.125.231', 3164962264, 3164962279, 'ES', 'Spain'),
(94976, '188.165.125.232', '188.165.125.235', 3164962280, 3164962283, 'DE', 'Germany'),
(94977, '188.165.125.236', '188.165.125.239', 3164962284, 3164962287, 'ES', 'Spain'),
(94978, '188.165.125.240', '188.165.125.243', 3164962288, 3164962291, 'FR', 'France'),
(94979, '188.165.125.244', '188.165.125.247', 3164962292, 3164962295, 'ES', 'Spain'),
(94980, '188.165.125.248', '188.165.125.255', 3164962296, 3164962303, 'PL', 'Poland'),
(94981, '188.165.126.0', '188.165.126.15', 3164962304, 3164962319, 'NL', 'Netherlands'),
(94982, '188.165.126.16', '188.165.126.31', 3164962320, 3164962335, 'FR', 'France'),
(94983, '188.165.126.32', '188.165.126.63', 3164962336, 3164962367, 'DE', 'Germany'),
(94984, '188.165.126.64', '188.165.126.127', 3164962368, 3164962431, 'PL', 'Poland'),
(94985, '188.165.126.128', '188.165.126.135', 3164962432, 3164962439, 'GB', 'United Kingdom'),
(94986, '188.165.126.136', '188.165.126.143', 3164962440, 3164962447, 'PL', 'Poland'),
(94987, '188.165.126.144', '188.165.126.147', 3164962448, 3164962451, 'PT', 'Portugal'),
(94988, '188.165.126.148', '188.165.126.151', 3164962452, 3164962455, 'FR', 'France'),
(94989, '188.165.126.152', '188.165.126.155', 3164962456, 3164962459, 'IE', 'Ireland'),
(94990, '188.165.126.156', '188.165.126.223', 3164962460, 3164962527, 'FR', 'France'),
(94991, '188.165.126.224', '188.165.126.231', 3164962528, 3164962535, 'PL', 'Poland'),
(94992, '188.165.126.232', '188.165.126.235', 3164962536, 3164962539, 'CH', 'Switzerland'),
(94993, '188.165.126.236', '188.165.126.239', 3164962540, 3164962543, 'CZ', 'Czech Republic'),
(94994, '188.165.126.240', '188.165.127.63', 3164962544, 3164962623, 'FR', 'France'),
(94995, '188.165.127.64', '188.165.127.67', 3164962624, 3164962627, 'BE', 'Belgium'),
(94996, '188.165.127.68', '188.165.127.71', 3164962628, 3164962631, 'PL', 'Poland'),
(94997, '188.165.127.72', '188.165.127.79', 3164962632, 3164962639, 'FR', 'France'),
(94998, '188.165.127.80', '188.165.127.87', 3164962640, 3164962647, 'ES', 'Spain'),
(94999, '188.165.127.88', '188.165.127.95', 3164962648, 3164962655, 'PT', 'Portugal'),
(95000, '188.165.127.96', '188.165.127.111', 3164962656, 3164962671, 'GB', 'United Kingdom'),
(95001, '188.165.127.112', '188.165.127.127', 3164962672, 3164962687, 'FR', 'France'),
(95002, '188.165.127.128', '188.165.127.143', 3164962688, 3164962703, 'PL', 'Poland'),
(95003, '188.165.127.144', '188.165.127.155', 3164962704, 3164962715, 'FR', 'France'),
(95004, '188.165.127.156', '188.165.127.159', 3164962716, 3164962719, 'NL', 'Netherlands'),
(95005, '188.165.127.160', '188.165.127.163', 3164962720, 3164962723, 'FR', 'France'),
(95006, '188.165.127.164', '188.165.127.167', 3164962724, 3164962727, 'ES', 'Spain'),
(95007, '188.165.127.168', '188.165.127.191', 3164962728, 3164962751, 'FR', 'France'),
(95008, '188.165.127.192', '188.165.135.255', 3164962752, 3164964863, 'ES', 'Spain'),
(95009, '188.165.136.0', '188.165.143.255', 3164964864, 3164966911, 'FI', 'Finland'),
(95010, '188.165.144.0', '188.165.144.127', 3164966912, 3164967039, 'FR', 'France'),
(95011, '188.165.144.128', '188.165.144.159', 3164967040, 3164967071, 'GB', 'United Kingdom'),
(95012, '188.165.144.160', '188.165.144.175', 3164967072, 3164967087, 'FR', 'France'),
(95013, '188.165.144.176', '188.165.144.183', 3164967088, 3164967095, 'IT', 'Italy'),
(95014, '188.165.144.184', '188.165.144.191', 3164967096, 3164967103, 'PL', 'Poland'),
(95015, '188.165.144.192', '188.165.144.223', 3164967104, 3164967135, 'ES', 'Spain'),
(95016, '188.165.144.224', '188.165.144.243', 3164967136, 3164967155, 'FR', 'France'),
(95017, '188.165.144.244', '188.165.144.247', 3164967156, 3164967159, 'PL', 'Poland'),
(95018, '188.165.144.248', '188.165.144.255', 3164967160, 3164967167, 'FR', 'France'),
(95019, '188.165.145.0', '188.165.145.127', 3164967168, 3164967295, 'ES', 'Spain'),
(95020, '188.165.145.128', '188.165.145.135', 3164967296, 3164967303, 'NL', 'Netherlands'),
(95021, '188.165.145.136', '188.165.145.139', 3164967304, 3164967307, 'PT', 'Portugal'),
(95022, '188.165.145.140', '188.165.145.143', 3164967308, 3164967311, 'DE', 'Germany'),
(95023, '188.165.145.144', '188.165.145.175', 3164967312, 3164967343, 'IT', 'Italy'),
(95024, '188.165.145.176', '188.165.145.183', 3164967344, 3164967351, 'ES', 'Spain'),
(95025, '188.165.145.184', '188.165.145.191', 3164967352, 3164967359, 'PL', 'Poland'),
(95026, '188.165.145.192', '188.165.145.207', 3164967360, 3164967375, 'FR', 'France'),
(95027, '188.165.145.208', '188.165.145.223', 3164967376, 3164967391, 'GB', 'United Kingdom'),
(95028, '188.165.145.224', '188.165.145.255', 3164967392, 3164967423, 'IE', 'Ireland'),
(95029, '188.165.146.0', '188.165.146.255', 3164967424, 3164967679, 'ES', 'Spain'),
(95030, '188.165.147.0', '188.165.147.255', 3164967680, 3164967935, 'FR', 'France'),
(95031, '188.165.148.0', '188.165.148.31', 3164967936, 3164967967, 'DE', 'Germany'),
(95032, '188.165.148.32', '188.165.148.35', 3164967968, 3164967971, 'FR', 'France'),
(95033, '188.165.148.36', '188.165.148.39', 3164967972, 3164967975, 'DE', 'Germany'),
(95034, '188.165.148.40', '188.165.148.47', 3164967976, 3164967983, 'FR', 'France'),
(95035, '188.165.148.48', '188.165.148.63', 3164967984, 3164967999, 'PL', 'Poland'),
(95036, '188.165.148.64', '188.165.148.79', 3164968000, 3164968015, 'GB', 'United Kingdom'),
(95037, '188.165.148.80', '188.165.148.255', 3164968016, 3164968191, 'FR', 'France'),
(95038, '188.165.149.0', '188.165.150.255', 3164968192, 3164968703, 'PL', 'Poland'),
(95039, '188.165.151.0', '188.165.151.127', 3164968704, 3164968831, 'FR', 'France'),
(95040, '188.165.151.128', '188.165.151.131', 3164968832, 3164968835, 'PL', 'Poland'),
(95041, '188.165.151.132', '188.165.151.135', 3164968836, 3164968839, 'NL', 'Netherlands'),
(95042, '188.165.151.136', '188.165.151.139', 3164968840, 3164968843, 'ES', 'Spain'),
(95043, '188.165.151.140', '188.165.151.143', 3164968844, 3164968847, 'IT', 'Italy'),
(95044, '188.165.151.144', '188.165.151.147', 3164968848, 3164968851, 'GB', 'United Kingdom'),
(95045, '188.165.151.148', '188.165.151.151', 3164968852, 3164968855, 'FR', 'France'),
(95046, '188.165.151.152', '188.165.151.155', 3164968856, 3164968859, 'IE', 'Ireland'),
(95047, '188.165.151.156', '188.165.151.159', 3164968860, 3164968863, 'LT', 'Lithuania'),
(95048, '188.165.151.160', '188.165.151.191', 3164968864, 3164968895, 'DE', 'Germany'),
(95049, '188.165.151.192', '188.165.151.195', 3164968896, 3164968899, 'PT', 'Portugal'),
(95050, '188.165.151.196', '188.165.151.199', 3164968900, 3164968903, 'CZ', 'Czech Republic'),
(95051, '188.165.151.200', '188.165.151.203', 3164968904, 3164968907, 'PL', 'Poland'),
(95052, '188.165.151.204', '188.165.151.207', 3164968908, 3164968911, 'GB', 'United Kingdom'),
(95053, '188.165.151.208', '188.165.151.223', 3164968912, 3164968927, 'DE', 'Germany'),
(95054, '188.165.151.224', '188.165.151.243', 3164968928, 3164968947, 'FR', 'France'),
(95055, '188.165.151.244', '188.165.151.247', 3164968948, 3164968951, 'PL', 'Poland'),
(95056, '188.165.151.248', '188.165.151.251', 3164968952, 3164968955, 'CZ', 'Czech Republic'),
(95057, '188.165.151.252', '188.165.151.255', 3164968956, 3164968959, 'DE', 'Germany'),
(95058, '188.165.152.0', '188.165.152.31', 3164968960, 3164968991, 'GB', 'United Kingdom'),
(95059, '188.165.152.32', '188.165.152.47', 3164968992, 3164969007, 'IE', 'Ireland'),
(95060, '188.165.152.48', '188.165.152.55', 3164969008, 3164969015, 'PT', 'Portugal'),
(95061, '188.165.152.56', '188.165.152.59', 3164969016, 3164969019, 'NL', 'Netherlands'),
(95062, '188.165.152.60', '188.165.152.63', 3164969020, 3164969023, 'BE', 'Belgium'),
(95063, '188.165.152.64', '188.165.152.95', 3164969024, 3164969055, 'PL', 'Poland'),
(95064, '188.165.152.96', '188.165.152.111', 3164969056, 3164969071, 'PT', 'Portugal'),
(95065, '188.165.152.112', '188.165.152.119', 3164969072, 3164969079, 'FR', 'France'),
(95066, '188.165.152.120', '188.165.152.123', 3164969080, 3164969083, 'PL', 'Poland'),
(95067, '188.165.152.124', '188.165.152.135', 3164969084, 3164969095, 'ES', 'Spain'),
(95068, '188.165.152.136', '188.165.152.139', 3164969096, 3164969099, 'PL', 'Poland'),
(95069, '188.165.152.140', '188.165.152.143', 3164969100, 3164969103, 'DE', 'Germany'),
(95070, '188.165.152.144', '188.165.152.175', 3164969104, 3164969135, 'FR', 'France'),
(95071, '188.165.152.176', '188.165.152.183', 3164969136, 3164969143, 'ES', 'Spain'),
(95072, '188.165.152.184', '188.165.152.187', 3164969144, 3164969147, 'FR', 'France'),
(95073, '188.165.152.188', '188.165.152.223', 3164969148, 3164969183, 'GB', 'United Kingdom'),
(95074, '188.165.152.224', '188.165.152.239', 3164969184, 3164969199, 'FR', 'France'),
(95075, '188.165.152.240', '188.165.152.243', 3164969200, 3164969203, 'LT', 'Lithuania'),
(95076, '188.165.152.244', '188.165.152.247', 3164969204, 3164969207, 'ES', 'Spain'),
(95077, '188.165.152.248', '188.165.152.251', 3164969208, 3164969211, 'PL', 'Poland'),
(95078, '188.165.152.252', '188.165.152.255', 3164969212, 3164969215, 'DE', 'Germany'),
(95079, '188.165.153.0', '188.165.153.255', 3164969216, 3164969471, 'FR', 'France'),
(95080, '188.165.154.0', '188.165.154.255', 3164969472, 3164969727, 'PL', 'Poland'),
(95081, '188.165.155.0', '188.165.155.15', 3164969728, 3164969743, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(95082, '188.165.155.16', '188.165.155.31', 3164969744, 3164969759, 'FR', 'France'),
(95083, '188.165.155.32', '188.165.155.47', 3164969760, 3164969775, 'IE', 'Ireland'),
(95084, '188.165.155.48', '188.165.155.95', 3164969776, 3164969823, 'FR', 'France'),
(95085, '188.165.155.96', '188.165.155.127', 3164969824, 3164969855, 'DE', 'Germany'),
(95086, '188.165.155.128', '188.165.155.147', 3164969856, 3164969875, 'FR', 'France'),
(95087, '188.165.155.148', '188.165.155.151', 3164969876, 3164969879, 'DE', 'Germany'),
(95088, '188.165.155.152', '188.165.155.155', 3164969880, 3164969883, 'ES', 'Spain'),
(95089, '188.165.155.156', '188.165.155.159', 3164969884, 3164969887, 'PL', 'Poland'),
(95090, '188.165.155.160', '188.165.155.175', 3164969888, 3164969903, 'IE', 'Ireland'),
(95091, '188.165.155.176', '188.165.155.255', 3164969904, 3164969983, 'FR', 'France'),
(95092, '188.165.156.0', '188.165.156.63', 3164969984, 3164970047, 'IE', 'Ireland'),
(95093, '188.165.156.64', '188.165.156.95', 3164970048, 3164970079, 'GB', 'United Kingdom'),
(95094, '188.165.156.96', '188.165.156.127', 3164970080, 3164970111, 'DE', 'Germany'),
(95095, '188.165.156.128', '188.165.156.231', 3164970112, 3164970215, 'FR', 'France'),
(95096, '188.165.156.232', '188.165.156.235', 3164970216, 3164970219, 'PL', 'Poland'),
(95097, '188.165.156.236', '188.165.156.239', 3164970220, 3164970223, 'FR', 'France'),
(95098, '188.165.156.240', '188.165.156.255', 3164970224, 3164970239, 'GB', 'United Kingdom'),
(95099, '188.165.157.0', '188.165.157.31', 3164970240, 3164970271, 'IE', 'Ireland'),
(95100, '188.165.157.32', '188.165.157.47', 3164970272, 3164970287, 'BE', 'Belgium'),
(95101, '188.165.157.48', '188.165.157.51', 3164970288, 3164970291, 'PL', 'Poland'),
(95102, '188.165.157.52', '188.165.157.55', 3164970292, 3164970295, 'DE', 'Germany'),
(95103, '188.165.157.56', '188.165.157.59', 3164970296, 3164970299, 'ES', 'Spain'),
(95104, '188.165.157.60', '188.165.157.63', 3164970300, 3164970303, 'DE', 'Germany'),
(95105, '188.165.157.64', '188.165.157.95', 3164970304, 3164970335, 'ES', 'Spain'),
(95106, '188.165.157.96', '188.165.157.99', 3164970336, 3164970339, 'NL', 'Netherlands'),
(95107, '188.165.157.100', '188.165.157.103', 3164970340, 3164970343, 'BE', 'Belgium'),
(95108, '188.165.157.104', '188.165.157.107', 3164970344, 3164970347, 'FI', 'Finland'),
(95109, '188.165.157.108', '188.165.157.111', 3164970348, 3164970351, 'GB', 'United Kingdom'),
(95110, '188.165.157.112', '188.165.157.119', 3164970352, 3164970359, 'FR', 'France'),
(95111, '188.165.157.120', '188.165.157.123', 3164970360, 3164970363, 'DE', 'Germany'),
(95112, '188.165.157.124', '188.165.157.127', 3164970364, 3164970367, 'ES', 'Spain'),
(95113, '188.165.157.128', '188.165.157.131', 3164970368, 3164970371, 'PL', 'Poland'),
(95114, '188.165.157.132', '188.165.157.135', 3164970372, 3164970375, 'ES', 'Spain'),
(95115, '188.165.157.136', '188.165.157.139', 3164970376, 3164970379, 'FR', 'France'),
(95116, '188.165.157.140', '188.165.157.143', 3164970380, 3164970383, 'PL', 'Poland'),
(95117, '188.165.157.144', '188.165.157.159', 3164970384, 3164970399, 'IT', 'Italy'),
(95118, '188.165.157.160', '188.165.157.163', 3164970400, 3164970403, 'FR', 'France'),
(95119, '188.165.157.164', '188.165.157.167', 3164970404, 3164970407, 'CH', 'Switzerland'),
(95120, '188.165.157.168', '188.165.157.171', 3164970408, 3164970411, 'IT', 'Italy'),
(95121, '188.165.157.172', '188.165.157.175', 3164970412, 3164970415, 'GB', 'United Kingdom'),
(95122, '188.165.157.176', '188.165.157.183', 3164970416, 3164970423, 'FR', 'France'),
(95123, '188.165.157.184', '188.165.157.187', 3164970424, 3164970427, 'IE', 'Ireland'),
(95124, '188.165.157.188', '188.165.157.191', 3164970428, 3164970431, 'PT', 'Portugal'),
(95125, '188.165.157.192', '188.165.157.223', 3164970432, 3164970463, 'FR', 'France'),
(95126, '188.165.157.224', '188.165.157.255', 3164970464, 3164970495, 'GB', 'United Kingdom'),
(95127, '188.165.158.0', '188.165.158.63', 3164970496, 3164970559, 'PL', 'Poland'),
(95128, '188.165.158.64', '188.165.158.71', 3164970560, 3164970567, 'FR', 'France'),
(95129, '188.165.158.72', '188.165.158.75', 3164970568, 3164970571, 'GB', 'United Kingdom'),
(95130, '188.165.158.76', '188.165.158.79', 3164970572, 3164970575, 'LT', 'Lithuania'),
(95131, '188.165.158.80', '188.165.158.111', 3164970576, 3164970607, 'FR', 'France'),
(95132, '188.165.158.112', '188.165.158.119', 3164970608, 3164970615, 'ES', 'Spain'),
(95133, '188.165.158.120', '188.165.158.143', 3164970616, 3164970639, 'FR', 'France'),
(95134, '188.165.158.144', '188.165.158.151', 3164970640, 3164970647, 'ES', 'Spain'),
(95135, '188.165.158.152', '188.165.158.155', 3164970648, 3164970651, 'GB', 'United Kingdom'),
(95136, '188.165.158.156', '188.165.158.159', 3164970652, 3164970655, 'FR', 'France'),
(95137, '188.165.158.160', '188.165.158.191', 3164970656, 3164970687, 'NL', 'Netherlands'),
(95138, '188.165.158.192', '188.165.158.195', 3164970688, 3164970691, 'GB', 'United Kingdom'),
(95139, '188.165.158.196', '188.165.158.199', 3164970692, 3164970695, 'FR', 'France'),
(95140, '188.165.158.200', '188.165.158.223', 3164970696, 3164970719, 'PL', 'Poland'),
(95141, '188.165.158.224', '188.165.159.31', 3164970720, 3164970783, 'FR', 'France'),
(95142, '188.165.159.32', '188.165.159.39', 3164970784, 3164970791, 'PL', 'Poland'),
(95143, '188.165.159.40', '188.165.159.71', 3164970792, 3164970823, 'FR', 'France'),
(95144, '188.165.159.72', '188.165.159.75', 3164970824, 3164970827, 'BE', 'Belgium'),
(95145, '188.165.159.76', '188.165.159.79', 3164970828, 3164970831, 'CH', 'Switzerland'),
(95146, '188.165.159.80', '188.165.159.83', 3164970832, 3164970835, 'IT', 'Italy'),
(95147, '188.165.159.84', '188.165.159.87', 3164970836, 3164970839, 'PL', 'Poland'),
(95148, '188.165.159.88', '188.165.159.95', 3164970840, 3164970847, 'GB', 'United Kingdom'),
(95149, '188.165.159.96', '188.165.159.115', 3164970848, 3164970867, 'FR', 'France'),
(95150, '188.165.159.116', '188.165.159.119', 3164970868, 3164970871, 'NL', 'Netherlands'),
(95151, '188.165.159.120', '188.165.159.123', 3164970872, 3164970875, 'BE', 'Belgium'),
(95152, '188.165.159.124', '188.165.159.127', 3164970876, 3164970879, 'NL', 'Netherlands'),
(95153, '188.165.159.128', '188.165.159.135', 3164970880, 3164970887, 'FR', 'France'),
(95154, '188.165.159.136', '188.165.159.139', 3164970888, 3164970891, 'GB', 'United Kingdom'),
(95155, '188.165.159.140', '188.165.159.159', 3164970892, 3164970911, 'FR', 'France'),
(95156, '188.165.159.160', '188.165.159.163', 3164970912, 3164970915, 'NL', 'Netherlands'),
(95157, '188.165.159.164', '188.165.159.167', 3164970916, 3164970919, 'FR', 'France'),
(95158, '188.165.159.168', '188.165.159.171', 3164970920, 3164970923, 'GB', 'United Kingdom'),
(95159, '188.165.159.172', '188.165.159.175', 3164970924, 3164970927, 'LT', 'Lithuania'),
(95160, '188.165.159.176', '188.165.159.239', 3164970928, 3164970991, 'FR', 'France'),
(95161, '188.165.159.240', '188.165.159.255', 3164970992, 3164971007, 'BE', 'Belgium'),
(95162, '188.165.160.0', '188.165.160.3', 3164971008, 3164971011, 'IT', 'Italy'),
(95163, '188.165.160.4', '188.165.160.7', 3164971012, 3164971015, 'IE', 'Ireland'),
(95164, '188.165.160.8', '188.165.160.15', 3164971016, 3164971023, 'PL', 'Poland'),
(95165, '188.165.160.16', '188.165.160.63', 3164971024, 3164971071, 'FR', 'France'),
(95166, '188.165.160.64', '188.165.160.127', 3164971072, 3164971135, 'DE', 'Germany'),
(95167, '188.165.160.128', '188.165.160.255', 3164971136, 3164971263, 'GB', 'United Kingdom'),
(95168, '188.165.161.0', '188.165.161.191', 3164971264, 3164971455, 'DE', 'Germany'),
(95169, '188.165.161.192', '188.165.161.195', 3164971456, 3164971459, 'FR', 'France'),
(95170, '188.165.161.196', '188.165.161.199', 3164971460, 3164971463, 'IT', 'Italy'),
(95171, '188.165.161.200', '188.165.161.203', 3164971464, 3164971467, 'CH', 'Switzerland'),
(95172, '188.165.161.204', '188.165.161.207', 3164971468, 3164971471, 'DE', 'Germany'),
(95173, '188.165.161.208', '188.165.161.215', 3164971472, 3164971479, 'NL', 'Netherlands'),
(95174, '188.165.161.216', '188.165.161.219', 3164971480, 3164971483, 'FI', 'Finland'),
(95175, '188.165.161.220', '188.165.161.223', 3164971484, 3164971487, 'PL', 'Poland'),
(95176, '188.165.161.224', '188.165.161.239', 3164971488, 3164971503, 'ES', 'Spain'),
(95177, '188.165.161.240', '188.165.161.247', 3164971504, 3164971511, 'PL', 'Poland'),
(95178, '188.165.161.248', '188.165.161.255', 3164971512, 3164971519, 'CZ', 'Czech Republic'),
(95179, '188.165.162.0', '188.165.162.255', 3164971520, 3164971775, 'ES', 'Spain'),
(95180, '188.165.163.0', '188.165.163.19', 3164971776, 3164971795, 'FR', 'France'),
(95181, '188.165.163.20', '188.165.163.23', 3164971796, 3164971799, 'IT', 'Italy'),
(95182, '188.165.163.24', '188.165.163.27', 3164971800, 3164971803, 'DE', 'Germany'),
(95183, '188.165.163.28', '188.165.163.31', 3164971804, 3164971807, 'FR', 'France'),
(95184, '188.165.163.32', '188.165.163.127', 3164971808, 3164971903, 'BE', 'Belgium'),
(95185, '188.165.163.128', '188.165.163.191', 3164971904, 3164971967, 'DE', 'Germany'),
(95186, '188.165.163.192', '188.165.163.207', 3164971968, 3164971983, 'FR', 'France'),
(95187, '188.165.163.208', '188.165.163.223', 3164971984, 3164971999, 'ES', 'Spain'),
(95188, '188.165.163.224', '188.165.163.239', 3164972000, 3164972015, 'CH', 'Switzerland'),
(95189, '188.165.163.240', '188.165.163.243', 3164972016, 3164972019, 'ES', 'Spain'),
(95190, '188.165.163.244', '188.165.163.247', 3164972020, 3164972023, 'FR', 'France'),
(95191, '188.165.163.248', '188.165.163.251', 3164972024, 3164972027, 'IT', 'Italy'),
(95192, '188.165.163.252', '188.165.163.255', 3164972028, 3164972031, 'CH', 'Switzerland'),
(95193, '188.165.164.0', '188.165.164.255', 3164972032, 3164972287, 'GB', 'United Kingdom'),
(95194, '188.165.165.0', '188.165.165.31', 3164972288, 3164972319, 'FR', 'France'),
(95195, '188.165.165.32', '188.165.165.63', 3164972320, 3164972351, 'DE', 'Germany'),
(95196, '188.165.165.64', '188.165.165.127', 3164972352, 3164972415, 'NL', 'Netherlands'),
(95197, '188.165.165.128', '188.165.165.191', 3164972416, 3164972479, 'BE', 'Belgium'),
(95198, '188.165.165.192', '188.165.165.207', 3164972480, 3164972495, 'FR', 'France'),
(95199, '188.165.165.208', '188.165.165.223', 3164972496, 3164972511, 'DE', 'Germany'),
(95200, '188.165.165.224', '188.165.165.239', 3164972512, 3164972527, 'PL', 'Poland'),
(95201, '188.165.165.240', '188.165.165.243', 3164972528, 3164972531, 'DE', 'Germany'),
(95202, '188.165.165.244', '188.165.165.247', 3164972532, 3164972535, 'FR', 'France'),
(95203, '188.165.165.248', '188.165.165.251', 3164972536, 3164972539, 'NL', 'Netherlands'),
(95204, '188.165.165.252', '188.165.166.15', 3164972540, 3164972559, 'FR', 'France'),
(95205, '188.165.166.16', '188.165.166.31', 3164972560, 3164972575, 'IT', 'Italy'),
(95206, '188.165.166.32', '188.165.166.35', 3164972576, 3164972579, 'CZ', 'Czech Republic'),
(95207, '188.165.166.36', '188.165.166.39', 3164972580, 3164972583, 'GB', 'United Kingdom'),
(95208, '188.165.166.40', '188.165.166.43', 3164972584, 3164972587, 'NL', 'Netherlands'),
(95209, '188.165.166.44', '188.165.166.47', 3164972588, 3164972591, 'FR', 'France'),
(95210, '188.165.166.48', '188.165.166.51', 3164972592, 3164972595, 'IE', 'Ireland'),
(95211, '188.165.166.52', '188.165.166.55', 3164972596, 3164972599, 'PL', 'Poland'),
(95212, '188.165.166.56', '188.165.166.63', 3164972600, 3164972607, 'FR', 'France'),
(95213, '188.165.166.64', '188.165.166.95', 3164972608, 3164972639, 'PL', 'Poland'),
(95214, '188.165.166.96', '188.165.166.111', 3164972640, 3164972655, 'IT', 'Italy'),
(95215, '188.165.166.112', '188.165.166.127', 3164972656, 3164972671, 'FR', 'France'),
(95216, '188.165.166.128', '188.165.166.135', 3164972672, 3164972679, 'PL', 'Poland'),
(95217, '188.165.166.136', '188.165.166.147', 3164972680, 3164972691, 'FR', 'France'),
(95218, '188.165.166.148', '188.165.166.151', 3164972692, 3164972695, 'FI', 'Finland'),
(95219, '188.165.166.152', '188.165.166.155', 3164972696, 3164972699, 'FR', 'France'),
(95220, '188.165.166.156', '188.165.166.159', 3164972700, 3164972703, 'DE', 'Germany'),
(95221, '188.165.166.160', '188.165.166.191', 3164972704, 3164972735, 'FR', 'France'),
(95222, '188.165.166.192', '188.165.166.223', 3164972736, 3164972767, 'GB', 'United Kingdom'),
(95223, '188.165.166.224', '188.165.166.255', 3164972768, 3164972799, 'IT', 'Italy'),
(95224, '188.165.167.0', '188.165.168.255', 3164972800, 3164973311, 'ES', 'Spain'),
(95225, '188.165.169.0', '188.165.169.95', 3164973312, 3164973407, 'DE', 'Germany'),
(95226, '188.165.169.96', '188.165.169.103', 3164973408, 3164973415, 'GB', 'United Kingdom'),
(95227, '188.165.169.104', '188.165.169.107', 3164973416, 3164973419, 'FR', 'France'),
(95228, '188.165.169.108', '188.165.169.111', 3164973420, 3164973423, 'ES', 'Spain'),
(95229, '188.165.169.112', '188.165.169.127', 3164973424, 3164973439, 'DE', 'Germany'),
(95230, '188.165.169.128', '188.165.169.191', 3164973440, 3164973503, 'PL', 'Poland'),
(95231, '188.165.169.192', '188.165.169.199', 3164973504, 3164973511, 'FR', 'France'),
(95232, '188.165.169.200', '188.165.169.203', 3164973512, 3164973515, 'ES', 'Spain'),
(95233, '188.165.169.204', '188.165.169.207', 3164973516, 3164973519, 'DE', 'Germany'),
(95234, '188.165.169.208', '188.165.169.239', 3164973520, 3164973551, 'PL', 'Poland'),
(95235, '188.165.169.240', '188.165.169.243', 3164973552, 3164973555, 'GB', 'United Kingdom'),
(95236, '188.165.169.244', '188.165.169.247', 3164973556, 3164973559, 'FR', 'France'),
(95237, '188.165.169.248', '188.165.169.251', 3164973560, 3164973563, 'BE', 'Belgium'),
(95238, '188.165.169.252', '188.165.170.7', 3164973564, 3164973575, 'CZ', 'Czech Republic'),
(95239, '188.165.170.8', '188.165.170.15', 3164973576, 3164973583, 'PL', 'Poland'),
(95240, '188.165.170.16', '188.165.170.31', 3164973584, 3164973599, 'CH', 'Switzerland'),
(95241, '188.165.170.32', '188.165.170.47', 3164973600, 3164973615, 'IE', 'Ireland'),
(95242, '188.165.170.48', '188.165.170.55', 3164973616, 3164973623, 'BE', 'Belgium'),
(95243, '188.165.170.56', '188.165.170.59', 3164973624, 3164973627, 'PL', 'Poland'),
(95244, '188.165.170.60', '188.165.170.63', 3164973628, 3164973631, 'CH', 'Switzerland'),
(95245, '188.165.170.64', '188.165.170.95', 3164973632, 3164973663, 'IE', 'Ireland'),
(95246, '188.165.170.96', '188.165.170.127', 3164973664, 3164973695, 'ES', 'Spain'),
(95247, '188.165.170.128', '188.165.170.159', 3164973696, 3164973727, 'DE', 'Germany'),
(95248, '188.165.170.160', '188.165.170.175', 3164973728, 3164973743, 'GB', 'United Kingdom'),
(95249, '188.165.170.176', '188.165.170.223', 3164973744, 3164973791, 'FR', 'France'),
(95250, '188.165.170.224', '188.165.170.239', 3164973792, 3164973807, 'DE', 'Germany'),
(95251, '188.165.170.240', '188.165.170.247', 3164973808, 3164973815, 'GB', 'United Kingdom'),
(95252, '188.165.170.248', '188.165.170.255', 3164973816, 3164973823, 'FR', 'France'),
(95253, '188.165.171.0', '188.165.171.31', 3164973824, 3164973855, 'DE', 'Germany'),
(95254, '188.165.171.32', '188.165.171.39', 3164973856, 3164973863, 'PL', 'Poland'),
(95255, '188.165.171.40', '188.165.171.43', 3164973864, 3164973867, 'FR', 'France'),
(95256, '188.165.171.44', '188.165.171.47', 3164973868, 3164973871, 'ES', 'Spain'),
(95257, '188.165.171.48', '188.165.171.51', 3164973872, 3164973875, 'PL', 'Poland'),
(95258, '188.165.171.52', '188.165.171.55', 3164973876, 3164973879, 'GB', 'United Kingdom'),
(95259, '188.165.171.56', '188.165.171.59', 3164973880, 3164973883, 'IT', 'Italy'),
(95260, '188.165.171.60', '188.165.171.63', 3164973884, 3164973887, 'DE', 'Germany'),
(95261, '188.165.171.64', '188.165.171.79', 3164973888, 3164973903, 'GB', 'United Kingdom'),
(95262, '188.165.171.80', '188.165.171.87', 3164973904, 3164973911, 'FR', 'France'),
(95263, '188.165.171.88', '188.165.171.91', 3164973912, 3164973915, 'DE', 'Germany'),
(95264, '188.165.171.92', '188.165.171.111', 3164973916, 3164973935, 'FR', 'France'),
(95265, '188.165.171.112', '188.165.171.115', 3164973936, 3164973939, 'GB', 'United Kingdom'),
(95266, '188.165.171.116', '188.165.171.119', 3164973940, 3164973943, 'BE', 'Belgium'),
(95267, '188.165.171.120', '188.165.171.127', 3164973944, 3164973951, 'PL', 'Poland'),
(95268, '188.165.171.128', '188.165.173.255', 3164973952, 3164974591, 'FR', 'France'),
(95269, '188.165.174.0', '188.165.174.31', 3164974592, 3164974623, 'PL', 'Poland'),
(95270, '188.165.174.32', '188.165.174.51', 3164974624, 3164974643, 'FR', 'France'),
(95271, '188.165.174.52', '188.165.174.55', 3164974644, 3164974647, 'PL', 'Poland'),
(95272, '188.165.174.56', '188.165.174.59', 3164974648, 3164974651, 'PT', 'Portugal'),
(95273, '188.165.174.60', '188.165.174.63', 3164974652, 3164974655, 'DE', 'Germany'),
(95274, '188.165.174.64', '188.165.174.67', 3164974656, 3164974659, 'FR', 'France'),
(95275, '188.165.174.68', '188.165.174.75', 3164974660, 3164974667, 'GB', 'United Kingdom'),
(95276, '188.165.174.76', '188.165.174.79', 3164974668, 3164974671, 'DE', 'Germany'),
(95277, '188.165.174.80', '188.165.174.83', 3164974672, 3164974675, 'FR', 'France'),
(95278, '188.165.174.84', '188.165.174.127', 3164974676, 3164974719, 'PL', 'Poland'),
(95279, '188.165.174.128', '188.165.174.135', 3164974720, 3164974727, 'FR', 'France'),
(95280, '188.165.174.136', '188.165.174.139', 3164974728, 3164974731, 'PL', 'Poland'),
(95281, '188.165.174.140', '188.165.174.143', 3164974732, 3164974735, 'IT', 'Italy'),
(95282, '188.165.174.144', '188.165.174.159', 3164974736, 3164974751, 'PL', 'Poland'),
(95283, '188.165.174.160', '188.165.174.191', 3164974752, 3164974783, 'FR', 'France'),
(95284, '188.165.174.192', '188.165.174.223', 3164974784, 3164974815, 'GB', 'United Kingdom'),
(95285, '188.165.174.224', '188.165.174.255', 3164974816, 3164974847, 'FR', 'France'),
(95286, '188.165.175.0', '188.165.175.255', 3164974848, 3164975103, 'GB', 'United Kingdom'),
(95287, '188.165.176.0', '188.165.176.63', 3164975104, 3164975167, 'CH', 'Switzerland'),
(95288, '188.165.176.64', '188.165.176.127', 3164975168, 3164975231, 'GB', 'United Kingdom'),
(95289, '188.165.176.128', '188.165.176.191', 3164975232, 3164975295, 'IT', 'Italy'),
(95290, '188.165.176.192', '188.165.176.195', 3164975296, 3164975299, 'BE', 'Belgium'),
(95291, '188.165.176.196', '188.165.176.239', 3164975300, 3164975343, 'ES', 'Spain'),
(95292, '188.165.176.240', '188.165.176.247', 3164975344, 3164975351, 'GB', 'United Kingdom'),
(95293, '188.165.176.248', '188.165.176.251', 3164975352, 3164975355, 'NL', 'Netherlands'),
(95294, '188.165.176.252', '188.165.176.255', 3164975356, 3164975359, 'FR', 'France'),
(95295, '188.165.177.0', '188.165.177.255', 3164975360, 3164975615, 'ES', 'Spain'),
(95296, '188.165.178.0', '188.165.178.35', 3164975616, 3164975651, 'FR', 'France'),
(95297, '188.165.178.36', '188.165.178.39', 3164975652, 3164975655, 'PL', 'Poland'),
(95298, '188.165.178.40', '188.165.178.47', 3164975656, 3164975663, 'FR', 'France'),
(95299, '188.165.178.48', '188.165.178.63', 3164975664, 3164975679, 'PL', 'Poland'),
(95300, '188.165.178.64', '188.165.178.79', 3164975680, 3164975695, 'GB', 'United Kingdom'),
(95301, '188.165.178.80', '188.165.178.83', 3164975696, 3164975699, 'PL', 'Poland'),
(95302, '188.165.178.84', '188.165.178.87', 3164975700, 3164975703, 'DE', 'Germany'),
(95303, '188.165.178.88', '188.165.178.103', 3164975704, 3164975719, 'PL', 'Poland'),
(95304, '188.165.178.104', '188.165.178.115', 3164975720, 3164975731, 'ES', 'Spain'),
(95305, '188.165.178.116', '188.165.178.119', 3164975732, 3164975735, 'PT', 'Portugal'),
(95306, '188.165.178.120', '188.165.178.123', 3164975736, 3164975739, 'BE', 'Belgium'),
(95307, '188.165.178.124', '188.165.178.135', 3164975740, 3164975751, 'PL', 'Poland'),
(95308, '188.165.178.136', '188.165.178.139', 3164975752, 3164975755, 'NL', 'Netherlands'),
(95309, '188.165.178.140', '188.165.178.143', 3164975756, 3164975759, 'ES', 'Spain'),
(95310, '188.165.178.144', '188.165.178.159', 3164975760, 3164975775, 'PL', 'Poland'),
(95311, '188.165.178.160', '188.165.178.191', 3164975776, 3164975807, 'FR', 'France'),
(95312, '188.165.178.192', '188.165.178.207', 3164975808, 3164975823, 'PL', 'Poland'),
(95313, '188.165.178.208', '188.165.178.223', 3164975824, 3164975839, 'ES', 'Spain'),
(95314, '188.165.178.224', '188.165.178.227', 3164975840, 3164975843, 'DE', 'Germany'),
(95315, '188.165.178.228', '188.165.178.231', 3164975844, 3164975847, 'PL', 'Poland'),
(95316, '188.165.178.232', '188.165.178.235', 3164975848, 3164975851, 'ES', 'Spain'),
(95317, '188.165.178.236', '188.165.178.255', 3164975852, 3164975871, 'PL', 'Poland'),
(95318, '188.165.179.0', '188.165.179.63', 3164975872, 3164975935, 'FR', 'France'),
(95319, '188.165.179.64', '188.165.179.67', 3164975936, 3164975939, 'ES', 'Spain'),
(95320, '188.165.179.68', '188.165.179.71', 3164975940, 3164975943, 'PT', 'Portugal'),
(95321, '188.165.179.72', '188.165.179.75', 3164975944, 3164975947, 'PL', 'Poland'),
(95322, '188.165.179.76', '188.165.179.79', 3164975948, 3164975951, 'NL', 'Netherlands'),
(95323, '188.165.179.80', '188.165.179.95', 3164975952, 3164975967, 'GB', 'United Kingdom'),
(95324, '188.165.179.96', '188.165.179.111', 3164975968, 3164975983, 'NL', 'Netherlands'),
(95325, '188.165.179.112', '188.165.179.119', 3164975984, 3164975991, 'DE', 'Germany'),
(95326, '188.165.179.120', '188.165.179.139', 3164975992, 3164976011, 'PL', 'Poland'),
(95327, '188.165.179.140', '188.165.179.143', 3164976012, 3164976015, 'ES', 'Spain'),
(95328, '188.165.179.144', '188.165.179.151', 3164976016, 3164976023, 'PL', 'Poland'),
(95329, '188.165.179.152', '188.165.179.159', 3164976024, 3164976031, 'ES', 'Spain'),
(95330, '188.165.179.160', '188.165.179.191', 3164976032, 3164976063, 'FR', 'France'),
(95331, '188.165.179.192', '188.165.179.223', 3164976064, 3164976095, 'PT', 'Portugal'),
(95332, '188.165.179.224', '188.165.179.255', 3164976096, 3164976127, 'PL', 'Poland'),
(95333, '188.165.180.0', '188.165.180.3', 3164976128, 3164976131, 'NL', 'Netherlands'),
(95334, '188.165.180.4', '188.165.180.7', 3164976132, 3164976135, 'GB', 'United Kingdom'),
(95335, '188.165.180.8', '188.165.180.11', 3164976136, 3164976139, 'FR', 'France'),
(95336, '188.165.180.12', '188.165.180.15', 3164976140, 3164976143, 'GB', 'United Kingdom'),
(95337, '188.165.180.16', '188.165.180.31', 3164976144, 3164976159, 'FR', 'France'),
(95338, '188.165.180.32', '188.165.180.63', 3164976160, 3164976191, 'GB', 'United Kingdom'),
(95339, '188.165.180.64', '188.165.180.87', 3164976192, 3164976215, 'FR', 'France'),
(95340, '188.165.180.88', '188.165.180.95', 3164976216, 3164976223, 'PL', 'Poland'),
(95341, '188.165.180.96', '188.165.180.103', 3164976224, 3164976231, 'FR', 'France'),
(95342, '188.165.180.104', '188.165.180.111', 3164976232, 3164976239, 'ES', 'Spain'),
(95343, '188.165.180.112', '188.165.180.127', 3164976240, 3164976255, 'IE', 'Ireland'),
(95344, '188.165.180.128', '188.165.180.131', 3164976256, 3164976259, 'GB', 'United Kingdom'),
(95345, '188.165.180.132', '188.165.180.135', 3164976260, 3164976263, 'DE', 'Germany'),
(95346, '188.165.180.136', '188.165.180.143', 3164976264, 3164976271, 'PT', 'Portugal'),
(95347, '188.165.180.144', '188.165.180.151', 3164976272, 3164976279, 'FI', 'Finland'),
(95348, '188.165.180.152', '188.165.180.159', 3164976280, 3164976287, 'PL', 'Poland'),
(95349, '188.165.180.160', '188.165.180.163', 3164976288, 3164976291, 'FR', 'France'),
(95350, '188.165.180.164', '188.165.180.167', 3164976292, 3164976295, 'CH', 'Switzerland'),
(95351, '188.165.180.168', '188.165.180.175', 3164976296, 3164976303, 'IT', 'Italy'),
(95352, '188.165.180.176', '188.165.180.179', 3164976304, 3164976307, 'FR', 'France'),
(95353, '188.165.180.180', '188.165.180.183', 3164976308, 3164976311, 'IT', 'Italy'),
(95354, '188.165.180.184', '188.165.180.187', 3164976312, 3164976315, 'GB', 'United Kingdom'),
(95355, '188.165.180.188', '188.165.180.191', 3164976316, 3164976319, 'FR', 'France'),
(95356, '188.165.180.192', '188.165.180.199', 3164976320, 3164976327, 'DE', 'Germany'),
(95357, '188.165.180.200', '188.165.180.203', 3164976328, 3164976331, 'FR', 'France'),
(95358, '188.165.180.204', '188.165.180.207', 3164976332, 3164976335, 'PL', 'Poland'),
(95359, '188.165.180.208', '188.165.180.215', 3164976336, 3164976343, 'FR', 'France'),
(95360, '188.165.180.216', '188.165.180.219', 3164976344, 3164976347, 'PL', 'Poland'),
(95361, '188.165.180.220', '188.165.180.223', 3164976348, 3164976351, 'ES', 'Spain'),
(95362, '188.165.180.224', '188.165.180.239', 3164976352, 3164976367, 'DE', 'Germany'),
(95363, '188.165.180.240', '188.165.180.255', 3164976368, 3164976383, 'PL', 'Poland'),
(95364, '188.165.181.0', '188.165.181.15', 3164976384, 3164976399, 'FR', 'France'),
(95365, '188.165.181.16', '188.165.181.19', 3164976400, 3164976403, 'ES', 'Spain'),
(95366, '188.165.181.20', '188.165.181.23', 3164976404, 3164976407, 'FR', 'France'),
(95367, '188.165.181.24', '188.165.181.31', 3164976408, 3164976415, 'DE', 'Germany'),
(95368, '188.165.181.32', '188.165.181.47', 3164976416, 3164976431, 'IT', 'Italy'),
(95369, '188.165.181.48', '188.165.181.63', 3164976432, 3164976447, 'PT', 'Portugal'),
(95370, '188.165.181.64', '188.165.181.75', 3164976448, 3164976459, 'FR', 'France'),
(95371, '188.165.181.76', '188.165.181.79', 3164976460, 3164976463, 'DE', 'Germany'),
(95372, '188.165.181.80', '188.165.181.95', 3164976464, 3164976479, 'ES', 'Spain'),
(95373, '188.165.181.96', '188.165.181.127', 3164976480, 3164976511, 'PL', 'Poland'),
(95374, '188.165.181.128', '188.165.182.47', 3164976512, 3164976687, 'FR', 'France'),
(95375, '188.165.182.48', '188.165.182.63', 3164976688, 3164976703, 'PL', 'Poland'),
(95376, '188.165.182.64', '188.165.182.127', 3164976704, 3164976767, 'FR', 'France'),
(95377, '188.165.182.128', '188.165.182.143', 3164976768, 3164976783, 'DE', 'Germany'),
(95378, '188.165.182.144', '188.165.182.159', 3164976784, 3164976799, 'CZ', 'Czech Republic'),
(95379, '188.165.182.160', '188.165.182.175', 3164976800, 3164976815, 'PT', 'Portugal'),
(95380, '188.165.182.176', '188.165.182.191', 3164976816, 3164976831, 'CZ', 'Czech Republic'),
(95381, '188.165.182.192', '188.165.182.195', 3164976832, 3164976835, 'IT', 'Italy'),
(95382, '188.165.182.196', '188.165.182.199', 3164976836, 3164976839, 'ES', 'Spain'),
(95383, '188.165.182.200', '188.165.182.207', 3164976840, 3164976847, 'FR', 'France'),
(95384, '188.165.182.208', '188.165.182.223', 3164976848, 3164976863, 'CH', 'Switzerland'),
(95385, '188.165.182.224', '188.165.182.255', 3164976864, 3164976895, 'CZ', 'Czech Republic'),
(95386, '188.165.183.0', '188.165.183.255', 3164976896, 3164977151, 'FR', 'France'),
(95387, '188.165.184.0', '188.165.184.63', 3164977152, 3164977215, 'PL', 'Poland'),
(95388, '188.165.184.64', '188.165.184.95', 3164977216, 3164977247, 'DE', 'Germany'),
(95389, '188.165.184.96', '188.165.184.127', 3164977248, 3164977279, 'ES', 'Spain'),
(95390, '188.165.184.128', '188.165.184.255', 3164977280, 3164977407, 'FR', 'France'),
(95391, '188.165.185.0', '188.165.185.255', 3164977408, 3164977663, 'PL', 'Poland'),
(95392, '188.165.186.0', '188.165.186.31', 3164977664, 3164977695, 'GB', 'United Kingdom'),
(95393, '188.165.186.32', '188.165.186.63', 3164977696, 3164977727, 'IT', 'Italy'),
(95394, '188.165.186.64', '188.165.186.79', 3164977728, 3164977743, 'LT', 'Lithuania'),
(95395, '188.165.186.80', '188.165.186.95', 3164977744, 3164977759, 'PT', 'Portugal'),
(95396, '188.165.186.96', '188.165.186.111', 3164977760, 3164977775, 'NL', 'Netherlands'),
(95397, '188.165.186.112', '188.165.186.127', 3164977776, 3164977791, 'PL', 'Poland'),
(95398, '188.165.186.128', '188.165.186.159', 3164977792, 3164977823, 'FR', 'France'),
(95399, '188.165.186.160', '188.165.186.175', 3164977824, 3164977839, 'GB', 'United Kingdom'),
(95400, '188.165.186.176', '188.165.186.207', 3164977840, 3164977871, 'FR', 'France'),
(95401, '188.165.186.208', '188.165.186.211', 3164977872, 3164977875, 'GB', 'United Kingdom'),
(95402, '188.165.186.212', '188.165.186.215', 3164977876, 3164977879, 'NL', 'Netherlands'),
(95403, '188.165.186.216', '188.165.186.219', 3164977880, 3164977883, 'DE', 'Germany'),
(95404, '188.165.186.220', '188.165.186.223', 3164977884, 3164977887, 'GB', 'United Kingdom'),
(95405, '188.165.186.224', '188.165.186.239', 3164977888, 3164977903, 'IT', 'Italy'),
(95406, '188.165.186.240', '188.165.186.243', 3164977904, 3164977907, 'DE', 'Germany'),
(95407, '188.165.186.244', '188.165.186.247', 3164977908, 3164977911, 'BE', 'Belgium'),
(95408, '188.165.186.248', '188.165.186.251', 3164977912, 3164977915, 'CH', 'Switzerland'),
(95409, '188.165.186.252', '188.165.186.255', 3164977916, 3164977919, 'CZ', 'Czech Republic'),
(95410, '188.165.187.0', '188.165.187.127', 3164977920, 3164978047, 'DE', 'Germany'),
(95411, '188.165.187.128', '188.165.187.135', 3164978048, 3164978055, 'FR', 'France'),
(95412, '188.165.187.136', '188.165.187.143', 3164978056, 3164978063, 'DE', 'Germany'),
(95413, '188.165.187.144', '188.165.187.147', 3164978064, 3164978067, 'BE', 'Belgium'),
(95414, '188.165.187.148', '188.165.187.159', 3164978068, 3164978079, 'ES', 'Spain'),
(95415, '188.165.187.160', '188.165.187.207', 3164978080, 3164978127, 'GB', 'United Kingdom'),
(95416, '188.165.187.208', '188.165.187.227', 3164978128, 3164978147, 'FR', 'France'),
(95417, '188.165.187.228', '188.165.187.231', 3164978148, 3164978151, 'ES', 'Spain'),
(95418, '188.165.187.232', '188.165.187.235', 3164978152, 3164978155, 'GB', 'United Kingdom'),
(95419, '188.165.187.236', '188.165.187.239', 3164978156, 3164978159, 'DE', 'Germany'),
(95420, '188.165.187.240', '188.165.187.255', 3164978160, 3164978175, 'FR', 'France'),
(95421, '188.165.188.0', '188.165.188.255', 3164978176, 3164978431, 'IT', 'Italy'),
(95422, '188.165.189.0', '188.165.189.127', 3164978432, 3164978559, 'FR', 'France'),
(95423, '188.165.189.128', '188.165.189.131', 3164978560, 3164978563, 'PT', 'Portugal'),
(95424, '188.165.189.132', '188.165.189.135', 3164978564, 3164978567, 'PL', 'Poland'),
(95425, '188.165.189.136', '188.165.189.139', 3164978568, 3164978571, 'GB', 'United Kingdom'),
(95426, '188.165.189.140', '188.165.189.143', 3164978572, 3164978575, 'IT', 'Italy'),
(95427, '188.165.189.144', '188.165.189.159', 3164978576, 3164978591, 'ES', 'Spain'),
(95428, '188.165.189.160', '188.165.189.175', 3164978592, 3164978607, 'FR', 'France'),
(95429, '188.165.189.176', '188.165.189.191', 3164978608, 3164978623, 'IE', 'Ireland'),
(95430, '188.165.189.192', '188.165.189.223', 3164978624, 3164978655, 'ES', 'Spain'),
(95431, '188.165.189.224', '188.165.189.227', 3164978656, 3164978659, 'IT', 'Italy'),
(95432, '188.165.189.228', '188.165.189.231', 3164978660, 3164978663, 'FI', 'Finland'),
(95433, '188.165.189.232', '188.165.189.235', 3164978664, 3164978667, 'PL', 'Poland'),
(95434, '188.165.189.236', '188.165.189.239', 3164978668, 3164978671, 'FR', 'France'),
(95435, '188.165.189.240', '188.165.189.247', 3164978672, 3164978679, 'PT', 'Portugal'),
(95436, '188.165.189.248', '188.165.190.255', 3164978680, 3164978943, 'PL', 'Poland'),
(95437, '188.165.191.0', '188.165.191.7', 3164978944, 3164978951, 'PT', 'Portugal'),
(95438, '188.165.191.8', '188.165.191.11', 3164978952, 3164978955, 'PL', 'Poland'),
(95439, '188.165.191.12', '188.165.191.31', 3164978956, 3164978975, 'FR', 'France'),
(95440, '188.165.191.32', '188.165.191.39', 3164978976, 3164978983, 'ES', 'Spain'),
(95441, '188.165.191.40', '188.165.191.55', 3164978984, 3164978999, 'PL', 'Poland'),
(95442, '188.165.191.56', '188.165.191.59', 3164979000, 3164979003, 'FR', 'France'),
(95443, '188.165.191.60', '188.165.191.63', 3164979004, 3164979007, 'DE', 'Germany'),
(95444, '188.165.191.64', '188.165.191.103', 3164979008, 3164979047, 'FR', 'France'),
(95445, '188.165.191.104', '188.165.191.107', 3164979048, 3164979051, 'BE', 'Belgium'),
(95446, '188.165.191.108', '188.165.191.159', 3164979052, 3164979103, 'FR', 'France'),
(95447, '188.165.191.160', '188.165.191.163', 3164979104, 3164979107, 'PL', 'Poland'),
(95448, '188.165.191.164', '188.165.191.167', 3164979108, 3164979111, 'GB', 'United Kingdom'),
(95449, '188.165.191.168', '188.165.191.175', 3164979112, 3164979119, 'PL', 'Poland'),
(95450, '188.165.191.176', '188.165.191.191', 3164979120, 3164979135, 'NL', 'Netherlands'),
(95451, '188.165.191.192', '188.165.191.207', 3164979136, 3164979151, 'FR', 'France'),
(95452, '188.165.191.208', '188.165.191.211', 3164979152, 3164979155, 'PT', 'Portugal'),
(95453, '188.165.191.212', '188.165.191.215', 3164979156, 3164979159, 'FR', 'France'),
(95454, '188.165.191.216', '188.165.191.223', 3164979160, 3164979167, 'PL', 'Poland'),
(95455, '188.165.191.224', '188.165.191.231', 3164979168, 3164979175, 'DE', 'Germany'),
(95456, '188.165.191.232', '188.165.191.239', 3164979176, 3164979183, 'FR', 'France'),
(95457, '188.165.191.240', '188.165.191.255', 3164979184, 3164979199, 'DE', 'Germany'),
(95458, '188.165.192.0', '188.165.255.255', 3164979200, 3164995583, 'FR', 'France'),
(95459, '188.166.0.0', '188.166.255.255', 3164995584, 3165061119, 'RU', 'Russian Federation'),
(95460, '188.167.0.0', '188.167.255.255', 3165061120, 3165126655, 'SK', 'Slovakia'),
(95461, '188.168.0.0', '188.168.255.255', 3165126656, 3165192191, 'RU', 'Russian Federation'),
(95462, '188.169.0.0', '188.169.255.255', 3165192192, 3165257727, 'GE', 'Georgia'),
(95463, '188.170.0.0', '188.170.255.255', 3165257728, 3165323263, 'RO', 'Romania'),
(95464, '188.171.0.0', '188.171.255.255', 3165323264, 3165388799, 'ES', 'Spain'),
(95465, '188.172.0.0', '188.173.255.255', 3165388800, 3165519871, 'RO', 'Romania'),
(95466, '188.174.0.0', '188.174.255.255', 3165519872, 3165585407, 'DE', 'Germany'),
(95467, '188.175.0.0', '188.175.255.255', 3165585408, 3165650943, 'CZ', 'Czech Republic'),
(95468, '188.176.0.0', '188.183.255.255', 3165650944, 3166175231, 'DK', 'Denmark'),
(95469, '188.184.0.0', '188.185.255.255', 3166175232, 3166306303, 'CH', 'Switzerland'),
(95470, '188.186.0.0', '188.187.255.255', 3166306304, 3166437375, 'RU', 'Russian Federation'),
(95471, '188.188.0.0', '188.189.255.255', 3166437376, 3166568447, 'BE', 'Belgium'),
(95472, '188.190.0.0', '188.190.127.255', 3166568448, 3166601215, 'UA', 'Ukraine'),
(95473, '188.190.128.0', '188.190.159.255', 3166601216, 3166609407, 'RU', 'Russian Federation'),
(95474, '188.190.160.0', '188.190.255.255', 3166609408, 3166633983, 'UA', 'Ukraine'),
(95475, '188.191.0.0', '188.191.15.255', 3166633984, 3166638079, 'RU', 'Russian Federation'),
(95476, '188.191.16.0', '188.191.47.255', 3166638080, 3166646271, 'UA', 'Ukraine'),
(95477, '188.191.48.0', '188.191.63.255', 3166646272, 3166650367, 'CZ', 'Czech Republic'),
(95478, '188.191.64.0', '188.191.79.255', 3166650368, 3166654463, 'UA', 'Ukraine'),
(95479, '188.191.80.0', '188.191.95.255', 3166654464, 3166658559, 'RU', 'Russian Federation'),
(95480, '188.191.96.0', '188.191.111.255', 3166658560, 3166662655, 'UA', 'Ukraine'),
(95481, '188.191.112.0', '188.191.127.255', 3166662656, 3166666751, 'RU', 'Russian Federation'),
(95482, '188.191.128.0', '188.191.143.255', 3166666752, 3166670847, 'RO', 'Romania'),
(95483, '188.191.144.0', '188.191.151.255', 3166670848, 3166672895, 'UA', 'Ukraine'),
(95484, '188.191.152.0', '188.191.159.255', 3166672896, 3166674943, 'GB', 'United Kingdom'),
(95485, '188.191.160.0', '188.191.175.255', 3166674944, 3166679039, 'RU', 'Russian Federation'),
(95486, '188.191.176.0', '188.191.183.255', 3166679040, 3166681087, 'IR', 'Iran, Islamic Republic of'),
(95487, '188.191.184.0', '188.191.199.255', 3166681088, 3166685183, 'RU', 'Russian Federation'),
(95488, '188.191.200.0', '188.191.207.255', 3166685184, 3166687231, 'PL', 'Poland'),
(95489, '188.191.208.0', '188.191.215.255', 3166687232, 3166689279, 'MD', 'Moldova, Republic of'),
(95490, '188.191.216.0', '188.191.223.255', 3166689280, 3166691327, 'PL', 'Poland'),
(95491, '188.191.224.0', '188.191.231.255', 3166691328, 3166693375, 'RU', 'Russian Federation'),
(95492, '188.191.232.0', '188.191.239.255', 3166693376, 3166695423, 'UA', 'Ukraine'),
(95493, '188.191.240.0', '188.191.247.255', 3166695424, 3166697471, 'RU', 'Russian Federation'),
(95494, '188.191.248.0', '188.191.255.255', 3166697472, 3166699519, 'RO', 'Romania'),
(95495, '188.192.0.0', '188.195.255.255', 3166699520, 3166961663, 'DE', 'Germany'),
(95496, '188.196.0.0', '188.199.255.255', 3166961664, 3167223807, 'SI', 'Slovenia'),
(95497, '188.200.0.0', '188.205.169.79', 3167223808, 3167594831, 'NL', 'Netherlands'),
(95498, '188.205.169.80', '188.205.169.87', 3167594832, 3167594839, 'A2', 'Satellite Provider'),
(95499, '188.205.169.88', '188.207.255.255', 3167594840, 3167748095, 'NL', 'Netherlands'),
(95500, '188.208.0.0', '188.209.239.255', 3167748096, 3167875071, 'RO', 'Romania'),
(95501, '188.209.240.0', '188.209.255.255', 3167875072, 3167879167, 'MD', 'Moldova, Republic of'),
(95502, '188.210.0.0', '188.210.237.255', 3167879168, 3167940095, 'RO', 'Romania'),
(95503, '188.210.238.0', '188.210.238.255', 3167940096, 3167940351, 'CY', 'Cyprus'),
(95504, '188.210.239.0', '188.213.79.255', 3167940352, 3168096255, 'RO', 'Romania'),
(95505, '188.213.80.0', '188.213.95.255', 3168096256, 3168100351, 'MD', 'Moldova, Republic of'),
(95506, '188.213.96.0', '188.214.211.255', 3168100352, 3168195583, 'RO', 'Romania'),
(95507, '188.214.212.0', '188.214.213.255', 3168195584, 3168196095, 'DE', 'Germany'),
(95508, '188.214.214.0', '188.215.0.255', 3168196096, 3168207103, 'RO', 'Romania'),
(95509, '188.215.1.0', '188.215.1.255', 3168207104, 3168207359, 'CY', 'Cyprus'),
(95510, '188.215.2.0', '188.215.29.255', 3168207360, 3168214527, 'RO', 'Romania'),
(95511, '188.215.30.0', '188.215.30.255', 3168214528, 3168214783, 'CY', 'Cyprus'),
(95512, '188.215.31.0', '188.215.65.255', 3168214784, 3168223743, 'RO', 'Romania'),
(95513, '188.215.66.0', '188.215.67.255', 3168223744, 3168224255, 'MD', 'Moldova, Republic of'),
(95514, '188.215.68.0', '188.215.255.255', 3168224256, 3168272383, 'RO', 'Romania'),
(95515, '188.216.0.0', '188.219.255.255', 3168272384, 3168534527, 'IT', 'Italy'),
(95516, '188.220.0.0', '188.223.255.255', 3168534528, 3168796671, 'GB', 'United Kingdom'),
(95517, '188.224.0.0', '188.224.127.255', 3168796672, 3168829439, 'FR', 'France'),
(95518, '188.224.128.0', '188.224.255.255', 3168829440, 3168862207, 'RO', 'Romania'),
(95519, '188.225.0.0', '188.225.127.255', 3168862208, 3168894975, 'RU', 'Russian Federation'),
(95520, '188.225.128.0', '188.225.140.255', 3168894976, 3168898303, 'IL', 'Israel'),
(95521, '188.225.141.0', '188.225.175.255', 3168898304, 3168907263, 'PS', 'Palestinian Territory, Occupied'),
(95522, '188.225.176.0', '188.225.182.255', 3168907264, 3168909055, 'IL', 'Israel'),
(95523, '188.225.183.0', '188.225.183.255', 3168909056, 3168909311, 'PS', 'Palestinian Territory, Occupied'),
(95524, '188.225.184.0', '188.225.185.255', 3168909312, 3168909823, 'IL', 'Israel'),
(95525, '188.225.186.0', '188.225.188.255', 3168909824, 3168910591, 'PS', 'Palestinian Territory, Occupied'),
(95526, '188.225.189.0', '188.225.193.255', 3168910592, 3168911871, 'IL', 'Israel'),
(95527, '188.225.194.0', '188.225.201.255', 3168911872, 3168913919, 'PS', 'Palestinian Territory, Occupied'),
(95528, '188.225.202.0', '188.225.202.255', 3168913920, 3168914175, 'IL', 'Israel'),
(95529, '188.225.203.0', '188.225.224.255', 3168914176, 3168919807, 'PS', 'Palestinian Territory, Occupied'),
(95530, '188.225.225.0', '188.225.225.255', 3168919808, 3168920063, 'IL', 'Israel'),
(95531, '188.225.226.0', '188.225.255.255', 3168920064, 3168927743, 'PS', 'Palestinian Territory, Occupied'),
(95532, '188.226.0.0', '188.227.127.255', 3168927744, 3169026047, 'RU', 'Russian Federation'),
(95533, '188.227.128.0', '188.227.159.255', 3169026048, 3169034239, 'CZ', 'Czech Republic'),
(95534, '188.227.160.0', '188.227.191.255', 3169034240, 3169042431, 'GB', 'United Kingdom'),
(95535, '188.227.192.0', '188.227.193.255', 3169042432, 3169042943, 'GR', 'Greece'),
(95536, '188.227.194.0', '188.227.195.255', 3169042944, 3169043455, 'BG', 'Bulgaria'),
(95537, '188.227.196.0', '188.227.199.255', 3169043456, 3169044479, 'GR', 'Greece'),
(95538, '188.227.200.0', '188.227.207.255', 3169044480, 3169046527, 'NL', 'Netherlands'),
(95539, '188.227.208.0', '188.227.223.255', 3169046528, 3169050623, 'AZ', 'Azerbaijan'),
(95540, '188.227.224.0', '188.227.231.255', 3169050624, 3169052671, 'HU', 'Hungary'),
(95541, '188.227.232.0', '188.227.239.255', 3169052672, 3169054719, 'PS', 'Palestinian Territory, Occupied'),
(95542, '188.227.240.0', '188.227.247.255', 3169054720, 3169056767, 'GB', 'United Kingdom'),
(95543, '188.227.248.0', '188.227.255.255', 3169056768, 3169058815, 'EE', 'Estonia'),
(95544, '188.228.0.0', '188.228.79.143', 3169058816, 3169079183, 'DK', 'Denmark'),
(95545, '188.228.79.144', '188.228.79.151', 3169079184, 3169079191, 'NO', 'Norway'),
(95546, '188.228.79.152', '188.228.111.143', 3169079192, 3169087375, 'DK', 'Denmark'),
(95547, '188.228.111.144', '188.228.111.151', 3169087376, 3169087383, 'NO', 'Norway'),
(95548, '188.228.111.152', '188.228.127.255', 3169087384, 3169091583, 'DK', 'Denmark'),
(95549, '188.228.128.0', '188.228.255.255', 3169091584, 3169124351, 'IT', 'Italy'),
(95550, '188.229.0.0', '188.229.127.255', 3169124352, 3169157119, 'RO', 'Romania'),
(95551, '188.229.128.0', '188.229.255.255', 3169157120, 3169189887, 'SY', 'Syrian Arab Republic'),
(95552, '188.230.0.0', '188.230.127.255', 3169189888, 3169222655, 'UA', 'Ukraine'),
(95553, '188.230.128.0', '188.230.255.255', 3169222656, 3169255423, 'SI', 'Slovenia'),
(95554, '188.231.0.0', '188.231.33.255', 3169255424, 3169264127, 'KW', 'Kuwait'),
(95555, '188.231.34.0', '188.231.34.255', 3169264128, 3169264383, 'US', 'United States'),
(95556, '188.231.35.0', '188.231.36.255', 3169264384, 3169264895, 'KW', 'Kuwait'),
(95557, '188.231.37.0', '188.231.37.31', 3169264896, 3169264927, 'OM', 'Oman'),
(95558, '188.231.37.32', '188.231.38.15', 3169264928, 3169265167, 'KW', 'Kuwait'),
(95559, '188.231.38.16', '188.231.38.23', 3169265168, 3169265175, 'IQ', 'Iraq'),
(95560, '188.231.38.24', '188.231.38.31', 3169265176, 3169265183, 'SA', 'Saudi Arabia'),
(95561, '188.231.38.32', '188.231.38.71', 3169265184, 3169265223, 'KW', 'Kuwait'),
(95562, '188.231.38.72', '188.231.38.79', 3169265224, 3169265231, 'IQ', 'Iraq'),
(95563, '188.231.38.80', '188.231.38.143', 3169265232, 3169265295, 'SA', 'Saudi Arabia'),
(95564, '188.231.38.144', '188.231.38.151', 3169265296, 3169265303, 'SD', 'Sudan'),
(95565, '188.231.38.152', '188.231.38.159', 3169265304, 3169265311, 'SA', 'Saudi Arabia'),
(95566, '188.231.38.160', '188.231.39.159', 3169265312, 3169265567, 'KW', 'Kuwait'),
(95567, '188.231.39.160', '188.231.39.175', 3169265568, 3169265583, 'IQ', 'Iraq'),
(95568, '188.231.39.176', '188.231.92.15', 3169265584, 3169278991, 'KW', 'Kuwait'),
(95569, '188.231.92.16', '188.231.92.31', 3169278992, 3169279007, 'SA', 'Saudi Arabia'),
(95570, '188.231.92.32', '188.231.92.255', 3169279008, 3169279231, 'KW', 'Kuwait'),
(95571, '188.231.93.0', '188.231.93.7', 3169279232, 3169279239, 'IQ', 'Iraq'),
(95572, '188.231.93.8', '188.231.93.23', 3169279240, 3169279255, 'SA', 'Saudi Arabia'),
(95573, '188.231.93.24', '188.231.93.31', 3169279256, 3169279263, 'KW', 'Kuwait'),
(95574, '188.231.93.32', '188.231.93.63', 3169279264, 3169279295, 'SA', 'Saudi Arabia'),
(95575, '188.231.93.64', '188.231.93.71', 3169279296, 3169279303, 'KW', 'Kuwait'),
(95576, '188.231.93.72', '188.231.93.79', 3169279304, 3169279311, 'SA', 'Saudi Arabia'),
(95577, '188.231.93.80', '188.231.93.87', 3169279312, 3169279319, 'SD', 'Sudan'),
(95578, '188.231.93.88', '188.231.94.255', 3169279320, 3169279743, 'KW', 'Kuwait'),
(95579, '188.231.95.0', '188.231.95.15', 3169279744, 3169279759, 'IQ', 'Iraq'),
(95580, '188.231.95.16', '188.231.99.255', 3169279760, 3169281023, 'KW', 'Kuwait'),
(95581, '188.231.100.0', '188.231.100.255', 3169281024, 3169281279, 'US', 'United States'),
(95582, '188.231.101.0', '188.231.127.255', 3169281280, 3169288191, 'KW', 'Kuwait'),
(95583, '188.231.128.0', '188.231.255.255', 3169288192, 3169320959, 'UA', 'Ukraine'),
(95584, '188.232.0.0', '188.235.255.255', 3169320960, 3169583103, 'RU', 'Russian Federation'),
(95585, '188.236.0.0', '188.236.255.255', 3169583104, 3169648639, 'KW', 'Kuwait'),
(95586, '188.237.0.0', '188.237.255.255', 3169648640, 3169714175, 'MD', 'Moldova, Republic of'),
(95587, '188.238.0.0', '188.238.255.255', 3169714176, 3169779711, 'FI', 'Finland'),
(95588, '188.239.0.0', '188.239.255.255', 3169779712, 3169845247, 'UA', 'Ukraine'),
(95589, '188.240.0.0', '188.240.71.255', 3169845248, 3169863679, 'RO', 'Romania'),
(95590, '188.240.72.0', '188.240.75.255', 3169863680, 3169864703, 'MD', 'Moldova, Republic of'),
(95591, '188.240.76.0', '188.240.87.255', 3169864704, 3169867775, 'RO', 'Romania'),
(95592, '188.240.88.0', '188.240.88.255', 3169867776, 3169868031, 'DE', 'Germany'),
(95593, '188.240.89.0', '188.240.111.255', 3169868032, 3169873919, 'RO', 'Romania'),
(95594, '188.240.112.0', '188.240.127.255', 3169873920, 3169878015, 'MD', 'Moldova, Republic of'),
(95595, '188.240.128.0', '188.240.233.255', 3169878016, 3169905151, 'RO', 'Romania'),
(95596, '188.240.234.0', '188.240.234.255', 3169905152, 3169905407, 'GB', 'United Kingdom'),
(95597, '188.240.235.0', '188.241.38.255', 3169905408, 3169920767, 'RO', 'Romania'),
(95598, '188.241.39.0', '188.241.39.255', 3169920768, 3169921023, 'SE', 'Sweden'),
(95599, '188.241.40.0', '188.241.255.255', 3169921024, 3169976319, 'RO', 'Romania'),
(95600, '188.242.0.0', '188.244.15.255', 3169976320, 3170111487, 'RU', 'Russian Federation'),
(95601, '188.244.16.0', '188.244.31.255', 3170111488, 3170115583, 'MD', 'Moldova, Republic of'),
(95602, '188.244.32.0', '188.244.47.255', 3170115584, 3170119679, 'RU', 'Russian Federation'),
(95603, '188.244.48.0', '188.244.63.255', 3170119680, 3170123775, 'CZ', 'Czech Republic'),
(95604, '188.244.64.0', '188.244.79.255', 3170123776, 3170127871, 'DK', 'Denmark'),
(95605, '188.244.80.0', '188.244.95.255', 3170127872, 3170131967, 'ES', 'Spain'),
(95606, '188.244.96.0', '188.244.111.255', 3170131968, 3170136063, 'JO', 'Jordan'),
(95607, '188.244.112.0', '188.244.127.255', 3170136064, 3170140159, 'GB', 'United Kingdom'),
(95608, '188.244.128.0', '188.244.255.255', 3170140160, 3170172927, 'RU', 'Russian Federation'),
(95609, '188.245.0.0', '188.245.255.255', 3170172928, 3170238463, 'IR', 'Iran, Islamic Republic of'),
(95610, '188.246.0.0', '188.246.31.255', 3170238464, 3170246655, 'DE', 'Germany'),
(95611, '188.246.32.0', '188.246.63.255', 3170246656, 3170254847, 'RS', 'Serbia'),
(95612, '188.246.64.0', '188.246.95.255', 3170254848, 3170263039, 'BA', 'Bosnia and Herzegovina'),
(95613, '188.246.96.0', '188.246.127.255', 3170263040, 3170271231, 'CZ', 'Czech Republic'),
(95614, '188.246.128.0', '188.246.159.255', 3170271232, 3170279423, 'PL', 'Poland'),
(95615, '188.246.160.0', '188.246.191.255', 3170279424, 3170287615, 'RU', 'Russian Federation'),
(95616, '188.246.192.0', '188.246.197.255', 3170287616, 3170289151, 'GB', 'United Kingdom'),
(95617, '188.246.198.0', '188.246.198.15', 3170289152, 3170289167, 'BA', 'Bosnia and Herzegovina'),
(95618, '188.246.198.16', '188.246.223.255', 3170289168, 3170295807, 'GB', 'United Kingdom'),
(95619, '188.246.224.0', '188.246.255.255', 3170295808, 3170303999, 'RU', 'Russian Federation'),
(95620, '188.247.0.0', '188.247.31.255', 3170304000, 3170312191, 'SY', 'Syrian Arab Republic'),
(95621, '188.247.32.0', '188.247.63.255', 3170312192, 3170320383, 'RU', 'Russian Federation'),
(95622, '188.247.64.0', '188.247.95.255', 3170320384, 3170328575, 'JO', 'Jordan'),
(95623, '188.247.96.0', '188.247.127.255', 3170328576, 3170336767, 'UA', 'Ukraine'),
(95624, '188.247.128.0', '188.247.231.255', 3170336768, 3170363391, 'RO', 'Romania'),
(95625, '188.247.232.0', '188.247.232.255', 3170363392, 3170363647, 'SK', 'Slovakia'),
(95626, '188.247.233.0', '188.247.255.255', 3170363648, 3170369535, 'RO', 'Romania'),
(95627, '188.248.0.0', '188.249.255.255', 3170369536, 3170500607, 'SA', 'Saudi Arabia'),
(95628, '188.250.0.0', '188.251.255.255', 3170500608, 3170631679, 'PT', 'Portugal'),
(95629, '188.252.0.0', '188.252.127.255', 3170631680, 3170664447, 'PL', 'Poland'),
(95630, '188.252.128.0', '188.252.255.255', 3170664448, 3170697215, 'HR', 'Croatia'),
(95631, '188.253.0.0', '188.253.127.255', 3170697216, 3170729983, 'IR', 'Iran, Islamic Republic of'),
(95632, '188.253.128.0', '188.253.255.255', 3170729984, 3170762751, 'AZ', 'Azerbaijan'),
(95633, '188.254.0.0', '188.254.127.255', 3170762752, 3170795519, 'RU', 'Russian Federation'),
(95634, '188.254.128.0', '188.254.255.255', 3170795520, 3170828287, 'BG', 'Bulgaria'),
(95635, '188.255.0.0', '188.255.127.255', 3170828288, 3170861055, 'RU', 'Russian Federation'),
(95636, '188.255.128.0', '188.255.255.255', 3170861056, 3170893823, 'RS', 'Serbia'),
(95637, '189.0.0.0', '189.127.255.255', 3170893824, 3179282431, 'BR', 'Brazil'),
(95638, '189.128.0.0', '189.255.255.255', 3179282432, 3187671039, 'MX', 'Mexico'),
(95639, '190.0.0.0', '190.0.63.255', 3187671040, 3187687423, 'CO', 'Colombia'),
(95640, '190.0.64.0', '190.0.95.255', 3187687424, 3187695615, 'DO', 'Dominican Republic'),
(95641, '190.0.96.0', '190.0.127.255', 3187695616, 3187703807, 'AR', 'Argentina'),
(95642, '190.0.128.0', '190.0.159.255', 3187703808, 3187711999, 'UY', 'Uruguay'),
(95643, '190.0.160.0', '190.0.191.255', 3187712000, 3187720191, 'AR', 'Argentina'),
(95644, '190.0.192.0', '190.0.223.255', 3187720192, 3187728383, 'GT', 'Guatemala'),
(95645, '190.0.224.0', '190.0.231.255', 3187728384, 3187730431, 'CR', 'Costa Rica'),
(95646, '190.0.232.0', '190.0.239.255', 3187730432, 3187732479, 'AR', 'Argentina'),
(95647, '190.0.240.0', '190.0.247.255', 3187732480, 3187734527, 'CO', 'Colombia'),
(95648, '190.0.248.0', '190.0.255.255', 3187734528, 3187736575, 'BO', 'Bolivia'),
(95649, '190.1.0.0', '190.1.63.255', 3187736576, 3187752959, 'AR', 'Argentina'),
(95650, '190.1.64.0', '190.1.95.255', 3187752960, 3187761151, 'CO', 'Colombia'),
(95651, '190.1.96.0', '190.1.127.255', 3187761152, 3187769343, 'AR', 'Argentina'),
(95652, '190.1.128.0', '190.1.255.255', 3187769344, 3187802111, 'CO', 'Colombia'),
(95653, '190.2.0.0', '190.2.63.255', 3187802112, 3187818495, 'AR', 'Argentina'),
(95654, '190.2.80.0', '190.2.87.255', 3187822592, 3187824639, 'AR', 'Argentina'),
(95655, '190.2.88.0', '190.2.95.255', 3187824640, 3187826687, 'CL', 'Chile'),
(95656, '190.2.96.0', '190.2.127.255', 3187826688, 3187834879, 'AR', 'Argentina'),
(95657, '190.2.128.0', '190.2.191.255', 3187834880, 3187851263, 'AN', 'Netherlands Antilles'),
(95658, '190.2.192.0', '190.2.207.255', 3187851264, 3187855359, 'PY', 'Paraguay'),
(95659, '190.2.208.0', '190.2.215.255', 3187855360, 3187857407, 'PA', 'Panama'),
(95660, '190.2.216.0', '190.2.223.255', 3187857408, 3187859455, 'CR', 'Costa Rica'),
(95661, '190.2.224.0', '190.2.239.255', 3187859456, 3187863551, 'PA', 'Panama');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(95662, '190.2.240.0', '190.3.159.255', 3187863552, 3187908607, 'AR', 'Argentina'),
(95663, '190.3.160.0', '190.3.167.255', 3187908608, 3187910655, 'CO', 'Colombia'),
(95664, '190.3.168.0', '190.3.183.255', 3187910656, 3187914751, 'CL', 'Chile'),
(95665, '190.3.184.0', '190.3.191.255', 3187914752, 3187916799, 'BO', 'Bolivia'),
(95666, '190.3.192.0', '190.3.255.255', 3187916800, 3187933183, 'CO', 'Colombia'),
(95667, '190.4.0.0', '190.4.63.255', 3187933184, 3187949567, 'GT', 'Guatemala'),
(95668, '190.4.64.0', '190.4.79.255', 3187949568, 3187953663, 'AN', 'Netherlands Antilles'),
(95669, '190.4.80.0', '190.4.87.255', 3187953664, 3187955711, 'CL', 'Chile'),
(95670, '190.4.88.0', '190.4.95.255', 3187955712, 3187957759, 'CR', 'Costa Rica'),
(95671, '190.4.96.0', '190.4.111.255', 3187957760, 3187961855, 'CL', 'Chile'),
(95672, '190.4.112.0', '190.4.127.255', 3187961856, 3187965951, 'AR', 'Argentina'),
(95673, '190.4.128.0', '190.4.191.255', 3187965952, 3187982335, 'AN', 'Netherlands Antilles'),
(95674, '190.4.192.0', '190.4.255.255', 3187982336, 3187998719, 'CL', 'Chile'),
(95675, '190.5.0.0', '190.5.31.255', 3187998720, 3188006911, 'AR', 'Argentina'),
(95676, '190.5.32.0', '190.5.63.255', 3188006912, 3188015103, 'CL', 'Chile'),
(95677, '190.5.64.0', '190.5.127.255', 3188015104, 3188031487, 'HN', 'Honduras'),
(95678, '190.5.128.0', '190.5.159.255', 3188031488, 3188039679, 'SV', 'El Salvador'),
(95679, '190.5.192.0', '190.5.207.255', 3188047872, 3188051967, 'CO', 'Colombia'),
(95680, '190.5.224.0', '190.5.255.255', 3188056064, 3188064255, 'PA', 'Panama'),
(95681, '190.6.0.0', '190.6.63.255', 3188064256, 3188080639, 'VE', 'Venezuela'),
(95682, '190.6.64.0', '190.6.95.255', 3188080640, 3188088831, 'CU', 'Cuba'),
(95683, '190.6.96.0', '190.6.127.255', 3188088832, 3188097023, 'AR', 'Argentina'),
(95684, '190.6.128.0', '190.6.159.255', 3188097024, 3188105215, 'DO', 'Dominican Republic'),
(95685, '190.6.160.0', '190.6.191.255', 3188105216, 3188113407, 'CO', 'Colombia'),
(95686, '190.6.192.0', '190.6.207.255', 3188113408, 3188117503, 'HN', 'Honduras'),
(95687, '190.6.208.0', '190.6.223.255', 3188117504, 3188121599, 'AR', 'Argentina'),
(95688, '190.6.224.0', '190.6.239.255', 3188121600, 3188125695, 'TT', 'Trinidad and Tobago'),
(95689, '190.6.240.0', '190.7.63.255', 3188125696, 3188146175, 'AR', 'Argentina'),
(95690, '190.7.64.0', '190.7.159.255', 3188146176, 3188170751, 'CO', 'Colombia'),
(95691, '190.7.160.0', '190.7.175.255', 3188170752, 3188174847, 'CR', 'Costa Rica'),
(95692, '190.7.176.0', '190.7.191.255', 3188174848, 3188178943, 'AR', 'Argentina'),
(95693, '190.7.192.0', '190.7.223.255', 3188178944, 3188187135, 'CR', 'Costa Rica'),
(95694, '190.7.224.0', '190.8.31.255', 3188187136, 3188203519, 'AR', 'Argentina'),
(95695, '190.8.32.0', '190.8.47.255', 3188203520, 3188207615, 'DO', 'Dominican Republic'),
(95696, '190.8.48.0', '190.8.63.255', 3188207616, 3188211711, 'AR', 'Argentina'),
(95697, '190.8.64.0', '190.8.127.255', 3188211712, 3188228095, 'CL', 'Chile'),
(95698, '190.8.128.0', '190.8.159.255', 3188228096, 3188236287, 'PE', 'Peru'),
(95699, '190.8.160.0', '190.8.163.255', 3188236288, 3188237311, 'PA', 'Panama'),
(95700, '190.8.164.0', '190.8.171.255', 3188237312, 3188239359, 'VE', 'Venezuela'),
(95701, '190.8.176.0', '190.8.179.255', 3188240384, 3188241407, 'CO', 'Colombia'),
(95702, '190.8.180.0', '190.8.183.255', 3188241408, 3188242431, 'EC', 'Ecuador'),
(95703, '190.8.184.0', '190.8.191.255', 3188242432, 3188244479, 'AR', 'Argentina'),
(95704, '190.8.192.0', '190.8.255.255', 3188244480, 3188260863, 'CO', 'Colombia'),
(95705, '190.9.0.0', '190.9.31.255', 3188260864, 3188269055, 'AR', 'Argentina'),
(95706, '190.9.32.0', '190.9.33.127', 3188269056, 3188269439, 'VE', 'Venezuela'),
(95707, '190.9.33.128', '190.9.33.255', 3188269440, 3188269567, 'CO', 'Colombia'),
(95708, '190.9.34.0', '190.9.47.255', 3188269568, 3188273151, 'VE', 'Venezuela'),
(95709, '190.9.48.0', '190.9.55.255', 3188273152, 3188275199, 'PA', 'Panama'),
(95710, '190.9.56.0', '190.9.63.255', 3188275200, 3188277247, 'CL', 'Chile'),
(95711, '190.9.64.0', '190.9.127.255', 3188277248, 3188293631, 'CO', 'Colombia'),
(95712, '190.9.128.0', '190.9.159.255', 3188293632, 3188301823, 'VE', 'Venezuela'),
(95713, '190.9.160.0', '190.9.191.255', 3188301824, 3188310015, 'EC', 'Ecuador'),
(95714, '190.9.192.0', '190.9.255.255', 3188310016, 3188326399, 'CO', 'Colombia'),
(95715, '190.10.0.0', '190.10.127.255', 3188326400, 3188359167, 'CR', 'Costa Rica'),
(95716, '190.10.128.0', '190.11.31.255', 3188359168, 3188400127, 'EC', 'Ecuador'),
(95717, '190.11.32.0', '190.11.63.255', 3188400128, 3188408319, 'AR', 'Argentina'),
(95718, '190.11.64.0', '190.11.95.255', 3188408320, 3188416511, 'BO', 'Bolivia'),
(95719, '190.11.96.0', '190.11.207.255', 3188416512, 3188445183, 'AR', 'Argentina'),
(95720, '190.11.208.0', '190.11.223.255', 3188445184, 3188449279, 'PE', 'Peru'),
(95721, '190.11.224.0', '190.11.239.255', 3188449280, 3188453375, 'HN', 'Honduras'),
(95722, '190.11.240.0', '190.12.63.255', 3188453376, 3188473855, 'EC', 'Ecuador'),
(95723, '190.12.64.0', '190.12.95.255', 3188473856, 3188482047, 'PE', 'Peru'),
(95724, '190.12.96.0', '190.12.127.255', 3188482048, 3188490239, 'AR', 'Argentina'),
(95725, '190.12.128.0', '190.12.159.255', 3188490240, 3188498431, 'CO', 'Colombia'),
(95726, '190.12.160.0', '190.12.232.255', 3188498432, 3188517119, 'AR', 'Argentina'),
(95727, '190.12.233.0', '190.12.233.127', 3188517120, 3188517247, 'US', 'United States'),
(95728, '190.12.233.128', '190.12.255.255', 3188517248, 3188523007, 'AR', 'Argentina'),
(95729, '190.13.0.0', '190.13.63.255', 3188523008, 3188539391, 'CO', 'Colombia'),
(95730, '190.13.64.0', '190.13.79.255', 3188539392, 3188543487, 'CL', 'Chile'),
(95731, '190.13.80.0', '190.13.87.255', 3188543488, 3188545535, 'PA', 'Panama'),
(95732, '190.13.88.0', '190.13.95.255', 3188545536, 3188547583, 'AR', 'Argentina'),
(95733, '190.13.96.0', '190.13.111.255', 3188547584, 3188551679, 'CO', 'Colombia'),
(95734, '190.13.112.0', '190.13.115.255', 3188551680, 3188552703, 'AR', 'Argentina'),
(95735, '190.13.116.0', '190.13.119.255', 3188552704, 3188553727, 'CL', 'Chile'),
(95736, '190.13.120.0', '190.13.127.255', 3188553728, 3188555775, 'AN', 'Netherlands Antilles'),
(95737, '190.13.128.0', '190.13.191.255', 3188555776, 3188572159, 'CL', 'Chile'),
(95738, '190.13.192.0', '190.13.207.255', 3188572160, 3188576255, 'CO', 'Colombia'),
(95739, '190.13.208.0', '190.14.35.255', 3188576256, 3188597759, 'AR', 'Argentina'),
(95740, '190.14.36.0', '190.14.39.255', 3188597760, 3188598783, 'PA', 'Panama'),
(95741, '190.14.40.0', '190.14.47.255', 3188598784, 3188600831, 'AR', 'Argentina'),
(95742, '190.14.48.0', '190.14.63.255', 3188600832, 3188604927, 'CL', 'Chile'),
(95743, '190.14.128.0', '190.14.143.255', 3188621312, 3188625407, 'GT', 'Guatemala'),
(95744, '190.14.144.0', '190.14.151.255', 3188625408, 3188627455, 'AR', 'Argentina'),
(95745, '190.14.152.0', '190.14.155.255', 3188627456, 3188628479, 'CR', 'Costa Rica'),
(95746, '190.14.156.0', '190.14.191.255', 3188628480, 3188637695, 'AR', 'Argentina'),
(95747, '190.14.192.0', '190.14.223.255', 3188637696, 3188645887, 'PA', 'Panama'),
(95748, '190.14.224.0', '190.15.31.255', 3188645888, 3188662271, 'CO', 'Colombia'),
(95749, '190.15.64.0', '190.15.79.255', 3188670464, 3188674559, 'HN', 'Honduras'),
(95750, '190.15.80.0', '190.15.127.255', 3188674560, 3188686847, 'AR', 'Argentina'),
(95751, '190.15.128.0', '190.15.143.255', 3188686848, 3188690943, 'EC', 'Ecuador'),
(95752, '190.15.144.0', '190.15.159.255', 3188690944, 3188695039, 'CU', 'Cuba'),
(95753, '190.15.160.0', '190.15.191.255', 3188695040, 3188703231, 'VE', 'Venezuela'),
(95754, '190.15.192.0', '190.19.255.255', 3188703232, 3188981759, 'AR', 'Argentina'),
(95755, '190.20.0.0', '190.22.255.255', 3188981760, 3189178367, 'CL', 'Chile'),
(95756, '190.23.0.0', '190.23.127.255', 3189178368, 3189211135, 'PY', 'Paraguay'),
(95757, '190.24.0.0', '190.29.255.255', 3189243904, 3189637119, 'CO', 'Colombia'),
(95758, '190.30.0.0', '190.31.255.255', 3189637120, 3189768191, 'AR', 'Argentina'),
(95759, '190.32.0.0', '190.35.255.255', 3189768192, 3190030335, 'PA', 'Panama'),
(95760, '190.36.0.0', '190.39.255.255', 3190030336, 3190292479, 'VE', 'Venezuela'),
(95761, '190.40.0.0', '190.43.255.255', 3190292480, 3190554623, 'PE', 'Peru'),
(95762, '190.44.0.0', '190.47.255.255', 3190554624, 3190816767, 'CL', 'Chile'),
(95763, '190.48.0.0', '190.51.255.255', 3190816768, 3191078911, 'AR', 'Argentina'),
(95764, '190.52.0.0', '190.52.31.255', 3191078912, 3191087103, 'CO', 'Colombia'),
(95765, '190.52.32.0', '190.52.47.255', 3191087104, 3191091199, 'AR', 'Argentina'),
(95766, '190.52.48.0', '190.52.55.255', 3191091200, 3191093247, 'BO', 'Bolivia'),
(95767, '190.52.56.0', '190.52.63.255', 3191093248, 3191095295, 'AR', 'Argentina'),
(95768, '190.52.64.0', '190.52.79.255', 3191095296, 3191099391, 'EC', 'Ecuador'),
(95769, '190.52.80.0', '190.52.95.255', 3191099392, 3191103487, 'AR', 'Argentina'),
(95770, '190.52.112.0', '190.52.127.255', 3191107584, 3191111679, 'PE', 'Peru'),
(95771, '190.52.128.0', '190.52.191.255', 3191111680, 3191128063, 'PY', 'Paraguay'),
(95772, '190.52.192.0', '190.52.207.255', 3191128064, 3191132159, 'EC', 'Ecuador'),
(95773, '190.52.208.0', '190.52.223.255', 3191132160, 3191136255, 'AR', 'Argentina'),
(95774, '190.52.224.0', '190.52.255.255', 3191136256, 3191144447, 'DO', 'Dominican Republic'),
(95775, '190.53.0.0', '190.53.47.255', 3191144448, 3191156735, 'SV', 'El Salvador'),
(95776, '190.53.48.0', '190.53.95.255', 3191156736, 3191169023, 'HN', 'Honduras'),
(95777, '190.53.96.0', '190.53.191.255', 3191169024, 3191193599, 'SV', 'El Salvador'),
(95778, '190.53.192.0', '190.53.255.255', 3191193600, 3191209983, 'HN', 'Honduras'),
(95779, '190.54.0.0', '190.54.255.255', 3191209984, 3191275519, 'CL', 'Chile'),
(95780, '190.55.0.0', '190.55.255.255', 3191275520, 3191341055, 'AR', 'Argentina'),
(95781, '190.56.0.0', '190.56.255.255', 3191341056, 3191406591, 'GT', 'Guatemala'),
(95782, '190.57.0.0', '190.57.127.255', 3191406592, 3191439359, 'SV', 'El Salvador'),
(95783, '190.57.128.0', '190.57.191.255', 3191439360, 3191455743, 'EC', 'Ecuador'),
(95784, '190.57.192.0', '190.57.255.255', 3191455744, 3191472127, 'AR', 'Argentina'),
(95785, '190.58.0.0', '190.59.255.255', 3191472128, 3191603199, 'TT', 'Trinidad and Tobago'),
(95786, '190.60.0.0', '190.60.17.255', 3191603200, 3191607807, 'CO', 'Colombia'),
(95787, '190.60.18.0', '190.60.19.255', 3191607808, 3191608319, 'CL', 'Chile'),
(95788, '190.60.20.0', '190.60.31.255', 3191608320, 3191611391, 'CO', 'Colombia'),
(95789, '190.60.32.0', '190.60.63.255', 3191611392, 3191619583, 'VE', 'Venezuela'),
(95790, '190.60.64.0', '190.61.255.255', 3191619584, 3191734271, 'CO', 'Colombia'),
(95791, '190.62.0.0', '190.62.255.255', 3191734272, 3191799807, 'SV', 'El Salvador'),
(95792, '190.63.0.0', '190.63.255.255', 3191799808, 3191865343, 'EC', 'Ecuador'),
(95793, '190.64.0.0', '190.64.255.255', 3191865344, 3191930879, 'UY', 'Uruguay'),
(95794, '190.65.0.0', '190.71.255.255', 3191930880, 3192389631, 'CO', 'Colombia'),
(95795, '190.72.0.0', '190.79.255.255', 3192389632, 3192913919, 'VE', 'Venezuela'),
(95796, '190.80.0.0', '190.80.127.255', 3192913920, 3192946687, 'GY', 'Guyana'),
(95797, '190.80.128.0', '190.80.255.255', 3192946688, 3192979455, 'DO', 'Dominican Republic'),
(95798, '190.81.0.0', '190.81.255.255', 3192979456, 3193044991, 'PE', 'Peru'),
(95799, '190.82.0.0', '190.82.255.255', 3193044992, 3193110527, 'CL', 'Chile'),
(95800, '190.83.128.0', '190.83.255.255', 3193143296, 3193176063, 'TT', 'Trinidad and Tobago'),
(95801, '190.84.0.0', '190.85.255.255', 3193176064, 3193307135, 'CO', 'Colombia'),
(95802, '190.86.0.0', '190.87.255.255', 3193307136, 3193438207, 'SV', 'El Salvador'),
(95803, '190.88.0.0', '190.89.255.255', 3193438208, 3193569279, 'AN', 'Netherlands Antilles'),
(95804, '190.90.0.0', '190.90.255.255', 3193569280, 3193634815, 'CO', 'Colombia'),
(95805, '190.91.0.0', '190.91.255.255', 3193634816, 3193700351, 'CL', 'Chile'),
(95806, '190.92.0.0', '190.92.127.255', 3193700352, 3193733119, 'HN', 'Honduras'),
(95807, '190.92.128.0', '190.92.255.255', 3193733120, 3193765887, 'AR', 'Argentina'),
(95808, '190.93.0.0', '190.93.31.255', 3193765888, 3193774079, 'TT', 'Trinidad and Tobago'),
(95809, '190.93.32.0', '190.93.35.255', 3193774080, 3193775103, 'PA', 'Panama'),
(95810, '190.93.36.0', '190.93.39.255', 3193775104, 3193776127, 'GY', 'Guyana'),
(95811, '190.93.40.0', '190.93.43.255', 3193776128, 3193777151, 'AR', 'Argentina'),
(95812, '190.93.44.0', '190.93.47.255', 3193777152, 3193778175, 'VE', 'Venezuela'),
(95813, '190.93.48.0', '190.93.63.255', 3193778176, 3193782271, 'AR', 'Argentina'),
(95814, '190.93.64.0', '190.93.127.255', 3193782272, 3193798655, 'TT', 'Trinidad and Tobago'),
(95815, '190.93.128.0', '190.93.159.255', 3193798656, 3193806847, 'CO', 'Colombia'),
(95816, '190.93.160.0', '190.93.175.255', 3193806848, 3193810943, 'CR', 'Costa Rica'),
(95817, '190.93.176.0', '190.93.191.255', 3193810944, 3193815039, 'PY', 'Paraguay'),
(95818, '190.93.192.0', '190.93.223.255', 3193815040, 3193823231, 'AR', 'Argentina'),
(95819, '190.93.224.0', '190.93.239.255', 3193823232, 3193827327, 'CL', 'Chile'),
(95820, '190.93.240.0', '190.93.255.255', 3193827328, 3193831423, 'CR', 'Costa Rica'),
(95821, '190.94.0.0', '190.94.127.255', 3193831424, 3193864191, 'DO', 'Dominican Republic'),
(95822, '190.94.128.0', '190.94.159.255', 3193864192, 3193872383, 'EC', 'Ecuador'),
(95823, '190.94.160.0', '190.94.191.255', 3193872384, 3193880575, 'AR', 'Argentina'),
(95824, '190.94.192.0', '190.94.255.255', 3193880576, 3193896959, 'VE', 'Venezuela'),
(95825, '190.95.0.0', '190.95.127.255', 3193896960, 3193929727, 'CL', 'Chile'),
(95826, '190.95.128.0', '190.95.255.255', 3193929728, 3193962495, 'EC', 'Ecuador'),
(95827, '190.96.0.0', '190.96.95.255', 3193962496, 3193987071, 'CL', 'Chile'),
(95828, '190.96.96.0', '190.96.111.255', 3193987072, 3193991167, 'EC', 'Ecuador'),
(95829, '190.96.112.0', '190.96.127.255', 3193991168, 3193995263, 'AR', 'Argentina'),
(95830, '190.96.128.0', '190.96.255.255', 3193995264, 3194028031, 'CO', 'Colombia'),
(95831, '190.97.0.0', '190.97.63.255', 3194028032, 3194044415, 'AR', 'Argentina'),
(95832, '190.97.64.0', '190.97.95.255', 3194044416, 3194052607, 'CO', 'Colombia'),
(95833, '190.97.96.0', '190.97.111.255', 3194052608, 3194056703, 'TT', 'Trinidad and Tobago'),
(95834, '190.97.112.0', '190.97.119.255', 3194056704, 3194058751, 'AN', 'Netherlands Antilles'),
(95835, '190.97.120.0', '190.97.127.255', 3194058752, 3194060799, 'AR', 'Argentina'),
(95836, '190.97.128.0', '190.97.159.255', 3194060800, 3194068991, 'CO', 'Colombia'),
(95837, '190.97.160.0', '190.97.167.255', 3194068992, 3194071039, 'PA', 'Panama'),
(95838, '190.97.168.0', '190.97.175.255', 3194071040, 3194073087, 'CL', 'Chile'),
(95839, '190.97.176.0', '190.97.191.255', 3194073088, 3194077183, 'HN', 'Honduras'),
(95840, '190.97.192.0', '190.97.223.255', 3194077184, 3194085375, 'CO', 'Colombia'),
(95841, '190.97.224.0', '190.97.255.255', 3194085376, 3194093567, 'VE', 'Venezuela'),
(95842, '190.98.0.0', '190.98.127.255', 3194093568, 3194126335, 'SR', 'Suriname'),
(95843, '190.98.128.0', '190.98.143.255', 3194126336, 3194130431, 'AR', 'Argentina'),
(95844, '190.98.144.0', '190.98.159.255', 3194130432, 3194134527, 'BR', 'Brazil'),
(95845, '190.98.160.0', '190.98.183.255', 3194134528, 3194140671, 'AR', 'Argentina'),
(95846, '190.98.184.0', '190.98.191.255', 3194140672, 3194142719, 'CR', 'Costa Rica'),
(95847, '190.98.192.0', '190.98.255.255', 3194142720, 3194159103, 'CL', 'Chile'),
(95848, '190.99.0.0', '190.99.23.255', 3194159104, 3194165247, 'HN', 'Honduras'),
(95849, '190.99.24.0', '190.99.63.255', 3194165248, 3194175487, 'SV', 'El Salvador'),
(95850, '190.99.64.0', '190.99.71.255', 3194175488, 3194177535, 'AR', 'Argentina'),
(95851, '190.99.72.0', '190.99.79.255', 3194177536, 3194179583, 'EC', 'Ecuador'),
(95852, '190.99.80.0', '190.99.87.255', 3194179584, 3194181631, 'AR', 'Argentina'),
(95853, '190.99.88.0', '190.99.91.255', 3194181632, 3194182655, 'CL', 'Chile'),
(95854, '190.99.92.0', '190.99.95.255', 3194182656, 3194183679, 'BO', 'Bolivia'),
(95855, '190.99.96.0', '190.99.111.255', 3194183680, 3194187775, 'UY', 'Uruguay'),
(95856, '190.99.128.0', '190.99.255.255', 3194191872, 3194224639, 'CO', 'Colombia'),
(95857, '190.100.0.0', '190.101.255.255', 3194224640, 3194355711, 'CL', 'Chile'),
(95858, '190.102.0.0', '190.102.31.255', 3194355712, 3194363903, 'AN', 'Netherlands Antilles'),
(95859, '190.102.32.0', '190.102.47.255', 3194363904, 3194367999, 'CR', 'Costa Rica'),
(95860, '190.102.48.0', '190.102.55.255', 3194368000, 3194370047, 'BO', 'Bolivia'),
(95861, '190.102.56.0', '190.102.63.255', 3194370048, 3194372095, 'PA', 'Panama'),
(95862, '190.102.64.0', '190.102.95.255', 3194372096, 3194380287, 'HT', 'Haiti'),
(95863, '190.102.96.0', '190.102.127.255', 3194380288, 3194388479, 'BZ', 'Belize'),
(95864, '190.102.128.0', '190.102.159.255', 3194388480, 3194396671, 'PE', 'Peru'),
(95865, '190.102.160.0', '190.102.223.255', 3194396672, 3194413055, 'CO', 'Colombia'),
(95866, '190.102.224.0', '190.102.255.255', 3194413056, 3194421247, 'CL', 'Chile'),
(95867, '190.103.0.0', '190.103.27.255', 3194421248, 3194428415, 'AR', 'Argentina'),
(95868, '190.103.28.0', '190.103.63.255', 3194428416, 3194437631, 'VE', 'Venezuela'),
(95869, '190.103.64.0', '190.103.79.255', 3194437632, 3194441727, 'BO', 'Bolivia'),
(95870, '190.103.80.0', '190.103.95.255', 3194441728, 3194445823, 'AR', 'Argentina'),
(95871, '190.103.96.0', '190.103.127.255', 3194445824, 3194454015, 'CO', 'Colombia'),
(95872, '190.103.128.0', '190.103.143.255', 3194454016, 3194458111, 'AR', 'Argentina'),
(95873, '190.103.144.0', '190.103.159.255', 3194458112, 3194462207, 'CL', 'Chile'),
(95874, '190.103.176.0', '190.103.179.255', 3194466304, 3194467327, 'AR', 'Argentina'),
(95875, '190.103.180.0', '190.103.183.255', 3194467328, 3194468351, 'DO', 'Dominican Republic'),
(95876, '190.103.184.0', '190.103.187.255', 3194468352, 3194469375, 'US', 'United States'),
(95877, '190.103.188.0', '190.103.191.255', 3194469376, 3194470399, 'CR', 'Costa Rica'),
(95878, '190.103.192.0', '190.103.255.255', 3194470400, 3194486783, 'AR', 'Argentina'),
(95879, '190.104.0.0', '190.104.31.255', 3194486784, 3194494975, 'BO', 'Bolivia'),
(95880, '190.104.32.0', '190.104.79.255', 3194494976, 3194507263, 'AR', 'Argentina'),
(95881, '190.104.96.0', '190.104.111.255', 3194511360, 3194515455, 'AW', 'Aruba'),
(95882, '190.104.112.0', '190.104.127.255', 3194515456, 3194519551, 'GT', 'Guatemala'),
(95883, '190.104.128.0', '190.104.191.255', 3194519552, 3194535935, 'PY', 'Paraguay'),
(95884, '190.104.192.0', '190.105.127.255', 3194535936, 3194585087, 'AR', 'Argentina'),
(95885, '190.105.128.0', '190.105.143.255', 3194585088, 3194589183, 'HN', 'Honduras'),
(95886, '190.105.144.0', '190.105.151.255', 3194589184, 3194591231, 'AR', 'Argentina'),
(95887, '190.105.152.0', '190.105.155.255', 3194591232, 3194592255, 'PA', 'Panama'),
(95888, '190.105.156.0', '190.105.159.255', 3194592256, 3194593279, 'GY', 'Guyana'),
(95889, '190.105.160.0', '190.105.167.255', 3194593280, 3194595327, 'AR', 'Argentina'),
(95890, '190.105.168.0', '190.105.171.255', 3194595328, 3194596351, 'PA', 'Panama'),
(95891, '190.105.172.0', '190.105.175.255', 3194596352, 3194597375, 'HT', 'Haiti'),
(95892, '190.105.176.0', '190.105.191.255', 3194597376, 3194601471, 'AR', 'Argentina'),
(95893, '190.105.192.0', '190.105.195.255', 3194601472, 3194602495, 'AN', 'Netherlands Antilles'),
(95894, '190.105.196.0', '190.105.207.255', 3194602496, 3194605567, 'AR', 'Argentina'),
(95895, '190.105.224.0', '190.105.239.255', 3194609664, 3194613759, 'AR', 'Argentina'),
(95896, '190.105.240.0', '190.105.255.255', 3194613760, 3194617855, 'PE', 'Peru'),
(95897, '190.106.0.0', '190.106.31.255', 3194617856, 3194626047, 'NI', 'Nicaragua'),
(95898, '190.106.32.0', '190.106.47.255', 3194626048, 3194630143, 'AR', 'Argentina'),
(95899, '190.106.48.0', '190.106.63.255', 3194630144, 3194634239, 'NI', 'Nicaragua'),
(95900, '190.106.64.0', '190.106.79.255', 3194634240, 3194638335, 'CR', 'Costa Rica'),
(95901, '190.106.80.0', '190.106.87.255', 3194638336, 3194640383, 'AR', 'Argentina'),
(95902, '190.106.88.0', '190.106.95.255', 3194640384, 3194642431, 'BZ', 'Belize'),
(95903, '190.106.96.0', '190.106.111.255', 3194642432, 3194646527, 'AR', 'Argentina'),
(95904, '190.106.112.0', '190.106.119.255', 3194646528, 3194648575, 'DO', 'Dominican Republic'),
(95905, '190.106.120.0', '190.106.163.255', 3194648576, 3194659839, 'AR', 'Argentina'),
(95906, '190.106.164.0', '190.106.164.255', 3194659840, 3194660095, 'US', 'United States'),
(95907, '190.106.165.0', '190.106.176.255', 3194660096, 3194663167, 'AR', 'Argentina'),
(95908, '190.106.177.0', '190.106.177.255', 3194663168, 3194663423, 'US', 'United States'),
(95909, '190.106.178.0', '190.106.187.255', 3194663424, 3194665983, 'AR', 'Argentina'),
(95910, '190.106.188.0', '190.106.188.255', 3194665984, 3194666239, 'US', 'United States'),
(95911, '190.106.189.0', '190.106.191.255', 3194666240, 3194667007, 'AR', 'Argentina'),
(95912, '190.106.192.0', '190.106.223.255', 3194667008, 3194675199, 'GT', 'Guatemala'),
(95913, '190.106.224.0', '190.106.239.255', 3194675200, 3194679295, 'PA', 'Panama'),
(95914, '190.106.240.0', '190.106.255.255', 3194679296, 3194683391, 'BO', 'Bolivia'),
(95915, '190.107.0.0', '190.107.15.255', 3194683392, 3194687487, 'CU', 'Cuba'),
(95916, '190.107.16.0', '190.107.31.255', 3194687488, 3194691583, 'CO', 'Colombia'),
(95917, '190.107.32.0', '190.107.63.255', 3194691584, 3194699775, 'BO', 'Bolivia'),
(95918, '190.107.64.0', '190.107.87.255', 3194699776, 3194705919, 'EC', 'Ecuador'),
(95919, '190.107.88.0', '190.107.95.255', 3194705920, 3194707967, 'CR', 'Costa Rica'),
(95920, '190.107.96.0', '190.107.127.255', 3194707968, 3194716159, 'AR', 'Argentina'),
(95921, '190.107.128.0', '190.107.159.255', 3194716160, 3194724351, 'HN', 'Honduras'),
(95922, '190.107.160.0', '190.107.175.255', 3194724352, 3194728447, 'PA', 'Panama'),
(95923, '190.107.176.0', '190.107.179.255', 3194728448, 3194729471, 'CL', 'Chile'),
(95924, '190.107.180.0', '190.107.183.255', 3194729472, 3194730495, 'PE', 'Peru'),
(95925, '190.107.184.0', '190.107.191.255', 3194730496, 3194732543, 'AR', 'Argentina'),
(95926, '190.107.224.0', '190.107.231.255', 3194740736, 3194742783, 'CL', 'Chile'),
(95927, '190.107.232.0', '190.107.239.255', 3194742784, 3194744831, 'EC', 'Ecuador'),
(95928, '190.107.240.0', '190.107.247.255', 3194744832, 3194746879, 'AR', 'Argentina'),
(95929, '190.107.248.0', '190.107.255.255', 3194746880, 3194748927, 'AN', 'Netherlands Antilles'),
(95930, '190.108.0.0', '190.108.31.255', 3194748928, 3194757119, 'UY', 'Uruguay'),
(95931, '190.108.32.0', '190.108.63.255', 3194757120, 3194765311, 'AR', 'Argentina'),
(95932, '190.108.64.0', '190.108.71.255', 3194765312, 3194767359, 'EC', 'Ecuador'),
(95933, '190.108.72.0', '190.108.75.255', 3194767360, 3194768383, 'CR', 'Costa Rica'),
(95934, '190.108.76.0', '190.108.79.255', 3194768384, 3194769407, 'AR', 'Argentina'),
(95935, '190.108.80.0', '190.108.95.255', 3194769408, 3194773503, 'PE', 'Peru'),
(95936, '190.108.128.0', '190.108.191.255', 3194781696, 3194798079, 'CL', 'Chile'),
(95937, '190.108.192.0', '190.108.195.255', 3194798080, 3194799103, 'AR', 'Argentina'),
(95938, '190.108.196.0', '190.108.207.255', 3194799104, 3194802175, 'GY', 'Guyana'),
(95939, '190.108.224.0', '190.109.63.255', 3194806272, 3194830847, 'AR', 'Argentina'),
(95940, '190.109.64.0', '190.109.95.255', 3194830848, 3194839039, 'PA', 'Panama'),
(95941, '190.109.96.0', '190.109.191.255', 3194839040, 3194863615, 'CO', 'Colombia'),
(95942, '190.109.192.0', '190.109.223.255', 3194863616, 3194871807, 'HN', 'Honduras'),
(95943, '190.110.0.0', '190.110.63.255', 3194880000, 3194896383, 'DO', 'Dominican Republic'),
(95944, '190.110.64.0', '190.110.95.255', 3194896384, 3194904575, 'CO', 'Colombia'),
(95945, '190.110.96.0', '190.110.111.255', 3194904576, 3194908671, 'CL', 'Chile'),
(95946, '190.110.128.0', '190.110.175.255', 3194912768, 3194925055, 'CL', 'Chile'),
(95947, '190.110.176.0', '190.110.191.255', 3194925056, 3194929151, 'AR', 'Argentina'),
(95948, '190.110.192.0', '190.110.223.255', 3194929152, 3194937343, 'EC', 'Ecuador'),
(95949, '190.110.224.0', '190.110.255.255', 3194937344, 3194945535, 'AR', 'Argentina'),
(95950, '190.111.0.0', '190.111.31.255', 3194945536, 3194953727, 'GT', 'Guatemala'),
(95951, '190.111.32.0', '190.111.63.255', 3194953728, 3194961919, 'AR', 'Argentina'),
(95952, '190.111.64.0', '190.111.95.255', 3194961920, 3194970111, 'EC', 'Ecuador'),
(95953, '190.111.96.0', '190.111.111.255', 3194970112, 3194974207, 'PA', 'Panama'),
(95954, '190.111.112.0', '190.111.119.255', 3194974208, 3194976255, 'AR', 'Argentina'),
(95955, '190.111.120.0', '190.111.123.255', 3194976256, 3194977279, 'VE', 'Venezuela'),
(95956, '190.111.124.0', '190.111.127.255', 3194977280, 3194978303, 'AR', 'Argentina'),
(95957, '190.111.128.0', '190.111.191.255', 3194978304, 3194994687, 'PA', 'Panama'),
(95958, '190.111.192.0', '190.111.255.255', 3194994688, 3195011071, 'AR', 'Argentina'),
(95959, '190.112.32.0', '190.112.47.255', 3195019264, 3195023359, 'AR', 'Argentina'),
(95960, '190.112.48.0', '190.112.51.255', 3195023360, 3195024383, 'CL', 'Chile'),
(95961, '190.112.52.0', '190.112.55.255', 3195024384, 3195025407, 'UY', 'Uruguay'),
(95962, '190.112.56.0', '190.112.127.255', 3195025408, 3195043839, 'AR', 'Argentina'),
(95963, '190.112.128.0', '190.112.191.255', 3195043840, 3195060223, 'CO', 'Colombia'),
(95964, '190.112.192.0', '190.112.207.255', 3195060224, 3195064319, 'UY', 'Uruguay'),
(95965, '190.112.224.0', '190.112.255.255', 3195068416, 3195076607, 'AN', 'Netherlands Antilles'),
(95966, '190.113.0.0', '190.113.31.255', 3195076608, 3195084799, 'CL', 'Chile'),
(95967, '190.113.64.0', '190.113.79.255', 3195092992, 3195097087, 'AR', 'Argentina'),
(95968, '190.113.96.0', '190.113.127.255', 3195101184, 3195109375, 'CR', 'Costa Rica'),
(95969, '190.113.128.0', '190.113.191.255', 3195109376, 3195125759, 'AR', 'Argentina'),
(95970, '190.113.192.0', '190.113.223.255', 3195125760, 3195133951, 'PE', 'Peru'),
(95971, '190.113.240.0', '190.113.243.255', 3195138048, 3195139071, 'DO', 'Dominican Republic'),
(95972, '190.113.244.0', '190.113.247.255', 3195139072, 3195140095, 'CL', 'Chile'),
(95973, '190.113.248.0', '190.113.255.255', 3195140096, 3195142143, 'CR', 'Costa Rica'),
(95974, '190.114.0.0', '190.114.31.255', 3195142144, 3195150335, 'VE', 'Venezuela'),
(95975, '190.114.64.0', '190.114.223.255', 3195158528, 3195199487, 'AR', 'Argentina'),
(95976, '190.114.224.0', '190.114.231.255', 3195199488, 3195201535, 'PY', 'Paraguay'),
(95977, '190.114.240.0', '190.114.247.255', 3195203584, 3195205631, 'VE', 'Venezuela'),
(95978, '190.114.248.0', '190.114.251.255', 3195205632, 3195206655, 'PE', 'Peru'),
(95979, '190.114.252.0', '190.114.255.255', 3195206656, 3195207679, 'CL', 'Chile'),
(95980, '190.115.0.0', '190.115.15.255', 3195207680, 3195211775, 'GT', 'Guatemala'),
(95981, '190.115.32.0', '190.115.63.255', 3195215872, 3195224063, 'AR', 'Argentina'),
(95982, '190.115.64.0', '190.115.95.255', 3195224064, 3195232255, 'PA', 'Panama'),
(95983, '190.115.128.0', '190.115.191.255', 3195240448, 3195256831, 'HT', 'Haiti'),
(95984, '190.115.192.0', '190.115.223.255', 3195256832, 3195265023, 'AR', 'Argentina'),
(95985, '190.116.0.0', '190.119.255.255', 3195273216, 3195535359, 'PE', 'Peru'),
(95986, '190.120.0.0', '190.120.31.255', 3195535360, 3195543551, 'SV', 'El Salvador'),
(95987, '190.120.48.0', '190.120.63.255', 3195547648, 3195551743, 'AR', 'Argentina'),
(95988, '190.120.64.0', '190.120.95.255', 3195551744, 3195559935, 'EC', 'Ecuador'),
(95989, '190.120.96.0', '190.120.127.255', 3195559936, 3195568127, 'AR', 'Argentina'),
(95990, '190.120.128.0', '190.120.143.255', 3195568128, 3195572223, 'CO', 'Colombia'),
(95991, '190.120.144.0', '190.120.159.255', 3195572224, 3195576319, 'AR', 'Argentina'),
(95992, '190.120.160.0', '190.120.175.255', 3195576320, 3195580415, 'CL', 'Chile'),
(95993, '190.120.192.0', '190.120.223.255', 3195584512, 3195592703, 'HT', 'Haiti'),
(95994, '190.120.224.0', '190.120.239.255', 3195592704, 3195596799, 'PA', 'Panama'),
(95995, '190.121.0.0', '190.121.127.255', 3195600896, 3195633663, 'CL', 'Chile'),
(95996, '190.121.128.0', '190.121.159.255', 3195633664, 3195641855, 'CO', 'Colombia'),
(95997, '190.121.160.0', '190.121.175.255', 3195641856, 3195645951, 'PY', 'Paraguay'),
(95998, '190.121.192.0', '190.121.207.255', 3195650048, 3195654143, 'GT', 'Guatemala'),
(95999, '190.121.224.0', '190.121.239.255', 3195658240, 3195662335, 'VE', 'Venezuela'),
(96000, '190.121.240.0', '190.121.255.255', 3195662336, 3195666431, 'AN', 'Netherlands Antilles'),
(96001, '190.122.0.0', '190.122.79.255', 3195666432, 3195686911, 'AR', 'Argentina'),
(96002, '190.122.96.0', '190.122.127.255', 3195691008, 3195699199, 'DO', 'Dominican Republic'),
(96003, '190.122.128.0', '190.122.143.255', 3195699200, 3195703295, 'AR', 'Argentina'),
(96004, '190.122.160.0', '190.122.175.255', 3195707392, 3195711487, 'PA', 'Panama'),
(96005, '190.122.192.0', '190.122.255.255', 3195715584, 3195731967, 'AR', 'Argentina'),
(96006, '190.123.0.0', '190.123.15.255', 3195731968, 3195736063, 'EC', 'Ecuador'),
(96007, '190.123.32.0', '190.123.47.255', 3195740160, 3195744255, 'PA', 'Panama'),
(96008, '190.123.48.0', '190.123.63.255', 3195744256, 3195748351, 'EC', 'Ecuador'),
(96009, '190.123.64.0', '190.123.79.255', 3195748352, 3195752447, 'CL', 'Chile'),
(96010, '190.123.96.0', '190.123.123.255', 3195756544, 3195763711, 'AR', 'Argentina'),
(96011, '190.123.124.0', '190.123.127.255', 3195763712, 3195764735, 'BO', 'Bolivia'),
(96012, '190.123.128.0', '190.123.143.255', 3195764736, 3195768831, 'CR', 'Costa Rica'),
(96013, '190.123.160.0', '190.123.191.255', 3195772928, 3195781119, 'VE', 'Venezuela'),
(96014, '190.123.192.0', '190.123.255.255', 3195781120, 3195797503, 'PA', 'Panama'),
(96015, '190.124.0.0', '190.124.15.255', 3195797504, 3195801599, 'AR', 'Argentina'),
(96016, '190.124.32.0', '190.124.39.255', 3195805696, 3195807743, 'NI', 'Nicaragua'),
(96017, '190.124.40.0', '190.124.47.255', 3195807744, 3195809791, 'BZ', 'Belize'),
(96018, '190.124.48.0', '190.124.55.255', 3195809792, 3195811839, 'PE', 'Peru'),
(96019, '190.124.56.0', '190.124.63.255', 3195811840, 3195813887, 'AR', 'Argentina'),
(96020, '190.124.64.0', '190.124.95.255', 3195813888, 3195822079, 'DO', 'Dominican Republic'),
(96021, '190.124.96.0', '190.124.127.255', 3195822080, 3195830271, 'CO', 'Colombia'),
(96022, '190.124.128.0', '190.124.159.255', 3195830272, 3195838463, 'AR', 'Argentina'),
(96023, '190.124.160.0', '190.124.167.255', 3195838464, 3195840511, 'HN', 'Honduras'),
(96024, '190.124.192.0', '190.124.215.255', 3195846656, 3195852799, 'AR', 'Argentina'),
(96025, '190.124.216.0', '190.124.219.255', 3195852800, 3195853823, 'AN', 'Netherlands Antilles'),
(96026, '190.124.220.0', '190.124.223.255', 3195853824, 3195854847, 'GY', 'Guyana'),
(96027, '190.124.224.0', '190.124.243.255', 3195854848, 3195859967, 'AR', 'Argentina'),
(96028, '190.124.244.0', '190.124.251.255', 3195859968, 3195862015, 'CR', 'Costa Rica'),
(96029, '190.124.252.0', '190.124.255.255', 3195862016, 3195863039, 'AR', 'Argentina'),
(96030, '190.125.0.0', '190.128.127.255', 3195863040, 3196092415, 'CO', 'Colombia'),
(96031, '190.128.128.0', '190.128.255.255', 3196092416, 3196125183, 'PY', 'Paraguay'),
(96032, '190.129.0.0', '190.129.255.255', 3196125184, 3196190719, 'BO', 'Bolivia'),
(96033, '190.130.0.0', '190.130.63.255', 3196190720, 3196207103, 'HN', 'Honduras'),
(96034, '190.130.64.0', '190.130.127.255', 3196207104, 3196223487, 'CO', 'Colombia'),
(96035, '190.130.128.0', '190.131.191.255', 3196223488, 3196305407, 'EC', 'Ecuador'),
(96036, '190.131.192.0', '190.131.255.255', 3196305408, 3196321791, 'CO', 'Colombia'),
(96037, '190.132.0.0', '190.135.255.255', 3196321792, 3196583935, 'UY', 'Uruguay'),
(96038, '190.136.0.0', '190.139.255.255', 3196583936, 3196846079, 'AR', 'Argentina'),
(96039, '190.140.0.0', '190.141.255.255', 3196846080, 3196977151, 'PA', 'Panama'),
(96040, '190.142.0.0', '190.142.255.255', 3196977152, 3197042687, 'VE', 'Venezuela'),
(96041, '190.143.0.0', '190.143.127.255', 3197042688, 3197075455, 'CO', 'Colombia'),
(96042, '190.143.128.0', '190.143.255.255', 3197075456, 3197108223, 'GT', 'Guatemala'),
(96043, '190.144.0.0', '190.147.255.255', 3197108224, 3197370367, 'CO', 'Colombia'),
(96044, '190.148.0.0', '190.149.255.255', 3197370368, 3197501439, 'GT', 'Guatemala'),
(96045, '190.150.0.0', '190.150.255.255', 3197501440, 3197566975, 'SV', 'El Salvador'),
(96046, '190.151.0.0', '190.151.127.255', 3197566976, 3197599743, 'CL', 'Chile'),
(96047, '190.151.128.0', '190.151.131.255', 3197599744, 3197600767, 'GT', 'Guatemala'),
(96048, '190.151.132.0', '190.151.135.255', 3197600768, 3197601791, 'CR', 'Costa Rica'),
(96049, '190.151.136.0', '190.151.175.255', 3197601792, 3197612031, 'AR', 'Argentina'),
(96050, '190.151.176.0', '190.151.191.255', 3197612032, 3197616127, 'SV', 'El Salvador'),
(96051, '190.151.192.0', '190.151.255.255', 3197616128, 3197632511, 'CO', 'Colombia'),
(96052, '190.152.0.0', '190.152.255.255', 3197632512, 3197698047, 'EC', 'Ecuador'),
(96053, '190.153.0.0', '190.153.127.255', 3197698048, 3197730815, 'VE', 'Venezuela'),
(96054, '190.153.128.0', '190.153.255.255', 3197730816, 3197763583, 'CL', 'Chile'),
(96055, '190.154.0.0', '190.155.255.255', 3197763584, 3197894655, 'EC', 'Ecuador'),
(96056, '190.156.0.0', '190.159.255.255', 3197894656, 3198156799, 'CO', 'Colombia'),
(96057, '190.160.0.0', '190.164.255.255', 3198156800, 3198484479, 'CL', 'Chile'),
(96058, '190.165.0.0', '190.165.255.255', 3198484480, 3198550015, 'CO', 'Colombia'),
(96059, '190.166.0.0', '190.167.255.255', 3198550016, 3198681087, 'DO', 'Dominican Republic'),
(96060, '190.168.0.0', '190.170.255.255', 3198681088, 3198877695, 'VE', 'Venezuela'),
(96061, '190.171.0.0', '190.171.63.255', 3198877696, 3198894079, 'CR', 'Costa Rica'),
(96062, '190.171.128.0', '190.171.191.255', 3198910464, 3198926847, 'CL', 'Chile'),
(96063, '190.171.192.0', '190.171.255.255', 3198926848, 3198943231, 'BO', 'Bolivia'),
(96064, '190.172.0.0', '190.179.255.255', 3198943232, 3199467519, 'AR', 'Argentina'),
(96065, '190.180.144.0', '190.180.147.255', 3199504384, 3199505407, 'AR', 'Argentina'),
(96066, '190.181.0.0', '190.181.63.255', 3199533056, 3199549439, 'BO', 'Bolivia'),
(96067, '190.181.64.0', '190.181.127.255', 3199549440, 3199565823, 'AR', 'Argentina'),
(96068, '190.181.128.0', '190.181.191.255', 3199565824, 3199582207, 'NI', 'Nicaragua'),
(96069, '190.181.192.0', '190.181.255.255', 3199582208, 3199598591, 'HN', 'Honduras'),
(96070, '190.182.0.0', '190.182.127.255', 3199598592, 3199631359, 'CO', 'Colombia'),
(96071, '190.182.128.0', '190.183.255.255', 3199631360, 3199729663, 'AR', 'Argentina'),
(96072, '190.184.0.0', '190.184.127.255', 3199729664, 3199762431, 'NI', 'Nicaragua'),
(96073, '190.184.128.0', '190.184.191.255', 3199762432, 3199778815, 'CO', 'Colombia'),
(96074, '190.184.192.0', '190.184.195.255', 3199778816, 3199779839, 'AR', 'Argentina'),
(96075, '190.184.196.0', '190.184.199.255', 3199779840, 3199780863, 'CR', 'Costa Rica'),
(96076, '190.184.200.0', '190.184.207.255', 3199780864, 3199782911, 'CO', 'Colombia'),
(96077, '190.184.208.0', '190.184.215.255', 3199782912, 3199784959, 'AR', 'Argentina'),
(96078, '190.184.216.0', '190.184.219.255', 3199784960, 3199785983, 'EC', 'Ecuador'),
(96079, '190.184.220.0', '190.184.255.255', 3199785984, 3199795199, 'AR', 'Argentina'),
(96080, '190.185.0.0', '190.185.95.255', 3199795200, 3199819775, 'AN', 'Netherlands Antilles'),
(96081, '190.185.96.0', '190.185.99.255', 3199819776, 3199820799, 'CR', 'Costa Rica'),
(96082, '190.185.100.0', '190.185.107.255', 3199820800, 3199822847, 'AR', 'Argentina'),
(96083, '190.185.108.0', '190.185.127.255', 3199822848, 3199827967, 'HN', 'Honduras'),
(96084, '190.185.128.0', '190.185.255.255', 3199827968, 3199860735, 'AR', 'Argentina'),
(96085, '190.186.0.0', '190.186.255.255', 3199860736, 3199926271, 'BO', 'Bolivia'),
(96086, '190.187.0.0', '190.187.255.255', 3199926272, 3199991807, 'PE', 'Peru'),
(96087, '190.188.0.0', '190.195.255.255', 3199991808, 3200516095, 'AR', 'Argentina'),
(96088, '190.196.0.0', '190.196.191.255', 3200516096, 3200565247, 'CL', 'Chile'),
(96089, '190.196.192.0', '190.196.207.255', 3200565248, 3200569343, 'HT', 'Haiti'),
(96090, '190.196.208.0', '190.196.223.255', 3200569344, 3200573439, 'CL', 'Chile'),
(96091, '190.196.224.0', '190.196.239.255', 3200573440, 3200577535, 'AR', 'Argentina'),
(96092, '190.197.0.0', '190.197.127.255', 3200581632, 3200614399, 'BZ', 'Belize'),
(96093, '190.197.128.0', '190.197.255.255', 3200614400, 3200647167, 'AR', 'Argentina'),
(96094, '190.198.0.0', '190.207.255.255', 3200647168, 3201302527, 'VE', 'Venezuela'),
(96095, '190.208.0.0', '190.209.255.255', 3201302528, 3201433599, 'CL', 'Chile'),
(96096, '190.210.0.0', '190.210.255.255', 3201433600, 3201499135, 'AR', 'Argentina'),
(96097, '190.211.0.0', '190.211.63.255', 3201499136, 3201515519, 'CL', 'Chile'),
(96098, '190.211.64.0', '190.211.91.255', 3201515520, 3201522687, 'AR', 'Argentina'),
(96099, '190.211.92.0', '190.211.127.255', 3201522688, 3201531903, 'CR', 'Costa Rica'),
(96100, '190.211.128.0', '190.211.135.255', 3201531904, 3201533951, 'AR', 'Argentina'),
(96101, '190.211.136.0', '190.211.139.255', 3201533952, 3201534975, 'HN', 'Honduras'),
(96102, '190.211.140.0', '190.211.143.255', 3201534976, 3201535999, 'CO', 'Colombia'),
(96103, '190.211.144.0', '190.211.159.255', 3201536000, 3201540095, 'AR', 'Argentina'),
(96104, '190.211.160.0', '190.211.175.255', 3201540096, 3201544191, 'CL', 'Chile'),
(96105, '190.211.192.0', '190.211.223.255', 3201548288, 3201556479, 'AR', 'Argentina'),
(96106, '190.211.224.0', '190.211.239.255', 3201556480, 3201560575, 'BO', 'Bolivia'),
(96107, '190.211.240.0', '190.211.243.255', 3201560576, 3201561599, 'PY', 'Paraguay'),
(96108, '190.211.244.0', '190.211.247.255', 3201561600, 3201562623, 'AR', 'Argentina'),
(96109, '190.211.248.0', '190.211.251.255', 3201562624, 3201563647, 'CL', 'Chile'),
(96110, '190.211.252.0', '190.211.255.255', 3201563648, 3201564671, 'PA', 'Panama'),
(96111, '190.212.0.0', '190.212.255.255', 3201564672, 3201630207, 'NI', 'Nicaragua'),
(96112, '190.213.0.0', '190.213.255.255', 3201630208, 3201695743, 'TT', 'Trinidad and Tobago'),
(96113, '190.214.0.0', '190.214.255.255', 3201695744, 3201761279, 'EC', 'Ecuador'),
(96114, '190.215.0.0', '190.215.255.255', 3201761280, 3201826815, 'CL', 'Chile'),
(96115, '190.216.0.0', '190.216.223.255', 3201826816, 3201884159, 'AR', 'Argentina'),
(96116, '190.216.224.0', '190.216.239.255', 3201884160, 3201888255, 'VE', 'Venezuela'),
(96117, '190.216.240.0', '190.217.127.255', 3201888256, 3201925119, 'AR', 'Argentina'),
(96118, '190.217.128.0', '190.217.255.255', 3201925120, 3201957887, 'CL', 'Chile'),
(96119, '190.218.0.0', '190.219.255.255', 3201957888, 3202088959, 'PA', 'Panama'),
(96120, '190.220.0.0', '190.221.255.255', 3202088960, 3202220031, 'AR', 'Argentina'),
(96121, '190.222.0.0', '190.223.255.255', 3202220032, 3202351103, 'PE', 'Peru'),
(96122, '190.224.0.0', '190.231.255.255', 3202351104, 3202875391, 'AR', 'Argentina'),
(96123, '190.232.0.0', '190.239.255.255', 3202875392, 3203399679, 'PE', 'Peru'),
(96124, '190.240.0.0', '190.240.255.255', 3203399680, 3203465215, 'CO', 'Colombia'),
(96125, '190.241.0.0', '190.241.255.255', 3203465216, 3203530751, 'CR', 'Costa Rica'),
(96126, '190.242.0.0', '190.242.2.255', 3203530752, 3203531519, 'CO', 'Colombia'),
(96127, '190.242.3.0', '190.242.3.255', 3203531520, 3203531775, 'PA', 'Panama'),
(96128, '190.242.4.0', '190.242.5.255', 3203531776, 3203532287, 'CO', 'Colombia'),
(96129, '190.242.6.0', '190.242.6.255', 3203532288, 3203532543, 'PA', 'Panama'),
(96130, '190.242.7.0', '190.242.7.255', 3203532544, 3203532799, 'CO', 'Colombia'),
(96131, '190.242.8.0', '190.242.15.255', 3203532800, 3203534847, 'PA', 'Panama'),
(96132, '190.242.16.0', '190.242.16.255', 3203534848, 3203535103, 'AN', 'Netherlands Antilles'),
(96133, '190.242.17.0', '190.242.17.255', 3203535104, 3203535359, 'CO', 'Colombia'),
(96134, '190.242.18.0', '190.242.18.255', 3203535360, 3203535615, 'AN', 'Netherlands Antilles'),
(96135, '190.242.19.0', '190.242.19.255', 3203535616, 3203535871, 'CO', 'Colombia'),
(96136, '190.242.20.0', '190.242.21.255', 3203535872, 3203536383, 'PA', 'Panama'),
(96137, '190.242.22.0', '190.242.27.255', 3203536384, 3203537919, 'CO', 'Colombia'),
(96138, '190.242.28.0', '190.242.29.255', 3203537920, 3203538431, 'GT', 'Guatemala'),
(96139, '190.242.30.0', '190.242.31.255', 3203538432, 3203538943, 'CO', 'Colombia'),
(96140, '190.242.32.0', '190.242.35.255', 3203538944, 3203539967, 'BZ', 'Belize'),
(96141, '190.242.36.0', '190.242.63.255', 3203539968, 3203547135, 'CO', 'Colombia'),
(96142, '190.242.64.0', '190.242.71.255', 3203547136, 3203549183, 'PA', 'Panama'),
(96143, '190.242.72.0', '190.243.255.255', 3203549184, 3203661823, 'CO', 'Colombia'),
(96144, '190.244.0.0', '190.247.255.255', 3203661824, 3203923967, 'AR', 'Argentina'),
(96145, '190.248.0.0', '190.255.255.255', 3203923968, 3204448255, 'CO', 'Colombia'),
(96146, '192.0.32.0', '192.0.47.255', 3221233664, 3221237759, 'US', 'United States'),
(96147, '192.1.0.0', '192.2.255.255', 3221291008, 3221422079, 'US', 'United States'),
(96148, '192.4.0.0', '192.5.27.255', 3221487616, 3221560319, 'US', 'United States'),
(96149, '192.5.28.0', '192.5.31.255', 3221560320, 3221561343, 'GB', 'United Kingdom'),
(96150, '192.5.32.0', '192.5.35.255', 3221561344, 3221562367, 'US', 'United States'),
(96151, '192.5.36.0', '192.5.36.255', 3221562368, 3221562623, 'SE', 'Sweden'),
(96152, '192.5.37.0', '192.5.49.255', 3221562624, 3221565951, 'US', 'United States'),
(96153, '192.5.50.0', '192.5.50.255', 3221565952, 3221566207, 'SE', 'Sweden'),
(96154, '192.5.52.0', '192.5.56.255', 3221566464, 3221567743, 'US', 'United States'),
(96155, '192.5.59.0', '192.5.59.255', 3221568256, 3221568511, 'FR', 'France'),
(96156, '192.5.61.0', '192.5.62.255', 3221568768, 3221569279, 'FR', 'France'),
(96157, '192.5.63.0', '192.5.89.255', 3221569280, 3221576191, 'US', 'United States'),
(96158, '192.5.90.0', '192.5.90.255', 3221576192, 3221576447, 'KR', 'Korea, Republic of'),
(96159, '192.5.91.0', '192.5.95.255', 3221576448, 3221577727, 'US', 'United States'),
(96160, '192.5.96.0', '192.5.96.255', 3221577728, 3221577983, 'CA', 'Canada'),
(96161, '192.5.97.0', '192.5.97.255', 3221577984, 3221578239, 'IT', 'Italy'),
(96162, '192.5.98.0', '192.5.141.255', 3221578240, 3221589503, 'US', 'United States'),
(96163, '192.5.142.0', '192.5.142.255', 3221589504, 3221589759, 'FR', 'France'),
(96164, '192.5.143.0', '192.5.143.255', 3221589760, 3221590015, 'US', 'United States'),
(96165, '192.5.144.0', '192.5.144.255', 3221590016, 3221590271, 'CA', 'Canada'),
(96166, '192.5.145.0', '192.5.145.255', 3221590272, 3221590527, 'DE', 'Germany'),
(96167, '192.5.146.0', '192.5.161.255', 3221590528, 3221594623, 'US', 'United States'),
(96168, '192.5.162.0', '192.5.162.255', 3221594624, 3221594879, 'AT', 'Austria'),
(96169, '192.5.163.0', '192.5.203.255', 3221594880, 3221605375, 'US', 'United States'),
(96170, '192.5.204.0', '192.5.205.255', 3221605376, 3221605887, 'CA', 'Canada'),
(96171, '192.5.206.0', '192.5.215.255', 3221605888, 3221608447, 'US', 'United States'),
(96172, '192.5.216.0', '192.5.216.255', 3221608448, 3221608703, 'JP', 'Japan'),
(96173, '192.5.217.0', '192.5.238.255', 3221608704, 3221614335, 'US', 'United States'),
(96174, '192.5.239.0', '192.5.239.255', 3221614336, 3221614591, 'GB', 'United Kingdom'),
(96175, '192.5.240.0', '192.5.240.255', 3221614592, 3221614847, 'AU', 'Australia'),
(96176, '192.5.242.0', '192.5.246.141', 3221615104, 3221616269, 'US', 'United States'),
(96177, '192.5.246.142', '192.5.246.142', 3221616270, 3221616270, 'AP', 'Asia/Pacific Region'),
(96178, '192.5.246.143', '192.5.253.255', 3221616271, 3221618175, 'US', 'United States'),
(96179, '192.5.254.0', '192.5.254.255', 3221618176, 3221618431, 'GB', 'United Kingdom'),
(96180, '192.6.0.0', '192.6.0.255', 3221618688, 3221618943, 'GB', 'United Kingdom'),
(96181, '192.6.1.0', '192.6.58.255', 3221618944, 3221633791, 'US', 'United States'),
(96182, '192.6.59.0', '192.6.59.255', 3221633792, 3221634047, 'FR', 'France'),
(96183, '192.6.60.0', '192.6.83.255', 3221634048, 3221640191, 'US', 'United States'),
(96184, '192.6.84.0', '192.6.84.255', 3221640192, 3221640447, 'NL', 'Netherlands'),
(96185, '192.6.85.0', '192.6.110.255', 3221640448, 3221647103, 'US', 'United States'),
(96186, '192.6.111.0', '192.6.111.255', 3221647104, 3221647359, 'FR', 'France'),
(96187, '192.6.112.0', '192.6.148.255', 3221647360, 3221656831, 'US', 'United States'),
(96188, '192.6.149.0', '192.6.149.255', 3221656832, 3221657087, 'AU', 'Australia'),
(96189, '192.6.150.0', '192.6.177.255', 3221657088, 3221664255, 'US', 'United States'),
(96190, '192.6.178.0', '192.6.178.255', 3221664256, 3221664511, 'EU', 'Europe'),
(96191, '192.6.179.0', '192.8.203.255', 3221664512, 3221801983, 'US', 'United States'),
(96192, '192.8.204.0', '192.8.204.255', 3221801984, 3221802239, 'IN', 'India'),
(96193, '192.8.205.0', '192.8.210.255', 3221802240, 3221803775, 'US', 'United States'),
(96194, '192.8.211.0', '192.8.211.255', 3221803776, 3221804031, 'IN', 'India'),
(96195, '192.8.212.0', '192.8.219.255', 3221804032, 3221806079, 'US', 'United States'),
(96196, '192.8.220.0', '192.8.220.255', 3221806080, 3221806335, 'IN', 'India'),
(96197, '192.8.221.0', '192.8.221.255', 3221806336, 3221806591, 'US', 'United States'),
(96198, '192.8.222.0', '192.8.222.255', 3221806592, 3221806847, 'IN', 'India'),
(96199, '192.8.223.0', '192.9.111.255', 3221806848, 3221843967, 'US', 'United States'),
(96200, '192.9.112.0', '192.9.112.255', 3221843968, 3221844223, 'EU', 'Europe'),
(96201, '192.9.113.0', '192.11.184.255', 3221844224, 3221993727, 'US', 'United States'),
(96202, '192.11.185.0', '192.11.185.255', 3221993728, 3221993983, 'EU', 'Europe'),
(96203, '192.11.186.0', '192.11.224.255', 3221993984, 3222003967, 'US', 'United States'),
(96204, '192.11.225.0', '192.11.225.255', 3222003968, 3222004223, 'AP', 'Asia/Pacific Region'),
(96205, '192.11.226.0', '192.11.255.255', 3222004224, 3222011903, 'US', 'United States'),
(96206, '192.12.1.0', '192.12.1.255', 3222012160, 3222012415, 'GB', 'United Kingdom'),
(96207, '192.12.3.0', '192.12.44.255', 3222012672, 3222023423, 'US', 'United States'),
(96208, '192.12.47.0', '192.12.47.255', 3222023936, 3222024191, 'IT', 'Italy'),
(96209, '192.12.48.0', '192.12.53.255', 3222024192, 3222025727, 'US', 'United States'),
(96210, '192.12.54.0', '192.12.54.255', 3222025728, 3222025983, 'NL', 'Netherlands'),
(96211, '192.12.56.0', '192.12.61.255', 3222026240, 3222027775, 'US', 'United States'),
(96212, '192.12.62.0', '192.12.62.255', 3222027776, 3222028031, 'CA', 'Canada'),
(96213, '192.12.63.0', '192.12.71.255', 3222028032, 3222030335, 'US', 'United States'),
(96214, '192.12.72.0', '192.12.73.255', 3222030336, 3222030847, 'GB', 'United Kingdom'),
(96215, '192.12.74.0', '192.12.75.255', 3222030848, 3222031359, 'US', 'United States'),
(96216, '192.12.76.0', '192.12.76.255', 3222031360, 3222031615, 'AU', 'Australia'),
(96217, '192.12.77.0', '192.12.77.255', 3222031616, 3222031871, 'IT', 'Italy'),
(96218, '192.12.78.0', '192.12.80.255', 3222031872, 3222032639, 'US', 'United States'),
(96219, '192.12.81.0', '192.12.81.255', 3222032640, 3222032895, 'DE', 'Germany'),
(96220, '192.12.82.0', '192.12.95.255', 3222032896, 3222036479, 'US', 'United States'),
(96221, '192.12.96.0', '192.12.96.255', 3222036480, 3222036735, 'FR', 'France'),
(96222, '192.12.97.0', '192.12.97.255', 3222036736, 3222036991, 'US', 'United States'),
(96223, '192.12.98.0', '192.12.98.255', 3222036992, 3222037247, 'CA', 'Canada'),
(96224, '192.12.99.0', '192.12.99.255', 3222037248, 3222037503, 'GB', 'United Kingdom'),
(96225, '192.12.100.0', '192.12.103.255', 3222037504, 3222038527, 'US', 'United States'),
(96226, '192.12.108.0', '192.12.127.255', 3222039552, 3222044671, 'US', 'United States'),
(96227, '192.12.129.0', '192.12.129.255', 3222044928, 3222045183, 'CA', 'Canada'),
(96228, '192.12.130.0', '192.12.171.255', 3222045184, 3222055935, 'US', 'United States'),
(96229, '192.12.173.0', '192.12.173.255', 3222056192, 3222056447, 'US', 'United States'),
(96230, '192.12.174.0', '192.12.183.255', 3222056448, 3222059007, 'CA', 'Canada'),
(96231, '192.12.184.0', '192.12.191.255', 3222059008, 3222061055, 'US', 'United States'),
(96232, '192.12.192.0', '192.12.194.255', 3222061056, 3222061823, 'IT', 'Italy'),
(96233, '192.12.195.0', '192.12.214.255', 3222061824, 3222066943, 'US', 'United States'),
(96234, '192.12.215.0', '192.12.215.255', 3222066944, 3222067199, 'CA', 'Canada'),
(96235, '192.12.216.0', '192.12.216.255', 3222067200, 3222067455, 'US', 'United States'),
(96236, '192.12.217.0', '192.12.218.255', 3222067456, 3222067967, 'CH', 'Switzerland'),
(96237, '192.12.220.0', '192.12.230.255', 3222068224, 3222071039, 'US', 'United States'),
(96238, '192.12.231.0', '192.12.231.255', 3222071040, 3222071295, 'GB', 'United Kingdom'),
(96239, '192.12.232.0', '192.12.232.255', 3222071296, 3222071551, 'PT', 'Portugal'),
(96240, '192.12.233.0', '192.12.234.255', 3222071552, 3222072063, 'US', 'United States'),
(96241, '192.12.235.0', '192.12.235.255', 3222072064, 3222072319, 'SE', 'Sweden'),
(96242, '192.12.236.0', '192.12.246.255', 3222072320, 3222075135, 'US', 'United States'),
(96243, '192.12.247.0', '192.12.247.255', 3222075136, 3222075391, 'CH', 'Switzerland'),
(96244, '192.12.248.0', '192.15.255.255', 3222075392, 3222274047, 'US', 'United States'),
(96245, '192.16.64.0', '192.16.122.255', 3222290432, 3222305535, 'US', 'United States'),
(96246, '192.16.123.0', '192.16.136.255', 3222305536, 3222309119, 'SE', 'Sweden'),
(96247, '192.16.137.0', '192.16.137.255', 3222309120, 3222309375, 'DE', 'Germany'),
(96248, '192.16.138.0', '192.16.154.255', 3222309376, 3222313727, 'SE', 'Sweden'),
(96249, '192.16.155.0', '192.16.166.255', 3222313728, 3222316799, 'CH', 'Switzerland'),
(96250, '192.16.167.0', '192.16.177.255', 3222316800, 3222319615, 'US', 'United States'),
(96251, '192.16.178.0', '192.16.179.255', 3222319616, 3222320127, 'JP', 'Japan'),
(96252, '192.16.180.0', '192.16.180.255', 3222320128, 3222320383, 'AU', 'Australia'),
(96253, '192.16.181.0', '192.16.182.255', 3222320384, 3222320895, 'US', 'United States'),
(96254, '192.16.183.0', '192.16.202.255', 3222320896, 3222326015, 'NL', 'Netherlands'),
(96255, '192.16.203.0', '192.16.204.255', 3222326016, 3222326527, 'US', 'United States'),
(96256, '192.16.205.0', '192.16.255.255', 3222326528, 3222339583, 'CA', 'Canada'),
(96257, '192.17.0.0', '192.18.0.255', 3222339584, 3222405375, 'US', 'United States'),
(96258, '192.18.1.0', '192.18.1.255', 3222405376, 3222405631, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(96259, '192.18.2.0', '192.18.3.255', 3222405632, 3222406143, 'US', 'United States'),
(96260, '192.18.4.0', '192.18.4.255', 3222406144, 3222406399, 'EU', 'Europe'),
(96261, '192.18.5.0', '192.18.7.255', 3222406400, 3222407167, 'US', 'United States'),
(96262, '192.18.8.0', '192.18.8.255', 3222407168, 3222407423, 'EU', 'Europe'),
(96263, '192.18.9.0', '192.18.16.255', 3222407424, 3222409471, 'US', 'United States'),
(96264, '192.18.17.0', '192.18.17.255', 3222409472, 3222409727, 'AP', 'Asia/Pacific Region'),
(96265, '192.18.18.0', '192.18.194.255', 3222409728, 3222455039, 'US', 'United States'),
(96266, '192.18.195.0', '192.18.195.255', 3222455040, 3222455295, 'GB', 'United Kingdom'),
(96267, '192.18.196.0', '192.18.239.255', 3222455296, 3222466559, 'US', 'United States'),
(96268, '192.18.240.0', '192.18.240.255', 3222466560, 3222466815, 'EU', 'Europe'),
(96269, '192.18.241.0', '192.20.245.255', 3222466816, 3222599167, 'US', 'United States'),
(96270, '192.20.246.0', '192.20.246.255', 3222599168, 3222599423, 'AP', 'Asia/Pacific Region'),
(96271, '192.20.247.0', '192.20.250.255', 3222599424, 3222600447, 'US', 'United States'),
(96272, '192.20.251.0', '192.20.251.255', 3222600448, 3222600703, 'AP', 'Asia/Pacific Region'),
(96273, '192.20.252.0', '192.23.34.255', 3222600704, 3222741759, 'US', 'United States'),
(96274, '192.23.35.0', '192.23.35.255', 3222741760, 3222742015, 'AP', 'Asia/Pacific Region'),
(96275, '192.23.36.0', '192.23.167.255', 3222742016, 3222775807, 'US', 'United States'),
(96276, '192.23.168.0', '192.23.168.255', 3222775808, 3222776063, 'AP', 'Asia/Pacific Region'),
(96277, '192.23.169.0', '192.25.18.255', 3222776064, 3222868735, 'US', 'United States'),
(96278, '192.25.19.0', '192.25.19.255', 3222868736, 3222868991, 'EU', 'Europe'),
(96279, '192.25.20.0', '192.25.21.255', 3222868992, 3222869503, 'US', 'United States'),
(96280, '192.25.22.0', '192.25.22.255', 3222869504, 3222869759, 'GB', 'United Kingdom'),
(96281, '192.25.23.0', '192.25.32.255', 3222869760, 3222872319, 'US', 'United States'),
(96282, '192.25.33.0', '192.25.33.255', 3222872320, 3222872575, 'CA', 'Canada'),
(96283, '192.25.34.0', '192.25.41.255', 3222872576, 3222874623, 'US', 'United States'),
(96284, '192.25.42.0', '192.25.42.224', 3222874624, 3222874848, 'AP', 'Asia/Pacific Region'),
(96285, '192.25.42.225', '192.25.42.225', 3222874849, 3222874849, 'MY', 'Malaysia'),
(96286, '192.25.42.226', '192.25.42.255', 3222874850, 3222874879, 'AP', 'Asia/Pacific Region'),
(96287, '192.25.43.0', '192.25.47.255', 3222874880, 3222876159, 'US', 'United States'),
(96288, '192.25.48.0', '192.25.48.255', 3222876160, 3222876415, 'AP', 'Asia/Pacific Region'),
(96289, '192.25.49.0', '192.25.104.255', 3222876416, 3222890751, 'US', 'United States'),
(96290, '192.25.105.0', '192.25.105.255', 3222890752, 3222891007, 'CA', 'Canada'),
(96291, '192.25.106.0', '192.26.27.255', 3222891008, 3222936575, 'US', 'United States'),
(96292, '192.26.28.0', '192.26.44.255', 3222936576, 3222940927, 'CH', 'Switzerland'),
(96293, '192.26.45.0', '192.26.45.255', 3222940928, 3222941183, 'GB', 'United Kingdom'),
(96294, '192.26.46.0', '192.26.47.255', 3222941184, 3222941695, 'CH', 'Switzerland'),
(96295, '192.26.48.0', '192.26.90.255', 3222941696, 3222952703, 'US', 'United States'),
(96296, '192.26.91.0', '192.26.91.255', 3222952704, 3222952959, 'JP', 'Japan'),
(96297, '192.26.92.0', '192.26.92.255', 3222952960, 3222953215, 'US', 'United States'),
(96298, '192.26.93.0', '192.26.94.255', 3222953216, 3222953727, 'JP', 'Japan'),
(96299, '192.26.95.0', '192.26.95.255', 3222953728, 3222953983, 'US', 'United States'),
(96300, '192.26.96.0', '192.26.96.255', 3222953984, 3222954239, 'JP', 'Japan'),
(96301, '192.26.97.0', '192.26.97.255', 3222954240, 3222954495, 'US', 'United States'),
(96302, '192.26.100.0', '192.26.103.255', 3222955008, 3222956031, 'US', 'United States'),
(96303, '192.26.104.0', '192.26.135.255', 3222956032, 3222964223, 'FI', 'Finland'),
(96304, '192.26.136.0', '192.26.136.255', 3222964224, 3222964479, 'US', 'United States'),
(96305, '192.26.144.0', '192.26.153.255', 3222966272, 3222968831, 'US', 'United States'),
(96306, '192.26.154.0', '192.26.173.255', 3222968832, 3222973951, 'NL', 'Netherlands'),
(96307, '192.26.174.0', '192.26.193.255', 3222973952, 3222979071, 'DE', 'Germany'),
(96308, '192.26.194.0', '192.26.209.255', 3222979072, 3222983167, 'US', 'United States'),
(96309, '192.26.210.0', '192.26.212.255', 3222983168, 3222983935, 'CA', 'Canada'),
(96310, '192.26.213.0', '192.26.214.255', 3222983936, 3222984447, 'US', 'United States'),
(96311, '192.26.216.0', '192.26.230.255', 3222984704, 3222988543, 'AU', 'Australia'),
(96312, '192.26.231.0', '192.26.231.255', 3222988544, 3222988799, 'PT', 'Portugal'),
(96313, '192.26.232.0', '192.26.232.255', 3222988800, 3222989055, 'AU', 'Australia'),
(96314, '192.26.233.0', '192.26.233.255', 3222989056, 3222989311, 'US', 'United States'),
(96315, '192.26.234.0', '192.26.234.255', 3222989312, 3222989567, 'GB', 'United Kingdom'),
(96316, '192.26.235.0', '192.26.235.255', 3222989568, 3222989823, 'CA', 'Canada'),
(96317, '192.26.236.0', '192.26.236.255', 3222989824, 3222990079, 'PT', 'Portugal'),
(96318, '192.26.237.0', '192.26.238.255', 3222990080, 3222990591, 'AT', 'Austria'),
(96319, '192.26.239.0', '192.26.239.255', 3222990592, 3222990847, 'PT', 'Portugal'),
(96320, '192.26.240.0', '192.28.64.255', 3222990848, 3223077119, 'US', 'United States'),
(96321, '192.28.65.0', '192.28.65.255', 3223077120, 3223077375, 'EU', 'Europe'),
(96322, '192.28.66.0', '192.29.255.255', 3223077376, 3223191551, 'US', 'United States'),
(96323, '192.30.32.0', '192.30.63.255', 3223199744, 3223207935, 'US', 'United States'),
(96324, '192.30.91.0', '192.30.91.255', 3223214848, 3223215103, 'US', 'United States'),
(96325, '192.30.92.0', '192.30.92.255', 3223215104, 3223215359, 'AU', 'Australia'),
(96326, '192.30.93.0', '192.30.94.255', 3223215360, 3223215871, 'US', 'United States'),
(96327, '192.30.96.0', '192.30.127.255', 3223216128, 3223224319, 'US', 'United States'),
(96328, '192.30.142.0', '192.30.142.255', 3223227904, 3223228159, 'CA', 'Canada'),
(96329, '192.30.147.0', '192.30.148.255', 3223229184, 3223229695, 'US', 'United States'),
(96330, '192.30.149.0', '192.30.149.255', 3223229696, 3223229951, 'CA', 'Canada'),
(96331, '192.30.191.0', '192.30.191.255', 3223240448, 3223240703, 'US', 'United States'),
(96332, '192.30.200.0', '192.30.200.255', 3223242752, 3223243007, 'US', 'United States'),
(96333, '192.30.202.0', '192.30.202.255', 3223243264, 3223243519, 'CA', 'Canada'),
(96334, '192.30.206.0', '192.30.209.255', 3223244288, 3223245311, 'US', 'United States'),
(96335, '192.30.226.0', '192.30.226.255', 3223249408, 3223249663, 'CA', 'Canada'),
(96336, '192.30.240.0', '192.31.5.255', 3223252992, 3223258623, 'US', 'United States'),
(96337, '192.31.6.0', '192.31.6.255', 3223258624, 3223258879, 'CA', 'Canada'),
(96338, '192.31.7.0', '192.31.13.255', 3223258880, 3223260671, 'US', 'United States'),
(96339, '192.31.14.0', '192.31.14.255', 3223260672, 3223260927, 'DE', 'Germany'),
(96340, '192.31.16.0', '192.31.22.255', 3223261184, 3223262975, 'US', 'United States'),
(96341, '192.31.23.0', '192.31.23.255', 3223262976, 3223263231, 'BE', 'Belgium'),
(96342, '192.31.24.0', '192.31.25.255', 3223263232, 3223263743, 'US', 'United States'),
(96343, '192.31.26.0', '192.31.26.255', 3223263744, 3223263999, 'GB', 'United Kingdom'),
(96344, '192.31.27.0', '192.31.27.255', 3223264000, 3223264255, 'FR', 'France'),
(96345, '192.31.28.0', '192.31.30.255', 3223264256, 3223265023, 'US', 'United States'),
(96346, '192.31.31.0', '192.31.31.255', 3223265024, 3223265279, 'GB', 'United Kingdom'),
(96347, '192.31.32.0', '192.31.36.255', 3223265280, 3223266559, 'US', 'United States'),
(96348, '192.31.37.0', '192.31.37.255', 3223266560, 3223266815, 'AU', 'Australia'),
(96349, '192.31.38.0', '192.31.39.255', 3223266816, 3223267327, 'US', 'United States'),
(96350, '192.31.40.0', '192.31.40.255', 3223267328, 3223267583, 'BE', 'Belgium'),
(96351, '192.31.41.0', '192.31.48.255', 3223267584, 3223269631, 'US', 'United States'),
(96352, '192.31.62.0', '192.31.62.255', 3223272960, 3223273215, 'GB', 'United Kingdom'),
(96353, '192.31.63.0', '192.31.101.255', 3223273216, 3223283199, 'US', 'United States'),
(96354, '192.31.102.0', '192.31.102.255', 3223283200, 3223283455, 'DE', 'Germany'),
(96355, '192.31.104.0', '192.31.115.255', 3223283712, 3223286783, 'US', 'United States'),
(96356, '192.31.116.0', '192.31.127.255', 3223286784, 3223289855, 'JP', 'Japan'),
(96357, '192.31.144.0', '192.31.164.255', 3223293952, 3223299327, 'US', 'United States'),
(96358, '192.31.166.0', '192.31.171.255', 3223299584, 3223301119, 'NL', 'Netherlands'),
(96359, '192.31.172.0', '192.31.179.255', 3223301120, 3223303167, 'US', 'United States'),
(96360, '192.31.180.0', '192.31.180.255', 3223303168, 3223303423, 'CA', 'Canada'),
(96361, '192.31.181.0', '192.31.181.255', 3223303424, 3223303679, 'US', 'United States'),
(96362, '192.31.191.0', '192.31.196.255', 3223305984, 3223307519, 'US', 'United States'),
(96363, '192.31.197.0', '192.31.206.255', 3223307520, 3223310079, 'JP', 'Japan'),
(96364, '192.31.207.0', '192.31.207.255', 3223310080, 3223310335, 'US', 'United States'),
(96365, '192.31.209.0', '192.31.210.255', 3223310592, 3223311103, 'US', 'United States'),
(96366, '192.31.211.0', '192.31.211.255', 3223311104, 3223311359, 'FR', 'France'),
(96367, '192.31.212.0', '192.31.223.255', 3223311360, 3223314431, 'US', 'United States'),
(96368, '192.31.224.0', '192.31.224.255', 3223314432, 3223314687, 'CA', 'Canada'),
(96369, '192.31.225.0', '192.31.227.255', 3223314688, 3223315455, 'US', 'United States'),
(96370, '192.31.229.0', '192.31.230.255', 3223315712, 3223316223, 'US', 'United States'),
(96371, '192.31.231.0', '192.31.231.255', 3223316224, 3223316479, 'NL', 'Netherlands'),
(96372, '192.31.232.0', '192.31.251.255', 3223316480, 3223321599, 'US', 'United States'),
(96373, '192.31.252.0', '192.31.252.255', 3223321600, 3223321855, 'FR', 'France'),
(96374, '192.31.253.0', '192.31.254.255', 3223321856, 3223322367, 'US', 'United States'),
(96375, '192.32.0.0', '192.33.9.255', 3223322624, 3223390719, 'US', 'United States'),
(96376, '192.33.10.0', '192.33.10.255', 3223390720, 3223390975, 'ZA', 'South Africa'),
(96377, '192.33.12.0', '192.33.14.255', 3223391232, 3223391999, 'US', 'United States'),
(96378, '192.33.15.0', '192.33.15.255', 3223392000, 3223392255, 'FR', 'France'),
(96379, '192.33.16.0', '192.33.16.255', 3223392256, 3223392511, 'GB', 'United Kingdom'),
(96380, '192.33.19.0', '192.33.23.255', 3223393024, 3223394303, 'US', 'United States'),
(96381, '192.33.32.0', '192.33.35.255', 3223396352, 3223397375, 'US', 'United States'),
(96382, '192.33.36.0', '192.33.36.255', 3223397376, 3223397631, 'NL', 'Netherlands'),
(96383, '192.33.37.0', '192.33.86.255', 3223397632, 3223410431, 'US', 'United States'),
(96384, '192.33.87.0', '192.33.111.255', 3223410432, 3223416831, 'CH', 'Switzerland'),
(96385, '192.33.112.0', '192.33.112.255', 3223416832, 3223417087, 'US', 'United States'),
(96386, '192.33.113.0', '192.33.114.255', 3223417088, 3223417599, 'FR', 'France'),
(96387, '192.33.115.0', '192.33.117.255', 3223417600, 3223418367, 'US', 'United States'),
(96388, '192.33.118.0', '192.33.127.255', 3223418368, 3223420927, 'CH', 'Switzerland'),
(96389, '192.33.128.0', '192.33.129.255', 3223420928, 3223421439, 'US', 'United States'),
(96390, '192.33.130.0', '192.33.130.255', 3223421440, 3223421695, 'GB', 'United Kingdom'),
(96391, '192.33.131.0', '192.33.131.255', 3223421696, 3223421951, 'NL', 'Netherlands'),
(96392, '192.33.134.0', '192.33.134.255', 3223422464, 3223422719, 'US', 'United States'),
(96393, '192.33.135.0', '192.33.135.255', 3223422720, 3223422975, 'JP', 'Japan'),
(96394, '192.33.136.0', '192.33.142.255', 3223422976, 3223424767, 'US', 'United States'),
(96395, '192.33.143.0', '192.33.182.255', 3223424768, 3223435007, 'FR', 'France'),
(96396, '192.33.183.0', '192.33.191.255', 3223435008, 3223437311, 'US', 'United States'),
(96397, '192.33.192.0', '192.33.231.255', 3223437312, 3223447551, 'CH', 'Switzerland'),
(96398, '192.33.232.0', '192.33.232.255', 3223447552, 3223447807, 'US', 'United States'),
(96399, '192.33.233.0', '192.33.233.255', 3223447808, 3223448063, 'NL', 'Netherlands'),
(96400, '192.33.234.0', '192.33.237.255', 3223448064, 3223449087, 'US', 'United States'),
(96401, '192.33.238.0', '192.33.239.255', 3223449088, 3223449599, 'EU', 'Europe'),
(96402, '192.33.240.0', '192.33.251.255', 3223449600, 3223452671, 'US', 'United States'),
(96403, '192.33.253.0', '192.33.253.255', 3223452928, 3223453183, 'US', 'United States'),
(96404, '192.33.254.0', '192.33.254.255', 3223453184, 3223453439, 'DE', 'Germany'),
(96405, '192.34.19.0', '192.34.19.255', 3223458560, 3223458815, 'GB', 'United Kingdom'),
(96406, '192.34.25.0', '192.34.25.255', 3223460096, 3223460351, 'US', 'United States'),
(96407, '192.34.35.0', '192.34.35.255', 3223462656, 3223462911, 'US', 'United States'),
(96408, '192.34.50.0', '192.34.50.255', 3223466496, 3223466751, 'GB', 'United Kingdom'),
(96409, '192.34.70.0', '192.34.70.255', 3223471616, 3223471871, 'CA', 'Canada'),
(96410, '192.34.71.0', '192.34.72.255', 3223471872, 3223472383, 'US', 'United States'),
(96411, '192.34.90.0', '192.34.90.255', 3223476736, 3223476991, 'US', 'United States'),
(96412, '192.34.107.0', '192.34.107.255', 3223481088, 3223481343, 'SE', 'Sweden'),
(96413, '192.34.116.0', '192.34.116.255', 3223483392, 3223483647, 'NL', 'Netherlands'),
(96414, '192.34.145.0', '192.34.145.255', 3223490816, 3223491071, 'US', 'United States'),
(96415, '192.34.169.0', '192.34.169.255', 3223496960, 3223497215, 'US', 'United States'),
(96416, '192.34.179.0', '192.34.179.255', 3223499520, 3223499775, 'FI', 'Finland'),
(96417, '192.34.180.0', '192.34.199.255', 3223499776, 3223504895, 'CA', 'Canada'),
(96418, '192.34.212.0', '192.34.215.255', 3223507968, 3223508991, 'US', 'United States'),
(96419, '192.34.224.0', '192.34.255.255', 3223511040, 3223519231, 'US', 'United States'),
(96420, '192.35.0.0', '192.35.16.255', 3223519232, 3223523583, 'DE', 'Germany'),
(96421, '192.35.17.0', '192.35.17.31', 3223523584, 3223523615, 'EU', 'Europe'),
(96422, '192.35.17.32', '192.35.19.255', 3223523616, 3223524351, 'DE', 'Germany'),
(96423, '192.35.20.0', '192.35.35.41', 3223524352, 3223528233, 'US', 'United States'),
(96424, '192.35.35.42', '192.35.35.42', 3223528234, 3223528234, 'GB', 'United Kingdom'),
(96425, '192.35.35.43', '192.35.58.255', 3223528235, 3223534335, 'US', 'United States'),
(96426, '192.35.59.0', '192.35.59.255', 3223534336, 3223534591, 'AU', 'Australia'),
(96427, '192.35.60.0', '192.35.60.255', 3223534592, 3223534847, 'US', 'United States'),
(96428, '192.35.62.0', '192.35.62.255', 3223535104, 3223535359, 'US', 'United States'),
(96429, '192.35.63.0', '192.35.72.255', 3223535360, 3223537919, 'DE', 'Germany'),
(96430, '192.35.73.0', '192.35.89.255', 3223537920, 3223542271, 'US', 'United States'),
(96431, '192.35.90.0', '192.35.90.255', 3223542272, 3223542527, 'DE', 'Germany'),
(96432, '192.35.91.0', '192.35.93.255', 3223542528, 3223543295, 'US', 'United States'),
(96433, '192.35.94.0', '192.35.94.255', 3223543296, 3223543551, 'GB', 'United Kingdom'),
(96434, '192.35.95.0', '192.35.107.255', 3223543552, 3223546879, 'US', 'United States'),
(96435, '192.35.108.0', '192.35.108.255', 3223546880, 3223547135, 'GB', 'United Kingdom'),
(96436, '192.35.109.0', '192.35.129.255', 3223547136, 3223552511, 'US', 'United States'),
(96437, '192.35.130.0', '192.35.133.255', 3223552512, 3223553535, 'NL', 'Netherlands'),
(96438, '192.35.134.0', '192.35.137.255', 3223553536, 3223554559, 'US', 'United States'),
(96439, '192.35.138.0', '192.35.138.255', 3223554560, 3223554815, 'GB', 'United Kingdom'),
(96440, '192.35.140.0', '192.35.143.255', 3223555072, 3223556095, 'US', 'United States'),
(96441, '192.35.144.0', '192.35.144.255', 3223556096, 3223556351, 'CA', 'Canada'),
(96442, '192.35.145.0', '192.35.145.255', 3223556352, 3223556607, 'US', 'United States'),
(96443, '192.35.146.0', '192.35.146.255', 3223556608, 3223556863, 'IT', 'Italy'),
(96444, '192.35.147.0', '192.35.148.255', 3223556864, 3223557375, 'US', 'United States'),
(96445, '192.35.149.0', '192.35.153.255', 3223557376, 3223558655, 'DE', 'Germany'),
(96446, '192.35.154.0', '192.35.171.255', 3223558656, 3223563263, 'US', 'United States'),
(96447, '192.35.172.0', '192.35.172.255', 3223563264, 3223563519, 'GB', 'United Kingdom'),
(96448, '192.35.173.0', '192.35.180.255', 3223563520, 3223565567, 'US', 'United States'),
(96449, '192.35.182.0', '192.35.182.255', 3223565824, 3223566079, 'US', 'United States'),
(96450, '192.35.183.0', '192.35.192.255', 3223566080, 3223568639, 'NL', 'Netherlands'),
(96451, '192.35.193.0', '192.35.196.255', 3223568640, 3223569663, 'US', 'United States'),
(96452, '192.35.197.0', '192.35.198.255', 3223569664, 3223570175, 'GB', 'United Kingdom'),
(96453, '192.35.204.0', '192.35.204.255', 3223571456, 3223571711, 'US', 'United States'),
(96454, '192.35.205.0', '192.35.206.255', 3223571712, 3223572223, 'GB', 'United Kingdom'),
(96455, '192.35.207.0', '192.35.207.255', 3223572224, 3223572479, 'IE', 'Ireland'),
(96456, '192.35.208.0', '192.35.228.255', 3223572480, 3223577855, 'US', 'United States'),
(96457, '192.35.229.0', '192.35.229.255', 3223577856, 3223578111, 'DE', 'Germany'),
(96458, '192.35.230.0', '192.35.239.255', 3223578112, 3223580671, 'US', 'United States'),
(96459, '192.35.240.0', '192.35.244.255', 3223580672, 3223581951, 'AT', 'Austria'),
(96460, '192.35.245.0', '192.35.245.255', 3223581952, 3223582207, 'US', 'United States'),
(96461, '192.35.246.0', '192.35.246.255', 3223582208, 3223582463, 'PT', 'Portugal'),
(96462, '192.35.247.0', '192.35.247.255', 3223582464, 3223582719, 'NL', 'Netherlands'),
(96463, '192.35.248.0', '192.35.248.255', 3223582720, 3223582975, 'AU', 'Australia'),
(96464, '192.35.251.0', '192.35.255.255', 3223583488, 3223584767, 'US', 'United States'),
(96465, '192.36.0.0', '192.36.0.255', 3223584768, 3223585023, 'GB', 'United Kingdom'),
(96466, '192.36.1.0', '192.36.3.255', 3223585024, 3223585791, 'SE', 'Sweden'),
(96467, '192.36.4.0', '192.36.4.255', 3223585792, 3223586047, 'GB', 'United Kingdom'),
(96468, '192.36.5.0', '192.36.5.255', 3223586048, 3223586303, 'SE', 'Sweden'),
(96469, '192.36.6.0', '192.36.6.255', 3223586304, 3223586559, 'GB', 'United Kingdom'),
(96470, '192.36.7.0', '192.36.16.255', 3223586560, 3223589119, 'SE', 'Sweden'),
(96471, '192.36.17.0', '192.36.17.255', 3223589120, 3223589375, 'US', 'United States'),
(96472, '192.36.18.0', '192.36.65.255', 3223589376, 3223601663, 'SE', 'Sweden'),
(96473, '192.36.66.0', '192.36.67.255', 3223601664, 3223602175, 'GB', 'United Kingdom'),
(96474, '192.36.68.0', '192.36.84.255', 3223602176, 3223606527, 'SE', 'Sweden'),
(96475, '192.36.85.0', '192.36.85.255', 3223606528, 3223606783, 'GB', 'United Kingdom'),
(96476, '192.36.86.0', '192.36.88.255', 3223606784, 3223607551, 'SE', 'Sweden'),
(96477, '192.36.89.0', '192.36.89.255', 3223607552, 3223607807, 'GB', 'United Kingdom'),
(96478, '192.36.90.0', '192.36.99.255', 3223607808, 3223610367, 'SE', 'Sweden'),
(96479, '192.36.100.0', '192.36.100.255', 3223610368, 3223610623, 'IT', 'Italy'),
(96480, '192.36.101.0', '192.36.101.255', 3223610624, 3223610879, 'SE', 'Sweden'),
(96481, '192.36.102.0', '192.36.102.255', 3223610880, 3223611135, 'NO', 'Norway'),
(96482, '192.36.103.0', '192.36.104.255', 3223611136, 3223611647, 'SE', 'Sweden'),
(96483, '192.36.105.0', '192.36.105.255', 3223611648, 3223611903, 'GB', 'United Kingdom'),
(96484, '192.36.106.0', '192.36.120.255', 3223611904, 3223615743, 'SE', 'Sweden'),
(96485, '192.36.121.0', '192.36.124.255', 3223615744, 3223616767, 'GB', 'United Kingdom'),
(96486, '192.36.125.0', '192.36.127.255', 3223616768, 3223617535, 'SE', 'Sweden'),
(96487, '192.36.128.0', '192.36.128.255', 3223617536, 3223617791, 'NO', 'Norway'),
(96488, '192.36.129.0', '192.36.140.255', 3223617792, 3223620863, 'SE', 'Sweden'),
(96489, '192.36.141.0', '192.36.141.255', 3223620864, 3223621119, 'DK', 'Denmark'),
(96490, '192.36.142.0', '192.36.142.255', 3223621120, 3223621375, 'GB', 'United Kingdom'),
(96491, '192.36.143.0', '192.36.167.255', 3223621376, 3223627775, 'SE', 'Sweden'),
(96492, '192.36.168.0', '192.36.168.255', 3223627776, 3223628031, 'DE', 'Germany'),
(96493, '192.36.169.0', '192.36.169.255', 3223628032, 3223628287, 'SE', 'Sweden'),
(96494, '192.36.170.0', '192.36.170.255', 3223628288, 3223628543, 'ES', 'Spain'),
(96495, '192.36.171.0', '192.36.178.255', 3223628544, 3223630591, 'SE', 'Sweden'),
(96496, '192.36.179.0', '192.36.179.255', 3223630592, 3223630847, 'GB', 'United Kingdom'),
(96497, '192.36.180.0', '192.36.193.255', 3223630848, 3223634431, 'SE', 'Sweden'),
(96498, '192.36.194.0', '192.36.194.255', 3223634432, 3223634687, 'US', 'United States'),
(96499, '192.36.195.0', '192.36.195.255', 3223634688, 3223634943, 'SE', 'Sweden'),
(96500, '192.36.196.0', '192.36.197.255', 3223634944, 3223635455, 'GB', 'United Kingdom'),
(96501, '192.36.198.0', '192.36.204.255', 3223635456, 3223637247, 'SE', 'Sweden'),
(96502, '192.36.205.0', '192.36.205.255', 3223637248, 3223637503, 'GB', 'United Kingdom'),
(96503, '192.36.206.0', '192.36.208.255', 3223637504, 3223638271, 'SE', 'Sweden'),
(96504, '192.36.209.0', '192.36.209.255', 3223638272, 3223638527, 'GB', 'United Kingdom'),
(96505, '192.36.210.0', '192.36.218.255', 3223638528, 3223640831, 'SE', 'Sweden'),
(96506, '192.36.219.0', '192.36.219.255', 3223640832, 3223641087, 'GB', 'United Kingdom'),
(96507, '192.36.220.0', '192.36.239.255', 3223641088, 3223646207, 'SE', 'Sweden'),
(96508, '192.36.240.0', '192.36.240.255', 3223646208, 3223646463, 'IT', 'Italy'),
(96509, '192.36.241.0', '192.36.242.255', 3223646464, 3223646975, 'SE', 'Sweden'),
(96510, '192.36.243.0', '192.36.243.255', 3223646976, 3223647231, 'IT', 'Italy'),
(96511, '192.36.244.0', '192.36.248.255', 3223647232, 3223648511, 'SE', 'Sweden'),
(96512, '192.36.249.0', '192.36.249.255', 3223648512, 3223648767, 'GB', 'United Kingdom'),
(96513, '192.36.250.0', '192.36.254.255', 3223648768, 3223650047, 'SE', 'Sweden'),
(96514, '192.36.255.0', '192.36.255.255', 3223650048, 3223650303, 'GB', 'United Kingdom'),
(96515, '192.37.0.0', '192.37.255.255', 3223650304, 3223715839, 'CH', 'Switzerland'),
(96516, '192.38.0.0', '192.38.255.255', 3223715840, 3223781375, 'DK', 'Denmark'),
(96517, '192.39.0.0', '192.39.165.255', 3223781376, 3223823871, 'US', 'United States'),
(96518, '192.39.166.0', '192.39.166.255', 3223823872, 3223824127, 'AT', 'Austria'),
(96519, '192.39.167.0', '192.40.63.255', 3223824128, 3223863295, 'US', 'United States'),
(96520, '192.40.65.0', '192.40.65.255', 3223863552, 3223863807, 'US', 'United States'),
(96521, '192.40.69.0', '192.40.69.255', 3223864576, 3223864831, 'AE', 'United Arab Emirates'),
(96522, '192.40.70.0', '192.40.71.255', 3223864832, 3223865343, 'HR', 'Croatia'),
(96523, '192.40.72.0', '192.40.79.255', 3223865344, 3223867391, 'FI', 'Finland'),
(96524, '192.40.80.0', '192.40.80.255', 3223867392, 3223867647, 'GB', 'United Kingdom'),
(96525, '192.40.96.0', '192.40.159.255', 3223871488, 3223887871, 'US', 'United States'),
(96526, '192.40.201.0', '192.40.201.255', 3223898368, 3223898623, 'US', 'United States'),
(96527, '192.40.217.0', '192.40.217.255', 3223902464, 3223902719, 'CA', 'Canada'),
(96528, '192.40.228.0', '192.40.228.255', 3223905280, 3223905535, 'FI', 'Finland'),
(96529, '192.40.244.0', '192.40.249.255', 3223909376, 3223910911, 'US', 'United States'),
(96530, '192.40.254.0', '192.40.254.255', 3223911936, 3223912191, 'CA', 'Canada'),
(96531, '192.41.0.0', '192.41.101.255', 3223912448, 3223938559, 'US', 'United States'),
(96532, '192.41.103.0', '192.41.131.255', 3223938816, 3223946239, 'GB', 'United Kingdom'),
(96533, '192.41.132.0', '192.41.136.255', 3223946240, 3223947519, 'CH', 'Switzerland'),
(96534, '192.41.137.0', '192.41.137.255', 3223947520, 3223947775, 'US', 'United States'),
(96535, '192.41.140.0', '192.41.140.255', 3223948288, 3223948543, 'NL', 'Netherlands'),
(96536, '192.41.141.0', '192.41.145.255', 3223948544, 3223949823, 'CH', 'Switzerland'),
(96537, '192.41.146.0', '192.41.146.255', 3223949824, 3223950079, 'AU', 'Australia'),
(96538, '192.41.147.0', '192.41.147.255', 3223950080, 3223950335, 'DE', 'Germany'),
(96539, '192.41.148.0', '192.41.148.255', 3223950336, 3223950591, 'CA', 'Canada'),
(96540, '192.41.149.0', '192.41.160.255', 3223950592, 3223953663, 'CH', 'Switzerland'),
(96541, '192.41.161.0', '192.41.169.255', 3223953664, 3223955967, 'US', 'United States'),
(96542, '192.41.170.0', '192.41.170.255', 3223955968, 3223956223, 'TH', 'Thailand'),
(96543, '192.41.171.0', '192.41.176.255', 3223956224, 3223957759, 'US', 'United States'),
(96544, '192.41.178.0', '192.41.197.255', 3223958016, 3223963135, 'JP', 'Japan'),
(96545, '192.41.198.0', '192.41.199.255', 3223963136, 3223963647, 'US', 'United States'),
(96546, '192.41.201.0', '192.41.201.255', 3223963904, 3223964159, 'CA', 'Canada'),
(96547, '192.41.202.0', '192.41.202.255', 3223964160, 3223964415, 'US', 'United States'),
(96548, '192.41.203.0', '192.41.203.255', 3223964416, 3223964671, 'AU', 'Australia'),
(96549, '192.41.204.0', '192.41.205.255', 3223964672, 3223965183, 'US', 'United States'),
(96550, '192.41.206.0', '192.41.206.255', 3223965184, 3223965439, 'ID', 'Indonesia'),
(96551, '192.41.207.0', '192.41.209.255', 3223965440, 3223966207, 'US', 'United States'),
(96552, '192.41.210.0', '192.41.210.255', 3223966208, 3223966463, 'GB', 'United Kingdom'),
(96553, '192.41.211.0', '192.41.215.255', 3223966464, 3223967743, 'US', 'United States'),
(96554, '192.41.216.0', '192.41.216.255', 3223967744, 3223967999, 'FR', 'France'),
(96555, '192.41.217.0', '192.41.217.255', 3223968000, 3223968255, 'US', 'United States'),
(96556, '192.41.218.0', '192.41.218.255', 3223968256, 3223968511, 'IT', 'Italy'),
(96557, '192.41.219.0', '192.41.225.255', 3223968512, 3223970303, 'US', 'United States'),
(96558, '192.41.227.0', '192.41.227.255', 3223970560, 3223970815, 'DE', 'Germany'),
(96559, '192.41.228.0', '192.41.255.255', 3223970816, 3223977983, 'US', 'United States'),
(96560, '192.42.1.0', '192.42.1.255', 3223978240, 3223978495, 'DE', 'Germany'),
(96561, '192.42.3.0', '192.42.4.255', 3223978752, 3223979263, 'US', 'United States'),
(96562, '192.42.5.0', '192.42.6.255', 3223979264, 3223979775, 'CA', 'Canada'),
(96563, '192.42.7.0', '192.42.41.255', 3223979776, 3223988735, 'US', 'United States'),
(96564, '192.42.42.0', '192.42.47.255', 3223988736, 3223990271, 'CH', 'Switzerland'),
(96565, '192.42.48.0', '192.42.51.255', 3223990272, 3223991295, 'US', 'United States'),
(96566, '192.42.53.0', '192.42.53.255', 3223991552, 3223991807, 'GB', 'United Kingdom'),
(96567, '192.42.54.0', '192.42.54.255', 3223991808, 3223992063, 'CA', 'Canada'),
(96568, '192.42.55.0', '192.42.59.255', 3223992064, 3223993343, 'US', 'United States'),
(96569, '192.42.60.0', '192.42.62.255', 3223993344, 3223994111, 'AU', 'Australia'),
(96570, '192.42.63.0', '192.42.64.255', 3223994112, 3223994623, 'DE', 'Germany'),
(96571, '192.42.65.0', '192.42.65.255', 3223994624, 3223994879, 'NO', 'Norway'),
(96572, '192.42.66.0', '192.42.67.255', 3223994880, 3223995391, 'US', 'United States'),
(96573, '192.42.68.0', '192.42.68.255', 3223995392, 3223995647, 'CA', 'Canada'),
(96574, '192.42.69.0', '192.42.70.255', 3223995648, 3223996159, 'US', 'United States'),
(96575, '192.42.72.0', '192.42.83.255', 3223996416, 3223999487, 'US', 'United States'),
(96576, '192.42.87.0', '192.42.87.255', 3224000256, 3224000511, 'GB', 'United Kingdom'),
(96577, '192.42.88.0', '192.42.89.255', 3224000512, 3224001023, 'US', 'United States'),
(96578, '192.42.90.0', '192.42.90.255', 3224001024, 3224001279, 'CA', 'Canada'),
(96579, '192.42.91.0', '192.42.95.255', 3224001280, 3224002559, 'US', 'United States'),
(96580, '192.42.97.0', '192.42.98.255', 3224002816, 3224003327, 'US', 'United States'),
(96581, '192.42.99.0', '192.42.99.255', 3224003328, 3224003583, 'ZA', 'South Africa'),
(96582, '192.42.100.0', '192.42.100.255', 3224003584, 3224003839, 'GB', 'United Kingdom'),
(96583, '192.42.101.0', '192.42.101.255', 3224003840, 3224004095, 'US', 'United States'),
(96584, '192.42.102.0', '192.42.102.255', 3224004096, 3224004351, 'FR', 'France'),
(96585, '192.42.103.0', '192.42.107.255', 3224004352, 3224005631, 'JP', 'Japan'),
(96586, '192.42.108.0', '192.42.111.255', 3224005632, 3224006655, 'US', 'United States'),
(96587, '192.42.112.0', '192.42.132.255', 3224006656, 3224012031, 'NL', 'Netherlands'),
(96588, '192.42.133.0', '192.42.142.255', 3224012032, 3224014591, 'US', 'United States'),
(96589, '192.42.143.0', '192.42.143.255', 3224014592, 3224014847, 'DE', 'Germany'),
(96590, '192.42.144.0', '192.42.150.255', 3224014848, 3224016639, 'US', 'United States'),
(96591, '192.42.151.0', '192.42.151.255', 3224016640, 3224016895, 'AU', 'Australia'),
(96592, '192.42.152.0', '192.42.175.255', 3224016896, 3224023039, 'US', 'United States'),
(96593, '192.42.179.0', '192.42.179.255', 3224023808, 3224024063, 'US', 'United States'),
(96594, '192.42.180.0', '192.42.201.255', 3224024064, 3224029695, 'CH', 'Switzerland'),
(96595, '192.42.202.0', '192.42.204.255', 3224029696, 3224030463, 'CA', 'Canada'),
(96596, '192.42.206.0', '192.42.206.255', 3224030720, 3224030975, 'CA', 'Canada'),
(96597, '192.42.207.0', '192.42.236.255', 3224030976, 3224038655, 'US', 'United States'),
(96598, '192.42.237.0', '192.42.237.255', 3224038656, 3224038911, 'JP', 'Japan'),
(96599, '192.42.238.0', '192.42.252.255', 3224038912, 3224042751, 'US', 'United States'),
(96600, '192.42.253.0', '192.42.253.255', 3224042752, 3224043007, 'DE', 'Germany'),
(96601, '192.42.254.0', '192.42.254.255', 3224043008, 3224043263, 'US', 'United States'),
(96602, '192.43.0.0', '192.43.161.255', 3224043520, 3224084991, 'US', 'United States'),
(96603, '192.43.162.0', '192.43.171.255', 3224084992, 3224087551, 'SE', 'Sweden'),
(96604, '192.43.172.0', '192.43.184.255', 3224087552, 3224090879, 'US', 'United States'),
(96605, '192.43.185.0', '192.43.185.255', 3224090880, 3224091135, 'AU', 'Australia'),
(96606, '192.43.188.0', '192.43.191.255', 3224091648, 3224092671, 'US', 'United States'),
(96607, '192.43.192.0', '192.43.196.255', 3224092672, 3224093951, 'CH', 'Switzerland'),
(96608, '192.43.197.0', '192.43.197.255', 3224093952, 3224094207, 'US', 'United States'),
(96609, '192.43.198.0', '192.43.198.255', 3224094208, 3224094463, 'AU', 'Australia'),
(96610, '192.43.199.0', '192.43.205.255', 3224094464, 3224096255, 'US', 'United States'),
(96611, '192.43.207.0', '192.43.209.255', 3224096512, 3224097279, 'AU', 'Australia'),
(96612, '192.43.210.0', '192.43.210.255', 3224097280, 3224097535, 'NL', 'Netherlands'),
(96613, '192.43.211.0', '192.43.211.255', 3224097536, 3224097791, 'US', 'United States'),
(96614, '192.43.212.0', '192.43.212.255', 3224097792, 3224098047, 'NL', 'Netherlands'),
(96615, '192.43.213.0', '192.43.214.255', 3224098048, 3224098559, 'US', 'United States'),
(96616, '192.43.216.0', '192.43.218.255', 3224098816, 3224099583, 'US', 'United States'),
(96617, '192.43.219.0', '192.43.219.255', 3224099584, 3224099839, 'CA', 'Canada'),
(96618, '192.43.220.0', '192.43.223.255', 3224099840, 3224100863, 'US', 'United States'),
(96619, '192.43.225.0', '192.43.225.255', 3224101120, 3224101375, 'US', 'United States'),
(96620, '192.43.226.0', '192.43.229.255', 3224101376, 3224102399, 'AU', 'Australia'),
(96621, '192.43.234.0', '192.43.234.255', 3224103424, 3224103679, 'GB', 'United Kingdom'),
(96622, '192.43.235.0', '192.43.237.255', 3224103680, 3224104447, 'US', 'United States'),
(96623, '192.43.239.0', '192.43.239.255', 3224104704, 3224104959, 'AU', 'Australia'),
(96624, '192.43.240.0', '192.43.255.255', 3224104960, 3224109055, 'US', 'United States'),
(96625, '192.44.0.0', '192.44.40.255', 3224109056, 3224119551, 'DE', 'Germany'),
(96626, '192.44.41.0', '192.44.80.255', 3224119552, 3224129791, 'FR', 'France'),
(96627, '192.44.81.0', '192.44.90.255', 3224129792, 3224132351, 'DE', 'Germany'),
(96628, '192.44.91.0', '192.44.239.255', 3224132352, 3224170495, 'US', 'United States'),
(96629, '192.44.240.0', '192.44.251.255', 3224170496, 3224173567, 'SE', 'Sweden'),
(96630, '192.44.252.0', '192.46.69.255', 3224173568, 3224258047, 'US', 'United States'),
(96631, '192.46.70.0', '192.46.70.255', 3224258048, 3224258303, 'FI', 'Finland'),
(96632, '192.46.71.0', '192.46.71.255', 3224258304, 3224258559, 'BE', 'Belgium'),
(96633, '192.46.72.0', '192.46.187.255', 3224258560, 3224288255, 'US', 'United States'),
(96634, '192.46.188.0', '192.46.190.255', 3224288256, 3224289023, 'DE', 'Germany'),
(96635, '192.46.191.0', '192.46.242.255', 3224289024, 3224302335, 'US', 'United States'),
(96636, '192.46.243.0', '192.46.243.255', 3224302336, 3224302591, 'CA', 'Canada'),
(96637, '192.46.244.0', '192.46.255.255', 3224302592, 3224305663, 'US', 'United States'),
(96638, '192.47.0.0', '192.47.241.255', 3224305664, 3224367615, 'JP', 'Japan'),
(96639, '192.47.242.0', '192.47.243.255', 3224367616, 3224368127, 'US', 'United States'),
(96640, '192.47.244.0', '192.47.249.255', 3224368128, 3224369663, 'CH', 'Switzerland'),
(96641, '192.47.250.0', '192.48.7.255', 3224369664, 3224373247, 'US', 'United States'),
(96642, '192.48.8.0', '192.48.8.0', 3224373248, 3224373248, 'AU', 'Australia'),
(96643, '192.48.8.1', '192.48.30.255', 3224373249, 3224379135, 'US', 'United States'),
(96644, '192.48.31.0', '192.48.31.255', 3224379136, 3224379391, 'DE', 'Germany'),
(96645, '192.48.32.0', '192.48.104.255', 3224379392, 3224398079, 'US', 'United States'),
(96646, '192.48.106.0', '192.48.106.255', 3224398336, 3224398591, 'US', 'United States'),
(96647, '192.48.107.0', '192.48.107.255', 3224398592, 3224398847, 'DE', 'Germany'),
(96648, '192.48.108.0', '192.48.108.255', 3224398848, 3224399103, 'US', 'United States'),
(96649, '192.48.109.0', '192.48.110.255', 3224399104, 3224399615, 'AU', 'Australia'),
(96650, '192.48.111.0', '192.48.139.255', 3224399616, 3224407039, 'US', 'United States'),
(96651, '192.48.141.0', '192.48.141.255', 3224407296, 3224407551, 'CA', 'Canada'),
(96652, '192.48.143.0', '192.48.144.255', 3224407808, 3224408319, 'US', 'United States'),
(96653, '192.48.145.0', '192.48.145.255', 3224408320, 3224408575, 'DE', 'Germany'),
(96654, '192.48.146.0', '192.48.223.255', 3224408576, 3224428543, 'US', 'United States'),
(96655, '192.48.224.0', '192.48.224.255', 3224428544, 3224428799, 'DE', 'Germany'),
(96656, '192.48.225.0', '192.48.229.255', 3224428800, 3224430079, 'US', 'United States'),
(96657, '192.48.231.0', '192.48.231.255', 3224430336, 3224430591, 'DE', 'Germany'),
(96658, '192.48.232.0', '192.48.232.255', 3224430592, 3224430847, 'US', 'United States'),
(96659, '192.48.234.0', '192.48.234.255', 3224431104, 3224431359, 'CA', 'Canada'),
(96660, '192.48.235.0', '192.48.235.255', 3224431360, 3224431615, 'US', 'United States'),
(96661, '192.48.238.0', '192.48.238.255', 3224432128, 3224432383, 'US', 'United States'),
(96662, '192.48.240.0', '192.48.252.255', 3224432640, 3224435967, 'US', 'United States'),
(96663, '192.48.253.0', '192.48.253.255', 3224435968, 3224436223, 'ZA', 'South Africa'),
(96664, '192.48.254.0', '192.48.254.255', 3224436224, 3224436479, 'US', 'United States'),
(96665, '192.49.0.0', '192.49.255.255', 3224436736, 3224502271, 'FI', 'Finland'),
(96666, '192.50.0.0', '192.50.255.255', 3224502272, 3224567807, 'JP', 'Japan'),
(96667, '192.51.0.0', '192.51.15.255', 3224567808, 3224571903, 'NO', 'Norway'),
(96668, '192.51.16.0', '192.51.255.255', 3224571904, 3224633343, 'JP', 'Japan'),
(96669, '192.52.0.0', '192.52.50.255', 3224633344, 3224646399, 'DE', 'Germany'),
(96670, '192.52.51.0', '192.52.71.255', 3224646400, 3224651775, 'US', 'United States'),
(96671, '192.52.72.0', '192.52.73.255', 3224651776, 3224652287, 'AU', 'Australia'),
(96672, '192.52.76.0', '192.52.107.255', 3224652800, 3224660991, 'US', 'United States'),
(96673, '192.52.108.0', '192.52.108.255', 3224660992, 3224661247, 'CA', 'Canada'),
(96674, '192.52.110.0', '192.52.119.255', 3224661504, 3224664063, 'US', 'United States'),
(96675, '192.52.151.0', '192.52.151.255', 3224672000, 3224672255, 'US', 'United States'),
(96676, '192.52.152.0', '192.52.152.255', 3224672256, 3224672511, 'NL', 'Netherlands'),
(96677, '192.52.153.0', '192.52.157.255', 3224672512, 3224673791, 'US', 'United States'),
(96678, '192.52.159.0', '192.52.160.255', 3224674048, 3224674559, 'DE', 'Germany'),
(96679, '192.52.161.0', '192.52.161.255', 3224674560, 3224674815, 'GB', 'United Kingdom'),
(96680, '192.52.163.0', '192.52.165.255', 3224675072, 3224675839, 'US', 'United States'),
(96681, '192.52.170.0', '192.52.170.255', 3224676864, 3224677119, 'US', 'United States'),
(96682, '192.52.171.0', '192.52.176.255', 3224677120, 3224678655, 'AU', 'Australia'),
(96683, '192.52.177.0', '192.52.187.255', 3224678656, 3224681471, 'US', 'United States'),
(96684, '192.52.192.0', '192.52.220.255', 3224682496, 3224689919, 'US', 'United States'),
(96685, '192.52.221.0', '192.52.223.255', 3224689920, 3224690687, 'NL', 'Netherlands'),
(96686, '192.52.224.0', '192.52.231.255', 3224690688, 3224692735, 'US', 'United States'),
(96687, '192.52.232.0', '192.52.232.255', 3224692736, 3224692991, 'DZ', 'Algeria'),
(96688, '192.52.233.0', '192.52.238.255', 3224692992, 3224694527, 'US', 'United States'),
(96689, '192.52.239.0', '192.52.239.255', 3224694528, 3224694783, 'CA', 'Canada'),
(96690, '192.52.240.0', '192.52.249.255', 3224694784, 3224697343, 'US', 'United States'),
(96691, '192.52.252.0', '192.52.252.255', 3224697856, 3224698111, 'US', 'United States'),
(96692, '192.52.253.0', '192.52.253.255', 3224698112, 3224698367, 'GB', 'United Kingdom'),
(96693, '192.52.254.0', '192.52.254.255', 3224698368, 3224698623, 'FR', 'France'),
(96694, '192.53.0.0', '192.53.0.255', 3224698880, 3224699135, 'US', 'United States'),
(96695, '192.53.1.0', '192.53.2.255', 3224699136, 3224699647, 'BE', 'Belgium'),
(96696, '192.53.3.0', '192.53.102.255', 3224699648, 3224725247, 'US', 'United States'),
(96697, '192.53.103.0', '192.53.103.255', 3224725248, 3224725503, 'DE', 'Germany'),
(96698, '192.53.104.0', '192.53.104.255', 3224725504, 3224725759, 'CH', 'Switzerland'),
(96699, '192.53.105.0', '192.53.156.255', 3224725760, 3224739071, 'US', 'United States'),
(96700, '192.53.157.0', '192.53.157.255', 3224739072, 3224739327, 'FI', 'Finland'),
(96701, '192.53.158.0', '192.54.30.255', 3224739328, 3224772351, 'US', 'United States'),
(96702, '192.54.31.0', '192.54.80.255', 3224772352, 3224785151, 'DE', 'Germany'),
(96703, '192.54.81.0', '192.54.103.255', 3224785152, 3224791039, 'US', 'United States'),
(96704, '192.54.104.0', '192.54.104.255', 3224791040, 3224791295, 'DE', 'Germany'),
(96705, '192.54.105.0', '192.54.106.255', 3224791296, 3224791807, 'AU', 'Australia'),
(96706, '192.54.107.0', '192.54.112.255', 3224791808, 3224793343, 'US', 'United States'),
(96707, '192.54.113.0', '192.54.113.255', 3224793344, 3224793599, 'DE', 'Germany'),
(96708, '192.54.114.0', '192.54.114.255', 3224793600, 3224793855, 'US', 'United States'),
(96709, '192.54.115.0', '192.54.120.255', 3224793856, 3224795391, 'DK', 'Denmark'),
(96710, '192.54.121.0', '192.54.121.255', 3224795392, 3224795647, 'CA', 'Canada'),
(96711, '192.54.122.0', '192.54.122.255', 3224795648, 3224795903, 'CH', 'Switzerland'),
(96712, '192.54.124.0', '192.54.124.255', 3224796160, 3224796415, 'US', 'United States'),
(96713, '192.54.125.0', '192.54.128.255', 3224796416, 3224797439, 'DE', 'Germany'),
(96714, '192.54.129.0', '192.54.129.255', 3224797440, 3224797695, 'US', 'United States'),
(96715, '192.54.130.0', '192.54.130.255', 3224797696, 3224797951, 'NZ', 'New Zealand'),
(96716, '192.54.131.0', '192.54.131.255', 3224797952, 3224798207, 'US', 'United States'),
(96717, '192.54.132.0', '192.54.132.255', 3224798208, 3224798463, 'CH', 'Switzerland'),
(96718, '192.54.133.0', '192.54.134.255', 3224798464, 3224798975, 'US', 'United States'),
(96719, '192.54.135.0', '192.54.135.255', 3224798976, 3224799231, 'AU', 'Australia'),
(96720, '192.54.138.0', '192.54.138.255', 3224799744, 3224799999, 'US', 'United States'),
(96721, '192.54.139.0', '192.54.139.255', 3224800000, 3224800255, 'DE', 'Germany'),
(96722, '192.54.140.0', '192.54.203.255', 3224800256, 3224816639, 'FR', 'France'),
(96723, '192.54.204.0', '192.54.204.255', 3224816640, 3224816895, 'IL', 'Israel'),
(96724, '192.54.205.0', '192.54.219.255', 3224816896, 3224820735, 'FR', 'France'),
(96725, '192.54.220.0', '192.54.220.255', 3224820736, 3224820991, 'PL', 'Poland'),
(96726, '192.54.221.0', '192.54.221.255', 3224820992, 3224821247, 'DE', 'Germany'),
(96727, '192.54.222.0', '192.54.224.255', 3224821248, 3224822015, 'US', 'United States'),
(96728, '192.54.225.0', '192.54.225.255', 3224822016, 3224822271, 'SE', 'Sweden'),
(96729, '192.54.226.0', '192.54.226.255', 3224822272, 3224822527, 'US', 'United States'),
(96730, '192.54.228.0', '192.54.241.255', 3224822784, 3224826367, 'US', 'United States'),
(96731, '192.54.242.0', '192.54.242.163', 3224826368, 3224826531, 'CA', 'Canada'),
(96732, '192.54.242.164', '192.54.242.167', 3224826532, 3224826535, 'A1', 'Anonymous Proxy'),
(96733, '192.54.242.168', '192.54.242.255', 3224826536, 3224826623, 'CA', 'Canada'),
(96734, '192.54.243.0', '192.54.243.255', 3224826624, 3224826879, 'US', 'United States'),
(96735, '192.54.244.0', '192.54.244.255', 3224826880, 3224827135, 'CH', 'Switzerland'),
(96736, '192.54.245.0', '192.54.245.255', 3224827136, 3224827391, 'GB', 'United Kingdom'),
(96737, '192.54.246.0', '192.54.246.255', 3224827392, 3224827647, 'US', 'United States'),
(96738, '192.54.248.0', '192.54.250.255', 3224827904, 3224828671, 'US', 'United States'),
(96739, '192.54.251.0', '192.54.251.255', 3224828672, 3224828927, 'AU', 'Australia'),
(96740, '192.54.253.0', '192.54.253.255', 3224829184, 3224829439, 'US', 'United States'),
(96741, '192.54.254.0', '192.54.254.255', 3224829440, 3224829695, 'DE', 'Germany'),
(96742, '192.55.0.0', '192.55.15.255', 3224829952, 3224834047, 'US', 'United States'),
(96743, '192.55.16.0', '192.55.16.255', 3224834048, 3224834303, 'SG', 'Singapore'),
(96744, '192.55.17.0', '192.55.17.255', 3224834304, 3224834559, 'US', 'United States'),
(96745, '192.55.18.0', '192.55.18.255', 3224834560, 3224834815, 'TH', 'Thailand'),
(96746, '192.55.19.0', '192.55.36.255', 3224834816, 3224839423, 'US', 'United States'),
(96747, '192.55.37.0', '192.55.37.255', 3224839424, 3224839679, 'EU', 'Europe'),
(96748, '192.55.38.0', '192.55.83.255', 3224839680, 3224851455, 'US', 'United States'),
(96749, '192.55.84.0', '192.55.84.255', 3224851456, 3224851711, 'DE', 'Germany'),
(96750, '192.55.86.0', '192.55.88.255', 3224851968, 3224852735, 'US', 'United States'),
(96751, '192.55.89.0', '192.55.89.255', 3224852736, 3224852991, 'DE', 'Germany'),
(96752, '192.55.90.0', '192.55.95.255', 3224852992, 3224854527, 'US', 'United States'),
(96753, '192.55.97.0', '192.55.97.255', 3224854784, 3224855039, 'US', 'United States'),
(96754, '192.55.98.0', '192.55.99.255', 3224855040, 3224855551, 'AU', 'Australia'),
(96755, '192.55.100.0', '192.55.100.255', 3224855552, 3224855807, 'US', 'United States'),
(96756, '192.55.101.0', '192.55.101.255', 3224855808, 3224856063, 'IT', 'Italy'),
(96757, '192.55.102.0', '192.55.103.255', 3224856064, 3224856575, 'US', 'United States'),
(96758, '192.55.105.0', '192.55.105.255', 3224856832, 3224857087, 'NL', 'Netherlands'),
(96759, '192.55.106.0', '192.55.108.255', 3224857088, 3224857855, 'US', 'United States'),
(96760, '192.55.109.0', '192.55.109.255', 3224857856, 3224858111, 'PL', 'Poland'),
(96761, '192.55.111.0', '192.55.111.255', 3224858368, 3224858623, 'US', 'United States'),
(96762, '192.55.112.0', '192.55.112.255', 3224858624, 3224858879, 'AU', 'Australia'),
(96763, '192.55.113.0', '192.55.114.255', 3224858880, 3224859391, 'US', 'United States'),
(96764, '192.55.115.0', '192.55.115.255', 3224859392, 3224859647, 'NL', 'Netherlands'),
(96765, '192.55.116.0', '192.55.117.255', 3224859648, 3224860159, 'US', 'United States'),
(96766, '192.55.118.0', '192.55.118.255', 3224860160, 3224860415, 'JP', 'Japan'),
(96767, '192.55.120.0', '192.55.127.255', 3224860672, 3224862719, 'US', 'United States'),
(96768, '192.55.129.0', '192.55.129.255', 3224862976, 3224863231, 'NL', 'Netherlands'),
(96769, '192.55.131.0', '192.55.131.255', 3224863488, 3224863743, 'US', 'United States'),
(96770, '192.55.132.0', '192.55.132.255', 3224863744, 3224863999, 'GB', 'United Kingdom'),
(96771, '192.55.133.0', '192.55.156.255', 3224864000, 3224870143, 'US', 'United States'),
(96772, '192.55.157.0', '192.55.157.255', 3224870144, 3224870399, 'EU', 'Europe'),
(96773, '192.55.158.0', '192.55.158.255', 3224870400, 3224870655, 'US', 'United States'),
(96774, '192.55.159.0', '192.55.159.255', 3224870656, 3224870911, 'IT', 'Italy'),
(96775, '192.55.160.0', '192.55.187.255', 3224870912, 3224878079, 'US', 'United States'),
(96776, '192.55.188.0', '192.55.188.255', 3224878080, 3224878335, 'DE', 'Germany'),
(96777, '192.55.189.0', '192.55.189.255', 3224878336, 3224878591, 'US', 'United States'),
(96778, '192.55.190.0', '192.55.190.255', 3224878592, 3224878847, 'AU', 'Australia'),
(96779, '192.55.193.0', '192.55.193.255', 3224879360, 3224879615, 'GB', 'United Kingdom'),
(96780, '192.55.194.0', '192.55.194.255', 3224879616, 3224879871, 'CA', 'Canada'),
(96781, '192.55.195.0', '192.55.196.255', 3224879872, 3224880383, 'US', 'United States'),
(96782, '192.55.197.0', '192.55.197.255', 3224880384, 3224880639, 'DE', 'Germany'),
(96783, '192.55.198.0', '192.55.198.255', 3224880640, 3224880895, 'AU', 'Australia'),
(96784, '192.55.199.0', '192.55.204.255', 3224880896, 3224882431, 'US', 'United States'),
(96785, '192.55.206.0', '192.55.206.255', 3224882688, 3224882943, 'CA', 'Canada'),
(96786, '192.55.207.0', '192.55.211.255', 3224882944, 3224884223, 'US', 'United States'),
(96787, '192.55.212.0', '192.55.212.255', 3224884224, 3224884479, 'GB', 'United Kingdom'),
(96788, '192.55.213.0', '192.55.214.255', 3224884480, 3224884991, 'US', 'United States'),
(96789, '192.55.216.0', '192.55.216.255', 3224885248, 3224885503, 'CA', 'Canada'),
(96790, '192.55.218.0', '192.55.218.255', 3224885760, 3224886015, 'US', 'United States'),
(96791, '192.55.219.0', '192.55.219.255', 3224886016, 3224886271, 'AU', 'Australia'),
(96792, '192.55.220.0', '192.55.220.255', 3224886272, 3224886527, 'JP', 'Japan'),
(96793, '192.55.221.0', '192.55.223.255', 3224886528, 3224887295, 'US', 'United States'),
(96794, '192.55.224.0', '192.55.224.255', 3224887296, 3224887551, 'CA', 'Canada'),
(96795, '192.55.226.0', '192.55.231.255', 3224887808, 3224889343, 'US', 'United States'),
(96796, '192.55.232.0', '192.55.232.255', 3224889344, 3224889599, 'AU', 'Australia'),
(96797, '192.55.233.0', '192.55.240.255', 3224889600, 3224891647, 'US', 'United States'),
(96798, '192.55.243.0', '192.55.243.255', 3224892160, 3224892415, 'CA', 'Canada'),
(96799, '192.55.244.0', '192.55.244.255', 3224892416, 3224892671, 'DE', 'Germany'),
(96800, '192.55.246.0', '192.55.246.255', 3224892928, 3224893183, 'US', 'United States'),
(96801, '192.55.248.0', '192.55.249.255', 3224893440, 3224893951, 'US', 'United States'),
(96802, '192.56.0.0', '192.56.13.255', 3224895488, 3224899071, 'US', 'United States'),
(96803, '192.56.14.0', '192.56.14.255', 3224899072, 3224899327, 'AT', 'Austria'),
(96804, '192.56.15.0', '192.56.50.255', 3224899328, 3224908543, 'US', 'United States'),
(96805, '192.56.51.0', '192.56.51.255', 3224908544, 3224908799, 'CA', 'Canada'),
(96806, '192.56.52.0', '192.56.99.255', 3224908800, 3224921087, 'US', 'United States'),
(96807, '192.56.100.0', '192.56.100.255', 3224921088, 3224921343, 'FI', 'Finland'),
(96808, '192.56.101.0', '192.56.127.255', 3224921344, 3224928255, 'US', 'United States'),
(96809, '192.56.128.0', '192.56.128.255', 3224928256, 3224928511, 'FI', 'Finland'),
(96810, '192.56.129.0', '192.56.149.255', 3224928512, 3224933887, 'US', 'United States'),
(96811, '192.56.150.0', '192.56.150.255', 3224933888, 3224934143, 'DE', 'Germany'),
(96812, '192.56.151.0', '192.56.243.255', 3224934144, 3224957951, 'US', 'United States'),
(96813, '192.56.244.0', '192.56.244.255', 3224957952, 3224958207, 'CA', 'Canada'),
(96814, '192.56.245.0', '192.58.8.255', 3224958208, 3225028863, 'US', 'United States'),
(96815, '192.58.9.0', '192.58.18.255', 3225028864, 3225031423, 'JP', 'Japan'),
(96816, '192.58.19.0', '192.58.27.255', 3225031424, 3225033727, 'US', 'United States'),
(96817, '192.58.28.0', '192.58.28.255', 3225033728, 3225033983, 'LU', 'Luxembourg'),
(96818, '192.58.29.0', '192.58.29.255', 3225033984, 3225034239, 'AE', 'United Arab Emirates'),
(96819, '192.58.30.0', '192.58.31.255', 3225034240, 3225034751, 'FI', 'Finland'),
(96820, '192.58.32.0', '192.58.35.255', 3225034752, 3225035775, 'BG', 'Bulgaria'),
(96821, '192.58.36.0', '192.58.40.255', 3225035776, 3225037055, 'US', 'United States'),
(96822, '192.58.41.0', '192.58.95.255', 3225037056, 3225051135, 'FI', 'Finland'),
(96823, '192.58.96.0', '192.58.120.255', 3225051136, 3225057535, 'US', 'United States'),
(96824, '192.58.121.0', '192.58.121.255', 3225057536, 3225057791, 'CA', 'Canada'),
(96825, '192.58.122.0', '192.58.131.255', 3225057792, 3225060351, 'US', 'United States'),
(96826, '192.58.132.0', '192.58.136.255', 3225060352, 3225061631, 'AU', 'Australia'),
(96827, '192.58.144.0', '192.58.196.255', 3225063424, 3225076991, 'US', 'United States'),
(96828, '192.58.197.0', '192.58.197.255', 3225076992, 3225077247, 'SE', 'Sweden'),
(96829, '192.58.199.0', '192.58.212.255', 3225077504, 3225081087, 'US', 'United States'),
(96830, '192.58.213.0', '192.58.213.255', 3225081088, 3225081343, 'CA', 'Canada'),
(96831, '192.58.215.0', '192.58.217.255', 3225081600, 3225082367, 'US', 'United States'),
(96832, '192.58.218.0', '192.58.218.255', 3225082368, 3225082623, 'IT', 'Italy'),
(96833, '192.58.220.0', '192.58.226.255', 3225082880, 3225084671, 'US', 'United States'),
(96834, '192.58.227.0', '192.58.228.255', 3225084672, 3225085183, 'NL', 'Netherlands'),
(96835, '192.58.229.0', '192.58.229.255', 3225085184, 3225085439, 'ES', 'Spain'),
(96836, '192.58.230.0', '192.58.244.255', 3225085440, 3225089279, 'US', 'United States'),
(96837, '192.58.245.0', '192.58.245.255', 3225089280, 3225089535, 'CA', 'Canada'),
(96838, '192.58.246.0', '192.58.247.255', 3225089536, 3225090047, 'US', 'United States'),
(96839, '192.58.248.0', '192.58.248.255', 3225090048, 3225090303, 'AP', 'Asia/Pacific Region'),
(96840, '192.58.249.0', '192.58.251.255', 3225090304, 3225091071, 'US', 'United States'),
(96841, '192.58.254.0', '192.58.254.255', 3225091584, 3225091839, 'US', 'United States'),
(96842, '192.59.0.0', '192.62.99.255', 3225092096, 3225314303, 'US', 'United States'),
(96843, '192.62.100.0', '192.62.100.255', 3225314304, 3225314559, 'GB', 'United Kingdom'),
(96844, '192.62.101.0', '192.63.255.255', 3225314560, 3225419775, 'US', 'United States'),
(96845, '192.64.1.0', '192.64.1.255', 3225420032, 3225420287, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(96846, '192.64.16.0', '192.64.17.255', 3225423872, 3225424383, 'US', 'United States'),
(96847, '192.64.28.0', '192.64.28.255', 3225426944, 3225427199, 'AT', 'Austria'),
(96848, '192.64.38.0', '192.64.38.255', 3225429504, 3225429759, 'CA', 'Canada'),
(96849, '192.64.44.0', '192.64.45.255', 3225431040, 3225431551, 'RU', 'Russian Federation'),
(96850, '192.64.46.0', '192.64.51.255', 3225431552, 3225433087, 'US', 'United States'),
(96851, '192.64.64.0', '192.64.96.255', 3225436160, 3225444607, 'US', 'United States'),
(96852, '192.64.100.0', '192.64.103.255', 3225445376, 3225446399, 'BE', 'Belgium'),
(96853, '192.64.125.0', '192.64.125.255', 3225451776, 3225452031, 'SE', 'Sweden'),
(96854, '192.64.157.0', '192.64.158.255', 3225459968, 3225460479, 'US', 'United States'),
(96855, '192.64.159.0', '192.64.167.255', 3225460480, 3225462783, 'CA', 'Canada'),
(96856, '192.64.198.0', '192.64.198.255', 3225470464, 3225470719, 'US', 'United States'),
(96857, '192.64.202.0', '192.64.202.255', 3225471488, 3225471743, 'DE', 'Germany'),
(96858, '192.64.203.0', '192.64.205.255', 3225471744, 3225472511, 'US', 'United States'),
(96859, '192.64.224.0', '192.64.239.255', 3225477120, 3225481215, 'US', 'United States'),
(96860, '192.65.0.0', '192.65.49.255', 3225485312, 3225498111, 'US', 'United States'),
(96861, '192.65.51.0', '192.65.70.255', 3225498368, 3225503487, 'NL', 'Netherlands'),
(96862, '192.65.71.0', '192.65.80.255', 3225503488, 3225506047, 'US', 'United States'),
(96863, '192.65.82.0', '192.65.91.255', 3225506304, 3225508863, 'AU', 'Australia'),
(96864, '192.65.92.0', '192.65.94.255', 3225508864, 3225509631, 'CH', 'Switzerland'),
(96865, '192.65.95.0', '192.65.95.255', 3225509632, 3225509887, 'US', 'United States'),
(96866, '192.65.96.0', '192.65.96.255', 3225509888, 3225510143, 'NL', 'Netherlands'),
(96867, '192.65.97.0', '192.65.129.255', 3225510144, 3225518591, 'US', 'United States'),
(96868, '192.65.130.0', '192.65.130.255', 3225518592, 3225518847, 'AU', 'Australia'),
(96869, '192.65.131.0', '192.65.131.255', 3225518848, 3225519103, 'IT', 'Italy'),
(96870, '192.65.132.0', '192.65.132.255', 3225519104, 3225519359, 'GB', 'United Kingdom'),
(96871, '192.65.135.0', '192.65.137.255', 3225519872, 3225520639, 'US', 'United States'),
(96872, '192.65.139.0', '192.65.139.255', 3225520896, 3225521151, 'DE', 'Germany'),
(96873, '192.65.140.0', '192.65.143.255', 3225521152, 3225522175, 'US', 'United States'),
(96874, '192.65.144.0', '192.65.146.255', 3225522176, 3225522943, 'GB', 'United Kingdom'),
(96875, '192.65.147.0', '192.65.151.255', 3225522944, 3225524223, 'US', 'United States'),
(96876, '192.65.152.0', '192.65.152.255', 3225524224, 3225524479, 'VE', 'Venezuela'),
(96877, '192.65.153.0', '192.65.153.255', 3225524480, 3225524735, 'GB', 'United Kingdom'),
(96878, '192.65.168.0', '192.65.175.255', 3225528320, 3225530367, 'US', 'United States'),
(96879, '192.65.176.0', '192.65.176.255', 3225530368, 3225530623, 'PR', 'Puerto Rico'),
(96880, '192.65.177.0', '192.65.177.255', 3225530624, 3225530879, 'US', 'United States'),
(96881, '192.65.179.0', '192.65.180.255', 3225531136, 3225531647, 'US', 'United States'),
(96882, '192.65.182.0', '192.65.182.255', 3225531904, 3225532159, 'AU', 'Australia'),
(96883, '192.65.183.0', '192.65.197.255', 3225532160, 3225535999, 'CH', 'Switzerland'),
(96884, '192.65.198.0', '192.65.216.255', 3225536000, 3225540863, 'US', 'United States'),
(96885, '192.65.217.0', '192.65.217.255', 3225540864, 3225541119, 'AU', 'Australia'),
(96886, '192.65.218.0', '192.65.218.255', 3225541120, 3225541375, 'US', 'United States'),
(96887, '192.65.219.0', '192.65.231.255', 3225541376, 3225544703, 'GB', 'United Kingdom'),
(96888, '192.65.240.0', '192.65.255.255', 3225546752, 3225550847, 'US', 'United States'),
(96889, '192.66.0.0', '192.66.255.255', 3225550848, 3225616383, 'DK', 'Denmark'),
(96890, '192.67.3.0', '192.67.3.255', 3225617152, 3225617407, 'IE', 'Ireland'),
(96891, '192.67.4.0', '192.67.4.255', 3225617408, 3225617663, 'GB', 'United Kingdom'),
(96892, '192.67.6.0', '192.67.6.255', 3225617920, 3225618175, 'US', 'United States'),
(96893, '192.67.8.0', '192.67.8.255', 3225618432, 3225618687, 'US', 'United States'),
(96894, '192.67.9.0', '192.67.9.255', 3225618688, 3225618943, 'CA', 'Canada'),
(96895, '192.67.11.0', '192.67.11.255', 3225619200, 3225619455, 'US', 'United States'),
(96896, '192.67.12.0', '192.67.12.255', 3225619456, 3225619711, 'AU', 'Australia'),
(96897, '192.67.13.0', '192.67.23.255', 3225619712, 3225622527, 'US', 'United States'),
(96898, '192.67.39.0', '192.67.39.255', 3225626368, 3225626623, 'GB', 'United Kingdom'),
(96899, '192.67.41.0', '192.67.42.255', 3225626880, 3225627391, 'US', 'United States'),
(96900, '192.67.43.0', '192.67.43.255', 3225627392, 3225627647, 'GB', 'United Kingdom'),
(96901, '192.67.44.0', '192.67.44.255', 3225627648, 3225627903, 'US', 'United States'),
(96902, '192.67.45.0', '192.67.45.255', 3225627904, 3225628159, 'CA', 'Canada'),
(96903, '192.67.46.0', '192.67.46.255', 3225628160, 3225628415, 'US', 'United States'),
(96904, '192.67.47.0', '192.67.47.255', 3225628416, 3225628671, 'GB', 'United Kingdom'),
(96905, '192.67.48.0', '192.67.49.255', 3225628672, 3225629183, 'US', 'United States'),
(96906, '192.67.50.0', '192.67.50.255', 3225629184, 3225629439, 'GB', 'United Kingdom'),
(96907, '192.67.51.0', '192.67.51.255', 3225629440, 3225629695, 'US', 'United States'),
(96908, '192.67.52.0', '192.67.52.255', 3225629696, 3225629951, 'GB', 'United Kingdom'),
(96909, '192.67.53.0', '192.67.53.255', 3225629952, 3225630207, 'US', 'United States'),
(96910, '192.67.55.0', '192.67.55.255', 3225630464, 3225630719, 'DE', 'Germany'),
(96911, '192.67.56.0', '192.67.57.255', 3225630720, 3225631231, 'US', 'United States'),
(96912, '192.67.58.0', '192.67.58.255', 3225631232, 3225631487, 'SE', 'Sweden'),
(96913, '192.67.59.0', '192.67.75.255', 3225631488, 3225635839, 'US', 'United States'),
(96914, '192.67.76.0', '192.67.76.255', 3225635840, 3225636095, 'PT', 'Portugal'),
(96915, '192.67.77.0', '192.67.78.255', 3225636096, 3225636607, 'US', 'United States'),
(96916, '192.67.79.0', '192.67.79.255', 3225636608, 3225636863, 'ES', 'Spain'),
(96917, '192.67.80.0', '192.67.83.255', 3225636864, 3225637887, 'US', 'United States'),
(96918, '192.67.84.0', '192.67.84.255', 3225637888, 3225638143, 'AU', 'Australia'),
(96919, '192.67.86.0', '192.67.86.255', 3225638400, 3225638655, 'US', 'United States'),
(96920, '192.67.87.0', '192.67.87.255', 3225638656, 3225638911, 'GB', 'United Kingdom'),
(96921, '192.67.90.0', '192.67.93.255', 3225639424, 3225640447, 'US', 'United States'),
(96922, '192.67.94.0', '192.67.94.255', 3225640448, 3225640703, 'GB', 'United Kingdom'),
(96923, '192.67.95.0', '192.67.99.255', 3225640704, 3225641983, 'US', 'United States'),
(96924, '192.67.100.0', '192.67.104.255', 3225641984, 3225643263, 'GB', 'United Kingdom'),
(96925, '192.67.105.0', '192.67.106.255', 3225643264, 3225643775, 'CA', 'Canada'),
(96926, '192.67.107.0', '192.67.134.255', 3225643776, 3225650943, 'US', 'United States'),
(96927, '192.67.135.0', '192.67.135.255', 3225650944, 3225651199, 'GB', 'United Kingdom'),
(96928, '192.67.136.0', '192.67.159.255', 3225651200, 3225657343, 'US', 'United States'),
(96929, '192.67.165.0', '192.67.166.255', 3225658624, 3225659135, 'US', 'United States'),
(96930, '192.67.167.0', '192.67.167.255', 3225659136, 3225659391, 'DE', 'Germany'),
(96931, '192.67.170.0', '192.67.170.255', 3225659904, 3225660159, 'DE', 'Germany'),
(96932, '192.67.171.0', '192.67.171.255', 3225660160, 3225660415, 'AU', 'Australia'),
(96933, '192.67.172.0', '192.67.187.255', 3225660416, 3225664511, 'US', 'United States'),
(96934, '192.67.188.0', '192.67.208.255', 3225664512, 3225669887, 'DE', 'Germany'),
(96935, '192.67.209.0', '192.67.216.255', 3225669888, 3225671935, 'US', 'United States'),
(96936, '192.67.218.0', '192.67.218.255', 3225672192, 3225672447, 'DE', 'Germany'),
(96937, '192.67.219.0', '192.67.219.255', 3225672448, 3225672703, 'US', 'United States'),
(96938, '192.67.220.0', '192.67.221.255', 3225672704, 3225673215, 'NL', 'Netherlands'),
(96939, '192.67.223.0', '192.67.223.255', 3225673472, 3225673727, 'IE', 'Ireland'),
(96940, '192.67.224.0', '192.67.247.255', 3225673728, 3225679871, 'US', 'United States'),
(96941, '192.67.248.0', '192.67.248.255', 3225679872, 3225680127, 'AU', 'Australia'),
(96942, '192.67.249.0', '192.67.249.255', 3225680128, 3225680383, 'GR', 'Greece'),
(96943, '192.67.251.0', '192.67.255.255', 3225680640, 3225681919, 'US', 'United States'),
(96944, '192.68.0.0', '192.68.3.255', 3225681920, 3225682943, 'DE', 'Germany'),
(96945, '192.68.4.0', '192.68.4.255', 3225682944, 3225683199, 'AT', 'Austria'),
(96946, '192.68.5.0', '192.68.19.255', 3225683200, 3225687039, 'DE', 'Germany'),
(96947, '192.68.20.0', '192.68.22.255', 3225687040, 3225687807, 'US', 'United States'),
(96948, '192.68.23.0', '192.68.23.255', 3225687808, 3225688063, 'GB', 'United Kingdom'),
(96949, '192.68.24.0', '192.68.28.255', 3225688064, 3225689343, 'US', 'United States'),
(96950, '192.68.30.0', '192.68.30.255', 3225689600, 3225689855, 'US', 'United States'),
(96951, '192.68.31.0', '192.68.50.255', 3225689856, 3225694975, 'NL', 'Netherlands'),
(96952, '192.68.51.0', '192.68.51.255', 3225694976, 3225695231, 'PL', 'Poland'),
(96953, '192.68.52.0', '192.68.52.255', 3225695232, 3225695487, 'US', 'United States'),
(96954, '192.68.53.0', '192.68.74.255', 3225695488, 3225701119, 'CA', 'Canada'),
(96955, '192.68.75.0', '192.68.75.255', 3225701120, 3225701375, 'US', 'United States'),
(96956, '192.68.76.0', '192.68.107.255', 3225701376, 3225709567, 'NO', 'Norway'),
(96957, '192.68.108.0', '192.68.109.255', 3225709568, 3225710079, 'US', 'United States'),
(96958, '192.68.112.0', '192.68.127.255', 3225710592, 3225714687, 'US', 'United States'),
(96959, '192.68.131.0', '192.68.131.255', 3225715456, 3225715711, 'CA', 'Canada'),
(96960, '192.68.132.0', '192.68.132.255', 3225715712, 3225715967, 'AU', 'Australia'),
(96961, '192.68.133.0', '192.68.136.255', 3225715968, 3225716991, 'US', 'United States'),
(96962, '192.68.137.0', '192.68.137.255', 3225716992, 3225717247, 'CA', 'Canada'),
(96963, '192.68.138.0', '192.68.138.255', 3225717248, 3225717503, 'TN', 'Tunisia'),
(96964, '192.68.140.0', '192.68.148.255', 3225717760, 3225720063, 'US', 'United States'),
(96965, '192.68.151.0', '192.68.153.255', 3225720576, 3225721343, 'GB', 'United Kingdom'),
(96966, '192.68.154.0', '192.68.163.255', 3225721344, 3225723903, 'US', 'United States'),
(96967, '192.68.164.0', '192.68.169.255', 3225723904, 3225725439, 'DE', 'Germany'),
(96968, '192.68.170.0', '192.68.170.255', 3225725440, 3225725695, 'GB', 'United Kingdom'),
(96969, '192.68.171.0', '192.68.172.255', 3225725696, 3225726207, 'AU', 'Australia'),
(96970, '192.68.173.0', '192.68.173.255', 3225726208, 3225726463, 'US', 'United States'),
(96971, '192.68.174.0', '192.68.174.255', 3225726464, 3225726719, 'GB', 'United Kingdom'),
(96972, '192.68.175.0', '192.68.175.255', 3225726720, 3225726975, 'US', 'United States'),
(96973, '192.68.176.0', '192.68.176.255', 3225726976, 3225727231, 'IT', 'Italy'),
(96974, '192.68.177.0', '192.68.177.255', 3225727232, 3225727487, 'US', 'United States'),
(96975, '192.68.180.0', '192.68.181.255', 3225728000, 3225728511, 'US', 'United States'),
(96976, '192.68.182.0', '192.68.182.255', 3225728512, 3225728767, 'NL', 'Netherlands'),
(96977, '192.68.183.0', '192.68.183.255', 3225728768, 3225729023, 'US', 'United States'),
(96978, '192.68.184.0', '192.68.184.255', 3225729024, 3225729279, 'CA', 'Canada'),
(96979, '192.68.185.0', '192.68.185.255', 3225729280, 3225729535, 'US', 'United States'),
(96980, '192.68.186.0', '192.68.186.255', 3225729536, 3225729791, 'PT', 'Portugal'),
(96981, '192.68.187.0', '192.68.207.255', 3225729792, 3225735167, 'US', 'United States'),
(96982, '192.68.209.0', '192.68.209.255', 3225735424, 3225735679, 'PT', 'Portugal'),
(96983, '192.68.210.0', '192.68.210.255', 3225735680, 3225735935, 'US', 'United States'),
(96984, '192.68.211.0', '192.68.215.255', 3225735936, 3225737215, 'DE', 'Germany'),
(96985, '192.68.216.0', '192.68.216.255', 3225737216, 3225737471, 'PT', 'Portugal'),
(96986, '192.68.217.0', '192.68.220.255', 3225737472, 3225738495, 'US', 'United States'),
(96987, '192.68.221.0', '192.68.221.255', 3225738496, 3225738751, 'PT', 'Portugal'),
(96988, '192.68.222.0', '192.68.223.255', 3225738752, 3225739263, 'US', 'United States'),
(96989, '192.68.224.0', '192.68.224.255', 3225739264, 3225739519, 'PT', 'Portugal'),
(96990, '192.68.225.0', '192.68.228.255', 3225739520, 3225740543, 'US', 'United States'),
(96991, '192.68.229.0', '192.68.229.255', 3225740544, 3225740799, 'CA', 'Canada'),
(96992, '192.68.230.0', '192.68.230.255', 3225740800, 3225741055, 'NL', 'Netherlands'),
(96993, '192.68.231.0', '192.68.233.255', 3225741056, 3225741823, 'US', 'United States'),
(96994, '192.68.235.0', '192.68.249.255', 3225742080, 3225745919, 'JP', 'Japan'),
(96995, '192.68.250.0', '192.68.252.255', 3225745920, 3225746687, 'NL', 'Netherlands'),
(96996, '192.68.253.0', '192.68.253.255', 3225746688, 3225746943, 'US', 'United States'),
(96997, '192.68.254.0', '192.68.254.255', 3225746944, 3225747199, 'DE', 'Germany'),
(96998, '192.69.0.0', '192.69.63.255', 3225747456, 3225763839, 'US', 'United States'),
(96999, '192.69.64.0', '192.69.64.255', 3225763840, 3225764095, 'BE', 'Belgium'),
(97000, '192.69.74.0', '192.69.74.255', 3225766400, 3225766655, 'CA', 'Canada'),
(97001, '192.69.80.0', '192.69.87.255', 3225767936, 3225769983, 'US', 'United States'),
(97002, '192.69.101.0', '192.69.101.255', 3225773312, 3225773567, 'CA', 'Canada'),
(97003, '192.69.112.0', '192.69.112.255', 3225776128, 3225776383, 'US', 'United States'),
(97004, '192.69.116.0', '192.69.116.255', 3225777152, 3225777407, 'AU', 'Australia'),
(97005, '192.69.117.0', '192.69.117.255', 3225777408, 3225777663, 'US', 'United States'),
(97006, '192.69.128.0', '192.69.143.255', 3225780224, 3225784319, 'US', 'United States'),
(97007, '192.69.144.0', '192.69.159.255', 3225784320, 3225788415, 'CA', 'Canada'),
(97008, '192.69.190.0', '192.69.190.255', 3225796096, 3225796351, 'US', 'United States'),
(97009, '192.69.228.0', '192.69.231.255', 3225805824, 3225806847, 'US', 'United States'),
(97010, '192.69.234.0', '192.69.234.255', 3225807360, 3225807615, 'DE', 'Germany'),
(97011, '192.69.247.0', '192.69.247.255', 3225810688, 3225810943, 'US', 'United States'),
(97012, '192.70.0.0', '192.70.54.255', 3225812992, 3225827071, 'FR', 'France'),
(97013, '192.70.55.0', '192.70.55.255', 3225827072, 3225827327, 'US', 'United States'),
(97014, '192.70.56.0', '192.70.119.255', 3225827328, 3225843711, 'FR', 'France'),
(97015, '192.70.120.0', '192.70.132.255', 3225843712, 3225847039, 'US', 'United States'),
(97016, '192.70.133.0', '192.70.134.255', 3225847040, 3225847551, 'TR', 'Turkey'),
(97017, '192.70.135.0', '192.70.135.255', 3225847552, 3225847807, 'AU', 'Australia'),
(97018, '192.70.136.0', '192.70.136.255', 3225847808, 3225848063, 'IT', 'Italy'),
(97019, '192.70.137.0', '192.70.139.255', 3225848064, 3225848831, 'US', 'United States'),
(97020, '192.70.140.0', '192.70.159.255', 3225848832, 3225853951, 'DE', 'Germany'),
(97021, '192.70.160.0', '192.70.171.255', 3225853952, 3225857023, 'US', 'United States'),
(97022, '192.70.172.0', '192.70.172.255', 3225857024, 3225857279, 'CA', 'Canada'),
(97023, '192.70.173.0', '192.70.173.255', 3225857280, 3225857535, 'US', 'United States'),
(97024, '192.70.174.0', '192.70.174.255', 3225857536, 3225857791, 'AU', 'Australia'),
(97025, '192.70.175.0', '192.70.175.255', 3225857792, 3225858047, 'US', 'United States'),
(97026, '192.70.176.0', '192.70.177.255', 3225858048, 3225858559, 'CA', 'Canada'),
(97027, '192.70.178.0', '192.70.178.255', 3225858560, 3225858815, 'US', 'United States'),
(97028, '192.70.179.0', '192.70.181.255', 3225858816, 3225859583, 'JP', 'Japan'),
(97029, '192.70.184.0', '192.70.215.255', 3225860096, 3225868287, 'US', 'United States'),
(97030, '192.70.216.0', '192.70.216.255', 3225868288, 3225868543, 'AU', 'Australia'),
(97031, '192.70.217.0', '192.70.218.255', 3225868544, 3225869055, 'US', 'United States'),
(97032, '192.70.219.0', '192.70.219.255', 3225869056, 3225869311, 'AU', 'Australia'),
(97033, '192.70.220.0', '192.70.223.255', 3225869312, 3225870335, 'US', 'United States'),
(97034, '192.70.224.0', '192.70.224.255', 3225870336, 3225870591, 'CA', 'Canada'),
(97035, '192.70.225.0', '192.70.236.255', 3225870592, 3225873663, 'US', 'United States'),
(97036, '192.70.237.0', '192.70.237.255', 3225873664, 3225873919, 'ZA', 'South Africa'),
(97037, '192.70.238.0', '192.70.241.255', 3225873920, 3225874943, 'US', 'United States'),
(97038, '192.70.242.0', '192.70.242.255', 3225874944, 3225875199, 'GB', 'United Kingdom'),
(97039, '192.70.244.0', '192.70.245.255', 3225875456, 3225875967, 'US', 'United States'),
(97040, '192.70.248.0', '192.70.255.255', 3225876480, 3225878527, 'US', 'United States'),
(97041, '192.71.0.0', '192.71.6.255', 3225878528, 3225880319, 'SE', 'Sweden'),
(97042, '192.71.7.0', '192.71.7.255', 3225880320, 3225880575, 'US', 'United States'),
(97043, '192.71.8.0', '192.71.10.255', 3225880576, 3225881343, 'SE', 'Sweden'),
(97044, '192.71.11.0', '192.71.11.255', 3225881344, 3225881599, 'IT', 'Italy'),
(97045, '192.71.12.0', '192.71.36.255', 3225881600, 3225887999, 'SE', 'Sweden'),
(97046, '192.71.37.0', '192.71.37.255', 3225888000, 3225888255, 'GB', 'United Kingdom'),
(97047, '192.71.38.0', '192.71.104.255', 3225888256, 3225905407, 'SE', 'Sweden'),
(97048, '192.71.105.0', '192.71.105.255', 3225905408, 3225905663, 'IT', 'Italy'),
(97049, '192.71.106.0', '192.71.137.255', 3225905664, 3225913855, 'SE', 'Sweden'),
(97050, '192.71.138.0', '192.71.138.255', 3225913856, 3225914111, 'DE', 'Germany'),
(97051, '192.71.139.0', '192.71.142.255', 3225914112, 3225915135, 'SE', 'Sweden'),
(97052, '192.71.143.0', '192.71.143.255', 3225915136, 3225915391, 'DK', 'Denmark'),
(97053, '192.71.144.0', '192.71.155.255', 3225915392, 3225918463, 'SE', 'Sweden'),
(97054, '192.71.156.0', '192.71.156.255', 3225918464, 3225918719, 'GB', 'United Kingdom'),
(97055, '192.71.157.0', '192.71.164.255', 3225918720, 3225920767, 'SE', 'Sweden'),
(97056, '192.71.165.0', '192.71.165.255', 3225920768, 3225921023, 'GB', 'United Kingdom'),
(97057, '192.71.166.0', '192.71.168.255', 3225921024, 3225921791, 'SE', 'Sweden'),
(97058, '192.71.169.0', '192.71.169.255', 3225921792, 3225922047, 'GB', 'United Kingdom'),
(97059, '192.71.170.0', '192.71.174.255', 3225922048, 3225923327, 'SE', 'Sweden'),
(97060, '192.71.175.0', '192.71.175.255', 3225923328, 3225923583, 'IN', 'India'),
(97061, '192.71.176.0', '192.71.176.255', 3225923584, 3225923839, 'SE', 'Sweden'),
(97062, '192.71.177.0', '192.71.177.255', 3225923840, 3225924095, 'GB', 'United Kingdom'),
(97063, '192.71.178.0', '192.71.201.255', 3225924096, 3225930239, 'SE', 'Sweden'),
(97064, '192.71.202.0', '192.71.202.255', 3225930240, 3225930495, 'FR', 'France'),
(97065, '192.71.203.0', '192.71.211.255', 3225930496, 3225932799, 'SE', 'Sweden'),
(97066, '192.71.212.0', '192.71.212.255', 3225932800, 3225933055, 'IT', 'Italy'),
(97067, '192.71.213.0', '192.71.221.255', 3225933056, 3225935359, 'SE', 'Sweden'),
(97068, '192.71.222.0', '192.71.222.255', 3225935360, 3225935615, 'US', 'United States'),
(97069, '192.71.223.0', '192.71.229.255', 3225935616, 3225937407, 'SE', 'Sweden'),
(97070, '192.71.230.0', '192.71.230.255', 3225937408, 3225937663, 'US', 'United States'),
(97071, '192.71.231.0', '192.71.233.255', 3225937664, 3225938431, 'SE', 'Sweden'),
(97072, '192.71.234.0', '192.71.234.255', 3225938432, 3225938687, 'US', 'United States'),
(97073, '192.71.235.0', '192.71.244.255', 3225938688, 3225941247, 'SE', 'Sweden'),
(97074, '192.71.245.0', '192.71.245.255', 3225941248, 3225941503, 'IT', 'Italy'),
(97075, '192.71.246.0', '192.71.255.255', 3225941504, 3225944063, 'SE', 'Sweden'),
(97076, '192.72.0.0', '192.72.252.255', 3225944064, 3226008831, 'TW', 'Taiwan'),
(97077, '192.72.253.0', '192.72.254.255', 3226008832, 3226009343, 'US', 'United States'),
(97078, '192.73.0.0', '192.73.4.255', 3226009600, 3226010879, 'US', 'United States'),
(97079, '192.73.5.0', '192.73.5.255', 3226010880, 3226011135, 'CA', 'Canada'),
(97080, '192.73.6.0', '192.73.11.255', 3226011136, 3226012671, 'US', 'United States'),
(97081, '192.73.12.0', '192.73.12.255', 3226012672, 3226012927, 'AU', 'Australia'),
(97082, '192.73.13.0', '192.73.17.255', 3226012928, 3226014207, 'US', 'United States'),
(97083, '192.73.19.0', '192.73.20.255', 3226014464, 3226014975, 'GB', 'United Kingdom'),
(97084, '192.73.21.0', '192.73.21.255', 3226014976, 3226015231, 'NZ', 'New Zealand'),
(97085, '192.73.22.0', '192.73.22.255', 3226015232, 3226015487, 'AU', 'Australia'),
(97086, '192.73.24.0', '192.73.25.255', 3226015744, 3226016255, 'ID', 'Indonesia'),
(97087, '192.73.26.0', '192.73.33.255', 3226016256, 3226018303, 'US', 'United States'),
(97088, '192.73.34.0', '192.73.34.255', 3226018304, 3226018559, 'DE', 'Germany'),
(97089, '192.73.35.0', '192.73.44.255', 3226018560, 3226021119, 'CH', 'Switzerland'),
(97090, '192.73.45.0', '192.73.65.255', 3226021120, 3226026495, 'US', 'United States'),
(97091, '192.73.66.0', '192.73.66.255', 3226026496, 3226026751, 'AU', 'Australia'),
(97092, '192.73.67.0', '192.73.225.255', 3226026752, 3226067455, 'US', 'United States'),
(97093, '192.73.226.0', '192.73.226.255', 3226067456, 3226067711, 'BE', 'Belgium'),
(97094, '192.73.227.0', '192.73.228.255', 3226067712, 3226068223, 'US', 'United States'),
(97095, '192.73.229.0', '192.73.229.255', 3226068224, 3226068479, 'GB', 'United Kingdom'),
(97096, '192.73.230.0', '192.73.231.255', 3226068480, 3226068991, 'US', 'United States'),
(97097, '192.74.0.0', '192.74.127.255', 3226075136, 3226107903, 'US', 'United States'),
(97098, '192.74.137.0', '192.74.138.255', 3226110208, 3226110719, 'US', 'United States'),
(97099, '192.74.139.0', '192.74.208.255', 3226110720, 3226128639, 'AU', 'Australia'),
(97100, '192.74.209.0', '192.74.219.255', 3226128640, 3226131455, 'US', 'United States'),
(97101, '192.75.0.0', '192.75.65.255', 3226140672, 3226157567, 'CA', 'Canada'),
(97102, '192.75.66.0', '192.75.66.255', 3226157568, 3226157823, 'US', 'United States'),
(97103, '192.75.67.0', '192.75.191.255', 3226157824, 3226189823, 'CA', 'Canada'),
(97104, '192.75.198.0', '192.75.198.255', 3226191360, 3226191615, 'US', 'United States'),
(97105, '192.75.200.0', '192.75.238.255', 3226191872, 3226201855, 'CA', 'Canada'),
(97106, '192.75.239.0', '192.75.239.255', 3226201856, 3226202111, 'US', 'United States'),
(97107, '192.75.240.0', '192.75.255.255', 3226202112, 3226206207, 'CA', 'Canada'),
(97108, '192.76.0.0', '192.76.35.255', 3226206208, 3226215423, 'GB', 'United Kingdom'),
(97109, '192.76.36.0', '192.76.119.255', 3226215424, 3226236927, 'US', 'United States'),
(97110, '192.76.121.0', '192.76.121.255', 3226237184, 3226237439, 'US', 'United States'),
(97111, '192.76.122.0', '192.76.122.255', 3226237440, 3226237695, 'AU', 'Australia'),
(97112, '192.76.123.0', '192.76.137.255', 3226237696, 3226241535, 'DE', 'Germany'),
(97113, '192.76.138.0', '192.76.138.255', 3226241536, 3226241791, 'LI', 'Liechtenstein'),
(97114, '192.76.139.0', '192.76.172.255', 3226241792, 3226250495, 'DE', 'Germany'),
(97115, '192.76.173.0', '192.76.175.255', 3226250496, 3226251263, 'US', 'United States'),
(97116, '192.76.176.0', '192.76.176.255', 3226251264, 3226251519, 'DE', 'Germany'),
(97117, '192.76.177.0', '192.76.240.255', 3226251520, 3226267903, 'US', 'United States'),
(97118, '192.76.241.0', '192.76.241.255', 3226267904, 3226268159, 'DE', 'Germany'),
(97119, '192.76.242.0', '192.76.242.255', 3226268160, 3226268415, 'PT', 'Portugal'),
(97120, '192.76.243.0', '192.76.244.255', 3226268416, 3226268927, 'AT', 'Austria'),
(97121, '192.76.245.0', '192.76.248.255', 3226268928, 3226269951, 'DE', 'Germany'),
(97122, '192.76.249.0', '192.76.251.255', 3226269952, 3226270719, 'US', 'United States'),
(97123, '192.77.0.0', '192.77.7.255', 3226271744, 3226273791, 'US', 'United States'),
(97124, '192.77.9.0', '192.77.10.255', 3226274048, 3226274559, 'US', 'United States'),
(97125, '192.77.11.0', '192.77.11.255', 3226274560, 3226274815, 'CH', 'Switzerland'),
(97126, '192.77.12.0', '192.77.45.255', 3226274816, 3226283519, 'US', 'United States'),
(97127, '192.77.46.0', '192.77.75.255', 3226283520, 3226291199, 'CA', 'Canada'),
(97128, '192.77.76.0', '192.77.113.255', 3226291200, 3226300927, 'US', 'United States'),
(97129, '192.77.114.0', '192.77.115.255', 3226300928, 3226301439, 'DE', 'Germany'),
(97130, '192.77.116.0', '192.77.119.255', 3226301440, 3226302463, 'US', 'United States'),
(97131, '192.77.120.0', '192.77.123.255', 3226302464, 3226303487, 'FI', 'Finland'),
(97132, '192.77.124.0', '192.77.131.255', 3226303488, 3226305535, 'US', 'United States'),
(97133, '192.77.132.0', '192.77.138.255', 3226305536, 3226307327, 'GB', 'United Kingdom'),
(97134, '192.77.139.0', '192.77.139.255', 3226307328, 3226307583, 'US', 'United States'),
(97135, '192.77.140.0', '192.77.141.255', 3226307584, 3226308095, 'ES', 'Spain'),
(97136, '192.77.142.0', '192.78.109.255', 3226308096, 3226365439, 'US', 'United States'),
(97137, '192.78.110.0', '192.78.111.255', 3226365440, 3226365951, 'DE', 'Germany'),
(97138, '192.78.112.0', '192.78.115.255', 3226365952, 3226366975, 'US', 'United States'),
(97139, '192.78.116.0', '192.78.116.255', 3226366976, 3226367231, 'CA', 'Canada'),
(97140, '192.78.117.0', '192.78.143.255', 3226367232, 3226374143, 'US', 'United States'),
(97141, '192.78.144.0', '192.78.148.255', 3226374144, 3226375423, 'DE', 'Germany'),
(97142, '192.78.149.0', '192.78.153.255', 3226375424, 3226376703, 'US', 'United States'),
(97143, '192.78.154.0', '192.78.154.255', 3226376704, 3226376959, 'AT', 'Austria'),
(97144, '192.78.155.0', '192.78.184.255', 3226376960, 3226384639, 'US', 'United States'),
(97145, '192.78.185.0', '192.78.187.255', 3226384640, 3226385407, 'BE', 'Belgium'),
(97146, '192.78.188.0', '192.78.219.255', 3226385408, 3226393599, 'US', 'United States'),
(97147, '192.78.220.0', '192.78.220.255', 3226393600, 3226393855, 'DE', 'Germany'),
(97148, '192.78.221.0', '192.78.235.255', 3226393856, 3226397695, 'US', 'United States'),
(97149, '192.78.236.0', '192.78.245.255', 3226397696, 3226400255, 'DE', 'Germany'),
(97150, '192.78.246.0', '192.79.255.255', 3226400256, 3226468351, 'US', 'United States'),
(97151, '192.80.8.0', '192.80.19.255', 3226470400, 3226473471, 'US', 'United States'),
(97152, '192.80.20.0', '192.80.21.255', 3226473472, 3226473983, 'PT', 'Portugal'),
(97153, '192.80.22.0', '192.80.23.255', 3226473984, 3226474495, 'US', 'United States'),
(97154, '192.80.24.0', '192.80.24.255', 3226474496, 3226474751, 'CL', 'Chile'),
(97155, '192.80.27.0', '192.80.27.255', 3226475264, 3226475519, 'US', 'United States'),
(97156, '192.80.29.0', '192.80.30.255', 3226475776, 3226476287, 'US', 'United States'),
(97157, '192.80.31.0', '192.80.42.255', 3226476288, 3226479359, 'CH', 'Switzerland'),
(97158, '192.80.43.0', '192.80.44.255', 3226479360, 3226479871, 'US', 'United States'),
(97159, '192.80.46.0', '192.80.46.255', 3226480128, 3226480383, 'GB', 'United Kingdom'),
(97160, '192.80.47.0', '192.80.50.255', 3226480384, 3226481407, 'US', 'United States'),
(97161, '192.80.51.0', '192.80.51.255', 3226481408, 3226481663, 'DE', 'Germany'),
(97162, '192.80.52.0', '192.80.95.255', 3226481664, 3226492927, 'US', 'United States'),
(97163, '192.80.207.0', '192.80.208.255', 3226521344, 3226521855, 'US', 'United States'),
(97164, '192.80.209.0', '192.80.209.255', 3226521856, 3226522111, 'BR', 'Brazil'),
(97165, '192.80.210.0', '192.80.255.255', 3226522112, 3226533887, 'US', 'United States'),
(97166, '192.81.8.0', '192.81.8.255', 3226535936, 3226536191, 'US', 'United States'),
(97167, '192.81.48.0', '192.81.48.255', 3226546176, 3226546431, 'US', 'United States'),
(97168, '192.81.59.0', '192.81.59.255', 3226548992, 3226549247, 'BE', 'Belgium'),
(97169, '192.81.60.0', '192.81.63.255', 3226549248, 3226550271, 'GB', 'United Kingdom'),
(97170, '192.81.64.0', '192.81.79.255', 3226550272, 3226554367, 'US', 'United States'),
(97171, '192.81.85.0', '192.81.85.255', 3226555648, 3226555903, 'CA', 'Canada'),
(97172, '192.81.88.0', '192.81.88.255', 3226556416, 3226556671, 'US', 'United States'),
(97173, '192.81.97.0', '192.81.97.255', 3226558720, 3226558975, 'US', 'United States'),
(97174, '192.81.109.0', '192.81.109.255', 3226561792, 3226562047, 'NO', 'Norway'),
(97175, '192.81.114.0', '192.81.114.255', 3226563072, 3226563327, 'US', 'United States'),
(97176, '192.81.121.0', '192.81.121.255', 3226564864, 3226565119, 'DE', 'Germany'),
(97177, '192.81.123.0', '192.81.123.255', 3226565376, 3226565631, 'FI', 'Finland'),
(97178, '192.81.141.0', '192.81.141.255', 3226569984, 3226570239, 'US', 'United States'),
(97179, '192.81.160.0', '192.81.160.255', 3226574848, 3226575103, 'FI', 'Finland'),
(97180, '192.81.166.0', '192.81.166.255', 3226576384, 3226576639, 'US', 'United States'),
(97181, '192.81.182.0', '192.81.184.255', 3226580480, 3226581247, 'FI', 'Finland'),
(97182, '192.81.190.0', '192.81.190.255', 3226582528, 3226582783, 'US', 'United States'),
(97183, '192.81.192.0', '192.81.192.255', 3226583040, 3226583295, 'US', 'United States'),
(97184, '192.81.194.0', '192.81.194.255', 3226583552, 3226583807, 'SE', 'Sweden'),
(97185, '192.81.230.0', '192.81.230.255', 3226592768, 3226593023, 'DE', 'Germany'),
(97186, '192.81.234.0', '192.81.234.255', 3226593792, 3226594047, 'GB', 'United Kingdom'),
(97187, '192.81.252.0', '192.81.253.255', 3226598400, 3226598911, 'US', 'United States'),
(97188, '192.82.0.0', '192.82.103.255', 3226599424, 3226626047, 'US', 'United States'),
(97189, '192.82.104.0', '192.82.104.255', 3226626048, 3226626303, 'CA', 'Canada'),
(97190, '192.82.105.0', '192.82.116.255', 3226626304, 3226629375, 'US', 'United States'),
(97191, '192.82.117.0', '192.82.117.255', 3226629376, 3226629631, 'CA', 'Canada'),
(97192, '192.82.118.0', '192.82.120.255', 3226629632, 3226630399, 'US', 'United States'),
(97193, '192.82.121.0', '192.82.121.255', 3226630400, 3226630655, 'GB', 'United Kingdom'),
(97194, '192.82.123.0', '192.82.123.255', 3226630912, 3226631167, 'US', 'United States'),
(97195, '192.82.124.0', '192.82.124.255', 3226631168, 3226631423, 'CH', 'Switzerland'),
(97196, '192.82.125.0', '192.82.126.255', 3226631424, 3226631935, 'US', 'United States'),
(97197, '192.82.127.0', '192.82.127.255', 3226631936, 3226632191, 'PT', 'Portugal'),
(97198, '192.82.128.0', '192.82.131.255', 3226632192, 3226633215, 'CA', 'Canada'),
(97199, '192.82.139.0', '192.82.139.255', 3226635008, 3226635263, 'US', 'United States'),
(97200, '192.82.140.0', '192.82.140.255', 3226635264, 3226635519, 'AU', 'Australia'),
(97201, '192.82.141.0', '192.82.141.255', 3226635520, 3226635775, 'US', 'United States'),
(97202, '192.82.142.0', '192.82.142.255', 3226635776, 3226636031, 'ZA', 'South Africa'),
(97203, '192.82.143.0', '192.82.143.255', 3226636032, 3226636287, 'AU', 'Australia'),
(97204, '192.82.147.0', '192.82.149.255', 3226637056, 3226637823, 'US', 'United States'),
(97205, '192.82.150.0', '192.82.150.255', 3226637824, 3226638079, 'CA', 'Canada'),
(97206, '192.82.151.0', '192.82.151.255', 3226638080, 3226638335, 'US', 'United States'),
(97207, '192.82.153.0', '192.82.153.255', 3226638592, 3226638847, 'GB', 'United Kingdom'),
(97208, '192.82.154.0', '192.82.156.255', 3226638848, 3226639615, 'US', 'United States'),
(97209, '192.82.157.0', '192.82.158.255', 3226639616, 3226640127, 'AT', 'Austria'),
(97210, '192.82.159.0', '192.82.160.255', 3226640128, 3226640639, 'US', 'United States'),
(97211, '192.82.161.0', '192.82.161.255', 3226640640, 3226640895, 'AU', 'Australia'),
(97212, '192.82.162.0', '192.82.213.255', 3226640896, 3226654207, 'US', 'United States'),
(97213, '192.82.214.0', '192.82.214.255', 3226654208, 3226654463, 'PT', 'Portugal'),
(97214, '192.82.215.0', '192.82.219.255', 3226654464, 3226655743, 'US', 'United States'),
(97215, '192.82.220.0', '192.82.221.255', 3226655744, 3226656255, 'IT', 'Italy'),
(97216, '192.82.222.0', '192.82.222.255', 3226656256, 3226656511, 'AU', 'Australia'),
(97217, '192.82.223.0', '192.82.240.255', 3226656512, 3226661119, 'US', 'United States'),
(97218, '192.82.241.0', '192.82.241.255', 3226661120, 3226661375, 'DE', 'Germany'),
(97219, '192.82.244.0', '192.82.244.255', 3226661888, 3226662143, 'US', 'United States'),
(97220, '192.83.0.0', '192.83.100.255', 3226664960, 3226690815, 'FI', 'Finland'),
(97221, '192.83.101.0', '192.83.101.255', 3226690816, 3226691071, 'CA', 'Canada'),
(97222, '192.83.102.0', '192.83.102.255', 3226691072, 3226691327, 'GB', 'United Kingdom'),
(97223, '192.83.104.0', '192.83.111.255', 3226691584, 3226693631, 'US', 'United States'),
(97224, '192.83.114.0', '192.83.117.255', 3226694144, 3226695167, 'US', 'United States'),
(97225, '192.83.118.0', '192.83.119.255', 3226695168, 3226695679, 'AU', 'Australia'),
(97226, '192.83.120.0', '192.83.120.255', 3226695680, 3226695935, 'US', 'United States'),
(97227, '192.83.121.0', '192.83.121.255', 3226695936, 3226696191, 'CA', 'Canada'),
(97228, '192.83.123.0', '192.83.123.255', 3226696448, 3226696703, 'AU', 'Australia'),
(97229, '192.83.158.0', '192.83.159.255', 3226705408, 3226705919, 'US', 'United States'),
(97230, '192.83.160.0', '192.83.160.255', 3226705920, 3226706175, 'FR', 'France'),
(97231, '192.83.161.0', '192.83.163.255', 3226706176, 3226706943, 'US', 'United States'),
(97232, '192.83.165.0', '192.83.165.255', 3226707200, 3226707455, 'PL', 'Poland'),
(97233, '192.83.166.0', '192.83.196.255', 3226707456, 3226715391, 'TW', 'Taiwan'),
(97234, '192.83.197.0', '192.83.197.255', 3226715392, 3226715647, 'US', 'United States'),
(97235, '192.83.198.0', '192.83.198.255', 3226715648, 3226715903, 'AU', 'Australia'),
(97236, '192.83.199.0', '192.83.199.255', 3226715904, 3226716159, 'US', 'United States'),
(97237, '192.83.200.0', '192.83.200.255', 3226716160, 3226716415, 'GB', 'United Kingdom'),
(97238, '192.83.202.0', '192.83.202.255', 3226716672, 3226716927, 'GB', 'United Kingdom'),
(97239, '192.83.203.0', '192.83.204.255', 3226716928, 3226717439, 'US', 'United States'),
(97240, '192.83.206.0', '192.83.206.255', 3226717696, 3226717951, 'US', 'United States'),
(97241, '192.83.207.0', '192.83.216.255', 3226717952, 3226720511, 'GB', 'United Kingdom'),
(97242, '192.83.218.0', '192.83.219.255', 3226720768, 3226721279, 'JP', 'Japan'),
(97243, '192.83.220.0', '192.83.221.255', 3226721280, 3226721791, 'US', 'United States'),
(97244, '192.83.223.0', '192.83.223.255', 3226722048, 3226722303, 'CH', 'Switzerland'),
(97245, '192.83.224.0', '192.83.224.255', 3226722304, 3226722559, 'AU', 'Australia'),
(97246, '192.83.225.0', '192.83.228.255', 3226722560, 3226723583, 'US', 'United States'),
(97247, '192.83.229.0', '192.83.229.255', 3226723584, 3226723839, 'DE', 'Germany'),
(97248, '192.83.230.0', '192.83.230.255', 3226723840, 3226724095, 'US', 'United States'),
(97249, '192.83.231.0', '192.83.231.255', 3226724096, 3226724351, 'AU', 'Australia'),
(97250, '192.83.232.0', '192.83.236.255', 3226724352, 3226725631, 'US', 'United States'),
(97251, '192.83.237.0', '192.83.238.255', 3226725632, 3226726143, 'AU', 'Australia'),
(97252, '192.83.239.0', '192.83.246.255', 3226726144, 3226728191, 'US', 'United States'),
(97253, '192.83.247.0', '192.83.247.255', 3226728192, 3226728447, 'CA', 'Canada'),
(97254, '192.83.248.0', '192.83.255.255', 3226728448, 3226730495, 'US', 'United States'),
(97255, '192.84.2.0', '192.84.3.255', 3226731008, 3226731519, 'US', 'United States'),
(97256, '192.84.5.0', '192.84.5.255', 3226731776, 3226732031, 'GB', 'United Kingdom'),
(97257, '192.84.7.0', '192.84.11.255', 3226732288, 3226733567, 'US', 'United States'),
(97258, '192.84.12.0', '192.84.12.255', 3226733568, 3226733823, 'MX', 'Mexico'),
(97259, '192.84.13.0', '192.84.13.255', 3226733824, 3226734079, 'PT', 'Portugal'),
(97260, '192.84.14.0', '192.84.14.255', 3226734080, 3226734335, 'US', 'United States'),
(97261, '192.84.15.0', '192.84.15.255', 3226734336, 3226734591, 'PT', 'Portugal'),
(97262, '192.84.16.0', '192.84.26.255', 3226734592, 3226737407, 'US', 'United States'),
(97263, '192.84.27.0', '192.84.27.255', 3226737408, 3226737663, 'AT', 'Austria'),
(97264, '192.84.28.0', '192.84.29.255', 3226737664, 3226738175, 'US', 'United States'),
(97265, '192.84.30.0', '192.84.30.255', 3226738176, 3226738431, 'NL', 'Netherlands'),
(97266, '192.84.31.0', '192.84.31.255', 3226738432, 3226738687, 'US', 'United States'),
(97267, '192.84.32.0', '192.84.33.255', 3226738688, 3226739199, 'NO', 'Norway'),
(97268, '192.84.40.0', '192.84.47.255', 3226740736, 3226742783, 'US', 'United States'),
(97269, '192.84.55.0', '192.84.61.255', 3226744576, 3226746367, 'US', 'United States'),
(97270, '192.84.62.0', '192.84.62.255', 3226746368, 3226746623, 'PT', 'Portugal'),
(97271, '192.84.63.0', '192.84.71.255', 3226746624, 3226748927, 'US', 'United States'),
(97272, '192.84.74.0', '192.84.74.255', 3226749440, 3226749695, 'US', 'United States'),
(97273, '192.84.75.0', '192.84.84.255', 3226749696, 3226752255, 'GB', 'United Kingdom'),
(97274, '192.84.85.0', '192.84.86.255', 3226752256, 3226752767, 'US', 'United States'),
(97275, '192.84.87.0', '192.84.87.255', 3226752768, 3226753023, 'IT', 'Italy'),
(97276, '192.84.88.0', '192.84.88.255', 3226753024, 3226753279, 'US', 'United States'),
(97277, '192.84.89.0', '192.84.89.255', 3226753280, 3226753535, 'AU', 'Australia'),
(97278, '192.84.90.0', '192.84.90.255', 3226753536, 3226753791, 'SI', 'Slovenia'),
(97279, '192.84.91.0', '192.84.92.255', 3226753792, 3226754303, 'HR', 'Croatia'),
(97280, '192.84.93.0', '192.84.104.255', 3226754304, 3226757375, 'SI', 'Slovenia'),
(97281, '192.84.105.0', '192.84.106.255', 3226757376, 3226757887, 'HR', 'Croatia'),
(97282, '192.84.107.0', '192.84.109.255', 3226757888, 3226758655, 'SI', 'Slovenia'),
(97283, '192.84.111.0', '192.84.125.255', 3226758912, 3226762751, 'US', 'United States'),
(97284, '192.84.127.0', '192.84.156.255', 3226763008, 3226770687, 'IT', 'Italy'),
(97285, '192.84.157.0', '192.84.165.255', 3226770688, 3226772991, 'US', 'United States'),
(97286, '192.84.166.0', '192.84.166.255', 3226772992, 3226773247, 'CH', 'Switzerland'),
(97287, '192.84.167.0', '192.84.172.255', 3226773248, 3226774783, 'US', 'United States'),
(97288, '192.84.173.0', '192.84.173.255', 3226774784, 3226775039, 'GB', 'United Kingdom'),
(97289, '192.84.174.0', '192.84.174.255', 3226775040, 3226775295, 'US', 'United States'),
(97290, '192.84.176.0', '192.84.207.255', 3226775552, 3226783743, 'FI', 'Finland'),
(97291, '192.84.208.0', '192.84.211.255', 3226783744, 3226784767, 'US', 'United States'),
(97292, '192.84.212.0', '192.84.212.255', 3226784768, 3226785023, 'GB', 'United Kingdom'),
(97293, '192.84.213.0', '192.84.218.255', 3226785024, 3226786559, 'US', 'United States'),
(97294, '192.84.219.0', '192.84.219.255', 3226786560, 3226786815, 'AU', 'Australia'),
(97295, '192.84.220.0', '192.84.220.255', 3226786816, 3226787071, 'DE', 'Germany'),
(97296, '192.84.221.0', '192.84.221.255', 3226787072, 3226787327, 'AT', 'Austria'),
(97297, '192.84.222.0', '192.84.224.255', 3226787328, 3226788095, 'US', 'United States'),
(97298, '192.84.226.0', '192.84.229.255', 3226788352, 3226789375, 'HU', 'Hungary'),
(97299, '192.84.230.0', '192.84.230.255', 3226789376, 3226789631, 'AU', 'Australia'),
(97300, '192.84.231.0', '192.84.236.255', 3226789632, 3226791167, 'US', 'United States'),
(97301, '192.84.237.0', '192.84.238.255', 3226791168, 3226791679, 'AU', 'Australia'),
(97302, '192.84.239.0', '192.84.240.255', 3226791680, 3226792191, 'US', 'United States'),
(97303, '192.84.242.0', '192.84.242.255', 3226792448, 3226792703, 'AU', 'Australia'),
(97304, '192.84.243.0', '192.84.243.255', 3226792704, 3226792959, 'US', 'United States'),
(97305, '192.84.244.0', '192.84.244.255', 3226792960, 3226793215, 'ZA', 'South Africa'),
(97306, '192.84.245.0', '192.84.247.255', 3226793216, 3226793983, 'DE', 'Germany'),
(97307, '192.84.248.0', '192.84.252.255', 3226793984, 3226795263, 'US', 'United States'),
(97308, '192.84.253.0', '192.84.253.255', 3226795264, 3226795519, 'NZ', 'New Zealand'),
(97309, '192.84.254.0', '192.84.254.255', 3226795520, 3226795775, 'US', 'United States'),
(97310, '192.85.0.0', '192.85.15.255', 3226796032, 3226800127, 'US', 'United States'),
(97311, '192.85.16.0', '192.85.17.255', 3226800128, 3226800639, 'DE', 'Germany'),
(97312, '192.85.18.0', '192.85.59.255', 3226800640, 3226811391, 'US', 'United States'),
(97313, '192.85.60.0', '192.85.60.255', 3226811392, 3226811647, 'DE', 'Germany'),
(97314, '192.85.61.0', '192.85.109.255', 3226811648, 3226824191, 'US', 'United States'),
(97315, '192.85.110.0', '192.85.110.255', 3226824192, 3226824447, 'EU', 'Europe'),
(97316, '192.85.111.0', '192.85.255.255', 3226824448, 3226861567, 'US', 'United States'),
(97317, '192.86.1.0', '192.86.1.255', 3226861824, 3226862079, 'CA', 'Canada'),
(97318, '192.86.2.0', '192.86.10.255', 3226862080, 3226864383, 'US', 'United States'),
(97319, '192.86.11.0', '192.86.11.255', 3226864384, 3226864639, 'RU', 'Russian Federation'),
(97320, '192.86.13.0', '192.86.13.255', 3226864896, 3226865151, 'US', 'United States'),
(97321, '192.86.14.0', '192.86.14.255', 3226865152, 3226865407, 'PL', 'Poland'),
(97322, '192.86.15.0', '192.86.17.255', 3226865408, 3226866175, 'US', 'United States'),
(97323, '192.86.18.0', '192.86.18.255', 3226866176, 3226866431, 'GB', 'United Kingdom'),
(97324, '192.86.19.0', '192.86.24.255', 3226866432, 3226867967, 'US', 'United States'),
(97325, '192.86.25.0', '192.86.25.255', 3226867968, 3226868223, 'IL', 'Israel'),
(97326, '192.86.26.0', '192.86.26.255', 3226868224, 3226868479, 'US', 'United States'),
(97327, '192.86.27.0', '192.86.27.255', 3226868480, 3226868735, 'GB', 'United Kingdom'),
(97328, '192.86.28.0', '192.86.88.255', 3226868736, 3226884351, 'US', 'United States'),
(97329, '192.86.89.0', '192.86.89.255', 3226884352, 3226884607, 'IL', 'Israel'),
(97330, '192.86.90.0', '192.86.124.255', 3226884608, 3226893567, 'US', 'United States'),
(97331, '192.86.125.0', '192.86.126.255', 3226893568, 3226894079, 'NL', 'Netherlands'),
(97332, '192.86.127.0', '192.86.127.255', 3226894080, 3226894335, 'GB', 'United Kingdom'),
(97333, '192.86.128.0', '192.86.131.255', 3226894336, 3226895359, 'US', 'United States'),
(97334, '192.86.134.0', '192.86.134.255', 3226895872, 3226896127, 'GB', 'United Kingdom'),
(97335, '192.86.135.0', '192.86.136.255', 3226896128, 3226896639, 'US', 'United States'),
(97336, '192.86.137.0', '192.86.137.255', 3226896640, 3226896895, 'GB', 'United Kingdom'),
(97337, '192.86.138.0', '192.86.138.255', 3226896896, 3226897151, 'PT', 'Portugal'),
(97338, '192.86.139.0', '192.86.159.255', 3226897152, 3226902527, 'US', 'United States'),
(97339, '192.86.162.0', '192.86.162.255', 3226903040, 3226903295, 'US', 'United States'),
(97340, '192.86.163.0', '192.86.163.255', 3226903296, 3226903551, 'DE', 'Germany'),
(97341, '192.86.164.0', '192.86.164.255', 3226903552, 3226903807, 'US', 'United States'),
(97342, '192.86.165.0', '192.86.165.255', 3226903808, 3226904063, 'AU', 'Australia'),
(97343, '192.86.166.0', '192.86.166.255', 3226904064, 3226904319, 'CH', 'Switzerland'),
(97344, '192.86.167.0', '192.86.167.255', 3226904320, 3226904575, 'FR', 'France'),
(97345, '192.86.168.0', '192.86.168.255', 3226904576, 3226904831, 'US', 'United States'),
(97346, '192.86.169.0', '192.86.169.255', 3226904832, 3226905087, 'GB', 'United Kingdom'),
(97347, '192.86.170.0', '192.86.253.255', 3226905088, 3226926591, 'US', 'United States'),
(97348, '192.86.254.0', '192.86.254.255', 3226926592, 3226926847, 'SE', 'Sweden'),
(97349, '192.87.0.0', '192.87.255.255', 3226927104, 3226992639, 'NL', 'Netherlands'),
(97350, '192.88.1.0', '192.88.1.255', 3226992896, 3226993151, 'CH', 'Switzerland'),
(97351, '192.88.2.0', '192.88.3.255', 3226993152, 3226993663, 'US', 'United States'),
(97352, '192.88.4.0', '192.88.4.255', 3226993664, 3226993919, 'DE', 'Germany'),
(97353, '192.88.5.0', '192.88.5.255', 3226993920, 3226994175, 'US', 'United States'),
(97354, '192.88.6.0', '192.88.7.255', 3226994176, 3226994687, 'AU', 'Australia'),
(97355, '192.88.8.0', '192.88.8.255', 3226994688, 3226994943, 'US', 'United States'),
(97356, '192.88.9.0', '192.88.10.255', 3226994944, 3226995455, 'GB', 'United Kingdom'),
(97357, '192.88.11.0', '192.88.15.255', 3226995456, 3226996735, 'US', 'United States'),
(97358, '192.88.17.0', '192.88.17.255', 3226996992, 3226997247, 'PT', 'Portugal'),
(97359, '192.88.21.0', '192.88.22.255', 3226998016, 3226998527, 'US', 'United States'),
(97360, '192.88.23.0', '192.88.24.255', 3226998528, 3226999039, 'AT', 'Austria'),
(97361, '192.88.25.0', '192.88.79.255', 3226999040, 3227013119, 'US', 'United States'),
(97362, '192.88.81.0', '192.88.82.255', 3227013376, 3227013887, 'US', 'United States'),
(97363, '192.88.83.0', '192.88.84.255', 3227013888, 3227014399, 'GB', 'United Kingdom'),
(97364, '192.88.85.0', '192.88.85.255', 3227014400, 3227014655, 'NZ', 'New Zealand'),
(97365, '192.88.86.0', '192.88.86.255', 3227014656, 3227014911, 'FI', 'Finland'),
(97366, '192.88.87.0', '192.88.95.255', 3227014912, 3227017215, 'US', 'United States'),
(97367, '192.88.97.0', '192.88.98.255', 3227017472, 3227017983, 'DE', 'Germany'),
(97368, '192.88.103.0', '192.88.107.255', 3227019008, 3227020287, 'US', 'United States'),
(97369, '192.88.108.0', '192.88.108.255', 3227020288, 3227020543, 'DE', 'Germany'),
(97370, '192.88.110.0', '192.88.117.255', 3227020800, 3227022847, 'US', 'United States'),
(97371, '192.88.118.0', '192.88.118.255', 3227022848, 3227023103, 'GB', 'United Kingdom'),
(97372, '192.88.120.0', '192.88.120.255', 3227023360, 3227023615, 'US', 'United States'),
(97373, '192.88.122.0', '192.88.122.255', 3227023872, 3227024127, 'US', 'United States'),
(97374, '192.88.123.0', '192.88.123.255', 3227024128, 3227024383, 'PT', 'Portugal'),
(97375, '192.88.124.0', '192.88.125.255', 3227024384, 3227024895, 'US', 'United States'),
(97376, '192.88.128.0', '192.88.128.255', 3227025408, 3227025663, 'GB', 'United Kingdom'),
(97377, '192.88.129.0', '192.88.129.255', 3227025664, 3227025919, 'US', 'United States'),
(97378, '192.88.130.0', '192.88.130.255', 3227025920, 3227026175, 'GB', 'United Kingdom'),
(97379, '192.88.131.0', '192.88.132.255', 3227026176, 3227026687, 'US', 'United States'),
(97380, '192.88.133.0', '192.88.133.255', 3227026688, 3227026943, 'GB', 'United Kingdom'),
(97381, '192.88.136.0', '192.88.165.255', 3227027456, 3227035135, 'US', 'United States'),
(97382, '192.88.166.0', '192.88.166.255', 3227035136, 3227035391, 'EU', 'Europe'),
(97383, '192.88.167.0', '192.88.167.255', 3227035392, 3227035647, 'AP', 'Asia/Pacific Region'),
(97384, '192.88.168.0', '192.88.177.255', 3227035648, 3227038207, 'US', 'United States'),
(97385, '192.88.184.0', '192.88.185.255', 3227039744, 3227040255, 'US', 'United States'),
(97386, '192.88.187.0', '192.88.187.255', 3227040512, 3227040767, 'AU', 'Australia'),
(97387, '192.88.188.0', '192.88.189.255', 3227040768, 3227041279, 'US', 'United States'),
(97388, '192.88.190.0', '192.88.190.255', 3227041280, 3227041535, 'NZ', 'New Zealand'),
(97389, '192.88.191.0', '192.88.195.255', 3227041536, 3227042815, 'US', 'United States'),
(97390, '192.88.196.0', '192.88.196.255', 3227042816, 3227043071, 'IT', 'Italy'),
(97391, '192.88.197.0', '192.88.197.255', 3227043072, 3227043327, 'US', 'United States'),
(97392, '192.88.199.0', '192.88.203.255', 3227043584, 3227044863, 'US', 'United States'),
(97393, '192.88.204.0', '192.88.204.255', 3227044864, 3227045119, 'PL', 'Poland'),
(97394, '192.88.205.0', '192.88.229.255', 3227045120, 3227051519, 'US', 'United States'),
(97395, '192.88.230.0', '192.88.230.255', 3227051520, 3227051775, 'AP', 'Asia/Pacific Region'),
(97396, '192.88.231.0', '192.88.237.255', 3227051776, 3227053567, 'US', 'United States'),
(97397, '192.88.238.0', '192.88.238.255', 3227053568, 3227053823, 'GB', 'United Kingdom'),
(97398, '192.88.239.0', '192.88.239.255', 3227053824, 3227054079, 'DE', 'Germany'),
(97399, '192.88.240.0', '192.88.249.255', 3227054080, 3227056639, 'US', 'United States'),
(97400, '192.88.250.0', '192.88.255.255', 3227056640, 3227058175, 'PT', 'Portugal'),
(97401, '192.89.0.0', '192.89.98.255', 3227058176, 3227083519, 'FI', 'Finland'),
(97402, '192.89.99.0', '192.89.99.255', 3227083520, 3227083775, 'ES', 'Spain'),
(97403, '192.89.100.0', '192.89.253.255', 3227083776, 3227123199, 'FI', 'Finland'),
(97404, '192.89.254.0', '192.89.254.255', 3227123200, 3227123455, 'AX', 'Aland Islands'),
(97405, '192.89.255.0', '192.89.255.255', 3227123456, 3227123711, 'FI', 'Finland'),
(97406, '192.90.0.0', '192.91.60.9', 3227123712, 3227204617, 'US', 'United States'),
(97407, '192.91.60.10', '192.91.60.11', 3227204618, 3227204619, 'EU', 'Europe'),
(97408, '192.91.60.12', '192.91.139.255', 3227204620, 3227225087, 'US', 'United States'),
(97409, '192.91.140.0', '192.91.141.255', 3227225088, 3227225599, 'LU', 'Luxembourg'),
(97410, '192.91.142.0', '192.91.176.255', 3227225600, 3227234559, 'US', 'United States'),
(97411, '192.91.177.0', '192.91.177.255', 3227234560, 3227234815, 'PT', 'Portugal'),
(97412, '192.91.178.0', '192.91.178.255', 3227234816, 3227235071, 'US', 'United States'),
(97413, '192.91.179.0', '192.91.179.255', 3227235072, 3227235327, 'AU', 'Australia'),
(97414, '192.91.180.0', '192.91.184.255', 3227235328, 3227236607, 'US', 'United States'),
(97415, '192.91.185.0', '192.91.185.255', 3227236608, 3227236863, 'AU', 'Australia'),
(97416, '192.91.186.0', '192.91.186.255', 3227236864, 3227237119, 'RU', 'Russian Federation'),
(97417, '192.91.187.0', '192.91.188.255', 3227237120, 3227237631, 'US', 'United States'),
(97418, '192.91.189.0', '192.91.189.255', 3227237632, 3227237887, 'NO', 'Norway'),
(97419, '192.91.190.0', '192.91.190.255', 3227237888, 3227238143, 'US', 'United States'),
(97420, '192.91.191.0', '192.91.191.255', 3227238144, 3227238399, 'GB', 'United Kingdom'),
(97421, '192.91.192.0', '192.91.197.255', 3227238400, 3227239935, 'US', 'United States'),
(97422, '192.91.199.0', '192.91.199.255', 3227240192, 3227240447, 'GB', 'United Kingdom'),
(97423, '192.91.200.0', '192.91.200.255', 3227240448, 3227240703, 'BE', 'Belgium'),
(97424, '192.91.201.0', '192.91.201.255', 3227240704, 3227240959, 'GB', 'United Kingdom'),
(97425, '192.91.202.0', '192.91.209.255', 3227240960, 3227243007, 'US', 'United States'),
(97426, '192.91.210.0', '192.91.210.255', 3227243008, 3227243263, 'CA', 'Canada'),
(97427, '192.91.211.0', '192.91.211.255', 3227243264, 3227243519, 'GB', 'United Kingdom'),
(97428, '192.91.212.0', '192.91.212.255', 3227243520, 3227243775, 'US', 'United States'),
(97429, '192.91.214.0', '192.91.233.255', 3227244032, 3227249151, 'SE', 'Sweden'),
(97430, '192.91.235.0', '192.91.235.255', 3227249408, 3227249663, 'US', 'United States'),
(97431, '192.91.236.0', '192.91.247.255', 3227249664, 3227252735, 'CH', 'Switzerland'),
(97432, '192.91.248.0', '192.92.74.255', 3227252736, 3227273983, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(97433, '192.92.75.0', '192.92.75.255', 3227273984, 3227274239, 'FI', 'Finland'),
(97434, '192.92.76.0', '192.92.76.255', 3227274240, 3227274495, 'US', 'United States'),
(97435, '192.92.77.0', '192.92.77.255', 3227274496, 3227274751, 'NL', 'Netherlands'),
(97436, '192.92.78.0', '192.92.84.255', 3227274752, 3227276543, 'US', 'United States'),
(97437, '192.92.86.0', '192.92.86.255', 3227276800, 3227277055, 'FR', 'France'),
(97438, '192.92.88.0', '192.92.93.255', 3227277312, 3227278847, 'US', 'United States'),
(97439, '192.92.94.0', '192.92.94.255', 3227278848, 3227279103, 'EU', 'Europe'),
(97440, '192.92.95.0', '192.92.103.255', 3227279104, 3227281407, 'US', 'United States'),
(97441, '192.92.104.0', '192.92.106.255', 3227281408, 3227282175, 'IT', 'Italy'),
(97442, '192.92.107.0', '192.92.107.255', 3227282176, 3227282431, 'US', 'United States'),
(97443, '192.92.108.0', '192.92.108.255', 3227282432, 3227282687, 'NL', 'Netherlands'),
(97444, '192.92.109.0', '192.92.109.255', 3227282688, 3227282943, 'GB', 'United Kingdom'),
(97445, '192.92.110.0', '192.92.115.255', 3227282944, 3227284479, 'US', 'United States'),
(97446, '192.92.116.0', '192.92.116.255', 3227284480, 3227284735, 'FI', 'Finland'),
(97447, '192.92.118.0', '192.92.124.255', 3227284992, 3227286783, 'US', 'United States'),
(97448, '192.92.125.0', '192.92.125.255', 3227286784, 3227287039, 'AT', 'Austria'),
(97449, '192.92.126.0', '192.92.126.255', 3227287040, 3227287295, 'IT', 'Italy'),
(97450, '192.92.127.0', '192.92.127.255', 3227287296, 3227287551, 'NL', 'Netherlands'),
(97451, '192.92.128.0', '192.92.128.255', 3227287552, 3227287807, 'CH', 'Switzerland'),
(97452, '192.92.129.0', '192.92.129.255', 3227287808, 3227288063, 'BG', 'Bulgaria'),
(97453, '192.92.130.0', '192.92.130.255', 3227288064, 3227288319, 'BE', 'Belgium'),
(97454, '192.92.131.0', '192.92.132.255', 3227288320, 3227288831, 'NL', 'Netherlands'),
(97455, '192.92.133.0', '192.92.133.255', 3227288832, 3227289087, 'PT', 'Portugal'),
(97456, '192.92.134.0', '192.92.134.255', 3227289088, 3227289343, 'NL', 'Netherlands'),
(97457, '192.92.135.0', '192.92.135.255', 3227289344, 3227289599, 'PT', 'Portugal'),
(97458, '192.92.136.0', '192.92.137.255', 3227289600, 3227290111, 'NL', 'Netherlands'),
(97459, '192.92.138.0', '192.92.138.255', 3227290112, 3227290367, 'AT', 'Austria'),
(97460, '192.92.139.0', '192.92.139.255', 3227290368, 3227290623, 'CH', 'Switzerland'),
(97461, '192.92.141.0', '192.92.141.255', 3227290880, 3227291135, 'AT', 'Austria'),
(97462, '192.92.142.0', '192.92.154.255', 3227291136, 3227294463, 'PT', 'Portugal'),
(97463, '192.92.155.0', '192.92.156.255', 3227294464, 3227294975, 'GR', 'Greece'),
(97464, '192.92.158.0', '192.92.199.255', 3227295232, 3227305983, 'US', 'United States'),
(97465, '192.92.215.0', '192.92.215.255', 3227309824, 3227310079, 'US', 'United States'),
(97466, '192.92.216.0', '192.92.216.255', 3227310080, 3227310335, 'NO', 'Norway'),
(97467, '192.92.217.0', '192.92.223.255', 3227310336, 3227312127, 'US', 'United States'),
(97468, '192.92.224.0', '192.92.224.255', 3227312128, 3227312383, 'DK', 'Denmark'),
(97469, '192.92.225.0', '192.92.235.255', 3227312384, 3227315199, 'US', 'United States'),
(97470, '192.93.0.0', '192.93.161.255', 3227320320, 3227361791, 'FR', 'France'),
(97471, '192.93.162.0', '192.93.163.255', 3227361792, 3227362303, 'US', 'United States'),
(97472, '192.93.164.0', '192.93.164.255', 3227362304, 3227362559, 'GB', 'United Kingdom'),
(97473, '192.93.165.0', '192.93.255.255', 3227362560, 3227385855, 'FR', 'France'),
(97474, '192.94.0.0', '192.94.23.255', 3227385856, 3227391999, 'US', 'United States'),
(97475, '192.94.24.0', '192.94.24.255', 3227392000, 3227392255, 'PT', 'Portugal'),
(97476, '192.94.25.0', '192.94.27.255', 3227392256, 3227393023, 'US', 'United States'),
(97477, '192.94.28.0', '192.94.28.255', 3227393024, 3227393279, 'AT', 'Austria'),
(97478, '192.94.29.0', '192.94.30.255', 3227393280, 3227393791, 'US', 'United States'),
(97479, '192.94.31.0', '192.94.31.255', 3227393792, 3227394047, 'EU', 'Europe'),
(97480, '192.94.32.0', '192.94.40.255', 3227394048, 3227396351, 'US', 'United States'),
(97481, '192.94.41.0', '192.94.41.255', 3227396352, 3227396607, 'AU', 'Australia'),
(97482, '192.94.42.0', '192.94.56.255', 3227396608, 3227400447, 'US', 'United States'),
(97483, '192.94.57.0', '192.94.57.255', 3227400448, 3227400703, 'AT', 'Austria'),
(97484, '192.94.58.0', '192.94.58.255', 3227400704, 3227400959, 'GB', 'United Kingdom'),
(97485, '192.94.59.0', '192.94.60.255', 3227400960, 3227401471, 'US', 'United States'),
(97486, '192.94.61.0', '192.94.61.255', 3227401472, 3227401727, 'ZA', 'South Africa'),
(97487, '192.94.62.0', '192.94.64.255', 3227401728, 3227402495, 'AU', 'Australia'),
(97488, '192.94.65.0', '192.94.66.255', 3227402496, 3227403007, 'US', 'United States'),
(97489, '192.94.67.0', '192.94.68.255', 3227403008, 3227403519, 'GR', 'Greece'),
(97490, '192.94.69.0', '192.94.69.255', 3227403520, 3227403775, 'US', 'United States'),
(97491, '192.94.72.0', '192.94.75.255', 3227404288, 3227405311, 'US', 'United States'),
(97492, '192.94.76.0', '192.94.76.255', 3227405312, 3227405567, 'DE', 'Germany'),
(97493, '192.94.77.0', '192.94.109.255', 3227405568, 3227414015, 'US', 'United States'),
(97494, '192.94.111.0', '192.94.115.255', 3227414272, 3227415551, 'GB', 'United Kingdom'),
(97495, '192.94.116.0', '192.94.116.255', 3227415552, 3227415807, 'US', 'United States'),
(97496, '192.94.117.0', '192.94.117.255', 3227415808, 3227416063, 'GB', 'United Kingdom'),
(97497, '192.94.118.0', '192.94.121.255', 3227416064, 3227417087, 'US', 'United States'),
(97498, '192.94.122.0', '192.94.122.255', 3227417088, 3227417343, 'BN', 'Brunei Darussalam'),
(97499, '192.94.123.0', '192.94.123.255', 3227417344, 3227417599, 'US', 'United States'),
(97500, '192.94.125.0', '192.94.125.255', 3227417856, 3227418111, 'US', 'United States'),
(97501, '192.94.126.0', '192.94.126.255', 3227418112, 3227418367, 'CA', 'Canada'),
(97502, '192.94.127.0', '192.94.155.255', 3227418368, 3227425791, 'US', 'United States'),
(97503, '192.94.156.0', '192.94.162.255', 3227425792, 3227427583, 'DK', 'Denmark'),
(97504, '192.94.163.0', '192.94.163.255', 3227427584, 3227427839, 'ES', 'Spain'),
(97505, '192.94.164.0', '192.94.168.255', 3227427840, 3227429119, 'US', 'United States'),
(97506, '192.94.169.0', '192.94.169.255', 3227429120, 3227429375, 'NZ', 'New Zealand'),
(97507, '192.94.170.0', '192.94.171.255', 3227429376, 3227429887, 'US', 'United States'),
(97508, '192.94.172.0', '192.94.172.255', 3227429888, 3227430143, 'GB', 'United Kingdom'),
(97509, '192.94.173.0', '192.94.173.255', 3227430144, 3227430399, 'US', 'United States'),
(97510, '192.94.174.0', '192.94.174.255', 3227430400, 3227430655, 'HK', 'Hong Kong'),
(97511, '192.94.175.0', '192.94.199.255', 3227430656, 3227437055, 'FR', 'France'),
(97512, '192.94.200.0', '192.94.207.255', 3227437056, 3227439103, 'US', 'United States'),
(97513, '192.94.208.0', '192.94.209.255', 3227439104, 3227439615, 'AU', 'Australia'),
(97514, '192.94.210.0', '192.94.210.255', 3227439616, 3227439871, 'ZA', 'South Africa'),
(97515, '192.94.211.0', '192.94.211.255', 3227439872, 3227440127, 'US', 'United States'),
(97516, '192.94.212.0', '192.94.212.255', 3227440128, 3227440383, 'IT', 'Italy'),
(97517, '192.94.213.0', '192.94.219.255', 3227440384, 3227442175, 'US', 'United States'),
(97518, '192.94.221.0', '192.94.221.255', 3227442432, 3227442687, 'RU', 'Russian Federation'),
(97519, '192.94.222.0', '192.94.225.255', 3227442688, 3227443711, 'US', 'United States'),
(97520, '192.94.226.0', '192.94.226.255', 3227443712, 3227443967, 'AT', 'Austria'),
(97521, '192.94.227.0', '192.94.227.255', 3227443968, 3227444223, 'AU', 'Australia'),
(97522, '192.94.228.0', '192.94.232.255', 3227444224, 3227445503, 'US', 'United States'),
(97523, '192.94.233.0', '192.94.233.255', 3227445504, 3227445759, 'RU', 'Russian Federation'),
(97524, '192.94.234.0', '192.94.234.255', 3227445760, 3227446015, 'US', 'United States'),
(97525, '192.94.235.0', '192.94.235.255', 3227446016, 3227446271, 'GB', 'United Kingdom'),
(97526, '192.94.236.0', '192.94.237.255', 3227446272, 3227446783, 'US', 'United States'),
(97527, '192.94.239.0', '192.94.239.255', 3227447040, 3227447295, 'AT', 'Austria'),
(97528, '192.94.240.0', '192.94.242.255', 3227447296, 3227448063, 'ZA', 'South Africa'),
(97529, '192.94.243.0', '192.94.244.255', 3227448064, 3227448575, 'AU', 'Australia'),
(97530, '192.94.245.0', '192.94.245.255', 3227448576, 3227448831, 'US', 'United States'),
(97531, '192.94.246.0', '192.94.246.255', 3227448832, 3227449087, 'ZA', 'South Africa'),
(97532, '192.94.247.0', '192.94.251.255', 3227449088, 3227450367, 'US', 'United States'),
(97533, '192.95.65.0', '192.95.65.255', 3227468032, 3227468287, 'US', 'United States'),
(97534, '192.96.0.0', '192.96.255.255', 3227516928, 3227582463, 'ZA', 'South Africa'),
(97535, '192.97.0.0', '192.97.217.255', 3227582464, 3227638271, 'US', 'United States'),
(97536, '192.97.218.0', '192.97.218.255', 3227638272, 3227638527, 'CA', 'Canada'),
(97537, '192.97.219.0', '192.97.255.255', 3227638528, 3227647999, 'US', 'United States'),
(97538, '192.98.0.0', '192.98.45.255', 3227648000, 3227659775, 'FI', 'Finland'),
(97539, '192.98.46.0', '192.98.46.255', 3227659776, 3227660031, 'JP', 'Japan'),
(97540, '192.98.47.0', '192.98.48.255', 3227660032, 3227660543, 'FI', 'Finland'),
(97541, '192.98.49.0', '192.98.49.255', 3227660544, 3227660799, 'EE', 'Estonia'),
(97542, '192.98.50.0', '192.98.255.255', 3227660800, 3227713535, 'FI', 'Finland'),
(97543, '192.100.1.0', '192.100.1.255', 3227779328, 3227779583, 'ZA', 'South Africa'),
(97544, '192.100.2.0', '192.100.2.255', 3227779584, 3227779839, 'KR', 'Korea, Republic of'),
(97545, '192.100.3.0', '192.100.17.255', 3227779840, 3227783679, 'US', 'United States'),
(97546, '192.100.18.0', '192.100.18.255', 3227783680, 3227783935, 'FR', 'France'),
(97547, '192.100.19.0', '192.100.21.255', 3227783936, 3227784703, 'US', 'United States'),
(97548, '192.100.22.0', '192.100.22.255', 3227784704, 3227784959, 'AU', 'Australia'),
(97549, '192.100.23.0', '192.100.25.255', 3227784960, 3227785727, 'AT', 'Austria'),
(97550, '192.100.26.0', '192.100.51.255', 3227785728, 3227792383, 'US', 'United States'),
(97551, '192.100.52.0', '192.100.52.255', 3227792384, 3227792639, 'GB', 'United Kingdom'),
(97552, '192.100.53.0', '192.100.53.255', 3227792640, 3227792895, 'NZ', 'New Zealand'),
(97553, '192.100.54.0', '192.100.60.255', 3227792896, 3227794687, 'US', 'United States'),
(97554, '192.100.61.0', '192.100.61.255', 3227794688, 3227794943, 'GB', 'United Kingdom'),
(97555, '192.100.62.0', '192.100.62.255', 3227794944, 3227795199, 'US', 'United States'),
(97556, '192.100.63.0', '192.100.63.255', 3227795200, 3227795455, 'NO', 'Norway'),
(97557, '192.100.64.0', '192.100.71.255', 3227795456, 3227797503, 'US', 'United States'),
(97558, '192.100.76.0', '192.100.76.255', 3227798528, 3227798783, 'US', 'United States'),
(97559, '192.100.77.0', '192.100.77.255', 3227798784, 3227799039, 'TH', 'Thailand'),
(97560, '192.100.78.0', '192.100.78.255', 3227799040, 3227799295, 'GB', 'United Kingdom'),
(97561, '192.100.79.0', '192.100.79.255', 3227799296, 3227799551, 'US', 'United States'),
(97562, '192.100.80.0', '192.100.80.255', 3227799552, 3227799807, 'AU', 'Australia'),
(97563, '192.100.81.0', '192.100.81.255', 3227799808, 3227800063, 'US', 'United States'),
(97564, '192.100.83.0', '192.100.95.255', 3227800320, 3227803647, 'US', 'United States'),
(97565, '192.100.96.0', '192.100.98.255', 3227803648, 3227804415, 'DE', 'Germany'),
(97566, '192.100.99.0', '192.100.99.255', 3227804416, 3227804671, 'GB', 'United Kingdom'),
(97567, '192.100.100.0', '192.100.100.255', 3227804672, 3227804927, 'US', 'United States'),
(97568, '192.100.101.0', '192.100.101.255', 3227804928, 3227805183, 'CA', 'Canada'),
(97569, '192.100.102.0', '192.100.103.255', 3227805184, 3227805695, 'FI', 'Finland'),
(97570, '192.100.104.0', '192.100.106.255', 3227805696, 3227806463, 'US', 'United States'),
(97571, '192.100.107.0', '192.100.107.31', 3227806464, 3227806495, 'FI', 'Finland'),
(97572, '192.100.107.32', '192.100.107.63', 3227806496, 3227806527, 'GB', 'United Kingdom'),
(97573, '192.100.107.64', '192.100.107.255', 3227806528, 3227806719, 'FI', 'Finland'),
(97574, '192.100.108.0', '192.100.108.255', 3227806720, 3227806975, 'US', 'United States'),
(97575, '192.100.109.0', '192.100.109.63', 3227806976, 3227807039, 'SG', 'Singapore'),
(97576, '192.100.109.64', '192.100.111.255', 3227807040, 3227807743, 'US', 'United States'),
(97577, '192.100.112.0', '192.100.116.255', 3227807744, 3227809023, 'FI', 'Finland'),
(97578, '192.100.117.0', '192.100.117.255', 3227809024, 3227809279, 'IN', 'India'),
(97579, '192.100.118.0', '192.100.129.255', 3227809280, 3227812351, 'FI', 'Finland'),
(97580, '192.100.130.0', '192.100.130.255', 3227812352, 3227812607, 'EU', 'Europe'),
(97581, '192.100.131.0', '192.100.133.255', 3227812608, 3227813375, 'FI', 'Finland'),
(97582, '192.100.134.0', '192.100.134.255', 3227813376, 3227813631, 'US', 'United States'),
(97583, '192.100.135.0', '192.100.135.255', 3227813632, 3227813887, 'MY', 'Malaysia'),
(97584, '192.100.136.0', '192.100.140.255', 3227813888, 3227815167, 'GB', 'United Kingdom'),
(97585, '192.100.141.0', '192.100.143.255', 3227815168, 3227815935, 'US', 'United States'),
(97586, '192.100.144.0', '192.100.144.255', 3227815936, 3227816191, 'GB', 'United Kingdom'),
(97587, '192.100.145.0', '192.100.153.255', 3227816192, 3227818495, 'US', 'United States'),
(97588, '192.100.154.0', '192.100.154.255', 3227818496, 3227818751, 'GB', 'United Kingdom'),
(97589, '192.100.155.0', '192.100.255.255', 3227818752, 3227844607, 'MX', 'Mexico'),
(97590, '192.101.1.0', '192.101.1.255', 3227844864, 3227845119, 'ES', 'Spain'),
(97591, '192.101.2.0', '192.101.3.255', 3227845120, 3227845631, 'US', 'United States'),
(97592, '192.101.4.0', '192.101.4.255', 3227845632, 3227845887, 'RU', 'Russian Federation'),
(97593, '192.101.6.0', '192.101.7.255', 3227846144, 3227846655, 'US', 'United States'),
(97594, '192.101.8.0', '192.101.8.255', 3227846656, 3227846911, 'ES', 'Spain'),
(97595, '192.101.11.0', '192.101.11.255', 3227847424, 3227847679, 'GB', 'United Kingdom'),
(97596, '192.101.12.0', '192.101.15.255', 3227847680, 3227848703, 'US', 'United States'),
(97597, '192.101.16.0', '192.101.16.255', 3227848704, 3227848959, 'NZ', 'New Zealand'),
(97598, '192.101.17.0', '192.101.27.255', 3227848960, 3227851775, 'US', 'United States'),
(97599, '192.101.28.0', '192.101.28.255', 3227851776, 3227852031, 'DE', 'Germany'),
(97600, '192.101.29.0', '192.101.32.255', 3227852032, 3227853055, 'US', 'United States'),
(97601, '192.101.34.0', '192.101.34.255', 3227853312, 3227853567, 'GB', 'United Kingdom'),
(97602, '192.101.35.0', '192.101.63.255', 3227853568, 3227860991, 'US', 'United States'),
(97603, '192.101.75.0', '192.101.75.255', 3227863808, 3227864063, 'DE', 'Germany'),
(97604, '192.101.76.0', '192.101.80.255', 3227864064, 3227865343, 'US', 'United States'),
(97605, '192.101.81.0', '192.101.90.255', 3227865344, 3227867903, 'NL', 'Netherlands'),
(97606, '192.101.91.0', '192.101.91.255', 3227867904, 3227868159, 'TH', 'Thailand'),
(97607, '192.101.92.0', '192.101.110.255', 3227868160, 3227873023, 'US', 'United States'),
(97608, '192.101.111.0', '192.101.114.255', 3227873024, 3227874047, 'NL', 'Netherlands'),
(97609, '192.101.115.0', '192.101.117.255', 3227874048, 3227874815, 'US', 'United States'),
(97610, '192.101.118.0', '192.101.118.255', 3227874816, 3227875071, 'PT', 'Portugal'),
(97611, '192.101.119.0', '192.101.133.255', 3227875072, 3227878911, 'US', 'United States'),
(97612, '192.101.134.0', '192.101.134.255', 3227878912, 3227879167, 'AU', 'Australia'),
(97613, '192.101.135.0', '192.101.136.255', 3227879168, 3227879679, 'US', 'United States'),
(97614, '192.101.137.0', '192.101.137.255', 3227879680, 3227879935, 'GB', 'United Kingdom'),
(97615, '192.101.139.0', '192.101.141.255', 3227880192, 3227880959, 'US', 'United States'),
(97616, '192.101.142.0', '192.101.142.255', 3227880960, 3227881215, 'EG', 'Egypt'),
(97617, '192.101.143.0', '192.101.159.255', 3227881216, 3227885567, 'US', 'United States'),
(97618, '192.101.160.0', '192.101.168.255', 3227885568, 3227887871, 'ES', 'Spain'),
(97619, '192.101.169.0', '192.101.169.255', 3227887872, 3227888127, 'PR', 'Puerto Rico'),
(97620, '192.101.170.0', '192.101.170.255', 3227888128, 3227888383, 'BE', 'Belgium'),
(97621, '192.101.171.0', '192.101.175.255', 3227888384, 3227889663, 'US', 'United States'),
(97622, '192.101.176.0', '192.101.176.255', 3227889664, 3227889919, 'CH', 'Switzerland'),
(97623, '192.101.177.0', '192.101.178.255', 3227889920, 3227890431, 'US', 'United States'),
(97624, '192.101.179.0', '192.101.180.255', 3227890432, 3227890943, 'DE', 'Germany'),
(97625, '192.101.181.0', '192.101.182.255', 3227890944, 3227891455, 'US', 'United States'),
(97626, '192.101.183.0', '192.101.183.255', 3227891456, 3227891711, 'AU', 'Australia'),
(97627, '192.101.184.0', '192.101.191.255', 3227891712, 3227893759, 'US', 'United States'),
(97628, '192.101.192.0', '192.101.192.255', 3227893760, 3227894015, 'FI', 'Finland'),
(97629, '192.101.193.0', '192.101.196.255', 3227894016, 3227895039, 'US', 'United States'),
(97630, '192.101.197.0', '192.101.198.255', 3227895040, 3227895551, 'DE', 'Germany'),
(97631, '192.101.199.0', '192.101.253.255', 3227895552, 3227909631, 'US', 'United States'),
(97632, '192.101.254.0', '192.101.254.255', 3227909632, 3227909887, 'AU', 'Australia'),
(97633, '192.102.1.0', '192.102.1.255', 3227910400, 3227910655, 'AT', 'Austria'),
(97634, '192.102.2.0', '192.102.5.255', 3227910656, 3227911679, 'US', 'United States'),
(97635, '192.102.6.0', '192.102.7.255', 3227911680, 3227912191, 'UA', 'Ukraine'),
(97636, '192.102.8.0', '192.102.8.255', 3227912192, 3227912447, 'GB', 'United Kingdom'),
(97637, '192.102.9.0', '192.102.9.255', 3227912448, 3227912703, 'ZA', 'South Africa'),
(97638, '192.102.10.0', '192.102.10.255', 3227912704, 3227912959, 'US', 'United States'),
(97639, '192.102.11.0', '192.102.11.255', 3227912960, 3227913215, 'CA', 'Canada'),
(97640, '192.102.12.0', '192.102.16.255', 3227913216, 3227914495, 'US', 'United States'),
(97641, '192.102.17.0', '192.102.17.255', 3227914496, 3227914751, 'AT', 'Austria'),
(97642, '192.102.18.0', '192.102.32.255', 3227914752, 3227918591, 'FI', 'Finland'),
(97643, '192.102.33.0', '192.102.33.255', 3227918592, 3227918847, 'US', 'United States'),
(97644, '192.102.34.0', '192.102.81.255', 3227918848, 3227931135, 'FI', 'Finland'),
(97645, '192.102.82.0', '192.102.82.255', 3227931136, 3227931391, 'US', 'United States'),
(97646, '192.102.83.0', '192.102.83.255', 3227931392, 3227931647, 'TH', 'Thailand'),
(97647, '192.102.84.0', '192.102.84.255', 3227931648, 3227931903, 'PE', 'Peru'),
(97648, '192.102.88.0', '192.102.88.255', 3227932672, 3227932927, 'US', 'United States'),
(97649, '192.102.89.0', '192.102.89.255', 3227932928, 3227933183, 'DE', 'Germany'),
(97650, '192.102.90.0', '192.102.91.255', 3227933184, 3227933695, 'US', 'United States'),
(97651, '192.102.92.0', '192.102.92.255', 3227933696, 3227933951, 'NZ', 'New Zealand'),
(97652, '192.102.93.0', '192.102.94.255', 3227933952, 3227934463, 'US', 'United States'),
(97653, '192.102.95.0', '192.102.95.255', 3227934464, 3227934719, 'CH', 'Switzerland'),
(97654, '192.102.96.0', '192.102.145.255', 3227934720, 3227947519, 'US', 'United States'),
(97655, '192.102.146.0', '192.102.177.255', 3227947520, 3227955711, 'DE', 'Germany'),
(97656, '192.102.178.0', '192.102.213.255', 3227955712, 3227964927, 'US', 'United States'),
(97657, '192.102.214.0', '192.102.214.255', 3227964928, 3227965183, 'GB', 'United Kingdom'),
(97658, '192.102.215.0', '192.102.223.255', 3227965184, 3227967487, 'US', 'United States'),
(97659, '192.102.224.0', '192.102.224.255', 3227967488, 3227967743, 'FR', 'France'),
(97660, '192.102.225.0', '192.102.225.255', 3227967744, 3227967999, 'PL', 'Poland'),
(97661, '192.102.226.0', '192.102.226.255', 3227968000, 3227968255, 'US', 'United States'),
(97662, '192.102.227.0', '192.102.228.255', 3227968256, 3227968767, 'GB', 'United Kingdom'),
(97663, '192.102.229.0', '192.102.229.255', 3227968768, 3227969023, 'RU', 'Russian Federation'),
(97664, '192.102.230.0', '192.102.238.255', 3227969024, 3227971327, 'US', 'United States'),
(97665, '192.102.239.0', '192.102.239.255', 3227971328, 3227971583, 'AU', 'Australia'),
(97666, '192.102.240.0', '192.102.249.255', 3227971584, 3227974143, 'US', 'United States'),
(97667, '192.102.250.0', '192.102.251.255', 3227974144, 3227974655, 'AU', 'Australia'),
(97668, '192.102.252.0', '192.102.253.255', 3227974656, 3227975167, 'US', 'United States'),
(97669, '192.103.1.0', '192.103.1.255', 3227975936, 3227976191, 'US', 'United States'),
(97670, '192.103.2.0', '192.103.2.255', 3227976192, 3227976447, 'LU', 'Luxembourg'),
(97671, '192.103.3.0', '192.103.6.255', 3227976448, 3227977471, 'US', 'United States'),
(97672, '192.103.7.0', '192.103.7.255', 3227977472, 3227977727, 'FR', 'France'),
(97673, '192.103.8.0', '192.103.11.255', 3227977728, 3227978751, 'US', 'United States'),
(97674, '192.103.13.0', '192.103.13.255', 3227979008, 3227979263, 'US', 'United States'),
(97675, '192.103.14.0', '192.103.14.255', 3227979264, 3227979519, 'AE', 'United Arab Emirates'),
(97676, '192.103.15.0', '192.103.19.255', 3227979520, 3227980799, 'US', 'United States'),
(97677, '192.103.20.0', '192.103.20.255', 3227980800, 3227981055, 'GR', 'Greece'),
(97678, '192.103.21.0', '192.103.22.255', 3227981056, 3227981567, 'US', 'United States'),
(97679, '192.103.23.0', '192.103.23.255', 3227981568, 3227981823, 'DE', 'Germany'),
(97680, '192.103.24.0', '192.103.26.255', 3227981824, 3227982591, 'US', 'United States'),
(97681, '192.103.27.0', '192.103.27.255', 3227982592, 3227982847, 'DE', 'Germany'),
(97682, '192.103.28.0', '192.103.39.255', 3227982848, 3227985919, 'GB', 'United Kingdom'),
(97683, '192.103.40.0', '192.103.40.255', 3227985920, 3227986175, 'DE', 'Germany'),
(97684, '192.103.41.0', '192.103.41.255', 3227986176, 3227986431, 'US', 'United States'),
(97685, '192.103.43.0', '192.103.84.255', 3227986688, 3227997439, 'US', 'United States'),
(97686, '192.103.85.0', '192.103.116.255', 3227997440, 3228005631, 'FI', 'Finland'),
(97687, '192.103.117.0', '192.103.129.255', 3228005632, 3228008959, 'US', 'United States'),
(97688, '192.103.130.0', '192.103.130.255', 3228008960, 3228009215, 'AU', 'Australia'),
(97689, '192.103.132.0', '192.103.136.255', 3228009472, 3228010751, 'US', 'United States'),
(97690, '192.103.137.0', '192.103.139.255', 3228010752, 3228011519, 'GB', 'United Kingdom'),
(97691, '192.103.140.0', '192.103.146.255', 3228011520, 3228013311, 'US', 'United States'),
(97692, '192.103.147.0', '192.103.147.255', 3228013312, 3228013567, 'PT', 'Portugal'),
(97693, '192.103.148.0', '192.104.14.255', 3228013568, 3228045055, 'US', 'United States'),
(97694, '192.104.15.0', '192.104.15.255', 3228045056, 3228045311, 'KR', 'Korea, Republic of'),
(97695, '192.104.16.0', '192.104.19.255', 3228045312, 3228046335, 'US', 'United States'),
(97696, '192.104.21.0', '192.104.22.255', 3228046592, 3228047103, 'US', 'United States'),
(97697, '192.104.23.0', '192.104.23.255', 3228047104, 3228047359, 'IT', 'Italy'),
(97698, '192.104.24.0', '192.104.27.255', 3228047360, 3228048383, 'US', 'United States'),
(97699, '192.104.28.0', '192.104.29.255', 3228048384, 3228048895, 'GB', 'United Kingdom'),
(97700, '192.104.30.0', '192.104.34.255', 3228048896, 3228050175, 'US', 'United States'),
(97701, '192.104.35.0', '192.104.37.255', 3228050176, 3228050943, 'PT', 'Portugal'),
(97702, '192.104.39.0', '192.104.39.255', 3228051200, 3228051455, 'US', 'United States'),
(97703, '192.104.41.0', '192.104.41.255', 3228051712, 3228051967, 'CH', 'Switzerland'),
(97704, '192.104.42.0', '192.104.42.255', 3228051968, 3228052223, 'US', 'United States'),
(97705, '192.104.43.0', '192.104.45.255', 3228052224, 3228052991, 'AU', 'Australia'),
(97706, '192.104.46.0', '192.104.47.255', 3228052992, 3228053503, 'US', 'United States'),
(97707, '192.104.48.0', '192.104.48.255', 3228053504, 3228053759, 'PT', 'Portugal'),
(97708, '192.104.50.0', '192.104.52.255', 3228054016, 3228054783, 'US', 'United States'),
(97709, '192.104.53.0', '192.104.53.255', 3228054784, 3228055039, 'GB', 'United Kingdom'),
(97710, '192.104.54.0', '192.104.54.255', 3228055040, 3228055295, 'US', 'United States'),
(97711, '192.104.55.0', '192.104.56.255', 3228055296, 3228055807, 'NL', 'Netherlands'),
(97712, '192.104.57.0', '192.104.58.255', 3228055808, 3228056319, 'NO', 'Norway'),
(97713, '192.104.59.0', '192.104.71.255', 3228056320, 3228059647, 'US', 'United States'),
(97714, '192.104.72.0', '192.104.72.255', 3228059648, 3228059903, 'CH', 'Switzerland'),
(97715, '192.104.74.0', '192.104.76.255', 3228060160, 3228060927, 'US', 'United States'),
(97716, '192.104.77.0', '192.104.77.255', 3228060928, 3228061183, 'DE', 'Germany'),
(97717, '192.104.78.0', '192.104.79.255', 3228061184, 3228061695, 'US', 'United States'),
(97718, '192.104.81.0', '192.104.81.255', 3228061952, 3228062207, 'US', 'United States'),
(97719, '192.104.82.0', '192.104.82.255', 3228062208, 3228062463, 'GB', 'United Kingdom'),
(97720, '192.104.83.0', '192.104.111.255', 3228062464, 3228069887, 'US', 'United States'),
(97721, '192.104.136.0', '192.104.139.255', 3228076032, 3228077055, 'US', 'United States'),
(97722, '192.104.140.0', '192.104.140.255', 3228077056, 3228077311, 'NL', 'Netherlands'),
(97723, '192.104.141.0', '192.104.141.255', 3228077312, 3228077567, 'US', 'United States'),
(97724, '192.104.142.0', '192.104.142.255', 3228077568, 3228077823, 'NL', 'Netherlands'),
(97725, '192.104.143.0', '192.104.146.255', 3228077824, 3228078847, 'US', 'United States'),
(97726, '192.104.147.0', '192.104.147.255', 3228078848, 3228079103, 'GR', 'Greece'),
(97727, '192.104.148.0', '192.104.153.255', 3228079104, 3228080639, 'US', 'United States'),
(97728, '192.104.154.0', '192.104.154.255', 3228080640, 3228080895, 'IE', 'Ireland'),
(97729, '192.104.155.0', '192.104.155.255', 3228080896, 3228081151, 'FR', 'France'),
(97730, '192.104.156.0', '192.104.159.255', 3228081152, 3228082175, 'US', 'United States'),
(97731, '192.104.163.0', '192.104.166.255', 3228082944, 3228083967, 'US', 'United States'),
(97732, '192.104.167.0', '192.104.168.255', 3228083968, 3228084479, 'BE', 'Belgium'),
(97733, '192.104.169.0', '192.104.171.255', 3228084480, 3228085247, 'US', 'United States'),
(97734, '192.104.172.0', '192.104.172.255', 3228085248, 3228085503, 'JP', 'Japan'),
(97735, '192.104.173.0', '192.104.231.255', 3228085504, 3228100607, 'US', 'United States'),
(97736, '192.104.232.0', '192.104.233.255', 3228100608, 3228101119, 'JP', 'Japan'),
(97737, '192.104.234.0', '192.104.237.255', 3228101120, 3228102143, 'US', 'United States'),
(97738, '192.104.238.0', '192.104.238.255', 3228102144, 3228102399, 'GB', 'United Kingdom'),
(97739, '192.104.239.0', '192.104.244.255', 3228102400, 3228103935, 'US', 'United States'),
(97740, '192.104.245.0', '192.104.245.255', 3228103936, 3228104191, 'FR', 'France'),
(97741, '192.104.246.0', '192.104.247.255', 3228104192, 3228104703, 'JP', 'Japan'),
(97742, '192.104.248.0', '192.104.248.255', 3228104704, 3228104959, 'DK', 'Denmark'),
(97743, '192.104.249.0', '192.104.250.255', 3228104960, 3228105471, 'US', 'United States'),
(97744, '192.104.251.0', '192.104.251.255', 3228105472, 3228105727, 'CH', 'Switzerland'),
(97745, '192.104.252.0', '192.105.9.255', 3228105728, 3228109311, 'US', 'United States'),
(97746, '192.105.10.0', '192.105.10.255', 3228109312, 3228109567, 'NZ', 'New Zealand'),
(97747, '192.105.11.0', '192.105.74.255', 3228109568, 3228125951, 'US', 'United States'),
(97748, '192.105.75.0', '192.105.75.255', 3228125952, 3228126207, 'RU', 'Russian Federation'),
(97749, '192.105.76.0', '192.105.103.255', 3228126208, 3228133375, 'US', 'United States'),
(97750, '192.105.104.0', '192.105.108.255', 3228133376, 3228134655, 'CA', 'Canada'),
(97751, '192.105.109.0', '192.105.169.255', 3228134656, 3228150271, 'US', 'United States'),
(97752, '192.105.170.0', '192.105.170.255', 3228150272, 3228150527, 'FI', 'Finland'),
(97753, '192.105.171.0', '192.105.194.255', 3228150528, 3228156671, 'US', 'United States'),
(97754, '192.105.195.0', '192.105.195.255', 3228156672, 3228156927, 'BE', 'Belgium'),
(97755, '192.105.196.0', '192.105.253.255', 3228156928, 3228171775, 'US', 'United States'),
(97756, '192.105.254.0', '192.105.254.255', 3228171776, 3228172031, 'GB', 'United Kingdom'),
(97757, '192.105.255.0', '192.105.255.255', 3228172032, 3228172287, 'US', 'United States'),
(97758, '192.106.0.0', '192.106.255.255', 3228172288, 3228237823, 'IT', 'Italy'),
(97759, '192.107.1.0', '192.107.1.255', 3228238080, 3228238335, 'NO', 'Norway'),
(97760, '192.107.2.0', '192.107.2.255', 3228238336, 3228238591, 'GB', 'United Kingdom'),
(97761, '192.107.3.0', '192.107.3.255', 3228238592, 3228238847, 'US', 'United States'),
(97762, '192.107.4.0', '192.107.5.255', 3228238848, 3228239359, 'GB', 'United Kingdom'),
(97763, '192.107.7.0', '192.107.8.255', 3228239616, 3228240127, 'US', 'United States'),
(97764, '192.107.9.0', '192.107.9.255', 3228240128, 3228240383, 'AU', 'Australia'),
(97765, '192.107.11.0', '192.107.13.255', 3228240640, 3228241407, 'GB', 'United Kingdom'),
(97766, '192.107.14.0', '192.107.48.255', 3228241408, 3228250367, 'US', 'United States'),
(97767, '192.107.50.0', '192.107.50.255', 3228250624, 3228250879, 'US', 'United States'),
(97768, '192.107.51.0', '192.107.100.255', 3228250880, 3228263679, 'IT', 'Italy'),
(97769, '192.107.101.0', '192.107.101.255', 3228263680, 3228263935, 'AU', 'Australia'),
(97770, '192.107.102.0', '192.107.103.255', 3228263936, 3228264447, 'US', 'United States'),
(97771, '192.107.104.0', '192.107.104.255', 3228264448, 3228264703, 'NI', 'Nicaragua'),
(97772, '192.107.105.0', '192.107.109.255', 3228264704, 3228265983, 'US', 'United States'),
(97773, '192.107.110.0', '192.107.110.255', 3228265984, 3228266239, 'IE', 'Ireland'),
(97774, '192.107.113.0', '192.107.113.255', 3228266752, 3228267007, 'NZ', 'New Zealand'),
(97775, '192.107.114.0', '192.107.114.255', 3228267008, 3228267263, 'NO', 'Norway'),
(97776, '192.107.115.0', '192.107.119.255', 3228267264, 3228268543, 'US', 'United States'),
(97777, '192.107.122.0', '192.107.122.255', 3228269056, 3228269311, 'PT', 'Portugal'),
(97778, '192.107.123.0', '192.107.123.255', 3228269312, 3228269567, 'DE', 'Germany'),
(97779, '192.107.124.0', '192.107.125.255', 3228269568, 3228270079, 'AT', 'Austria'),
(97780, '192.107.126.0', '192.107.129.255', 3228270080, 3228271103, 'GB', 'United Kingdom'),
(97781, '192.107.130.0', '192.107.130.255', 3228271104, 3228271359, 'US', 'United States'),
(97782, '192.107.131.0', '192.107.131.255', 3228271360, 3228271615, 'CA', 'Canada'),
(97783, '192.107.132.0', '192.107.132.255', 3228271616, 3228271871, 'DE', 'Germany'),
(97784, '192.107.134.0', '192.107.134.255', 3228272128, 3228272383, 'US', 'United States'),
(97785, '192.107.144.0', '192.107.167.255', 3228274688, 3228280831, 'US', 'United States'),
(97786, '192.107.168.0', '192.107.168.255', 3228280832, 3228281087, 'GB', 'United Kingdom'),
(97787, '192.107.169.0', '192.107.170.255', 3228281088, 3228281599, 'US', 'United States'),
(97788, '192.107.171.0', '192.107.172.255', 3228281600, 3228282111, 'NZ', 'New Zealand'),
(97789, '192.107.173.0', '192.107.173.255', 3228282112, 3228282367, 'US', 'United States'),
(97790, '192.107.174.0', '192.107.174.255', 3228282368, 3228282623, 'GB', 'United Kingdom'),
(97791, '192.107.175.0', '192.107.176.255', 3228282624, 3228283135, 'US', 'United States'),
(97792, '192.107.177.0', '192.107.177.255', 3228283136, 3228283391, 'GR', 'Greece'),
(97793, '192.107.178.0', '192.107.178.255', 3228283392, 3228283647, 'GB', 'United Kingdom'),
(97794, '192.107.179.0', '192.107.186.255', 3228283648, 3228285695, 'US', 'United States'),
(97795, '192.107.187.0', '192.107.187.255', 3228285696, 3228285951, 'SE', 'Sweden'),
(97796, '192.107.188.0', '192.107.199.255', 3228285952, 3228289023, 'US', 'United States'),
(97797, '192.107.200.0', '192.107.231.255', 3228289024, 3228297215, 'FI', 'Finland'),
(97798, '192.107.232.0', '192.107.233.255', 3228297216, 3228297727, 'AT', 'Austria'),
(97799, '192.107.234.0', '192.107.234.255', 3228297728, 3228297983, 'US', 'United States'),
(97800, '192.107.235.0', '192.107.236.255', 3228297984, 3228298495, 'DE', 'Germany'),
(97801, '192.107.237.0', '192.108.22.255', 3228298496, 3228309247, 'US', 'United States'),
(97802, '192.108.23.0', '192.108.92.255', 3228309248, 3228327167, 'DE', 'Germany'),
(97803, '192.108.93.0', '192.108.98.255', 3228327168, 3228328703, 'US', 'United States'),
(97804, '192.108.99.0', '192.108.99.255', 3228328704, 3228328959, 'AU', 'Australia'),
(97805, '192.108.100.0', '192.108.101.255', 3228328960, 3228329471, 'NO', 'Norway'),
(97806, '192.108.102.0', '192.108.106.255', 3228329472, 3228330751, 'US', 'United States'),
(97807, '192.108.107.0', '192.108.108.255', 3228330752, 3228331263, 'SE', 'Sweden'),
(97808, '192.108.109.0', '192.108.112.255', 3228331264, 3228332287, 'US', 'United States'),
(97809, '192.108.114.0', '192.108.114.255', 3228332544, 3228332799, 'GR', 'Greece'),
(97810, '192.108.115.0', '192.108.119.255', 3228332800, 3228334079, 'FR', 'France'),
(97811, '192.108.120.0', '192.108.120.255', 3228334080, 3228334335, 'GB', 'United Kingdom'),
(97812, '192.108.121.0', '192.108.121.255', 3228334336, 3228334591, 'AT', 'Austria'),
(97813, '192.108.122.0', '192.108.124.255', 3228334592, 3228335359, 'US', 'United States'),
(97814, '192.108.125.0', '192.108.125.255', 3228335360, 3228335615, 'SK', 'Slovakia'),
(97815, '192.108.126.0', '192.108.126.255', 3228335616, 3228335871, 'CZ', 'Czech Republic'),
(97816, '192.108.128.0', '192.108.129.255', 3228336128, 3228336639, 'CZ', 'Czech Republic'),
(97817, '192.108.130.0', '192.108.133.255', 3228336640, 3228337663, 'SK', 'Slovakia'),
(97818, '192.108.134.0', '192.108.136.255', 3228337664, 3228338431, 'CZ', 'Czech Republic'),
(97819, '192.108.137.0', '192.108.145.255', 3228338432, 3228340735, 'SK', 'Slovakia'),
(97820, '192.108.146.0', '192.108.147.255', 3228340736, 3228341247, 'CZ', 'Czech Republic'),
(97821, '192.108.148.0', '192.108.149.255', 3228341248, 3228341759, 'SK', 'Slovakia'),
(97822, '192.108.150.0', '192.108.151.255', 3228341760, 3228342271, 'CZ', 'Czech Republic'),
(97823, '192.108.152.0', '192.108.153.255', 3228342272, 3228342783, 'SK', 'Slovakia'),
(97824, '192.108.154.0', '192.108.154.255', 3228342784, 3228343039, 'CZ', 'Czech Republic'),
(97825, '192.108.155.0', '192.108.155.255', 3228343040, 3228343295, 'SK', 'Slovakia'),
(97826, '192.108.156.0', '192.108.156.255', 3228343296, 3228343551, 'CZ', 'Czech Republic'),
(97827, '192.108.157.0', '192.108.158.255', 3228343552, 3228344063, 'SK', 'Slovakia'),
(97828, '192.108.159.0', '192.108.160.255', 3228344064, 3228344575, 'CZ', 'Czech Republic'),
(97829, '192.108.161.0', '192.108.170.255', 3228344576, 3228347135, 'SK', 'Slovakia'),
(97830, '192.108.171.0', '192.108.171.255', 3228347136, 3228347391, 'CZ', 'Czech Republic'),
(97831, '192.108.172.0', '192.108.174.255', 3228347392, 3228348159, 'SK', 'Slovakia'),
(97832, '192.108.175.0', '192.108.194.255', 3228348160, 3228353279, 'US', 'United States'),
(97833, '192.108.195.0', '192.108.214.255', 3228353280, 3228358399, 'SE', 'Sweden'),
(97834, '192.108.215.0', '192.108.229.255', 3228358400, 3228362239, 'US', 'United States'),
(97835, '192.108.230.0', '192.108.230.255', 3228362240, 3228362495, 'TH', 'Thailand'),
(97836, '192.108.231.0', '192.108.231.255', 3228362496, 3228362751, 'US', 'United States'),
(97837, '192.108.233.0', '192.108.233.255', 3228363008, 3228363263, 'US', 'United States'),
(97838, '192.108.234.0', '192.108.234.255', 3228363264, 3228363519, 'CH', 'Switzerland'),
(97839, '192.108.235.0', '192.108.237.255', 3228363520, 3228364287, 'US', 'United States'),
(97840, '192.108.238.0', '192.108.238.255', 3228364288, 3228364543, 'AT', 'Austria'),
(97841, '192.108.240.0', '192.108.255.255', 3228364800, 3228368895, 'US', 'United States'),
(97842, '192.109.0.0', '192.109.139.255', 3228368896, 3228404735, 'DE', 'Germany'),
(97843, '192.109.140.0', '192.109.141.255', 3228404736, 3228405247, 'FR', 'France'),
(97844, '192.109.142.0', '192.109.142.255', 3228405248, 3228405503, 'KR', 'Korea, Republic of'),
(97845, '192.109.143.0', '192.109.143.255', 3228405504, 3228405759, 'SG', 'Singapore'),
(97846, '192.109.144.0', '192.109.144.255', 3228405760, 3228406015, 'IN', 'India'),
(97847, '192.109.145.0', '192.109.145.255', 3228406016, 3228406271, 'US', 'United States'),
(97848, '192.109.146.0', '192.109.148.255', 3228406272, 3228407039, 'FR', 'France'),
(97849, '192.109.149.0', '192.109.172.255', 3228407040, 3228413183, 'DE', 'Germany'),
(97850, '192.109.173.0', '192.109.173.255', 3228413184, 3228413439, 'SG', 'Singapore'),
(97851, '192.109.174.0', '192.109.190.255', 3228413440, 3228417791, 'DE', 'Germany'),
(97852, '192.109.191.0', '192.109.193.255', 3228417792, 3228418559, 'AT', 'Austria'),
(97853, '192.109.194.0', '192.109.194.255', 3228418560, 3228418815, 'IN', 'India'),
(97854, '192.109.195.0', '192.109.203.255', 3228418816, 3228421119, 'DE', 'Germany'),
(97855, '192.109.204.0', '192.109.204.255', 3228421120, 3228421375, 'BE', 'Belgium'),
(97856, '192.109.205.0', '192.109.213.255', 3228421376, 3228423679, 'DE', 'Germany'),
(97857, '192.109.214.0', '192.109.215.255', 3228423680, 3228424191, 'CH', 'Switzerland'),
(97858, '192.109.216.0', '192.109.255.255', 3228424192, 3228434431, 'DE', 'Germany'),
(97859, '192.110.0.0', '192.110.84.255', 3228434432, 3228456191, 'US', 'United States'),
(97860, '192.110.85.0', '192.110.85.255', 3228456192, 3228456447, 'CA', 'Canada'),
(97861, '192.110.86.0', '192.110.89.255', 3228456448, 3228457471, 'US', 'United States'),
(97862, '192.110.90.0', '192.110.90.255', 3228457472, 3228457727, 'CA', 'Canada'),
(97863, '192.110.91.0', '192.110.105.255', 3228457728, 3228461567, 'US', 'United States'),
(97864, '192.110.106.0', '192.110.106.255', 3228461568, 3228461823, 'CA', 'Canada'),
(97865, '192.110.107.0', '192.110.115.255', 3228461824, 3228464127, 'US', 'United States'),
(97866, '192.110.116.0', '192.110.116.255', 3228464128, 3228464383, 'CA', 'Canada'),
(97867, '192.110.117.0', '192.110.191.255', 3228464384, 3228483583, 'US', 'United States'),
(97868, '192.110.223.0', '192.110.240.255', 3228491520, 3228496127, 'US', 'United States'),
(97869, '192.110.241.0', '192.110.241.255', 3228496128, 3228496383, 'GB', 'United Kingdom'),
(97870, '192.110.242.0', '192.111.31.255', 3228496384, 3228508159, 'US', 'United States'),
(97871, '192.111.32.0', '192.111.32.255', 3228508160, 3228508415, 'AU', 'Australia'),
(97872, '192.111.33.0', '192.111.33.255', 3228508416, 3228508671, 'NO', 'Norway'),
(97873, '192.111.34.0', '192.111.36.255', 3228508672, 3228509439, 'US', 'United States'),
(97874, '192.111.39.0', '192.111.39.255', 3228509952, 3228510207, 'IE', 'Ireland'),
(97875, '192.111.40.0', '192.111.43.255', 3228510208, 3228511231, 'US', 'United States'),
(97876, '192.111.44.0', '192.111.44.255', 3228511232, 3228511487, 'CZ', 'Czech Republic'),
(97877, '192.111.45.0', '192.111.46.255', 3228511488, 3228511999, 'US', 'United States'),
(97878, '192.111.47.0', '192.111.47.255', 3228512000, 3228512255, 'DE', 'Germany'),
(97879, '192.111.48.0', '192.111.48.255', 3228512256, 3228512511, 'CH', 'Switzerland'),
(97880, '192.111.49.0', '192.111.53.255', 3228512512, 3228513791, 'US', 'United States'),
(97881, '192.111.86.0', '192.111.87.255', 3228521984, 3228522495, 'US', 'United States'),
(97882, '192.111.88.0', '192.111.88.255', 3228522496, 3228522751, 'GB', 'United Kingdom'),
(97883, '192.111.89.0', '192.111.100.255', 3228522752, 3228525823, 'US', 'United States'),
(97884, '192.111.101.0', '192.111.101.255', 3228525824, 3228526079, 'PT', 'Portugal'),
(97885, '192.111.102.0', '192.111.102.255', 3228526080, 3228526335, 'NZ', 'New Zealand'),
(97886, '192.111.103.0', '192.111.103.255', 3228526336, 3228526591, 'CH', 'Switzerland'),
(97887, '192.111.104.0', '192.111.104.255', 3228526592, 3228526847, 'AT', 'Austria'),
(97888, '192.111.105.0', '192.111.105.255', 3228526848, 3228527103, 'AU', 'Australia'),
(97889, '192.111.106.0', '192.111.123.255', 3228527104, 3228531711, 'US', 'United States'),
(97890, '192.111.124.0', '192.111.125.255', 3228531712, 3228532223, 'NO', 'Norway'),
(97891, '192.111.126.0', '192.111.126.255', 3228532224, 3228532479, 'US', 'United States'),
(97892, '192.111.127.0', '192.111.127.255', 3228532480, 3228532735, 'DE', 'Germany'),
(97893, '192.111.160.0', '192.111.228.255', 3228540928, 3228558591, 'US', 'United States'),
(97894, '192.111.229.0', '192.111.230.255', 3228558592, 3228559103, 'BR', 'Brazil'),
(97895, '192.111.231.0', '192.111.251.255', 3228559104, 3228564479, 'US', 'United States'),
(97896, '192.111.252.0', '192.111.252.255', 3228564480, 3228564735, 'AT', 'Austria'),
(97897, '192.111.253.0', '192.111.254.255', 3228564736, 3228565247, 'US', 'United States'),
(97898, '192.112.0.0', '192.112.28.255', 3228565504, 3228572927, 'US', 'United States'),
(97899, '192.112.30.0', '192.112.32.255', 3228573184, 3228573951, 'PT', 'Portugal'),
(97900, '192.112.33.0', '192.112.34.255', 3228573952, 3228574463, 'US', 'United States'),
(97901, '192.112.36.0', '192.112.44.255', 3228574720, 3228577023, 'US', 'United States'),
(97902, '192.112.45.0', '192.112.45.255', 3228577024, 3228577279, 'PT', 'Portugal'),
(97903, '192.112.46.0', '192.112.48.255', 3228577280, 3228578047, 'US', 'United States'),
(97904, '192.112.49.0', '192.112.49.255', 3228578048, 3228578303, 'GB', 'United Kingdom'),
(97905, '192.112.50.0', '192.112.60.255', 3228578304, 3228581119, 'US', 'United States'),
(97906, '192.112.61.0', '192.112.61.255', 3228581120, 3228581375, 'AT', 'Austria'),
(97907, '192.112.62.0', '192.112.68.255', 3228581376, 3228583167, 'US', 'United States'),
(97908, '192.112.70.0', '192.112.79.255', 3228583424, 3228585983, 'ES', 'Spain'),
(97909, '192.112.80.0', '192.112.97.255', 3228585984, 3228590591, 'US', 'United States'),
(97910, '192.112.98.0', '192.112.98.255', 3228590592, 3228590847, 'GB', 'United Kingdom'),
(97911, '192.112.99.0', '192.112.99.255', 3228590848, 3228591103, 'DK', 'Denmark'),
(97912, '192.112.100.0', '192.112.100.255', 3228591104, 3228591359, 'GB', 'United Kingdom'),
(97913, '192.112.101.0', '192.112.203.255', 3228591360, 3228617727, 'US', 'United States'),
(97914, '192.112.204.0', '192.112.204.255', 3228617728, 3228617983, 'FI', 'Finland'),
(97915, '192.112.205.0', '192.112.205.255', 3228617984, 3228618239, 'US', 'United States'),
(97916, '192.112.206.0', '192.112.206.255', 3228618240, 3228618495, 'SE', 'Sweden'),
(97917, '192.112.207.0', '192.112.207.255', 3228618496, 3228618751, 'US', 'United States'),
(97918, '192.112.208.0', '192.112.208.255', 3228618752, 3228619007, 'DE', 'Germany'),
(97919, '192.112.209.0', '192.112.212.255', 3228619008, 3228620031, 'US', 'United States'),
(97920, '192.112.213.0', '192.112.213.255', 3228620032, 3228620287, 'DE', 'Germany'),
(97921, '192.112.214.0', '192.112.214.255', 3228620288, 3228620543, 'CH', 'Switzerland'),
(97922, '192.112.215.0', '192.112.215.255', 3228620544, 3228620799, 'AU', 'Australia'),
(97923, '192.112.216.0', '192.112.246.255', 3228620800, 3228628735, 'US', 'United States'),
(97924, '192.112.247.0', '192.112.247.255', 3228628736, 3228628991, 'ES', 'Spain'),
(97925, '192.112.248.0', '192.112.253.255', 3228628992, 3228630527, 'US', 'United States'),
(97926, '192.112.254.0', '192.112.254.255', 3228630528, 3228630783, 'CH', 'Switzerland'),
(97927, '192.113.0.0', '192.113.255.255', 3228631040, 3228696575, 'NL', 'Netherlands'),
(97928, '192.114.0.0', '192.114.189.223', 3228696576, 3228745183, 'IL', 'Israel'),
(97929, '192.114.189.224', '192.114.189.227', 3228745184, 3228745187, 'A2', 'Satellite Provider'),
(97930, '192.114.189.228', '192.115.251.3', 3228745188, 3228826371, 'IL', 'Israel'),
(97931, '192.115.251.4', '192.115.251.4', 3228826372, 3228826372, 'US', 'United States'),
(97932, '192.115.251.5', '192.115.255.255', 3228826373, 3228827647, 'IL', 'Israel'),
(97933, '192.116.0.0', '192.116.1.255', 3228827648, 3228828159, 'PS', 'Palestinian Territory, Occupied'),
(97934, '192.116.2.0', '192.116.5.255', 3228828160, 3228829183, 'IL', 'Israel'),
(97935, '192.116.6.0', '192.116.7.255', 3228829184, 3228829695, 'PS', 'Palestinian Territory, Occupied'),
(97936, '192.116.8.0', '192.116.9.255', 3228829696, 3228830207, 'IL', 'Israel'),
(97937, '192.116.10.0', '192.116.23.255', 3228830208, 3228833791, 'PS', 'Palestinian Territory, Occupied'),
(97938, '192.116.24.0', '192.116.72.255', 3228833792, 3228846335, 'IL', 'Israel'),
(97939, '192.116.73.0', '192.116.73.255', 3228846336, 3228846591, 'A2', 'Satellite Provider'),
(97940, '192.116.74.0', '192.116.84.255', 3228846592, 3228849407, 'IL', 'Israel'),
(97941, '192.116.85.0', '192.116.85.255', 3228849408, 3228849663, 'A2', 'Satellite Provider'),
(97942, '192.116.86.0', '192.116.87.255', 3228849664, 3228850175, 'IL', 'Israel'),
(97943, '192.116.88.0', '192.116.88.255', 3228850176, 3228850431, 'A2', 'Satellite Provider'),
(97944, '192.116.89.0', '192.116.118.255', 3228850432, 3228858111, 'IL', 'Israel'),
(97945, '192.116.119.0', '192.116.119.255', 3228858112, 3228858367, 'A2', 'Satellite Provider'),
(97946, '192.116.120.0', '192.116.142.255', 3228858368, 3228864255, 'IL', 'Israel'),
(97947, '192.116.143.0', '192.116.143.255', 3228864256, 3228864511, 'A2', 'Satellite Provider'),
(97948, '192.116.144.0', '192.116.231.227', 3228864512, 3228887011, 'IL', 'Israel'),
(97949, '192.116.231.228', '192.116.231.231', 3228887012, 3228887015, 'A2', 'Satellite Provider'),
(97950, '192.116.231.232', '192.118.255.255', 3228887016, 3229024255, 'IL', 'Israel'),
(97951, '192.119.0.0', '192.120.8.255', 3229024256, 3229092095, 'US', 'United States'),
(97952, '192.120.9.0', '192.120.15.255', 3229092096, 3229093887, 'AU', 'Australia'),
(97953, '192.120.16.0', '192.120.46.255', 3229093888, 3229101823, 'US', 'United States'),
(97954, '192.120.47.0', '192.120.49.255', 3229101824, 3229102591, 'FI', 'Finland'),
(97955, '192.120.50.0', '192.120.58.255', 3229102592, 3229104895, 'US', 'United States'),
(97956, '192.120.59.0', '192.120.59.255', 3229104896, 3229105151, 'ES', 'Spain'),
(97957, '192.120.60.0', '192.120.119.255', 3229105152, 3229120511, 'US', 'United States'),
(97958, '192.120.120.0', '192.120.120.255', 3229120512, 3229120767, 'SE', 'Sweden'),
(97959, '192.120.121.0', '192.120.240.255', 3229120768, 3229151487, 'US', 'United States'),
(97960, '192.120.241.0', '192.120.241.255', 3229151488, 3229151743, 'SE', 'Sweden'),
(97961, '192.120.242.0', '192.120.255.255', 3229151744, 3229155327, 'US', 'United States'),
(97962, '192.121.0.0', '192.121.0.255', 3229155328, 3229155583, 'GB', 'United Kingdom'),
(97963, '192.121.1.0', '192.121.1.255', 3229155584, 3229155839, 'SE', 'Sweden'),
(97964, '192.121.2.0', '192.121.2.255', 3229155840, 3229156095, 'ES', 'Spain'),
(97965, '192.121.3.0', '192.121.24.255', 3229156096, 3229161727, 'SE', 'Sweden'),
(97966, '192.121.25.0', '192.121.25.255', 3229161728, 3229161983, 'GB', 'United Kingdom'),
(97967, '192.121.26.0', '192.121.35.255', 3229161984, 3229164543, 'SE', 'Sweden'),
(97968, '192.121.36.0', '192.121.37.255', 3229164544, 3229165055, 'GB', 'United Kingdom'),
(97969, '192.121.38.0', '192.121.52.255', 3229165056, 3229168895, 'SE', 'Sweden'),
(97970, '192.121.53.0', '192.121.53.255', 3229168896, 3229169151, 'JP', 'Japan'),
(97971, '192.121.54.0', '192.121.62.255', 3229169152, 3229171455, 'SE', 'Sweden'),
(97972, '192.121.63.0', '192.121.63.255', 3229171456, 3229171711, 'MT', 'Malta'),
(97973, '192.121.64.0', '192.121.65.255', 3229171712, 3229172223, 'GB', 'United Kingdom'),
(97974, '192.121.66.0', '192.121.105.255', 3229172224, 3229182463, 'SE', 'Sweden'),
(97975, '192.121.106.0', '192.121.107.255', 3229182464, 3229182975, 'GB', 'United Kingdom'),
(97976, '192.121.108.0', '192.121.131.255', 3229182976, 3229189119, 'SE', 'Sweden'),
(97977, '192.121.132.0', '192.121.132.255', 3229189120, 3229189375, 'GB', 'United Kingdom'),
(97978, '192.121.133.0', '192.121.139.255', 3229189376, 3229191167, 'SE', 'Sweden'),
(97979, '192.121.140.0', '192.121.140.255', 3229191168, 3229191423, 'GB', 'United Kingdom'),
(97980, '192.121.141.0', '192.121.143.255', 3229191424, 3229192191, 'SE', 'Sweden'),
(97981, '192.121.144.0', '192.121.144.255', 3229192192, 3229192447, 'FI', 'Finland'),
(97982, '192.121.145.0', '192.121.175.255', 3229192448, 3229200383, 'SE', 'Sweden'),
(97983, '192.121.176.0', '192.121.177.255', 3229200384, 3229200895, 'GB', 'United Kingdom'),
(97984, '192.121.178.0', '192.121.178.255', 3229200896, 3229201151, 'DE', 'Germany'),
(97985, '192.121.179.0', '192.121.180.255', 3229201152, 3229201663, 'SE', 'Sweden'),
(97986, '192.121.181.0', '192.121.181.255', 3229201664, 3229201919, 'DK', 'Denmark'),
(97987, '192.121.182.0', '192.121.186.255', 3229201920, 3229203199, 'SE', 'Sweden'),
(97988, '192.121.187.0', '192.121.189.255', 3229203200, 3229203967, 'GB', 'United Kingdom'),
(97989, '192.121.190.0', '192.121.195.255', 3229203968, 3229205503, 'SE', 'Sweden'),
(97990, '192.121.196.0', '192.121.197.255', 3229205504, 3229206015, 'GB', 'United Kingdom'),
(97991, '192.121.198.0', '192.121.250.255', 3229206016, 3229219583, 'SE', 'Sweden'),
(97992, '192.121.251.0', '192.121.251.255', 3229219584, 3229219839, 'EE', 'Estonia'),
(97993, '192.121.252.0', '192.121.255.255', 3229219840, 3229220863, 'SE', 'Sweden'),
(97994, '192.122.0.0', '192.122.95.255', 3229220864, 3229245439, 'GB', 'United Kingdom'),
(97995, '192.122.96.0', '192.122.100.255', 3229245440, 3229246719, 'US', 'United States'),
(97996, '192.122.101.0', '192.122.116.255', 3229246720, 3229250815, 'GB', 'United Kingdom'),
(97997, '192.122.117.0', '192.122.117.255', 3229250816, 3229251071, 'US', 'United States'),
(97998, '192.122.118.0', '192.122.130.255', 3229251072, 3229254399, 'GB', 'United Kingdom'),
(97999, '192.122.131.0', '192.122.140.255', 3229254400, 3229256959, 'SG', 'Singapore'),
(98000, '192.122.141.0', '192.122.146.255', 3229256960, 3229258495, 'GB', 'United Kingdom'),
(98001, '192.122.147.0', '192.122.148.255', 3229258496, 3229259007, 'US', 'United States'),
(98002, '192.122.151.0', '192.122.170.255', 3229259520, 3229264639, 'GB', 'United Kingdom'),
(98003, '192.122.171.0', '192.122.171.255', 3229264640, 3229264895, 'NZ', 'New Zealand'),
(98004, '192.122.172.0', '192.122.175.255', 3229264896, 3229265919, 'US', 'United States'),
(98005, '192.122.176.0', '192.122.176.255', 3229265920, 3229266175, 'AU', 'Australia'),
(98006, '192.122.177.0', '192.122.179.255', 3229266176, 3229266943, 'US', 'United States'),
(98007, '192.122.180.0', '192.122.180.255', 3229266944, 3229267199, 'NZ', 'New Zealand'),
(98008, '192.122.181.0', '192.122.213.255', 3229267200, 3229275647, 'US', 'United States'),
(98009, '192.122.214.0', '192.122.214.255', 3229275648, 3229275903, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(98010, '192.122.216.0', '192.122.234.255', 3229276160, 3229281023, 'IE', 'Ireland'),
(98011, '192.122.235.0', '192.122.237.255', 3229281024, 3229281791, 'US', 'United States'),
(98012, '192.122.238.0', '192.122.242.255', 3229281792, 3229283071, 'PT', 'Portugal'),
(98013, '192.122.243.0', '192.122.253.255', 3229283072, 3229285887, 'US', 'United States'),
(98014, '192.122.254.0', '192.122.254.255', 3229285888, 3229286143, 'NO', 'Norway'),
(98015, '192.123.0.0', '192.124.9.255', 3229286400, 3229354495, 'US', 'United States'),
(98016, '192.124.10.0', '192.124.14.255', 3229354496, 3229355775, 'AU', 'Australia'),
(98017, '192.124.15.0', '192.124.23.255', 3229355776, 3229358079, 'US', 'United States'),
(98018, '192.124.24.0', '192.124.28.255', 3229358080, 3229359359, 'DE', 'Germany'),
(98019, '192.124.31.0', '192.124.31.255', 3229359872, 3229360127, 'US', 'United States'),
(98020, '192.124.32.0', '192.124.32.255', 3229360128, 3229360383, 'AT', 'Austria'),
(98021, '192.124.33.0', '192.124.38.255', 3229360384, 3229361919, 'US', 'United States'),
(98022, '192.124.39.0', '192.124.39.255', 3229361920, 3229362175, 'BE', 'Belgium'),
(98023, '192.124.40.0', '192.124.43.255', 3229362176, 3229363199, 'US', 'United States'),
(98024, '192.124.45.0', '192.124.45.255', 3229363456, 3229363711, 'US', 'United States'),
(98025, '192.124.46.0', '192.124.46.255', 3229363712, 3229363967, 'GB', 'United Kingdom'),
(98026, '192.124.47.0', '192.124.111.255', 3229363968, 3229380607, 'US', 'United States'),
(98027, '192.124.112.0', '192.124.112.255', 3229380608, 3229380863, 'DE', 'Germany'),
(98028, '192.124.113.0', '192.124.114.255', 3229380864, 3229381375, 'US', 'United States'),
(98029, '192.124.115.0', '192.124.115.255', 3229381376, 3229381631, 'DE', 'Germany'),
(98030, '192.124.116.0', '192.124.116.255', 3229381632, 3229381887, 'PL', 'Poland'),
(98031, '192.124.117.0', '192.124.117.255', 3229381888, 3229382143, 'AU', 'Australia'),
(98032, '192.124.118.0', '192.124.118.255', 3229382144, 3229382399, 'US', 'United States'),
(98033, '192.124.120.0', '192.124.151.255', 3229382656, 3229390847, 'US', 'United States'),
(98034, '192.124.152.0', '192.124.152.255', 3229390848, 3229391103, 'AU', 'Australia'),
(98035, '192.124.153.0', '192.124.153.255', 3229391104, 3229391359, 'US', 'United States'),
(98036, '192.124.154.0', '192.124.154.255', 3229391360, 3229391615, 'CN', 'China'),
(98037, '192.124.155.0', '192.124.155.255', 3229391616, 3229391871, 'AT', 'Austria'),
(98038, '192.124.156.0', '192.124.159.255', 3229391872, 3229392895, 'US', 'United States'),
(98039, '192.124.160.0', '192.124.160.255', 3229392896, 3229393151, 'NZ', 'New Zealand'),
(98040, '192.124.161.0', '192.124.164.255', 3229393152, 3229394175, 'US', 'United States'),
(98041, '192.124.168.0', '192.124.219.255', 3229394944, 3229408255, 'RU', 'Russian Federation'),
(98042, '192.124.220.0', '192.124.234.255', 3229408256, 3229412095, 'US', 'United States'),
(98043, '192.124.235.0', '192.125.255.255', 3229412096, 3229483007, 'DE', 'Germany'),
(98044, '192.126.0.0', '192.126.64.255', 3229483008, 3229499647, 'FI', 'Finland'),
(98045, '192.126.65.0', '192.126.68.255', 3229499648, 3229500671, 'US', 'United States'),
(98046, '192.127.0.0', '192.128.2.255', 3229548544, 3229614847, 'US', 'United States'),
(98047, '192.128.3.0', '192.128.3.255', 3229614848, 3229615103, 'GB', 'United Kingdom'),
(98048, '192.128.4.0', '192.128.253.255', 3229615104, 3229679103, 'US', 'United States'),
(98049, '192.128.254.0', '192.128.254.255', 3229679104, 3229679359, 'EU', 'Europe'),
(98050, '192.128.255.0', '192.128.255.255', 3229679360, 3229679615, 'US', 'United States'),
(98051, '192.129.1.0', '192.129.2.255', 3229679872, 3229680383, 'DE', 'Germany'),
(98052, '192.129.3.0', '192.129.4.255', 3229680384, 3229680895, 'RO', 'Romania'),
(98053, '192.129.5.0', '192.129.61.255', 3229680896, 3229695487, 'DE', 'Germany'),
(98054, '192.129.62.0', '192.129.79.255', 3229695488, 3229700095, 'US', 'United States'),
(98055, '192.129.80.0', '192.129.80.255', 3229700096, 3229700351, 'AT', 'Austria'),
(98056, '192.129.81.0', '192.129.86.255', 3229700352, 3229701887, 'US', 'United States'),
(98057, '192.129.87.0', '192.129.87.255', 3229701888, 3229702143, 'TR', 'Turkey'),
(98058, '192.129.88.0', '192.129.97.255', 3229702144, 3229704703, 'US', 'United States'),
(98059, '192.129.98.0', '192.129.98.255', 3229704704, 3229704959, 'DE', 'Germany'),
(98060, '192.129.100.0', '192.129.111.255', 3229705216, 3229708287, 'US', 'United States'),
(98061, '192.130.0.0', '192.130.17.255', 3229745152, 3229749759, 'FI', 'Finland'),
(98062, '192.130.18.0', '192.130.18.255', 3229749760, 3229750015, 'BE', 'Belgium'),
(98063, '192.130.19.0', '192.130.255.255', 3229750016, 3229810687, 'FI', 'Finland'),
(98064, '192.131.0.0', '192.131.12.255', 3229810688, 3229814015, 'US', 'United States'),
(98065, '192.131.13.0', '192.131.13.255', 3229814016, 3229814271, 'AU', 'Australia'),
(98066, '192.131.14.0', '192.131.19.255', 3229814272, 3229815807, 'US', 'United States'),
(98067, '192.131.20.0', '192.131.20.255', 3229815808, 3229816063, 'DE', 'Germany'),
(98068, '192.131.22.0', '192.131.24.255', 3229816320, 3229817087, 'US', 'United States'),
(98069, '192.131.25.0', '192.131.26.255', 3229817088, 3229817599, 'SE', 'Sweden'),
(98070, '192.131.27.0', '192.131.30.255', 3229817600, 3229818623, 'AU', 'Australia'),
(98071, '192.131.31.0', '192.131.78.255', 3229818624, 3229830911, 'US', 'United States'),
(98072, '192.131.79.0', '192.131.79.255', 3229830912, 3229831167, 'GB', 'United Kingdom'),
(98073, '192.131.80.0', '192.131.87.255', 3229831168, 3229833215, 'US', 'United States'),
(98074, '192.131.89.0', '192.131.89.255', 3229833472, 3229833727, 'GB', 'United Kingdom'),
(98075, '192.131.90.0', '192.131.92.255', 3229833728, 3229834495, 'AU', 'Australia'),
(98076, '192.131.93.0', '192.131.93.255', 3229834496, 3229834751, 'US', 'United States'),
(98077, '192.131.94.0', '192.131.94.255', 3229834752, 3229835007, 'CA', 'Canada'),
(98078, '192.131.95.0', '192.131.95.255', 3229835008, 3229835263, 'US', 'United States'),
(98079, '192.131.96.0', '192.131.96.255', 3229835264, 3229835519, 'FI', 'Finland'),
(98080, '192.131.97.0', '192.131.97.255', 3229835520, 3229835775, 'CA', 'Canada'),
(98081, '192.131.98.0', '192.131.107.255', 3229835776, 3229838335, 'US', 'United States'),
(98082, '192.131.108.0', '192.131.108.255', 3229838336, 3229838591, 'GB', 'United Kingdom'),
(98083, '192.131.109.0', '192.131.109.255', 3229838592, 3229838847, 'US', 'United States'),
(98084, '192.131.111.0', '192.131.131.255', 3229839104, 3229844479, 'US', 'United States'),
(98085, '192.131.132.0', '192.131.132.255', 3229844480, 3229844735, 'BE', 'Belgium'),
(98086, '192.131.133.0', '192.131.133.255', 3229844736, 3229844991, 'US', 'United States'),
(98087, '192.131.135.0', '192.131.135.255', 3229845248, 3229845503, 'US', 'United States'),
(98088, '192.131.136.0', '192.131.142.255', 3229845504, 3229847295, 'CA', 'Canada'),
(98089, '192.131.143.0', '192.131.210.255', 3229847296, 3229864703, 'US', 'United States'),
(98090, '192.131.211.0', '192.131.211.255', 3229864704, 3229864959, 'AP', 'Asia/Pacific Region'),
(98091, '192.131.212.0', '192.131.250.255', 3229864960, 3229874943, 'US', 'United States'),
(98092, '192.131.251.0', '192.131.252.255', 3229874944, 3229875455, 'AU', 'Australia'),
(98093, '192.131.253.0', '192.131.254.255', 3229875456, 3229875967, 'US', 'United States'),
(98094, '192.132.0.0', '192.132.7.255', 3229876224, 3229878271, 'US', 'United States'),
(98095, '192.132.9.0', '192.132.9.255', 3229878528, 3229878783, 'GB', 'United Kingdom'),
(98096, '192.132.10.0', '192.132.10.255', 3229878784, 3229879039, 'IT', 'Italy'),
(98097, '192.132.11.0', '192.132.11.255', 3229879040, 3229879295, 'NO', 'Norway'),
(98098, '192.132.12.0', '192.132.14.255', 3229879296, 3229880063, 'US', 'United States'),
(98099, '192.132.15.0', '192.132.15.255', 3229880064, 3229880319, 'KR', 'Korea, Republic of'),
(98100, '192.132.16.0', '192.132.18.255', 3229880320, 3229881087, 'US', 'United States'),
(98101, '192.132.19.0', '192.132.19.255', 3229881088, 3229881343, 'CA', 'Canada'),
(98102, '192.132.20.0', '192.132.27.255', 3229881344, 3229883391, 'US', 'United States'),
(98103, '192.132.29.0', '192.132.29.255', 3229883648, 3229883903, 'US', 'United States'),
(98104, '192.132.31.0', '192.132.31.255', 3229884160, 3229884415, 'JP', 'Japan'),
(98105, '192.132.34.0', '192.132.34.255', 3229884928, 3229885183, 'IT', 'Italy'),
(98106, '192.132.35.0', '192.132.35.255', 3229885184, 3229885439, 'BR', 'Brazil'),
(98107, '192.132.36.0', '192.132.40.255', 3229885440, 3229886719, 'US', 'United States'),
(98108, '192.132.41.0', '192.132.41.255', 3229886720, 3229886975, 'AU', 'Australia'),
(98109, '192.132.42.0', '192.132.52.255', 3229886976, 3229889791, 'US', 'United States'),
(98110, '192.132.53.0', '192.132.53.255', 3229889792, 3229890047, 'PT', 'Portugal'),
(98111, '192.132.54.0', '192.132.54.255', 3229890048, 3229890303, 'US', 'United States'),
(98112, '192.132.55.0', '192.132.55.255', 3229890304, 3229890559, 'PT', 'Portugal'),
(98113, '192.132.56.0', '192.132.59.255', 3229890560, 3229891583, 'US', 'United States'),
(98114, '192.132.60.0', '192.132.60.255', 3229891584, 3229891839, 'CA', 'Canada'),
(98115, '192.132.64.0', '192.132.92.255', 3229892608, 3229900031, 'US', 'United States'),
(98116, '192.132.93.0', '192.132.93.255', 3229900032, 3229900287, 'AU', 'Australia'),
(98117, '192.132.94.0', '192.132.98.255', 3229900288, 3229901567, 'US', 'United States'),
(98118, '192.132.99.0', '192.132.99.255', 3229901568, 3229901823, 'GB', 'United Kingdom'),
(98119, '192.132.100.0', '192.132.238.255', 3229901824, 3229937407, 'US', 'United States'),
(98120, '192.132.239.0', '192.132.239.255', 3229937408, 3229937663, 'GB', 'United Kingdom'),
(98121, '192.132.240.0', '192.132.240.255', 3229937664, 3229937919, 'US', 'United States'),
(98122, '192.132.241.0', '192.132.241.255', 3229937920, 3229938175, 'CA', 'Canada'),
(98123, '192.132.242.0', '192.132.242.255', 3229938176, 3229938431, 'US', 'United States'),
(98124, '192.132.244.0', '192.132.244.255', 3229938688, 3229938943, 'IL', 'Israel'),
(98125, '192.132.245.0', '192.132.245.255', 3229938944, 3229939199, 'AT', 'Austria'),
(98126, '192.132.246.0', '192.132.246.255', 3229939200, 3229939455, 'US', 'United States'),
(98127, '192.132.247.0', '192.132.251.255', 3229939456, 3229940735, 'KR', 'Korea, Republic of'),
(98128, '192.132.252.0', '192.132.252.255', 3229940736, 3229940991, 'CH', 'Switzerland'),
(98129, '192.132.253.0', '192.132.253.255', 3229940992, 3229941247, 'AU', 'Australia'),
(98130, '192.132.254.0', '192.132.254.255', 3229941248, 3229941503, 'US', 'United States'),
(98131, '192.133.0.0', '192.133.13.255', 3229941760, 3229945343, 'US', 'United States'),
(98132, '192.133.15.0', '192.133.15.255', 3229945600, 3229945855, 'PT', 'Portugal'),
(98133, '192.133.16.0', '192.133.20.255', 3229945856, 3229947135, 'US', 'United States'),
(98134, '192.133.21.0', '192.133.21.255', 3229947136, 3229947391, 'AU', 'Australia'),
(98135, '192.133.22.0', '192.133.27.255', 3229947392, 3229948927, 'US', 'United States'),
(98136, '192.133.28.0', '192.133.28.255', 3229948928, 3229949183, 'IT', 'Italy'),
(98137, '192.133.29.0', '192.133.30.255', 3229949184, 3229949695, 'US', 'United States'),
(98138, '192.133.31.0', '192.133.31.255', 3229949696, 3229949951, 'NZ', 'New Zealand'),
(98139, '192.133.32.0', '192.133.32.255', 3229949952, 3229950207, 'NO', 'Norway'),
(98140, '192.133.33.0', '192.133.35.255', 3229950208, 3229950975, 'US', 'United States'),
(98141, '192.133.36.0', '192.133.36.255', 3229950976, 3229951231, 'IL', 'Israel'),
(98142, '192.133.37.0', '192.133.40.255', 3229951232, 3229952255, 'US', 'United States'),
(98143, '192.133.41.0', '192.133.41.255', 3229952256, 3229952511, 'AU', 'Australia'),
(98144, '192.133.42.0', '192.133.52.255', 3229952512, 3229955327, 'US', 'United States'),
(98145, '192.133.53.0', '192.133.53.255', 3229955328, 3229955583, 'NL', 'Netherlands'),
(98146, '192.133.54.0', '192.133.55.255', 3229955584, 3229956095, 'PT', 'Portugal'),
(98147, '192.133.56.0', '192.133.57.255', 3229956096, 3229956607, 'US', 'United States'),
(98148, '192.133.58.0', '192.133.58.255', 3229956608, 3229956863, 'GB', 'United Kingdom'),
(98149, '192.133.59.0', '192.133.63.255', 3229956864, 3229958143, 'US', 'United States'),
(98150, '192.133.64.0', '192.133.64.255', 3229958144, 3229958399, 'NO', 'Norway'),
(98151, '192.133.65.0', '192.133.65.255', 3229958400, 3229958655, 'US', 'United States'),
(98152, '192.133.67.0', '192.133.67.255', 3229958912, 3229959167, 'SG', 'Singapore'),
(98153, '192.133.68.0', '192.133.75.255', 3229959168, 3229961215, 'US', 'United States'),
(98154, '192.133.80.0', '192.133.100.255', 3229962240, 3229967615, 'US', 'United States'),
(98155, '192.133.102.0', '192.133.102.255', 3229967872, 3229968127, 'US', 'United States'),
(98156, '192.133.103.0', '192.133.103.255', 3229968128, 3229968383, 'BE', 'Belgium'),
(98157, '192.133.104.0', '192.133.105.255', 3229968384, 3229968895, 'US', 'United States'),
(98158, '192.133.108.0', '192.133.108.255', 3229969408, 3229969663, 'PT', 'Portugal'),
(98159, '192.133.109.0', '192.133.109.255', 3229969664, 3229969919, 'AT', 'Austria'),
(98160, '192.133.110.0', '192.133.111.255', 3229969920, 3229970431, 'FI', 'Finland'),
(98161, '192.133.116.0', '192.133.120.255', 3229971456, 3229972735, 'US', 'United States'),
(98162, '192.133.121.0', '192.133.121.255', 3229972736, 3229972991, 'SE', 'Sweden'),
(98163, '192.133.122.0', '192.133.130.255', 3229972992, 3229975295, 'US', 'United States'),
(98164, '192.133.131.0', '192.133.131.255', 3229975296, 3229975551, 'GB', 'United Kingdom'),
(98165, '192.133.132.0', '192.133.135.255', 3229975552, 3229976575, 'US', 'United States'),
(98166, '192.133.144.0', '192.133.243.255', 3229978624, 3230004223, 'US', 'United States'),
(98167, '192.133.244.0', '192.133.244.255', 3230004224, 3230004479, 'GB', 'United Kingdom'),
(98168, '192.133.245.0', '192.133.246.255', 3230004480, 3230004991, 'US', 'United States'),
(98169, '192.133.250.0', '192.133.250.255', 3230005760, 3230006015, 'ZA', 'South Africa'),
(98170, '192.133.251.0', '192.133.255.255', 3230006016, 3230007295, 'US', 'United States'),
(98171, '192.134.0.0', '192.134.255.255', 3230007296, 3230072831, 'FR', 'France'),
(98172, '192.135.0.0', '192.135.6.255', 3230072832, 3230074623, 'US', 'United States'),
(98173, '192.135.7.0', '192.135.7.255', 3230074624, 3230074879, 'DE', 'Germany'),
(98174, '192.135.8.0', '192.135.37.255', 3230074880, 3230082559, 'IT', 'Italy'),
(98175, '192.135.38.0', '192.135.38.255', 3230082560, 3230082815, 'US', 'United States'),
(98176, '192.135.40.0', '192.135.45.255', 3230083072, 3230084607, 'US', 'United States'),
(98177, '192.135.46.0', '192.135.46.255', 3230084608, 3230084863, 'NO', 'Norway'),
(98178, '192.135.47.0', '192.135.47.255', 3230084864, 3230085119, 'US', 'United States'),
(98179, '192.135.48.0', '192.135.48.255', 3230085120, 3230085375, 'CA', 'Canada'),
(98180, '192.135.49.0', '192.135.49.255', 3230085376, 3230085631, 'US', 'United States'),
(98181, '192.135.51.0', '192.135.51.255', 3230085888, 3230086143, 'DE', 'Germany'),
(98182, '192.135.52.0', '192.135.53.255', 3230086144, 3230086655, 'GB', 'United Kingdom'),
(98183, '192.135.63.0', '192.135.63.255', 3230088960, 3230089215, 'AT', 'Austria'),
(98184, '192.135.64.0', '192.135.65.255', 3230089216, 3230089727, 'US', 'United States'),
(98185, '192.135.66.0', '192.135.66.255', 3230089728, 3230089983, 'GB', 'United Kingdom'),
(98186, '192.135.67.0', '192.135.67.255', 3230089984, 3230090239, 'US', 'United States'),
(98187, '192.135.68.0', '192.135.68.255', 3230090240, 3230090495, 'GB', 'United Kingdom'),
(98188, '192.135.69.0', '192.135.76.255', 3230090496, 3230092543, 'US', 'United States'),
(98189, '192.135.77.0', '192.135.77.255', 3230092544, 3230092799, 'CA', 'Canada'),
(98190, '192.135.78.0', '192.135.81.255', 3230092800, 3230093823, 'US', 'United States'),
(98191, '192.135.82.0', '192.135.82.255', 3230093824, 3230094079, 'NL', 'Netherlands'),
(98192, '192.135.83.0', '192.135.83.255', 3230094080, 3230094335, 'CA', 'Canada'),
(98193, '192.135.84.0', '192.135.88.255', 3230094336, 3230095615, 'US', 'United States'),
(98194, '192.135.89.0', '192.135.89.255', 3230095616, 3230095871, 'JP', 'Japan'),
(98195, '192.135.92.0', '192.135.111.255', 3230096384, 3230101503, 'JP', 'Japan'),
(98196, '192.135.112.0', '192.135.128.255', 3230101504, 3230105855, 'US', 'United States'),
(98197, '192.135.129.0', '192.135.129.255', 3230105856, 3230106111, 'PT', 'Portugal'),
(98198, '192.135.130.0', '192.135.132.255', 3230106112, 3230106879, 'US', 'United States'),
(98199, '192.135.133.0', '192.135.133.255', 3230106880, 3230107135, 'AT', 'Austria'),
(98200, '192.135.134.0', '192.135.142.255', 3230107136, 3230109439, 'US', 'United States'),
(98201, '192.135.143.0', '192.135.143.255', 3230109440, 3230109695, 'NO', 'Norway'),
(98202, '192.135.144.0', '192.135.144.255', 3230109696, 3230109951, 'US', 'United States'),
(98203, '192.135.145.0', '192.135.164.255', 3230109952, 3230115071, 'CH', 'Switzerland'),
(98204, '192.135.165.0', '192.135.165.255', 3230115072, 3230115327, 'IT', 'Italy'),
(98205, '192.135.166.0', '192.135.166.255', 3230115328, 3230115583, 'GR', 'Greece'),
(98206, '192.135.167.0', '192.135.168.255', 3230115584, 3230116095, 'BE', 'Belgium'),
(98207, '192.135.169.0', '192.135.174.255', 3230116096, 3230117631, 'US', 'United States'),
(98208, '192.135.175.0', '192.135.175.255', 3230117632, 3230117887, 'FR', 'France'),
(98209, '192.135.176.0', '192.135.184.255', 3230117888, 3230120191, 'US', 'United States'),
(98210, '192.135.185.0', '192.135.185.255', 3230120192, 3230120447, 'BE', 'Belgium'),
(98211, '192.135.186.0', '192.135.186.255', 3230120448, 3230120703, 'US', 'United States'),
(98212, '192.135.187.0', '192.135.187.255', 3230120704, 3230120959, 'PT', 'Portugal'),
(98213, '192.135.188.0', '192.135.199.255', 3230120960, 3230124031, 'US', 'United States'),
(98214, '192.135.205.0', '192.135.205.255', 3230125312, 3230125567, 'US', 'United States'),
(98215, '192.135.207.0', '192.135.208.255', 3230125824, 3230126335, 'AU', 'Australia'),
(98216, '192.135.209.0', '192.135.209.255', 3230126336, 3230126591, 'US', 'United States'),
(98217, '192.135.211.0', '192.135.217.255', 3230126848, 3230128639, 'US', 'United States'),
(98218, '192.135.219.0', '192.135.219.255', 3230128896, 3230129151, 'PT', 'Portugal'),
(98219, '192.135.220.0', '192.135.221.255', 3230129152, 3230129663, 'US', 'United States'),
(98220, '192.135.222.0', '192.135.222.255', 3230129664, 3230129919, 'JP', 'Japan'),
(98221, '192.135.224.0', '192.135.224.255', 3230130176, 3230130431, 'US', 'United States'),
(98222, '192.135.225.0', '192.135.225.255', 3230130432, 3230130687, 'IE', 'Ireland'),
(98223, '192.135.226.0', '192.135.230.255', 3230130688, 3230131967, 'US', 'United States'),
(98224, '192.135.231.0', '192.135.234.255', 3230131968, 3230132991, 'GB', 'United Kingdom'),
(98225, '192.135.235.0', '192.135.252.255', 3230132992, 3230137599, 'US', 'United States'),
(98226, '192.135.253.0', '192.135.253.255', 3230137600, 3230137855, 'NO', 'Norway'),
(98227, '192.135.254.0', '192.135.254.255', 3230137856, 3230138111, 'PL', 'Poland'),
(98228, '192.136.0.0', '192.136.6.255', 3230138368, 3230140159, 'US', 'United States'),
(98229, '192.136.7.0', '192.136.7.255', 3230140160, 3230140415, 'MT', 'Malta'),
(98230, '192.136.8.0', '192.136.8.255', 3230140416, 3230140671, 'US', 'United States'),
(98231, '192.136.9.0', '192.136.9.255', 3230140672, 3230140927, 'FI', 'Finland'),
(98232, '192.136.10.0', '192.136.17.255', 3230140928, 3230142975, 'US', 'United States'),
(98233, '192.136.18.0', '192.136.18.255', 3230142976, 3230143231, 'GB', 'United Kingdom'),
(98234, '192.136.19.0', '192.136.19.255', 3230143232, 3230143487, 'BE', 'Belgium'),
(98235, '192.136.20.0', '192.136.22.255', 3230143488, 3230144255, 'US', 'United States'),
(98236, '192.136.23.0', '192.136.23.255', 3230144256, 3230144511, 'NL', 'Netherlands'),
(98237, '192.136.24.0', '192.136.26.255', 3230144512, 3230145279, 'US', 'United States'),
(98238, '192.136.27.0', '192.136.27.255', 3230145280, 3230145535, 'CA', 'Canada'),
(98239, '192.136.28.0', '192.136.28.255', 3230145536, 3230145791, 'US', 'United States'),
(98240, '192.136.29.0', '192.136.29.255', 3230145792, 3230146047, 'GB', 'United Kingdom'),
(98241, '192.136.30.0', '192.136.30.255', 3230146048, 3230146303, 'FR', 'France'),
(98242, '192.136.31.0', '192.136.31.255', 3230146304, 3230146559, 'PT', 'Portugal'),
(98243, '192.136.32.0', '192.136.35.255', 3230146560, 3230147583, 'US', 'United States'),
(98244, '192.136.37.0', '192.136.38.255', 3230147840, 3230148351, 'US', 'United States'),
(98245, '192.136.39.0', '192.136.39.255', 3230148352, 3230148607, 'AU', 'Australia'),
(98246, '192.136.40.0', '192.136.40.255', 3230148608, 3230148863, 'GB', 'United Kingdom'),
(98247, '192.136.41.0', '192.136.41.255', 3230148864, 3230149119, 'CH', 'Switzerland'),
(98248, '192.136.42.0', '192.136.47.255', 3230149120, 3230150655, 'NI', 'Nicaragua'),
(98249, '192.136.48.0', '192.136.48.255', 3230150656, 3230150911, 'US', 'United States'),
(98250, '192.136.49.0', '192.136.49.255', 3230150912, 3230151167, 'PT', 'Portugal'),
(98251, '192.136.50.0', '192.136.50.255', 3230151168, 3230151423, 'US', 'United States'),
(98252, '192.136.51.0', '192.136.51.255', 3230151424, 3230151679, 'NL', 'Netherlands'),
(98253, '192.136.52.0', '192.136.52.255', 3230151680, 3230151935, 'PT', 'Portugal'),
(98254, '192.136.54.0', '192.136.54.255', 3230152192, 3230152447, 'FR', 'France'),
(98255, '192.136.55.0', '192.136.57.255', 3230152448, 3230153215, 'BF', 'Burkina Faso'),
(98256, '192.136.58.0', '192.136.58.255', 3230153216, 3230153471, 'FR', 'France'),
(98257, '192.136.59.0', '192.136.59.255', 3230153472, 3230153727, 'PF', 'French Polynesia'),
(98258, '192.136.60.0', '192.136.60.255', 3230153728, 3230153983, 'US', 'United States'),
(98259, '192.136.61.0', '192.136.61.255', 3230153984, 3230154239, 'RU', 'Russian Federation'),
(98260, '192.136.62.0', '192.136.70.255', 3230154240, 3230156543, 'US', 'United States'),
(98261, '192.136.71.0', '192.136.103.255', 3230156544, 3230164991, 'FI', 'Finland'),
(98262, '192.136.104.0', '192.136.112.255', 3230164992, 3230167295, 'US', 'United States'),
(98263, '192.136.114.0', '192.136.115.255', 3230167552, 3230168063, 'CA', 'Canada'),
(98264, '192.136.119.0', '192.136.153.255', 3230168832, 3230177791, 'US', 'United States'),
(98265, '192.136.154.0', '192.136.155.255', 3230177792, 3230178303, 'GB', 'United Kingdom'),
(98266, '192.136.156.0', '192.136.156.255', 3230178304, 3230178559, 'CH', 'Switzerland'),
(98267, '192.137.0.0', '192.137.23.255', 3230203904, 3230210047, 'US', 'United States'),
(98268, '192.137.24.0', '192.137.24.255', 3230210048, 3230210303, 'CA', 'Canada'),
(98269, '192.137.25.0', '192.137.30.255', 3230210304, 3230211839, 'US', 'United States'),
(98270, '192.137.31.0', '192.137.31.255', 3230211840, 3230212095, 'CN', 'China'),
(98271, '192.137.32.0', '192.137.42.255', 3230212096, 3230214911, 'US', 'United States'),
(98272, '192.137.43.0', '192.137.43.255', 3230214912, 3230215167, 'PR', 'Puerto Rico'),
(98273, '192.137.44.0', '192.137.61.255', 3230215168, 3230219775, 'US', 'United States'),
(98274, '192.137.62.0', '192.137.62.255', 3230219776, 3230220031, 'NL', 'Netherlands'),
(98275, '192.137.63.0', '192.137.63.255', 3230220032, 3230220287, 'US', 'United States'),
(98276, '192.137.64.0', '192.137.73.255', 3230220288, 3230222847, 'NL', 'Netherlands'),
(98277, '192.137.74.0', '192.137.74.255', 3230222848, 3230223103, 'ES', 'Spain'),
(98278, '192.137.75.0', '192.137.75.255', 3230223104, 3230223359, 'GB', 'United Kingdom'),
(98279, '192.137.76.0', '192.137.76.255', 3230223360, 3230223615, 'CH', 'Switzerland'),
(98280, '192.137.77.0', '192.137.85.255', 3230223616, 3230225919, 'LU', 'Luxembourg'),
(98281, '192.137.86.0', '192.137.86.255', 3230225920, 3230226175, 'AU', 'Australia'),
(98282, '192.137.87.0', '192.137.87.255', 3230226176, 3230226431, 'ES', 'Spain'),
(98283, '192.137.88.0', '192.137.88.255', 3230226432, 3230226687, 'US', 'United States'),
(98284, '192.137.89.0', '192.137.89.255', 3230226688, 3230226943, 'NO', 'Norway'),
(98285, '192.137.90.0', '192.137.94.255', 3230226944, 3230228223, 'GB', 'United Kingdom'),
(98286, '192.137.95.0', '192.137.95.255', 3230228224, 3230228479, 'ES', 'Spain'),
(98287, '192.137.96.0', '192.137.96.255', 3230228480, 3230228735, 'AU', 'Australia'),
(98288, '192.137.97.0', '192.137.97.255', 3230228736, 3230228991, 'US', 'United States'),
(98289, '192.137.98.0', '192.137.98.255', 3230228992, 3230229247, 'GB', 'United Kingdom'),
(98290, '192.137.99.0', '192.137.99.255', 3230229248, 3230229503, 'US', 'United States'),
(98291, '192.137.100.0', '192.137.100.255', 3230229504, 3230229759, 'ES', 'Spain'),
(98292, '192.137.101.0', '192.137.101.255', 3230229760, 3230230015, 'DE', 'Germany'),
(98293, '192.137.102.0', '192.137.125.255', 3230230016, 3230236159, 'US', 'United States'),
(98294, '192.137.126.0', '192.137.126.255', 3230236160, 3230236415, 'AU', 'Australia'),
(98295, '192.137.127.0', '192.137.127.255', 3230236416, 3230236671, 'GB', 'United Kingdom'),
(98296, '192.137.128.0', '192.137.128.255', 3230236672, 3230236927, 'CA', 'Canada'),
(98297, '192.137.129.0', '192.137.143.255', 3230236928, 3230240767, 'US', 'United States'),
(98298, '192.137.144.0', '192.137.144.255', 3230240768, 3230241023, 'DK', 'Denmark'),
(98299, '192.137.145.0', '192.137.147.255', 3230241024, 3230241791, 'GB', 'United Kingdom'),
(98300, '192.137.148.0', '192.137.149.255', 3230241792, 3230242303, 'CH', 'Switzerland'),
(98301, '192.137.150.0', '192.137.155.255', 3230242304, 3230243839, 'US', 'United States'),
(98302, '192.137.156.0', '192.137.156.255', 3230243840, 3230244095, 'HK', 'Hong Kong'),
(98303, '192.137.157.0', '192.137.157.255', 3230244096, 3230244351, 'US', 'United States'),
(98304, '192.137.158.0', '192.137.158.255', 3230244352, 3230244607, 'CA', 'Canada'),
(98305, '192.137.159.0', '192.137.160.255', 3230244608, 3230245119, 'FR', 'France'),
(98306, '192.137.161.0', '192.137.164.255', 3230245120, 3230246143, 'SE', 'Sweden'),
(98307, '192.137.165.0', '192.137.167.255', 3230246144, 3230246911, 'US', 'United States'),
(98308, '192.137.168.0', '192.137.168.255', 3230246912, 3230247167, 'CH', 'Switzerland'),
(98309, '192.137.169.0', '192.137.171.255', 3230247168, 3230247935, 'US', 'United States'),
(98310, '192.137.172.0', '192.137.172.255', 3230247936, 3230248191, 'AU', 'Australia'),
(98311, '192.137.173.0', '192.137.183.255', 3230248192, 3230251007, 'US', 'United States'),
(98312, '192.137.184.0', '192.137.184.255', 3230251008, 3230251263, 'CH', 'Switzerland'),
(98313, '192.137.185.0', '192.137.185.255', 3230251264, 3230251519, 'MX', 'Mexico'),
(98314, '192.137.186.0', '192.137.187.255', 3230251520, 3230252031, 'CH', 'Switzerland'),
(98315, '192.137.188.0', '192.137.198.255', 3230252032, 3230254847, 'US', 'United States'),
(98316, '192.137.199.0', '192.137.200.255', 3230254848, 3230255359, 'SE', 'Sweden'),
(98317, '192.137.201.0', '192.137.201.255', 3230255360, 3230255615, 'ES', 'Spain'),
(98318, '192.137.202.0', '192.137.203.255', 3230255616, 3230256127, 'US', 'United States'),
(98319, '192.137.204.0', '192.137.204.255', 3230256128, 3230256383, 'GB', 'United Kingdom'),
(98320, '192.137.205.0', '192.137.210.255', 3230256384, 3230257919, 'US', 'United States'),
(98321, '192.137.211.0', '192.137.215.255', 3230257920, 3230259199, 'CH', 'Switzerland'),
(98322, '192.137.216.0', '192.137.233.255', 3230259200, 3230263807, 'US', 'United States'),
(98323, '192.137.234.0', '192.137.234.255', 3230263808, 3230264063, 'SE', 'Sweden'),
(98324, '192.137.235.0', '192.137.235.255', 3230264064, 3230264319, 'NL', 'Netherlands'),
(98325, '192.137.236.0', '192.137.242.255', 3230264320, 3230266111, 'CH', 'Switzerland'),
(98326, '192.137.243.0', '192.137.246.255', 3230266112, 3230267135, 'US', 'United States'),
(98327, '192.137.247.0', '192.137.249.255', 3230267136, 3230267903, 'CA', 'Canada'),
(98328, '192.137.250.0', '192.137.255.255', 3230267904, 3230269439, 'US', 'United States'),
(98329, '192.138.0.0', '192.138.15.255', 3230269440, 3230273535, 'GB', 'United Kingdom'),
(98330, '192.138.24.0', '192.138.85.255', 3230275584, 3230291455, 'US', 'United States'),
(98331, '192.138.86.0', '192.138.86.255', 3230291456, 3230291711, 'PT', 'Portugal'),
(98332, '192.138.87.0', '192.138.99.255', 3230291712, 3230295039, 'US', 'United States'),
(98333, '192.138.100.0', '192.138.100.255', 3230295040, 3230295295, 'AU', 'Australia'),
(98334, '192.138.101.0', '192.138.104.255', 3230295296, 3230296319, 'US', 'United States'),
(98335, '192.138.105.0', '192.138.108.255', 3230296320, 3230297343, 'NO', 'Norway'),
(98336, '192.138.109.0', '192.138.119.255', 3230297344, 3230300159, 'SE', 'Sweden'),
(98337, '192.138.126.0', '192.138.127.255', 3230301696, 3230302207, 'US', 'United States'),
(98338, '192.138.128.0', '192.138.130.255', 3230302208, 3230302975, 'CA', 'Canada'),
(98339, '192.138.131.0', '192.138.154.255', 3230302976, 3230309119, 'US', 'United States'),
(98340, '192.138.155.0', '192.138.155.255', 3230309120, 3230309375, 'NO', 'Norway'),
(98341, '192.138.156.0', '192.138.158.255', 3230309376, 3230310143, 'GB', 'United Kingdom'),
(98342, '192.138.159.0', '192.138.182.255', 3230310144, 3230316287, 'US', 'United States'),
(98343, '192.138.183.0', '192.138.183.255', 3230316288, 3230316543, 'IT', 'Italy'),
(98344, '192.138.184.0', '192.138.184.255', 3230316544, 3230316799, 'US', 'United States'),
(98345, '192.138.185.0', '192.138.186.255', 3230316800, 3230317311, 'CA', 'Canada'),
(98346, '192.138.187.0', '192.138.191.255', 3230317312, 3230318591, 'US', 'United States'),
(98347, '192.138.192.0', '192.138.192.255', 3230318592, 3230318847, 'GB', 'United Kingdom'),
(98348, '192.138.193.0', '192.138.203.255', 3230318848, 3230321663, 'US', 'United States'),
(98349, '192.138.204.0', '192.138.204.255', 3230321664, 3230321919, 'PT', 'Portugal'),
(98350, '192.138.205.0', '192.138.205.255', 3230321920, 3230322175, 'US', 'United States'),
(98351, '192.138.207.0', '192.138.227.255', 3230322432, 3230327807, 'US', 'United States'),
(98352, '192.138.228.0', '192.138.228.255', 3230327808, 3230328063, 'AT', 'Austria'),
(98353, '192.138.229.0', '192.138.229.255', 3230328064, 3230328319, 'GB', 'United Kingdom'),
(98354, '192.138.230.0', '192.138.232.255', 3230328320, 3230329087, 'CH', 'Switzerland'),
(98355, '192.138.233.0', '192.138.247.255', 3230329088, 3230332927, 'US', 'United States'),
(98356, '192.138.248.0', '192.138.248.255', 3230332928, 3230333183, 'GB', 'United Kingdom'),
(98357, '192.138.249.0', '192.138.250.255', 3230333184, 3230333695, 'US', 'United States'),
(98358, '192.138.251.0', '192.138.251.255', 3230333696, 3230333951, 'NZ', 'New Zealand'),
(98359, '192.138.252.0', '192.138.255.255', 3230333952, 3230334975, 'US', 'United States'),
(98360, '192.139.0.0', '192.139.77.255', 3230334976, 3230354943, 'CA', 'Canada'),
(98361, '192.139.78.0', '192.139.78.255', 3230354944, 3230355199, 'FR', 'France'),
(98362, '192.139.79.0', '192.139.117.255', 3230355200, 3230365183, 'CA', 'Canada'),
(98363, '192.139.118.0', '192.139.118.255', 3230365184, 3230365439, 'US', 'United States'),
(98364, '192.139.119.0', '192.139.131.255', 3230365440, 3230368767, 'CA', 'Canada'),
(98365, '192.139.132.0', '192.139.137.255', 3230368768, 3230370303, 'US', 'United States'),
(98366, '192.139.138.0', '192.139.138.255', 3230370304, 3230370559, 'CA', 'Canada'),
(98367, '192.139.140.0', '192.139.255.255', 3230370816, 3230400511, 'CA', 'Canada'),
(98368, '192.140.0.0', '192.144.73.255', 3230400512, 3230681599, 'EU', 'Europe'),
(98369, '192.144.74.0', '192.144.74.255', 3230681600, 3230681855, 'FR', 'France'),
(98370, '192.144.76.0', '192.144.77.255', 3230682112, 3230682623, 'FR', 'France'),
(98371, '192.144.78.0', '192.145.255.255', 3230682624, 3230793727, 'EU', 'Europe'),
(98372, '192.146.0.0', '192.146.116.255', 3230793728, 3230823679, 'US', 'United States'),
(98373, '192.146.117.0', '192.146.117.255', 3230823680, 3230823935, 'DK', 'Denmark'),
(98374, '192.146.119.0', '192.146.119.255', 3230824192, 3230824447, 'FR', 'France'),
(98375, '192.146.120.0', '192.146.122.255', 3230824448, 3230825215, 'US', 'United States'),
(98376, '192.146.123.0', '192.146.123.255', 3230825216, 3230825471, 'GB', 'United Kingdom'),
(98377, '192.146.124.0', '192.146.126.255', 3230825472, 3230826239, 'ES', 'Spain'),
(98378, '192.146.127.0', '192.146.129.255', 3230826240, 3230827007, 'US', 'United States'),
(98379, '192.146.132.0', '192.146.132.255', 3230827520, 3230827775, 'AT', 'Austria'),
(98380, '192.146.133.0', '192.146.133.255', 3230827776, 3230828031, 'NZ', 'New Zealand'),
(98381, '192.146.134.0', '192.146.135.255', 3230828032, 3230828543, 'HU', 'Hungary'),
(98382, '192.146.136.0', '192.146.137.255', 3230828544, 3230829055, 'GB', 'United Kingdom'),
(98383, '192.146.138.0', '192.146.139.255', 3230829056, 3230829567, 'RO', 'Romania'),
(98384, '192.146.140.0', '192.146.141.255', 3230829568, 3230830079, 'RU', 'Russian Federation'),
(98385, '192.146.142.0', '192.146.149.255', 3230830080, 3230832127, 'US', 'United States'),
(98386, '192.146.150.0', '192.146.150.255', 3230832128, 3230832383, 'NZ', 'New Zealand'),
(98387, '192.146.151.0', '192.146.151.255', 3230832384, 3230832639, 'US', 'United States'),
(98388, '192.146.152.0', '192.146.152.255', 3230832640, 3230832895, 'FI', 'Finland'),
(98389, '192.146.153.0', '192.146.155.255', 3230832896, 3230833663, 'US', 'United States'),
(98390, '192.146.156.0', '192.146.156.255', 3230833664, 3230833919, 'CA', 'Canada'),
(98391, '192.146.157.0', '192.146.157.255', 3230833920, 3230834175, 'BR', 'Brazil'),
(98392, '192.146.158.0', '192.146.162.255', 3230834176, 3230835455, 'US', 'United States'),
(98393, '192.146.163.0', '192.146.170.255', 3230835456, 3230837503, 'NO', 'Norway'),
(98394, '192.146.171.0', '192.146.171.255', 3230837504, 3230837759, 'US', 'United States'),
(98395, '192.146.172.0', '192.146.172.255', 3230837760, 3230838015, 'ES', 'Spain'),
(98396, '192.146.173.0', '192.146.181.255', 3230838016, 3230840319, 'IT', 'Italy'),
(98397, '192.146.182.0', '192.146.182.255', 3230840320, 3230840575, 'FR', 'France'),
(98398, '192.146.183.0', '192.146.183.255', 3230840576, 3230840831, 'US', 'United States'),
(98399, '192.146.184.0', '192.146.184.255', 3230840832, 3230841087, 'JP', 'Japan'),
(98400, '192.146.185.0', '192.146.185.255', 3230841088, 3230841343, 'DE', 'Germany'),
(98401, '192.146.187.0', '192.146.187.255', 3230841600, 3230841855, 'ES', 'Spain'),
(98402, '192.146.188.0', '192.146.192.255', 3230841856, 3230843135, 'US', 'United States'),
(98403, '192.146.193.0', '192.146.193.255', 3230843136, 3230843391, 'NO', 'Norway'),
(98404, '192.146.194.0', '192.146.199.255', 3230843392, 3230844927, 'US', 'United States'),
(98405, '192.146.200.0', '192.146.200.255', 3230844928, 3230845183, 'AU', 'Australia'),
(98406, '192.146.201.0', '192.146.203.255', 3230845184, 3230845951, 'US', 'United States'),
(98407, '192.146.204.0', '192.146.204.255', 3230845952, 3230846207, 'CZ', 'Czech Republic'),
(98408, '192.146.205.0', '192.146.217.255', 3230846208, 3230849535, 'US', 'United States'),
(98409, '192.146.218.0', '192.146.219.255', 3230849536, 3230850047, 'NZ', 'New Zealand'),
(98410, '192.146.220.0', '192.146.226.255', 3230850048, 3230851839, 'US', 'United States'),
(98411, '192.146.227.0', '192.146.227.255', 3230851840, 3230852095, 'NO', 'Norway'),
(98412, '192.146.228.0', '192.146.228.255', 3230852096, 3230852351, 'GB', 'United Kingdom'),
(98413, '192.146.229.0', '192.146.229.255', 3230852352, 3230852607, 'BR', 'Brazil'),
(98414, '192.146.233.0', '192.146.234.255', 3230853376, 3230853887, 'FR', 'France'),
(98415, '192.146.235.0', '192.146.236.255', 3230853888, 3230854399, 'US', 'United States'),
(98416, '192.146.237.0', '192.146.237.255', 3230854400, 3230854655, 'UY', 'Uruguay'),
(98417, '192.146.238.0', '192.146.239.255', 3230854656, 3230855167, 'NO', 'Norway'),
(98418, '192.146.240.0', '192.146.241.255', 3230855168, 3230855679, 'US', 'United States'),
(98419, '192.146.242.0', '192.146.242.255', 3230855680, 3230855935, 'IT', 'Italy'),
(98420, '192.146.243.0', '192.146.250.255', 3230855936, 3230857983, 'US', 'United States'),
(98421, '192.146.251.0', '192.146.253.255', 3230857984, 3230858751, 'AU', 'Australia'),
(98422, '192.146.254.0', '192.146.254.255', 3230858752, 3230859007, 'US', 'United States'),
(98423, '192.147.0.0', '192.147.22.255', 3230859264, 3230865151, 'US', 'United States'),
(98424, '192.147.23.0', '192.147.23.255', 3230865152, 3230865407, 'GB', 'United Kingdom'),
(98425, '192.147.24.0', '192.147.33.255', 3230865408, 3230867967, 'US', 'United States'),
(98426, '192.147.34.0', '192.147.34.255', 3230867968, 3230868223, 'IS', 'Iceland'),
(98427, '192.147.35.0', '192.147.35.255', 3230868224, 3230868479, 'US', 'United States'),
(98428, '192.147.36.0', '192.147.36.255', 3230868480, 3230868735, 'GB', 'United Kingdom'),
(98429, '192.147.38.0', '192.147.41.255', 3230868992, 3230870015, 'US', 'United States'),
(98430, '192.147.42.0', '192.147.42.255', 3230870016, 3230870271, 'PL', 'Poland'),
(98431, '192.147.43.0', '192.147.54.255', 3230870272, 3230873343, 'US', 'United States'),
(98432, '192.147.55.0', '192.147.55.255', 3230873344, 3230873599, 'HK', 'Hong Kong'),
(98433, '192.147.56.0', '192.147.75.255', 3230873600, 3230878719, 'US', 'United States'),
(98434, '192.147.76.0', '192.147.78.255', 3230878720, 3230879487, 'PT', 'Portugal'),
(98435, '192.147.79.0', '192.147.79.255', 3230879488, 3230879743, 'FR', 'France'),
(98436, '192.147.80.0', '192.147.113.255', 3230879744, 3230888447, 'US', 'United States'),
(98437, '192.147.114.0', '192.147.114.255', 3230888448, 3230888703, 'AU', 'Australia'),
(98438, '192.147.115.0', '192.147.140.255', 3230888704, 3230895359, 'US', 'United States'),
(98439, '192.147.141.0', '192.147.141.255', 3230895360, 3230895615, 'PL', 'Poland'),
(98440, '192.147.142.0', '192.147.147.255', 3230895616, 3230897151, 'US', 'United States'),
(98441, '192.147.149.0', '192.147.149.255', 3230897408, 3230897663, 'US', 'United States'),
(98442, '192.147.150.0', '192.147.150.255', 3230897664, 3230897919, 'GB', 'United Kingdom'),
(98443, '192.147.154.0', '192.147.154.255', 3230898688, 3230898943, 'US', 'United States'),
(98444, '192.147.155.0', '192.147.155.255', 3230898944, 3230899199, 'PT', 'Portugal'),
(98445, '192.147.156.0', '192.147.209.255', 3230899200, 3230913023, 'US', 'United States'),
(98446, '192.147.210.0', '192.147.210.255', 3230913024, 3230913279, 'BR', 'Brazil'),
(98447, '192.147.211.0', '192.147.211.255', 3230913280, 3230913535, 'US', 'United States'),
(98448, '192.147.212.0', '192.147.212.255', 3230913536, 3230913791, 'GB', 'United Kingdom'),
(98449, '192.147.213.0', '192.147.213.255', 3230913792, 3230914047, 'CA', 'Canada'),
(98450, '192.147.214.0', '192.147.214.255', 3230914048, 3230914303, 'US', 'United States'),
(98451, '192.147.215.0', '192.147.216.255', 3230914304, 3230914815, 'FI', 'Finland'),
(98452, '192.147.217.0', '192.147.217.255', 3230914816, 3230915071, 'GB', 'United Kingdom'),
(98453, '192.147.218.0', '192.147.218.255', 3230915072, 3230915327, 'BR', 'Brazil'),
(98454, '192.147.219.0', '192.147.219.255', 3230915328, 3230915583, 'GB', 'United Kingdom'),
(98455, '192.147.220.0', '192.147.227.255', 3230915584, 3230917631, 'US', 'United States'),
(98456, '192.147.228.0', '192.147.228.255', 3230917632, 3230917887, 'GB', 'United Kingdom'),
(98457, '192.147.229.0', '192.147.230.255', 3230917888, 3230918399, 'US', 'United States'),
(98458, '192.147.232.0', '192.147.234.255', 3230918656, 3230919423, 'US', 'United States'),
(98459, '192.147.235.0', '192.147.235.255', 3230919424, 3230919679, 'AU', 'Australia'),
(98460, '192.147.236.0', '192.147.245.255', 3230919680, 3230922239, 'US', 'United States'),
(98461, '192.147.246.0', '192.147.246.255', 3230922240, 3230922495, 'AU', 'Australia'),
(98462, '192.147.247.0', '192.147.247.255', 3230922496, 3230922751, 'IT', 'Italy'),
(98463, '192.147.248.0', '192.147.250.255', 3230922752, 3230923519, 'US', 'United States'),
(98464, '192.147.251.0', '192.147.251.255', 3230923520, 3230923775, 'EU', 'Europe'),
(98465, '192.147.252.0', '192.148.32.255', 3230923776, 3230933247, 'US', 'United States'),
(98466, '192.148.33.0', '192.148.92.255', 3230933248, 3230948607, 'SE', 'Sweden'),
(98467, '192.148.93.0', '192.148.102.255', 3230948608, 3230951167, 'US', 'United States'),
(98468, '192.148.103.0', '192.148.103.255', 3230951168, 3230951423, 'PT', 'Portugal'),
(98469, '192.148.104.0', '192.148.111.255', 3230951424, 3230953471, 'US', 'United States'),
(98470, '192.148.112.0', '192.148.165.255', 3230953472, 3230967295, 'AU', 'Australia'),
(98471, '192.148.166.0', '192.148.166.255', 3230967296, 3230967551, 'RU', 'Russian Federation'),
(98472, '192.148.167.0', '192.148.167.255', 3230967552, 3230967807, 'ES', 'Spain'),
(98473, '192.148.168.0', '192.148.172.255', 3230967808, 3230969087, 'US', 'United States'),
(98474, '192.148.174.0', '192.148.174.255', 3230969344, 3230969599, 'US', 'United States'),
(98475, '192.148.175.0', '192.148.175.255', 3230969600, 3230969855, 'MX', 'Mexico'),
(98476, '192.148.176.0', '192.148.176.255', 3230969856, 3230970111, 'US', 'United States'),
(98477, '192.148.177.0', '192.148.186.255', 3230970112, 3230972671, 'GB', 'United Kingdom'),
(98478, '192.148.187.0', '192.148.191.255', 3230972672, 3230973951, 'US', 'United States'),
(98479, '192.148.192.0', '192.148.192.255', 3230973952, 3230974207, 'NL', 'Netherlands'),
(98480, '192.148.193.0', '192.148.193.255', 3230974208, 3230974463, 'IT', 'Italy'),
(98481, '192.148.194.0', '192.148.194.255', 3230974464, 3230974719, 'GB', 'United Kingdom'),
(98482, '192.148.195.0', '192.148.197.255', 3230974720, 3230975487, 'US', 'United States'),
(98483, '192.148.198.0', '192.148.199.255', 3230975488, 3230975999, 'GB', 'United Kingdom'),
(98484, '192.148.200.0', '192.148.200.255', 3230976000, 3230976255, 'NL', 'Netherlands'),
(98485, '192.148.201.0', '192.148.215.255', 3230976256, 3230980095, 'ES', 'Spain'),
(98486, '192.148.216.0', '192.148.216.255', 3230980096, 3230980351, 'GB', 'United Kingdom'),
(98487, '192.148.217.0', '192.148.217.255', 3230980352, 3230980607, 'CA', 'Canada'),
(98488, '192.148.218.0', '192.148.218.255', 3230980608, 3230980863, 'US', 'United States'),
(98489, '192.148.220.0', '192.148.220.255', 3230981120, 3230981375, 'IT', 'Italy'),
(98490, '192.148.221.0', '192.148.221.255', 3230981376, 3230981631, 'NZ', 'New Zealand'),
(98491, '192.148.222.0', '192.148.222.255', 3230981632, 3230981887, 'US', 'United States'),
(98492, '192.148.223.0', '192.148.230.255', 3230981888, 3230983935, 'AU', 'Australia'),
(98493, '192.148.231.0', '192.148.255.255', 3230983936, 3230990335, 'US', 'United States'),
(98494, '192.149.1.0', '192.149.2.255', 3230990592, 3230991103, 'US', 'United States'),
(98495, '192.149.3.0', '192.149.3.255', 3230991104, 3230991359, 'PL', 'Poland'),
(98496, '192.149.4.0', '192.149.4.255', 3230991360, 3230991615, 'US', 'United States'),
(98497, '192.149.5.0', '192.149.5.255', 3230991616, 3230991871, 'FI', 'Finland'),
(98498, '192.149.6.0', '192.149.14.255', 3230991872, 3230994175, 'US', 'United States'),
(98499, '192.149.15.0', '192.149.15.255', 3230994176, 3230994431, 'GB', 'United Kingdom'),
(98500, '192.149.16.0', '192.149.16.255', 3230994432, 3230994687, 'US', 'United States'),
(98501, '192.149.18.0', '192.149.18.255', 3230994944, 3230995199, 'US', 'United States'),
(98502, '192.149.19.0', '192.149.19.255', 3230995200, 3230995455, 'ES', 'Spain'),
(98503, '192.149.20.0', '192.149.20.255', 3230995456, 3230995711, 'AU', 'Australia'),
(98504, '192.149.21.0', '192.149.22.255', 3230995712, 3230996223, 'US', 'United States'),
(98505, '192.149.24.0', '192.149.26.255', 3230996480, 3230997247, 'US', 'United States'),
(98506, '192.149.27.0', '192.149.27.255', 3230997248, 3230997503, 'AT', 'Austria'),
(98507, '192.149.28.0', '192.149.28.255', 3230997504, 3230997759, 'US', 'United States'),
(98508, '192.149.29.0', '192.149.29.255', 3230997760, 3230998015, 'SE', 'Sweden'),
(98509, '192.149.30.0', '192.149.33.255', 3230998016, 3230999039, 'NL', 'Netherlands'),
(98510, '192.149.34.0', '192.149.34.255', 3230999040, 3230999295, 'US', 'United States'),
(98511, '192.149.35.0', '192.149.35.255', 3230999296, 3230999551, 'NL', 'Netherlands'),
(98512, '192.149.36.0', '192.149.36.255', 3230999552, 3230999807, 'AU', 'Australia'),
(98513, '192.149.37.0', '192.149.38.255', 3230999808, 3231000319, 'US', 'United States'),
(98514, '192.149.40.0', '192.149.40.255', 3231000576, 3231000831, 'US', 'United States'),
(98515, '192.149.41.0', '192.149.41.255', 3231000832, 3231001087, 'FR', 'France'),
(98516, '192.149.42.0', '192.149.52.255', 3231001088, 3231003903, 'US', 'United States'),
(98517, '192.149.53.0', '192.149.53.255', 3231003904, 3231004159, 'CA', 'Canada'),
(98518, '192.149.54.0', '192.149.54.255', 3231004160, 3231004415, 'AU', 'Australia'),
(98519, '192.149.55.0', '192.149.56.255', 3231004416, 3231004927, 'US', 'United States'),
(98520, '192.149.57.0', '192.149.57.255', 3231004928, 3231005183, 'GB', 'United Kingdom'),
(98521, '192.149.59.0', '192.149.59.255', 3231005440, 3231005695, 'FR', 'France'),
(98522, '192.149.60.0', '192.149.60.255', 3231005696, 3231005951, 'GB', 'United Kingdom'),
(98523, '192.149.61.0', '192.149.67.255', 3231005952, 3231007743, 'US', 'United States'),
(98524, '192.149.74.0', '192.149.75.255', 3231009280, 3231009791, 'US', 'United States'),
(98525, '192.149.77.0', '192.149.77.255', 3231010048, 3231010303, 'FR', 'France'),
(98526, '192.149.78.0', '192.149.79.255', 3231010304, 3231010815, 'NO', 'Norway'),
(98527, '192.149.80.0', '192.149.80.255', 3231010816, 3231011071, 'CA', 'Canada'),
(98528, '192.149.81.0', '192.149.95.255', 3231011072, 3231014911, 'US', 'United States'),
(98529, '192.149.97.0', '192.149.97.255', 3231015168, 3231015423, 'US', 'United States'),
(98530, '192.149.98.0', '192.149.98.255', 3231015424, 3231015679, 'CA', 'Canada'),
(98531, '192.149.99.0', '192.149.99.255', 3231015680, 3231015935, 'US', 'United States'),
(98532, '192.149.100.0', '192.149.100.255', 3231015936, 3231016191, 'NO', 'Norway'),
(98533, '192.149.101.0', '192.149.101.255', 3231016192, 3231016447, 'US', 'United States'),
(98534, '192.149.102.0', '192.149.102.255', 3231016448, 3231016703, 'NO', 'Norway'),
(98535, '192.149.103.0', '192.149.109.255', 3231016704, 3231018495, 'US', 'United States'),
(98536, '192.149.110.0', '192.149.110.255', 3231018496, 3231018751, 'IT', 'Italy'),
(98537, '192.149.111.0', '192.149.111.255', 3231018752, 3231019007, 'GB', 'United Kingdom'),
(98538, '192.149.112.0', '192.149.116.255', 3231019008, 3231020287, 'US', 'United States'),
(98539, '192.149.117.0', '192.149.117.255', 3231020288, 3231020543, 'GB', 'United Kingdom'),
(98540, '192.149.118.0', '192.149.118.255', 3231020544, 3231020799, 'NL', 'Netherlands'),
(98541, '192.149.119.0', '192.149.121.255', 3231020800, 3231021567, 'GB', 'United Kingdom'),
(98542, '192.149.122.0', '192.149.122.255', 3231021568, 3231021823, 'US', 'United States'),
(98543, '192.149.123.0', '192.149.123.255', 3231021824, 3231022079, 'CA', 'Canada'),
(98544, '192.149.124.0', '192.149.125.255', 3231022080, 3231022591, 'US', 'United States'),
(98545, '192.149.126.0', '192.149.126.255', 3231022592, 3231022847, 'DE', 'Germany'),
(98546, '192.149.127.0', '192.149.201.255', 3231022848, 3231042047, 'US', 'United States'),
(98547, '192.149.202.0', '192.149.202.255', 3231042048, 3231042303, 'GU', 'Guam'),
(98548, '192.149.203.0', '192.149.208.255', 3231042304, 3231043839, 'US', 'United States'),
(98549, '192.149.209.0', '192.149.209.255', 3231043840, 3231044095, 'JP', 'Japan'),
(98550, '192.149.211.0', '192.149.226.255', 3231044352, 3231048447, 'US', 'United States'),
(98551, '192.149.227.0', '192.149.227.255', 3231048448, 3231048703, 'NL', 'Netherlands'),
(98552, '192.149.228.0', '192.149.231.255', 3231048704, 3231049727, 'US', 'United States'),
(98553, '192.149.232.0', '192.149.232.255', 3231049728, 3231049983, 'AT', 'Austria'),
(98554, '192.149.233.0', '192.149.233.255', 3231049984, 3231050239, 'US', 'United States'),
(98555, '192.149.235.0', '192.149.237.255', 3231050496, 3231051263, 'US', 'United States'),
(98556, '192.149.238.0', '192.149.238.255', 3231051264, 3231051519, 'GB', 'United Kingdom'),
(98557, '192.149.240.0', '192.150.7.255', 3231051776, 3231057919, 'US', 'United States'),
(98558, '192.150.8.0', '192.150.8.255', 3231057920, 3231058175, 'EU', 'Europe'),
(98559, '192.150.9.0', '192.150.19.255', 3231058176, 3231060991, 'US', 'United States'),
(98560, '192.150.20.0', '192.150.20.255', 3231060992, 3231061247, 'EU', 'Europe'),
(98561, '192.150.21.0', '192.150.56.255', 3231061248, 3231070463, 'US', 'United States'),
(98562, '192.150.58.0', '192.150.82.255', 3231070720, 3231077119, 'SE', 'Sweden'),
(98563, '192.150.83.0', '192.150.83.255', 3231077120, 3231077375, 'PL', 'Poland'),
(98564, '192.150.84.0', '192.150.84.255', 3231077376, 3231077631, 'SE', 'Sweden'),
(98565, '192.150.87.0', '192.150.88.255', 3231078144, 3231078655, 'US', 'United States'),
(98566, '192.150.89.0', '192.150.89.255', 3231078656, 3231078911, 'GB', 'United Kingdom'),
(98567, '192.150.90.0', '192.150.91.255', 3231078912, 3231079423, 'CA', 'Canada'),
(98568, '192.150.92.0', '192.150.92.255', 3231079424, 3231079679, 'GB', 'United Kingdom'),
(98569, '192.150.93.0', '192.150.93.255', 3231079680, 3231079935, 'US', 'United States'),
(98570, '192.150.94.0', '192.150.94.255', 3231079936, 3231080191, 'NL', 'Netherlands'),
(98571, '192.150.95.0', '192.150.103.255', 3231080192, 3231082495, 'US', 'United States'),
(98572, '192.150.104.0', '192.150.104.255', 3231082496, 3231082751, 'PL', 'Poland'),
(98573, '192.150.105.0', '192.150.105.255', 3231082752, 3231083007, 'US', 'United States'),
(98574, '192.150.106.0', '192.150.106.255', 3231083008, 3231083263, 'GB', 'United Kingdom'),
(98575, '192.150.108.0', '192.150.123.255', 3231083520, 3231087615, 'US', 'United States'),
(98576, '192.150.124.0', '192.150.124.255', 3231087616, 3231087871, 'NO', 'Norway'),
(98577, '192.150.125.0', '192.150.125.255', 3231087872, 3231088127, 'US', 'United States'),
(98578, '192.150.126.0', '192.150.126.255', 3231088128, 3231088383, 'GT', 'Guatemala'),
(98579, '192.150.127.0', '192.150.128.255', 3231088384, 3231088895, 'US', 'United States'),
(98580, '192.150.129.0', '192.150.139.255', 3231088896, 3231091711, 'AU', 'Australia'),
(98581, '192.150.140.0', '192.150.140.255', 3231091712, 3231091967, 'GB', 'United Kingdom'),
(98582, '192.150.141.0', '192.150.141.255', 3231091968, 3231092223, 'US', 'United States'),
(98583, '192.150.143.0', '192.150.143.255', 3231092480, 3231092735, 'US', 'United States'),
(98584, '192.150.145.0', '192.150.145.255', 3231092992, 3231093247, 'US', 'United States'),
(98585, '192.150.146.0', '192.150.146.255', 3231093248, 3231093503, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(98586, '192.150.147.0', '192.150.151.255', 3231093504, 3231094783, 'US', 'United States'),
(98587, '192.150.160.0', '192.150.176.255', 3231096832, 3231101183, 'US', 'United States'),
(98588, '192.150.177.0', '192.150.184.255', 3231101184, 3231103231, 'GB', 'United Kingdom'),
(98589, '192.150.186.0', '192.150.187.255', 3231103488, 3231103999, 'US', 'United States'),
(98590, '192.150.188.0', '192.150.188.255', 3231104000, 3231104255, 'NO', 'Norway'),
(98591, '192.150.189.0', '192.150.190.255', 3231104256, 3231104767, 'DE', 'Germany'),
(98592, '192.150.191.0', '192.150.191.255', 3231104768, 3231105023, 'US', 'United States'),
(98593, '192.150.192.0', '192.150.193.255', 3231105024, 3231105535, 'PT', 'Portugal'),
(98594, '192.150.194.0', '192.150.196.255', 3231105536, 3231106303, 'IT', 'Italy'),
(98595, '192.150.197.0', '192.150.197.255', 3231106304, 3231106559, 'NO', 'Norway'),
(98596, '192.150.198.0', '192.150.198.255', 3231106560, 3231106815, 'GB', 'United Kingdom'),
(98597, '192.150.199.0', '192.150.199.255', 3231106816, 3231107071, 'US', 'United States'),
(98598, '192.150.201.0', '192.150.201.255', 3231107328, 3231107583, 'US', 'United States'),
(98599, '192.150.202.0', '192.150.202.255', 3231107584, 3231107839, 'AU', 'Australia'),
(98600, '192.150.203.0', '192.150.203.255', 3231107840, 3231108095, 'AT', 'Austria'),
(98601, '192.150.204.0', '192.150.204.255', 3231108096, 3231108351, 'GB', 'United Kingdom'),
(98602, '192.150.205.0', '192.150.205.255', 3231108352, 3231108607, 'RU', 'Russian Federation'),
(98603, '192.150.206.0', '192.150.206.255', 3231108608, 3231108863, 'US', 'United States'),
(98604, '192.150.208.0', '192.150.208.255', 3231109120, 3231109375, 'GB', 'United Kingdom'),
(98605, '192.150.209.0', '192.150.209.255', 3231109376, 3231109631, 'NO', 'Norway'),
(98606, '192.150.210.0', '192.150.210.255', 3231109632, 3231109887, 'US', 'United States'),
(98607, '192.150.212.0', '192.150.212.255', 3231110144, 3231110399, 'US', 'United States'),
(98608, '192.150.216.0', '192.150.217.255', 3231111168, 3231111679, 'US', 'United States'),
(98609, '192.150.218.0', '192.150.219.255', 3231111680, 3231112191, 'NZ', 'New Zealand'),
(98610, '192.150.221.0', '192.150.222.255', 3231112448, 3231112959, 'US', 'United States'),
(98611, '192.150.223.0', '192.150.223.255', 3231112960, 3231113215, 'NO', 'Norway'),
(98612, '192.150.224.0', '192.150.226.255', 3231113216, 3231113983, 'US', 'United States'),
(98613, '192.150.227.0', '192.150.233.255', 3231113984, 3231115775, 'GB', 'United Kingdom'),
(98614, '192.150.234.0', '192.150.237.255', 3231115776, 3231116799, 'AU', 'Australia'),
(98615, '192.150.238.0', '192.150.238.255', 3231116800, 3231117055, 'HU', 'Hungary'),
(98616, '192.150.239.0', '192.150.243.255', 3231117056, 3231118335, 'US', 'United States'),
(98617, '192.150.245.0', '192.150.245.255', 3231118592, 3231118847, 'US', 'United States'),
(98618, '192.150.246.0', '192.150.246.255', 3231118848, 3231119103, 'AU', 'Australia'),
(98619, '192.150.247.0', '192.150.247.255', 3231119104, 3231119359, 'US', 'United States'),
(98620, '192.150.248.0', '192.150.248.255', 3231119360, 3231119615, 'GB', 'United Kingdom'),
(98621, '192.150.249.0', '192.150.251.255', 3231119616, 3231120383, 'TH', 'Thailand'),
(98622, '192.150.252.0', '192.150.252.255', 3231120384, 3231120639, 'NO', 'Norway'),
(98623, '192.150.253.0', '192.150.253.255', 3231120640, 3231120895, 'US', 'United States'),
(98624, '192.150.254.0', '192.150.254.255', 3231120896, 3231121151, 'NO', 'Norway'),
(98625, '192.151.0.0', '192.151.108.255', 3231121408, 3231149311, 'US', 'United States'),
(98626, '192.151.109.0', '192.151.109.255', 3231149312, 3231149567, 'CA', 'Canada'),
(98627, '192.151.110.0', '192.151.128.255', 3231149568, 3231154431, 'US', 'United States'),
(98628, '192.152.0.0', '192.152.5.255', 3231186944, 3231188479, 'US', 'United States'),
(98629, '192.152.6.0', '192.152.6.255', 3231188480, 3231188735, 'NO', 'Norway'),
(98630, '192.152.7.0', '192.152.13.255', 3231188736, 3231190527, 'US', 'United States'),
(98631, '192.152.14.0', '192.152.14.255', 3231190528, 3231190783, 'GB', 'United Kingdom'),
(98632, '192.152.15.0', '192.152.16.255', 3231190784, 3231191295, 'US', 'United States'),
(98633, '192.152.17.0', '192.152.17.255', 3231191296, 3231191551, 'GB', 'United Kingdom'),
(98634, '192.152.18.0', '192.152.21.255', 3231191552, 3231192575, 'US', 'United States'),
(98635, '192.152.26.0', '192.152.27.255', 3231193600, 3231194111, 'DE', 'Germany'),
(98636, '192.152.28.0', '192.152.41.255', 3231194112, 3231197695, 'US', 'United States'),
(98637, '192.152.42.0', '192.152.42.255', 3231197696, 3231197951, 'FR', 'France'),
(98638, '192.152.43.0', '192.152.43.255', 3231197952, 3231198207, 'US', 'United States'),
(98639, '192.152.44.0', '192.152.44.255', 3231198208, 3231198463, 'GB', 'United Kingdom'),
(98640, '192.152.45.0', '192.152.46.255', 3231198464, 3231198975, 'US', 'United States'),
(98641, '192.152.47.0', '192.152.47.255', 3231198976, 3231199231, 'PT', 'Portugal'),
(98642, '192.152.48.0', '192.152.48.255', 3231199232, 3231199487, 'GB', 'United Kingdom'),
(98643, '192.152.49.0', '192.152.51.255', 3231199488, 3231200255, 'NL', 'Netherlands'),
(98644, '192.152.52.0', '192.152.53.255', 3231200256, 3231200767, 'US', 'United States'),
(98645, '192.152.54.0', '192.152.54.255', 3231200768, 3231201023, 'AT', 'Austria'),
(98646, '192.152.55.0', '192.152.60.255', 3231201024, 3231202559, 'US', 'United States'),
(98647, '192.152.61.0', '192.152.62.255', 3231202560, 3231203071, 'GB', 'United Kingdom'),
(98648, '192.152.63.0', '192.152.63.255', 3231203072, 3231203327, 'AT', 'Austria'),
(98649, '192.152.64.0', '192.152.67.255', 3231203328, 3231204351, 'US', 'United States'),
(98650, '192.152.68.0', '192.152.68.255', 3231204352, 3231204607, 'FI', 'Finland'),
(98651, '192.152.69.0', '192.152.69.255', 3231204608, 3231204863, 'JP', 'Japan'),
(98652, '192.152.70.0', '192.152.81.255', 3231204864, 3231207935, 'US', 'United States'),
(98653, '192.152.82.0', '192.152.82.255', 3231207936, 3231208191, 'DE', 'Germany'),
(98654, '192.152.83.0', '192.152.85.255', 3231208192, 3231208959, 'US', 'United States'),
(98655, '192.152.88.0', '192.152.96.255', 3231209472, 3231211775, 'US', 'United States'),
(98656, '192.152.97.0', '192.152.97.255', 3231211776, 3231212031, 'CA', 'Canada'),
(98657, '192.152.98.0', '192.152.98.255', 3231212032, 3231212287, 'CH', 'Switzerland'),
(98658, '192.152.99.0', '192.152.106.255', 3231212288, 3231214335, 'US', 'United States'),
(98659, '192.152.107.0', '192.152.107.255', 3231214336, 3231214591, 'CA', 'Canada'),
(98660, '192.152.108.0', '192.152.109.255', 3231214592, 3231215103, 'US', 'United States'),
(98661, '192.152.111.0', '192.152.111.255', 3231215360, 3231215615, 'NO', 'Norway'),
(98662, '192.152.112.0', '192.152.112.255', 3231215616, 3231215871, 'GB', 'United Kingdom'),
(98663, '192.152.113.0', '192.152.117.255', 3231215872, 3231217151, 'US', 'United States'),
(98664, '192.152.119.0', '192.152.119.255', 3231217408, 3231217663, 'AU', 'Australia'),
(98665, '192.152.120.0', '192.152.121.255', 3231217664, 3231218175, 'US', 'United States'),
(98666, '192.152.122.0', '192.152.122.255', 3231218176, 3231218431, 'GB', 'United Kingdom'),
(98667, '192.152.123.0', '192.152.123.255', 3231218432, 3231218687, 'US', 'United States'),
(98668, '192.152.124.0', '192.152.124.255', 3231218688, 3231218943, 'BE', 'Belgium'),
(98669, '192.152.125.0', '192.152.140.255', 3231218944, 3231223039, 'US', 'United States'),
(98670, '192.152.141.0', '192.152.141.255', 3231223040, 3231223295, 'IT', 'Italy'),
(98671, '192.152.142.0', '192.152.150.255', 3231223296, 3231225599, 'US', 'United States'),
(98672, '192.152.151.0', '192.152.151.255', 3231225600, 3231225855, 'DE', 'Germany'),
(98673, '192.152.154.0', '192.152.155.255', 3231226368, 3231226879, 'US', 'United States'),
(98674, '192.152.156.0', '192.152.156.255', 3231226880, 3231227135, 'GB', 'United Kingdom'),
(98675, '192.152.159.0', '192.152.163.255', 3231227648, 3231228927, 'US', 'United States'),
(98676, '192.152.164.0', '192.152.164.255', 3231228928, 3231229183, 'PR', 'Puerto Rico'),
(98677, '192.152.165.0', '192.152.165.255', 3231229184, 3231229439, 'CA', 'Canada'),
(98678, '192.152.166.0', '192.152.166.255', 3231229440, 3231229695, 'IT', 'Italy'),
(98679, '192.152.167.0', '192.152.167.255', 3231229696, 3231229951, 'FR', 'France'),
(98680, '192.152.168.0', '192.152.173.255', 3231229952, 3231231487, 'US', 'United States'),
(98681, '192.152.174.0', '192.152.174.255', 3231231488, 3231231743, 'PT', 'Portugal'),
(98682, '192.152.175.0', '192.152.183.255', 3231231744, 3231234047, 'US', 'United States'),
(98683, '192.152.184.0', '192.152.187.255', 3231234048, 3231235071, 'GB', 'United Kingdom'),
(98684, '192.152.188.0', '192.152.191.255', 3231235072, 3231236095, 'US', 'United States'),
(98685, '192.152.194.0', '192.152.194.255', 3231236608, 3231236863, 'US', 'United States'),
(98686, '192.152.195.0', '192.152.195.255', 3231236864, 3231237119, 'CA', 'Canada'),
(98687, '192.152.196.0', '192.152.211.255', 3231237120, 3231241215, 'US', 'United States'),
(98688, '192.152.212.0', '192.152.212.255', 3231241216, 3231241471, 'JP', 'Japan'),
(98689, '192.152.215.0', '192.152.240.255', 3231241984, 3231248639, 'US', 'United States'),
(98690, '192.152.241.0', '192.152.241.255', 3231248640, 3231248895, 'GB', 'United Kingdom'),
(98691, '192.152.242.0', '192.152.243.255', 3231248896, 3231249407, 'US', 'United States'),
(98692, '192.152.244.0', '192.152.244.255', 3231249408, 3231249663, 'GB', 'United Kingdom'),
(98693, '192.152.245.0', '192.152.247.255', 3231249664, 3231250431, 'US', 'United States'),
(98694, '192.152.248.0', '192.152.248.255', 3231250432, 3231250687, 'CA', 'Canada'),
(98695, '192.152.249.0', '192.152.252.255', 3231250688, 3231251711, 'US', 'United States'),
(98696, '192.152.253.0', '192.152.253.255', 3231251712, 3231251967, 'GB', 'United Kingdom'),
(98697, '192.152.254.0', '192.152.254.255', 3231251968, 3231252223, 'AT', 'Austria'),
(98698, '192.153.1.0', '192.153.1.255', 3231252736, 3231252991, 'US', 'United States'),
(98699, '192.153.2.0', '192.153.3.255', 3231252992, 3231253503, 'GB', 'United Kingdom'),
(98700, '192.153.4.0', '192.153.11.255', 3231253504, 3231255551, 'US', 'United States'),
(98701, '192.153.12.0', '192.153.12.255', 3231255552, 3231255807, 'GB', 'United Kingdom'),
(98702, '192.153.13.0', '192.153.13.255', 3231255808, 3231256063, 'PT', 'Portugal'),
(98703, '192.153.14.0', '192.153.17.255', 3231256064, 3231257087, 'US', 'United States'),
(98704, '192.153.18.0', '192.153.19.255', 3231257088, 3231257599, 'HU', 'Hungary'),
(98705, '192.153.20.0', '192.153.87.255', 3231257600, 3231275007, 'US', 'United States'),
(98706, '192.153.88.0', '192.153.88.255', 3231275008, 3231275263, 'BR', 'Brazil'),
(98707, '192.153.89.0', '192.153.89.255', 3231275264, 3231275519, 'CH', 'Switzerland'),
(98708, '192.153.90.0', '192.153.92.255', 3231275520, 3231276287, 'US', 'United States'),
(98709, '192.153.93.0', '192.153.93.255', 3231276288, 3231276543, 'AU', 'Australia'),
(98710, '192.153.94.0', '192.153.94.255', 3231276544, 3231276799, 'US', 'United States'),
(98711, '192.153.95.0', '192.153.114.255', 3231276800, 3231281919, 'JP', 'Japan'),
(98712, '192.153.115.0', '192.153.115.255', 3231281920, 3231282175, 'US', 'United States'),
(98713, '192.153.116.0', '192.153.116.255', 3231282176, 3231282431, 'HU', 'Hungary'),
(98714, '192.153.117.0', '192.153.118.255', 3231282432, 3231282943, 'US', 'United States'),
(98715, '192.153.119.0', '192.153.119.255', 3231282944, 3231283199, 'CL', 'Chile'),
(98716, '192.153.120.0', '192.153.120.255', 3231283200, 3231283455, 'BR', 'Brazil'),
(98717, '192.153.121.0', '192.153.126.255', 3231283456, 3231284991, 'US', 'United States'),
(98718, '192.153.127.0', '192.153.127.255', 3231284992, 3231285247, 'PL', 'Poland'),
(98719, '192.153.128.0', '192.153.152.255', 3231285248, 3231291647, 'US', 'United States'),
(98720, '192.153.153.0', '192.153.153.255', 3231291648, 3231291903, 'GB', 'United Kingdom'),
(98721, '192.153.154.0', '192.153.154.255', 3231291904, 3231292159, 'US', 'United States'),
(98722, '192.153.155.0', '192.153.155.255', 3231292160, 3231292415, 'BR', 'Brazil'),
(98723, '192.153.156.0', '192.153.157.255', 3231292416, 3231292927, 'US', 'United States'),
(98724, '192.153.158.0', '192.153.158.255', 3231292928, 3231293183, 'AU', 'Australia'),
(98725, '192.153.159.0', '192.153.165.255', 3231293184, 3231294975, 'US', 'United States'),
(98726, '192.153.166.0', '192.153.166.255', 3231294976, 3231295231, 'GB', 'United Kingdom'),
(98727, '192.153.167.0', '192.153.167.255', 3231295232, 3231295487, 'CR', 'Costa Rica'),
(98728, '192.153.168.0', '192.153.168.255', 3231295488, 3231295743, 'BE', 'Belgium'),
(98729, '192.153.169.0', '192.153.170.255', 3231295744, 3231296255, 'US', 'United States'),
(98730, '192.153.171.0', '192.153.171.255', 3231296256, 3231296511, 'RU', 'Russian Federation'),
(98731, '192.153.172.0', '192.153.172.255', 3231296512, 3231296767, 'US', 'United States'),
(98732, '192.153.173.0', '192.153.182.255', 3231296768, 3231299327, 'AT', 'Austria'),
(98733, '192.153.183.0', '192.153.183.255', 3231299328, 3231299583, 'US', 'United States'),
(98734, '192.153.187.0', '192.153.187.255', 3231300352, 3231300607, 'US', 'United States'),
(98735, '192.153.188.0', '192.153.188.255', 3231300608, 3231300863, 'SE', 'Sweden'),
(98736, '192.153.189.0', '192.153.189.255', 3231300864, 3231301119, 'GB', 'United Kingdom'),
(98737, '192.153.190.0', '192.153.193.255', 3231301120, 3231302143, 'US', 'United States'),
(98738, '192.153.194.0', '192.153.194.255', 3231302144, 3231302399, 'NO', 'Norway'),
(98739, '192.153.195.0', '192.153.195.255', 3231302400, 3231302655, 'US', 'United States'),
(98740, '192.153.196.0', '192.153.197.255', 3231302656, 3231303167, 'AU', 'Australia'),
(98741, '192.153.198.0', '192.153.212.255', 3231303168, 3231307007, 'US', 'United States'),
(98742, '192.153.213.0', '192.153.213.255', 3231307008, 3231307263, 'GB', 'United Kingdom'),
(98743, '192.153.214.0', '192.153.216.255', 3231307264, 3231308031, 'US', 'United States'),
(98744, '192.153.217.0', '192.153.217.255', 3231308032, 3231308287, 'CA', 'Canada'),
(98745, '192.153.218.0', '192.153.219.255', 3231308288, 3231308799, 'US', 'United States'),
(98746, '192.153.220.0', '192.153.220.255', 3231308800, 3231309055, 'CA', 'Canada'),
(98747, '192.153.224.0', '192.153.250.255', 3231309824, 3231316735, 'US', 'United States'),
(98748, '192.153.251.0', '192.153.251.255', 3231316736, 3231316991, 'NZ', 'New Zealand'),
(98749, '192.153.252.0', '192.154.15.255', 3231316992, 3231322111, 'US', 'United States'),
(98750, '192.154.16.0', '192.154.31.255', 3231322112, 3231326207, 'SG', 'Singapore'),
(98751, '192.154.32.0', '192.154.131.255', 3231326208, 3231351807, 'US', 'United States'),
(98752, '192.155.0.0', '192.155.7.255', 3231383552, 3231385599, 'NO', 'Norway'),
(98753, '192.155.8.0', '192.155.71.255', 3231385600, 3231401983, 'US', 'United States'),
(98754, '192.155.128.0', '192.155.159.255', 3231416320, 3231424511, 'US', 'United States'),
(98755, '192.156.0.0', '192.156.131.255', 3231449088, 3231482879, 'US', 'United States'),
(98756, '192.156.132.0', '192.156.132.255', 3231482880, 3231483135, 'BE', 'Belgium'),
(98757, '192.156.133.0', '192.156.139.255', 3231483136, 3231484927, 'US', 'United States'),
(98758, '192.156.140.0', '192.156.159.255', 3231484928, 3231490047, 'JP', 'Japan'),
(98759, '192.156.160.0', '192.156.161.255', 3231490048, 3231490559, 'US', 'United States'),
(98760, '192.156.162.0', '192.156.162.255', 3231490560, 3231490815, 'GB', 'United Kingdom'),
(98761, '192.156.163.0', '192.156.163.255', 3231490816, 3231491071, 'US', 'United States'),
(98762, '192.156.165.0', '192.156.165.255', 3231491328, 3231491583, 'NZ', 'New Zealand'),
(98763, '192.156.166.0', '192.156.166.255', 3231491584, 3231491839, 'US', 'United States'),
(98764, '192.156.167.0', '192.156.167.255', 3231491840, 3231492095, 'GB', 'United Kingdom'),
(98765, '192.156.168.0', '192.156.173.255', 3231492096, 3231493631, 'US', 'United States'),
(98766, '192.156.174.0', '192.156.174.255', 3231493632, 3231493887, 'CH', 'Switzerland'),
(98767, '192.156.175.0', '192.156.195.255', 3231493888, 3231499263, 'US', 'United States'),
(98768, '192.156.197.0', '192.156.198.255', 3231499520, 3231500031, 'US', 'United States'),
(98769, '192.156.199.0', '192.156.199.255', 3231500032, 3231500287, 'BM', 'Bermuda'),
(98770, '192.156.200.0', '192.156.206.255', 3231500288, 3231502079, 'US', 'United States'),
(98771, '192.156.207.0', '192.156.207.255', 3231502080, 3231502335, 'AU', 'Australia'),
(98772, '192.156.209.0', '192.156.209.255', 3231502592, 3231502847, 'US', 'United States'),
(98773, '192.156.210.0', '192.156.210.255', 3231502848, 3231503103, 'PT', 'Portugal'),
(98774, '192.156.211.0', '192.156.212.255', 3231503104, 3231503615, 'US', 'United States'),
(98775, '192.156.213.0', '192.156.213.255', 3231503616, 3231503871, 'IT', 'Italy'),
(98776, '192.156.214.0', '192.156.215.255', 3231503872, 3231504383, 'US', 'United States'),
(98777, '192.156.217.0', '192.156.217.255', 3231504640, 3231504895, 'RU', 'Russian Federation'),
(98778, '192.156.218.0', '192.156.224.255', 3231504896, 3231506687, 'US', 'United States'),
(98779, '192.156.225.0', '192.156.225.255', 3231506688, 3231506943, 'NZ', 'New Zealand'),
(98780, '192.156.226.0', '192.156.226.255', 3231506944, 3231507199, 'US', 'United States'),
(98781, '192.156.227.0', '192.156.227.255', 3231507200, 3231507455, 'BE', 'Belgium'),
(98782, '192.156.228.0', '192.156.231.255', 3231507456, 3231508479, 'US', 'United States'),
(98783, '192.156.234.0', '192.156.234.255', 3231508992, 3231509247, 'US', 'United States'),
(98784, '192.156.239.0', '192.156.239.255', 3231510272, 3231510527, 'GB', 'United Kingdom'),
(98785, '192.156.240.0', '192.156.243.255', 3231510528, 3231511551, 'US', 'United States'),
(98786, '192.156.248.0', '192.156.248.255', 3231512576, 3231512831, 'LU', 'Luxembourg'),
(98787, '192.156.250.0', '192.156.250.255', 3231513088, 3231513343, 'US', 'United States'),
(98788, '192.156.252.0', '192.156.255.255', 3231513600, 3231514623, 'US', 'United States'),
(98789, '192.157.0.0', '192.157.3.255', 3231514624, 3231515647, 'NO', 'Norway'),
(98790, '192.157.4.0', '192.157.5.255', 3231515648, 3231516159, 'US', 'United States'),
(98791, '192.157.8.0', '192.157.17.255', 3231516672, 3231519231, 'SE', 'Sweden'),
(98792, '192.157.31.0', '192.157.39.255', 3231522560, 3231524863, 'US', 'United States'),
(98793, '192.157.64.0', '192.157.79.255', 3231531008, 3231535103, 'US', 'United States'),
(98794, '192.157.128.0', '192.157.128.255', 3231547392, 3231547647, 'US', 'United States'),
(98795, '192.157.129.0', '192.157.129.255', 3231547648, 3231547903, 'NO', 'Norway'),
(98796, '192.157.130.0', '192.157.137.255', 3231547904, 3231549951, 'US', 'United States'),
(98797, '192.157.138.0', '192.157.138.255', 3231549952, 3231550207, 'JP', 'Japan'),
(98798, '192.157.139.0', '192.157.140.255', 3231550208, 3231550719, 'DE', 'Germany'),
(98799, '192.157.141.0', '192.157.141.255', 3231550720, 3231550975, 'GB', 'United Kingdom'),
(98800, '192.157.142.0', '192.157.142.255', 3231550976, 3231551231, 'US', 'United States'),
(98801, '192.157.143.0', '192.157.145.255', 3231551232, 3231551999, 'CA', 'Canada'),
(98802, '192.157.146.0', '192.157.149.255', 3231552000, 3231553023, 'US', 'United States'),
(98803, '192.157.150.0', '192.157.152.255', 3231553024, 3231553791, 'JP', 'Japan'),
(98804, '192.157.153.0', '192.157.153.255', 3231553792, 3231554047, 'CH', 'Switzerland'),
(98805, '192.157.154.0', '192.157.158.255', 3231554048, 3231555327, 'DE', 'Germany'),
(98806, '192.157.159.0', '192.157.161.255', 3231555328, 3231556095, 'CA', 'Canada'),
(98807, '192.157.163.0', '192.157.164.255', 3231556352, 3231556863, 'US', 'United States'),
(98808, '192.157.165.0', '192.157.165.255', 3231556864, 3231557119, 'AT', 'Austria'),
(98809, '192.157.166.0', '192.157.168.255', 3231557120, 3231557887, 'US', 'United States'),
(98810, '192.157.169.0', '192.157.170.255', 3231557888, 3231558399, 'GB', 'United Kingdom'),
(98811, '192.157.171.0', '192.157.171.255', 3231558400, 3231558655, 'DE', 'Germany'),
(98812, '192.157.172.0', '192.157.172.255', 3231558656, 3231558911, 'GB', 'United Kingdom'),
(98813, '192.157.173.0', '192.157.173.255', 3231558912, 3231559167, 'CA', 'Canada'),
(98814, '192.157.174.0', '192.157.174.255', 3231559168, 3231559423, 'GB', 'United Kingdom'),
(98815, '192.157.175.0', '192.157.175.255', 3231559424, 3231559679, 'US', 'United States'),
(98816, '192.157.176.0', '192.157.176.255', 3231559680, 3231559935, 'GB', 'United Kingdom'),
(98817, '192.157.177.0', '192.157.184.255', 3231559936, 3231561983, 'US', 'United States'),
(98818, '192.157.185.0', '192.157.185.255', 3231561984, 3231562239, 'IT', 'Italy'),
(98819, '192.157.186.0', '192.157.186.255', 3231562240, 3231562495, 'US', 'United States'),
(98820, '192.157.187.0', '192.157.187.255', 3231562496, 3231562751, 'GB', 'United Kingdom'),
(98821, '192.157.188.0', '192.157.188.255', 3231562752, 3231563007, 'US', 'United States'),
(98822, '192.157.189.0', '192.157.189.255', 3231563008, 3231563263, 'CH', 'Switzerland'),
(98823, '192.157.190.0', '192.157.190.255', 3231563264, 3231563519, 'ZA', 'South Africa'),
(98824, '192.158.0.0', '192.158.33.255', 3231580160, 3231588863, 'US', 'United States'),
(98825, '192.158.34.0', '192.158.34.255', 3231588864, 3231589119, 'GB', 'United Kingdom'),
(98826, '192.158.35.0', '192.158.44.255', 3231589120, 3231591679, 'US', 'United States'),
(98827, '192.158.45.0', '192.158.45.255', 3231591680, 3231591935, 'AU', 'Australia'),
(98828, '192.158.46.0', '192.158.54.255', 3231591936, 3231594239, 'US', 'United States'),
(98829, '192.158.55.0', '192.158.55.255', 3231594240, 3231594495, 'GB', 'United Kingdom'),
(98830, '192.158.56.0', '192.159.15.255', 3231594496, 3231649791, 'US', 'United States'),
(98831, '192.159.16.0', '192.159.31.255', 3231649792, 3231653887, 'SG', 'Singapore'),
(98832, '192.159.32.0', '192.159.39.255', 3231653888, 3231655935, 'US', 'United States'),
(98833, '192.159.70.0', '192.159.70.255', 3231663616, 3231663871, 'FI', 'Finland'),
(98834, '192.159.71.0', '192.159.71.255', 3231663872, 3231664127, 'CA', 'Canada'),
(98835, '192.159.72.0', '192.159.72.255', 3231664128, 3231664383, 'US', 'United States'),
(98836, '192.159.73.0', '192.159.73.255', 3231664384, 3231664639, 'GB', 'United Kingdom'),
(98837, '192.159.74.0', '192.159.76.255', 3231664640, 3231665407, 'US', 'United States'),
(98838, '192.159.77.0', '192.159.77.255', 3231665408, 3231665663, 'IT', 'Italy'),
(98839, '192.159.78.0', '192.159.83.255', 3231665664, 3231667199, 'US', 'United States'),
(98840, '192.159.84.0', '192.159.85.255', 3231667200, 3231667711, 'ES', 'Spain'),
(98841, '192.159.86.0', '192.159.89.255', 3231667712, 3231668735, 'US', 'United States'),
(98842, '192.159.90.0', '192.159.90.255', 3231668736, 3231668991, 'BE', 'Belgium'),
(98843, '192.159.92.0', '192.159.92.255', 3231669248, 3231669503, 'US', 'United States'),
(98844, '192.159.94.0', '192.159.94.255', 3231669760, 3231670015, 'CA', 'Canada'),
(98845, '192.159.95.0', '192.159.95.255', 3231670016, 3231670271, 'DE', 'Germany'),
(98846, '192.159.96.0', '192.159.98.255', 3231670272, 3231671039, 'US', 'United States'),
(98847, '192.159.99.0', '192.159.103.255', 3231671040, 3231672319, 'GB', 'United Kingdom'),
(98848, '192.159.104.0', '192.159.104.255', 3231672320, 3231672575, 'US', 'United States'),
(98849, '192.159.105.0', '192.159.105.255', 3231672576, 3231672831, 'NL', 'Netherlands'),
(98850, '192.159.106.0', '192.159.107.255', 3231672832, 3231673343, 'US', 'United States'),
(98851, '192.159.108.0', '192.159.108.255', 3231673344, 3231673599, 'NO', 'Norway'),
(98852, '192.159.109.0', '192.159.109.255', 3231673600, 3231673855, 'IE', 'Ireland'),
(98853, '192.159.110.0', '192.159.110.255', 3231673856, 3231674111, 'US', 'United States'),
(98854, '192.159.111.0', '192.159.111.255', 3231674112, 3231674367, 'CA', 'Canada'),
(98855, '192.159.112.0', '192.159.115.255', 3231674368, 3231675391, 'US', 'United States'),
(98856, '192.159.116.0', '192.159.117.255', 3231675392, 3231675903, 'BR', 'Brazil'),
(98857, '192.159.118.0', '192.159.118.255', 3231675904, 3231676159, 'IE', 'Ireland'),
(98858, '192.159.121.0', '192.159.121.255', 3231676672, 3231676927, 'FR', 'France'),
(98859, '192.159.122.0', '192.159.122.255', 3231676928, 3231677183, 'FI', 'Finland'),
(98860, '192.159.128.0', '192.159.143.255', 3231678464, 3231682559, 'US', 'United States'),
(98861, '192.160.0.0', '192.160.6.255', 3231711232, 3231713023, 'US', 'United States'),
(98862, '192.160.7.0', '192.160.7.255', 3231713024, 3231713279, 'CA', 'Canada'),
(98863, '192.160.8.0', '192.160.9.255', 3231713280, 3231713791, 'US', 'United States'),
(98864, '192.160.10.0', '192.160.10.255', 3231713792, 3231714047, 'GB', 'United Kingdom'),
(98865, '192.160.11.0', '192.160.14.255', 3231714048, 3231715071, 'US', 'United States'),
(98866, '192.160.15.0', '192.160.15.255', 3231715072, 3231715327, 'SI', 'Slovenia'),
(98867, '192.160.16.0', '192.160.16.255', 3231715328, 3231715583, 'AU', 'Australia'),
(98868, '192.160.17.0', '192.160.18.255', 3231715584, 3231716095, 'US', 'United States'),
(98869, '192.160.19.0', '192.160.19.255', 3231716096, 3231716351, 'AU', 'Australia'),
(98870, '192.160.20.0', '192.160.20.255', 3231716352, 3231716607, 'US', 'United States'),
(98871, '192.160.21.0', '192.160.21.255', 3231716608, 3231716863, 'TR', 'Turkey'),
(98872, '192.160.22.0', '192.160.22.255', 3231716864, 3231717119, 'LU', 'Luxembourg'),
(98873, '192.160.23.0', '192.160.23.255', 3231717120, 3231717375, 'NO', 'Norway'),
(98874, '192.160.25.0', '192.160.26.255', 3231717632, 3231718143, 'US', 'United States'),
(98875, '192.160.27.0', '192.160.27.255', 3231718144, 3231718399, 'IT', 'Italy'),
(98876, '192.160.28.0', '192.160.32.255', 3231718400, 3231719679, 'US', 'United States'),
(98877, '192.160.33.0', '192.160.33.255', 3231719680, 3231719935, 'ES', 'Spain'),
(98878, '192.160.35.0', '192.160.36.255', 3231720192, 3231720703, 'US', 'United States'),
(98879, '192.160.37.0', '192.160.37.255', 3231720704, 3231720959, 'IT', 'Italy'),
(98880, '192.160.38.0', '192.160.44.255', 3231720960, 3231722751, 'US', 'United States'),
(98881, '192.160.45.0', '192.160.45.255', 3231722752, 3231723007, 'BR', 'Brazil'),
(98882, '192.160.46.0', '192.160.47.255', 3231723008, 3231723519, 'US', 'United States'),
(98883, '192.160.49.0', '192.160.49.255', 3231723776, 3231724031, 'US', 'United States'),
(98884, '192.160.50.0', '192.160.50.255', 3231724032, 3231724287, 'BR', 'Brazil'),
(98885, '192.160.51.0', '192.160.64.255', 3231724288, 3231727871, 'US', 'United States'),
(98886, '192.160.65.0', '192.160.65.255', 3231727872, 3231728127, 'DE', 'Germany'),
(98887, '192.160.67.0', '192.160.67.255', 3231728384, 3231728639, 'AT', 'Austria'),
(98888, '192.160.68.0', '192.160.70.255', 3231728640, 3231729407, 'US', 'United States'),
(98889, '192.160.71.0', '192.160.71.255', 3231729408, 3231729663, 'AU', 'Australia'),
(98890, '192.160.72.0', '192.160.94.255', 3231729664, 3231735551, 'US', 'United States'),
(98891, '192.160.95.0', '192.160.96.255', 3231735552, 3231736063, 'CH', 'Switzerland'),
(98892, '192.160.97.0', '192.160.105.255', 3231736064, 3231738367, 'US', 'United States'),
(98893, '192.160.106.0', '192.160.106.255', 3231738368, 3231738623, 'NL', 'Netherlands'),
(98894, '192.160.107.0', '192.160.108.255', 3231738624, 3231739135, 'US', 'United States'),
(98895, '192.160.109.0', '192.160.109.255', 3231739136, 3231739391, 'GB', 'United Kingdom'),
(98896, '192.160.110.0', '192.160.110.255', 3231739392, 3231739647, 'PL', 'Poland'),
(98897, '192.160.111.0', '192.160.111.255', 3231739648, 3231739903, 'BR', 'Brazil'),
(98898, '192.160.112.0', '192.160.122.255', 3231739904, 3231742719, 'US', 'United States'),
(98899, '192.160.123.0', '192.160.123.255', 3231742720, 3231742975, 'FR', 'France'),
(98900, '192.160.124.0', '192.160.125.255', 3231742976, 3231743487, 'US', 'United States'),
(98901, '192.160.126.0', '192.160.126.255', 3231743488, 3231743743, 'NO', 'Norway'),
(98902, '192.160.127.0', '192.160.127.255', 3231743744, 3231743999, 'US', 'United States'),
(98903, '192.160.128.0', '192.160.128.255', 3231744000, 3231744255, 'BR', 'Brazil'),
(98904, '192.160.129.0', '192.160.141.255', 3231744256, 3231747583, 'US', 'United States'),
(98905, '192.160.142.0', '192.160.142.255', 3231747584, 3231747839, 'DE', 'Germany'),
(98906, '192.160.143.0', '192.160.143.255', 3231747840, 3231748095, 'GB', 'United Kingdom'),
(98907, '192.160.144.0', '192.160.151.255', 3231748096, 3231750143, 'US', 'United States'),
(98908, '192.160.152.0', '192.160.152.255', 3231750144, 3231750399, 'NL', 'Netherlands'),
(98909, '192.160.153.0', '192.160.154.255', 3231750400, 3231750911, 'US', 'United States'),
(98910, '192.160.156.0', '192.160.156.255', 3231751168, 3231751423, 'IT', 'Italy'),
(98911, '192.160.157.0', '192.160.159.255', 3231751424, 3231752191, 'US', 'United States'),
(98912, '192.160.160.0', '192.160.160.255', 3231752192, 3231752447, 'IT', 'Italy'),
(98913, '192.160.161.0', '192.160.161.255', 3231752448, 3231752703, 'JP', 'Japan'),
(98914, '192.160.162.0', '192.160.166.255', 3231752704, 3231753983, 'US', 'United States'),
(98915, '192.160.167.0', '192.160.167.255', 3231753984, 3231754239, 'CA', 'Canada'),
(98916, '192.160.168.0', '192.160.168.255', 3231754240, 3231754495, 'US', 'United States'),
(98917, '192.160.169.0', '192.160.171.255', 3231754496, 3231755263, 'AU', 'Australia'),
(98918, '192.160.172.0', '192.160.172.255', 3231755264, 3231755519, 'HU', 'Hungary'),
(98919, '192.160.173.0', '192.160.173.255', 3231755520, 3231755775, 'US', 'United States'),
(98920, '192.160.174.0', '192.160.176.255', 3231755776, 3231756543, 'PR', 'Puerto Rico'),
(98921, '192.160.177.0', '192.160.179.255', 3231756544, 3231757311, 'GB', 'United Kingdom'),
(98922, '192.160.180.0', '192.160.187.255', 3231757312, 3231759359, 'US', 'United States'),
(98923, '192.160.188.0', '192.160.188.255', 3231759360, 3231759615, 'BR', 'Brazil'),
(98924, '192.160.189.0', '192.160.193.255', 3231759616, 3231760895, 'US', 'United States'),
(98925, '192.160.194.0', '192.160.195.255', 3231760896, 3231761407, 'GB', 'United Kingdom'),
(98926, '192.160.196.0', '192.160.204.255', 3231761408, 3231763711, 'US', 'United States'),
(98927, '192.160.205.0', '192.160.205.255', 3231763712, 3231763967, 'AU', 'Australia'),
(98928, '192.160.206.0', '192.160.223.255', 3231763968, 3231768575, 'US', 'United States'),
(98929, '192.160.224.0', '192.160.224.255', 3231768576, 3231768831, 'RU', 'Russian Federation'),
(98930, '192.160.225.0', '192.160.225.255', 3231768832, 3231769087, 'NO', 'Norway'),
(98931, '192.160.227.0', '192.160.228.255', 3231769344, 3231769855, 'US', 'United States'),
(98932, '192.160.229.0', '192.160.229.255', 3231769856, 3231770111, 'AU', 'Australia'),
(98933, '192.160.230.0', '192.160.230.255', 3231770112, 3231770367, 'US', 'United States'),
(98934, '192.160.231.0', '192.160.232.255', 3231770368, 3231770879, 'AT', 'Austria'),
(98935, '192.160.233.0', '192.160.233.255', 3231770880, 3231771135, 'RU', 'Russian Federation'),
(98936, '192.160.234.0', '192.160.244.255', 3231771136, 3231773951, 'US', 'United States'),
(98937, '192.160.245.0', '192.160.251.255', 3231773952, 3231775743, 'PT', 'Portugal'),
(98938, '192.160.252.0', '192.160.252.255', 3231775744, 3231775999, 'IL', 'Israel'),
(98939, '192.160.253.0', '192.160.254.255', 3231776000, 3231776511, 'US', 'United States'),
(98940, '192.161.0.0', '192.161.63.255', 3231776768, 3231793151, 'US', 'United States'),
(98941, '192.161.64.0', '192.161.65.255', 3231793152, 3231793663, 'BE', 'Belgium'),
(98942, '192.161.128.0', '192.161.129.255', 3231809536, 3231810047, 'NZ', 'New Zealand'),
(98943, '192.162.0.0', '192.162.3.255', 3231842304, 3231843327, 'RU', 'Russian Federation'),
(98944, '192.162.4.0', '192.162.7.255', 3231843328, 3231844351, 'NO', 'Norway'),
(98945, '192.162.8.0', '192.162.11.255', 3231844352, 3231845375, 'RU', 'Russian Federation'),
(98946, '192.162.12.0', '192.162.15.255', 3231845376, 3231846399, 'ES', 'Spain'),
(98947, '192.162.16.0', '192.162.16.255', 3231846400, 3231846655, 'RO', 'Romania'),
(98948, '192.162.17.0', '192.162.17.255', 3231846656, 3231846911, 'PT', 'Portugal'),
(98949, '192.162.18.0', '192.162.18.255', 3231846912, 3231847167, 'GB', 'United Kingdom'),
(98950, '192.162.19.0', '192.162.19.255', 3231847168, 3231847423, 'UA', 'Ukraine'),
(98951, '192.162.20.0', '192.162.23.255', 3231847424, 3231848447, 'RU', 'Russian Federation'),
(98952, '192.162.24.0', '192.162.27.255', 3231848448, 3231849471, 'ES', 'Spain'),
(98953, '192.162.28.0', '192.162.31.255', 3231849472, 3231850495, 'RO', 'Romania'),
(98954, '192.162.32.0', '192.162.35.255', 3231850496, 3231851519, 'UA', 'Ukraine'),
(98955, '192.162.36.0', '192.162.43.255', 3231851520, 3231853567, 'RU', 'Russian Federation'),
(98956, '192.162.44.0', '192.162.51.255', 3231853568, 3231855615, 'PL', 'Poland'),
(98957, '192.162.52.0', '192.162.55.255', 3231855616, 3231856639, 'RS', 'Serbia'),
(98958, '192.162.56.0', '192.162.59.255', 3231856640, 3231857663, 'RU', 'Russian Federation'),
(98959, '192.162.60.0', '192.162.63.255', 3231857664, 3231858687, 'PL', 'Poland'),
(98960, '192.162.64.0', '192.162.67.255', 3231858688, 3231859711, 'RU', 'Russian Federation'),
(98961, '192.162.68.0', '192.162.71.255', 3231859712, 3231860735, 'FR', 'France'),
(98962, '192.162.72.0', '192.162.75.255', 3231860736, 3231861759, 'SA', 'Saudi Arabia'),
(98963, '192.162.76.0', '192.162.83.255', 3231861760, 3231863807, 'UA', 'Ukraine'),
(98964, '192.162.84.0', '192.162.87.255', 3231863808, 3231864831, 'DE', 'Germany'),
(98965, '192.162.88.0', '192.162.91.255', 3231864832, 3231865855, 'RU', 'Russian Federation'),
(98966, '192.162.92.0', '192.162.95.255', 3231865856, 3231866879, 'PL', 'Poland'),
(98967, '192.162.96.0', '192.162.99.255', 3231866880, 3231867903, 'CZ', 'Czech Republic'),
(98968, '192.162.100.0', '192.162.103.255', 3231867904, 3231868927, 'RU', 'Russian Federation'),
(98969, '192.162.104.0', '192.162.107.255', 3231868928, 3231869951, 'LV', 'Latvia'),
(98970, '192.162.108.0', '192.162.119.255', 3231869952, 3231873023, 'UA', 'Ukraine'),
(98971, '192.162.120.0', '192.162.127.255', 3231873024, 3231875071, 'RU', 'Russian Federation'),
(98972, '192.162.128.0', '192.162.131.255', 3231875072, 3231876095, 'PL', 'Poland'),
(98973, '192.162.132.0', '192.162.135.255', 3231876096, 3231877119, 'UA', 'Ukraine'),
(98974, '192.162.136.0', '192.162.139.255', 3231877120, 3231878143, 'NL', 'Netherlands'),
(98975, '192.162.140.0', '192.162.143.255', 3231878144, 3231879167, 'UA', 'Ukraine'),
(98976, '192.162.144.0', '192.162.151.255', 3231879168, 3231881215, 'PL', 'Poland'),
(98977, '192.162.152.0', '192.162.155.255', 3231881216, 3231882239, 'UA', 'Ukraine'),
(98978, '192.162.156.0', '192.162.159.255', 3231882240, 3231883263, 'RU', 'Russian Federation'),
(98979, '192.162.160.0', '192.162.163.255', 3231883264, 3231884287, 'UA', 'Ukraine'),
(98980, '192.162.164.0', '192.162.167.255', 3231884288, 3231885311, 'PL', 'Poland'),
(98981, '192.162.168.0', '192.162.171.255', 3231885312, 3231886335, 'DE', 'Germany'),
(98982, '192.162.172.0', '192.162.179.255', 3231886336, 3231888383, 'PL', 'Poland'),
(98983, '192.162.180.0', '192.162.183.255', 3231888384, 3231889407, 'RU', 'Russian Federation'),
(98984, '192.162.184.0', '192.162.187.255', 3231889408, 3231890431, 'RO', 'Romania'),
(98985, '192.162.188.0', '192.162.199.255', 3231890432, 3231893503, 'RU', 'Russian Federation'),
(98986, '192.162.200.0', '192.162.203.255', 3231893504, 3231894527, 'UA', 'Ukraine'),
(98987, '192.162.204.0', '192.162.207.255', 3231894528, 3231895551, 'RU', 'Russian Federation'),
(98988, '192.162.208.0', '192.162.211.255', 3231895552, 3231896575, 'UA', 'Ukraine'),
(98989, '192.162.212.0', '192.162.215.255', 3231896576, 3231897599, 'RU', 'Russian Federation'),
(98990, '192.162.216.0', '192.162.219.255', 3231897600, 3231898623, 'IE', 'Ireland'),
(98991, '192.162.220.0', '192.162.223.255', 3231898624, 3231899647, 'SE', 'Sweden'),
(98992, '192.162.224.0', '192.162.227.255', 3231899648, 3231900671, 'UA', 'Ukraine'),
(98993, '192.162.228.0', '192.162.230.255', 3231900672, 3231901439, 'DE', 'Germany'),
(98994, '192.162.231.0', '192.162.231.255', 3231901440, 3231901695, 'BG', 'Bulgaria'),
(98995, '192.162.232.0', '192.162.239.255', 3231901696, 3231903743, 'UA', 'Ukraine'),
(98996, '192.162.240.0', '192.162.247.255', 3231903744, 3231905791, 'RU', 'Russian Federation'),
(98997, '192.162.248.0', '192.162.248.255', 3231905792, 3231906047, 'PL', 'Poland'),
(98998, '192.162.249.0', '192.162.255.255', 3231906048, 3231907839, 'RU', 'Russian Federation'),
(98999, '192.163.0.0', '192.163.19.255', 3231907840, 3231912959, 'US', 'United States'),
(99000, '192.163.20.0', '192.163.20.255', 3231912960, 3231913215, 'AP', 'Asia/Pacific Region'),
(99001, '192.163.32.0', '192.163.159.255', 3231916032, 3231948799, 'FI', 'Finland'),
(99002, '192.164.0.0', '192.164.255.255', 3231973376, 3232038911, 'AT', 'Austria'),
(99003, '192.165.0.0', '192.165.0.255', 3232038912, 3232039167, 'SE', 'Sweden'),
(99004, '192.165.1.0', '192.165.1.255', 3232039168, 3232039423, 'DK', 'Denmark'),
(99005, '192.165.2.0', '192.165.2.255', 3232039424, 3232039679, 'IT', 'Italy'),
(99006, '192.165.3.0', '192.165.32.255', 3232039680, 3232047359, 'SE', 'Sweden'),
(99007, '192.165.33.0', '192.165.37.255', 3232047360, 3232048639, 'GB', 'United Kingdom'),
(99008, '192.165.38.0', '192.165.39.255', 3232048640, 3232049151, 'SE', 'Sweden'),
(99009, '192.165.40.0', '192.165.40.255', 3232049152, 3232049407, 'GB', 'United Kingdom'),
(99010, '192.165.41.0', '192.165.50.255', 3232049408, 3232051967, 'SE', 'Sweden'),
(99011, '192.165.51.0', '192.165.54.255', 3232051968, 3232052991, 'GB', 'United Kingdom'),
(99012, '192.165.55.0', '192.165.83.255', 3232052992, 3232060415, 'SE', 'Sweden'),
(99013, '192.165.84.0', '192.165.84.255', 3232060416, 3232060671, 'IE', 'Ireland'),
(99014, '192.165.85.0', '192.165.104.255', 3232060672, 3232065791, 'SE', 'Sweden'),
(99015, '192.165.105.0', '192.165.106.255', 3232065792, 3232066303, 'GB', 'United Kingdom'),
(99016, '192.165.107.0', '192.165.107.255', 3232066304, 3232066559, 'SE', 'Sweden'),
(99017, '192.165.108.0', '192.165.108.255', 3232066560, 3232066815, 'NO', 'Norway'),
(99018, '192.165.109.0', '192.165.159.255', 3232066816, 3232079871, 'SE', 'Sweden'),
(99019, '192.165.160.0', '192.165.163.255', 3232079872, 3232080895, 'GB', 'United Kingdom'),
(99020, '192.165.164.0', '192.165.170.255', 3232080896, 3232082687, 'SE', 'Sweden'),
(99021, '192.165.171.0', '192.165.172.255', 3232082688, 3232083199, 'GB', 'United Kingdom'),
(99022, '192.165.173.0', '192.165.173.255', 3232083200, 3232083455, 'SE', 'Sweden'),
(99023, '192.165.174.0', '192.165.174.255', 3232083456, 3232083711, 'DE', 'Germany'),
(99024, '192.165.175.0', '192.165.184.255', 3232083712, 3232086271, 'SE', 'Sweden'),
(99025, '192.165.185.0', '192.165.187.255', 3232086272, 3232087039, 'GB', 'United Kingdom'),
(99026, '192.165.188.0', '192.165.195.255', 3232087040, 3232089087, 'SE', 'Sweden'),
(99027, '192.165.196.0', '192.165.196.255', 3232089088, 3232089343, 'ES', 'Spain'),
(99028, '192.165.197.0', '192.165.200.255', 3232089344, 3232090367, 'SE', 'Sweden'),
(99029, '192.165.201.0', '192.165.201.255', 3232090368, 3232090623, 'IT', 'Italy'),
(99030, '192.165.202.0', '192.165.209.255', 3232090624, 3232092671, 'SE', 'Sweden'),
(99031, '192.165.210.0', '192.165.211.255', 3232092672, 3232093183, 'GB', 'United Kingdom'),
(99032, '192.165.212.0', '192.165.212.255', 3232093184, 3232093439, 'US', 'United States'),
(99033, '192.165.213.0', '192.165.213.255', 3232093440, 3232093695, 'GB', 'United Kingdom'),
(99034, '192.165.214.0', '192.165.214.255', 3232093696, 3232093951, 'AP', 'Asia/Pacific Region'),
(99035, '192.165.215.0', '192.165.215.255', 3232093952, 3232094207, 'GB', 'United Kingdom'),
(99036, '192.165.216.0', '192.165.217.255', 3232094208, 3232094719, 'CH', 'Switzerland'),
(99037, '192.165.218.0', '192.165.219.255', 3232094720, 3232095231, 'US', 'United States'),
(99038, '192.165.220.0', '192.165.223.255', 3232095232, 3232096255, 'GB', 'United Kingdom'),
(99039, '192.165.224.0', '192.165.227.255', 3232096256, 3232097279, 'SE', 'Sweden'),
(99040, '192.165.228.0', '192.165.228.255', 3232097280, 3232097535, 'IT', 'Italy'),
(99041, '192.165.229.0', '192.165.230.255', 3232097536, 3232098047, 'SE', 'Sweden'),
(99042, '192.165.231.0', '192.165.231.255', 3232098048, 3232098303, 'FR', 'France'),
(99043, '192.165.232.0', '192.165.238.255', 3232098304, 3232100095, 'SE', 'Sweden'),
(99044, '192.165.239.0', '192.165.239.255', 3232100096, 3232100351, 'IE', 'Ireland'),
(99045, '192.165.240.0', '192.165.242.255', 3232100352, 3232101119, 'GB', 'United Kingdom'),
(99046, '192.165.243.0', '192.165.255.255', 3232101120, 3232104447, 'SE', 'Sweden'),
(99047, '192.166.0.0', '192.166.11.255', 3232104448, 3232107519, 'DE', 'Germany'),
(99048, '192.166.12.0', '192.166.15.255', 3232107520, 3232108543, 'RU', 'Russian Federation'),
(99049, '192.166.16.0', '192.166.95.255', 3232108544, 3232129023, 'DE', 'Germany'),
(99050, '192.166.96.0', '192.166.99.255', 3232129024, 3232130047, 'RO', 'Romania'),
(99051, '192.166.100.0', '192.166.103.255', 3232130048, 3232131071, 'UA', 'Ukraine'),
(99052, '192.166.104.0', '192.166.111.255', 3232131072, 3232133119, 'DE', 'Germany'),
(99053, '192.166.112.0', '192.166.113.255', 3232133120, 3232133631, 'UA', 'Ukraine'),
(99054, '192.166.114.0', '192.166.115.255', 3232133632, 3232134143, 'DE', 'Germany'),
(99055, '192.166.116.0', '192.166.119.255', 3232134144, 3232135167, 'RU', 'Russian Federation'),
(99056, '192.166.120.0', '192.166.121.255', 3232135168, 3232135679, 'PL', 'Poland'),
(99057, '192.166.122.0', '192.166.122.255', 3232135680, 3232135935, 'RO', 'Romania'),
(99058, '192.166.123.0', '192.166.127.255', 3232135936, 3232137215, 'RU', 'Russian Federation'),
(99059, '192.166.128.0', '192.166.135.255', 3232137216, 3232139263, 'UA', 'Ukraine'),
(99060, '192.166.136.0', '192.166.139.255', 3232139264, 3232140287, 'GB', 'United Kingdom'),
(99061, '192.166.140.0', '192.166.143.255', 3232140288, 3232141311, 'FR', 'France'),
(99062, '192.166.144.0', '192.166.145.255', 3232141312, 3232141823, 'UA', 'Ukraine'),
(99063, '192.166.146.0', '192.166.147.255', 3232141824, 3232142335, 'DE', 'Germany'),
(99064, '192.166.148.0', '192.166.151.255', 3232142336, 3232143359, 'ES', 'Spain'),
(99065, '192.166.152.0', '192.166.201.255', 3232143360, 3232156159, 'DE', 'Germany'),
(99066, '192.166.202.0', '192.166.203.255', 3232156160, 3232156671, 'PL', 'Poland'),
(99067, '192.166.204.0', '192.166.215.255', 3232156672, 3232159743, 'DE', 'Germany'),
(99068, '192.166.216.0', '192.166.219.255', 3232159744, 3232160767, 'PL', 'Poland'),
(99069, '192.166.220.0', '192.166.231.255', 3232160768, 3232163839, 'DE', 'Germany'),
(99070, '192.166.232.0', '192.166.239.255', 3232163840, 3232165887, 'RU', 'Russian Federation'),
(99071, '192.166.240.0', '192.166.254.255', 3232165888, 3232169727, 'DE', 'Germany'),
(99072, '192.166.255.0', '192.166.255.255', 3232169728, 3232169983, 'PL', 'Poland'),
(99073, '192.167.0.0', '192.167.255.255', 3232169984, 3232235519, 'IT', 'Italy'),
(99074, '192.169.0.0', '192.169.31.255', 3232301056, 3232309247, 'US', 'United States'),
(99075, '192.169.32.0', '192.169.47.255', 3232309248, 3232313343, 'SG', 'Singapore'),
(99076, '192.169.64.0', '192.169.65.255', 3232317440, 3232317951, 'US', 'United States'),
(99077, '192.170.0.0', '192.170.255.255', 3232366592, 3232432127, 'US', 'United States'),
(99078, '192.171.0.0', '192.171.5.255', 3232432128, 3232433663, 'EU', 'Europe'),
(99079, '192.171.7.0', '192.171.17.255', 3232433920, 3232436735, 'US', 'United States'),
(99080, '192.171.64.0', '192.171.127.255', 3232448512, 3232464895, 'US', 'United States'),
(99081, '192.171.128.0', '192.171.255.255', 3232464896, 3232497663, 'GB', 'United Kingdom'),
(99082, '192.172.0.0', '192.172.223.255', 3232497664, 3232555007, 'US', 'United States'),
(99083, '192.172.225.0', '192.172.226.120', 3232555264, 3232555640, 'US', 'United States'),
(99084, '192.172.226.121', '192.172.226.121', 3232555641, 3232555641, 'A1', 'Anonymous Proxy'),
(99085, '192.172.226.122', '192.172.226.255', 3232555642, 3232555775, 'US', 'United States'),
(99086, '192.172.227.0', '192.172.243.255', 3232555776, 3232560127, 'JP', 'Japan'),
(99087, '192.172.245.0', '192.172.246.255', 3232560384, 3232560895, 'JP', 'Japan'),
(99088, '192.172.247.0', '192.172.249.255', 3232560896, 3232561663, 'US', 'United States'),
(99089, '192.172.250.0', '192.172.250.255', 3232561664, 3232561919, 'CA', 'Canada'),
(99090, '192.172.251.0', '192.172.252.255', 3232561920, 3232562431, 'US', 'United States'),
(99091, '192.172.253.0', '192.172.253.255', 3232562432, 3232562687, 'LU', 'Luxembourg'),
(99092, '192.172.254.0', '192.172.254.255', 3232562688, 3232562943, 'CA', 'Canada'),
(99093, '192.173.0.0', '192.173.7.255', 3232563200, 3232565247, 'GB', 'United Kingdom'),
(99094, '192.173.8.0', '192.173.15.255', 3232565248, 3232567295, 'US', 'United States'),
(99095, '192.173.16.0', '192.173.31.255', 3232567296, 3232571391, 'NZ', 'New Zealand'),
(99096, '192.173.32.0', '192.173.63.255', 3232571392, 3232579583, 'US', 'United States'),
(99097, '192.173.128.0', '192.173.135.255', 3232595968, 3232598015, 'GB', 'United Kingdom'),
(99098, '192.174.0.0', '192.174.63.255', 3232628736, 3232645119, 'US', 'United States'),
(99099, '192.174.64.0', '192.174.71.255', 3232645120, 3232647167, 'AT', 'Austria'),
(99100, '192.174.128.0', '192.174.255.255', 3232661504, 3232694271, 'JP', 'Japan'),
(99101, '192.175.0.0', '192.175.31.255', 3232694272, 3232702463, 'US', 'United States'),
(99102, '192.175.32.0', '192.175.36.255', 3232702464, 3232703743, 'FI', 'Finland'),
(99103, '192.175.37.0', '192.175.37.255', 3232703744, 3232703999, 'FR', 'France'),
(99104, '192.175.38.0', '192.175.39.255', 3232704000, 3232704511, 'CH', 'Switzerland'),
(99105, '192.175.40.0', '192.175.43.255', 3232704512, 3232705535, 'GB', 'United Kingdom'),
(99106, '192.175.44.0', '192.175.47.255', 3232705536, 3232706559, 'FI', 'Finland'),
(99107, '192.175.48.0', '192.175.48.255', 3232706560, 3232706815, 'US', 'United States'),
(99108, '192.175.64.0', '192.175.95.255', 3232710656, 3232718847, 'US', 'United States'),
(99109, '192.175.128.0', '192.175.255.255', 3232727040, 3232759807, 'US', 'United States'),
(99110, '192.176.0.0', '192.176.58.255', 3232759808, 3232774911, 'SE', 'Sweden'),
(99111, '192.176.59.0', '192.176.59.255', 3232774912, 3232775167, 'IE', 'Ireland'),
(99112, '192.176.60.0', '192.176.136.255', 3232775168, 3232794879, 'SE', 'Sweden'),
(99113, '192.176.137.0', '192.176.137.255', 3232794880, 3232795135, 'DE', 'Germany'),
(99114, '192.176.138.0', '192.176.166.255', 3232795136, 3232802559, 'SE', 'Sweden'),
(99115, '192.176.167.0', '192.176.167.255', 3232802560, 3232802815, 'DK', 'Denmark'),
(99116, '192.176.168.0', '192.176.168.255', 3232802816, 3232803071, 'SE', 'Sweden'),
(99117, '192.176.169.0', '192.176.169.255', 3232803072, 3232803327, 'IE', 'Ireland'),
(99118, '192.176.170.0', '192.176.174.255', 3232803328, 3232804607, 'SE', 'Sweden'),
(99119, '192.176.175.0', '192.176.175.255', 3232804608, 3232804863, 'IT', 'Italy'),
(99120, '192.176.176.0', '192.176.203.255', 3232804864, 3232812031, 'SE', 'Sweden'),
(99121, '192.176.204.0', '192.176.205.255', 3232812032, 3232812543, 'GB', 'United Kingdom'),
(99122, '192.176.206.0', '192.176.206.255', 3232812544, 3232812799, 'SE', 'Sweden'),
(99123, '192.176.207.0', '192.176.207.255', 3232812800, 3232813055, 'ES', 'Spain'),
(99124, '192.176.208.0', '192.176.235.255', 3232813056, 3232820223, 'SE', 'Sweden'),
(99125, '192.176.236.0', '192.176.236.255', 3232820224, 3232820479, 'IE', 'Ireland'),
(99126, '192.176.237.0', '192.176.255.255', 3232820480, 3232825343, 'SE', 'Sweden'),
(99127, '192.184.4.0', '192.184.4.255', 3233285120, 3233285375, 'US', 'United States'),
(99128, '192.187.0.0', '192.187.15.255', 3233480704, 3233484799, 'US', 'United States'),
(99129, '192.187.16.0', '192.187.31.255', 3233484800, 3233488895, 'ES', 'Spain'),
(99130, '192.187.32.0', '192.187.95.255', 3233488896, 3233505279, 'US', 'United States'),
(99131, '192.187.128.0', '192.188.7.255', 3233513472, 3233548287, 'US', 'United States'),
(99132, '192.188.10.0', '192.188.10.255', 3233548800, 3233549055, 'PT', 'Portugal'),
(99133, '192.188.11.0', '192.188.11.255', 3233549056, 3233549311, 'BR', 'Brazil'),
(99134, '192.188.12.0', '192.188.42.255', 3233549312, 3233557247, 'US', 'United States'),
(99135, '192.188.43.0', '192.188.43.255', 3233557248, 3233557503, 'NZ', 'New Zealand'),
(99136, '192.188.44.0', '192.188.60.255', 3233557504, 3233561855, 'EC', 'Ecuador'),
(99137, '192.188.61.0', '192.188.62.255', 3233561856, 3233562367, 'US', 'United States'),
(99138, '192.188.63.0', '192.188.64.255', 3233562368, 3233562879, 'GB', 'United Kingdom'),
(99139, '192.188.65.0', '192.188.65.255', 3233562880, 3233563135, 'FR', 'France'),
(99140, '192.188.66.0', '192.188.68.255', 3233563136, 3233563903, 'US', 'United States'),
(99141, '192.188.69.0', '192.188.69.255', 3233563904, 3233564159, 'GB', 'United Kingdom'),
(99142, '192.188.70.0', '192.188.70.255', 3233564160, 3233564415, 'US', 'United States'),
(99143, '192.188.71.0', '192.188.71.255', 3233564416, 3233564671, 'NZ', 'New Zealand'),
(99144, '192.188.72.0', '192.188.72.255', 3233564672, 3233564927, 'US', 'United States'),
(99145, '192.188.73.0', '192.188.92.255', 3233564928, 3233570047, 'JP', 'Japan'),
(99146, '192.188.93.0', '192.188.94.255', 3233570048, 3233570559, 'US', 'United States'),
(99147, '192.188.96.0', '192.188.96.255', 3233570816, 3233571071, 'GB', 'United Kingdom'),
(99148, '192.188.97.0', '192.188.100.255', 3233571072, 3233572095, 'US', 'United States'),
(99149, '192.188.101.0', '192.188.101.255', 3233572096, 3233572351, 'AU', 'Australia'),
(99150, '192.188.102.0', '192.188.104.255', 3233572352, 3233573119, 'US', 'United States'),
(99151, '192.188.105.0', '192.188.105.255', 3233573120, 3233573375, 'NO', 'Norway'),
(99152, '192.188.106.0', '192.188.106.255', 3233573376, 3233573631, 'US', 'United States'),
(99153, '192.188.107.0', '192.188.107.255', 3233573632, 3233573887, 'AU', 'Australia'),
(99154, '192.188.108.0', '192.188.114.255', 3233573888, 3233575679, 'US', 'United States'),
(99155, '192.188.115.0', '192.188.115.255', 3233575680, 3233575935, 'AU', 'Australia'),
(99156, '192.188.116.0', '192.188.116.255', 3233575936, 3233576191, 'RU', 'Russian Federation'),
(99157, '192.188.117.0', '192.188.117.255', 3233576192, 3233576447, 'GB', 'United Kingdom'),
(99158, '192.188.118.0', '192.188.120.255', 3233576448, 3233577215, 'US', 'United States'),
(99159, '192.188.121.0', '192.188.121.255', 3233577216, 3233577471, 'AT', 'Austria'),
(99160, '192.188.122.0', '192.188.122.255', 3233577472, 3233577727, 'GB', 'United Kingdom'),
(99161, '192.188.124.0', '192.188.124.255', 3233577984, 3233578239, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(99162, '192.188.125.0', '192.188.125.255', 3233578240, 3233578495, 'GB', 'United Kingdom'),
(99163, '192.188.126.0', '192.188.126.255', 3233578496, 3233578751, 'US', 'United States'),
(99164, '192.188.127.0', '192.188.127.255', 3233578752, 3233579007, 'IE', 'Ireland'),
(99165, '192.188.129.0', '192.188.129.255', 3233579264, 3233579519, 'GB', 'United Kingdom'),
(99166, '192.188.130.0', '192.188.131.255', 3233579520, 3233580031, 'US', 'United States'),
(99167, '192.188.132.0', '192.188.132.255', 3233580032, 3233580287, 'GB', 'United Kingdom'),
(99168, '192.188.133.0', '192.188.135.255', 3233580288, 3233581055, 'US', 'United States'),
(99169, '192.188.136.0', '192.188.136.255', 3233581056, 3233581311, 'DE', 'Germany'),
(99170, '192.188.137.0', '192.188.144.255', 3233581312, 3233583359, 'US', 'United States'),
(99171, '192.188.145.0', '192.188.145.255', 3233583360, 3233583615, 'GB', 'United Kingdom'),
(99172, '192.188.146.0', '192.188.150.255', 3233583616, 3233584895, 'US', 'United States'),
(99173, '192.188.151.0', '192.188.151.255', 3233584896, 3233585151, 'AU', 'Australia'),
(99174, '192.188.152.0', '192.188.156.255', 3233585152, 3233586431, 'US', 'United States'),
(99175, '192.188.157.0', '192.188.158.255', 3233586432, 3233586943, 'GB', 'United Kingdom'),
(99176, '192.188.159.0', '192.188.163.255', 3233586944, 3233588223, 'US', 'United States'),
(99177, '192.188.164.0', '192.188.167.255', 3233588224, 3233589247, 'GA', 'Gabon'),
(99178, '192.188.168.0', '192.188.169.255', 3233589248, 3233589759, 'CA', 'Canada'),
(99179, '192.188.170.0', '192.188.170.255', 3233589760, 3233590015, 'CN', 'China'),
(99180, '192.188.173.0', '192.188.173.255', 3233590528, 3233590783, 'PR', 'Puerto Rico'),
(99181, '192.188.174.0', '192.188.174.255', 3233590784, 3233591039, 'PH', 'Philippines'),
(99182, '192.188.175.0', '192.188.175.255', 3233591040, 3233591295, 'ID', 'Indonesia'),
(99183, '192.188.176.0', '192.188.184.255', 3233591296, 3233593599, 'US', 'United States'),
(99184, '192.188.185.0', '192.188.185.255', 3233593600, 3233593855, 'NZ', 'New Zealand'),
(99185, '192.188.186.0', '192.188.186.255', 3233593856, 3233594111, 'AU', 'Australia'),
(99186, '192.188.187.0', '192.188.187.255', 3233594112, 3233594367, 'RU', 'Russian Federation'),
(99187, '192.188.188.0', '192.188.188.255', 3233594368, 3233594623, 'US', 'United States'),
(99188, '192.188.189.0', '192.188.189.255', 3233594624, 3233594879, 'RU', 'Russian Federation'),
(99189, '192.188.190.0', '192.188.193.255', 3233594880, 3233595903, 'US', 'United States'),
(99190, '192.188.194.0', '192.188.197.255', 3233595904, 3233596927, 'EC', 'Ecuador'),
(99191, '192.188.198.0', '192.188.232.255', 3233596928, 3233605887, 'US', 'United States'),
(99192, '192.188.233.0', '192.188.237.255', 3233605888, 3233607167, 'PL', 'Poland'),
(99193, '192.188.238.0', '192.188.240.255', 3233607168, 3233607935, 'US', 'United States'),
(99194, '192.188.241.0', '192.188.241.255', 3233607936, 3233608191, 'NZ', 'New Zealand'),
(99195, '192.188.242.0', '192.188.247.255', 3233608192, 3233609727, 'HU', 'Hungary'),
(99196, '192.188.248.0', '192.188.248.255', 3233609728, 3233609983, 'BE', 'Belgium'),
(99197, '192.188.249.0', '192.188.250.255', 3233609984, 3233610495, 'US', 'United States'),
(99198, '192.188.252.0', '192.188.255.255', 3233610752, 3233611775, 'US', 'United States'),
(99199, '192.189.1.0', '192.189.1.255', 3233612032, 3233612287, 'GB', 'United Kingdom'),
(99200, '192.189.3.0', '192.189.7.255', 3233612544, 3233613823, 'US', 'United States'),
(99201, '192.189.8.0', '192.189.11.255', 3233613824, 3233614847, 'GB', 'United Kingdom'),
(99202, '192.189.13.0', '192.189.13.255', 3233615104, 3233615359, 'US', 'United States'),
(99203, '192.189.14.0', '192.189.14.255', 3233615360, 3233615615, 'DE', 'Germany'),
(99204, '192.189.15.0', '192.189.20.255', 3233615616, 3233617151, 'US', 'United States'),
(99205, '192.189.22.0', '192.189.22.255', 3233617408, 3233617663, 'CA', 'Canada'),
(99206, '192.189.23.0', '192.189.23.255', 3233617664, 3233617919, 'GB', 'United Kingdom'),
(99207, '192.189.24.0', '192.189.24.255', 3233617920, 3233618175, 'JP', 'Japan'),
(99208, '192.189.30.0', '192.189.33.255', 3233619456, 3233620479, 'US', 'United States'),
(99209, '192.189.34.0', '192.189.34.255', 3233620480, 3233620735, 'NZ', 'New Zealand'),
(99210, '192.189.35.0', '192.189.35.255', 3233620736, 3233620991, 'US', 'United States'),
(99211, '192.189.41.0', '192.189.41.255', 3233622272, 3233622527, 'GB', 'United Kingdom'),
(99212, '192.189.42.0', '192.189.50.255', 3233622528, 3233624831, 'US', 'United States'),
(99213, '192.189.51.0', '192.189.51.255', 3233624832, 3233625087, 'AT', 'Austria'),
(99214, '192.189.52.0', '192.189.52.255', 3233625088, 3233625343, 'GB', 'United Kingdom'),
(99215, '192.189.53.0', '192.189.53.255', 3233625344, 3233625599, 'US', 'United States'),
(99216, '192.189.54.0', '192.189.54.255', 3233625600, 3233625855, 'AU', 'Australia'),
(99217, '192.189.55.0', '192.189.55.255', 3233625856, 3233626111, 'GB', 'United Kingdom'),
(99218, '192.189.56.0', '192.189.65.255', 3233626112, 3233628671, 'US', 'United States'),
(99219, '192.189.66.0', '192.189.66.255', 3233628672, 3233628927, 'FR', 'France'),
(99220, '192.189.67.0', '192.189.68.255', 3233628928, 3233629439, 'CA', 'Canada'),
(99221, '192.189.69.0', '192.189.69.255', 3233629440, 3233629695, 'GB', 'United Kingdom'),
(99222, '192.189.70.0', '192.189.70.255', 3233629696, 3233629951, 'IL', 'Israel'),
(99223, '192.189.71.0', '192.189.72.255', 3233629952, 3233630463, 'US', 'United States'),
(99224, '192.189.73.0', '192.189.73.255', 3233630464, 3233630719, 'NL', 'Netherlands'),
(99225, '192.189.74.0', '192.189.74.255', 3233630720, 3233630975, 'US', 'United States'),
(99226, '192.189.75.0', '192.189.75.255', 3233630976, 3233631231, 'ZA', 'South Africa'),
(99227, '192.189.76.0', '192.189.76.255', 3233631232, 3233631487, 'DE', 'Germany'),
(99228, '192.189.77.0', '192.189.77.255', 3233631488, 3233631743, 'US', 'United States'),
(99229, '192.189.79.0', '192.189.118.255', 3233632000, 3233642239, 'US', 'United States'),
(99230, '192.189.119.0', '192.189.119.255', 3233642240, 3233642495, 'GB', 'United Kingdom'),
(99231, '192.189.120.0', '192.189.135.255', 3233642496, 3233646591, 'US', 'United States'),
(99232, '192.189.136.0', '192.189.136.255', 3233646592, 3233646847, 'AU', 'Australia'),
(99233, '192.189.137.0', '192.189.138.255', 3233646848, 3233647359, 'US', 'United States'),
(99234, '192.189.139.0', '192.189.140.255', 3233647360, 3233647871, 'GA', 'Gabon'),
(99235, '192.189.141.0', '192.189.147.255', 3233647872, 3233649663, 'US', 'United States'),
(99236, '192.189.148.0', '192.189.148.255', 3233649664, 3233649919, 'AU', 'Australia'),
(99237, '192.189.149.0', '192.189.150.255', 3233649920, 3233650431, 'US', 'United States'),
(99238, '192.189.151.0', '192.189.151.255', 3233650432, 3233650687, 'DE', 'Germany'),
(99239, '192.189.154.0', '192.189.154.255', 3233651200, 3233651455, 'IT', 'Italy'),
(99240, '192.189.155.0', '192.189.156.255', 3233651456, 3233651967, 'US', 'United States'),
(99241, '192.189.157.0', '192.189.157.255', 3233651968, 3233652223, 'GB', 'United Kingdom'),
(99242, '192.189.158.0', '192.189.158.255', 3233652224, 3233652479, 'US', 'United States'),
(99243, '192.189.160.0', '192.189.160.255', 3233652736, 3233652991, 'GB', 'United Kingdom'),
(99244, '192.189.161.0', '192.189.165.255', 3233652992, 3233654271, 'US', 'United States'),
(99245, '192.189.166.0', '192.189.170.255', 3233654272, 3233655551, 'GB', 'United Kingdom'),
(99246, '192.189.171.0', '192.189.199.255', 3233655552, 3233662975, 'US', 'United States'),
(99247, '192.189.202.0', '192.189.203.255', 3233663488, 3233663999, 'GB', 'United Kingdom'),
(99248, '192.189.204.0', '192.189.207.255', 3233664000, 3233665023, 'US', 'United States'),
(99249, '192.189.208.0', '192.189.211.255', 3233665024, 3233666047, 'AU', 'Australia'),
(99250, '192.189.212.0', '192.189.222.255', 3233666048, 3233668863, 'US', 'United States'),
(99251, '192.189.223.0', '192.189.223.255', 3233668864, 3233669119, 'PH', 'Philippines'),
(99252, '192.189.224.0', '192.189.228.255', 3233669120, 3233670399, 'US', 'United States'),
(99253, '192.189.229.0', '192.189.229.255', 3233670400, 3233670655, 'AU', 'Australia'),
(99254, '192.189.232.0', '192.189.247.255', 3233671168, 3233675263, 'US', 'United States'),
(99255, '192.189.249.0', '192.189.250.255', 3233675520, 3233676031, 'US', 'United States'),
(99256, '192.189.251.0', '192.189.251.255', 3233676032, 3233676287, 'DE', 'Germany'),
(99257, '192.189.252.0', '192.190.29.255', 3233676288, 3233684991, 'US', 'United States'),
(99258, '192.190.30.0', '192.190.31.255', 3233684992, 3233685503, 'BR', 'Brazil'),
(99259, '192.190.32.0', '192.190.41.255', 3233685504, 3233688063, 'US', 'United States'),
(99260, '192.190.44.0', '192.190.44.255', 3233688576, 3233688831, 'GB', 'United Kingdom'),
(99261, '192.190.45.0', '192.190.57.255', 3233688832, 3233692159, 'US', 'United States'),
(99262, '192.190.58.0', '192.190.59.255', 3233692160, 3233692671, 'NO', 'Norway'),
(99263, '192.190.60.0', '192.190.60.255', 3233692672, 3233692927, 'US', 'United States'),
(99264, '192.190.61.0', '192.190.61.255', 3233692928, 3233693183, 'AU', 'Australia'),
(99265, '192.190.62.0', '192.190.63.255', 3233693184, 3233693695, 'US', 'United States'),
(99266, '192.190.64.0', '192.190.64.255', 3233693696, 3233693951, 'GB', 'United Kingdom'),
(99267, '192.190.65.0', '192.190.65.255', 3233693952, 3233694207, 'US', 'United States'),
(99268, '192.190.66.0', '192.190.66.255', 3233694208, 3233694463, 'AU', 'Australia'),
(99269, '192.190.67.0', '192.190.67.255', 3233694464, 3233694719, 'GB', 'United Kingdom'),
(99270, '192.190.68.0', '192.190.68.255', 3233694720, 3233694975, 'US', 'United States'),
(99271, '192.190.69.0', '192.190.69.255', 3233694976, 3233695231, 'FR', 'France'),
(99272, '192.190.70.0', '192.190.74.255', 3233695232, 3233696511, 'US', 'United States'),
(99273, '192.190.75.0', '192.190.75.255', 3233696512, 3233696767, 'CA', 'Canada'),
(99274, '192.190.76.0', '192.190.79.255', 3233696768, 3233697791, 'US', 'United States'),
(99275, '192.190.95.0', '192.190.95.255', 3233701632, 3233701887, 'NO', 'Norway'),
(99276, '192.190.96.0', '192.190.107.255', 3233701888, 3233704959, 'US', 'United States'),
(99277, '192.190.108.0', '192.190.108.255', 3233704960, 3233705215, 'NZ', 'New Zealand'),
(99278, '192.190.109.0', '192.190.128.255', 3233705216, 3233710335, 'US', 'United States'),
(99279, '192.190.129.0', '192.190.132.255', 3233710336, 3233711359, 'FR', 'France'),
(99280, '192.190.133.0', '192.190.172.255', 3233711360, 3233721599, 'US', 'United States'),
(99281, '192.190.173.0', '192.190.173.255', 3233721600, 3233721855, 'HU', 'Hungary'),
(99282, '192.190.174.0', '192.190.174.255', 3233721856, 3233722111, 'PT', 'Portugal'),
(99283, '192.190.175.0', '192.190.179.255', 3233722112, 3233723391, 'US', 'United States'),
(99284, '192.190.180.0', '192.190.181.255', 3233723392, 3233723903, 'AU', 'Australia'),
(99285, '192.190.182.0', '192.190.183.255', 3233723904, 3233724415, 'GB', 'United Kingdom'),
(99286, '192.190.184.0', '192.190.187.255', 3233724416, 3233725439, 'US', 'United States'),
(99287, '192.190.190.0', '192.190.193.255', 3233725952, 3233726975, 'NO', 'Norway'),
(99288, '192.190.194.0', '192.190.200.255', 3233726976, 3233728767, 'US', 'United States'),
(99289, '192.190.201.0', '192.190.202.255', 3233728768, 3233729279, 'GB', 'United Kingdom'),
(99290, '192.190.203.0', '192.190.203.255', 3233729280, 3233729535, 'US', 'United States'),
(99291, '192.190.204.0', '192.190.205.255', 3233729536, 3233730047, 'SG', 'Singapore'),
(99292, '192.190.208.0', '192.190.215.255', 3233730560, 3233732607, 'AU', 'Australia'),
(99293, '192.190.216.0', '192.190.219.255', 3233732608, 3233733631, 'US', 'United States'),
(99294, '192.190.224.0', '192.190.232.255', 3233734656, 3233736959, 'US', 'United States'),
(99295, '192.190.233.0', '192.190.236.255', 3233736960, 3233737983, 'FR', 'France'),
(99296, '192.190.237.0', '192.190.239.255', 3233737984, 3233738751, 'US', 'United States'),
(99297, '192.190.240.0', '192.190.240.255', 3233738752, 3233739007, 'GB', 'United Kingdom'),
(99298, '192.190.241.0', '192.190.241.255', 3233739008, 3233739263, 'US', 'United States'),
(99299, '192.190.242.0', '192.190.242.255', 3233739264, 3233739519, 'FR', 'France'),
(99300, '192.190.243.0', '192.190.246.255', 3233739520, 3233740543, 'US', 'United States'),
(99301, '192.190.247.0', '192.190.249.255', 3233740544, 3233741311, 'GB', 'United Kingdom'),
(99302, '192.190.250.0', '192.191.1.255', 3233741312, 3233743359, 'US', 'United States'),
(99303, '192.191.2.0', '192.191.2.255', 3233743360, 3233743615, 'CA', 'Canada'),
(99304, '192.191.3.0', '192.191.5.255', 3233743616, 3233744383, 'US', 'United States'),
(99305, '192.191.6.0', '192.191.6.255', 3233744384, 3233744639, 'PR', 'Puerto Rico'),
(99306, '192.191.7.0', '192.191.10.255', 3233744640, 3233745663, 'US', 'United States'),
(99307, '192.191.11.0', '192.191.11.255', 3233745664, 3233745919, 'CA', 'Canada'),
(99308, '192.191.12.0', '192.191.15.255', 3233745920, 3233746943, 'US', 'United States'),
(99309, '192.191.16.0', '192.191.16.255', 3233746944, 3233747199, 'PR', 'Puerto Rico'),
(99310, '192.191.17.0', '192.191.22.255', 3233747200, 3233748735, 'US', 'United States'),
(99311, '192.191.23.0', '192.191.23.255', 3233748736, 3233748991, 'PR', 'Puerto Rico'),
(99312, '192.191.24.0', '192.191.25.255', 3233748992, 3233749503, 'US', 'United States'),
(99313, '192.191.26.0', '192.191.27.255', 3233749504, 3233750015, 'CA', 'Canada'),
(99314, '192.191.28.0', '192.191.38.255', 3233750016, 3233752831, 'US', 'United States'),
(99315, '192.191.39.0', '192.191.39.255', 3233752832, 3233753087, 'PR', 'Puerto Rico'),
(99316, '192.191.40.0', '192.191.78.255', 3233753088, 3233763071, 'US', 'United States'),
(99317, '192.191.79.0', '192.191.79.255', 3233763072, 3233763327, 'CA', 'Canada'),
(99318, '192.191.80.0', '192.191.89.255', 3233763328, 3233765887, 'US', 'United States'),
(99319, '192.191.90.0', '192.191.90.255', 3233765888, 3233766143, 'CA', 'Canada'),
(99320, '192.191.91.0', '192.191.99.255', 3233766144, 3233768447, 'US', 'United States'),
(99321, '192.191.100.0', '192.191.100.255', 3233768448, 3233768703, 'CA', 'Canada'),
(99322, '192.191.101.0', '192.191.101.255', 3233768704, 3233768959, 'PR', 'Puerto Rico'),
(99323, '192.191.102.0', '192.191.137.255', 3233768960, 3233778175, 'US', 'United States'),
(99324, '192.191.138.0', '192.191.138.255', 3233778176, 3233778431, 'CA', 'Canada'),
(99325, '192.191.139.0', '192.191.142.255', 3233778432, 3233779455, 'US', 'United States'),
(99326, '192.191.143.0', '192.191.143.255', 3233779456, 3233779711, 'CA', 'Canada'),
(99327, '192.191.144.0', '192.191.150.255', 3233779712, 3233781503, 'US', 'United States'),
(99328, '192.191.151.0', '192.191.151.255', 3233781504, 3233781759, 'PR', 'Puerto Rico'),
(99329, '192.191.152.0', '192.191.159.255', 3233781760, 3233783807, 'US', 'United States'),
(99330, '192.191.160.0', '192.191.160.255', 3233783808, 3233784063, 'PR', 'Puerto Rico'),
(99331, '192.191.161.0', '192.191.161.255', 3233784064, 3233784319, 'CA', 'Canada'),
(99332, '192.191.162.0', '192.191.168.255', 3233784320, 3233786111, 'US', 'United States'),
(99333, '192.191.169.0', '192.191.169.255', 3233786112, 3233786367, 'PR', 'Puerto Rico'),
(99334, '192.191.170.0', '192.191.184.255', 3233786368, 3233790207, 'US', 'United States'),
(99335, '192.191.185.0', '192.191.185.255', 3233790208, 3233790463, 'PR', 'Puerto Rico'),
(99336, '192.191.186.0', '192.191.186.255', 3233790464, 3233790719, 'CA', 'Canada'),
(99337, '192.191.187.0', '192.191.187.255', 3233790720, 3233790975, 'PR', 'Puerto Rico'),
(99338, '192.191.188.0', '192.191.188.255', 3233790976, 3233791231, 'CA', 'Canada'),
(99339, '192.191.189.0', '192.191.189.255', 3233791232, 3233791487, 'PR', 'Puerto Rico'),
(99340, '192.191.190.0', '192.191.195.255', 3233791488, 3233793023, 'US', 'United States'),
(99341, '192.191.196.0', '192.191.196.255', 3233793024, 3233793279, 'PR', 'Puerto Rico'),
(99342, '192.191.197.0', '192.191.199.255', 3233793280, 3233794047, 'US', 'United States'),
(99343, '192.191.200.0', '192.191.200.255', 3233794048, 3233794303, 'CA', 'Canada'),
(99344, '192.191.201.0', '192.191.224.255', 3233794304, 3233800447, 'US', 'United States'),
(99345, '192.191.225.0', '192.191.225.255', 3233800448, 3233800703, 'CA', 'Canada'),
(99346, '192.191.226.0', '192.191.226.255', 3233800704, 3233800959, 'US', 'United States'),
(99347, '192.191.227.0', '192.191.227.255', 3233800960, 3233801215, 'CA', 'Canada'),
(99348, '192.191.228.0', '192.191.230.255', 3233801216, 3233801983, 'US', 'United States'),
(99349, '192.191.231.0', '192.191.231.255', 3233801984, 3233802239, 'CA', 'Canada'),
(99350, '192.191.232.0', '192.191.232.255', 3233802240, 3233802495, 'US', 'United States'),
(99351, '192.191.233.0', '192.191.233.255', 3233802496, 3233802751, 'CA', 'Canada'),
(99352, '192.191.234.0', '192.191.234.255', 3233802752, 3233803007, 'US', 'United States'),
(99353, '192.191.235.0', '192.191.235.255', 3233803008, 3233803263, 'CA', 'Canada'),
(99354, '192.191.236.0', '192.191.255.255', 3233803264, 3233808383, 'US', 'United States'),
(99355, '192.192.0.0', '192.192.255.255', 3233808384, 3233873919, 'TW', 'Taiwan'),
(99356, '192.193.0.0', '192.193.131.255', 3233873920, 3233907711, 'US', 'United States'),
(99357, '192.193.132.0', '192.193.132.255', 3233907712, 3233907967, 'AP', 'Asia/Pacific Region'),
(99358, '192.193.133.0', '192.193.159.255', 3233907968, 3233914879, 'US', 'United States'),
(99359, '192.193.160.0', '192.193.160.255', 3233914880, 3233915135, 'AP', 'Asia/Pacific Region'),
(99360, '192.193.161.0', '192.193.163.255', 3233915136, 3233915903, 'US', 'United States'),
(99361, '192.193.164.0', '192.193.164.255', 3233915904, 3233916159, 'AP', 'Asia/Pacific Region'),
(99362, '192.193.165.0', '192.193.204.150', 3233916160, 3233926294, 'US', 'United States'),
(99363, '192.193.204.151', '192.193.204.151', 3233926295, 3233926295, 'MX', 'Mexico'),
(99364, '192.193.204.152', '192.193.244.255', 3233926296, 3233936639, 'US', 'United States'),
(99365, '192.193.245.0', '192.193.245.255', 3233936640, 3233936895, 'EU', 'Europe'),
(99366, '192.193.246.0', '192.193.255.255', 3233936896, 3233939455, 'US', 'United States'),
(99367, '192.194.0.0', '192.194.160.255', 3233939456, 3233980671, 'FI', 'Finland'),
(99368, '192.194.161.0', '192.194.161.255', 3233980672, 3233980927, 'GB', 'United Kingdom'),
(99369, '192.194.162.0', '192.194.201.255', 3233980928, 3233991167, 'FI', 'Finland'),
(99370, '192.194.202.0', '192.194.202.255', 3233991168, 3233991423, 'DE', 'Germany'),
(99371, '192.194.203.0', '192.194.255.255', 3233991424, 3234004991, 'FI', 'Finland'),
(99372, '192.195.1.0', '192.195.1.255', 3234005248, 3234005503, 'GB', 'United Kingdom'),
(99373, '192.195.6.0', '192.195.7.255', 3234006528, 3234007039, 'US', 'United States'),
(99374, '192.195.8.0', '192.195.8.255', 3234007040, 3234007295, 'RU', 'Russian Federation'),
(99375, '192.195.9.0', '192.195.9.255', 3234007296, 3234007551, 'US', 'United States'),
(99376, '192.195.11.0', '192.195.11.255', 3234007808, 3234008063, 'US', 'United States'),
(99377, '192.195.12.0', '192.195.14.255', 3234008064, 3234008831, 'NZ', 'New Zealand'),
(99378, '192.195.15.0', '192.195.31.255', 3234008832, 3234013183, 'US', 'United States'),
(99379, '192.195.33.0', '192.195.33.255', 3234013440, 3234013695, 'US', 'United States'),
(99380, '192.195.34.0', '192.195.34.255', 3234013696, 3234013951, 'AU', 'Australia'),
(99381, '192.195.35.0', '192.195.35.255', 3234013952, 3234014207, 'US', 'United States'),
(99382, '192.195.37.0', '192.195.38.255', 3234014464, 3234014975, 'US', 'United States'),
(99383, '192.195.39.0', '192.195.40.255', 3234014976, 3234015487, 'KR', 'Korea, Republic of'),
(99384, '192.195.41.0', '192.195.41.255', 3234015488, 3234015743, 'US', 'United States'),
(99385, '192.195.42.0', '192.195.42.255', 3234015744, 3234015999, 'IE', 'Ireland'),
(99386, '192.195.43.0', '192.195.43.255', 3234016000, 3234016255, 'GB', 'United Kingdom'),
(99387, '192.195.44.0', '192.195.55.255', 3234016256, 3234019327, 'AU', 'Australia'),
(99388, '192.195.56.0', '192.195.71.255', 3234019328, 3234023423, 'US', 'United States'),
(99389, '192.195.72.0', '192.195.72.255', 3234023424, 3234023679, 'PL', 'Poland'),
(99390, '192.195.73.0', '192.195.76.255', 3234023680, 3234024703, 'US', 'United States'),
(99391, '192.195.80.0', '192.195.97.255', 3234025472, 3234030079, 'US', 'United States'),
(99392, '192.195.98.0', '192.195.98.255', 3234030080, 3234030335, 'DE', 'Germany'),
(99393, '192.195.99.0', '192.195.101.255', 3234030336, 3234031103, 'US', 'United States'),
(99394, '192.195.102.0', '192.195.102.255', 3234031104, 3234031359, 'AU', 'Australia'),
(99395, '192.195.103.0', '192.195.104.255', 3234031360, 3234031871, 'US', 'United States'),
(99396, '192.195.105.0', '192.195.105.255', 3234031872, 3234032127, 'GB', 'United Kingdom'),
(99397, '192.195.106.0', '192.195.106.255', 3234032128, 3234032383, 'PL', 'Poland'),
(99398, '192.195.107.0', '192.195.108.255', 3234032384, 3234032895, 'US', 'United States'),
(99399, '192.195.110.0', '192.195.110.255', 3234033152, 3234033407, 'IT', 'Italy'),
(99400, '192.195.111.0', '192.195.111.255', 3234033408, 3234033663, 'US', 'United States'),
(99401, '192.195.112.0', '192.195.112.255', 3234033664, 3234033919, 'AU', 'Australia'),
(99402, '192.195.113.0', '192.195.115.255', 3234033920, 3234034687, 'US', 'United States'),
(99403, '192.195.116.0', '192.195.118.255', 3234034688, 3234035455, 'GB', 'United Kingdom'),
(99404, '192.195.119.0', '192.195.133.255', 3234035456, 3234039295, 'US', 'United States'),
(99405, '192.195.134.0', '192.195.148.255', 3234039296, 3234043135, 'SE', 'Sweden'),
(99406, '192.195.149.0', '192.195.151.255', 3234043136, 3234043903, 'US', 'United States'),
(99407, '192.195.152.0', '192.195.152.255', 3234043904, 3234044159, 'AU', 'Australia'),
(99408, '192.195.153.0', '192.195.169.255', 3234044160, 3234048511, 'US', 'United States'),
(99409, '192.195.170.0', '192.195.170.255', 3234048512, 3234048767, 'AU', 'Australia'),
(99410, '192.195.171.0', '192.195.182.255', 3234048768, 3234051839, 'US', 'United States'),
(99411, '192.195.183.0', '192.195.183.255', 3234051840, 3234052095, 'NL', 'Netherlands'),
(99412, '192.195.184.0', '192.195.184.255', 3234052096, 3234052351, 'DE', 'Germany'),
(99413, '192.195.185.0', '192.195.185.255', 3234052352, 3234052607, 'US', 'United States'),
(99414, '192.195.187.0', '192.195.194.255', 3234052864, 3234054911, 'US', 'United States'),
(99415, '192.195.195.0', '192.195.195.255', 3234054912, 3234055167, 'PT', 'Portugal'),
(99416, '192.195.196.0', '192.195.196.255', 3234055168, 3234055423, 'US', 'United States'),
(99417, '192.195.197.0', '192.195.197.255', 3234055424, 3234055679, 'AU', 'Australia'),
(99418, '192.195.198.0', '192.195.218.255', 3234055680, 3234061055, 'US', 'United States'),
(99419, '192.195.219.0', '192.195.219.255', 3234061056, 3234061311, 'NZ', 'New Zealand'),
(99420, '192.195.220.0', '192.195.235.255', 3234061312, 3234065407, 'US', 'United States'),
(99421, '192.195.236.0', '192.195.236.255', 3234065408, 3234065663, 'GB', 'United Kingdom'),
(99422, '192.195.237.0', '192.195.237.255', 3234065664, 3234065919, 'BR', 'Brazil'),
(99423, '192.195.238.0', '192.195.255.255', 3234065920, 3234070527, 'US', 'United States'),
(99424, '192.196.0.0', '192.196.255.255', 3234070528, 3234136063, 'FR', 'France'),
(99425, '192.197.0.0', '192.197.106.255', 3234136064, 3234163455, 'CA', 'Canada'),
(99426, '192.197.107.0', '192.197.107.255', 3234163456, 3234163711, 'US', 'United States'),
(99427, '192.197.108.0', '192.197.143.255', 3234163712, 3234172927, 'CA', 'Canada'),
(99428, '192.197.144.0', '192.197.147.255', 3234172928, 3234173951, 'US', 'United States'),
(99429, '192.197.148.0', '192.197.155.255', 3234173952, 3234175999, 'CA', 'Canada'),
(99430, '192.197.156.0', '192.197.160.255', 3234176000, 3234177279, 'US', 'United States'),
(99431, '192.197.161.0', '192.197.198.255', 3234177280, 3234187007, 'CA', 'Canada'),
(99432, '192.197.199.0', '192.197.200.255', 3234187008, 3234187519, 'US', 'United States'),
(99433, '192.197.201.0', '192.197.219.255', 3234187520, 3234192383, 'CA', 'Canada'),
(99434, '192.197.220.0', '192.197.224.255', 3234192384, 3234193663, 'US', 'United States'),
(99435, '192.197.225.0', '192.197.255.255', 3234193664, 3234201599, 'CA', 'Canada'),
(99436, '192.198.4.0', '192.198.7.255', 3234202624, 3234203647, 'US', 'United States'),
(99437, '192.198.8.0', '192.198.15.255', 3234203648, 3234205695, 'BR', 'Brazil'),
(99438, '192.198.16.0', '192.198.79.255', 3234205696, 3234222079, 'US', 'United States'),
(99439, '192.198.128.0', '192.198.147.95', 3234234368, 3234239327, 'US', 'United States'),
(99440, '192.198.147.96', '192.198.147.97', 3234239328, 3234239329, 'MY', 'Malaysia'),
(99441, '192.198.147.98', '192.198.150.255', 3234239330, 3234240255, 'US', 'United States'),
(99442, '192.198.151.0', '192.198.151.127', 3234240256, 3234240383, 'EU', 'Europe'),
(99443, '192.198.151.128', '192.198.151.131', 3234240384, 3234240387, 'IE', 'Ireland'),
(99444, '192.198.151.132', '192.198.151.255', 3234240388, 3234240511, 'EU', 'Europe'),
(99445, '192.198.152.0', '192.198.152.95', 3234240512, 3234240607, 'US', 'United States'),
(99446, '192.198.152.96', '192.198.152.99', 3234240608, 3234240611, 'IL', 'Israel'),
(99447, '192.198.152.100', '192.198.191.255', 3234240612, 3234250751, 'US', 'United States'),
(99448, '192.199.0.0', '192.199.15.255', 3234267136, 3234271231, 'US', 'United States'),
(99449, '192.199.16.0', '192.199.31.255', 3234271232, 3234275327, 'PT', 'Portugal'),
(99450, '192.199.32.0', '192.199.47.255', 3234275328, 3234279423, 'AU', 'Australia'),
(99451, '192.199.64.0', '192.199.191.255', 3234283520, 3234316287, 'US', 'United States'),
(99452, '192.200.0.0', '192.200.63.255', 3234332672, 3234349055, 'US', 'United States'),
(99453, '192.200.64.0', '192.200.79.255', 3234349056, 3234353151, 'NZ', 'New Zealand'),
(99454, '192.200.128.0', '192.200.135.255', 3234365440, 3234367487, 'US', 'United States'),
(99455, '192.201.0.0', '192.201.9.167', 3234398208, 3234400679, 'US', 'United States'),
(99456, '192.201.9.168', '192.201.9.175', 3234400680, 3234400687, 'NA', 'Namibia'),
(99457, '192.201.9.176', '192.201.12.231', 3234400688, 3234401511, 'US', 'United States'),
(99458, '192.201.12.232', '192.201.12.239', 3234401512, 3234401519, 'NA', 'Namibia'),
(99459, '192.201.12.240', '192.203.79.255', 3234401520, 3234549759, 'US', 'United States'),
(99460, '192.203.80.0', '192.203.80.255', 3234549760, 3234550015, 'RU', 'Russian Federation'),
(99461, '192.203.96.0', '192.203.97.255', 3234553856, 3234554367, 'US', 'United States'),
(99462, '192.203.104.0', '192.203.105.255', 3234555904, 3234556415, 'US', 'United States'),
(99463, '192.203.106.0', '192.203.107.255', 3234556416, 3234556927, 'CA', 'Canada'),
(99464, '192.203.108.0', '192.203.109.255', 3234556928, 3234557439, 'FI', 'Finland'),
(99465, '192.203.110.0', '192.203.137.255', 3234557440, 3234564607, 'US', 'United States'),
(99466, '192.203.138.0', '192.203.146.255', 3234564608, 3234566911, 'KR', 'Korea, Republic of'),
(99467, '192.203.147.0', '192.203.153.255', 3234566912, 3234568703, 'US', 'United States'),
(99468, '192.203.154.0', '192.203.154.255', 3234568704, 3234568959, 'NZ', 'New Zealand'),
(99469, '192.203.155.0', '192.203.155.255', 3234568960, 3234569215, 'US', 'United States'),
(99470, '192.203.158.0', '192.203.158.255', 3234569728, 3234569983, 'CL', 'Chile'),
(99471, '192.203.159.0', '192.203.175.255', 3234569984, 3234574335, 'US', 'United States'),
(99472, '192.203.176.0', '192.203.176.255', 3234574336, 3234574591, 'AU', 'Australia'),
(99473, '192.203.177.0', '192.203.177.255', 3234574592, 3234574847, 'MX', 'Mexico'),
(99474, '192.203.178.0', '192.203.196.255', 3234574848, 3234579711, 'US', 'United States'),
(99475, '192.203.197.0', '192.203.197.255', 3234579712, 3234579967, 'CA', 'Canada'),
(99476, '192.203.198.0', '192.203.202.255', 3234579968, 3234581247, 'US', 'United States'),
(99477, '192.203.203.0', '192.203.203.255', 3234581248, 3234581503, 'CA', 'Canada'),
(99478, '192.203.204.0', '192.203.207.255', 3234581504, 3234582527, 'US', 'United States'),
(99479, '192.203.210.0', '192.203.212.255', 3234583040, 3234583807, 'US', 'United States'),
(99480, '192.203.213.0', '192.203.213.255', 3234583808, 3234584063, 'AU', 'Australia'),
(99481, '192.203.214.0', '192.203.215.255', 3234584064, 3234584575, 'US', 'United States'),
(99482, '192.203.216.0', '192.203.216.255', 3234584576, 3234584831, 'NZ', 'New Zealand'),
(99483, '192.203.217.0', '192.203.218.255', 3234584832, 3234585343, 'US', 'United States'),
(99484, '192.203.220.0', '192.203.226.255', 3234585600, 3234587391, 'US', 'United States'),
(99485, '192.203.227.0', '192.203.227.255', 3234587392, 3234587647, 'SA', 'Saudi Arabia'),
(99486, '192.203.228.0', '192.203.231.255', 3234587648, 3234588671, 'US', 'United States'),
(99487, '192.203.232.0', '192.203.232.255', 3234588672, 3234588927, 'MO', 'Macau'),
(99488, '192.203.233.0', '192.203.234.255', 3234588928, 3234589439, 'US', 'United States'),
(99489, '192.203.235.0', '192.203.235.255', 3234589440, 3234589695, 'AU', 'Australia'),
(99490, '192.203.236.0', '192.203.246.255', 3234589696, 3234592511, 'US', 'United States'),
(99491, '192.203.247.0', '192.203.247.255', 3234592512, 3234592767, 'TH', 'Thailand'),
(99492, '192.203.248.0', '192.204.63.255', 3234592768, 3234611199, 'US', 'United States'),
(99493, '192.204.64.0', '192.204.79.255', 3234611200, 3234615295, 'A1', 'Anonymous Proxy'),
(99494, '192.204.80.0', '192.205.255.255', 3234615296, 3234725887, 'US', 'United States'),
(99495, '192.206.1.0', '192.206.1.255', 3234726144, 3234726399, 'CA', 'Canada'),
(99496, '192.206.2.0', '192.206.3.255', 3234726400, 3234726911, 'US', 'United States'),
(99497, '192.206.8.0', '192.206.27.255', 3234727936, 3234733055, 'US', 'United States'),
(99498, '192.206.28.0', '192.206.28.255', 3234733056, 3234733311, 'CA', 'Canada'),
(99499, '192.206.29.0', '192.206.71.255', 3234733312, 3234744319, 'US', 'United States'),
(99500, '192.206.74.0', '192.206.76.255', 3234744832, 3234745599, 'US', 'United States'),
(99501, '192.206.77.0', '192.206.81.255', 3234745600, 3234746879, 'GB', 'United Kingdom'),
(99502, '192.206.82.0', '192.206.85.255', 3234746880, 3234747903, 'US', 'United States'),
(99503, '192.206.86.0', '192.206.86.255', 3234747904, 3234748159, 'IL', 'Israel'),
(99504, '192.206.87.0', '192.206.91.255', 3234748160, 3234749439, 'US', 'United States'),
(99505, '192.206.92.0', '192.206.95.255', 3234749440, 3234750463, 'CA', 'Canada'),
(99506, '192.206.96.0', '192.206.143.255', 3234750464, 3234762751, 'US', 'United States'),
(99507, '192.206.144.0', '192.206.151.255', 3234762752, 3234764799, 'CA', 'Canada'),
(99508, '192.206.152.0', '192.206.157.255', 3234764800, 3234766335, 'NZ', 'New Zealand'),
(99509, '192.206.158.0', '192.206.180.255', 3234766336, 3234772223, 'US', 'United States'),
(99510, '192.206.181.0', '192.206.181.255', 3234772224, 3234772479, 'CA', 'Canada'),
(99511, '192.206.182.0', '192.206.182.255', 3234772480, 3234772735, 'US', 'United States'),
(99512, '192.206.184.0', '192.206.216.255', 3234772992, 3234781439, 'US', 'United States'),
(99513, '192.206.217.0', '192.206.218.255', 3234781440, 3234781951, 'CA', 'Canada'),
(99514, '192.206.219.0', '192.206.221.255', 3234781952, 3234782719, 'US', 'United States'),
(99515, '192.206.222.0', '192.206.226.255', 3234782720, 3234783999, 'IL', 'Israel'),
(99516, '192.206.227.0', '192.207.11.255', 3234784000, 3234794495, 'US', 'United States'),
(99517, '192.207.13.0', '192.207.13.255', 3234794752, 3234795007, 'US', 'United States'),
(99518, '192.207.14.0', '192.207.14.255', 3234795008, 3234795263, 'GB', 'United Kingdom'),
(99519, '192.207.15.0', '192.207.30.255', 3234795264, 3234799359, 'US', 'United States'),
(99520, '192.207.31.0', '192.207.31.255', 3234799360, 3234799615, 'NL', 'Netherlands'),
(99521, '192.207.32.0', '192.207.32.255', 3234799616, 3234799871, 'US', 'United States'),
(99522, '192.207.33.0', '192.207.33.255', 3234799872, 3234800127, 'AU', 'Australia'),
(99523, '192.207.36.0', '192.207.36.255', 3234800640, 3234800895, 'AU', 'Australia'),
(99524, '192.207.37.0', '192.207.39.255', 3234800896, 3234801663, 'US', 'United States'),
(99525, '192.207.40.0', '192.207.42.255', 3234801664, 3234802431, 'EC', 'Ecuador'),
(99526, '192.207.43.0', '192.207.47.255', 3234802432, 3234803711, 'US', 'United States'),
(99527, '192.207.48.0', '192.207.48.255', 3234803712, 3234803967, 'PR', 'Puerto Rico'),
(99528, '192.207.50.0', '192.207.63.255', 3234804224, 3234807807, 'US', 'United States'),
(99529, '192.207.64.0', '192.207.64.255', 3234807808, 3234808063, 'TH', 'Thailand'),
(99530, '192.207.65.0', '192.207.68.255', 3234808064, 3234809087, 'EC', 'Ecuador'),
(99531, '192.207.69.0', '192.207.75.255', 3234809088, 3234810879, 'US', 'United States'),
(99532, '192.207.76.0', '192.207.76.255', 3234810880, 3234811135, 'CA', 'Canada'),
(99533, '192.207.77.0', '192.207.90.255', 3234811136, 3234814719, 'US', 'United States'),
(99534, '192.207.91.0', '192.207.91.255', 3234814720, 3234814975, 'HK', 'Hong Kong'),
(99535, '192.207.92.0', '192.207.95.255', 3234814976, 3234815999, 'US', 'United States'),
(99536, '192.207.96.0', '192.207.98.255', 3234816000, 3234816767, 'AU', 'Australia'),
(99537, '192.207.99.0', '192.207.112.255', 3234816768, 3234820351, 'US', 'United States'),
(99538, '192.207.113.0', '192.207.113.255', 3234820352, 3234820607, 'AU', 'Australia'),
(99539, '192.207.114.0', '192.207.118.255', 3234820608, 3234821887, 'US', 'United States'),
(99540, '192.207.119.0', '192.207.121.255', 3234821888, 3234822655, 'AU', 'Australia'),
(99541, '192.207.122.0', '192.207.137.255', 3234822656, 3234826751, 'US', 'United States'),
(99542, '192.207.138.0', '192.207.138.255', 3234826752, 3234827007, 'CA', 'Canada'),
(99543, '192.207.139.0', '192.207.140.255', 3234827008, 3234827519, 'US', 'United States'),
(99544, '192.207.141.0', '192.207.141.255', 3234827520, 3234827775, 'GB', 'United Kingdom'),
(99545, '192.207.142.0', '192.207.142.255', 3234827776, 3234828031, 'LU', 'Luxembourg'),
(99546, '192.207.143.0', '192.207.143.255', 3234828032, 3234828287, 'NZ', 'New Zealand'),
(99547, '192.207.144.0', '192.207.145.255', 3234828288, 3234828799, 'US', 'United States'),
(99548, '192.207.146.0', '192.207.146.255', 3234828800, 3234829055, 'CL', 'Chile'),
(99549, '192.207.147.0', '192.207.150.255', 3234829056, 3234830079, 'US', 'United States'),
(99550, '192.207.151.0', '192.207.153.255', 3234830080, 3234830847, 'AU', 'Australia'),
(99551, '192.207.156.0', '192.207.158.255', 3234831360, 3234832127, 'AU', 'Australia'),
(99552, '192.207.159.0', '192.207.160.255', 3234832128, 3234832639, 'US', 'United States'),
(99553, '192.207.161.0', '192.207.161.255', 3234832640, 3234832895, 'AU', 'Australia'),
(99554, '192.207.162.0', '192.207.164.255', 3234832896, 3234833663, 'US', 'United States'),
(99555, '192.207.165.0', '192.207.165.255', 3234833664, 3234833919, 'AU', 'Australia'),
(99556, '192.207.166.0', '192.207.182.255', 3234833920, 3234838271, 'US', 'United States'),
(99557, '192.207.183.0', '192.207.183.255', 3234838272, 3234838527, 'GT', 'Guatemala'),
(99558, '192.207.184.0', '192.207.186.255', 3234838528, 3234839295, 'US', 'United States'),
(99559, '192.207.187.0', '192.207.187.255', 3234839296, 3234839551, 'AU', 'Australia'),
(99560, '192.207.188.0', '192.207.193.255', 3234839552, 3234841087, 'US', 'United States'),
(99561, '192.207.194.0', '192.207.195.255', 3234841088, 3234841599, 'BR', 'Brazil'),
(99562, '192.207.196.0', '192.207.196.255', 3234841600, 3234841855, 'PT', 'Portugal'),
(99563, '192.207.197.0', '192.207.198.255', 3234841856, 3234842367, 'AU', 'Australia'),
(99564, '192.207.199.0', '192.207.199.255', 3234842368, 3234842623, 'US', 'United States'),
(99565, '192.207.200.0', '192.207.206.255', 3234842624, 3234844415, 'BR', 'Brazil'),
(99566, '192.207.207.0', '192.207.241.255', 3234844416, 3234853375, 'US', 'United States'),
(99567, '192.207.242.0', '192.207.242.255', 3234853376, 3234853631, 'TH', 'Thailand'),
(99568, '192.207.243.0', '192.207.243.255', 3234853632, 3234853887, 'US', 'United States'),
(99569, '192.207.244.0', '192.207.244.255', 3234853888, 3234854143, 'EC', 'Ecuador'),
(99570, '192.207.245.0', '192.207.247.255', 3234854144, 3234854911, 'US', 'United States'),
(99571, '192.207.248.0', '192.207.248.255', 3234854912, 3234855167, 'AU', 'Australia'),
(99572, '192.207.249.0', '192.207.251.255', 3234855168, 3234855935, 'US', 'United States'),
(99573, '192.207.253.0', '192.207.253.255', 3234856192, 3234856447, 'US', 'United States'),
(99574, '192.208.0.0', '192.208.15.255', 3234856960, 3234861055, 'CA', 'Canada'),
(99575, '192.208.16.0', '192.208.159.255', 3234861056, 3234897919, 'US', 'United States'),
(99576, '192.209.0.0', '192.209.255.255', 3234922496, 3234988031, 'US', 'United States'),
(99577, '192.210.0.0', '192.210.15.255', 3234988032, 3234992127, 'CA', 'Canada'),
(99578, '192.210.32.0', '192.210.47.255', 3234996224, 3235000319, 'US', 'United States'),
(99579, '192.210.64.0', '192.210.127.255', 3235004416, 3235020799, 'CA', 'Canada'),
(99580, '192.211.0.0', '192.211.127.255', 3235053568, 3235086335, 'US', 'United States'),
(99581, '192.212.0.0', '192.212.255.255', 3235119104, 3235184639, 'US', 'United States'),
(99582, '192.213.0.0', '192.213.0.255', 3235184640, 3235184895, 'CA', 'Canada'),
(99583, '192.213.1.0', '192.216.31.255', 3235184896, 3235389439, 'US', 'United States'),
(99584, '192.216.32.0', '192.216.33.255', 3235389440, 3235389951, 'VE', 'Venezuela'),
(99585, '192.216.34.0', '192.216.140.127', 3235389952, 3235417215, 'US', 'United States'),
(99586, '192.216.140.128', '192.216.140.135', 3235417216, 3235417223, 'BR', 'Brazil'),
(99587, '192.216.140.136', '192.217.255.255', 3235417224, 3235512319, 'US', 'United States'),
(99588, '192.218.0.0', '192.218.255.255', 3235512320, 3235577855, 'JP', 'Japan'),
(99589, '192.219.0.0', '192.219.255.255', 3235577856, 3235643391, 'CA', 'Canada'),
(99590, '192.220.0.0', '192.221.255.255', 3235643392, 3235774463, 'US', 'United States'),
(99591, '192.222.0.0', '192.222.15.255', 3235774464, 3235778559, 'CA', 'Canada'),
(99592, '192.222.16.0', '192.222.127.255', 3235778560, 3235807231, 'US', 'United States'),
(99593, '192.223.0.0', '192.223.63.255', 3235840000, 3235856383, 'US', 'United States'),
(99594, '192.223.64.0', '192.223.127.255', 3235856384, 3235872767, 'BR', 'Brazil'),
(99595, '192.223.128.0', '192.223.142.255', 3235872768, 3235876607, 'US', 'United States'),
(99596, '192.223.143.0', '192.223.143.255', 3235876608, 3235876863, 'AP', 'Asia/Pacific Region'),
(99597, '192.223.144.0', '192.224.2.255', 3235876864, 3235906303, 'US', 'United States'),
(99598, '192.224.3.0', '192.224.3.255', 3235906304, 3235906559, 'CA', 'Canada'),
(99599, '192.224.4.0', '192.224.12.255', 3235906560, 3235908863, 'US', 'United States'),
(99600, '192.224.13.0', '192.224.13.255', 3235908864, 3235909119, 'CA', 'Canada'),
(99601, '192.224.14.0', '192.224.26.255', 3235909120, 3235912447, 'US', 'United States'),
(99602, '192.224.27.0', '192.224.27.255', 3235912448, 3235912703, 'CA', 'Canada'),
(99603, '192.224.28.0', '192.224.34.255', 3235912704, 3235914495, 'US', 'United States'),
(99604, '192.224.35.0', '192.224.35.255', 3235914496, 3235914751, 'CA', 'Canada'),
(99605, '192.224.36.0', '192.224.42.255', 3235914752, 3235916543, 'US', 'United States'),
(99606, '192.224.43.0', '192.224.43.255', 3235916544, 3235916799, 'VI', 'Virgin Islands, U.S.'),
(99607, '192.224.44.0', '192.224.46.255', 3235916800, 3235917567, 'US', 'United States'),
(99608, '192.224.47.0', '192.224.47.255', 3235917568, 3235917823, 'CA', 'Canada'),
(99609, '192.224.48.0', '192.224.53.255', 3235917824, 3235919359, 'US', 'United States'),
(99610, '192.224.54.0', '192.224.54.255', 3235919360, 3235919615, 'CA', 'Canada'),
(99611, '192.224.55.0', '192.224.60.255', 3235919616, 3235921151, 'US', 'United States'),
(99612, '192.224.61.0', '192.224.61.255', 3235921152, 3235921407, 'PR', 'Puerto Rico'),
(99613, '192.224.62.0', '192.224.80.255', 3235921408, 3235926271, 'US', 'United States'),
(99614, '192.224.81.0', '192.224.81.255', 3235926272, 3235926527, 'CA', 'Canada'),
(99615, '192.224.82.0', '192.224.84.255', 3235926528, 3235927295, 'US', 'United States'),
(99616, '192.224.85.0', '192.224.86.255', 3235927296, 3235927807, 'CA', 'Canada'),
(99617, '192.224.87.0', '192.224.88.255', 3235927808, 3235928319, 'US', 'United States'),
(99618, '192.224.89.0', '192.224.92.255', 3235928320, 3235929343, 'CA', 'Canada'),
(99619, '192.224.93.0', '192.224.93.255', 3235929344, 3235929599, 'US', 'United States'),
(99620, '192.224.94.0', '192.224.94.255', 3235929600, 3235929855, 'CA', 'Canada'),
(99621, '192.224.95.0', '192.224.103.255', 3235929856, 3235932159, 'US', 'United States'),
(99622, '192.224.104.0', '192.224.104.255', 3235932160, 3235932415, 'CA', 'Canada'),
(99623, '192.224.105.0', '192.224.105.255', 3235932416, 3235932671, 'US', 'United States'),
(99624, '192.224.106.0', '192.224.106.255', 3235932672, 3235932927, 'CA', 'Canada'),
(99625, '192.224.107.0', '192.224.122.255', 3235932928, 3235937023, 'US', 'United States'),
(99626, '192.224.123.0', '192.224.124.255', 3235937024, 3235937535, 'CA', 'Canada'),
(99627, '192.224.125.0', '192.224.125.255', 3235937536, 3235937791, 'US', 'United States'),
(99628, '192.224.126.0', '192.224.126.255', 3235937792, 3235938047, 'CA', 'Canada'),
(99629, '192.224.127.0', '192.224.140.255', 3235938048, 3235941631, 'US', 'United States'),
(99630, '192.224.141.0', '192.224.141.255', 3235941632, 3235941887, 'CA', 'Canada'),
(99631, '192.224.142.0', '192.224.157.255', 3235941888, 3235945983, 'US', 'United States'),
(99632, '192.224.158.0', '192.224.158.255', 3235945984, 3235946239, 'CA', 'Canada'),
(99633, '192.224.159.0', '192.224.160.255', 3235946240, 3235946751, 'US', 'United States'),
(99634, '192.224.161.0', '192.224.161.255', 3235946752, 3235947007, 'CA', 'Canada'),
(99635, '192.224.162.0', '192.224.170.255', 3235947008, 3235949311, 'US', 'United States'),
(99636, '192.224.171.0', '192.224.174.255', 3235949312, 3235950335, 'CA', 'Canada'),
(99637, '192.224.175.0', '192.224.175.255', 3235950336, 3235950591, 'US', 'United States'),
(99638, '192.224.176.0', '192.224.176.255', 3235950592, 3235950847, 'CA', 'Canada'),
(99639, '192.224.177.0', '192.224.180.255', 3235950848, 3235951871, 'US', 'United States'),
(99640, '192.224.181.0', '192.224.181.255', 3235951872, 3235952127, 'CA', 'Canada'),
(99641, '192.224.182.0', '192.224.201.255', 3235952128, 3235957247, 'US', 'United States'),
(99642, '192.224.202.0', '192.224.202.255', 3235957248, 3235957503, 'PR', 'Puerto Rico'),
(99643, '192.224.203.0', '192.224.203.255', 3235957504, 3235957759, 'US', 'United States'),
(99644, '192.224.204.0', '192.224.204.255', 3235957760, 3235958015, 'DE', 'Germany'),
(99645, '192.224.205.0', '192.224.210.255', 3235958016, 3235959551, 'US', 'United States'),
(99646, '192.224.211.0', '192.224.211.255', 3235959552, 3235959807, 'CA', 'Canada'),
(99647, '192.224.212.0', '192.224.213.255', 3235959808, 3235960319, 'US', 'United States'),
(99648, '192.224.214.0', '192.224.214.255', 3235960320, 3235960575, 'CA', 'Canada'),
(99649, '192.224.215.0', '192.224.220.255', 3235960576, 3235962111, 'US', 'United States'),
(99650, '192.224.221.0', '192.224.221.255', 3235962112, 3235962367, 'CA', 'Canada'),
(99651, '192.224.222.0', '192.224.226.255', 3235962368, 3235963647, 'US', 'United States'),
(99652, '192.224.227.0', '192.224.227.255', 3235963648, 3235963903, 'CA', 'Canada'),
(99653, '192.224.228.0', '192.224.239.255', 3235963904, 3235966975, 'US', 'United States'),
(99654, '192.224.240.0', '192.224.240.255', 3235966976, 3235967231, 'PR', 'Puerto Rico'),
(99655, '192.224.241.0', '192.224.242.255', 3235967232, 3235967743, 'US', 'United States'),
(99656, '192.224.243.0', '192.224.243.255', 3235967744, 3235967999, 'CA', 'Canada'),
(99657, '192.224.244.0', '192.224.245.255', 3235968000, 3235968511, 'US', 'United States'),
(99658, '192.224.246.0', '192.224.246.255', 3235968512, 3235968767, 'CA', 'Canada'),
(99659, '192.224.247.0', '192.224.253.255', 3235968768, 3235970559, 'US', 'United States'),
(99660, '192.224.254.0', '192.224.254.255', 3235970560, 3235970815, 'CA', 'Canada'),
(99661, '192.224.255.0', '192.226.31.255', 3235970816, 3236044799, 'US', 'United States'),
(99662, '192.226.32.0', '192.226.63.255', 3236044800, 3236052991, 'CA', 'Canada'),
(99663, '192.226.64.0', '192.226.127.255', 3236052992, 3236069375, 'US', 'United States'),
(99664, '192.227.0.0', '192.227.15.255', 3236102144, 3236106239, 'PH', 'Philippines'),
(99665, '192.227.16.0', '192.227.127.255', 3236106240, 3236134911, 'US', 'United States'),
(99666, '192.228.0.0', '192.228.18.255', 3236167680, 3236172543, 'CA', 'Canada'),
(99667, '192.228.19.0', '192.228.19.255', 3236172544, 3236172799, 'US', 'United States'),
(99668, '192.228.20.0', '192.228.31.255', 3236172800, 3236175871, 'CA', 'Canada'),
(99669, '192.228.32.0', '192.228.95.255', 3236175872, 3236192255, 'US', 'United States'),
(99670, '192.228.128.0', '192.228.255.255', 3236200448, 3236233215, 'MY', 'Malaysia'),
(99671, '192.229.0.0', '192.229.16.255', 3236233216, 3236237567, 'US', 'United States'),
(99672, '192.229.17.0', '192.229.18.112', 3236237568, 3236237936, 'EU', 'Europe'),
(99673, '192.229.18.113', '192.229.20.255', 3236237937, 3236238591, 'US', 'United States'),
(99674, '192.229.32.0', '192.229.63.255', 3236241408, 3236249599, 'US', 'United States'),
(99675, '192.230.0.0', '192.230.15.255', 3236298752, 3236302847, 'US', 'United States'),
(99676, '192.231.0.0', '192.231.14.255', 3236364288, 3236368127, 'US', 'United States'),
(99677, '192.231.15.0', '192.231.15.255', 3236368128, 3236368383, 'NZ', 'New Zealand'),
(99678, '192.231.16.0', '192.231.33.255', 3236368384, 3236372991, 'US', 'United States'),
(99679, '192.231.34.0', '192.231.34.255', 3236372992, 3236373247, 'AU', 'Australia'),
(99680, '192.231.36.0', '192.231.58.255', 3236373504, 3236379391, 'US', 'United States'),
(99681, '192.231.59.0', '192.231.59.255', 3236379392, 3236379647, 'AU', 'Australia'),
(99682, '192.231.60.0', '192.231.64.255', 3236379648, 3236380927, 'US', 'United States'),
(99683, '192.231.66.0', '192.231.66.255', 3236381184, 3236381439, 'CA', 'Canada'),
(99684, '192.231.67.0', '192.231.67.255', 3236381440, 3236381695, 'AT', 'Austria'),
(99685, '192.231.68.0', '192.231.81.255', 3236381696, 3236385279, 'US', 'United States'),
(99686, '192.231.82.0', '192.231.82.255', 3236385280, 3236385535, 'DE', 'Germany'),
(99687, '192.231.83.0', '192.231.83.255', 3236385536, 3236385791, 'US', 'United States'),
(99688, '192.231.86.0', '192.231.88.255', 3236386304, 3236387071, 'US', 'United States'),
(99689, '192.231.89.0', '192.231.89.255', 3236387072, 3236387327, 'CA', 'Canada'),
(99690, '192.231.90.0', '192.231.91.255', 3236387328, 3236387839, 'US', 'United States'),
(99691, '192.231.92.0', '192.231.97.255', 3236387840, 3236389375, 'PR', 'Puerto Rico'),
(99692, '192.231.98.0', '192.231.109.255', 3236389376, 3236392447, 'US', 'United States'),
(99693, '192.231.110.0', '192.231.110.255', 3236392448, 3236392703, 'CL', 'Chile'),
(99694, '192.231.111.0', '192.231.113.255', 3236392704, 3236393471, 'US', 'United States'),
(99695, '192.231.114.0', '192.231.121.255', 3236393472, 3236395519, 'BR', 'Brazil'),
(99696, '192.231.122.0', '192.231.126.255', 3236395520, 3236396799, 'US', 'United States'),
(99697, '192.231.127.0', '192.231.127.255', 3236396800, 3236397055, 'AU', 'Australia'),
(99698, '192.231.128.0', '192.231.133.255', 3236397056, 3236398591, 'US', 'United States'),
(99699, '192.231.135.0', '192.231.136.255', 3236398848, 3236399359, 'AU', 'Australia'),
(99700, '192.231.138.0', '192.231.139.255', 3236399616, 3236400127, 'US', 'United States'),
(99701, '192.231.140.0', '192.231.140.255', 3236400128, 3236400383, 'CL', 'Chile'),
(99702, '192.231.141.0', '192.231.165.255', 3236400384, 3236406783, 'US', 'United States'),
(99703, '192.231.166.0', '192.231.168.255', 3236406784, 3236407551, 'AU', 'Australia'),
(99704, '192.231.169.0', '192.231.170.255', 3236407552, 3236408063, 'SG', 'Singapore'),
(99705, '192.231.171.0', '192.231.171.255', 3236408064, 3236408319, 'US', 'United States'),
(99706, '192.231.172.0', '192.231.174.255', 3236408320, 3236409087, 'CA', 'Canada'),
(99707, '192.231.175.0', '192.231.176.255', 3236409088, 3236409599, 'BR', 'Brazil'),
(99708, '192.231.177.0', '192.231.192.255', 3236409600, 3236413695, 'US', 'United States'),
(99709, '192.231.193.0', '192.231.193.255', 3236413696, 3236413951, 'AU', 'Australia'),
(99710, '192.231.194.0', '192.231.202.255', 3236413952, 3236416255, 'US', 'United States'),
(99711, '192.231.203.0', '192.231.203.255', 3236416256, 3236416511, 'AU', 'Australia'),
(99712, '192.231.204.0', '192.231.211.255', 3236416512, 3236418559, 'US', 'United States'),
(99713, '192.231.212.0', '192.231.212.255', 3236418560, 3236418815, 'AU', 'Australia'),
(99714, '192.231.213.0', '192.231.246.255', 3236418816, 3236427519, 'US', 'United States'),
(99715, '192.231.247.0', '192.231.247.255', 3236427520, 3236427775, 'CA', 'Canada'),
(99716, '192.231.252.0', '192.231.253.255', 3236428800, 3236429311, 'US', 'United States'),
(99717, '192.231.254.0', '192.231.254.255', 3236429312, 3236429567, 'ZA', 'South Africa'),
(99718, '192.232.0.0', '192.232.31.255', 3236429824, 3236438015, 'US', 'United States'),
(99719, '192.232.64.0', '192.232.68.255', 3236446208, 3236447487, 'US', 'United States'),
(99720, '192.232.69.0', '192.232.69.255', 3236447488, 3236447743, 'AP', 'Asia/Pacific Region'),
(99721, '192.232.70.0', '192.232.78.255', 3236447744, 3236450047, 'US', 'United States'),
(99722, '192.232.79.0', '192.232.79.255', 3236450048, 3236450303, 'EU', 'Europe'),
(99723, '192.232.80.0', '192.232.127.255', 3236450304, 3236462591, 'US', 'United States'),
(99724, '192.232.128.0', '192.232.159.255', 3236462592, 3236470783, 'AU', 'Australia'),
(99725, '192.233.0.0', '192.234.22.255', 3236495360, 3236566783, 'US', 'United States'),
(99726, '192.234.23.0', '192.234.23.255', 3236566784, 3236567039, 'CA', 'Canada'),
(99727, '192.234.24.0', '192.234.97.255', 3236567040, 3236585983, 'US', 'United States'),
(99728, '192.234.98.0', '192.234.98.255', 3236585984, 3236586239, 'CA', 'Canada'),
(99729, '192.234.99.0', '192.234.170.255', 3236586240, 3236604671, 'US', 'United States'),
(99730, '192.234.171.0', '192.234.171.255', 3236604672, 3236604927, 'CA', 'Canada'),
(99731, '192.234.172.0', '192.234.220.255', 3236604928, 3236617471, 'US', 'United States'),
(99732, '192.234.222.0', '192.234.222.255', 3236617728, 3236617983, 'US', 'United States'),
(99733, '192.234.223.0', '192.234.229.255', 3236617984, 3236619775, 'CA', 'Canada'),
(99734, '192.234.230.0', '192.234.230.255', 3236619776, 3236620031, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(99735, '192.234.232.0', '192.234.244.255', 3236620288, 3236623615, 'US', 'United States'),
(99736, '192.234.245.0', '192.234.245.255', 3236623616, 3236623871, 'AU', 'Australia'),
(99737, '192.234.246.0', '192.234.253.255', 3236623872, 3236625919, 'US', 'United States'),
(99738, '192.234.254.0', '192.234.254.255', 3236625920, 3236626175, 'CA', 'Canada'),
(99739, '192.235.0.0', '192.235.63.255', 3236626432, 3236642815, 'US', 'United States'),
(99740, '192.236.0.0', '192.236.63.255', 3236691968, 3236708351, 'US', 'United States'),
(99741, '192.237.0.0', '192.237.31.255', 3236757504, 3236765695, 'CA', 'Canada'),
(99742, '192.237.32.0', '192.237.67.255', 3236765696, 3236774911, 'US', 'United States'),
(99743, '192.237.68.0', '192.237.69.255', 3236774912, 3236775423, 'HK', 'Hong Kong'),
(99744, '192.237.70.0', '192.237.70.255', 3236775424, 3236775679, 'NL', 'Netherlands'),
(99745, '192.237.71.0', '192.237.72.255', 3236775680, 3236776191, 'CA', 'Canada'),
(99746, '192.237.73.0', '192.237.73.255', 3236776192, 3236776447, 'DE', 'Germany'),
(99747, '192.237.74.0', '192.237.75.255', 3236776448, 3236776959, 'US', 'United States'),
(99748, '192.237.76.0', '192.237.76.255', 3236776960, 3236777215, 'CA', 'Canada'),
(99749, '192.237.77.0', '192.237.79.255', 3236777216, 3236777983, 'US', 'United States'),
(99750, '192.237.80.0', '192.237.80.255', 3236777984, 3236778239, 'DE', 'Germany'),
(99751, '192.237.81.0', '192.237.82.255', 3236778240, 3236778751, 'GB', 'United Kingdom'),
(99752, '192.237.83.0', '192.237.88.255', 3236778752, 3236780287, 'US', 'United States'),
(99753, '192.237.89.0', '192.237.89.255', 3236780288, 3236780543, 'FR', 'France'),
(99754, '192.237.90.0', '192.237.90.255', 3236780544, 3236780799, 'CH', 'Switzerland'),
(99755, '192.237.91.0', '192.237.94.31', 3236780800, 3236781599, 'US', 'United States'),
(99756, '192.237.94.32', '192.237.94.47', 3236781600, 3236781615, 'NL', 'Netherlands'),
(99757, '192.237.94.48', '192.237.94.159', 3236781616, 3236781727, 'US', 'United States'),
(99758, '192.237.94.160', '192.237.94.191', 3236781728, 3236781759, 'NL', 'Netherlands'),
(99759, '192.237.94.192', '192.237.94.255', 3236781760, 3236781823, 'US', 'United States'),
(99760, '192.237.95.0', '192.237.96.255', 3236781824, 3236782335, 'ES', 'Spain'),
(99761, '192.237.97.0', '192.237.98.127', 3236782336, 3236782719, 'US', 'United States'),
(99762, '192.237.98.128', '192.237.98.159', 3236782720, 3236782751, 'BE', 'Belgium'),
(99763, '192.237.98.160', '192.237.98.255', 3236782752, 3236782847, 'US', 'United States'),
(99764, '192.237.99.0', '192.237.99.63', 3236782848, 3236782911, 'LU', 'Luxembourg'),
(99765, '192.237.99.64', '192.237.104.255', 3236782912, 3236784383, 'US', 'United States'),
(99766, '192.237.105.0', '192.237.106.255', 3236784384, 3236784895, 'IT', 'Italy'),
(99767, '192.237.107.0', '192.237.109.255', 3236784896, 3236785663, 'US', 'United States'),
(99768, '192.237.110.0', '192.237.110.255', 3236785664, 3236785919, 'DE', 'Germany'),
(99769, '192.237.111.0', '192.237.111.255', 3236785920, 3236786175, 'ZA', 'South Africa'),
(99770, '192.237.112.0', '192.237.112.255', 3236786176, 3236786431, 'US', 'United States'),
(99771, '192.237.113.0', '192.237.113.255', 3236786432, 3236786687, 'FR', 'France'),
(99772, '192.237.114.0', '192.237.115.255', 3236786688, 3236787199, 'CA', 'Canada'),
(99773, '192.237.116.0', '192.237.118.255', 3236787200, 3236787967, 'US', 'United States'),
(99774, '192.237.119.0', '192.237.119.255', 3236787968, 3236788223, 'JP', 'Japan'),
(99775, '192.237.120.0', '192.237.120.255', 3236788224, 3236788479, 'US', 'United States'),
(99776, '192.237.121.0', '192.237.124.255', 3236788480, 3236789503, 'GB', 'United Kingdom'),
(99777, '192.237.125.0', '192.237.127.255', 3236789504, 3236790271, 'US', 'United States'),
(99778, '192.238.0.0', '192.238.15.255', 3236823040, 3236827135, 'CH', 'Switzerland'),
(99779, '192.238.16.0', '192.238.23.255', 3236827136, 3236829183, 'US', 'United States'),
(99780, '192.238.32.0', '192.238.127.255', 3236831232, 3236855807, 'US', 'United States'),
(99781, '192.239.0.0', '192.240.15.255', 3236888576, 3236958207, 'US', 'United States'),
(99782, '192.240.16.0', '192.240.31.255', 3236958208, 3236962303, 'AU', 'Australia'),
(99783, '192.240.32.0', '192.240.47.255', 3236962304, 3236966399, 'US', 'United States'),
(99784, '192.240.64.0', '192.240.95.255', 3236970496, 3236978687, 'US', 'United States'),
(99785, '192.240.128.0', '192.240.159.255', 3236986880, 3236995071, 'US', 'United States'),
(99786, '192.241.0.0', '192.241.63.255', 3237019648, 3237036031, 'US', 'United States'),
(99787, '192.242.0.0', '192.243.15.255', 3237085184, 3237154815, 'US', 'United States'),
(99788, '192.243.16.0', '192.243.19.255', 3237154816, 3237155839, 'ES', 'Spain'),
(99789, '192.243.20.0', '192.243.23.255', 3237155840, 3237156863, 'AU', 'Australia'),
(99790, '192.243.32.0', '192.243.39.255', 3237158912, 3237160959, 'US', 'United States'),
(99791, '192.243.128.0', '192.243.255.255', 3237183488, 3237216255, 'US', 'United States'),
(99792, '192.244.0.0', '192.244.255.255', 3237216256, 3237281791, 'JP', 'Japan'),
(99793, '192.245.0.0', '192.245.12.255', 3237281792, 3237285119, 'US', 'United States'),
(99794, '192.245.13.0', '192.245.14.255', 3237285120, 3237285631, 'AU', 'Australia'),
(99795, '192.245.15.0', '192.245.23.255', 3237285632, 3237287935, 'US', 'United States'),
(99796, '192.245.24.0', '192.245.24.255', 3237287936, 3237288191, 'CA', 'Canada'),
(99797, '192.245.25.0', '192.245.33.255', 3237288192, 3237290495, 'US', 'United States'),
(99798, '192.245.36.0', '192.245.36.255', 3237291008, 3237291263, 'NZ', 'New Zealand'),
(99799, '192.245.37.0', '192.245.50.255', 3237291264, 3237294847, 'US', 'United States'),
(99800, '192.245.51.0', '192.245.51.255', 3237294848, 3237295103, 'CA', 'Canada'),
(99801, '192.245.52.0', '192.245.57.255', 3237295104, 3237296639, 'US', 'United States'),
(99802, '192.245.58.0', '192.245.59.255', 3237296640, 3237297151, 'SG', 'Singapore'),
(99803, '192.245.60.0', '192.245.60.255', 3237297152, 3237297407, 'CL', 'Chile'),
(99804, '192.245.61.0', '192.245.90.255', 3237297408, 3237305087, 'US', 'United States'),
(99805, '192.245.91.0', '192.245.91.255', 3237305088, 3237305343, 'CA', 'Canada'),
(99806, '192.245.92.0', '192.245.104.255', 3237305344, 3237308671, 'US', 'United States'),
(99807, '192.245.105.0', '192.245.112.255', 3237308672, 3237310719, 'AU', 'Australia'),
(99808, '192.245.113.0', '192.245.120.255', 3237310720, 3237312767, 'US', 'United States'),
(99809, '192.245.121.0', '192.245.121.255', 3237312768, 3237313023, 'BO', 'Bolivia'),
(99810, '192.245.122.0', '192.245.147.255', 3237313024, 3237319679, 'US', 'United States'),
(99811, '192.245.148.0', '192.245.148.255', 3237319680, 3237319935, 'DZ', 'Algeria'),
(99812, '192.245.149.0', '192.245.151.255', 3237319936, 3237320703, 'US', 'United States'),
(99813, '192.245.152.0', '192.245.152.255', 3237320704, 3237320959, 'UA', 'Ukraine'),
(99814, '192.245.153.0', '192.245.154.255', 3237320960, 3237321471, 'US', 'United States'),
(99815, '192.245.156.0', '192.245.156.255', 3237321728, 3237321983, 'US', 'United States'),
(99816, '192.245.160.0', '192.245.168.255', 3237322752, 3237325055, 'US', 'United States'),
(99817, '192.245.169.0', '192.245.169.255', 3237325056, 3237325311, 'PL', 'Poland'),
(99818, '192.245.170.0', '192.245.171.255', 3237325312, 3237325823, 'US', 'United States'),
(99819, '192.245.172.0', '192.245.172.255', 3237325824, 3237326079, 'CA', 'Canada'),
(99820, '192.245.173.0', '192.245.180.255', 3237326080, 3237328127, 'US', 'United States'),
(99821, '192.245.182.0', '192.245.182.255', 3237328384, 3237328639, 'US', 'United States'),
(99822, '192.245.183.0', '192.245.183.255', 3237328640, 3237328895, 'CA', 'Canada'),
(99823, '192.245.184.0', '192.245.184.255', 3237328896, 3237329151, 'US', 'United States'),
(99824, '192.245.185.0', '192.245.185.255', 3237329152, 3237329407, 'NZ', 'New Zealand'),
(99825, '192.245.186.0', '192.245.191.255', 3237329408, 3237330943, 'US', 'United States'),
(99826, '192.245.192.0', '192.245.192.255', 3237330944, 3237331199, 'AU', 'Australia'),
(99827, '192.245.194.0', '192.245.195.255', 3237331456, 3237331967, 'US', 'United States'),
(99828, '192.245.196.0', '192.245.196.255', 3237331968, 3237332223, 'HK', 'Hong Kong'),
(99829, '192.245.197.0', '192.245.207.255', 3237332224, 3237335039, 'US', 'United States'),
(99830, '192.245.208.0', '192.245.208.255', 3237335040, 3237335295, 'HK', 'Hong Kong'),
(99831, '192.245.209.0', '192.245.209.255', 3237335296, 3237335551, 'US', 'United States'),
(99832, '192.245.210.0', '192.245.217.255', 3237335552, 3237337599, 'AU', 'Australia'),
(99833, '192.245.218.0', '192.245.218.255', 3237337600, 3237337855, 'US', 'United States'),
(99834, '192.245.220.0', '192.245.224.255', 3237338112, 3237339391, 'US', 'United States'),
(99835, '192.245.225.0', '192.245.225.255', 3237339392, 3237339647, 'GB', 'United Kingdom'),
(99836, '192.245.226.0', '192.245.227.255', 3237339648, 3237340159, 'US', 'United States'),
(99837, '192.245.228.0', '192.245.228.255', 3237340160, 3237340415, 'CA', 'Canada'),
(99838, '192.245.229.0', '192.245.248.255', 3237340416, 3237345535, 'US', 'United States'),
(99839, '192.245.249.0', '192.245.251.255', 3237345536, 3237346303, 'KR', 'Korea, Republic of'),
(99840, '192.245.252.0', '192.246.6.255', 3237346304, 3237349119, 'US', 'United States'),
(99841, '192.246.7.0', '192.246.7.255', 3237349120, 3237349375, 'AU', 'Australia'),
(99842, '192.246.8.0', '192.246.72.255', 3237349376, 3237366015, 'US', 'United States'),
(99843, '192.246.73.0', '192.246.73.255', 3237366016, 3237366271, 'AU', 'Australia'),
(99844, '192.246.74.0', '192.246.255.255', 3237366272, 3237412863, 'US', 'United States'),
(99845, '192.247.0.0', '192.247.15.255', 3237412864, 3237416959, 'GB', 'United Kingdom'),
(99846, '192.247.16.0', '192.247.95.255', 3237416960, 3237437439, 'US', 'United States'),
(99847, '192.247.128.0', '192.247.255.255', 3237445632, 3237478399, 'US', 'United States'),
(99848, '192.248.0.0', '192.248.127.255', 3237478400, 3237511167, 'LK', 'Sri Lanka'),
(99849, '192.248.128.0', '192.249.15.255', 3237511168, 3237548031, 'US', 'United States'),
(99850, '192.249.16.0', '192.249.31.255', 3237548032, 3237552127, 'KR', 'Korea, Republic of'),
(99851, '192.249.32.0', '192.249.36.2', 3237552128, 3237553154, 'US', 'United States'),
(99852, '192.249.36.3', '192.249.36.3', 3237553155, 3237553155, 'GB', 'United Kingdom'),
(99853, '192.249.36.4', '192.249.39.2', 3237553156, 3237553922, 'US', 'United States'),
(99854, '192.249.39.3', '192.249.39.3', 3237553923, 3237553923, 'EU', 'Europe'),
(99855, '192.249.39.4', '192.249.41.2', 3237553924, 3237554434, 'US', 'United States'),
(99856, '192.249.41.3', '192.249.41.3', 3237554435, 3237554435, 'AP', 'Asia/Pacific Region'),
(99857, '192.249.41.4', '192.249.51.255', 3237554436, 3237557247, 'US', 'United States'),
(99858, '192.250.0.0', '192.250.15.255', 3237609472, 3237613567, 'US', 'United States'),
(99859, '192.250.22.0', '192.250.23.255', 3237615104, 3237615615, 'US', 'United States'),
(99860, '192.250.24.0', '192.250.28.255', 3237615616, 3237616895, 'CA', 'Canada'),
(99861, '192.250.30.0', '192.250.48.255', 3237617152, 3237622015, 'US', 'United States'),
(99862, '192.250.49.0', '192.250.49.255', 3237622016, 3237622271, 'AP', 'Asia/Pacific Region'),
(99863, '192.250.50.0', '192.250.97.5', 3237622272, 3237634309, 'US', 'United States'),
(99864, '192.250.97.6', '192.250.97.6', 3237634310, 3237634310, 'GB', 'United Kingdom'),
(99865, '192.250.97.7', '192.250.146.255', 3237634311, 3237647103, 'US', 'United States'),
(99866, '192.250.147.0', '192.250.147.255', 3237647104, 3237647359, 'AU', 'Australia'),
(99867, '192.250.148.0', '192.250.191.255', 3237647360, 3237658623, 'US', 'United States'),
(99868, '192.251.0.0', '192.251.25.255', 3237675008, 3237681663, 'US', 'United States'),
(99869, '192.251.26.0', '192.251.30.255', 3237681664, 3237682943, 'CA', 'Canada'),
(99870, '192.251.31.0', '192.251.38.255', 3237682944, 3237684991, 'US', 'United States'),
(99871, '192.251.39.0', '192.251.39.255', 3237684992, 3237685247, 'CL', 'Chile'),
(99872, '192.251.40.0', '192.251.51.255', 3237685248, 3237688319, 'US', 'United States'),
(99873, '192.251.52.0', '192.251.55.255', 3237688320, 3237689343, 'CA', 'Canada'),
(99874, '192.251.56.0', '192.251.60.255', 3237689344, 3237690623, 'US', 'United States'),
(99875, '192.251.61.0', '192.251.65.255', 3237690624, 3237691903, 'SA', 'Saudi Arabia'),
(99876, '192.251.66.0', '192.251.90.255', 3237691904, 3237698303, 'US', 'United States'),
(99877, '192.251.91.0', '192.251.91.255', 3237698304, 3237698559, 'CA', 'Canada'),
(99878, '192.251.92.0', '192.251.163.255', 3237698560, 3237716991, 'US', 'United States'),
(99879, '192.251.164.0', '192.251.164.255', 3237716992, 3237717247, 'CA', 'Canada'),
(99880, '192.251.165.0', '192.251.165.255', 3237717248, 3237717503, 'US', 'United States'),
(99881, '192.251.166.0', '192.251.166.255', 3237717504, 3237717759, 'CA', 'Canada'),
(99882, '192.251.167.0', '192.251.194.255', 3237717760, 3237724927, 'US', 'United States'),
(99883, '192.251.195.0', '192.251.195.255', 3237724928, 3237725183, 'AU', 'Australia'),
(99884, '192.251.196.0', '192.251.196.255', 3237725184, 3237725439, 'CA', 'Canada'),
(99885, '192.251.197.0', '192.251.197.255', 3237725440, 3237725695, 'US', 'United States'),
(99886, '192.251.202.0', '192.251.202.255', 3237726720, 3237726975, 'GH', 'Ghana'),
(99887, '192.251.203.0', '192.251.203.255', 3237726976, 3237727231, 'US', 'United States'),
(99888, '192.251.204.0', '192.251.207.255', 3237727232, 3237728255, 'AU', 'Australia'),
(99889, '192.251.208.0', '192.251.225.255', 3237728256, 3237732863, 'US', 'United States'),
(99890, '192.251.226.0', '192.251.226.204', 3237732864, 3237733068, 'DE', 'Germany'),
(99891, '192.251.226.205', '192.251.226.206', 3237733069, 3237733070, 'A1', 'Anonymous Proxy'),
(99892, '192.251.226.207', '192.251.226.255', 3237733071, 3237733119, 'DE', 'Germany'),
(99893, '192.251.231.0', '192.251.231.255', 3237734144, 3237734399, 'CA', 'Canada'),
(99894, '192.251.232.0', '192.251.239.255', 3237734400, 3237736447, 'US', 'United States'),
(99895, '192.252.0.0', '192.255.255.255', 3237740544, 3238002687, 'US', 'United States'),
(99896, '193.0.0.0', '193.0.15.255', 3238002688, 3238006783, 'NL', 'Netherlands'),
(99897, '193.0.16.0', '193.0.16.255', 3238006784, 3238007039, 'GB', 'United Kingdom'),
(99898, '193.0.17.0', '193.0.23.255', 3238007040, 3238008831, 'NL', 'Netherlands'),
(99899, '193.0.24.0', '193.0.31.255', 3238008832, 3238010879, 'SI', 'Slovenia'),
(99900, '193.0.32.0', '193.0.55.255', 3238010880, 3238017023, 'CH', 'Switzerland'),
(99901, '193.0.56.0', '193.0.60.255', 3238017024, 3238018303, 'DK', 'Denmark'),
(99902, '193.0.61.0', '193.0.61.255', 3238018304, 3238018559, 'UA', 'Ukraine'),
(99903, '193.0.62.0', '193.0.62.255', 3238018560, 3238018815, 'FR', 'France'),
(99904, '193.0.63.0', '193.0.63.255', 3238018816, 3238019071, 'DE', 'Germany'),
(99905, '193.0.64.0', '193.0.128.255', 3238019072, 3238035711, 'PL', 'Poland'),
(99906, '193.0.129.0', '193.0.135.255', 3238035712, 3238037503, 'RU', 'Russian Federation'),
(99907, '193.0.136.0', '193.0.141.255', 3238037504, 3238039039, 'LV', 'Latvia'),
(99908, '193.0.142.0', '193.0.143.255', 3238039040, 3238039551, 'UA', 'Ukraine'),
(99909, '193.0.144.0', '193.0.144.255', 3238039552, 3238039807, 'PL', 'Poland'),
(99910, '193.0.145.0', '193.0.155.255', 3238039808, 3238042623, 'RU', 'Russian Federation'),
(99911, '193.0.156.0', '193.0.156.255', 3238042624, 3238042879, 'IR', 'Iran, Islamic Republic of'),
(99912, '193.0.157.0', '193.0.157.255', 3238042880, 3238043135, 'IT', 'Italy'),
(99913, '193.0.158.0', '193.0.159.255', 3238043136, 3238043647, 'GB', 'United Kingdom'),
(99914, '193.0.160.0', '193.0.160.255', 3238043648, 3238043903, 'NL', 'Netherlands'),
(99915, '193.0.161.0', '193.0.161.255', 3238043904, 3238044159, 'DK', 'Denmark'),
(99916, '193.0.162.0', '193.0.163.255', 3238044160, 3238044671, 'KZ', 'Kazakhstan'),
(99917, '193.0.164.0', '193.0.167.255', 3238044672, 3238045695, 'DE', 'Germany'),
(99918, '193.0.168.0', '193.0.175.255', 3238045696, 3238047743, 'RU', 'Russian Federation'),
(99919, '193.0.176.0', '193.0.177.255', 3238047744, 3238048255, 'GB', 'United Kingdom'),
(99920, '193.0.178.0', '193.0.179.255', 3238048256, 3238048767, 'RU', 'Russian Federation'),
(99921, '193.0.180.0', '193.0.183.255', 3238048768, 3238049791, 'CH', 'Switzerland'),
(99922, '193.0.184.0', '193.0.185.255', 3238049792, 3238050303, 'RU', 'Russian Federation'),
(99923, '193.0.186.0', '193.0.187.255', 3238050304, 3238050815, 'DE', 'Germany'),
(99924, '193.0.188.0', '193.0.188.255', 3238050816, 3238051071, 'AT', 'Austria'),
(99925, '193.0.189.0', '193.0.190.255', 3238051072, 3238051583, 'RO', 'Romania'),
(99926, '193.0.191.0', '193.0.191.255', 3238051584, 3238051839, 'GB', 'United Kingdom'),
(99927, '193.0.192.0', '193.0.197.255', 3238051840, 3238053375, 'PL', 'Poland'),
(99928, '193.0.198.0', '193.0.198.255', 3238053376, 3238053631, 'RU', 'Russian Federation'),
(99929, '193.0.199.0', '193.0.199.255', 3238053632, 3238053887, 'DE', 'Germany'),
(99930, '193.0.200.0', '193.0.203.255', 3238053888, 3238054911, 'RU', 'Russian Federation'),
(99931, '193.0.204.0', '193.0.207.255', 3238054912, 3238055935, 'UA', 'Ukraine'),
(99932, '193.0.208.0', '193.0.211.255', 3238055936, 3238056959, 'PL', 'Poland'),
(99933, '193.0.212.0', '193.0.212.255', 3238056960, 3238057215, 'MD', 'Moldova, Republic of'),
(99934, '193.0.213.0', '193.0.213.255', 3238057216, 3238057471, 'BG', 'Bulgaria'),
(99935, '193.0.214.0', '193.0.215.255', 3238057472, 3238057983, 'RU', 'Russian Federation'),
(99936, '193.0.216.0', '193.0.221.255', 3238057984, 3238059519, 'UA', 'Ukraine'),
(99937, '193.0.222.0', '193.0.222.255', 3238059520, 3238059775, 'NO', 'Norway'),
(99938, '193.0.223.0', '193.0.223.255', 3238059776, 3238060031, 'UA', 'Ukraine'),
(99939, '193.0.224.0', '193.0.224.255', 3238060032, 3238060287, 'CH', 'Switzerland'),
(99940, '193.0.225.0', '193.0.225.255', 3238060288, 3238060543, 'RO', 'Romania'),
(99941, '193.0.226.0', '193.0.226.255', 3238060544, 3238060799, 'HU', 'Hungary'),
(99942, '193.0.227.0', '193.0.228.255', 3238060800, 3238061311, 'UA', 'Ukraine'),
(99943, '193.0.229.0', '193.0.229.255', 3238061312, 3238061567, 'GB', 'United Kingdom'),
(99944, '193.0.230.0', '193.0.230.255', 3238061568, 3238061823, 'AT', 'Austria'),
(99945, '193.0.231.0', '193.0.231.255', 3238061824, 3238062079, 'CZ', 'Czech Republic'),
(99946, '193.0.232.0', '193.0.233.255', 3238062080, 3238062591, 'CH', 'Switzerland'),
(99947, '193.0.234.0', '193.0.234.255', 3238062592, 3238062847, 'GB', 'United Kingdom'),
(99948, '193.0.235.0', '193.0.235.255', 3238062848, 3238063103, 'SE', 'Sweden'),
(99949, '193.0.236.0', '193.0.236.255', 3238063104, 3238063359, 'PL', 'Poland'),
(99950, '193.0.237.0', '193.0.237.255', 3238063360, 3238063615, 'CH', 'Switzerland'),
(99951, '193.0.238.0', '193.0.238.255', 3238063616, 3238063871, 'EU', 'Europe'),
(99952, '193.0.239.0', '193.0.239.255', 3238063872, 3238064127, 'GB', 'United Kingdom'),
(99953, '193.0.240.0', '193.0.240.255', 3238064128, 3238064383, 'UA', 'Ukraine'),
(99954, '193.0.241.0', '193.0.241.255', 3238064384, 3238064639, 'ES', 'Spain'),
(99955, '193.0.242.0', '193.0.242.255', 3238064640, 3238064895, 'PL', 'Poland'),
(99956, '193.0.243.0', '193.0.243.255', 3238064896, 3238065151, 'DK', 'Denmark'),
(99957, '193.0.244.0', '193.0.244.255', 3238065152, 3238065407, 'SI', 'Slovenia'),
(99958, '193.0.245.0', '193.0.245.255', 3238065408, 3238065663, 'FR', 'France'),
(99959, '193.0.246.0', '193.0.246.255', 3238065664, 3238065919, 'DE', 'Germany'),
(99960, '193.0.247.0', '193.0.247.255', 3238065920, 3238066175, 'UA', 'Ukraine'),
(99961, '193.0.248.0', '193.0.248.255', 3238066176, 3238066431, 'DE', 'Germany'),
(99962, '193.0.249.0', '193.0.249.255', 3238066432, 3238066687, 'GB', 'United Kingdom'),
(99963, '193.0.250.0', '193.0.250.255', 3238066688, 3238066943, 'DE', 'Germany'),
(99964, '193.0.251.0', '193.0.251.255', 3238066944, 3238067199, 'LT', 'Lithuania'),
(99965, '193.0.252.0', '193.0.252.255', 3238067200, 3238067455, 'NO', 'Norway'),
(99966, '193.0.253.0', '193.0.253.255', 3238067456, 3238067711, 'SE', 'Sweden'),
(99967, '193.0.254.0', '193.0.254.255', 3238067712, 3238067967, 'AT', 'Austria'),
(99968, '193.0.255.0', '193.0.255.255', 3238067968, 3238068223, 'GB', 'United Kingdom'),
(99969, '193.1.0.0', '193.1.255.255', 3238068224, 3238133759, 'IE', 'Ireland'),
(99970, '193.2.0.0', '193.2.255.255', 3238133760, 3238199295, 'SI', 'Slovenia'),
(99971, '193.3.0.0', '193.3.8.255', 3238199296, 3238201599, 'DK', 'Denmark'),
(99972, '193.3.9.0', '193.3.11.255', 3238201600, 3238202367, 'US', 'United States'),
(99973, '193.3.12.0', '193.3.255.255', 3238202368, 3238264831, 'DK', 'Denmark'),
(99974, '193.4.0.0', '193.4.255.255', 3238264832, 3238330367, 'IS', 'Iceland'),
(99975, '193.5.0.0', '193.5.25.255', 3238330368, 3238337023, 'CH', 'Switzerland'),
(99976, '193.5.26.0', '193.5.27.255', 3238337024, 3238337535, 'LI', 'Liechtenstein'),
(99977, '193.5.28.0', '193.5.255.255', 3238337536, 3238395903, 'CH', 'Switzerland'),
(99978, '193.6.0.0', '193.6.255.255', 3238395904, 3238461439, 'HU', 'Hungary'),
(99979, '193.7.0.0', '193.7.159.255', 3238461440, 3238502399, 'DE', 'Germany'),
(99980, '193.7.160.0', '193.7.167.255', 3238502400, 3238504447, 'RU', 'Russian Federation'),
(99981, '193.7.168.0', '193.7.255.255', 3238504448, 3238526975, 'DE', 'Germany'),
(99982, '193.8.0.0', '193.8.0.255', 3238526976, 3238527231, 'RU', 'Russian Federation'),
(99983, '193.8.1.0', '193.8.31.255', 3238527232, 3238535167, 'CH', 'Switzerland'),
(99984, '193.8.32.0', '193.8.35.255', 3238535168, 3238536191, 'SE', 'Sweden'),
(99985, '193.8.36.0', '193.8.39.255', 3238536192, 3238537215, 'DK', 'Denmark'),
(99986, '193.8.40.0', '193.8.44.255', 3238537216, 3238538495, 'CH', 'Switzerland'),
(99987, '193.8.45.0', '193.8.45.255', 3238538496, 3238538751, 'PL', 'Poland'),
(99988, '193.8.46.0', '193.8.47.255', 3238538752, 3238539263, 'RU', 'Russian Federation'),
(99989, '193.8.48.0', '193.8.56.255', 3238539264, 3238541567, 'CH', 'Switzerland'),
(99990, '193.8.57.0', '193.8.57.255', 3238541568, 3238541823, 'PL', 'Poland'),
(99991, '193.8.58.0', '193.8.60.255', 3238541824, 3238542591, 'CH', 'Switzerland'),
(99992, '193.8.61.0', '193.8.61.255', 3238542592, 3238542847, 'PL', 'Poland'),
(99993, '193.8.62.0', '193.8.73.255', 3238542848, 3238545919, 'CH', 'Switzerland'),
(99994, '193.8.74.0', '193.8.75.255', 3238545920, 3238546431, 'RU', 'Russian Federation'),
(99995, '193.8.76.0', '193.8.77.255', 3238546432, 3238546943, 'CH', 'Switzerland'),
(99996, '193.8.78.0', '193.8.79.255', 3238546944, 3238547455, 'UA', 'Ukraine'),
(99997, '193.8.80.0', '193.8.85.255', 3238547456, 3238548991, 'CH', 'Switzerland'),
(99998, '193.8.86.0', '193.8.87.255', 3238548992, 3238549503, 'CZ', 'Czech Republic'),
(99999, '193.8.88.0', '193.8.125.255', 3238549504, 3238559231, 'CH', 'Switzerland'),
(100000, '193.8.126.0', '193.8.126.255', 3238559232, 3238559487, 'SE', 'Sweden'),
(100001, '193.8.127.0', '193.8.138.255', 3238559488, 3238562559, 'CH', 'Switzerland'),
(100002, '193.8.139.0', '193.8.139.255', 3238562560, 3238562815, 'IR', 'Iran, Islamic Republic of'),
(100003, '193.8.140.0', '193.8.181.255', 3238562816, 3238573567, 'CH', 'Switzerland'),
(100004, '193.8.182.0', '193.8.183.255', 3238573568, 3238574079, 'PL', 'Poland'),
(100005, '193.8.184.0', '193.8.200.255', 3238574080, 3238578431, 'CH', 'Switzerland'),
(100006, '193.8.201.0', '193.8.201.255', 3238578432, 3238578687, 'UA', 'Ukraine'),
(100007, '193.8.202.0', '193.8.202.255', 3238578688, 3238578943, 'CH', 'Switzerland'),
(100008, '193.8.203.0', '193.8.203.255', 3238578944, 3238579199, 'RU', 'Russian Federation'),
(100009, '193.8.204.0', '193.8.245.255', 3238579200, 3238589951, 'CH', 'Switzerland'),
(100010, '193.8.246.0', '193.8.246.255', 3238589952, 3238590207, 'LT', 'Lithuania'),
(100011, '193.8.247.0', '193.8.249.255', 3238590208, 3238590975, 'CH', 'Switzerland'),
(100012, '193.8.250.0', '193.8.250.255', 3238590976, 3238591231, 'SA', 'Saudi Arabia'),
(100013, '193.8.251.0', '193.8.255.255', 3238591232, 3238592511, 'CH', 'Switzerland'),
(100014, '193.9.0.0', '193.9.7.255', 3238592512, 3238594559, 'GB', 'United Kingdom'),
(100015, '193.9.8.0', '193.9.11.255', 3238594560, 3238595583, 'BE', 'Belgium'),
(100016, '193.9.12.0', '193.9.12.255', 3238595584, 3238595839, 'SI', 'Slovenia'),
(100017, '193.9.13.0', '193.9.13.255', 3238595840, 3238596095, 'EU', 'Europe'),
(100018, '193.9.14.0', '193.9.15.255', 3238596096, 3238596607, 'GB', 'United Kingdom'),
(100019, '193.9.16.0', '193.9.16.255', 3238596608, 3238596863, 'BG', 'Bulgaria'),
(100020, '193.9.17.0', '193.9.17.255', 3238596864, 3238597119, 'RU', 'Russian Federation'),
(100021, '193.9.18.0', '193.9.18.255', 3238597120, 3238597375, 'DE', 'Germany'),
(100022, '193.9.19.0', '193.9.19.255', 3238597376, 3238597631, 'SI', 'Slovenia'),
(100023, '193.9.20.0', '193.9.20.255', 3238597632, 3238597887, 'GB', 'United Kingdom'),
(100024, '193.9.21.0', '193.9.21.255', 3238597888, 3238598143, 'SI', 'Slovenia'),
(100025, '193.9.22.0', '193.9.22.255', 3238598144, 3238598399, 'RU', 'Russian Federation'),
(100026, '193.9.23.0', '193.9.23.255', 3238598400, 3238598655, 'NL', 'Netherlands'),
(100027, '193.9.24.0', '193.9.24.255', 3238598656, 3238598911, 'CH', 'Switzerland'),
(100028, '193.9.25.0', '193.9.25.255', 3238598912, 3238599167, 'PL', 'Poland'),
(100029, '193.9.26.0', '193.9.27.255', 3238599168, 3238599679, 'HU', 'Hungary'),
(100030, '193.9.28.0', '193.9.28.255', 3238599680, 3238599935, 'UA', 'Ukraine'),
(100031, '193.9.29.0', '193.9.31.255', 3238599936, 3238600703, 'HU', 'Hungary'),
(100032, '193.9.32.0', '193.9.47.255', 3238600704, 3238604799, 'DE', 'Germany'),
(100033, '193.9.48.0', '193.9.53.255', 3238604800, 3238606335, 'NL', 'Netherlands'),
(100034, '193.9.54.0', '193.9.54.255', 3238606336, 3238606591, 'SE', 'Sweden'),
(100035, '193.9.55.0', '193.9.57.255', 3238606592, 3238607359, 'NL', 'Netherlands'),
(100036, '193.9.58.0', '193.9.59.255', 3238607360, 3238607871, 'SE', 'Sweden'),
(100037, '193.9.60.0', '193.9.63.255', 3238607872, 3238608895, 'NL', 'Netherlands'),
(100038, '193.9.64.0', '193.9.111.255', 3238608896, 3238621183, 'SE', 'Sweden'),
(100039, '193.9.112.0', '193.9.112.255', 3238621184, 3238621439, 'FI', 'Finland'),
(100040, '193.9.113.0', '193.9.113.255', 3238621440, 3238621695, 'FR', 'France'),
(100041, '193.9.114.0', '193.9.114.255', 3238621696, 3238621951, 'IT', 'Italy'),
(100042, '193.9.115.0', '193.9.115.255', 3238621952, 3238622207, 'NL', 'Netherlands'),
(100043, '193.9.116.0', '193.9.116.255', 3238622208, 3238622463, 'NO', 'Norway'),
(100044, '193.9.117.0', '193.9.117.255', 3238622464, 3238622719, 'SE', 'Sweden'),
(100045, '193.9.118.0', '193.9.118.255', 3238622720, 3238622975, 'DK', 'Denmark'),
(100046, '193.9.119.0', '193.9.119.255', 3238622976, 3238623231, 'GB', 'United Kingdom'),
(100047, '193.9.120.0', '193.9.120.255', 3238623232, 3238623487, 'LV', 'Latvia'),
(100048, '193.9.121.0', '193.9.121.255', 3238623488, 3238623743, 'PL', 'Poland'),
(100049, '193.9.122.0', '193.9.122.255', 3238623744, 3238623999, 'CH', 'Switzerland'),
(100050, '193.9.123.0', '193.9.123.255', 3238624000, 3238624255, 'PL', 'Poland'),
(100051, '193.9.124.0', '193.9.127.255', 3238624256, 3238625279, 'HU', 'Hungary'),
(100052, '193.9.128.0', '193.9.147.255', 3238625280, 3238630399, 'EU', 'Europe'),
(100053, '193.9.148.0', '193.9.151.255', 3238630400, 3238631423, 'GR', 'Greece'),
(100054, '193.9.152.0', '193.9.157.255', 3238631424, 3238632959, 'GB', 'United Kingdom'),
(100055, '193.9.158.0', '193.9.158.255', 3238632960, 3238633215, 'UA', 'Ukraine'),
(100056, '193.9.159.0', '193.9.239.255', 3238633216, 3238653951, 'DK', 'Denmark'),
(100057, '193.9.240.0', '193.9.247.255', 3238653952, 3238655999, 'RU', 'Russian Federation'),
(100058, '193.9.248.0', '193.9.248.255', 3238656000, 3238656255, 'GB', 'United Kingdom'),
(100059, '193.9.249.0', '193.9.249.255', 3238656256, 3238656511, 'RU', 'Russian Federation'),
(100060, '193.9.250.0', '193.9.251.255', 3238656512, 3238657023, 'UA', 'Ukraine'),
(100061, '193.9.252.0', '193.9.253.255', 3238657024, 3238657535, 'AT', 'Austria'),
(100062, '193.9.254.0', '193.9.254.255', 3238657536, 3238657791, 'GB', 'United Kingdom'),
(100063, '193.9.255.0', '193.9.255.255', 3238657792, 3238658047, 'AT', 'Austria'),
(100064, '193.10.0.0', '193.10.67.255', 3238658048, 3238675455, 'SE', 'Sweden'),
(100065, '193.10.68.0', '193.10.68.255', 3238675456, 3238675711, 'DK', 'Denmark'),
(100066, '193.10.69.0', '193.10.253.255', 3238675712, 3238723071, 'SE', 'Sweden'),
(100067, '193.10.254.0', '193.10.254.255', 3238723072, 3238723327, 'DK', 'Denmark'),
(100068, '193.10.255.0', '193.12.23.255', 3238723328, 3238795263, 'SE', 'Sweden'),
(100069, '193.12.24.0', '193.12.25.255', 3238795264, 3238795775, 'IT', 'Italy'),
(100070, '193.12.26.0', '193.12.47.127', 3238795776, 3238801279, 'SE', 'Sweden'),
(100071, '193.12.47.128', '193.12.47.191', 3238801280, 3238801343, 'GB', 'United Kingdom'),
(100072, '193.12.47.192', '193.15.255.255', 3238801344, 3239051263, 'SE', 'Sweden'),
(100073, '193.16.0.0', '193.16.0.255', 3239051264, 3239051519, 'CH', 'Switzerland'),
(100074, '193.16.1.0', '193.16.42.255', 3239051520, 3239062271, 'DE', 'Germany'),
(100075, '193.16.43.0', '193.16.43.255', 3239062272, 3239062527, 'ES', 'Spain'),
(100076, '193.16.44.0', '193.16.44.255', 3239062528, 3239062783, 'CH', 'Switzerland'),
(100077, '193.16.45.0', '193.16.45.255', 3239062784, 3239063039, 'UA', 'Ukraine'),
(100078, '193.16.46.0', '193.16.46.255', 3239063040, 3239063295, 'HU', 'Hungary'),
(100079, '193.16.47.0', '193.16.47.255', 3239063296, 3239063551, 'UA', 'Ukraine'),
(100080, '193.16.48.0', '193.16.95.255', 3239063552, 3239075839, 'DE', 'Germany'),
(100081, '193.16.96.0', '193.16.96.255', 3239075840, 3239076095, 'MT', 'Malta'),
(100082, '193.16.97.0', '193.16.98.255', 3239076096, 3239076607, 'DE', 'Germany'),
(100083, '193.16.99.0', '193.16.99.255', 3239076608, 3239076863, 'PL', 'Poland'),
(100084, '193.16.100.0', '193.16.100.255', 3239076864, 3239077119, 'NL', 'Netherlands'),
(100085, '193.16.101.0', '193.16.101.255', 3239077120, 3239077375, 'UA', 'Ukraine'),
(100086, '193.16.102.0', '193.16.102.255', 3239077376, 3239077631, 'BG', 'Bulgaria'),
(100087, '193.16.103.0', '193.16.103.255', 3239077632, 3239077887, 'PT', 'Portugal'),
(100088, '193.16.104.0', '193.16.104.255', 3239077888, 3239078143, 'CZ', 'Czech Republic'),
(100089, '193.16.105.0', '193.16.105.255', 3239078144, 3239078399, 'UA', 'Ukraine'),
(100090, '193.16.106.0', '193.16.106.255', 3239078400, 3239078655, 'RU', 'Russian Federation'),
(100091, '193.16.107.0', '193.16.107.255', 3239078656, 3239078911, 'PL', 'Poland'),
(100092, '193.16.108.0', '193.16.108.255', 3239078912, 3239079167, 'GB', 'United Kingdom'),
(100093, '193.16.109.0', '193.16.109.255', 3239079168, 3239079423, 'SI', 'Slovenia'),
(100094, '193.16.110.0', '193.16.110.255', 3239079424, 3239079679, 'FR', 'France'),
(100095, '193.16.111.0', '193.16.111.255', 3239079680, 3239079935, 'MD', 'Moldova, Republic of'),
(100096, '193.16.112.0', '193.16.143.255', 3239079936, 3239088127, 'DE', 'Germany'),
(100097, '193.16.144.0', '193.16.145.255', 3239088128, 3239088639, 'GB', 'United Kingdom'),
(100098, '193.16.146.0', '193.16.146.255', 3239088640, 3239088895, 'DK', 'Denmark'),
(100099, '193.16.147.0', '193.16.147.255', 3239088896, 3239089151, 'IL', 'Israel'),
(100100, '193.16.148.0', '193.16.148.255', 3239089152, 3239089407, 'RO', 'Romania'),
(100101, '193.16.149.0', '193.16.150.255', 3239089408, 3239089919, 'GB', 'United Kingdom'),
(100102, '193.16.151.0', '193.16.151.255', 3239089920, 3239090175, 'DE', 'Germany'),
(100103, '193.16.152.0', '193.16.152.255', 3239090176, 3239090431, 'SI', 'Slovenia'),
(100104, '193.16.153.0', '193.16.153.255', 3239090432, 3239090687, 'ES', 'Spain'),
(100105, '193.16.154.0', '193.16.154.255', 3239090688, 3239090943, 'NL', 'Netherlands'),
(100106, '193.16.155.0', '193.16.155.255', 3239090944, 3239091199, 'AT', 'Austria'),
(100107, '193.16.156.0', '193.16.156.255', 3239091200, 3239091455, 'FR', 'France'),
(100108, '193.16.157.0', '193.16.157.255', 3239091456, 3239091711, 'BG', 'Bulgaria'),
(100109, '193.16.158.0', '193.16.158.255', 3239091712, 3239091967, 'UA', 'Ukraine'),
(100110, '193.16.159.0', '193.16.159.255', 3239091968, 3239092223, 'FR', 'France'),
(100111, '193.16.160.0', '193.16.207.255', 3239092224, 3239104511, 'DE', 'Germany'),
(100112, '193.16.208.0', '193.16.210.255', 3239104512, 3239105279, 'RU', 'Russian Federation'),
(100113, '193.16.211.0', '193.16.211.255', 3239105280, 3239105535, 'CH', 'Switzerland'),
(100114, '193.16.212.0', '193.16.212.255', 3239105536, 3239105791, 'DE', 'Germany'),
(100115, '193.16.213.0', '193.16.213.255', 3239105792, 3239106047, 'RO', 'Romania'),
(100116, '193.16.214.0', '193.16.215.255', 3239106048, 3239106559, 'AT', 'Austria'),
(100117, '193.16.216.0', '193.16.216.255', 3239106560, 3239106815, 'ES', 'Spain'),
(100118, '193.16.217.0', '193.16.217.255', 3239106816, 3239107071, 'CH', 'Switzerland'),
(100119, '193.16.218.0', '193.16.218.255', 3239107072, 3239107327, 'RO', 'Romania'),
(100120, '193.16.219.0', '193.16.219.255', 3239107328, 3239107583, 'GR', 'Greece'),
(100121, '193.16.220.0', '193.16.220.255', 3239107584, 3239107839, 'CH', 'Switzerland'),
(100122, '193.16.221.0', '193.16.221.255', 3239107840, 3239108095, 'RO', 'Romania'),
(100123, '193.16.222.0', '193.16.228.255', 3239108096, 3239109887, 'DE', 'Germany'),
(100124, '193.16.229.0', '193.16.229.255', 3239109888, 3239110143, 'PL', 'Poland'),
(100125, '193.16.230.0', '193.16.231.255', 3239110144, 3239110655, 'DE', 'Germany'),
(100126, '193.16.232.0', '193.16.232.255', 3239110656, 3239110911, 'RU', 'Russian Federation'),
(100127, '193.16.233.0', '193.16.233.255', 3239110912, 3239111167, 'UA', 'Ukraine'),
(100128, '193.16.234.0', '193.16.234.255', 3239111168, 3239111423, 'NL', 'Netherlands'),
(100129, '193.16.235.0', '193.16.236.255', 3239111424, 3239111935, 'DE', 'Germany'),
(100130, '193.16.237.0', '193.16.237.255', 3239111936, 3239112191, 'AT', 'Austria'),
(100131, '193.16.238.0', '193.16.238.255', 3239112192, 3239112447, 'IL', 'Israel'),
(100132, '193.16.239.0', '193.16.240.255', 3239112448, 3239112959, 'PL', 'Poland'),
(100133, '193.16.241.0', '193.16.241.255', 3239112960, 3239113215, 'CH', 'Switzerland'),
(100134, '193.16.242.0', '193.16.242.255', 3239113216, 3239113471, 'AT', 'Austria'),
(100135, '193.16.243.0', '193.16.243.255', 3239113472, 3239113727, 'ES', 'Spain'),
(100136, '193.16.244.0', '193.16.244.255', 3239113728, 3239113983, 'AT', 'Austria'),
(100137, '193.16.245.0', '193.16.245.255', 3239113984, 3239114239, 'DE', 'Germany'),
(100138, '193.16.246.0', '193.16.246.255', 3239114240, 3239114495, 'BG', 'Bulgaria'),
(100139, '193.16.247.0', '193.16.247.255', 3239114496, 3239114751, 'UA', 'Ukraine'),
(100140, '193.16.248.0', '193.16.254.255', 3239114752, 3239116543, 'DE', 'Germany'),
(100141, '193.16.255.0', '193.16.255.255', 3239116544, 3239116799, 'PL', 'Poland'),
(100142, '193.17.0.0', '193.17.0.255', 3239116800, 3239117055, 'PT', 'Portugal'),
(100143, '193.17.1.0', '193.17.1.255', 3239117056, 3239117311, 'SI', 'Slovenia'),
(100144, '193.17.2.0', '193.17.11.255', 3239117312, 3239119871, 'DE', 'Germany'),
(100145, '193.17.12.0', '193.17.12.255', 3239119872, 3239120127, 'GB', 'United Kingdom'),
(100146, '193.17.13.0', '193.17.13.255', 3239120128, 3239120383, 'CZ', 'Czech Republic'),
(100147, '193.17.14.0', '193.17.14.255', 3239120384, 3239120639, 'PL', 'Poland'),
(100148, '193.17.15.0', '193.17.15.255', 3239120640, 3239120895, 'FR', 'France'),
(100149, '193.17.16.0', '193.17.18.255', 3239120896, 3239121663, 'DE', 'Germany'),
(100150, '193.17.19.0', '193.17.19.255', 3239121664, 3239121919, 'FR', 'France'),
(100151, '193.17.20.0', '193.17.39.255', 3239121920, 3239127039, 'DE', 'Germany'),
(100152, '193.17.40.0', '193.17.40.255', 3239127040, 3239127295, 'PT', 'Portugal'),
(100153, '193.17.41.0', '193.17.41.255', 3239127296, 3239127551, 'PL', 'Poland'),
(100154, '193.17.42.0', '193.17.42.255', 3239127552, 3239127807, 'IL', 'Israel'),
(100155, '193.17.43.0', '193.17.43.255', 3239127808, 3239128063, 'RU', 'Russian Federation'),
(100156, '193.17.44.0', '193.17.44.255', 3239128064, 3239128319, 'UA', 'Ukraine'),
(100157, '193.17.45.0', '193.17.45.255', 3239128320, 3239128575, 'IT', 'Italy'),
(100158, '193.17.46.0', '193.17.46.255', 3239128576, 3239128831, 'UA', 'Ukraine'),
(100159, '193.17.47.0', '193.17.47.255', 3239128832, 3239129087, 'CZ', 'Czech Republic'),
(100160, '193.17.48.0', '193.17.51.255', 3239129088, 3239130111, 'DE', 'Germany'),
(100161, '193.17.52.0', '193.17.52.255', 3239130112, 3239130367, 'RU', 'Russian Federation'),
(100162, '193.17.53.0', '193.17.53.255', 3239130368, 3239130623, 'JO', 'Jordan'),
(100163, '193.17.54.0', '193.17.55.255', 3239130624, 3239131135, 'PL', 'Poland'),
(100164, '193.17.56.0', '193.17.63.255', 3239131136, 3239133183, 'DE', 'Germany'),
(100165, '193.17.64.0', '193.17.64.255', 3239133184, 3239133439, 'CH', 'Switzerland'),
(100166, '193.17.65.0', '193.17.65.255', 3239133440, 3239133695, 'GB', 'United Kingdom'),
(100167, '193.17.66.0', '193.17.66.255', 3239133696, 3239133951, 'ES', 'Spain'),
(100168, '193.17.67.0', '193.17.67.255', 3239133952, 3239134207, 'SE', 'Sweden'),
(100169, '193.17.68.0', '193.17.68.255', 3239134208, 3239134463, 'IL', 'Israel'),
(100170, '193.17.69.0', '193.17.69.255', 3239134464, 3239134719, 'UA', 'Ukraine'),
(100171, '193.17.70.0', '193.17.70.255', 3239134720, 3239134975, 'RO', 'Romania'),
(100172, '193.17.71.0', '193.17.71.255', 3239134976, 3239135231, 'PL', 'Poland'),
(100173, '193.17.72.0', '193.17.72.255', 3239135232, 3239135487, 'SE', 'Sweden'),
(100174, '193.17.73.0', '193.17.73.255', 3239135488, 3239135743, 'FR', 'France'),
(100175, '193.17.74.0', '193.17.74.255', 3239135744, 3239135999, 'IL', 'Israel'),
(100176, '193.17.75.0', '193.17.75.255', 3239136000, 3239136255, 'UA', 'Ukraine'),
(100177, '193.17.76.0', '193.17.76.255', 3239136256, 3239136511, 'CH', 'Switzerland'),
(100178, '193.17.77.0', '193.17.77.255', 3239136512, 3239136767, 'DE', 'Germany'),
(100179, '193.17.78.0', '193.17.78.255', 3239136768, 3239137023, 'MD', 'Moldova, Republic of'),
(100180, '193.17.79.0', '193.17.79.255', 3239137024, 3239137279, 'LI', 'Liechtenstein'),
(100181, '193.17.80.0', '193.17.83.255', 3239137280, 3239138303, 'DE', 'Germany'),
(100182, '193.17.84.0', '193.17.84.255', 3239138304, 3239138559, 'PL', 'Poland'),
(100183, '193.17.85.0', '193.17.85.255', 3239138560, 3239138815, 'CH', 'Switzerland'),
(100184, '193.17.86.0', '193.17.127.255', 3239138816, 3239149567, 'DE', 'Germany'),
(100185, '193.17.128.0', '193.17.169.255', 3239149568, 3239160319, 'GB', 'United Kingdom'),
(100186, '193.17.170.0', '193.17.170.255', 3239160320, 3239160575, 'RU', 'Russian Federation'),
(100187, '193.17.171.0', '193.17.171.255', 3239160576, 3239160831, 'DE', 'Germany'),
(100188, '193.17.172.0', '193.17.172.255', 3239160832, 3239161087, 'PL', 'Poland'),
(100189, '193.17.173.0', '193.17.173.255', 3239161088, 3239161343, 'BY', 'Belarus'),
(100190, '193.17.174.0', '193.17.174.255', 3239161344, 3239161599, 'PL', 'Poland'),
(100191, '193.17.175.0', '193.17.175.255', 3239161600, 3239161855, 'HU', 'Hungary'),
(100192, '193.17.176.0', '193.17.178.255', 3239161856, 3239162623, 'DE', 'Germany'),
(100193, '193.17.179.0', '193.17.179.255', 3239162624, 3239162879, 'BE', 'Belgium'),
(100194, '193.17.180.0', '193.17.183.255', 3239162880, 3239163903, 'DE', 'Germany'),
(100195, '193.17.184.0', '193.17.184.255', 3239163904, 3239164159, 'PL', 'Poland'),
(100196, '193.17.185.0', '193.17.186.255', 3239164160, 3239164671, 'DE', 'Germany'),
(100197, '193.17.187.0', '193.17.187.255', 3239164672, 3239164927, 'GB', 'United Kingdom'),
(100198, '193.17.188.0', '193.17.188.255', 3239164928, 3239165183, 'DK', 'Denmark'),
(100199, '193.17.189.0', '193.17.191.255', 3239165184, 3239165951, 'DE', 'Germany'),
(100200, '193.17.192.0', '193.17.192.255', 3239165952, 3239166207, 'FR', 'France'),
(100201, '193.17.193.0', '193.17.193.255', 3239166208, 3239166463, 'DE', 'Germany'),
(100202, '193.17.194.0', '193.17.194.255', 3239166464, 3239166719, 'CH', 'Switzerland'),
(100203, '193.17.195.0', '193.17.195.255', 3239166720, 3239166975, 'RO', 'Romania'),
(100204, '193.17.196.0', '193.17.196.255', 3239166976, 3239167231, 'FR', 'France'),
(100205, '193.17.197.0', '193.17.197.255', 3239167232, 3239167487, 'DE', 'Germany'),
(100206, '193.17.198.0', '193.17.198.255', 3239167488, 3239167743, 'FR', 'France'),
(100207, '193.17.199.0', '193.17.199.255', 3239167744, 3239167999, 'CH', 'Switzerland'),
(100208, '193.17.200.0', '193.17.200.255', 3239168000, 3239168255, 'PL', 'Poland'),
(100209, '193.17.201.0', '193.17.201.255', 3239168256, 3239168511, 'CH', 'Switzerland'),
(100210, '193.17.202.0', '193.17.202.255', 3239168512, 3239168767, 'SE', 'Sweden'),
(100211, '193.17.203.0', '193.17.203.255', 3239168768, 3239169023, 'PL', 'Poland'),
(100212, '193.17.204.0', '193.17.205.255', 3239169024, 3239169535, 'DE', 'Germany'),
(100213, '193.17.206.0', '193.17.206.255', 3239169536, 3239169791, 'DK', 'Denmark'),
(100214, '193.17.207.0', '193.17.207.255', 3239169792, 3239170047, 'SE', 'Sweden'),
(100215, '193.17.208.0', '193.17.208.255', 3239170048, 3239170303, 'UA', 'Ukraine'),
(100216, '193.17.209.0', '193.17.209.255', 3239170304, 3239170559, 'FR', 'France'),
(100217, '193.17.210.0', '193.17.210.255', 3239170560, 3239170815, 'GB', 'United Kingdom'),
(100218, '193.17.211.0', '193.17.211.255', 3239170816, 3239171071, 'SE', 'Sweden'),
(100219, '193.17.212.0', '193.17.212.255', 3239171072, 3239171327, 'PL', 'Poland'),
(100220, '193.17.213.0', '193.17.213.255', 3239171328, 3239171583, 'UA', 'Ukraine'),
(100221, '193.17.214.0', '193.17.214.255', 3239171584, 3239171839, 'PL', 'Poland'),
(100222, '193.17.215.0', '193.17.215.255', 3239171840, 3239172095, 'CM', 'Cameroon'),
(100223, '193.17.216.0', '193.17.217.255', 3239172096, 3239172607, 'UA', 'Ukraine'),
(100224, '193.17.218.0', '193.17.218.255', 3239172608, 3239172863, 'SE', 'Sweden'),
(100225, '193.17.219.0', '193.17.219.255', 3239172864, 3239173119, 'DE', 'Germany'),
(100226, '193.17.220.0', '193.17.220.255', 3239173120, 3239173375, 'RO', 'Romania'),
(100227, '193.17.221.0', '193.17.221.255', 3239173376, 3239173631, 'DE', 'Germany'),
(100228, '193.17.222.0', '193.17.222.255', 3239173632, 3239173887, 'AT', 'Austria'),
(100229, '193.17.223.0', '193.17.223.255', 3239173888, 3239174143, 'PL', 'Poland'),
(100230, '193.17.224.0', '193.17.224.255', 3239174144, 3239174399, 'DE', 'Germany'),
(100231, '193.17.225.0', '193.17.225.255', 3239174400, 3239174655, 'RO', 'Romania'),
(100232, '193.17.226.0', '193.17.226.255', 3239174656, 3239174911, 'GB', 'United Kingdom'),
(100233, '193.17.227.0', '193.17.227.255', 3239174912, 3239175167, 'SI', 'Slovenia'),
(100234, '193.17.228.0', '193.17.228.255', 3239175168, 3239175423, 'UA', 'Ukraine'),
(100235, '193.17.229.0', '193.17.229.255', 3239175424, 3239175679, 'BG', 'Bulgaria'),
(100236, '193.17.230.0', '193.17.230.255', 3239175680, 3239175935, 'DE', 'Germany'),
(100237, '193.17.231.0', '193.17.231.255', 3239175936, 3239176191, 'FI', 'Finland'),
(100238, '193.17.232.0', '193.17.247.255', 3239176192, 3239180287, 'DE', 'Germany'),
(100239, '193.17.248.0', '193.17.251.255', 3239180288, 3239181311, 'CZ', 'Czech Republic'),
(100240, '193.17.252.0', '193.17.252.255', 3239181312, 3239181567, 'AT', 'Austria'),
(100241, '193.17.253.0', '193.17.253.255', 3239181568, 3239181823, 'UA', 'Ukraine'),
(100242, '193.17.254.0', '193.18.91.255', 3239181824, 3239205887, 'DE', 'Germany'),
(100243, '193.18.92.0', '193.18.92.255', 3239205888, 3239206143, 'US', 'United States'),
(100244, '193.18.93.0', '193.19.63.255', 3239206144, 3239264255, 'DE', 'Germany'),
(100245, '193.19.64.0', '193.19.65.255', 3239264256, 3239264767, 'NO', 'Norway'),
(100246, '193.19.66.0', '193.19.71.255', 3239264768, 3239266303, 'RU', 'Russian Federation'),
(100247, '193.19.72.0', '193.19.73.255', 3239266304, 3239266815, 'PL', 'Poland'),
(100248, '193.19.74.0', '193.19.75.255', 3239266816, 3239267327, 'UA', 'Ukraine'),
(100249, '193.19.76.0', '193.19.77.255', 3239267328, 3239267839, 'FR', 'France'),
(100250, '193.19.78.0', '193.19.79.255', 3239267840, 3239268351, 'DE', 'Germany'),
(100251, '193.19.80.0', '193.19.81.255', 3239268352, 3239268863, 'SE', 'Sweden'),
(100252, '193.19.82.0', '193.19.83.255', 3239268864, 3239269375, 'RU', 'Russian Federation'),
(100253, '193.19.84.0', '193.19.87.255', 3239269376, 3239270399, 'UA', 'Ukraine'),
(100254, '193.19.88.0', '193.19.89.255', 3239270400, 3239270911, 'GB', 'United Kingdom'),
(100255, '193.19.90.0', '193.19.91.255', 3239270912, 3239271423, 'SA', 'Saudi Arabia'),
(100256, '193.19.92.0', '193.19.93.255', 3239271424, 3239271935, 'AT', 'Austria'),
(100257, '193.19.94.0', '193.19.95.255', 3239271936, 3239272447, 'CH', 'Switzerland'),
(100258, '193.19.96.0', '193.19.97.255', 3239272448, 3239272959, 'UA', 'Ukraine'),
(100259, '193.19.98.0', '193.19.99.255', 3239272960, 3239273471, 'GB', 'United Kingdom'),
(100260, '193.19.100.0', '193.19.101.255', 3239273472, 3239273983, 'UA', 'Ukraine'),
(100261, '193.19.102.0', '193.19.103.255', 3239273984, 3239274495, 'RU', 'Russian Federation'),
(100262, '193.19.104.0', '193.19.105.255', 3239274496, 3239275007, 'PL', 'Poland'),
(100263, '193.19.106.0', '193.19.107.255', 3239275008, 3239275519, 'RO', 'Romania'),
(100264, '193.19.108.0', '193.19.111.255', 3239275520, 3239276543, 'UA', 'Ukraine'),
(100265, '193.19.112.0', '193.19.113.255', 3239276544, 3239277055, 'LU', 'Luxembourg'),
(100266, '193.19.114.0', '193.19.115.255', 3239277056, 3239277567, 'DE', 'Germany'),
(100267, '193.19.116.0', '193.19.117.255', 3239277568, 3239278079, 'RU', 'Russian Federation'),
(100268, '193.19.118.0', '193.19.119.255', 3239278080, 3239278591, 'UA', 'Ukraine'),
(100269, '193.19.120.0', '193.19.121.255', 3239278592, 3239279103, 'RU', 'Russian Federation'),
(100270, '193.19.122.0', '193.19.125.255', 3239279104, 3239280127, 'PL', 'Poland'),
(100271, '193.19.126.0', '193.19.127.255', 3239280128, 3239280639, 'RU', 'Russian Federation'),
(100272, '193.19.128.0', '193.19.131.255', 3239280640, 3239281663, 'IR', 'Iran, Islamic Republic of'),
(100273, '193.19.132.0', '193.19.135.255', 3239281664, 3239282687, 'UA', 'Ukraine'),
(100274, '193.19.136.0', '193.19.139.255', 3239282688, 3239283711, 'FI', 'Finland'),
(100275, '193.19.140.0', '193.19.143.255', 3239283712, 3239284735, 'PL', 'Poland'),
(100276, '193.19.144.0', '193.19.145.255', 3239284736, 3239285247, 'IR', 'Iran, Islamic Republic of'),
(100277, '193.19.146.0', '193.19.146.255', 3239285248, 3239285503, 'SE', 'Sweden'),
(100278, '193.19.147.0', '193.19.147.255', 3239285504, 3239285759, 'BG', 'Bulgaria'),
(100279, '193.19.148.0', '193.19.151.255', 3239285760, 3239286783, 'KW', 'Kuwait'),
(100280, '193.19.152.0', '193.19.155.255', 3239286784, 3239287807, 'UA', 'Ukraine'),
(100281, '193.19.156.0', '193.19.159.255', 3239287808, 3239288831, 'GB', 'United Kingdom'),
(100282, '193.19.160.0', '193.19.163.255', 3239288832, 3239289855, 'DE', 'Germany'),
(100283, '193.19.164.0', '193.19.167.255', 3239289856, 3239290879, 'PL', 'Poland'),
(100284, '193.19.168.0', '193.19.171.255', 3239290880, 3239291903, 'RU', 'Russian Federation'),
(100285, '193.19.172.0', '193.19.175.255', 3239291904, 3239292927, 'BG', 'Bulgaria'),
(100286, '193.19.176.0', '193.19.179.255', 3239292928, 3239293951, 'CZ', 'Czech Republic'),
(100287, '193.19.180.0', '193.19.183.255', 3239293952, 3239294975, 'DE', 'Germany'),
(100288, '193.19.184.0', '193.19.187.255', 3239294976, 3239295999, 'UA', 'Ukraine'),
(100289, '193.19.188.0', '193.19.189.255', 3239296000, 3239296511, 'GB', 'United Kingdom'),
(100290, '193.19.190.0', '193.19.190.255', 3239296512, 3239296767, 'LB', 'Lebanon'),
(100291, '193.19.191.0', '193.19.191.255', 3239296768, 3239297023, 'GB', 'United Kingdom'),
(100292, '193.19.192.0', '193.19.195.255', 3239297024, 3239298047, 'RO', 'Romania'),
(100293, '193.19.196.0', '193.19.199.255', 3239298048, 3239299071, 'GB', 'United Kingdom'),
(100294, '193.19.200.0', '193.19.207.255', 3239299072, 3239301119, 'UA', 'Ukraine'),
(100295, '193.19.208.0', '193.19.211.255', 3239301120, 3239302143, 'FR', 'France'),
(100296, '193.19.212.0', '193.19.215.255', 3239302144, 3239303167, 'PL', 'Poland'),
(100297, '193.19.216.0', '193.19.219.255', 3239303168, 3239304191, 'FR', 'France'),
(100298, '193.19.220.0', '193.19.223.255', 3239304192, 3239305215, 'SI', 'Slovenia'),
(100299, '193.19.224.0', '193.19.227.255', 3239305216, 3239306239, 'NL', 'Netherlands'),
(100300, '193.19.228.0', '193.19.231.255', 3239306240, 3239307263, 'UA', 'Ukraine'),
(100301, '193.19.232.0', '193.19.235.255', 3239307264, 3239308287, 'EG', 'Egypt'),
(100302, '193.19.236.0', '193.19.239.255', 3239308288, 3239309311, 'DE', 'Germany'),
(100303, '193.19.240.0', '193.19.247.255', 3239309312, 3239311359, 'UA', 'Ukraine'),
(100304, '193.19.248.0', '193.19.251.255', 3239311360, 3239312383, 'FR', 'France'),
(100305, '193.19.252.0', '193.19.255.255', 3239312384, 3239313407, 'UA', 'Ukraine'),
(100306, '193.20.0.0', '193.22.4.255', 3239313408, 3239445759, 'DE', 'Germany'),
(100307, '193.22.5.0', '193.22.5.255', 3239445760, 3239446015, 'PL', 'Poland'),
(100308, '193.22.6.0', '193.22.6.255', 3239446016, 3239446271, 'RU', 'Russian Federation'),
(100309, '193.22.7.0', '193.22.7.255', 3239446272, 3239446527, 'FR', 'France'),
(100310, '193.22.8.0', '193.22.27.255', 3239446528, 3239451647, 'DE', 'Germany'),
(100311, '193.22.28.0', '193.22.28.255', 3239451648, 3239451903, 'PL', 'Poland'),
(100312, '193.22.29.0', '193.22.29.255', 3239451904, 3239452159, 'DE', 'Germany'),
(100313, '193.22.30.0', '193.22.30.255', 3239452160, 3239452415, 'CY', 'Cyprus'),
(100314, '193.22.31.0', '193.22.31.255', 3239452416, 3239452671, 'HR', 'Croatia'),
(100315, '193.22.32.0', '193.22.79.255', 3239452672, 3239464959, 'DE', 'Germany'),
(100316, '193.22.80.0', '193.22.80.255', 3239464960, 3239465215, 'IL', 'Israel'),
(100317, '193.22.81.0', '193.22.81.255', 3239465216, 3239465471, 'PL', 'Poland'),
(100318, '193.22.82.0', '193.22.82.255', 3239465472, 3239465727, 'AT', 'Austria'),
(100319, '193.22.83.0', '193.22.83.255', 3239465728, 3239465983, 'PL', 'Poland'),
(100320, '193.22.84.0', '193.22.84.255', 3239465984, 3239466239, 'UA', 'Ukraine'),
(100321, '193.22.85.0', '193.22.85.255', 3239466240, 3239466495, 'AT', 'Austria'),
(100322, '193.22.86.0', '193.22.86.255', 3239466496, 3239466751, 'FI', 'Finland'),
(100323, '193.22.87.0', '193.22.87.255', 3239466752, 3239467007, 'GB', 'United Kingdom'),
(100324, '193.22.88.0', '193.22.88.255', 3239467008, 3239467263, 'RU', 'Russian Federation'),
(100325, '193.22.89.0', '193.22.89.255', 3239467264, 3239467519, 'GB', 'United Kingdom'),
(100326, '193.22.90.0', '193.22.90.255', 3239467520, 3239467775, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(100327, '193.22.91.0', '193.22.91.255', 3239467776, 3239468031, 'PL', 'Poland'),
(100328, '193.22.92.0', '193.22.92.255', 3239468032, 3239468287, 'FR', 'France'),
(100329, '193.22.93.0', '193.22.93.255', 3239468288, 3239468543, 'RO', 'Romania'),
(100330, '193.22.94.0', '193.22.94.255', 3239468544, 3239468799, 'NO', 'Norway'),
(100331, '193.22.95.0', '193.22.95.255', 3239468800, 3239469055, 'RO', 'Romania'),
(100332, '193.22.96.0', '193.22.101.255', 3239469056, 3239470591, 'DE', 'Germany'),
(100333, '193.22.102.0', '193.22.102.255', 3239470592, 3239470847, 'CH', 'Switzerland'),
(100334, '193.22.103.0', '193.22.103.255', 3239470848, 3239471103, 'BG', 'Bulgaria'),
(100335, '193.22.104.0', '193.22.106.255', 3239471104, 3239471871, 'DE', 'Germany'),
(100336, '193.22.107.0', '193.22.107.255', 3239471872, 3239472127, 'FR', 'France'),
(100337, '193.22.108.0', '193.22.118.255', 3239472128, 3239474943, 'DE', 'Germany'),
(100338, '193.22.119.0', '193.22.119.255', 3239474944, 3239475199, 'ES', 'Spain'),
(100339, '193.22.120.0', '193.22.137.255', 3239475200, 3239479807, 'DE', 'Germany'),
(100340, '193.22.138.0', '193.22.138.255', 3239479808, 3239480063, 'UA', 'Ukraine'),
(100341, '193.22.139.0', '193.22.139.255', 3239480064, 3239480319, 'FR', 'France'),
(100342, '193.22.140.0', '193.22.140.255', 3239480320, 3239480575, 'UA', 'Ukraine'),
(100343, '193.22.141.0', '193.22.141.255', 3239480576, 3239480831, 'RO', 'Romania'),
(100344, '193.22.142.0', '193.22.142.255', 3239480832, 3239481087, 'CH', 'Switzerland'),
(100345, '193.22.143.0', '193.22.143.255', 3239481088, 3239481343, 'FR', 'France'),
(100346, '193.22.144.0', '193.22.164.255', 3239481344, 3239486719, 'DE', 'Germany'),
(100347, '193.22.165.0', '193.22.165.255', 3239486720, 3239486975, 'ES', 'Spain'),
(100348, '193.22.166.0', '193.22.167.255', 3239486976, 3239487487, 'DE', 'Germany'),
(100349, '193.22.168.0', '193.22.168.255', 3239487488, 3239487743, 'GB', 'United Kingdom'),
(100350, '193.22.169.0', '193.22.169.255', 3239487744, 3239487999, 'PL', 'Poland'),
(100351, '193.22.170.0', '193.22.170.255', 3239488000, 3239488255, 'AT', 'Austria'),
(100352, '193.22.171.0', '193.22.171.255', 3239488256, 3239488511, 'CH', 'Switzerland'),
(100353, '193.22.172.0', '193.22.172.255', 3239488512, 3239488767, 'KW', 'Kuwait'),
(100354, '193.22.173.0', '193.22.173.255', 3239488768, 3239489023, 'RO', 'Romania'),
(100355, '193.22.174.0', '193.22.174.255', 3239489024, 3239489279, 'DE', 'Germany'),
(100356, '193.22.175.0', '193.22.175.255', 3239489280, 3239489535, 'PL', 'Poland'),
(100357, '193.22.176.0', '193.22.204.255', 3239489536, 3239496959, 'DE', 'Germany'),
(100358, '193.22.205.0', '193.22.205.255', 3239496960, 3239497215, 'EU', 'Europe'),
(100359, '193.22.206.0', '193.22.223.255', 3239497216, 3239501823, 'DE', 'Germany'),
(100360, '193.22.224.0', '193.22.239.255', 3239501824, 3239505919, 'BE', 'Belgium'),
(100361, '193.22.240.0', '193.22.241.255', 3239505920, 3239506431, 'DE', 'Germany'),
(100362, '193.22.242.0', '193.22.242.255', 3239506432, 3239506687, 'RU', 'Russian Federation'),
(100363, '193.22.243.0', '193.22.245.255', 3239506688, 3239507455, 'GB', 'United Kingdom'),
(100364, '193.22.246.0', '193.22.247.255', 3239507456, 3239507967, 'DE', 'Germany'),
(100365, '193.22.248.0', '193.22.248.255', 3239507968, 3239508223, 'BG', 'Bulgaria'),
(100366, '193.22.249.0', '193.22.249.255', 3239508224, 3239508479, 'SA', 'Saudi Arabia'),
(100367, '193.22.250.0', '193.22.250.255', 3239508480, 3239508735, 'NO', 'Norway'),
(100368, '193.22.251.0', '193.22.251.255', 3239508736, 3239508991, 'DE', 'Germany'),
(100369, '193.22.252.0', '193.22.252.255', 3239508992, 3239509247, 'PL', 'Poland'),
(100370, '193.22.253.0', '193.22.253.255', 3239509248, 3239509503, 'DE', 'Germany'),
(100371, '193.22.254.0', '193.22.254.255', 3239509504, 3239509759, 'CH', 'Switzerland'),
(100372, '193.22.255.0', '193.22.255.255', 3239509760, 3239510015, 'DE', 'Germany'),
(100373, '193.23.0.0', '193.23.0.255', 3239510016, 3239510271, 'UA', 'Ukraine'),
(100374, '193.23.1.0', '193.23.42.255', 3239510272, 3239521023, 'DE', 'Germany'),
(100375, '193.23.43.0', '193.23.43.255', 3239521024, 3239521279, 'AP', 'Asia/Pacific Region'),
(100376, '193.23.44.0', '193.23.47.255', 3239521280, 3239522303, 'DE', 'Germany'),
(100377, '193.23.48.0', '193.23.48.255', 3239522304, 3239522559, 'PL', 'Poland'),
(100378, '193.23.49.0', '193.23.49.255', 3239522560, 3239522815, 'SI', 'Slovenia'),
(100379, '193.23.50.0', '193.23.50.255', 3239522816, 3239523071, 'LT', 'Lithuania'),
(100380, '193.23.51.0', '193.23.51.255', 3239523072, 3239523327, 'PL', 'Poland'),
(100381, '193.23.52.0', '193.23.52.255', 3239523328, 3239523583, 'BG', 'Bulgaria'),
(100382, '193.23.53.0', '193.23.53.255', 3239523584, 3239523839, 'UA', 'Ukraine'),
(100383, '193.23.54.0', '193.23.54.255', 3239523840, 3239524095, 'PL', 'Poland'),
(100384, '193.23.55.0', '193.23.55.255', 3239524096, 3239524351, 'SE', 'Sweden'),
(100385, '193.23.56.0', '193.23.56.255', 3239524352, 3239524607, 'DE', 'Germany'),
(100386, '193.23.57.0', '193.23.57.255', 3239524608, 3239524863, 'SE', 'Sweden'),
(100387, '193.23.58.0', '193.23.58.255', 3239524864, 3239525119, 'UA', 'Ukraine'),
(100388, '193.23.59.0', '193.23.59.255', 3239525120, 3239525375, 'LT', 'Lithuania'),
(100389, '193.23.60.0', '193.23.60.255', 3239525376, 3239525631, 'UA', 'Ukraine'),
(100390, '193.23.61.0', '193.23.61.255', 3239525632, 3239525887, 'PL', 'Poland'),
(100391, '193.23.62.0', '193.23.62.255', 3239525888, 3239526143, 'SI', 'Slovenia'),
(100392, '193.23.63.0', '193.23.63.255', 3239526144, 3239526399, 'PL', 'Poland'),
(100393, '193.23.64.0', '193.23.111.255', 3239526400, 3239538687, 'DE', 'Germany'),
(100394, '193.23.112.0', '193.23.113.255', 3239538688, 3239539199, 'NL', 'Netherlands'),
(100395, '193.23.114.0', '193.23.114.255', 3239539200, 3239539455, 'IT', 'Italy'),
(100396, '193.23.115.0', '193.23.115.255', 3239539456, 3239539711, 'BE', 'Belgium'),
(100397, '193.23.116.0', '193.23.116.255', 3239539712, 3239539967, 'GB', 'United Kingdom'),
(100398, '193.23.117.0', '193.23.117.255', 3239539968, 3239540223, 'SE', 'Sweden'),
(100399, '193.23.118.0', '193.23.118.255', 3239540224, 3239540479, 'GR', 'Greece'),
(100400, '193.23.119.0', '193.23.119.255', 3239540480, 3239540735, 'DE', 'Germany'),
(100401, '193.23.120.0', '193.23.120.255', 3239540736, 3239540991, 'GB', 'United Kingdom'),
(100402, '193.23.121.0', '193.23.121.255', 3239540992, 3239541247, 'FR', 'France'),
(100403, '193.23.122.0', '193.23.122.255', 3239541248, 3239541503, 'UA', 'Ukraine'),
(100404, '193.23.123.0', '193.23.123.255', 3239541504, 3239541759, 'FR', 'France'),
(100405, '193.23.124.0', '193.23.124.255', 3239541760, 3239542015, 'GB', 'United Kingdom'),
(100406, '193.23.125.0', '193.23.125.255', 3239542016, 3239542271, 'PL', 'Poland'),
(100407, '193.23.126.0', '193.23.126.255', 3239542272, 3239542527, 'RU', 'Russian Federation'),
(100408, '193.23.127.0', '193.23.127.255', 3239542528, 3239542783, 'FR', 'France'),
(100409, '193.23.128.0', '193.23.135.255', 3239542784, 3239544831, 'DE', 'Germany'),
(100410, '193.23.136.0', '193.23.136.255', 3239544832, 3239545087, 'GB', 'United Kingdom'),
(100411, '193.23.137.0', '193.23.137.255', 3239545088, 3239545343, 'SI', 'Slovenia'),
(100412, '193.23.138.0', '193.23.139.255', 3239545344, 3239545855, 'HU', 'Hungary'),
(100413, '193.23.140.0', '193.23.140.255', 3239545856, 3239546111, 'UA', 'Ukraine'),
(100414, '193.23.141.0', '193.23.141.255', 3239546112, 3239546367, 'GB', 'United Kingdom'),
(100415, '193.23.142.0', '193.23.142.255', 3239546368, 3239546623, 'RU', 'Russian Federation'),
(100416, '193.23.143.0', '193.23.143.255', 3239546624, 3239546879, 'NL', 'Netherlands'),
(100417, '193.23.144.0', '193.23.155.255', 3239546880, 3239549951, 'DE', 'Germany'),
(100418, '193.23.156.0', '193.23.156.255', 3239549952, 3239550207, 'TR', 'Turkey'),
(100419, '193.23.157.0', '193.23.157.255', 3239550208, 3239550463, 'UA', 'Ukraine'),
(100420, '193.23.158.0', '193.23.158.255', 3239550464, 3239550719, 'FR', 'France'),
(100421, '193.23.159.0', '193.23.159.255', 3239550720, 3239550975, 'NO', 'Norway'),
(100422, '193.23.160.0', '193.23.171.255', 3239550976, 3239554047, 'DE', 'Germany'),
(100423, '193.23.172.0', '193.23.172.255', 3239554048, 3239554303, 'SE', 'Sweden'),
(100424, '193.23.173.0', '193.23.173.255', 3239554304, 3239554559, 'DK', 'Denmark'),
(100425, '193.23.174.0', '193.23.174.255', 3239554560, 3239554815, 'PL', 'Poland'),
(100426, '193.23.175.0', '193.23.175.255', 3239554816, 3239555071, 'UA', 'Ukraine'),
(100427, '193.23.176.0', '193.23.179.255', 3239555072, 3239556095, 'DE', 'Germany'),
(100428, '193.23.180.0', '193.23.180.255', 3239556096, 3239556351, 'SA', 'Saudi Arabia'),
(100429, '193.23.181.0', '193.23.181.255', 3239556352, 3239556607, 'UA', 'Ukraine'),
(100430, '193.23.182.0', '193.23.182.255', 3239556608, 3239556863, 'HR', 'Croatia'),
(100431, '193.23.183.0', '193.23.183.255', 3239556864, 3239557119, 'UA', 'Ukraine'),
(100432, '193.23.184.0', '193.23.214.255', 3239557120, 3239565055, 'DE', 'Germany'),
(100433, '193.23.215.0', '193.23.215.255', 3239565056, 3239565311, 'US', 'United States'),
(100434, '193.23.216.0', '193.23.223.255', 3239565312, 3239567359, 'DE', 'Germany'),
(100435, '193.23.224.0', '193.23.224.255', 3239567360, 3239567615, 'GB', 'United Kingdom'),
(100436, '193.23.225.0', '193.23.225.255', 3239567616, 3239567871, 'UA', 'Ukraine'),
(100437, '193.23.226.0', '193.23.226.255', 3239567872, 3239568127, 'DE', 'Germany'),
(100438, '193.23.227.0', '193.23.227.255', 3239568128, 3239568383, 'FR', 'France'),
(100439, '193.23.228.0', '193.23.228.255', 3239568384, 3239568639, 'SE', 'Sweden'),
(100440, '193.23.229.0', '193.23.229.255', 3239568640, 3239568895, 'NO', 'Norway'),
(100441, '193.23.230.0', '193.23.254.255', 3239568896, 3239575295, 'DE', 'Germany'),
(100442, '193.23.255.0', '193.23.255.255', 3239575296, 3239575551, 'DK', 'Denmark'),
(100443, '193.24.0.0', '193.24.0.255', 3239575552, 3239575807, 'RO', 'Romania'),
(100444, '193.24.1.0', '193.24.13.255', 3239575808, 3239579135, 'DE', 'Germany'),
(100445, '193.24.14.0', '193.24.14.255', 3239579136, 3239579391, 'PL', 'Poland'),
(100446, '193.24.15.0', '193.24.23.255', 3239579392, 3239581695, 'DE', 'Germany'),
(100447, '193.24.24.0', '193.24.24.255', 3239581696, 3239581951, 'PL', 'Poland'),
(100448, '193.24.25.0', '193.24.25.255', 3239581952, 3239582207, 'UA', 'Ukraine'),
(100449, '193.24.26.0', '193.24.26.255', 3239582208, 3239582463, 'GB', 'United Kingdom'),
(100450, '193.24.27.0', '193.24.27.255', 3239582464, 3239582719, 'DE', 'Germany'),
(100451, '193.24.28.0', '193.24.28.255', 3239582720, 3239582975, 'GB', 'United Kingdom'),
(100452, '193.24.29.0', '193.24.29.255', 3239582976, 3239583231, 'IT', 'Italy'),
(100453, '193.24.30.0', '193.24.30.255', 3239583232, 3239583487, 'UA', 'Ukraine'),
(100454, '193.24.31.0', '193.24.31.255', 3239583488, 3239583743, 'RO', 'Romania'),
(100455, '193.24.32.0', '193.24.63.255', 3239583744, 3239591935, 'DE', 'Germany'),
(100456, '193.24.64.0', '193.24.65.255', 3239591936, 3239592447, 'FI', 'Finland'),
(100457, '193.24.66.0', '193.24.66.255', 3239592448, 3239592703, 'US', 'United States'),
(100458, '193.24.67.0', '193.24.67.255', 3239592704, 3239592959, 'FI', 'Finland'),
(100459, '193.24.68.0', '193.24.68.255', 3239592960, 3239593215, 'EU', 'Europe'),
(100460, '193.24.69.0', '193.24.71.255', 3239593216, 3239593983, 'FI', 'Finland'),
(100461, '193.24.72.0', '193.24.191.255', 3239593984, 3239624703, 'DE', 'Germany'),
(100462, '193.24.192.0', '193.24.195.255', 3239624704, 3239625727, 'CH', 'Switzerland'),
(100463, '193.24.196.0', '193.24.199.255', 3239625728, 3239626751, 'RU', 'Russian Federation'),
(100464, '193.24.200.0', '193.24.207.255', 3239626752, 3239628799, 'PL', 'Poland'),
(100465, '193.24.208.0', '193.24.211.255', 3239628800, 3239629823, 'DE', 'Germany'),
(100466, '193.24.212.0', '193.24.215.255', 3239629824, 3239630847, 'FR', 'France'),
(100467, '193.24.216.0', '193.24.219.255', 3239630848, 3239631871, 'DE', 'Germany'),
(100468, '193.24.220.0', '193.24.223.255', 3239631872, 3239632895, 'UA', 'Ukraine'),
(100469, '193.24.224.0', '193.24.227.255', 3239632896, 3239633919, 'DE', 'Germany'),
(100470, '193.24.228.0', '193.24.231.255', 3239633920, 3239634943, 'FR', 'France'),
(100471, '193.24.232.0', '193.24.235.255', 3239634944, 3239635967, 'RU', 'Russian Federation'),
(100472, '193.24.236.0', '193.24.239.255', 3239635968, 3239636991, 'DE', 'Germany'),
(100473, '193.24.240.0', '193.24.243.255', 3239636992, 3239638015, 'BG', 'Bulgaria'),
(100474, '193.24.244.0', '193.24.247.255', 3239638016, 3239639039, 'PL', 'Poland'),
(100475, '193.24.248.0', '193.24.251.255', 3239639040, 3239640063, 'SI', 'Slovenia'),
(100476, '193.24.252.0', '193.24.255.255', 3239640064, 3239641087, 'DE', 'Germany'),
(100477, '193.25.0.0', '193.25.7.255', 3239641088, 3239643135, 'PL', 'Poland'),
(100478, '193.25.8.0', '193.25.15.255', 3239643136, 3239645183, 'RU', 'Russian Federation'),
(100479, '193.25.16.0', '193.25.95.255', 3239645184, 3239665663, 'DE', 'Germany'),
(100480, '193.25.96.0', '193.25.97.255', 3239665664, 3239666175, 'BE', 'Belgium'),
(100481, '193.25.98.0', '193.25.99.255', 3239666176, 3239666687, 'AT', 'Austria'),
(100482, '193.25.100.0', '193.25.101.255', 3239666688, 3239667199, 'SE', 'Sweden'),
(100483, '193.25.102.0', '193.25.103.255', 3239667200, 3239667711, 'CH', 'Switzerland'),
(100484, '193.25.104.0', '193.25.105.255', 3239667712, 3239668223, 'RO', 'Romania'),
(100485, '193.25.106.0', '193.25.107.255', 3239668224, 3239668735, 'UA', 'Ukraine'),
(100486, '193.25.108.0', '193.25.109.255', 3239668736, 3239669247, 'PL', 'Poland'),
(100487, '193.25.110.0', '193.25.113.255', 3239669248, 3239670271, 'RO', 'Romania'),
(100488, '193.25.114.0', '193.25.115.255', 3239670272, 3239670783, 'DE', 'Germany'),
(100489, '193.25.116.0', '193.25.117.255', 3239670784, 3239671295, 'GB', 'United Kingdom'),
(100490, '193.25.118.0', '193.25.119.255', 3239671296, 3239671807, 'DE', 'Germany'),
(100491, '193.25.120.0', '193.25.121.255', 3239671808, 3239672319, 'UA', 'Ukraine'),
(100492, '193.25.122.0', '193.25.123.255', 3239672320, 3239672831, 'DE', 'Germany'),
(100493, '193.25.124.0', '193.25.125.255', 3239672832, 3239673343, 'TR', 'Turkey'),
(100494, '193.25.126.0', '193.25.127.255', 3239673344, 3239673855, 'SE', 'Sweden'),
(100495, '193.25.128.0', '193.25.159.255', 3239673856, 3239682047, 'DE', 'Germany'),
(100496, '193.25.160.0', '193.25.161.255', 3239682048, 3239682559, 'PL', 'Poland'),
(100497, '193.25.162.0', '193.25.163.255', 3239682560, 3239683071, 'BG', 'Bulgaria'),
(100498, '193.25.164.0', '193.25.165.255', 3239683072, 3239683583, 'PT', 'Portugal'),
(100499, '193.25.166.0', '193.25.169.255', 3239683584, 3239684607, 'PL', 'Poland'),
(100500, '193.25.170.0', '193.25.175.255', 3239684608, 3239686143, 'DE', 'Germany'),
(100501, '193.25.176.0', '193.25.177.255', 3239686144, 3239686655, 'UA', 'Ukraine'),
(100502, '193.25.178.0', '193.25.179.255', 3239686656, 3239687167, 'IT', 'Italy'),
(100503, '193.25.180.0', '193.25.181.255', 3239687168, 3239687679, 'UA', 'Ukraine'),
(100504, '193.25.182.0', '193.25.183.255', 3239687680, 3239688191, 'DE', 'Germany'),
(100505, '193.25.184.0', '193.25.185.255', 3239688192, 3239688703, 'PL', 'Poland'),
(100506, '193.25.186.0', '193.25.189.255', 3239688704, 3239689727, 'GB', 'United Kingdom'),
(100507, '193.25.190.0', '193.25.191.255', 3239689728, 3239690239, 'RU', 'Russian Federation'),
(100508, '193.25.192.0', '193.25.192.255', 3239690240, 3239690495, 'ES', 'Spain'),
(100509, '193.25.193.0', '193.25.193.255', 3239690496, 3239690751, 'PL', 'Poland'),
(100510, '193.25.194.0', '193.25.195.255', 3239690752, 3239691263, 'FR', 'France'),
(100511, '193.25.196.0', '193.25.196.255', 3239691264, 3239691519, 'IT', 'Italy'),
(100512, '193.25.197.0', '193.25.197.255', 3239691520, 3239691775, 'FR', 'France'),
(100513, '193.25.198.0', '193.25.198.255', 3239691776, 3239692031, 'EU', 'Europe'),
(100514, '193.25.199.0', '193.25.199.255', 3239692032, 3239692287, 'AT', 'Austria'),
(100515, '193.25.200.0', '193.25.219.255', 3239692288, 3239697407, 'DE', 'Germany'),
(100516, '193.25.220.0', '193.25.220.255', 3239697408, 3239697663, 'HR', 'Croatia'),
(100517, '193.25.221.0', '193.25.221.255', 3239697664, 3239697919, 'RU', 'Russian Federation'),
(100518, '193.25.222.0', '193.25.223.255', 3239697920, 3239698431, 'PL', 'Poland'),
(100519, '193.25.224.0', '193.25.254.255', 3239698432, 3239706367, 'DE', 'Germany'),
(100520, '193.25.255.0', '193.25.255.255', 3239706368, 3239706623, 'UA', 'Ukraine'),
(100521, '193.26.0.0', '193.26.0.255', 3239706624, 3239706879, 'RU', 'Russian Federation'),
(100522, '193.26.1.0', '193.26.1.255', 3239706880, 3239707135, 'NL', 'Netherlands'),
(100523, '193.26.2.0', '193.26.2.255', 3239707136, 3239707391, 'RU', 'Russian Federation'),
(100524, '193.26.3.0', '193.26.3.255', 3239707392, 3239707647, 'UA', 'Ukraine'),
(100525, '193.26.4.0', '193.26.4.255', 3239707648, 3239707903, 'CH', 'Switzerland'),
(100526, '193.26.5.0', '193.26.5.255', 3239707904, 3239708159, 'DE', 'Germany'),
(100527, '193.26.6.0', '193.26.6.255', 3239708160, 3239708415, 'SE', 'Sweden'),
(100528, '193.26.7.0', '193.26.7.255', 3239708416, 3239708671, 'RO', 'Romania'),
(100529, '193.26.8.0', '193.26.8.255', 3239708672, 3239708927, 'AT', 'Austria'),
(100530, '193.26.9.0', '193.26.9.255', 3239708928, 3239709183, 'NL', 'Netherlands'),
(100531, '193.26.10.0', '193.26.10.255', 3239709184, 3239709439, 'RO', 'Romania'),
(100532, '193.26.11.0', '193.26.11.255', 3239709440, 3239709695, 'FR', 'France'),
(100533, '193.26.12.0', '193.26.12.255', 3239709696, 3239709951, 'DE', 'Germany'),
(100534, '193.26.13.0', '193.26.13.255', 3239709952, 3239710207, 'UA', 'Ukraine'),
(100535, '193.26.14.0', '193.26.14.255', 3239710208, 3239710463, 'BG', 'Bulgaria'),
(100536, '193.26.15.0', '193.26.15.255', 3239710464, 3239710719, 'DE', 'Germany'),
(100537, '193.26.16.0', '193.26.16.255', 3239710720, 3239710975, 'RU', 'Russian Federation'),
(100538, '193.26.17.0', '193.26.17.255', 3239710976, 3239711231, 'SE', 'Sweden'),
(100539, '193.26.18.0', '193.26.18.255', 3239711232, 3239711487, 'BY', 'Belarus'),
(100540, '193.26.19.0', '193.26.19.255', 3239711488, 3239711743, 'RU', 'Russian Federation'),
(100541, '193.26.20.0', '193.26.20.255', 3239711744, 3239711999, 'UA', 'Ukraine'),
(100542, '193.26.21.0', '193.26.21.255', 3239712000, 3239712255, 'PL', 'Poland'),
(100543, '193.26.22.0', '193.26.22.255', 3239712256, 3239712511, 'DE', 'Germany'),
(100544, '193.26.23.0', '193.26.23.255', 3239712512, 3239712767, 'GB', 'United Kingdom'),
(100545, '193.26.24.0', '193.26.24.255', 3239712768, 3239713023, 'DE', 'Germany'),
(100546, '193.26.25.0', '193.26.25.255', 3239713024, 3239713279, 'PL', 'Poland'),
(100547, '193.26.26.0', '193.26.26.255', 3239713280, 3239713535, 'SI', 'Slovenia'),
(100548, '193.26.27.0', '193.26.27.255', 3239713536, 3239713791, 'UA', 'Ukraine'),
(100549, '193.26.28.0', '193.26.28.255', 3239713792, 3239714047, 'DE', 'Germany'),
(100550, '193.26.29.0', '193.26.29.255', 3239714048, 3239714303, 'FR', 'France'),
(100551, '193.26.30.0', '193.26.30.255', 3239714304, 3239714559, 'SE', 'Sweden'),
(100552, '193.26.31.0', '193.26.31.255', 3239714560, 3239714815, 'HU', 'Hungary'),
(100553, '193.26.32.0', '193.26.63.255', 3239714816, 3239723007, 'DE', 'Germany'),
(100554, '193.26.64.0', '193.26.95.255', 3239723008, 3239731199, 'GB', 'United Kingdom'),
(100555, '193.26.96.0', '193.26.127.255', 3239731200, 3239739391, 'DE', 'Germany'),
(100556, '193.26.128.0', '193.26.128.255', 3239739392, 3239739647, 'IT', 'Italy'),
(100557, '193.26.129.0', '193.26.129.255', 3239739648, 3239739903, 'RO', 'Romania'),
(100558, '193.26.130.0', '193.26.130.255', 3239739904, 3239740159, 'CH', 'Switzerland'),
(100559, '193.26.131.0', '193.26.131.255', 3239740160, 3239740415, 'PL', 'Poland'),
(100560, '193.26.132.0', '193.26.132.255', 3239740416, 3239740671, 'DK', 'Denmark'),
(100561, '193.26.133.0', '193.26.133.255', 3239740672, 3239740927, 'GB', 'United Kingdom'),
(100562, '193.26.134.0', '193.26.134.255', 3239740928, 3239741183, 'UA', 'Ukraine'),
(100563, '193.26.135.0', '193.26.135.255', 3239741184, 3239741439, 'RU', 'Russian Federation'),
(100564, '193.26.136.0', '193.26.207.255', 3239741440, 3239759871, 'DE', 'Germany'),
(100565, '193.26.208.0', '193.26.208.255', 3239759872, 3239760127, 'RU', 'Russian Federation'),
(100566, '193.26.209.0', '193.26.209.255', 3239760128, 3239760383, 'UA', 'Ukraine'),
(100567, '193.26.210.0', '193.26.211.255', 3239760384, 3239760895, 'PL', 'Poland'),
(100568, '193.26.212.0', '193.26.212.255', 3239760896, 3239761151, 'RU', 'Russian Federation'),
(100569, '193.26.213.0', '193.26.213.255', 3239761152, 3239761407, 'GB', 'United Kingdom'),
(100570, '193.26.214.0', '193.26.214.255', 3239761408, 3239761663, 'RU', 'Russian Federation'),
(100571, '193.26.215.0', '193.26.215.255', 3239761664, 3239761919, 'PL', 'Poland'),
(100572, '193.26.216.0', '193.26.216.255', 3239761920, 3239762175, 'BG', 'Bulgaria'),
(100573, '193.26.217.0', '193.26.217.255', 3239762176, 3239762431, 'RU', 'Russian Federation'),
(100574, '193.26.218.0', '193.26.218.255', 3239762432, 3239762687, 'DK', 'Denmark'),
(100575, '193.26.219.0', '193.26.219.255', 3239762688, 3239762943, 'RO', 'Romania'),
(100576, '193.26.220.0', '193.26.220.255', 3239762944, 3239763199, 'SI', 'Slovenia'),
(100577, '193.26.221.0', '193.26.221.255', 3239763200, 3239763455, 'SE', 'Sweden'),
(100578, '193.26.222.0', '193.26.223.255', 3239763456, 3239763967, 'GB', 'United Kingdom'),
(100579, '193.26.224.0', '193.26.255.255', 3239763968, 3239772159, 'DE', 'Germany'),
(100580, '193.27.0.0', '193.27.0.255', 3239772160, 3239772415, 'NL', 'Netherlands'),
(100581, '193.27.1.0', '193.27.1.255', 3239772416, 3239772671, 'GB', 'United Kingdom'),
(100582, '193.27.2.0', '193.27.3.255', 3239772672, 3239773183, 'DK', 'Denmark'),
(100583, '193.27.4.0', '193.27.4.255', 3239773184, 3239773439, 'FR', 'France'),
(100584, '193.27.5.0', '193.27.6.255', 3239773440, 3239773951, 'PL', 'Poland'),
(100585, '193.27.7.0', '193.27.7.255', 3239773952, 3239774207, 'SA', 'Saudi Arabia'),
(100586, '193.27.8.0', '193.27.8.255', 3239774208, 3239774463, 'PL', 'Poland'),
(100587, '193.27.9.0', '193.27.9.255', 3239774464, 3239774719, 'ES', 'Spain'),
(100588, '193.27.10.0', '193.27.10.255', 3239774720, 3239774975, 'FR', 'France'),
(100589, '193.27.11.0', '193.27.11.255', 3239774976, 3239775231, 'PT', 'Portugal'),
(100590, '193.27.12.0', '193.27.39.255', 3239775232, 3239782399, 'DE', 'Germany'),
(100591, '193.27.40.0', '193.27.40.255', 3239782400, 3239782655, 'AT', 'Austria'),
(100592, '193.27.41.0', '193.27.41.255', 3239782656, 3239782911, 'RU', 'Russian Federation'),
(100593, '193.27.42.0', '193.27.42.255', 3239782912, 3239783167, 'GB', 'United Kingdom'),
(100594, '193.27.43.0', '193.27.43.255', 3239783168, 3239783423, 'CH', 'Switzerland'),
(100595, '193.27.44.0', '193.27.44.255', 3239783424, 3239783679, 'DK', 'Denmark'),
(100596, '193.27.45.0', '193.27.45.255', 3239783680, 3239783935, 'CH', 'Switzerland'),
(100597, '193.27.46.0', '193.27.46.255', 3239783936, 3239784191, 'DE', 'Germany'),
(100598, '193.27.47.0', '193.27.47.255', 3239784192, 3239784447, 'FR', 'France'),
(100599, '193.27.48.0', '193.27.63.255', 3239784448, 3239788543, 'DE', 'Germany'),
(100600, '193.27.64.0', '193.27.65.255', 3239788544, 3239789055, 'EU', 'Europe'),
(100601, '193.27.66.0', '193.27.67.255', 3239789056, 3239789567, 'DE', 'Germany'),
(100602, '193.27.68.0', '193.27.69.255', 3239789568, 3239790079, 'FR', 'France'),
(100603, '193.27.70.0', '193.27.71.255', 3239790080, 3239790591, 'RO', 'Romania'),
(100604, '193.27.72.0', '193.27.73.255', 3239790592, 3239791103, 'LV', 'Latvia'),
(100605, '193.27.74.0', '193.27.77.255', 3239791104, 3239792127, 'CH', 'Switzerland'),
(100606, '193.27.78.0', '193.27.79.255', 3239792128, 3239792639, 'FR', 'France'),
(100607, '193.27.80.0', '193.27.81.255', 3239792640, 3239793151, 'UA', 'Ukraine'),
(100608, '193.27.82.0', '193.27.83.255', 3239793152, 3239793663, 'PL', 'Poland'),
(100609, '193.27.84.0', '193.27.85.255', 3239793664, 3239794175, 'RO', 'Romania'),
(100610, '193.27.86.0', '193.27.87.255', 3239794176, 3239794687, 'NL', 'Netherlands'),
(100611, '193.27.88.0', '193.27.89.255', 3239794688, 3239795199, 'GB', 'United Kingdom'),
(100612, '193.27.90.0', '193.27.91.255', 3239795200, 3239795711, 'PL', 'Poland'),
(100613, '193.27.92.0', '193.27.93.255', 3239795712, 3239796223, 'IL', 'Israel'),
(100614, '193.27.94.0', '193.27.95.255', 3239796224, 3239796735, 'NO', 'Norway'),
(100615, '193.27.96.0', '193.27.191.255', 3239796736, 3239821311, 'DE', 'Germany'),
(100616, '193.27.192.0', '193.27.193.255', 3239821312, 3239821823, 'SE', 'Sweden'),
(100617, '193.27.194.0', '193.27.195.255', 3239821824, 3239822335, 'FR', 'France'),
(100618, '193.27.196.0', '193.27.197.255', 3239822336, 3239822847, 'UA', 'Ukraine'),
(100619, '193.27.198.0', '193.27.199.255', 3239822848, 3239823359, 'PL', 'Poland'),
(100620, '193.27.200.0', '193.27.201.255', 3239823360, 3239823871, 'SE', 'Sweden'),
(100621, '193.27.202.0', '193.27.203.255', 3239823872, 3239824383, 'IT', 'Italy'),
(100622, '193.27.204.0', '193.27.205.255', 3239824384, 3239824895, 'PL', 'Poland'),
(100623, '193.27.206.0', '193.27.207.255', 3239824896, 3239825407, 'UZ', 'Uzbekistan'),
(100624, '193.27.208.0', '193.27.209.255', 3239825408, 3239825919, 'UA', 'Ukraine'),
(100625, '193.27.210.0', '193.27.211.255', 3239825920, 3239826431, 'PL', 'Poland'),
(100626, '193.27.212.0', '193.27.213.255', 3239826432, 3239826943, 'GB', 'United Kingdom'),
(100627, '193.27.214.0', '193.27.215.255', 3239826944, 3239827455, 'RU', 'Russian Federation'),
(100628, '193.27.216.0', '193.27.217.255', 3239827456, 3239827967, 'DK', 'Denmark'),
(100629, '193.27.218.0', '193.27.219.255', 3239827968, 3239828479, 'CH', 'Switzerland'),
(100630, '193.27.220.0', '193.27.220.255', 3239828480, 3239828735, 'EU', 'Europe'),
(100631, '193.27.221.0', '193.27.221.255', 3239828736, 3239828991, 'DE', 'Germany'),
(100632, '193.27.222.0', '193.27.225.255', 3239828992, 3239830015, 'RU', 'Russian Federation'),
(100633, '193.27.226.0', '193.27.227.255', 3239830016, 3239830527, 'CH', 'Switzerland'),
(100634, '193.27.228.0', '193.27.229.255', 3239830528, 3239831039, 'SE', 'Sweden'),
(100635, '193.27.230.0', '193.27.233.255', 3239831040, 3239832063, 'RU', 'Russian Federation'),
(100636, '193.27.234.0', '193.27.235.255', 3239832064, 3239832575, 'UA', 'Ukraine'),
(100637, '193.27.236.0', '193.27.241.255', 3239832576, 3239834111, 'RU', 'Russian Federation'),
(100638, '193.27.242.0', '193.27.243.255', 3239834112, 3239834623, 'UA', 'Ukraine'),
(100639, '193.27.244.0', '193.27.245.255', 3239834624, 3239835135, 'AT', 'Austria'),
(100640, '193.27.246.0', '193.27.249.255', 3239835136, 3239836159, 'RU', 'Russian Federation'),
(100641, '193.27.250.0', '193.27.251.255', 3239836160, 3239836671, 'DK', 'Denmark'),
(100642, '193.27.252.0', '193.27.253.255', 3239836672, 3239837183, 'DE', 'Germany'),
(100643, '193.27.254.0', '193.27.255.255', 3239837184, 3239837695, 'SE', 'Sweden'),
(100644, '193.28.0.0', '193.28.0.255', 3239837696, 3239837951, 'PL', 'Poland'),
(100645, '193.28.1.0', '193.28.5.255', 3239837952, 3239839231, 'DE', 'Germany'),
(100646, '193.28.6.0', '193.28.6.255', 3239839232, 3239839487, 'RU', 'Russian Federation'),
(100647, '193.28.7.0', '193.28.7.255', 3239839488, 3239839743, 'DE', 'Germany'),
(100648, '193.28.8.0', '193.28.8.255', 3239839744, 3239839999, 'SK', 'Slovakia'),
(100649, '193.28.9.0', '193.28.10.255', 3239840000, 3239840511, 'SA', 'Saudi Arabia'),
(100650, '193.28.11.0', '193.28.11.255', 3239840512, 3239840767, 'DE', 'Germany'),
(100651, '193.28.12.0', '193.28.12.255', 3239840768, 3239841023, 'AT', 'Austria'),
(100652, '193.28.13.0', '193.28.13.255', 3239841024, 3239841279, 'NL', 'Netherlands'),
(100653, '193.28.14.0', '193.28.41.255', 3239841280, 3239848447, 'DE', 'Germany'),
(100654, '193.28.42.0', '193.28.42.255', 3239848448, 3239848703, 'CH', 'Switzerland'),
(100655, '193.28.43.0', '193.28.43.255', 3239848704, 3239848959, 'SE', 'Sweden'),
(100656, '193.28.44.0', '193.28.44.255', 3239848960, 3239849215, 'RU', 'Russian Federation'),
(100657, '193.28.45.0', '193.28.45.255', 3239849216, 3239849471, 'GB', 'United Kingdom'),
(100658, '193.28.46.0', '193.28.46.255', 3239849472, 3239849727, 'RU', 'Russian Federation'),
(100659, '193.28.47.0', '193.28.47.255', 3239849728, 3239849983, 'NL', 'Netherlands'),
(100660, '193.28.48.0', '193.28.83.255', 3239849984, 3239859199, 'DE', 'Germany'),
(100661, '193.28.84.0', '193.28.84.255', 3239859200, 3239859455, 'PL', 'Poland'),
(100662, '193.28.85.0', '193.28.85.255', 3239859456, 3239859711, 'UA', 'Ukraine'),
(100663, '193.28.86.0', '193.28.86.255', 3239859712, 3239859967, 'HU', 'Hungary'),
(100664, '193.28.87.0', '193.28.87.255', 3239859968, 3239860223, 'CA', 'Canada'),
(100665, '193.28.88.0', '193.28.88.255', 3239860224, 3239860479, 'DE', 'Germany'),
(100666, '193.28.89.0', '193.28.89.255', 3239860480, 3239860735, 'FI', 'Finland'),
(100667, '193.28.90.0', '193.28.90.255', 3239860736, 3239860991, 'DE', 'Germany'),
(100668, '193.28.91.0', '193.28.91.255', 3239860992, 3239861247, 'AT', 'Austria'),
(100669, '193.28.92.0', '193.28.92.255', 3239861248, 3239861503, 'UA', 'Ukraine'),
(100670, '193.28.93.0', '193.28.93.255', 3239861504, 3239861759, 'PL', 'Poland'),
(100671, '193.28.94.0', '193.28.94.255', 3239861760, 3239862015, 'SA', 'Saudi Arabia'),
(100672, '193.28.95.0', '193.28.95.255', 3239862016, 3239862271, 'IT', 'Italy'),
(100673, '193.28.96.0', '193.28.143.255', 3239862272, 3239874559, 'DE', 'Germany'),
(100674, '193.28.144.0', '193.28.144.255', 3239874560, 3239874815, 'NL', 'Netherlands'),
(100675, '193.28.145.0', '193.28.145.255', 3239874816, 3239875071, 'DE', 'Germany'),
(100676, '193.28.146.0', '193.28.146.255', 3239875072, 3239875327, 'SI', 'Slovenia'),
(100677, '193.28.147.0', '193.28.147.255', 3239875328, 3239875583, 'DK', 'Denmark'),
(100678, '193.28.148.0', '193.28.148.255', 3239875584, 3239875839, 'PL', 'Poland'),
(100679, '193.28.149.0', '193.28.149.255', 3239875840, 3239876095, 'DK', 'Denmark'),
(100680, '193.28.150.0', '193.28.150.255', 3239876096, 3239876351, 'DE', 'Germany'),
(100681, '193.28.151.0', '193.28.151.255', 3239876352, 3239876607, 'RO', 'Romania'),
(100682, '193.28.152.0', '193.28.152.255', 3239876608, 3239876863, 'NL', 'Netherlands'),
(100683, '193.28.153.0', '193.28.153.255', 3239876864, 3239877119, 'DE', 'Germany'),
(100684, '193.28.154.0', '193.28.154.255', 3239877120, 3239877375, 'GB', 'United Kingdom'),
(100685, '193.28.155.0', '193.28.155.255', 3239877376, 3239877631, 'IL', 'Israel'),
(100686, '193.28.156.0', '193.28.156.255', 3239877632, 3239877887, 'UA', 'Ukraine'),
(100687, '193.28.157.0', '193.28.157.255', 3239877888, 3239878143, 'IT', 'Italy'),
(100688, '193.28.158.0', '193.28.158.255', 3239878144, 3239878399, 'PL', 'Poland'),
(100689, '193.28.159.0', '193.28.159.255', 3239878400, 3239878655, 'SE', 'Sweden'),
(100690, '193.28.160.0', '193.28.175.255', 3239878656, 3239882751, 'DE', 'Germany'),
(100691, '193.28.176.0', '193.28.176.255', 3239882752, 3239883007, 'GB', 'United Kingdom'),
(100692, '193.28.177.0', '193.28.177.255', 3239883008, 3239883263, 'UA', 'Ukraine'),
(100693, '193.28.178.0', '193.28.178.52', 3239883264, 3239883316, 'EU', 'Europe'),
(100694, '193.28.178.53', '193.28.178.53', 3239883317, 3239883317, 'GB', 'United Kingdom'),
(100695, '193.28.178.54', '193.28.178.255', 3239883318, 3239883519, 'EU', 'Europe'),
(100696, '193.28.179.0', '193.28.179.255', 3239883520, 3239883775, 'RU', 'Russian Federation'),
(100697, '193.28.180.0', '193.28.180.255', 3239883776, 3239884031, 'DE', 'Germany'),
(100698, '193.28.181.0', '193.28.181.255', 3239884032, 3239884287, 'IR', 'Iran, Islamic Republic of'),
(100699, '193.28.182.0', '193.28.182.255', 3239884288, 3239884543, 'GB', 'United Kingdom'),
(100700, '193.28.183.0', '193.28.183.255', 3239884544, 3239884799, 'FR', 'France'),
(100701, '193.28.184.0', '193.28.184.255', 3239884800, 3239885055, 'UA', 'Ukraine'),
(100702, '193.28.185.0', '193.28.185.255', 3239885056, 3239885311, 'CH', 'Switzerland'),
(100703, '193.28.186.0', '193.28.186.255', 3239885312, 3239885567, 'UA', 'Ukraine'),
(100704, '193.28.187.0', '193.28.187.255', 3239885568, 3239885823, 'PL', 'Poland'),
(100705, '193.28.188.0', '193.28.188.255', 3239885824, 3239886079, 'CH', 'Switzerland'),
(100706, '193.28.189.0', '193.28.189.255', 3239886080, 3239886335, 'PL', 'Poland'),
(100707, '193.28.190.0', '193.28.190.255', 3239886336, 3239886591, 'RU', 'Russian Federation'),
(100708, '193.28.191.0', '193.28.191.255', 3239886592, 3239886847, 'FR', 'France'),
(100709, '193.28.192.0', '193.28.199.255', 3239886848, 3239888895, 'DE', 'Germany'),
(100710, '193.28.200.0', '193.28.200.255', 3239888896, 3239889151, 'UA', 'Ukraine'),
(100711, '193.28.201.0', '193.28.201.255', 3239889152, 3239889407, 'GB', 'United Kingdom'),
(100712, '193.28.202.0', '193.28.202.255', 3239889408, 3239889663, 'CZ', 'Czech Republic'),
(100713, '193.28.203.0', '193.28.203.255', 3239889664, 3239889919, 'FI', 'Finland'),
(100714, '193.28.204.0', '193.28.204.255', 3239889920, 3239890175, 'AT', 'Austria'),
(100715, '193.28.205.0', '193.28.205.255', 3239890176, 3239890431, 'FR', 'France'),
(100716, '193.28.206.0', '193.28.206.255', 3239890432, 3239890687, 'NL', 'Netherlands'),
(100717, '193.28.207.0', '193.28.223.255', 3239890688, 3239895039, 'DE', 'Germany'),
(100718, '193.28.224.0', '193.28.224.255', 3239895040, 3239895295, 'DK', 'Denmark'),
(100719, '193.28.225.0', '193.28.225.255', 3239895296, 3239895551, 'TR', 'Turkey'),
(100720, '193.28.226.0', '193.28.226.255', 3239895552, 3239895807, 'PL', 'Poland'),
(100721, '193.28.227.0', '193.28.227.255', 3239895808, 3239896063, 'DK', 'Denmark'),
(100722, '193.28.228.0', '193.28.228.255', 3239896064, 3239896319, 'DE', 'Germany'),
(100723, '193.28.229.0', '193.28.229.255', 3239896320, 3239896575, 'AT', 'Austria'),
(100724, '193.28.230.0', '193.28.230.255', 3239896576, 3239896831, 'PL', 'Poland'),
(100725, '193.28.231.0', '193.28.231.255', 3239896832, 3239897087, 'HU', 'Hungary'),
(100726, '193.28.232.0', '193.28.232.255', 3239897088, 3239897343, 'GB', 'United Kingdom'),
(100727, '193.28.233.0', '193.28.233.255', 3239897344, 3239897599, 'FR', 'France'),
(100728, '193.28.234.0', '193.28.234.255', 3239897600, 3239897855, 'RU', 'Russian Federation'),
(100729, '193.28.235.0', '193.28.235.255', 3239897856, 3239898111, 'FR', 'France'),
(100730, '193.28.236.0', '193.28.236.255', 3239898112, 3239898367, 'NO', 'Norway'),
(100731, '193.28.237.0', '193.28.237.255', 3239898368, 3239898623, 'GB', 'United Kingdom'),
(100732, '193.28.238.0', '193.28.238.255', 3239898624, 3239898879, 'DE', 'Germany'),
(100733, '193.28.239.0', '193.28.239.255', 3239898880, 3239899135, 'RU', 'Russian Federation'),
(100734, '193.28.240.0', '193.28.249.255', 3239899136, 3239901695, 'DE', 'Germany'),
(100735, '193.28.250.0', '193.28.250.255', 3239901696, 3239901951, 'BG', 'Bulgaria'),
(100736, '193.28.251.0', '193.28.251.255', 3239901952, 3239902207, 'DE', 'Germany'),
(100737, '193.28.252.0', '193.28.252.255', 3239902208, 3239902463, 'PL', 'Poland'),
(100738, '193.28.253.0', '193.28.253.255', 3239902464, 3239902719, 'RU', 'Russian Federation'),
(100739, '193.28.254.0', '193.28.254.255', 3239902720, 3239902975, 'EE', 'Estonia'),
(100740, '193.28.255.0', '193.28.255.255', 3239902976, 3239903231, 'GB', 'United Kingdom'),
(100741, '193.29.0.0', '193.29.15.255', 3239903232, 3239907327, 'DE', 'Germany'),
(100742, '193.29.16.0', '193.29.16.255', 3239907328, 3239907583, 'UA', 'Ukraine'),
(100743, '193.29.17.0', '193.29.38.255', 3239907584, 3239913215, 'DE', 'Germany'),
(100744, '193.29.39.0', '193.29.39.255', 3239913216, 3239913471, 'LT', 'Lithuania'),
(100745, '193.29.40.0', '193.29.47.255', 3239913472, 3239915519, 'DE', 'Germany'),
(100746, '193.29.48.0', '193.29.48.255', 3239915520, 3239915775, 'PL', 'Poland'),
(100747, '193.29.49.0', '193.29.49.255', 3239915776, 3239916031, 'HU', 'Hungary'),
(100748, '193.29.50.0', '193.29.50.255', 3239916032, 3239916287, 'SA', 'Saudi Arabia'),
(100749, '193.29.51.0', '193.29.51.255', 3239916288, 3239916543, 'PL', 'Poland'),
(100750, '193.29.52.0', '193.29.52.255', 3239916544, 3239916799, 'FR', 'France'),
(100751, '193.29.53.0', '193.29.53.255', 3239916800, 3239917055, 'KZ', 'Kazakhstan'),
(100752, '193.29.54.0', '193.29.54.255', 3239917056, 3239917311, 'DE', 'Germany'),
(100753, '193.29.55.0', '193.29.55.255', 3239917312, 3239917567, 'BG', 'Bulgaria'),
(100754, '193.29.56.0', '193.29.127.255', 3239917568, 3239935999, 'DE', 'Germany'),
(100755, '193.29.128.0', '193.29.128.255', 3239936000, 3239936255, 'UA', 'Ukraine'),
(100756, '193.29.129.0', '193.29.129.255', 3239936256, 3239936511, 'FR', 'France'),
(100757, '193.29.130.0', '193.29.138.255', 3239936512, 3239938815, 'DE', 'Germany'),
(100758, '193.29.139.0', '193.29.139.255', 3239938816, 3239939071, 'NL', 'Netherlands'),
(100759, '193.29.140.0', '193.29.186.255', 3239939072, 3239951103, 'DE', 'Germany'),
(100760, '193.29.187.0', '193.29.187.255', 3239951104, 3239951359, 'AT', 'Austria'),
(100761, '193.29.188.0', '193.29.199.255', 3239951360, 3239954431, 'DE', 'Germany'),
(100762, '193.29.200.0', '193.29.200.255', 3239954432, 3239954687, 'UA', 'Ukraine'),
(100763, '193.29.201.0', '193.29.201.255', 3239954688, 3239954943, 'DK', 'Denmark'),
(100764, '193.29.202.0', '193.29.202.255', 3239954944, 3239955199, 'ES', 'Spain'),
(100765, '193.29.203.0', '193.29.204.255', 3239955200, 3239955711, 'UA', 'Ukraine'),
(100766, '193.29.205.0', '193.29.205.255', 3239955712, 3239955967, 'PL', 'Poland'),
(100767, '193.29.206.0', '193.29.206.255', 3239955968, 3239956223, 'CZ', 'Czech Republic'),
(100768, '193.29.207.0', '193.29.207.255', 3239956224, 3239956479, 'PL', 'Poland'),
(100769, '193.29.208.0', '193.29.219.255', 3239956480, 3239959551, 'DE', 'Germany'),
(100770, '193.29.220.0', '193.29.220.255', 3239959552, 3239959807, 'UA', 'Ukraine'),
(100771, '193.29.221.0', '193.29.221.255', 3239959808, 3239960063, 'BE', 'Belgium'),
(100772, '193.29.222.0', '193.29.222.255', 3239960064, 3239960319, 'FR', 'France'),
(100773, '193.29.223.0', '193.29.223.255', 3239960320, 3239960575, 'GB', 'United Kingdom'),
(100774, '193.29.224.0', '193.29.254.255', 3239960576, 3239968511, 'DE', 'Germany'),
(100775, '193.29.255.0', '193.29.255.255', 3239968512, 3239968767, 'PL', 'Poland'),
(100776, '193.30.0.0', '193.30.0.255', 3239968768, 3239969023, 'NO', 'Norway'),
(100777, '193.30.1.0', '193.30.23.255', 3239969024, 3239974911, 'DE', 'Germany'),
(100778, '193.30.24.0', '193.30.27.255', 3239974912, 3239975935, 'GB', 'United Kingdom'),
(100779, '193.30.28.0', '193.30.28.255', 3239975936, 3239976191, 'RO', 'Romania'),
(100780, '193.30.29.0', '193.30.29.255', 3239976192, 3239976447, 'DE', 'Germany'),
(100781, '193.30.30.0', '193.30.31.255', 3239976448, 3239976959, 'NL', 'Netherlands'),
(100782, '193.30.32.0', '193.30.38.255', 3239976960, 3239978751, 'DE', 'Germany'),
(100783, '193.30.39.0', '193.30.39.255', 3239978752, 3239979007, 'RU', 'Russian Federation'),
(100784, '193.30.40.0', '193.30.40.255', 3239979008, 3239979263, 'UA', 'Ukraine'),
(100785, '193.30.41.0', '193.30.41.255', 3239979264, 3239979519, 'GB', 'United Kingdom'),
(100786, '193.30.42.0', '193.30.42.255', 3239979520, 3239979775, 'DE', 'Germany'),
(100787, '193.30.43.0', '193.30.43.255', 3239979776, 3239980031, 'SI', 'Slovenia'),
(100788, '193.30.44.0', '193.30.107.255', 3239980032, 3239996415, 'DE', 'Germany'),
(100789, '193.30.108.0', '193.30.108.255', 3239996416, 3239996671, 'GB', 'United Kingdom'),
(100790, '193.30.109.0', '193.30.109.255', 3239996672, 3239996927, 'PL', 'Poland'),
(100791, '193.30.110.0', '193.30.110.255', 3239996928, 3239997183, 'BE', 'Belgium'),
(100792, '193.30.111.0', '193.30.111.255', 3239997184, 3239997439, 'GB', 'United Kingdom'),
(100793, '193.30.112.0', '193.30.140.255', 3239997440, 3240004863, 'DE', 'Germany'),
(100794, '193.30.141.0', '193.30.141.255', 3240004864, 3240005119, 'FR', 'France'),
(100795, '193.30.142.0', '193.30.142.255', 3240005120, 3240005375, 'SE', 'Sweden'),
(100796, '193.30.143.0', '193.30.143.255', 3240005376, 3240005631, 'NL', 'Netherlands'),
(100797, '193.30.144.0', '193.30.159.255', 3240005632, 3240009727, 'DE', 'Germany'),
(100798, '193.30.160.0', '193.30.160.255', 3240009728, 3240009983, 'PL', 'Poland'),
(100799, '193.30.161.0', '193.30.161.255', 3240009984, 3240010239, 'IL', 'Israel'),
(100800, '193.30.162.0', '193.30.162.255', 3240010240, 3240010495, 'GB', 'United Kingdom'),
(100801, '193.30.163.0', '193.30.163.255', 3240010496, 3240010751, 'AT', 'Austria'),
(100802, '193.30.164.0', '193.30.164.255', 3240010752, 3240011007, 'HU', 'Hungary'),
(100803, '193.30.165.0', '193.30.165.255', 3240011008, 3240011263, 'DE', 'Germany'),
(100804, '193.30.166.0', '193.30.166.255', 3240011264, 3240011519, 'GB', 'United Kingdom'),
(100805, '193.30.167.0', '193.30.167.255', 3240011520, 3240011775, 'CH', 'Switzerland'),
(100806, '193.30.168.0', '193.30.223.255', 3240011776, 3240026111, 'DE', 'Germany'),
(100807, '193.30.224.0', '193.30.227.255', 3240026112, 3240027135, 'FR', 'France'),
(100808, '193.30.228.0', '193.30.231.255', 3240027136, 3240028159, 'BG', 'Bulgaria'),
(100809, '193.30.232.0', '193.30.235.255', 3240028160, 3240029183, 'GB', 'United Kingdom'),
(100810, '193.30.236.0', '193.30.239.255', 3240029184, 3240030207, 'RU', 'Russian Federation'),
(100811, '193.30.240.0', '193.30.247.255', 3240030208, 3240032255, 'UA', 'Ukraine'),
(100812, '193.30.248.0', '193.30.251.255', 3240032256, 3240033279, 'RS', 'Serbia'),
(100813, '193.30.252.0', '193.30.255.255', 3240033280, 3240034303, 'DE', 'Germany'),
(100814, '193.31.0.0', '193.31.0.255', 3240034304, 3240034559, 'RU', 'Russian Federation'),
(100815, '193.31.1.0', '193.31.13.255', 3240034560, 3240037887, 'DE', 'Germany'),
(100816, '193.31.14.0', '193.31.14.255', 3240037888, 3240038143, 'AT', 'Austria'),
(100817, '193.31.15.0', '193.31.15.255', 3240038144, 3240038399, 'DK', 'Denmark'),
(100818, '193.31.16.0', '193.31.251.255', 3240038400, 3240098815, 'DE', 'Germany'),
(100819, '193.31.252.0', '193.31.253.255', 3240098816, 3240099327, 'CH', 'Switzerland'),
(100820, '193.31.254.0', '193.31.255.255', 3240099328, 3240099839, 'DE', 'Germany'),
(100821, '193.32.0.0', '193.32.3.82', 3240099840, 3240100690, 'GB', 'United Kingdom'),
(100822, '193.32.3.83', '193.32.3.83', 3240100691, 3240100691, 'EU', 'Europe'),
(100823, '193.32.3.84', '193.32.11.255', 3240100692, 3240102911, 'GB', 'United Kingdom'),
(100824, '193.32.12.0', '193.32.15.255', 3240102912, 3240103935, 'UA', 'Ukraine'),
(100825, '193.32.16.0', '193.32.18.255', 3240103936, 3240104703, 'GB', 'United Kingdom'),
(100826, '193.32.19.0', '193.32.19.255', 3240104704, 3240104959, 'NL', 'Netherlands'),
(100827, '193.32.20.0', '193.32.20.255', 3240104960, 3240105215, 'RU', 'Russian Federation'),
(100828, '193.32.21.0', '193.32.21.255', 3240105216, 3240105471, 'UA', 'Ukraine'),
(100829, '193.32.22.0', '193.32.35.255', 3240105472, 3240109055, 'GB', 'United Kingdom'),
(100830, '193.32.36.0', '193.32.37.255', 3240109056, 3240109567, 'PL', 'Poland'),
(100831, '193.32.38.0', '193.32.49.255', 3240109568, 3240112639, 'GB', 'United Kingdom'),
(100832, '193.32.80.0', '193.32.99.255', 3240120320, 3240125439, 'GB', 'United Kingdom'),
(100833, '193.32.100.0', '193.32.100.255', 3240125440, 3240125695, 'RO', 'Romania'),
(100834, '193.32.101.0', '193.32.255.255', 3240125696, 3240165375, 'GB', 'United Kingdom'),
(100835, '193.33.0.0', '193.33.1.255', 3240165376, 3240165887, 'PL', 'Poland'),
(100836, '193.33.2.0', '193.33.3.255', 3240165888, 3240166399, 'ES', 'Spain'),
(100837, '193.33.4.0', '193.33.5.255', 3240166400, 3240166911, 'PL', 'Poland'),
(100838, '193.33.6.0', '193.33.7.255', 3240166912, 3240167423, 'RO', 'Romania'),
(100839, '193.33.8.0', '193.33.9.255', 3240167424, 3240167935, 'PL', 'Poland'),
(100840, '193.33.10.0', '193.33.11.255', 3240167936, 3240168447, 'RU', 'Russian Federation'),
(100841, '193.33.12.0', '193.33.13.255', 3240168448, 3240168959, 'FR', 'France'),
(100842, '193.33.14.0', '193.33.15.255', 3240168960, 3240169471, 'CZ', 'Czech Republic'),
(100843, '193.33.16.0', '193.33.17.255', 3240169472, 3240169983, 'IL', 'Israel'),
(100844, '193.33.18.0', '193.33.19.255', 3240169984, 3240170495, 'IT', 'Italy'),
(100845, '193.33.20.0', '193.33.21.255', 3240170496, 3240171007, 'DE', 'Germany'),
(100846, '193.33.22.0', '193.33.23.255', 3240171008, 3240171519, 'CZ', 'Czech Republic'),
(100847, '193.33.24.0', '193.33.25.255', 3240171520, 3240172031, 'RO', 'Romania'),
(100848, '193.33.26.0', '193.33.29.255', 3240172032, 3240173055, 'RU', 'Russian Federation'),
(100849, '193.33.30.0', '193.33.31.255', 3240173056, 3240173567, 'CH', 'Switzerland'),
(100850, '193.33.32.0', '193.33.33.255', 3240173568, 3240174079, 'RO', 'Romania'),
(100851, '193.33.34.0', '193.33.35.255', 3240174080, 3240174591, 'PL', 'Poland'),
(100852, '193.33.36.0', '193.33.37.255', 3240174592, 3240175103, 'FR', 'France'),
(100853, '193.33.38.0', '193.33.41.255', 3240175104, 3240176127, 'RU', 'Russian Federation'),
(100854, '193.33.42.0', '193.33.43.255', 3240176128, 3240176639, 'PL', 'Poland'),
(100855, '193.33.44.0', '193.33.45.255', 3240176640, 3240177151, 'UA', 'Ukraine'),
(100856, '193.33.46.0', '193.33.47.255', 3240177152, 3240177663, 'FR', 'France'),
(100857, '193.33.48.0', '193.33.49.255', 3240177664, 3240178175, 'UA', 'Ukraine'),
(100858, '193.33.50.0', '193.33.51.255', 3240178176, 3240178687, 'NL', 'Netherlands'),
(100859, '193.33.52.0', '193.33.53.255', 3240178688, 3240179199, 'BE', 'Belgium'),
(100860, '193.33.54.0', '193.33.55.255', 3240179200, 3240179711, 'UA', 'Ukraine'),
(100861, '193.33.56.0', '193.33.57.255', 3240179712, 3240180223, 'FR', 'France'),
(100862, '193.33.58.0', '193.33.59.255', 3240180224, 3240180735, 'PL', 'Poland'),
(100863, '193.33.60.0', '193.33.61.255', 3240180736, 3240181247, 'NL', 'Netherlands'),
(100864, '193.33.62.0', '193.33.63.255', 3240181248, 3240181759, 'RU', 'Russian Federation'),
(100865, '193.33.64.0', '193.33.65.255', 3240181760, 3240182271, 'UA', 'Ukraine'),
(100866, '193.33.66.0', '193.33.67.255', 3240182272, 3240182783, 'RO', 'Romania'),
(100867, '193.33.68.0', '193.33.69.255', 3240182784, 3240183295, 'RU', 'Russian Federation'),
(100868, '193.33.70.0', '193.33.71.255', 3240183296, 3240183807, 'NL', 'Netherlands'),
(100869, '193.33.72.0', '193.33.73.255', 3240183808, 3240184319, 'GB', 'United Kingdom'),
(100870, '193.33.74.0', '193.33.75.255', 3240184320, 3240184831, 'RU', 'Russian Federation'),
(100871, '193.33.76.0', '193.33.77.255', 3240184832, 3240185343, 'GB', 'United Kingdom'),
(100872, '193.33.78.0', '193.33.79.255', 3240185344, 3240185855, 'FR', 'France'),
(100873, '193.33.80.0', '193.33.85.255', 3240185856, 3240187391, 'RU', 'Russian Federation'),
(100874, '193.33.86.0', '193.33.87.255', 3240187392, 3240187903, 'UA', 'Ukraine'),
(100875, '193.33.88.0', '193.33.89.255', 3240187904, 3240188415, 'RU', 'Russian Federation'),
(100876, '193.33.90.0', '193.33.91.255', 3240188416, 3240188927, 'RO', 'Romania'),
(100877, '193.33.92.0', '193.33.93.255', 3240188928, 3240189439, 'MD', 'Moldova, Republic of'),
(100878, '193.33.94.0', '193.33.95.255', 3240189440, 3240189951, 'RO', 'Romania'),
(100879, '193.33.96.0', '193.33.97.255', 3240189952, 3240190463, 'DE', 'Germany'),
(100880, '193.33.98.0', '193.33.99.255', 3240190464, 3240190975, 'IT', 'Italy'),
(100881, '193.33.100.0', '193.33.101.255', 3240190976, 3240191487, 'RU', 'Russian Federation'),
(100882, '193.33.102.0', '193.33.103.255', 3240191488, 3240191999, 'AE', 'United Arab Emirates'),
(100883, '193.33.104.0', '193.33.105.255', 3240192000, 3240192511, 'UA', 'Ukraine'),
(100884, '193.33.106.0', '193.33.107.255', 3240192512, 3240193023, 'RO', 'Romania'),
(100885, '193.33.108.0', '193.33.109.255', 3240193024, 3240193535, 'GB', 'United Kingdom'),
(100886, '193.33.110.0', '193.33.111.255', 3240193536, 3240194047, 'PL', 'Poland'),
(100887, '193.33.112.0', '193.33.113.255', 3240194048, 3240194559, 'GB', 'United Kingdom'),
(100888, '193.33.114.0', '193.33.115.255', 3240194560, 3240195071, 'AT', 'Austria'),
(100889, '193.33.116.0', '193.33.117.255', 3240195072, 3240195583, 'GB', 'United Kingdom'),
(100890, '193.33.118.0', '193.33.119.255', 3240195584, 3240196095, 'RO', 'Romania'),
(100891, '193.33.120.0', '193.33.123.255', 3240196096, 3240197119, 'RU', 'Russian Federation'),
(100892, '193.33.124.0', '193.33.125.255', 3240197120, 3240197631, 'PL', 'Poland'),
(100893, '193.33.126.0', '193.33.127.255', 3240197632, 3240198143, 'CZ', 'Czech Republic'),
(100894, '193.33.128.0', '193.33.129.255', 3240198144, 3240198655, 'CH', 'Switzerland'),
(100895, '193.33.130.0', '193.33.131.255', 3240198656, 3240199167, 'RO', 'Romania'),
(100896, '193.33.134.0', '193.33.135.255', 3240199680, 3240200191, 'NL', 'Netherlands'),
(100897, '193.33.136.0', '193.33.137.255', 3240200192, 3240200703, 'RO', 'Romania'),
(100898, '193.33.138.0', '193.33.139.255', 3240200704, 3240201215, 'GB', 'United Kingdom'),
(100899, '193.33.140.0', '193.33.141.255', 3240201216, 3240201727, 'RO', 'Romania'),
(100900, '193.33.142.0', '193.33.143.255', 3240201728, 3240202239, 'CH', 'Switzerland'),
(100901, '193.33.144.0', '193.33.145.255', 3240202240, 3240202751, 'RU', 'Russian Federation'),
(100902, '193.33.146.0', '193.33.147.255', 3240202752, 3240203263, 'GB', 'United Kingdom'),
(100903, '193.33.148.0', '193.33.149.255', 3240203264, 3240203775, 'DK', 'Denmark'),
(100904, '193.33.150.0', '193.33.151.255', 3240203776, 3240204287, 'AT', 'Austria'),
(100905, '193.33.152.0', '193.33.153.255', 3240204288, 3240204799, 'SE', 'Sweden'),
(100906, '193.33.154.0', '193.33.155.255', 3240204800, 3240205311, 'RO', 'Romania'),
(100907, '193.33.156.0', '193.33.157.255', 3240205312, 3240205823, 'GB', 'United Kingdom'),
(100908, '193.33.158.0', '193.33.159.255', 3240205824, 3240206335, 'DE', 'Germany'),
(100909, '193.33.160.0', '193.33.161.255', 3240206336, 3240206847, 'RU', 'Russian Federation'),
(100910, '193.33.162.0', '193.33.165.255', 3240206848, 3240207871, 'RO', 'Romania'),
(100911, '193.33.166.0', '193.33.166.255', 3240207872, 3240208127, 'RU', 'Russian Federation'),
(100912, '193.33.167.0', '193.33.169.255', 3240208128, 3240208895, 'FR', 'France'),
(100913, '193.33.170.0', '193.33.171.255', 3240208896, 3240209407, 'GB', 'United Kingdom'),
(100914, '193.33.172.0', '193.33.173.255', 3240209408, 3240209919, 'AE', 'United Arab Emirates'),
(100915, '193.33.174.0', '193.33.177.255', 3240209920, 3240210943, 'PL', 'Poland'),
(100916, '193.33.178.0', '193.33.179.255', 3240210944, 3240211455, 'GB', 'United Kingdom'),
(100917, '193.33.180.0', '193.33.181.255', 3240211456, 3240211967, 'NL', 'Netherlands'),
(100918, '193.33.182.0', '193.33.183.255', 3240211968, 3240212479, 'BE', 'Belgium'),
(100919, '193.33.184.0', '193.33.185.255', 3240212480, 3240212991, 'RU', 'Russian Federation'),
(100920, '193.33.186.0', '193.33.187.255', 3240212992, 3240213503, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(100921, '193.33.188.0', '193.33.189.255', 3240213504, 3240214015, 'SE', 'Sweden'),
(100922, '193.33.190.0', '193.33.191.255', 3240214016, 3240214527, 'DK', 'Denmark'),
(100923, '193.33.192.0', '193.33.195.255', 3240214528, 3240215551, 'RU', 'Russian Federation'),
(100924, '193.33.196.0', '193.33.197.255', 3240215552, 3240216063, 'UA', 'Ukraine'),
(100925, '193.33.198.0', '193.33.199.255', 3240216064, 3240216575, 'GB', 'United Kingdom'),
(100926, '193.33.200.0', '193.33.201.255', 3240216576, 3240217087, 'RO', 'Romania'),
(100927, '193.33.202.0', '193.33.203.255', 3240217088, 3240217599, 'UA', 'Ukraine'),
(100928, '193.33.204.0', '193.33.205.255', 3240217600, 3240218111, 'RU', 'Russian Federation'),
(100929, '193.33.206.0', '193.33.207.255', 3240218112, 3240218623, 'UA', 'Ukraine'),
(100930, '193.33.208.0', '193.33.209.255', 3240218624, 3240219135, 'NL', 'Netherlands'),
(100931, '193.33.210.0', '193.33.211.255', 3240219136, 3240219647, 'AT', 'Austria'),
(100932, '193.33.212.0', '193.33.213.255', 3240219648, 3240220159, 'UA', 'Ukraine'),
(100933, '193.33.214.0', '193.33.215.255', 3240220160, 3240220671, 'NL', 'Netherlands'),
(100934, '193.33.216.0', '193.33.217.255', 3240220672, 3240221183, 'AT', 'Austria'),
(100935, '193.33.218.0', '193.33.219.255', 3240221184, 3240221695, 'SE', 'Sweden'),
(100936, '193.33.220.0', '193.33.221.255', 3240221696, 3240222207, 'NL', 'Netherlands'),
(100937, '193.33.222.0', '193.33.223.255', 3240222208, 3240222719, 'FR', 'France'),
(100938, '193.33.224.0', '193.33.225.255', 3240222720, 3240223231, 'KW', 'Kuwait'),
(100939, '193.33.226.0', '193.33.227.255', 3240223232, 3240223743, 'RU', 'Russian Federation'),
(100940, '193.33.228.0', '193.33.229.255', 3240223744, 3240224255, 'MT', 'Malta'),
(100941, '193.33.230.0', '193.33.233.255', 3240224256, 3240225279, 'RU', 'Russian Federation'),
(100942, '193.33.234.0', '193.33.235.255', 3240225280, 3240225791, 'IL', 'Israel'),
(100943, '193.33.236.0', '193.33.237.255', 3240225792, 3240226303, 'UA', 'Ukraine'),
(100944, '193.33.238.0', '193.33.239.255', 3240226304, 3240226815, 'CH', 'Switzerland'),
(100945, '193.33.240.0', '193.33.243.255', 3240226816, 3240227839, 'RU', 'Russian Federation'),
(100946, '193.33.244.0', '193.33.245.255', 3240227840, 3240228351, 'GB', 'United Kingdom'),
(100947, '193.33.246.0', '193.33.247.255', 3240228352, 3240228863, 'SE', 'Sweden'),
(100948, '193.33.248.0', '193.33.249.255', 3240228864, 3240229375, 'GB', 'United Kingdom'),
(100949, '193.33.250.0', '193.33.253.255', 3240229376, 3240230399, 'RO', 'Romania'),
(100950, '193.33.254.0', '193.33.255.255', 3240230400, 3240230911, 'GB', 'United Kingdom'),
(100951, '193.34.0.0', '193.34.3.255', 3240230912, 3240231935, 'PL', 'Poland'),
(100952, '193.34.4.0', '193.34.7.255', 3240231936, 3240232959, 'NL', 'Netherlands'),
(100953, '193.34.8.0', '193.34.15.255', 3240232960, 3240235007, 'RU', 'Russian Federation'),
(100954, '193.34.16.0', '193.34.19.255', 3240235008, 3240236031, 'FR', 'France'),
(100955, '193.34.20.0', '193.34.23.255', 3240236032, 3240237055, 'UA', 'Ukraine'),
(100956, '193.34.24.0', '193.34.31.255', 3240237056, 3240239103, 'DE', 'Germany'),
(100957, '193.34.32.0', '193.34.35.255', 3240239104, 3240240127, 'FR', 'France'),
(100958, '193.34.36.0', '193.34.39.255', 3240240128, 3240241151, 'US', 'United States'),
(100959, '193.34.40.0', '193.34.40.255', 3240241152, 3240241407, 'EU', 'Europe'),
(100960, '193.34.41.0', '193.34.43.255', 3240241408, 3240242175, 'FI', 'Finland'),
(100961, '193.34.44.0', '193.34.47.255', 3240242176, 3240243199, 'PL', 'Poland'),
(100962, '193.34.48.0', '193.34.51.255', 3240243200, 3240244223, 'DE', 'Germany'),
(100963, '193.34.52.0', '193.34.55.255', 3240244224, 3240245247, 'PL', 'Poland'),
(100964, '193.34.56.0', '193.34.59.255', 3240245248, 3240246271, 'IL', 'Israel'),
(100965, '193.34.60.0', '193.34.63.255', 3240246272, 3240247295, 'UA', 'Ukraine'),
(100966, '193.34.64.0', '193.34.67.255', 3240247296, 3240248319, 'RS', 'Serbia'),
(100967, '193.34.68.0', '193.34.71.255', 3240248320, 3240249343, 'DE', 'Germany'),
(100968, '193.34.72.0', '193.34.79.255', 3240249344, 3240251391, 'UA', 'Ukraine'),
(100969, '193.34.80.0', '193.34.83.255', 3240251392, 3240252415, 'IE', 'Ireland'),
(100970, '193.34.84.0', '193.34.87.255', 3240252416, 3240253439, 'LT', 'Lithuania'),
(100971, '193.34.88.0', '193.34.91.255', 3240253440, 3240254463, 'BE', 'Belgium'),
(100972, '193.34.92.0', '193.34.99.255', 3240254464, 3240256511, 'UA', 'Ukraine'),
(100973, '193.34.100.0', '193.34.100.255', 3240256512, 3240256767, 'EU', 'Europe'),
(100974, '193.34.101.0', '193.34.103.255', 3240256768, 3240257535, 'DE', 'Germany'),
(100975, '193.34.104.0', '193.34.107.255', 3240257536, 3240258559, 'FO', 'Faroe Islands'),
(100976, '193.34.108.0', '193.34.111.255', 3240258560, 3240259583, 'RO', 'Romania'),
(100977, '193.34.112.0', '193.34.115.255', 3240259584, 3240260607, 'PL', 'Poland'),
(100978, '193.34.116.0', '193.34.123.255', 3240260608, 3240262655, 'DE', 'Germany'),
(100979, '193.34.124.0', '193.34.127.255', 3240262656, 3240263679, 'RU', 'Russian Federation'),
(100980, '193.34.128.0', '193.34.129.255', 3240263680, 3240264191, 'UA', 'Ukraine'),
(100981, '193.34.130.0', '193.34.131.255', 3240264192, 3240264703, 'FR', 'France'),
(100982, '193.34.132.0', '193.34.133.255', 3240264704, 3240265215, 'TR', 'Turkey'),
(100983, '193.34.134.0', '193.34.135.255', 3240265216, 3240265727, 'HU', 'Hungary'),
(100984, '193.34.136.0', '193.34.137.255', 3240265728, 3240266239, 'CH', 'Switzerland'),
(100985, '193.34.138.0', '193.34.139.255', 3240266240, 3240266751, 'PL', 'Poland'),
(100986, '193.34.140.0', '193.34.141.255', 3240266752, 3240267263, 'UA', 'Ukraine'),
(100987, '193.34.142.0', '193.34.143.255', 3240267264, 3240267775, 'RS', 'Serbia'),
(100988, '193.34.144.0', '193.34.145.255', 3240267776, 3240268287, 'DE', 'Germany'),
(100989, '193.34.146.0', '193.34.149.255', 3240268288, 3240269311, 'GB', 'United Kingdom'),
(100990, '193.34.150.0', '193.34.151.255', 3240269312, 3240269823, 'NL', 'Netherlands'),
(100991, '193.34.152.0', '193.34.153.255', 3240269824, 3240270335, 'SE', 'Sweden'),
(100992, '193.34.154.0', '193.34.155.255', 3240270336, 3240270847, 'UA', 'Ukraine'),
(100993, '193.34.156.0', '193.34.157.255', 3240270848, 3240271359, 'RO', 'Romania'),
(100994, '193.34.158.0', '193.34.159.255', 3240271360, 3240271871, 'PL', 'Poland'),
(100995, '193.34.160.0', '193.34.161.255', 3240271872, 3240272383, 'RU', 'Russian Federation'),
(100996, '193.34.162.0', '193.34.163.255', 3240272384, 3240272895, 'PL', 'Poland'),
(100997, '193.34.164.0', '193.34.165.255', 3240272896, 3240273407, 'RU', 'Russian Federation'),
(100998, '193.34.166.0', '193.34.167.255', 3240273408, 3240273919, 'NL', 'Netherlands'),
(100999, '193.34.168.0', '193.34.169.255', 3240273920, 3240274431, 'UA', 'Ukraine'),
(101000, '193.34.170.0', '193.34.171.255', 3240274432, 3240274943, 'GB', 'United Kingdom'),
(101001, '193.34.172.0', '193.34.173.255', 3240274944, 3240275455, 'UA', 'Ukraine'),
(101002, '193.34.174.0', '193.34.175.255', 3240275456, 3240275967, 'RO', 'Romania'),
(101003, '193.34.176.0', '193.34.177.255', 3240275968, 3240276479, 'GR', 'Greece'),
(101004, '193.34.178.0', '193.34.179.255', 3240276480, 3240276991, 'PL', 'Poland'),
(101005, '193.34.180.0', '193.34.183.255', 3240276992, 3240278015, 'RO', 'Romania'),
(101006, '193.34.184.0', '193.34.185.255', 3240278016, 3240278527, 'RU', 'Russian Federation'),
(101007, '193.34.186.0', '193.34.187.255', 3240278528, 3240279039, 'GB', 'United Kingdom'),
(101008, '193.34.188.0', '193.34.189.255', 3240279040, 3240279551, 'CH', 'Switzerland'),
(101009, '193.34.190.0', '193.34.191.255', 3240279552, 3240280063, 'RU', 'Russian Federation'),
(101010, '193.34.192.0', '193.34.192.127', 3240280064, 3240280191, 'DE', 'Germany'),
(101011, '193.34.192.128', '193.34.192.255', 3240280192, 3240280319, 'SE', 'Sweden'),
(101012, '193.34.193.0', '193.34.193.127', 3240280320, 3240280447, 'PL', 'Poland'),
(101013, '193.34.193.128', '193.34.193.255', 3240280448, 3240280575, 'UA', 'Ukraine'),
(101014, '193.34.194.0', '193.34.194.127', 3240280576, 3240280703, 'GB', 'United Kingdom'),
(101015, '193.34.194.128', '193.34.194.255', 3240280704, 3240280831, 'RU', 'Russian Federation'),
(101016, '193.34.195.0', '193.34.195.127', 3240280832, 3240280959, 'GB', 'United Kingdom'),
(101017, '193.34.195.128', '193.34.196.127', 3240280960, 3240281215, 'PL', 'Poland'),
(101018, '193.34.196.128', '193.34.196.255', 3240281216, 3240281343, 'FR', 'France'),
(101019, '193.34.197.0', '193.34.197.127', 3240281344, 3240281471, 'PL', 'Poland'),
(101020, '193.34.197.128', '193.34.197.255', 3240281472, 3240281599, 'IR', 'Iran, Islamic Republic of'),
(101021, '193.34.198.0', '193.34.198.127', 3240281600, 3240281727, 'JO', 'Jordan'),
(101022, '193.34.198.128', '193.34.198.255', 3240281728, 3240281855, 'PL', 'Poland'),
(101023, '193.34.199.0', '193.34.199.127', 3240281856, 3240281983, 'NL', 'Netherlands'),
(101024, '193.34.199.128', '193.34.199.255', 3240281984, 3240282111, 'NO', 'Norway'),
(101025, '193.34.200.0', '193.34.200.127', 3240282112, 3240282239, 'DE', 'Germany'),
(101026, '193.34.200.128', '193.34.200.255', 3240282240, 3240282367, 'UA', 'Ukraine'),
(101027, '193.34.201.0', '193.34.201.127', 3240282368, 3240282495, 'RO', 'Romania'),
(101028, '193.34.201.128', '193.34.201.255', 3240282496, 3240282623, 'RU', 'Russian Federation'),
(101029, '193.34.202.0', '193.34.202.255', 3240282624, 3240282879, 'SE', 'Sweden'),
(101030, '193.34.203.0', '193.34.203.127', 3240282880, 3240283007, 'UA', 'Ukraine'),
(101031, '193.34.203.128', '193.34.204.255', 3240283008, 3240283391, 'PL', 'Poland'),
(101032, '193.34.205.0', '193.34.205.255', 3240283392, 3240283647, 'TR', 'Turkey'),
(101033, '193.34.206.0', '193.34.206.255', 3240283648, 3240283903, 'AT', 'Austria'),
(101034, '193.34.207.0', '193.34.207.255', 3240283904, 3240284159, 'DE', 'Germany'),
(101035, '193.34.208.0', '193.34.211.255', 3240284160, 3240285183, 'RU', 'Russian Federation'),
(101036, '193.34.212.0', '193.34.215.255', 3240285184, 3240286207, 'PL', 'Poland'),
(101037, '193.34.216.0', '193.34.219.255', 3240286208, 3240287231, 'UA', 'Ukraine'),
(101038, '193.34.220.0', '193.34.223.255', 3240287232, 3240288255, 'PL', 'Poland'),
(101039, '193.34.224.0', '193.34.255.255', 3240288256, 3240296447, 'GB', 'United Kingdom'),
(101040, '193.35.0.0', '193.35.0.255', 3240296448, 3240296703, 'RO', 'Romania'),
(101041, '193.35.1.0', '193.35.24.255', 3240296704, 3240302847, 'GB', 'United Kingdom'),
(101042, '193.35.25.0', '193.35.25.255', 3240302848, 3240303103, 'UA', 'Ukraine'),
(101043, '193.35.26.0', '193.35.31.255', 3240303104, 3240304639, 'GB', 'United Kingdom'),
(101044, '193.35.32.0', '193.35.35.255', 3240304640, 3240305663, 'RU', 'Russian Federation'),
(101045, '193.35.36.0', '193.35.36.255', 3240305664, 3240305919, 'PL', 'Poland'),
(101046, '193.35.37.0', '193.35.37.255', 3240305920, 3240306175, 'EU', 'Europe'),
(101047, '193.35.38.0', '193.35.39.255', 3240306176, 3240306687, 'RU', 'Russian Federation'),
(101048, '193.35.40.0', '193.35.40.255', 3240306688, 3240306943, 'BG', 'Bulgaria'),
(101049, '193.35.41.0', '193.35.41.255', 3240306944, 3240307199, 'PL', 'Poland'),
(101050, '193.35.42.0', '193.35.43.255', 3240307200, 3240307711, 'RU', 'Russian Federation'),
(101051, '193.35.44.0', '193.35.45.255', 3240307712, 3240308223, 'ES', 'Spain'),
(101052, '193.35.46.0', '193.35.46.255', 3240308224, 3240308479, 'BG', 'Bulgaria'),
(101053, '193.35.47.0', '193.35.47.255', 3240308480, 3240308735, 'PL', 'Poland'),
(101054, '193.35.48.0', '193.35.51.255', 3240308736, 3240309759, 'CZ', 'Czech Republic'),
(101055, '193.35.52.0', '193.35.55.255', 3240309760, 3240310783, 'NO', 'Norway'),
(101056, '193.35.56.0', '193.35.59.255', 3240310784, 3240311807, 'GB', 'United Kingdom'),
(101057, '193.35.61.0', '193.35.61.255', 3240312064, 3240312319, 'RU', 'Russian Federation'),
(101058, '193.35.62.0', '193.35.62.255', 3240312320, 3240312575, 'IR', 'Iran, Islamic Republic of'),
(101059, '193.35.63.0', '193.35.63.255', 3240312576, 3240312831, 'RU', 'Russian Federation'),
(101060, '193.35.64.0', '193.35.95.255', 3240312832, 3240321023, 'GB', 'United Kingdom'),
(101061, '193.35.96.0', '193.35.98.255', 3240321024, 3240321791, 'RU', 'Russian Federation'),
(101062, '193.35.99.0', '193.35.99.255', 3240321792, 3240322047, 'PL', 'Poland'),
(101063, '193.35.100.0', '193.35.101.255', 3240322048, 3240322559, 'RU', 'Russian Federation'),
(101064, '193.35.102.0', '193.35.107.255', 3240322560, 3240324095, 'CZ', 'Czech Republic'),
(101065, '193.35.108.0', '193.35.108.255', 3240324096, 3240324351, 'RO', 'Romania'),
(101066, '193.35.109.0', '193.35.109.255', 3240324352, 3240324607, 'RU', 'Russian Federation'),
(101067, '193.35.110.0', '193.35.110.255', 3240324608, 3240324863, 'PL', 'Poland'),
(101068, '193.35.111.0', '193.35.111.255', 3240324864, 3240325119, 'SI', 'Slovenia'),
(101069, '193.35.112.0', '193.35.255.255', 3240325120, 3240361983, 'GB', 'United Kingdom'),
(101070, '193.36.0.0', '193.36.0.255', 3240361984, 3240362239, 'TR', 'Turkey'),
(101071, '193.36.1.0', '193.36.31.255', 3240362240, 3240370175, 'GB', 'United Kingdom'),
(101072, '193.36.32.0', '193.36.32.255', 3240370176, 3240370431, 'CH', 'Switzerland'),
(101073, '193.36.33.0', '193.36.33.255', 3240370432, 3240370687, 'DE', 'Germany'),
(101074, '193.36.34.0', '193.36.34.255', 3240370688, 3240370943, 'GB', 'United Kingdom'),
(101075, '193.36.35.0', '193.36.35.255', 3240370944, 3240371199, 'RU', 'Russian Federation'),
(101076, '193.36.36.0', '193.36.36.255', 3240371200, 3240371455, 'CH', 'Switzerland'),
(101077, '193.36.37.0', '193.36.37.255', 3240371456, 3240371711, 'RO', 'Romania'),
(101078, '193.36.38.0', '193.36.38.255', 3240371712, 3240371967, 'RU', 'Russian Federation'),
(101079, '193.36.39.0', '193.36.39.255', 3240371968, 3240372223, 'TR', 'Turkey'),
(101080, '193.36.40.0', '193.36.40.255', 3240372224, 3240372479, 'SI', 'Slovenia'),
(101081, '193.36.41.0', '193.36.42.255', 3240372480, 3240372991, 'RU', 'Russian Federation'),
(101082, '193.36.43.0', '193.36.43.255', 3240372992, 3240373247, 'IE', 'Ireland'),
(101083, '193.36.44.0', '193.36.44.255', 3240373248, 3240373503, 'RO', 'Romania'),
(101084, '193.36.45.0', '193.36.45.255', 3240373504, 3240373759, 'FR', 'France'),
(101085, '193.36.46.0', '193.36.46.255', 3240373760, 3240374015, 'DE', 'Germany'),
(101086, '193.36.47.0', '193.36.175.255', 3240374016, 3240407039, 'GB', 'United Kingdom'),
(101087, '193.36.176.0', '193.36.176.255', 3240407040, 3240407295, 'IL', 'Israel'),
(101088, '193.36.177.0', '193.36.177.255', 3240407296, 3240407551, 'NL', 'Netherlands'),
(101089, '193.36.178.0', '193.36.178.255', 3240407552, 3240407807, 'NO', 'Norway'),
(101090, '193.36.179.0', '193.36.179.255', 3240407808, 3240408063, 'NL', 'Netherlands'),
(101091, '193.36.180.0', '193.36.180.255', 3240408064, 3240408319, 'DE', 'Germany'),
(101092, '193.36.181.0', '193.36.181.255', 3240408320, 3240408575, 'CH', 'Switzerland'),
(101093, '193.36.182.0', '193.36.182.255', 3240408576, 3240408831, 'FR', 'France'),
(101094, '193.36.183.0', '193.36.183.255', 3240408832, 3240409087, 'PL', 'Poland'),
(101095, '193.36.184.0', '193.36.184.255', 3240409088, 3240409343, 'TR', 'Turkey'),
(101096, '193.36.185.0', '193.36.185.255', 3240409344, 3240409599, 'GB', 'United Kingdom'),
(101097, '193.36.186.0', '193.36.186.255', 3240409600, 3240409855, 'NL', 'Netherlands'),
(101098, '193.36.187.0', '193.36.188.255', 3240409856, 3240410367, 'DE', 'Germany'),
(101099, '193.36.189.0', '193.36.189.255', 3240410368, 3240410623, 'AT', 'Austria'),
(101100, '193.36.190.0', '193.36.190.255', 3240410624, 3240410879, 'PT', 'Portugal'),
(101101, '193.36.191.0', '193.36.191.255', 3240410880, 3240411135, 'NO', 'Norway'),
(101102, '193.36.224.0', '193.36.225.255', 3240419328, 3240419839, 'GB', 'United Kingdom'),
(101103, '193.36.226.0', '193.36.226.255', 3240419840, 3240420095, 'AT', 'Austria'),
(101104, '193.36.227.0', '193.36.227.255', 3240420096, 3240420351, 'DE', 'Germany'),
(101105, '193.36.228.0', '193.36.228.255', 3240420352, 3240420607, 'RO', 'Romania'),
(101106, '193.36.229.0', '193.36.229.255', 3240420608, 3240420863, 'NL', 'Netherlands'),
(101107, '193.36.230.0', '193.37.127.255', 3240420864, 3240460287, 'GB', 'United Kingdom'),
(101108, '193.37.128.0', '193.37.130.255', 3240460288, 3240461055, 'IL', 'Israel'),
(101109, '193.37.131.0', '193.37.132.255', 3240461056, 3240461567, 'DE', 'Germany'),
(101110, '193.37.133.0', '193.37.133.255', 3240461568, 3240461823, 'UA', 'Ukraine'),
(101111, '193.37.134.0', '193.37.134.255', 3240461824, 3240462079, 'EU', 'Europe'),
(101112, '193.37.135.0', '193.37.135.255', 3240462080, 3240462335, 'TR', 'Turkey'),
(101113, '193.37.136.0', '193.37.136.255', 3240462336, 3240462591, 'RO', 'Romania'),
(101114, '193.37.137.0', '193.37.137.255', 3240462592, 3240462847, 'RU', 'Russian Federation'),
(101115, '193.37.138.0', '193.37.138.255', 3240462848, 3240463103, 'RO', 'Romania'),
(101116, '193.37.139.0', '193.37.140.255', 3240463104, 3240463615, 'PL', 'Poland'),
(101117, '193.37.141.0', '193.37.141.255', 3240463616, 3240463871, 'UA', 'Ukraine'),
(101118, '193.37.142.0', '193.37.142.255', 3240463872, 3240464127, 'GB', 'United Kingdom'),
(101119, '193.37.143.0', '193.37.143.255', 3240464128, 3240464383, 'SA', 'Saudi Arabia'),
(101120, '193.37.144.0', '193.37.144.255', 3240464384, 3240464639, 'AT', 'Austria'),
(101121, '193.37.145.0', '193.37.145.255', 3240464640, 3240464895, 'FR', 'France'),
(101122, '193.37.146.0', '193.37.146.255', 3240464896, 3240465151, 'GB', 'United Kingdom'),
(101123, '193.37.147.0', '193.37.147.255', 3240465152, 3240465407, 'CH', 'Switzerland'),
(101124, '193.37.148.0', '193.37.149.255', 3240465408, 3240465919, 'DE', 'Germany'),
(101125, '193.37.150.0', '193.37.150.255', 3240465920, 3240466175, 'FR', 'France'),
(101126, '193.37.151.0', '193.37.152.255', 3240466176, 3240466687, 'DE', 'Germany'),
(101127, '193.37.153.0', '193.37.153.255', 3240466688, 3240466943, 'AO', 'Angola'),
(101128, '193.37.154.0', '193.37.154.255', 3240466944, 3240467199, 'TR', 'Turkey'),
(101129, '193.37.155.0', '193.37.155.255', 3240467200, 3240467455, 'NL', 'Netherlands'),
(101130, '193.37.156.0', '193.37.156.255', 3240467456, 3240467711, 'UA', 'Ukraine'),
(101131, '193.37.157.0', '193.37.157.255', 3240467712, 3240467967, 'RU', 'Russian Federation'),
(101132, '193.37.158.0', '193.37.158.255', 3240467968, 3240468223, 'GB', 'United Kingdom'),
(101133, '193.37.159.0', '193.37.159.255', 3240468224, 3240468479, 'CH', 'Switzerland'),
(101134, '193.37.160.0', '193.37.235.255', 3240468480, 3240487935, 'GB', 'United Kingdom'),
(101135, '193.37.236.0', '193.37.236.255', 3240487936, 3240488191, 'CH', 'Switzerland'),
(101136, '193.37.237.0', '193.37.237.255', 3240488192, 3240488447, 'GB', 'United Kingdom'),
(101137, '193.37.238.0', '193.37.238.255', 3240488448, 3240488703, 'BG', 'Bulgaria'),
(101138, '193.37.239.0', '193.37.239.255', 3240488704, 3240488959, 'NL', 'Netherlands'),
(101139, '193.37.240.0', '193.37.255.255', 3240488960, 3240493055, 'GB', 'United Kingdom'),
(101140, '193.38.0.0', '193.38.31.255', 3240493056, 3240501247, 'SE', 'Sweden'),
(101141, '193.38.32.0', '193.38.47.255', 3240501248, 3240505343, 'GB', 'United Kingdom'),
(101142, '193.38.48.0', '193.38.48.255', 3240505344, 3240505599, 'PL', 'Poland'),
(101143, '193.38.49.0', '193.38.170.64', 3240505600, 3240536640, 'GB', 'United Kingdom'),
(101144, '193.38.170.65', '193.38.170.65', 3240536641, 3240536641, 'US', 'United States'),
(101145, '193.38.170.66', '193.39.65.255', 3240536642, 3240575487, 'GB', 'United Kingdom'),
(101146, '193.39.66.0', '193.39.66.255', 3240575488, 3240575743, 'RO', 'Romania'),
(101147, '193.39.67.0', '193.39.67.255', 3240575744, 3240575999, 'GB', 'United Kingdom'),
(101148, '193.39.68.0', '193.39.68.255', 3240576000, 3240576255, 'DE', 'Germany'),
(101149, '193.39.69.0', '193.39.69.255', 3240576256, 3240576511, 'UA', 'Ukraine'),
(101150, '193.39.70.0', '193.39.70.255', 3240576512, 3240576767, 'FR', 'France'),
(101151, '193.39.71.0', '193.39.71.255', 3240576768, 3240577023, 'PL', 'Poland'),
(101152, '193.39.72.0', '193.39.72.255', 3240577024, 3240577279, 'UA', 'Ukraine'),
(101153, '193.39.73.0', '193.39.73.255', 3240577280, 3240577535, 'RO', 'Romania'),
(101154, '193.39.74.0', '193.39.74.255', 3240577536, 3240577791, 'DE', 'Germany'),
(101155, '193.39.75.0', '193.39.77.255', 3240577792, 3240578559, 'UA', 'Ukraine'),
(101156, '193.39.78.0', '193.39.78.255', 3240578560, 3240578815, 'RU', 'Russian Federation'),
(101157, '193.39.79.0', '193.39.79.255', 3240578816, 3240579071, 'IL', 'Israel'),
(101158, '193.39.80.0', '193.39.111.255', 3240579072, 3240587263, 'GB', 'United Kingdom'),
(101159, '193.39.112.0', '193.39.112.255', 3240587264, 3240587519, 'NL', 'Netherlands'),
(101160, '193.39.113.0', '193.39.113.255', 3240587520, 3240587775, 'RU', 'Russian Federation'),
(101161, '193.39.114.0', '193.39.114.255', 3240587776, 3240588031, 'UA', 'Ukraine'),
(101162, '193.39.115.0', '193.39.115.255', 3240588032, 3240588287, 'DE', 'Germany'),
(101163, '193.39.116.0', '193.39.116.255', 3240588288, 3240588543, 'RU', 'Russian Federation'),
(101164, '193.39.117.0', '193.39.117.255', 3240588544, 3240588799, 'RO', 'Romania'),
(101165, '193.39.118.0', '193.39.118.255', 3240588800, 3240589055, 'UA', 'Ukraine'),
(101166, '193.39.119.0', '193.39.119.255', 3240589056, 3240589311, 'RO', 'Romania'),
(101167, '193.39.120.0', '193.39.135.255', 3240589312, 3240593407, 'SE', 'Sweden'),
(101168, '193.39.136.0', '193.39.138.255', 3240593408, 3240594175, 'GB', 'United Kingdom'),
(101169, '193.39.139.0', '193.39.139.255', 3240594176, 3240594431, 'DK', 'Denmark'),
(101170, '193.39.140.0', '193.39.199.255', 3240594432, 3240609791, 'GB', 'United Kingdom'),
(101171, '193.39.200.0', '193.39.207.255', 3240609792, 3240611839, 'DE', 'Germany'),
(101172, '193.39.208.0', '193.39.247.255', 3240611840, 3240622079, 'GB', 'United Kingdom'),
(101173, '193.39.248.0', '193.39.249.255', 3240622080, 3240622591, 'RU', 'Russian Federation'),
(101174, '193.39.250.0', '193.39.255.255', 3240622592, 3240624127, 'GB', 'United Kingdom'),
(101175, '193.40.0.0', '193.40.255.255', 3240624128, 3240689663, 'EE', 'Estonia'),
(101176, '193.41.0.0', '193.41.1.255', 3240689664, 3240690175, 'GB', 'United Kingdom'),
(101177, '193.41.2.0', '193.41.3.255', 3240690176, 3240690687, 'TR', 'Turkey'),
(101178, '193.41.4.0', '193.41.5.255', 3240690688, 3240691199, 'UA', 'Ukraine'),
(101179, '193.41.6.0', '193.41.7.255', 3240691200, 3240691711, 'IT', 'Italy'),
(101180, '193.41.8.0', '193.41.11.255', 3240691712, 3240692735, 'DE', 'Germany'),
(101181, '193.41.12.0', '193.41.13.255', 3240692736, 3240693247, 'DK', 'Denmark'),
(101182, '193.41.14.0', '193.41.15.255', 3240693248, 3240693759, 'ES', 'Spain'),
(101183, '193.41.16.0', '193.41.23.255', 3240693760, 3240695807, 'BE', 'Belgium'),
(101184, '193.41.24.0', '193.41.31.255', 3240695808, 3240697855, 'ES', 'Spain'),
(101185, '193.41.32.0', '193.41.32.255', 3240697856, 3240698111, 'SE', 'Sweden'),
(101186, '193.41.33.0', '193.41.33.255', 3240698112, 3240698367, 'LV', 'Latvia'),
(101187, '193.41.34.0', '193.41.34.255', 3240698368, 3240698623, 'GB', 'United Kingdom'),
(101188, '193.41.35.0', '193.41.36.255', 3240698624, 3240699135, 'SI', 'Slovenia'),
(101189, '193.41.37.0', '193.41.37.255', 3240699136, 3240699391, 'DE', 'Germany'),
(101190, '193.41.38.0', '193.41.38.255', 3240699392, 3240699647, 'UA', 'Ukraine'),
(101191, '193.41.39.0', '193.41.39.255', 3240699648, 3240699903, 'NO', 'Norway'),
(101192, '193.41.40.0', '193.41.40.255', 3240699904, 3240700159, 'LT', 'Lithuania'),
(101193, '193.41.41.0', '193.41.41.255', 3240700160, 3240700415, 'AT', 'Austria'),
(101194, '193.41.42.0', '193.41.42.255', 3240700416, 3240700671, 'BE', 'Belgium'),
(101195, '193.41.43.0', '193.41.43.255', 3240700672, 3240700927, 'ES', 'Spain'),
(101196, '193.41.44.0', '193.41.44.255', 3240700928, 3240701183, 'FR', 'France'),
(101197, '193.41.45.0', '193.41.45.255', 3240701184, 3240701439, 'LV', 'Latvia'),
(101198, '193.41.46.0', '193.41.46.255', 3240701440, 3240701695, 'ES', 'Spain'),
(101199, '193.41.47.0', '193.41.47.255', 3240701696, 3240701951, 'FR', 'France'),
(101200, '193.41.48.0', '193.41.51.255', 3240701952, 3240702975, 'UA', 'Ukraine'),
(101201, '193.41.52.0', '193.41.55.255', 3240702976, 3240703999, 'DE', 'Germany'),
(101202, '193.41.56.0', '193.41.59.255', 3240704000, 3240705023, 'GR', 'Greece'),
(101203, '193.41.60.0', '193.41.63.255', 3240705024, 3240706047, 'UA', 'Ukraine'),
(101204, '193.41.64.0', '193.41.67.255', 3240706048, 3240707071, 'BG', 'Bulgaria'),
(101205, '193.41.68.0', '193.41.70.255', 3240707072, 3240707839, 'NL', 'Netherlands'),
(101206, '193.41.71.0', '193.41.75.255', 3240707840, 3240709119, 'FR', 'France'),
(101207, '193.41.76.0', '193.41.79.255', 3240709120, 3240710143, 'RU', 'Russian Federation'),
(101208, '193.41.80.0', '193.41.80.255', 3240710144, 3240710399, 'UA', 'Ukraine'),
(101209, '193.41.81.0', '193.41.81.255', 3240710400, 3240710655, 'LT', 'Lithuania'),
(101210, '193.41.82.0', '193.41.82.255', 3240710656, 3240710911, 'DE', 'Germany'),
(101211, '193.41.83.0', '193.41.83.255', 3240710912, 3240711167, 'FR', 'France'),
(101212, '193.41.84.0', '193.41.85.255', 3240711168, 3240711679, 'IT', 'Italy'),
(101213, '193.41.86.0', '193.41.86.255', 3240711680, 3240711935, 'RU', 'Russian Federation'),
(101214, '193.41.87.0', '193.41.87.255', 3240711936, 3240712191, 'DE', 'Germany'),
(101215, '193.41.88.0', '193.41.88.255', 3240712192, 3240712447, 'UA', 'Ukraine'),
(101216, '193.41.89.0', '193.41.89.255', 3240712448, 3240712703, 'SI', 'Slovenia'),
(101217, '193.41.90.0', '193.41.90.255', 3240712704, 3240712959, 'CH', 'Switzerland'),
(101218, '193.41.91.0', '193.41.91.255', 3240712960, 3240713215, 'IT', 'Italy'),
(101219, '193.41.92.0', '193.41.92.255', 3240713216, 3240713471, 'GB', 'United Kingdom'),
(101220, '193.41.93.0', '193.41.93.255', 3240713472, 3240713727, 'RU', 'Russian Federation'),
(101221, '193.41.94.0', '193.41.94.255', 3240713728, 3240713983, 'AT', 'Austria'),
(101222, '193.41.95.0', '193.41.95.255', 3240713984, 3240714239, 'FR', 'France'),
(101223, '193.41.96.0', '193.41.103.255', 3240714240, 3240716287, 'GB', 'United Kingdom'),
(101224, '193.41.104.0', '193.41.111.255', 3240716288, 3240718335, 'CH', 'Switzerland'),
(101225, '193.41.112.0', '193.41.113.255', 3240718336, 3240718847, 'PL', 'Poland'),
(101226, '193.41.114.0', '193.41.115.255', 3240718848, 3240719359, 'PT', 'Portugal'),
(101227, '193.41.116.0', '193.41.117.255', 3240719360, 3240719871, 'DE', 'Germany'),
(101228, '193.41.118.0', '193.41.119.255', 3240719872, 3240720383, 'SE', 'Sweden'),
(101229, '193.41.120.0', '193.41.121.255', 3240720384, 3240720895, 'DE', 'Germany'),
(101230, '193.41.122.0', '193.41.123.255', 3240720896, 3240721407, 'RO', 'Romania'),
(101231, '193.41.124.0', '193.41.125.255', 3240721408, 3240721919, 'DE', 'Germany'),
(101232, '193.41.126.0', '193.41.127.255', 3240721920, 3240722431, 'RO', 'Romania'),
(101233, '193.41.128.0', '193.41.131.255', 3240722432, 3240723455, 'UA', 'Ukraine'),
(101234, '193.41.132.0', '193.41.135.255', 3240723456, 3240724479, 'DE', 'Germany'),
(101235, '193.41.136.0', '193.41.137.255', 3240724480, 3240724991, 'CH', 'Switzerland'),
(101236, '193.41.138.0', '193.41.139.255', 3240724992, 3240725503, 'AT', 'Austria'),
(101237, '193.41.140.0', '193.41.143.255', 3240725504, 3240726527, 'RU', 'Russian Federation'),
(101238, '193.41.144.0', '193.41.145.255', 3240726528, 3240727039, 'DE', 'Germany'),
(101239, '193.41.146.0', '193.41.147.255', 3240727040, 3240727551, 'DZ', 'Algeria'),
(101240, '193.41.148.0', '193.41.149.255', 3240727552, 3240728063, 'CH', 'Switzerland'),
(101241, '193.41.150.0', '193.41.151.255', 3240728064, 3240728575, 'GR', 'Greece'),
(101242, '193.41.152.0', '193.41.155.255', 3240728576, 3240729599, 'GB', 'United Kingdom'),
(101243, '193.41.156.0', '193.41.157.255', 3240729600, 3240730111, 'DK', 'Denmark'),
(101244, '193.41.158.0', '193.41.159.255', 3240730112, 3240730623, 'BE', 'Belgium'),
(101245, '193.41.160.0', '193.41.163.255', 3240730624, 3240731647, 'ES', 'Spain'),
(101246, '193.41.164.0', '193.41.167.255', 3240731648, 3240732671, 'GB', 'United Kingdom'),
(101247, '193.41.168.0', '193.41.171.255', 3240732672, 3240733695, 'SE', 'Sweden'),
(101248, '193.41.172.0', '193.41.175.255', 3240733696, 3240734719, 'PL', 'Poland'),
(101249, '193.41.176.0', '193.41.179.255', 3240734720, 3240735743, 'IT', 'Italy'),
(101250, '193.41.180.0', '193.41.181.255', 3240735744, 3240736255, 'FR', 'France'),
(101251, '193.41.182.0', '193.41.183.255', 3240736256, 3240736767, 'BG', 'Bulgaria'),
(101252, '193.41.184.0', '193.41.187.255', 3240736768, 3240737791, 'UA', 'Ukraine'),
(101253, '193.41.188.0', '193.41.191.255', 3240737792, 3240738815, 'BG', 'Bulgaria'),
(101254, '193.41.192.0', '193.41.192.255', 3240738816, 3240739071, 'UA', 'Ukraine'),
(101255, '193.41.193.0', '193.41.193.255', 3240739072, 3240739327, 'CH', 'Switzerland'),
(101256, '193.41.194.0', '193.41.194.255', 3240739328, 3240739583, 'FR', 'France'),
(101257, '193.41.195.0', '193.41.195.255', 3240739584, 3240739839, 'LV', 'Latvia'),
(101258, '193.41.196.0', '193.41.196.255', 3240739840, 3240740095, 'US', 'United States'),
(101259, '193.41.197.0', '193.41.197.255', 3240740096, 3240740351, 'LT', 'Lithuania'),
(101260, '193.41.198.0', '193.41.198.255', 3240740352, 3240740607, 'IT', 'Italy'),
(101261, '193.41.199.0', '193.41.200.255', 3240740608, 3240741119, 'DE', 'Germany'),
(101262, '193.41.201.0', '193.41.201.255', 3240741120, 3240741375, 'AT', 'Austria'),
(101263, '193.41.202.0', '193.41.202.255', 3240741376, 3240741631, 'IL', 'Israel'),
(101264, '193.41.203.0', '193.41.203.255', 3240741632, 3240741887, 'RU', 'Russian Federation'),
(101265, '193.41.204.0', '193.41.204.255', 3240741888, 3240742143, 'LV', 'Latvia'),
(101266, '193.41.205.0', '193.41.205.255', 3240742144, 3240742399, 'IT', 'Italy'),
(101267, '193.41.206.0', '193.41.206.255', 3240742400, 3240742655, 'RO', 'Romania'),
(101268, '193.41.207.0', '193.41.207.255', 3240742656, 3240742911, 'AT', 'Austria'),
(101269, '193.41.208.0', '193.41.209.255', 3240742912, 3240743423, 'IL', 'Israel'),
(101270, '193.41.210.0', '193.41.211.255', 3240743424, 3240743935, 'PL', 'Poland'),
(101271, '193.41.212.0', '193.41.213.255', 3240743936, 3240744447, 'DE', 'Germany'),
(101272, '193.41.214.0', '193.41.215.255', 3240744448, 3240744959, 'SE', 'Sweden'),
(101273, '193.41.216.0', '193.41.217.255', 3240744960, 3240745471, 'RO', 'Romania'),
(101274, '193.41.218.0', '193.41.219.255', 3240745472, 3240745983, 'UA', 'Ukraine'),
(101275, '193.41.220.0', '193.41.221.255', 3240745984, 3240746495, 'GB', 'United Kingdom'),
(101276, '193.41.222.0', '193.41.223.255', 3240746496, 3240747007, 'FR', 'France'),
(101277, '193.41.224.0', '193.41.224.255', 3240747008, 3240747263, 'SE', 'Sweden'),
(101278, '193.41.225.0', '193.41.225.255', 3240747264, 3240747519, 'TR', 'Turkey'),
(101279, '193.41.226.0', '193.41.226.255', 3240747520, 3240747775, 'RU', 'Russian Federation'),
(101280, '193.41.227.0', '193.41.227.255', 3240747776, 3240748031, 'ES', 'Spain'),
(101281, '193.41.228.0', '193.41.228.255', 3240748032, 3240748287, 'AT', 'Austria'),
(101282, '193.41.229.0', '193.41.229.255', 3240748288, 3240748543, 'GR', 'Greece'),
(101283, '193.41.230.0', '193.41.231.255', 3240748544, 3240749055, 'PL', 'Poland'),
(101284, '193.41.232.0', '193.41.232.255', 3240749056, 3240749311, 'AT', 'Austria'),
(101285, '193.41.233.0', '193.41.233.255', 3240749312, 3240749567, 'BE', 'Belgium'),
(101286, '193.41.234.0', '193.41.234.255', 3240749568, 3240749823, 'ES', 'Spain'),
(101287, '193.41.235.0', '193.41.236.255', 3240749824, 3240750335, 'IT', 'Italy'),
(101288, '193.41.237.0', '193.41.237.255', 3240750336, 3240750591, 'LU', 'Luxembourg'),
(101289, '193.41.238.0', '193.41.238.255', 3240750592, 3240750847, 'FR', 'France'),
(101290, '193.41.239.0', '193.41.239.255', 3240750848, 3240751103, 'UA', 'Ukraine'),
(101291, '193.41.240.0', '193.41.243.255', 3240751104, 3240752127, 'ES', 'Spain'),
(101292, '193.41.244.0', '193.41.251.255', 3240752128, 3240754175, 'RO', 'Romania'),
(101293, '193.41.252.0', '193.41.255.255', 3240754176, 3240755199, 'DE', 'Germany'),
(101294, '193.42.0.0', '193.42.0.255', 3240755200, 3240755455, 'IE', 'Ireland'),
(101295, '193.42.1.0', '193.42.141.255', 3240755456, 3240791551, 'IT', 'Italy'),
(101296, '193.42.142.0', '193.42.142.255', 3240791552, 3240791807, 'RU', 'Russian Federation'),
(101297, '193.42.143.0', '193.42.143.255', 3240791808, 3240792063, 'ES', 'Spain'),
(101298, '193.42.144.0', '193.42.144.255', 3240792064, 3240792319, 'GB', 'United Kingdom'),
(101299, '193.42.145.0', '193.42.145.255', 3240792320, 3240792575, 'RU', 'Russian Federation'),
(101300, '193.42.146.0', '193.42.146.255', 3240792576, 3240792831, 'CH', 'Switzerland'),
(101301, '193.42.147.0', '193.42.147.255', 3240792832, 3240793087, 'PL', 'Poland'),
(101302, '193.42.148.0', '193.42.148.255', 3240793088, 3240793343, 'UA', 'Ukraine'),
(101303, '193.42.149.0', '193.42.149.255', 3240793344, 3240793599, 'RU', 'Russian Federation'),
(101304, '193.42.150.0', '193.42.151.255', 3240793600, 3240794111, 'FR', 'France'),
(101305, '193.42.152.0', '193.42.152.255', 3240794112, 3240794367, 'GB', 'United Kingdom'),
(101306, '193.42.153.0', '193.42.154.255', 3240794368, 3240794879, 'PL', 'Poland'),
(101307, '193.42.155.0', '193.42.155.255', 3240794880, 3240795135, 'DE', 'Germany'),
(101308, '193.42.156.0', '193.42.157.255', 3240795136, 3240795647, 'UA', 'Ukraine'),
(101309, '193.42.158.0', '193.42.158.255', 3240795648, 3240795903, 'CH', 'Switzerland'),
(101310, '193.42.159.0', '193.42.159.255', 3240795904, 3240796159, 'SE', 'Sweden'),
(101311, '193.42.160.0', '193.42.209.255', 3240796160, 3240808959, 'IT', 'Italy'),
(101312, '193.42.210.0', '193.42.210.255', 3240808960, 3240809215, 'GB', 'United Kingdom'),
(101313, '193.42.211.0', '193.42.211.255', 3240809216, 3240809471, 'PL', 'Poland'),
(101314, '193.42.212.0', '193.42.212.255', 3240809472, 3240809727, 'NL', 'Netherlands'),
(101315, '193.42.213.0', '193.42.213.255', 3240809728, 3240809983, 'FR', 'France'),
(101316, '193.42.214.0', '193.42.214.255', 3240809984, 3240810239, 'GR', 'Greece'),
(101317, '193.42.215.0', '193.42.215.255', 3240810240, 3240810495, 'SE', 'Sweden'),
(101318, '193.42.216.0', '193.42.216.255', 3240810496, 3240810751, 'TR', 'Turkey'),
(101319, '193.42.217.0', '193.42.217.255', 3240810752, 3240811007, 'GB', 'United Kingdom'),
(101320, '193.42.218.0', '193.42.218.255', 3240811008, 3240811263, 'PL', 'Poland'),
(101321, '193.42.219.0', '193.42.219.255', 3240811264, 3240811519, 'FR', 'France'),
(101322, '193.42.220.0', '193.42.220.255', 3240811520, 3240811775, 'SA', 'Saudi Arabia'),
(101323, '193.42.221.0', '193.42.221.255', 3240811776, 3240812031, 'DE', 'Germany'),
(101324, '193.42.222.0', '193.42.222.255', 3240812032, 3240812287, 'HU', 'Hungary'),
(101325, '193.42.223.0', '193.42.223.255', 3240812288, 3240812543, 'KW', 'Kuwait'),
(101326, '193.42.224.0', '193.42.227.255', 3240812544, 3240813567, 'IT', 'Italy'),
(101327, '193.42.228.0', '193.42.231.255', 3240813568, 3240814591, 'PL', 'Poland'),
(101328, '193.42.232.0', '193.42.247.255', 3240814592, 3240818687, 'IT', 'Italy'),
(101329, '193.42.248.0', '193.42.255.255', 3240818688, 3240820735, 'NL', 'Netherlands'),
(101330, '193.43.0.64', '193.43.0.127', 3240820800, 3240820863, 'GB', 'United Kingdom'),
(101331, '193.43.0.128', '193.43.0.255', 3240820864, 3240820991, 'PL', 'Poland'),
(101332, '193.43.1.0', '193.43.11.255', 3240820992, 3240823807, 'IT', 'Italy'),
(101333, '193.43.12.0', '193.43.13.255', 3240823808, 3240824319, 'PL', 'Poland'),
(101334, '193.43.14.0', '193.43.24.255', 3240824320, 3240827135, 'IT', 'Italy'),
(101335, '193.43.25.0', '193.43.25.255', 3240827136, 3240827391, 'FR', 'France'),
(101336, '193.43.26.0', '193.43.26.255', 3240827392, 3240827647, 'BG', 'Bulgaria'),
(101337, '193.43.27.0', '193.43.27.255', 3240827648, 3240827903, 'CH', 'Switzerland'),
(101338, '193.43.28.0', '193.43.28.255', 3240827904, 3240828159, 'IT', 'Italy'),
(101339, '193.43.29.0', '193.43.29.255', 3240828160, 3240828415, 'DE', 'Germany'),
(101340, '193.43.30.0', '193.43.63.255', 3240828416, 3240837119, 'IT', 'Italy'),
(101341, '193.43.64.0', '193.43.64.255', 3240837120, 3240837375, 'GB', 'United Kingdom'),
(101342, '193.43.65.0', '193.43.76.255', 3240837376, 3240840447, 'IT', 'Italy'),
(101343, '193.43.77.0', '193.43.77.255', 3240840448, 3240840703, 'PL', 'Poland'),
(101344, '193.43.78.0', '193.43.78.255', 3240840704, 3240840959, 'RU', 'Russian Federation'),
(101345, '193.43.79.0', '193.43.79.255', 3240840960, 3240841215, 'GB', 'United Kingdom'),
(101346, '193.43.80.0', '193.43.87.255', 3240841216, 3240843263, 'IT', 'Italy'),
(101347, '193.43.88.0', '193.43.89.255', 3240843264, 3240843775, 'NL', 'Netherlands'),
(101348, '193.43.90.0', '193.43.90.255', 3240843776, 3240844031, 'PL', 'Poland'),
(101349, '193.43.91.0', '193.43.92.255', 3240844032, 3240844543, 'NL', 'Netherlands'),
(101350, '193.43.93.0', '193.43.93.255', 3240844544, 3240844799, 'CH', 'Switzerland'),
(101351, '193.43.94.0', '193.43.94.255', 3240844800, 3240845055, 'GB', 'United Kingdom'),
(101352, '193.43.95.0', '193.43.95.255', 3240845056, 3240845311, 'UA', 'Ukraine'),
(101353, '193.43.96.0', '193.43.101.255', 3240845312, 3240846847, 'IT', 'Italy'),
(101354, '193.43.102.0', '193.43.103.255', 3240846848, 3240847359, 'VA', 'Holy See (Vatican City State)'),
(101355, '193.43.104.0', '193.43.124.255', 3240847360, 3240852735, 'IT', 'Italy'),
(101356, '193.43.125.0', '193.43.125.255', 3240852736, 3240852991, 'GB', 'United Kingdom'),
(101357, '193.43.126.0', '193.43.126.255', 3240852992, 3240853247, 'IT', 'Italy'),
(101358, '193.43.127.0', '193.43.127.255', 3240853248, 3240853503, 'RU', 'Russian Federation'),
(101359, '193.43.128.0', '193.43.131.255', 3240853504, 3240854527, 'VA', 'Holy See (Vatican City State)'),
(101360, '193.43.132.0', '193.43.133.255', 3240854528, 3240855039, 'IT', 'Italy'),
(101361, '193.43.134.0', '193.43.134.255', 3240855040, 3240855295, 'RU', 'Russian Federation'),
(101362, '193.43.135.0', '193.43.143.255', 3240855296, 3240857599, 'IT', 'Italy'),
(101363, '193.43.144.0', '193.43.144.255', 3240857600, 3240857855, 'PL', 'Poland'),
(101364, '193.43.145.0', '193.43.147.255', 3240857856, 3240858623, 'IT', 'Italy'),
(101365, '193.43.148.0', '193.43.148.255', 3240858624, 3240858879, 'PL', 'Poland'),
(101366, '193.43.149.0', '193.43.149.255', 3240858880, 3240859135, 'IT', 'Italy'),
(101367, '193.43.150.0', '193.43.150.255', 3240859136, 3240859391, 'NL', 'Netherlands'),
(101368, '193.43.151.0', '193.43.151.255', 3240859392, 3240859647, 'SE', 'Sweden'),
(101369, '193.43.152.0', '193.43.157.255', 3240859648, 3240861183, 'CH', 'Switzerland'),
(101370, '193.43.158.0', '193.43.159.255', 3240861184, 3240861695, 'AT', 'Austria'),
(101371, '193.43.160.0', '193.43.179.255', 3240861696, 3240866815, 'IT', 'Italy'),
(101372, '193.43.180.0', '193.43.180.255', 3240866816, 3240867071, 'RU', 'Russian Federation'),
(101373, '193.43.181.0', '193.43.181.255', 3240867072, 3240867327, 'PL', 'Poland'),
(101374, '193.43.182.0', '193.43.182.255', 3240867328, 3240867583, 'RU', 'Russian Federation'),
(101375, '193.43.183.0', '193.43.183.255', 3240867584, 3240867839, 'CH', 'Switzerland'),
(101376, '193.43.184.0', '193.43.207.255', 3240867840, 3240873983, 'IT', 'Italy'),
(101377, '193.43.208.0', '193.43.209.255', 3240873984, 3240874495, 'RU', 'Russian Federation'),
(101378, '193.43.210.0', '193.43.211.255', 3240874496, 3240875007, 'UA', 'Ukraine'),
(101379, '193.43.212.0', '193.43.213.255', 3240875008, 3240875519, 'AT', 'Austria'),
(101380, '193.43.214.0', '193.43.215.255', 3240875520, 3240876031, 'FR', 'France'),
(101381, '193.43.216.0', '193.43.217.255', 3240876032, 3240876543, 'DK', 'Denmark'),
(101382, '193.43.218.0', '193.43.219.255', 3240876544, 3240877055, 'GR', 'Greece'),
(101383, '193.43.220.0', '193.43.221.255', 3240877056, 3240877567, 'DE', 'Germany'),
(101384, '193.43.222.0', '193.43.227.255', 3240877568, 3240879103, 'UA', 'Ukraine'),
(101385, '193.43.228.0', '193.43.231.255', 3240879104, 3240880127, 'PL', 'Poland'),
(101386, '193.43.232.0', '193.43.235.255', 3240880128, 3240881151, 'RU', 'Russian Federation'),
(101387, '193.43.236.0', '193.43.239.255', 3240881152, 3240882175, 'EU', 'Europe'),
(101388, '193.43.240.0', '193.43.243.255', 3240882176, 3240883199, 'PL', 'Poland'),
(101389, '193.43.244.0', '193.43.247.255', 3240883200, 3240884223, 'IL', 'Israel'),
(101390, '193.43.248.0', '193.43.255.255', 3240884224, 3240886271, 'UA', 'Ukraine'),
(101391, '193.44.0.0', '193.45.1.7', 3240886272, 3240952071, 'SE', 'Sweden'),
(101392, '193.45.1.8', '193.45.1.15', 3240952072, 3240952079, 'IE', 'Ireland'),
(101393, '193.45.1.16', '193.45.1.31', 3240952080, 3240952095, 'SE', 'Sweden'),
(101394, '193.45.1.32', '193.45.1.63', 3240952096, 3240952127, 'US', 'United States'),
(101395, '193.45.1.64', '193.45.10.127', 3240952128, 3240954495, 'SE', 'Sweden'),
(101396, '193.45.10.128', '193.45.10.255', 3240954496, 3240954623, 'DE', 'Germany'),
(101397, '193.45.11.0', '193.45.14.255', 3240954624, 3240955647, 'SE', 'Sweden'),
(101398, '193.45.15.0', '193.45.15.255', 3240955648, 3240955903, 'GB', 'United Kingdom'),
(101399, '193.45.16.0', '193.45.38.255', 3240955904, 3240961791, 'SE', 'Sweden'),
(101400, '193.45.39.0', '193.45.39.7', 3240961792, 3240961799, 'FI', 'Finland'),
(101401, '193.45.39.8', '193.45.65.255', 3240961800, 3240968703, 'SE', 'Sweden'),
(101402, '193.45.66.0', '193.45.66.255', 3240968704, 3240968959, 'GB', 'United Kingdom'),
(101403, '193.45.67.0', '193.45.141.255', 3240968960, 3240988159, 'SE', 'Sweden'),
(101404, '193.45.142.0', '193.45.142.7', 3240988160, 3240988167, 'PL', 'Poland'),
(101405, '193.45.142.8', '193.45.255.255', 3240988168, 3241017343, 'SE', 'Sweden'),
(101406, '193.46.0.0', '193.46.1.255', 3241017344, 3241017855, 'AT', 'Austria'),
(101407, '193.46.2.0', '193.46.2.255', 3241017856, 3241018111, 'RU', 'Russian Federation'),
(101408, '193.46.3.0', '193.46.45.255', 3241018112, 3241029119, 'AT', 'Austria'),
(101409, '193.46.46.0', '193.46.46.255', 3241029120, 3241029375, 'UA', 'Ukraine'),
(101410, '193.46.47.0', '193.46.47.255', 3241029376, 3241029631, 'PL', 'Poland'),
(101411, '193.46.48.0', '193.46.59.255', 3241029632, 3241032703, 'AT', 'Austria'),
(101412, '193.46.60.0', '193.46.60.255', 3241032704, 3241032959, 'RU', 'Russian Federation'),
(101413, '193.46.61.0', '193.46.61.255', 3241032960, 3241033215, 'GB', 'United Kingdom'),
(101414, '193.46.62.0', '193.46.63.255', 3241033216, 3241033727, 'DE', 'Germany'),
(101415, '193.46.64.0', '193.46.64.255', 3241033728, 3241033983, 'IL', 'Israel'),
(101416, '193.46.65.0', '193.46.65.255', 3241033984, 3241034239, 'RU', 'Russian Federation'),
(101417, '193.46.66.0', '193.46.66.255', 3241034240, 3241034495, 'UA', 'Ukraine'),
(101418, '193.46.67.0', '193.46.67.255', 3241034496, 3241034751, 'DE', 'Germany'),
(101419, '193.46.68.0', '193.46.68.255', 3241034752, 3241035007, 'PL', 'Poland'),
(101420, '193.46.69.0', '193.46.69.255', 3241035008, 3241035263, 'DK', 'Denmark'),
(101421, '193.46.70.0', '193.46.70.255', 3241035264, 3241035519, 'RO', 'Romania'),
(101422, '193.46.71.0', '193.46.71.255', 3241035520, 3241035775, 'SI', 'Slovenia'),
(101423, '193.46.72.0', '193.46.72.255', 3241035776, 3241036031, 'GB', 'United Kingdom'),
(101424, '193.46.73.0', '193.46.73.255', 3241036032, 3241036287, 'CH', 'Switzerland'),
(101425, '193.46.74.0', '193.46.74.255', 3241036288, 3241036543, 'RU', 'Russian Federation'),
(101426, '193.46.75.0', '193.46.75.255', 3241036544, 3241036799, 'SI', 'Slovenia'),
(101427, '193.46.76.0', '193.46.76.255', 3241036800, 3241037055, 'GB', 'United Kingdom'),
(101428, '193.46.77.0', '193.46.77.255', 3241037056, 3241037311, 'RU', 'Russian Federation'),
(101429, '193.46.78.0', '193.46.78.255', 3241037312, 3241037567, 'BE', 'Belgium'),
(101430, '193.46.79.0', '193.46.79.255', 3241037568, 3241037823, 'DK', 'Denmark'),
(101431, '193.46.80.0', '193.46.80.255', 3241037824, 3241038079, 'NL', 'Netherlands'),
(101432, '193.46.81.0', '193.46.81.255', 3241038080, 3241038335, 'UA', 'Ukraine'),
(101433, '193.46.82.0', '193.46.82.255', 3241038336, 3241038591, 'DE', 'Germany'),
(101434, '193.46.83.0', '193.46.84.255', 3241038592, 3241039103, 'LT', 'Lithuania'),
(101435, '193.46.85.0', '193.46.85.255', 3241039104, 3241039359, 'FR', 'France'),
(101436, '193.46.86.0', '193.46.86.255', 3241039360, 3241039615, 'UA', 'Ukraine'),
(101437, '193.46.87.0', '193.46.87.255', 3241039616, 3241039871, 'GB', 'United Kingdom'),
(101438, '193.46.88.0', '193.46.88.255', 3241039872, 3241040127, 'CH', 'Switzerland'),
(101439, '193.46.89.0', '193.46.89.255', 3241040128, 3241040383, 'UA', 'Ukraine'),
(101440, '193.46.90.0', '193.46.90.255', 3241040384, 3241040639, 'GB', 'United Kingdom'),
(101441, '193.46.91.0', '193.46.91.255', 3241040640, 3241040895, 'RO', 'Romania'),
(101442, '193.46.92.0', '193.46.179.255', 3241040896, 3241063423, 'AT', 'Austria'),
(101443, '193.46.180.0', '193.46.180.255', 3241063424, 3241063679, 'IT', 'Italy'),
(101444, '193.46.181.0', '193.46.181.255', 3241063680, 3241063935, 'PL', 'Poland'),
(101445, '193.46.182.0', '193.46.182.255', 3241063936, 3241064191, 'DE', 'Germany'),
(101446, '193.46.183.0', '193.46.183.255', 3241064192, 3241064447, 'GB', 'United Kingdom'),
(101447, '193.46.184.0', '193.46.184.255', 3241064448, 3241064703, 'DE', 'Germany'),
(101448, '193.46.185.0', '193.46.187.255', 3241064704, 3241065471, 'PL', 'Poland'),
(101449, '193.46.188.0', '193.46.199.255', 3241065472, 3241068543, 'AT', 'Austria'),
(101450, '193.46.200.0', '193.46.200.255', 3241068544, 3241068799, 'GB', 'United Kingdom'),
(101451, '193.46.201.0', '193.46.202.255', 3241068800, 3241069311, 'UA', 'Ukraine'),
(101452, '193.46.203.0', '193.46.203.255', 3241069312, 3241069567, 'FR', 'France'),
(101453, '193.46.204.0', '193.46.205.255', 3241069568, 3241070079, 'GB', 'United Kingdom'),
(101454, '193.46.206.0', '193.46.206.255', 3241070080, 3241070335, 'FR', 'France'),
(101455, '193.46.207.0', '193.46.208.255', 3241070336, 3241070847, 'RU', 'Russian Federation'),
(101456, '193.46.209.0', '193.46.209.255', 3241070848, 3241071103, 'AT', 'Austria'),
(101457, '193.46.210.0', '193.46.210.255', 3241071104, 3241071359, 'UA', 'Ukraine'),
(101458, '193.46.211.0', '193.46.211.255', 3241071360, 3241071615, 'RU', 'Russian Federation'),
(101459, '193.46.212.0', '193.46.212.255', 3241071616, 3241071871, 'PL', 'Poland'),
(101460, '193.46.213.0', '193.46.213.255', 3241071872, 3241072127, 'RU', 'Russian Federation'),
(101461, '193.46.214.0', '193.46.214.255', 3241072128, 3241072383, 'BE', 'Belgium'),
(101462, '193.46.215.0', '193.46.215.255', 3241072384, 3241072639, 'DE', 'Germany'),
(101463, '193.46.216.0', '193.46.220.255', 3241072640, 3241073919, 'AT', 'Austria'),
(101464, '193.46.221.0', '193.46.221.255', 3241073920, 3241074175, 'GB', 'United Kingdom'),
(101465, '193.46.222.0', '193.46.231.255', 3241074176, 3241076735, 'AT', 'Austria'),
(101466, '193.46.232.0', '193.46.232.255', 3241076736, 3241076991, 'GR', 'Greece'),
(101467, '193.46.233.0', '193.46.235.255', 3241076992, 3241077759, 'AT', 'Austria'),
(101468, '193.46.236.0', '193.46.236.255', 3241077760, 3241078015, 'LV', 'Latvia'),
(101469, '193.46.237.0', '193.46.237.255', 3241078016, 3241078271, 'PL', 'Poland'),
(101470, '193.46.238.0', '193.46.238.255', 3241078272, 3241078527, 'ES', 'Spain'),
(101471, '193.46.239.0', '193.46.239.255', 3241078528, 3241078783, 'DE', 'Germany'),
(101472, '193.46.240.0', '193.46.255.255', 3241078784, 3241082879, 'AT', 'Austria'),
(101473, '193.47.0.0', '193.47.0.255', 3241082880, 3241083135, 'FR', 'France'),
(101474, '193.47.1.0', '193.47.7.255', 3241083136, 3241084927, 'CH', 'Switzerland'),
(101475, '193.47.8.0', '193.47.8.255', 3241084928, 3241085183, 'AP', 'Asia/Pacific Region'),
(101476, '193.47.9.0', '193.47.69.255', 3241085184, 3241100799, 'CH', 'Switzerland'),
(101477, '193.47.70.0', '193.47.70.255', 3241100800, 3241101055, 'UA', 'Ukraine'),
(101478, '193.47.71.0', '193.47.71.255', 3241101056, 3241101311, 'DK', 'Denmark'),
(101479, '193.47.72.0', '193.47.72.255', 3241101312, 3241101567, 'RO', 'Romania'),
(101480, '193.47.73.0', '193.47.73.255', 3241101568, 3241101823, 'DE', 'Germany'),
(101481, '193.47.74.0', '193.47.74.255', 3241101824, 3241102079, 'BG', 'Bulgaria'),
(101482, '193.47.75.0', '193.47.75.255', 3241102080, 3241102335, 'RO', 'Romania'),
(101483, '193.47.76.0', '193.47.76.255', 3241102336, 3241102591, 'ES', 'Spain'),
(101484, '193.47.77.0', '193.47.77.255', 3241102592, 3241102847, 'DE', 'Germany'),
(101485, '193.47.78.0', '193.47.79.255', 3241102848, 3241103359, 'NL', 'Netherlands'),
(101486, '193.47.80.0', '193.47.80.255', 3241103360, 3241103615, 'FR', 'France'),
(101487, '193.47.81.0', '193.47.81.255', 3241103616, 3241103871, 'DK', 'Denmark'),
(101488, '193.47.82.0', '193.47.82.255', 3241103872, 3241104127, 'DE', 'Germany'),
(101489, '193.47.83.0', '193.47.83.255', 3241104128, 3241104383, 'GB', 'United Kingdom'),
(101490, '193.47.84.0', '193.47.84.255', 3241104384, 3241104639, 'ES', 'Spain'),
(101491, '193.47.85.0', '193.47.85.255', 3241104640, 3241104895, 'UA', 'Ukraine'),
(101492, '193.47.86.0', '193.47.86.255', 3241104896, 3241105151, 'ES', 'Spain'),
(101493, '193.47.87.0', '193.47.87.255', 3241105152, 3241105407, 'RU', 'Russian Federation'),
(101494, '193.47.88.0', '193.47.98.255', 3241105408, 3241108223, 'CH', 'Switzerland'),
(101495, '193.47.99.0', '193.47.100.255', 3241108224, 3241108735, 'DE', 'Germany'),
(101496, '193.47.101.0', '193.47.101.255', 3241108736, 3241108991, 'RO', 'Romania'),
(101497, '193.47.102.0', '193.47.102.255', 3241108992, 3241109247, 'SA', 'Saudi Arabia'),
(101498, '193.47.103.0', '193.47.135.255', 3241109248, 3241117695, 'CH', 'Switzerland'),
(101499, '193.47.136.0', '193.47.136.255', 3241117696, 3241117951, 'SI', 'Slovenia'),
(101500, '193.47.137.0', '193.47.137.255', 3241117952, 3241118207, 'UA', 'Ukraine'),
(101501, '193.47.138.0', '193.47.138.255', 3241118208, 3241118463, 'AT', 'Austria'),
(101502, '193.47.139.0', '193.47.139.255', 3241118464, 3241118719, 'FR', 'France'),
(101503, '193.47.140.0', '193.47.140.255', 3241118720, 3241118975, 'CH', 'Switzerland'),
(101504, '193.47.141.0', '193.47.141.255', 3241118976, 3241119231, 'FR', 'France'),
(101505, '193.47.142.0', '193.47.142.255', 3241119232, 3241119487, 'DK', 'Denmark'),
(101506, '193.47.143.0', '193.47.143.255', 3241119488, 3241119743, 'EU', 'Europe'),
(101507, '193.47.144.0', '193.47.144.255', 3241119744, 3241119999, 'RO', 'Romania'),
(101508, '193.47.145.0', '193.47.145.255', 3241120000, 3241120255, 'ES', 'Spain'),
(101509, '193.47.146.0', '193.47.146.255', 3241120256, 3241120511, 'RU', 'Russian Federation'),
(101510, '193.47.147.0', '193.47.147.255', 3241120512, 3241120767, 'GB', 'United Kingdom'),
(101511, '193.47.148.0', '193.47.148.255', 3241120768, 3241121023, 'RU', 'Russian Federation');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(101512, '193.47.149.0', '193.47.149.255', 3241121024, 3241121279, 'CH', 'Switzerland'),
(101513, '193.47.150.0', '193.47.150.255', 3241121280, 3241121535, 'FR', 'France'),
(101514, '193.47.151.0', '193.47.151.255', 3241121536, 3241121791, 'PL', 'Poland'),
(101515, '193.47.152.0', '193.47.152.255', 3241121792, 3241122047, 'DE', 'Germany'),
(101516, '193.47.153.0', '193.47.153.255', 3241122048, 3241122303, 'CH', 'Switzerland'),
(101517, '193.47.154.0', '193.47.154.255', 3241122304, 3241122559, 'RU', 'Russian Federation'),
(101518, '193.47.155.0', '193.47.157.255', 3241122560, 3241123327, 'AT', 'Austria'),
(101519, '193.47.158.0', '193.47.160.255', 3241123328, 3241124095, 'PL', 'Poland'),
(101520, '193.47.161.0', '193.47.161.255', 3241124096, 3241124351, 'DE', 'Germany'),
(101521, '193.47.162.0', '193.47.162.255', 3241124352, 3241124607, 'RO', 'Romania'),
(101522, '193.47.163.0', '193.47.163.255', 3241124608, 3241124863, 'PL', 'Poland'),
(101523, '193.47.164.0', '193.47.164.255', 3241124864, 3241125119, 'ES', 'Spain'),
(101524, '193.47.165.0', '193.47.165.255', 3241125120, 3241125375, 'IL', 'Israel'),
(101525, '193.47.166.0', '193.47.166.255', 3241125376, 3241125631, 'UA', 'Ukraine'),
(101526, '193.47.167.0', '193.47.167.255', 3241125632, 3241125887, 'SE', 'Sweden'),
(101527, '193.47.168.0', '193.47.183.255', 3241125888, 3241129983, 'CH', 'Switzerland'),
(101528, '193.47.184.0', '193.47.184.255', 3241129984, 3241130239, 'FR', 'France'),
(101529, '193.47.185.0', '193.47.185.255', 3241130240, 3241130495, 'PT', 'Portugal'),
(101530, '193.47.186.0', '193.47.186.255', 3241130496, 3241130751, 'DK', 'Denmark'),
(101531, '193.47.187.0', '193.47.187.255', 3241130752, 3241131007, 'DE', 'Germany'),
(101532, '193.47.188.0', '193.47.188.255', 3241131008, 3241131263, 'NL', 'Netherlands'),
(101533, '193.47.189.0', '193.47.189.255', 3241131264, 3241131519, 'UA', 'Ukraine'),
(101534, '193.47.190.0', '193.47.190.255', 3241131520, 3241131775, 'CH', 'Switzerland'),
(101535, '193.47.191.0', '193.47.191.255', 3241131776, 3241132031, 'DK', 'Denmark'),
(101536, '193.47.192.0', '193.47.245.255', 3241132032, 3241145855, 'CH', 'Switzerland'),
(101537, '193.47.246.0', '193.47.246.255', 3241145856, 3241146111, 'HR', 'Croatia'),
(101538, '193.47.247.0', '193.47.247.255', 3241146112, 3241146367, 'PL', 'Poland'),
(101539, '193.47.248.0', '193.47.248.255', 3241146368, 3241146623, 'IL', 'Israel'),
(101540, '193.47.249.0', '193.47.249.255', 3241146624, 3241146879, 'RO', 'Romania'),
(101541, '193.47.250.0', '193.47.255.255', 3241146880, 3241148415, 'CH', 'Switzerland'),
(101542, '193.48.0.0', '193.52.255.255', 3241148416, 3241476095, 'FR', 'France'),
(101543, '193.53.0.0', '193.53.0.255', 3241476096, 3241476351, 'CH', 'Switzerland'),
(101544, '193.53.1.0', '193.53.21.255', 3241476352, 3241481727, 'BE', 'Belgium'),
(101545, '193.53.22.0', '193.53.22.255', 3241481728, 3241481983, 'PT', 'Portugal'),
(101546, '193.53.23.0', '193.53.23.255', 3241481984, 3241482239, 'DE', 'Germany'),
(101547, '193.53.24.0', '193.53.33.255', 3241482240, 3241484799, 'SE', 'Sweden'),
(101548, '193.53.34.0', '193.53.35.255', 3241484800, 3241485311, 'BE', 'Belgium'),
(101549, '193.53.36.0', '193.53.36.255', 3241485312, 3241485567, 'GB', 'United Kingdom'),
(101550, '193.53.37.0', '193.53.79.255', 3241485568, 3241496575, 'BE', 'Belgium'),
(101551, '193.53.80.0', '193.53.80.255', 3241496576, 3241496831, 'AT', 'Austria'),
(101552, '193.53.81.0', '193.53.82.255', 3241496832, 3241497343, 'BE', 'Belgium'),
(101553, '193.53.83.0', '193.53.83.255', 3241497344, 3241497599, 'UA', 'Ukraine'),
(101554, '193.53.84.0', '193.53.84.255', 3241497600, 3241497855, 'SE', 'Sweden'),
(101555, '193.53.85.0', '193.53.85.255', 3241497856, 3241498111, 'DK', 'Denmark'),
(101556, '193.53.86.0', '193.53.86.255', 3241498112, 3241498367, 'BE', 'Belgium'),
(101557, '193.53.87.0', '193.53.87.255', 3241498368, 3241498623, 'RO', 'Romania'),
(101558, '193.53.88.0', '193.53.88.255', 3241498624, 3241498879, 'NO', 'Norway'),
(101559, '193.53.89.0', '193.53.89.255', 3241498880, 3241499135, 'UA', 'Ukraine'),
(101560, '193.53.90.0', '193.53.92.255', 3241499136, 3241499903, 'BE', 'Belgium'),
(101561, '193.53.93.0', '193.53.93.255', 3241499904, 3241500159, 'DE', 'Germany'),
(101562, '193.53.94.0', '193.53.95.255', 3241500160, 3241500671, 'GB', 'United Kingdom'),
(101563, '193.53.96.0', '193.53.98.255', 3241500672, 3241501439, 'BE', 'Belgium'),
(101564, '193.53.99.0', '193.53.100.255', 3241501440, 3241501951, 'EU', 'Europe'),
(101565, '193.53.101.0', '193.53.104.255', 3241501952, 3241502975, 'BE', 'Belgium'),
(101566, '193.53.105.0', '193.53.105.255', 3241502976, 3241503231, 'GR', 'Greece'),
(101567, '193.53.106.0', '193.53.106.255', 3241503232, 3241503487, 'RS', 'Serbia'),
(101568, '193.53.107.0', '193.53.124.255', 3241503488, 3241508095, 'BE', 'Belgium'),
(101569, '193.53.125.0', '193.53.125.255', 3241508096, 3241508351, 'NL', 'Netherlands'),
(101570, '193.53.126.0', '193.53.254.255', 3241508352, 3241541375, 'BE', 'Belgium'),
(101571, '193.53.255.0', '193.53.255.255', 3241541376, 3241541631, 'PL', 'Poland'),
(101572, '193.54.0.0', '193.56.201.255', 3241541632, 3241724415, 'FR', 'France'),
(101573, '193.56.202.0', '193.56.202.255', 3241724416, 3241724671, 'RU', 'Russian Federation'),
(101574, '193.56.203.0', '193.57.255.255', 3241724672, 3241803775, 'FR', 'France'),
(101575, '193.58.0.48', '193.58.0.55', 3241803824, 3241803831, 'EU', 'Europe'),
(101576, '193.58.0.56', '193.58.0.63', 3241803832, 3241803839, 'GB', 'United Kingdom'),
(101577, '193.58.1.0', '193.58.63.255', 3241804032, 3241820159, 'BE', 'Belgium'),
(101578, '193.58.64.0', '193.58.69.255', 3241820160, 3241821695, 'GB', 'United Kingdom'),
(101579, '193.58.70.0', '193.58.71.255', 3241821696, 3241822207, 'GR', 'Greece'),
(101580, '193.58.72.0', '193.58.79.255', 3241822208, 3241824255, 'CZ', 'Czech Republic'),
(101581, '193.58.80.0', '193.58.154.255', 3241824256, 3241843455, 'BE', 'Belgium'),
(101582, '193.58.155.0', '193.58.155.255', 3241843456, 3241843711, 'CH', 'Switzerland'),
(101583, '193.58.156.0', '193.58.172.255', 3241843712, 3241848063, 'BE', 'Belgium'),
(101584, '193.58.173.0', '193.58.185.255', 3241848064, 3241851391, 'CH', 'Switzerland'),
(101585, '193.58.186.0', '193.58.187.255', 3241851392, 3241851903, 'GR', 'Greece'),
(101586, '193.58.188.0', '193.58.191.255', 3241851904, 3241852927, 'GB', 'United Kingdom'),
(101587, '193.58.192.0', '193.58.197.255', 3241852928, 3241854463, 'SK', 'Slovakia'),
(101588, '193.58.198.0', '193.58.199.255', 3241854464, 3241854975, 'GB', 'United Kingdom'),
(101589, '193.58.200.0', '193.58.203.255', 3241854976, 3241855999, 'DE', 'Germany'),
(101590, '193.58.204.0', '193.58.208.255', 3241856000, 3241857279, 'NL', 'Netherlands'),
(101591, '193.58.209.0', '193.58.209.255', 3241857280, 3241857535, 'CH', 'Switzerland'),
(101592, '193.58.210.0', '193.58.215.255', 3241857536, 3241859071, 'AT', 'Austria'),
(101593, '193.58.216.0', '193.58.223.255', 3241859072, 3241861119, 'US', 'United States'),
(101594, '193.58.224.0', '193.58.231.255', 3241861120, 3241863167, 'BE', 'Belgium'),
(101595, '193.58.232.0', '193.58.232.255', 3241863168, 3241863423, 'PL', 'Poland'),
(101596, '193.58.233.0', '193.58.233.255', 3241863424, 3241863679, 'FR', 'France'),
(101597, '193.58.234.0', '193.58.234.255', 3241863680, 3241863935, 'GR', 'Greece'),
(101598, '193.58.235.0', '193.58.235.255', 3241863936, 3241864191, 'GB', 'United Kingdom'),
(101599, '193.58.236.0', '193.58.236.255', 3241864192, 3241864447, 'TR', 'Turkey'),
(101600, '193.58.237.0', '193.58.237.255', 3241864448, 3241864703, 'RU', 'Russian Federation'),
(101601, '193.58.238.0', '193.58.238.255', 3241864704, 3241864959, 'SE', 'Sweden'),
(101602, '193.58.239.0', '193.58.239.255', 3241864960, 3241865215, 'IT', 'Italy'),
(101603, '193.58.240.0', '193.58.240.255', 3241865216, 3241865471, 'DE', 'Germany'),
(101604, '193.58.241.0', '193.58.241.255', 3241865472, 3241865727, 'NO', 'Norway'),
(101605, '193.58.242.0', '193.58.242.255', 3241865728, 3241865983, 'CH', 'Switzerland'),
(101606, '193.58.243.0', '193.58.243.255', 3241865984, 3241866239, 'RO', 'Romania'),
(101607, '193.58.244.0', '193.58.245.255', 3241866240, 3241866751, 'DE', 'Germany'),
(101608, '193.58.246.0', '193.58.246.255', 3241866752, 3241867007, 'UA', 'Ukraine'),
(101609, '193.58.247.0', '193.58.247.255', 3241867008, 3241867263, 'FR', 'France'),
(101610, '193.58.248.0', '193.58.248.255', 3241867264, 3241867519, 'UA', 'Ukraine'),
(101611, '193.58.249.0', '193.58.249.255', 3241867520, 3241867775, 'PL', 'Poland'),
(101612, '193.58.250.0', '193.58.250.255', 3241867776, 3241868031, 'NO', 'Norway'),
(101613, '193.58.251.0', '193.58.251.255', 3241868032, 3241868287, 'RU', 'Russian Federation'),
(101614, '193.58.252.0', '193.58.252.255', 3241868288, 3241868543, 'HR', 'Croatia'),
(101615, '193.58.253.0', '193.58.253.255', 3241868544, 3241868799, 'DE', 'Germany'),
(101616, '193.58.254.0', '193.58.254.255', 3241868800, 3241869055, 'UA', 'Ukraine'),
(101617, '193.58.255.0', '193.58.255.255', 3241869056, 3241869311, 'BY', 'Belarus'),
(101618, '193.59.0.0', '193.59.255.255', 3241869312, 3241934847, 'PL', 'Poland'),
(101619, '193.60.0.0', '193.63.255.255', 3241934848, 3242196991, 'GB', 'United Kingdom'),
(101620, '193.64.0.0', '193.66.255.255', 3242196992, 3242393599, 'FI', 'Finland'),
(101621, '193.67.0.0', '193.67.3.103', 3242393600, 3242394471, 'NL', 'Netherlands'),
(101622, '193.67.3.104', '193.67.3.111', 3242394472, 3242394479, 'DE', 'Germany'),
(101623, '193.67.3.112', '193.67.102.255', 3242394480, 3242419967, 'NL', 'Netherlands'),
(101624, '193.67.103.0', '193.67.103.255', 3242419968, 3242420223, 'EU', 'Europe'),
(101625, '193.67.104.0', '193.67.127.1', 3242420224, 3242426113, 'NL', 'Netherlands'),
(101626, '193.67.127.2', '193.67.127.2', 3242426114, 3242426114, 'EU', 'Europe'),
(101627, '193.67.127.3', '193.67.255.255', 3242426115, 3242459135, 'NL', 'Netherlands'),
(101628, '193.68.0.0', '193.68.31.255', 3242459136, 3242467327, 'BG', 'Bulgaria'),
(101629, '193.68.32.0', '193.68.63.255', 3242467328, 3242475519, 'HU', 'Hungary'),
(101630, '193.68.64.0', '193.68.95.255', 3242475520, 3242483711, 'LV', 'Latvia'),
(101631, '193.68.96.0', '193.68.132.101', 3242483712, 3242493029, 'BG', 'Bulgaria'),
(101632, '193.68.132.102', '193.68.132.102', 3242493030, 3242493030, 'A1', 'Anonymous Proxy'),
(101633, '193.68.132.103', '193.68.255.255', 3242493031, 3242524671, 'BG', 'Bulgaria'),
(101634, '193.69.0.0', '193.69.255.255', 3242524672, 3242590207, 'NO', 'Norway'),
(101635, '193.70.0.0', '193.70.255.255', 3242590208, 3242655743, 'IT', 'Italy'),
(101636, '193.71.0.0', '193.71.255.255', 3242655744, 3242721279, 'NO', 'Norway'),
(101637, '193.72.0.0', '193.73.255.255', 3242721280, 3242852351, 'CH', 'Switzerland'),
(101638, '193.74.0.0', '193.74.229.255', 3242852352, 3242911231, 'BE', 'Belgium'),
(101639, '193.74.230.0', '193.74.231.255', 3242911232, 3242911743, 'NL', 'Netherlands'),
(101640, '193.74.232.0', '193.74.255.255', 3242911744, 3242917887, 'BE', 'Belgium'),
(101641, '193.75.0.0', '193.75.127.255', 3242917888, 3242950655, 'NO', 'Norway'),
(101642, '193.75.128.0', '193.75.255.255', 3242950656, 3242983423, 'BE', 'Belgium'),
(101643, '193.76.0.0', '193.76.255.255', 3242983424, 3243048959, 'IT', 'Italy'),
(101644, '193.77.0.0', '193.77.255.255', 3243048960, 3243114495, 'SI', 'Slovenia'),
(101645, '193.78.0.0', '193.78.141.255', 3243114496, 3243150847, 'NL', 'Netherlands'),
(101646, '193.78.142.0', '193.78.142.255', 3243150848, 3243151103, 'IT', 'Italy'),
(101647, '193.78.143.0', '193.79.143.183', 3243151104, 3243216823, 'NL', 'Netherlands'),
(101648, '193.79.143.184', '193.79.143.191', 3243216824, 3243216831, 'GB', 'United Kingdom'),
(101649, '193.79.143.192', '193.79.170.63', 3243216832, 3243223615, 'NL', 'Netherlands'),
(101650, '193.79.170.64', '193.79.170.71', 3243223616, 3243223623, 'NO', 'Norway'),
(101651, '193.79.170.72', '193.79.170.143', 3243223624, 3243223695, 'NL', 'Netherlands'),
(101652, '193.79.170.144', '193.79.170.151', 3243223696, 3243223703, 'PT', 'Portugal'),
(101653, '193.79.170.152', '193.79.255.255', 3243223704, 3243245567, 'NL', 'Netherlands'),
(101654, '193.80.0.0', '193.80.203.255', 3243245568, 3243297791, 'AT', 'Austria'),
(101655, '193.80.204.0', '193.80.204.255', 3243297792, 3243298047, 'SI', 'Slovenia'),
(101656, '193.80.205.0', '193.81.255.255', 3243298048, 3243376639, 'AT', 'Austria'),
(101657, '193.82.0.0', '193.82.254.255', 3243376640, 3243441919, 'GB', 'United Kingdom'),
(101658, '193.82.255.0', '193.82.255.255', 3243441920, 3243442175, 'MT', 'Malta'),
(101659, '193.83.0.0', '193.83.7.199', 3243442176, 3243444167, 'AT', 'Austria'),
(101660, '193.83.7.200', '193.83.7.215', 3243444168, 3243444183, 'NL', 'Netherlands'),
(101661, '193.83.7.216', '193.83.255.255', 3243444184, 3243507711, 'AT', 'Austria'),
(101662, '193.84.0.0', '193.84.0.255', 3243507712, 3243507967, 'GB', 'United Kingdom'),
(101663, '193.84.1.0', '193.84.7.255', 3243507968, 3243509759, 'CZ', 'Czech Republic'),
(101664, '193.84.8.0', '193.84.8.255', 3243509760, 3243510015, 'RU', 'Russian Federation'),
(101665, '193.84.9.0', '193.84.9.255', 3243510016, 3243510271, 'NL', 'Netherlands'),
(101666, '193.84.10.0', '193.84.15.255', 3243510272, 3243511807, 'CZ', 'Czech Republic'),
(101667, '193.84.16.0', '193.84.16.255', 3243511808, 3243512063, 'GB', 'United Kingdom'),
(101668, '193.84.17.0', '193.84.17.255', 3243512064, 3243512319, 'UA', 'Ukraine'),
(101669, '193.84.18.0', '193.84.18.255', 3243512320, 3243512575, 'FR', 'France'),
(101670, '193.84.19.0', '193.84.19.255', 3243512576, 3243512831, 'UA', 'Ukraine'),
(101671, '193.84.20.0', '193.84.20.255', 3243512832, 3243513087, 'DE', 'Germany'),
(101672, '193.84.21.0', '193.84.21.255', 3243513088, 3243513343, 'GR', 'Greece'),
(101673, '193.84.22.0', '193.84.23.255', 3243513344, 3243513855, 'UA', 'Ukraine'),
(101674, '193.84.24.0', '193.84.24.255', 3243513856, 3243514111, 'BE', 'Belgium'),
(101675, '193.84.25.0', '193.84.25.255', 3243514112, 3243514367, 'CH', 'Switzerland'),
(101676, '193.84.26.0', '193.84.26.255', 3243514368, 3243514623, 'IE', 'Ireland'),
(101677, '193.84.27.0', '193.84.27.255', 3243514624, 3243514879, 'DK', 'Denmark'),
(101678, '193.84.28.0', '193.84.28.255', 3243514880, 3243515135, 'AT', 'Austria'),
(101679, '193.84.29.0', '193.84.29.255', 3243515136, 3243515391, 'CH', 'Switzerland'),
(101680, '193.84.30.0', '193.84.30.255', 3243515392, 3243515647, 'DE', 'Germany'),
(101681, '193.84.31.0', '193.84.31.255', 3243515648, 3243515903, 'RU', 'Russian Federation'),
(101682, '193.84.32.0', '193.84.49.255', 3243515904, 3243520511, 'CZ', 'Czech Republic'),
(101683, '193.84.50.0', '193.84.50.255', 3243520512, 3243520767, 'UA', 'Ukraine'),
(101684, '193.84.51.0', '193.84.51.255', 3243520768, 3243521023, 'GB', 'United Kingdom'),
(101685, '193.84.52.0', '193.84.52.255', 3243521024, 3243521279, 'AT', 'Austria'),
(101686, '193.84.53.0', '193.84.53.255', 3243521280, 3243521535, 'CZ', 'Czech Republic'),
(101687, '193.84.54.0', '193.84.54.255', 3243521536, 3243521791, 'DE', 'Germany'),
(101688, '193.84.55.0', '193.84.63.255', 3243521792, 3243524095, 'CZ', 'Czech Republic'),
(101689, '193.84.64.0', '193.84.64.255', 3243524096, 3243524351, 'RO', 'Romania'),
(101690, '193.84.65.0', '193.84.65.255', 3243524352, 3243524607, 'AT', 'Austria'),
(101691, '193.84.66.0', '193.84.66.255', 3243524608, 3243524863, 'DE', 'Germany'),
(101692, '193.84.67.0', '193.84.67.255', 3243524864, 3243525119, 'NL', 'Netherlands'),
(101693, '193.84.68.0', '193.84.68.255', 3243525120, 3243525375, 'CZ', 'Czech Republic'),
(101694, '193.84.69.0', '193.84.69.255', 3243525376, 3243525631, 'RO', 'Romania'),
(101695, '193.84.70.0', '193.84.70.255', 3243525632, 3243525887, 'CZ', 'Czech Republic'),
(101696, '193.84.71.0', '193.84.71.255', 3243525888, 3243526143, 'PL', 'Poland'),
(101697, '193.84.72.0', '193.84.72.255', 3243526144, 3243526399, 'UA', 'Ukraine'),
(101698, '193.84.73.0', '193.84.73.255', 3243526400, 3243526655, 'FR', 'France'),
(101699, '193.84.74.0', '193.84.74.255', 3243526656, 3243526911, 'PL', 'Poland'),
(101700, '193.84.75.0', '193.84.75.255', 3243526912, 3243527167, 'SE', 'Sweden'),
(101701, '193.84.76.0', '193.84.77.255', 3243527168, 3243527679, 'UA', 'Ukraine'),
(101702, '193.84.78.0', '193.84.78.255', 3243527680, 3243527935, 'GB', 'United Kingdom'),
(101703, '193.84.79.0', '193.84.79.255', 3243527936, 3243528191, 'PL', 'Poland'),
(101704, '193.84.80.0', '193.84.83.255', 3243528192, 3243529215, 'CZ', 'Czech Republic'),
(101705, '193.84.84.0', '193.84.84.255', 3243529216, 3243529471, 'BE', 'Belgium'),
(101706, '193.84.85.0', '193.84.85.255', 3243529472, 3243529727, 'GB', 'United Kingdom'),
(101707, '193.84.86.0', '193.84.86.255', 3243529728, 3243529983, 'BG', 'Bulgaria'),
(101708, '193.84.87.0', '193.84.87.255', 3243529984, 3243530239, 'GB', 'United Kingdom'),
(101709, '193.84.88.0', '193.84.88.255', 3243530240, 3243530495, 'RU', 'Russian Federation'),
(101710, '193.84.89.0', '193.84.89.255', 3243530496, 3243530751, 'FR', 'France'),
(101711, '193.84.90.0', '193.84.90.255', 3243530752, 3243531007, 'UA', 'Ukraine'),
(101712, '193.84.91.0', '193.84.91.255', 3243531008, 3243531263, 'DE', 'Germany'),
(101713, '193.84.92.0', '193.84.93.255', 3243531264, 3243531775, 'CZ', 'Czech Republic'),
(101714, '193.84.94.0', '193.84.94.255', 3243531776, 3243532031, 'AT', 'Austria'),
(101715, '193.84.95.0', '193.84.95.255', 3243532032, 3243532287, 'DE', 'Germany'),
(101716, '193.84.96.0', '193.84.111.255', 3243532288, 3243536383, 'CZ', 'Czech Republic'),
(101717, '193.84.112.0', '193.84.112.255', 3243536384, 3243536639, 'AT', 'Austria'),
(101718, '193.84.113.0', '193.84.113.255', 3243536640, 3243536895, 'CH', 'Switzerland'),
(101719, '193.84.114.0', '193.84.114.255', 3243536896, 3243537151, 'CZ', 'Czech Republic'),
(101720, '193.84.115.0', '193.84.115.255', 3243537152, 3243537407, 'RO', 'Romania'),
(101721, '193.84.116.0', '193.84.141.255', 3243537408, 3243544063, 'CZ', 'Czech Republic'),
(101722, '193.84.142.0', '193.84.142.255', 3243544064, 3243544319, 'GB', 'United Kingdom'),
(101723, '193.84.143.0', '193.84.143.255', 3243544320, 3243544575, 'NL', 'Netherlands'),
(101724, '193.84.144.0', '193.84.175.255', 3243544576, 3243552767, 'CZ', 'Czech Republic'),
(101725, '193.84.176.0', '193.84.176.255', 3243552768, 3243553023, 'NL', 'Netherlands'),
(101726, '193.84.177.0', '193.84.177.255', 3243553024, 3243553279, 'FR', 'France'),
(101727, '193.84.178.0', '193.84.178.255', 3243553280, 3243553535, 'DE', 'Germany'),
(101728, '193.84.179.0', '193.84.179.255', 3243553536, 3243553791, 'PL', 'Poland'),
(101729, '193.84.180.0', '193.84.181.255', 3243553792, 3243554303, 'DE', 'Germany'),
(101730, '193.84.182.0', '193.84.182.255', 3243554304, 3243554559, 'PL', 'Poland'),
(101731, '193.84.183.0', '193.84.183.255', 3243554560, 3243554815, 'MD', 'Moldova, Republic of'),
(101732, '193.84.184.0', '193.84.184.255', 3243554816, 3243555071, 'LV', 'Latvia'),
(101733, '193.84.185.0', '193.84.185.255', 3243555072, 3243555327, 'RO', 'Romania'),
(101734, '193.84.186.0', '193.84.186.255', 3243555328, 3243555583, 'CZ', 'Czech Republic'),
(101735, '193.84.187.0', '193.84.187.255', 3243555584, 3243555839, 'FR', 'France'),
(101736, '193.84.188.0', '193.84.223.255', 3243555840, 3243565055, 'CZ', 'Czech Republic'),
(101737, '193.84.224.0', '193.84.239.255', 3243565056, 3243569151, 'GB', 'United Kingdom'),
(101738, '193.84.240.0', '193.84.245.255', 3243569152, 3243570687, 'CZ', 'Czech Republic'),
(101739, '193.84.246.0', '193.84.246.255', 3243570688, 3243570943, 'PL', 'Poland'),
(101740, '193.84.247.0', '193.84.249.255', 3243570944, 3243571711, 'CZ', 'Czech Republic'),
(101741, '193.84.250.0', '193.84.250.255', 3243571712, 3243571967, 'GB', 'United Kingdom'),
(101742, '193.84.251.0', '193.84.251.255', 3243571968, 3243572223, 'GR', 'Greece'),
(101743, '193.84.252.0', '193.84.254.255', 3243572224, 3243572991, 'CZ', 'Czech Republic'),
(101744, '193.84.255.0', '193.84.255.255', 3243572992, 3243573247, 'RU', 'Russian Federation'),
(101745, '193.85.0.0', '193.86.255.255', 3243573248, 3243704319, 'CZ', 'Czech Republic'),
(101746, '193.87.0.0', '193.87.255.255', 3243704320, 3243769855, 'SK', 'Slovakia'),
(101747, '193.88.0.0', '193.89.255.255', 3243769856, 3243900927, 'DK', 'Denmark'),
(101748, '193.90.0.0', '193.90.255.255', 3243900928, 3243966463, 'NO', 'Norway'),
(101749, '193.91.0.0', '193.91.31.255', 3243966464, 3243974655, 'PL', 'Poland'),
(101750, '193.91.32.0', '193.91.47.255', 3243974656, 3243978751, 'LU', 'Luxembourg'),
(101751, '193.91.48.0', '193.91.63.255', 3243978752, 3243982847, 'NL', 'Netherlands'),
(101752, '193.91.64.0', '193.91.95.255', 3243982848, 3243991039, 'HU', 'Hungary'),
(101753, '193.91.96.0', '193.91.127.255', 3243991040, 3243999231, 'BE', 'Belgium'),
(101754, '193.91.128.0', '193.91.255.255', 3243999232, 3244031999, 'NO', 'Norway'),
(101755, '193.92.0.0', '193.92.7.255', 3244032000, 3244034047, 'GR', 'Greece'),
(101756, '193.92.8.0', '193.92.11.255', 3244034048, 3244035071, 'CY', 'Cyprus'),
(101757, '193.92.12.0', '193.92.255.255', 3244035072, 3244097535, 'GR', 'Greece'),
(101758, '193.93.0.0', '193.93.3.255', 3244097536, 3244098559, 'DE', 'Germany'),
(101759, '193.93.4.0', '193.93.7.255', 3244098560, 3244099583, 'GB', 'United Kingdom'),
(101760, '193.93.8.0', '193.93.11.255', 3244099584, 3244100607, 'FR', 'France'),
(101761, '193.93.12.0', '193.93.19.255', 3244100608, 3244102655, 'UA', 'Ukraine'),
(101762, '193.93.20.0', '193.93.23.255', 3244102656, 3244103679, 'CH', 'Switzerland'),
(101763, '193.93.24.0', '193.93.27.255', 3244103680, 3244104703, 'BG', 'Bulgaria'),
(101764, '193.93.28.0', '193.93.31.255', 3244104704, 3244105727, 'DE', 'Germany'),
(101765, '193.93.32.0', '193.93.39.255', 3244105728, 3244107775, 'GB', 'United Kingdom'),
(101766, '193.93.40.0', '193.93.43.255', 3244107776, 3244108799, 'RO', 'Romania'),
(101767, '193.93.44.0', '193.93.47.255', 3244108800, 3244109823, 'GB', 'United Kingdom'),
(101768, '193.93.48.0', '193.93.55.255', 3244109824, 3244111871, 'UA', 'Ukraine'),
(101769, '193.93.56.0', '193.93.59.255', 3244111872, 3244112895, 'KZ', 'Kazakhstan'),
(101770, '193.93.60.0', '193.93.63.255', 3244112896, 3244113919, 'RU', 'Russian Federation'),
(101771, '193.93.64.0', '193.93.67.255', 3244113920, 3244114943, 'CH', 'Switzerland'),
(101772, '193.93.68.0', '193.93.71.255', 3244114944, 3244115967, 'PL', 'Poland'),
(101773, '193.93.72.0', '193.93.75.255', 3244115968, 3244116991, 'SK', 'Slovakia'),
(101774, '193.93.76.0', '193.93.79.255', 3244116992, 3244118015, 'UA', 'Ukraine'),
(101775, '193.93.80.0', '193.93.87.255', 3244118016, 3244120063, 'GB', 'United Kingdom'),
(101776, '193.93.88.0', '193.93.95.255', 3244120064, 3244122111, 'PL', 'Poland'),
(101777, '193.93.96.0', '193.93.99.255', 3244122112, 3244123135, 'A2', 'Satellite Provider'),
(101778, '193.93.100.0', '193.93.103.255', 3244123136, 3244124159, 'UA', 'Ukraine'),
(101779, '193.93.104.0', '193.93.107.255', 3244124160, 3244125183, 'PL', 'Poland'),
(101780, '193.93.108.0', '193.93.111.255', 3244125184, 3244126207, 'UA', 'Ukraine'),
(101781, '193.93.112.0', '193.93.115.255', 3244126208, 3244127231, 'BE', 'Belgium'),
(101782, '193.93.116.0', '193.93.119.255', 3244127232, 3244128255, 'UA', 'Ukraine'),
(101783, '193.93.120.0', '193.93.123.255', 3244128256, 3244129279, 'RU', 'Russian Federation'),
(101784, '193.93.124.0', '193.93.127.255', 3244129280, 3244130303, 'FR', 'France'),
(101785, '193.93.128.0', '193.93.131.255', 3244130304, 3244131327, 'NO', 'Norway'),
(101786, '193.93.132.0', '193.93.139.255', 3244131328, 3244133375, 'FI', 'Finland'),
(101787, '193.93.140.0', '193.93.143.255', 3244133376, 3244134399, 'RO', 'Romania'),
(101788, '193.93.144.0', '193.93.147.255', 3244134400, 3244135423, 'PL', 'Poland'),
(101789, '193.93.148.0', '193.93.155.255', 3244135424, 3244137471, 'GB', 'United Kingdom'),
(101790, '193.93.156.0', '193.93.159.255', 3244137472, 3244138495, 'PL', 'Poland'),
(101791, '193.93.160.0', '193.93.163.255', 3244138496, 3244139519, 'UA', 'Ukraine'),
(101792, '193.93.164.0', '193.93.167.255', 3244139520, 3244140543, 'GR', 'Greece'),
(101793, '193.93.168.0', '193.93.171.255', 3244140544, 3244141567, 'UA', 'Ukraine'),
(101794, '193.93.172.0', '193.93.175.255', 3244141568, 3244142591, 'NL', 'Netherlands'),
(101795, '193.93.176.0', '193.93.179.255', 3244142592, 3244143615, 'DE', 'Germany'),
(101796, '193.93.180.0', '193.93.183.255', 3244143616, 3244144639, 'FR', 'France'),
(101797, '193.93.184.0', '193.93.191.255', 3244144640, 3244146687, 'UA', 'Ukraine'),
(101798, '193.93.192.0', '193.93.195.255', 3244146688, 3244147711, 'RU', 'Russian Federation'),
(101799, '193.93.196.0', '193.93.203.255', 3244147712, 3244149759, 'GB', 'United Kingdom'),
(101800, '193.93.204.0', '193.93.207.255', 3244149760, 3244150783, 'PL', 'Poland'),
(101801, '193.93.208.0', '193.93.211.255', 3244150784, 3244151807, 'CH', 'Switzerland'),
(101802, '193.93.212.0', '193.93.215.255', 3244151808, 3244152831, 'KZ', 'Kazakhstan'),
(101803, '193.93.216.0', '193.93.219.255', 3244152832, 3244153855, 'UA', 'Ukraine'),
(101804, '193.93.220.0', '193.93.223.255', 3244153856, 3244154879, 'NO', 'Norway'),
(101805, '193.93.224.0', '193.93.227.255', 3244154880, 3244155903, 'GB', 'United Kingdom'),
(101806, '193.93.228.0', '193.93.231.255', 3244155904, 3244156927, 'UA', 'Ukraine'),
(101807, '193.93.232.0', '193.93.239.255', 3244156928, 3244158975, 'RU', 'Russian Federation'),
(101808, '193.93.240.0', '193.93.243.255', 3244158976, 3244159999, 'DE', 'Germany'),
(101809, '193.93.244.0', '193.93.247.255', 3244160000, 3244161023, 'RU', 'Russian Federation'),
(101810, '193.93.248.0', '193.93.255.255', 3244161024, 3244163071, 'NO', 'Norway'),
(101811, '193.94.0.0', '193.94.255.255', 3244163072, 3244228607, 'FI', 'Finland'),
(101812, '193.95.0.0', '193.95.127.255', 3244228608, 3244261375, 'TN', 'Tunisia'),
(101813, '193.95.128.0', '193.95.145.95', 3244261376, 3244265823, 'IE', 'Ireland'),
(101814, '193.95.145.96', '193.95.145.103', 3244265824, 3244265831, 'ES', 'Spain'),
(101815, '193.95.145.104', '193.95.153.255', 3244265832, 3244268031, 'IE', 'Ireland'),
(101816, '193.95.154.0', '193.95.154.127', 3244268032, 3244268159, 'LU', 'Luxembourg'),
(101817, '193.95.154.128', '193.95.171.191', 3244268160, 3244272575, 'IE', 'Ireland'),
(101818, '193.95.171.192', '193.95.171.255', 3244272576, 3244272639, 'US', 'United States'),
(101819, '193.95.172.0', '193.95.176.23', 3244272640, 3244273687, 'IE', 'Ireland'),
(101820, '193.95.176.24', '193.95.176.31', 3244273688, 3244273695, 'US', 'United States'),
(101821, '193.95.176.32', '193.95.176.63', 3244273696, 3244273727, 'IE', 'Ireland'),
(101822, '193.95.176.64', '193.95.176.71', 3244273728, 3244273735, 'GB', 'United Kingdom'),
(101823, '193.95.176.72', '193.95.178.39', 3244273736, 3244274215, 'IE', 'Ireland'),
(101824, '193.95.178.40', '193.95.178.47', 3244274216, 3244274223, 'GB', 'United Kingdom'),
(101825, '193.95.178.48', '193.95.178.103', 3244274224, 3244274279, 'IE', 'Ireland'),
(101826, '193.95.178.104', '193.95.178.111', 3244274280, 3244274287, 'US', 'United States'),
(101827, '193.95.178.112', '193.95.190.111', 3244274288, 3244277359, 'IE', 'Ireland'),
(101828, '193.95.190.112', '193.95.190.119', 3244277360, 3244277367, 'GB', 'United Kingdom'),
(101829, '193.95.190.120', '193.95.191.127', 3244277368, 3244277631, 'IE', 'Ireland'),
(101830, '193.95.191.128', '193.95.191.191', 3244277632, 3244277695, 'US', 'United States'),
(101831, '193.95.191.192', '193.95.191.255', 3244277696, 3244277759, 'IE', 'Ireland'),
(101832, '193.95.192.0', '193.95.255.255', 3244277760, 3244294143, 'SI', 'Slovenia'),
(101833, '193.96.0.0', '193.96.193.255', 3244294144, 3244343807, 'DE', 'Germany'),
(101834, '193.96.194.0', '193.96.194.255', 3244343808, 3244344063, 'EU', 'Europe'),
(101835, '193.96.195.0', '193.97.190.255', 3244344064, 3244408575, 'DE', 'Germany'),
(101836, '193.97.191.0', '193.97.191.255', 3244408576, 3244408831, 'GB', 'United Kingdom'),
(101837, '193.97.192.0', '193.98.107.255', 3244408832, 3244452863, 'DE', 'Germany'),
(101838, '193.98.108.0', '193.98.108.255', 3244452864, 3244453119, 'EU', 'Europe'),
(101839, '193.98.109.0', '193.99.212.255', 3244453120, 3244545279, 'DE', 'Germany'),
(101840, '193.99.213.0', '193.99.213.255', 3244545280, 3244545535, 'EU', 'Europe'),
(101841, '193.99.214.0', '193.100.139.255', 3244545536, 3244592127, 'DE', 'Germany'),
(101842, '193.100.140.0', '193.100.141.255', 3244592128, 3244592639, 'CH', 'Switzerland'),
(101843, '193.100.142.0', '193.103.161.255', 3244592640, 3244794367, 'DE', 'Germany'),
(101844, '193.103.162.0', '193.103.163.255', 3244794368, 3244794879, 'CA', 'Canada'),
(101845, '193.103.164.0', '193.103.235.255', 3244794880, 3244813311, 'DE', 'Germany'),
(101846, '193.103.236.0', '193.103.237.255', 3244813312, 3244813823, 'CA', 'Canada'),
(101847, '193.103.238.0', '193.103.255.255', 3244813824, 3244818431, 'DE', 'Germany'),
(101848, '193.104.0.0', '193.104.0.255', 3244818432, 3244818687, 'ES', 'Spain'),
(101849, '193.104.1.0', '193.104.1.255', 3244818688, 3244818943, 'AT', 'Austria'),
(101850, '193.104.2.0', '193.104.2.255', 3244818944, 3244819199, 'PL', 'Poland'),
(101851, '193.104.3.0', '193.104.3.255', 3244819200, 3244819455, 'DE', 'Germany'),
(101852, '193.104.4.0', '193.104.4.255', 3244819456, 3244819711, 'GB', 'United Kingdom'),
(101853, '193.104.5.0', '193.104.5.255', 3244819712, 3244819967, 'RO', 'Romania'),
(101854, '193.104.6.0', '193.104.6.255', 3244819968, 3244820223, 'NL', 'Netherlands'),
(101855, '193.104.7.0', '193.104.7.255', 3244820224, 3244820479, 'UA', 'Ukraine'),
(101856, '193.104.8.0', '193.104.8.255', 3244820480, 3244820735, 'BE', 'Belgium'),
(101857, '193.104.9.0', '193.104.9.255', 3244820736, 3244820991, 'DE', 'Germany'),
(101858, '193.104.10.0', '193.104.10.255', 3244820992, 3244821247, 'SI', 'Slovenia'),
(101859, '193.104.11.0', '193.104.11.255', 3244821248, 3244821503, 'RU', 'Russian Federation'),
(101860, '193.104.12.0', '193.104.12.255', 3244821504, 3244821759, 'PA', 'Panama'),
(101861, '193.104.13.0', '193.104.13.255', 3244821760, 3244822015, 'TR', 'Turkey'),
(101862, '193.104.14.0', '193.104.14.255', 3244822016, 3244822271, 'RU', 'Russian Federation'),
(101863, '193.104.15.0', '193.104.15.255', 3244822272, 3244822527, 'GB', 'United Kingdom'),
(101864, '193.104.16.0', '193.104.16.255', 3244822528, 3244822783, 'UA', 'Ukraine'),
(101865, '193.104.17.0', '193.104.17.255', 3244822784, 3244823039, 'CZ', 'Czech Republic'),
(101866, '193.104.18.0', '193.104.18.255', 3244823040, 3244823295, 'DE', 'Germany'),
(101867, '193.104.19.0', '193.104.19.255', 3244823296, 3244823551, 'FR', 'France'),
(101868, '193.104.20.0', '193.104.20.255', 3244823552, 3244823807, 'GE', 'Georgia'),
(101869, '193.104.21.0', '193.104.21.255', 3244823808, 3244824063, 'RO', 'Romania'),
(101870, '193.104.22.0', '193.104.22.255', 3244824064, 3244824319, 'IR', 'Iran, Islamic Republic of'),
(101871, '193.104.23.0', '193.104.23.255', 3244824320, 3244824575, 'SI', 'Slovenia'),
(101872, '193.104.24.0', '193.104.24.255', 3244824576, 3244824831, 'RU', 'Russian Federation'),
(101873, '193.104.25.0', '193.104.25.255', 3244824832, 3244825087, 'GB', 'United Kingdom'),
(101874, '193.104.26.0', '193.104.26.255', 3244825088, 3244825343, 'DE', 'Germany'),
(101875, '193.104.27.0', '193.104.29.255', 3244825344, 3244826111, 'RU', 'Russian Federation'),
(101876, '193.104.30.0', '193.104.30.255', 3244826112, 3244826367, 'RO', 'Romania'),
(101877, '193.104.31.0', '193.104.31.255', 3244826368, 3244826623, 'CH', 'Switzerland'),
(101878, '193.104.32.0', '193.104.32.255', 3244826624, 3244826879, 'DE', 'Germany'),
(101879, '193.104.33.0', '193.104.33.255', 3244826880, 3244827135, 'MK', 'Macedonia'),
(101880, '193.104.34.0', '193.104.34.255', 3244827136, 3244827391, 'AT', 'Austria'),
(101881, '193.104.35.0', '193.104.35.255', 3244827392, 3244827647, 'GB', 'United Kingdom'),
(101882, '193.104.36.0', '193.104.36.255', 3244827648, 3244827903, 'FR', 'France'),
(101883, '193.104.37.0', '193.104.37.255', 3244827904, 3244828159, 'BE', 'Belgium'),
(101884, '193.104.38.0', '193.104.38.255', 3244828160, 3244828415, 'FI', 'Finland'),
(101885, '193.104.39.0', '193.104.39.255', 3244828416, 3244828671, 'FR', 'France'),
(101886, '193.104.40.0', '193.104.40.255', 3244828672, 3244828927, 'SA', 'Saudi Arabia'),
(101887, '193.104.41.0', '193.104.41.255', 3244828928, 3244829183, 'MD', 'Moldova, Republic of'),
(101888, '193.104.42.0', '193.104.42.255', 3244829184, 3244829439, 'CH', 'Switzerland'),
(101889, '193.104.43.0', '193.104.43.255', 3244829440, 3244829695, 'DK', 'Denmark'),
(101890, '193.104.44.0', '193.104.44.255', 3244829696, 3244829951, 'IL', 'Israel'),
(101891, '193.104.45.0', '193.104.46.255', 3244829952, 3244830463, 'PL', 'Poland'),
(101892, '193.104.47.0', '193.104.47.255', 3244830464, 3244830719, 'CH', 'Switzerland'),
(101893, '193.104.48.0', '193.104.48.255', 3244830720, 3244830975, 'FR', 'France'),
(101894, '193.104.49.0', '193.104.49.255', 3244830976, 3244831231, 'DE', 'Germany'),
(101895, '193.104.50.0', '193.104.50.255', 3244831232, 3244831487, 'PL', 'Poland'),
(101896, '193.104.51.0', '193.104.51.255', 3244831488, 3244831743, 'ES', 'Spain'),
(101897, '193.104.52.0', '193.104.52.255', 3244831744, 3244831999, 'PT', 'Portugal'),
(101898, '193.104.53.0', '193.104.53.255', 3244832000, 3244832255, 'HU', 'Hungary'),
(101899, '193.104.54.0', '193.104.54.255', 3244832256, 3244832511, 'FR', 'France'),
(101900, '193.104.55.0', '193.104.55.255', 3244832512, 3244832767, 'AT', 'Austria'),
(101901, '193.104.56.0', '193.104.56.255', 3244832768, 3244833023, 'FR', 'France'),
(101902, '193.104.57.0', '193.104.57.255', 3244833024, 3244833279, 'RU', 'Russian Federation'),
(101903, '193.104.58.0', '193.104.58.255', 3244833280, 3244833535, 'UA', 'Ukraine'),
(101904, '193.104.59.0', '193.104.59.255', 3244833536, 3244833791, 'RU', 'Russian Federation'),
(101905, '193.104.60.0', '193.104.60.255', 3244833792, 3244834047, 'FR', 'France'),
(101906, '193.104.61.0', '193.104.61.255', 3244834048, 3244834303, 'CH', 'Switzerland'),
(101907, '193.104.62.0', '193.104.62.255', 3244834304, 3244834559, 'IL', 'Israel'),
(101908, '193.104.63.0', '193.104.63.255', 3244834560, 3244834815, 'GB', 'United Kingdom'),
(101909, '193.104.64.0', '193.104.64.255', 3244834816, 3244835071, 'RU', 'Russian Federation'),
(101910, '193.104.65.0', '193.104.65.255', 3244835072, 3244835327, 'AT', 'Austria'),
(101911, '193.104.66.0', '193.104.66.255', 3244835328, 3244835583, 'DE', 'Germany'),
(101912, '193.104.67.0', '193.104.67.255', 3244835584, 3244835839, 'UA', 'Ukraine'),
(101913, '193.104.68.0', '193.104.68.255', 3244835840, 3244836095, 'RS', 'Serbia'),
(101914, '193.104.69.0', '193.104.70.255', 3244836096, 3244836607, 'RU', 'Russian Federation'),
(101915, '193.104.71.0', '193.104.71.255', 3244836608, 3244836863, 'PL', 'Poland'),
(101916, '193.104.72.0', '193.104.72.255', 3244836864, 3244837119, 'FR', 'France'),
(101917, '193.104.73.0', '193.104.73.255', 3244837120, 3244837375, 'RO', 'Romania'),
(101918, '193.104.74.0', '193.104.75.255', 3244837376, 3244837887, 'RU', 'Russian Federation'),
(101919, '193.104.76.0', '193.104.76.255', 3244837888, 3244838143, 'CY', 'Cyprus'),
(101920, '193.104.77.0', '193.104.77.255', 3244838144, 3244838399, 'IL', 'Israel'),
(101921, '193.104.78.0', '193.104.78.255', 3244838400, 3244838655, 'GB', 'United Kingdom'),
(101922, '193.104.79.0', '193.104.79.255', 3244838656, 3244838911, 'BG', 'Bulgaria'),
(101923, '193.104.80.0', '193.104.80.255', 3244838912, 3244839167, 'TR', 'Turkey'),
(101924, '193.104.81.0', '193.104.81.255', 3244839168, 3244839423, 'GB', 'United Kingdom'),
(101925, '193.104.82.0', '193.104.82.255', 3244839424, 3244839679, 'AT', 'Austria'),
(101926, '193.104.83.0', '193.104.83.255', 3244839680, 3244839935, 'DK', 'Denmark'),
(101927, '193.104.84.0', '193.104.84.255', 3244839936, 3244840191, 'DE', 'Germany'),
(101928, '193.104.85.0', '193.104.85.255', 3244840192, 3244840447, 'UA', 'Ukraine'),
(101929, '193.104.86.0', '193.104.86.255', 3244840448, 3244840703, 'IT', 'Italy'),
(101930, '193.104.87.0', '193.104.87.255', 3244840704, 3244840959, 'RU', 'Russian Federation'),
(101931, '193.104.88.0', '193.104.88.255', 3244840960, 3244841215, 'PL', 'Poland'),
(101932, '193.104.89.0', '193.104.89.255', 3244841216, 3244841471, 'GB', 'United Kingdom'),
(101933, '193.104.90.0', '193.104.90.255', 3244841472, 3244841727, 'DE', 'Germany'),
(101934, '193.104.91.0', '193.104.93.255', 3244841728, 3244842495, 'GB', 'United Kingdom'),
(101935, '193.104.94.0', '193.104.94.255', 3244842496, 3244842751, 'RU', 'Russian Federation'),
(101936, '193.104.95.0', '193.104.95.255', 3244842752, 3244843007, 'DE', 'Germany'),
(101937, '193.104.96.0', '193.104.96.255', 3244843008, 3244843263, 'UA', 'Ukraine'),
(101938, '193.104.97.0', '193.104.97.255', 3244843264, 3244843519, 'RU', 'Russian Federation'),
(101939, '193.104.98.0', '193.104.98.255', 3244843520, 3244843775, 'NL', 'Netherlands'),
(101940, '193.104.99.0', '193.104.99.255', 3244843776, 3244844031, 'PL', 'Poland'),
(101941, '193.104.100.0', '193.104.100.255', 3244844032, 3244844287, 'SE', 'Sweden'),
(101942, '193.104.101.0', '193.104.101.255', 3244844288, 3244844543, 'GB', 'United Kingdom'),
(101943, '193.104.102.0', '193.104.102.255', 3244844544, 3244844799, 'RU', 'Russian Federation'),
(101944, '193.104.103.0', '193.104.103.255', 3244844800, 3244845055, 'GB', 'United Kingdom'),
(101945, '193.104.104.0', '193.104.104.255', 3244845056, 3244845311, 'NL', 'Netherlands'),
(101946, '193.104.105.0', '193.104.105.255', 3244845312, 3244845567, 'NO', 'Norway'),
(101947, '193.104.106.0', '193.104.106.255', 3244845568, 3244845823, 'RO', 'Romania'),
(101948, '193.104.107.0', '193.104.108.255', 3244845824, 3244846335, 'GB', 'United Kingdom'),
(101949, '193.104.109.0', '193.104.109.255', 3244846336, 3244846591, 'TR', 'Turkey'),
(101950, '193.104.110.0', '193.104.110.255', 3244846592, 3244846847, 'CZ', 'Czech Republic'),
(101951, '193.104.111.0', '193.104.111.255', 3244846848, 3244847103, 'NL', 'Netherlands'),
(101952, '193.104.112.0', '193.104.112.255', 3244847104, 3244847359, 'SE', 'Sweden'),
(101953, '193.104.113.0', '193.104.113.255', 3244847360, 3244847615, 'A1', 'Anonymous Proxy'),
(101954, '193.104.114.0', '193.104.114.255', 3244847616, 3244847871, 'DK', 'Denmark'),
(101955, '193.104.115.0', '193.104.115.255', 3244847872, 3244848127, 'IL', 'Israel'),
(101956, '193.104.116.0', '193.104.116.255', 3244848128, 3244848383, 'CH', 'Switzerland'),
(101957, '193.104.117.0', '193.104.117.255', 3244848384, 3244848639, 'IL', 'Israel'),
(101958, '193.104.118.0', '193.104.118.255', 3244848640, 3244848895, 'DE', 'Germany'),
(101959, '193.104.119.0', '193.104.119.255', 3244848896, 3244849151, 'IL', 'Israel'),
(101960, '193.104.120.0', '193.104.120.255', 3244849152, 3244849407, 'AT', 'Austria'),
(101961, '193.104.121.0', '193.104.121.255', 3244849408, 3244849663, 'RO', 'Romania'),
(101962, '193.104.122.0', '193.104.122.255', 3244849664, 3244849919, 'SE', 'Sweden'),
(101963, '193.104.123.0', '193.104.123.255', 3244849920, 3244850175, 'RO', 'Romania'),
(101964, '193.104.124.0', '193.104.124.255', 3244850176, 3244850431, 'TR', 'Turkey'),
(101965, '193.104.125.0', '193.104.125.255', 3244850432, 3244850687, 'AT', 'Austria'),
(101966, '193.104.126.0', '193.104.126.255', 3244850688, 3244850943, 'GB', 'United Kingdom'),
(101967, '193.104.127.0', '193.104.128.255', 3244850944, 3244851455, 'RU', 'Russian Federation'),
(101968, '193.104.129.0', '193.104.129.255', 3244851456, 3244851711, 'NL', 'Netherlands'),
(101969, '193.104.130.0', '193.104.130.255', 3244851712, 3244851967, 'TR', 'Turkey'),
(101970, '193.104.131.0', '193.104.131.255', 3244851968, 3244852223, 'GB', 'United Kingdom'),
(101971, '193.104.132.0', '193.104.132.255', 3244852224, 3244852479, 'CH', 'Switzerland'),
(101972, '193.104.133.0', '193.104.133.255', 3244852480, 3244852735, 'UA', 'Ukraine'),
(101973, '193.104.134.0', '193.104.134.255', 3244852736, 3244852991, 'SI', 'Slovenia'),
(101974, '193.104.135.0', '193.104.135.255', 3244852992, 3244853247, 'DK', 'Denmark'),
(101975, '193.104.136.0', '193.104.136.255', 3244853248, 3244853503, 'IE', 'Ireland'),
(101976, '193.104.137.0', '193.104.137.255', 3244853504, 3244853759, 'IT', 'Italy'),
(101977, '193.104.138.0', '193.104.138.255', 3244853760, 3244854015, 'TR', 'Turkey'),
(101978, '193.104.139.0', '193.104.139.255', 3244854016, 3244854271, 'NL', 'Netherlands'),
(101979, '193.104.140.0', '193.104.140.255', 3244854272, 3244854527, 'GB', 'United Kingdom'),
(101980, '193.104.142.0', '193.104.143.255', 3244854784, 3244855295, 'RU', 'Russian Federation'),
(101981, '193.104.144.0', '193.104.144.255', 3244855296, 3244855551, 'GB', 'United Kingdom'),
(101982, '193.104.145.0', '193.104.145.255', 3244855552, 3244855807, 'UA', 'Ukraine'),
(101983, '193.104.146.0', '193.104.146.255', 3244855808, 3244856063, 'DE', 'Germany'),
(101984, '193.104.147.0', '193.104.147.255', 3244856064, 3244856319, 'IL', 'Israel'),
(101985, '193.104.148.0', '193.104.148.255', 3244856320, 3244856575, 'CH', 'Switzerland'),
(101986, '193.104.149.0', '193.104.149.255', 3244856576, 3244856831, 'RU', 'Russian Federation'),
(101987, '193.104.150.0', '193.104.150.255', 3244856832, 3244857087, 'RO', 'Romania'),
(101988, '193.104.151.0', '193.104.151.255', 3244857088, 3244857343, 'IT', 'Italy'),
(101989, '193.104.152.0', '193.104.152.255', 3244857344, 3244857599, 'GB', 'United Kingdom'),
(101990, '193.104.153.0', '193.104.153.255', 3244857600, 3244857855, 'EU', 'Europe'),
(101991, '193.104.154.0', '193.104.154.255', 3244857856, 3244858111, 'PL', 'Poland'),
(101992, '193.104.155.0', '193.104.155.255', 3244858112, 3244858367, 'DE', 'Germany'),
(101993, '193.104.156.0', '193.104.156.255', 3244858368, 3244858623, 'PL', 'Poland'),
(101994, '193.104.157.0', '193.104.157.255', 3244858624, 3244858879, 'RU', 'Russian Federation'),
(101995, '193.104.158.0', '193.104.158.255', 3244858880, 3244859135, 'FR', 'France'),
(101996, '193.104.159.0', '193.104.159.255', 3244859136, 3244859391, 'BE', 'Belgium'),
(101997, '193.104.160.0', '193.104.160.255', 3244859392, 3244859647, 'SE', 'Sweden'),
(101998, '193.104.161.0', '193.104.161.255', 3244859648, 3244859903, 'PL', 'Poland'),
(101999, '193.104.162.0', '193.104.162.255', 3244859904, 3244860159, 'FR', 'France'),
(102000, '193.104.163.0', '193.104.163.255', 3244860160, 3244860415, 'PL', 'Poland'),
(102001, '193.104.164.0', '193.104.164.255', 3244860416, 3244860671, 'GB', 'United Kingdom'),
(102002, '193.104.165.0', '193.104.165.255', 3244860672, 3244860927, 'BG', 'Bulgaria'),
(102003, '193.104.166.0', '193.104.166.255', 3244860928, 3244861183, 'PL', 'Poland'),
(102004, '193.104.167.0', '193.104.167.255', 3244861184, 3244861439, 'CH', 'Switzerland'),
(102005, '193.104.168.0', '193.104.169.255', 3244861440, 3244861951, 'GB', 'United Kingdom'),
(102006, '193.104.170.0', '193.104.170.255', 3244861952, 3244862207, 'RU', 'Russian Federation'),
(102007, '193.104.171.0', '193.104.171.255', 3244862208, 3244862463, 'DK', 'Denmark'),
(102008, '193.104.172.0', '193.104.172.255', 3244862464, 3244862719, 'CZ', 'Czech Republic'),
(102009, '193.104.173.0', '193.104.173.255', 3244862720, 3244862975, 'RO', 'Romania'),
(102010, '193.104.174.0', '193.104.174.255', 3244862976, 3244863231, 'DE', 'Germany'),
(102011, '193.104.175.0', '193.104.175.255', 3244863232, 3244863487, 'GB', 'United Kingdom'),
(102012, '193.104.176.0', '193.104.176.255', 3244863488, 3244863743, 'KZ', 'Kazakhstan'),
(102013, '193.104.177.0', '193.104.177.255', 3244863744, 3244863999, 'RU', 'Russian Federation'),
(102014, '193.104.178.0', '193.104.178.255', 3244864000, 3244864255, 'UA', 'Ukraine'),
(102015, '193.104.179.0', '193.104.179.255', 3244864256, 3244864511, 'GB', 'United Kingdom'),
(102016, '193.104.180.0', '193.104.180.255', 3244864512, 3244864767, 'RO', 'Romania'),
(102017, '193.104.181.0', '193.104.181.255', 3244864768, 3244865023, 'RU', 'Russian Federation'),
(102018, '193.104.182.0', '193.104.183.255', 3244865024, 3244865535, 'UA', 'Ukraine'),
(102019, '193.104.184.0', '193.104.184.255', 3244865536, 3244865791, 'PL', 'Poland'),
(102020, '193.104.185.0', '193.104.185.255', 3244865792, 3244866047, 'CH', 'Switzerland'),
(102021, '193.104.186.0', '193.104.187.255', 3244866048, 3244866559, 'NL', 'Netherlands'),
(102022, '193.104.188.0', '193.104.188.255', 3244866560, 3244866815, 'FI', 'Finland'),
(102023, '193.104.189.0', '193.104.189.255', 3244866816, 3244867071, 'UA', 'Ukraine'),
(102024, '193.104.190.0', '193.104.191.255', 3244867072, 3244867583, 'RU', 'Russian Federation'),
(102025, '193.104.192.0', '193.104.193.255', 3244867584, 3244868095, 'NL', 'Netherlands'),
(102026, '193.104.194.0', '193.104.194.255', 3244868096, 3244868351, 'DE', 'Germany'),
(102027, '193.104.195.0', '193.104.195.255', 3244868352, 3244868607, 'RU', 'Russian Federation'),
(102028, '193.104.196.0', '193.104.196.255', 3244868608, 3244868863, 'FI', 'Finland'),
(102029, '193.104.197.0', '193.104.197.255', 3244868864, 3244869119, 'RU', 'Russian Federation'),
(102030, '193.104.198.0', '193.104.198.255', 3244869120, 3244869375, 'GB', 'United Kingdom'),
(102031, '193.104.199.0', '193.104.199.255', 3244869376, 3244869631, 'FR', 'France'),
(102032, '193.104.200.0', '193.104.200.255', 3244869632, 3244869887, 'GR', 'Greece'),
(102033, '193.104.201.0', '193.104.201.255', 3244869888, 3244870143, 'TR', 'Turkey'),
(102034, '193.104.202.0', '193.104.202.255', 3244870144, 3244870399, 'DK', 'Denmark'),
(102035, '193.104.203.0', '193.104.203.255', 3244870400, 3244870655, 'UA', 'Ukraine'),
(102036, '193.104.204.0', '193.104.204.255', 3244870656, 3244870911, 'SA', 'Saudi Arabia'),
(102037, '193.104.205.0', '193.104.205.255', 3244870912, 3244871167, 'FR', 'France'),
(102038, '193.104.206.0', '193.104.206.255', 3244871168, 3244871423, 'LT', 'Lithuania'),
(102039, '193.104.207.0', '193.104.207.255', 3244871424, 3244871679, 'RU', 'Russian Federation'),
(102040, '193.104.208.0', '193.104.210.255', 3244871680, 3244872447, 'UA', 'Ukraine'),
(102041, '193.104.211.0', '193.104.211.255', 3244872448, 3244872703, 'CH', 'Switzerland'),
(102042, '193.104.212.0', '193.104.212.255', 3244872704, 3244872959, 'IR', 'Iran, Islamic Republic of'),
(102043, '193.104.213.0', '193.104.213.255', 3244872960, 3244873215, 'UA', 'Ukraine'),
(102044, '193.104.214.0', '193.104.214.255', 3244873216, 3244873471, 'SE', 'Sweden'),
(102045, '193.104.215.0', '193.104.215.255', 3244873472, 3244873727, 'EU', 'Europe'),
(102046, '193.104.216.0', '193.104.216.255', 3244873728, 3244873983, 'DE', 'Germany'),
(102047, '193.104.217.0', '193.104.217.255', 3244873984, 3244874239, 'FI', 'Finland'),
(102048, '193.104.218.0', '193.104.218.255', 3244874240, 3244874495, 'ES', 'Spain'),
(102049, '193.104.219.0', '193.104.219.255', 3244874496, 3244874751, 'FR', 'France'),
(102050, '193.104.220.0', '193.104.220.255', 3244874752, 3244875007, 'DE', 'Germany'),
(102051, '193.104.221.0', '193.104.221.255', 3244875008, 3244875263, 'PL', 'Poland'),
(102052, '193.104.222.0', '193.104.222.255', 3244875264, 3244875519, 'LI', 'Liechtenstein'),
(102053, '193.104.223.0', '193.104.223.255', 3244875520, 3244875775, 'IT', 'Italy'),
(102054, '193.104.224.0', '193.104.227.255', 3244875776, 3244876799, 'RU', 'Russian Federation'),
(102055, '193.104.228.0', '193.104.228.255', 3244876800, 3244877055, 'GB', 'United Kingdom'),
(102056, '193.104.229.0', '193.104.229.255', 3244877056, 3244877311, 'JO', 'Jordan'),
(102057, '193.104.230.0', '193.104.230.255', 3244877312, 3244877567, 'RU', 'Russian Federation'),
(102058, '193.104.231.0', '193.104.231.255', 3244877568, 3244877823, 'FR', 'France'),
(102059, '193.104.232.0', '193.104.232.255', 3244877824, 3244878079, 'AT', 'Austria'),
(102060, '193.104.233.0', '193.104.233.255', 3244878080, 3244878335, 'GB', 'United Kingdom'),
(102061, '193.104.234.0', '193.104.234.255', 3244878336, 3244878591, 'RU', 'Russian Federation'),
(102062, '193.104.235.0', '193.104.235.255', 3244878592, 3244878847, 'PL', 'Poland'),
(102063, '193.104.236.0', '193.104.236.255', 3244878848, 3244879103, 'SI', 'Slovenia'),
(102064, '193.104.237.0', '193.104.237.255', 3244879104, 3244879359, 'RU', 'Russian Federation'),
(102065, '193.104.238.0', '193.104.238.255', 3244879360, 3244879615, 'CH', 'Switzerland'),
(102066, '193.104.239.0', '193.104.239.255', 3244879616, 3244879871, 'PL', 'Poland'),
(102067, '193.104.240.0', '193.104.240.255', 3244879872, 3244880127, 'SI', 'Slovenia'),
(102068, '193.104.241.0', '193.104.241.255', 3244880128, 3244880383, 'RU', 'Russian Federation'),
(102069, '193.104.242.0', '193.104.242.255', 3244880384, 3244880639, 'UA', 'Ukraine'),
(102070, '193.104.244.0', '193.104.244.255', 3244880896, 3244881151, 'PL', 'Poland'),
(102071, '193.104.245.0', '193.104.245.255', 3244881152, 3244881407, 'RU', 'Russian Federation'),
(102072, '193.104.246.0', '193.104.246.255', 3244881408, 3244881663, 'DK', 'Denmark'),
(102073, '193.104.247.0', '193.104.247.255', 3244881664, 3244881919, 'RO', 'Romania'),
(102074, '193.104.248.0', '193.104.248.255', 3244881920, 3244882175, 'RU', 'Russian Federation'),
(102075, '193.104.249.0', '193.104.249.255', 3244882176, 3244882431, 'UA', 'Ukraine'),
(102076, '193.104.250.0', '193.104.250.255', 3244882432, 3244882687, 'IT', 'Italy'),
(102077, '193.104.251.0', '193.104.251.255', 3244882688, 3244882943, 'PL', 'Poland'),
(102078, '193.104.252.0', '193.104.252.255', 3244882944, 3244883199, 'NL', 'Netherlands'),
(102079, '193.104.253.0', '193.104.253.255', 3244883200, 3244883455, 'KZ', 'Kazakhstan'),
(102080, '193.104.254.0', '193.104.254.255', 3244883456, 3244883711, 'CZ', 'Czech Republic'),
(102081, '193.104.255.0', '193.104.255.255', 3244883712, 3244883967, 'NL', 'Netherlands'),
(102082, '193.105.0.0', '193.105.0.255', 3244883968, 3244884223, 'DE', 'Germany'),
(102083, '193.105.1.0', '193.105.1.255', 3244884224, 3244884479, 'FR', 'France'),
(102084, '193.105.2.0', '193.105.2.255', 3244884480, 3244884735, 'IR', 'Iran, Islamic Republic of'),
(102085, '193.105.3.0', '193.105.3.255', 3244884736, 3244884991, 'NL', 'Netherlands'),
(102086, '193.105.4.0', '193.105.4.255', 3244884992, 3244885247, 'GR', 'Greece'),
(102087, '193.105.5.0', '193.105.5.255', 3244885248, 3244885503, 'CH', 'Switzerland'),
(102088, '193.105.6.0', '193.105.6.255', 3244885504, 3244885759, 'IR', 'Iran, Islamic Republic of'),
(102089, '193.105.7.0', '193.105.7.255', 3244885760, 3244886015, 'UA', 'Ukraine'),
(102090, '193.105.8.0', '193.105.8.255', 3244886016, 3244886271, 'LB', 'Lebanon'),
(102091, '193.105.9.0', '193.105.9.255', 3244886272, 3244886527, 'CH', 'Switzerland'),
(102092, '193.105.10.0', '193.105.10.255', 3244886528, 3244886783, 'DK', 'Denmark'),
(102093, '193.105.11.0', '193.105.11.255', 3244886784, 3244887039, 'RU', 'Russian Federation'),
(102094, '193.105.12.0', '193.105.12.255', 3244887040, 3244887295, 'NL', 'Netherlands'),
(102095, '193.105.13.0', '193.105.13.255', 3244887296, 3244887551, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(102096, '193.105.14.0', '193.105.14.255', 3244887552, 3244887807, 'RU', 'Russian Federation'),
(102097, '193.105.15.0', '193.105.15.255', 3244887808, 3244888063, 'BE', 'Belgium'),
(102098, '193.105.16.0', '193.105.16.255', 3244888064, 3244888319, 'PL', 'Poland'),
(102099, '193.105.17.0', '193.105.17.255', 3244888320, 3244888575, 'DE', 'Germany'),
(102100, '193.105.18.0', '193.105.18.255', 3244888576, 3244888831, 'FR', 'France'),
(102101, '193.105.19.0', '193.105.19.255', 3244888832, 3244889087, 'DE', 'Germany'),
(102102, '193.105.20.0', '193.105.20.255', 3244889088, 3244889343, 'PL', 'Poland'),
(102103, '193.105.21.0', '193.105.21.255', 3244889344, 3244889599, 'RO', 'Romania'),
(102104, '193.105.22.0', '193.105.22.255', 3244889600, 3244889855, 'SI', 'Slovenia'),
(102105, '193.105.23.0', '193.105.23.255', 3244889856, 3244890111, 'HR', 'Croatia'),
(102106, '193.105.24.0', '193.105.24.255', 3244890112, 3244890367, 'PL', 'Poland'),
(102107, '193.105.25.0', '193.105.25.255', 3244890368, 3244890623, 'NL', 'Netherlands'),
(102108, '193.105.26.0', '193.105.26.255', 3244890624, 3244890879, 'FR', 'France'),
(102109, '193.105.27.0', '193.105.27.255', 3244890880, 3244891135, 'RU', 'Russian Federation'),
(102110, '193.105.28.0', '193.105.28.255', 3244891136, 3244891391, 'RO', 'Romania'),
(102111, '193.105.29.0', '193.105.29.255', 3244891392, 3244891647, 'PL', 'Poland'),
(102112, '193.105.30.0', '193.105.30.255', 3244891648, 3244891903, 'UA', 'Ukraine'),
(102113, '193.105.31.0', '193.105.31.255', 3244891904, 3244892159, 'RO', 'Romania'),
(102114, '193.105.32.0', '193.105.32.255', 3244892160, 3244892415, 'PL', 'Poland'),
(102115, '193.105.33.0', '193.105.33.255', 3244892416, 3244892671, 'NL', 'Netherlands'),
(102116, '193.105.34.0', '193.105.34.255', 3244892672, 3244892927, 'ES', 'Spain'),
(102117, '193.105.35.0', '193.105.35.255', 3244892928, 3244893183, 'PL', 'Poland'),
(102118, '193.105.36.0', '193.105.36.255', 3244893184, 3244893439, 'BE', 'Belgium'),
(102119, '193.105.37.0', '193.105.37.255', 3244893440, 3244893695, 'RU', 'Russian Federation'),
(102120, '193.105.38.0', '193.105.38.255', 3244893696, 3244893951, 'DE', 'Germany'),
(102121, '193.105.39.0', '193.105.40.255', 3244893952, 3244894463, 'RU', 'Russian Federation'),
(102122, '193.105.41.0', '193.105.41.255', 3244894464, 3244894719, 'UA', 'Ukraine'),
(102123, '193.105.42.0', '193.105.42.255', 3244894720, 3244894975, 'GR', 'Greece'),
(102124, '193.105.43.0', '193.105.43.255', 3244894976, 3244895231, 'FR', 'France'),
(102125, '193.105.44.0', '193.105.44.255', 3244895232, 3244895487, 'DK', 'Denmark'),
(102126, '193.105.45.0', '193.105.45.255', 3244895488, 3244895743, 'PL', 'Poland'),
(102127, '193.105.46.0', '193.105.46.255', 3244895744, 3244895999, 'DE', 'Germany'),
(102128, '193.105.47.0', '193.105.48.255', 3244896000, 3244896511, 'GB', 'United Kingdom'),
(102129, '193.105.49.0', '193.105.49.255', 3244896512, 3244896767, 'LT', 'Lithuania'),
(102130, '193.105.50.0', '193.105.50.255', 3244896768, 3244897023, 'NL', 'Netherlands'),
(102131, '193.105.51.0', '193.105.51.255', 3244897024, 3244897279, 'GB', 'United Kingdom'),
(102132, '193.105.52.0', '193.105.52.255', 3244897280, 3244897535, 'DE', 'Germany'),
(102133, '193.105.53.0', '193.105.53.255', 3244897536, 3244897791, 'RU', 'Russian Federation'),
(102134, '193.105.54.0', '193.105.54.255', 3244897792, 3244898047, 'GB', 'United Kingdom'),
(102135, '193.105.55.0', '193.105.55.255', 3244898048, 3244898303, 'DE', 'Germany'),
(102136, '193.105.56.0', '193.105.56.255', 3244898304, 3244898559, 'UA', 'Ukraine'),
(102137, '193.105.57.0', '193.105.57.255', 3244898560, 3244898815, 'GI', 'Gibraltar'),
(102138, '193.105.58.0', '193.105.58.255', 3244898816, 3244899071, 'RO', 'Romania'),
(102139, '193.105.59.0', '193.105.59.255', 3244899072, 3244899327, 'RU', 'Russian Federation'),
(102140, '193.105.60.0', '193.105.60.255', 3244899328, 3244899583, 'BG', 'Bulgaria'),
(102141, '193.105.61.0', '193.105.61.255', 3244899584, 3244899839, 'GB', 'United Kingdom'),
(102142, '193.105.62.0', '193.105.62.255', 3244899840, 3244900095, 'UA', 'Ukraine'),
(102143, '193.105.63.0', '193.105.63.255', 3244900096, 3244900351, 'PL', 'Poland'),
(102144, '193.105.64.0', '193.105.64.255', 3244900352, 3244900607, 'RO', 'Romania'),
(102145, '193.105.65.0', '193.105.65.255', 3244900608, 3244900863, 'RU', 'Russian Federation'),
(102146, '193.105.66.0', '193.105.66.255', 3244900864, 3244901119, 'PL', 'Poland'),
(102147, '193.105.67.0', '193.105.67.255', 3244901120, 3244901375, 'SI', 'Slovenia'),
(102148, '193.105.68.0', '193.105.68.255', 3244901376, 3244901631, 'DE', 'Germany'),
(102149, '193.105.69.0', '193.105.69.255', 3244901632, 3244901887, 'GB', 'United Kingdom'),
(102150, '193.105.70.0', '193.105.70.255', 3244901888, 3244902143, 'UA', 'Ukraine'),
(102151, '193.105.71.0', '193.105.72.255', 3244902144, 3244902655, 'RU', 'Russian Federation'),
(102152, '193.105.73.0', '193.105.73.255', 3244902656, 3244902911, 'BE', 'Belgium'),
(102153, '193.105.74.0', '193.105.74.255', 3244902912, 3244903167, 'IM', 'Isle of Man'),
(102154, '193.105.75.0', '193.105.75.255', 3244903168, 3244903423, 'PL', 'Poland'),
(102155, '193.105.76.0', '193.105.76.255', 3244903424, 3244903679, 'FI', 'Finland'),
(102156, '193.105.77.0', '193.105.77.255', 3244903680, 3244903935, 'NO', 'Norway'),
(102157, '193.105.78.0', '193.105.78.255', 3244903936, 3244904191, 'RO', 'Romania'),
(102158, '193.105.79.0', '193.105.79.255', 3244904192, 3244904447, 'IT', 'Italy'),
(102159, '193.105.80.0', '193.105.80.255', 3244904448, 3244904703, 'GR', 'Greece'),
(102160, '193.105.81.0', '193.105.81.255', 3244904704, 3244904959, 'FR', 'France'),
(102161, '193.105.82.0', '193.105.82.255', 3244904960, 3244905215, 'BY', 'Belarus'),
(102162, '193.105.83.0', '193.105.83.255', 3244905216, 3244905471, 'MD', 'Moldova, Republic of'),
(102163, '193.105.84.0', '193.105.84.255', 3244905472, 3244905727, 'GB', 'United Kingdom'),
(102164, '193.105.85.0', '193.105.85.255', 3244905728, 3244905983, 'GR', 'Greece'),
(102165, '193.105.86.0', '193.105.86.255', 3244905984, 3244906239, 'AT', 'Austria'),
(102166, '193.105.87.0', '193.105.88.255', 3244906240, 3244906751, 'DE', 'Germany'),
(102167, '193.105.89.0', '193.105.89.255', 3244906752, 3244907007, 'SA', 'Saudi Arabia'),
(102168, '193.105.90.0', '193.105.90.255', 3244907008, 3244907263, 'FR', 'France'),
(102169, '193.105.91.0', '193.105.91.255', 3244907264, 3244907519, 'RO', 'Romania'),
(102170, '193.105.92.0', '193.105.92.255', 3244907520, 3244907775, 'UA', 'Ukraine'),
(102171, '193.105.93.0', '193.105.94.255', 3244907776, 3244908287, 'RU', 'Russian Federation'),
(102172, '193.105.95.0', '193.105.95.255', 3244908288, 3244908543, 'NL', 'Netherlands'),
(102173, '193.105.96.0', '193.105.96.255', 3244908544, 3244908799, 'RU', 'Russian Federation'),
(102174, '193.105.97.0', '193.105.97.255', 3244908800, 3244909055, 'FI', 'Finland'),
(102175, '193.105.98.0', '193.105.98.255', 3244909056, 3244909311, 'GB', 'United Kingdom'),
(102176, '193.105.99.0', '193.105.99.255', 3244909312, 3244909567, 'IL', 'Israel'),
(102177, '193.105.100.0', '193.105.100.255', 3244909568, 3244909823, 'RU', 'Russian Federation'),
(102178, '193.105.101.0', '193.105.102.255', 3244909824, 3244910335, 'NL', 'Netherlands'),
(102179, '193.105.103.0', '193.105.103.255', 3244910336, 3244910591, 'DE', 'Germany'),
(102180, '193.105.104.0', '193.105.104.255', 3244910592, 3244910847, 'GB', 'United Kingdom'),
(102181, '193.105.105.0', '193.105.105.255', 3244910848, 3244911103, 'DE', 'Germany'),
(102182, '193.105.106.0', '193.105.106.255', 3244911104, 3244911359, 'BE', 'Belgium'),
(102183, '193.105.107.0', '193.105.107.255', 3244911360, 3244911615, 'RU', 'Russian Federation'),
(102184, '193.105.108.0', '193.105.108.255', 3244911616, 3244911871, 'GB', 'United Kingdom'),
(102185, '193.105.109.0', '193.105.109.255', 3244911872, 3244912127, 'GR', 'Greece'),
(102186, '193.105.110.0', '193.105.110.255', 3244912128, 3244912383, 'PL', 'Poland'),
(102187, '193.105.111.0', '193.105.111.255', 3244912384, 3244912639, 'NL', 'Netherlands'),
(102188, '193.105.112.0', '193.105.112.255', 3244912640, 3244912895, 'NO', 'Norway'),
(102189, '193.105.113.0', '193.105.113.255', 3244912896, 3244913151, 'SE', 'Sweden'),
(102190, '193.105.114.0', '193.105.114.255', 3244913152, 3244913407, 'RU', 'Russian Federation'),
(102191, '193.105.115.0', '193.105.115.255', 3244913408, 3244913663, 'SI', 'Slovenia'),
(102192, '193.105.116.0', '193.105.116.255', 3244913664, 3244913919, 'DK', 'Denmark'),
(102193, '193.105.117.0', '193.105.118.255', 3244913920, 3244914431, 'RU', 'Russian Federation'),
(102194, '193.105.119.0', '193.105.119.255', 3244914432, 3244914687, 'SA', 'Saudi Arabia'),
(102195, '193.105.120.0', '193.105.120.255', 3244914688, 3244914943, 'GB', 'United Kingdom'),
(102196, '193.105.121.0', '193.105.121.255', 3244914944, 3244915199, 'UA', 'Ukraine'),
(102197, '193.105.122.0', '193.105.122.255', 3244915200, 3244915455, 'PL', 'Poland'),
(102198, '193.105.123.0', '193.105.123.255', 3244915456, 3244915711, 'FI', 'Finland'),
(102199, '193.105.124.0', '193.105.124.255', 3244915712, 3244915967, 'UA', 'Ukraine'),
(102200, '193.105.125.0', '193.105.125.255', 3244915968, 3244916223, 'PL', 'Poland'),
(102201, '193.105.126.0', '193.105.126.255', 3244916224, 3244916479, 'RU', 'Russian Federation'),
(102202, '193.105.127.0', '193.105.127.255', 3244916480, 3244916735, 'SI', 'Slovenia'),
(102203, '193.105.128.0', '193.105.128.255', 3244916736, 3244916991, 'FR', 'France'),
(102204, '193.105.129.0', '193.105.129.255', 3244916992, 3244917247, 'PL', 'Poland'),
(102205, '193.105.130.0', '193.105.130.255', 3244917248, 3244917503, 'SE', 'Sweden'),
(102206, '193.105.131.0', '193.105.131.255', 3244917504, 3244917759, 'AT', 'Austria'),
(102207, '193.105.132.0', '193.105.132.255', 3244917760, 3244918015, 'RU', 'Russian Federation'),
(102208, '193.105.133.0', '193.105.133.255', 3244918016, 3244918271, 'BE', 'Belgium'),
(102209, '193.105.134.0', '193.105.134.255', 3244918272, 3244918527, 'SE', 'Sweden'),
(102210, '193.105.135.0', '193.105.135.255', 3244918528, 3244918783, 'UA', 'Ukraine'),
(102211, '193.105.136.0', '193.105.136.255', 3244918784, 3244919039, 'CH', 'Switzerland'),
(102212, '193.105.137.0', '193.105.137.255', 3244919040, 3244919295, 'DE', 'Germany'),
(102213, '193.105.138.0', '193.105.138.255', 3244919296, 3244919551, 'SE', 'Sweden'),
(102214, '193.105.139.0', '193.105.139.255', 3244919552, 3244919807, 'DE', 'Germany'),
(102215, '193.105.140.0', '193.105.140.255', 3244919808, 3244920063, 'RO', 'Romania'),
(102216, '193.105.141.0', '193.105.141.255', 3244920064, 3244920319, 'RU', 'Russian Federation'),
(102217, '193.105.142.0', '193.105.142.255', 3244920320, 3244920575, 'SK', 'Slovakia'),
(102218, '193.105.143.0', '193.105.143.255', 3244920576, 3244920831, 'PL', 'Poland'),
(102219, '193.105.144.0', '193.105.144.255', 3244920832, 3244921087, 'NL', 'Netherlands'),
(102220, '193.105.145.0', '193.105.145.255', 3244921088, 3244921343, 'IE', 'Ireland'),
(102221, '193.105.146.0', '193.105.146.255', 3244921344, 3244921599, 'LT', 'Lithuania'),
(102222, '193.105.147.0', '193.105.147.255', 3244921600, 3244921855, 'DE', 'Germany'),
(102223, '193.105.148.0', '193.105.148.255', 3244921856, 3244922111, 'BG', 'Bulgaria'),
(102224, '193.105.149.0', '193.105.149.255', 3244922112, 3244922367, 'DK', 'Denmark'),
(102225, '193.105.150.0', '193.105.150.255', 3244922368, 3244922623, 'NL', 'Netherlands'),
(102226, '193.105.151.0', '193.105.151.255', 3244922624, 3244922879, 'BG', 'Bulgaria'),
(102227, '193.105.152.0', '193.105.152.255', 3244922880, 3244923135, 'UA', 'Ukraine'),
(102228, '193.105.153.0', '193.105.153.255', 3244923136, 3244923391, 'AT', 'Austria'),
(102229, '193.105.154.0', '193.105.154.255', 3244923392, 3244923647, 'EU', 'Europe'),
(102230, '193.105.155.0', '193.105.155.255', 3244923648, 3244923903, 'LV', 'Latvia'),
(102231, '193.105.156.0', '193.105.156.255', 3244923904, 3244924159, 'RU', 'Russian Federation'),
(102232, '193.105.157.0', '193.105.159.255', 3244924160, 3244924927, 'CZ', 'Czech Republic'),
(102233, '193.105.160.0', '193.105.160.255', 3244924928, 3244925183, 'FI', 'Finland'),
(102234, '193.105.161.0', '193.105.161.255', 3244925184, 3244925439, 'CH', 'Switzerland'),
(102235, '193.105.162.0', '193.105.162.255', 3244925440, 3244925695, 'GB', 'United Kingdom'),
(102236, '193.105.163.0', '193.105.163.255', 3244925696, 3244925951, 'RS', 'Serbia'),
(102237, '193.105.164.0', '193.105.164.255', 3244925952, 3244926207, 'UA', 'Ukraine'),
(102238, '193.105.165.0', '193.105.165.255', 3244926208, 3244926463, 'NL', 'Netherlands'),
(102239, '193.105.166.0', '193.105.166.255', 3244926464, 3244926719, 'LV', 'Latvia'),
(102240, '193.105.167.0', '193.105.167.255', 3244926720, 3244926975, 'PL', 'Poland'),
(102241, '193.105.168.0', '193.105.168.255', 3244926976, 3244927231, 'DE', 'Germany'),
(102242, '193.105.169.0', '193.105.169.255', 3244927232, 3244927487, 'UA', 'Ukraine'),
(102243, '193.105.170.0', '193.105.170.255', 3244927488, 3244927743, 'GB', 'United Kingdom'),
(102244, '193.105.171.0', '193.105.171.255', 3244927744, 3244927999, 'US', 'United States'),
(102245, '193.105.172.0', '193.105.172.255', 3244928000, 3244928255, 'GB', 'United Kingdom'),
(102246, '193.105.173.0', '193.105.173.255', 3244928256, 3244928511, 'NL', 'Netherlands'),
(102247, '193.105.174.0', '193.105.175.255', 3244928512, 3244929023, 'RU', 'Russian Federation'),
(102248, '193.105.176.0', '193.105.177.255', 3244929024, 3244929535, 'RO', 'Romania'),
(102249, '193.105.178.0', '193.105.178.255', 3244929536, 3244929791, 'PL', 'Poland'),
(102250, '193.105.179.0', '193.105.179.255', 3244929792, 3244930047, 'RU', 'Russian Federation'),
(102251, '193.105.180.0', '193.105.180.255', 3244930048, 3244930303, 'PL', 'Poland'),
(102252, '193.105.181.0', '193.105.181.255', 3244930304, 3244930559, 'AT', 'Austria'),
(102253, '193.105.182.0', '193.105.182.255', 3244930560, 3244930815, 'GB', 'United Kingdom'),
(102254, '193.105.183.0', '193.105.183.255', 3244930816, 3244931071, 'NL', 'Netherlands'),
(102255, '193.105.184.0', '193.105.184.255', 3244931072, 3244931327, 'RU', 'Russian Federation'),
(102256, '193.105.185.0', '193.105.185.255', 3244931328, 3244931583, 'RO', 'Romania'),
(102257, '193.105.186.0', '193.105.186.255', 3244931584, 3244931839, 'FR', 'France'),
(102258, '193.105.187.0', '193.105.187.255', 3244931840, 3244932095, 'NL', 'Netherlands'),
(102259, '193.105.188.0', '193.105.188.255', 3244932096, 3244932351, 'GB', 'United Kingdom'),
(102260, '193.105.189.0', '193.105.189.255', 3244932352, 3244932607, 'UA', 'Ukraine'),
(102261, '193.105.190.0', '193.105.190.255', 3244932608, 3244932863, 'DK', 'Denmark'),
(102262, '193.105.191.0', '193.105.192.255', 3244932864, 3244933375, 'PL', 'Poland'),
(102263, '193.105.193.0', '193.105.193.255', 3244933376, 3244933631, 'HR', 'Croatia'),
(102264, '193.105.194.0', '193.105.194.255', 3244933632, 3244933887, 'GB', 'United Kingdom'),
(102265, '193.105.195.0', '193.105.195.255', 3244933888, 3244934143, 'AT', 'Austria'),
(102266, '193.105.196.0', '193.105.196.255', 3244934144, 3244934399, 'BG', 'Bulgaria'),
(102267, '193.105.197.0', '193.105.197.255', 3244934400, 3244934655, 'FR', 'France'),
(102268, '193.105.198.0', '193.105.198.255', 3244934656, 3244934911, 'RU', 'Russian Federation'),
(102269, '193.105.199.0', '193.105.199.255', 3244934912, 3244935167, 'IL', 'Israel'),
(102270, '193.105.200.0', '193.105.200.255', 3244935168, 3244935423, 'NL', 'Netherlands'),
(102271, '193.105.201.0', '193.105.201.255', 3244935424, 3244935679, 'UA', 'Ukraine'),
(102272, '193.105.202.0', '193.105.202.255', 3244935680, 3244935935, 'PL', 'Poland'),
(102273, '193.105.203.0', '193.105.203.255', 3244935936, 3244936191, 'IL', 'Israel'),
(102274, '193.105.204.0', '193.105.206.255', 3244936192, 3244936959, 'AT', 'Austria'),
(102275, '193.105.207.0', '193.105.207.255', 3244936960, 3244937215, 'KZ', 'Kazakhstan'),
(102276, '193.105.208.0', '193.105.208.255', 3244937216, 3244937471, 'TR', 'Turkey'),
(102277, '193.105.209.0', '193.105.209.255', 3244937472, 3244937727, 'GB', 'United Kingdom'),
(102278, '193.105.210.0', '193.105.210.255', 3244937728, 3244937983, 'UA', 'Ukraine'),
(102279, '193.105.211.0', '193.105.211.255', 3244937984, 3244938239, 'TR', 'Turkey'),
(102280, '193.105.212.0', '193.105.212.255', 3244938240, 3244938495, 'GB', 'United Kingdom'),
(102281, '193.105.213.0', '193.105.213.255', 3244938496, 3244938751, 'RU', 'Russian Federation'),
(102282, '193.105.214.0', '193.105.214.255', 3244938752, 3244939007, 'AT', 'Austria'),
(102283, '193.105.215.0', '193.105.215.255', 3244939008, 3244939263, 'RO', 'Romania'),
(102284, '193.105.216.0', '193.105.216.255', 3244939264, 3244939519, 'UA', 'Ukraine'),
(102285, '193.105.217.0', '193.105.217.255', 3244939520, 3244939775, 'FR', 'France'),
(102286, '193.105.218.0', '193.105.218.255', 3244939776, 3244940031, 'GB', 'United Kingdom'),
(102287, '193.105.219.0', '193.105.219.255', 3244940032, 3244940287, 'UA', 'Ukraine'),
(102288, '193.105.220.0', '193.105.220.255', 3244940288, 3244940543, 'DK', 'Denmark'),
(102289, '193.105.221.0', '193.105.221.255', 3244940544, 3244940799, 'PL', 'Poland'),
(102290, '193.105.222.0', '193.105.222.255', 3244940800, 3244941055, 'RU', 'Russian Federation'),
(102291, '193.105.223.0', '193.105.223.255', 3244941056, 3244941311, 'DE', 'Germany'),
(102292, '193.105.224.0', '193.105.224.255', 3244941312, 3244941567, 'CY', 'Cyprus'),
(102293, '193.105.225.0', '193.105.225.255', 3244941568, 3244941823, 'FR', 'France'),
(102294, '193.105.226.0', '193.105.226.255', 3244941824, 3244942079, 'SE', 'Sweden'),
(102295, '193.105.227.0', '193.105.227.255', 3244942080, 3244942335, 'PL', 'Poland'),
(102296, '193.105.228.0', '193.105.228.255', 3244942336, 3244942591, 'IT', 'Italy'),
(102297, '193.105.229.0', '193.105.229.255', 3244942592, 3244942847, 'PL', 'Poland'),
(102298, '193.105.230.0', '193.105.230.255', 3244942848, 3244943103, 'DE', 'Germany'),
(102299, '193.105.231.0', '193.105.231.255', 3244943104, 3244943359, 'GB', 'United Kingdom'),
(102300, '193.105.232.0', '193.105.232.255', 3244943360, 3244943615, 'FR', 'France'),
(102301, '193.105.233.0', '193.105.233.255', 3244943616, 3244943871, 'NL', 'Netherlands'),
(102302, '193.105.234.0', '193.105.234.255', 3244943872, 3244944127, 'TR', 'Turkey'),
(102303, '193.105.235.0', '193.105.236.255', 3244944128, 3244944639, 'RU', 'Russian Federation'),
(102304, '193.105.237.0', '193.105.237.255', 3244944640, 3244944895, 'GE', 'Georgia'),
(102305, '193.105.238.0', '193.105.238.255', 3244944896, 3244945151, 'FR', 'France'),
(102306, '193.105.239.0', '193.105.239.255', 3244945152, 3244945407, 'RO', 'Romania'),
(102307, '193.105.240.0', '193.105.240.255', 3244945408, 3244945663, 'LV', 'Latvia'),
(102308, '193.105.241.0', '193.105.241.255', 3244945664, 3244945919, 'NL', 'Netherlands'),
(102309, '193.105.242.0', '193.105.242.255', 3244945920, 3244946175, 'PL', 'Poland'),
(102310, '193.105.243.0', '193.105.243.255', 3244946176, 3244946431, 'TR', 'Turkey'),
(102311, '193.105.244.0', '193.105.244.255', 3244946432, 3244946687, 'RO', 'Romania'),
(102312, '193.105.245.0', '193.105.245.255', 3244946688, 3244946943, 'RU', 'Russian Federation'),
(102313, '193.105.246.0', '193.105.247.255', 3244946944, 3244947455, 'DE', 'Germany'),
(102314, '193.105.248.0', '193.105.248.255', 3244947456, 3244947711, 'PL', 'Poland'),
(102315, '193.105.249.0', '193.105.249.255', 3244947712, 3244947967, 'UA', 'Ukraine'),
(102316, '193.105.250.0', '193.105.250.255', 3244947968, 3244948223, 'DE', 'Germany'),
(102317, '193.105.251.0', '193.105.251.255', 3244948224, 3244948479, 'PL', 'Poland'),
(102318, '193.105.252.0', '193.105.252.255', 3244948480, 3244948735, 'FR', 'France'),
(102319, '193.105.253.0', '193.105.253.255', 3244948736, 3244948991, 'IE', 'Ireland'),
(102320, '193.105.254.0', '193.105.254.255', 3244948992, 3244949247, 'UA', 'Ukraine'),
(102321, '193.105.255.0', '193.106.7.255', 3244949248, 3244951551, 'RU', 'Russian Federation'),
(102322, '193.106.8.0', '193.106.11.255', 3244951552, 3244952575, 'FI', 'Finland'),
(102323, '193.106.12.0', '193.106.15.255', 3244952576, 3244953599, 'GB', 'United Kingdom'),
(102324, '193.106.16.0', '193.106.19.255', 3244953600, 3244954623, 'DE', 'Germany'),
(102325, '193.106.20.0', '193.106.23.255', 3244954624, 3244955647, 'PL', 'Poland'),
(102326, '193.106.24.0', '193.106.31.255', 3244955648, 3244957695, 'UA', 'Ukraine'),
(102327, '193.106.32.0', '193.106.35.255', 3244957696, 3244958719, 'EU', 'Europe'),
(102328, '193.106.36.0', '193.106.39.255', 3244958720, 3244959743, 'FR', 'France'),
(102329, '193.106.40.0', '193.106.43.255', 3244959744, 3244960767, 'RU', 'Russian Federation'),
(102330, '193.106.44.0', '193.106.47.255', 3244960768, 3244961791, 'RO', 'Romania'),
(102331, '193.106.48.0', '193.106.51.255', 3244961792, 3244962815, 'KG', 'Kyrgyzstan'),
(102332, '193.106.52.0', '193.106.55.255', 3244962816, 3244963839, 'IL', 'Israel'),
(102333, '193.106.56.0', '193.106.67.255', 3244963840, 3244966911, 'UA', 'Ukraine'),
(102334, '193.106.68.0', '193.106.75.255', 3244966912, 3244968959, 'RU', 'Russian Federation'),
(102335, '193.106.76.0', '193.106.79.255', 3244968960, 3244969983, 'PL', 'Poland'),
(102336, '193.106.80.0', '193.106.83.255', 3244969984, 3244971007, 'UA', 'Ukraine'),
(102337, '193.106.84.0', '193.106.87.255', 3244971008, 3244972031, 'PL', 'Poland'),
(102338, '193.106.88.0', '193.106.99.255', 3244972032, 3244975103, 'RU', 'Russian Federation'),
(102339, '193.106.100.0', '193.106.107.255', 3244975104, 3244977151, 'PL', 'Poland'),
(102340, '193.106.108.0', '193.106.111.255', 3244977152, 3244978175, 'RU', 'Russian Federation'),
(102341, '193.106.112.0', '193.106.115.255', 3244978176, 3244979199, 'GB', 'United Kingdom'),
(102342, '193.106.116.0', '193.106.119.255', 3244979200, 3244980223, 'FR', 'France'),
(102343, '193.106.120.0', '193.106.123.255', 3244980224, 3244981247, 'DK', 'Denmark'),
(102344, '193.106.124.0', '193.106.127.255', 3244981248, 3244982271, 'RO', 'Romania'),
(102345, '193.106.128.0', '193.106.131.255', 3244982272, 3244983295, 'PL', 'Poland'),
(102346, '193.106.132.0', '193.106.135.255', 3244983296, 3244984319, 'RU', 'Russian Federation'),
(102347, '193.106.136.0', '193.106.139.255', 3244984320, 3244985343, 'UA', 'Ukraine'),
(102348, '193.106.140.0', '193.106.143.255', 3244985344, 3244986367, 'DE', 'Germany'),
(102349, '193.106.144.0', '193.106.147.255', 3244986368, 3244987391, 'UA', 'Ukraine'),
(102350, '193.106.148.0', '193.106.151.255', 3244987392, 3244988415, 'RU', 'Russian Federation'),
(102351, '193.106.152.0', '193.106.159.255', 3244988416, 3244990463, 'PL', 'Poland'),
(102352, '193.106.160.0', '193.106.163.255', 3244990464, 3244991487, 'UA', 'Ukraine'),
(102353, '193.106.164.0', '193.106.167.255', 3244991488, 3244992511, 'DK', 'Denmark'),
(102354, '193.106.168.0', '193.106.175.255', 3244992512, 3244994559, 'RU', 'Russian Federation'),
(102355, '193.106.176.0', '193.106.179.255', 3244994560, 3244995583, 'ES', 'Spain'),
(102356, '193.106.180.0', '193.106.183.255', 3244995584, 3244996607, 'IT', 'Italy'),
(102357, '193.106.184.0', '193.106.187.255', 3244996608, 3244997631, 'UA', 'Ukraine'),
(102358, '193.106.188.0', '193.106.191.255', 3244997632, 3244998655, 'RO', 'Romania'),
(102359, '193.106.192.0', '193.106.195.255', 3244998656, 3244999679, 'PL', 'Poland'),
(102360, '193.106.196.0', '193.106.199.255', 3244999680, 3245000703, 'IQ', 'Iraq'),
(102361, '193.106.200.0', '193.106.203.255', 3245000704, 3245001727, 'UA', 'Ukraine'),
(102362, '193.106.204.0', '193.106.207.255', 3245001728, 3245002751, 'IL', 'Israel'),
(102363, '193.106.208.0', '193.106.209.255', 3245002752, 3245003263, 'PL', 'Poland'),
(102364, '193.106.210.0', '193.106.210.255', 3245003264, 3245003519, 'SE', 'Sweden'),
(102365, '193.106.211.0', '193.106.211.255', 3245003520, 3245003775, 'UA', 'Ukraine'),
(102366, '193.106.212.0', '193.106.215.255', 3245003776, 3245004799, 'RU', 'Russian Federation'),
(102367, '193.106.216.0', '193.106.219.255', 3245004800, 3245005823, 'PL', 'Poland'),
(102368, '193.106.220.0', '193.106.223.255', 3245005824, 3245006847, 'UA', 'Ukraine'),
(102369, '193.106.224.0', '193.106.227.255', 3245006848, 3245007871, 'DE', 'Germany'),
(102370, '193.106.228.0', '193.106.231.255', 3245007872, 3245008895, 'PL', 'Poland'),
(102371, '193.106.232.0', '193.106.235.255', 3245008896, 3245009919, 'RU', 'Russian Federation'),
(102372, '193.106.236.0', '193.106.237.255', 3245009920, 3245010431, 'UA', 'Ukraine'),
(102373, '193.106.238.0', '193.106.238.255', 3245010432, 3245010687, 'PL', 'Poland'),
(102374, '193.106.239.0', '193.106.239.255', 3245010688, 3245010943, 'FR', 'France'),
(102375, '193.106.240.0', '193.106.243.255', 3245010944, 3245011967, 'RU', 'Russian Federation'),
(102376, '193.106.244.0', '193.106.247.255', 3245011968, 3245012991, 'PL', 'Poland'),
(102377, '193.106.248.0', '193.106.251.255', 3245012992, 3245014015, 'UA', 'Ukraine'),
(102378, '193.106.252.0', '193.106.255.255', 3245014016, 3245015039, 'GR', 'Greece'),
(102379, '193.107.0.0', '193.107.3.255', 3245015040, 3245016063, 'RU', 'Russian Federation'),
(102380, '193.107.4.0', '193.107.7.255', 3245016064, 3245017087, 'RS', 'Serbia'),
(102381, '193.107.8.0', '193.107.11.255', 3245017088, 3245018111, 'PL', 'Poland'),
(102382, '193.107.12.0', '193.107.23.255', 3245018112, 3245021183, 'RU', 'Russian Federation'),
(102383, '193.107.24.0', '193.107.27.255', 3245021184, 3245022207, 'UA', 'Ukraine'),
(102384, '193.107.28.0', '193.107.31.255', 3245022208, 3245023231, 'NO', 'Norway'),
(102385, '193.107.32.0', '193.107.35.255', 3245023232, 3245024255, 'PL', 'Poland'),
(102386, '193.107.36.0', '193.107.39.255', 3245024256, 3245025279, 'BG', 'Bulgaria'),
(102387, '193.107.40.0', '193.107.43.255', 3245025280, 3245026303, 'UA', 'Ukraine'),
(102388, '193.107.44.0', '193.107.47.255', 3245026304, 3245027327, 'GB', 'United Kingdom'),
(102389, '193.107.48.0', '193.107.55.255', 3245027328, 3245029375, 'RU', 'Russian Federation'),
(102390, '193.107.56.0', '193.107.59.255', 3245029376, 3245030399, 'FR', 'France'),
(102391, '193.107.60.0', '193.107.67.255', 3245030400, 3245032447, 'RU', 'Russian Federation'),
(102392, '193.107.68.0', '193.107.71.255', 3245032448, 3245033471, 'BG', 'Bulgaria'),
(102393, '193.107.72.0', '193.107.75.255', 3245033472, 3245034495, 'UA', 'Ukraine'),
(102394, '193.107.76.0', '193.107.79.255', 3245034496, 3245035519, 'SE', 'Sweden'),
(102395, '193.107.80.0', '193.107.83.255', 3245035520, 3245036543, 'UA', 'Ukraine'),
(102396, '193.107.84.0', '193.107.87.255', 3245036544, 3245037567, 'IS', 'Iceland'),
(102397, '193.107.88.0', '193.107.91.255', 3245037568, 3245038591, 'PL', 'Poland'),
(102398, '193.107.92.0', '193.107.95.255', 3245038592, 3245039615, 'RU', 'Russian Federation'),
(102399, '193.107.96.0', '193.107.99.255', 3245039616, 3245040639, 'MD', 'Moldova, Republic of'),
(102400, '193.107.100.0', '193.107.103.255', 3245040640, 3245041663, 'RU', 'Russian Federation'),
(102401, '193.107.104.0', '193.107.115.255', 3245041664, 3245044735, 'UA', 'Ukraine'),
(102402, '193.107.116.0', '193.107.119.255', 3245044736, 3245045759, 'GB', 'United Kingdom'),
(102403, '193.107.120.0', '193.107.123.255', 3245045760, 3245046783, 'DE', 'Germany'),
(102404, '193.107.124.0', '193.107.127.255', 3245046784, 3245047807, 'FR', 'France'),
(102405, '193.107.128.0', '193.107.139.255', 3245047808, 3245050879, 'UA', 'Ukraine'),
(102406, '193.107.140.0', '193.107.143.255', 3245050880, 3245051903, 'RU', 'Russian Federation'),
(102407, '193.107.144.0', '193.107.147.255', 3245051904, 3245052927, 'DE', 'Germany'),
(102408, '193.107.148.0', '193.107.155.255', 3245052928, 3245054975, 'RU', 'Russian Federation'),
(102409, '193.107.156.0', '193.107.159.255', 3245054976, 3245055999, 'AT', 'Austria'),
(102410, '193.107.160.0', '193.107.163.255', 3245056000, 3245057023, 'CZ', 'Czech Republic'),
(102411, '193.107.164.0', '193.107.167.255', 3245057024, 3245058047, 'PL', 'Poland'),
(102412, '193.107.168.0', '193.107.179.255', 3245058048, 3245061119, 'UA', 'Ukraine'),
(102413, '193.107.180.0', '193.107.183.255', 3245061120, 3245062143, 'RU', 'Russian Federation'),
(102414, '193.107.184.0', '193.107.187.255', 3245062144, 3245063167, 'UA', 'Ukraine'),
(102415, '193.107.188.0', '193.107.195.255', 3245063168, 3245065215, 'RU', 'Russian Federation'),
(102416, '193.107.196.0', '193.107.199.255', 3245065216, 3245066239, 'PL', 'Poland'),
(102417, '193.107.200.0', '193.107.203.255', 3245066240, 3245067263, 'UA', 'Ukraine'),
(102418, '193.107.204.0', '193.107.207.255', 3245067264, 3245068287, 'GB', 'United Kingdom'),
(102419, '193.107.208.0', '193.107.211.255', 3245068288, 3245069311, 'UA', 'Ukraine'),
(102420, '193.107.212.0', '193.107.215.255', 3245069312, 3245070335, 'PL', 'Poland'),
(102421, '193.107.216.0', '193.107.219.255', 3245070336, 3245071359, 'RU', 'Russian Federation'),
(102422, '193.107.220.0', '193.107.223.255', 3245071360, 3245072383, 'NL', 'Netherlands'),
(102423, '193.107.224.0', '193.107.227.255', 3245072384, 3245073407, 'UA', 'Ukraine'),
(102424, '193.107.228.0', '193.107.239.255', 3245073408, 3245076479, 'RU', 'Russian Federation'),
(102425, '193.107.240.0', '193.107.243.255', 3245076480, 3245077503, 'FR', 'France'),
(102426, '193.107.244.0', '193.107.247.255', 3245077504, 3245078527, 'UA', 'Ukraine'),
(102427, '193.107.248.0', '193.107.251.255', 3245078528, 3245079551, 'PL', 'Poland'),
(102428, '193.107.252.0', '193.107.255.255', 3245079552, 3245080575, 'CZ', 'Czech Republic'),
(102429, '193.108.0.0', '193.108.7.255', 3245080576, 3245082623, 'SE', 'Sweden'),
(102430, '193.108.8.0', '193.108.16.255', 3245082624, 3245084927, 'DE', 'Germany'),
(102431, '193.108.17.0', '193.108.17.255', 3245084928, 3245085183, 'BE', 'Belgium'),
(102432, '193.108.18.0', '193.108.18.255', 3245085184, 3245085439, 'GB', 'United Kingdom'),
(102433, '193.108.19.0', '193.108.19.255', 3245085440, 3245085695, 'DE', 'Germany'),
(102434, '193.108.20.0', '193.108.21.255', 3245085696, 3245086207, 'FR', 'France'),
(102435, '193.108.22.0', '193.108.22.255', 3245086208, 3245086463, 'AT', 'Austria'),
(102436, '193.108.23.0', '193.108.23.255', 3245086464, 3245086719, 'GH', 'Ghana'),
(102437, '193.108.24.0', '193.108.24.255', 3245086720, 3245086975, 'BG', 'Bulgaria'),
(102438, '193.108.25.0', '193.108.25.255', 3245086976, 3245087231, 'IT', 'Italy'),
(102439, '193.108.26.0', '193.108.26.255', 3245087232, 3245087487, 'CH', 'Switzerland'),
(102440, '193.108.27.0', '193.108.27.255', 3245087488, 3245087743, 'NL', 'Netherlands'),
(102441, '193.108.28.0', '193.108.28.255', 3245087744, 3245087999, 'GH', 'Ghana'),
(102442, '193.108.29.0', '193.108.29.255', 3245088000, 3245088255, 'LV', 'Latvia'),
(102443, '193.108.30.0', '193.108.30.255', 3245088256, 3245088511, 'KW', 'Kuwait'),
(102444, '193.108.31.0', '193.108.31.255', 3245088512, 3245088767, 'FR', 'France'),
(102445, '193.108.32.0', '193.108.33.255', 3245088768, 3245089279, 'BG', 'Bulgaria'),
(102446, '193.108.34.0', '193.108.35.255', 3245089280, 3245089791, 'PL', 'Poland'),
(102447, '193.108.36.0', '193.108.37.255', 3245089792, 3245090303, 'GB', 'United Kingdom'),
(102448, '193.108.38.0', '193.108.39.255', 3245090304, 3245090815, 'UA', 'Ukraine'),
(102449, '193.108.40.0', '193.108.41.255', 3245090816, 3245091327, 'AT', 'Austria'),
(102450, '193.108.42.0', '193.108.43.255', 3245091328, 3245091839, 'SE', 'Sweden'),
(102451, '193.108.44.0', '193.108.51.255', 3245091840, 3245093887, 'UA', 'Ukraine'),
(102452, '193.108.52.0', '193.108.55.255', 3245093888, 3245094911, 'RO', 'Romania'),
(102453, '193.108.56.0', '193.108.59.255', 3245094912, 3245095935, 'UA', 'Ukraine'),
(102454, '193.108.60.0', '193.108.63.255', 3245095936, 3245096959, 'IT', 'Italy'),
(102455, '193.108.64.0', '193.108.71.255', 3245096960, 3245099007, 'EU', 'Europe'),
(102456, '193.108.72.0', '193.108.87.255', 3245099008, 3245103103, 'GB', 'United Kingdom'),
(102457, '193.108.88.0', '193.108.95.255', 3245103104, 3245105151, 'EU', 'Europe'),
(102458, '193.108.96.0', '193.108.97.255', 3245105152, 3245105663, 'GB', 'United Kingdom'),
(102459, '193.108.98.0', '193.108.99.255', 3245105664, 3245106175, 'NL', 'Netherlands'),
(102460, '193.108.100.0', '193.108.101.255', 3245106176, 3245106687, 'AT', 'Austria'),
(102461, '193.108.102.0', '193.108.105.255', 3245106688, 3245107711, 'UA', 'Ukraine'),
(102462, '193.108.106.0', '193.108.109.255', 3245107712, 3245108735, 'CZ', 'Czech Republic'),
(102463, '193.108.110.0', '193.108.111.255', 3245108736, 3245109247, 'FR', 'France'),
(102464, '193.108.112.0', '193.108.123.255', 3245109248, 3245112319, 'UA', 'Ukraine'),
(102465, '193.108.124.0', '193.108.127.255', 3245112320, 3245113343, 'PL', 'Poland'),
(102466, '193.108.128.0', '193.108.129.255', 3245113344, 3245113855, 'UA', 'Ukraine'),
(102467, '193.108.130.0', '193.108.131.255', 3245113856, 3245114367, 'RU', 'Russian Federation'),
(102468, '193.108.132.0', '193.108.133.255', 3245114368, 3245114879, 'SK', 'Slovakia'),
(102469, '193.108.134.0', '193.108.135.255', 3245114880, 3245115391, 'JO', 'Jordan'),
(102470, '193.108.136.0', '193.108.137.255', 3245115392, 3245115903, 'CH', 'Switzerland'),
(102471, '193.108.138.0', '193.108.139.255', 3245115904, 3245116415, 'AT', 'Austria'),
(102472, '193.108.140.0', '193.108.141.255', 3245116416, 3245116927, 'FR', 'France'),
(102473, '193.108.142.0', '193.108.143.255', 3245116928, 3245117439, 'KW', 'Kuwait'),
(102474, '193.108.144.0', '193.108.147.255', 3245117440, 3245118463, 'LV', 'Latvia'),
(102475, '193.108.148.0', '193.108.151.255', 3245118464, 3245119487, 'GB', 'United Kingdom'),
(102476, '193.108.152.0', '193.108.155.255', 3245119488, 3245120511, 'EU', 'Europe'),
(102477, '193.108.156.0', '193.108.158.69', 3245120512, 3245121093, 'GB', 'United Kingdom'),
(102478, '193.108.158.70', '193.108.158.71', 3245121094, 3245121095, 'US', 'United States'),
(102479, '193.108.158.72', '193.108.159.255', 3245121096, 3245121535, 'GB', 'United Kingdom'),
(102480, '193.108.160.0', '193.108.161.255', 3245121536, 3245122047, 'GR', 'Greece'),
(102481, '193.108.162.0', '193.108.163.255', 3245122048, 3245122559, 'UA', 'Ukraine'),
(102482, '193.108.164.0', '193.108.165.255', 3245122560, 3245123071, 'DE', 'Germany'),
(102483, '193.108.166.0', '193.108.167.255', 3245123072, 3245123583, 'FR', 'France'),
(102484, '193.108.168.0', '193.108.169.255', 3245123584, 3245124095, 'GB', 'United Kingdom'),
(102485, '193.108.170.0', '193.108.171.255', 3245124096, 3245124607, 'UA', 'Ukraine'),
(102486, '193.108.172.0', '193.108.173.255', 3245124608, 3245125119, 'DE', 'Germany'),
(102487, '193.108.174.0', '193.108.175.255', 3245125120, 3245125631, 'ES', 'Spain'),
(102488, '193.108.176.0', '193.108.176.255', 3245125632, 3245125887, 'DE', 'Germany'),
(102489, '193.108.177.0', '193.108.177.255', 3245125888, 3245126143, 'PL', 'Poland'),
(102490, '193.108.178.0', '193.108.178.255', 3245126144, 3245126399, 'FR', 'France'),
(102491, '193.108.179.0', '193.108.179.255', 3245126400, 3245126655, 'DE', 'Germany'),
(102492, '193.108.180.0', '193.108.180.255', 3245126656, 3245126911, 'FR', 'France'),
(102493, '193.108.181.0', '193.108.181.255', 3245126912, 3245127167, 'DE', 'Germany'),
(102494, '193.108.182.0', '193.108.182.255', 3245127168, 3245127423, 'RU', 'Russian Federation'),
(102495, '193.108.183.0', '193.108.183.255', 3245127424, 3245127679, 'AT', 'Austria'),
(102496, '193.108.184.0', '193.108.184.255', 3245127680, 3245127935, 'DE', 'Germany'),
(102497, '193.108.185.0', '193.108.185.255', 3245127936, 3245128191, 'LV', 'Latvia'),
(102498, '193.108.186.0', '193.108.186.255', 3245128192, 3245128447, 'IT', 'Italy'),
(102499, '193.108.187.0', '193.108.187.255', 3245128448, 3245128703, 'CH', 'Switzerland'),
(102500, '193.108.188.0', '193.108.190.255', 3245128704, 3245129471, 'DK', 'Denmark'),
(102501, '193.108.191.0', '193.108.192.255', 3245129472, 3245129983, 'GB', 'United Kingdom'),
(102502, '193.108.193.0', '193.108.193.255', 3245129984, 3245130239, 'DE', 'Germany'),
(102503, '193.108.194.0', '193.108.194.255', 3245130240, 3245130495, 'PL', 'Poland'),
(102504, '193.108.195.0', '193.108.195.255', 3245130496, 3245130751, 'IL', 'Israel'),
(102505, '193.108.196.0', '193.108.196.255', 3245130752, 3245131007, 'SE', 'Sweden'),
(102506, '193.108.197.0', '193.108.198.255', 3245131008, 3245131519, 'FR', 'France'),
(102507, '193.108.199.0', '193.108.200.255', 3245131520, 3245132031, 'GB', 'United Kingdom'),
(102508, '193.108.201.0', '193.108.201.255', 3245132032, 3245132287, 'BE', 'Belgium'),
(102509, '193.108.202.0', '193.108.202.255', 3245132288, 3245132543, 'PL', 'Poland'),
(102510, '193.108.203.0', '193.108.203.255', 3245132544, 3245132799, 'FR', 'France'),
(102511, '193.108.204.0', '193.108.205.255', 3245132800, 3245133311, 'IT', 'Italy'),
(102512, '193.108.206.0', '193.108.206.255', 3245133312, 3245133567, 'PL', 'Poland'),
(102513, '193.108.207.0', '193.108.207.255', 3245133568, 3245133823, 'RU', 'Russian Federation'),
(102514, '193.108.208.0', '193.108.208.255', 3245133824, 3245134079, 'NO', 'Norway'),
(102515, '193.108.209.0', '193.108.209.255', 3245134080, 3245134335, 'UA', 'Ukraine'),
(102516, '193.108.210.0', '193.108.210.255', 3245134336, 3245134591, 'NL', 'Netherlands'),
(102517, '193.108.211.0', '193.108.211.255', 3245134592, 3245134847, 'IL', 'Israel'),
(102518, '193.108.212.0', '193.108.212.255', 3245134848, 3245135103, 'AT', 'Austria'),
(102519, '193.108.213.0', '193.108.213.255', 3245135104, 3245135359, 'TR', 'Turkey'),
(102520, '193.108.214.0', '193.108.214.255', 3245135360, 3245135615, 'UG', 'Uganda'),
(102521, '193.108.215.0', '193.108.215.255', 3245135616, 3245135871, 'BE', 'Belgium'),
(102522, '193.108.216.0', '193.108.216.255', 3245135872, 3245136127, 'FR', 'France'),
(102523, '193.108.217.0', '193.108.217.255', 3245136128, 3245136383, 'DE', 'Germany'),
(102524, '193.108.218.0', '193.108.218.255', 3245136384, 3245136639, 'GB', 'United Kingdom'),
(102525, '193.108.219.0', '193.108.219.255', 3245136640, 3245136895, 'RU', 'Russian Federation'),
(102526, '193.108.220.0', '193.108.220.255', 3245136896, 3245137151, 'PL', 'Poland'),
(102527, '193.108.221.0', '193.108.221.255', 3245137152, 3245137407, 'GB', 'United Kingdom'),
(102528, '193.108.222.0', '193.108.222.255', 3245137408, 3245137663, 'DE', 'Germany'),
(102529, '193.108.223.0', '193.108.223.255', 3245137664, 3245137919, 'SE', 'Sweden'),
(102530, '193.108.224.0', '193.108.225.255', 3245137920, 3245138431, 'DK', 'Denmark'),
(102531, '193.108.226.0', '193.108.227.255', 3245138432, 3245138943, 'UA', 'Ukraine'),
(102532, '193.108.228.0', '193.108.229.255', 3245138944, 3245139455, 'PL', 'Poland'),
(102533, '193.108.230.0', '193.108.231.255', 3245139456, 3245139967, 'RU', 'Russian Federation'),
(102534, '193.108.232.0', '193.108.233.255', 3245139968, 3245140479, 'CH', 'Switzerland'),
(102535, '193.108.234.0', '193.108.235.255', 3245140480, 3245140991, 'RO', 'Romania'),
(102536, '193.108.236.0', '193.108.237.255', 3245140992, 3245141503, 'UA', 'Ukraine'),
(102537, '193.108.238.0', '193.108.239.255', 3245141504, 3245142015, 'RO', 'Romania'),
(102538, '193.108.240.0', '193.108.243.255', 3245142016, 3245143039, 'UA', 'Ukraine'),
(102539, '193.108.244.0', '193.108.247.255', 3245143040, 3245144063, 'GB', 'United Kingdom'),
(102540, '193.108.248.0', '193.108.251.255', 3245144064, 3245145087, 'UA', 'Ukraine'),
(102541, '193.108.252.0', '193.108.255.255', 3245145088, 3245146111, 'UG', 'Uganda'),
(102542, '193.109.0.0', '193.109.3.255', 3245146112, 3245147135, 'FR', 'France'),
(102543, '193.109.4.0', '193.109.7.255', 3245147136, 3245148159, 'DE', 'Germany'),
(102544, '193.109.8.0', '193.109.11.255', 3245148160, 3245149183, 'UA', 'Ukraine'),
(102545, '193.109.12.0', '193.109.15.255', 3245149184, 3245150207, 'RU', 'Russian Federation'),
(102546, '193.109.16.0', '193.109.31.255', 3245150208, 3245154303, 'IS', 'Iceland'),
(102547, '193.109.32.0', '193.109.47.255', 3245154304, 3245158399, 'IT', 'Italy'),
(102548, '193.109.48.0', '193.109.49.255', 3245158400, 3245158911, 'CH', 'Switzerland'),
(102549, '193.109.50.0', '193.109.51.255', 3245158912, 3245159423, 'GB', 'United Kingdom'),
(102550, '193.109.52.0', '193.109.53.255', 3245159424, 3245159935, 'CH', 'Switzerland'),
(102551, '193.109.54.0', '193.109.55.255', 3245159936, 3245160447, 'BG', 'Bulgaria'),
(102552, '193.109.56.0', '193.109.57.255', 3245160448, 3245160959, 'DK', 'Denmark'),
(102553, '193.109.58.0', '193.109.59.255', 3245160960, 3245161471, 'PL', 'Poland'),
(102554, '193.109.60.0', '193.109.61.255', 3245161472, 3245161983, 'SE', 'Sweden'),
(102555, '193.109.62.0', '193.109.63.255', 3245161984, 3245162495, 'BE', 'Belgium'),
(102556, '193.109.64.0', '193.109.65.255', 3245162496, 3245163007, 'DE', 'Germany'),
(102557, '193.109.66.0', '193.109.67.255', 3245163008, 3245163519, 'KE', 'Kenya'),
(102558, '193.109.68.0', '193.109.71.255', 3245163520, 3245164543, 'RU', 'Russian Federation'),
(102559, '193.109.72.0', '193.109.73.255', 3245164544, 3245165055, 'BE', 'Belgium'),
(102560, '193.109.74.0', '193.109.75.255', 3245165056, 3245165567, 'AT', 'Austria'),
(102561, '193.109.76.0', '193.109.77.255', 3245165568, 3245166079, 'RU', 'Russian Federation'),
(102562, '193.109.78.0', '193.109.79.255', 3245166080, 3245166591, 'TZ', 'Tanzania, United Republic of'),
(102563, '193.109.80.0', '193.109.80.255', 3245166592, 3245166847, 'UA', 'Ukraine'),
(102564, '193.109.81.0', '193.109.81.255', 3245166848, 3245167103, 'GB', 'United Kingdom'),
(102565, '193.109.82.0', '193.109.82.255', 3245167104, 3245167359, 'IL', 'Israel'),
(102566, '193.109.83.0', '193.109.83.255', 3245167360, 3245167615, 'GB', 'United Kingdom'),
(102567, '193.109.84.0', '193.109.84.255', 3245167616, 3245167871, 'UA', 'Ukraine'),
(102568, '193.109.85.0', '193.109.85.255', 3245167872, 3245168127, 'LV', 'Latvia'),
(102569, '193.109.86.0', '193.109.86.255', 3245168128, 3245168383, 'SE', 'Sweden'),
(102570, '193.109.87.0', '193.109.87.255', 3245168384, 3245168639, 'FR', 'France'),
(102571, '193.109.88.0', '193.109.88.255', 3245168640, 3245168895, 'AT', 'Austria'),
(102572, '193.109.89.0', '193.109.89.255', 3245168896, 3245169151, 'RU', 'Russian Federation'),
(102573, '193.109.90.0', '193.109.90.255', 3245169152, 3245169407, 'IT', 'Italy'),
(102574, '193.109.91.0', '193.109.92.255', 3245169408, 3245169919, 'PL', 'Poland'),
(102575, '193.109.93.0', '193.109.93.255', 3245169920, 3245170175, 'PT', 'Portugal'),
(102576, '193.109.94.0', '193.109.94.255', 3245170176, 3245170431, 'GB', 'United Kingdom'),
(102577, '193.109.95.0', '193.109.95.255', 3245170432, 3245170687, 'CH', 'Switzerland'),
(102578, '193.109.96.0', '193.109.99.255', 3245170688, 3245171711, 'DE', 'Germany'),
(102579, '193.109.100.0', '193.109.103.255', 3245171712, 3245172735, 'UA', 'Ukraine'),
(102580, '193.109.104.0', '193.109.107.255', 3245172736, 3245173759, 'IT', 'Italy'),
(102581, '193.109.108.0', '193.109.111.255', 3245173760, 3245174783, 'UA', 'Ukraine'),
(102582, '193.109.112.0', '193.109.112.255', 3245174784, 3245175039, 'IT', 'Italy'),
(102583, '193.109.113.0', '193.109.113.255', 3245175040, 3245175295, 'DE', 'Germany'),
(102584, '193.109.114.0', '193.109.114.255', 3245175296, 3245175551, 'RU', 'Russian Federation'),
(102585, '193.109.115.0', '193.109.115.255', 3245175552, 3245175807, 'PL', 'Poland'),
(102586, '193.109.116.0', '193.109.116.255', 3245175808, 3245176063, 'GB', 'United Kingdom'),
(102587, '193.109.117.0', '193.109.117.255', 3245176064, 3245176319, 'SK', 'Slovakia'),
(102588, '193.109.118.0', '193.109.118.255', 3245176320, 3245176575, 'UA', 'Ukraine'),
(102589, '193.109.119.0', '193.109.119.255', 3245176576, 3245176831, 'FR', 'France'),
(102590, '193.109.120.0', '193.109.121.255', 3245176832, 3245177343, 'ES', 'Spain'),
(102591, '193.109.122.0', '193.109.122.255', 3245177344, 3245177599, 'NL', 'Netherlands'),
(102592, '193.109.123.0', '193.109.123.255', 3245177600, 3245177855, 'PL', 'Poland'),
(102593, '193.109.124.0', '193.109.124.255', 3245177856, 3245178111, 'SI', 'Slovenia'),
(102594, '193.109.125.0', '193.109.126.255', 3245178112, 3245178623, 'BE', 'Belgium'),
(102595, '193.109.127.0', '193.109.127.255', 3245178624, 3245178879, 'PL', 'Poland'),
(102596, '193.109.128.0', '193.109.129.255', 3245178880, 3245179391, 'UA', 'Ukraine'),
(102597, '193.109.130.0', '193.109.131.255', 3245179392, 3245179903, 'LU', 'Luxembourg'),
(102598, '193.109.132.0', '193.109.133.255', 3245179904, 3245180415, 'DE', 'Germany'),
(102599, '193.109.134.0', '193.109.135.255', 3245180416, 3245180927, 'TR', 'Turkey'),
(102600, '193.109.136.0', '193.109.137.255', 3245180928, 3245181439, 'NL', 'Netherlands'),
(102601, '193.109.138.0', '193.109.139.255', 3245181440, 3245181951, 'DE', 'Germany'),
(102602, '193.109.140.0', '193.109.141.255', 3245181952, 3245182463, 'AT', 'Austria'),
(102603, '193.109.142.0', '193.109.143.255', 3245182464, 3245182975, 'FR', 'France'),
(102604, '193.109.144.0', '193.109.147.255', 3245182976, 3245183999, 'UA', 'Ukraine'),
(102605, '193.109.148.0', '193.109.159.255', 3245184000, 3245187071, 'AT', 'Austria'),
(102606, '193.109.160.0', '193.109.171.255', 3245187072, 3245190143, 'UA', 'Ukraine'),
(102607, '193.109.172.0', '193.109.175.255', 3245190144, 3245191167, 'ES', 'Spain'),
(102608, '193.109.176.0', '193.109.183.255', 3245191168, 3245193215, 'CZ', 'Czech Republic'),
(102609, '193.109.184.0', '193.109.191.255', 3245193216, 3245195263, 'BE', 'Belgium'),
(102610, '193.109.192.0', '193.109.199.255', 3245195264, 3245197311, 'GB', 'United Kingdom'),
(102611, '193.109.200.0', '193.109.207.255', 3245197312, 3245199359, 'IT', 'Italy'),
(102612, '193.109.208.0', '193.109.208.255', 3245199360, 3245199615, 'LU', 'Luxembourg'),
(102613, '193.109.209.0', '193.109.209.255', 3245199616, 3245199871, 'SE', 'Sweden'),
(102614, '193.109.210.0', '193.109.210.255', 3245199872, 3245200127, 'NO', 'Norway'),
(102615, '193.109.211.0', '193.109.211.255', 3245200128, 3245200383, 'LV', 'Latvia'),
(102616, '193.109.212.0', '193.109.212.255', 3245200384, 3245200639, 'PL', 'Poland'),
(102617, '193.109.213.0', '193.109.213.255', 3245200640, 3245200895, 'GR', 'Greece'),
(102618, '193.109.214.0', '193.109.214.255', 3245200896, 3245201151, 'DE', 'Germany'),
(102619, '193.109.215.0', '193.109.215.255', 3245201152, 3245201407, 'KW', 'Kuwait'),
(102620, '193.109.216.0', '193.109.216.255', 3245201408, 3245201663, 'UA', 'Ukraine'),
(102621, '193.109.217.0', '193.109.217.255', 3245201664, 3245201919, 'NO', 'Norway'),
(102622, '193.109.218.0', '193.109.218.255', 3245201920, 3245202175, 'SA', 'Saudi Arabia'),
(102623, '193.109.219.0', '193.109.220.255', 3245202176, 3245202687, 'GB', 'United Kingdom'),
(102624, '193.109.221.0', '193.109.223.255', 3245202688, 3245203455, 'DE', 'Germany'),
(102625, '193.109.224.0', '193.109.224.255', 3245203456, 3245203711, 'FR', 'France'),
(102626, '193.109.225.0', '193.109.226.255', 3245203712, 3245204223, 'PL', 'Poland'),
(102627, '193.109.227.0', '193.109.227.255', 3245204224, 3245204479, 'SI', 'Slovenia'),
(102628, '193.109.228.0', '193.109.228.255', 3245204480, 3245204735, 'BE', 'Belgium'),
(102629, '193.109.229.0', '193.109.230.255', 3245204736, 3245205247, 'ES', 'Spain'),
(102630, '193.109.231.0', '193.109.231.255', 3245205248, 3245205503, 'DE', 'Germany'),
(102631, '193.109.232.0', '193.109.232.255', 3245205504, 3245205759, 'AT', 'Austria'),
(102632, '193.109.233.0', '193.109.233.255', 3245205760, 3245206015, 'IT', 'Italy'),
(102633, '193.109.234.0', '193.109.234.255', 3245206016, 3245206271, 'BE', 'Belgium'),
(102634, '193.109.235.0', '193.109.235.255', 3245206272, 3245206527, 'LT', 'Lithuania'),
(102635, '193.109.236.0', '193.109.239.255', 3245206528, 3245207551, 'DE', 'Germany'),
(102636, '193.109.240.0', '193.109.241.255', 3245207552, 3245208063, 'UA', 'Ukraine'),
(102637, '193.109.242.0', '193.109.243.255', 3245208064, 3245208575, 'DE', 'Germany'),
(102638, '193.109.244.0', '193.109.245.255', 3245208576, 3245209087, 'PL', 'Poland'),
(102639, '193.109.246.0', '193.109.247.255', 3245209088, 3245209599, 'VG', 'Virgin Islands, British'),
(102640, '193.109.248.0', '193.109.249.255', 3245209600, 3245210111, 'UA', 'Ukraine'),
(102641, '193.109.250.0', '193.109.251.255', 3245210112, 3245210623, 'FR', 'France'),
(102642, '193.109.252.0', '193.109.253.255', 3245210624, 3245211135, 'HU', 'Hungary'),
(102643, '193.109.254.0', '193.109.255.255', 3245211136, 3245211647, 'GB', 'United Kingdom'),
(102644, '193.110.0.0', '193.110.1.255', 3245211648, 3245212159, 'RU', 'Russian Federation'),
(102645, '193.110.2.0', '193.110.3.255', 3245212160, 3245212671, 'NG', 'Nigeria'),
(102646, '193.110.4.0', '193.110.5.255', 3245212672, 3245213183, 'GB', 'United Kingdom'),
(102647, '193.110.6.0', '193.110.7.255', 3245213184, 3245213695, 'DE', 'Germany'),
(102648, '193.110.8.0', '193.110.9.255', 3245213696, 3245214207, 'LV', 'Latvia'),
(102649, '193.110.10.0', '193.110.11.255', 3245214208, 3245214719, 'AT', 'Austria'),
(102650, '193.110.12.0', '193.110.13.255', 3245214720, 3245215231, 'SE', 'Sweden'),
(102651, '193.110.14.0', '193.110.15.255', 3245215232, 3245215743, 'SI', 'Slovenia'),
(102652, '193.110.16.0', '193.110.23.255', 3245215744, 3245217791, 'UA', 'Ukraine'),
(102653, '193.110.24.0', '193.110.27.255', 3245217792, 3245218815, 'DE', 'Germany'),
(102654, '193.110.28.0', '193.110.31.255', 3245218816, 3245219839, 'AT', 'Austria'),
(102655, '193.110.32.0', '193.110.39.255', 3245219840, 3245221887, 'FI', 'Finland'),
(102656, '193.110.40.0', '193.110.47.255', 3245221888, 3245223935, 'DE', 'Germany'),
(102657, '193.110.48.0', '193.110.53.255', 3245223936, 3245225471, 'IL', 'Israel'),
(102658, '193.110.54.0', '193.110.54.255', 3245225472, 3245225727, 'EU', 'Europe'),
(102659, '193.110.55.0', '193.110.55.255', 3245225728, 3245225983, 'IL', 'Israel'),
(102660, '193.110.56.0', '193.110.63.255', 3245225984, 3245228031, 'HU', 'Hungary'),
(102661, '193.110.64.0', '193.110.67.255', 3245228032, 3245229055, 'FI', 'Finland'),
(102662, '193.110.68.0', '193.110.71.255', 3245229056, 3245230079, 'DE', 'Germany'),
(102663, '193.110.72.0', '193.110.79.255', 3245230080, 3245232127, 'UA', 'Ukraine'),
(102664, '193.110.80.0', '193.110.80.255', 3245232128, 3245232383, 'PL', 'Poland'),
(102665, '193.110.81.0', '193.110.81.255', 3245232384, 3245232639, 'BE', 'Belgium'),
(102666, '193.110.82.0', '193.110.82.255', 3245232640, 3245232895, 'BG', 'Bulgaria'),
(102667, '193.110.83.0', '193.110.83.255', 3245232896, 3245233151, 'IT', 'Italy'),
(102668, '193.110.84.0', '193.110.84.255', 3245233152, 3245233407, 'DK', 'Denmark'),
(102669, '193.110.85.0', '193.110.85.255', 3245233408, 3245233663, 'CH', 'Switzerland'),
(102670, '193.110.86.0', '193.110.86.255', 3245233664, 3245233919, 'GR', 'Greece'),
(102671, '193.110.87.0', '193.110.87.255', 3245233920, 3245234175, 'DK', 'Denmark'),
(102672, '193.110.88.0', '193.110.88.255', 3245234176, 3245234431, 'GB', 'United Kingdom'),
(102673, '193.110.89.0', '193.110.89.255', 3245234432, 3245234687, 'UA', 'Ukraine'),
(102674, '193.110.90.0', '193.110.90.255', 3245234688, 3245234943, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(102675, '193.110.91.0', '193.110.91.255', 3245234944, 3245235199, 'RU', 'Russian Federation'),
(102676, '193.110.92.0', '193.110.92.255', 3245235200, 3245235455, 'BE', 'Belgium'),
(102677, '193.110.93.0', '193.110.93.255', 3245235456, 3245235711, 'GB', 'United Kingdom'),
(102678, '193.110.94.0', '193.110.94.255', 3245235712, 3245235967, 'AT', 'Austria'),
(102679, '193.110.95.0', '193.110.95.255', 3245235968, 3245236223, 'CH', 'Switzerland'),
(102680, '193.110.96.0', '193.110.99.255', 3245236224, 3245237247, 'PL', 'Poland'),
(102681, '193.110.100.0', '193.110.101.255', 3245237248, 3245237759, 'UA', 'Ukraine'),
(102682, '193.110.102.0', '193.110.103.255', 3245237760, 3245238271, 'DE', 'Germany'),
(102683, '193.110.104.0', '193.110.105.255', 3245238272, 3245238783, 'CD', 'Congo, The Democratic Republic of the'),
(102684, '193.110.106.0', '193.110.107.255', 3245238784, 3245239295, 'UA', 'Ukraine'),
(102685, '193.110.108.0', '193.110.111.255', 3245239296, 3245240319, 'FI', 'Finland'),
(102686, '193.110.112.0', '193.110.115.255', 3245240320, 3245241343, 'UA', 'Ukraine'),
(102687, '193.110.116.0', '193.110.119.255', 3245241344, 3245242367, 'DE', 'Germany'),
(102688, '193.110.120.0', '193.110.123.255', 3245242368, 3245243391, 'PL', 'Poland'),
(102689, '193.110.124.0', '193.110.127.255', 3245243392, 3245244415, 'UA', 'Ukraine'),
(102690, '193.110.128.0', '193.110.128.255', 3245244416, 3245244671, 'ES', 'Spain'),
(102691, '193.110.129.0', '193.110.129.255', 3245244672, 3245244927, 'AT', 'Austria'),
(102692, '193.110.130.0', '193.110.130.255', 3245244928, 3245245183, 'BE', 'Belgium'),
(102693, '193.110.131.0', '193.110.131.255', 3245245184, 3245245439, 'CH', 'Switzerland'),
(102694, '193.110.132.0', '193.110.132.255', 3245245440, 3245245695, 'BG', 'Bulgaria'),
(102695, '193.110.133.0', '193.110.133.255', 3245245696, 3245245951, 'DE', 'Germany'),
(102696, '193.110.134.0', '193.110.134.255', 3245245952, 3245246207, 'UA', 'Ukraine'),
(102697, '193.110.135.0', '193.110.135.255', 3245246208, 3245246463, 'GB', 'United Kingdom'),
(102698, '193.110.136.0', '193.110.136.255', 3245246464, 3245246719, 'AT', 'Austria'),
(102699, '193.110.137.0', '193.110.137.255', 3245246720, 3245246975, 'PL', 'Poland'),
(102700, '193.110.138.0', '193.110.138.255', 3245246976, 3245247231, 'GB', 'United Kingdom'),
(102701, '193.110.139.0', '193.110.139.255', 3245247232, 3245247487, 'DE', 'Germany'),
(102702, '193.110.140.0', '193.110.141.255', 3245247488, 3245247999, 'FR', 'France'),
(102703, '193.110.142.0', '193.110.142.255', 3245248000, 3245248255, 'PL', 'Poland'),
(102704, '193.110.143.0', '193.110.143.255', 3245248256, 3245248511, 'GB', 'United Kingdom'),
(102705, '193.110.144.0', '193.110.144.255', 3245248512, 3245248767, 'UA', 'Ukraine'),
(102706, '193.110.145.0', '193.110.145.255', 3245248768, 3245249023, 'SI', 'Slovenia'),
(102707, '193.110.146.0', '193.110.146.255', 3245249024, 3245249279, 'FR', 'France'),
(102708, '193.110.147.0', '193.110.147.255', 3245249280, 3245249535, 'NL', 'Netherlands'),
(102709, '193.110.148.0', '193.110.148.255', 3245249536, 3245249791, 'FR', 'France'),
(102710, '193.110.149.0', '193.110.149.255', 3245249792, 3245250047, 'GB', 'United Kingdom'),
(102711, '193.110.150.0', '193.110.150.255', 3245250048, 3245250303, 'DE', 'Germany'),
(102712, '193.110.151.0', '193.110.151.255', 3245250304, 3245250559, 'IT', 'Italy'),
(102713, '193.110.152.0', '193.110.152.255', 3245250560, 3245250815, 'FR', 'France'),
(102714, '193.110.153.0', '193.110.153.255', 3245250816, 3245251071, 'DE', 'Germany'),
(102715, '193.110.154.0', '193.110.154.255', 3245251072, 3245251327, 'ES', 'Spain'),
(102716, '193.110.155.0', '193.110.155.255', 3245251328, 3245251583, 'MT', 'Malta'),
(102717, '193.110.156.0', '193.110.156.255', 3245251584, 3245251839, 'UA', 'Ukraine'),
(102718, '193.110.157.0', '193.110.157.255', 3245251840, 3245252095, 'NL', 'Netherlands'),
(102719, '193.110.158.0', '193.110.158.255', 3245252096, 3245252351, 'BE', 'Belgium'),
(102720, '193.110.159.0', '193.110.159.255', 3245252352, 3245252607, 'BG', 'Bulgaria'),
(102721, '193.110.160.0', '193.110.163.255', 3245252608, 3245253631, 'UA', 'Ukraine'),
(102722, '193.110.164.0', '193.110.165.255', 3245253632, 3245254143, 'LV', 'Latvia'),
(102723, '193.110.166.0', '193.110.167.255', 3245254144, 3245254655, 'DK', 'Denmark'),
(102724, '193.110.168.0', '193.110.169.255', 3245254656, 3245255167, 'UA', 'Ukraine'),
(102725, '193.110.170.0', '193.110.171.255', 3245255168, 3245255679, 'TR', 'Turkey'),
(102726, '193.110.172.0', '193.110.177.255', 3245255680, 3245257215, 'UA', 'Ukraine'),
(102727, '193.110.178.0', '193.110.179.255', 3245257216, 3245257727, 'DE', 'Germany'),
(102728, '193.110.180.0', '193.110.181.255', 3245257728, 3245258239, 'GB', 'United Kingdom'),
(102729, '193.110.182.0', '193.110.183.255', 3245258240, 3245258751, 'AT', 'Austria'),
(102730, '193.110.184.0', '193.110.185.255', 3245258752, 3245259263, 'UA', 'Ukraine'),
(102731, '193.110.186.0', '193.110.187.255', 3245259264, 3245259775, 'SK', 'Slovakia'),
(102732, '193.110.188.0', '193.110.189.255', 3245259776, 3245260287, 'UA', 'Ukraine'),
(102733, '193.110.190.0', '193.110.191.255', 3245260288, 3245260799, 'BE', 'Belgium'),
(102734, '193.110.192.0', '193.110.195.255', 3245260800, 3245261823, 'DE', 'Germany'),
(102735, '193.110.196.0', '193.110.199.255', 3245261824, 3245262847, 'DK', 'Denmark'),
(102736, '193.110.200.0', '193.110.203.255', 3245262848, 3245263871, 'IT', 'Italy'),
(102737, '193.110.204.0', '193.110.207.255', 3245263872, 3245264895, 'DE', 'Germany'),
(102738, '193.110.208.0', '193.110.215.255', 3245264896, 3245266943, 'TR', 'Turkey'),
(102739, '193.110.216.0', '193.110.223.255', 3245266944, 3245268991, 'BG', 'Bulgaria'),
(102740, '193.110.224.0', '193.110.227.255', 3245268992, 3245270015, 'FI', 'Finland'),
(102741, '193.110.228.0', '193.110.231.255', 3245270016, 3245271039, 'PL', 'Poland'),
(102742, '193.110.232.0', '193.110.235.255', 3245271040, 3245272063, 'NL', 'Netherlands'),
(102743, '193.110.236.0', '193.110.239.255', 3245272064, 3245273087, 'RU', 'Russian Federation'),
(102744, '193.110.240.0', '193.110.247.255', 3245273088, 3245275135, 'GB', 'United Kingdom'),
(102745, '193.110.248.0', '193.110.255.255', 3245275136, 3245277183, 'BE', 'Belgium'),
(102746, '193.111.0.0', '193.111.1.255', 3245277184, 3245277695, 'UA', 'Ukraine'),
(102747, '193.111.2.0', '193.111.3.255', 3245277696, 3245278207, 'RU', 'Russian Federation'),
(102748, '193.111.4.0', '193.111.5.255', 3245278208, 3245278719, 'GB', 'United Kingdom'),
(102749, '193.111.6.0', '193.111.9.255', 3245278720, 3245279743, 'UA', 'Ukraine'),
(102750, '193.111.10.0', '193.111.11.255', 3245279744, 3245280255, 'TJ', 'Tajikistan'),
(102751, '193.111.12.0', '193.111.13.255', 3245280256, 3245280767, 'BE', 'Belgium'),
(102752, '193.111.14.0', '193.111.15.255', 3245280768, 3245281279, 'FR', 'France'),
(102753, '193.111.16.0', '193.111.17.255', 3245281280, 3245281791, 'RO', 'Romania'),
(102754, '193.111.18.0', '193.111.19.255', 3245281792, 3245282303, 'ES', 'Spain'),
(102755, '193.111.20.0', '193.111.21.255', 3245282304, 3245282815, 'IT', 'Italy'),
(102756, '193.111.22.0', '193.111.23.255', 3245282816, 3245283327, 'PL', 'Poland'),
(102757, '193.111.24.0', '193.111.25.255', 3245283328, 3245283839, 'GB', 'United Kingdom'),
(102758, '193.111.26.0', '193.111.27.255', 3245283840, 3245284351, 'PL', 'Poland'),
(102759, '193.111.28.0', '193.111.29.255', 3245284352, 3245284863, 'GB', 'United Kingdom'),
(102760, '193.111.30.0', '193.111.31.255', 3245284864, 3245285375, 'PL', 'Poland'),
(102761, '193.111.32.0', '193.111.32.255', 3245285376, 3245285631, 'NL', 'Netherlands'),
(102762, '193.111.33.0', '193.111.33.255', 3245285632, 3245285887, 'GB', 'United Kingdom'),
(102763, '193.111.34.0', '193.111.34.255', 3245285888, 3245286143, 'DE', 'Germany'),
(102764, '193.111.35.0', '193.111.35.255', 3245286144, 3245286399, 'GB', 'United Kingdom'),
(102765, '193.111.36.0', '193.111.39.255', 3245286400, 3245287423, 'PL', 'Poland'),
(102766, '193.111.40.0', '193.111.40.255', 3245287424, 3245287679, 'DE', 'Germany'),
(102767, '193.111.41.0', '193.111.41.255', 3245287680, 3245287935, 'PL', 'Poland'),
(102768, '193.111.42.0', '193.111.42.255', 3245287936, 3245288191, 'PT', 'Portugal'),
(102769, '193.111.43.0', '193.111.44.255', 3245288192, 3245288703, 'DE', 'Germany'),
(102770, '193.111.45.0', '193.111.45.255', 3245288704, 3245288959, 'FI', 'Finland'),
(102771, '193.111.46.0', '193.111.46.255', 3245288960, 3245289215, 'IT', 'Italy'),
(102772, '193.111.47.0', '193.111.47.255', 3245289216, 3245289471, 'AT', 'Austria'),
(102773, '193.111.48.0', '193.111.51.255', 3245289472, 3245290495, 'UA', 'Ukraine'),
(102774, '193.111.52.0', '193.111.55.255', 3245290496, 3245291519, 'LU', 'Luxembourg'),
(102775, '193.111.56.0', '193.111.59.255', 3245291520, 3245292543, 'DE', 'Germany'),
(102776, '193.111.60.0', '193.111.63.255', 3245292544, 3245293567, 'UA', 'Ukraine'),
(102777, '193.111.64.0', '193.111.65.255', 3245293568, 3245294079, 'FI', 'Finland'),
(102778, '193.111.66.0', '193.111.67.255', 3245294080, 3245294591, 'ES', 'Spain'),
(102779, '193.111.68.0', '193.111.69.255', 3245294592, 3245295103, 'RO', 'Romania'),
(102780, '193.111.70.0', '193.111.73.255', 3245295104, 3245296127, 'IT', 'Italy'),
(102781, '193.111.74.0', '193.111.75.255', 3245296128, 3245296639, 'GB', 'United Kingdom'),
(102782, '193.111.76.0', '193.111.77.255', 3245296640, 3245297151, 'TJ', 'Tajikistan'),
(102783, '193.111.78.0', '193.111.79.255', 3245297152, 3245297663, 'IT', 'Italy'),
(102784, '193.111.80.0', '193.111.80.255', 3245297664, 3245297919, 'FR', 'France'),
(102785, '193.111.81.0', '193.111.81.255', 3245297920, 3245298175, 'NL', 'Netherlands'),
(102786, '193.111.82.0', '193.111.82.255', 3245298176, 3245298431, 'GB', 'United Kingdom'),
(102787, '193.111.83.0', '193.111.83.255', 3245298432, 3245298687, 'UA', 'Ukraine'),
(102788, '193.111.84.0', '193.111.84.255', 3245298688, 3245298943, 'GB', 'United Kingdom'),
(102789, '193.111.85.0', '193.111.85.255', 3245298944, 3245299199, 'UA', 'Ukraine'),
(102790, '193.111.86.0', '193.111.86.255', 3245299200, 3245299455, 'GB', 'United Kingdom'),
(102791, '193.111.87.0', '193.111.87.255', 3245299456, 3245299711, 'AT', 'Austria'),
(102792, '193.111.88.0', '193.111.88.255', 3245299712, 3245299967, 'DE', 'Germany'),
(102793, '193.111.89.0', '193.111.89.255', 3245299968, 3245300223, 'BG', 'Bulgaria'),
(102794, '193.111.90.0', '193.111.90.255', 3245300224, 3245300479, 'FR', 'France'),
(102795, '193.111.91.0', '193.111.92.255', 3245300480, 3245300991, 'RU', 'Russian Federation'),
(102796, '193.111.93.0', '193.111.93.255', 3245300992, 3245301247, 'FI', 'Finland'),
(102797, '193.111.94.0', '193.111.94.255', 3245301248, 3245301503, 'DK', 'Denmark'),
(102798, '193.111.95.0', '193.111.95.255', 3245301504, 3245301759, 'BE', 'Belgium'),
(102799, '193.111.96.0', '193.111.99.255', 3245301760, 3245302783, 'SK', 'Slovakia'),
(102800, '193.111.100.0', '193.111.103.255', 3245302784, 3245303807, 'DE', 'Germany'),
(102801, '193.111.104.0', '193.111.107.255', 3245303808, 3245304831, 'SE', 'Sweden'),
(102802, '193.111.108.0', '193.111.113.255', 3245304832, 3245306367, 'DE', 'Germany'),
(102803, '193.111.114.0', '193.111.115.255', 3245306368, 3245306879, 'UA', 'Ukraine'),
(102804, '193.111.116.0', '193.111.117.255', 3245306880, 3245307391, 'RU', 'Russian Federation'),
(102805, '193.111.118.0', '193.111.119.255', 3245307392, 3245307903, 'FI', 'Finland'),
(102806, '193.111.120.0', '193.111.121.255', 3245307904, 3245308415, 'RO', 'Romania'),
(102807, '193.111.122.0', '193.111.123.255', 3245308416, 3245308927, 'ES', 'Spain'),
(102808, '193.111.124.0', '193.111.125.255', 3245308928, 3245309439, 'SE', 'Sweden'),
(102809, '193.111.126.0', '193.111.127.255', 3245309440, 3245309951, 'UA', 'Ukraine'),
(102810, '193.111.128.0', '193.111.135.255', 3245309952, 3245311999, 'CZ', 'Czech Republic'),
(102811, '193.111.136.0', '193.111.143.255', 3245312000, 3245314047, 'GB', 'United Kingdom'),
(102812, '193.111.144.0', '193.111.147.255', 3245314048, 3245315071, 'PL', 'Poland'),
(102813, '193.111.148.0', '193.111.151.255', 3245315072, 3245316095, 'IT', 'Italy'),
(102814, '193.111.152.0', '193.111.155.255', 3245316096, 3245317119, 'SE', 'Sweden'),
(102815, '193.111.156.0', '193.111.159.255', 3245317120, 3245318143, 'UA', 'Ukraine'),
(102816, '193.111.160.0', '193.111.160.255', 3245318144, 3245318399, 'IT', 'Italy'),
(102817, '193.111.161.0', '193.111.161.255', 3245318400, 3245318655, 'RO', 'Romania'),
(102818, '193.111.162.0', '193.111.162.255', 3245318656, 3245318911, 'DK', 'Denmark'),
(102819, '193.111.163.0', '193.111.163.255', 3245318912, 3245319167, 'DE', 'Germany'),
(102820, '193.111.164.0', '193.111.164.255', 3245319168, 3245319423, 'HR', 'Croatia'),
(102821, '193.111.165.0', '193.111.165.255', 3245319424, 3245319679, 'SE', 'Sweden'),
(102822, '193.111.166.0', '193.111.166.255', 3245319680, 3245319935, 'PL', 'Poland'),
(102823, '193.111.167.0', '193.111.167.255', 3245319936, 3245320191, 'DE', 'Germany'),
(102824, '193.111.168.0', '193.111.168.255', 3245320192, 3245320447, 'GB', 'United Kingdom'),
(102825, '193.111.169.0', '193.111.170.255', 3245320448, 3245320959, 'DE', 'Germany'),
(102826, '193.111.171.0', '193.111.171.255', 3245320960, 3245321215, 'IE', 'Ireland'),
(102827, '193.111.172.0', '193.111.172.255', 3245321216, 3245321471, 'NL', 'Netherlands'),
(102828, '193.111.173.0', '193.111.173.255', 3245321472, 3245321727, 'UA', 'Ukraine'),
(102829, '193.111.174.0', '193.111.174.255', 3245321728, 3245321983, 'PL', 'Poland'),
(102830, '193.111.175.0', '193.111.175.255', 3245321984, 3245322239, 'DE', 'Germany'),
(102831, '193.111.176.0', '193.111.179.255', 3245322240, 3245323263, 'RU', 'Russian Federation'),
(102832, '193.111.180.0', '193.111.187.255', 3245323264, 3245325311, 'GB', 'United Kingdom'),
(102833, '193.111.188.0', '193.111.191.255', 3245325312, 3245326335, 'UA', 'Ukraine'),
(102834, '193.111.192.0', '193.111.193.255', 3245326336, 3245326847, 'SI', 'Slovenia'),
(102835, '193.111.194.0', '193.111.195.255', 3245326848, 3245327359, 'BG', 'Bulgaria'),
(102836, '193.111.196.0', '193.111.197.255', 3245327360, 3245327871, 'CH', 'Switzerland'),
(102837, '193.111.198.0', '193.111.199.255', 3245327872, 3245328383, 'DE', 'Germany'),
(102838, '193.111.200.0', '193.111.201.255', 3245328384, 3245328895, 'GB', 'United Kingdom'),
(102839, '193.111.202.0', '193.111.203.255', 3245328896, 3245329407, 'CH', 'Switzerland'),
(102840, '193.111.204.0', '193.111.205.255', 3245329408, 3245329919, 'UA', 'Ukraine'),
(102841, '193.111.206.0', '193.111.219.255', 3245329920, 3245333503, 'DE', 'Germany'),
(102842, '193.111.220.0', '193.111.223.255', 3245333504, 3245334527, 'SI', 'Slovenia'),
(102843, '193.111.224.0', '193.111.224.255', 3245334528, 3245334783, 'HU', 'Hungary'),
(102844, '193.111.225.0', '193.111.225.255', 3245334784, 3245335039, 'BE', 'Belgium'),
(102845, '193.111.226.0', '193.111.227.255', 3245335040, 3245335551, 'GB', 'United Kingdom'),
(102846, '193.111.228.0', '193.111.228.255', 3245335552, 3245335807, 'BE', 'Belgium'),
(102847, '193.111.229.0', '193.111.229.255', 3245335808, 3245336063, 'RO', 'Romania'),
(102848, '193.111.230.0', '193.111.231.255', 3245336064, 3245336575, 'GB', 'United Kingdom'),
(102849, '193.111.232.0', '193.111.232.255', 3245336576, 3245336831, 'RO', 'Romania'),
(102850, '193.111.233.0', '193.111.233.255', 3245336832, 3245337087, 'DE', 'Germany'),
(102851, '193.111.234.0', '193.111.234.255', 3245337088, 3245337343, 'GB', 'United Kingdom'),
(102852, '193.111.235.0', '193.111.235.255', 3245337344, 3245337599, 'BE', 'Belgium'),
(102853, '193.111.236.0', '193.111.236.255', 3245337600, 3245337855, 'PL', 'Poland'),
(102854, '193.111.237.0', '193.111.238.255', 3245337856, 3245338367, 'DE', 'Germany'),
(102855, '193.111.239.0', '193.111.243.255', 3245338368, 3245339647, 'UA', 'Ukraine'),
(102856, '193.111.244.0', '193.111.247.255', 3245339648, 3245340671, 'LV', 'Latvia'),
(102857, '193.111.248.0', '193.111.251.255', 3245340672, 3245341695, 'UA', 'Ukraine'),
(102858, '193.111.252.0', '193.111.255.255', 3245341696, 3245342719, 'RU', 'Russian Federation'),
(102859, '193.112.0.0', '193.119.255.255', 3245342720, 3245867007, 'GB', 'United Kingdom'),
(102860, '193.120.0.0', '193.120.5.255', 3245867008, 3245868543, 'IE', 'Ireland'),
(102861, '193.120.6.0', '193.120.6.31', 3245868544, 3245868575, 'GB', 'United Kingdom'),
(102862, '193.120.6.32', '193.120.44.31', 3245868576, 3245878303, 'IE', 'Ireland'),
(102863, '193.120.44.32', '193.120.44.63', 3245878304, 3245878335, 'US', 'United States'),
(102864, '193.120.44.64', '193.120.84.191', 3245878336, 3245888703, 'IE', 'Ireland'),
(102865, '193.120.84.192', '193.120.84.255', 3245888704, 3245888767, 'US', 'United States'),
(102866, '193.120.85.0', '193.120.100.31', 3245888768, 3245892639, 'IE', 'Ireland'),
(102867, '193.120.100.32', '193.120.100.39', 3245892640, 3245892647, 'US', 'United States'),
(102868, '193.120.100.40', '193.120.100.111', 3245892648, 3245892719, 'IE', 'Ireland'),
(102869, '193.120.100.112', '193.120.100.119', 3245892720, 3245892727, 'US', 'United States'),
(102870, '193.120.100.120', '193.120.106.247', 3245892728, 3245894391, 'IE', 'Ireland'),
(102871, '193.120.106.248', '193.120.106.255', 3245894392, 3245894399, 'GB', 'United Kingdom'),
(102872, '193.120.107.0', '193.120.108.63', 3245894400, 3245894719, 'IE', 'Ireland'),
(102873, '193.120.108.64', '193.120.108.95', 3245894720, 3245894751, 'US', 'United States'),
(102874, '193.120.108.96', '193.120.110.231', 3245894752, 3245895399, 'IE', 'Ireland'),
(102875, '193.120.110.232', '193.120.110.239', 3245895400, 3245895407, 'US', 'United States'),
(102876, '193.120.110.240', '193.120.114.119', 3245895408, 3245896311, 'IE', 'Ireland'),
(102877, '193.120.114.120', '193.120.114.127', 3245896312, 3245896319, 'GB', 'United Kingdom'),
(102878, '193.120.114.128', '193.120.117.31', 3245896320, 3245896991, 'IE', 'Ireland'),
(102879, '193.120.117.32', '193.120.117.47', 3245896992, 3245897007, 'US', 'United States'),
(102880, '193.120.117.48', '193.120.124.199', 3245897008, 3245898951, 'IE', 'Ireland'),
(102881, '193.120.124.200', '193.120.124.207', 3245898952, 3245898959, 'GB', 'United Kingdom'),
(102882, '193.120.124.208', '193.120.124.215', 3245898960, 3245898967, 'IE', 'Ireland'),
(102883, '193.120.124.216', '193.120.124.223', 3245898968, 3245898975, 'GB', 'United Kingdom'),
(102884, '193.120.124.224', '193.120.126.79', 3245898976, 3245899343, 'IE', 'Ireland'),
(102885, '193.120.126.80', '193.120.126.87', 3245899344, 3245899351, 'GB', 'United Kingdom'),
(102886, '193.120.126.88', '193.120.136.7', 3245899352, 3245901831, 'IE', 'Ireland'),
(102887, '193.120.136.8', '193.120.136.15', 3245901832, 3245901839, 'GB', 'United Kingdom'),
(102888, '193.120.136.16', '193.120.137.47', 3245901840, 3245902127, 'IE', 'Ireland'),
(102889, '193.120.137.48', '193.120.137.55', 3245902128, 3245902135, 'GB', 'United Kingdom'),
(102890, '193.120.137.56', '193.120.140.39', 3245902136, 3245902887, 'IE', 'Ireland'),
(102891, '193.120.140.40', '193.120.140.47', 3245902888, 3245902895, 'GB', 'United Kingdom'),
(102892, '193.120.140.48', '193.120.140.55', 3245902896, 3245902903, 'IE', 'Ireland'),
(102893, '193.120.140.56', '193.120.140.63', 3245902904, 3245902911, 'GB', 'United Kingdom'),
(102894, '193.120.140.64', '193.120.140.183', 3245902912, 3245903031, 'IE', 'Ireland'),
(102895, '193.120.140.184', '193.120.140.191', 3245903032, 3245903039, 'GB', 'United Kingdom'),
(102896, '193.120.140.192', '193.120.144.87', 3245903040, 3245903959, 'IE', 'Ireland'),
(102897, '193.120.144.88', '193.120.144.95', 3245903960, 3245903967, 'FR', 'France'),
(102898, '193.120.144.96', '193.120.144.215', 3245903968, 3245904087, 'IE', 'Ireland'),
(102899, '193.120.144.216', '193.120.144.223', 3245904088, 3245904095, 'GB', 'United Kingdom'),
(102900, '193.120.144.224', '193.120.145.71', 3245904096, 3245904199, 'IE', 'Ireland'),
(102901, '193.120.145.72', '193.120.145.79', 3245904200, 3245904207, 'GB', 'United Kingdom'),
(102902, '193.120.145.80', '193.120.153.191', 3245904208, 3245906367, 'IE', 'Ireland'),
(102903, '193.120.153.192', '193.120.153.255', 3245906368, 3245906431, 'GB', 'United Kingdom'),
(102904, '193.120.154.0', '193.120.166.63', 3245906432, 3245909567, 'IE', 'Ireland'),
(102905, '193.120.166.64', '193.120.166.127', 3245909568, 3245909631, 'US', 'United States'),
(102906, '193.120.166.128', '193.120.171.47', 3245909632, 3245910831, 'IE', 'Ireland'),
(102907, '193.120.171.48', '193.120.171.63', 3245910832, 3245910847, 'GB', 'United Kingdom'),
(102908, '193.120.171.64', '193.120.186.255', 3245910848, 3245914879, 'IE', 'Ireland'),
(102909, '193.120.187.0', '193.120.187.255', 3245914880, 3245915135, 'LU', 'Luxembourg'),
(102910, '193.120.188.0', '193.120.198.255', 3245915136, 3245917951, 'IE', 'Ireland'),
(102911, '193.120.199.0', '193.120.199.255', 3245917952, 3245918207, 'LU', 'Luxembourg'),
(102912, '193.120.200.0', '193.120.204.224', 3245918208, 3245919456, 'IE', 'Ireland'),
(102913, '193.120.204.225', '193.120.204.230', 3245919457, 3245919462, 'IN', 'India'),
(102914, '193.120.204.231', '193.120.211.255', 3245919463, 3245921279, 'IE', 'Ireland'),
(102915, '193.120.212.0', '193.120.212.255', 3245921280, 3245921535, 'BE', 'Belgium'),
(102916, '193.120.213.0', '193.120.218.143', 3245921536, 3245922959, 'IE', 'Ireland'),
(102917, '193.120.218.144', '193.120.218.159', 3245922960, 3245922975, 'US', 'United States'),
(102918, '193.120.218.160', '193.120.225.39', 3245922976, 3245924647, 'IE', 'Ireland'),
(102919, '193.120.225.40', '193.120.225.47', 3245924648, 3245924655, 'GB', 'United Kingdom'),
(102920, '193.120.225.48', '193.120.225.63', 3245924656, 3245924671, 'IE', 'Ireland'),
(102921, '193.120.225.64', '193.120.225.71', 3245924672, 3245924679, 'GB', 'United Kingdom'),
(102922, '193.120.225.72', '193.120.225.79', 3245924680, 3245924687, 'IE', 'Ireland'),
(102923, '193.120.225.80', '193.120.225.87', 3245924688, 3245924695, 'GB', 'United Kingdom'),
(102924, '193.120.225.88', '193.120.225.143', 3245924696, 3245924751, 'IE', 'Ireland'),
(102925, '193.120.225.144', '193.120.225.159', 3245924752, 3245924767, 'GB', 'United Kingdom'),
(102926, '193.120.225.160', '193.120.236.159', 3245924768, 3245927583, 'IE', 'Ireland'),
(102927, '193.120.236.160', '193.120.236.223', 3245927584, 3245927647, 'GB', 'United Kingdom'),
(102928, '193.120.236.224', '193.120.238.23', 3245927648, 3245927959, 'IE', 'Ireland'),
(102929, '193.120.238.24', '193.120.238.31', 3245927960, 3245927967, 'US', 'United States'),
(102930, '193.120.238.32', '193.120.250.255', 3245927968, 3245931263, 'IE', 'Ireland'),
(102931, '193.120.251.0', '193.120.251.255', 3245931264, 3245931519, 'GB', 'United Kingdom'),
(102932, '193.120.252.0', '193.120.255.255', 3245931520, 3245932543, 'IE', 'Ireland'),
(102933, '193.121.0.0', '193.121.255.255', 3245932544, 3245998079, 'BE', 'Belgium'),
(102934, '193.122.0.0', '193.123.143.127', 3245998080, 3246100351, 'GB', 'United Kingdom'),
(102935, '193.123.143.128', '193.123.143.143', 3246100352, 3246100367, 'DE', 'Germany'),
(102936, '193.123.143.144', '193.123.255.255', 3246100368, 3246129151, 'GB', 'United Kingdom'),
(102937, '193.124.0.0', '193.124.47.255', 3246129152, 3246141439, 'RU', 'Russian Federation'),
(102938, '193.124.48.0', '193.124.48.255', 3246141440, 3246141695, 'UA', 'Ukraine'),
(102939, '193.124.49.0', '193.124.53.255', 3246141696, 3246142975, 'RU', 'Russian Federation'),
(102940, '193.124.54.0', '193.124.54.255', 3246142976, 3246143231, 'UA', 'Ukraine'),
(102941, '193.124.55.0', '193.124.72.255', 3246143232, 3246147839, 'RU', 'Russian Federation'),
(102942, '193.124.73.0', '193.124.73.255', 3246147840, 3246148095, 'UA', 'Ukraine'),
(102943, '193.124.74.0', '193.125.255.255', 3246148096, 3246260223, 'RU', 'Russian Federation'),
(102944, '193.126.0.0', '193.126.255.255', 3246260224, 3246325759, 'PT', 'Portugal'),
(102945, '193.127.0.0', '193.127.11.255', 3246325760, 3246328831, 'ES', 'Spain'),
(102946, '193.127.12.0', '193.127.12.255', 3246328832, 3246329087, 'EU', 'Europe'),
(102947, '193.127.13.0', '193.127.15.255', 3246329088, 3246329855, 'ES', 'Spain'),
(102948, '193.127.16.0', '193.127.97.255', 3246329856, 3246350847, 'EU', 'Europe'),
(102949, '193.127.98.0', '193.127.98.255', 3246350848, 3246351103, 'ES', 'Spain'),
(102950, '193.127.99.0', '193.127.100.255', 3246351104, 3246351615, 'EU', 'Europe'),
(102951, '193.127.101.0', '193.127.104.255', 3246351616, 3246352639, 'ES', 'Spain'),
(102952, '193.127.105.0', '193.127.192.247', 3246352640, 3246375159, 'EU', 'Europe'),
(102953, '193.127.192.248', '193.127.193.255', 3246375160, 3246375423, 'GB', 'United Kingdom'),
(102954, '193.127.194.0', '193.127.205.255', 3246375424, 3246378495, 'EU', 'Europe'),
(102955, '193.127.206.0', '193.127.207.255', 3246378496, 3246379007, 'ES', 'Spain'),
(102956, '193.127.208.0', '193.127.215.255', 3246379008, 3246381055, 'GB', 'United Kingdom'),
(102957, '193.127.216.0', '193.127.255.255', 3246381056, 3246391295, 'EU', 'Europe'),
(102958, '193.128.0.0', '193.128.104.39', 3246391296, 3246417959, 'GB', 'United Kingdom'),
(102959, '193.128.104.40', '193.128.104.47', 3246417960, 3246417967, 'LV', 'Latvia'),
(102960, '193.128.104.48', '193.128.107.199', 3246417968, 3246418887, 'GB', 'United Kingdom'),
(102961, '193.128.107.200', '193.128.107.207', 3246418888, 3246418895, 'SE', 'Sweden'),
(102962, '193.128.107.208', '193.130.60.159', 3246418896, 3246537887, 'GB', 'United Kingdom'),
(102963, '193.130.60.160', '193.130.60.175', 3246537888, 3246537903, 'A2', 'Satellite Provider'),
(102964, '193.130.60.176', '193.130.96.255', 3246537904, 3246547199, 'GB', 'United Kingdom'),
(102965, '193.130.97.0', '193.130.97.255', 3246547200, 3246547455, 'EU', 'Europe'),
(102966, '193.130.98.0', '193.131.99.255', 3246547456, 3246613503, 'GB', 'United Kingdom'),
(102967, '193.131.100.0', '193.131.103.255', 3246613504, 3246614527, 'HU', 'Hungary'),
(102968, '193.131.104.0', '193.133.99.223', 3246614528, 3246744543, 'GB', 'United Kingdom'),
(102969, '193.133.99.224', '193.133.99.239', 3246744544, 3246744559, 'NG', 'Nigeria'),
(102970, '193.133.99.240', '193.133.255.255', 3246744560, 3246784511, 'GB', 'United Kingdom'),
(102971, '193.134.0.0', '193.135.255.255', 3246784512, 3246915583, 'CH', 'Switzerland'),
(102972, '193.136.0.0', '193.137.255.255', 3246915584, 3247046655, 'PT', 'Portugal'),
(102973, '193.138.0.0', '193.138.0.255', 3247046656, 3247046911, 'AT', 'Austria'),
(102974, '193.138.1.0', '193.138.5.255', 3247046912, 3247048191, 'SI', 'Slovenia'),
(102975, '193.138.6.0', '193.138.7.255', 3247048192, 3247048703, 'NO', 'Norway'),
(102976, '193.138.8.0', '193.138.8.255', 3247048704, 3247048959, 'EE', 'Estonia'),
(102977, '193.138.9.0', '193.138.9.255', 3247048960, 3247049215, 'SI', 'Slovenia'),
(102978, '193.138.10.0', '193.138.28.255', 3247049216, 3247054079, 'DE', 'Germany'),
(102979, '193.138.29.0', '193.138.29.255', 3247054080, 3247054335, 'CH', 'Switzerland'),
(102980, '193.138.30.0', '193.138.30.255', 3247054336, 3247054591, 'LT', 'Lithuania'),
(102981, '193.138.31.0', '193.138.31.255', 3247054592, 3247054847, 'DE', 'Germany'),
(102982, '193.138.32.0', '193.138.63.255', 3247054848, 3247063039, 'SI', 'Slovenia'),
(102983, '193.138.64.0', '193.138.64.255', 3247063040, 3247063295, 'FR', 'France'),
(102984, '193.138.66.0', '193.138.66.255', 3247063552, 3247063807, 'DE', 'Germany'),
(102985, '193.138.67.0', '193.138.67.255', 3247063808, 3247064063, 'BG', 'Bulgaria'),
(102986, '193.138.68.0', '193.138.68.255', 3247064064, 3247064319, 'DE', 'Germany'),
(102987, '193.138.69.0', '193.138.69.255', 3247064320, 3247064575, 'CH', 'Switzerland'),
(102988, '193.138.70.0', '193.138.70.255', 3247064576, 3247064831, 'RU', 'Russian Federation'),
(102989, '193.138.71.0', '193.138.71.255', 3247064832, 3247065087, 'SE', 'Sweden'),
(102990, '193.138.72.0', '193.138.72.255', 3247065088, 3247065343, 'US', 'United States'),
(102991, '193.138.73.0', '193.138.73.255', 3247065344, 3247065599, 'CH', 'Switzerland'),
(102992, '193.138.74.0', '193.138.74.255', 3247065600, 3247065855, 'SE', 'Sweden'),
(102993, '193.138.75.0', '193.138.75.255', 3247065856, 3247066111, 'GB', 'United Kingdom'),
(102994, '193.138.76.0', '193.138.76.255', 3247066112, 3247066367, 'DK', 'Denmark'),
(102995, '193.138.77.0', '193.138.77.255', 3247066368, 3247066623, 'LV', 'Latvia'),
(102996, '193.138.78.0', '193.138.78.255', 3247066624, 3247066879, 'CZ', 'Czech Republic'),
(102997, '193.138.79.0', '193.138.79.255', 3247066880, 3247067135, 'RU', 'Russian Federation'),
(102998, '193.138.80.0', '193.138.81.255', 3247067136, 3247067647, 'DE', 'Germany'),
(102999, '193.138.82.0', '193.138.82.255', 3247067648, 3247067903, 'RU', 'Russian Federation'),
(103000, '193.138.83.0', '193.138.83.255', 3247067904, 3247068159, 'CH', 'Switzerland'),
(103001, '193.138.84.0', '193.138.84.255', 3247068160, 3247068415, 'UA', 'Ukraine'),
(103002, '193.138.85.0', '193.138.85.255', 3247068416, 3247068671, 'RO', 'Romania'),
(103003, '193.138.86.0', '193.138.86.255', 3247068672, 3247068927, 'GB', 'United Kingdom'),
(103004, '193.138.87.0', '193.138.87.255', 3247068928, 3247069183, 'UA', 'Ukraine'),
(103005, '193.138.88.0', '193.138.88.255', 3247069184, 3247069439, 'DE', 'Germany'),
(103006, '193.138.89.0', '193.138.89.255', 3247069440, 3247069695, 'RU', 'Russian Federation'),
(103007, '193.138.90.0', '193.138.90.255', 3247069696, 3247069951, 'FR', 'France'),
(103008, '193.138.91.0', '193.138.91.255', 3247069952, 3247070207, 'DE', 'Germany'),
(103009, '193.138.92.0', '193.138.92.255', 3247070208, 3247070463, 'IL', 'Israel'),
(103010, '193.138.93.0', '193.138.93.255', 3247070464, 3247070719, 'UA', 'Ukraine'),
(103011, '193.138.94.0', '193.138.94.255', 3247070720, 3247070975, 'AT', 'Austria'),
(103012, '193.138.95.0', '193.138.95.255', 3247070976, 3247071231, 'GB', 'United Kingdom'),
(103013, '193.138.96.0', '193.138.96.255', 3247071232, 3247071487, 'DE', 'Germany'),
(103014, '193.138.97.0', '193.138.99.255', 3247071488, 3247072255, 'RO', 'Romania'),
(103015, '193.138.100.0', '193.138.100.255', 3247072256, 3247072511, 'IE', 'Ireland'),
(103016, '193.138.101.0', '193.138.101.255', 3247072512, 3247072767, 'BE', 'Belgium'),
(103017, '193.138.102.0', '193.138.102.255', 3247072768, 3247073023, 'SE', 'Sweden'),
(103018, '193.138.103.0', '193.138.103.255', 3247073024, 3247073279, 'RO', 'Romania'),
(103019, '193.138.104.0', '193.138.104.255', 3247073280, 3247073535, 'DE', 'Germany'),
(103020, '193.138.105.0', '193.138.105.255', 3247073536, 3247073791, 'AT', 'Austria'),
(103021, '193.138.106.0', '193.138.106.255', 3247073792, 3247074047, 'CZ', 'Czech Republic'),
(103022, '193.138.107.0', '193.138.107.255', 3247074048, 3247074303, 'GB', 'United Kingdom'),
(103023, '193.138.108.0', '193.138.108.255', 3247074304, 3247074559, 'DE', 'Germany'),
(103024, '193.138.109.0', '193.138.109.255', 3247074560, 3247074815, 'SE', 'Sweden'),
(103025, '193.138.110.0', '193.138.110.255', 3247074816, 3247075071, 'PL', 'Poland'),
(103026, '193.138.111.0', '193.138.111.255', 3247075072, 3247075327, 'IE', 'Ireland'),
(103027, '193.138.112.0', '193.138.114.255', 3247075328, 3247076095, 'DE', 'Germany'),
(103028, '193.138.115.0', '193.138.115.255', 3247076096, 3247076351, 'DK', 'Denmark'),
(103029, '193.138.116.0', '193.138.116.255', 3247076352, 3247076607, 'RU', 'Russian Federation'),
(103030, '193.138.117.0', '193.138.117.255', 3247076608, 3247076863, 'DE', 'Germany'),
(103031, '193.138.118.0', '193.138.118.255', 3247076864, 3247077119, 'PL', 'Poland'),
(103032, '193.138.119.0', '193.138.119.255', 3247077120, 3247077375, 'DE', 'Germany'),
(103033, '193.138.120.0', '193.138.120.255', 3247077376, 3247077631, 'GB', 'United Kingdom'),
(103034, '193.138.121.0', '193.138.121.255', 3247077632, 3247077887, 'NL', 'Netherlands'),
(103035, '193.138.122.0', '193.138.122.255', 3247077888, 3247078143, 'UA', 'Ukraine'),
(103036, '193.138.123.0', '193.138.123.255', 3247078144, 3247078399, 'AT', 'Austria'),
(103037, '193.138.124.0', '193.138.124.255', 3247078400, 3247078655, 'DK', 'Denmark'),
(103038, '193.138.125.0', '193.138.125.255', 3247078656, 3247078911, 'HU', 'Hungary'),
(103039, '193.138.126.0', '193.138.126.255', 3247078912, 3247079167, 'FI', 'Finland'),
(103040, '193.138.127.0', '193.138.127.255', 3247079168, 3247079423, 'HU', 'Hungary'),
(103041, '193.138.128.0', '193.138.131.255', 3247079424, 3247080447, 'RU', 'Russian Federation'),
(103042, '193.138.132.0', '193.138.135.255', 3247080448, 3247081471, 'UA', 'Ukraine'),
(103043, '193.138.136.0', '193.138.143.255', 3247081472, 3247083519, 'PL', 'Poland'),
(103044, '193.138.144.0', '193.138.147.255', 3247083520, 3247084543, 'UA', 'Ukraine'),
(103045, '193.138.148.0', '193.138.151.255', 3247084544, 3247085567, 'RU', 'Russian Federation'),
(103046, '193.138.152.0', '193.138.155.255', 3247085568, 3247086591, 'CZ', 'Czech Republic'),
(103047, '193.138.156.0', '193.138.159.255', 3247086592, 3247087615, 'DE', 'Germany'),
(103048, '193.138.160.0', '193.138.163.255', 3247087616, 3247088639, 'IT', 'Italy'),
(103049, '193.138.164.0', '193.138.167.255', 3247088640, 3247089663, 'DE', 'Germany'),
(103050, '193.138.168.0', '193.138.171.255', 3247089664, 3247090687, 'RO', 'Romania'),
(103051, '193.138.172.0', '193.138.175.255', 3247090688, 3247091711, 'LV', 'Latvia'),
(103052, '193.138.176.0', '193.138.179.255', 3247091712, 3247092735, 'RU', 'Russian Federation'),
(103053, '193.138.180.0', '193.138.183.255', 3247092736, 3247093759, 'DE', 'Germany'),
(103054, '193.138.184.0', '193.138.187.255', 3247093760, 3247094783, 'UA', 'Ukraine'),
(103055, '193.138.188.0', '193.138.191.255', 3247094784, 3247095807, 'LV', 'Latvia'),
(103056, '193.138.192.0', '193.138.199.255', 3247095808, 3247097855, 'RO', 'Romania'),
(103057, '193.138.200.0', '193.138.203.255', 3247097856, 3247098879, 'FI', 'Finland'),
(103058, '193.138.204.0', '193.138.207.255', 3247098880, 3247099903, 'NL', 'Netherlands'),
(103059, '193.138.208.0', '193.138.211.255', 3247099904, 3247100927, 'PL', 'Poland'),
(103060, '193.138.212.0', '193.138.215.255', 3247100928, 3247101951, 'CH', 'Switzerland'),
(103061, '193.138.216.0', '193.138.219.255', 3247101952, 3247102975, 'SE', 'Sweden'),
(103062, '193.138.220.0', '193.138.231.255', 3247102976, 3247106047, 'NL', 'Netherlands'),
(103063, '193.138.232.0', '193.138.235.255', 3247106048, 3247107071, 'RU', 'Russian Federation'),
(103064, '193.138.236.0', '193.138.239.255', 3247107072, 3247108095, 'UA', 'Ukraine'),
(103065, '193.138.240.0', '193.138.243.255', 3247108096, 3247109119, 'PL', 'Poland'),
(103066, '193.138.244.0', '193.138.247.255', 3247109120, 3247110143, 'UA', 'Ukraine'),
(103067, '193.138.248.0', '193.138.251.255', 3247110144, 3247111167, 'NL', 'Netherlands'),
(103068, '193.138.252.0', '193.138.255.255', 3247111168, 3247112191, 'DE', 'Germany'),
(103069, '193.139.0.0', '193.139.255.255', 3247112192, 3247177727, 'FR', 'France'),
(103070, '193.140.0.0', '193.140.255.255', 3247177728, 3247243263, 'TR', 'Turkey'),
(103071, '193.141.0.0', '193.141.3.255', 3247243264, 3247244287, 'DE', 'Germany'),
(103072, '193.141.4.0', '193.141.4.63', 3247244288, 3247244351, 'NL', 'Netherlands'),
(103073, '193.141.4.64', '193.141.4.71', 3247244352, 3247244359, 'DE', 'Germany'),
(103074, '193.141.4.72', '193.141.4.79', 3247244360, 3247244367, 'NL', 'Netherlands'),
(103075, '193.141.4.80', '193.141.4.87', 3247244368, 3247244375, 'DE', 'Germany'),
(103076, '193.141.4.88', '193.141.6.127', 3247244376, 3247244927, 'NL', 'Netherlands'),
(103077, '193.141.6.128', '193.141.6.135', 3247244928, 3247244935, 'DE', 'Germany'),
(103078, '193.141.6.136', '193.141.10.135', 3247244936, 3247245959, 'NL', 'Netherlands'),
(103079, '193.141.10.136', '193.141.10.143', 3247245960, 3247245967, 'DE', 'Germany'),
(103080, '193.141.10.144', '193.141.10.191', 3247245968, 3247246015, 'NL', 'Netherlands'),
(103081, '193.141.10.192', '193.141.10.199', 3247246016, 3247246023, 'DE', 'Germany'),
(103082, '193.141.10.200', '193.141.10.215', 3247246024, 3247246039, 'NL', 'Netherlands'),
(103083, '193.141.10.216', '193.141.10.223', 3247246040, 3247246047, 'DE', 'Germany'),
(103084, '193.141.10.224', '193.141.14.119', 3247246048, 3247246967, 'NL', 'Netherlands'),
(103085, '193.141.14.120', '193.141.14.127', 3247246968, 3247246975, 'DE', 'Germany'),
(103086, '193.141.14.128', '193.141.15.7', 3247246976, 3247247111, 'NL', 'Netherlands'),
(103087, '193.141.15.8', '193.141.15.15', 3247247112, 3247247119, 'DE', 'Germany'),
(103088, '193.141.15.16', '193.141.15.71', 3247247120, 3247247175, 'NL', 'Netherlands'),
(103089, '193.141.15.72', '193.141.15.79', 3247247176, 3247247183, 'DE', 'Germany'),
(103090, '193.141.15.80', '193.141.16.183', 3247247184, 3247247543, 'NL', 'Netherlands'),
(103091, '193.141.16.184', '193.141.16.191', 3247247544, 3247247551, 'DE', 'Germany'),
(103092, '193.141.16.192', '193.141.17.55', 3247247552, 3247247671, 'NL', 'Netherlands'),
(103093, '193.141.17.56', '193.141.17.63', 3247247672, 3247247679, 'DE', 'Germany'),
(103094, '193.141.17.64', '193.141.18.7', 3247247680, 3247247879, 'NL', 'Netherlands'),
(103095, '193.141.18.8', '193.141.18.15', 3247247880, 3247247887, 'DE', 'Germany'),
(103096, '193.141.18.16', '193.141.18.127', 3247247888, 3247247999, 'NL', 'Netherlands'),
(103097, '193.141.18.128', '193.141.18.143', 3247248000, 3247248015, 'DE', 'Germany'),
(103098, '193.141.18.144', '193.141.18.223', 3247248016, 3247248095, 'NL', 'Netherlands'),
(103099, '193.141.18.224', '193.141.18.231', 3247248096, 3247248103, 'DE', 'Germany'),
(103100, '193.141.18.232', '193.141.19.31', 3247248104, 3247248159, 'NL', 'Netherlands'),
(103101, '193.141.19.32', '193.141.19.39', 3247248160, 3247248167, 'DE', 'Germany'),
(103102, '193.141.19.40', '193.141.19.47', 3247248168, 3247248175, 'NL', 'Netherlands'),
(103103, '193.141.19.48', '193.141.19.55', 3247248176, 3247248183, 'DE', 'Germany'),
(103104, '193.141.19.56', '193.141.19.231', 3247248184, 3247248359, 'NL', 'Netherlands'),
(103105, '193.141.19.232', '193.141.19.239', 3247248360, 3247248367, 'DE', 'Germany'),
(103106, '193.141.19.240', '193.141.19.255', 3247248368, 3247248383, 'NL', 'Netherlands'),
(103107, '193.141.20.0', '193.141.27.255', 3247248384, 3247250431, 'DE', 'Germany'),
(103108, '193.141.28.0', '193.141.37.223', 3247250432, 3247252959, 'NL', 'Netherlands'),
(103109, '193.141.37.224', '193.141.37.231', 3247252960, 3247252967, 'DE', 'Germany'),
(103110, '193.141.37.232', '193.141.38.7', 3247252968, 3247252999, 'NL', 'Netherlands'),
(103111, '193.141.38.8', '193.141.38.15', 3247253000, 3247253007, 'DE', 'Germany'),
(103112, '193.141.38.16', '193.141.38.119', 3247253008, 3247253111, 'NL', 'Netherlands'),
(103113, '193.141.38.120', '193.141.38.127', 3247253112, 3247253119, 'DE', 'Germany'),
(103114, '193.141.38.128', '193.141.39.255', 3247253120, 3247253503, 'NL', 'Netherlands'),
(103115, '193.141.40.0', '193.141.46.255', 3247253504, 3247255295, 'DE', 'Germany'),
(103116, '193.141.47.0', '193.141.48.103', 3247255296, 3247255655, 'NL', 'Netherlands'),
(103117, '193.141.48.104', '193.141.48.111', 3247255656, 3247255663, 'DE', 'Germany'),
(103118, '193.141.48.112', '193.141.48.159', 3247255664, 3247255711, 'NL', 'Netherlands'),
(103119, '193.141.48.160', '193.141.48.167', 3247255712, 3247255719, 'DE', 'Germany'),
(103120, '193.141.48.168', '193.141.52.47', 3247255720, 3247256623, 'NL', 'Netherlands'),
(103121, '193.141.52.48', '193.141.52.55', 3247256624, 3247256631, 'DE', 'Germany'),
(103122, '193.141.52.56', '193.141.52.255', 3247256632, 3247256831, 'NL', 'Netherlands'),
(103123, '193.141.53.0', '193.141.67.255', 3247256832, 3247260671, 'DE', 'Germany'),
(103124, '193.141.68.0', '193.141.68.207', 3247260672, 3247260879, 'NL', 'Netherlands'),
(103125, '193.141.68.208', '193.141.68.215', 3247260880, 3247260887, 'DE', 'Germany'),
(103126, '193.141.68.216', '193.141.69.55', 3247260888, 3247260983, 'NL', 'Netherlands'),
(103127, '193.141.69.56', '193.141.69.63', 3247260984, 3247260991, 'DE', 'Germany'),
(103128, '193.141.69.64', '193.141.70.31', 3247260992, 3247261215, 'NL', 'Netherlands'),
(103129, '193.141.70.32', '193.141.70.39', 3247261216, 3247261223, 'DE', 'Germany'),
(103130, '193.141.70.40', '193.141.72.239', 3247261224, 3247261935, 'NL', 'Netherlands'),
(103131, '193.141.72.240', '193.141.72.247', 3247261936, 3247261943, 'DE', 'Germany'),
(103132, '193.141.72.248', '193.141.72.255', 3247261944, 3247261951, 'NL', 'Netherlands'),
(103133, '193.141.73.0', '193.141.73.7', 3247261952, 3247261959, 'DE', 'Germany'),
(103134, '193.141.73.8', '193.141.73.199', 3247261960, 3247262151, 'NL', 'Netherlands'),
(103135, '193.141.73.200', '193.141.73.207', 3247262152, 3247262159, 'DE', 'Germany'),
(103136, '193.141.73.208', '193.141.74.231', 3247262160, 3247262439, 'NL', 'Netherlands'),
(103137, '193.141.74.232', '193.141.74.239', 3247262440, 3247262447, 'DE', 'Germany'),
(103138, '193.141.74.240', '193.141.75.199', 3247262448, 3247262663, 'NL', 'Netherlands'),
(103139, '193.141.75.200', '193.141.75.207', 3247262664, 3247262671, 'DE', 'Germany'),
(103140, '193.141.75.208', '193.141.78.103', 3247262672, 3247263335, 'NL', 'Netherlands'),
(103141, '193.141.78.104', '193.141.78.111', 3247263336, 3247263343, 'DE', 'Germany'),
(103142, '193.141.78.112', '193.141.79.111', 3247263344, 3247263599, 'NL', 'Netherlands'),
(103143, '193.141.79.112', '193.141.79.119', 3247263600, 3247263607, 'DE', 'Germany'),
(103144, '193.141.79.120', '193.141.79.135', 3247263608, 3247263623, 'NL', 'Netherlands'),
(103145, '193.141.79.136', '193.141.79.143', 3247263624, 3247263631, 'DE', 'Germany'),
(103146, '193.141.79.144', '193.141.80.167', 3247263632, 3247263911, 'NL', 'Netherlands'),
(103147, '193.141.80.168', '193.141.80.175', 3247263912, 3247263919, 'DE', 'Germany'),
(103148, '193.141.80.176', '193.141.80.183', 3247263920, 3247263927, 'NL', 'Netherlands'),
(103149, '193.141.80.184', '193.141.80.191', 3247263928, 3247263935, 'DE', 'Germany'),
(103150, '193.141.80.192', '193.141.85.71', 3247263936, 3247265095, 'NL', 'Netherlands'),
(103151, '193.141.85.72', '193.141.85.79', 3247265096, 3247265103, 'DE', 'Germany'),
(103152, '193.141.85.80', '193.141.85.215', 3247265104, 3247265239, 'NL', 'Netherlands'),
(103153, '193.141.85.216', '193.141.85.223', 3247265240, 3247265247, 'DE', 'Germany'),
(103154, '193.141.85.224', '193.141.87.127', 3247265248, 3247265663, 'NL', 'Netherlands'),
(103155, '193.141.87.128', '193.141.87.135', 3247265664, 3247265671, 'DE', 'Germany'),
(103156, '193.141.87.136', '193.141.89.239', 3247265672, 3247266287, 'NL', 'Netherlands'),
(103157, '193.141.89.240', '193.141.89.247', 3247266288, 3247266295, 'DE', 'Germany'),
(103158, '193.141.89.248', '193.141.90.55', 3247266296, 3247266359, 'NL', 'Netherlands'),
(103159, '193.141.90.56', '193.141.90.63', 3247266360, 3247266367, 'DE', 'Germany'),
(103160, '193.141.90.64', '193.141.90.255', 3247266368, 3247266559, 'NL', 'Netherlands'),
(103161, '193.141.91.0', '193.141.110.255', 3247266560, 3247271679, 'DE', 'Germany'),
(103162, '193.141.111.0', '193.141.113.183', 3247271680, 3247272375, 'NL', 'Netherlands'),
(103163, '193.141.113.184', '193.141.113.191', 3247272376, 3247272383, 'DE', 'Germany'),
(103164, '193.141.113.192', '193.141.114.223', 3247272384, 3247272671, 'NL', 'Netherlands'),
(103165, '193.141.114.224', '193.141.114.231', 3247272672, 3247272679, 'DE', 'Germany'),
(103166, '193.141.114.232', '193.141.116.103', 3247272680, 3247273063, 'NL', 'Netherlands'),
(103167, '193.141.116.104', '193.141.116.111', 3247273064, 3247273071, 'DE', 'Germany'),
(103168, '193.141.116.112', '193.141.119.23', 3247273072, 3247273751, 'NL', 'Netherlands'),
(103169, '193.141.119.24', '193.141.119.31', 3247273752, 3247273759, 'DE', 'Germany'),
(103170, '193.141.119.32', '193.141.120.255', 3247273760, 3247274239, 'NL', 'Netherlands'),
(103171, '193.141.121.0', '193.141.121.255', 3247274240, 3247274495, 'DE', 'Germany'),
(103172, '193.141.122.0', '193.141.122.23', 3247274496, 3247274519, 'NL', 'Netherlands'),
(103173, '193.141.122.24', '193.141.122.39', 3247274520, 3247274535, 'DE', 'Germany'),
(103174, '193.141.122.40', '193.141.122.71', 3247274536, 3247274567, 'NL', 'Netherlands'),
(103175, '193.141.122.72', '193.141.122.79', 3247274568, 3247274575, 'DE', 'Germany'),
(103176, '193.141.122.80', '193.141.123.111', 3247274576, 3247274863, 'NL', 'Netherlands'),
(103177, '193.141.123.112', '193.141.123.119', 3247274864, 3247274871, 'DE', 'Germany'),
(103178, '193.141.123.120', '193.141.124.255', 3247274872, 3247275263, 'NL', 'Netherlands'),
(103179, '193.141.125.0', '193.141.127.255', 3247275264, 3247276031, 'DE', 'Germany'),
(103180, '193.141.128.0', '193.141.130.71', 3247276032, 3247276615, 'NL', 'Netherlands'),
(103181, '193.141.130.72', '193.141.130.87', 3247276616, 3247276631, 'DE', 'Germany'),
(103182, '193.141.130.88', '193.141.131.71', 3247276632, 3247276871, 'NL', 'Netherlands'),
(103183, '193.141.131.72', '193.141.131.79', 3247276872, 3247276879, 'DE', 'Germany'),
(103184, '193.141.131.80', '193.141.131.127', 3247276880, 3247276927, 'NL', 'Netherlands'),
(103185, '193.141.131.128', '193.141.131.135', 3247276928, 3247276935, 'DE', 'Germany'),
(103186, '193.141.131.136', '193.141.131.151', 3247276936, 3247276951, 'NL', 'Netherlands'),
(103187, '193.141.131.152', '193.141.131.159', 3247276952, 3247276959, 'DE', 'Germany'),
(103188, '193.141.131.160', '193.141.136.23', 3247276960, 3247278103, 'NL', 'Netherlands'),
(103189, '193.141.136.24', '193.141.136.31', 3247278104, 3247278111, 'DE', 'Germany'),
(103190, '193.141.136.32', '193.141.138.255', 3247278112, 3247278847, 'NL', 'Netherlands'),
(103191, '193.141.139.0', '193.141.143.255', 3247278848, 3247280127, 'DE', 'Germany'),
(103192, '193.141.144.0', '193.141.144.127', 3247280128, 3247280255, 'NL', 'Netherlands'),
(103193, '193.141.144.128', '193.141.144.135', 3247280256, 3247280263, 'DE', 'Germany'),
(103194, '193.141.144.136', '193.141.144.151', 3247280264, 3247280279, 'NL', 'Netherlands'),
(103195, '193.141.144.152', '193.141.144.159', 3247280280, 3247280287, 'DE', 'Germany'),
(103196, '193.141.144.160', '193.141.146.167', 3247280288, 3247280807, 'NL', 'Netherlands'),
(103197, '193.141.146.168', '193.141.146.175', 3247280808, 3247280815, 'DE', 'Germany'),
(103198, '193.141.146.176', '193.141.149.39', 3247280816, 3247281447, 'NL', 'Netherlands'),
(103199, '193.141.149.40', '193.141.149.47', 3247281448, 3247281455, 'DE', 'Germany'),
(103200, '193.141.149.48', '193.141.149.119', 3247281456, 3247281527, 'NL', 'Netherlands'),
(103201, '193.141.149.120', '193.141.149.127', 3247281528, 3247281535, 'DE', 'Germany'),
(103202, '193.141.149.128', '193.141.149.159', 3247281536, 3247281567, 'NL', 'Netherlands'),
(103203, '193.141.149.160', '193.141.149.167', 3247281568, 3247281575, 'DE', 'Germany'),
(103204, '193.141.149.168', '193.141.149.255', 3247281576, 3247281663, 'NL', 'Netherlands'),
(103205, '193.141.150.0', '193.141.150.7', 3247281664, 3247281671, 'DE', 'Germany'),
(103206, '193.141.150.8', '193.141.150.191', 3247281672, 3247281855, 'NL', 'Netherlands'),
(103207, '193.141.150.192', '193.141.150.199', 3247281856, 3247281863, 'DE', 'Germany'),
(103208, '193.141.150.200', '193.141.152.135', 3247281864, 3247282311, 'NL', 'Netherlands'),
(103209, '193.141.152.136', '193.141.152.143', 3247282312, 3247282319, 'DE', 'Germany'),
(103210, '193.141.152.144', '193.141.155.55', 3247282320, 3247282999, 'NL', 'Netherlands'),
(103211, '193.141.155.56', '193.141.155.63', 3247283000, 3247283007, 'DE', 'Germany'),
(103212, '193.141.155.64', '193.141.156.63', 3247283008, 3247283263, 'NL', 'Netherlands'),
(103213, '193.141.156.64', '193.141.156.71', 3247283264, 3247283271, 'DE', 'Germany'),
(103214, '193.141.156.72', '193.141.156.111', 3247283272, 3247283311, 'NL', 'Netherlands'),
(103215, '193.141.156.112', '193.141.156.119', 3247283312, 3247283319, 'DE', 'Germany'),
(103216, '193.141.156.120', '193.141.158.47', 3247283320, 3247283759, 'NL', 'Netherlands'),
(103217, '193.141.158.48', '193.141.158.55', 3247283760, 3247283767, 'DE', 'Germany'),
(103218, '193.141.158.56', '193.141.158.215', 3247283768, 3247283927, 'NL', 'Netherlands'),
(103219, '193.141.158.216', '193.141.158.223', 3247283928, 3247283935, 'DE', 'Germany'),
(103220, '193.141.158.224', '193.141.159.23', 3247283936, 3247283991, 'NL', 'Netherlands'),
(103221, '193.141.159.24', '193.141.159.31', 3247283992, 3247283999, 'DE', 'Germany'),
(103222, '193.141.159.32', '193.141.159.47', 3247284000, 3247284015, 'NL', 'Netherlands'),
(103223, '193.141.159.48', '193.141.159.55', 3247284016, 3247284023, 'DE', 'Germany'),
(103224, '193.141.159.56', '193.141.160.39', 3247284024, 3247284263, 'NL', 'Netherlands'),
(103225, '193.141.160.40', '193.141.160.47', 3247284264, 3247284271, 'DE', 'Germany'),
(103226, '193.141.160.48', '193.141.160.95', 3247284272, 3247284319, 'NL', 'Netherlands'),
(103227, '193.141.160.96', '193.141.160.103', 3247284320, 3247284327, 'DE', 'Germany'),
(103228, '193.141.160.104', '193.141.164.223', 3247284328, 3247285471, 'NL', 'Netherlands'),
(103229, '193.141.164.224', '193.141.164.231', 3247285472, 3247285479, 'DE', 'Germany'),
(103230, '193.141.164.232', '193.141.167.71', 3247285480, 3247286087, 'NL', 'Netherlands'),
(103231, '193.141.167.72', '193.141.167.79', 3247286088, 3247286095, 'DE', 'Germany'),
(103232, '193.141.167.80', '193.141.168.183', 3247286096, 3247286455, 'NL', 'Netherlands'),
(103233, '193.141.168.184', '193.141.168.191', 3247286456, 3247286463, 'DE', 'Germany'),
(103234, '193.141.168.192', '193.141.170.199', 3247286464, 3247286983, 'NL', 'Netherlands'),
(103235, '193.141.170.200', '193.141.170.207', 3247286984, 3247286991, 'DE', 'Germany'),
(103236, '193.141.170.208', '193.141.174.87', 3247286992, 3247287895, 'NL', 'Netherlands'),
(103237, '193.141.174.88', '193.141.174.95', 3247287896, 3247287903, 'DE', 'Germany'),
(103238, '193.141.174.96', '193.141.175.255', 3247287904, 3247288319, 'NL', 'Netherlands'),
(103239, '193.141.176.0', '193.141.231.255', 3247288320, 3247302655, 'DE', 'Germany'),
(103240, '193.141.232.0', '193.141.232.135', 3247302656, 3247302791, 'NL', 'Netherlands'),
(103241, '193.141.232.136', '193.141.232.143', 3247302792, 3247302799, 'DE', 'Germany'),
(103242, '193.141.232.144', '193.141.234.175', 3247302800, 3247303343, 'NL', 'Netherlands'),
(103243, '193.141.234.176', '193.141.234.183', 3247303344, 3247303351, 'DE', 'Germany'),
(103244, '193.141.234.184', '193.141.235.191', 3247303352, 3247303615, 'NL', 'Netherlands'),
(103245, '193.141.235.192', '193.141.235.199', 3247303616, 3247303623, 'DE', 'Germany'),
(103246, '193.141.235.200', '193.141.237.71', 3247303624, 3247304007, 'NL', 'Netherlands'),
(103247, '193.141.237.72', '193.141.237.79', 3247304008, 3247304015, 'DE', 'Germany'),
(103248, '193.141.237.80', '193.141.238.159', 3247304016, 3247304351, 'NL', 'Netherlands'),
(103249, '193.141.238.160', '193.141.238.167', 3247304352, 3247304359, 'DE', 'Germany'),
(103250, '193.141.238.168', '193.141.243.111', 3247304360, 3247305583, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(103251, '193.141.243.112', '193.141.243.119', 3247305584, 3247305591, 'DE', 'Germany'),
(103252, '193.141.243.120', '193.141.243.151', 3247305592, 3247305623, 'NL', 'Netherlands'),
(103253, '193.141.243.152', '193.141.243.159', 3247305624, 3247305631, 'DE', 'Germany'),
(103254, '193.141.243.160', '193.141.244.231', 3247305632, 3247305959, 'NL', 'Netherlands'),
(103255, '193.141.244.232', '193.141.244.247', 3247305960, 3247305975, 'DE', 'Germany'),
(103256, '193.141.244.248', '193.141.245.15', 3247305976, 3247305999, 'NL', 'Netherlands'),
(103257, '193.141.245.16', '193.141.245.23', 3247306000, 3247306007, 'DE', 'Germany'),
(103258, '193.141.245.24', '193.141.245.215', 3247306008, 3247306199, 'NL', 'Netherlands'),
(103259, '193.141.245.216', '193.141.245.223', 3247306200, 3247306207, 'DE', 'Germany'),
(103260, '193.141.245.224', '193.141.246.55', 3247306208, 3247306295, 'NL', 'Netherlands'),
(103261, '193.141.246.56', '193.141.246.63', 3247306296, 3247306303, 'DE', 'Germany'),
(103262, '193.141.246.64', '193.141.246.71', 3247306304, 3247306311, 'NL', 'Netherlands'),
(103263, '193.141.246.72', '193.141.246.87', 3247306312, 3247306327, 'DE', 'Germany'),
(103264, '193.141.246.88', '193.141.246.183', 3247306328, 3247306423, 'NL', 'Netherlands'),
(103265, '193.141.246.184', '193.141.246.191', 3247306424, 3247306431, 'DE', 'Germany'),
(103266, '193.141.246.192', '193.141.246.207', 3247306432, 3247306447, 'NL', 'Netherlands'),
(103267, '193.141.246.208', '193.141.246.215', 3247306448, 3247306455, 'DE', 'Germany'),
(103268, '193.141.246.216', '193.141.247.87', 3247306456, 3247306583, 'NL', 'Netherlands'),
(103269, '193.141.247.88', '193.141.247.103', 3247306584, 3247306599, 'DE', 'Germany'),
(103270, '193.141.247.104', '193.141.247.175', 3247306600, 3247306671, 'NL', 'Netherlands'),
(103271, '193.141.247.176', '193.141.247.183', 3247306672, 3247306679, 'DE', 'Germany'),
(103272, '193.141.247.184', '193.141.248.31', 3247306680, 3247306783, 'NL', 'Netherlands'),
(103273, '193.141.248.32', '193.141.248.39', 3247306784, 3247306791, 'DE', 'Germany'),
(103274, '193.141.248.40', '193.141.248.47', 3247306792, 3247306799, 'NL', 'Netherlands'),
(103275, '193.141.248.48', '193.141.248.55', 3247306800, 3247306807, 'DE', 'Germany'),
(103276, '193.141.248.56', '193.141.248.143', 3247306808, 3247306895, 'NL', 'Netherlands'),
(103277, '193.141.248.144', '193.141.248.151', 3247306896, 3247306903, 'DE', 'Germany'),
(103278, '193.141.248.152', '193.141.248.167', 3247306904, 3247306919, 'NL', 'Netherlands'),
(103279, '193.141.248.168', '193.141.248.191', 3247306920, 3247306943, 'DE', 'Germany'),
(103280, '193.141.248.192', '193.141.248.207', 3247306944, 3247306959, 'NL', 'Netherlands'),
(103281, '193.141.248.208', '193.141.248.215', 3247306960, 3247306967, 'DE', 'Germany'),
(103282, '193.141.248.216', '193.141.248.247', 3247306968, 3247306999, 'NL', 'Netherlands'),
(103283, '193.141.248.248', '193.141.248.255', 3247307000, 3247307007, 'DE', 'Germany'),
(103284, '193.141.249.0', '193.141.249.63', 3247307008, 3247307071, 'NL', 'Netherlands'),
(103285, '193.141.249.64', '193.141.249.71', 3247307072, 3247307079, 'DE', 'Germany'),
(103286, '193.141.249.72', '193.141.250.39', 3247307080, 3247307303, 'NL', 'Netherlands'),
(103287, '193.141.250.40', '193.141.250.47', 3247307304, 3247307311, 'DE', 'Germany'),
(103288, '193.141.250.48', '193.141.250.111', 3247307312, 3247307375, 'NL', 'Netherlands'),
(103289, '193.141.250.112', '193.141.250.119', 3247307376, 3247307383, 'DE', 'Germany'),
(103290, '193.141.250.120', '193.141.250.151', 3247307384, 3247307415, 'NL', 'Netherlands'),
(103291, '193.141.250.152', '193.141.250.159', 3247307416, 3247307423, 'DE', 'Germany'),
(103292, '193.141.250.160', '193.141.251.23', 3247307424, 3247307543, 'NL', 'Netherlands'),
(103293, '193.141.251.24', '193.141.251.31', 3247307544, 3247307551, 'DE', 'Germany'),
(103294, '193.141.251.32', '193.141.251.55', 3247307552, 3247307575, 'NL', 'Netherlands'),
(103295, '193.141.251.56', '193.141.251.63', 3247307576, 3247307583, 'DE', 'Germany'),
(103296, '193.141.251.64', '193.141.251.71', 3247307584, 3247307591, 'NL', 'Netherlands'),
(103297, '193.141.251.72', '193.141.251.79', 3247307592, 3247307599, 'DE', 'Germany'),
(103298, '193.141.251.80', '193.141.252.95', 3247307600, 3247307871, 'NL', 'Netherlands'),
(103299, '193.141.252.96', '193.141.252.103', 3247307872, 3247307879, 'DE', 'Germany'),
(103300, '193.141.252.104', '193.141.252.183', 3247307880, 3247307959, 'NL', 'Netherlands'),
(103301, '193.141.252.184', '193.141.252.191', 3247307960, 3247307967, 'DE', 'Germany'),
(103302, '193.141.252.192', '193.141.252.215', 3247307968, 3247307991, 'NL', 'Netherlands'),
(103303, '193.141.252.216', '193.141.252.223', 3247307992, 3247307999, 'DE', 'Germany'),
(103304, '193.141.252.224', '193.141.253.79', 3247308000, 3247308111, 'NL', 'Netherlands'),
(103305, '193.141.253.80', '193.141.253.87', 3247308112, 3247308119, 'DE', 'Germany'),
(103306, '193.141.253.88', '193.141.254.127', 3247308120, 3247308415, 'NL', 'Netherlands'),
(103307, '193.141.254.128', '193.141.254.135', 3247308416, 3247308423, 'DE', 'Germany'),
(103308, '193.141.254.136', '193.141.254.191', 3247308424, 3247308479, 'NL', 'Netherlands'),
(103309, '193.141.254.192', '193.141.254.199', 3247308480, 3247308487, 'DE', 'Germany'),
(103310, '193.141.254.200', '193.141.255.183', 3247308488, 3247308727, 'NL', 'Netherlands'),
(103311, '193.141.255.184', '193.141.255.191', 3247308728, 3247308735, 'DE', 'Germany'),
(103312, '193.141.255.192', '193.141.255.255', 3247308736, 3247308799, 'NL', 'Netherlands'),
(103313, '193.142.0.0', '193.142.0.255', 3247308800, 3247309055, 'BG', 'Bulgaria'),
(103314, '193.142.1.0', '193.142.18.255', 3247309056, 3247313663, 'FI', 'Finland'),
(103315, '193.142.19.0', '193.142.19.255', 3247313664, 3247313919, 'AM', 'Armenia'),
(103316, '193.142.20.0', '193.142.29.255', 3247313920, 3247316479, 'FI', 'Finland'),
(103317, '193.142.30.0', '193.142.30.255', 3247316480, 3247316735, 'NO', 'Norway'),
(103318, '193.142.31.0', '193.142.31.255', 3247316736, 3247316991, 'RU', 'Russian Federation'),
(103319, '193.142.32.0', '193.142.52.255', 3247316992, 3247322367, 'FI', 'Finland'),
(103320, '193.142.53.0', '193.142.53.255', 3247322368, 3247322623, 'DE', 'Germany'),
(103321, '193.142.54.0', '193.142.55.255', 3247322624, 3247323135, 'FI', 'Finland'),
(103322, '193.142.56.0', '193.142.57.255', 3247323136, 3247323647, 'RU', 'Russian Federation'),
(103323, '193.142.58.0', '193.142.60.255', 3247323648, 3247324415, 'FI', 'Finland'),
(103324, '193.142.61.0', '193.142.61.255', 3247324416, 3247324671, 'AT', 'Austria'),
(103325, '193.142.62.0', '193.142.62.255', 3247324672, 3247324927, 'CH', 'Switzerland'),
(103326, '193.142.63.0', '193.142.96.255', 3247324928, 3247333631, 'FI', 'Finland'),
(103327, '193.142.97.0', '193.142.97.255', 3247333632, 3247333887, 'DE', 'Germany'),
(103328, '193.142.98.0', '193.142.99.255', 3247333888, 3247334399, 'FI', 'Finland'),
(103329, '193.142.100.0', '193.142.100.255', 3247334400, 3247334655, 'NO', 'Norway'),
(103330, '193.142.101.0', '193.142.102.255', 3247334656, 3247335167, 'FI', 'Finland'),
(103331, '193.142.103.0', '193.142.103.255', 3247335168, 3247335423, 'DK', 'Denmark'),
(103332, '193.142.104.0', '193.142.107.255', 3247335424, 3247336447, 'FI', 'Finland'),
(103333, '193.142.108.0', '193.142.110.255', 3247336448, 3247337215, 'NO', 'Norway'),
(103334, '193.142.111.0', '193.142.111.255', 3247337216, 3247337471, 'CH', 'Switzerland'),
(103335, '193.142.112.0', '193.142.113.255', 3247337472, 3247337983, 'PL', 'Poland'),
(103336, '193.142.114.0', '193.142.114.255', 3247337984, 3247338239, 'UA', 'Ukraine'),
(103337, '193.142.115.0', '193.142.115.255', 3247338240, 3247338495, 'PL', 'Poland'),
(103338, '193.142.116.0', '193.142.116.255', 3247338496, 3247338751, 'SI', 'Slovenia'),
(103339, '193.142.117.0', '193.142.119.255', 3247338752, 3247339519, 'GB', 'United Kingdom'),
(103340, '193.142.120.0', '193.142.123.255', 3247339520, 3247340543, 'FI', 'Finland'),
(103341, '193.142.124.0', '193.142.124.255', 3247340544, 3247340799, 'UA', 'Ukraine'),
(103342, '193.142.125.0', '193.142.125.255', 3247340800, 3247341055, 'CH', 'Switzerland'),
(103343, '193.142.126.0', '193.142.126.255', 3247341056, 3247341311, 'FI', 'Finland'),
(103344, '193.142.127.0', '193.142.127.255', 3247341312, 3247341567, 'DE', 'Germany'),
(103345, '193.142.128.0', '193.142.144.255', 3247341568, 3247345919, 'FI', 'Finland'),
(103346, '193.142.145.0', '193.142.145.255', 3247345920, 3247346175, 'HU', 'Hungary'),
(103347, '193.142.146.0', '193.142.148.255', 3247346176, 3247346943, 'FI', 'Finland'),
(103348, '193.142.149.0', '193.142.149.255', 3247346944, 3247347199, 'SI', 'Slovenia'),
(103349, '193.142.150.0', '193.142.150.255', 3247347200, 3247347455, 'FI', 'Finland'),
(103350, '193.142.151.0', '193.142.151.255', 3247347456, 3247347711, 'IL', 'Israel'),
(103351, '193.142.152.0', '193.142.152.255', 3247347712, 3247347967, 'FI', 'Finland'),
(103352, '193.142.153.0', '193.142.153.255', 3247347968, 3247348223, 'HU', 'Hungary'),
(103353, '193.142.154.0', '193.142.156.255', 3247348224, 3247348991, 'FI', 'Finland'),
(103354, '193.142.157.0', '193.142.157.255', 3247348992, 3247349247, 'DE', 'Germany'),
(103355, '193.142.158.0', '193.142.158.255', 3247349248, 3247349503, 'FR', 'France'),
(103356, '193.142.159.0', '193.142.159.255', 3247349504, 3247349759, 'UA', 'Ukraine'),
(103357, '193.142.160.0', '193.142.175.255', 3247349760, 3247353855, 'SE', 'Sweden'),
(103358, '193.142.176.0', '193.142.207.255', 3247353856, 3247362047, 'FI', 'Finland'),
(103359, '193.142.208.0', '193.142.208.255', 3247362048, 3247362303, 'RO', 'Romania'),
(103360, '193.142.209.0', '193.142.209.255', 3247362304, 3247362559, 'HU', 'Hungary'),
(103361, '193.142.210.0', '193.142.210.255', 3247362560, 3247362815, 'PL', 'Poland'),
(103362, '193.142.211.0', '193.142.211.255', 3247362816, 3247363071, 'DK', 'Denmark'),
(103363, '193.142.212.0', '193.142.212.255', 3247363072, 3247363327, 'GB', 'United Kingdom'),
(103364, '193.142.213.0', '193.142.213.255', 3247363328, 3247363583, 'UA', 'Ukraine'),
(103365, '193.142.214.0', '193.142.214.255', 3247363584, 3247363839, 'HU', 'Hungary'),
(103366, '193.142.215.0', '193.142.215.255', 3247363840, 3247364095, 'NL', 'Netherlands'),
(103367, '193.142.216.0', '193.142.216.255', 3247364096, 3247364351, 'GB', 'United Kingdom'),
(103368, '193.142.217.0', '193.142.217.255', 3247364352, 3247364607, 'ES', 'Spain'),
(103369, '193.142.218.0', '193.142.219.255', 3247364608, 3247365119, 'UA', 'Ukraine'),
(103370, '193.142.220.0', '193.142.220.255', 3247365120, 3247365375, 'GB', 'United Kingdom'),
(103371, '193.142.221.0', '193.142.221.255', 3247365376, 3247365631, 'UA', 'Ukraine'),
(103372, '193.142.222.0', '193.142.222.255', 3247365632, 3247365887, 'SA', 'Saudi Arabia'),
(103373, '193.142.223.0', '193.142.223.255', 3247365888, 3247366143, 'DE', 'Germany'),
(103374, '193.142.224.0', '193.142.242.255', 3247366144, 3247371007, 'FI', 'Finland'),
(103375, '193.142.243.0', '193.142.243.255', 3247371008, 3247371263, 'PL', 'Poland'),
(103376, '193.142.244.0', '193.142.244.255', 3247371264, 3247371519, 'SE', 'Sweden'),
(103377, '193.142.245.0', '193.142.245.255', 3247371520, 3247371775, 'GB', 'United Kingdom'),
(103378, '193.142.246.0', '193.142.246.255', 3247371776, 3247372031, 'RU', 'Russian Federation'),
(103379, '193.142.247.0', '193.142.247.255', 3247372032, 3247372287, 'FI', 'Finland'),
(103380, '193.142.248.0', '193.142.248.255', 3247372288, 3247372543, 'RO', 'Romania'),
(103381, '193.142.249.0', '193.142.249.255', 3247372544, 3247372799, 'RU', 'Russian Federation'),
(103382, '193.142.250.0', '193.142.250.255', 3247372800, 3247373055, 'RO', 'Romania'),
(103383, '193.142.251.0', '193.142.255.255', 3247373056, 3247374335, 'FI', 'Finland'),
(103384, '193.143.0.0', '193.143.0.255', 3247374336, 3247374591, 'RU', 'Russian Federation'),
(103385, '193.143.1.0', '193.143.31.255', 3247374592, 3247382527, 'FI', 'Finland'),
(103386, '193.143.32.0', '193.143.32.255', 3247382528, 3247382783, 'EU', 'Europe'),
(103387, '193.143.33.0', '193.143.76.255', 3247382784, 3247394047, 'FI', 'Finland'),
(103388, '193.143.77.0', '193.143.77.255', 3247394048, 3247394303, 'PL', 'Poland'),
(103389, '193.143.78.0', '193.143.91.255', 3247394304, 3247397887, 'FI', 'Finland'),
(103390, '193.143.92.0', '193.143.92.255', 3247397888, 3247398143, 'RU', 'Russian Federation'),
(103391, '193.143.93.0', '193.143.97.255', 3247398144, 3247399423, 'FI', 'Finland'),
(103392, '193.143.98.0', '193.143.98.255', 3247399424, 3247399679, 'RU', 'Russian Federation'),
(103393, '193.143.99.0', '193.143.118.255', 3247399680, 3247404799, 'FI', 'Finland'),
(103394, '193.143.119.0', '193.143.119.255', 3247404800, 3247405055, 'RU', 'Russian Federation'),
(103395, '193.143.120.0', '193.143.120.255', 3247405056, 3247405311, 'RO', 'Romania'),
(103396, '193.143.121.0', '193.143.121.255', 3247405312, 3247405567, 'PL', 'Poland'),
(103397, '193.143.122.0', '193.143.122.255', 3247405568, 3247405823, 'DE', 'Germany'),
(103398, '193.143.123.0', '193.143.225.255', 3247405824, 3247432191, 'FI', 'Finland'),
(103399, '193.143.226.0', '193.143.226.255', 3247432192, 3247432447, 'TR', 'Turkey'),
(103400, '193.143.227.0', '193.143.248.255', 3247432448, 3247438079, 'FI', 'Finland'),
(103401, '193.143.249.0', '193.143.249.255', 3247438080, 3247438335, 'IT', 'Italy'),
(103402, '193.143.250.0', '193.143.255.255', 3247438336, 3247439871, 'FI', 'Finland'),
(103403, '193.144.0.0', '193.147.255.255', 3247439872, 3247702015, 'ES', 'Spain'),
(103404, '193.148.0.0', '193.148.0.255', 3247702016, 3247702271, 'RO', 'Romania'),
(103405, '193.148.1.0', '193.148.5.255', 3247702272, 3247703551, 'ES', 'Spain'),
(103406, '193.148.6.0', '193.148.7.255', 3247703552, 3247704063, 'FR', 'France'),
(103407, '193.148.8.0', '193.148.10.255', 3247704064, 3247704831, 'ES', 'Spain'),
(103408, '193.148.11.0', '193.148.11.255', 3247704832, 3247705087, 'GB', 'United Kingdom'),
(103409, '193.148.12.0', '193.148.14.255', 3247705088, 3247705855, 'ES', 'Spain'),
(103410, '193.148.15.0', '193.148.15.255', 3247705856, 3247706111, 'RU', 'Russian Federation'),
(103411, '193.148.16.0', '193.148.37.255', 3247706112, 3247711743, 'ES', 'Spain'),
(103412, '193.148.38.0', '193.148.39.255', 3247711744, 3247712255, 'IT', 'Italy'),
(103413, '193.148.40.0', '193.148.43.255', 3247712256, 3247713279, 'ES', 'Spain'),
(103414, '193.148.44.0', '193.148.44.255', 3247713280, 3247713535, 'RU', 'Russian Federation'),
(103415, '193.148.45.0', '193.148.45.255', 3247713536, 3247713791, 'BE', 'Belgium'),
(103416, '193.148.46.0', '193.148.46.255', 3247713792, 3247714047, 'SK', 'Slovakia'),
(103417, '193.148.47.0', '193.148.47.255', 3247714048, 3247714303, 'RU', 'Russian Federation'),
(103418, '193.148.48.0', '193.148.55.255', 3247714304, 3247716351, 'CH', 'Switzerland'),
(103419, '193.148.56.0', '193.148.61.255', 3247716352, 3247717887, 'ES', 'Spain'),
(103420, '193.148.62.0', '193.148.63.255', 3247717888, 3247718399, 'CH', 'Switzerland'),
(103421, '193.148.64.0', '193.148.159.255', 3247718400, 3247742975, 'ES', 'Spain'),
(103422, '193.148.160.0', '193.148.191.255', 3247742976, 3247751167, 'DE', 'Germany'),
(103423, '193.148.192.0', '193.149.7.255', 3247751168, 3247769599, 'ES', 'Spain'),
(103424, '193.149.8.0', '193.149.15.255', 3247769600, 3247771647, 'DE', 'Germany'),
(103425, '193.149.16.0', '193.149.31.255', 3247771648, 3247775743, 'ES', 'Spain'),
(103426, '193.149.32.0', '193.149.47.63', 3247775744, 3247779647, 'DE', 'Germany'),
(103427, '193.149.47.64', '193.149.47.255', 3247779648, 3247779839, 'IE', 'Ireland'),
(103428, '193.149.48.0', '193.149.63.255', 3247779840, 3247783935, 'DE', 'Germany'),
(103429, '193.149.64.0', '193.149.95.255', 3247783936, 3247792127, 'GB', 'United Kingdom'),
(103430, '193.149.96.0', '193.149.127.255', 3247792128, 3247800319, 'FR', 'France'),
(103431, '193.149.128.0', '193.149.191.255', 3247800320, 3247816703, 'DK', 'Denmark'),
(103432, '193.149.192.0', '193.149.194.255', 3247816704, 3247817471, 'BE', 'Belgium'),
(103433, '193.149.195.0', '193.149.195.255', 3247817472, 3247817727, 'CH', 'Switzerland'),
(103434, '193.149.196.0', '193.149.207.255', 3247817728, 3247820799, 'BE', 'Belgium'),
(103435, '193.149.208.0', '193.149.213.255', 3247820800, 3247822335, 'CH', 'Switzerland'),
(103436, '193.149.214.0', '193.149.216.255', 3247822336, 3247823103, 'DE', 'Germany'),
(103437, '193.149.217.0', '193.149.219.255', 3247823104, 3247823871, 'AT', 'Austria'),
(103438, '193.149.220.0', '193.149.224.255', 3247823872, 3247825151, 'BE', 'Belgium'),
(103439, '193.149.225.0', '193.149.227.255', 3247825152, 3247825919, 'CH', 'Switzerland'),
(103440, '193.149.228.0', '193.149.231.255', 3247825920, 3247826943, 'BE', 'Belgium'),
(103441, '193.149.232.0', '193.149.239.255', 3247826944, 3247828991, 'CH', 'Switzerland'),
(103442, '193.149.240.0', '193.149.255.255', 3247828992, 3247833087, 'BE', 'Belgium'),
(103443, '193.150.0.0', '193.150.1.255', 3247833088, 3247833599, 'RU', 'Russian Federation'),
(103444, '193.150.2.0', '193.150.3.255', 3247833600, 3247834111, 'PL', 'Poland'),
(103445, '193.150.4.0', '193.150.5.255', 3247834112, 3247834623, 'DE', 'Germany'),
(103446, '193.150.6.0', '193.150.7.255', 3247834624, 3247835135, 'UA', 'Ukraine'),
(103447, '193.150.8.0', '193.150.11.255', 3247835136, 3247836159, 'GB', 'United Kingdom'),
(103448, '193.150.12.0', '193.150.15.255', 3247836160, 3247837183, 'CZ', 'Czech Republic'),
(103449, '193.150.16.0', '193.150.19.255', 3247837184, 3247838207, 'ES', 'Spain'),
(103450, '193.150.22.0', '193.150.23.255', 3247838720, 3247839231, 'NO', 'Norway'),
(103451, '193.150.24.0', '193.150.25.255', 3247839232, 3247839743, 'CZ', 'Czech Republic'),
(103452, '193.150.26.0', '193.150.27.255', 3247839744, 3247840255, 'GB', 'United Kingdom'),
(103453, '193.150.28.0', '193.150.31.255', 3247840256, 3247841279, 'UA', 'Ukraine'),
(103454, '193.150.32.0', '193.150.33.255', 3247841280, 3247841791, 'RU', 'Russian Federation'),
(103455, '193.150.34.0', '193.150.34.255', 3247841792, 3247842047, 'GB', 'United Kingdom'),
(103456, '193.150.35.0', '193.150.35.255', 3247842048, 3247842303, 'CZ', 'Czech Republic'),
(103457, '193.150.36.0', '193.150.37.255', 3247842304, 3247842815, 'PL', 'Poland'),
(103458, '193.150.38.0', '193.150.39.255', 3247842816, 3247843327, 'CZ', 'Czech Republic'),
(103459, '193.150.40.0', '193.150.40.255', 3247843328, 3247843583, 'LT', 'Lithuania'),
(103460, '193.150.41.0', '193.150.48.0', 3247843584, 3247845376, 'PL', 'Poland'),
(103461, '193.150.48.1', '193.150.48.255', 3247845377, 3247845631, 'CH', 'Switzerland'),
(103462, '193.150.49.0', '193.150.49.255', 3247845632, 3247845887, 'UA', 'Ukraine'),
(103463, '193.150.50.0', '193.150.51.255', 3247845888, 3247846399, 'PL', 'Poland'),
(103464, '193.150.52.0', '193.150.55.255', 3247846400, 3247847423, 'RU', 'Russian Federation'),
(103465, '193.150.56.0', '193.150.59.255', 3247847424, 3247848447, 'UA', 'Ukraine'),
(103466, '193.150.60.0', '193.150.63.255', 3247848448, 3247849471, 'IT', 'Italy'),
(103467, '193.150.64.0', '193.150.64.255', 3247849472, 3247849727, 'DE', 'Germany'),
(103468, '193.150.65.0', '193.150.65.255', 3247849728, 3247849983, 'RU', 'Russian Federation'),
(103469, '193.150.66.0', '193.150.66.255', 3247849984, 3247850239, 'GB', 'United Kingdom'),
(103470, '193.150.67.0', '193.150.67.255', 3247850240, 3247850495, 'BG', 'Bulgaria'),
(103471, '193.150.68.0', '193.150.68.255', 3247850496, 3247850751, 'RU', 'Russian Federation'),
(103472, '193.150.69.0', '193.150.69.255', 3247850752, 3247851007, 'PL', 'Poland'),
(103473, '193.150.70.0', '193.150.71.255', 3247851008, 3247851519, 'RU', 'Russian Federation'),
(103474, '193.150.72.0', '193.150.75.255', 3247851520, 3247852543, 'SK', 'Slovakia'),
(103475, '193.150.76.0', '193.150.79.255', 3247852544, 3247853567, 'PL', 'Poland'),
(103476, '193.150.80.0', '193.150.83.255', 3247853568, 3247854591, 'RU', 'Russian Federation'),
(103477, '193.150.84.0', '193.150.87.255', 3247854592, 3247855615, 'DK', 'Denmark'),
(103478, '193.150.88.0', '193.150.89.255', 3247855616, 3247856127, 'UA', 'Ukraine'),
(103479, '193.150.90.0', '193.150.91.255', 3247856128, 3247856639, 'ES', 'Spain'),
(103480, '193.150.92.0', '193.150.95.255', 3247856640, 3247857663, 'RU', 'Russian Federation'),
(103481, '193.150.96.0', '193.150.97.255', 3247857664, 3247858175, 'UA', 'Ukraine'),
(103482, '193.150.98.0', '193.150.99.255', 3247858176, 3247858687, 'EU', 'Europe'),
(103483, '193.150.100.0', '193.150.103.255', 3247858688, 3247859711, 'RU', 'Russian Federation'),
(103484, '193.150.104.0', '193.150.104.255', 3247859712, 3247859967, 'SE', 'Sweden'),
(103485, '193.150.105.0', '193.150.111.255', 3247859968, 3247861759, 'RU', 'Russian Federation'),
(103486, '193.150.112.0', '193.150.112.255', 3247861760, 3247862015, 'IT', 'Italy'),
(103487, '193.150.113.0', '193.150.113.255', 3247862016, 3247862271, 'UA', 'Ukraine'),
(103488, '193.150.114.0', '193.150.120.255', 3247862272, 3247864063, 'RU', 'Russian Federation'),
(103489, '193.150.121.0', '193.150.121.255', 3247864064, 3247864319, 'NO', 'Norway'),
(103490, '193.150.122.0', '193.150.122.255', 3247864320, 3247864575, 'UA', 'Ukraine'),
(103491, '193.150.123.0', '193.150.123.255', 3247864576, 3247864831, 'PL', 'Poland'),
(103492, '193.150.124.0', '193.150.125.255', 3247864832, 3247865343, 'RU', 'Russian Federation'),
(103493, '193.150.126.0', '193.150.126.255', 3247865344, 3247865599, 'MT', 'Malta'),
(103494, '193.150.127.0', '193.150.127.255', 3247865600, 3247865855, 'IL', 'Israel'),
(103495, '193.150.128.0', '193.150.151.255', 3247865856, 3247871999, 'GB', 'United Kingdom'),
(103496, '193.150.152.0', '193.150.164.255', 3247872000, 3247875327, 'NL', 'Netherlands'),
(103497, '193.150.165.0', '193.150.165.255', 3247875328, 3247875583, 'PL', 'Poland'),
(103498, '193.150.166.0', '193.150.167.255', 3247875584, 3247876095, 'DE', 'Germany'),
(103499, '193.150.168.0', '193.150.168.255', 3247876096, 3247876351, 'PL', 'Poland'),
(103500, '193.150.169.0', '193.150.169.255', 3247876352, 3247876607, 'FR', 'France'),
(103501, '193.150.170.0', '193.150.170.255', 3247876608, 3247876863, 'ES', 'Spain'),
(103502, '193.150.171.0', '193.150.171.255', 3247876864, 3247877119, 'DE', 'Germany'),
(103503, '193.150.172.0', '193.150.173.255', 3247877120, 3247877631, 'GR', 'Greece'),
(103504, '193.150.174.0', '193.150.179.255', 3247877632, 3247879167, 'AT', 'Austria'),
(103505, '193.150.180.0', '193.150.191.255', 3247879168, 3247882239, 'GB', 'United Kingdom'),
(103506, '193.150.192.0', '193.150.255.255', 3247882240, 3247898623, 'SE', 'Sweden'),
(103507, '193.151.0.0', '193.151.3.255', 3247898624, 3247899647, 'RU', 'Russian Federation'),
(103508, '193.151.4.0', '193.151.7.255', 3247899648, 3247900671, 'DE', 'Germany'),
(103509, '193.151.8.0', '193.151.11.255', 3247900672, 3247901695, 'PL', 'Poland'),
(103510, '193.151.12.0', '193.151.15.255', 3247901696, 3247902719, 'UA', 'Ukraine'),
(103511, '193.151.16.0', '193.151.19.255', 3247902720, 3247903743, 'GB', 'United Kingdom'),
(103512, '193.151.20.0', '193.151.23.255', 3247903744, 3247904767, 'BG', 'Bulgaria'),
(103513, '193.151.24.0', '193.151.27.255', 3247904768, 3247905791, 'RU', 'Russian Federation'),
(103514, '193.151.28.0', '193.151.31.255', 3247905792, 3247906815, 'RO', 'Romania'),
(103515, '193.151.32.0', '193.151.35.255', 3247906816, 3247907839, 'DE', 'Germany'),
(103516, '193.151.36.0', '193.151.39.255', 3247907840, 3247908863, 'PL', 'Poland'),
(103517, '193.151.40.0', '193.151.43.255', 3247908864, 3247909887, 'BY', 'Belarus'),
(103518, '193.151.44.0', '193.151.47.255', 3247909888, 3247910911, 'DE', 'Germany'),
(103519, '193.151.48.0', '193.151.55.255', 3247910912, 3247912959, 'PL', 'Poland'),
(103520, '193.151.56.0', '193.151.59.255', 3247912960, 3247913983, 'UA', 'Ukraine'),
(103521, '193.151.60.0', '193.151.63.255', 3247913984, 3247915007, 'AT', 'Austria'),
(103522, '193.151.64.0', '193.151.71.255', 3247915008, 3247917055, 'PL', 'Poland'),
(103523, '193.151.72.0', '193.151.75.255', 3247917056, 3247918079, 'NL', 'Netherlands'),
(103524, '193.151.76.0', '193.151.79.255', 3247918080, 3247919103, 'PL', 'Poland'),
(103525, '193.151.80.0', '193.151.83.255', 3247919104, 3247920127, 'BG', 'Bulgaria'),
(103526, '193.151.84.0', '193.151.87.255', 3247920128, 3247921151, 'FR', 'France'),
(103527, '193.151.88.0', '193.151.91.255', 3247921152, 3247922175, 'UA', 'Ukraine'),
(103528, '193.151.92.0', '193.151.95.255', 3247922176, 3247923199, 'SE', 'Sweden'),
(103529, '193.151.96.0', '193.151.103.255', 3247923200, 3247925247, 'PL', 'Poland'),
(103530, '193.151.104.0', '193.151.107.255', 3247925248, 3247926271, 'UA', 'Ukraine'),
(103531, '193.151.108.0', '193.151.111.255', 3247926272, 3247927295, 'RU', 'Russian Federation'),
(103532, '193.151.112.0', '193.151.115.255', 3247927296, 3247928319, 'PL', 'Poland'),
(103533, '193.151.116.0', '193.151.119.255', 3247928320, 3247929343, 'HU', 'Hungary'),
(103534, '193.151.120.0', '193.151.127.255', 3247929344, 3247931391, 'GB', 'United Kingdom'),
(103535, '193.151.128.0', '193.151.239.255', 3247931392, 3247960063, 'FR', 'France'),
(103536, '193.151.240.0', '193.151.247.255', 3247960064, 3247962111, 'UA', 'Ukraine'),
(103537, '193.151.248.0', '193.151.251.255', 3247962112, 3247963135, 'DE', 'Germany'),
(103538, '193.151.252.0', '193.151.255.255', 3247963136, 3247964159, 'UA', 'Ukraine'),
(103539, '193.152.0.0', '193.153.255.255', 3247964160, 3248095231, 'ES', 'Spain'),
(103540, '193.154.0.0', '193.154.2.79', 3248095232, 3248095823, 'AT', 'Austria'),
(103541, '193.154.2.80', '193.154.2.87', 3248095824, 3248095831, 'HU', 'Hungary'),
(103542, '193.154.2.88', '193.154.255.255', 3248095832, 3248160767, 'AT', 'Austria'),
(103543, '193.155.0.0', '193.155.236.31', 3248160768, 3248221215, 'DE', 'Germany'),
(103544, '193.155.236.32', '193.155.236.39', 3248221216, 3248221223, 'PL', 'Poland'),
(103545, '193.155.236.40', '193.155.255.255', 3248221224, 3248226303, 'DE', 'Germany'),
(103546, '193.156.0.0', '193.156.33.255', 3248226304, 3248235007, 'NO', 'Norway'),
(103547, '193.156.34.0', '193.156.34.255', 3248235008, 3248235263, 'PK', 'Pakistan'),
(103548, '193.156.35.0', '193.157.255.255', 3248235264, 3248357375, 'NO', 'Norway'),
(103549, '193.158.0.0', '193.159.163.255', 3248357376, 3248464895, 'DE', 'Germany'),
(103550, '193.159.164.0', '193.159.165.255', 3248464896, 3248465407, 'US', 'United States'),
(103551, '193.159.166.0', '193.159.229.255', 3248465408, 3248481791, 'DE', 'Germany'),
(103552, '193.159.230.0', '193.159.230.255', 3248481792, 3248482047, 'US', 'United States'),
(103553, '193.159.231.0', '193.159.231.127', 3248482048, 3248482175, 'DE', 'Germany'),
(103554, '193.159.231.128', '193.159.231.255', 3248482176, 3248482303, 'US', 'United States'),
(103555, '193.159.232.0', '193.159.255.255', 3248482304, 3248488447, 'DE', 'Germany'),
(103556, '193.160.0.0', '193.160.0.255', 3248488448, 3248488703, 'FR', 'France'),
(103557, '193.160.1.0', '193.160.11.255', 3248488704, 3248491519, 'NO', 'Norway'),
(103558, '193.160.12.0', '193.160.13.255', 3248491520, 3248492031, 'RU', 'Russian Federation'),
(103559, '193.160.14.0', '193.160.32.255', 3248492032, 3248496895, 'NO', 'Norway'),
(103560, '193.160.33.0', '193.160.33.255', 3248496896, 3248497151, 'US', 'United States'),
(103561, '193.160.34.0', '193.160.38.255', 3248497152, 3248498431, 'NO', 'Norway'),
(103562, '193.160.39.0', '193.160.39.255', 3248498432, 3248498687, 'DE', 'Germany'),
(103563, '193.160.40.0', '193.160.96.255', 3248498688, 3248513279, 'NO', 'Norway'),
(103564, '193.160.97.0', '193.160.97.255', 3248513280, 3248513535, 'UA', 'Ukraine'),
(103565, '193.160.98.0', '193.160.99.255', 3248513536, 3248514047, 'AT', 'Austria'),
(103566, '193.160.100.0', '193.160.130.255', 3248514048, 3248521983, 'NO', 'Norway'),
(103567, '193.160.131.0', '193.160.131.255', 3248521984, 3248522239, 'RU', 'Russian Federation'),
(103568, '193.160.132.0', '193.160.143.255', 3248522240, 3248525311, 'NO', 'Norway'),
(103569, '193.160.144.0', '193.160.144.255', 3248525312, 3248525567, 'DE', 'Germany'),
(103570, '193.160.145.0', '193.160.145.255', 3248525568, 3248525823, 'DK', 'Denmark'),
(103571, '193.160.146.0', '193.160.157.255', 3248525824, 3248528895, 'NO', 'Norway'),
(103572, '193.160.158.0', '193.160.158.255', 3248528896, 3248529151, 'RU', 'Russian Federation'),
(103573, '193.160.159.0', '193.160.159.255', 3248529152, 3248529407, 'BG', 'Bulgaria'),
(103574, '193.160.160.0', '193.160.203.255', 3248529408, 3248540671, 'NO', 'Norway'),
(103575, '193.160.204.0', '193.160.205.255', 3248540672, 3248541183, 'RU', 'Russian Federation'),
(103576, '193.160.206.0', '193.160.223.255', 3248541184, 3248545791, 'NO', 'Norway'),
(103577, '193.160.224.0', '193.160.227.255', 3248545792, 3248546815, 'UA', 'Ukraine'),
(103578, '193.160.228.0', '193.160.231.255', 3248546816, 3248547839, 'RU', 'Russian Federation'),
(103579, '193.160.232.0', '193.160.254.255', 3248547840, 3248553727, 'NO', 'Norway'),
(103580, '193.160.255.0', '193.160.255.255', 3248553728, 3248553983, 'RU', 'Russian Federation'),
(103581, '193.161.0.0', '193.161.0.255', 3248553984, 3248554239, 'RO', 'Romania'),
(103582, '193.161.1.0', '193.161.11.255', 3248554240, 3248557055, 'NO', 'Norway'),
(103583, '193.161.12.0', '193.161.15.255', 3248557056, 3248558079, 'UA', 'Ukraine'),
(103584, '193.161.16.0', '193.161.83.255', 3248558080, 3248575487, 'NO', 'Norway'),
(103585, '193.161.84.0', '193.161.87.255', 3248575488, 3248576511, 'CZ', 'Czech Republic'),
(103586, '193.161.88.0', '193.161.191.255', 3248576512, 3248603135, 'NO', 'Norway'),
(103587, '193.161.192.0', '193.161.192.255', 3248603136, 3248603391, 'BG', 'Bulgaria'),
(103588, '193.161.193.0', '193.161.193.255', 3248603392, 3248603647, 'RU', 'Russian Federation'),
(103589, '193.161.194.0', '193.161.254.255', 3248603648, 3248619263, 'NO', 'Norway'),
(103590, '193.161.255.0', '193.161.255.255', 3248619264, 3248619519, 'UA', 'Ukraine'),
(103591, '193.162.0.0', '193.162.73.255', 3248619520, 3248638463, 'DK', 'Denmark'),
(103592, '193.162.74.0', '193.162.74.255', 3248638464, 3248638719, 'GB', 'United Kingdom'),
(103593, '193.162.75.0', '193.163.135.255', 3248638720, 3248719871, 'DK', 'Denmark'),
(103594, '193.163.136.0', '193.163.136.255', 3248719872, 3248720127, 'EU', 'Europe'),
(103595, '193.163.137.0', '193.163.247.255', 3248720128, 3248748543, 'DK', 'Denmark'),
(103596, '193.163.248.0', '193.163.248.255', 3248748544, 3248748799, 'EU', 'Europe'),
(103597, '193.163.249.0', '193.163.255.255', 3248748800, 3248750591, 'DK', 'Denmark'),
(103598, '193.164.0.0', '193.164.0.255', 3248750592, 3248750847, 'PT', 'Portugal'),
(103599, '193.164.1.0', '193.164.6.255', 3248750848, 3248752383, 'PL', 'Poland'),
(103600, '193.164.7.0', '193.164.7.255', 3248752384, 3248752639, 'NL', 'Netherlands'),
(103601, '193.164.8.0', '193.164.8.255', 3248752640, 3248752895, 'DE', 'Germany'),
(103602, '193.164.9.0', '193.164.9.255', 3248752896, 3248753151, 'TR', 'Turkey'),
(103603, '193.164.10.0', '193.164.11.255', 3248753152, 3248753663, 'GB', 'United Kingdom'),
(103604, '193.164.12.0', '193.164.12.255', 3248753664, 3248753919, 'FR', 'France'),
(103605, '193.164.13.0', '193.164.14.255', 3248753920, 3248754431, 'GB', 'United Kingdom'),
(103606, '193.164.15.0', '193.164.15.255', 3248754432, 3248754687, 'AT', 'Austria'),
(103607, '193.164.16.0', '193.164.31.255', 3248754688, 3248758783, 'PL', 'Poland'),
(103608, '193.164.32.0', '193.164.91.255', 3248758784, 3248774143, 'SE', 'Sweden'),
(103609, '193.164.92.0', '193.164.95.255', 3248774144, 3248775167, 'UA', 'Ukraine'),
(103610, '193.164.96.0', '193.164.128.255', 3248775168, 3248783615, 'GB', 'United Kingdom'),
(103611, '193.164.129.0', '193.164.129.255', 3248783616, 3248783871, 'PL', 'Poland'),
(103612, '193.164.130.0', '193.164.130.255', 3248783872, 3248784127, 'UA', 'Ukraine'),
(103613, '193.164.131.0', '193.164.135.255', 3248784128, 3248785407, 'DE', 'Germany'),
(103614, '193.164.136.0', '193.164.136.255', 3248785408, 3248785663, 'RO', 'Romania'),
(103615, '193.164.137.0', '193.164.141.255', 3248785664, 3248786943, 'SI', 'Slovenia'),
(103616, '193.164.142.0', '193.164.142.255', 3248786944, 3248787199, 'PL', 'Poland'),
(103617, '193.164.143.0', '193.164.143.255', 3248787200, 3248787455, 'GB', 'United Kingdom'),
(103618, '193.164.144.0', '193.164.144.255', 3248787456, 3248787711, 'NL', 'Netherlands'),
(103619, '193.164.145.0', '193.164.145.255', 3248787712, 3248787967, 'CH', 'Switzerland'),
(103620, '193.164.146.0', '193.164.146.255', 3248787968, 3248788223, 'RU', 'Russian Federation'),
(103621, '193.164.147.0', '193.164.147.255', 3248788224, 3248788479, 'ES', 'Spain'),
(103622, '193.164.148.0', '193.164.148.255', 3248788480, 3248788735, 'FR', 'France'),
(103623, '193.164.149.0', '193.164.149.255', 3248788736, 3248788991, 'UA', 'Ukraine'),
(103624, '193.164.150.0', '193.164.151.255', 3248788992, 3248789503, 'FR', 'France'),
(103625, '193.164.152.0', '193.164.152.255', 3248789504, 3248789759, 'RO', 'Romania'),
(103626, '193.164.153.0', '193.164.153.255', 3248789760, 3248790015, 'FR', 'France'),
(103627, '193.164.154.0', '193.164.154.255', 3248790016, 3248790271, 'DE', 'Germany'),
(103628, '193.164.155.0', '193.164.155.255', 3248790272, 3248790527, 'DK', 'Denmark'),
(103629, '193.164.156.0', '193.164.156.255', 3248790528, 3248790783, 'FR', 'France'),
(103630, '193.164.157.0', '193.164.157.255', 3248790784, 3248791039, 'PL', 'Poland'),
(103631, '193.164.158.0', '193.164.158.255', 3248791040, 3248791295, 'BE', 'Belgium'),
(103632, '193.164.159.0', '193.164.159.255', 3248791296, 3248791551, 'DE', 'Germany'),
(103633, '193.164.160.0', '193.164.163.255', 3248791552, 3248792575, 'GB', 'United Kingdom'),
(103634, '193.164.164.0', '193.164.179.191', 3248792576, 3248796607, 'EU', 'Europe'),
(103635, '193.164.179.192', '193.164.180.191', 3248796608, 3248796863, 'GB', 'United Kingdom'),
(103636, '193.164.180.192', '193.164.188.255', 3248796864, 3248798975, 'EU', 'Europe'),
(103637, '193.164.189.0', '193.164.189.255', 3248798976, 3248799231, 'GB', 'United Kingdom'),
(103638, '193.164.190.0', '193.164.191.247', 3248799232, 3248799735, 'EU', 'Europe'),
(103639, '193.164.191.248', '193.164.191.255', 3248799736, 3248799743, 'GB', 'United Kingdom'),
(103640, '193.164.192.0', '193.164.193.255', 3248799744, 3248800255, 'NL', 'Netherlands'),
(103641, '193.164.194.0', '193.164.195.255', 3248800256, 3248800767, 'RU', 'Russian Federation'),
(103642, '193.164.196.0', '193.164.197.255', 3248800768, 3248801279, 'FR', 'France'),
(103643, '193.164.198.0', '193.164.199.255', 3248801280, 3248801791, 'RO', 'Romania'),
(103644, '193.164.200.0', '193.164.201.255', 3248801792, 3248802303, 'RU', 'Russian Federation'),
(103645, '193.164.202.0', '193.164.203.255', 3248802304, 3248802815, 'FR', 'France'),
(103646, '193.164.204.0', '193.164.205.255', 3248802816, 3248803327, 'RU', 'Russian Federation'),
(103647, '193.164.206.0', '193.164.209.255', 3248803328, 3248804351, 'GB', 'United Kingdom'),
(103648, '193.164.210.0', '193.164.211.255', 3248804352, 3248804863, 'EU', 'Europe'),
(103649, '193.164.212.0', '193.164.213.255', 3248804864, 3248805375, 'DE', 'Germany'),
(103650, '193.164.214.0', '193.164.215.255', 3248805376, 3248805887, 'RU', 'Russian Federation'),
(103651, '193.164.216.0', '193.164.217.255', 3248805888, 3248806399, 'NL', 'Netherlands'),
(103652, '193.164.218.0', '193.164.219.255', 3248806400, 3248806911, 'CZ', 'Czech Republic'),
(103653, '193.164.220.0', '193.164.221.255', 3248806912, 3248807423, 'US', 'United States'),
(103654, '193.164.222.0', '193.164.223.255', 3248807424, 3248807935, 'BG', 'Bulgaria'),
(103655, '193.164.224.0', '193.164.225.255', 3248807936, 3248808447, 'AT', 'Austria'),
(103656, '193.164.226.0', '193.164.227.255', 3248808448, 3248808959, 'GR', 'Greece'),
(103657, '193.164.228.0', '193.164.232.95', 3248808960, 3248810079, 'FR', 'France'),
(103658, '193.164.232.96', '193.164.232.127', 3248810080, 3248810111, 'UA', 'Ukraine'),
(103659, '193.164.232.128', '193.164.232.159', 3248810112, 3248810143, 'RU', 'Russian Federation'),
(103660, '193.164.232.192', '193.164.232.223', 3248810176, 3248810207, 'FR', 'France'),
(103661, '193.164.232.224', '193.164.232.255', 3248810208, 3248810239, 'GB', 'United Kingdom'),
(103662, '193.164.233.0', '193.164.233.255', 3248810240, 3248810495, 'CH', 'Switzerland'),
(103663, '193.164.234.0', '193.164.241.255', 3248810496, 3248812543, 'AT', 'Austria'),
(103664, '193.164.242.0', '193.164.243.255', 3248812544, 3248813055, 'GB', 'United Kingdom'),
(103665, '193.164.244.0', '193.164.245.255', 3248813056, 3248813567, 'CH', 'Switzerland'),
(103666, '193.164.246.0', '193.164.247.255', 3248813568, 3248814079, 'DE', 'Germany'),
(103667, '193.164.248.0', '193.164.251.255', 3248814080, 3248815103, 'DK', 'Denmark'),
(103668, '193.164.252.0', '193.164.253.255', 3248815104, 3248815615, 'GB', 'United Kingdom'),
(103669, '193.164.254.0', '193.164.255.255', 3248815616, 3248816127, 'PL', 'Poland'),
(103670, '193.165.0.0', '193.165.255.255', 3248816128, 3248881663, 'CZ', 'Czech Republic'),
(103671, '193.166.0.0', '193.167.255.255', 3248881664, 3249012735, 'FI', 'Finland'),
(103672, '193.168.0.0', '193.168.0.255', 3249012736, 3249012991, 'DE', 'Germany'),
(103673, '193.168.1.0', '193.168.5.255', 3249012992, 3249014271, 'LU', 'Luxembourg'),
(103674, '193.168.6.0', '193.168.7.255', 3249014272, 3249014783, 'DE', 'Germany'),
(103675, '193.168.8.0', '193.168.49.255', 3249014784, 3249025535, 'LU', 'Luxembourg'),
(103676, '193.168.50.0', '193.168.50.255', 3249025536, 3249025791, 'FR', 'France'),
(103677, '193.168.51.0', '193.168.53.255', 3249025792, 3249026559, 'LU', 'Luxembourg'),
(103678, '193.168.54.0', '193.168.54.255', 3249026560, 3249026815, 'PL', 'Poland'),
(103679, '193.168.55.0', '193.168.127.255', 3249026816, 3249045503, 'LU', 'Luxembourg'),
(103680, '193.168.128.0', '193.168.255.255', 3249045504, 3249078271, 'DE', 'Germany'),
(103681, '193.169.0.0', '193.169.1.255', 3249078272, 3249078783, 'RU', 'Russian Federation'),
(103682, '193.169.2.0', '193.169.3.255', 3249078784, 3249079295, 'CH', 'Switzerland'),
(103683, '193.169.4.0', '193.169.5.255', 3249079296, 3249079807, 'RU', 'Russian Federation'),
(103684, '193.169.6.0', '193.169.9.255', 3249079808, 3249080831, 'RO', 'Romania'),
(103685, '193.169.10.0', '193.169.11.255', 3249080832, 3249081343, 'DE', 'Germany'),
(103686, '193.169.12.0', '193.169.13.255', 3249081344, 3249081855, 'LV', 'Latvia'),
(103687, '193.169.14.0', '193.169.15.255', 3249081856, 3249082367, 'GB', 'United Kingdom'),
(103688, '193.169.16.0', '193.169.17.255', 3249082368, 3249082879, 'HU', 'Hungary'),
(103689, '193.169.18.0', '193.169.19.255', 3249082880, 3249083391, 'PL', 'Poland'),
(103690, '193.169.20.0', '193.169.21.255', 3249083392, 3249083903, 'RO', 'Romania'),
(103691, '193.169.22.0', '193.169.29.255', 3249083904, 3249085951, 'RU', 'Russian Federation'),
(103692, '193.169.30.0', '193.169.31.255', 3249085952, 3249086463, 'GI', 'Gibraltar'),
(103693, '193.169.32.0', '193.169.39.255', 3249086464, 3249088511, 'RU', 'Russian Federation'),
(103694, '193.169.40.0', '193.169.41.255', 3249088512, 3249089023, 'NL', 'Netherlands'),
(103695, '193.169.42.0', '193.169.43.255', 3249089024, 3249089535, 'NO', 'Norway'),
(103696, '193.169.44.0', '193.169.45.255', 3249089536, 3249090047, 'RU', 'Russian Federation'),
(103697, '193.169.46.0', '193.169.47.255', 3249090048, 3249090559, 'FR', 'France'),
(103698, '193.169.48.0', '193.169.49.255', 3249090560, 3249091071, 'SI', 'Slovenia'),
(103699, '193.169.50.0', '193.169.50.255', 3249091072, 3249091327, 'TR', 'Turkey'),
(103700, '193.169.51.0', '193.169.51.255', 3249091328, 3249091583, 'NL', 'Netherlands'),
(103701, '193.169.52.0', '193.169.53.255', 3249091584, 3249092095, 'RU', 'Russian Federation'),
(103702, '193.169.54.0', '193.169.55.255', 3249092096, 3249092607, 'DE', 'Germany'),
(103703, '193.169.56.0', '193.169.57.255', 3249092608, 3249093119, 'IT', 'Italy'),
(103704, '193.169.58.0', '193.169.59.255', 3249093120, 3249093631, 'GB', 'United Kingdom'),
(103705, '193.169.60.0', '193.169.63.255', 3249093632, 3249094655, 'RU', 'Russian Federation'),
(103706, '193.169.64.0', '193.169.67.255', 3249094656, 3249095679, 'FR', 'France'),
(103707, '193.169.68.0', '193.169.69.255', 3249095680, 3249096191, 'NL', 'Netherlands'),
(103708, '193.169.70.0', '193.169.71.255', 3249096192, 3249096703, 'IL', 'Israel'),
(103709, '193.169.72.0', '193.169.73.255', 3249096704, 3249097215, 'DE', 'Germany'),
(103710, '193.169.74.0', '193.169.75.255', 3249097216, 3249097727, 'DK', 'Denmark'),
(103711, '193.169.76.0', '193.169.77.255', 3249097728, 3249098239, 'DE', 'Germany'),
(103712, '193.169.78.0', '193.169.79.255', 3249098240, 3249098751, 'PL', 'Poland'),
(103713, '193.169.80.0', '193.169.81.255', 3249098752, 3249099263, 'UA', 'Ukraine'),
(103714, '193.169.82.0', '193.169.83.255', 3249099264, 3249099775, 'CH', 'Switzerland'),
(103715, '193.169.84.0', '193.169.85.255', 3249099776, 3249100287, 'FI', 'Finland'),
(103716, '193.169.86.0', '193.169.87.255', 3249100288, 3249100799, 'UA', 'Ukraine'),
(103717, '193.169.88.0', '193.169.89.255', 3249100800, 3249101311, 'IL', 'Israel'),
(103718, '193.169.90.0', '193.169.91.255', 3249101312, 3249101823, 'GB', 'United Kingdom'),
(103719, '193.169.92.0', '193.169.93.255', 3249101824, 3249102335, 'RU', 'Russian Federation'),
(103720, '193.169.94.0', '193.169.95.255', 3249102336, 3249102847, 'DE', 'Germany'),
(103721, '193.169.96.0', '193.169.97.255', 3249102848, 3249103359, 'RU', 'Russian Federation'),
(103722, '193.169.98.0', '193.169.99.255', 3249103360, 3249103871, 'DE', 'Germany'),
(103723, '193.169.100.0', '193.169.101.255', 3249103872, 3249104383, 'FI', 'Finland'),
(103724, '193.169.102.0', '193.169.103.255', 3249104384, 3249104895, 'RU', 'Russian Federation'),
(103725, '193.169.104.0', '193.169.105.255', 3249104896, 3249105407, 'IL', 'Israel'),
(103726, '193.169.106.0', '193.169.107.255', 3249105408, 3249105919, 'RU', 'Russian Federation'),
(103727, '193.169.108.0', '193.169.109.255', 3249105920, 3249106431, 'NL', 'Netherlands'),
(103728, '193.169.110.0', '193.169.111.255', 3249106432, 3249106943, 'RU', 'Russian Federation'),
(103729, '193.169.112.0', '193.169.117.255', 3249106944, 3249108479, 'PL', 'Poland'),
(103730, '193.169.118.0', '193.169.119.255', 3249108480, 3249108991, 'RU', 'Russian Federation'),
(103731, '193.169.120.0', '193.169.121.255', 3249108992, 3249109503, 'GB', 'United Kingdom'),
(103732, '193.169.122.0', '193.169.123.255', 3249109504, 3249110015, 'RU', 'Russian Federation'),
(103733, '193.169.124.0', '193.169.127.255', 3249110016, 3249111039, 'UA', 'Ukraine'),
(103734, '193.169.128.0', '193.169.129.255', 3249111040, 3249111551, 'RU', 'Russian Federation'),
(103735, '193.169.130.0', '193.169.131.255', 3249111552, 3249112063, 'KW', 'Kuwait'),
(103736, '193.169.132.0', '193.169.135.255', 3249112064, 3249113087, 'UA', 'Ukraine'),
(103737, '193.169.136.0', '193.169.137.255', 3249113088, 3249113599, 'RO', 'Romania'),
(103738, '193.169.138.0', '193.169.139.255', 3249113600, 3249114111, 'NL', 'Netherlands'),
(103739, '193.169.140.0', '193.169.141.255', 3249114112, 3249114623, 'GB', 'United Kingdom'),
(103740, '193.169.142.0', '193.169.145.255', 3249114624, 3249115647, 'RO', 'Romania'),
(103741, '193.169.146.0', '193.169.147.255', 3249115648, 3249116159, 'UA', 'Ukraine'),
(103742, '193.169.148.0', '193.169.149.255', 3249116160, 3249116671, 'PL', 'Poland'),
(103743, '193.169.150.0', '193.169.151.255', 3249116672, 3249117183, 'IT', 'Italy'),
(103744, '193.169.152.0', '193.169.153.255', 3249117184, 3249117695, 'CH', 'Switzerland'),
(103745, '193.169.154.0', '193.169.155.255', 3249117696, 3249118207, 'DK', 'Denmark'),
(103746, '193.169.156.0', '193.169.157.255', 3249118208, 3249118719, 'RO', 'Romania'),
(103747, '193.169.158.0', '193.169.159.255', 3249118720, 3249119231, 'LU', 'Luxembourg'),
(103748, '193.169.160.0', '193.169.161.255', 3249119232, 3249119743, 'RU', 'Russian Federation'),
(103749, '193.169.162.0', '193.169.163.255', 3249119744, 3249120255, 'IT', 'Italy'),
(103750, '193.169.164.0', '193.169.165.255', 3249120256, 3249120767, 'SE', 'Sweden'),
(103751, '193.169.166.0', '193.169.167.255', 3249120768, 3249121279, 'LV', 'Latvia'),
(103752, '193.169.168.0', '193.169.169.255', 3249121280, 3249121791, 'DE', 'Germany'),
(103753, '193.169.170.0', '193.169.171.255', 3249121792, 3249122303, 'RO', 'Romania'),
(103754, '193.169.172.0', '193.169.179.255', 3249122304, 3249124351, 'RU', 'Russian Federation'),
(103755, '193.169.180.0', '193.169.181.255', 3249124352, 3249124863, 'DE', 'Germany'),
(103756, '193.169.182.0', '193.169.183.255', 3249124864, 3249125375, 'CZ', 'Czech Republic'),
(103757, '193.169.184.0', '193.169.185.255', 3249125376, 3249125887, 'DE', 'Germany'),
(103758, '193.169.186.0', '193.169.187.255', 3249125888, 3249126399, 'CH', 'Switzerland'),
(103759, '193.169.188.0', '193.169.189.255', 3249126400, 3249126911, 'UA', 'Ukraine'),
(103760, '193.169.190.0', '193.169.191.255', 3249126912, 3249127423, 'SA', 'Saudi Arabia'),
(103761, '193.169.192.0', '193.169.193.255', 3249127424, 3249127935, 'GB', 'United Kingdom'),
(103762, '193.169.194.0', '193.169.195.255', 3249127936, 3249128447, 'LV', 'Latvia'),
(103763, '193.169.196.0', '193.169.197.255', 3249128448, 3249128959, 'DE', 'Germany'),
(103764, '193.169.198.0', '193.169.199.255', 3249128960, 3249129471, 'BG', 'Bulgaria'),
(103765, '193.169.200.0', '193.169.203.255', 3249129472, 3249130495, 'RU', 'Russian Federation'),
(103766, '193.169.204.0', '193.169.205.255', 3249130496, 3249131007, 'DE', 'Germany'),
(103767, '193.169.206.0', '193.169.207.255', 3249131008, 3249131519, 'GB', 'United Kingdom'),
(103768, '193.169.208.0', '193.169.209.255', 3249131520, 3249132031, 'DK', 'Denmark'),
(103769, '193.169.210.0', '193.169.211.255', 3249132032, 3249132543, 'RU', 'Russian Federation'),
(103770, '193.169.212.0', '193.169.213.255', 3249132544, 3249133055, 'DE', 'Germany'),
(103771, '193.169.214.0', '193.169.215.255', 3249133056, 3249133567, 'UA', 'Ukraine'),
(103772, '193.169.216.0', '193.169.217.255', 3249133568, 3249134079, 'GB', 'United Kingdom'),
(103773, '193.169.218.0', '193.169.219.255', 3249134080, 3249134591, 'UA', 'Ukraine'),
(103774, '193.169.220.0', '193.169.223.255', 3249134592, 3249135615, 'RU', 'Russian Federation'),
(103775, '193.169.224.0', '193.169.225.255', 3249135616, 3249136127, 'GB', 'United Kingdom'),
(103776, '193.169.226.0', '193.169.229.255', 3249136128, 3249137151, 'RU', 'Russian Federation'),
(103777, '193.169.230.0', '193.169.231.255', 3249137152, 3249137663, 'FR', 'France'),
(103778, '193.169.232.0', '193.169.233.255', 3249137664, 3249138175, 'PL', 'Poland'),
(103779, '193.169.234.0', '193.169.235.255', 3249138176, 3249138687, 'RU', 'Russian Federation'),
(103780, '193.169.236.0', '193.169.237.255', 3249138688, 3249139199, 'GB', 'United Kingdom'),
(103781, '193.169.238.0', '193.169.239.255', 3249139200, 3249139711, 'RU', 'Russian Federation'),
(103782, '193.169.240.0', '193.169.241.255', 3249139712, 3249140223, 'UA', 'Ukraine'),
(103783, '193.169.242.0', '193.169.243.255', 3249140224, 3249140735, 'IT', 'Italy'),
(103784, '193.169.244.0', '193.169.245.255', 3249140736, 3249141247, 'UA', 'Ukraine'),
(103785, '193.169.246.0', '193.169.247.255', 3249141248, 3249141759, 'IL', 'Israel'),
(103786, '193.169.248.0', '193.169.251.255', 3249141760, 3249142783, 'RU', 'Russian Federation'),
(103787, '193.169.252.0', '193.169.253.255', 3249142784, 3249143295, 'UA', 'Ukraine'),
(103788, '193.169.254.0', '193.169.255.255', 3249143296, 3249143807, 'GB', 'United Kingdom'),
(103789, '193.170.0.0', '193.171.255.255', 3249143808, 3249274879, 'AT', 'Austria'),
(103790, '193.172.0.0', '193.172.11.63', 3249274880, 3249277759, 'NL', 'Netherlands'),
(103791, '193.172.11.64', '193.172.11.79', 3249277760, 3249277775, 'BG', 'Bulgaria'),
(103792, '193.172.11.80', '193.172.18.255', 3249277776, 3249279743, 'NL', 'Netherlands'),
(103793, '193.172.19.0', '193.172.19.255', 3249279744, 3249279999, 'EU', 'Europe'),
(103794, '193.172.20.0', '193.172.59.159', 3249280000, 3249290143, 'NL', 'Netherlands'),
(103795, '193.172.59.160', '193.172.59.175', 3249290144, 3249290159, 'BG', 'Bulgaria'),
(103796, '193.172.59.176', '193.172.149.255', 3249290160, 3249313279, 'NL', 'Netherlands'),
(103797, '193.172.150.0', '193.172.150.255', 3249313280, 3249313535, 'EU', 'Europe'),
(103798, '193.172.151.0', '193.172.215.191', 3249313536, 3249330111, 'NL', 'Netherlands'),
(103799, '193.172.215.192', '193.172.215.223', 3249330112, 3249330143, 'BG', 'Bulgaria'),
(103800, '193.172.215.224', '193.173.37.207', 3249330144, 3249350095, 'NL', 'Netherlands'),
(103801, '193.173.37.208', '193.173.37.223', 3249350096, 3249350111, 'BG', 'Bulgaria'),
(103802, '193.173.37.224', '193.173.114.255', 3249350112, 3249369855, 'NL', 'Netherlands'),
(103803, '193.173.115.0', '193.173.115.255', 3249369856, 3249370111, 'EU', 'Europe'),
(103804, '193.173.116.0', '193.173.255.255', 3249370112, 3249405951, 'NL', 'Netherlands'),
(103805, '193.174.0.0', '193.174.3.255', 3249405952, 3249406975, 'DE', 'Germany'),
(103806, '193.174.4.0', '193.174.4.255', 3249406976, 3249407231, 'IT', 'Italy'),
(103807, '193.174.5.0', '193.175.194.127', 3249407232, 3249521279, 'DE', 'Germany'),
(103808, '193.175.194.128', '193.175.194.191', 3249521280, 3249521343, 'UA', 'Ukraine'),
(103809, '193.175.194.192', '193.175.255.255', 3249521344, 3249537023, 'DE', 'Germany'),
(103810, '193.176.0.0', '193.176.0.255', 3249537024, 3249537279, 'PT', 'Portugal'),
(103811, '193.176.1.0', '193.176.2.255', 3249537280, 3249537791, 'NL', 'Netherlands'),
(103812, '193.176.3.0', '193.176.3.255', 3249537792, 3249538047, 'GB', 'United Kingdom'),
(103813, '193.176.4.0', '193.176.55.255', 3249538048, 3249551359, 'NL', 'Netherlands'),
(103814, '193.176.56.0', '193.176.60.255', 3249551360, 3249552639, 'GB', 'United Kingdom'),
(103815, '193.176.61.0', '193.176.144.255', 3249552640, 3249574143, 'NL', 'Netherlands'),
(103816, '193.176.145.0', '193.176.145.255', 3249574144, 3249574399, 'RU', 'Russian Federation'),
(103817, '193.176.146.0', '193.176.146.255', 3249574400, 3249574655, 'SE', 'Sweden'),
(103818, '193.176.147.0', '193.176.147.255', 3249574656, 3249574911, 'UA', 'Ukraine'),
(103819, '193.176.148.0', '193.176.208.255', 3249574912, 3249590527, 'NL', 'Netherlands'),
(103820, '193.176.209.0', '193.176.209.255', 3249590528, 3249590783, 'FR', 'France'),
(103821, '193.176.210.0', '193.176.246.255', 3249590784, 3249600255, 'NL', 'Netherlands'),
(103822, '193.176.247.0', '193.176.247.255', 3249600256, 3249600511, 'AT', 'Austria'),
(103823, '193.176.248.0', '193.176.251.255', 3249600512, 3249601535, 'UA', 'Ukraine'),
(103824, '193.176.252.0', '193.176.252.255', 3249601536, 3249601791, 'RU', 'Russian Federation'),
(103825, '193.176.253.0', '193.177.255.255', 3249601792, 3249668095, 'NL', 'Netherlands'),
(103826, '193.178.0.0', '193.178.31.255', 3249668096, 3249676287, 'IE', 'Ireland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(103827, '193.178.32.0', '193.178.32.255', 3249676288, 3249676543, 'GB', 'United Kingdom'),
(103828, '193.178.33.0', '193.178.33.255', 3249676544, 3249676799, 'IE', 'Ireland'),
(103829, '193.178.34.0', '193.178.34.255', 3249676800, 3249677055, 'UA', 'Ukraine'),
(103830, '193.178.35.0', '193.178.35.255', 3249677056, 3249677311, 'SE', 'Sweden'),
(103831, '193.178.36.0', '193.178.42.255', 3249677312, 3249679103, 'IE', 'Ireland'),
(103832, '193.178.43.0', '193.178.43.255', 3249679104, 3249679359, 'CH', 'Switzerland'),
(103833, '193.178.44.0', '193.178.59.255', 3249679360, 3249683455, 'IE', 'Ireland'),
(103834, '193.178.60.0', '193.178.63.255', 3249683456, 3249684479, 'SE', 'Sweden'),
(103835, '193.178.64.0', '193.178.116.255', 3249684480, 3249698047, 'IE', 'Ireland'),
(103836, '193.178.117.0', '193.178.117.255', 3249698048, 3249698303, 'PL', 'Poland'),
(103837, '193.178.118.0', '193.178.118.255', 3249698304, 3249698559, 'RU', 'Russian Federation'),
(103838, '193.178.119.0', '193.178.119.255', 3249698560, 3249698815, 'HU', 'Hungary'),
(103839, '193.178.120.0', '193.178.123.255', 3249698816, 3249699839, 'GB', 'United Kingdom'),
(103840, '193.178.124.0', '193.178.127.255', 3249699840, 3249700863, 'UA', 'Ukraine'),
(103841, '193.178.128.0', '193.178.130.255', 3249700864, 3249701631, 'SE', 'Sweden'),
(103842, '193.178.131.0', '193.178.131.255', 3249701632, 3249701887, 'RU', 'Russian Federation'),
(103843, '193.178.132.0', '193.178.132.255', 3249701888, 3249702143, 'PL', 'Poland'),
(103844, '193.178.133.0', '193.178.133.255', 3249702144, 3249702399, 'FI', 'Finland'),
(103845, '193.178.134.0', '193.178.134.255', 3249702400, 3249702655, 'FR', 'France'),
(103846, '193.178.135.0', '193.178.135.255', 3249702656, 3249702911, 'RU', 'Russian Federation'),
(103847, '193.178.136.0', '193.178.138.255', 3249702912, 3249703679, 'FR', 'France'),
(103848, '193.178.139.0', '193.178.139.255', 3249703680, 3249703935, 'GB', 'United Kingdom'),
(103849, '193.178.140.0', '193.178.140.255', 3249703936, 3249704191, 'FR', 'France'),
(103850, '193.178.141.0', '193.178.141.255', 3249704192, 3249704447, 'RO', 'Romania'),
(103851, '193.178.142.0', '193.178.142.255', 3249704448, 3249704703, 'DE', 'Germany'),
(103852, '193.178.143.0', '193.178.143.255', 3249704704, 3249704959, 'PL', 'Poland'),
(103853, '193.178.144.0', '193.178.147.255', 3249704960, 3249705983, 'UA', 'Ukraine'),
(103854, '193.178.148.0', '193.178.149.255', 3249705984, 3249706495, 'AT', 'Austria'),
(103855, '193.178.150.0', '193.178.151.255', 3249706496, 3249707007, 'LV', 'Latvia'),
(103856, '193.178.152.0', '193.178.153.255', 3249707008, 3249707519, 'BG', 'Bulgaria'),
(103857, '193.178.154.0', '193.178.155.255', 3249707520, 3249708031, 'FR', 'France'),
(103858, '193.178.156.0', '193.178.157.255', 3249708032, 3249708543, 'CH', 'Switzerland'),
(103859, '193.178.158.0', '193.178.159.255', 3249708544, 3249709055, 'RU', 'Russian Federation'),
(103860, '193.178.160.0', '193.178.160.255', 3249709056, 3249709311, 'AT', 'Austria'),
(103861, '193.178.161.0', '193.178.161.255', 3249709312, 3249709567, 'PL', 'Poland'),
(103862, '193.178.162.0', '193.178.162.255', 3249709568, 3249709823, 'UA', 'Ukraine'),
(103863, '193.178.163.0', '193.178.163.255', 3249709824, 3249710079, 'DE', 'Germany'),
(103864, '193.178.164.0', '193.178.164.255', 3249710080, 3249710335, 'PL', 'Poland'),
(103865, '193.178.165.0', '193.178.165.255', 3249710336, 3249710591, 'RO', 'Romania'),
(103866, '193.178.166.0', '193.178.166.255', 3249710592, 3249710847, 'BG', 'Bulgaria'),
(103867, '193.178.167.0', '193.178.167.255', 3249710848, 3249711103, 'PL', 'Poland'),
(103868, '193.178.168.0', '193.178.168.255', 3249711104, 3249711359, 'HU', 'Hungary'),
(103869, '193.178.169.0', '193.178.170.255', 3249711360, 3249711871, 'DE', 'Germany'),
(103870, '193.178.171.0', '193.178.171.255', 3249711872, 3249712127, 'AT', 'Austria'),
(103871, '193.178.172.0', '193.178.172.255', 3249712128, 3249712383, 'UA', 'Ukraine'),
(103872, '193.178.173.0', '193.178.173.255', 3249712384, 3249712639, 'GB', 'United Kingdom'),
(103873, '193.178.174.0', '193.178.174.255', 3249712640, 3249712895, 'BE', 'Belgium'),
(103874, '193.178.175.0', '193.178.175.255', 3249712896, 3249713151, 'DK', 'Denmark'),
(103875, '193.178.176.0', '193.178.183.255', 3249713152, 3249715199, 'LV', 'Latvia'),
(103876, '193.178.184.0', '193.178.184.255', 3249715200, 3249715455, 'AT', 'Austria'),
(103877, '193.178.185.0', '193.178.185.255', 3249715456, 3249715711, 'DE', 'Germany'),
(103878, '193.178.186.0', '193.178.186.255', 3249715712, 3249715967, 'NL', 'Netherlands'),
(103879, '193.178.187.0', '193.178.187.255', 3249715968, 3249716223, 'UA', 'Ukraine'),
(103880, '193.178.188.0', '193.178.188.255', 3249716224, 3249716479, 'SI', 'Slovenia'),
(103881, '193.178.189.0', '193.178.189.255', 3249716480, 3249716735, 'NL', 'Netherlands'),
(103882, '193.178.190.0', '193.178.191.255', 3249716736, 3249717247, 'UA', 'Ukraine'),
(103883, '193.178.192.0', '193.178.195.255', 3249717248, 3249718271, 'LV', 'Latvia'),
(103884, '193.178.196.0', '193.178.199.255', 3249718272, 3249719295, 'DE', 'Germany'),
(103885, '193.178.200.0', '193.178.203.255', 3249719296, 3249720319, 'IR', 'Iran, Islamic Republic of'),
(103886, '193.178.204.0', '193.178.207.255', 3249720320, 3249721343, 'IT', 'Italy'),
(103887, '193.178.208.0', '193.178.208.255', 3249721344, 3249721599, 'AT', 'Austria'),
(103888, '193.178.209.0', '193.178.209.255', 3249721600, 3249721855, 'BE', 'Belgium'),
(103889, '193.178.210.0', '193.178.212.255', 3249721856, 3249722623, 'FR', 'France'),
(103890, '193.178.213.0', '193.178.214.255', 3249722624, 3249723135, 'PL', 'Poland'),
(103891, '193.178.215.0', '193.178.215.255', 3249723136, 3249723391, 'RU', 'Russian Federation'),
(103892, '193.178.216.0', '193.178.216.255', 3249723392, 3249723647, 'IT', 'Italy'),
(103893, '193.178.217.0', '193.178.217.255', 3249723648, 3249723903, 'GB', 'United Kingdom'),
(103894, '193.178.218.0', '193.178.218.255', 3249723904, 3249724159, 'TR', 'Turkey'),
(103895, '193.178.219.0', '193.178.219.255', 3249724160, 3249724415, 'LU', 'Luxembourg'),
(103896, '193.178.220.0', '193.178.220.255', 3249724416, 3249724671, 'IL', 'Israel'),
(103897, '193.178.221.0', '193.178.221.255', 3249724672, 3249724927, 'SE', 'Sweden'),
(103898, '193.178.222.0', '193.178.222.255', 3249724928, 3249725183, 'BG', 'Bulgaria'),
(103899, '193.178.223.0', '193.178.223.255', 3249725184, 3249725439, 'GB', 'United Kingdom'),
(103900, '193.178.224.0', '193.178.225.255', 3249725440, 3249725951, 'RO', 'Romania'),
(103901, '193.178.226.0', '193.178.227.255', 3249725952, 3249726463, 'DE', 'Germany'),
(103902, '193.178.228.0', '193.178.229.255', 3249726464, 3249726975, 'UA', 'Ukraine'),
(103903, '193.178.230.0', '193.178.231.255', 3249726976, 3249727487, 'IT', 'Italy'),
(103904, '193.178.232.0', '193.178.233.255', 3249727488, 3249727999, 'LV', 'Latvia'),
(103905, '193.178.234.0', '193.178.235.255', 3249728000, 3249728511, 'IT', 'Italy'),
(103906, '193.178.236.0', '193.178.237.255', 3249728512, 3249729023, 'UA', 'Ukraine'),
(103907, '193.178.238.0', '193.178.239.255', 3249729024, 3249729535, 'GB', 'United Kingdom'),
(103908, '193.178.240.0', '193.178.243.255', 3249729536, 3249730559, 'PL', 'Poland'),
(103909, '193.178.244.0', '193.178.247.255', 3249730560, 3249731583, 'IT', 'Italy'),
(103910, '193.178.248.0', '193.178.251.255', 3249731584, 3249732607, 'UA', 'Ukraine'),
(103911, '193.178.252.0', '193.178.255.255', 3249732608, 3249733631, 'IT', 'Italy'),
(103912, '193.179.0.0', '193.179.255.255', 3249733632, 3249799167, 'CZ', 'Czech Republic'),
(103913, '193.180.0.0', '193.180.11.255', 3249799168, 3249802239, 'SE', 'Sweden'),
(103914, '193.180.12.0', '193.180.13.255', 3249802240, 3249802751, 'DE', 'Germany'),
(103915, '193.180.14.0', '193.180.114.255', 3249802752, 3249828607, 'SE', 'Sweden'),
(103916, '193.180.115.0', '193.180.115.255', 3249828608, 3249828863, 'AT', 'Austria'),
(103917, '193.180.116.0', '193.180.117.255', 3249828864, 3249829375, 'DE', 'Germany'),
(103918, '193.180.118.0', '193.180.118.255', 3249829376, 3249829631, 'AT', 'Austria'),
(103919, '193.180.119.0', '193.180.119.255', 3249829632, 3249829887, 'SE', 'Sweden'),
(103920, '193.180.120.0', '193.180.120.255', 3249829888, 3249830143, 'GB', 'United Kingdom'),
(103921, '193.180.121.0', '193.180.121.255', 3249830144, 3249830399, 'SE', 'Sweden'),
(103922, '193.180.122.0', '193.180.122.255', 3249830400, 3249830655, 'IT', 'Italy'),
(103923, '193.180.123.0', '193.180.176.255', 3249830656, 3249844479, 'SE', 'Sweden'),
(103924, '193.180.177.0', '193.180.177.255', 3249844480, 3249844735, 'AT', 'Austria'),
(103925, '193.180.178.0', '193.180.178.255', 3249844736, 3249844991, 'AU', 'Australia'),
(103926, '193.180.179.0', '193.180.181.255', 3249844992, 3249845759, 'SE', 'Sweden'),
(103927, '193.180.182.0', '193.180.183.255', 3249845760, 3249846271, 'DE', 'Germany'),
(103928, '193.180.184.0', '193.180.200.255', 3249846272, 3249850623, 'SE', 'Sweden'),
(103929, '193.180.201.0', '193.180.201.255', 3249850624, 3249850879, 'GB', 'United Kingdom'),
(103930, '193.180.202.0', '193.180.235.255', 3249850880, 3249859583, 'SE', 'Sweden'),
(103931, '193.180.236.0', '193.180.237.255', 3249859584, 3249860095, 'DE', 'Germany'),
(103932, '193.180.238.0', '193.180.242.255', 3249860096, 3249861375, 'SE', 'Sweden'),
(103933, '193.180.243.0', '193.180.243.255', 3249861376, 3249861631, 'BE', 'Belgium'),
(103934, '193.180.244.0', '193.180.245.255', 3249861632, 3249862143, 'DE', 'Germany'),
(103935, '193.180.246.0', '193.180.246.255', 3249862144, 3249862399, 'BE', 'Belgium'),
(103936, '193.180.247.0', '193.180.247.255', 3249862400, 3249862655, 'SE', 'Sweden'),
(103937, '193.180.248.0', '193.180.249.255', 3249862656, 3249863167, 'DE', 'Germany'),
(103938, '193.180.250.0', '193.180.250.255', 3249863168, 3249863423, 'BE', 'Belgium'),
(103939, '193.180.251.0', '193.180.251.255', 3249863424, 3249863679, 'SE', 'Sweden'),
(103940, '193.180.252.0', '193.180.252.255', 3249863680, 3249863935, 'ES', 'Spain'),
(103941, '193.180.253.0', '193.181.2.255', 3249863936, 3249865471, 'SE', 'Sweden'),
(103942, '193.181.3.0', '193.181.7.255', 3249865472, 3249866751, 'GB', 'United Kingdom'),
(103943, '193.181.8.0', '193.181.14.255', 3249866752, 3249868543, 'SE', 'Sweden'),
(103944, '193.181.15.0', '193.181.15.255', 3249868544, 3249868799, 'DE', 'Germany'),
(103945, '193.181.16.0', '193.181.24.255', 3249868800, 3249871103, 'SE', 'Sweden'),
(103946, '193.181.25.0', '193.181.25.255', 3249871104, 3249871359, 'NO', 'Norway'),
(103947, '193.181.26.0', '193.181.26.255', 3249871360, 3249871615, 'SE', 'Sweden'),
(103948, '193.181.27.0', '193.181.27.255', 3249871616, 3249871871, 'NO', 'Norway'),
(103949, '193.181.28.0', '193.181.29.255', 3249871872, 3249872383, 'SE', 'Sweden'),
(103950, '193.181.30.0', '193.181.30.255', 3249872384, 3249872639, 'GB', 'United Kingdom'),
(103951, '193.181.31.0', '193.181.179.255', 3249872640, 3249910783, 'SE', 'Sweden'),
(103952, '193.181.180.0', '193.181.185.255', 3249910784, 3249912319, 'GB', 'United Kingdom'),
(103953, '193.181.186.0', '193.181.239.255', 3249912320, 3249926143, 'SE', 'Sweden'),
(103954, '193.181.240.0', '193.181.240.255', 3249926144, 3249926399, 'AU', 'Australia'),
(103955, '193.181.241.0', '193.181.241.255', 3249926400, 3249926655, 'SE', 'Sweden'),
(103956, '193.181.242.0', '193.181.242.255', 3249926656, 3249926911, 'AU', 'Australia'),
(103957, '193.181.243.0', '193.181.252.255', 3249926912, 3249929471, 'SE', 'Sweden'),
(103958, '193.181.253.0', '193.181.254.255', 3249929472, 3249929983, 'CA', 'Canada'),
(103959, '193.181.255.0', '193.182.2.255', 3249929984, 3249931007, 'SE', 'Sweden'),
(103960, '193.182.3.0', '193.182.3.255', 3249931008, 3249931263, 'GB', 'United Kingdom'),
(103961, '193.182.4.0', '193.182.6.255', 3249931264, 3249932031, 'SE', 'Sweden'),
(103962, '193.182.7.0', '193.182.7.255', 3249932032, 3249932287, 'GB', 'United Kingdom'),
(103963, '193.182.8.0', '193.182.15.255', 3249932288, 3249934335, 'US', 'United States'),
(103964, '193.182.16.0', '193.182.117.255', 3249934336, 3249960447, 'SE', 'Sweden'),
(103965, '193.182.118.0', '193.182.119.255', 3249960448, 3249960959, 'DE', 'Germany'),
(103966, '193.182.120.0', '193.182.120.255', 3249960960, 3249961215, 'CA', 'Canada'),
(103967, '193.182.121.0', '193.182.121.255', 3249961216, 3249961471, 'SE', 'Sweden'),
(103968, '193.182.122.0', '193.182.122.255', 3249961472, 3249961727, 'NL', 'Netherlands'),
(103969, '193.182.123.0', '193.182.145.255', 3249961728, 3249967615, 'SE', 'Sweden'),
(103970, '193.182.146.0', '193.182.146.255', 3249967616, 3249967871, 'GB', 'United Kingdom'),
(103971, '193.182.147.0', '193.182.147.255', 3249967872, 3249968127, 'SE', 'Sweden'),
(103972, '193.182.148.0', '193.182.151.255', 3249968128, 3249969151, 'FR', 'France'),
(103973, '193.182.152.0', '193.182.153.255', 3249969152, 3249969663, 'SE', 'Sweden'),
(103974, '193.182.154.0', '193.182.155.255', 3249969664, 3249970175, 'DE', 'Germany'),
(103975, '193.182.156.0', '193.182.159.255', 3249970176, 3249971199, 'SE', 'Sweden'),
(103976, '193.182.160.0', '193.182.160.255', 3249971200, 3249971455, 'IT', 'Italy'),
(103977, '193.182.161.0', '193.182.161.255', 3249971456, 3249971711, 'SE', 'Sweden'),
(103978, '193.182.162.0', '193.182.165.255', 3249971712, 3249972735, 'DE', 'Germany'),
(103979, '193.182.166.0', '193.182.172.255', 3249972736, 3249974527, 'SE', 'Sweden'),
(103980, '193.182.173.0', '193.182.173.255', 3249974528, 3249974783, 'ES', 'Spain'),
(103981, '193.182.174.0', '193.182.178.255', 3249974784, 3249976063, 'SE', 'Sweden'),
(103982, '193.182.179.0', '193.182.179.255', 3249976064, 3249976319, 'FR', 'France'),
(103983, '193.182.180.0', '193.182.181.255', 3249976320, 3249976831, 'SE', 'Sweden'),
(103984, '193.182.182.0', '193.182.182.255', 3249976832, 3249977087, 'GB', 'United Kingdom'),
(103985, '193.182.183.0', '193.182.239.255', 3249977088, 3249991679, 'SE', 'Sweden'),
(103986, '193.182.240.0', '193.182.240.255', 3249991680, 3249991935, 'US', 'United States'),
(103987, '193.182.241.0', '193.182.245.255', 3249991936, 3249993215, 'SE', 'Sweden'),
(103988, '193.182.246.0', '193.182.246.255', 3249993216, 3249993471, 'NL', 'Netherlands'),
(103989, '193.182.247.0', '193.182.247.255', 3249993472, 3249993727, 'SE', 'Sweden'),
(103990, '193.182.248.0', '193.182.249.255', 3249993728, 3249994239, 'DE', 'Germany'),
(103991, '193.182.250.0', '193.182.250.255', 3249994240, 3249994495, 'CH', 'Switzerland'),
(103992, '193.182.251.0', '193.182.253.255', 3249994496, 3249995263, 'SE', 'Sweden'),
(103993, '193.182.254.0', '193.182.254.255', 3249995264, 3249995519, 'GB', 'United Kingdom'),
(103994, '193.182.255.0', '193.183.4.255', 3249995520, 3249997055, 'SE', 'Sweden'),
(103995, '193.183.5.0', '193.183.5.255', 3249997056, 3249997311, 'US', 'United States'),
(103996, '193.183.6.0', '193.183.16.255', 3249997312, 3250000127, 'SE', 'Sweden'),
(103997, '193.183.17.0', '193.183.17.255', 3250000128, 3250000383, 'GB', 'United Kingdom'),
(103998, '193.183.18.0', '193.183.44.255', 3250000384, 3250007295, 'SE', 'Sweden'),
(103999, '193.183.45.0', '193.183.45.255', 3250007296, 3250007551, 'GB', 'United Kingdom'),
(104000, '193.183.46.0', '193.183.56.255', 3250007552, 3250010367, 'SE', 'Sweden'),
(104001, '193.183.57.0', '193.183.58.255', 3250010368, 3250010879, 'CH', 'Switzerland'),
(104002, '193.183.59.0', '193.183.134.255', 3250010880, 3250030335, 'SE', 'Sweden'),
(104003, '193.183.135.0', '193.183.135.255', 3250030336, 3250030591, 'DK', 'Denmark'),
(104004, '193.183.136.0', '193.183.137.255', 3250030592, 3250031103, 'DE', 'Germany'),
(104005, '193.183.138.0', '193.183.138.255', 3250031104, 3250031359, 'DK', 'Denmark'),
(104006, '193.183.139.0', '193.183.139.255', 3250031360, 3250031615, 'US', 'United States'),
(104007, '193.183.140.0', '193.183.143.255', 3250031616, 3250032639, 'SE', 'Sweden'),
(104008, '193.183.144.0', '193.183.144.255', 3250032640, 3250032895, 'AP', 'Asia/Pacific Region'),
(104009, '193.183.145.0', '193.183.154.255', 3250032896, 3250035455, 'SE', 'Sweden'),
(104010, '193.183.155.0', '193.183.155.255', 3250035456, 3250035711, 'US', 'United States'),
(104011, '193.183.156.0', '193.183.165.255', 3250035712, 3250038271, 'SE', 'Sweden'),
(104012, '193.183.166.0', '193.183.169.255', 3250038272, 3250039295, 'ES', 'Spain'),
(104013, '193.183.170.0', '193.183.182.255', 3250039296, 3250042623, 'SE', 'Sweden'),
(104014, '193.183.183.0', '193.183.184.255', 3250042624, 3250043135, 'FR', 'France'),
(104015, '193.183.185.0', '193.183.255.255', 3250043136, 3250061311, 'SE', 'Sweden'),
(104016, '193.184.0.0', '193.185.220.31', 3250061312, 3250183199, 'FI', 'Finland'),
(104017, '193.185.220.32', '193.185.220.47', 3250183200, 3250183215, 'SE', 'Sweden'),
(104018, '193.185.220.48', '193.185.237.63', 3250183216, 3250187583, 'FI', 'Finland'),
(104019, '193.185.237.64', '193.185.237.127', 3250187584, 3250187647, 'SE', 'Sweden'),
(104020, '193.185.237.128', '193.185.255.255', 3250187648, 3250192383, 'FI', 'Finland'),
(104021, '193.186.0.0', '193.186.0.255', 3250192384, 3250192639, 'AT', 'Austria'),
(104022, '193.186.1.0', '193.186.1.255', 3250192640, 3250192895, 'RU', 'Russian Federation'),
(104023, '193.186.2.0', '193.186.2.255', 3250192896, 3250193151, 'IL', 'Israel'),
(104024, '193.186.3.0', '193.186.3.255', 3250193152, 3250193407, 'DE', 'Germany'),
(104025, '193.186.4.0', '193.186.4.255', 3250193408, 3250193663, 'PL', 'Poland'),
(104026, '193.186.5.0', '193.186.6.255', 3250193664, 3250194175, 'AT', 'Austria'),
(104027, '193.186.7.0', '193.186.7.255', 3250194176, 3250194431, 'DE', 'Germany'),
(104028, '193.186.8.0', '193.186.8.255', 3250194432, 3250194687, 'FR', 'France'),
(104029, '193.186.9.0', '193.186.9.255', 3250194688, 3250194943, 'UA', 'Ukraine'),
(104030, '193.186.10.0', '193.186.11.255', 3250194944, 3250195455, 'RO', 'Romania'),
(104031, '193.186.12.0', '193.186.12.255', 3250195456, 3250195711, 'DE', 'Germany'),
(104032, '193.186.13.0', '193.186.14.255', 3250195712, 3250196223, 'GB', 'United Kingdom'),
(104033, '193.186.15.0', '193.186.15.255', 3250196224, 3250196479, 'UA', 'Ukraine'),
(104034, '193.186.16.0', '193.186.31.255', 3250196480, 3250200575, 'AT', 'Austria'),
(104035, '193.186.32.0', '193.186.32.255', 3250200576, 3250200831, 'HU', 'Hungary'),
(104036, '193.186.33.0', '193.186.33.255', 3250200832, 3250201087, 'RO', 'Romania'),
(104037, '193.186.34.0', '193.186.34.255', 3250201088, 3250201343, 'RU', 'Russian Federation'),
(104038, '193.186.35.0', '193.186.35.255', 3250201344, 3250201599, 'DK', 'Denmark'),
(104039, '193.186.36.0', '193.186.37.255', 3250201600, 3250202111, 'NL', 'Netherlands'),
(104040, '193.186.38.0', '193.186.38.255', 3250202112, 3250202367, 'BG', 'Bulgaria'),
(104041, '193.186.39.0', '193.186.39.255', 3250202368, 3250202623, 'PL', 'Poland'),
(104042, '193.186.40.0', '193.186.161.255', 3250202624, 3250233855, 'AT', 'Austria'),
(104043, '193.186.162.0', '193.186.162.255', 3250233856, 3250234111, 'GB', 'United Kingdom'),
(104044, '193.186.163.0', '193.186.163.255', 3250234112, 3250234367, 'GR', 'Greece'),
(104045, '193.186.164.0', '193.186.207.255', 3250234368, 3250245631, 'AT', 'Austria'),
(104046, '193.186.208.0', '193.186.208.255', 3250245632, 3250245887, 'TR', 'Turkey'),
(104047, '193.186.209.0', '193.186.209.255', 3250245888, 3250246143, 'AT', 'Austria'),
(104048, '193.186.210.0', '193.186.210.255', 3250246144, 3250246399, 'GB', 'United Kingdom'),
(104049, '193.186.211.0', '193.186.251.255', 3250246400, 3250256895, 'AT', 'Austria'),
(104050, '193.186.252.0', '193.186.252.255', 3250256896, 3250257151, 'CH', 'Switzerland'),
(104051, '193.186.253.0', '193.186.254.255', 3250257152, 3250257663, 'AT', 'Austria'),
(104052, '193.186.255.0', '193.186.255.255', 3250257664, 3250257919, 'PL', 'Poland'),
(104053, '193.187.0.0', '193.187.0.255', 3250257920, 3250258175, 'EU', 'Europe'),
(104054, '193.187.1.0', '193.187.254.255', 3250258176, 3250323199, 'AT', 'Austria'),
(104055, '193.187.255.0', '193.187.255.255', 3250323200, 3250323455, 'RU', 'Russian Federation'),
(104056, '193.188.0.0', '193.188.0.255', 3250323456, 3250323711, 'PL', 'Poland'),
(104057, '193.188.1.0', '193.188.3.255', 3250323712, 3250324479, 'SA', 'Saudi Arabia'),
(104058, '193.188.4.0', '193.188.5.255', 3250324480, 3250324991, 'GB', 'United Kingdom'),
(104059, '193.188.6.0', '193.188.6.255', 3250324992, 3250325247, 'AE', 'United Arab Emirates'),
(104060, '193.188.7.0', '193.188.7.255', 3250325248, 3250325503, 'MA', 'Morocco'),
(104061, '193.188.8.0', '193.188.11.255', 3250325504, 3250326527, 'OM', 'Oman'),
(104062, '193.188.12.0', '193.188.13.255', 3250326528, 3250327039, 'BH', 'Bahrain'),
(104063, '193.188.14.0', '193.188.31.255', 3250327040, 3250331647, 'SA', 'Saudi Arabia'),
(104064, '193.188.32.0', '193.188.47.255', 3250331648, 3250335743, 'MT', 'Malta'),
(104065, '193.188.48.0', '193.188.63.255', 3250335744, 3250339839, 'KW', 'Kuwait'),
(104066, '193.188.64.0', '193.188.95.255', 3250339840, 3250348031, 'JO', 'Jordan'),
(104067, '193.188.96.0', '193.188.127.255', 3250348032, 3250356223, 'BH', 'Bahrain'),
(104068, '193.188.128.0', '193.188.131.255', 3250356224, 3250357247, 'LB', 'Lebanon'),
(104069, '193.188.132.0', '193.188.134.63', 3250357248, 3250357823, 'GB', 'United Kingdom'),
(104070, '193.188.134.64', '193.188.134.95', 3250357824, 3250357855, 'FR', 'France'),
(104071, '193.188.134.96', '193.188.134.111', 3250357856, 3250357871, 'EE', 'Estonia'),
(104072, '193.188.134.112', '193.188.134.119', 3250357872, 3250357879, 'CH', 'Switzerland'),
(104073, '193.188.134.120', '193.188.134.127', 3250357880, 3250357887, 'SE', 'Sweden'),
(104074, '193.188.134.128', '193.188.134.135', 3250357888, 3250357895, 'DK', 'Denmark'),
(104075, '193.188.134.144', '193.188.134.159', 3250357904, 3250357919, 'FR', 'France'),
(104076, '193.188.134.160', '193.188.134.167', 3250357920, 3250357927, 'PL', 'Poland'),
(104077, '193.188.134.192', '193.188.134.255', 3250357952, 3250358015, 'GB', 'United Kingdom'),
(104078, '193.188.135.0', '193.188.136.255', 3250358016, 3250358527, 'LB', 'Lebanon'),
(104079, '193.188.137.0', '193.188.137.255', 3250358528, 3250358783, 'HU', 'Hungary'),
(104080, '193.188.138.0', '193.188.139.255', 3250358784, 3250359295, 'LB', 'Lebanon'),
(104081, '193.188.140.0', '193.188.141.255', 3250359296, 3250359807, 'HU', 'Hungary'),
(104082, '193.188.142.0', '193.188.153.255', 3250359808, 3250362879, 'KW', 'Kuwait'),
(104083, '193.188.154.0', '193.188.155.255', 3250362880, 3250363391, 'DE', 'Germany'),
(104084, '193.188.156.0', '193.188.157.255', 3250363392, 3250363903, 'SE', 'Sweden'),
(104085, '193.188.158.0', '193.188.159.255', 3250363904, 3250364415, 'DE', 'Germany'),
(104086, '193.188.160.0', '193.188.191.255', 3250364416, 3250372607, 'KW', 'Kuwait'),
(104087, '193.188.192.0', '193.188.194.255', 3250372608, 3250373375, 'HU', 'Hungary'),
(104088, '193.188.195.0', '193.188.195.255', 3250373376, 3250373631, 'GB', 'United Kingdom'),
(104089, '193.188.196.0', '193.188.197.255', 3250373632, 3250374143, 'DE', 'Germany'),
(104090, '193.188.198.0', '193.188.199.255', 3250374144, 3250374655, 'PL', 'Poland'),
(104091, '193.188.200.0', '193.188.200.255', 3250374656, 3250374911, 'SA', 'Saudi Arabia'),
(104092, '193.188.201.0', '193.188.203.255', 3250374912, 3250375679, 'SE', 'Sweden'),
(104093, '193.188.204.0', '193.188.207.255', 3250375680, 3250376703, 'GB', 'United Kingdom'),
(104094, '193.188.208.0', '193.188.212.255', 3250376704, 3250377983, 'AT', 'Austria'),
(104095, '193.188.213.0', '193.188.213.255', 3250377984, 3250378239, 'AP', 'Asia/Pacific Region'),
(104096, '193.188.214.0', '193.188.223.255', 3250378240, 3250380799, 'AT', 'Austria'),
(104097, '193.188.224.0', '193.188.247.255', 3250380800, 3250386943, 'CH', 'Switzerland'),
(104098, '193.188.248.0', '193.188.248.255', 3250386944, 3250387199, 'SE', 'Sweden'),
(104099, '193.188.249.0', '193.188.249.255', 3250387200, 3250387455, 'FR', 'France'),
(104100, '193.188.250.0', '193.188.250.255', 3250387456, 3250387711, 'DE', 'Germany'),
(104101, '193.188.251.0', '193.188.251.255', 3250387712, 3250387967, 'FR', 'France'),
(104102, '193.188.252.0', '193.188.252.255', 3250387968, 3250388223, 'JO', 'Jordan'),
(104103, '193.188.253.0', '193.188.253.255', 3250388224, 3250388479, 'PL', 'Poland'),
(104104, '193.188.254.0', '193.188.254.255', 3250388480, 3250388735, 'UA', 'Ukraine'),
(104105, '193.188.255.0', '193.188.255.255', 3250388736, 3250388991, 'FR', 'France'),
(104106, '193.189.0.0', '193.189.65.255', 3250388992, 3250405887, 'NG', 'Nigeria'),
(104107, '193.189.66.0', '193.189.67.255', 3250405888, 3250406399, 'IE', 'Ireland'),
(104108, '193.189.68.0', '193.189.69.255', 3250406400, 3250406911, 'RU', 'Russian Federation'),
(104109, '193.189.70.0', '193.189.71.255', 3250406912, 3250407423, 'RO', 'Romania'),
(104110, '193.189.72.0', '193.189.73.255', 3250407424, 3250407935, 'PL', 'Poland'),
(104111, '193.189.74.0', '193.189.75.255', 3250407936, 3250408447, 'GB', 'United Kingdom'),
(104112, '193.189.76.0', '193.189.77.255', 3250408448, 3250408959, 'PL', 'Poland'),
(104113, '193.189.78.0', '193.189.79.255', 3250408960, 3250409471, 'DE', 'Germany'),
(104114, '193.189.80.0', '193.189.81.255', 3250409472, 3250409983, 'GB', 'United Kingdom'),
(104115, '193.189.82.0', '193.189.83.255', 3250409984, 3250410495, 'DE', 'Germany'),
(104116, '193.189.84.0', '193.189.85.255', 3250410496, 3250411007, 'AT', 'Austria'),
(104117, '193.189.86.0', '193.189.87.255', 3250411008, 3250411519, 'LT', 'Lithuania'),
(104118, '193.189.88.0', '193.189.89.255', 3250411520, 3250412031, 'RU', 'Russian Federation'),
(104119, '193.189.90.0', '193.189.91.255', 3250412032, 3250412543, 'FR', 'France'),
(104120, '193.189.92.0', '193.189.93.255', 3250412544, 3250413055, 'DK', 'Denmark'),
(104121, '193.189.94.0', '193.189.95.255', 3250413056, 3250413567, 'DE', 'Germany'),
(104122, '193.189.96.0', '193.189.97.255', 3250413568, 3250414079, 'UA', 'Ukraine'),
(104123, '193.189.98.0', '193.189.99.255', 3250414080, 3250414591, 'RO', 'Romania'),
(104124, '193.189.100.0', '193.189.101.255', 3250414592, 3250415103, 'DE', 'Germany'),
(104125, '193.189.102.0', '193.189.103.255', 3250415104, 3250415615, 'NL', 'Netherlands'),
(104126, '193.189.104.0', '193.189.105.255', 3250415616, 3250416127, 'FR', 'France'),
(104127, '193.189.106.0', '193.189.111.255', 3250416128, 3250417663, 'DE', 'Germany'),
(104128, '193.189.112.0', '193.189.113.255', 3250417664, 3250418175, 'IT', 'Italy'),
(104129, '193.189.114.0', '193.189.115.255', 3250418176, 3250418687, 'DE', 'Germany'),
(104130, '193.189.116.0', '193.189.117.255', 3250418688, 3250419199, 'PL', 'Poland'),
(104131, '193.189.118.0', '193.189.119.255', 3250419200, 3250419711, 'NO', 'Norway'),
(104132, '193.189.120.0', '193.189.121.255', 3250419712, 3250420223, 'RU', 'Russian Federation'),
(104133, '193.189.122.0', '193.189.123.255', 3250420224, 3250420735, 'IR', 'Iran, Islamic Republic of'),
(104134, '193.189.124.0', '193.189.125.255', 3250420736, 3250421247, 'FR', 'France'),
(104135, '193.189.126.0', '193.189.127.255', 3250421248, 3250421759, 'UA', 'Ukraine'),
(104136, '193.189.128.0', '193.189.128.255', 3250421760, 3250422015, 'NG', 'Nigeria'),
(104137, '193.189.129.0', '193.189.133.255', 3250422016, 3250423295, 'GB', 'United Kingdom'),
(104138, '193.189.134.0', '193.189.134.255', 3250423296, 3250423551, 'NL', 'Netherlands'),
(104139, '193.189.135.0', '193.189.135.255', 3250423552, 3250423807, 'BE', 'Belgium'),
(104140, '193.189.136.0', '193.189.136.255', 3250423808, 3250424063, 'AT', 'Austria'),
(104141, '193.189.137.0', '193.189.137.255', 3250424064, 3250424319, 'DE', 'Germany'),
(104142, '193.189.138.0', '193.189.139.255', 3250424320, 3250424831, 'NL', 'Netherlands'),
(104143, '193.189.140.0', '193.189.141.255', 3250424832, 3250425343, 'GB', 'United Kingdom'),
(104144, '193.189.142.0', '193.189.142.255', 3250425344, 3250425599, 'TR', 'Turkey'),
(104145, '193.189.143.0', '193.189.143.255', 3250425600, 3250425855, 'FR', 'France'),
(104146, '193.189.144.0', '193.189.144.255', 3250425856, 3250426111, 'LT', 'Lithuania'),
(104147, '193.189.145.0', '193.189.145.255', 3250426112, 3250426367, 'NO', 'Norway'),
(104148, '193.189.146.0', '193.189.146.255', 3250426368, 3250426623, 'AT', 'Austria'),
(104149, '193.189.147.0', '193.189.147.255', 3250426624, 3250426879, 'BE', 'Belgium'),
(104150, '193.189.148.0', '193.189.148.255', 3250426880, 3250427135, 'JO', 'Jordan'),
(104151, '193.189.149.0', '193.189.149.255', 3250427136, 3250427391, 'NL', 'Netherlands'),
(104152, '193.189.150.0', '193.189.159.255', 3250427392, 3250429951, 'DE', 'Germany'),
(104153, '193.189.160.0', '193.189.177.31', 3250429952, 3250434335, 'SI', 'Slovenia'),
(104154, '193.189.177.32', '193.189.177.47', 3250434336, 3250434351, 'AT', 'Austria'),
(104155, '193.189.177.48', '193.189.191.255', 3250434352, 3250438143, 'SI', 'Slovenia'),
(104156, '193.189.192.0', '193.189.212.255', 3250438144, 3250443519, 'CH', 'Switzerland'),
(104157, '193.189.213.0', '193.189.213.7', 3250443520, 3250443527, 'DE', 'Germany'),
(104158, '193.189.213.8', '193.189.223.255', 3250443528, 3250446335, 'CH', 'Switzerland'),
(104159, '193.189.224.0', '193.189.244.127', 3250446336, 3250451583, 'DE', 'Germany'),
(104160, '193.189.244.128', '193.189.244.143', 3250451584, 3250451599, 'AT', 'Austria'),
(104161, '193.189.244.144', '193.189.255.255', 3250451600, 3250454527, 'DE', 'Germany'),
(104162, '193.190.0.0', '193.191.255.255', 3250454528, 3250585599, 'BE', 'Belgium'),
(104163, '193.192.0.0', '193.192.0.255', 3250585600, 3250585855, 'NL', 'Netherlands'),
(104164, '193.192.1.0', '193.192.11.255', 3250585856, 3250588671, 'PT', 'Portugal'),
(104165, '193.192.12.0', '193.192.12.127', 3250588672, 3250588799, 'IE', 'Ireland'),
(104166, '193.192.12.128', '193.192.12.255', 3250588800, 3250588927, 'AT', 'Austria'),
(104167, '193.192.13.0', '193.192.13.255', 3250588928, 3250589183, 'GB', 'United Kingdom'),
(104168, '193.192.14.0', '193.192.14.255', 3250589184, 3250589439, 'DE', 'Germany'),
(104169, '193.192.15.0', '193.192.15.31', 3250589440, 3250589471, 'IE', 'Ireland'),
(104170, '193.192.15.32', '193.192.15.63', 3250589472, 3250589503, 'NL', 'Netherlands'),
(104171, '193.192.15.64', '193.192.15.127', 3250589504, 3250589567, 'HR', 'Croatia'),
(104172, '193.192.15.128', '193.192.15.191', 3250589568, 3250589631, 'RU', 'Russian Federation'),
(104173, '193.192.15.192', '193.192.15.255', 3250589632, 3250589695, 'NO', 'Norway'),
(104174, '193.192.16.0', '193.192.31.255', 3250589696, 3250593791, 'CH', 'Switzerland'),
(104175, '193.192.32.0', '193.192.35.255', 3250593792, 3250594815, 'GB', 'United Kingdom'),
(104176, '193.192.36.0', '193.192.37.255', 3250594816, 3250595327, 'UA', 'Ukraine'),
(104177, '193.192.38.0', '193.192.39.255', 3250595328, 3250595839, 'GR', 'Greece'),
(104178, '193.192.40.0', '193.192.41.255', 3250595840, 3250596351, 'DE', 'Germany'),
(104179, '193.192.42.0', '193.192.47.255', 3250596352, 3250597887, 'RO', 'Romania'),
(104180, '193.192.48.0', '193.192.49.255', 3250597888, 3250598399, 'BG', 'Bulgaria'),
(104181, '193.192.50.0', '193.192.51.255', 3250598400, 3250598911, 'GB', 'United Kingdom'),
(104182, '193.192.52.0', '193.192.53.255', 3250598912, 3250599423, 'RO', 'Romania'),
(104183, '193.192.54.0', '193.192.55.255', 3250599424, 3250599935, 'SE', 'Sweden'),
(104184, '193.192.56.0', '193.192.57.255', 3250599936, 3250600447, 'BG', 'Bulgaria'),
(104185, '193.192.58.0', '193.192.61.255', 3250600448, 3250601471, 'DE', 'Germany'),
(104186, '193.192.62.0', '193.192.63.255', 3250601472, 3250601983, 'PL', 'Poland'),
(104187, '193.192.64.0', '193.192.95.255', 3250601984, 3250610175, 'GB', 'United Kingdom'),
(104188, '193.192.96.0', '193.192.127.255', 3250610176, 3250618367, 'TR', 'Turkey'),
(104189, '193.192.128.0', '193.192.159.255', 3250618368, 3250626559, 'RU', 'Russian Federation'),
(104190, '193.192.160.0', '193.192.188.255', 3250626560, 3250633983, 'PL', 'Poland'),
(104191, '193.192.189.0', '193.192.189.255', 3250633984, 3250634239, 'US', 'United States'),
(104192, '193.192.190.0', '193.192.191.255', 3250634240, 3250634751, 'PL', 'Poland'),
(104193, '193.192.192.0', '193.192.223.255', 3250634752, 3250642943, 'GB', 'United Kingdom'),
(104194, '193.192.224.0', '193.192.255.255', 3250642944, 3250651135, 'CH', 'Switzerland'),
(104195, '193.193.0.0', '193.193.31.255', 3250651136, 3250659327, 'IT', 'Italy'),
(104196, '193.193.32.0', '193.193.63.255', 3250659328, 3250667519, 'EU', 'Europe'),
(104197, '193.193.64.0', '193.193.95.255', 3250667520, 3250675711, 'PL', 'Poland'),
(104198, '193.193.96.0', '193.193.127.255', 3250675712, 3250683903, 'GB', 'United Kingdom'),
(104199, '193.193.128.0', '193.193.159.255', 3250683904, 3250692095, 'CH', 'Switzerland'),
(104200, '193.193.160.0', '193.193.160.255', 3250692096, 3250692351, 'NO', 'Norway'),
(104201, '193.193.161.0', '193.193.161.255', 3250692352, 3250692607, 'NL', 'Netherlands'),
(104202, '193.193.162.0', '193.193.164.255', 3250692608, 3250693375, 'BG', 'Bulgaria'),
(104203, '193.193.165.0', '193.193.165.255', 3250693376, 3250693631, 'NL', 'Netherlands'),
(104204, '193.193.166.0', '193.193.167.255', 3250693632, 3250694143, 'DE', 'Germany'),
(104205, '193.193.168.0', '193.193.168.255', 3250694144, 3250694399, 'PL', 'Poland'),
(104206, '193.193.169.0', '193.193.169.255', 3250694400, 3250694655, 'GB', 'United Kingdom'),
(104207, '193.193.170.0', '193.193.170.255', 3250694656, 3250694911, 'SK', 'Slovakia'),
(104208, '193.193.171.0', '193.193.171.255', 3250694912, 3250695167, 'NL', 'Netherlands'),
(104209, '193.193.172.0', '193.193.173.255', 3250695168, 3250695679, 'IT', 'Italy'),
(104210, '193.193.174.0', '193.193.180.255', 3250695680, 3250697471, 'DE', 'Germany'),
(104211, '193.193.181.0', '193.193.181.255', 3250697472, 3250697727, 'PL', 'Poland'),
(104212, '193.193.182.0', '193.193.182.255', 3250697728, 3250697983, 'BG', 'Bulgaria'),
(104213, '193.193.183.0', '193.193.183.255', 3250697984, 3250698239, 'IT', 'Italy'),
(104214, '193.193.184.0', '193.193.185.255', 3250698240, 3250698751, 'GR', 'Greece'),
(104215, '193.193.186.0', '193.193.187.255', 3250698752, 3250699263, 'RU', 'Russian Federation'),
(104216, '193.193.188.0', '193.193.189.255', 3250699264, 3250699775, 'GB', 'United Kingdom'),
(104217, '193.193.190.0', '193.193.191.255', 3250699776, 3250700287, 'DE', 'Germany'),
(104218, '193.193.192.0', '193.193.223.255', 3250700288, 3250708479, 'UA', 'Ukraine'),
(104219, '193.193.224.0', '193.193.255.255', 3250708480, 3250716671, 'KZ', 'Kazakhstan'),
(104220, '193.194.0.0', '193.194.0.255', 3250716672, 3250716927, 'RO', 'Romania'),
(104221, '193.194.1.0', '193.194.5.255', 3250716928, 3250718207, 'MA', 'Morocco'),
(104222, '193.194.6.0', '193.194.15.255', 3250718208, 3250720767, 'DE', 'Germany'),
(104223, '193.194.16.0', '193.194.20.255', 3250720768, 3250722047, 'IT', 'Italy'),
(104224, '193.194.21.0', '193.194.21.255', 3250722048, 3250722303, 'RO', 'Romania'),
(104225, '193.194.22.0', '193.194.31.255', 3250722304, 3250724863, 'GB', 'United Kingdom'),
(104226, '193.194.32.0', '193.194.63.255', 3250724864, 3250733055, 'MA', 'Morocco'),
(104227, '193.194.64.0', '193.194.95.255', 3250733056, 3250741247, 'DZ', 'Algeria'),
(104228, '193.194.96.0', '193.194.101.255', 3250741248, 3250742783, 'RU', 'Russian Federation'),
(104229, '193.194.102.0', '193.194.104.255', 3250742784, 3250743551, 'AT', 'Austria'),
(104230, '193.194.105.0', '193.194.105.255', 3250743552, 3250743807, 'CY', 'Cyprus'),
(104231, '193.194.106.0', '193.194.115.255', 3250743808, 3250746367, 'UA', 'Ukraine'),
(104232, '193.194.116.0', '193.194.119.255', 3250746368, 3250747391, 'NL', 'Netherlands'),
(104233, '193.194.120.0', '193.194.121.255', 3250747392, 3250747903, 'SI', 'Slovenia'),
(104234, '193.194.122.0', '193.194.122.255', 3250747904, 3250748159, 'SA', 'Saudi Arabia'),
(104235, '193.194.123.0', '193.194.123.255', 3250748160, 3250748415, 'PL', 'Poland'),
(104236, '193.194.124.0', '193.194.127.255', 3250748416, 3250749439, 'UA', 'Ukraine'),
(104237, '193.194.128.0', '193.194.128.255', 3250749440, 3250749695, 'GH', 'Ghana'),
(104238, '193.194.129.0', '193.194.129.255', 3250749696, 3250749951, 'EU', 'Europe'),
(104239, '193.194.130.0', '193.194.131.255', 3250749952, 3250750463, 'RO', 'Romania'),
(104240, '193.194.132.0', '193.194.135.255', 3250750464, 3250751487, 'FR', 'France'),
(104241, '193.194.136.0', '193.194.137.255', 3250751488, 3250751999, 'DE', 'Germany'),
(104242, '193.194.138.0', '193.194.139.255', 3250752000, 3250752511, 'CH', 'Switzerland'),
(104243, '193.194.140.0', '193.194.141.255', 3250752512, 3250753023, 'BG', 'Bulgaria'),
(104244, '193.194.142.0', '193.194.145.255', 3250753024, 3250754047, 'DE', 'Germany'),
(104245, '193.194.146.0', '193.194.146.255', 3250754048, 3250754303, 'AT', 'Austria'),
(104246, '193.194.147.0', '193.194.147.255', 3250754304, 3250754559, 'GB', 'United Kingdom'),
(104247, '193.194.148.0', '193.194.149.255', 3250754560, 3250755071, 'DE', 'Germany'),
(104248, '193.194.150.0', '193.194.151.255', 3250755072, 3250755583, 'GB', 'United Kingdom'),
(104249, '193.194.152.0', '193.194.152.255', 3250755584, 3250755839, 'FR', 'France'),
(104250, '193.194.153.0', '193.194.154.255', 3250755840, 3250756351, 'RU', 'Russian Federation'),
(104251, '193.194.155.0', '193.194.155.255', 3250756352, 3250756607, 'PT', 'Portugal'),
(104252, '193.194.156.0', '193.194.156.255', 3250756608, 3250756863, 'BG', 'Bulgaria'),
(104253, '193.194.157.0', '193.194.157.255', 3250756864, 3250757119, 'DE', 'Germany'),
(104254, '193.194.158.0', '193.194.158.255', 3250757120, 3250757375, 'BE', 'Belgium'),
(104255, '193.194.159.0', '193.194.159.255', 3250757376, 3250757631, 'HU', 'Hungary'),
(104256, '193.194.160.0', '193.194.191.255', 3250757632, 3250765823, 'GH', 'Ghana'),
(104257, '193.194.192.0', '193.194.255.255', 3250765824, 3250782207, 'SE', 'Sweden'),
(104258, '193.195.0.0', '193.195.255.255', 3250782208, 3250847743, 'GB', 'United Kingdom'),
(104259, '193.196.0.0', '193.197.255.255', 3250847744, 3250978815, 'DE', 'Germany'),
(104260, '193.198.0.0', '193.198.255.255', 3250978816, 3251044351, 'HR', 'Croatia'),
(104261, '193.199.0.0', '193.199.255.255', 3251044352, 3251109887, 'FI', 'Finland'),
(104262, '193.200.0.0', '193.200.0.255', 3251109888, 3251110143, 'SI', 'Slovenia'),
(104263, '193.200.1.0', '193.200.2.255', 3251110144, 3251110655, 'BG', 'Bulgaria'),
(104264, '193.200.3.0', '193.200.3.255', 3251110656, 3251110911, 'IT', 'Italy'),
(104265, '193.200.4.0', '193.200.4.255', 3251110912, 3251111167, 'FR', 'France'),
(104266, '193.200.5.0', '193.200.5.255', 3251111168, 3251111423, 'CH', 'Switzerland'),
(104267, '193.200.6.0', '193.200.6.255', 3251111424, 3251111679, 'AT', 'Austria'),
(104268, '193.200.7.0', '193.200.7.255', 3251111680, 3251111935, 'ES', 'Spain'),
(104269, '193.200.8.0', '193.200.8.255', 3251111936, 3251112191, 'BG', 'Bulgaria'),
(104270, '193.200.9.0', '193.200.9.255', 3251112192, 3251112447, 'SK', 'Slovakia'),
(104271, '193.200.10.0', '193.200.10.255', 3251112448, 3251112703, 'RU', 'Russian Federation'),
(104272, '193.200.11.0', '193.200.11.255', 3251112704, 3251112959, 'SE', 'Sweden'),
(104273, '193.200.12.0', '193.200.12.255', 3251112960, 3251113215, 'BG', 'Bulgaria'),
(104274, '193.200.13.0', '193.200.13.255', 3251113216, 3251113471, 'VG', 'Virgin Islands, British'),
(104275, '193.200.14.0', '193.200.17.255', 3251113472, 3251114495, 'BG', 'Bulgaria'),
(104276, '193.200.18.0', '193.200.18.255', 3251114496, 3251114751, 'RU', 'Russian Federation'),
(104277, '193.200.19.0', '193.200.19.255', 3251114752, 3251115007, 'RO', 'Romania'),
(104278, '193.200.20.0', '193.200.20.255', 3251115008, 3251115263, 'PL', 'Poland'),
(104279, '193.200.21.0', '193.200.21.255', 3251115264, 3251115519, 'RU', 'Russian Federation'),
(104280, '193.200.22.0', '193.200.22.255', 3251115520, 3251115775, 'UA', 'Ukraine'),
(104281, '193.200.23.0', '193.200.23.255', 3251115776, 3251116031, 'BE', 'Belgium'),
(104282, '193.200.24.0', '193.200.24.255', 3251116032, 3251116287, 'BG', 'Bulgaria'),
(104283, '193.200.25.0', '193.200.25.255', 3251116288, 3251116543, 'GB', 'United Kingdom'),
(104284, '193.200.26.0', '193.200.26.255', 3251116544, 3251116799, 'DK', 'Denmark'),
(104285, '193.200.27.0', '193.200.27.255', 3251116800, 3251117055, 'GB', 'United Kingdom'),
(104286, '193.200.28.0', '193.200.28.255', 3251117056, 3251117311, 'BG', 'Bulgaria'),
(104287, '193.200.29.0', '193.200.29.255', 3251117312, 3251117567, 'FR', 'France'),
(104288, '193.200.30.0', '193.200.30.255', 3251117568, 3251117823, 'IL', 'Israel'),
(104289, '193.200.31.0', '193.200.31.255', 3251117824, 3251118079, 'SE', 'Sweden'),
(104290, '193.200.32.0', '193.200.33.255', 3251118080, 3251118591, 'UA', 'Ukraine'),
(104291, '193.200.34.0', '193.200.35.255', 3251118592, 3251119103, 'RU', 'Russian Federation'),
(104292, '193.200.36.0', '193.200.39.255', 3251119104, 3251120127, 'UA', 'Ukraine'),
(104293, '193.200.40.0', '193.200.41.255', 3251120128, 3251120639, 'KW', 'Kuwait'),
(104294, '193.200.42.0', '193.200.43.255', 3251120640, 3251121151, 'FR', 'France'),
(104295, '193.200.44.0', '193.200.45.255', 3251121152, 3251121663, 'DK', 'Denmark'),
(104296, '193.200.46.0', '193.200.47.255', 3251121664, 3251122175, 'PL', 'Poland'),
(104297, '193.200.48.0', '193.200.49.255', 3251122176, 3251122687, 'CH', 'Switzerland'),
(104298, '193.200.50.0', '193.200.51.255', 3251122688, 3251123199, 'PL', 'Poland'),
(104299, '193.200.52.0', '193.200.53.255', 3251123200, 3251123711, 'FR', 'France'),
(104300, '193.200.54.0', '193.200.55.255', 3251123712, 3251124223, 'RU', 'Russian Federation'),
(104301, '193.200.56.0', '193.200.57.255', 3251124224, 3251124735, 'NL', 'Netherlands'),
(104302, '193.200.58.0', '193.200.59.255', 3251124736, 3251125247, 'FR', 'France'),
(104303, '193.200.60.0', '193.200.61.255', 3251125248, 3251125759, 'BE', 'Belgium'),
(104304, '193.200.62.0', '193.200.63.255', 3251125760, 3251126271, 'RU', 'Russian Federation'),
(104305, '193.200.64.0', '193.200.65.255', 3251126272, 3251126783, 'UA', 'Ukraine'),
(104306, '193.200.66.0', '193.200.67.255', 3251126784, 3251127295, 'PL', 'Poland'),
(104307, '193.200.68.0', '193.200.69.255', 3251127296, 3251127807, 'UA', 'Ukraine'),
(104308, '193.200.70.0', '193.200.71.255', 3251127808, 3251128319, 'NL', 'Netherlands'),
(104309, '193.200.72.0', '193.200.73.255', 3251128320, 3251128831, 'DE', 'Germany'),
(104310, '193.200.74.0', '193.200.75.255', 3251128832, 3251129343, 'SE', 'Sweden'),
(104311, '193.200.76.0', '193.200.77.255', 3251129344, 3251129855, 'UA', 'Ukraine'),
(104312, '193.200.78.0', '193.200.79.255', 3251129856, 3251130367, 'CH', 'Switzerland'),
(104313, '193.200.80.0', '193.200.81.255', 3251130368, 3251130879, 'GB', 'United Kingdom'),
(104314, '193.200.82.0', '193.200.83.255', 3251130880, 3251131391, 'PL', 'Poland'),
(104315, '193.200.84.0', '193.200.85.255', 3251131392, 3251131903, 'UA', 'Ukraine'),
(104316, '193.200.86.0', '193.200.87.255', 3251131904, 3251132415, 'SE', 'Sweden'),
(104317, '193.200.88.0', '193.200.89.255', 3251132416, 3251132927, 'RU', 'Russian Federation'),
(104318, '193.200.90.0', '193.200.91.255', 3251132928, 3251133439, 'DK', 'Denmark'),
(104319, '193.200.92.0', '193.200.93.255', 3251133440, 3251133951, 'NO', 'Norway'),
(104320, '193.200.94.0', '193.200.95.255', 3251133952, 3251134463, 'RU', 'Russian Federation'),
(104321, '193.200.96.0', '193.200.97.255', 3251134464, 3251134975, 'DE', 'Germany'),
(104322, '193.200.98.0', '193.200.101.255', 3251134976, 3251135999, 'GB', 'United Kingdom'),
(104323, '193.200.102.0', '193.200.103.255', 3251136000, 3251136511, 'RO', 'Romania'),
(104324, '193.200.104.0', '193.200.105.255', 3251136512, 3251137023, 'DK', 'Denmark'),
(104325, '193.200.106.0', '193.200.107.255', 3251137024, 3251137535, 'DE', 'Germany'),
(104326, '193.200.108.0', '193.200.109.255', 3251137536, 3251138047, 'PL', 'Poland'),
(104327, '193.200.110.0', '193.200.111.255', 3251138048, 3251138559, 'FR', 'France'),
(104328, '193.200.112.0', '193.200.113.255', 3251138560, 3251139071, 'AT', 'Austria'),
(104329, '193.200.114.0', '193.200.115.255', 3251139072, 3251139583, 'GB', 'United Kingdom'),
(104330, '193.200.116.0', '193.200.117.255', 3251139584, 3251140095, 'FR', 'France'),
(104331, '193.200.118.0', '193.200.123.255', 3251140096, 3251141631, 'PL', 'Poland'),
(104332, '193.200.124.0', '193.200.125.255', 3251141632, 3251142143, 'LT', 'Lithuania'),
(104333, '193.200.126.0', '193.200.127.255', 3251142144, 3251142655, 'RO', 'Romania'),
(104334, '193.200.128.0', '193.200.128.255', 3251142656, 3251142911, 'DE', 'Germany'),
(104335, '193.200.129.0', '193.200.129.255', 3251142912, 3251143167, 'RU', 'Russian Federation'),
(104336, '193.200.130.0', '193.200.130.255', 3251143168, 3251143423, 'AM', 'Armenia'),
(104337, '193.200.131.0', '193.200.131.255', 3251143424, 3251143679, 'LV', 'Latvia'),
(104338, '193.200.132.0', '193.200.132.255', 3251143680, 3251143935, 'NL', 'Netherlands'),
(104339, '193.200.133.0', '193.200.133.255', 3251143936, 3251144191, 'PL', 'Poland'),
(104340, '193.200.134.0', '193.200.134.255', 3251144192, 3251144447, 'TR', 'Turkey'),
(104341, '193.200.135.0', '193.200.135.255', 3251144448, 3251144703, 'BE', 'Belgium'),
(104342, '193.200.136.0', '193.200.136.255', 3251144704, 3251144959, 'HU', 'Hungary'),
(104343, '193.200.137.0', '193.200.138.255', 3251144960, 3251145471, 'DE', 'Germany'),
(104344, '193.200.139.0', '193.200.139.255', 3251145472, 3251145727, 'FR', 'France'),
(104345, '193.200.140.0', '193.200.140.255', 3251145728, 3251145983, 'NL', 'Netherlands'),
(104346, '193.200.141.0', '193.200.141.255', 3251145984, 3251146239, 'RO', 'Romania'),
(104347, '193.200.142.0', '193.200.142.255', 3251146240, 3251146495, 'AT', 'Austria'),
(104348, '193.200.143.0', '193.200.143.255', 3251146496, 3251146751, 'SK', 'Slovakia'),
(104349, '193.200.144.0', '193.200.144.255', 3251146752, 3251147007, 'CH', 'Switzerland'),
(104350, '193.200.145.0', '193.200.145.255', 3251147008, 3251147263, 'GB', 'United Kingdom'),
(104351, '193.200.146.0', '193.200.146.255', 3251147264, 3251147519, 'PL', 'Poland'),
(104352, '193.200.147.0', '193.200.147.255', 3251147520, 3251147775, 'NL', 'Netherlands'),
(104353, '193.200.148.0', '193.200.148.255', 3251147776, 3251148031, 'SE', 'Sweden'),
(104354, '193.200.149.0', '193.200.149.255', 3251148032, 3251148287, 'RU', 'Russian Federation'),
(104355, '193.200.150.0', '193.200.150.255', 3251148288, 3251148543, 'A1', 'Anonymous Proxy'),
(104356, '193.200.151.0', '193.200.151.255', 3251148544, 3251148799, 'UA', 'Ukraine'),
(104357, '193.200.152.0', '193.200.152.255', 3251148800, 3251149055, 'HU', 'Hungary'),
(104358, '193.200.153.0', '193.200.153.255', 3251149056, 3251149311, 'NL', 'Netherlands'),
(104359, '193.200.154.0', '193.200.154.255', 3251149312, 3251149567, 'DE', 'Germany'),
(104360, '193.200.155.0', '193.200.155.255', 3251149568, 3251149823, 'IE', 'Ireland'),
(104361, '193.200.156.0', '193.200.156.255', 3251149824, 3251150079, 'DE', 'Germany'),
(104362, '193.200.157.0', '193.200.157.255', 3251150080, 3251150335, 'CH', 'Switzerland'),
(104363, '193.200.158.0', '193.200.158.255', 3251150336, 3251150591, 'GB', 'United Kingdom'),
(104364, '193.200.159.0', '193.200.159.255', 3251150592, 3251150847, 'CH', 'Switzerland'),
(104365, '193.200.160.0', '193.200.160.255', 3251150848, 3251151103, 'DE', 'Germany'),
(104366, '193.200.161.0', '193.200.161.255', 3251151104, 3251151359, 'UA', 'Ukraine'),
(104367, '193.200.162.0', '193.200.162.255', 3251151360, 3251151615, 'DE', 'Germany'),
(104368, '193.200.163.0', '193.200.163.255', 3251151616, 3251151871, 'PL', 'Poland'),
(104369, '193.200.164.0', '193.200.164.255', 3251151872, 3251152127, 'NL', 'Netherlands'),
(104370, '193.200.165.0', '193.200.166.255', 3251152128, 3251152639, 'RO', 'Romania'),
(104371, '193.200.167.0', '193.200.167.255', 3251152640, 3251152895, 'UA', 'Ukraine'),
(104372, '193.200.168.0', '193.200.168.255', 3251152896, 3251153151, 'RU', 'Russian Federation'),
(104373, '193.200.169.0', '193.200.169.255', 3251153152, 3251153407, 'UA', 'Ukraine'),
(104374, '193.200.170.0', '193.200.170.255', 3251153408, 3251153663, 'TR', 'Turkey'),
(104375, '193.200.171.0', '193.200.171.255', 3251153664, 3251153919, 'FR', 'France'),
(104376, '193.200.172.0', '193.200.172.255', 3251153920, 3251154175, 'DE', 'Germany'),
(104377, '193.200.173.0', '193.200.173.255', 3251154176, 3251154431, 'UA', 'Ukraine'),
(104378, '193.200.174.0', '193.200.174.255', 3251154432, 3251154687, 'NL', 'Netherlands'),
(104379, '193.200.175.0', '193.200.175.255', 3251154688, 3251154943, 'UA', 'Ukraine'),
(104380, '193.200.176.0', '193.200.177.255', 3251154944, 3251155455, 'GB', 'United Kingdom'),
(104381, '193.200.178.0', '193.200.178.255', 3251155456, 3251155711, 'NL', 'Netherlands'),
(104382, '193.200.179.0', '193.200.179.255', 3251155712, 3251155967, 'UA', 'Ukraine'),
(104383, '193.200.180.0', '193.200.180.255', 3251155968, 3251156223, 'TR', 'Turkey'),
(104384, '193.200.181.0', '193.200.182.255', 3251156224, 3251156735, 'FR', 'France'),
(104385, '193.200.183.0', '193.200.183.255', 3251156736, 3251156991, 'UA', 'Ukraine'),
(104386, '193.200.184.0', '193.200.184.255', 3251156992, 3251157247, 'FR', 'France'),
(104387, '193.200.185.0', '193.200.185.255', 3251157248, 3251157503, 'BE', 'Belgium'),
(104388, '193.200.186.0', '193.200.187.255', 3251157504, 3251158015, 'PL', 'Poland'),
(104389, '193.200.188.0', '193.200.188.255', 3251158016, 3251158271, 'TR', 'Turkey'),
(104390, '193.200.189.0', '193.200.189.255', 3251158272, 3251158527, 'RU', 'Russian Federation'),
(104391, '193.200.190.0', '193.200.190.255', 3251158528, 3251158783, 'UA', 'Ukraine'),
(104392, '193.200.191.0', '193.200.192.255', 3251158784, 3251159295, 'GB', 'United Kingdom'),
(104393, '193.200.193.0', '193.200.193.255', 3251159296, 3251159551, 'DE', 'Germany'),
(104394, '193.200.194.0', '193.200.194.255', 3251159552, 3251159807, 'ES', 'Spain'),
(104395, '193.200.195.0', '193.200.195.255', 3251159808, 3251160063, 'DE', 'Germany'),
(104396, '193.200.196.0', '193.200.196.255', 3251160064, 3251160319, 'JO', 'Jordan'),
(104397, '193.200.197.0', '193.200.197.255', 3251160320, 3251160575, 'PL', 'Poland'),
(104398, '193.200.198.0', '193.200.198.255', 3251160576, 3251160831, 'NL', 'Netherlands'),
(104399, '193.200.199.0', '193.200.199.255', 3251160832, 3251161087, 'RU', 'Russian Federation'),
(104400, '193.200.200.0', '193.200.200.255', 3251161088, 3251161343, 'RO', 'Romania'),
(104401, '193.200.201.0', '193.200.201.255', 3251161344, 3251161599, 'LV', 'Latvia'),
(104402, '193.200.202.0', '193.200.202.255', 3251161600, 3251161855, 'SE', 'Sweden'),
(104403, '193.200.203.0', '193.200.203.255', 3251161856, 3251162111, 'HR', 'Croatia'),
(104404, '193.200.204.0', '193.200.204.255', 3251162112, 3251162367, 'DK', 'Denmark'),
(104405, '193.200.205.0', '193.200.205.255', 3251162368, 3251162623, 'UA', 'Ukraine'),
(104406, '193.200.206.0', '193.200.206.255', 3251162624, 3251162879, 'DE', 'Germany'),
(104407, '193.200.207.0', '193.200.207.255', 3251162880, 3251163135, 'SI', 'Slovenia'),
(104408, '193.200.208.0', '193.200.208.255', 3251163136, 3251163391, 'SE', 'Sweden');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(104409, '193.200.209.0', '193.200.209.255', 3251163392, 3251163647, 'UA', 'Ukraine'),
(104410, '193.200.210.0', '193.200.210.255', 3251163648, 3251163903, 'DE', 'Germany'),
(104411, '193.200.211.0', '193.200.211.255', 3251163904, 3251164159, 'RU', 'Russian Federation'),
(104412, '193.200.212.0', '193.200.212.255', 3251164160, 3251164415, 'UA', 'Ukraine'),
(104413, '193.200.213.0', '193.200.213.255', 3251164416, 3251164671, 'IT', 'Italy'),
(104414, '193.200.214.0', '193.200.214.255', 3251164672, 3251164927, 'NL', 'Netherlands'),
(104415, '193.200.215.0', '193.200.216.255', 3251164928, 3251165439, 'PL', 'Poland'),
(104416, '193.200.217.0', '193.200.217.255', 3251165440, 3251165695, 'CH', 'Switzerland'),
(104417, '193.200.218.0', '193.200.218.255', 3251165696, 3251165951, 'DE', 'Germany'),
(104418, '193.200.219.0', '193.200.219.255', 3251165952, 3251166207, 'UA', 'Ukraine'),
(104419, '193.200.220.0', '193.200.220.255', 3251166208, 3251166463, 'CH', 'Switzerland'),
(104420, '193.200.221.0', '193.200.221.255', 3251166464, 3251166719, 'RU', 'Russian Federation'),
(104421, '193.200.222.0', '193.200.222.255', 3251166720, 3251166975, 'FR', 'France'),
(104422, '193.200.223.0', '193.200.223.255', 3251166976, 3251167231, 'CH', 'Switzerland'),
(104423, '193.200.224.0', '193.200.224.255', 3251167232, 3251167487, 'LV', 'Latvia'),
(104424, '193.200.225.0', '193.200.225.255', 3251167488, 3251167743, 'DK', 'Denmark'),
(104425, '193.200.226.0', '193.200.227.255', 3251167744, 3251168255, 'PL', 'Poland'),
(104426, '193.200.228.0', '193.200.228.255', 3251168256, 3251168511, 'AT', 'Austria'),
(104427, '193.200.229.0', '193.200.229.255', 3251168512, 3251168767, 'UA', 'Ukraine'),
(104428, '193.200.230.0', '193.200.230.255', 3251168768, 3251169023, 'DE', 'Germany'),
(104429, '193.200.231.0', '193.200.231.255', 3251169024, 3251169279, 'FR', 'France'),
(104430, '193.200.232.0', '193.200.234.255', 3251169280, 3251170047, 'PL', 'Poland'),
(104431, '193.200.235.0', '193.200.235.255', 3251170048, 3251170303, 'NO', 'Norway'),
(104432, '193.200.236.0', '193.200.236.255', 3251170304, 3251170559, 'CH', 'Switzerland'),
(104433, '193.200.238.0', '193.200.239.255', 3251170816, 3251171327, 'RU', 'Russian Federation'),
(104434, '193.200.240.0', '193.200.241.255', 3251171328, 3251171839, 'DE', 'Germany'),
(104435, '193.200.242.0', '193.200.242.255', 3251171840, 3251172095, 'RO', 'Romania'),
(104436, '193.200.243.0', '193.200.243.255', 3251172096, 3251172351, 'ES', 'Spain'),
(104437, '193.200.244.0', '193.200.244.255', 3251172352, 3251172607, 'RO', 'Romania'),
(104438, '193.200.245.0', '193.200.245.255', 3251172608, 3251172863, 'GB', 'United Kingdom'),
(104439, '193.200.246.0', '193.200.246.255', 3251172864, 3251173119, 'UA', 'Ukraine'),
(104440, '193.200.247.0', '193.200.247.255', 3251173120, 3251173375, 'SA', 'Saudi Arabia'),
(104441, '193.200.248.0', '193.200.248.255', 3251173376, 3251173631, 'UA', 'Ukraine'),
(104442, '193.200.249.0', '193.200.249.255', 3251173632, 3251173887, 'DE', 'Germany'),
(104443, '193.200.250.0', '193.200.250.255', 3251173888, 3251174143, 'DK', 'Denmark'),
(104444, '193.200.251.0', '193.200.251.255', 3251174144, 3251174399, 'RU', 'Russian Federation'),
(104445, '193.200.252.0', '193.200.252.255', 3251174400, 3251174655, 'RO', 'Romania'),
(104446, '193.200.253.0', '193.200.253.255', 3251174656, 3251174911, 'DE', 'Germany'),
(104447, '193.200.254.0', '193.200.254.255', 3251174912, 3251175167, 'RO', 'Romania'),
(104448, '193.200.255.0', '193.200.255.255', 3251175168, 3251175423, 'UA', 'Ukraine'),
(104449, '193.201.0.0', '193.201.7.255', 3251175424, 3251177471, 'IT', 'Italy'),
(104450, '193.201.8.0', '193.201.15.255', 3251177472, 3251179519, 'DE', 'Germany'),
(104451, '193.201.16.0', '193.201.17.255', 3251179520, 3251180031, 'SE', 'Sweden'),
(104452, '193.201.18.0', '193.201.19.255', 3251180032, 3251180543, 'PL', 'Poland'),
(104453, '193.201.20.0', '193.201.21.255', 3251180544, 3251181055, 'RO', 'Romania'),
(104454, '193.201.22.0', '193.201.23.255', 3251181056, 3251181567, 'GR', 'Greece'),
(104455, '193.201.24.0', '193.201.25.255', 3251181568, 3251182079, 'DE', 'Germany'),
(104456, '193.201.26.0', '193.201.27.255', 3251182080, 3251182591, 'FR', 'France'),
(104457, '193.201.28.0', '193.201.29.255', 3251182592, 3251183103, 'IT', 'Italy'),
(104458, '193.201.30.0', '193.201.31.255', 3251183104, 3251183615, 'RU', 'Russian Federation'),
(104459, '193.201.32.0', '193.201.32.255', 3251183616, 3251183871, 'LT', 'Lithuania'),
(104460, '193.201.33.0', '193.201.33.255', 3251183872, 3251184127, 'CH', 'Switzerland'),
(104461, '193.201.34.0', '193.201.34.255', 3251184128, 3251184383, 'PL', 'Poland'),
(104462, '193.201.35.0', '193.201.35.255', 3251184384, 3251184639, 'DK', 'Denmark'),
(104463, '193.201.36.0', '193.201.36.255', 3251184640, 3251184895, 'PL', 'Poland'),
(104464, '193.201.37.0', '193.201.38.255', 3251184896, 3251185407, 'DE', 'Germany'),
(104465, '193.201.39.0', '193.201.39.255', 3251185408, 3251185663, 'DK', 'Denmark'),
(104466, '193.201.40.0', '193.201.40.255', 3251185664, 3251185919, 'IT', 'Italy'),
(104467, '193.201.41.0', '193.201.41.255', 3251185920, 3251186175, 'AT', 'Austria'),
(104468, '193.201.42.0', '193.201.42.255', 3251186176, 3251186431, 'GB', 'United Kingdom'),
(104469, '193.201.43.0', '193.201.43.255', 3251186432, 3251186687, 'SE', 'Sweden'),
(104470, '193.201.44.0', '193.201.44.255', 3251186688, 3251186943, 'RO', 'Romania'),
(104471, '193.201.45.0', '193.201.45.255', 3251186944, 3251187199, 'SI', 'Slovenia'),
(104472, '193.201.46.0', '193.201.46.255', 3251187200, 3251187455, 'GR', 'Greece'),
(104473, '193.201.47.0', '193.201.47.255', 3251187456, 3251187711, 'GB', 'United Kingdom'),
(104474, '193.201.48.0', '193.201.51.255', 3251187712, 3251188735, 'NL', 'Netherlands'),
(104475, '193.201.52.0', '193.201.55.255', 3251188736, 3251189759, 'DE', 'Germany'),
(104476, '193.201.56.0', '193.201.59.255', 3251189760, 3251190783, 'IT', 'Italy'),
(104477, '193.201.60.0', '193.201.63.255', 3251190784, 3251191807, 'UA', 'Ukraine'),
(104478, '193.201.64.0', '193.201.65.255', 3251191808, 3251192319, 'GB', 'United Kingdom'),
(104479, '193.201.66.0', '193.201.67.255', 3251192320, 3251192831, 'LV', 'Latvia'),
(104480, '193.201.68.0', '193.201.69.255', 3251192832, 3251193343, 'BE', 'Belgium'),
(104481, '193.201.70.0', '193.201.71.255', 3251193344, 3251193855, 'GB', 'United Kingdom'),
(104482, '193.201.72.0', '193.201.73.255', 3251193856, 3251194367, 'DE', 'Germany'),
(104483, '193.201.74.0', '193.201.75.255', 3251194368, 3251194879, 'NO', 'Norway'),
(104484, '193.201.76.0', '193.201.77.255', 3251194880, 3251195391, 'FR', 'France'),
(104485, '193.201.78.0', '193.201.79.255', 3251195392, 3251195903, 'CZ', 'Czech Republic'),
(104486, '193.201.80.0', '193.201.83.255', 3251195904, 3251196927, 'UA', 'Ukraine'),
(104487, '193.201.84.0', '193.201.87.255', 3251196928, 3251197951, 'CH', 'Switzerland'),
(104488, '193.201.88.0', '193.201.91.255', 3251197952, 3251198975, 'RU', 'Russian Federation'),
(104489, '193.201.92.0', '193.201.95.255', 3251198976, 3251199999, 'DE', 'Germany'),
(104490, '193.201.96.0', '193.201.97.255', 3251200000, 3251200511, 'SE', 'Sweden'),
(104491, '193.201.98.0', '193.201.100.255', 3251200512, 3251201279, 'UA', 'Ukraine'),
(104492, '193.201.101.0', '193.201.101.255', 3251201280, 3251201535, 'SI', 'Slovenia'),
(104493, '193.201.102.0', '193.201.102.255', 3251201536, 3251201791, 'AT', 'Austria'),
(104494, '193.201.103.0', '193.201.103.255', 3251201792, 3251202047, 'FR', 'France'),
(104495, '193.201.104.0', '193.201.104.255', 3251202048, 3251202303, 'NL', 'Netherlands'),
(104496, '193.201.105.0', '193.201.105.255', 3251202304, 3251202559, 'UA', 'Ukraine'),
(104497, '193.201.106.0', '193.201.106.255', 3251202560, 3251202815, 'AT', 'Austria'),
(104498, '193.201.107.0', '193.201.108.255', 3251202816, 3251203327, 'ES', 'Spain'),
(104499, '193.201.109.0', '193.201.109.255', 3251203328, 3251203583, 'SI', 'Slovenia'),
(104500, '193.201.110.0', '193.201.110.255', 3251203584, 3251203839, 'CZ', 'Czech Republic'),
(104501, '193.201.111.0', '193.201.111.255', 3251203840, 3251204095, 'RU', 'Russian Federation'),
(104502, '193.201.112.0', '193.201.113.255', 3251204096, 3251204607, 'DE', 'Germany'),
(104503, '193.201.114.0', '193.201.115.255', 3251204608, 3251205119, 'BG', 'Bulgaria'),
(104504, '193.201.116.0', '193.201.117.255', 3251205120, 3251205631, 'UA', 'Ukraine'),
(104505, '193.201.118.0', '193.201.119.255', 3251205632, 3251206143, 'RU', 'Russian Federation'),
(104506, '193.201.120.0', '193.201.121.255', 3251206144, 3251206655, 'GB', 'United Kingdom'),
(104507, '193.201.122.0', '193.201.123.255', 3251206656, 3251207167, 'CH', 'Switzerland'),
(104508, '193.201.124.0', '193.201.125.255', 3251207168, 3251207679, 'GB', 'United Kingdom'),
(104509, '193.201.126.0', '193.201.127.255', 3251207680, 3251208191, 'RU', 'Russian Federation'),
(104510, '193.201.128.0', '193.201.131.255', 3251208192, 3251209215, 'CY', 'Cyprus'),
(104511, '193.201.132.0', '193.201.135.255', 3251209216, 3251210239, 'GB', 'United Kingdom'),
(104512, '193.201.136.0', '193.201.139.255', 3251210240, 3251211263, 'PL', 'Poland'),
(104513, '193.201.140.0', '193.201.143.255', 3251211264, 3251212287, 'UA', 'Ukraine'),
(104514, '193.201.144.0', '193.201.144.127', 3251212288, 3251212415, 'PL', 'Poland'),
(104515, '193.201.144.128', '193.201.145.127', 3251212416, 3251212671, 'FI', 'Finland'),
(104516, '193.201.145.128', '193.201.145.255', 3251212672, 3251212799, 'SE', 'Sweden'),
(104517, '193.201.146.0', '193.201.146.127', 3251212800, 3251212927, 'FR', 'France'),
(104518, '193.201.146.128', '193.201.146.255', 3251212928, 3251213055, 'RO', 'Romania'),
(104519, '193.201.147.0', '193.201.147.63', 3251213056, 3251213119, 'SE', 'Sweden'),
(104520, '193.201.147.64', '193.201.147.95', 3251213120, 3251213151, 'NL', 'Netherlands'),
(104521, '193.201.147.96', '193.201.147.127', 3251213152, 3251213183, 'FR', 'France'),
(104522, '193.201.147.128', '193.201.147.159', 3251213184, 3251213215, 'UA', 'Ukraine'),
(104523, '193.201.147.192', '193.201.147.255', 3251213248, 3251213311, 'GB', 'United Kingdom'),
(104524, '193.201.148.64', '193.201.148.127', 3251213376, 3251213439, 'DE', 'Germany'),
(104525, '193.201.148.128', '193.201.148.191', 3251213440, 3251213503, 'GB', 'United Kingdom'),
(104526, '193.201.148.192', '193.201.148.255', 3251213504, 3251213567, 'NL', 'Netherlands'),
(104527, '193.201.149.0', '193.201.149.63', 3251213568, 3251213631, 'FR', 'France'),
(104528, '193.201.149.64', '193.201.149.127', 3251213632, 3251213695, 'PL', 'Poland'),
(104529, '193.201.149.128', '193.201.149.191', 3251213696, 3251213759, 'LV', 'Latvia'),
(104530, '193.201.150.0', '193.201.150.63', 3251213824, 3251213887, 'GB', 'United Kingdom'),
(104531, '193.201.150.192', '193.201.150.255', 3251214016, 3251214079, 'UA', 'Ukraine'),
(104532, '193.201.151.0', '193.201.151.63', 3251214080, 3251214143, 'FR', 'France'),
(104533, '193.201.151.64', '193.201.151.127', 3251214144, 3251214207, 'AF', 'Afghanistan'),
(104534, '193.201.151.128', '193.201.151.191', 3251214208, 3251214271, 'RU', 'Russian Federation'),
(104535, '193.201.151.192', '193.201.151.255', 3251214272, 3251214335, 'DE', 'Germany'),
(104536, '193.201.152.0', '193.201.152.127', 3251214336, 3251214463, 'RU', 'Russian Federation'),
(104537, '193.201.152.128', '193.201.152.255', 3251214464, 3251214591, 'UA', 'Ukraine'),
(104538, '193.201.153.0', '193.201.154.127', 3251214592, 3251214975, 'GB', 'United Kingdom'),
(104539, '193.201.154.128', '193.201.154.255', 3251214976, 3251215103, 'RO', 'Romania'),
(104540, '193.201.155.0', '193.201.155.127', 3251215104, 3251215231, 'SI', 'Slovenia'),
(104541, '193.201.155.128', '193.201.155.255', 3251215232, 3251215359, 'IL', 'Israel'),
(104542, '193.201.156.0', '193.201.156.127', 3251215360, 3251215487, 'UA', 'Ukraine'),
(104543, '193.201.156.128', '193.201.156.255', 3251215488, 3251215615, 'SE', 'Sweden'),
(104544, '193.201.157.128', '193.201.157.255', 3251215744, 3251215871, 'GB', 'United Kingdom'),
(104545, '193.201.158.0', '193.201.158.255', 3251215872, 3251216127, 'RO', 'Romania'),
(104546, '193.201.159.0', '193.201.159.127', 3251216128, 3251216255, 'FI', 'Finland'),
(104547, '193.201.159.128', '193.201.159.255', 3251216256, 3251216383, 'RU', 'Russian Federation'),
(104548, '193.201.160.0', '193.201.160.255', 3251216384, 3251216639, 'GB', 'United Kingdom'),
(104549, '193.201.161.0', '193.201.161.255', 3251216640, 3251216895, 'RO', 'Romania'),
(104550, '193.201.162.0', '193.201.162.255', 3251216896, 3251217151, 'BE', 'Belgium'),
(104551, '193.201.163.0', '193.201.163.255', 3251217152, 3251217407, 'GB', 'United Kingdom'),
(104552, '193.201.164.0', '193.201.164.255', 3251217408, 3251217663, 'PL', 'Poland'),
(104553, '193.201.165.0', '193.201.165.255', 3251217664, 3251217919, 'SI', 'Slovenia'),
(104554, '193.201.166.0', '193.201.166.255', 3251217920, 3251218175, 'GR', 'Greece'),
(104555, '193.201.167.0', '193.201.167.255', 3251218176, 3251218431, 'PL', 'Poland'),
(104556, '193.201.168.0', '193.201.170.255', 3251218432, 3251219199, 'DE', 'Germany'),
(104557, '193.201.171.0', '193.201.171.255', 3251219200, 3251219455, 'IT', 'Italy'),
(104558, '193.201.172.0', '193.201.172.255', 3251219456, 3251219711, 'BG', 'Bulgaria'),
(104559, '193.201.173.0', '193.201.174.255', 3251219712, 3251220223, 'AT', 'Austria'),
(104560, '193.201.175.0', '193.201.175.255', 3251220224, 3251220479, 'UA', 'Ukraine'),
(104561, '193.201.176.0', '193.201.183.255', 3251220480, 3251222527, 'DE', 'Germany'),
(104562, '193.201.184.0', '193.201.191.255', 3251222528, 3251224575, 'GB', 'United Kingdom'),
(104563, '193.201.192.0', '193.201.193.255', 3251224576, 3251225087, 'UA', 'Ukraine'),
(104564, '193.201.194.0', '193.201.195.255', 3251225088, 3251225599, 'FR', 'France'),
(104565, '193.201.196.0', '193.201.197.255', 3251225600, 3251226111, 'GB', 'United Kingdom'),
(104566, '193.201.198.0', '193.201.199.255', 3251226112, 3251226623, 'UA', 'Ukraine'),
(104567, '193.201.200.0', '193.201.201.255', 3251226624, 3251227135, 'GB', 'United Kingdom'),
(104568, '193.201.202.0', '193.201.203.255', 3251227136, 3251227647, 'DE', 'Germany'),
(104569, '193.201.204.0', '193.201.205.255', 3251227648, 3251228159, 'GB', 'United Kingdom'),
(104570, '193.201.206.0', '193.201.211.255', 3251228160, 3251229695, 'UA', 'Ukraine'),
(104571, '193.201.212.0', '193.201.215.255', 3251229696, 3251230719, 'SI', 'Slovenia'),
(104572, '193.201.216.0', '193.201.219.255', 3251230720, 3251231743, 'UA', 'Ukraine'),
(104573, '193.201.220.0', '193.201.223.255', 3251231744, 3251232767, 'NO', 'Norway'),
(104574, '193.201.224.0', '193.201.227.255', 3251232768, 3251233791, 'UA', 'Ukraine'),
(104575, '193.201.228.0', '193.201.231.255', 3251233792, 3251234815, 'RU', 'Russian Federation'),
(104576, '193.201.232.0', '193.201.235.255', 3251234816, 3251235839, 'RO', 'Romania'),
(104577, '193.201.236.0', '193.201.239.255', 3251235840, 3251236863, 'DE', 'Germany'),
(104578, '193.201.240.0', '193.201.243.255', 3251236864, 3251237887, 'BG', 'Bulgaria'),
(104579, '193.201.244.0', '193.201.247.255', 3251237888, 3251238911, 'DK', 'Denmark'),
(104580, '193.201.248.0', '193.201.251.255', 3251238912, 3251239935, 'FR', 'France'),
(104581, '193.201.252.0', '193.201.255.255', 3251239936, 3251240959, 'US', 'United States'),
(104582, '193.202.0.0', '193.202.0.255', 3251240960, 3251241215, 'DE', 'Germany'),
(104583, '193.202.1.0', '193.202.7.255', 3251241216, 3251243007, 'GB', 'United Kingdom'),
(104584, '193.202.8.0', '193.202.15.255', 3251243008, 3251245055, 'BE', 'Belgium'),
(104585, '193.202.16.0', '193.202.16.255', 3251245056, 3251245311, 'DE', 'Germany'),
(104586, '193.202.17.0', '193.202.17.255', 3251245312, 3251245567, 'BE', 'Belgium'),
(104587, '193.202.18.0', '193.202.18.255', 3251245568, 3251245823, 'TR', 'Turkey'),
(104588, '193.202.19.0', '193.202.19.255', 3251245824, 3251246079, 'UA', 'Ukraine'),
(104589, '193.202.20.0', '193.202.20.255', 3251246080, 3251246335, 'DE', 'Germany'),
(104590, '193.202.21.0', '193.202.21.255', 3251246336, 3251246591, 'UA', 'Ukraine'),
(104591, '193.202.22.0', '193.202.22.255', 3251246592, 3251246847, 'RO', 'Romania'),
(104592, '193.202.23.0', '193.202.23.255', 3251246848, 3251247103, 'NL', 'Netherlands'),
(104593, '193.202.24.0', '193.202.30.255', 3251247104, 3251248895, 'DE', 'Germany'),
(104594, '193.202.31.0', '193.202.31.255', 3251248896, 3251249151, 'GB', 'United Kingdom'),
(104595, '193.202.32.0', '193.202.39.255', 3251249152, 3251251199, 'NL', 'Netherlands'),
(104596, '193.202.40.0', '193.202.45.255', 3251251200, 3251252735, 'EU', 'Europe'),
(104597, '193.202.46.0', '193.202.61.255', 3251252736, 3251256831, 'CH', 'Switzerland'),
(104598, '193.202.62.0', '193.202.63.255', 3251256832, 3251257343, 'GB', 'United Kingdom'),
(104599, '193.202.64.0', '193.202.73.255', 3251257344, 3251259903, 'BE', 'Belgium'),
(104600, '193.202.74.0', '193.202.79.255', 3251259904, 3251261439, 'FR', 'France'),
(104601, '193.202.80.0', '193.202.90.255', 3251261440, 3251264255, 'CH', 'Switzerland'),
(104602, '193.202.91.0', '193.202.91.10', 3251264256, 3251264266, 'FR', 'France'),
(104603, '193.202.91.11', '193.202.91.11', 3251264267, 3251264267, 'EU', 'Europe'),
(104604, '193.202.91.12', '193.202.95.255', 3251264268, 3251265535, 'FR', 'France'),
(104605, '193.202.96.0', '193.202.104.255', 3251265536, 3251267839, 'NL', 'Netherlands'),
(104606, '193.202.105.0', '193.202.106.255', 3251267840, 3251268351, 'GB', 'United Kingdom'),
(104607, '193.202.107.0', '193.202.107.255', 3251268352, 3251268607, 'NL', 'Netherlands'),
(104608, '193.202.108.0', '193.202.108.255', 3251268608, 3251268863, 'BG', 'Bulgaria'),
(104609, '193.202.109.0', '193.202.109.255', 3251268864, 3251269119, 'NL', 'Netherlands'),
(104610, '193.202.110.0', '193.202.110.95', 3251269120, 3251269215, 'DK', 'Denmark'),
(104611, '193.202.110.96', '193.202.110.150', 3251269216, 3251269270, 'NL', 'Netherlands'),
(104612, '193.202.110.151', '193.202.110.151', 3251269271, 3251269271, 'DK', 'Denmark'),
(104613, '193.202.110.152', '193.202.112.255', 3251269272, 3251269887, 'NL', 'Netherlands'),
(104614, '193.202.113.0', '193.202.113.255', 3251269888, 3251270143, 'GB', 'United Kingdom'),
(104615, '193.202.114.0', '193.202.114.255', 3251270144, 3251270399, 'PL', 'Poland'),
(104616, '193.202.115.0', '193.202.115.255', 3251270400, 3251270655, 'NO', 'Norway'),
(104617, '193.202.116.0', '193.202.116.255', 3251270656, 3251270911, 'DE', 'Germany'),
(104618, '193.202.117.0', '193.202.117.255', 3251270912, 3251271167, 'PL', 'Poland'),
(104619, '193.202.118.0', '193.202.118.255', 3251271168, 3251271423, 'UA', 'Ukraine'),
(104620, '193.202.119.0', '193.202.119.255', 3251271424, 3251271679, 'DE', 'Germany'),
(104621, '193.202.120.0', '193.202.120.255', 3251271680, 3251271935, 'TR', 'Turkey'),
(104622, '193.202.121.0', '193.202.121.255', 3251271936, 3251272191, 'FR', 'France'),
(104623, '193.202.122.0', '193.202.122.255', 3251272192, 3251272447, 'NL', 'Netherlands'),
(104624, '193.202.123.0', '193.202.123.255', 3251272448, 3251272703, 'AT', 'Austria'),
(104625, '193.202.124.0', '193.202.124.255', 3251272704, 3251272959, 'DE', 'Germany'),
(104626, '193.202.125.0', '193.202.126.255', 3251272960, 3251273471, 'FR', 'France'),
(104627, '193.202.127.0', '193.202.191.255', 3251273472, 3251290111, 'DE', 'Germany'),
(104628, '193.202.192.0', '193.202.239.255', 3251290112, 3251302399, 'GB', 'United Kingdom'),
(104629, '193.202.240.0', '193.202.254.255', 3251302400, 3251306239, 'LI', 'Liechtenstein'),
(104630, '193.202.255.0', '193.202.255.255', 3251306240, 3251306495, 'EU', 'Europe'),
(104631, '193.203.0.0', '193.203.0.255', 3251306496, 3251306751, 'AT', 'Austria'),
(104632, '193.203.1.0', '193.203.1.255', 3251306752, 3251307007, 'MK', 'Macedonia'),
(104633, '193.203.2.0', '193.203.3.255', 3251307008, 3251307519, 'RS', 'Serbia'),
(104634, '193.203.4.0', '193.203.4.255', 3251307520, 3251307775, 'MK', 'Macedonia'),
(104635, '193.203.5.0', '193.203.5.255', 3251307776, 3251308031, 'GB', 'United Kingdom'),
(104636, '193.203.6.0', '193.203.7.255', 3251308032, 3251308543, 'RS', 'Serbia'),
(104637, '193.203.8.0', '193.203.15.255', 3251308544, 3251310591, 'US', 'United States'),
(104638, '193.203.16.0', '193.203.17.255', 3251310592, 3251311103, 'SI', 'Slovenia'),
(104639, '193.203.18.0', '193.203.19.255', 3251311104, 3251311615, 'RS', 'Serbia'),
(104640, '193.203.20.0', '193.203.21.255', 3251311616, 3251312127, 'GB', 'United Kingdom'),
(104641, '193.203.22.0', '193.203.22.255', 3251312128, 3251312383, 'RS', 'Serbia'),
(104642, '193.203.23.0', '193.203.23.255', 3251312384, 3251312639, 'CH', 'Switzerland'),
(104643, '193.203.24.0', '193.203.29.255', 3251312640, 3251314175, 'RS', 'Serbia'),
(104644, '193.203.30.0', '193.203.31.255', 3251314176, 3251314687, 'CH', 'Switzerland'),
(104645, '193.203.32.0', '193.203.35.255', 3251314688, 3251315711, 'FR', 'France'),
(104646, '193.203.36.0', '193.203.43.255', 3251315712, 3251317759, 'RU', 'Russian Federation'),
(104647, '193.203.44.0', '193.203.47.255', 3251317760, 3251318783, 'PL', 'Poland'),
(104648, '193.203.48.0', '193.203.51.255', 3251318784, 3251319807, 'UA', 'Ukraine'),
(104649, '193.203.52.0', '193.203.55.255', 3251319808, 3251320831, 'HU', 'Hungary'),
(104650, '193.203.56.0', '193.203.59.255', 3251320832, 3251321855, 'PL', 'Poland'),
(104651, '193.203.60.0', '193.203.63.255', 3251321856, 3251322879, 'RU', 'Russian Federation'),
(104652, '193.203.64.0', '193.203.90.191', 3251322880, 3251329727, 'GB', 'United Kingdom'),
(104653, '193.203.90.192', '193.203.90.255', 3251329728, 3251329791, 'FR', 'France'),
(104654, '193.203.91.0', '193.203.95.255', 3251329792, 3251331071, 'GB', 'United Kingdom'),
(104655, '193.203.96.0', '193.203.97.255', 3251331072, 3251331583, 'FR', 'France'),
(104656, '193.203.98.0', '193.203.99.255', 3251331584, 3251332095, 'PL', 'Poland'),
(104657, '193.203.100.0', '193.203.103.255', 3251332096, 3251333119, 'RU', 'Russian Federation'),
(104658, '193.203.104.0', '193.203.105.255', 3251333120, 3251333631, 'CH', 'Switzerland'),
(104659, '193.203.106.0', '193.203.107.255', 3251333632, 3251334143, 'PT', 'Portugal'),
(104660, '193.203.108.0', '193.203.109.255', 3251334144, 3251334655, 'FR', 'France'),
(104661, '193.203.110.0', '193.203.111.255', 3251334656, 3251335167, 'UA', 'Ukraine'),
(104662, '193.203.112.0', '193.203.113.255', 3251335168, 3251335679, 'RU', 'Russian Federation'),
(104663, '193.203.114.0', '193.203.115.255', 3251335680, 3251336191, 'RO', 'Romania'),
(104664, '193.203.116.0', '193.203.117.255', 3251336192, 3251336703, 'GB', 'United Kingdom'),
(104665, '193.203.118.0', '193.203.119.255', 3251336704, 3251337215, 'ES', 'Spain'),
(104666, '193.203.120.0', '193.203.121.255', 3251337216, 3251337727, 'CH', 'Switzerland'),
(104667, '193.203.122.0', '193.203.123.255', 3251337728, 3251338239, 'DE', 'Germany'),
(104668, '193.203.124.0', '193.203.127.255', 3251338240, 3251339263, 'RU', 'Russian Federation'),
(104669, '193.203.128.0', '193.203.159.255', 3251339264, 3251347455, 'IE', 'Ireland'),
(104670, '193.203.160.0', '193.203.191.255', 3251347456, 3251355647, 'DE', 'Germany'),
(104671, '193.203.192.0', '193.203.193.255', 3251355648, 3251356159, 'GB', 'United Kingdom'),
(104672, '193.203.194.0', '193.203.195.255', 3251356160, 3251356671, 'AT', 'Austria'),
(104673, '193.203.196.0', '193.203.197.255', 3251356672, 3251357183, 'EE', 'Estonia'),
(104674, '193.203.198.0', '193.203.199.255', 3251357184, 3251357695, 'BG', 'Bulgaria'),
(104675, '193.203.200.0', '193.203.201.255', 3251357696, 3251358207, 'ES', 'Spain'),
(104676, '193.203.202.0', '193.203.203.255', 3251358208, 3251358719, 'RU', 'Russian Federation'),
(104677, '193.203.204.0', '193.203.205.255', 3251358720, 3251359231, 'RO', 'Romania'),
(104678, '193.203.206.0', '193.203.209.255', 3251359232, 3251360255, 'PL', 'Poland'),
(104679, '193.203.210.0', '193.203.211.255', 3251360256, 3251360767, 'GB', 'United Kingdom'),
(104680, '193.203.212.0', '193.203.213.255', 3251360768, 3251361279, 'FR', 'France'),
(104681, '193.203.214.0', '193.203.215.255', 3251361280, 3251361791, 'RO', 'Romania'),
(104682, '193.203.216.0', '193.203.217.255', 3251361792, 3251362303, 'AT', 'Austria'),
(104683, '193.203.218.0', '193.203.219.255', 3251362304, 3251362815, 'UA', 'Ukraine'),
(104684, '193.203.220.0', '193.203.221.255', 3251362816, 3251363327, 'NL', 'Netherlands'),
(104685, '193.203.222.0', '193.203.223.255', 3251363328, 3251363839, 'PL', 'Poland'),
(104686, '193.203.224.0', '193.203.224.255', 3251363840, 3251364095, 'MK', 'Macedonia'),
(104687, '193.203.225.0', '193.203.226.255', 3251364096, 3251364607, 'NL', 'Netherlands'),
(104688, '193.203.227.0', '193.203.227.255', 3251364608, 3251364863, 'RO', 'Romania'),
(104689, '193.203.228.0', '193.203.235.255', 3251364864, 3251366911, 'IT', 'Italy'),
(104690, '193.203.236.0', '193.203.237.255', 3251366912, 3251367423, 'UA', 'Ukraine'),
(104691, '193.203.238.0', '193.203.239.255', 3251367424, 3251367935, 'DE', 'Germany'),
(104692, '193.203.240.0', '193.203.255.255', 3251367936, 3251372031, 'GB', 'United Kingdom'),
(104693, '193.204.0.0', '193.207.139.223', 3251372032, 3251604447, 'IT', 'Italy'),
(104694, '193.207.139.224', '193.207.139.231', 3251604448, 3251604455, 'CH', 'Switzerland'),
(104695, '193.207.139.232', '193.207.255.255', 3251604456, 3251634175, 'IT', 'Italy'),
(104696, '193.208.0.0', '193.208.105.255', 3251634176, 3251661311, 'FI', 'Finland'),
(104697, '193.208.106.0', '193.208.106.255', 3251661312, 3251661567, 'NO', 'Norway'),
(104698, '193.208.107.0', '193.208.149.255', 3251661568, 3251672575, 'FI', 'Finland'),
(104699, '193.208.150.0', '193.208.150.255', 3251672576, 3251672831, 'NL', 'Netherlands'),
(104700, '193.208.151.0', '193.208.158.255', 3251672832, 3251674879, 'FI', 'Finland'),
(104701, '193.208.159.0', '193.208.159.255', 3251674880, 3251675135, 'BE', 'Belgium'),
(104702, '193.208.160.0', '193.209.21.255', 3251675136, 3251705343, 'FI', 'Finland'),
(104703, '193.209.22.0', '193.209.22.255', 3251705344, 3251705599, 'DK', 'Denmark'),
(104704, '193.209.23.0', '193.209.29.255', 3251705600, 3251707391, 'FI', 'Finland'),
(104705, '193.209.30.0', '193.209.30.255', 3251707392, 3251707647, 'SE', 'Sweden'),
(104706, '193.209.31.0', '193.209.40.255', 3251707648, 3251710207, 'FI', 'Finland'),
(104707, '193.209.41.0', '193.209.41.7', 3251710208, 3251710215, 'NL', 'Netherlands'),
(104708, '193.209.41.8', '193.209.41.15', 3251710216, 3251710223, 'FI', 'Finland'),
(104709, '193.209.41.16', '193.209.41.31', 3251710224, 3251710239, 'NL', 'Netherlands'),
(104710, '193.209.41.32', '193.209.134.255', 3251710240, 3251734271, 'FI', 'Finland'),
(104711, '193.209.135.0', '193.209.135.255', 3251734272, 3251734527, 'CH', 'Switzerland'),
(104712, '193.209.136.0', '193.209.136.255', 3251734528, 3251734783, 'NL', 'Netherlands'),
(104713, '193.209.137.0', '193.209.255.255', 3251734784, 3251765247, 'FI', 'Finland'),
(104714, '193.210.0.0', '193.210.0.255', 3251765248, 3251765503, 'NL', 'Netherlands'),
(104715, '193.210.1.0', '193.210.34.255', 3251765504, 3251774207, 'FI', 'Finland'),
(104716, '193.210.35.0', '193.210.35.255', 3251774208, 3251774463, 'DE', 'Germany'),
(104717, '193.210.36.0', '193.210.70.255', 3251774464, 3251783423, 'FI', 'Finland'),
(104718, '193.210.71.0', '193.210.71.255', 3251783424, 3251783679, 'GB', 'United Kingdom'),
(104719, '193.210.72.0', '193.210.117.255', 3251783680, 3251795455, 'FI', 'Finland'),
(104720, '193.210.118.0', '193.210.118.255', 3251795456, 3251795711, 'GB', 'United Kingdom'),
(104721, '193.210.119.0', '193.210.146.255', 3251795712, 3251802879, 'FI', 'Finland'),
(104722, '193.210.147.0', '193.210.147.255', 3251802880, 3251803135, 'BE', 'Belgium'),
(104723, '193.210.148.0', '193.210.159.255', 3251803136, 3251806207, 'FI', 'Finland'),
(104724, '193.210.160.0', '193.210.194.255', 3251806208, 3251815167, 'BE', 'Belgium'),
(104725, '193.210.195.0', '193.210.196.255', 3251815168, 3251815679, 'LU', 'Luxembourg'),
(104726, '193.210.197.0', '193.210.207.255', 3251815680, 3251818495, 'BE', 'Belgium'),
(104727, '193.210.208.0', '193.211.76.255', 3251818496, 3251850495, 'FI', 'Finland'),
(104728, '193.211.77.0', '193.211.77.255', 3251850496, 3251850751, 'FR', 'France'),
(104729, '193.211.78.0', '193.211.78.255', 3251850752, 3251851007, 'CH', 'Switzerland'),
(104730, '193.211.79.0', '193.211.255.255', 3251851008, 3251896319, 'FI', 'Finland'),
(104731, '193.212.0.0', '193.212.122.215', 3251896320, 3251927767, 'NO', 'Norway'),
(104732, '193.212.122.216', '193.212.122.223', 3251927768, 3251927775, 'SE', 'Sweden'),
(104733, '193.212.122.224', '193.212.123.183', 3251927776, 3251927991, 'NO', 'Norway'),
(104734, '193.212.123.184', '193.212.123.191', 3251927992, 3251927999, 'NL', 'Netherlands'),
(104735, '193.212.123.192', '193.213.210.71', 3251928000, 3252015687, 'NO', 'Norway'),
(104736, '193.213.210.72', '193.213.210.79', 3252015688, 3252015695, 'SE', 'Sweden'),
(104737, '193.213.210.80', '193.216.37.255', 3252015696, 3252168191, 'NO', 'Norway'),
(104738, '193.216.38.0', '193.216.63.255', 3252168192, 3252174847, 'SE', 'Sweden'),
(104739, '193.216.64.0', '193.216.72.255', 3252174848, 3252177151, 'NO', 'Norway'),
(104740, '193.216.73.0', '193.216.73.255', 3252177152, 3252177407, 'SE', 'Sweden'),
(104741, '193.216.74.0', '193.216.77.255', 3252177408, 3252178431, 'NO', 'Norway'),
(104742, '193.216.78.0', '193.216.79.255', 3252178432, 3252178943, 'SE', 'Sweden'),
(104743, '193.216.80.0', '193.216.80.255', 3252178944, 3252179199, 'NO', 'Norway'),
(104744, '193.216.81.0', '193.216.119.255', 3252179200, 3252189183, 'SE', 'Sweden'),
(104745, '193.216.120.0', '193.216.121.255', 3252189184, 3252189695, 'NO', 'Norway'),
(104746, '193.216.122.0', '193.216.126.255', 3252189696, 3252190975, 'SE', 'Sweden'),
(104747, '193.216.127.0', '193.216.127.255', 3252190976, 3252191231, 'NO', 'Norway'),
(104748, '193.216.128.0', '193.216.150.255', 3252191232, 3252197119, 'SE', 'Sweden'),
(104749, '193.216.151.0', '193.216.151.255', 3252197120, 3252197375, 'NO', 'Norway'),
(104750, '193.216.152.0', '193.216.183.255', 3252197376, 3252205567, 'SE', 'Sweden'),
(104751, '193.216.184.0', '193.216.184.255', 3252205568, 3252205823, 'NO', 'Norway'),
(104752, '193.216.185.0', '193.216.208.255', 3252205824, 3252211967, 'SE', 'Sweden'),
(104753, '193.216.209.0', '193.216.209.255', 3252211968, 3252212223, 'NO', 'Norway'),
(104754, '193.216.210.0', '193.216.215.255', 3252212224, 3252213759, 'SE', 'Sweden'),
(104755, '193.216.216.0', '193.216.218.255', 3252213760, 3252214527, 'NO', 'Norway'),
(104756, '193.216.219.0', '193.216.235.255', 3252214528, 3252218879, 'SE', 'Sweden'),
(104757, '193.216.236.0', '193.216.236.255', 3252218880, 3252219135, 'NO', 'Norway'),
(104758, '193.216.237.0', '193.216.243.255', 3252219136, 3252220927, 'SE', 'Sweden'),
(104759, '193.216.244.0', '193.216.244.255', 3252220928, 3252221183, 'NO', 'Norway'),
(104760, '193.216.245.0', '193.216.249.255', 3252221184, 3252222463, 'SE', 'Sweden'),
(104761, '193.216.250.0', '193.216.252.255', 3252222464, 3252223231, 'NO', 'Norway'),
(104762, '193.216.253.0', '193.216.254.255', 3252223232, 3252223743, 'SE', 'Sweden'),
(104763, '193.216.255.0', '193.216.255.255', 3252223744, 3252223999, 'NO', 'Norway'),
(104764, '193.217.0.0', '193.217.31.255', 3252224000, 3252232191, 'NL', 'Netherlands'),
(104765, '193.217.32.0', '193.217.35.255', 3252232192, 3252233215, 'SE', 'Sweden'),
(104766, '193.217.36.0', '193.217.95.255', 3252233216, 3252248575, 'NO', 'Norway'),
(104767, '193.217.96.0', '193.217.127.255', 3252248576, 3252256767, 'SE', 'Sweden'),
(104768, '193.217.128.0', '193.217.191.255', 3252256768, 3252273151, 'NO', 'Norway'),
(104769, '193.217.192.0', '193.217.203.255', 3252273152, 3252276223, 'SE', 'Sweden'),
(104770, '193.217.204.0', '193.217.209.255', 3252276224, 3252277759, 'NO', 'Norway'),
(104771, '193.217.210.0', '193.217.215.255', 3252277760, 3252279295, 'SE', 'Sweden'),
(104772, '193.217.216.0', '193.217.217.255', 3252279296, 3252279807, 'NO', 'Norway'),
(104773, '193.217.218.0', '193.217.243.255', 3252279808, 3252286463, 'SE', 'Sweden'),
(104774, '193.217.244.0', '193.217.245.255', 3252286464, 3252286975, 'NO', 'Norway'),
(104775, '193.217.246.0', '193.217.255.255', 3252286976, 3252289535, 'SE', 'Sweden'),
(104776, '193.218.0.0', '193.218.0.255', 3252289536, 3252289791, 'BG', 'Bulgaria'),
(104777, '193.218.1.0', '193.218.6.255', 3252289792, 3252291327, 'GR', 'Greece'),
(104778, '193.218.7.0', '193.218.7.255', 3252291328, 3252291583, 'SK', 'Slovakia'),
(104779, '193.218.8.0', '193.218.15.255', 3252291584, 3252293631, 'FR', 'France'),
(104780, '193.218.16.0', '193.218.32.255', 3252293632, 3252297983, 'DE', 'Germany'),
(104781, '193.218.33.0', '193.218.93.255', 3252297984, 3252313599, 'GR', 'Greece'),
(104782, '193.218.94.0', '193.218.94.255', 3252313600, 3252313855, 'SI', 'Slovenia'),
(104783, '193.218.95.0', '193.218.95.255', 3252313856, 3252314111, 'DE', 'Germany'),
(104784, '193.218.96.0', '193.218.97.255', 3252314112, 3252314623, 'GR', 'Greece'),
(104785, '193.218.98.0', '193.218.98.255', 3252314624, 3252314879, 'HU', 'Hungary'),
(104786, '193.218.99.0', '193.218.99.255', 3252314880, 3252315135, 'GB', 'United Kingdom'),
(104787, '193.218.100.0', '193.218.104.255', 3252315136, 3252316415, 'CH', 'Switzerland'),
(104788, '193.218.105.0', '193.218.105.255', 3252316416, 3252316671, 'FR', 'France'),
(104789, '193.218.106.0', '193.218.112.255', 3252316672, 3252318463, 'GR', 'Greece'),
(104790, '193.218.113.0', '193.218.113.255', 3252318464, 3252318719, 'TR', 'Turkey'),
(104791, '193.218.114.0', '193.218.114.255', 3252318720, 3252318975, 'MQ', 'Martinique'),
(104792, '193.218.115.0', '193.218.115.255', 3252318976, 3252319231, 'PL', 'Poland'),
(104793, '193.218.116.0', '193.218.117.255', 3252319232, 3252319743, 'AT', 'Austria'),
(104794, '193.218.118.0', '193.218.118.255', 3252319744, 3252319999, 'UA', 'Ukraine'),
(104795, '193.218.119.0', '193.218.119.255', 3252320000, 3252320255, 'GR', 'Greece'),
(104796, '193.218.120.0', '193.218.120.255', 3252320256, 3252320511, 'CZ', 'Czech Republic'),
(104797, '193.218.121.0', '193.218.125.255', 3252320512, 3252321791, 'GR', 'Greece'),
(104798, '193.218.126.0', '193.218.127.255', 3252321792, 3252322303, 'PL', 'Poland'),
(104799, '193.218.128.0', '193.218.131.255', 3252322304, 3252323327, 'NO', 'Norway'),
(104800, '193.218.132.0', '193.218.135.255', 3252323328, 3252324351, 'PL', 'Poland'),
(104801, '193.218.136.0', '193.218.143.255', 3252324352, 3252326399, 'RU', 'Russian Federation'),
(104802, '193.218.144.0', '193.218.147.255', 3252326400, 3252327423, 'UA', 'Ukraine'),
(104803, '193.218.148.0', '193.218.155.255', 3252327424, 3252329471, 'PL', 'Poland'),
(104804, '193.218.156.0', '193.218.159.255', 3252329472, 3252330495, 'UA', 'Ukraine'),
(104805, '193.218.160.0', '193.218.175.255', 3252330496, 3252334591, 'GB', 'United Kingdom'),
(104806, '193.218.176.0', '193.218.179.255', 3252334592, 3252335615, 'PL', 'Poland'),
(104807, '193.218.180.0', '193.218.183.255', 3252335616, 3252336639, 'RU', 'Russian Federation'),
(104808, '193.218.184.0', '193.218.187.255', 3252336640, 3252337663, 'UA', 'Ukraine'),
(104809, '193.218.188.0', '193.218.191.255', 3252337664, 3252338687, 'RU', 'Russian Federation'),
(104810, '193.218.192.0', '193.218.199.255', 3252338688, 3252340735, 'BE', 'Belgium'),
(104811, '193.218.200.0', '193.218.200.255', 3252340736, 3252340991, 'TR', 'Turkey'),
(104812, '193.218.201.0', '193.218.201.255', 3252340992, 3252341247, 'GR', 'Greece'),
(104813, '193.218.202.0', '193.218.202.255', 3252341248, 3252341503, 'DE', 'Germany'),
(104814, '193.218.203.0', '193.218.204.255', 3252341504, 3252342015, 'GR', 'Greece'),
(104815, '193.218.205.0', '193.218.205.63', 3252342016, 3252342079, 'GB', 'United Kingdom'),
(104816, '193.218.205.64', '193.218.205.127', 3252342080, 3252342143, 'IR', 'Iran, Islamic Republic of'),
(104817, '193.218.205.192', '193.218.205.223', 3252342208, 3252342239, 'GB', 'United Kingdom'),
(104818, '193.218.205.224', '193.218.205.255', 3252342240, 3252342271, 'CH', 'Switzerland'),
(104819, '193.218.206.0', '193.218.206.255', 3252342272, 3252342527, 'SE', 'Sweden'),
(104820, '193.218.207.0', '193.218.207.15', 3252342528, 3252342543, 'NO', 'Norway'),
(104821, '193.218.207.16', '193.218.207.63', 3252342544, 3252342591, 'DE', 'Germany'),
(104822, '193.218.207.64', '193.218.207.79', 3252342592, 3252342607, 'IE', 'Ireland'),
(104823, '193.218.207.128', '193.218.207.255', 3252342656, 3252342783, 'IL', 'Israel'),
(104824, '193.218.208.0', '193.218.221.255', 3252342784, 3252346367, 'DE', 'Germany'),
(104825, '193.218.222.0', '193.218.222.255', 3252346368, 3252346623, 'GB', 'United Kingdom'),
(104826, '193.218.223.0', '193.218.255.255', 3252346624, 3252355071, 'GR', 'Greece'),
(104827, '193.219.0.0', '193.219.0.255', 3252355072, 3252355327, 'GB', 'United Kingdom'),
(104828, '193.219.1.0', '193.219.14.255', 3252355328, 3252358911, 'LT', 'Lithuania'),
(104829, '193.219.15.0', '193.219.15.255', 3252358912, 3252359167, 'DE', 'Germany'),
(104830, '193.219.16.0', '193.219.27.255', 3252359168, 3252362239, 'DK', 'Denmark'),
(104831, '193.219.28.0', '193.219.28.255', 3252362240, 3252362495, 'PL', 'Poland'),
(104832, '193.219.29.0', '193.219.29.255', 3252362496, 3252362751, 'IT', 'Italy'),
(104833, '193.219.30.0', '193.219.31.255', 3252362752, 3252363263, 'DK', 'Denmark'),
(104834, '193.219.32.0', '193.219.95.255', 3252363264, 3252379647, 'LT', 'Lithuania'),
(104835, '193.219.96.0', '193.219.96.255', 3252379648, 3252379903, 'ES', 'Spain'),
(104836, '193.219.97.0', '193.219.97.255', 3252379904, 3252380159, 'GB', 'United Kingdom'),
(104837, '193.219.98.0', '193.219.98.255', 3252380160, 3252380415, 'BE', 'Belgium'),
(104838, '193.219.99.0', '193.219.99.255', 3252380416, 3252380671, 'UA', 'Ukraine'),
(104839, '193.219.100.0', '193.219.100.255', 3252380672, 3252380927, 'SI', 'Slovenia'),
(104840, '193.219.101.0', '193.219.101.255', 3252380928, 3252381183, 'RU', 'Russian Federation'),
(104841, '193.219.102.0', '193.219.102.255', 3252381184, 3252381439, 'IT', 'Italy'),
(104842, '193.219.103.0', '193.219.103.255', 3252381440, 3252381695, 'ES', 'Spain'),
(104843, '193.219.104.0', '193.219.104.255', 3252381696, 3252381951, 'RU', 'Russian Federation'),
(104844, '193.219.105.0', '193.219.105.255', 3252381952, 3252382207, 'DE', 'Germany'),
(104845, '193.219.106.0', '193.219.106.255', 3252382208, 3252382463, 'SI', 'Slovenia'),
(104846, '193.219.107.0', '193.219.107.255', 3252382464, 3252382719, 'PL', 'Poland'),
(104847, '193.219.108.0', '193.219.108.255', 3252382720, 3252382975, 'GB', 'United Kingdom'),
(104848, '193.219.109.0', '193.219.109.255', 3252382976, 3252383231, 'IT', 'Italy'),
(104849, '193.219.110.0', '193.219.111.255', 3252383232, 3252383743, 'GB', 'United Kingdom'),
(104850, '193.219.112.0', '193.219.112.255', 3252383744, 3252383999, 'SE', 'Sweden'),
(104851, '193.219.113.0', '193.219.114.255', 3252384000, 3252384511, 'PL', 'Poland'),
(104852, '193.219.115.0', '193.219.115.255', 3252384512, 3252384767, 'GB', 'United Kingdom'),
(104853, '193.219.116.0', '193.219.116.255', 3252384768, 3252385023, 'NL', 'Netherlands'),
(104854, '193.219.117.0', '193.219.117.255', 3252385024, 3252385279, 'RO', 'Romania'),
(104855, '193.219.118.0', '193.219.118.255', 3252385280, 3252385535, 'GB', 'United Kingdom'),
(104856, '193.219.119.0', '193.219.119.255', 3252385536, 3252385791, 'RO', 'Romania'),
(104857, '193.219.120.0', '193.219.120.255', 3252385792, 3252386047, 'GB', 'United Kingdom'),
(104858, '193.219.121.0', '193.219.121.255', 3252386048, 3252386303, 'SI', 'Slovenia'),
(104859, '193.219.122.0', '193.219.122.255', 3252386304, 3252386559, 'GB', 'United Kingdom'),
(104860, '193.219.123.0', '193.219.123.255', 3252386560, 3252386815, 'BE', 'Belgium'),
(104861, '193.219.124.0', '193.219.124.255', 3252386816, 3252387071, 'UA', 'Ukraine'),
(104862, '193.219.125.0', '193.219.125.255', 3252387072, 3252387327, 'RU', 'Russian Federation'),
(104863, '193.219.126.0', '193.219.126.255', 3252387328, 3252387583, 'PL', 'Poland'),
(104864, '193.219.127.0', '193.219.127.255', 3252387584, 3252387839, 'RU', 'Russian Federation'),
(104865, '193.219.128.0', '193.219.191.255', 3252387840, 3252404223, 'LT', 'Lithuania'),
(104866, '193.219.192.0', '193.219.201.255', 3252404224, 3252406783, 'NO', 'Norway'),
(104867, '193.219.202.0', '193.219.203.255', 3252406784, 3252407295, 'LT', 'Lithuania'),
(104868, '193.219.204.0', '193.219.205.159', 3252407296, 3252407711, 'NO', 'Norway'),
(104869, '193.219.205.160', '193.219.205.191', 3252407712, 3252407743, 'NG', 'Nigeria'),
(104870, '193.219.205.192', '193.219.205.207', 3252407744, 3252407759, 'NO', 'Norway'),
(104871, '193.219.205.208', '193.219.205.223', 3252407760, 3252407775, 'CD', 'Congo, The Democratic Republic of the'),
(104872, '193.219.205.224', '193.219.207.255', 3252407776, 3252408319, 'NO', 'Norway'),
(104873, '193.219.208.0', '193.219.208.7', 3252408320, 3252408327, 'MW', 'Malawi'),
(104874, '193.219.208.8', '193.219.208.15', 3252408328, 3252408335, 'LT', 'Lithuania'),
(104875, '193.219.208.16', '193.219.208.23', 3252408336, 3252408343, 'GN', 'Guinea'),
(104876, '193.219.208.24', '193.219.208.31', 3252408344, 3252408351, 'LT', 'Lithuania'),
(104877, '193.219.208.32', '193.219.208.47', 3252408352, 3252408367, 'GN', 'Guinea'),
(104878, '193.219.208.48', '193.219.208.55', 3252408368, 3252408375, 'LT', 'Lithuania'),
(104879, '193.219.208.56', '193.219.208.63', 3252408376, 3252408383, 'GN', 'Guinea'),
(104880, '193.219.208.64', '193.219.208.71', 3252408384, 3252408391, 'BI', 'Burundi'),
(104881, '193.219.208.72', '193.219.208.95', 3252408392, 3252408415, 'LT', 'Lithuania'),
(104882, '193.219.208.96', '193.219.208.159', 3252408416, 3252408479, 'NO', 'Norway'),
(104883, '193.219.208.160', '193.219.208.191', 3252408480, 3252408511, 'LT', 'Lithuania'),
(104884, '193.219.208.192', '193.219.208.207', 3252408512, 3252408527, 'AF', 'Afghanistan'),
(104885, '193.219.208.208', '193.219.208.255', 3252408528, 3252408575, 'LT', 'Lithuania'),
(104886, '193.219.209.0', '193.219.209.31', 3252408576, 3252408607, 'GQ', 'Equatorial Guinea'),
(104887, '193.219.209.32', '193.219.209.63', 3252408608, 3252408639, 'LT', 'Lithuania'),
(104888, '193.219.209.64', '193.219.209.95', 3252408640, 3252408671, 'CF', 'Central African Republic'),
(104889, '193.219.209.96', '193.219.209.127', 3252408672, 3252408703, 'SO', 'Somalia'),
(104890, '193.219.209.128', '193.219.209.159', 3252408704, 3252408735, 'NG', 'Nigeria'),
(104891, '193.219.209.160', '193.219.209.175', 3252408736, 3252408751, 'SO', 'Somalia'),
(104892, '193.219.209.176', '193.219.209.191', 3252408752, 3252408767, 'NG', 'Nigeria'),
(104893, '193.219.209.192', '193.219.209.223', 3252408768, 3252408799, 'LT', 'Lithuania'),
(104894, '193.219.209.224', '193.219.209.255', 3252408800, 3252408831, 'SO', 'Somalia'),
(104895, '193.219.210.0', '193.219.210.7', 3252408832, 3252408839, 'NG', 'Nigeria'),
(104896, '193.219.210.8', '193.219.210.15', 3252408840, 3252408847, 'KE', 'Kenya'),
(104897, '193.219.210.16', '193.219.210.23', 3252408848, 3252408855, 'LR', 'Liberia'),
(104898, '193.219.210.24', '193.219.210.31', 3252408856, 3252408863, 'CM', 'Cameroon'),
(104899, '193.219.210.32', '193.219.210.39', 3252408864, 3252408871, 'LR', 'Liberia'),
(104900, '193.219.210.40', '193.219.210.47', 3252408872, 3252408879, 'CI', 'Cote D''Ivoire'),
(104901, '193.219.210.48', '193.219.210.191', 3252408880, 3252409023, 'LT', 'Lithuania'),
(104902, '193.219.210.192', '193.219.210.207', 3252409024, 3252409039, 'TZ', 'Tanzania, United Republic of'),
(104903, '193.219.210.208', '193.219.210.215', 3252409040, 3252409047, 'MR', 'Mauritania'),
(104904, '193.219.210.216', '193.219.211.63', 3252409048, 3252409151, 'LT', 'Lithuania'),
(104905, '193.219.211.64', '193.219.211.79', 3252409152, 3252409167, 'KE', 'Kenya'),
(104906, '193.219.211.80', '193.219.211.87', 3252409168, 3252409175, 'UG', 'Uganda'),
(104907, '193.219.211.88', '193.219.211.95', 3252409176, 3252409183, 'LT', 'Lithuania'),
(104908, '193.219.211.96', '193.219.211.103', 3252409184, 3252409191, 'UG', 'Uganda'),
(104909, '193.219.211.104', '193.219.211.111', 3252409192, 3252409199, 'LT', 'Lithuania'),
(104910, '193.219.211.112', '193.219.211.127', 3252409200, 3252409215, 'TZ', 'Tanzania, United Republic of'),
(104911, '193.219.211.128', '193.219.211.135', 3252409216, 3252409223, 'BW', 'Botswana'),
(104912, '193.219.211.136', '193.219.211.143', 3252409224, 3252409231, 'LT', 'Lithuania'),
(104913, '193.219.211.144', '193.219.211.159', 3252409232, 3252409247, 'UG', 'Uganda'),
(104914, '193.219.211.160', '193.219.211.175', 3252409248, 3252409263, 'CD', 'Congo, The Democratic Republic of the'),
(104915, '193.219.211.176', '193.219.211.191', 3252409264, 3252409279, 'LT', 'Lithuania'),
(104916, '193.219.211.192', '193.219.211.207', 3252409280, 3252409295, 'SO', 'Somalia'),
(104917, '193.219.211.208', '193.219.211.215', 3252409296, 3252409303, 'LT', 'Lithuania'),
(104918, '193.219.211.216', '193.219.211.255', 3252409304, 3252409343, 'SO', 'Somalia'),
(104919, '193.219.212.0', '193.219.212.31', 3252409344, 3252409375, 'TD', 'Chad'),
(104920, '193.219.212.32', '193.219.212.63', 3252409376, 3252409407, 'LT', 'Lithuania'),
(104921, '193.219.212.64', '193.219.212.127', 3252409408, 3252409471, 'BI', 'Burundi'),
(104922, '193.219.212.128', '193.219.212.159', 3252409472, 3252409503, 'MR', 'Mauritania'),
(104923, '193.219.212.160', '193.219.212.167', 3252409504, 3252409511, 'GH', 'Ghana'),
(104924, '193.219.212.168', '193.219.212.175', 3252409512, 3252409519, 'BF', 'Burkina Faso'),
(104925, '193.219.212.176', '193.219.212.191', 3252409520, 3252409535, 'CD', 'Congo, The Democratic Republic of the'),
(104926, '193.219.212.192', '193.219.212.255', 3252409536, 3252409599, 'LT', 'Lithuania'),
(104927, '193.219.213.0', '193.219.213.15', 3252409600, 3252409615, 'MA', 'Morocco'),
(104928, '193.219.213.16', '193.219.213.31', 3252409616, 3252409631, 'LT', 'Lithuania'),
(104929, '193.219.213.32', '193.219.213.47', 3252409632, 3252409647, 'AO', 'Angola'),
(104930, '193.219.213.48', '193.219.213.127', 3252409648, 3252409727, 'LT', 'Lithuania'),
(104931, '193.219.213.128', '193.219.213.135', 3252409728, 3252409735, 'LR', 'Liberia'),
(104932, '193.219.213.136', '193.219.213.151', 3252409736, 3252409751, 'NG', 'Nigeria'),
(104933, '193.219.213.152', '193.219.213.159', 3252409752, 3252409759, 'BJ', 'Benin'),
(104934, '193.219.213.160', '193.219.213.175', 3252409760, 3252409775, 'BI', 'Burundi'),
(104935, '193.219.213.176', '193.219.213.191', 3252409776, 3252409791, 'LT', 'Lithuania'),
(104936, '193.219.213.192', '193.219.213.223', 3252409792, 3252409823, 'BI', 'Burundi'),
(104937, '193.219.213.224', '193.219.213.255', 3252409824, 3252409855, 'LT', 'Lithuania'),
(104938, '193.219.214.0', '193.219.214.63', 3252409856, 3252409919, 'SO', 'Somalia'),
(104939, '193.219.214.64', '193.219.215.255', 3252409920, 3252410367, 'LT', 'Lithuania'),
(104940, '193.219.216.0', '193.219.216.15', 3252410368, 3252410383, 'NG', 'Nigeria'),
(104941, '193.219.216.16', '193.219.216.23', 3252410384, 3252410391, 'BW', 'Botswana'),
(104942, '193.219.216.24', '193.219.216.31', 3252410392, 3252410399, 'LT', 'Lithuania'),
(104943, '193.219.216.32', '193.219.216.63', 3252410400, 3252410431, 'BJ', 'Benin'),
(104944, '193.219.216.64', '193.219.216.95', 3252410432, 3252410463, 'BI', 'Burundi'),
(104945, '193.219.216.96', '193.219.216.127', 3252410464, 3252410495, 'LT', 'Lithuania'),
(104946, '193.219.216.128', '193.219.216.255', 3252410496, 3252410623, 'BI', 'Burundi'),
(104947, '193.219.217.0', '193.219.217.127', 3252410624, 3252410751, 'ZW', 'Zimbabwe'),
(104948, '193.219.217.128', '193.219.217.159', 3252410752, 3252410783, 'SL', 'Sierra Leone'),
(104949, '193.219.217.160', '193.219.219.191', 3252410784, 3252411327, 'LT', 'Lithuania'),
(104950, '193.219.219.192', '193.219.219.231', 3252411328, 3252411367, 'CD', 'Congo, The Democratic Republic of the'),
(104951, '193.219.219.232', '193.219.219.239', 3252411368, 3252411375, 'LT', 'Lithuania'),
(104952, '193.219.219.240', '193.219.219.255', 3252411376, 3252411391, 'CD', 'Congo, The Democratic Republic of the'),
(104953, '193.219.220.0', '193.219.220.255', 3252411392, 3252411647, 'LT', 'Lithuania'),
(104954, '193.219.221.0', '193.219.221.31', 3252411648, 3252411679, 'BI', 'Burundi'),
(104955, '193.219.221.32', '193.219.221.63', 3252411680, 3252411711, 'LT', 'Lithuania'),
(104956, '193.219.221.64', '193.219.221.95', 3252411712, 3252411743, 'NG', 'Nigeria'),
(104957, '193.219.221.96', '193.219.221.127', 3252411744, 3252411775, 'LT', 'Lithuania'),
(104958, '193.219.221.128', '193.219.221.135', 3252411776, 3252411783, 'GH', 'Ghana'),
(104959, '193.219.221.136', '193.219.221.159', 3252411784, 3252411807, 'LT', 'Lithuania'),
(104960, '193.219.221.160', '193.219.221.175', 3252411808, 3252411823, 'NG', 'Nigeria'),
(104961, '193.219.221.176', '193.219.221.191', 3252411824, 3252411839, 'SO', 'Somalia'),
(104962, '193.219.221.192', '193.219.221.215', 3252411840, 3252411863, 'MR', 'Mauritania'),
(104963, '193.219.221.216', '193.219.221.231', 3252411864, 3252411879, 'LT', 'Lithuania'),
(104964, '193.219.221.232', '193.219.221.239', 3252411880, 3252411887, 'CD', 'Congo, The Democratic Republic of the'),
(104965, '193.219.221.240', '193.219.221.247', 3252411888, 3252411895, 'LT', 'Lithuania'),
(104966, '193.219.221.248', '193.219.221.255', 3252411896, 3252411903, 'CD', 'Congo, The Democratic Republic of the'),
(104967, '193.219.222.0', '193.219.222.63', 3252411904, 3252411967, 'GN', 'Guinea'),
(104968, '193.219.222.64', '193.219.222.255', 3252411968, 3252412159, 'LT', 'Lithuania'),
(104969, '193.219.223.0', '193.219.223.255', 3252412160, 3252412415, 'GN', 'Guinea'),
(104970, '193.219.224.0', '193.219.231.255', 3252412416, 3252414463, 'LT', 'Lithuania'),
(104971, '193.219.232.0', '193.219.232.7', 3252414464, 3252414471, 'GH', 'Ghana'),
(104972, '193.219.232.8', '193.219.232.15', 3252414472, 3252414479, 'LT', 'Lithuania'),
(104973, '193.219.232.16', '193.219.232.23', 3252414480, 3252414487, 'TZ', 'Tanzania, United Republic of'),
(104974, '193.219.232.24', '193.219.232.31', 3252414488, 3252414495, 'LT', 'Lithuania'),
(104975, '193.219.232.32', '193.219.232.47', 3252414496, 3252414511, 'ML', 'Mali'),
(104976, '193.219.232.48', '193.219.232.63', 3252414512, 3252414527, 'MR', 'Mauritania'),
(104977, '193.219.232.64', '193.219.232.127', 3252414528, 3252414591, 'LT', 'Lithuania'),
(104978, '193.219.232.128', '193.219.232.135', 3252414592, 3252414599, 'GH', 'Ghana'),
(104979, '193.219.232.136', '193.219.232.143', 3252414600, 3252414607, 'LT', 'Lithuania'),
(104980, '193.219.232.144', '193.219.232.159', 3252414608, 3252414623, 'ER', 'Eritrea'),
(104981, '193.219.232.160', '193.219.232.175', 3252414624, 3252414639, 'TZ', 'Tanzania, United Republic of'),
(104982, '193.219.232.176', '193.219.232.183', 3252414640, 3252414647, 'GH', 'Ghana'),
(104983, '193.219.232.184', '193.219.232.191', 3252414648, 3252414655, 'NE', 'Niger');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(104984, '193.219.232.192', '193.219.233.255', 3252414656, 3252414975, 'LT', 'Lithuania'),
(104985, '193.219.234.0', '193.219.234.167', 3252414976, 3252415143, 'IQ', 'Iraq'),
(104986, '193.219.234.168', '193.219.234.175', 3252415144, 3252415151, 'LT', 'Lithuania'),
(104987, '193.219.234.176', '193.219.234.183', 3252415152, 3252415159, 'IQ', 'Iraq'),
(104988, '193.219.234.184', '193.219.234.191', 3252415160, 3252415167, 'BE', 'Belgium'),
(104989, '193.219.234.192', '193.219.234.255', 3252415168, 3252415231, 'IQ', 'Iraq'),
(104990, '193.219.235.0', '193.219.235.255', 3252415232, 3252415487, 'LT', 'Lithuania'),
(104991, '193.219.236.0', '193.219.236.255', 3252415488, 3252415743, 'US', 'United States'),
(104992, '193.219.237.0', '193.219.237.223', 3252415744, 3252415967, 'LT', 'Lithuania'),
(104993, '193.219.237.224', '193.219.237.255', 3252415968, 3252415999, 'CM', 'Cameroon'),
(104994, '193.219.238.0', '193.219.241.127', 3252416000, 3252416895, 'LT', 'Lithuania'),
(104995, '193.219.241.128', '193.219.241.159', 3252416896, 3252416927, 'GN', 'Guinea'),
(104996, '193.219.241.160', '193.219.241.191', 3252416928, 3252416959, 'LT', 'Lithuania'),
(104997, '193.219.241.192', '193.219.241.255', 3252416960, 3252417023, 'GN', 'Guinea'),
(104998, '193.219.242.0', '193.219.242.255', 3252417024, 3252417279, 'LT', 'Lithuania'),
(104999, '193.219.243.0', '193.219.243.7', 3252417280, 3252417287, 'IQ', 'Iraq'),
(105000, '193.219.243.8', '193.219.243.159', 3252417288, 3252417439, 'AF', 'Afghanistan'),
(105001, '193.219.243.160', '193.219.243.167', 3252417440, 3252417447, 'LT', 'Lithuania'),
(105002, '193.219.243.168', '193.219.243.183', 3252417448, 3252417463, 'AF', 'Afghanistan'),
(105003, '193.219.243.184', '193.219.243.191', 3252417464, 3252417471, 'LT', 'Lithuania'),
(105004, '193.219.243.192', '193.219.243.239', 3252417472, 3252417519, 'AF', 'Afghanistan'),
(105005, '193.219.243.240', '193.219.245.143', 3252417520, 3252417935, 'LT', 'Lithuania'),
(105006, '193.219.245.144', '193.219.245.159', 3252417936, 3252417951, 'ZM', 'Zambia'),
(105007, '193.219.245.160', '193.219.246.191', 3252417952, 3252418239, 'LT', 'Lithuania'),
(105008, '193.219.246.192', '193.219.246.255', 3252418240, 3252418303, 'JO', 'Jordan'),
(105009, '193.219.247.0', '193.219.247.255', 3252418304, 3252418559, 'LT', 'Lithuania'),
(105010, '193.219.248.0', '193.219.248.63', 3252418560, 3252418623, 'JO', 'Jordan'),
(105011, '193.219.248.64', '193.219.248.127', 3252418624, 3252418687, 'LT', 'Lithuania'),
(105012, '193.219.248.128', '193.219.248.159', 3252418688, 3252418719, 'JO', 'Jordan'),
(105013, '193.219.248.160', '193.219.248.255', 3252418720, 3252418815, 'LT', 'Lithuania'),
(105014, '193.219.249.0', '193.219.249.31', 3252418816, 3252418847, 'KE', 'Kenya'),
(105015, '193.219.249.32', '193.219.249.255', 3252418848, 3252419071, 'LT', 'Lithuania'),
(105016, '193.219.250.0', '193.219.250.15', 3252419072, 3252419087, 'ZM', 'Zambia'),
(105017, '193.219.250.16', '193.219.250.31', 3252419088, 3252419103, 'LT', 'Lithuania'),
(105018, '193.219.250.32', '193.219.250.47', 3252419104, 3252419119, 'SL', 'Sierra Leone'),
(105019, '193.219.250.48', '193.219.250.55', 3252419120, 3252419127, 'GH', 'Ghana'),
(105020, '193.219.250.56', '193.219.250.63', 3252419128, 3252419135, 'LT', 'Lithuania'),
(105021, '193.219.250.64', '193.219.250.95', 3252419136, 3252419167, 'SL', 'Sierra Leone'),
(105022, '193.219.250.96', '193.219.250.127', 3252419168, 3252419199, 'CD', 'Congo, The Democratic Republic of the'),
(105023, '193.219.250.128', '193.219.250.143', 3252419200, 3252419215, 'LT', 'Lithuania'),
(105024, '193.219.250.144', '193.219.250.175', 3252419216, 3252419247, 'GN', 'Guinea'),
(105025, '193.219.250.176', '193.219.250.239', 3252419248, 3252419311, 'LT', 'Lithuania'),
(105026, '193.219.250.240', '193.219.250.255', 3252419312, 3252419327, 'ZM', 'Zambia'),
(105027, '193.219.251.0', '193.219.251.31', 3252419328, 3252419359, 'LT', 'Lithuania'),
(105028, '193.219.251.32', '193.219.251.95', 3252419360, 3252419423, 'GH', 'Ghana'),
(105029, '193.219.251.96', '193.219.252.255', 3252419424, 3252419839, 'LT', 'Lithuania'),
(105030, '193.219.253.0', '193.219.253.39', 3252419840, 3252419879, 'IQ', 'Iraq'),
(105031, '193.219.253.40', '193.219.253.79', 3252419880, 3252419919, 'LT', 'Lithuania'),
(105032, '193.219.253.80', '193.219.253.87', 3252419920, 3252419927, 'IQ', 'Iraq'),
(105033, '193.219.253.88', '193.219.253.95', 3252419928, 3252419935, 'LT', 'Lithuania'),
(105034, '193.219.253.96', '193.219.253.103', 3252419936, 3252419943, 'IQ', 'Iraq'),
(105035, '193.219.253.104', '193.219.253.191', 3252419944, 3252420031, 'LT', 'Lithuania'),
(105036, '193.219.253.192', '193.219.253.215', 3252420032, 3252420055, 'IQ', 'Iraq'),
(105037, '193.219.253.216', '193.219.253.223', 3252420056, 3252420063, 'LT', 'Lithuania'),
(105038, '193.219.253.224', '193.219.253.231', 3252420064, 3252420071, 'IQ', 'Iraq'),
(105039, '193.219.253.232', '193.219.253.255', 3252420072, 3252420095, 'LT', 'Lithuania'),
(105040, '193.219.254.0', '193.219.254.15', 3252420096, 3252420111, 'IQ', 'Iraq'),
(105041, '193.219.254.16', '193.219.254.23', 3252420112, 3252420119, 'GB', 'United Kingdom'),
(105042, '193.219.254.24', '193.219.254.47', 3252420120, 3252420143, 'IQ', 'Iraq'),
(105043, '193.219.254.48', '193.219.254.95', 3252420144, 3252420191, 'LT', 'Lithuania'),
(105044, '193.219.254.96', '193.219.254.127', 3252420192, 3252420223, 'IQ', 'Iraq'),
(105045, '193.219.254.128', '193.219.254.255', 3252420224, 3252420351, 'LT', 'Lithuania'),
(105046, '193.219.255.0', '193.219.255.63', 3252420352, 3252420415, 'IQ', 'Iraq'),
(105047, '193.219.255.64', '193.219.255.79', 3252420416, 3252420431, 'GB', 'United Kingdom'),
(105048, '193.219.255.80', '193.219.255.103', 3252420432, 3252420455, 'LT', 'Lithuania'),
(105049, '193.219.255.104', '193.219.255.111', 3252420456, 3252420463, 'IQ', 'Iraq'),
(105050, '193.219.255.112', '193.219.255.119', 3252420464, 3252420471, 'AF', 'Afghanistan'),
(105051, '193.219.255.120', '193.219.255.231', 3252420472, 3252420583, 'LT', 'Lithuania'),
(105052, '193.219.255.232', '193.219.255.239', 3252420584, 3252420591, 'IQ', 'Iraq'),
(105053, '193.219.255.240', '193.220.1.255', 3252420592, 3252421119, 'LT', 'Lithuania'),
(105054, '193.220.2.0', '193.220.11.255', 3252421120, 3252423679, 'NO', 'Norway'),
(105055, '193.220.12.0', '193.220.15.255', 3252423680, 3252424703, 'LT', 'Lithuania'),
(105056, '193.220.16.0', '193.220.16.15', 3252424704, 3252424719, 'GN', 'Guinea'),
(105057, '193.220.16.16', '193.220.16.31', 3252424720, 3252424735, 'LT', 'Lithuania'),
(105058, '193.220.16.32', '193.220.16.47', 3252424736, 3252424751, 'GA', 'Gabon'),
(105059, '193.220.16.48', '193.220.17.63', 3252424752, 3252425023, 'LT', 'Lithuania'),
(105060, '193.220.17.64', '193.220.17.255', 3252425024, 3252425215, 'SO', 'Somalia'),
(105061, '193.220.18.0', '193.220.18.127', 3252425216, 3252425343, 'TD', 'Chad'),
(105062, '193.220.18.128', '193.220.18.255', 3252425344, 3252425471, 'LT', 'Lithuania'),
(105063, '193.220.19.0', '193.220.19.71', 3252425472, 3252425543, 'AO', 'Angola'),
(105064, '193.220.19.72', '193.220.19.79', 3252425544, 3252425551, 'LT', 'Lithuania'),
(105065, '193.220.19.80', '193.220.19.95', 3252425552, 3252425567, 'AO', 'Angola'),
(105066, '193.220.19.96', '193.220.19.255', 3252425568, 3252425727, 'LT', 'Lithuania'),
(105067, '193.220.20.0', '193.220.20.255', 3252425728, 3252425983, 'A2', 'Satellite Provider'),
(105068, '193.220.21.0', '193.220.23.255', 3252425984, 3252426751, 'LT', 'Lithuania'),
(105069, '193.220.24.0', '193.220.25.255', 3252426752, 3252427263, 'MZ', 'Mozambique'),
(105070, '193.220.26.0', '193.220.27.255', 3252427264, 3252427775, 'LT', 'Lithuania'),
(105071, '193.220.28.0', '193.220.29.255', 3252427776, 3252428287, 'MW', 'Malawi'),
(105072, '193.220.30.0', '193.220.30.15', 3252428288, 3252428303, 'AO', 'Angola'),
(105073, '193.220.30.16', '193.220.30.31', 3252428304, 3252428319, 'LT', 'Lithuania'),
(105074, '193.220.30.32', '193.220.30.47', 3252428320, 3252428335, 'AO', 'Angola'),
(105075, '193.220.30.48', '193.220.30.63', 3252428336, 3252428351, 'LT', 'Lithuania'),
(105076, '193.220.30.64', '193.220.30.95', 3252428352, 3252428383, 'AO', 'Angola'),
(105077, '193.220.30.96', '193.220.30.119', 3252428384, 3252428407, 'LT', 'Lithuania'),
(105078, '193.220.30.120', '193.220.30.127', 3252428408, 3252428415, 'AO', 'Angola'),
(105079, '193.220.30.128', '193.220.30.159', 3252428416, 3252428447, 'KE', 'Kenya'),
(105080, '193.220.30.160', '193.220.30.191', 3252428448, 3252428479, 'LT', 'Lithuania'),
(105081, '193.220.30.192', '193.220.31.255', 3252428480, 3252428799, 'NG', 'Nigeria'),
(105082, '193.220.32.0', '193.220.36.255', 3252428800, 3252430079, 'LT', 'Lithuania'),
(105083, '193.220.37.0', '193.220.37.255', 3252430080, 3252430335, 'BJ', 'Benin'),
(105084, '193.220.38.0', '193.220.38.127', 3252430336, 3252430463, 'NE', 'Niger'),
(105085, '193.220.38.128', '193.220.38.143', 3252430464, 3252430479, 'BJ', 'Benin'),
(105086, '193.220.38.144', '193.220.38.175', 3252430480, 3252430511, 'LT', 'Lithuania'),
(105087, '193.220.38.176', '193.220.38.183', 3252430512, 3252430519, 'BF', 'Burkina Faso'),
(105088, '193.220.38.184', '193.220.38.199', 3252430520, 3252430535, 'LT', 'Lithuania'),
(105089, '193.220.38.200', '193.220.38.207', 3252430536, 3252430543, 'BF', 'Burkina Faso'),
(105090, '193.220.38.208', '193.220.38.223', 3252430544, 3252430559, 'BJ', 'Benin'),
(105091, '193.220.38.224', '193.220.38.255', 3252430560, 3252430591, 'LT', 'Lithuania'),
(105092, '193.220.39.0', '193.220.39.255', 3252430592, 3252430847, 'GN', 'Guinea'),
(105093, '193.220.40.0', '193.220.41.255', 3252430848, 3252431359, 'MW', 'Malawi'),
(105094, '193.220.42.0', '193.220.43.255', 3252431360, 3252431871, 'LT', 'Lithuania'),
(105095, '193.220.44.0', '193.220.44.255', 3252431872, 3252432127, 'SO', 'Somalia'),
(105096, '193.220.45.0', '193.220.45.255', 3252432128, 3252432383, 'LR', 'Liberia'),
(105097, '193.220.46.0', '193.220.46.15', 3252432384, 3252432399, 'MW', 'Malawi'),
(105098, '193.220.46.16', '193.220.46.63', 3252432400, 3252432447, 'LT', 'Lithuania'),
(105099, '193.220.46.64', '193.220.46.79', 3252432448, 3252432463, 'MW', 'Malawi'),
(105100, '193.220.46.80', '193.220.46.191', 3252432464, 3252432575, 'LT', 'Lithuania'),
(105101, '193.220.46.192', '193.220.46.207', 3252432576, 3252432591, 'MW', 'Malawi'),
(105102, '193.220.46.208', '193.220.50.255', 3252432592, 3252433663, 'LT', 'Lithuania'),
(105103, '193.220.51.0', '193.220.51.255', 3252433664, 3252433919, 'SO', 'Somalia'),
(105104, '193.220.52.0', '193.220.52.255', 3252433920, 3252434175, 'MZ', 'Mozambique'),
(105105, '193.220.53.0', '193.220.54.255', 3252434176, 3252434687, 'LT', 'Lithuania'),
(105106, '193.220.55.0', '193.220.55.15', 3252434688, 3252434703, 'GH', 'Ghana'),
(105107, '193.220.55.16', '193.220.55.23', 3252434704, 3252434711, 'TZ', 'Tanzania, United Republic of'),
(105108, '193.220.55.24', '193.220.55.31', 3252434712, 3252434719, 'LT', 'Lithuania'),
(105109, '193.220.55.32', '193.220.55.55', 3252434720, 3252434743, 'GH', 'Ghana'),
(105110, '193.220.55.56', '193.220.55.63', 3252434744, 3252434751, 'ML', 'Mali'),
(105111, '193.220.55.64', '193.220.55.71', 3252434752, 3252434759, 'GN', 'Guinea'),
(105112, '193.220.55.72', '193.220.55.79', 3252434760, 3252434767, 'SL', 'Sierra Leone'),
(105113, '193.220.55.80', '193.220.55.87', 3252434768, 3252434775, 'BF', 'Burkina Faso'),
(105114, '193.220.55.88', '193.220.55.95', 3252434776, 3252434783, 'SL', 'Sierra Leone'),
(105115, '193.220.55.96', '193.220.55.103', 3252434784, 3252434791, 'ZM', 'Zambia'),
(105116, '193.220.55.104', '193.220.56.255', 3252434792, 3252435199, 'LT', 'Lithuania'),
(105117, '193.220.57.0', '193.220.57.31', 3252435200, 3252435231, 'TZ', 'Tanzania, United Republic of'),
(105118, '193.220.57.32', '193.220.57.47', 3252435232, 3252435247, 'LT', 'Lithuania'),
(105119, '193.220.57.48', '193.220.57.63', 3252435248, 3252435263, 'BW', 'Botswana'),
(105120, '193.220.57.64', '193.220.57.79', 3252435264, 3252435279, 'ML', 'Mali'),
(105121, '193.220.57.80', '193.220.57.87', 3252435280, 3252435287, 'GN', 'Guinea'),
(105122, '193.220.57.88', '193.220.57.95', 3252435288, 3252435295, 'GH', 'Ghana'),
(105123, '193.220.57.96', '193.220.57.103', 3252435296, 3252435303, 'TZ', 'Tanzania, United Republic of'),
(105124, '193.220.57.104', '193.220.57.111', 3252435304, 3252435311, 'SN', 'Senegal'),
(105125, '193.220.57.112', '193.220.57.119', 3252435312, 3252435319, 'CF', 'Central African Republic'),
(105126, '193.220.57.120', '193.220.57.127', 3252435320, 3252435327, 'MZ', 'Mozambique'),
(105127, '193.220.57.128', '193.220.57.143', 3252435328, 3252435343, 'CD', 'Congo, The Democratic Republic of the'),
(105128, '193.220.57.144', '193.220.57.175', 3252435344, 3252435375, 'BF', 'Burkina Faso'),
(105129, '193.220.57.176', '193.220.57.215', 3252435376, 3252435415, 'GN', 'Guinea'),
(105130, '193.220.57.216', '193.220.57.255', 3252435416, 3252435455, 'CD', 'Congo, The Democratic Republic of the'),
(105131, '193.220.58.0', '193.220.58.255', 3252435456, 3252435711, 'TZ', 'Tanzania, United Republic of'),
(105132, '193.220.59.0', '193.220.59.143', 3252435712, 3252435855, 'GH', 'Ghana'),
(105133, '193.220.59.144', '193.220.59.159', 3252435856, 3252435871, 'MR', 'Mauritania'),
(105134, '193.220.59.160', '193.220.59.175', 3252435872, 3252435887, 'GH', 'Ghana'),
(105135, '193.220.59.176', '193.220.59.191', 3252435888, 3252435903, 'CD', 'Congo, The Democratic Republic of the'),
(105136, '193.220.59.192', '193.220.59.207', 3252435904, 3252435919, 'BW', 'Botswana'),
(105137, '193.220.59.208', '193.220.59.223', 3252435920, 3252435935, 'BF', 'Burkina Faso'),
(105138, '193.220.59.224', '193.220.59.255', 3252435936, 3252435967, 'CD', 'Congo, The Democratic Republic of the'),
(105139, '193.220.60.0', '193.220.60.255', 3252435968, 3252436223, 'TZ', 'Tanzania, United Republic of'),
(105140, '193.220.61.0', '193.220.61.15', 3252436224, 3252436239, 'GN', 'Guinea'),
(105141, '193.220.61.16', '193.220.61.47', 3252436240, 3252436271, 'ML', 'Mali'),
(105142, '193.220.61.48', '193.220.61.63', 3252436272, 3252436287, 'BF', 'Burkina Faso'),
(105143, '193.220.61.64', '193.220.61.79', 3252436288, 3252436303, 'LT', 'Lithuania'),
(105144, '193.220.61.80', '193.220.61.95', 3252436304, 3252436319, 'ZM', 'Zambia'),
(105145, '193.220.61.96', '193.220.61.111', 3252436320, 3252436335, 'LT', 'Lithuania'),
(105146, '193.220.61.112', '193.220.61.127', 3252436336, 3252436351, 'ZM', 'Zambia'),
(105147, '193.220.61.128', '193.220.61.159', 3252436352, 3252436383, 'GN', 'Guinea'),
(105148, '193.220.61.160', '193.220.61.175', 3252436384, 3252436399, 'LR', 'Liberia'),
(105149, '193.220.61.176', '193.220.61.191', 3252436400, 3252436415, 'SL', 'Sierra Leone'),
(105150, '193.220.61.192', '193.220.61.223', 3252436416, 3252436447, 'LT', 'Lithuania'),
(105151, '193.220.61.224', '193.220.61.255', 3252436448, 3252436479, 'ER', 'Eritrea'),
(105152, '193.220.62.0', '193.220.63.255', 3252436480, 3252436991, 'LT', 'Lithuania'),
(105153, '193.220.64.0', '193.220.65.255', 3252436992, 3252437503, 'NG', 'Nigeria'),
(105154, '193.220.66.0', '193.220.69.255', 3252437504, 3252438527, 'LT', 'Lithuania'),
(105155, '193.220.70.0', '193.220.70.255', 3252438528, 3252438783, 'CM', 'Cameroon'),
(105156, '193.220.71.0', '193.220.72.223', 3252438784, 3252439263, 'LT', 'Lithuania'),
(105157, '193.220.72.224', '193.220.72.231', 3252439264, 3252439271, 'SN', 'Senegal'),
(105158, '193.220.72.232', '193.220.72.247', 3252439272, 3252439287, 'LT', 'Lithuania'),
(105159, '193.220.72.248', '193.220.72.255', 3252439288, 3252439295, 'SN', 'Senegal'),
(105160, '193.220.73.0', '193.220.73.95', 3252439296, 3252439391, 'SO', 'Somalia'),
(105161, '193.220.73.96', '193.220.73.255', 3252439392, 3252439551, 'LT', 'Lithuania'),
(105162, '193.220.74.0', '193.220.74.63', 3252439552, 3252439615, 'SO', 'Somalia'),
(105163, '193.220.74.64', '193.220.74.255', 3252439616, 3252439807, 'LT', 'Lithuania'),
(105164, '193.220.75.0', '193.220.75.63', 3252439808, 3252439871, 'SO', 'Somalia'),
(105165, '193.220.75.64', '193.220.92.127', 3252439872, 3252444287, 'LT', 'Lithuania'),
(105166, '193.220.92.128', '193.220.92.191', 3252444288, 3252444351, 'TZ', 'Tanzania, United Republic of'),
(105167, '193.220.92.192', '193.220.95.255', 3252444352, 3252445183, 'LT', 'Lithuania'),
(105168, '193.220.96.0', '193.220.96.79', 3252445184, 3252445263, 'GN', 'Guinea'),
(105169, '193.220.96.80', '193.220.101.247', 3252445264, 3252446711, 'LT', 'Lithuania'),
(105170, '193.220.101.248', '193.220.101.255', 3252446712, 3252446719, 'NO', 'Norway'),
(105171, '193.220.102.0', '193.220.103.255', 3252446720, 3252447231, 'LT', 'Lithuania'),
(105172, '193.220.104.0', '193.220.107.255', 3252447232, 3252448255, 'NO', 'Norway'),
(105173, '193.220.108.0', '193.220.108.255', 3252448256, 3252448511, 'SE', 'Sweden'),
(105174, '193.220.109.0', '193.220.109.255', 3252448512, 3252448767, 'NO', 'Norway'),
(105175, '193.220.110.0', '193.220.111.255', 3252448768, 3252449279, 'SE', 'Sweden'),
(105176, '193.220.112.0', '193.220.112.255', 3252449280, 3252449535, 'CN', 'China'),
(105177, '193.220.113.0', '193.220.113.79', 3252449536, 3252449615, 'CH', 'Switzerland'),
(105178, '193.220.113.80', '193.220.113.87', 3252449616, 3252449623, 'DK', 'Denmark'),
(105179, '193.220.113.88', '193.220.113.255', 3252449624, 3252449791, 'LT', 'Lithuania'),
(105180, '193.220.114.0', '193.220.114.255', 3252449792, 3252450047, 'DK', 'Denmark'),
(105181, '193.220.115.0', '193.220.115.255', 3252450048, 3252450303, 'LT', 'Lithuania'),
(105182, '193.220.116.0', '193.220.117.255', 3252450304, 3252450815, 'NO', 'Norway'),
(105183, '193.220.118.0', '193.220.118.7', 3252450816, 3252450823, 'ET', 'Ethiopia'),
(105184, '193.220.118.8', '193.220.118.31', 3252450824, 3252450847, 'LT', 'Lithuania'),
(105185, '193.220.118.32', '193.220.118.47', 3252450848, 3252450863, 'IQ', 'Iraq'),
(105186, '193.220.118.48', '193.220.118.63', 3252450864, 3252450879, 'LT', 'Lithuania'),
(105187, '193.220.118.64', '193.220.118.95', 3252450880, 3252450911, 'NO', 'Norway'),
(105188, '193.220.118.96', '193.220.118.127', 3252450912, 3252450943, 'LT', 'Lithuania'),
(105189, '193.220.118.128', '193.220.118.143', 3252450944, 3252450959, 'CH', 'Switzerland'),
(105190, '193.220.118.144', '193.220.118.255', 3252450960, 3252451071, 'LT', 'Lithuania'),
(105191, '193.220.119.0', '193.220.119.255', 3252451072, 3252451327, 'CH', 'Switzerland'),
(105192, '193.220.120.0', '193.220.120.255', 3252451328, 3252451583, 'LT', 'Lithuania'),
(105193, '193.220.121.0', '193.220.121.23', 3252451584, 3252451607, 'GM', 'Gambia'),
(105194, '193.220.121.24', '193.220.121.47', 3252451608, 3252451631, 'GW', 'Guinea-Bissau'),
(105195, '193.220.121.48', '193.220.121.71', 3252451632, 3252451655, 'GN', 'Guinea'),
(105196, '193.220.121.72', '193.220.121.95', 3252451656, 3252451679, 'SL', 'Sierra Leone'),
(105197, '193.220.121.96', '193.220.121.111', 3252451680, 3252451695, 'LR', 'Liberia'),
(105198, '193.220.121.112', '193.220.122.127', 3252451696, 3252451967, 'LT', 'Lithuania'),
(105199, '193.220.122.128', '193.220.122.159', 3252451968, 3252451999, 'NO', 'Norway'),
(105200, '193.220.122.160', '193.220.122.255', 3252452000, 3252452095, 'LT', 'Lithuania'),
(105201, '193.220.123.0', '193.220.123.31', 3252452096, 3252452127, 'NO', 'Norway'),
(105202, '193.220.123.32', '193.220.123.39', 3252452128, 3252452135, 'LT', 'Lithuania'),
(105203, '193.220.123.40', '193.220.123.47', 3252452136, 3252452143, 'NO', 'Norway'),
(105204, '193.220.123.48', '193.220.123.63', 3252452144, 3252452159, 'GB', 'United Kingdom'),
(105205, '193.220.123.64', '193.220.123.79', 3252452160, 3252452175, 'LT', 'Lithuania'),
(105206, '193.220.123.80', '193.220.123.95', 3252452176, 3252452191, 'NO', 'Norway'),
(105207, '193.220.123.96', '193.220.123.127', 3252452192, 3252452223, 'LT', 'Lithuania'),
(105208, '193.220.123.128', '193.220.123.131', 3252452224, 3252452227, 'NL', 'Netherlands'),
(105209, '193.220.123.132', '193.220.123.175', 3252452228, 3252452271, 'LT', 'Lithuania'),
(105210, '193.220.123.176', '193.220.123.255', 3252452272, 3252452351, 'NO', 'Norway'),
(105211, '193.220.124.0', '193.220.124.135', 3252452352, 3252452487, 'LT', 'Lithuania'),
(105212, '193.220.124.136', '193.220.124.143', 3252452488, 3252452495, 'MW', 'Malawi'),
(105213, '193.220.124.144', '193.220.124.151', 3252452496, 3252452503, 'ZM', 'Zambia'),
(105214, '193.220.124.152', '193.220.124.159', 3252452504, 3252452511, 'SD', 'Sudan'),
(105215, '193.220.124.160', '193.220.124.255', 3252452512, 3252452607, 'LT', 'Lithuania'),
(105216, '193.220.125.0', '193.220.125.127', 3252452608, 3252452735, 'TD', 'Chad'),
(105217, '193.220.125.128', '193.220.127.143', 3252452736, 3252453263, 'LT', 'Lithuania'),
(105218, '193.220.127.144', '193.220.127.151', 3252453264, 3252453271, 'NG', 'Nigeria'),
(105219, '193.220.127.152', '193.220.132.255', 3252453272, 3252454655, 'LT', 'Lithuania'),
(105220, '193.220.133.0', '193.220.133.255', 3252454656, 3252454911, 'IQ', 'Iraq'),
(105221, '193.220.134.0', '193.220.136.255', 3252454912, 3252455679, 'LT', 'Lithuania'),
(105222, '193.220.137.0', '193.220.137.127', 3252455680, 3252455807, 'BI', 'Burundi'),
(105223, '193.220.137.128', '193.220.156.255', 3252455808, 3252460799, 'LT', 'Lithuania'),
(105224, '193.220.157.0', '193.220.157.31', 3252460800, 3252460831, 'AF', 'Afghanistan'),
(105225, '193.220.157.32', '193.220.157.47', 3252460832, 3252460847, 'US', 'United States'),
(105226, '193.220.157.48', '193.220.157.63', 3252460848, 3252460863, 'LT', 'Lithuania'),
(105227, '193.220.157.64', '193.220.157.127', 3252460864, 3252460927, 'IQ', 'Iraq'),
(105228, '193.220.157.128', '193.220.157.255', 3252460928, 3252461055, 'LT', 'Lithuania'),
(105229, '193.220.158.0', '193.220.159.255', 3252461056, 3252461567, 'NO', 'Norway'),
(105230, '193.220.160.0', '193.220.170.255', 3252461568, 3252464383, 'LT', 'Lithuania'),
(105231, '193.220.171.0', '193.220.175.255', 3252464384, 3252465663, 'NO', 'Norway'),
(105232, '193.220.176.0', '193.220.207.255', 3252465664, 3252473855, 'LT', 'Lithuania'),
(105233, '193.220.208.0', '193.220.211.255', 3252473856, 3252474879, 'SO', 'Somalia'),
(105234, '193.220.212.0', '193.220.235.255', 3252474880, 3252481023, 'LT', 'Lithuania'),
(105235, '193.220.236.0', '193.220.237.255', 3252481024, 3252481535, 'MZ', 'Mozambique'),
(105236, '193.220.238.0', '193.220.255.255', 3252481536, 3252486143, 'LT', 'Lithuania'),
(105237, '193.221.0.0', '193.221.15.255', 3252486144, 3252490239, 'BE', 'Belgium'),
(105238, '193.221.16.0', '193.221.38.255', 3252490240, 3252496127, 'SE', 'Sweden'),
(105239, '193.221.39.0', '193.221.39.255', 3252496128, 3252496383, 'AU', 'Australia'),
(105240, '193.221.40.0', '193.221.54.255', 3252496384, 3252500223, 'SE', 'Sweden'),
(105241, '193.221.55.0', '193.221.55.255', 3252500224, 3252500479, 'GB', 'United Kingdom'),
(105242, '193.221.56.0', '193.221.58.255', 3252500480, 3252501247, 'SE', 'Sweden'),
(105243, '193.221.59.0', '193.221.59.255', 3252501248, 3252501503, 'EU', 'Europe'),
(105244, '193.221.60.0', '193.221.74.255', 3252501504, 3252505343, 'SE', 'Sweden'),
(105245, '193.221.75.0', '193.221.75.255', 3252505344, 3252505599, 'US', 'United States'),
(105246, '193.221.76.0', '193.221.81.255', 3252505600, 3252507135, 'SE', 'Sweden'),
(105247, '193.221.82.0', '193.221.83.255', 3252507136, 3252507647, 'RO', 'Romania'),
(105248, '193.221.84.0', '193.221.89.255', 3252507648, 3252509183, 'GB', 'United Kingdom'),
(105249, '193.221.90.0', '193.221.90.255', 3252509184, 3252509439, 'AP', 'Asia/Pacific Region'),
(105250, '193.221.91.0', '193.221.92.255', 3252509440, 3252509951, 'GB', 'United Kingdom'),
(105251, '193.221.93.0', '193.221.95.255', 3252509952, 3252510719, 'CH', 'Switzerland'),
(105252, '193.221.96.0', '193.221.111.255', 3252510720, 3252514815, 'FR', 'France'),
(105253, '193.221.112.0', '193.221.112.255', 3252514816, 3252515071, 'SI', 'Slovenia'),
(105254, '193.221.113.0', '193.221.113.255', 3252515072, 3252515327, 'GB', 'United Kingdom'),
(105255, '193.221.114.0', '193.221.114.255', 3252515328, 3252515583, 'NL', 'Netherlands'),
(105256, '193.221.115.0', '193.221.115.255', 3252515584, 3252515839, 'SI', 'Slovenia'),
(105257, '193.221.116.0', '193.221.116.255', 3252515840, 3252516095, 'CH', 'Switzerland'),
(105258, '193.221.117.0', '193.221.117.255', 3252516096, 3252516351, 'FR', 'France'),
(105259, '193.221.118.0', '193.221.118.255', 3252516352, 3252516607, 'GB', 'United Kingdom'),
(105260, '193.221.119.0', '193.221.119.255', 3252516608, 3252516863, 'SE', 'Sweden'),
(105261, '193.221.120.0', '193.221.120.255', 3252516864, 3252517119, 'FR', 'France'),
(105262, '193.221.121.0', '193.221.121.255', 3252517120, 3252517375, 'EU', 'Europe'),
(105263, '193.221.122.0', '193.221.122.255', 3252517376, 3252517631, 'PL', 'Poland'),
(105264, '193.221.123.0', '193.221.123.255', 3252517632, 3252517887, 'BE', 'Belgium'),
(105265, '193.221.124.0', '193.221.124.255', 3252517888, 3252518143, 'DK', 'Denmark'),
(105266, '193.221.125.0', '193.221.125.255', 3252518144, 3252518399, 'NL', 'Netherlands'),
(105267, '193.221.126.0', '193.221.126.255', 3252518400, 3252518655, 'PL', 'Poland'),
(105268, '193.221.127.0', '193.221.127.255', 3252518656, 3252518911, 'DE', 'Germany'),
(105269, '193.221.128.0', '193.221.159.255', 3252518912, 3252527103, 'NL', 'Netherlands'),
(105270, '193.221.160.0', '193.221.191.255', 3252527104, 3252535295, 'BE', 'Belgium'),
(105271, '193.221.192.0', '193.221.207.255', 3252535296, 3252539391, 'GB', 'United Kingdom'),
(105272, '193.221.208.0', '193.221.211.255', 3252539392, 3252540415, 'IE', 'Ireland'),
(105273, '193.221.212.0', '193.221.217.255', 3252540416, 3252541951, 'NL', 'Netherlands'),
(105274, '193.221.218.0', '193.221.218.255', 3252541952, 3252542207, 'CI', 'Cote D''Ivoire'),
(105275, '193.221.219.0', '193.221.255.255', 3252542208, 3252551679, 'BE', 'Belgium'),
(105276, '193.222.0.0', '193.222.47.255', 3252551680, 3252563967, 'CH', 'Switzerland'),
(105277, '193.222.48.0', '193.222.51.255', 3252563968, 3252564991, 'RO', 'Romania'),
(105278, '193.222.52.0', '193.222.55.255', 3252564992, 3252566015, 'UA', 'Ukraine'),
(105279, '193.222.56.0', '193.222.56.255', 3252566016, 3252566271, 'DE', 'Germany'),
(105280, '193.222.57.0', '193.222.57.255', 3252566272, 3252566527, 'RO', 'Romania'),
(105281, '193.222.58.0', '193.222.58.255', 3252566528, 3252566783, 'RU', 'Russian Federation'),
(105282, '193.222.59.0', '193.222.60.255', 3252566784, 3252567295, 'CH', 'Switzerland'),
(105283, '193.222.61.0', '193.222.61.255', 3252567296, 3252567551, 'GB', 'United Kingdom'),
(105284, '193.222.62.0', '193.222.62.255', 3252567552, 3252567807, 'RU', 'Russian Federation'),
(105285, '193.222.63.0', '193.222.63.255', 3252567808, 3252568063, 'RO', 'Romania'),
(105286, '193.222.64.0', '193.222.107.255', 3252568064, 3252579327, 'CH', 'Switzerland'),
(105287, '193.222.108.0', '193.222.108.255', 3252579328, 3252579583, 'FR', 'France'),
(105288, '193.222.109.0', '193.222.109.255', 3252579584, 3252579839, 'RU', 'Russian Federation'),
(105289, '193.222.110.0', '193.222.110.255', 3252579840, 3252580095, 'SE', 'Sweden'),
(105290, '193.222.111.0', '193.222.111.255', 3252580096, 3252580351, 'UA', 'Ukraine'),
(105291, '193.222.112.0', '193.222.127.255', 3252580352, 3252584447, 'LI', 'Liechtenstein'),
(105292, '193.222.128.0', '193.222.128.255', 3252584448, 3252584703, 'FR', 'France'),
(105293, '193.222.129.0', '193.222.129.255', 3252584704, 3252584959, 'IL', 'Israel'),
(105294, '193.222.130.0', '193.222.130.255', 3252584960, 3252585215, 'CZ', 'Czech Republic'),
(105295, '193.222.131.0', '193.222.131.255', 3252585216, 3252585471, 'PL', 'Poland'),
(105296, '193.222.132.0', '193.222.132.255', 3252585472, 3252585727, 'NL', 'Netherlands'),
(105297, '193.222.133.0', '193.222.133.255', 3252585728, 3252585983, 'FI', 'Finland'),
(105298, '193.222.134.0', '193.222.134.255', 3252585984, 3252586239, 'FR', 'France'),
(105299, '193.222.135.0', '193.222.135.255', 3252586240, 3252586495, 'PL', 'Poland'),
(105300, '193.222.136.0', '193.222.136.255', 3252586496, 3252586751, 'IT', 'Italy'),
(105301, '193.222.137.0', '193.222.137.255', 3252586752, 3252587007, 'NL', 'Netherlands'),
(105302, '193.222.138.0', '193.222.138.255', 3252587008, 3252587263, 'CH', 'Switzerland'),
(105303, '193.222.139.0', '193.222.139.255', 3252587264, 3252587519, 'AT', 'Austria'),
(105304, '193.222.140.0', '193.222.140.255', 3252587520, 3252587775, 'UA', 'Ukraine'),
(105305, '193.222.141.0', '193.222.141.255', 3252587776, 3252588031, 'SE', 'Sweden'),
(105306, '193.222.142.0', '193.222.189.255', 3252588032, 3252600319, 'CH', 'Switzerland'),
(105307, '193.222.190.0', '193.222.190.255', 3252600320, 3252600575, 'NL', 'Netherlands'),
(105308, '193.222.191.0', '193.222.191.255', 3252600576, 3252600831, 'RU', 'Russian Federation'),
(105309, '193.222.192.0', '193.222.253.255', 3252600832, 3252616703, 'CH', 'Switzerland'),
(105310, '193.222.254.0', '193.222.254.255', 3252616704, 3252616959, 'ES', 'Spain'),
(105311, '193.222.255.0', '193.222.255.255', 3252616960, 3252617215, 'CH', 'Switzerland'),
(105312, '193.223.0.0', '193.223.0.255', 3252617216, 3252617471, 'PL', 'Poland'),
(105313, '193.223.1.0', '193.223.67.255', 3252617472, 3252634623, 'CH', 'Switzerland'),
(105314, '193.223.68.0', '193.223.68.255', 3252634624, 3252634879, 'RU', 'Russian Federation'),
(105315, '193.223.69.0', '193.223.75.255', 3252634880, 3252636671, 'CH', 'Switzerland'),
(105316, '193.223.76.0', '193.223.76.255', 3252636672, 3252636927, 'TR', 'Turkey'),
(105317, '193.223.77.0', '193.223.77.255', 3252636928, 3252637183, 'DE', 'Germany'),
(105318, '193.223.78.0', '193.223.79.255', 3252637184, 3252637695, 'GB', 'United Kingdom'),
(105319, '193.223.80.0', '193.223.97.255', 3252637696, 3252642303, 'CH', 'Switzerland'),
(105320, '193.223.98.0', '193.223.98.255', 3252642304, 3252642559, 'UA', 'Ukraine'),
(105321, '193.223.99.0', '193.223.99.255', 3252642560, 3252642815, 'DK', 'Denmark'),
(105322, '193.223.100.0', '193.223.100.255', 3252642816, 3252643071, 'NL', 'Netherlands'),
(105323, '193.223.101.0', '193.223.101.255', 3252643072, 3252643327, 'RO', 'Romania'),
(105324, '193.223.102.0', '193.223.102.255', 3252643328, 3252643583, 'CH', 'Switzerland'),
(105325, '193.223.103.0', '193.223.103.255', 3252643584, 3252643839, 'AT', 'Austria'),
(105326, '193.223.104.0', '193.223.255.255', 3252643840, 3252682751, 'CH', 'Switzerland'),
(105327, '193.224.0.0', '193.225.255.255', 3252682752, 3252813823, 'HU', 'Hungary'),
(105328, '193.226.0.0', '193.226.63.255', 3252813824, 3252830207, 'RO', 'Romania'),
(105329, '193.226.64.0', '193.226.71.255', 3252830208, 3252832255, 'MD', 'Moldova, Republic of'),
(105330, '193.226.72.0', '193.226.73.255', 3252832256, 3252832767, 'RO', 'Romania'),
(105331, '193.226.74.0', '193.226.79.255', 3252832768, 3252834303, 'MD', 'Moldova, Republic of'),
(105332, '193.226.80.0', '193.226.191.255', 3252834304, 3252862975, 'RO', 'Romania'),
(105333, '193.226.192.0', '193.226.255.255', 3252862976, 3252879359, 'HU', 'Hungary'),
(105334, '193.227.0.0', '193.227.63.255', 3252879360, 3252895743, 'EG', 'Egypt'),
(105335, '193.227.64.0', '193.227.95.255', 3252895744, 3252903935, 'IT', 'Italy'),
(105336, '193.227.96.0', '193.227.97.255', 3252903936, 3252904447, 'UA', 'Ukraine'),
(105337, '193.227.98.0', '193.227.98.255', 3252904448, 3252904703, 'RU', 'Russian Federation'),
(105338, '193.227.99.0', '193.227.99.255', 3252904704, 3252904959, 'DE', 'Germany'),
(105339, '193.227.100.0', '193.227.100.255', 3252904960, 3252905215, 'PL', 'Poland'),
(105340, '193.227.101.0', '193.227.101.255', 3252905216, 3252905471, 'CH', 'Switzerland'),
(105341, '193.227.102.0', '193.227.102.255', 3252905472, 3252905727, 'LT', 'Lithuania'),
(105342, '193.227.103.0', '193.227.103.255', 3252905728, 3252905983, 'BE', 'Belgium'),
(105343, '193.227.104.0', '193.227.104.255', 3252905984, 3252906239, 'IT', 'Italy'),
(105344, '193.227.105.0', '193.227.105.255', 3252906240, 3252906495, 'PL', 'Poland'),
(105345, '193.227.106.0', '193.227.106.255', 3252906496, 3252906751, 'GB', 'United Kingdom'),
(105346, '193.227.107.0', '193.227.107.255', 3252906752, 3252907007, 'FR', 'France'),
(105347, '193.227.108.0', '193.227.108.255', 3252907008, 3252907263, 'AT', 'Austria'),
(105348, '193.227.109.0', '193.227.110.255', 3252907264, 3252907775, 'RO', 'Romania'),
(105349, '193.227.111.0', '193.227.111.255', 3252907776, 3252908031, 'GB', 'United Kingdom'),
(105350, '193.227.112.0', '193.227.112.255', 3252908032, 3252908287, 'PL', 'Poland'),
(105351, '193.227.113.0', '193.227.113.255', 3252908288, 3252908543, 'AT', 'Austria'),
(105352, '193.227.114.0', '193.227.114.255', 3252908544, 3252908799, 'MT', 'Malta'),
(105353, '193.227.115.0', '193.227.115.255', 3252908800, 3252909055, 'UA', 'Ukraine'),
(105354, '193.227.116.0', '193.227.116.255', 3252909056, 3252909311, 'PL', 'Poland'),
(105355, '193.227.117.0', '193.227.117.255', 3252909312, 3252909567, 'DE', 'Germany'),
(105356, '193.227.118.0', '193.227.118.255', 3252909568, 3252909823, 'GB', 'United Kingdom'),
(105357, '193.227.119.0', '193.227.120.255', 3252909824, 3252910335, 'UA', 'Ukraine'),
(105358, '193.227.121.0', '193.227.121.255', 3252910336, 3252910591, 'NL', 'Netherlands'),
(105359, '193.227.122.0', '193.227.122.255', 3252910592, 3252910847, 'CH', 'Switzerland'),
(105360, '193.227.123.0', '193.227.123.255', 3252910848, 3252911103, 'PL', 'Poland'),
(105361, '193.227.124.0', '193.227.124.255', 3252911104, 3252911359, 'DE', 'Germany'),
(105362, '193.227.125.0', '193.227.125.255', 3252911360, 3252911615, 'RU', 'Russian Federation'),
(105363, '193.227.126.0', '193.227.126.255', 3252911616, 3252911871, 'SE', 'Sweden'),
(105364, '193.227.127.0', '193.227.127.255', 3252911872, 3252912127, 'SA', 'Saudi Arabia'),
(105365, '193.227.128.0', '193.227.128.255', 3252912128, 3252912383, 'EG', 'Egypt'),
(105366, '193.227.129.0', '193.227.129.255', 3252912384, 3252912639, 'HU', 'Hungary'),
(105367, '193.227.130.0', '193.227.130.255', 3252912640, 3252912895, 'FR', 'France'),
(105368, '193.227.131.0', '193.227.131.255', 3252912896, 3252913151, 'PL', 'Poland'),
(105369, '193.227.132.0', '193.227.132.255', 3252913152, 3252913407, 'ES', 'Spain'),
(105370, '193.227.133.0', '193.227.133.255', 3252913408, 3252913663, 'FR', 'France'),
(105371, '193.227.134.0', '193.227.134.255', 3252913664, 3252913919, 'RU', 'Russian Federation'),
(105372, '193.227.135.0', '193.227.135.255', 3252913920, 3252914175, 'NO', 'Norway'),
(105373, '193.227.136.0', '193.227.143.255', 3252914176, 3252916223, 'FR', 'France'),
(105374, '193.227.144.0', '193.227.159.255', 3252916224, 3252920319, 'DE', 'Germany'),
(105375, '193.227.160.0', '193.227.191.255', 3252920320, 3252928511, 'LB', 'Lebanon'),
(105376, '193.227.192.0', '193.227.195.255', 3252928512, 3252929535, 'DE', 'Germany'),
(105377, '193.227.196.0', '193.227.199.255', 3252929536, 3252930559, 'HU', 'Hungary'),
(105378, '193.227.200.0', '193.227.201.255', 3252930560, 3252931071, 'GB', 'United Kingdom'),
(105379, '193.227.202.0', '193.227.203.255', 3252931072, 3252931583, 'DE', 'Germany'),
(105380, '193.227.204.0', '193.227.205.255', 3252931584, 3252932095, 'NO', 'Norway'),
(105381, '193.227.206.0', '193.227.211.255', 3252932096, 3252933631, 'UA', 'Ukraine'),
(105382, '193.227.212.0', '193.227.215.255', 3252933632, 3252934655, 'IT', 'Italy'),
(105383, '193.227.216.0', '193.227.223.255', 3252934656, 3252936703, 'PL', 'Poland'),
(105384, '193.227.224.0', '193.227.225.255', 3252936704, 3252937215, 'CH', 'Switzerland'),
(105385, '193.227.226.0', '193.227.227.255', 3252937216, 3252937727, 'RO', 'Romania'),
(105386, '193.227.228.0', '193.227.229.255', 3252937728, 3252938239, 'FR', 'France'),
(105387, '193.227.230.0', '193.227.231.255', 3252938240, 3252938751, 'UA', 'Ukraine'),
(105388, '193.227.232.0', '193.227.233.255', 3252938752, 3252939263, 'RU', 'Russian Federation'),
(105389, '193.227.234.0', '193.227.235.255', 3252939264, 3252939775, 'EU', 'Europe'),
(105390, '193.227.236.0', '193.227.237.255', 3252939776, 3252940287, 'RO', 'Romania'),
(105391, '193.227.238.0', '193.227.239.255', 3252940288, 3252940799, 'PT', 'Portugal'),
(105392, '193.227.240.0', '193.227.241.255', 3252940800, 3252941311, 'RU', 'Russian Federation'),
(105393, '193.227.242.0', '193.227.243.255', 3252941312, 3252941823, 'RO', 'Romania'),
(105394, '193.227.244.0', '193.227.247.255', 3252941824, 3252942847, 'GB', 'United Kingdom'),
(105395, '193.227.248.0', '193.227.249.255', 3252942848, 3252943359, 'FR', 'France'),
(105396, '193.227.250.0', '193.227.251.255', 3252943360, 3252943871, 'UA', 'Ukraine'),
(105397, '193.227.252.0', '193.227.253.255', 3252943872, 3252944383, 'RU', 'Russian Federation'),
(105398, '193.227.254.0', '193.227.255.255', 3252944384, 3252944895, 'DE', 'Germany'),
(105399, '193.228.0.0', '193.228.0.255', 3252944896, 3252945151, 'AT', 'Austria'),
(105400, '193.228.1.0', '193.228.1.255', 3252945152, 3252945407, 'GB', 'United Kingdom'),
(105401, '193.228.2.0', '193.228.2.255', 3252945408, 3252945663, 'UA', 'Ukraine'),
(105402, '193.228.3.0', '193.228.139.255', 3252945664, 3252980735, 'AT', 'Austria'),
(105403, '193.228.140.0', '193.228.140.255', 3252980736, 3252980991, 'PL', 'Poland'),
(105404, '193.228.141.0', '193.228.141.255', 3252980992, 3252981247, 'GB', 'United Kingdom'),
(105405, '193.228.142.0', '193.228.142.255', 3252981248, 3252981503, 'RU', 'Russian Federation'),
(105406, '193.228.143.0', '193.228.143.255', 3252981504, 3252981759, 'SE', 'Sweden'),
(105407, '193.228.144.0', '193.228.144.255', 3252981760, 3252982015, 'DE', 'Germany'),
(105408, '193.228.145.0', '193.228.145.255', 3252982016, 3252982271, 'RO', 'Romania'),
(105409, '193.228.146.0', '193.228.146.255', 3252982272, 3252982527, 'DE', 'Germany'),
(105410, '193.228.147.0', '193.228.147.255', 3252982528, 3252982783, 'FR', 'France'),
(105411, '193.228.148.0', '193.228.148.255', 3252982784, 3252983039, 'UA', 'Ukraine'),
(105412, '193.228.149.0', '193.228.150.255', 3252983040, 3252983551, 'DE', 'Germany'),
(105413, '193.228.151.0', '193.228.151.255', 3252983552, 3252983807, 'SI', 'Slovenia'),
(105414, '193.228.152.0', '193.228.152.255', 3252983808, 3252984063, 'BG', 'Bulgaria'),
(105415, '193.228.153.0', '193.228.153.255', 3252984064, 3252984319, 'RO', 'Romania'),
(105416, '193.228.154.0', '193.228.154.255', 3252984320, 3252984575, 'AT', 'Austria'),
(105417, '193.228.155.0', '193.228.155.255', 3252984576, 3252984831, 'GB', 'United Kingdom'),
(105418, '193.228.156.0', '193.228.156.255', 3252984832, 3252985087, 'FR', 'France'),
(105419, '193.228.157.0', '193.228.157.255', 3252985088, 3252985343, 'SE', 'Sweden'),
(105420, '193.228.158.0', '193.228.159.255', 3252985344, 3252985855, 'RU', 'Russian Federation'),
(105421, '193.228.160.0', '193.228.173.255', 3252985856, 3252989439, 'AT', 'Austria'),
(105422, '193.228.174.0', '193.228.174.255', 3252989440, 3252989695, 'PL', 'Poland'),
(105423, '193.228.175.0', '193.228.233.255', 3252989696, 3253004799, 'AT', 'Austria'),
(105424, '193.228.234.0', '193.228.234.255', 3253004800, 3253005055, 'CZ', 'Czech Republic'),
(105425, '193.228.235.0', '193.228.255.255', 3253005056, 3253010431, 'AT', 'Austria'),
(105426, '193.229.0.0', '193.229.255.255', 3253010432, 3253075967, 'FI', 'Finland'),
(105427, '193.230.0.0', '193.231.255.255', 3253075968, 3253207039, 'RO', 'Romania'),
(105428, '193.232.0.0', '193.232.64.255', 3253207040, 3253223679, 'RU', 'Russian Federation'),
(105429, '193.232.65.0', '193.232.65.255', 3253223680, 3253223935, 'UA', 'Ukraine'),
(105430, '193.232.66.0', '193.232.91.255', 3253223936, 3253230591, 'RU', 'Russian Federation'),
(105431, '193.232.92.0', '193.232.92.255', 3253230592, 3253230847, 'BY', 'Belarus'),
(105432, '193.232.93.0', '193.232.159.255', 3253230848, 3253247999, 'RU', 'Russian Federation'),
(105433, '193.232.160.0', '193.232.160.255', 3253248000, 3253248255, 'DE', 'Germany'),
(105434, '193.232.161.0', '193.232.227.255', 3253248256, 3253265407, 'RU', 'Russian Federation'),
(105435, '193.232.228.0', '193.232.229.255', 3253265408, 3253265919, 'AM', 'Armenia'),
(105436, '193.232.230.0', '193.232.247.255', 3253265920, 3253270527, 'RU', 'Russian Federation'),
(105437, '193.232.248.0', '193.232.251.255', 3253270528, 3253271551, 'BY', 'Belarus'),
(105438, '193.232.252.0', '193.233.255.255', 3253271552, 3253338111, 'RU', 'Russian Federation'),
(105439, '193.234.0.0', '193.234.0.255', 3253338112, 3253338367, 'PL', 'Poland'),
(105440, '193.234.1.0', '193.234.166.255', 3253338368, 3253380863, 'SE', 'Sweden'),
(105441, '193.234.167.0', '193.234.167.255', 3253380864, 3253381119, 'IT', 'Italy'),
(105442, '193.234.168.0', '193.234.178.255', 3253381120, 3253383935, 'SE', 'Sweden'),
(105443, '193.234.179.0', '193.234.179.255', 3253383936, 3253384191, 'NO', 'Norway'),
(105444, '193.234.180.0', '193.234.195.255', 3253384192, 3253388287, 'SE', 'Sweden'),
(105445, '193.234.196.0', '193.234.197.255', 3253388288, 3253388799, 'FR', 'France'),
(105446, '193.234.198.0', '193.234.198.255', 3253388800, 3253389055, 'SE', 'Sweden'),
(105447, '193.234.199.0', '193.234.201.255', 3253389056, 3253389823, 'FR', 'France'),
(105448, '193.234.202.0', '193.234.234.255', 3253389824, 3253398271, 'SE', 'Sweden'),
(105449, '193.234.235.0', '193.234.236.255', 3253398272, 3253398783, 'FR', 'France'),
(105450, '193.234.237.0', '193.234.237.255', 3253398784, 3253399039, 'SE', 'Sweden'),
(105451, '193.234.238.0', '193.234.238.255', 3253399040, 3253399295, 'FR', 'France'),
(105452, '193.234.239.0', '193.234.239.255', 3253399296, 3253399551, 'IT', 'Italy'),
(105453, '193.234.240.0', '193.234.243.255', 3253399552, 3253400575, 'SE', 'Sweden'),
(105454, '193.234.244.0', '193.234.245.255', 3253400576, 3253401087, 'IT', 'Italy'),
(105455, '193.234.246.0', '193.234.246.255', 3253401088, 3253401343, 'SE', 'Sweden'),
(105456, '193.234.247.0', '193.234.247.255', 3253401344, 3253401599, 'EU', 'Europe'),
(105457, '193.234.248.0', '193.234.249.255', 3253401600, 3253402111, 'SE', 'Sweden'),
(105458, '193.234.250.0', '193.234.250.255', 3253402112, 3253402367, 'IT', 'Italy'),
(105459, '193.234.251.0', '193.234.251.255', 3253402368, 3253402623, 'JP', 'Japan'),
(105460, '193.234.252.0', '193.234.255.255', 3253402624, 3253403647, 'SE', 'Sweden'),
(105461, '193.235.0.0', '193.235.0.255', 3253403648, 3253403903, 'PL', 'Poland'),
(105462, '193.235.1.0', '193.235.23.255', 3253403904, 3253409791, 'SE', 'Sweden'),
(105463, '193.235.24.0', '193.235.24.255', 3253409792, 3253410047, 'GB', 'United Kingdom'),
(105464, '193.235.25.0', '193.235.29.255', 3253410048, 3253411327, 'SE', 'Sweden'),
(105465, '193.235.30.0', '193.235.30.255', 3253411328, 3253411583, 'NO', 'Norway'),
(105466, '193.235.31.0', '193.235.33.255', 3253411584, 3253412351, 'SE', 'Sweden'),
(105467, '193.235.34.0', '193.235.34.255', 3253412352, 3253412607, 'US', 'United States'),
(105468, '193.235.35.0', '193.235.49.255', 3253412608, 3253416447, 'SE', 'Sweden'),
(105469, '193.235.50.0', '193.235.51.255', 3253416448, 3253416959, 'GB', 'United Kingdom'),
(105470, '193.235.52.0', '193.235.95.255', 3253416960, 3253428223, 'SE', 'Sweden'),
(105471, '193.235.96.0', '193.235.96.255', 3253428224, 3253428479, 'DE', 'Germany'),
(105472, '193.235.97.0', '193.235.99.255', 3253428480, 3253429247, 'SE', 'Sweden'),
(105473, '193.235.100.0', '193.235.101.255', 3253429248, 3253429759, 'JP', 'Japan'),
(105474, '193.235.102.0', '193.235.102.255', 3253429760, 3253430015, 'ES', 'Spain'),
(105475, '193.235.103.0', '193.235.114.255', 3253430016, 3253433087, 'SE', 'Sweden'),
(105476, '193.235.115.0', '193.235.115.255', 3253433088, 3253433343, 'DE', 'Germany'),
(105477, '193.235.116.0', '193.235.118.255', 3253433344, 3253434111, 'SE', 'Sweden'),
(105478, '193.235.119.0', '193.235.119.255', 3253434112, 3253434367, 'GB', 'United Kingdom'),
(105479, '193.235.120.0', '193.235.120.255', 3253434368, 3253434623, 'IT', 'Italy'),
(105480, '193.235.121.0', '193.235.121.255', 3253434624, 3253434879, 'SE', 'Sweden'),
(105481, '193.235.122.0', '193.235.122.255', 3253434880, 3253435135, 'IT', 'Italy'),
(105482, '193.235.123.0', '193.235.125.255', 3253435136, 3253435903, 'SE', 'Sweden'),
(105483, '193.235.126.0', '193.235.126.255', 3253435904, 3253436159, 'NL', 'Netherlands'),
(105484, '193.235.127.0', '193.235.127.255', 3253436160, 3253436415, 'NO', 'Norway'),
(105485, '193.235.128.0', '193.235.143.255', 3253436416, 3253440511, 'SE', 'Sweden'),
(105486, '193.235.144.0', '193.235.144.255', 3253440512, 3253440767, 'FR', 'France'),
(105487, '193.235.145.0', '193.235.156.255', 3253440768, 3253443839, 'SE', 'Sweden'),
(105488, '193.235.157.0', '193.235.158.255', 3253443840, 3253444351, 'NO', 'Norway'),
(105489, '193.235.159.0', '193.235.193.255', 3253444352, 3253453311, 'SE', 'Sweden'),
(105490, '193.235.194.0', '193.235.194.255', 3253453312, 3253453567, 'NO', 'Norway'),
(105491, '193.235.195.0', '193.235.196.255', 3253453568, 3253454079, 'SE', 'Sweden'),
(105492, '193.235.197.0', '193.235.197.255', 3253454080, 3253454335, 'GB', 'United Kingdom'),
(105493, '193.235.198.0', '193.235.198.255', 3253454336, 3253454591, 'EU', 'Europe'),
(105494, '193.235.199.0', '193.235.202.255', 3253454592, 3253455615, 'SE', 'Sweden'),
(105495, '193.235.203.0', '193.235.203.255', 3253455616, 3253455871, 'US', 'United States'),
(105496, '193.235.204.0', '193.235.205.255', 3253455872, 3253456383, 'SE', 'Sweden'),
(105497, '193.235.206.0', '193.235.206.255', 3253456384, 3253456639, 'US', 'United States'),
(105498, '193.235.207.0', '193.235.222.255', 3253456640, 3253460735, 'SE', 'Sweden'),
(105499, '193.235.223.0', '193.235.223.255', 3253460736, 3253460991, 'IT', 'Italy'),
(105500, '193.235.224.0', '193.235.224.255', 3253460992, 3253461247, 'US', 'United States'),
(105501, '193.235.225.0', '193.235.226.255', 3253461248, 3253461759, 'SE', 'Sweden'),
(105502, '193.235.227.0', '193.235.227.255', 3253461760, 3253462015, 'PL', 'Poland'),
(105503, '193.235.228.0', '193.235.229.255', 3253462016, 3253462527, 'SE', 'Sweden'),
(105504, '193.235.230.0', '193.235.231.255', 3253462528, 3253463039, 'US', 'United States'),
(105505, '193.235.232.0', '193.235.235.255', 3253463040, 3253464063, 'GB', 'United Kingdom'),
(105506, '193.235.236.0', '193.235.255.255', 3253464064, 3253469183, 'SE', 'Sweden'),
(105507, '193.236.0.0', '193.236.7.255', 3253469184, 3253471231, 'AO', 'Angola'),
(105508, '193.236.8.0', '193.236.255.255', 3253471232, 3253534719, 'PT', 'Portugal'),
(105509, '193.237.0.0', '193.237.255.255', 3253534720, 3253600255, 'GB', 'United Kingdom'),
(105510, '193.238.0.0', '193.238.3.255', 3253600256, 3253601279, 'RO', 'Romania'),
(105511, '193.238.4.0', '193.238.7.255', 3253601280, 3253602303, 'FI', 'Finland'),
(105512, '193.238.8.0', '193.238.11.255', 3253602304, 3253603327, 'DE', 'Germany'),
(105513, '193.238.12.0', '193.238.19.255', 3253603328, 3253605375, 'PL', 'Poland'),
(105514, '193.238.20.0', '193.238.23.255', 3253605376, 3253606399, 'UA', 'Ukraine'),
(105515, '193.238.24.0', '193.238.24.255', 3253606400, 3253606655, 'PL', 'Poland'),
(105516, '193.238.25.0', '193.238.25.255', 3253606656, 3253606911, 'TR', 'Turkey'),
(105517, '193.238.26.0', '193.238.26.255', 3253606912, 3253607167, 'DE', 'Germany'),
(105518, '193.238.28.0', '193.238.31.255', 3253607424, 3253608447, 'NG', 'Nigeria'),
(105519, '193.238.32.0', '193.238.39.255', 3253608448, 3253610495, 'UA', 'Ukraine'),
(105520, '193.238.40.0', '193.238.43.255', 3253610496, 3253611519, 'PL', 'Poland'),
(105521, '193.238.44.0', '193.238.47.255', 3253611520, 3253612543, 'UA', 'Ukraine'),
(105522, '193.238.48.0', '193.238.51.255', 3253612544, 3253613567, 'RU', 'Russian Federation'),
(105523, '193.238.52.0', '193.238.55.255', 3253613568, 3253614591, 'ES', 'Spain'),
(105524, '193.238.56.0', '193.238.59.255', 3253614592, 3253615615, 'RO', 'Romania'),
(105525, '193.238.60.0', '193.238.63.255', 3253615616, 3253616639, 'DE', 'Germany'),
(105526, '193.238.64.0', '193.238.67.255', 3253616640, 3253617663, 'PL', 'Poland'),
(105527, '193.238.68.0', '193.238.71.255', 3253617664, 3253618687, 'GB', 'United Kingdom'),
(105528, '193.238.72.0', '193.238.75.255', 3253618688, 3253619711, 'UA', 'Ukraine'),
(105529, '193.238.76.0', '193.238.79.255', 3253619712, 3253620735, 'IT', 'Italy'),
(105530, '193.238.80.0', '193.238.87.255', 3253620736, 3253622783, 'GB', 'United Kingdom'),
(105531, '193.238.88.0', '193.238.91.255', 3253622784, 3253623807, 'DE', 'Germany'),
(105532, '193.238.92.0', '193.238.95.255', 3253623808, 3253624831, 'PL', 'Poland'),
(105533, '193.238.96.0', '193.238.99.255', 3253624832, 3253625855, 'UA', 'Ukraine'),
(105534, '193.238.100.0', '193.238.103.255', 3253625856, 3253626879, 'IT', 'Italy'),
(105535, '193.238.104.0', '193.238.107.255', 3253626880, 3253627903, 'DE', 'Germany'),
(105536, '193.238.108.0', '193.238.111.255', 3253627904, 3253628927, 'UA', 'Ukraine'),
(105537, '193.238.112.0', '193.238.115.255', 3253628928, 3253629951, 'GR', 'Greece'),
(105538, '193.238.116.0', '193.238.119.255', 3253629952, 3253630975, 'UA', 'Ukraine'),
(105539, '193.238.120.0', '193.238.123.255', 3253630976, 3253631999, 'RU', 'Russian Federation'),
(105540, '193.238.124.0', '193.238.127.255', 3253632000, 3253633023, 'DE', 'Germany'),
(105541, '193.238.128.0', '193.238.135.255', 3253633024, 3253635071, 'RU', 'Russian Federation'),
(105542, '193.238.136.0', '193.238.139.255', 3253635072, 3253636095, 'IT', 'Italy'),
(105543, '193.238.140.0', '193.238.143.255', 3253636096, 3253637119, 'CH', 'Switzerland'),
(105544, '193.238.144.0', '193.238.147.255', 3253637120, 3253638143, 'ES', 'Spain'),
(105545, '193.238.148.0', '193.238.151.255', 3253638144, 3253639167, 'FR', 'France'),
(105546, '193.238.152.0', '193.238.155.255', 3253639168, 3253640191, 'UA', 'Ukraine'),
(105547, '193.238.156.0', '193.238.159.255', 3253640192, 3253641215, 'AT', 'Austria'),
(105548, '193.238.160.0', '193.238.163.255', 3253641216, 3253642239, 'NL', 'Netherlands'),
(105549, '193.238.164.0', '193.238.167.255', 3253642240, 3253643263, 'GB', 'United Kingdom'),
(105550, '193.238.168.0', '193.238.175.255', 3253643264, 3253645311, 'PL', 'Poland'),
(105551, '193.238.176.0', '193.238.179.255', 3253645312, 3253646335, 'RU', 'Russian Federation'),
(105552, '193.238.180.0', '193.238.183.255', 3253646336, 3253647359, 'PL', 'Poland'),
(105553, '193.238.184.0', '193.238.187.255', 3253647360, 3253648383, 'DK', 'Denmark'),
(105554, '193.238.188.0', '193.238.191.255', 3253648384, 3253649407, 'IL', 'Israel'),
(105555, '193.238.192.0', '193.238.195.255', 3253649408, 3253650431, 'UA', 'Ukraine'),
(105556, '193.238.196.0', '193.238.199.255', 3253650432, 3253651455, 'DE', 'Germany'),
(105557, '193.238.200.0', '193.238.203.255', 3253651456, 3253652479, 'PL', 'Poland'),
(105558, '193.238.204.0', '193.238.207.255', 3253652480, 3253653503, 'LI', 'Liechtenstein'),
(105559, '193.238.208.0', '193.238.211.255', 3253653504, 3253654527, 'IL', 'Israel'),
(105560, '193.238.212.0', '193.238.223.255', 3253654528, 3253657599, 'LV', 'Latvia'),
(105561, '193.238.224.0', '193.238.227.255', 3253657600, 3253658623, 'UA', 'Ukraine');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(105562, '193.238.228.0', '193.238.231.255', 3253658624, 3253659647, 'DE', 'Germany'),
(105563, '193.238.232.0', '193.238.235.255', 3253659648, 3253660671, 'GB', 'United Kingdom'),
(105564, '193.238.236.0', '193.238.239.255', 3253660672, 3253661695, 'NO', 'Norway'),
(105565, '193.238.240.0', '193.238.243.255', 3253661696, 3253662719, 'NL', 'Netherlands'),
(105566, '193.238.244.0', '193.238.247.255', 3253662720, 3253663743, 'RO', 'Romania'),
(105567, '193.238.248.0', '193.238.251.255', 3253663744, 3253664767, 'NL', 'Netherlands'),
(105568, '193.238.252.0', '193.238.255.255', 3253664768, 3253665791, 'DE', 'Germany'),
(105569, '193.239.0.0', '193.239.3.255', 3253665792, 3253666815, 'CZ', 'Czech Republic'),
(105570, '193.239.4.0', '193.239.7.255', 3253666816, 3253667839, 'EU', 'Europe'),
(105571, '193.239.8.0', '193.239.11.255', 3253667840, 3253668863, 'GB', 'United Kingdom'),
(105572, '193.239.12.0', '193.239.15.255', 3253668864, 3253669887, 'ES', 'Spain'),
(105573, '193.239.16.0', '193.239.19.255', 3253669888, 3253670911, 'DE', 'Germany'),
(105574, '193.239.20.0', '193.239.23.255', 3253670912, 3253671935, 'CH', 'Switzerland'),
(105575, '193.239.24.0', '193.239.27.255', 3253671936, 3253672959, 'UA', 'Ukraine'),
(105576, '193.239.28.0', '193.239.31.255', 3253672960, 3253673983, 'DE', 'Germany'),
(105577, '193.239.32.0', '193.239.35.255', 3253673984, 3253675007, 'GB', 'United Kingdom'),
(105578, '193.239.36.0', '193.239.39.255', 3253675008, 3253676031, 'PL', 'Poland'),
(105579, '193.239.40.0', '193.239.43.255', 3253676032, 3253677055, 'AT', 'Austria'),
(105580, '193.239.44.0', '193.239.47.255', 3253677056, 3253678079, 'PL', 'Poland'),
(105581, '193.239.48.0', '193.239.51.255', 3253678080, 3253679103, 'DK', 'Denmark'),
(105582, '193.239.52.0', '193.239.55.255', 3253679104, 3253680127, 'IT', 'Italy'),
(105583, '193.239.56.0', '193.239.63.255', 3253680128, 3253682175, 'PL', 'Poland'),
(105584, '193.239.64.0', '193.239.67.255', 3253682176, 3253683199, 'RO', 'Romania'),
(105585, '193.239.68.0', '193.239.75.255', 3253683200, 3253685247, 'UA', 'Ukraine'),
(105586, '193.239.76.0', '193.239.79.255', 3253685248, 3253686271, 'FR', 'France'),
(105587, '193.239.80.0', '193.239.83.255', 3253686272, 3253687295, 'PL', 'Poland'),
(105588, '193.239.84.0', '193.239.87.255', 3253687296, 3253688319, 'RU', 'Russian Federation'),
(105589, '193.239.88.0', '193.239.95.255', 3253688320, 3253690367, 'NL', 'Netherlands'),
(105590, '193.239.96.0', '193.239.99.255', 3253690368, 3253691391, 'DK', 'Denmark'),
(105591, '193.239.100.0', '193.239.103.255', 3253691392, 3253692415, 'PL', 'Poland'),
(105592, '193.239.104.0', '193.239.107.255', 3253692416, 3253693439, 'DE', 'Germany'),
(105593, '193.239.108.0', '193.239.111.255', 3253693440, 3253694463, 'IL', 'Israel'),
(105594, '193.239.112.0', '193.239.115.255', 3253694464, 3253695487, 'GB', 'United Kingdom'),
(105595, '193.239.116.0', '193.239.119.255', 3253695488, 3253696511, 'NL', 'Netherlands'),
(105596, '193.239.120.0', '193.239.123.255', 3253696512, 3253697535, 'FR', 'France'),
(105597, '193.239.124.0', '193.239.127.255', 3253697536, 3253698559, 'PL', 'Poland'),
(105598, '193.239.128.0', '193.239.129.255', 3253698560, 3253699071, 'UA', 'Ukraine'),
(105599, '193.239.130.0', '193.239.131.255', 3253699072, 3253699583, 'RO', 'Romania'),
(105600, '193.239.132.0', '193.239.132.255', 3253699584, 3253699839, 'NL', 'Netherlands'),
(105601, '193.239.133.0', '193.239.133.255', 3253699840, 3253700095, 'RU', 'Russian Federation'),
(105602, '193.239.134.0', '193.239.135.255', 3253700096, 3253700607, 'RO', 'Romania'),
(105603, '193.239.136.0', '193.239.137.255', 3253700608, 3253701119, 'PL', 'Poland'),
(105604, '193.239.138.0', '193.239.141.255', 3253701120, 3253702143, 'RO', 'Romania'),
(105605, '193.239.142.0', '193.239.143.255', 3253702144, 3253702655, 'UA', 'Ukraine'),
(105606, '193.239.144.0', '193.239.145.255', 3253702656, 3253703167, 'PL', 'Poland'),
(105607, '193.239.146.0', '193.239.147.255', 3253703168, 3253703679, 'RO', 'Romania'),
(105608, '193.239.148.0', '193.239.149.255', 3253703680, 3253704191, 'HU', 'Hungary'),
(105609, '193.239.150.0', '193.239.151.255', 3253704192, 3253704703, 'RU', 'Russian Federation'),
(105610, '193.239.152.0', '193.239.153.255', 3253704704, 3253705215, 'UA', 'Ukraine'),
(105611, '193.239.154.0', '193.239.155.255', 3253705216, 3253705727, 'NO', 'Norway'),
(105612, '193.239.156.0', '193.239.157.255', 3253705728, 3253706239, 'DE', 'Germany'),
(105613, '193.239.158.0', '193.239.159.255', 3253706240, 3253706751, 'RO', 'Romania'),
(105614, '193.239.160.0', '193.239.161.255', 3253706752, 3253707263, 'GB', 'United Kingdom'),
(105615, '193.239.162.0', '193.239.165.255', 3253707264, 3253708287, 'DE', 'Germany'),
(105616, '193.239.166.0', '193.239.167.255', 3253708288, 3253708799, 'RO', 'Romania'),
(105617, '193.239.168.0', '193.239.169.255', 3253708800, 3253709311, 'DK', 'Denmark'),
(105618, '193.239.170.0', '193.239.171.255', 3253709312, 3253709823, 'UA', 'Ukraine'),
(105619, '193.239.172.0', '193.239.173.255', 3253709824, 3253710335, 'RO', 'Romania'),
(105620, '193.239.174.0', '193.239.175.255', 3253710336, 3253710847, 'GB', 'United Kingdom'),
(105621, '193.239.176.0', '193.239.177.255', 3253710848, 3253711359, 'DK', 'Denmark'),
(105622, '193.239.178.0', '193.239.181.255', 3253711360, 3253712383, 'UA', 'Ukraine'),
(105623, '193.239.182.0', '193.239.183.255', 3253712384, 3253712895, 'MD', 'Moldova, Republic of'),
(105624, '193.239.186.0', '193.239.187.255', 3253713408, 3253713919, 'NL', 'Netherlands'),
(105625, '193.239.188.0', '193.239.189.255', 3253713920, 3253714431, 'AT', 'Austria'),
(105626, '193.239.190.0', '193.239.191.255', 3253714432, 3253714943, 'RO', 'Romania'),
(105627, '193.239.192.0', '193.239.193.255', 3253714944, 3253715455, 'FR', 'France'),
(105628, '193.239.194.0', '193.239.195.255', 3253715456, 3253715967, 'RO', 'Romania'),
(105629, '193.239.196.0', '193.239.197.255', 3253715968, 3253716479, 'DE', 'Germany'),
(105630, '193.239.198.0', '193.239.199.255', 3253716480, 3253716991, 'FR', 'France'),
(105631, '193.239.200.0', '193.239.201.255', 3253716992, 3253717503, 'CH', 'Switzerland'),
(105632, '193.239.202.0', '193.239.203.255', 3253717504, 3253718015, 'NL', 'Netherlands'),
(105633, '193.239.204.0', '193.239.209.255', 3253718016, 3253719551, 'PL', 'Poland'),
(105634, '193.239.210.0', '193.239.211.255', 3253719552, 3253720063, 'BE', 'Belgium'),
(105635, '193.239.212.0', '193.239.213.255', 3253720064, 3253720575, 'RO', 'Romania'),
(105636, '193.239.214.0', '193.239.215.255', 3253720576, 3253721087, 'GR', 'Greece'),
(105637, '193.239.216.0', '193.239.217.255', 3253721088, 3253721599, 'UA', 'Ukraine'),
(105638, '193.239.218.0', '193.239.219.255', 3253721600, 3253722111, 'RO', 'Romania'),
(105639, '193.239.220.0', '193.239.221.255', 3253722112, 3253722623, 'CH', 'Switzerland'),
(105640, '193.239.222.0', '193.239.223.255', 3253722624, 3253723135, 'NL', 'Netherlands'),
(105641, '193.239.224.0', '193.239.225.255', 3253723136, 3253723647, 'PL', 'Poland'),
(105642, '193.239.226.0', '193.239.227.255', 3253723648, 3253724159, 'AT', 'Austria'),
(105643, '193.239.228.0', '193.239.229.255', 3253724160, 3253724671, 'UA', 'Ukraine'),
(105644, '193.239.230.0', '193.239.231.255', 3253724672, 3253725183, 'RO', 'Romania'),
(105645, '193.239.234.0', '193.239.235.255', 3253725696, 3253726207, 'UA', 'Ukraine'),
(105646, '193.239.236.0', '193.239.237.255', 3253726208, 3253726719, 'RO', 'Romania'),
(105647, '193.239.238.0', '193.239.239.255', 3253726720, 3253727231, 'UA', 'Ukraine'),
(105648, '193.239.240.0', '193.239.241.255', 3253727232, 3253727743, 'FR', 'France'),
(105649, '193.239.242.0', '193.239.243.255', 3253727744, 3253728255, 'RU', 'Russian Federation'),
(105650, '193.239.244.0', '193.239.245.255', 3253728256, 3253728767, 'PL', 'Poland'),
(105651, '193.239.246.0', '193.239.247.255', 3253728768, 3253729279, 'RO', 'Romania'),
(105652, '193.239.248.0', '193.239.249.255', 3253729280, 3253729791, 'AT', 'Austria'),
(105653, '193.239.250.0', '193.239.251.255', 3253729792, 3253730303, 'UA', 'Ukraine'),
(105654, '193.239.252.0', '193.239.253.255', 3253730304, 3253730815, 'RO', 'Romania'),
(105655, '193.239.254.0', '193.239.255.255', 3253730816, 3253731327, 'UA', 'Ukraine'),
(105656, '193.240.0.0', '193.240.255.255', 3253731328, 3253796863, 'GB', 'United Kingdom'),
(105657, '193.241.0.0', '193.241.255.255', 3253796864, 3253862399, 'SE', 'Sweden'),
(105658, '193.242.0.0', '193.242.0.255', 3253862400, 3253862655, 'GB', 'United Kingdom'),
(105659, '193.242.1.0', '193.242.79.255', 3253862656, 3253882879, 'FR', 'France'),
(105660, '193.242.80.0', '193.242.95.255', 3253882880, 3253886975, 'NL', 'Netherlands'),
(105661, '193.242.96.0', '193.242.96.255', 3253886976, 3253887231, 'GB', 'United Kingdom'),
(105662, '193.242.97.0', '193.242.97.255', 3253887232, 3253887487, 'NL', 'Netherlands'),
(105663, '193.242.98.0', '193.242.98.255', 3253887488, 3253887743, 'ES', 'Spain'),
(105664, '193.242.99.0', '193.242.99.255', 3253887744, 3253887999, 'GB', 'United Kingdom'),
(105665, '193.242.100.0', '193.242.100.255', 3253888000, 3253888255, 'PL', 'Poland'),
(105666, '193.242.101.0', '193.242.101.255', 3253888256, 3253888511, 'BE', 'Belgium'),
(105667, '193.242.102.0', '193.242.102.255', 3253888512, 3253888767, 'GB', 'United Kingdom'),
(105668, '193.242.103.0', '193.242.103.255', 3253888768, 3253889023, 'SE', 'Sweden'),
(105669, '193.242.104.0', '193.242.104.255', 3253889024, 3253889279, 'RO', 'Romania'),
(105670, '193.242.105.0', '193.242.105.255', 3253889280, 3253889535, 'CH', 'Switzerland'),
(105671, '193.242.106.0', '193.242.106.255', 3253889536, 3253889791, 'DE', 'Germany'),
(105672, '193.242.107.0', '193.242.107.255', 3253889792, 3253890047, 'DK', 'Denmark'),
(105673, '193.242.108.0', '193.242.108.255', 3253890048, 3253890303, 'NL', 'Netherlands'),
(105674, '193.242.109.0', '193.242.109.255', 3253890304, 3253890559, 'SE', 'Sweden'),
(105675, '193.242.110.0', '193.242.110.255', 3253890560, 3253890815, 'GB', 'United Kingdom'),
(105676, '193.242.111.0', '193.242.111.255', 3253890816, 3253891071, 'IE', 'Ireland'),
(105677, '193.242.112.0', '193.242.112.255', 3253891072, 3253891327, 'DE', 'Germany'),
(105678, '193.242.113.0', '193.242.113.255', 3253891328, 3253891583, 'GB', 'United Kingdom'),
(105679, '193.242.114.0', '193.242.114.255', 3253891584, 3253891839, 'UA', 'Ukraine'),
(105680, '193.242.115.0', '193.242.116.255', 3253891840, 3253892351, 'GB', 'United Kingdom'),
(105681, '193.242.117.0', '193.242.117.255', 3253892352, 3253892607, 'NL', 'Netherlands'),
(105682, '193.242.118.0', '193.242.118.255', 3253892608, 3253892863, 'AT', 'Austria'),
(105683, '193.242.119.0', '193.242.119.255', 3253892864, 3253893119, 'NL', 'Netherlands'),
(105684, '193.242.120.0', '193.242.120.255', 3253893120, 3253893375, 'RO', 'Romania'),
(105685, '193.242.121.0', '193.242.121.255', 3253893376, 3253893631, 'DE', 'Germany'),
(105686, '193.242.122.0', '193.242.122.255', 3253893632, 3253893887, 'SE', 'Sweden'),
(105687, '193.242.123.0', '193.242.123.255', 3253893888, 3253894143, 'RU', 'Russian Federation'),
(105688, '193.242.124.0', '193.242.124.255', 3253894144, 3253894399, 'PT', 'Portugal'),
(105689, '193.242.125.0', '193.242.125.255', 3253894400, 3253894655, 'NL', 'Netherlands'),
(105690, '193.242.126.0', '193.242.126.255', 3253894656, 3253894911, 'FI', 'Finland'),
(105691, '193.242.127.0', '193.242.133.255', 3253894912, 3253896703, 'RU', 'Russian Federation'),
(105692, '193.242.134.0', '193.242.134.255', 3253896704, 3253896959, 'AT', 'Austria'),
(105693, '193.242.135.0', '193.242.135.255', 3253896960, 3253897215, 'RU', 'Russian Federation'),
(105694, '193.242.136.0', '193.242.139.255', 3253897216, 3253898239, 'PL', 'Poland'),
(105695, '193.242.140.0', '193.242.140.255', 3253898240, 3253898495, 'GB', 'United Kingdom'),
(105696, '193.242.141.0', '193.242.141.255', 3253898496, 3253898751, 'HR', 'Croatia'),
(105697, '193.242.142.0', '193.242.143.255', 3253898752, 3253899263, 'PL', 'Poland'),
(105698, '193.242.144.0', '193.242.144.255', 3253899264, 3253899519, 'MD', 'Moldova, Republic of'),
(105699, '193.242.145.0', '193.242.145.255', 3253899520, 3253899775, 'RU', 'Russian Federation'),
(105700, '193.242.146.0', '193.242.147.255', 3253899776, 3253900287, 'PL', 'Poland'),
(105701, '193.242.148.0', '193.242.151.255', 3253900288, 3253901311, 'RU', 'Russian Federation'),
(105702, '193.242.152.0', '193.242.152.255', 3253901312, 3253901567, 'PL', 'Poland'),
(105703, '193.242.153.0', '193.242.153.255', 3253901568, 3253901823, 'RU', 'Russian Federation'),
(105704, '193.242.154.0', '193.242.154.255', 3253901824, 3253902079, 'SI', 'Slovenia'),
(105705, '193.242.155.0', '193.242.155.255', 3253902080, 3253902335, 'DK', 'Denmark'),
(105706, '193.242.156.0', '193.242.163.255', 3253902336, 3253904383, 'UA', 'Ukraine'),
(105707, '193.242.164.0', '193.242.165.255', 3253904384, 3253904895, 'GB', 'United Kingdom'),
(105708, '193.242.166.0', '193.242.166.255', 3253904896, 3253905151, 'UA', 'Ukraine'),
(105709, '193.242.167.0', '193.242.167.255', 3253905152, 3253905407, 'RU', 'Russian Federation'),
(105710, '193.242.168.0', '193.242.169.255', 3253905408, 3253905919, 'PL', 'Poland'),
(105711, '193.242.170.0', '193.242.171.255', 3253905920, 3253906431, 'RU', 'Russian Federation'),
(105712, '193.242.172.0', '193.242.172.255', 3253906432, 3253906687, 'PL', 'Poland'),
(105713, '193.242.173.0', '193.242.173.255', 3253906688, 3253906943, 'RU', 'Russian Federation'),
(105714, '193.242.174.0', '193.242.175.255', 3253906944, 3253907455, 'FR', 'France'),
(105715, '193.242.176.0', '193.242.179.255', 3253907456, 3253908479, 'RU', 'Russian Federation'),
(105716, '193.242.180.0', '193.242.181.255', 3253908480, 3253908991, 'CZ', 'Czech Republic'),
(105717, '193.242.182.0', '193.242.182.255', 3253908992, 3253909247, 'SE', 'Sweden'),
(105718, '193.242.183.0', '193.242.183.255', 3253909248, 3253909503, 'NL', 'Netherlands'),
(105719, '193.242.184.0', '193.242.187.255', 3253909504, 3253910527, 'SE', 'Sweden'),
(105720, '193.242.188.0', '193.242.189.255', 3253910528, 3253911039, 'ES', 'Spain'),
(105721, '193.242.190.0', '193.242.191.255', 3253911040, 3253911551, 'RU', 'Russian Federation'),
(105722, '193.242.192.0', '193.242.192.255', 3253911552, 3253911807, 'FR', 'France'),
(105723, '193.242.193.0', '193.242.193.255', 3253911808, 3253912063, 'RU', 'Russian Federation'),
(105724, '193.242.194.0', '193.242.195.255', 3253912064, 3253912575, 'IR', 'Iran, Islamic Republic of'),
(105725, '193.242.196.0', '193.242.199.255', 3253912576, 3253913599, 'RO', 'Romania'),
(105726, '193.242.200.0', '193.242.207.255', 3253913600, 3253915647, 'RU', 'Russian Federation'),
(105727, '193.242.208.0', '193.242.209.255', 3253915648, 3253916159, 'IR', 'Iran, Islamic Republic of'),
(105728, '193.242.210.0', '193.242.211.255', 3253916160, 3253916671, 'DE', 'Germany'),
(105729, '193.242.212.0', '193.242.213.255', 3253916672, 3253917183, 'PL', 'Poland'),
(105730, '193.242.214.0', '193.242.214.255', 3253917184, 3253917439, 'CY', 'Cyprus'),
(105731, '193.242.215.0', '193.242.215.255', 3253917440, 3253917695, 'PL', 'Poland'),
(105732, '193.242.216.0', '193.242.217.255', 3253917696, 3253918207, 'RU', 'Russian Federation'),
(105733, '193.242.218.0', '193.242.219.255', 3253918208, 3253918719, 'CH', 'Switzerland'),
(105734, '193.242.220.0', '193.242.223.255', 3253918720, 3253919743, 'IL', 'Israel'),
(105735, '193.242.224.0', '193.242.239.255', 3253919744, 3253923839, 'GB', 'United Kingdom'),
(105736, '193.242.240.0', '193.242.255.255', 3253923840, 3253927935, 'GR', 'Greece'),
(105737, '193.243.0.0', '193.243.131.255', 3253927936, 3253961727, 'GB', 'United Kingdom'),
(105738, '193.243.132.0', '193.243.133.255', 3253961728, 3253962239, 'MD', 'Moldova, Republic of'),
(105739, '193.243.134.0', '193.243.135.255', 3253962240, 3253962751, 'SE', 'Sweden'),
(105740, '193.243.136.0', '193.243.137.255', 3253962752, 3253963263, 'BE', 'Belgium'),
(105741, '193.243.138.0', '193.243.139.255', 3253963264, 3253963775, 'RU', 'Russian Federation'),
(105742, '193.243.140.0', '193.243.141.255', 3253963776, 3253964287, 'SI', 'Slovenia'),
(105743, '193.243.142.0', '193.243.143.255', 3253964288, 3253964799, 'PL', 'Poland'),
(105744, '193.243.144.0', '193.243.145.255', 3253964800, 3253965311, 'SE', 'Sweden'),
(105745, '193.243.146.0', '193.243.149.255', 3253965312, 3253966335, 'PL', 'Poland'),
(105746, '193.243.150.0', '193.243.151.255', 3253966336, 3253966847, 'DE', 'Germany'),
(105747, '193.243.152.0', '193.243.159.255', 3253966848, 3253968895, 'UA', 'Ukraine'),
(105748, '193.243.160.0', '193.243.161.255', 3253968896, 3253969407, 'DE', 'Germany'),
(105749, '193.243.162.0', '193.243.163.255', 3253969408, 3253969919, 'AT', 'Austria'),
(105750, '193.243.164.0', '193.243.165.255', 3253969920, 3253970431, 'NL', 'Netherlands'),
(105751, '193.243.166.0', '193.243.166.255', 3253970432, 3253970687, 'RU', 'Russian Federation'),
(105752, '193.243.167.0', '193.243.167.255', 3253970688, 3253970943, 'UA', 'Ukraine'),
(105753, '193.243.168.0', '193.243.171.255', 3253970944, 3253971967, 'RS', 'Serbia'),
(105754, '193.243.172.0', '193.243.175.255', 3253971968, 3253972991, 'RU', 'Russian Federation'),
(105755, '193.243.176.0', '193.243.182.255', 3253972992, 3253974783, 'GB', 'United Kingdom'),
(105756, '193.243.183.0', '193.243.183.63', 3253974784, 3253974847, 'NO', 'Norway'),
(105757, '193.243.183.64', '193.243.183.127', 3253974848, 3253974911, 'SE', 'Sweden'),
(105758, '193.243.183.128', '193.243.183.191', 3253974912, 3253974975, 'IL', 'Israel'),
(105759, '193.243.183.192', '193.243.183.255', 3253974976, 3253975039, 'SE', 'Sweden'),
(105760, '193.243.184.0', '193.243.191.255', 3253975040, 3253977087, 'DE', 'Germany'),
(105761, '193.243.192.0', '193.243.223.255', 3253977088, 3253985279, 'TR', 'Turkey'),
(105762, '193.243.224.0', '193.243.255.255', 3253985280, 3253993471, 'GB', 'United Kingdom'),
(105763, '193.244.0.0', '193.245.255.255', 3253993472, 3254124543, 'BE', 'Belgium'),
(105764, '193.246.0.0', '193.246.125.255', 3254124544, 3254156799, 'CH', 'Switzerland'),
(105765, '193.246.126.0', '193.246.126.255', 3254156800, 3254157055, 'LI', 'Liechtenstein'),
(105766, '193.246.127.0', '193.246.205.255', 3254157056, 3254177279, 'CH', 'Switzerland'),
(105767, '193.246.206.0', '193.246.206.255', 3254177280, 3254177535, 'LI', 'Liechtenstein'),
(105768, '193.246.207.0', '193.247.255.255', 3254177536, 3254255615, 'CH', 'Switzerland'),
(105769, '193.248.0.0', '193.251.129.255', 3254255616, 3254485503, 'FR', 'France'),
(105770, '193.251.130.0', '193.251.131.39', 3254485504, 3254485799, 'CI', 'Cote D''Ivoire'),
(105771, '193.251.131.40', '193.251.131.47', 3254485800, 3254485807, 'FR', 'France'),
(105772, '193.251.131.48', '193.251.131.59', 3254485808, 3254485819, 'CI', 'Cote D''Ivoire'),
(105773, '193.251.131.60', '193.251.131.60', 3254485820, 3254485820, 'FR', 'France'),
(105774, '193.251.131.61', '193.251.131.61', 3254485821, 3254485821, 'CI', 'Cote D''Ivoire'),
(105775, '193.251.131.62', '193.251.131.62', 3254485822, 3254485822, 'FR', 'France'),
(105776, '193.251.131.63', '193.251.131.95', 3254485823, 3254485855, 'CI', 'Cote D''Ivoire'),
(105777, '193.251.131.96', '193.251.131.99', 3254485856, 3254485859, 'FR', 'France'),
(105778, '193.251.131.100', '193.251.131.127', 3254485860, 3254485887, 'CI', 'Cote D''Ivoire'),
(105779, '193.251.131.128', '193.251.133.255', 3254485888, 3254486527, 'FR', 'France'),
(105780, '193.251.134.0', '193.251.134.15', 3254486528, 3254486543, 'CH', 'Switzerland'),
(105781, '193.251.134.16', '193.251.134.31', 3254486544, 3254486559, 'US', 'United States'),
(105782, '193.251.134.32', '193.251.134.63', 3254486560, 3254486591, 'GB', 'United Kingdom'),
(105783, '193.251.134.64', '193.251.134.127', 3254486592, 3254486655, 'FR', 'France'),
(105784, '193.251.134.128', '193.251.134.143', 3254486656, 3254486671, 'CH', 'Switzerland'),
(105785, '193.251.134.144', '193.251.134.159', 3254486672, 3254486687, 'FR', 'France'),
(105786, '193.251.134.160', '193.251.134.191', 3254486688, 3254486719, 'CH', 'Switzerland'),
(105787, '193.251.134.192', '193.251.134.207', 3254486720, 3254486735, 'FR', 'France'),
(105788, '193.251.134.208', '193.251.134.239', 3254486736, 3254486767, 'US', 'United States'),
(105789, '193.251.134.240', '193.251.134.255', 3254486768, 3254486783, 'HK', 'Hong Kong'),
(105790, '193.251.135.0', '193.251.135.255', 3254486784, 3254487039, 'A2', 'Satellite Provider'),
(105791, '193.251.136.0', '193.251.136.159', 3254487040, 3254487199, 'KM', 'Comoros'),
(105792, '193.251.136.160', '193.251.136.223', 3254487200, 3254487263, 'FR', 'France'),
(105793, '193.251.136.224', '193.251.136.255', 3254487264, 3254487295, 'KM', 'Comoros'),
(105794, '193.251.137.0', '193.251.137.123', 3254487296, 3254487419, 'CF', 'Central African Republic'),
(105795, '193.251.137.124', '193.251.137.255', 3254487420, 3254487551, 'FR', 'France'),
(105796, '193.251.138.0', '193.251.138.251', 3254487552, 3254487803, 'CI', 'Cote D''Ivoire'),
(105797, '193.251.138.252', '193.251.138.255', 3254487804, 3254487807, 'FR', 'France'),
(105798, '193.251.139.0', '193.251.139.47', 3254487808, 3254487855, 'LB', 'Lebanon'),
(105799, '193.251.139.48', '193.251.139.55', 3254487856, 3254487863, 'FR', 'France'),
(105800, '193.251.139.56', '193.251.139.255', 3254487864, 3254488063, 'LB', 'Lebanon'),
(105801, '193.251.140.0', '193.251.141.111', 3254488064, 3254488431, 'FR', 'France'),
(105802, '193.251.141.112', '193.251.141.127', 3254488432, 3254488447, 'MG', 'Madagascar'),
(105803, '193.251.141.128', '193.251.142.255', 3254488448, 3254488831, 'FR', 'France'),
(105804, '193.251.143.0', '193.251.143.255', 3254488832, 3254489087, 'US', 'United States'),
(105805, '193.251.144.0', '193.251.144.255', 3254489088, 3254489343, 'DZ', 'Algeria'),
(105806, '193.251.145.0', '193.251.145.21', 3254489344, 3254489365, 'FR', 'France'),
(105807, '193.251.145.22', '193.251.145.23', 3254489366, 3254489367, 'MR', 'Mauritania'),
(105808, '193.251.145.24', '193.251.145.25', 3254489368, 3254489369, 'FR', 'France'),
(105809, '193.251.145.26', '193.251.145.26', 3254489370, 3254489370, 'MR', 'Mauritania'),
(105810, '193.251.145.27', '193.251.145.29', 3254489371, 3254489373, 'FR', 'France'),
(105811, '193.251.145.30', '193.251.145.31', 3254489374, 3254489375, 'MR', 'Mauritania'),
(105812, '193.251.145.32', '193.251.145.63', 3254489376, 3254489407, 'FR', 'France'),
(105813, '193.251.145.64', '193.251.145.95', 3254489408, 3254489439, 'MR', 'Mauritania'),
(105814, '193.251.145.96', '193.251.145.99', 3254489440, 3254489443, 'FR', 'France'),
(105815, '193.251.145.100', '193.251.145.111', 3254489444, 3254489455, 'MR', 'Mauritania'),
(105816, '193.251.145.112', '193.251.145.119', 3254489456, 3254489463, 'FR', 'France'),
(105817, '193.251.145.120', '193.251.145.175', 3254489464, 3254489519, 'MR', 'Mauritania'),
(105818, '193.251.145.176', '193.251.145.191', 3254489520, 3254489535, 'FR', 'France'),
(105819, '193.251.145.192', '193.251.145.223', 3254489536, 3254489567, 'MR', 'Mauritania'),
(105820, '193.251.145.224', '193.251.145.255', 3254489568, 3254489599, 'FR', 'France'),
(105821, '193.251.146.0', '193.251.146.255', 3254489600, 3254489855, 'MR', 'Mauritania'),
(105822, '193.251.147.0', '193.251.147.255', 3254489856, 3254490111, 'TD', 'Chad'),
(105823, '193.251.148.0', '193.251.148.255', 3254490112, 3254490367, 'FR', 'France'),
(105824, '193.251.149.0', '193.251.149.255', 3254490368, 3254490623, 'CF', 'Central African Republic'),
(105825, '193.251.150.0', '193.251.151.255', 3254490624, 3254491135, 'FR', 'France'),
(105826, '193.251.152.0', '193.251.152.255', 3254491136, 3254491391, 'DZ', 'Algeria'),
(105827, '193.251.153.0', '193.251.153.255', 3254491392, 3254491647, 'GQ', 'Equatorial Guinea'),
(105828, '193.251.154.0', '193.251.154.255', 3254491648, 3254491903, 'FR', 'France'),
(105829, '193.251.155.0', '193.251.155.127', 3254491904, 3254492031, 'CM', 'Cameroon'),
(105830, '193.251.155.128', '193.251.155.255', 3254492032, 3254492159, 'FR', 'France'),
(105831, '193.251.156.0', '193.251.157.255', 3254492160, 3254492671, 'LB', 'Lebanon'),
(105832, '193.251.158.0', '193.251.158.255', 3254492672, 3254492927, 'FR', 'France'),
(105833, '193.251.159.0', '193.251.159.255', 3254492928, 3254493183, 'CI', 'Cote D''Ivoire'),
(105834, '193.251.160.0', '193.251.160.139', 3254493184, 3254493323, 'GP', 'Guadeloupe'),
(105835, '193.251.160.140', '193.251.160.143', 3254493324, 3254493327, 'FR', 'France'),
(105836, '193.251.160.144', '193.251.160.151', 3254493328, 3254493335, 'GP', 'Guadeloupe'),
(105837, '193.251.160.152', '193.251.160.159', 3254493336, 3254493343, 'FR', 'France'),
(105838, '193.251.160.160', '193.251.160.255', 3254493344, 3254493439, 'GP', 'Guadeloupe'),
(105839, '193.251.161.0', '193.251.161.255', 3254493440, 3254493695, 'CI', 'Cote D''Ivoire'),
(105840, '193.251.162.0', '193.251.165.63', 3254493696, 3254494527, 'GP', 'Guadeloupe'),
(105841, '193.251.165.64', '193.251.165.255', 3254494528, 3254494719, 'FR', 'France'),
(105842, '193.251.166.0', '193.251.166.15', 3254494720, 3254494735, 'LB', 'Lebanon'),
(105843, '193.251.166.16', '193.251.166.23', 3254494736, 3254494743, 'FR', 'France'),
(105844, '193.251.166.24', '193.251.166.83', 3254494744, 3254494803, 'LB', 'Lebanon'),
(105845, '193.251.166.84', '193.251.166.87', 3254494804, 3254494807, 'FR', 'France'),
(105846, '193.251.166.88', '193.251.166.255', 3254494808, 3254494975, 'LB', 'Lebanon'),
(105847, '193.251.167.0', '193.251.167.111', 3254494976, 3254495087, 'DJ', 'Djibouti'),
(105848, '193.251.167.112', '193.251.167.255', 3254495088, 3254495231, 'FR', 'France'),
(105849, '193.251.168.0', '193.251.168.255', 3254495232, 3254495487, 'CI', 'Cote D''Ivoire'),
(105850, '193.251.169.0', '193.251.169.255', 3254495488, 3254495743, 'DZ', 'Algeria'),
(105851, '193.251.170.0', '193.251.171.255', 3254495744, 3254496255, 'LB', 'Lebanon'),
(105852, '193.251.172.0', '193.251.172.255', 3254496256, 3254496511, 'FR', 'France'),
(105853, '193.251.173.0', '193.251.173.15', 3254496512, 3254496527, 'CI', 'Cote D''Ivoire'),
(105854, '193.251.173.16', '193.251.173.255', 3254496528, 3254496767, 'FR', 'France'),
(105855, '193.251.174.0', '193.251.175.223', 3254496768, 3254497247, 'DZ', 'Algeria'),
(105856, '193.251.175.224', '193.251.217.255', 3254497248, 3254508031, 'FR', 'France'),
(105857, '193.251.218.0', '193.251.219.255', 3254508032, 3254508543, 'GQ', 'Equatorial Guinea'),
(105858, '193.251.220.0', '193.251.220.255', 3254508544, 3254508799, 'NE', 'Niger'),
(105859, '193.251.221.0', '193.251.221.31', 3254508800, 3254508831, 'MQ', 'Martinique'),
(105860, '193.251.221.32', '193.251.221.255', 3254508832, 3254509055, 'FR', 'France'),
(105861, '193.251.222.0', '193.251.223.255', 3254509056, 3254509567, 'GQ', 'Equatorial Guinea'),
(105862, '193.251.224.0', '193.251.224.215', 3254509568, 3254509783, 'DJ', 'Djibouti'),
(105863, '193.251.224.216', '193.251.227.3', 3254509784, 3254510339, 'FR', 'France'),
(105864, '193.251.227.4', '193.251.227.23', 3254510340, 3254510359, 'NE', 'Niger'),
(105865, '193.251.227.24', '193.251.227.39', 3254510360, 3254510375, 'FR', 'France'),
(105866, '193.251.227.40', '193.251.227.71', 3254510376, 3254510407, 'NE', 'Niger'),
(105867, '193.251.227.72', '193.251.227.84', 3254510408, 3254510420, 'FR', 'France'),
(105868, '193.251.227.85', '193.251.227.85', 3254510421, 3254510421, 'NE', 'Niger'),
(105869, '193.251.227.86', '193.251.227.95', 3254510422, 3254510431, 'FR', 'France'),
(105870, '193.251.227.96', '193.251.227.96', 3254510432, 3254510432, 'NE', 'Niger'),
(105871, '193.251.227.97', '193.251.227.104', 3254510433, 3254510440, 'FR', 'France'),
(105872, '193.251.227.105', '193.251.227.105', 3254510441, 3254510441, 'NE', 'Niger'),
(105873, '193.251.227.106', '193.251.227.107', 3254510442, 3254510443, 'FR', 'France'),
(105874, '193.251.227.108', '193.251.227.115', 3254510444, 3254510451, 'NE', 'Niger'),
(105875, '193.251.227.116', '193.251.227.119', 3254510452, 3254510455, 'FR', 'France'),
(105876, '193.251.227.120', '193.251.227.183', 3254510456, 3254510519, 'NE', 'Niger'),
(105877, '193.251.227.184', '193.251.227.191', 3254510520, 3254510527, 'FR', 'France'),
(105878, '193.251.227.192', '193.251.227.223', 3254510528, 3254510559, 'NE', 'Niger'),
(105879, '193.251.227.224', '193.251.227.227', 3254510560, 3254510563, 'FR', 'France'),
(105880, '193.251.227.228', '193.251.228.255', 3254510564, 3254510847, 'NE', 'Niger'),
(105881, '193.251.229.0', '193.252.15.255', 3254510848, 3254521855, 'FR', 'France'),
(105882, '193.252.16.0', '193.252.17.255', 3254521856, 3254522367, 'GB', 'United Kingdom'),
(105883, '193.252.18.0', '193.252.23.91', 3254522368, 3254523739, 'FR', 'France'),
(105884, '193.252.23.92', '193.252.23.92', 3254523740, 3254523740, 'UG', 'Uganda'),
(105885, '193.252.23.93', '193.252.23.93', 3254523741, 3254523741, 'CH', 'Switzerland'),
(105886, '193.252.23.94', '193.252.23.94', 3254523742, 3254523742, 'RO', 'Romania'),
(105887, '193.252.23.95', '193.252.127.255', 3254523743, 3254550527, 'FR', 'France'),
(105888, '193.252.128.0', '193.252.128.255', 3254550528, 3254550783, 'US', 'United States'),
(105889, '193.252.129.0', '193.252.129.255', 3254550784, 3254551039, 'IR', 'Iran, Islamic Republic of'),
(105890, '193.252.130.0', '193.252.130.255', 3254551040, 3254551295, 'US', 'United States'),
(105891, '193.252.131.0', '193.252.131.255', 3254551296, 3254551551, 'IR', 'Iran, Islamic Republic of'),
(105892, '193.252.132.0', '193.252.132.255', 3254551552, 3254551807, 'US', 'United States'),
(105893, '193.252.133.0', '193.252.133.255', 3254551808, 3254552063, 'FR', 'France'),
(105894, '193.252.134.0', '193.252.134.255', 3254552064, 3254552319, 'US', 'United States'),
(105895, '193.252.135.0', '193.252.136.255', 3254552320, 3254552831, 'IR', 'Iran, Islamic Republic of'),
(105896, '193.252.137.0', '193.252.137.255', 3254552832, 3254553087, 'HK', 'Hong Kong'),
(105897, '193.252.138.0', '193.252.138.255', 3254553088, 3254553343, 'FR', 'France'),
(105898, '193.252.139.0', '193.252.139.255', 3254553344, 3254553599, 'HK', 'Hong Kong'),
(105899, '193.252.140.0', '193.252.144.255', 3254553600, 3254554879, 'FR', 'France'),
(105900, '193.252.145.0', '193.252.145.255', 3254554880, 3254555135, 'HK', 'Hong Kong'),
(105901, '193.252.146.0', '193.252.146.255', 3254555136, 3254555391, 'FR', 'France'),
(105902, '193.252.147.0', '193.252.147.255', 3254555392, 3254555647, 'HK', 'Hong Kong'),
(105903, '193.252.148.0', '193.252.154.255', 3254555648, 3254557439, 'FR', 'France'),
(105904, '193.252.155.0', '193.252.155.255', 3254557440, 3254557695, 'AT', 'Austria'),
(105905, '193.252.156.0', '193.252.228.255', 3254557696, 3254576383, 'FR', 'France'),
(105906, '193.252.229.0', '193.252.229.159', 3254576384, 3254576543, 'DO', 'Dominican Republic'),
(105907, '193.252.229.160', '193.253.157.255', 3254576544, 3254623743, 'FR', 'France'),
(105908, '193.253.158.0', '193.253.159.255', 3254623744, 3254624255, 'US', 'United States'),
(105909, '193.253.160.0', '193.253.255.255', 3254624256, 3254648831, 'FR', 'France'),
(105910, '193.254.0.0', '193.254.0.63', 3254648832, 3254648895, 'DK', 'Denmark'),
(105911, '193.254.0.64', '193.254.0.255', 3254648896, 3254649087, 'GB', 'United Kingdom'),
(105912, '193.254.1.0', '193.254.3.255', 3254649088, 3254649855, 'AL', 'Albania'),
(105913, '193.254.4.0', '193.254.7.255', 3254649856, 3254650879, 'SE', 'Sweden'),
(105914, '193.254.8.0', '193.254.17.255', 3254650880, 3254653439, 'CH', 'Switzerland'),
(105915, '193.254.18.0', '193.254.23.127', 3254653440, 3254654847, 'DE', 'Germany'),
(105916, '193.254.23.128', '193.254.23.255', 3254654848, 3254654975, 'DK', 'Denmark'),
(105917, '193.254.24.0', '193.254.26.255', 3254654976, 3254655743, 'IT', 'Italy'),
(105918, '193.254.27.0', '193.254.28.255', 3254655744, 3254656255, 'GB', 'United Kingdom'),
(105919, '193.254.29.0', '193.254.29.255', 3254656256, 3254656511, 'BG', 'Bulgaria'),
(105920, '193.254.30.0', '193.254.30.255', 3254656512, 3254656767, 'DE', 'Germany'),
(105921, '193.254.31.0', '193.254.31.255', 3254656768, 3254657023, 'GB', 'United Kingdom'),
(105922, '193.254.32.0', '193.254.63.255', 3254657024, 3254665215, 'RO', 'Romania'),
(105923, '193.254.64.0', '193.254.127.255', 3254665216, 3254681599, 'EU', 'Europe'),
(105924, '193.254.128.0', '193.254.191.255', 3254681600, 3254697983, 'DE', 'Germany'),
(105925, '193.254.192.0', '193.254.193.255', 3254697984, 3254698495, 'SE', 'Sweden'),
(105926, '193.254.194.0', '193.254.195.255', 3254698496, 3254699007, 'GB', 'United Kingdom'),
(105927, '193.254.196.0', '193.254.197.255', 3254699008, 3254699519, 'UA', 'Ukraine'),
(105928, '193.254.198.0', '193.254.199.255', 3254699520, 3254700031, 'US', 'United States'),
(105929, '193.254.200.0', '193.254.201.255', 3254700032, 3254700543, 'GR', 'Greece'),
(105930, '193.254.202.0', '193.254.203.255', 3254700544, 3254701055, 'DE', 'Germany'),
(105931, '193.254.204.0', '193.254.205.255', 3254701056, 3254701567, 'RU', 'Russian Federation'),
(105932, '193.254.206.0', '193.254.207.255', 3254701568, 3254702079, 'IL', 'Israel'),
(105933, '193.254.208.0', '193.254.209.255', 3254702080, 3254702591, 'RU', 'Russian Federation'),
(105934, '193.254.210.0', '193.254.211.255', 3254702592, 3254703103, 'GB', 'United Kingdom'),
(105935, '193.254.212.0', '193.254.213.255', 3254703104, 3254703615, 'DE', 'Germany'),
(105936, '193.254.214.0', '193.254.215.255', 3254703616, 3254704127, 'NL', 'Netherlands'),
(105937, '193.254.216.0', '193.254.221.255', 3254704128, 3254705663, 'UA', 'Ukraine'),
(105938, '193.254.222.0', '193.254.223.255', 3254705664, 3254706175, 'GR', 'Greece'),
(105939, '193.254.224.0', '193.254.227.255', 3254706176, 3254707199, 'RU', 'Russian Federation'),
(105940, '193.254.228.0', '193.254.229.255', 3254707200, 3254707711, 'TR', 'Turkey'),
(105941, '193.254.230.0', '193.254.231.255', 3254707712, 3254708223, 'RO', 'Romania'),
(105942, '193.254.232.0', '193.254.233.255', 3254708224, 3254708735, 'UA', 'Ukraine'),
(105943, '193.254.234.0', '193.254.235.255', 3254708736, 3254709247, 'RO', 'Romania'),
(105944, '193.254.236.0', '193.254.237.255', 3254709248, 3254709759, 'DE', 'Germany'),
(105945, '193.254.238.0', '193.254.239.255', 3254709760, 3254710271, 'PL', 'Poland'),
(105946, '193.254.240.0', '193.254.241.255', 3254710272, 3254710783, 'IT', 'Italy'),
(105947, '193.254.242.0', '193.254.243.255', 3254710784, 3254711295, 'RO', 'Romania'),
(105948, '193.254.244.0', '193.254.245.255', 3254711296, 3254711807, 'FR', 'France'),
(105949, '193.254.246.0', '193.254.247.255', 3254711808, 3254712319, 'PL', 'Poland'),
(105950, '193.254.248.0', '193.254.249.255', 3254712320, 3254712831, 'RU', 'Russian Federation'),
(105951, '193.254.250.0', '193.254.251.255', 3254712832, 3254713343, 'KZ', 'Kazakhstan'),
(105952, '193.254.252.0', '193.254.253.255', 3254713344, 3254713855, 'TR', 'Turkey'),
(105953, '193.254.254.0', '193.254.255.255', 3254713856, 3254714367, 'NL', 'Netherlands'),
(105954, '193.255.0.0', '193.255.255.255', 3254714368, 3254779903, 'TR', 'Turkey'),
(105955, '194.0.0.0', '194.0.0.255', 3254779904, 3254780159, 'DE', 'Germany'),
(105956, '194.0.1.0', '194.0.2.255', 3254780160, 3254780671, 'GB', 'United Kingdom'),
(105957, '194.0.3.0', '194.0.3.255', 3254780672, 3254780927, 'LT', 'Lithuania'),
(105958, '194.0.4.0', '194.0.4.255', 3254780928, 3254781183, 'GR', 'Greece'),
(105959, '194.0.5.0', '194.0.5.255', 3254781184, 3254781439, 'NL', 'Netherlands'),
(105960, '194.0.6.0', '194.0.7.255', 3254781440, 3254781951, 'BE', 'Belgium'),
(105961, '194.0.8.0', '194.0.8.255', 3254781952, 3254782207, 'LV', 'Latvia'),
(105962, '194.0.9.0', '194.0.9.255', 3254782208, 3254782463, 'FR', 'France'),
(105963, '194.0.10.0', '194.0.10.255', 3254782464, 3254782719, 'AT', 'Austria'),
(105964, '194.0.11.0', '194.0.11.255', 3254782720, 3254782975, 'DE', 'Germany'),
(105965, '194.0.12.0', '194.0.14.255', 3254782976, 3254783743, 'CZ', 'Czech Republic'),
(105966, '194.0.15.0', '194.0.15.255', 3254783744, 3254783999, 'SA', 'Saudi Arabia'),
(105967, '194.0.16.0', '194.0.16.255', 3254784000, 3254784255, 'IT', 'Italy'),
(105968, '194.0.17.0', '194.0.17.255', 3254784256, 3254784511, 'CH', 'Switzerland'),
(105969, '194.0.18.0', '194.0.20.255', 3254784512, 3254785279, 'LT', 'Lithuania'),
(105970, '194.0.21.0', '194.0.21.255', 3254785280, 3254785535, 'KZ', 'Kazakhstan'),
(105971, '194.0.22.0', '194.0.22.255', 3254785536, 3254785791, 'DK', 'Denmark'),
(105972, '194.0.23.0', '194.0.23.255', 3254785792, 3254786047, 'LU', 'Luxembourg'),
(105973, '194.0.24.0', '194.0.26.255', 3254786048, 3254786815, 'AT', 'Austria'),
(105974, '194.0.27.0', '194.0.27.255', 3254786816, 3254787071, 'SM', 'San Marino'),
(105975, '194.0.28.0', '194.0.31.255', 3254787072, 3254788095, 'NL', 'Netherlands'),
(105976, '194.0.32.0', '194.0.32.255', 3254788096, 3254788351, 'BG', 'Bulgaria'),
(105977, '194.0.33.0', '194.0.35.255', 3254788352, 3254789119, 'ES', 'Spain'),
(105978, '194.0.36.0', '194.0.36.255', 3254789120, 3254789375, 'FR', 'France'),
(105979, '194.0.37.0', '194.0.37.255', 3254789376, 3254789631, 'BE', 'Belgium'),
(105980, '194.0.38.0', '194.0.41.255', 3254789632, 3254790655, 'TK', 'Tokelau'),
(105981, '194.0.42.0', '194.0.42.255', 3254790656, 3254790911, 'LU', 'Luxembourg'),
(105982, '194.0.43.0', '194.0.44.255', 3254790912, 3254791423, 'BE', 'Belgium'),
(105983, '194.0.45.0', '194.0.45.255', 3254791424, 3254791679, 'SK', 'Slovakia'),
(105984, '194.0.46.0', '194.0.47.255', 3254791680, 3254792191, 'DK', 'Denmark'),
(105985, '194.0.48.0', '194.0.51.255', 3254792192, 3254793215, 'LV', 'Latvia'),
(105986, '194.0.64.0', '194.0.67.255', 3254796288, 3254797311, 'SE', 'Sweden'),
(105987, '194.0.68.0', '194.0.71.255', 3254797312, 3254798335, 'RU', 'Russian Federation'),
(105988, '194.0.72.0', '194.0.75.255', 3254798336, 3254799359, 'AT', 'Austria'),
(105989, '194.0.76.0', '194.0.79.255', 3254799360, 3254800383, 'IE', 'Ireland'),
(105990, '194.0.80.0', '194.0.83.255', 3254800384, 3254801407, 'FI', 'Finland'),
(105991, '194.0.84.0', '194.0.87.255', 3254801408, 3254802431, 'HR', 'Croatia'),
(105992, '194.0.88.0', '194.0.91.255', 3254802432, 3254803455, 'UA', 'Ukraine'),
(105993, '194.0.92.0', '194.0.95.255', 3254803456, 3254804479, 'DE', 'Germany'),
(105994, '194.0.96.0', '194.0.103.255', 3254804480, 3254806527, 'PL', 'Poland'),
(105995, '194.0.104.0', '194.0.107.255', 3254806528, 3254807551, 'UA', 'Ukraine'),
(105996, '194.0.108.0', '194.0.111.255', 3254807552, 3254808575, 'KZ', 'Kazakhstan'),
(105997, '194.0.112.0', '194.0.115.255', 3254808576, 3254809599, 'RU', 'Russian Federation'),
(105998, '194.0.116.0', '194.0.119.255', 3254809600, 3254810623, 'UA', 'Ukraine'),
(105999, '194.0.120.0', '194.0.123.255', 3254810624, 3254811647, 'RU', 'Russian Federation'),
(106000, '194.0.124.0', '194.0.127.255', 3254811648, 3254812671, 'RO', 'Romania'),
(106001, '194.0.128.0', '194.0.128.255', 3254812672, 3254812927, 'PL', 'Poland'),
(106002, '194.0.129.0', '194.0.129.255', 3254812928, 3254813183, 'RO', 'Romania'),
(106003, '194.0.130.0', '194.0.130.255', 3254813184, 3254813439, 'TR', 'Turkey'),
(106004, '194.0.131.0', '194.0.131.255', 3254813440, 3254813695, 'UA', 'Ukraine'),
(106005, '194.0.132.0', '194.0.132.255', 3254813696, 3254813951, 'DK', 'Denmark'),
(106006, '194.0.133.0', '194.0.133.255', 3254813952, 3254814207, 'IT', 'Italy'),
(106007, '194.0.134.0', '194.0.134.255', 3254814208, 3254814463, 'SE', 'Sweden'),
(106008, '194.0.135.0', '194.0.135.255', 3254814464, 3254814719, 'DE', 'Germany'),
(106009, '194.0.136.0', '194.0.136.255', 3254814720, 3254814975, 'RU', 'Russian Federation'),
(106010, '194.0.137.0', '194.0.137.255', 3254814976, 3254815231, 'CH', 'Switzerland'),
(106011, '194.0.138.0', '194.0.138.255', 3254815232, 3254815487, 'UA', 'Ukraine'),
(106012, '194.0.139.0', '194.0.139.255', 3254815488, 3254815743, 'GB', 'United Kingdom'),
(106013, '194.0.140.0', '194.0.140.255', 3254815744, 3254815999, 'IT', 'Italy'),
(106014, '194.0.141.0', '194.0.141.255', 3254816000, 3254816255, 'RU', 'Russian Federation'),
(106015, '194.0.142.0', '194.0.142.255', 3254816256, 3254816511, 'TR', 'Turkey'),
(106016, '194.0.143.0', '194.0.143.255', 3254816512, 3254816767, 'DE', 'Germany'),
(106017, '194.0.144.0', '194.0.145.255', 3254816768, 3254817279, 'RU', 'Russian Federation'),
(106018, '194.0.146.0', '194.0.146.255', 3254817280, 3254817535, 'CY', 'Cyprus'),
(106019, '194.0.147.0', '194.0.147.255', 3254817536, 3254817791, 'GB', 'United Kingdom'),
(106020, '194.0.148.0', '194.0.148.255', 3254817792, 3254818047, 'UA', 'Ukraine'),
(106021, '194.0.149.0', '194.0.149.255', 3254818048, 3254818303, 'DE', 'Germany'),
(106022, '194.0.150.0', '194.0.150.255', 3254818304, 3254818559, 'UA', 'Ukraine'),
(106023, '194.0.151.0', '194.0.151.255', 3254818560, 3254818815, 'DE', 'Germany'),
(106024, '194.0.152.0', '194.0.153.255', 3254818816, 3254819327, 'FR', 'France'),
(106025, '194.0.154.0', '194.0.154.255', 3254819328, 3254819583, 'PL', 'Poland'),
(106026, '194.0.155.0', '194.0.155.255', 3254819584, 3254819839, 'DK', 'Denmark'),
(106027, '194.0.156.0', '194.0.156.255', 3254819840, 3254820095, 'GB', 'United Kingdom'),
(106028, '194.0.157.0', '194.0.157.255', 3254820096, 3254820351, 'UA', 'Ukraine'),
(106029, '194.0.158.0', '194.0.159.255', 3254820352, 3254820863, 'GB', 'United Kingdom'),
(106030, '194.0.160.0', '194.0.160.255', 3254820864, 3254821119, 'LT', 'Lithuania'),
(106031, '194.0.161.0', '194.0.161.255', 3254821120, 3254821375, 'DK', 'Denmark'),
(106032, '194.0.162.0', '194.0.162.255', 3254821376, 3254821631, 'RU', 'Russian Federation'),
(106033, '194.0.163.0', '194.0.163.255', 3254821632, 3254821887, 'DE', 'Germany'),
(106034, '194.0.164.0', '194.0.164.255', 3254821888, 3254822143, 'HU', 'Hungary'),
(106035, '194.0.165.0', '194.0.165.255', 3254822144, 3254822399, 'DE', 'Germany'),
(106036, '194.0.166.0', '194.0.166.255', 3254822400, 3254822655, 'FR', 'France'),
(106037, '194.0.167.0', '194.0.167.255', 3254822656, 3254822911, 'PL', 'Poland'),
(106038, '194.0.168.0', '194.0.168.255', 3254822912, 3254823167, 'CH', 'Switzerland'),
(106039, '194.0.169.0', '194.0.169.255', 3254823168, 3254823423, 'NO', 'Norway'),
(106040, '194.0.170.0', '194.0.170.255', 3254823424, 3254823679, 'NL', 'Netherlands'),
(106041, '194.0.171.0', '194.0.171.255', 3254823680, 3254823935, 'PL', 'Poland'),
(106042, '194.0.172.0', '194.0.172.255', 3254823936, 3254824191, 'CH', 'Switzerland'),
(106043, '194.0.173.0', '194.0.173.255', 3254824192, 3254824447, 'RO', 'Romania'),
(106044, '194.0.174.0', '194.0.175.255', 3254824448, 3254824959, 'SI', 'Slovenia'),
(106045, '194.0.176.0', '194.0.176.255', 3254824960, 3254825215, 'FR', 'France'),
(106046, '194.0.177.0', '194.0.177.255', 3254825216, 3254825471, 'RO', 'Romania'),
(106047, '194.0.178.0', '194.0.178.255', 3254825472, 3254825727, 'TR', 'Turkey'),
(106048, '194.0.179.0', '194.0.179.255', 3254825728, 3254825983, 'FR', 'France'),
(106049, '194.0.180.0', '194.0.180.255', 3254825984, 3254826239, 'DE', 'Germany'),
(106050, '194.0.181.0', '194.0.181.255', 3254826240, 3254826495, 'PL', 'Poland'),
(106051, '194.0.182.0', '194.0.184.255', 3254826496, 3254827263, 'DE', 'Germany'),
(106052, '194.0.185.0', '194.0.185.255', 3254827264, 3254827519, 'GR', 'Greece'),
(106053, '194.0.186.0', '194.0.186.255', 3254827520, 3254827775, 'PL', 'Poland'),
(106054, '194.0.187.0', '194.0.187.255', 3254827776, 3254828031, 'UA', 'Ukraine'),
(106055, '194.0.188.0', '194.0.188.255', 3254828032, 3254828287, 'DE', 'Germany'),
(106056, '194.0.189.0', '194.0.190.255', 3254828288, 3254828799, 'RO', 'Romania'),
(106057, '194.0.191.0', '194.0.191.255', 3254828800, 3254829055, 'SI', 'Slovenia'),
(106058, '194.0.192.0', '194.0.192.255', 3254829056, 3254829311, 'NO', 'Norway'),
(106059, '194.0.193.0', '194.0.193.255', 3254829312, 3254829567, 'GB', 'United Kingdom'),
(106060, '194.0.194.0', '194.0.194.255', 3254829568, 3254829823, 'NL', 'Netherlands'),
(106061, '194.0.195.0', '194.0.195.255', 3254829824, 3254830079, 'FR', 'France'),
(106062, '194.0.196.0', '194.0.196.255', 3254830080, 3254830335, 'IE', 'Ireland'),
(106063, '194.0.197.0', '194.0.197.255', 3254830336, 3254830591, 'NL', 'Netherlands'),
(106064, '194.0.198.0', '194.0.198.255', 3254830592, 3254830847, 'CH', 'Switzerland'),
(106065, '194.0.199.0', '194.0.199.255', 3254830848, 3254831103, 'PL', 'Poland'),
(106066, '194.0.200.0', '194.0.200.255', 3254831104, 3254831359, 'UA', 'Ukraine'),
(106067, '194.0.201.0', '194.0.201.255', 3254831360, 3254831615, 'DE', 'Germany'),
(106068, '194.0.202.0', '194.0.202.255', 3254831616, 3254831871, 'TR', 'Turkey'),
(106069, '194.0.203.0', '194.0.203.255', 3254831872, 3254832127, 'LT', 'Lithuania'),
(106070, '194.0.204.0', '194.0.204.255', 3254832128, 3254832383, 'RO', 'Romania'),
(106071, '194.0.205.0', '194.0.205.255', 3254832384, 3254832639, 'BE', 'Belgium'),
(106072, '194.0.206.0', '194.0.206.255', 3254832640, 3254832895, 'UA', 'Ukraine'),
(106073, '194.0.207.0', '194.0.207.255', 3254832896, 3254833151, 'LV', 'Latvia'),
(106074, '194.0.208.0', '194.0.208.255', 3254833152, 3254833407, 'DE', 'Germany'),
(106075, '194.0.209.0', '194.0.209.255', 3254833408, 3254833663, 'RU', 'Russian Federation'),
(106076, '194.0.210.0', '194.0.210.255', 3254833664, 3254833919, 'GB', 'United Kingdom'),
(106077, '194.0.211.0', '194.0.211.255', 3254833920, 3254834175, 'PL', 'Poland'),
(106078, '194.0.212.0', '194.0.212.255', 3254834176, 3254834431, 'CH', 'Switzerland'),
(106079, '194.0.213.0', '194.0.213.255', 3254834432, 3254834687, 'FR', 'France'),
(106080, '194.0.214.0', '194.0.214.255', 3254834688, 3254834943, 'GB', 'United Kingdom'),
(106081, '194.0.215.0', '194.0.215.255', 3254834944, 3254835199, 'NO', 'Norway'),
(106082, '194.0.216.0', '194.0.216.255', 3254835200, 3254835455, 'DE', 'Germany'),
(106083, '194.0.217.0', '194.0.217.255', 3254835456, 3254835711, 'SE', 'Sweden'),
(106084, '194.0.218.0', '194.0.218.255', 3254835712, 3254835967, 'UA', 'Ukraine'),
(106085, '194.0.219.0', '194.0.219.255', 3254835968, 3254836223, 'GB', 'United Kingdom'),
(106086, '194.0.220.0', '194.0.220.255', 3254836224, 3254836479, 'PL', 'Poland'),
(106087, '194.0.221.0', '194.0.221.255', 3254836480, 3254836735, 'MD', 'Moldova, Republic of'),
(106088, '194.0.222.0', '194.0.222.255', 3254836736, 3254836991, 'AT', 'Austria'),
(106089, '194.0.223.0', '194.0.223.255', 3254836992, 3254837247, 'GB', 'United Kingdom'),
(106090, '194.0.224.0', '194.0.224.255', 3254837248, 3254837503, 'HR', 'Croatia'),
(106091, '194.0.225.0', '194.0.225.255', 3254837504, 3254837759, 'RU', 'Russian Federation'),
(106092, '194.0.226.0', '194.0.226.255', 3254837760, 3254838015, 'IE', 'Ireland'),
(106093, '194.0.227.0', '194.0.227.255', 3254838016, 3254838271, 'GE', 'Georgia'),
(106094, '194.0.228.0', '194.0.228.255', 3254838272, 3254838527, 'DE', 'Germany'),
(106095, '194.0.229.0', '194.0.229.255', 3254838528, 3254838783, 'CH', 'Switzerland'),
(106096, '194.0.230.0', '194.0.230.255', 3254838784, 3254839039, 'AT', 'Austria'),
(106097, '194.0.231.0', '194.0.231.255', 3254839040, 3254839295, 'RU', 'Russian Federation'),
(106098, '194.0.232.0', '194.0.232.255', 3254839296, 3254839551, 'DE', 'Germany'),
(106099, '194.0.233.0', '194.0.233.255', 3254839552, 3254839807, 'PL', 'Poland'),
(106100, '194.0.234.0', '194.0.234.255', 3254839808, 3254840063, 'BE', 'Belgium'),
(106101, '194.0.235.0', '194.0.235.255', 3254840064, 3254840319, 'BG', 'Bulgaria'),
(106102, '194.0.236.0', '194.0.236.255', 3254840320, 3254840575, 'DK', 'Denmark'),
(106103, '194.0.237.0', '194.0.237.255', 3254840576, 3254840831, 'UA', 'Ukraine'),
(106104, '194.0.238.0', '194.0.239.255', 3254840832, 3254841343, 'GB', 'United Kingdom'),
(106105, '194.0.240.0', '194.0.240.255', 3254841344, 3254841599, 'PL', 'Poland'),
(106106, '194.0.241.0', '194.0.241.255', 3254841600, 3254841855, 'IE', 'Ireland'),
(106107, '194.0.242.0', '194.0.242.255', 3254841856, 3254842111, 'LV', 'Latvia'),
(106108, '194.0.243.0', '194.0.243.255', 3254842112, 3254842367, 'GB', 'United Kingdom'),
(106109, '194.0.244.0', '194.0.244.255', 3254842368, 3254842623, 'PL', 'Poland'),
(106110, '194.0.245.0', '194.0.245.255', 3254842624, 3254842879, 'RU', 'Russian Federation'),
(106111, '194.0.246.0', '194.0.246.255', 3254842880, 3254843135, 'SE', 'Sweden'),
(106112, '194.0.247.0', '194.0.248.255', 3254843136, 3254843647, 'DE', 'Germany'),
(106113, '194.0.249.0', '194.0.249.255', 3254843648, 3254843903, 'FR', 'France'),
(106114, '194.0.250.0', '194.0.250.255', 3254843904, 3254844159, 'NL', 'Netherlands'),
(106115, '194.0.251.0', '194.0.251.255', 3254844160, 3254844415, 'PL', 'Poland'),
(106116, '194.0.252.0', '194.0.252.255', 3254844416, 3254844671, 'GB', 'United Kingdom'),
(106117, '194.0.253.0', '194.0.253.255', 3254844672, 3254844927, 'RO', 'Romania'),
(106118, '194.0.254.0', '194.0.254.255', 3254844928, 3254845183, 'DE', 'Germany'),
(106119, '194.0.255.0', '194.0.255.255', 3254845184, 3254845439, 'FR', 'France'),
(106120, '194.1.0.0', '194.1.143.255', 3254845440, 3254882303, 'SK', 'Slovakia'),
(106121, '194.1.144.0', '194.1.144.255', 3254882304, 3254882559, 'PL', 'Poland'),
(106122, '194.1.145.0', '194.1.145.255', 3254882560, 3254882815, 'IL', 'Israel'),
(106123, '194.1.146.0', '194.1.146.255', 3254882816, 3254883071, 'PL', 'Poland'),
(106124, '194.1.147.0', '194.1.148.255', 3254883072, 3254883583, 'GB', 'United Kingdom'),
(106125, '194.1.149.0', '194.1.149.255', 3254883584, 3254883839, 'AL', 'Albania'),
(106126, '194.1.150.0', '194.1.151.255', 3254883840, 3254884351, 'GB', 'United Kingdom'),
(106127, '194.1.152.0', '194.1.152.255', 3254884352, 3254884607, 'RU', 'Russian Federation'),
(106128, '194.1.153.0', '194.1.153.255', 3254884608, 3254884863, 'PL', 'Poland'),
(106129, '194.1.154.0', '194.1.154.255', 3254884864, 3254885119, 'SE', 'Sweden'),
(106130, '194.1.155.0', '194.1.155.255', 3254885120, 3254885375, 'DE', 'Germany'),
(106131, '194.1.156.0', '194.1.156.255', 3254885376, 3254885631, 'RU', 'Russian Federation'),
(106132, '194.1.157.0', '194.1.157.255', 3254885632, 3254885887, 'SK', 'Slovakia'),
(106133, '194.1.158.0', '194.1.158.255', 3254885888, 3254886143, 'AT', 'Austria'),
(106134, '194.1.159.0', '194.1.159.255', 3254886144, 3254886399, 'UA', 'Ukraine'),
(106135, '194.1.160.0', '194.1.160.255', 3254886400, 3254886655, 'IT', 'Italy'),
(106136, '194.1.161.0', '194.1.161.255', 3254886656, 3254886911, 'RU', 'Russian Federation'),
(106137, '194.1.162.0', '194.1.163.255', 3254886912, 3254887423, 'CH', 'Switzerland'),
(106138, '194.1.164.0', '194.1.166.255', 3254887424, 3254888191, 'GB', 'United Kingdom'),
(106139, '194.1.167.0', '194.1.167.255', 3254888192, 3254888447, 'RO', 'Romania'),
(106140, '194.1.168.0', '194.1.168.255', 3254888448, 3254888703, 'RU', 'Russian Federation'),
(106141, '194.1.169.0', '194.1.169.255', 3254888704, 3254888959, 'RO', 'Romania'),
(106142, '194.1.170.0', '194.1.171.255', 3254888960, 3254889471, 'RU', 'Russian Federation'),
(106143, '194.1.172.0', '194.1.175.255', 3254889472, 3254890495, 'SK', 'Slovakia'),
(106144, '194.1.176.0', '194.1.176.255', 3254890496, 3254890751, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(106145, '194.1.177.0', '194.1.177.255', 3254890752, 3254891007, 'UA', 'Ukraine'),
(106146, '194.1.178.0', '194.1.179.255', 3254891008, 3254891519, 'RO', 'Romania'),
(106147, '194.1.180.0', '194.1.180.255', 3254891520, 3254891775, 'GB', 'United Kingdom'),
(106148, '194.1.181.0', '194.1.181.255', 3254891776, 3254892031, 'DE', 'Germany'),
(106149, '194.1.182.0', '194.1.182.255', 3254892032, 3254892287, 'GB', 'United Kingdom'),
(106150, '194.1.183.0', '194.1.183.255', 3254892288, 3254892543, 'BE', 'Belgium'),
(106151, '194.1.184.0', '194.1.184.255', 3254892544, 3254892799, 'RU', 'Russian Federation'),
(106152, '194.1.185.0', '194.1.187.255', 3254892800, 3254893567, 'SK', 'Slovakia'),
(106153, '194.1.188.0', '194.1.189.255', 3254893568, 3254894079, 'CZ', 'Czech Republic'),
(106154, '194.1.190.0', '194.1.190.255', 3254894080, 3254894335, 'CH', 'Switzerland'),
(106155, '194.1.191.0', '194.1.191.255', 3254894336, 3254894591, 'SK', 'Slovakia'),
(106156, '194.1.192.0', '194.1.192.255', 3254894592, 3254894847, 'DK', 'Denmark'),
(106157, '194.1.193.0', '194.1.193.255', 3254894848, 3254895103, 'UA', 'Ukraine'),
(106158, '194.1.194.0', '194.1.194.255', 3254895104, 3254895359, 'GB', 'United Kingdom'),
(106159, '194.1.195.0', '194.1.195.255', 3254895360, 3254895615, 'UA', 'Ukraine'),
(106160, '194.1.196.0', '194.1.196.255', 3254895616, 3254895871, 'PL', 'Poland'),
(106161, '194.1.197.0', '194.1.197.255', 3254895872, 3254896127, 'SE', 'Sweden'),
(106162, '194.1.198.0', '194.1.198.255', 3254896128, 3254896383, 'RU', 'Russian Federation'),
(106163, '194.1.199.0', '194.1.199.255', 3254896384, 3254896639, 'PL', 'Poland'),
(106164, '194.1.200.0', '194.1.200.255', 3254896640, 3254896895, 'DK', 'Denmark'),
(106165, '194.1.201.0', '194.1.201.255', 3254896896, 3254897151, 'PL', 'Poland'),
(106166, '194.1.202.0', '194.1.202.255', 3254897152, 3254897407, 'RU', 'Russian Federation'),
(106167, '194.1.203.0', '194.1.203.255', 3254897408, 3254897663, 'FR', 'France'),
(106168, '194.1.204.0', '194.1.204.255', 3254897664, 3254897919, 'NL', 'Netherlands'),
(106169, '194.1.205.0', '194.1.205.255', 3254897920, 3254898175, 'BE', 'Belgium'),
(106170, '194.1.206.0', '194.1.206.255', 3254898176, 3254898431, 'AT', 'Austria'),
(106171, '194.1.207.0', '194.1.207.255', 3254898432, 3254898687, 'DE', 'Germany'),
(106172, '194.1.208.0', '194.1.208.255', 3254898688, 3254898943, 'IT', 'Italy'),
(106173, '194.1.209.0', '194.1.209.255', 3254898944, 3254899199, 'EE', 'Estonia'),
(106174, '194.1.210.0', '194.1.210.255', 3254899200, 3254899455, 'GB', 'United Kingdom'),
(106175, '194.1.211.0', '194.1.212.255', 3254899456, 3254899967, 'SE', 'Sweden'),
(106176, '194.1.213.0', '194.1.214.255', 3254899968, 3254900479, 'RU', 'Russian Federation'),
(106177, '194.1.215.0', '194.1.216.255', 3254900480, 3254900991, 'SK', 'Slovakia'),
(106178, '194.1.217.0', '194.1.217.255', 3254900992, 3254901247, 'PL', 'Poland'),
(106179, '194.1.218.0', '194.1.218.255', 3254901248, 3254901503, 'SK', 'Slovakia'),
(106180, '194.1.219.0', '194.1.219.255', 3254901504, 3254901759, 'DK', 'Denmark'),
(106181, '194.1.220.0', '194.1.221.255', 3254901760, 3254902271, 'UA', 'Ukraine'),
(106182, '194.1.222.0', '194.1.231.255', 3254902272, 3254904831, 'SK', 'Slovakia'),
(106183, '194.1.232.0', '194.1.243.255', 3254904832, 3254907903, 'RU', 'Russian Federation'),
(106184, '194.1.244.0', '194.1.244.255', 3254907904, 3254908159, 'SK', 'Slovakia'),
(106185, '194.1.245.0', '194.1.245.255', 3254908160, 3254908415, 'CH', 'Switzerland'),
(106186, '194.1.246.0', '194.1.246.255', 3254908416, 3254908671, 'PL', 'Poland'),
(106187, '194.1.247.0', '194.1.247.255', 3254908672, 3254908927, 'MT', 'Malta'),
(106188, '194.1.248.0', '194.1.251.255', 3254908928, 3254909951, 'RU', 'Russian Federation'),
(106189, '194.1.252.0', '194.1.254.255', 3254909952, 3254910719, 'PL', 'Poland'),
(106190, '194.1.255.0', '194.1.255.255', 3254910720, 3254910975, 'HR', 'Croatia'),
(106191, '194.2.0.0', '194.2.59.199', 3254910976, 3254926279, 'FR', 'France'),
(106192, '194.2.59.200', '194.2.59.207', 3254926280, 3254926287, 'GB', 'United Kingdom'),
(106193, '194.2.59.208', '194.2.105.143', 3254926288, 3254937999, 'FR', 'France'),
(106194, '194.2.105.144', '194.2.105.151', 3254938000, 3254938007, 'GB', 'United Kingdom'),
(106195, '194.2.105.152', '194.2.190.7', 3254938008, 3254959623, 'FR', 'France'),
(106196, '194.2.190.8', '194.2.190.15', 3254959624, 3254959631, 'A2', 'Satellite Provider'),
(106197, '194.2.190.16', '194.3.71.46', 3254959632, 3254994734, 'FR', 'France'),
(106198, '194.3.71.47', '194.3.71.47', 3254994735, 3254994735, 'BE', 'Belgium'),
(106199, '194.3.71.48', '194.3.91.245', 3254994736, 3255000053, 'FR', 'France'),
(106200, '194.3.91.246', '194.3.91.246', 3255000054, 3255000054, 'A2', 'Satellite Provider'),
(106201, '194.3.91.247', '194.3.117.255', 3255000055, 3255006719, 'FR', 'France'),
(106202, '194.3.118.0', '194.3.118.255', 3255006720, 3255006975, 'A2', 'Satellite Provider'),
(106203, '194.3.119.0', '194.3.160.176', 3255006976, 3255017648, 'FR', 'France'),
(106204, '194.3.160.177', '194.3.160.177', 3255017649, 3255017649, 'LB', 'Lebanon'),
(106205, '194.3.160.178', '194.5.50.255', 3255017650, 3255120639, 'FR', 'France'),
(106206, '194.5.51.0', '194.5.51.255', 3255120640, 3255120895, 'DE', 'Germany'),
(106207, '194.5.52.0', '194.5.62.255', 3255120896, 3255123711, 'FR', 'France'),
(106208, '194.5.63.0', '194.5.63.255', 3255123712, 3255123967, 'DE', 'Germany'),
(106209, '194.5.64.0', '194.5.86.255', 3255123968, 3255129855, 'FR', 'France'),
(106210, '194.5.87.0', '194.5.87.255', 3255129856, 3255130111, 'HR', 'Croatia'),
(106211, '194.5.88.0', '194.5.252.255', 3255130112, 3255172351, 'FR', 'France'),
(106212, '194.5.253.0', '194.5.253.255', 3255172352, 3255172607, 'DE', 'Germany'),
(106213, '194.5.254.0', '194.5.255.255', 3255172608, 3255173119, 'FR', 'France'),
(106214, '194.6.0.0', '194.6.1.255', 3255173120, 3255173631, 'SH', 'Saint Helena'),
(106215, '194.6.2.0', '194.6.2.15', 3255173632, 3255173647, 'EU', 'Europe'),
(106216, '194.6.2.16', '194.6.2.79', 3255173648, 3255173711, 'GB', 'United Kingdom'),
(106217, '194.6.2.80', '194.6.2.127', 3255173712, 3255173759, 'EU', 'Europe'),
(106218, '194.6.2.128', '194.6.2.191', 3255173760, 3255173823, 'GB', 'United Kingdom'),
(106219, '194.6.2.192', '194.6.2.207', 3255173824, 3255173839, 'EU', 'Europe'),
(106220, '194.6.2.208', '194.6.4.7', 3255173840, 3255174151, 'GB', 'United Kingdom'),
(106221, '194.6.4.8', '194.6.4.15', 3255174152, 3255174159, 'EU', 'Europe'),
(106222, '194.6.4.16', '194.6.4.23', 3255174160, 3255174167, 'GB', 'United Kingdom'),
(106223, '194.6.4.24', '194.6.4.55', 3255174168, 3255174199, 'EU', 'Europe'),
(106224, '194.6.4.56', '194.6.4.63', 3255174200, 3255174207, 'GB', 'United Kingdom'),
(106225, '194.6.4.64', '194.6.4.71', 3255174208, 3255174215, 'EU', 'Europe'),
(106226, '194.6.4.72', '194.6.4.103', 3255174216, 3255174247, 'GB', 'United Kingdom'),
(106227, '194.6.4.104', '194.6.4.127', 3255174248, 3255174271, 'EU', 'Europe'),
(106228, '194.6.4.128', '194.6.4.135', 3255174272, 3255174279, 'GB', 'United Kingdom'),
(106229, '194.6.4.136', '194.6.4.167', 3255174280, 3255174311, 'EU', 'Europe'),
(106230, '194.6.4.168', '194.6.4.175', 3255174312, 3255174319, 'GB', 'United Kingdom'),
(106231, '194.6.4.176', '194.6.4.183', 3255174320, 3255174327, 'EU', 'Europe'),
(106232, '194.6.4.184', '194.6.4.191', 3255174328, 3255174335, 'GB', 'United Kingdom'),
(106233, '194.6.4.192', '194.6.4.231', 3255174336, 3255174375, 'EU', 'Europe'),
(106234, '194.6.4.232', '194.6.4.239', 3255174376, 3255174383, 'GB', 'United Kingdom'),
(106235, '194.6.4.240', '194.6.4.255', 3255174384, 3255174399, 'EU', 'Europe'),
(106236, '194.6.5.0', '194.6.7.255', 3255174400, 3255175167, 'GB', 'United Kingdom'),
(106237, '194.6.8.0', '194.6.8.31', 3255175168, 3255175199, 'EU', 'Europe'),
(106238, '194.6.8.32', '194.6.8.63', 3255175200, 3255175231, 'GB', 'United Kingdom'),
(106239, '194.6.8.64', '194.6.8.79', 3255175232, 3255175247, 'EU', 'Europe'),
(106240, '194.6.8.80', '194.6.8.95', 3255175248, 3255175263, 'GB', 'United Kingdom'),
(106241, '194.6.8.96', '194.6.8.111', 3255175264, 3255175279, 'EU', 'Europe'),
(106242, '194.6.8.112', '194.6.8.127', 3255175280, 3255175295, 'GB', 'United Kingdom'),
(106243, '194.6.8.128', '194.6.8.143', 3255175296, 3255175311, 'EU', 'Europe'),
(106244, '194.6.8.144', '194.6.8.159', 3255175312, 3255175327, 'GB', 'United Kingdom'),
(106245, '194.6.8.160', '194.6.9.7', 3255175328, 3255175431, 'EU', 'Europe'),
(106246, '194.6.9.8', '194.6.9.23', 3255175432, 3255175447, 'GB', 'United Kingdom'),
(106247, '194.6.9.24', '194.6.9.31', 3255175448, 3255175455, 'EU', 'Europe'),
(106248, '194.6.9.32', '194.6.9.79', 3255175456, 3255175503, 'GB', 'United Kingdom'),
(106249, '194.6.9.80', '194.6.9.87', 3255175504, 3255175511, 'EU', 'Europe'),
(106250, '194.6.9.88', '194.6.9.111', 3255175512, 3255175535, 'GB', 'United Kingdom'),
(106251, '194.6.9.112', '194.6.9.127', 3255175536, 3255175551, 'EU', 'Europe'),
(106252, '194.6.9.128', '194.6.9.135', 3255175552, 3255175559, 'GB', 'United Kingdom'),
(106253, '194.6.9.136', '194.6.9.167', 3255175560, 3255175591, 'EU', 'Europe'),
(106254, '194.6.9.168', '194.6.9.183', 3255175592, 3255175607, 'GB', 'United Kingdom'),
(106255, '194.6.9.184', '194.6.9.255', 3255175608, 3255175679, 'EU', 'Europe'),
(106256, '194.6.10.0', '194.6.10.255', 3255175680, 3255175935, 'GB', 'United Kingdom'),
(106257, '194.6.11.0', '194.6.11.255', 3255175936, 3255176191, 'EU', 'Europe'),
(106258, '194.6.12.0', '194.6.15.255', 3255176192, 3255177215, 'GB', 'United Kingdom'),
(106259, '194.6.16.0', '194.6.16.255', 3255177216, 3255177471, 'EU', 'Europe'),
(106260, '194.6.17.0', '194.6.18.127', 3255177472, 3255177855, 'GB', 'United Kingdom'),
(106261, '194.6.18.128', '194.6.18.255', 3255177856, 3255177983, 'EU', 'Europe'),
(106262, '194.6.19.0', '194.6.54.255', 3255177984, 3255187199, 'GB', 'United Kingdom'),
(106263, '194.6.55.0', '194.6.55.255', 3255187200, 3255187455, 'DE', 'Germany'),
(106264, '194.6.56.0', '194.6.56.255', 3255187456, 3255187711, 'GB', 'United Kingdom'),
(106265, '194.6.57.0', '194.6.59.255', 3255187712, 3255188479, 'EU', 'Europe'),
(106266, '194.6.60.0', '194.6.72.255', 3255188480, 3255191807, 'GB', 'United Kingdom'),
(106267, '194.6.73.0', '194.6.74.255', 3255191808, 3255192319, 'EU', 'Europe'),
(106268, '194.6.75.0', '194.6.81.7', 3255192320, 3255193863, 'GB', 'United Kingdom'),
(106269, '194.6.81.8', '194.6.81.31', 3255193864, 3255193887, 'EU', 'Europe'),
(106270, '194.6.81.32', '194.6.81.103', 3255193888, 3255193959, 'GB', 'United Kingdom'),
(106271, '194.6.81.104', '194.6.81.111', 3255193960, 3255193967, 'EU', 'Europe'),
(106272, '194.6.81.112', '194.6.81.119', 3255193968, 3255193975, 'GB', 'United Kingdom'),
(106273, '194.6.81.120', '194.6.81.127', 3255193976, 3255193983, 'GI', 'Gibraltar'),
(106274, '194.6.81.128', '194.6.81.143', 3255193984, 3255193999, 'GB', 'United Kingdom'),
(106275, '194.6.81.144', '194.6.81.159', 3255194000, 3255194015, 'EU', 'Europe'),
(106276, '194.6.81.160', '194.6.81.183', 3255194016, 3255194039, 'GB', 'United Kingdom'),
(106277, '194.6.81.184', '194.6.81.199', 3255194040, 3255194055, 'EU', 'Europe'),
(106278, '194.6.81.200', '194.6.81.207', 3255194056, 3255194063, 'GB', 'United Kingdom'),
(106279, '194.6.81.208', '194.6.81.215', 3255194064, 3255194071, 'EU', 'Europe'),
(106280, '194.6.81.216', '194.6.83.63', 3255194072, 3255194431, 'GB', 'United Kingdom'),
(106281, '194.6.83.64', '194.6.83.127', 3255194432, 3255194495, 'EU', 'Europe'),
(106282, '194.6.83.128', '194.6.83.191', 3255194496, 3255194559, 'GB', 'United Kingdom'),
(106283, '194.6.83.192', '194.6.83.255', 3255194560, 3255194623, 'EU', 'Europe'),
(106284, '194.6.84.0', '194.6.84.79', 3255194624, 3255194703, 'GB', 'United Kingdom'),
(106285, '194.6.84.80', '194.6.84.95', 3255194704, 3255194719, 'EU', 'Europe'),
(106286, '194.6.84.96', '194.6.84.191', 3255194720, 3255194815, 'GB', 'United Kingdom'),
(106287, '194.6.84.192', '194.6.84.255', 3255194816, 3255194879, 'EU', 'Europe'),
(106288, '194.6.85.0', '194.6.127.255', 3255194880, 3255205887, 'GB', 'United Kingdom'),
(106289, '194.6.128.0', '194.6.159.255', 3255205888, 3255214079, 'FR', 'France'),
(106290, '194.6.160.0', '194.6.191.255', 3255214080, 3255222271, 'CH', 'Switzerland'),
(106291, '194.6.192.0', '194.6.195.255', 3255222272, 3255223295, 'DE', 'Germany'),
(106292, '194.6.196.0', '194.6.199.255', 3255223296, 3255224319, 'RU', 'Russian Federation'),
(106293, '194.6.200.0', '194.6.203.255', 3255224320, 3255225343, 'RO', 'Romania'),
(106294, '194.6.204.0', '194.6.207.255', 3255225344, 3255226367, 'PL', 'Poland'),
(106295, '194.6.208.0', '194.6.211.255', 3255226368, 3255227391, 'DE', 'Germany'),
(106296, '194.6.212.0', '194.6.215.255', 3255227392, 3255228415, 'RO', 'Romania'),
(106297, '194.6.216.0', '194.6.223.255', 3255228416, 3255230463, 'RU', 'Russian Federation'),
(106298, '194.6.224.0', '194.6.224.255', 3255230464, 3255230719, 'MA', 'Morocco'),
(106299, '194.6.225.0', '194.6.225.255', 3255230720, 3255230975, 'PS', 'Palestinian Territory, Occupied'),
(106300, '194.6.226.0', '194.6.226.255', 3255230976, 3255231231, 'DE', 'Germany'),
(106301, '194.6.227.0', '194.6.227.255', 3255231232, 3255231487, 'BE', 'Belgium'),
(106302, '194.6.228.0', '194.6.228.255', 3255231488, 3255231743, 'DE', 'Germany'),
(106303, '194.6.229.0', '194.6.229.255', 3255231744, 3255231999, 'PT', 'Portugal'),
(106304, '194.6.230.0', '194.6.230.255', 3255232000, 3255232255, 'RO', 'Romania'),
(106305, '194.6.231.0', '194.6.233.255', 3255232256, 3255233023, 'UA', 'Ukraine'),
(106306, '194.6.234.0', '194.6.234.255', 3255233024, 3255233279, 'DE', 'Germany'),
(106307, '194.6.235.0', '194.6.235.255', 3255233280, 3255233535, 'GB', 'United Kingdom'),
(106308, '194.6.236.0', '194.6.236.255', 3255233536, 3255233791, 'SE', 'Sweden'),
(106309, '194.6.237.0', '194.6.237.255', 3255233792, 3255234047, 'SI', 'Slovenia'),
(106310, '194.6.238.0', '194.6.238.255', 3255234048, 3255234303, 'NO', 'Norway'),
(106311, '194.6.239.0', '194.6.239.255', 3255234304, 3255234559, 'DE', 'Germany'),
(106312, '194.6.240.0', '194.6.240.255', 3255234560, 3255234815, 'FR', 'France'),
(106313, '194.6.241.0', '194.6.241.255', 3255234816, 3255235071, 'PL', 'Poland'),
(106314, '194.6.242.0', '194.6.242.255', 3255235072, 3255235327, 'SI', 'Slovenia'),
(106315, '194.6.243.0', '194.6.243.255', 3255235328, 3255235583, 'SE', 'Sweden'),
(106316, '194.6.244.0', '194.6.244.255', 3255235584, 3255235839, 'GB', 'United Kingdom'),
(106317, '194.6.245.0', '194.6.246.255', 3255235840, 3255236351, 'PL', 'Poland'),
(106318, '194.6.247.0', '194.6.247.255', 3255236352, 3255236607, 'IT', 'Italy'),
(106319, '194.6.248.0', '194.6.248.255', 3255236608, 3255236863, 'GB', 'United Kingdom'),
(106320, '194.6.249.0', '194.6.249.255', 3255236864, 3255237119, 'DE', 'Germany'),
(106321, '194.6.250.0', '194.6.250.255', 3255237120, 3255237375, 'AT', 'Austria'),
(106322, '194.6.251.0', '194.6.252.255', 3255237376, 3255237887, 'SE', 'Sweden'),
(106323, '194.6.253.0', '194.6.253.255', 3255237888, 3255238143, 'ES', 'Spain'),
(106324, '194.6.254.0', '194.6.254.255', 3255238144, 3255238399, 'GB', 'United Kingdom'),
(106325, '194.6.255.0', '194.6.255.255', 3255238400, 3255238655, 'QA', 'Qatar'),
(106326, '194.7.0.0', '194.7.19.159', 3255238656, 3255243679, 'BE', 'Belgium'),
(106327, '194.7.19.160', '194.7.19.191', 3255243680, 3255243711, 'LU', 'Luxembourg'),
(106328, '194.7.19.192', '194.7.27.31', 3255243712, 3255245599, 'BE', 'Belgium'),
(106329, '194.7.27.32', '194.7.27.63', 3255245600, 3255245631, 'LU', 'Luxembourg'),
(106330, '194.7.27.64', '194.7.27.87', 3255245632, 3255245655, 'BE', 'Belgium'),
(106331, '194.7.27.88', '194.7.27.95', 3255245656, 3255245663, 'LU', 'Luxembourg'),
(106332, '194.7.27.96', '194.7.27.119', 3255245664, 3255245687, 'BE', 'Belgium'),
(106333, '194.7.27.120', '194.7.27.127', 3255245688, 3255245695, 'LU', 'Luxembourg'),
(106334, '194.7.27.128', '194.7.30.255', 3255245696, 3255246591, 'BE', 'Belgium'),
(106335, '194.7.31.0', '194.7.31.31', 3255246592, 3255246623, 'LU', 'Luxembourg'),
(106336, '194.7.31.32', '194.7.34.95', 3255246624, 3255247455, 'BE', 'Belgium'),
(106337, '194.7.34.96', '194.7.34.127', 3255247456, 3255247487, 'LU', 'Luxembourg'),
(106338, '194.7.34.128', '194.7.34.255', 3255247488, 3255247615, 'BE', 'Belgium'),
(106339, '194.7.35.0', '194.7.35.15', 3255247616, 3255247631, 'LU', 'Luxembourg'),
(106340, '194.7.35.16', '194.7.35.31', 3255247632, 3255247647, 'BE', 'Belgium'),
(106341, '194.7.35.32', '194.7.35.47', 3255247648, 3255247663, 'LU', 'Luxembourg'),
(106342, '194.7.35.48', '194.7.36.255', 3255247664, 3255248127, 'BE', 'Belgium'),
(106343, '194.7.37.0', '194.7.37.255', 3255248128, 3255248383, 'LU', 'Luxembourg'),
(106344, '194.7.38.0', '194.7.41.143', 3255248384, 3255249295, 'BE', 'Belgium'),
(106345, '194.7.41.144', '194.7.41.159', 3255249296, 3255249311, 'LU', 'Luxembourg'),
(106346, '194.7.41.160', '194.7.44.15', 3255249312, 3255249935, 'BE', 'Belgium'),
(106347, '194.7.44.16', '194.7.44.31', 3255249936, 3255249951, 'LU', 'Luxembourg'),
(106348, '194.7.44.32', '194.7.44.159', 3255249952, 3255250079, 'BE', 'Belgium'),
(106349, '194.7.44.160', '194.7.44.191', 3255250080, 3255250111, 'LU', 'Luxembourg'),
(106350, '194.7.44.192', '194.7.47.127', 3255250112, 3255250815, 'BE', 'Belgium'),
(106351, '194.7.47.128', '194.7.47.191', 3255250816, 3255250879, 'LU', 'Luxembourg'),
(106352, '194.7.47.192', '194.7.54.7', 3255250880, 3255252487, 'BE', 'Belgium'),
(106353, '194.7.54.8', '194.7.54.15', 3255252488, 3255252495, 'FR', 'France'),
(106354, '194.7.54.16', '194.7.54.47', 3255252496, 3255252527, 'BE', 'Belgium'),
(106355, '194.7.54.48', '194.7.54.63', 3255252528, 3255252543, 'LU', 'Luxembourg'),
(106356, '194.7.54.64', '194.7.55.63', 3255252544, 3255252799, 'BE', 'Belgium'),
(106357, '194.7.55.64', '194.7.55.127', 3255252800, 3255252863, 'LU', 'Luxembourg'),
(106358, '194.7.55.128', '194.7.63.63', 3255252864, 3255254847, 'BE', 'Belgium'),
(106359, '194.7.63.64', '194.7.63.95', 3255254848, 3255254879, 'LU', 'Luxembourg'),
(106360, '194.7.63.96', '194.7.66.199', 3255254880, 3255255751, 'BE', 'Belgium'),
(106361, '194.7.66.200', '194.7.66.207', 3255255752, 3255255759, 'DK', 'Denmark'),
(106362, '194.7.66.208', '194.7.68.255', 3255255760, 3255256319, 'BE', 'Belgium'),
(106363, '194.7.69.0', '194.7.69.255', 3255256320, 3255256575, 'LU', 'Luxembourg'),
(106364, '194.7.70.0', '194.7.80.63', 3255256576, 3255259199, 'BE', 'Belgium'),
(106365, '194.7.80.64', '194.7.80.79', 3255259200, 3255259215, 'LU', 'Luxembourg'),
(106366, '194.7.80.80', '194.7.80.191', 3255259216, 3255259327, 'BE', 'Belgium'),
(106367, '194.7.80.192', '194.7.80.223', 3255259328, 3255259359, 'LU', 'Luxembourg'),
(106368, '194.7.80.224', '194.7.83.15', 3255259360, 3255259919, 'BE', 'Belgium'),
(106369, '194.7.83.16', '194.7.83.23', 3255259920, 3255259927, 'LU', 'Luxembourg'),
(106370, '194.7.83.24', '194.7.83.191', 3255259928, 3255260095, 'BE', 'Belgium'),
(106371, '194.7.83.192', '194.7.83.223', 3255260096, 3255260127, 'LU', 'Luxembourg'),
(106372, '194.7.83.224', '194.7.84.159', 3255260128, 3255260319, 'BE', 'Belgium'),
(106373, '194.7.84.160', '194.7.84.175', 3255260320, 3255260335, 'LU', 'Luxembourg'),
(106374, '194.7.84.176', '194.7.84.183', 3255260336, 3255260343, 'BE', 'Belgium'),
(106375, '194.7.84.184', '194.7.84.187', 3255260344, 3255260347, 'LU', 'Luxembourg'),
(106376, '194.7.84.188', '194.7.89.31', 3255260348, 3255261471, 'BE', 'Belgium'),
(106377, '194.7.89.32', '194.7.89.95', 3255261472, 3255261535, 'LU', 'Luxembourg'),
(106378, '194.7.89.96', '194.7.94.79', 3255261536, 3255262799, 'BE', 'Belgium'),
(106379, '194.7.94.80', '194.7.94.95', 3255262800, 3255262815, 'LU', 'Luxembourg'),
(106380, '194.7.94.96', '194.7.96.63', 3255262816, 3255263295, 'BE', 'Belgium'),
(106381, '194.7.96.64', '194.7.96.95', 3255263296, 3255263327, 'US', 'United States'),
(106382, '194.7.96.96', '194.7.101.31', 3255263328, 3255264543, 'BE', 'Belgium'),
(106383, '194.7.101.32', '194.7.101.63', 3255264544, 3255264575, 'LU', 'Luxembourg'),
(106384, '194.7.101.64', '194.7.101.191', 3255264576, 3255264703, 'BE', 'Belgium'),
(106385, '194.7.101.192', '194.7.101.223', 3255264704, 3255264735, 'LU', 'Luxembourg'),
(106386, '194.7.101.224', '194.7.102.239', 3255264736, 3255265007, 'BE', 'Belgium'),
(106387, '194.7.102.240', '194.7.102.255', 3255265008, 3255265023, 'LU', 'Luxembourg'),
(106388, '194.7.103.0', '194.7.124.31', 3255265024, 3255270431, 'BE', 'Belgium'),
(106389, '194.7.124.32', '194.7.124.63', 3255270432, 3255270463, 'FR', 'France'),
(106390, '194.7.124.64', '194.7.129.127', 3255270464, 3255271807, 'BE', 'Belgium'),
(106391, '194.7.129.128', '194.7.129.159', 3255271808, 3255271839, 'LU', 'Luxembourg'),
(106392, '194.7.129.160', '194.7.137.127', 3255271840, 3255273855, 'BE', 'Belgium'),
(106393, '194.7.137.128', '194.7.137.159', 3255273856, 3255273887, 'LU', 'Luxembourg'),
(106394, '194.7.137.160', '194.7.138.223', 3255273888, 3255274207, 'BE', 'Belgium'),
(106395, '194.7.138.224', '194.7.138.255', 3255274208, 3255274239, 'LU', 'Luxembourg'),
(106396, '194.7.139.0', '194.7.139.95', 3255274240, 3255274335, 'BE', 'Belgium'),
(106397, '194.7.139.96', '194.7.139.127', 3255274336, 3255274367, 'LU', 'Luxembourg'),
(106398, '194.7.139.128', '194.7.141.95', 3255274368, 3255274847, 'BE', 'Belgium'),
(106399, '194.7.141.96', '194.7.141.127', 3255274848, 3255274879, 'LU', 'Luxembourg'),
(106400, '194.7.141.128', '194.7.141.159', 3255274880, 3255274911, 'BE', 'Belgium'),
(106401, '194.7.141.160', '194.7.141.191', 3255274912, 3255274943, 'LU', 'Luxembourg'),
(106402, '194.7.141.192', '194.7.146.191', 3255274944, 3255276223, 'BE', 'Belgium'),
(106403, '194.7.146.192', '194.7.146.223', 3255276224, 3255276255, 'FR', 'France'),
(106404, '194.7.146.224', '194.7.148.31', 3255276256, 3255276575, 'BE', 'Belgium'),
(106405, '194.7.148.32', '194.7.148.63', 3255276576, 3255276607, 'LU', 'Luxembourg'),
(106406, '194.7.148.64', '194.7.148.127', 3255276608, 3255276671, 'BE', 'Belgium'),
(106407, '194.7.148.128', '194.7.148.159', 3255276672, 3255276703, 'LU', 'Luxembourg'),
(106408, '194.7.148.160', '194.7.148.239', 3255276704, 3255276783, 'BE', 'Belgium'),
(106409, '194.7.148.240', '194.7.148.255', 3255276784, 3255276799, 'LU', 'Luxembourg'),
(106410, '194.7.149.0', '194.7.150.191', 3255276800, 3255277247, 'BE', 'Belgium'),
(106411, '194.7.150.192', '194.7.150.199', 3255277248, 3255277255, 'LU', 'Luxembourg'),
(106412, '194.7.150.200', '194.7.153.131', 3255277256, 3255277955, 'BE', 'Belgium'),
(106413, '194.7.153.132', '194.7.153.135', 3255277956, 3255277959, 'LU', 'Luxembourg'),
(106414, '194.7.153.136', '194.7.153.223', 3255277960, 3255278047, 'BE', 'Belgium'),
(106415, '194.7.153.224', '194.7.153.239', 3255278048, 3255278063, 'LU', 'Luxembourg'),
(106416, '194.7.153.240', '194.7.156.15', 3255278064, 3255278607, 'BE', 'Belgium'),
(106417, '194.7.156.16', '194.7.156.31', 3255278608, 3255278623, 'LU', 'Luxembourg'),
(106418, '194.7.156.32', '194.7.157.159', 3255278624, 3255279007, 'BE', 'Belgium'),
(106419, '194.7.157.160', '194.7.157.191', 3255279008, 3255279039, 'LU', 'Luxembourg'),
(106420, '194.7.157.192', '194.7.157.239', 3255279040, 3255279087, 'BE', 'Belgium'),
(106421, '194.7.157.240', '194.7.157.255', 3255279088, 3255279103, 'LU', 'Luxembourg'),
(106422, '194.7.158.0', '194.7.160.23', 3255279104, 3255279639, 'BE', 'Belgium'),
(106423, '194.7.160.24', '194.7.160.31', 3255279640, 3255279647, 'LU', 'Luxembourg'),
(106424, '194.7.160.32', '194.7.161.159', 3255279648, 3255280031, 'BE', 'Belgium'),
(106425, '194.7.161.160', '194.7.161.167', 3255280032, 3255280039, 'LU', 'Luxembourg'),
(106426, '194.7.161.168', '194.7.161.175', 3255280040, 3255280047, 'BE', 'Belgium'),
(106427, '194.7.161.176', '194.7.161.183', 3255280048, 3255280055, 'LU', 'Luxembourg'),
(106428, '194.7.161.184', '194.7.166.255', 3255280056, 3255281407, 'BE', 'Belgium'),
(106429, '194.7.167.0', '194.7.167.31', 3255281408, 3255281439, 'LU', 'Luxembourg'),
(106430, '194.7.167.32', '194.7.168.95', 3255281440, 3255281759, 'BE', 'Belgium'),
(106431, '194.7.168.96', '194.7.168.127', 3255281760, 3255281791, 'LU', 'Luxembourg'),
(106432, '194.7.168.128', '194.7.174.215', 3255281792, 3255283415, 'BE', 'Belgium'),
(106433, '194.7.174.216', '194.7.174.223', 3255283416, 3255283423, 'LU', 'Luxembourg'),
(106434, '194.7.174.224', '194.7.176.215', 3255283424, 3255283927, 'BE', 'Belgium'),
(106435, '194.7.176.216', '194.7.176.219', 3255283928, 3255283931, 'LU', 'Luxembourg'),
(106436, '194.7.176.220', '194.7.178.15', 3255283932, 3255284239, 'BE', 'Belgium'),
(106437, '194.7.178.16', '194.7.178.31', 3255284240, 3255284255, 'LU', 'Luxembourg'),
(106438, '194.7.178.32', '194.7.183.31', 3255284256, 3255285535, 'BE', 'Belgium'),
(106439, '194.7.183.32', '194.7.183.63', 3255285536, 3255285567, 'LU', 'Luxembourg'),
(106440, '194.7.183.64', '194.7.185.79', 3255285568, 3255286095, 'BE', 'Belgium'),
(106441, '194.7.185.80', '194.7.185.87', 3255286096, 3255286103, 'DK', 'Denmark'),
(106442, '194.7.185.88', '194.7.185.95', 3255286104, 3255286111, 'LU', 'Luxembourg'),
(106443, '194.7.185.96', '194.7.186.7', 3255286112, 3255286279, 'BE', 'Belgium'),
(106444, '194.7.186.8', '194.7.186.15', 3255286280, 3255286287, 'LU', 'Luxembourg'),
(106445, '194.7.186.16', '194.7.195.159', 3255286288, 3255288735, 'BE', 'Belgium'),
(106446, '194.7.195.160', '194.7.195.223', 3255288736, 3255288799, 'LU', 'Luxembourg'),
(106447, '194.7.195.224', '194.7.195.255', 3255288800, 3255288831, 'BE', 'Belgium'),
(106448, '194.7.196.0', '194.7.196.255', 3255288832, 3255289087, 'LU', 'Luxembourg'),
(106449, '194.7.197.0', '194.7.201.31', 3255289088, 3255290143, 'BE', 'Belgium'),
(106450, '194.7.201.32', '194.7.201.63', 3255290144, 3255290175, 'LU', 'Luxembourg'),
(106451, '194.7.201.64', '194.7.201.159', 3255290176, 3255290271, 'BE', 'Belgium'),
(106452, '194.7.201.160', '194.7.201.175', 3255290272, 3255290287, 'LU', 'Luxembourg'),
(106453, '194.7.201.176', '194.7.203.255', 3255290288, 3255290879, 'BE', 'Belgium'),
(106454, '194.7.204.0', '194.7.205.255', 3255290880, 3255291391, 'LU', 'Luxembourg'),
(106455, '194.7.206.0', '194.7.206.7', 3255291392, 3255291399, 'BE', 'Belgium'),
(106456, '194.7.206.8', '194.7.206.31', 3255291400, 3255291423, 'LU', 'Luxembourg'),
(106457, '194.7.206.32', '194.7.206.223', 3255291424, 3255291615, 'BE', 'Belgium'),
(106458, '194.7.206.224', '194.7.206.231', 3255291616, 3255291623, 'LU', 'Luxembourg'),
(106459, '194.7.206.232', '194.7.208.79', 3255291624, 3255291983, 'BE', 'Belgium'),
(106460, '194.7.208.80', '194.7.208.95', 3255291984, 3255291999, 'LU', 'Luxembourg'),
(106461, '194.7.208.96', '194.7.209.151', 3255292000, 3255292311, 'BE', 'Belgium'),
(106462, '194.7.209.152', '194.7.209.159', 3255292312, 3255292319, 'LU', 'Luxembourg'),
(106463, '194.7.209.160', '194.7.227.247', 3255292320, 3255297015, 'BE', 'Belgium'),
(106464, '194.7.227.248', '194.7.227.255', 3255297016, 3255297023, 'HU', 'Hungary'),
(106465, '194.7.228.0', '194.7.242.195', 3255297024, 3255300803, 'BE', 'Belgium'),
(106466, '194.7.242.196', '194.7.242.199', 3255300804, 3255300807, 'LU', 'Luxembourg'),
(106467, '194.7.242.200', '194.7.255.255', 3255300808, 3255304191, 'BE', 'Belgium'),
(106468, '194.8.0.0', '194.8.0.255', 3255304192, 3255304447, 'DE', 'Germany'),
(106469, '194.8.1.0', '194.8.3.255', 3255304448, 3255305215, 'LV', 'Latvia'),
(106470, '194.8.4.0', '194.8.4.255', 3255305216, 3255305471, 'BG', 'Bulgaria'),
(106471, '194.8.5.0', '194.8.13.255', 3255305472, 3255307775, 'LV', 'Latvia'),
(106472, '194.8.14.0', '194.8.14.255', 3255307776, 3255308031, 'PL', 'Poland'),
(106473, '194.8.15.0', '194.8.15.255', 3255308032, 3255308287, 'CH', 'Switzerland'),
(106474, '194.8.16.0', '194.8.27.255', 3255308288, 3255311359, 'LV', 'Latvia'),
(106475, '194.8.28.0', '194.8.28.255', 3255311360, 3255311615, 'GB', 'United Kingdom'),
(106476, '194.8.29.0', '194.8.29.255', 3255311616, 3255311871, 'SE', 'Sweden'),
(106477, '194.8.30.0', '194.8.30.255', 3255311872, 3255312127, 'PT', 'Portugal'),
(106478, '194.8.31.0', '194.8.31.255', 3255312128, 3255312383, 'SE', 'Sweden'),
(106479, '194.8.32.0', '194.8.44.255', 3255312384, 3255315711, 'LV', 'Latvia'),
(106480, '194.8.45.0', '194.8.46.255', 3255315712, 3255316223, 'PL', 'Poland'),
(106481, '194.8.47.0', '194.8.47.255', 3255316224, 3255316479, 'RU', 'Russian Federation'),
(106482, '194.8.48.0', '194.8.48.255', 3255316480, 3255316735, 'GB', 'United Kingdom'),
(106483, '194.8.49.0', '194.8.49.255', 3255316736, 3255316991, 'EU', 'Europe'),
(106484, '194.8.50.0', '194.8.50.255', 3255316992, 3255317247, 'FR', 'France'),
(106485, '194.8.51.0', '194.8.51.255', 3255317248, 3255317503, 'UA', 'Ukraine'),
(106486, '194.8.52.0', '194.8.52.255', 3255317504, 3255317759, 'BE', 'Belgium'),
(106487, '194.8.53.0', '194.8.53.255', 3255317760, 3255318015, 'BG', 'Bulgaria'),
(106488, '194.8.54.0', '194.8.54.255', 3255318016, 3255318271, 'GB', 'United Kingdom'),
(106489, '194.8.55.0', '194.8.55.255', 3255318272, 3255318527, 'RU', 'Russian Federation'),
(106490, '194.8.56.0', '194.8.56.255', 3255318528, 3255318783, 'UA', 'Ukraine'),
(106491, '194.8.57.0', '194.8.58.255', 3255318784, 3255319295, 'DE', 'Germany'),
(106492, '194.8.59.0', '194.8.59.255', 3255319296, 3255319551, 'UA', 'Ukraine'),
(106493, '194.8.60.0', '194.8.60.255', 3255319552, 3255319807, 'BG', 'Bulgaria'),
(106494, '194.8.61.0', '194.8.61.255', 3255319808, 3255320063, 'AT', 'Austria'),
(106495, '194.8.62.0', '194.8.62.255', 3255320064, 3255320319, 'BE', 'Belgium'),
(106496, '194.8.63.0', '194.8.63.255', 3255320320, 3255320575, 'AT', 'Austria'),
(106497, '194.8.64.0', '194.8.65.255', 3255320576, 3255321087, 'UA', 'Ukraine'),
(106498, '194.8.66.0', '194.8.69.255', 3255321088, 3255322111, 'PL', 'Poland'),
(106499, '194.8.70.0', '194.8.73.255', 3255322112, 3255323135, 'RU', 'Russian Federation'),
(106500, '194.8.74.0', '194.8.75.255', 3255323136, 3255323647, 'GB', 'United Kingdom'),
(106501, '194.8.76.0', '194.8.77.255', 3255323648, 3255324159, 'IL', 'Israel'),
(106502, '194.8.78.0', '194.8.79.255', 3255324160, 3255324671, 'CH', 'Switzerland'),
(106503, '194.8.80.0', '194.8.83.255', 3255324672, 3255325695, 'RO', 'Romania'),
(106504, '194.8.84.0', '194.8.85.255', 3255325696, 3255326207, 'RU', 'Russian Federation'),
(106505, '194.8.86.0', '194.8.87.255', 3255326208, 3255326719, 'DE', 'Germany'),
(106506, '194.8.88.0', '194.8.89.255', 3255326720, 3255327231, 'IL', 'Israel'),
(106507, '194.8.90.0', '194.8.91.255', 3255327232, 3255327743, 'DE', 'Germany'),
(106508, '194.8.92.0', '194.8.93.255', 3255327744, 3255328255, 'GB', 'United Kingdom'),
(106509, '194.8.94.0', '194.8.95.255', 3255328256, 3255328767, 'SI', 'Slovenia'),
(106510, '194.8.96.0', '194.8.127.255', 3255328768, 3255336959, 'DE', 'Germany'),
(106511, '194.8.128.0', '194.8.143.255', 3255336960, 3255341055, 'RU', 'Russian Federation'),
(106512, '194.8.144.0', '194.8.147.255', 3255341056, 3255342079, 'UA', 'Ukraine'),
(106513, '194.8.148.0', '194.8.151.255', 3255342080, 3255343103, 'FR', 'France'),
(106514, '194.8.152.0', '194.8.155.255', 3255343104, 3255344127, 'RU', 'Russian Federation'),
(106515, '194.8.156.0', '194.8.159.255', 3255344128, 3255345151, 'UA', 'Ukraine'),
(106516, '194.8.160.0', '194.8.191.255', 3255345152, 3255353343, 'RU', 'Russian Federation'),
(106517, '194.8.192.0', '194.8.223.255', 3255353344, 3255361535, 'DE', 'Germany'),
(106518, '194.8.224.0', '194.8.225.255', 3255361536, 3255362047, 'RU', 'Russian Federation'),
(106519, '194.8.226.0', '194.8.227.255', 3255362048, 3255362559, 'FI', 'Finland'),
(106520, '194.8.228.0', '194.8.235.255', 3255362560, 3255364607, 'RU', 'Russian Federation'),
(106521, '194.8.236.0', '194.8.237.255', 3255364608, 3255365119, 'NL', 'Netherlands'),
(106522, '194.8.238.0', '194.8.239.255', 3255365120, 3255365631, 'SK', 'Slovakia'),
(106523, '194.8.240.0', '194.8.241.255', 3255365632, 3255366143, 'UA', 'Ukraine'),
(106524, '194.8.242.0', '194.8.245.255', 3255366144, 3255367167, 'DK', 'Denmark'),
(106525, '194.8.246.0', '194.8.247.255', 3255367168, 3255367679, 'RU', 'Russian Federation'),
(106526, '194.8.248.0', '194.8.249.255', 3255367680, 3255368191, 'UA', 'Ukraine'),
(106527, '194.8.250.0', '194.8.251.255', 3255368192, 3255368703, 'FR', 'France'),
(106528, '194.8.252.0', '194.8.253.255', 3255368704, 3255369215, 'CZ', 'Czech Republic'),
(106529, '194.8.254.0', '194.8.255.255', 3255369216, 3255369727, 'GB', 'United Kingdom'),
(106530, '194.9.0.0', '194.9.1.255', 3255369728, 3255370239, 'LU', 'Luxembourg'),
(106531, '194.9.2.0', '194.9.3.255', 3255370240, 3255370751, 'RU', 'Russian Federation'),
(106532, '194.9.4.0', '194.9.5.255', 3255370752, 3255371263, 'DE', 'Germany'),
(106533, '194.9.6.0', '194.9.7.255', 3255371264, 3255371775, 'BG', 'Bulgaria'),
(106534, '194.9.8.0', '194.9.9.255', 3255371776, 3255372287, 'SE', 'Sweden'),
(106535, '194.9.10.0', '194.9.11.255', 3255372288, 3255372799, 'DE', 'Germany'),
(106536, '194.9.12.0', '194.9.13.255', 3255372800, 3255373311, 'MC', 'Monaco'),
(106537, '194.9.14.0', '194.9.15.255', 3255373312, 3255373823, 'UA', 'Ukraine'),
(106538, '194.9.16.0', '194.9.17.255', 3255373824, 3255374335, 'PL', 'Poland'),
(106539, '194.9.18.0', '194.9.19.255', 3255374336, 3255374847, 'RU', 'Russian Federation'),
(106540, '194.9.20.0', '194.9.21.255', 3255374848, 3255375359, 'CY', 'Cyprus'),
(106541, '194.9.22.0', '194.9.23.255', 3255375360, 3255375871, 'RO', 'Romania'),
(106542, '194.9.24.0', '194.9.25.255', 3255375872, 3255376383, 'PL', 'Poland'),
(106543, '194.9.26.0', '194.9.27.255', 3255376384, 3255376895, 'UA', 'Ukraine'),
(106544, '194.9.28.0', '194.9.29.255', 3255376896, 3255377407, 'GB', 'United Kingdom'),
(106545, '194.9.30.0', '194.9.31.255', 3255377408, 3255377919, 'KZ', 'Kazakhstan'),
(106546, '194.9.32.0', '194.9.33.255', 3255377920, 3255378431, 'GB', 'United Kingdom'),
(106547, '194.9.34.0', '194.9.35.255', 3255378432, 3255378943, 'CH', 'Switzerland'),
(106548, '194.9.36.0', '194.9.37.255', 3255378944, 3255379455, 'UA', 'Ukraine'),
(106549, '194.9.38.0', '194.9.39.255', 3255379456, 3255379967, 'RU', 'Russian Federation'),
(106550, '194.9.40.0', '194.9.41.255', 3255379968, 3255380479, 'GB', 'United Kingdom'),
(106551, '194.9.42.0', '194.9.43.255', 3255380480, 3255380991, 'NL', 'Netherlands'),
(106552, '194.9.44.0', '194.9.45.255', 3255380992, 3255381503, 'CH', 'Switzerland'),
(106553, '194.9.46.0', '194.9.47.255', 3255381504, 3255382015, 'PL', 'Poland'),
(106554, '194.9.48.0', '194.9.49.255', 3255382016, 3255382527, 'NL', 'Netherlands'),
(106555, '194.9.50.0', '194.9.51.255', 3255382528, 3255383039, 'UA', 'Ukraine'),
(106556, '194.9.52.0', '194.9.53.255', 3255383040, 3255383551, 'PL', 'Poland'),
(106557, '194.9.54.0', '194.9.55.255', 3255383552, 3255384063, 'CH', 'Switzerland'),
(106558, '194.9.56.0', '194.9.57.255', 3255384064, 3255384575, 'RO', 'Romania'),
(106559, '194.9.58.0', '194.9.59.255', 3255384576, 3255385087, 'AT', 'Austria'),
(106560, '194.9.60.0', '194.9.61.255', 3255385088, 3255385599, 'RO', 'Romania'),
(106561, '194.9.62.0', '194.9.63.255', 3255385600, 3255386111, 'FR', 'France'),
(106562, '194.9.64.0', '194.9.65.255', 3255386112, 3255386623, 'KE', 'Kenya'),
(106563, '194.9.66.0', '194.9.68.255', 3255386624, 3255387391, 'PL', 'Poland'),
(106564, '194.9.69.0', '194.9.69.255', 3255387392, 3255387647, 'RU', 'Russian Federation'),
(106565, '194.9.70.0', '194.9.71.255', 3255387648, 3255388159, 'UA', 'Ukraine'),
(106566, '194.9.72.0', '194.9.73.255', 3255388160, 3255388671, 'DE', 'Germany'),
(106567, '194.9.74.0', '194.9.75.255', 3255388672, 3255389183, 'SE', 'Sweden'),
(106568, '194.9.76.0', '194.9.77.255', 3255389184, 3255389695, 'GB', 'United Kingdom'),
(106569, '194.9.78.0', '194.9.79.255', 3255389696, 3255390207, 'PL', 'Poland'),
(106570, '194.9.80.0', '194.9.81.255', 3255390208, 3255390719, 'GB', 'United Kingdom'),
(106571, '194.9.82.0', '194.9.83.255', 3255390720, 3255391231, 'KE', 'Kenya'),
(106572, '194.9.84.0', '194.9.85.255', 3255391232, 3255391743, 'NL', 'Netherlands'),
(106573, '194.9.86.0', '194.9.89.255', 3255391744, 3255392767, 'DE', 'Germany'),
(106574, '194.9.90.0', '194.9.93.255', 3255392768, 3255393791, 'RO', 'Romania'),
(106575, '194.9.94.0', '194.9.116.255', 3255393792, 3255399679, 'SE', 'Sweden'),
(106576, '194.9.117.0', '194.9.119.255', 3255399680, 3255400447, 'DE', 'Germany'),
(106577, '194.9.120.0', '194.9.120.255', 3255400448, 3255400703, 'CH', 'Switzerland'),
(106578, '194.9.121.0', '194.9.121.255', 3255400704, 3255400959, 'EU', 'Europe'),
(106579, '194.9.122.0', '194.9.123.255', 3255400960, 3255401471, 'CH', 'Switzerland'),
(106580, '194.9.124.0', '194.9.166.255', 3255401472, 3255412479, 'DE', 'Germany'),
(106581, '194.9.167.0', '194.9.167.255', 3255412480, 3255412735, 'RO', 'Romania'),
(106582, '194.9.168.0', '194.9.169.255', 3255412736, 3255413247, 'DE', 'Germany'),
(106583, '194.9.170.0', '194.9.170.255', 3255413248, 3255413503, 'LV', 'Latvia'),
(106584, '194.9.171.0', '194.9.171.255', 3255413504, 3255413759, 'UZ', 'Uzbekistan'),
(106585, '194.9.172.0', '194.9.173.255', 3255413760, 3255414271, 'GB', 'United Kingdom'),
(106586, '194.9.174.0', '194.9.174.255', 3255414272, 3255414527, 'TR', 'Turkey'),
(106587, '194.9.175.0', '194.9.175.255', 3255414528, 3255414783, 'LV', 'Latvia'),
(106588, '194.9.176.0', '194.9.179.255', 3255414784, 3255415807, 'BE', 'Belgium'),
(106589, '194.9.180.0', '194.9.181.255', 3255415808, 3255416319, 'AT', 'Austria'),
(106590, '194.9.182.0', '194.9.183.255', 3255416320, 3255416831, 'DE', 'Germany'),
(106591, '194.9.184.0', '194.9.187.255', 3255416832, 3255417855, 'FR', 'France'),
(106592, '194.9.188.0', '194.9.191.255', 3255417856, 3255418879, 'GB', 'United Kingdom'),
(106593, '194.9.192.0', '194.9.207.255', 3255418880, 3255422975, 'DE', 'Germany'),
(106594, '194.9.208.0', '194.9.211.255', 3255422976, 3255423999, 'RO', 'Romania'),
(106595, '194.9.212.0', '194.9.215.255', 3255424000, 3255425023, 'LV', 'Latvia'),
(106596, '194.9.216.0', '194.9.219.255', 3255425024, 3255426047, 'RO', 'Romania'),
(106597, '194.9.220.0', '194.9.221.255', 3255426048, 3255426559, 'IT', 'Italy'),
(106598, '194.9.222.0', '194.9.222.255', 3255426560, 3255426815, 'FR', 'France'),
(106599, '194.9.223.0', '194.9.223.255', 3255426816, 3255427071, 'PL', 'Poland'),
(106600, '194.9.224.0', '194.9.239.255', 3255427072, 3255431167, 'RU', 'Russian Federation'),
(106601, '194.9.240.0', '194.10.4.255', 3255431168, 3255436543, 'GB', 'United Kingdom'),
(106602, '194.10.5.0', '194.10.5.255', 3255436544, 3255436799, 'NL', 'Netherlands'),
(106603, '194.10.6.0', '194.10.6.255', 3255436800, 3255437055, 'DE', 'Germany'),
(106604, '194.10.7.0', '194.10.7.255', 3255437056, 3255437311, 'GB', 'United Kingdom'),
(106605, '194.10.8.0', '194.10.43.255', 3255437312, 3255446527, 'EU', 'Europe'),
(106606, '194.10.44.0', '194.10.44.255', 3255446528, 3255446783, 'GB', 'United Kingdom'),
(106607, '194.10.45.0', '194.10.55.255', 3255446784, 3255449599, 'EU', 'Europe'),
(106608, '194.10.56.0', '194.10.57.255', 3255449600, 3255450111, 'BE', 'Belgium'),
(106609, '194.10.58.0', '194.10.58.255', 3255450112, 3255450367, 'GB', 'United Kingdom'),
(106610, '194.10.59.0', '194.10.59.255', 3255450368, 3255450623, 'FR', 'France'),
(106611, '194.10.60.0', '194.10.61.255', 3255450624, 3255451135, 'DE', 'Germany'),
(106612, '194.10.62.0', '194.10.67.255', 3255451136, 3255452671, 'FR', 'France'),
(106613, '194.10.68.0', '194.10.127.255', 3255452672, 3255468031, 'EU', 'Europe'),
(106614, '194.10.128.0', '194.10.129.255', 3255468032, 3255468543, 'GB', 'United Kingdom'),
(106615, '194.10.130.0', '194.10.131.255', 3255468544, 3255469055, 'EU', 'Europe'),
(106616, '194.10.132.0', '194.10.133.255', 3255469056, 3255469567, 'GB', 'United Kingdom'),
(106617, '194.10.134.0', '194.10.134.255', 3255469568, 3255469823, 'DE', 'Germany'),
(106618, '194.10.135.0', '194.10.135.255', 3255469824, 3255470079, 'DK', 'Denmark'),
(106619, '194.10.136.0', '194.10.137.255', 3255470080, 3255470591, 'AT', 'Austria'),
(106620, '194.10.138.0', '194.10.138.255', 3255470592, 3255470847, 'DE', 'Germany'),
(106621, '194.10.139.0', '194.10.139.255', 3255470848, 3255471103, 'HU', 'Hungary'),
(106622, '194.10.140.0', '194.10.140.255', 3255471104, 3255471359, 'BE', 'Belgium'),
(106623, '194.10.141.0', '194.10.141.255', 3255471360, 3255471615, 'EU', 'Europe'),
(106624, '194.10.142.0', '194.10.142.255', 3255471616, 3255471871, 'GB', 'United Kingdom'),
(106625, '194.10.143.0', '194.10.143.255', 3255471872, 3255472127, 'BE', 'Belgium'),
(106626, '194.10.144.0', '194.10.144.255', 3255472128, 3255472383, 'GB', 'United Kingdom'),
(106627, '194.10.145.0', '194.10.145.255', 3255472384, 3255472639, 'BE', 'Belgium'),
(106628, '194.10.146.0', '194.10.146.255', 3255472640, 3255472895, 'NL', 'Netherlands'),
(106629, '194.10.147.0', '194.10.147.255', 3255472896, 3255473151, 'BE', 'Belgium'),
(106630, '194.10.148.0', '194.10.148.255', 3255473152, 3255473407, 'GB', 'United Kingdom'),
(106631, '194.10.149.0', '194.10.149.255', 3255473408, 3255473663, 'CH', 'Switzerland'),
(106632, '194.10.150.0', '194.10.150.255', 3255473664, 3255473919, 'BE', 'Belgium'),
(106633, '194.10.151.0', '194.10.151.255', 3255473920, 3255474175, 'NO', 'Norway'),
(106634, '194.10.152.0', '194.10.161.255', 3255474176, 3255476735, 'GB', 'United Kingdom'),
(106635, '194.10.162.0', '194.10.162.255', 3255476736, 3255476991, 'IE', 'Ireland'),
(106636, '194.10.163.0', '194.10.163.255', 3255476992, 3255477247, 'NL', 'Netherlands'),
(106637, '194.10.164.0', '194.10.164.255', 3255477248, 3255477503, 'GB', 'United Kingdom'),
(106638, '194.10.165.0', '194.10.165.255', 3255477504, 3255477759, 'CH', 'Switzerland'),
(106639, '194.10.166.0', '194.10.167.255', 3255477760, 3255478271, 'GB', 'United Kingdom'),
(106640, '194.10.168.0', '194.10.183.255', 3255478272, 3255482367, 'EU', 'Europe'),
(106641, '194.10.184.0', '194.10.184.255', 3255482368, 3255482623, 'GB', 'United Kingdom'),
(106642, '194.10.185.0', '194.10.185.191', 3255482624, 3255482815, 'BE', 'Belgium'),
(106643, '194.10.185.192', '194.10.185.207', 3255482816, 3255482831, 'FR', 'France'),
(106644, '194.10.185.208', '194.10.185.215', 3255482832, 3255482839, 'BE', 'Belgium'),
(106645, '194.10.185.216', '194.10.185.223', 3255482840, 3255482847, 'FR', 'France'),
(106646, '194.10.185.224', '194.10.185.247', 3255482848, 3255482871, 'BE', 'Belgium'),
(106647, '194.10.185.248', '194.10.185.255', 3255482872, 3255482879, 'EU', 'Europe'),
(106648, '194.10.186.0', '194.10.186.255', 3255482880, 3255483135, 'GB', 'United Kingdom'),
(106649, '194.10.187.0', '194.10.191.255', 3255483136, 3255484415, 'DE', 'Germany'),
(106650, '194.10.192.0', '194.10.192.255', 3255484416, 3255484671, 'PL', 'Poland'),
(106651, '194.10.193.0', '194.10.193.255', 3255484672, 3255484927, 'NL', 'Netherlands'),
(106652, '194.10.194.0', '194.10.194.255', 3255484928, 3255485183, 'CH', 'Switzerland'),
(106653, '194.10.195.0', '194.10.195.255', 3255485184, 3255485439, 'AT', 'Austria'),
(106654, '194.10.196.0', '194.10.199.255', 3255485440, 3255486463, 'FR', 'France'),
(106655, '194.10.200.0', '194.10.200.255', 3255486464, 3255486719, 'BE', 'Belgium'),
(106656, '194.10.201.0', '194.10.201.255', 3255486720, 3255486975, 'EU', 'Europe'),
(106657, '194.10.202.0', '194.10.203.255', 3255486976, 3255487487, 'GB', 'United Kingdom'),
(106658, '194.10.204.0', '194.10.204.255', 3255487488, 3255487743, 'BE', 'Belgium'),
(106659, '194.10.205.0', '194.10.205.255', 3255487744, 3255487999, 'GB', 'United Kingdom'),
(106660, '194.10.206.0', '194.10.206.255', 3255488000, 3255488255, 'BE', 'Belgium'),
(106661, '194.10.207.0', '194.10.207.255', 3255488256, 3255488511, 'GB', 'United Kingdom'),
(106662, '194.10.208.0', '194.10.211.255', 3255488512, 3255489535, 'AT', 'Austria'),
(106663, '194.10.212.0', '194.10.213.95', 3255489536, 3255489887, 'DE', 'Germany'),
(106664, '194.10.213.96', '194.10.213.255', 3255489888, 3255490047, 'GB', 'United Kingdom'),
(106665, '194.10.214.0', '194.10.215.255', 3255490048, 3255490559, 'DE', 'Germany'),
(106666, '194.10.216.0', '194.10.223.255', 3255490560, 3255492607, 'EU', 'Europe'),
(106667, '194.10.224.0', '194.10.239.255', 3255492608, 3255496703, 'GB', 'United Kingdom'),
(106668, '194.10.240.0', '194.10.243.255', 3255496704, 3255497727, 'EU', 'Europe'),
(106669, '194.10.244.0', '194.10.244.255', 3255497728, 3255497983, 'BE', 'Belgium'),
(106670, '194.10.245.0', '194.10.245.255', 3255497984, 3255498239, 'DE', 'Germany'),
(106671, '194.10.246.0', '194.10.246.255', 3255498240, 3255498495, 'FR', 'France'),
(106672, '194.10.247.0', '194.10.247.255', 3255498496, 3255498751, 'GB', 'United Kingdom'),
(106673, '194.10.248.0', '194.10.255.255', 3255498752, 3255500799, 'FR', 'France'),
(106674, '194.11.0.0', '194.11.15.255', 3255500800, 3255504895, 'CH', 'Switzerland'),
(106675, '194.11.16.0', '194.11.16.255', 3255504896, 3255505151, 'RU', 'Russian Federation'),
(106676, '194.11.17.0', '194.11.19.255', 3255505152, 3255505919, 'GB', 'United Kingdom'),
(106677, '194.11.20.0', '194.11.21.255', 3255505920, 3255506431, 'RU', 'Russian Federation'),
(106678, '194.11.22.0', '194.11.22.255', 3255506432, 3255506687, 'PL', 'Poland'),
(106679, '194.11.23.0', '194.11.23.255', 3255506688, 3255506943, 'PT', 'Portugal'),
(106680, '194.11.24.0', '194.11.24.255', 3255506944, 3255507199, 'PL', 'Poland'),
(106681, '194.11.25.0', '194.11.25.255', 3255507200, 3255507455, 'PT', 'Portugal'),
(106682, '194.11.26.0', '194.11.26.255', 3255507456, 3255507711, 'FR', 'France'),
(106683, '194.11.27.0', '194.11.27.255', 3255507712, 3255507967, 'AT', 'Austria'),
(106684, '194.11.28.0', '194.11.28.255', 3255507968, 3255508223, 'UA', 'Ukraine'),
(106685, '194.11.29.0', '194.11.29.255', 3255508224, 3255508479, 'RU', 'Russian Federation'),
(106686, '194.11.30.0', '194.11.78.255', 3255508480, 3255521023, 'CH', 'Switzerland'),
(106687, '194.11.79.0', '194.11.79.255', 3255521024, 3255521279, 'EU', 'Europe'),
(106688, '194.11.80.0', '194.11.169.255', 3255521280, 3255544319, 'CH', 'Switzerland'),
(106689, '194.11.170.0', '194.11.170.255', 3255544320, 3255544575, 'DE', 'Germany'),
(106690, '194.11.171.0', '194.11.171.255', 3255544576, 3255544831, 'AT', 'Austria'),
(106691, '194.11.172.0', '194.11.223.255', 3255544832, 3255558143, 'CH', 'Switzerland'),
(106692, '194.11.224.0', '194.11.224.255', 3255558144, 3255558399, 'BE', 'Belgium'),
(106693, '194.11.225.0', '194.11.225.255', 3255558400, 3255558655, 'UA', 'Ukraine'),
(106694, '194.11.226.0', '194.11.246.255', 3255558656, 3255564031, 'CH', 'Switzerland'),
(106695, '194.11.247.0', '194.11.247.255', 3255564032, 3255564287, 'RU', 'Russian Federation'),
(106696, '194.11.248.0', '194.11.255.255', 3255564288, 3255566335, 'CH', 'Switzerland'),
(106697, '194.12.0.0', '194.12.31.255', 3255566336, 3255574527, 'SE', 'Sweden'),
(106698, '194.12.32.0', '194.12.47.255', 3255574528, 3255578623, 'CZ', 'Czech Republic'),
(106699, '194.12.48.0', '194.12.63.255', 3255578624, 3255582719, 'SE', 'Sweden'),
(106700, '194.12.64.0', '194.12.127.255', 3255582720, 3255599103, 'UA', 'Ukraine'),
(106701, '194.12.128.0', '194.12.191.255', 3255599104, 3255615487, 'CH', 'Switzerland'),
(106702, '194.12.192.0', '194.12.223.255', 3255615488, 3255623679, 'DE', 'Germany'),
(106703, '194.12.224.0', '194.12.255.255', 3255623680, 3255631871, 'BG', 'Bulgaria'),
(106704, '194.13.0.0', '194.13.110.255', 3255631872, 3255660287, 'NL', 'Netherlands'),
(106705, '194.13.111.0', '194.13.111.255', 3255660288, 3255660543, 'GR', 'Greece'),
(106706, '194.13.112.0', '194.13.134.255', 3255660544, 3255666431, 'NL', 'Netherlands'),
(106707, '194.13.135.0', '194.13.135.255', 3255666432, 3255666687, 'DE', 'Germany'),
(106708, '194.13.136.0', '194.13.255.255', 3255666688, 3255697407, 'NL', 'Netherlands'),
(106709, '194.14.0.0', '194.14.4.255', 3255697408, 3255698687, 'SE', 'Sweden'),
(106710, '194.14.5.0', '194.14.5.255', 3255698688, 3255698943, 'GB', 'United Kingdom'),
(106711, '194.14.6.0', '194.14.51.255', 3255698944, 3255710719, 'SE', 'Sweden'),
(106712, '194.14.52.0', '194.14.52.255', 3255710720, 3255710975, 'ES', 'Spain'),
(106713, '194.14.53.0', '194.14.105.255', 3255710976, 3255724543, 'SE', 'Sweden'),
(106714, '194.14.106.0', '194.14.107.255', 3255724544, 3255725055, 'US', 'United States'),
(106715, '194.14.108.0', '194.14.108.255', 3255725056, 3255725311, 'ES', 'Spain'),
(106716, '194.14.109.0', '194.14.130.255', 3255725312, 3255730943, 'SE', 'Sweden'),
(106717, '194.14.131.0', '194.14.131.255', 3255730944, 3255731199, 'GB', 'United Kingdom'),
(106718, '194.14.132.0', '194.14.164.255', 3255731200, 3255739647, 'SE', 'Sweden'),
(106719, '194.14.165.0', '194.14.165.255', 3255739648, 3255739903, 'GB', 'United Kingdom'),
(106720, '194.14.166.0', '194.14.176.255', 3255739904, 3255742719, 'SE', 'Sweden'),
(106721, '194.14.177.0', '194.14.177.255', 3255742720, 3255742975, 'SG', 'Singapore'),
(106722, '194.14.178.0', '194.14.178.255', 3255742976, 3255743231, 'SE', 'Sweden'),
(106723, '194.14.179.0', '194.14.179.255', 3255743232, 3255743487, 'IT', 'Italy'),
(106724, '194.14.180.0', '194.14.180.255', 3255743488, 3255743743, 'DE', 'Germany'),
(106725, '194.14.181.0', '194.14.181.255', 3255743744, 3255743999, 'US', 'United States'),
(106726, '194.14.182.0', '194.14.187.255', 3255744000, 3255745535, 'SE', 'Sweden'),
(106727, '194.14.188.0', '194.14.189.255', 3255745536, 3255746047, 'DK', 'Denmark'),
(106728, '194.14.190.0', '194.14.255.255', 3255746048, 3255762943, 'SE', 'Sweden'),
(106729, '194.15.0.0', '194.15.111.255', 3255762944, 3255791615, 'DE', 'Germany'),
(106730, '194.15.112.0', '194.15.115.255', 3255791616, 3255792639, 'UA', 'Ukraine'),
(106731, '194.15.116.0', '194.15.119.255', 3255792640, 3255793663, 'RU', 'Russian Federation'),
(106732, '194.15.120.0', '194.15.124.255', 3255793664, 3255794943, 'PL', 'Poland'),
(106733, '194.15.125.0', '194.15.125.255', 3255794944, 3255795199, 'RU', 'Russian Federation'),
(106734, '194.15.126.0', '194.15.127.255', 3255795200, 3255795711, 'UA', 'Ukraine'),
(106735, '194.15.128.0', '194.15.140.255', 3255795712, 3255799039, 'DE', 'Germany'),
(106736, '194.15.141.0', '194.15.141.255', 3255799040, 3255799295, 'SE', 'Sweden'),
(106737, '194.15.142.0', '194.15.146.255', 3255799296, 3255800575, 'DE', 'Germany'),
(106738, '194.15.147.0', '194.15.147.255', 3255800576, 3255800831, 'UA', 'Ukraine'),
(106739, '194.15.148.0', '194.15.211.255', 3255800832, 3255817215, 'DE', 'Germany'),
(106740, '194.15.212.0', '194.15.212.255', 3255817216, 3255817471, 'SE', 'Sweden'),
(106741, '194.15.213.0', '194.15.213.255', 3255817472, 3255817727, 'ES', 'Spain'),
(106742, '194.15.214.0', '194.15.227.255', 3255817728, 3255821311, 'DE', 'Germany'),
(106743, '194.15.228.0', '194.15.229.255', 3255821312, 3255821823, 'CH', 'Switzerland'),
(106744, '194.15.230.0', '194.15.230.255', 3255821824, 3255822079, 'DE', 'Germany'),
(106745, '194.15.231.0', '194.15.231.255', 3255822080, 3255822335, 'CH', 'Switzerland'),
(106746, '194.15.232.0', '194.15.255.255', 3255822336, 3255828479, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(106747, '194.16.0.0', '194.16.89.47', 3255828480, 3255851311, 'SE', 'Sweden'),
(106748, '194.16.89.48', '194.16.89.51', 3255851312, 3255851315, 'DK', 'Denmark'),
(106749, '194.16.89.52', '194.17.59.63', 3255851316, 3255909183, 'SE', 'Sweden'),
(106750, '194.17.59.64', '194.17.59.71', 3255909184, 3255909191, 'DK', 'Denmark'),
(106751, '194.17.59.72', '194.17.208.220', 3255909192, 3255947484, 'SE', 'Sweden'),
(106752, '194.17.208.221', '194.17.208.221', 3255947485, 3255947485, 'EU', 'Europe'),
(106753, '194.17.208.222', '194.18.255.255', 3255947486, 3256025087, 'SE', 'Sweden'),
(106754, '194.19.0.0', '194.19.127.255', 3256025088, 3256057855, 'NO', 'Norway'),
(106755, '194.19.128.0', '194.19.199.255', 3256057856, 3256076287, 'DK', 'Denmark'),
(106756, '194.19.200.0', '194.19.201.255', 3256076288, 3256076799, 'SE', 'Sweden'),
(106757, '194.19.202.0', '194.19.223.255', 3256076800, 3256082431, 'DK', 'Denmark'),
(106758, '194.19.224.0', '194.19.245.255', 3256082432, 3256088063, 'LV', 'Latvia'),
(106759, '194.19.246.0', '194.19.246.31', 3256088064, 3256088095, 'RU', 'Russian Federation'),
(106760, '194.19.246.32', '194.19.246.39', 3256088096, 3256088103, 'LV', 'Latvia'),
(106761, '194.19.246.40', '194.19.246.255', 3256088104, 3256088319, 'RU', 'Russian Federation'),
(106762, '194.19.247.0', '194.19.255.255', 3256088320, 3256090623, 'LV', 'Latvia'),
(106763, '194.20.0.0', '194.21.33.255', 3256090624, 3256164863, 'IT', 'Italy'),
(106764, '194.21.34.0', '194.21.35.255', 3256164864, 3256165375, 'SE', 'Sweden'),
(106765, '194.21.36.0', '194.21.121.255', 3256165376, 3256187391, 'IT', 'Italy'),
(106766, '194.21.122.0', '194.21.122.255', 3256187392, 3256187647, 'SM', 'San Marino'),
(106767, '194.21.123.0', '194.21.255.255', 3256187648, 3256221695, 'IT', 'Italy'),
(106768, '194.22.0.0', '194.22.1.255', 3256221696, 3256222207, 'SE', 'Sweden'),
(106769, '194.22.2.0', '194.22.2.255', 3256222208, 3256222463, 'NL', 'Netherlands'),
(106770, '194.22.3.0', '194.22.7.255', 3256222464, 3256223743, 'SE', 'Sweden'),
(106771, '194.22.8.0', '194.22.16.255', 3256223744, 3256226047, 'NL', 'Netherlands'),
(106772, '194.22.17.0', '194.22.31.255', 3256226048, 3256229887, 'SE', 'Sweden'),
(106773, '194.22.32.0', '194.22.47.255', 3256229888, 3256233983, 'DE', 'Germany'),
(106774, '194.22.48.0', '194.22.63.255', 3256233984, 3256238079, 'SE', 'Sweden'),
(106775, '194.22.64.0', '194.22.95.255', 3256238080, 3256246271, 'NO', 'Norway'),
(106776, '194.22.96.0', '194.23.255.255', 3256246272, 3256352767, 'SE', 'Sweden'),
(106777, '194.24.0.0', '194.24.1.255', 3256352768, 3256353279, 'CH', 'Switzerland'),
(106778, '194.24.2.0', '194.24.2.255', 3256353280, 3256353535, 'EU', 'Europe'),
(106779, '194.24.3.0', '194.24.127.255', 3256353536, 3256385535, 'CH', 'Switzerland'),
(106780, '194.24.128.0', '194.24.159.255', 3256385536, 3256393727, 'AT', 'Austria'),
(106781, '194.24.160.0', '194.24.161.255', 3256393728, 3256394239, 'DE', 'Germany'),
(106782, '194.24.162.0', '194.24.163.255', 3256394240, 3256394751, 'UA', 'Ukraine'),
(106783, '194.24.164.0', '194.24.165.255', 3256394752, 3256395263, 'PL', 'Poland'),
(106784, '194.24.166.0', '194.24.167.255', 3256395264, 3256395775, 'GB', 'United Kingdom'),
(106785, '194.24.168.0', '194.24.169.255', 3256395776, 3256396287, 'TR', 'Turkey'),
(106786, '194.24.170.0', '194.24.171.255', 3256396288, 3256396799, 'GR', 'Greece'),
(106787, '194.24.172.0', '194.24.173.255', 3256396800, 3256397311, 'DE', 'Germany'),
(106788, '194.24.174.0', '194.24.175.255', 3256397312, 3256397823, 'PL', 'Poland'),
(106789, '194.24.176.0', '194.24.179.255', 3256397824, 3256398847, 'RO', 'Romania'),
(106790, '194.24.180.0', '194.24.181.255', 3256398848, 3256399359, 'PL', 'Poland'),
(106791, '194.24.182.0', '194.24.187.255', 3256399360, 3256400895, 'UA', 'Ukraine'),
(106792, '194.24.188.0', '194.24.189.255', 3256400896, 3256401407, 'GB', 'United Kingdom'),
(106793, '194.24.190.0', '194.24.191.255', 3256401408, 3256401919, 'UA', 'Ukraine'),
(106794, '194.24.192.0', '194.24.223.255', 3256401920, 3256410111, 'DE', 'Germany'),
(106795, '194.24.224.0', '194.24.225.255', 3256410112, 3256410623, 'TR', 'Turkey'),
(106796, '194.24.226.0', '194.24.227.255', 3256410624, 3256411135, 'GR', 'Greece'),
(106797, '194.24.228.0', '194.24.229.255', 3256411136, 3256411647, 'FR', 'France'),
(106798, '194.24.230.0', '194.24.231.255', 3256411648, 3256412159, 'DE', 'Germany'),
(106799, '194.24.232.0', '194.24.233.255', 3256412160, 3256412671, 'GB', 'United Kingdom'),
(106800, '194.24.234.0', '194.24.235.255', 3256412672, 3256413183, 'RO', 'Romania'),
(106801, '194.24.236.0', '194.24.237.255', 3256413184, 3256413695, 'UA', 'Ukraine'),
(106802, '194.24.238.0', '194.24.239.255', 3256413696, 3256414207, 'PL', 'Poland'),
(106803, '194.24.240.0', '194.24.241.255', 3256414208, 3256414719, 'RU', 'Russian Federation'),
(106804, '194.24.242.0', '194.24.243.255', 3256414720, 3256415231, 'DE', 'Germany'),
(106805, '194.24.244.0', '194.24.245.255', 3256415232, 3256415743, 'PL', 'Poland'),
(106806, '194.24.246.0', '194.24.247.255', 3256415744, 3256416255, 'UA', 'Ukraine'),
(106807, '194.24.248.0', '194.24.249.255', 3256416256, 3256416767, 'RS', 'Serbia'),
(106808, '194.24.250.0', '194.24.251.255', 3256416768, 3256417279, 'GB', 'United Kingdom'),
(106809, '194.24.252.0', '194.24.253.255', 3256417280, 3256417791, 'NO', 'Norway'),
(106810, '194.24.254.0', '194.24.255.255', 3256417792, 3256418303, 'GB', 'United Kingdom'),
(106811, '194.25.0.0', '194.25.101.255', 3256418304, 3256444415, 'DE', 'Germany'),
(106812, '194.25.102.0', '194.25.102.255', 3256444416, 3256444671, 'EU', 'Europe'),
(106813, '194.25.103.0', '194.25.111.135', 3256444672, 3256446855, 'DE', 'Germany'),
(106814, '194.25.111.136', '194.25.111.143', 3256446856, 3256446863, 'US', 'United States'),
(106815, '194.25.111.144', '194.25.118.63', 3256446864, 3256448575, 'DE', 'Germany'),
(106816, '194.25.118.64', '194.25.118.79', 3256448576, 3256448591, 'ES', 'Spain'),
(106817, '194.25.118.80', '194.25.119.167', 3256448592, 3256448935, 'DE', 'Germany'),
(106818, '194.25.119.168', '194.25.119.175', 3256448936, 3256448943, 'IT', 'Italy'),
(106819, '194.25.119.176', '194.25.255.255', 3256448944, 3256483839, 'DE', 'Germany'),
(106820, '194.26.0.0', '194.26.21.255', 3256483840, 3256489471, 'NL', 'Netherlands'),
(106821, '194.26.22.0', '194.26.23.255', 3256489472, 3256489983, 'GR', 'Greece'),
(106822, '194.26.24.0', '194.26.24.255', 3256489984, 3256490239, 'BE', 'Belgium'),
(106823, '194.26.25.0', '194.26.25.255', 3256490240, 3256490495, 'DE', 'Germany'),
(106824, '194.26.26.0', '194.26.113.255', 3256490496, 3256513023, 'NL', 'Netherlands'),
(106825, '194.26.114.0', '194.26.114.255', 3256513024, 3256513279, 'GB', 'United Kingdom'),
(106826, '194.26.115.0', '194.26.116.255', 3256513280, 3256513791, 'NL', 'Netherlands'),
(106827, '194.26.117.0', '194.26.117.255', 3256513792, 3256514047, 'GB', 'United Kingdom'),
(106828, '194.26.118.0', '194.26.157.255', 3256514048, 3256524287, 'NL', 'Netherlands'),
(106829, '194.26.158.0', '194.26.159.255', 3256524288, 3256524799, 'DE', 'Germany'),
(106830, '194.26.160.0', '194.26.175.255', 3256524800, 3256528895, 'NL', 'Netherlands'),
(106831, '194.26.176.0', '194.26.183.255', 3256528896, 3256530943, 'DE', 'Germany'),
(106832, '194.26.184.0', '194.26.255.255', 3256530944, 3256549375, 'NL', 'Netherlands'),
(106833, '194.27.0.0', '194.27.255.255', 3256549376, 3256614911, 'TR', 'Turkey'),
(106834, '194.28.0.0', '194.28.3.255', 3256614912, 3256615935, 'FI', 'Finland'),
(106835, '194.28.4.0', '194.28.7.255', 3256615936, 3256616959, 'UA', 'Ukraine'),
(106836, '194.28.8.0', '194.28.11.255', 3256616960, 3256617983, 'GB', 'United Kingdom'),
(106837, '194.28.12.0', '194.28.15.255', 3256617984, 3256619007, 'PL', 'Poland'),
(106838, '194.28.16.0', '194.28.19.255', 3256619008, 3256620031, 'UA', 'Ukraine'),
(106839, '194.28.20.0', '194.28.23.255', 3256620032, 3256621055, 'RU', 'Russian Federation'),
(106840, '194.28.24.0', '194.28.27.255', 3256621056, 3256622079, 'DK', 'Denmark'),
(106841, '194.28.28.0', '194.28.31.255', 3256622080, 3256623103, 'RU', 'Russian Federation'),
(106842, '194.28.32.0', '194.28.35.255', 3256623104, 3256624127, 'PL', 'Poland'),
(106843, '194.28.36.0', '194.28.39.255', 3256624128, 3256625151, 'UA', 'Ukraine'),
(106844, '194.28.40.0', '194.28.43.255', 3256625152, 3256626175, 'PL', 'Poland'),
(106845, '194.28.44.0', '194.28.47.255', 3256626176, 3256627199, 'UA', 'Ukraine'),
(106846, '194.28.48.0', '194.28.51.255', 3256627200, 3256628223, 'PL', 'Poland'),
(106847, '194.28.52.0', '194.28.55.255', 3256628224, 3256629247, 'UA', 'Ukraine'),
(106848, '194.28.56.0', '194.28.59.255', 3256629248, 3256630271, 'RU', 'Russian Federation'),
(106849, '194.28.60.0', '194.28.71.255', 3256630272, 3256633343, 'UA', 'Ukraine'),
(106850, '194.28.72.0', '194.28.75.255', 3256633344, 3256634367, 'RU', 'Russian Federation'),
(106851, '194.28.76.0', '194.28.79.255', 3256634368, 3256635391, 'MD', 'Moldova, Republic of'),
(106852, '194.28.80.0', '194.28.83.255', 3256635392, 3256636415, 'PL', 'Poland'),
(106853, '194.28.84.0', '194.28.91.255', 3256636416, 3256638463, 'UA', 'Ukraine'),
(106854, '194.28.92.0', '194.28.99.255', 3256638464, 3256640511, 'RU', 'Russian Federation'),
(106855, '194.28.100.0', '194.28.103.255', 3256640512, 3256641535, 'UA', 'Ukraine'),
(106856, '194.28.104.0', '194.28.107.255', 3256641536, 3256642559, 'PL', 'Poland'),
(106857, '194.28.108.0', '194.28.111.255', 3256642560, 3256643583, 'SI', 'Slovenia'),
(106858, '194.28.112.0', '194.28.115.255', 3256643584, 3256644607, 'MD', 'Moldova, Republic of'),
(106859, '194.28.116.0', '194.28.119.255', 3256644608, 3256645631, 'IT', 'Italy'),
(106860, '194.28.120.0', '194.28.123.255', 3256645632, 3256646655, 'SE', 'Sweden'),
(106861, '194.28.124.0', '194.28.127.255', 3256646656, 3256647679, 'GB', 'United Kingdom'),
(106862, '194.28.128.0', '194.28.131.255', 3256647680, 3256648703, 'RS', 'Serbia'),
(106863, '194.28.132.0', '194.28.135.255', 3256648704, 3256649727, 'UA', 'Ukraine'),
(106864, '194.28.136.0', '194.28.139.255', 3256649728, 3256650751, 'GB', 'United Kingdom'),
(106865, '194.28.140.0', '194.28.147.255', 3256650752, 3256652799, 'UA', 'Ukraine'),
(106866, '194.28.148.0', '194.28.151.255', 3256652800, 3256653823, 'DE', 'Germany'),
(106867, '194.28.152.0', '194.28.155.255', 3256653824, 3256654847, 'RU', 'Russian Federation'),
(106868, '194.28.156.0', '194.28.159.255', 3256654848, 3256655871, 'GB', 'United Kingdom'),
(106869, '194.28.160.0', '194.28.163.255', 3256655872, 3256656895, 'RU', 'Russian Federation'),
(106870, '194.28.164.0', '194.28.167.255', 3256656896, 3256657919, 'GB', 'United Kingdom'),
(106871, '194.28.168.0', '194.28.171.255', 3256657920, 3256658943, 'PL', 'Poland'),
(106872, '194.28.172.0', '194.28.183.255', 3256658944, 3256662015, 'UA', 'Ukraine'),
(106873, '194.28.184.0', '194.28.187.255', 3256662016, 3256663039, 'RU', 'Russian Federation'),
(106874, '194.28.188.0', '194.28.191.255', 3256663040, 3256664063, 'PL', 'Poland'),
(106875, '194.28.192.0', '194.28.195.255', 3256664064, 3256665087, 'RU', 'Russian Federation'),
(106876, '194.28.196.0', '194.28.199.255', 3256665088, 3256666111, 'UA', 'Ukraine'),
(106877, '194.28.200.0', '194.28.203.255', 3256666112, 3256667135, 'PL', 'Poland'),
(106878, '194.28.204.0', '194.28.219.255', 3256667136, 3256671231, 'RU', 'Russian Federation'),
(106879, '194.28.220.0', '194.28.223.255', 3256671232, 3256672255, 'PL', 'Poland'),
(106880, '194.28.224.0', '194.28.227.255', 3256672256, 3256673279, 'RU', 'Russian Federation'),
(106881, '194.28.228.0', '194.28.231.255', 3256673280, 3256674303, 'PL', 'Poland'),
(106882, '194.28.232.0', '194.28.235.255', 3256674304, 3256675327, 'RO', 'Romania'),
(106883, '194.28.236.0', '194.28.243.255', 3256675328, 3256677375, 'RU', 'Russian Federation'),
(106884, '194.28.244.0', '194.28.247.255', 3256677376, 3256678399, 'GB', 'United Kingdom'),
(106885, '194.28.248.0', '194.28.255.255', 3256678400, 3256680447, 'DK', 'Denmark'),
(106886, '194.29.0.0', '194.29.31.255', 3256680448, 3256688639, 'CH', 'Switzerland'),
(106887, '194.29.32.0', '194.29.47.255', 3256688640, 3256692735, 'IL', 'Israel'),
(106888, '194.29.48.0', '194.29.51.255', 3256692736, 3256693759, 'GR', 'Greece'),
(106889, '194.29.52.0', '194.29.55.255', 3256693760, 3256694783, 'IT', 'Italy'),
(106890, '194.29.56.0', '194.29.59.255', 3256694784, 3256695807, 'CH', 'Switzerland'),
(106891, '194.29.60.0', '194.29.63.255', 3256695808, 3256696831, 'UA', 'Ukraine'),
(106892, '194.29.64.0', '194.29.64.255', 3256696832, 3256697087, 'BE', 'Belgium'),
(106893, '194.29.65.0', '194.29.66.255', 3256697088, 3256697599, 'EU', 'Europe'),
(106894, '194.29.67.0', '194.29.67.255', 3256697600, 3256697855, 'GB', 'United Kingdom'),
(106895, '194.29.68.0', '194.29.69.255', 3256697856, 3256698367, 'IT', 'Italy'),
(106896, '194.29.70.0', '194.29.70.255', 3256698368, 3256698623, 'NL', 'Netherlands'),
(106897, '194.29.71.0', '194.29.71.255', 3256698624, 3256698879, 'GB', 'United Kingdom'),
(106898, '194.29.72.0', '194.29.72.255', 3256698880, 3256699135, 'DE', 'Germany'),
(106899, '194.29.73.0', '194.29.73.255', 3256699136, 3256699391, 'NL', 'Netherlands'),
(106900, '194.29.74.0', '194.29.77.255', 3256699392, 3256700415, 'GB', 'United Kingdom'),
(106901, '194.29.78.0', '194.29.78.255', 3256700416, 3256700671, 'NL', 'Netherlands'),
(106902, '194.29.79.0', '194.29.79.255', 3256700672, 3256700927, 'EU', 'Europe'),
(106903, '194.29.80.0', '194.29.80.255', 3256700928, 3256701183, 'DE', 'Germany'),
(106904, '194.29.81.0', '194.29.81.255', 3256701184, 3256701439, 'BE', 'Belgium'),
(106905, '194.29.82.0', '194.29.83.255', 3256701440, 3256701951, 'GB', 'United Kingdom'),
(106906, '194.29.84.0', '194.29.95.255', 3256701952, 3256705023, 'EU', 'Europe'),
(106907, '194.29.96.0', '194.29.96.255', 3256705024, 3256705279, 'IE', 'Ireland'),
(106908, '194.29.97.0', '194.29.98.255', 3256705280, 3256705791, 'BE', 'Belgium'),
(106909, '194.29.99.0', '194.29.99.255', 3256705792, 3256706047, 'AT', 'Austria'),
(106910, '194.29.100.0', '194.29.101.255', 3256706048, 3256706559, 'GR', 'Greece'),
(106911, '194.29.102.0', '194.29.113.255', 3256706560, 3256709631, 'EU', 'Europe'),
(106912, '194.29.114.0', '194.29.114.255', 3256709632, 3256709887, 'AT', 'Austria'),
(106913, '194.29.115.0', '194.29.115.255', 3256709888, 3256710143, 'EU', 'Europe'),
(106914, '194.29.116.0', '194.29.117.255', 3256710144, 3256710655, 'AT', 'Austria'),
(106915, '194.29.118.0', '194.29.119.255', 3256710656, 3256711167, 'SE', 'Sweden'),
(106916, '194.29.120.0', '194.29.120.255', 3256711168, 3256711423, 'DE', 'Germany'),
(106917, '194.29.121.0', '194.29.127.255', 3256711424, 3256713215, 'EU', 'Europe'),
(106918, '194.29.128.0', '194.29.183.255', 3256713216, 3256727551, 'PL', 'Poland'),
(106919, '194.29.184.0', '194.29.184.255', 3256727552, 3256727807, 'DE', 'Germany'),
(106920, '194.29.185.0', '194.29.185.255', 3256727808, 3256728063, 'HU', 'Hungary'),
(106921, '194.29.186.0', '194.29.187.255', 3256728064, 3256728575, 'RU', 'Russian Federation'),
(106922, '194.29.188.0', '194.29.191.255', 3256728576, 3256729599, 'DE', 'Germany'),
(106923, '194.29.192.0', '194.29.199.255', 3256729600, 3256731647, 'FI', 'Finland'),
(106924, '194.29.200.0', '194.29.203.255', 3256731648, 3256732671, 'NO', 'Norway'),
(106925, '194.29.204.0', '194.29.204.255', 3256732672, 3256732927, 'IT', 'Italy'),
(106926, '194.29.205.0', '194.29.205.255', 3256732928, 3256733183, 'UA', 'Ukraine'),
(106927, '194.29.206.0', '194.29.206.255', 3256733184, 3256733439, 'FR', 'France'),
(106928, '194.29.207.0', '194.29.207.255', 3256733440, 3256733695, 'DK', 'Denmark'),
(106929, '194.29.208.0', '194.29.215.255', 3256733696, 3256735743, 'TR', 'Turkey'),
(106930, '194.29.216.0', '194.29.223.255', 3256735744, 3256737791, 'GB', 'United Kingdom'),
(106931, '194.29.224.0', '194.29.255.255', 3256737792, 3256745983, 'DE', 'Germany'),
(106932, '194.30.0.0', '194.30.127.255', 3256745984, 3256778751, 'ES', 'Spain'),
(106933, '194.30.128.0', '194.30.159.255', 3256778752, 3256786943, 'CY', 'Cyprus'),
(106934, '194.30.160.0', '194.30.160.255', 3256786944, 3256787199, 'NL', 'Netherlands'),
(106935, '194.30.161.0', '194.30.161.255', 3256787200, 3256787455, 'RO', 'Romania'),
(106936, '194.30.162.0', '194.30.162.255', 3256787456, 3256787711, 'DE', 'Germany'),
(106937, '194.30.163.0', '194.30.163.255', 3256787712, 3256787967, 'UA', 'Ukraine'),
(106938, '194.30.164.0', '194.30.164.255', 3256787968, 3256788223, 'PL', 'Poland'),
(106939, '194.30.165.0', '194.30.165.255', 3256788224, 3256788479, 'RU', 'Russian Federation'),
(106940, '194.30.166.0', '194.30.166.255', 3256788480, 3256788735, 'GB', 'United Kingdom'),
(106941, '194.30.167.0', '194.30.167.255', 3256788736, 3256788991, 'DE', 'Germany'),
(106942, '194.30.168.0', '194.30.168.255', 3256788992, 3256789247, 'RO', 'Romania'),
(106943, '194.30.169.0', '194.30.169.255', 3256789248, 3256789503, 'SE', 'Sweden'),
(106944, '194.30.170.0', '194.30.170.255', 3256789504, 3256789759, 'UA', 'Ukraine'),
(106945, '194.30.171.0', '194.30.171.255', 3256789760, 3256790015, 'GB', 'United Kingdom'),
(106946, '194.30.172.0', '194.30.172.255', 3256790016, 3256790271, 'UA', 'Ukraine'),
(106947, '194.30.173.0', '194.30.174.255', 3256790272, 3256790783, 'DE', 'Germany'),
(106948, '194.30.175.0', '194.30.175.255', 3256790784, 3256791039, 'NL', 'Netherlands'),
(106949, '194.30.176.0', '194.30.176.255', 3256791040, 3256791295, 'CH', 'Switzerland'),
(106950, '194.30.177.0', '194.30.177.255', 3256791296, 3256791551, 'RO', 'Romania'),
(106951, '194.30.178.0', '194.30.178.255', 3256791552, 3256791807, 'GR', 'Greece'),
(106952, '194.30.179.0', '194.30.179.255', 3256791808, 3256792063, 'PL', 'Poland'),
(106953, '194.30.180.0', '194.30.180.255', 3256792064, 3256792319, 'DE', 'Germany'),
(106954, '194.30.181.0', '194.30.181.255', 3256792320, 3256792575, 'CH', 'Switzerland'),
(106955, '194.30.182.0', '194.30.182.255', 3256792576, 3256792831, 'NL', 'Netherlands'),
(106956, '194.30.183.0', '194.30.183.255', 3256792832, 3256793087, 'DE', 'Germany'),
(106957, '194.30.184.0', '194.30.184.255', 3256793088, 3256793343, 'GB', 'United Kingdom'),
(106958, '194.30.185.0', '194.30.185.255', 3256793344, 3256793599, 'DE', 'Germany'),
(106959, '194.30.186.0', '194.30.186.255', 3256793600, 3256793855, 'GB', 'United Kingdom'),
(106960, '194.30.187.0', '194.30.187.255', 3256793856, 3256794111, 'SK', 'Slovakia'),
(106961, '194.30.188.0', '194.30.188.255', 3256794112, 3256794367, 'NL', 'Netherlands'),
(106962, '194.30.189.0', '194.30.189.255', 3256794368, 3256794623, 'DK', 'Denmark'),
(106963, '194.30.190.0', '194.30.190.255', 3256794624, 3256794879, 'RU', 'Russian Federation'),
(106964, '194.30.191.0', '194.30.191.255', 3256794880, 3256795135, 'AT', 'Austria'),
(106965, '194.30.192.0', '194.30.255.255', 3256795136, 3256811519, 'GR', 'Greece'),
(106966, '194.31.0.0', '194.31.31.255', 3256811520, 3256819711, 'DE', 'Germany'),
(106967, '194.31.32.0', '194.31.38.255', 3256819712, 3256821503, 'PL', 'Poland'),
(106968, '194.31.39.0', '194.31.39.255', 3256821504, 3256821759, 'NO', 'Norway'),
(106969, '194.31.40.0', '194.31.41.255', 3256821760, 3256822271, 'PL', 'Poland'),
(106970, '194.31.42.0', '194.31.42.255', 3256822272, 3256822527, 'MD', 'Moldova, Republic of'),
(106971, '194.31.43.0', '194.31.43.255', 3256822528, 3256822783, 'PL', 'Poland'),
(106972, '194.31.44.0', '194.31.47.255', 3256822784, 3256823807, 'UA', 'Ukraine'),
(106973, '194.31.48.0', '194.31.49.255', 3256823808, 3256824319, 'PL', 'Poland'),
(106974, '194.31.50.0', '194.31.51.255', 3256824320, 3256824831, 'GB', 'United Kingdom'),
(106975, '194.31.52.0', '194.31.56.255', 3256824832, 3256826111, 'RO', 'Romania'),
(106976, '194.31.57.0', '194.31.57.255', 3256826112, 3256826367, 'KW', 'Kuwait'),
(106977, '194.31.58.0', '194.31.58.255', 3256826368, 3256826623, 'IL', 'Israel'),
(106978, '194.31.59.0', '194.31.59.255', 3256826624, 3256826879, 'RU', 'Russian Federation'),
(106979, '194.31.60.0', '194.31.60.255', 3256826880, 3256827135, 'PL', 'Poland'),
(106980, '194.31.61.0', '194.31.61.255', 3256827136, 3256827391, 'IS', 'Iceland'),
(106981, '194.31.62.0', '194.31.62.255', 3256827392, 3256827647, 'GB', 'United Kingdom'),
(106982, '194.31.63.0', '194.31.63.255', 3256827648, 3256827903, 'PL', 'Poland'),
(106983, '194.31.64.0', '194.31.206.255', 3256827904, 3256864511, 'DE', 'Germany'),
(106984, '194.31.207.0', '194.31.207.255', 3256864512, 3256864767, 'CH', 'Switzerland'),
(106985, '194.31.208.0', '194.31.231.255', 3256864768, 3256870911, 'DE', 'Germany'),
(106986, '194.31.232.0', '194.31.232.255', 3256870912, 3256871167, 'RU', 'Russian Federation'),
(106987, '194.31.233.0', '194.31.247.255', 3256871168, 3256875007, 'DE', 'Germany'),
(106988, '194.31.248.0', '194.31.249.255', 3256875008, 3256875519, 'UA', 'Ukraine'),
(106989, '194.31.250.0', '194.31.251.255', 3256875520, 3256876031, 'RU', 'Russian Federation'),
(106990, '194.31.252.0', '194.31.252.255', 3256876032, 3256876287, 'PL', 'Poland'),
(106991, '194.31.253.0', '194.31.253.255', 3256876288, 3256876543, 'RU', 'Russian Federation'),
(106992, '194.31.254.0', '194.31.255.255', 3256876544, 3256877055, 'CH', 'Switzerland'),
(106993, '194.32.0.0', '194.32.83.255', 3256877056, 3256898559, 'GB', 'United Kingdom'),
(106994, '194.32.84.0', '194.32.85.255', 3256898560, 3256899071, 'TR', 'Turkey'),
(106995, '194.32.86.0', '194.32.87.255', 3256899072, 3256899583, 'RU', 'Russian Federation'),
(106996, '194.32.88.0', '194.32.149.255', 3256899584, 3256915455, 'GB', 'United Kingdom'),
(106997, '194.32.150.0', '194.32.151.255', 3256915456, 3256915967, 'SE', 'Sweden'),
(106998, '194.32.152.0', '194.33.11.255', 3256915968, 3256945663, 'GB', 'United Kingdom'),
(106999, '194.33.13.0', '194.33.13.255', 3256945920, 3256946175, 'GB', 'United Kingdom'),
(107000, '194.33.14.0', '194.33.14.255', 3256946176, 3256946431, 'RO', 'Romania'),
(107001, '194.33.15.0', '194.33.15.255', 3256946432, 3256946687, 'UA', 'Ukraine'),
(107002, '194.33.16.0', '194.33.16.255', 3256946688, 3256946943, 'GB', 'United Kingdom'),
(107003, '194.33.17.0', '194.33.17.255', 3256946944, 3256947199, 'EU', 'Europe'),
(107004, '194.33.18.0', '194.33.19.255', 3256947200, 3256947711, 'DE', 'Germany'),
(107005, '194.33.20.0', '194.33.63.255', 3256947712, 3256958975, 'GB', 'United Kingdom'),
(107006, '194.33.64.0', '194.33.67.255', 3256958976, 3256959999, 'RO', 'Romania'),
(107007, '194.33.68.0', '194.33.68.255', 3256960000, 3256960255, 'SA', 'Saudi Arabia'),
(107008, '194.33.69.0', '194.33.69.255', 3256960256, 3256960511, 'HU', 'Hungary'),
(107009, '194.33.70.0', '194.33.71.255', 3256960512, 3256961023, 'SA', 'Saudi Arabia'),
(107010, '194.33.72.0', '194.33.77.255', 3256961024, 3256962559, 'PL', 'Poland'),
(107011, '194.33.78.0', '194.33.78.255', 3256962560, 3256962815, 'FR', 'France'),
(107012, '194.33.79.0', '194.33.79.255', 3256962816, 3256963071, 'RU', 'Russian Federation'),
(107013, '194.33.80.0', '194.33.80.255', 3256963072, 3256963327, 'SE', 'Sweden'),
(107014, '194.33.81.0', '194.33.82.255', 3256963328, 3256963839, 'RU', 'Russian Federation'),
(107015, '194.33.83.0', '194.33.83.255', 3256963840, 3256964095, 'PL', 'Poland'),
(107016, '194.33.84.0', '194.33.87.255', 3256964096, 3256965119, 'RU', 'Russian Federation'),
(107017, '194.33.88.0', '194.33.91.255', 3256965120, 3256966143, 'RO', 'Romania'),
(107018, '194.33.92.0', '194.33.95.255', 3256966144, 3256967167, 'RU', 'Russian Federation'),
(107019, '194.33.96.0', '194.33.96.255', 3256967168, 3256967423, 'NL', 'Netherlands'),
(107020, '194.33.97.0', '194.33.97.255', 3256967424, 3256967679, 'RU', 'Russian Federation'),
(107021, '194.33.98.0', '194.33.99.255', 3256967680, 3256968191, 'CH', 'Switzerland'),
(107022, '194.33.100.0', '194.33.103.255', 3256968192, 3256969215, 'RO', 'Romania'),
(107023, '194.33.104.0', '194.33.107.255', 3256969216, 3256970239, 'IR', 'Iran, Islamic Republic of'),
(107024, '194.33.108.0', '194.33.108.255', 3256970240, 3256970495, 'AT', 'Austria'),
(107025, '194.33.109.0', '194.33.109.255', 3256970496, 3256970751, 'GB', 'United Kingdom'),
(107026, '194.33.110.0', '194.33.110.255', 3256970752, 3256971007, 'RU', 'Russian Federation'),
(107027, '194.33.112.0', '194.33.113.255', 3256971264, 3256971775, 'NL', 'Netherlands'),
(107028, '194.33.114.0', '194.33.114.255', 3256971776, 3256972031, 'RU', 'Russian Federation'),
(107029, '194.33.115.0', '194.33.115.255', 3256972032, 3256972287, 'DE', 'Germany'),
(107030, '194.33.116.0', '194.33.119.255', 3256972288, 3256973311, 'PL', 'Poland'),
(107031, '194.33.120.0', '194.33.121.255', 3256973312, 3256973823, 'DE', 'Germany'),
(107032, '194.33.122.0', '194.33.127.255', 3256973824, 3256975359, 'IR', 'Iran, Islamic Republic of'),
(107033, '194.33.128.0', '194.33.179.255', 3256975360, 3256988671, 'GB', 'United Kingdom'),
(107034, '194.33.180.0', '194.33.180.255', 3256988672, 3256988927, 'RU', 'Russian Federation'),
(107035, '194.33.181.0', '194.33.181.255', 3256988928, 3256989183, 'UA', 'Ukraine'),
(107036, '194.33.182.0', '194.33.182.255', 3256989184, 3256989439, 'FR', 'France'),
(107037, '194.33.183.0', '194.33.183.255', 3256989440, 3256989695, 'GB', 'United Kingdom'),
(107038, '194.33.184.0', '194.33.184.255', 3256989696, 3256989951, 'HU', 'Hungary'),
(107039, '194.33.185.0', '194.33.185.255', 3256989952, 3256990207, 'PL', 'Poland'),
(107040, '194.33.186.0', '194.33.186.255', 3256990208, 3256990463, 'CH', 'Switzerland'),
(107041, '194.33.187.0', '194.33.187.255', 3256990464, 3256990719, 'PL', 'Poland'),
(107042, '194.33.188.0', '194.33.189.255', 3256990720, 3256991231, 'UA', 'Ukraine'),
(107043, '194.33.190.0', '194.33.190.255', 3256991232, 3256991487, 'SE', 'Sweden'),
(107044, '194.33.191.0', '194.33.191.255', 3256991488, 3256991743, 'RU', 'Russian Federation'),
(107045, '194.33.192.0', '194.34.11.255', 3256991744, 3257011199, 'GB', 'United Kingdom'),
(107046, '194.34.12.0', '194.34.12.255', 3257011200, 3257011455, 'BG', 'Bulgaria'),
(107047, '194.34.13.0', '194.34.197.255', 3257011456, 3257058815, 'GB', 'United Kingdom'),
(107048, '194.34.198.0', '194.34.198.255', 3257058816, 3257059071, 'PL', 'Poland'),
(107049, '194.34.199.0', '194.35.255.255', 3257059072, 3257139199, 'GB', 'United Kingdom'),
(107050, '194.36.0.0', '194.36.0.255', 3257139200, 3257139455, 'DK', 'Denmark'),
(107051, '194.36.1.0', '194.36.15.255', 3257139456, 3257143295, 'GB', 'United Kingdom'),
(107052, '194.36.16.0', '194.36.17.255', 3257143296, 3257143807, 'RU', 'Russian Federation'),
(107053, '194.36.18.0', '194.36.18.255', 3257143808, 3257144063, 'DE', 'Germany'),
(107054, '194.36.19.0', '194.36.19.255', 3257144064, 3257144319, 'RU', 'Russian Federation'),
(107055, '194.36.20.0', '194.36.20.255', 3257144320, 3257144575, 'AT', 'Austria'),
(107056, '194.36.21.0', '194.36.21.255', 3257144576, 3257144831, 'GB', 'United Kingdom'),
(107057, '194.36.22.0', '194.36.22.255', 3257144832, 3257145087, 'FR', 'France'),
(107058, '194.36.23.0', '194.36.159.255', 3257145088, 3257180159, 'GB', 'United Kingdom'),
(107059, '194.36.160.0', '194.36.160.255', 3257180160, 3257180415, 'TR', 'Turkey'),
(107060, '194.36.161.0', '194.36.161.255', 3257180416, 3257180671, 'RU', 'Russian Federation'),
(107061, '194.36.162.0', '194.36.162.255', 3257180672, 3257180927, 'EE', 'Estonia'),
(107062, '194.36.163.0', '194.36.163.255', 3257180928, 3257181183, 'GB', 'United Kingdom'),
(107063, '194.36.164.0', '194.36.164.255', 3257181184, 3257181439, 'SA', 'Saudi Arabia'),
(107064, '194.36.165.0', '194.36.165.255', 3257181440, 3257181695, 'PL', 'Poland'),
(107065, '194.36.166.0', '194.36.166.255', 3257181696, 3257181951, 'FR', 'France'),
(107066, '194.36.167.0', '194.36.167.255', 3257181952, 3257182207, 'BG', 'Bulgaria'),
(107067, '194.36.168.0', '194.36.168.255', 3257182208, 3257182463, 'PL', 'Poland'),
(107068, '194.36.169.0', '194.36.223.255', 3257182464, 3257196543, 'GB', 'United Kingdom'),
(107069, '194.36.224.0', '194.36.239.255', 3257196544, 3257200639, 'LU', 'Luxembourg'),
(107070, '194.36.240.0', '194.36.255.255', 3257200640, 3257204735, 'GB', 'United Kingdom'),
(107071, '194.37.0.0', '194.37.247.255', 3257204736, 3257268223, 'AT', 'Austria'),
(107072, '194.37.248.0', '194.37.248.255', 3257268224, 3257268479, 'UA', 'Ukraine'),
(107073, '194.37.249.0', '194.37.249.255', 3257268480, 3257268735, 'SE', 'Sweden'),
(107074, '194.37.250.0', '194.37.251.255', 3257268736, 3257269247, 'AT', 'Austria'),
(107075, '194.37.252.0', '194.37.252.255', 3257269248, 3257269503, 'IT', 'Italy'),
(107076, '194.37.253.0', '194.37.254.255', 3257269504, 3257270015, 'AT', 'Austria'),
(107077, '194.37.255.0', '194.37.255.255', 3257270016, 3257270271, 'DE', 'Germany'),
(107078, '194.38.0.0', '194.38.63.255', 3257270272, 3257286655, 'SE', 'Sweden'),
(107079, '194.38.64.0', '194.38.95.255', 3257286656, 3257294847, 'CH', 'Switzerland'),
(107080, '194.38.96.0', '194.38.127.255', 3257294848, 3257303039, 'HU', 'Hungary'),
(107081, '194.38.128.0', '194.38.159.255', 3257303040, 3257311231, 'PT', 'Portugal'),
(107082, '194.38.160.0', '194.38.162.159', 3257311232, 3257311903, 'CH', 'Switzerland'),
(107083, '194.38.162.160', '194.38.162.167', 3257311904, 3257311911, 'ES', 'Spain'),
(107084, '194.38.162.168', '194.38.255.255', 3257311912, 3257335807, 'CH', 'Switzerland'),
(107085, '194.39.0.0', '194.39.83.255', 3257335808, 3257357311, 'DE', 'Germany'),
(107086, '194.39.84.0', '194.39.84.255', 3257357312, 3257357567, 'PT', 'Portugal'),
(107087, '194.39.85.0', '194.39.85.255', 3257357568, 3257357823, 'SI', 'Slovenia'),
(107088, '194.39.86.0', '194.39.140.255', 3257357824, 3257371903, 'DE', 'Germany'),
(107089, '194.39.141.0', '194.39.141.255', 3257371904, 3257372159, 'EU', 'Europe'),
(107090, '194.39.142.0', '194.39.143.255', 3257372160, 3257372671, 'GB', 'United Kingdom'),
(107091, '194.39.144.0', '194.39.186.255', 3257372672, 3257383679, 'DE', 'Germany'),
(107092, '194.39.187.0', '194.39.187.255', 3257383680, 3257383935, 'CH', 'Switzerland'),
(107093, '194.39.188.0', '194.39.206.255', 3257383936, 3257388799, 'DE', 'Germany'),
(107094, '194.39.207.0', '194.39.207.255', 3257388800, 3257389055, 'FR', 'France'),
(107095, '194.39.208.0', '194.39.217.255', 3257389056, 3257391615, 'DE', 'Germany'),
(107096, '194.39.218.0', '194.39.218.255', 3257391616, 3257391871, 'EU', 'Europe'),
(107097, '194.39.219.0', '194.39.255.255', 3257391872, 3257401343, 'DE', 'Germany'),
(107098, '194.40.0.0', '194.40.203.255', 3257401344, 3257453567, 'CH', 'Switzerland'),
(107099, '194.40.204.0', '194.40.207.255', 3257453568, 3257454591, 'RO', 'Romania'),
(107100, '194.40.208.0', '194.40.209.255', 3257454592, 3257455103, 'IT', 'Italy'),
(107101, '194.40.210.0', '194.40.210.255', 3257455104, 3257455359, 'RO', 'Romania'),
(107102, '194.40.211.0', '194.40.211.255', 3257455360, 3257455615, 'SI', 'Slovenia'),
(107103, '194.40.212.0', '194.40.255.255', 3257455616, 3257466879, 'CH', 'Switzerland'),
(107104, '194.41.0.0', '194.41.0.255', 3257466880, 3257467135, 'DE', 'Germany'),
(107105, '194.41.1.0', '194.41.1.255', 3257467136, 3257467391, 'GB', 'United Kingdom'),
(107106, '194.41.2.0', '194.41.3.255', 3257467392, 3257467903, 'SE', 'Sweden'),
(107107, '194.41.4.0', '194.41.7.255', 3257467904, 3257468927, 'IT', 'Italy'),
(107108, '194.41.8.0', '194.41.8.255', 3257468928, 3257469183, 'EU', 'Europe'),
(107109, '194.41.9.0', '194.41.9.255', 3257469184, 3257469439, 'IT', 'Italy'),
(107110, '194.41.10.0', '194.41.11.255', 3257469440, 3257469951, 'GB', 'United Kingdom'),
(107111, '194.41.12.0', '194.41.15.255', 3257469952, 3257470975, 'PL', 'Poland'),
(107112, '194.41.16.0', '194.41.31.255', 3257470976, 3257475071, 'FI', 'Finland'),
(107113, '194.41.32.0', '194.41.32.255', 3257475072, 3257475327, 'ES', 'Spain'),
(107114, '194.41.33.0', '194.41.33.255', 3257475328, 3257475583, 'FI', 'Finland'),
(107115, '194.41.34.0', '194.41.39.255', 3257475584, 3257477119, 'DE', 'Germany'),
(107116, '194.41.40.0', '194.41.40.255', 3257477120, 3257477375, 'NL', 'Netherlands'),
(107117, '194.41.41.0', '194.41.42.255', 3257477376, 3257477887, 'SE', 'Sweden'),
(107118, '194.41.43.0', '194.41.52.255', 3257477888, 3257480447, 'GB', 'United Kingdom'),
(107119, '194.41.53.0', '194.41.54.255', 3257480448, 3257480959, 'NL', 'Netherlands'),
(107120, '194.41.55.0', '194.41.55.255', 3257480960, 3257481215, 'SE', 'Sweden'),
(107121, '194.41.56.0', '194.41.56.255', 3257481216, 3257481471, 'GB', 'United Kingdom'),
(107122, '194.41.57.0', '194.41.57.255', 3257481472, 3257481727, 'DE', 'Germany'),
(107123, '194.41.58.0', '194.41.58.255', 3257481728, 3257481983, 'FI', 'Finland'),
(107124, '194.41.59.0', '194.41.59.255', 3257481984, 3257482239, 'FR', 'France'),
(107125, '194.41.60.0', '194.41.61.255', 3257482240, 3257482751, 'RO', 'Romania'),
(107126, '194.41.62.0', '194.41.62.255', 3257482752, 3257483007, 'NL', 'Netherlands'),
(107127, '194.41.63.0', '194.41.95.255', 3257483008, 3257491455, 'CH', 'Switzerland'),
(107128, '194.41.96.0', '194.41.111.255', 3257491456, 3257495551, 'BE', 'Belgium'),
(107129, '194.41.112.0', '194.41.120.255', 3257495552, 3257497855, 'CH', 'Switzerland'),
(107130, '194.41.121.0', '194.41.127.255', 3257497856, 3257499647, 'NL', 'Netherlands'),
(107131, '194.41.128.0', '194.41.255.255', 3257499648, 3257532415, 'CH', 'Switzerland'),
(107132, '194.42.0.0', '194.42.39.255', 3257532416, 3257542655, 'CY', 'Cyprus'),
(107133, '194.42.40.0', '194.42.40.255', 3257542656, 3257542911, 'PL', 'Poland'),
(107134, '194.42.41.0', '194.42.42.255', 3257542912, 3257543423, 'IT', 'Italy'),
(107135, '194.42.43.0', '194.42.43.255', 3257543424, 3257543679, 'PT', 'Portugal'),
(107136, '194.42.44.0', '194.42.45.255', 3257543680, 3257544191, 'RO', 'Romania'),
(107137, '194.42.46.0', '194.42.46.255', 3257544192, 3257544447, 'DE', 'Germany'),
(107138, '194.42.47.0', '194.42.47.127', 3257544448, 3257544575, 'DK', 'Denmark'),
(107139, '194.42.47.128', '194.42.47.255', 3257544576, 3257544703, 'DE', 'Germany'),
(107140, '194.42.48.0', '194.42.48.255', 3257544704, 3257544959, 'CH', 'Switzerland'),
(107141, '194.42.49.0', '194.42.49.255', 3257544960, 3257545215, 'DK', 'Denmark'),
(107142, '194.42.50.0', '194.42.54.255', 3257545216, 3257546495, 'GR', 'Greece'),
(107143, '194.42.55.0', '194.42.55.31', 3257546496, 3257546527, 'DE', 'Germany'),
(107144, '194.42.55.32', '194.42.55.127', 3257546528, 3257546623, 'CH', 'Switzerland'),
(107145, '194.42.55.160', '194.42.55.191', 3257546656, 3257546687, 'SE', 'Sweden'),
(107146, '194.42.55.192', '194.42.55.223', 3257546688, 3257546719, 'DE', 'Germany'),
(107147, '194.42.55.224', '194.42.55.255', 3257546720, 3257546751, 'DK', 'Denmark'),
(107148, '194.42.56.0', '194.42.63.255', 3257546752, 3257548799, 'IE', 'Ireland'),
(107149, '194.42.64.0', '194.42.67.255', 3257548800, 3257549823, 'GB', 'United Kingdom'),
(107150, '194.42.68.0', '194.42.68.255', 3257549824, 3257550079, 'US', 'United States'),
(107151, '194.42.69.0', '194.42.71.255', 3257550080, 3257550847, 'GB', 'United Kingdom'),
(107152, '194.42.72.0', '194.42.72.255', 3257550848, 3257551103, 'HK', 'Hong Kong'),
(107153, '194.42.73.0', '194.42.95.255', 3257551104, 3257556991, 'GB', 'United Kingdom'),
(107154, '194.42.96.0', '194.42.97.255', 3257556992, 3257557503, 'MW', 'Malawi'),
(107155, '194.42.98.0', '194.42.99.255', 3257557504, 3257558015, 'LU', 'Luxembourg'),
(107156, '194.42.100.0', '194.42.105.255', 3257558016, 3257559551, 'RO', 'Romania'),
(107157, '194.42.106.0', '194.42.107.255', 3257559552, 3257560063, 'UA', 'Ukraine'),
(107158, '194.42.108.0', '194.42.109.255', 3257560064, 3257560575, 'DE', 'Germany'),
(107159, '194.42.110.0', '194.42.111.255', 3257560576, 3257561087, 'PL', 'Poland'),
(107160, '194.42.112.0', '194.42.113.255', 3257561088, 3257561599, 'UA', 'Ukraine'),
(107161, '194.42.114.0', '194.42.115.255', 3257561600, 3257562111, 'DE', 'Germany'),
(107162, '194.42.116.0', '194.42.121.255', 3257562112, 3257563647, 'PL', 'Poland'),
(107163, '194.42.122.0', '194.42.123.255', 3257563648, 3257564159, 'NL', 'Netherlands'),
(107164, '194.42.124.0', '194.42.125.255', 3257564160, 3257564671, 'GB', 'United Kingdom'),
(107165, '194.42.126.0', '194.42.127.255', 3257564672, 3257565183, 'RO', 'Romania'),
(107166, '194.42.128.0', '194.42.147.255', 3257565184, 3257570303, 'CY', 'Cyprus'),
(107167, '194.42.148.0', '194.42.148.3', 3257570304, 3257570307, 'GR', 'Greece'),
(107168, '194.42.148.4', '194.42.148.7', 3257570308, 3257570311, 'CY', 'Cyprus'),
(107169, '194.42.148.8', '194.42.148.23', 3257570312, 3257570327, 'GR', 'Greece'),
(107170, '194.42.148.24', '194.42.148.63', 3257570328, 3257570367, 'CY', 'Cyprus'),
(107171, '194.42.148.64', '194.42.148.127', 3257570368, 3257570431, 'GR', 'Greece'),
(107172, '194.42.148.128', '194.42.148.191', 3257570432, 3257570495, 'CY', 'Cyprus'),
(107173, '194.42.148.192', '194.42.148.223', 3257570496, 3257570527, 'GR', 'Greece'),
(107174, '194.42.148.224', '194.42.159.255', 3257570528, 3257573375, 'CY', 'Cyprus'),
(107175, '194.42.160.0', '194.42.162.127', 3257573376, 3257574015, 'CH', 'Switzerland'),
(107176, '194.42.162.128', '194.42.162.255', 3257574016, 3257574143, 'BE', 'Belgium'),
(107177, '194.42.163.0', '194.42.163.255', 3257574144, 3257574399, 'GB', 'United Kingdom'),
(107178, '194.42.164.0', '194.42.164.255', 3257574400, 3257574655, 'IT', 'Italy'),
(107179, '194.42.165.0', '194.42.170.255', 3257574656, 3257576191, 'BE', 'Belgium'),
(107180, '194.42.171.0', '194.42.175.255', 3257576192, 3257577471, 'AT', 'Austria'),
(107181, '194.42.176.0', '194.42.191.255', 3257577472, 3257581567, 'DE', 'Germany'),
(107182, '194.42.192.0', '194.42.207.255', 3257581568, 3257585663, 'UA', 'Ukraine'),
(107183, '194.42.208.0', '194.42.209.255', 3257585664, 3257586175, 'BE', 'Belgium'),
(107184, '194.42.210.0', '194.42.211.255', 3257586176, 3257586687, 'NL', 'Netherlands'),
(107185, '194.42.212.0', '194.42.212.255', 3257586688, 3257586943, 'LU', 'Luxembourg'),
(107186, '194.42.213.0', '194.42.214.255', 3257586944, 3257587455, 'ES', 'Spain'),
(107187, '194.42.215.0', '194.42.215.255', 3257587456, 3257587711, 'GB', 'United Kingdom'),
(107188, '194.42.216.0', '194.42.216.255', 3257587712, 3257587967, 'US', 'United States'),
(107189, '194.42.217.0', '194.42.217.255', 3257587968, 3257588223, 'FR', 'France'),
(107190, '194.42.218.0', '194.42.219.255', 3257588224, 3257588735, 'BE', 'Belgium'),
(107191, '194.42.220.0', '194.42.223.255', 3257588736, 3257589759, 'NL', 'Netherlands'),
(107192, '194.42.224.0', '194.43.255.255', 3257589760, 3257663487, 'GB', 'United Kingdom'),
(107193, '194.44.0.0', '194.44.255.255', 3257663488, 3257729023, 'UA', 'Ukraine'),
(107194, '194.45.0.0', '194.45.7.255', 3257729024, 3257731071, 'DE', 'Germany'),
(107195, '194.45.8.0', '194.45.9.239', 3257731072, 3257731567, 'NL', 'Netherlands'),
(107196, '194.45.9.240', '194.45.9.247', 3257731568, 3257731575, 'DE', 'Germany'),
(107197, '194.45.9.248', '194.45.11.255', 3257731576, 3257732095, 'NL', 'Netherlands'),
(107198, '194.45.12.0', '194.45.13.255', 3257732096, 3257732607, 'DE', 'Germany'),
(107199, '194.45.14.0', '194.45.14.119', 3257732608, 3257732727, 'NL', 'Netherlands'),
(107200, '194.45.14.120', '194.45.14.127', 3257732728, 3257732735, 'DE', 'Germany'),
(107201, '194.45.14.128', '194.45.19.255', 3257732736, 3257734143, 'NL', 'Netherlands'),
(107202, '194.45.20.0', '194.45.27.255', 3257734144, 3257736191, 'DE', 'Germany'),
(107203, '194.45.28.0', '194.45.31.159', 3257736192, 3257737119, 'NL', 'Netherlands'),
(107204, '194.45.31.160', '194.45.31.167', 3257737120, 3257737127, 'DE', 'Germany'),
(107205, '194.45.31.168', '194.45.32.255', 3257737128, 3257737471, 'NL', 'Netherlands'),
(107206, '194.45.33.0', '194.45.56.255', 3257737472, 3257743615, 'DE', 'Germany'),
(107207, '194.45.57.0', '194.45.57.7', 3257743616, 3257743623, 'NL', 'Netherlands'),
(107208, '194.45.57.8', '194.45.57.15', 3257743624, 3257743631, 'DE', 'Germany'),
(107209, '194.45.57.16', '194.45.58.79', 3257743632, 3257743951, 'NL', 'Netherlands'),
(107210, '194.45.58.80', '194.45.58.87', 3257743952, 3257743959, 'DE', 'Germany'),
(107211, '194.45.58.88', '194.45.58.239', 3257743960, 3257744111, 'NL', 'Netherlands'),
(107212, '194.45.58.240', '194.45.58.247', 3257744112, 3257744119, 'DE', 'Germany'),
(107213, '194.45.58.248', '194.45.61.31', 3257744120, 3257744671, 'NL', 'Netherlands'),
(107214, '194.45.61.32', '194.45.61.39', 3257744672, 3257744679, 'DE', 'Germany'),
(107215, '194.45.61.40', '194.45.61.231', 3257744680, 3257744871, 'NL', 'Netherlands'),
(107216, '194.45.61.232', '194.45.61.239', 3257744872, 3257744879, 'DE', 'Germany'),
(107217, '194.45.61.240', '194.45.62.223', 3257744880, 3257745119, 'NL', 'Netherlands'),
(107218, '194.45.62.224', '194.45.62.231', 3257745120, 3257745127, 'DE', 'Germany'),
(107219, '194.45.62.232', '194.45.68.95', 3257745128, 3257746527, 'NL', 'Netherlands'),
(107220, '194.45.68.96', '194.45.68.103', 3257746528, 3257746535, 'DE', 'Germany'),
(107221, '194.45.68.104', '194.45.68.215', 3257746536, 3257746647, 'NL', 'Netherlands'),
(107222, '194.45.68.216', '194.45.68.223', 3257746648, 3257746655, 'DE', 'Germany'),
(107223, '194.45.68.224', '194.45.68.239', 3257746656, 3257746671, 'NL', 'Netherlands'),
(107224, '194.45.68.240', '194.45.68.247', 3257746672, 3257746679, 'DE', 'Germany'),
(107225, '194.45.68.248', '194.45.69.231', 3257746680, 3257746919, 'NL', 'Netherlands'),
(107226, '194.45.69.232', '194.45.69.239', 3257746920, 3257746927, 'DE', 'Germany'),
(107227, '194.45.69.240', '194.45.69.255', 3257746928, 3257746943, 'NL', 'Netherlands'),
(107228, '194.45.70.0', '194.45.71.255', 3257746944, 3257747455, 'DE', 'Germany'),
(107229, '194.45.72.0', '194.45.72.15', 3257747456, 3257747471, 'NL', 'Netherlands'),
(107230, '194.45.72.16', '194.45.72.23', 3257747472, 3257747479, 'DE', 'Germany'),
(107231, '194.45.72.24', '194.45.72.151', 3257747480, 3257747607, 'NL', 'Netherlands'),
(107232, '194.45.72.152', '194.45.72.159', 3257747608, 3257747615, 'DE', 'Germany'),
(107233, '194.45.72.160', '194.45.72.199', 3257747616, 3257747655, 'NL', 'Netherlands'),
(107234, '194.45.72.200', '194.45.72.207', 3257747656, 3257747663, 'DE', 'Germany'),
(107235, '194.45.72.208', '194.45.73.135', 3257747664, 3257747847, 'NL', 'Netherlands'),
(107236, '194.45.73.136', '194.45.73.143', 3257747848, 3257747855, 'DE', 'Germany'),
(107237, '194.45.73.144', '194.45.74.47', 3257747856, 3257748015, 'NL', 'Netherlands'),
(107238, '194.45.74.48', '194.45.74.55', 3257748016, 3257748023, 'DE', 'Germany'),
(107239, '194.45.74.56', '194.45.74.95', 3257748024, 3257748063, 'NL', 'Netherlands'),
(107240, '194.45.74.96', '194.45.74.103', 3257748064, 3257748071, 'DE', 'Germany'),
(107241, '194.45.74.104', '194.45.75.231', 3257748072, 3257748455, 'NL', 'Netherlands'),
(107242, '194.45.75.232', '194.45.75.239', 3257748456, 3257748463, 'DE', 'Germany'),
(107243, '194.45.75.240', '194.45.75.255', 3257748464, 3257748479, 'NL', 'Netherlands'),
(107244, '194.45.76.0', '194.45.79.255', 3257748480, 3257749503, 'DE', 'Germany'),
(107245, '194.45.80.0', '194.45.80.159', 3257749504, 3257749663, 'NL', 'Netherlands'),
(107246, '194.45.80.160', '194.45.80.183', 3257749664, 3257749687, 'DE', 'Germany'),
(107247, '194.45.80.184', '194.45.80.239', 3257749688, 3257749743, 'NL', 'Netherlands'),
(107248, '194.45.80.240', '194.45.80.247', 3257749744, 3257749751, 'DE', 'Germany'),
(107249, '194.45.80.248', '194.45.80.255', 3257749752, 3257749759, 'NL', 'Netherlands'),
(107250, '194.45.81.0', '194.45.81.7', 3257749760, 3257749767, 'DE', 'Germany'),
(107251, '194.45.81.8', '194.45.81.23', 3257749768, 3257749783, 'NL', 'Netherlands'),
(107252, '194.45.81.24', '194.45.81.31', 3257749784, 3257749791, 'DE', 'Germany'),
(107253, '194.45.81.32', '194.45.81.103', 3257749792, 3257749863, 'NL', 'Netherlands'),
(107254, '194.45.81.104', '194.45.81.111', 3257749864, 3257749871, 'DE', 'Germany'),
(107255, '194.45.81.112', '194.45.81.183', 3257749872, 3257749943, 'NL', 'Netherlands'),
(107256, '194.45.81.184', '194.45.81.191', 3257749944, 3257749951, 'DE', 'Germany'),
(107257, '194.45.81.192', '194.45.81.255', 3257749952, 3257750015, 'NL', 'Netherlands'),
(107258, '194.45.82.0', '194.45.82.7', 3257750016, 3257750023, 'DE', 'Germany'),
(107259, '194.45.82.8', '194.45.82.55', 3257750024, 3257750071, 'NL', 'Netherlands'),
(107260, '194.45.82.56', '194.45.82.63', 3257750072, 3257750079, 'DE', 'Germany'),
(107261, '194.45.82.64', '194.45.82.135', 3257750080, 3257750151, 'NL', 'Netherlands'),
(107262, '194.45.82.136', '194.45.82.143', 3257750152, 3257750159, 'DE', 'Germany'),
(107263, '194.45.82.144', '194.45.82.215', 3257750160, 3257750231, 'NL', 'Netherlands'),
(107264, '194.45.82.216', '194.45.82.223', 3257750232, 3257750239, 'DE', 'Germany'),
(107265, '194.45.82.224', '194.45.83.87', 3257750240, 3257750359, 'NL', 'Netherlands'),
(107266, '194.45.83.88', '194.45.83.95', 3257750360, 3257750367, 'DE', 'Germany'),
(107267, '194.45.83.96', '194.45.83.199', 3257750368, 3257750471, 'NL', 'Netherlands'),
(107268, '194.45.83.200', '194.45.83.207', 3257750472, 3257750479, 'DE', 'Germany'),
(107269, '194.45.83.208', '194.45.84.87', 3257750480, 3257750615, 'NL', 'Netherlands'),
(107270, '194.45.84.88', '194.45.84.95', 3257750616, 3257750623, 'DE', 'Germany'),
(107271, '194.45.84.96', '194.45.84.103', 3257750624, 3257750631, 'NL', 'Netherlands'),
(107272, '194.45.84.104', '194.45.84.111', 3257750632, 3257750639, 'DE', 'Germany'),
(107273, '194.45.84.112', '194.45.84.127', 3257750640, 3257750655, 'NL', 'Netherlands'),
(107274, '194.45.84.128', '194.45.84.135', 3257750656, 3257750663, 'DE', 'Germany'),
(107275, '194.45.84.136', '194.45.84.143', 3257750664, 3257750671, 'NL', 'Netherlands'),
(107276, '194.45.84.144', '194.45.84.151', 3257750672, 3257750679, 'DE', 'Germany'),
(107277, '194.45.84.152', '194.45.84.207', 3257750680, 3257750735, 'NL', 'Netherlands'),
(107278, '194.45.84.208', '194.45.84.215', 3257750736, 3257750743, 'DE', 'Germany'),
(107279, '194.45.84.216', '194.45.84.231', 3257750744, 3257750759, 'NL', 'Netherlands'),
(107280, '194.45.84.232', '194.45.84.239', 3257750760, 3257750767, 'DE', 'Germany'),
(107281, '194.45.84.240', '194.45.85.135', 3257750768, 3257750919, 'NL', 'Netherlands'),
(107282, '194.45.85.136', '194.45.85.151', 3257750920, 3257750935, 'DE', 'Germany'),
(107283, '194.45.85.152', '194.45.85.247', 3257750936, 3257751031, 'NL', 'Netherlands'),
(107284, '194.45.85.248', '194.45.85.255', 3257751032, 3257751039, 'DE', 'Germany'),
(107285, '194.45.86.0', '194.45.86.159', 3257751040, 3257751199, 'NL', 'Netherlands'),
(107286, '194.45.86.160', '194.45.86.167', 3257751200, 3257751207, 'DE', 'Germany'),
(107287, '194.45.86.168', '194.45.86.175', 3257751208, 3257751215, 'NL', 'Netherlands'),
(107288, '194.45.86.176', '194.45.86.183', 3257751216, 3257751223, 'DE', 'Germany'),
(107289, '194.45.86.184', '194.45.86.207', 3257751224, 3257751247, 'NL', 'Netherlands'),
(107290, '194.45.86.208', '194.45.86.223', 3257751248, 3257751263, 'DE', 'Germany'),
(107291, '194.45.86.224', '194.45.86.239', 3257751264, 3257751279, 'NL', 'Netherlands'),
(107292, '194.45.86.240', '194.45.86.247', 3257751280, 3257751287, 'DE', 'Germany'),
(107293, '194.45.86.248', '194.45.87.55', 3257751288, 3257751351, 'NL', 'Netherlands'),
(107294, '194.45.87.56', '194.45.87.63', 3257751352, 3257751359, 'DE', 'Germany'),
(107295, '194.45.87.64', '194.45.88.71', 3257751360, 3257751623, 'NL', 'Netherlands'),
(107296, '194.45.88.72', '194.45.88.79', 3257751624, 3257751631, 'DE', 'Germany'),
(107297, '194.45.88.80', '194.45.88.87', 3257751632, 3257751639, 'NL', 'Netherlands'),
(107298, '194.45.88.88', '194.45.88.95', 3257751640, 3257751647, 'DE', 'Germany'),
(107299, '194.45.88.96', '194.45.88.159', 3257751648, 3257751711, 'NL', 'Netherlands'),
(107300, '194.45.88.160', '194.45.88.167', 3257751712, 3257751719, 'DE', 'Germany'),
(107301, '194.45.88.168', '194.45.89.15', 3257751720, 3257751823, 'NL', 'Netherlands'),
(107302, '194.45.89.16', '194.45.89.23', 3257751824, 3257751831, 'DE', 'Germany'),
(107303, '194.45.89.24', '194.45.89.63', 3257751832, 3257751871, 'NL', 'Netherlands'),
(107304, '194.45.89.64', '194.45.89.79', 3257751872, 3257751887, 'DE', 'Germany'),
(107305, '194.45.89.80', '194.45.89.95', 3257751888, 3257751903, 'NL', 'Netherlands'),
(107306, '194.45.89.96', '194.45.89.103', 3257751904, 3257751911, 'DE', 'Germany'),
(107307, '194.45.89.104', '194.45.89.167', 3257751912, 3257751975, 'NL', 'Netherlands'),
(107308, '194.45.89.168', '194.45.89.175', 3257751976, 3257751983, 'DE', 'Germany'),
(107309, '194.45.89.176', '194.45.89.215', 3257751984, 3257752023, 'NL', 'Netherlands'),
(107310, '194.45.89.216', '194.45.89.223', 3257752024, 3257752031, 'DE', 'Germany'),
(107311, '194.45.89.224', '194.45.90.7', 3257752032, 3257752071, 'NL', 'Netherlands'),
(107312, '194.45.90.8', '194.45.90.15', 3257752072, 3257752079, 'DE', 'Germany'),
(107313, '194.45.90.16', '194.45.90.39', 3257752080, 3257752103, 'NL', 'Netherlands'),
(107314, '194.45.90.40', '194.45.90.47', 3257752104, 3257752111, 'DE', 'Germany'),
(107315, '194.45.90.48', '194.45.90.71', 3257752112, 3257752135, 'NL', 'Netherlands'),
(107316, '194.45.90.72', '194.45.90.79', 3257752136, 3257752143, 'DE', 'Germany'),
(107317, '194.45.90.80', '194.45.90.103', 3257752144, 3257752167, 'NL', 'Netherlands'),
(107318, '194.45.90.104', '194.45.90.119', 3257752168, 3257752183, 'DE', 'Germany'),
(107319, '194.45.90.120', '194.45.91.79', 3257752184, 3257752399, 'NL', 'Netherlands'),
(107320, '194.45.91.80', '194.45.91.87', 3257752400, 3257752407, 'DE', 'Germany'),
(107321, '194.45.91.88', '194.45.91.175', 3257752408, 3257752495, 'NL', 'Netherlands'),
(107322, '194.45.91.176', '194.45.91.183', 3257752496, 3257752503, 'DE', 'Germany'),
(107323, '194.45.91.184', '194.45.91.207', 3257752504, 3257752527, 'NL', 'Netherlands'),
(107324, '194.45.91.208', '194.45.91.223', 3257752528, 3257752543, 'DE', 'Germany'),
(107325, '194.45.91.224', '194.45.92.7', 3257752544, 3257752583, 'NL', 'Netherlands'),
(107326, '194.45.92.8', '194.45.92.15', 3257752584, 3257752591, 'DE', 'Germany'),
(107327, '194.45.92.16', '194.45.92.31', 3257752592, 3257752607, 'NL', 'Netherlands'),
(107328, '194.45.92.32', '194.45.92.39', 3257752608, 3257752615, 'DE', 'Germany'),
(107329, '194.45.92.40', '194.45.92.47', 3257752616, 3257752623, 'NL', 'Netherlands'),
(107330, '194.45.92.48', '194.45.92.55', 3257752624, 3257752631, 'DE', 'Germany'),
(107331, '194.45.92.56', '194.45.92.151', 3257752632, 3257752727, 'NL', 'Netherlands'),
(107332, '194.45.92.152', '194.45.92.159', 3257752728, 3257752735, 'DE', 'Germany'),
(107333, '194.45.92.160', '194.45.92.207', 3257752736, 3257752783, 'NL', 'Netherlands'),
(107334, '194.45.92.208', '194.45.92.215', 3257752784, 3257752791, 'DE', 'Germany'),
(107335, '194.45.92.216', '194.45.92.223', 3257752792, 3257752799, 'NL', 'Netherlands'),
(107336, '194.45.92.224', '194.45.92.231', 3257752800, 3257752807, 'DE', 'Germany'),
(107337, '194.45.92.232', '194.45.93.87', 3257752808, 3257752919, 'NL', 'Netherlands'),
(107338, '194.45.93.88', '194.45.93.103', 3257752920, 3257752935, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(107339, '194.45.93.104', '194.45.93.255', 3257752936, 3257753087, 'NL', 'Netherlands'),
(107340, '194.45.94.0', '194.45.107.255', 3257753088, 3257756671, 'DE', 'Germany'),
(107341, '194.45.108.0', '194.45.108.63', 3257756672, 3257756735, 'NL', 'Netherlands'),
(107342, '194.45.108.64', '194.45.108.71', 3257756736, 3257756743, 'DE', 'Germany'),
(107343, '194.45.108.72', '194.45.108.135', 3257756744, 3257756807, 'NL', 'Netherlands'),
(107344, '194.45.108.136', '194.45.108.151', 3257756808, 3257756823, 'DE', 'Germany'),
(107345, '194.45.108.152', '194.45.108.215', 3257756824, 3257756887, 'NL', 'Netherlands'),
(107346, '194.45.108.216', '194.45.108.223', 3257756888, 3257756895, 'DE', 'Germany'),
(107347, '194.45.108.224', '194.45.108.247', 3257756896, 3257756919, 'NL', 'Netherlands'),
(107348, '194.45.108.248', '194.45.108.255', 3257756920, 3257756927, 'DE', 'Germany'),
(107349, '194.45.109.0', '194.45.109.79', 3257756928, 3257757007, 'NL', 'Netherlands'),
(107350, '194.45.109.80', '194.45.109.87', 3257757008, 3257757015, 'DE', 'Germany'),
(107351, '194.45.109.88', '194.45.110.159', 3257757016, 3257757343, 'NL', 'Netherlands'),
(107352, '194.45.110.160', '194.45.110.167', 3257757344, 3257757351, 'DE', 'Germany'),
(107353, '194.45.110.168', '194.45.110.191', 3257757352, 3257757375, 'NL', 'Netherlands'),
(107354, '194.45.110.192', '194.45.110.199', 3257757376, 3257757383, 'DE', 'Germany'),
(107355, '194.45.110.200', '194.45.110.223', 3257757384, 3257757407, 'NL', 'Netherlands'),
(107356, '194.45.110.224', '194.45.110.239', 3257757408, 3257757423, 'DE', 'Germany'),
(107357, '194.45.110.240', '194.45.111.71', 3257757424, 3257757511, 'NL', 'Netherlands'),
(107358, '194.45.111.72', '194.45.111.79', 3257757512, 3257757519, 'DE', 'Germany'),
(107359, '194.45.111.80', '194.45.111.199', 3257757520, 3257757639, 'NL', 'Netherlands'),
(107360, '194.45.111.200', '194.45.111.207', 3257757640, 3257757647, 'DE', 'Germany'),
(107361, '194.45.111.208', '194.45.112.39', 3257757648, 3257757735, 'NL', 'Netherlands'),
(107362, '194.45.112.40', '194.45.112.55', 3257757736, 3257757751, 'DE', 'Germany'),
(107363, '194.45.112.56', '194.45.112.103', 3257757752, 3257757799, 'NL', 'Netherlands'),
(107364, '194.45.112.104', '194.45.112.111', 3257757800, 3257757807, 'DE', 'Germany'),
(107365, '194.45.112.112', '194.45.112.119', 3257757808, 3257757815, 'NL', 'Netherlands'),
(107366, '194.45.112.120', '194.45.112.135', 3257757816, 3257757831, 'DE', 'Germany'),
(107367, '194.45.112.136', '194.45.112.223', 3257757832, 3257757919, 'NL', 'Netherlands'),
(107368, '194.45.112.224', '194.45.112.239', 3257757920, 3257757935, 'DE', 'Germany'),
(107369, '194.45.112.240', '194.45.113.191', 3257757936, 3257758143, 'NL', 'Netherlands'),
(107370, '194.45.113.192', '194.45.113.199', 3257758144, 3257758151, 'DE', 'Germany'),
(107371, '194.45.113.200', '194.45.114.31', 3257758152, 3257758239, 'NL', 'Netherlands'),
(107372, '194.45.114.32', '194.45.114.39', 3257758240, 3257758247, 'DE', 'Germany'),
(107373, '194.45.114.40', '194.45.114.63', 3257758248, 3257758271, 'NL', 'Netherlands'),
(107374, '194.45.114.64', '194.45.114.71', 3257758272, 3257758279, 'DE', 'Germany'),
(107375, '194.45.114.72', '194.45.114.127', 3257758280, 3257758335, 'NL', 'Netherlands'),
(107376, '194.45.114.128', '194.45.114.135', 3257758336, 3257758343, 'DE', 'Germany'),
(107377, '194.45.114.136', '194.45.114.167', 3257758344, 3257758375, 'NL', 'Netherlands'),
(107378, '194.45.114.168', '194.45.114.175', 3257758376, 3257758383, 'DE', 'Germany'),
(107379, '194.45.114.176', '194.45.114.215', 3257758384, 3257758423, 'NL', 'Netherlands'),
(107380, '194.45.114.216', '194.45.114.223', 3257758424, 3257758431, 'DE', 'Germany'),
(107381, '194.45.114.224', '194.45.115.47', 3257758432, 3257758511, 'NL', 'Netherlands'),
(107382, '194.45.115.48', '194.45.115.55', 3257758512, 3257758519, 'DE', 'Germany'),
(107383, '194.45.115.56', '194.45.115.103', 3257758520, 3257758567, 'NL', 'Netherlands'),
(107384, '194.45.115.104', '194.45.115.111', 3257758568, 3257758575, 'DE', 'Germany'),
(107385, '194.45.115.112', '194.45.115.159', 3257758576, 3257758623, 'NL', 'Netherlands'),
(107386, '194.45.115.160', '194.45.115.175', 3257758624, 3257758639, 'DE', 'Germany'),
(107387, '194.45.115.176', '194.45.115.183', 3257758640, 3257758647, 'NL', 'Netherlands'),
(107388, '194.45.115.184', '194.45.115.191', 3257758648, 3257758655, 'DE', 'Germany'),
(107389, '194.45.115.192', '194.45.116.135', 3257758656, 3257758855, 'NL', 'Netherlands'),
(107390, '194.45.116.136', '194.45.116.143', 3257758856, 3257758863, 'DE', 'Germany'),
(107391, '194.45.116.144', '194.45.116.159', 3257758864, 3257758879, 'NL', 'Netherlands'),
(107392, '194.45.116.160', '194.45.116.167', 3257758880, 3257758887, 'DE', 'Germany'),
(107393, '194.45.116.168', '194.45.116.207', 3257758888, 3257758927, 'NL', 'Netherlands'),
(107394, '194.45.116.208', '194.45.116.215', 3257758928, 3257758935, 'DE', 'Germany'),
(107395, '194.45.116.216', '194.45.117.111', 3257758936, 3257759087, 'NL', 'Netherlands'),
(107396, '194.45.117.112', '194.45.117.119', 3257759088, 3257759095, 'DE', 'Germany'),
(107397, '194.45.117.120', '194.45.117.159', 3257759096, 3257759135, 'NL', 'Netherlands'),
(107398, '194.45.117.160', '194.45.117.175', 3257759136, 3257759151, 'DE', 'Germany'),
(107399, '194.45.117.176', '194.45.117.183', 3257759152, 3257759159, 'NL', 'Netherlands'),
(107400, '194.45.117.184', '194.45.117.191', 3257759160, 3257759167, 'DE', 'Germany'),
(107401, '194.45.117.192', '194.45.118.23', 3257759168, 3257759255, 'NL', 'Netherlands'),
(107402, '194.45.118.24', '194.45.118.31', 3257759256, 3257759263, 'DE', 'Germany'),
(107403, '194.45.118.32', '194.45.118.39', 3257759264, 3257759271, 'NL', 'Netherlands'),
(107404, '194.45.118.40', '194.45.118.47', 3257759272, 3257759279, 'DE', 'Germany'),
(107405, '194.45.118.48', '194.45.118.55', 3257759280, 3257759287, 'NL', 'Netherlands'),
(107406, '194.45.118.56', '194.45.118.63', 3257759288, 3257759295, 'DE', 'Germany'),
(107407, '194.45.118.64', '194.45.118.183', 3257759296, 3257759415, 'NL', 'Netherlands'),
(107408, '194.45.118.184', '194.45.118.191', 3257759416, 3257759423, 'DE', 'Germany'),
(107409, '194.45.118.192', '194.45.119.159', 3257759424, 3257759647, 'NL', 'Netherlands'),
(107410, '194.45.119.160', '194.45.119.183', 3257759648, 3257759671, 'DE', 'Germany'),
(107411, '194.45.119.184', '194.45.119.247', 3257759672, 3257759735, 'NL', 'Netherlands'),
(107412, '194.45.119.248', '194.45.119.255', 3257759736, 3257759743, 'DE', 'Germany'),
(107413, '194.45.120.0', '194.45.120.47', 3257759744, 3257759791, 'NL', 'Netherlands'),
(107414, '194.45.120.48', '194.45.120.55', 3257759792, 3257759799, 'DE', 'Germany'),
(107415, '194.45.120.56', '194.45.120.103', 3257759800, 3257759847, 'NL', 'Netherlands'),
(107416, '194.45.120.104', '194.45.120.119', 3257759848, 3257759863, 'DE', 'Germany'),
(107417, '194.45.120.120', '194.45.120.127', 3257759864, 3257759871, 'NL', 'Netherlands'),
(107418, '194.45.120.128', '194.45.120.135', 3257759872, 3257759879, 'DE', 'Germany'),
(107419, '194.45.120.136', '194.45.120.143', 3257759880, 3257759887, 'NL', 'Netherlands'),
(107420, '194.45.120.144', '194.45.120.159', 3257759888, 3257759903, 'DE', 'Germany'),
(107421, '194.45.120.160', '194.45.120.231', 3257759904, 3257759975, 'NL', 'Netherlands'),
(107422, '194.45.120.232', '194.45.120.239', 3257759976, 3257759983, 'DE', 'Germany'),
(107423, '194.45.120.240', '194.45.121.15', 3257759984, 3257760015, 'NL', 'Netherlands'),
(107424, '194.45.121.16', '194.45.121.23', 3257760016, 3257760023, 'DE', 'Germany'),
(107425, '194.45.121.24', '194.45.121.39', 3257760024, 3257760039, 'NL', 'Netherlands'),
(107426, '194.45.121.40', '194.45.121.47', 3257760040, 3257760047, 'DE', 'Germany'),
(107427, '194.45.121.48', '194.45.121.95', 3257760048, 3257760095, 'NL', 'Netherlands'),
(107428, '194.45.121.96', '194.45.121.103', 3257760096, 3257760103, 'DE', 'Germany'),
(107429, '194.45.121.104', '194.45.121.167', 3257760104, 3257760167, 'NL', 'Netherlands'),
(107430, '194.45.121.168', '194.45.121.175', 3257760168, 3257760175, 'DE', 'Germany'),
(107431, '194.45.121.176', '194.45.121.231', 3257760176, 3257760231, 'NL', 'Netherlands'),
(107432, '194.45.121.232', '194.45.121.239', 3257760232, 3257760239, 'DE', 'Germany'),
(107433, '194.45.121.240', '194.45.122.7', 3257760240, 3257760263, 'NL', 'Netherlands'),
(107434, '194.45.122.8', '194.45.122.15', 3257760264, 3257760271, 'DE', 'Germany'),
(107435, '194.45.122.16', '194.45.122.47', 3257760272, 3257760303, 'NL', 'Netherlands'),
(107436, '194.45.122.48', '194.45.122.55', 3257760304, 3257760311, 'DE', 'Germany'),
(107437, '194.45.122.56', '194.45.122.103', 3257760312, 3257760359, 'NL', 'Netherlands'),
(107438, '194.45.122.104', '194.45.122.111', 3257760360, 3257760367, 'DE', 'Germany'),
(107439, '194.45.122.112', '194.45.122.175', 3257760368, 3257760431, 'NL', 'Netherlands'),
(107440, '194.45.122.176', '194.45.122.183', 3257760432, 3257760439, 'DE', 'Germany'),
(107441, '194.45.122.184', '194.45.122.239', 3257760440, 3257760495, 'NL', 'Netherlands'),
(107442, '194.45.122.240', '194.45.122.247', 3257760496, 3257760503, 'DE', 'Germany'),
(107443, '194.45.122.248', '194.45.123.47', 3257760504, 3257760559, 'NL', 'Netherlands'),
(107444, '194.45.123.48', '194.45.123.55', 3257760560, 3257760567, 'DE', 'Germany'),
(107445, '194.45.123.56', '194.45.123.143', 3257760568, 3257760655, 'NL', 'Netherlands'),
(107446, '194.45.123.144', '194.45.123.151', 3257760656, 3257760663, 'DE', 'Germany'),
(107447, '194.45.123.152', '194.45.124.23', 3257760664, 3257760791, 'NL', 'Netherlands'),
(107448, '194.45.124.24', '194.45.124.31', 3257760792, 3257760799, 'DE', 'Germany'),
(107449, '194.45.124.32', '194.45.124.71', 3257760800, 3257760839, 'NL', 'Netherlands'),
(107450, '194.45.124.72', '194.45.124.79', 3257760840, 3257760847, 'DE', 'Germany'),
(107451, '194.45.124.80', '194.45.124.95', 3257760848, 3257760863, 'NL', 'Netherlands'),
(107452, '194.45.124.96', '194.45.124.103', 3257760864, 3257760871, 'DE', 'Germany'),
(107453, '194.45.124.104', '194.45.124.159', 3257760872, 3257760927, 'NL', 'Netherlands'),
(107454, '194.45.124.160', '194.45.124.167', 3257760928, 3257760935, 'DE', 'Germany'),
(107455, '194.45.124.168', '194.45.124.191', 3257760936, 3257760959, 'NL', 'Netherlands'),
(107456, '194.45.124.192', '194.45.124.199', 3257760960, 3257760967, 'DE', 'Germany'),
(107457, '194.45.124.200', '194.45.125.31', 3257760968, 3257761055, 'NL', 'Netherlands'),
(107458, '194.45.125.32', '194.45.125.47', 3257761056, 3257761071, 'DE', 'Germany'),
(107459, '194.45.125.48', '194.45.125.127', 3257761072, 3257761151, 'NL', 'Netherlands'),
(107460, '194.45.125.128', '194.45.125.135', 3257761152, 3257761159, 'DE', 'Germany'),
(107461, '194.45.125.136', '194.45.125.255', 3257761160, 3257761279, 'NL', 'Netherlands'),
(107462, '194.45.126.0', '194.45.127.255', 3257761280, 3257761791, 'DE', 'Germany'),
(107463, '194.45.128.0', '194.45.128.47', 3257761792, 3257761839, 'NL', 'Netherlands'),
(107464, '194.45.128.48', '194.45.128.55', 3257761840, 3257761847, 'DE', 'Germany'),
(107465, '194.45.128.56', '194.45.128.87', 3257761848, 3257761879, 'NL', 'Netherlands'),
(107466, '194.45.128.88', '194.45.128.95', 3257761880, 3257761887, 'DE', 'Germany'),
(107467, '194.45.128.96', '194.45.128.111', 3257761888, 3257761903, 'NL', 'Netherlands'),
(107468, '194.45.128.112', '194.45.128.127', 3257761904, 3257761919, 'DE', 'Germany'),
(107469, '194.45.128.128', '194.45.128.159', 3257761920, 3257761951, 'NL', 'Netherlands'),
(107470, '194.45.128.160', '194.45.128.167', 3257761952, 3257761959, 'DE', 'Germany'),
(107471, '194.45.128.168', '194.45.128.231', 3257761960, 3257762023, 'NL', 'Netherlands'),
(107472, '194.45.128.232', '194.45.128.239', 3257762024, 3257762031, 'DE', 'Germany'),
(107473, '194.45.128.240', '194.45.129.127', 3257762032, 3257762175, 'NL', 'Netherlands'),
(107474, '194.45.129.128', '194.45.129.135', 3257762176, 3257762183, 'DE', 'Germany'),
(107475, '194.45.129.136', '194.45.129.167', 3257762184, 3257762215, 'NL', 'Netherlands'),
(107476, '194.45.129.168', '194.45.129.175', 3257762216, 3257762223, 'DE', 'Germany'),
(107477, '194.45.129.176', '194.45.129.199', 3257762224, 3257762247, 'NL', 'Netherlands'),
(107478, '194.45.129.200', '194.45.129.215', 3257762248, 3257762263, 'DE', 'Germany'),
(107479, '194.45.129.216', '194.45.130.55', 3257762264, 3257762359, 'NL', 'Netherlands'),
(107480, '194.45.130.56', '194.45.130.63', 3257762360, 3257762367, 'DE', 'Germany'),
(107481, '194.45.130.64', '194.45.130.87', 3257762368, 3257762391, 'NL', 'Netherlands'),
(107482, '194.45.130.88', '194.45.130.95', 3257762392, 3257762399, 'DE', 'Germany'),
(107483, '194.45.130.96', '194.45.130.103', 3257762400, 3257762407, 'NL', 'Netherlands'),
(107484, '194.45.130.104', '194.45.130.111', 3257762408, 3257762415, 'DE', 'Germany'),
(107485, '194.45.130.112', '194.45.130.143', 3257762416, 3257762447, 'NL', 'Netherlands'),
(107486, '194.45.130.144', '194.45.130.151', 3257762448, 3257762455, 'DE', 'Germany'),
(107487, '194.45.130.152', '194.45.131.31', 3257762456, 3257762591, 'NL', 'Netherlands'),
(107488, '194.45.131.32', '194.45.131.39', 3257762592, 3257762599, 'DE', 'Germany'),
(107489, '194.45.131.40', '194.45.131.95', 3257762600, 3257762655, 'NL', 'Netherlands'),
(107490, '194.45.131.96', '194.45.131.103', 3257762656, 3257762663, 'DE', 'Germany'),
(107491, '194.45.131.104', '194.45.131.119', 3257762664, 3257762679, 'NL', 'Netherlands'),
(107492, '194.45.131.120', '194.45.131.135', 3257762680, 3257762695, 'DE', 'Germany'),
(107493, '194.45.131.136', '194.45.131.151', 3257762696, 3257762711, 'NL', 'Netherlands'),
(107494, '194.45.131.152', '194.45.131.159', 3257762712, 3257762719, 'DE', 'Germany'),
(107495, '194.45.131.160', '194.45.131.247', 3257762720, 3257762807, 'NL', 'Netherlands'),
(107496, '194.45.131.248', '194.45.131.255', 3257762808, 3257762815, 'DE', 'Germany'),
(107497, '194.45.132.0', '194.45.132.47', 3257762816, 3257762863, 'NL', 'Netherlands'),
(107498, '194.45.132.48', '194.45.132.55', 3257762864, 3257762871, 'DE', 'Germany'),
(107499, '194.45.132.56', '194.45.132.135', 3257762872, 3257762951, 'NL', 'Netherlands'),
(107500, '194.45.132.136', '194.45.132.143', 3257762952, 3257762959, 'DE', 'Germany'),
(107501, '194.45.132.144', '194.45.132.239', 3257762960, 3257763055, 'NL', 'Netherlands'),
(107502, '194.45.132.240', '194.45.132.247', 3257763056, 3257763063, 'DE', 'Germany'),
(107503, '194.45.132.248', '194.45.133.79', 3257763064, 3257763151, 'NL', 'Netherlands'),
(107504, '194.45.133.80', '194.45.133.87', 3257763152, 3257763159, 'DE', 'Germany'),
(107505, '194.45.133.88', '194.45.133.175', 3257763160, 3257763247, 'NL', 'Netherlands'),
(107506, '194.45.133.176', '194.45.133.183', 3257763248, 3257763255, 'DE', 'Germany'),
(107507, '194.45.133.184', '194.45.133.255', 3257763256, 3257763327, 'NL', 'Netherlands'),
(107508, '194.45.134.0', '194.45.135.255', 3257763328, 3257763839, 'DE', 'Germany'),
(107509, '194.45.136.0', '194.45.136.15', 3257763840, 3257763855, 'NL', 'Netherlands'),
(107510, '194.45.136.16', '194.45.136.31', 3257763856, 3257763871, 'DE', 'Germany'),
(107511, '194.45.136.32', '194.45.136.87', 3257763872, 3257763927, 'NL', 'Netherlands'),
(107512, '194.45.136.88', '194.45.136.95', 3257763928, 3257763935, 'DE', 'Germany'),
(107513, '194.45.136.96', '194.45.136.103', 3257763936, 3257763943, 'NL', 'Netherlands'),
(107514, '194.45.136.104', '194.45.136.111', 3257763944, 3257763951, 'DE', 'Germany'),
(107515, '194.45.136.112', '194.45.136.159', 3257763952, 3257763999, 'NL', 'Netherlands'),
(107516, '194.45.136.160', '194.45.136.167', 3257764000, 3257764007, 'DE', 'Germany'),
(107517, '194.45.136.168', '194.45.137.151', 3257764008, 3257764247, 'NL', 'Netherlands'),
(107518, '194.45.137.152', '194.45.137.159', 3257764248, 3257764255, 'DE', 'Germany'),
(107519, '194.45.137.160', '194.45.137.191', 3257764256, 3257764287, 'NL', 'Netherlands'),
(107520, '194.45.137.192', '194.45.137.199', 3257764288, 3257764295, 'DE', 'Germany'),
(107521, '194.45.137.200', '194.45.138.135', 3257764296, 3257764487, 'NL', 'Netherlands'),
(107522, '194.45.138.136', '194.45.138.159', 3257764488, 3257764511, 'DE', 'Germany'),
(107523, '194.45.138.160', '194.45.138.191', 3257764512, 3257764543, 'NL', 'Netherlands'),
(107524, '194.45.138.192', '194.45.138.199', 3257764544, 3257764551, 'DE', 'Germany'),
(107525, '194.45.138.200', '194.45.138.239', 3257764552, 3257764591, 'NL', 'Netherlands'),
(107526, '194.45.138.240', '194.45.138.247', 3257764592, 3257764599, 'DE', 'Germany'),
(107527, '194.45.138.248', '194.45.139.39', 3257764600, 3257764647, 'NL', 'Netherlands'),
(107528, '194.45.139.40', '194.45.139.47', 3257764648, 3257764655, 'DE', 'Germany'),
(107529, '194.45.139.48', '194.45.139.191', 3257764656, 3257764799, 'NL', 'Netherlands'),
(107530, '194.45.139.192', '194.45.139.199', 3257764800, 3257764807, 'DE', 'Germany'),
(107531, '194.45.139.200', '194.45.140.15', 3257764808, 3257764879, 'NL', 'Netherlands'),
(107532, '194.45.140.16', '194.45.140.23', 3257764880, 3257764887, 'DE', 'Germany'),
(107533, '194.45.140.24', '194.45.140.63', 3257764888, 3257764927, 'NL', 'Netherlands'),
(107534, '194.45.140.64', '194.45.140.71', 3257764928, 3257764935, 'DE', 'Germany'),
(107535, '194.45.140.72', '194.45.140.119', 3257764936, 3257764983, 'NL', 'Netherlands'),
(107536, '194.45.140.120', '194.45.140.127', 3257764984, 3257764991, 'DE', 'Germany'),
(107537, '194.45.140.128', '194.45.140.191', 3257764992, 3257765055, 'NL', 'Netherlands'),
(107538, '194.45.140.192', '194.45.140.199', 3257765056, 3257765063, 'DE', 'Germany'),
(107539, '194.45.140.200', '194.45.141.143', 3257765064, 3257765263, 'NL', 'Netherlands'),
(107540, '194.45.141.144', '194.45.141.159', 3257765264, 3257765279, 'DE', 'Germany'),
(107541, '194.45.141.160', '194.45.141.255', 3257765280, 3257765375, 'NL', 'Netherlands'),
(107542, '194.45.142.0', '194.45.155.255', 3257765376, 3257768959, 'DE', 'Germany'),
(107543, '194.45.156.0', '194.45.156.111', 3257768960, 3257769071, 'NL', 'Netherlands'),
(107544, '194.45.156.112', '194.45.156.119', 3257769072, 3257769079, 'DE', 'Germany'),
(107545, '194.45.156.120', '194.45.156.255', 3257769080, 3257769215, 'NL', 'Netherlands'),
(107546, '194.45.157.0', '194.45.157.7', 3257769216, 3257769223, 'DE', 'Germany'),
(107547, '194.45.157.8', '194.45.158.71', 3257769224, 3257769543, 'NL', 'Netherlands'),
(107548, '194.45.158.72', '194.45.158.79', 3257769544, 3257769551, 'DE', 'Germany'),
(107549, '194.45.158.80', '194.45.158.95', 3257769552, 3257769567, 'NL', 'Netherlands'),
(107550, '194.45.158.96', '194.45.158.103', 3257769568, 3257769575, 'DE', 'Germany'),
(107551, '194.45.158.104', '194.45.158.231', 3257769576, 3257769703, 'NL', 'Netherlands'),
(107552, '194.45.158.232', '194.45.158.239', 3257769704, 3257769711, 'DE', 'Germany'),
(107553, '194.45.158.240', '194.45.158.247', 3257769712, 3257769719, 'NL', 'Netherlands'),
(107554, '194.45.158.248', '194.45.158.255', 3257769720, 3257769727, 'DE', 'Germany'),
(107555, '194.45.159.0', '194.45.160.39', 3257769728, 3257770023, 'NL', 'Netherlands'),
(107556, '194.45.160.40', '194.45.160.47', 3257770024, 3257770031, 'DE', 'Germany'),
(107557, '194.45.160.48', '194.45.160.55', 3257770032, 3257770039, 'NL', 'Netherlands'),
(107558, '194.45.160.56', '194.45.160.63', 3257770040, 3257770047, 'DE', 'Germany'),
(107559, '194.45.160.64', '194.45.160.87', 3257770048, 3257770071, 'NL', 'Netherlands'),
(107560, '194.45.160.88', '194.45.160.95', 3257770072, 3257770079, 'DE', 'Germany'),
(107561, '194.45.160.96', '194.45.160.111', 3257770080, 3257770095, 'NL', 'Netherlands'),
(107562, '194.45.160.112', '194.45.160.119', 3257770096, 3257770103, 'DE', 'Germany'),
(107563, '194.45.160.120', '194.45.160.167', 3257770104, 3257770151, 'NL', 'Netherlands'),
(107564, '194.45.160.168', '194.45.160.175', 3257770152, 3257770159, 'DE', 'Germany'),
(107565, '194.45.160.176', '194.45.161.55', 3257770160, 3257770295, 'NL', 'Netherlands'),
(107566, '194.45.161.56', '194.45.161.63', 3257770296, 3257770303, 'DE', 'Germany'),
(107567, '194.45.161.64', '194.45.161.119', 3257770304, 3257770359, 'NL', 'Netherlands'),
(107568, '194.45.161.120', '194.45.161.127', 3257770360, 3257770367, 'DE', 'Germany'),
(107569, '194.45.161.128', '194.45.161.215', 3257770368, 3257770455, 'NL', 'Netherlands'),
(107570, '194.45.161.216', '194.45.161.223', 3257770456, 3257770463, 'DE', 'Germany'),
(107571, '194.45.161.224', '194.45.162.15', 3257770464, 3257770511, 'NL', 'Netherlands'),
(107572, '194.45.162.16', '194.45.162.23', 3257770512, 3257770519, 'DE', 'Germany'),
(107573, '194.45.162.24', '194.45.162.103', 3257770520, 3257770599, 'NL', 'Netherlands'),
(107574, '194.45.162.104', '194.45.162.111', 3257770600, 3257770607, 'DE', 'Germany'),
(107575, '194.45.162.112', '194.45.162.127', 3257770608, 3257770623, 'NL', 'Netherlands'),
(107576, '194.45.162.128', '194.45.162.135', 3257770624, 3257770631, 'DE', 'Germany'),
(107577, '194.45.162.136', '194.45.163.71', 3257770632, 3257770823, 'NL', 'Netherlands'),
(107578, '194.45.163.72', '194.45.163.79', 3257770824, 3257770831, 'DE', 'Germany'),
(107579, '194.45.163.80', '194.45.163.159', 3257770832, 3257770911, 'NL', 'Netherlands'),
(107580, '194.45.163.160', '194.45.163.167', 3257770912, 3257770919, 'DE', 'Germany'),
(107581, '194.45.163.168', '194.45.163.255', 3257770920, 3257771007, 'NL', 'Netherlands'),
(107582, '194.45.164.0', '194.45.169.255', 3257771008, 3257772543, 'DE', 'Germany'),
(107583, '194.45.170.0', '194.45.170.87', 3257772544, 3257772631, 'NL', 'Netherlands'),
(107584, '194.45.170.88', '194.45.170.95', 3257772632, 3257772639, 'DE', 'Germany'),
(107585, '194.45.170.96', '194.45.170.191', 3257772640, 3257772735, 'NL', 'Netherlands'),
(107586, '194.45.170.192', '194.45.170.199', 3257772736, 3257772743, 'DE', 'Germany'),
(107587, '194.45.170.200', '194.45.170.239', 3257772744, 3257772783, 'NL', 'Netherlands'),
(107588, '194.45.170.240', '194.45.170.247', 3257772784, 3257772791, 'DE', 'Germany'),
(107589, '194.45.170.248', '194.45.171.15', 3257772792, 3257772815, 'NL', 'Netherlands'),
(107590, '194.45.171.16', '194.45.171.31', 3257772816, 3257772831, 'DE', 'Germany'),
(107591, '194.45.171.32', '194.45.171.47', 3257772832, 3257772847, 'NL', 'Netherlands'),
(107592, '194.45.171.48', '194.45.171.55', 3257772848, 3257772855, 'DE', 'Germany'),
(107593, '194.45.171.56', '194.45.171.95', 3257772856, 3257772895, 'NL', 'Netherlands'),
(107594, '194.45.171.96', '194.45.171.103', 3257772896, 3257772903, 'DE', 'Germany'),
(107595, '194.45.171.104', '194.45.171.191', 3257772904, 3257772991, 'NL', 'Netherlands'),
(107596, '194.45.171.192', '194.45.171.199', 3257772992, 3257772999, 'DE', 'Germany'),
(107597, '194.45.171.200', '194.45.172.39', 3257773000, 3257773095, 'NL', 'Netherlands'),
(107598, '194.45.172.40', '194.45.172.47', 3257773096, 3257773103, 'DE', 'Germany'),
(107599, '194.45.172.48', '194.45.172.143', 3257773104, 3257773199, 'NL', 'Netherlands'),
(107600, '194.45.172.144', '194.45.172.167', 3257773200, 3257773223, 'DE', 'Germany'),
(107601, '194.45.172.168', '194.45.172.247', 3257773224, 3257773303, 'NL', 'Netherlands'),
(107602, '194.45.172.248', '194.45.172.255', 3257773304, 3257773311, 'DE', 'Germany'),
(107603, '194.45.173.0', '194.45.173.79', 3257773312, 3257773391, 'NL', 'Netherlands'),
(107604, '194.45.173.80', '194.45.173.87', 3257773392, 3257773399, 'DE', 'Germany'),
(107605, '194.45.173.88', '194.45.173.103', 3257773400, 3257773415, 'NL', 'Netherlands'),
(107606, '194.45.173.104', '194.45.173.111', 3257773416, 3257773423, 'DE', 'Germany'),
(107607, '194.45.173.112', '194.45.173.127', 3257773424, 3257773439, 'NL', 'Netherlands'),
(107608, '194.45.173.128', '194.45.173.135', 3257773440, 3257773447, 'DE', 'Germany'),
(107609, '194.45.173.136', '194.45.174.199', 3257773448, 3257773767, 'NL', 'Netherlands'),
(107610, '194.45.174.200', '194.45.174.207', 3257773768, 3257773775, 'DE', 'Germany'),
(107611, '194.45.174.208', '194.45.174.231', 3257773776, 3257773799, 'NL', 'Netherlands'),
(107612, '194.45.174.232', '194.45.174.239', 3257773800, 3257773807, 'DE', 'Germany'),
(107613, '194.45.174.240', '194.45.175.7', 3257773808, 3257773831, 'NL', 'Netherlands'),
(107614, '194.45.175.8', '194.45.175.15', 3257773832, 3257773839, 'DE', 'Germany'),
(107615, '194.45.175.16', '194.45.175.23', 3257773840, 3257773847, 'NL', 'Netherlands'),
(107616, '194.45.175.24', '194.45.175.31', 3257773848, 3257773855, 'DE', 'Germany'),
(107617, '194.45.175.32', '194.45.175.79', 3257773856, 3257773903, 'NL', 'Netherlands'),
(107618, '194.45.175.80', '194.45.175.95', 3257773904, 3257773919, 'DE', 'Germany'),
(107619, '194.45.175.96', '194.45.175.127', 3257773920, 3257773951, 'NL', 'Netherlands'),
(107620, '194.45.175.128', '194.45.175.135', 3257773952, 3257773959, 'DE', 'Germany'),
(107621, '194.45.175.136', '194.45.175.183', 3257773960, 3257774007, 'NL', 'Netherlands'),
(107622, '194.45.175.184', '194.45.175.191', 3257774008, 3257774015, 'DE', 'Germany'),
(107623, '194.45.175.192', '194.45.175.231', 3257774016, 3257774055, 'NL', 'Netherlands'),
(107624, '194.45.175.232', '194.45.175.239', 3257774056, 3257774063, 'DE', 'Germany'),
(107625, '194.45.175.240', '194.45.176.207', 3257774064, 3257774287, 'NL', 'Netherlands'),
(107626, '194.45.176.208', '194.45.176.215', 3257774288, 3257774295, 'DE', 'Germany'),
(107627, '194.45.176.216', '194.45.176.255', 3257774296, 3257774335, 'NL', 'Netherlands'),
(107628, '194.45.177.0', '194.45.177.7', 3257774336, 3257774343, 'DE', 'Germany'),
(107629, '194.45.177.8', '194.45.177.23', 3257774344, 3257774359, 'NL', 'Netherlands'),
(107630, '194.45.177.24', '194.45.177.31', 3257774360, 3257774367, 'DE', 'Germany'),
(107631, '194.45.177.32', '194.45.177.39', 3257774368, 3257774375, 'NL', 'Netherlands'),
(107632, '194.45.177.40', '194.45.177.47', 3257774376, 3257774383, 'DE', 'Germany'),
(107633, '194.45.177.48', '194.45.177.151', 3257774384, 3257774487, 'NL', 'Netherlands'),
(107634, '194.45.177.152', '194.45.177.159', 3257774488, 3257774495, 'DE', 'Germany'),
(107635, '194.45.177.160', '194.45.178.183', 3257774496, 3257774775, 'NL', 'Netherlands'),
(107636, '194.45.178.184', '194.45.178.199', 3257774776, 3257774791, 'DE', 'Germany'),
(107637, '194.45.178.200', '194.45.179.23', 3257774792, 3257774871, 'NL', 'Netherlands'),
(107638, '194.45.179.24', '194.45.179.31', 3257774872, 3257774879, 'DE', 'Germany'),
(107639, '194.45.179.32', '194.45.179.103', 3257774880, 3257774951, 'NL', 'Netherlands'),
(107640, '194.45.179.104', '194.45.179.111', 3257774952, 3257774959, 'DE', 'Germany'),
(107641, '194.45.179.112', '194.45.179.135', 3257774960, 3257774983, 'NL', 'Netherlands'),
(107642, '194.45.179.136', '194.45.179.151', 3257774984, 3257774999, 'DE', 'Germany'),
(107643, '194.45.179.152', '194.45.179.199', 3257775000, 3257775047, 'NL', 'Netherlands'),
(107644, '194.45.179.200', '194.45.179.207', 3257775048, 3257775055, 'DE', 'Germany'),
(107645, '194.45.179.208', '194.45.179.255', 3257775056, 3257775103, 'NL', 'Netherlands'),
(107646, '194.45.180.0', '194.45.185.255', 3257775104, 3257776639, 'DE', 'Germany'),
(107647, '194.45.186.0', '194.45.186.23', 3257776640, 3257776663, 'NL', 'Netherlands'),
(107648, '194.45.186.24', '194.45.186.31', 3257776664, 3257776671, 'DE', 'Germany'),
(107649, '194.45.186.32', '194.45.186.87', 3257776672, 3257776727, 'NL', 'Netherlands'),
(107650, '194.45.186.88', '194.45.186.95', 3257776728, 3257776735, 'DE', 'Germany'),
(107651, '194.45.186.96', '194.45.186.127', 3257776736, 3257776767, 'NL', 'Netherlands'),
(107652, '194.45.186.128', '194.45.186.135', 3257776768, 3257776775, 'DE', 'Germany'),
(107653, '194.45.186.136', '194.45.187.87', 3257776776, 3257776983, 'NL', 'Netherlands'),
(107654, '194.45.187.88', '194.45.187.95', 3257776984, 3257776991, 'DE', 'Germany'),
(107655, '194.45.187.96', '194.45.187.151', 3257776992, 3257777047, 'NL', 'Netherlands'),
(107656, '194.45.187.152', '194.45.187.159', 3257777048, 3257777055, 'DE', 'Germany'),
(107657, '194.45.187.160', '194.45.187.215', 3257777056, 3257777111, 'NL', 'Netherlands'),
(107658, '194.45.187.216', '194.45.187.223', 3257777112, 3257777119, 'DE', 'Germany'),
(107659, '194.45.187.224', '194.45.187.255', 3257777120, 3257777151, 'NL', 'Netherlands'),
(107660, '194.45.188.0', '194.45.188.7', 3257777152, 3257777159, 'DE', 'Germany'),
(107661, '194.45.188.8', '194.45.188.71', 3257777160, 3257777223, 'NL', 'Netherlands'),
(107662, '194.45.188.72', '194.45.188.79', 3257777224, 3257777231, 'DE', 'Germany'),
(107663, '194.45.188.80', '194.45.188.183', 3257777232, 3257777335, 'NL', 'Netherlands'),
(107664, '194.45.188.184', '194.45.188.191', 3257777336, 3257777343, 'DE', 'Germany'),
(107665, '194.45.188.192', '194.45.189.79', 3257777344, 3257777487, 'NL', 'Netherlands'),
(107666, '194.45.189.80', '194.45.189.87', 3257777488, 3257777495, 'DE', 'Germany'),
(107667, '194.45.189.88', '194.45.189.143', 3257777496, 3257777551, 'NL', 'Netherlands'),
(107668, '194.45.189.144', '194.45.189.151', 3257777552, 3257777559, 'DE', 'Germany'),
(107669, '194.45.189.152', '194.45.189.167', 3257777560, 3257777575, 'NL', 'Netherlands'),
(107670, '194.45.189.168', '194.45.189.175', 3257777576, 3257777583, 'DE', 'Germany'),
(107671, '194.45.189.176', '194.45.190.87', 3257777584, 3257777751, 'NL', 'Netherlands'),
(107672, '194.45.190.88', '194.45.190.103', 3257777752, 3257777767, 'DE', 'Germany'),
(107673, '194.45.190.104', '194.45.190.135', 3257777768, 3257777799, 'NL', 'Netherlands'),
(107674, '194.45.190.136', '194.45.190.143', 3257777800, 3257777807, 'DE', 'Germany'),
(107675, '194.45.190.144', '194.45.191.15', 3257777808, 3257777935, 'NL', 'Netherlands'),
(107676, '194.45.191.16', '194.45.191.23', 3257777936, 3257777943, 'DE', 'Germany'),
(107677, '194.45.191.24', '194.45.191.71', 3257777944, 3257777991, 'NL', 'Netherlands'),
(107678, '194.45.191.72', '194.45.191.79', 3257777992, 3257777999, 'DE', 'Germany'),
(107679, '194.45.191.80', '194.45.191.103', 3257778000, 3257778023, 'NL', 'Netherlands'),
(107680, '194.45.191.104', '194.45.191.111', 3257778024, 3257778031, 'DE', 'Germany'),
(107681, '194.45.191.112', '194.45.191.127', 3257778032, 3257778047, 'NL', 'Netherlands'),
(107682, '194.45.191.128', '194.45.191.135', 3257778048, 3257778055, 'DE', 'Germany'),
(107683, '194.45.191.136', '194.45.191.151', 3257778056, 3257778071, 'NL', 'Netherlands'),
(107684, '194.45.191.152', '194.45.191.159', 3257778072, 3257778079, 'DE', 'Germany'),
(107685, '194.45.191.160', '194.45.191.167', 3257778080, 3257778087, 'NL', 'Netherlands'),
(107686, '194.45.191.168', '194.45.191.175', 3257778088, 3257778095, 'DE', 'Germany'),
(107687, '194.45.191.176', '194.45.191.239', 3257778096, 3257778159, 'NL', 'Netherlands'),
(107688, '194.45.191.240', '194.45.191.247', 3257778160, 3257778167, 'DE', 'Germany'),
(107689, '194.45.191.248', '194.45.193.7', 3257778168, 3257778439, 'NL', 'Netherlands'),
(107690, '194.45.193.8', '194.45.193.15', 3257778440, 3257778447, 'DE', 'Germany'),
(107691, '194.45.193.16', '194.45.193.47', 3257778448, 3257778479, 'NL', 'Netherlands'),
(107692, '194.45.193.48', '194.45.193.55', 3257778480, 3257778487, 'DE', 'Germany'),
(107693, '194.45.193.56', '194.45.193.71', 3257778488, 3257778503, 'NL', 'Netherlands'),
(107694, '194.45.193.72', '194.45.193.79', 3257778504, 3257778511, 'DE', 'Germany'),
(107695, '194.45.193.80', '194.45.193.151', 3257778512, 3257778583, 'NL', 'Netherlands'),
(107696, '194.45.193.152', '194.45.193.159', 3257778584, 3257778591, 'DE', 'Germany'),
(107697, '194.45.193.160', '194.45.193.231', 3257778592, 3257778663, 'NL', 'Netherlands'),
(107698, '194.45.193.232', '194.45.193.239', 3257778664, 3257778671, 'DE', 'Germany'),
(107699, '194.45.193.240', '194.45.194.127', 3257778672, 3257778815, 'NL', 'Netherlands'),
(107700, '194.45.194.128', '194.45.194.135', 3257778816, 3257778823, 'DE', 'Germany'),
(107701, '194.45.194.136', '194.45.194.207', 3257778824, 3257778895, 'NL', 'Netherlands'),
(107702, '194.45.194.208', '194.45.194.215', 3257778896, 3257778903, 'DE', 'Germany'),
(107703, '194.45.194.216', '194.45.194.255', 3257778904, 3257778943, 'NL', 'Netherlands'),
(107704, '194.45.195.0', '194.45.195.7', 3257778944, 3257778951, 'DE', 'Germany'),
(107705, '194.45.195.8', '194.45.195.15', 3257778952, 3257778959, 'NL', 'Netherlands'),
(107706, '194.45.195.16', '194.45.195.31', 3257778960, 3257778975, 'DE', 'Germany'),
(107707, '194.45.195.32', '194.45.195.111', 3257778976, 3257779055, 'NL', 'Netherlands'),
(107708, '194.45.195.112', '194.45.195.119', 3257779056, 3257779063, 'DE', 'Germany'),
(107709, '194.45.195.120', '194.45.195.135', 3257779064, 3257779079, 'NL', 'Netherlands'),
(107710, '194.45.195.136', '194.45.195.143', 3257779080, 3257779087, 'DE', 'Germany'),
(107711, '194.45.195.144', '194.45.195.167', 3257779088, 3257779111, 'NL', 'Netherlands'),
(107712, '194.45.195.168', '194.45.195.183', 3257779112, 3257779127, 'DE', 'Germany'),
(107713, '194.45.195.184', '194.45.195.255', 3257779128, 3257779199, 'NL', 'Netherlands'),
(107714, '194.45.196.0', '194.45.201.255', 3257779200, 3257780735, 'DE', 'Germany'),
(107715, '194.45.202.0', '194.45.202.7', 3257780736, 3257780743, 'NL', 'Netherlands'),
(107716, '194.45.202.8', '194.45.202.15', 3257780744, 3257780751, 'DE', 'Germany'),
(107717, '194.45.202.16', '194.45.202.39', 3257780752, 3257780775, 'NL', 'Netherlands'),
(107718, '194.45.202.40', '194.45.202.47', 3257780776, 3257780783, 'DE', 'Germany'),
(107719, '194.45.202.48', '194.45.202.231', 3257780784, 3257780967, 'NL', 'Netherlands'),
(107720, '194.45.202.232', '194.45.202.247', 3257780968, 3257780983, 'DE', 'Germany'),
(107721, '194.45.202.248', '194.45.203.119', 3257780984, 3257781111, 'NL', 'Netherlands'),
(107722, '194.45.203.120', '194.45.203.127', 3257781112, 3257781119, 'DE', 'Germany'),
(107723, '194.45.203.128', '194.45.203.143', 3257781120, 3257781135, 'NL', 'Netherlands'),
(107724, '194.45.203.144', '194.45.203.151', 3257781136, 3257781143, 'DE', 'Germany'),
(107725, '194.45.203.152', '194.45.204.7', 3257781144, 3257781255, 'NL', 'Netherlands'),
(107726, '194.45.204.8', '194.45.204.15', 3257781256, 3257781263, 'DE', 'Germany'),
(107727, '194.45.204.16', '194.45.204.31', 3257781264, 3257781279, 'NL', 'Netherlands'),
(107728, '194.45.204.32', '194.45.204.39', 3257781280, 3257781287, 'DE', 'Germany'),
(107729, '194.45.204.40', '194.45.204.143', 3257781288, 3257781391, 'NL', 'Netherlands'),
(107730, '194.45.204.144', '194.45.204.151', 3257781392, 3257781399, 'DE', 'Germany'),
(107731, '194.45.204.152', '194.45.204.231', 3257781400, 3257781479, 'NL', 'Netherlands'),
(107732, '194.45.204.232', '194.45.204.239', 3257781480, 3257781487, 'DE', 'Germany'),
(107733, '194.45.204.240', '194.45.205.63', 3257781488, 3257781567, 'NL', 'Netherlands'),
(107734, '194.45.205.64', '194.45.205.71', 3257781568, 3257781575, 'DE', 'Germany'),
(107735, '194.45.205.72', '194.45.205.111', 3257781576, 3257781615, 'NL', 'Netherlands'),
(107736, '194.45.205.112', '194.45.205.119', 3257781616, 3257781623, 'DE', 'Germany'),
(107737, '194.45.205.120', '194.45.205.135', 3257781624, 3257781639, 'NL', 'Netherlands'),
(107738, '194.45.205.136', '194.45.205.143', 3257781640, 3257781647, 'DE', 'Germany'),
(107739, '194.45.205.144', '194.45.205.207', 3257781648, 3257781711, 'NL', 'Netherlands'),
(107740, '194.45.205.208', '194.45.205.215', 3257781712, 3257781719, 'DE', 'Germany'),
(107741, '194.45.205.216', '194.45.206.31', 3257781720, 3257781791, 'NL', 'Netherlands'),
(107742, '194.45.206.32', '194.45.206.39', 3257781792, 3257781799, 'DE', 'Germany'),
(107743, '194.45.206.40', '194.45.206.79', 3257781800, 3257781839, 'NL', 'Netherlands'),
(107744, '194.45.206.80', '194.45.206.87', 3257781840, 3257781847, 'DE', 'Germany'),
(107745, '194.45.206.88', '194.45.206.135', 3257781848, 3257781895, 'NL', 'Netherlands'),
(107746, '194.45.206.136', '194.45.206.143', 3257781896, 3257781903, 'DE', 'Germany'),
(107747, '194.45.206.144', '194.45.206.159', 3257781904, 3257781919, 'NL', 'Netherlands'),
(107748, '194.45.206.160', '194.45.206.167', 3257781920, 3257781927, 'DE', 'Germany'),
(107749, '194.45.206.168', '194.45.206.183', 3257781928, 3257781943, 'NL', 'Netherlands'),
(107750, '194.45.206.184', '194.45.206.191', 3257781944, 3257781951, 'DE', 'Germany'),
(107751, '194.45.206.192', '194.45.206.215', 3257781952, 3257781975, 'NL', 'Netherlands'),
(107752, '194.45.206.216', '194.45.206.239', 3257781976, 3257781999, 'DE', 'Germany'),
(107753, '194.45.206.240', '194.45.206.255', 3257782000, 3257782015, 'NL', 'Netherlands'),
(107754, '194.45.207.0', '194.45.207.7', 3257782016, 3257782023, 'DE', 'Germany'),
(107755, '194.45.207.8', '194.45.207.15', 3257782024, 3257782031, 'NL', 'Netherlands'),
(107756, '194.45.207.16', '194.45.207.23', 3257782032, 3257782039, 'DE', 'Germany'),
(107757, '194.45.207.24', '194.45.207.87', 3257782040, 3257782103, 'NL', 'Netherlands'),
(107758, '194.45.207.88', '194.45.207.95', 3257782104, 3257782111, 'DE', 'Germany'),
(107759, '194.45.207.96', '194.45.207.175', 3257782112, 3257782191, 'NL', 'Netherlands'),
(107760, '194.45.207.176', '194.45.207.191', 3257782192, 3257782207, 'DE', 'Germany'),
(107761, '194.45.207.192', '194.45.207.223', 3257782208, 3257782239, 'NL', 'Netherlands'),
(107762, '194.45.207.224', '194.45.207.231', 3257782240, 3257782247, 'DE', 'Germany'),
(107763, '194.45.207.232', '194.45.207.255', 3257782248, 3257782271, 'NL', 'Netherlands'),
(107764, '194.45.208.0', '194.45.217.255', 3257782272, 3257784831, 'DE', 'Germany'),
(107765, '194.45.218.0', '194.45.218.255', 3257784832, 3257785087, 'NL', 'Netherlands'),
(107766, '194.45.219.0', '194.45.219.7', 3257785088, 3257785095, 'DE', 'Germany'),
(107767, '194.45.219.8', '194.45.219.63', 3257785096, 3257785151, 'NL', 'Netherlands'),
(107768, '194.45.219.64', '194.45.219.71', 3257785152, 3257785159, 'DE', 'Germany'),
(107769, '194.45.219.72', '194.45.219.95', 3257785160, 3257785183, 'NL', 'Netherlands'),
(107770, '194.45.219.96', '194.45.219.103', 3257785184, 3257785191, 'DE', 'Germany'),
(107771, '194.45.219.104', '194.45.219.255', 3257785192, 3257785343, 'NL', 'Netherlands'),
(107772, '194.45.220.0', '194.45.220.15', 3257785344, 3257785359, 'DE', 'Germany'),
(107773, '194.45.220.16', '194.45.220.31', 3257785360, 3257785375, 'NL', 'Netherlands'),
(107774, '194.45.220.32', '194.45.220.39', 3257785376, 3257785383, 'DE', 'Germany'),
(107775, '194.45.220.40', '194.45.220.71', 3257785384, 3257785415, 'NL', 'Netherlands'),
(107776, '194.45.220.72', '194.45.220.87', 3257785416, 3257785431, 'DE', 'Germany'),
(107777, '194.45.220.88', '194.45.221.63', 3257785432, 3257785663, 'NL', 'Netherlands'),
(107778, '194.45.221.64', '194.45.221.71', 3257785664, 3257785671, 'DE', 'Germany'),
(107779, '194.45.221.72', '194.45.221.79', 3257785672, 3257785679, 'NL', 'Netherlands'),
(107780, '194.45.221.80', '194.45.221.95', 3257785680, 3257785695, 'DE', 'Germany'),
(107781, '194.45.221.96', '194.45.221.119', 3257785696, 3257785719, 'NL', 'Netherlands'),
(107782, '194.45.221.120', '194.45.221.127', 3257785720, 3257785727, 'DE', 'Germany'),
(107783, '194.45.221.128', '194.45.221.135', 3257785728, 3257785735, 'NL', 'Netherlands'),
(107784, '194.45.221.136', '194.45.221.143', 3257785736, 3257785743, 'DE', 'Germany'),
(107785, '194.45.221.144', '194.45.221.207', 3257785744, 3257785807, 'NL', 'Netherlands'),
(107786, '194.45.221.208', '194.45.221.215', 3257785808, 3257785815, 'DE', 'Germany'),
(107787, '194.45.221.216', '194.45.222.223', 3257785816, 3257786079, 'NL', 'Netherlands'),
(107788, '194.45.222.224', '194.45.222.231', 3257786080, 3257786087, 'DE', 'Germany'),
(107789, '194.45.222.232', '194.45.223.159', 3257786088, 3257786271, 'NL', 'Netherlands'),
(107790, '194.45.223.160', '194.45.223.167', 3257786272, 3257786279, 'DE', 'Germany'),
(107791, '194.45.223.168', '194.45.223.223', 3257786280, 3257786335, 'NL', 'Netherlands'),
(107792, '194.45.223.224', '194.45.223.231', 3257786336, 3257786343, 'DE', 'Germany'),
(107793, '194.45.223.232', '194.45.223.247', 3257786344, 3257786359, 'NL', 'Netherlands'),
(107794, '194.45.223.248', '194.45.223.255', 3257786360, 3257786367, 'DE', 'Germany'),
(107795, '194.45.224.0', '194.45.224.15', 3257786368, 3257786383, 'NL', 'Netherlands'),
(107796, '194.45.224.16', '194.45.224.23', 3257786384, 3257786391, 'DE', 'Germany'),
(107797, '194.45.224.24', '194.45.224.47', 3257786392, 3257786415, 'NL', 'Netherlands'),
(107798, '194.45.224.48', '194.45.224.55', 3257786416, 3257786423, 'DE', 'Germany'),
(107799, '194.45.224.56', '194.45.224.63', 3257786424, 3257786431, 'NL', 'Netherlands'),
(107800, '194.45.224.64', '194.45.224.71', 3257786432, 3257786439, 'DE', 'Germany'),
(107801, '194.45.224.72', '194.45.224.191', 3257786440, 3257786559, 'NL', 'Netherlands'),
(107802, '194.45.224.192', '194.45.224.199', 3257786560, 3257786567, 'DE', 'Germany'),
(107803, '194.45.224.200', '194.45.224.255', 3257786568, 3257786623, 'NL', 'Netherlands'),
(107804, '194.45.225.0', '194.45.225.7', 3257786624, 3257786631, 'DE', 'Germany'),
(107805, '194.45.225.8', '194.45.225.23', 3257786632, 3257786647, 'NL', 'Netherlands'),
(107806, '194.45.225.24', '194.45.225.31', 3257786648, 3257786655, 'DE', 'Germany'),
(107807, '194.45.225.32', '194.45.225.79', 3257786656, 3257786703, 'NL', 'Netherlands'),
(107808, '194.45.225.80', '194.45.225.87', 3257786704, 3257786711, 'DE', 'Germany'),
(107809, '194.45.225.88', '194.45.225.183', 3257786712, 3257786807, 'NL', 'Netherlands'),
(107810, '194.45.225.184', '194.45.225.199', 3257786808, 3257786823, 'DE', 'Germany'),
(107811, '194.45.225.200', '194.45.225.215', 3257786824, 3257786839, 'NL', 'Netherlands'),
(107812, '194.45.225.216', '194.45.225.223', 3257786840, 3257786847, 'DE', 'Germany'),
(107813, '194.45.225.224', '194.45.225.239', 3257786848, 3257786863, 'NL', 'Netherlands'),
(107814, '194.45.225.240', '194.45.225.247', 3257786864, 3257786871, 'DE', 'Germany'),
(107815, '194.45.225.248', '194.45.225.255', 3257786872, 3257786879, 'NL', 'Netherlands'),
(107816, '194.45.226.0', '194.45.227.255', 3257786880, 3257787391, 'DE', 'Germany'),
(107817, '194.45.228.0', '194.45.228.111', 3257787392, 3257787503, 'NL', 'Netherlands'),
(107818, '194.45.228.112', '194.45.228.119', 3257787504, 3257787511, 'DE', 'Germany'),
(107819, '194.45.228.120', '194.45.229.47', 3257787512, 3257787695, 'NL', 'Netherlands'),
(107820, '194.45.229.48', '194.45.229.55', 3257787696, 3257787703, 'DE', 'Germany'),
(107821, '194.45.229.56', '194.45.229.79', 3257787704, 3257787727, 'NL', 'Netherlands'),
(107822, '194.45.229.80', '194.45.229.87', 3257787728, 3257787735, 'DE', 'Germany'),
(107823, '194.45.229.88', '194.45.229.103', 3257787736, 3257787751, 'NL', 'Netherlands'),
(107824, '194.45.229.104', '194.45.229.111', 3257787752, 3257787759, 'DE', 'Germany'),
(107825, '194.45.229.112', '194.45.229.231', 3257787760, 3257787879, 'NL', 'Netherlands'),
(107826, '194.45.229.232', '194.45.229.239', 3257787880, 3257787887, 'DE', 'Germany'),
(107827, '194.45.229.240', '194.45.230.7', 3257787888, 3257787911, 'NL', 'Netherlands'),
(107828, '194.45.230.8', '194.45.230.15', 3257787912, 3257787919, 'DE', 'Germany'),
(107829, '194.45.230.16', '194.45.230.63', 3257787920, 3257787967, 'NL', 'Netherlands'),
(107830, '194.45.230.64', '194.45.230.71', 3257787968, 3257787975, 'DE', 'Germany'),
(107831, '194.45.230.72', '194.45.230.95', 3257787976, 3257787999, 'NL', 'Netherlands'),
(107832, '194.45.230.96', '194.45.230.111', 3257788000, 3257788015, 'DE', 'Germany'),
(107833, '194.45.230.112', '194.45.230.167', 3257788016, 3257788071, 'NL', 'Netherlands'),
(107834, '194.45.230.168', '194.45.230.175', 3257788072, 3257788079, 'DE', 'Germany'),
(107835, '194.45.230.176', '194.45.230.191', 3257788080, 3257788095, 'NL', 'Netherlands'),
(107836, '194.45.230.192', '194.45.230.199', 3257788096, 3257788103, 'DE', 'Germany'),
(107837, '194.45.230.200', '194.45.230.215', 3257788104, 3257788119, 'NL', 'Netherlands'),
(107838, '194.45.230.216', '194.45.230.223', 3257788120, 3257788127, 'DE', 'Germany'),
(107839, '194.45.230.224', '194.45.231.15', 3257788128, 3257788175, 'NL', 'Netherlands'),
(107840, '194.45.231.16', '194.45.231.23', 3257788176, 3257788183, 'DE', 'Germany'),
(107841, '194.45.231.24', '194.45.231.71', 3257788184, 3257788231, 'NL', 'Netherlands'),
(107842, '194.45.231.72', '194.45.231.79', 3257788232, 3257788239, 'DE', 'Germany'),
(107843, '194.45.231.80', '194.45.231.87', 3257788240, 3257788247, 'NL', 'Netherlands'),
(107844, '194.45.231.88', '194.45.231.95', 3257788248, 3257788255, 'DE', 'Germany'),
(107845, '194.45.231.96', '194.45.231.255', 3257788256, 3257788415, 'NL', 'Netherlands'),
(107846, '194.45.232.0', '194.45.237.255', 3257788416, 3257789951, 'DE', 'Germany'),
(107847, '194.45.238.0', '194.45.238.23', 3257789952, 3257789975, 'NL', 'Netherlands'),
(107848, '194.45.238.24', '194.45.238.31', 3257789976, 3257789983, 'DE', 'Germany'),
(107849, '194.45.238.32', '194.45.238.47', 3257789984, 3257789999, 'NL', 'Netherlands'),
(107850, '194.45.238.48', '194.45.238.55', 3257790000, 3257790007, 'DE', 'Germany'),
(107851, '194.45.238.56', '194.45.238.87', 3257790008, 3257790039, 'NL', 'Netherlands'),
(107852, '194.45.238.88', '194.45.238.95', 3257790040, 3257790047, 'DE', 'Germany'),
(107853, '194.45.238.96', '194.45.238.207', 3257790048, 3257790159, 'NL', 'Netherlands'),
(107854, '194.45.238.208', '194.45.238.215', 3257790160, 3257790167, 'DE', 'Germany'),
(107855, '194.45.238.216', '194.45.238.239', 3257790168, 3257790191, 'NL', 'Netherlands'),
(107856, '194.45.238.240', '194.45.238.247', 3257790192, 3257790199, 'DE', 'Germany'),
(107857, '194.45.238.248', '194.45.239.31', 3257790200, 3257790239, 'NL', 'Netherlands'),
(107858, '194.45.239.32', '194.45.239.39', 3257790240, 3257790247, 'DE', 'Germany'),
(107859, '194.45.239.40', '194.45.239.47', 3257790248, 3257790255, 'NL', 'Netherlands'),
(107860, '194.45.239.48', '194.45.239.55', 3257790256, 3257790263, 'DE', 'Germany'),
(107861, '194.45.239.56', '194.45.239.111', 3257790264, 3257790319, 'NL', 'Netherlands'),
(107862, '194.45.239.112', '194.45.239.119', 3257790320, 3257790327, 'DE', 'Germany'),
(107863, '194.45.239.120', '194.45.239.183', 3257790328, 3257790391, 'NL', 'Netherlands'),
(107864, '194.45.239.184', '194.45.239.199', 3257790392, 3257790407, 'DE', 'Germany'),
(107865, '194.45.239.200', '194.45.240.15', 3257790408, 3257790479, 'NL', 'Netherlands'),
(107866, '194.45.240.16', '194.45.240.39', 3257790480, 3257790503, 'DE', 'Germany'),
(107867, '194.45.240.40', '194.45.240.159', 3257790504, 3257790623, 'NL', 'Netherlands'),
(107868, '194.45.240.160', '194.45.240.175', 3257790624, 3257790639, 'DE', 'Germany'),
(107869, '194.45.240.176', '194.45.240.199', 3257790640, 3257790663, 'NL', 'Netherlands'),
(107870, '194.45.240.200', '194.45.240.207', 3257790664, 3257790671, 'DE', 'Germany'),
(107871, '194.45.240.208', '194.45.240.247', 3257790672, 3257790711, 'NL', 'Netherlands'),
(107872, '194.45.240.248', '194.45.240.255', 3257790712, 3257790719, 'DE', 'Germany'),
(107873, '194.45.241.0', '194.45.241.127', 3257790720, 3257790847, 'NL', 'Netherlands'),
(107874, '194.45.241.128', '194.45.241.135', 3257790848, 3257790855, 'DE', 'Germany'),
(107875, '194.45.241.136', '194.45.241.183', 3257790856, 3257790903, 'NL', 'Netherlands'),
(107876, '194.45.241.184', '194.45.241.199', 3257790904, 3257790919, 'DE', 'Germany'),
(107877, '194.45.241.200', '194.45.241.255', 3257790920, 3257790975, 'NL', 'Netherlands'),
(107878, '194.45.242.0', '194.45.242.15', 3257790976, 3257790991, 'DE', 'Germany'),
(107879, '194.45.242.16', '194.45.242.23', 3257790992, 3257790999, 'NL', 'Netherlands'),
(107880, '194.45.242.24', '194.45.242.31', 3257791000, 3257791007, 'DE', 'Germany'),
(107881, '194.45.242.32', '194.45.242.39', 3257791008, 3257791015, 'NL', 'Netherlands'),
(107882, '194.45.242.40', '194.45.242.47', 3257791016, 3257791023, 'DE', 'Germany'),
(107883, '194.45.242.48', '194.45.242.71', 3257791024, 3257791047, 'NL', 'Netherlands'),
(107884, '194.45.242.72', '194.45.242.79', 3257791048, 3257791055, 'DE', 'Germany'),
(107885, '194.45.242.80', '194.45.242.175', 3257791056, 3257791151, 'NL', 'Netherlands'),
(107886, '194.45.242.176', '194.45.242.183', 3257791152, 3257791159, 'DE', 'Germany'),
(107887, '194.45.242.184', '194.45.242.247', 3257791160, 3257791223, 'NL', 'Netherlands'),
(107888, '194.45.242.248', '194.45.242.255', 3257791224, 3257791231, 'DE', 'Germany'),
(107889, '194.45.243.0', '194.45.243.23', 3257791232, 3257791255, 'NL', 'Netherlands'),
(107890, '194.45.243.24', '194.45.243.31', 3257791256, 3257791263, 'DE', 'Germany'),
(107891, '194.45.243.32', '194.45.243.39', 3257791264, 3257791271, 'NL', 'Netherlands'),
(107892, '194.45.243.40', '194.45.243.55', 3257791272, 3257791287, 'DE', 'Germany'),
(107893, '194.45.243.56', '194.45.243.95', 3257791288, 3257791327, 'NL', 'Netherlands'),
(107894, '194.45.243.96', '194.45.243.103', 3257791328, 3257791335, 'DE', 'Germany'),
(107895, '194.45.243.104', '194.45.243.127', 3257791336, 3257791359, 'NL', 'Netherlands'),
(107896, '194.45.243.128', '194.45.243.143', 3257791360, 3257791375, 'DE', 'Germany'),
(107897, '194.45.243.144', '194.45.244.15', 3257791376, 3257791503, 'NL', 'Netherlands'),
(107898, '194.45.244.16', '194.45.244.23', 3257791504, 3257791511, 'DE', 'Germany'),
(107899, '194.45.244.24', '194.45.244.39', 3257791512, 3257791527, 'NL', 'Netherlands'),
(107900, '194.45.244.40', '194.45.244.47', 3257791528, 3257791535, 'DE', 'Germany'),
(107901, '194.45.244.48', '194.45.244.135', 3257791536, 3257791623, 'NL', 'Netherlands'),
(107902, '194.45.244.136', '194.45.244.143', 3257791624, 3257791631, 'DE', 'Germany'),
(107903, '194.45.244.144', '194.45.244.215', 3257791632, 3257791703, 'NL', 'Netherlands'),
(107904, '194.45.244.216', '194.45.244.223', 3257791704, 3257791711, 'DE', 'Germany'),
(107905, '194.45.244.224', '194.45.244.239', 3257791712, 3257791727, 'NL', 'Netherlands'),
(107906, '194.45.244.240', '194.45.244.255', 3257791728, 3257791743, 'DE', 'Germany'),
(107907, '194.45.245.0', '194.45.245.87', 3257791744, 3257791831, 'NL', 'Netherlands'),
(107908, '194.45.245.88', '194.45.245.95', 3257791832, 3257791839, 'DE', 'Germany'),
(107909, '194.45.245.96', '194.45.245.119', 3257791840, 3257791863, 'NL', 'Netherlands'),
(107910, '194.45.245.120', '194.45.245.127', 3257791864, 3257791871, 'DE', 'Germany'),
(107911, '194.45.245.128', '194.45.245.135', 3257791872, 3257791879, 'NL', 'Netherlands'),
(107912, '194.45.245.136', '194.45.245.143', 3257791880, 3257791887, 'DE', 'Germany'),
(107913, '194.45.245.144', '194.45.245.151', 3257791888, 3257791895, 'NL', 'Netherlands'),
(107914, '194.45.245.152', '194.45.245.159', 3257791896, 3257791903, 'DE', 'Germany'),
(107915, '194.45.245.160', '194.45.245.207', 3257791904, 3257791951, 'NL', 'Netherlands'),
(107916, '194.45.245.208', '194.45.245.215', 3257791952, 3257791959, 'DE', 'Germany'),
(107917, '194.45.245.216', '194.45.246.95', 3257791960, 3257792095, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(107918, '194.45.246.96', '194.45.246.103', 3257792096, 3257792103, 'DE', 'Germany'),
(107919, '194.45.246.104', '194.45.246.127', 3257792104, 3257792127, 'NL', 'Netherlands'),
(107920, '194.45.246.128', '194.45.246.135', 3257792128, 3257792135, 'DE', 'Germany'),
(107921, '194.45.246.136', '194.45.246.143', 3257792136, 3257792143, 'NL', 'Netherlands'),
(107922, '194.45.246.144', '194.45.246.159', 3257792144, 3257792159, 'DE', 'Germany'),
(107923, '194.45.246.160', '194.45.246.191', 3257792160, 3257792191, 'NL', 'Netherlands'),
(107924, '194.45.246.192', '194.45.246.199', 3257792192, 3257792199, 'DE', 'Germany'),
(107925, '194.45.246.200', '194.45.246.207', 3257792200, 3257792207, 'NL', 'Netherlands'),
(107926, '194.45.246.208', '194.45.246.215', 3257792208, 3257792215, 'DE', 'Germany'),
(107927, '194.45.246.216', '194.45.247.127', 3257792216, 3257792383, 'NL', 'Netherlands'),
(107928, '194.45.247.128', '194.45.247.135', 3257792384, 3257792391, 'DE', 'Germany'),
(107929, '194.45.247.136', '194.45.247.143', 3257792392, 3257792399, 'NL', 'Netherlands'),
(107930, '194.45.247.144', '194.45.247.151', 3257792400, 3257792407, 'DE', 'Germany'),
(107931, '194.45.247.152', '194.45.247.231', 3257792408, 3257792487, 'NL', 'Netherlands'),
(107932, '194.45.247.232', '194.45.247.239', 3257792488, 3257792495, 'DE', 'Germany'),
(107933, '194.45.247.240', '194.45.247.247', 3257792496, 3257792503, 'NL', 'Netherlands'),
(107934, '194.45.247.248', '194.45.247.255', 3257792504, 3257792511, 'DE', 'Germany'),
(107935, '194.45.248.0', '194.45.248.95', 3257792512, 3257792607, 'NL', 'Netherlands'),
(107936, '194.45.248.96', '194.45.248.103', 3257792608, 3257792615, 'DE', 'Germany'),
(107937, '194.45.248.104', '194.45.248.207', 3257792616, 3257792719, 'NL', 'Netherlands'),
(107938, '194.45.248.208', '194.45.248.215', 3257792720, 3257792727, 'DE', 'Germany'),
(107939, '194.45.248.216', '194.45.249.15', 3257792728, 3257792783, 'NL', 'Netherlands'),
(107940, '194.45.249.16', '194.45.249.23', 3257792784, 3257792791, 'DE', 'Germany'),
(107941, '194.45.249.24', '194.45.249.159', 3257792792, 3257792927, 'NL', 'Netherlands'),
(107942, '194.45.249.160', '194.45.249.167', 3257792928, 3257792935, 'DE', 'Germany'),
(107943, '194.45.249.168', '194.45.250.63', 3257792936, 3257793087, 'NL', 'Netherlands'),
(107944, '194.45.250.64', '194.45.250.71', 3257793088, 3257793095, 'DE', 'Germany'),
(107945, '194.45.250.72', '194.45.250.143', 3257793096, 3257793167, 'NL', 'Netherlands'),
(107946, '194.45.250.144', '194.45.250.151', 3257793168, 3257793175, 'DE', 'Germany'),
(107947, '194.45.250.152', '194.45.250.191', 3257793176, 3257793215, 'NL', 'Netherlands'),
(107948, '194.45.250.192', '194.45.250.199', 3257793216, 3257793223, 'DE', 'Germany'),
(107949, '194.45.250.200', '194.45.251.111', 3257793224, 3257793391, 'NL', 'Netherlands'),
(107950, '194.45.251.112', '194.45.251.119', 3257793392, 3257793399, 'DE', 'Germany'),
(107951, '194.45.251.120', '194.45.251.135', 3257793400, 3257793415, 'NL', 'Netherlands'),
(107952, '194.45.251.136', '194.45.251.151', 3257793416, 3257793431, 'DE', 'Germany'),
(107953, '194.45.251.152', '194.45.251.159', 3257793432, 3257793439, 'NL', 'Netherlands'),
(107954, '194.45.251.160', '194.45.251.167', 3257793440, 3257793447, 'DE', 'Germany'),
(107955, '194.45.251.168', '194.45.251.239', 3257793448, 3257793519, 'NL', 'Netherlands'),
(107956, '194.45.251.240', '194.45.251.247', 3257793520, 3257793527, 'DE', 'Germany'),
(107957, '194.45.251.248', '194.45.252.15', 3257793528, 3257793551, 'NL', 'Netherlands'),
(107958, '194.45.252.16', '194.45.252.23', 3257793552, 3257793559, 'DE', 'Germany'),
(107959, '194.45.252.24', '194.45.253.47', 3257793560, 3257793839, 'NL', 'Netherlands'),
(107960, '194.45.253.48', '194.45.253.55', 3257793840, 3257793847, 'DE', 'Germany'),
(107961, '194.45.253.56', '194.45.253.127', 3257793848, 3257793919, 'NL', 'Netherlands'),
(107962, '194.45.253.128', '194.45.253.135', 3257793920, 3257793927, 'DE', 'Germany'),
(107963, '194.45.253.136', '194.45.253.159', 3257793928, 3257793951, 'NL', 'Netherlands'),
(107964, '194.45.253.160', '194.45.253.167', 3257793952, 3257793959, 'DE', 'Germany'),
(107965, '194.45.253.168', '194.45.254.47', 3257793960, 3257794095, 'NL', 'Netherlands'),
(107966, '194.45.254.48', '194.45.254.55', 3257794096, 3257794103, 'DE', 'Germany'),
(107967, '194.45.254.56', '194.45.254.87', 3257794104, 3257794135, 'NL', 'Netherlands'),
(107968, '194.45.254.88', '194.45.254.95', 3257794136, 3257794143, 'DE', 'Germany'),
(107969, '194.45.254.96', '194.45.255.47', 3257794144, 3257794351, 'NL', 'Netherlands'),
(107970, '194.45.255.48', '194.45.255.55', 3257794352, 3257794359, 'DE', 'Germany'),
(107971, '194.45.255.56', '194.45.255.207', 3257794360, 3257794511, 'NL', 'Netherlands'),
(107972, '194.45.255.208', '194.45.255.215', 3257794512, 3257794519, 'DE', 'Germany'),
(107973, '194.45.255.216', '194.45.255.255', 3257794520, 3257794559, 'NL', 'Netherlands'),
(107974, '194.46.0.0', '194.46.127.255', 3257794560, 3257827327, 'GB', 'United Kingdom'),
(107975, '194.46.128.0', '194.46.129.255', 3257827328, 3257827839, 'IE', 'Ireland'),
(107976, '194.46.130.0', '194.46.135.255', 3257827840, 3257829375, 'GB', 'United Kingdom'),
(107977, '194.46.136.0', '194.46.139.255', 3257829376, 3257830399, 'IE', 'Ireland'),
(107978, '194.46.140.0', '194.46.159.255', 3257830400, 3257835519, 'GB', 'United Kingdom'),
(107979, '194.46.160.0', '194.46.255.255', 3257835520, 3257860095, 'IE', 'Ireland'),
(107980, '194.47.0.0', '194.47.255.255', 3257860096, 3257925631, 'SE', 'Sweden'),
(107981, '194.48.0.0', '194.48.0.255', 3257925632, 3257925887, 'AT', 'Austria'),
(107982, '194.48.1.0', '194.48.1.255', 3257925888, 3257926143, 'SE', 'Sweden'),
(107983, '194.48.2.0', '194.48.174.255', 3257926144, 3257970431, 'AT', 'Austria'),
(107984, '194.48.175.0', '194.48.175.255', 3257970432, 3257970687, 'UA', 'Ukraine'),
(107985, '194.48.176.0', '194.48.203.255', 3257970688, 3257977855, 'AT', 'Austria'),
(107986, '194.48.204.0', '194.48.204.255', 3257977856, 3257978111, 'GB', 'United Kingdom'),
(107987, '194.48.205.0', '194.48.205.255', 3257978112, 3257978367, 'SE', 'Sweden'),
(107988, '194.48.206.0', '194.48.206.255', 3257978368, 3257978623, 'BG', 'Bulgaria'),
(107989, '194.48.207.0', '194.48.207.255', 3257978624, 3257978879, 'ES', 'Spain'),
(107990, '194.48.208.0', '194.48.208.255', 3257978880, 3257979135, 'FR', 'France'),
(107991, '194.48.209.0', '194.48.209.255', 3257979136, 3257979391, 'UA', 'Ukraine'),
(107992, '194.48.210.0', '194.48.210.255', 3257979392, 3257979647, 'GB', 'United Kingdom'),
(107993, '194.48.211.0', '194.48.211.255', 3257979648, 3257979903, 'DE', 'Germany'),
(107994, '194.48.212.0', '194.48.212.255', 3257979904, 3257980159, 'UA', 'Ukraine'),
(107995, '194.48.213.0', '194.48.213.255', 3257980160, 3257980415, 'SE', 'Sweden'),
(107996, '194.48.214.0', '194.48.214.255', 3257980416, 3257980671, 'NL', 'Netherlands'),
(107997, '194.48.215.0', '194.48.215.255', 3257980672, 3257980927, 'CH', 'Switzerland'),
(107998, '194.48.216.0', '194.48.216.255', 3257980928, 3257981183, 'PL', 'Poland'),
(107999, '194.48.217.0', '194.48.217.255', 3257981184, 3257981439, 'GB', 'United Kingdom'),
(108000, '194.48.218.0', '194.48.218.255', 3257981440, 3257981695, 'RU', 'Russian Federation'),
(108001, '194.48.219.0', '194.48.219.255', 3257981696, 3257981951, 'PL', 'Poland'),
(108002, '194.48.220.0', '194.48.240.255', 3257981952, 3257987327, 'AT', 'Austria'),
(108003, '194.48.241.0', '194.48.241.255', 3257987328, 3257987583, 'CZ', 'Czech Republic'),
(108004, '194.48.242.0', '194.48.255.255', 3257987584, 3257991167, 'AT', 'Austria'),
(108005, '194.49.0.0', '194.49.49.255', 3257991168, 3258003967, 'DE', 'Germany'),
(108006, '194.49.50.0', '194.49.51.255', 3258003968, 3258004479, 'RU', 'Russian Federation'),
(108007, '194.49.52.0', '194.49.119.255', 3258004480, 3258021887, 'DE', 'Germany'),
(108008, '194.49.120.0', '194.49.123.255', 3258021888, 3258022911, 'RU', 'Russian Federation'),
(108009, '194.49.124.0', '194.49.124.255', 3258022912, 3258023167, 'PL', 'Poland'),
(108010, '194.49.125.0', '194.49.125.255', 3258023168, 3258023423, 'DE', 'Germany'),
(108011, '194.49.127.0', '194.49.127.255', 3258023680, 3258023935, 'RU', 'Russian Federation'),
(108012, '194.49.128.0', '194.49.255.255', 3258023936, 3258056703, 'DE', 'Germany'),
(108013, '194.50.0.0', '194.50.0.255', 3258056704, 3258056959, 'UA', 'Ukraine'),
(108014, '194.50.1.0', '194.50.5.255', 3258056960, 3258058239, 'CZ', 'Czech Republic'),
(108015, '194.50.6.0', '194.50.6.255', 3258058240, 3258058495, 'RU', 'Russian Federation'),
(108016, '194.50.7.0', '194.50.8.255', 3258058496, 3258059007, 'RO', 'Romania'),
(108017, '194.50.9.0', '194.50.9.255', 3258059008, 3258059263, 'UA', 'Ukraine'),
(108018, '194.50.10.0', '194.50.10.255', 3258059264, 3258059519, 'RU', 'Russian Federation'),
(108019, '194.50.11.0', '194.50.11.255', 3258059520, 3258059775, 'RO', 'Romania'),
(108020, '194.50.12.0', '194.50.23.255', 3258059776, 3258062847, 'CZ', 'Czech Republic'),
(108021, '194.50.24.0', '194.50.24.255', 3258062848, 3258063103, 'RU', 'Russian Federation'),
(108022, '194.50.25.0', '194.50.27.255', 3258063104, 3258063871, 'CZ', 'Czech Republic'),
(108023, '194.50.28.0', '194.50.28.255', 3258063872, 3258064127, 'AT', 'Austria'),
(108024, '194.50.29.0', '194.50.29.255', 3258064128, 3258064383, 'FR', 'France'),
(108025, '194.50.30.0', '194.50.32.255', 3258064384, 3258065151, 'GB', 'United Kingdom'),
(108026, '194.50.33.0', '194.50.33.255', 3258065152, 3258065407, 'DE', 'Germany'),
(108027, '194.50.34.0', '194.50.34.255', 3258065408, 3258065663, 'LI', 'Liechtenstein'),
(108028, '194.50.35.0', '194.50.35.255', 3258065664, 3258065919, 'SA', 'Saudi Arabia'),
(108029, '194.50.36.0', '194.50.36.255', 3258065920, 3258066175, 'DE', 'Germany'),
(108030, '194.50.37.0', '194.50.37.255', 3258066176, 3258066431, 'PL', 'Poland'),
(108031, '194.50.38.0', '194.50.39.255', 3258066432, 3258066943, 'FR', 'France'),
(108032, '194.50.40.0', '194.50.40.255', 3258066944, 3258067199, 'DK', 'Denmark'),
(108033, '194.50.41.0', '194.50.41.255', 3258067200, 3258067455, 'GB', 'United Kingdom'),
(108034, '194.50.42.0', '194.50.43.255', 3258067456, 3258067967, 'GR', 'Greece'),
(108035, '194.50.44.0', '194.50.44.255', 3258067968, 3258068223, 'RO', 'Romania'),
(108036, '194.50.45.0', '194.50.45.255', 3258068224, 3258068479, 'CH', 'Switzerland'),
(108037, '194.50.46.0', '194.50.46.255', 3258068480, 3258068735, 'GB', 'United Kingdom'),
(108038, '194.50.47.0', '194.50.47.255', 3258068736, 3258068991, 'DE', 'Germany'),
(108039, '194.50.48.0', '194.50.48.255', 3258068992, 3258069247, 'NL', 'Netherlands'),
(108040, '194.50.49.0', '194.50.49.255', 3258069248, 3258069503, 'PL', 'Poland'),
(108041, '194.50.50.0', '194.50.50.255', 3258069504, 3258069759, 'RO', 'Romania'),
(108042, '194.50.51.0', '194.50.51.255', 3258069760, 3258070015, 'UA', 'Ukraine'),
(108043, '194.50.52.0', '194.50.52.255', 3258070016, 3258070271, 'GB', 'United Kingdom'),
(108044, '194.50.53.0', '194.50.53.255', 3258070272, 3258070527, 'PL', 'Poland'),
(108045, '194.50.54.0', '194.50.56.255', 3258070528, 3258071295, 'GB', 'United Kingdom'),
(108046, '194.50.57.0', '194.50.57.255', 3258071296, 3258071551, 'DK', 'Denmark'),
(108047, '194.50.58.0', '194.50.58.255', 3258071552, 3258071807, 'DE', 'Germany'),
(108048, '194.50.59.0', '194.50.59.255', 3258071808, 3258072063, 'GB', 'United Kingdom'),
(108049, '194.50.60.0', '194.50.60.255', 3258072064, 3258072319, 'FR', 'France'),
(108050, '194.50.61.0', '194.50.61.255', 3258072320, 3258072575, 'PL', 'Poland'),
(108051, '194.50.62.0', '194.50.62.255', 3258072576, 3258072831, 'BE', 'Belgium'),
(108052, '194.50.63.0', '194.50.63.255', 3258072832, 3258073087, 'RO', 'Romania'),
(108053, '194.50.64.0', '194.50.67.255', 3258073088, 3258074111, 'CZ', 'Czech Republic'),
(108054, '194.50.68.0', '194.50.70.255', 3258074112, 3258074879, 'DE', 'Germany'),
(108055, '194.50.71.0', '194.50.71.255', 3258074880, 3258075135, 'IL', 'Israel'),
(108056, '194.50.72.0', '194.50.72.255', 3258075136, 3258075391, 'RO', 'Romania'),
(108057, '194.50.73.0', '194.50.73.255', 3258075392, 3258075647, 'BG', 'Bulgaria'),
(108058, '194.50.74.0', '194.50.74.255', 3258075648, 3258075903, 'FR', 'France'),
(108059, '194.50.75.0', '194.50.75.255', 3258075904, 3258076159, 'PL', 'Poland'),
(108060, '194.50.76.0', '194.50.76.255', 3258076160, 3258076415, 'BG', 'Bulgaria'),
(108061, '194.50.77.0', '194.50.78.255', 3258076416, 3258076927, 'FR', 'France'),
(108062, '194.50.79.0', '194.50.79.255', 3258076928, 3258077183, 'UA', 'Ukraine'),
(108063, '194.50.80.0', '194.50.80.255', 3258077184, 3258077439, 'GB', 'United Kingdom'),
(108064, '194.50.81.0', '194.50.81.255', 3258077440, 3258077695, 'UA', 'Ukraine'),
(108065, '194.50.82.0', '194.50.82.255', 3258077696, 3258077951, 'NL', 'Netherlands'),
(108066, '194.50.83.0', '194.50.83.255', 3258077952, 3258078207, 'PL', 'Poland'),
(108067, '194.50.84.0', '194.50.84.255', 3258078208, 3258078463, 'TR', 'Turkey'),
(108068, '194.50.85.0', '194.50.85.255', 3258078464, 3258078719, 'UA', 'Ukraine'),
(108069, '194.50.86.0', '194.50.86.255', 3258078720, 3258078975, 'GB', 'United Kingdom'),
(108070, '194.50.87.0', '194.50.87.255', 3258078976, 3258079231, 'RU', 'Russian Federation'),
(108071, '194.50.88.0', '194.50.88.255', 3258079232, 3258079487, 'GB', 'United Kingdom'),
(108072, '194.50.89.0', '194.50.89.255', 3258079488, 3258079743, 'PL', 'Poland'),
(108073, '194.50.90.0', '194.50.90.255', 3258079744, 3258079999, 'GB', 'United Kingdom'),
(108074, '194.50.91.0', '194.50.91.255', 3258080000, 3258080255, 'BE', 'Belgium'),
(108075, '194.50.92.0', '194.50.92.255', 3258080256, 3258080511, 'FR', 'France'),
(108076, '194.50.93.0', '194.50.93.255', 3258080512, 3258080767, 'DE', 'Germany'),
(108077, '194.50.94.0', '194.50.94.255', 3258080768, 3258081023, 'GB', 'United Kingdom'),
(108078, '194.50.95.0', '194.50.95.255', 3258081024, 3258081279, 'FR', 'France'),
(108079, '194.50.96.0', '194.50.96.255', 3258081280, 3258081535, 'NL', 'Netherlands'),
(108080, '194.50.97.0', '194.50.97.255', 3258081536, 3258081791, 'BE', 'Belgium'),
(108081, '194.50.98.0', '194.50.98.255', 3258081792, 3258082047, 'UA', 'Ukraine'),
(108082, '194.50.99.0', '194.50.99.255', 3258082048, 3258082303, 'NL', 'Netherlands'),
(108083, '194.50.100.0', '194.50.100.255', 3258082304, 3258082559, 'CZ', 'Czech Republic'),
(108084, '194.50.101.0', '194.50.101.255', 3258082560, 3258082815, 'HU', 'Hungary'),
(108085, '194.50.102.0', '194.50.102.255', 3258082816, 3258083071, 'NL', 'Netherlands'),
(108086, '194.50.103.0', '194.50.104.255', 3258083072, 3258083583, 'RU', 'Russian Federation'),
(108087, '194.50.105.0', '194.50.105.255', 3258083584, 3258083839, 'LV', 'Latvia'),
(108088, '194.50.106.0', '194.50.107.255', 3258083840, 3258084351, 'SE', 'Sweden'),
(108089, '194.50.108.0', '194.50.108.255', 3258084352, 3258084607, 'GB', 'United Kingdom'),
(108090, '194.50.109.0', '194.50.109.255', 3258084608, 3258084863, 'AT', 'Austria'),
(108091, '194.50.110.0', '194.50.110.255', 3258084864, 3258085119, 'PL', 'Poland'),
(108092, '194.50.111.0', '194.50.111.255', 3258085120, 3258085375, 'LT', 'Lithuania'),
(108093, '194.50.112.0', '194.50.112.255', 3258085376, 3258085631, 'NL', 'Netherlands'),
(108094, '194.50.113.0', '194.50.113.255', 3258085632, 3258085887, 'DE', 'Germany'),
(108095, '194.50.114.0', '194.50.114.255', 3258085888, 3258086143, 'UA', 'Ukraine'),
(108096, '194.50.115.0', '194.50.115.255', 3258086144, 3258086399, 'AT', 'Austria'),
(108097, '194.50.116.0', '194.50.116.255', 3258086400, 3258086655, 'RU', 'Russian Federation'),
(108098, '194.50.117.0', '194.50.117.255', 3258086656, 3258086911, 'PL', 'Poland'),
(108099, '194.50.118.0', '194.50.118.255', 3258086912, 3258087167, 'GB', 'United Kingdom'),
(108100, '194.50.119.0', '194.50.119.255', 3258087168, 3258087423, 'UA', 'Ukraine'),
(108101, '194.50.120.0', '194.50.120.255', 3258087424, 3258087679, 'RU', 'Russian Federation'),
(108102, '194.50.121.0', '194.50.121.255', 3258087680, 3258087935, 'GB', 'United Kingdom'),
(108103, '194.50.122.0', '194.50.122.255', 3258087936, 3258088191, 'BG', 'Bulgaria'),
(108104, '194.50.123.0', '194.50.123.255', 3258088192, 3258088447, 'PL', 'Poland'),
(108105, '194.50.124.0', '194.50.124.255', 3258088448, 3258088703, 'BE', 'Belgium'),
(108106, '194.50.125.0', '194.50.125.255', 3258088704, 3258088959, 'UA', 'Ukraine'),
(108107, '194.50.126.0', '194.50.126.255', 3258088960, 3258089215, 'RO', 'Romania'),
(108108, '194.50.127.0', '194.50.127.255', 3258089216, 3258089471, 'FR', 'France'),
(108109, '194.50.128.0', '194.50.131.255', 3258089472, 3258090495, 'RU', 'Russian Federation'),
(108110, '194.50.132.0', '194.50.135.255', 3258090496, 3258091519, 'PL', 'Poland'),
(108111, '194.50.136.0', '194.50.138.255', 3258091520, 3258092287, 'SI', 'Slovenia'),
(108112, '194.50.139.0', '194.50.139.255', 3258092288, 3258092543, 'RU', 'Russian Federation'),
(108113, '194.50.140.0', '194.50.140.255', 3258092544, 3258092799, 'SE', 'Sweden'),
(108114, '194.50.141.0', '194.50.143.255', 3258092800, 3258093567, 'RU', 'Russian Federation'),
(108115, '194.50.144.0', '194.50.147.255', 3258093568, 3258094591, 'UA', 'Ukraine'),
(108116, '194.50.148.0', '194.50.150.255', 3258094592, 3258095359, 'RU', 'Russian Federation'),
(108117, '194.50.151.0', '194.50.151.255', 3258095360, 3258095615, 'AT', 'Austria'),
(108118, '194.50.152.0', '194.50.152.255', 3258095616, 3258095871, 'RU', 'Russian Federation'),
(108119, '194.50.153.0', '194.50.154.255', 3258095872, 3258096383, 'GB', 'United Kingdom'),
(108120, '194.50.155.0', '194.50.159.255', 3258096384, 3258097663, 'PL', 'Poland'),
(108121, '194.50.160.0', '194.50.160.255', 3258097664, 3258097919, 'DE', 'Germany'),
(108122, '194.50.161.0', '194.50.161.255', 3258097920, 3258098175, 'UA', 'Ukraine'),
(108123, '194.50.162.0', '194.50.162.255', 3258098176, 3258098431, 'DE', 'Germany'),
(108124, '194.50.163.0', '194.50.163.255', 3258098432, 3258098687, 'NL', 'Netherlands'),
(108125, '194.50.164.0', '194.50.164.255', 3258098688, 3258098943, 'DE', 'Germany'),
(108126, '194.50.165.0', '194.50.165.255', 3258098944, 3258099199, 'GB', 'United Kingdom'),
(108127, '194.50.166.0', '194.50.166.255', 3258099200, 3258099455, 'SI', 'Slovenia'),
(108128, '194.50.167.0', '194.50.167.255', 3258099456, 3258099711, 'UA', 'Ukraine'),
(108129, '194.50.168.0', '194.50.168.255', 3258099712, 3258099967, 'FI', 'Finland'),
(108130, '194.50.169.0', '194.50.169.255', 3258099968, 3258100223, 'UA', 'Ukraine'),
(108131, '194.50.170.0', '194.50.170.255', 3258100224, 3258100479, 'RO', 'Romania'),
(108132, '194.50.171.0', '194.50.171.255', 3258100480, 3258100735, 'DK', 'Denmark'),
(108133, '194.50.172.0', '194.50.172.255', 3258100736, 3258100991, 'CH', 'Switzerland'),
(108134, '194.50.173.0', '194.50.173.255', 3258100992, 3258101247, 'AT', 'Austria'),
(108135, '194.50.174.0', '194.50.174.255', 3258101248, 3258101503, 'RO', 'Romania'),
(108136, '194.50.175.0', '194.50.175.255', 3258101504, 3258101759, 'IL', 'Israel'),
(108137, '194.50.176.0', '194.50.176.255', 3258101760, 3258102015, 'CH', 'Switzerland'),
(108138, '194.50.177.0', '194.50.177.255', 3258102016, 3258102271, 'BE', 'Belgium'),
(108139, '194.50.178.0', '194.50.178.255', 3258102272, 3258102527, 'CH', 'Switzerland'),
(108140, '194.50.179.0', '194.50.179.255', 3258102528, 3258102783, 'TR', 'Turkey'),
(108141, '194.50.180.0', '194.50.180.255', 3258102784, 3258103039, 'PL', 'Poland'),
(108142, '194.50.181.0', '194.50.181.255', 3258103040, 3258103295, 'SE', 'Sweden'),
(108143, '194.50.182.0', '194.50.182.255', 3258103296, 3258103551, 'DE', 'Germany'),
(108144, '194.50.183.0', '194.50.183.255', 3258103552, 3258103807, 'AE', 'United Arab Emirates'),
(108145, '194.50.184.0', '194.50.184.255', 3258103808, 3258104063, 'SE', 'Sweden'),
(108146, '194.50.185.0', '194.50.185.255', 3258104064, 3258104319, 'GB', 'United Kingdom'),
(108147, '194.50.186.0', '194.50.186.255', 3258104320, 3258104575, 'PL', 'Poland'),
(108148, '194.50.187.0', '194.50.187.255', 3258104576, 3258104831, 'DE', 'Germany'),
(108149, '194.50.188.0', '194.50.190.255', 3258104832, 3258105599, 'CZ', 'Czech Republic'),
(108150, '194.50.191.0', '194.50.191.255', 3258105600, 3258105855, 'DE', 'Germany'),
(108151, '194.50.192.0', '194.50.207.255', 3258105856, 3258109951, 'CZ', 'Czech Republic'),
(108152, '194.50.208.0', '194.50.208.255', 3258109952, 3258110207, 'DK', 'Denmark'),
(108153, '194.50.209.0', '194.50.213.255', 3258110208, 3258111487, 'CZ', 'Czech Republic'),
(108154, '194.50.214.0', '194.50.214.255', 3258111488, 3258111743, 'PL', 'Poland'),
(108155, '194.50.215.0', '194.50.240.255', 3258111744, 3258118399, 'CZ', 'Czech Republic'),
(108156, '194.50.241.0', '194.50.241.255', 3258118400, 3258118655, 'UA', 'Ukraine'),
(108157, '194.50.242.0', '194.50.251.255', 3258118656, 3258121215, 'CZ', 'Czech Republic'),
(108158, '194.50.252.0', '194.50.252.255', 3258121216, 3258121471, 'PL', 'Poland'),
(108159, '194.50.253.0', '194.50.253.255', 3258121472, 3258121727, 'AT', 'Austria'),
(108160, '194.50.254.0', '194.50.254.255', 3258121728, 3258121983, 'UA', 'Ukraine'),
(108161, '194.50.255.0', '194.50.255.255', 3258121984, 3258122239, 'RU', 'Russian Federation'),
(108162, '194.51.0.0', '194.51.25.255', 3258122240, 3258128895, 'FR', 'France'),
(108163, '194.51.26.0', '194.51.26.255', 3258128896, 3258129151, 'MC', 'Monaco'),
(108164, '194.51.27.0', '194.51.162.255', 3258129152, 3258163967, 'FR', 'France'),
(108165, '194.51.163.0', '194.51.163.255', 3258163968, 3258164223, 'BJ', 'Benin'),
(108166, '194.51.164.0', '194.51.176.255', 3258164224, 3258167551, 'FR', 'France'),
(108167, '194.51.177.0', '194.51.177.255', 3258167552, 3258167807, 'ES', 'Spain'),
(108168, '194.51.178.0', '194.51.255.255', 3258167808, 3258187775, 'FR', 'France'),
(108169, '194.52.0.0', '194.52.170.255', 3258187776, 3258231551, 'SE', 'Sweden'),
(108170, '194.52.171.0', '194.52.175.255', 3258231552, 3258232831, 'NO', 'Norway'),
(108171, '194.52.176.0', '194.52.244.255', 3258232832, 3258250495, 'SE', 'Sweden'),
(108172, '194.52.245.0', '194.52.245.255', 3258250496, 3258250751, 'NO', 'Norway'),
(108173, '194.52.246.0', '194.52.246.255', 3258250752, 3258251007, 'SE', 'Sweden'),
(108174, '194.52.247.0', '194.52.249.255', 3258251008, 3258251775, 'NO', 'Norway'),
(108175, '194.52.250.0', '194.52.255.255', 3258251776, 3258253311, 'SE', 'Sweden'),
(108176, '194.53.0.0', '194.53.75.255', 3258253312, 3258272767, 'NL', 'Netherlands'),
(108177, '194.53.76.0', '194.53.79.255', 3258272768, 3258273791, 'FR', 'France'),
(108178, '194.53.80.0', '194.53.171.255', 3258273792, 3258297343, 'NL', 'Netherlands'),
(108179, '194.53.172.0', '194.53.172.255', 3258297344, 3258297599, 'BE', 'Belgium'),
(108180, '194.53.173.0', '194.53.174.255', 3258297600, 3258298111, 'NL', 'Netherlands'),
(108181, '194.53.175.0', '194.53.175.255', 3258298112, 3258298367, 'GB', 'United Kingdom'),
(108182, '194.53.176.0', '194.53.255.255', 3258298368, 3258318847, 'NL', 'Netherlands'),
(108183, '194.54.0.0', '194.54.7.255', 3258318848, 3258320895, 'DE', 'Germany'),
(108184, '194.54.8.0', '194.54.11.255', 3258320896, 3258321919, 'GB', 'United Kingdom'),
(108185, '194.54.12.0', '194.54.15.255', 3258321920, 3258322943, 'RU', 'Russian Federation'),
(108186, '194.54.16.0', '194.54.27.255', 3258322944, 3258326015, 'PL', 'Poland'),
(108187, '194.54.28.0', '194.54.31.255', 3258326016, 3258327039, 'SE', 'Sweden'),
(108188, '194.54.32.0', '194.54.63.255', 3258327040, 3258335231, 'TR', 'Turkey'),
(108189, '194.54.64.0', '194.54.67.255', 3258335232, 3258336255, 'RU', 'Russian Federation'),
(108190, '194.54.68.0', '194.54.71.255', 3258336256, 3258337279, 'NO', 'Norway'),
(108191, '194.54.72.0', '194.54.75.255', 3258337280, 3258338303, 'DE', 'Germany'),
(108192, '194.54.76.0', '194.54.83.255', 3258338304, 3258340351, 'UA', 'Ukraine'),
(108193, '194.54.84.0', '194.54.87.255', 3258340352, 3258341375, 'PL', 'Poland'),
(108194, '194.54.88.0', '194.54.91.255', 3258341376, 3258342399, 'UA', 'Ukraine'),
(108195, '194.54.92.0', '194.54.95.255', 3258342400, 3258343423, 'DE', 'Germany'),
(108196, '194.54.96.0', '194.54.127.255', 3258343424, 3258351615, 'NO', 'Norway'),
(108197, '194.54.128.0', '194.54.131.255', 3258351616, 3258352639, 'RO', 'Romania'),
(108198, '194.54.132.0', '194.54.135.255', 3258352640, 3258353663, 'RU', 'Russian Federation'),
(108199, '194.54.136.0', '194.54.139.255', 3258353664, 3258354687, 'NO', 'Norway'),
(108200, '194.54.140.0', '194.54.143.255', 3258354688, 3258355711, 'BG', 'Bulgaria'),
(108201, '194.54.144.0', '194.54.147.255', 3258355712, 3258356735, 'NL', 'Netherlands'),
(108202, '194.54.148.0', '194.54.151.255', 3258356736, 3258357759, 'RU', 'Russian Federation'),
(108203, '194.54.152.0', '194.54.163.255', 3258357760, 3258360831, 'UA', 'Ukraine'),
(108204, '194.54.164.0', '194.54.167.255', 3258360832, 3258361855, 'SE', 'Sweden'),
(108205, '194.54.168.0', '194.54.171.255', 3258361856, 3258362879, 'IL', 'Israel'),
(108206, '194.54.172.0', '194.54.175.255', 3258362880, 3258363903, 'IM', 'Isle of Man'),
(108207, '194.54.176.0', '194.54.179.255', 3258363904, 3258364927, 'RU', 'Russian Federation'),
(108208, '194.54.180.0', '194.54.183.255', 3258364928, 3258365951, 'RS', 'Serbia'),
(108209, '194.54.184.0', '194.54.187.255', 3258365952, 3258366975, 'UA', 'Ukraine'),
(108210, '194.54.188.0', '194.54.191.255', 3258366976, 3258367999, 'PL', 'Poland'),
(108211, '194.54.192.0', '194.54.235.255', 3258368000, 3258379263, 'KW', 'Kuwait'),
(108212, '194.54.236.0', '194.54.236.255', 3258379264, 3258379519, 'US', 'United States'),
(108213, '194.54.237.0', '194.54.255.255', 3258379520, 3258384383, 'KW', 'Kuwait'),
(108214, '194.55.0.0', '194.55.168.255', 3258384384, 3258427647, 'DE', 'Germany'),
(108215, '194.55.169.0', '194.55.169.255', 3258427648, 3258427903, 'RO', 'Romania'),
(108216, '194.55.170.0', '194.55.255.255', 3258427904, 3258449919, 'DE', 'Germany'),
(108217, '194.56.0.0', '194.56.210.255', 3258449920, 3258503935, 'CH', 'Switzerland'),
(108218, '194.56.211.0', '194.56.211.255', 3258503936, 3258504191, 'PL', 'Poland'),
(108219, '194.56.212.0', '194.56.213.255', 3258504192, 3258504703, 'CH', 'Switzerland'),
(108220, '194.56.214.0', '194.56.214.255', 3258504704, 3258504959, 'DE', 'Germany'),
(108221, '194.56.215.0', '194.56.215.255', 3258504960, 3258505215, 'IL', 'Israel'),
(108222, '194.56.216.0', '194.56.220.255', 3258505216, 3258506495, 'CH', 'Switzerland'),
(108223, '194.56.221.0', '194.56.221.255', 3258506496, 3258506751, 'DE', 'Germany'),
(108224, '194.56.222.0', '194.56.255.255', 3258506752, 3258515455, 'CH', 'Switzerland'),
(108225, '194.57.0.0', '194.57.255.255', 3258515456, 3258580991, 'FR', 'France'),
(108226, '194.58.0.0', '194.58.255.255', 3258580992, 3258646527, 'RU', 'Russian Federation'),
(108227, '194.59.0.0', '194.59.171.255', 3258646528, 3258690559, 'DE', 'Germany'),
(108228, '194.59.172.0', '194.59.172.255', 3258690560, 3258690815, 'EU', 'Europe'),
(108229, '194.59.173.0', '194.59.175.255', 3258690816, 3258691583, 'DE', 'Germany'),
(108230, '194.59.176.0', '194.59.176.255', 3258691584, 3258691839, 'RU', 'Russian Federation'),
(108231, '194.59.177.0', '194.59.178.255', 3258691840, 3258692351, 'AT', 'Austria'),
(108232, '194.59.179.0', '194.59.179.255', 3258692352, 3258692607, 'DE', 'Germany'),
(108233, '194.59.180.0', '194.59.180.255', 3258692608, 3258692863, 'FR', 'France'),
(108234, '194.59.181.0', '194.59.181.255', 3258692864, 3258693119, 'DE', 'Germany'),
(108235, '194.59.182.0', '194.59.182.255', 3258693120, 3258693375, 'SI', 'Slovenia'),
(108236, '194.59.183.0', '194.59.183.255', 3258693376, 3258693631, 'DE', 'Germany'),
(108237, '194.59.184.0', '194.59.184.255', 3258693632, 3258693887, 'RU', 'Russian Federation'),
(108238, '194.59.185.0', '194.59.185.255', 3258693888, 3258694143, 'SI', 'Slovenia'),
(108239, '194.59.186.0', '194.59.186.255', 3258694144, 3258694399, 'RU', 'Russian Federation'),
(108240, '194.59.187.0', '194.59.187.255', 3258694400, 3258694655, 'DE', 'Germany'),
(108241, '194.59.188.0', '194.59.188.255', 3258694656, 3258694911, 'GB', 'United Kingdom'),
(108242, '194.59.189.0', '194.59.255.255', 3258694912, 3258712063, 'DE', 'Germany'),
(108243, '194.60.0.0', '194.60.63.255', 3258712064, 3258728447, 'GB', 'United Kingdom'),
(108244, '194.60.64.0', '194.60.67.255', 3258728448, 3258729471, 'FR', 'France'),
(108245, '194.60.68.0', '194.60.68.255', 3258729472, 3258729727, 'DE', 'Germany'),
(108246, '194.60.69.0', '194.60.69.255', 3258729728, 3258729983, 'UA', 'Ukraine'),
(108247, '194.60.70.0', '194.60.70.255', 3258729984, 3258730239, 'CH', 'Switzerland'),
(108248, '194.60.71.0', '194.60.71.255', 3258730240, 3258730495, 'NL', 'Netherlands'),
(108249, '194.60.72.0', '194.60.72.255', 3258730496, 3258730751, 'RO', 'Romania'),
(108250, '194.60.73.0', '194.60.73.255', 3258730752, 3258731007, 'TR', 'Turkey'),
(108251, '194.60.74.0', '194.60.74.255', 3258731008, 3258731263, 'SI', 'Slovenia'),
(108252, '194.60.75.0', '194.60.75.255', 3258731264, 3258731519, 'NO', 'Norway'),
(108253, '194.60.76.0', '194.60.76.255', 3258731520, 3258731775, 'ES', 'Spain'),
(108254, '194.60.77.0', '194.60.77.255', 3258731776, 3258732031, 'UA', 'Ukraine'),
(108255, '194.60.78.0', '194.60.78.255', 3258732032, 3258732287, 'DE', 'Germany'),
(108256, '194.60.79.0', '194.60.79.255', 3258732288, 3258732543, 'PL', 'Poland'),
(108257, '194.60.80.0', '194.60.80.255', 3258732544, 3258732799, 'SE', 'Sweden'),
(108258, '194.60.81.0', '194.60.81.255', 3258732800, 3258733055, 'CH', 'Switzerland'),
(108259, '194.60.82.0', '194.60.82.255', 3258733056, 3258733311, 'RO', 'Romania'),
(108260, '194.60.83.0', '194.60.135.255', 3258733312, 3258746879, 'GB', 'United Kingdom'),
(108261, '194.60.136.0', '194.60.143.255', 3258746880, 3258748927, 'DE', 'Germany'),
(108262, '194.60.144.0', '194.60.203.255', 3258748928, 3258764287, 'GB', 'United Kingdom'),
(108263, '194.60.204.0', '194.60.204.255', 3258764288, 3258764543, 'DE', 'Germany'),
(108264, '194.60.205.0', '194.60.205.255', 3258764544, 3258764799, 'RU', 'Russian Federation'),
(108265, '194.60.206.0', '194.60.206.255', 3258764800, 3258765055, 'BE', 'Belgium'),
(108266, '194.60.207.0', '194.60.207.255', 3258765056, 3258765311, 'NL', 'Netherlands'),
(108267, '194.60.208.0', '194.60.216.255', 3258765312, 3258767615, 'GB', 'United Kingdom'),
(108268, '194.60.217.0', '194.60.217.255', 3258767616, 3258767871, 'CH', 'Switzerland'),
(108269, '194.60.218.0', '194.60.225.255', 3258767872, 3258769919, 'GB', 'United Kingdom'),
(108270, '194.60.226.0', '194.60.227.255', 3258769920, 3258770431, 'PL', 'Poland'),
(108271, '194.60.228.0', '194.60.231.255', 3258770432, 3258771455, 'IR', 'Iran, Islamic Republic of'),
(108272, '194.60.232.0', '194.60.235.255', 3258771456, 3258772479, 'KZ', 'Kazakhstan'),
(108273, '194.60.236.0', '194.60.239.255', 3258772480, 3258773503, 'RU', 'Russian Federation'),
(108274, '194.60.240.0', '194.60.241.255', 3258773504, 3258774015, 'FR', 'France'),
(108275, '194.60.242.0', '194.60.242.255', 3258774016, 3258774271, 'MD', 'Moldova, Republic of'),
(108276, '194.60.243.0', '194.60.243.255', 3258774272, 3258774527, 'DK', 'Denmark'),
(108277, '194.60.244.0', '194.60.249.255', 3258774528, 3258776063, 'RU', 'Russian Federation'),
(108278, '194.60.250.0', '194.60.250.255', 3258776064, 3258776319, 'GE', 'Georgia'),
(108279, '194.60.251.0', '194.60.251.255', 3258776320, 3258776575, 'PL', 'Poland'),
(108280, '194.60.252.0', '194.60.255.255', 3258776576, 3258777599, 'UA', 'Ukraine'),
(108281, '194.61.0.0', '194.61.47.255', 3258777600, 3258789887, 'GB', 'United Kingdom'),
(108282, '194.61.48.0', '194.61.51.255', 3258789888, 3258790911, 'CZ', 'Czech Republic'),
(108283, '194.61.52.0', '194.61.56.255', 3258790912, 3258792191, 'RU', 'Russian Federation'),
(108284, '194.61.57.0', '194.61.57.255', 3258792192, 3258792447, 'PL', 'Poland'),
(108285, '194.61.58.0', '194.61.58.255', 3258792448, 3258792703, 'MK', 'Macedonia'),
(108286, '194.61.59.0', '194.61.59.255', 3258792704, 3258792959, 'NL', 'Netherlands'),
(108287, '194.61.60.0', '194.61.63.255', 3258792960, 3258793983, 'RU', 'Russian Federation'),
(108288, '194.61.64.0', '194.61.65.255', 3258793984, 3258794495, 'NL', 'Netherlands'),
(108289, '194.61.66.0', '194.61.66.255', 3258794496, 3258794751, 'PL', 'Poland'),
(108290, '194.61.67.0', '194.61.67.255', 3258794752, 3258795007, 'RU', 'Russian Federation'),
(108291, '194.61.68.0', '194.61.71.255', 3258795008, 3258796031, 'PL', 'Poland'),
(108292, '194.61.72.0', '194.61.95.255', 3258796032, 3258802175, 'GB', 'United Kingdom'),
(108293, '194.61.96.0', '194.61.111.255', 3258802176, 3258806271, 'LU', 'Luxembourg'),
(108294, '194.61.112.0', '194.61.157.255', 3258806272, 3258818047, 'GB', 'United Kingdom'),
(108295, '194.61.158.0', '194.61.158.255', 3258818048, 3258818303, 'SE', 'Sweden'),
(108296, '194.61.159.0', '194.61.255.255', 3258818304, 3258843135, 'GB', 'United Kingdom'),
(108297, '194.62.0.0', '194.62.0.255', 3258843136, 3258843391, 'RU', 'Russian Federation'),
(108298, '194.62.1.0', '194.62.21.255', 3258843392, 3258848767, 'GB', 'United Kingdom'),
(108299, '194.62.22.0', '194.62.22.255', 3258848768, 3258849023, 'RO', 'Romania'),
(108300, '194.62.23.0', '194.62.23.255', 3258849024, 3258849279, 'DE', 'Germany'),
(108301, '194.62.24.0', '194.62.63.255', 3258849280, 3258859519, 'GB', 'United Kingdom'),
(108302, '194.62.64.0', '194.62.64.255', 3258859520, 3258859775, 'BY', 'Belarus'),
(108303, '194.62.65.0', '194.62.232.255', 3258859776, 3258902783, 'GB', 'United Kingdom'),
(108304, '194.62.233.0', '194.62.233.255', 3258902784, 3258903039, 'RU', 'Russian Federation'),
(108305, '194.62.234.0', '194.62.234.255', 3258903040, 3258903295, 'FR', 'France'),
(108306, '194.62.235.0', '194.62.235.255', 3258903296, 3258903551, 'GB', 'United Kingdom'),
(108307, '194.62.236.0', '194.62.236.255', 3258903552, 3258903807, 'DE', 'Germany'),
(108308, '194.62.237.0', '194.62.237.255', 3258903808, 3258904063, 'AT', 'Austria'),
(108309, '194.62.238.0', '194.63.127.255', 3258904064, 3258941439, 'GB', 'United Kingdom'),
(108310, '194.63.128.0', '194.63.135.255', 3258941440, 3258943487, 'PL', 'Poland'),
(108311, '194.63.136.0', '194.63.139.255', 3258943488, 3258944511, 'BG', 'Bulgaria'),
(108312, '194.63.140.0', '194.63.147.255', 3258944512, 3258946559, 'RU', 'Russian Federation'),
(108313, '194.63.148.0', '194.63.151.255', 3258946560, 3258947583, 'CH', 'Switzerland'),
(108314, '194.63.152.0', '194.63.155.255', 3258947584, 3258948607, 'RO', 'Romania'),
(108315, '194.63.156.0', '194.63.159.255', 3258948608, 3258949631, 'RU', 'Russian Federation'),
(108316, '194.63.160.0', '194.63.247.255', 3258949632, 3258972159, 'GR', 'Greece'),
(108317, '194.63.248.0', '194.63.255.255', 3258972160, 3258974207, 'NO', 'Norway'),
(108318, '194.64.0.0', '194.64.124.127', 3258974208, 3259006079, 'DE', 'Germany'),
(108319, '194.64.124.128', '194.64.124.159', 3259006080, 3259006111, 'BE', 'Belgium'),
(108320, '194.64.124.160', '194.64.190.255', 3259006112, 3259023103, 'DE', 'Germany'),
(108321, '194.64.191.0', '194.64.191.3', 3259023104, 3259023107, 'ES', 'Spain'),
(108322, '194.64.191.4', '194.64.224.103', 3259023108, 3259031655, 'DE', 'Germany'),
(108323, '194.64.224.104', '194.64.224.107', 3259031656, 3259031659, 'ES', 'Spain'),
(108324, '194.64.224.108', '194.64.225.87', 3259031660, 3259031895, 'DE', 'Germany'),
(108325, '194.64.225.88', '194.64.225.91', 3259031896, 3259031899, 'ES', 'Spain'),
(108326, '194.64.225.92', '194.64.226.87', 3259031900, 3259032151, 'DE', 'Germany'),
(108327, '194.64.226.88', '194.64.226.95', 3259032152, 3259032159, 'GB', 'United Kingdom'),
(108328, '194.64.226.96', '194.64.226.135', 3259032160, 3259032199, 'DE', 'Germany'),
(108329, '194.64.226.136', '194.64.226.139', 3259032200, 3259032203, 'ES', 'Spain'),
(108330, '194.64.226.140', '194.64.227.119', 3259032204, 3259032439, 'DE', 'Germany'),
(108331, '194.64.227.120', '194.64.227.123', 3259032440, 3259032443, 'ES', 'Spain'),
(108332, '194.64.227.124', '194.64.227.231', 3259032444, 3259032551, 'DE', 'Germany'),
(108333, '194.64.227.232', '194.64.227.239', 3259032552, 3259032559, 'IT', 'Italy'),
(108334, '194.64.227.240', '194.64.234.207', 3259032560, 3259034319, 'DE', 'Germany'),
(108335, '194.64.234.208', '194.64.234.215', 3259034320, 3259034327, 'GB', 'United Kingdom'),
(108336, '194.64.234.216', '194.64.239.55', 3259034328, 3259035447, 'DE', 'Germany'),
(108337, '194.64.239.56', '194.64.239.63', 3259035448, 3259035455, 'IT', 'Italy'),
(108338, '194.64.239.64', '194.64.239.143', 3259035456, 3259035535, 'DE', 'Germany'),
(108339, '194.64.239.144', '194.64.239.159', 3259035536, 3259035551, 'FR', 'France'),
(108340, '194.64.239.160', '194.64.241.127', 3259035552, 3259036031, 'DE', 'Germany'),
(108341, '194.64.241.128', '194.64.241.131', 3259036032, 3259036035, 'ES', 'Spain'),
(108342, '194.64.241.132', '194.64.255.255', 3259036036, 3259039743, 'DE', 'Germany'),
(108343, '194.65.0.0', '194.65.255.255', 3259039744, 3259105279, 'PT', 'Portugal'),
(108344, '194.66.0.0', '194.66.255.255', 3259105280, 3259170815, 'GB', 'United Kingdom'),
(108345, '194.67.0.0', '194.67.191.255', 3259170816, 3259219967, 'RU', 'Russian Federation'),
(108346, '194.67.192.0', '194.67.193.255', 3259219968, 3259220479, 'BY', 'Belarus'),
(108347, '194.67.194.0', '194.67.204.255', 3259220480, 3259223295, 'RU', 'Russian Federation'),
(108348, '194.67.205.0', '194.67.206.255', 3259223296, 3259223807, 'TM', 'Turkmenistan'),
(108349, '194.67.207.0', '194.67.210.255', 3259223808, 3259224831, 'KZ', 'Kazakhstan'),
(108350, '194.67.211.0', '194.67.212.255', 3259224832, 3259225343, 'TJ', 'Tajikistan'),
(108351, '194.67.213.0', '194.67.215.255', 3259225344, 3259226111, 'AZ', 'Azerbaijan'),
(108352, '194.67.216.0', '194.67.217.255', 3259226112, 3259226623, 'UZ', 'Uzbekistan'),
(108353, '194.67.218.0', '194.67.219.255', 3259226624, 3259227135, 'AM', 'Armenia'),
(108354, '194.67.220.0', '194.67.220.255', 3259227136, 3259227391, 'RU', 'Russian Federation'),
(108355, '194.67.221.0', '194.67.222.255', 3259227392, 3259227903, 'KZ', 'Kazakhstan'),
(108356, '194.67.223.0', '194.67.223.255', 3259227904, 3259228159, 'DE', 'Germany'),
(108357, '194.67.224.0', '194.67.255.255', 3259228160, 3259236351, 'RU', 'Russian Federation'),
(108358, '194.68.0.0', '194.68.1.255', 3259236352, 3259236863, 'SE', 'Sweden'),
(108359, '194.68.2.0', '194.68.2.255', 3259236864, 3259237119, 'CH', 'Switzerland'),
(108360, '194.68.3.0', '194.68.5.255', 3259237120, 3259237887, 'SE', 'Sweden'),
(108361, '194.68.6.0', '194.68.6.255', 3259237888, 3259238143, 'FR', 'France'),
(108362, '194.68.7.0', '194.68.27.255', 3259238144, 3259243519, 'SE', 'Sweden'),
(108363, '194.68.28.0', '194.68.31.255', 3259243520, 3259244543, 'US', 'United States'),
(108364, '194.68.32.0', '194.68.45.255', 3259244544, 3259248127, 'SE', 'Sweden'),
(108365, '194.68.46.0', '194.68.46.255', 3259248128, 3259248383, 'GB', 'United Kingdom'),
(108366, '194.68.47.0', '194.68.56.34', 3259248384, 3259250722, 'SE', 'Sweden'),
(108367, '194.68.56.35', '194.68.56.35', 3259250723, 3259250723, 'EU', 'Europe'),
(108368, '194.68.56.36', '194.68.62.255', 3259250724, 3259252479, 'SE', 'Sweden'),
(108369, '194.68.63.0', '194.68.63.255', 3259252480, 3259252735, 'EU', 'Europe'),
(108370, '194.68.64.0', '194.68.86.255', 3259252736, 3259258623, 'SE', 'Sweden'),
(108371, '194.68.87.0', '194.68.87.255', 3259258624, 3259258879, 'ES', 'Spain'),
(108372, '194.68.88.0', '194.68.102.255', 3259258880, 3259262719, 'SE', 'Sweden'),
(108373, '194.68.103.0', '194.68.103.255', 3259262720, 3259262975, 'DK', 'Denmark'),
(108374, '194.68.104.0', '194.68.115.255', 3259262976, 3259266047, 'SE', 'Sweden'),
(108375, '194.68.116.0', '194.68.116.255', 3259266048, 3259266303, 'SG', 'Singapore'),
(108376, '194.68.117.0', '194.68.128.255', 3259266304, 3259269375, 'SE', 'Sweden'),
(108377, '194.68.129.0', '194.68.129.255', 3259269376, 3259269631, 'FR', 'France'),
(108378, '194.68.130.0', '194.68.155.255', 3259269632, 3259276287, 'SE', 'Sweden'),
(108379, '194.68.156.0', '194.68.156.255', 3259276288, 3259276543, 'ES', 'Spain'),
(108380, '194.68.157.0', '194.68.168.255', 3259276544, 3259279615, 'SE', 'Sweden'),
(108381, '194.68.169.0', '194.68.169.255', 3259279616, 3259279871, 'JP', 'Japan'),
(108382, '194.68.170.0', '194.68.172.255', 3259279872, 3259280639, 'SE', 'Sweden'),
(108383, '194.68.173.0', '194.68.173.255', 3259280640, 3259280895, 'US', 'United States'),
(108384, '194.68.174.0', '194.68.175.255', 3259280896, 3259281407, 'SE', 'Sweden'),
(108385, '194.68.176.0', '194.68.179.255', 3259281408, 3259282431, 'US', 'United States'),
(108386, '194.68.180.0', '194.68.180.255', 3259282432, 3259282687, 'SE', 'Sweden'),
(108387, '194.68.181.0', '194.68.181.255', 3259282688, 3259282943, 'JP', 'Japan'),
(108388, '194.68.182.0', '194.68.184.255', 3259282944, 3259283711, 'SE', 'Sweden'),
(108389, '194.68.185.0', '194.68.185.255', 3259283712, 3259283967, 'US', 'United States'),
(108390, '194.68.186.0', '194.68.187.255', 3259283968, 3259284479, 'SE', 'Sweden'),
(108391, '194.68.188.0', '194.68.188.255', 3259284480, 3259284735, 'US', 'United States'),
(108392, '194.68.189.0', '194.68.192.255', 3259284736, 3259285759, 'SE', 'Sweden'),
(108393, '194.68.193.0', '194.68.193.255', 3259285760, 3259286015, 'GB', 'United Kingdom'),
(108394, '194.68.194.0', '194.68.212.255', 3259286016, 3259290879, 'SE', 'Sweden'),
(108395, '194.68.213.0', '194.68.213.255', 3259290880, 3259291135, 'US', 'United States'),
(108396, '194.68.214.0', '194.68.218.255', 3259291136, 3259292415, 'SE', 'Sweden'),
(108397, '194.68.219.0', '194.68.219.255', 3259292416, 3259292671, 'IT', 'Italy'),
(108398, '194.68.220.0', '194.68.238.255', 3259292672, 3259297535, 'SE', 'Sweden'),
(108399, '194.68.239.0', '194.68.239.255', 3259297536, 3259297791, 'GB', 'United Kingdom'),
(108400, '194.68.240.0', '194.68.255.255', 3259297792, 3259301887, 'SE', 'Sweden'),
(108401, '194.69.0.0', '194.69.0.255', 3259301888, 3259302143, 'DE', 'Germany'),
(108402, '194.69.1.0', '194.69.1.255', 3259302144, 3259302399, 'AE', 'United Arab Emirates'),
(108403, '194.69.2.0', '194.69.5.255', 3259302400, 3259303423, 'CH', 'Switzerland'),
(108404, '194.69.6.0', '194.69.15.255', 3259303424, 3259305983, 'SE', 'Sweden'),
(108405, '194.69.16.0', '194.69.31.255', 3259305984, 3259310079, 'NL', 'Netherlands'),
(108406, '194.69.32.0', '194.69.32.255', 3259310080, 3259310335, 'FR', 'France'),
(108407, '194.69.33.0', '194.69.35.255', 3259310336, 3259311103, 'DK', 'Denmark'),
(108408, '194.69.36.0', '194.69.37.255', 3259311104, 3259311615, 'DE', 'Germany'),
(108409, '194.69.38.0', '194.69.41.255', 3259311616, 3259312639, 'EU', 'Europe'),
(108410, '194.69.42.0', '194.69.43.255', 3259312640, 3259313151, 'GB', 'United Kingdom'),
(108411, '194.69.44.0', '194.69.59.255', 3259313152, 3259317247, 'EU', 'Europe'),
(108412, '194.69.60.0', '194.69.63.255', 3259317248, 3259318271, 'CH', 'Switzerland'),
(108413, '194.69.64.0', '194.69.64.39', 3259318272, 3259318311, 'GB', 'United Kingdom'),
(108414, '194.69.64.40', '194.69.64.47', 3259318312, 3259318319, 'BE', 'Belgium'),
(108415, '194.69.64.48', '194.69.64.71', 3259318320, 3259318343, 'GB', 'United Kingdom'),
(108416, '194.69.64.72', '194.69.64.79', 3259318344, 3259318351, 'FR', 'France'),
(108417, '194.69.64.80', '194.69.64.95', 3259318352, 3259318367, 'GB', 'United Kingdom'),
(108418, '194.69.64.96', '194.69.64.127', 3259318368, 3259318399, 'BE', 'Belgium'),
(108419, '194.69.64.128', '194.69.64.231', 3259318400, 3259318503, 'GB', 'United Kingdom'),
(108420, '194.69.64.232', '194.69.64.239', 3259318504, 3259318511, 'BE', 'Belgium'),
(108421, '194.69.64.240', '194.69.64.255', 3259318512, 3259318527, 'GB', 'United Kingdom'),
(108422, '194.69.65.0', '194.69.65.63', 3259318528, 3259318591, 'CH', 'Switzerland'),
(108423, '194.69.65.64', '194.69.65.71', 3259318592, 3259318599, 'GB', 'United Kingdom'),
(108424, '194.69.65.72', '194.69.65.79', 3259318600, 3259318607, 'AT', 'Austria'),
(108425, '194.69.65.80', '194.69.65.135', 3259318608, 3259318663, 'GB', 'United Kingdom'),
(108426, '194.69.65.136', '194.69.65.143', 3259318664, 3259318671, 'DK', 'Denmark'),
(108427, '194.69.65.144', '194.69.65.151', 3259318672, 3259318679, 'GB', 'United Kingdom'),
(108428, '194.69.65.152', '194.69.65.159', 3259318680, 3259318687, 'IT', 'Italy'),
(108429, '194.69.65.160', '194.69.65.199', 3259318688, 3259318727, 'GB', 'United Kingdom'),
(108430, '194.69.65.200', '194.69.65.207', 3259318728, 3259318735, 'FR', 'France'),
(108431, '194.69.65.208', '194.69.67.15', 3259318736, 3259319055, 'GB', 'United Kingdom'),
(108432, '194.69.67.16', '194.69.67.31', 3259319056, 3259319071, 'IT', 'Italy'),
(108433, '194.69.67.32', '194.69.67.47', 3259319072, 3259319087, 'GB', 'United Kingdom'),
(108434, '194.69.67.48', '194.69.67.55', 3259319088, 3259319095, 'SE', 'Sweden'),
(108435, '194.69.67.56', '194.69.67.63', 3259319096, 3259319103, 'DK', 'Denmark'),
(108436, '194.69.67.64', '194.69.67.71', 3259319104, 3259319111, 'FR', 'France'),
(108437, '194.69.67.72', '194.69.67.159', 3259319112, 3259319199, 'GB', 'United Kingdom'),
(108438, '194.69.67.160', '194.69.67.175', 3259319200, 3259319215, 'DE', 'Germany'),
(108439, '194.69.67.176', '194.69.67.215', 3259319216, 3259319255, 'GB', 'United Kingdom'),
(108440, '194.69.67.216', '194.69.67.223', 3259319256, 3259319263, 'DK', 'Denmark'),
(108441, '194.69.67.224', '194.69.67.247', 3259319264, 3259319287, 'GB', 'United Kingdom'),
(108442, '194.69.67.248', '194.69.67.255', 3259319288, 3259319295, 'BE', 'Belgium'),
(108443, '194.69.68.0', '194.69.68.7', 3259319296, 3259319303, 'GB', 'United Kingdom'),
(108444, '194.69.68.8', '194.69.68.15', 3259319304, 3259319311, 'BE', 'Belgium'),
(108445, '194.69.68.16', '194.69.68.23', 3259319312, 3259319319, 'DK', 'Denmark'),
(108446, '194.69.68.24', '194.69.68.71', 3259319320, 3259319367, 'GB', 'United Kingdom'),
(108447, '194.69.68.72', '194.69.68.79', 3259319368, 3259319375, 'BE', 'Belgium'),
(108448, '194.69.68.80', '194.69.68.111', 3259319376, 3259319407, 'GB', 'United Kingdom'),
(108449, '194.69.68.112', '194.69.68.127', 3259319408, 3259319423, 'LU', 'Luxembourg'),
(108450, '194.69.68.128', '194.69.68.143', 3259319424, 3259319439, 'GB', 'United Kingdom'),
(108451, '194.69.68.144', '194.69.68.151', 3259319440, 3259319447, 'CH', 'Switzerland'),
(108452, '194.69.68.152', '194.69.68.167', 3259319448, 3259319463, 'GB', 'United Kingdom'),
(108453, '194.69.68.168', '194.69.68.175', 3259319464, 3259319471, 'DK', 'Denmark'),
(108454, '194.69.68.176', '194.69.69.35', 3259319472, 3259319587, 'GB', 'United Kingdom'),
(108455, '194.69.69.36', '194.69.69.39', 3259319588, 3259319591, 'NL', 'Netherlands'),
(108456, '194.69.69.40', '194.69.69.111', 3259319592, 3259319663, 'GB', 'United Kingdom'),
(108457, '194.69.69.112', '194.69.69.115', 3259319664, 3259319667, 'FR', 'France'),
(108458, '194.69.69.116', '194.69.70.15', 3259319668, 3259319823, 'GB', 'United Kingdom'),
(108459, '194.69.70.16', '194.69.70.23', 3259319824, 3259319831, 'FR', 'France'),
(108460, '194.69.70.24', '194.69.70.71', 3259319832, 3259319879, 'GB', 'United Kingdom'),
(108461, '194.69.70.72', '194.69.70.79', 3259319880, 3259319887, 'BY', 'Belarus'),
(108462, '194.69.70.80', '194.69.70.179', 3259319888, 3259319987, 'GB', 'United Kingdom'),
(108463, '194.69.70.180', '194.69.70.183', 3259319988, 3259319991, 'NL', 'Netherlands'),
(108464, '194.69.70.184', '194.69.70.203', 3259319992, 3259320011, 'GB', 'United Kingdom'),
(108465, '194.69.70.204', '194.69.70.207', 3259320012, 3259320015, 'BE', 'Belgium'),
(108466, '194.69.70.208', '194.69.70.247', 3259320016, 3259320055, 'GB', 'United Kingdom'),
(108467, '194.69.70.248', '194.69.70.255', 3259320056, 3259320063, 'AT', 'Austria'),
(108468, '194.69.71.0', '194.69.72.255', 3259320064, 3259320575, 'GB', 'United Kingdom'),
(108469, '194.69.73.0', '194.69.73.7', 3259320576, 3259320583, 'FR', 'France'),
(108470, '194.69.73.8', '194.69.73.167', 3259320584, 3259320743, 'GB', 'United Kingdom'),
(108471, '194.69.73.168', '194.69.73.175', 3259320744, 3259320751, 'NL', 'Netherlands'),
(108472, '194.69.73.176', '194.69.127.255', 3259320752, 3259334655, 'GB', 'United Kingdom'),
(108473, '194.69.128.0', '194.69.143.255', 3259334656, 3259338751, 'DE', 'Germany'),
(108474, '194.69.144.0', '194.69.145.255', 3259338752, 3259339263, 'GB', 'United Kingdom'),
(108475, '194.69.146.0', '194.69.146.255', 3259339264, 3259339519, 'EU', 'Europe'),
(108476, '194.69.147.0', '194.69.147.255', 3259339520, 3259339775, 'JP', 'Japan'),
(108477, '194.69.148.0', '194.69.148.255', 3259339776, 3259340031, 'US', 'United States'),
(108478, '194.69.149.0', '194.69.159.255', 3259340032, 3259342847, 'GB', 'United Kingdom'),
(108479, '194.69.160.0', '194.69.167.255', 3259342848, 3259344895, 'CH', 'Switzerland'),
(108480, '194.69.168.0', '194.69.168.255', 3259344896, 3259345151, 'GB', 'United Kingdom'),
(108481, '194.69.169.0', '194.69.169.255', 3259345152, 3259345407, 'IE', 'Ireland'),
(108482, '194.69.170.0', '194.69.170.255', 3259345408, 3259345663, 'CH', 'Switzerland'),
(108483, '194.69.171.0', '194.69.175.255', 3259345664, 3259346943, 'EU', 'Europe'),
(108484, '194.69.176.0', '194.69.176.255', 3259346944, 3259347199, 'SE', 'Sweden'),
(108485, '194.69.177.0', '194.69.177.255', 3259347200, 3259347455, 'DE', 'Germany'),
(108486, '194.69.178.0', '194.69.179.255', 3259347456, 3259347967, 'CH', 'Switzerland'),
(108487, '194.69.180.0', '194.69.180.255', 3259347968, 3259348223, 'SE', 'Sweden'),
(108488, '194.69.181.0', '194.69.183.255', 3259348224, 3259348991, 'CH', 'Switzerland'),
(108489, '194.69.184.0', '194.69.191.255', 3259348992, 3259351039, 'NL', 'Netherlands'),
(108490, '194.69.192.0', '194.69.193.255', 3259351040, 3259351551, 'IT', 'Italy'),
(108491, '194.69.194.0', '194.69.195.255', 3259351552, 3259352063, 'FR', 'France'),
(108492, '194.69.196.0', '194.69.197.255', 3259352064, 3259352575, 'CH', 'Switzerland'),
(108493, '194.69.198.0', '194.69.199.255', 3259352576, 3259353087, 'IE', 'Ireland'),
(108494, '194.69.200.0', '194.69.202.255', 3259353088, 3259353855, 'NO', 'Norway'),
(108495, '194.69.203.0', '194.69.203.255', 3259353856, 3259354111, 'GB', 'United Kingdom'),
(108496, '194.69.204.0', '194.69.204.255', 3259354112, 3259354367, 'NL', 'Netherlands'),
(108497, '194.69.205.0', '194.69.205.255', 3259354368, 3259354623, 'DE', 'Germany'),
(108498, '194.69.206.0', '194.69.206.255', 3259354624, 3259354879, 'TR', 'Turkey'),
(108499, '194.69.207.0', '194.69.207.255', 3259354880, 3259355135, 'PL', 'Poland'),
(108500, '194.69.208.0', '194.69.223.255', 3259355136, 3259359231, 'NO', 'Norway'),
(108501, '194.69.224.0', '194.69.255.255', 3259359232, 3259367423, 'ES', 'Spain'),
(108502, '194.70.0.0', '194.70.255.255', 3259367424, 3259432959, 'GB', 'United Kingdom'),
(108503, '194.71.0.0', '194.71.8.255', 3259432960, 3259435263, 'SE', 'Sweden'),
(108504, '194.71.9.0', '194.71.9.255', 3259435264, 3259435519, 'IT', 'Italy'),
(108505, '194.71.10.0', '194.71.19.255', 3259435520, 3259438079, 'SE', 'Sweden');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(108506, '194.71.20.0', '194.71.20.255', 3259438080, 3259438335, 'ES', 'Spain'),
(108507, '194.71.21.0', '194.71.84.255', 3259438336, 3259454719, 'SE', 'Sweden'),
(108508, '194.71.85.0', '194.71.85.255', 3259454720, 3259454975, 'EU', 'Europe'),
(108509, '194.71.86.0', '194.71.94.255', 3259454976, 3259457279, 'SE', 'Sweden'),
(108510, '194.71.95.0', '194.71.95.255', 3259457280, 3259457535, 'IT', 'Italy'),
(108511, '194.71.96.0', '194.71.106.255', 3259457536, 3259460351, 'SE', 'Sweden'),
(108512, '194.71.107.0', '194.71.107.255', 3259460352, 3259460607, 'DE', 'Germany'),
(108513, '194.71.108.0', '194.71.110.255', 3259460608, 3259461375, 'SE', 'Sweden'),
(108514, '194.71.111.0', '194.71.111.255', 3259461376, 3259461631, 'GB', 'United Kingdom'),
(108515, '194.71.112.0', '194.71.125.255', 3259461632, 3259465215, 'SE', 'Sweden'),
(108516, '194.71.126.0', '194.71.126.255', 3259465216, 3259465471, 'KH', 'Cambodia'),
(108517, '194.71.127.0', '194.71.147.255', 3259465472, 3259470847, 'SE', 'Sweden'),
(108518, '194.71.148.0', '194.71.151.255', 3259470848, 3259471871, 'US', 'United States'),
(108519, '194.71.152.0', '194.71.182.255', 3259471872, 3259479807, 'SE', 'Sweden'),
(108520, '194.71.183.0', '194.71.183.255', 3259479808, 3259480063, 'DK', 'Denmark'),
(108521, '194.71.184.0', '194.71.186.255', 3259480064, 3259480831, 'SE', 'Sweden'),
(108522, '194.71.187.0', '194.71.187.255', 3259480832, 3259481087, 'ES', 'Spain'),
(108523, '194.71.188.0', '194.71.231.255', 3259481088, 3259492351, 'SE', 'Sweden'),
(108524, '194.71.232.0', '194.71.235.255', 3259492352, 3259493375, 'GB', 'United Kingdom'),
(108525, '194.71.236.0', '194.71.255.255', 3259493376, 3259498495, 'SE', 'Sweden'),
(108526, '194.72.0.0', '194.72.32.255', 3259498496, 3259506943, 'GB', 'United Kingdom'),
(108527, '194.72.33.0', '194.72.33.255', 3259506944, 3259507199, 'ES', 'Spain'),
(108528, '194.72.34.0', '194.72.35.255', 3259507200, 3259507711, 'GB', 'United Kingdom'),
(108529, '194.72.36.0', '194.72.36.255', 3259507712, 3259507967, 'CH', 'Switzerland'),
(108530, '194.72.37.0', '194.72.37.255', 3259507968, 3259508223, 'GB', 'United Kingdom'),
(108531, '194.72.38.0', '194.72.38.255', 3259508224, 3259508479, 'ES', 'Spain'),
(108532, '194.72.39.0', '194.72.51.255', 3259508480, 3259511807, 'GB', 'United Kingdom'),
(108533, '194.72.52.0', '194.72.52.255', 3259511808, 3259512063, 'IM', 'Isle of Man'),
(108534, '194.72.53.0', '194.72.66.255', 3259512064, 3259515647, 'GB', 'United Kingdom'),
(108535, '194.72.67.0', '194.72.67.255', 3259515648, 3259515903, 'ES', 'Spain'),
(108536, '194.72.68.0', '194.72.76.255', 3259515904, 3259518207, 'GB', 'United Kingdom'),
(108537, '194.72.77.0', '194.72.77.255', 3259518208, 3259518463, 'ES', 'Spain'),
(108538, '194.72.78.0', '194.72.78.255', 3259518464, 3259518719, 'GB', 'United Kingdom'),
(108539, '194.72.79.0', '194.72.79.255', 3259518720, 3259518975, 'ES', 'Spain'),
(108540, '194.72.80.0', '194.72.87.255', 3259518976, 3259521023, 'GB', 'United Kingdom'),
(108541, '194.72.88.0', '194.72.89.255', 3259521024, 3259521535, 'NL', 'Netherlands'),
(108542, '194.72.90.0', '194.72.167.255', 3259521536, 3259541503, 'GB', 'United Kingdom'),
(108543, '194.72.168.0', '194.72.175.255', 3259541504, 3259543551, 'NL', 'Netherlands'),
(108544, '194.72.176.0', '194.72.183.255', 3259543552, 3259545599, 'GB', 'United Kingdom'),
(108545, '194.72.184.0', '194.72.185.255', 3259545600, 3259546111, 'LB', 'Lebanon'),
(108546, '194.72.186.0', '194.72.223.255', 3259546112, 3259555839, 'GB', 'United Kingdom'),
(108547, '194.72.224.0', '194.72.224.255', 3259555840, 3259556095, 'ES', 'Spain'),
(108548, '194.72.225.0', '194.72.249.255', 3259556096, 3259562495, 'GB', 'United Kingdom'),
(108549, '194.72.250.0', '194.72.250.255', 3259562496, 3259562751, 'ES', 'Spain'),
(108550, '194.72.251.0', '194.73.48.31', 3259562752, 3259576351, 'GB', 'United Kingdom'),
(108551, '194.73.48.32', '194.73.48.39', 3259576352, 3259576359, 'ES', 'Spain'),
(108552, '194.73.48.40', '194.73.49.223', 3259576360, 3259576799, 'GB', 'United Kingdom'),
(108553, '194.73.49.224', '194.73.49.255', 3259576800, 3259576831, 'ES', 'Spain'),
(108554, '194.73.50.0', '194.73.67.255', 3259576832, 3259581439, 'GB', 'United Kingdom'),
(108555, '194.73.68.0', '194.73.69.255', 3259581440, 3259581951, 'ES', 'Spain'),
(108556, '194.73.70.0', '194.73.91.255', 3259581952, 3259587583, 'GB', 'United Kingdom'),
(108557, '194.73.92.0', '194.73.93.255', 3259587584, 3259588095, 'ES', 'Spain'),
(108558, '194.73.94.0', '194.73.95.255', 3259588096, 3259588607, 'IT', 'Italy'),
(108559, '194.73.96.0', '194.73.127.255', 3259588608, 3259596799, 'GB', 'United Kingdom'),
(108560, '194.73.128.0', '194.73.128.255', 3259596800, 3259597055, 'ES', 'Spain'),
(108561, '194.73.129.0', '194.73.137.255', 3259597056, 3259599359, 'GB', 'United Kingdom'),
(108562, '194.73.138.0', '194.73.138.255', 3259599360, 3259599615, 'FR', 'France'),
(108563, '194.73.139.0', '194.73.142.255', 3259599616, 3259600639, 'GB', 'United Kingdom'),
(108564, '194.73.143.0', '194.73.143.255', 3259600640, 3259600895, 'IM', 'Isle of Man'),
(108565, '194.73.144.0', '194.73.144.255', 3259600896, 3259601151, 'GB', 'United Kingdom'),
(108566, '194.73.145.0', '194.73.145.255', 3259601152, 3259601407, 'IE', 'Ireland'),
(108567, '194.73.146.0', '194.73.196.255', 3259601408, 3259614463, 'GB', 'United Kingdom'),
(108568, '194.73.197.0', '194.73.197.255', 3259614464, 3259614719, 'DE', 'Germany'),
(108569, '194.73.198.0', '194.73.198.255', 3259614720, 3259614975, 'GB', 'United Kingdom'),
(108570, '194.73.199.0', '194.73.199.255', 3259614976, 3259615231, 'DE', 'Germany'),
(108571, '194.73.200.0', '194.73.201.255', 3259615232, 3259615743, 'GB', 'United Kingdom'),
(108572, '194.73.202.0', '194.73.202.255', 3259615744, 3259615999, 'FR', 'France'),
(108573, '194.73.203.0', '194.73.218.255', 3259616000, 3259620095, 'GB', 'United Kingdom'),
(108574, '194.73.219.0', '194.73.219.255', 3259620096, 3259620351, 'DE', 'Germany'),
(108575, '194.73.220.0', '194.73.249.255', 3259620352, 3259628031, 'GB', 'United Kingdom'),
(108576, '194.73.250.0', '194.73.251.255', 3259628032, 3259628543, 'CH', 'Switzerland'),
(108577, '194.73.252.0', '194.74.2.255', 3259628544, 3259630335, 'GB', 'United Kingdom'),
(108578, '194.74.3.0', '194.74.3.255', 3259630336, 3259630591, 'ES', 'Spain'),
(108579, '194.74.4.0', '194.74.9.255', 3259630592, 3259632127, 'GB', 'United Kingdom'),
(108580, '194.74.10.0', '194.74.10.255', 3259632128, 3259632383, 'IM', 'Isle of Man'),
(108581, '194.74.11.0', '194.74.14.255', 3259632384, 3259633407, 'GB', 'United Kingdom'),
(108582, '194.74.15.0', '194.74.15.255', 3259633408, 3259633663, 'DE', 'Germany'),
(108583, '194.74.16.0', '194.74.23.255', 3259633664, 3259635711, 'GB', 'United Kingdom'),
(108584, '194.74.24.0', '194.74.24.255', 3259635712, 3259635967, 'ES', 'Spain'),
(108585, '194.74.25.0', '194.74.31.255', 3259635968, 3259637759, 'GB', 'United Kingdom'),
(108586, '194.74.32.0', '194.74.32.255', 3259637760, 3259638015, 'ES', 'Spain'),
(108587, '194.74.33.0', '194.74.35.255', 3259638016, 3259638783, 'GB', 'United Kingdom'),
(108588, '194.74.36.0', '194.74.36.255', 3259638784, 3259639039, 'BE', 'Belgium'),
(108589, '194.74.37.0', '194.74.38.255', 3259639040, 3259639551, 'GB', 'United Kingdom'),
(108590, '194.74.39.0', '194.74.39.255', 3259639552, 3259639807, 'DE', 'Germany'),
(108591, '194.74.40.0', '194.74.41.255', 3259639808, 3259640319, 'GB', 'United Kingdom'),
(108592, '194.74.42.0', '194.74.42.255', 3259640320, 3259640575, 'ES', 'Spain'),
(108593, '194.74.43.0', '194.74.43.255', 3259640576, 3259640831, 'GB', 'United Kingdom'),
(108594, '194.74.44.0', '194.74.45.255', 3259640832, 3259641343, 'ES', 'Spain'),
(108595, '194.74.46.0', '194.74.49.255', 3259641344, 3259642367, 'GB', 'United Kingdom'),
(108596, '194.74.50.0', '194.74.50.255', 3259642368, 3259642623, 'BE', 'Belgium'),
(108597, '194.74.51.0', '194.74.79.255', 3259642624, 3259650047, 'GB', 'United Kingdom'),
(108598, '194.74.80.0', '194.74.81.255', 3259650048, 3259650559, 'NL', 'Netherlands'),
(108599, '194.74.82.0', '194.74.82.255', 3259650560, 3259650815, 'GB', 'United Kingdom'),
(108600, '194.74.83.0', '194.74.87.255', 3259650816, 3259652095, 'NL', 'Netherlands'),
(108601, '194.74.88.0', '194.74.106.255', 3259652096, 3259656959, 'GB', 'United Kingdom'),
(108602, '194.74.107.0', '194.74.107.255', 3259656960, 3259657215, 'BE', 'Belgium'),
(108603, '194.74.108.0', '194.74.109.255', 3259657216, 3259657727, 'GB', 'United Kingdom'),
(108604, '194.74.110.0', '194.74.110.159', 3259657728, 3259657887, 'BE', 'Belgium'),
(108605, '194.74.110.160', '194.74.110.191', 3259657888, 3259657919, 'GB', 'United Kingdom'),
(108606, '194.74.110.192', '194.74.110.255', 3259657920, 3259657983, 'BE', 'Belgium'),
(108607, '194.74.111.0', '194.74.120.255', 3259657984, 3259660543, 'GB', 'United Kingdom'),
(108608, '194.74.121.0', '194.74.121.255', 3259660544, 3259660799, 'CH', 'Switzerland'),
(108609, '194.74.122.0', '194.75.2.255', 3259660800, 3259695871, 'GB', 'United Kingdom'),
(108610, '194.75.3.0', '194.75.3.31', 3259695872, 3259695903, 'ES', 'Spain'),
(108611, '194.75.3.32', '194.75.5.255', 3259695904, 3259696639, 'GB', 'United Kingdom'),
(108612, '194.75.6.0', '194.75.6.255', 3259696640, 3259696895, 'ES', 'Spain'),
(108613, '194.75.7.0', '194.75.25.255', 3259696896, 3259701759, 'GB', 'United Kingdom'),
(108614, '194.75.26.0', '194.75.28.31', 3259701760, 3259702303, 'DE', 'Germany'),
(108615, '194.75.28.32', '194.75.58.47', 3259702304, 3259709999, 'GB', 'United Kingdom'),
(108616, '194.75.58.48', '194.75.58.55', 3259710000, 3259710007, 'JE', 'Jersey'),
(108617, '194.75.58.56', '194.75.222.255', 3259710008, 3259752191, 'GB', 'United Kingdom'),
(108618, '194.75.223.0', '194.75.223.255', 3259752192, 3259752447, 'FR', 'France'),
(108619, '194.75.224.0', '194.75.255.255', 3259752448, 3259760639, 'GB', 'United Kingdom'),
(108620, '194.76.0.0', '194.76.209.255', 3259760640, 3259814399, 'DE', 'Germany'),
(108621, '194.76.210.0', '194.76.210.255', 3259814400, 3259814655, 'AT', 'Austria'),
(108622, '194.76.211.0', '194.76.238.255', 3259814656, 3259821823, 'DE', 'Germany'),
(108623, '194.76.239.0', '194.76.239.255', 3259821824, 3259822079, 'AT', 'Austria'),
(108624, '194.76.240.0', '194.76.243.255', 3259822080, 3259823103, 'DE', 'Germany'),
(108625, '194.76.244.0', '194.76.245.255', 3259823104, 3259823615, 'RO', 'Romania'),
(108626, '194.76.246.0', '194.76.246.255', 3259823616, 3259823871, 'NO', 'Norway'),
(108627, '194.76.247.0', '194.76.247.255', 3259823872, 3259824127, 'IE', 'Ireland'),
(108628, '194.76.248.0', '194.77.100.47', 3259824128, 3259851823, 'DE', 'Germany'),
(108629, '194.77.100.48', '194.77.100.55', 3259851824, 3259851831, 'GB', 'United Kingdom'),
(108630, '194.77.100.56', '194.77.255.255', 3259851832, 3259891711, 'DE', 'Germany'),
(108631, '194.78.0.0', '194.78.6.255', 3259891712, 3259893503, 'BE', 'Belgium'),
(108632, '194.78.7.0', '194.78.7.255', 3259893504, 3259893759, 'EU', 'Europe'),
(108633, '194.78.8.0', '194.78.255.255', 3259893760, 3259957247, 'BE', 'Belgium'),
(108634, '194.79.0.0', '194.79.3.255', 3259957248, 3259958271, 'DE', 'Germany'),
(108635, '194.79.4.0', '194.79.7.255', 3259958272, 3259959295, 'RU', 'Russian Federation'),
(108636, '194.79.8.0', '194.79.11.255', 3259959296, 3259960319, 'UA', 'Ukraine'),
(108637, '194.79.12.0', '194.79.15.255', 3259960320, 3259961343, 'BG', 'Bulgaria'),
(108638, '194.79.16.0', '194.79.19.255', 3259961344, 3259962367, 'FI', 'Finland'),
(108639, '194.79.20.0', '194.79.23.255', 3259962368, 3259963391, 'UA', 'Ukraine'),
(108640, '194.79.24.0', '194.79.27.255', 3259963392, 3259964415, 'PL', 'Poland'),
(108641, '194.79.28.0', '194.79.31.255', 3259964416, 3259965439, 'GB', 'United Kingdom'),
(108642, '194.79.32.0', '194.79.35.255', 3259965440, 3259966463, 'RU', 'Russian Federation'),
(108643, '194.79.36.0', '194.79.39.255', 3259966464, 3259967487, 'DE', 'Germany'),
(108644, '194.79.40.0', '194.79.43.255', 3259967488, 3259968511, 'RS', 'Serbia'),
(108645, '194.79.44.0', '194.79.47.255', 3259968512, 3259969535, 'RU', 'Russian Federation'),
(108646, '194.79.48.0', '194.79.51.255', 3259969536, 3259970559, 'FR', 'France'),
(108647, '194.79.52.0', '194.79.55.255', 3259970560, 3259971583, 'CZ', 'Czech Republic'),
(108648, '194.79.56.0', '194.79.59.255', 3259971584, 3259972607, 'IT', 'Italy'),
(108649, '194.79.60.0', '194.79.63.255', 3259972608, 3259973631, 'UA', 'Ukraine'),
(108650, '194.79.64.0', '194.79.95.255', 3259973632, 3259981823, 'PT', 'Portugal'),
(108651, '194.79.96.0', '194.79.127.255', 3259981824, 3259990015, 'EG', 'Egypt'),
(108652, '194.79.128.0', '194.79.149.255', 3259990016, 3259995647, 'FR', 'France'),
(108653, '194.79.150.0', '194.79.150.255', 3259995648, 3259995903, 'MC', 'Monaco'),
(108654, '194.79.151.0', '194.79.191.255', 3259995904, 3260006399, 'FR', 'France'),
(108655, '194.79.192.0', '194.79.223.255', 3260006400, 3260014591, 'IT', 'Italy'),
(108656, '194.79.224.0', '194.79.239.255', 3260014592, 3260018687, 'NL', 'Netherlands'),
(108657, '194.79.240.0', '194.79.243.255', 3260018688, 3260019711, 'GB', 'United Kingdom'),
(108658, '194.79.244.0', '194.79.249.255', 3260019712, 3260021247, 'DE', 'Germany'),
(108659, '194.79.250.0', '194.79.251.255', 3260021248, 3260021759, 'RU', 'Russian Federation'),
(108660, '194.79.252.0', '194.79.253.255', 3260021760, 3260022271, 'GR', 'Greece'),
(108661, '194.79.254.0', '194.79.255.255', 3260022272, 3260022783, 'NL', 'Netherlands'),
(108662, '194.80.0.0', '194.83.255.255', 3260022784, 3260284927, 'GB', 'United Kingdom'),
(108663, '194.84.0.0', '194.84.14.255', 3260284928, 3260288767, 'RU', 'Russian Federation'),
(108664, '194.84.15.0', '194.84.15.255', 3260288768, 3260289023, 'KZ', 'Kazakhstan'),
(108665, '194.84.16.0', '194.84.74.63', 3260289024, 3260303935, 'RU', 'Russian Federation'),
(108666, '194.84.74.64', '194.84.74.255', 3260303936, 3260304127, 'BY', 'Belarus'),
(108667, '194.84.75.0', '194.84.144.255', 3260304128, 3260322047, 'RU', 'Russian Federation'),
(108668, '194.84.145.0', '194.84.145.255', 3260322048, 3260322303, 'BY', 'Belarus'),
(108669, '194.84.146.0', '194.85.11.255', 3260322304, 3260353535, 'RU', 'Russian Federation'),
(108670, '194.85.12.0', '194.85.12.255', 3260353536, 3260353791, 'AZ', 'Azerbaijan'),
(108671, '194.85.13.0', '194.85.253.255', 3260353792, 3260415487, 'RU', 'Russian Federation'),
(108672, '194.85.254.0', '194.85.255.255', 3260415488, 3260415999, 'BY', 'Belarus'),
(108673, '194.86.0.0', '194.86.255.255', 3260416000, 3260481535, 'FI', 'Finland'),
(108674, '194.87.0.0', '194.87.255.255', 3260481536, 3260547071, 'RU', 'Russian Federation'),
(108675, '194.88.0.0', '194.88.0.255', 3260547072, 3260547327, 'DE', 'Germany'),
(108676, '194.88.1.0', '194.88.1.255', 3260547328, 3260547583, 'UA', 'Ukraine'),
(108677, '194.88.2.0', '194.88.2.255', 3260547584, 3260547839, 'NL', 'Netherlands'),
(108678, '194.88.3.0', '194.88.3.255', 3260547840, 3260548095, 'PL', 'Poland'),
(108679, '194.88.4.0', '194.88.4.255', 3260548096, 3260548351, 'IE', 'Ireland'),
(108680, '194.88.5.0', '194.88.5.255', 3260548352, 3260548607, 'DK', 'Denmark'),
(108681, '194.88.6.0', '194.88.6.255', 3260548608, 3260548863, 'RO', 'Romania'),
(108682, '194.88.7.0', '194.88.7.255', 3260548864, 3260549119, 'CH', 'Switzerland'),
(108683, '194.88.8.0', '194.88.8.255', 3260549120, 3260549375, 'AT', 'Austria'),
(108684, '194.88.9.0', '194.88.9.255', 3260549376, 3260549631, 'CH', 'Switzerland'),
(108685, '194.88.10.0', '194.88.10.255', 3260549632, 3260549887, 'DE', 'Germany'),
(108686, '194.88.11.0', '194.88.11.255', 3260549888, 3260550143, 'RU', 'Russian Federation'),
(108687, '194.88.12.0', '194.88.12.255', 3260550144, 3260550399, 'PL', 'Poland'),
(108688, '194.88.13.0', '194.88.13.255', 3260550400, 3260550655, 'DE', 'Germany'),
(108689, '194.88.14.0', '194.88.14.255', 3260550656, 3260550911, 'RU', 'Russian Federation'),
(108690, '194.88.15.0', '194.88.15.255', 3260550912, 3260551167, 'ES', 'Spain'),
(108691, '194.88.16.0', '194.88.26.255', 3260551168, 3260553983, 'DE', 'Germany'),
(108692, '194.88.27.0', '194.88.27.255', 3260553984, 3260554239, 'GB', 'United Kingdom'),
(108693, '194.88.28.0', '194.88.31.255', 3260554240, 3260555263, 'SE', 'Sweden'),
(108694, '194.88.32.0', '194.88.48.255', 3260555264, 3260559615, 'HU', 'Hungary'),
(108695, '194.88.49.0', '194.88.49.31', 3260559616, 3260559647, 'RO', 'Romania'),
(108696, '194.88.49.32', '194.88.49.95', 3260559648, 3260559711, 'HU', 'Hungary'),
(108697, '194.88.49.96', '194.88.49.103', 3260559712, 3260559719, 'RO', 'Romania'),
(108698, '194.88.49.104', '194.88.63.255', 3260559720, 3260563455, 'HU', 'Hungary'),
(108699, '194.88.64.0', '194.88.95.255', 3260563456, 3260571647, 'GB', 'United Kingdom'),
(108700, '194.88.96.0', '194.88.127.255', 3260571648, 3260579839, 'BE', 'Belgium'),
(108701, '194.88.128.0', '194.88.129.255', 3260579840, 3260580351, 'PL', 'Poland'),
(108702, '194.88.130.0', '194.88.131.255', 3260580352, 3260580863, 'HU', 'Hungary'),
(108703, '194.88.132.0', '194.88.133.255', 3260580864, 3260581375, 'GB', 'United Kingdom'),
(108704, '194.88.134.0', '194.88.135.255', 3260581376, 3260581887, 'RO', 'Romania'),
(108705, '194.88.136.0', '194.88.137.255', 3260581888, 3260582399, 'IL', 'Israel'),
(108706, '194.88.138.0', '194.88.141.255', 3260582400, 3260583423, 'RU', 'Russian Federation'),
(108707, '194.88.142.0', '194.88.143.255', 3260583424, 3260583935, 'PT', 'Portugal'),
(108708, '194.88.144.0', '194.88.145.255', 3260583936, 3260584447, 'NO', 'Norway'),
(108709, '194.88.146.0', '194.88.149.255', 3260584448, 3260585471, 'RO', 'Romania'),
(108710, '194.88.150.0', '194.88.153.255', 3260585472, 3260586495, 'UA', 'Ukraine'),
(108711, '194.88.154.0', '194.88.155.255', 3260586496, 3260587007, 'PL', 'Poland'),
(108712, '194.88.156.0', '194.88.157.255', 3260587008, 3260587519, 'FR', 'France'),
(108713, '194.88.158.0', '194.88.159.255', 3260587520, 3260588031, 'PL', 'Poland'),
(108714, '194.88.160.0', '194.88.191.255', 3260588032, 3260596223, 'DE', 'Germany'),
(108715, '194.88.192.0', '194.88.193.255', 3260596224, 3260596735, 'CH', 'Switzerland'),
(108716, '194.88.194.0', '194.88.195.255', 3260596736, 3260597247, 'SK', 'Slovakia'),
(108717, '194.88.196.0', '194.88.197.255', 3260597248, 3260597759, 'CH', 'Switzerland'),
(108718, '194.88.198.0', '194.88.199.255', 3260597760, 3260598271, 'DE', 'Germany'),
(108719, '194.88.200.0', '194.88.201.255', 3260598272, 3260598783, 'RU', 'Russian Federation'),
(108720, '194.88.202.0', '194.88.203.255', 3260598784, 3260599295, 'RO', 'Romania'),
(108721, '194.88.204.0', '194.88.205.255', 3260599296, 3260599807, 'RU', 'Russian Federation'),
(108722, '194.88.206.0', '194.88.207.255', 3260599808, 3260600319, 'UA', 'Ukraine'),
(108723, '194.88.208.0', '194.88.211.255', 3260600320, 3260601343, 'RU', 'Russian Federation'),
(108724, '194.88.212.0', '194.88.213.255', 3260601344, 3260601855, 'CH', 'Switzerland'),
(108725, '194.88.214.0', '194.88.215.255', 3260601856, 3260602367, 'PL', 'Poland'),
(108726, '194.88.216.0', '194.88.217.255', 3260602368, 3260602879, 'DK', 'Denmark'),
(108727, '194.88.218.0', '194.88.221.255', 3260602880, 3260603903, 'UA', 'Ukraine'),
(108728, '194.88.222.0', '194.88.223.255', 3260603904, 3260604415, 'FR', 'France'),
(108729, '194.88.224.0', '194.88.225.255', 3260604416, 3260604927, 'PL', 'Poland'),
(108730, '194.88.226.0', '194.88.227.255', 3260604928, 3260605439, 'RO', 'Romania'),
(108731, '194.88.228.0', '194.88.229.255', 3260605440, 3260605951, 'BG', 'Bulgaria'),
(108732, '194.88.230.0', '194.88.231.255', 3260605952, 3260606463, 'NL', 'Netherlands'),
(108733, '194.88.232.0', '194.88.235.255', 3260606464, 3260607487, 'SE', 'Sweden'),
(108734, '194.88.236.0', '194.88.237.255', 3260607488, 3260607999, 'NL', 'Netherlands'),
(108735, '194.88.238.0', '194.88.239.255', 3260608000, 3260608511, 'RO', 'Romania'),
(108736, '194.88.240.0', '194.88.241.255', 3260608512, 3260609023, 'IE', 'Ireland'),
(108737, '194.88.242.0', '194.88.243.255', 3260609024, 3260609535, 'GB', 'United Kingdom'),
(108738, '194.88.244.0', '194.88.245.255', 3260609536, 3260610047, 'PL', 'Poland'),
(108739, '194.88.246.0', '194.88.247.255', 3260610048, 3260610559, 'FR', 'France'),
(108740, '194.88.248.0', '194.88.249.255', 3260610560, 3260611071, 'RO', 'Romania'),
(108741, '194.88.250.0', '194.88.251.255', 3260611072, 3260611583, 'BG', 'Bulgaria'),
(108742, '194.88.252.0', '194.88.253.255', 3260611584, 3260612095, 'RU', 'Russian Federation'),
(108743, '194.88.254.0', '194.88.255.255', 3260612096, 3260612607, 'SE', 'Sweden'),
(108744, '194.89.0.0', '194.89.3.255', 3260612608, 3260613631, 'FI', 'Finland'),
(108745, '194.89.4.0', '194.89.4.255', 3260613632, 3260613887, 'DE', 'Germany'),
(108746, '194.89.5.0', '194.89.5.255', 3260613888, 3260614143, 'DK', 'Denmark'),
(108747, '194.89.6.0', '194.89.52.255', 3260614144, 3260626175, 'FI', 'Finland'),
(108748, '194.89.53.0', '194.89.53.255', 3260626176, 3260626431, 'ES', 'Spain'),
(108749, '194.89.54.0', '194.89.217.255', 3260626432, 3260668415, 'FI', 'Finland'),
(108750, '194.89.218.0', '194.89.218.255', 3260668416, 3260668671, 'ES', 'Spain'),
(108751, '194.89.219.0', '194.89.219.255', 3260668672, 3260668927, 'GB', 'United Kingdom'),
(108752, '194.89.220.0', '194.89.220.255', 3260668928, 3260669183, 'FI', 'Finland'),
(108753, '194.89.221.0', '194.89.222.255', 3260669184, 3260669695, 'DE', 'Germany'),
(108754, '194.89.223.0', '194.89.223.255', 3260669696, 3260669951, 'IT', 'Italy'),
(108755, '194.89.224.0', '194.89.255.255', 3260669952, 3260678143, 'FI', 'Finland'),
(108756, '194.90.0.0', '194.90.255.255', 3260678144, 3260743679, 'IL', 'Israel'),
(108757, '194.91.0.0', '194.91.220.255', 3260743680, 3260800255, 'IT', 'Italy'),
(108758, '194.91.221.0', '194.91.221.15', 3260800256, 3260800271, 'BE', 'Belgium'),
(108759, '194.91.221.16', '194.91.255.255', 3260800272, 3260809215, 'IT', 'Italy'),
(108760, '194.92.0.0', '194.92.255.255', 3260809216, 3260874751, 'PL', 'Poland'),
(108761, '194.93.0.0', '194.93.72.255', 3260874752, 3260893439, 'DK', 'Denmark'),
(108762, '194.93.73.0', '194.93.75.255', 3260893440, 3260894207, 'SE', 'Sweden'),
(108763, '194.93.76.0', '194.93.79.255', 3260894208, 3260895231, 'AT', 'Austria'),
(108764, '194.93.80.0', '194.93.91.255', 3260895232, 3260898303, 'SE', 'Sweden'),
(108765, '194.93.92.0', '194.93.95.255', 3260898304, 3260899327, 'ES', 'Spain'),
(108766, '194.93.96.0', '194.93.98.255', 3260899328, 3260900095, 'CH', 'Switzerland'),
(108767, '194.93.99.0', '194.93.99.255', 3260900096, 3260900351, 'RU', 'Russian Federation'),
(108768, '194.93.100.0', '194.93.100.255', 3260900352, 3260900607, 'RO', 'Romania'),
(108769, '194.93.101.0', '194.93.102.255', 3260900608, 3260901119, 'NL', 'Netherlands'),
(108770, '194.93.103.0', '194.93.111.255', 3260901120, 3260903423, 'DE', 'Germany'),
(108771, '194.93.112.0', '194.93.122.255', 3260903424, 3260906239, 'CH', 'Switzerland'),
(108772, '194.93.123.0', '194.93.123.255', 3260906240, 3260906495, 'DE', 'Germany'),
(108773, '194.93.124.0', '194.93.127.255', 3260906496, 3260907519, 'PL', 'Poland'),
(108774, '194.93.128.0', '194.93.159.255', 3260907520, 3260915711, 'GB', 'United Kingdom'),
(108775, '194.93.160.0', '194.93.191.255', 3260915712, 3260923903, 'UA', 'Ukraine'),
(108776, '194.93.192.0', '194.93.249.255', 3260923904, 3260938751, 'DE', 'Germany'),
(108777, '194.93.250.0', '194.93.250.255', 3260938752, 3260939007, 'US', 'United States'),
(108778, '194.93.251.0', '194.95.255.255', 3260939008, 3261071359, 'DE', 'Germany'),
(108779, '194.96.0.0', '194.96.255.255', 3261071360, 3261136895, 'AT', 'Austria'),
(108780, '194.97.0.0', '194.97.51.191', 3261136896, 3261150143, 'DE', 'Germany'),
(108781, '194.97.51.192', '194.97.51.255', 3261150144, 3261150207, 'US', 'United States'),
(108782, '194.97.52.0', '194.97.131.255', 3261150208, 3261170687, 'DE', 'Germany'),
(108783, '194.97.132.0', '194.97.132.255', 3261170688, 3261170943, 'CH', 'Switzerland'),
(108784, '194.97.133.0', '194.97.144.227', 3261170944, 3261173987, 'DE', 'Germany'),
(108785, '194.97.144.228', '194.97.144.231', 3261173988, 3261173991, 'AT', 'Austria'),
(108786, '194.97.144.232', '194.97.144.247', 3261173992, 3261174007, 'DE', 'Germany'),
(108787, '194.97.144.248', '194.97.144.255', 3261174008, 3261174015, 'AT', 'Austria'),
(108788, '194.97.145.0', '194.97.255.255', 3261174016, 3261202431, 'DE', 'Germany'),
(108789, '194.98.0.0', '194.98.11.255', 3261202432, 3261205503, 'FR', 'France'),
(108790, '194.98.12.0', '194.98.12.255', 3261205504, 3261205759, 'EU', 'Europe'),
(108791, '194.98.13.0', '194.98.39.255', 3261205760, 3261212671, 'FR', 'France'),
(108792, '194.98.40.0', '194.98.40.255', 3261212672, 3261212927, 'EU', 'Europe'),
(108793, '194.98.41.0', '194.98.42.18', 3261212928, 3261213202, 'FR', 'France'),
(108794, '194.98.42.19', '194.98.42.19', 3261213203, 3261213203, 'EU', 'Europe'),
(108795, '194.98.42.20', '194.98.42.255', 3261213204, 3261213439, 'FR', 'France'),
(108796, '194.98.43.0', '194.98.43.255', 3261213440, 3261213695, 'AF', 'Afghanistan'),
(108797, '194.98.44.0', '194.98.255.255', 3261213696, 3261267967, 'FR', 'France'),
(108798, '194.99.0.0', '194.99.115.255', 3261267968, 3261297663, 'DE', 'Germany'),
(108799, '194.99.116.0', '194.99.116.255', 3261297664, 3261297919, 'RU', 'Russian Federation'),
(108800, '194.99.117.0', '194.99.117.255', 3261297920, 3261298175, 'PL', 'Poland'),
(108801, '194.99.118.0', '194.99.255.255', 3261298176, 3261333503, 'DE', 'Germany'),
(108802, '194.100.0.0', '194.100.255.255', 3261333504, 3261399039, 'FI', 'Finland'),
(108803, '194.101.0.0', '194.102.31.255', 3261399040, 3261472767, 'GB', 'United Kingdom'),
(108804, '194.102.32.0', '194.102.151.255', 3261472768, 3261503487, 'RO', 'Romania'),
(108805, '194.102.152.0', '194.102.153.191', 3261503488, 3261503935, 'MD', 'Moldova, Republic of'),
(108806, '194.102.153.192', '194.102.255.255', 3261503936, 3261530111, 'RO', 'Romania'),
(108807, '194.103.0.0', '194.103.6.255', 3261530112, 3261531903, 'SE', 'Sweden'),
(108808, '194.103.7.0', '194.103.7.255', 3261531904, 3261532159, 'GB', 'United Kingdom'),
(108809, '194.103.8.0', '194.103.9.255', 3261532160, 3261532671, 'SE', 'Sweden'),
(108810, '194.103.10.0', '194.103.10.255', 3261532672, 3261532927, 'US', 'United States'),
(108811, '194.103.11.0', '194.103.12.255', 3261532928, 3261533439, 'SE', 'Sweden'),
(108812, '194.103.13.0', '194.103.13.255', 3261533440, 3261533695, 'US', 'United States'),
(108813, '194.103.14.0', '194.103.35.255', 3261533696, 3261539327, 'SE', 'Sweden'),
(108814, '194.103.36.0', '194.103.39.255', 3261539328, 3261540351, 'SG', 'Singapore'),
(108815, '194.103.40.0', '194.103.156.255', 3261540352, 3261570303, 'SE', 'Sweden'),
(108816, '194.103.157.0', '194.103.157.255', 3261570304, 3261570559, 'IT', 'Italy'),
(108817, '194.103.158.0', '194.103.255.255', 3261570560, 3261595647, 'SE', 'Sweden'),
(108818, '194.104.0.0', '194.104.255.255', 3261595648, 3261661183, 'NL', 'Netherlands'),
(108819, '194.105.0.0', '194.105.31.255', 3261661184, 3261669375, 'RO', 'Romania'),
(108820, '194.105.32.0', '194.105.47.255', 3261669376, 3261673471, 'MT', 'Malta'),
(108821, '194.105.48.0', '194.105.55.255', 3261673472, 3261675519, 'IT', 'Italy'),
(108822, '194.105.56.0', '194.105.56.255', 3261675520, 3261675775, 'LV', 'Latvia'),
(108823, '194.105.57.0', '194.105.57.255', 3261675776, 3261676031, 'IT', 'Italy'),
(108824, '194.105.58.0', '194.105.58.255', 3261676032, 3261676287, 'GB', 'United Kingdom'),
(108825, '194.105.59.0', '194.105.59.255', 3261676288, 3261676543, 'IT', 'Italy'),
(108826, '194.105.60.0', '194.105.60.255', 3261676544, 3261676799, 'DK', 'Denmark'),
(108827, '194.105.61.0', '194.105.61.255', 3261676800, 3261677055, 'IT', 'Italy'),
(108828, '194.105.62.0', '194.105.95.255', 3261677056, 3261685759, 'GB', 'United Kingdom'),
(108829, '194.105.96.0', '194.105.103.255', 3261685760, 3261687807, 'DE', 'Germany'),
(108830, '194.105.104.0', '194.105.111.255', 3261687808, 3261689855, 'RO', 'Romania'),
(108831, '194.105.112.0', '194.105.119.255', 3261689856, 3261691903, 'GB', 'United Kingdom'),
(108832, '194.105.120.0', '194.105.124.69', 3261691904, 3261692997, 'EU', 'Europe'),
(108833, '194.105.124.70', '194.105.124.70', 3261692998, 3261692998, 'US', 'United States'),
(108834, '194.105.124.71', '194.105.127.255', 3261692999, 3261693951, 'EU', 'Europe'),
(108835, '194.105.128.0', '194.105.129.255', 3261693952, 3261694463, 'NL', 'Netherlands'),
(108836, '194.105.130.0', '194.105.131.255', 3261694464, 3261694975, 'RU', 'Russian Federation'),
(108837, '194.105.132.0', '194.105.133.255', 3261694976, 3261695487, 'PL', 'Poland'),
(108838, '194.105.134.0', '194.105.135.255', 3261695488, 3261695999, 'GB', 'United Kingdom'),
(108839, '194.105.136.0', '194.105.137.255', 3261696000, 3261696511, 'UA', 'Ukraine'),
(108840, '194.105.138.0', '194.105.139.255', 3261696512, 3261697023, 'NL', 'Netherlands'),
(108841, '194.105.140.0', '194.105.143.255', 3261697024, 3261698047, 'RO', 'Romania'),
(108842, '194.105.144.0', '194.105.145.255', 3261698048, 3261698559, 'UA', 'Ukraine'),
(108843, '194.105.146.0', '194.105.147.255', 3261698560, 3261699071, 'DE', 'Germany'),
(108844, '194.105.148.0', '194.105.148.255', 3261699072, 3261699327, 'RU', 'Russian Federation'),
(108845, '194.105.149.0', '194.105.149.255', 3261699328, 3261699583, 'GB', 'United Kingdom'),
(108846, '194.105.150.0', '194.105.151.255', 3261699584, 3261700095, 'NL', 'Netherlands'),
(108847, '194.105.152.0', '194.105.153.255', 3261700096, 3261700607, 'FR', 'France'),
(108848, '194.105.154.0', '194.105.155.255', 3261700608, 3261701119, 'GB', 'United Kingdom'),
(108849, '194.105.156.0', '194.105.157.255', 3261701120, 3261701631, 'RU', 'Russian Federation'),
(108850, '194.105.158.0', '194.105.159.255', 3261701632, 3261702143, 'CH', 'Switzerland'),
(108851, '194.105.160.0', '194.105.191.255', 3261702144, 3261710335, 'GB', 'United Kingdom'),
(108852, '194.105.192.0', '194.105.223.255', 3261710336, 3261718527, 'RU', 'Russian Federation'),
(108853, '194.105.224.0', '194.105.255.255', 3261718528, 3261726719, 'IS', 'Iceland'),
(108854, '194.106.0.0', '194.106.31.255', 3261726720, 3261734911, 'ES', 'Spain'),
(108855, '194.106.32.0', '194.106.63.255', 3261734912, 3261743103, 'GB', 'United Kingdom'),
(108856, '194.106.64.0', '194.106.95.255', 3261743104, 3261751295, 'MT', 'Malta'),
(108857, '194.106.96.0', '194.106.127.255', 3261751296, 3261759487, 'EE', 'Estonia'),
(108858, '194.106.128.0', '194.106.159.255', 3261759488, 3261767679, 'IE', 'Ireland'),
(108859, '194.106.160.0', '194.106.191.255', 3261767680, 3261775871, 'RS', 'Serbia'),
(108860, '194.106.192.0', '194.106.193.255', 3261775872, 3261776383, 'PL', 'Poland'),
(108861, '194.106.194.0', '194.106.197.255', 3261776384, 3261777407, 'RU', 'Russian Federation'),
(108862, '194.106.198.0', '194.106.198.255', 3261777408, 3261777663, 'IR', 'Iran, Islamic Republic of'),
(108863, '194.106.199.0', '194.106.199.255', 3261777664, 3261777919, 'GB', 'United Kingdom'),
(108864, '194.106.200.0', '194.106.201.255', 3261777920, 3261778431, 'PL', 'Poland'),
(108865, '194.106.202.0', '194.106.203.255', 3261778432, 3261778943, 'RU', 'Russian Federation'),
(108866, '194.106.204.0', '194.106.205.255', 3261778944, 3261779455, 'RO', 'Romania'),
(108867, '194.106.206.0', '194.106.207.255', 3261779456, 3261779967, 'DE', 'Germany'),
(108868, '194.106.208.0', '194.106.209.255', 3261779968, 3261780479, 'UA', 'Ukraine'),
(108869, '194.106.210.0', '194.106.211.255', 3261780480, 3261780991, 'PL', 'Poland'),
(108870, '194.106.212.0', '194.106.213.255', 3261780992, 3261781503, 'RO', 'Romania'),
(108871, '194.106.214.0', '194.106.215.255', 3261781504, 3261782015, 'PL', 'Poland'),
(108872, '194.106.216.0', '194.106.219.255', 3261782016, 3261783039, 'UA', 'Ukraine'),
(108873, '194.106.220.0', '194.106.223.255', 3261783040, 3261784063, 'GB', 'United Kingdom'),
(108874, '194.106.224.0', '194.107.15.255', 3261784064, 3261796351, 'AT', 'Austria'),
(108875, '194.107.16.0', '194.107.16.255', 3261796352, 3261796607, 'GB', 'United Kingdom'),
(108876, '194.107.17.0', '194.107.17.255', 3261796608, 3261796863, 'RU', 'Russian Federation'),
(108877, '194.107.18.0', '194.107.18.255', 3261796864, 3261797119, 'PL', 'Poland'),
(108878, '194.107.19.0', '194.107.19.255', 3261797120, 3261797375, 'KR', 'Korea, Republic of'),
(108879, '194.107.20.0', '194.107.20.255', 3261797376, 3261797631, 'AT', 'Austria'),
(108880, '194.107.21.0', '194.107.21.255', 3261797632, 3261797887, 'RU', 'Russian Federation'),
(108881, '194.107.22.0', '194.107.22.255', 3261797888, 3261798143, 'TR', 'Turkey'),
(108882, '194.107.23.0', '194.107.23.255', 3261798144, 3261798399, 'RU', 'Russian Federation'),
(108883, '194.107.24.0', '194.107.79.255', 3261798400, 3261812735, 'AT', 'Austria'),
(108884, '194.107.80.0', '194.107.80.255', 3261812736, 3261812991, 'RU', 'Russian Federation'),
(108885, '194.107.81.0', '194.107.94.255', 3261812992, 3261816575, 'AT', 'Austria'),
(108886, '194.107.95.0', '194.107.95.255', 3261816576, 3261816831, 'DE', 'Germany'),
(108887, '194.107.96.0', '194.107.111.255', 3261816832, 3261820927, 'AT', 'Austria'),
(108888, '194.107.112.0', '194.107.112.255', 3261820928, 3261821183, 'RO', 'Romania'),
(108889, '194.107.113.0', '194.107.113.255', 3261821184, 3261821439, 'AT', 'Austria'),
(108890, '194.107.114.0', '194.107.114.255', 3261821440, 3261821695, 'NL', 'Netherlands'),
(108891, '194.107.115.0', '194.107.115.255', 3261821696, 3261821951, 'UA', 'Ukraine'),
(108892, '194.107.116.0', '194.107.116.255', 3261821952, 3261822207, 'RU', 'Russian Federation'),
(108893, '194.107.117.0', '194.107.117.255', 3261822208, 3261822463, 'UA', 'Ukraine'),
(108894, '194.107.118.0', '194.107.118.255', 3261822464, 3261822719, 'GB', 'United Kingdom'),
(108895, '194.107.119.0', '194.107.119.255', 3261822720, 3261822975, 'SE', 'Sweden'),
(108896, '194.107.120.0', '194.107.120.255', 3261822976, 3261823231, 'PL', 'Poland'),
(108897, '194.107.121.0', '194.107.121.255', 3261823232, 3261823487, 'NL', 'Netherlands'),
(108898, '194.107.122.0', '194.107.122.255', 3261823488, 3261823743, 'RO', 'Romania'),
(108899, '194.107.123.0', '194.107.123.255', 3261823744, 3261823999, 'BE', 'Belgium'),
(108900, '194.107.124.0', '194.107.124.255', 3261824000, 3261824255, 'PL', 'Poland'),
(108901, '194.107.125.0', '194.107.125.255', 3261824256, 3261824511, 'RU', 'Russian Federation'),
(108902, '194.107.126.0', '194.107.126.255', 3261824512, 3261824767, 'FR', 'France'),
(108903, '194.107.127.0', '194.107.127.255', 3261824768, 3261825023, 'PT', 'Portugal'),
(108904, '194.107.128.0', '194.107.255.255', 3261825024, 3261857791, 'AT', 'Austria'),
(108905, '194.108.0.0', '194.108.255.255', 3261857792, 3261923327, 'CZ', 'Czech Republic'),
(108906, '194.109.0.0', '194.109.255.255', 3261923328, 3261988863, 'NL', 'Netherlands'),
(108907, '194.110.0.0', '194.110.0.255', 3261988864, 3261989119, 'SE', 'Sweden'),
(108908, '194.110.1.0', '194.110.5.255', 3261989120, 3261990399, 'FI', 'Finland'),
(108909, '194.110.6.0', '194.110.6.255', 3261990400, 3261990655, 'UA', 'Ukraine'),
(108910, '194.110.7.0', '194.110.17.255', 3261990656, 3261993471, 'FI', 'Finland'),
(108911, '194.110.18.0', '194.110.18.255', 3261993472, 3261993727, 'RU', 'Russian Federation'),
(108912, '194.110.19.0', '194.110.24.255', 3261993728, 3261995263, 'FI', 'Finland'),
(108913, '194.110.25.0', '194.110.25.255', 3261995264, 3261995519, 'DE', 'Germany'),
(108914, '194.110.26.0', '194.110.26.255', 3261995520, 3261995775, 'PL', 'Poland'),
(108915, '194.110.27.0', '194.110.27.255', 3261995776, 3261996031, 'FI', 'Finland'),
(108916, '194.110.28.0', '194.110.28.255', 3261996032, 3261996287, 'NL', 'Netherlands'),
(108917, '194.110.29.0', '194.110.63.255', 3261996288, 3262005247, 'FI', 'Finland'),
(108918, '194.110.64.0', '194.110.65.255', 3262005248, 3262005759, 'PL', 'Poland'),
(108919, '194.110.66.0', '194.110.66.255', 3262005760, 3262006015, 'RU', 'Russian Federation'),
(108920, '194.110.67.0', '194.110.67.255', 3262006016, 3262006271, 'NL', 'Netherlands'),
(108921, '194.110.68.0', '194.110.68.255', 3262006272, 3262006527, 'RO', 'Romania'),
(108922, '194.110.69.0', '194.110.69.255', 3262006528, 3262006783, 'FR', 'France'),
(108923, '194.110.70.0', '194.110.70.255', 3262006784, 3262007039, 'SE', 'Sweden'),
(108924, '194.110.71.0', '194.110.71.255', 3262007040, 3262007295, 'IT', 'Italy'),
(108925, '194.110.72.0', '194.110.72.255', 3262007296, 3262007551, 'SA', 'Saudi Arabia'),
(108926, '194.110.73.0', '194.110.73.255', 3262007552, 3262007807, 'GR', 'Greece'),
(108927, '194.110.74.0', '194.110.74.255', 3262007808, 3262008063, 'RO', 'Romania'),
(108928, '194.110.75.0', '194.110.75.255', 3262008064, 3262008319, 'GB', 'United Kingdom'),
(108929, '194.110.76.0', '194.110.76.255', 3262008320, 3262008575, 'PT', 'Portugal'),
(108930, '194.110.77.0', '194.110.77.255', 3262008576, 3262008831, 'PL', 'Poland'),
(108931, '194.110.78.0', '194.110.78.255', 3262008832, 3262009087, 'AT', 'Austria'),
(108932, '194.110.79.0', '194.110.79.255', 3262009088, 3262009343, 'UA', 'Ukraine'),
(108933, '194.110.80.0', '194.110.95.255', 3262009344, 3262013439, 'FI', 'Finland'),
(108934, '194.110.96.0', '194.110.111.255', 3262013440, 3262017535, 'SE', 'Sweden'),
(108935, '194.110.112.0', '194.110.115.255', 3262017536, 3262018559, 'FI', 'Finland'),
(108936, '194.110.116.0', '194.110.116.255', 3262018560, 3262018815, 'PL', 'Poland'),
(108937, '194.110.117.0', '194.110.125.255', 3262018816, 3262021119, 'FI', 'Finland'),
(108938, '194.110.126.0', '194.110.126.255', 3262021120, 3262021375, 'UA', 'Ukraine'),
(108939, '194.110.127.0', '194.110.127.255', 3262021376, 3262021631, 'PL', 'Poland'),
(108940, '194.110.128.0', '194.110.128.255', 3262021632, 3262021887, 'CH', 'Switzerland'),
(108941, '194.110.129.0', '194.110.129.255', 3262021888, 3262022143, 'UA', 'Ukraine'),
(108942, '194.110.130.0', '194.110.132.255', 3262022144, 3262022911, 'FI', 'Finland'),
(108943, '194.110.133.0', '194.110.133.255', 3262022912, 3262023167, 'DE', 'Germany'),
(108944, '194.110.134.0', '194.110.135.255', 3262023168, 3262023679, 'FI', 'Finland'),
(108945, '194.110.136.0', '194.110.136.255', 3262023680, 3262023935, 'DK', 'Denmark'),
(108946, '194.110.137.0', '194.110.149.255', 3262023936, 3262027263, 'FI', 'Finland'),
(108947, '194.110.150.0', '194.110.150.255', 3262027264, 3262027519, 'TR', 'Turkey'),
(108948, '194.110.151.0', '194.110.151.255', 3262027520, 3262027775, 'BE', 'Belgium'),
(108949, '194.110.152.0', '194.110.153.255', 3262027776, 3262028287, 'RU', 'Russian Federation'),
(108950, '194.110.154.0', '194.110.154.255', 3262028288, 3262028543, 'FR', 'France'),
(108951, '194.110.155.0', '194.110.155.255', 3262028544, 3262028799, 'AE', 'United Arab Emirates'),
(108952, '194.110.156.0', '194.110.159.255', 3262028800, 3262029823, 'DE', 'Germany'),
(108953, '194.110.160.0', '194.110.163.255', 3262029824, 3262030847, 'US', 'United States'),
(108954, '194.110.164.0', '194.110.167.255', 3262030848, 3262031871, 'FR', 'France'),
(108955, '194.110.168.0', '194.110.176.191', 3262031872, 3262034111, 'FI', 'Finland'),
(108956, '194.110.176.192', '194.110.176.199', 3262034112, 3262034119, 'AX', 'Aland Islands'),
(108957, '194.110.176.200', '194.110.176.203', 3262034120, 3262034123, 'FI', 'Finland'),
(108958, '194.110.176.204', '194.110.176.207', 3262034124, 3262034127, 'AX', 'Aland Islands'),
(108959, '194.110.176.208', '194.110.176.223', 3262034128, 3262034143, 'FI', 'Finland'),
(108960, '194.110.176.224', '194.110.177.15', 3262034144, 3262034191, 'AX', 'Aland Islands'),
(108961, '194.110.177.16', '194.110.177.63', 3262034192, 3262034239, 'FI', 'Finland'),
(108962, '194.110.177.64', '194.110.177.111', 3262034240, 3262034287, 'AX', 'Aland Islands'),
(108963, '194.110.177.112', '194.110.178.23', 3262034288, 3262034455, 'FI', 'Finland'),
(108964, '194.110.178.24', '194.110.178.31', 3262034456, 3262034463, 'AX', 'Aland Islands'),
(108965, '194.110.178.32', '194.110.178.95', 3262034464, 3262034527, 'FI', 'Finland'),
(108966, '194.110.178.96', '194.110.178.135', 3262034528, 3262034567, 'AX', 'Aland Islands'),
(108967, '194.110.178.136', '194.110.178.143', 3262034568, 3262034575, 'FI', 'Finland'),
(108968, '194.110.178.144', '194.110.178.159', 3262034576, 3262034591, 'AX', 'Aland Islands'),
(108969, '194.110.178.160', '194.110.178.255', 3262034592, 3262034687, 'FI', 'Finland'),
(108970, '194.110.179.0', '194.110.179.35', 3262034688, 3262034723, 'AX', 'Aland Islands'),
(108971, '194.110.179.36', '194.110.179.111', 3262034724, 3262034799, 'FI', 'Finland'),
(108972, '194.110.179.112', '194.110.179.119', 3262034800, 3262034807, 'AX', 'Aland Islands'),
(108973, '194.110.179.120', '194.110.179.127', 3262034808, 3262034815, 'FI', 'Finland'),
(108974, '194.110.179.128', '194.110.179.143', 3262034816, 3262034831, 'AX', 'Aland Islands'),
(108975, '194.110.179.144', '194.110.179.255', 3262034832, 3262034943, 'FI', 'Finland'),
(108976, '194.110.180.0', '194.110.181.255', 3262034944, 3262035455, 'AX', 'Aland Islands'),
(108977, '194.110.182.0', '194.110.182.31', 3262035456, 3262035487, 'FI', 'Finland'),
(108978, '194.110.182.32', '194.110.182.63', 3262035488, 3262035519, 'AX', 'Aland Islands'),
(108979, '194.110.182.64', '194.110.182.255', 3262035520, 3262035711, 'FI', 'Finland'),
(108980, '194.110.183.0', '194.110.183.255', 3262035712, 3262035967, 'AX', 'Aland Islands'),
(108981, '194.110.184.0', '194.110.184.159', 3262035968, 3262036127, 'FI', 'Finland'),
(108982, '194.110.184.160', '194.110.184.171', 3262036128, 3262036139, 'AX', 'Aland Islands'),
(108983, '194.110.184.172', '194.110.184.173', 3262036140, 3262036141, 'FI', 'Finland'),
(108984, '194.110.184.174', '194.110.184.183', 3262036142, 3262036151, 'AX', 'Aland Islands'),
(108985, '194.110.184.184', '194.110.185.63', 3262036152, 3262036287, 'FI', 'Finland'),
(108986, '194.110.185.64', '194.110.185.83', 3262036288, 3262036307, 'AX', 'Aland Islands'),
(108987, '194.110.185.84', '194.110.185.87', 3262036308, 3262036311, 'FI', 'Finland'),
(108988, '194.110.185.88', '194.110.185.111', 3262036312, 3262036335, 'AX', 'Aland Islands'),
(108989, '194.110.185.112', '194.110.185.143', 3262036336, 3262036367, 'FI', 'Finland'),
(108990, '194.110.185.144', '194.110.185.159', 3262036368, 3262036383, 'AX', 'Aland Islands'),
(108991, '194.110.185.160', '194.110.185.191', 3262036384, 3262036415, 'FI', 'Finland'),
(108992, '194.110.185.192', '194.110.185.207', 3262036416, 3262036431, 'AX', 'Aland Islands'),
(108993, '194.110.185.208', '194.110.185.239', 3262036432, 3262036463, 'FI', 'Finland'),
(108994, '194.110.185.240', '194.110.185.255', 3262036464, 3262036479, 'AX', 'Aland Islands'),
(108995, '194.110.186.0', '194.110.186.127', 3262036480, 3262036607, 'FI', 'Finland'),
(108996, '194.110.186.128', '194.110.186.143', 3262036608, 3262036623, 'AX', 'Aland Islands'),
(108997, '194.110.186.144', '194.110.186.175', 3262036624, 3262036655, 'FI', 'Finland'),
(108998, '194.110.186.176', '194.110.186.179', 3262036656, 3262036659, 'AX', 'Aland Islands'),
(108999, '194.110.186.180', '194.110.186.183', 3262036660, 3262036663, 'FI', 'Finland'),
(109000, '194.110.186.184', '194.110.186.191', 3262036664, 3262036671, 'AX', 'Aland Islands'),
(109001, '194.110.186.192', '194.110.186.239', 3262036672, 3262036719, 'FI', 'Finland'),
(109002, '194.110.186.240', '194.110.191.255', 3262036720, 3262038015, 'AX', 'Aland Islands'),
(109003, '194.110.192.0', '194.110.192.255', 3262038016, 3262038271, 'FR', 'France'),
(109004, '194.110.193.0', '194.110.193.255', 3262038272, 3262038527, 'RU', 'Russian Federation'),
(109005, '194.110.194.0', '194.110.194.255', 3262038528, 3262038783, 'GB', 'United Kingdom'),
(109006, '194.110.195.0', '194.110.195.255', 3262038784, 3262039039, 'NO', 'Norway'),
(109007, '194.110.196.0', '194.110.196.255', 3262039040, 3262039295, 'DE', 'Germany'),
(109008, '194.110.197.0', '194.110.197.255', 3262039296, 3262039551, 'GB', 'United Kingdom'),
(109009, '194.110.198.0', '194.110.198.255', 3262039552, 3262039807, 'GR', 'Greece'),
(109010, '194.110.199.0', '194.110.199.255', 3262039808, 3262040063, 'SI', 'Slovenia'),
(109011, '194.110.200.0', '194.110.200.255', 3262040064, 3262040319, 'PL', 'Poland'),
(109012, '194.110.201.0', '194.110.201.255', 3262040320, 3262040575, 'ES', 'Spain'),
(109013, '194.110.202.0', '194.110.202.255', 3262040576, 3262040831, 'RU', 'Russian Federation'),
(109014, '194.110.203.0', '194.110.204.255', 3262040832, 3262041343, 'GB', 'United Kingdom'),
(109015, '194.110.205.0', '194.110.205.255', 3262041344, 3262041599, 'BG', 'Bulgaria'),
(109016, '194.110.206.0', '194.110.206.255', 3262041600, 3262041855, 'DK', 'Denmark'),
(109017, '194.110.207.0', '194.110.208.255', 3262041856, 3262042367, 'FR', 'France'),
(109018, '194.110.209.0', '194.110.209.255', 3262042368, 3262042623, 'GB', 'United Kingdom'),
(109019, '194.110.210.0', '194.110.210.255', 3262042624, 3262042879, 'UA', 'Ukraine'),
(109020, '194.110.211.0', '194.110.211.255', 3262042880, 3262043135, 'NL', 'Netherlands'),
(109021, '194.110.212.0', '194.110.212.255', 3262043136, 3262043391, 'RO', 'Romania'),
(109022, '194.110.213.0', '194.110.213.255', 3262043392, 3262043647, 'TR', 'Turkey'),
(109023, '194.110.214.0', '194.110.214.255', 3262043648, 3262043903, 'NL', 'Netherlands'),
(109024, '194.110.215.0', '194.110.215.255', 3262043904, 3262044159, 'GB', 'United Kingdom'),
(109025, '194.110.216.0', '194.110.216.255', 3262044160, 3262044415, 'RS', 'Serbia'),
(109026, '194.110.217.0', '194.110.217.255', 3262044416, 3262044671, 'DE', 'Germany'),
(109027, '194.110.218.0', '194.110.218.255', 3262044672, 3262044927, 'GR', 'Greece'),
(109028, '194.110.219.0', '194.110.219.255', 3262044928, 3262045183, 'UA', 'Ukraine'),
(109029, '194.110.220.0', '194.110.220.255', 3262045184, 3262045439, 'LT', 'Lithuania'),
(109030, '194.110.221.0', '194.110.221.255', 3262045440, 3262045695, 'NL', 'Netherlands'),
(109031, '194.110.222.0', '194.110.222.255', 3262045696, 3262045951, 'SI', 'Slovenia'),
(109032, '194.110.223.0', '194.110.223.255', 3262045952, 3262046207, 'RU', 'Russian Federation'),
(109033, '194.110.224.0', '194.110.235.255', 3262046208, 3262049279, 'FI', 'Finland'),
(109034, '194.110.236.0', '194.110.236.255', 3262049280, 3262049535, 'JO', 'Jordan'),
(109035, '194.110.237.0', '194.110.237.255', 3262049536, 3262049791, 'GB', 'United Kingdom'),
(109036, '194.110.238.0', '194.110.240.255', 3262049792, 3262050559, 'PL', 'Poland'),
(109037, '194.110.241.0', '194.110.241.255', 3262050560, 3262050815, 'GB', 'United Kingdom'),
(109038, '194.110.242.0', '194.110.242.255', 3262050816, 3262051071, 'CH', 'Switzerland'),
(109039, '194.110.243.0', '194.110.244.255', 3262051072, 3262051583, 'GB', 'United Kingdom'),
(109040, '194.110.245.0', '194.110.245.255', 3262051584, 3262051839, 'FR', 'France'),
(109041, '194.110.246.0', '194.110.247.255', 3262051840, 3262052351, 'DE', 'Germany'),
(109042, '194.110.248.0', '194.110.248.255', 3262052352, 3262052607, 'UA', 'Ukraine'),
(109043, '194.110.249.0', '194.110.249.255', 3262052608, 3262052863, 'IL', 'Israel'),
(109044, '194.110.250.0', '194.110.250.255', 3262052864, 3262053119, 'GB', 'United Kingdom'),
(109045, '194.110.251.0', '194.110.251.255', 3262053120, 3262053375, 'RU', 'Russian Federation'),
(109046, '194.110.252.0', '194.110.252.255', 3262053376, 3262053631, 'UA', 'Ukraine'),
(109047, '194.110.253.0', '194.110.253.255', 3262053632, 3262053887, 'RU', 'Russian Federation'),
(109048, '194.110.254.0', '194.110.254.255', 3262053888, 3262054143, 'UA', 'Ukraine'),
(109049, '194.110.255.0', '194.110.255.255', 3262054144, 3262054399, 'RU', 'Russian Federation'),
(109050, '194.111.0.0', '194.111.162.255', 3262054400, 3262096127, 'FI', 'Finland'),
(109051, '194.111.163.0', '194.111.163.255', 3262096128, 3262096383, 'AX', 'Aland Islands'),
(109052, '194.111.164.0', '194.111.174.255', 3262096384, 3262099199, 'FI', 'Finland'),
(109053, '194.111.175.0', '194.111.175.255', 3262099200, 3262099455, 'NL', 'Netherlands'),
(109054, '194.111.176.0', '194.111.211.255', 3262099456, 3262108671, 'FI', 'Finland'),
(109055, '194.111.212.0', '194.111.212.255', 3262108672, 3262108927, 'RU', 'Russian Federation'),
(109056, '194.111.213.0', '194.111.232.255', 3262108928, 3262114047, 'FI', 'Finland'),
(109057, '194.111.233.0', '194.111.233.255', 3262114048, 3262114303, 'SE', 'Sweden'),
(109058, '194.111.234.0', '194.111.236.255', 3262114304, 3262115071, 'FI', 'Finland'),
(109059, '194.111.237.0', '194.111.237.255', 3262115072, 3262115327, 'RU', 'Russian Federation'),
(109060, '194.111.238.0', '194.111.255.255', 3262115328, 3262119935, 'FI', 'Finland'),
(109061, '194.112.0.0', '194.112.1.255', 3262119936, 3262120447, 'AX', 'Aland Islands'),
(109062, '194.112.2.0', '194.112.2.255', 3262120448, 3262120703, 'FI', 'Finland'),
(109063, '194.112.3.0', '194.112.6.127', 3262120704, 3262121599, 'AX', 'Aland Islands'),
(109064, '194.112.6.128', '194.112.6.191', 3262121600, 3262121663, 'FI', 'Finland'),
(109065, '194.112.6.192', '194.112.8.23', 3262121664, 3262122007, 'AX', 'Aland Islands'),
(109066, '194.112.8.24', '194.112.8.31', 3262122008, 3262122015, 'FI', 'Finland'),
(109067, '194.112.8.32', '194.112.8.47', 3262122016, 3262122031, 'AX', 'Aland Islands'),
(109068, '194.112.8.48', '194.112.8.55', 3262122032, 3262122039, 'FI', 'Finland'),
(109069, '194.112.8.56', '194.112.8.63', 3262122040, 3262122047, 'AX', 'Aland Islands'),
(109070, '194.112.8.64', '194.112.8.159', 3262122048, 3262122143, 'FI', 'Finland'),
(109071, '194.112.8.160', '194.112.8.175', 3262122144, 3262122159, 'AX', 'Aland Islands'),
(109072, '194.112.8.176', '194.112.8.183', 3262122160, 3262122167, 'FI', 'Finland'),
(109073, '194.112.8.184', '194.112.8.199', 3262122168, 3262122183, 'AX', 'Aland Islands'),
(109074, '194.112.8.200', '194.112.8.215', 3262122184, 3262122199, 'FI', 'Finland'),
(109075, '194.112.8.216', '194.112.8.223', 3262122200, 3262122207, 'AX', 'Aland Islands'),
(109076, '194.112.8.224', '194.112.8.255', 3262122208, 3262122239, 'FI', 'Finland'),
(109077, '194.112.9.0', '194.112.9.127', 3262122240, 3262122367, 'AX', 'Aland Islands'),
(109078, '194.112.9.128', '194.112.9.191', 3262122368, 3262122431, 'FI', 'Finland'),
(109079, '194.112.9.192', '194.112.10.127', 3262122432, 3262122623, 'AX', 'Aland Islands'),
(109080, '194.112.10.128', '194.112.10.135', 3262122624, 3262122631, 'FI', 'Finland'),
(109081, '194.112.10.136', '194.112.10.159', 3262122632, 3262122655, 'AX', 'Aland Islands'),
(109082, '194.112.10.160', '194.112.10.255', 3262122656, 3262122751, 'FI', 'Finland'),
(109083, '194.112.11.0', '194.112.11.255', 3262122752, 3262123007, 'AX', 'Aland Islands'),
(109084, '194.112.12.0', '194.112.12.255', 3262123008, 3262123263, 'FI', 'Finland'),
(109085, '194.112.13.0', '194.112.13.31', 3262123264, 3262123295, 'AX', 'Aland Islands'),
(109086, '194.112.13.32', '194.112.13.47', 3262123296, 3262123311, 'FI', 'Finland'),
(109087, '194.112.13.48', '194.112.13.63', 3262123312, 3262123327, 'AX', 'Aland Islands'),
(109088, '194.112.13.64', '194.112.13.127', 3262123328, 3262123391, 'FI', 'Finland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(109089, '194.112.13.128', '194.112.13.255', 3262123392, 3262123519, 'AX', 'Aland Islands'),
(109090, '194.112.14.0', '194.112.14.7', 3262123520, 3262123527, 'FI', 'Finland'),
(109091, '194.112.14.8', '194.112.14.255', 3262123528, 3262123775, 'AX', 'Aland Islands'),
(109092, '194.112.15.0', '194.112.15.255', 3262123776, 3262124031, 'FI', 'Finland'),
(109093, '194.112.16.0', '194.112.31.255', 3262124032, 3262128127, 'DE', 'Germany'),
(109094, '194.112.32.0', '194.112.63.255', 3262128128, 3262136319, 'GB', 'United Kingdom'),
(109095, '194.112.64.0', '194.112.68.255', 3262136320, 3262137599, 'EU', 'Europe'),
(109096, '194.112.69.0', '194.112.69.255', 3262137600, 3262137855, 'DE', 'Germany'),
(109097, '194.112.70.0', '194.112.75.255', 3262137856, 3262139391, 'EU', 'Europe'),
(109098, '194.112.76.0', '194.112.79.255', 3262139392, 3262140415, 'GB', 'United Kingdom'),
(109099, '194.112.80.0', '194.112.80.255', 3262140416, 3262140671, 'DE', 'Germany'),
(109100, '194.112.81.0', '194.112.82.255', 3262140672, 3262141183, 'EU', 'Europe'),
(109101, '194.112.83.0', '194.112.83.255', 3262141184, 3262141439, 'DE', 'Germany'),
(109102, '194.112.84.0', '194.112.87.255', 3262141440, 3262142463, 'ES', 'Spain'),
(109103, '194.112.88.0', '194.112.88.255', 3262142464, 3262142719, 'DE', 'Germany'),
(109104, '194.112.89.0', '194.112.91.255', 3262142720, 3262143487, 'EU', 'Europe'),
(109105, '194.112.92.0', '194.112.92.255', 3262143488, 3262143743, 'GB', 'United Kingdom'),
(109106, '194.112.93.0', '194.112.93.255', 3262143744, 3262143999, 'EU', 'Europe'),
(109107, '194.112.94.0', '194.112.94.47', 3262144000, 3262144047, 'DE', 'Germany'),
(109108, '194.112.94.48', '194.112.97.255', 3262144048, 3262145023, 'EU', 'Europe'),
(109109, '194.112.98.0', '194.112.98.255', 3262145024, 3262145279, 'DE', 'Germany'),
(109110, '194.112.99.0', '194.112.100.15', 3262145280, 3262145551, 'EU', 'Europe'),
(109111, '194.112.100.16', '194.112.100.31', 3262145552, 3262145567, 'DE', 'Germany'),
(109112, '194.112.100.32', '194.112.100.79', 3262145568, 3262145615, 'EU', 'Europe'),
(109113, '194.112.100.80', '194.112.100.95', 3262145616, 3262145631, 'DE', 'Germany'),
(109114, '194.112.100.96', '194.112.100.127', 3262145632, 3262145663, 'EU', 'Europe'),
(109115, '194.112.100.128', '194.112.100.255', 3262145664, 3262145791, 'DE', 'Germany'),
(109116, '194.112.101.0', '194.112.101.255', 3262145792, 3262146047, 'EU', 'Europe'),
(109117, '194.112.102.0', '194.112.104.255', 3262146048, 3262146815, 'DE', 'Germany'),
(109118, '194.112.105.0', '194.112.107.255', 3262146816, 3262147583, 'EU', 'Europe'),
(109119, '194.112.108.0', '194.112.108.255', 3262147584, 3262147839, 'DE', 'Germany'),
(109120, '194.112.109.0', '194.112.111.255', 3262147840, 3262148607, 'EU', 'Europe'),
(109121, '194.112.112.0', '194.112.112.255', 3262148608, 3262148863, 'DE', 'Germany'),
(109122, '194.112.113.0', '194.112.113.15', 3262148864, 3262148879, 'EU', 'Europe'),
(109123, '194.112.113.16', '194.112.113.55', 3262148880, 3262148919, 'DE', 'Germany'),
(109124, '194.112.113.56', '194.112.113.63', 3262148920, 3262148927, 'EU', 'Europe'),
(109125, '194.112.113.64', '194.112.113.255', 3262148928, 3262149119, 'DE', 'Germany'),
(109126, '194.112.114.0', '194.112.114.31', 3262149120, 3262149151, 'FR', 'France'),
(109127, '194.112.114.32', '194.112.114.39', 3262149152, 3262149159, 'DE', 'Germany'),
(109128, '194.112.114.40', '194.112.114.255', 3262149160, 3262149375, 'FR', 'France'),
(109129, '194.112.115.0', '194.112.115.255', 3262149376, 3262149631, 'EU', 'Europe'),
(109130, '194.112.116.0', '194.112.116.255', 3262149632, 3262149887, 'DE', 'Germany'),
(109131, '194.112.117.0', '194.112.120.255', 3262149888, 3262150911, 'EU', 'Europe'),
(109132, '194.112.121.0', '194.112.121.135', 3262150912, 3262151047, 'DE', 'Germany'),
(109133, '194.112.121.136', '194.112.121.159', 3262151048, 3262151071, 'EU', 'Europe'),
(109134, '194.112.121.160', '194.112.121.191', 3262151072, 3262151103, 'DE', 'Germany'),
(109135, '194.112.121.192', '194.112.121.223', 3262151104, 3262151135, 'EU', 'Europe'),
(109136, '194.112.121.224', '194.112.121.239', 3262151136, 3262151151, 'DE', 'Germany'),
(109137, '194.112.121.240', '194.112.121.255', 3262151152, 3262151167, 'EU', 'Europe'),
(109138, '194.112.122.0', '194.112.122.255', 3262151168, 3262151423, 'DE', 'Germany'),
(109139, '194.112.123.0', '194.112.124.255', 3262151424, 3262151935, 'EU', 'Europe'),
(109140, '194.112.125.0', '194.112.125.255', 3262151936, 3262152191, 'DE', 'Germany'),
(109141, '194.112.126.0', '194.112.127.215', 3262152192, 3262152663, 'EU', 'Europe'),
(109142, '194.112.127.216', '194.112.127.223', 3262152664, 3262152671, 'DE', 'Germany'),
(109143, '194.112.127.224', '194.112.127.255', 3262152672, 3262152703, 'EU', 'Europe'),
(109144, '194.112.128.0', '194.112.255.255', 3262152704, 3262185471, 'AT', 'Austria'),
(109145, '194.113.0.0', '194.113.58.255', 3262185472, 3262200575, 'DE', 'Germany'),
(109146, '194.113.59.0', '194.113.59.255', 3262200576, 3262200831, 'EU', 'Europe'),
(109147, '194.113.60.0', '194.113.153.255', 3262200832, 3262224895, 'DE', 'Germany'),
(109148, '194.113.154.0', '194.113.154.255', 3262224896, 3262225151, 'AT', 'Austria'),
(109149, '194.113.155.0', '194.113.164.255', 3262225152, 3262227711, 'DE', 'Germany'),
(109150, '194.113.165.0', '194.113.165.255', 3262227712, 3262227967, 'RO', 'Romania'),
(109151, '194.113.166.0', '194.114.127.255', 3262227968, 3262283775, 'DE', 'Germany'),
(109152, '194.114.128.0', '194.114.131.255', 3262283776, 3262284799, 'RU', 'Russian Federation'),
(109153, '194.114.132.0', '194.114.139.255', 3262284800, 3262286847, 'UA', 'Ukraine'),
(109154, '194.114.140.0', '194.114.143.255', 3262286848, 3262287871, 'SE', 'Sweden'),
(109155, '194.114.144.0', '194.114.144.255', 3262287872, 3262288127, 'MD', 'Moldova, Republic of'),
(109156, '194.114.145.0', '194.114.145.255', 3262288128, 3262288383, 'FR', 'France'),
(109157, '194.114.146.0', '194.114.147.255', 3262288384, 3262288895, 'IL', 'Israel'),
(109158, '194.114.148.0', '194.114.151.255', 3262288896, 3262289919, 'PL', 'Poland'),
(109159, '194.114.152.0', '194.114.255.255', 3262289920, 3262316543, 'SE', 'Sweden'),
(109160, '194.115.0.0', '194.115.125.255', 3262316544, 3262348799, 'DE', 'Germany'),
(109161, '194.115.126.0', '194.115.126.255', 3262348800, 3262349055, 'NL', 'Netherlands'),
(109162, '194.115.127.0', '194.115.255.255', 3262349056, 3262382079, 'DE', 'Germany'),
(109163, '194.116.0.0', '194.116.127.255', 3262382080, 3262414847, 'IT', 'Italy'),
(109164, '194.116.128.0', '194.116.129.255', 3262414848, 3262415359, 'DE', 'Germany'),
(109165, '194.116.130.0', '194.116.135.255', 3262415360, 3262416895, 'PL', 'Poland'),
(109166, '194.116.136.0', '194.116.137.255', 3262416896, 3262417407, 'RO', 'Romania'),
(109167, '194.116.138.0', '194.116.139.255', 3262417408, 3262417919, 'PL', 'Poland'),
(109168, '194.116.140.0', '194.116.141.255', 3262417920, 3262418431, 'RU', 'Russian Federation'),
(109169, '194.116.142.0', '194.116.145.255', 3262418432, 3262419455, 'FR', 'France'),
(109170, '194.116.146.0', '194.116.147.255', 3262419456, 3262419967, 'NL', 'Netherlands'),
(109171, '194.116.148.0', '194.116.149.255', 3262419968, 3262420479, 'FR', 'France'),
(109172, '194.116.150.0', '194.116.151.255', 3262420480, 3262420991, 'CH', 'Switzerland'),
(109173, '194.116.152.0', '194.116.153.255', 3262420992, 3262421503, 'ES', 'Spain'),
(109174, '194.116.154.0', '194.116.155.255', 3262421504, 3262422015, 'DE', 'Germany'),
(109175, '194.116.156.0', '194.116.157.255', 3262422016, 3262422527, 'SE', 'Sweden'),
(109176, '194.116.158.0', '194.116.159.255', 3262422528, 3262423039, 'AT', 'Austria'),
(109177, '194.116.160.0', '194.116.161.255', 3262423040, 3262423551, 'GB', 'United Kingdom'),
(109178, '194.116.162.0', '194.116.163.255', 3262423552, 3262424063, 'UA', 'Ukraine'),
(109179, '194.116.164.0', '194.116.165.255', 3262424064, 3262424575, 'IT', 'Italy'),
(109180, '194.116.166.0', '194.116.166.255', 3262424576, 3262424831, 'PL', 'Poland'),
(109181, '194.116.167.0', '194.116.167.255', 3262424832, 3262425087, 'GB', 'United Kingdom'),
(109182, '194.116.168.0', '194.116.168.255', 3262425088, 3262425343, 'GR', 'Greece'),
(109183, '194.116.169.0', '194.116.169.255', 3262425344, 3262425599, 'RU', 'Russian Federation'),
(109184, '194.116.170.0', '194.116.171.255', 3262425600, 3262426111, 'UA', 'Ukraine'),
(109185, '194.116.172.0', '194.116.173.255', 3262426112, 3262426623, 'DE', 'Germany'),
(109186, '194.116.174.0', '194.116.175.255', 3262426624, 3262427135, 'GB', 'United Kingdom'),
(109187, '194.116.176.0', '194.116.177.255', 3262427136, 3262427647, 'FR', 'France'),
(109188, '194.116.178.0', '194.116.179.255', 3262427648, 3262428159, 'DK', 'Denmark'),
(109189, '194.116.180.0', '194.116.181.255', 3262428160, 3262428671, 'CH', 'Switzerland'),
(109190, '194.116.182.0', '194.116.183.255', 3262428672, 3262429183, 'PL', 'Poland'),
(109191, '194.116.184.0', '194.116.185.255', 3262429184, 3262429695, 'ES', 'Spain'),
(109192, '194.116.186.0', '194.116.187.255', 3262429696, 3262430207, 'DE', 'Germany'),
(109193, '194.116.188.0', '194.116.189.255', 3262430208, 3262430719, 'EE', 'Estonia'),
(109194, '194.116.190.0', '194.116.191.255', 3262430720, 3262431231, 'RO', 'Romania'),
(109195, '194.116.192.0', '194.116.193.255', 3262431232, 3262431743, 'PL', 'Poland'),
(109196, '194.116.194.0', '194.116.195.255', 3262431744, 3262432255, 'UA', 'Ukraine'),
(109197, '194.116.196.0', '194.116.197.255', 3262432256, 3262432767, 'CH', 'Switzerland'),
(109198, '194.116.198.0', '194.116.199.255', 3262432768, 3262433279, 'GB', 'United Kingdom'),
(109199, '194.116.200.0', '194.116.201.255', 3262433280, 3262433791, 'RO', 'Romania'),
(109200, '194.116.202.0', '194.116.203.255', 3262433792, 3262434303, 'FR', 'France'),
(109201, '194.116.204.0', '194.116.205.255', 3262434304, 3262434815, 'SI', 'Slovenia'),
(109202, '194.116.206.0', '194.116.209.255', 3262434816, 3262435839, 'DE', 'Germany'),
(109203, '194.116.210.0', '194.116.211.255', 3262435840, 3262436351, 'CH', 'Switzerland'),
(109204, '194.116.212.0', '194.116.213.255', 3262436352, 3262436863, 'SE', 'Sweden'),
(109205, '194.116.214.0', '194.116.215.255', 3262436864, 3262437375, 'GB', 'United Kingdom'),
(109206, '194.116.216.0', '194.116.217.255', 3262437376, 3262437887, 'RO', 'Romania'),
(109207, '194.116.218.0', '194.116.219.255', 3262437888, 3262438399, 'FR', 'France'),
(109208, '194.116.220.0', '194.116.221.255', 3262438400, 3262438911, 'NL', 'Netherlands'),
(109209, '194.116.222.0', '194.116.223.255', 3262438912, 3262439423, 'DK', 'Denmark'),
(109210, '194.116.224.0', '194.116.225.255', 3262439424, 3262439935, 'AT', 'Austria'),
(109211, '194.116.226.0', '194.116.227.255', 3262439936, 3262440447, 'IL', 'Israel'),
(109212, '194.116.228.0', '194.116.229.255', 3262440448, 3262440959, 'UA', 'Ukraine'),
(109213, '194.116.230.0', '194.116.231.255', 3262440960, 3262441471, 'IL', 'Israel'),
(109214, '194.116.232.0', '194.116.233.255', 3262441472, 3262441983, 'UA', 'Ukraine'),
(109215, '194.116.234.0', '194.116.235.255', 3262441984, 3262442495, 'DE', 'Germany'),
(109216, '194.116.236.0', '194.116.237.255', 3262442496, 3262443007, 'RO', 'Romania'),
(109217, '194.116.238.0', '194.116.239.255', 3262443008, 3262443519, 'UA', 'Ukraine'),
(109218, '194.116.240.0', '194.116.241.255', 3262443520, 3262444031, 'ES', 'Spain'),
(109219, '194.116.242.0', '194.116.243.255', 3262444032, 3262444543, 'AT', 'Austria'),
(109220, '194.116.244.0', '194.116.245.255', 3262444544, 3262445055, 'UA', 'Ukraine'),
(109221, '194.116.246.0', '194.116.247.255', 3262445056, 3262445567, 'RO', 'Romania'),
(109222, '194.116.248.0', '194.116.253.255', 3262445568, 3262447103, 'PL', 'Poland'),
(109223, '194.116.254.0', '194.116.255.255', 3262447104, 3262447615, 'GB', 'United Kingdom'),
(109224, '194.117.0.0', '194.117.49.255', 3262447616, 3262460415, 'PT', 'Portugal'),
(109225, '194.117.50.0', '194.117.50.127', 3262460416, 3262460543, 'UA', 'Ukraine'),
(109226, '194.117.50.128', '194.117.50.255', 3262460544, 3262460671, 'RU', 'Russian Federation'),
(109227, '194.117.51.0', '194.117.51.255', 3262460672, 3262460927, 'AE', 'United Arab Emirates'),
(109228, '194.117.52.128', '194.117.52.255', 3262461056, 3262461183, 'DK', 'Denmark'),
(109229, '194.117.53.0', '194.117.53.127', 3262461184, 3262461311, 'SN', 'Senegal'),
(109230, '194.117.53.128', '194.117.53.255', 3262461312, 3262461439, 'NO', 'Norway'),
(109231, '194.117.54.0', '194.117.54.127', 3262461440, 3262461567, 'DE', 'Germany'),
(109232, '194.117.54.128', '194.117.54.255', 3262461568, 3262461695, 'GB', 'United Kingdom'),
(109233, '194.117.55.0', '194.117.55.127', 3262461696, 3262461823, 'UA', 'Ukraine'),
(109234, '194.117.55.128', '194.117.55.255', 3262461824, 3262461951, 'RO', 'Romania'),
(109235, '194.117.56.0', '194.117.63.255', 3262461952, 3262463999, 'IQ', 'Iraq'),
(109236, '194.117.64.0', '194.117.95.255', 3262464000, 3262472191, 'RU', 'Russian Federation'),
(109237, '194.117.96.0', '194.117.96.15', 3262472192, 3262472207, 'DE', 'Germany'),
(109238, '194.117.96.16', '194.117.96.19', 3262472208, 3262472211, 'FR', 'France'),
(109239, '194.117.96.20', '194.117.96.23', 3262472212, 3262472215, 'DE', 'Germany'),
(109240, '194.117.96.24', '194.117.96.27', 3262472216, 3262472219, 'NL', 'Netherlands'),
(109241, '194.117.96.28', '194.117.96.31', 3262472220, 3262472223, 'AT', 'Austria'),
(109242, '194.117.96.32', '194.117.96.39', 3262472224, 3262472231, 'DE', 'Germany'),
(109243, '194.117.96.40', '194.117.96.43', 3262472232, 3262472235, 'AT', 'Austria'),
(109244, '194.117.96.44', '194.117.96.55', 3262472236, 3262472247, 'DE', 'Germany'),
(109245, '194.117.96.56', '194.117.96.59', 3262472248, 3262472251, 'IT', 'Italy'),
(109246, '194.117.96.60', '194.117.96.75', 3262472252, 3262472267, 'DE', 'Germany'),
(109247, '194.117.96.76', '194.117.96.79', 3262472268, 3262472271, 'AT', 'Austria'),
(109248, '194.117.96.80', '194.117.96.83', 3262472272, 3262472275, 'IT', 'Italy'),
(109249, '194.117.96.84', '194.117.96.87', 3262472276, 3262472279, 'BE', 'Belgium'),
(109250, '194.117.96.88', '194.117.96.99', 3262472280, 3262472291, 'DE', 'Germany'),
(109251, '194.117.96.100', '194.117.96.103', 3262472292, 3262472295, 'FR', 'France'),
(109252, '194.117.96.104', '194.117.96.119', 3262472296, 3262472311, 'DE', 'Germany'),
(109253, '194.117.96.120', '194.117.96.123', 3262472312, 3262472315, 'NL', 'Netherlands'),
(109254, '194.117.96.124', '194.117.96.143', 3262472316, 3262472335, 'DE', 'Germany'),
(109255, '194.117.96.144', '194.117.96.147', 3262472336, 3262472339, 'US', 'United States'),
(109256, '194.117.96.148', '194.117.96.159', 3262472340, 3262472351, 'DE', 'Germany'),
(109257, '194.117.96.160', '194.117.96.163', 3262472352, 3262472355, 'NL', 'Netherlands'),
(109258, '194.117.96.164', '194.117.96.167', 3262472356, 3262472359, 'CH', 'Switzerland'),
(109259, '194.117.96.168', '194.117.96.171', 3262472360, 3262472363, 'NL', 'Netherlands'),
(109260, '194.117.96.172', '194.117.96.175', 3262472364, 3262472367, 'GB', 'United Kingdom'),
(109261, '194.117.96.176', '194.117.96.179', 3262472368, 3262472371, 'NL', 'Netherlands'),
(109262, '194.117.96.180', '194.117.96.183', 3262472372, 3262472375, 'FR', 'France'),
(109263, '194.117.96.184', '194.117.96.187', 3262472376, 3262472379, 'GB', 'United Kingdom'),
(109264, '194.117.96.188', '194.117.96.195', 3262472380, 3262472387, 'DE', 'Germany'),
(109265, '194.117.96.196', '194.117.96.199', 3262472388, 3262472391, 'FR', 'France'),
(109266, '194.117.96.200', '194.117.96.203', 3262472392, 3262472395, 'GB', 'United Kingdom'),
(109267, '194.117.96.204', '194.117.96.207', 3262472396, 3262472399, 'DE', 'Germany'),
(109268, '194.117.96.208', '194.117.96.211', 3262472400, 3262472403, 'NL', 'Netherlands'),
(109269, '194.117.96.212', '194.117.96.215', 3262472404, 3262472407, 'DE', 'Germany'),
(109270, '194.117.96.216', '194.117.96.219', 3262472408, 3262472411, 'US', 'United States'),
(109271, '194.117.96.220', '194.117.96.223', 3262472412, 3262472415, 'DE', 'Germany'),
(109272, '194.117.96.224', '194.117.96.227', 3262472416, 3262472419, 'ES', 'Spain'),
(109273, '194.117.96.228', '194.117.96.231', 3262472420, 3262472423, 'DE', 'Germany'),
(109274, '194.117.96.232', '194.117.96.235', 3262472424, 3262472427, 'BE', 'Belgium'),
(109275, '194.117.96.236', '194.117.96.239', 3262472428, 3262472431, 'CH', 'Switzerland'),
(109276, '194.117.96.240', '194.117.96.243', 3262472432, 3262472435, 'AE', 'United Arab Emirates'),
(109277, '194.117.96.244', '194.117.96.251', 3262472436, 3262472443, 'DE', 'Germany'),
(109278, '194.117.96.252', '194.117.96.255', 3262472444, 3262472447, 'LU', 'Luxembourg'),
(109279, '194.117.97.0', '194.117.97.11', 3262472448, 3262472459, 'DE', 'Germany'),
(109280, '194.117.97.12', '194.117.97.15', 3262472460, 3262472463, 'CH', 'Switzerland'),
(109281, '194.117.97.16', '194.117.97.19', 3262472464, 3262472467, 'DE', 'Germany'),
(109282, '194.117.97.20', '194.117.97.23', 3262472468, 3262472471, 'FR', 'France'),
(109283, '194.117.97.24', '194.117.97.31', 3262472472, 3262472479, 'DE', 'Germany'),
(109284, '194.117.97.32', '194.117.97.35', 3262472480, 3262472483, 'IT', 'Italy'),
(109285, '194.117.97.36', '194.117.97.47', 3262472484, 3262472495, 'DE', 'Germany'),
(109286, '194.117.97.48', '194.117.97.51', 3262472496, 3262472499, 'CH', 'Switzerland'),
(109287, '194.117.97.52', '194.117.97.63', 3262472500, 3262472511, 'DE', 'Germany'),
(109288, '194.117.97.64', '194.117.97.67', 3262472512, 3262472515, 'CA', 'Canada'),
(109289, '194.117.97.68', '194.117.97.71', 3262472516, 3262472519, 'GB', 'United Kingdom'),
(109290, '194.117.97.72', '194.117.97.79', 3262472520, 3262472527, 'DE', 'Germany'),
(109291, '194.117.97.80', '194.117.97.83', 3262472528, 3262472531, 'CH', 'Switzerland'),
(109292, '194.117.97.84', '194.117.97.91', 3262472532, 3262472539, 'DE', 'Germany'),
(109293, '194.117.97.92', '194.117.97.95', 3262472540, 3262472543, 'US', 'United States'),
(109294, '194.117.97.96', '194.117.97.99', 3262472544, 3262472547, 'DE', 'Germany'),
(109295, '194.117.97.100', '194.117.97.103', 3262472548, 3262472551, 'NL', 'Netherlands'),
(109296, '194.117.97.104', '194.117.97.107', 3262472552, 3262472555, 'HU', 'Hungary'),
(109297, '194.117.97.108', '194.117.97.115', 3262472556, 3262472563, 'DE', 'Germany'),
(109298, '194.117.97.116', '194.117.97.119', 3262472564, 3262472567, 'DK', 'Denmark'),
(109299, '194.117.97.120', '194.117.97.127', 3262472568, 3262472575, 'DE', 'Germany'),
(109300, '194.117.97.128', '194.117.97.131', 3262472576, 3262472579, 'CA', 'Canada'),
(109301, '194.117.97.132', '194.117.97.135', 3262472580, 3262472583, 'AT', 'Austria'),
(109302, '194.117.97.136', '194.117.97.143', 3262472584, 3262472591, 'US', 'United States'),
(109303, '194.117.97.144', '194.117.97.147', 3262472592, 3262472595, 'DE', 'Germany'),
(109304, '194.117.97.148', '194.117.97.151', 3262472596, 3262472599, 'CH', 'Switzerland'),
(109305, '194.117.97.152', '194.117.97.155', 3262472600, 3262472603, 'FR', 'France'),
(109306, '194.117.97.156', '194.117.97.159', 3262472604, 3262472607, 'CH', 'Switzerland'),
(109307, '194.117.97.160', '194.117.97.167', 3262472608, 3262472615, 'US', 'United States'),
(109308, '194.117.97.168', '194.117.97.171', 3262472616, 3262472619, 'CA', 'Canada'),
(109309, '194.117.97.172', '194.117.97.175', 3262472620, 3262472623, 'TR', 'Turkey'),
(109310, '194.117.97.176', '194.117.97.183', 3262472624, 3262472631, 'DE', 'Germany'),
(109311, '194.117.97.184', '194.117.97.187', 3262472632, 3262472635, 'ES', 'Spain'),
(109312, '194.117.97.188', '194.117.97.207', 3262472636, 3262472655, 'DE', 'Germany'),
(109313, '194.117.97.208', '194.117.97.211', 3262472656, 3262472659, 'GB', 'United Kingdom'),
(109314, '194.117.97.212', '194.117.97.215', 3262472660, 3262472663, 'IT', 'Italy'),
(109315, '194.117.97.216', '194.117.97.219', 3262472664, 3262472667, 'ES', 'Spain'),
(109316, '194.117.97.220', '194.117.97.227', 3262472668, 3262472675, 'DE', 'Germany'),
(109317, '194.117.97.228', '194.117.97.231', 3262472676, 3262472679, 'FR', 'France'),
(109318, '194.117.97.232', '194.117.97.235', 3262472680, 3262472683, 'CL', 'Chile'),
(109319, '194.117.97.236', '194.117.97.243', 3262472684, 3262472691, 'US', 'United States'),
(109320, '194.117.97.244', '194.117.97.247', 3262472692, 3262472695, 'DE', 'Germany'),
(109321, '194.117.97.248', '194.117.97.251', 3262472696, 3262472699, 'IT', 'Italy'),
(109322, '194.117.97.252', '194.117.97.255', 3262472700, 3262472703, 'AT', 'Austria'),
(109323, '194.117.98.0', '194.117.98.3', 3262472704, 3262472707, 'US', 'United States'),
(109324, '194.117.98.4', '194.117.98.7', 3262472708, 3262472711, 'DE', 'Germany'),
(109325, '194.117.98.8', '194.117.98.11', 3262472712, 3262472715, 'US', 'United States'),
(109326, '194.117.98.12', '194.117.98.23', 3262472716, 3262472727, 'NL', 'Netherlands'),
(109327, '194.117.98.24', '194.117.98.31', 3262472728, 3262472735, 'DE', 'Germany'),
(109328, '194.117.98.32', '194.117.98.35', 3262472736, 3262472739, 'IT', 'Italy'),
(109329, '194.117.98.36', '194.117.98.39', 3262472740, 3262472743, 'PT', 'Portugal'),
(109330, '194.117.98.40', '194.117.98.43', 3262472744, 3262472747, 'DE', 'Germany'),
(109331, '194.117.98.44', '194.117.98.47', 3262472748, 3262472751, 'GB', 'United Kingdom'),
(109332, '194.117.98.48', '194.117.98.59', 3262472752, 3262472763, 'DE', 'Germany'),
(109333, '194.117.98.60', '194.117.98.63', 3262472764, 3262472767, 'CA', 'Canada'),
(109334, '194.117.98.64', '194.117.98.67', 3262472768, 3262472771, 'DE', 'Germany'),
(109335, '194.117.98.68', '194.117.98.71', 3262472772, 3262472775, 'US', 'United States'),
(109336, '194.117.98.72', '194.117.98.75', 3262472776, 3262472779, 'DE', 'Germany'),
(109337, '194.117.98.76', '194.117.98.79', 3262472780, 3262472783, 'US', 'United States'),
(109338, '194.117.98.80', '194.117.98.87', 3262472784, 3262472791, 'DE', 'Germany'),
(109339, '194.117.98.88', '194.117.98.91', 3262472792, 3262472795, 'GB', 'United Kingdom'),
(109340, '194.117.98.92', '194.117.98.95', 3262472796, 3262472799, 'AT', 'Austria'),
(109341, '194.117.98.96', '194.117.98.103', 3262472800, 3262472807, 'DE', 'Germany'),
(109342, '194.117.98.104', '194.117.98.107', 3262472808, 3262472811, 'CH', 'Switzerland'),
(109343, '194.117.98.108', '194.117.98.115', 3262472812, 3262472819, 'DE', 'Germany'),
(109344, '194.117.98.116', '194.117.98.119', 3262472820, 3262472823, 'CH', 'Switzerland'),
(109345, '194.117.98.120', '194.117.98.123', 3262472824, 3262472827, 'US', 'United States'),
(109346, '194.117.98.124', '194.117.98.131', 3262472828, 3262472835, 'DE', 'Germany'),
(109347, '194.117.98.132', '194.117.98.135', 3262472836, 3262472839, 'DK', 'Denmark'),
(109348, '194.117.98.136', '194.117.98.139', 3262472840, 3262472843, 'DE', 'Germany'),
(109349, '194.117.98.140', '194.117.98.143', 3262472844, 3262472847, 'AT', 'Austria'),
(109350, '194.117.98.144', '194.117.98.147', 3262472848, 3262472851, 'DE', 'Germany'),
(109351, '194.117.98.148', '194.117.98.151', 3262472852, 3262472855, 'IT', 'Italy'),
(109352, '194.117.98.152', '194.117.98.155', 3262472856, 3262472859, 'FR', 'France'),
(109353, '194.117.98.156', '194.117.98.159', 3262472860, 3262472863, 'US', 'United States'),
(109354, '194.117.98.160', '194.117.98.163', 3262472864, 3262472867, 'FR', 'France'),
(109355, '194.117.98.164', '194.117.98.167', 3262472868, 3262472871, 'GB', 'United Kingdom'),
(109356, '194.117.98.168', '194.117.98.171', 3262472872, 3262472875, 'DE', 'Germany'),
(109357, '194.117.98.172', '194.117.98.175', 3262472876, 3262472879, 'FR', 'France'),
(109358, '194.117.98.176', '194.117.98.179', 3262472880, 3262472883, 'DE', 'Germany'),
(109359, '194.117.98.180', '194.117.98.187', 3262472884, 3262472891, 'CA', 'Canada'),
(109360, '194.117.98.188', '194.117.98.195', 3262472892, 3262472899, 'DE', 'Germany'),
(109361, '194.117.98.196', '194.117.98.199', 3262472900, 3262472903, 'AT', 'Austria'),
(109362, '194.117.98.200', '194.117.98.203', 3262472904, 3262472907, 'US', 'United States'),
(109363, '194.117.98.204', '194.117.98.207', 3262472908, 3262472911, 'DE', 'Germany'),
(109364, '194.117.98.208', '194.117.98.211', 3262472912, 3262472915, 'IT', 'Italy'),
(109365, '194.117.98.212', '194.117.98.219', 3262472916, 3262472923, 'DE', 'Germany'),
(109366, '194.117.98.220', '194.117.98.223', 3262472924, 3262472927, 'IT', 'Italy'),
(109367, '194.117.98.224', '194.117.98.227', 3262472928, 3262472931, 'NL', 'Netherlands'),
(109368, '194.117.98.228', '194.117.98.231', 3262472932, 3262472935, 'LB', 'Lebanon'),
(109369, '194.117.98.232', '194.117.98.235', 3262472936, 3262472939, 'DE', 'Germany'),
(109370, '194.117.98.236', '194.117.98.239', 3262472940, 3262472943, 'CH', 'Switzerland'),
(109371, '194.117.98.240', '194.117.98.243', 3262472944, 3262472947, 'PT', 'Portugal'),
(109372, '194.117.98.244', '194.117.98.247', 3262472948, 3262472951, 'LU', 'Luxembourg'),
(109373, '194.117.98.248', '194.117.98.251', 3262472952, 3262472955, 'DE', 'Germany'),
(109374, '194.117.98.252', '194.117.98.255', 3262472956, 3262472959, 'CA', 'Canada'),
(109375, '194.117.99.0', '194.117.99.3', 3262472960, 3262472963, 'DE', 'Germany'),
(109376, '194.117.99.4', '194.117.99.7', 3262472964, 3262472967, 'AT', 'Austria'),
(109377, '194.117.99.8', '194.117.99.15', 3262472968, 3262472975, 'DE', 'Germany'),
(109378, '194.117.99.16', '194.117.99.19', 3262472976, 3262472979, 'LU', 'Luxembourg'),
(109379, '194.117.99.20', '194.117.99.23', 3262472980, 3262472983, 'AT', 'Austria'),
(109380, '194.117.99.24', '194.117.99.27', 3262472984, 3262472987, 'PT', 'Portugal'),
(109381, '194.117.99.28', '194.117.99.31', 3262472988, 3262472991, 'US', 'United States'),
(109382, '194.117.99.32', '194.117.99.35', 3262472992, 3262472995, 'DE', 'Germany'),
(109383, '194.117.99.36', '194.117.99.39', 3262472996, 3262472999, 'FR', 'France'),
(109384, '194.117.99.40', '194.117.99.43', 3262473000, 3262473003, 'HU', 'Hungary'),
(109385, '194.117.99.44', '194.117.99.47', 3262473004, 3262473007, 'DE', 'Germany'),
(109386, '194.117.99.48', '194.117.99.51', 3262473008, 3262473011, 'US', 'United States'),
(109387, '194.117.99.52', '194.117.99.55', 3262473012, 3262473015, 'DE', 'Germany'),
(109388, '194.117.99.56', '194.117.99.59', 3262473016, 3262473019, 'AR', 'Argentina'),
(109389, '194.117.99.60', '194.117.99.63', 3262473020, 3262473023, 'US', 'United States'),
(109390, '194.117.99.64', '194.117.99.67', 3262473024, 3262473027, 'ES', 'Spain'),
(109391, '194.117.99.68', '194.117.99.71', 3262473028, 3262473031, 'BM', 'Bermuda'),
(109392, '194.117.99.72', '194.117.99.75', 3262473032, 3262473035, 'DE', 'Germany'),
(109393, '194.117.99.76', '194.117.99.79', 3262473036, 3262473039, 'IT', 'Italy'),
(109394, '194.117.99.80', '194.117.99.83', 3262473040, 3262473043, 'GB', 'United Kingdom'),
(109395, '194.117.99.84', '194.117.99.87', 3262473044, 3262473047, 'US', 'United States'),
(109396, '194.117.99.88', '194.117.99.91', 3262473048, 3262473051, 'DE', 'Germany'),
(109397, '194.117.99.92', '194.117.99.95', 3262473052, 3262473055, 'AT', 'Austria'),
(109398, '194.117.99.96', '194.117.99.115', 3262473056, 3262473075, 'DE', 'Germany'),
(109399, '194.117.99.116', '194.117.99.119', 3262473076, 3262473079, 'GB', 'United Kingdom'),
(109400, '194.117.99.120', '194.117.99.123', 3262473080, 3262473083, 'DE', 'Germany'),
(109401, '194.117.99.124', '194.117.99.127', 3262473084, 3262473087, 'US', 'United States'),
(109402, '194.117.99.128', '194.117.99.131', 3262473088, 3262473091, 'NL', 'Netherlands'),
(109403, '194.117.99.132', '194.117.99.139', 3262473092, 3262473099, 'DE', 'Germany'),
(109404, '194.117.99.140', '194.117.99.143', 3262473100, 3262473103, 'BE', 'Belgium'),
(109405, '194.117.99.144', '194.117.99.147', 3262473104, 3262473107, 'DE', 'Germany'),
(109406, '194.117.99.148', '194.117.99.155', 3262473108, 3262473115, 'ES', 'Spain'),
(109407, '194.117.99.156', '194.117.99.159', 3262473116, 3262473119, 'DE', 'Germany'),
(109408, '194.117.99.160', '194.117.99.167', 3262473120, 3262473127, 'FR', 'France'),
(109409, '194.117.99.168', '194.117.99.175', 3262473128, 3262473135, 'DE', 'Germany'),
(109410, '194.117.99.176', '194.117.99.179', 3262473136, 3262473139, 'US', 'United States'),
(109411, '194.117.99.180', '194.117.99.183', 3262473140, 3262473143, 'ES', 'Spain'),
(109412, '194.117.99.184', '194.117.99.191', 3262473144, 3262473151, 'DE', 'Germany'),
(109413, '194.117.99.192', '194.117.99.195', 3262473152, 3262473155, 'FR', 'France'),
(109414, '194.117.99.196', '194.117.99.199', 3262473156, 3262473159, 'IT', 'Italy'),
(109415, '194.117.99.200', '194.117.99.203', 3262473160, 3262473163, 'NL', 'Netherlands'),
(109416, '194.117.99.204', '194.117.99.207', 3262473164, 3262473167, 'CH', 'Switzerland'),
(109417, '194.117.99.208', '194.117.99.211', 3262473168, 3262473171, 'DE', 'Germany'),
(109418, '194.117.99.212', '194.117.99.215', 3262473172, 3262473175, 'US', 'United States'),
(109419, '194.117.99.216', '194.117.99.235', 3262473176, 3262473195, 'DE', 'Germany'),
(109420, '194.117.99.236', '194.117.99.239', 3262473196, 3262473199, 'AT', 'Austria'),
(109421, '194.117.99.240', '194.117.99.243', 3262473200, 3262473203, 'ES', 'Spain'),
(109422, '194.117.99.244', '194.117.99.247', 3262473204, 3262473207, 'US', 'United States'),
(109423, '194.117.99.248', '194.117.99.251', 3262473208, 3262473211, 'DE', 'Germany'),
(109424, '194.117.99.252', '194.117.99.255', 3262473212, 3262473215, 'FR', 'France'),
(109425, '194.117.100.0', '194.117.100.107', 3262473216, 3262473323, 'JP', 'Japan'),
(109426, '194.117.100.108', '194.117.100.111', 3262473324, 3262473327, 'KR', 'Korea, Republic of'),
(109427, '194.117.100.112', '194.117.100.255', 3262473328, 3262473471, 'JP', 'Japan'),
(109428, '194.117.101.0', '194.117.101.1', 3262473472, 3262473473, 'DE', 'Germany'),
(109429, '194.117.101.2', '194.117.101.6', 3262473474, 3262473478, 'US', 'United States'),
(109430, '194.117.101.7', '194.117.101.8', 3262473479, 3262473480, 'CA', 'Canada'),
(109431, '194.117.101.9', '194.117.101.11', 3262473481, 3262473483, 'US', 'United States'),
(109432, '194.117.101.12', '194.117.101.12', 3262473484, 3262473484, 'VE', 'Venezuela'),
(109433, '194.117.101.13', '194.117.101.13', 3262473485, 3262473485, 'US', 'United States'),
(109434, '194.117.101.14', '194.117.101.14', 3262473486, 3262473486, 'CA', 'Canada'),
(109435, '194.117.101.15', '194.117.101.44', 3262473487, 3262473516, 'US', 'United States'),
(109436, '194.117.101.45', '194.117.101.45', 3262473517, 3262473517, 'CN', 'China'),
(109437, '194.117.101.46', '194.117.101.54', 3262473518, 3262473526, 'US', 'United States'),
(109438, '194.117.101.55', '194.117.101.55', 3262473527, 3262473527, 'CN', 'China'),
(109439, '194.117.101.56', '194.117.101.66', 3262473528, 3262473538, 'US', 'United States'),
(109440, '194.117.101.67', '194.117.101.67', 3262473539, 3262473539, 'DE', 'Germany'),
(109441, '194.117.101.68', '194.117.101.68', 3262473540, 3262473540, 'US', 'United States'),
(109442, '194.117.101.69', '194.117.101.69', 3262473541, 3262473541, 'DE', 'Germany'),
(109443, '194.117.101.70', '194.117.101.71', 3262473542, 3262473543, 'US', 'United States'),
(109444, '194.117.101.72', '194.117.101.72', 3262473544, 3262473544, 'CA', 'Canada'),
(109445, '194.117.101.73', '194.117.101.76', 3262473545, 3262473548, 'US', 'United States'),
(109446, '194.117.101.77', '194.117.101.77', 3262473549, 3262473549, 'CA', 'Canada'),
(109447, '194.117.101.78', '194.117.101.85', 3262473550, 3262473557, 'US', 'United States'),
(109448, '194.117.101.86', '194.117.101.86', 3262473558, 3262473558, 'DE', 'Germany'),
(109449, '194.117.101.87', '194.117.101.95', 3262473559, 3262473567, 'US', 'United States'),
(109450, '194.117.101.96', '194.117.101.96', 3262473568, 3262473568, 'CA', 'Canada'),
(109451, '194.117.101.97', '194.117.101.98', 3262473569, 3262473570, 'US', 'United States'),
(109452, '194.117.101.99', '194.117.101.99', 3262473571, 3262473571, 'DE', 'Germany'),
(109453, '194.117.101.100', '194.117.101.110', 3262473572, 3262473582, 'US', 'United States'),
(109454, '194.117.101.111', '194.117.101.111', 3262473583, 3262473583, 'CA', 'Canada'),
(109455, '194.117.101.112', '194.117.101.114', 3262473584, 3262473586, 'US', 'United States'),
(109456, '194.117.101.115', '194.117.101.115', 3262473587, 3262473587, 'CA', 'Canada'),
(109457, '194.117.101.116', '194.117.101.186', 3262473588, 3262473658, 'US', 'United States'),
(109458, '194.117.101.187', '194.117.101.187', 3262473659, 3262473659, 'DE', 'Germany'),
(109459, '194.117.101.188', '194.117.101.191', 3262473660, 3262473663, 'US', 'United States'),
(109460, '194.117.101.192', '194.117.101.192', 3262473664, 3262473664, 'CA', 'Canada'),
(109461, '194.117.101.193', '194.117.101.216', 3262473665, 3262473688, 'US', 'United States'),
(109462, '194.117.101.217', '194.117.101.217', 3262473689, 3262473689, 'CA', 'Canada'),
(109463, '194.117.101.218', '194.117.101.219', 3262473690, 3262473691, 'AR', 'Argentina'),
(109464, '194.117.101.220', '194.117.101.220', 3262473692, 3262473692, 'CA', 'Canada'),
(109465, '194.117.101.221', '194.117.102.1', 3262473693, 3262473729, 'DE', 'Germany'),
(109466, '194.117.102.2', '194.117.102.7', 3262473730, 3262473735, 'US', 'United States'),
(109467, '194.117.102.8', '194.117.102.8', 3262473736, 3262473736, 'CA', 'Canada'),
(109468, '194.117.102.9', '194.117.102.43', 3262473737, 3262473771, 'US', 'United States'),
(109469, '194.117.102.44', '194.117.102.44', 3262473772, 3262473772, 'DE', 'Germany'),
(109470, '194.117.102.45', '194.117.102.57', 3262473773, 3262473785, 'US', 'United States'),
(109471, '194.117.102.58', '194.117.102.127', 3262473786, 3262473855, 'DE', 'Germany'),
(109472, '194.117.102.128', '194.117.102.131', 3262473856, 3262473859, 'US', 'United States'),
(109473, '194.117.102.132', '194.117.102.175', 3262473860, 3262473903, 'DE', 'Germany'),
(109474, '194.117.102.176', '194.117.102.179', 3262473904, 3262473907, 'US', 'United States'),
(109475, '194.117.102.180', '194.117.102.203', 3262473908, 3262473931, 'DE', 'Germany'),
(109476, '194.117.102.204', '194.117.102.207', 3262473932, 3262473935, 'US', 'United States'),
(109477, '194.117.102.208', '194.117.102.235', 3262473936, 3262473963, 'DE', 'Germany'),
(109478, '194.117.102.236', '194.117.102.239', 3262473964, 3262473967, 'US', 'United States'),
(109479, '194.117.102.240', '194.117.102.243', 3262473968, 3262473971, 'DE', 'Germany'),
(109480, '194.117.102.244', '194.117.102.255', 3262473972, 3262473983, 'US', 'United States'),
(109481, '194.117.103.0', '194.117.103.1', 3262473984, 3262473985, 'DE', 'Germany'),
(109482, '194.117.103.2', '194.117.103.2', 3262473986, 3262473986, 'TW', 'Taiwan'),
(109483, '194.117.103.3', '194.117.103.3', 3262473987, 3262473987, 'IN', 'India'),
(109484, '194.117.103.4', '194.117.103.4', 3262473988, 3262473988, 'SG', 'Singapore'),
(109485, '194.117.103.5', '194.117.103.5', 3262473989, 3262473989, 'IN', 'India'),
(109486, '194.117.103.6', '194.117.103.6', 3262473990, 3262473990, 'SG', 'Singapore'),
(109487, '194.117.103.7', '194.117.103.7', 3262473991, 3262473991, 'DE', 'Germany'),
(109488, '194.117.103.8', '194.117.103.8', 3262473992, 3262473992, 'SG', 'Singapore'),
(109489, '194.117.103.9', '194.117.103.9', 3262473993, 3262473993, 'IN', 'India'),
(109490, '194.117.103.10', '194.117.103.11', 3262473994, 3262473995, 'TW', 'Taiwan'),
(109491, '194.117.103.12', '194.117.103.12', 3262473996, 3262473996, 'MY', 'Malaysia'),
(109492, '194.117.103.13', '194.117.103.14', 3262473997, 3262473998, 'ID', 'Indonesia'),
(109493, '194.117.103.15', '194.117.103.15', 3262473999, 3262473999, 'TW', 'Taiwan'),
(109494, '194.117.103.16', '194.117.103.16', 3262474000, 3262474000, 'SG', 'Singapore'),
(109495, '194.117.103.17', '194.117.103.17', 3262474001, 3262474001, 'TW', 'Taiwan'),
(109496, '194.117.103.18', '194.117.103.18', 3262474002, 3262474002, 'MY', 'Malaysia'),
(109497, '194.117.103.19', '194.117.103.19', 3262474003, 3262474003, 'TW', 'Taiwan'),
(109498, '194.117.103.20', '194.117.103.20', 3262474004, 3262474004, 'SG', 'Singapore'),
(109499, '194.117.103.21', '194.117.103.21', 3262474005, 3262474005, 'TW', 'Taiwan'),
(109500, '194.117.103.22', '194.117.103.23', 3262474006, 3262474007, 'SG', 'Singapore'),
(109501, '194.117.103.24', '194.117.103.25', 3262474008, 3262474009, 'TW', 'Taiwan'),
(109502, '194.117.103.26', '194.117.103.26', 3262474010, 3262474010, 'SG', 'Singapore'),
(109503, '194.117.103.27', '194.117.103.27', 3262474011, 3262474011, 'ID', 'Indonesia'),
(109504, '194.117.103.28', '194.117.103.29', 3262474012, 3262474013, 'SG', 'Singapore'),
(109505, '194.117.103.30', '194.117.103.30', 3262474014, 3262474014, 'HK', 'Hong Kong'),
(109506, '194.117.103.31', '194.117.103.32', 3262474015, 3262474016, 'SG', 'Singapore'),
(109507, '194.117.103.33', '194.117.103.34', 3262474017, 3262474018, 'MY', 'Malaysia'),
(109508, '194.117.103.35', '194.117.103.42', 3262474019, 3262474026, 'SG', 'Singapore'),
(109509, '194.117.103.43', '194.117.103.43', 3262474027, 3262474027, 'CN', 'China'),
(109510, '194.117.103.44', '194.117.103.46', 3262474028, 3262474030, 'SG', 'Singapore'),
(109511, '194.117.103.47', '194.117.103.47', 3262474031, 3262474031, 'IN', 'India'),
(109512, '194.117.103.48', '194.117.103.48', 3262474032, 3262474032, 'MY', 'Malaysia'),
(109513, '194.117.103.49', '194.117.103.49', 3262474033, 3262474033, 'SG', 'Singapore'),
(109514, '194.117.103.50', '194.117.103.50', 3262474034, 3262474034, 'MY', 'Malaysia'),
(109515, '194.117.103.51', '194.117.103.51', 3262474035, 3262474035, 'SG', 'Singapore'),
(109516, '194.117.103.52', '194.117.103.52', 3262474036, 3262474036, 'MY', 'Malaysia'),
(109517, '194.117.103.53', '194.117.103.53', 3262474037, 3262474037, 'SG', 'Singapore'),
(109518, '194.117.103.54', '194.117.103.54', 3262474038, 3262474038, 'MY', 'Malaysia'),
(109519, '194.117.103.55', '194.117.103.55', 3262474039, 3262474039, 'TW', 'Taiwan'),
(109520, '194.117.103.56', '194.117.103.57', 3262474040, 3262474041, 'MY', 'Malaysia'),
(109521, '194.117.103.58', '194.117.103.58', 3262474042, 3262474042, 'CN', 'China'),
(109522, '194.117.103.59', '194.117.103.59', 3262474043, 3262474043, 'SG', 'Singapore'),
(109523, '194.117.103.60', '194.117.103.60', 3262474044, 3262474044, 'GB', 'United Kingdom'),
(109524, '194.117.103.61', '194.117.103.64', 3262474045, 3262474048, 'SG', 'Singapore'),
(109525, '194.117.103.65', '194.117.103.65', 3262474049, 3262474049, 'IN', 'India'),
(109526, '194.117.103.66', '194.117.103.77', 3262474050, 3262474061, 'SG', 'Singapore'),
(109527, '194.117.103.78', '194.117.103.79', 3262474062, 3262474063, 'CN', 'China'),
(109528, '194.117.103.80', '194.117.103.80', 3262474064, 3262474064, 'TW', 'Taiwan'),
(109529, '194.117.103.81', '194.117.103.81', 3262474065, 3262474065, 'IN', 'India'),
(109530, '194.117.103.82', '194.117.103.82', 3262474066, 3262474066, 'SG', 'Singapore'),
(109531, '194.117.103.83', '194.117.103.83', 3262474067, 3262474067, 'MY', 'Malaysia'),
(109532, '194.117.103.84', '194.117.103.84', 3262474068, 3262474068, 'SG', 'Singapore'),
(109533, '194.117.103.85', '194.117.103.85', 3262474069, 3262474069, 'MY', 'Malaysia'),
(109534, '194.117.103.86', '194.117.103.86', 3262474070, 3262474070, 'SG', 'Singapore'),
(109535, '194.117.103.87', '194.117.103.87', 3262474071, 3262474071, 'TW', 'Taiwan'),
(109536, '194.117.103.88', '194.117.103.88', 3262474072, 3262474072, 'IN', 'India'),
(109537, '194.117.103.89', '194.117.103.91', 3262474073, 3262474075, 'SG', 'Singapore'),
(109538, '194.117.103.92', '194.117.103.92', 3262474076, 3262474076, 'MY', 'Malaysia'),
(109539, '194.117.103.93', '194.117.103.93', 3262474077, 3262474077, 'SG', 'Singapore'),
(109540, '194.117.103.94', '194.117.103.94', 3262474078, 3262474078, 'IN', 'India'),
(109541, '194.117.103.95', '194.117.103.95', 3262474079, 3262474079, 'MY', 'Malaysia'),
(109542, '194.117.103.96', '194.117.103.99', 3262474080, 3262474083, 'SG', 'Singapore'),
(109543, '194.117.103.100', '194.117.103.100', 3262474084, 3262474084, 'TW', 'Taiwan'),
(109544, '194.117.103.101', '194.117.103.103', 3262474085, 3262474087, 'SG', 'Singapore'),
(109545, '194.117.103.104', '194.117.103.104', 3262474088, 3262474088, 'MY', 'Malaysia'),
(109546, '194.117.103.105', '194.117.103.105', 3262474089, 3262474089, 'SG', 'Singapore'),
(109547, '194.117.103.106', '194.117.103.107', 3262474090, 3262474091, 'MY', 'Malaysia'),
(109548, '194.117.103.108', '194.117.103.110', 3262474092, 3262474094, 'SG', 'Singapore'),
(109549, '194.117.103.111', '194.117.103.111', 3262474095, 3262474095, 'HK', 'Hong Kong'),
(109550, '194.117.103.112', '194.117.103.113', 3262474096, 3262474097, 'SG', 'Singapore'),
(109551, '194.117.103.114', '194.117.103.114', 3262474098, 3262474098, 'MY', 'Malaysia'),
(109552, '194.117.103.115', '194.117.103.118', 3262474099, 3262474102, 'SG', 'Singapore'),
(109553, '194.117.103.119', '194.117.103.119', 3262474103, 3262474103, 'MY', 'Malaysia'),
(109554, '194.117.103.120', '194.117.103.120', 3262474104, 3262474104, 'CN', 'China'),
(109555, '194.117.103.121', '194.117.103.121', 3262474105, 3262474105, 'IN', 'India'),
(109556, '194.117.103.122', '194.117.103.122', 3262474106, 3262474106, 'MY', 'Malaysia'),
(109557, '194.117.103.123', '194.117.103.123', 3262474107, 3262474107, 'CN', 'China'),
(109558, '194.117.103.124', '194.117.103.124', 3262474108, 3262474108, 'HK', 'Hong Kong'),
(109559, '194.117.103.125', '194.117.103.126', 3262474109, 3262474110, 'MY', 'Malaysia'),
(109560, '194.117.103.127', '194.117.103.127', 3262474111, 3262474111, 'TH', 'Thailand'),
(109561, '194.117.103.128', '194.117.103.128', 3262474112, 3262474112, 'SG', 'Singapore'),
(109562, '194.117.103.129', '194.117.103.129', 3262474113, 3262474113, 'PH', 'Philippines'),
(109563, '194.117.103.130', '194.117.103.130', 3262474114, 3262474114, 'IN', 'India'),
(109564, '194.117.103.131', '194.117.103.131', 3262474115, 3262474115, 'SG', 'Singapore'),
(109565, '194.117.103.132', '194.117.103.132', 3262474116, 3262474116, 'TW', 'Taiwan'),
(109566, '194.117.103.133', '194.117.103.133', 3262474117, 3262474117, 'IN', 'India'),
(109567, '194.117.103.134', '194.117.103.134', 3262474118, 3262474118, 'TH', 'Thailand'),
(109568, '194.117.103.135', '194.117.103.135', 3262474119, 3262474119, 'TW', 'Taiwan'),
(109569, '194.117.103.136', '194.117.103.136', 3262474120, 3262474120, 'BN', 'Brunei Darussalam'),
(109570, '194.117.103.137', '194.117.103.137', 3262474121, 3262474121, 'TW', 'Taiwan'),
(109571, '194.117.103.138', '194.117.103.138', 3262474122, 3262474122, 'SG', 'Singapore'),
(109572, '194.117.103.139', '194.117.103.141', 3262474123, 3262474125, 'MY', 'Malaysia'),
(109573, '194.117.103.142', '194.117.103.142', 3262474126, 3262474126, 'IN', 'India'),
(109574, '194.117.103.143', '194.117.103.144', 3262474127, 3262474128, 'SG', 'Singapore'),
(109575, '194.117.103.145', '194.117.103.146', 3262474129, 3262474130, 'MY', 'Malaysia'),
(109576, '194.117.103.147', '194.117.103.147', 3262474131, 3262474131, 'IN', 'India'),
(109577, '194.117.103.148', '194.117.103.149', 3262474132, 3262474133, 'MY', 'Malaysia'),
(109578, '194.117.103.150', '194.117.103.150', 3262474134, 3262474134, 'CN', 'China'),
(109579, '194.117.103.151', '194.117.103.152', 3262474135, 3262474136, 'SG', 'Singapore'),
(109580, '194.117.103.153', '194.117.103.153', 3262474137, 3262474137, 'TW', 'Taiwan'),
(109581, '194.117.103.154', '194.117.103.155', 3262474138, 3262474139, 'CN', 'China'),
(109582, '194.117.103.156', '194.117.103.156', 3262474140, 3262474140, 'TW', 'Taiwan'),
(109583, '194.117.103.157', '194.117.103.158', 3262474141, 3262474142, 'SG', 'Singapore'),
(109584, '194.117.103.159', '194.117.103.159', 3262474143, 3262474143, 'PH', 'Philippines'),
(109585, '194.117.103.160', '194.117.103.166', 3262474144, 3262474150, 'SG', 'Singapore'),
(109586, '194.117.103.167', '194.117.103.167', 3262474151, 3262474151, 'MY', 'Malaysia'),
(109587, '194.117.103.168', '194.117.103.168', 3262474152, 3262474152, 'SG', 'Singapore'),
(109588, '194.117.103.169', '194.117.103.169', 3262474153, 3262474153, 'IN', 'India'),
(109589, '194.117.103.170', '194.117.103.170', 3262474154, 3262474154, 'SG', 'Singapore'),
(109590, '194.117.103.171', '194.117.103.171', 3262474155, 3262474155, 'MY', 'Malaysia'),
(109591, '194.117.103.172', '194.117.103.172', 3262474156, 3262474156, 'IN', 'India'),
(109592, '194.117.103.173', '194.117.103.173', 3262474157, 3262474157, 'SG', 'Singapore'),
(109593, '194.117.103.174', '194.117.103.175', 3262474158, 3262474159, 'MY', 'Malaysia'),
(109594, '194.117.103.176', '194.117.103.178', 3262474160, 3262474162, 'SG', 'Singapore'),
(109595, '194.117.103.179', '194.117.103.179', 3262474163, 3262474163, 'MY', 'Malaysia'),
(109596, '194.117.103.180', '194.117.103.180', 3262474164, 3262474164, 'IN', 'India'),
(109597, '194.117.103.181', '194.117.103.181', 3262474165, 3262474165, 'CN', 'China'),
(109598, '194.117.103.182', '194.117.103.182', 3262474166, 3262474166, 'SG', 'Singapore'),
(109599, '194.117.103.183', '194.117.103.183', 3262474167, 3262474167, 'HK', 'Hong Kong'),
(109600, '194.117.103.184', '194.117.103.184', 3262474168, 3262474168, 'TW', 'Taiwan'),
(109601, '194.117.103.185', '194.117.103.185', 3262474169, 3262474169, 'DE', 'Germany'),
(109602, '194.117.103.186', '194.117.103.186', 3262474170, 3262474170, 'SG', 'Singapore'),
(109603, '194.117.103.187', '194.117.103.187', 3262474171, 3262474171, 'MY', 'Malaysia'),
(109604, '194.117.103.188', '194.117.103.188', 3262474172, 3262474172, 'SG', 'Singapore'),
(109605, '194.117.103.189', '194.117.103.189', 3262474173, 3262474173, 'CN', 'China'),
(109606, '194.117.103.190', '194.117.103.190', 3262474174, 3262474174, 'TW', 'Taiwan'),
(109607, '194.117.103.191', '194.117.103.191', 3262474175, 3262474175, 'SG', 'Singapore'),
(109608, '194.117.103.192', '194.117.103.192', 3262474176, 3262474176, 'MY', 'Malaysia'),
(109609, '194.117.103.193', '194.117.103.193', 3262474177, 3262474177, 'SG', 'Singapore'),
(109610, '194.117.103.194', '194.117.103.194', 3262474178, 3262474178, 'TW', 'Taiwan'),
(109611, '194.117.103.195', '194.117.103.195', 3262474179, 3262474179, 'CN', 'China'),
(109612, '194.117.103.196', '194.117.103.196', 3262474180, 3262474180, 'MY', 'Malaysia'),
(109613, '194.117.103.197', '194.117.103.197', 3262474181, 3262474181, 'SG', 'Singapore'),
(109614, '194.117.103.198', '194.117.103.198', 3262474182, 3262474182, 'MY', 'Malaysia'),
(109615, '194.117.103.199', '194.117.103.201', 3262474183, 3262474185, 'SG', 'Singapore'),
(109616, '194.117.103.202', '194.117.103.202', 3262474186, 3262474186, 'MY', 'Malaysia'),
(109617, '194.117.103.203', '194.117.103.203', 3262474187, 3262474187, 'SG', 'Singapore'),
(109618, '194.117.103.204', '194.117.103.204', 3262474188, 3262474188, 'MY', 'Malaysia'),
(109619, '194.117.103.205', '194.117.103.205', 3262474189, 3262474189, 'SG', 'Singapore'),
(109620, '194.117.103.206', '194.117.103.206', 3262474190, 3262474190, 'CN', 'China'),
(109621, '194.117.103.207', '194.117.103.208', 3262474191, 3262474192, 'SG', 'Singapore'),
(109622, '194.117.103.209', '194.117.103.209', 3262474193, 3262474193, 'PH', 'Philippines'),
(109623, '194.117.103.210', '194.117.103.210', 3262474194, 3262474194, 'SG', 'Singapore'),
(109624, '194.117.103.211', '194.117.103.211', 3262474195, 3262474195, 'MY', 'Malaysia'),
(109625, '194.117.103.212', '194.117.103.212', 3262474196, 3262474196, 'IN', 'India'),
(109626, '194.117.103.213', '194.117.103.214', 3262474197, 3262474198, 'SG', 'Singapore'),
(109627, '194.117.103.215', '194.117.103.215', 3262474199, 3262474199, 'CN', 'China'),
(109628, '194.117.103.216', '194.117.103.216', 3262474200, 3262474200, 'MY', 'Malaysia'),
(109629, '194.117.103.217', '194.117.103.217', 3262474201, 3262474201, 'SG', 'Singapore'),
(109630, '194.117.103.218', '194.117.103.219', 3262474202, 3262474203, 'CN', 'China'),
(109631, '194.117.103.220', '194.117.103.220', 3262474204, 3262474204, 'IN', 'India'),
(109632, '194.117.103.221', '194.117.103.221', 3262474205, 3262474205, 'SG', 'Singapore'),
(109633, '194.117.103.222', '194.117.103.222', 3262474206, 3262474206, 'IN', 'India'),
(109634, '194.117.103.223', '194.117.103.223', 3262474207, 3262474207, 'MY', 'Malaysia'),
(109635, '194.117.103.224', '194.117.103.224', 3262474208, 3262474208, 'SG', 'Singapore'),
(109636, '194.117.103.225', '194.117.103.225', 3262474209, 3262474209, 'MY', 'Malaysia'),
(109637, '194.117.103.226', '194.117.103.226', 3262474210, 3262474210, 'TW', 'Taiwan'),
(109638, '194.117.103.227', '194.117.103.227', 3262474211, 3262474211, 'SG', 'Singapore'),
(109639, '194.117.103.228', '194.117.103.228', 3262474212, 3262474212, 'MY', 'Malaysia'),
(109640, '194.117.103.229', '194.117.103.229', 3262474213, 3262474213, 'SG', 'Singapore'),
(109641, '194.117.103.230', '194.117.103.230', 3262474214, 3262474214, 'CN', 'China'),
(109642, '194.117.103.231', '194.117.103.231', 3262474215, 3262474215, 'IN', 'India'),
(109643, '194.117.103.232', '194.117.103.232', 3262474216, 3262474216, 'SG', 'Singapore'),
(109644, '194.117.103.233', '194.117.103.233', 3262474217, 3262474217, 'MY', 'Malaysia'),
(109645, '194.117.103.234', '194.117.103.234', 3262474218, 3262474218, 'SG', 'Singapore'),
(109646, '194.117.103.235', '194.117.103.235', 3262474219, 3262474219, 'MY', 'Malaysia'),
(109647, '194.117.103.236', '194.117.103.238', 3262474220, 3262474222, 'IN', 'India'),
(109648, '194.117.103.239', '194.117.103.239', 3262474223, 3262474223, 'SG', 'Singapore'),
(109649, '194.117.103.240', '194.117.103.240', 3262474224, 3262474224, 'MY', 'Malaysia'),
(109650, '194.117.103.241', '194.117.103.241', 3262474225, 3262474225, 'SG', 'Singapore'),
(109651, '194.117.103.242', '194.117.103.242', 3262474226, 3262474226, 'MY', 'Malaysia'),
(109652, '194.117.103.243', '194.117.103.243', 3262474227, 3262474227, 'IN', 'India'),
(109653, '194.117.103.244', '194.117.103.244', 3262474228, 3262474228, 'SG', 'Singapore'),
(109654, '194.117.103.245', '194.117.103.246', 3262474229, 3262474230, 'IN', 'India'),
(109655, '194.117.103.247', '194.117.103.247', 3262474231, 3262474231, 'SG', 'Singapore'),
(109656, '194.117.103.248', '194.117.103.250', 3262474232, 3262474234, 'IN', 'India'),
(109657, '194.117.103.251', '194.117.103.252', 3262474235, 3262474236, 'MY', 'Malaysia'),
(109658, '194.117.103.253', '194.117.103.254', 3262474237, 3262474238, 'SG', 'Singapore'),
(109659, '194.117.103.255', '194.117.103.255', 3262474239, 3262474239, 'DE', 'Germany'),
(109660, '194.117.104.0', '194.117.104.15', 3262474240, 3262474255, 'AU', 'Australia'),
(109661, '194.117.104.16', '194.117.104.19', 3262474256, 3262474259, 'NZ', 'New Zealand'),
(109662, '194.117.104.20', '194.117.104.23', 3262474260, 3262474263, 'AU', 'Australia'),
(109663, '194.117.104.24', '194.117.104.27', 3262474264, 3262474267, 'NZ', 'New Zealand'),
(109664, '194.117.104.28', '194.117.104.31', 3262474268, 3262474271, 'AU', 'Australia'),
(109665, '194.117.104.32', '194.117.104.35', 3262474272, 3262474275, 'NZ', 'New Zealand'),
(109666, '194.117.104.36', '194.117.104.127', 3262474276, 3262474367, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(109667, '194.117.104.128', '194.117.104.131', 3262474368, 3262474371, 'NZ', 'New Zealand'),
(109668, '194.117.104.132', '194.117.104.155', 3262474372, 3262474395, 'AU', 'Australia'),
(109669, '194.117.104.156', '194.117.104.159', 3262474396, 3262474399, 'NZ', 'New Zealand'),
(109670, '194.117.104.160', '194.117.104.223', 3262474400, 3262474463, 'AU', 'Australia'),
(109671, '194.117.104.224', '194.117.104.227', 3262474464, 3262474467, 'NZ', 'New Zealand'),
(109672, '194.117.104.228', '194.117.104.255', 3262474468, 3262474495, 'AU', 'Australia'),
(109673, '194.117.105.0', '194.117.105.135', 3262474496, 3262474631, 'DE', 'Germany'),
(109674, '194.117.105.136', '194.117.105.139', 3262474632, 3262474635, 'DK', 'Denmark'),
(109675, '194.117.105.140', '194.117.106.39', 3262474636, 3262474791, 'DE', 'Germany'),
(109676, '194.117.106.40', '194.117.106.63', 3262474792, 3262474815, 'JP', 'Japan'),
(109677, '194.117.106.64', '194.117.106.143', 3262474816, 3262474895, 'DE', 'Germany'),
(109678, '194.117.106.144', '194.117.106.255', 3262474896, 3262475007, 'JP', 'Japan'),
(109679, '194.117.107.0', '194.117.107.1', 3262475008, 3262475009, 'DE', 'Germany'),
(109680, '194.117.107.2', '194.117.107.15', 3262475010, 3262475023, 'US', 'United States'),
(109681, '194.117.107.16', '194.117.107.16', 3262475024, 3262475024, 'CO', 'Colombia'),
(109682, '194.117.107.17', '194.117.107.17', 3262475025, 3262475025, 'US', 'United States'),
(109683, '194.117.107.18', '194.117.107.19', 3262475026, 3262475027, 'DE', 'Germany'),
(109684, '194.117.107.20', '194.117.107.21', 3262475028, 3262475029, 'US', 'United States'),
(109685, '194.117.107.22', '194.117.107.25', 3262475030, 3262475033, 'DE', 'Germany'),
(109686, '194.117.107.26', '194.117.107.28', 3262475034, 3262475036, 'US', 'United States'),
(109687, '194.117.107.29', '194.117.107.29', 3262475037, 3262475037, 'DE', 'Germany'),
(109688, '194.117.107.30', '194.117.107.34', 3262475038, 3262475042, 'US', 'United States'),
(109689, '194.117.107.35', '194.117.107.35', 3262475043, 3262475043, 'DE', 'Germany'),
(109690, '194.117.107.36', '194.117.107.36', 3262475044, 3262475044, 'US', 'United States'),
(109691, '194.117.107.37', '194.117.107.37', 3262475045, 3262475045, 'BR', 'Brazil'),
(109692, '194.117.107.38', '194.117.107.57', 3262475046, 3262475065, 'US', 'United States'),
(109693, '194.117.107.58', '194.117.107.60', 3262475066, 3262475068, 'MX', 'Mexico'),
(109694, '194.117.107.61', '194.117.107.64', 3262475069, 3262475072, 'US', 'United States'),
(109695, '194.117.107.65', '194.117.107.67', 3262475073, 3262475075, 'BR', 'Brazil'),
(109696, '194.117.107.68', '194.117.107.68', 3262475076, 3262475076, 'US', 'United States'),
(109697, '194.117.107.69', '194.117.107.69', 3262475077, 3262475077, 'BR', 'Brazil'),
(109698, '194.117.107.70', '194.117.107.71', 3262475078, 3262475079, 'US', 'United States'),
(109699, '194.117.107.72', '194.117.107.72', 3262475080, 3262475080, 'CA', 'Canada'),
(109700, '194.117.107.73', '194.117.107.73', 3262475081, 3262475081, 'US', 'United States'),
(109701, '194.117.107.74', '194.117.107.74', 3262475082, 3262475082, 'BR', 'Brazil'),
(109702, '194.117.107.75', '194.117.107.75', 3262475083, 3262475083, 'US', 'United States'),
(109703, '194.117.107.76', '194.117.107.76', 3262475084, 3262475084, 'MX', 'Mexico'),
(109704, '194.117.107.77', '194.117.107.77', 3262475085, 3262475085, 'BR', 'Brazil'),
(109705, '194.117.107.78', '194.117.107.79', 3262475086, 3262475087, 'US', 'United States'),
(109706, '194.117.107.80', '194.117.107.80', 3262475088, 3262475088, 'BR', 'Brazil'),
(109707, '194.117.107.81', '194.117.107.82', 3262475089, 3262475090, 'US', 'United States'),
(109708, '194.117.107.83', '194.117.107.84', 3262475091, 3262475092, 'DE', 'Germany'),
(109709, '194.117.107.85', '194.117.107.86', 3262475093, 3262475094, 'BR', 'Brazil'),
(109710, '194.117.107.87', '194.117.107.87', 3262475095, 3262475095, 'MX', 'Mexico'),
(109711, '194.117.107.88', '194.117.107.132', 3262475096, 3262475140, 'US', 'United States'),
(109712, '194.117.107.133', '194.117.107.133', 3262475141, 3262475141, 'BR', 'Brazil'),
(109713, '194.117.107.134', '194.117.107.159', 3262475142, 3262475167, 'US', 'United States'),
(109714, '194.117.107.160', '194.117.107.160', 3262475168, 3262475168, 'DE', 'Germany'),
(109715, '194.117.107.161', '194.117.107.166', 3262475169, 3262475174, 'US', 'United States'),
(109716, '194.117.107.167', '194.117.107.167', 3262475175, 3262475175, 'DE', 'Germany'),
(109717, '194.117.107.168', '194.117.107.177', 3262475176, 3262475185, 'US', 'United States'),
(109718, '194.117.107.178', '194.117.107.178', 3262475186, 3262475186, 'DE', 'Germany'),
(109719, '194.117.107.179', '194.117.107.181', 3262475187, 3262475189, 'US', 'United States'),
(109720, '194.117.107.182', '194.117.107.182', 3262475190, 3262475190, 'MX', 'Mexico'),
(109721, '194.117.107.183', '194.117.107.183', 3262475191, 3262475191, 'BR', 'Brazil'),
(109722, '194.117.107.184', '194.117.107.184', 3262475192, 3262475192, 'MX', 'Mexico'),
(109723, '194.117.107.185', '194.117.107.193', 3262475193, 3262475201, 'US', 'United States'),
(109724, '194.117.107.194', '194.117.107.197', 3262475202, 3262475205, 'BR', 'Brazil'),
(109725, '194.117.107.198', '194.117.107.201', 3262475206, 3262475209, 'US', 'United States'),
(109726, '194.117.107.202', '194.117.107.202', 3262475210, 3262475210, 'BR', 'Brazil'),
(109727, '194.117.107.203', '194.117.107.205', 3262475211, 3262475213, 'US', 'United States'),
(109728, '194.117.107.206', '194.117.107.206', 3262475214, 3262475214, 'DE', 'Germany'),
(109729, '194.117.107.207', '194.117.107.214', 3262475215, 3262475222, 'US', 'United States'),
(109730, '194.117.107.215', '194.117.107.255', 3262475223, 3262475263, 'DE', 'Germany'),
(109731, '194.117.108.0', '194.117.108.3', 3262475264, 3262475267, 'MU', 'Mauritius'),
(109732, '194.117.108.4', '194.117.108.7', 3262475268, 3262475271, 'US', 'United States'),
(109733, '194.117.108.8', '194.117.108.11', 3262475272, 3262475275, 'IT', 'Italy'),
(109734, '194.117.108.12', '194.117.108.15', 3262475276, 3262475279, 'US', 'United States'),
(109735, '194.117.108.16', '194.117.108.19', 3262475280, 3262475283, 'DE', 'Germany'),
(109736, '194.117.108.20', '194.117.108.23', 3262475284, 3262475287, 'NL', 'Netherlands'),
(109737, '194.117.108.24', '194.117.108.31', 3262475288, 3262475295, 'DE', 'Germany'),
(109738, '194.117.108.32', '194.117.108.39', 3262475296, 3262475303, 'NL', 'Netherlands'),
(109739, '194.117.108.40', '194.117.108.43', 3262475304, 3262475307, 'FR', 'France'),
(109740, '194.117.108.44', '194.117.108.47', 3262475308, 3262475311, 'AR', 'Argentina'),
(109741, '194.117.108.48', '194.117.108.51', 3262475312, 3262475315, 'FR', 'France'),
(109742, '194.117.108.52', '194.117.108.55', 3262475316, 3262475319, 'SE', 'Sweden'),
(109743, '194.117.108.56', '194.117.108.59', 3262475320, 3262475323, 'DE', 'Germany'),
(109744, '194.117.108.60', '194.117.108.63', 3262475324, 3262475327, 'MX', 'Mexico'),
(109745, '194.117.108.64', '194.117.108.67', 3262475328, 3262475331, 'US', 'United States'),
(109746, '194.117.108.68', '194.117.108.71', 3262475332, 3262475335, 'BR', 'Brazil'),
(109747, '194.117.108.72', '194.117.108.75', 3262475336, 3262475339, 'DE', 'Germany'),
(109748, '194.117.108.76', '194.117.108.79', 3262475340, 3262475343, 'FR', 'France'),
(109749, '194.117.108.80', '194.117.108.83', 3262475344, 3262475347, 'CH', 'Switzerland'),
(109750, '194.117.108.84', '194.117.108.87', 3262475348, 3262475351, 'DE', 'Germany'),
(109751, '194.117.108.88', '194.117.108.91', 3262475352, 3262475355, 'ES', 'Spain'),
(109752, '194.117.108.92', '194.117.108.95', 3262475356, 3262475359, 'DE', 'Germany'),
(109753, '194.117.108.96', '194.117.108.99', 3262475360, 3262475363, 'IT', 'Italy'),
(109754, '194.117.108.100', '194.117.108.103', 3262475364, 3262475367, 'DE', 'Germany'),
(109755, '194.117.108.104', '194.117.108.107', 3262475368, 3262475371, 'FR', 'France'),
(109756, '194.117.108.108', '194.117.108.111', 3262475372, 3262475375, 'NL', 'Netherlands'),
(109757, '194.117.108.112', '194.117.108.119', 3262475376, 3262475383, 'DE', 'Germany'),
(109758, '194.117.108.120', '194.117.108.123', 3262475384, 3262475387, 'US', 'United States'),
(109759, '194.117.108.124', '194.117.108.131', 3262475388, 3262475395, 'AT', 'Austria'),
(109760, '194.117.108.132', '194.117.108.135', 3262475396, 3262475399, 'NL', 'Netherlands'),
(109761, '194.117.108.136', '194.117.108.139', 3262475400, 3262475403, 'US', 'United States'),
(109762, '194.117.108.140', '194.117.108.143', 3262475404, 3262475407, 'SE', 'Sweden'),
(109763, '194.117.108.144', '194.117.108.151', 3262475408, 3262475415, 'DE', 'Germany'),
(109764, '194.117.108.152', '194.117.108.155', 3262475416, 3262475419, 'CH', 'Switzerland'),
(109765, '194.117.108.156', '194.117.108.159', 3262475420, 3262475423, 'DE', 'Germany'),
(109766, '194.117.108.160', '194.117.108.163', 3262475424, 3262475427, 'US', 'United States'),
(109767, '194.117.108.164', '194.117.108.167', 3262475428, 3262475431, 'ES', 'Spain'),
(109768, '194.117.108.168', '194.117.108.171', 3262475432, 3262475435, 'IT', 'Italy'),
(109769, '194.117.108.172', '194.117.108.175', 3262475436, 3262475439, 'GB', 'United Kingdom'),
(109770, '194.117.108.176', '194.117.108.179', 3262475440, 3262475443, 'DE', 'Germany'),
(109771, '194.117.108.180', '194.117.108.183', 3262475444, 3262475447, 'US', 'United States'),
(109772, '194.117.108.184', '194.117.108.187', 3262475448, 3262475451, 'FR', 'France'),
(109773, '194.117.108.188', '194.117.108.195', 3262475452, 3262475459, 'DE', 'Germany'),
(109774, '194.117.108.196', '194.117.108.199', 3262475460, 3262475463, 'FR', 'France'),
(109775, '194.117.108.200', '194.117.108.203', 3262475464, 3262475467, 'DE', 'Germany'),
(109776, '194.117.108.204', '194.117.108.207', 3262475468, 3262475471, 'ES', 'Spain'),
(109777, '194.117.108.208', '194.117.108.215', 3262475472, 3262475479, 'DE', 'Germany'),
(109778, '194.117.108.216', '194.117.108.219', 3262475480, 3262475483, 'US', 'United States'),
(109779, '194.117.108.220', '194.117.108.223', 3262475484, 3262475487, 'IT', 'Italy'),
(109780, '194.117.108.224', '194.117.108.227', 3262475488, 3262475491, 'MX', 'Mexico'),
(109781, '194.117.108.228', '194.117.108.231', 3262475492, 3262475495, 'CH', 'Switzerland'),
(109782, '194.117.108.232', '194.117.108.235', 3262475496, 3262475499, 'NL', 'Netherlands'),
(109783, '194.117.108.236', '194.117.108.239', 3262475500, 3262475503, 'DE', 'Germany'),
(109784, '194.117.108.240', '194.117.108.243', 3262475504, 3262475507, 'FR', 'France'),
(109785, '194.117.108.244', '194.117.108.247', 3262475508, 3262475511, 'DE', 'Germany'),
(109786, '194.117.108.248', '194.117.108.251', 3262475512, 3262475515, 'US', 'United States'),
(109787, '194.117.108.252', '194.117.108.255', 3262475516, 3262475519, 'DE', 'Germany'),
(109788, '194.117.109.0', '194.117.109.7', 3262475520, 3262475527, 'US', 'United States'),
(109789, '194.117.109.8', '194.117.109.11', 3262475528, 3262475531, 'DE', 'Germany'),
(109790, '194.117.109.12', '194.117.109.39', 3262475532, 3262475559, 'US', 'United States'),
(109791, '194.117.109.40', '194.117.109.55', 3262475560, 3262475575, 'DE', 'Germany'),
(109792, '194.117.109.56', '194.117.109.71', 3262475576, 3262475591, 'US', 'United States'),
(109793, '194.117.109.72', '194.117.109.75', 3262475592, 3262475595, 'BR', 'Brazil'),
(109794, '194.117.109.76', '194.117.109.87', 3262475596, 3262475607, 'US', 'United States'),
(109795, '194.117.109.88', '194.117.109.91', 3262475608, 3262475611, 'IE', 'Ireland'),
(109796, '194.117.109.92', '194.117.109.111', 3262475612, 3262475631, 'DE', 'Germany'),
(109797, '194.117.109.112', '194.117.109.115', 3262475632, 3262475635, 'US', 'United States'),
(109798, '194.117.109.116', '194.117.109.119', 3262475636, 3262475639, 'DE', 'Germany'),
(109799, '194.117.109.120', '194.117.109.163', 3262475640, 3262475683, 'US', 'United States'),
(109800, '194.117.109.164', '194.117.109.167', 3262475684, 3262475687, 'BR', 'Brazil'),
(109801, '194.117.109.168', '194.117.109.171', 3262475688, 3262475691, 'DE', 'Germany'),
(109802, '194.117.109.172', '194.117.109.175', 3262475692, 3262475695, 'BR', 'Brazil'),
(109803, '194.117.109.176', '194.117.109.195', 3262475696, 3262475715, 'US', 'United States'),
(109804, '194.117.109.196', '194.117.109.199', 3262475716, 3262475719, 'DE', 'Germany'),
(109805, '194.117.109.200', '194.117.109.203', 3262475720, 3262475723, 'BR', 'Brazil'),
(109806, '194.117.109.204', '194.117.109.255', 3262475724, 3262475775, 'US', 'United States'),
(109807, '194.117.110.0', '194.117.110.7', 3262475776, 3262475783, 'DE', 'Germany'),
(109808, '194.117.110.8', '194.117.110.11', 3262475784, 3262475787, 'BE', 'Belgium'),
(109809, '194.117.110.12', '194.117.110.15', 3262475788, 3262475791, 'DE', 'Germany'),
(109810, '194.117.110.16', '194.117.110.31', 3262475792, 3262475807, 'AE', 'United Arab Emirates'),
(109811, '194.117.110.32', '194.117.110.35', 3262475808, 3262475811, 'US', 'United States'),
(109812, '194.117.110.36', '194.117.110.39', 3262475812, 3262475815, 'IE', 'Ireland'),
(109813, '194.117.110.40', '194.117.110.43', 3262475816, 3262475819, 'FR', 'France'),
(109814, '194.117.110.44', '194.117.110.47', 3262475820, 3262475823, 'DE', 'Germany'),
(109815, '194.117.110.48', '194.117.110.63', 3262475824, 3262475839, 'RO', 'Romania'),
(109816, '194.117.110.64', '194.117.110.79', 3262475840, 3262475855, 'DE', 'Germany'),
(109817, '194.117.110.80', '194.117.110.95', 3262475856, 3262475871, 'TR', 'Turkey'),
(109818, '194.117.110.96', '194.117.110.99', 3262475872, 3262475875, 'BE', 'Belgium'),
(109819, '194.117.110.100', '194.117.110.103', 3262475876, 3262475879, 'NL', 'Netherlands'),
(109820, '194.117.110.104', '194.117.110.107', 3262475880, 3262475883, 'PL', 'Poland'),
(109821, '194.117.110.108', '194.117.110.111', 3262475884, 3262475887, 'BE', 'Belgium'),
(109822, '194.117.110.112', '194.117.110.115', 3262475888, 3262475891, 'DE', 'Germany'),
(109823, '194.117.110.116', '194.117.110.119', 3262475892, 3262475895, 'SA', 'Saudi Arabia'),
(109824, '194.117.110.120', '194.117.110.127', 3262475896, 3262475903, 'CY', 'Cyprus'),
(109825, '194.117.110.128', '194.117.110.143', 3262475904, 3262475919, 'GR', 'Greece'),
(109826, '194.117.110.144', '194.117.110.159', 3262475920, 3262475935, 'DE', 'Germany'),
(109827, '194.117.110.160', '194.117.110.175', 3262475936, 3262475951, 'FR', 'France'),
(109828, '194.117.110.176', '194.117.110.187', 3262475952, 3262475963, 'US', 'United States'),
(109829, '194.117.110.188', '194.117.110.191', 3262475964, 3262475967, 'HU', 'Hungary'),
(109830, '194.117.110.192', '194.117.110.199', 3262475968, 3262475975, 'DE', 'Germany'),
(109831, '194.117.110.200', '194.117.110.207', 3262475976, 3262475983, 'BG', 'Bulgaria'),
(109832, '194.117.110.208', '194.117.110.215', 3262475984, 3262475991, 'SG', 'Singapore'),
(109833, '194.117.110.216', '194.117.110.239', 3262475992, 3262476015, 'DE', 'Germany'),
(109834, '194.117.110.240', '194.117.110.243', 3262476016, 3262476019, 'ES', 'Spain'),
(109835, '194.117.110.244', '194.117.110.247', 3262476020, 3262476023, 'FR', 'France'),
(109836, '194.117.110.248', '194.117.110.251', 3262476024, 3262476027, 'DE', 'Germany'),
(109837, '194.117.110.252', '194.117.110.255', 3262476028, 3262476031, 'FR', 'France'),
(109838, '194.117.111.0', '194.117.111.7', 3262476032, 3262476039, 'DE', 'Germany'),
(109839, '194.117.111.8', '194.117.111.11', 3262476040, 3262476043, 'CH', 'Switzerland'),
(109840, '194.117.111.12', '194.117.111.15', 3262476044, 3262476047, 'DE', 'Germany'),
(109841, '194.117.111.16', '194.117.111.23', 3262476048, 3262476055, 'IL', 'Israel'),
(109842, '194.117.111.24', '194.117.111.27', 3262476056, 3262476059, 'PE', 'Peru'),
(109843, '194.117.111.28', '194.117.111.31', 3262476060, 3262476063, 'US', 'United States'),
(109844, '194.117.111.32', '194.117.111.35', 3262476064, 3262476067, 'DE', 'Germany'),
(109845, '194.117.111.36', '194.117.111.39', 3262476068, 3262476071, 'PL', 'Poland'),
(109846, '194.117.111.40', '194.117.111.43', 3262476072, 3262476075, 'US', 'United States'),
(109847, '194.117.111.44', '194.117.111.47', 3262476076, 3262476079, 'DE', 'Germany'),
(109848, '194.117.111.48', '194.117.111.51', 3262476080, 3262476083, 'FR', 'France'),
(109849, '194.117.111.52', '194.117.111.55', 3262476084, 3262476087, 'DE', 'Germany'),
(109850, '194.117.111.56', '194.117.111.59', 3262476088, 3262476091, 'DK', 'Denmark'),
(109851, '194.117.111.60', '194.117.111.63', 3262476092, 3262476095, 'NL', 'Netherlands'),
(109852, '194.117.111.64', '194.117.111.71', 3262476096, 3262476103, 'US', 'United States'),
(109853, '194.117.111.72', '194.117.111.75', 3262476104, 3262476107, 'DE', 'Germany'),
(109854, '194.117.111.76', '194.117.111.79', 3262476108, 3262476111, 'BE', 'Belgium'),
(109855, '194.117.111.80', '194.117.111.83', 3262476112, 3262476115, 'NL', 'Netherlands'),
(109856, '194.117.111.84', '194.117.111.87', 3262476116, 3262476119, 'DE', 'Germany'),
(109857, '194.117.111.88', '194.117.111.91', 3262476120, 3262476123, 'FR', 'France'),
(109858, '194.117.111.92', '194.117.111.95', 3262476124, 3262476127, 'DE', 'Germany'),
(109859, '194.117.111.96', '194.117.111.99', 3262476128, 3262476131, 'GB', 'United Kingdom'),
(109860, '194.117.111.100', '194.117.111.103', 3262476132, 3262476135, 'AR', 'Argentina'),
(109861, '194.117.111.104', '194.117.111.107', 3262476136, 3262476139, 'US', 'United States'),
(109862, '194.117.111.108', '194.117.111.111', 3262476140, 3262476143, 'BE', 'Belgium'),
(109863, '194.117.111.112', '194.117.111.115', 3262476144, 3262476147, 'CH', 'Switzerland'),
(109864, '194.117.111.116', '194.117.111.123', 3262476148, 3262476155, 'US', 'United States'),
(109865, '194.117.111.124', '194.117.111.127', 3262476156, 3262476159, 'BE', 'Belgium'),
(109866, '194.117.111.128', '194.117.111.131', 3262476160, 3262476163, 'GR', 'Greece'),
(109867, '194.117.111.132', '194.117.111.139', 3262476164, 3262476171, 'DE', 'Germany'),
(109868, '194.117.111.140', '194.117.111.143', 3262476172, 3262476175, 'GB', 'United Kingdom'),
(109869, '194.117.111.144', '194.117.111.147', 3262476176, 3262476179, 'ES', 'Spain'),
(109870, '194.117.111.148', '194.117.111.151', 3262476180, 3262476183, 'DE', 'Germany'),
(109871, '194.117.111.152', '194.117.111.155', 3262476184, 3262476187, 'AT', 'Austria'),
(109872, '194.117.111.156', '194.117.111.159', 3262476188, 3262476191, 'PT', 'Portugal'),
(109873, '194.117.111.160', '194.117.111.163', 3262476192, 3262476195, 'DE', 'Germany'),
(109874, '194.117.111.164', '194.117.111.167', 3262476196, 3262476199, 'US', 'United States'),
(109875, '194.117.111.168', '194.117.111.171', 3262476200, 3262476203, 'GB', 'United Kingdom'),
(109876, '194.117.111.172', '194.117.111.175', 3262476204, 3262476207, 'NA', 'Namibia'),
(109877, '194.117.111.176', '194.117.111.179', 3262476208, 3262476211, 'US', 'United States'),
(109878, '194.117.111.180', '194.117.111.183', 3262476212, 3262476215, 'CL', 'Chile'),
(109879, '194.117.111.184', '194.117.111.191', 3262476216, 3262476223, 'FR', 'France'),
(109880, '194.117.111.192', '194.117.111.195', 3262476224, 3262476227, 'GR', 'Greece'),
(109881, '194.117.111.196', '194.117.111.199', 3262476228, 3262476231, 'SE', 'Sweden'),
(109882, '194.117.111.200', '194.117.111.203', 3262476232, 3262476235, 'FR', 'France'),
(109883, '194.117.111.204', '194.117.111.207', 3262476236, 3262476239, 'US', 'United States'),
(109884, '194.117.111.208', '194.117.111.211', 3262476240, 3262476243, 'IT', 'Italy'),
(109885, '194.117.111.212', '194.117.111.215', 3262476244, 3262476247, 'ES', 'Spain'),
(109886, '194.117.111.216', '194.117.111.219', 3262476248, 3262476251, 'NL', 'Netherlands'),
(109887, '194.117.111.220', '194.117.111.223', 3262476252, 3262476255, 'DE', 'Germany'),
(109888, '194.117.111.224', '194.117.111.227', 3262476256, 3262476259, 'US', 'United States'),
(109889, '194.117.111.228', '194.117.111.235', 3262476260, 3262476267, 'DE', 'Germany'),
(109890, '194.117.111.236', '194.117.111.239', 3262476268, 3262476271, 'US', 'United States'),
(109891, '194.117.111.240', '194.117.111.243', 3262476272, 3262476275, 'DE', 'Germany'),
(109892, '194.117.111.244', '194.117.111.247', 3262476276, 3262476279, 'CA', 'Canada'),
(109893, '194.117.111.248', '194.117.111.251', 3262476280, 3262476283, 'BE', 'Belgium'),
(109894, '194.117.111.252', '194.117.112.3', 3262476284, 3262476291, 'DE', 'Germany'),
(109895, '194.117.112.4', '194.117.112.7', 3262476292, 3262476295, 'ZA', 'South Africa'),
(109896, '194.117.112.8', '194.117.112.11', 3262476296, 3262476299, 'US', 'United States'),
(109897, '194.117.112.12', '194.117.112.15', 3262476300, 3262476303, 'DO', 'Dominican Republic'),
(109898, '194.117.112.16', '194.117.112.19', 3262476304, 3262476307, 'US', 'United States'),
(109899, '194.117.112.20', '194.117.112.27', 3262476308, 3262476315, 'DE', 'Germany'),
(109900, '194.117.112.28', '194.117.112.31', 3262476316, 3262476319, 'BE', 'Belgium'),
(109901, '194.117.112.32', '194.117.112.35', 3262476320, 3262476323, 'DE', 'Germany'),
(109902, '194.117.112.36', '194.117.112.39', 3262476324, 3262476327, 'IT', 'Italy'),
(109903, '194.117.112.40', '194.117.112.43', 3262476328, 3262476331, 'NL', 'Netherlands'),
(109904, '194.117.112.44', '194.117.112.51', 3262476332, 3262476339, 'DE', 'Germany'),
(109905, '194.117.112.52', '194.117.112.55', 3262476340, 3262476343, 'ES', 'Spain'),
(109906, '194.117.112.56', '194.117.112.63', 3262476344, 3262476351, 'DE', 'Germany'),
(109907, '194.117.112.64', '194.117.112.67', 3262476352, 3262476355, 'AR', 'Argentina'),
(109908, '194.117.112.68', '194.117.112.75', 3262476356, 3262476363, 'US', 'United States'),
(109909, '194.117.112.76', '194.117.112.79', 3262476364, 3262476367, 'PT', 'Portugal'),
(109910, '194.117.112.80', '194.117.112.83', 3262476368, 3262476371, 'US', 'United States'),
(109911, '194.117.112.84', '194.117.112.87', 3262476372, 3262476375, 'DE', 'Germany'),
(109912, '194.117.112.88', '194.117.112.99', 3262476376, 3262476387, 'US', 'United States'),
(109913, '194.117.112.100', '194.117.112.103', 3262476388, 3262476391, 'SK', 'Slovakia'),
(109914, '194.117.112.104', '194.117.112.107', 3262476392, 3262476395, 'DE', 'Germany'),
(109915, '194.117.112.108', '194.117.112.111', 3262476396, 3262476399, 'AT', 'Austria'),
(109916, '194.117.112.112', '194.117.112.115', 3262476400, 3262476403, 'ES', 'Spain'),
(109917, '194.117.112.116', '194.117.112.123', 3262476404, 3262476411, 'DE', 'Germany'),
(109918, '194.117.112.124', '194.117.112.127', 3262476412, 3262476415, 'US', 'United States'),
(109919, '194.117.112.128', '194.117.112.131', 3262476416, 3262476419, 'DE', 'Germany'),
(109920, '194.117.112.132', '194.117.112.135', 3262476420, 3262476423, 'CH', 'Switzerland'),
(109921, '194.117.112.136', '194.117.112.139', 3262476424, 3262476427, 'ES', 'Spain'),
(109922, '194.117.112.140', '194.117.112.143', 3262476428, 3262476431, 'US', 'United States'),
(109923, '194.117.112.144', '194.117.112.147', 3262476432, 3262476435, 'IT', 'Italy'),
(109924, '194.117.112.148', '194.117.112.151', 3262476436, 3262476439, 'AT', 'Austria'),
(109925, '194.117.112.152', '194.117.112.155', 3262476440, 3262476443, 'DE', 'Germany'),
(109926, '194.117.112.156', '194.117.112.159', 3262476444, 3262476447, 'AT', 'Austria'),
(109927, '194.117.112.160', '194.117.112.167', 3262476448, 3262476455, 'DE', 'Germany'),
(109928, '194.117.112.168', '194.117.112.171', 3262476456, 3262476459, 'CA', 'Canada'),
(109929, '194.117.112.172', '194.117.112.175', 3262476460, 3262476463, 'DK', 'Denmark'),
(109930, '194.117.112.176', '194.117.112.179', 3262476464, 3262476467, 'SK', 'Slovakia'),
(109931, '194.117.112.180', '194.117.112.183', 3262476468, 3262476471, 'DE', 'Germany'),
(109932, '194.117.112.184', '194.117.112.187', 3262476472, 3262476475, 'CA', 'Canada'),
(109933, '194.117.112.188', '194.117.112.195', 3262476476, 3262476483, 'US', 'United States'),
(109934, '194.117.112.196', '194.117.112.199', 3262476484, 3262476487, 'DE', 'Germany'),
(109935, '194.117.112.200', '194.117.112.203', 3262476488, 3262476491, 'US', 'United States'),
(109936, '194.117.112.204', '194.117.112.207', 3262476492, 3262476495, 'BE', 'Belgium'),
(109937, '194.117.112.208', '194.117.112.211', 3262476496, 3262476499, 'US', 'United States'),
(109938, '194.117.112.212', '194.117.112.215', 3262476500, 3262476503, 'DE', 'Germany'),
(109939, '194.117.112.216', '194.117.112.219', 3262476504, 3262476507, 'CH', 'Switzerland'),
(109940, '194.117.112.220', '194.117.112.223', 3262476508, 3262476511, 'DE', 'Germany'),
(109941, '194.117.112.224', '194.117.112.227', 3262476512, 3262476515, 'US', 'United States'),
(109942, '194.117.112.228', '194.117.112.231', 3262476516, 3262476519, 'DE', 'Germany'),
(109943, '194.117.112.232', '194.117.112.235', 3262476520, 3262476523, 'GB', 'United Kingdom'),
(109944, '194.117.112.236', '194.117.112.239', 3262476524, 3262476527, 'MX', 'Mexico'),
(109945, '194.117.112.240', '194.117.112.243', 3262476528, 3262476531, 'DE', 'Germany'),
(109946, '194.117.112.244', '194.117.112.247', 3262476532, 3262476535, 'IL', 'Israel'),
(109947, '194.117.112.248', '194.117.112.251', 3262476536, 3262476539, 'US', 'United States'),
(109948, '194.117.112.252', '194.117.112.255', 3262476540, 3262476543, 'DE', 'Germany'),
(109949, '194.117.113.0', '194.117.113.3', 3262476544, 3262476547, 'DK', 'Denmark'),
(109950, '194.117.113.4', '194.117.113.7', 3262476548, 3262476551, 'AR', 'Argentina'),
(109951, '194.117.113.8', '194.117.113.11', 3262476552, 3262476555, 'IT', 'Italy'),
(109952, '194.117.113.12', '194.117.113.15', 3262476556, 3262476559, 'FR', 'France'),
(109953, '194.117.113.16', '194.117.113.23', 3262476560, 3262476567, 'DE', 'Germany'),
(109954, '194.117.113.24', '194.117.113.27', 3262476568, 3262476571, 'US', 'United States'),
(109955, '194.117.113.28', '194.117.113.31', 3262476572, 3262476575, 'DE', 'Germany'),
(109956, '194.117.113.32', '194.117.113.43', 3262476576, 3262476587, 'US', 'United States'),
(109957, '194.117.113.44', '194.117.113.47', 3262476588, 3262476591, 'ES', 'Spain'),
(109958, '194.117.113.48', '194.117.113.51', 3262476592, 3262476595, 'GB', 'United Kingdom'),
(109959, '194.117.113.52', '194.117.113.59', 3262476596, 3262476603, 'DE', 'Germany'),
(109960, '194.117.113.60', '194.117.113.63', 3262476604, 3262476607, 'NL', 'Netherlands'),
(109961, '194.117.113.64', '194.117.113.67', 3262476608, 3262476611, 'SK', 'Slovakia'),
(109962, '194.117.113.68', '194.117.113.71', 3262476612, 3262476615, 'GB', 'United Kingdom'),
(109963, '194.117.113.72', '194.117.113.75', 3262476616, 3262476619, 'TR', 'Turkey'),
(109964, '194.117.113.76', '194.117.113.79', 3262476620, 3262476623, 'NL', 'Netherlands'),
(109965, '194.117.113.80', '194.117.113.83', 3262476624, 3262476627, 'US', 'United States'),
(109966, '194.117.113.84', '194.117.113.91', 3262476628, 3262476635, 'DE', 'Germany'),
(109967, '194.117.113.92', '194.117.113.95', 3262476636, 3262476639, 'DK', 'Denmark'),
(109968, '194.117.113.96', '194.117.113.99', 3262476640, 3262476643, 'DE', 'Germany'),
(109969, '194.117.113.100', '194.117.113.103', 3262476644, 3262476647, 'ZA', 'South Africa'),
(109970, '194.117.113.104', '194.117.113.107', 3262476648, 3262476651, 'US', 'United States'),
(109971, '194.117.113.108', '194.117.113.111', 3262476652, 3262476655, 'FR', 'France'),
(109972, '194.117.113.112', '194.117.113.123', 3262476656, 3262476667, 'US', 'United States'),
(109973, '194.117.113.124', '194.117.113.127', 3262476668, 3262476671, 'GB', 'United Kingdom'),
(109974, '194.117.113.128', '194.117.113.131', 3262476672, 3262476675, 'SE', 'Sweden'),
(109975, '194.117.113.132', '194.117.113.135', 3262476676, 3262476679, 'DE', 'Germany'),
(109976, '194.117.113.136', '194.117.113.139', 3262476680, 3262476683, 'NL', 'Netherlands'),
(109977, '194.117.113.140', '194.117.113.143', 3262476684, 3262476687, 'IT', 'Italy'),
(109978, '194.117.113.144', '194.117.113.147', 3262476688, 3262476691, 'DE', 'Germany'),
(109979, '194.117.113.148', '194.117.113.151', 3262476692, 3262476695, 'FR', 'France'),
(109980, '194.117.113.152', '194.117.113.155', 3262476696, 3262476699, 'ES', 'Spain'),
(109981, '194.117.113.156', '194.117.113.163', 3262476700, 3262476707, 'DE', 'Germany'),
(109982, '194.117.113.164', '194.117.113.171', 3262476708, 3262476715, 'US', 'United States'),
(109983, '194.117.113.172', '194.117.113.175', 3262476716, 3262476719, 'FR', 'France'),
(109984, '194.117.113.176', '194.117.113.179', 3262476720, 3262476723, 'IT', 'Italy'),
(109985, '194.117.113.180', '194.117.113.183', 3262476724, 3262476727, 'FR', 'France'),
(109986, '194.117.113.184', '194.117.113.187', 3262476728, 3262476731, 'US', 'United States'),
(109987, '194.117.113.188', '194.117.113.191', 3262476732, 3262476735, 'DE', 'Germany'),
(109988, '194.117.113.192', '194.117.113.195', 3262476736, 3262476739, 'CA', 'Canada'),
(109989, '194.117.113.196', '194.117.113.199', 3262476740, 3262476743, 'DE', 'Germany'),
(109990, '194.117.113.200', '194.117.113.203', 3262476744, 3262476747, 'CH', 'Switzerland'),
(109991, '194.117.113.204', '194.117.113.207', 3262476748, 3262476751, 'BE', 'Belgium'),
(109992, '194.117.113.208', '194.117.113.211', 3262476752, 3262476755, 'ES', 'Spain'),
(109993, '194.117.113.212', '194.117.113.215', 3262476756, 3262476759, 'DE', 'Germany'),
(109994, '194.117.113.216', '194.117.113.219', 3262476760, 3262476763, 'US', 'United States'),
(109995, '194.117.113.220', '194.117.113.223', 3262476764, 3262476767, 'ES', 'Spain'),
(109996, '194.117.113.224', '194.117.113.227', 3262476768, 3262476771, 'DK', 'Denmark'),
(109997, '194.117.113.228', '194.117.113.235', 3262476772, 3262476779, 'US', 'United States'),
(109998, '194.117.113.236', '194.117.113.239', 3262476780, 3262476783, 'DE', 'Germany'),
(109999, '194.117.113.240', '194.117.113.243', 3262476784, 3262476787, 'IT', 'Italy'),
(110000, '194.117.113.244', '194.117.113.247', 3262476788, 3262476791, 'US', 'United States'),
(110001, '194.117.113.248', '194.117.113.251', 3262476792, 3262476795, 'ES', 'Spain'),
(110002, '194.117.113.252', '194.117.113.255', 3262476796, 3262476799, 'DE', 'Germany'),
(110003, '194.117.114.0', '194.117.114.3', 3262476800, 3262476803, 'CA', 'Canada'),
(110004, '194.117.114.4', '194.117.114.7', 3262476804, 3262476807, 'TR', 'Turkey'),
(110005, '194.117.114.8', '194.117.114.27', 3262476808, 3262476827, 'DE', 'Germany'),
(110006, '194.117.114.28', '194.117.114.31', 3262476828, 3262476831, 'LU', 'Luxembourg'),
(110007, '194.117.114.32', '194.117.114.39', 3262476832, 3262476839, 'DE', 'Germany'),
(110008, '194.117.114.40', '194.117.114.43', 3262476840, 3262476843, 'IT', 'Italy'),
(110009, '194.117.114.44', '194.117.114.47', 3262476844, 3262476847, 'DE', 'Germany'),
(110010, '194.117.114.48', '194.117.114.51', 3262476848, 3262476851, 'CH', 'Switzerland'),
(110011, '194.117.114.52', '194.117.114.55', 3262476852, 3262476855, 'US', 'United States'),
(110012, '194.117.114.56', '194.117.114.59', 3262476856, 3262476859, 'ES', 'Spain'),
(110013, '194.117.114.60', '194.117.114.63', 3262476860, 3262476863, 'DE', 'Germany'),
(110014, '194.117.114.64', '194.117.114.67', 3262476864, 3262476867, 'US', 'United States'),
(110015, '194.117.114.68', '194.117.114.83', 3262476868, 3262476883, 'DE', 'Germany'),
(110016, '194.117.114.84', '194.117.114.87', 3262476884, 3262476887, 'FR', 'France'),
(110017, '194.117.114.88', '194.117.114.91', 3262476888, 3262476891, 'DE', 'Germany'),
(110018, '194.117.114.92', '194.117.114.95', 3262476892, 3262476895, 'HU', 'Hungary'),
(110019, '194.117.114.96', '194.117.114.99', 3262476896, 3262476899, 'SK', 'Slovakia'),
(110020, '194.117.114.100', '194.117.114.103', 3262476900, 3262476903, 'FR', 'France'),
(110021, '194.117.114.104', '194.117.114.107', 3262476904, 3262476907, 'DE', 'Germany'),
(110022, '194.117.114.108', '194.117.114.111', 3262476908, 3262476911, 'NL', 'Netherlands'),
(110023, '194.117.114.112', '194.117.114.115', 3262476912, 3262476915, 'CH', 'Switzerland'),
(110024, '194.117.114.116', '194.117.114.119', 3262476916, 3262476919, 'DE', 'Germany'),
(110025, '194.117.114.120', '194.117.114.123', 3262476920, 3262476923, 'US', 'United States'),
(110026, '194.117.114.124', '194.117.114.127', 3262476924, 3262476927, 'AT', 'Austria'),
(110027, '194.117.114.128', '194.117.114.135', 3262476928, 3262476935, 'DE', 'Germany'),
(110028, '194.117.114.136', '194.117.114.139', 3262476936, 3262476939, 'AT', 'Austria'),
(110029, '194.117.114.140', '194.117.114.151', 3262476940, 3262476951, 'DE', 'Germany'),
(110030, '194.117.114.152', '194.117.114.155', 3262476952, 3262476955, 'NL', 'Netherlands'),
(110031, '194.117.114.156', '194.117.114.171', 3262476956, 3262476971, 'DE', 'Germany'),
(110032, '194.117.114.172', '194.117.114.175', 3262476972, 3262476975, 'US', 'United States'),
(110033, '194.117.114.176', '194.117.114.179', 3262476976, 3262476979, 'BE', 'Belgium'),
(110034, '194.117.114.180', '194.117.114.183', 3262476980, 3262476983, 'DE', 'Germany'),
(110035, '194.117.114.184', '194.117.114.187', 3262476984, 3262476987, 'FR', 'France'),
(110036, '194.117.114.188', '194.117.114.195', 3262476988, 3262476995, 'DE', 'Germany'),
(110037, '194.117.114.196', '194.117.114.199', 3262476996, 3262476999, 'IT', 'Italy'),
(110038, '194.117.114.200', '194.117.114.203', 3262477000, 3262477003, 'GB', 'United Kingdom'),
(110039, '194.117.114.204', '194.117.114.207', 3262477004, 3262477007, 'DE', 'Germany'),
(110040, '194.117.114.208', '194.117.114.211', 3262477008, 3262477011, 'CA', 'Canada'),
(110041, '194.117.114.212', '194.117.114.215', 3262477012, 3262477015, 'DE', 'Germany'),
(110042, '194.117.114.216', '194.117.114.219', 3262477016, 3262477019, 'CH', 'Switzerland'),
(110043, '194.117.114.220', '194.117.114.223', 3262477020, 3262477023, 'DE', 'Germany'),
(110044, '194.117.114.224', '194.117.114.235', 3262477024, 3262477035, 'FR', 'France'),
(110045, '194.117.114.236', '194.117.114.239', 3262477036, 3262477039, 'DK', 'Denmark'),
(110046, '194.117.114.240', '194.117.114.243', 3262477040, 3262477043, 'US', 'United States'),
(110047, '194.117.114.244', '194.117.114.247', 3262477044, 3262477047, 'GB', 'United Kingdom'),
(110048, '194.117.114.248', '194.117.115.3', 3262477048, 3262477059, 'DE', 'Germany'),
(110049, '194.117.115.4', '194.117.115.7', 3262477060, 3262477063, 'US', 'United States'),
(110050, '194.117.115.8', '194.117.115.11', 3262477064, 3262477067, 'DE', 'Germany'),
(110051, '194.117.115.12', '194.117.115.15', 3262477068, 3262477071, 'AT', 'Austria'),
(110052, '194.117.115.16', '194.117.115.19', 3262477072, 3262477075, 'PT', 'Portugal'),
(110053, '194.117.115.20', '194.117.115.27', 3262477076, 3262477083, 'FR', 'France'),
(110054, '194.117.115.28', '194.117.115.31', 3262477084, 3262477087, 'NL', 'Netherlands'),
(110055, '194.117.115.32', '194.117.115.35', 3262477088, 3262477091, 'DE', 'Germany'),
(110056, '194.117.115.36', '194.117.115.39', 3262477092, 3262477095, 'BE', 'Belgium'),
(110057, '194.117.115.40', '194.117.115.51', 3262477096, 3262477107, 'DE', 'Germany'),
(110058, '194.117.115.52', '194.117.115.55', 3262477108, 3262477111, 'ES', 'Spain'),
(110059, '194.117.115.56', '194.117.115.75', 3262477112, 3262477131, 'DE', 'Germany'),
(110060, '194.117.115.76', '194.117.115.79', 3262477132, 3262477135, 'SK', 'Slovakia'),
(110061, '194.117.115.80', '194.117.115.91', 3262477136, 3262477147, 'DE', 'Germany'),
(110062, '194.117.115.92', '194.117.115.95', 3262477148, 3262477151, 'FR', 'France'),
(110063, '194.117.115.96', '194.117.115.99', 3262477152, 3262477155, 'CH', 'Switzerland'),
(110064, '194.117.115.100', '194.117.115.103', 3262477156, 3262477159, 'ES', 'Spain'),
(110065, '194.117.115.104', '194.117.115.107', 3262477160, 3262477163, 'US', 'United States'),
(110066, '194.117.115.108', '194.117.115.111', 3262477164, 3262477167, 'FR', 'France'),
(110067, '194.117.115.112', '194.117.115.115', 3262477168, 3262477171, 'NL', 'Netherlands'),
(110068, '194.117.115.116', '194.117.115.119', 3262477172, 3262477175, 'DE', 'Germany'),
(110069, '194.117.115.120', '194.117.115.131', 3262477176, 3262477187, 'US', 'United States'),
(110070, '194.117.115.132', '194.117.115.135', 3262477188, 3262477191, 'IT', 'Italy'),
(110071, '194.117.115.136', '194.117.115.139', 3262477192, 3262477195, 'GB', 'United Kingdom'),
(110072, '194.117.115.140', '194.117.115.143', 3262477196, 3262477199, 'PL', 'Poland'),
(110073, '194.117.115.144', '194.117.115.147', 3262477200, 3262477203, 'GB', 'United Kingdom'),
(110074, '194.117.115.148', '194.117.115.151', 3262477204, 3262477207, 'US', 'United States'),
(110075, '194.117.115.152', '194.117.115.155', 3262477208, 3262477211, 'ES', 'Spain'),
(110076, '194.117.115.156', '194.117.115.159', 3262477212, 3262477215, 'AT', 'Austria'),
(110077, '194.117.115.160', '194.117.115.163', 3262477216, 3262477219, 'US', 'United States'),
(110078, '194.117.115.164', '194.117.115.167', 3262477220, 3262477223, 'KW', 'Kuwait'),
(110079, '194.117.115.168', '194.117.115.171', 3262477224, 3262477227, 'BE', 'Belgium'),
(110080, '194.117.115.172', '194.117.115.175', 3262477228, 3262477231, 'GB', 'United Kingdom'),
(110081, '194.117.115.176', '194.117.115.183', 3262477232, 3262477239, 'DE', 'Germany'),
(110082, '194.117.115.184', '194.117.115.187', 3262477240, 3262477243, 'CA', 'Canada'),
(110083, '194.117.115.188', '194.117.115.191', 3262477244, 3262477247, 'US', 'United States'),
(110084, '194.117.115.192', '194.117.115.195', 3262477248, 3262477251, 'AR', 'Argentina'),
(110085, '194.117.115.196', '194.117.115.199', 3262477252, 3262477255, 'ES', 'Spain'),
(110086, '194.117.115.200', '194.117.115.203', 3262477256, 3262477259, 'DE', 'Germany'),
(110087, '194.117.115.204', '194.117.115.207', 3262477260, 3262477263, 'GB', 'United Kingdom'),
(110088, '194.117.115.208', '194.117.115.211', 3262477264, 3262477267, 'GR', 'Greece'),
(110089, '194.117.115.212', '194.117.115.215', 3262477268, 3262477271, 'NL', 'Netherlands'),
(110090, '194.117.115.216', '194.117.115.219', 3262477272, 3262477275, 'US', 'United States'),
(110091, '194.117.115.220', '194.117.115.223', 3262477276, 3262477279, 'NL', 'Netherlands'),
(110092, '194.117.115.224', '194.117.115.227', 3262477280, 3262477283, 'DE', 'Germany'),
(110093, '194.117.115.228', '194.117.115.231', 3262477284, 3262477287, 'FR', 'France'),
(110094, '194.117.115.232', '194.117.115.235', 3262477288, 3262477291, 'BM', 'Bermuda'),
(110095, '194.117.115.236', '194.117.115.239', 3262477292, 3262477295, 'US', 'United States'),
(110096, '194.117.115.240', '194.117.115.243', 3262477296, 3262477299, 'DK', 'Denmark'),
(110097, '194.117.115.244', '194.117.115.247', 3262477300, 3262477303, 'IT', 'Italy'),
(110098, '194.117.115.248', '194.117.115.251', 3262477304, 3262477307, 'FR', 'France'),
(110099, '194.117.115.252', '194.117.115.255', 3262477308, 3262477311, 'DE', 'Germany'),
(110100, '194.117.116.0', '194.117.116.3', 3262477312, 3262477315, 'ES', 'Spain'),
(110101, '194.117.116.4', '194.117.116.7', 3262477316, 3262477319, 'HU', 'Hungary'),
(110102, '194.117.116.8', '194.117.116.15', 3262477320, 3262477327, 'US', 'United States'),
(110103, '194.117.116.16', '194.117.116.19', 3262477328, 3262477331, 'HU', 'Hungary'),
(110104, '194.117.116.20', '194.117.116.23', 3262477332, 3262477335, 'DE', 'Germany'),
(110105, '194.117.116.24', '194.117.116.27', 3262477336, 3262477339, 'CA', 'Canada'),
(110106, '194.117.116.28', '194.117.116.31', 3262477340, 3262477343, 'US', 'United States'),
(110107, '194.117.116.32', '194.117.116.35', 3262477344, 3262477347, 'CH', 'Switzerland'),
(110108, '194.117.116.36', '194.117.116.43', 3262477348, 3262477355, 'DE', 'Germany'),
(110109, '194.117.116.44', '194.117.116.47', 3262477356, 3262477359, 'PL', 'Poland'),
(110110, '194.117.116.48', '194.117.116.51', 3262477360, 3262477363, 'LU', 'Luxembourg'),
(110111, '194.117.116.52', '194.117.116.55', 3262477364, 3262477367, 'ES', 'Spain'),
(110112, '194.117.116.56', '194.117.116.59', 3262477368, 3262477371, 'US', 'United States'),
(110113, '194.117.116.60', '194.117.116.63', 3262477372, 3262477375, 'FR', 'France'),
(110114, '194.117.116.64', '194.117.116.67', 3262477376, 3262477379, 'AT', 'Austria'),
(110115, '194.117.116.68', '194.117.116.71', 3262477380, 3262477383, 'US', 'United States'),
(110116, '194.117.116.72', '194.117.116.75', 3262477384, 3262477387, 'FR', 'France'),
(110117, '194.117.116.76', '194.117.116.87', 3262477388, 3262477399, 'DE', 'Germany'),
(110118, '194.117.116.88', '194.117.116.91', 3262477400, 3262477403, 'CH', 'Switzerland'),
(110119, '194.117.116.92', '194.117.116.95', 3262477404, 3262477407, 'DE', 'Germany'),
(110120, '194.117.116.96', '194.117.116.99', 3262477408, 3262477411, 'US', 'United States'),
(110121, '194.117.116.100', '194.117.116.103', 3262477412, 3262477415, 'SA', 'Saudi Arabia'),
(110122, '194.117.116.104', '194.117.116.107', 3262477416, 3262477419, 'DK', 'Denmark'),
(110123, '194.117.116.108', '194.117.116.115', 3262477420, 3262477427, 'DE', 'Germany'),
(110124, '194.117.116.116', '194.117.116.119', 3262477428, 3262477431, 'US', 'United States'),
(110125, '194.117.116.120', '194.117.116.127', 3262477432, 3262477439, 'DE', 'Germany'),
(110126, '194.117.116.128', '194.117.116.131', 3262477440, 3262477443, 'CH', 'Switzerland'),
(110127, '194.117.116.132', '194.117.116.135', 3262477444, 3262477447, 'BE', 'Belgium'),
(110128, '194.117.116.136', '194.117.116.139', 3262477448, 3262477451, 'AR', 'Argentina'),
(110129, '194.117.116.140', '194.117.116.143', 3262477452, 3262477455, 'PT', 'Portugal'),
(110130, '194.117.116.144', '194.117.116.155', 3262477456, 3262477467, 'DE', 'Germany'),
(110131, '194.117.116.156', '194.117.116.159', 3262477468, 3262477471, 'AT', 'Austria'),
(110132, '194.117.116.160', '194.117.116.163', 3262477472, 3262477475, 'HU', 'Hungary'),
(110133, '194.117.116.164', '194.117.116.167', 3262477476, 3262477479, 'FR', 'France'),
(110134, '194.117.116.168', '194.117.116.171', 3262477480, 3262477483, 'SE', 'Sweden'),
(110135, '194.117.116.172', '194.117.116.175', 3262477484, 3262477487, 'NL', 'Netherlands'),
(110136, '194.117.116.176', '194.117.116.187', 3262477488, 3262477499, 'DE', 'Germany'),
(110137, '194.117.116.188', '194.117.116.191', 3262477500, 3262477503, 'ES', 'Spain'),
(110138, '194.117.116.192', '194.117.116.195', 3262477504, 3262477507, 'FR', 'France'),
(110139, '194.117.116.196', '194.117.116.199', 3262477508, 3262477511, 'CH', 'Switzerland'),
(110140, '194.117.116.200', '194.117.116.207', 3262477512, 3262477519, 'US', 'United States'),
(110141, '194.117.116.208', '194.117.116.211', 3262477520, 3262477523, 'DE', 'Germany'),
(110142, '194.117.116.212', '194.117.116.215', 3262477524, 3262477527, 'IT', 'Italy'),
(110143, '194.117.116.216', '194.117.116.231', 3262477528, 3262477543, 'DE', 'Germany'),
(110144, '194.117.116.232', '194.117.116.235', 3262477544, 3262477547, 'US', 'United States'),
(110145, '194.117.116.236', '194.117.116.239', 3262477548, 3262477551, 'DE', 'Germany'),
(110146, '194.117.116.240', '194.117.116.243', 3262477552, 3262477555, 'BR', 'Brazil'),
(110147, '194.117.116.244', '194.117.116.247', 3262477556, 3262477559, 'US', 'United States'),
(110148, '194.117.116.248', '194.117.116.251', 3262477560, 3262477563, 'CA', 'Canada'),
(110149, '194.117.116.252', '194.117.117.3', 3262477564, 3262477571, 'BE', 'Belgium'),
(110150, '194.117.117.4', '194.117.117.7', 3262477572, 3262477575, 'NL', 'Netherlands'),
(110151, '194.117.117.8', '194.117.117.11', 3262477576, 3262477579, 'DE', 'Germany'),
(110152, '194.117.117.12', '194.117.117.15', 3262477580, 3262477583, 'NO', 'Norway'),
(110153, '194.117.117.16', '194.117.117.19', 3262477584, 3262477587, 'CA', 'Canada'),
(110154, '194.117.117.20', '194.117.117.23', 3262477588, 3262477591, 'FR', 'France'),
(110155, '194.117.117.24', '194.117.117.27', 3262477592, 3262477595, 'GB', 'United Kingdom'),
(110156, '194.117.117.28', '194.117.117.31', 3262477596, 3262477599, 'CH', 'Switzerland'),
(110157, '194.117.117.32', '194.117.117.35', 3262477600, 3262477603, 'NL', 'Netherlands'),
(110158, '194.117.117.36', '194.117.117.39', 3262477604, 3262477607, 'IT', 'Italy'),
(110159, '194.117.117.40', '194.117.117.43', 3262477608, 3262477611, 'DE', 'Germany'),
(110160, '194.117.117.44', '194.117.117.47', 3262477612, 3262477615, 'US', 'United States'),
(110161, '194.117.117.48', '194.117.117.51', 3262477616, 3262477619, 'IT', 'Italy'),
(110162, '194.117.117.52', '194.117.117.55', 3262477620, 3262477623, 'DE', 'Germany'),
(110163, '194.117.117.56', '194.117.117.59', 3262477624, 3262477627, 'FR', 'France'),
(110164, '194.117.117.60', '194.117.117.63', 3262477628, 3262477631, 'CH', 'Switzerland'),
(110165, '194.117.117.64', '194.117.117.67', 3262477632, 3262477635, 'AT', 'Austria'),
(110166, '194.117.117.68', '194.117.117.71', 3262477636, 3262477639, 'VE', 'Venezuela'),
(110167, '194.117.117.72', '194.117.117.75', 3262477640, 3262477643, 'DE', 'Germany'),
(110168, '194.117.117.76', '194.117.117.79', 3262477644, 3262477647, 'GB', 'United Kingdom'),
(110169, '194.117.117.80', '194.117.117.87', 3262477648, 3262477655, 'DE', 'Germany'),
(110170, '194.117.117.88', '194.117.117.91', 3262477656, 3262477659, 'NL', 'Netherlands'),
(110171, '194.117.117.92', '194.117.117.103', 3262477660, 3262477671, 'US', 'United States'),
(110172, '194.117.117.104', '194.117.117.107', 3262477672, 3262477675, 'NL', 'Netherlands'),
(110173, '194.117.117.108', '194.117.117.119', 3262477676, 3262477687, 'DE', 'Germany'),
(110174, '194.117.117.120', '194.117.117.123', 3262477688, 3262477691, 'FR', 'France'),
(110175, '194.117.117.124', '194.117.117.127', 3262477692, 3262477695, 'DE', 'Germany'),
(110176, '194.117.117.128', '194.117.117.131', 3262477696, 3262477699, 'NL', 'Netherlands'),
(110177, '194.117.117.132', '194.117.117.135', 3262477700, 3262477703, 'FR', 'France'),
(110178, '194.117.117.136', '194.117.117.139', 3262477704, 3262477707, 'IT', 'Italy'),
(110179, '194.117.117.140', '194.117.117.143', 3262477708, 3262477711, 'GB', 'United Kingdom'),
(110180, '194.117.117.144', '194.117.117.159', 3262477712, 3262477727, 'DE', 'Germany'),
(110181, '194.117.117.160', '194.117.117.163', 3262477728, 3262477731, 'AT', 'Austria'),
(110182, '194.117.117.164', '194.117.117.167', 3262477732, 3262477735, 'NL', 'Netherlands'),
(110183, '194.117.117.168', '194.117.117.171', 3262477736, 3262477739, 'BR', 'Brazil'),
(110184, '194.117.117.172', '194.117.117.175', 3262477740, 3262477743, 'NL', 'Netherlands'),
(110185, '194.117.117.176', '194.117.117.183', 3262477744, 3262477751, 'CH', 'Switzerland'),
(110186, '194.117.117.184', '194.117.117.191', 3262477752, 3262477759, 'DE', 'Germany'),
(110187, '194.117.117.192', '194.117.117.195', 3262477760, 3262477763, 'US', 'United States'),
(110188, '194.117.117.196', '194.117.117.199', 3262477764, 3262477767, 'VE', 'Venezuela'),
(110189, '194.117.117.200', '194.117.117.203', 3262477768, 3262477771, 'DE', 'Germany'),
(110190, '194.117.117.204', '194.117.117.207', 3262477772, 3262477775, 'CA', 'Canada'),
(110191, '194.117.117.208', '194.117.117.211', 3262477776, 3262477779, 'CZ', 'Czech Republic'),
(110192, '194.117.117.212', '194.117.117.215', 3262477780, 3262477783, 'GB', 'United Kingdom'),
(110193, '194.117.117.216', '194.117.117.219', 3262477784, 3262477787, 'DE', 'Germany'),
(110194, '194.117.117.220', '194.117.117.223', 3262477788, 3262477791, 'US', 'United States'),
(110195, '194.117.117.224', '194.117.117.227', 3262477792, 3262477795, 'GB', 'United Kingdom'),
(110196, '194.117.117.228', '194.117.117.231', 3262477796, 3262477799, 'FR', 'France'),
(110197, '194.117.117.232', '194.117.117.235', 3262477800, 3262477803, 'BE', 'Belgium'),
(110198, '194.117.117.236', '194.117.117.239', 3262477804, 3262477807, 'CH', 'Switzerland'),
(110199, '194.117.117.240', '194.117.117.243', 3262477808, 3262477811, 'CA', 'Canada'),
(110200, '194.117.117.244', '194.117.117.251', 3262477812, 3262477819, 'US', 'United States'),
(110201, '194.117.117.252', '194.117.117.255', 3262477820, 3262477823, 'DE', 'Germany'),
(110202, '194.117.118.0', '194.117.118.3', 3262477824, 3262477827, 'GB', 'United Kingdom'),
(110203, '194.117.118.4', '194.117.118.7', 3262477828, 3262477831, 'US', 'United States'),
(110204, '194.117.118.8', '194.117.118.11', 3262477832, 3262477835, 'CH', 'Switzerland'),
(110205, '194.117.118.12', '194.117.118.15', 3262477836, 3262477839, 'ES', 'Spain'),
(110206, '194.117.118.16', '194.117.118.19', 3262477840, 3262477843, 'GB', 'United Kingdom'),
(110207, '194.117.118.20', '194.117.118.23', 3262477844, 3262477847, 'DE', 'Germany'),
(110208, '194.117.118.24', '194.117.118.27', 3262477848, 3262477851, 'GB', 'United Kingdom'),
(110209, '194.117.118.28', '194.117.118.31', 3262477852, 3262477855, 'DE', 'Germany'),
(110210, '194.117.118.32', '194.117.118.35', 3262477856, 3262477859, 'CA', 'Canada'),
(110211, '194.117.118.36', '194.117.118.39', 3262477860, 3262477863, 'US', 'United States'),
(110212, '194.117.118.40', '194.117.118.43', 3262477864, 3262477867, 'TR', 'Turkey'),
(110213, '194.117.118.44', '194.117.118.47', 3262477868, 3262477871, 'HU', 'Hungary'),
(110214, '194.117.118.48', '194.117.118.59', 3262477872, 3262477883, 'DE', 'Germany'),
(110215, '194.117.118.60', '194.117.118.67', 3262477884, 3262477891, 'US', 'United States'),
(110216, '194.117.118.68', '194.117.118.71', 3262477892, 3262477895, 'IT', 'Italy'),
(110217, '194.117.118.72', '194.117.118.75', 3262477896, 3262477899, 'US', 'United States'),
(110218, '194.117.118.76', '194.117.118.79', 3262477900, 3262477903, 'DE', 'Germany'),
(110219, '194.117.118.80', '194.117.118.83', 3262477904, 3262477907, 'GB', 'United Kingdom'),
(110220, '194.117.118.84', '194.117.118.87', 3262477908, 3262477911, 'CH', 'Switzerland'),
(110221, '194.117.118.88', '194.117.118.91', 3262477912, 3262477915, 'US', 'United States'),
(110222, '194.117.118.92', '194.117.118.95', 3262477916, 3262477919, 'DE', 'Germany'),
(110223, '194.117.118.96', '194.117.118.99', 3262477920, 3262477923, 'US', 'United States'),
(110224, '194.117.118.100', '194.117.118.103', 3262477924, 3262477927, 'HU', 'Hungary'),
(110225, '194.117.118.104', '194.117.118.107', 3262477928, 3262477931, 'DE', 'Germany'),
(110226, '194.117.118.108', '194.117.118.111', 3262477932, 3262477935, 'US', 'United States'),
(110227, '194.117.118.112', '194.117.118.115', 3262477936, 3262477939, 'DE', 'Germany'),
(110228, '194.117.118.116', '194.117.118.119', 3262477940, 3262477943, 'CA', 'Canada'),
(110229, '194.117.118.120', '194.117.118.131', 3262477944, 3262477955, 'DE', 'Germany'),
(110230, '194.117.118.132', '194.117.118.135', 3262477956, 3262477959, 'US', 'United States'),
(110231, '194.117.118.136', '194.117.118.139', 3262477960, 3262477963, 'CA', 'Canada'),
(110232, '194.117.118.140', '194.117.118.143', 3262477964, 3262477967, 'DE', 'Germany'),
(110233, '194.117.118.144', '194.117.118.147', 3262477968, 3262477971, 'IT', 'Italy'),
(110234, '194.117.118.148', '194.117.118.163', 3262477972, 3262477987, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(110235, '194.117.118.164', '194.117.118.167', 3262477988, 3262477991, 'NL', 'Netherlands'),
(110236, '194.117.118.168', '194.117.118.175', 3262477992, 3262477999, 'DE', 'Germany'),
(110237, '194.117.118.176', '194.117.118.179', 3262478000, 3262478003, 'US', 'United States'),
(110238, '194.117.118.180', '194.117.118.183', 3262478004, 3262478007, 'FR', 'France'),
(110239, '194.117.118.184', '194.117.118.187', 3262478008, 3262478011, 'IT', 'Italy'),
(110240, '194.117.118.188', '194.117.118.191', 3262478012, 3262478015, 'PE', 'Peru'),
(110241, '194.117.118.192', '194.117.118.195', 3262478016, 3262478019, 'CH', 'Switzerland'),
(110242, '194.117.118.196', '194.117.118.203', 3262478020, 3262478027, 'DE', 'Germany'),
(110243, '194.117.118.204', '194.117.118.207', 3262478028, 3262478031, 'SE', 'Sweden'),
(110244, '194.117.118.208', '194.117.118.211', 3262478032, 3262478035, 'AT', 'Austria'),
(110245, '194.117.118.212', '194.117.118.215', 3262478036, 3262478039, 'DE', 'Germany'),
(110246, '194.117.118.216', '194.117.118.219', 3262478040, 3262478043, 'NL', 'Netherlands'),
(110247, '194.117.118.220', '194.117.118.223', 3262478044, 3262478047, 'IS', 'Iceland'),
(110248, '194.117.118.224', '194.117.118.231', 3262478048, 3262478055, 'DE', 'Germany'),
(110249, '194.117.118.232', '194.117.118.239', 3262478056, 3262478063, 'CH', 'Switzerland'),
(110250, '194.117.118.240', '194.117.118.243', 3262478064, 3262478067, 'DE', 'Germany'),
(110251, '194.117.118.244', '194.117.118.247', 3262478068, 3262478071, 'KE', 'Kenya'),
(110252, '194.117.118.248', '194.117.119.1', 3262478072, 3262478081, 'DE', 'Germany'),
(110253, '194.117.119.2', '194.117.119.2', 3262478082, 3262478082, 'ES', 'Spain'),
(110254, '194.117.119.3', '194.117.119.3', 3262478083, 3262478083, 'SA', 'Saudi Arabia'),
(110255, '194.117.119.4', '194.117.119.4', 3262478084, 3262478084, 'TR', 'Turkey'),
(110256, '194.117.119.5', '194.117.119.5', 3262478085, 3262478085, 'FR', 'France'),
(110257, '194.117.119.6', '194.117.119.8', 3262478086, 3262478088, 'DE', 'Germany'),
(110258, '194.117.119.9', '194.117.119.9', 3262478089, 3262478089, 'AT', 'Austria'),
(110259, '194.117.119.10', '194.117.119.10', 3262478090, 3262478090, 'DE', 'Germany'),
(110260, '194.117.119.11', '194.117.119.11', 3262478091, 3262478091, 'HU', 'Hungary'),
(110261, '194.117.119.12', '194.117.119.12', 3262478092, 3262478092, 'PT', 'Portugal'),
(110262, '194.117.119.13', '194.117.119.13', 3262478093, 3262478093, 'SA', 'Saudi Arabia'),
(110263, '194.117.119.14', '194.117.119.14', 3262478094, 3262478094, 'PT', 'Portugal'),
(110264, '194.117.119.15', '194.117.119.15', 3262478095, 3262478095, 'DE', 'Germany'),
(110265, '194.117.119.16', '194.117.119.16', 3262478096, 3262478096, 'PL', 'Poland'),
(110266, '194.117.119.17', '194.117.119.17', 3262478097, 3262478097, 'KE', 'Kenya'),
(110267, '194.117.119.18', '194.117.119.18', 3262478098, 3262478098, 'TR', 'Turkey'),
(110268, '194.117.119.19', '194.117.119.19', 3262478099, 3262478099, 'DE', 'Germany'),
(110269, '194.117.119.20', '194.117.119.20', 3262478100, 3262478100, 'TR', 'Turkey'),
(110270, '194.117.119.21', '194.117.119.21', 3262478101, 3262478101, 'ZW', 'Zimbabwe'),
(110271, '194.117.119.22', '194.117.119.22', 3262478102, 3262478102, 'TR', 'Turkey'),
(110272, '194.117.119.23', '194.117.119.23', 3262478103, 3262478103, 'DE', 'Germany'),
(110273, '194.117.119.24', '194.117.119.24', 3262478104, 3262478104, 'TR', 'Turkey'),
(110274, '194.117.119.25', '194.117.119.25', 3262478105, 3262478105, 'PL', 'Poland'),
(110275, '194.117.119.26', '194.117.119.26', 3262478106, 3262478106, 'IT', 'Italy'),
(110276, '194.117.119.27', '194.117.119.27', 3262478107, 3262478107, 'TR', 'Turkey'),
(110277, '194.117.119.28', '194.117.119.28', 3262478108, 3262478108, 'DE', 'Germany'),
(110278, '194.117.119.29', '194.117.119.29', 3262478109, 3262478109, 'AE', 'United Arab Emirates'),
(110279, '194.117.119.30', '194.117.119.33', 3262478110, 3262478113, 'DE', 'Germany'),
(110280, '194.117.119.34', '194.117.119.34', 3262478114, 3262478114, 'TR', 'Turkey'),
(110281, '194.117.119.35', '194.117.119.35', 3262478115, 3262478115, 'DE', 'Germany'),
(110282, '194.117.119.36', '194.117.119.36', 3262478116, 3262478116, 'NO', 'Norway'),
(110283, '194.117.119.37', '194.117.119.37', 3262478117, 3262478117, 'NA', 'Namibia'),
(110284, '194.117.119.38', '194.117.119.38', 3262478118, 3262478118, 'DE', 'Germany'),
(110285, '194.117.119.39', '194.117.119.39', 3262478119, 3262478119, 'SA', 'Saudi Arabia'),
(110286, '194.117.119.40', '194.117.119.40', 3262478120, 3262478120, 'NA', 'Namibia'),
(110287, '194.117.119.41', '194.117.119.41', 3262478121, 3262478121, 'AO', 'Angola'),
(110288, '194.117.119.42', '194.117.119.42', 3262478122, 3262478122, 'NA', 'Namibia'),
(110289, '194.117.119.43', '194.117.119.43', 3262478123, 3262478123, 'CY', 'Cyprus'),
(110290, '194.117.119.44', '194.117.119.44', 3262478124, 3262478124, 'DE', 'Germany'),
(110291, '194.117.119.45', '194.117.119.45', 3262478125, 3262478125, 'PT', 'Portugal'),
(110292, '194.117.119.46', '194.117.119.46', 3262478126, 3262478126, 'CY', 'Cyprus'),
(110293, '194.117.119.47', '194.117.119.47', 3262478127, 3262478127, 'GR', 'Greece'),
(110294, '194.117.119.48', '194.117.119.48', 3262478128, 3262478128, 'CH', 'Switzerland'),
(110295, '194.117.119.49', '194.117.119.49', 3262478129, 3262478129, 'HU', 'Hungary'),
(110296, '194.117.119.50', '194.117.119.50', 3262478130, 3262478130, 'FR', 'France'),
(110297, '194.117.119.51', '194.117.119.51', 3262478131, 3262478131, 'SK', 'Slovakia'),
(110298, '194.117.119.52', '194.117.119.52', 3262478132, 3262478132, 'ES', 'Spain'),
(110299, '194.117.119.53', '194.117.119.53', 3262478133, 3262478133, 'TR', 'Turkey'),
(110300, '194.117.119.54', '194.117.119.54', 3262478134, 3262478134, 'ES', 'Spain'),
(110301, '194.117.119.55', '194.117.119.55', 3262478135, 3262478135, 'TR', 'Turkey'),
(110302, '194.117.119.56', '194.117.119.57', 3262478136, 3262478137, 'HU', 'Hungary'),
(110303, '194.117.119.58', '194.117.119.58', 3262478138, 3262478138, 'TR', 'Turkey'),
(110304, '194.117.119.59', '194.117.119.59', 3262478139, 3262478139, 'DE', 'Germany'),
(110305, '194.117.119.60', '194.117.119.60', 3262478140, 3262478140, 'FR', 'France'),
(110306, '194.117.119.61', '194.117.119.63', 3262478141, 3262478143, 'TR', 'Turkey'),
(110307, '194.117.119.64', '194.117.119.65', 3262478144, 3262478145, 'DE', 'Germany'),
(110308, '194.117.119.66', '194.117.119.66', 3262478146, 3262478146, 'GR', 'Greece'),
(110309, '194.117.119.67', '194.117.119.67', 3262478147, 3262478147, 'FR', 'France'),
(110310, '194.117.119.68', '194.117.119.68', 3262478148, 3262478148, 'KZ', 'Kazakhstan'),
(110311, '194.117.119.69', '194.117.119.69', 3262478149, 3262478149, 'UA', 'Ukraine'),
(110312, '194.117.119.70', '194.117.119.71', 3262478150, 3262478151, 'DE', 'Germany'),
(110313, '194.117.119.72', '194.117.119.72', 3262478152, 3262478152, 'PL', 'Poland'),
(110314, '194.117.119.73', '194.117.119.73', 3262478153, 3262478153, 'TR', 'Turkey'),
(110315, '194.117.119.74', '194.117.119.74', 3262478154, 3262478154, 'DE', 'Germany'),
(110316, '194.117.119.75', '194.117.119.75', 3262478155, 3262478155, 'CU', 'Cuba'),
(110317, '194.117.119.76', '194.117.119.76', 3262478156, 3262478156, 'TR', 'Turkey'),
(110318, '194.117.119.77', '194.117.119.77', 3262478157, 3262478157, 'DE', 'Germany'),
(110319, '194.117.119.78', '194.117.119.78', 3262478158, 3262478158, 'IT', 'Italy'),
(110320, '194.117.119.79', '194.117.119.79', 3262478159, 3262478159, 'IL', 'Israel'),
(110321, '194.117.119.80', '194.117.119.80', 3262478160, 3262478160, 'TR', 'Turkey'),
(110322, '194.117.119.81', '194.117.119.81', 3262478161, 3262478161, 'ZW', 'Zimbabwe'),
(110323, '194.117.119.82', '194.117.119.82', 3262478162, 3262478162, 'SA', 'Saudi Arabia'),
(110324, '194.117.119.83', '194.117.119.83', 3262478163, 3262478163, 'FR', 'France'),
(110325, '194.117.119.84', '194.117.119.84', 3262478164, 3262478164, 'ZW', 'Zimbabwe'),
(110326, '194.117.119.85', '194.117.119.85', 3262478165, 3262478165, 'SK', 'Slovakia'),
(110327, '194.117.119.86', '194.117.119.86', 3262478166, 3262478166, 'TR', 'Turkey'),
(110328, '194.117.119.87', '194.117.119.87', 3262478167, 3262478167, 'KZ', 'Kazakhstan'),
(110329, '194.117.119.88', '194.117.119.88', 3262478168, 3262478168, 'ES', 'Spain'),
(110330, '194.117.119.89', '194.117.119.89', 3262478169, 3262478169, 'PL', 'Poland'),
(110331, '194.117.119.90', '194.117.119.91', 3262478170, 3262478171, 'FR', 'France'),
(110332, '194.117.119.92', '194.117.119.92', 3262478172, 3262478172, 'GR', 'Greece'),
(110333, '194.117.119.93', '194.117.119.94', 3262478173, 3262478174, 'TR', 'Turkey'),
(110334, '194.117.119.95', '194.117.119.95', 3262478175, 3262478175, 'DE', 'Germany'),
(110335, '194.117.119.96', '194.117.119.96', 3262478176, 3262478176, 'TR', 'Turkey'),
(110336, '194.117.119.97', '194.117.119.97', 3262478177, 3262478177, 'DE', 'Germany'),
(110337, '194.117.119.98', '194.117.119.98', 3262478178, 3262478178, 'MZ', 'Mozambique'),
(110338, '194.117.119.99', '194.117.119.100', 3262478179, 3262478180, 'TR', 'Turkey'),
(110339, '194.117.119.101', '194.117.119.101', 3262478181, 3262478181, 'CN', 'China'),
(110340, '194.117.119.102', '194.117.119.102', 3262478182, 3262478182, 'ES', 'Spain'),
(110341, '194.117.119.103', '194.117.119.103', 3262478183, 3262478183, 'PL', 'Poland'),
(110342, '194.117.119.104', '194.117.119.104', 3262478184, 3262478184, 'MZ', 'Mozambique'),
(110343, '194.117.119.105', '194.117.119.105', 3262478185, 3262478185, 'PL', 'Poland'),
(110344, '194.117.119.106', '194.117.119.106', 3262478186, 3262478186, 'ES', 'Spain'),
(110345, '194.117.119.107', '194.117.119.107', 3262478187, 3262478187, 'PT', 'Portugal'),
(110346, '194.117.119.108', '194.117.119.108', 3262478188, 3262478188, 'TR', 'Turkey'),
(110347, '194.117.119.109', '194.117.119.109', 3262478189, 3262478189, 'NA', 'Namibia'),
(110348, '194.117.119.110', '194.117.119.110', 3262478190, 3262478190, 'DE', 'Germany'),
(110349, '194.117.119.111', '194.117.119.112', 3262478191, 3262478192, 'ZA', 'South Africa'),
(110350, '194.117.119.113', '194.117.119.114', 3262478193, 3262478194, 'NA', 'Namibia'),
(110351, '194.117.119.115', '194.117.119.127', 3262478195, 3262478207, 'DE', 'Germany'),
(110352, '194.117.119.128', '194.117.119.131', 3262478208, 3262478211, 'ES', 'Spain'),
(110353, '194.117.119.132', '194.117.119.135', 3262478212, 3262478215, 'NL', 'Netherlands'),
(110354, '194.117.119.136', '194.117.119.139', 3262478216, 3262478219, 'FR', 'France'),
(110355, '194.117.119.140', '194.117.119.143', 3262478220, 3262478223, 'SE', 'Sweden'),
(110356, '194.117.119.144', '194.117.119.147', 3262478224, 3262478227, 'GB', 'United Kingdom'),
(110357, '194.117.119.148', '194.117.119.151', 3262478228, 3262478231, 'ES', 'Spain'),
(110358, '194.117.119.152', '194.117.119.155', 3262478232, 3262478235, 'FR', 'France'),
(110359, '194.117.119.156', '194.117.119.159', 3262478236, 3262478239, 'IT', 'Italy'),
(110360, '194.117.119.160', '194.117.119.163', 3262478240, 3262478243, 'FR', 'France'),
(110361, '194.117.119.164', '194.117.119.167', 3262478244, 3262478247, 'DE', 'Germany'),
(110362, '194.117.119.168', '194.117.119.171', 3262478248, 3262478251, 'IT', 'Italy'),
(110363, '194.117.119.172', '194.117.119.175', 3262478252, 3262478255, 'CH', 'Switzerland'),
(110364, '194.117.119.176', '194.117.119.179', 3262478256, 3262478259, 'ES', 'Spain'),
(110365, '194.117.119.180', '194.117.119.183', 3262478260, 3262478263, 'DE', 'Germany'),
(110366, '194.117.119.184', '194.117.119.187', 3262478264, 3262478267, 'IT', 'Italy'),
(110367, '194.117.119.188', '194.117.119.191', 3262478268, 3262478271, 'ES', 'Spain'),
(110368, '194.117.119.192', '194.117.119.195', 3262478272, 3262478275, 'CH', 'Switzerland'),
(110369, '194.117.119.196', '194.117.119.219', 3262478276, 3262478299, 'DE', 'Germany'),
(110370, '194.117.119.220', '194.117.119.223', 3262478300, 3262478303, 'ES', 'Spain'),
(110371, '194.117.119.224', '194.117.119.227', 3262478304, 3262478307, 'PT', 'Portugal'),
(110372, '194.117.119.228', '194.117.119.231', 3262478308, 3262478311, 'ES', 'Spain'),
(110373, '194.117.119.232', '194.117.119.239', 3262478312, 3262478319, 'DE', 'Germany'),
(110374, '194.117.119.240', '194.117.119.243', 3262478320, 3262478323, 'GB', 'United Kingdom'),
(110375, '194.117.119.244', '194.117.119.247', 3262478324, 3262478327, 'BE', 'Belgium'),
(110376, '194.117.119.248', '194.117.119.251', 3262478328, 3262478331, 'ES', 'Spain'),
(110377, '194.117.119.252', '194.117.119.255', 3262478332, 3262478335, 'GB', 'United Kingdom'),
(110378, '194.117.120.0', '194.117.120.1', 3262478336, 3262478337, 'DE', 'Germany'),
(110379, '194.117.120.2', '194.117.120.2', 3262478338, 3262478338, 'PL', 'Poland'),
(110380, '194.117.120.3', '194.117.120.7', 3262478339, 3262478343, 'DE', 'Germany'),
(110381, '194.117.120.8', '194.117.120.8', 3262478344, 3262478344, 'IT', 'Italy'),
(110382, '194.117.120.9', '194.117.120.9', 3262478345, 3262478345, 'CH', 'Switzerland'),
(110383, '194.117.120.10', '194.117.120.10', 3262478346, 3262478346, 'PT', 'Portugal'),
(110384, '194.117.120.11', '194.117.120.11', 3262478347, 3262478347, 'DE', 'Germany'),
(110385, '194.117.120.12', '194.117.120.12', 3262478348, 3262478348, 'DK', 'Denmark'),
(110386, '194.117.120.13', '194.117.120.13', 3262478349, 3262478349, 'BE', 'Belgium'),
(110387, '194.117.120.14', '194.117.120.14', 3262478350, 3262478350, 'AT', 'Austria'),
(110388, '194.117.120.15', '194.117.120.15', 3262478351, 3262478351, 'TR', 'Turkey'),
(110389, '194.117.120.16', '194.117.120.16', 3262478352, 3262478352, 'CH', 'Switzerland'),
(110390, '194.117.120.17', '194.117.120.17', 3262478353, 3262478353, 'DK', 'Denmark'),
(110391, '194.117.120.18', '194.117.120.18', 3262478354, 3262478354, 'FR', 'France'),
(110392, '194.117.120.19', '194.117.120.19', 3262478355, 3262478355, 'DE', 'Germany'),
(110393, '194.117.120.20', '194.117.120.20', 3262478356, 3262478356, 'FR', 'France'),
(110394, '194.117.120.21', '194.117.120.22', 3262478357, 3262478358, 'DE', 'Germany'),
(110395, '194.117.120.23', '194.117.120.24', 3262478359, 3262478360, 'FR', 'France'),
(110396, '194.117.120.25', '194.117.120.25', 3262478361, 3262478361, 'DE', 'Germany'),
(110397, '194.117.120.26', '194.117.120.26', 3262478362, 3262478362, 'FR', 'France'),
(110398, '194.117.120.27', '194.117.120.27', 3262478363, 3262478363, 'CH', 'Switzerland'),
(110399, '194.117.120.28', '194.117.120.28', 3262478364, 3262478364, 'PT', 'Portugal'),
(110400, '194.117.120.29', '194.117.120.30', 3262478365, 3262478366, 'DE', 'Germany'),
(110401, '194.117.120.31', '194.117.120.31', 3262478367, 3262478367, 'HU', 'Hungary'),
(110402, '194.117.120.32', '194.117.120.32', 3262478368, 3262478368, 'DE', 'Germany'),
(110403, '194.117.120.33', '194.117.120.33', 3262478369, 3262478369, 'NO', 'Norway'),
(110404, '194.117.120.34', '194.117.120.34', 3262478370, 3262478370, 'CH', 'Switzerland'),
(110405, '194.117.120.35', '194.117.120.35', 3262478371, 3262478371, 'DE', 'Germany'),
(110406, '194.117.120.36', '194.117.120.37', 3262478372, 3262478373, 'CH', 'Switzerland'),
(110407, '194.117.120.38', '194.117.120.38', 3262478374, 3262478374, 'PT', 'Portugal'),
(110408, '194.117.120.39', '194.117.120.40', 3262478375, 3262478376, 'FR', 'France'),
(110409, '194.117.120.41', '194.117.120.41', 3262478377, 3262478377, 'DE', 'Germany'),
(110410, '194.117.120.42', '194.117.120.42', 3262478378, 3262478378, 'CH', 'Switzerland'),
(110411, '194.117.120.43', '194.117.120.43', 3262478379, 3262478379, 'DE', 'Germany'),
(110412, '194.117.120.44', '194.117.120.45', 3262478380, 3262478381, 'FR', 'France'),
(110413, '194.117.120.46', '194.117.120.46', 3262478382, 3262478382, 'AE', 'United Arab Emirates'),
(110414, '194.117.120.47', '194.117.120.47', 3262478383, 3262478383, 'DE', 'Germany'),
(110415, '194.117.120.48', '194.117.120.48', 3262478384, 3262478384, 'AE', 'United Arab Emirates'),
(110416, '194.117.120.49', '194.117.120.49', 3262478385, 3262478385, 'ZA', 'South Africa'),
(110417, '194.117.120.50', '194.117.120.50', 3262478386, 3262478386, 'DE', 'Germany'),
(110418, '194.117.120.51', '194.117.120.51', 3262478387, 3262478387, 'IT', 'Italy'),
(110419, '194.117.120.52', '194.117.120.52', 3262478388, 3262478388, 'DE', 'Germany'),
(110420, '194.117.120.53', '194.117.120.53', 3262478389, 3262478389, 'CH', 'Switzerland'),
(110421, '194.117.120.54', '194.117.120.54', 3262478390, 3262478390, 'ES', 'Spain'),
(110422, '194.117.120.55', '194.117.120.55', 3262478391, 3262478391, 'HU', 'Hungary'),
(110423, '194.117.120.56', '194.117.120.57', 3262478392, 3262478393, 'DE', 'Germany'),
(110424, '194.117.120.58', '194.117.120.58', 3262478394, 3262478394, 'IT', 'Italy'),
(110425, '194.117.120.59', '194.117.120.60', 3262478395, 3262478396, 'DE', 'Germany'),
(110426, '194.117.120.61', '194.117.120.61', 3262478397, 3262478397, 'PT', 'Portugal'),
(110427, '194.117.120.62', '194.117.120.62', 3262478398, 3262478398, 'HU', 'Hungary'),
(110428, '194.117.120.63', '194.117.120.63', 3262478399, 3262478399, 'DE', 'Germany'),
(110429, '194.117.120.64', '194.117.120.64', 3262478400, 3262478400, 'GB', 'United Kingdom'),
(110430, '194.117.120.65', '194.117.120.65', 3262478401, 3262478401, 'DE', 'Germany'),
(110431, '194.117.120.66', '194.117.120.66', 3262478402, 3262478402, 'IT', 'Italy'),
(110432, '194.117.120.67', '194.117.120.67', 3262478403, 3262478403, 'CZ', 'Czech Republic'),
(110433, '194.117.120.68', '194.117.120.68', 3262478404, 3262478404, 'FI', 'Finland'),
(110434, '194.117.120.69', '194.117.120.70', 3262478405, 3262478406, 'GB', 'United Kingdom'),
(110435, '194.117.120.71', '194.117.120.76', 3262478407, 3262478412, 'DE', 'Germany'),
(110436, '194.117.120.77', '194.117.120.77', 3262478413, 3262478413, 'ES', 'Spain'),
(110437, '194.117.120.78', '194.117.120.78', 3262478414, 3262478414, 'PL', 'Poland'),
(110438, '194.117.120.79', '194.117.120.79', 3262478415, 3262478415, 'SE', 'Sweden'),
(110439, '194.117.120.80', '194.117.120.80', 3262478416, 3262478416, 'SA', 'Saudi Arabia'),
(110440, '194.117.120.81', '194.117.120.81', 3262478417, 3262478417, 'DE', 'Germany'),
(110441, '194.117.120.82', '194.117.120.82', 3262478418, 3262478418, 'AT', 'Austria'),
(110442, '194.117.120.83', '194.117.120.83', 3262478419, 3262478419, 'FR', 'France'),
(110443, '194.117.120.84', '194.117.120.85', 3262478420, 3262478421, 'DE', 'Germany'),
(110444, '194.117.120.86', '194.117.120.86', 3262478422, 3262478422, 'CH', 'Switzerland'),
(110445, '194.117.120.87', '194.117.120.87', 3262478423, 3262478423, 'SA', 'Saudi Arabia'),
(110446, '194.117.120.88', '194.117.120.88', 3262478424, 3262478424, 'FR', 'France'),
(110447, '194.117.120.89', '194.117.120.89', 3262478425, 3262478425, 'IT', 'Italy'),
(110448, '194.117.120.90', '194.117.120.90', 3262478426, 3262478426, 'NO', 'Norway'),
(110449, '194.117.120.91', '194.117.120.92', 3262478427, 3262478428, 'FR', 'France'),
(110450, '194.117.120.93', '194.117.120.93', 3262478429, 3262478429, 'PT', 'Portugal'),
(110451, '194.117.120.94', '194.117.120.94', 3262478430, 3262478430, 'CH', 'Switzerland'),
(110452, '194.117.120.95', '194.117.120.95', 3262478431, 3262478431, 'HU', 'Hungary'),
(110453, '194.117.120.96', '194.117.120.96', 3262478432, 3262478432, 'RE', 'Reunion'),
(110454, '194.117.120.97', '194.117.120.97', 3262478433, 3262478433, 'AT', 'Austria'),
(110455, '194.117.120.98', '194.117.120.98', 3262478434, 3262478434, 'PT', 'Portugal'),
(110456, '194.117.120.99', '194.117.120.99', 3262478435, 3262478435, 'IT', 'Italy'),
(110457, '194.117.120.100', '194.117.120.101', 3262478436, 3262478437, 'DE', 'Germany'),
(110458, '194.117.120.102', '194.117.120.102', 3262478438, 3262478438, 'ZA', 'South Africa'),
(110459, '194.117.120.103', '194.117.120.103', 3262478439, 3262478439, 'DE', 'Germany'),
(110460, '194.117.120.104', '194.117.120.104', 3262478440, 3262478440, 'SE', 'Sweden'),
(110461, '194.117.120.105', '194.117.120.105', 3262478441, 3262478441, 'FR', 'France'),
(110462, '194.117.120.106', '194.117.120.106', 3262478442, 3262478442, 'IT', 'Italy'),
(110463, '194.117.120.107', '194.117.120.107', 3262478443, 3262478443, 'DE', 'Germany'),
(110464, '194.117.120.108', '194.117.120.108', 3262478444, 3262478444, 'AT', 'Austria'),
(110465, '194.117.120.109', '194.117.120.109', 3262478445, 3262478445, 'PT', 'Portugal'),
(110466, '194.117.120.110', '194.117.120.113', 3262478446, 3262478449, 'DE', 'Germany'),
(110467, '194.117.120.114', '194.117.120.114', 3262478450, 3262478450, 'TR', 'Turkey'),
(110468, '194.117.120.115', '194.117.120.115', 3262478451, 3262478451, 'FR', 'France'),
(110469, '194.117.120.116', '194.117.120.116', 3262478452, 3262478452, 'IL', 'Israel'),
(110470, '194.117.120.117', '194.117.120.117', 3262478453, 3262478453, 'DE', 'Germany'),
(110471, '194.117.120.118', '194.117.120.118', 3262478454, 3262478454, 'SE', 'Sweden'),
(110472, '194.117.120.119', '194.117.120.119', 3262478455, 3262478455, 'IT', 'Italy'),
(110473, '194.117.120.120', '194.117.120.120', 3262478456, 3262478456, 'DE', 'Germany'),
(110474, '194.117.120.121', '194.117.120.121', 3262478457, 3262478457, 'GB', 'United Kingdom'),
(110475, '194.117.120.122', '194.117.120.122', 3262478458, 3262478458, 'HU', 'Hungary'),
(110476, '194.117.120.123', '194.117.120.123', 3262478459, 3262478459, 'ES', 'Spain'),
(110477, '194.117.120.124', '194.117.120.124', 3262478460, 3262478460, 'CY', 'Cyprus'),
(110478, '194.117.120.125', '194.117.120.129', 3262478461, 3262478465, 'DE', 'Germany'),
(110479, '194.117.120.130', '194.117.120.130', 3262478466, 3262478466, 'FR', 'France'),
(110480, '194.117.120.131', '194.117.120.131', 3262478467, 3262478467, 'HU', 'Hungary'),
(110481, '194.117.120.132', '194.117.120.132', 3262478468, 3262478468, 'DE', 'Germany'),
(110482, '194.117.120.133', '194.117.120.133', 3262478469, 3262478469, 'FR', 'France'),
(110483, '194.117.120.134', '194.117.120.134', 3262478470, 3262478470, 'DE', 'Germany'),
(110484, '194.117.120.135', '194.117.120.135', 3262478471, 3262478471, 'ES', 'Spain'),
(110485, '194.117.120.136', '194.117.120.136', 3262478472, 3262478472, 'DE', 'Germany'),
(110486, '194.117.120.137', '194.117.120.137', 3262478473, 3262478473, 'FR', 'France'),
(110487, '194.117.120.138', '194.117.120.138', 3262478474, 3262478474, 'HU', 'Hungary'),
(110488, '194.117.120.139', '194.117.120.140', 3262478475, 3262478476, 'DE', 'Germany'),
(110489, '194.117.120.141', '194.117.120.142', 3262478477, 3262478478, 'CH', 'Switzerland'),
(110490, '194.117.120.143', '194.117.120.143', 3262478479, 3262478479, 'DK', 'Denmark'),
(110491, '194.117.120.144', '194.117.120.144', 3262478480, 3262478480, 'DE', 'Germany'),
(110492, '194.117.120.145', '194.117.120.145', 3262478481, 3262478481, 'DK', 'Denmark'),
(110493, '194.117.120.146', '194.117.120.146', 3262478482, 3262478482, 'IT', 'Italy'),
(110494, '194.117.120.147', '194.117.120.147', 3262478483, 3262478483, 'FR', 'France'),
(110495, '194.117.120.148', '194.117.120.148', 3262478484, 3262478484, 'DE', 'Germany'),
(110496, '194.117.120.149', '194.117.120.149', 3262478485, 3262478485, 'CH', 'Switzerland'),
(110497, '194.117.120.150', '194.117.120.151', 3262478486, 3262478487, 'FR', 'France'),
(110498, '194.117.120.152', '194.117.120.152', 3262478488, 3262478488, 'HU', 'Hungary'),
(110499, '194.117.120.153', '194.117.120.153', 3262478489, 3262478489, 'HR', 'Croatia'),
(110500, '194.117.120.154', '194.117.120.154', 3262478490, 3262478490, 'SE', 'Sweden'),
(110501, '194.117.120.155', '194.117.120.155', 3262478491, 3262478491, 'DE', 'Germany'),
(110502, '194.117.120.156', '194.117.120.156', 3262478492, 3262478492, 'CH', 'Switzerland'),
(110503, '194.117.120.157', '194.117.120.157', 3262478493, 3262478493, 'DE', 'Germany'),
(110504, '194.117.120.158', '194.117.120.158', 3262478494, 3262478494, 'FR', 'France'),
(110505, '194.117.120.159', '194.117.120.159', 3262478495, 3262478495, 'DE', 'Germany'),
(110506, '194.117.120.160', '194.117.120.160', 3262478496, 3262478496, 'PT', 'Portugal'),
(110507, '194.117.120.161', '194.117.120.164', 3262478497, 3262478500, 'DE', 'Germany'),
(110508, '194.117.120.165', '194.117.120.165', 3262478501, 3262478501, 'CH', 'Switzerland'),
(110509, '194.117.120.166', '194.117.120.166', 3262478502, 3262478502, 'SE', 'Sweden'),
(110510, '194.117.120.167', '194.117.120.167', 3262478503, 3262478503, 'ZA', 'South Africa'),
(110511, '194.117.120.168', '194.117.120.168', 3262478504, 3262478504, 'FR', 'France'),
(110512, '194.117.120.169', '194.117.120.169', 3262478505, 3262478505, 'IT', 'Italy'),
(110513, '194.117.120.170', '194.117.120.170', 3262478506, 3262478506, 'PT', 'Portugal'),
(110514, '194.117.120.171', '194.117.120.171', 3262478507, 3262478507, 'IT', 'Italy'),
(110515, '194.117.120.172', '194.117.120.172', 3262478508, 3262478508, 'PT', 'Portugal'),
(110516, '194.117.120.173', '194.117.120.173', 3262478509, 3262478509, 'NL', 'Netherlands'),
(110517, '194.117.120.174', '194.117.120.177', 3262478510, 3262478513, 'DE', 'Germany'),
(110518, '194.117.120.178', '194.117.120.178', 3262478514, 3262478514, 'SE', 'Sweden'),
(110519, '194.117.120.179', '194.117.120.179', 3262478515, 3262478515, 'PT', 'Portugal'),
(110520, '194.117.120.180', '194.117.120.183', 3262478516, 3262478519, 'DE', 'Germany'),
(110521, '194.117.120.184', '194.117.120.184', 3262478520, 3262478520, 'CH', 'Switzerland'),
(110522, '194.117.120.185', '194.117.120.185', 3262478521, 3262478521, 'NL', 'Netherlands'),
(110523, '194.117.120.186', '194.117.120.186', 3262478522, 3262478522, 'QA', 'Qatar'),
(110524, '194.117.120.187', '194.117.120.187', 3262478523, 3262478523, 'FR', 'France'),
(110525, '194.117.120.188', '194.117.120.188', 3262478524, 3262478524, 'ES', 'Spain'),
(110526, '194.117.120.189', '194.117.120.190', 3262478525, 3262478526, 'DE', 'Germany'),
(110527, '194.117.120.191', '194.117.120.191', 3262478527, 3262478527, 'ES', 'Spain'),
(110528, '194.117.120.192', '194.117.120.192', 3262478528, 3262478528, 'NL', 'Netherlands'),
(110529, '194.117.120.193', '194.117.120.193', 3262478529, 3262478529, 'ES', 'Spain'),
(110530, '194.117.120.194', '194.117.120.194', 3262478530, 3262478530, 'DE', 'Germany'),
(110531, '194.117.120.195', '194.117.120.195', 3262478531, 3262478531, 'FR', 'France'),
(110532, '194.117.120.196', '194.117.120.200', 3262478532, 3262478536, 'DE', 'Germany'),
(110533, '194.117.120.201', '194.117.120.201', 3262478537, 3262478537, 'HU', 'Hungary'),
(110534, '194.117.120.202', '194.117.120.202', 3262478538, 3262478538, 'DE', 'Germany'),
(110535, '194.117.120.203', '194.117.120.203', 3262478539, 3262478539, 'FI', 'Finland'),
(110536, '194.117.120.204', '194.117.120.204', 3262478540, 3262478540, 'HU', 'Hungary'),
(110537, '194.117.120.205', '194.117.120.206', 3262478541, 3262478542, 'DE', 'Germany'),
(110538, '194.117.120.207', '194.117.120.207', 3262478543, 3262478543, 'AT', 'Austria'),
(110539, '194.117.120.208', '194.117.120.208', 3262478544, 3262478544, 'NL', 'Netherlands'),
(110540, '194.117.120.209', '194.117.120.210', 3262478545, 3262478546, 'DE', 'Germany'),
(110541, '194.117.120.211', '194.117.120.211', 3262478547, 3262478547, 'FR', 'France'),
(110542, '194.117.120.212', '194.117.120.212', 3262478548, 3262478548, 'ES', 'Spain'),
(110543, '194.117.120.213', '194.117.120.213', 3262478549, 3262478549, 'FR', 'France'),
(110544, '194.117.120.214', '194.117.120.214', 3262478550, 3262478550, 'DE', 'Germany'),
(110545, '194.117.120.215', '194.117.120.215', 3262478551, 3262478551, 'PL', 'Poland'),
(110546, '194.117.120.216', '194.117.120.216', 3262478552, 3262478552, 'HU', 'Hungary'),
(110547, '194.117.120.217', '194.117.120.217', 3262478553, 3262478553, 'PL', 'Poland'),
(110548, '194.117.120.218', '194.117.120.218', 3262478554, 3262478554, 'SE', 'Sweden'),
(110549, '194.117.120.219', '194.117.120.219', 3262478555, 3262478555, 'DE', 'Germany'),
(110550, '194.117.120.220', '194.117.120.220', 3262478556, 3262478556, 'GB', 'United Kingdom'),
(110551, '194.117.120.221', '194.117.120.221', 3262478557, 3262478557, 'DE', 'Germany'),
(110552, '194.117.120.222', '194.117.120.222', 3262478558, 3262478558, 'IT', 'Italy'),
(110553, '194.117.120.223', '194.117.120.224', 3262478559, 3262478560, 'DE', 'Germany'),
(110554, '194.117.120.225', '194.117.120.226', 3262478561, 3262478562, 'FR', 'France'),
(110555, '194.117.120.227', '194.117.120.227', 3262478563, 3262478563, 'DK', 'Denmark'),
(110556, '194.117.120.228', '194.117.120.228', 3262478564, 3262478564, 'RU', 'Russian Federation'),
(110557, '194.117.120.229', '194.117.120.230', 3262478565, 3262478566, 'FR', 'France'),
(110558, '194.117.120.231', '194.117.120.231', 3262478567, 3262478567, 'HU', 'Hungary'),
(110559, '194.117.120.232', '194.117.120.232', 3262478568, 3262478568, 'DE', 'Germany'),
(110560, '194.117.120.233', '194.117.120.233', 3262478569, 3262478569, 'TR', 'Turkey'),
(110561, '194.117.120.234', '194.117.120.234', 3262478570, 3262478570, 'FR', 'France'),
(110562, '194.117.120.235', '194.117.121.2', 3262478571, 3262478594, 'DE', 'Germany'),
(110563, '194.117.121.3', '194.117.121.3', 3262478595, 3262478595, 'CH', 'Switzerland'),
(110564, '194.117.121.4', '194.117.121.4', 3262478596, 3262478596, 'PT', 'Portugal'),
(110565, '194.117.121.5', '194.117.121.5', 3262478597, 3262478597, 'SE', 'Sweden'),
(110566, '194.117.121.6', '194.117.121.7', 3262478598, 3262478599, 'DE', 'Germany'),
(110567, '194.117.121.8', '194.117.121.8', 3262478600, 3262478600, 'IT', 'Italy'),
(110568, '194.117.121.9', '194.117.121.9', 3262478601, 3262478601, 'KW', 'Kuwait'),
(110569, '194.117.121.10', '194.117.121.10', 3262478602, 3262478602, 'FR', 'France'),
(110570, '194.117.121.11', '194.117.121.12', 3262478603, 3262478604, 'DE', 'Germany'),
(110571, '194.117.121.13', '194.117.121.13', 3262478605, 3262478605, 'ES', 'Spain'),
(110572, '194.117.121.14', '194.117.121.14', 3262478606, 3262478606, 'FI', 'Finland'),
(110573, '194.117.121.15', '194.117.121.15', 3262478607, 3262478607, 'GR', 'Greece'),
(110574, '194.117.121.16', '194.117.121.16', 3262478608, 3262478608, 'DE', 'Germany'),
(110575, '194.117.121.17', '194.117.121.17', 3262478609, 3262478609, 'IT', 'Italy'),
(110576, '194.117.121.18', '194.117.121.18', 3262478610, 3262478610, 'ES', 'Spain'),
(110577, '194.117.121.19', '194.117.121.19', 3262478611, 3262478611, 'HU', 'Hungary'),
(110578, '194.117.121.20', '194.117.121.28', 3262478612, 3262478620, 'DE', 'Germany'),
(110579, '194.117.121.29', '194.117.121.29', 3262478621, 3262478621, 'SE', 'Sweden'),
(110580, '194.117.121.30', '194.117.121.30', 3262478622, 3262478622, 'TR', 'Turkey'),
(110581, '194.117.121.31', '194.117.121.31', 3262478623, 3262478623, 'ES', 'Spain'),
(110582, '194.117.121.32', '194.117.121.32', 3262478624, 3262478624, 'FR', 'France'),
(110583, '194.117.121.33', '194.117.121.33', 3262478625, 3262478625, 'DE', 'Germany'),
(110584, '194.117.121.34', '194.117.121.34', 3262478626, 3262478626, 'HU', 'Hungary'),
(110585, '194.117.121.35', '194.117.121.35', 3262478627, 3262478627, 'DE', 'Germany'),
(110586, '194.117.121.36', '194.117.121.36', 3262478628, 3262478628, 'HU', 'Hungary'),
(110587, '194.117.121.37', '194.117.121.37', 3262478629, 3262478629, 'DE', 'Germany'),
(110588, '194.117.121.38', '194.117.121.38', 3262478630, 3262478630, 'FR', 'France'),
(110589, '194.117.121.39', '194.117.121.39', 3262478631, 3262478631, 'PL', 'Poland'),
(110590, '194.117.121.40', '194.117.121.40', 3262478632, 3262478632, 'AN', 'Netherlands Antilles'),
(110591, '194.117.121.41', '194.117.121.41', 3262478633, 3262478633, 'AT', 'Austria'),
(110592, '194.117.121.42', '194.117.121.42', 3262478634, 3262478634, 'ES', 'Spain'),
(110593, '194.117.121.43', '194.117.121.43', 3262478635, 3262478635, 'SA', 'Saudi Arabia'),
(110594, '194.117.121.44', '194.117.121.44', 3262478636, 3262478636, 'CH', 'Switzerland'),
(110595, '194.117.121.45', '194.117.121.45', 3262478637, 3262478637, 'GB', 'United Kingdom'),
(110596, '194.117.121.46', '194.117.121.47', 3262478638, 3262478639, 'DE', 'Germany'),
(110597, '194.117.121.48', '194.117.121.48', 3262478640, 3262478640, 'PT', 'Portugal'),
(110598, '194.117.121.49', '194.117.121.49', 3262478641, 3262478641, 'DE', 'Germany'),
(110599, '194.117.121.50', '194.117.121.50', 3262478642, 3262478642, 'CH', 'Switzerland'),
(110600, '194.117.121.51', '194.117.121.51', 3262478643, 3262478643, 'DE', 'Germany'),
(110601, '194.117.121.52', '194.117.121.52', 3262478644, 3262478644, 'ES', 'Spain'),
(110602, '194.117.121.53', '194.117.121.53', 3262478645, 3262478645, 'DE', 'Germany'),
(110603, '194.117.121.54', '194.117.121.54', 3262478646, 3262478646, 'AT', 'Austria'),
(110604, '194.117.121.55', '194.117.121.55', 3262478647, 3262478647, 'FR', 'France'),
(110605, '194.117.121.56', '194.117.121.56', 3262478648, 3262478648, 'PT', 'Portugal'),
(110606, '194.117.121.57', '194.117.121.57', 3262478649, 3262478649, 'CZ', 'Czech Republic'),
(110607, '194.117.121.58', '194.117.121.58', 3262478650, 3262478650, 'ES', 'Spain'),
(110608, '194.117.121.59', '194.117.121.59', 3262478651, 3262478651, 'FR', 'France'),
(110609, '194.117.121.60', '194.117.121.61', 3262478652, 3262478653, 'ES', 'Spain'),
(110610, '194.117.121.62', '194.117.121.63', 3262478654, 3262478655, 'DE', 'Germany'),
(110611, '194.117.121.64', '194.117.121.64', 3262478656, 3262478656, 'PL', 'Poland'),
(110612, '194.117.121.65', '194.117.121.65', 3262478657, 3262478657, 'DE', 'Germany'),
(110613, '194.117.121.66', '194.117.121.66', 3262478658, 3262478658, 'ES', 'Spain'),
(110614, '194.117.121.67', '194.117.121.67', 3262478659, 3262478659, 'DE', 'Germany'),
(110615, '194.117.121.68', '194.117.121.68', 3262478660, 3262478660, 'SK', 'Slovakia'),
(110616, '194.117.121.69', '194.117.121.69', 3262478661, 3262478661, 'BE', 'Belgium'),
(110617, '194.117.121.70', '194.117.121.70', 3262478662, 3262478662, 'TR', 'Turkey'),
(110618, '194.117.121.71', '194.117.121.71', 3262478663, 3262478663, 'AT', 'Austria'),
(110619, '194.117.121.72', '194.117.121.72', 3262478664, 3262478664, 'ES', 'Spain'),
(110620, '194.117.121.73', '194.117.121.73', 3262478665, 3262478665, 'DE', 'Germany'),
(110621, '194.117.121.74', '194.117.121.74', 3262478666, 3262478666, 'AT', 'Austria'),
(110622, '194.117.121.75', '194.117.121.75', 3262478667, 3262478667, 'DE', 'Germany'),
(110623, '194.117.121.76', '194.117.121.76', 3262478668, 3262478668, 'IT', 'Italy'),
(110624, '194.117.121.77', '194.117.121.78', 3262478669, 3262478670, 'DE', 'Germany'),
(110625, '194.117.121.79', '194.117.121.79', 3262478671, 3262478671, 'FR', 'France'),
(110626, '194.117.121.80', '194.117.121.81', 3262478672, 3262478673, 'DE', 'Germany'),
(110627, '194.117.121.82', '194.117.121.82', 3262478674, 3262478674, 'SK', 'Slovakia'),
(110628, '194.117.121.83', '194.117.121.83', 3262478675, 3262478675, 'PL', 'Poland'),
(110629, '194.117.121.84', '194.117.121.84', 3262478676, 3262478676, 'CH', 'Switzerland'),
(110630, '194.117.121.85', '194.117.121.85', 3262478677, 3262478677, 'HU', 'Hungary'),
(110631, '194.117.121.86', '194.117.121.86', 3262478678, 3262478678, 'IT', 'Italy'),
(110632, '194.117.121.87', '194.117.121.87', 3262478679, 3262478679, 'FR', 'France'),
(110633, '194.117.121.88', '194.117.121.88', 3262478680, 3262478680, 'GB', 'United Kingdom'),
(110634, '194.117.121.89', '194.117.121.89', 3262478681, 3262478681, 'ES', 'Spain'),
(110635, '194.117.121.90', '194.117.121.90', 3262478682, 3262478682, 'CH', 'Switzerland'),
(110636, '194.117.121.91', '194.117.121.91', 3262478683, 3262478683, 'IT', 'Italy'),
(110637, '194.117.121.92', '194.117.121.92', 3262478684, 3262478684, 'BE', 'Belgium'),
(110638, '194.117.121.93', '194.117.121.93', 3262478685, 3262478685, 'DE', 'Germany'),
(110639, '194.117.121.94', '194.117.121.94', 3262478686, 3262478686, 'FR', 'France'),
(110640, '194.117.121.95', '194.117.121.95', 3262478687, 3262478687, 'ES', 'Spain'),
(110641, '194.117.121.96', '194.117.121.96', 3262478688, 3262478688, 'TR', 'Turkey'),
(110642, '194.117.121.97', '194.117.121.97', 3262478689, 3262478689, 'GB', 'United Kingdom'),
(110643, '194.117.121.98', '194.117.121.98', 3262478690, 3262478690, 'AT', 'Austria'),
(110644, '194.117.121.99', '194.117.121.99', 3262478691, 3262478691, 'CH', 'Switzerland'),
(110645, '194.117.121.100', '194.117.121.100', 3262478692, 3262478692, 'PL', 'Poland'),
(110646, '194.117.121.101', '194.117.121.101', 3262478693, 3262478693, 'TR', 'Turkey'),
(110647, '194.117.121.102', '194.117.121.102', 3262478694, 3262478694, 'CH', 'Switzerland'),
(110648, '194.117.121.103', '194.117.121.103', 3262478695, 3262478695, 'DE', 'Germany'),
(110649, '194.117.121.104', '194.117.121.104', 3262478696, 3262478696, 'LI', 'Liechtenstein'),
(110650, '194.117.121.105', '194.117.121.105', 3262478697, 3262478697, 'ES', 'Spain'),
(110651, '194.117.121.106', '194.117.121.106', 3262478698, 3262478698, 'IT', 'Italy'),
(110652, '194.117.121.107', '194.117.121.107', 3262478699, 3262478699, 'ES', 'Spain'),
(110653, '194.117.121.108', '194.117.121.108', 3262478700, 3262478700, 'IT', 'Italy'),
(110654, '194.117.121.109', '194.117.121.109', 3262478701, 3262478701, 'DE', 'Germany'),
(110655, '194.117.121.110', '194.117.121.110', 3262478702, 3262478702, 'CH', 'Switzerland'),
(110656, '194.117.121.111', '194.117.121.111', 3262478703, 3262478703, 'FR', 'France'),
(110657, '194.117.121.112', '194.117.121.112', 3262478704, 3262478704, 'IT', 'Italy'),
(110658, '194.117.121.113', '194.117.121.114', 3262478705, 3262478706, 'PT', 'Portugal'),
(110659, '194.117.121.115', '194.117.121.115', 3262478707, 3262478707, 'ES', 'Spain'),
(110660, '194.117.121.116', '194.117.121.129', 3262478708, 3262478721, 'DE', 'Germany'),
(110661, '194.117.121.130', '194.117.121.130', 3262478722, 3262478722, 'FR', 'France'),
(110662, '194.117.121.131', '194.117.121.132', 3262478723, 3262478724, 'DE', 'Germany'),
(110663, '194.117.121.133', '194.117.121.133', 3262478725, 3262478725, 'IT', 'Italy'),
(110664, '194.117.121.134', '194.117.121.134', 3262478726, 3262478726, 'FR', 'France'),
(110665, '194.117.121.135', '194.117.121.135', 3262478727, 3262478727, 'AT', 'Austria'),
(110666, '194.117.121.136', '194.117.121.136', 3262478728, 3262478728, 'NL', 'Netherlands'),
(110667, '194.117.121.137', '194.117.121.137', 3262478729, 3262478729, 'SK', 'Slovakia'),
(110668, '194.117.121.138', '194.117.121.138', 3262478730, 3262478730, 'IT', 'Italy'),
(110669, '194.117.121.139', '194.117.121.139', 3262478731, 3262478731, 'PT', 'Portugal'),
(110670, '194.117.121.140', '194.117.121.140', 3262478732, 3262478732, 'PL', 'Poland'),
(110671, '194.117.121.141', '194.117.121.141', 3262478733, 3262478733, 'SK', 'Slovakia'),
(110672, '194.117.121.142', '194.117.121.143', 3262478734, 3262478735, 'DE', 'Germany'),
(110673, '194.117.121.144', '194.117.121.144', 3262478736, 3262478736, 'HU', 'Hungary'),
(110674, '194.117.121.145', '194.117.121.145', 3262478737, 3262478737, 'ES', 'Spain'),
(110675, '194.117.121.146', '194.117.121.146', 3262478738, 3262478738, 'SK', 'Slovakia'),
(110676, '194.117.121.147', '194.117.121.147', 3262478739, 3262478739, 'SE', 'Sweden'),
(110677, '194.117.121.148', '194.117.121.148', 3262478740, 3262478740, 'FR', 'France'),
(110678, '194.117.121.149', '194.117.121.149', 3262478741, 3262478741, 'DK', 'Denmark'),
(110679, '194.117.121.150', '194.117.121.150', 3262478742, 3262478742, 'CH', 'Switzerland'),
(110680, '194.117.121.151', '194.117.121.151', 3262478743, 3262478743, 'FR', 'France'),
(110681, '194.117.121.152', '194.117.121.152', 3262478744, 3262478744, 'GR', 'Greece'),
(110682, '194.117.121.153', '194.117.121.153', 3262478745, 3262478745, 'IT', 'Italy'),
(110683, '194.117.121.154', '194.117.121.154', 3262478746, 3262478746, 'SE', 'Sweden'),
(110684, '194.117.121.155', '194.117.121.155', 3262478747, 3262478747, 'FR', 'France'),
(110685, '194.117.121.156', '194.117.121.156', 3262478748, 3262478748, 'DE', 'Germany'),
(110686, '194.117.121.157', '194.117.121.159', 3262478749, 3262478751, 'FR', 'France'),
(110687, '194.117.121.160', '194.117.121.160', 3262478752, 3262478752, 'PT', 'Portugal'),
(110688, '194.117.121.161', '194.117.121.161', 3262478753, 3262478753, 'IE', 'Ireland'),
(110689, '194.117.121.162', '194.117.121.162', 3262478754, 3262478754, 'DE', 'Germany'),
(110690, '194.117.121.163', '194.117.121.163', 3262478755, 3262478755, 'DK', 'Denmark'),
(110691, '194.117.121.164', '194.117.121.164', 3262478756, 3262478756, 'DE', 'Germany'),
(110692, '194.117.121.165', '194.117.121.165', 3262478757, 3262478757, 'AT', 'Austria'),
(110693, '194.117.121.166', '194.117.121.166', 3262478758, 3262478758, 'FR', 'France'),
(110694, '194.117.121.167', '194.117.121.167', 3262478759, 3262478759, 'CH', 'Switzerland'),
(110695, '194.117.121.168', '194.117.121.168', 3262478760, 3262478760, 'TR', 'Turkey'),
(110696, '194.117.121.169', '194.117.121.169', 3262478761, 3262478761, 'HU', 'Hungary'),
(110697, '194.117.121.170', '194.117.121.170', 3262478762, 3262478762, 'CY', 'Cyprus'),
(110698, '194.117.121.171', '194.117.121.171', 3262478763, 3262478763, 'ES', 'Spain'),
(110699, '194.117.121.172', '194.117.121.172', 3262478764, 3262478764, 'DE', 'Germany'),
(110700, '194.117.121.173', '194.117.121.174', 3262478765, 3262478766, 'ES', 'Spain'),
(110701, '194.117.121.175', '194.117.121.175', 3262478767, 3262478767, 'PT', 'Portugal'),
(110702, '194.117.121.176', '194.117.121.176', 3262478768, 3262478768, 'PL', 'Poland'),
(110703, '194.117.121.177', '194.117.121.177', 3262478769, 3262478769, 'ES', 'Spain'),
(110704, '194.117.121.178', '194.117.121.178', 3262478770, 3262478770, 'IT', 'Italy'),
(110705, '194.117.121.179', '194.117.121.179', 3262478771, 3262478771, 'SK', 'Slovakia'),
(110706, '194.117.121.180', '194.117.121.180', 3262478772, 3262478772, 'FR', 'France'),
(110707, '194.117.121.181', '194.117.121.181', 3262478773, 3262478773, 'CZ', 'Czech Republic'),
(110708, '194.117.121.182', '194.117.121.182', 3262478774, 3262478774, 'DE', 'Germany'),
(110709, '194.117.121.183', '194.117.121.183', 3262478775, 3262478775, 'CH', 'Switzerland'),
(110710, '194.117.121.184', '194.117.121.184', 3262478776, 3262478776, 'ES', 'Spain'),
(110711, '194.117.121.185', '194.117.121.186', 3262478777, 3262478778, 'IT', 'Italy'),
(110712, '194.117.121.187', '194.117.121.187', 3262478779, 3262478779, 'ES', 'Spain'),
(110713, '194.117.121.188', '194.117.121.188', 3262478780, 3262478780, 'PT', 'Portugal'),
(110714, '194.117.121.189', '194.117.121.189', 3262478781, 3262478781, 'PL', 'Poland'),
(110715, '194.117.121.190', '194.117.121.190', 3262478782, 3262478782, 'MA', 'Morocco'),
(110716, '194.117.121.191', '194.117.121.191', 3262478783, 3262478783, 'ES', 'Spain'),
(110717, '194.117.121.192', '194.117.121.193', 3262478784, 3262478785, 'TR', 'Turkey'),
(110718, '194.117.121.194', '194.117.121.194', 3262478786, 3262478786, 'DE', 'Germany'),
(110719, '194.117.121.195', '194.117.121.195', 3262478787, 3262478787, 'PT', 'Portugal'),
(110720, '194.117.121.196', '194.117.121.196', 3262478788, 3262478788, 'NO', 'Norway'),
(110721, '194.117.121.197', '194.117.121.197', 3262478789, 3262478789, 'GR', 'Greece'),
(110722, '194.117.121.198', '194.117.121.198', 3262478790, 3262478790, 'DE', 'Germany'),
(110723, '194.117.121.199', '194.117.121.199', 3262478791, 3262478791, 'GB', 'United Kingdom'),
(110724, '194.117.121.200', '194.117.121.200', 3262478792, 3262478792, 'PT', 'Portugal'),
(110725, '194.117.121.201', '194.117.121.201', 3262478793, 3262478793, 'FR', 'France'),
(110726, '194.117.121.202', '194.117.121.202', 3262478794, 3262478794, 'PT', 'Portugal'),
(110727, '194.117.121.203', '194.117.121.203', 3262478795, 3262478795, 'PL', 'Poland'),
(110728, '194.117.121.204', '194.117.121.204', 3262478796, 3262478796, 'HU', 'Hungary'),
(110729, '194.117.121.205', '194.117.121.205', 3262478797, 3262478797, 'CY', 'Cyprus'),
(110730, '194.117.121.206', '194.117.121.206', 3262478798, 3262478798, 'IT', 'Italy'),
(110731, '194.117.121.207', '194.117.121.207', 3262478799, 3262478799, 'HU', 'Hungary'),
(110732, '194.117.121.208', '194.117.121.208', 3262478800, 3262478800, 'PL', 'Poland'),
(110733, '194.117.121.209', '194.117.121.209', 3262478801, 3262478801, 'DE', 'Germany'),
(110734, '194.117.121.210', '194.117.121.210', 3262478802, 3262478802, 'IT', 'Italy'),
(110735, '194.117.121.211', '194.117.121.211', 3262478803, 3262478803, 'ES', 'Spain'),
(110736, '194.117.121.212', '194.117.121.212', 3262478804, 3262478804, 'DE', 'Germany'),
(110737, '194.117.121.213', '194.117.121.214', 3262478805, 3262478806, 'GR', 'Greece'),
(110738, '194.117.121.215', '194.117.121.215', 3262478807, 3262478807, 'CH', 'Switzerland'),
(110739, '194.117.121.216', '194.117.121.216', 3262478808, 3262478808, 'HU', 'Hungary'),
(110740, '194.117.121.217', '194.117.121.217', 3262478809, 3262478809, 'TR', 'Turkey'),
(110741, '194.117.121.218', '194.117.121.218', 3262478810, 3262478810, 'CH', 'Switzerland'),
(110742, '194.117.121.219', '194.117.121.219', 3262478811, 3262478811, 'FR', 'France'),
(110743, '194.117.121.220', '194.117.121.220', 3262478812, 3262478812, 'PL', 'Poland'),
(110744, '194.117.121.221', '194.117.121.221', 3262478813, 3262478813, 'LB', 'Lebanon'),
(110745, '194.117.121.222', '194.117.122.3', 3262478814, 3262478851, 'DE', 'Germany'),
(110746, '194.117.122.4', '194.117.122.5', 3262478852, 3262478853, 'CH', 'Switzerland'),
(110747, '194.117.122.6', '194.117.122.7', 3262478854, 3262478855, 'DE', 'Germany'),
(110748, '194.117.122.8', '194.117.122.8', 3262478856, 3262478856, 'FR', 'France'),
(110749, '194.117.122.9', '194.117.122.9', 3262478857, 3262478857, 'LI', 'Liechtenstein'),
(110750, '194.117.122.10', '194.117.122.12', 3262478858, 3262478860, 'DE', 'Germany'),
(110751, '194.117.122.13', '194.117.122.13', 3262478861, 3262478861, 'FR', 'France'),
(110752, '194.117.122.14', '194.117.122.14', 3262478862, 3262478862, 'DE', 'Germany'),
(110753, '194.117.122.15', '194.117.122.15', 3262478863, 3262478863, 'AT', 'Austria'),
(110754, '194.117.122.16', '194.117.122.16', 3262478864, 3262478864, 'NL', 'Netherlands'),
(110755, '194.117.122.17', '194.117.122.17', 3262478865, 3262478865, 'DE', 'Germany'),
(110756, '194.117.122.18', '194.117.122.18', 3262478866, 3262478866, 'CH', 'Switzerland'),
(110757, '194.117.122.19', '194.117.122.19', 3262478867, 3262478867, 'GB', 'United Kingdom'),
(110758, '194.117.122.20', '194.117.122.20', 3262478868, 3262478868, 'IT', 'Italy'),
(110759, '194.117.122.21', '194.117.122.22', 3262478869, 3262478870, 'FR', 'France'),
(110760, '194.117.122.23', '194.117.122.24', 3262478871, 3262478872, 'DE', 'Germany'),
(110761, '194.117.122.25', '194.117.122.25', 3262478873, 3262478873, 'NL', 'Netherlands'),
(110762, '194.117.122.26', '194.117.122.26', 3262478874, 3262478874, 'AT', 'Austria'),
(110763, '194.117.122.27', '194.117.122.27', 3262478875, 3262478875, 'DE', 'Germany'),
(110764, '194.117.122.28', '194.117.122.28', 3262478876, 3262478876, 'GB', 'United Kingdom'),
(110765, '194.117.122.29', '194.117.122.29', 3262478877, 3262478877, 'DE', 'Germany'),
(110766, '194.117.122.30', '194.117.122.30', 3262478878, 3262478878, 'AT', 'Austria'),
(110767, '194.117.122.31', '194.117.122.33', 3262478879, 3262478881, 'DE', 'Germany'),
(110768, '194.117.122.34', '194.117.122.34', 3262478882, 3262478882, 'GR', 'Greece'),
(110769, '194.117.122.35', '194.117.122.38', 3262478883, 3262478886, 'DE', 'Germany'),
(110770, '194.117.122.39', '194.117.122.39', 3262478887, 3262478887, 'NL', 'Netherlands'),
(110771, '194.117.122.40', '194.117.122.40', 3262478888, 3262478888, 'DK', 'Denmark'),
(110772, '194.117.122.41', '194.117.122.42', 3262478889, 3262478890, 'FR', 'France'),
(110773, '194.117.122.43', '194.117.122.45', 3262478891, 3262478893, 'DE', 'Germany'),
(110774, '194.117.122.46', '194.117.122.46', 3262478894, 3262478894, 'AT', 'Austria'),
(110775, '194.117.122.47', '194.117.122.47', 3262478895, 3262478895, 'DE', 'Germany'),
(110776, '194.117.122.48', '194.117.122.48', 3262478896, 3262478896, 'NL', 'Netherlands'),
(110777, '194.117.122.49', '194.117.122.49', 3262478897, 3262478897, 'FR', 'France'),
(110778, '194.117.122.50', '194.117.122.50', 3262478898, 3262478898, 'GB', 'United Kingdom'),
(110779, '194.117.122.51', '194.117.122.51', 3262478899, 3262478899, 'SE', 'Sweden'),
(110780, '194.117.122.52', '194.117.122.52', 3262478900, 3262478900, 'GB', 'United Kingdom'),
(110781, '194.117.122.53', '194.117.122.53', 3262478901, 3262478901, 'DE', 'Germany'),
(110782, '194.117.122.54', '194.117.122.54', 3262478902, 3262478902, 'IT', 'Italy'),
(110783, '194.117.122.55', '194.117.122.56', 3262478903, 3262478904, 'DE', 'Germany'),
(110784, '194.117.122.57', '194.117.122.57', 3262478905, 3262478905, 'SE', 'Sweden'),
(110785, '194.117.122.58', '194.117.122.61', 3262478906, 3262478909, 'DE', 'Germany'),
(110786, '194.117.122.62', '194.117.122.62', 3262478910, 3262478910, 'DK', 'Denmark'),
(110787, '194.117.122.63', '194.117.122.63', 3262478911, 3262478911, 'BH', 'Bahrain'),
(110788, '194.117.122.64', '194.117.122.64', 3262478912, 3262478912, 'NL', 'Netherlands'),
(110789, '194.117.122.65', '194.117.122.65', 3262478913, 3262478913, 'FR', 'France'),
(110790, '194.117.122.66', '194.117.122.66', 3262478914, 3262478914, 'DE', 'Germany'),
(110791, '194.117.122.67', '194.117.122.67', 3262478915, 3262478915, 'NL', 'Netherlands'),
(110792, '194.117.122.68', '194.117.122.72', 3262478916, 3262478920, 'DE', 'Germany'),
(110793, '194.117.122.73', '194.117.122.73', 3262478921, 3262478921, 'AT', 'Austria'),
(110794, '194.117.122.74', '194.117.122.76', 3262478922, 3262478924, 'DE', 'Germany'),
(110795, '194.117.122.77', '194.117.122.77', 3262478925, 3262478925, 'NL', 'Netherlands'),
(110796, '194.117.122.78', '194.117.122.78', 3262478926, 3262478926, 'AT', 'Austria'),
(110797, '194.117.122.79', '194.117.122.79', 3262478927, 3262478927, 'DE', 'Germany'),
(110798, '194.117.122.80', '194.117.122.80', 3262478928, 3262478928, 'DK', 'Denmark'),
(110799, '194.117.122.81', '194.117.122.81', 3262478929, 3262478929, 'GB', 'United Kingdom'),
(110800, '194.117.122.82', '194.117.122.83', 3262478930, 3262478931, 'DE', 'Germany'),
(110801, '194.117.122.84', '194.117.122.84', 3262478932, 3262478932, 'CH', 'Switzerland'),
(110802, '194.117.122.85', '194.117.122.87', 3262478933, 3262478935, 'DE', 'Germany'),
(110803, '194.117.122.88', '194.117.122.89', 3262478936, 3262478937, 'CH', 'Switzerland'),
(110804, '194.117.122.90', '194.117.122.90', 3262478938, 3262478938, 'NL', 'Netherlands'),
(110805, '194.117.122.91', '194.117.122.91', 3262478939, 3262478939, 'GB', 'United Kingdom'),
(110806, '194.117.122.92', '194.117.122.92', 3262478940, 3262478940, 'NL', 'Netherlands'),
(110807, '194.117.122.93', '194.117.122.93', 3262478941, 3262478941, 'DE', 'Germany'),
(110808, '194.117.122.94', '194.117.122.94', 3262478942, 3262478942, 'BE', 'Belgium'),
(110809, '194.117.122.95', '194.117.122.95', 3262478943, 3262478943, 'SI', 'Slovenia'),
(110810, '194.117.122.96', '194.117.122.97', 3262478944, 3262478945, 'DE', 'Germany'),
(110811, '194.117.122.98', '194.117.122.98', 3262478946, 3262478946, 'IE', 'Ireland'),
(110812, '194.117.122.99', '194.117.122.99', 3262478947, 3262478947, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(110813, '194.117.122.100', '194.117.122.100', 3262478948, 3262478948, 'IT', 'Italy'),
(110814, '194.117.122.101', '194.117.122.101', 3262478949, 3262478949, 'SE', 'Sweden'),
(110815, '194.117.122.102', '194.117.122.106', 3262478950, 3262478954, 'DE', 'Germany'),
(110816, '194.117.122.107', '194.117.122.107', 3262478955, 3262478955, 'FR', 'France'),
(110817, '194.117.122.108', '194.117.122.108', 3262478956, 3262478956, 'DE', 'Germany'),
(110818, '194.117.122.109', '194.117.122.109', 3262478957, 3262478957, 'PT', 'Portugal'),
(110819, '194.117.122.110', '194.117.122.110', 3262478958, 3262478958, 'SE', 'Sweden'),
(110820, '194.117.122.111', '194.117.122.113', 3262478959, 3262478961, 'NL', 'Netherlands'),
(110821, '194.117.122.114', '194.117.122.115', 3262478962, 3262478963, 'DE', 'Germany'),
(110822, '194.117.122.116', '194.117.122.116', 3262478964, 3262478964, 'CH', 'Switzerland'),
(110823, '194.117.122.117', '194.117.122.118', 3262478965, 3262478966, 'DE', 'Germany'),
(110824, '194.117.122.119', '194.117.122.119', 3262478967, 3262478967, 'NL', 'Netherlands'),
(110825, '194.117.122.120', '194.117.122.120', 3262478968, 3262478968, 'ES', 'Spain'),
(110826, '194.117.122.121', '194.117.122.121', 3262478969, 3262478969, 'DE', 'Germany'),
(110827, '194.117.122.122', '194.117.122.122', 3262478970, 3262478970, 'BE', 'Belgium'),
(110828, '194.117.122.123', '194.117.122.123', 3262478971, 3262478971, 'DE', 'Germany'),
(110829, '194.117.122.124', '194.117.122.124', 3262478972, 3262478972, 'NO', 'Norway'),
(110830, '194.117.122.125', '194.117.122.125', 3262478973, 3262478973, 'CH', 'Switzerland'),
(110831, '194.117.122.126', '194.117.122.126', 3262478974, 3262478974, 'GB', 'United Kingdom'),
(110832, '194.117.122.127', '194.117.122.132', 3262478975, 3262478980, 'DE', 'Germany'),
(110833, '194.117.122.133', '194.117.122.133', 3262478981, 3262478981, 'IT', 'Italy'),
(110834, '194.117.122.134', '194.117.122.134', 3262478982, 3262478982, 'DE', 'Germany'),
(110835, '194.117.122.135', '194.117.122.135', 3262478983, 3262478983, 'NL', 'Netherlands'),
(110836, '194.117.122.136', '194.117.122.136', 3262478984, 3262478984, 'CH', 'Switzerland'),
(110837, '194.117.122.137', '194.117.122.137', 3262478985, 3262478985, 'PT', 'Portugal'),
(110838, '194.117.122.138', '194.117.122.138', 3262478986, 3262478986, 'DE', 'Germany'),
(110839, '194.117.122.139', '194.117.122.139', 3262478987, 3262478987, 'GB', 'United Kingdom'),
(110840, '194.117.122.140', '194.117.122.140', 3262478988, 3262478988, 'IE', 'Ireland'),
(110841, '194.117.122.141', '194.117.122.141', 3262478989, 3262478989, 'NL', 'Netherlands'),
(110842, '194.117.122.142', '194.117.122.142', 3262478990, 3262478990, 'DE', 'Germany'),
(110843, '194.117.122.143', '194.117.122.144', 3262478991, 3262478992, 'FR', 'France'),
(110844, '194.117.122.145', '194.117.122.145', 3262478993, 3262478993, 'NL', 'Netherlands'),
(110845, '194.117.122.146', '194.117.122.149', 3262478994, 3262478997, 'DE', 'Germany'),
(110846, '194.117.122.150', '194.117.122.150', 3262478998, 3262478998, 'GB', 'United Kingdom'),
(110847, '194.117.122.151', '194.117.122.151', 3262478999, 3262478999, 'AT', 'Austria'),
(110848, '194.117.122.152', '194.117.122.152', 3262479000, 3262479000, 'CH', 'Switzerland'),
(110849, '194.117.122.153', '194.117.122.153', 3262479001, 3262479001, 'AT', 'Austria'),
(110850, '194.117.122.154', '194.117.122.154', 3262479002, 3262479002, 'DE', 'Germany'),
(110851, '194.117.122.155', '194.117.122.155', 3262479003, 3262479003, 'FR', 'France'),
(110852, '194.117.122.156', '194.117.122.159', 3262479004, 3262479007, 'DE', 'Germany'),
(110853, '194.117.122.160', '194.117.122.160', 3262479008, 3262479008, 'NL', 'Netherlands'),
(110854, '194.117.122.161', '194.117.122.161', 3262479009, 3262479009, 'NO', 'Norway'),
(110855, '194.117.122.162', '194.117.122.163', 3262479010, 3262479011, 'NL', 'Netherlands'),
(110856, '194.117.122.164', '194.117.122.164', 3262479012, 3262479012, 'DE', 'Germany'),
(110857, '194.117.122.165', '194.117.122.165', 3262479013, 3262479013, 'NL', 'Netherlands'),
(110858, '194.117.122.166', '194.117.122.166', 3262479014, 3262479014, 'ES', 'Spain'),
(110859, '194.117.122.167', '194.117.122.167', 3262479015, 3262479015, 'CH', 'Switzerland'),
(110860, '194.117.122.168', '194.117.122.168', 3262479016, 3262479016, 'SE', 'Sweden'),
(110861, '194.117.122.169', '194.117.122.169', 3262479017, 3262479017, 'DK', 'Denmark'),
(110862, '194.117.122.170', '194.117.122.170', 3262479018, 3262479018, 'IT', 'Italy'),
(110863, '194.117.122.171', '194.117.122.171', 3262479019, 3262479019, 'DE', 'Germany'),
(110864, '194.117.122.172', '194.117.122.174', 3262479020, 3262479022, 'CH', 'Switzerland'),
(110865, '194.117.122.175', '194.117.122.176', 3262479023, 3262479024, 'DE', 'Germany'),
(110866, '194.117.122.177', '194.117.122.177', 3262479025, 3262479025, 'NL', 'Netherlands'),
(110867, '194.117.122.178', '194.117.122.179', 3262479026, 3262479027, 'DE', 'Germany'),
(110868, '194.117.122.180', '194.117.122.180', 3262479028, 3262479028, 'CH', 'Switzerland'),
(110869, '194.117.122.181', '194.117.122.181', 3262479029, 3262479029, 'DE', 'Germany'),
(110870, '194.117.122.182', '194.117.122.182', 3262479030, 3262479030, 'ES', 'Spain'),
(110871, '194.117.122.183', '194.117.122.183', 3262479031, 3262479031, 'AT', 'Austria'),
(110872, '194.117.122.184', '194.117.122.188', 3262479032, 3262479036, 'DE', 'Germany'),
(110873, '194.117.122.189', '194.117.122.189', 3262479037, 3262479037, 'AT', 'Austria'),
(110874, '194.117.122.190', '194.117.122.190', 3262479038, 3262479038, 'DK', 'Denmark'),
(110875, '194.117.122.191', '194.117.122.191', 3262479039, 3262479039, 'DE', 'Germany'),
(110876, '194.117.122.192', '194.117.122.192', 3262479040, 3262479040, 'NL', 'Netherlands'),
(110877, '194.117.122.193', '194.117.122.193', 3262479041, 3262479041, 'CH', 'Switzerland'),
(110878, '194.117.122.194', '194.117.122.194', 3262479042, 3262479042, 'DK', 'Denmark'),
(110879, '194.117.122.195', '194.117.122.195', 3262479043, 3262479043, 'FR', 'France'),
(110880, '194.117.122.196', '194.117.122.196', 3262479044, 3262479044, 'DE', 'Germany'),
(110881, '194.117.122.197', '194.117.122.197', 3262479045, 3262479045, 'IT', 'Italy'),
(110882, '194.117.122.198', '194.117.122.198', 3262479046, 3262479046, 'DE', 'Germany'),
(110883, '194.117.122.199', '194.117.122.199', 3262479047, 3262479047, 'AT', 'Austria'),
(110884, '194.117.122.200', '194.117.122.200', 3262479048, 3262479048, 'NL', 'Netherlands'),
(110885, '194.117.122.201', '194.117.122.202', 3262479049, 3262479050, 'DE', 'Germany'),
(110886, '194.117.122.203', '194.117.122.203', 3262479051, 3262479051, 'GB', 'United Kingdom'),
(110887, '194.117.122.204', '194.117.122.204', 3262479052, 3262479052, 'DE', 'Germany'),
(110888, '194.117.122.205', '194.117.122.205', 3262479053, 3262479053, 'NL', 'Netherlands'),
(110889, '194.117.122.206', '194.117.122.208', 3262479054, 3262479056, 'DE', 'Germany'),
(110890, '194.117.122.209', '194.117.122.209', 3262479057, 3262479057, 'GB', 'United Kingdom'),
(110891, '194.117.122.210', '194.117.122.210', 3262479058, 3262479058, 'FR', 'France'),
(110892, '194.117.122.211', '194.117.122.211', 3262479059, 3262479059, 'IT', 'Italy'),
(110893, '194.117.122.212', '194.117.122.214', 3262479060, 3262479062, 'DE', 'Germany'),
(110894, '194.117.122.215', '194.117.122.215', 3262479063, 3262479063, 'CH', 'Switzerland'),
(110895, '194.117.122.216', '194.117.122.216', 3262479064, 3262479064, 'FR', 'France'),
(110896, '194.117.122.217', '194.117.122.217', 3262479065, 3262479065, 'DE', 'Germany'),
(110897, '194.117.122.218', '194.117.122.218', 3262479066, 3262479066, 'IT', 'Italy'),
(110898, '194.117.122.219', '194.117.122.219', 3262479067, 3262479067, 'DE', 'Germany'),
(110899, '194.117.122.220', '194.117.122.220', 3262479068, 3262479068, 'ES', 'Spain'),
(110900, '194.117.122.221', '194.117.122.221', 3262479069, 3262479069, 'FR', 'France'),
(110901, '194.117.122.222', '194.117.122.222', 3262479070, 3262479070, 'ES', 'Spain'),
(110902, '194.117.122.223', '194.117.122.226', 3262479071, 3262479074, 'DE', 'Germany'),
(110903, '194.117.122.227', '194.117.122.227', 3262479075, 3262479075, 'CH', 'Switzerland'),
(110904, '194.117.122.228', '194.117.122.228', 3262479076, 3262479076, 'BE', 'Belgium'),
(110905, '194.117.122.229', '194.117.122.229', 3262479077, 3262479077, 'DE', 'Germany'),
(110906, '194.117.122.230', '194.117.122.230', 3262479078, 3262479078, 'IT', 'Italy'),
(110907, '194.117.122.231', '194.117.122.231', 3262479079, 3262479079, 'ES', 'Spain'),
(110908, '194.117.122.232', '194.117.122.232', 3262479080, 3262479080, 'LU', 'Luxembourg'),
(110909, '194.117.122.233', '194.117.122.233', 3262479081, 3262479081, 'CH', 'Switzerland'),
(110910, '194.117.122.234', '194.117.122.234', 3262479082, 3262479082, 'IT', 'Italy'),
(110911, '194.117.122.235', '194.117.122.235', 3262479083, 3262479083, 'NL', 'Netherlands'),
(110912, '194.117.122.236', '194.117.122.236', 3262479084, 3262479084, 'CH', 'Switzerland'),
(110913, '194.117.122.237', '194.117.122.237', 3262479085, 3262479085, 'IT', 'Italy'),
(110914, '194.117.122.238', '194.117.122.238', 3262479086, 3262479086, 'FR', 'France'),
(110915, '194.117.122.239', '194.117.122.240', 3262479087, 3262479088, 'DE', 'Germany'),
(110916, '194.117.122.241', '194.117.122.241', 3262479089, 3262479089, 'CH', 'Switzerland'),
(110917, '194.117.122.242', '194.117.122.242', 3262479090, 3262479090, 'FR', 'France'),
(110918, '194.117.122.243', '194.117.122.243', 3262479091, 3262479091, 'DE', 'Germany'),
(110919, '194.117.122.244', '194.117.122.244', 3262479092, 3262479092, 'IT', 'Italy'),
(110920, '194.117.122.245', '194.117.122.245', 3262479093, 3262479093, 'FR', 'France'),
(110921, '194.117.122.246', '194.117.122.247', 3262479094, 3262479095, 'GB', 'United Kingdom'),
(110922, '194.117.122.248', '194.117.122.248', 3262479096, 3262479096, 'ES', 'Spain'),
(110923, '194.117.122.249', '194.117.122.249', 3262479097, 3262479097, 'FR', 'France'),
(110924, '194.117.122.250', '194.117.122.250', 3262479098, 3262479098, 'GB', 'United Kingdom'),
(110925, '194.117.122.251', '194.117.122.251', 3262479099, 3262479099, 'DE', 'Germany'),
(110926, '194.117.122.252', '194.117.122.252', 3262479100, 3262479100, 'DK', 'Denmark'),
(110927, '194.117.122.253', '194.117.122.253', 3262479101, 3262479101, 'CH', 'Switzerland'),
(110928, '194.117.122.254', '194.117.122.254', 3262479102, 3262479102, 'IT', 'Italy'),
(110929, '194.117.122.255', '194.117.123.1', 3262479103, 3262479105, 'DE', 'Germany'),
(110930, '194.117.123.2', '194.117.123.2', 3262479106, 3262479106, 'ES', 'Spain'),
(110931, '194.117.123.3', '194.117.123.3', 3262479107, 3262479107, 'IT', 'Italy'),
(110932, '194.117.123.4', '194.117.123.4', 3262479108, 3262479108, 'AT', 'Austria'),
(110933, '194.117.123.5', '194.117.123.5', 3262479109, 3262479109, 'FR', 'France'),
(110934, '194.117.123.6', '194.117.123.6', 3262479110, 3262479110, 'DE', 'Germany'),
(110935, '194.117.123.7', '194.117.123.7', 3262479111, 3262479111, 'LU', 'Luxembourg'),
(110936, '194.117.123.8', '194.117.123.11', 3262479112, 3262479115, 'DE', 'Germany'),
(110937, '194.117.123.12', '194.117.123.12', 3262479116, 3262479116, 'IT', 'Italy'),
(110938, '194.117.123.13', '194.117.123.13', 3262479117, 3262479117, 'CH', 'Switzerland'),
(110939, '194.117.123.14', '194.117.123.14', 3262479118, 3262479118, 'GR', 'Greece'),
(110940, '194.117.123.15', '194.117.123.16', 3262479119, 3262479120, 'DE', 'Germany'),
(110941, '194.117.123.17', '194.117.123.17', 3262479121, 3262479121, 'ES', 'Spain'),
(110942, '194.117.123.18', '194.117.123.18', 3262479122, 3262479122, 'FR', 'France'),
(110943, '194.117.123.19', '194.117.123.19', 3262479123, 3262479123, 'DE', 'Germany'),
(110944, '194.117.123.20', '194.117.123.20', 3262479124, 3262479124, 'FR', 'France'),
(110945, '194.117.123.21', '194.117.123.21', 3262479125, 3262479125, 'IL', 'Israel'),
(110946, '194.117.123.22', '194.117.123.26', 3262479126, 3262479130, 'DE', 'Germany'),
(110947, '194.117.123.27', '194.117.123.27', 3262479131, 3262479131, 'NL', 'Netherlands'),
(110948, '194.117.123.28', '194.117.123.28', 3262479132, 3262479132, 'AT', 'Austria'),
(110949, '194.117.123.29', '194.117.123.29', 3262479133, 3262479133, 'NL', 'Netherlands'),
(110950, '194.117.123.30', '194.117.123.30', 3262479134, 3262479134, 'ES', 'Spain'),
(110951, '194.117.123.31', '194.117.123.35', 3262479135, 3262479139, 'DE', 'Germany'),
(110952, '194.117.123.36', '194.117.123.36', 3262479140, 3262479140, 'NL', 'Netherlands'),
(110953, '194.117.123.37', '194.117.123.38', 3262479141, 3262479142, 'DE', 'Germany'),
(110954, '194.117.123.39', '194.117.123.39', 3262479143, 3262479143, 'GB', 'United Kingdom'),
(110955, '194.117.123.40', '194.117.123.40', 3262479144, 3262479144, 'CH', 'Switzerland'),
(110956, '194.117.123.41', '194.117.123.41', 3262479145, 3262479145, 'NO', 'Norway'),
(110957, '194.117.123.42', '194.117.123.42', 3262479146, 3262479146, 'DE', 'Germany'),
(110958, '194.117.123.43', '194.117.123.43', 3262479147, 3262479147, 'IT', 'Italy'),
(110959, '194.117.123.44', '194.117.123.45', 3262479148, 3262479149, 'ES', 'Spain'),
(110960, '194.117.123.46', '194.117.123.47', 3262479150, 3262479151, 'DE', 'Germany'),
(110961, '194.117.123.48', '194.117.123.48', 3262479152, 3262479152, 'NL', 'Netherlands'),
(110962, '194.117.123.49', '194.117.123.49', 3262479153, 3262479153, 'DE', 'Germany'),
(110963, '194.117.123.50', '194.117.123.50', 3262479154, 3262479154, 'FR', 'France'),
(110964, '194.117.123.51', '194.117.123.51', 3262479155, 3262479155, 'NL', 'Netherlands'),
(110965, '194.117.123.52', '194.117.123.52', 3262479156, 3262479156, 'DE', 'Germany'),
(110966, '194.117.123.53', '194.117.123.53', 3262479157, 3262479157, 'ES', 'Spain'),
(110967, '194.117.123.54', '194.117.123.54', 3262479158, 3262479158, 'DE', 'Germany'),
(110968, '194.117.123.55', '194.117.123.55', 3262479159, 3262479159, 'FR', 'France'),
(110969, '194.117.123.56', '194.117.123.56', 3262479160, 3262479160, 'DE', 'Germany'),
(110970, '194.117.123.57', '194.117.123.57', 3262479161, 3262479161, 'FR', 'France'),
(110971, '194.117.123.58', '194.117.123.58', 3262479162, 3262479162, 'DE', 'Germany'),
(110972, '194.117.123.59', '194.117.123.59', 3262479163, 3262479163, 'FR', 'France'),
(110973, '194.117.123.60', '194.117.123.60', 3262479164, 3262479164, 'DE', 'Germany'),
(110974, '194.117.123.61', '194.117.123.63', 3262479165, 3262479167, 'CH', 'Switzerland'),
(110975, '194.117.123.64', '194.117.123.64', 3262479168, 3262479168, 'DE', 'Germany'),
(110976, '194.117.123.65', '194.117.123.65', 3262479169, 3262479169, 'IT', 'Italy'),
(110977, '194.117.123.66', '194.117.123.66', 3262479170, 3262479170, 'CH', 'Switzerland'),
(110978, '194.117.123.67', '194.117.123.67', 3262479171, 3262479171, 'ES', 'Spain'),
(110979, '194.117.123.68', '194.117.123.70', 3262479172, 3262479174, 'DE', 'Germany'),
(110980, '194.117.123.71', '194.117.123.71', 3262479175, 3262479175, 'FR', 'France'),
(110981, '194.117.123.72', '194.117.123.74', 3262479176, 3262479178, 'DE', 'Germany'),
(110982, '194.117.123.75', '194.117.123.75', 3262479179, 3262479179, 'AT', 'Austria'),
(110983, '194.117.123.76', '194.117.123.76', 3262479180, 3262479180, 'NL', 'Netherlands'),
(110984, '194.117.123.77', '194.117.123.77', 3262479181, 3262479181, 'DE', 'Germany'),
(110985, '194.117.123.78', '194.117.123.78', 3262479182, 3262479182, 'LU', 'Luxembourg'),
(110986, '194.117.123.79', '194.117.123.79', 3262479183, 3262479183, 'DK', 'Denmark'),
(110987, '194.117.123.80', '194.117.123.80', 3262479184, 3262479184, 'CH', 'Switzerland'),
(110988, '194.117.123.81', '194.117.123.81', 3262479185, 3262479185, 'IT', 'Italy'),
(110989, '194.117.123.82', '194.117.123.82', 3262479186, 3262479186, 'ES', 'Spain'),
(110990, '194.117.123.83', '194.117.123.83', 3262479187, 3262479187, 'DE', 'Germany'),
(110991, '194.117.123.84', '194.117.123.84', 3262479188, 3262479188, 'CH', 'Switzerland'),
(110992, '194.117.123.85', '194.117.123.85', 3262479189, 3262479189, 'ES', 'Spain'),
(110993, '194.117.123.86', '194.117.123.87', 3262479190, 3262479191, 'IT', 'Italy'),
(110994, '194.117.123.88', '194.117.123.88', 3262479192, 3262479192, 'FR', 'France'),
(110995, '194.117.123.89', '194.117.123.89', 3262479193, 3262479193, 'GB', 'United Kingdom'),
(110996, '194.117.123.90', '194.117.123.90', 3262479194, 3262479194, 'DE', 'Germany'),
(110997, '194.117.123.91', '194.117.123.91', 3262479195, 3262479195, 'BE', 'Belgium'),
(110998, '194.117.123.92', '194.117.123.92', 3262479196, 3262479196, 'DE', 'Germany'),
(110999, '194.117.123.93', '194.117.123.93', 3262479197, 3262479197, 'GB', 'United Kingdom'),
(111000, '194.117.123.94', '194.117.123.95', 3262479198, 3262479199, 'DE', 'Germany'),
(111001, '194.117.123.96', '194.117.123.96', 3262479200, 3262479200, 'NL', 'Netherlands'),
(111002, '194.117.123.97', '194.117.123.97', 3262479201, 3262479201, 'HU', 'Hungary'),
(111003, '194.117.123.98', '194.117.123.98', 3262479202, 3262479202, 'FR', 'France'),
(111004, '194.117.123.99', '194.117.123.104', 3262479203, 3262479208, 'DE', 'Germany'),
(111005, '194.117.123.105', '194.117.123.105', 3262479209, 3262479209, 'ES', 'Spain'),
(111006, '194.117.123.106', '194.117.123.108', 3262479210, 3262479212, 'DE', 'Germany'),
(111007, '194.117.123.109', '194.117.123.109', 3262479213, 3262479213, 'NO', 'Norway'),
(111008, '194.117.123.110', '194.117.123.110', 3262479214, 3262479214, 'DE', 'Germany'),
(111009, '194.117.123.111', '194.117.123.111', 3262479215, 3262479215, 'IT', 'Italy'),
(111010, '194.117.123.112', '194.117.123.115', 3262479216, 3262479219, 'DE', 'Germany'),
(111011, '194.117.123.116', '194.117.123.116', 3262479220, 3262479220, 'NL', 'Netherlands'),
(111012, '194.117.123.117', '194.117.123.119', 3262479221, 3262479223, 'DE', 'Germany'),
(111013, '194.117.123.120', '194.117.123.120', 3262479224, 3262479224, 'BE', 'Belgium'),
(111014, '194.117.123.121', '194.117.123.121', 3262479225, 3262479225, 'FR', 'France'),
(111015, '194.117.123.122', '194.117.123.122', 3262479226, 3262479226, 'DE', 'Germany'),
(111016, '194.117.123.123', '194.117.123.123', 3262479227, 3262479227, 'NL', 'Netherlands'),
(111017, '194.117.123.124', '194.117.123.124', 3262479228, 3262479228, 'DK', 'Denmark'),
(111018, '194.117.123.125', '194.117.123.129', 3262479229, 3262479233, 'DE', 'Germany'),
(111019, '194.117.123.130', '194.117.123.130', 3262479234, 3262479234, 'GB', 'United Kingdom'),
(111020, '194.117.123.131', '194.117.123.132', 3262479235, 3262479236, 'DE', 'Germany'),
(111021, '194.117.123.133', '194.117.123.134', 3262479237, 3262479238, 'NL', 'Netherlands'),
(111022, '194.117.123.135', '194.117.123.135', 3262479239, 3262479239, 'FR', 'France'),
(111023, '194.117.123.136', '194.117.123.136', 3262479240, 3262479240, 'DE', 'Germany'),
(111024, '194.117.123.137', '194.117.123.138', 3262479241, 3262479242, 'FR', 'France'),
(111025, '194.117.123.139', '194.117.123.139', 3262479243, 3262479243, 'NL', 'Netherlands'),
(111026, '194.117.123.140', '194.117.123.140', 3262479244, 3262479244, 'IT', 'Italy'),
(111027, '194.117.123.141', '194.117.123.145', 3262479245, 3262479249, 'DE', 'Germany'),
(111028, '194.117.123.146', '194.117.123.146', 3262479250, 3262479250, 'AT', 'Austria'),
(111029, '194.117.123.147', '194.117.123.148', 3262479251, 3262479252, 'DE', 'Germany'),
(111030, '194.117.123.149', '194.117.123.149', 3262479253, 3262479253, 'NL', 'Netherlands'),
(111031, '194.117.123.150', '194.117.123.150', 3262479254, 3262479254, 'FR', 'France'),
(111032, '194.117.123.151', '194.117.123.151', 3262479255, 3262479255, 'DE', 'Germany'),
(111033, '194.117.123.152', '194.117.123.152', 3262479256, 3262479256, 'IT', 'Italy'),
(111034, '194.117.123.153', '194.117.123.153', 3262479257, 3262479257, 'US', 'United States'),
(111035, '194.117.123.154', '194.117.123.157', 3262479258, 3262479261, 'DE', 'Germany'),
(111036, '194.117.123.158', '194.117.123.158', 3262479262, 3262479262, 'CH', 'Switzerland'),
(111037, '194.117.123.159', '194.117.123.160', 3262479263, 3262479264, 'DE', 'Germany'),
(111038, '194.117.123.161', '194.117.123.161', 3262479265, 3262479265, 'CH', 'Switzerland'),
(111039, '194.117.123.162', '194.117.123.162', 3262479266, 3262479266, 'FR', 'France'),
(111040, '194.117.123.163', '194.117.123.163', 3262479267, 3262479267, 'DE', 'Germany'),
(111041, '194.117.123.164', '194.117.123.164', 3262479268, 3262479268, 'NL', 'Netherlands'),
(111042, '194.117.123.165', '194.117.123.165', 3262479269, 3262479269, 'DE', 'Germany'),
(111043, '194.117.123.166', '194.117.123.167', 3262479270, 3262479271, 'DK', 'Denmark'),
(111044, '194.117.123.168', '194.117.123.168', 3262479272, 3262479272, 'IT', 'Italy'),
(111045, '194.117.123.169', '194.117.123.169', 3262479273, 3262479273, 'DE', 'Germany'),
(111046, '194.117.123.170', '194.117.123.170', 3262479274, 3262479274, 'ES', 'Spain'),
(111047, '194.117.123.171', '194.117.123.171', 3262479275, 3262479275, 'IT', 'Italy'),
(111048, '194.117.123.172', '194.117.123.172', 3262479276, 3262479276, 'DE', 'Germany'),
(111049, '194.117.123.173', '194.117.123.173', 3262479277, 3262479277, 'NL', 'Netherlands'),
(111050, '194.117.123.174', '194.117.123.174', 3262479278, 3262479278, 'DE', 'Germany'),
(111051, '194.117.123.175', '194.117.123.175', 3262479279, 3262479279, 'ES', 'Spain'),
(111052, '194.117.123.176', '194.117.123.176', 3262479280, 3262479280, 'DE', 'Germany'),
(111053, '194.117.123.177', '194.117.123.177', 3262479281, 3262479281, 'FR', 'France'),
(111054, '194.117.123.178', '194.117.123.178', 3262479282, 3262479282, 'DE', 'Germany'),
(111055, '194.117.123.179', '194.117.123.179', 3262479283, 3262479283, 'IT', 'Italy'),
(111056, '194.117.123.180', '194.117.123.180', 3262479284, 3262479284, 'NO', 'Norway'),
(111057, '194.117.123.181', '194.117.123.185', 3262479285, 3262479289, 'DE', 'Germany'),
(111058, '194.117.123.186', '194.117.123.186', 3262479290, 3262479290, 'BE', 'Belgium'),
(111059, '194.117.123.187', '194.117.123.189', 3262479291, 3262479293, 'DE', 'Germany'),
(111060, '194.117.123.190', '194.117.123.190', 3262479294, 3262479294, 'FR', 'France'),
(111061, '194.117.123.191', '194.117.123.191', 3262479295, 3262479295, 'DE', 'Germany'),
(111062, '194.117.123.192', '194.117.123.192', 3262479296, 3262479296, 'IT', 'Italy'),
(111063, '194.117.123.193', '194.117.123.194', 3262479297, 3262479298, 'DE', 'Germany'),
(111064, '194.117.123.195', '194.117.123.195', 3262479299, 3262479299, 'ES', 'Spain'),
(111065, '194.117.123.196', '194.117.123.196', 3262479300, 3262479300, 'DE', 'Germany'),
(111066, '194.117.123.197', '194.117.123.197', 3262479301, 3262479301, 'ES', 'Spain'),
(111067, '194.117.123.198', '194.117.123.199', 3262479302, 3262479303, 'DE', 'Germany'),
(111068, '194.117.123.200', '194.117.123.200', 3262479304, 3262479304, 'AT', 'Austria'),
(111069, '194.117.123.201', '194.117.123.203', 3262479305, 3262479307, 'DE', 'Germany'),
(111070, '194.117.123.204', '194.117.123.204', 3262479308, 3262479308, 'DK', 'Denmark'),
(111071, '194.117.123.205', '194.117.123.205', 3262479309, 3262479309, 'SE', 'Sweden'),
(111072, '194.117.123.206', '194.117.123.208', 3262479310, 3262479312, 'DE', 'Germany'),
(111073, '194.117.123.209', '194.117.123.209', 3262479313, 3262479313, 'FR', 'France'),
(111074, '194.117.123.210', '194.117.123.214', 3262479314, 3262479318, 'DE', 'Germany'),
(111075, '194.117.123.215', '194.117.123.215', 3262479319, 3262479319, 'DK', 'Denmark'),
(111076, '194.117.123.216', '194.117.123.216', 3262479320, 3262479320, 'DE', 'Germany'),
(111077, '194.117.123.217', '194.117.123.217', 3262479321, 3262479321, 'GR', 'Greece'),
(111078, '194.117.123.218', '194.117.123.219', 3262479322, 3262479323, 'CH', 'Switzerland'),
(111079, '194.117.123.220', '194.117.123.220', 3262479324, 3262479324, 'NL', 'Netherlands'),
(111080, '194.117.123.221', '194.117.123.221', 3262479325, 3262479325, 'ES', 'Spain'),
(111081, '194.117.123.222', '194.117.123.223', 3262479326, 3262479327, 'DE', 'Germany'),
(111082, '194.117.123.224', '194.117.123.224', 3262479328, 3262479328, 'DK', 'Denmark'),
(111083, '194.117.123.225', '194.117.123.225', 3262479329, 3262479329, 'ES', 'Spain'),
(111084, '194.117.123.226', '194.117.123.226', 3262479330, 3262479330, 'NL', 'Netherlands'),
(111085, '194.117.123.227', '194.117.123.228', 3262479331, 3262479332, 'FR', 'France'),
(111086, '194.117.123.229', '194.117.123.229', 3262479333, 3262479333, 'HU', 'Hungary'),
(111087, '194.117.123.230', '194.117.123.230', 3262479334, 3262479334, 'NL', 'Netherlands'),
(111088, '194.117.123.231', '194.117.123.231', 3262479335, 3262479335, 'DE', 'Germany'),
(111089, '194.117.123.232', '194.117.123.232', 3262479336, 3262479336, 'FR', 'France'),
(111090, '194.117.123.233', '194.117.123.233', 3262479337, 3262479337, 'ES', 'Spain'),
(111091, '194.117.123.234', '194.117.123.234', 3262479338, 3262479338, 'DE', 'Germany'),
(111092, '194.117.123.235', '194.117.123.235', 3262479339, 3262479339, 'NL', 'Netherlands'),
(111093, '194.117.123.236', '194.117.123.236', 3262479340, 3262479340, 'CH', 'Switzerland'),
(111094, '194.117.123.237', '194.117.123.237', 3262479341, 3262479341, 'DE', 'Germany'),
(111095, '194.117.123.238', '194.117.123.238', 3262479342, 3262479342, 'PT', 'Portugal'),
(111096, '194.117.123.239', '194.117.123.239', 3262479343, 3262479343, 'NO', 'Norway'),
(111097, '194.117.123.240', '194.117.123.240', 3262479344, 3262479344, 'NL', 'Netherlands'),
(111098, '194.117.123.241', '194.117.123.241', 3262479345, 3262479345, 'DE', 'Germany'),
(111099, '194.117.123.242', '194.117.123.242', 3262479346, 3262479346, 'DK', 'Denmark'),
(111100, '194.117.123.243', '194.117.123.243', 3262479347, 3262479347, 'NO', 'Norway'),
(111101, '194.117.123.244', '194.117.123.246', 3262479348, 3262479350, 'IT', 'Italy'),
(111102, '194.117.123.247', '194.117.123.247', 3262479351, 3262479351, 'DE', 'Germany'),
(111103, '194.117.123.248', '194.117.123.248', 3262479352, 3262479352, 'IT', 'Italy'),
(111104, '194.117.123.249', '194.117.123.249', 3262479353, 3262479353, 'CH', 'Switzerland'),
(111105, '194.117.123.250', '194.117.123.251', 3262479354, 3262479355, 'DE', 'Germany'),
(111106, '194.117.123.252', '194.117.123.252', 3262479356, 3262479356, 'CH', 'Switzerland'),
(111107, '194.117.123.253', '194.117.123.253', 3262479357, 3262479357, 'FR', 'France'),
(111108, '194.117.123.254', '194.117.124.1', 3262479358, 3262479361, 'DE', 'Germany'),
(111109, '194.117.124.2', '194.117.124.2', 3262479362, 3262479362, 'PT', 'Portugal'),
(111110, '194.117.124.3', '194.117.124.6', 3262479363, 3262479366, 'DE', 'Germany'),
(111111, '194.117.124.7', '194.117.124.7', 3262479367, 3262479367, 'CH', 'Switzerland'),
(111112, '194.117.124.8', '194.117.124.8', 3262479368, 3262479368, 'DE', 'Germany'),
(111113, '194.117.124.9', '194.117.124.9', 3262479369, 3262479369, 'FR', 'France'),
(111114, '194.117.124.10', '194.117.124.10', 3262479370, 3262479370, 'CH', 'Switzerland'),
(111115, '194.117.124.11', '194.117.124.11', 3262479371, 3262479371, 'GB', 'United Kingdom'),
(111116, '194.117.124.12', '194.117.124.12', 3262479372, 3262479372, 'DE', 'Germany'),
(111117, '194.117.124.13', '194.117.124.13', 3262479373, 3262479373, 'IT', 'Italy'),
(111118, '194.117.124.14', '194.117.124.14', 3262479374, 3262479374, 'DE', 'Germany'),
(111119, '194.117.124.15', '194.117.124.15', 3262479375, 3262479375, 'NL', 'Netherlands'),
(111120, '194.117.124.16', '194.117.124.17', 3262479376, 3262479377, 'FR', 'France'),
(111121, '194.117.124.18', '194.117.124.18', 3262479378, 3262479378, 'DE', 'Germany'),
(111122, '194.117.124.19', '194.117.124.19', 3262479379, 3262479379, 'CH', 'Switzerland'),
(111123, '194.117.124.20', '194.117.124.20', 3262479380, 3262479380, 'AT', 'Austria'),
(111124, '194.117.124.21', '194.117.124.21', 3262479381, 3262479381, 'FR', 'France'),
(111125, '194.117.124.22', '194.117.124.25', 3262479382, 3262479385, 'DE', 'Germany'),
(111126, '194.117.124.26', '194.117.124.26', 3262479386, 3262479386, 'NL', 'Netherlands'),
(111127, '194.117.124.27', '194.117.124.27', 3262479387, 3262479387, 'DK', 'Denmark'),
(111128, '194.117.124.28', '194.117.124.29', 3262479388, 3262479389, 'DE', 'Germany'),
(111129, '194.117.124.30', '194.117.124.30', 3262479390, 3262479390, 'DK', 'Denmark'),
(111130, '194.117.124.31', '194.117.124.31', 3262479391, 3262479391, 'NO', 'Norway'),
(111131, '194.117.124.32', '194.117.124.33', 3262479392, 3262479393, 'DE', 'Germany'),
(111132, '194.117.124.34', '194.117.124.34', 3262479394, 3262479394, 'FR', 'France'),
(111133, '194.117.124.35', '194.117.124.35', 3262479395, 3262479395, 'NL', 'Netherlands'),
(111134, '194.117.124.36', '194.117.124.36', 3262479396, 3262479396, 'CH', 'Switzerland'),
(111135, '194.117.124.37', '194.117.124.37', 3262479397, 3262479397, 'IT', 'Italy'),
(111136, '194.117.124.38', '194.117.124.39', 3262479398, 3262479399, 'DE', 'Germany'),
(111137, '194.117.124.40', '194.117.124.40', 3262479400, 3262479400, 'NL', 'Netherlands'),
(111138, '194.117.124.41', '194.117.124.42', 3262479401, 3262479402, 'DE', 'Germany'),
(111139, '194.117.124.43', '194.117.124.43', 3262479403, 3262479403, 'GB', 'United Kingdom'),
(111140, '194.117.124.44', '194.117.124.44', 3262479404, 3262479404, 'DE', 'Germany'),
(111141, '194.117.124.45', '194.117.124.45', 3262479405, 3262479405, 'IE', 'Ireland'),
(111142, '194.117.124.46', '194.117.124.46', 3262479406, 3262479406, 'GB', 'United Kingdom'),
(111143, '194.117.124.47', '194.117.124.50', 3262479407, 3262479410, 'DE', 'Germany'),
(111144, '194.117.124.51', '194.117.124.51', 3262479411, 3262479411, 'ES', 'Spain'),
(111145, '194.117.124.52', '194.117.124.53', 3262479412, 3262479413, 'DE', 'Germany'),
(111146, '194.117.124.54', '194.117.124.54', 3262479414, 3262479414, 'CH', 'Switzerland'),
(111147, '194.117.124.55', '194.117.124.55', 3262479415, 3262479415, 'DE', 'Germany'),
(111148, '194.117.124.56', '194.117.124.56', 3262479416, 3262479416, 'DK', 'Denmark'),
(111149, '194.117.124.57', '194.117.124.59', 3262479417, 3262479419, 'DE', 'Germany'),
(111150, '194.117.124.60', '194.117.124.60', 3262479420, 3262479420, 'ES', 'Spain'),
(111151, '194.117.124.61', '194.117.124.61', 3262479421, 3262479421, 'DE', 'Germany'),
(111152, '194.117.124.62', '194.117.124.62', 3262479422, 3262479422, 'SE', 'Sweden'),
(111153, '194.117.124.63', '194.117.124.66', 3262479423, 3262479426, 'DE', 'Germany'),
(111154, '194.117.124.67', '194.117.124.67', 3262479427, 3262479427, 'IT', 'Italy'),
(111155, '194.117.124.68', '194.117.124.69', 3262479428, 3262479429, 'FR', 'France'),
(111156, '194.117.124.70', '194.117.124.70', 3262479430, 3262479430, 'GB', 'United Kingdom'),
(111157, '194.117.124.71', '194.117.124.73', 3262479431, 3262479433, 'DE', 'Germany'),
(111158, '194.117.124.74', '194.117.124.74', 3262479434, 3262479434, 'IT', 'Italy'),
(111159, '194.117.124.75', '194.117.124.77', 3262479435, 3262479437, 'DE', 'Germany'),
(111160, '194.117.124.78', '194.117.124.78', 3262479438, 3262479438, 'IT', 'Italy'),
(111161, '194.117.124.79', '194.117.124.79', 3262479439, 3262479439, 'DE', 'Germany'),
(111162, '194.117.124.80', '194.117.124.80', 3262479440, 3262479440, 'AT', 'Austria'),
(111163, '194.117.124.81', '194.117.124.81', 3262479441, 3262479441, 'DK', 'Denmark'),
(111164, '194.117.124.82', '194.117.124.82', 3262479442, 3262479442, 'IT', 'Italy'),
(111165, '194.117.124.83', '194.117.124.83', 3262479443, 3262479443, 'GR', 'Greece'),
(111166, '194.117.124.84', '194.117.124.84', 3262479444, 3262479444, 'ES', 'Spain'),
(111167, '194.117.124.85', '194.117.124.85', 3262479445, 3262479445, 'DE', 'Germany'),
(111168, '194.117.124.86', '194.117.124.86', 3262479446, 3262479446, 'IT', 'Italy'),
(111169, '194.117.124.87', '194.117.124.88', 3262479447, 3262479448, 'DE', 'Germany'),
(111170, '194.117.124.89', '194.117.124.89', 3262479449, 3262479449, 'GB', 'United Kingdom'),
(111171, '194.117.124.90', '194.117.124.92', 3262479450, 3262479452, 'DE', 'Germany'),
(111172, '194.117.124.93', '194.117.124.93', 3262479453, 3262479453, 'CH', 'Switzerland'),
(111173, '194.117.124.94', '194.117.124.95', 3262479454, 3262479455, 'DE', 'Germany'),
(111174, '194.117.124.96', '194.117.124.96', 3262479456, 3262479456, 'IT', 'Italy'),
(111175, '194.117.124.97', '194.117.124.102', 3262479457, 3262479462, 'DE', 'Germany'),
(111176, '194.117.124.103', '194.117.124.103', 3262479463, 3262479463, 'IT', 'Italy'),
(111177, '194.117.124.104', '194.117.124.104', 3262479464, 3262479464, 'NL', 'Netherlands'),
(111178, '194.117.124.105', '194.117.124.105', 3262479465, 3262479465, 'DE', 'Germany'),
(111179, '194.117.124.106', '194.117.124.106', 3262479466, 3262479466, 'GB', 'United Kingdom'),
(111180, '194.117.124.107', '194.117.124.107', 3262479467, 3262479467, 'CH', 'Switzerland'),
(111181, '194.117.124.108', '194.117.124.109', 3262479468, 3262479469, 'DE', 'Germany'),
(111182, '194.117.124.110', '194.117.124.111', 3262479470, 3262479471, 'GB', 'United Kingdom'),
(111183, '194.117.124.112', '194.117.124.112', 3262479472, 3262479472, 'DE', 'Germany'),
(111184, '194.117.124.113', '194.117.124.113', 3262479473, 3262479473, 'CH', 'Switzerland'),
(111185, '194.117.124.114', '194.117.124.114', 3262479474, 3262479474, 'BE', 'Belgium'),
(111186, '194.117.124.115', '194.117.124.115', 3262479475, 3262479475, 'CH', 'Switzerland'),
(111187, '194.117.124.116', '194.117.124.116', 3262479476, 3262479476, 'GB', 'United Kingdom'),
(111188, '194.117.124.117', '194.117.124.117', 3262479477, 3262479477, 'BE', 'Belgium'),
(111189, '194.117.124.118', '194.117.124.118', 3262479478, 3262479478, 'IT', 'Italy'),
(111190, '194.117.124.119', '194.117.124.120', 3262479479, 3262479480, 'DE', 'Germany'),
(111191, '194.117.124.121', '194.117.124.121', 3262479481, 3262479481, 'LI', 'Liechtenstein'),
(111192, '194.117.124.122', '194.117.124.122', 3262479482, 3262479482, 'IT', 'Italy'),
(111193, '194.117.124.123', '194.117.124.123', 3262479483, 3262479483, 'DE', 'Germany'),
(111194, '194.117.124.124', '194.117.124.124', 3262479484, 3262479484, 'AT', 'Austria'),
(111195, '194.117.124.125', '194.117.124.129', 3262479485, 3262479489, 'DE', 'Germany'),
(111196, '194.117.124.130', '194.117.124.130', 3262479490, 3262479490, 'IT', 'Italy'),
(111197, '194.117.124.131', '194.117.124.132', 3262479491, 3262479492, 'DE', 'Germany'),
(111198, '194.117.124.133', '194.117.124.133', 3262479493, 3262479493, 'CH', 'Switzerland'),
(111199, '194.117.124.134', '194.117.124.134', 3262479494, 3262479494, 'DE', 'Germany'),
(111200, '194.117.124.135', '194.117.124.135', 3262479495, 3262479495, 'BE', 'Belgium'),
(111201, '194.117.124.136', '194.117.124.138', 3262479496, 3262479498, 'DE', 'Germany'),
(111202, '194.117.124.139', '194.117.124.139', 3262479499, 3262479499, 'ES', 'Spain'),
(111203, '194.117.124.140', '194.117.124.142', 3262479500, 3262479502, 'IT', 'Italy'),
(111204, '194.117.124.143', '194.117.124.143', 3262479503, 3262479503, 'DE', 'Germany'),
(111205, '194.117.124.144', '194.117.124.144', 3262479504, 3262479504, 'GB', 'United Kingdom'),
(111206, '194.117.124.145', '194.117.124.147', 3262479505, 3262479507, 'DE', 'Germany'),
(111207, '194.117.124.148', '194.117.124.148', 3262479508, 3262479508, 'HU', 'Hungary'),
(111208, '194.117.124.149', '194.117.124.149', 3262479509, 3262479509, 'FR', 'France'),
(111209, '194.117.124.150', '194.117.124.153', 3262479510, 3262479513, 'DE', 'Germany'),
(111210, '194.117.124.154', '194.117.124.154', 3262479514, 3262479514, 'FR', 'France'),
(111211, '194.117.124.155', '194.117.124.155', 3262479515, 3262479515, 'ES', 'Spain'),
(111212, '194.117.124.156', '194.117.124.157', 3262479516, 3262479517, 'DE', 'Germany'),
(111213, '194.117.124.158', '194.117.124.158', 3262479518, 3262479518, 'GB', 'United Kingdom'),
(111214, '194.117.124.159', '194.117.124.159', 3262479519, 3262479519, 'GR', 'Greece'),
(111215, '194.117.124.160', '194.117.124.161', 3262479520, 3262479521, 'DE', 'Germany'),
(111216, '194.117.124.162', '194.117.124.162', 3262479522, 3262479522, 'CH', 'Switzerland'),
(111217, '194.117.124.163', '194.117.124.166', 3262479523, 3262479526, 'DE', 'Germany'),
(111218, '194.117.124.167', '194.117.124.168', 3262479527, 3262479528, 'NL', 'Netherlands'),
(111219, '194.117.124.169', '194.117.124.169', 3262479529, 3262479529, 'DE', 'Germany'),
(111220, '194.117.124.170', '194.117.124.170', 3262479530, 3262479530, 'BE', 'Belgium'),
(111221, '194.117.124.171', '194.117.124.175', 3262479531, 3262479535, 'DE', 'Germany'),
(111222, '194.117.124.176', '194.117.124.176', 3262479536, 3262479536, 'GB', 'United Kingdom'),
(111223, '194.117.124.177', '194.117.124.178', 3262479537, 3262479538, 'DE', 'Germany'),
(111224, '194.117.124.179', '194.117.124.179', 3262479539, 3262479539, 'IT', 'Italy'),
(111225, '194.117.124.180', '194.117.124.180', 3262479540, 3262479540, 'DE', 'Germany'),
(111226, '194.117.124.181', '194.117.124.181', 3262479541, 3262479541, 'CH', 'Switzerland'),
(111227, '194.117.124.182', '194.117.124.183', 3262479542, 3262479543, 'DE', 'Germany'),
(111228, '194.117.124.184', '194.117.124.184', 3262479544, 3262479544, 'IT', 'Italy'),
(111229, '194.117.124.185', '194.117.124.185', 3262479545, 3262479545, 'BE', 'Belgium'),
(111230, '194.117.124.186', '194.117.124.186', 3262479546, 3262479546, 'GB', 'United Kingdom'),
(111231, '194.117.124.187', '194.117.124.187', 3262479547, 3262479547, 'AT', 'Austria'),
(111232, '194.117.124.188', '194.117.124.188', 3262479548, 3262479548, 'CH', 'Switzerland'),
(111233, '194.117.124.189', '194.117.124.189', 3262479549, 3262479549, 'IT', 'Italy'),
(111234, '194.117.124.190', '194.117.124.192', 3262479550, 3262479552, 'DE', 'Germany'),
(111235, '194.117.124.193', '194.117.124.193', 3262479553, 3262479553, 'IL', 'Israel'),
(111236, '194.117.124.194', '194.117.124.194', 3262479554, 3262479554, 'DK', 'Denmark'),
(111237, '194.117.124.195', '194.117.124.195', 3262479555, 3262479555, 'FR', 'France'),
(111238, '194.117.124.196', '194.117.124.196', 3262479556, 3262479556, 'IE', 'Ireland'),
(111239, '194.117.124.197', '194.117.124.198', 3262479557, 3262479558, 'DE', 'Germany'),
(111240, '194.117.124.199', '194.117.124.199', 3262479559, 3262479559, 'SE', 'Sweden'),
(111241, '194.117.124.200', '194.117.124.200', 3262479560, 3262479560, 'DE', 'Germany'),
(111242, '194.117.124.201', '194.117.124.201', 3262479561, 3262479561, 'BE', 'Belgium'),
(111243, '194.117.124.202', '194.117.124.202', 3262479562, 3262479562, 'GB', 'United Kingdom'),
(111244, '194.117.124.203', '194.117.124.203', 3262479563, 3262479563, 'DE', 'Germany'),
(111245, '194.117.124.204', '194.117.124.204', 3262479564, 3262479564, 'GB', 'United Kingdom'),
(111246, '194.117.124.205', '194.117.124.205', 3262479565, 3262479565, 'SE', 'Sweden'),
(111247, '194.117.124.206', '194.117.124.206', 3262479566, 3262479566, 'NL', 'Netherlands'),
(111248, '194.117.124.207', '194.117.124.207', 3262479567, 3262479567, 'CH', 'Switzerland'),
(111249, '194.117.124.208', '194.117.124.208', 3262479568, 3262479568, 'NO', 'Norway'),
(111250, '194.117.124.209', '194.117.124.213', 3262479569, 3262479573, 'DE', 'Germany'),
(111251, '194.117.124.214', '194.117.124.214', 3262479574, 3262479574, 'CH', 'Switzerland'),
(111252, '194.117.124.215', '194.117.124.215', 3262479575, 3262479575, 'DE', 'Germany'),
(111253, '194.117.124.216', '194.117.124.216', 3262479576, 3262479576, 'NL', 'Netherlands'),
(111254, '194.117.124.217', '194.117.124.217', 3262479577, 3262479577, 'FR', 'France'),
(111255, '194.117.124.218', '194.117.124.218', 3262479578, 3262479578, 'DE', 'Germany'),
(111256, '194.117.124.219', '194.117.124.219', 3262479579, 3262479579, 'ZA', 'South Africa'),
(111257, '194.117.124.220', '194.117.124.220', 3262479580, 3262479580, 'DE', 'Germany'),
(111258, '194.117.124.221', '194.117.124.221', 3262479581, 3262479581, 'IT', 'Italy'),
(111259, '194.117.124.222', '194.117.124.223', 3262479582, 3262479583, 'DE', 'Germany'),
(111260, '194.117.124.224', '194.117.124.224', 3262479584, 3262479584, 'NL', 'Netherlands'),
(111261, '194.117.124.225', '194.117.124.225', 3262479585, 3262479585, 'DE', 'Germany'),
(111262, '194.117.124.226', '194.117.124.226', 3262479586, 3262479586, 'GR', 'Greece'),
(111263, '194.117.124.227', '194.117.124.228', 3262479587, 3262479588, 'DE', 'Germany'),
(111264, '194.117.124.229', '194.117.124.229', 3262479589, 3262479589, 'IT', 'Italy'),
(111265, '194.117.124.230', '194.117.124.230', 3262479590, 3262479590, 'GB', 'United Kingdom'),
(111266, '194.117.124.231', '194.117.124.231', 3262479591, 3262479591, 'NL', 'Netherlands'),
(111267, '194.117.124.232', '194.117.124.232', 3262479592, 3262479592, 'DE', 'Germany'),
(111268, '194.117.124.233', '194.117.124.233', 3262479593, 3262479593, 'FR', 'France'),
(111269, '194.117.124.234', '194.117.124.234', 3262479594, 3262479594, 'DE', 'Germany'),
(111270, '194.117.124.235', '194.117.124.236', 3262479595, 3262479596, 'FR', 'France'),
(111271, '194.117.124.237', '194.117.124.238', 3262479597, 3262479598, 'DE', 'Germany'),
(111272, '194.117.124.239', '194.117.124.240', 3262479599, 3262479600, 'IT', 'Italy'),
(111273, '194.117.124.241', '194.117.124.241', 3262479601, 3262479601, 'DE', 'Germany'),
(111274, '194.117.124.242', '194.117.124.242', 3262479602, 3262479602, 'GB', 'United Kingdom'),
(111275, '194.117.124.243', '194.117.124.244', 3262479603, 3262479604, 'DE', 'Germany'),
(111276, '194.117.124.245', '194.117.124.245', 3262479605, 3262479605, 'SE', 'Sweden'),
(111277, '194.117.124.246', '194.117.124.246', 3262479606, 3262479606, 'FR', 'France'),
(111278, '194.117.124.247', '194.117.124.247', 3262479607, 3262479607, 'NL', 'Netherlands'),
(111279, '194.117.124.248', '194.117.124.249', 3262479608, 3262479609, 'DE', 'Germany'),
(111280, '194.117.124.250', '194.117.124.250', 3262479610, 3262479610, 'SI', 'Slovenia'),
(111281, '194.117.124.251', '194.117.124.251', 3262479611, 3262479611, 'DE', 'Germany'),
(111282, '194.117.124.252', '194.117.124.252', 3262479612, 3262479612, 'ES', 'Spain'),
(111283, '194.117.124.253', '194.117.124.253', 3262479613, 3262479613, 'NL', 'Netherlands'),
(111284, '194.117.124.254', '194.117.125.1', 3262479614, 3262479617, 'DE', 'Germany'),
(111285, '194.117.125.2', '194.117.125.2', 3262479618, 3262479618, 'NO', 'Norway'),
(111286, '194.117.125.3', '194.117.125.3', 3262479619, 3262479619, 'ES', 'Spain'),
(111287, '194.117.125.4', '194.117.125.4', 3262479620, 3262479620, 'GB', 'United Kingdom'),
(111288, '194.117.125.5', '194.117.125.6', 3262479621, 3262479622, 'DE', 'Germany'),
(111289, '194.117.125.7', '194.117.125.7', 3262479623, 3262479623, 'CH', 'Switzerland'),
(111290, '194.117.125.8', '194.117.125.8', 3262479624, 3262479624, 'ES', 'Spain'),
(111291, '194.117.125.9', '194.117.125.9', 3262479625, 3262479625, 'NL', 'Netherlands'),
(111292, '194.117.125.10', '194.117.125.10', 3262479626, 3262479626, 'AT', 'Austria'),
(111293, '194.117.125.11', '194.117.125.12', 3262479627, 3262479628, 'DE', 'Germany'),
(111294, '194.117.125.13', '194.117.125.13', 3262479629, 3262479629, 'SI', 'Slovenia'),
(111295, '194.117.125.14', '194.117.125.14', 3262479630, 3262479630, 'NL', 'Netherlands'),
(111296, '194.117.125.15', '194.117.125.15', 3262479631, 3262479631, 'HU', 'Hungary'),
(111297, '194.117.125.16', '194.117.125.16', 3262479632, 3262479632, 'DE', 'Germany'),
(111298, '194.117.125.17', '194.117.125.17', 3262479633, 3262479633, 'LU', 'Luxembourg'),
(111299, '194.117.125.18', '194.117.125.18', 3262479634, 3262479634, 'DE', 'Germany'),
(111300, '194.117.125.19', '194.117.125.20', 3262479635, 3262479636, 'GB', 'United Kingdom'),
(111301, '194.117.125.21', '194.117.125.21', 3262479637, 3262479637, 'ES', 'Spain'),
(111302, '194.117.125.22', '194.117.125.22', 3262479638, 3262479638, 'DE', 'Germany'),
(111303, '194.117.125.23', '194.117.125.23', 3262479639, 3262479639, 'AT', 'Austria'),
(111304, '194.117.125.24', '194.117.125.24', 3262479640, 3262479640, 'FR', 'France'),
(111305, '194.117.125.25', '194.117.125.25', 3262479641, 3262479641, 'IT', 'Italy'),
(111306, '194.117.125.26', '194.117.125.26', 3262479642, 3262479642, 'GB', 'United Kingdom'),
(111307, '194.117.125.27', '194.117.125.27', 3262479643, 3262479643, 'DE', 'Germany'),
(111308, '194.117.125.28', '194.117.125.28', 3262479644, 3262479644, 'NL', 'Netherlands'),
(111309, '194.117.125.29', '194.117.125.29', 3262479645, 3262479645, 'DE', 'Germany'),
(111310, '194.117.125.30', '194.117.125.30', 3262479646, 3262479646, 'GB', 'United Kingdom'),
(111311, '194.117.125.31', '194.117.125.31', 3262479647, 3262479647, 'DE', 'Germany'),
(111312, '194.117.125.32', '194.117.125.32', 3262479648, 3262479648, 'NO', 'Norway'),
(111313, '194.117.125.33', '194.117.125.37', 3262479649, 3262479653, 'DE', 'Germany'),
(111314, '194.117.125.38', '194.117.125.38', 3262479654, 3262479654, 'ES', 'Spain'),
(111315, '194.117.125.39', '194.117.125.39', 3262479655, 3262479655, 'NL', 'Netherlands'),
(111316, '194.117.125.40', '194.117.125.40', 3262479656, 3262479656, 'CH', 'Switzerland'),
(111317, '194.117.125.41', '194.117.125.41', 3262479657, 3262479657, 'NL', 'Netherlands'),
(111318, '194.117.125.42', '194.117.125.42', 3262479658, 3262479658, 'DE', 'Germany'),
(111319, '194.117.125.43', '194.117.125.43', 3262479659, 3262479659, 'NL', 'Netherlands'),
(111320, '194.117.125.44', '194.117.125.44', 3262479660, 3262479660, 'PT', 'Portugal'),
(111321, '194.117.125.45', '194.117.125.46', 3262479661, 3262479662, 'FR', 'France'),
(111322, '194.117.125.47', '194.117.125.48', 3262479663, 3262479664, 'DE', 'Germany'),
(111323, '194.117.125.49', '194.117.125.49', 3262479665, 3262479665, 'DK', 'Denmark'),
(111324, '194.117.125.50', '194.117.125.51', 3262479666, 3262479667, 'DE', 'Germany'),
(111325, '194.117.125.52', '194.117.125.52', 3262479668, 3262479668, 'NL', 'Netherlands'),
(111326, '194.117.125.53', '194.117.125.53', 3262479669, 3262479669, 'IT', 'Italy'),
(111327, '194.117.125.54', '194.117.125.54', 3262479670, 3262479670, 'DK', 'Denmark'),
(111328, '194.117.125.55', '194.117.125.55', 3262479671, 3262479671, 'IT', 'Italy'),
(111329, '194.117.125.56', '194.117.125.57', 3262479672, 3262479673, 'DE', 'Germany'),
(111330, '194.117.125.58', '194.117.125.58', 3262479674, 3262479674, 'BE', 'Belgium'),
(111331, '194.117.125.59', '194.117.125.60', 3262479675, 3262479676, 'DE', 'Germany'),
(111332, '194.117.125.61', '194.117.125.61', 3262479677, 3262479677, 'ES', 'Spain'),
(111333, '194.117.125.62', '194.117.125.62', 3262479678, 3262479678, 'IT', 'Italy'),
(111334, '194.117.125.63', '194.117.125.63', 3262479679, 3262479679, 'AT', 'Austria'),
(111335, '194.117.125.64', '194.117.125.64', 3262479680, 3262479680, 'IT', 'Italy'),
(111336, '194.117.125.65', '194.117.125.65', 3262479681, 3262479681, 'DE', 'Germany'),
(111337, '194.117.125.66', '194.117.125.66', 3262479682, 3262479682, 'IT', 'Italy'),
(111338, '194.117.125.67', '194.117.125.67', 3262479683, 3262479683, 'HU', 'Hungary'),
(111339, '194.117.125.68', '194.117.125.69', 3262479684, 3262479685, 'DE', 'Germany'),
(111340, '194.117.125.70', '194.117.125.71', 3262479686, 3262479687, 'FR', 'France'),
(111341, '194.117.125.72', '194.117.125.72', 3262479688, 3262479688, 'DE', 'Germany'),
(111342, '194.117.125.73', '194.117.125.73', 3262479689, 3262479689, 'NL', 'Netherlands'),
(111343, '194.117.125.74', '194.117.125.74', 3262479690, 3262479690, 'LU', 'Luxembourg'),
(111344, '194.117.125.75', '194.117.125.75', 3262479691, 3262479691, 'DE', 'Germany'),
(111345, '194.117.125.76', '194.117.125.76', 3262479692, 3262479692, 'LU', 'Luxembourg'),
(111346, '194.117.125.77', '194.117.125.77', 3262479693, 3262479693, 'DE', 'Germany'),
(111347, '194.117.125.78', '194.117.125.78', 3262479694, 3262479694, 'CH', 'Switzerland'),
(111348, '194.117.125.79', '194.117.125.79', 3262479695, 3262479695, 'ES', 'Spain'),
(111349, '194.117.125.80', '194.117.125.80', 3262479696, 3262479696, 'CH', 'Switzerland'),
(111350, '194.117.125.81', '194.117.125.81', 3262479697, 3262479697, 'GB', 'United Kingdom'),
(111351, '194.117.125.82', '194.117.125.82', 3262479698, 3262479698, 'FR', 'France'),
(111352, '194.117.125.83', '194.117.125.85', 3262479699, 3262479701, 'NL', 'Netherlands'),
(111353, '194.117.125.86', '194.117.125.86', 3262479702, 3262479702, 'AT', 'Austria'),
(111354, '194.117.125.87', '194.117.125.87', 3262479703, 3262479703, 'FR', 'France'),
(111355, '194.117.125.88', '194.117.125.91', 3262479704, 3262479707, 'DE', 'Germany'),
(111356, '194.117.125.92', '194.117.125.92', 3262479708, 3262479708, 'CH', 'Switzerland'),
(111357, '194.117.125.93', '194.117.125.93', 3262479709, 3262479709, 'NL', 'Netherlands'),
(111358, '194.117.125.94', '194.117.125.95', 3262479710, 3262479711, 'DE', 'Germany'),
(111359, '194.117.125.96', '194.117.125.96', 3262479712, 3262479712, 'GB', 'United Kingdom'),
(111360, '194.117.125.97', '194.117.125.97', 3262479713, 3262479713, 'DE', 'Germany'),
(111361, '194.117.125.98', '194.117.125.98', 3262479714, 3262479714, 'AT', 'Austria'),
(111362, '194.117.125.99', '194.117.125.99', 3262479715, 3262479715, 'ES', 'Spain'),
(111363, '194.117.125.100', '194.117.125.100', 3262479716, 3262479716, 'DE', 'Germany'),
(111364, '194.117.125.101', '194.117.125.101', 3262479717, 3262479717, 'BE', 'Belgium'),
(111365, '194.117.125.102', '194.117.125.104', 3262479718, 3262479720, 'DE', 'Germany'),
(111366, '194.117.125.105', '194.117.125.105', 3262479721, 3262479721, 'AT', 'Austria'),
(111367, '194.117.125.106', '194.117.125.108', 3262479722, 3262479724, 'DE', 'Germany'),
(111368, '194.117.125.109', '194.117.125.109', 3262479725, 3262479725, 'AT', 'Austria'),
(111369, '194.117.125.110', '194.117.125.111', 3262479726, 3262479727, 'DE', 'Germany'),
(111370, '194.117.125.112', '194.117.125.112', 3262479728, 3262479728, 'BE', 'Belgium'),
(111371, '194.117.125.113', '194.117.125.114', 3262479729, 3262479730, 'ES', 'Spain'),
(111372, '194.117.125.115', '194.117.125.115', 3262479731, 3262479731, 'CH', 'Switzerland'),
(111373, '194.117.125.116', '194.117.125.116', 3262479732, 3262479732, 'IT', 'Italy'),
(111374, '194.117.125.117', '194.117.125.118', 3262479733, 3262479734, 'DE', 'Germany'),
(111375, '194.117.125.119', '194.117.125.120', 3262479735, 3262479736, 'CH', 'Switzerland'),
(111376, '194.117.125.121', '194.117.125.121', 3262479737, 3262479737, 'DE', 'Germany'),
(111377, '194.117.125.122', '194.117.125.122', 3262479738, 3262479738, 'AT', 'Austria'),
(111378, '194.117.125.123', '194.117.125.123', 3262479739, 3262479739, 'DK', 'Denmark'),
(111379, '194.117.125.124', '194.117.125.124', 3262479740, 3262479740, 'DE', 'Germany'),
(111380, '194.117.125.125', '194.117.125.125', 3262479741, 3262479741, 'NL', 'Netherlands'),
(111381, '194.117.125.126', '194.117.125.126', 3262479742, 3262479742, 'FR', 'France'),
(111382, '194.117.125.127', '194.117.125.129', 3262479743, 3262479745, 'DE', 'Germany'),
(111383, '194.117.125.130', '194.117.125.130', 3262479746, 3262479746, 'GB', 'United Kingdom'),
(111384, '194.117.125.131', '194.117.125.131', 3262479747, 3262479747, 'CH', 'Switzerland'),
(111385, '194.117.125.132', '194.117.125.132', 3262479748, 3262479748, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(111386, '194.117.125.133', '194.117.125.133', 3262479749, 3262479749, 'FR', 'France'),
(111387, '194.117.125.134', '194.117.125.134', 3262479750, 3262479750, 'AT', 'Austria'),
(111388, '194.117.125.135', '194.117.125.135', 3262479751, 3262479751, 'DE', 'Germany'),
(111389, '194.117.125.136', '194.117.125.136', 3262479752, 3262479752, 'CH', 'Switzerland'),
(111390, '194.117.125.137', '194.117.125.137', 3262479753, 3262479753, 'DE', 'Germany'),
(111391, '194.117.125.138', '194.117.125.138', 3262479754, 3262479754, 'FR', 'France'),
(111392, '194.117.125.139', '194.117.125.139', 3262479755, 3262479755, 'NL', 'Netherlands'),
(111393, '194.117.125.140', '194.117.125.140', 3262479756, 3262479756, 'FR', 'France'),
(111394, '194.117.125.141', '194.117.125.141', 3262479757, 3262479757, 'SE', 'Sweden'),
(111395, '194.117.125.142', '194.117.125.146', 3262479758, 3262479762, 'DE', 'Germany'),
(111396, '194.117.125.147', '194.117.125.147', 3262479763, 3262479763, 'NO', 'Norway'),
(111397, '194.117.125.148', '194.117.125.148', 3262479764, 3262479764, 'FR', 'France'),
(111398, '194.117.125.149', '194.117.125.149', 3262479765, 3262479765, 'DE', 'Germany'),
(111399, '194.117.125.150', '194.117.125.150', 3262479766, 3262479766, 'CH', 'Switzerland'),
(111400, '194.117.125.151', '194.117.125.154', 3262479767, 3262479770, 'DE', 'Germany'),
(111401, '194.117.125.155', '194.117.125.155', 3262479771, 3262479771, 'IT', 'Italy'),
(111402, '194.117.125.156', '194.117.125.159', 3262479772, 3262479775, 'DE', 'Germany'),
(111403, '194.117.125.160', '194.117.125.160', 3262479776, 3262479776, 'IT', 'Italy'),
(111404, '194.117.125.161', '194.117.125.161', 3262479777, 3262479777, 'BE', 'Belgium'),
(111405, '194.117.125.162', '194.117.125.162', 3262479778, 3262479778, 'NL', 'Netherlands'),
(111406, '194.117.125.163', '194.117.125.166', 3262479779, 3262479782, 'DE', 'Germany'),
(111407, '194.117.125.167', '194.117.125.167', 3262479783, 3262479783, 'GB', 'United Kingdom'),
(111408, '194.117.125.168', '194.117.125.168', 3262479784, 3262479784, 'AT', 'Austria'),
(111409, '194.117.125.169', '194.117.125.169', 3262479785, 3262479785, 'FR', 'France'),
(111410, '194.117.125.170', '194.117.125.170', 3262479786, 3262479786, 'CH', 'Switzerland'),
(111411, '194.117.125.171', '194.117.125.172', 3262479787, 3262479788, 'DE', 'Germany'),
(111412, '194.117.125.173', '194.117.125.173', 3262479789, 3262479789, 'IT', 'Italy'),
(111413, '194.117.125.174', '194.117.125.174', 3262479790, 3262479790, 'DE', 'Germany'),
(111414, '194.117.125.175', '194.117.125.176', 3262479791, 3262479792, 'IT', 'Italy'),
(111415, '194.117.125.177', '194.117.125.177', 3262479793, 3262479793, 'DE', 'Germany'),
(111416, '194.117.125.178', '194.117.125.178', 3262479794, 3262479794, 'FR', 'France'),
(111417, '194.117.125.179', '194.117.125.179', 3262479795, 3262479795, 'CH', 'Switzerland'),
(111418, '194.117.125.180', '194.117.125.181', 3262479796, 3262479797, 'AT', 'Austria'),
(111419, '194.117.125.182', '194.117.125.183', 3262479798, 3262479799, 'GB', 'United Kingdom'),
(111420, '194.117.125.184', '194.117.125.192', 3262479800, 3262479808, 'DE', 'Germany'),
(111421, '194.117.125.193', '194.117.125.193', 3262479809, 3262479809, 'FR', 'France'),
(111422, '194.117.125.194', '194.117.125.194', 3262479810, 3262479810, 'NL', 'Netherlands'),
(111423, '194.117.125.195', '194.117.125.195', 3262479811, 3262479811, 'ES', 'Spain'),
(111424, '194.117.125.196', '194.117.125.200', 3262479812, 3262479816, 'DE', 'Germany'),
(111425, '194.117.125.201', '194.117.125.201', 3262479817, 3262479817, 'HU', 'Hungary'),
(111426, '194.117.125.202', '194.117.125.202', 3262479818, 3262479818, 'DE', 'Germany'),
(111427, '194.117.125.203', '194.117.125.203', 3262479819, 3262479819, 'NL', 'Netherlands'),
(111428, '194.117.125.204', '194.117.125.204', 3262479820, 3262479820, 'DE', 'Germany'),
(111429, '194.117.125.205', '194.117.125.206', 3262479821, 3262479822, 'NL', 'Netherlands'),
(111430, '194.117.125.207', '194.117.125.207', 3262479823, 3262479823, 'ES', 'Spain'),
(111431, '194.117.125.208', '194.117.125.208', 3262479824, 3262479824, 'GB', 'United Kingdom'),
(111432, '194.117.125.209', '194.117.125.209', 3262479825, 3262479825, 'DE', 'Germany'),
(111433, '194.117.125.210', '194.117.125.210', 3262479826, 3262479826, 'BE', 'Belgium'),
(111434, '194.117.125.211', '194.117.125.211', 3262479827, 3262479827, 'DE', 'Germany'),
(111435, '194.117.125.212', '194.117.125.213', 3262479828, 3262479829, 'CH', 'Switzerland'),
(111436, '194.117.125.214', '194.117.125.214', 3262479830, 3262479830, 'GB', 'United Kingdom'),
(111437, '194.117.125.215', '194.117.125.216', 3262479831, 3262479832, 'DE', 'Germany'),
(111438, '194.117.125.217', '194.117.125.217', 3262479833, 3262479833, 'ES', 'Spain'),
(111439, '194.117.125.218', '194.117.125.218', 3262479834, 3262479834, 'DE', 'Germany'),
(111440, '194.117.125.219', '194.117.125.219', 3262479835, 3262479835, 'AT', 'Austria'),
(111441, '194.117.125.220', '194.117.125.220', 3262479836, 3262479836, 'NL', 'Netherlands'),
(111442, '194.117.125.221', '194.117.125.221', 3262479837, 3262479837, 'HU', 'Hungary'),
(111443, '194.117.125.222', '194.117.125.222', 3262479838, 3262479838, 'CH', 'Switzerland'),
(111444, '194.117.125.223', '194.117.125.223', 3262479839, 3262479839, 'NL', 'Netherlands'),
(111445, '194.117.125.224', '194.117.125.224', 3262479840, 3262479840, 'DE', 'Germany'),
(111446, '194.117.125.225', '194.117.125.225', 3262479841, 3262479841, 'FR', 'France'),
(111447, '194.117.125.226', '194.117.125.226', 3262479842, 3262479842, 'DK', 'Denmark'),
(111448, '194.117.125.227', '194.117.125.227', 3262479843, 3262479843, 'GB', 'United Kingdom'),
(111449, '194.117.125.228', '194.117.125.228', 3262479844, 3262479844, 'DE', 'Germany'),
(111450, '194.117.125.229', '194.117.125.229', 3262479845, 3262479845, 'CH', 'Switzerland'),
(111451, '194.117.125.230', '194.117.125.230', 3262479846, 3262479846, 'DE', 'Germany'),
(111452, '194.117.125.231', '194.117.125.231', 3262479847, 3262479847, 'LU', 'Luxembourg'),
(111453, '194.117.125.232', '194.117.125.236', 3262479848, 3262479852, 'DE', 'Germany'),
(111454, '194.117.125.237', '194.117.125.237', 3262479853, 3262479853, 'IS', 'Iceland'),
(111455, '194.117.125.238', '194.117.125.239', 3262479854, 3262479855, 'DE', 'Germany'),
(111456, '194.117.125.240', '194.117.125.240', 3262479856, 3262479856, 'CH', 'Switzerland'),
(111457, '194.117.125.241', '194.117.125.243', 3262479857, 3262479859, 'DE', 'Germany'),
(111458, '194.117.125.244', '194.117.125.244', 3262479860, 3262479860, 'NL', 'Netherlands'),
(111459, '194.117.125.245', '194.117.125.245', 3262479861, 3262479861, 'NO', 'Norway'),
(111460, '194.117.125.246', '194.117.125.246', 3262479862, 3262479862, 'BE', 'Belgium'),
(111461, '194.117.125.247', '194.117.125.247', 3262479863, 3262479863, 'NL', 'Netherlands'),
(111462, '194.117.125.248', '194.117.125.248', 3262479864, 3262479864, 'DE', 'Germany'),
(111463, '194.117.125.249', '194.117.125.249', 3262479865, 3262479865, 'FR', 'France'),
(111464, '194.117.125.250', '194.117.125.250', 3262479866, 3262479866, 'DE', 'Germany'),
(111465, '194.117.125.251', '194.117.125.251', 3262479867, 3262479867, 'SE', 'Sweden'),
(111466, '194.117.125.252', '194.117.125.252', 3262479868, 3262479868, 'DE', 'Germany'),
(111467, '194.117.125.253', '194.117.125.253', 3262479869, 3262479869, 'GB', 'United Kingdom'),
(111468, '194.117.125.254', '194.117.125.255', 3262479870, 3262479871, 'DE', 'Germany'),
(111469, '194.117.126.0', '194.117.126.9', 3262479872, 3262479881, 'EU', 'Europe'),
(111470, '194.117.126.10', '194.117.126.10', 3262479882, 3262479882, 'DE', 'Germany'),
(111471, '194.117.126.11', '194.117.126.255', 3262479883, 3262480127, 'EU', 'Europe'),
(111472, '194.117.127.0', '194.117.127.5', 3262480128, 3262480133, 'DE', 'Germany'),
(111473, '194.117.127.6', '194.117.127.6', 3262480134, 3262480134, 'AT', 'Austria'),
(111474, '194.117.127.7', '194.117.127.7', 3262480135, 3262480135, 'NL', 'Netherlands'),
(111475, '194.117.127.8', '194.117.127.8', 3262480136, 3262480136, 'FR', 'France'),
(111476, '194.117.127.9', '194.117.127.11', 3262480137, 3262480139, 'DE', 'Germany'),
(111477, '194.117.127.12', '194.117.127.12', 3262480140, 3262480140, 'FR', 'France'),
(111478, '194.117.127.13', '194.117.127.13', 3262480141, 3262480141, 'AT', 'Austria'),
(111479, '194.117.127.14', '194.117.127.18', 3262480142, 3262480146, 'DE', 'Germany'),
(111480, '194.117.127.19', '194.117.127.19', 3262480147, 3262480147, 'IT', 'Italy'),
(111481, '194.117.127.20', '194.117.127.20', 3262480148, 3262480148, 'GB', 'United Kingdom'),
(111482, '194.117.127.21', '194.117.127.22', 3262480149, 3262480150, 'DE', 'Germany'),
(111483, '194.117.127.23', '194.117.127.23', 3262480151, 3262480151, 'GB', 'United Kingdom'),
(111484, '194.117.127.24', '194.117.127.26', 3262480152, 3262480154, 'DE', 'Germany'),
(111485, '194.117.127.27', '194.117.127.27', 3262480155, 3262480155, 'ES', 'Spain'),
(111486, '194.117.127.28', '194.117.127.30', 3262480156, 3262480158, 'DE', 'Germany'),
(111487, '194.117.127.31', '194.117.127.31', 3262480159, 3262480159, 'IT', 'Italy'),
(111488, '194.117.127.32', '194.117.127.33', 3262480160, 3262480161, 'DE', 'Germany'),
(111489, '194.117.127.34', '194.117.127.34', 3262480162, 3262480162, 'NO', 'Norway'),
(111490, '194.117.127.35', '194.117.127.36', 3262480163, 3262480164, 'DE', 'Germany'),
(111491, '194.117.127.37', '194.117.127.37', 3262480165, 3262480165, 'FR', 'France'),
(111492, '194.117.127.38', '194.117.127.44', 3262480166, 3262480172, 'DE', 'Germany'),
(111493, '194.117.127.45', '194.117.127.45', 3262480173, 3262480173, 'NL', 'Netherlands'),
(111494, '194.117.127.46', '194.117.127.46', 3262480174, 3262480174, 'DE', 'Germany'),
(111495, '194.117.127.47', '194.117.127.47', 3262480175, 3262480175, 'NL', 'Netherlands'),
(111496, '194.117.127.48', '194.117.127.48', 3262480176, 3262480176, 'DE', 'Germany'),
(111497, '194.117.127.49', '194.117.127.49', 3262480177, 3262480177, 'CH', 'Switzerland'),
(111498, '194.117.127.50', '194.117.127.50', 3262480178, 3262480178, 'IT', 'Italy'),
(111499, '194.117.127.51', '194.117.127.51', 3262480179, 3262480179, 'DE', 'Germany'),
(111500, '194.117.127.52', '194.117.127.52', 3262480180, 3262480180, 'FR', 'France'),
(111501, '194.117.127.53', '194.117.127.53', 3262480181, 3262480181, 'ES', 'Spain'),
(111502, '194.117.127.54', '194.117.127.56', 3262480182, 3262480184, 'DE', 'Germany'),
(111503, '194.117.127.57', '194.117.127.57', 3262480185, 3262480185, 'FR', 'France'),
(111504, '194.117.127.58', '194.117.127.58', 3262480186, 3262480186, 'PT', 'Portugal'),
(111505, '194.117.127.59', '194.117.127.59', 3262480187, 3262480187, 'DE', 'Germany'),
(111506, '194.117.127.60', '194.117.127.60', 3262480188, 3262480188, 'FI', 'Finland'),
(111507, '194.117.127.61', '194.117.127.61', 3262480189, 3262480189, 'CH', 'Switzerland'),
(111508, '194.117.127.62', '194.117.127.62', 3262480190, 3262480190, 'DE', 'Germany'),
(111509, '194.117.127.63', '194.117.127.63', 3262480191, 3262480191, 'NO', 'Norway'),
(111510, '194.117.127.64', '194.117.127.65', 3262480192, 3262480193, 'DE', 'Germany'),
(111511, '194.117.127.66', '194.117.127.66', 3262480194, 3262480194, 'NL', 'Netherlands'),
(111512, '194.117.127.67', '194.117.127.67', 3262480195, 3262480195, 'GB', 'United Kingdom'),
(111513, '194.117.127.68', '194.117.127.69', 3262480196, 3262480197, 'DE', 'Germany'),
(111514, '194.117.127.70', '194.117.127.70', 3262480198, 3262480198, 'NL', 'Netherlands'),
(111515, '194.117.127.71', '194.117.127.71', 3262480199, 3262480199, 'GB', 'United Kingdom'),
(111516, '194.117.127.72', '194.117.127.73', 3262480200, 3262480201, 'DE', 'Germany'),
(111517, '194.117.127.74', '194.117.127.74', 3262480202, 3262480202, 'GB', 'United Kingdom'),
(111518, '194.117.127.75', '194.117.127.77', 3262480203, 3262480205, 'DE', 'Germany'),
(111519, '194.117.127.78', '194.117.127.78', 3262480206, 3262480206, 'CH', 'Switzerland'),
(111520, '194.117.127.79', '194.117.127.84', 3262480207, 3262480212, 'DE', 'Germany'),
(111521, '194.117.127.85', '194.117.127.85', 3262480213, 3262480213, 'FR', 'France'),
(111522, '194.117.127.86', '194.117.127.87', 3262480214, 3262480215, 'DE', 'Germany'),
(111523, '194.117.127.88', '194.117.127.88', 3262480216, 3262480216, 'HU', 'Hungary'),
(111524, '194.117.127.89', '194.117.127.90', 3262480217, 3262480218, 'DE', 'Germany'),
(111525, '194.117.127.91', '194.117.127.91', 3262480219, 3262480219, 'ES', 'Spain'),
(111526, '194.117.127.92', '194.117.127.92', 3262480220, 3262480220, 'NL', 'Netherlands'),
(111527, '194.117.127.93', '194.117.127.93', 3262480221, 3262480221, 'BE', 'Belgium'),
(111528, '194.117.127.94', '194.117.127.98', 3262480222, 3262480226, 'DE', 'Germany'),
(111529, '194.117.127.99', '194.117.127.99', 3262480227, 3262480227, 'IE', 'Ireland'),
(111530, '194.117.127.100', '194.117.127.101', 3262480228, 3262480229, 'DE', 'Germany'),
(111531, '194.117.127.102', '194.117.127.102', 3262480230, 3262480230, 'SE', 'Sweden'),
(111532, '194.117.127.103', '194.117.127.104', 3262480231, 3262480232, 'DE', 'Germany'),
(111533, '194.117.127.105', '194.117.127.105', 3262480233, 3262480233, 'SE', 'Sweden'),
(111534, '194.117.127.106', '194.117.127.106', 3262480234, 3262480234, 'DE', 'Germany'),
(111535, '194.117.127.107', '194.117.127.107', 3262480235, 3262480235, 'HU', 'Hungary'),
(111536, '194.117.127.108', '194.117.127.108', 3262480236, 3262480236, 'DE', 'Germany'),
(111537, '194.117.127.109', '194.117.127.109', 3262480237, 3262480237, 'PL', 'Poland'),
(111538, '194.117.127.110', '194.117.127.110', 3262480238, 3262480238, 'DE', 'Germany'),
(111539, '194.117.127.111', '194.117.127.111', 3262480239, 3262480239, 'NL', 'Netherlands'),
(111540, '194.117.127.112', '194.117.127.115', 3262480240, 3262480243, 'DE', 'Germany'),
(111541, '194.117.127.116', '194.117.127.116', 3262480244, 3262480244, 'CH', 'Switzerland'),
(111542, '194.117.127.117', '194.117.127.118', 3262480245, 3262480246, 'DE', 'Germany'),
(111543, '194.117.127.119', '194.117.127.119', 3262480247, 3262480247, 'NL', 'Netherlands'),
(111544, '194.117.127.120', '194.117.127.120', 3262480248, 3262480248, 'DE', 'Germany'),
(111545, '194.117.127.121', '194.117.127.121', 3262480249, 3262480249, 'NL', 'Netherlands'),
(111546, '194.117.127.122', '194.117.127.122', 3262480250, 3262480250, 'DE', 'Germany'),
(111547, '194.117.127.123', '194.117.127.123', 3262480251, 3262480251, 'NL', 'Netherlands'),
(111548, '194.117.127.124', '194.117.127.125', 3262480252, 3262480253, 'DE', 'Germany'),
(111549, '194.117.127.126', '194.117.127.126', 3262480254, 3262480254, 'CH', 'Switzerland'),
(111550, '194.117.127.127', '194.117.127.132', 3262480255, 3262480260, 'DE', 'Germany'),
(111551, '194.117.127.133', '194.117.127.133', 3262480261, 3262480261, 'BE', 'Belgium'),
(111552, '194.117.127.134', '194.117.127.136', 3262480262, 3262480264, 'DE', 'Germany'),
(111553, '194.117.127.137', '194.117.127.137', 3262480265, 3262480265, 'GB', 'United Kingdom'),
(111554, '194.117.127.138', '194.117.127.139', 3262480266, 3262480267, 'DE', 'Germany'),
(111555, '194.117.127.140', '194.117.127.140', 3262480268, 3262480268, 'FR', 'France'),
(111556, '194.117.127.141', '194.117.127.141', 3262480269, 3262480269, 'NL', 'Netherlands'),
(111557, '194.117.127.142', '194.117.127.142', 3262480270, 3262480270, 'DE', 'Germany'),
(111558, '194.117.127.143', '194.117.127.143', 3262480271, 3262480271, 'CH', 'Switzerland'),
(111559, '194.117.127.144', '194.117.127.144', 3262480272, 3262480272, 'DK', 'Denmark'),
(111560, '194.117.127.145', '194.117.127.145', 3262480273, 3262480273, 'DE', 'Germany'),
(111561, '194.117.127.146', '194.117.127.146', 3262480274, 3262480274, 'IT', 'Italy'),
(111562, '194.117.127.147', '194.117.127.147', 3262480275, 3262480275, 'BE', 'Belgium'),
(111563, '194.117.127.148', '194.117.127.148', 3262480276, 3262480276, 'ES', 'Spain'),
(111564, '194.117.127.149', '194.117.127.149', 3262480277, 3262480277, 'DE', 'Germany'),
(111565, '194.117.127.150', '194.117.127.150', 3262480278, 3262480278, 'CH', 'Switzerland'),
(111566, '194.117.127.151', '194.117.127.154', 3262480279, 3262480282, 'DE', 'Germany'),
(111567, '194.117.127.155', '194.117.127.155', 3262480283, 3262480283, 'GB', 'United Kingdom'),
(111568, '194.117.127.156', '194.117.127.157', 3262480284, 3262480285, 'DE', 'Germany'),
(111569, '194.117.127.158', '194.117.127.158', 3262480286, 3262480286, 'CH', 'Switzerland'),
(111570, '194.117.127.159', '194.117.127.165', 3262480287, 3262480293, 'DE', 'Germany'),
(111571, '194.117.127.166', '194.117.127.166', 3262480294, 3262480294, 'FR', 'France'),
(111572, '194.117.127.167', '194.117.127.167', 3262480295, 3262480295, 'CH', 'Switzerland'),
(111573, '194.117.127.168', '194.117.127.168', 3262480296, 3262480296, 'NO', 'Norway'),
(111574, '194.117.127.169', '194.117.127.172', 3262480297, 3262480300, 'DE', 'Germany'),
(111575, '194.117.127.173', '194.117.127.173', 3262480301, 3262480301, 'LU', 'Luxembourg'),
(111576, '194.117.127.174', '194.117.127.174', 3262480302, 3262480302, 'DE', 'Germany'),
(111577, '194.117.127.175', '194.117.127.176', 3262480303, 3262480304, 'IT', 'Italy'),
(111578, '194.117.127.177', '194.117.127.177', 3262480305, 3262480305, 'DE', 'Germany'),
(111579, '194.117.127.178', '194.117.127.178', 3262480306, 3262480306, 'AT', 'Austria'),
(111580, '194.117.127.179', '194.117.127.183', 3262480307, 3262480311, 'DE', 'Germany'),
(111581, '194.117.127.184', '194.117.127.184', 3262480312, 3262480312, 'NL', 'Netherlands'),
(111582, '194.117.127.185', '194.117.127.185', 3262480313, 3262480313, 'FR', 'France'),
(111583, '194.117.127.186', '194.117.127.186', 3262480314, 3262480314, 'NL', 'Netherlands'),
(111584, '194.117.127.187', '194.117.127.187', 3262480315, 3262480315, 'DE', 'Germany'),
(111585, '194.117.127.188', '194.117.127.188', 3262480316, 3262480316, 'IT', 'Italy'),
(111586, '194.117.127.189', '194.117.127.189', 3262480317, 3262480317, 'NL', 'Netherlands'),
(111587, '194.117.127.190', '194.117.127.190', 3262480318, 3262480318, 'IT', 'Italy'),
(111588, '194.117.127.191', '194.117.127.191', 3262480319, 3262480319, 'AT', 'Austria'),
(111589, '194.117.127.192', '194.117.127.192', 3262480320, 3262480320, 'DK', 'Denmark'),
(111590, '194.117.127.193', '194.117.127.193', 3262480321, 3262480321, 'DE', 'Germany'),
(111591, '194.117.127.194', '194.117.127.194', 3262480322, 3262480322, 'GB', 'United Kingdom'),
(111592, '194.117.127.195', '194.117.127.196', 3262480323, 3262480324, 'DE', 'Germany'),
(111593, '194.117.127.197', '194.117.127.197', 3262480325, 3262480325, 'ES', 'Spain'),
(111594, '194.117.127.198', '194.117.127.201', 3262480326, 3262480329, 'DE', 'Germany'),
(111595, '194.117.127.202', '194.117.127.202', 3262480330, 3262480330, 'FR', 'France'),
(111596, '194.117.127.203', '194.117.127.203', 3262480331, 3262480331, 'IT', 'Italy'),
(111597, '194.117.127.204', '194.117.127.204', 3262480332, 3262480332, 'DE', 'Germany'),
(111598, '194.117.127.205', '194.117.127.205', 3262480333, 3262480333, 'CH', 'Switzerland'),
(111599, '194.117.127.206', '194.117.127.206', 3262480334, 3262480334, 'DE', 'Germany'),
(111600, '194.117.127.207', '194.117.127.207', 3262480335, 3262480335, 'GB', 'United Kingdom'),
(111601, '194.117.127.208', '194.117.127.208', 3262480336, 3262480336, 'DE', 'Germany'),
(111602, '194.117.127.209', '194.117.127.209', 3262480337, 3262480337, 'NL', 'Netherlands'),
(111603, '194.117.127.210', '194.117.127.212', 3262480338, 3262480340, 'DE', 'Germany'),
(111604, '194.117.127.213', '194.117.127.213', 3262480341, 3262480341, 'CH', 'Switzerland'),
(111605, '194.117.127.214', '194.117.127.214', 3262480342, 3262480342, 'DE', 'Germany'),
(111606, '194.117.127.215', '194.117.127.215', 3262480343, 3262480343, 'DK', 'Denmark'),
(111607, '194.117.127.216', '194.117.127.216', 3262480344, 3262480344, 'DE', 'Germany'),
(111608, '194.117.127.217', '194.117.127.217', 3262480345, 3262480345, 'CH', 'Switzerland'),
(111609, '194.117.127.218', '194.117.127.218', 3262480346, 3262480346, 'DE', 'Germany'),
(111610, '194.117.127.219', '194.117.127.219', 3262480347, 3262480347, 'NL', 'Netherlands'),
(111611, '194.117.127.220', '194.117.127.220', 3262480348, 3262480348, 'IS', 'Iceland'),
(111612, '194.117.127.221', '194.117.127.221', 3262480349, 3262480349, 'AT', 'Austria'),
(111613, '194.117.127.222', '194.117.127.224', 3262480350, 3262480352, 'DE', 'Germany'),
(111614, '194.117.127.225', '194.117.127.225', 3262480353, 3262480353, 'CH', 'Switzerland'),
(111615, '194.117.127.226', '194.117.127.226', 3262480354, 3262480354, 'DE', 'Germany'),
(111616, '194.117.127.227', '194.117.127.227', 3262480355, 3262480355, 'GB', 'United Kingdom'),
(111617, '194.117.127.228', '194.117.127.228', 3262480356, 3262480356, 'DE', 'Germany'),
(111618, '194.117.127.229', '194.117.127.229', 3262480357, 3262480357, 'GB', 'United Kingdom'),
(111619, '194.117.127.230', '194.117.127.231', 3262480358, 3262480359, 'CH', 'Switzerland'),
(111620, '194.117.127.232', '194.117.127.235', 3262480360, 3262480363, 'DE', 'Germany'),
(111621, '194.117.127.236', '194.117.127.236', 3262480364, 3262480364, 'ES', 'Spain'),
(111622, '194.117.127.237', '194.117.127.237', 3262480365, 3262480365, 'DE', 'Germany'),
(111623, '194.117.127.238', '194.117.127.238', 3262480366, 3262480366, 'AT', 'Austria'),
(111624, '194.117.127.239', '194.117.127.239', 3262480367, 3262480367, 'DE', 'Germany'),
(111625, '194.117.127.240', '194.117.127.240', 3262480368, 3262480368, 'GB', 'United Kingdom'),
(111626, '194.117.127.241', '194.117.127.241', 3262480369, 3262480369, 'FR', 'France'),
(111627, '194.117.127.242', '194.117.127.242', 3262480370, 3262480370, 'ES', 'Spain'),
(111628, '194.117.127.243', '194.117.127.243', 3262480371, 3262480371, 'GB', 'United Kingdom'),
(111629, '194.117.127.244', '194.117.127.244', 3262480372, 3262480372, 'DE', 'Germany'),
(111630, '194.117.127.245', '194.117.127.245', 3262480373, 3262480373, 'AT', 'Austria'),
(111631, '194.117.127.246', '194.117.127.246', 3262480374, 3262480374, 'ES', 'Spain'),
(111632, '194.117.127.247', '194.117.127.247', 3262480375, 3262480375, 'NL', 'Netherlands'),
(111633, '194.117.127.248', '194.117.127.248', 3262480376, 3262480376, 'DE', 'Germany'),
(111634, '194.117.127.249', '194.117.127.250', 3262480377, 3262480378, 'IT', 'Italy'),
(111635, '194.117.127.251', '194.117.127.251', 3262480379, 3262480379, 'CH', 'Switzerland'),
(111636, '194.117.127.252', '194.117.127.252', 3262480380, 3262480380, 'GB', 'United Kingdom'),
(111637, '194.117.127.253', '194.117.127.253', 3262480381, 3262480381, 'IT', 'Italy'),
(111638, '194.117.127.254', '194.117.127.254', 3262480382, 3262480382, 'ES', 'Spain'),
(111639, '194.117.127.255', '194.117.127.255', 3262480383, 3262480383, 'DE', 'Germany'),
(111640, '194.117.128.0', '194.117.159.255', 3262480384, 3262488575, 'GB', 'United Kingdom'),
(111641, '194.117.160.0', '194.117.191.255', 3262488576, 3262496767, 'SE', 'Sweden'),
(111642, '194.117.192.0', '194.117.223.255', 3262496768, 3262504959, 'FR', 'France'),
(111643, '194.117.224.0', '194.117.225.255', 3262504960, 3262505471, 'DE', 'Germany'),
(111644, '194.117.226.0', '194.117.227.255', 3262505472, 3262505983, 'GB', 'United Kingdom'),
(111645, '194.117.228.0', '194.117.229.255', 3262505984, 3262506495, 'PL', 'Poland'),
(111646, '194.117.230.0', '194.117.231.255', 3262506496, 3262507007, 'RO', 'Romania'),
(111647, '194.117.232.0', '194.117.233.255', 3262507008, 3262507519, 'DK', 'Denmark'),
(111648, '194.117.234.0', '194.117.239.255', 3262507520, 3262509055, 'RO', 'Romania'),
(111649, '194.117.240.0', '194.117.241.255', 3262509056, 3262509567, 'PL', 'Poland'),
(111650, '194.117.242.0', '194.117.243.255', 3262509568, 3262510079, 'RO', 'Romania'),
(111651, '194.117.244.0', '194.117.247.255', 3262510080, 3262511103, 'FR', 'France'),
(111652, '194.117.248.0', '194.117.249.255', 3262511104, 3262511615, 'GB', 'United Kingdom'),
(111653, '194.117.250.0', '194.117.251.255', 3262511616, 3262512127, 'DE', 'Germany'),
(111654, '194.117.252.0', '194.117.253.255', 3262512128, 3262512639, 'UA', 'Ukraine'),
(111655, '194.117.254.0', '194.117.255.255', 3262512640, 3262513151, 'DE', 'Germany'),
(111656, '194.118.0.0', '194.118.255.255', 3262513152, 3262578687, 'AT', 'Austria'),
(111657, '194.119.0.0', '194.119.127.255', 3262578688, 3262611455, 'FR', 'France'),
(111658, '194.119.128.0', '194.119.191.255', 3262611456, 3262627839, 'GB', 'United Kingdom'),
(111659, '194.119.192.0', '194.119.223.255', 3262627840, 3262636031, 'IT', 'Italy'),
(111660, '194.119.224.0', '194.119.255.255', 3262636032, 3262644223, 'BE', 'Belgium'),
(111661, '194.120.0.0', '194.120.15.255', 3262644224, 3262648319, 'NL', 'Netherlands'),
(111662, '194.120.16.0', '194.120.16.255', 3262648320, 3262648575, 'EU', 'Europe'),
(111663, '194.120.17.0', '194.120.17.255', 3262648576, 3262648831, 'DE', 'Germany'),
(111664, '194.120.18.0', '194.120.21.255', 3262648832, 3262649855, 'NL', 'Netherlands'),
(111665, '194.120.22.0', '194.120.24.255', 3262649856, 3262650623, 'DE', 'Germany'),
(111666, '194.120.25.0', '194.120.39.255', 3262650624, 3262654463, 'NL', 'Netherlands'),
(111667, '194.120.40.0', '194.120.40.255', 3262654464, 3262654719, 'DE', 'Germany'),
(111668, '194.120.41.0', '194.120.42.255', 3262654720, 3262655231, 'NL', 'Netherlands'),
(111669, '194.120.43.0', '194.120.43.255', 3262655232, 3262655487, 'DE', 'Germany'),
(111670, '194.120.44.0', '194.120.54.255', 3262655488, 3262658303, 'NL', 'Netherlands'),
(111671, '194.120.55.0', '194.120.55.255', 3262658304, 3262658559, 'DE', 'Germany'),
(111672, '194.120.56.0', '194.120.65.255', 3262658560, 3262661119, 'NL', 'Netherlands'),
(111673, '194.120.66.0', '194.120.66.255', 3262661120, 3262661375, 'DE', 'Germany'),
(111674, '194.120.67.0', '194.120.79.255', 3262661376, 3262664703, 'NL', 'Netherlands'),
(111675, '194.120.80.0', '194.120.83.255', 3262664704, 3262665727, 'DE', 'Germany'),
(111676, '194.120.84.0', '194.120.84.255', 3262665728, 3262665983, 'EU', 'Europe'),
(111677, '194.120.85.0', '194.120.87.255', 3262665984, 3262666751, 'DE', 'Germany'),
(111678, '194.120.88.0', '194.120.88.255', 3262666752, 3262667007, 'EU', 'Europe'),
(111679, '194.120.89.0', '194.120.105.255', 3262667008, 3262671359, 'DE', 'Germany'),
(111680, '194.120.106.0', '194.120.108.255', 3262671360, 3262672127, 'NL', 'Netherlands'),
(111681, '194.120.109.0', '194.120.111.255', 3262672128, 3262672895, 'DE', 'Germany'),
(111682, '194.120.112.0', '194.120.115.255', 3262672896, 3262673919, 'NL', 'Netherlands'),
(111683, '194.120.116.0', '194.120.116.255', 3262673920, 3262674175, 'DE', 'Germany'),
(111684, '194.120.117.0', '194.120.118.255', 3262674176, 3262674687, 'NL', 'Netherlands'),
(111685, '194.120.119.0', '194.120.119.255', 3262674688, 3262674943, 'DE', 'Germany'),
(111686, '194.120.120.0', '194.120.125.255', 3262674944, 3262676479, 'NL', 'Netherlands'),
(111687, '194.120.126.0', '194.120.126.255', 3262676480, 3262676735, 'DE', 'Germany'),
(111688, '194.120.127.0', '194.120.132.255', 3262676736, 3262678271, 'NL', 'Netherlands'),
(111689, '194.120.133.0', '194.120.133.255', 3262678272, 3262678527, 'DE', 'Germany'),
(111690, '194.120.134.0', '194.120.143.255', 3262678528, 3262681087, 'NL', 'Netherlands'),
(111691, '194.120.144.0', '194.120.144.255', 3262681088, 3262681343, 'DE', 'Germany'),
(111692, '194.120.145.0', '194.120.149.255', 3262681344, 3262682623, 'NL', 'Netherlands'),
(111693, '194.120.150.0', '194.120.150.255', 3262682624, 3262682879, 'DE', 'Germany'),
(111694, '194.120.151.0', '194.120.162.255', 3262682880, 3262685951, 'NL', 'Netherlands'),
(111695, '194.120.163.0', '194.120.164.255', 3262685952, 3262686463, 'DE', 'Germany'),
(111696, '194.120.165.0', '194.120.169.255', 3262686464, 3262687743, 'NL', 'Netherlands'),
(111697, '194.120.170.0', '194.120.171.255', 3262687744, 3262688255, 'DE', 'Germany'),
(111698, '194.120.172.0', '194.120.172.255', 3262688256, 3262688511, 'NL', 'Netherlands'),
(111699, '194.120.173.0', '194.120.173.255', 3262688512, 3262688767, 'DE', 'Germany'),
(111700, '194.120.174.0', '194.120.181.255', 3262688768, 3262690815, 'NL', 'Netherlands'),
(111701, '194.120.182.0', '194.120.184.255', 3262690816, 3262691583, 'DE', 'Germany'),
(111702, '194.120.185.0', '194.120.188.255', 3262691584, 3262692607, 'NL', 'Netherlands'),
(111703, '194.120.189.0', '194.120.189.255', 3262692608, 3262692863, 'DE', 'Germany'),
(111704, '194.120.190.0', '194.120.191.255', 3262692864, 3262693375, 'NL', 'Netherlands'),
(111705, '194.120.192.0', '194.120.223.255', 3262693376, 3262701567, 'DE', 'Germany'),
(111706, '194.120.224.0', '194.120.229.255', 3262701568, 3262703103, 'NL', 'Netherlands'),
(111707, '194.120.230.0', '194.120.231.255', 3262703104, 3262703615, 'DE', 'Germany'),
(111708, '194.120.232.0', '194.120.233.255', 3262703616, 3262704127, 'NL', 'Netherlands'),
(111709, '194.120.234.0', '194.120.234.255', 3262704128, 3262704383, 'DE', 'Germany'),
(111710, '194.120.235.0', '194.120.248.95', 3262704384, 3262707807, 'NL', 'Netherlands'),
(111711, '194.120.248.96', '194.120.248.127', 3262707808, 3262707839, 'DE', 'Germany'),
(111712, '194.120.248.128', '194.120.248.255', 3262707840, 3262707967, 'NL', 'Netherlands'),
(111713, '194.120.249.0', '194.120.249.255', 3262707968, 3262708223, 'DE', 'Germany'),
(111714, '194.120.250.0', '194.120.255.255', 3262708224, 3262709759, 'NL', 'Netherlands'),
(111715, '194.121.0.0', '194.121.0.255', 3262709760, 3262710015, 'DE', 'Germany'),
(111716, '194.121.1.0', '194.121.1.255', 3262710016, 3262710271, 'NL', 'Netherlands'),
(111717, '194.121.2.0', '194.121.2.255', 3262710272, 3262710527, 'DE', 'Germany'),
(111718, '194.121.3.0', '194.121.10.255', 3262710528, 3262712575, 'NL', 'Netherlands'),
(111719, '194.121.11.0', '194.121.11.255', 3262712576, 3262712831, 'DE', 'Germany'),
(111720, '194.121.12.0', '194.121.20.255', 3262712832, 3262715135, 'NL', 'Netherlands'),
(111721, '194.121.21.0', '194.121.21.255', 3262715136, 3262715391, 'DE', 'Germany'),
(111722, '194.121.22.0', '194.121.25.255', 3262715392, 3262716415, 'NL', 'Netherlands'),
(111723, '194.121.26.0', '194.121.26.255', 3262716416, 3262716671, 'DE', 'Germany'),
(111724, '194.121.27.0', '194.121.45.255', 3262716672, 3262721535, 'NL', 'Netherlands'),
(111725, '194.121.46.0', '194.121.46.255', 3262721536, 3262721791, 'DE', 'Germany'),
(111726, '194.121.47.0', '194.121.47.255', 3262721792, 3262722047, 'NL', 'Netherlands'),
(111727, '194.121.48.0', '194.121.51.255', 3262722048, 3262723071, 'DE', 'Germany'),
(111728, '194.121.52.0', '194.121.55.255', 3262723072, 3262724095, 'NL', 'Netherlands'),
(111729, '194.121.56.0', '194.121.56.255', 3262724096, 3262724351, 'DE', 'Germany'),
(111730, '194.121.57.0', '194.121.58.255', 3262724352, 3262724863, 'NL', 'Netherlands'),
(111731, '194.121.59.0', '194.121.59.255', 3262724864, 3262725119, 'DE', 'Germany'),
(111732, '194.121.60.0', '194.121.61.255', 3262725120, 3262725631, 'NL', 'Netherlands'),
(111733, '194.121.62.0', '194.121.63.255', 3262725632, 3262726143, 'DE', 'Germany'),
(111734, '194.121.64.0', '194.121.65.255', 3262726144, 3262726655, 'NL', 'Netherlands'),
(111735, '194.121.66.0', '194.121.66.255', 3262726656, 3262726911, 'DE', 'Germany'),
(111736, '194.121.67.0', '194.121.89.255', 3262726912, 3262732799, 'NL', 'Netherlands'),
(111737, '194.121.90.0', '194.121.90.255', 3262732800, 3262733055, 'DE', 'Germany'),
(111738, '194.121.91.0', '194.121.103.255', 3262733056, 3262736383, 'NL', 'Netherlands'),
(111739, '194.121.104.0', '194.121.105.255', 3262736384, 3262736895, 'DE', 'Germany'),
(111740, '194.121.106.0', '194.121.122.255', 3262736896, 3262741247, 'NL', 'Netherlands'),
(111741, '194.121.123.0', '194.121.123.255', 3262741248, 3262741503, 'DE', 'Germany'),
(111742, '194.121.124.0', '194.121.171.255', 3262741504, 3262753791, 'NL', 'Netherlands'),
(111743, '194.121.172.0', '194.121.175.255', 3262753792, 3262754815, 'DE', 'Germany'),
(111744, '194.121.176.0', '194.121.202.255', 3262754816, 3262761727, 'NL', 'Netherlands'),
(111745, '194.121.203.0', '194.121.203.255', 3262761728, 3262761983, 'DE', 'Germany'),
(111746, '194.121.204.0', '194.121.219.255', 3262761984, 3262766079, 'NL', 'Netherlands'),
(111747, '194.121.220.0', '194.121.220.7', 3262766080, 3262766087, 'DE', 'Germany'),
(111748, '194.121.220.8', '194.121.253.255', 3262766088, 3262774783, 'NL', 'Netherlands'),
(111749, '194.121.254.0', '194.121.255.255', 3262774784, 3262775295, 'DE', 'Germany'),
(111750, '194.122.0.0', '194.122.76.63', 3262775296, 3262794815, 'NL', 'Netherlands'),
(111751, '194.122.76.64', '194.122.76.255', 3262794816, 3262795007, 'DE', 'Germany'),
(111752, '194.122.77.0', '194.122.83.255', 3262795008, 3262796799, 'NL', 'Netherlands'),
(111753, '194.122.84.0', '194.122.84.255', 3262796800, 3262797055, 'DE', 'Germany'),
(111754, '194.122.85.0', '194.122.130.255', 3262797056, 3262808831, 'NL', 'Netherlands'),
(111755, '194.122.131.0', '194.122.131.255', 3262808832, 3262809087, 'DE', 'Germany'),
(111756, '194.122.132.0', '194.122.223.255', 3262809088, 3262832639, 'NL', 'Netherlands'),
(111757, '194.122.224.0', '194.122.253.255', 3262832640, 3262840319, 'DE', 'Germany'),
(111758, '194.122.254.0', '194.123.7.0', 3262840320, 3262842624, 'NL', 'Netherlands'),
(111759, '194.123.7.1', '194.123.7.1', 3262842625, 3262842625, 'DE', 'Germany'),
(111760, '194.123.7.2', '194.123.121.255', 3262842626, 3262872063, 'NL', 'Netherlands'),
(111761, '194.123.122.0', '194.123.122.63', 3262872064, 3262872127, 'DE', 'Germany'),
(111762, '194.123.122.64', '194.123.122.95', 3262872128, 3262872159, 'NL', 'Netherlands'),
(111763, '194.123.122.96', '194.123.122.127', 3262872160, 3262872191, 'DE', 'Germany'),
(111764, '194.123.122.128', '194.123.122.191', 3262872192, 3262872255, 'NL', 'Netherlands'),
(111765, '194.123.122.192', '194.123.122.207', 3262872256, 3262872271, 'DE', 'Germany'),
(111766, '194.123.122.208', '194.123.122.211', 3262872272, 3262872275, 'NL', 'Netherlands'),
(111767, '194.123.122.212', '194.123.122.215', 3262872276, 3262872279, 'DE', 'Germany'),
(111768, '194.123.122.216', '194.123.122.243', 3262872280, 3262872307, 'NL', 'Netherlands'),
(111769, '194.123.122.244', '194.123.122.244', 3262872308, 3262872308, 'DE', 'Germany'),
(111770, '194.123.122.245', '194.123.122.245', 3262872309, 3262872309, 'NL', 'Netherlands'),
(111771, '194.123.122.246', '194.123.122.249', 3262872310, 3262872313, 'DE', 'Germany'),
(111772, '194.123.122.250', '194.123.163.255', 3262872314, 3262882815, 'NL', 'Netherlands'),
(111773, '194.123.164.0', '194.123.164.255', 3262882816, 3262883071, 'DE', 'Germany'),
(111774, '194.123.165.0', '194.123.255.255', 3262883072, 3262906367, 'NL', 'Netherlands'),
(111775, '194.124.0.0', '194.124.228.255', 3262906368, 3262964991, 'CH', 'Switzerland'),
(111776, '194.124.229.0', '194.124.229.255', 3262964992, 3262965247, 'DE', 'Germany'),
(111777, '194.124.230.0', '194.124.255.255', 3262965248, 3262971903, 'CH', 'Switzerland'),
(111778, '194.125.0.0', '194.125.223.255', 3262971904, 3263029247, 'IE', 'Ireland'),
(111779, '194.125.224.0', '194.125.227.255', 3263029248, 3263030271, 'UA', 'Ukraine'),
(111780, '194.125.228.0', '194.125.231.255', 3263030272, 3263031295, 'GB', 'United Kingdom'),
(111781, '194.125.232.0', '194.125.235.255', 3263031296, 3263032319, 'TR', 'Turkey'),
(111782, '194.125.236.0', '194.125.239.255', 3263032320, 3263033343, 'RU', 'Russian Federation'),
(111783, '194.125.240.0', '194.125.241.255', 3263033344, 3263033855, 'LV', 'Latvia'),
(111784, '194.125.242.0', '194.125.243.255', 3263033856, 3263034367, 'IT', 'Italy'),
(111785, '194.125.244.0', '194.125.245.255', 3263034368, 3263034879, 'UA', 'Ukraine'),
(111786, '194.125.246.0', '194.125.247.255', 3263034880, 3263035391, 'GB', 'United Kingdom'),
(111787, '194.125.248.0', '194.125.249.255', 3263035392, 3263035903, 'UA', 'Ukraine'),
(111788, '194.125.250.0', '194.125.251.255', 3263035904, 3263036415, 'CH', 'Switzerland'),
(111789, '194.125.252.0', '194.125.253.255', 3263036416, 3263036927, 'GR', 'Greece'),
(111790, '194.125.254.0', '194.125.255.255', 3263036928, 3263037439, 'RU', 'Russian Federation'),
(111791, '194.126.0.0', '194.126.31.255', 3263037440, 3263045631, 'LB', 'Lebanon'),
(111792, '194.126.32.0', '194.126.36.191', 3263045632, 3263046847, 'KW', 'Kuwait'),
(111793, '194.126.36.192', '194.126.36.255', 3263046848, 3263046911, 'IQ', 'Iraq'),
(111794, '194.126.37.0', '194.126.40.255', 3263046912, 3263047935, 'KW', 'Kuwait'),
(111795, '194.126.41.0', '194.126.41.255', 3263047936, 3263048191, 'LB', 'Lebanon'),
(111796, '194.126.42.0', '194.126.63.255', 3263048192, 3263053823, 'KW', 'Kuwait'),
(111797, '194.126.64.0', '194.126.95.255', 3263053824, 3263062015, 'GB', 'United Kingdom'),
(111798, '194.126.96.0', '194.126.127.255', 3263062016, 3263070207, 'EE', 'Estonia'),
(111799, '194.126.128.0', '194.126.129.255', 3263070208, 3263070719, 'FR', 'France'),
(111800, '194.126.130.0', '194.126.130.255', 3263070720, 3263070975, 'NL', 'Netherlands'),
(111801, '194.126.131.0', '194.126.132.255', 3263070976, 3263071487, 'DE', 'Germany'),
(111802, '194.126.133.0', '194.126.135.255', 3263071488, 3263072255, 'NL', 'Netherlands'),
(111803, '194.126.136.0', '194.126.143.255', 3263072256, 3263074303, 'LB', 'Lebanon'),
(111804, '194.126.144.0', '194.126.145.255', 3263074304, 3263074815, 'CH', 'Switzerland'),
(111805, '194.126.146.0', '194.126.147.255', 3263074816, 3263075327, 'RO', 'Romania'),
(111806, '194.126.148.0', '194.126.149.255', 3263075328, 3263075839, 'IT', 'Italy'),
(111807, '194.126.150.0', '194.126.151.255', 3263075840, 3263076351, 'SE', 'Sweden'),
(111808, '194.126.152.0', '194.126.153.255', 3263076352, 3263076863, 'RO', 'Romania'),
(111809, '194.126.154.0', '194.126.155.255', 3263076864, 3263077375, 'IT', 'Italy'),
(111810, '194.126.156.0', '194.126.157.255', 3263077376, 3263077887, 'FR', 'France'),
(111811, '194.126.158.0', '194.126.159.255', 3263077888, 3263078399, 'DE', 'Germany'),
(111812, '194.126.160.0', '194.126.163.255', 3263078400, 3263079423, 'RO', 'Romania'),
(111813, '194.126.164.0', '194.126.167.255', 3263079424, 3263080447, 'PL', 'Poland'),
(111814, '194.126.168.0', '194.126.171.255', 3263080448, 3263081471, 'RU', 'Russian Federation'),
(111815, '194.126.172.0', '194.126.175.255', 3263081472, 3263082495, 'NL', 'Netherlands'),
(111816, '194.126.176.0', '194.126.179.255', 3263082496, 3263083519, 'RO', 'Romania'),
(111817, '194.126.180.0', '194.126.183.255', 3263083520, 3263084543, 'UA', 'Ukraine'),
(111818, '194.126.184.0', '194.126.187.255', 3263084544, 3263085567, 'RO', 'Romania'),
(111819, '194.126.188.0', '194.126.191.255', 3263085568, 3263086591, 'CH', 'Switzerland'),
(111820, '194.126.192.0', '194.126.192.255', 3263086592, 3263086847, 'DK', 'Denmark'),
(111821, '194.126.193.0', '194.126.193.255', 3263086848, 3263087103, 'NL', 'Netherlands'),
(111822, '194.126.194.0', '194.126.196.255', 3263087104, 3263087871, 'DE', 'Germany'),
(111823, '194.126.197.0', '194.126.197.255', 3263087872, 3263088127, 'SI', 'Slovenia'),
(111824, '194.126.198.0', '194.126.198.255', 3263088128, 3263088383, 'DE', 'Germany'),
(111825, '194.126.200.0', '194.126.201.255', 3263088640, 3263089151, 'CH', 'Switzerland'),
(111826, '194.126.202.0', '194.126.202.255', 3263089152, 3263089407, 'RO', 'Romania'),
(111827, '194.126.203.0', '194.126.203.255', 3263089408, 3263089663, 'RU', 'Russian Federation'),
(111828, '194.126.204.0', '194.126.204.255', 3263089664, 3263089919, 'UA', 'Ukraine'),
(111829, '194.126.205.0', '194.126.205.255', 3263089920, 3263090175, 'RO', 'Romania'),
(111830, '194.126.206.0', '194.126.206.255', 3263090176, 3263090431, 'DE', 'Germany'),
(111831, '194.126.207.0', '194.126.207.255', 3263090432, 3263090687, 'PL', 'Poland'),
(111832, '194.126.208.0', '194.126.208.255', 3263090688, 3263090943, 'DE', 'Germany'),
(111833, '194.126.209.0', '194.126.209.255', 3263090944, 3263091199, 'GB', 'United Kingdom'),
(111834, '194.126.210.0', '194.126.210.255', 3263091200, 3263091455, 'PL', 'Poland'),
(111835, '194.126.211.0', '194.126.211.255', 3263091456, 3263091711, 'NO', 'Norway'),
(111836, '194.126.212.0', '194.126.212.255', 3263091712, 3263091967, 'FI', 'Finland'),
(111837, '194.126.213.0', '194.126.214.255', 3263091968, 3263092479, 'HR', 'Croatia'),
(111838, '194.126.215.0', '194.126.215.255', 3263092480, 3263092735, 'ES', 'Spain'),
(111839, '194.126.216.0', '194.126.216.255', 3263092736, 3263092991, 'PL', 'Poland'),
(111840, '194.126.217.0', '194.126.217.255', 3263092992, 3263093247, 'FR', 'France'),
(111841, '194.126.218.0', '194.126.218.255', 3263093248, 3263093503, 'CH', 'Switzerland'),
(111842, '194.126.219.0', '194.126.219.255', 3263093504, 3263093759, 'RU', 'Russian Federation'),
(111843, '194.126.220.0', '194.126.220.255', 3263093760, 3263094015, 'RO', 'Romania'),
(111844, '194.126.221.0', '194.126.222.255', 3263094016, 3263094527, 'PL', 'Poland'),
(111845, '194.126.223.0', '194.126.223.255', 3263094528, 3263094783, 'DK', 'Denmark'),
(111846, '194.126.224.0', '194.126.224.255', 3263094784, 3263095039, 'UA', 'Ukraine'),
(111847, '194.126.225.0', '194.126.225.255', 3263095040, 3263095295, 'ES', 'Spain'),
(111848, '194.126.226.0', '194.126.226.255', 3263095296, 3263095551, 'EU', 'Europe'),
(111849, '194.126.227.0', '194.126.227.255', 3263095552, 3263095807, 'RO', 'Romania'),
(111850, '194.126.228.0', '194.126.228.255', 3263095808, 3263096063, 'DE', 'Germany'),
(111851, '194.126.229.0', '194.126.229.255', 3263096064, 3263096319, 'PL', 'Poland'),
(111852, '194.126.230.0', '194.126.230.255', 3263096320, 3263096575, 'TR', 'Turkey'),
(111853, '194.126.231.0', '194.126.231.255', 3263096576, 3263096831, 'SA', 'Saudi Arabia'),
(111854, '194.126.232.0', '194.126.232.255', 3263096832, 3263097087, 'PL', 'Poland'),
(111855, '194.126.233.0', '194.126.233.255', 3263097088, 3263097343, 'FR', 'France'),
(111856, '194.126.234.0', '194.126.234.255', 3263097344, 3263097599, 'DK', 'Denmark'),
(111857, '194.126.235.0', '194.126.235.255', 3263097600, 3263097855, 'NL', 'Netherlands'),
(111858, '194.126.236.0', '194.126.236.255', 3263097856, 3263098111, 'FR', 'France'),
(111859, '194.126.237.0', '194.126.237.255', 3263098112, 3263098367, 'DE', 'Germany'),
(111860, '194.126.238.0', '194.126.238.255', 3263098368, 3263098623, 'PL', 'Poland'),
(111861, '194.126.239.0', '194.126.239.255', 3263098624, 3263098879, 'DE', 'Germany'),
(111862, '194.126.240.0', '194.126.240.255', 3263098880, 3263099135, 'GB', 'United Kingdom'),
(111863, '194.126.241.0', '194.126.241.255', 3263099136, 3263099391, 'NL', 'Netherlands'),
(111864, '194.126.242.0', '194.126.243.255', 3263099392, 3263099903, 'DE', 'Germany'),
(111865, '194.126.244.0', '194.126.244.255', 3263099904, 3263100159, 'RO', 'Romania'),
(111866, '194.126.245.0', '194.126.245.255', 3263100160, 3263100415, 'FR', 'France'),
(111867, '194.126.246.0', '194.126.246.255', 3263100416, 3263100671, 'DE', 'Germany'),
(111868, '194.126.247.0', '194.126.247.255', 3263100672, 3263100927, 'GB', 'United Kingdom'),
(111869, '194.126.248.0', '194.126.248.255', 3263100928, 3263101183, 'AT', 'Austria'),
(111870, '194.126.249.0', '194.126.249.255', 3263101184, 3263101439, 'SE', 'Sweden'),
(111871, '194.126.250.0', '194.126.250.255', 3263101440, 3263101695, 'DK', 'Denmark'),
(111872, '194.126.251.0', '194.126.251.255', 3263101696, 3263101951, 'RU', 'Russian Federation'),
(111873, '194.126.252.0', '194.126.252.255', 3263101952, 3263102207, 'LT', 'Lithuania'),
(111874, '194.126.253.0', '194.126.253.255', 3263102208, 3263102463, 'RO', 'Romania'),
(111875, '194.126.254.0', '194.126.254.255', 3263102464, 3263102719, 'PL', 'Poland'),
(111876, '194.126.255.0', '194.126.255.255', 3263102720, 3263102975, 'GR', 'Greece'),
(111877, '194.127.0.0', '194.127.71.255', 3263102976, 3263121407, 'DE', 'Germany'),
(111878, '194.127.72.0', '194.127.72.12', 3263121408, 3263121420, 'EU', 'Europe'),
(111879, '194.127.72.13', '194.127.72.13', 3263121421, 3263121421, 'BE', 'Belgium'),
(111880, '194.127.72.14', '194.127.72.255', 3263121422, 3263121663, 'EU', 'Europe'),
(111881, '194.127.73.0', '194.127.135.255', 3263121664, 3263137791, 'DE', 'Germany'),
(111882, '194.127.136.0', '194.127.137.255', 3263137792, 3263138303, 'PL', 'Poland'),
(111883, '194.127.138.0', '194.127.138.247', 3263138304, 3263138551, 'DE', 'Germany'),
(111884, '194.127.138.248', '194.127.139.255', 3263138552, 3263138815, 'AT', 'Austria'),
(111885, '194.127.140.0', '194.127.255.255', 3263138816, 3263168511, 'DE', 'Germany'),
(111886, '194.128.0.0', '194.131.255.255', 3263168512, 3263430655, 'GB', 'United Kingdom'),
(111887, '194.132.0.0', '194.132.22.255', 3263430656, 3263436543, 'SE', 'Sweden'),
(111888, '194.132.23.0', '194.132.23.255', 3263436544, 3263436799, 'ES', 'Spain'),
(111889, '194.132.24.0', '194.132.25.255', 3263436800, 3263437311, 'GB', 'United Kingdom'),
(111890, '194.132.26.0', '194.132.106.255', 3263437312, 3263458047, 'SE', 'Sweden'),
(111891, '194.132.107.0', '194.132.107.255', 3263458048, 3263458303, 'DE', 'Germany'),
(111892, '194.132.108.0', '194.132.112.255', 3263458304, 3263459583, 'SE', 'Sweden'),
(111893, '194.132.113.0', '194.132.113.255', 3263459584, 3263459839, 'FR', 'France'),
(111894, '194.132.114.0', '194.132.120.255', 3263459840, 3263461631, 'SE', 'Sweden'),
(111895, '194.132.121.0', '194.132.121.255', 3263461632, 3263461887, 'AE', 'United Arab Emirates'),
(111896, '194.132.122.0', '194.132.151.255', 3263461888, 3263469567, 'SE', 'Sweden'),
(111897, '194.132.152.0', '194.132.155.255', 3263469568, 3263470591, 'SG', 'Singapore'),
(111898, '194.132.156.0', '194.132.161.255', 3263470592, 3263472127, 'SE', 'Sweden'),
(111899, '194.132.162.0', '194.132.162.255', 3263472128, 3263472383, 'SG', 'Singapore'),
(111900, '194.132.163.0', '194.132.175.255', 3263472384, 3263475711, 'SE', 'Sweden'),
(111901, '194.132.176.0', '194.132.179.255', 3263475712, 3263476735, 'JP', 'Japan'),
(111902, '194.132.180.0', '194.132.183.255', 3263476736, 3263477759, 'SE', 'Sweden'),
(111903, '194.132.184.0', '194.132.184.255', 3263477760, 3263478015, 'JP', 'Japan'),
(111904, '194.132.185.0', '194.132.185.255', 3263478016, 3263478271, 'AU', 'Australia'),
(111905, '194.132.186.0', '194.132.186.255', 3263478272, 3263478527, 'SE', 'Sweden'),
(111906, '194.132.187.0', '194.132.187.255', 3263478528, 3263478783, 'ES', 'Spain'),
(111907, '194.132.188.0', '194.132.195.255', 3263478784, 3263480831, 'SE', 'Sweden'),
(111908, '194.132.196.0', '194.132.199.255', 3263480832, 3263481855, 'JP', 'Japan'),
(111909, '194.132.200.0', '194.132.255.255', 3263481856, 3263496191, 'SE', 'Sweden'),
(111910, '194.133.0.0', '194.133.6.255', 3263496192, 3263497983, 'EU', 'Europe'),
(111911, '194.133.7.0', '194.133.7.255', 3263497984, 3263498239, 'GB', 'United Kingdom'),
(111912, '194.133.8.0', '194.133.9.255', 3263498240, 3263498751, 'EU', 'Europe'),
(111913, '194.133.10.0', '194.133.10.127', 3263498752, 3263498879, 'US', 'United States'),
(111914, '194.133.10.128', '194.133.10.191', 3263498880, 3263498943, 'GB', 'United Kingdom'),
(111915, '194.133.10.192', '194.133.10.207', 3263498944, 3263498959, 'EU', 'Europe'),
(111916, '194.133.10.208', '194.133.10.255', 3263498960, 3263499007, 'GB', 'United Kingdom'),
(111917, '194.133.11.0', '194.133.13.255', 3263499008, 3263499775, 'EU', 'Europe'),
(111918, '194.133.14.0', '194.133.14.255', 3263499776, 3263500031, 'FR', 'France'),
(111919, '194.133.15.0', '194.133.15.255', 3263500032, 3263500287, 'GB', 'United Kingdom'),
(111920, '194.133.16.0', '194.133.19.255', 3263500288, 3263501311, 'EU', 'Europe'),
(111921, '194.133.20.0', '194.133.20.29', 3263501312, 3263501341, 'GB', 'United Kingdom'),
(111922, '194.133.20.30', '194.133.20.31', 3263501342, 3263501343, 'EU', 'Europe'),
(111923, '194.133.20.32', '194.133.20.127', 3263501344, 3263501439, 'GB', 'United Kingdom'),
(111924, '194.133.20.128', '194.133.20.191', 3263501440, 3263501503, 'US', 'United States'),
(111925, '194.133.20.192', '194.133.20.207', 3263501504, 3263501519, 'GB', 'United Kingdom'),
(111926, '194.133.20.208', '194.133.20.215', 3263501520, 3263501527, 'IE', 'Ireland'),
(111927, '194.133.20.216', '194.133.20.223', 3263501528, 3263501535, 'GB', 'United Kingdom'),
(111928, '194.133.20.224', '194.133.20.239', 3263501536, 3263501551, 'DE', 'Germany'),
(111929, '194.133.20.240', '194.133.21.255', 3263501552, 3263501823, 'GB', 'United Kingdom'),
(111930, '194.133.22.0', '194.133.27.31', 3263501824, 3263503135, 'EU', 'Europe'),
(111931, '194.133.27.32', '194.133.27.63', 3263503136, 3263503167, 'DE', 'Germany'),
(111932, '194.133.27.64', '194.133.27.95', 3263503168, 3263503199, 'EU', 'Europe'),
(111933, '194.133.27.96', '194.133.27.163', 3263503200, 3263503267, 'DE', 'Germany'),
(111934, '194.133.27.164', '194.133.27.167', 3263503268, 3263503271, 'EU', 'Europe'),
(111935, '194.133.27.168', '194.133.27.175', 3263503272, 3263503279, 'DE', 'Germany'),
(111936, '194.133.27.176', '194.133.27.191', 3263503280, 3263503295, 'EU', 'Europe'),
(111937, '194.133.27.192', '194.133.27.255', 3263503296, 3263503359, 'DE', 'Germany'),
(111938, '194.133.28.0', '194.133.30.255', 3263503360, 3263504127, 'EU', 'Europe'),
(111939, '194.133.31.0', '194.133.31.127', 3263504128, 3263504255, 'EG', 'Egypt'),
(111940, '194.133.31.128', '194.133.40.255', 3263504256, 3263506687, 'EU', 'Europe'),
(111941, '194.133.41.0', '194.133.41.127', 3263506688, 3263506815, 'DE', 'Germany'),
(111942, '194.133.41.128', '194.133.41.255', 3263506816, 3263506943, 'US', 'United States'),
(111943, '194.133.42.0', '194.133.42.255', 3263506944, 3263507199, 'EU', 'Europe'),
(111944, '194.133.43.0', '194.133.43.255', 3263507200, 3263507455, 'US', 'United States'),
(111945, '194.133.44.0', '194.133.52.255', 3263507456, 3263509759, 'EU', 'Europe'),
(111946, '194.133.53.0', '194.133.53.31', 3263509760, 3263509791, 'GB', 'United Kingdom'),
(111947, '194.133.53.32', '194.133.53.47', 3263509792, 3263509807, 'IE', 'Ireland'),
(111948, '194.133.53.48', '194.133.53.71', 3263509808, 3263509831, 'GB', 'United Kingdom'),
(111949, '194.133.53.72', '194.133.53.79', 3263509832, 3263509839, 'FR', 'France'),
(111950, '194.133.53.80', '194.133.53.87', 3263509840, 3263509847, 'GB', 'United Kingdom'),
(111951, '194.133.53.88', '194.133.53.127', 3263509848, 3263509887, 'US', 'United States'),
(111952, '194.133.53.128', '194.133.54.7', 3263509888, 3263510023, 'GB', 'United Kingdom'),
(111953, '194.133.54.8', '194.133.54.15', 3263510024, 3263510031, 'BE', 'Belgium'),
(111954, '194.133.54.16', '194.133.54.47', 3263510032, 3263510063, 'GB', 'United Kingdom'),
(111955, '194.133.54.48', '194.133.54.63', 3263510064, 3263510079, 'US', 'United States'),
(111956, '194.133.54.64', '194.133.54.255', 3263510080, 3263510271, 'GB', 'United Kingdom'),
(111957, '194.133.55.0', '194.133.58.255', 3263510272, 3263511295, 'EU', 'Europe'),
(111958, '194.133.59.0', '194.133.59.255', 3263511296, 3263511551, 'GB', 'United Kingdom'),
(111959, '194.133.60.0', '194.133.61.255', 3263511552, 3263512063, 'EU', 'Europe'),
(111960, '194.133.62.0', '194.133.62.247', 3263512064, 3263512311, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(111961, '194.133.62.248', '194.133.66.255', 3263512312, 3263513343, 'EU', 'Europe'),
(111962, '194.133.67.0', '194.133.67.255', 3263513344, 3263513599, 'US', 'United States'),
(111963, '194.133.68.0', '194.133.79.255', 3263513600, 3263516671, 'EU', 'Europe'),
(111964, '194.133.80.0', '194.133.80.255', 3263516672, 3263516927, 'US', 'United States'),
(111965, '194.133.81.0', '194.133.81.255', 3263516928, 3263517183, 'GB', 'United Kingdom'),
(111966, '194.133.82.0', '194.133.83.255', 3263517184, 3263517695, 'EU', 'Europe'),
(111967, '194.133.84.0', '194.133.84.255', 3263517696, 3263517951, 'US', 'United States'),
(111968, '194.133.85.0', '194.133.86.255', 3263517952, 3263518463, 'GB', 'United Kingdom'),
(111969, '194.133.87.0', '194.133.87.255', 3263518464, 3263518719, 'FR', 'France'),
(111970, '194.133.88.0', '194.133.88.31', 3263518720, 3263518751, 'IE', 'Ireland'),
(111971, '194.133.88.32', '194.133.91.255', 3263518752, 3263519743, 'EU', 'Europe'),
(111972, '194.133.92.0', '194.133.92.15', 3263519744, 3263519759, 'GB', 'United Kingdom'),
(111973, '194.133.92.16', '194.133.93.255', 3263519760, 3263520255, 'EU', 'Europe'),
(111974, '194.133.94.0', '194.133.94.255', 3263520256, 3263520511, 'FR', 'France'),
(111975, '194.133.95.0', '194.133.95.255', 3263520512, 3263520767, 'US', 'United States'),
(111976, '194.133.96.0', '194.133.104.255', 3263520768, 3263523071, 'EU', 'Europe'),
(111977, '194.133.105.0', '194.133.106.255', 3263523072, 3263523583, 'DE', 'Germany'),
(111978, '194.133.107.0', '194.133.115.127', 3263523584, 3263525759, 'EU', 'Europe'),
(111979, '194.133.115.128', '194.133.115.255', 3263525760, 3263525887, 'DE', 'Germany'),
(111980, '194.133.116.0', '194.133.116.255', 3263525888, 3263526143, 'ZA', 'South Africa'),
(111981, '194.133.117.0', '194.133.121.255', 3263526144, 3263527423, 'EU', 'Europe'),
(111982, '194.133.122.0', '194.133.122.255', 3263527424, 3263527679, 'ZW', 'Zimbabwe'),
(111983, '194.133.123.0', '194.133.123.255', 3263527680, 3263527935, 'DE', 'Germany'),
(111984, '194.133.124.0', '194.133.124.255', 3263527936, 3263528191, 'EU', 'Europe'),
(111985, '194.133.125.0', '194.133.125.255', 3263528192, 3263528447, 'FR', 'France'),
(111986, '194.133.126.0', '194.133.133.255', 3263528448, 3263530495, 'EU', 'Europe'),
(111987, '194.133.134.0', '194.133.134.255', 3263530496, 3263530751, 'GB', 'United Kingdom'),
(111988, '194.133.135.0', '194.133.137.255', 3263530752, 3263531519, 'EU', 'Europe'),
(111989, '194.133.138.0', '194.133.138.15', 3263531520, 3263531535, 'DE', 'Germany'),
(111990, '194.133.138.16', '194.133.138.31', 3263531536, 3263531551, 'EU', 'Europe'),
(111991, '194.133.138.32', '194.133.138.255', 3263531552, 3263531775, 'DE', 'Germany'),
(111992, '194.133.139.0', '194.133.163.255', 3263531776, 3263538175, 'EU', 'Europe'),
(111993, '194.133.164.0', '194.133.164.255', 3263538176, 3263538431, 'TR', 'Turkey'),
(111994, '194.133.165.0', '194.133.171.255', 3263538432, 3263540223, 'EU', 'Europe'),
(111995, '194.133.172.0', '194.133.172.255', 3263540224, 3263540479, 'TR', 'Turkey'),
(111996, '194.133.173.0', '194.133.173.255', 3263540480, 3263540735, 'GB', 'United Kingdom'),
(111997, '194.133.174.0', '194.133.176.255', 3263540736, 3263541503, 'EU', 'Europe'),
(111998, '194.133.177.0', '194.133.177.31', 3263541504, 3263541535, 'GB', 'United Kingdom'),
(111999, '194.133.177.32', '194.133.239.255', 3263541536, 3263557631, 'EU', 'Europe'),
(112000, '194.133.240.0', '194.133.240.255', 3263557632, 3263557887, 'TR', 'Turkey'),
(112001, '194.133.241.0', '194.133.243.255', 3263557888, 3263558655, 'EU', 'Europe'),
(112002, '194.133.244.0', '194.133.244.255', 3263558656, 3263558911, 'TR', 'Turkey'),
(112003, '194.133.245.0', '194.133.247.255', 3263558912, 3263559679, 'GB', 'United Kingdom'),
(112004, '194.133.248.0', '194.133.250.255', 3263559680, 3263560447, 'EU', 'Europe'),
(112005, '194.133.251.0', '194.133.251.255', 3263560448, 3263560703, 'TR', 'Turkey'),
(112006, '194.133.252.0', '194.133.253.255', 3263560704, 3263561215, 'EU', 'Europe'),
(112007, '194.133.254.0', '194.133.254.15', 3263561216, 3263561231, 'TR', 'Turkey'),
(112008, '194.133.254.16', '194.133.255.255', 3263561232, 3263561727, 'EU', 'Europe'),
(112009, '194.134.0.0', '194.134.255.255', 3263561728, 3263627263, 'NL', 'Netherlands'),
(112010, '194.135.0.0', '194.135.255.255', 3263627264, 3263692799, 'RU', 'Russian Federation'),
(112011, '194.136.0.0', '194.137.6.255', 3263692800, 3263760127, 'FI', 'Finland'),
(112012, '194.137.7.0', '194.137.7.255', 3263760128, 3263760383, 'SE', 'Sweden'),
(112013, '194.137.8.0', '194.137.25.255', 3263760384, 3263764991, 'FI', 'Finland'),
(112014, '194.137.26.0', '194.137.27.255', 3263764992, 3263765503, 'BE', 'Belgium'),
(112015, '194.137.28.0', '194.137.33.191', 3263765504, 3263766975, 'FI', 'Finland'),
(112016, '194.137.33.192', '194.137.33.255', 3263766976, 3263767039, 'RU', 'Russian Federation'),
(112017, '194.137.34.0', '194.137.60.255', 3263767040, 3263773951, 'FI', 'Finland'),
(112018, '194.137.61.0', '194.137.61.255', 3263773952, 3263774207, 'BE', 'Belgium'),
(112019, '194.137.62.0', '194.137.62.255', 3263774208, 3263774463, 'FI', 'Finland'),
(112020, '194.137.63.0', '194.137.63.255', 3263774464, 3263774719, 'BE', 'Belgium'),
(112021, '194.137.64.0', '194.137.132.223', 3263774720, 3263792351, 'FI', 'Finland'),
(112022, '194.137.132.224', '194.137.132.239', 3263792352, 3263792367, 'SE', 'Sweden'),
(112023, '194.137.132.240', '194.137.135.255', 3263792368, 3263793151, 'FI', 'Finland'),
(112024, '194.137.136.0', '194.137.136.255', 3263793152, 3263793407, 'BE', 'Belgium'),
(112025, '194.137.137.0', '194.137.227.255', 3263793408, 3263816703, 'FI', 'Finland'),
(112026, '194.137.228.0', '194.137.228.255', 3263816704, 3263816959, 'ES', 'Spain'),
(112027, '194.137.229.0', '194.137.229.255', 3263816960, 3263817215, 'NL', 'Netherlands'),
(112028, '194.137.230.0', '194.137.255.255', 3263817216, 3263823871, 'FI', 'Finland'),
(112029, '194.138.0.0', '194.138.11.255', 3263823872, 3263826943, 'DE', 'Germany'),
(112030, '194.138.12.0', '194.138.12.255', 3263826944, 3263827199, 'AT', 'Austria'),
(112031, '194.138.13.0', '194.138.39.47', 3263827200, 3263833903, 'DE', 'Germany'),
(112032, '194.138.39.48', '194.138.39.63', 3263833904, 3263833919, 'EU', 'Europe'),
(112033, '194.138.39.64', '194.138.212.1', 3263833920, 3263878145, 'DE', 'Germany'),
(112034, '194.138.212.2', '194.138.212.2', 3263878146, 3263878146, 'US', 'United States'),
(112035, '194.138.212.3', '194.138.242.255', 3263878147, 3263886079, 'DE', 'Germany'),
(112036, '194.138.243.0', '194.138.243.255', 3263886080, 3263886335, 'SG', 'Singapore'),
(112037, '194.138.244.0', '194.139.99.255', 3263886336, 3263915007, 'DE', 'Germany'),
(112038, '194.139.100.0', '194.139.100.255', 3263915008, 3263915263, 'US', 'United States'),
(112039, '194.139.101.0', '194.139.255.255', 3263915264, 3263954943, 'DE', 'Germany'),
(112040, '194.140.0.0', '194.140.95.255', 3263954944, 3263979519, 'ES', 'Spain'),
(112041, '194.140.96.0', '194.140.127.255', 3263979520, 3263987711, 'DE', 'Germany'),
(112042, '194.140.128.0', '194.140.191.255', 3263987712, 3264004095, 'ES', 'Spain'),
(112043, '194.140.192.0', '194.140.223.255', 3264004096, 3264012287, 'HU', 'Hungary'),
(112044, '194.140.224.0', '194.140.224.255', 3264012288, 3264012543, 'AT', 'Austria'),
(112045, '194.140.225.0', '194.140.225.255', 3264012544, 3264012799, 'FR', 'France'),
(112046, '194.140.226.0', '194.140.226.255', 3264012800, 3264013055, 'GB', 'United Kingdom'),
(112047, '194.140.227.0', '194.140.227.255', 3264013056, 3264013311, 'TR', 'Turkey'),
(112048, '194.140.228.0', '194.140.228.255', 3264013312, 3264013567, 'UA', 'Ukraine'),
(112049, '194.140.229.0', '194.140.229.255', 3264013568, 3264013823, 'RU', 'Russian Federation'),
(112050, '194.140.230.0', '194.140.230.255', 3264013824, 3264014079, 'NL', 'Netherlands'),
(112051, '194.140.231.0', '194.140.231.255', 3264014080, 3264014335, 'DE', 'Germany'),
(112052, '194.140.232.0', '194.140.232.255', 3264014336, 3264014591, 'PT', 'Portugal'),
(112053, '194.140.233.0', '194.140.233.255', 3264014592, 3264014847, 'PL', 'Poland'),
(112054, '194.140.234.0', '194.140.234.255', 3264014848, 3264015103, 'IE', 'Ireland'),
(112055, '194.140.235.0', '194.140.235.255', 3264015104, 3264015359, 'RO', 'Romania'),
(112056, '194.140.236.0', '194.140.236.255', 3264015360, 3264015615, 'DK', 'Denmark'),
(112057, '194.140.237.0', '194.140.237.255', 3264015616, 3264015871, 'UA', 'Ukraine'),
(112058, '194.140.238.0', '194.140.238.255', 3264015872, 3264016127, 'PT', 'Portugal'),
(112059, '194.140.239.0', '194.140.239.255', 3264016128, 3264016383, 'UA', 'Ukraine'),
(112060, '194.140.240.0', '194.140.240.255', 3264016384, 3264016639, 'SE', 'Sweden'),
(112061, '194.140.241.0', '194.140.241.255', 3264016640, 3264016895, 'PL', 'Poland'),
(112062, '194.140.242.0', '194.140.242.255', 3264016896, 3264017151, 'GB', 'United Kingdom'),
(112063, '194.140.243.0', '194.140.244.255', 3264017152, 3264017663, 'SE', 'Sweden'),
(112064, '194.140.245.0', '194.140.245.255', 3264017664, 3264017919, 'RO', 'Romania'),
(112065, '194.140.246.0', '194.140.246.255', 3264017920, 3264018175, 'NL', 'Netherlands'),
(112066, '194.140.247.0', '194.140.247.255', 3264018176, 3264018431, 'FR', 'France'),
(112067, '194.140.248.0', '194.140.248.255', 3264018432, 3264018687, 'HU', 'Hungary'),
(112068, '194.140.249.0', '194.140.249.255', 3264018688, 3264018943, 'GB', 'United Kingdom'),
(112069, '194.140.250.0', '194.140.250.255', 3264018944, 3264019199, 'PL', 'Poland'),
(112070, '194.140.251.0', '194.140.253.255', 3264019200, 3264019967, 'GB', 'United Kingdom'),
(112071, '194.140.254.0', '194.140.254.255', 3264019968, 3264020223, 'AT', 'Austria'),
(112072, '194.140.255.0', '194.140.255.255', 3264020224, 3264020479, 'PL', 'Poland'),
(112073, '194.141.0.0', '194.141.255.255', 3264020480, 3264086015, 'BG', 'Bulgaria'),
(112074, '194.142.0.0', '194.142.53.255', 3264086016, 3264099839, 'FI', 'Finland'),
(112075, '194.142.54.0', '194.142.54.255', 3264099840, 3264100095, 'GB', 'United Kingdom'),
(112076, '194.142.55.0', '194.142.151.255', 3264100096, 3264124927, 'FI', 'Finland'),
(112077, '194.142.152.0', '194.142.152.255', 3264124928, 3264125183, 'DE', 'Germany'),
(112078, '194.142.153.0', '194.142.153.255', 3264125184, 3264125439, 'NL', 'Netherlands'),
(112079, '194.142.154.0', '194.142.154.255', 3264125440, 3264125695, 'FI', 'Finland'),
(112080, '194.142.155.0', '194.142.155.255', 3264125696, 3264125951, 'BE', 'Belgium'),
(112081, '194.142.156.0', '194.142.184.255', 3264125952, 3264133375, 'FI', 'Finland'),
(112082, '194.142.185.0', '194.142.185.255', 3264133376, 3264133631, 'SE', 'Sweden'),
(112083, '194.142.186.0', '194.142.255.255', 3264133632, 3264151551, 'FI', 'Finland'),
(112084, '194.143.0.0', '194.143.127.255', 3264151552, 3264184319, 'NO', 'Norway'),
(112085, '194.143.128.0', '194.143.129.255', 3264184320, 3264184831, 'MD', 'Moldova, Republic of'),
(112086, '194.143.130.0', '194.143.131.255', 3264184832, 3264185343, 'NL', 'Netherlands'),
(112087, '194.143.132.0', '194.143.133.255', 3264185344, 3264185855, 'FR', 'France'),
(112088, '194.143.134.0', '194.143.135.255', 3264185856, 3264186367, 'DE', 'Germany'),
(112089, '194.143.136.0', '194.143.137.255', 3264186368, 3264186879, 'UA', 'Ukraine'),
(112090, '194.143.138.0', '194.143.139.255', 3264186880, 3264187391, 'RU', 'Russian Federation'),
(112091, '194.143.140.0', '194.143.141.255', 3264187392, 3264187903, 'IR', 'Iran, Islamic Republic of'),
(112092, '194.143.142.0', '194.143.143.255', 3264187904, 3264188415, 'IT', 'Italy'),
(112093, '194.143.144.0', '194.143.147.255', 3264188416, 3264189439, 'UA', 'Ukraine'),
(112094, '194.143.148.0', '194.143.151.255', 3264189440, 3264190463, 'RU', 'Russian Federation'),
(112095, '194.143.152.0', '194.143.153.255', 3264190464, 3264190975, 'LV', 'Latvia'),
(112096, '194.143.154.0', '194.143.155.255', 3264190976, 3264191487, 'GB', 'United Kingdom'),
(112097, '194.143.156.0', '194.143.157.255', 3264191488, 3264191999, 'DE', 'Germany'),
(112098, '194.143.158.0', '194.143.191.255', 3264192000, 3264200703, 'GB', 'United Kingdom'),
(112099, '194.143.192.0', '194.143.223.255', 3264200704, 3264208895, 'ES', 'Spain'),
(112100, '194.143.224.0', '194.143.255.255', 3264208896, 3264217087, 'HU', 'Hungary'),
(112101, '194.144.0.0', '194.144.255.255', 3264217088, 3264282623, 'IS', 'Iceland'),
(112102, '194.145.0.0', '194.145.31.255', 3264282624, 3264290815, 'GB', 'United Kingdom'),
(112103, '194.145.32.0', '194.145.52.255', 3264290816, 3264296191, 'FI', 'Finland'),
(112104, '194.145.53.0', '194.145.58.255', 3264296192, 3264297727, 'FR', 'France'),
(112105, '194.145.59.0', '194.145.62.255', 3264297728, 3264298751, 'PT', 'Portugal'),
(112106, '194.145.63.0', '194.145.63.255', 3264298752, 3264299007, 'BG', 'Bulgaria'),
(112107, '194.145.64.0', '194.145.95.255', 3264299008, 3264307199, 'DE', 'Germany'),
(112108, '194.145.96.0', '194.145.111.255', 3264307200, 3264311295, 'PL', 'Poland'),
(112109, '194.145.112.0', '194.145.112.255', 3264311296, 3264311551, 'FR', 'France'),
(112110, '194.145.113.0', '194.145.113.255', 3264311552, 3264311807, 'IT', 'Italy'),
(112111, '194.145.114.0', '194.145.114.255', 3264311808, 3264312063, 'DE', 'Germany'),
(112112, '194.145.115.0', '194.145.115.255', 3264312064, 3264312319, 'EU', 'Europe'),
(112113, '194.145.116.0', '194.145.116.255', 3264312320, 3264312575, 'PL', 'Poland'),
(112114, '194.145.117.0', '194.145.117.255', 3264312576, 3264312831, 'UA', 'Ukraine'),
(112115, '194.145.118.0', '194.145.118.255', 3264312832, 3264313087, 'DE', 'Germany'),
(112116, '194.145.119.0', '194.145.119.255', 3264313088, 3264313343, 'NL', 'Netherlands'),
(112117, '194.145.120.0', '194.145.120.255', 3264313344, 3264313599, 'RO', 'Romania'),
(112118, '194.145.121.0', '194.145.121.255', 3264313600, 3264313855, 'PT', 'Portugal'),
(112119, '194.145.122.0', '194.145.124.255', 3264313856, 3264314623, 'DE', 'Germany'),
(112120, '194.145.125.0', '194.145.125.255', 3264314624, 3264314879, 'SE', 'Sweden'),
(112121, '194.145.126.0', '194.145.126.255', 3264314880, 3264315135, 'GB', 'United Kingdom'),
(112122, '194.145.127.0', '194.145.127.255', 3264315136, 3264315391, 'GR', 'Greece'),
(112123, '194.145.128.0', '194.145.135.255', 3264315392, 3264317439, 'IE', 'Ireland'),
(112124, '194.145.136.0', '194.145.139.255', 3264317440, 3264318463, 'SK', 'Slovakia'),
(112125, '194.145.140.0', '194.145.141.255', 3264318464, 3264318975, 'ES', 'Spain'),
(112126, '194.145.142.0', '194.145.143.255', 3264318976, 3264319487, 'DE', 'Germany'),
(112127, '194.145.144.0', '194.145.144.255', 3264319488, 3264319743, 'FR', 'France'),
(112128, '194.145.145.0', '194.145.145.255', 3264319744, 3264319999, 'SE', 'Sweden'),
(112129, '194.145.146.0', '194.145.146.255', 3264320000, 3264320255, 'DE', 'Germany'),
(112130, '194.145.147.0', '194.145.149.255', 3264320256, 3264321023, 'GB', 'United Kingdom'),
(112131, '194.145.150.0', '194.145.151.255', 3264321024, 3264321535, 'DE', 'Germany'),
(112132, '194.145.152.0', '194.145.152.255', 3264321536, 3264321791, 'GB', 'United Kingdom'),
(112133, '194.145.153.0', '194.145.153.255', 3264321792, 3264322047, 'RS', 'Serbia'),
(112134, '194.145.154.0', '194.145.154.255', 3264322048, 3264322303, 'FR', 'France'),
(112135, '194.145.155.0', '194.145.155.255', 3264322304, 3264322559, 'RO', 'Romania'),
(112136, '194.145.156.0', '194.145.156.255', 3264322560, 3264322815, 'HU', 'Hungary'),
(112137, '194.145.157.0', '194.145.157.255', 3264322816, 3264323071, 'CH', 'Switzerland'),
(112138, '194.145.158.0', '194.145.158.255', 3264323072, 3264323327, 'RU', 'Russian Federation'),
(112139, '194.145.159.0', '194.145.159.255', 3264323328, 3264323583, 'RO', 'Romania'),
(112140, '194.145.160.0', '194.145.163.255', 3264323584, 3264324607, 'BG', 'Bulgaria'),
(112141, '194.145.164.0', '194.145.167.255', 3264324608, 3264325631, 'SE', 'Sweden'),
(112142, '194.145.168.0', '194.145.171.255', 3264325632, 3264326655, 'RU', 'Russian Federation'),
(112143, '194.145.172.0', '194.145.175.255', 3264326656, 3264327679, 'SE', 'Sweden'),
(112144, '194.145.176.0', '194.145.179.255', 3264327680, 3264328703, 'AT', 'Austria'),
(112145, '194.145.180.0', '194.145.183.255', 3264328704, 3264329727, 'CZ', 'Czech Republic'),
(112146, '194.145.184.0', '194.145.187.255', 3264329728, 3264330751, 'PL', 'Poland'),
(112147, '194.145.188.0', '194.145.191.255', 3264330752, 3264331775, 'GB', 'United Kingdom'),
(112148, '194.145.192.0', '194.145.193.255', 3264331776, 3264332287, 'DE', 'Germany'),
(112149, '194.145.194.0', '194.145.195.255', 3264332288, 3264332799, 'NL', 'Netherlands'),
(112150, '194.145.196.0', '194.145.197.255', 3264332800, 3264333311, 'GB', 'United Kingdom'),
(112151, '194.145.198.0', '194.145.199.255', 3264333312, 3264333823, 'UA', 'Ukraine'),
(112152, '194.145.200.0', '194.145.201.255', 3264333824, 3264334335, 'NL', 'Netherlands'),
(112153, '194.145.202.0', '194.145.203.255', 3264334336, 3264334847, 'UA', 'Ukraine'),
(112154, '194.145.204.0', '194.145.205.255', 3264334848, 3264335359, 'PL', 'Poland'),
(112155, '194.145.206.0', '194.145.207.255', 3264335360, 3264335871, 'SK', 'Slovakia'),
(112156, '194.145.208.0', '194.145.211.255', 3264335872, 3264336895, 'GB', 'United Kingdom'),
(112157, '194.145.212.0', '194.145.213.255', 3264336896, 3264337407, 'RU', 'Russian Federation'),
(112158, '194.145.214.0', '194.145.217.255', 3264337408, 3264338431, 'UA', 'Ukraine'),
(112159, '194.145.218.0', '194.145.219.255', 3264338432, 3264338943, 'DE', 'Germany'),
(112160, '194.145.220.0', '194.145.221.255', 3264338944, 3264339455, 'UA', 'Ukraine'),
(112161, '194.145.222.0', '194.145.223.255', 3264339456, 3264339967, 'GB', 'United Kingdom'),
(112162, '194.145.224.0', '194.145.224.255', 3264339968, 3264340223, 'DE', 'Germany'),
(112163, '194.145.225.0', '194.145.225.255', 3264340224, 3264340479, 'PL', 'Poland'),
(112164, '194.145.226.0', '194.145.226.255', 3264340480, 3264340735, 'DE', 'Germany'),
(112165, '194.145.227.0', '194.145.227.255', 3264340736, 3264340991, 'UA', 'Ukraine'),
(112166, '194.145.228.0', '194.145.229.255', 3264340992, 3264341503, 'PL', 'Poland'),
(112167, '194.145.230.0', '194.145.230.255', 3264341504, 3264341759, 'DE', 'Germany'),
(112168, '194.145.231.0', '194.145.231.255', 3264341760, 3264342015, 'IT', 'Italy'),
(112169, '194.145.232.0', '194.145.234.255', 3264342016, 3264342783, 'DE', 'Germany'),
(112170, '194.145.235.0', '194.145.235.255', 3264342784, 3264343039, 'FR', 'France'),
(112171, '194.145.236.0', '194.145.236.255', 3264343040, 3264343295, 'DE', 'Germany'),
(112172, '194.145.237.0', '194.145.237.255', 3264343296, 3264343551, 'GB', 'United Kingdom'),
(112173, '194.145.238.0', '194.145.238.255', 3264343552, 3264343807, 'RO', 'Romania'),
(112174, '194.145.239.0', '194.145.239.255', 3264343808, 3264344063, 'DE', 'Germany'),
(112175, '194.145.240.0', '194.145.243.255', 3264344064, 3264345087, 'GB', 'United Kingdom'),
(112176, '194.145.244.0', '194.145.247.255', 3264345088, 3264346111, 'NL', 'Netherlands'),
(112177, '194.145.248.0', '194.145.251.255', 3264346112, 3264347135, 'SE', 'Sweden'),
(112178, '194.145.252.0', '194.145.255.255', 3264347136, 3264348159, 'DE', 'Germany'),
(112179, '194.146.0.0', '194.146.93.255', 3264348160, 3264372223, 'FR', 'France'),
(112180, '194.146.94.0', '194.146.95.255', 3264372224, 3264372735, 'GB', 'United Kingdom'),
(112181, '194.146.96.0', '194.146.104.255', 3264372736, 3264375039, 'FR', 'France'),
(112182, '194.146.105.0', '194.146.108.255', 3264375040, 3264376063, 'SE', 'Sweden'),
(112183, '194.146.109.0', '194.146.109.255', 3264376064, 3264376319, 'HR', 'Croatia'),
(112184, '194.146.110.0', '194.146.110.255', 3264376320, 3264376575, 'UA', 'Ukraine'),
(112185, '194.146.111.0', '194.146.111.255', 3264376576, 3264376831, 'CH', 'Switzerland'),
(112186, '194.146.112.0', '194.146.112.255', 3264376832, 3264377087, 'UA', 'Ukraine'),
(112187, '194.146.113.0', '194.146.113.255', 3264377088, 3264377343, 'RU', 'Russian Federation'),
(112188, '194.146.114.0', '194.146.114.255', 3264377344, 3264377599, 'IT', 'Italy'),
(112189, '194.146.115.0', '194.146.116.255', 3264377600, 3264378111, 'RU', 'Russian Federation'),
(112190, '194.146.117.0', '194.146.117.255', 3264378112, 3264378367, 'SE', 'Sweden'),
(112191, '194.146.118.0', '194.146.118.255', 3264378368, 3264378623, 'DE', 'Germany'),
(112192, '194.146.119.0', '194.146.119.255', 3264378624, 3264378879, 'RU', 'Russian Federation'),
(112193, '194.146.120.0', '194.146.120.255', 3264378880, 3264379135, 'PL', 'Poland'),
(112194, '194.146.121.0', '194.146.121.255', 3264379136, 3264379391, 'BE', 'Belgium'),
(112195, '194.146.122.0', '194.146.122.255', 3264379392, 3264379647, 'RU', 'Russian Federation'),
(112196, '194.146.123.0', '194.146.123.255', 3264379648, 3264379903, 'PL', 'Poland'),
(112197, '194.146.124.0', '194.146.124.255', 3264379904, 3264380159, 'DE', 'Germany'),
(112198, '194.146.125.0', '194.146.125.255', 3264380160, 3264380415, 'RO', 'Romania'),
(112199, '194.146.126.0', '194.146.126.255', 3264380416, 3264380671, 'CH', 'Switzerland'),
(112200, '194.146.127.0', '194.146.127.255', 3264380672, 3264380927, 'NL', 'Netherlands'),
(112201, '194.146.128.0', '194.146.131.255', 3264380928, 3264381951, 'PL', 'Poland'),
(112202, '194.146.132.0', '194.146.143.255', 3264381952, 3264385023, 'UA', 'Ukraine'),
(112203, '194.146.144.0', '194.146.147.255', 3264385024, 3264386047, 'DE', 'Germany'),
(112204, '194.146.148.0', '194.146.151.255', 3264386048, 3264387071, 'IR', 'Iran, Islamic Republic of'),
(112205, '194.146.152.0', '194.146.155.255', 3264387072, 3264388095, 'LB', 'Lebanon'),
(112206, '194.146.156.0', '194.146.159.255', 3264388096, 3264389119, 'UA', 'Ukraine'),
(112207, '194.146.160.0', '194.146.163.255', 3264389120, 3264390143, 'RU', 'Russian Federation'),
(112208, '194.146.164.0', '194.146.167.255', 3264390144, 3264391167, 'IR', 'Iran, Islamic Republic of'),
(112209, '194.146.168.0', '194.146.171.255', 3264391168, 3264392191, 'SE', 'Sweden'),
(112210, '194.146.172.0', '194.146.175.255', 3264392192, 3264393215, 'FR', 'France'),
(112211, '194.146.176.0', '194.146.179.255', 3264393216, 3264394239, 'DE', 'Germany'),
(112212, '194.146.180.0', '194.146.183.255', 3264394240, 3264395263, 'UA', 'Ukraine'),
(112213, '194.146.184.0', '194.146.187.255', 3264395264, 3264396287, 'AT', 'Austria'),
(112214, '194.146.188.0', '194.146.191.255', 3264396288, 3264397311, 'UA', 'Ukraine'),
(112215, '194.146.192.0', '194.146.195.255', 3264397312, 3264398335, 'GB', 'United Kingdom'),
(112216, '194.146.196.0', '194.146.199.255', 3264398336, 3264399359, 'UA', 'Ukraine'),
(112217, '194.146.200.0', '194.146.203.255', 3264399360, 3264400383, 'RU', 'Russian Federation'),
(112218, '194.146.204.0', '194.146.207.255', 3264400384, 3264401407, 'PA', 'Panama'),
(112219, '194.146.208.0', '194.146.211.255', 3264401408, 3264402431, 'DE', 'Germany'),
(112220, '194.146.212.0', '194.146.215.255', 3264402432, 3264403455, 'CH', 'Switzerland'),
(112221, '194.146.216.0', '194.146.219.255', 3264403456, 3264404479, 'PL', 'Poland'),
(112222, '194.146.220.0', '194.146.223.255', 3264404480, 3264405503, 'UA', 'Ukraine'),
(112223, '194.146.224.0', '194.146.227.255', 3264405504, 3264406527, 'FR', 'France'),
(112224, '194.146.228.0', '194.146.231.255', 3264406528, 3264407551, 'UA', 'Ukraine'),
(112225, '194.146.232.0', '194.146.235.255', 3264407552, 3264408575, 'BG', 'Bulgaria'),
(112226, '194.146.236.0', '194.146.239.255', 3264408576, 3264409599, 'AE', 'United Arab Emirates'),
(112227, '194.146.240.0', '194.146.243.255', 3264409600, 3264410623, 'RU', 'Russian Federation'),
(112228, '194.146.244.0', '194.146.247.255', 3264410624, 3264411647, 'NO', 'Norway'),
(112229, '194.146.248.0', '194.146.255.255', 3264411648, 3264413695, 'PL', 'Poland'),
(112230, '194.147.0.0', '194.147.67.255', 3264413696, 3264431103, 'CH', 'Switzerland'),
(112231, '194.147.68.0', '194.147.69.255', 3264431104, 3264431615, 'LI', 'Liechtenstein'),
(112232, '194.147.70.0', '194.147.107.255', 3264431616, 3264441343, 'CH', 'Switzerland'),
(112233, '194.147.108.0', '194.147.108.255', 3264441344, 3264441599, 'PL', 'Poland'),
(112234, '194.147.109.0', '194.147.126.255', 3264441600, 3264446207, 'CH', 'Switzerland'),
(112235, '194.147.127.0', '194.147.127.255', 3264446208, 3264446463, 'FR', 'France'),
(112236, '194.147.128.0', '194.147.132.255', 3264446464, 3264447743, 'CH', 'Switzerland'),
(112237, '194.147.133.0', '194.147.133.255', 3264447744, 3264447999, 'DE', 'Germany'),
(112238, '194.147.134.0', '194.147.195.255', 3264448000, 3264463871, 'CH', 'Switzerland'),
(112239, '194.147.196.0', '194.147.207.255', 3264463872, 3264466943, 'LI', 'Liechtenstein'),
(112240, '194.147.208.0', '194.147.245.255', 3264466944, 3264476671, 'CH', 'Switzerland'),
(112241, '194.147.246.0', '194.147.247.255', 3264476672, 3264477183, 'RU', 'Russian Federation'),
(112242, '194.147.248.0', '194.147.248.255', 3264477184, 3264477439, 'PL', 'Poland'),
(112243, '194.147.249.0', '194.147.249.255', 3264477440, 3264477695, 'RU', 'Russian Federation'),
(112244, '194.147.250.0', '194.148.14.255', 3264477696, 3264483071, 'CH', 'Switzerland'),
(112245, '194.148.15.0', '194.148.15.255', 3264483072, 3264483327, 'LI', 'Liechtenstein'),
(112246, '194.148.16.0', '194.148.28.127', 3264483328, 3264486527, 'CH', 'Switzerland'),
(112247, '194.148.28.128', '194.148.28.159', 3264486528, 3264486559, 'LI', 'Liechtenstein'),
(112248, '194.148.28.160', '194.148.57.255', 3264486560, 3264494079, 'CH', 'Switzerland'),
(112249, '194.148.58.0', '194.148.58.255', 3264494080, 3264494335, 'US', 'United States'),
(112250, '194.148.59.0', '194.148.255.255', 3264494336, 3264544767, 'CH', 'Switzerland'),
(112251, '194.149.0.0', '194.149.63.255', 3264544768, 3264561151, 'HU', 'Hungary'),
(112252, '194.149.64.0', '194.149.71.255', 3264561152, 3264563199, 'RU', 'Russian Federation'),
(112253, '194.149.72.0', '194.149.75.255', 3264563200, 3264564223, 'ES', 'Spain'),
(112254, '194.149.76.0', '194.149.79.255', 3264564224, 3264565247, 'IE', 'Ireland'),
(112255, '194.149.80.0', '194.149.87.255', 3264565248, 3264567295, 'NL', 'Netherlands'),
(112256, '194.149.88.0', '194.149.88.255', 3264567296, 3264567551, 'PL', 'Poland'),
(112257, '194.149.89.0', '194.149.89.255', 3264567552, 3264567807, 'GB', 'United Kingdom'),
(112258, '194.149.90.0', '194.149.91.255', 3264567808, 3264568319, 'RU', 'Russian Federation'),
(112259, '194.149.92.0', '194.149.92.255', 3264568320, 3264568575, 'UA', 'Ukraine'),
(112260, '194.149.93.0', '194.149.93.255', 3264568576, 3264568831, 'RU', 'Russian Federation'),
(112261, '194.149.94.0', '194.149.94.255', 3264568832, 3264569087, 'FR', 'France'),
(112262, '194.149.95.0', '194.149.95.255', 3264569088, 3264569343, 'RU', 'Russian Federation'),
(112263, '194.149.96.0', '194.149.127.255', 3264569344, 3264577535, 'CZ', 'Czech Republic'),
(112264, '194.149.128.0', '194.149.159.255', 3264577536, 3264585727, 'MK', 'Macedonia'),
(112265, '194.149.160.0', '194.149.191.255', 3264585728, 3264593919, 'FR', 'France'),
(112266, '194.149.192.0', '194.149.223.255', 3264593920, 3264602111, 'ES', 'Spain'),
(112267, '194.149.224.0', '194.149.227.255', 3264602112, 3264603135, 'RU', 'Russian Federation'),
(112268, '194.149.228.0', '194.149.231.255', 3264603136, 3264604159, 'PL', 'Poland'),
(112269, '194.149.232.0', '194.149.233.255', 3264604160, 3264604671, 'IT', 'Italy'),
(112270, '194.149.234.0', '194.149.235.255', 3264604672, 3264605183, 'RU', 'Russian Federation'),
(112271, '194.149.236.0', '194.149.237.255', 3264605184, 3264605695, 'GR', 'Greece'),
(112272, '194.149.238.0', '194.149.239.255', 3264605696, 3264606207, 'DK', 'Denmark'),
(112273, '194.149.240.0', '194.149.240.255', 3264606208, 3264606463, 'PL', 'Poland'),
(112274, '194.149.241.0', '194.149.241.255', 3264606464, 3264606719, 'DE', 'Germany'),
(112275, '194.149.242.0', '194.149.242.255', 3264606720, 3264606975, 'FR', 'France'),
(112276, '194.149.243.0', '194.149.243.255', 3264606976, 3264607231, 'BE', 'Belgium'),
(112277, '194.149.244.0', '194.149.244.255', 3264607232, 3264607487, 'IT', 'Italy'),
(112278, '194.149.245.0', '194.149.255.255', 3264607488, 3264610303, 'DE', 'Germany'),
(112279, '194.150.0.0', '194.150.7.255', 3264610304, 3264612351, 'GB', 'United Kingdom'),
(112280, '194.150.8.0', '194.150.8.247', 3264612352, 3264612599, 'FR', 'France'),
(112281, '194.150.8.248', '194.150.8.255', 3264612600, 3264612607, 'GB', 'United Kingdom'),
(112282, '194.150.9.0', '194.150.11.79', 3264612608, 3264613199, 'FR', 'France'),
(112283, '194.150.11.80', '194.150.11.127', 3264613200, 3264613247, 'GB', 'United Kingdom'),
(112284, '194.150.11.128', '194.150.11.191', 3264613248, 3264613311, 'FR', 'France'),
(112285, '194.150.11.192', '194.150.11.255', 3264613312, 3264613375, 'GB', 'United Kingdom'),
(112286, '194.150.12.0', '194.150.13.255', 3264613376, 3264613887, 'NL', 'Netherlands'),
(112287, '194.150.14.0', '194.150.14.7', 3264613888, 3264613895, 'GB', 'United Kingdom'),
(112288, '194.150.14.8', '194.150.14.31', 3264613896, 3264613919, 'NL', 'Netherlands'),
(112289, '194.150.14.32', '194.150.14.47', 3264613920, 3264613935, 'GB', 'United Kingdom'),
(112290, '194.150.14.48', '194.150.14.55', 3264613936, 3264613943, 'NL', 'Netherlands'),
(112291, '194.150.14.56', '194.150.14.63', 3264613944, 3264613951, 'GB', 'United Kingdom'),
(112292, '194.150.14.64', '194.150.14.175', 3264613952, 3264614063, 'NL', 'Netherlands'),
(112293, '194.150.14.176', '194.150.15.255', 3264614064, 3264614399, 'GB', 'United Kingdom'),
(112294, '194.150.16.0', '194.150.16.255', 3264614400, 3264614655, 'NL', 'Netherlands'),
(112295, '194.150.17.0', '194.150.19.255', 3264614656, 3264615423, 'SE', 'Sweden'),
(112296, '194.150.20.0', '194.150.21.55', 3264615424, 3264615735, 'CH', 'Switzerland'),
(112297, '194.150.21.56', '194.150.21.63', 3264615736, 3264615743, 'GB', 'United Kingdom'),
(112298, '194.150.21.64', '194.150.21.95', 3264615744, 3264615775, 'CH', 'Switzerland'),
(112299, '194.150.21.96', '194.150.21.127', 3264615776, 3264615807, 'GB', 'United Kingdom'),
(112300, '194.150.21.128', '194.150.21.143', 3264615808, 3264615823, 'CH', 'Switzerland'),
(112301, '194.150.21.144', '194.150.21.159', 3264615824, 3264615839, 'GB', 'United Kingdom'),
(112302, '194.150.21.160', '194.150.21.191', 3264615840, 3264615871, 'CH', 'Switzerland'),
(112303, '194.150.21.192', '194.150.21.199', 3264615872, 3264615879, 'GB', 'United Kingdom'),
(112304, '194.150.21.200', '194.150.21.255', 3264615880, 3264615935, 'CH', 'Switzerland'),
(112305, '194.150.22.0', '194.150.22.255', 3264615936, 3264616191, 'GB', 'United Kingdom'),
(112306, '194.150.23.0', '194.150.23.255', 3264616192, 3264616447, 'CH', 'Switzerland'),
(112307, '194.150.24.0', '194.150.24.31', 3264616448, 3264616479, 'DE', 'Germany'),
(112308, '194.150.24.32', '194.150.24.55', 3264616480, 3264616503, 'GB', 'United Kingdom'),
(112309, '194.150.24.56', '194.150.24.63', 3264616504, 3264616511, 'DE', 'Germany'),
(112310, '194.150.24.64', '194.150.24.127', 3264616512, 3264616575, 'GB', 'United Kingdom'),
(112311, '194.150.24.128', '194.150.24.255', 3264616576, 3264616703, 'DE', 'Germany'),
(112312, '194.150.25.0', '194.150.25.255', 3264616704, 3264616959, 'GB', 'United Kingdom'),
(112313, '194.150.26.0', '194.150.27.255', 3264616960, 3264617471, 'DE', 'Germany'),
(112314, '194.150.28.0', '194.150.28.255', 3264617472, 3264617727, 'US', 'United States'),
(112315, '194.150.29.0', '194.150.30.255', 3264617728, 3264618239, 'GB', 'United Kingdom'),
(112316, '194.150.31.0', '194.150.31.255', 3264618240, 3264618495, 'US', 'United States'),
(112317, '194.150.32.0', '194.150.32.255', 3264618496, 3264618751, 'PL', 'Poland'),
(112318, '194.150.33.0', '194.150.33.255', 3264618752, 3264619007, 'GB', 'United Kingdom'),
(112319, '194.150.34.0', '194.150.35.47', 3264619008, 3264619311, 'BE', 'Belgium'),
(112320, '194.150.35.48', '194.150.35.63', 3264619312, 3264619327, 'GB', 'United Kingdom'),
(112321, '194.150.35.64', '194.150.35.95', 3264619328, 3264619359, 'BE', 'Belgium'),
(112322, '194.150.35.96', '194.150.39.255', 3264619360, 3264620543, 'GB', 'United Kingdom'),
(112323, '194.150.40.0', '194.150.40.63', 3264620544, 3264620607, 'FR', 'France'),
(112324, '194.150.40.64', '194.150.40.87', 3264620608, 3264620631, 'GB', 'United Kingdom'),
(112325, '194.150.40.88', '194.150.40.135', 3264620632, 3264620679, 'FR', 'France'),
(112326, '194.150.40.136', '194.150.40.143', 3264620680, 3264620687, 'ES', 'Spain'),
(112327, '194.150.40.144', '194.150.40.207', 3264620688, 3264620751, 'FR', 'France'),
(112328, '194.150.40.208', '194.150.40.255', 3264620752, 3264620799, 'GB', 'United Kingdom'),
(112329, '194.150.41.0', '194.150.43.255', 3264620800, 3264621567, 'FR', 'France'),
(112330, '194.150.44.0', '194.150.44.111', 3264621568, 3264621679, 'DE', 'Germany'),
(112331, '194.150.44.112', '194.150.44.127', 3264621680, 3264621695, 'GB', 'United Kingdom'),
(112332, '194.150.44.128', '194.150.45.255', 3264621696, 3264622079, 'DE', 'Germany'),
(112333, '194.150.46.0', '194.150.46.255', 3264622080, 3264622335, 'GB', 'United Kingdom'),
(112334, '194.150.47.0', '194.150.47.255', 3264622336, 3264622591, 'DE', 'Germany'),
(112335, '194.150.48.0', '194.150.48.255', 3264622592, 3264622847, 'GB', 'United Kingdom'),
(112336, '194.150.49.0', '194.150.49.255', 3264622848, 3264623103, 'FR', 'France'),
(112337, '194.150.50.0', '194.150.51.255', 3264623104, 3264623615, 'BG', 'Bulgaria'),
(112338, '194.150.52.0', '194.150.52.255', 3264623616, 3264623871, 'BE', 'Belgium'),
(112339, '194.150.53.0', '194.150.53.255', 3264623872, 3264624127, 'GB', 'United Kingdom'),
(112340, '194.150.54.0', '194.150.54.15', 3264624128, 3264624143, 'GI', 'Gibraltar'),
(112341, '194.150.54.16', '194.150.54.255', 3264624144, 3264624383, 'GB', 'United Kingdom'),
(112342, '194.150.55.0', '194.150.55.255', 3264624384, 3264624639, 'MT', 'Malta'),
(112343, '194.150.56.0', '194.150.56.31', 3264624640, 3264624671, 'NL', 'Netherlands'),
(112344, '194.150.56.32', '194.150.56.255', 3264624672, 3264624895, 'GB', 'United Kingdom'),
(112345, '194.150.57.0', '194.150.57.255', 3264624896, 3264625151, 'NL', 'Netherlands'),
(112346, '194.150.58.0', '194.150.62.255', 3264625152, 3264626431, 'GB', 'United Kingdom'),
(112347, '194.150.63.0', '194.150.63.255', 3264626432, 3264626687, 'NL', 'Netherlands'),
(112348, '194.150.64.0', '194.150.67.255', 3264626688, 3264627711, 'EE', 'Estonia'),
(112349, '194.150.68.0', '194.150.71.255', 3264627712, 3264628735, 'GR', 'Greece'),
(112350, '194.150.72.0', '194.150.79.255', 3264628736, 3264630783, 'UA', 'Ukraine'),
(112351, '194.150.80.0', '194.150.83.255', 3264630784, 3264631807, 'DE', 'Germany'),
(112352, '194.150.84.0', '194.150.87.255', 3264631808, 3264632831, 'RO', 'Romania'),
(112353, '194.150.88.0', '194.150.91.255', 3264632832, 3264633855, 'RU', 'Russian Federation'),
(112354, '194.150.92.0', '194.150.95.255', 3264633856, 3264634879, 'UA', 'Ukraine'),
(112355, '194.150.96.0', '194.150.103.255', 3264634880, 3264636927, 'PL', 'Poland'),
(112356, '194.150.104.0', '194.150.107.255', 3264636928, 3264637951, 'RU', 'Russian Federation'),
(112357, '194.150.108.0', '194.150.115.255', 3264637952, 3264639999, 'DK', 'Denmark'),
(112358, '194.150.116.0', '194.150.119.255', 3264640000, 3264641023, 'BG', 'Bulgaria'),
(112359, '194.150.120.0', '194.150.123.255', 3264641024, 3264642047, 'GB', 'United Kingdom'),
(112360, '194.150.124.0', '194.150.159.255', 3264642048, 3264651263, 'RU', 'Russian Federation'),
(112361, '194.150.160.0', '194.150.161.255', 3264651264, 3264651775, 'CH', 'Switzerland'),
(112362, '194.150.162.0', '194.150.163.255', 3264651776, 3264652287, 'IT', 'Italy'),
(112363, '194.150.164.0', '194.150.165.255', 3264652288, 3264652799, 'RU', 'Russian Federation'),
(112364, '194.150.166.0', '194.150.167.255', 3264652800, 3264653311, 'PL', 'Poland'),
(112365, '194.150.168.0', '194.150.169.255', 3264653312, 3264653823, 'EU', 'Europe'),
(112366, '194.150.170.0', '194.150.171.255', 3264653824, 3264654335, 'PL', 'Poland'),
(112367, '194.150.172.0', '194.150.173.255', 3264654336, 3264654847, 'DE', 'Germany'),
(112368, '194.150.174.0', '194.150.175.255', 3264654848, 3264655359, 'UA', 'Ukraine'),
(112369, '194.150.176.0', '194.150.177.255', 3264655360, 3264655871, 'GB', 'United Kingdom'),
(112370, '194.150.178.0', '194.150.179.255', 3264655872, 3264656383, 'RU', 'Russian Federation'),
(112371, '194.150.180.0', '194.150.181.255', 3264656384, 3264656895, 'BG', 'Bulgaria'),
(112372, '194.150.182.0', '194.150.183.255', 3264656896, 3264657407, 'GB', 'United Kingdom'),
(112373, '194.150.184.0', '194.150.185.255', 3264657408, 3264657919, 'PL', 'Poland'),
(112374, '194.150.186.0', '194.150.187.255', 3264657920, 3264658431, 'RO', 'Romania'),
(112375, '194.150.188.0', '194.150.191.255', 3264658432, 3264659455, 'DE', 'Germany'),
(112376, '194.150.192.0', '194.150.193.255', 3264659456, 3264659967, 'UA', 'Ukraine'),
(112377, '194.150.194.0', '194.150.195.255', 3264659968, 3264660479, 'GB', 'United Kingdom'),
(112378, '194.150.196.0', '194.150.197.255', 3264660480, 3264660991, 'PL', 'Poland'),
(112379, '194.150.198.0', '194.150.199.255', 3264660992, 3264661503, 'CH', 'Switzerland'),
(112380, '194.150.200.0', '194.150.201.255', 3264661504, 3264662015, 'GB', 'United Kingdom'),
(112381, '194.150.202.0', '194.150.203.255', 3264662016, 3264662527, 'RU', 'Russian Federation'),
(112382, '194.150.204.0', '194.150.205.255', 3264662528, 3264663039, 'UA', 'Ukraine'),
(112383, '194.150.206.0', '194.150.207.255', 3264663040, 3264663551, 'PL', 'Poland'),
(112384, '194.150.208.0', '194.150.209.255', 3264663552, 3264664063, 'NL', 'Netherlands'),
(112385, '194.150.210.0', '194.150.211.255', 3264664064, 3264664575, 'DE', 'Germany'),
(112386, '194.150.212.0', '194.150.213.255', 3264664576, 3264665087, 'NO', 'Norway'),
(112387, '194.150.214.0', '194.150.215.255', 3264665088, 3264665599, 'SE', 'Sweden'),
(112388, '194.150.216.0', '194.150.217.255', 3264665600, 3264666111, 'RO', 'Romania'),
(112389, '194.150.218.0', '194.150.219.255', 3264666112, 3264666623, 'IL', 'Israel'),
(112390, '194.150.220.0', '194.150.221.255', 3264666624, 3264667135, 'UA', 'Ukraine'),
(112391, '194.150.222.0', '194.150.223.255', 3264667136, 3264667647, 'RU', 'Russian Federation'),
(112392, '194.150.224.0', '194.150.225.255', 3264667648, 3264668159, 'BE', 'Belgium'),
(112393, '194.150.226.0', '194.150.229.255', 3264668160, 3264669183, 'DE', 'Germany'),
(112394, '194.150.230.0', '194.150.231.255', 3264669184, 3264669695, 'PL', 'Poland'),
(112395, '194.150.232.0', '194.150.233.255', 3264669696, 3264670207, 'UA', 'Ukraine'),
(112396, '194.150.234.0', '194.150.235.255', 3264670208, 3264670719, 'RU', 'Russian Federation'),
(112397, '194.150.236.0', '194.150.237.255', 3264670720, 3264671231, 'FR', 'France'),
(112398, '194.150.238.0', '194.150.239.255', 3264671232, 3264671743, 'PL', 'Poland'),
(112399, '194.150.240.0', '194.150.241.255', 3264671744, 3264672255, 'DE', 'Germany'),
(112400, '194.150.242.0', '194.150.243.255', 3264672256, 3264672767, 'RO', 'Romania'),
(112401, '194.150.244.0', '194.150.245.255', 3264672768, 3264673279, 'CH', 'Switzerland'),
(112402, '194.150.246.0', '194.150.247.255', 3264673280, 3264673791, 'PL', 'Poland'),
(112403, '194.150.248.0', '194.150.249.255', 3264673792, 3264674303, 'CH', 'Switzerland'),
(112404, '194.150.250.0', '194.150.251.255', 3264674304, 3264674815, 'PL', 'Poland'),
(112405, '194.150.252.0', '194.150.253.255', 3264674816, 3264675327, 'GB', 'United Kingdom'),
(112406, '194.150.254.0', '194.150.255.255', 3264675328, 3264675839, 'RU', 'Russian Federation'),
(112407, '194.151.0.0', '194.151.74.255', 3264675840, 3264695039, 'NL', 'Netherlands'),
(112408, '194.151.75.0', '194.151.75.255', 3264695040, 3264695295, 'EU', 'Europe'),
(112409, '194.151.76.0', '194.151.86.68', 3264695296, 3264697924, 'NL', 'Netherlands'),
(112410, '194.151.86.69', '194.151.86.69', 3264697925, 3264697925, 'EU', 'Europe'),
(112411, '194.151.86.70', '194.151.255.255', 3264697926, 3264741375, 'NL', 'Netherlands'),
(112412, '194.152.0.0', '194.152.31.255', 3264741376, 3264749567, 'SI', 'Slovenia'),
(112413, '194.152.32.0', '194.152.33.255', 3264749568, 3264750079, 'LV', 'Latvia'),
(112414, '194.152.34.0', '194.152.35.255', 3264750080, 3264750591, 'RU', 'Russian Federation'),
(112415, '194.152.36.0', '194.152.37.255', 3264750592, 3264751103, 'KG', 'Kyrgyzstan'),
(112416, '194.152.38.0', '194.152.39.255', 3264751104, 3264751615, 'DK', 'Denmark'),
(112417, '194.152.40.0', '194.152.41.255', 3264751616, 3264752127, 'GB', 'United Kingdom'),
(112418, '194.152.42.0', '194.152.43.255', 3264752128, 3264752639, 'RO', 'Romania'),
(112419, '194.152.44.0', '194.152.45.255', 3264752640, 3264753151, 'AE', 'United Arab Emirates'),
(112420, '194.152.46.0', '194.152.47.255', 3264753152, 3264753663, 'PL', 'Poland'),
(112421, '194.152.48.0', '194.152.49.255', 3264753664, 3264754175, 'IT', 'Italy'),
(112422, '194.152.50.0', '194.152.51.255', 3264754176, 3264754687, 'PL', 'Poland'),
(112423, '194.152.54.0', '194.152.55.255', 3264755200, 3264755711, 'DE', 'Germany'),
(112424, '194.152.56.0', '194.152.57.255', 3264755712, 3264756223, 'PL', 'Poland'),
(112425, '194.152.58.0', '194.152.59.255', 3264756224, 3264756735, 'FI', 'Finland'),
(112426, '194.152.60.0', '194.152.61.255', 3264756736, 3264757247, 'PL', 'Poland'),
(112427, '194.152.62.0', '194.152.63.255', 3264757248, 3264757759, 'RU', 'Russian Federation'),
(112428, '194.152.64.0', '194.152.95.255', 3264757760, 3264765951, 'GB', 'United Kingdom'),
(112429, '194.152.96.0', '194.152.127.255', 3264765952, 3264774143, 'AT', 'Austria'),
(112430, '194.152.128.0', '194.152.159.255', 3264774144, 3264782335, 'HU', 'Hungary'),
(112431, '194.152.160.0', '194.152.191.255', 3264782336, 3264790527, 'AT', 'Austria'),
(112432, '194.152.192.0', '194.152.255.255', 3264790528, 3264806911, 'HR', 'Croatia'),
(112433, '194.153.0.0', '194.153.31.255', 3264806912, 3264815103, 'GB', 'United Kingdom'),
(112434, '194.153.32.0', '194.153.71.255', 3264815104, 3264825343, 'SE', 'Sweden'),
(112435, '194.153.72.0', '194.153.72.255', 3264825344, 3264825599, 'NO', 'Norway'),
(112436, '194.153.73.0', '194.153.73.255', 3264825600, 3264825855, 'IT', 'Italy'),
(112437, '194.153.74.0', '194.153.77.255', 3264825856, 3264826879, 'GB', 'United Kingdom'),
(112438, '194.153.78.0', '194.153.78.255', 3264826880, 3264827135, 'NL', 'Netherlands'),
(112439, '194.153.79.0', '194.153.79.255', 3264827136, 3264827391, 'LV', 'Latvia'),
(112440, '194.153.80.0', '194.153.80.255', 3264827392, 3264827647, 'FR', 'France'),
(112441, '194.153.81.0', '194.153.82.255', 3264827648, 3264828159, 'GR', 'Greece'),
(112442, '194.153.83.0', '194.153.83.255', 3264828160, 3264828415, 'EU', 'Europe'),
(112443, '194.153.84.0', '194.153.84.255', 3264828416, 3264828671, 'SE', 'Sweden'),
(112444, '194.153.85.0', '194.153.85.255', 3264828672, 3264828927, 'MT', 'Malta'),
(112445, '194.153.86.0', '194.153.87.255', 3264828928, 3264829439, 'DE', 'Germany'),
(112446, '194.153.88.0', '194.153.90.255', 3264829440, 3264830207, 'FR', 'France'),
(112447, '194.153.91.0', '194.153.91.255', 3264830208, 3264830463, 'SE', 'Sweden'),
(112448, '194.153.92.0', '194.153.92.255', 3264830464, 3264830719, 'FR', 'France'),
(112449, '194.153.93.0', '194.153.93.255', 3264830720, 3264830975, 'AT', 'Austria'),
(112450, '194.153.94.0', '194.153.94.255', 3264830976, 3264831231, 'CH', 'Switzerland'),
(112451, '194.153.95.0', '194.153.95.255', 3264831232, 3264831487, 'PL', 'Poland'),
(112452, '194.153.96.0', '194.153.96.255', 3264831488, 3264831743, 'CH', 'Switzerland'),
(112453, '194.153.97.0', '194.153.97.255', 3264831744, 3264831999, 'FR', 'France'),
(112454, '194.153.98.0', '194.153.98.255', 3264832000, 3264832255, 'IE', 'Ireland'),
(112455, '194.153.99.0', '194.153.99.255', 3264832256, 3264832511, 'IT', 'Italy'),
(112456, '194.153.100.0', '194.153.100.255', 3264832512, 3264832767, 'DE', 'Germany'),
(112457, '194.153.101.0', '194.153.101.255', 3264832768, 3264833023, 'IL', 'Israel'),
(112458, '194.153.102.0', '194.153.103.255', 3264833024, 3264833535, 'IT', 'Italy'),
(112459, '194.153.104.0', '194.153.105.255', 3264833536, 3264834047, 'DE', 'Germany'),
(112460, '194.153.106.0', '194.153.106.255', 3264834048, 3264834303, 'GB', 'United Kingdom'),
(112461, '194.153.108.0', '194.153.110.255', 3264834560, 3264835327, 'FR', 'France'),
(112462, '194.153.111.0', '194.153.111.255', 3264835328, 3264835583, 'AT', 'Austria'),
(112463, '194.153.112.0', '194.153.112.255', 3264835584, 3264835839, 'RU', 'Russian Federation'),
(112464, '194.153.113.0', '194.153.114.255', 3264835840, 3264836351, 'DE', 'Germany'),
(112465, '194.153.115.0', '194.153.115.255', 3264836352, 3264836607, 'PL', 'Poland'),
(112466, '194.153.116.0', '194.153.116.255', 3264836608, 3264836863, 'DE', 'Germany'),
(112467, '194.153.117.0', '194.153.117.255', 3264836864, 3264837119, 'NL', 'Netherlands'),
(112468, '194.153.118.0', '194.153.118.255', 3264837120, 3264837375, 'BG', 'Bulgaria'),
(112469, '194.153.119.0', '194.153.119.255', 3264837376, 3264837631, 'PL', 'Poland'),
(112470, '194.153.120.0', '194.153.127.255', 3264837632, 3264839679, 'AT', 'Austria'),
(112471, '194.153.128.0', '194.153.129.255', 3264839680, 3264840191, 'UA', 'Ukraine'),
(112472, '194.153.130.0', '194.153.130.255', 3264840192, 3264840447, 'DE', 'Germany'),
(112473, '194.153.131.0', '194.153.131.255', 3264840448, 3264840703, 'IT', 'Italy'),
(112474, '194.153.132.0', '194.153.132.255', 3264840704, 3264840959, 'PT', 'Portugal'),
(112475, '194.153.133.0', '194.153.134.255', 3264840960, 3264841471, 'PL', 'Poland'),
(112476, '194.153.135.0', '194.153.135.255', 3264841472, 3264841727, 'LV', 'Latvia'),
(112477, '194.153.136.0', '194.153.144.255', 3264841728, 3264844031, 'GB', 'United Kingdom'),
(112478, '194.153.145.0', '194.153.145.255', 3264844032, 3264844287, 'BG', 'Bulgaria'),
(112479, '194.153.146.0', '194.153.147.255', 3264844288, 3264844799, 'DE', 'Germany'),
(112480, '194.153.148.0', '194.153.149.255', 3264844800, 3264845311, 'UA', 'Ukraine'),
(112481, '194.153.150.0', '194.153.152.127', 3264845312, 3264845951, 'DE', 'Germany'),
(112482, '194.153.152.128', '194.153.152.255', 3264845952, 3264846079, 'GB', 'United Kingdom'),
(112483, '194.153.153.0', '194.153.153.127', 3264846080, 3264846207, 'UG', 'Uganda'),
(112484, '194.153.153.128', '194.153.153.255', 3264846208, 3264846335, 'AE', 'United Arab Emirates'),
(112485, '194.153.154.0', '194.153.154.127', 3264846336, 3264846463, 'GB', 'United Kingdom'),
(112486, '194.153.154.128', '194.153.154.255', 3264846464, 3264846591, 'NO', 'Norway'),
(112487, '194.153.155.0', '194.153.155.127', 3264846592, 3264846719, 'US', 'United States'),
(112488, '194.153.155.128', '194.153.155.255', 3264846720, 3264846847, 'RU', 'Russian Federation'),
(112489, '194.153.156.0', '194.153.156.63', 3264846848, 3264846911, 'DK', 'Denmark'),
(112490, '194.153.157.0', '194.153.157.31', 3264847104, 3264847135, 'FR', 'France'),
(112491, '194.153.157.32', '194.153.157.63', 3264847136, 3264847167, 'ES', 'Spain'),
(112492, '194.153.157.64', '194.153.157.95', 3264847168, 3264847199, 'IE', 'Ireland'),
(112493, '194.153.157.96', '194.153.157.127', 3264847200, 3264847231, 'NO', 'Norway'),
(112494, '194.153.157.128', '194.153.157.159', 3264847232, 3264847263, 'CH', 'Switzerland'),
(112495, '194.153.157.160', '194.153.157.191', 3264847264, 3264847295, 'LI', 'Liechtenstein'),
(112496, '194.153.158.0', '194.153.158.127', 3264847360, 3264847487, 'FR', 'France'),
(112497, '194.153.158.128', '194.153.158.255', 3264847488, 3264847615, 'RU', 'Russian Federation'),
(112498, '194.153.159.0', '194.153.159.63', 3264847616, 3264847679, 'PL', 'Poland'),
(112499, '194.153.159.64', '194.153.159.127', 3264847680, 3264847743, 'FI', 'Finland'),
(112500, '194.153.159.128', '194.153.159.191', 3264847744, 3264847807, 'BE', 'Belgium'),
(112501, '194.153.159.192', '194.153.159.255', 3264847808, 3264847871, 'SE', 'Sweden'),
(112502, '194.153.160.0', '194.153.167.255', 3264847872, 3264849919, 'DE', 'Germany'),
(112503, '194.153.168.0', '194.153.169.255', 3264849920, 3264850431, 'GB', 'United Kingdom'),
(112504, '194.153.170.0', '194.153.170.255', 3264850432, 3264850687, 'PL', 'Poland'),
(112505, '194.153.171.0', '194.153.171.255', 3264850688, 3264850943, 'LV', 'Latvia'),
(112506, '194.153.172.0', '194.153.175.255', 3264850944, 3264851967, 'IT', 'Italy'),
(112507, '194.153.176.0', '194.153.183.255', 3264851968, 3264854015, 'CH', 'Switzerland'),
(112508, '194.153.184.0', '194.153.184.255', 3264854016, 3264854271, 'GB', 'United Kingdom'),
(112509, '194.153.185.0', '194.153.185.255', 3264854272, 3264854527, 'DE', 'Germany'),
(112510, '194.153.186.0', '194.153.186.255', 3264854528, 3264854783, 'EU', 'Europe'),
(112511, '194.153.187.0', '194.153.187.255', 3264854784, 3264855039, 'IT', 'Italy'),
(112512, '194.153.188.0', '194.153.189.255', 3264855040, 3264855551, 'CH', 'Switzerland'),
(112513, '194.153.190.0', '194.153.191.255', 3264855552, 3264856063, 'DE', 'Germany'),
(112514, '194.153.192.0', '194.153.213.255', 3264856064, 3264861695, 'IT', 'Italy'),
(112515, '194.153.214.0', '194.153.215.255', 3264861696, 3264862207, 'FR', 'France'),
(112516, '194.153.216.0', '194.153.216.255', 3264862208, 3264862463, 'PL', 'Poland'),
(112517, '194.153.217.0', '194.153.217.255', 3264862464, 3264862719, 'AT', 'Austria'),
(112518, '194.153.218.0', '194.153.218.255', 3264862720, 3264862975, 'GB', 'United Kingdom'),
(112519, '194.153.219.0', '194.153.219.255', 3264862976, 3264863231, 'DE', 'Germany'),
(112520, '194.153.220.0', '194.153.223.255', 3264863232, 3264864255, 'AT', 'Austria'),
(112521, '194.153.224.0', '194.153.255.255', 3264864256, 3264872447, 'RO', 'Romania'),
(112522, '194.154.0.0', '194.154.63.255', 3264872448, 3264888831, 'GB', 'United Kingdom'),
(112523, '194.154.64.0', '194.154.95.255', 3264888832, 3264897023, 'RU', 'Russian Federation'),
(112524, '194.154.96.0', '194.154.127.255', 3264897024, 3264905215, 'GB', 'United Kingdom'),
(112525, '194.154.128.0', '194.154.141.255', 3264905216, 3264908799, 'CY', 'Cyprus'),
(112526, '194.154.142.0', '194.154.142.255', 3264908800, 3264909055, 'GB', 'United Kingdom'),
(112527, '194.154.143.0', '194.154.159.255', 3264909056, 3264913407, 'CY', 'Cyprus'),
(112528, '194.154.160.0', '194.154.191.255', 3264913408, 3264921599, 'GB', 'United Kingdom'),
(112529, '194.154.192.0', '194.154.194.191', 3264921600, 3264922303, 'LU', 'Luxembourg'),
(112530, '194.154.194.192', '194.154.194.207', 3264922304, 3264922319, 'SA', 'Saudi Arabia'),
(112531, '194.154.194.208', '194.154.223.255', 3264922320, 3264929791, 'LU', 'Luxembourg'),
(112532, '194.154.224.0', '194.154.255.255', 3264929792, 3264937983, 'SK', 'Slovakia'),
(112533, '194.155.0.0', '194.155.255.255', 3264937984, 3265003519, 'GB', 'United Kingdom'),
(112534, '194.156.0.0', '194.156.47.255', 3265003520, 3265015807, 'DE', 'Germany'),
(112535, '194.156.48.0', '194.156.48.255', 3265015808, 3265016063, 'EU', 'Europe'),
(112536, '194.156.49.0', '194.156.164.255', 3265016064, 3265045759, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(112537, '194.156.165.0', '194.156.165.255', 3265045760, 3265046015, 'TR', 'Turkey'),
(112538, '194.156.166.0', '194.156.201.255', 3265046016, 3265055231, 'DE', 'Germany'),
(112539, '194.156.202.0', '194.156.203.255', 3265055232, 3265055743, 'FR', 'France'),
(112540, '194.156.204.0', '194.156.255.255', 3265055744, 3265069055, 'DE', 'Germany'),
(112541, '194.157.0.0', '194.157.255.255', 3265069056, 3265134591, 'FI', 'Finland'),
(112542, '194.158.0.0', '194.158.31.255', 3265134592, 3265142783, 'CH', 'Switzerland'),
(112543, '194.158.32.0', '194.158.63.255', 3265142784, 3265150975, 'MT', 'Malta'),
(112544, '194.158.64.0', '194.158.95.255', 3265150976, 3265159167, 'AD', 'Andorra'),
(112545, '194.158.96.0', '194.158.127.255', 3265159168, 3265167359, 'FR', 'France'),
(112546, '194.158.128.0', '194.158.159.255', 3265167360, 3265175551, 'AT', 'Austria'),
(112547, '194.158.160.0', '194.158.191.255', 3265175552, 3265183743, 'NL', 'Netherlands'),
(112548, '194.158.192.0', '194.158.223.255', 3265183744, 3265191935, 'BY', 'Belarus'),
(112549, '194.158.224.0', '194.158.255.255', 3265191936, 3265200127, 'CH', 'Switzerland'),
(112550, '194.159.0.0', '194.159.64.255', 3265200128, 3265216767, 'GB', 'United Kingdom'),
(112551, '194.159.65.0', '194.159.65.255', 3265216768, 3265217023, 'FR', 'France'),
(112552, '194.159.66.0', '194.159.71.255', 3265217024, 3265218559, 'GB', 'United Kingdom'),
(112553, '194.159.72.0', '194.159.73.255', 3265218560, 3265219071, 'NL', 'Netherlands'),
(112554, '194.159.74.0', '194.159.223.255', 3265219072, 3265257471, 'GB', 'United Kingdom'),
(112555, '194.159.224.0', '194.159.231.255', 3265257472, 3265259519, 'NL', 'Netherlands'),
(112556, '194.159.232.0', '194.159.255.255', 3265259520, 3265265663, 'GB', 'United Kingdom'),
(112557, '194.160.0.0', '194.160.255.255', 3265265664, 3265331199, 'SK', 'Slovakia'),
(112558, '194.161.0.0', '194.161.35.255', 3265331200, 3265340415, 'GB', 'United Kingdom'),
(112559, '194.161.36.0', '194.161.36.255', 3265340416, 3265340671, 'DE', 'Germany'),
(112560, '194.161.37.0', '194.161.37.255', 3265340672, 3265340927, 'GB', 'United Kingdom'),
(112561, '194.161.38.0', '194.161.38.255', 3265340928, 3265341183, 'CH', 'Switzerland'),
(112562, '194.161.39.0', '194.161.39.95', 3265341184, 3265341279, 'AT', 'Austria'),
(112563, '194.161.39.96', '194.161.39.127', 3265341280, 3265341311, 'EU', 'Europe'),
(112564, '194.161.39.128', '194.161.39.255', 3265341312, 3265341439, 'FR', 'France'),
(112565, '194.161.40.0', '194.161.40.255', 3265341440, 3265341695, 'GB', 'United Kingdom'),
(112566, '194.161.41.0', '194.161.41.255', 3265341696, 3265341951, 'DE', 'Germany'),
(112567, '194.161.42.0', '194.161.47.255', 3265341952, 3265343487, 'GB', 'United Kingdom'),
(112568, '194.161.48.0', '194.161.63.255', 3265343488, 3265347583, 'DE', 'Germany'),
(112569, '194.161.64.0', '194.161.83.255', 3265347584, 3265352703, 'FR', 'France'),
(112570, '194.161.84.0', '194.161.84.255', 3265352704, 3265352959, 'BE', 'Belgium'),
(112571, '194.161.85.0', '194.161.85.255', 3265352960, 3265353215, 'FR', 'France'),
(112572, '194.161.86.0', '194.161.93.255', 3265353216, 3265355263, 'DE', 'Germany'),
(112573, '194.161.94.0', '194.161.95.255', 3265355264, 3265355775, 'FR', 'France'),
(112574, '194.161.96.0', '194.161.100.255', 3265355776, 3265357055, 'BE', 'Belgium'),
(112575, '194.161.101.0', '194.161.101.255', 3265357056, 3265357311, 'FR', 'France'),
(112576, '194.161.102.0', '194.161.102.255', 3265357312, 3265357567, 'DE', 'Germany'),
(112577, '194.161.103.0', '194.161.103.255', 3265357568, 3265357823, 'BE', 'Belgium'),
(112578, '194.161.104.0', '194.161.107.255', 3265357824, 3265358847, 'NL', 'Netherlands'),
(112579, '194.161.108.0', '194.161.108.255', 3265358848, 3265359103, 'BE', 'Belgium'),
(112580, '194.161.109.0', '194.161.111.255', 3265359104, 3265359871, 'NL', 'Netherlands'),
(112581, '194.161.112.0', '194.161.112.255', 3265359872, 3265360127, 'CH', 'Switzerland'),
(112582, '194.161.113.0', '194.161.113.255', 3265360128, 3265360383, 'GB', 'United Kingdom'),
(112583, '194.161.114.0', '194.161.115.255', 3265360384, 3265360895, 'CH', 'Switzerland'),
(112584, '194.161.116.0', '194.161.119.255', 3265360896, 3265361919, 'GB', 'United Kingdom'),
(112585, '194.161.120.0', '194.161.127.255', 3265361920, 3265363967, 'IT', 'Italy'),
(112586, '194.161.128.0', '194.161.135.255', 3265363968, 3265366015, 'ES', 'Spain'),
(112587, '194.161.136.0', '194.161.136.63', 3265366016, 3265366079, 'EU', 'Europe'),
(112588, '194.161.136.64', '194.161.136.255', 3265366080, 3265366271, 'BE', 'Belgium'),
(112589, '194.161.137.0', '194.161.137.255', 3265366272, 3265366527, 'HU', 'Hungary'),
(112590, '194.161.138.0', '194.161.139.255', 3265366528, 3265367039, 'DK', 'Denmark'),
(112591, '194.161.140.0', '194.161.140.255', 3265367040, 3265367295, 'AT', 'Austria'),
(112592, '194.161.141.0', '194.161.141.255', 3265367296, 3265367551, 'ES', 'Spain'),
(112593, '194.161.142.0', '194.161.142.255', 3265367552, 3265367807, 'SE', 'Sweden'),
(112594, '194.161.143.0', '194.161.148.255', 3265367808, 3265369343, 'DK', 'Denmark'),
(112595, '194.161.149.0', '194.161.149.255', 3265369344, 3265369599, 'IL', 'Israel'),
(112596, '194.161.150.0', '194.161.150.255', 3265369600, 3265369855, 'SE', 'Sweden'),
(112597, '194.161.151.0', '194.161.151.255', 3265369856, 3265370111, 'DE', 'Germany'),
(112598, '194.161.152.0', '194.161.153.255', 3265370112, 3265370623, 'DK', 'Denmark'),
(112599, '194.161.154.0', '194.161.154.255', 3265370624, 3265370879, 'GB', 'United Kingdom'),
(112600, '194.161.155.0', '194.161.175.255', 3265370880, 3265376255, 'DE', 'Germany'),
(112601, '194.161.176.0', '194.161.176.255', 3265376256, 3265376511, 'IT', 'Italy'),
(112602, '194.161.177.0', '194.161.183.255', 3265376512, 3265378303, 'GB', 'United Kingdom'),
(112603, '194.161.184.0', '194.161.190.255', 3265378304, 3265380095, 'NL', 'Netherlands'),
(112604, '194.161.191.0', '194.161.199.255', 3265380096, 3265382399, 'GB', 'United Kingdom'),
(112605, '194.161.200.0', '194.161.201.255', 3265382400, 3265382911, 'CH', 'Switzerland'),
(112606, '194.161.202.0', '194.161.207.255', 3265382912, 3265384447, 'GB', 'United Kingdom'),
(112607, '194.161.208.0', '194.161.215.255', 3265384448, 3265386495, 'DE', 'Germany'),
(112608, '194.161.216.0', '194.161.216.255', 3265386496, 3265386751, 'NL', 'Netherlands'),
(112609, '194.161.217.0', '194.161.217.255', 3265386752, 3265387007, 'EU', 'Europe'),
(112610, '194.161.218.0', '194.161.218.255', 3265387008, 3265387263, 'NL', 'Netherlands'),
(112611, '194.161.219.0', '194.161.223.255', 3265387264, 3265388543, 'EU', 'Europe'),
(112612, '194.161.224.0', '194.161.255.255', 3265388544, 3265396735, 'GB', 'United Kingdom'),
(112613, '194.162.0.0', '194.163.10.15', 3265396736, 3265464847, 'DE', 'Germany'),
(112614, '194.163.10.16', '194.163.10.31', 3265464848, 3265464863, 'AT', 'Austria'),
(112615, '194.163.10.32', '194.163.11.255', 3265464864, 3265465343, 'DE', 'Germany'),
(112616, '194.163.12.0', '194.163.12.255', 3265465344, 3265465599, 'AT', 'Austria'),
(112617, '194.163.13.0', '194.163.20.127', 3265465600, 3265467519, 'DE', 'Germany'),
(112618, '194.163.20.128', '194.163.20.131', 3265467520, 3265467523, 'ES', 'Spain'),
(112619, '194.163.20.132', '194.163.253.15', 3265467524, 3265527055, 'DE', 'Germany'),
(112620, '194.163.253.16', '194.163.253.19', 3265527056, 3265527059, 'ES', 'Spain'),
(112621, '194.163.253.20', '194.163.253.23', 3265527060, 3265527063, 'DE', 'Germany'),
(112622, '194.163.253.24', '194.163.253.31', 3265527064, 3265527071, 'SE', 'Sweden'),
(112623, '194.163.253.32', '194.163.253.47', 3265527072, 3265527087, 'DE', 'Germany'),
(112624, '194.163.253.48', '194.163.253.55', 3265527088, 3265527095, 'SE', 'Sweden'),
(112625, '194.163.253.56', '194.163.255.255', 3265527096, 3265527807, 'DE', 'Germany'),
(112626, '194.164.0.0', '194.164.161.255', 3265527808, 3265569279, 'GB', 'United Kingdom'),
(112627, '194.164.162.0', '194.164.163.255', 3265569280, 3265569791, 'AE', 'United Arab Emirates'),
(112628, '194.164.164.0', '194.164.212.255', 3265569792, 3265582335, 'GB', 'United Kingdom'),
(112629, '194.164.213.0', '194.164.213.140', 3265582336, 3265582476, 'A2', 'Satellite Provider'),
(112630, '194.164.213.141', '194.164.213.141', 3265582477, 3265582477, 'LB', 'Lebanon'),
(112631, '194.164.213.142', '194.164.213.255', 3265582478, 3265582591, 'A2', 'Satellite Provider'),
(112632, '194.164.214.0', '194.164.255.255', 3265582592, 3265593343, 'GB', 'United Kingdom'),
(112633, '194.165.0.0', '194.165.3.255', 3265593344, 3265594367, 'RU', 'Russian Federation'),
(112634, '194.165.4.0', '194.165.7.255', 3265594368, 3265595391, 'UA', 'Ukraine'),
(112635, '194.165.8.0', '194.165.9.255', 3265595392, 3265595903, 'PL', 'Poland'),
(112636, '194.165.10.0', '194.165.11.255', 3265595904, 3265596415, 'RU', 'Russian Federation'),
(112637, '194.165.12.0', '194.165.13.255', 3265596416, 3265596927, 'GB', 'United Kingdom'),
(112638, '194.165.14.0', '194.165.15.255', 3265596928, 3265597439, 'FR', 'France'),
(112639, '194.165.16.0', '194.165.25.255', 3265597440, 3265599999, 'RU', 'Russian Federation'),
(112640, '194.165.26.0', '194.165.27.255', 3265600000, 3265600511, 'HU', 'Hungary'),
(112641, '194.165.28.0', '194.165.29.255', 3265600512, 3265601023, 'GB', 'United Kingdom'),
(112642, '194.165.30.0', '194.165.31.255', 3265601024, 3265601535, 'RU', 'Russian Federation'),
(112643, '194.165.32.0', '194.165.32.255', 3265601536, 3265601791, 'SE', 'Sweden'),
(112644, '194.165.33.0', '194.165.33.255', 3265601792, 3265602047, 'CH', 'Switzerland'),
(112645, '194.165.34.0', '194.165.35.255', 3265602048, 3265602559, 'NL', 'Netherlands'),
(112646, '194.165.36.0', '194.165.36.255', 3265602560, 3265602815, 'IT', 'Italy'),
(112647, '194.165.37.0', '194.165.37.255', 3265602816, 3265603071, 'IE', 'Ireland'),
(112648, '194.165.38.0', '194.165.38.255', 3265603072, 3265603327, 'DK', 'Denmark'),
(112649, '194.165.39.0', '194.165.39.255', 3265603328, 3265603583, 'MD', 'Moldova, Republic of'),
(112650, '194.165.40.0', '194.165.40.255', 3265603584, 3265603839, 'DE', 'Germany'),
(112651, '194.165.41.0', '194.165.41.255', 3265603840, 3265604095, 'PL', 'Poland'),
(112652, '194.165.42.0', '194.165.42.255', 3265604096, 3265604351, 'GB', 'United Kingdom'),
(112653, '194.165.43.0', '194.165.43.255', 3265604352, 3265604607, 'FR', 'France'),
(112654, '194.165.44.0', '194.165.44.255', 3265604608, 3265604863, 'CH', 'Switzerland'),
(112655, '194.165.45.0', '194.165.45.255', 3265604864, 3265605119, 'RU', 'Russian Federation'),
(112656, '194.165.46.0', '194.165.46.255', 3265605120, 3265605375, 'UA', 'Ukraine'),
(112657, '194.165.47.0', '194.165.47.255', 3265605376, 3265605631, 'CZ', 'Czech Republic'),
(112658, '194.165.48.0', '194.165.48.255', 3265605632, 3265605887, 'PL', 'Poland'),
(112659, '194.165.49.0', '194.165.49.255', 3265605888, 3265606143, 'FR', 'France'),
(112660, '194.165.50.0', '194.165.50.255', 3265606144, 3265606399, 'RU', 'Russian Federation'),
(112661, '194.165.51.0', '194.165.51.255', 3265606400, 3265606655, 'NL', 'Netherlands'),
(112662, '194.165.52.0', '194.165.52.255', 3265606656, 3265606911, 'AT', 'Austria'),
(112663, '194.165.53.0', '194.165.53.255', 3265606912, 3265607167, 'RU', 'Russian Federation'),
(112664, '194.165.54.0', '194.165.54.255', 3265607168, 3265607423, 'PL', 'Poland'),
(112665, '194.165.55.0', '194.165.56.255', 3265607424, 3265607935, 'DK', 'Denmark'),
(112666, '194.165.57.0', '194.165.57.255', 3265607936, 3265608191, 'CZ', 'Czech Republic'),
(112667, '194.165.58.0', '194.165.58.255', 3265608192, 3265608447, 'RU', 'Russian Federation'),
(112668, '194.165.59.0', '194.165.59.255', 3265608448, 3265608703, 'SE', 'Sweden'),
(112669, '194.165.60.0', '194.165.60.255', 3265608704, 3265608959, 'GB', 'United Kingdom'),
(112670, '194.165.61.0', '194.165.61.255', 3265608960, 3265609215, 'RU', 'Russian Federation'),
(112671, '194.165.62.0', '194.165.63.255', 3265609216, 3265609727, 'UA', 'Ukraine'),
(112672, '194.165.64.0', '194.165.95.255', 3265609728, 3265617919, 'NL', 'Netherlands'),
(112673, '194.165.96.0', '194.165.127.255', 3265617920, 3265626111, 'SI', 'Slovenia'),
(112674, '194.165.128.0', '194.165.159.255', 3265626112, 3265634303, 'JO', 'Jordan'),
(112675, '194.165.160.0', '194.165.191.47', 3265634304, 3265642287, 'IE', 'Ireland'),
(112676, '194.165.191.48', '194.165.191.63', 3265642288, 3265642303, 'US', 'United States'),
(112677, '194.165.191.64', '194.165.191.255', 3265642304, 3265642495, 'IE', 'Ireland'),
(112678, '194.165.192.0', '194.165.223.255', 3265642496, 3265650687, 'GB', 'United Kingdom'),
(112679, '194.165.224.0', '194.165.255.255', 3265650688, 3265658879, 'SE', 'Sweden'),
(112680, '194.166.0.0', '194.166.255.255', 3265658880, 3265724415, 'AT', 'Austria'),
(112681, '194.167.0.0', '194.167.255.255', 3265724416, 3265789951, 'FR', 'France'),
(112682, '194.168.0.0', '194.168.135.255', 3265789952, 3265824767, 'GB', 'United Kingdom'),
(112683, '194.168.136.0', '194.168.136.255', 3265824768, 3265825023, 'US', 'United States'),
(112684, '194.168.137.0', '194.169.124.255', 3265825024, 3265887487, 'GB', 'United Kingdom'),
(112685, '194.169.125.0', '194.169.125.255', 3265887488, 3265887743, 'PT', 'Portugal'),
(112686, '194.169.126.0', '194.169.127.255', 3265887744, 3265888255, 'PL', 'Poland'),
(112687, '194.169.128.0', '194.169.182.255', 3265888256, 3265902335, 'GB', 'United Kingdom'),
(112688, '194.169.183.0', '194.169.183.255', 3265902336, 3265902591, 'FR', 'France'),
(112689, '194.169.184.0', '194.169.190.255', 3265902592, 3265904383, 'GB', 'United Kingdom'),
(112690, '194.169.191.0', '194.169.191.255', 3265904384, 3265904639, 'RO', 'Romania'),
(112691, '194.169.192.0', '194.169.192.255', 3265904640, 3265904895, 'DE', 'Germany'),
(112692, '194.169.193.0', '194.169.193.255', 3265904896, 3265905151, 'UA', 'Ukraine'),
(112693, '194.169.194.0', '194.169.195.255', 3265905152, 3265905663, 'GB', 'United Kingdom'),
(112694, '194.169.196.0', '194.169.196.255', 3265905664, 3265905919, 'IE', 'Ireland'),
(112695, '194.169.197.0', '194.169.197.255', 3265905920, 3265906175, 'GB', 'United Kingdom'),
(112696, '194.169.198.0', '194.169.198.255', 3265906176, 3265906431, 'DE', 'Germany'),
(112697, '194.169.199.0', '194.169.199.255', 3265906432, 3265906687, 'CH', 'Switzerland'),
(112698, '194.169.200.0', '194.169.200.255', 3265906688, 3265906943, 'AT', 'Austria'),
(112699, '194.169.201.0', '194.169.201.255', 3265906944, 3265907199, 'ES', 'Spain'),
(112700, '194.169.202.0', '194.169.202.255', 3265907200, 3265907455, 'DE', 'Germany'),
(112701, '194.169.203.0', '194.169.203.255', 3265907456, 3265907711, 'FR', 'France'),
(112702, '194.169.204.0', '194.169.207.255', 3265907712, 3265908735, 'UA', 'Ukraine'),
(112703, '194.169.208.0', '194.169.208.255', 3265908736, 3265908991, 'NL', 'Netherlands'),
(112704, '194.169.209.0', '194.169.209.255', 3265908992, 3265909247, 'RO', 'Romania'),
(112705, '194.169.210.0', '194.169.210.255', 3265909248, 3265909503, 'UA', 'Ukraine'),
(112706, '194.169.211.0', '194.169.211.255', 3265909504, 3265909759, 'DE', 'Germany'),
(112707, '194.169.212.0', '194.169.212.255', 3265909760, 3265910015, 'RO', 'Romania'),
(112708, '194.169.213.0', '194.169.213.255', 3265910016, 3265910271, 'PL', 'Poland'),
(112709, '194.169.214.0', '194.169.214.255', 3265910272, 3265910527, 'FR', 'France'),
(112710, '194.169.215.0', '194.169.215.255', 3265910528, 3265910783, 'PT', 'Portugal'),
(112711, '194.169.216.0', '194.169.216.255', 3265910784, 3265911039, 'DE', 'Germany'),
(112712, '194.169.217.0', '194.169.218.255', 3265911040, 3265911551, 'GB', 'United Kingdom'),
(112713, '194.169.219.0', '194.169.219.255', 3265911552, 3265911807, 'CH', 'Switzerland'),
(112714, '194.169.220.0', '194.169.220.255', 3265911808, 3265912063, 'PL', 'Poland'),
(112715, '194.169.221.0', '194.169.221.255', 3265912064, 3265912319, 'GB', 'United Kingdom'),
(112716, '194.169.222.0', '194.169.222.255', 3265912320, 3265912575, 'DE', 'Germany'),
(112717, '194.169.223.0', '194.169.223.255', 3265912576, 3265912831, 'RO', 'Romania'),
(112718, '194.169.224.0', '194.169.224.255', 3265912832, 3265913087, 'CZ', 'Czech Republic'),
(112719, '194.169.225.0', '194.169.225.255', 3265913088, 3265913343, 'SE', 'Sweden'),
(112720, '194.169.226.0', '194.169.229.255', 3265913344, 3265914367, 'PL', 'Poland'),
(112721, '194.169.230.0', '194.169.230.255', 3265914368, 3265914623, 'RU', 'Russian Federation'),
(112722, '194.169.231.0', '194.169.231.255', 3265914624, 3265914879, 'BG', 'Bulgaria'),
(112723, '194.169.232.0', '194.169.232.255', 3265914880, 3265915135, 'GR', 'Greece'),
(112724, '194.169.233.0', '194.169.233.255', 3265915136, 3265915391, 'RO', 'Romania'),
(112725, '194.169.234.0', '194.169.234.255', 3265915392, 3265915647, 'GB', 'United Kingdom'),
(112726, '194.169.235.0', '194.169.235.255', 3265915648, 3265915903, 'RO', 'Romania'),
(112727, '194.169.236.0', '194.169.237.255', 3265915904, 3265916415, 'PL', 'Poland'),
(112728, '194.169.238.0', '194.169.238.255', 3265916416, 3265916671, 'UA', 'Ukraine'),
(112729, '194.169.239.0', '194.169.239.255', 3265916672, 3265916927, 'DE', 'Germany'),
(112730, '194.169.240.0', '194.169.240.255', 3265916928, 3265917183, 'FR', 'France'),
(112731, '194.169.241.0', '194.169.241.255', 3265917184, 3265917439, 'PL', 'Poland'),
(112732, '194.169.242.0', '194.169.242.255', 3265917440, 3265917695, 'RU', 'Russian Federation'),
(112733, '194.169.243.0', '194.169.243.255', 3265917696, 3265917951, 'SE', 'Sweden'),
(112734, '194.169.244.0', '194.169.244.255', 3265917952, 3265918207, 'GB', 'United Kingdom'),
(112735, '194.169.245.0', '194.169.245.255', 3265918208, 3265918463, 'EU', 'Europe'),
(112736, '194.169.246.0', '194.169.246.255', 3265918464, 3265918719, 'AT', 'Austria'),
(112737, '194.169.247.0', '194.169.247.255', 3265918720, 3265918975, 'RU', 'Russian Federation'),
(112738, '194.169.248.0', '194.169.248.255', 3265918976, 3265919231, 'NL', 'Netherlands'),
(112739, '194.169.249.0', '194.169.249.255', 3265919232, 3265919487, 'FR', 'France'),
(112740, '194.169.250.0', '194.169.250.255', 3265919488, 3265919743, 'RU', 'Russian Federation'),
(112741, '194.169.251.0', '194.169.251.255', 3265919744, 3265919999, 'DE', 'Germany'),
(112742, '194.169.252.0', '194.169.252.255', 3265920000, 3265920255, 'CZ', 'Czech Republic'),
(112743, '194.169.253.0', '194.169.253.255', 3265920256, 3265920511, 'TR', 'Turkey'),
(112744, '194.169.254.0', '194.169.255.255', 3265920512, 3265921023, 'GB', 'United Kingdom'),
(112745, '194.170.0.0', '194.170.255.255', 3265921024, 3265986559, 'AE', 'United Arab Emirates'),
(112746, '194.171.0.0', '194.171.255.255', 3265986560, 3266052095, 'NL', 'Netherlands'),
(112747, '194.172.0.0', '194.172.84.223', 3266052096, 3266073823, 'DE', 'Germany'),
(112748, '194.172.84.224', '194.172.84.239', 3266073824, 3266073839, 'GB', 'United Kingdom'),
(112749, '194.172.84.240', '194.173.19.255', 3266073840, 3266122751, 'DE', 'Germany'),
(112750, '194.173.20.0', '194.173.20.255', 3266122752, 3266123007, 'EU', 'Europe'),
(112751, '194.173.21.0', '194.174.64.255', 3266123008, 3266199807, 'DE', 'Germany'),
(112752, '194.174.65.0', '194.174.65.255', 3266199808, 3266200063, 'EU', 'Europe'),
(112753, '194.174.66.0', '194.175.242.255', 3266200064, 3266310911, 'DE', 'Germany'),
(112754, '194.175.243.0', '194.175.243.255', 3266310912, 3266311167, 'EU', 'Europe'),
(112755, '194.175.244.0', '194.176.31.255', 3266311168, 3266322431, 'DE', 'Germany'),
(112756, '194.176.32.0', '194.176.63.255', 3266322432, 3266330623, 'LT', 'Lithuania'),
(112757, '194.176.64.0', '194.176.95.255', 3266330624, 3266338815, 'GB', 'United Kingdom'),
(112758, '194.176.96.0', '194.176.96.255', 3266338816, 3266339071, 'RU', 'Russian Federation'),
(112759, '194.176.97.0', '194.176.97.255', 3266339072, 3266339327, 'UA', 'Ukraine'),
(112760, '194.176.98.0', '194.176.98.255', 3266339328, 3266339583, 'ES', 'Spain'),
(112761, '194.176.99.0', '194.176.99.255', 3266339584, 3266339839, 'GB', 'United Kingdom'),
(112762, '194.176.100.0', '194.176.100.255', 3266339840, 3266340095, 'RU', 'Russian Federation'),
(112763, '194.176.101.0', '194.176.102.255', 3266340096, 3266340607, 'PL', 'Poland'),
(112764, '194.176.103.0', '194.176.103.255', 3266340608, 3266340863, 'FI', 'Finland'),
(112765, '194.176.104.0', '194.176.104.255', 3266340864, 3266341119, 'CH', 'Switzerland'),
(112766, '194.176.105.0', '194.176.105.255', 3266341120, 3266341375, 'GB', 'United Kingdom'),
(112767, '194.176.106.0', '194.176.106.255', 3266341376, 3266341631, 'DE', 'Germany'),
(112768, '194.176.107.0', '194.176.107.255', 3266341632, 3266341887, 'GB', 'United Kingdom'),
(112769, '194.176.108.0', '194.176.108.255', 3266341888, 3266342143, 'KW', 'Kuwait'),
(112770, '194.176.109.0', '194.176.109.255', 3266342144, 3266342399, 'CH', 'Switzerland'),
(112771, '194.176.110.0', '194.176.110.255', 3266342400, 3266342655, 'BE', 'Belgium'),
(112772, '194.176.111.0', '194.176.111.255', 3266342656, 3266342911, 'KG', 'Kyrgyzstan'),
(112773, '194.176.112.0', '194.176.112.255', 3266342912, 3266343167, 'SI', 'Slovenia'),
(112774, '194.176.113.0', '194.176.113.255', 3266343168, 3266343423, 'GR', 'Greece'),
(112775, '194.176.114.0', '194.176.114.255', 3266343424, 3266343679, 'RU', 'Russian Federation'),
(112776, '194.176.115.0', '194.176.115.255', 3266343680, 3266343935, 'RO', 'Romania'),
(112777, '194.176.116.0', '194.176.116.255', 3266343936, 3266344191, 'CH', 'Switzerland'),
(112778, '194.176.117.0', '194.176.117.255', 3266344192, 3266344447, 'UA', 'Ukraine'),
(112779, '194.176.118.0', '194.176.118.255', 3266344448, 3266344703, 'RU', 'Russian Federation'),
(112780, '194.176.119.0', '194.176.119.255', 3266344704, 3266344959, 'ES', 'Spain'),
(112781, '194.176.120.0', '194.176.122.255', 3266344960, 3266345727, 'DE', 'Germany'),
(112782, '194.176.123.0', '194.176.123.255', 3266345728, 3266345983, 'DK', 'Denmark'),
(112783, '194.176.124.0', '194.176.125.255', 3266345984, 3266346495, 'GB', 'United Kingdom'),
(112784, '194.176.126.0', '194.176.126.255', 3266346496, 3266346751, 'IT', 'Italy'),
(112785, '194.176.127.0', '194.176.127.255', 3266346752, 3266347007, 'FR', 'France'),
(112786, '194.176.128.0', '194.176.128.255', 3266347008, 3266347263, 'GB', 'United Kingdom'),
(112787, '194.176.129.0', '194.176.144.255', 3266347264, 3266351359, 'EU', 'Europe'),
(112788, '194.176.145.0', '194.176.149.239', 3266351360, 3266352623, 'GB', 'United Kingdom'),
(112789, '194.176.149.240', '194.176.150.255', 3266352624, 3266352895, 'EU', 'Europe'),
(112790, '194.176.151.0', '194.176.153.159', 3266352896, 3266353567, 'GB', 'United Kingdom'),
(112791, '194.176.153.160', '194.176.153.175', 3266353568, 3266353583, 'EU', 'Europe'),
(112792, '194.176.153.176', '194.176.153.183', 3266353584, 3266353591, 'GB', 'United Kingdom'),
(112793, '194.176.153.184', '194.176.153.255', 3266353592, 3266353663, 'EU', 'Europe'),
(112794, '194.176.154.0', '194.176.154.7', 3266353664, 3266353671, 'GB', 'United Kingdom'),
(112795, '194.176.154.8', '194.176.154.15', 3266353672, 3266353679, 'EU', 'Europe'),
(112796, '194.176.154.16', '194.176.154.23', 3266353680, 3266353687, 'GB', 'United Kingdom'),
(112797, '194.176.154.24', '194.176.154.111', 3266353688, 3266353775, 'EU', 'Europe'),
(112798, '194.176.154.112', '194.176.154.119', 3266353776, 3266353783, 'US', 'United States'),
(112799, '194.176.154.120', '194.176.154.191', 3266353784, 3266353855, 'EU', 'Europe'),
(112800, '194.176.154.192', '194.176.154.199', 3266353856, 3266353863, 'GB', 'United Kingdom'),
(112801, '194.176.154.200', '194.176.154.215', 3266353864, 3266353879, 'EU', 'Europe'),
(112802, '194.176.154.216', '194.176.154.223', 3266353880, 3266353887, 'GB', 'United Kingdom'),
(112803, '194.176.154.224', '194.176.154.231', 3266353888, 3266353895, 'EU', 'Europe'),
(112804, '194.176.154.232', '194.176.154.239', 3266353896, 3266353903, 'GB', 'United Kingdom'),
(112805, '194.176.154.240', '194.176.154.255', 3266353904, 3266353919, 'EU', 'Europe'),
(112806, '194.176.155.0', '194.176.159.255', 3266353920, 3266355199, 'GB', 'United Kingdom'),
(112807, '194.176.160.0', '194.176.191.255', 3266355200, 3266363391, 'RO', 'Romania'),
(112808, '194.176.192.0', '194.176.223.255', 3266363392, 3266371583, 'GB', 'United Kingdom'),
(112809, '194.176.224.0', '194.176.255.255', 3266371584, 3266379775, 'HU', 'Hungary'),
(112810, '194.177.0.0', '194.177.3.255', 3266379776, 3266380799, 'UA', 'Ukraine'),
(112811, '194.177.4.0', '194.177.7.255', 3266380800, 3266381823, 'PL', 'Poland'),
(112812, '194.177.8.0', '194.177.11.255', 3266381824, 3266382847, 'FR', 'France'),
(112813, '194.177.12.0', '194.177.15.255', 3266382848, 3266383871, 'RU', 'Russian Federation'),
(112814, '194.177.16.0', '194.177.19.255', 3266383872, 3266384895, 'IL', 'Israel'),
(112815, '194.177.20.0', '194.177.23.255', 3266384896, 3266385919, 'RU', 'Russian Federation'),
(112816, '194.177.24.0', '194.177.27.255', 3266385920, 3266386943, 'UA', 'Ukraine'),
(112817, '194.177.28.0', '194.177.31.255', 3266386944, 3266387967, 'PL', 'Poland'),
(112818, '194.177.32.0', '194.177.33.151', 3266387968, 3266388375, 'FR', 'France'),
(112819, '194.177.33.152', '194.177.33.154', 3266388376, 3266388378, 'NL', 'Netherlands'),
(112820, '194.177.33.155', '194.177.36.255', 3266388379, 3266389247, 'FR', 'France'),
(112821, '194.177.37.0', '194.177.37.79', 3266389248, 3266389327, 'LU', 'Luxembourg'),
(112822, '194.177.37.80', '194.177.59.255', 3266389328, 3266395135, 'FR', 'France'),
(112823, '194.177.60.0', '194.177.61.255', 3266395136, 3266395647, 'NL', 'Netherlands'),
(112824, '194.177.62.0', '194.177.63.255', 3266395648, 3266396159, 'FR', 'France'),
(112825, '194.177.64.0', '194.177.127.255', 3266396160, 3266412543, 'IT', 'Italy'),
(112826, '194.177.128.0', '194.177.159.255', 3266412544, 3266420735, 'AT', 'Austria'),
(112827, '194.177.160.0', '194.177.191.255', 3266420736, 3266428927, 'GB', 'United Kingdom'),
(112828, '194.177.192.0', '194.177.223.255', 3266428928, 3266437119, 'GR', 'Greece'),
(112829, '194.177.224.0', '194.177.255.255', 3266437120, 3266445311, 'GL', 'Greenland'),
(112830, '194.178.0.0', '194.178.111.79', 3266445312, 3266473807, 'NL', 'Netherlands'),
(112831, '194.178.111.80', '194.178.111.95', 3266473808, 3266473823, 'GB', 'United Kingdom'),
(112832, '194.178.111.96', '194.178.255.255', 3266473824, 3266510847, 'NL', 'Netherlands'),
(112833, '194.179.0.0', '194.179.127.255', 3266510848, 3266543615, 'ES', 'Spain'),
(112834, '194.179.128.0', '194.179.255.255', 3266543616, 3266576383, 'IT', 'Italy'),
(112835, '194.180.0.0', '194.180.159.239', 3266576384, 3266617327, 'DE', 'Germany'),
(112836, '194.180.159.240', '194.180.159.255', 3266617328, 3266617343, 'GB', 'United Kingdom'),
(112837, '194.180.160.0', '194.180.226.151', 3266617344, 3266634391, 'DE', 'Germany'),
(112838, '194.180.226.152', '194.180.226.159', 3266634392, 3266634399, 'EE', 'Estonia'),
(112839, '194.180.226.160', '194.180.255.255', 3266634400, 3266641919, 'DE', 'Germany'),
(112840, '194.181.0.0', '194.181.255.255', 3266641920, 3266707455, 'PL', 'Poland'),
(112841, '194.182.0.0', '194.182.255.255', 3266707456, 3266772991, 'DK', 'Denmark'),
(112842, '194.183.0.0', '194.183.31.255', 3266772992, 3266781183, 'IT', 'Italy'),
(112843, '194.183.32.0', '194.183.63.255', 3266781184, 3266789375, 'PL', 'Poland'),
(112844, '194.183.64.0', '194.183.91.255', 3266789376, 3266796543, 'SM', 'San Marino'),
(112845, '194.183.92.0', '194.183.92.255', 3266796544, 3266796799, 'IT', 'Italy'),
(112846, '194.183.93.0', '194.183.95.255', 3266796800, 3266797567, 'SM', 'San Marino'),
(112847, '194.183.96.0', '194.183.96.255', 3266797568, 3266797823, 'ES', 'Spain'),
(112848, '194.183.97.0', '194.183.99.255', 3266797824, 3266798591, 'GB', 'United Kingdom'),
(112849, '194.183.100.0', '194.183.100.255', 3266798592, 3266798847, 'CZ', 'Czech Republic'),
(112850, '194.183.101.0', '194.183.101.255', 3266798848, 3266799103, 'GB', 'United Kingdom'),
(112851, '194.183.102.0', '194.183.103.255', 3266799104, 3266799615, 'NL', 'Netherlands'),
(112852, '194.183.104.0', '194.183.111.79', 3266799616, 3266801487, 'GB', 'United Kingdom'),
(112853, '194.183.111.80', '194.183.111.95', 3266801488, 3266801503, 'NL', 'Netherlands'),
(112854, '194.183.111.96', '194.183.111.255', 3266801504, 3266801663, 'GB', 'United Kingdom'),
(112855, '194.183.112.0', '194.183.112.255', 3266801664, 3266801919, 'BG', 'Bulgaria'),
(112856, '194.183.113.0', '194.183.115.255', 3266801920, 3266802687, 'GB', 'United Kingdom'),
(112857, '194.183.116.0', '194.183.116.255', 3266802688, 3266802943, 'FR', 'France'),
(112858, '194.183.117.0', '194.183.120.103', 3266802944, 3266803815, 'GB', 'United Kingdom'),
(112859, '194.183.120.104', '194.183.120.111', 3266803816, 3266803823, 'NL', 'Netherlands'),
(112860, '194.183.120.112', '194.183.121.255', 3266803824, 3266804223, 'GB', 'United Kingdom'),
(112861, '194.183.122.0', '194.183.122.255', 3266804224, 3266804479, 'NL', 'Netherlands'),
(112862, '194.183.123.0', '194.183.123.255', 3266804480, 3266804735, 'GB', 'United Kingdom'),
(112863, '194.183.124.0', '194.183.124.255', 3266804736, 3266804991, 'DK', 'Denmark'),
(112864, '194.183.125.0', '194.183.127.255', 3266804992, 3266805759, 'GB', 'United Kingdom'),
(112865, '194.183.128.0', '194.183.159.255', 3266805760, 3266813951, 'AT', 'Austria'),
(112866, '194.183.160.0', '194.183.191.255', 3266813952, 3266822143, 'UA', 'Ukraine'),
(112867, '194.183.192.0', '194.183.223.255', 3266822144, 3266830335, 'FR', 'France'),
(112868, '194.183.224.0', '194.183.242.207', 3266830336, 3266835151, 'BE', 'Belgium'),
(112869, '194.183.242.208', '194.183.242.215', 3266835152, 3266835159, 'FR', 'France'),
(112870, '194.183.242.216', '194.183.247.255', 3266835160, 3266836479, 'BE', 'Belgium'),
(112871, '194.183.248.0', '194.183.251.255', 3266836480, 3266837503, 'LU', 'Luxembourg'),
(112872, '194.183.252.0', '194.183.255.255', 3266837504, 3266838527, 'BE', 'Belgium'),
(112873, '194.184.0.0', '194.185.255.255', 3266838528, 3266969599, 'IT', 'Italy'),
(112874, '194.186.0.0', '194.186.152.255', 3266969600, 3267008767, 'RU', 'Russian Federation'),
(112875, '194.186.153.0', '194.186.153.255', 3267008768, 3267009023, 'UA', 'Ukraine'),
(112876, '194.186.154.0', '194.186.236.79', 3267009024, 3267030095, 'RU', 'Russian Federation'),
(112877, '194.186.236.80', '194.186.236.87', 3267030096, 3267030103, 'KZ', 'Kazakhstan'),
(112878, '194.186.236.88', '194.186.245.255', 3267030104, 3267032575, 'RU', 'Russian Federation'),
(112879, '194.186.246.0', '194.186.246.255', 3267032576, 3267032831, 'KZ', 'Kazakhstan'),
(112880, '194.186.247.0', '194.186.255.255', 3267032832, 3267035135, 'RU', 'Russian Federation'),
(112881, '194.187.0.0', '194.187.15.255', 3267035136, 3267039231, 'NO', 'Norway'),
(112882, '194.187.16.0', '194.187.19.255', 3267039232, 3267040255, 'DE', 'Germany'),
(112883, '194.187.20.0', '194.187.23.255', 3267040256, 3267041279, 'RO', 'Romania'),
(112884, '194.187.24.0', '194.187.31.255', 3267041280, 3267043327, 'UA', 'Ukraine'),
(112885, '194.187.32.0', '194.187.35.255', 3267043328, 3267044351, 'GB', 'United Kingdom'),
(112886, '194.187.36.0', '194.187.39.255', 3267044352, 3267045375, 'RU', 'Russian Federation'),
(112887, '194.187.40.0', '194.187.43.255', 3267045376, 3267046399, 'PL', 'Poland'),
(112888, '194.187.44.0', '194.187.47.255', 3267046400, 3267047423, 'NL', 'Netherlands'),
(112889, '194.187.48.0', '194.187.51.255', 3267047424, 3267048447, 'UA', 'Ukraine'),
(112890, '194.187.52.0', '194.187.55.255', 3267048448, 3267049471, 'PL', 'Poland'),
(112891, '194.187.56.0', '194.187.59.255', 3267049472, 3267050495, 'GB', 'United Kingdom'),
(112892, '194.187.60.0', '194.187.63.255', 3267050496, 3267051519, 'SE', 'Sweden'),
(112893, '194.187.64.0', '194.187.67.255', 3267051520, 3267052543, 'DE', 'Germany'),
(112894, '194.187.68.0', '194.187.71.255', 3267052544, 3267053567, 'LV', 'Latvia'),
(112895, '194.187.72.0', '194.187.75.255', 3267053568, 3267054591, 'PL', 'Poland'),
(112896, '194.187.76.0', '194.187.79.255', 3267054592, 3267055615, 'NL', 'Netherlands'),
(112897, '194.187.80.0', '194.187.83.255', 3267055616, 3267056639, 'PS', 'Palestinian Territory, Occupied'),
(112898, '194.187.84.0', '194.187.87.255', 3267056640, 3267057663, 'IL', 'Israel'),
(112899, '194.187.88.0', '194.187.91.255', 3267057664, 3267058687, 'CH', 'Switzerland'),
(112900, '194.187.92.0', '194.187.95.255', 3267058688, 3267059711, 'AT', 'Austria'),
(112901, '194.187.96.0', '194.187.99.255', 3267059712, 3267060735, 'NL', 'Netherlands'),
(112902, '194.187.100.0', '194.187.103.255', 3267060736, 3267061759, 'LV', 'Latvia'),
(112903, '194.187.104.0', '194.187.111.255', 3267061760, 3267063807, 'UA', 'Ukraine'),
(112904, '194.187.112.0', '194.187.115.255', 3267063808, 3267064831, 'BE', 'Belgium'),
(112905, '194.187.116.0', '194.187.119.255', 3267064832, 3267065855, 'PL', 'Poland'),
(112906, '194.187.120.0', '194.187.123.255', 3267065856, 3267066879, 'RO', 'Romania'),
(112907, '194.187.124.0', '194.187.127.255', 3267066880, 3267067903, 'IT', 'Italy'),
(112908, '194.187.128.0', '194.187.131.255', 3267067904, 3267068927, 'UA', 'Ukraine'),
(112909, '194.187.132.0', '194.187.135.255', 3267068928, 3267069951, 'BG', 'Bulgaria'),
(112910, '194.187.136.0', '194.187.139.255', 3267069952, 3267070975, 'RO', 'Romania'),
(112911, '194.187.140.0', '194.187.143.255', 3267070976, 3267071999, 'DE', 'Germany'),
(112912, '194.187.144.0', '194.187.147.255', 3267072000, 3267073023, 'PL', 'Poland'),
(112913, '194.187.148.0', '194.187.155.255', 3267073024, 3267075071, 'UA', 'Ukraine'),
(112914, '194.187.156.0', '194.187.159.255', 3267075072, 3267076095, 'CH', 'Switzerland'),
(112915, '194.187.160.0', '194.187.167.255', 3267076096, 3267078143, 'DE', 'Germany'),
(112916, '194.187.168.0', '194.187.171.255', 3267078144, 3267079167, 'PL', 'Poland'),
(112917, '194.187.172.0', '194.187.175.255', 3267079168, 3267080191, 'IT', 'Italy'),
(112918, '194.187.176.0', '194.187.179.255', 3267080192, 3267081215, 'AT', 'Austria'),
(112919, '194.187.180.0', '194.187.183.255', 3267081216, 3267082239, 'PL', 'Poland'),
(112920, '194.187.184.0', '194.187.187.255', 3267082240, 3267083263, 'DE', 'Germany'),
(112921, '194.187.188.0', '194.187.191.255', 3267083264, 3267084287, 'RO', 'Romania'),
(112922, '194.187.192.0', '194.187.195.255', 3267084288, 3267085311, 'FR', 'France'),
(112923, '194.187.196.0', '194.187.199.255', 3267085312, 3267086335, 'RU', 'Russian Federation'),
(112924, '194.187.200.0', '194.187.203.255', 3267086336, 3267087359, 'PL', 'Poland'),
(112925, '194.187.204.0', '194.187.207.255', 3267087360, 3267088383, 'RU', 'Russian Federation'),
(112926, '194.187.208.0', '194.187.211.255', 3267088384, 3267089407, 'UA', 'Ukraine'),
(112927, '194.187.212.0', '194.187.215.255', 3267089408, 3267090431, 'FI', 'Finland'),
(112928, '194.187.216.0', '194.187.219.255', 3267090432, 3267091455, 'UA', 'Ukraine'),
(112929, '194.187.220.0', '194.187.223.255', 3267091456, 3267092479, 'DE', 'Germany'),
(112930, '194.187.224.0', '194.187.227.255', 3267092480, 3267093503, 'FR', 'France'),
(112931, '194.187.228.0', '194.187.231.255', 3267093504, 3267094527, 'UA', 'Ukraine'),
(112932, '194.187.232.0', '194.187.235.255', 3267094528, 3267095551, 'GB', 'United Kingdom'),
(112933, '194.187.236.0', '194.187.239.255', 3267095552, 3267096575, 'PL', 'Poland'),
(112934, '194.187.240.0', '194.187.243.255', 3267096576, 3267097599, 'DE', 'Germany'),
(112935, '194.187.244.0', '194.187.247.255', 3267097600, 3267098623, 'KZ', 'Kazakhstan'),
(112936, '194.187.248.0', '194.187.251.255', 3267098624, 3267099647, 'GB', 'United Kingdom'),
(112937, '194.187.252.0', '194.187.255.255', 3267099648, 3267100671, 'IT', 'Italy'),
(112938, '194.188.0.0', '194.188.64.255', 3267100672, 3267117311, 'FI', 'Finland'),
(112939, '194.188.65.0', '194.188.67.255', 3267117312, 3267118079, 'AX', 'Aland Islands'),
(112940, '194.188.68.0', '194.188.255.255', 3267118080, 3267166207, 'FI', 'Finland'),
(112941, '194.189.0.0', '194.189.255.255', 3267166208, 3267231743, 'GB', 'United Kingdom'),
(112942, '194.190.0.0', '194.190.255.255', 3267231744, 3267297279, 'RU', 'Russian Federation'),
(112943, '194.191.0.0', '194.191.255.255', 3267297280, 3267362815, 'CH', 'Switzerland'),
(112944, '194.192.0.0', '194.192.22.32', 3267362816, 3267368480, 'DK', 'Denmark'),
(112945, '194.192.22.33', '194.192.22.33', 3267368481, 3267368481, 'EU', 'Europe'),
(112946, '194.192.22.34', '194.192.250.63', 3267368482, 3267426879, 'DK', 'Denmark'),
(112947, '194.192.250.64', '194.192.250.127', 3267426880, 3267426943, 'CH', 'Switzerland'),
(112948, '194.192.250.128', '194.192.255.255', 3267426944, 3267428351, 'DK', 'Denmark'),
(112949, '194.193.0.0', '194.193.255.255', 3267428352, 3267493887, 'GB', 'United Kingdom'),
(112950, '194.194.0.0', '194.194.0.255', 3267493888, 3267494143, 'DE', 'Germany'),
(112951, '194.194.1.0', '194.194.16.255', 3267494144, 3267498239, 'GB', 'United Kingdom'),
(112952, '194.194.17.0', '194.194.17.255', 3267498240, 3267498495, 'IE', 'Ireland'),
(112953, '194.194.18.0', '194.194.18.255', 3267498496, 3267498751, 'DE', 'Germany'),
(112954, '194.194.19.0', '194.194.40.255', 3267498752, 3267504383, 'GB', 'United Kingdom'),
(112955, '194.194.41.0', '194.194.41.255', 3267504384, 3267504639, 'AT', 'Austria'),
(112956, '194.194.42.0', '194.194.43.255', 3267504640, 3267505151, 'FR', 'France'),
(112957, '194.194.44.0', '194.194.53.255', 3267505152, 3267507711, 'DE', 'Germany'),
(112958, '194.194.54.0', '194.194.54.31', 3267507712, 3267507743, 'GB', 'United Kingdom'),
(112959, '194.194.54.32', '194.194.54.63', 3267507744, 3267507775, 'DE', 'Germany'),
(112960, '194.194.54.64', '194.194.54.95', 3267507776, 3267507807, 'GB', 'United Kingdom'),
(112961, '194.194.54.96', '194.194.54.127', 3267507808, 3267507839, 'ZA', 'South Africa'),
(112962, '194.194.54.128', '194.194.55.255', 3267507840, 3267508223, 'GB', 'United Kingdom'),
(112963, '194.194.56.0', '194.194.57.255', 3267508224, 3267508735, 'DE', 'Germany'),
(112964, '194.194.58.0', '194.194.58.255', 3267508736, 3267508991, 'IL', 'Israel'),
(112965, '194.194.59.0', '194.194.59.255', 3267508992, 3267509247, 'GB', 'United Kingdom'),
(112966, '194.194.60.0', '194.194.60.255', 3267509248, 3267509503, 'AT', 'Austria'),
(112967, '194.194.61.0', '194.194.61.191', 3267509504, 3267509695, 'CH', 'Switzerland'),
(112968, '194.194.61.192', '194.194.61.223', 3267509696, 3267509727, 'EU', 'Europe'),
(112969, '194.194.61.224', '194.194.61.255', 3267509728, 3267509759, 'CH', 'Switzerland'),
(112970, '194.194.62.0', '194.194.63.255', 3267509760, 3267510271, 'GB', 'United Kingdom'),
(112971, '194.194.64.0', '194.194.73.255', 3267510272, 3267512831, 'FR', 'France'),
(112972, '194.194.74.0', '194.194.75.255', 3267512832, 3267513343, 'GB', 'United Kingdom'),
(112973, '194.194.76.0', '194.194.79.255', 3267513344, 3267514367, 'FR', 'France'),
(112974, '194.194.80.0', '194.194.93.255', 3267514368, 3267517951, 'DE', 'Germany'),
(112975, '194.194.94.0', '194.194.95.255', 3267517952, 3267518463, 'GB', 'United Kingdom'),
(112976, '194.194.96.0', '194.194.119.255', 3267518464, 3267524607, 'DE', 'Germany'),
(112977, '194.194.120.0', '194.194.127.255', 3267524608, 3267526655, 'EU', 'Europe'),
(112978, '194.194.128.0', '194.194.131.255', 3267526656, 3267527679, 'DE', 'Germany'),
(112979, '194.194.132.0', '194.194.137.255', 3267527680, 3267529215, 'FR', 'France'),
(112980, '194.194.138.0', '194.194.138.255', 3267529216, 3267529471, 'GB', 'United Kingdom'),
(112981, '194.194.139.0', '194.194.139.255', 3267529472, 3267529727, 'FR', 'France'),
(112982, '194.194.140.0', '194.194.143.255', 3267529728, 3267530751, 'AT', 'Austria'),
(112983, '194.194.144.0', '194.194.157.255', 3267530752, 3267534335, 'FR', 'France'),
(112984, '194.194.158.0', '194.194.158.191', 3267534336, 3267534527, 'RS', 'Serbia'),
(112985, '194.194.158.192', '194.194.158.223', 3267534528, 3267534559, 'EU', 'Europe'),
(112986, '194.194.158.224', '194.194.158.239', 3267534560, 3267534575, 'FR', 'France'),
(112987, '194.194.158.240', '194.194.158.255', 3267534576, 3267534591, 'AT', 'Austria'),
(112988, '194.194.159.0', '194.194.175.255', 3267534592, 3267538943, 'FR', 'France'),
(112989, '194.194.176.0', '194.194.180.255', 3267538944, 3267540223, 'NL', 'Netherlands'),
(112990, '194.194.181.0', '194.194.181.255', 3267540224, 3267540479, 'GB', 'United Kingdom'),
(112991, '194.194.182.0', '194.194.186.255', 3267540480, 3267541759, 'NL', 'Netherlands'),
(112992, '194.194.187.0', '194.194.189.255', 3267541760, 3267542527, 'GB', 'United Kingdom'),
(112993, '194.194.190.0', '194.194.190.255', 3267542528, 3267542783, 'CH', 'Switzerland'),
(112994, '194.194.191.0', '194.194.191.255', 3267542784, 3267543039, 'DE', 'Germany'),
(112995, '194.194.192.0', '194.194.192.255', 3267543040, 3267543295, 'IT', 'Italy'),
(112996, '194.194.193.0', '194.194.193.255', 3267543296, 3267543551, 'AT', 'Austria'),
(112997, '194.194.194.0', '194.194.196.255', 3267543552, 3267544319, 'GB', 'United Kingdom'),
(112998, '194.194.197.0', '194.194.197.255', 3267544320, 3267544575, 'DE', 'Germany'),
(112999, '194.194.198.0', '194.194.198.127', 3267544576, 3267544703, 'IT', 'Italy'),
(113000, '194.194.198.128', '194.194.198.255', 3267544704, 3267544831, 'DE', 'Germany'),
(113001, '194.194.199.0', '194.194.199.255', 3267544832, 3267545087, 'FR', 'France'),
(113002, '194.194.200.0', '194.194.202.255', 3267545088, 3267545855, 'ES', 'Spain'),
(113003, '194.194.203.0', '194.194.203.255', 3267545856, 3267546111, 'DE', 'Germany'),
(113004, '194.194.204.0', '194.194.205.255', 3267546112, 3267546623, 'ES', 'Spain'),
(113005, '194.194.206.0', '194.194.207.255', 3267546624, 3267547135, 'FR', 'France'),
(113006, '194.194.208.0', '194.194.208.255', 3267547136, 3267547391, 'BE', 'Belgium'),
(113007, '194.194.209.0', '194.194.209.255', 3267547392, 3267547647, 'DE', 'Germany'),
(113008, '194.194.210.0', '194.194.215.255', 3267547648, 3267549183, 'GB', 'United Kingdom'),
(113009, '194.194.216.0', '194.194.220.255', 3267549184, 3267550463, 'DK', 'Denmark'),
(113010, '194.194.221.0', '194.194.221.255', 3267550464, 3267550719, 'NL', 'Netherlands'),
(113011, '194.194.222.0', '194.194.223.255', 3267550720, 3267551231, 'DK', 'Denmark'),
(113012, '194.194.224.0', '194.194.225.255', 3267551232, 3267551743, 'AT', 'Austria'),
(113013, '194.194.226.0', '194.194.226.255', 3267551744, 3267551999, 'SE', 'Sweden'),
(113014, '194.194.227.0', '194.194.227.255', 3267552000, 3267552255, 'NO', 'Norway'),
(113015, '194.194.228.0', '194.194.230.255', 3267552256, 3267553023, 'AT', 'Austria'),
(113016, '194.194.231.0', '194.194.231.255', 3267553024, 3267553279, 'NL', 'Netherlands'),
(113017, '194.194.232.0', '194.194.235.255', 3267553280, 3267554303, 'DK', 'Denmark'),
(113018, '194.194.236.0', '194.194.237.255', 3267554304, 3267554815, 'DE', 'Germany'),
(113019, '194.194.238.0', '194.194.238.255', 3267554816, 3267555071, 'FR', 'France'),
(113020, '194.194.239.0', '194.194.239.127', 3267555072, 3267555199, 'EU', 'Europe'),
(113021, '194.194.239.128', '194.194.239.255', 3267555200, 3267555327, 'ZA', 'South Africa'),
(113022, '194.194.240.0', '194.194.240.255', 3267555328, 3267555583, 'FI', 'Finland'),
(113023, '194.194.241.0', '194.194.242.255', 3267555584, 3267556095, 'GB', 'United Kingdom'),
(113024, '194.194.243.0', '194.194.243.255', 3267556096, 3267556351, 'NO', 'Norway'),
(113025, '194.194.244.0', '194.194.244.255', 3267556352, 3267556607, 'GB', 'United Kingdom'),
(113026, '194.194.245.0', '194.194.245.255', 3267556608, 3267556863, 'NO', 'Norway'),
(113027, '194.194.246.0', '194.194.247.255', 3267556864, 3267557375, 'IL', 'Israel'),
(113028, '194.194.248.0', '194.194.248.255', 3267557376, 3267557631, 'NO', 'Norway'),
(113029, '194.194.249.0', '194.194.249.255', 3267557632, 3267557887, 'AT', 'Austria'),
(113030, '194.194.250.0', '194.194.251.255', 3267557888, 3267558399, 'IL', 'Israel'),
(113031, '194.194.252.0', '194.194.253.255', 3267558400, 3267558911, 'CH', 'Switzerland'),
(113032, '194.194.254.0', '194.194.255.255', 3267558912, 3267559423, 'AT', 'Austria'),
(113033, '194.195.0.0', '194.195.8.255', 3267559424, 3267561727, 'DE', 'Germany'),
(113034, '194.195.9.0', '194.195.9.31', 3267561728, 3267561759, 'GB', 'United Kingdom'),
(113035, '194.195.9.32', '194.195.246.127', 3267561760, 3267622527, 'DE', 'Germany'),
(113036, '194.195.246.128', '194.195.246.159', 3267622528, 3267622559, 'GB', 'United Kingdom'),
(113037, '194.195.246.160', '194.195.255.255', 3267622560, 3267624959, 'DE', 'Germany'),
(113038, '194.196.0.0', '194.196.1.255', 3267624960, 3267625471, 'GB', 'United Kingdom'),
(113039, '194.196.2.0', '194.196.2.255', 3267625472, 3267625727, 'FR', 'France'),
(113040, '194.196.3.0', '194.196.3.255', 3267625728, 3267625983, 'BE', 'Belgium'),
(113041, '194.196.4.0', '194.196.4.255', 3267625984, 3267626239, 'NL', 'Netherlands'),
(113042, '194.196.5.0', '194.196.5.255', 3267626240, 3267626495, 'BE', 'Belgium'),
(113043, '194.196.6.0', '194.196.6.255', 3267626496, 3267626751, 'ES', 'Spain'),
(113044, '194.196.7.0', '194.196.7.255', 3267626752, 3267627007, 'RU', 'Russian Federation'),
(113045, '194.196.8.0', '194.196.8.255', 3267627008, 3267627263, 'EU', 'Europe'),
(113046, '194.196.9.0', '194.196.9.83', 3267627264, 3267627347, 'DE', 'Germany'),
(113047, '194.196.9.84', '194.196.9.87', 3267627348, 3267627351, 'EU', 'Europe'),
(113048, '194.196.9.88', '194.196.9.127', 3267627352, 3267627391, 'DE', 'Germany'),
(113049, '194.196.9.128', '194.196.9.159', 3267627392, 3267627423, 'EU', 'Europe'),
(113050, '194.196.9.160', '194.196.9.255', 3267627424, 3267627519, 'DE', 'Germany'),
(113051, '194.196.10.0', '194.196.10.255', 3267627520, 3267627775, 'EU', 'Europe'),
(113052, '194.196.11.0', '194.196.11.31', 3267627776, 3267627807, 'DE', 'Germany'),
(113053, '194.196.11.32', '194.196.11.95', 3267627808, 3267627871, 'EU', 'Europe'),
(113054, '194.196.11.96', '194.196.11.255', 3267627872, 3267628031, 'DE', 'Germany'),
(113055, '194.196.12.0', '194.196.12.255', 3267628032, 3267628287, 'IT', 'Italy'),
(113056, '194.196.13.0', '194.196.13.255', 3267628288, 3267628543, 'EU', 'Europe'),
(113057, '194.196.14.0', '194.196.14.255', 3267628544, 3267628799, 'IT', 'Italy'),
(113058, '194.196.15.0', '194.196.15.255', 3267628800, 3267629055, 'HU', 'Hungary'),
(113059, '194.196.16.0', '194.196.16.255', 3267629056, 3267629311, 'CZ', 'Czech Republic'),
(113060, '194.196.17.0', '194.196.17.255', 3267629312, 3267629567, 'DK', 'Denmark'),
(113061, '194.196.18.0', '194.196.18.143', 3267629568, 3267629711, 'BE', 'Belgium'),
(113062, '194.196.18.144', '194.196.18.151', 3267629712, 3267629719, 'EU', 'Europe'),
(113063, '194.196.18.152', '194.196.18.191', 3267629720, 3267629759, 'BE', 'Belgium'),
(113064, '194.196.18.192', '194.196.18.223', 3267629760, 3267629791, 'EU', 'Europe'),
(113065, '194.196.18.224', '194.196.18.255', 3267629792, 3267629823, 'BE', 'Belgium'),
(113066, '194.196.19.0', '194.196.19.255', 3267629824, 3267630079, 'GR', 'Greece'),
(113067, '194.196.20.0', '194.196.21.255', 3267630080, 3267630591, 'GB', 'United Kingdom'),
(113068, '194.196.22.0', '194.196.22.255', 3267630592, 3267630847, 'SK', 'Slovakia'),
(113069, '194.196.23.0', '194.196.23.15', 3267630848, 3267630863, 'IT', 'Italy'),
(113070, '194.196.23.16', '194.196.23.95', 3267630864, 3267630943, 'FR', 'France'),
(113071, '194.196.23.96', '194.196.23.111', 3267630944, 3267630959, 'EU', 'Europe'),
(113072, '194.196.23.112', '194.196.23.207', 3267630960, 3267631055, 'IT', 'Italy'),
(113073, '194.196.23.208', '194.196.23.223', 3267631056, 3267631071, 'GB', 'United Kingdom'),
(113074, '194.196.23.224', '194.196.23.239', 3267631072, 3267631087, 'EU', 'Europe'),
(113075, '194.196.23.240', '194.196.23.255', 3267631088, 3267631103, 'IT', 'Italy'),
(113076, '194.196.24.0', '194.196.25.255', 3267631104, 3267631615, 'GB', 'United Kingdom'),
(113077, '194.196.26.0', '194.196.27.255', 3267631616, 3267632127, 'DE', 'Germany'),
(113078, '194.196.28.0', '194.196.28.255', 3267632128, 3267632383, 'EU', 'Europe'),
(113079, '194.196.29.0', '194.196.29.127', 3267632384, 3267632511, 'BE', 'Belgium'),
(113080, '194.196.29.128', '194.196.29.255', 3267632512, 3267632639, 'EU', 'Europe'),
(113081, '194.196.30.0', '194.196.30.255', 3267632640, 3267632895, 'IT', 'Italy'),
(113082, '194.196.31.0', '194.196.31.255', 3267632896, 3267633151, 'BE', 'Belgium'),
(113083, '194.196.32.0', '194.196.34.15', 3267633152, 3267633679, 'NO', 'Norway'),
(113084, '194.196.34.16', '194.196.34.63', 3267633680, 3267633727, 'EU', 'Europe'),
(113085, '194.196.34.64', '194.196.34.191', 3267633728, 3267633855, 'NO', 'Norway'),
(113086, '194.196.34.192', '194.196.35.255', 3267633856, 3267634175, 'EU', 'Europe'),
(113087, '194.196.36.0', '194.196.37.255', 3267634176, 3267634687, 'GB', 'United Kingdom'),
(113088, '194.196.38.0', '194.196.38.255', 3267634688, 3267634943, 'EU', 'Europe'),
(113089, '194.196.39.0', '194.196.41.255', 3267634944, 3267635711, 'GB', 'United Kingdom'),
(113090, '194.196.42.0', '194.196.42.255', 3267635712, 3267635967, 'EU', 'Europe'),
(113091, '194.196.43.0', '194.196.43.255', 3267635968, 3267636223, 'BE', 'Belgium'),
(113092, '194.196.44.0', '194.196.45.255', 3267636224, 3267636735, 'EU', 'Europe'),
(113093, '194.196.46.0', '194.196.46.47', 3267636736, 3267636783, 'ZA', 'South Africa'),
(113094, '194.196.46.48', '194.196.46.63', 3267636784, 3267636799, 'EU', 'Europe'),
(113095, '194.196.46.64', '194.196.46.79', 3267636800, 3267636815, 'ZA', 'South Africa'),
(113096, '194.196.46.80', '194.196.46.95', 3267636816, 3267636831, 'EU', 'Europe'),
(113097, '194.196.46.96', '194.196.46.255', 3267636832, 3267636991, 'ZA', 'South Africa'),
(113098, '194.196.47.0', '194.196.47.255', 3267636992, 3267637247, 'AT', 'Austria'),
(113099, '194.196.48.0', '194.196.48.255', 3267637248, 3267637503, 'EU', 'Europe'),
(113100, '194.196.49.0', '194.196.49.215', 3267637504, 3267637719, 'IT', 'Italy'),
(113101, '194.196.49.216', '194.196.49.255', 3267637720, 3267637759, 'EU', 'Europe'),
(113102, '194.196.50.0', '194.196.50.63', 3267637760, 3267637823, 'ES', 'Spain'),
(113103, '194.196.50.64', '194.196.50.255', 3267637824, 3267638015, 'EU', 'Europe'),
(113104, '194.196.51.0', '194.196.51.255', 3267638016, 3267638271, 'ES', 'Spain'),
(113105, '194.196.52.0', '194.196.52.255', 3267638272, 3267638527, 'BE', 'Belgium'),
(113106, '194.196.53.0', '194.196.53.255', 3267638528, 3267638783, 'DK', 'Denmark'),
(113107, '194.196.54.0', '194.196.55.255', 3267638784, 3267639295, 'CZ', 'Czech Republic'),
(113108, '194.196.56.0', '194.196.56.255', 3267639296, 3267639551, 'NL', 'Netherlands'),
(113109, '194.196.57.0', '194.196.57.255', 3267639552, 3267639807, 'GB', 'United Kingdom'),
(113110, '194.196.58.0', '194.196.58.255', 3267639808, 3267640063, 'CH', 'Switzerland'),
(113111, '194.196.59.0', '194.196.59.255', 3267640064, 3267640319, 'GB', 'United Kingdom'),
(113112, '194.196.60.0', '194.196.60.255', 3267640320, 3267640575, 'CH', 'Switzerland'),
(113113, '194.196.61.0', '194.196.61.255', 3267640576, 3267640831, 'IT', 'Italy'),
(113114, '194.196.62.0', '194.196.62.255', 3267640832, 3267641087, 'GR', 'Greece');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(113115, '194.196.63.0', '194.196.63.255', 3267641088, 3267641343, 'EU', 'Europe'),
(113116, '194.196.64.0', '194.196.64.255', 3267641344, 3267641599, 'IE', 'Ireland'),
(113117, '194.196.65.0', '194.196.65.255', 3267641600, 3267641855, 'EU', 'Europe'),
(113118, '194.196.66.0', '194.196.66.255', 3267641856, 3267642111, 'GB', 'United Kingdom'),
(113119, '194.196.67.0', '194.196.67.255', 3267642112, 3267642367, 'SE', 'Sweden'),
(113120, '194.196.68.0', '194.196.68.255', 3267642368, 3267642623, 'GB', 'United Kingdom'),
(113121, '194.196.69.0', '194.196.69.255', 3267642624, 3267642879, 'NO', 'Norway'),
(113122, '194.196.70.0', '194.196.70.255', 3267642880, 3267643135, 'SI', 'Slovenia'),
(113123, '194.196.71.0', '194.196.71.255', 3267643136, 3267643391, 'BE', 'Belgium'),
(113124, '194.196.72.0', '194.196.72.15', 3267643392, 3267643407, 'RU', 'Russian Federation'),
(113125, '194.196.72.16', '194.196.72.31', 3267643408, 3267643423, 'EU', 'Europe'),
(113126, '194.196.72.32', '194.196.72.47', 3267643424, 3267643439, 'RU', 'Russian Federation'),
(113127, '194.196.72.48', '194.196.72.63', 3267643440, 3267643455, 'EU', 'Europe'),
(113128, '194.196.72.64', '194.196.72.95', 3267643456, 3267643487, 'RU', 'Russian Federation'),
(113129, '194.196.72.96', '194.196.72.127', 3267643488, 3267643519, 'EU', 'Europe'),
(113130, '194.196.72.128', '194.196.72.255', 3267643520, 3267643647, 'RU', 'Russian Federation'),
(113131, '194.196.73.0', '194.196.73.255', 3267643648, 3267643903, 'GB', 'United Kingdom'),
(113132, '194.196.74.0', '194.196.74.255', 3267643904, 3267644159, 'EU', 'Europe'),
(113133, '194.196.75.0', '194.196.75.255', 3267644160, 3267644415, 'BE', 'Belgium'),
(113134, '194.196.76.0', '194.196.76.255', 3267644416, 3267644671, 'DE', 'Germany'),
(113135, '194.196.77.0', '194.196.77.255', 3267644672, 3267644927, 'SI', 'Slovenia'),
(113136, '194.196.78.0', '194.196.78.7', 3267644928, 3267644935, 'EU', 'Europe'),
(113137, '194.196.78.8', '194.196.78.15', 3267644936, 3267644943, 'BE', 'Belgium'),
(113138, '194.196.78.16', '194.196.78.23', 3267644944, 3267644951, 'EU', 'Europe'),
(113139, '194.196.78.24', '194.196.78.31', 3267644952, 3267644959, 'BE', 'Belgium'),
(113140, '194.196.78.32', '194.196.78.47', 3267644960, 3267644975, 'FR', 'France'),
(113141, '194.196.78.48', '194.196.78.55', 3267644976, 3267644983, 'GB', 'United Kingdom'),
(113142, '194.196.78.56', '194.196.78.127', 3267644984, 3267645055, 'BE', 'Belgium'),
(113143, '194.196.78.128', '194.196.79.255', 3267645056, 3267645439, 'EU', 'Europe'),
(113144, '194.196.80.0', '194.196.80.255', 3267645440, 3267645695, 'GB', 'United Kingdom'),
(113145, '194.196.81.0', '194.196.81.255', 3267645696, 3267645951, 'DE', 'Germany'),
(113146, '194.196.82.0', '194.196.87.255', 3267645952, 3267647487, 'EU', 'Europe'),
(113147, '194.196.88.0', '194.196.88.255', 3267647488, 3267647743, 'GB', 'United Kingdom'),
(113148, '194.196.89.0', '194.196.89.255', 3267647744, 3267647999, 'SI', 'Slovenia'),
(113149, '194.196.90.0', '194.196.90.255', 3267648000, 3267648255, 'DE', 'Germany'),
(113150, '194.196.91.0', '194.196.91.63', 3267648256, 3267648319, 'GB', 'United Kingdom'),
(113151, '194.196.91.64', '194.196.91.127', 3267648320, 3267648383, 'EU', 'Europe'),
(113152, '194.196.91.128', '194.196.91.143', 3267648384, 3267648399, 'BG', 'Bulgaria'),
(113153, '194.196.91.144', '194.196.91.159', 3267648400, 3267648415, 'GB', 'United Kingdom'),
(113154, '194.196.91.160', '194.196.91.175', 3267648416, 3267648431, 'EU', 'Europe'),
(113155, '194.196.91.176', '194.196.91.191', 3267648432, 3267648447, 'BE', 'Belgium'),
(113156, '194.196.91.192', '194.196.91.223', 3267648448, 3267648479, 'FR', 'France'),
(113157, '194.196.91.224', '194.196.91.255', 3267648480, 3267648511, 'GB', 'United Kingdom'),
(113158, '194.196.92.0', '194.196.92.255', 3267648512, 3267648767, 'DE', 'Germany'),
(113159, '194.196.93.0', '194.196.93.255', 3267648768, 3267649023, 'NL', 'Netherlands'),
(113160, '194.196.94.0', '194.196.94.255', 3267649024, 3267649279, 'RU', 'Russian Federation'),
(113161, '194.196.95.0', '194.196.95.127', 3267649280, 3267649407, 'DE', 'Germany'),
(113162, '194.196.95.128', '194.196.95.191', 3267649408, 3267649471, 'EU', 'Europe'),
(113163, '194.196.95.192', '194.196.95.247', 3267649472, 3267649527, 'DE', 'Germany'),
(113164, '194.196.95.248', '194.196.96.255', 3267649528, 3267649791, 'EU', 'Europe'),
(113165, '194.196.97.0', '194.196.98.255', 3267649792, 3267650303, 'NL', 'Netherlands'),
(113166, '194.196.99.0', '194.196.99.15', 3267650304, 3267650319, 'EU', 'Europe'),
(113167, '194.196.99.16', '194.196.99.63', 3267650320, 3267650367, 'AT', 'Austria'),
(113168, '194.196.99.64', '194.196.99.159', 3267650368, 3267650463, 'EU', 'Europe'),
(113169, '194.196.99.160', '194.196.99.191', 3267650464, 3267650495, 'AT', 'Austria'),
(113170, '194.196.99.192', '194.196.99.223', 3267650496, 3267650527, 'EU', 'Europe'),
(113171, '194.196.99.224', '194.196.99.255', 3267650528, 3267650559, 'AT', 'Austria'),
(113172, '194.196.100.0', '194.196.101.255', 3267650560, 3267651071, 'GB', 'United Kingdom'),
(113173, '194.196.102.0', '194.196.102.255', 3267651072, 3267651327, 'DE', 'Germany'),
(113174, '194.196.103.0', '194.196.103.255', 3267651328, 3267651583, 'EU', 'Europe'),
(113175, '194.196.104.0', '194.196.104.255', 3267651584, 3267651839, 'FR', 'France'),
(113176, '194.196.105.0', '194.196.105.255', 3267651840, 3267652095, 'EU', 'Europe'),
(113177, '194.196.106.0', '194.196.106.255', 3267652096, 3267652351, 'GB', 'United Kingdom'),
(113178, '194.196.107.0', '194.196.107.255', 3267652352, 3267652607, 'EU', 'Europe'),
(113179, '194.196.108.0', '194.196.108.255', 3267652608, 3267652863, 'DE', 'Germany'),
(113180, '194.196.109.0', '194.196.109.255', 3267652864, 3267653119, 'PT', 'Portugal'),
(113181, '194.196.110.0', '194.196.110.255', 3267653120, 3267653375, 'GB', 'United Kingdom'),
(113182, '194.196.111.0', '194.196.112.255', 3267653376, 3267653887, 'EU', 'Europe'),
(113183, '194.196.113.0', '194.196.113.255', 3267653888, 3267654143, 'GB', 'United Kingdom'),
(113184, '194.196.114.0', '194.196.116.255', 3267654144, 3267654911, 'EU', 'Europe'),
(113185, '194.196.117.0', '194.196.117.255', 3267654912, 3267655167, 'SK', 'Slovakia'),
(113186, '194.196.118.0', '194.196.119.255', 3267655168, 3267655679, 'GB', 'United Kingdom'),
(113187, '194.196.120.0', '194.196.121.255', 3267655680, 3267656191, 'IT', 'Italy'),
(113188, '194.196.122.0', '194.196.122.255', 3267656192, 3267656447, 'DK', 'Denmark'),
(113189, '194.196.123.0', '194.196.125.255', 3267656448, 3267657215, 'EU', 'Europe'),
(113190, '194.196.126.0', '194.196.126.255', 3267657216, 3267657471, 'HU', 'Hungary'),
(113191, '194.196.127.0', '194.196.127.15', 3267657472, 3267657487, 'RO', 'Romania'),
(113192, '194.196.127.16', '194.196.127.31', 3267657488, 3267657503, 'EU', 'Europe'),
(113193, '194.196.127.32', '194.196.127.95', 3267657504, 3267657567, 'RO', 'Romania'),
(113194, '194.196.127.96', '194.196.127.191', 3267657568, 3267657663, 'EU', 'Europe'),
(113195, '194.196.127.192', '194.196.127.223', 3267657664, 3267657695, 'RO', 'Romania'),
(113196, '194.196.127.224', '194.196.128.255', 3267657696, 3267657983, 'EU', 'Europe'),
(113197, '194.196.129.0', '194.196.129.255', 3267657984, 3267658239, 'GB', 'United Kingdom'),
(113198, '194.196.130.0', '194.196.130.255', 3267658240, 3267658495, 'IT', 'Italy'),
(113199, '194.196.131.0', '194.196.131.255', 3267658496, 3267658751, 'EU', 'Europe'),
(113200, '194.196.132.0', '194.196.133.255', 3267658752, 3267659263, 'CH', 'Switzerland'),
(113201, '194.196.134.0', '194.196.134.255', 3267659264, 3267659519, 'EU', 'Europe'),
(113202, '194.196.135.0', '194.196.135.255', 3267659520, 3267659775, 'IT', 'Italy'),
(113203, '194.196.136.0', '194.196.137.255', 3267659776, 3267660287, 'EU', 'Europe'),
(113204, '194.196.138.0', '194.196.138.255', 3267660288, 3267660543, 'CH', 'Switzerland'),
(113205, '194.196.139.0', '194.196.139.127', 3267660544, 3267660671, 'ES', 'Spain'),
(113206, '194.196.139.128', '194.196.141.255', 3267660672, 3267661311, 'EU', 'Europe'),
(113207, '194.196.142.0', '194.196.142.255', 3267661312, 3267661567, 'SK', 'Slovakia'),
(113208, '194.196.143.0', '194.196.143.255', 3267661568, 3267661823, 'GB', 'United Kingdom'),
(113209, '194.196.144.0', '194.196.144.27', 3267661824, 3267661851, 'ES', 'Spain'),
(113210, '194.196.144.28', '194.196.144.31', 3267661852, 3267661855, 'EU', 'Europe'),
(113211, '194.196.144.32', '194.196.144.63', 3267661856, 3267661887, 'ES', 'Spain'),
(113212, '194.196.144.64', '194.196.144.191', 3267661888, 3267662015, 'EU', 'Europe'),
(113213, '194.196.144.192', '194.196.144.215', 3267662016, 3267662039, 'ES', 'Spain'),
(113214, '194.196.144.216', '194.196.144.223', 3267662040, 3267662047, 'EU', 'Europe'),
(113215, '194.196.144.224', '194.196.144.255', 3267662048, 3267662079, 'ES', 'Spain'),
(113216, '194.196.145.0', '194.196.147.255', 3267662080, 3267662847, 'EU', 'Europe'),
(113217, '194.196.148.0', '194.196.148.31', 3267662848, 3267662879, 'IE', 'Ireland'),
(113218, '194.196.148.32', '194.196.148.39', 3267662880, 3267662887, 'EU', 'Europe'),
(113219, '194.196.148.40', '194.196.148.47', 3267662888, 3267662895, 'GB', 'United Kingdom'),
(113220, '194.196.148.48', '194.196.148.63', 3267662896, 3267662911, 'EU', 'Europe'),
(113221, '194.196.148.64', '194.196.148.103', 3267662912, 3267662951, 'IE', 'Ireland'),
(113222, '194.196.148.104', '194.196.148.111', 3267662952, 3267662959, 'GB', 'United Kingdom'),
(113223, '194.196.148.112', '194.196.148.143', 3267662960, 3267662991, 'IE', 'Ireland'),
(113224, '194.196.148.144', '194.196.148.159', 3267662992, 3267663007, 'EU', 'Europe'),
(113225, '194.196.148.160', '194.196.148.255', 3267663008, 3267663103, 'IE', 'Ireland'),
(113226, '194.196.149.0', '194.196.149.223', 3267663104, 3267663327, 'IT', 'Italy'),
(113227, '194.196.149.224', '194.196.149.255', 3267663328, 3267663359, 'EU', 'Europe'),
(113228, '194.196.150.0', '194.196.151.255', 3267663360, 3267663871, 'GB', 'United Kingdom'),
(113229, '194.196.152.0', '194.196.152.255', 3267663872, 3267664127, 'DE', 'Germany'),
(113230, '194.196.153.0', '194.196.153.255', 3267664128, 3267664383, 'EU', 'Europe'),
(113231, '194.196.154.0', '194.196.154.255', 3267664384, 3267664639, 'GB', 'United Kingdom'),
(113232, '194.196.155.0', '194.196.155.31', 3267664640, 3267664671, 'SK', 'Slovakia'),
(113233, '194.196.155.32', '194.196.155.159', 3267664672, 3267664799, 'EU', 'Europe'),
(113234, '194.196.155.160', '194.196.155.175', 3267664800, 3267664815, 'SK', 'Slovakia'),
(113235, '194.196.155.176', '194.196.155.191', 3267664816, 3267664831, 'EU', 'Europe'),
(113236, '194.196.155.192', '194.196.155.239', 3267664832, 3267664879, 'SK', 'Slovakia'),
(113237, '194.196.155.240', '194.196.155.247', 3267664880, 3267664887, 'EU', 'Europe'),
(113238, '194.196.155.248', '194.196.155.255', 3267664888, 3267664895, 'SK', 'Slovakia'),
(113239, '194.196.156.0', '194.196.159.255', 3267664896, 3267665919, 'EU', 'Europe'),
(113240, '194.196.160.0', '194.196.160.255', 3267665920, 3267666175, 'GB', 'United Kingdom'),
(113241, '194.196.161.0', '194.196.161.15', 3267666176, 3267666191, 'EU', 'Europe'),
(113242, '194.196.161.16', '194.196.161.31', 3267666192, 3267666207, 'GR', 'Greece'),
(113243, '194.196.161.32', '194.196.161.79', 3267666208, 3267666255, 'EU', 'Europe'),
(113244, '194.196.161.80', '194.196.161.87', 3267666256, 3267666263, 'GR', 'Greece'),
(113245, '194.196.161.88', '194.196.161.95', 3267666264, 3267666271, 'EU', 'Europe'),
(113246, '194.196.161.96', '194.196.161.255', 3267666272, 3267666431, 'GR', 'Greece'),
(113247, '194.196.162.0', '194.196.162.23', 3267666432, 3267666455, 'GB', 'United Kingdom'),
(113248, '194.196.162.24', '194.196.162.31', 3267666456, 3267666463, 'EU', 'Europe'),
(113249, '194.196.162.32', '194.196.164.255', 3267666464, 3267667199, 'GB', 'United Kingdom'),
(113250, '194.196.165.0', '194.196.165.255', 3267667200, 3267667455, 'NL', 'Netherlands'),
(113251, '194.196.166.0', '194.196.167.55', 3267667456, 3267667767, 'GB', 'United Kingdom'),
(113252, '194.196.167.56', '194.196.167.63', 3267667768, 3267667775, 'EU', 'Europe'),
(113253, '194.196.167.64', '194.196.167.255', 3267667776, 3267667967, 'GB', 'United Kingdom'),
(113254, '194.196.168.0', '194.196.175.255', 3267667968, 3267670015, 'EU', 'Europe'),
(113255, '194.196.176.0', '194.196.181.255', 3267670016, 3267671551, 'ZA', 'South Africa'),
(113256, '194.196.182.0', '194.196.182.31', 3267671552, 3267671583, 'DE', 'Germany'),
(113257, '194.196.182.32', '194.196.182.63', 3267671584, 3267671615, 'EU', 'Europe'),
(113258, '194.196.182.64', '194.196.182.255', 3267671616, 3267671807, 'DE', 'Germany'),
(113259, '194.196.183.0', '194.196.183.255', 3267671808, 3267672063, 'NO', 'Norway'),
(113260, '194.196.184.0', '194.196.184.159', 3267672064, 3267672223, 'DE', 'Germany'),
(113261, '194.196.184.160', '194.196.184.191', 3267672224, 3267672255, 'EU', 'Europe'),
(113262, '194.196.184.192', '194.196.184.255', 3267672256, 3267672319, 'DE', 'Germany'),
(113263, '194.196.185.0', '194.196.185.255', 3267672320, 3267672575, 'EU', 'Europe'),
(113264, '194.196.186.0', '194.196.186.255', 3267672576, 3267672831, 'AT', 'Austria'),
(113265, '194.196.187.0', '194.196.187.15', 3267672832, 3267672847, 'FR', 'France'),
(113266, '194.196.187.16', '194.196.187.23', 3267672848, 3267672855, 'EU', 'Europe'),
(113267, '194.196.187.24', '194.196.187.103', 3267672856, 3267672935, 'FR', 'France'),
(113268, '194.196.187.104', '194.196.187.111', 3267672936, 3267672943, 'EU', 'Europe'),
(113269, '194.196.187.112', '194.196.187.183', 3267672944, 3267673015, 'FR', 'France'),
(113270, '194.196.187.184', '194.196.187.191', 3267673016, 3267673023, 'EU', 'Europe'),
(113271, '194.196.187.192', '194.196.187.255', 3267673024, 3267673087, 'FR', 'France'),
(113272, '194.196.188.0', '194.196.189.95', 3267673088, 3267673439, 'DE', 'Germany'),
(113273, '194.196.189.96', '194.196.189.127', 3267673440, 3267673471, 'EU', 'Europe'),
(113274, '194.196.189.128', '194.196.189.143', 3267673472, 3267673487, 'DE', 'Germany'),
(113275, '194.196.189.144', '194.196.189.151', 3267673488, 3267673495, 'EU', 'Europe'),
(113276, '194.196.189.152', '194.196.189.159', 3267673496, 3267673503, 'DE', 'Germany'),
(113277, '194.196.189.160', '194.196.189.255', 3267673504, 3267673599, 'EU', 'Europe'),
(113278, '194.196.190.0', '194.196.190.159', 3267673600, 3267673759, 'DE', 'Germany'),
(113279, '194.196.190.160', '194.196.190.207', 3267673760, 3267673807, 'EU', 'Europe'),
(113280, '194.196.190.208', '194.196.190.255', 3267673808, 3267673855, 'DE', 'Germany'),
(113281, '194.196.191.0', '194.196.191.255', 3267673856, 3267674111, 'EU', 'Europe'),
(113282, '194.196.192.0', '194.196.192.15', 3267674112, 3267674127, 'NL', 'Netherlands'),
(113283, '194.196.192.16', '194.196.192.31', 3267674128, 3267674143, 'EU', 'Europe'),
(113284, '194.196.192.32', '194.196.192.47', 3267674144, 3267674159, 'GB', 'United Kingdom'),
(113285, '194.196.192.48', '194.196.192.55', 3267674160, 3267674167, 'BE', 'Belgium'),
(113286, '194.196.192.56', '194.196.192.63', 3267674168, 3267674175, 'EU', 'Europe'),
(113287, '194.196.192.64', '194.196.192.95', 3267674176, 3267674207, 'BE', 'Belgium'),
(113288, '194.196.192.96', '194.196.192.127', 3267674208, 3267674239, 'GB', 'United Kingdom'),
(113289, '194.196.192.128', '194.196.192.191', 3267674240, 3267674303, 'BE', 'Belgium'),
(113290, '194.196.192.192', '194.196.192.223', 3267674304, 3267674335, 'EU', 'Europe'),
(113291, '194.196.192.224', '194.196.192.255', 3267674336, 3267674367, 'GB', 'United Kingdom'),
(113292, '194.196.193.0', '194.196.194.255', 3267674368, 3267674879, 'BE', 'Belgium'),
(113293, '194.196.195.0', '194.196.195.255', 3267674880, 3267675135, 'EU', 'Europe'),
(113294, '194.196.196.0', '194.196.196.255', 3267675136, 3267675391, 'AT', 'Austria'),
(113295, '194.196.197.0', '194.196.197.227', 3267675392, 3267675619, 'CH', 'Switzerland'),
(113296, '194.196.197.228', '194.196.197.231', 3267675620, 3267675623, 'EU', 'Europe'),
(113297, '194.196.197.232', '194.196.197.255', 3267675624, 3267675647, 'CH', 'Switzerland'),
(113298, '194.196.198.0', '194.196.198.127', 3267675648, 3267675775, 'CY', 'Cyprus'),
(113299, '194.196.198.128', '194.196.198.255', 3267675776, 3267675903, 'CH', 'Switzerland'),
(113300, '194.196.199.0', '194.196.199.255', 3267675904, 3267676159, 'EU', 'Europe'),
(113301, '194.196.200.0', '194.196.200.255', 3267676160, 3267676415, 'GB', 'United Kingdom'),
(113302, '194.196.201.0', '194.196.201.255', 3267676416, 3267676671, 'EU', 'Europe'),
(113303, '194.196.202.0', '194.196.202.7', 3267676672, 3267676679, 'HU', 'Hungary'),
(113304, '194.196.202.8', '194.196.202.15', 3267676680, 3267676687, 'EU', 'Europe'),
(113305, '194.196.202.16', '194.196.202.39', 3267676688, 3267676711, 'HU', 'Hungary'),
(113306, '194.196.202.40', '194.196.202.63', 3267676712, 3267676735, 'EU', 'Europe'),
(113307, '194.196.202.64', '194.196.202.95', 3267676736, 3267676767, 'HU', 'Hungary'),
(113308, '194.196.202.96', '194.196.202.111', 3267676768, 3267676783, 'EU', 'Europe'),
(113309, '194.196.202.112', '194.196.202.127', 3267676784, 3267676799, 'HU', 'Hungary'),
(113310, '194.196.202.128', '194.196.202.191', 3267676800, 3267676863, 'EU', 'Europe'),
(113311, '194.196.202.192', '194.196.202.207', 3267676864, 3267676879, 'HU', 'Hungary'),
(113312, '194.196.202.208', '194.196.202.255', 3267676880, 3267676927, 'EU', 'Europe'),
(113313, '194.196.203.0', '194.196.204.183', 3267676928, 3267677367, 'GB', 'United Kingdom'),
(113314, '194.196.204.184', '194.196.204.191', 3267677368, 3267677375, 'EU', 'Europe'),
(113315, '194.196.204.192', '194.196.205.255', 3267677376, 3267677695, 'GB', 'United Kingdom'),
(113316, '194.196.206.0', '194.196.207.255', 3267677696, 3267678207, 'EU', 'Europe'),
(113317, '194.196.208.0', '194.196.209.255', 3267678208, 3267678719, 'FR', 'France'),
(113318, '194.196.210.0', '194.196.210.255', 3267678720, 3267678975, 'EU', 'Europe'),
(113319, '194.196.211.0', '194.196.211.255', 3267678976, 3267679231, 'NL', 'Netherlands'),
(113320, '194.196.212.0', '194.196.212.255', 3267679232, 3267679487, 'EU', 'Europe'),
(113321, '194.196.213.0', '194.196.213.255', 3267679488, 3267679743, 'BE', 'Belgium'),
(113322, '194.196.214.0', '194.196.214.255', 3267679744, 3267679999, 'EU', 'Europe'),
(113323, '194.196.215.0', '194.196.215.255', 3267680000, 3267680255, 'CZ', 'Czech Republic'),
(113324, '194.196.216.0', '194.196.217.255', 3267680256, 3267680767, 'SK', 'Slovakia'),
(113325, '194.196.218.0', '194.196.219.255', 3267680768, 3267681279, 'EU', 'Europe'),
(113326, '194.196.220.0', '194.196.220.31', 3267681280, 3267681311, 'FR', 'France'),
(113327, '194.196.220.32', '194.196.220.47', 3267681312, 3267681327, 'EU', 'Europe'),
(113328, '194.196.220.48', '194.196.220.223', 3267681328, 3267681503, 'FR', 'France'),
(113329, '194.196.220.224', '194.196.220.231', 3267681504, 3267681511, 'EU', 'Europe'),
(113330, '194.196.220.232', '194.196.220.255', 3267681512, 3267681535, 'FR', 'France'),
(113331, '194.196.221.0', '194.196.221.255', 3267681536, 3267681791, 'EU', 'Europe'),
(113332, '194.196.222.0', '194.196.222.95', 3267681792, 3267681887, 'FR', 'France'),
(113333, '194.196.222.96', '194.196.222.111', 3267681888, 3267681903, 'EU', 'Europe'),
(113334, '194.196.222.112', '194.196.222.183', 3267681904, 3267681975, 'FR', 'France'),
(113335, '194.196.222.184', '194.196.222.223', 3267681976, 3267682015, 'EU', 'Europe'),
(113336, '194.196.222.224', '194.196.222.255', 3267682016, 3267682047, 'FR', 'France'),
(113337, '194.196.223.0', '194.196.223.255', 3267682048, 3267682303, 'EU', 'Europe'),
(113338, '194.196.224.0', '194.196.224.255', 3267682304, 3267682559, 'BE', 'Belgium'),
(113339, '194.196.225.0', '194.196.228.7', 3267682560, 3267683335, 'EU', 'Europe'),
(113340, '194.196.228.8', '194.196.228.31', 3267683336, 3267683359, 'PL', 'Poland'),
(113341, '194.196.228.32', '194.196.228.63', 3267683360, 3267683391, 'EU', 'Europe'),
(113342, '194.196.228.64', '194.196.228.135', 3267683392, 3267683463, 'PL', 'Poland'),
(113343, '194.196.228.136', '194.196.228.191', 3267683464, 3267683519, 'EU', 'Europe'),
(113344, '194.196.228.192', '194.196.228.199', 3267683520, 3267683527, 'PL', 'Poland'),
(113345, '194.196.228.200', '194.196.228.207', 3267683528, 3267683535, 'EU', 'Europe'),
(113346, '194.196.228.208', '194.196.228.223', 3267683536, 3267683551, 'PL', 'Poland'),
(113347, '194.196.228.224', '194.196.228.239', 3267683552, 3267683567, 'EU', 'Europe'),
(113348, '194.196.228.240', '194.196.228.247', 3267683568, 3267683575, 'PL', 'Poland'),
(113349, '194.196.228.248', '194.196.230.79', 3267683576, 3267683919, 'EU', 'Europe'),
(113350, '194.196.230.80', '194.196.230.95', 3267683920, 3267683935, 'PL', 'Poland'),
(113351, '194.196.230.96', '194.196.232.31', 3267683936, 3267684383, 'EU', 'Europe'),
(113352, '194.196.232.32', '194.196.234.255', 3267684384, 3267685119, 'GB', 'United Kingdom'),
(113353, '194.196.235.0', '194.196.235.255', 3267685120, 3267685375, 'DE', 'Germany'),
(113354, '194.196.236.0', '194.196.237.255', 3267685376, 3267685887, 'NL', 'Netherlands'),
(113355, '194.196.238.0', '194.196.239.255', 3267685888, 3267686399, 'CH', 'Switzerland'),
(113356, '194.196.240.0', '194.196.245.255', 3267686400, 3267687935, 'EU', 'Europe'),
(113357, '194.196.246.0', '194.196.246.63', 3267687936, 3267687999, 'IE', 'Ireland'),
(113358, '194.196.246.64', '194.196.246.127', 3267688000, 3267688063, 'EU', 'Europe'),
(113359, '194.196.246.128', '194.196.246.255', 3267688064, 3267688191, 'IE', 'Ireland'),
(113360, '194.196.247.0', '194.196.248.255', 3267688192, 3267688703, 'DE', 'Germany'),
(113361, '194.196.249.0', '194.196.249.255', 3267688704, 3267688959, 'SE', 'Sweden'),
(113362, '194.196.250.0', '194.196.250.255', 3267688960, 3267689215, 'EU', 'Europe'),
(113363, '194.196.251.0', '194.196.251.31', 3267689216, 3267689247, 'CZ', 'Czech Republic'),
(113364, '194.196.251.32', '194.196.251.111', 3267689248, 3267689327, 'EU', 'Europe'),
(113365, '194.196.251.112', '194.196.251.255', 3267689328, 3267689471, 'CZ', 'Czech Republic'),
(113366, '194.196.252.0', '194.196.252.255', 3267689472, 3267689727, 'EU', 'Europe'),
(113367, '194.196.253.0', '194.196.253.255', 3267689728, 3267689983, 'GB', 'United Kingdom'),
(113368, '194.196.254.0', '194.196.254.255', 3267689984, 3267690239, 'FR', 'France'),
(113369, '194.196.255.0', '194.196.255.31', 3267690240, 3267690271, 'EU', 'Europe'),
(113370, '194.196.255.32', '194.196.255.255', 3267690272, 3267690495, 'FR', 'France'),
(113371, '194.197.0.0', '194.197.3.255', 3267690496, 3267691519, 'FI', 'Finland'),
(113372, '194.197.4.0', '194.197.7.255', 3267691520, 3267692543, 'SE', 'Sweden'),
(113373, '194.197.8.0', '194.197.79.239', 3267692544, 3267710959, 'FI', 'Finland'),
(113374, '194.197.79.240', '194.197.79.243', 3267710960, 3267710963, 'LV', 'Latvia'),
(113375, '194.197.79.244', '194.197.79.247', 3267710964, 3267710967, 'NO', 'Norway'),
(113376, '194.197.79.248', '194.197.79.251', 3267710968, 3267710971, 'DK', 'Denmark'),
(113377, '194.197.79.252', '194.197.79.255', 3267710972, 3267710975, 'SE', 'Sweden'),
(113378, '194.197.80.0', '194.197.83.255', 3267710976, 3267711999, 'FI', 'Finland'),
(113379, '194.197.84.0', '194.197.84.255', 3267712000, 3267712255, 'SE', 'Sweden'),
(113380, '194.197.85.0', '194.197.198.255', 3267712256, 3267741439, 'FI', 'Finland'),
(113381, '194.197.199.0', '194.197.199.255', 3267741440, 3267741695, 'BE', 'Belgium'),
(113382, '194.197.200.0', '194.197.200.63', 3267741696, 3267741759, 'FI', 'Finland'),
(113383, '194.197.200.64', '194.197.200.95', 3267741760, 3267741791, 'SE', 'Sweden'),
(113384, '194.197.200.96', '194.197.200.159', 3267741792, 3267741855, 'FI', 'Finland'),
(113385, '194.197.200.160', '194.197.200.223', 3267741856, 3267741919, 'SE', 'Sweden'),
(113386, '194.197.200.224', '194.197.207.255', 3267741920, 3267743743, 'FI', 'Finland'),
(113387, '194.197.208.0', '194.197.208.255', 3267743744, 3267743999, 'AX', 'Aland Islands'),
(113388, '194.197.209.0', '194.197.209.255', 3267744000, 3267744255, 'DE', 'Germany'),
(113389, '194.197.210.0', '194.197.210.255', 3267744256, 3267744511, 'BE', 'Belgium'),
(113390, '194.197.211.0', '194.197.217.255', 3267744512, 3267746303, 'FI', 'Finland'),
(113391, '194.197.218.0', '194.197.218.255', 3267746304, 3267746559, 'NL', 'Netherlands'),
(113392, '194.197.219.0', '194.197.255.255', 3267746560, 3267756031, 'FI', 'Finland'),
(113393, '194.198.0.0', '194.198.17.255', 3267756032, 3267760639, 'SE', 'Sweden'),
(113394, '194.198.18.0', '194.198.19.255', 3267760640, 3267761151, 'NO', 'Norway'),
(113395, '194.198.20.0', '194.198.22.255', 3267761152, 3267761919, 'SE', 'Sweden'),
(113396, '194.198.23.0', '194.198.23.255', 3267761920, 3267762175, 'NO', 'Norway'),
(113397, '194.198.24.0', '194.198.29.255', 3267762176, 3267763711, 'SE', 'Sweden'),
(113398, '194.198.30.0', '194.198.30.255', 3267763712, 3267763967, 'NO', 'Norway'),
(113399, '194.198.31.0', '194.198.31.255', 3267763968, 3267764223, 'SE', 'Sweden'),
(113400, '194.198.32.0', '194.198.32.255', 3267764224, 3267764479, 'NO', 'Norway'),
(113401, '194.198.33.0', '194.198.38.15', 3267764480, 3267765775, 'SE', 'Sweden'),
(113402, '194.198.38.16', '194.198.38.31', 3267765776, 3267765791, 'NO', 'Norway'),
(113403, '194.198.38.32', '194.198.38.63', 3267765792, 3267765823, 'SE', 'Sweden'),
(113404, '194.198.38.64', '194.198.38.95', 3267765824, 3267765855, 'NO', 'Norway'),
(113405, '194.198.38.96', '194.198.39.15', 3267765856, 3267766031, 'SE', 'Sweden'),
(113406, '194.198.39.16', '194.198.39.31', 3267766032, 3267766047, 'NO', 'Norway'),
(113407, '194.198.39.32', '194.198.40.31', 3267766048, 3267766303, 'SE', 'Sweden'),
(113408, '194.198.40.32', '194.198.40.47', 3267766304, 3267766319, 'NO', 'Norway'),
(113409, '194.198.40.48', '194.198.40.79', 3267766320, 3267766351, 'SE', 'Sweden'),
(113410, '194.198.40.80', '194.198.40.95', 3267766352, 3267766367, 'NO', 'Norway'),
(113411, '194.198.40.96', '194.198.40.111', 3267766368, 3267766383, 'SE', 'Sweden'),
(113412, '194.198.40.112', '194.198.40.143', 3267766384, 3267766415, 'NO', 'Norway'),
(113413, '194.198.40.144', '194.198.120.255', 3267766416, 3267787007, 'SE', 'Sweden'),
(113414, '194.198.121.0', '194.198.121.255', 3267787008, 3267787263, 'NO', 'Norway'),
(113415, '194.198.122.0', '194.198.122.255', 3267787264, 3267787519, 'SE', 'Sweden'),
(113416, '194.198.123.0', '194.198.123.255', 3267787520, 3267787775, 'NO', 'Norway'),
(113417, '194.198.124.0', '194.198.147.255', 3267787776, 3267793919, 'SE', 'Sweden'),
(113418, '194.198.148.0', '194.198.148.255', 3267793920, 3267794175, 'DK', 'Denmark'),
(113419, '194.198.149.0', '194.198.255.255', 3267794176, 3267821567, 'SE', 'Sweden'),
(113420, '194.199.0.0', '194.199.92.255', 3267821568, 3267845375, 'FR', 'France'),
(113421, '194.199.93.0', '194.199.93.255', 3267845376, 3267845631, 'GP', 'Guadeloupe'),
(113422, '194.199.94.0', '194.199.97.255', 3267845632, 3267846655, 'FR', 'France'),
(113423, '194.199.98.0', '194.199.98.255', 3267846656, 3267846911, 'MQ', 'Martinique'),
(113424, '194.199.99.0', '194.199.255.255', 3267846912, 3267887103, 'FR', 'France'),
(113425, '194.200.0.0', '194.201.252.255', 3267887104, 3268017407, 'GB', 'United Kingdom'),
(113426, '194.201.253.0', '194.201.253.255', 3268017408, 3268017663, 'KE', 'Kenya'),
(113427, '194.201.254.0', '194.202.235.255', 3268017664, 3268078591, 'GB', 'United Kingdom'),
(113428, '194.202.236.0', '194.202.236.255', 3268078592, 3268078847, 'EU', 'Europe'),
(113429, '194.202.237.0', '194.203.255.255', 3268078848, 3268149247, 'GB', 'United Kingdom'),
(113430, '194.204.0.0', '194.204.63.255', 3268149248, 3268165631, 'EE', 'Estonia'),
(113431, '194.204.64.0', '194.204.95.255', 3268165632, 3268173823, 'CH', 'Switzerland'),
(113432, '194.204.96.0', '194.204.127.255', 3268173824, 3268182015, 'MT', 'Malta'),
(113433, '194.204.128.0', '194.204.191.255', 3268182016, 3268198399, 'PL', 'Poland'),
(113434, '194.204.192.0', '194.204.255.255', 3268198400, 3268214783, 'MA', 'Morocco'),
(113435, '194.205.0.0', '194.205.3.31', 3268214784, 3268215583, 'EU', 'Europe'),
(113436, '194.205.3.32', '194.205.3.63', 3268215584, 3268215615, 'GB', 'United Kingdom'),
(113437, '194.205.3.64', '194.205.3.95', 3268215616, 3268215647, 'EU', 'Europe'),
(113438, '194.205.3.96', '194.205.3.127', 3268215648, 3268215679, 'GB', 'United Kingdom'),
(113439, '194.205.3.128', '194.205.3.159', 3268215680, 3268215711, 'EU', 'Europe'),
(113440, '194.205.3.160', '194.205.3.191', 3268215712, 3268215743, 'GB', 'United Kingdom'),
(113441, '194.205.3.192', '194.205.3.255', 3268215744, 3268215807, 'EU', 'Europe'),
(113442, '194.205.4.0', '194.205.4.255', 3268215808, 3268216063, 'GB', 'United Kingdom'),
(113443, '194.205.5.0', '194.205.12.255', 3268216064, 3268218111, 'EU', 'Europe'),
(113444, '194.205.13.0', '194.205.13.255', 3268218112, 3268218367, 'GB', 'United Kingdom'),
(113445, '194.205.14.0', '194.205.19.159', 3268218368, 3268219807, 'EU', 'Europe'),
(113446, '194.205.19.160', '194.205.19.175', 3268219808, 3268219823, 'GB', 'United Kingdom'),
(113447, '194.205.19.176', '194.205.25.255', 3268219824, 3268221439, 'EU', 'Europe'),
(113448, '194.205.26.0', '194.205.26.31', 3268221440, 3268221471, 'GB', 'United Kingdom'),
(113449, '194.205.26.32', '194.205.26.63', 3268221472, 3268221503, 'EU', 'Europe'),
(113450, '194.205.26.64', '194.205.26.159', 3268221504, 3268221599, 'GB', 'United Kingdom'),
(113451, '194.205.26.160', '194.205.26.255', 3268221600, 3268221695, 'EU', 'Europe'),
(113452, '194.205.27.0', '194.205.27.255', 3268221696, 3268221951, 'GB', 'United Kingdom'),
(113453, '194.205.28.0', '194.205.31.255', 3268221952, 3268222975, 'EU', 'Europe'),
(113454, '194.205.32.0', '194.205.32.191', 3268222976, 3268223167, 'GB', 'United Kingdom'),
(113455, '194.205.32.192', '194.205.32.223', 3268223168, 3268223199, 'EU', 'Europe'),
(113456, '194.205.32.224', '194.205.32.255', 3268223200, 3268223231, 'GB', 'United Kingdom'),
(113457, '194.205.33.0', '194.205.38.255', 3268223232, 3268224767, 'EU', 'Europe'),
(113458, '194.205.39.0', '194.205.39.255', 3268224768, 3268225023, 'US', 'United States'),
(113459, '194.205.40.0', '194.205.45.63', 3268225024, 3268226367, 'EU', 'Europe'),
(113460, '194.205.45.64', '194.205.46.255', 3268226368, 3268226815, 'GB', 'United Kingdom'),
(113461, '194.205.47.0', '194.205.48.255', 3268226816, 3268227327, 'EU', 'Europe'),
(113462, '194.205.49.0', '194.205.49.63', 3268227328, 3268227391, 'GB', 'United Kingdom'),
(113463, '194.205.49.64', '194.205.49.191', 3268227392, 3268227519, 'EU', 'Europe'),
(113464, '194.205.49.192', '194.205.50.31', 3268227520, 3268227615, 'GB', 'United Kingdom'),
(113465, '194.205.50.32', '194.205.57.255', 3268227616, 3268229631, 'EU', 'Europe'),
(113466, '194.205.58.0', '194.205.58.255', 3268229632, 3268229887, 'GB', 'United Kingdom'),
(113467, '194.205.59.0', '194.205.63.255', 3268229888, 3268231167, 'EU', 'Europe'),
(113468, '194.205.64.0', '194.205.64.31', 3268231168, 3268231199, 'GB', 'United Kingdom'),
(113469, '194.205.64.32', '194.205.64.151', 3268231200, 3268231319, 'EU', 'Europe'),
(113470, '194.205.64.152', '194.205.64.191', 3268231320, 3268231359, 'GB', 'United Kingdom'),
(113471, '194.205.64.192', '194.205.64.223', 3268231360, 3268231391, 'EU', 'Europe'),
(113472, '194.205.64.224', '194.205.64.255', 3268231392, 3268231423, 'GB', 'United Kingdom'),
(113473, '194.205.65.0', '194.205.65.223', 3268231424, 3268231647, 'EU', 'Europe'),
(113474, '194.205.65.224', '194.205.65.255', 3268231648, 3268231679, 'GB', 'United Kingdom'),
(113475, '194.205.66.0', '194.205.66.63', 3268231680, 3268231743, 'EU', 'Europe'),
(113476, '194.205.66.64', '194.205.66.127', 3268231744, 3268231807, 'GB', 'United Kingdom'),
(113477, '194.205.66.128', '194.205.68.31', 3268231808, 3268232223, 'EU', 'Europe'),
(113478, '194.205.68.32', '194.205.68.51', 3268232224, 3268232243, 'GB', 'United Kingdom'),
(113479, '194.205.68.52', '194.205.68.159', 3268232244, 3268232351, 'EU', 'Europe'),
(113480, '194.205.68.160', '194.205.68.175', 3268232352, 3268232367, 'GB', 'United Kingdom'),
(113481, '194.205.68.176', '194.205.68.191', 3268232368, 3268232383, 'EU', 'Europe'),
(113482, '194.205.68.192', '194.205.68.223', 3268232384, 3268232415, 'GB', 'United Kingdom'),
(113483, '194.205.68.224', '194.205.69.31', 3268232416, 3268232479, 'EU', 'Europe'),
(113484, '194.205.69.32', '194.205.69.127', 3268232480, 3268232575, 'GB', 'United Kingdom'),
(113485, '194.205.69.128', '194.205.70.255', 3268232576, 3268232959, 'EU', 'Europe'),
(113486, '194.205.71.0', '194.205.71.127', 3268232960, 3268233087, 'GB', 'United Kingdom'),
(113487, '194.205.71.128', '194.205.74.255', 3268233088, 3268233983, 'EU', 'Europe'),
(113488, '194.205.75.0', '194.205.75.63', 3268233984, 3268234047, 'GB', 'United Kingdom'),
(113489, '194.205.75.64', '194.205.75.191', 3268234048, 3268234175, 'EU', 'Europe'),
(113490, '194.205.75.192', '194.205.75.255', 3268234176, 3268234239, 'GB', 'United Kingdom'),
(113491, '194.205.76.0', '194.205.77.63', 3268234240, 3268234559, 'EU', 'Europe'),
(113492, '194.205.77.64', '194.205.77.127', 3268234560, 3268234623, 'GB', 'United Kingdom'),
(113493, '194.205.77.128', '194.205.78.255', 3268234624, 3268235007, 'EU', 'Europe'),
(113494, '194.205.79.0', '194.205.79.255', 3268235008, 3268235263, 'GB', 'United Kingdom'),
(113495, '194.205.80.0', '194.205.80.255', 3268235264, 3268235519, 'DE', 'Germany'),
(113496, '194.205.81.0', '194.205.81.255', 3268235520, 3268235775, 'GB', 'United Kingdom'),
(113497, '194.205.82.0', '194.205.82.159', 3268235776, 3268235935, 'EU', 'Europe'),
(113498, '194.205.82.160', '194.205.82.255', 3268235936, 3268236031, 'GB', 'United Kingdom'),
(113499, '194.205.83.0', '194.205.83.159', 3268236032, 3268236191, 'EU', 'Europe'),
(113500, '194.205.83.160', '194.205.83.175', 3268236192, 3268236207, 'GB', 'United Kingdom'),
(113501, '194.205.83.176', '194.205.84.255', 3268236208, 3268236543, 'EU', 'Europe'),
(113502, '194.205.85.0', '194.205.85.63', 3268236544, 3268236607, 'GB', 'United Kingdom'),
(113503, '194.205.85.64', '194.205.85.127', 3268236608, 3268236671, 'EU', 'Europe'),
(113504, '194.205.85.128', '194.205.85.255', 3268236672, 3268236799, 'GB', 'United Kingdom'),
(113505, '194.205.86.0', '194.205.89.255', 3268236800, 3268237823, 'EU', 'Europe'),
(113506, '194.205.90.0', '194.205.90.15', 3268237824, 3268237839, 'GB', 'United Kingdom'),
(113507, '194.205.90.16', '194.205.90.31', 3268237840, 3268237855, 'EU', 'Europe'),
(113508, '194.205.90.32', '194.205.90.63', 3268237856, 3268237887, 'GB', 'United Kingdom'),
(113509, '194.205.90.64', '194.205.91.255', 3268237888, 3268238335, 'EU', 'Europe'),
(113510, '194.205.92.0', '194.205.92.23', 3268238336, 3268238359, 'GB', 'United Kingdom'),
(113511, '194.205.92.24', '194.205.92.31', 3268238360, 3268238367, 'DE', 'Germany'),
(113512, '194.205.92.32', '194.205.92.127', 3268238368, 3268238463, 'GB', 'United Kingdom'),
(113513, '194.205.92.128', '194.205.92.135', 3268238464, 3268238471, 'DE', 'Germany'),
(113514, '194.205.92.136', '194.205.93.255', 3268238472, 3268238847, 'GB', 'United Kingdom'),
(113515, '194.205.94.0', '194.205.94.255', 3268238848, 3268239103, 'EU', 'Europe'),
(113516, '194.205.95.0', '194.205.95.255', 3268239104, 3268239359, 'GB', 'United Kingdom'),
(113517, '194.205.96.0', '194.205.96.223', 3268239360, 3268239583, 'EU', 'Europe'),
(113518, '194.205.96.224', '194.205.98.255', 3268239584, 3268240127, 'GB', 'United Kingdom'),
(113519, '194.205.99.0', '194.205.99.31', 3268240128, 3268240159, 'EU', 'Europe'),
(113520, '194.205.99.32', '194.205.99.63', 3268240160, 3268240191, 'GB', 'United Kingdom'),
(113521, '194.205.99.64', '194.205.99.255', 3268240192, 3268240383, 'EU', 'Europe'),
(113522, '194.205.100.0', '194.205.100.15', 3268240384, 3268240399, 'GB', 'United Kingdom'),
(113523, '194.205.100.16', '194.205.100.95', 3268240400, 3268240479, 'EU', 'Europe'),
(113524, '194.205.100.96', '194.205.100.103', 3268240480, 3268240487, 'GB', 'United Kingdom'),
(113525, '194.205.100.104', '194.205.101.47', 3268240488, 3268240687, 'EU', 'Europe'),
(113526, '194.205.101.48', '194.205.101.55', 3268240688, 3268240695, 'GB', 'United Kingdom'),
(113527, '194.205.101.56', '194.205.101.71', 3268240696, 3268240711, 'EU', 'Europe'),
(113528, '194.205.101.72', '194.205.101.95', 3268240712, 3268240735, 'GB', 'United Kingdom'),
(113529, '194.205.101.96', '194.205.101.103', 3268240736, 3268240743, 'EU', 'Europe'),
(113530, '194.205.101.104', '194.205.101.111', 3268240744, 3268240751, 'GB', 'United Kingdom'),
(113531, '194.205.101.112', '194.205.102.79', 3268240752, 3268240975, 'EU', 'Europe'),
(113532, '194.205.102.80', '194.205.102.95', 3268240976, 3268240991, 'GB', 'United Kingdom'),
(113533, '194.205.102.96', '194.205.102.111', 3268240992, 3268241007, 'EU', 'Europe'),
(113534, '194.205.102.112', '194.205.102.127', 3268241008, 3268241023, 'GB', 'United Kingdom'),
(113535, '194.205.102.128', '194.205.104.135', 3268241024, 3268241543, 'EU', 'Europe'),
(113536, '194.205.104.136', '194.205.104.143', 3268241544, 3268241551, 'GB', 'United Kingdom'),
(113537, '194.205.104.144', '194.205.104.231', 3268241552, 3268241639, 'EU', 'Europe'),
(113538, '194.205.104.232', '194.205.104.247', 3268241640, 3268241655, 'GB', 'United Kingdom'),
(113539, '194.205.104.248', '194.205.108.63', 3268241656, 3268242495, 'EU', 'Europe'),
(113540, '194.205.108.64', '194.205.108.91', 3268242496, 3268242523, 'GB', 'United Kingdom'),
(113541, '194.205.108.92', '194.205.109.191', 3268242524, 3268242879, 'EU', 'Europe'),
(113542, '194.205.109.192', '194.205.110.127', 3268242880, 3268243071, 'GB', 'United Kingdom'),
(113543, '194.205.110.128', '194.205.111.127', 3268243072, 3268243327, 'EU', 'Europe'),
(113544, '194.205.111.128', '194.205.111.191', 3268243328, 3268243391, 'GB', 'United Kingdom'),
(113545, '194.205.111.192', '194.205.113.31', 3268243392, 3268243743, 'EU', 'Europe'),
(113546, '194.205.113.32', '194.205.113.63', 3268243744, 3268243775, 'GB', 'United Kingdom'),
(113547, '194.205.113.64', '194.205.113.255', 3268243776, 3268243967, 'EU', 'Europe'),
(113548, '194.205.114.0', '194.205.114.63', 3268243968, 3268244031, 'GB', 'United Kingdom'),
(113549, '194.205.114.64', '194.205.117.39', 3268244032, 3268244775, 'EU', 'Europe'),
(113550, '194.205.117.40', '194.205.117.47', 3268244776, 3268244783, 'GB', 'United Kingdom'),
(113551, '194.205.117.48', '194.205.117.55', 3268244784, 3268244791, 'EU', 'Europe'),
(113552, '194.205.117.56', '194.205.117.63', 3268244792, 3268244799, 'GB', 'United Kingdom'),
(113553, '194.205.117.64', '194.205.119.255', 3268244800, 3268245503, 'EU', 'Europe'),
(113554, '194.205.120.0', '194.205.120.255', 3268245504, 3268245759, 'GB', 'United Kingdom'),
(113555, '194.205.121.0', '194.205.122.255', 3268245760, 3268246271, 'EU', 'Europe'),
(113556, '194.205.123.0', '194.205.124.255', 3268246272, 3268246783, 'GB', 'United Kingdom'),
(113557, '194.205.125.0', '194.205.125.7', 3268246784, 3268246791, 'EU', 'Europe'),
(113558, '194.205.125.8', '194.205.125.23', 3268246792, 3268246807, 'GB', 'United Kingdom'),
(113559, '194.205.125.24', '194.205.125.191', 3268246808, 3268246975, 'EU', 'Europe'),
(113560, '194.205.125.192', '194.205.125.207', 3268246976, 3268246991, 'GB', 'United Kingdom'),
(113561, '194.205.125.208', '194.205.130.255', 3268246992, 3268248319, 'EU', 'Europe'),
(113562, '194.205.131.0', '194.205.131.127', 3268248320, 3268248447, 'GB', 'United Kingdom'),
(113563, '194.205.131.128', '194.205.131.191', 3268248448, 3268248511, 'EU', 'Europe'),
(113564, '194.205.131.192', '194.205.131.223', 3268248512, 3268248543, 'GB', 'United Kingdom'),
(113565, '194.205.131.224', '194.205.135.255', 3268248544, 3268249599, 'EU', 'Europe'),
(113566, '194.205.136.0', '194.205.142.175', 3268249600, 3268251311, 'GB', 'United Kingdom'),
(113567, '194.205.142.176', '194.205.142.191', 3268251312, 3268251327, 'IE', 'Ireland'),
(113568, '194.205.142.192', '194.205.143.191', 3268251328, 3268251583, 'GB', 'United Kingdom'),
(113569, '194.205.143.192', '194.205.143.223', 3268251584, 3268251615, 'DE', 'Germany'),
(113570, '194.205.143.224', '194.205.143.239', 3268251616, 3268251631, 'CH', 'Switzerland'),
(113571, '194.205.143.240', '194.205.143.255', 3268251632, 3268251647, 'GB', 'United Kingdom'),
(113572, '194.205.144.0', '194.205.154.255', 3268251648, 3268254463, 'EU', 'Europe'),
(113573, '194.205.155.0', '194.205.155.79', 3268254464, 3268254543, 'GB', 'United Kingdom'),
(113574, '194.205.155.80', '194.205.155.127', 3268254544, 3268254591, 'EU', 'Europe'),
(113575, '194.205.155.128', '194.205.155.143', 3268254592, 3268254607, 'GB', 'United Kingdom'),
(113576, '194.205.155.144', '194.205.155.159', 3268254608, 3268254623, 'EU', 'Europe'),
(113577, '194.205.155.160', '194.205.155.175', 3268254624, 3268254639, 'GB', 'United Kingdom'),
(113578, '194.205.155.176', '194.205.156.175', 3268254640, 3268254895, 'EU', 'Europe'),
(113579, '194.205.156.176', '194.205.156.183', 3268254896, 3268254903, 'GB', 'United Kingdom'),
(113580, '194.205.156.184', '194.205.160.79', 3268254904, 3268255823, 'EU', 'Europe'),
(113581, '194.205.160.80', '194.205.160.119', 3268255824, 3268255863, 'GB', 'United Kingdom'),
(113582, '194.205.160.120', '194.205.160.127', 3268255864, 3268255871, 'EU', 'Europe'),
(113583, '194.205.160.128', '194.205.160.143', 3268255872, 3268255887, 'GB', 'United Kingdom'),
(113584, '194.205.160.144', '194.205.160.151', 3268255888, 3268255895, 'EU', 'Europe'),
(113585, '194.205.160.152', '194.205.160.175', 3268255896, 3268255919, 'GB', 'United Kingdom'),
(113586, '194.205.160.176', '194.205.160.207', 3268255920, 3268255951, 'EU', 'Europe'),
(113587, '194.205.160.208', '194.205.160.239', 3268255952, 3268255983, 'GB', 'United Kingdom'),
(113588, '194.205.160.240', '194.205.164.127', 3268255984, 3268256895, 'EU', 'Europe'),
(113589, '194.205.164.128', '194.205.164.191', 3268256896, 3268256959, 'GB', 'United Kingdom'),
(113590, '194.205.164.192', '194.205.164.255', 3268256960, 3268257023, 'EU', 'Europe'),
(113591, '194.205.165.0', '194.205.165.31', 3268257024, 3268257055, 'GB', 'United Kingdom'),
(113592, '194.205.165.32', '194.205.165.63', 3268257056, 3268257087, 'EU', 'Europe'),
(113593, '194.205.165.64', '194.205.165.95', 3268257088, 3268257119, 'GB', 'United Kingdom'),
(113594, '194.205.165.96', '194.205.165.239', 3268257120, 3268257263, 'EU', 'Europe'),
(113595, '194.205.165.240', '194.205.165.247', 3268257264, 3268257271, 'GB', 'United Kingdom'),
(113596, '194.205.165.248', '194.205.166.135', 3268257272, 3268257415, 'EU', 'Europe'),
(113597, '194.205.166.136', '194.205.166.139', 3268257416, 3268257419, 'GB', 'United Kingdom'),
(113598, '194.205.166.140', '194.205.166.151', 3268257420, 3268257431, 'EU', 'Europe'),
(113599, '194.205.166.152', '194.205.166.159', 3268257432, 3268257439, 'IT', 'Italy'),
(113600, '194.205.166.160', '194.205.166.175', 3268257440, 3268257455, 'EU', 'Europe'),
(113601, '194.205.166.176', '194.205.166.191', 3268257456, 3268257471, 'GB', 'United Kingdom'),
(113602, '194.205.166.192', '194.205.166.207', 3268257472, 3268257487, 'EU', 'Europe'),
(113603, '194.205.166.208', '194.205.166.247', 3268257488, 3268257527, 'GB', 'United Kingdom'),
(113604, '194.205.166.248', '194.205.170.255', 3268257528, 3268258559, 'EU', 'Europe'),
(113605, '194.205.171.0', '194.205.171.63', 3268258560, 3268258623, 'GB', 'United Kingdom'),
(113606, '194.205.171.64', '194.205.171.127', 3268258624, 3268258687, 'EU', 'Europe'),
(113607, '194.205.171.128', '194.205.171.191', 3268258688, 3268258751, 'GB', 'United Kingdom'),
(113608, '194.205.171.192', '194.205.173.191', 3268258752, 3268259263, 'EU', 'Europe'),
(113609, '194.205.173.192', '194.205.173.255', 3268259264, 3268259327, 'GB', 'United Kingdom'),
(113610, '194.205.174.0', '194.205.174.191', 3268259328, 3268259519, 'EU', 'Europe'),
(113611, '194.205.174.192', '194.205.174.199', 3268259520, 3268259527, 'GB', 'United Kingdom'),
(113612, '194.205.174.200', '194.205.174.215', 3268259528, 3268259543, 'EU', 'Europe'),
(113613, '194.205.174.216', '194.205.174.223', 3268259544, 3268259551, 'GB', 'United Kingdom'),
(113614, '194.205.174.224', '194.205.174.231', 3268259552, 3268259559, 'EU', 'Europe'),
(113615, '194.205.174.232', '194.205.174.247', 3268259560, 3268259575, 'GB', 'United Kingdom'),
(113616, '194.205.174.248', '194.205.175.223', 3268259576, 3268259807, 'EU', 'Europe'),
(113617, '194.205.175.224', '194.205.175.239', 3268259808, 3268259823, 'GB', 'United Kingdom'),
(113618, '194.205.175.240', '194.205.175.247', 3268259824, 3268259831, 'EU', 'Europe'),
(113619, '194.205.175.248', '194.205.176.255', 3268259832, 3268260095, 'GB', 'United Kingdom'),
(113620, '194.205.177.0', '194.205.177.255', 3268260096, 3268260351, 'EU', 'Europe'),
(113621, '194.205.178.0', '194.205.178.31', 3268260352, 3268260383, 'GB', 'United Kingdom'),
(113622, '194.205.178.32', '194.205.178.63', 3268260384, 3268260415, 'EU', 'Europe'),
(113623, '194.205.178.64', '194.205.178.95', 3268260416, 3268260447, 'GB', 'United Kingdom'),
(113624, '194.205.178.96', '194.205.178.159', 3268260448, 3268260511, 'EU', 'Europe'),
(113625, '194.205.178.160', '194.205.178.255', 3268260512, 3268260607, 'GB', 'United Kingdom'),
(113626, '194.205.179.0', '194.205.179.31', 3268260608, 3268260639, 'EU', 'Europe'),
(113627, '194.205.179.32', '194.205.179.39', 3268260640, 3268260647, 'GB', 'United Kingdom'),
(113628, '194.205.179.40', '194.205.179.47', 3268260648, 3268260655, 'EU', 'Europe'),
(113629, '194.205.179.48', '194.205.179.63', 3268260656, 3268260671, 'GB', 'United Kingdom'),
(113630, '194.205.179.64', '194.205.184.47', 3268260672, 3268261935, 'EU', 'Europe'),
(113631, '194.205.184.48', '194.205.184.63', 3268261936, 3268261951, 'GB', 'United Kingdom'),
(113632, '194.205.184.64', '194.205.187.111', 3268261952, 3268262767, 'EU', 'Europe'),
(113633, '194.205.187.112', '194.205.187.127', 3268262768, 3268262783, 'GB', 'United Kingdom'),
(113634, '194.205.187.128', '194.205.187.223', 3268262784, 3268262879, 'EU', 'Europe'),
(113635, '194.205.187.224', '194.205.187.231', 3268262880, 3268262887, 'GB', 'United Kingdom'),
(113636, '194.205.187.232', '194.205.189.63', 3268262888, 3268263231, 'EU', 'Europe'),
(113637, '194.205.189.64', '194.205.189.95', 3268263232, 3268263263, 'GB', 'United Kingdom'),
(113638, '194.205.189.96', '194.205.191.95', 3268263264, 3268263775, 'EU', 'Europe'),
(113639, '194.205.191.96', '194.205.191.103', 3268263776, 3268263783, 'GB', 'United Kingdom'),
(113640, '194.205.191.104', '194.205.195.31', 3268263784, 3268264735, 'EU', 'Europe'),
(113641, '194.205.195.32', '194.205.195.63', 3268264736, 3268264767, 'GB', 'United Kingdom'),
(113642, '194.205.195.64', '194.205.197.199', 3268264768, 3268265415, 'EU', 'Europe'),
(113643, '194.205.197.200', '194.205.197.215', 3268265416, 3268265431, 'GB', 'United Kingdom'),
(113644, '194.205.197.216', '194.205.199.255', 3268265432, 3268265983, 'EU', 'Europe'),
(113645, '194.205.200.0', '194.205.201.255', 3268265984, 3268266495, 'GB', 'United Kingdom'),
(113646, '194.205.202.0', '194.205.203.231', 3268266496, 3268266983, 'EU', 'Europe'),
(113647, '194.205.203.232', '194.205.203.239', 3268266984, 3268266991, 'GB', 'United Kingdom'),
(113648, '194.205.203.240', '194.205.206.15', 3268266992, 3268267535, 'EU', 'Europe'),
(113649, '194.205.206.16', '194.205.206.31', 3268267536, 3268267551, 'GB', 'United Kingdom'),
(113650, '194.205.206.32', '194.205.206.63', 3268267552, 3268267583, 'EU', 'Europe'),
(113651, '194.205.206.64', '194.205.206.79', 3268267584, 3268267599, 'GB', 'United Kingdom'),
(113652, '194.205.206.80', '194.205.206.95', 3268267600, 3268267615, 'EU', 'Europe'),
(113653, '194.205.206.96', '194.205.206.127', 3268267616, 3268267647, 'GB', 'United Kingdom'),
(113654, '194.205.206.128', '194.205.206.223', 3268267648, 3268267743, 'EU', 'Europe'),
(113655, '194.205.206.224', '194.205.206.255', 3268267744, 3268267775, 'GB', 'United Kingdom'),
(113656, '194.205.207.0', '194.205.207.175', 3268267776, 3268267951, 'EU', 'Europe'),
(113657, '194.205.207.176', '194.205.207.183', 3268267952, 3268267959, 'GB', 'United Kingdom'),
(113658, '194.205.207.184', '194.205.209.255', 3268267960, 3268268543, 'EU', 'Europe'),
(113659, '194.205.210.0', '194.205.210.255', 3268268544, 3268268799, 'GB', 'United Kingdom'),
(113660, '194.205.211.0', '194.205.217.15', 3268268800, 3268270351, 'EU', 'Europe'),
(113661, '194.205.217.16', '194.205.217.31', 3268270352, 3268270367, 'GB', 'United Kingdom'),
(113662, '194.205.217.32', '194.205.217.159', 3268270368, 3268270495, 'EU', 'Europe'),
(113663, '194.205.217.160', '194.205.217.175', 3268270496, 3268270511, 'GB', 'United Kingdom'),
(113664, '194.205.217.176', '194.205.218.255', 3268270512, 3268270847, 'EU', 'Europe'),
(113665, '194.205.219.0', '194.205.220.255', 3268270848, 3268271359, 'GB', 'United Kingdom'),
(113666, '194.205.221.0', '194.205.223.39', 3268271360, 3268271911, 'EU', 'Europe'),
(113667, '194.205.223.40', '194.205.223.47', 3268271912, 3268271919, 'GB', 'United Kingdom'),
(113668, '194.205.223.48', '194.205.223.55', 3268271920, 3268271927, 'EU', 'Europe'),
(113669, '194.205.223.56', '194.205.223.63', 3268271928, 3268271935, 'GB', 'United Kingdom'),
(113670, '194.205.223.64', '194.205.226.63', 3268271936, 3268272703, 'EU', 'Europe'),
(113671, '194.205.226.64', '194.205.226.71', 3268272704, 3268272711, 'GB', 'United Kingdom'),
(113672, '194.205.226.72', '194.205.226.87', 3268272712, 3268272727, 'EU', 'Europe'),
(113673, '194.205.226.88', '194.205.226.95', 3268272728, 3268272735, 'GB', 'United Kingdom'),
(113674, '194.205.226.96', '194.205.227.127', 3268272736, 3268273023, 'EU', 'Europe'),
(113675, '194.205.227.128', '194.205.227.255', 3268273024, 3268273151, 'GB', 'United Kingdom'),
(113676, '194.205.228.0', '194.205.231.191', 3268273152, 3268274111, 'EU', 'Europe'),
(113677, '194.205.231.192', '194.205.231.255', 3268274112, 3268274175, 'GB', 'United Kingdom'),
(113678, '194.205.232.0', '194.205.233.23', 3268274176, 3268274455, 'EU', 'Europe'),
(113679, '194.205.233.24', '194.205.233.27', 3268274456, 3268274459, 'GB', 'United Kingdom'),
(113680, '194.205.233.28', '194.205.233.95', 3268274460, 3268274527, 'EU', 'Europe'),
(113681, '194.205.233.96', '194.205.233.111', 3268274528, 3268274543, 'GB', 'United Kingdom'),
(113682, '194.205.233.112', '194.205.233.127', 3268274544, 3268274559, 'EU', 'Europe'),
(113683, '194.205.233.128', '194.205.233.159', 3268274560, 3268274591, 'GB', 'United Kingdom'),
(113684, '194.205.233.160', '194.205.239.15', 3268274592, 3268275983, 'EU', 'Europe'),
(113685, '194.205.239.16', '194.205.239.31', 3268275984, 3268275999, 'GB', 'United Kingdom'),
(113686, '194.205.239.32', '194.205.241.159', 3268276000, 3268276639, 'EU', 'Europe'),
(113687, '194.205.241.160', '194.205.241.175', 3268276640, 3268276655, 'GB', 'United Kingdom'),
(113688, '194.205.241.176', '194.205.241.191', 3268276656, 3268276671, 'EU', 'Europe'),
(113689, '194.205.241.192', '194.205.241.207', 3268276672, 3268276687, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(113690, '194.205.241.208', '194.205.242.31', 3268276688, 3268276767, 'EU', 'Europe'),
(113691, '194.205.242.32', '194.205.242.63', 3268276768, 3268276799, 'GB', 'United Kingdom'),
(113692, '194.205.242.64', '194.205.242.127', 3268276800, 3268276863, 'EU', 'Europe'),
(113693, '194.205.242.128', '194.205.242.159', 3268276864, 3268276895, 'GB', 'United Kingdom'),
(113694, '194.205.242.160', '194.205.243.63', 3268276896, 3268277055, 'EU', 'Europe'),
(113695, '194.205.243.64', '194.205.243.127', 3268277056, 3268277119, 'GB', 'United Kingdom'),
(113696, '194.205.243.128', '194.205.245.255', 3268277120, 3268277759, 'EU', 'Europe'),
(113697, '194.205.246.0', '194.205.246.255', 3268277760, 3268278015, 'GB', 'United Kingdom'),
(113698, '194.205.247.0', '194.205.248.191', 3268278016, 3268278463, 'EU', 'Europe'),
(113699, '194.205.248.192', '194.205.248.223', 3268278464, 3268278495, 'GB', 'United Kingdom'),
(113700, '194.205.248.224', '194.205.254.255', 3268278496, 3268280063, 'EU', 'Europe'),
(113701, '194.205.255.0', '194.205.255.255', 3268280064, 3268280319, 'GB', 'United Kingdom'),
(113702, '194.206.0.0', '194.206.215.255', 3268280320, 3268335615, 'FR', 'France'),
(113703, '194.206.216.0', '194.206.216.255', 3268335616, 3268335871, 'CH', 'Switzerland'),
(113704, '194.206.217.0', '194.206.255.255', 3268335872, 3268345855, 'FR', 'France'),
(113705, '194.207.0.0', '194.207.255.255', 3268345856, 3268411391, 'GB', 'United Kingdom'),
(113706, '194.208.0.0', '194.208.52.255', 3268411392, 3268424959, 'AT', 'Austria'),
(113707, '194.208.53.0', '194.208.55.255', 3268424960, 3268425727, 'CH', 'Switzerland'),
(113708, '194.208.56.0', '194.208.58.255', 3268425728, 3268426495, 'AT', 'Austria'),
(113709, '194.208.59.0', '194.208.64.255', 3268426496, 3268428031, 'CH', 'Switzerland'),
(113710, '194.208.65.0', '194.208.65.255', 3268428032, 3268428287, 'AT', 'Austria'),
(113711, '194.208.66.0', '194.208.66.255', 3268428288, 3268428543, 'CH', 'Switzerland'),
(113712, '194.208.67.0', '194.208.68.255', 3268428544, 3268429055, 'AT', 'Austria'),
(113713, '194.208.69.0', '194.208.69.255', 3268429056, 3268429311, 'CH', 'Switzerland'),
(113714, '194.208.70.0', '194.208.70.255', 3268429312, 3268429567, 'AT', 'Austria'),
(113715, '194.208.71.0', '194.208.72.255', 3268429568, 3268430079, 'CH', 'Switzerland'),
(113716, '194.208.73.0', '194.208.205.255', 3268430080, 3268464127, 'AT', 'Austria'),
(113717, '194.208.206.0', '194.208.206.255', 3268464128, 3268464383, 'LI', 'Liechtenstein'),
(113718, '194.208.207.0', '194.208.255.255', 3268464384, 3268476927, 'AT', 'Austria'),
(113719, '194.209.0.0', '194.209.234.255', 3268476928, 3268537087, 'CH', 'Switzerland'),
(113720, '194.209.235.0', '194.209.235.255', 3268537088, 3268537343, 'US', 'United States'),
(113721, '194.209.236.0', '194.209.255.255', 3268537344, 3268542463, 'CH', 'Switzerland'),
(113722, '194.210.0.0', '194.210.255.255', 3268542464, 3268607999, 'PT', 'Portugal'),
(113723, '194.211.0.0', '194.211.255.255', 3268608000, 3268673535, 'FI', 'Finland'),
(113724, '194.212.0.0', '194.212.118.55', 3268673536, 3268703799, 'CZ', 'Czech Republic'),
(113725, '194.212.118.56', '194.212.118.63', 3268703800, 3268703807, 'CR', 'Costa Rica'),
(113726, '194.212.118.64', '194.212.213.223', 3268703808, 3268728287, 'CZ', 'Czech Republic'),
(113727, '194.212.213.224', '194.212.213.235', 3268728288, 3268728299, 'CR', 'Costa Rica'),
(113728, '194.212.213.236', '194.212.255.255', 3268728300, 3268739071, 'CZ', 'Czech Republic'),
(113729, '194.213.0.0', '194.213.0.255', 3268739072, 3268739327, 'DE', 'Germany'),
(113730, '194.213.1.0', '194.213.1.255', 3268739328, 3268739583, 'PL', 'Poland'),
(113731, '194.213.2.0', '194.213.2.255', 3268739584, 3268739839, 'DE', 'Germany'),
(113732, '194.213.3.0', '194.213.3.255', 3268739840, 3268740095, 'GB', 'United Kingdom'),
(113733, '194.213.4.0', '194.213.4.255', 3268740096, 3268740351, 'IL', 'Israel'),
(113734, '194.213.5.0', '194.213.5.255', 3268740352, 3268740607, 'DE', 'Germany'),
(113735, '194.213.6.0', '194.213.6.255', 3268740608, 3268740863, 'RO', 'Romania'),
(113736, '194.213.7.0', '194.213.7.255', 3268740864, 3268741119, 'CH', 'Switzerland'),
(113737, '194.213.8.0', '194.213.8.255', 3268741120, 3268741375, 'FR', 'France'),
(113738, '194.213.9.0', '194.213.10.255', 3268741376, 3268741887, 'LV', 'Latvia'),
(113739, '194.213.11.0', '194.213.11.255', 3268741888, 3268742143, 'AT', 'Austria'),
(113740, '194.213.12.0', '194.213.12.255', 3268742144, 3268742399, 'RU', 'Russian Federation'),
(113741, '194.213.13.0', '194.213.13.255', 3268742400, 3268742655, 'CZ', 'Czech Republic'),
(113742, '194.213.14.0', '194.213.14.255', 3268742656, 3268742911, 'BE', 'Belgium'),
(113743, '194.213.15.0', '194.213.15.255', 3268742912, 3268743167, 'NL', 'Netherlands'),
(113744, '194.213.16.0', '194.213.16.255', 3268743168, 3268743423, 'RO', 'Romania'),
(113745, '194.213.17.0', '194.213.17.255', 3268743424, 3268743679, 'PL', 'Poland'),
(113746, '194.213.18.0', '194.213.18.255', 3268743680, 3268743935, 'GR', 'Greece'),
(113747, '194.213.19.0', '194.213.19.255', 3268743936, 3268744191, 'ES', 'Spain'),
(113748, '194.213.20.0', '194.213.20.255', 3268744192, 3268744447, 'DE', 'Germany'),
(113749, '194.213.21.0', '194.213.21.255', 3268744448, 3268744703, 'RU', 'Russian Federation'),
(113750, '194.213.22.0', '194.213.22.255', 3268744704, 3268744959, 'PL', 'Poland'),
(113751, '194.213.23.0', '194.213.23.255', 3268744960, 3268745215, 'UA', 'Ukraine'),
(113752, '194.213.24.0', '194.213.24.255', 3268745216, 3268745471, 'KZ', 'Kazakhstan'),
(113753, '194.213.25.0', '194.213.25.255', 3268745472, 3268745727, 'RU', 'Russian Federation'),
(113754, '194.213.26.0', '194.213.26.255', 3268745728, 3268745983, 'PL', 'Poland'),
(113755, '194.213.27.0', '194.213.27.255', 3268745984, 3268746239, 'DE', 'Germany'),
(113756, '194.213.28.0', '194.213.28.255', 3268746240, 3268746495, 'GB', 'United Kingdom'),
(113757, '194.213.29.0', '194.213.29.255', 3268746496, 3268746751, 'IE', 'Ireland'),
(113758, '194.213.30.0', '194.213.30.255', 3268746752, 3268747007, 'FR', 'France'),
(113759, '194.213.31.0', '194.213.31.255', 3268747008, 3268747263, 'DE', 'Germany'),
(113760, '194.213.32.0', '194.213.63.255', 3268747264, 3268755455, 'CZ', 'Czech Republic'),
(113761, '194.213.64.0', '194.213.95.255', 3268755456, 3268763647, 'SE', 'Sweden'),
(113762, '194.213.96.0', '194.213.97.255', 3268763648, 3268764159, 'RU', 'Russian Federation'),
(113763, '194.213.98.0', '194.213.99.255', 3268764160, 3268764671, 'DE', 'Germany'),
(113764, '194.213.100.0', '194.213.101.255', 3268764672, 3268765183, 'LV', 'Latvia'),
(113765, '194.213.102.0', '194.213.103.255', 3268765184, 3268765695, 'RU', 'Russian Federation'),
(113766, '194.213.104.0', '194.213.107.255', 3268765696, 3268766719, 'UA', 'Ukraine'),
(113767, '194.213.108.0', '194.213.109.255', 3268766720, 3268767231, 'IL', 'Israel'),
(113768, '194.213.110.0', '194.213.111.255', 3268767232, 3268767743, 'RU', 'Russian Federation'),
(113769, '194.213.112.0', '194.213.113.255', 3268767744, 3268768255, 'NL', 'Netherlands'),
(113770, '194.213.114.0', '194.213.115.255', 3268768256, 3268768767, 'BE', 'Belgium'),
(113771, '194.213.116.0', '194.213.117.255', 3268768768, 3268769279, 'RU', 'Russian Federation'),
(113772, '194.213.118.0', '194.213.119.255', 3268769280, 3268769791, 'SE', 'Sweden'),
(113773, '194.213.120.0', '194.213.121.255', 3268769792, 3268770303, 'UA', 'Ukraine'),
(113774, '194.213.122.0', '194.213.123.255', 3268770304, 3268770815, 'RU', 'Russian Federation'),
(113775, '194.213.124.0', '194.213.125.255', 3268770816, 3268771327, 'FR', 'France'),
(113776, '194.213.126.0', '194.213.127.255', 3268771328, 3268771839, 'NL', 'Netherlands'),
(113777, '194.213.128.0', '194.213.191.255', 3268771840, 3268788223, 'NO', 'Norway'),
(113778, '194.213.192.0', '194.213.255.255', 3268788224, 3268804607, 'CZ', 'Czech Republic'),
(113779, '194.214.0.0', '194.214.252.255', 3268804608, 3268869375, 'FR', 'France'),
(113780, '194.214.253.0', '194.214.255.255', 3268869376, 3268870143, 'PF', 'French Polynesia'),
(113781, '194.215.0.0', '194.215.23.31', 3268870144, 3268876063, 'FI', 'Finland'),
(113782, '194.215.23.32', '194.215.23.95', 3268876064, 3268876127, 'SE', 'Sweden'),
(113783, '194.215.23.96', '194.215.23.159', 3268876128, 3268876191, 'FI', 'Finland'),
(113784, '194.215.23.160', '194.215.23.191', 3268876192, 3268876223, 'SE', 'Sweden'),
(113785, '194.215.23.192', '194.215.42.255', 3268876224, 3268881151, 'FI', 'Finland'),
(113786, '194.215.43.0', '194.215.43.255', 3268881152, 3268881407, 'SE', 'Sweden'),
(113787, '194.215.44.0', '194.215.45.255', 3268881408, 3268881919, 'FI', 'Finland'),
(113788, '194.215.46.0', '194.215.46.255', 3268881920, 3268882175, 'SE', 'Sweden'),
(113789, '194.215.47.0', '194.215.179.255', 3268882176, 3268916223, 'FI', 'Finland'),
(113790, '194.215.180.0', '194.215.180.255', 3268916224, 3268916479, 'GB', 'United Kingdom'),
(113791, '194.215.181.0', '194.215.196.255', 3268916480, 3268920575, 'FI', 'Finland'),
(113792, '194.215.197.0', '194.215.197.255', 3268920576, 3268920831, 'SE', 'Sweden'),
(113793, '194.215.198.0', '194.215.242.255', 3268920832, 3268932351, 'FI', 'Finland'),
(113794, '194.215.243.0', '194.215.243.255', 3268932352, 3268932607, 'RU', 'Russian Federation'),
(113795, '194.215.244.0', '194.215.255.255', 3268932608, 3268935679, 'FI', 'Finland'),
(113796, '194.216.0.0', '194.217.219.255', 3268935680, 3269057535, 'GB', 'United Kingdom'),
(113797, '194.217.220.0', '194.217.221.255', 3269057536, 3269058047, 'NL', 'Netherlands'),
(113798, '194.217.222.0', '194.217.255.255', 3269058048, 3269066751, 'GB', 'United Kingdom'),
(113799, '194.218.0.0', '194.218.200.135', 3269066752, 3269118087, 'SE', 'Sweden'),
(113800, '194.218.200.136', '194.218.200.139', 3269118088, 3269118091, 'GB', 'United Kingdom'),
(113801, '194.218.200.140', '194.218.217.39', 3269118092, 3269122343, 'SE', 'Sweden'),
(113802, '194.218.217.40', '194.218.217.47', 3269122344, 3269122351, 'GB', 'United Kingdom'),
(113803, '194.218.217.48', '194.218.253.35', 3269122352, 3269131555, 'SE', 'Sweden'),
(113804, '194.218.253.36', '194.218.253.39', 3269131556, 3269131559, 'NO', 'Norway'),
(113805, '194.218.253.40', '194.218.255.255', 3269131560, 3269132287, 'SE', 'Sweden'),
(113806, '194.219.0.0', '194.219.255.255', 3269132288, 3269197823, 'GR', 'Greece'),
(113807, '194.220.0.0', '194.220.255.255', 3269197824, 3269263359, 'RU', 'Russian Federation'),
(113808, '194.221.0.0', '194.221.4.255', 3269263360, 3269264639, 'EU', 'Europe'),
(113809, '194.221.5.0', '194.221.5.255', 3269264640, 3269264895, 'DE', 'Germany'),
(113810, '194.221.6.0', '194.221.9.191', 3269264896, 3269265855, 'EU', 'Europe'),
(113811, '194.221.9.192', '194.221.9.255', 3269265856, 3269265919, 'DE', 'Germany'),
(113812, '194.221.10.0', '194.221.10.255', 3269265920, 3269266175, 'GB', 'United Kingdom'),
(113813, '194.221.11.0', '194.221.12.255', 3269266176, 3269266687, 'EU', 'Europe'),
(113814, '194.221.13.0', '194.221.13.255', 3269266688, 3269266943, 'DE', 'Germany'),
(113815, '194.221.14.0', '194.221.15.255', 3269266944, 3269267455, 'GB', 'United Kingdom'),
(113816, '194.221.16.0', '194.221.35.255', 3269267456, 3269272575, 'EU', 'Europe'),
(113817, '194.221.36.0', '194.221.36.7', 3269272576, 3269272583, 'DE', 'Germany'),
(113818, '194.221.36.8', '194.221.36.127', 3269272584, 3269272703, 'EU', 'Europe'),
(113819, '194.221.36.128', '194.221.36.255', 3269272704, 3269272831, 'DE', 'Germany'),
(113820, '194.221.37.0', '194.221.37.15', 3269272832, 3269272847, 'GB', 'United Kingdom'),
(113821, '194.221.37.16', '194.221.37.31', 3269272848, 3269272863, 'NL', 'Netherlands'),
(113822, '194.221.37.32', '194.221.37.55', 3269272864, 3269272887, 'GB', 'United Kingdom'),
(113823, '194.221.37.56', '194.221.37.63', 3269272888, 3269272895, 'EU', 'Europe'),
(113824, '194.221.37.64', '194.221.37.255', 3269272896, 3269273087, 'NL', 'Netherlands'),
(113825, '194.221.38.0', '194.221.38.255', 3269273088, 3269273343, 'DE', 'Germany'),
(113826, '194.221.39.0', '194.221.39.255', 3269273344, 3269273599, 'EU', 'Europe'),
(113827, '194.221.40.0', '194.221.40.255', 3269273600, 3269273855, 'GB', 'United Kingdom'),
(113828, '194.221.41.0', '194.221.47.255', 3269273856, 3269275647, 'DE', 'Germany'),
(113829, '194.221.48.0', '194.221.48.255', 3269275648, 3269275903, 'EU', 'Europe'),
(113830, '194.221.49.0', '194.221.49.255', 3269275904, 3269276159, 'DE', 'Germany'),
(113831, '194.221.50.0', '194.221.50.255', 3269276160, 3269276415, 'GB', 'United Kingdom'),
(113832, '194.221.51.0', '194.221.53.255', 3269276416, 3269277183, 'EU', 'Europe'),
(113833, '194.221.54.0', '194.221.55.255', 3269277184, 3269277695, 'FR', 'France'),
(113834, '194.221.56.0', '194.221.56.63', 3269277696, 3269277759, 'GB', 'United Kingdom'),
(113835, '194.221.56.64', '194.221.59.255', 3269277760, 3269278719, 'NL', 'Netherlands'),
(113836, '194.221.60.0', '194.221.61.255', 3269278720, 3269279231, 'EU', 'Europe'),
(113837, '194.221.62.0', '194.221.62.255', 3269279232, 3269279487, 'NL', 'Netherlands'),
(113838, '194.221.63.0', '194.221.63.183', 3269279488, 3269279671, 'EU', 'Europe'),
(113839, '194.221.63.184', '194.221.63.191', 3269279672, 3269279679, 'CH', 'Switzerland'),
(113840, '194.221.63.192', '194.221.63.255', 3269279680, 3269279743, 'EU', 'Europe'),
(113841, '194.221.64.0', '194.221.65.127', 3269279744, 3269280127, 'GB', 'United Kingdom'),
(113842, '194.221.65.128', '194.221.67.255', 3269280128, 3269280767, 'NL', 'Netherlands'),
(113843, '194.221.68.0', '194.221.68.255', 3269280768, 3269281023, 'GB', 'United Kingdom'),
(113844, '194.221.69.0', '194.221.69.255', 3269281024, 3269281279, 'DE', 'Germany'),
(113845, '194.221.70.0', '194.221.70.63', 3269281280, 3269281343, 'FR', 'France'),
(113846, '194.221.70.64', '194.221.72.255', 3269281344, 3269282047, 'EU', 'Europe'),
(113847, '194.221.73.0', '194.221.73.255', 3269282048, 3269282303, 'DE', 'Germany'),
(113848, '194.221.74.0', '194.221.74.255', 3269282304, 3269282559, 'GB', 'United Kingdom'),
(113849, '194.221.75.0', '194.221.75.255', 3269282560, 3269282815, 'FR', 'France'),
(113850, '194.221.76.0', '194.221.77.255', 3269282816, 3269283327, 'EU', 'Europe'),
(113851, '194.221.78.0', '194.221.78.255', 3269283328, 3269283583, 'DE', 'Germany'),
(113852, '194.221.79.0', '194.221.80.31', 3269283584, 3269283871, 'EU', 'Europe'),
(113853, '194.221.80.32', '194.221.80.63', 3269283872, 3269283903, 'DE', 'Germany'),
(113854, '194.221.80.64', '194.221.80.255', 3269283904, 3269284095, 'EU', 'Europe'),
(113855, '194.221.81.0', '194.221.81.255', 3269284096, 3269284351, 'GB', 'United Kingdom'),
(113856, '194.221.82.0', '194.221.83.255', 3269284352, 3269284863, 'EU', 'Europe'),
(113857, '194.221.84.0', '194.221.84.191', 3269284864, 3269285055, 'FR', 'France'),
(113858, '194.221.84.192', '194.221.84.223', 3269285056, 3269285087, 'EU', 'Europe'),
(113859, '194.221.84.224', '194.221.85.15', 3269285088, 3269285135, 'DE', 'Germany'),
(113860, '194.221.85.16', '194.221.85.31', 3269285136, 3269285151, 'GB', 'United Kingdom'),
(113861, '194.221.85.32', '194.221.85.95', 3269285152, 3269285215, 'DE', 'Germany'),
(113862, '194.221.85.96', '194.221.85.191', 3269285216, 3269285311, 'EU', 'Europe'),
(113863, '194.221.85.192', '194.221.85.207', 3269285312, 3269285327, 'DE', 'Germany'),
(113864, '194.221.85.208', '194.221.85.223', 3269285328, 3269285343, 'FR', 'France'),
(113865, '194.221.85.224', '194.221.86.255', 3269285344, 3269285631, 'GB', 'United Kingdom'),
(113866, '194.221.87.0', '194.221.87.255', 3269285632, 3269285887, 'DE', 'Germany'),
(113867, '194.221.88.0', '194.221.89.255', 3269285888, 3269286399, 'EU', 'Europe'),
(113868, '194.221.90.0', '194.221.90.63', 3269286400, 3269286463, 'DE', 'Germany'),
(113869, '194.221.90.64', '194.221.98.239', 3269286464, 3269288687, 'EU', 'Europe'),
(113870, '194.221.98.240', '194.221.99.255', 3269288688, 3269288959, 'DE', 'Germany'),
(113871, '194.221.100.0', '194.221.106.63', 3269288960, 3269290559, 'EU', 'Europe'),
(113872, '194.221.106.64', '194.221.106.79', 3269290560, 3269290575, 'DE', 'Germany'),
(113873, '194.221.106.80', '194.221.106.95', 3269290576, 3269290591, 'EU', 'Europe'),
(113874, '194.221.106.96', '194.221.106.191', 3269290592, 3269290687, 'DE', 'Germany'),
(113875, '194.221.106.192', '194.221.106.239', 3269290688, 3269290735, 'EU', 'Europe'),
(113876, '194.221.106.240', '194.221.106.247', 3269290736, 3269290743, 'DE', 'Germany'),
(113877, '194.221.106.248', '194.221.108.255', 3269290744, 3269291263, 'EU', 'Europe'),
(113878, '194.221.109.0', '194.221.109.255', 3269291264, 3269291519, 'DE', 'Germany'),
(113879, '194.221.110.0', '194.221.110.47', 3269291520, 3269291567, 'GB', 'United Kingdom'),
(113880, '194.221.110.48', '194.221.110.63', 3269291568, 3269291583, 'EU', 'Europe'),
(113881, '194.221.110.64', '194.221.110.127', 3269291584, 3269291647, 'GB', 'United Kingdom'),
(113882, '194.221.110.128', '194.221.110.255', 3269291648, 3269291775, 'EU', 'Europe'),
(113883, '194.221.111.0', '194.221.112.255', 3269291776, 3269292287, 'ES', 'Spain'),
(113884, '194.221.113.0', '194.221.116.63', 3269292288, 3269293119, 'EU', 'Europe'),
(113885, '194.221.116.64', '194.221.116.95', 3269293120, 3269293151, 'DE', 'Germany'),
(113886, '194.221.116.96', '194.221.116.151', 3269293152, 3269293207, 'EU', 'Europe'),
(113887, '194.221.116.152', '194.221.116.159', 3269293208, 3269293215, 'DE', 'Germany'),
(113888, '194.221.116.160', '194.221.116.191', 3269293216, 3269293247, 'EU', 'Europe'),
(113889, '194.221.116.192', '194.221.116.223', 3269293248, 3269293279, 'DE', 'Germany'),
(113890, '194.221.116.224', '194.221.117.63', 3269293280, 3269293375, 'EU', 'Europe'),
(113891, '194.221.117.64', '194.221.117.79', 3269293376, 3269293391, 'DE', 'Germany'),
(113892, '194.221.117.80', '194.221.119.31', 3269293392, 3269293855, 'EU', 'Europe'),
(113893, '194.221.119.32', '194.221.119.63', 3269293856, 3269293887, 'DE', 'Germany'),
(113894, '194.221.119.64', '194.221.119.95', 3269293888, 3269293919, 'EU', 'Europe'),
(113895, '194.221.119.96', '194.221.119.127', 3269293920, 3269293951, 'DE', 'Germany'),
(113896, '194.221.119.128', '194.221.128.103', 3269293952, 3269296231, 'EU', 'Europe'),
(113897, '194.221.128.104', '194.221.128.107', 3269296232, 3269296235, 'DE', 'Germany'),
(113898, '194.221.128.108', '194.221.128.239', 3269296236, 3269296367, 'EU', 'Europe'),
(113899, '194.221.128.240', '194.221.128.247', 3269296368, 3269296375, 'DE', 'Germany'),
(113900, '194.221.128.248', '194.221.131.255', 3269296376, 3269297151, 'EU', 'Europe'),
(113901, '194.221.132.0', '194.221.133.255', 3269297152, 3269297663, 'GB', 'United Kingdom'),
(113902, '194.221.134.0', '194.221.137.231', 3269297664, 3269298663, 'EU', 'Europe'),
(113903, '194.221.137.232', '194.221.137.239', 3269298664, 3269298671, 'DE', 'Germany'),
(113904, '194.221.137.240', '194.221.154.255', 3269298672, 3269303039, 'EU', 'Europe'),
(113905, '194.221.155.0', '194.221.155.255', 3269303040, 3269303295, 'DE', 'Germany'),
(113906, '194.221.156.0', '194.221.156.127', 3269303296, 3269303423, 'GB', 'United Kingdom'),
(113907, '194.221.156.128', '194.221.156.255', 3269303424, 3269303551, 'EU', 'Europe'),
(113908, '194.221.157.0', '194.221.157.127', 3269303552, 3269303679, 'DE', 'Germany'),
(113909, '194.221.157.128', '194.221.163.255', 3269303680, 3269305343, 'EU', 'Europe'),
(113910, '194.221.164.0', '194.221.164.7', 3269305344, 3269305351, 'DE', 'Germany'),
(113911, '194.221.164.8', '194.221.165.255', 3269305352, 3269305855, 'EU', 'Europe'),
(113912, '194.221.166.0', '194.221.169.255', 3269305856, 3269306879, 'DE', 'Germany'),
(113913, '194.221.170.0', '194.221.172.255', 3269306880, 3269307647, 'EU', 'Europe'),
(113914, '194.221.173.0', '194.221.173.255', 3269307648, 3269307903, 'DE', 'Germany'),
(113915, '194.221.174.0', '194.221.184.191', 3269307904, 3269310655, 'EU', 'Europe'),
(113916, '194.221.184.192', '194.221.184.207', 3269310656, 3269310671, 'DE', 'Germany'),
(113917, '194.221.184.208', '194.221.185.255', 3269310672, 3269310975, 'EU', 'Europe'),
(113918, '194.221.186.0', '194.221.186.255', 3269310976, 3269311231, 'DE', 'Germany'),
(113919, '194.221.187.0', '194.221.189.127', 3269311232, 3269311871, 'EU', 'Europe'),
(113920, '194.221.189.128', '194.221.189.255', 3269311872, 3269311999, 'DE', 'Germany'),
(113921, '194.221.190.0', '194.221.196.255', 3269312000, 3269313791, 'EU', 'Europe'),
(113922, '194.221.197.0', '194.221.198.127', 3269313792, 3269314175, 'DE', 'Germany'),
(113923, '194.221.198.128', '194.221.198.143', 3269314176, 3269314191, 'EU', 'Europe'),
(113924, '194.221.198.144', '194.221.198.151', 3269314192, 3269314199, 'DE', 'Germany'),
(113925, '194.221.198.152', '194.221.203.255', 3269314200, 3269315583, 'EU', 'Europe'),
(113926, '194.221.204.0', '194.221.204.7', 3269315584, 3269315591, 'DE', 'Germany'),
(113927, '194.221.204.8', '194.221.211.255', 3269315592, 3269317631, 'EU', 'Europe'),
(113928, '194.221.212.0', '194.221.212.31', 3269317632, 3269317663, 'GB', 'United Kingdom'),
(113929, '194.221.212.32', '194.221.212.39', 3269317664, 3269317671, 'IE', 'Ireland'),
(113930, '194.221.212.40', '194.221.212.255', 3269317672, 3269317887, 'GB', 'United Kingdom'),
(113931, '194.221.213.0', '194.221.214.255', 3269317888, 3269318399, 'DE', 'Germany'),
(113932, '194.221.215.0', '194.221.215.255', 3269318400, 3269318655, 'GB', 'United Kingdom'),
(113933, '194.221.216.0', '194.221.217.71', 3269318656, 3269318983, 'DE', 'Germany'),
(113934, '194.221.217.72', '194.221.217.95', 3269318984, 3269319007, 'EU', 'Europe'),
(113935, '194.221.217.96', '194.221.217.135', 3269319008, 3269319047, 'DE', 'Germany'),
(113936, '194.221.217.136', '194.221.217.143', 3269319048, 3269319055, 'EU', 'Europe'),
(113937, '194.221.217.144', '194.221.217.159', 3269319056, 3269319071, 'DE', 'Germany'),
(113938, '194.221.217.160', '194.221.217.223', 3269319072, 3269319135, 'EU', 'Europe'),
(113939, '194.221.217.224', '194.221.222.255', 3269319136, 3269320447, 'DE', 'Germany'),
(113940, '194.221.223.0', '194.221.223.255', 3269320448, 3269320703, 'EU', 'Europe'),
(113941, '194.221.224.0', '194.221.227.255', 3269320704, 3269321727, 'GB', 'United Kingdom'),
(113942, '194.221.228.0', '194.221.229.255', 3269321728, 3269322239, 'EU', 'Europe'),
(113943, '194.221.230.0', '194.221.230.255', 3269322240, 3269322495, 'DE', 'Germany'),
(113944, '194.221.231.0', '194.221.231.159', 3269322496, 3269322655, 'EU', 'Europe'),
(113945, '194.221.231.160', '194.221.231.175', 3269322656, 3269322671, 'DE', 'Germany'),
(113946, '194.221.231.176', '194.221.231.255', 3269322672, 3269322751, 'EU', 'Europe'),
(113947, '194.221.232.0', '194.221.233.255', 3269322752, 3269323263, 'DE', 'Germany'),
(113948, '194.221.234.0', '194.221.247.255', 3269323264, 3269326847, 'EU', 'Europe'),
(113949, '194.221.248.0', '194.221.248.7', 3269326848, 3269326855, 'DE', 'Germany'),
(113950, '194.221.248.8', '194.221.248.111', 3269326856, 3269326959, 'EU', 'Europe'),
(113951, '194.221.248.112', '194.221.248.123', 3269326960, 3269326971, 'DE', 'Germany'),
(113952, '194.221.248.124', '194.221.248.143', 3269326972, 3269326991, 'EU', 'Europe'),
(113953, '194.221.248.144', '194.221.248.151', 3269326992, 3269326999, 'DE', 'Germany'),
(113954, '194.221.248.152', '194.221.248.175', 3269327000, 3269327023, 'EU', 'Europe'),
(113955, '194.221.248.176', '194.221.248.191', 3269327024, 3269327039, 'DE', 'Germany'),
(113956, '194.221.248.192', '194.221.248.207', 3269327040, 3269327055, 'EU', 'Europe'),
(113957, '194.221.248.208', '194.221.248.255', 3269327056, 3269327103, 'DE', 'Germany'),
(113958, '194.221.249.0', '194.221.251.143', 3269327104, 3269327759, 'EU', 'Europe'),
(113959, '194.221.251.144', '194.221.251.151', 3269327760, 3269327767, 'DE', 'Germany'),
(113960, '194.221.251.152', '194.221.251.247', 3269327768, 3269327863, 'EU', 'Europe'),
(113961, '194.221.251.248', '194.221.253.255', 3269327864, 3269328383, 'DE', 'Germany'),
(113962, '194.221.254.0', '194.221.255.255', 3269328384, 3269328895, 'EU', 'Europe'),
(113963, '194.222.0.0', '194.223.255.255', 3269328896, 3269459967, 'GB', 'United Kingdom'),
(113964, '194.224.0.0', '194.224.255.255', 3269459968, 3269525503, 'ES', 'Spain'),
(113965, '194.225.0.0', '194.225.119.255', 3269525504, 3269556223, 'IR', 'Iran, Islamic Republic of'),
(113966, '194.225.120.0', '194.225.120.255', 3269556224, 3269556479, 'AE', 'United Arab Emirates'),
(113967, '194.225.121.0', '194.225.255.255', 3269556480, 3269591039, 'IR', 'Iran, Islamic Republic of'),
(113968, '194.226.0.0', '194.226.119.255', 3269591040, 3269621759, 'RU', 'Russian Federation'),
(113969, '194.226.120.0', '194.226.126.255', 3269621760, 3269623551, 'BY', 'Belarus'),
(113970, '194.226.127.0', '194.226.255.255', 3269623552, 3269656575, 'RU', 'Russian Federation'),
(113971, '194.227.0.0', '194.227.255.255', 3269656576, 3269722111, 'GB', 'United Kingdom'),
(113972, '194.228.0.0', '194.228.112.15', 3269722112, 3269750799, 'CZ', 'Czech Republic'),
(113973, '194.228.112.16', '194.228.112.31', 3269750800, 3269750815, 'CR', 'Costa Rica'),
(113974, '194.228.112.32', '194.228.190.255', 3269750816, 3269771007, 'CZ', 'Czech Republic'),
(113975, '194.228.191.0', '194.228.191.255', 3269771008, 3269771263, 'GB', 'United Kingdom'),
(113976, '194.228.192.0', '194.228.255.255', 3269771264, 3269787647, 'CZ', 'Czech Republic'),
(113977, '194.229.0.0', '194.229.255.255', 3269787648, 3269853183, 'NL', 'Netherlands'),
(113978, '194.230.0.0', '194.230.255.255', 3269853184, 3269918719, 'CH', 'Switzerland'),
(113979, '194.231.0.0', '194.231.67.191', 3269918720, 3269936063, 'DE', 'Germany'),
(113980, '194.231.67.192', '194.231.67.207', 3269936064, 3269936079, 'NL', 'Netherlands'),
(113981, '194.231.67.208', '194.231.255.255', 3269936080, 3269984255, 'DE', 'Germany'),
(113982, '194.232.0.0', '194.232.255.255', 3269984256, 3270049791, 'AT', 'Austria'),
(113983, '194.233.0.0', '194.233.48.111', 3270049792, 3270062191, 'DE', 'Germany'),
(113984, '194.233.48.112', '194.233.48.115', 3270062192, 3270062195, 'ES', 'Spain'),
(113985, '194.233.48.116', '194.233.111.183', 3270062196, 3270078391, 'DE', 'Germany'),
(113986, '194.233.111.184', '194.233.111.187', 3270078392, 3270078395, 'ES', 'Spain'),
(113987, '194.233.111.188', '194.233.198.255', 3270078396, 3270100735, 'DE', 'Germany'),
(113988, '194.233.199.0', '194.233.199.31', 3270100736, 3270100767, 'GB', 'United Kingdom'),
(113989, '194.233.199.32', '194.233.255.255', 3270100768, 3270115327, 'DE', 'Germany'),
(113990, '194.234.0.0', '194.234.8.127', 3270115328, 3270117503, 'EU', 'Europe'),
(113991, '194.234.8.128', '194.234.8.255', 3270117504, 3270117631, 'DK', 'Denmark'),
(113992, '194.234.9.0', '194.234.26.255', 3270117632, 3270122239, 'EU', 'Europe'),
(113993, '194.234.27.0', '194.234.27.255', 3270122240, 3270122495, 'DK', 'Denmark'),
(113994, '194.234.28.0', '194.234.32.195', 3270122496, 3270123715, 'EU', 'Europe'),
(113995, '194.234.32.196', '194.234.32.199', 3270123716, 3270123719, 'DK', 'Denmark'),
(113996, '194.234.32.200', '194.234.32.255', 3270123720, 3270123775, 'EU', 'Europe'),
(113997, '194.234.33.0', '194.234.33.255', 3270123776, 3270124031, 'DK', 'Denmark'),
(113998, '194.234.34.0', '194.234.35.255', 3270124032, 3270124543, 'EU', 'Europe'),
(113999, '194.234.36.0', '194.234.36.255', 3270124544, 3270124799, 'DK', 'Denmark'),
(114000, '194.234.37.0', '194.234.37.255', 3270124800, 3270125055, 'EU', 'Europe'),
(114001, '194.234.38.0', '194.234.39.255', 3270125056, 3270125567, 'DK', 'Denmark'),
(114002, '194.234.40.0', '194.234.41.255', 3270125568, 3270126079, 'EU', 'Europe'),
(114003, '194.234.42.0', '194.234.42.255', 3270126080, 3270126335, 'DK', 'Denmark'),
(114004, '194.234.43.0', '194.234.44.31', 3270126336, 3270126623, 'EU', 'Europe'),
(114005, '194.234.44.32', '194.234.44.63', 3270126624, 3270126655, 'DK', 'Denmark'),
(114006, '194.234.44.64', '194.234.64.255', 3270126656, 3270131967, 'EU', 'Europe'),
(114007, '194.234.65.0', '194.234.65.255', 3270131968, 3270132223, 'NO', 'Norway'),
(114008, '194.234.66.0', '194.234.68.255', 3270132224, 3270132991, 'EU', 'Europe'),
(114009, '194.234.69.0', '194.234.69.31', 3270132992, 3270133023, 'NO', 'Norway'),
(114010, '194.234.69.32', '194.234.84.95', 3270133024, 3270136927, 'EU', 'Europe'),
(114011, '194.234.84.96', '194.234.84.127', 3270136928, 3270136959, 'NO', 'Norway'),
(114012, '194.234.84.128', '194.234.84.159', 3270136960, 3270136991, 'EU', 'Europe'),
(114013, '194.234.84.160', '194.234.84.223', 3270136992, 3270137055, 'NO', 'Norway'),
(114014, '194.234.84.224', '194.234.99.255', 3270137056, 3270140927, 'EU', 'Europe'),
(114015, '194.234.100.0', '194.234.101.255', 3270140928, 3270141439, 'NO', 'Norway'),
(114016, '194.234.102.0', '194.234.104.255', 3270141440, 3270142207, 'EU', 'Europe'),
(114017, '194.234.105.0', '194.234.105.255', 3270142208, 3270142463, 'NO', 'Norway'),
(114018, '194.234.106.0', '194.234.111.255', 3270142464, 3270143999, 'EU', 'Europe'),
(114019, '194.234.112.0', '194.234.114.255', 3270144000, 3270144767, 'NO', 'Norway'),
(114020, '194.234.115.0', '194.234.122.255', 3270144768, 3270146815, 'EU', 'Europe'),
(114021, '194.234.123.0', '194.234.124.255', 3270146816, 3270147327, 'NO', 'Norway'),
(114022, '194.234.125.0', '194.234.125.255', 3270147328, 3270147583, 'EU', 'Europe'),
(114023, '194.234.126.0', '194.234.127.255', 3270147584, 3270148095, 'NO', 'Norway'),
(114024, '194.234.128.0', '194.234.140.255', 3270148096, 3270151423, 'FI', 'Finland'),
(114025, '194.234.141.0', '194.234.142.255', 3270151424, 3270151935, 'EU', 'Europe'),
(114026, '194.234.143.0', '194.234.153.31', 3270151936, 3270154527, 'FI', 'Finland'),
(114027, '194.234.153.32', '194.234.154.255', 3270154528, 3270155007, 'EU', 'Europe'),
(114028, '194.234.155.0', '194.234.157.255', 3270155008, 3270155775, 'FI', 'Finland'),
(114029, '194.234.158.0', '194.234.159.255', 3270155776, 3270156287, 'EU', 'Europe'),
(114030, '194.234.160.0', '194.234.161.255', 3270156288, 3270156799, 'DK', 'Denmark'),
(114031, '194.234.162.0', '194.234.172.255', 3270156800, 3270159615, 'EU', 'Europe'),
(114032, '194.234.173.0', '194.234.173.255', 3270159616, 3270159871, 'DK', 'Denmark'),
(114033, '194.234.174.0', '194.234.193.255', 3270159872, 3270164991, 'EU', 'Europe'),
(114034, '194.234.194.0', '194.234.194.255', 3270164992, 3270165247, 'NO', 'Norway'),
(114035, '194.234.195.0', '194.234.199.255', 3270165248, 3270166527, 'EU', 'Europe'),
(114036, '194.234.200.0', '194.234.204.255', 3270166528, 3270167807, 'NO', 'Norway'),
(114037, '194.234.205.0', '194.234.209.255', 3270167808, 3270169087, 'EU', 'Europe'),
(114038, '194.234.210.0', '194.234.210.255', 3270169088, 3270169343, 'NO', 'Norway'),
(114039, '194.234.211.0', '194.234.213.255', 3270169344, 3270170111, 'EU', 'Europe'),
(114040, '194.234.214.0', '194.234.215.255', 3270170112, 3270170623, 'NO', 'Norway'),
(114041, '194.234.216.0', '194.234.231.255', 3270170624, 3270174719, 'EU', 'Europe'),
(114042, '194.234.232.0', '194.234.232.255', 3270174720, 3270174975, 'NO', 'Norway'),
(114043, '194.234.233.0', '194.234.235.255', 3270174976, 3270175743, 'EU', 'Europe'),
(114044, '194.234.236.0', '194.234.236.255', 3270175744, 3270175999, 'NO', 'Norway'),
(114045, '194.234.237.0', '194.235.0.255', 3270176000, 3270181119, 'EU', 'Europe'),
(114046, '194.235.1.0', '194.235.1.255', 3270181120, 3270181375, 'CH', 'Switzerland'),
(114047, '194.235.2.0', '194.235.2.255', 3270181376, 3270181631, 'EU', 'Europe'),
(114048, '194.235.3.0', '194.235.3.255', 3270181632, 3270181887, 'CH', 'Switzerland'),
(114049, '194.235.4.0', '194.235.4.255', 3270181888, 3270182143, 'EU', 'Europe'),
(114050, '194.235.5.0', '194.235.5.255', 3270182144, 3270182399, 'CH', 'Switzerland'),
(114051, '194.235.6.0', '194.235.6.255', 3270182400, 3270182655, 'EU', 'Europe'),
(114052, '194.235.7.0', '194.235.10.255', 3270182656, 3270183679, 'CH', 'Switzerland'),
(114053, '194.235.11.0', '194.235.31.255', 3270183680, 3270189055, 'EU', 'Europe'),
(114054, '194.235.32.0', '194.235.32.255', 3270189056, 3270189311, 'BE', 'Belgium'),
(114055, '194.235.33.0', '194.235.35.255', 3270189312, 3270190079, 'EU', 'Europe'),
(114056, '194.235.36.0', '194.235.37.255', 3270190080, 3270190591, 'IT', 'Italy'),
(114057, '194.235.38.0', '194.235.39.255', 3270190592, 3270191103, 'CH', 'Switzerland'),
(114058, '194.235.40.0', '194.235.43.63', 3270191104, 3270191935, 'EU', 'Europe'),
(114059, '194.235.43.64', '194.235.43.175', 3270191936, 3270192047, 'CH', 'Switzerland'),
(114060, '194.235.43.176', '194.235.62.255', 3270192048, 3270196991, 'EU', 'Europe'),
(114061, '194.235.63.0', '194.235.63.255', 3270196992, 3270197247, 'CH', 'Switzerland'),
(114062, '194.235.64.0', '194.235.74.255', 3270197248, 3270200063, 'EU', 'Europe'),
(114063, '194.235.75.0', '194.235.75.255', 3270200064, 3270200319, 'NL', 'Netherlands'),
(114064, '194.235.76.0', '194.235.79.255', 3270200320, 3270201343, 'EU', 'Europe'),
(114065, '194.235.80.0', '194.235.80.255', 3270201344, 3270201599, 'NL', 'Netherlands'),
(114066, '194.235.81.0', '194.235.85.255', 3270201600, 3270202879, 'EU', 'Europe'),
(114067, '194.235.86.0', '194.235.86.255', 3270202880, 3270203135, 'NL', 'Netherlands'),
(114068, '194.235.87.0', '194.235.95.255', 3270203136, 3270205439, 'EU', 'Europe'),
(114069, '194.235.96.0', '194.235.96.255', 3270205440, 3270205695, 'NL', 'Netherlands'),
(114070, '194.235.97.0', '194.235.98.31', 3270205696, 3270205983, 'EU', 'Europe'),
(114071, '194.235.98.32', '194.235.98.47', 3270205984, 3270205999, 'ES', 'Spain'),
(114072, '194.235.98.48', '194.235.98.111', 3270206000, 3270206063, 'EU', 'Europe'),
(114073, '194.235.98.112', '194.235.98.127', 3270206064, 3270206079, 'ES', 'Spain'),
(114074, '194.235.98.128', '194.235.101.255', 3270206080, 3270206975, 'EU', 'Europe'),
(114075, '194.235.102.0', '194.235.102.255', 3270206976, 3270207231, 'ES', 'Spain'),
(114076, '194.235.103.0', '194.235.103.255', 3270207232, 3270207487, 'CH', 'Switzerland'),
(114077, '194.235.104.0', '194.235.104.255', 3270207488, 3270207743, 'EU', 'Europe'),
(114078, '194.235.105.0', '194.235.105.159', 3270207744, 3270207903, 'IT', 'Italy'),
(114079, '194.235.105.160', '194.235.105.255', 3270207904, 3270207999, 'EU', 'Europe'),
(114080, '194.235.106.0', '194.235.106.255', 3270208000, 3270208255, 'CH', 'Switzerland'),
(114081, '194.235.107.0', '194.235.107.255', 3270208256, 3270208511, 'LU', 'Luxembourg'),
(114082, '194.235.108.0', '194.235.108.255', 3270208512, 3270208767, 'EU', 'Europe'),
(114083, '194.235.109.0', '194.235.109.255', 3270208768, 3270209023, 'RO', 'Romania'),
(114084, '194.235.110.0', '194.235.110.255', 3270209024, 3270209279, 'NL', 'Netherlands'),
(114085, '194.235.111.0', '194.235.122.255', 3270209280, 3270212351, 'EU', 'Europe'),
(114086, '194.235.123.0', '194.235.124.255', 3270212352, 3270212863, 'NL', 'Netherlands'),
(114087, '194.235.125.0', '194.235.125.255', 3270212864, 3270213119, 'EU', 'Europe'),
(114088, '194.235.126.0', '194.235.126.255', 3270213120, 3270213375, 'NL', 'Netherlands'),
(114089, '194.235.127.0', '194.235.128.255', 3270213376, 3270213887, 'EU', 'Europe'),
(114090, '194.235.129.0', '194.235.130.135', 3270213888, 3270214279, 'PT', 'Portugal'),
(114091, '194.235.130.136', '194.235.130.143', 3270214280, 3270214287, 'US', 'United States'),
(114092, '194.235.130.144', '194.235.130.159', 3270214288, 3270214303, 'PT', 'Portugal'),
(114093, '194.235.130.160', '194.235.130.175', 3270214304, 3270214319, 'EU', 'Europe'),
(114094, '194.235.130.176', '194.235.135.15', 3270214320, 3270215439, 'PT', 'Portugal'),
(114095, '194.235.135.16', '194.235.135.95', 3270215440, 3270215519, 'EU', 'Europe'),
(114096, '194.235.135.96', '194.235.136.255', 3270215520, 3270215935, 'PT', 'Portugal'),
(114097, '194.235.137.0', '194.235.137.255', 3270215936, 3270216191, 'EU', 'Europe'),
(114098, '194.235.138.0', '194.235.138.159', 3270216192, 3270216351, 'PT', 'Portugal'),
(114099, '194.235.138.160', '194.235.138.191', 3270216352, 3270216383, 'EU', 'Europe'),
(114100, '194.235.138.192', '194.235.139.255', 3270216384, 3270216703, 'PT', 'Portugal'),
(114101, '194.235.140.0', '194.235.140.31', 3270216704, 3270216735, 'EU', 'Europe'),
(114102, '194.235.140.32', '194.235.140.47', 3270216736, 3270216751, 'IT', 'Italy'),
(114103, '194.235.140.48', '194.235.140.95', 3270216752, 3270216799, 'EU', 'Europe'),
(114104, '194.235.140.96', '194.235.140.111', 3270216800, 3270216815, 'IT', 'Italy'),
(114105, '194.235.140.112', '194.235.140.127', 3270216816, 3270216831, 'EU', 'Europe'),
(114106, '194.235.140.128', '194.235.140.175', 3270216832, 3270216879, 'IT', 'Italy'),
(114107, '194.235.140.176', '194.235.142.255', 3270216880, 3270217471, 'EU', 'Europe'),
(114108, '194.235.143.0', '194.235.143.255', 3270217472, 3270217727, 'CH', 'Switzerland'),
(114109, '194.235.144.0', '194.235.146.255', 3270217728, 3270218495, 'EU', 'Europe'),
(114110, '194.235.147.0', '194.235.147.255', 3270218496, 3270218751, 'CH', 'Switzerland'),
(114111, '194.235.148.0', '194.235.170.255', 3270218752, 3270224639, 'EU', 'Europe'),
(114112, '194.235.171.0', '194.235.171.255', 3270224640, 3270224895, 'CH', 'Switzerland'),
(114113, '194.235.172.0', '194.235.192.255', 3270224896, 3270230271, 'EU', 'Europe'),
(114114, '194.235.193.0', '194.235.194.255', 3270230272, 3270230783, 'LU', 'Luxembourg'),
(114115, '194.235.195.0', '194.235.196.255', 3270230784, 3270231295, 'EU', 'Europe'),
(114116, '194.235.197.0', '194.235.198.95', 3270231296, 3270231647, 'LU', 'Luxembourg'),
(114117, '194.235.198.96', '194.235.201.255', 3270231648, 3270232575, 'EU', 'Europe'),
(114118, '194.235.202.0', '194.235.202.255', 3270232576, 3270232831, 'LU', 'Luxembourg'),
(114119, '194.235.203.0', '194.235.207.255', 3270232832, 3270234111, 'EU', 'Europe'),
(114120, '194.235.208.0', '194.235.208.255', 3270234112, 3270234367, 'LU', 'Luxembourg'),
(114121, '194.235.209.0', '194.235.209.255', 3270234368, 3270234623, 'NL', 'Netherlands'),
(114122, '194.235.210.0', '194.235.211.255', 3270234624, 3270235135, 'EU', 'Europe'),
(114123, '194.235.212.0', '194.235.215.255', 3270235136, 3270236159, 'NL', 'Netherlands'),
(114124, '194.235.216.0', '194.235.223.255', 3270236160, 3270238207, 'EU', 'Europe'),
(114125, '194.235.224.0', '194.235.225.255', 3270238208, 3270238719, 'NL', 'Netherlands'),
(114126, '194.235.226.0', '194.235.226.255', 3270238720, 3270238975, 'EU', 'Europe'),
(114127, '194.235.227.0', '194.235.228.255', 3270238976, 3270239487, 'CH', 'Switzerland'),
(114128, '194.235.229.0', '194.235.237.255', 3270239488, 3270241791, 'EU', 'Europe'),
(114129, '194.235.238.0', '194.235.240.255', 3270241792, 3270242559, 'RO', 'Romania'),
(114130, '194.235.241.0', '194.235.243.255', 3270242560, 3270243327, 'EU', 'Europe'),
(114131, '194.235.244.0', '194.235.245.255', 3270243328, 3270243839, 'RO', 'Romania'),
(114132, '194.235.246.0', '194.235.246.255', 3270243840, 3270244095, 'EU', 'Europe'),
(114133, '194.235.247.0', '194.235.247.255', 3270244096, 3270244351, 'NL', 'Netherlands'),
(114134, '194.235.248.0', '194.235.249.255', 3270244352, 3270244863, 'CH', 'Switzerland'),
(114135, '194.235.250.0', '194.235.253.255', 3270244864, 3270245887, 'EU', 'Europe'),
(114136, '194.235.254.0', '194.235.254.255', 3270245888, 3270246143, 'RO', 'Romania'),
(114137, '194.235.255.0', '194.235.255.255', 3270246144, 3270246399, 'CH', 'Switzerland'),
(114138, '194.236.0.0', '194.236.6.15', 3270246400, 3270247951, 'SE', 'Sweden'),
(114139, '194.236.6.16', '194.236.6.19', 3270247952, 3270247955, 'NO', 'Norway'),
(114140, '194.236.6.20', '194.237.141.255', 3270247956, 3270348287, 'SE', 'Sweden'),
(114141, '194.237.142.0', '194.237.142.255', 3270348288, 3270348543, 'EU', 'Europe'),
(114142, '194.237.143.0', '194.237.226.127', 3270348544, 3270369919, 'SE', 'Sweden'),
(114143, '194.237.226.128', '194.237.226.135', 3270369920, 3270369927, 'NO', 'Norway'),
(114144, '194.237.226.136', '194.237.255.255', 3270369928, 3270377471, 'SE', 'Sweden'),
(114145, '194.238.0.0', '194.238.255.255', 3270377472, 3270443007, 'GB', 'United Kingdom'),
(114146, '194.239.0.0', '194.239.255.255', 3270443008, 3270508543, 'DK', 'Denmark'),
(114147, '194.240.0.0', '194.240.53.255', 3270508544, 3270522367, 'FI', 'Finland'),
(114148, '194.240.54.0', '194.240.54.255', 3270522368, 3270522623, 'AX', 'Aland Islands'),
(114149, '194.240.55.0', '194.241.255.255', 3270522624, 3270639615, 'FI', 'Finland'),
(114150, '194.242.0.0', '194.242.1.255', 3270639616, 3270640127, 'PL', 'Poland'),
(114151, '194.242.2.0', '194.242.9.255', 3270640128, 3270642175, 'RU', 'Russian Federation'),
(114152, '194.242.10.0', '194.242.11.255', 3270642176, 3270642687, 'NO', 'Norway'),
(114153, '194.242.12.0', '194.242.13.255', 3270642688, 3270643199, 'DE', 'Germany'),
(114154, '194.242.14.0', '194.242.15.255', 3270643200, 3270643711, 'RU', 'Russian Federation'),
(114155, '194.242.16.0', '194.242.17.255', 3270643712, 3270644223, 'AT', 'Austria'),
(114156, '194.242.18.0', '194.242.19.255', 3270644224, 3270644735, 'NL', 'Netherlands'),
(114157, '194.242.20.0', '194.242.21.255', 3270644736, 3270645247, 'DE', 'Germany'),
(114158, '194.242.22.0', '194.242.23.255', 3270645248, 3270645759, 'PL', 'Poland'),
(114159, '194.242.24.0', '194.242.25.255', 3270645760, 3270646271, 'IL', 'Israel'),
(114160, '194.242.26.0', '194.242.31.255', 3270646272, 3270647807, 'RU', 'Russian Federation'),
(114161, '194.242.32.0', '194.242.32.255', 3270647808, 3270648063, 'TR', 'Turkey'),
(114162, '194.242.33.0', '194.242.33.255', 3270648064, 3270648319, 'RU', 'Russian Federation'),
(114163, '194.242.34.0', '194.242.34.255', 3270648320, 3270648575, 'CH', 'Switzerland'),
(114164, '194.242.35.0', '194.242.35.255', 3270648576, 3270648831, 'AT', 'Austria'),
(114165, '194.242.36.0', '194.242.36.255', 3270648832, 3270649087, 'SI', 'Slovenia'),
(114166, '194.242.37.0', '194.242.37.255', 3270649088, 3270649343, 'AT', 'Austria'),
(114167, '194.242.38.0', '194.242.38.255', 3270649344, 3270649599, 'DK', 'Denmark'),
(114168, '194.242.39.0', '194.242.39.255', 3270649600, 3270649855, 'PL', 'Poland'),
(114169, '194.242.40.0', '194.242.40.255', 3270649856, 3270650111, 'DK', 'Denmark'),
(114170, '194.242.41.0', '194.242.41.255', 3270650112, 3270650367, 'AT', 'Austria'),
(114171, '194.242.42.0', '194.242.42.255', 3270650368, 3270650623, 'DK', 'Denmark'),
(114172, '194.242.43.0', '194.242.45.255', 3270650624, 3270651391, 'FR', 'France'),
(114173, '194.242.46.0', '194.242.46.255', 3270651392, 3270651647, 'DE', 'Germany'),
(114174, '194.242.47.0', '194.242.47.255', 3270651648, 3270651903, 'FR', 'France'),
(114175, '194.242.48.0', '194.242.49.255', 3270651904, 3270652415, 'IT', 'Italy'),
(114176, '194.242.50.0', '194.242.50.255', 3270652416, 3270652671, 'DK', 'Denmark'),
(114177, '194.242.51.0', '194.242.51.255', 3270652672, 3270652927, 'CH', 'Switzerland'),
(114178, '194.242.52.0', '194.242.52.255', 3270652928, 3270653183, 'PL', 'Poland'),
(114179, '194.242.53.0', '194.242.53.255', 3270653184, 3270653439, 'UA', 'Ukraine'),
(114180, '194.242.54.0', '194.242.54.255', 3270653440, 3270653695, 'NL', 'Netherlands'),
(114181, '194.242.55.0', '194.242.55.255', 3270653696, 3270653951, 'GB', 'United Kingdom'),
(114182, '194.242.56.0', '194.242.56.255', 3270653952, 3270654207, 'ES', 'Spain'),
(114183, '194.242.57.0', '194.242.57.255', 3270654208, 3270654463, 'RO', 'Romania'),
(114184, '194.242.58.0', '194.242.58.255', 3270654464, 3270654719, 'BE', 'Belgium'),
(114185, '194.242.59.0', '194.242.60.255', 3270654720, 3270655231, 'UA', 'Ukraine'),
(114186, '194.242.61.0', '194.242.61.255', 3270655232, 3270655487, 'IT', 'Italy'),
(114187, '194.242.62.0', '194.242.62.255', 3270655488, 3270655743, 'PL', 'Poland'),
(114188, '194.242.63.0', '194.242.63.255', 3270655744, 3270655999, 'CH', 'Switzerland'),
(114189, '194.242.64.0', '194.242.95.255', 3270656000, 3270664191, 'NL', 'Netherlands'),
(114190, '194.242.96.0', '194.242.103.255', 3270664192, 3270666239, 'UA', 'Ukraine'),
(114191, '194.242.104.0', '194.242.107.255', 3270666240, 3270667263, 'PL', 'Poland'),
(114192, '194.242.108.0', '194.242.111.255', 3270667264, 3270668287, 'SE', 'Sweden'),
(114193, '194.242.112.0', '194.242.115.255', 3270668288, 3270669311, 'FR', 'France'),
(114194, '194.242.116.0', '194.242.119.255', 3270669312, 3270670335, 'UA', 'Ukraine'),
(114195, '194.242.120.0', '194.242.127.255', 3270670336, 3270672383, 'RU', 'Russian Federation'),
(114196, '194.242.128.0', '194.242.159.255', 3270672384, 3270680575, 'GB', 'United Kingdom'),
(114197, '194.242.160.0', '194.242.191.255', 3270680576, 3270688767, 'FR', 'France'),
(114198, '194.242.192.0', '194.244.5.111', 3270688768, 3270772079, 'IT', 'Italy'),
(114199, '194.244.5.112', '194.244.5.119', 3270772080, 3270772087, 'NL', 'Netherlands'),
(114200, '194.244.5.120', '194.244.41.159', 3270772088, 3270781343, 'IT', 'Italy'),
(114201, '194.244.41.160', '194.244.41.175', 3270781344, 3270781359, 'RO', 'Romania'),
(114202, '194.244.41.176', '194.244.146.63', 3270781360, 3270808127, 'IT', 'Italy'),
(114203, '194.244.146.64', '194.244.146.95', 3270808128, 3270808159, 'LU', 'Luxembourg'),
(114204, '194.244.146.96', '194.244.255.255', 3270808160, 3270836223, 'IT', 'Italy'),
(114205, '194.245.0.0', '194.245.255.255', 3270836224, 3270901759, 'DE', 'Germany'),
(114206, '194.246.0.0', '194.246.15.255', 3270901760, 3270905855, 'IT', 'Italy'),
(114207, '194.246.16.0', '194.246.16.255', 3270905856, 3270906111, 'EU', 'Europe'),
(114208, '194.246.17.0', '194.246.31.255', 3270906112, 3270909951, 'IT', 'Italy'),
(114209, '194.246.32.0', '194.246.39.95', 3270909952, 3270911839, 'DE', 'Germany'),
(114210, '194.246.39.96', '194.246.39.127', 3270911840, 3270911871, 'PL', 'Poland'),
(114211, '194.246.39.128', '194.246.39.191', 3270911872, 3270911935, 'DE', 'Germany'),
(114212, '194.246.39.192', '194.246.39.223', 3270911936, 3270911967, 'PL', 'Poland'),
(114213, '194.246.39.224', '194.246.39.255', 3270911968, 3270911999, 'NL', 'Netherlands'),
(114214, '194.246.40.0', '194.246.45.255', 3270912000, 3270913535, 'DE', 'Germany'),
(114215, '194.246.46.0', '194.246.46.255', 3270913536, 3270913791, 'EU', 'Europe'),
(114216, '194.246.47.0', '194.246.73.255', 3270913792, 3270920703, 'DE', 'Germany'),
(114217, '194.246.74.0', '194.246.75.255', 3270920704, 3270921215, 'UA', 'Ukraine'),
(114218, '194.246.76.0', '194.246.76.255', 3270921216, 3270921471, 'DK', 'Denmark'),
(114219, '194.246.77.0', '194.246.77.255', 3270921472, 3270921727, 'UA', 'Ukraine'),
(114220, '194.246.78.0', '194.246.79.255', 3270921728, 3270922239, 'GB', 'United Kingdom'),
(114221, '194.246.80.0', '194.246.95.255', 3270922240, 3270926335, 'DE', 'Germany'),
(114222, '194.246.96.0', '194.246.96.255', 3270926336, 3270926591, 'US', 'United States'),
(114223, '194.246.97.0', '194.246.97.255', 3270926592, 3270926847, 'CH', 'Switzerland'),
(114224, '194.246.98.0', '194.246.98.255', 3270926848, 3270927103, 'PL', 'Poland'),
(114225, '194.246.99.0', '194.246.99.255', 3270927104, 3270927359, 'UA', 'Ukraine'),
(114226, '194.246.100.0', '194.246.100.255', 3270927360, 3270927615, 'CH', 'Switzerland'),
(114227, '194.246.101.0', '194.246.101.255', 3270927616, 3270927871, 'FR', 'France'),
(114228, '194.246.102.0', '194.246.102.255', 3270927872, 3270928127, 'HU', 'Hungary'),
(114229, '194.246.103.0', '194.246.103.255', 3270928128, 3270928383, 'RO', 'Romania'),
(114230, '194.246.104.0', '194.246.105.255', 3270928384, 3270928895, 'UA', 'Ukraine'),
(114231, '194.246.106.0', '194.246.107.255', 3270928896, 3270929407, 'PL', 'Poland'),
(114232, '194.246.108.0', '194.246.109.255', 3270929408, 3270929919, 'GB', 'United Kingdom'),
(114233, '194.246.110.0', '194.246.111.255', 3270929920, 3270930431, 'BG', 'Bulgaria'),
(114234, '194.246.112.0', '194.246.115.255', 3270930432, 3270931455, 'RU', 'Russian Federation'),
(114235, '194.246.116.0', '194.246.117.255', 3270931456, 3270931967, 'UA', 'Ukraine'),
(114236, '194.246.118.0', '194.246.119.255', 3270931968, 3270932479, 'CH', 'Switzerland'),
(114237, '194.246.120.0', '194.246.121.255', 3270932480, 3270932991, 'UA', 'Ukraine'),
(114238, '194.246.122.0', '194.246.123.255', 3270932992, 3270933503, 'DE', 'Germany'),
(114239, '194.246.124.0', '194.246.125.255', 3270933504, 3270934015, 'PL', 'Poland'),
(114240, '194.246.126.0', '194.246.127.255', 3270934016, 3270934527, 'IT', 'Italy'),
(114241, '194.246.128.0', '194.246.255.255', 3270934528, 3270967295, 'DE', 'Germany'),
(114242, '194.247.0.0', '194.247.3.255', 3270967296, 3270968319, 'PL', 'Poland'),
(114243, '194.247.4.0', '194.247.5.255', 3270968320, 3270968831, 'DE', 'Germany'),
(114244, '194.247.6.0', '194.247.7.255', 3270968832, 3270969343, 'SE', 'Sweden'),
(114245, '194.247.8.0', '194.247.9.255', 3270969344, 3270969855, 'CH', 'Switzerland'),
(114246, '194.247.10.0', '194.247.11.255', 3270969856, 3270970367, 'AT', 'Austria'),
(114247, '194.247.12.0', '194.247.13.255', 3270970368, 3270970879, 'UA', 'Ukraine'),
(114248, '194.247.14.0', '194.247.15.255', 3270970880, 3270971391, 'RU', 'Russian Federation'),
(114249, '194.247.16.0', '194.247.19.255', 3270971392, 3270972415, 'UA', 'Ukraine'),
(114250, '194.247.20.0', '194.247.25.255', 3270972416, 3270973951, 'RU', 'Russian Federation'),
(114251, '194.247.26.0', '194.247.27.255', 3270973952, 3270974463, 'FR', 'France'),
(114252, '194.247.28.0', '194.247.29.255', 3270974464, 3270974975, 'IT', 'Italy'),
(114253, '194.247.30.0', '194.247.31.255', 3270974976, 3270975487, 'NL', 'Netherlands'),
(114254, '194.247.32.0', '194.247.32.255', 3270975488, 3270975743, 'RU', 'Russian Federation'),
(114255, '194.247.33.0', '194.247.33.255', 3270975744, 3270975999, 'UA', 'Ukraine'),
(114256, '194.247.34.0', '194.247.34.255', 3270976000, 3270976255, 'FR', 'France'),
(114257, '194.247.35.0', '194.247.35.255', 3270976256, 3270976511, 'UA', 'Ukraine'),
(114258, '194.247.36.0', '194.247.36.255', 3270976512, 3270976767, 'HU', 'Hungary'),
(114259, '194.247.37.0', '194.247.37.255', 3270976768, 3270977023, 'UA', 'Ukraine'),
(114260, '194.247.38.0', '194.247.38.255', 3270977024, 3270977279, 'NL', 'Netherlands'),
(114261, '194.247.39.0', '194.247.39.255', 3270977280, 3270977535, 'RS', 'Serbia'),
(114262, '194.247.40.0', '194.247.40.255', 3270977536, 3270977791, 'RU', 'Russian Federation'),
(114263, '194.247.41.0', '194.247.41.255', 3270977792, 3270978047, 'PL', 'Poland'),
(114264, '194.247.42.0', '194.247.42.255', 3270978048, 3270978303, 'UA', 'Ukraine'),
(114265, '194.247.43.0', '194.247.45.255', 3270978304, 3270979071, 'FI', 'Finland'),
(114266, '194.247.46.0', '194.247.46.255', 3270979072, 3270979327, 'PL', 'Poland'),
(114267, '194.247.47.0', '194.247.47.255', 3270979328, 3270979583, 'AT', 'Austria'),
(114268, '194.247.48.0', '194.247.48.255', 3270979584, 3270979839, 'NO', 'Norway'),
(114269, '194.247.49.0', '194.247.49.255', 3270979840, 3270980095, 'GB', 'United Kingdom'),
(114270, '194.247.50.0', '194.247.50.255', 3270980096, 3270980351, 'AM', 'Armenia'),
(114271, '194.247.51.0', '194.247.51.255', 3270980352, 3270980607, 'RU', 'Russian Federation'),
(114272, '194.247.52.0', '194.247.52.255', 3270980608, 3270980863, 'MD', 'Moldova, Republic of');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(114273, '194.247.53.0', '194.247.55.255', 3270980864, 3270981631, 'RU', 'Russian Federation'),
(114274, '194.247.56.0', '194.247.56.255', 3270981632, 3270981887, 'IT', 'Italy'),
(114275, '194.247.57.0', '194.247.57.255', 3270981888, 3270982143, 'AT', 'Austria'),
(114276, '194.247.58.0', '194.247.58.255', 3270982144, 3270982399, 'RU', 'Russian Federation'),
(114277, '194.247.59.0', '194.247.59.255', 3270982400, 3270982655, 'TR', 'Turkey'),
(114278, '194.247.60.0', '194.247.60.255', 3270982656, 3270982911, 'UA', 'Ukraine'),
(114279, '194.247.61.0', '194.247.61.255', 3270982912, 3270983167, 'DK', 'Denmark'),
(114280, '194.247.62.0', '194.247.62.255', 3270983168, 3270983423, 'PL', 'Poland'),
(114281, '194.247.63.0', '194.247.63.255', 3270983424, 3270983679, 'NL', 'Netherlands'),
(114282, '194.247.64.0', '194.247.95.255', 3270983680, 3270991871, 'GB', 'United Kingdom'),
(114283, '194.247.96.0', '194.247.127.255', 3270991872, 3271000063, 'NL', 'Netherlands'),
(114284, '194.247.128.0', '194.247.159.255', 3271000064, 3271008255, 'RU', 'Russian Federation'),
(114285, '194.247.160.0', '194.247.161.255', 3271008256, 3271008767, 'BE', 'Belgium'),
(114286, '194.247.162.0', '194.247.163.255', 3271008768, 3271009279, 'SI', 'Slovenia'),
(114287, '194.247.164.0', '194.247.165.255', 3271009280, 3271009791, 'MD', 'Moldova, Republic of'),
(114288, '194.247.166.0', '194.247.167.255', 3271009792, 3271010303, 'IL', 'Israel'),
(114289, '194.247.168.0', '194.247.169.255', 3271010304, 3271010815, 'RU', 'Russian Federation'),
(114290, '194.247.170.0', '194.247.171.255', 3271010816, 3271011327, 'GB', 'United Kingdom'),
(114291, '194.247.172.0', '194.247.179.255', 3271011328, 3271013375, 'UA', 'Ukraine'),
(114292, '194.247.180.0', '194.247.181.255', 3271013376, 3271013887, 'FR', 'France'),
(114293, '194.247.182.0', '194.247.183.255', 3271013888, 3271014399, 'UA', 'Ukraine'),
(114294, '194.247.184.0', '194.247.185.255', 3271014400, 3271014911, 'RU', 'Russian Federation'),
(114295, '194.247.186.0', '194.247.187.255', 3271014912, 3271015423, 'RO', 'Romania'),
(114296, '194.247.188.0', '194.247.189.255', 3271015424, 3271015935, 'DK', 'Denmark'),
(114297, '194.247.190.0', '194.247.191.255', 3271015936, 3271016447, 'RU', 'Russian Federation'),
(114298, '194.247.192.0', '194.247.223.63', 3271016448, 3271024447, 'RS', 'Serbia'),
(114299, '194.247.223.64', '194.247.223.67', 3271024448, 3271024451, 'BA', 'Bosnia and Herzegovina'),
(114300, '194.247.223.68', '194.247.223.255', 3271024452, 3271024639, 'RS', 'Serbia'),
(114301, '194.247.224.0', '194.247.255.255', 3271024640, 3271032831, 'GB', 'United Kingdom'),
(114302, '194.248.0.0', '194.248.255.255', 3271032832, 3271098367, 'NO', 'Norway'),
(114303, '194.249.0.0', '194.249.255.255', 3271098368, 3271163903, 'SI', 'Slovenia'),
(114304, '194.250.0.0', '194.250.143.255', 3271163904, 3271200767, 'FR', 'France'),
(114305, '194.250.144.0', '194.250.144.7', 3271200768, 3271200775, 'GB', 'United Kingdom'),
(114306, '194.250.144.8', '194.250.255.255', 3271200776, 3271229439, 'FR', 'France'),
(114307, '194.251.0.0', '194.251.71.251', 3271229440, 3271247867, 'FI', 'Finland'),
(114308, '194.251.71.252', '194.251.71.255', 3271247868, 3271247871, 'AX', 'Aland Islands'),
(114309, '194.251.72.0', '194.251.79.255', 3271247872, 3271249919, 'FI', 'Finland'),
(114310, '194.251.80.0', '194.251.80.255', 3271249920, 3271250175, 'SE', 'Sweden'),
(114311, '194.251.81.0', '194.251.198.223', 3271250176, 3271280351, 'FI', 'Finland'),
(114312, '194.251.198.224', '194.251.198.255', 3271280352, 3271280383, 'RU', 'Russian Federation'),
(114313, '194.251.199.0', '194.251.200.47', 3271280384, 3271280687, 'FI', 'Finland'),
(114314, '194.251.200.48', '194.251.200.63', 3271280688, 3271280703, 'SE', 'Sweden'),
(114315, '194.251.200.64', '194.251.200.79', 3271280704, 3271280719, 'FI', 'Finland'),
(114316, '194.251.200.80', '194.251.200.95', 3271280720, 3271280735, 'SE', 'Sweden'),
(114317, '194.251.200.96', '194.251.238.255', 3271280736, 3271290623, 'FI', 'Finland'),
(114318, '194.251.239.0', '194.251.239.255', 3271290624, 3271290879, 'BE', 'Belgium'),
(114319, '194.251.240.0', '194.252.25.255', 3271290880, 3271301631, 'FI', 'Finland'),
(114320, '194.252.26.0', '194.252.27.255', 3271301632, 3271302143, 'AX', 'Aland Islands'),
(114321, '194.252.28.0', '194.252.58.255', 3271302144, 3271310079, 'FI', 'Finland'),
(114322, '194.252.59.0', '194.252.59.255', 3271310080, 3271310335, 'DE', 'Germany'),
(114323, '194.252.60.0', '194.252.255.255', 3271310336, 3271360511, 'FI', 'Finland'),
(114324, '194.253.0.0', '194.253.11.79', 3271360512, 3271363407, 'GB', 'United Kingdom'),
(114325, '194.253.11.80', '194.253.11.87', 3271363408, 3271363415, 'AT', 'Austria'),
(114326, '194.253.11.88', '194.253.11.95', 3271363416, 3271363423, 'GB', 'United Kingdom'),
(114327, '194.253.11.96', '194.253.11.127', 3271363424, 3271363455, 'IT', 'Italy'),
(114328, '194.253.11.128', '194.253.11.143', 3271363456, 3271363471, 'GB', 'United Kingdom'),
(114329, '194.253.11.144', '194.253.11.159', 3271363472, 3271363487, 'ZA', 'South Africa'),
(114330, '194.253.11.160', '194.253.11.191', 3271363488, 3271363519, 'IT', 'Italy'),
(114331, '194.253.11.192', '194.253.11.223', 3271363520, 3271363551, 'EU', 'Europe'),
(114332, '194.253.11.224', '194.253.11.255', 3271363552, 3271363583, 'FR', 'France'),
(114333, '194.253.12.0', '194.253.20.255', 3271363584, 3271365887, 'GB', 'United Kingdom'),
(114334, '194.253.21.0', '194.253.21.255', 3271365888, 3271366143, 'DE', 'Germany'),
(114335, '194.253.22.0', '194.253.22.255', 3271366144, 3271366399, 'GB', 'United Kingdom'),
(114336, '194.253.23.0', '194.253.23.255', 3271366400, 3271366655, 'NL', 'Netherlands'),
(114337, '194.253.24.0', '194.253.41.255', 3271366656, 3271371263, 'GB', 'United Kingdom'),
(114338, '194.253.42.0', '194.253.42.255', 3271371264, 3271371519, 'IE', 'Ireland'),
(114339, '194.253.43.0', '194.253.43.159', 3271371520, 3271371679, 'ZA', 'South Africa'),
(114340, '194.253.43.160', '194.253.43.191', 3271371680, 3271371711, 'DE', 'Germany'),
(114341, '194.253.43.192', '194.253.43.255', 3271371712, 3271371775, 'CH', 'Switzerland'),
(114342, '194.253.44.0', '194.253.44.255', 3271371776, 3271372031, 'GB', 'United Kingdom'),
(114343, '194.253.45.0', '194.253.45.255', 3271372032, 3271372287, 'BE', 'Belgium'),
(114344, '194.253.46.0', '194.253.47.255', 3271372288, 3271372799, 'FR', 'France'),
(114345, '194.253.48.0', '194.253.48.255', 3271372800, 3271373055, 'SE', 'Sweden'),
(114346, '194.253.49.0', '194.253.49.255', 3271373056, 3271373311, 'BE', 'Belgium'),
(114347, '194.253.50.0', '194.253.50.255', 3271373312, 3271373567, 'GB', 'United Kingdom'),
(114348, '194.253.51.0', '194.253.51.255', 3271373568, 3271373823, 'FR', 'France'),
(114349, '194.253.52.0', '194.253.52.255', 3271373824, 3271374079, 'DE', 'Germany'),
(114350, '194.253.53.0', '194.253.53.255', 3271374080, 3271374335, 'BE', 'Belgium'),
(114351, '194.253.54.0', '194.253.55.255', 3271374336, 3271374847, 'DE', 'Germany'),
(114352, '194.253.56.0', '194.253.57.255', 3271374848, 3271375359, 'GB', 'United Kingdom'),
(114353, '194.253.58.0', '194.253.59.255', 3271375360, 3271375871, 'CH', 'Switzerland'),
(114354, '194.253.60.0', '194.253.61.255', 3271375872, 3271376383, 'BE', 'Belgium'),
(114355, '194.253.62.0', '194.253.62.63', 3271376384, 3271376447, 'GB', 'United Kingdom'),
(114356, '194.253.62.64', '194.253.62.79', 3271376448, 3271376463, 'FR', 'France'),
(114357, '194.253.62.80', '194.253.62.95', 3271376464, 3271376479, 'IT', 'Italy'),
(114358, '194.253.62.96', '194.253.62.127', 3271376480, 3271376511, 'FR', 'France'),
(114359, '194.253.62.128', '194.253.62.255', 3271376512, 3271376639, 'DE', 'Germany'),
(114360, '194.253.63.0', '194.253.63.255', 3271376640, 3271376895, 'AT', 'Austria'),
(114361, '194.253.64.0', '194.253.65.255', 3271376896, 3271377407, 'ES', 'Spain'),
(114362, '194.253.66.0', '194.253.67.255', 3271377408, 3271377919, 'NL', 'Netherlands'),
(114363, '194.253.68.0', '194.253.70.255', 3271377920, 3271378687, 'BE', 'Belgium'),
(114364, '194.253.71.0', '194.253.71.255', 3271378688, 3271378943, 'SE', 'Sweden'),
(114365, '194.253.72.0', '194.253.79.255', 3271378944, 3271380991, 'GB', 'United Kingdom'),
(114366, '194.253.80.0', '194.253.80.255', 3271380992, 3271381247, 'BE', 'Belgium'),
(114367, '194.253.81.0', '194.253.81.255', 3271381248, 3271381503, 'NO', 'Norway'),
(114368, '194.253.82.0', '194.253.82.255', 3271381504, 3271381759, 'SE', 'Sweden'),
(114369, '194.253.83.0', '194.253.85.255', 3271381760, 3271382527, 'IT', 'Italy'),
(114370, '194.253.86.0', '194.253.87.255', 3271382528, 3271383039, 'IL', 'Israel'),
(114371, '194.253.88.0', '194.253.88.255', 3271383040, 3271383295, 'CH', 'Switzerland'),
(114372, '194.253.89.0', '194.253.89.255', 3271383296, 3271383551, 'BE', 'Belgium'),
(114373, '194.253.90.0', '194.253.91.255', 3271383552, 3271384063, 'GB', 'United Kingdom'),
(114374, '194.253.92.0', '194.253.92.255', 3271384064, 3271384319, 'CH', 'Switzerland'),
(114375, '194.253.93.0', '194.253.93.255', 3271384320, 3271384575, 'BE', 'Belgium'),
(114376, '194.253.94.0', '194.253.94.255', 3271384576, 3271384831, 'GB', 'United Kingdom'),
(114377, '194.253.95.0', '194.253.95.255', 3271384832, 3271385087, 'BE', 'Belgium'),
(114378, '194.253.96.0', '194.253.96.71', 3271385088, 3271385159, 'DE', 'Germany'),
(114379, '194.253.96.72', '194.253.96.95', 3271385160, 3271385183, 'GB', 'United Kingdom'),
(114380, '194.253.96.96', '194.253.96.127', 3271385184, 3271385215, 'ES', 'Spain'),
(114381, '194.253.96.128', '194.253.96.255', 3271385216, 3271385343, 'NL', 'Netherlands'),
(114382, '194.253.97.0', '194.253.119.255', 3271385344, 3271391231, 'DE', 'Germany'),
(114383, '194.253.120.0', '194.253.121.255', 3271391232, 3271391743, 'NL', 'Netherlands'),
(114384, '194.253.122.0', '194.253.122.255', 3271391744, 3271391999, 'NO', 'Norway'),
(114385, '194.253.123.0', '194.253.123.255', 3271392000, 3271392255, 'DE', 'Germany'),
(114386, '194.253.124.0', '194.253.124.255', 3271392256, 3271392511, 'FR', 'France'),
(114387, '194.253.125.0', '194.253.125.255', 3271392512, 3271392767, 'BE', 'Belgium'),
(114388, '194.253.126.0', '194.253.127.255', 3271392768, 3271393279, 'FR', 'France'),
(114389, '194.253.128.0', '194.253.129.255', 3271393280, 3271393791, 'AT', 'Austria'),
(114390, '194.253.130.0', '194.253.130.255', 3271393792, 3271394047, 'DK', 'Denmark'),
(114391, '194.253.131.0', '194.253.131.255', 3271394048, 3271394303, 'DE', 'Germany'),
(114392, '194.253.132.0', '194.253.132.255', 3271394304, 3271394559, 'BE', 'Belgium'),
(114393, '194.253.133.0', '194.253.133.255', 3271394560, 3271394815, 'GB', 'United Kingdom'),
(114394, '194.253.134.0', '194.253.134.255', 3271394816, 3271395071, 'DE', 'Germany'),
(114395, '194.253.135.0', '194.253.135.255', 3271395072, 3271395327, 'GB', 'United Kingdom'),
(114396, '194.253.136.0', '194.253.141.255', 3271395328, 3271396863, 'IT', 'Italy'),
(114397, '194.253.142.0', '194.253.142.255', 3271396864, 3271397119, 'GB', 'United Kingdom'),
(114398, '194.253.143.0', '194.253.143.255', 3271397120, 3271397375, 'NL', 'Netherlands'),
(114399, '194.253.144.0', '194.253.145.255', 3271397376, 3271397887, 'CH', 'Switzerland'),
(114400, '194.253.146.0', '194.253.146.63', 3271397888, 3271397951, 'FR', 'France'),
(114401, '194.253.146.64', '194.253.146.95', 3271397952, 3271397983, 'IT', 'Italy'),
(114402, '194.253.146.96', '194.253.146.111', 3271397984, 3271397999, 'NL', 'Netherlands'),
(114403, '194.253.146.112', '194.253.146.127', 3271398000, 3271398015, 'FR', 'France'),
(114404, '194.253.146.128', '194.253.146.159', 3271398016, 3271398047, 'NL', 'Netherlands'),
(114405, '194.253.146.160', '194.253.146.191', 3271398048, 3271398079, 'ZA', 'South Africa'),
(114406, '194.253.146.192', '194.253.146.255', 3271398080, 3271398143, 'GB', 'United Kingdom'),
(114407, '194.253.147.0', '194.253.147.159', 3271398144, 3271398303, 'NL', 'Netherlands'),
(114408, '194.253.147.160', '194.253.147.191', 3271398304, 3271398335, 'DE', 'Germany'),
(114409, '194.253.147.192', '194.253.147.255', 3271398336, 3271398399, 'IT', 'Italy'),
(114410, '194.253.148.0', '194.253.149.255', 3271398400, 3271398911, 'DE', 'Germany'),
(114411, '194.253.150.0', '194.253.150.255', 3271398912, 3271399167, 'GB', 'United Kingdom'),
(114412, '194.253.151.0', '194.253.157.255', 3271399168, 3271400959, 'BE', 'Belgium'),
(114413, '194.253.158.0', '194.253.158.255', 3271400960, 3271401215, 'CH', 'Switzerland'),
(114414, '194.253.159.0', '194.253.159.255', 3271401216, 3271401471, 'DE', 'Germany'),
(114415, '194.253.160.0', '194.253.166.255', 3271401472, 3271403263, 'DK', 'Denmark'),
(114416, '194.253.167.0', '194.253.167.255', 3271403264, 3271403519, 'DE', 'Germany'),
(114417, '194.253.168.0', '194.253.168.255', 3271403520, 3271403775, 'NL', 'Netherlands'),
(114418, '194.253.169.0', '194.253.169.127', 3271403776, 3271403903, 'ZA', 'South Africa'),
(114419, '194.253.169.128', '194.253.169.143', 3271403904, 3271403919, 'GB', 'United Kingdom'),
(114420, '194.253.169.144', '194.253.169.159', 3271403920, 3271403935, 'IE', 'Ireland'),
(114421, '194.253.169.160', '194.253.169.191', 3271403936, 3271403967, 'GB', 'United Kingdom'),
(114422, '194.253.169.192', '194.253.169.207', 3271403968, 3271403983, 'ZA', 'South Africa'),
(114423, '194.253.169.208', '194.253.169.215', 3271403984, 3271403991, 'GB', 'United Kingdom'),
(114424, '194.253.169.216', '194.253.169.223', 3271403992, 3271403999, 'ZA', 'South Africa'),
(114425, '194.253.169.224', '194.253.169.255', 3271404000, 3271404031, 'DE', 'Germany'),
(114426, '194.253.170.0', '194.253.174.255', 3271404032, 3271405311, 'NL', 'Netherlands'),
(114427, '194.253.175.0', '194.253.175.255', 3271405312, 3271405567, 'FR', 'France'),
(114428, '194.253.176.0', '194.253.176.255', 3271405568, 3271405823, 'ES', 'Spain'),
(114429, '194.253.177.0', '194.253.177.255', 3271405824, 3271406079, 'AT', 'Austria'),
(114430, '194.253.178.0', '194.253.178.255', 3271406080, 3271406335, 'ZA', 'South Africa'),
(114431, '194.253.179.0', '194.253.179.255', 3271406336, 3271406591, 'RO', 'Romania'),
(114432, '194.253.180.0', '194.253.180.255', 3271406592, 3271406847, 'GB', 'United Kingdom'),
(114433, '194.253.181.0', '194.253.183.255', 3271406848, 3271407615, 'AT', 'Austria'),
(114434, '194.253.184.0', '194.253.184.255', 3271407616, 3271407871, 'DE', 'Germany'),
(114435, '194.253.185.0', '194.253.185.255', 3271407872, 3271408127, 'AT', 'Austria'),
(114436, '194.253.186.0', '194.253.186.255', 3271408128, 3271408383, 'DE', 'Germany'),
(114437, '194.253.187.0', '194.253.187.255', 3271408384, 3271408639, 'FR', 'France'),
(114438, '194.253.188.0', '194.253.188.255', 3271408640, 3271408895, 'BE', 'Belgium'),
(114439, '194.253.189.0', '194.253.189.255', 3271408896, 3271409151, 'ES', 'Spain'),
(114440, '194.253.190.0', '194.253.190.255', 3271409152, 3271409407, 'IT', 'Italy'),
(114441, '194.253.191.0', '194.253.191.255', 3271409408, 3271409663, 'GB', 'United Kingdom'),
(114442, '194.253.192.0', '194.253.223.255', 3271409664, 3271417855, 'BE', 'Belgium'),
(114443, '194.253.224.0', '194.253.248.71', 3271417856, 3271424071, 'FR', 'France'),
(114444, '194.253.248.72', '194.253.248.79', 3271424072, 3271424079, 'IT', 'Italy'),
(114445, '194.253.248.80', '194.253.248.95', 3271424080, 3271424095, 'IE', 'Ireland'),
(114446, '194.253.248.96', '194.253.248.111', 3271424096, 3271424111, 'GB', 'United Kingdom'),
(114447, '194.253.248.112', '194.253.248.127', 3271424112, 3271424127, 'BE', 'Belgium'),
(114448, '194.253.248.128', '194.253.248.191', 3271424128, 3271424191, 'GB', 'United Kingdom'),
(114449, '194.253.248.192', '194.253.249.255', 3271424192, 3271424511, 'FR', 'France'),
(114450, '194.253.250.0', '194.253.251.255', 3271424512, 3271425023, 'GB', 'United Kingdom'),
(114451, '194.253.252.0', '194.253.252.255', 3271425024, 3271425279, 'DE', 'Germany'),
(114452, '194.253.253.0', '194.253.253.255', 3271425280, 3271425535, 'DK', 'Denmark'),
(114453, '194.253.254.0', '194.253.255.255', 3271425536, 3271426047, 'DE', 'Germany'),
(114454, '194.254.0.0', '194.254.0.255', 3271426048, 3271426303, 'PF', 'French Polynesia'),
(114455, '194.254.1.0', '194.254.255.255', 3271426304, 3271491583, 'FR', 'France'),
(114456, '194.255.0.0', '194.255.15.255', 3271491584, 3271495679, 'DK', 'Denmark'),
(114457, '194.255.16.0', '194.255.16.127', 3271495680, 3271495807, 'SE', 'Sweden'),
(114458, '194.255.16.128', '194.255.21.127', 3271495808, 3271497087, 'DK', 'Denmark'),
(114459, '194.255.21.128', '194.255.21.255', 3271497088, 3271497215, 'SE', 'Sweden'),
(114460, '194.255.22.0', '194.255.38.255', 3271497216, 3271501567, 'DK', 'Denmark'),
(114461, '194.255.39.0', '194.255.39.7', 3271501568, 3271501575, 'SE', 'Sweden'),
(114462, '194.255.39.8', '194.255.39.95', 3271501576, 3271501663, 'DK', 'Denmark'),
(114463, '194.255.39.96', '194.255.39.111', 3271501664, 3271501679, 'DE', 'Germany'),
(114464, '194.255.39.112', '194.255.39.127', 3271501680, 3271501695, 'SE', 'Sweden'),
(114465, '194.255.39.128', '194.255.39.215', 3271501696, 3271501783, 'DK', 'Denmark'),
(114466, '194.255.39.216', '194.255.39.223', 3271501784, 3271501791, 'SE', 'Sweden'),
(114467, '194.255.39.224', '194.255.84.255', 3271501792, 3271513343, 'DK', 'Denmark'),
(114468, '194.255.85.0', '194.255.85.255', 3271513344, 3271513599, 'EU', 'Europe'),
(114469, '194.255.86.0', '194.255.255.255', 3271513600, 3271557119, 'DK', 'Denmark'),
(114470, '195.0.0.0', '195.0.127.255', 3271557120, 3271589887, 'BE', 'Belgium'),
(114471, '195.0.128.0', '195.1.255.255', 3271589888, 3271688191, 'NO', 'Norway'),
(114472, '195.2.0.0', '195.2.13.255', 3271688192, 3271691775, 'EU', 'Europe'),
(114473, '195.2.14.0', '195.2.14.255', 3271691776, 3271692031, 'US', 'United States'),
(114474, '195.2.15.0', '195.2.15.255', 3271692032, 3271692287, 'GB', 'United Kingdom'),
(114475, '195.2.16.0', '195.2.24.255', 3271692288, 3271694591, 'EU', 'Europe'),
(114476, '195.2.25.0', '195.2.26.255', 3271694592, 3271695103, 'GB', 'United Kingdom'),
(114477, '195.2.27.0', '195.2.31.255', 3271695104, 3271696383, 'EU', 'Europe'),
(114478, '195.2.32.0', '195.2.39.255', 3271696384, 3271698431, 'GB', 'United Kingdom'),
(114479, '195.2.40.0', '195.2.63.255', 3271698432, 3271704575, 'EU', 'Europe'),
(114480, '195.2.64.0', '195.2.95.255', 3271704576, 3271712767, 'RU', 'Russian Federation'),
(114481, '195.2.96.0', '195.2.111.255', 3271712768, 3271716863, 'LV', 'Latvia'),
(114482, '195.2.112.0', '195.2.112.255', 3271716864, 3271717119, 'RU', 'Russian Federation'),
(114483, '195.2.113.0', '195.2.127.255', 3271717120, 3271720959, 'LV', 'Latvia'),
(114484, '195.2.128.0', '195.2.159.255', 3271720960, 3271729151, 'GB', 'United Kingdom'),
(114485, '195.2.160.0', '195.2.191.255', 3271729152, 3271737343, 'DE', 'Germany'),
(114486, '195.2.192.0', '195.2.195.255', 3271737344, 3271738367, 'RU', 'Russian Federation'),
(114487, '195.2.196.0', '195.2.197.255', 3271738368, 3271738879, 'RO', 'Romania'),
(114488, '195.2.198.0', '195.2.199.255', 3271738880, 3271739391, 'RU', 'Russian Federation'),
(114489, '195.2.200.0', '195.2.201.255', 3271739392, 3271739903, 'AT', 'Austria'),
(114490, '195.2.202.0', '195.2.203.255', 3271739904, 3271740415, 'IE', 'Ireland'),
(114491, '195.2.204.0', '195.2.205.255', 3271740416, 3271740927, 'UA', 'Ukraine'),
(114492, '195.2.206.0', '195.2.207.255', 3271740928, 3271741439, 'RU', 'Russian Federation'),
(114493, '195.2.208.0', '195.2.209.255', 3271741440, 3271741951, 'PL', 'Poland'),
(114494, '195.2.210.0', '195.2.217.255', 3271741952, 3271743999, 'RU', 'Russian Federation'),
(114495, '195.2.218.0', '195.2.219.255', 3271744000, 3271744511, 'RO', 'Romania'),
(114496, '195.2.220.0', '195.2.221.255', 3271744512, 3271745023, 'AT', 'Austria'),
(114497, '195.2.222.0', '195.2.223.255', 3271745024, 3271745535, 'PL', 'Poland'),
(114498, '195.2.224.0', '195.2.225.255', 3271745536, 3271746047, 'GB', 'United Kingdom'),
(114499, '195.2.226.0', '195.2.227.255', 3271746048, 3271746559, 'RU', 'Russian Federation'),
(114500, '195.2.228.0', '195.2.229.255', 3271746560, 3271747071, 'CH', 'Switzerland'),
(114501, '195.2.230.0', '195.2.231.255', 3271747072, 3271747583, 'KZ', 'Kazakhstan'),
(114502, '195.2.232.0', '195.2.233.255', 3271747584, 3271748095, 'RU', 'Russian Federation'),
(114503, '195.2.234.0', '195.2.235.255', 3271748096, 3271748607, 'GR', 'Greece'),
(114504, '195.2.236.0', '195.2.237.255', 3271748608, 3271749119, 'UA', 'Ukraine'),
(114505, '195.2.238.0', '195.2.241.255', 3271749120, 3271750143, 'RU', 'Russian Federation'),
(114506, '195.2.242.0', '195.2.243.255', 3271750144, 3271750655, 'UA', 'Ukraine'),
(114507, '195.2.244.0', '195.2.245.255', 3271750656, 3271751167, 'GB', 'United Kingdom'),
(114508, '195.2.246.0', '195.2.247.255', 3271751168, 3271751679, 'RO', 'Romania'),
(114509, '195.2.248.0', '195.2.249.255', 3271751680, 3271752191, 'NL', 'Netherlands'),
(114510, '195.2.250.0', '195.2.251.255', 3271752192, 3271752703, 'GB', 'United Kingdom'),
(114511, '195.2.252.0', '195.2.253.255', 3271752704, 3271753215, 'RU', 'Russian Federation'),
(114512, '195.2.254.0', '195.2.255.255', 3271753216, 3271753727, 'PL', 'Poland'),
(114513, '195.3.0.0', '195.3.63.255', 3271753728, 3271770111, 'FR', 'France'),
(114514, '195.3.64.0', '195.3.127.255', 3271770112, 3271786495, 'AT', 'Austria'),
(114515, '195.3.128.0', '195.3.135.255', 3271786496, 3271788543, 'UA', 'Ukraine'),
(114516, '195.3.136.0', '195.3.139.255', 3271788544, 3271789567, 'GB', 'United Kingdom'),
(114517, '195.3.140.0', '195.3.143.255', 3271789568, 3271790591, 'RU', 'Russian Federation'),
(114518, '195.3.144.0', '195.3.147.255', 3271790592, 3271791615, 'LV', 'Latvia'),
(114519, '195.3.148.0', '195.3.151.255', 3271791616, 3271792639, 'UA', 'Ukraine'),
(114520, '195.3.152.0', '195.3.155.255', 3271792640, 3271793663, 'PL', 'Poland'),
(114521, '195.3.156.0', '195.3.159.255', 3271793664, 3271794687, 'UA', 'Ukraine'),
(114522, '195.3.160.0', '195.3.163.255', 3271794688, 3271795711, 'IT', 'Italy'),
(114523, '195.3.164.0', '195.3.167.255', 3271795712, 3271796735, 'NL', 'Netherlands'),
(114524, '195.3.168.0', '195.3.171.255', 3271796736, 3271797759, 'SK', 'Slovakia'),
(114525, '195.3.172.0', '195.3.175.255', 3271797760, 3271798783, 'GB', 'United Kingdom'),
(114526, '195.3.176.0', '195.3.179.255', 3271798784, 3271799807, 'NL', 'Netherlands'),
(114527, '195.3.180.0', '195.3.183.255', 3271799808, 3271800831, 'RU', 'Russian Federation'),
(114528, '195.3.184.0', '195.3.187.255', 3271800832, 3271801855, 'GB', 'United Kingdom'),
(114529, '195.3.188.0', '195.3.191.255', 3271801856, 3271802879, 'PS', 'Palestinian Territory, Occupied'),
(114530, '195.3.192.0', '195.3.195.255', 3271802880, 3271803903, 'DE', 'Germany'),
(114531, '195.3.196.0', '195.3.199.255', 3271803904, 3271804927, 'UA', 'Ukraine'),
(114532, '195.3.200.0', '195.3.203.255', 3271804928, 3271805951, 'PL', 'Poland'),
(114533, '195.3.204.0', '195.3.207.255', 3271805952, 3271806975, 'UA', 'Ukraine'),
(114534, '195.3.208.0', '195.3.211.255', 3271806976, 3271807999, 'EU', 'Europe'),
(114535, '195.3.212.0', '195.3.219.255', 3271808000, 3271810047, 'DE', 'Germany'),
(114536, '195.3.220.0', '195.3.223.255', 3271810048, 3271811071, 'PL', 'Poland'),
(114537, '195.3.224.0', '195.3.227.255', 3271811072, 3271812095, 'UA', 'Ukraine'),
(114538, '195.3.228.0', '195.3.231.255', 3271812096, 3271813119, 'ES', 'Spain'),
(114539, '195.3.232.0', '195.3.235.255', 3271813120, 3271814143, 'PL', 'Poland'),
(114540, '195.3.236.0', '195.3.239.255', 3271814144, 3271815167, 'UA', 'Ukraine'),
(114541, '195.3.240.0', '195.3.243.255', 3271815168, 3271816191, 'RU', 'Russian Federation'),
(114542, '195.3.244.0', '195.3.247.255', 3271816192, 3271817215, 'UA', 'Ukraine'),
(114543, '195.3.248.0', '195.3.251.255', 3271817216, 3271818239, 'DE', 'Germany'),
(114544, '195.3.252.0', '195.3.255.255', 3271818240, 3271819263, 'RU', 'Russian Federation'),
(114545, '195.4.0.0', '195.4.7.190', 3271819264, 3271821246, 'DE', 'Germany'),
(114546, '195.4.7.191', '195.4.7.191', 3271821247, 3271821247, 'AT', 'Austria'),
(114547, '195.4.7.192', '195.4.255.255', 3271821248, 3271884799, 'DE', 'Germany'),
(114548, '195.5.0.0', '195.5.63.255', 3271884800, 3271901183, 'UA', 'Ukraine'),
(114549, '195.5.64.0', '195.5.95.255', 3271901184, 3271909375, 'ES', 'Spain'),
(114550, '195.5.96.0', '195.5.97.255', 3271909376, 3271909887, 'RO', 'Romania'),
(114551, '195.5.98.0', '195.5.99.255', 3271909888, 3271910399, 'DE', 'Germany'),
(114552, '195.5.100.0', '195.5.101.255', 3271910400, 3271910911, 'DK', 'Denmark'),
(114553, '195.5.102.0', '195.5.103.255', 3271910912, 3271911423, 'LV', 'Latvia'),
(114554, '195.5.104.0', '195.5.105.255', 3271911424, 3271911935, 'LI', 'Liechtenstein'),
(114555, '195.5.106.0', '195.5.109.255', 3271911936, 3271912959, 'UA', 'Ukraine'),
(114556, '195.5.110.0', '195.5.110.255', 3271912960, 3271913215, 'SK', 'Slovakia'),
(114557, '195.5.111.0', '195.5.111.255', 3271913216, 3271913471, 'SE', 'Sweden'),
(114558, '195.5.112.0', '195.5.113.255', 3271913472, 3271913983, 'NO', 'Norway'),
(114559, '195.5.114.0', '195.5.115.255', 3271913984, 3271914495, 'RO', 'Romania'),
(114560, '195.5.116.0', '195.5.117.255', 3271914496, 3271915007, 'ES', 'Spain'),
(114561, '195.5.118.0', '195.5.119.255', 3271915008, 3271915519, 'SE', 'Sweden'),
(114562, '195.5.120.0', '195.5.121.255', 3271915520, 3271916031, 'NL', 'Netherlands'),
(114563, '195.5.122.0', '195.5.123.255', 3271916032, 3271916543, 'GB', 'United Kingdom'),
(114564, '195.5.124.0', '195.5.126.255', 3271916544, 3271917311, 'UA', 'Ukraine'),
(114565, '195.5.127.0', '195.5.159.255', 3271917312, 3271925759, 'RU', 'Russian Federation'),
(114566, '195.5.160.0', '195.5.160.255', 3271925760, 3271926015, 'DE', 'Germany'),
(114567, '195.5.161.0', '195.5.161.255', 3271926016, 3271926271, 'MD', 'Moldova, Republic of'),
(114568, '195.5.162.0', '195.5.162.255', 3271926272, 3271926527, 'RU', 'Russian Federation'),
(114569, '195.5.163.0', '195.5.163.255', 3271926528, 3271926783, 'NL', 'Netherlands'),
(114570, '195.5.164.0', '195.5.165.255', 3271926784, 3271927295, 'SI', 'Slovenia'),
(114571, '195.5.166.0', '195.5.166.255', 3271927296, 3271927551, 'NO', 'Norway'),
(114572, '195.5.167.0', '195.5.167.255', 3271927552, 3271927807, 'GB', 'United Kingdom'),
(114573, '195.5.168.0', '195.5.168.255', 3271927808, 3271928063, 'TR', 'Turkey'),
(114574, '195.5.169.0', '195.5.169.255', 3271928064, 3271928319, 'GB', 'United Kingdom'),
(114575, '195.5.170.0', '195.5.170.255', 3271928320, 3271928575, 'RU', 'Russian Federation'),
(114576, '195.5.171.0', '195.5.171.255', 3271928576, 3271928831, 'CH', 'Switzerland'),
(114577, '195.5.172.0', '195.5.172.255', 3271928832, 3271929087, 'IE', 'Ireland'),
(114578, '195.5.173.0', '195.5.173.255', 3271929088, 3271929343, 'LB', 'Lebanon'),
(114579, '195.5.174.0', '195.5.174.255', 3271929344, 3271929599, 'NO', 'Norway'),
(114580, '195.5.175.0', '195.5.175.255', 3271929600, 3271929855, 'GB', 'United Kingdom'),
(114581, '195.5.176.0', '195.5.176.255', 3271929856, 3271930111, 'PL', 'Poland'),
(114582, '195.5.177.0', '195.5.177.255', 3271930112, 3271930367, 'HU', 'Hungary'),
(114583, '195.5.178.0', '195.5.178.255', 3271930368, 3271930623, 'RU', 'Russian Federation'),
(114584, '195.5.179.0', '195.5.179.255', 3271930624, 3271930879, 'GE', 'Georgia'),
(114585, '195.5.180.0', '195.5.180.255', 3271930880, 3271931135, 'CH', 'Switzerland'),
(114586, '195.5.181.0', '195.5.182.255', 3271931136, 3271931647, 'PL', 'Poland'),
(114587, '195.5.183.0', '195.5.183.255', 3271931648, 3271931903, 'NO', 'Norway'),
(114588, '195.5.184.0', '195.5.184.255', 3271931904, 3271932159, 'UA', 'Ukraine'),
(114589, '195.5.185.0', '195.5.185.255', 3271932160, 3271932415, 'SE', 'Sweden'),
(114590, '195.5.186.0', '195.5.186.255', 3271932416, 3271932671, 'CZ', 'Czech Republic'),
(114591, '195.5.187.0', '195.5.187.255', 3271932672, 3271932927, 'DE', 'Germany'),
(114592, '195.5.188.0', '195.5.188.255', 3271932928, 3271933183, 'PL', 'Poland'),
(114593, '195.5.189.0', '195.5.189.255', 3271933184, 3271933439, 'GB', 'United Kingdom'),
(114594, '195.5.190.0', '195.5.190.255', 3271933440, 3271933695, 'SE', 'Sweden'),
(114595, '195.5.191.0', '195.5.191.255', 3271933696, 3271933951, 'DE', 'Germany'),
(114596, '195.5.192.0', '195.6.106.61', 3271933952, 3271977533, 'FR', 'France'),
(114597, '195.6.106.62', '195.6.106.62', 3271977534, 3271977534, 'US', 'United States'),
(114598, '195.6.106.63', '195.6.255.255', 3271977535, 3272015871, 'FR', 'France'),
(114599, '195.7.0.0', '195.7.15.255', 3272015872, 3272019967, 'RO', 'Romania'),
(114600, '195.7.16.0', '195.7.19.255', 3272019968, 3272020991, 'IT', 'Italy'),
(114601, '195.7.20.0', '195.7.31.255', 3272020992, 3272024063, 'DK', 'Denmark'),
(114602, '195.7.32.0', '195.7.63.255', 3272024064, 3272032255, 'IE', 'Ireland'),
(114603, '195.7.64.0', '195.7.95.255', 3272032256, 3272040447, 'SE', 'Sweden'),
(114604, '195.7.96.0', '195.7.127.255', 3272040448, 3272048639, 'FR', 'France'),
(114605, '195.7.128.0', '195.7.159.255', 3272048640, 3272056831, 'NL', 'Netherlands'),
(114606, '195.7.160.0', '195.7.191.255', 3272056832, 3272065023, 'RU', 'Russian Federation'),
(114607, '195.7.192.0', '195.7.194.95', 3272065024, 3272065631, 'GB', 'United Kingdom'),
(114608, '195.7.194.96', '195.7.194.127', 3272065632, 3272065663, 'NL', 'Netherlands'),
(114609, '195.7.194.128', '195.7.209.127', 3272065664, 3272069503, 'GB', 'United Kingdom'),
(114610, '195.7.209.128', '195.7.209.191', 3272069504, 3272069567, 'NL', 'Netherlands'),
(114611, '195.7.209.192', '195.7.211.255', 3272069568, 3272070143, 'GB', 'United Kingdom'),
(114612, '195.7.212.0', '195.7.212.31', 3272070144, 3272070175, 'NL', 'Netherlands'),
(114613, '195.7.212.32', '195.7.212.95', 3272070176, 3272070239, 'GB', 'United Kingdom'),
(114614, '195.7.212.96', '195.7.212.111', 3272070240, 3272070255, 'NL', 'Netherlands'),
(114615, '195.7.212.112', '195.7.255.255', 3272070256, 3272081407, 'GB', 'United Kingdom'),
(114616, '195.8.0.0', '195.8.1.255', 3272081408, 3272081919, 'PT', 'Portugal'),
(114617, '195.8.2.0', '195.8.4.255', 3272081920, 3272082687, 'CV', 'Cape Verde'),
(114618, '195.8.5.0', '195.8.7.255', 3272082688, 3272083455, 'PT', 'Portugal'),
(114619, '195.8.8.0', '195.8.8.255', 3272083456, 3272083711, 'ST', 'Sao Tome and Principe'),
(114620, '195.8.9.0', '195.8.10.57', 3272083712, 3272084025, 'PT', 'Portugal'),
(114621, '195.8.10.58', '195.8.10.58', 3272084026, 3272084026, 'AO', 'Angola'),
(114622, '195.8.10.59', '195.8.12.255', 3272084027, 3272084735, 'PT', 'Portugal'),
(114623, '195.8.13.0', '195.8.13.255', 3272084736, 3272084991, 'CV', 'Cape Verde'),
(114624, '195.8.14.0', '195.8.15.255', 3272084992, 3272085503, 'PT', 'Portugal'),
(114625, '195.8.16.0', '195.8.17.255', 3272085504, 3272086015, 'AO', 'Angola'),
(114626, '195.8.18.0', '195.8.19.255', 3272086016, 3272086527, 'ST', 'Sao Tome and Principe'),
(114627, '195.8.20.0', '195.8.20.127', 3272086528, 3272086655, 'AO', 'Angola'),
(114628, '195.8.20.128', '195.8.20.255', 3272086656, 3272086783, 'PT', 'Portugal'),
(114629, '195.8.21.0', '195.8.21.15', 3272086784, 3272086799, 'GH', 'Ghana'),
(114630, '195.8.21.16', '195.8.21.23', 3272086800, 3272086807, 'PT', 'Portugal'),
(114631, '195.8.21.24', '195.8.21.31', 3272086808, 3272086815, 'RO', 'Romania'),
(114632, '195.8.21.32', '195.8.21.47', 3272086816, 3272086831, 'NI', 'Nicaragua'),
(114633, '195.8.21.48', '195.8.21.95', 3272086832, 3272086879, 'AO', 'Angola'),
(114634, '195.8.21.96', '195.8.21.191', 3272086880, 3272086975, 'PT', 'Portugal'),
(114635, '195.8.21.192', '195.8.21.255', 3272086976, 3272087039, 'AN', 'Netherlands Antilles'),
(114636, '195.8.22.0', '195.8.22.255', 3272087040, 3272087295, 'PT', 'Portugal'),
(114637, '195.8.23.0', '195.8.23.255', 3272087296, 3272087551, 'AO', 'Angola'),
(114638, '195.8.24.0', '195.8.30.255', 3272087552, 3272089343, 'PT', 'Portugal'),
(114639, '195.8.31.0', '195.8.31.135', 3272089344, 3272089479, 'ST', 'Sao Tome and Principe'),
(114640, '195.8.31.136', '195.8.31.191', 3272089480, 3272089535, 'PT', 'Portugal'),
(114641, '195.8.31.192', '195.8.31.207', 3272089536, 3272089551, 'ST', 'Sao Tome and Principe'),
(114642, '195.8.31.208', '195.8.31.255', 3272089552, 3272089599, 'PT', 'Portugal'),
(114643, '195.8.32.0', '195.8.33.255', 3272089600, 3272090111, 'NO', 'Norway'),
(114644, '195.8.34.0', '195.8.39.255', 3272090112, 3272091647, 'RU', 'Russian Federation'),
(114645, '195.8.40.0', '195.8.43.255', 3272091648, 3272092671, 'UA', 'Ukraine'),
(114646, '195.8.44.0', '195.8.45.255', 3272092672, 3272093183, 'RU', 'Russian Federation'),
(114647, '195.8.46.0', '195.8.49.255', 3272093184, 3272094207, 'RO', 'Romania'),
(114648, '195.8.50.0', '195.8.51.255', 3272094208, 3272094719, 'AM', 'Armenia'),
(114649, '195.8.52.0', '195.8.53.255', 3272094720, 3272095231, 'PL', 'Poland'),
(114650, '195.8.54.0', '195.8.55.255', 3272095232, 3272095743, 'FI', 'Finland'),
(114651, '195.8.56.0', '195.8.57.255', 3272095744, 3272096255, 'UA', 'Ukraine'),
(114652, '195.8.58.0', '195.8.59.255', 3272096256, 3272096767, 'PT', 'Portugal'),
(114653, '195.8.60.0', '195.8.61.255', 3272096768, 3272097279, 'FI', 'Finland'),
(114654, '195.8.62.0', '195.8.63.255', 3272097280, 3272097791, 'RU', 'Russian Federation'),
(114655, '195.8.64.0', '195.8.66.215', 3272097792, 3272098519, 'GB', 'United Kingdom'),
(114656, '195.8.66.216', '195.8.66.223', 3272098520, 3272098527, 'FR', 'France'),
(114657, '195.8.66.224', '195.8.96.255', 3272098528, 3272106239, 'GB', 'United Kingdom'),
(114658, '195.8.97.0', '195.8.97.255', 3272106240, 3272106495, 'PL', 'Poland'),
(114659, '195.8.98.0', '195.8.98.255', 3272106496, 3272106751, 'SE', 'Sweden'),
(114660, '195.8.99.0', '195.8.99.255', 3272106752, 3272107007, 'PL', 'Poland'),
(114661, '195.8.100.0', '195.8.100.255', 3272107008, 3272107263, 'GB', 'United Kingdom'),
(114662, '195.8.101.0', '195.8.101.255', 3272107264, 3272107519, 'PL', 'Poland'),
(114663, '195.8.102.0', '195.8.102.255', 3272107520, 3272107775, 'RU', 'Russian Federation'),
(114664, '195.8.103.0', '195.8.103.255', 3272107776, 3272108031, 'GB', 'United Kingdom'),
(114665, '195.8.104.0', '195.8.104.255', 3272108032, 3272108287, 'DE', 'Germany'),
(114666, '195.8.105.0', '195.8.105.255', 3272108288, 3272108543, 'RO', 'Romania'),
(114667, '195.8.106.0', '195.8.107.255', 3272108544, 3272109055, 'PL', 'Poland'),
(114668, '195.8.108.0', '195.8.108.255', 3272109056, 3272109311, 'CH', 'Switzerland'),
(114669, '195.8.109.0', '195.8.109.255', 3272109312, 3272109567, 'TR', 'Turkey'),
(114670, '195.8.110.0', '195.8.110.255', 3272109568, 3272109823, 'GB', 'United Kingdom'),
(114671, '195.8.111.0', '195.8.111.255', 3272109824, 3272110079, 'FR', 'France'),
(114672, '195.8.112.0', '195.8.112.255', 3272110080, 3272110335, 'SE', 'Sweden'),
(114673, '195.8.113.0', '195.8.113.255', 3272110336, 3272110591, 'CH', 'Switzerland'),
(114674, '195.8.114.0', '195.8.114.255', 3272110592, 3272110847, 'AT', 'Austria'),
(114675, '195.8.115.0', '195.8.115.255', 3272110848, 3272111103, 'LV', 'Latvia'),
(114676, '195.8.116.0', '195.8.118.255', 3272111104, 3272111871, 'GB', 'United Kingdom'),
(114677, '195.8.119.0', '195.8.120.255', 3272111872, 3272112383, 'RO', 'Romania'),
(114678, '195.8.121.0', '195.8.123.255', 3272112384, 3272113151, 'DE', 'Germany'),
(114679, '195.8.124.0', '195.8.124.255', 3272113152, 3272113407, 'FR', 'France'),
(114680, '195.8.125.0', '195.8.126.255', 3272113408, 3272113919, 'GB', 'United Kingdom'),
(114681, '195.8.127.0', '195.8.127.255', 3272113920, 3272114175, 'AT', 'Austria'),
(114682, '195.8.128.0', '195.8.159.255', 3272114176, 3272122367, 'PL', 'Poland'),
(114683, '195.8.160.0', '195.8.193.255', 3272122368, 3272131071, 'GB', 'United Kingdom'),
(114684, '195.8.194.0', '195.8.195.255', 3272131072, 3272131583, 'RO', 'Romania'),
(114685, '195.8.196.0', '195.8.197.255', 3272131584, 3272132095, 'GB', 'United Kingdom'),
(114686, '195.8.198.0', '195.8.199.255', 3272132096, 3272132607, 'CH', 'Switzerland'),
(114687, '195.8.200.0', '195.8.201.255', 3272132608, 3272133119, 'UA', 'Ukraine'),
(114688, '195.8.202.0', '195.8.203.255', 3272133120, 3272133631, 'GB', 'United Kingdom'),
(114689, '195.8.204.0', '195.8.205.255', 3272133632, 3272134143, 'EE', 'Estonia'),
(114690, '195.8.206.0', '195.8.207.255', 3272134144, 3272134655, 'RO', 'Romania'),
(114691, '195.8.208.0', '195.8.209.255', 3272134656, 3272135167, 'NL', 'Netherlands'),
(114692, '195.8.210.0', '195.8.211.255', 3272135168, 3272135679, 'CH', 'Switzerland'),
(114693, '195.8.212.0', '195.8.213.255', 3272135680, 3272136191, 'AT', 'Austria'),
(114694, '195.8.214.0', '195.8.215.255', 3272136192, 3272136703, 'FR', 'France'),
(114695, '195.8.216.0', '195.8.217.255', 3272136704, 3272137215, 'PL', 'Poland'),
(114696, '195.8.218.0', '195.8.219.255', 3272137216, 3272137727, 'LT', 'Lithuania'),
(114697, '195.8.220.0', '195.8.221.255', 3272137728, 3272138239, 'PL', 'Poland'),
(114698, '195.8.222.0', '195.8.223.255', 3272138240, 3272138751, 'BG', 'Bulgaria'),
(114699, '195.8.224.0', '195.8.255.255', 3272138752, 3272146943, 'DE', 'Germany'),
(114700, '195.9.0.0', '195.9.255.255', 3272146944, 3272212479, 'RU', 'Russian Federation'),
(114701, '195.10.0.0', '195.10.1.255', 3272212480, 3272212991, 'GB', 'United Kingdom'),
(114702, '195.10.2.0', '195.10.3.127', 3272212992, 3272213375, 'ES', 'Spain'),
(114703, '195.10.3.128', '195.10.3.143', 3272213376, 3272213391, 'IT', 'Italy'),
(114704, '195.10.3.144', '195.10.3.151', 3272213392, 3272213399, 'GB', 'United Kingdom'),
(114705, '195.10.3.152', '195.10.3.159', 3272213400, 3272213407, 'ES', 'Spain'),
(114706, '195.10.3.160', '195.10.3.167', 3272213408, 3272213415, 'NL', 'Netherlands'),
(114707, '195.10.3.168', '195.10.3.175', 3272213416, 3272213423, 'ES', 'Spain'),
(114708, '195.10.3.176', '195.10.3.183', 3272213424, 3272213431, 'NL', 'Netherlands'),
(114709, '195.10.3.184', '195.10.3.191', 3272213432, 3272213439, 'GB', 'United Kingdom'),
(114710, '195.10.3.192', '195.10.3.223', 3272213440, 3272213471, 'ES', 'Spain'),
(114711, '195.10.3.224', '195.10.3.239', 3272213472, 3272213487, 'CY', 'Cyprus'),
(114712, '195.10.3.240', '195.10.3.247', 3272213488, 3272213495, 'GB', 'United Kingdom'),
(114713, '195.10.3.248', '195.10.3.255', 3272213496, 3272213503, 'ES', 'Spain'),
(114714, '195.10.4.0', '195.10.4.63', 3272213504, 3272213567, 'IT', 'Italy'),
(114715, '195.10.4.64', '195.10.4.71', 3272213568, 3272213575, 'GB', 'United Kingdom'),
(114716, '195.10.4.72', '195.10.4.79', 3272213576, 3272213583, 'IE', 'Ireland'),
(114717, '195.10.4.80', '195.10.4.95', 3272213584, 3272213599, 'DE', 'Germany'),
(114718, '195.10.4.96', '195.10.4.127', 3272213600, 3272213631, 'EU', 'Europe'),
(114719, '195.10.4.128', '195.10.4.135', 3272213632, 3272213639, 'NL', 'Netherlands'),
(114720, '195.10.4.136', '195.10.4.151', 3272213640, 3272213655, 'EU', 'Europe'),
(114721, '195.10.4.152', '195.10.4.159', 3272213656, 3272213663, 'IT', 'Italy'),
(114722, '195.10.4.160', '195.10.4.167', 3272213664, 3272213671, 'EU', 'Europe'),
(114723, '195.10.4.168', '195.10.4.175', 3272213672, 3272213679, 'IT', 'Italy'),
(114724, '195.10.4.176', '195.10.4.191', 3272213680, 3272213695, 'EU', 'Europe'),
(114725, '195.10.4.192', '195.10.4.231', 3272213696, 3272213735, 'IT', 'Italy'),
(114726, '195.10.4.232', '195.10.4.247', 3272213736, 3272213751, 'EU', 'Europe'),
(114727, '195.10.4.248', '195.10.4.255', 3272213752, 3272213759, 'IT', 'Italy'),
(114728, '195.10.5.0', '195.10.5.63', 3272213760, 3272213823, 'NL', 'Netherlands'),
(114729, '195.10.5.64', '195.10.5.71', 3272213824, 3272213831, 'DE', 'Germany'),
(114730, '195.10.5.72', '195.10.5.79', 3272213832, 3272213839, 'NL', 'Netherlands'),
(114731, '195.10.5.80', '195.10.5.95', 3272213840, 3272213855, 'RU', 'Russian Federation'),
(114732, '195.10.5.96', '195.10.5.127', 3272213856, 3272213887, 'EU', 'Europe'),
(114733, '195.10.5.128', '195.10.5.255', 3272213888, 3272214015, 'GB', 'United Kingdom'),
(114734, '195.10.6.0', '195.10.6.255', 3272214016, 3272214271, 'ES', 'Spain'),
(114735, '195.10.7.0', '195.10.7.79', 3272214272, 3272214351, 'GB', 'United Kingdom'),
(114736, '195.10.7.80', '195.10.7.135', 3272214352, 3272214407, 'FR', 'France'),
(114737, '195.10.7.136', '195.10.7.159', 3272214408, 3272214431, 'EU', 'Europe'),
(114738, '195.10.7.160', '195.10.7.191', 3272214432, 3272214463, 'SE', 'Sweden'),
(114739, '195.10.7.192', '195.10.7.255', 3272214464, 3272214527, 'EU', 'Europe'),
(114740, '195.10.8.0', '195.10.9.255', 3272214528, 3272215039, 'FR', 'France'),
(114741, '195.10.10.0', '195.10.10.255', 3272215040, 3272215295, 'ES', 'Spain'),
(114742, '195.10.11.0', '195.10.11.255', 3272215296, 3272215551, 'NL', 'Netherlands'),
(114743, '195.10.12.0', '195.10.12.255', 3272215552, 3272215807, 'CH', 'Switzerland'),
(114744, '195.10.13.0', '195.10.13.15', 3272215808, 3272215823, 'NL', 'Netherlands'),
(114745, '195.10.13.16', '195.10.13.63', 3272215824, 3272215871, 'EU', 'Europe'),
(114746, '195.10.13.64', '195.10.13.71', 3272215872, 3272215879, 'BE', 'Belgium'),
(114747, '195.10.13.72', '195.10.13.75', 3272215880, 3272215883, 'EU', 'Europe'),
(114748, '195.10.13.76', '195.10.13.111', 3272215884, 3272215919, 'CH', 'Switzerland'),
(114749, '195.10.13.112', '195.10.13.127', 3272215920, 3272215935, 'NL', 'Netherlands'),
(114750, '195.10.13.128', '195.10.13.191', 3272215936, 3272215999, 'GB', 'United Kingdom'),
(114751, '195.10.13.192', '195.10.13.207', 3272216000, 3272216015, 'EU', 'Europe'),
(114752, '195.10.13.208', '195.10.13.223', 3272216016, 3272216031, 'DE', 'Germany'),
(114753, '195.10.13.224', '195.10.13.231', 3272216032, 3272216039, 'EU', 'Europe'),
(114754, '195.10.13.232', '195.10.13.239', 3272216040, 3272216047, 'GB', 'United Kingdom'),
(114755, '195.10.13.240', '195.10.14.127', 3272216048, 3272216191, 'EU', 'Europe'),
(114756, '195.10.14.128', '195.10.14.143', 3272216192, 3272216207, 'BE', 'Belgium'),
(114757, '195.10.14.144', '195.10.14.151', 3272216208, 3272216215, 'EU', 'Europe'),
(114758, '195.10.14.152', '195.10.14.159', 3272216216, 3272216223, 'FR', 'France'),
(114759, '195.10.14.160', '195.10.14.167', 3272216224, 3272216231, 'DE', 'Germany'),
(114760, '195.10.14.168', '195.10.14.175', 3272216232, 3272216239, 'EU', 'Europe'),
(114761, '195.10.14.176', '195.10.14.191', 3272216240, 3272216255, 'NL', 'Netherlands'),
(114762, '195.10.14.192', '195.10.14.223', 3272216256, 3272216287, 'CH', 'Switzerland'),
(114763, '195.10.14.224', '195.10.14.239', 3272216288, 3272216303, 'EU', 'Europe'),
(114764, '195.10.14.240', '195.10.14.247', 3272216304, 3272216311, 'ES', 'Spain'),
(114765, '195.10.14.248', '195.10.14.255', 3272216312, 3272216319, 'EU', 'Europe'),
(114766, '195.10.15.0', '195.10.15.31', 3272216320, 3272216351, 'NL', 'Netherlands'),
(114767, '195.10.15.32', '195.10.15.63', 3272216352, 3272216383, 'DE', 'Germany'),
(114768, '195.10.15.64', '195.10.15.127', 3272216384, 3272216447, 'CH', 'Switzerland'),
(114769, '195.10.15.128', '195.10.15.131', 3272216448, 3272216451, 'EU', 'Europe'),
(114770, '195.10.15.132', '195.10.15.135', 3272216452, 3272216455, 'NL', 'Netherlands'),
(114771, '195.10.15.136', '195.10.15.143', 3272216456, 3272216463, 'EU', 'Europe'),
(114772, '195.10.15.144', '195.10.15.159', 3272216464, 3272216479, 'FR', 'France'),
(114773, '195.10.15.160', '195.10.15.175', 3272216480, 3272216495, 'IR', 'Iran, Islamic Republic of'),
(114774, '195.10.15.176', '195.10.15.191', 3272216496, 3272216511, 'EU', 'Europe'),
(114775, '195.10.15.192', '195.10.15.255', 3272216512, 3272216575, 'IT', 'Italy'),
(114776, '195.10.16.0', '195.10.17.63', 3272216576, 3272216895, 'GB', 'United Kingdom'),
(114777, '195.10.17.64', '195.10.17.79', 3272216896, 3272216911, 'FR', 'France'),
(114778, '195.10.17.80', '195.10.17.95', 3272216912, 3272216927, 'DE', 'Germany'),
(114779, '195.10.17.96', '195.10.17.127', 3272216928, 3272216959, 'EU', 'Europe'),
(114780, '195.10.17.128', '195.10.17.175', 3272216960, 3272217007, 'GB', 'United Kingdom'),
(114781, '195.10.17.176', '195.10.17.255', 3272217008, 3272217087, 'EU', 'Europe'),
(114782, '195.10.18.0', '195.10.18.63', 3272217088, 3272217151, 'GB', 'United Kingdom'),
(114783, '195.10.18.64', '195.10.18.127', 3272217152, 3272217215, 'EU', 'Europe'),
(114784, '195.10.18.128', '195.10.18.191', 3272217216, 3272217279, 'BE', 'Belgium'),
(114785, '195.10.18.192', '195.10.18.215', 3272217280, 3272217303, 'DE', 'Germany'),
(114786, '195.10.18.216', '195.10.18.223', 3272217304, 3272217311, 'BE', 'Belgium'),
(114787, '195.10.18.224', '195.10.19.255', 3272217312, 3272217599, 'EU', 'Europe'),
(114788, '195.10.20.0', '195.10.20.31', 3272217600, 3272217631, 'CH', 'Switzerland'),
(114789, '195.10.20.32', '195.10.20.255', 3272217632, 3272217855, 'EU', 'Europe'),
(114790, '195.10.21.0', '195.10.21.19', 3272217856, 3272217875, 'ES', 'Spain'),
(114791, '195.10.21.20', '195.10.21.23', 3272217876, 3272217879, 'EU', 'Europe'),
(114792, '195.10.21.24', '195.10.21.39', 3272217880, 3272217895, 'IT', 'Italy'),
(114793, '195.10.21.40', '195.10.21.55', 3272217896, 3272217911, 'ES', 'Spain'),
(114794, '195.10.21.56', '195.10.21.63', 3272217912, 3272217919, 'EU', 'Europe'),
(114795, '195.10.21.64', '195.10.21.127', 3272217920, 3272217983, 'DE', 'Germany'),
(114796, '195.10.21.128', '195.10.21.223', 3272217984, 3272218079, 'ES', 'Spain'),
(114797, '195.10.21.224', '195.10.21.255', 3272218080, 3272218111, 'EU', 'Europe'),
(114798, '195.10.22.0', '195.10.23.255', 3272218112, 3272218623, 'GB', 'United Kingdom'),
(114799, '195.10.24.0', '195.10.24.15', 3272218624, 3272218639, 'RU', 'Russian Federation'),
(114800, '195.10.24.16', '195.10.24.47', 3272218640, 3272218671, 'DE', 'Germany'),
(114801, '195.10.24.48', '195.10.24.63', 3272218672, 3272218687, 'EU', 'Europe'),
(114802, '195.10.24.64', '195.10.24.95', 3272218688, 3272218719, 'DE', 'Germany'),
(114803, '195.10.24.96', '195.10.24.255', 3272218720, 3272218879, 'EU', 'Europe'),
(114804, '195.10.25.0', '195.10.25.255', 3272218880, 3272219135, 'BE', 'Belgium'),
(114805, '195.10.26.0', '195.10.26.255', 3272219136, 3272219391, 'NL', 'Netherlands'),
(114806, '195.10.27.0', '195.10.27.255', 3272219392, 3272219647, 'EU', 'Europe'),
(114807, '195.10.28.0', '195.10.28.255', 3272219648, 3272219903, 'FR', 'France'),
(114808, '195.10.29.0', '195.10.29.255', 3272219904, 3272220159, 'DE', 'Germany'),
(114809, '195.10.30.0', '195.10.30.255', 3272220160, 3272220415, 'FR', 'France'),
(114810, '195.10.31.0', '195.10.33.255', 3272220416, 3272221183, 'GB', 'United Kingdom'),
(114811, '195.10.34.0', '195.10.34.255', 3272221184, 3272221439, 'NL', 'Netherlands'),
(114812, '195.10.35.0', '195.10.35.7', 3272221440, 3272221447, 'SE', 'Sweden'),
(114813, '195.10.35.8', '195.10.35.15', 3272221448, 3272221455, 'NO', 'Norway'),
(114814, '195.10.35.16', '195.10.35.23', 3272221456, 3272221463, 'SE', 'Sweden'),
(114815, '195.10.35.24', '195.10.35.255', 3272221464, 3272221695, 'EU', 'Europe'),
(114816, '195.10.36.0', '195.10.36.255', 3272221696, 3272221951, 'NL', 'Netherlands'),
(114817, '195.10.37.0', '195.10.37.255', 3272221952, 3272222207, 'GB', 'United Kingdom'),
(114818, '195.10.38.0', '195.10.38.255', 3272222208, 3272222463, 'ES', 'Spain'),
(114819, '195.10.39.0', '195.10.39.255', 3272222464, 3272222719, 'NL', 'Netherlands'),
(114820, '195.10.40.0', '195.10.40.255', 3272222720, 3272222975, 'DE', 'Germany'),
(114821, '195.10.41.0', '195.10.41.39', 3272222976, 3272223015, 'GB', 'United Kingdom'),
(114822, '195.10.41.40', '195.10.41.47', 3272223016, 3272223023, 'EU', 'Europe'),
(114823, '195.10.41.48', '195.10.41.63', 3272223024, 3272223039, 'GB', 'United Kingdom'),
(114824, '195.10.41.64', '195.10.41.255', 3272223040, 3272223231, 'EU', 'Europe'),
(114825, '195.10.42.0', '195.10.42.255', 3272223232, 3272223487, 'NL', 'Netherlands'),
(114826, '195.10.43.0', '195.10.43.255', 3272223488, 3272223743, 'GB', 'United Kingdom'),
(114827, '195.10.44.0', '195.10.44.31', 3272223744, 3272223775, 'GI', 'Gibraltar'),
(114828, '195.10.44.32', '195.10.44.63', 3272223776, 3272223807, 'EU', 'Europe'),
(114829, '195.10.44.64', '195.10.44.71', 3272223808, 3272223815, 'CY', 'Cyprus'),
(114830, '195.10.44.72', '195.10.44.79', 3272223816, 3272223823, 'EU', 'Europe'),
(114831, '195.10.44.80', '195.10.44.95', 3272223824, 3272223839, 'GB', 'United Kingdom'),
(114832, '195.10.44.96', '195.10.44.255', 3272223840, 3272223999, 'EU', 'Europe'),
(114833, '195.10.45.0', '195.10.45.255', 3272224000, 3272224255, 'GB', 'United Kingdom'),
(114834, '195.10.46.0', '195.10.46.127', 3272224256, 3272224383, 'GI', 'Gibraltar'),
(114835, '195.10.46.128', '195.10.46.255', 3272224384, 3272224511, 'EU', 'Europe'),
(114836, '195.10.47.0', '195.10.49.255', 3272224512, 3272225279, 'GB', 'United Kingdom'),
(114837, '195.10.50.0', '195.10.50.255', 3272225280, 3272225535, 'IT', 'Italy'),
(114838, '195.10.51.0', '195.10.51.255', 3272225536, 3272225791, 'GB', 'United Kingdom'),
(114839, '195.10.52.0', '195.10.52.255', 3272225792, 3272226047, 'EU', 'Europe'),
(114840, '195.10.53.0', '195.10.55.255', 3272226048, 3272226815, 'FR', 'France'),
(114841, '195.10.56.0', '195.10.56.255', 3272226816, 3272227071, 'GB', 'United Kingdom'),
(114842, '195.10.57.0', '195.10.57.255', 3272227072, 3272227327, 'FR', 'France'),
(114843, '195.10.58.0', '195.10.58.31', 3272227328, 3272227359, 'US', 'United States'),
(114844, '195.10.58.32', '195.10.58.183', 3272227360, 3272227511, 'GB', 'United Kingdom'),
(114845, '195.10.58.184', '195.10.58.191', 3272227512, 3272227519, 'EU', 'Europe'),
(114846, '195.10.58.192', '195.10.58.255', 3272227520, 3272227583, 'GB', 'United Kingdom'),
(114847, '195.10.59.0', '195.10.59.255', 3272227584, 3272227839, 'FR', 'France'),
(114848, '195.10.60.0', '195.10.60.255', 3272227840, 3272228095, 'ES', 'Spain'),
(114849, '195.10.61.0', '195.10.61.127', 3272228096, 3272228223, 'GB', 'United Kingdom'),
(114850, '195.10.61.128', '195.10.61.255', 3272228224, 3272228351, 'ES', 'Spain'),
(114851, '195.10.62.0', '195.10.62.255', 3272228352, 3272228607, 'FR', 'France'),
(114852, '195.10.63.0', '195.10.63.15', 3272228608, 3272228623, 'NL', 'Netherlands'),
(114853, '195.10.63.16', '195.10.63.23', 3272228624, 3272228631, 'CY', 'Cyprus'),
(114854, '195.10.63.24', '195.10.63.31', 3272228632, 3272228639, 'NL', 'Netherlands'),
(114855, '195.10.63.32', '195.10.63.63', 3272228640, 3272228671, 'IT', 'Italy'),
(114856, '195.10.63.64', '195.10.63.95', 3272228672, 3272228703, 'DE', 'Germany'),
(114857, '195.10.63.96', '195.10.63.127', 3272228704, 3272228735, 'FR', 'France'),
(114858, '195.10.63.128', '195.10.63.191', 3272228736, 3272228799, 'NL', 'Netherlands'),
(114859, '195.10.63.192', '195.10.63.255', 3272228800, 3272228863, 'CH', 'Switzerland'),
(114860, '195.10.64.0', '195.10.95.255', 3272228864, 3272237055, 'LU', 'Luxembourg'),
(114861, '195.10.96.0', '195.10.103.71', 3272237056, 3272238919, 'GB', 'United Kingdom'),
(114862, '195.10.103.72', '195.10.103.127', 3272238920, 3272238975, 'IM', 'Isle of Man'),
(114863, '195.10.103.128', '195.10.103.191', 3272238976, 3272239039, 'GB', 'United Kingdom'),
(114864, '195.10.103.192', '195.10.103.255', 3272239040, 3272239103, 'IM', 'Isle of Man');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(114865, '195.10.104.0', '195.10.106.71', 3272239104, 3272239687, 'GB', 'United Kingdom'),
(114866, '195.10.106.72', '195.10.106.79', 3272239688, 3272239695, 'IM', 'Isle of Man'),
(114867, '195.10.106.80', '195.10.106.87', 3272239696, 3272239703, 'GB', 'United Kingdom'),
(114868, '195.10.106.88', '195.10.106.95', 3272239704, 3272239711, 'IM', 'Isle of Man'),
(114869, '195.10.106.96', '195.10.106.159', 3272239712, 3272239775, 'GB', 'United Kingdom'),
(114870, '195.10.106.160', '195.10.106.183', 3272239776, 3272239799, 'IM', 'Isle of Man'),
(114871, '195.10.106.184', '195.10.107.255', 3272239800, 3272240127, 'GB', 'United Kingdom'),
(114872, '195.10.108.0', '195.10.108.239', 3272240128, 3272240367, 'IM', 'Isle of Man'),
(114873, '195.10.108.240', '195.10.109.191', 3272240368, 3272240575, 'GB', 'United Kingdom'),
(114874, '195.10.109.192', '195.10.109.255', 3272240576, 3272240639, 'GH', 'Ghana'),
(114875, '195.10.110.0', '195.10.112.63', 3272240640, 3272241215, 'GB', 'United Kingdom'),
(114876, '195.10.112.64', '195.10.112.95', 3272241216, 3272241247, 'IM', 'Isle of Man'),
(114877, '195.10.112.96', '195.10.112.127', 3272241248, 3272241279, 'GB', 'United Kingdom'),
(114878, '195.10.112.128', '195.10.112.143', 3272241280, 3272241295, 'IM', 'Isle of Man'),
(114879, '195.10.112.144', '195.10.112.151', 3272241296, 3272241303, 'GB', 'United Kingdom'),
(114880, '195.10.112.152', '195.10.112.159', 3272241304, 3272241311, 'IM', 'Isle of Man'),
(114881, '195.10.112.160', '195.10.112.183', 3272241312, 3272241335, 'GB', 'United Kingdom'),
(114882, '195.10.112.184', '195.10.112.191', 3272241336, 3272241343, 'IM', 'Isle of Man'),
(114883, '195.10.112.192', '195.10.112.223', 3272241344, 3272241375, 'GB', 'United Kingdom'),
(114884, '195.10.112.224', '195.10.112.255', 3272241376, 3272241407, 'IM', 'Isle of Man'),
(114885, '195.10.113.0', '195.10.113.110', 3272241408, 3272241518, 'GB', 'United Kingdom'),
(114886, '195.10.113.111', '195.10.113.191', 3272241519, 3272241599, 'IM', 'Isle of Man'),
(114887, '195.10.113.192', '195.10.113.255', 3272241600, 3272241663, 'GB', 'United Kingdom'),
(114888, '195.10.114.0', '195.10.114.191', 3272241664, 3272241855, 'IM', 'Isle of Man'),
(114889, '195.10.114.192', '195.10.116.39', 3272241856, 3272242215, 'GB', 'United Kingdom'),
(114890, '195.10.116.40', '195.10.116.47', 3272242216, 3272242223, 'IM', 'Isle of Man'),
(114891, '195.10.116.48', '195.10.116.63', 3272242224, 3272242239, 'GB', 'United Kingdom'),
(114892, '195.10.116.64', '195.10.117.159', 3272242240, 3272242591, 'IM', 'Isle of Man'),
(114893, '195.10.117.160', '195.10.117.175', 3272242592, 3272242607, 'GB', 'United Kingdom'),
(114894, '195.10.117.176', '195.10.117.191', 3272242608, 3272242623, 'IM', 'Isle of Man'),
(114895, '195.10.117.192', '195.10.117.223', 3272242624, 3272242655, 'GB', 'United Kingdom'),
(114896, '195.10.117.224', '195.10.118.31', 3272242656, 3272242719, 'IM', 'Isle of Man'),
(114897, '195.10.118.32', '195.10.118.47', 3272242720, 3272242735, 'GB', 'United Kingdom'),
(114898, '195.10.118.48', '195.10.118.63', 3272242736, 3272242751, 'IM', 'Isle of Man'),
(114899, '195.10.118.64', '195.10.118.95', 3272242752, 3272242783, 'GB', 'United Kingdom'),
(114900, '195.10.118.96', '195.10.118.255', 3272242784, 3272242943, 'IM', 'Isle of Man'),
(114901, '195.10.119.0', '195.10.120.7', 3272242944, 3272243207, 'GB', 'United Kingdom'),
(114902, '195.10.120.8', '195.10.120.15', 3272243208, 3272243215, 'IM', 'Isle of Man'),
(114903, '195.10.120.16', '195.10.120.31', 3272243216, 3272243231, 'GB', 'United Kingdom'),
(114904, '195.10.120.32', '195.10.120.63', 3272243232, 3272243263, 'IM', 'Isle of Man'),
(114905, '195.10.120.64', '195.10.120.127', 3272243264, 3272243327, 'GB', 'United Kingdom'),
(114906, '195.10.120.128', '195.10.120.255', 3272243328, 3272243455, 'IM', 'Isle of Man'),
(114907, '195.10.121.0', '195.10.123.47', 3272243456, 3272244015, 'GB', 'United Kingdom'),
(114908, '195.10.123.48', '195.10.123.63', 3272244016, 3272244031, 'IM', 'Isle of Man'),
(114909, '195.10.123.64', '195.10.123.71', 3272244032, 3272244039, 'GB', 'United Kingdom'),
(114910, '195.10.123.72', '195.10.123.79', 3272244040, 3272244047, 'IM', 'Isle of Man'),
(114911, '195.10.123.80', '195.10.123.103', 3272244048, 3272244071, 'GB', 'United Kingdom'),
(114912, '195.10.123.104', '195.10.123.111', 3272244072, 3272244079, 'IM', 'Isle of Man'),
(114913, '195.10.123.112', '195.10.123.143', 3272244080, 3272244111, 'GB', 'United Kingdom'),
(114914, '195.10.123.144', '195.10.123.159', 3272244112, 3272244127, 'IM', 'Isle of Man'),
(114915, '195.10.123.160', '195.10.123.183', 3272244128, 3272244151, 'GB', 'United Kingdom'),
(114916, '195.10.123.184', '195.10.123.191', 3272244152, 3272244159, 'IM', 'Isle of Man'),
(114917, '195.10.123.192', '195.10.123.207', 3272244160, 3272244175, 'GB', 'United Kingdom'),
(114918, '195.10.123.208', '195.10.123.247', 3272244176, 3272244215, 'IM', 'Isle of Man'),
(114919, '195.10.123.248', '195.10.127.255', 3272244216, 3272245247, 'GB', 'United Kingdom'),
(114920, '195.10.128.0', '195.10.191.255', 3272245248, 3272261631, 'FI', 'Finland'),
(114921, '195.10.192.0', '195.10.192.255', 3272261632, 3272261887, 'MT', 'Malta'),
(114922, '195.10.193.0', '195.10.193.255', 3272261888, 3272262143, 'BG', 'Bulgaria'),
(114923, '195.10.194.0', '195.10.194.255', 3272262144, 3272262399, 'IL', 'Israel'),
(114924, '195.10.195.0', '195.10.195.255', 3272262400, 3272262655, 'DE', 'Germany'),
(114925, '195.10.196.0', '195.10.196.255', 3272262656, 3272262911, 'NO', 'Norway'),
(114926, '195.10.197.0', '195.10.197.255', 3272262912, 3272263167, 'SA', 'Saudi Arabia'),
(114927, '195.10.198.0', '195.10.198.255', 3272263168, 3272263423, 'RU', 'Russian Federation'),
(114928, '195.10.199.0', '195.10.200.255', 3272263424, 3272263935, 'GB', 'United Kingdom'),
(114929, '195.10.201.0', '195.10.201.255', 3272263936, 3272264191, 'ES', 'Spain'),
(114930, '195.10.202.0', '195.10.202.255', 3272264192, 3272264447, 'NL', 'Netherlands'),
(114931, '195.10.203.0', '195.10.203.255', 3272264448, 3272264703, 'DE', 'Germany'),
(114932, '195.10.204.0', '195.10.204.255', 3272264704, 3272264959, 'LV', 'Latvia'),
(114933, '195.10.205.0', '195.10.205.255', 3272264960, 3272265215, 'RU', 'Russian Federation'),
(114934, '195.10.206.0', '195.10.206.255', 3272265216, 3272265471, 'AT', 'Austria'),
(114935, '195.10.207.0', '195.10.207.255', 3272265472, 3272265727, 'DK', 'Denmark'),
(114936, '195.10.208.0', '195.10.208.255', 3272265728, 3272265983, 'DE', 'Germany'),
(114937, '195.10.209.0', '195.10.209.255', 3272265984, 3272266239, 'GB', 'United Kingdom'),
(114938, '195.10.210.0', '195.10.210.255', 3272266240, 3272266495, 'UA', 'Ukraine'),
(114939, '195.10.211.0', '195.10.211.255', 3272266496, 3272266751, 'SE', 'Sweden'),
(114940, '195.10.212.0', '195.10.212.255', 3272266752, 3272267007, 'NL', 'Netherlands'),
(114941, '195.10.213.0', '195.10.213.255', 3272267008, 3272267263, 'GB', 'United Kingdom'),
(114942, '195.10.214.0', '195.10.214.255', 3272267264, 3272267519, 'SE', 'Sweden'),
(114943, '195.10.215.0', '195.10.215.255', 3272267520, 3272267775, 'GB', 'United Kingdom'),
(114944, '195.10.216.0', '195.10.216.255', 3272267776, 3272268031, 'LV', 'Latvia'),
(114945, '195.10.217.0', '195.10.217.255', 3272268032, 3272268287, 'MT', 'Malta'),
(114946, '195.10.218.0', '195.10.218.255', 3272268288, 3272268543, 'UA', 'Ukraine'),
(114947, '195.10.219.0', '195.10.219.255', 3272268544, 3272268799, 'RO', 'Romania'),
(114948, '195.10.220.0', '195.10.220.255', 3272268800, 3272269055, 'IL', 'Israel'),
(114949, '195.10.221.0', '195.10.221.255', 3272269056, 3272269311, 'GB', 'United Kingdom'),
(114950, '195.10.222.0', '195.10.222.255', 3272269312, 3272269567, 'IL', 'Israel'),
(114951, '195.10.223.0', '195.11.223.255', 3272269568, 3272335359, 'GB', 'United Kingdom'),
(114952, '195.11.224.0', '195.11.255.255', 3272335360, 3272343551, 'NL', 'Netherlands'),
(114953, '195.12.0.0', '195.12.31.255', 3272343552, 3272351743, 'GB', 'United Kingdom'),
(114954, '195.12.32.0', '195.12.35.255', 3272351744, 3272352767, 'PL', 'Poland'),
(114955, '195.12.36.0', '195.12.39.255', 3272352768, 3272353791, 'UA', 'Ukraine'),
(114956, '195.12.40.0', '195.12.47.255', 3272353792, 3272355839, 'CH', 'Switzerland'),
(114957, '195.12.48.0', '195.12.51.255', 3272355840, 3272356863, 'GB', 'United Kingdom'),
(114958, '195.12.52.0', '195.12.55.255', 3272356864, 3272357887, 'RO', 'Romania'),
(114959, '195.12.56.0', '195.12.59.255', 3272357888, 3272358911, 'UA', 'Ukraine'),
(114960, '195.12.60.0', '195.12.63.255', 3272358912, 3272359935, 'NL', 'Netherlands'),
(114961, '195.12.64.0', '195.12.95.255', 3272359936, 3272368127, 'RU', 'Russian Federation'),
(114962, '195.12.96.0', '195.12.127.255', 3272368128, 3272376319, 'KZ', 'Kazakhstan'),
(114963, '195.12.128.0', '195.12.128.127', 3272376320, 3272376447, 'SK', 'Slovakia'),
(114964, '195.12.128.128', '195.12.128.159', 3272376448, 3272376479, 'SR', 'Suriname'),
(114965, '195.12.128.160', '195.12.128.175', 3272376480, 3272376495, 'SK', 'Slovakia'),
(114966, '195.12.128.176', '195.12.128.207', 3272376496, 3272376527, 'SR', 'Suriname'),
(114967, '195.12.128.208', '195.12.128.215', 3272376528, 3272376535, 'SK', 'Slovakia'),
(114968, '195.12.128.216', '195.12.128.223', 3272376536, 3272376543, 'SR', 'Suriname'),
(114969, '195.12.128.224', '195.12.129.31', 3272376544, 3272376607, 'SK', 'Slovakia'),
(114970, '195.12.129.32', '195.12.129.63', 3272376608, 3272376639, 'SR', 'Suriname'),
(114971, '195.12.129.64', '195.12.129.159', 3272376640, 3272376735, 'SK', 'Slovakia'),
(114972, '195.12.129.160', '195.12.129.175', 3272376736, 3272376751, 'SR', 'Suriname'),
(114973, '195.12.129.176', '195.12.129.191', 3272376752, 3272376767, 'SK', 'Slovakia'),
(114974, '195.12.129.192', '195.12.129.255', 3272376768, 3272376831, 'SR', 'Suriname'),
(114975, '195.12.130.0', '195.12.135.71', 3272376832, 3272378183, 'SK', 'Slovakia'),
(114976, '195.12.135.72', '195.12.135.89', 3272378184, 3272378201, 'SR', 'Suriname'),
(114977, '195.12.135.90', '195.12.159.255', 3272378202, 3272384511, 'SK', 'Slovakia'),
(114978, '195.12.160.0', '195.12.191.255', 3272384512, 3272392703, 'LT', 'Lithuania'),
(114979, '195.12.192.0', '195.12.223.255', 3272392704, 3272400895, 'AT', 'Austria'),
(114980, '195.12.224.0', '195.12.224.15', 3272400896, 3272400911, 'EU', 'Europe'),
(114981, '195.12.224.16', '195.12.224.31', 3272400912, 3272400927, 'GB', 'United Kingdom'),
(114982, '195.12.224.32', '195.12.224.127', 3272400928, 3272401023, 'EU', 'Europe'),
(114983, '195.12.224.128', '195.12.224.191', 3272401024, 3272401087, 'GB', 'United Kingdom'),
(114984, '195.12.224.192', '195.12.225.63', 3272401088, 3272401215, 'EU', 'Europe'),
(114985, '195.12.225.64', '195.12.225.95', 3272401216, 3272401247, 'PL', 'Poland'),
(114986, '195.12.225.96', '195.12.225.127', 3272401248, 3272401279, 'EU', 'Europe'),
(114987, '195.12.225.128', '195.12.225.255', 3272401280, 3272401407, 'NL', 'Netherlands'),
(114988, '195.12.226.0', '195.12.228.31', 3272401408, 3272401951, 'EU', 'Europe'),
(114989, '195.12.228.32', '195.12.228.47', 3272401952, 3272401967, 'SE', 'Sweden'),
(114990, '195.12.228.48', '195.12.228.63', 3272401968, 3272401983, 'GB', 'United Kingdom'),
(114991, '195.12.228.64', '195.12.228.111', 3272401984, 3272402031, 'DE', 'Germany'),
(114992, '195.12.228.112', '195.12.228.119', 3272402032, 3272402039, 'GB', 'United Kingdom'),
(114993, '195.12.228.120', '195.12.228.127', 3272402040, 3272402047, 'US', 'United States'),
(114994, '195.12.228.128', '195.12.228.159', 3272402048, 3272402079, 'EU', 'Europe'),
(114995, '195.12.228.160', '195.12.228.191', 3272402080, 3272402111, 'SE', 'Sweden'),
(114996, '195.12.228.192', '195.12.228.255', 3272402112, 3272402175, 'EU', 'Europe'),
(114997, '195.12.229.0', '195.12.229.15', 3272402176, 3272402191, 'GB', 'United Kingdom'),
(114998, '195.12.229.16', '195.12.229.127', 3272402192, 3272402303, 'EU', 'Europe'),
(114999, '195.12.229.128', '195.12.229.255', 3272402304, 3272402431, 'FR', 'France'),
(115000, '195.12.230.0', '195.12.230.15', 3272402432, 3272402447, 'EU', 'Europe'),
(115001, '195.12.230.16', '195.12.230.23', 3272402448, 3272402455, 'FR', 'France'),
(115002, '195.12.230.24', '195.12.230.127', 3272402456, 3272402559, 'EU', 'Europe'),
(115003, '195.12.230.128', '195.12.230.191', 3272402560, 3272402623, 'GB', 'United Kingdom'),
(115004, '195.12.230.192', '195.12.230.255', 3272402624, 3272402687, 'EU', 'Europe'),
(115005, '195.12.231.0', '195.12.231.127', 3272402688, 3272402815, 'SE', 'Sweden'),
(115006, '195.12.231.128', '195.12.232.63', 3272402816, 3272403007, 'EU', 'Europe'),
(115007, '195.12.232.64', '195.12.232.79', 3272403008, 3272403023, 'FR', 'France'),
(115008, '195.12.232.80', '195.12.232.95', 3272403024, 3272403039, 'EU', 'Europe'),
(115009, '195.12.232.96', '195.12.232.111', 3272403040, 3272403055, 'DE', 'Germany'),
(115010, '195.12.232.112', '195.12.232.127', 3272403056, 3272403071, 'NL', 'Netherlands'),
(115011, '195.12.232.128', '195.12.232.255', 3272403072, 3272403199, 'FR', 'France'),
(115012, '195.12.233.0', '195.12.233.255', 3272403200, 3272403455, 'SE', 'Sweden'),
(115013, '195.12.234.0', '195.12.239.255', 3272403456, 3272404991, 'FR', 'France'),
(115014, '195.12.240.0', '195.12.243.255', 3272404992, 3272406015, 'DE', 'Germany'),
(115015, '195.12.244.0', '195.12.247.255', 3272406016, 3272407039, 'NL', 'Netherlands'),
(115016, '195.12.248.0', '195.12.255.255', 3272407040, 3272409087, 'EU', 'Europe'),
(115017, '195.13.0.0', '195.13.31.255', 3272409088, 3272417279, 'BE', 'Belgium'),
(115018, '195.13.32.0', '195.13.37.127', 3272417280, 3272418687, 'FR', 'France'),
(115019, '195.13.37.128', '195.13.39.255', 3272418688, 3272419327, 'PL', 'Poland'),
(115020, '195.13.40.0', '195.13.45.255', 3272419328, 3272420863, 'DE', 'Germany'),
(115021, '195.13.46.0', '195.13.46.127', 3272420864, 3272420991, 'PL', 'Poland'),
(115022, '195.13.46.128', '195.13.46.255', 3272420992, 3272421119, 'DK', 'Denmark'),
(115023, '195.13.47.0', '195.13.47.255', 3272421120, 3272421375, 'UA', 'Ukraine'),
(115024, '195.13.48.0', '195.13.49.255', 3272421376, 3272421887, 'RO', 'Romania'),
(115025, '195.13.50.0', '195.13.50.255', 3272421888, 3272422143, 'RU', 'Russian Federation'),
(115026, '195.13.51.0', '195.13.51.255', 3272422144, 3272422399, 'GB', 'United Kingdom'),
(115027, '195.13.52.0', '195.13.53.255', 3272422400, 3272422911, 'CH', 'Switzerland'),
(115028, '195.13.54.0', '195.13.55.255', 3272422912, 3272423423, 'SE', 'Sweden'),
(115029, '195.13.56.0', '195.13.57.255', 3272423424, 3272423935, 'BE', 'Belgium'),
(115030, '195.13.58.0', '195.13.59.255', 3272423936, 3272424447, 'FR', 'France'),
(115031, '195.13.60.0', '195.13.63.255', 3272424448, 3272425471, 'DE', 'Germany'),
(115032, '195.13.64.0', '195.13.68.159', 3272425472, 3272426655, 'GB', 'United Kingdom'),
(115033, '195.13.68.160', '195.13.68.175', 3272426656, 3272426671, 'IL', 'Israel'),
(115034, '195.13.68.176', '195.13.127.255', 3272426672, 3272441855, 'GB', 'United Kingdom'),
(115035, '195.13.128.0', '195.13.255.255', 3272441856, 3272474623, 'LV', 'Latvia'),
(115036, '195.14.0.0', '195.14.0.255', 3272474624, 3272474879, 'FR', 'France'),
(115037, '195.14.1.0', '195.14.1.255', 3272474880, 3272475135, 'NL', 'Netherlands'),
(115038, '195.14.2.0', '195.14.2.255', 3272475136, 3272475391, 'RU', 'Russian Federation'),
(115039, '195.14.3.0', '195.14.4.255', 3272475392, 3272475903, 'PL', 'Poland'),
(115040, '195.14.5.0', '195.14.5.255', 3272475904, 3272476159, 'FR', 'France'),
(115041, '195.14.6.0', '195.14.7.255', 3272476160, 3272476671, 'RO', 'Romania'),
(115042, '195.14.8.0', '195.14.8.255', 3272476672, 3272476927, 'DE', 'Germany'),
(115043, '195.14.9.0', '195.14.9.255', 3272476928, 3272477183, 'GR', 'Greece'),
(115044, '195.14.10.0', '195.14.10.255', 3272477184, 3272477439, 'GB', 'United Kingdom'),
(115045, '195.14.11.0', '195.14.11.255', 3272477440, 3272477695, 'PL', 'Poland'),
(115046, '195.14.12.0', '195.14.12.255', 3272477696, 3272477951, 'RU', 'Russian Federation'),
(115047, '195.14.13.0', '195.14.13.255', 3272477952, 3272478207, 'RO', 'Romania'),
(115048, '195.14.14.0', '195.14.14.255', 3272478208, 3272478463, 'DK', 'Denmark'),
(115049, '195.14.15.0', '195.14.15.255', 3272478464, 3272478719, 'FI', 'Finland'),
(115050, '195.14.16.0', '195.14.16.255', 3272478720, 3272478975, 'GB', 'United Kingdom'),
(115051, '195.14.17.0', '195.14.17.255', 3272478976, 3272479231, 'UA', 'Ukraine'),
(115052, '195.14.18.0', '195.14.18.255', 3272479232, 3272479487, 'GB', 'United Kingdom'),
(115053, '195.14.19.0', '195.14.19.255', 3272479488, 3272479743, 'SA', 'Saudi Arabia'),
(115054, '195.14.20.0', '195.14.21.255', 3272479744, 3272480255, 'SE', 'Sweden'),
(115055, '195.14.22.0', '195.14.22.255', 3272480256, 3272480511, 'FR', 'France'),
(115056, '195.14.23.0', '195.14.23.255', 3272480512, 3272480767, 'GB', 'United Kingdom'),
(115057, '195.14.24.0', '195.14.24.255', 3272480768, 3272481023, 'DE', 'Germany'),
(115058, '195.14.25.0', '195.14.25.255', 3272481024, 3272481279, 'SE', 'Sweden'),
(115059, '195.14.26.0', '195.14.26.255', 3272481280, 3272481535, 'CH', 'Switzerland'),
(115060, '195.14.27.0', '195.14.27.255', 3272481536, 3272481791, 'FR', 'France'),
(115061, '195.14.28.0', '195.14.28.255', 3272481792, 3272482047, 'IT', 'Italy'),
(115062, '195.14.29.0', '195.14.29.255', 3272482048, 3272482303, 'NL', 'Netherlands'),
(115063, '195.14.30.0', '195.14.30.255', 3272482304, 3272482559, 'PL', 'Poland'),
(115064, '195.14.31.0', '195.14.31.255', 3272482560, 3272482815, 'BE', 'Belgium'),
(115065, '195.14.32.0', '195.14.63.255', 3272482816, 3272491007, 'RU', 'Russian Federation'),
(115066, '195.14.64.0', '195.14.95.255', 3272491008, 3272499199, 'GB', 'United Kingdom'),
(115067, '195.14.96.0', '195.14.97.255', 3272499200, 3272499711, 'RU', 'Russian Federation'),
(115068, '195.14.98.0', '195.14.99.255', 3272499712, 3272500223, 'NL', 'Netherlands'),
(115069, '195.14.100.0', '195.14.101.255', 3272500224, 3272500735, 'RU', 'Russian Federation'),
(115070, '195.14.102.0', '195.14.103.255', 3272500736, 3272501247, 'IT', 'Italy'),
(115071, '195.14.104.0', '195.14.109.255', 3272501248, 3272502783, 'RU', 'Russian Federation'),
(115072, '195.14.110.0', '195.14.111.255', 3272502784, 3272503295, 'KW', 'Kuwait'),
(115073, '195.14.112.0', '195.14.113.255', 3272503296, 3272503807, 'UA', 'Ukraine'),
(115074, '195.14.114.0', '195.14.115.255', 3272503808, 3272504319, 'RU', 'Russian Federation'),
(115075, '195.14.116.0', '195.14.117.255', 3272504320, 3272504831, 'PL', 'Poland'),
(115076, '195.14.118.0', '195.14.119.255', 3272504832, 3272505343, 'RU', 'Russian Federation'),
(115077, '195.14.120.0', '195.14.121.255', 3272505344, 3272505855, 'AT', 'Austria'),
(115078, '195.14.122.0', '195.14.125.255', 3272505856, 3272506879, 'UA', 'Ukraine'),
(115079, '195.14.126.0', '195.14.127.255', 3272506880, 3272507391, 'CH', 'Switzerland'),
(115080, '195.14.128.0', '195.14.159.255', 3272507392, 3272515583, 'CY', 'Cyprus'),
(115081, '195.14.160.0', '195.14.191.255', 3272515584, 3272523775, 'LT', 'Lithuania'),
(115082, '195.14.192.0', '195.14.255.255', 3272523776, 3272540159, 'DE', 'Germany'),
(115083, '195.15.0.0', '195.15.24.255', 3272540160, 3272546559, 'CH', 'Switzerland'),
(115084, '195.15.25.0', '195.15.25.255', 3272546560, 3272546815, 'FR', 'France'),
(115085, '195.15.26.0', '195.15.28.59', 3272546816, 3272547387, 'CH', 'Switzerland'),
(115086, '195.15.28.60', '195.15.28.63', 3272547388, 3272547391, 'FR', 'France'),
(115087, '195.15.28.64', '195.15.49.31', 3272547392, 3272552735, 'CH', 'Switzerland'),
(115088, '195.15.49.32', '195.15.49.39', 3272552736, 3272552743, 'FR', 'France'),
(115089, '195.15.49.40', '195.15.49.175', 3272552744, 3272552879, 'CH', 'Switzerland'),
(115090, '195.15.49.176', '195.15.49.183', 3272552880, 3272552887, 'FR', 'France'),
(115091, '195.15.49.184', '195.15.51.255', 3272552888, 3272553471, 'CH', 'Switzerland'),
(115092, '195.15.52.0', '195.15.52.15', 3272553472, 3272553487, 'FR', 'France'),
(115093, '195.15.52.16', '195.15.57.27', 3272553488, 3272554779, 'CH', 'Switzerland'),
(115094, '195.15.57.28', '195.15.57.31', 3272554780, 3272554783, 'FR', 'France'),
(115095, '195.15.57.32', '195.15.58.239', 3272554784, 3272555247, 'CH', 'Switzerland'),
(115096, '195.15.58.240', '195.15.58.247', 3272555248, 3272555255, 'FR', 'France'),
(115097, '195.15.58.248', '195.15.59.143', 3272555256, 3272555407, 'CH', 'Switzerland'),
(115098, '195.15.59.144', '195.15.59.159', 3272555408, 3272555423, 'FR', 'France'),
(115099, '195.15.59.160', '195.15.64.55', 3272555424, 3272556599, 'CH', 'Switzerland'),
(115100, '195.15.64.56', '195.15.64.63', 3272556600, 3272556607, 'FR', 'France'),
(115101, '195.15.64.64', '195.15.109.15', 3272556608, 3272568079, 'CH', 'Switzerland'),
(115102, '195.15.109.16', '195.15.109.31', 3272568080, 3272568095, 'FR', 'France'),
(115103, '195.15.109.32', '195.15.127.207', 3272568096, 3272572879, 'CH', 'Switzerland'),
(115104, '195.15.127.208', '195.15.127.223', 3272572880, 3272572895, 'FR', 'France'),
(115105, '195.15.127.224', '195.15.255.255', 3272572896, 3272605695, 'CH', 'Switzerland'),
(115106, '195.16.0.0', '195.16.31.255', 3272605696, 3272613887, 'BE', 'Belgium'),
(115107, '195.16.32.0', '195.16.63.255', 3272613888, 3272622079, 'RU', 'Russian Federation'),
(115108, '195.16.64.0', '195.16.67.255', 3272622080, 3272623103, 'RO', 'Romania'),
(115109, '195.16.68.0', '195.16.71.255', 3272623104, 3272624127, 'DE', 'Germany'),
(115110, '195.16.72.0', '195.16.75.255', 3272624128, 3272625151, 'RU', 'Russian Federation'),
(115111, '195.16.76.0', '195.16.79.255', 3272625152, 3272626175, 'UA', 'Ukraine'),
(115112, '195.16.80.0', '195.16.83.255', 3272626176, 3272627199, 'DE', 'Germany'),
(115113, '195.16.84.0', '195.16.87.255', 3272627200, 3272628223, 'NL', 'Netherlands'),
(115114, '195.16.88.0', '195.16.91.255', 3272628224, 3272629247, 'UA', 'Ukraine'),
(115115, '195.16.92.0', '195.16.110.127', 3272629248, 3272633983, 'RU', 'Russian Federation'),
(115116, '195.16.110.128', '195.16.110.191', 3272633984, 3272634047, 'KZ', 'Kazakhstan'),
(115117, '195.16.110.192', '195.16.127.255', 3272634048, 3272638463, 'RU', 'Russian Federation'),
(115118, '195.16.128.0', '195.16.159.255', 3272638464, 3272646655, 'ES', 'Spain'),
(115119, '195.16.160.0', '195.16.160.128', 3272646656, 3272646784, 'DE', 'Germany'),
(115120, '195.16.160.129', '195.16.160.255', 3272646785, 3272646911, 'GB', 'United Kingdom'),
(115121, '195.16.161.0', '195.16.162.255', 3272646912, 3272647423, 'DE', 'Germany'),
(115122, '195.16.163.0', '195.16.169.255', 3272647424, 3272649215, 'GB', 'United Kingdom'),
(115123, '195.16.170.0', '195.16.170.255', 3272649216, 3272649471, 'IE', 'Ireland'),
(115124, '195.16.171.0', '195.16.171.255', 3272649472, 3272649727, 'SA', 'Saudi Arabia'),
(115125, '195.16.172.0', '195.16.175.127', 3272649728, 3272650623, 'GB', 'United Kingdom'),
(115126, '195.16.175.128', '195.16.175.143', 3272650624, 3272650639, 'FR', 'France'),
(115127, '195.16.175.144', '195.16.175.159', 3272650640, 3272650655, 'GB', 'United Kingdom'),
(115128, '195.16.175.160', '195.16.175.255', 3272650656, 3272650751, 'DE', 'Germany'),
(115129, '195.16.176.0', '195.16.177.127', 3272650752, 3272651135, 'GB', 'United Kingdom'),
(115130, '195.16.177.128', '195.16.177.143', 3272651136, 3272651151, 'CH', 'Switzerland'),
(115131, '195.16.177.144', '195.16.177.175', 3272651152, 3272651183, 'GB', 'United Kingdom'),
(115132, '195.16.177.176', '195.16.177.183', 3272651184, 3272651191, 'NL', 'Netherlands'),
(115133, '195.16.177.184', '195.16.177.223', 3272651192, 3272651231, 'GB', 'United Kingdom'),
(115134, '195.16.177.224', '195.16.177.231', 3272651232, 3272651239, 'UZ', 'Uzbekistan'),
(115135, '195.16.177.232', '195.16.181.255', 3272651240, 3272652287, 'GB', 'United Kingdom'),
(115136, '195.16.182.0', '195.16.183.255', 3272652288, 3272652799, 'FR', 'France'),
(115137, '195.16.184.0', '195.16.184.255', 3272652800, 3272653055, 'GB', 'United Kingdom'),
(115138, '195.16.185.0', '195.16.185.31', 3272653056, 3272653087, 'CH', 'Switzerland'),
(115139, '195.16.185.32', '195.16.185.191', 3272653088, 3272653247, 'GB', 'United Kingdom'),
(115140, '195.16.185.192', '195.16.185.223', 3272653248, 3272653279, 'FR', 'France'),
(115141, '195.16.185.224', '195.16.185.255', 3272653280, 3272653311, 'GB', 'United Kingdom'),
(115142, '195.16.186.0', '195.16.186.127', 3272653312, 3272653439, 'SE', 'Sweden'),
(115143, '195.16.186.128', '195.16.186.135', 3272653440, 3272653447, 'GB', 'United Kingdom'),
(115144, '195.16.186.136', '195.16.186.143', 3272653448, 3272653455, 'IE', 'Ireland'),
(115145, '195.16.186.144', '195.16.186.151', 3272653456, 3272653463, 'DE', 'Germany'),
(115146, '195.16.186.152', '195.16.186.231', 3272653464, 3272653543, 'GB', 'United Kingdom'),
(115147, '195.16.186.232', '195.16.186.239', 3272653544, 3272653551, 'NL', 'Netherlands'),
(115148, '195.16.186.240', '195.16.186.255', 3272653552, 3272653567, 'GB', 'United Kingdom'),
(115149, '195.16.187.0', '195.16.187.63', 3272653568, 3272653631, 'SE', 'Sweden'),
(115150, '195.16.187.64', '195.16.187.95', 3272653632, 3272653663, 'FR', 'France'),
(115151, '195.16.187.96', '195.16.187.127', 3272653664, 3272653695, 'DE', 'Germany'),
(115152, '195.16.187.128', '195.16.187.159', 3272653696, 3272653727, 'IT', 'Italy'),
(115153, '195.16.187.160', '195.16.187.191', 3272653728, 3272653759, 'NL', 'Netherlands'),
(115154, '195.16.187.192', '195.16.187.223', 3272653760, 3272653791, 'DK', 'Denmark'),
(115155, '195.16.187.224', '195.16.187.255', 3272653792, 3272653823, 'GB', 'United Kingdom'),
(115156, '195.16.188.0', '195.16.188.127', 3272653824, 3272653951, 'FR', 'France'),
(115157, '195.16.188.128', '195.16.189.127', 3272653952, 3272654207, 'DE', 'Germany'),
(115158, '195.16.189.128', '195.16.189.255', 3272654208, 3272654335, 'FR', 'France'),
(115159, '195.16.190.0', '195.16.190.127', 3272654336, 3272654463, 'ES', 'Spain'),
(115160, '195.16.190.128', '195.16.190.255', 3272654464, 3272654591, 'GB', 'United Kingdom'),
(115161, '195.16.191.0', '195.16.191.127', 3272654592, 3272654719, 'NO', 'Norway'),
(115162, '195.16.191.128', '195.16.191.191', 3272654720, 3272654783, 'IT', 'Italy'),
(115163, '195.16.191.192', '195.16.191.255', 3272654784, 3272654847, 'NL', 'Netherlands'),
(115164, '195.16.192.0', '195.16.223.255', 3272654848, 3272663039, 'FI', 'Finland'),
(115165, '195.16.224.0', '195.16.255.255', 3272663040, 3272671231, 'AT', 'Austria'),
(115166, '195.17.0.0', '195.17.128.255', 3272671232, 3272704255, 'SE', 'Sweden'),
(115167, '195.17.129.0', '195.17.132.255', 3272704256, 3272705279, 'IE', 'Ireland'),
(115168, '195.17.133.0', '195.17.133.255', 3272705280, 3272705535, 'SE', 'Sweden'),
(115169, '195.17.134.0', '195.17.139.255', 3272705536, 3272707071, 'IE', 'Ireland'),
(115170, '195.17.140.0', '195.17.140.255', 3272707072, 3272707327, 'SE', 'Sweden'),
(115171, '195.17.141.0', '195.17.141.255', 3272707328, 3272707583, 'IE', 'Ireland'),
(115172, '195.17.142.0', '195.17.159.255', 3272707584, 3272712191, 'SE', 'Sweden'),
(115173, '195.17.160.0', '195.17.160.255', 3272712192, 3272712447, 'GB', 'United Kingdom'),
(115174, '195.17.161.0', '195.17.161.255', 3272712448, 3272712703, 'SE', 'Sweden'),
(115175, '195.17.162.0', '195.17.162.255', 3272712704, 3272712959, 'GB', 'United Kingdom'),
(115176, '195.17.163.0', '195.17.163.255', 3272712960, 3272713215, 'SE', 'Sweden'),
(115177, '195.17.164.0', '195.17.166.255', 3272713216, 3272713983, 'GB', 'United Kingdom'),
(115178, '195.17.167.0', '195.17.168.255', 3272713984, 3272714495, 'SE', 'Sweden'),
(115179, '195.17.169.0', '195.17.169.255', 3272714496, 3272714751, 'GB', 'United Kingdom'),
(115180, '195.17.170.0', '195.17.171.7', 3272714752, 3272715015, 'SE', 'Sweden'),
(115181, '195.17.171.8', '195.17.171.15', 3272715016, 3272715023, 'GB', 'United Kingdom'),
(115182, '195.17.171.16', '195.17.171.127', 3272715024, 3272715135, 'SE', 'Sweden'),
(115183, '195.17.171.128', '195.17.171.255', 3272715136, 3272715263, 'GB', 'United Kingdom'),
(115184, '195.17.172.0', '195.17.245.31', 3272715264, 3272733983, 'SE', 'Sweden'),
(115185, '195.17.245.32', '195.17.245.39', 3272733984, 3272733991, 'RU', 'Russian Federation'),
(115186, '195.17.245.40', '195.17.255.255', 3272733992, 3272736767, 'SE', 'Sweden'),
(115187, '195.18.0.0', '195.18.3.255', 3272736768, 3272737791, 'IT', 'Italy'),
(115188, '195.18.4.0', '195.18.7.255', 3272737792, 3272738815, 'GB', 'United Kingdom'),
(115189, '195.18.8.0', '195.18.11.255', 3272738816, 3272739839, 'IL', 'Israel'),
(115190, '195.18.12.0', '195.18.19.255', 3272739840, 3272741887, 'UA', 'Ukraine'),
(115191, '195.18.20.0', '195.18.27.255', 3272741888, 3272743935, 'RU', 'Russian Federation'),
(115192, '195.18.28.0', '195.18.31.255', 3272743936, 3272744959, 'UA', 'Ukraine'),
(115193, '195.18.32.0', '195.18.63.255', 3272744960, 3272753151, 'RU', 'Russian Federation'),
(115194, '195.18.64.0', '195.18.127.255', 3272753152, 3272769535, 'NL', 'Netherlands'),
(115195, '195.18.128.0', '195.18.255.255', 3272769536, 3272802303, 'NO', 'Norway'),
(115196, '195.19.0.0', '195.19.255.255', 3272802304, 3272867839, 'RU', 'Russian Federation'),
(115197, '195.20.0.0', '195.20.3.255', 3272867840, 3272868863, 'PL', 'Poland'),
(115198, '195.20.4.0', '195.20.7.255', 3272868864, 3272869887, 'UA', 'Ukraine'),
(115199, '195.20.8.0', '195.20.11.255', 3272869888, 3272870911, 'NL', 'Netherlands'),
(115200, '195.20.12.0', '195.20.15.255', 3272870912, 3272871935, 'FR', 'France'),
(115201, '195.20.16.0', '195.20.19.255', 3272871936, 3272872959, 'FI', 'Finland'),
(115202, '195.20.20.0', '195.20.27.255', 3272872960, 3272875007, 'BG', 'Bulgaria'),
(115203, '195.20.28.0', '195.20.31.255', 3272875008, 3272876031, 'UA', 'Ukraine'),
(115204, '195.20.32.0', '195.20.63.255', 3272876032, 3272884223, 'NL', 'Netherlands'),
(115205, '195.20.64.0', '195.20.95.255', 3272884224, 3272892415, 'DE', 'Germany'),
(115206, '195.20.96.0', '195.20.97.255', 3272892416, 3272892927, 'UA', 'Ukraine'),
(115207, '195.20.98.0', '195.20.99.255', 3272892928, 3272893439, 'DE', 'Germany'),
(115208, '195.20.100.0', '195.20.101.255', 3272893440, 3272893951, 'SE', 'Sweden'),
(115209, '195.20.102.0', '195.20.103.255', 3272893952, 3272894463, 'UA', 'Ukraine'),
(115210, '195.20.104.0', '195.20.105.255', 3272894464, 3272894975, 'FR', 'France'),
(115211, '195.20.106.0', '195.20.107.255', 3272894976, 3272895487, 'RO', 'Romania'),
(115212, '195.20.108.0', '195.20.109.255', 3272895488, 3272895999, 'GB', 'United Kingdom'),
(115213, '195.20.110.0', '195.20.111.255', 3272896000, 3272896511, 'PL', 'Poland'),
(115214, '195.20.112.0', '195.20.115.255', 3272896512, 3272897535, 'DE', 'Germany'),
(115215, '195.20.116.0', '195.20.117.255', 3272897536, 3272898047, 'FI', 'Finland'),
(115216, '195.20.118.0', '195.20.119.255', 3272898048, 3272898559, 'UA', 'Ukraine'),
(115217, '195.20.120.0', '195.20.122.255', 3272898560, 3272899327, 'DE', 'Germany'),
(115218, '195.20.123.0', '195.20.123.255', 3272899328, 3272899583, 'PL', 'Poland'),
(115219, '195.20.124.0', '195.20.125.255', 3272899584, 3272900095, 'UA', 'Ukraine'),
(115220, '195.20.126.0', '195.20.127.255', 3272900096, 3272900607, 'LV', 'Latvia'),
(115221, '195.20.128.0', '195.20.128.255', 3272900608, 3272900863, 'RU', 'Russian Federation'),
(115222, '195.20.129.0', '195.20.129.255', 3272900864, 3272901119, 'AT', 'Austria'),
(115223, '195.20.130.0', '195.20.130.255', 3272901120, 3272901375, 'UA', 'Ukraine'),
(115224, '195.20.131.0', '195.20.131.255', 3272901376, 3272901631, 'PL', 'Poland'),
(115225, '195.20.132.0', '195.20.132.255', 3272901632, 3272901887, 'AT', 'Austria'),
(115226, '195.20.133.0', '195.20.133.255', 3272901888, 3272902143, 'DE', 'Germany'),
(115227, '195.20.134.0', '195.20.134.255', 3272902144, 3272902399, 'PL', 'Poland'),
(115228, '195.20.135.0', '195.20.135.255', 3272902400, 3272902655, 'RU', 'Russian Federation'),
(115229, '195.20.136.0', '195.20.136.255', 3272902656, 3272902911, 'IR', 'Iran, Islamic Republic of'),
(115230, '195.20.137.0', '195.20.137.255', 3272902912, 3272903167, 'RU', 'Russian Federation'),
(115231, '195.20.138.0', '195.20.138.255', 3272903168, 3272903423, 'PL', 'Poland'),
(115232, '195.20.139.0', '195.20.139.255', 3272903424, 3272903679, 'AT', 'Austria'),
(115233, '195.20.140.0', '195.20.140.255', 3272903680, 3272903935, 'RU', 'Russian Federation'),
(115234, '195.20.141.0', '195.20.141.255', 3272903936, 3272904191, 'GB', 'United Kingdom'),
(115235, '195.20.142.0', '195.20.142.255', 3272904192, 3272904447, 'SI', 'Slovenia'),
(115236, '195.20.143.0', '195.20.143.255', 3272904448, 3272904703, 'BE', 'Belgium'),
(115237, '195.20.144.0', '195.20.144.255', 3272904704, 3272904959, 'NL', 'Netherlands'),
(115238, '195.20.145.0', '195.20.145.255', 3272904960, 3272905215, 'RO', 'Romania'),
(115239, '195.20.146.0', '195.20.147.255', 3272905216, 3272905727, 'CH', 'Switzerland'),
(115240, '195.20.148.0', '195.20.148.255', 3272905728, 3272905983, 'UA', 'Ukraine'),
(115241, '195.20.149.0', '195.20.149.255', 3272905984, 3272906239, 'FI', 'Finland'),
(115242, '195.20.150.0', '195.20.150.255', 3272906240, 3272906495, 'PL', 'Poland'),
(115243, '195.20.151.0', '195.20.151.255', 3272906496, 3272906751, 'EE', 'Estonia'),
(115244, '195.20.152.0', '195.20.152.255', 3272906752, 3272907007, 'HU', 'Hungary'),
(115245, '195.20.153.0', '195.20.153.255', 3272907008, 3272907263, 'HR', 'Croatia'),
(115246, '195.20.154.0', '195.20.154.255', 3272907264, 3272907519, 'UA', 'Ukraine'),
(115247, '195.20.155.0', '195.20.155.255', 3272907520, 3272907775, 'GB', 'United Kingdom'),
(115248, '195.20.156.0', '195.20.156.255', 3272907776, 3272908031, 'RO', 'Romania'),
(115249, '195.20.157.0', '195.20.157.255', 3272908032, 3272908287, 'CH', 'Switzerland'),
(115250, '195.20.158.0', '195.20.158.255', 3272908288, 3272908543, 'AT', 'Austria'),
(115251, '195.20.159.0', '195.20.159.255', 3272908544, 3272908799, 'DE', 'Germany'),
(115252, '195.20.160.0', '195.20.167.255', 3272908800, 3272910847, 'SK', 'Slovakia'),
(115253, '195.20.168.0', '195.20.169.255', 3272910848, 3272911359, 'NL', 'Netherlands'),
(115254, '195.20.170.0', '195.20.171.255', 3272911360, 3272911871, 'SK', 'Slovakia'),
(115255, '195.20.172.0', '195.20.173.255', 3272911872, 3272912383, 'CZ', 'Czech Republic'),
(115256, '195.20.174.0', '195.20.191.255', 3272912384, 3272916991, 'SK', 'Slovakia'),
(115257, '195.20.192.0', '195.20.193.255', 3272916992, 3272917503, 'MC', 'Monaco'),
(115258, '195.20.194.0', '195.20.197.255', 3272917504, 3272918527, 'RU', 'Russian Federation'),
(115259, '195.20.198.0', '195.20.199.255', 3272918528, 3272919039, 'FR', 'France'),
(115260, '195.20.200.0', '195.20.201.255', 3272919040, 3272919551, 'GB', 'United Kingdom'),
(115261, '195.20.202.0', '195.20.203.255', 3272919552, 3272920063, 'RO', 'Romania'),
(115262, '195.20.204.0', '195.20.205.255', 3272920064, 3272920575, 'NL', 'Netherlands'),
(115263, '195.20.206.0', '195.20.207.255', 3272920576, 3272921087, 'SE', 'Sweden'),
(115264, '195.20.208.0', '195.20.209.255', 3272921088, 3272921599, 'CH', 'Switzerland'),
(115265, '195.20.210.0', '195.20.211.255', 3272921600, 3272922111, 'DE', 'Germany'),
(115266, '195.20.212.0', '195.20.213.255', 3272922112, 3272922623, 'PL', 'Poland'),
(115267, '195.20.214.0', '195.20.215.255', 3272922624, 3272923135, 'GB', 'United Kingdom'),
(115268, '195.20.216.0', '195.20.217.255', 3272923136, 3272923647, 'ES', 'Spain'),
(115269, '195.20.218.0', '195.20.219.255', 3272923648, 3272924159, 'PL', 'Poland'),
(115270, '195.20.220.0', '195.20.221.255', 3272924160, 3272924671, 'DE', 'Germany'),
(115271, '195.20.222.0', '195.20.223.255', 3272924672, 3272925183, 'GB', 'United Kingdom'),
(115272, '195.20.224.0', '195.20.247.63', 3272925184, 3272931135, 'DE', 'Germany'),
(115273, '195.20.247.64', '195.20.247.79', 3272931136, 3272931151, 'GB', 'United Kingdom'),
(115274, '195.20.247.80', '195.20.255.255', 3272931152, 3272933375, 'DE', 'Germany'),
(115275, '195.21.0.0', '195.21.3.255', 3272933376, 3272934399, 'FI', 'Finland'),
(115276, '195.21.4.0', '195.21.26.255', 3272934400, 3272940287, 'GB', 'United Kingdom'),
(115277, '195.21.27.0', '195.21.27.255', 3272940288, 3272940543, 'DE', 'Germany'),
(115278, '195.21.28.0', '195.21.255.255', 3272940544, 3272998911, 'GB', 'United Kingdom'),
(115279, '195.22.0.0', '195.22.31.255', 3272998912, 3273007103, 'PT', 'Portugal'),
(115280, '195.22.32.0', '195.22.63.255', 3273007104, 3273015295, 'CZ', 'Czech Republic'),
(115281, '195.22.64.0', '195.22.95.255', 3273015296, 3273023487, 'SE', 'Sweden'),
(115282, '195.22.96.0', '195.22.99.255', 3273023488, 3273024511, 'PL', 'Poland'),
(115283, '195.22.100.0', '195.22.103.255', 3273024512, 3273025535, 'NL', 'Netherlands'),
(115284, '195.22.104.0', '195.22.107.255', 3273025536, 3273026559, 'RU', 'Russian Federation'),
(115285, '195.22.108.0', '195.22.115.255', 3273026560, 3273028607, 'UA', 'Ukraine'),
(115286, '195.22.116.0', '195.22.119.255', 3273028608, 3273029631, 'PL', 'Poland'),
(115287, '195.22.120.0', '195.22.120.255', 3273029632, 3273029887, 'CH', 'Switzerland'),
(115288, '195.22.121.0', '195.22.121.255', 3273029888, 3273030143, 'GB', 'United Kingdom'),
(115289, '195.22.122.0', '195.22.123.255', 3273030144, 3273030655, 'RU', 'Russian Federation'),
(115290, '195.22.124.0', '195.22.127.255', 3273030656, 3273031679, 'PL', 'Poland'),
(115291, '195.22.128.0', '195.22.129.255', 3273031680, 3273032191, 'GB', 'United Kingdom'),
(115292, '195.22.130.0', '195.22.133.255', 3273032192, 3273033215, 'UA', 'Ukraine'),
(115293, '195.22.134.0', '195.22.135.255', 3273033216, 3273033727, 'GB', 'United Kingdom'),
(115294, '195.22.136.0', '195.22.137.255', 3273033728, 3273034239, 'DE', 'Germany'),
(115295, '195.22.138.0', '195.22.139.255', 3273034240, 3273034751, 'BE', 'Belgium'),
(115296, '195.22.140.0', '195.22.141.255', 3273034752, 3273035263, 'UA', 'Ukraine'),
(115297, '195.22.142.0', '195.22.143.255', 3273035264, 3273035775, 'DE', 'Germany'),
(115298, '195.22.144.0', '195.22.145.255', 3273035776, 3273036287, 'FR', 'France'),
(115299, '195.22.146.0', '195.22.147.255', 3273036288, 3273036799, 'BG', 'Bulgaria'),
(115300, '195.22.148.0', '195.22.149.255', 3273036800, 3273037311, 'IL', 'Israel'),
(115301, '195.22.150.0', '195.22.151.255', 3273037312, 3273037823, 'GB', 'United Kingdom'),
(115302, '195.22.152.0', '195.22.153.255', 3273037824, 3273038335, 'UA', 'Ukraine'),
(115303, '195.22.154.0', '195.22.155.255', 3273038336, 3273038847, 'GR', 'Greece'),
(115304, '195.22.156.0', '195.22.159.255', 3273038848, 3273039871, 'GB', 'United Kingdom'),
(115305, '195.22.160.0', '195.22.191.255', 3273039872, 3273048063, 'LT', 'Lithuania'),
(115306, '195.22.192.0', '195.22.192.255', 3273048064, 3273048319, 'IT', 'Italy'),
(115307, '195.22.193.0', '195.22.193.255', 3273048320, 3273048575, 'GR', 'Greece'),
(115308, '195.22.194.0', '195.22.194.255', 3273048576, 3273048831, 'IT', 'Italy'),
(115309, '195.22.195.0', '195.22.195.255', 3273048832, 3273049087, 'US', 'United States'),
(115310, '195.22.196.0', '195.22.198.255', 3273049088, 3273049855, 'IT', 'Italy'),
(115311, '195.22.199.0', '195.22.199.255', 3273049856, 3273050111, 'US', 'United States'),
(115312, '195.22.200.0', '195.22.202.159', 3273050112, 3273050783, 'IT', 'Italy'),
(115313, '195.22.202.160', '195.22.202.255', 3273050784, 3273050879, 'GR', 'Greece'),
(115314, '195.22.203.0', '195.22.205.255', 3273050880, 3273051647, 'IT', 'Italy'),
(115315, '195.22.206.0', '195.22.206.255', 3273051648, 3273051903, 'US', 'United States'),
(115316, '195.22.207.0', '195.22.207.63', 3273051904, 3273051967, 'IE', 'Ireland'),
(115317, '195.22.207.64', '195.22.207.135', 3273051968, 3273052039, 'IT', 'Italy'),
(115318, '195.22.207.136', '195.22.207.143', 3273052040, 3273052047, 'NL', 'Netherlands'),
(115319, '195.22.207.144', '195.22.207.159', 3273052048, 3273052063, 'GR', 'Greece'),
(115320, '195.22.207.160', '195.22.207.183', 3273052064, 3273052087, 'IT', 'Italy'),
(115321, '195.22.207.184', '195.22.207.191', 3273052088, 3273052095, 'DE', 'Germany'),
(115322, '195.22.207.192', '195.22.207.223', 3273052096, 3273052127, 'GR', 'Greece'),
(115323, '195.22.207.224', '195.22.208.255', 3273052128, 3273052415, 'IT', 'Italy'),
(115324, '195.22.209.0', '195.22.209.255', 3273052416, 3273052671, 'GB', 'United Kingdom'),
(115325, '195.22.210.0', '195.22.210.255', 3273052672, 3273052927, 'FR', 'France'),
(115326, '195.22.211.0', '195.22.211.255', 3273052928, 3273053183, 'DE', 'Germany'),
(115327, '195.22.212.0', '195.22.212.255', 3273053184, 3273053439, 'CH', 'Switzerland'),
(115328, '195.22.213.0', '195.22.213.255', 3273053440, 3273053695, 'NL', 'Netherlands'),
(115329, '195.22.214.0', '195.22.214.255', 3273053696, 3273053951, 'BE', 'Belgium'),
(115330, '195.22.215.0', '195.22.215.31', 3273053952, 3273053983, 'AT', 'Austria'),
(115331, '195.22.215.32', '195.22.215.39', 3273053984, 3273053991, 'CZ', 'Czech Republic'),
(115332, '195.22.215.40', '195.22.215.255', 3273053992, 3273054207, 'AT', 'Austria'),
(115333, '195.22.216.0', '195.22.216.255', 3273054208, 3273054463, 'US', 'United States'),
(115334, '195.22.217.0', '195.22.217.255', 3273054464, 3273054719, 'ES', 'Spain'),
(115335, '195.22.218.0', '195.22.218.255', 3273054720, 3273054975, 'IT', 'Italy'),
(115336, '195.22.219.0', '195.22.219.255', 3273054976, 3273055231, 'BR', 'Brazil'),
(115337, '195.22.220.0', '195.22.220.255', 3273055232, 3273055487, 'AR', 'Argentina'),
(115338, '195.22.221.0', '195.22.221.255', 3273055488, 3273055743, 'CL', 'Chile'),
(115339, '195.22.222.0', '195.22.222.255', 3273055744, 3273055999, 'US', 'United States'),
(115340, '195.22.223.0', '195.22.223.127', 3273056000, 3273056127, 'IT', 'Italy'),
(115341, '195.22.223.128', '195.22.223.255', 3273056128, 3273056255, 'HK', 'Hong Kong'),
(115342, '195.22.224.0', '195.22.255.255', 3273056256, 3273064447, 'MD', 'Moldova, Republic of'),
(115343, '195.23.0.0', '195.23.255.255', 3273064448, 3273129983, 'PT', 'Portugal'),
(115344, '195.24.0.0', '195.24.31.255', 3273129984, 3273138175, 'DK', 'Denmark'),
(115345, '195.24.32.0', '195.24.63.255', 3273138176, 3273146367, 'BG', 'Bulgaria'),
(115346, '195.24.64.0', '195.24.71.255', 3273146368, 3273148415, 'RU', 'Russian Federation'),
(115347, '195.24.72.0', '195.24.79.255', 3273148416, 3273150463, 'LU', 'Luxembourg'),
(115348, '195.24.80.0', '195.24.87.255', 3273150464, 3273152511, 'DZ', 'Algeria'),
(115349, '195.24.88.0', '195.24.95.255', 3273152512, 3273154559, 'BG', 'Bulgaria'),
(115350, '195.24.96.0', '195.24.127.255', 3273154560, 3273162751, 'DE', 'Germany'),
(115351, '195.24.128.0', '195.24.159.255', 3273162752, 3273170943, 'UA', 'Ukraine'),
(115352, '195.24.160.0', '195.24.191.255', 3273170944, 3273179135, 'SE', 'Sweden'),
(115353, '195.24.192.0', '195.24.223.255', 3273179136, 3273187327, 'CM', 'Cameroon'),
(115354, '195.24.224.0', '195.24.225.255', 3273187328, 3273187839, 'SE', 'Sweden'),
(115355, '195.24.226.0', '195.24.227.255', 3273187840, 3273188351, 'DK', 'Denmark'),
(115356, '195.24.228.0', '195.24.229.255', 3273188352, 3273188863, 'RU', 'Russian Federation'),
(115357, '195.24.230.0', '195.24.233.255', 3273188864, 3273189887, 'GB', 'United Kingdom'),
(115358, '195.24.234.0', '195.24.235.255', 3273189888, 3273190399, 'UA', 'Ukraine'),
(115359, '195.24.236.0', '195.24.241.255', 3273190400, 3273191935, 'RO', 'Romania'),
(115360, '195.24.242.0', '195.24.243.255', 3273191936, 3273192447, 'UA', 'Ukraine'),
(115361, '195.24.244.0', '195.24.245.255', 3273192448, 3273192959, 'DK', 'Denmark'),
(115362, '195.24.246.0', '195.24.247.255', 3273192960, 3273193471, 'FR', 'France'),
(115363, '195.24.248.0', '195.24.249.255', 3273193472, 3273193983, 'PL', 'Poland'),
(115364, '195.24.250.0', '195.24.251.255', 3273193984, 3273194495, 'EU', 'Europe'),
(115365, '195.24.252.0', '195.24.253.255', 3273194496, 3273195007, 'UA', 'Ukraine'),
(115366, '195.24.254.0', '195.24.255.255', 3273195008, 3273195519, 'RU', 'Russian Federation'),
(115367, '195.25.0.0', '195.25.138.135', 3273195520, 3273230983, 'FR', 'France'),
(115368, '195.25.138.136', '195.25.138.143', 3273230984, 3273230991, 'DE', 'Germany'),
(115369, '195.25.138.144', '195.25.174.55', 3273230992, 3273240119, 'FR', 'France'),
(115370, '195.25.174.56', '195.25.174.63', 3273240120, 3273240127, 'DE', 'Germany'),
(115371, '195.25.174.64', '195.25.174.159', 3273240128, 3273240223, 'FR', 'France'),
(115372, '195.25.174.160', '195.25.174.167', 3273240224, 3273240231, 'MC', 'Monaco'),
(115373, '195.25.174.168', '195.25.255.255', 3273240232, 3273261055, 'FR', 'France'),
(115374, '195.26.0.0', '195.26.1.255', 3273261056, 3273261567, 'NO', 'Norway'),
(115375, '195.26.2.0', '195.26.3.255', 3273261568, 3273262079, 'BE', 'Belgium'),
(115376, '195.26.4.0', '195.26.5.255', 3273262080, 3273262591, 'LU', 'Luxembourg'),
(115377, '195.26.6.0', '195.26.7.255', 3273262592, 3273263103, 'RU', 'Russian Federation'),
(115378, '195.26.8.0', '195.26.9.255', 3273263104, 3273263615, 'FR', 'France'),
(115379, '195.26.10.0', '195.26.11.255', 3273263616, 3273264127, 'SE', 'Sweden'),
(115380, '195.26.12.0', '195.26.13.255', 3273264128, 3273264639, 'PL', 'Poland'),
(115381, '195.26.14.0', '195.26.15.255', 3273264640, 3273265151, 'AT', 'Austria'),
(115382, '195.26.16.0', '195.26.19.255', 3273265152, 3273266175, 'UA', 'Ukraine'),
(115383, '195.26.20.0', '195.26.21.255', 3273266176, 3273266687, 'LV', 'Latvia'),
(115384, '195.26.22.0', '195.26.24.255', 3273266688, 3273267455, 'PL', 'Poland'),
(115385, '195.26.25.0', '195.26.25.255', 3273267456, 3273267711, 'CZ', 'Czech Republic'),
(115386, '195.26.26.0', '195.26.27.255', 3273267712, 3273268223, 'GB', 'United Kingdom'),
(115387, '195.26.28.0', '195.26.29.255', 3273268224, 3273268735, 'SE', 'Sweden'),
(115388, '195.26.30.0', '195.26.31.255', 3273268736, 3273269247, 'RU', 'Russian Federation'),
(115389, '195.26.32.0', '195.26.58.215', 3273269248, 3273276119, 'GB', 'United Kingdom'),
(115390, '195.26.58.216', '195.26.58.223', 3273276120, 3273276127, 'US', 'United States'),
(115391, '195.26.58.224', '195.26.63.255', 3273276128, 3273277439, 'GB', 'United Kingdom'),
(115392, '195.26.64.0', '195.26.67.255', 3273277440, 3273278463, 'UA', 'Ukraine'),
(115393, '195.26.68.0', '195.26.71.255', 3273278464, 3273279487, 'RU', 'Russian Federation'),
(115394, '195.26.72.0', '195.26.79.255', 3273279488, 3273281535, 'PL', 'Poland'),
(115395, '195.26.80.0', '195.26.87.255', 3273281536, 3273283583, 'UA', 'Ukraine'),
(115396, '195.26.88.0', '195.26.91.255', 3273283584, 3273284607, 'GB', 'United Kingdom'),
(115397, '195.26.92.0', '195.26.95.255', 3273284608, 3273285631, 'UA', 'Ukraine'),
(115398, '195.26.96.0', '195.26.127.255', 3273285632, 3273293823, 'GB', 'United Kingdom'),
(115399, '195.26.128.0', '195.26.159.255', 3273293824, 3273302015, 'MK', 'Macedonia'),
(115400, '195.26.160.0', '195.26.191.255', 3273302016, 3273310207, 'RU', 'Russian Federation'),
(115401, '195.26.192.0', '195.26.223.255', 3273310208, 3273318399, 'AT', 'Austria'),
(115402, '195.26.224.0', '195.26.255.255', 3273318400, 3273326591, 'GB', 'United Kingdom'),
(115403, '195.27.0.0', '195.27.0.255', 3273326592, 3273326847, 'IE', 'Ireland'),
(115404, '195.27.1.0', '195.27.1.135', 3273326848, 3273326983, 'EU', 'Europe'),
(115405, '195.27.1.136', '195.27.1.139', 3273326984, 3273326987, 'DE', 'Germany'),
(115406, '195.27.1.140', '195.27.1.143', 3273326988, 3273326991, 'EU', 'Europe'),
(115407, '195.27.1.144', '195.27.1.199', 3273326992, 3273327047, 'DE', 'Germany'),
(115408, '195.27.1.200', '195.27.2.159', 3273327048, 3273327263, 'EU', 'Europe'),
(115409, '195.27.2.160', '195.27.2.183', 3273327264, 3273327287, 'DE', 'Germany'),
(115410, '195.27.2.184', '195.27.2.255', 3273327288, 3273327359, 'EU', 'Europe'),
(115411, '195.27.3.0', '195.27.3.63', 3273327360, 3273327423, 'IE', 'Ireland'),
(115412, '195.27.3.64', '195.27.3.151', 3273327424, 3273327511, 'GB', 'United Kingdom'),
(115413, '195.27.3.152', '195.27.3.159', 3273327512, 3273327519, 'EU', 'Europe'),
(115414, '195.27.3.160', '195.27.3.191', 3273327520, 3273327551, 'IE', 'Ireland'),
(115415, '195.27.3.192', '195.27.3.223', 3273327552, 3273327583, 'GB', 'United Kingdom'),
(115416, '195.27.3.224', '195.27.3.255', 3273327584, 3273327615, 'IE', 'Ireland'),
(115417, '195.27.4.0', '195.27.7.127', 3273327616, 3273328511, 'EU', 'Europe'),
(115418, '195.27.7.128', '195.27.7.255', 3273328512, 3273328639, 'DE', 'Germany'),
(115419, '195.27.8.0', '195.27.10.39', 3273328640, 3273329191, 'GB', 'United Kingdom'),
(115420, '195.27.10.40', '195.27.10.47', 3273329192, 3273329199, 'EU', 'Europe'),
(115421, '195.27.10.48', '195.27.10.63', 3273329200, 3273329215, 'DE', 'Germany'),
(115422, '195.27.10.64', '195.27.10.127', 3273329216, 3273329279, 'GB', 'United Kingdom'),
(115423, '195.27.10.128', '195.27.10.159', 3273329280, 3273329311, 'EU', 'Europe'),
(115424, '195.27.10.160', '195.27.10.175', 3273329312, 3273329327, 'GB', 'United Kingdom'),
(115425, '195.27.10.176', '195.27.10.255', 3273329328, 3273329407, 'EU', 'Europe'),
(115426, '195.27.11.0', '195.27.11.15', 3273329408, 3273329423, 'GB', 'United Kingdom'),
(115427, '195.27.11.16', '195.27.11.31', 3273329424, 3273329439, 'DE', 'Germany'),
(115428, '195.27.11.32', '195.27.13.255', 3273329440, 3273330175, 'GB', 'United Kingdom'),
(115429, '195.27.14.0', '195.27.14.7', 3273330176, 3273330183, 'IR', 'Iran, Islamic Republic of'),
(115430, '195.27.14.8', '195.27.14.15', 3273330184, 3273330191, 'IE', 'Ireland'),
(115431, '195.27.14.16', '195.27.14.23', 3273330192, 3273330199, 'GB', 'United Kingdom'),
(115432, '195.27.14.24', '195.27.14.47', 3273330200, 3273330223, 'IE', 'Ireland'),
(115433, '195.27.14.48', '195.27.14.95', 3273330224, 3273330271, 'GB', 'United Kingdom'),
(115434, '195.27.14.96', '195.27.14.119', 3273330272, 3273330295, 'IE', 'Ireland'),
(115435, '195.27.14.120', '195.27.14.127', 3273330296, 3273330303, 'GB', 'United Kingdom'),
(115436, '195.27.14.128', '195.27.14.255', 3273330304, 3273330431, 'IE', 'Ireland'),
(115437, '195.27.15.0', '195.27.17.255', 3273330432, 3273331199, 'GB', 'United Kingdom'),
(115438, '195.27.18.0', '195.27.19.255', 3273331200, 3273331711, 'EU', 'Europe'),
(115439, '195.27.20.0', '195.27.20.255', 3273331712, 3273331967, 'GB', 'United Kingdom'),
(115440, '195.27.21.0', '195.27.21.63', 3273331968, 3273332031, 'DE', 'Germany'),
(115441, '195.27.21.64', '195.27.21.127', 3273332032, 3273332095, 'GB', 'United Kingdom'),
(115442, '195.27.21.128', '195.27.21.255', 3273332096, 3273332223, 'DE', 'Germany'),
(115443, '195.27.22.0', '195.27.22.255', 3273332224, 3273332479, 'GB', 'United Kingdom'),
(115444, '195.27.23.0', '195.27.23.63', 3273332480, 3273332543, 'EU', 'Europe'),
(115445, '195.27.23.64', '195.27.23.95', 3273332544, 3273332575, 'DE', 'Germany'),
(115446, '195.27.23.96', '195.27.23.127', 3273332576, 3273332607, 'EU', 'Europe'),
(115447, '195.27.23.128', '195.27.23.191', 3273332608, 3273332671, 'DE', 'Germany'),
(115448, '195.27.23.192', '195.27.25.63', 3273332672, 3273333055, 'EU', 'Europe'),
(115449, '195.27.25.64', '195.27.25.127', 3273333056, 3273333119, 'DE', 'Germany'),
(115450, '195.27.25.128', '195.27.29.255', 3273333120, 3273334271, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(115451, '195.27.30.0', '195.27.31.255', 3273334272, 3273334783, 'DE', 'Germany'),
(115452, '195.27.32.0', '195.27.32.255', 3273334784, 3273335039, 'EU', 'Europe'),
(115453, '195.27.33.0', '195.27.33.255', 3273335040, 3273335295, 'DE', 'Germany'),
(115454, '195.27.34.0', '195.27.35.255', 3273335296, 3273335807, 'GB', 'United Kingdom'),
(115455, '195.27.36.0', '195.27.36.127', 3273335808, 3273335935, 'EU', 'Europe'),
(115456, '195.27.36.128', '195.27.36.191', 3273335936, 3273335999, 'DE', 'Germany'),
(115457, '195.27.36.192', '195.27.40.15', 3273336000, 3273336847, 'EU', 'Europe'),
(115458, '195.27.40.16', '195.27.40.31', 3273336848, 3273336863, 'DE', 'Germany'),
(115459, '195.27.40.32', '195.27.40.39', 3273336864, 3273336871, 'GB', 'United Kingdom'),
(115460, '195.27.40.40', '195.27.40.63', 3273336872, 3273336895, 'DE', 'Germany'),
(115461, '195.27.40.64', '195.27.40.127', 3273336896, 3273336959, 'EU', 'Europe'),
(115462, '195.27.40.128', '195.27.40.255', 3273336960, 3273337087, 'DE', 'Germany'),
(115463, '195.27.41.0', '195.27.43.255', 3273337088, 3273337855, 'EU', 'Europe'),
(115464, '195.27.44.0', '195.27.44.255', 3273337856, 3273338111, 'DE', 'Germany'),
(115465, '195.27.45.0', '195.27.46.255', 3273338112, 3273338623, 'EU', 'Europe'),
(115466, '195.27.47.0', '195.27.47.255', 3273338624, 3273338879, 'DE', 'Germany'),
(115467, '195.27.48.0', '195.27.48.255', 3273338880, 3273339135, 'EU', 'Europe'),
(115468, '195.27.49.0', '195.27.51.255', 3273339136, 3273339903, 'DE', 'Germany'),
(115469, '195.27.52.0', '195.27.52.15', 3273339904, 3273339919, 'GB', 'United Kingdom'),
(115470, '195.27.52.16', '195.27.52.39', 3273339920, 3273339943, 'DE', 'Germany'),
(115471, '195.27.52.40', '195.27.52.51', 3273339944, 3273339955, 'GB', 'United Kingdom'),
(115472, '195.27.52.52', '195.27.52.55', 3273339956, 3273339959, 'DE', 'Germany'),
(115473, '195.27.52.56', '195.27.52.191', 3273339960, 3273340095, 'GB', 'United Kingdom'),
(115474, '195.27.52.192', '195.27.52.207', 3273340096, 3273340111, 'GI', 'Gibraltar'),
(115475, '195.27.52.208', '195.27.53.255', 3273340112, 3273340415, 'GB', 'United Kingdom'),
(115476, '195.27.54.0', '195.27.55.255', 3273340416, 3273340927, 'EU', 'Europe'),
(115477, '195.27.56.0', '195.27.58.255', 3273340928, 3273341695, 'FR', 'France'),
(115478, '195.27.59.0', '195.27.59.255', 3273341696, 3273341951, 'DE', 'Germany'),
(115479, '195.27.60.0', '195.27.61.255', 3273341952, 3273342463, 'EU', 'Europe'),
(115480, '195.27.62.0', '195.27.63.255', 3273342464, 3273342975, 'DE', 'Germany'),
(115481, '195.27.64.0', '195.27.67.255', 3273342976, 3273343999, 'GB', 'United Kingdom'),
(115482, '195.27.68.0', '195.27.70.255', 3273344000, 3273344767, 'DE', 'Germany'),
(115483, '195.27.71.0', '195.27.71.255', 3273344768, 3273345023, 'EU', 'Europe'),
(115484, '195.27.72.0', '195.27.72.255', 3273345024, 3273345279, 'DE', 'Germany'),
(115485, '195.27.73.0', '195.27.78.255', 3273345280, 3273346815, 'EU', 'Europe'),
(115486, '195.27.79.0', '195.27.79.255', 3273346816, 3273347071, 'DE', 'Germany'),
(115487, '195.27.80.0', '195.27.82.255', 3273347072, 3273347839, 'EU', 'Europe'),
(115488, '195.27.83.0', '195.27.84.255', 3273347840, 3273348351, 'DE', 'Germany'),
(115489, '195.27.85.0', '195.27.87.255', 3273348352, 3273349119, 'EU', 'Europe'),
(115490, '195.27.88.0', '195.27.89.255', 3273349120, 3273349631, 'DE', 'Germany'),
(115491, '195.27.90.0', '195.27.92.127', 3273349632, 3273350271, 'EU', 'Europe'),
(115492, '195.27.92.128', '195.27.92.143', 3273350272, 3273350287, 'DE', 'Germany'),
(115493, '195.27.92.144', '195.27.92.191', 3273350288, 3273350335, 'EU', 'Europe'),
(115494, '195.27.92.192', '195.27.92.207', 3273350336, 3273350351, 'DE', 'Germany'),
(115495, '195.27.92.208', '195.27.96.255', 3273350352, 3273351423, 'EU', 'Europe'),
(115496, '195.27.97.0', '195.27.97.31', 3273351424, 3273351455, 'DE', 'Germany'),
(115497, '195.27.97.32', '195.27.97.79', 3273351456, 3273351503, 'EU', 'Europe'),
(115498, '195.27.97.80', '195.27.97.95', 3273351504, 3273351519, 'DE', 'Germany'),
(115499, '195.27.97.96', '195.27.98.191', 3273351520, 3273351871, 'EU', 'Europe'),
(115500, '195.27.98.192', '195.27.98.223', 3273351872, 3273351903, 'DE', 'Germany'),
(115501, '195.27.98.224', '195.27.98.255', 3273351904, 3273351935, 'EU', 'Europe'),
(115502, '195.27.99.0', '195.27.99.255', 3273351936, 3273352191, 'DE', 'Germany'),
(115503, '195.27.100.0', '195.27.102.223', 3273352192, 3273352927, 'EU', 'Europe'),
(115504, '195.27.102.224', '195.27.102.255', 3273352928, 3273352959, 'DE', 'Germany'),
(115505, '195.27.103.0', '195.27.103.31', 3273352960, 3273352991, 'EU', 'Europe'),
(115506, '195.27.103.32', '195.27.103.63', 3273352992, 3273353023, 'DE', 'Germany'),
(115507, '195.27.103.64', '195.27.112.255', 3273353024, 3273355519, 'EU', 'Europe'),
(115508, '195.27.113.0', '195.27.115.255', 3273355520, 3273356287, 'DE', 'Germany'),
(115509, '195.27.116.0', '195.27.130.15', 3273356288, 3273359887, 'EU', 'Europe'),
(115510, '195.27.130.16', '195.27.130.31', 3273359888, 3273359903, 'DE', 'Germany'),
(115511, '195.27.130.32', '195.27.130.143', 3273359904, 3273360015, 'EU', 'Europe'),
(115512, '195.27.130.144', '195.27.130.207', 3273360016, 3273360079, 'DE', 'Germany'),
(115513, '195.27.130.208', '195.27.136.63', 3273360080, 3273361471, 'EU', 'Europe'),
(115514, '195.27.136.64', '195.27.136.127', 3273361472, 3273361535, 'DE', 'Germany'),
(115515, '195.27.136.128', '195.27.136.223', 3273361536, 3273361631, 'EU', 'Europe'),
(115516, '195.27.136.224', '195.27.136.255', 3273361632, 3273361663, 'DE', 'Germany'),
(115517, '195.27.137.0', '195.27.137.127', 3273361664, 3273361791, 'EU', 'Europe'),
(115518, '195.27.137.128', '195.27.137.159', 3273361792, 3273361823, 'DE', 'Germany'),
(115519, '195.27.137.160', '195.27.137.191', 3273361824, 3273361855, 'EU', 'Europe'),
(115520, '195.27.137.192', '195.27.137.255', 3273361856, 3273361919, 'DE', 'Germany'),
(115521, '195.27.138.0', '195.27.138.127', 3273361920, 3273362047, 'EU', 'Europe'),
(115522, '195.27.138.128', '195.27.138.255', 3273362048, 3273362175, 'DE', 'Germany'),
(115523, '195.27.139.0', '195.27.139.63', 3273362176, 3273362239, 'EU', 'Europe'),
(115524, '195.27.139.64', '195.27.139.79', 3273362240, 3273362255, 'DE', 'Germany'),
(115525, '195.27.139.80', '195.27.143.7', 3273362256, 3273363207, 'EU', 'Europe'),
(115526, '195.27.143.8', '195.27.143.11', 3273363208, 3273363211, 'DE', 'Germany'),
(115527, '195.27.143.12', '195.27.143.127', 3273363212, 3273363327, 'EU', 'Europe'),
(115528, '195.27.143.128', '195.27.143.191', 3273363328, 3273363391, 'DE', 'Germany'),
(115529, '195.27.143.192', '195.27.148.127', 3273363392, 3273364607, 'EU', 'Europe'),
(115530, '195.27.148.128', '195.27.148.255', 3273364608, 3273364735, 'DE', 'Germany'),
(115531, '195.27.149.0', '195.27.149.255', 3273364736, 3273364991, 'EU', 'Europe'),
(115532, '195.27.150.0', '195.27.150.255', 3273364992, 3273365247, 'DE', 'Germany'),
(115533, '195.27.151.0', '195.27.151.255', 3273365248, 3273365503, 'EU', 'Europe'),
(115534, '195.27.152.0', '195.27.152.15', 3273365504, 3273365519, 'NL', 'Netherlands'),
(115535, '195.27.152.16', '195.27.152.39', 3273365520, 3273365543, 'GB', 'United Kingdom'),
(115536, '195.27.152.40', '195.27.152.255', 3273365544, 3273365759, 'NL', 'Netherlands'),
(115537, '195.27.153.0', '195.27.153.7', 3273365760, 3273365767, 'GB', 'United Kingdom'),
(115538, '195.27.153.8', '195.27.153.127', 3273365768, 3273365887, 'EU', 'Europe'),
(115539, '195.27.153.128', '195.27.153.255', 3273365888, 3273366015, 'FR', 'France'),
(115540, '195.27.154.0', '195.27.155.255', 3273366016, 3273366527, 'DE', 'Germany'),
(115541, '195.27.156.0', '195.27.158.255', 3273366528, 3273367295, 'EU', 'Europe'),
(115542, '195.27.159.0', '195.27.159.127', 3273367296, 3273367423, 'DE', 'Germany'),
(115543, '195.27.159.128', '195.27.159.255', 3273367424, 3273367551, 'EU', 'Europe'),
(115544, '195.27.160.0', '195.27.160.15', 3273367552, 3273367567, 'DE', 'Germany'),
(115545, '195.27.160.16', '195.27.161.255', 3273367568, 3273368063, 'EU', 'Europe'),
(115546, '195.27.162.0', '195.27.163.255', 3273368064, 3273368575, 'DE', 'Germany'),
(115547, '195.27.164.0', '195.27.166.255', 3273368576, 3273369343, 'EU', 'Europe'),
(115548, '195.27.167.0', '195.27.168.255', 3273369344, 3273369855, 'DE', 'Germany'),
(115549, '195.27.169.0', '195.27.171.255', 3273369856, 3273370623, 'EU', 'Europe'),
(115550, '195.27.172.0', '195.27.173.255', 3273370624, 3273371135, 'DE', 'Germany'),
(115551, '195.27.174.0', '195.27.176.63', 3273371136, 3273371711, 'EU', 'Europe'),
(115552, '195.27.176.64', '195.27.176.95', 3273371712, 3273371743, 'DE', 'Germany'),
(115553, '195.27.176.96', '195.27.176.111', 3273371744, 3273371759, 'EU', 'Europe'),
(115554, '195.27.176.112', '195.27.176.127', 3273371760, 3273371775, 'DE', 'Germany'),
(115555, '195.27.176.128', '195.27.176.159', 3273371776, 3273371807, 'EU', 'Europe'),
(115556, '195.27.176.160', '195.27.176.175', 3273371808, 3273371823, 'DE', 'Germany'),
(115557, '195.27.176.176', '195.27.176.223', 3273371824, 3273371871, 'EU', 'Europe'),
(115558, '195.27.176.224', '195.27.176.227', 3273371872, 3273371875, 'DE', 'Germany'),
(115559, '195.27.176.228', '195.27.177.95', 3273371876, 3273371999, 'EU', 'Europe'),
(115560, '195.27.177.96', '195.27.177.151', 3273372000, 3273372055, 'DE', 'Germany'),
(115561, '195.27.177.152', '195.27.179.255', 3273372056, 3273372671, 'EU', 'Europe'),
(115562, '195.27.180.0', '195.27.180.255', 3273372672, 3273372927, 'GB', 'United Kingdom'),
(115563, '195.27.181.0', '195.27.181.255', 3273372928, 3273373183, 'NL', 'Netherlands'),
(115564, '195.27.182.0', '195.27.183.15', 3273373184, 3273373455, 'GB', 'United Kingdom'),
(115565, '195.27.183.16', '195.27.183.127', 3273373456, 3273373567, 'DE', 'Germany'),
(115566, '195.27.183.128', '195.27.183.255', 3273373568, 3273373695, 'GB', 'United Kingdom'),
(115567, '195.27.184.0', '195.27.189.255', 3273373696, 3273375231, 'EU', 'Europe'),
(115568, '195.27.190.0', '195.27.191.63', 3273375232, 3273375551, 'DE', 'Germany'),
(115569, '195.27.191.64', '195.27.191.255', 3273375552, 3273375743, 'EU', 'Europe'),
(115570, '195.27.192.0', '195.27.192.127', 3273375744, 3273375871, 'DE', 'Germany'),
(115571, '195.27.192.128', '195.27.192.255', 3273375872, 3273375999, 'EU', 'Europe'),
(115572, '195.27.193.0', '195.27.193.255', 3273376000, 3273376255, 'DE', 'Germany'),
(115573, '195.27.194.0', '195.27.195.23', 3273376256, 3273376535, 'EU', 'Europe'),
(115574, '195.27.195.24', '195.27.195.31', 3273376536, 3273376543, 'DE', 'Germany'),
(115575, '195.27.195.32', '195.27.199.255', 3273376544, 3273377791, 'EU', 'Europe'),
(115576, '195.27.200.0', '195.27.201.47', 3273377792, 3273378095, 'DE', 'Germany'),
(115577, '195.27.201.48', '195.27.202.255', 3273378096, 3273378559, 'EU', 'Europe'),
(115578, '195.27.203.0', '195.27.203.255', 3273378560, 3273378815, 'DE', 'Germany'),
(115579, '195.27.204.0', '195.27.215.255', 3273378816, 3273381887, 'EU', 'Europe'),
(115580, '195.27.216.0', '195.27.216.255', 3273381888, 3273382143, 'DE', 'Germany'),
(115581, '195.27.217.0', '195.27.217.255', 3273382144, 3273382399, 'GB', 'United Kingdom'),
(115582, '195.27.218.0', '195.27.218.63', 3273382400, 3273382463, 'DE', 'Germany'),
(115583, '195.27.218.64', '195.27.218.79', 3273382464, 3273382479, 'EU', 'Europe'),
(115584, '195.27.218.80', '195.27.218.191', 3273382480, 3273382591, 'DE', 'Germany'),
(115585, '195.27.218.192', '195.27.218.239', 3273382592, 3273382639, 'EU', 'Europe'),
(115586, '195.27.218.240', '195.27.219.31', 3273382640, 3273382687, 'DE', 'Germany'),
(115587, '195.27.219.32', '195.27.224.255', 3273382688, 3273384191, 'EU', 'Europe'),
(115588, '195.27.225.0', '195.27.226.255', 3273384192, 3273384703, 'DE', 'Germany'),
(115589, '195.27.227.0', '195.27.227.255', 3273384704, 3273384959, 'EU', 'Europe'),
(115590, '195.27.228.0', '195.27.228.255', 3273384960, 3273385215, 'DE', 'Germany'),
(115591, '195.27.229.0', '195.27.229.63', 3273385216, 3273385279, 'EU', 'Europe'),
(115592, '195.27.229.64', '195.27.229.127', 3273385280, 3273385343, 'DE', 'Germany'),
(115593, '195.27.229.128', '195.27.229.255', 3273385344, 3273385471, 'EU', 'Europe'),
(115594, '195.27.230.0', '195.27.230.255', 3273385472, 3273385727, 'DE', 'Germany'),
(115595, '195.27.231.0', '195.27.231.31', 3273385728, 3273385759, 'EU', 'Europe'),
(115596, '195.27.231.32', '195.27.231.63', 3273385760, 3273385791, 'DE', 'Germany'),
(115597, '195.27.231.64', '195.27.231.127', 3273385792, 3273385855, 'EU', 'Europe'),
(115598, '195.27.231.128', '195.27.231.191', 3273385856, 3273385919, 'DE', 'Germany'),
(115599, '195.27.231.192', '195.27.236.47', 3273385920, 3273387055, 'EU', 'Europe'),
(115600, '195.27.236.48', '195.27.236.63', 3273387056, 3273387071, 'DE', 'Germany'),
(115601, '195.27.236.64', '195.27.236.207', 3273387072, 3273387215, 'EU', 'Europe'),
(115602, '195.27.236.208', '195.27.236.223', 3273387216, 3273387231, 'DE', 'Germany'),
(115603, '195.27.236.224', '195.27.236.255', 3273387232, 3273387263, 'EU', 'Europe'),
(115604, '195.27.237.0', '195.27.237.255', 3273387264, 3273387519, 'DE', 'Germany'),
(115605, '195.27.238.0', '195.27.238.31', 3273387520, 3273387551, 'EU', 'Europe'),
(115606, '195.27.238.32', '195.27.238.63', 3273387552, 3273387583, 'DE', 'Germany'),
(115607, '195.27.238.64', '195.27.240.127', 3273387584, 3273388159, 'EU', 'Europe'),
(115608, '195.27.240.128', '195.27.240.191', 3273388160, 3273388223, 'DE', 'Germany'),
(115609, '195.27.240.192', '195.27.241.255', 3273388224, 3273388543, 'EU', 'Europe'),
(115610, '195.27.242.0', '195.27.243.7', 3273388544, 3273388807, 'DE', 'Germany'),
(115611, '195.27.243.8', '195.27.243.15', 3273388808, 3273388815, 'EU', 'Europe'),
(115612, '195.27.243.16', '195.27.243.63', 3273388816, 3273388863, 'DE', 'Germany'),
(115613, '195.27.243.64', '195.27.243.71', 3273388864, 3273388871, 'EU', 'Europe'),
(115614, '195.27.243.72', '195.27.243.79', 3273388872, 3273388879, 'DE', 'Germany'),
(115615, '195.27.243.80', '195.27.243.103', 3273388880, 3273388903, 'EU', 'Europe'),
(115616, '195.27.243.104', '195.27.243.111', 3273388904, 3273388911, 'DE', 'Germany'),
(115617, '195.27.243.112', '195.27.243.127', 3273388912, 3273388927, 'GB', 'United Kingdom'),
(115618, '195.27.243.128', '195.27.243.255', 3273388928, 3273389055, 'DE', 'Germany'),
(115619, '195.27.244.0', '195.27.247.255', 3273389056, 3273390079, 'EU', 'Europe'),
(115620, '195.27.248.0', '195.27.248.127', 3273390080, 3273390207, 'DE', 'Germany'),
(115621, '195.27.248.128', '195.27.248.255', 3273390208, 3273390335, 'EU', 'Europe'),
(115622, '195.27.249.0', '195.27.249.127', 3273390336, 3273390463, 'DE', 'Germany'),
(115623, '195.27.249.128', '195.27.251.255', 3273390464, 3273391103, 'EU', 'Europe'),
(115624, '195.27.252.0', '195.27.252.255', 3273391104, 3273391359, 'DE', 'Germany'),
(115625, '195.27.253.0', '195.27.254.255', 3273391360, 3273391871, 'EU', 'Europe'),
(115626, '195.27.255.0', '195.27.255.255', 3273391872, 3273392127, 'DE', 'Germany'),
(115627, '195.28.0.0', '195.28.1.255', 3273392128, 3273392639, 'PL', 'Poland'),
(115628, '195.28.2.0', '195.28.5.255', 3273392640, 3273393663, 'RO', 'Romania'),
(115629, '195.28.6.0', '195.28.7.255', 3273393664, 3273394175, 'BG', 'Bulgaria'),
(115630, '195.28.8.0', '195.28.9.255', 3273394176, 3273394687, 'RO', 'Romania'),
(115631, '195.28.10.0', '195.28.11.255', 3273394688, 3273395199, 'RU', 'Russian Federation'),
(115632, '195.28.12.0', '195.28.13.255', 3273395200, 3273395711, 'DE', 'Germany'),
(115633, '195.28.14.0', '195.28.15.255', 3273395712, 3273396223, 'RU', 'Russian Federation'),
(115634, '195.28.16.0', '195.28.17.255', 3273396224, 3273396735, 'PL', 'Poland'),
(115635, '195.28.18.0', '195.28.19.255', 3273396736, 3273397247, 'RO', 'Romania'),
(115636, '195.28.20.0', '195.28.21.255', 3273397248, 3273397759, 'RU', 'Russian Federation'),
(115637, '195.28.22.0', '195.28.23.255', 3273397760, 3273398271, 'NL', 'Netherlands'),
(115638, '195.28.24.0', '195.28.25.255', 3273398272, 3273398783, 'RO', 'Romania'),
(115639, '195.28.26.0', '195.28.27.255', 3273398784, 3273399295, 'LV', 'Latvia'),
(115640, '195.28.28.0', '195.28.29.255', 3273399296, 3273399807, 'SE', 'Sweden'),
(115641, '195.28.30.0', '195.28.31.255', 3273399808, 3273400319, 'UA', 'Ukraine'),
(115642, '195.28.32.0', '195.28.63.255', 3273400320, 3273408511, 'RU', 'Russian Federation'),
(115643, '195.28.64.0', '195.28.159.255', 3273408512, 3273433087, 'SK', 'Slovakia'),
(115644, '195.28.160.0', '195.28.161.255', 3273433088, 3273433599, 'LU', 'Luxembourg'),
(115645, '195.28.162.0', '195.28.163.255', 3273433600, 3273434111, 'RO', 'Romania'),
(115646, '195.28.164.0', '195.28.165.255', 3273434112, 3273434623, 'BE', 'Belgium'),
(115647, '195.28.166.0', '195.28.167.255', 3273434624, 3273435135, 'IL', 'Israel'),
(115648, '195.28.168.0', '195.28.169.255', 3273435136, 3273435647, 'GB', 'United Kingdom'),
(115649, '195.28.170.0', '195.28.171.255', 3273435648, 3273436159, 'PL', 'Poland'),
(115650, '195.28.172.0', '195.28.173.255', 3273436160, 3273436671, 'NO', 'Norway'),
(115651, '195.28.174.0', '195.28.175.255', 3273436672, 3273437183, 'DE', 'Germany'),
(115652, '195.28.176.0', '195.28.177.255', 3273437184, 3273437695, 'RO', 'Romania'),
(115653, '195.28.178.0', '195.28.179.255', 3273437696, 3273438207, 'PL', 'Poland'),
(115654, '195.28.180.0', '195.28.181.255', 3273438208, 3273438719, 'IL', 'Israel'),
(115655, '195.28.182.0', '195.28.183.255', 3273438720, 3273439231, 'RU', 'Russian Federation'),
(115656, '195.28.184.0', '195.28.185.255', 3273439232, 3273439743, 'RO', 'Romania'),
(115657, '195.28.186.0', '195.28.187.255', 3273439744, 3273440255, 'DE', 'Germany'),
(115658, '195.28.188.0', '195.28.189.255', 3273440256, 3273440767, 'RO', 'Romania'),
(115659, '195.28.190.0', '195.28.191.255', 3273440768, 3273441279, 'AT', 'Austria'),
(115660, '195.28.192.0', '195.28.199.255', 3273441280, 3273443327, 'GB', 'United Kingdom'),
(115661, '195.28.200.0', '195.28.202.255', 3273443328, 3273444095, 'FR', 'France'),
(115662, '195.28.203.0', '195.28.223.255', 3273444096, 3273449471, 'GB', 'United Kingdom'),
(115663, '195.28.224.0', '195.28.255.255', 3273449472, 3273457663, 'CH', 'Switzerland'),
(115664, '195.29.0.0', '195.29.255.255', 3273457664, 3273523199, 'HR', 'Croatia'),
(115665, '195.30.0.0', '195.30.255.255', 3273523200, 3273588735, 'DE', 'Germany'),
(115666, '195.31.0.0', '195.32.127.255', 3273588736, 3273687039, 'IT', 'Italy'),
(115667, '195.32.128.0', '195.32.255.255', 3273687040, 3273719807, 'DE', 'Germany'),
(115668, '195.33.0.0', '195.33.3.255', 3273719808, 3273720831, 'GB', 'United Kingdom'),
(115669, '195.33.4.0', '195.33.4.15', 3273720832, 3273720847, 'IE', 'Ireland'),
(115670, '195.33.4.16', '195.33.28.95', 3273720848, 3273727071, 'GB', 'United Kingdom'),
(115671, '195.33.28.96', '195.33.28.103', 3273727072, 3273727079, 'DK', 'Denmark'),
(115672, '195.33.28.104', '195.33.28.111', 3273727080, 3273727087, 'FR', 'France'),
(115673, '195.33.28.112', '195.33.28.119', 3273727088, 3273727095, 'ES', 'Spain'),
(115674, '195.33.28.120', '195.33.28.127', 3273727096, 3273727103, 'DE', 'Germany'),
(115675, '195.33.28.128', '195.33.28.143', 3273727104, 3273727119, 'GB', 'United Kingdom'),
(115676, '195.33.28.144', '195.33.28.151', 3273727120, 3273727127, 'PT', 'Portugal'),
(115677, '195.33.28.152', '195.33.28.159', 3273727128, 3273727135, 'FI', 'Finland'),
(115678, '195.33.28.160', '195.33.28.167', 3273727136, 3273727143, 'NO', 'Norway'),
(115679, '195.33.28.168', '195.33.28.175', 3273727144, 3273727151, 'CZ', 'Czech Republic'),
(115680, '195.33.28.176', '195.33.31.255', 3273727152, 3273727999, 'GB', 'United Kingdom'),
(115681, '195.33.32.0', '195.33.32.255', 3273728000, 3273728255, 'NL', 'Netherlands'),
(115682, '195.33.33.0', '195.33.33.255', 3273728256, 3273728511, 'GB', 'United Kingdom'),
(115683, '195.33.34.0', '195.33.47.255', 3273728512, 3273732095, 'NL', 'Netherlands'),
(115684, '195.33.48.0', '195.33.63.255', 3273732096, 3273736191, 'GB', 'United Kingdom'),
(115685, '195.33.64.0', '195.33.91.255', 3273736192, 3273743359, 'FR', 'France'),
(115686, '195.33.92.0', '195.33.92.255', 3273743360, 3273743615, 'JO', 'Jordan'),
(115687, '195.33.93.0', '195.33.95.255', 3273743616, 3273744383, 'FR', 'France'),
(115688, '195.33.96.0', '195.33.105.255', 3273744384, 3273746943, 'GB', 'United Kingdom'),
(115689, '195.33.106.0', '195.33.106.255', 3273746944, 3273747199, 'EU', 'Europe'),
(115690, '195.33.107.0', '195.33.127.255', 3273747200, 3273752575, 'GB', 'United Kingdom'),
(115691, '195.33.128.0', '195.33.128.255', 3273752576, 3273752831, 'NL', 'Netherlands'),
(115692, '195.33.129.0', '195.33.129.255', 3273752832, 3273753087, 'EU', 'Europe'),
(115693, '195.33.130.0', '195.33.130.255', 3273753088, 3273753343, 'NL', 'Netherlands'),
(115694, '195.33.131.0', '195.33.131.255', 3273753344, 3273753599, 'EU', 'Europe'),
(115695, '195.33.132.0', '195.33.139.255', 3273753600, 3273755647, 'NL', 'Netherlands'),
(115696, '195.33.140.0', '195.33.140.255', 3273755648, 3273755903, 'EU', 'Europe'),
(115697, '195.33.141.0', '195.33.159.255', 3273755904, 3273760767, 'NL', 'Netherlands'),
(115698, '195.33.160.0', '195.33.165.255', 3273760768, 3273762303, 'DE', 'Germany'),
(115699, '195.33.166.0', '195.33.166.255', 3273762304, 3273762559, 'EU', 'Europe'),
(115700, '195.33.167.0', '195.33.191.255', 3273762560, 3273768959, 'DE', 'Germany'),
(115701, '195.33.192.0', '195.33.255.255', 3273768960, 3273785343, 'TR', 'Turkey'),
(115702, '195.34.0.0', '195.34.63.255', 3273785344, 3273801727, 'RU', 'Russian Federation'),
(115703, '195.34.64.0', '195.34.65.255', 3273801728, 3273802239, 'DE', 'Germany'),
(115704, '195.34.66.0', '195.34.67.255', 3273802240, 3273802751, 'RO', 'Romania'),
(115705, '195.34.68.0', '195.34.69.255', 3273802752, 3273803263, 'SA', 'Saudi Arabia'),
(115706, '195.34.70.0', '195.34.71.255', 3273803264, 3273803775, 'ES', 'Spain'),
(115707, '195.34.72.0', '195.34.73.255', 3273803776, 3273804287, 'CH', 'Switzerland'),
(115708, '195.34.74.0', '195.34.75.255', 3273804288, 3273804799, 'UA', 'Ukraine'),
(115709, '195.34.76.0', '195.34.77.255', 3273804800, 3273805311, 'RO', 'Romania'),
(115710, '195.34.78.0', '195.34.79.255', 3273805312, 3273805823, 'GI', 'Gibraltar'),
(115711, '195.34.80.0', '195.34.81.255', 3273805824, 3273806335, 'PL', 'Poland'),
(115712, '195.34.82.0', '195.34.83.255', 3273806336, 3273806847, 'DE', 'Germany'),
(115713, '195.34.84.0', '195.34.85.255', 3273806848, 3273807359, 'SE', 'Sweden'),
(115714, '195.34.86.0', '195.34.87.255', 3273807360, 3273807871, 'LU', 'Luxembourg'),
(115715, '195.34.88.0', '195.34.89.255', 3273807872, 3273808383, 'CH', 'Switzerland'),
(115716, '195.34.90.0', '195.34.91.255', 3273808384, 3273808895, 'UA', 'Ukraine'),
(115717, '195.34.92.0', '195.34.93.255', 3273808896, 3273809407, 'GB', 'United Kingdom'),
(115718, '195.34.94.0', '195.34.95.255', 3273809408, 3273809919, 'UA', 'Ukraine'),
(115719, '195.34.96.0', '195.34.127.255', 3273809920, 3273818111, 'BG', 'Bulgaria'),
(115720, '195.34.128.0', '195.34.159.255', 3273818112, 3273826303, 'AT', 'Austria'),
(115721, '195.34.160.0', '195.34.179.63', 3273826304, 3273831231, 'DE', 'Germany'),
(115722, '195.34.179.64', '195.34.179.79', 3273831232, 3273831247, 'PL', 'Poland'),
(115723, '195.34.179.80', '195.34.179.95', 3273831248, 3273831263, 'LV', 'Latvia'),
(115724, '195.34.179.96', '195.34.191.255', 3273831264, 3273834495, 'DE', 'Germany'),
(115725, '195.34.192.0', '195.34.195.255', 3273834496, 3273835519, 'RU', 'Russian Federation'),
(115726, '195.34.196.0', '195.34.207.255', 3273835520, 3273838591, 'UA', 'Ukraine'),
(115727, '195.34.208.0', '195.34.211.255', 3273838592, 3273839615, 'PL', 'Poland'),
(115728, '195.34.212.0', '195.34.215.255', 3273839616, 3273840639, 'LT', 'Lithuania'),
(115729, '195.34.216.0', '195.34.219.255', 3273840640, 3273841663, 'PL', 'Poland'),
(115730, '195.34.220.0', '195.34.223.255', 3273841664, 3273842687, 'AT', 'Austria'),
(115731, '195.34.224.0', '195.34.255.255', 3273842688, 3273850879, 'RU', 'Russian Federation'),
(115732, '195.35.0.0', '195.35.63.255', 3273850880, 3273867263, 'DE', 'Germany'),
(115733, '195.35.64.0', '195.35.64.255', 3273867264, 3273867519, 'BE', 'Belgium'),
(115734, '195.35.65.0', '195.35.65.255', 3273867520, 3273867775, 'UA', 'Ukraine'),
(115735, '195.35.66.0', '195.35.66.255', 3273867776, 3273868031, 'PT', 'Portugal'),
(115736, '195.35.67.0', '195.35.67.255', 3273868032, 3273868287, 'GB', 'United Kingdom'),
(115737, '195.35.68.0', '195.35.71.255', 3273868288, 3273869311, 'RU', 'Russian Federation'),
(115738, '195.35.72.0', '195.35.79.255', 3273869312, 3273871359, 'DE', 'Germany'),
(115739, '195.35.80.0', '195.35.80.255', 3273871360, 3273871615, 'PL', 'Poland'),
(115740, '195.35.81.0', '195.35.81.255', 3273871616, 3273871871, 'LU', 'Luxembourg'),
(115741, '195.35.82.0', '195.35.83.255', 3273871872, 3273872383, 'SE', 'Sweden'),
(115742, '195.35.84.0', '195.35.84.255', 3273872384, 3273872639, 'BG', 'Bulgaria'),
(115743, '195.35.85.0', '195.35.85.255', 3273872640, 3273872895, 'PS', 'Palestinian Territory, Occupied'),
(115744, '195.35.86.0', '195.35.86.255', 3273872896, 3273873151, 'SE', 'Sweden'),
(115745, '195.35.87.0', '195.35.89.255', 3273873152, 3273873919, 'DE', 'Germany'),
(115746, '195.35.90.0', '195.35.91.255', 3273873920, 3273874431, 'GB', 'United Kingdom'),
(115747, '195.35.92.0', '195.35.95.255', 3273874432, 3273875455, 'GR', 'Greece'),
(115748, '195.35.96.0', '195.35.96.255', 3273875456, 3273875711, 'PT', 'Portugal'),
(115749, '195.35.97.0', '195.35.97.255', 3273875712, 3273875967, 'SE', 'Sweden'),
(115750, '195.35.98.0', '195.35.98.255', 3273875968, 3273876223, 'DE', 'Germany'),
(115751, '195.35.99.0', '195.35.99.255', 3273876224, 3273876479, 'IT', 'Italy'),
(115752, '195.35.100.0', '195.35.101.255', 3273876480, 3273876991, 'SE', 'Sweden'),
(115753, '195.35.102.0', '195.35.102.255', 3273876992, 3273877247, 'CH', 'Switzerland'),
(115754, '195.35.103.0', '195.35.103.255', 3273877248, 3273877503, 'DE', 'Germany'),
(115755, '195.35.104.0', '195.35.104.31', 3273877504, 3273877535, 'GB', 'United Kingdom'),
(115756, '195.35.104.32', '195.35.104.63', 3273877536, 3273877567, 'AT', 'Austria'),
(115757, '195.35.104.64', '195.35.104.255', 3273877568, 3273877759, 'IT', 'Italy'),
(115758, '195.35.105.0', '195.35.105.255', 3273877760, 3273878015, 'GR', 'Greece'),
(115759, '195.35.106.0', '195.35.106.255', 3273878016, 3273878271, 'FR', 'France'),
(115760, '195.35.107.0', '195.35.107.255', 3273878272, 3273878527, 'LV', 'Latvia'),
(115761, '195.35.108.0', '195.35.109.255', 3273878528, 3273879039, 'DE', 'Germany'),
(115762, '195.35.110.0', '195.35.111.255', 3273879040, 3273879551, 'BE', 'Belgium'),
(115763, '195.35.112.0', '195.35.113.255', 3273879552, 3273880063, 'GB', 'United Kingdom'),
(115764, '195.35.114.0', '195.35.115.255', 3273880064, 3273880575, 'NL', 'Netherlands'),
(115765, '195.35.116.0', '195.35.117.255', 3273880576, 3273881087, 'RU', 'Russian Federation'),
(115766, '195.35.118.0', '195.35.118.255', 3273881088, 3273881343, 'RO', 'Romania'),
(115767, '195.35.119.0', '195.35.119.255', 3273881344, 3273881599, 'CH', 'Switzerland'),
(115768, '195.35.120.0', '195.35.120.255', 3273881600, 3273881855, 'GB', 'United Kingdom'),
(115769, '195.35.121.0', '195.35.121.255', 3273881856, 3273882111, 'CH', 'Switzerland'),
(115770, '195.35.122.0', '195.35.122.255', 3273882112, 3273882367, 'SI', 'Slovenia'),
(115771, '195.35.123.0', '195.35.125.255', 3273882368, 3273883135, 'GB', 'United Kingdom'),
(115772, '195.35.126.0', '195.35.126.255', 3273883136, 3273883391, 'GR', 'Greece'),
(115773, '195.35.127.0', '195.35.127.255', 3273883392, 3273883647, 'DE', 'Germany'),
(115774, '195.35.128.0', '195.35.255.255', 3273883648, 3273916415, 'NL', 'Netherlands'),
(115775, '195.36.0.0', '195.36.63.255', 3273916416, 3273932799, 'IT', 'Italy'),
(115776, '195.36.64.0', '195.36.127.255', 3273932800, 3273949183, 'DE', 'Germany'),
(115777, '195.36.128.0', '195.36.255.255', 3273949184, 3273981951, 'FR', 'France'),
(115778, '195.37.0.0', '195.37.255.255', 3273981952, 3274047487, 'DE', 'Germany'),
(115779, '195.38.0.0', '195.38.7.255', 3274047488, 3274049535, 'SE', 'Sweden'),
(115780, '195.38.8.0', '195.38.11.255', 3274049536, 3274050559, 'DE', 'Germany'),
(115781, '195.38.12.0', '195.38.15.255', 3274050560, 3274051583, 'PL', 'Poland'),
(115782, '195.38.16.0', '195.38.18.255', 3274051584, 3274052351, 'UA', 'Ukraine'),
(115783, '195.38.19.0', '195.38.19.255', 3274052352, 3274052607, 'GB', 'United Kingdom'),
(115784, '195.38.20.0', '195.38.20.255', 3274052608, 3274052863, 'DE', 'Germany'),
(115785, '195.38.21.0', '195.38.21.255', 3274052864, 3274053119, 'GB', 'United Kingdom'),
(115786, '195.38.22.0', '195.38.22.255', 3274053120, 3274053375, 'KZ', 'Kazakhstan'),
(115787, '195.38.23.0', '195.38.23.255', 3274053376, 3274053631, 'RU', 'Russian Federation'),
(115788, '195.38.24.0', '195.38.27.255', 3274053632, 3274054655, 'DE', 'Germany'),
(115789, '195.38.28.0', '195.38.29.255', 3274054656, 3274055167, 'GB', 'United Kingdom'),
(115790, '195.38.30.0', '195.38.30.255', 3274055168, 3274055423, 'MT', 'Malta'),
(115791, '195.38.31.0', '195.38.31.255', 3274055424, 3274055679, 'PL', 'Poland'),
(115792, '195.38.32.0', '195.38.63.255', 3274055680, 3274063871, 'RU', 'Russian Federation'),
(115793, '195.38.64.0', '195.38.95.255', 3274063872, 3274072063, 'GB', 'United Kingdom'),
(115794, '195.38.96.0', '195.38.127.255', 3274072064, 3274080255, 'HU', 'Hungary'),
(115795, '195.38.128.0', '195.38.159.255', 3274080256, 3274088447, 'DE', 'Germany'),
(115796, '195.38.160.0', '195.38.191.255', 3274088448, 3274096639, 'KG', 'Kyrgyzstan'),
(115797, '195.38.192.0', '195.38.255.255', 3274096640, 3274113023, 'NL', 'Netherlands'),
(115798, '195.39.0.0', '195.39.127.255', 3274113024, 3274145791, 'CZ', 'Czech Republic'),
(115799, '195.39.128.0', '195.39.147.255', 3274145792, 3274150911, 'KW', 'Kuwait'),
(115800, '195.39.148.0', '195.39.148.255', 3274150912, 3274151167, 'US', 'United States'),
(115801, '195.39.149.0', '195.39.153.255', 3274151168, 3274152447, 'KW', 'Kuwait'),
(115802, '195.39.154.0', '195.39.154.255', 3274152448, 3274152703, 'US', 'United States'),
(115803, '195.39.155.0', '195.39.191.255', 3274152704, 3274162175, 'KW', 'Kuwait'),
(115804, '195.39.192.0', '195.39.193.255', 3274162176, 3274162687, 'GB', 'United Kingdom'),
(115805, '195.39.194.0', '195.39.195.255', 3274162688, 3274163199, 'DE', 'Germany'),
(115806, '195.39.196.0', '195.39.197.255', 3274163200, 3274163711, 'UA', 'Ukraine'),
(115807, '195.39.198.0', '195.39.199.255', 3274163712, 3274164223, 'BG', 'Bulgaria'),
(115808, '195.39.200.0', '195.39.201.255', 3274164224, 3274164735, 'AT', 'Austria'),
(115809, '195.39.202.0', '195.39.205.255', 3274164736, 3274165759, 'GB', 'United Kingdom'),
(115810, '195.39.206.0', '195.39.207.255', 3274165760, 3274166271, 'RU', 'Russian Federation'),
(115811, '195.39.208.0', '195.39.209.255', 3274166272, 3274166783, 'RO', 'Romania'),
(115812, '195.39.210.0', '195.39.211.255', 3274166784, 3274167295, 'UA', 'Ukraine'),
(115813, '195.39.212.0', '195.39.213.255', 3274167296, 3274167807, 'BG', 'Bulgaria'),
(115814, '195.39.214.0', '195.39.215.255', 3274167808, 3274168319, 'UA', 'Ukraine'),
(115815, '195.39.216.0', '195.39.217.255', 3274168320, 3274168831, 'PL', 'Poland'),
(115816, '195.39.218.0', '195.39.219.255', 3274168832, 3274169343, 'DZ', 'Algeria'),
(115817, '195.39.220.0', '195.39.223.255', 3274169344, 3274170367, 'DE', 'Germany'),
(115818, '195.39.224.0', '195.39.225.255', 3274170368, 3274170879, 'TR', 'Turkey'),
(115819, '195.39.226.0', '195.39.227.255', 3274170880, 3274171391, 'DE', 'Germany'),
(115820, '195.39.228.0', '195.39.229.255', 3274171392, 3274171903, 'RU', 'Russian Federation'),
(115821, '195.39.230.0', '195.39.231.255', 3274171904, 3274172415, 'DE', 'Germany'),
(115822, '195.39.232.0', '195.39.233.255', 3274172416, 3274172927, 'UA', 'Ukraine'),
(115823, '195.39.234.0', '195.39.235.255', 3274172928, 3274173439, 'DE', 'Germany'),
(115824, '195.39.236.0', '195.39.237.255', 3274173440, 3274173951, 'GR', 'Greece'),
(115825, '195.39.238.0', '195.39.238.255', 3274173952, 3274174207, 'GB', 'United Kingdom'),
(115826, '195.39.239.0', '195.39.239.255', 3274174208, 3274174463, 'CZ', 'Czech Republic'),
(115827, '195.39.240.0', '195.39.243.255', 3274174464, 3274175487, 'UA', 'Ukraine'),
(115828, '195.39.244.0', '195.39.245.255', 3274175488, 3274175999, 'BE', 'Belgium'),
(115829, '195.39.246.0', '195.39.247.255', 3274176000, 3274176511, 'DE', 'Germany'),
(115830, '195.39.248.0', '195.39.249.255', 3274176512, 3274177023, 'UA', 'Ukraine'),
(115831, '195.39.250.0', '195.39.251.255', 3274177024, 3274177535, 'FR', 'France'),
(115832, '195.39.252.0', '195.39.253.255', 3274177536, 3274178047, 'UA', 'Ukraine'),
(115833, '195.39.254.0', '195.39.255.255', 3274178048, 3274178559, 'NL', 'Netherlands'),
(115834, '195.40.0.0', '195.40.99.159', 3274178560, 3274204063, 'GB', 'United Kingdom'),
(115835, '195.40.99.160', '195.40.99.191', 3274204064, 3274204095, 'FR', 'France'),
(115836, '195.40.99.192', '195.40.189.255', 3274204096, 3274227199, 'GB', 'United Kingdom'),
(115837, '195.40.190.0', '195.40.190.255', 3274227200, 3274227455, 'A2', 'Satellite Provider'),
(115838, '195.40.191.0', '195.40.255.255', 3274227456, 3274244095, 'GB', 'United Kingdom'),
(115839, '195.41.0.0', '195.41.255.255', 3274244096, 3274309631, 'DK', 'Denmark'),
(115840, '195.42.0.0', '195.42.63.255', 3274309632, 3274326015, 'FR', 'France'),
(115841, '195.42.64.0', '195.42.97.255', 3274326016, 3274334719, 'RU', 'Russian Federation'),
(115842, '195.42.98.0', '195.42.99.255', 3274334720, 3274335231, 'PL', 'Poland'),
(115843, '195.42.100.0', '195.42.101.255', 3274335232, 3274335743, 'DE', 'Germany'),
(115844, '195.42.102.0', '195.42.103.255', 3274335744, 3274336255, 'NL', 'Netherlands'),
(115845, '195.42.104.0', '195.42.105.255', 3274336256, 3274336767, 'SE', 'Sweden'),
(115846, '195.42.106.0', '195.42.107.255', 3274336768, 3274337279, 'AT', 'Austria'),
(115847, '195.42.108.0', '195.42.109.255', 3274337280, 3274337791, 'DE', 'Germany'),
(115848, '195.42.110.0', '195.42.111.255', 3274337792, 3274338303, 'SE', 'Sweden'),
(115849, '195.42.112.0', '195.42.113.255', 3274338304, 3274338815, 'PL', 'Poland'),
(115850, '195.42.114.0', '195.42.115.255', 3274338816, 3274339327, 'DE', 'Germany'),
(115851, '195.42.116.0', '195.42.117.255', 3274339328, 3274339839, 'RO', 'Romania'),
(115852, '195.42.118.0', '195.42.119.255', 3274339840, 3274340351, 'RU', 'Russian Federation'),
(115853, '195.42.120.0', '195.42.121.255', 3274340352, 3274340863, 'IE', 'Ireland'),
(115854, '195.42.122.0', '195.42.123.255', 3274340864, 3274341375, 'RU', 'Russian Federation'),
(115855, '195.42.124.0', '195.42.125.255', 3274341376, 3274341887, 'FR', 'France'),
(115856, '195.42.126.0', '195.42.127.255', 3274341888, 3274342399, 'UA', 'Ukraine'),
(115857, '195.42.128.0', '195.42.129.255', 3274342400, 3274342911, 'RO', 'Romania'),
(115858, '195.42.130.0', '195.42.131.255', 3274342912, 3274343423, 'UA', 'Ukraine'),
(115859, '195.42.132.0', '195.42.133.255', 3274343424, 3274343935, 'US', 'United States'),
(115860, '195.42.134.0', '195.42.135.255', 3274343936, 3274344447, 'NL', 'Netherlands'),
(115861, '195.42.136.0', '195.42.137.255', 3274344448, 3274344959, 'UA', 'Ukraine'),
(115862, '195.42.138.0', '195.42.139.255', 3274344960, 3274345471, 'RO', 'Romania'),
(115863, '195.42.140.0', '195.42.141.255', 3274345472, 3274345983, 'PL', 'Poland'),
(115864, '195.42.142.0', '195.42.143.255', 3274345984, 3274346495, 'DE', 'Germany'),
(115865, '195.42.144.0', '195.42.145.255', 3274346496, 3274347007, 'FR', 'France'),
(115866, '195.42.146.0', '195.42.147.255', 3274347008, 3274347519, 'RU', 'Russian Federation'),
(115867, '195.42.148.0', '195.42.149.255', 3274347520, 3274348031, 'FR', 'France'),
(115868, '195.42.150.0', '195.42.151.255', 3274348032, 3274348543, 'DK', 'Denmark'),
(115869, '195.42.152.0', '195.42.153.255', 3274348544, 3274349055, 'PL', 'Poland'),
(115870, '195.42.154.0', '195.42.191.255', 3274349056, 3274358783, 'RU', 'Russian Federation'),
(115871, '195.42.192.0', '195.42.223.255', 3274358784, 3274366975, 'SE', 'Sweden'),
(115872, '195.42.224.0', '195.42.229.255', 3274366976, 3274368511, 'NL', 'Netherlands'),
(115873, '195.42.230.0', '195.42.230.255', 3274368512, 3274368767, 'AT', 'Austria'),
(115874, '195.42.231.0', '195.42.231.255', 3274368768, 3274369023, 'FR', 'France'),
(115875, '195.42.232.0', '195.42.235.255', 3274369024, 3274370047, 'DE', 'Germany'),
(115876, '195.42.236.0', '195.42.239.255', 3274370048, 3274371071, 'GB', 'United Kingdom'),
(115877, '195.42.240.0', '195.42.248.255', 3274371072, 3274373375, 'NL', 'Netherlands'),
(115878, '195.42.249.0', '195.42.249.255', 3274373376, 3274373631, 'PL', 'Poland'),
(115879, '195.42.250.0', '195.42.251.255', 3274373632, 3274374143, 'FR', 'France'),
(115880, '195.42.252.0', '195.42.255.255', 3274374144, 3274375167, 'DE', 'Germany'),
(115881, '195.43.0.0', '195.43.31.255', 3274375168, 3274383359, 'EG', 'Egypt'),
(115882, '195.43.32.0', '195.43.35.255', 3274383360, 3274384383, 'RU', 'Russian Federation'),
(115883, '195.43.36.0', '195.43.39.255', 3274384384, 3274385407, 'SE', 'Sweden'),
(115884, '195.43.40.0', '195.43.43.255', 3274385408, 3274386431, 'UA', 'Ukraine'),
(115885, '195.43.44.0', '195.43.51.255', 3274386432, 3274388479, 'GB', 'United Kingdom'),
(115886, '195.43.52.0', '195.43.55.255', 3274388480, 3274389503, 'DE', 'Germany'),
(115887, '195.43.56.0', '195.43.59.255', 3274389504, 3274390527, 'CH', 'Switzerland'),
(115888, '195.43.60.0', '195.43.63.255', 3274390528, 3274391551, 'NO', 'Norway'),
(115889, '195.43.64.0', '195.43.65.255', 3274391552, 3274392063, 'FR', 'France'),
(115890, '195.43.66.0', '195.43.67.255', 3274392064, 3274392575, 'PL', 'Poland'),
(115891, '195.43.68.0', '195.43.69.255', 3274392576, 3274393087, 'RU', 'Russian Federation'),
(115892, '195.43.70.0', '195.43.71.255', 3274393088, 3274393599, 'UA', 'Ukraine'),
(115893, '195.43.72.0', '195.43.73.255', 3274393600, 3274394111, 'PL', 'Poland'),
(115894, '195.43.74.0', '195.43.75.255', 3274394112, 3274394623, 'AM', 'Armenia'),
(115895, '195.43.76.0', '195.43.77.255', 3274394624, 3274395135, 'CZ', 'Czech Republic'),
(115896, '195.43.78.0', '195.43.79.255', 3274395136, 3274395647, 'DK', 'Denmark'),
(115897, '195.43.80.0', '195.43.83.255', 3274395648, 3274396671, 'LV', 'Latvia'),
(115898, '195.43.84.0', '195.43.85.255', 3274396672, 3274397183, 'PL', 'Poland'),
(115899, '195.43.86.0', '195.43.87.255', 3274397184, 3274397695, 'EE', 'Estonia'),
(115900, '195.43.88.0', '195.43.89.255', 3274397696, 3274398207, 'DE', 'Germany'),
(115901, '195.43.90.0', '195.43.93.255', 3274398208, 3274399231, 'RU', 'Russian Federation'),
(115902, '195.43.94.0', '195.43.95.255', 3274399232, 3274399743, 'SC', 'Seychelles'),
(115903, '195.43.96.0', '195.43.127.255', 3274399744, 3274407935, 'LU', 'Luxembourg'),
(115904, '195.43.128.0', '195.43.128.255', 3274407936, 3274408191, 'RU', 'Russian Federation'),
(115905, '195.43.129.0', '195.43.129.255', 3274408192, 3274408447, 'IT', 'Italy'),
(115906, '195.43.130.0', '195.43.130.255', 3274408448, 3274408703, 'NL', 'Netherlands'),
(115907, '195.43.131.0', '195.43.131.255', 3274408704, 3274408959, 'SI', 'Slovenia'),
(115908, '195.43.132.0', '195.43.132.255', 3274408960, 3274409215, 'GR', 'Greece'),
(115909, '195.43.133.0', '195.43.133.255', 3274409216, 3274409471, 'SI', 'Slovenia'),
(115910, '195.43.134.0', '195.43.134.255', 3274409472, 3274409727, 'CH', 'Switzerland'),
(115911, '195.43.135.0', '195.43.135.255', 3274409728, 3274409983, 'RU', 'Russian Federation'),
(115912, '195.43.136.0', '195.43.136.255', 3274409984, 3274410239, 'LT', 'Lithuania'),
(115913, '195.43.137.0', '195.43.137.255', 3274410240, 3274410495, 'SA', 'Saudi Arabia'),
(115914, '195.43.138.0', '195.43.138.255', 3274410496, 3274410751, 'NL', 'Netherlands'),
(115915, '195.43.139.0', '195.43.139.255', 3274410752, 3274411007, 'AT', 'Austria'),
(115916, '195.43.140.0', '195.43.140.255', 3274411008, 3274411263, 'CH', 'Switzerland'),
(115917, '195.43.141.0', '195.43.141.255', 3274411264, 3274411519, 'LI', 'Liechtenstein'),
(115918, '195.43.142.0', '195.43.143.255', 3274411520, 3274412031, 'PL', 'Poland'),
(115919, '195.43.144.0', '195.43.144.255', 3274412032, 3274412287, 'RU', 'Russian Federation'),
(115920, '195.43.145.0', '195.43.145.255', 3274412288, 3274412543, 'NO', 'Norway'),
(115921, '195.43.146.0', '195.43.146.255', 3274412544, 3274412799, 'UA', 'Ukraine'),
(115922, '195.43.147.0', '195.43.147.255', 3274412800, 3274413055, 'RU', 'Russian Federation'),
(115923, '195.43.148.0', '195.43.148.255', 3274413056, 3274413311, 'UA', 'Ukraine'),
(115924, '195.43.149.0', '195.43.149.255', 3274413312, 3274413567, 'AT', 'Austria'),
(115925, '195.43.150.0', '195.43.150.255', 3274413568, 3274413823, 'FR', 'France'),
(115926, '195.43.151.0', '195.43.151.255', 3274413824, 3274414079, 'SE', 'Sweden'),
(115927, '195.43.152.0', '195.43.152.255', 3274414080, 3274414335, 'AT', 'Austria'),
(115928, '195.43.153.0', '195.43.153.255', 3274414336, 3274414591, 'CH', 'Switzerland'),
(115929, '195.43.154.0', '195.43.154.255', 3274414592, 3274414847, 'NL', 'Netherlands'),
(115930, '195.43.155.0', '195.43.155.255', 3274414848, 3274415103, 'IE', 'Ireland'),
(115931, '195.43.156.0', '195.43.156.255', 3274415104, 3274415359, 'PL', 'Poland'),
(115932, '195.43.157.0', '195.43.157.255', 3274415360, 3274415615, 'GB', 'United Kingdom'),
(115933, '195.43.158.0', '195.43.158.255', 3274415616, 3274415871, 'NL', 'Netherlands'),
(115934, '195.43.159.0', '195.43.159.255', 3274415872, 3274416127, 'SI', 'Slovenia'),
(115935, '195.43.160.0', '195.43.191.255', 3274416128, 3274424319, 'IT', 'Italy'),
(115936, '195.43.192.0', '195.43.236.127', 3274424320, 3274435711, 'SE', 'Sweden'),
(115937, '195.43.236.128', '195.43.236.255', 3274435712, 3274435839, 'US', 'United States'),
(115938, '195.43.237.0', '195.43.255.255', 3274435840, 3274440703, 'SE', 'Sweden'),
(115939, '195.44.0.0', '195.44.7.255', 3274440704, 3274442751, 'EU', 'Europe'),
(115940, '195.44.8.0', '195.44.9.255', 3274442752, 3274443263, 'GB', 'United Kingdom'),
(115941, '195.44.10.0', '195.44.10.255', 3274443264, 3274443519, 'EU', 'Europe'),
(115942, '195.44.11.0', '195.44.11.127', 3274443520, 3274443647, 'GB', 'United Kingdom'),
(115943, '195.44.11.128', '195.44.11.191', 3274443648, 3274443711, 'EU', 'Europe'),
(115944, '195.44.11.192', '195.44.11.255', 3274443712, 3274443775, 'GB', 'United Kingdom'),
(115945, '195.44.12.0', '195.44.12.31', 3274443776, 3274443807, 'EU', 'Europe'),
(115946, '195.44.12.32', '195.44.12.255', 3274443808, 3274444031, 'GB', 'United Kingdom'),
(115947, '195.44.13.0', '195.44.21.255', 3274444032, 3274446335, 'EU', 'Europe'),
(115948, '195.44.22.0', '195.44.27.255', 3274446336, 3274447871, 'GB', 'United Kingdom'),
(115949, '195.44.28.0', '195.44.29.255', 3274447872, 3274448383, 'EU', 'Europe'),
(115950, '195.44.30.0', '195.44.30.255', 3274448384, 3274448639, 'GB', 'United Kingdom'),
(115951, '195.44.31.0', '195.44.31.255', 3274448640, 3274448895, 'EU', 'Europe'),
(115952, '195.44.32.0', '195.44.34.255', 3274448896, 3274449663, 'GB', 'United Kingdom'),
(115953, '195.44.35.0', '195.44.35.255', 3274449664, 3274449919, 'EU', 'Europe'),
(115954, '195.44.36.0', '195.44.37.55', 3274449920, 3274450231, 'GB', 'United Kingdom'),
(115955, '195.44.37.56', '195.44.37.71', 3274450232, 3274450247, 'EU', 'Europe'),
(115956, '195.44.37.72', '195.44.37.191', 3274450248, 3274450367, 'GB', 'United Kingdom'),
(115957, '195.44.37.192', '195.44.37.199', 3274450368, 3274450375, 'EU', 'Europe'),
(115958, '195.44.37.200', '195.44.37.215', 3274450376, 3274450391, 'GB', 'United Kingdom'),
(115959, '195.44.37.216', '195.44.37.231', 3274450392, 3274450407, 'EU', 'Europe'),
(115960, '195.44.37.232', '195.44.37.239', 3274450408, 3274450415, 'GB', 'United Kingdom'),
(115961, '195.44.37.240', '195.44.37.255', 3274450416, 3274450431, 'EU', 'Europe'),
(115962, '195.44.38.0', '195.44.38.191', 3274450432, 3274450623, 'GB', 'United Kingdom'),
(115963, '195.44.38.192', '195.44.38.223', 3274450624, 3274450655, 'EU', 'Europe'),
(115964, '195.44.38.224', '195.44.38.255', 3274450656, 3274450687, 'GB', 'United Kingdom'),
(115965, '195.44.39.0', '195.44.40.255', 3274450688, 3274451199, 'EU', 'Europe'),
(115966, '195.44.41.0', '195.44.45.31', 3274451200, 3274452255, 'GB', 'United Kingdom'),
(115967, '195.44.45.32', '195.44.45.39', 3274452256, 3274452263, 'EU', 'Europe'),
(115968, '195.44.45.40', '195.44.45.87', 3274452264, 3274452311, 'GB', 'United Kingdom'),
(115969, '195.44.45.88', '195.44.45.95', 3274452312, 3274452319, 'EU', 'Europe'),
(115970, '195.44.45.96', '195.44.45.111', 3274452320, 3274452335, 'GB', 'United Kingdom'),
(115971, '195.44.45.112', '195.44.45.119', 3274452336, 3274452343, 'EU', 'Europe'),
(115972, '195.44.45.120', '195.44.45.143', 3274452344, 3274452367, 'GB', 'United Kingdom'),
(115973, '195.44.45.144', '195.44.45.159', 3274452368, 3274452383, 'EU', 'Europe'),
(115974, '195.44.45.160', '195.44.45.167', 3274452384, 3274452391, 'GB', 'United Kingdom'),
(115975, '195.44.45.168', '195.44.45.175', 3274452392, 3274452399, 'EU', 'Europe'),
(115976, '195.44.45.176', '195.44.45.199', 3274452400, 3274452423, 'GB', 'United Kingdom'),
(115977, '195.44.45.200', '195.44.45.207', 3274452424, 3274452431, 'EU', 'Europe'),
(115978, '195.44.45.208', '195.44.45.215', 3274452432, 3274452439, 'GB', 'United Kingdom'),
(115979, '195.44.45.216', '195.44.45.223', 3274452440, 3274452447, 'EU', 'Europe'),
(115980, '195.44.45.224', '195.44.45.231', 3274452448, 3274452455, 'GB', 'United Kingdom'),
(115981, '195.44.45.232', '195.44.45.239', 3274452456, 3274452463, 'EU', 'Europe'),
(115982, '195.44.45.240', '195.44.45.247', 3274452464, 3274452471, 'GB', 'United Kingdom'),
(115983, '195.44.45.248', '195.44.46.15', 3274452472, 3274452495, 'EU', 'Europe'),
(115984, '195.44.46.16', '195.44.46.63', 3274452496, 3274452543, 'GB', 'United Kingdom'),
(115985, '195.44.46.64', '195.44.46.79', 3274452544, 3274452559, 'EU', 'Europe'),
(115986, '195.44.46.80', '195.44.46.95', 3274452560, 3274452575, 'GB', 'United Kingdom'),
(115987, '195.44.46.96', '195.44.46.175', 3274452576, 3274452655, 'EU', 'Europe'),
(115988, '195.44.46.176', '195.44.46.223', 3274452656, 3274452703, 'GB', 'United Kingdom'),
(115989, '195.44.46.224', '195.44.46.255', 3274452704, 3274452735, 'EU', 'Europe'),
(115990, '195.44.47.0', '195.44.47.191', 3274452736, 3274452927, 'GB', 'United Kingdom'),
(115991, '195.44.47.192', '195.44.47.255', 3274452928, 3274452991, 'EU', 'Europe'),
(115992, '195.44.48.0', '195.44.51.7', 3274452992, 3274453767, 'GB', 'United Kingdom'),
(115993, '195.44.51.8', '195.44.51.23', 3274453768, 3274453783, 'EU', 'Europe'),
(115994, '195.44.51.24', '195.44.51.31', 3274453784, 3274453791, 'GB', 'United Kingdom'),
(115995, '195.44.51.32', '195.44.51.39', 3274453792, 3274453799, 'EU', 'Europe'),
(115996, '195.44.51.40', '195.44.51.87', 3274453800, 3274453847, 'GB', 'United Kingdom'),
(115997, '195.44.51.88', '195.44.51.103', 3274453848, 3274453863, 'EU', 'Europe'),
(115998, '195.44.51.104', '195.44.51.111', 3274453864, 3274453871, 'GB', 'United Kingdom'),
(115999, '195.44.51.112', '195.44.51.127', 3274453872, 3274453887, 'EU', 'Europe'),
(116000, '195.44.51.128', '195.44.51.143', 3274453888, 3274453903, 'GB', 'United Kingdom'),
(116001, '195.44.51.144', '195.44.51.159', 3274453904, 3274453919, 'EU', 'Europe'),
(116002, '195.44.51.160', '195.44.51.175', 3274453920, 3274453935, 'GB', 'United Kingdom'),
(116003, '195.44.51.176', '195.44.51.183', 3274453936, 3274453943, 'EU', 'Europe'),
(116004, '195.44.51.184', '195.44.51.191', 3274453944, 3274453951, 'GB', 'United Kingdom'),
(116005, '195.44.51.192', '195.44.51.199', 3274453952, 3274453959, 'EU', 'Europe'),
(116006, '195.44.51.200', '195.44.51.215', 3274453960, 3274453975, 'GB', 'United Kingdom'),
(116007, '195.44.51.216', '195.44.51.223', 3274453976, 3274453983, 'EU', 'Europe'),
(116008, '195.44.51.224', '195.44.51.231', 3274453984, 3274453991, 'GB', 'United Kingdom'),
(116009, '195.44.51.232', '195.44.51.239', 3274453992, 3274453999, 'EU', 'Europe'),
(116010, '195.44.51.240', '195.44.52.255', 3274454000, 3274454271, 'GB', 'United Kingdom'),
(116011, '195.44.53.0', '195.44.54.127', 3274454272, 3274454655, 'EU', 'Europe'),
(116012, '195.44.54.128', '195.44.57.15', 3274454656, 3274455311, 'GB', 'United Kingdom'),
(116013, '195.44.57.16', '195.44.57.31', 3274455312, 3274455327, 'EU', 'Europe'),
(116014, '195.44.57.32', '195.44.57.39', 3274455328, 3274455335, 'GB', 'United Kingdom'),
(116015, '195.44.57.40', '195.44.57.47', 3274455336, 3274455343, 'EU', 'Europe'),
(116016, '195.44.57.48', '195.44.57.55', 3274455344, 3274455351, 'GB', 'United Kingdom'),
(116017, '195.44.57.56', '195.44.57.63', 3274455352, 3274455359, 'EU', 'Europe'),
(116018, '195.44.57.64', '195.44.57.79', 3274455360, 3274455375, 'GB', 'United Kingdom'),
(116019, '195.44.57.80', '195.44.57.87', 3274455376, 3274455383, 'EU', 'Europe'),
(116020, '195.44.57.88', '195.44.57.95', 3274455384, 3274455391, 'GB', 'United Kingdom'),
(116021, '195.44.57.96', '195.44.57.103', 3274455392, 3274455399, 'EU', 'Europe'),
(116022, '195.44.57.104', '195.44.57.127', 3274455400, 3274455423, 'GB', 'United Kingdom'),
(116023, '195.44.57.128', '195.44.57.135', 3274455424, 3274455431, 'EU', 'Europe'),
(116024, '195.44.57.136', '195.44.57.143', 3274455432, 3274455439, 'GB', 'United Kingdom'),
(116025, '195.44.57.144', '195.44.57.151', 3274455440, 3274455447, 'EU', 'Europe'),
(116026, '195.44.57.152', '195.44.57.207', 3274455448, 3274455503, 'GB', 'United Kingdom'),
(116027, '195.44.57.208', '195.44.57.223', 3274455504, 3274455519, 'EU', 'Europe'),
(116028, '195.44.57.224', '195.44.57.239', 3274455520, 3274455535, 'GB', 'United Kingdom'),
(116029, '195.44.57.240', '195.44.58.191', 3274455536, 3274455743, 'EU', 'Europe'),
(116030, '195.44.58.192', '195.44.58.255', 3274455744, 3274455807, 'GB', 'United Kingdom'),
(116031, '195.44.59.0', '195.44.59.63', 3274455808, 3274455871, 'EU', 'Europe'),
(116032, '195.44.59.64', '195.44.59.127', 3274455872, 3274455935, 'GB', 'United Kingdom'),
(116033, '195.44.59.128', '195.44.59.159', 3274455936, 3274455967, 'EU', 'Europe'),
(116034, '195.44.59.160', '195.44.61.39', 3274455968, 3274456359, 'GB', 'United Kingdom'),
(116035, '195.44.61.40', '195.44.61.47', 3274456360, 3274456367, 'EU', 'Europe'),
(116036, '195.44.61.48', '195.44.61.55', 3274456368, 3274456375, 'GB', 'United Kingdom'),
(116037, '195.44.61.56', '195.44.61.63', 3274456376, 3274456383, 'EU', 'Europe'),
(116038, '195.44.61.64', '195.44.61.71', 3274456384, 3274456391, 'GB', 'United Kingdom'),
(116039, '195.44.61.72', '195.44.61.79', 3274456392, 3274456399, 'EU', 'Europe'),
(116040, '195.44.61.80', '195.44.61.87', 3274456400, 3274456407, 'GB', 'United Kingdom'),
(116041, '195.44.61.88', '195.44.61.95', 3274456408, 3274456415, 'EU', 'Europe'),
(116042, '195.44.61.96', '195.44.61.127', 3274456416, 3274456447, 'GB', 'United Kingdom'),
(116043, '195.44.61.128', '195.44.61.135', 3274456448, 3274456455, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(116044, '195.44.61.136', '195.44.61.191', 3274456456, 3274456511, 'GB', 'United Kingdom'),
(116045, '195.44.61.192', '195.44.61.207', 3274456512, 3274456527, 'EU', 'Europe'),
(116046, '195.44.61.208', '195.44.61.215', 3274456528, 3274456535, 'GB', 'United Kingdom'),
(116047, '195.44.61.216', '195.44.61.223', 3274456536, 3274456543, 'EU', 'Europe'),
(116048, '195.44.61.224', '195.44.61.239', 3274456544, 3274456559, 'GB', 'United Kingdom'),
(116049, '195.44.61.240', '195.44.61.247', 3274456560, 3274456567, 'EU', 'Europe'),
(116050, '195.44.61.248', '195.44.76.63', 3274456568, 3274460223, 'GB', 'United Kingdom'),
(116051, '195.44.76.64', '195.44.76.255', 3274460224, 3274460415, 'EU', 'Europe'),
(116052, '195.44.77.0', '195.44.83.255', 3274460416, 3274462207, 'GB', 'United Kingdom'),
(116053, '195.44.84.0', '195.44.84.255', 3274462208, 3274462463, 'EU', 'Europe'),
(116054, '195.44.85.0', '195.44.94.255', 3274462464, 3274465023, 'GB', 'United Kingdom'),
(116055, '195.44.95.0', '195.44.95.127', 3274465024, 3274465151, 'EU', 'Europe'),
(116056, '195.44.95.128', '195.44.100.47', 3274465152, 3274466351, 'GB', 'United Kingdom'),
(116057, '195.44.100.48', '195.44.100.63', 3274466352, 3274466367, 'EU', 'Europe'),
(116058, '195.44.100.64', '195.44.100.95', 3274466368, 3274466399, 'GB', 'United Kingdom'),
(116059, '195.44.100.96', '195.44.100.111', 3274466400, 3274466415, 'EU', 'Europe'),
(116060, '195.44.100.112', '195.44.100.159', 3274466416, 3274466463, 'GB', 'United Kingdom'),
(116061, '195.44.100.160', '195.44.100.255', 3274466464, 3274466559, 'EU', 'Europe'),
(116062, '195.44.101.0', '195.44.101.175', 3274466560, 3274466735, 'GB', 'United Kingdom'),
(116063, '195.44.101.176', '195.44.101.183', 3274466736, 3274466743, 'EU', 'Europe'),
(116064, '195.44.101.184', '195.44.101.203', 3274466744, 3274466763, 'GB', 'United Kingdom'),
(116065, '195.44.101.204', '195.44.101.207', 3274466764, 3274466767, 'EU', 'Europe'),
(116066, '195.44.101.208', '195.44.101.223', 3274466768, 3274466783, 'GB', 'United Kingdom'),
(116067, '195.44.101.224', '195.44.101.255', 3274466784, 3274466815, 'EU', 'Europe'),
(116068, '195.44.102.0', '195.44.103.27', 3274466816, 3274467099, 'GB', 'United Kingdom'),
(116069, '195.44.103.28', '195.44.103.31', 3274467100, 3274467103, 'EU', 'Europe'),
(116070, '195.44.103.32', '195.44.103.235', 3274467104, 3274467307, 'GB', 'United Kingdom'),
(116071, '195.44.103.236', '195.44.103.255', 3274467308, 3274467327, 'EU', 'Europe'),
(116072, '195.44.104.0', '195.44.115.239', 3274467328, 3274470383, 'GB', 'United Kingdom'),
(116073, '195.44.115.240', '195.44.115.255', 3274470384, 3274470399, 'EU', 'Europe'),
(116074, '195.44.116.0', '195.44.116.135', 3274470400, 3274470535, 'GB', 'United Kingdom'),
(116075, '195.44.116.136', '195.44.116.255', 3274470536, 3274470655, 'EU', 'Europe'),
(116076, '195.44.117.0', '195.44.119.255', 3274470656, 3274471423, 'GB', 'United Kingdom'),
(116077, '195.44.120.0', '195.44.120.111', 3274471424, 3274471535, 'EU', 'Europe'),
(116078, '195.44.120.112', '195.44.120.191', 3274471536, 3274471615, 'GB', 'United Kingdom'),
(116079, '195.44.120.192', '195.44.120.255', 3274471616, 3274471679, 'EU', 'Europe'),
(116080, '195.44.121.0', '195.44.121.255', 3274471680, 3274471935, 'GB', 'United Kingdom'),
(116081, '195.44.122.0', '195.44.125.255', 3274471936, 3274472959, 'EU', 'Europe'),
(116082, '195.44.126.0', '195.44.167.255', 3274472960, 3274483711, 'GB', 'United Kingdom'),
(116083, '195.44.168.0', '195.44.190.255', 3274483712, 3274489599, 'EU', 'Europe'),
(116084, '195.44.191.0', '195.44.191.255', 3274489600, 3274489855, 'GB', 'United Kingdom'),
(116085, '195.44.192.0', '195.44.193.63', 3274489856, 3274490175, 'EU', 'Europe'),
(116086, '195.44.193.64', '195.44.196.15', 3274490176, 3274490895, 'GB', 'United Kingdom'),
(116087, '195.44.196.16', '195.44.196.31', 3274490896, 3274490911, 'EU', 'Europe'),
(116088, '195.44.196.32', '195.44.197.111', 3274490912, 3274491247, 'GB', 'United Kingdom'),
(116089, '195.44.197.112', '195.44.197.119', 3274491248, 3274491255, 'EU', 'Europe'),
(116090, '195.44.197.120', '195.44.197.159', 3274491256, 3274491295, 'GB', 'United Kingdom'),
(116091, '195.44.197.160', '195.44.197.167', 3274491296, 3274491303, 'EU', 'Europe'),
(116092, '195.44.197.168', '195.44.197.183', 3274491304, 3274491319, 'GB', 'United Kingdom'),
(116093, '195.44.197.184', '195.44.197.191', 3274491320, 3274491327, 'EU', 'Europe'),
(116094, '195.44.197.192', '195.44.197.247', 3274491328, 3274491383, 'GB', 'United Kingdom'),
(116095, '195.44.197.248', '195.44.197.255', 3274491384, 3274491391, 'EU', 'Europe'),
(116096, '195.44.198.0', '195.44.248.255', 3274491392, 3274504447, 'GB', 'United Kingdom'),
(116097, '195.44.249.0', '195.44.253.255', 3274504448, 3274505727, 'EU', 'Europe'),
(116098, '195.44.254.0', '195.44.254.63', 3274505728, 3274505791, 'GB', 'United Kingdom'),
(116099, '195.44.254.64', '195.44.254.64', 3274505792, 3274505792, 'EU', 'Europe'),
(116100, '195.44.254.65', '195.44.254.127', 3274505793, 3274505855, 'GB', 'United Kingdom'),
(116101, '195.44.254.128', '195.44.255.255', 3274505856, 3274506239, 'EU', 'Europe'),
(116102, '195.45.0.0', '195.45.255.255', 3274506240, 3274571775, 'IT', 'Italy'),
(116103, '195.46.0.0', '195.46.31.255', 3274571776, 3274579967, 'GR', 'Greece'),
(116104, '195.46.32.0', '195.46.35.255', 3274579968, 3274580991, 'UA', 'Ukraine'),
(116105, '195.46.36.0', '195.46.37.255', 3274580992, 3274581503, 'PL', 'Poland'),
(116106, '195.46.38.0', '195.46.38.255', 3274581504, 3274581759, 'NL', 'Netherlands'),
(116107, '195.46.39.0', '195.46.39.255', 3274581760, 3274582015, 'RU', 'Russian Federation'),
(116108, '195.46.40.0', '195.46.43.255', 3274582016, 3274583039, 'PL', 'Poland'),
(116109, '195.46.44.0', '195.46.47.255', 3274583040, 3274584063, 'DE', 'Germany'),
(116110, '195.46.48.0', '195.46.51.255', 3274584064, 3274585087, 'GB', 'United Kingdom'),
(116111, '195.46.52.0', '195.46.55.255', 3274585088, 3274586111, 'RS', 'Serbia'),
(116112, '195.46.56.0', '195.46.59.255', 3274586112, 3274587135, 'UA', 'Ukraine'),
(116113, '195.46.60.0', '195.46.63.255', 3274587136, 3274588159, 'GB', 'United Kingdom'),
(116114, '195.46.64.0', '195.46.95.255', 3274588160, 3274596351, 'SK', 'Slovakia'),
(116115, '195.46.96.0', '195.46.127.255', 3274596352, 3274604543, 'RU', 'Russian Federation'),
(116116, '195.46.128.0', '195.46.159.255', 3274604544, 3274612735, 'TR', 'Turkey'),
(116117, '195.46.160.0', '195.46.191.255', 3274612736, 3274620927, 'RU', 'Russian Federation'),
(116118, '195.46.192.0', '195.46.223.255', 3274620928, 3274629119, 'FR', 'France'),
(116119, '195.46.224.0', '195.46.255.119', 3274629120, 3274637175, 'LU', 'Luxembourg'),
(116120, '195.46.255.120', '195.46.255.127', 3274637176, 3274637183, 'A2', 'Satellite Provider'),
(116121, '195.46.255.128', '195.46.255.255', 3274637184, 3274637311, 'LU', 'Luxembourg'),
(116122, '195.47.0.0', '195.47.127.255', 3274637312, 3274670079, 'CZ', 'Czech Republic'),
(116123, '195.47.128.0', '195.47.191.255', 3274670080, 3274686463, 'DK', 'Denmark'),
(116124, '195.47.192.0', '195.47.192.255', 3274686464, 3274686719, 'RU', 'Russian Federation'),
(116125, '195.47.193.0', '195.47.193.255', 3274686720, 3274686975, 'BG', 'Bulgaria'),
(116126, '195.47.194.0', '195.47.194.255', 3274686976, 3274687231, 'RO', 'Romania'),
(116127, '195.47.195.0', '195.47.195.255', 3274687232, 3274687487, 'DE', 'Germany'),
(116128, '195.47.196.0', '195.47.196.255', 3274687488, 3274687743, 'RU', 'Russian Federation'),
(116129, '195.47.197.0', '195.47.197.255', 3274687744, 3274687999, 'SI', 'Slovenia'),
(116130, '195.47.198.0', '195.47.198.255', 3274688000, 3274688255, 'GB', 'United Kingdom'),
(116131, '195.47.199.0', '195.47.199.255', 3274688256, 3274688511, 'IT', 'Italy'),
(116132, '195.47.200.0', '195.47.200.255', 3274688512, 3274688767, 'PT', 'Portugal'),
(116133, '195.47.201.0', '195.47.201.255', 3274688768, 3274689023, 'PL', 'Poland'),
(116134, '195.47.202.0', '195.47.202.255', 3274689024, 3274689279, 'UA', 'Ukraine'),
(116135, '195.47.203.0', '195.47.203.255', 3274689280, 3274689535, 'PL', 'Poland'),
(116136, '195.47.204.0', '195.47.204.255', 3274689536, 3274689791, 'RU', 'Russian Federation'),
(116137, '195.47.205.0', '195.47.205.255', 3274689792, 3274690047, 'SE', 'Sweden'),
(116138, '195.47.206.0', '195.47.206.255', 3274690048, 3274690303, 'ES', 'Spain'),
(116139, '195.47.207.0', '195.47.207.255', 3274690304, 3274690559, 'GB', 'United Kingdom'),
(116140, '195.47.208.0', '195.47.208.255', 3274690560, 3274690815, 'GR', 'Greece'),
(116141, '195.47.209.0', '195.47.209.255', 3274690816, 3274691071, 'ES', 'Spain'),
(116142, '195.47.210.0', '195.47.210.255', 3274691072, 3274691327, 'DK', 'Denmark'),
(116143, '195.47.211.0', '195.47.211.255', 3274691328, 3274691583, 'SI', 'Slovenia'),
(116144, '195.47.212.0', '195.47.212.255', 3274691584, 3274691839, 'UA', 'Ukraine'),
(116145, '195.47.213.0', '195.47.213.255', 3274691840, 3274692095, 'SI', 'Slovenia'),
(116146, '195.47.214.0', '195.47.214.255', 3274692096, 3274692351, 'RO', 'Romania'),
(116147, '195.47.215.0', '195.47.215.255', 3274692352, 3274692607, 'BE', 'Belgium'),
(116148, '195.47.216.0', '195.47.216.255', 3274692608, 3274692863, 'DK', 'Denmark'),
(116149, '195.47.217.0', '195.47.217.255', 3274692864, 3274693119, 'AT', 'Austria'),
(116150, '195.47.218.0', '195.47.218.255', 3274693120, 3274693375, 'LT', 'Lithuania'),
(116151, '195.47.219.0', '195.47.219.255', 3274693376, 3274693631, 'UA', 'Ukraine'),
(116152, '195.47.220.0', '195.47.220.255', 3274693632, 3274693887, 'KZ', 'Kazakhstan'),
(116153, '195.47.221.0', '195.47.221.255', 3274693888, 3274694143, 'IT', 'Italy'),
(116154, '195.47.222.0', '195.47.222.255', 3274694144, 3274694399, 'DK', 'Denmark'),
(116155, '195.47.223.0', '195.47.223.255', 3274694400, 3274694655, 'GB', 'United Kingdom'),
(116156, '195.47.224.0', '195.47.224.255', 3274694656, 3274694911, 'SI', 'Slovenia'),
(116157, '195.47.225.0', '195.47.225.255', 3274694912, 3274695167, 'GB', 'United Kingdom'),
(116158, '195.47.226.0', '195.47.226.255', 3274695168, 3274695423, 'SI', 'Slovenia'),
(116159, '195.47.227.0', '195.47.227.255', 3274695424, 3274695679, 'PL', 'Poland'),
(116160, '195.47.228.0', '195.47.228.255', 3274695680, 3274695935, 'SI', 'Slovenia'),
(116161, '195.47.229.0', '195.47.229.255', 3274695936, 3274696191, 'DE', 'Germany'),
(116162, '195.47.230.0', '195.47.230.255', 3274696192, 3274696447, 'DK', 'Denmark'),
(116163, '195.47.231.0', '195.47.231.255', 3274696448, 3274696703, 'CH', 'Switzerland'),
(116164, '195.47.232.0', '195.47.232.255', 3274696704, 3274696959, 'IT', 'Italy'),
(116165, '195.47.233.0', '195.47.233.255', 3274696960, 3274697215, 'GR', 'Greece'),
(116166, '195.47.234.0', '195.47.234.255', 3274697216, 3274697471, 'SA', 'Saudi Arabia'),
(116167, '195.47.235.0', '195.47.235.255', 3274697472, 3274697727, 'CZ', 'Czech Republic'),
(116168, '195.47.236.0', '195.47.236.255', 3274697728, 3274697983, 'ES', 'Spain'),
(116169, '195.47.237.0', '195.47.237.255', 3274697984, 3274698239, 'GB', 'United Kingdom'),
(116170, '195.47.238.0', '195.47.238.255', 3274698240, 3274698495, 'SE', 'Sweden'),
(116171, '195.47.239.0', '195.47.239.255', 3274698496, 3274698751, 'PL', 'Poland'),
(116172, '195.47.240.0', '195.47.240.255', 3274698752, 3274699007, 'GB', 'United Kingdom'),
(116173, '195.47.241.0', '195.47.241.255', 3274699008, 3274699263, 'FR', 'France'),
(116174, '195.47.242.0', '195.47.242.255', 3274699264, 3274699519, 'RO', 'Romania'),
(116175, '195.47.243.0', '195.47.243.255', 3274699520, 3274699775, 'SI', 'Slovenia'),
(116176, '195.47.244.0', '195.47.244.255', 3274699776, 3274700031, 'GB', 'United Kingdom'),
(116177, '195.47.245.0', '195.47.245.255', 3274700032, 3274700287, 'CH', 'Switzerland'),
(116178, '195.47.246.0', '195.47.246.255', 3274700288, 3274700543, 'PL', 'Poland'),
(116179, '195.47.247.0', '195.47.247.255', 3274700544, 3274700799, 'DK', 'Denmark'),
(116180, '195.47.248.0', '195.47.248.255', 3274700800, 3274701055, 'UA', 'Ukraine'),
(116181, '195.47.249.0', '195.47.249.255', 3274701056, 3274701311, 'DE', 'Germany'),
(116182, '195.47.250.0', '195.47.250.255', 3274701312, 3274701567, 'TJ', 'Tajikistan'),
(116183, '195.47.251.0', '195.47.251.255', 3274701568, 3274701823, 'IT', 'Italy'),
(116184, '195.47.252.0', '195.47.252.255', 3274701824, 3274702079, 'IL', 'Israel'),
(116185, '195.47.253.0', '195.47.253.255', 3274702080, 3274702335, 'UA', 'Ukraine'),
(116186, '195.47.254.0', '195.47.254.255', 3274702336, 3274702591, 'SE', 'Sweden'),
(116187, '195.47.255.0', '195.47.255.255', 3274702592, 3274702847, 'KZ', 'Kazakhstan'),
(116188, '195.48.0.0', '195.49.127.255', 3274702848, 3274801151, 'CH', 'Switzerland'),
(116189, '195.49.128.0', '195.49.131.255', 3274801152, 3274802175, 'UA', 'Ukraine'),
(116190, '195.49.132.0', '195.49.135.255', 3274802176, 3274803199, 'FR', 'France'),
(116191, '195.49.136.0', '195.49.139.255', 3274803200, 3274804223, 'DE', 'Germany'),
(116192, '195.49.140.0', '195.49.143.255', 3274804224, 3274805247, 'FR', 'France'),
(116193, '195.49.144.0', '195.49.147.255', 3274805248, 3274806271, 'GB', 'United Kingdom'),
(116194, '195.49.148.0', '195.49.151.255', 3274806272, 3274807295, 'UA', 'Ukraine'),
(116195, '195.49.152.0', '195.49.159.255', 3274807296, 3274809343, 'DE', 'Germany'),
(116196, '195.49.160.0', '195.49.163.255', 3274809344, 3274810367, 'SE', 'Sweden'),
(116197, '195.49.164.0', '195.49.167.255', 3274810368, 3274811391, 'UA', 'Ukraine'),
(116198, '195.49.168.0', '195.49.171.255', 3274811392, 3274812415, 'RU', 'Russian Federation'),
(116199, '195.49.172.0', '195.49.175.255', 3274812416, 3274813439, 'SE', 'Sweden'),
(116200, '195.49.176.0', '195.49.179.255', 3274813440, 3274814463, 'ES', 'Spain'),
(116201, '195.49.180.0', '195.49.183.255', 3274814464, 3274815487, 'GB', 'United Kingdom'),
(116202, '195.49.184.0', '195.49.187.255', 3274815488, 3274816511, 'RU', 'Russian Federation'),
(116203, '195.49.188.0', '195.49.191.255', 3274816512, 3274817535, 'SK', 'Slovakia'),
(116204, '195.49.192.0', '195.49.199.255', 3274817536, 3274819583, 'RU', 'Russian Federation'),
(116205, '195.49.200.0', '195.49.207.255', 3274819584, 3274821631, 'UA', 'Ukraine'),
(116206, '195.49.208.0', '195.49.215.255', 3274821632, 3274823679, 'KZ', 'Kazakhstan'),
(116207, '195.49.216.0', '195.49.223.255', 3274823680, 3274825727, 'TR', 'Turkey'),
(116208, '195.49.224.0', '195.49.231.255', 3274825728, 3274827775, 'DE', 'Germany'),
(116209, '195.49.232.0', '195.49.239.255', 3274827776, 3274829823, 'RO', 'Romania'),
(116210, '195.49.240.0', '195.49.247.255', 3274829824, 3274831871, 'SE', 'Sweden'),
(116211, '195.49.248.0', '195.49.255.255', 3274831872, 3274833919, 'RO', 'Romania'),
(116212, '195.50.0.0', '195.50.31.255', 3274833920, 3274842111, 'BY', 'Belarus'),
(116213, '195.50.32.0', '195.50.63.255', 3274842112, 3274850303, 'DK', 'Denmark'),
(116214, '195.50.64.0', '195.50.127.255', 3274850304, 3274866687, 'GB', 'United Kingdom'),
(116215, '195.50.128.0', '195.50.191.255', 3274866688, 3274883071, 'DE', 'Germany'),
(116216, '195.50.192.0', '195.50.223.255', 3274883072, 3274891263, 'EE', 'Estonia'),
(116217, '195.50.224.0', '195.50.227.255', 3274891264, 3274892287, 'CH', 'Switzerland'),
(116218, '195.51.0.0', '195.51.11.127', 3274899456, 3274902399, 'DE', 'Germany'),
(116219, '195.51.11.128', '195.51.11.151', 3274902400, 3274902423, 'AT', 'Austria'),
(116220, '195.51.11.152', '195.51.11.255', 3274902424, 3274902527, 'EU', 'Europe'),
(116221, '195.51.12.0', '195.51.39.255', 3274902528, 3274909695, 'DE', 'Germany'),
(116222, '195.51.40.0', '195.51.41.255', 3274909696, 3274910207, 'EU', 'Europe'),
(116223, '195.51.42.0', '195.51.44.255', 3274910208, 3274910975, 'DE', 'Germany'),
(116224, '195.51.45.0', '195.51.45.255', 3274910976, 3274911231, 'EU', 'Europe'),
(116225, '195.51.46.0', '195.51.47.255', 3274911232, 3274911743, 'DE', 'Germany'),
(116226, '195.51.48.0', '195.51.48.255', 3274911744, 3274911999, 'FR', 'France'),
(116227, '195.51.49.0', '195.51.49.31', 3274912000, 3274912031, 'GB', 'United Kingdom'),
(116228, '195.51.49.32', '195.51.49.63', 3274912032, 3274912063, 'DE', 'Germany'),
(116229, '195.51.49.64', '195.51.49.191', 3274912064, 3274912191, 'FR', 'France'),
(116230, '195.51.49.192', '195.51.50.31', 3274912192, 3274912287, 'DE', 'Germany'),
(116231, '195.51.50.32', '195.51.50.39', 3274912288, 3274912295, 'LU', 'Luxembourg'),
(116232, '195.51.50.40', '195.51.50.47', 3274912296, 3274912303, 'GB', 'United Kingdom'),
(116233, '195.51.50.48', '195.51.50.191', 3274912304, 3274912447, 'FR', 'France'),
(116234, '195.51.50.192', '195.51.50.255', 3274912448, 3274912511, 'NL', 'Netherlands'),
(116235, '195.51.51.0', '195.51.51.255', 3274912512, 3274912767, 'FR', 'France'),
(116236, '195.51.52.0', '195.51.52.31', 3274912768, 3274912799, 'DE', 'Germany'),
(116237, '195.51.52.32', '195.51.52.63', 3274912800, 3274912831, 'IT', 'Italy'),
(116238, '195.51.52.64', '195.51.52.127', 3274912832, 3274912895, 'FR', 'France'),
(116239, '195.51.52.128', '195.51.52.255', 3274912896, 3274913023, 'RO', 'Romania'),
(116240, '195.51.53.0', '195.51.53.255', 3274913024, 3274913279, 'FR', 'France'),
(116241, '195.51.54.0', '195.51.59.255', 3274913280, 3274914815, 'DE', 'Germany'),
(116242, '195.51.60.0', '195.51.60.255', 3274914816, 3274915071, 'EU', 'Europe'),
(116243, '195.51.61.0', '195.51.63.255', 3274915072, 3274915839, 'DE', 'Germany'),
(116244, '195.51.64.0', '195.51.67.127', 3274915840, 3274916735, 'NL', 'Netherlands'),
(116245, '195.51.67.128', '195.51.67.255', 3274916736, 3274916863, 'DE', 'Germany'),
(116246, '195.51.68.0', '195.51.69.95', 3274916864, 3274917215, 'NL', 'Netherlands'),
(116247, '195.51.69.96', '195.51.69.191', 3274917216, 3274917311, 'GB', 'United Kingdom'),
(116248, '195.51.69.192', '195.51.69.207', 3274917312, 3274917327, 'ZA', 'South Africa'),
(116249, '195.51.69.208', '195.51.69.215', 3274917328, 3274917335, 'CH', 'Switzerland'),
(116250, '195.51.69.216', '195.51.69.223', 3274917336, 3274917343, 'GB', 'United Kingdom'),
(116251, '195.51.69.224', '195.51.69.255', 3274917344, 3274917375, 'SE', 'Sweden'),
(116252, '195.51.70.0', '195.51.71.255', 3274917376, 3274917887, 'NL', 'Netherlands'),
(116253, '195.51.72.0', '195.51.75.255', 3274917888, 3274918911, 'BE', 'Belgium'),
(116254, '195.51.76.0', '195.51.77.191', 3274918912, 3274919359, 'CH', 'Switzerland'),
(116255, '195.51.77.192', '195.51.77.223', 3274919360, 3274919391, 'EU', 'Europe'),
(116256, '195.51.77.224', '195.51.77.255', 3274919392, 3274919423, 'CH', 'Switzerland'),
(116257, '195.51.78.0', '195.51.79.255', 3274919424, 3274919935, 'GB', 'United Kingdom'),
(116258, '195.51.80.0', '195.51.87.255', 3274919936, 3274921983, 'BE', 'Belgium'),
(116259, '195.51.88.0', '195.51.91.95', 3274921984, 3274922847, 'ZA', 'South Africa'),
(116260, '195.51.91.96', '195.51.91.111', 3274922848, 3274922863, 'BE', 'Belgium'),
(116261, '195.51.91.112', '195.51.91.119', 3274922864, 3274922871, 'GB', 'United Kingdom'),
(116262, '195.51.91.120', '195.51.91.127', 3274922872, 3274922879, 'IT', 'Italy'),
(116263, '195.51.91.128', '195.51.91.191', 3274922880, 3274922943, 'ZA', 'South Africa'),
(116264, '195.51.91.192', '195.51.91.255', 3274922944, 3274923007, 'NL', 'Netherlands'),
(116265, '195.51.92.0', '195.51.92.255', 3274923008, 3274923263, 'EU', 'Europe'),
(116266, '195.51.93.0', '195.51.95.255', 3274923264, 3274924031, 'NL', 'Netherlands'),
(116267, '195.51.96.0', '195.51.111.255', 3274924032, 3274928127, 'FR', 'France'),
(116268, '195.51.112.0', '195.51.113.127', 3274928128, 3274928511, 'ES', 'Spain'),
(116269, '195.51.113.128', '195.51.113.191', 3274928512, 3274928575, 'RU', 'Russian Federation'),
(116270, '195.51.113.192', '195.51.113.255', 3274928576, 3274928639, 'GB', 'United Kingdom'),
(116271, '195.51.114.0', '195.51.115.255', 3274928640, 3274929151, 'ES', 'Spain'),
(116272, '195.51.116.0', '195.51.116.255', 3274929152, 3274929407, 'EU', 'Europe'),
(116273, '195.51.117.0', '195.51.117.255', 3274929408, 3274929663, 'FR', 'France'),
(116274, '195.51.118.0', '195.51.119.255', 3274929664, 3274930175, 'BE', 'Belgium'),
(116275, '195.51.120.0', '195.51.127.255', 3274930176, 3274932223, 'IT', 'Italy'),
(116276, '195.51.128.0', '195.51.130.255', 3274932224, 3274932991, 'GB', 'United Kingdom'),
(116277, '195.51.131.0', '195.51.131.159', 3274932992, 3274933151, 'DE', 'Germany'),
(116278, '195.51.131.160', '195.51.131.191', 3274933152, 3274933183, 'CH', 'Switzerland'),
(116279, '195.51.131.192', '195.51.131.223', 3274933184, 3274933215, 'ZA', 'South Africa'),
(116280, '195.51.131.224', '195.51.131.255', 3274933216, 3274933247, 'BE', 'Belgium'),
(116281, '195.51.132.0', '195.51.142.255', 3274933248, 3274936063, 'GB', 'United Kingdom'),
(116282, '195.51.143.0', '195.51.143.95', 3274936064, 3274936159, 'SE', 'Sweden'),
(116283, '195.51.143.96', '195.51.143.111', 3274936160, 3274936175, 'GB', 'United Kingdom'),
(116284, '195.51.143.112', '195.51.143.127', 3274936176, 3274936191, 'EU', 'Europe'),
(116285, '195.51.143.128', '195.51.146.31', 3274936192, 3274936863, 'GB', 'United Kingdom'),
(116286, '195.51.146.32', '195.51.146.39', 3274936864, 3274936871, 'BE', 'Belgium'),
(116287, '195.51.146.40', '195.51.146.47', 3274936872, 3274936879, 'CH', 'Switzerland'),
(116288, '195.51.146.48', '195.51.146.63', 3274936880, 3274936895, 'SE', 'Sweden'),
(116289, '195.51.146.64', '195.51.151.255', 3274936896, 3274938367, 'GB', 'United Kingdom'),
(116290, '195.51.152.0', '195.51.152.127', 3274938368, 3274938495, 'EU', 'Europe'),
(116291, '195.51.152.128', '195.51.152.167', 3274938496, 3274938535, 'GB', 'United Kingdom'),
(116292, '195.51.152.168', '195.51.152.175', 3274938536, 3274938543, 'FR', 'France'),
(116293, '195.51.152.176', '195.51.152.191', 3274938544, 3274938559, 'GB', 'United Kingdom'),
(116294, '195.51.152.192', '195.51.152.255', 3274938560, 3274938623, 'EU', 'Europe'),
(116295, '195.51.153.0', '195.51.153.255', 3274938624, 3274938879, 'GB', 'United Kingdom'),
(116296, '195.51.154.0', '195.51.154.255', 3274938880, 3274939135, 'DE', 'Germany'),
(116297, '195.51.155.0', '195.51.155.255', 3274939136, 3274939391, 'IT', 'Italy'),
(116298, '195.51.156.0', '195.51.159.255', 3274939392, 3274940415, 'ZA', 'South Africa'),
(116299, '195.51.160.0', '195.51.162.127', 3274940416, 3274941055, 'DE', 'Germany'),
(116300, '195.51.162.128', '195.51.162.159', 3274941056, 3274941087, 'NL', 'Netherlands'),
(116301, '195.51.162.160', '195.51.162.167', 3274941088, 3274941095, 'DE', 'Germany'),
(116302, '195.51.162.168', '195.51.162.175', 3274941096, 3274941103, 'IT', 'Italy'),
(116303, '195.51.162.176', '195.51.167.255', 3274941104, 3274942463, 'DE', 'Germany'),
(116304, '195.51.168.0', '195.51.175.255', 3274942464, 3274944511, 'FR', 'France'),
(116305, '195.51.176.0', '195.51.191.255', 3274944512, 3274948607, 'NL', 'Netherlands'),
(116306, '195.51.192.0', '195.51.206.255', 3274948608, 3274952447, 'DK', 'Denmark'),
(116307, '195.51.207.0', '195.51.207.31', 3274952448, 3274952479, 'SE', 'Sweden'),
(116308, '195.51.207.32', '195.51.207.63', 3274952480, 3274952511, 'FR', 'France'),
(116309, '195.51.207.64', '195.51.207.79', 3274952512, 3274952527, 'GB', 'United Kingdom'),
(116310, '195.51.207.80', '195.51.207.95', 3274952528, 3274952543, 'BE', 'Belgium'),
(116311, '195.51.207.96', '195.51.207.127', 3274952544, 3274952575, 'GB', 'United Kingdom'),
(116312, '195.51.207.128', '195.51.207.255', 3274952576, 3274952703, 'IT', 'Italy'),
(116313, '195.51.208.0', '195.51.213.255', 3274952704, 3274954239, 'AT', 'Austria'),
(116314, '195.51.214.0', '195.51.214.159', 3274954240, 3274954399, 'NL', 'Netherlands'),
(116315, '195.51.214.160', '195.51.214.175', 3274954400, 3274954415, 'BE', 'Belgium'),
(116316, '195.51.214.176', '195.51.214.191', 3274954416, 3274954431, 'GB', 'United Kingdom'),
(116317, '195.51.214.192', '195.51.214.255', 3274954432, 3274954495, 'PT', 'Portugal'),
(116318, '195.51.215.0', '195.51.215.127', 3274954496, 3274954623, 'AT', 'Austria'),
(116319, '195.51.215.128', '195.51.215.255', 3274954624, 3274954751, 'NL', 'Netherlands'),
(116320, '195.51.216.0', '195.51.216.255', 3274954752, 3274955007, 'SE', 'Sweden'),
(116321, '195.51.217.0', '195.51.217.255', 3274955008, 3274955263, 'EU', 'Europe'),
(116322, '195.51.218.0', '195.51.221.255', 3274955264, 3274956287, 'SE', 'Sweden'),
(116323, '195.51.222.0', '195.51.222.255', 3274956288, 3274956543, 'GB', 'United Kingdom'),
(116324, '195.51.223.0', '195.51.223.71', 3274956544, 3274956615, 'BE', 'Belgium'),
(116325, '195.51.223.72', '195.51.223.79', 3274956616, 3274956623, 'AT', 'Austria'),
(116326, '195.51.223.80', '195.51.223.95', 3274956624, 3274956639, 'DE', 'Germany'),
(116327, '195.51.223.96', '195.51.223.111', 3274956640, 3274956655, 'GB', 'United Kingdom'),
(116328, '195.51.223.112', '195.51.223.127', 3274956656, 3274956671, 'FR', 'France'),
(116329, '195.51.223.128', '195.51.223.191', 3274956672, 3274956735, 'DE', 'Germany'),
(116330, '195.51.223.192', '195.51.223.223', 3274956736, 3274956767, 'DK', 'Denmark'),
(116331, '195.51.223.224', '195.51.223.255', 3274956768, 3274956799, 'SE', 'Sweden'),
(116332, '195.51.224.0', '195.51.224.255', 3274956800, 3274957055, 'CH', 'Switzerland'),
(116333, '195.51.225.0', '195.51.226.255', 3274957056, 3274957567, 'AT', 'Austria'),
(116334, '195.51.227.0', '195.51.227.255', 3274957568, 3274957823, 'CH', 'Switzerland'),
(116335, '195.51.228.0', '195.51.228.7', 3274957824, 3274957831, 'GR', 'Greece'),
(116336, '195.51.228.8', '195.51.228.127', 3274957832, 3274957951, 'EU', 'Europe'),
(116337, '195.51.228.128', '195.51.228.135', 3274957952, 3274957959, 'BE', 'Belgium'),
(116338, '195.51.228.136', '195.51.228.143', 3274957960, 3274957967, 'EU', 'Europe'),
(116339, '195.51.228.144', '195.51.228.159', 3274957968, 3274957983, 'FR', 'France'),
(116340, '195.51.228.160', '195.51.228.175', 3274957984, 3274957999, 'BE', 'Belgium'),
(116341, '195.51.228.176', '195.51.228.183', 3274958000, 3274958007, 'GB', 'United Kingdom'),
(116342, '195.51.228.184', '195.51.228.191', 3274958008, 3274958015, 'BE', 'Belgium'),
(116343, '195.51.228.192', '195.51.228.255', 3274958016, 3274958079, 'EU', 'Europe'),
(116344, '195.51.229.0', '195.51.229.199', 3274958080, 3274958279, 'IE', 'Ireland'),
(116345, '195.51.229.200', '195.51.229.207', 3274958280, 3274958287, 'EU', 'Europe'),
(116346, '195.51.229.208', '195.51.229.255', 3274958288, 3274958335, 'IE', 'Ireland'),
(116347, '195.51.230.0', '195.51.233.127', 3274958336, 3274959231, 'AT', 'Austria'),
(116348, '195.51.233.128', '195.51.233.143', 3274959232, 3274959247, 'IT', 'Italy'),
(116349, '195.51.233.144', '195.51.233.151', 3274959248, 3274959255, 'GB', 'United Kingdom'),
(116350, '195.51.233.152', '195.51.233.159', 3274959256, 3274959263, 'ZA', 'South Africa'),
(116351, '195.51.233.160', '195.51.233.167', 3274959264, 3274959271, 'EU', 'Europe'),
(116352, '195.51.233.168', '195.51.233.175', 3274959272, 3274959279, 'GB', 'United Kingdom'),
(116353, '195.51.233.176', '195.51.233.183', 3274959280, 3274959287, 'DE', 'Germany'),
(116354, '195.51.233.184', '195.51.233.191', 3274959288, 3274959295, 'GB', 'United Kingdom'),
(116355, '195.51.233.192', '195.51.233.223', 3274959296, 3274959327, 'ES', 'Spain'),
(116356, '195.51.233.224', '195.51.234.255', 3274959328, 3274959615, 'DE', 'Germany'),
(116357, '195.51.235.0', '195.51.237.255', 3274959616, 3274960383, 'EU', 'Europe'),
(116358, '195.51.238.0', '195.51.238.63', 3274960384, 3274960447, 'BE', 'Belgium'),
(116359, '195.51.238.64', '195.51.238.127', 3274960448, 3274960511, 'ES', 'Spain'),
(116360, '195.51.238.128', '195.51.238.191', 3274960512, 3274960575, 'GB', 'United Kingdom'),
(116361, '195.51.238.192', '195.51.238.255', 3274960576, 3274960639, 'IT', 'Italy'),
(116362, '195.51.239.0', '195.51.241.255', 3274960640, 3274961407, 'AT', 'Austria'),
(116363, '195.51.242.0', '195.51.242.95', 3274961408, 3274961503, 'CH', 'Switzerland'),
(116364, '195.51.242.96', '195.51.242.127', 3274961504, 3274961535, 'DK', 'Denmark'),
(116365, '195.51.242.128', '195.51.242.151', 3274961536, 3274961559, 'CH', 'Switzerland'),
(116366, '195.51.242.152', '195.51.242.159', 3274961560, 3274961567, 'EU', 'Europe'),
(116367, '195.51.242.160', '195.51.242.255', 3274961568, 3274961663, 'CH', 'Switzerland'),
(116368, '195.51.243.0', '195.51.243.63', 3274961664, 3274961727, 'BY', 'Belarus'),
(116369, '195.51.243.64', '195.51.243.255', 3274961728, 3274961919, 'EU', 'Europe'),
(116370, '195.51.244.0', '195.51.244.191', 3274961920, 3274962111, 'AT', 'Austria'),
(116371, '195.51.244.192', '195.51.244.255', 3274962112, 3274962175, 'GB', 'United Kingdom'),
(116372, '195.51.245.0', '195.51.245.255', 3274962176, 3274962431, 'ZA', 'South Africa'),
(116373, '195.51.246.0', '195.51.246.255', 3274962432, 3274962687, 'BE', 'Belgium'),
(116374, '195.51.247.0', '195.51.247.191', 3274962688, 3274962879, 'GR', 'Greece'),
(116375, '195.51.247.192', '195.51.248.223', 3274962880, 3274963167, 'GB', 'United Kingdom'),
(116376, '195.51.248.224', '195.51.248.239', 3274963168, 3274963183, 'IE', 'Ireland'),
(116377, '195.51.248.240', '195.51.248.247', 3274963184, 3274963191, 'GB', 'United Kingdom'),
(116378, '195.51.248.248', '195.51.248.255', 3274963192, 3274963199, 'NL', 'Netherlands'),
(116379, '195.51.249.0', '195.51.249.255', 3274963200, 3274963455, 'DE', 'Germany'),
(116380, '195.51.250.0', '195.51.250.255', 3274963456, 3274963711, 'CH', 'Switzerland'),
(116381, '195.51.251.0', '195.51.251.31', 3274963712, 3274963743, 'DE', 'Germany'),
(116382, '195.51.251.32', '195.51.251.63', 3274963744, 3274963775, 'FR', 'France'),
(116383, '195.51.251.64', '195.51.251.71', 3274963776, 3274963783, 'GB', 'United Kingdom'),
(116384, '195.51.251.72', '195.51.251.79', 3274963784, 3274963791, 'BE', 'Belgium'),
(116385, '195.51.251.80', '195.51.251.95', 3274963792, 3274963807, 'NL', 'Netherlands'),
(116386, '195.51.251.96', '195.51.251.127', 3274963808, 3274963839, 'IT', 'Italy'),
(116387, '195.51.251.128', '195.51.251.255', 3274963840, 3274963967, 'DE', 'Germany'),
(116388, '195.51.252.0', '195.51.252.255', 3274963968, 3274964223, 'FR', 'France'),
(116389, '195.51.253.0', '195.51.254.255', 3274964224, 3274964735, 'BE', 'Belgium'),
(116390, '195.51.255.0', '195.51.255.127', 3274964736, 3274964863, 'GB', 'United Kingdom'),
(116391, '195.51.255.128', '195.51.255.143', 3274964864, 3274964879, 'HU', 'Hungary'),
(116392, '195.51.255.144', '195.51.255.159', 3274964880, 3274964895, 'FR', 'France'),
(116393, '195.51.255.160', '195.51.255.191', 3274964896, 3274964927, 'NL', 'Netherlands'),
(116394, '195.51.255.192', '195.51.255.255', 3274964928, 3274964991, 'GB', 'United Kingdom'),
(116395, '195.52.0.0', '195.52.255.255', 3274964992, 3275030527, 'DE', 'Germany'),
(116396, '195.53.0.0', '195.53.255.255', 3275030528, 3275096063, 'ES', 'Spain'),
(116397, '195.54.0.0', '195.54.33.255', 3275096064, 3275104767, 'RU', 'Russian Federation'),
(116398, '195.54.34.0', '195.54.35.255', 3275104768, 3275105279, 'DE', 'Germany'),
(116399, '195.54.36.0', '195.54.37.255', 3275105280, 3275105791, 'GB', 'United Kingdom'),
(116400, '195.54.38.0', '195.54.39.255', 3275105792, 3275106303, 'NL', 'Netherlands'),
(116401, '195.54.40.0', '195.54.41.255', 3275106304, 3275106815, 'RU', 'Russian Federation'),
(116402, '195.54.42.0', '195.54.43.255', 3275106816, 3275107327, 'UA', 'Ukraine'),
(116403, '195.54.44.0', '195.54.45.255', 3275107328, 3275107839, 'BG', 'Bulgaria'),
(116404, '195.54.46.0', '195.54.47.255', 3275107840, 3275108351, 'PL', 'Poland'),
(116405, '195.54.48.0', '195.54.49.255', 3275108352, 3275108863, 'FR', 'France'),
(116406, '195.54.50.0', '195.54.51.255', 3275108864, 3275109375, 'PL', 'Poland'),
(116407, '195.54.52.0', '195.54.53.255', 3275109376, 3275109887, 'UA', 'Ukraine'),
(116408, '195.54.54.0', '195.54.55.255', 3275109888, 3275110399, 'RO', 'Romania'),
(116409, '195.54.56.0', '195.54.57.255', 3275110400, 3275110911, 'NL', 'Netherlands'),
(116410, '195.54.58.0', '195.54.59.255', 3275110912, 3275111423, 'GB', 'United Kingdom'),
(116411, '195.54.60.0', '195.54.61.255', 3275111424, 3275111935, 'IT', 'Italy'),
(116412, '195.54.62.0', '195.54.63.255', 3275111936, 3275112447, 'FR', 'France'),
(116413, '195.54.64.0', '195.54.84.13', 3275112448, 3275117581, 'DK', 'Denmark'),
(116414, '195.54.84.14', '195.54.84.14', 3275117582, 3275117582, 'EU', 'Europe'),
(116415, '195.54.84.15', '195.54.95.255', 3275117583, 3275120639, 'DK', 'Denmark'),
(116416, '195.54.96.0', '195.54.158.127', 3275120640, 3275136639, 'SE', 'Sweden'),
(116417, '195.54.158.128', '195.54.158.255', 3275136640, 3275136767, 'DK', 'Denmark'),
(116418, '195.54.159.0', '195.54.159.255', 3275136768, 3275137023, 'SE', 'Sweden'),
(116419, '195.54.160.0', '195.54.161.255', 3275137024, 3275137535, 'DE', 'Germany'),
(116420, '195.54.162.0', '195.54.163.255', 3275137536, 3275138047, 'UA', 'Ukraine'),
(116421, '195.54.164.0', '195.54.165.255', 3275138048, 3275138559, 'DE', 'Germany'),
(116422, '195.54.166.0', '195.54.167.255', 3275138560, 3275139071, 'UA', 'Ukraine'),
(116423, '195.54.168.0', '195.54.169.255', 3275139072, 3275139583, 'PT', 'Portugal'),
(116424, '195.54.170.0', '195.54.171.255', 3275139584, 3275140095, 'MD', 'Moldova, Republic of'),
(116425, '195.54.172.0', '195.54.173.255', 3275140096, 3275140607, 'AT', 'Austria'),
(116426, '195.54.174.0', '195.54.175.255', 3275140608, 3275141119, 'NL', 'Netherlands'),
(116427, '195.54.176.0', '195.54.177.255', 3275141120, 3275141631, 'RU', 'Russian Federation'),
(116428, '195.54.178.0', '195.54.179.255', 3275141632, 3275142143, 'GE', 'Georgia'),
(116429, '195.54.180.0', '195.54.181.255', 3275142144, 3275142655, 'KG', 'Kyrgyzstan'),
(116430, '195.54.182.0', '195.54.183.255', 3275142656, 3275143167, 'SE', 'Sweden'),
(116431, '195.54.184.0', '195.54.189.255', 3275143168, 3275144703, 'PL', 'Poland'),
(116432, '195.54.190.0', '195.54.191.255', 3275144704, 3275145215, 'HR', 'Croatia'),
(116433, '195.54.192.0', '195.54.223.255', 3275145216, 3275153407, 'RU', 'Russian Federation'),
(116434, '195.54.224.0', '195.54.255.255', 3275153408, 3275161599, 'GB', 'United Kingdom'),
(116435, '195.55.0.0', '195.55.255.255', 3275161600, 3275227135, 'ES', 'Spain'),
(116436, '195.56.0.0', '195.56.76.255', 3275227136, 3275246847, 'HU', 'Hungary'),
(116437, '195.56.77.0', '195.56.77.255', 3275246848, 3275247103, 'EU', 'Europe'),
(116438, '195.56.78.0', '195.56.139.255', 3275247104, 3275262975, 'HU', 'Hungary'),
(116439, '195.56.140.0', '195.56.140.255', 3275262976, 3275263231, 'EU', 'Europe'),
(116440, '195.56.141.0', '195.56.255.255', 3275263232, 3275292671, 'HU', 'Hungary'),
(116441, '195.57.0.0', '195.57.255.255', 3275292672, 3275358207, 'ES', 'Spain'),
(116442, '195.58.0.0', '195.58.52.255', 3275358208, 3275371775, 'RU', 'Russian Federation'),
(116443, '195.58.53.0', '195.58.53.255', 3275371776, 3275372031, 'TJ', 'Tajikistan'),
(116444, '195.58.54.0', '195.58.63.255', 3275372032, 3275374591, 'RU', 'Russian Federation'),
(116445, '195.58.64.0', '195.58.95.255', 3275374592, 3275382783, 'GB', 'United Kingdom'),
(116446, '195.58.96.0', '195.58.96.103', 3275382784, 3275382887, 'SE', 'Sweden'),
(116447, '195.58.96.104', '195.58.96.107', 3275382888, 3275382891, 'NO', 'Norway'),
(116448, '195.58.96.108', '195.58.127.255', 3275382892, 3275390975, 'SE', 'Sweden'),
(116449, '195.58.128.0', '195.58.159.255', 3275390976, 3275399167, 'GB', 'United Kingdom'),
(116450, '195.58.160.0', '195.58.191.255', 3275399168, 3275407359, 'AT', 'Austria'),
(116451, '195.58.192.0', '195.58.223.255', 3275407360, 3275415551, 'GB', 'United Kingdom'),
(116452, '195.58.224.0', '195.58.255.255', 3275415552, 3275423743, 'UA', 'Ukraine'),
(116453, '195.59.0.0', '195.59.0.7', 3275423744, 3275423751, 'GB', 'United Kingdom'),
(116454, '195.59.0.8', '195.59.0.31', 3275423752, 3275423775, 'EU', 'Europe'),
(116455, '195.59.0.32', '195.59.0.63', 3275423776, 3275423807, 'GB', 'United Kingdom'),
(116456, '195.59.0.64', '195.59.0.127', 3275423808, 3275423871, 'EU', 'Europe'),
(116457, '195.59.0.128', '195.59.6.47', 3275423872, 3275425327, 'GB', 'United Kingdom'),
(116458, '195.59.6.48', '195.59.7.255', 3275425328, 3275425791, 'EU', 'Europe'),
(116459, '195.59.8.0', '195.59.17.255', 3275425792, 3275428351, 'GB', 'United Kingdom'),
(116460, '195.59.18.0', '195.59.18.15', 3275428352, 3275428367, 'EU', 'Europe'),
(116461, '195.59.18.16', '195.59.18.55', 3275428368, 3275428407, 'GB', 'United Kingdom'),
(116462, '195.59.18.56', '195.59.18.63', 3275428408, 3275428415, 'EU', 'Europe'),
(116463, '195.59.18.64', '195.59.18.95', 3275428416, 3275428447, 'GB', 'United Kingdom'),
(116464, '195.59.18.96', '195.59.23.255', 3275428448, 3275429887, 'EU', 'Europe'),
(116465, '195.59.24.0', '195.59.24.255', 3275429888, 3275430143, 'GB', 'United Kingdom'),
(116466, '195.59.25.0', '195.59.25.127', 3275430144, 3275430271, 'EU', 'Europe'),
(116467, '195.59.25.128', '195.59.25.255', 3275430272, 3275430399, 'GB', 'United Kingdom'),
(116468, '195.59.26.0', '195.59.26.191', 3275430400, 3275430591, 'EU', 'Europe'),
(116469, '195.59.26.192', '195.59.26.231', 3275430592, 3275430631, 'GB', 'United Kingdom'),
(116470, '195.59.26.232', '195.59.26.255', 3275430632, 3275430655, 'EU', 'Europe'),
(116471, '195.59.27.0', '195.59.27.255', 3275430656, 3275430911, 'GB', 'United Kingdom'),
(116472, '195.59.28.0', '195.59.31.255', 3275430912, 3275431935, 'EU', 'Europe'),
(116473, '195.59.32.0', '195.59.35.127', 3275431936, 3275432831, 'GB', 'United Kingdom'),
(116474, '195.59.35.128', '195.59.39.255', 3275432832, 3275433983, 'EU', 'Europe'),
(116475, '195.59.40.0', '195.59.63.127', 3275433984, 3275439999, 'GB', 'United Kingdom'),
(116476, '195.59.63.128', '195.59.63.255', 3275440000, 3275440127, 'EU', 'Europe'),
(116477, '195.59.64.0', '195.59.65.255', 3275440128, 3275440639, 'GB', 'United Kingdom'),
(116478, '195.59.66.0', '195.59.71.255', 3275440640, 3275442175, 'EU', 'Europe'),
(116479, '195.59.72.0', '195.59.74.31', 3275442176, 3275442719, 'GB', 'United Kingdom'),
(116480, '195.59.74.32', '195.59.79.255', 3275442720, 3275444223, 'EU', 'Europe'),
(116481, '195.59.80.0', '195.59.81.255', 3275444224, 3275444735, 'GB', 'United Kingdom'),
(116482, '195.59.82.0', '195.59.87.255', 3275444736, 3275446271, 'EU', 'Europe'),
(116483, '195.59.88.0', '195.59.91.111', 3275446272, 3275447151, 'GB', 'United Kingdom'),
(116484, '195.59.91.112', '195.59.95.255', 3275447152, 3275448319, 'EU', 'Europe'),
(116485, '195.59.96.0', '195.59.100.175', 3275448320, 3275449519, 'GB', 'United Kingdom'),
(116486, '195.59.100.176', '195.59.100.183', 3275449520, 3275449527, 'FR', 'France'),
(116487, '195.59.100.184', '195.59.102.63', 3275449528, 3275449919, 'GB', 'United Kingdom'),
(116488, '195.59.102.64', '195.59.102.71', 3275449920, 3275449927, 'EU', 'Europe'),
(116489, '195.59.102.72', '195.59.105.255', 3275449928, 3275450879, 'GB', 'United Kingdom'),
(116490, '195.59.106.0', '195.59.107.95', 3275450880, 3275451231, 'EU', 'Europe'),
(116491, '195.59.107.96', '195.59.107.127', 3275451232, 3275451263, 'GB', 'United Kingdom'),
(116492, '195.59.107.128', '195.59.111.255', 3275451264, 3275452415, 'EU', 'Europe'),
(116493, '195.59.112.0', '195.59.113.255', 3275452416, 3275452927, 'GB', 'United Kingdom'),
(116494, '195.59.114.0', '195.59.114.15', 3275452928, 3275452943, 'EU', 'Europe'),
(116495, '195.59.114.16', '195.59.118.175', 3275452944, 3275454127, 'GB', 'United Kingdom'),
(116496, '195.59.118.176', '195.59.118.191', 3275454128, 3275454143, 'EU', 'Europe'),
(116497, '195.59.118.192', '195.59.129.255', 3275454144, 3275457023, 'GB', 'United Kingdom'),
(116498, '195.59.130.0', '195.59.132.255', 3275457024, 3275457791, 'FK', 'Falkland Islands (Malvinas)'),
(116499, '195.59.133.0', '195.59.135.255', 3275457792, 3275458559, 'GB', 'United Kingdom'),
(116500, '195.59.136.0', '195.59.141.255', 3275458560, 3275460095, 'IE', 'Ireland'),
(116501, '195.59.142.0', '195.59.142.127', 3275460096, 3275460223, 'GB', 'United Kingdom'),
(116502, '195.59.142.128', '195.59.143.255', 3275460224, 3275460607, 'EU', 'Europe'),
(116503, '195.59.144.0', '195.59.144.255', 3275460608, 3275460863, 'HK', 'Hong Kong'),
(116504, '195.59.145.0', '195.59.155.99', 3275460864, 3275463523, 'GB', 'United Kingdom'),
(116505, '195.59.155.100', '195.59.155.103', 3275463524, 3275463527, 'EU', 'Europe'),
(116506, '195.59.155.104', '195.59.157.95', 3275463528, 3275464031, 'GB', 'United Kingdom'),
(116507, '195.59.157.96', '195.59.157.111', 3275464032, 3275464047, 'IE', 'Ireland'),
(116508, '195.59.157.112', '195.59.175.111', 3275464048, 3275468655, 'GB', 'United Kingdom'),
(116509, '195.59.175.112', '195.59.175.127', 3275468656, 3275468671, 'IE', 'Ireland'),
(116510, '195.59.175.128', '195.59.175.191', 3275468672, 3275468735, 'GB', 'United Kingdom'),
(116511, '195.59.175.192', '195.59.175.207', 3275468736, 3275468751, 'IE', 'Ireland'),
(116512, '195.59.175.208', '195.59.175.223', 3275468752, 3275468767, 'GB', 'United Kingdom'),
(116513, '195.59.175.224', '195.59.175.255', 3275468768, 3275468799, 'IE', 'Ireland'),
(116514, '195.59.176.0', '195.59.177.15', 3275468800, 3275469071, 'GB', 'United Kingdom'),
(116515, '195.59.177.16', '195.59.177.31', 3275469072, 3275469087, 'IE', 'Ireland'),
(116516, '195.59.177.32', '195.59.199.239', 3275469088, 3275474927, 'GB', 'United Kingdom'),
(116517, '195.59.199.240', '195.59.199.255', 3275474928, 3275474943, 'EU', 'Europe'),
(116518, '195.59.200.0', '195.59.200.99', 3275474944, 3275475043, 'GB', 'United Kingdom'),
(116519, '195.59.200.100', '195.59.200.103', 3275475044, 3275475047, 'EU', 'Europe'),
(116520, '195.59.200.104', '195.59.201.199', 3275475048, 3275475399, 'GB', 'United Kingdom'),
(116521, '195.59.201.200', '195.59.207.255', 3275475400, 3275476991, 'EU', 'Europe'),
(116522, '195.59.208.0', '195.59.209.239', 3275476992, 3275477487, 'GB', 'United Kingdom'),
(116523, '195.59.209.240', '195.59.209.255', 3275477488, 3275477503, 'EU', 'Europe'),
(116524, '195.59.210.0', '195.59.210.63', 3275477504, 3275477567, 'GB', 'United Kingdom'),
(116525, '195.59.210.64', '195.59.211.255', 3275477568, 3275478015, 'EU', 'Europe'),
(116526, '195.59.212.0', '195.59.223.255', 3275478016, 3275481087, 'GB', 'United Kingdom'),
(116527, '195.59.224.0', '195.59.255.255', 3275481088, 3275489279, 'EU', 'Europe'),
(116528, '195.60.0.0', '195.60.31.255', 3275489280, 3275497471, 'GB', 'United Kingdom'),
(116529, '195.60.32.0', '195.60.63.255', 3275497472, 3275505663, 'DE', 'Germany'),
(116530, '195.60.64.0', '195.60.65.255', 3275505664, 3275506175, 'PL', 'Poland'),
(116531, '195.60.66.0', '195.60.67.255', 3275506176, 3275506687, 'UA', 'Ukraine'),
(116532, '195.60.68.0', '195.60.69.255', 3275506688, 3275507199, 'SE', 'Sweden'),
(116533, '195.60.70.0', '195.60.71.255', 3275507200, 3275507711, 'UA', 'Ukraine'),
(116534, '195.60.72.0', '195.60.79.255', 3275507712, 3275509759, 'RO', 'Romania'),
(116535, '195.60.80.0', '195.60.80.95', 3275509760, 3275509855, 'IT', 'Italy'),
(116536, '195.60.80.96', '195.60.80.127', 3275509856, 3275509887, 'PL', 'Poland'),
(116537, '195.60.80.128', '195.60.80.159', 3275509888, 3275509919, 'AM', 'Armenia'),
(116538, '195.60.80.160', '195.60.80.191', 3275509920, 3275509951, 'PL', 'Poland'),
(116539, '195.60.80.192', '195.60.80.223', 3275509952, 3275509983, 'GB', 'United Kingdom'),
(116540, '195.60.80.224', '195.60.80.255', 3275509984, 3275510015, 'PT', 'Portugal'),
(116541, '195.60.81.0', '195.60.81.63', 3275510016, 3275510079, 'SE', 'Sweden'),
(116542, '195.60.81.64', '195.60.81.127', 3275510080, 3275510143, 'ES', 'Spain'),
(116543, '195.60.81.128', '195.60.81.191', 3275510144, 3275510207, 'FI', 'Finland'),
(116544, '195.60.82.64', '195.60.82.127', 3275510336, 3275510399, 'IE', 'Ireland'),
(116545, '195.60.82.128', '195.60.82.191', 3275510400, 3275510463, 'NL', 'Netherlands'),
(116546, '195.60.82.192', '195.60.82.255', 3275510464, 3275510527, 'GB', 'United Kingdom'),
(116547, '195.60.83.0', '195.60.83.31', 3275510528, 3275510559, 'PL', 'Poland'),
(116548, '195.60.83.32', '195.60.83.63', 3275510560, 3275510591, 'DE', 'Germany'),
(116549, '195.60.83.96', '195.60.83.127', 3275510624, 3275510655, 'EE', 'Estonia'),
(116550, '195.60.83.128', '195.60.83.159', 3275510656, 3275510687, 'FR', 'France'),
(116551, '195.60.83.192', '195.60.83.223', 3275510720, 3275510751, 'GB', 'United Kingdom'),
(116552, '195.60.83.224', '195.60.83.255', 3275510752, 3275510783, 'NL', 'Netherlands'),
(116553, '195.60.84.128', '195.60.85.127', 3275510912, 3275511167, 'GB', 'United Kingdom'),
(116554, '195.60.85.128', '195.60.85.255', 3275511168, 3275511295, 'LV', 'Latvia'),
(116555, '195.60.86.0', '195.60.86.255', 3275511296, 3275511551, 'GB', 'United Kingdom'),
(116556, '195.60.87.0', '195.60.87.127', 3275511552, 3275511679, 'NL', 'Netherlands'),
(116557, '195.60.88.0', '195.60.88.127', 3275511808, 3275511935, 'CH', 'Switzerland'),
(116558, '195.60.88.128', '195.60.88.255', 3275511936, 3275512063, 'FR', 'France'),
(116559, '195.60.89.0', '195.60.89.127', 3275512064, 3275512191, 'CZ', 'Czech Republic'),
(116560, '195.60.89.128', '195.60.89.255', 3275512192, 3275512319, 'IT', 'Italy'),
(116561, '195.60.90.0', '195.60.90.127', 3275512320, 3275512447, 'FI', 'Finland'),
(116562, '195.60.90.128', '195.60.90.255', 3275512448, 3275512575, 'DK', 'Denmark'),
(116563, '195.60.91.0', '195.60.91.127', 3275512576, 3275512703, 'BE', 'Belgium'),
(116564, '195.60.91.128', '195.60.91.255', 3275512704, 3275512831, 'PL', 'Poland'),
(116565, '195.60.92.0', '195.60.92.63', 3275512832, 3275512895, 'SE', 'Sweden'),
(116566, '195.60.92.64', '195.60.92.127', 3275512896, 3275512959, 'AT', 'Austria'),
(116567, '195.60.92.128', '195.60.92.191', 3275512960, 3275513023, 'PL', 'Poland'),
(116568, '195.60.92.192', '195.60.92.255', 3275513024, 3275513087, 'UA', 'Ukraine'),
(116569, '195.60.93.64', '195.60.93.127', 3275513152, 3275513215, 'ES', 'Spain'),
(116570, '195.60.93.128', '195.60.93.191', 3275513216, 3275513279, 'CH', 'Switzerland'),
(116571, '195.60.93.192', '195.60.93.255', 3275513280, 3275513343, 'DK', 'Denmark'),
(116572, '195.60.94.0', '195.60.94.127', 3275513344, 3275513471, 'PL', 'Poland'),
(116573, '195.60.94.128', '195.60.94.255', 3275513472, 3275513599, 'FR', 'France'),
(116574, '195.60.95.128', '195.60.95.255', 3275513728, 3275513855, 'GB', 'United Kingdom'),
(116575, '195.60.96.0', '195.60.127.255', 3275513856, 3275522047, 'DE', 'Germany'),
(116576, '195.60.128.0', '195.60.159.255', 3275522048, 3275530239, 'IT', 'Italy'),
(116577, '195.60.160.0', '195.60.161.255', 3275530240, 3275530751, 'DK', 'Denmark'),
(116578, '195.60.162.0', '195.60.163.255', 3275530752, 3275531263, 'AT', 'Austria'),
(116579, '195.60.164.0', '195.60.165.255', 3275531264, 3275531775, 'GB', 'United Kingdom'),
(116580, '195.60.166.0', '195.60.167.255', 3275531776, 3275532287, 'IE', 'Ireland'),
(116581, '195.60.168.0', '195.60.169.255', 3275532288, 3275532799, 'UA', 'Ukraine'),
(116582, '195.60.170.0', '195.60.173.255', 3275532800, 3275533823, 'GB', 'United Kingdom'),
(116583, '195.60.174.0', '195.60.175.255', 3275533824, 3275534335, 'UA', 'Ukraine'),
(116584, '195.60.176.0', '195.60.177.255', 3275534336, 3275534847, 'IL', 'Israel'),
(116585, '195.60.178.0', '195.60.179.255', 3275534848, 3275535359, 'RO', 'Romania'),
(116586, '195.60.180.0', '195.60.181.255', 3275535360, 3275535871, 'DE', 'Germany'),
(116587, '195.60.182.0', '195.60.183.255', 3275535872, 3275536383, 'SE', 'Sweden'),
(116588, '195.60.184.0', '195.60.185.255', 3275536384, 3275536895, 'UA', 'Ukraine'),
(116589, '195.60.186.0', '195.60.187.255', 3275536896, 3275537407, 'DE', 'Germany'),
(116590, '195.60.188.0', '195.60.189.255', 3275537408, 3275537919, 'FR', 'France'),
(116591, '195.60.190.0', '195.60.191.255', 3275537920, 3275538431, 'IT', 'Italy'),
(116592, '195.60.192.0', '195.60.195.255', 3275538432, 3275539455, 'CH', 'Switzerland'),
(116593, '195.60.196.0', '195.60.199.255', 3275539456, 3275540479, 'GB', 'United Kingdom'),
(116594, '195.60.200.0', '195.60.207.255', 3275540480, 3275542527, 'UA', 'Ukraine'),
(116595, '195.60.208.0', '195.60.211.255', 3275542528, 3275543551, 'DE', 'Germany'),
(116596, '195.60.212.0', '195.60.215.255', 3275543552, 3275544575, 'NL', 'Netherlands'),
(116597, '195.60.216.0', '195.60.219.255', 3275544576, 3275545599, 'PL', 'Poland'),
(116598, '195.60.220.0', '195.60.223.255', 3275545600, 3275546623, 'RU', 'Russian Federation'),
(116599, '195.60.224.0', '195.60.231.255', 3275546624, 3275548671, 'UA', 'Ukraine'),
(116600, '195.60.232.0', '195.60.235.255', 3275548672, 3275549695, 'IL', 'Israel'),
(116601, '195.60.236.0', '195.60.239.255', 3275549696, 3275550719, 'SY', 'Syrian Arab Republic'),
(116602, '195.60.240.0', '195.60.243.255', 3275550720, 3275551743, 'PL', 'Poland'),
(116603, '195.60.244.0', '195.60.247.255', 3275551744, 3275552767, 'RU', 'Russian Federation'),
(116604, '195.60.248.0', '195.60.251.255', 3275552768, 3275553791, 'LV', 'Latvia'),
(116605, '195.60.252.0', '195.60.255.255', 3275553792, 3275554815, 'FI', 'Finland'),
(116606, '195.61.0.0', '195.61.2.63', 3275554816, 3275555391, 'EU', 'Europe'),
(116607, '195.61.2.64', '195.61.2.127', 3275555392, 3275555455, 'ES', 'Spain'),
(116608, '195.61.2.128', '195.61.3.7', 3275555456, 3275555591, 'EU', 'Europe'),
(116609, '195.61.3.8', '195.61.3.63', 3275555592, 3275555647, 'ES', 'Spain'),
(116610, '195.61.3.64', '195.61.3.159', 3275555648, 3275555743, 'EU', 'Europe'),
(116611, '195.61.3.160', '195.61.3.175', 3275555744, 3275555759, 'ES', 'Spain'),
(116612, '195.61.3.176', '195.61.3.183', 3275555760, 3275555767, 'EU', 'Europe'),
(116613, '195.61.3.184', '195.61.3.192', 3275555768, 3275555776, 'ES', 'Spain'),
(116614, '195.61.3.193', '195.61.23.255', 3275555777, 3275560959, 'EU', 'Europe'),
(116615, '195.61.24.0', '195.61.24.255', 3275560960, 3275561215, 'ES', 'Spain'),
(116616, '195.61.25.0', '195.61.25.255', 3275561216, 3275561471, 'EU', 'Europe'),
(116617, '195.61.26.0', '195.61.26.255', 3275561472, 3275561727, 'ES', 'Spain'),
(116618, '195.61.27.0', '195.61.29.255', 3275561728, 3275562495, 'EU', 'Europe'),
(116619, '195.61.30.0', '195.61.30.255', 3275562496, 3275562751, 'ES', 'Spain'),
(116620, '195.61.31.0', '195.61.31.255', 3275562752, 3275563007, 'EU', 'Europe'),
(116621, '195.61.32.0', '195.61.33.255', 3275563008, 3275563519, 'CH', 'Switzerland'),
(116622, '195.61.34.0', '195.61.34.63', 3275563520, 3275563583, 'EU', 'Europe'),
(116623, '195.61.34.64', '195.61.34.127', 3275563584, 3275563647, 'CH', 'Switzerland'),
(116624, '195.61.34.128', '195.61.34.255', 3275563648, 3275563775, 'DE', 'Germany'),
(116625, '195.61.35.0', '195.61.35.255', 3275563776, 3275564031, 'CH', 'Switzerland'),
(116626, '195.61.36.0', '195.61.37.127', 3275564032, 3275564415, 'EU', 'Europe'),
(116627, '195.61.37.128', '195.61.37.207', 3275564416, 3275564495, 'CH', 'Switzerland'),
(116628, '195.61.37.208', '195.61.38.255', 3275564496, 3275564799, 'EU', 'Europe'),
(116629, '195.61.39.0', '195.61.39.255', 3275564800, 3275565055, 'CH', 'Switzerland'),
(116630, '195.61.40.0', '195.61.40.255', 3275565056, 3275565311, 'EU', 'Europe'),
(116631, '195.61.41.0', '195.61.41.255', 3275565312, 3275565567, 'CH', 'Switzerland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(116632, '195.61.42.0', '195.61.42.255', 3275565568, 3275565823, 'EU', 'Europe'),
(116633, '195.61.43.0', '195.61.43.255', 3275565824, 3275566079, 'CH', 'Switzerland'),
(116634, '195.61.44.0', '195.61.46.255', 3275566080, 3275566847, 'EU', 'Europe'),
(116635, '195.61.47.0', '195.61.48.255', 3275566848, 3275567359, 'CH', 'Switzerland'),
(116636, '195.61.49.0', '195.61.49.255', 3275567360, 3275567615, 'EU', 'Europe'),
(116637, '195.61.50.0', '195.61.51.255', 3275567616, 3275568127, 'CH', 'Switzerland'),
(116638, '195.61.52.0', '195.61.52.255', 3275568128, 3275568383, 'EU', 'Europe'),
(116639, '195.61.53.0', '195.61.56.255', 3275568384, 3275569407, 'CH', 'Switzerland'),
(116640, '195.61.57.0', '195.61.58.255', 3275569408, 3275569919, 'EU', 'Europe'),
(116641, '195.61.59.0', '195.61.61.255', 3275569920, 3275570687, 'CH', 'Switzerland'),
(116642, '195.61.62.0', '195.61.63.255', 3275570688, 3275571199, 'EU', 'Europe'),
(116643, '195.61.64.0', '195.61.64.255', 3275571200, 3275571455, 'PT', 'Portugal'),
(116644, '195.61.65.0', '195.61.66.255', 3275571456, 3275571967, 'EU', 'Europe'),
(116645, '195.61.67.0', '195.61.67.127', 3275571968, 3275572095, 'PT', 'Portugal'),
(116646, '195.61.67.128', '195.61.70.31', 3275572096, 3275572767, 'EU', 'Europe'),
(116647, '195.61.70.32', '195.61.70.127', 3275572768, 3275572863, 'PT', 'Portugal'),
(116648, '195.61.70.128', '195.61.70.255', 3275572864, 3275572991, 'EU', 'Europe'),
(116649, '195.61.71.0', '195.61.71.63', 3275572992, 3275573055, 'PT', 'Portugal'),
(116650, '195.61.71.64', '195.61.71.127', 3275573056, 3275573119, 'EU', 'Europe'),
(116651, '195.61.71.128', '195.61.74.255', 3275573120, 3275574015, 'PT', 'Portugal'),
(116652, '195.61.75.0', '195.61.75.15', 3275574016, 3275574031, 'EU', 'Europe'),
(116653, '195.61.75.16', '195.61.75.31', 3275574032, 3275574047, 'PT', 'Portugal'),
(116654, '195.61.75.32', '195.61.75.127', 3275574048, 3275574143, 'EU', 'Europe'),
(116655, '195.61.75.128', '195.61.75.131', 3275574144, 3275574147, 'PT', 'Portugal'),
(116656, '195.61.75.132', '195.61.75.135', 3275574148, 3275574151, 'EU', 'Europe'),
(116657, '195.61.75.136', '195.61.75.143', 3275574152, 3275574159, 'PT', 'Portugal'),
(116658, '195.61.75.144', '195.61.75.159', 3275574160, 3275574175, 'EU', 'Europe'),
(116659, '195.61.75.160', '195.61.75.175', 3275574176, 3275574191, 'PT', 'Portugal'),
(116660, '195.61.75.176', '195.61.77.255', 3275574192, 3275574783, 'EU', 'Europe'),
(116661, '195.61.78.0', '195.61.79.63', 3275574784, 3275575103, 'PT', 'Portugal'),
(116662, '195.61.79.64', '195.61.79.127', 3275575104, 3275575167, 'EU', 'Europe'),
(116663, '195.61.79.128', '195.61.79.191', 3275575168, 3275575231, 'PT', 'Portugal'),
(116664, '195.61.79.192', '195.61.80.127', 3275575232, 3275575423, 'EU', 'Europe'),
(116665, '195.61.80.128', '195.61.81.175', 3275575424, 3275575727, 'PT', 'Portugal'),
(116666, '195.61.81.176', '195.61.82.63', 3275575728, 3275575871, 'EU', 'Europe'),
(116667, '195.61.82.64', '195.61.82.127', 3275575872, 3275575935, 'PT', 'Portugal'),
(116668, '195.61.82.128', '195.61.82.255', 3275575936, 3275576063, 'EU', 'Europe'),
(116669, '195.61.83.0', '195.61.83.255', 3275576064, 3275576319, 'PT', 'Portugal'),
(116670, '195.61.84.0', '195.61.87.255', 3275576320, 3275577343, 'EU', 'Europe'),
(116671, '195.61.88.0', '195.61.88.63', 3275577344, 3275577407, 'PT', 'Portugal'),
(116672, '195.61.88.64', '195.61.88.127', 3275577408, 3275577471, 'EU', 'Europe'),
(116673, '195.61.88.128', '195.61.88.151', 3275577472, 3275577495, 'PT', 'Portugal'),
(116674, '195.61.88.152', '195.61.88.175', 3275577496, 3275577519, 'EU', 'Europe'),
(116675, '195.61.88.176', '195.61.88.223', 3275577520, 3275577567, 'PT', 'Portugal'),
(116676, '195.61.88.224', '195.61.88.255', 3275577568, 3275577599, 'EU', 'Europe'),
(116677, '195.61.89.0', '195.61.89.127', 3275577600, 3275577727, 'PT', 'Portugal'),
(116678, '195.61.89.128', '195.61.89.191', 3275577728, 3275577791, 'EU', 'Europe'),
(116679, '195.61.89.192', '195.61.89.207', 3275577792, 3275577807, 'PT', 'Portugal'),
(116680, '195.61.89.208', '195.61.89.239', 3275577808, 3275577839, 'EU', 'Europe'),
(116681, '195.61.89.240', '195.61.92.255', 3275577840, 3275578623, 'PT', 'Portugal'),
(116682, '195.61.93.0', '195.61.94.255', 3275578624, 3275579135, 'EU', 'Europe'),
(116683, '195.61.95.0', '195.61.95.255', 3275579136, 3275579391, 'PT', 'Portugal'),
(116684, '195.61.96.0', '195.61.96.127', 3275579392, 3275579519, 'FR', 'France'),
(116685, '195.61.96.128', '195.61.96.191', 3275579520, 3275579583, 'NL', 'Netherlands'),
(116686, '195.61.96.192', '195.61.96.207', 3275579584, 3275579599, 'EU', 'Europe'),
(116687, '195.61.96.208', '195.61.96.223', 3275579600, 3275579615, 'NL', 'Netherlands'),
(116688, '195.61.96.224', '195.61.96.255', 3275579616, 3275579647, 'EU', 'Europe'),
(116689, '195.61.97.0', '195.61.97.55', 3275579648, 3275579703, 'NL', 'Netherlands'),
(116690, '195.61.97.56', '195.61.97.255', 3275579704, 3275579903, 'EU', 'Europe'),
(116691, '195.61.98.0', '195.61.98.255', 3275579904, 3275580159, 'NL', 'Netherlands'),
(116692, '195.61.99.0', '195.61.101.255', 3275580160, 3275580927, 'EU', 'Europe'),
(116693, '195.61.102.0', '195.61.102.20', 3275580928, 3275580948, 'NL', 'Netherlands'),
(116694, '195.61.102.21', '195.61.102.21', 3275580949, 3275580949, 'EU', 'Europe'),
(116695, '195.61.102.22', '195.61.103.127', 3275580950, 3275581311, 'NL', 'Netherlands'),
(116696, '195.61.103.128', '195.61.104.95', 3275581312, 3275581535, 'EU', 'Europe'),
(116697, '195.61.104.96', '195.61.104.231', 3275581536, 3275581671, 'NL', 'Netherlands'),
(116698, '195.61.104.232', '195.61.104.239', 3275581672, 3275581679, 'EU', 'Europe'),
(116699, '195.61.104.240', '195.61.104.255', 3275581680, 3275581695, 'NL', 'Netherlands'),
(116700, '195.61.105.0', '195.61.107.15', 3275581696, 3275582223, 'EU', 'Europe'),
(116701, '195.61.107.16', '195.61.107.39', 3275582224, 3275582247, 'NL', 'Netherlands'),
(116702, '195.61.107.40', '195.61.107.71', 3275582248, 3275582279, 'EU', 'Europe'),
(116703, '195.61.107.72', '195.61.107.79', 3275582280, 3275582287, 'NL', 'Netherlands'),
(116704, '195.61.107.80', '195.61.108.191', 3275582288, 3275582655, 'EU', 'Europe'),
(116705, '195.61.108.192', '195.61.108.255', 3275582656, 3275582719, 'NL', 'Netherlands'),
(116706, '195.61.109.0', '195.61.109.255', 3275582720, 3275582975, 'EU', 'Europe'),
(116707, '195.61.110.0', '195.61.110.255', 3275582976, 3275583231, 'NL', 'Netherlands'),
(116708, '195.61.111.0', '195.61.114.255', 3275583232, 3275584255, 'EU', 'Europe'),
(116709, '195.61.115.0', '195.61.115.31', 3275584256, 3275584287, 'NL', 'Netherlands'),
(116710, '195.61.115.32', '195.61.115.255', 3275584288, 3275584511, 'EU', 'Europe'),
(116711, '195.61.116.0', '195.61.116.15', 3275584512, 3275584527, 'NL', 'Netherlands'),
(116712, '195.61.116.16', '195.61.117.255', 3275584528, 3275585023, 'EU', 'Europe'),
(116713, '195.61.118.0', '195.61.118.255', 3275585024, 3275585279, 'NL', 'Netherlands'),
(116714, '195.61.119.0', '195.61.127.255', 3275585280, 3275587583, 'EU', 'Europe'),
(116715, '195.61.128.0', '195.61.129.15', 3275587584, 3275587855, 'BE', 'Belgium'),
(116716, '195.61.129.16', '195.61.129.255', 3275587856, 3275588095, 'EU', 'Europe'),
(116717, '195.61.130.0', '195.61.130.191', 3275588096, 3275588287, 'BE', 'Belgium'),
(116718, '195.61.130.192', '195.61.130.223', 3275588288, 3275588319, 'NL', 'Netherlands'),
(116719, '195.61.130.224', '195.61.130.255', 3275588320, 3275588351, 'EU', 'Europe'),
(116720, '195.61.131.0', '195.61.131.255', 3275588352, 3275588607, 'BE', 'Belgium'),
(116721, '195.61.132.0', '195.61.132.31', 3275588608, 3275588639, 'EU', 'Europe'),
(116722, '195.61.132.32', '195.61.132.47', 3275588640, 3275588655, 'BE', 'Belgium'),
(116723, '195.61.132.48', '195.61.132.103', 3275588656, 3275588711, 'EU', 'Europe'),
(116724, '195.61.132.104', '195.61.132.111', 3275588712, 3275588719, 'CH', 'Switzerland'),
(116725, '195.61.132.112', '195.61.132.127', 3275588720, 3275588735, 'EU', 'Europe'),
(116726, '195.61.132.128', '195.61.132.191', 3275588736, 3275588799, 'BE', 'Belgium'),
(116727, '195.61.132.192', '195.61.132.239', 3275588800, 3275588847, 'EU', 'Europe'),
(116728, '195.61.132.240', '195.61.132.247', 3275588848, 3275588855, 'BE', 'Belgium'),
(116729, '195.61.132.248', '195.61.132.255', 3275588856, 3275588863, 'EU', 'Europe'),
(116730, '195.61.133.0', '195.61.133.255', 3275588864, 3275589119, 'IT', 'Italy'),
(116731, '195.61.134.0', '195.61.134.151', 3275589120, 3275589271, 'EU', 'Europe'),
(116732, '195.61.134.152', '195.61.134.159', 3275589272, 3275589279, 'BE', 'Belgium'),
(116733, '195.61.134.160', '195.61.134.255', 3275589280, 3275589375, 'EU', 'Europe'),
(116734, '195.61.135.0', '195.61.135.95', 3275589376, 3275589471, 'BE', 'Belgium'),
(116735, '195.61.135.96', '195.61.136.255', 3275589472, 3275589887, 'EU', 'Europe'),
(116736, '195.61.137.0', '195.61.139.255', 3275589888, 3275590655, 'BE', 'Belgium'),
(116737, '195.61.140.0', '195.61.140.255', 3275590656, 3275590911, 'EU', 'Europe'),
(116738, '195.61.141.0', '195.61.141.255', 3275590912, 3275591167, 'BE', 'Belgium'),
(116739, '195.61.142.0', '195.61.142.255', 3275591168, 3275591423, 'EU', 'Europe'),
(116740, '195.61.143.0', '195.61.143.255', 3275591424, 3275591679, 'BE', 'Belgium'),
(116741, '195.61.144.0', '195.61.145.127', 3275591680, 3275592063, 'RO', 'Romania'),
(116742, '195.61.145.128', '195.61.146.255', 3275592064, 3275592447, 'EU', 'Europe'),
(116743, '195.61.147.0', '195.61.148.255', 3275592448, 3275592959, 'RO', 'Romania'),
(116744, '195.61.149.0', '195.61.150.127', 3275592960, 3275593343, 'EU', 'Europe'),
(116745, '195.61.150.128', '195.61.152.127', 3275593344, 3275593855, 'RO', 'Romania'),
(116746, '195.61.152.128', '195.61.152.255', 3275593856, 3275593983, 'EU', 'Europe'),
(116747, '195.61.153.0', '195.61.156.255', 3275593984, 3275595007, 'RO', 'Romania'),
(116748, '195.61.157.0', '195.61.157.31', 3275595008, 3275595039, 'BE', 'Belgium'),
(116749, '195.61.157.32', '195.61.157.255', 3275595040, 3275595263, 'EU', 'Europe'),
(116750, '195.61.158.0', '195.61.158.255', 3275595264, 3275595519, 'US', 'United States'),
(116751, '195.61.159.0', '195.61.161.135', 3275595520, 3275596167, 'EU', 'Europe'),
(116752, '195.61.161.136', '195.61.161.143', 3275596168, 3275596175, 'AT', 'Austria'),
(116753, '195.61.161.144', '195.61.172.255', 3275596176, 3275599103, 'EU', 'Europe'),
(116754, '195.61.173.0', '195.61.173.127', 3275599104, 3275599231, 'AT', 'Austria'),
(116755, '195.61.173.128', '195.61.175.255', 3275599232, 3275599871, 'EU', 'Europe'),
(116756, '195.61.176.0', '195.61.176.255', 3275599872, 3275600127, 'AT', 'Austria'),
(116757, '195.61.177.0', '195.61.191.255', 3275600128, 3275603967, 'EU', 'Europe'),
(116758, '195.61.192.0', '195.61.194.255', 3275603968, 3275604735, 'IT', 'Italy'),
(116759, '195.61.195.0', '195.61.195.31', 3275604736, 3275604767, 'IL', 'Israel'),
(116760, '195.61.195.32', '195.61.195.255', 3275604768, 3275604991, 'EU', 'Europe'),
(116761, '195.61.196.0', '195.61.198.255', 3275604992, 3275605759, 'IT', 'Italy'),
(116762, '195.61.199.0', '195.61.199.255', 3275605760, 3275606015, 'EU', 'Europe'),
(116763, '195.61.200.0', '195.61.200.255', 3275606016, 3275606271, 'IT', 'Italy'),
(116764, '195.61.201.0', '195.61.201.255', 3275606272, 3275606527, 'EU', 'Europe'),
(116765, '195.61.202.0', '195.61.202.255', 3275606528, 3275606783, 'IT', 'Italy'),
(116766, '195.61.203.0', '195.61.210.255', 3275606784, 3275608831, 'EU', 'Europe'),
(116767, '195.61.211.0', '195.61.215.207', 3275608832, 3275610063, 'IT', 'Italy'),
(116768, '195.61.215.208', '195.61.215.255', 3275610064, 3275610111, 'EU', 'Europe'),
(116769, '195.61.216.0', '195.61.217.255', 3275610112, 3275610623, 'IT', 'Italy'),
(116770, '195.61.218.0', '195.61.223.255', 3275610624, 3275612159, 'EU', 'Europe'),
(116771, '195.61.224.0', '195.61.224.127', 3275612160, 3275612287, 'LU', 'Luxembourg'),
(116772, '195.61.224.128', '195.61.226.255', 3275612288, 3275612927, 'EU', 'Europe'),
(116773, '195.61.227.0', '195.61.230.255', 3275612928, 3275613951, 'LU', 'Luxembourg'),
(116774, '195.61.231.0', '195.61.255.255', 3275613952, 3275620351, 'EU', 'Europe'),
(116775, '195.62.0.0', '195.62.7.255', 3275620352, 3275622399, 'RU', 'Russian Federation'),
(116776, '195.62.8.0', '195.62.11.255', 3275622400, 3275623423, 'GB', 'United Kingdom'),
(116777, '195.62.12.0', '195.62.13.255', 3275623424, 3275623935, 'PL', 'Poland'),
(116778, '195.62.14.0', '195.62.15.255', 3275623936, 3275624447, 'UA', 'Ukraine'),
(116779, '195.62.16.0', '195.62.17.255', 3275624448, 3275624959, 'SK', 'Slovakia'),
(116780, '195.62.18.0', '195.62.19.255', 3275624960, 3275625471, 'IL', 'Israel'),
(116781, '195.62.20.0', '195.62.21.255', 3275625472, 3275625983, 'DE', 'Germany'),
(116782, '195.62.22.0', '195.62.23.255', 3275625984, 3275626495, 'BG', 'Bulgaria'),
(116783, '195.62.24.0', '195.62.25.255', 3275626496, 3275627007, 'UA', 'Ukraine'),
(116784, '195.62.26.0', '195.62.27.255', 3275627008, 3275627519, 'AT', 'Austria'),
(116785, '195.62.28.0', '195.62.29.255', 3275627520, 3275628031, 'GB', 'United Kingdom'),
(116786, '195.62.30.0', '195.62.31.255', 3275628032, 3275628543, 'IL', 'Israel'),
(116787, '195.62.32.0', '195.62.34.255', 3275628544, 3275629311, 'RU', 'Russian Federation'),
(116788, '195.62.35.0', '195.62.35.255', 3275629312, 3275629567, 'TR', 'Turkey'),
(116789, '195.62.36.0', '195.62.37.255', 3275629568, 3275630079, 'UA', 'Ukraine'),
(116790, '195.62.38.0', '195.62.39.255', 3275630080, 3275630591, 'RU', 'Russian Federation'),
(116791, '195.62.40.0', '195.62.41.255', 3275630592, 3275631103, 'PL', 'Poland'),
(116792, '195.62.42.0', '195.62.43.255', 3275631104, 3275631615, 'FR', 'France'),
(116793, '195.62.44.0', '195.62.45.255', 3275631616, 3275632127, 'DE', 'Germany'),
(116794, '195.62.46.0', '195.62.49.255', 3275632128, 3275633151, 'RU', 'Russian Federation'),
(116795, '195.62.50.0', '195.62.51.255', 3275633152, 3275633663, 'FR', 'France'),
(116796, '195.62.52.0', '195.62.55.255', 3275633664, 3275634687, 'RU', 'Russian Federation'),
(116797, '195.62.56.0', '195.62.57.255', 3275634688, 3275635199, 'RO', 'Romania'),
(116798, '195.62.58.0', '195.62.63.255', 3275635200, 3275636735, 'RU', 'Russian Federation'),
(116799, '195.62.64.0', '195.62.65.255', 3275636736, 3275637247, 'PL', 'Poland'),
(116800, '195.62.66.0', '195.62.67.255', 3275637248, 3275637759, 'SE', 'Sweden'),
(116801, '195.62.68.0', '195.62.69.255', 3275637760, 3275638271, 'BE', 'Belgium'),
(116802, '195.62.70.0', '195.62.71.255', 3275638272, 3275638783, 'RU', 'Russian Federation'),
(116803, '195.62.72.0', '195.62.75.255', 3275638784, 3275639807, 'FR', 'France'),
(116804, '195.62.76.0', '195.62.77.255', 3275639808, 3275640319, 'SE', 'Sweden'),
(116805, '195.62.78.0', '195.62.79.255', 3275640320, 3275640831, 'RU', 'Russian Federation'),
(116806, '195.62.80.0', '195.62.81.255', 3275640832, 3275641343, 'DE', 'Germany'),
(116807, '195.62.82.0', '195.62.83.255', 3275641344, 3275641855, 'NL', 'Netherlands'),
(116808, '195.62.84.0', '195.62.85.255', 3275641856, 3275642367, 'AT', 'Austria'),
(116809, '195.62.86.0', '195.62.87.255', 3275642368, 3275642879, 'RU', 'Russian Federation'),
(116810, '195.62.88.0', '195.62.89.255', 3275642880, 3275643391, 'RO', 'Romania'),
(116811, '195.62.90.0', '195.62.91.255', 3275643392, 3275643903, 'BE', 'Belgium'),
(116812, '195.62.92.0', '195.62.93.255', 3275643904, 3275644415, 'RU', 'Russian Federation'),
(116813, '195.62.94.0', '195.62.95.255', 3275644416, 3275644927, 'RO', 'Romania'),
(116814, '195.62.96.0', '195.62.127.255', 3275644928, 3275653119, 'DE', 'Germany'),
(116815, '195.62.128.0', '195.62.159.255', 3275653120, 3275661311, 'LV', 'Latvia'),
(116816, '195.62.160.0', '195.62.191.255', 3275661312, 3275669503, 'IT', 'Italy'),
(116817, '195.62.192.0', '195.62.223.255', 3275669504, 3275677695, 'GB', 'United Kingdom'),
(116818, '195.62.224.0', '195.62.255.255', 3275677696, 3275685887, 'IT', 'Italy'),
(116819, '195.63.0.0', '195.63.255.255', 3275685888, 3275751423, 'DE', 'Germany'),
(116820, '195.64.0.0', '195.64.0.255', 3275751424, 3275751679, 'AT', 'Austria'),
(116821, '195.64.1.0', '195.64.1.255', 3275751680, 3275751935, 'EU', 'Europe'),
(116822, '195.64.2.0', '195.64.31.255', 3275751936, 3275759615, 'AT', 'Austria'),
(116823, '195.64.32.0', '195.64.95.255', 3275759616, 3275775999, 'NL', 'Netherlands'),
(116824, '195.64.96.0', '195.64.127.255', 3275776000, 3275784191, 'DE', 'Germany'),
(116825, '195.64.128.0', '195.64.129.255', 3275784192, 3275784703, 'RO', 'Romania'),
(116826, '195.64.130.0', '195.64.131.255', 3275784704, 3275785215, 'PL', 'Poland'),
(116827, '195.64.132.0', '195.64.133.255', 3275785216, 3275785727, 'RO', 'Romania'),
(116828, '195.64.134.0', '195.64.135.255', 3275785728, 3275786239, 'CH', 'Switzerland'),
(116829, '195.64.136.0', '195.64.137.255', 3275786240, 3275786751, 'UA', 'Ukraine'),
(116830, '195.64.138.0', '195.64.139.255', 3275786752, 3275787263, 'CH', 'Switzerland'),
(116831, '195.64.140.0', '195.64.141.255', 3275787264, 3275787775, 'RU', 'Russian Federation'),
(116832, '195.64.142.0', '195.64.143.255', 3275787776, 3275788287, 'UA', 'Ukraine'),
(116833, '195.64.144.0', '195.64.145.255', 3275788288, 3275788799, 'SE', 'Sweden'),
(116834, '195.64.146.0', '195.64.147.255', 3275788800, 3275789311, 'AT', 'Austria'),
(116835, '195.64.148.0', '195.64.149.255', 3275789312, 3275789823, 'UA', 'Ukraine'),
(116836, '195.64.150.0', '195.64.151.255', 3275789824, 3275790335, 'PL', 'Poland'),
(116837, '195.64.152.0', '195.64.153.255', 3275790336, 3275790847, 'MD', 'Moldova, Republic of'),
(116838, '195.64.154.0', '195.64.155.255', 3275790848, 3275791359, 'UA', 'Ukraine'),
(116839, '195.64.156.0', '195.64.157.255', 3275791360, 3275791871, 'RU', 'Russian Federation'),
(116840, '195.64.158.0', '195.64.159.255', 3275791872, 3275792383, 'PL', 'Poland'),
(116841, '195.64.160.0', '195.64.161.255', 3275792384, 3275792895, 'BG', 'Bulgaria'),
(116842, '195.64.162.0', '195.64.163.255', 3275792896, 3275793407, 'UA', 'Ukraine'),
(116843, '195.64.164.0', '195.64.165.255', 3275793408, 3275793919, 'FR', 'France'),
(116844, '195.64.166.0', '195.64.167.255', 3275793920, 3275794431, 'UA', 'Ukraine'),
(116845, '195.64.168.0', '195.64.169.255', 3275794432, 3275794943, 'EU', 'Europe'),
(116846, '195.64.170.0', '195.64.171.255', 3275794944, 3275795455, 'RS', 'Serbia'),
(116847, '195.64.172.0', '195.64.173.255', 3275795456, 3275795967, 'GR', 'Greece'),
(116848, '195.64.174.0', '195.64.175.255', 3275795968, 3275796479, 'PL', 'Poland'),
(116849, '195.64.176.0', '195.64.177.255', 3275796480, 3275796991, 'DE', 'Germany'),
(116850, '195.64.178.0', '195.64.179.255', 3275796992, 3275797503, 'RO', 'Romania'),
(116851, '195.64.180.0', '195.64.181.255', 3275797504, 3275798015, 'DE', 'Germany'),
(116852, '195.64.182.0', '195.64.185.255', 3275798016, 3275799039, 'UA', 'Ukraine'),
(116853, '195.64.186.0', '195.64.187.255', 3275799040, 3275799551, 'ES', 'Spain'),
(116854, '195.64.188.0', '195.64.189.255', 3275799552, 3275800063, 'IT', 'Italy'),
(116855, '195.64.190.0', '195.64.191.255', 3275800064, 3275800575, 'UA', 'Ukraine'),
(116856, '195.64.192.0', '195.64.223.255', 3275800576, 3275808767, 'RU', 'Russian Federation'),
(116857, '195.64.224.0', '195.64.255.255', 3275808768, 3275816959, 'UA', 'Ukraine'),
(116858, '195.65.0.0', '195.65.4.223', 3275816960, 3275818207, 'CH', 'Switzerland'),
(116859, '195.65.4.224', '195.65.4.231', 3275818208, 3275818215, 'DE', 'Germany'),
(116860, '195.65.4.232', '195.65.86.255', 3275818216, 3275839231, 'CH', 'Switzerland'),
(116861, '195.65.87.0', '195.65.87.255', 3275839232, 3275839487, 'EU', 'Europe'),
(116862, '195.65.88.0', '195.65.224.255', 3275839488, 3275874559, 'CH', 'Switzerland'),
(116863, '195.65.225.0', '195.65.225.255', 3275874560, 3275874815, 'EU', 'Europe'),
(116864, '195.65.226.0', '195.65.255.255', 3275874816, 3275882495, 'CH', 'Switzerland'),
(116865, '195.66.0.0', '195.66.7.255', 3275882496, 3275884543, 'DE', 'Germany'),
(116866, '195.66.8.0', '195.66.15.255', 3275884544, 3275886591, 'IT', 'Italy'),
(116867, '195.66.16.0', '195.66.23.255', 3275886592, 3275888639, 'PL', 'Poland'),
(116868, '195.66.24.0', '195.66.31.255', 3275888640, 3275890687, 'GB', 'United Kingdom'),
(116869, '195.66.32.0', '195.66.63.255', 3275890688, 3275898879, 'SE', 'Sweden'),
(116870, '195.66.64.0', '195.66.64.255', 3275898880, 3275899135, 'LV', 'Latvia'),
(116871, '195.66.65.0', '195.66.66.255', 3275899136, 3275899647, 'UA', 'Ukraine'),
(116872, '195.66.67.0', '195.66.68.255', 3275899648, 3275900159, 'PL', 'Poland'),
(116873, '195.66.69.0', '195.66.69.255', 3275900160, 3275900415, 'SI', 'Slovenia'),
(116874, '195.66.70.0', '195.66.70.255', 3275900416, 3275900671, 'DE', 'Germany'),
(116875, '195.66.71.0', '195.66.72.255', 3275900672, 3275901183, 'RU', 'Russian Federation'),
(116876, '195.66.73.0', '195.66.73.255', 3275901184, 3275901439, 'PL', 'Poland'),
(116877, '195.66.74.0', '195.66.74.255', 3275901440, 3275901695, 'DE', 'Germany'),
(116878, '195.66.75.0', '195.66.75.255', 3275901696, 3275901951, 'IE', 'Ireland'),
(116879, '195.66.76.0', '195.66.76.255', 3275901952, 3275902207, 'DE', 'Germany'),
(116880, '195.66.77.0', '195.66.78.255', 3275902208, 3275902719, 'RU', 'Russian Federation'),
(116881, '195.66.79.0', '195.66.79.255', 3275902720, 3275902975, 'UA', 'Ukraine'),
(116882, '195.66.80.0', '195.66.80.255', 3275902976, 3275903231, 'FR', 'France'),
(116883, '195.66.81.0', '195.66.81.255', 3275903232, 3275903487, 'GB', 'United Kingdom'),
(116884, '195.66.82.0', '195.66.82.255', 3275903488, 3275903743, 'FR', 'France'),
(116885, '195.66.83.0', '195.66.83.255', 3275903744, 3275903999, 'DE', 'Germany'),
(116886, '195.66.84.0', '195.66.84.255', 3275904000, 3275904255, 'RU', 'Russian Federation'),
(116887, '195.66.85.0', '195.66.85.255', 3275904256, 3275904511, 'CH', 'Switzerland'),
(116888, '195.66.86.0', '195.66.86.255', 3275904512, 3275904767, 'PL', 'Poland'),
(116889, '195.66.87.0', '195.66.87.255', 3275904768, 3275905023, 'RU', 'Russian Federation'),
(116890, '195.66.88.0', '195.66.88.255', 3275905024, 3275905279, 'PL', 'Poland'),
(116891, '195.66.89.0', '195.66.89.255', 3275905280, 3275905535, 'RU', 'Russian Federation'),
(116892, '195.66.90.0', '195.66.90.255', 3275905536, 3275905791, 'NL', 'Netherlands'),
(116893, '195.66.91.0', '195.66.92.255', 3275905792, 3275906303, 'AT', 'Austria'),
(116894, '195.66.93.0', '195.66.93.255', 3275906304, 3275906559, 'UA', 'Ukraine'),
(116895, '195.66.94.0', '195.66.95.255', 3275906560, 3275907071, 'SE', 'Sweden'),
(116896, '195.66.96.0', '195.66.96.255', 3275907072, 3275907327, 'RU', 'Russian Federation'),
(116897, '195.66.97.0', '195.66.97.255', 3275907328, 3275907583, 'CH', 'Switzerland'),
(116898, '195.66.98.0', '195.66.98.255', 3275907584, 3275907839, 'PL', 'Poland'),
(116899, '195.66.99.0', '195.66.99.255', 3275907840, 3275908095, 'DE', 'Germany'),
(116900, '195.66.100.0', '195.66.100.255', 3275908096, 3275908351, 'SA', 'Saudi Arabia'),
(116901, '195.66.101.0', '195.66.101.255', 3275908352, 3275908607, 'SE', 'Sweden'),
(116902, '195.66.102.0', '195.66.102.255', 3275908608, 3275908863, 'US', 'United States'),
(116903, '195.66.103.0', '195.66.103.255', 3275908864, 3275909119, 'PL', 'Poland'),
(116904, '195.66.104.0', '195.66.104.255', 3275909120, 3275909375, 'RU', 'Russian Federation'),
(116905, '195.66.105.0', '195.66.105.255', 3275909376, 3275909631, 'UA', 'Ukraine'),
(116906, '195.66.106.0', '195.66.106.255', 3275909632, 3275909887, 'EE', 'Estonia'),
(116907, '195.66.107.0', '195.66.107.255', 3275909888, 3275910143, 'SI', 'Slovenia'),
(116908, '195.66.108.0', '195.66.108.255', 3275910144, 3275910399, 'RU', 'Russian Federation'),
(116909, '195.66.109.0', '195.66.109.255', 3275910400, 3275910655, 'DK', 'Denmark'),
(116910, '195.66.110.0', '195.66.110.255', 3275910656, 3275910911, 'UA', 'Ukraine'),
(116911, '195.66.111.0', '195.66.111.255', 3275910912, 3275911167, 'DE', 'Germany'),
(116912, '195.66.112.0', '195.66.112.255', 3275911168, 3275911423, 'FR', 'France'),
(116913, '195.66.113.0', '195.66.113.255', 3275911424, 3275911679, 'RO', 'Romania'),
(116914, '195.66.114.0', '195.66.114.255', 3275911680, 3275911935, 'UA', 'Ukraine'),
(116915, '195.66.115.0', '195.66.115.255', 3275911936, 3275912191, 'BE', 'Belgium'),
(116916, '195.66.116.0', '195.66.116.255', 3275912192, 3275912447, 'PL', 'Poland'),
(116917, '195.66.117.0', '195.66.117.255', 3275912448, 3275912703, 'RU', 'Russian Federation'),
(116918, '195.66.118.0', '195.66.118.255', 3275912704, 3275912959, 'IL', 'Israel'),
(116919, '195.66.119.0', '195.66.119.255', 3275912960, 3275913215, 'FR', 'France'),
(116920, '195.66.120.0', '195.66.120.255', 3275913216, 3275913471, 'UA', 'Ukraine'),
(116921, '195.66.121.0', '195.66.122.255', 3275913472, 3275913983, 'DE', 'Germany'),
(116922, '195.66.123.0', '195.66.123.255', 3275913984, 3275914239, 'CH', 'Switzerland'),
(116923, '195.66.124.0', '195.66.124.255', 3275914240, 3275914495, 'RO', 'Romania'),
(116924, '195.66.125.0', '195.66.125.255', 3275914496, 3275914751, 'BG', 'Bulgaria'),
(116925, '195.66.126.0', '195.66.126.255', 3275914752, 3275915007, 'RU', 'Russian Federation'),
(116926, '195.66.127.0', '195.66.127.255', 3275915008, 3275915263, 'PT', 'Portugal'),
(116927, '195.66.128.0', '195.66.129.255', 3275915264, 3275915775, 'SA', 'Saudi Arabia'),
(116928, '195.66.130.0', '195.66.131.255', 3275915776, 3275916287, 'SE', 'Sweden'),
(116929, '195.66.132.0', '195.66.133.255', 3275916288, 3275916799, 'US', 'United States'),
(116930, '195.66.134.0', '195.66.135.255', 3275916800, 3275917311, 'NL', 'Netherlands'),
(116931, '195.66.136.0', '195.66.141.255', 3275917312, 3275918847, 'UA', 'Ukraine'),
(116932, '195.66.142.0', '195.66.143.255', 3275918848, 3275919359, 'RO', 'Romania'),
(116933, '195.66.144.0', '195.66.145.255', 3275919360, 3275919871, 'PL', 'Poland'),
(116934, '195.66.146.0', '195.66.147.255', 3275919872, 3275920383, 'UA', 'Ukraine'),
(116935, '195.66.148.0', '195.66.149.255', 3275920384, 3275920895, 'GB', 'United Kingdom'),
(116936, '195.66.150.0', '195.66.151.255', 3275920896, 3275921407, 'ES', 'Spain'),
(116937, '195.66.152.0', '195.66.153.255', 3275921408, 3275921919, 'UA', 'Ukraine'),
(116938, '195.66.154.0', '195.66.155.255', 3275921920, 3275922431, 'DE', 'Germany'),
(116939, '195.66.156.0', '195.66.157.255', 3275922432, 3275922943, 'UA', 'Ukraine'),
(116940, '195.66.158.0', '195.66.159.255', 3275922944, 3275923455, 'GR', 'Greece'),
(116941, '195.66.160.0', '195.66.191.255', 3275923456, 3275931647, 'ME', 'Montenegro'),
(116942, '195.66.192.0', '195.66.223.255', 3275931648, 3275939839, 'UA', 'Ukraine'),
(116943, '195.66.224.0', '195.66.255.255', 3275939840, 3275948031, 'GB', 'United Kingdom'),
(116944, '195.67.0.0', '195.67.255.255', 3275948032, 3276013567, 'SE', 'Sweden'),
(116945, '195.68.0.0', '195.68.2.7', 3276013568, 3276014087, 'FR', 'France'),
(116946, '195.68.2.8', '195.68.2.15', 3276014088, 3276014095, 'GB', 'United Kingdom'),
(116947, '195.68.2.16', '195.68.2.71', 3276014096, 3276014151, 'FR', 'France'),
(116948, '195.68.2.72', '195.68.2.79', 3276014152, 3276014159, 'GB', 'United Kingdom'),
(116949, '195.68.2.80', '195.68.2.111', 3276014160, 3276014191, 'FR', 'France'),
(116950, '195.68.2.112', '195.68.2.127', 3276014192, 3276014207, 'GB', 'United Kingdom'),
(116951, '195.68.2.128', '195.68.2.175', 3276014208, 3276014255, 'FR', 'France'),
(116952, '195.68.2.176', '195.68.2.183', 3276014256, 3276014263, 'GB', 'United Kingdom'),
(116953, '195.68.2.184', '195.68.3.135', 3276014264, 3276014471, 'FR', 'France'),
(116954, '195.68.3.136', '195.68.3.143', 3276014472, 3276014479, 'GB', 'United Kingdom'),
(116955, '195.68.3.144', '195.68.3.175', 3276014480, 3276014511, 'FR', 'France'),
(116956, '195.68.3.176', '195.68.3.183', 3276014512, 3276014519, 'GB', 'United Kingdom'),
(116957, '195.68.3.184', '195.68.5.71', 3276014520, 3276014919, 'FR', 'France'),
(116958, '195.68.5.72', '195.68.5.79', 3276014920, 3276014927, 'GB', 'United Kingdom'),
(116959, '195.68.5.80', '195.68.5.255', 3276014928, 3276015103, 'FR', 'France'),
(116960, '195.68.6.0', '195.68.6.15', 3276015104, 3276015119, 'GB', 'United Kingdom'),
(116961, '195.68.6.16', '195.68.6.95', 3276015120, 3276015199, 'FR', 'France'),
(116962, '195.68.6.96', '195.68.6.127', 3276015200, 3276015231, 'GB', 'United Kingdom'),
(116963, '195.68.6.128', '195.68.6.143', 3276015232, 3276015247, 'FR', 'France'),
(116964, '195.68.6.144', '195.68.6.159', 3276015248, 3276015263, 'GB', 'United Kingdom'),
(116965, '195.68.6.160', '195.68.6.191', 3276015264, 3276015295, 'FR', 'France'),
(116966, '195.68.6.192', '195.68.6.223', 3276015296, 3276015327, 'GB', 'United Kingdom'),
(116967, '195.68.6.224', '195.68.7.55', 3276015328, 3276015415, 'FR', 'France'),
(116968, '195.68.7.56', '195.68.7.63', 3276015416, 3276015423, 'GB', 'United Kingdom'),
(116969, '195.68.7.64', '195.68.7.199', 3276015424, 3276015559, 'FR', 'France'),
(116970, '195.68.7.200', '195.68.7.239', 3276015560, 3276015599, 'GB', 'United Kingdom'),
(116971, '195.68.7.240', '195.68.9.7', 3276015600, 3276015879, 'FR', 'France'),
(116972, '195.68.9.8', '195.68.9.15', 3276015880, 3276015887, 'GB', 'United Kingdom'),
(116973, '195.68.9.16', '195.68.11.7', 3276015888, 3276016391, 'FR', 'France'),
(116974, '195.68.11.8', '195.68.11.15', 3276016392, 3276016399, 'GB', 'United Kingdom'),
(116975, '195.68.11.16', '195.68.11.31', 3276016400, 3276016415, 'FR', 'France'),
(116976, '195.68.11.32', '195.68.11.79', 3276016416, 3276016463, 'GB', 'United Kingdom'),
(116977, '195.68.11.80', '195.68.11.127', 3276016464, 3276016511, 'FR', 'France'),
(116978, '195.68.11.128', '195.68.11.207', 3276016512, 3276016591, 'GB', 'United Kingdom'),
(116979, '195.68.11.208', '195.68.12.63', 3276016592, 3276016703, 'FR', 'France'),
(116980, '195.68.12.64', '195.68.12.95', 3276016704, 3276016735, 'GB', 'United Kingdom'),
(116981, '195.68.12.96', '195.68.12.127', 3276016736, 3276016767, 'FR', 'France'),
(116982, '195.68.12.128', '195.68.12.143', 3276016768, 3276016783, 'GB', 'United Kingdom'),
(116983, '195.68.12.144', '195.68.12.159', 3276016784, 3276016799, 'FR', 'France'),
(116984, '195.68.12.160', '195.68.12.175', 3276016800, 3276016815, 'GB', 'United Kingdom'),
(116985, '195.68.12.176', '195.68.12.191', 3276016816, 3276016831, 'FR', 'France'),
(116986, '195.68.12.192', '195.68.12.207', 3276016832, 3276016847, 'GB', 'United Kingdom'),
(116987, '195.68.12.208', '195.68.12.223', 3276016848, 3276016863, 'FR', 'France'),
(116988, '195.68.12.224', '195.68.12.239', 3276016864, 3276016879, 'GB', 'United Kingdom'),
(116989, '195.68.12.240', '195.68.13.47', 3276016880, 3276016943, 'FR', 'France'),
(116990, '195.68.13.48', '195.68.13.63', 3276016944, 3276016959, 'GB', 'United Kingdom'),
(116991, '195.68.13.64', '195.68.13.79', 3276016960, 3276016975, 'FR', 'France'),
(116992, '195.68.13.80', '195.68.13.95', 3276016976, 3276016991, 'GB', 'United Kingdom'),
(116993, '195.68.13.96', '195.68.13.143', 3276016992, 3276017039, 'FR', 'France'),
(116994, '195.68.13.144', '195.68.13.147', 3276017040, 3276017043, 'GB', 'United Kingdom'),
(116995, '195.68.13.148', '195.68.13.151', 3276017044, 3276017047, 'FR', 'France'),
(116996, '195.68.13.152', '195.68.13.159', 3276017048, 3276017055, 'GB', 'United Kingdom'),
(116997, '195.68.13.160', '195.68.13.223', 3276017056, 3276017119, 'FR', 'France'),
(116998, '195.68.13.224', '195.68.13.255', 3276017120, 3276017151, 'GB', 'United Kingdom'),
(116999, '195.68.14.0', '195.68.14.175', 3276017152, 3276017327, 'FR', 'France'),
(117000, '195.68.14.176', '195.68.14.191', 3276017328, 3276017343, 'GB', 'United Kingdom'),
(117001, '195.68.14.192', '195.68.15.143', 3276017344, 3276017551, 'FR', 'France'),
(117002, '195.68.15.144', '195.68.15.159', 3276017552, 3276017567, 'GB', 'United Kingdom'),
(117003, '195.68.15.160', '195.68.15.199', 3276017568, 3276017607, 'FR', 'France'),
(117004, '195.68.15.200', '195.68.15.255', 3276017608, 3276017663, 'GB', 'United Kingdom'),
(117005, '195.68.16.0', '195.68.17.95', 3276017664, 3276018015, 'FR', 'France'),
(117006, '195.68.17.96', '195.68.17.111', 3276018016, 3276018031, 'GB', 'United Kingdom'),
(117007, '195.68.17.112', '195.68.17.127', 3276018032, 3276018047, 'FR', 'France'),
(117008, '195.68.17.128', '195.68.17.143', 3276018048, 3276018063, 'GB', 'United Kingdom'),
(117009, '195.68.17.144', '195.68.17.175', 3276018064, 3276018095, 'FR', 'France'),
(117010, '195.68.17.176', '195.68.17.207', 3276018096, 3276018127, 'GB', 'United Kingdom'),
(117011, '195.68.17.208', '195.68.17.223', 3276018128, 3276018143, 'FR', 'France'),
(117012, '195.68.17.224', '195.68.17.239', 3276018144, 3276018159, 'GB', 'United Kingdom'),
(117013, '195.68.17.240', '195.68.18.63', 3276018160, 3276018239, 'FR', 'France'),
(117014, '195.68.18.64', '195.68.18.95', 3276018240, 3276018271, 'GB', 'United Kingdom'),
(117015, '195.68.18.96', '195.68.18.199', 3276018272, 3276018375, 'FR', 'France'),
(117016, '195.68.18.200', '195.68.18.207', 3276018376, 3276018383, 'GB', 'United Kingdom'),
(117017, '195.68.18.208', '195.68.18.247', 3276018384, 3276018423, 'FR', 'France'),
(117018, '195.68.18.248', '195.68.19.15', 3276018424, 3276018447, 'GB', 'United Kingdom'),
(117019, '195.68.19.16', '195.68.19.63', 3276018448, 3276018495, 'FR', 'France'),
(117020, '195.68.19.64', '195.68.19.95', 3276018496, 3276018527, 'GB', 'United Kingdom'),
(117021, '195.68.19.96', '195.68.19.111', 3276018528, 3276018543, 'FR', 'France'),
(117022, '195.68.19.112', '195.68.19.191', 3276018544, 3276018623, 'GB', 'United Kingdom'),
(117023, '195.68.19.192', '195.68.20.255', 3276018624, 3276018943, 'FR', 'France'),
(117024, '195.68.21.0', '195.68.21.31', 3276018944, 3276018975, 'GB', 'United Kingdom'),
(117025, '195.68.21.32', '195.68.21.41', 3276018976, 3276018985, 'FR', 'France'),
(117026, '195.68.21.42', '195.68.21.63', 3276018986, 3276019007, 'GB', 'United Kingdom'),
(117027, '195.68.21.64', '195.68.21.79', 3276019008, 3276019023, 'FR', 'France'),
(117028, '195.68.21.80', '195.68.21.127', 3276019024, 3276019071, 'GB', 'United Kingdom'),
(117029, '195.68.21.128', '195.68.21.191', 3276019072, 3276019135, 'FR', 'France'),
(117030, '195.68.21.192', '195.68.21.207', 3276019136, 3276019151, 'GB', 'United Kingdom'),
(117031, '195.68.21.208', '195.68.23.79', 3276019152, 3276019535, 'FR', 'France'),
(117032, '195.68.23.80', '195.68.23.87', 3276019536, 3276019543, 'GB', 'United Kingdom'),
(117033, '195.68.23.88', '195.68.23.103', 3276019544, 3276019559, 'FR', 'France'),
(117034, '195.68.23.104', '195.68.23.143', 3276019560, 3276019599, 'GB', 'United Kingdom'),
(117035, '195.68.23.144', '195.68.23.183', 3276019600, 3276019639, 'FR', 'France'),
(117036, '195.68.23.184', '195.68.23.215', 3276019640, 3276019671, 'GB', 'United Kingdom'),
(117037, '195.68.23.216', '195.68.23.223', 3276019672, 3276019679, 'FR', 'France'),
(117038, '195.68.23.224', '195.68.23.231', 3276019680, 3276019687, 'GB', 'United Kingdom'),
(117039, '195.68.23.232', '195.68.23.239', 3276019688, 3276019695, 'FR', 'France'),
(117040, '195.68.23.240', '195.68.23.247', 3276019696, 3276019703, 'GB', 'United Kingdom'),
(117041, '195.68.23.248', '195.68.24.7', 3276019704, 3276019719, 'FR', 'France'),
(117042, '195.68.24.8', '195.68.24.31', 3276019720, 3276019743, 'GB', 'United Kingdom'),
(117043, '195.68.24.32', '195.68.24.111', 3276019744, 3276019823, 'FR', 'France'),
(117044, '195.68.24.112', '195.68.24.119', 3276019824, 3276019831, 'GB', 'United Kingdom'),
(117045, '195.68.24.120', '195.68.24.127', 3276019832, 3276019839, 'FR', 'France'),
(117046, '195.68.24.128', '195.68.24.143', 3276019840, 3276019855, 'GB', 'United Kingdom'),
(117047, '195.68.24.144', '195.68.24.151', 3276019856, 3276019863, 'FR', 'France'),
(117048, '195.68.24.152', '195.68.24.159', 3276019864, 3276019871, 'GB', 'United Kingdom'),
(117049, '195.68.24.160', '195.68.24.207', 3276019872, 3276019919, 'FR', 'France'),
(117050, '195.68.24.208', '195.68.24.215', 3276019920, 3276019927, 'GB', 'United Kingdom'),
(117051, '195.68.24.216', '195.68.24.247', 3276019928, 3276019959, 'FR', 'France'),
(117052, '195.68.24.248', '195.68.24.255', 3276019960, 3276019967, 'GB', 'United Kingdom'),
(117053, '195.68.25.0', '195.68.27.23', 3276019968, 3276020503, 'FR', 'France'),
(117054, '195.68.27.24', '195.68.27.31', 3276020504, 3276020511, 'GB', 'United Kingdom'),
(117055, '195.68.27.32', '195.68.27.143', 3276020512, 3276020623, 'FR', 'France'),
(117056, '195.68.27.144', '195.68.27.151', 3276020624, 3276020631, 'GB', 'United Kingdom'),
(117057, '195.68.27.152', '195.68.27.199', 3276020632, 3276020679, 'FR', 'France'),
(117058, '195.68.27.200', '195.68.27.207', 3276020680, 3276020687, 'GB', 'United Kingdom'),
(117059, '195.68.27.208', '195.68.31.87', 3276020688, 3276021591, 'FR', 'France'),
(117060, '195.68.31.88', '195.68.31.95', 3276021592, 3276021599, 'GB', 'United Kingdom'),
(117061, '195.68.31.96', '195.68.31.135', 3276021600, 3276021639, 'FR', 'France'),
(117062, '195.68.31.136', '195.68.31.143', 3276021640, 3276021647, 'GB', 'United Kingdom'),
(117063, '195.68.31.144', '195.68.33.111', 3276021648, 3276022127, 'FR', 'France'),
(117064, '195.68.33.112', '195.68.33.127', 3276022128, 3276022143, 'GB', 'United Kingdom'),
(117065, '195.68.33.128', '195.68.33.199', 3276022144, 3276022215, 'FR', 'France'),
(117066, '195.68.33.200', '195.68.33.207', 3276022216, 3276022223, 'GB', 'United Kingdom'),
(117067, '195.68.33.208', '195.68.33.239', 3276022224, 3276022255, 'FR', 'France'),
(117068, '195.68.33.240', '195.68.33.255', 3276022256, 3276022271, 'GB', 'United Kingdom'),
(117069, '195.68.34.0', '195.68.34.183', 3276022272, 3276022455, 'FR', 'France'),
(117070, '195.68.34.184', '195.68.34.191', 3276022456, 3276022463, 'GB', 'United Kingdom'),
(117071, '195.68.34.192', '195.68.34.207', 3276022464, 3276022479, 'FR', 'France'),
(117072, '195.68.34.208', '195.68.34.223', 3276022480, 3276022495, 'GB', 'United Kingdom'),
(117073, '195.68.34.224', '195.68.35.47', 3276022496, 3276022575, 'FR', 'France'),
(117074, '195.68.35.48', '195.68.35.111', 3276022576, 3276022639, 'GB', 'United Kingdom'),
(117075, '195.68.35.112', '195.68.35.127', 3276022640, 3276022655, 'FR', 'France'),
(117076, '195.68.35.128', '195.68.35.159', 3276022656, 3276022687, 'GB', 'United Kingdom'),
(117077, '195.68.35.160', '195.68.35.223', 3276022688, 3276022751, 'FR', 'France'),
(117078, '195.68.35.224', '195.68.35.255', 3276022752, 3276022783, 'GB', 'United Kingdom'),
(117079, '195.68.36.0', '195.68.36.7', 3276022784, 3276022791, 'FR', 'France'),
(117080, '195.68.36.8', '195.68.36.15', 3276022792, 3276022799, 'GB', 'United Kingdom'),
(117081, '195.68.36.16', '195.68.36.183', 3276022800, 3276022967, 'FR', 'France'),
(117082, '195.68.36.184', '195.68.36.191', 3276022968, 3276022975, 'GB', 'United Kingdom'),
(117083, '195.68.36.192', '195.68.36.199', 3276022976, 3276022983, 'FR', 'France'),
(117084, '195.68.36.200', '195.68.36.207', 3276022984, 3276022991, 'GB', 'United Kingdom'),
(117085, '195.68.36.208', '195.68.36.247', 3276022992, 3276023031, 'FR', 'France'),
(117086, '195.68.36.248', '195.68.36.255', 3276023032, 3276023039, 'GB', 'United Kingdom'),
(117087, '195.68.37.0', '195.68.37.31', 3276023040, 3276023071, 'FR', 'France'),
(117088, '195.68.37.32', '195.68.37.39', 3276023072, 3276023079, 'GB', 'United Kingdom'),
(117089, '195.68.37.40', '195.68.37.47', 3276023080, 3276023087, 'FR', 'France'),
(117090, '195.68.37.48', '195.68.37.223', 3276023088, 3276023263, 'GB', 'United Kingdom'),
(117091, '195.68.37.224', '195.68.39.175', 3276023264, 3276023727, 'FR', 'France'),
(117092, '195.68.39.176', '195.68.39.191', 3276023728, 3276023743, 'GB', 'United Kingdom'),
(117093, '195.68.39.192', '195.68.39.207', 3276023744, 3276023759, 'FR', 'France'),
(117094, '195.68.39.208', '195.68.39.215', 3276023760, 3276023767, 'GB', 'United Kingdom'),
(117095, '195.68.39.216', '195.68.40.63', 3276023768, 3276023871, 'FR', 'France'),
(117096, '195.68.40.64', '195.68.40.79', 3276023872, 3276023887, 'GB', 'United Kingdom'),
(117097, '195.68.40.80', '195.68.40.135', 3276023888, 3276023943, 'FR', 'France'),
(117098, '195.68.40.136', '195.68.40.143', 3276023944, 3276023951, 'GB', 'United Kingdom'),
(117099, '195.68.40.144', '195.68.40.151', 3276023952, 3276023959, 'FR', 'France'),
(117100, '195.68.40.152', '195.68.40.159', 3276023960, 3276023967, 'GB', 'United Kingdom'),
(117101, '195.68.40.160', '195.68.43.143', 3276023968, 3276024719, 'FR', 'France'),
(117102, '195.68.43.144', '195.68.43.191', 3276024720, 3276024767, 'GB', 'United Kingdom'),
(117103, '195.68.43.192', '195.68.45.23', 3276024768, 3276025111, 'FR', 'France'),
(117104, '195.68.45.24', '195.68.45.47', 3276025112, 3276025135, 'GB', 'United Kingdom'),
(117105, '195.68.45.48', '195.68.45.63', 3276025136, 3276025151, 'FR', 'France'),
(117106, '195.68.45.64', '195.68.45.71', 3276025152, 3276025159, 'GB', 'United Kingdom'),
(117107, '195.68.45.72', '195.68.45.79', 3276025160, 3276025167, 'FR', 'France'),
(117108, '195.68.45.80', '195.68.45.87', 3276025168, 3276025175, 'GB', 'United Kingdom'),
(117109, '195.68.45.88', '195.68.45.95', 3276025176, 3276025183, 'FR', 'France'),
(117110, '195.68.45.96', '195.68.45.103', 3276025184, 3276025191, 'GB', 'United Kingdom'),
(117111, '195.68.45.104', '195.68.45.119', 3276025192, 3276025207, 'FR', 'France'),
(117112, '195.68.45.120', '195.68.45.127', 3276025208, 3276025215, 'GB', 'United Kingdom'),
(117113, '195.68.45.128', '195.68.45.207', 3276025216, 3276025295, 'FR', 'France'),
(117114, '195.68.45.208', '195.68.45.247', 3276025296, 3276025335, 'GB', 'United Kingdom'),
(117115, '195.68.45.248', '195.68.49.55', 3276025336, 3276026167, 'FR', 'France'),
(117116, '195.68.49.56', '195.68.49.63', 3276026168, 3276026175, 'GB', 'United Kingdom'),
(117117, '195.68.49.64', '195.68.49.79', 3276026176, 3276026191, 'FR', 'France'),
(117118, '195.68.49.80', '195.68.49.87', 3276026192, 3276026199, 'GB', 'United Kingdom'),
(117119, '195.68.49.88', '195.68.49.103', 3276026200, 3276026215, 'FR', 'France'),
(117120, '195.68.49.104', '195.68.49.111', 3276026216, 3276026223, 'GB', 'United Kingdom'),
(117121, '195.68.49.112', '195.68.49.207', 3276026224, 3276026319, 'FR', 'France'),
(117122, '195.68.49.208', '195.68.49.239', 3276026320, 3276026351, 'GB', 'United Kingdom'),
(117123, '195.68.49.240', '195.68.50.55', 3276026352, 3276026423, 'FR', 'France'),
(117124, '195.68.50.56', '195.68.50.79', 3276026424, 3276026447, 'GB', 'United Kingdom'),
(117125, '195.68.50.80', '195.68.50.159', 3276026448, 3276026527, 'FR', 'France'),
(117126, '195.68.50.160', '195.68.50.167', 3276026528, 3276026535, 'GB', 'United Kingdom'),
(117127, '195.68.50.168', '195.68.50.175', 3276026536, 3276026543, 'FR', 'France'),
(117128, '195.68.50.176', '195.68.50.207', 3276026544, 3276026575, 'GB', 'United Kingdom'),
(117129, '195.68.50.208', '195.68.50.223', 3276026576, 3276026591, 'FR', 'France'),
(117130, '195.68.50.224', '195.68.50.239', 3276026592, 3276026607, 'GB', 'United Kingdom'),
(117131, '195.68.50.240', '195.68.51.79', 3276026608, 3276026703, 'FR', 'France'),
(117132, '195.68.51.80', '195.68.51.95', 3276026704, 3276026719, 'GB', 'United Kingdom'),
(117133, '195.68.51.96', '195.68.51.103', 3276026720, 3276026727, 'FR', 'France'),
(117134, '195.68.51.104', '195.68.51.159', 3276026728, 3276026783, 'GB', 'United Kingdom'),
(117135, '195.68.51.160', '195.68.51.191', 3276026784, 3276026815, 'FR', 'France'),
(117136, '195.68.51.192', '195.68.51.199', 3276026816, 3276026823, 'GB', 'United Kingdom'),
(117137, '195.68.51.200', '195.68.51.223', 3276026824, 3276026847, 'FR', 'France'),
(117138, '195.68.51.224', '195.68.52.47', 3276026848, 3276026927, 'GB', 'United Kingdom'),
(117139, '195.68.52.48', '195.68.52.63', 3276026928, 3276026943, 'FR', 'France'),
(117140, '195.68.52.64', '195.68.52.111', 3276026944, 3276026991, 'GB', 'United Kingdom'),
(117141, '195.68.52.112', '195.68.53.175', 3276026992, 3276027311, 'FR', 'France'),
(117142, '195.68.53.176', '195.68.53.191', 3276027312, 3276027327, 'GB', 'United Kingdom'),
(117143, '195.68.53.192', '195.68.54.111', 3276027328, 3276027503, 'FR', 'France'),
(117144, '195.68.54.112', '195.68.54.127', 3276027504, 3276027519, 'GB', 'United Kingdom'),
(117145, '195.68.54.128', '195.68.54.159', 3276027520, 3276027551, 'FR', 'France'),
(117146, '195.68.54.160', '195.68.54.191', 3276027552, 3276027583, 'GB', 'United Kingdom'),
(117147, '195.68.54.192', '195.68.55.47', 3276027584, 3276027695, 'FR', 'France'),
(117148, '195.68.55.48', '195.68.55.95', 3276027696, 3276027743, 'GB', 'United Kingdom'),
(117149, '195.68.55.96', '195.68.55.143', 3276027744, 3276027791, 'FR', 'France'),
(117150, '195.68.55.144', '195.68.55.159', 3276027792, 3276027807, 'GB', 'United Kingdom'),
(117151, '195.68.55.160', '195.68.55.207', 3276027808, 3276027855, 'FR', 'France'),
(117152, '195.68.55.208', '195.68.55.223', 3276027856, 3276027871, 'GB', 'United Kingdom'),
(117153, '195.68.55.224', '195.68.56.47', 3276027872, 3276027951, 'FR', 'France'),
(117154, '195.68.56.48', '195.68.56.63', 3276027952, 3276027967, 'GB', 'United Kingdom'),
(117155, '195.68.56.64', '195.68.56.143', 3276027968, 3276028047, 'FR', 'France'),
(117156, '195.68.56.144', '195.68.56.159', 3276028048, 3276028063, 'GB', 'United Kingdom'),
(117157, '195.68.56.160', '195.68.56.175', 3276028064, 3276028079, 'FR', 'France'),
(117158, '195.68.56.176', '195.68.56.207', 3276028080, 3276028111, 'GB', 'United Kingdom'),
(117159, '195.68.56.208', '195.68.56.223', 3276028112, 3276028127, 'FR', 'France'),
(117160, '195.68.56.224', '195.68.56.239', 3276028128, 3276028143, 'GB', 'United Kingdom'),
(117161, '195.68.56.240', '195.68.56.255', 3276028144, 3276028159, 'FR', 'France'),
(117162, '195.68.57.0', '195.68.57.71', 3276028160, 3276028231, 'GB', 'United Kingdom'),
(117163, '195.68.57.72', '195.68.57.87', 3276028232, 3276028247, 'FR', 'France'),
(117164, '195.68.57.88', '195.68.57.95', 3276028248, 3276028255, 'GB', 'United Kingdom'),
(117165, '195.68.57.96', '195.68.57.103', 3276028256, 3276028263, 'FR', 'France'),
(117166, '195.68.57.104', '195.68.57.127', 3276028264, 3276028287, 'GB', 'United Kingdom'),
(117167, '195.68.57.128', '195.68.58.63', 3276028288, 3276028479, 'FR', 'France'),
(117168, '195.68.58.64', '195.68.58.95', 3276028480, 3276028511, 'GB', 'United Kingdom'),
(117169, '195.68.58.96', '195.68.59.71', 3276028512, 3276028743, 'FR', 'France'),
(117170, '195.68.59.72', '195.68.59.79', 3276028744, 3276028751, 'GB', 'United Kingdom'),
(117171, '195.68.59.80', '195.68.59.87', 3276028752, 3276028759, 'FR', 'France'),
(117172, '195.68.59.88', '195.68.59.95', 3276028760, 3276028767, 'GB', 'United Kingdom'),
(117173, '195.68.59.96', '195.68.59.119', 3276028768, 3276028791, 'FR', 'France'),
(117174, '195.68.59.120', '195.68.59.127', 3276028792, 3276028799, 'GB', 'United Kingdom'),
(117175, '195.68.59.128', '195.68.59.135', 3276028800, 3276028807, 'FR', 'France'),
(117176, '195.68.59.136', '195.68.59.143', 3276028808, 3276028815, 'GB', 'United Kingdom'),
(117177, '195.68.59.144', '195.68.59.191', 3276028816, 3276028863, 'FR', 'France'),
(117178, '195.68.59.192', '195.68.59.199', 3276028864, 3276028871, 'GB', 'United Kingdom'),
(117179, '195.68.59.200', '195.68.59.207', 3276028872, 3276028879, 'FR', 'France'),
(117180, '195.68.59.208', '195.68.59.215', 3276028880, 3276028887, 'GB', 'United Kingdom'),
(117181, '195.68.59.216', '195.68.59.223', 3276028888, 3276028895, 'FR', 'France'),
(117182, '195.68.59.224', '195.68.59.255', 3276028896, 3276028927, 'GB', 'United Kingdom'),
(117183, '195.68.60.0', '195.68.60.255', 3276028928, 3276029183, 'FR', 'France'),
(117184, '195.68.61.0', '195.68.61.15', 3276029184, 3276029199, 'GB', 'United Kingdom'),
(117185, '195.68.61.16', '195.68.61.159', 3276029200, 3276029343, 'FR', 'France'),
(117186, '195.68.61.160', '195.68.61.175', 3276029344, 3276029359, 'GB', 'United Kingdom'),
(117187, '195.68.61.176', '195.68.61.191', 3276029360, 3276029375, 'FR', 'France'),
(117188, '195.68.61.192', '195.68.61.223', 3276029376, 3276029407, 'GB', 'United Kingdom'),
(117189, '195.68.61.224', '195.68.61.239', 3276029408, 3276029423, 'FR', 'France'),
(117190, '195.68.61.240', '195.68.61.255', 3276029424, 3276029439, 'GB', 'United Kingdom'),
(117191, '195.68.62.0', '195.68.62.143', 3276029440, 3276029583, 'FR', 'France'),
(117192, '195.68.62.144', '195.68.62.159', 3276029584, 3276029599, 'GB', 'United Kingdom'),
(117193, '195.68.62.160', '195.68.63.31', 3276029600, 3276029727, 'FR', 'France'),
(117194, '195.68.63.32', '195.68.63.95', 3276029728, 3276029791, 'GB', 'United Kingdom'),
(117195, '195.68.63.96', '195.68.63.159', 3276029792, 3276029855, 'FR', 'France'),
(117196, '195.68.63.160', '195.68.63.191', 3276029856, 3276029887, 'GB', 'United Kingdom'),
(117197, '195.68.63.192', '195.68.63.223', 3276029888, 3276029919, 'FR', 'France'),
(117198, '195.68.63.224', '195.68.63.255', 3276029920, 3276029951, 'GB', 'United Kingdom'),
(117199, '195.68.64.0', '195.68.64.31', 3276029952, 3276029983, 'FR', 'France'),
(117200, '195.68.64.32', '195.68.64.47', 3276029984, 3276029999, 'GB', 'United Kingdom'),
(117201, '195.68.64.48', '195.68.64.127', 3276030000, 3276030079, 'FR', 'France'),
(117202, '195.68.64.128', '195.68.64.143', 3276030080, 3276030095, 'GB', 'United Kingdom'),
(117203, '195.68.64.144', '195.68.64.239', 3276030096, 3276030191, 'FR', 'France'),
(117204, '195.68.64.240', '195.68.64.255', 3276030192, 3276030207, 'GB', 'United Kingdom'),
(117205, '195.68.65.0', '195.68.65.7', 3276030208, 3276030215, 'FR', 'France'),
(117206, '195.68.65.8', '195.68.65.31', 3276030216, 3276030239, 'GB', 'United Kingdom'),
(117207, '195.68.65.32', '195.68.65.47', 3276030240, 3276030255, 'FR', 'France'),
(117208, '195.68.65.48', '195.68.65.55', 3276030256, 3276030263, 'GB', 'United Kingdom'),
(117209, '195.68.65.56', '195.68.65.63', 3276030264, 3276030271, 'FR', 'France'),
(117210, '195.68.65.64', '195.68.65.95', 3276030272, 3276030303, 'GB', 'United Kingdom'),
(117211, '195.68.65.96', '195.68.65.111', 3276030304, 3276030319, 'FR', 'France'),
(117212, '195.68.65.112', '195.68.65.127', 3276030320, 3276030335, 'GB', 'United Kingdom'),
(117213, '195.68.65.128', '195.68.65.199', 3276030336, 3276030407, 'FR', 'France'),
(117214, '195.68.65.200', '195.68.65.207', 3276030408, 3276030415, 'GB', 'United Kingdom'),
(117215, '195.68.65.208', '195.68.65.255', 3276030416, 3276030463, 'FR', 'France'),
(117216, '195.68.66.0', '195.68.66.31', 3276030464, 3276030495, 'GB', 'United Kingdom'),
(117217, '195.68.66.32', '195.68.66.79', 3276030496, 3276030543, 'FR', 'France'),
(117218, '195.68.66.80', '195.68.66.95', 3276030544, 3276030559, 'GB', 'United Kingdom'),
(117219, '195.68.66.96', '195.68.66.255', 3276030560, 3276030719, 'FR', 'France'),
(117220, '195.68.67.0', '195.68.67.255', 3276030720, 3276030975, 'GB', 'United Kingdom'),
(117221, '195.68.68.0', '195.68.69.23', 3276030976, 3276031255, 'FR', 'France'),
(117222, '195.68.69.24', '195.68.69.31', 3276031256, 3276031263, 'GB', 'United Kingdom'),
(117223, '195.68.69.32', '195.68.69.143', 3276031264, 3276031375, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(117224, '195.68.69.144', '195.68.69.151', 3276031376, 3276031383, 'GB', 'United Kingdom'),
(117225, '195.68.69.152', '195.68.69.191', 3276031384, 3276031423, 'FR', 'France'),
(117226, '195.68.69.192', '195.68.69.207', 3276031424, 3276031439, 'GB', 'United Kingdom'),
(117227, '195.68.69.208', '195.68.70.31', 3276031440, 3276031519, 'FR', 'France'),
(117228, '195.68.70.32', '195.68.70.63', 3276031520, 3276031551, 'GB', 'United Kingdom'),
(117229, '195.68.70.64', '195.68.70.71', 3276031552, 3276031559, 'FR', 'France'),
(117230, '195.68.70.72', '195.68.70.103', 3276031560, 3276031591, 'GB', 'United Kingdom'),
(117231, '195.68.70.104', '195.68.70.143', 3276031592, 3276031631, 'FR', 'France'),
(117232, '195.68.70.144', '195.68.70.191', 3276031632, 3276031679, 'GB', 'United Kingdom'),
(117233, '195.68.70.192', '195.68.70.231', 3276031680, 3276031719, 'FR', 'France'),
(117234, '195.68.70.232', '195.68.70.255', 3276031720, 3276031743, 'GB', 'United Kingdom'),
(117235, '195.68.71.0', '195.68.72.7', 3276031744, 3276032007, 'FR', 'France'),
(117236, '195.68.72.8', '195.68.72.15', 3276032008, 3276032015, 'GB', 'United Kingdom'),
(117237, '195.68.72.16', '195.68.72.23', 3276032016, 3276032023, 'FR', 'France'),
(117238, '195.68.72.24', '195.68.72.47', 3276032024, 3276032047, 'GB', 'United Kingdom'),
(117239, '195.68.72.48', '195.68.72.55', 3276032048, 3276032055, 'FR', 'France'),
(117240, '195.68.72.56', '195.68.72.63', 3276032056, 3276032063, 'GB', 'United Kingdom'),
(117241, '195.68.72.64', '195.68.72.103', 3276032064, 3276032103, 'FR', 'France'),
(117242, '195.68.72.104', '195.68.72.111', 3276032104, 3276032111, 'GB', 'United Kingdom'),
(117243, '195.68.72.112', '195.68.72.191', 3276032112, 3276032191, 'FR', 'France'),
(117244, '195.68.72.192', '195.68.72.207', 3276032192, 3276032207, 'GB', 'United Kingdom'),
(117245, '195.68.72.208', '195.68.72.223', 3276032208, 3276032223, 'FR', 'France'),
(117246, '195.68.72.224', '195.68.72.255', 3276032224, 3276032255, 'GB', 'United Kingdom'),
(117247, '195.68.73.0', '195.68.73.7', 3276032256, 3276032263, 'FR', 'France'),
(117248, '195.68.73.8', '195.68.73.47', 3276032264, 3276032303, 'GB', 'United Kingdom'),
(117249, '195.68.73.48', '195.68.73.63', 3276032304, 3276032319, 'FR', 'France'),
(117250, '195.68.73.64', '195.68.73.87', 3276032320, 3276032343, 'GB', 'United Kingdom'),
(117251, '195.68.73.88', '195.68.73.111', 3276032344, 3276032367, 'FR', 'France'),
(117252, '195.68.73.112', '195.68.73.159', 3276032368, 3276032415, 'GB', 'United Kingdom'),
(117253, '195.68.73.160', '195.68.73.175', 3276032416, 3276032431, 'FR', 'France'),
(117254, '195.68.73.176', '195.68.73.223', 3276032432, 3276032479, 'GB', 'United Kingdom'),
(117255, '195.68.73.224', '195.68.74.31', 3276032480, 3276032543, 'FR', 'France'),
(117256, '195.68.74.32', '195.68.74.47', 3276032544, 3276032559, 'GB', 'United Kingdom'),
(117257, '195.68.74.48', '195.68.74.79', 3276032560, 3276032591, 'FR', 'France'),
(117258, '195.68.74.80', '195.68.74.95', 3276032592, 3276032607, 'GB', 'United Kingdom'),
(117259, '195.68.74.96', '195.68.74.207', 3276032608, 3276032719, 'FR', 'France'),
(117260, '195.68.74.208', '195.68.74.223', 3276032720, 3276032735, 'GB', 'United Kingdom'),
(117261, '195.68.74.224', '195.68.76.15', 3276032736, 3276033039, 'FR', 'France'),
(117262, '195.68.76.16', '195.68.76.95', 3276033040, 3276033119, 'GB', 'United Kingdom'),
(117263, '195.68.76.96', '195.68.76.127', 3276033120, 3276033151, 'FR', 'France'),
(117264, '195.68.76.128', '195.68.76.143', 3276033152, 3276033167, 'GB', 'United Kingdom'),
(117265, '195.68.76.144', '195.68.76.191', 3276033168, 3276033215, 'FR', 'France'),
(117266, '195.68.76.192', '195.68.76.207', 3276033216, 3276033231, 'GB', 'United Kingdom'),
(117267, '195.68.76.208', '195.68.76.223', 3276033232, 3276033247, 'FR', 'France'),
(117268, '195.68.76.224', '195.68.76.255', 3276033248, 3276033279, 'GB', 'United Kingdom'),
(117269, '195.68.77.0', '195.68.77.255', 3276033280, 3276033535, 'FR', 'France'),
(117270, '195.68.78.0', '195.68.78.119', 3276033536, 3276033655, 'GB', 'United Kingdom'),
(117271, '195.68.78.120', '195.68.78.127', 3276033656, 3276033663, 'FR', 'France'),
(117272, '195.68.78.128', '195.68.78.159', 3276033664, 3276033695, 'GB', 'United Kingdom'),
(117273, '195.68.78.160', '195.68.78.255', 3276033696, 3276033791, 'FR', 'France'),
(117274, '195.68.79.0', '195.68.79.31', 3276033792, 3276033823, 'GB', 'United Kingdom'),
(117275, '195.68.79.32', '195.68.79.47', 3276033824, 3276033839, 'FR', 'France'),
(117276, '195.68.79.48', '195.68.79.63', 3276033840, 3276033855, 'GB', 'United Kingdom'),
(117277, '195.68.79.64', '195.68.79.71', 3276033856, 3276033863, 'FR', 'France'),
(117278, '195.68.79.72', '195.68.79.79', 3276033864, 3276033871, 'GB', 'United Kingdom'),
(117279, '195.68.79.80', '195.68.79.87', 3276033872, 3276033879, 'FR', 'France'),
(117280, '195.68.79.88', '195.68.79.95', 3276033880, 3276033887, 'GB', 'United Kingdom'),
(117281, '195.68.79.96', '195.68.79.135', 3276033888, 3276033927, 'FR', 'France'),
(117282, '195.68.79.136', '195.68.79.159', 3276033928, 3276033951, 'GB', 'United Kingdom'),
(117283, '195.68.79.160', '195.68.87.255', 3276033952, 3276036095, 'FR', 'France'),
(117284, '195.68.88.0', '195.68.88.7', 3276036096, 3276036103, 'GB', 'United Kingdom'),
(117285, '195.68.88.8', '195.68.88.55', 3276036104, 3276036151, 'FR', 'France'),
(117286, '195.68.88.56', '195.68.88.63', 3276036152, 3276036159, 'GB', 'United Kingdom'),
(117287, '195.68.88.64', '195.68.88.151', 3276036160, 3276036247, 'FR', 'France'),
(117288, '195.68.88.152', '195.68.88.159', 3276036248, 3276036255, 'GB', 'United Kingdom'),
(117289, '195.68.88.160', '195.68.88.175', 3276036256, 3276036271, 'FR', 'France'),
(117290, '195.68.88.176', '195.68.88.183', 3276036272, 3276036279, 'DE', 'Germany'),
(117291, '195.68.88.184', '195.68.89.31', 3276036280, 3276036383, 'FR', 'France'),
(117292, '195.68.89.32', '195.68.89.63', 3276036384, 3276036415, 'GB', 'United Kingdom'),
(117293, '195.68.89.64', '195.68.90.63', 3276036416, 3276036671, 'FR', 'France'),
(117294, '195.68.90.64', '195.68.90.255', 3276036672, 3276036863, 'GB', 'United Kingdom'),
(117295, '195.68.91.0', '195.68.92.7', 3276036864, 3276037127, 'FR', 'France'),
(117296, '195.68.92.8', '195.68.92.31', 3276037128, 3276037151, 'GB', 'United Kingdom'),
(117297, '195.68.92.32', '195.68.92.79', 3276037152, 3276037199, 'FR', 'France'),
(117298, '195.68.92.80', '195.68.92.95', 3276037200, 3276037215, 'GB', 'United Kingdom'),
(117299, '195.68.92.96', '195.68.92.239', 3276037216, 3276037359, 'FR', 'France'),
(117300, '195.68.92.240', '195.68.92.255', 3276037360, 3276037375, 'GB', 'United Kingdom'),
(117301, '195.68.93.0', '195.68.94.71', 3276037376, 3276037703, 'FR', 'France'),
(117302, '195.68.94.72', '195.68.94.127', 3276037704, 3276037759, 'GB', 'United Kingdom'),
(117303, '195.68.94.128', '195.68.94.255', 3276037760, 3276037887, 'FR', 'France'),
(117304, '195.68.95.0', '195.68.95.15', 3276037888, 3276037903, 'GB', 'United Kingdom'),
(117305, '195.68.95.16', '195.68.95.71', 3276037904, 3276037959, 'FR', 'France'),
(117306, '195.68.95.72', '195.68.95.95', 3276037960, 3276037983, 'GB', 'United Kingdom'),
(117307, '195.68.95.96', '195.68.95.159', 3276037984, 3276038047, 'FR', 'France'),
(117308, '195.68.95.160', '195.68.95.223', 3276038048, 3276038111, 'GB', 'United Kingdom'),
(117309, '195.68.95.224', '195.68.96.15', 3276038112, 3276038159, 'FR', 'France'),
(117310, '195.68.96.16', '195.68.96.255', 3276038160, 3276038399, 'GB', 'United Kingdom'),
(117311, '195.68.97.0', '195.68.98.7', 3276038400, 3276038663, 'FR', 'France'),
(117312, '195.68.98.8', '195.68.98.15', 3276038664, 3276038671, 'GB', 'United Kingdom'),
(117313, '195.68.98.16', '195.68.98.47', 3276038672, 3276038703, 'FR', 'France'),
(117314, '195.68.98.48', '195.68.98.63', 3276038704, 3276038719, 'GB', 'United Kingdom'),
(117315, '195.68.98.64', '195.68.98.79', 3276038720, 3276038735, 'FR', 'France'),
(117316, '195.68.98.80', '195.68.98.111', 3276038736, 3276038767, 'GB', 'United Kingdom'),
(117317, '195.68.98.112', '195.68.98.143', 3276038768, 3276038799, 'FR', 'France'),
(117318, '195.68.98.144', '195.68.98.159', 3276038800, 3276038815, 'GB', 'United Kingdom'),
(117319, '195.68.98.160', '195.68.98.191', 3276038816, 3276038847, 'FR', 'France'),
(117320, '195.68.98.192', '195.68.98.255', 3276038848, 3276038911, 'GB', 'United Kingdom'),
(117321, '195.68.99.0', '195.68.99.7', 3276038912, 3276038919, 'FR', 'France'),
(117322, '195.68.99.8', '195.68.99.255', 3276038920, 3276039167, 'GB', 'United Kingdom'),
(117323, '195.68.100.0', '195.68.100.39', 3276039168, 3276039207, 'FR', 'France'),
(117324, '195.68.100.40', '195.68.100.79', 3276039208, 3276039247, 'GB', 'United Kingdom'),
(117325, '195.68.100.80', '195.68.100.111', 3276039248, 3276039279, 'FR', 'France'),
(117326, '195.68.100.112', '195.68.100.127', 3276039280, 3276039295, 'GB', 'United Kingdom'),
(117327, '195.68.100.128', '195.68.100.159', 3276039296, 3276039327, 'FR', 'France'),
(117328, '195.68.100.160', '195.68.100.175', 3276039328, 3276039343, 'GB', 'United Kingdom'),
(117329, '195.68.100.176', '195.68.100.223', 3276039344, 3276039391, 'FR', 'France'),
(117330, '195.68.100.224', '195.68.100.255', 3276039392, 3276039423, 'GB', 'United Kingdom'),
(117331, '195.68.101.0', '195.68.103.31', 3276039424, 3276039967, 'FR', 'France'),
(117332, '195.68.103.32', '195.68.103.95', 3276039968, 3276040031, 'GB', 'United Kingdom'),
(117333, '195.68.103.96', '195.68.103.127', 3276040032, 3276040063, 'FR', 'France'),
(117334, '195.68.103.128', '195.68.103.159', 3276040064, 3276040095, 'GB', 'United Kingdom'),
(117335, '195.68.103.160', '195.68.103.223', 3276040096, 3276040159, 'FR', 'France'),
(117336, '195.68.103.224', '195.68.103.239', 3276040160, 3276040175, 'GB', 'United Kingdom'),
(117337, '195.68.103.240', '195.68.104.39', 3276040176, 3276040231, 'FR', 'France'),
(117338, '195.68.104.40', '195.68.104.47', 3276040232, 3276040239, 'GB', 'United Kingdom'),
(117339, '195.68.104.48', '195.68.104.127', 3276040240, 3276040319, 'FR', 'France'),
(117340, '195.68.104.128', '195.68.104.135', 3276040320, 3276040327, 'GB', 'United Kingdom'),
(117341, '195.68.104.136', '195.68.104.247', 3276040328, 3276040439, 'FR', 'France'),
(117342, '195.68.104.248', '195.68.105.47', 3276040440, 3276040495, 'GB', 'United Kingdom'),
(117343, '195.68.105.48', '195.68.105.95', 3276040496, 3276040543, 'FR', 'France'),
(117344, '195.68.105.96', '195.68.105.127', 3276040544, 3276040575, 'GB', 'United Kingdom'),
(117345, '195.68.105.128', '195.68.105.143', 3276040576, 3276040591, 'FR', 'France'),
(117346, '195.68.105.144', '195.68.105.159', 3276040592, 3276040607, 'GB', 'United Kingdom'),
(117347, '195.68.105.160', '195.68.105.191', 3276040608, 3276040639, 'FR', 'France'),
(117348, '195.68.105.192', '195.68.105.223', 3276040640, 3276040671, 'GB', 'United Kingdom'),
(117349, '195.68.105.224', '195.68.106.175', 3276040672, 3276040879, 'FR', 'France'),
(117350, '195.68.106.176', '195.68.106.191', 3276040880, 3276040895, 'GB', 'United Kingdom'),
(117351, '195.68.106.192', '195.68.107.15', 3276040896, 3276040975, 'FR', 'France'),
(117352, '195.68.107.16', '195.68.107.47', 3276040976, 3276041007, 'GB', 'United Kingdom'),
(117353, '195.68.107.48', '195.68.107.111', 3276041008, 3276041071, 'FR', 'France'),
(117354, '195.68.107.112', '195.68.107.127', 3276041072, 3276041087, 'GB', 'United Kingdom'),
(117355, '195.68.107.128', '195.68.107.239', 3276041088, 3276041199, 'FR', 'France'),
(117356, '195.68.107.240', '195.68.107.255', 3276041200, 3276041215, 'GB', 'United Kingdom'),
(117357, '195.68.108.0', '195.68.108.63', 3276041216, 3276041279, 'FR', 'France'),
(117358, '195.68.108.64', '195.68.108.95', 3276041280, 3276041311, 'GB', 'United Kingdom'),
(117359, '195.68.108.96', '195.68.108.175', 3276041312, 3276041391, 'FR', 'France'),
(117360, '195.68.108.176', '195.68.108.191', 3276041392, 3276041407, 'GB', 'United Kingdom'),
(117361, '195.68.108.192', '195.68.109.23', 3276041408, 3276041495, 'FR', 'France'),
(117362, '195.68.109.24', '195.68.109.31', 3276041496, 3276041503, 'GB', 'United Kingdom'),
(117363, '195.68.109.32', '195.68.109.47', 3276041504, 3276041519, 'FR', 'France'),
(117364, '195.68.109.48', '195.68.109.63', 3276041520, 3276041535, 'GB', 'United Kingdom'),
(117365, '195.68.109.64', '195.68.109.79', 3276041536, 3276041551, 'FR', 'France'),
(117366, '195.68.109.80', '195.68.109.127', 3276041552, 3276041599, 'GB', 'United Kingdom'),
(117367, '195.68.109.128', '195.68.110.31', 3276041600, 3276041759, 'FR', 'France'),
(117368, '195.68.110.32', '195.68.110.47', 3276041760, 3276041775, 'GB', 'United Kingdom'),
(117369, '195.68.110.48', '195.68.110.111', 3276041776, 3276041839, 'FR', 'France'),
(117370, '195.68.110.112', '195.68.110.159', 3276041840, 3276041887, 'GB', 'United Kingdom'),
(117371, '195.68.110.160', '195.68.110.191', 3276041888, 3276041919, 'FR', 'France'),
(117372, '195.68.110.192', '195.68.110.223', 3276041920, 3276041951, 'GB', 'United Kingdom'),
(117373, '195.68.110.224', '195.68.110.239', 3276041952, 3276041967, 'FR', 'France'),
(117374, '195.68.110.240', '195.68.110.255', 3276041968, 3276041983, 'GB', 'United Kingdom'),
(117375, '195.68.111.0', '195.68.111.79', 3276041984, 3276042063, 'FR', 'France'),
(117376, '195.68.111.80', '195.68.111.159', 3276042064, 3276042143, 'GB', 'United Kingdom'),
(117377, '195.68.111.160', '195.68.111.191', 3276042144, 3276042175, 'FR', 'France'),
(117378, '195.68.111.192', '195.68.111.207', 3276042176, 3276042191, 'GB', 'United Kingdom'),
(117379, '195.68.111.208', '195.68.111.223', 3276042192, 3276042207, 'FR', 'France'),
(117380, '195.68.111.224', '195.68.111.255', 3276042208, 3276042239, 'GB', 'United Kingdom'),
(117381, '195.68.112.0', '195.68.114.23', 3276042240, 3276042775, 'FR', 'France'),
(117382, '195.68.114.24', '195.68.114.63', 3276042776, 3276042815, 'GB', 'United Kingdom'),
(117383, '195.68.114.64', '195.68.114.79', 3276042816, 3276042831, 'FR', 'France'),
(117384, '195.68.114.80', '195.68.114.95', 3276042832, 3276042847, 'GB', 'United Kingdom'),
(117385, '195.68.114.96', '195.68.120.23', 3276042848, 3276044311, 'FR', 'France'),
(117386, '195.68.120.24', '195.68.120.31', 3276044312, 3276044319, 'GB', 'United Kingdom'),
(117387, '195.68.120.32', '195.68.120.63', 3276044320, 3276044351, 'FR', 'France'),
(117388, '195.68.120.64', '195.68.120.71', 3276044352, 3276044359, 'GB', 'United Kingdom'),
(117389, '195.68.120.72', '195.68.120.79', 3276044360, 3276044367, 'FR', 'France'),
(117390, '195.68.120.80', '195.68.120.95', 3276044368, 3276044383, 'GB', 'United Kingdom'),
(117391, '195.68.120.96', '195.68.120.191', 3276044384, 3276044479, 'FR', 'France'),
(117392, '195.68.120.192', '195.68.120.207', 3276044480, 3276044495, 'GB', 'United Kingdom'),
(117393, '195.68.120.208', '195.68.120.223', 3276044496, 3276044511, 'FR', 'France'),
(117394, '195.68.120.224', '195.68.120.255', 3276044512, 3276044543, 'GB', 'United Kingdom'),
(117395, '195.68.121.0', '195.68.121.7', 3276044544, 3276044551, 'FR', 'France'),
(117396, '195.68.121.8', '195.68.121.31', 3276044552, 3276044575, 'GB', 'United Kingdom'),
(117397, '195.68.121.32', '195.68.121.63', 3276044576, 3276044607, 'FR', 'France'),
(117398, '195.68.121.64', '195.68.121.95', 3276044608, 3276044639, 'GB', 'United Kingdom'),
(117399, '195.68.121.96', '195.68.121.127', 3276044640, 3276044671, 'FR', 'France'),
(117400, '195.68.121.128', '195.68.121.159', 3276044672, 3276044703, 'GB', 'United Kingdom'),
(117401, '195.68.121.160', '195.68.121.191', 3276044704, 3276044735, 'FR', 'France'),
(117402, '195.68.121.192', '195.68.121.255', 3276044736, 3276044799, 'GB', 'United Kingdom'),
(117403, '195.68.122.0', '195.68.122.15', 3276044800, 3276044815, 'FR', 'France'),
(117404, '195.68.122.16', '195.68.122.31', 3276044816, 3276044831, 'GB', 'United Kingdom'),
(117405, '195.68.122.32', '195.68.122.63', 3276044832, 3276044863, 'FR', 'France'),
(117406, '195.68.122.64', '195.68.122.79', 3276044864, 3276044879, 'GB', 'United Kingdom'),
(117407, '195.68.122.80', '195.68.122.127', 3276044880, 3276044927, 'FR', 'France'),
(117408, '195.68.122.128', '195.68.122.143', 3276044928, 3276044943, 'GB', 'United Kingdom'),
(117409, '195.68.122.144', '195.68.122.159', 3276044944, 3276044959, 'FR', 'France'),
(117410, '195.68.122.160', '195.68.122.167', 3276044960, 3276044967, 'GB', 'United Kingdom'),
(117411, '195.68.122.168', '195.68.122.191', 3276044968, 3276044991, 'FR', 'France'),
(117412, '195.68.122.192', '195.68.122.199', 3276044992, 3276044999, 'GB', 'United Kingdom'),
(117413, '195.68.122.200', '195.68.122.223', 3276045000, 3276045023, 'FR', 'France'),
(117414, '195.68.122.224', '195.68.122.239', 3276045024, 3276045039, 'GB', 'United Kingdom'),
(117415, '195.68.122.240', '195.68.123.135', 3276045040, 3276045191, 'FR', 'France'),
(117416, '195.68.123.136', '195.68.123.143', 3276045192, 3276045199, 'GB', 'United Kingdom'),
(117417, '195.68.123.144', '195.68.123.167', 3276045200, 3276045223, 'FR', 'France'),
(117418, '195.68.123.168', '195.68.123.183', 3276045224, 3276045239, 'GB', 'United Kingdom'),
(117419, '195.68.123.184', '195.68.123.199', 3276045240, 3276045255, 'FR', 'France'),
(117420, '195.68.123.200', '195.68.123.215', 3276045256, 3276045271, 'GB', 'United Kingdom'),
(117421, '195.68.123.216', '195.68.123.231', 3276045272, 3276045287, 'FR', 'France'),
(117422, '195.68.123.232', '195.68.123.255', 3276045288, 3276045311, 'GB', 'United Kingdom'),
(117423, '195.68.124.0', '195.68.124.39', 3276045312, 3276045351, 'FR', 'France'),
(117424, '195.68.124.40', '195.68.124.47', 3276045352, 3276045359, 'GB', 'United Kingdom'),
(117425, '195.68.124.48', '195.68.124.79', 3276045360, 3276045391, 'FR', 'France'),
(117426, '195.68.124.80', '195.68.124.95', 3276045392, 3276045407, 'GB', 'United Kingdom'),
(117427, '195.68.124.96', '195.68.124.143', 3276045408, 3276045455, 'FR', 'France'),
(117428, '195.68.124.144', '195.68.124.151', 3276045456, 3276045463, 'GB', 'United Kingdom'),
(117429, '195.68.124.152', '195.68.124.167', 3276045464, 3276045479, 'FR', 'France'),
(117430, '195.68.124.168', '195.68.124.175', 3276045480, 3276045487, 'GB', 'United Kingdom'),
(117431, '195.68.124.176', '195.68.124.231', 3276045488, 3276045543, 'FR', 'France'),
(117432, '195.68.124.232', '195.68.124.239', 3276045544, 3276045551, 'GB', 'United Kingdom'),
(117433, '195.68.124.240', '195.68.125.15', 3276045552, 3276045583, 'FR', 'France'),
(117434, '195.68.125.16', '195.68.125.39', 3276045584, 3276045607, 'GB', 'United Kingdom'),
(117435, '195.68.125.40', '195.68.125.63', 3276045608, 3276045631, 'FR', 'France'),
(117436, '195.68.125.64', '195.68.125.79', 3276045632, 3276045647, 'GB', 'United Kingdom'),
(117437, '195.68.125.80', '195.68.125.199', 3276045648, 3276045767, 'FR', 'France'),
(117438, '195.68.125.200', '195.68.125.215', 3276045768, 3276045783, 'GB', 'United Kingdom'),
(117439, '195.68.125.216', '195.68.125.247', 3276045784, 3276045815, 'FR', 'France'),
(117440, '195.68.125.248', '195.68.126.31', 3276045816, 3276045855, 'GB', 'United Kingdom'),
(117441, '195.68.126.32', '195.68.126.95', 3276045856, 3276045919, 'FR', 'France'),
(117442, '195.68.126.96', '195.68.126.127', 3276045920, 3276045951, 'GB', 'United Kingdom'),
(117443, '195.68.126.128', '195.68.127.255', 3276045952, 3276046335, 'FR', 'France'),
(117444, '195.68.128.0', '195.68.191.255', 3276046336, 3276062719, 'RU', 'Russian Federation'),
(117445, '195.68.192.0', '195.68.193.255', 3276062720, 3276063231, 'PL', 'Poland'),
(117446, '195.68.194.0', '195.68.195.255', 3276063232, 3276063743, 'FR', 'France'),
(117447, '195.68.196.0', '195.68.197.255', 3276063744, 3276064255, 'UA', 'Ukraine'),
(117448, '195.68.198.0', '195.68.199.255', 3276064256, 3276064767, 'DE', 'Germany'),
(117449, '195.68.200.0', '195.68.201.255', 3276064768, 3276065279, 'BG', 'Bulgaria'),
(117450, '195.68.202.0', '195.68.203.255', 3276065280, 3276065791, 'UA', 'Ukraine'),
(117451, '195.68.204.0', '195.68.205.255', 3276065792, 3276066303, 'DE', 'Germany'),
(117452, '195.68.206.0', '195.68.207.255', 3276066304, 3276066815, 'GB', 'United Kingdom'),
(117453, '195.68.208.0', '195.68.209.255', 3276066816, 3276067327, 'PS', 'Palestinian Territory, Occupied'),
(117454, '195.68.210.0', '195.68.211.255', 3276067328, 3276067839, 'UA', 'Ukraine'),
(117455, '195.68.212.0', '195.68.213.255', 3276067840, 3276068351, 'AT', 'Austria'),
(117456, '195.68.214.0', '195.68.215.255', 3276068352, 3276068863, 'BG', 'Bulgaria'),
(117457, '195.68.216.0', '195.68.219.255', 3276068864, 3276069887, 'UA', 'Ukraine'),
(117458, '195.68.220.0', '195.68.221.255', 3276069888, 3276070399, 'GB', 'United Kingdom'),
(117459, '195.68.222.0', '195.68.223.255', 3276070400, 3276070911, 'UA', 'Ukraine'),
(117460, '195.68.224.0', '195.68.225.255', 3276070912, 3276071423, 'GB', 'United Kingdom'),
(117461, '195.68.226.0', '195.68.227.255', 3276071424, 3276071935, 'PL', 'Poland'),
(117462, '195.68.228.0', '195.68.229.255', 3276071936, 3276072447, 'GB', 'United Kingdom'),
(117463, '195.68.230.0', '195.68.231.255', 3276072448, 3276072959, 'SK', 'Slovakia'),
(117464, '195.68.232.0', '195.68.233.255', 3276072960, 3276073471, 'PL', 'Poland'),
(117465, '195.68.234.0', '195.68.235.255', 3276073472, 3276073983, 'SK', 'Slovakia'),
(117466, '195.68.236.0', '195.68.237.255', 3276073984, 3276074495, 'DE', 'Germany'),
(117467, '195.68.238.0', '195.68.239.255', 3276074496, 3276075007, 'GB', 'United Kingdom'),
(117468, '195.68.240.0', '195.68.241.255', 3276075008, 3276075519, 'RU', 'Russian Federation'),
(117469, '195.68.242.0', '195.68.243.255', 3276075520, 3276076031, 'DE', 'Germany'),
(117470, '195.68.244.0', '195.68.244.255', 3276076032, 3276076287, 'NL', 'Netherlands'),
(117471, '195.68.245.0', '195.68.245.255', 3276076288, 3276076543, 'RU', 'Russian Federation'),
(117472, '195.68.246.0', '195.68.247.255', 3276076544, 3276077055, 'DE', 'Germany'),
(117473, '195.68.248.0', '195.68.249.255', 3276077056, 3276077567, 'UA', 'Ukraine'),
(117474, '195.68.250.0', '195.68.251.255', 3276077568, 3276078079, 'FR', 'France'),
(117475, '195.68.252.0', '195.68.253.255', 3276078080, 3276078591, 'RU', 'Russian Federation'),
(117476, '195.68.254.0', '195.68.255.255', 3276078592, 3276079103, 'GB', 'United Kingdom'),
(117477, '195.69.0.0', '195.69.63.255', 3276079104, 3276095487, 'NO', 'Norway'),
(117478, '195.69.64.0', '195.69.67.255', 3276095488, 3276096511, 'RU', 'Russian Federation'),
(117479, '195.69.68.0', '195.69.71.255', 3276096512, 3276097535, 'IT', 'Italy'),
(117480, '195.69.72.0', '195.69.75.255', 3276097536, 3276098559, 'NL', 'Netherlands'),
(117481, '195.69.76.0', '195.69.79.255', 3276098560, 3276099583, 'UA', 'Ukraine'),
(117482, '195.69.80.0', '195.69.83.255', 3276099584, 3276100607, 'PL', 'Poland'),
(117483, '195.69.84.0', '195.69.87.255', 3276100608, 3276101631, 'UA', 'Ukraine'),
(117484, '195.69.88.0', '195.69.91.255', 3276101632, 3276102655, 'LV', 'Latvia'),
(117485, '195.69.92.0', '195.69.95.255', 3276102656, 3276103679, 'GB', 'United Kingdom'),
(117486, '195.69.96.0', '195.69.99.255', 3276103680, 3276104703, 'SI', 'Slovenia'),
(117487, '195.69.100.0', '195.69.103.255', 3276104704, 3276105727, 'RU', 'Russian Federation'),
(117488, '195.69.104.0', '195.69.107.255', 3276105728, 3276106751, 'AT', 'Austria'),
(117489, '195.69.108.0', '195.69.111.255', 3276106752, 3276107775, 'BG', 'Bulgaria'),
(117490, '195.69.112.0', '195.69.115.255', 3276107776, 3276108799, 'DE', 'Germany'),
(117491, '195.69.116.0', '195.69.119.255', 3276108800, 3276109823, 'SE', 'Sweden'),
(117492, '195.69.120.0', '195.69.123.255', 3276109824, 3276110847, 'BG', 'Bulgaria'),
(117493, '195.69.124.0', '195.69.127.255', 3276110848, 3276111871, 'PL', 'Poland'),
(117494, '195.69.128.0', '195.69.131.255', 3276111872, 3276112895, 'DK', 'Denmark'),
(117495, '195.69.132.0', '195.69.139.255', 3276112896, 3276114943, 'UA', 'Ukraine'),
(117496, '195.69.140.0', '195.69.143.255', 3276114944, 3276115967, 'KW', 'Kuwait'),
(117497, '195.69.144.0', '195.69.147.255', 3276115968, 3276116991, 'NL', 'Netherlands'),
(117498, '195.69.148.0', '195.69.151.255', 3276116992, 3276118015, 'RU', 'Russian Federation'),
(117499, '195.69.152.0', '195.69.155.255', 3276118016, 3276119039, 'GB', 'United Kingdom'),
(117500, '195.69.156.0', '195.69.159.255', 3276119040, 3276120063, 'RU', 'Russian Federation'),
(117501, '195.69.160.0', '195.69.163.255', 3276120064, 3276121087, 'GB', 'United Kingdom'),
(117502, '195.69.164.0', '195.69.167.255', 3276121088, 3276122111, 'BG', 'Bulgaria'),
(117503, '195.69.168.0', '195.69.171.255', 3276122112, 3276123135, 'RU', 'Russian Federation'),
(117504, '195.69.172.0', '195.69.175.255', 3276123136, 3276124159, 'AT', 'Austria'),
(117505, '195.69.176.0', '195.69.179.255', 3276124160, 3276125183, 'UA', 'Ukraine'),
(117506, '195.69.180.0', '195.69.183.255', 3276125184, 3276126207, 'AT', 'Austria'),
(117507, '195.69.184.0', '195.69.187.255', 3276126208, 3276127231, 'UA', 'Ukraine'),
(117508, '195.69.188.0', '195.69.191.255', 3276127232, 3276128255, 'UZ', 'Uzbekistan'),
(117509, '195.69.192.0', '195.69.195.255', 3276128256, 3276129279, 'AT', 'Austria'),
(117510, '195.69.196.0', '195.69.203.255', 3276129280, 3276131327, 'UA', 'Ukraine'),
(117511, '195.69.204.0', '195.69.207.255', 3276131328, 3276132351, 'RU', 'Russian Federation'),
(117512, '195.69.208.0', '195.69.211.255', 3276132352, 3276133375, 'LB', 'Lebanon'),
(117513, '195.69.212.0', '195.69.215.255', 3276133376, 3276134399, 'GB', 'United Kingdom'),
(117514, '195.69.216.0', '195.69.219.255', 3276134400, 3276135423, 'RU', 'Russian Federation'),
(117515, '195.69.220.0', '195.69.223.255', 3276135424, 3276136447, 'UA', 'Ukraine'),
(117516, '195.69.224.0', '195.69.227.255', 3276136448, 3276137471, 'NL', 'Netherlands'),
(117517, '195.69.228.0', '195.69.231.255', 3276137472, 3276138495, 'PL', 'Poland'),
(117518, '195.69.232.0', '195.69.235.255', 3276138496, 3276139519, 'NL', 'Netherlands'),
(117519, '195.69.236.0', '195.69.239.255', 3276139520, 3276140543, 'RU', 'Russian Federation'),
(117520, '195.69.240.0', '195.69.243.255', 3276140544, 3276141567, 'DE', 'Germany'),
(117521, '195.69.244.0', '195.69.251.255', 3276141568, 3276143615, 'UA', 'Ukraine'),
(117522, '195.69.252.0', '195.69.255.255', 3276143616, 3276144639, 'GB', 'United Kingdom'),
(117523, '195.70.0.0', '195.70.31.255', 3276144640, 3276152831, 'CH', 'Switzerland'),
(117524, '195.70.32.0', '195.70.63.255', 3276152832, 3276161023, 'HU', 'Hungary'),
(117525, '195.70.64.0', '195.70.95.255', 3276161024, 3276169215, 'GB', 'United Kingdom'),
(117526, '195.70.96.0', '195.70.127.255', 3276169216, 3276177407, 'AT', 'Austria'),
(117527, '195.70.128.0', '195.70.159.255', 3276177408, 3276185599, 'CZ', 'Czech Republic'),
(117528, '195.70.160.0', '195.70.191.255', 3276185600, 3276193791, 'NO', 'Norway'),
(117529, '195.70.192.0', '195.70.223.255', 3276193792, 3276201983, 'RU', 'Russian Federation'),
(117530, '195.70.224.0', '195.70.255.255', 3276201984, 3276210175, 'AT', 'Austria'),
(117531, '195.71.0.0', '195.71.94.63', 3276210176, 3276234303, 'DE', 'Germany'),
(117532, '195.71.94.64', '195.71.94.127', 3276234304, 3276234367, 'GB', 'United Kingdom'),
(117533, '195.71.94.128', '195.71.123.95', 3276234368, 3276241759, 'DE', 'Germany'),
(117534, '195.71.123.96', '195.71.123.103', 3276241760, 3276241767, 'FR', 'France'),
(117535, '195.71.123.104', '195.71.133.223', 3276241768, 3276244447, 'DE', 'Germany'),
(117536, '195.71.133.224', '195.71.133.255', 3276244448, 3276244479, 'RO', 'Romania'),
(117537, '195.71.134.0', '195.71.152.191', 3276244480, 3276249279, 'DE', 'Germany'),
(117538, '195.71.152.192', '195.71.152.199', 3276249280, 3276249287, 'FR', 'France'),
(117539, '195.71.152.200', '195.71.154.255', 3276249288, 3276249855, 'DE', 'Germany'),
(117540, '195.71.155.0', '195.71.155.127', 3276249856, 3276249983, 'GB', 'United Kingdom'),
(117541, '195.71.155.128', '195.71.155.223', 3276249984, 3276250079, 'DE', 'Germany'),
(117542, '195.71.155.224', '195.71.155.239', 3276250080, 3276250095, 'FR', 'France'),
(117543, '195.71.155.240', '195.71.255.255', 3276250096, 3276275711, 'DE', 'Germany'),
(117544, '195.72.0.0', '195.72.31.255', 3276275712, 3276283903, 'SK', 'Slovakia'),
(117545, '195.72.32.0', '195.72.63.255', 3276283904, 3276292095, 'GB', 'United Kingdom'),
(117546, '195.72.64.0', '195.72.73.255', 3276292096, 3276294655, 'BE', 'Belgium'),
(117547, '195.72.74.0', '195.72.74.7', 3276294656, 3276294663, 'LU', 'Luxembourg'),
(117548, '195.72.74.8', '195.72.95.255', 3276294664, 3276300287, 'BE', 'Belgium'),
(117549, '195.72.96.0', '195.72.111.255', 3276300288, 3276304383, 'DE', 'Germany'),
(117550, '195.72.112.0', '195.72.112.255', 3276304384, 3276304639, 'BG', 'Bulgaria'),
(117551, '195.72.113.0', '195.72.115.255', 3276304640, 3276305407, 'GB', 'United Kingdom'),
(117552, '195.72.116.0', '195.72.127.255', 3276305408, 3276308479, 'IL', 'Israel'),
(117553, '195.72.128.0', '195.72.131.255', 3276308480, 3276309503, 'GB', 'United Kingdom'),
(117554, '195.72.132.0', '195.72.135.255', 3276309504, 3276310527, 'AT', 'Austria'),
(117555, '195.72.136.0', '195.72.139.255', 3276310528, 3276311551, 'PT', 'Portugal'),
(117556, '195.72.140.0', '195.72.143.255', 3276311552, 3276312575, 'RU', 'Russian Federation'),
(117557, '195.72.144.0', '195.72.147.255', 3276312576, 3276313599, 'UA', 'Ukraine'),
(117558, '195.72.148.0', '195.72.151.255', 3276313600, 3276314623, 'PL', 'Poland'),
(117559, '195.72.152.0', '195.72.155.255', 3276314624, 3276315647, 'FR', 'France'),
(117560, '195.72.156.0', '195.72.159.255', 3276315648, 3276316671, 'UA', 'Ukraine'),
(117561, '195.72.160.0', '195.72.191.255', 3276316672, 3276324863, 'GB', 'United Kingdom'),
(117562, '195.72.192.0', '195.72.223.255', 3276324864, 3276333055, 'IT', 'Italy'),
(117563, '195.72.224.0', '195.72.255.255', 3276333056, 3276341247, 'RU', 'Russian Federation'),
(117564, '195.73.0.0', '195.73.0.23', 3276341248, 3276341271, 'NL', 'Netherlands'),
(117565, '195.73.0.24', '195.73.0.31', 3276341272, 3276341279, 'DE', 'Germany'),
(117566, '195.73.0.32', '195.73.1.31', 3276341280, 3276341535, 'NL', 'Netherlands'),
(117567, '195.73.1.32', '195.73.1.39', 3276341536, 3276341543, 'DE', 'Germany'),
(117568, '195.73.1.40', '195.73.1.151', 3276341544, 3276341655, 'NL', 'Netherlands'),
(117569, '195.73.1.152', '195.73.1.159', 3276341656, 3276341663, 'DE', 'Germany'),
(117570, '195.73.1.160', '195.73.1.175', 3276341664, 3276341679, 'NL', 'Netherlands'),
(117571, '195.73.1.176', '195.73.1.191', 3276341680, 3276341695, 'DE', 'Germany'),
(117572, '195.73.1.192', '195.73.1.231', 3276341696, 3276341735, 'NL', 'Netherlands'),
(117573, '195.73.1.232', '195.73.1.239', 3276341736, 3276341743, 'DE', 'Germany'),
(117574, '195.73.1.240', '195.73.2.7', 3276341744, 3276341767, 'NL', 'Netherlands'),
(117575, '195.73.2.8', '195.73.2.15', 3276341768, 3276341775, 'DE', 'Germany'),
(117576, '195.73.2.16', '195.73.2.63', 3276341776, 3276341823, 'NL', 'Netherlands'),
(117577, '195.73.2.64', '195.73.2.71', 3276341824, 3276341831, 'DE', 'Germany'),
(117578, '195.73.2.72', '195.73.2.119', 3276341832, 3276341879, 'NL', 'Netherlands'),
(117579, '195.73.2.120', '195.73.2.127', 3276341880, 3276341887, 'DE', 'Germany'),
(117580, '195.73.2.128', '195.73.2.215', 3276341888, 3276341975, 'NL', 'Netherlands'),
(117581, '195.73.2.216', '195.73.2.223', 3276341976, 3276341983, 'DE', 'Germany'),
(117582, '195.73.2.224', '195.73.3.103', 3276341984, 3276342119, 'NL', 'Netherlands'),
(117583, '195.73.3.104', '195.73.3.111', 3276342120, 3276342127, 'DE', 'Germany'),
(117584, '195.73.3.112', '195.73.3.175', 3276342128, 3276342191, 'NL', 'Netherlands'),
(117585, '195.73.3.176', '195.73.3.183', 3276342192, 3276342199, 'DE', 'Germany'),
(117586, '195.73.3.184', '195.73.3.231', 3276342200, 3276342247, 'NL', 'Netherlands'),
(117587, '195.73.3.232', '195.73.3.239', 3276342248, 3276342255, 'DE', 'Germany'),
(117588, '195.73.3.240', '195.73.4.111', 3276342256, 3276342383, 'NL', 'Netherlands'),
(117589, '195.73.4.112', '195.73.4.119', 3276342384, 3276342391, 'DE', 'Germany'),
(117590, '195.73.4.120', '195.73.4.223', 3276342392, 3276342495, 'NL', 'Netherlands'),
(117591, '195.73.4.224', '195.73.4.231', 3276342496, 3276342503, 'DE', 'Germany'),
(117592, '195.73.4.232', '195.73.5.7', 3276342504, 3276342535, 'NL', 'Netherlands'),
(117593, '195.73.5.8', '195.73.5.23', 3276342536, 3276342551, 'DE', 'Germany'),
(117594, '195.73.5.24', '195.73.5.55', 3276342552, 3276342583, 'NL', 'Netherlands'),
(117595, '195.73.5.56', '195.73.5.63', 3276342584, 3276342591, 'DE', 'Germany'),
(117596, '195.73.5.64', '195.73.5.143', 3276342592, 3276342671, 'NL', 'Netherlands'),
(117597, '195.73.5.144', '195.73.5.151', 3276342672, 3276342679, 'DE', 'Germany'),
(117598, '195.73.5.152', '195.73.5.175', 3276342680, 3276342703, 'NL', 'Netherlands'),
(117599, '195.73.5.176', '195.73.5.191', 3276342704, 3276342719, 'DE', 'Germany'),
(117600, '195.73.5.192', '195.73.5.239', 3276342720, 3276342767, 'NL', 'Netherlands'),
(117601, '195.73.5.240', '195.73.5.255', 3276342768, 3276342783, 'DE', 'Germany'),
(117602, '195.73.6.0', '195.73.6.47', 3276342784, 3276342831, 'NL', 'Netherlands'),
(117603, '195.73.6.48', '195.73.6.55', 3276342832, 3276342839, 'DE', 'Germany'),
(117604, '195.73.6.56', '195.73.6.63', 3276342840, 3276342847, 'NL', 'Netherlands'),
(117605, '195.73.6.64', '195.73.6.79', 3276342848, 3276342863, 'DE', 'Germany'),
(117606, '195.73.6.80', '195.73.6.207', 3276342864, 3276342991, 'NL', 'Netherlands'),
(117607, '195.73.6.208', '195.73.6.215', 3276342992, 3276342999, 'DE', 'Germany'),
(117608, '195.73.6.216', '195.73.6.255', 3276343000, 3276343039, 'NL', 'Netherlands'),
(117609, '195.73.7.0', '195.73.7.7', 3276343040, 3276343047, 'DE', 'Germany'),
(117610, '195.73.7.8', '195.73.7.15', 3276343048, 3276343055, 'NL', 'Netherlands'),
(117611, '195.73.7.16', '195.73.7.23', 3276343056, 3276343063, 'DE', 'Germany'),
(117612, '195.73.7.24', '195.73.7.31', 3276343064, 3276343071, 'NL', 'Netherlands'),
(117613, '195.73.7.32', '195.73.7.39', 3276343072, 3276343079, 'DE', 'Germany'),
(117614, '195.73.7.40', '195.73.7.47', 3276343080, 3276343087, 'NL', 'Netherlands'),
(117615, '195.73.7.48', '195.73.7.55', 3276343088, 3276343095, 'DE', 'Germany'),
(117616, '195.73.7.56', '195.73.7.191', 3276343096, 3276343231, 'NL', 'Netherlands'),
(117617, '195.73.7.192', '195.73.7.199', 3276343232, 3276343239, 'DE', 'Germany'),
(117618, '195.73.7.200', '195.73.7.207', 3276343240, 3276343247, 'NL', 'Netherlands'),
(117619, '195.73.7.208', '195.73.7.215', 3276343248, 3276343255, 'DE', 'Germany'),
(117620, '195.73.7.216', '195.73.7.247', 3276343256, 3276343287, 'NL', 'Netherlands'),
(117621, '195.73.7.248', '195.73.7.255', 3276343288, 3276343295, 'DE', 'Germany'),
(117622, '195.73.8.0', '195.73.8.63', 3276343296, 3276343359, 'NL', 'Netherlands'),
(117623, '195.73.8.64', '195.73.8.71', 3276343360, 3276343367, 'DE', 'Germany'),
(117624, '195.73.8.72', '195.73.8.95', 3276343368, 3276343391, 'NL', 'Netherlands'),
(117625, '195.73.8.96', '195.73.8.103', 3276343392, 3276343399, 'DE', 'Germany'),
(117626, '195.73.8.104', '195.73.8.127', 3276343400, 3276343423, 'NL', 'Netherlands'),
(117627, '195.73.8.128', '195.73.8.151', 3276343424, 3276343447, 'DE', 'Germany'),
(117628, '195.73.8.152', '195.73.8.167', 3276343448, 3276343463, 'NL', 'Netherlands'),
(117629, '195.73.8.168', '195.73.8.183', 3276343464, 3276343479, 'DE', 'Germany'),
(117630, '195.73.8.184', '195.73.8.191', 3276343480, 3276343487, 'NL', 'Netherlands'),
(117631, '195.73.8.192', '195.73.8.199', 3276343488, 3276343495, 'DE', 'Germany'),
(117632, '195.73.8.200', '195.73.8.215', 3276343496, 3276343511, 'NL', 'Netherlands'),
(117633, '195.73.8.216', '195.73.8.223', 3276343512, 3276343519, 'DE', 'Germany'),
(117634, '195.73.8.224', '195.73.8.255', 3276343520, 3276343551, 'NL', 'Netherlands'),
(117635, '195.73.9.0', '195.73.10.7', 3276343552, 3276343815, 'DE', 'Germany'),
(117636, '195.73.10.8', '195.73.10.23', 3276343816, 3276343831, 'NL', 'Netherlands'),
(117637, '195.73.10.24', '195.73.10.31', 3276343832, 3276343839, 'DE', 'Germany'),
(117638, '195.73.10.32', '195.73.10.63', 3276343840, 3276343871, 'NL', 'Netherlands'),
(117639, '195.73.10.64', '195.73.10.71', 3276343872, 3276343879, 'DE', 'Germany'),
(117640, '195.73.10.72', '195.73.10.95', 3276343880, 3276343903, 'NL', 'Netherlands'),
(117641, '195.73.10.96', '195.73.10.103', 3276343904, 3276343911, 'DE', 'Germany'),
(117642, '195.73.10.104', '195.73.10.239', 3276343912, 3276344047, 'NL', 'Netherlands'),
(117643, '195.73.10.240', '195.73.10.247', 3276344048, 3276344055, 'DE', 'Germany'),
(117644, '195.73.10.248', '195.73.10.255', 3276344056, 3276344063, 'NL', 'Netherlands'),
(117645, '195.73.11.0', '195.73.11.7', 3276344064, 3276344071, 'DE', 'Germany'),
(117646, '195.73.11.8', '195.73.11.47', 3276344072, 3276344111, 'NL', 'Netherlands'),
(117647, '195.73.11.48', '195.73.11.55', 3276344112, 3276344119, 'DE', 'Germany'),
(117648, '195.73.11.56', '195.73.11.151', 3276344120, 3276344215, 'NL', 'Netherlands'),
(117649, '195.73.11.152', '195.73.11.159', 3276344216, 3276344223, 'DE', 'Germany'),
(117650, '195.73.11.160', '195.73.11.239', 3276344224, 3276344303, 'NL', 'Netherlands'),
(117651, '195.73.11.240', '195.73.11.255', 3276344304, 3276344319, 'DE', 'Germany'),
(117652, '195.73.12.0', '195.73.12.71', 3276344320, 3276344391, 'NL', 'Netherlands'),
(117653, '195.73.12.72', '195.73.12.79', 3276344392, 3276344399, 'DE', 'Germany'),
(117654, '195.73.12.80', '195.73.12.95', 3276344400, 3276344415, 'NL', 'Netherlands'),
(117655, '195.73.12.96', '195.73.12.103', 3276344416, 3276344423, 'DE', 'Germany'),
(117656, '195.73.12.104', '195.73.12.151', 3276344424, 3276344471, 'NL', 'Netherlands'),
(117657, '195.73.12.152', '195.73.12.159', 3276344472, 3276344479, 'DE', 'Germany'),
(117658, '195.73.12.160', '195.73.12.231', 3276344480, 3276344551, 'NL', 'Netherlands'),
(117659, '195.73.12.232', '195.73.12.239', 3276344552, 3276344559, 'DE', 'Germany'),
(117660, '195.73.12.240', '195.73.12.255', 3276344560, 3276344575, 'NL', 'Netherlands'),
(117661, '195.73.13.0', '195.73.13.7', 3276344576, 3276344583, 'DE', 'Germany'),
(117662, '195.73.13.8', '195.73.13.47', 3276344584, 3276344623, 'NL', 'Netherlands'),
(117663, '195.73.13.48', '195.73.13.55', 3276344624, 3276344631, 'DE', 'Germany'),
(117664, '195.73.13.56', '195.73.13.87', 3276344632, 3276344663, 'NL', 'Netherlands'),
(117665, '195.73.13.88', '195.73.13.95', 3276344664, 3276344671, 'DE', 'Germany'),
(117666, '195.73.13.96', '195.73.13.135', 3276344672, 3276344711, 'NL', 'Netherlands'),
(117667, '195.73.13.136', '195.73.13.143', 3276344712, 3276344719, 'DE', 'Germany'),
(117668, '195.73.13.144', '195.73.13.151', 3276344720, 3276344727, 'NL', 'Netherlands'),
(117669, '195.73.13.152', '195.73.13.183', 3276344728, 3276344759, 'DE', 'Germany'),
(117670, '195.73.13.184', '195.73.13.223', 3276344760, 3276344799, 'NL', 'Netherlands'),
(117671, '195.73.13.224', '195.73.13.231', 3276344800, 3276344807, 'DE', 'Germany'),
(117672, '195.73.13.232', '195.73.14.63', 3276344808, 3276344895, 'NL', 'Netherlands'),
(117673, '195.73.14.64', '195.73.14.71', 3276344896, 3276344903, 'DE', 'Germany'),
(117674, '195.73.14.72', '195.73.14.151', 3276344904, 3276344983, 'NL', 'Netherlands'),
(117675, '195.73.14.152', '195.73.14.159', 3276344984, 3276344991, 'DE', 'Germany'),
(117676, '195.73.14.160', '195.73.14.175', 3276344992, 3276345007, 'NL', 'Netherlands'),
(117677, '195.73.14.176', '195.73.14.183', 3276345008, 3276345015, 'DE', 'Germany'),
(117678, '195.73.14.184', '195.73.14.231', 3276345016, 3276345063, 'NL', 'Netherlands'),
(117679, '195.73.14.232', '195.73.14.239', 3276345064, 3276345071, 'DE', 'Germany'),
(117680, '195.73.14.240', '195.73.15.135', 3276345072, 3276345223, 'NL', 'Netherlands'),
(117681, '195.73.15.136', '195.73.15.143', 3276345224, 3276345231, 'DE', 'Germany'),
(117682, '195.73.15.144', '195.73.15.207', 3276345232, 3276345295, 'NL', 'Netherlands'),
(117683, '195.73.15.208', '195.73.15.215', 3276345296, 3276345303, 'DE', 'Germany'),
(117684, '195.73.15.216', '195.73.15.239', 3276345304, 3276345327, 'NL', 'Netherlands'),
(117685, '195.73.15.240', '195.73.15.247', 3276345328, 3276345335, 'DE', 'Germany'),
(117686, '195.73.15.248', '195.73.15.255', 3276345336, 3276345343, 'NL', 'Netherlands'),
(117687, '195.73.16.0', '195.73.16.15', 3276345344, 3276345359, 'DE', 'Germany'),
(117688, '195.73.16.16', '195.73.16.71', 3276345360, 3276345415, 'NL', 'Netherlands'),
(117689, '195.73.16.72', '195.73.16.79', 3276345416, 3276345423, 'DE', 'Germany'),
(117690, '195.73.16.80', '195.73.17.47', 3276345424, 3276345647, 'NL', 'Netherlands'),
(117691, '195.73.17.48', '195.73.17.55', 3276345648, 3276345655, 'DE', 'Germany'),
(117692, '195.73.17.56', '195.73.17.127', 3276345656, 3276345727, 'NL', 'Netherlands'),
(117693, '195.73.17.128', '195.73.17.135', 3276345728, 3276345735, 'DE', 'Germany'),
(117694, '195.73.17.136', '195.73.17.167', 3276345736, 3276345767, 'NL', 'Netherlands'),
(117695, '195.73.17.168', '195.73.17.183', 3276345768, 3276345783, 'DE', 'Germany'),
(117696, '195.73.17.184', '195.73.17.223', 3276345784, 3276345823, 'NL', 'Netherlands'),
(117697, '195.73.17.224', '195.73.17.231', 3276345824, 3276345831, 'DE', 'Germany'),
(117698, '195.73.17.232', '195.73.17.239', 3276345832, 3276345839, 'NL', 'Netherlands'),
(117699, '195.73.17.240', '195.73.17.247', 3276345840, 3276345847, 'DE', 'Germany'),
(117700, '195.73.17.248', '195.73.18.7', 3276345848, 3276345863, 'NL', 'Netherlands'),
(117701, '195.73.18.8', '195.73.18.15', 3276345864, 3276345871, 'DE', 'Germany'),
(117702, '195.73.18.16', '195.73.18.71', 3276345872, 3276345927, 'NL', 'Netherlands'),
(117703, '195.73.18.72', '195.73.18.79', 3276345928, 3276345935, 'DE', 'Germany'),
(117704, '195.73.18.80', '195.73.19.55', 3276345936, 3276346167, 'NL', 'Netherlands'),
(117705, '195.73.19.56', '195.73.19.63', 3276346168, 3276346175, 'DE', 'Germany'),
(117706, '195.73.19.64', '195.73.19.95', 3276346176, 3276346207, 'NL', 'Netherlands'),
(117707, '195.73.19.96', '195.73.19.103', 3276346208, 3276346215, 'DE', 'Germany'),
(117708, '195.73.19.104', '195.73.19.111', 3276346216, 3276346223, 'NL', 'Netherlands'),
(117709, '195.73.19.112', '195.73.19.119', 3276346224, 3276346231, 'DE', 'Germany'),
(117710, '195.73.19.120', '195.73.19.183', 3276346232, 3276346295, 'NL', 'Netherlands'),
(117711, '195.73.19.184', '195.73.19.191', 3276346296, 3276346303, 'DE', 'Germany'),
(117712, '195.73.19.192', '195.73.19.247', 3276346304, 3276346359, 'NL', 'Netherlands'),
(117713, '195.73.19.248', '195.73.20.7', 3276346360, 3276346375, 'DE', 'Germany'),
(117714, '195.73.20.8', '195.73.21.31', 3276346376, 3276346655, 'NL', 'Netherlands'),
(117715, '195.73.21.32', '195.73.21.39', 3276346656, 3276346663, 'DE', 'Germany'),
(117716, '195.73.21.40', '195.73.21.79', 3276346664, 3276346703, 'NL', 'Netherlands'),
(117717, '195.73.21.80', '195.73.21.87', 3276346704, 3276346711, 'DE', 'Germany'),
(117718, '195.73.21.88', '195.73.21.103', 3276346712, 3276346727, 'NL', 'Netherlands'),
(117719, '195.73.21.104', '195.73.21.111', 3276346728, 3276346735, 'DE', 'Germany'),
(117720, '195.73.21.112', '195.73.21.215', 3276346736, 3276346839, 'NL', 'Netherlands'),
(117721, '195.73.21.216', '195.73.21.223', 3276346840, 3276346847, 'DE', 'Germany'),
(117722, '195.73.21.224', '195.73.21.255', 3276346848, 3276346879, 'NL', 'Netherlands'),
(117723, '195.73.22.0', '195.73.22.7', 3276346880, 3276346887, 'DE', 'Germany'),
(117724, '195.73.22.8', '195.73.22.71', 3276346888, 3276346951, 'NL', 'Netherlands'),
(117725, '195.73.22.72', '195.73.22.79', 3276346952, 3276346959, 'DE', 'Germany'),
(117726, '195.73.22.80', '195.73.22.159', 3276346960, 3276347039, 'NL', 'Netherlands'),
(117727, '195.73.22.160', '195.73.22.167', 3276347040, 3276347047, 'DE', 'Germany'),
(117728, '195.73.22.168', '195.73.22.231', 3276347048, 3276347111, 'NL', 'Netherlands'),
(117729, '195.73.22.232', '195.73.22.247', 3276347112, 3276347127, 'DE', 'Germany'),
(117730, '195.73.22.248', '195.73.22.255', 3276347128, 3276347135, 'NL', 'Netherlands'),
(117731, '195.73.23.0', '195.73.23.7', 3276347136, 3276347143, 'DE', 'Germany'),
(117732, '195.73.23.8', '195.73.23.23', 3276347144, 3276347159, 'NL', 'Netherlands'),
(117733, '195.73.23.24', '195.73.23.31', 3276347160, 3276347167, 'DE', 'Germany'),
(117734, '195.73.23.32', '195.73.23.71', 3276347168, 3276347207, 'NL', 'Netherlands'),
(117735, '195.73.23.72', '195.73.23.79', 3276347208, 3276347215, 'DE', 'Germany'),
(117736, '195.73.23.80', '195.73.23.191', 3276347216, 3276347327, 'NL', 'Netherlands'),
(117737, '195.73.23.192', '195.73.23.199', 3276347328, 3276347335, 'DE', 'Germany'),
(117738, '195.73.23.200', '195.73.23.255', 3276347336, 3276347391, 'NL', 'Netherlands'),
(117739, '195.73.24.0', '195.73.24.7', 3276347392, 3276347399, 'DE', 'Germany'),
(117740, '195.73.24.8', '195.73.24.151', 3276347400, 3276347543, 'NL', 'Netherlands'),
(117741, '195.73.24.152', '195.73.24.159', 3276347544, 3276347551, 'DE', 'Germany'),
(117742, '195.73.24.160', '195.73.25.7', 3276347552, 3276347655, 'NL', 'Netherlands'),
(117743, '195.73.25.8', '195.73.25.15', 3276347656, 3276347663, 'DE', 'Germany'),
(117744, '195.73.25.16', '195.73.25.111', 3276347664, 3276347759, 'NL', 'Netherlands'),
(117745, '195.73.25.112', '195.73.25.119', 3276347760, 3276347767, 'DE', 'Germany'),
(117746, '195.73.25.120', '195.73.25.199', 3276347768, 3276347847, 'NL', 'Netherlands'),
(117747, '195.73.25.200', '195.73.25.207', 3276347848, 3276347855, 'DE', 'Germany'),
(117748, '195.73.25.208', '195.73.25.255', 3276347856, 3276347903, 'NL', 'Netherlands'),
(117749, '195.73.26.0', '195.73.26.7', 3276347904, 3276347911, 'DE', 'Germany'),
(117750, '195.73.26.8', '195.73.26.55', 3276347912, 3276347959, 'NL', 'Netherlands'),
(117751, '195.73.26.56', '195.73.26.63', 3276347960, 3276347967, 'DE', 'Germany'),
(117752, '195.73.26.64', '195.73.26.87', 3276347968, 3276347991, 'NL', 'Netherlands'),
(117753, '195.73.26.88', '195.73.26.95', 3276347992, 3276347999, 'DE', 'Germany'),
(117754, '195.73.26.96', '195.73.26.111', 3276348000, 3276348015, 'NL', 'Netherlands'),
(117755, '195.73.26.112', '195.73.26.119', 3276348016, 3276348023, 'DE', 'Germany'),
(117756, '195.73.26.120', '195.73.26.159', 3276348024, 3276348063, 'NL', 'Netherlands'),
(117757, '195.73.26.160', '195.73.26.167', 3276348064, 3276348071, 'DE', 'Germany'),
(117758, '195.73.26.168', '195.73.26.207', 3276348072, 3276348111, 'NL', 'Netherlands'),
(117759, '195.73.26.208', '195.73.26.215', 3276348112, 3276348119, 'DE', 'Germany'),
(117760, '195.73.26.216', '195.73.26.223', 3276348120, 3276348127, 'NL', 'Netherlands'),
(117761, '195.73.26.224', '195.73.26.231', 3276348128, 3276348135, 'DE', 'Germany'),
(117762, '195.73.26.232', '195.73.26.247', 3276348136, 3276348151, 'NL', 'Netherlands'),
(117763, '195.73.26.248', '195.73.27.7', 3276348152, 3276348167, 'DE', 'Germany'),
(117764, '195.73.27.8', '195.73.27.23', 3276348168, 3276348183, 'NL', 'Netherlands'),
(117765, '195.73.27.24', '195.73.27.31', 3276348184, 3276348191, 'DE', 'Germany'),
(117766, '195.73.27.32', '195.73.27.39', 3276348192, 3276348199, 'NL', 'Netherlands'),
(117767, '195.73.27.40', '195.73.27.63', 3276348200, 3276348223, 'DE', 'Germany'),
(117768, '195.73.27.64', '195.73.27.71', 3276348224, 3276348231, 'NL', 'Netherlands'),
(117769, '195.73.27.72', '195.73.27.79', 3276348232, 3276348239, 'DE', 'Germany'),
(117770, '195.73.27.80', '195.73.27.135', 3276348240, 3276348295, 'NL', 'Netherlands'),
(117771, '195.73.27.136', '195.73.27.143', 3276348296, 3276348303, 'DE', 'Germany'),
(117772, '195.73.27.144', '195.73.27.159', 3276348304, 3276348319, 'NL', 'Netherlands'),
(117773, '195.73.27.160', '195.73.27.167', 3276348320, 3276348327, 'DE', 'Germany'),
(117774, '195.73.27.168', '195.73.27.183', 3276348328, 3276348343, 'NL', 'Netherlands'),
(117775, '195.73.27.184', '195.73.27.191', 3276348344, 3276348351, 'DE', 'Germany'),
(117776, '195.73.27.192', '195.73.28.15', 3276348352, 3276348431, 'NL', 'Netherlands'),
(117777, '195.73.28.16', '195.73.28.23', 3276348432, 3276348439, 'DE', 'Germany'),
(117778, '195.73.28.24', '195.73.28.39', 3276348440, 3276348455, 'NL', 'Netherlands'),
(117779, '195.73.28.40', '195.73.28.47', 3276348456, 3276348463, 'DE', 'Germany'),
(117780, '195.73.28.48', '195.73.28.95', 3276348464, 3276348511, 'NL', 'Netherlands'),
(117781, '195.73.28.96', '195.73.28.103', 3276348512, 3276348519, 'DE', 'Germany'),
(117782, '195.73.28.104', '195.73.28.207', 3276348520, 3276348623, 'NL', 'Netherlands'),
(117783, '195.73.28.208', '195.73.28.215', 3276348624, 3276348631, 'DE', 'Germany'),
(117784, '195.73.28.216', '195.73.29.7', 3276348632, 3276348679, 'NL', 'Netherlands'),
(117785, '195.73.29.8', '195.73.29.15', 3276348680, 3276348687, 'DE', 'Germany'),
(117786, '195.73.29.16', '195.73.29.47', 3276348688, 3276348719, 'NL', 'Netherlands'),
(117787, '195.73.29.48', '195.73.29.79', 3276348720, 3276348751, 'DE', 'Germany'),
(117788, '195.73.29.80', '195.73.29.95', 3276348752, 3276348767, 'NL', 'Netherlands'),
(117789, '195.73.29.96', '195.73.29.103', 3276348768, 3276348775, 'DE', 'Germany'),
(117790, '195.73.29.104', '195.73.29.167', 3276348776, 3276348839, 'NL', 'Netherlands'),
(117791, '195.73.29.168', '195.73.29.175', 3276348840, 3276348847, 'DE', 'Germany'),
(117792, '195.73.29.176', '195.73.30.135', 3276348848, 3276349063, 'NL', 'Netherlands'),
(117793, '195.73.30.136', '195.73.30.143', 3276349064, 3276349071, 'DE', 'Germany'),
(117794, '195.73.30.144', '195.73.30.207', 3276349072, 3276349135, 'NL', 'Netherlands'),
(117795, '195.73.30.208', '195.73.30.215', 3276349136, 3276349143, 'DE', 'Germany'),
(117796, '195.73.30.216', '195.73.30.239', 3276349144, 3276349167, 'NL', 'Netherlands'),
(117797, '195.73.30.240', '195.73.30.247', 3276349168, 3276349175, 'DE', 'Germany'),
(117798, '195.73.30.248', '195.73.31.15', 3276349176, 3276349199, 'NL', 'Netherlands'),
(117799, '195.73.31.16', '195.73.31.23', 3276349200, 3276349207, 'DE', 'Germany'),
(117800, '195.73.31.24', '195.73.31.31', 3276349208, 3276349215, 'NL', 'Netherlands'),
(117801, '195.73.31.32', '195.73.31.39', 3276349216, 3276349223, 'DE', 'Germany'),
(117802, '195.73.31.40', '195.73.32.239', 3276349224, 3276349679, 'NL', 'Netherlands'),
(117803, '195.73.32.240', '195.73.32.247', 3276349680, 3276349687, 'DE', 'Germany'),
(117804, '195.73.32.248', '195.73.33.135', 3276349688, 3276349831, 'NL', 'Netherlands'),
(117805, '195.73.33.136', '195.73.33.143', 3276349832, 3276349839, 'DE', 'Germany'),
(117806, '195.73.33.144', '195.73.33.175', 3276349840, 3276349871, 'NL', 'Netherlands'),
(117807, '195.73.33.176', '195.73.33.183', 3276349872, 3276349879, 'DE', 'Germany'),
(117808, '195.73.33.184', '195.73.33.207', 3276349880, 3276349903, 'NL', 'Netherlands'),
(117809, '195.73.33.208', '195.73.33.215', 3276349904, 3276349911, 'DE', 'Germany'),
(117810, '195.73.33.216', '195.73.34.39', 3276349912, 3276349991, 'NL', 'Netherlands'),
(117811, '195.73.34.40', '195.73.34.47', 3276349992, 3276349999, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(117812, '195.73.34.48', '195.73.34.79', 3276350000, 3276350031, 'NL', 'Netherlands'),
(117813, '195.73.34.80', '195.73.34.95', 3276350032, 3276350047, 'DE', 'Germany'),
(117814, '195.73.34.96', '195.73.34.239', 3276350048, 3276350191, 'NL', 'Netherlands'),
(117815, '195.73.34.240', '195.73.34.247', 3276350192, 3276350199, 'DE', 'Germany'),
(117816, '195.73.34.248', '195.73.34.255', 3276350200, 3276350207, 'NL', 'Netherlands'),
(117817, '195.73.35.0', '195.73.35.7', 3276350208, 3276350215, 'DE', 'Germany'),
(117818, '195.73.35.8', '195.73.35.31', 3276350216, 3276350239, 'NL', 'Netherlands'),
(117819, '195.73.35.32', '195.73.35.39', 3276350240, 3276350247, 'DE', 'Germany'),
(117820, '195.73.35.40', '195.73.35.79', 3276350248, 3276350287, 'NL', 'Netherlands'),
(117821, '195.73.35.80', '195.73.35.87', 3276350288, 3276350295, 'DE', 'Germany'),
(117822, '195.73.35.88', '195.73.35.247', 3276350296, 3276350455, 'NL', 'Netherlands'),
(117823, '195.73.35.248', '195.73.35.255', 3276350456, 3276350463, 'DE', 'Germany'),
(117824, '195.73.36.0', '195.73.36.55', 3276350464, 3276350519, 'NL', 'Netherlands'),
(117825, '195.73.36.56', '195.73.36.63', 3276350520, 3276350527, 'DE', 'Germany'),
(117826, '195.73.36.64', '195.73.36.175', 3276350528, 3276350639, 'NL', 'Netherlands'),
(117827, '195.73.36.176', '195.73.36.183', 3276350640, 3276350647, 'DE', 'Germany'),
(117828, '195.73.36.184', '195.73.36.207', 3276350648, 3276350671, 'NL', 'Netherlands'),
(117829, '195.73.36.208', '195.73.36.215', 3276350672, 3276350679, 'DE', 'Germany'),
(117830, '195.73.36.216', '195.73.36.223', 3276350680, 3276350687, 'NL', 'Netherlands'),
(117831, '195.73.36.224', '195.73.36.231', 3276350688, 3276350695, 'DE', 'Germany'),
(117832, '195.73.36.232', '195.73.37.239', 3276350696, 3276350959, 'NL', 'Netherlands'),
(117833, '195.73.37.240', '195.73.37.247', 3276350960, 3276350967, 'DE', 'Germany'),
(117834, '195.73.37.248', '195.73.37.255', 3276350968, 3276350975, 'NL', 'Netherlands'),
(117835, '195.73.38.0', '195.73.38.7', 3276350976, 3276350983, 'DE', 'Germany'),
(117836, '195.73.38.8', '195.73.38.31', 3276350984, 3276351007, 'NL', 'Netherlands'),
(117837, '195.73.38.32', '195.73.38.39', 3276351008, 3276351015, 'DE', 'Germany'),
(117838, '195.73.38.40', '195.73.38.119', 3276351016, 3276351095, 'NL', 'Netherlands'),
(117839, '195.73.38.120', '195.73.38.127', 3276351096, 3276351103, 'DE', 'Germany'),
(117840, '195.73.38.128', '195.73.38.143', 3276351104, 3276351119, 'NL', 'Netherlands'),
(117841, '195.73.38.144', '195.73.38.159', 3276351120, 3276351135, 'DE', 'Germany'),
(117842, '195.73.38.160', '195.73.38.215', 3276351136, 3276351191, 'NL', 'Netherlands'),
(117843, '195.73.38.216', '195.73.38.223', 3276351192, 3276351199, 'DE', 'Germany'),
(117844, '195.73.38.224', '195.73.38.239', 3276351200, 3276351215, 'NL', 'Netherlands'),
(117845, '195.73.38.240', '195.73.38.247', 3276351216, 3276351223, 'DE', 'Germany'),
(117846, '195.73.38.248', '195.73.39.79', 3276351224, 3276351311, 'NL', 'Netherlands'),
(117847, '195.73.39.80', '195.73.39.87', 3276351312, 3276351319, 'DE', 'Germany'),
(117848, '195.73.39.88', '195.73.39.151', 3276351320, 3276351383, 'NL', 'Netherlands'),
(117849, '195.73.39.152', '195.73.39.159', 3276351384, 3276351391, 'DE', 'Germany'),
(117850, '195.73.39.160', '195.73.40.47', 3276351392, 3276351535, 'NL', 'Netherlands'),
(117851, '195.73.40.48', '195.73.40.55', 3276351536, 3276351543, 'DE', 'Germany'),
(117852, '195.73.40.56', '195.73.40.71', 3276351544, 3276351559, 'NL', 'Netherlands'),
(117853, '195.73.40.72', '195.73.40.79', 3276351560, 3276351567, 'DE', 'Germany'),
(117854, '195.73.40.80', '195.73.40.87', 3276351568, 3276351575, 'NL', 'Netherlands'),
(117855, '195.73.40.88', '195.73.40.95', 3276351576, 3276351583, 'DE', 'Germany'),
(117856, '195.73.40.96', '195.73.40.103', 3276351584, 3276351591, 'NL', 'Netherlands'),
(117857, '195.73.40.104', '195.73.40.111', 3276351592, 3276351599, 'DE', 'Germany'),
(117858, '195.73.40.112', '195.73.40.119', 3276351600, 3276351607, 'NL', 'Netherlands'),
(117859, '195.73.40.120', '195.73.40.135', 3276351608, 3276351623, 'DE', 'Germany'),
(117860, '195.73.40.136', '195.73.40.159', 3276351624, 3276351647, 'NL', 'Netherlands'),
(117861, '195.73.40.160', '195.73.40.167', 3276351648, 3276351655, 'DE', 'Germany'),
(117862, '195.73.40.168', '195.73.40.191', 3276351656, 3276351679, 'NL', 'Netherlands'),
(117863, '195.73.40.192', '195.73.40.199', 3276351680, 3276351687, 'DE', 'Germany'),
(117864, '195.73.40.200', '195.73.40.215', 3276351688, 3276351703, 'NL', 'Netherlands'),
(117865, '195.73.40.216', '195.73.40.223', 3276351704, 3276351711, 'DE', 'Germany'),
(117866, '195.73.40.224', '195.73.40.239', 3276351712, 3276351727, 'NL', 'Netherlands'),
(117867, '195.73.40.240', '195.73.40.247', 3276351728, 3276351735, 'DE', 'Germany'),
(117868, '195.73.40.248', '195.73.41.31', 3276351736, 3276351775, 'NL', 'Netherlands'),
(117869, '195.73.41.32', '195.73.41.39', 3276351776, 3276351783, 'DE', 'Germany'),
(117870, '195.73.41.40', '195.73.41.47', 3276351784, 3276351791, 'NL', 'Netherlands'),
(117871, '195.73.41.48', '195.73.41.55', 3276351792, 3276351799, 'DE', 'Germany'),
(117872, '195.73.41.56', '195.73.41.63', 3276351800, 3276351807, 'NL', 'Netherlands'),
(117873, '195.73.41.64', '195.73.41.71', 3276351808, 3276351815, 'DE', 'Germany'),
(117874, '195.73.41.72', '195.73.41.135', 3276351816, 3276351879, 'NL', 'Netherlands'),
(117875, '195.73.41.136', '195.73.41.143', 3276351880, 3276351887, 'DE', 'Germany'),
(117876, '195.73.41.144', '195.73.41.223', 3276351888, 3276351967, 'NL', 'Netherlands'),
(117877, '195.73.41.224', '195.73.41.231', 3276351968, 3276351975, 'DE', 'Germany'),
(117878, '195.73.41.232', '195.73.42.167', 3276351976, 3276352167, 'NL', 'Netherlands'),
(117879, '195.73.42.168', '195.73.42.175', 3276352168, 3276352175, 'DE', 'Germany'),
(117880, '195.73.42.176', '195.73.43.23', 3276352176, 3276352279, 'NL', 'Netherlands'),
(117881, '195.73.43.24', '195.73.43.31', 3276352280, 3276352287, 'DE', 'Germany'),
(117882, '195.73.43.32', '195.73.43.79', 3276352288, 3276352335, 'NL', 'Netherlands'),
(117883, '195.73.43.80', '195.73.43.87', 3276352336, 3276352343, 'DE', 'Germany'),
(117884, '195.73.43.88', '195.73.43.143', 3276352344, 3276352399, 'NL', 'Netherlands'),
(117885, '195.73.43.144', '195.73.43.151', 3276352400, 3276352407, 'DE', 'Germany'),
(117886, '195.73.43.152', '195.73.43.255', 3276352408, 3276352511, 'NL', 'Netherlands'),
(117887, '195.73.44.0', '195.73.44.7', 3276352512, 3276352519, 'DE', 'Germany'),
(117888, '195.73.44.8', '195.73.44.143', 3276352520, 3276352655, 'NL', 'Netherlands'),
(117889, '195.73.44.144', '195.73.44.151', 3276352656, 3276352663, 'DE', 'Germany'),
(117890, '195.73.44.152', '195.73.44.183', 3276352664, 3276352695, 'NL', 'Netherlands'),
(117891, '195.73.44.184', '195.73.44.191', 3276352696, 3276352703, 'DE', 'Germany'),
(117892, '195.73.44.192', '195.73.44.255', 3276352704, 3276352767, 'NL', 'Netherlands'),
(117893, '195.73.45.0', '195.73.45.7', 3276352768, 3276352775, 'DE', 'Germany'),
(117894, '195.73.45.8', '195.73.45.15', 3276352776, 3276352783, 'NL', 'Netherlands'),
(117895, '195.73.45.16', '195.73.45.23', 3276352784, 3276352791, 'DE', 'Germany'),
(117896, '195.73.45.24', '195.73.45.63', 3276352792, 3276352831, 'NL', 'Netherlands'),
(117897, '195.73.45.64', '195.73.45.71', 3276352832, 3276352839, 'DE', 'Germany'),
(117898, '195.73.45.72', '195.73.45.143', 3276352840, 3276352911, 'NL', 'Netherlands'),
(117899, '195.73.45.144', '195.73.45.167', 3276352912, 3276352935, 'DE', 'Germany'),
(117900, '195.73.45.168', '195.73.45.175', 3276352936, 3276352943, 'NL', 'Netherlands'),
(117901, '195.73.45.176', '195.73.45.183', 3276352944, 3276352951, 'DE', 'Germany'),
(117902, '195.73.45.184', '195.73.45.191', 3276352952, 3276352959, 'NL', 'Netherlands'),
(117903, '195.73.45.192', '195.73.45.199', 3276352960, 3276352967, 'DE', 'Germany'),
(117904, '195.73.45.200', '195.73.46.15', 3276352968, 3276353039, 'NL', 'Netherlands'),
(117905, '195.73.46.16', '195.73.46.23', 3276353040, 3276353047, 'DE', 'Germany'),
(117906, '195.73.46.24', '195.73.46.55', 3276353048, 3276353079, 'NL', 'Netherlands'),
(117907, '195.73.46.56', '195.73.46.63', 3276353080, 3276353087, 'DE', 'Germany'),
(117908, '195.73.46.64', '195.73.46.119', 3276353088, 3276353143, 'NL', 'Netherlands'),
(117909, '195.73.46.120', '195.73.46.127', 3276353144, 3276353151, 'DE', 'Germany'),
(117910, '195.73.46.128', '195.73.46.183', 3276353152, 3276353207, 'NL', 'Netherlands'),
(117911, '195.73.46.184', '195.73.46.191', 3276353208, 3276353215, 'DE', 'Germany'),
(117912, '195.73.46.192', '195.73.47.15', 3276353216, 3276353295, 'NL', 'Netherlands'),
(117913, '195.73.47.16', '195.73.47.23', 3276353296, 3276353303, 'DE', 'Germany'),
(117914, '195.73.47.24', '195.73.47.63', 3276353304, 3276353343, 'NL', 'Netherlands'),
(117915, '195.73.47.64', '195.73.47.71', 3276353344, 3276353351, 'DE', 'Germany'),
(117916, '195.73.47.72', '195.73.47.79', 3276353352, 3276353359, 'NL', 'Netherlands'),
(117917, '195.73.47.80', '195.73.47.87', 3276353360, 3276353367, 'DE', 'Germany'),
(117918, '195.73.47.88', '195.73.48.119', 3276353368, 3276353655, 'NL', 'Netherlands'),
(117919, '195.73.48.120', '195.73.48.127', 3276353656, 3276353663, 'DE', 'Germany'),
(117920, '195.73.48.128', '195.73.48.151', 3276353664, 3276353687, 'NL', 'Netherlands'),
(117921, '195.73.48.152', '195.73.48.159', 3276353688, 3276353695, 'DE', 'Germany'),
(117922, '195.73.48.160', '195.73.48.175', 3276353696, 3276353711, 'NL', 'Netherlands'),
(117923, '195.73.48.176', '195.73.48.183', 3276353712, 3276353719, 'DE', 'Germany'),
(117924, '195.73.48.184', '195.73.49.7', 3276353720, 3276353799, 'NL', 'Netherlands'),
(117925, '195.73.49.8', '195.73.49.15', 3276353800, 3276353807, 'DE', 'Germany'),
(117926, '195.73.49.16', '195.73.49.135', 3276353808, 3276353927, 'NL', 'Netherlands'),
(117927, '195.73.49.136', '195.73.49.143', 3276353928, 3276353935, 'DE', 'Germany'),
(117928, '195.73.49.144', '195.73.50.47', 3276353936, 3276354095, 'NL', 'Netherlands'),
(117929, '195.73.50.48', '195.73.50.55', 3276354096, 3276354103, 'DE', 'Germany'),
(117930, '195.73.50.56', '195.73.50.135', 3276354104, 3276354183, 'NL', 'Netherlands'),
(117931, '195.73.50.136', '195.73.50.143', 3276354184, 3276354191, 'DE', 'Germany'),
(117932, '195.73.50.144', '195.73.50.159', 3276354192, 3276354207, 'NL', 'Netherlands'),
(117933, '195.73.50.160', '195.73.50.175', 3276354208, 3276354223, 'DE', 'Germany'),
(117934, '195.73.50.176', '195.73.50.207', 3276354224, 3276354255, 'NL', 'Netherlands'),
(117935, '195.73.50.208', '195.73.50.215', 3276354256, 3276354263, 'DE', 'Germany'),
(117936, '195.73.50.216', '195.73.51.23', 3276354264, 3276354327, 'NL', 'Netherlands'),
(117937, '195.73.51.24', '195.73.51.31', 3276354328, 3276354335, 'DE', 'Germany'),
(117938, '195.73.51.32', '195.73.51.39', 3276354336, 3276354343, 'NL', 'Netherlands'),
(117939, '195.73.51.40', '195.73.51.47', 3276354344, 3276354351, 'DE', 'Germany'),
(117940, '195.73.51.48', '195.73.51.111', 3276354352, 3276354415, 'NL', 'Netherlands'),
(117941, '195.73.51.112', '195.73.51.119', 3276354416, 3276354423, 'DE', 'Germany'),
(117942, '195.73.51.120', '195.73.52.63', 3276354424, 3276354623, 'NL', 'Netherlands'),
(117943, '195.73.52.64', '195.73.52.79', 3276354624, 3276354639, 'DE', 'Germany'),
(117944, '195.73.52.80', '195.73.52.87', 3276354640, 3276354647, 'NL', 'Netherlands'),
(117945, '195.73.52.88', '195.73.52.95', 3276354648, 3276354655, 'DE', 'Germany'),
(117946, '195.73.52.96', '195.73.52.175', 3276354656, 3276354735, 'NL', 'Netherlands'),
(117947, '195.73.52.176', '195.73.52.183', 3276354736, 3276354743, 'DE', 'Germany'),
(117948, '195.73.52.184', '195.73.53.15', 3276354744, 3276354831, 'NL', 'Netherlands'),
(117949, '195.73.53.16', '195.73.53.31', 3276354832, 3276354847, 'DE', 'Germany'),
(117950, '195.73.53.32', '195.73.53.39', 3276354848, 3276354855, 'NL', 'Netherlands'),
(117951, '195.73.53.40', '195.73.53.63', 3276354856, 3276354879, 'DE', 'Germany'),
(117952, '195.73.53.64', '195.73.53.71', 3276354880, 3276354887, 'NL', 'Netherlands'),
(117953, '195.73.53.72', '195.73.53.79', 3276354888, 3276354895, 'DE', 'Germany'),
(117954, '195.73.53.80', '195.73.53.87', 3276354896, 3276354903, 'NL', 'Netherlands'),
(117955, '195.73.53.88', '195.73.53.95', 3276354904, 3276354911, 'DE', 'Germany'),
(117956, '195.73.53.96', '195.73.53.151', 3276354912, 3276354967, 'NL', 'Netherlands'),
(117957, '195.73.53.152', '195.73.53.159', 3276354968, 3276354975, 'DE', 'Germany'),
(117958, '195.73.53.160', '195.73.53.183', 3276354976, 3276354999, 'NL', 'Netherlands'),
(117959, '195.73.53.184', '195.73.53.191', 3276355000, 3276355007, 'DE', 'Germany'),
(117960, '195.73.53.192', '195.73.53.247', 3276355008, 3276355063, 'NL', 'Netherlands'),
(117961, '195.73.53.248', '195.73.53.255', 3276355064, 3276355071, 'DE', 'Germany'),
(117962, '195.73.54.0', '195.73.54.111', 3276355072, 3276355183, 'NL', 'Netherlands'),
(117963, '195.73.54.112', '195.73.54.119', 3276355184, 3276355191, 'DE', 'Germany'),
(117964, '195.73.54.120', '195.73.54.191', 3276355192, 3276355263, 'NL', 'Netherlands'),
(117965, '195.73.54.192', '195.73.54.199', 3276355264, 3276355271, 'DE', 'Germany'),
(117966, '195.73.54.200', '195.73.55.39', 3276355272, 3276355367, 'NL', 'Netherlands'),
(117967, '195.73.55.40', '195.73.55.55', 3276355368, 3276355383, 'DE', 'Germany'),
(117968, '195.73.55.56', '195.73.55.71', 3276355384, 3276355399, 'NL', 'Netherlands'),
(117969, '195.73.55.72', '195.73.55.79', 3276355400, 3276355407, 'DE', 'Germany'),
(117970, '195.73.55.80', '195.73.55.111', 3276355408, 3276355439, 'NL', 'Netherlands'),
(117971, '195.73.55.112', '195.73.55.119', 3276355440, 3276355447, 'DE', 'Germany'),
(117972, '195.73.55.120', '195.73.55.215', 3276355448, 3276355543, 'NL', 'Netherlands'),
(117973, '195.73.55.216', '195.73.55.231', 3276355544, 3276355559, 'DE', 'Germany'),
(117974, '195.73.55.232', '195.73.56.63', 3276355560, 3276355647, 'NL', 'Netherlands'),
(117975, '195.73.56.64', '195.73.56.71', 3276355648, 3276355655, 'DE', 'Germany'),
(117976, '195.73.56.72', '195.73.56.79', 3276355656, 3276355663, 'NL', 'Netherlands'),
(117977, '195.73.56.80', '195.73.56.87', 3276355664, 3276355671, 'DE', 'Germany'),
(117978, '195.73.56.88', '195.73.56.199', 3276355672, 3276355783, 'NL', 'Netherlands'),
(117979, '195.73.56.200', '195.73.56.207', 3276355784, 3276355791, 'DE', 'Germany'),
(117980, '195.73.56.208', '195.73.57.7', 3276355792, 3276355847, 'NL', 'Netherlands'),
(117981, '195.73.57.8', '195.73.57.15', 3276355848, 3276355855, 'DE', 'Germany'),
(117982, '195.73.57.16', '195.73.57.223', 3276355856, 3276356063, 'NL', 'Netherlands'),
(117983, '195.73.57.224', '195.73.57.231', 3276356064, 3276356071, 'DE', 'Germany'),
(117984, '195.73.57.232', '195.73.58.39', 3276356072, 3276356135, 'NL', 'Netherlands'),
(117985, '195.73.58.40', '195.73.58.47', 3276356136, 3276356143, 'DE', 'Germany'),
(117986, '195.73.58.48', '195.73.58.111', 3276356144, 3276356207, 'NL', 'Netherlands'),
(117987, '195.73.58.112', '195.73.58.119', 3276356208, 3276356215, 'DE', 'Germany'),
(117988, '195.73.58.120', '195.73.58.183', 3276356216, 3276356279, 'NL', 'Netherlands'),
(117989, '195.73.58.184', '195.73.58.199', 3276356280, 3276356295, 'DE', 'Germany'),
(117990, '195.73.58.200', '195.73.58.215', 3276356296, 3276356311, 'NL', 'Netherlands'),
(117991, '195.73.58.216', '195.73.58.223', 3276356312, 3276356319, 'DE', 'Germany'),
(117992, '195.73.58.224', '195.73.58.255', 3276356320, 3276356351, 'NL', 'Netherlands'),
(117993, '195.73.59.0', '195.73.59.255', 3276356352, 3276356607, 'DE', 'Germany'),
(117994, '195.73.60.0', '195.73.60.15', 3276356608, 3276356623, 'NL', 'Netherlands'),
(117995, '195.73.60.16', '195.73.60.23', 3276356624, 3276356631, 'DE', 'Germany'),
(117996, '195.73.60.24', '195.73.60.39', 3276356632, 3276356647, 'NL', 'Netherlands'),
(117997, '195.73.60.40', '195.73.60.47', 3276356648, 3276356655, 'DE', 'Germany'),
(117998, '195.73.60.48', '195.73.60.167', 3276356656, 3276356775, 'NL', 'Netherlands'),
(117999, '195.73.60.168', '195.73.60.175', 3276356776, 3276356783, 'DE', 'Germany'),
(118000, '195.73.60.176', '195.73.60.191', 3276356784, 3276356799, 'NL', 'Netherlands'),
(118001, '195.73.60.192', '195.73.60.199', 3276356800, 3276356807, 'DE', 'Germany'),
(118002, '195.73.60.200', '195.73.61.47', 3276356808, 3276356911, 'NL', 'Netherlands'),
(118003, '195.73.61.48', '195.73.61.63', 3276356912, 3276356927, 'DE', 'Germany'),
(118004, '195.73.61.64', '195.73.61.71', 3276356928, 3276356935, 'NL', 'Netherlands'),
(118005, '195.73.61.72', '195.73.61.79', 3276356936, 3276356943, 'DE', 'Germany'),
(118006, '195.73.61.80', '195.73.61.151', 3276356944, 3276357015, 'NL', 'Netherlands'),
(118007, '195.73.61.152', '195.73.61.159', 3276357016, 3276357023, 'DE', 'Germany'),
(118008, '195.73.61.160', '195.73.62.55', 3276357024, 3276357175, 'NL', 'Netherlands'),
(118009, '195.73.62.56', '195.73.62.63', 3276357176, 3276357183, 'DE', 'Germany'),
(118010, '195.73.62.64', '195.73.62.159', 3276357184, 3276357279, 'NL', 'Netherlands'),
(118011, '195.73.62.160', '195.73.62.167', 3276357280, 3276357287, 'DE', 'Germany'),
(118012, '195.73.62.168', '195.73.62.175', 3276357288, 3276357295, 'NL', 'Netherlands'),
(118013, '195.73.62.176', '195.73.62.183', 3276357296, 3276357303, 'DE', 'Germany'),
(118014, '195.73.62.184', '195.73.62.199', 3276357304, 3276357319, 'NL', 'Netherlands'),
(118015, '195.73.62.200', '195.73.62.207', 3276357320, 3276357327, 'DE', 'Germany'),
(118016, '195.73.62.208', '195.73.62.223', 3276357328, 3276357343, 'NL', 'Netherlands'),
(118017, '195.73.62.224', '195.73.62.231', 3276357344, 3276357351, 'DE', 'Germany'),
(118018, '195.73.62.232', '195.73.63.7', 3276357352, 3276357383, 'NL', 'Netherlands'),
(118019, '195.73.63.8', '195.73.63.15', 3276357384, 3276357391, 'DE', 'Germany'),
(118020, '195.73.63.16', '195.73.63.39', 3276357392, 3276357415, 'NL', 'Netherlands'),
(118021, '195.73.63.40', '195.73.63.47', 3276357416, 3276357423, 'DE', 'Germany'),
(118022, '195.73.63.48', '195.73.63.71', 3276357424, 3276357447, 'NL', 'Netherlands'),
(118023, '195.73.63.72', '195.73.63.79', 3276357448, 3276357455, 'DE', 'Germany'),
(118024, '195.73.63.80', '195.73.63.127', 3276357456, 3276357503, 'NL', 'Netherlands'),
(118025, '195.73.63.128', '195.73.63.143', 3276357504, 3276357519, 'DE', 'Germany'),
(118026, '195.73.63.144', '195.73.63.167', 3276357520, 3276357543, 'NL', 'Netherlands'),
(118027, '195.73.63.168', '195.73.63.175', 3276357544, 3276357551, 'DE', 'Germany'),
(118028, '195.73.63.176', '195.73.64.23', 3276357552, 3276357655, 'NL', 'Netherlands'),
(118029, '195.73.64.24', '195.73.64.31', 3276357656, 3276357663, 'DE', 'Germany'),
(118030, '195.73.64.32', '195.73.64.39', 3276357664, 3276357671, 'NL', 'Netherlands'),
(118031, '195.73.64.40', '195.73.64.47', 3276357672, 3276357679, 'DE', 'Germany'),
(118032, '195.73.64.48', '195.73.64.151', 3276357680, 3276357783, 'NL', 'Netherlands'),
(118033, '195.73.64.152', '195.73.64.159', 3276357784, 3276357791, 'DE', 'Germany'),
(118034, '195.73.64.160', '195.73.64.199', 3276357792, 3276357831, 'NL', 'Netherlands'),
(118035, '195.73.64.200', '195.73.64.215', 3276357832, 3276357847, 'DE', 'Germany'),
(118036, '195.73.64.216', '195.73.65.15', 3276357848, 3276357903, 'NL', 'Netherlands'),
(118037, '195.73.65.16', '195.73.65.23', 3276357904, 3276357911, 'DE', 'Germany'),
(118038, '195.73.65.24', '195.73.65.39', 3276357912, 3276357927, 'NL', 'Netherlands'),
(118039, '195.73.65.40', '195.73.65.47', 3276357928, 3276357935, 'DE', 'Germany'),
(118040, '195.73.65.48', '195.73.65.223', 3276357936, 3276358111, 'NL', 'Netherlands'),
(118041, '195.73.65.224', '195.73.65.239', 3276358112, 3276358127, 'DE', 'Germany'),
(118042, '195.73.65.240', '195.73.66.55', 3276358128, 3276358199, 'NL', 'Netherlands'),
(118043, '195.73.66.56', '195.73.66.63', 3276358200, 3276358207, 'DE', 'Germany'),
(118044, '195.73.66.64', '195.73.66.71', 3276358208, 3276358215, 'NL', 'Netherlands'),
(118045, '195.73.66.72', '195.73.66.79', 3276358216, 3276358223, 'DE', 'Germany'),
(118046, '195.73.66.80', '195.73.66.95', 3276358224, 3276358239, 'NL', 'Netherlands'),
(118047, '195.73.66.96', '195.73.66.103', 3276358240, 3276358247, 'DE', 'Germany'),
(118048, '195.73.66.104', '195.73.66.135', 3276358248, 3276358279, 'NL', 'Netherlands'),
(118049, '195.73.66.136', '195.73.66.151', 3276358280, 3276358295, 'DE', 'Germany'),
(118050, '195.73.66.152', '195.73.66.191', 3276358296, 3276358335, 'NL', 'Netherlands'),
(118051, '195.73.66.192', '195.73.66.199', 3276358336, 3276358343, 'DE', 'Germany'),
(118052, '195.73.66.200', '195.73.67.71', 3276358344, 3276358471, 'NL', 'Netherlands'),
(118053, '195.73.67.72', '195.73.67.79', 3276358472, 3276358479, 'DE', 'Germany'),
(118054, '195.73.67.80', '195.73.67.95', 3276358480, 3276358495, 'NL', 'Netherlands'),
(118055, '195.73.67.96', '195.73.67.103', 3276358496, 3276358503, 'DE', 'Germany'),
(118056, '195.73.67.104', '195.73.67.191', 3276358504, 3276358591, 'NL', 'Netherlands'),
(118057, '195.73.67.192', '195.73.67.199', 3276358592, 3276358599, 'DE', 'Germany'),
(118058, '195.73.67.200', '195.73.67.207', 3276358600, 3276358607, 'NL', 'Netherlands'),
(118059, '195.73.67.208', '195.73.67.215', 3276358608, 3276358615, 'DE', 'Germany'),
(118060, '195.73.67.216', '195.73.67.231', 3276358616, 3276358631, 'NL', 'Netherlands'),
(118061, '195.73.67.232', '195.73.67.247', 3276358632, 3276358647, 'DE', 'Germany'),
(118062, '195.73.67.248', '195.73.68.87', 3276358648, 3276358743, 'NL', 'Netherlands'),
(118063, '195.73.68.88', '195.73.68.103', 3276358744, 3276358759, 'DE', 'Germany'),
(118064, '195.73.68.104', '195.73.68.119', 3276358760, 3276358775, 'NL', 'Netherlands'),
(118065, '195.73.68.120', '195.73.68.127', 3276358776, 3276358783, 'DE', 'Germany'),
(118066, '195.73.68.128', '195.73.68.135', 3276358784, 3276358791, 'NL', 'Netherlands'),
(118067, '195.73.68.136', '195.73.68.151', 3276358792, 3276358807, 'DE', 'Germany'),
(118068, '195.73.68.152', '195.73.68.247', 3276358808, 3276358903, 'NL', 'Netherlands'),
(118069, '195.73.68.248', '195.73.68.255', 3276358904, 3276358911, 'DE', 'Germany'),
(118070, '195.73.69.0', '195.73.69.15', 3276358912, 3276358927, 'NL', 'Netherlands'),
(118071, '195.73.69.16', '195.73.69.23', 3276358928, 3276358935, 'DE', 'Germany'),
(118072, '195.73.69.24', '195.73.69.39', 3276358936, 3276358951, 'NL', 'Netherlands'),
(118073, '195.73.69.40', '195.73.69.47', 3276358952, 3276358959, 'DE', 'Germany'),
(118074, '195.73.69.48', '195.73.69.135', 3276358960, 3276359047, 'NL', 'Netherlands'),
(118075, '195.73.69.136', '195.73.69.143', 3276359048, 3276359055, 'DE', 'Germany'),
(118076, '195.73.69.144', '195.73.69.223', 3276359056, 3276359135, 'NL', 'Netherlands'),
(118077, '195.73.69.224', '195.73.69.231', 3276359136, 3276359143, 'DE', 'Germany'),
(118078, '195.73.69.232', '195.73.69.255', 3276359144, 3276359167, 'NL', 'Netherlands'),
(118079, '195.73.70.0', '195.73.70.7', 3276359168, 3276359175, 'DE', 'Germany'),
(118080, '195.73.70.8', '195.73.70.215', 3276359176, 3276359383, 'NL', 'Netherlands'),
(118081, '195.73.70.216', '195.73.70.223', 3276359384, 3276359391, 'DE', 'Germany'),
(118082, '195.73.70.224', '195.73.71.15', 3276359392, 3276359439, 'NL', 'Netherlands'),
(118083, '195.73.71.16', '195.73.71.23', 3276359440, 3276359447, 'DE', 'Germany'),
(118084, '195.73.71.24', '195.73.71.87', 3276359448, 3276359511, 'NL', 'Netherlands'),
(118085, '195.73.71.88', '195.73.71.95', 3276359512, 3276359519, 'DE', 'Germany'),
(118086, '195.73.71.96', '195.73.71.183', 3276359520, 3276359607, 'NL', 'Netherlands'),
(118087, '195.73.71.184', '195.73.71.191', 3276359608, 3276359615, 'DE', 'Germany'),
(118088, '195.73.71.192', '195.73.72.23', 3276359616, 3276359703, 'NL', 'Netherlands'),
(118089, '195.73.72.24', '195.73.72.31', 3276359704, 3276359711, 'DE', 'Germany'),
(118090, '195.73.72.32', '195.73.72.47', 3276359712, 3276359727, 'NL', 'Netherlands'),
(118091, '195.73.72.48', '195.73.72.55', 3276359728, 3276359735, 'DE', 'Germany'),
(118092, '195.73.72.56', '195.73.72.71', 3276359736, 3276359751, 'NL', 'Netherlands'),
(118093, '195.73.72.72', '195.73.72.79', 3276359752, 3276359759, 'DE', 'Germany'),
(118094, '195.73.72.80', '195.73.72.87', 3276359760, 3276359767, 'NL', 'Netherlands'),
(118095, '195.73.72.88', '195.73.72.95', 3276359768, 3276359775, 'DE', 'Germany'),
(118096, '195.73.72.96', '195.73.72.103', 3276359776, 3276359783, 'NL', 'Netherlands'),
(118097, '195.73.72.104', '195.73.72.111', 3276359784, 3276359791, 'DE', 'Germany'),
(118098, '195.73.72.112', '195.73.72.127', 3276359792, 3276359807, 'NL', 'Netherlands'),
(118099, '195.73.72.128', '195.73.72.135', 3276359808, 3276359815, 'DE', 'Germany'),
(118100, '195.73.72.136', '195.73.72.159', 3276359816, 3276359839, 'NL', 'Netherlands'),
(118101, '195.73.72.160', '195.73.72.167', 3276359840, 3276359847, 'DE', 'Germany'),
(118102, '195.73.72.168', '195.73.72.239', 3276359848, 3276359919, 'NL', 'Netherlands'),
(118103, '195.73.72.240', '195.73.72.247', 3276359920, 3276359927, 'DE', 'Germany'),
(118104, '195.73.72.248', '195.73.73.71', 3276359928, 3276360007, 'NL', 'Netherlands'),
(118105, '195.73.73.72', '195.73.73.79', 3276360008, 3276360015, 'DE', 'Germany'),
(118106, '195.73.73.80', '195.73.73.119', 3276360016, 3276360055, 'NL', 'Netherlands'),
(118107, '195.73.73.120', '195.73.73.127', 3276360056, 3276360063, 'DE', 'Germany'),
(118108, '195.73.73.128', '195.73.73.151', 3276360064, 3276360087, 'NL', 'Netherlands'),
(118109, '195.73.73.152', '195.73.73.159', 3276360088, 3276360095, 'DE', 'Germany'),
(118110, '195.73.73.160', '195.73.73.175', 3276360096, 3276360111, 'NL', 'Netherlands'),
(118111, '195.73.73.176', '195.73.73.183', 3276360112, 3276360119, 'DE', 'Germany'),
(118112, '195.73.73.184', '195.73.73.239', 3276360120, 3276360175, 'NL', 'Netherlands'),
(118113, '195.73.73.240', '195.73.73.247', 3276360176, 3276360183, 'DE', 'Germany'),
(118114, '195.73.73.248', '195.73.74.7', 3276360184, 3276360199, 'NL', 'Netherlands'),
(118115, '195.73.74.8', '195.73.74.15', 3276360200, 3276360207, 'DE', 'Germany'),
(118116, '195.73.74.16', '195.73.74.31', 3276360208, 3276360223, 'NL', 'Netherlands'),
(118117, '195.73.74.32', '195.73.74.47', 3276360224, 3276360239, 'DE', 'Germany'),
(118118, '195.73.74.48', '195.73.74.79', 3276360240, 3276360271, 'NL', 'Netherlands'),
(118119, '195.73.74.80', '195.73.74.87', 3276360272, 3276360279, 'DE', 'Germany'),
(118120, '195.73.74.88', '195.73.74.135', 3276360280, 3276360327, 'NL', 'Netherlands'),
(118121, '195.73.74.136', '195.73.74.143', 3276360328, 3276360335, 'DE', 'Germany'),
(118122, '195.73.74.144', '195.73.74.159', 3276360336, 3276360351, 'NL', 'Netherlands'),
(118123, '195.73.74.160', '195.73.74.167', 3276360352, 3276360359, 'DE', 'Germany'),
(118124, '195.73.74.168', '195.73.74.183', 3276360360, 3276360375, 'NL', 'Netherlands'),
(118125, '195.73.74.184', '195.73.74.191', 3276360376, 3276360383, 'DE', 'Germany'),
(118126, '195.73.74.192', '195.73.74.207', 3276360384, 3276360399, 'NL', 'Netherlands'),
(118127, '195.73.74.208', '195.73.74.215', 3276360400, 3276360407, 'DE', 'Germany'),
(118128, '195.73.74.216', '195.73.75.47', 3276360408, 3276360495, 'NL', 'Netherlands'),
(118129, '195.73.75.48', '195.73.75.55', 3276360496, 3276360503, 'DE', 'Germany'),
(118130, '195.73.75.56', '195.73.75.71', 3276360504, 3276360519, 'NL', 'Netherlands'),
(118131, '195.73.75.72', '195.73.75.79', 3276360520, 3276360527, 'DE', 'Germany'),
(118132, '195.73.75.80', '195.73.75.111', 3276360528, 3276360559, 'NL', 'Netherlands'),
(118133, '195.73.75.112', '195.73.75.119', 3276360560, 3276360567, 'DE', 'Germany'),
(118134, '195.73.75.120', '195.73.75.135', 3276360568, 3276360583, 'NL', 'Netherlands'),
(118135, '195.73.75.136', '195.73.75.143', 3276360584, 3276360591, 'DE', 'Germany'),
(118136, '195.73.75.144', '195.73.75.167', 3276360592, 3276360615, 'NL', 'Netherlands'),
(118137, '195.73.75.168', '195.73.75.175', 3276360616, 3276360623, 'DE', 'Germany'),
(118138, '195.73.75.176', '195.73.75.239', 3276360624, 3276360687, 'NL', 'Netherlands'),
(118139, '195.73.75.240', '195.73.75.255', 3276360688, 3276360703, 'DE', 'Germany'),
(118140, '195.73.76.0', '195.73.76.39', 3276360704, 3276360743, 'NL', 'Netherlands'),
(118141, '195.73.76.40', '195.73.76.47', 3276360744, 3276360751, 'DE', 'Germany'),
(118142, '195.73.76.48', '195.73.76.143', 3276360752, 3276360847, 'NL', 'Netherlands'),
(118143, '195.73.76.144', '195.73.76.159', 3276360848, 3276360863, 'DE', 'Germany'),
(118144, '195.73.76.160', '195.73.77.39', 3276360864, 3276360999, 'NL', 'Netherlands'),
(118145, '195.73.77.40', '195.73.77.47', 3276361000, 3276361007, 'DE', 'Germany'),
(118146, '195.73.77.48', '195.73.77.55', 3276361008, 3276361015, 'NL', 'Netherlands'),
(118147, '195.73.77.56', '195.73.77.63', 3276361016, 3276361023, 'DE', 'Germany'),
(118148, '195.73.77.64', '195.73.77.103', 3276361024, 3276361063, 'NL', 'Netherlands'),
(118149, '195.73.77.104', '195.73.77.111', 3276361064, 3276361071, 'DE', 'Germany'),
(118150, '195.73.77.112', '195.73.78.23', 3276361072, 3276361239, 'NL', 'Netherlands'),
(118151, '195.73.78.24', '195.73.78.31', 3276361240, 3276361247, 'DE', 'Germany'),
(118152, '195.73.78.32', '195.73.78.39', 3276361248, 3276361255, 'NL', 'Netherlands'),
(118153, '195.73.78.40', '195.73.78.55', 3276361256, 3276361271, 'DE', 'Germany'),
(118154, '195.73.78.56', '195.73.78.87', 3276361272, 3276361303, 'NL', 'Netherlands'),
(118155, '195.73.78.88', '195.73.78.95', 3276361304, 3276361311, 'DE', 'Germany'),
(118156, '195.73.78.96', '195.73.78.127', 3276361312, 3276361343, 'NL', 'Netherlands'),
(118157, '195.73.78.128', '195.73.78.135', 3276361344, 3276361351, 'DE', 'Germany'),
(118158, '195.73.78.136', '195.73.78.167', 3276361352, 3276361383, 'NL', 'Netherlands'),
(118159, '195.73.78.168', '195.73.78.175', 3276361384, 3276361391, 'DE', 'Germany'),
(118160, '195.73.78.176', '195.73.78.183', 3276361392, 3276361399, 'NL', 'Netherlands'),
(118161, '195.73.78.184', '195.73.78.191', 3276361400, 3276361407, 'DE', 'Germany'),
(118162, '195.73.78.192', '195.73.79.47', 3276361408, 3276361519, 'NL', 'Netherlands'),
(118163, '195.73.79.48', '195.73.79.55', 3276361520, 3276361527, 'DE', 'Germany'),
(118164, '195.73.79.56', '195.73.79.127', 3276361528, 3276361599, 'NL', 'Netherlands'),
(118165, '195.73.79.128', '195.73.79.135', 3276361600, 3276361607, 'DE', 'Germany'),
(118166, '195.73.79.136', '195.73.79.183', 3276361608, 3276361655, 'NL', 'Netherlands'),
(118167, '195.73.79.184', '195.73.79.191', 3276361656, 3276361663, 'DE', 'Germany'),
(118168, '195.73.79.192', '195.73.79.207', 3276361664, 3276361679, 'NL', 'Netherlands'),
(118169, '195.73.79.208', '195.73.79.215', 3276361680, 3276361687, 'DE', 'Germany'),
(118170, '195.73.79.216', '195.73.80.23', 3276361688, 3276361751, 'NL', 'Netherlands'),
(118171, '195.73.80.24', '195.73.80.39', 3276361752, 3276361767, 'DE', 'Germany'),
(118172, '195.73.80.40', '195.73.81.63', 3276361768, 3276362047, 'NL', 'Netherlands'),
(118173, '195.73.81.64', '195.73.81.71', 3276362048, 3276362055, 'DE', 'Germany'),
(118174, '195.73.81.72', '195.73.81.87', 3276362056, 3276362071, 'NL', 'Netherlands'),
(118175, '195.73.81.88', '195.73.81.95', 3276362072, 3276362079, 'DE', 'Germany'),
(118176, '195.73.81.96', '195.73.81.159', 3276362080, 3276362143, 'NL', 'Netherlands'),
(118177, '195.73.81.160', '195.73.81.167', 3276362144, 3276362151, 'DE', 'Germany'),
(118178, '195.73.81.168', '195.73.82.71', 3276362152, 3276362311, 'NL', 'Netherlands'),
(118179, '195.73.82.72', '195.73.82.79', 3276362312, 3276362319, 'DE', 'Germany'),
(118180, '195.73.82.80', '195.73.83.103', 3276362320, 3276362599, 'NL', 'Netherlands'),
(118181, '195.73.83.104', '195.73.83.111', 3276362600, 3276362607, 'DE', 'Germany'),
(118182, '195.73.83.112', '195.73.83.199', 3276362608, 3276362695, 'NL', 'Netherlands'),
(118183, '195.73.83.200', '195.73.83.207', 3276362696, 3276362703, 'DE', 'Germany'),
(118184, '195.73.83.208', '195.73.84.7', 3276362704, 3276362759, 'NL', 'Netherlands'),
(118185, '195.73.84.8', '195.73.84.15', 3276362760, 3276362767, 'DE', 'Germany'),
(118186, '195.73.84.16', '195.73.84.23', 3276362768, 3276362775, 'NL', 'Netherlands'),
(118187, '195.73.84.24', '195.73.84.31', 3276362776, 3276362783, 'DE', 'Germany'),
(118188, '195.73.84.32', '195.73.84.39', 3276362784, 3276362791, 'NL', 'Netherlands'),
(118189, '195.73.84.40', '195.73.84.47', 3276362792, 3276362799, 'DE', 'Germany'),
(118190, '195.73.84.48', '195.73.84.215', 3276362800, 3276362967, 'NL', 'Netherlands'),
(118191, '195.73.84.216', '195.73.84.223', 3276362968, 3276362975, 'DE', 'Germany'),
(118192, '195.73.84.224', '195.73.84.231', 3276362976, 3276362983, 'NL', 'Netherlands'),
(118193, '195.73.84.232', '195.73.84.239', 3276362984, 3276362991, 'DE', 'Germany'),
(118194, '195.73.84.240', '195.73.85.39', 3276362992, 3276363047, 'NL', 'Netherlands'),
(118195, '195.73.85.40', '195.73.85.47', 3276363048, 3276363055, 'DE', 'Germany'),
(118196, '195.73.85.48', '195.73.85.63', 3276363056, 3276363071, 'NL', 'Netherlands'),
(118197, '195.73.85.64', '195.73.85.71', 3276363072, 3276363079, 'DE', 'Germany'),
(118198, '195.73.85.72', '195.73.85.215', 3276363080, 3276363223, 'NL', 'Netherlands'),
(118199, '195.73.85.216', '195.73.85.223', 3276363224, 3276363231, 'DE', 'Germany'),
(118200, '195.73.85.224', '195.73.86.31', 3276363232, 3276363295, 'NL', 'Netherlands'),
(118201, '195.73.86.32', '195.73.86.39', 3276363296, 3276363303, 'DE', 'Germany'),
(118202, '195.73.86.40', '195.73.86.71', 3276363304, 3276363335, 'NL', 'Netherlands'),
(118203, '195.73.86.72', '195.73.86.79', 3276363336, 3276363343, 'DE', 'Germany'),
(118204, '195.73.86.80', '195.73.86.111', 3276363344, 3276363375, 'NL', 'Netherlands'),
(118205, '195.73.86.112', '195.73.86.119', 3276363376, 3276363383, 'DE', 'Germany'),
(118206, '195.73.86.120', '195.73.86.239', 3276363384, 3276363503, 'NL', 'Netherlands'),
(118207, '195.73.86.240', '195.73.86.247', 3276363504, 3276363511, 'DE', 'Germany'),
(118208, '195.73.86.248', '195.73.87.63', 3276363512, 3276363583, 'NL', 'Netherlands'),
(118209, '195.73.87.64', '195.73.87.71', 3276363584, 3276363591, 'DE', 'Germany'),
(118210, '195.73.87.72', '195.73.87.87', 3276363592, 3276363607, 'NL', 'Netherlands'),
(118211, '195.73.87.88', '195.73.87.95', 3276363608, 3276363615, 'DE', 'Germany'),
(118212, '195.73.87.96', '195.73.87.103', 3276363616, 3276363623, 'NL', 'Netherlands'),
(118213, '195.73.87.104', '195.73.87.111', 3276363624, 3276363631, 'DE', 'Germany'),
(118214, '195.73.87.112', '195.73.87.135', 3276363632, 3276363655, 'NL', 'Netherlands'),
(118215, '195.73.87.136', '195.73.87.159', 3276363656, 3276363679, 'DE', 'Germany'),
(118216, '195.73.87.160', '195.73.87.183', 3276363680, 3276363703, 'NL', 'Netherlands'),
(118217, '195.73.87.184', '195.73.87.191', 3276363704, 3276363711, 'DE', 'Germany'),
(118218, '195.73.87.192', '195.73.88.47', 3276363712, 3276363823, 'NL', 'Netherlands'),
(118219, '195.73.88.48', '195.73.88.55', 3276363824, 3276363831, 'DE', 'Germany'),
(118220, '195.73.88.56', '195.73.88.79', 3276363832, 3276363855, 'NL', 'Netherlands'),
(118221, '195.73.88.80', '195.73.88.87', 3276363856, 3276363863, 'DE', 'Germany'),
(118222, '195.73.88.88', '195.73.88.175', 3276363864, 3276363951, 'NL', 'Netherlands'),
(118223, '195.73.88.176', '195.73.88.191', 3276363952, 3276363967, 'DE', 'Germany'),
(118224, '195.73.88.192', '195.73.88.199', 3276363968, 3276363975, 'NL', 'Netherlands'),
(118225, '195.73.88.200', '195.73.88.215', 3276363976, 3276363991, 'DE', 'Germany'),
(118226, '195.73.88.216', '195.73.89.151', 3276363992, 3276364183, 'NL', 'Netherlands'),
(118227, '195.73.89.152', '195.73.89.159', 3276364184, 3276364191, 'DE', 'Germany'),
(118228, '195.73.89.160', '195.73.90.7', 3276364192, 3276364295, 'NL', 'Netherlands'),
(118229, '195.73.90.8', '195.73.90.15', 3276364296, 3276364303, 'DE', 'Germany'),
(118230, '195.73.90.16', '195.73.90.23', 3276364304, 3276364311, 'NL', 'Netherlands'),
(118231, '195.73.90.24', '195.73.90.31', 3276364312, 3276364319, 'DE', 'Germany'),
(118232, '195.73.90.32', '195.73.90.95', 3276364320, 3276364383, 'NL', 'Netherlands'),
(118233, '195.73.90.96', '195.73.90.103', 3276364384, 3276364391, 'DE', 'Germany'),
(118234, '195.73.90.104', '195.73.90.143', 3276364392, 3276364431, 'NL', 'Netherlands'),
(118235, '195.73.90.144', '195.73.90.151', 3276364432, 3276364439, 'DE', 'Germany'),
(118236, '195.73.90.152', '195.73.90.255', 3276364440, 3276364543, 'NL', 'Netherlands'),
(118237, '195.73.91.0', '195.73.91.7', 3276364544, 3276364551, 'DE', 'Germany'),
(118238, '195.73.91.8', '195.73.91.95', 3276364552, 3276364639, 'NL', 'Netherlands'),
(118239, '195.73.91.96', '195.73.91.111', 3276364640, 3276364655, 'DE', 'Germany'),
(118240, '195.73.91.112', '195.73.92.7', 3276364656, 3276364807, 'NL', 'Netherlands'),
(118241, '195.73.92.8', '195.73.92.15', 3276364808, 3276364815, 'DE', 'Germany'),
(118242, '195.73.92.16', '195.73.92.55', 3276364816, 3276364855, 'NL', 'Netherlands'),
(118243, '195.73.92.56', '195.73.92.63', 3276364856, 3276364863, 'DE', 'Germany'),
(118244, '195.73.92.64', '195.73.92.135', 3276364864, 3276364935, 'NL', 'Netherlands'),
(118245, '195.73.92.136', '195.73.92.143', 3276364936, 3276364943, 'DE', 'Germany'),
(118246, '195.73.92.144', '195.73.92.159', 3276364944, 3276364959, 'NL', 'Netherlands'),
(118247, '195.73.92.160', '195.73.92.167', 3276364960, 3276364967, 'DE', 'Germany'),
(118248, '195.73.92.168', '195.73.92.191', 3276364968, 3276364991, 'NL', 'Netherlands'),
(118249, '195.73.92.192', '195.73.92.207', 3276364992, 3276365007, 'DE', 'Germany'),
(118250, '195.73.92.208', '195.73.93.159', 3276365008, 3276365215, 'NL', 'Netherlands'),
(118251, '195.73.93.160', '195.73.93.167', 3276365216, 3276365223, 'DE', 'Germany'),
(118252, '195.73.93.168', '195.73.93.191', 3276365224, 3276365247, 'NL', 'Netherlands'),
(118253, '195.73.93.192', '195.73.93.199', 3276365248, 3276365255, 'DE', 'Germany'),
(118254, '195.73.93.200', '195.73.93.247', 3276365256, 3276365303, 'NL', 'Netherlands'),
(118255, '195.73.93.248', '195.73.93.255', 3276365304, 3276365311, 'DE', 'Germany'),
(118256, '195.73.94.0', '195.73.94.15', 3276365312, 3276365327, 'NL', 'Netherlands'),
(118257, '195.73.94.16', '195.73.94.23', 3276365328, 3276365335, 'DE', 'Germany'),
(118258, '195.73.94.24', '195.73.94.63', 3276365336, 3276365375, 'NL', 'Netherlands'),
(118259, '195.73.94.64', '195.73.94.79', 3276365376, 3276365391, 'DE', 'Germany'),
(118260, '195.73.94.80', '195.73.94.103', 3276365392, 3276365415, 'NL', 'Netherlands'),
(118261, '195.73.94.104', '195.73.94.111', 3276365416, 3276365423, 'DE', 'Germany'),
(118262, '195.73.94.112', '195.73.94.183', 3276365424, 3276365495, 'NL', 'Netherlands'),
(118263, '195.73.94.184', '195.73.94.207', 3276365496, 3276365519, 'DE', 'Germany'),
(118264, '195.73.94.208', '195.73.94.231', 3276365520, 3276365543, 'NL', 'Netherlands'),
(118265, '195.73.94.232', '195.73.94.239', 3276365544, 3276365551, 'DE', 'Germany'),
(118266, '195.73.94.240', '195.73.95.55', 3276365552, 3276365623, 'NL', 'Netherlands'),
(118267, '195.73.95.56', '195.73.95.63', 3276365624, 3276365631, 'DE', 'Germany'),
(118268, '195.73.95.64', '195.73.95.79', 3276365632, 3276365647, 'NL', 'Netherlands'),
(118269, '195.73.95.80', '195.73.95.87', 3276365648, 3276365655, 'DE', 'Germany'),
(118270, '195.73.95.88', '195.73.95.175', 3276365656, 3276365743, 'NL', 'Netherlands'),
(118271, '195.73.95.176', '195.73.95.183', 3276365744, 3276365751, 'DE', 'Germany'),
(118272, '195.73.95.184', '195.73.96.175', 3276365752, 3276365999, 'NL', 'Netherlands'),
(118273, '195.73.96.176', '195.73.96.183', 3276366000, 3276366007, 'DE', 'Germany'),
(118274, '195.73.96.184', '195.73.96.215', 3276366008, 3276366039, 'NL', 'Netherlands'),
(118275, '195.73.96.216', '195.73.96.223', 3276366040, 3276366047, 'DE', 'Germany'),
(118276, '195.73.96.224', '195.73.96.231', 3276366048, 3276366055, 'NL', 'Netherlands'),
(118277, '195.73.96.232', '195.73.96.239', 3276366056, 3276366063, 'DE', 'Germany'),
(118278, '195.73.96.240', '195.73.97.39', 3276366064, 3276366119, 'NL', 'Netherlands'),
(118279, '195.73.97.40', '195.73.97.47', 3276366120, 3276366127, 'DE', 'Germany'),
(118280, '195.73.97.48', '195.73.97.63', 3276366128, 3276366143, 'NL', 'Netherlands'),
(118281, '195.73.97.64', '195.73.97.71', 3276366144, 3276366151, 'DE', 'Germany'),
(118282, '195.73.97.72', '195.73.97.175', 3276366152, 3276366255, 'NL', 'Netherlands'),
(118283, '195.73.97.176', '195.73.97.183', 3276366256, 3276366263, 'DE', 'Germany'),
(118284, '195.73.97.184', '195.73.97.239', 3276366264, 3276366319, 'NL', 'Netherlands'),
(118285, '195.73.97.240', '195.73.97.255', 3276366320, 3276366335, 'DE', 'Germany'),
(118286, '195.73.98.0', '195.73.98.119', 3276366336, 3276366455, 'NL', 'Netherlands'),
(118287, '195.73.98.120', '195.73.98.135', 3276366456, 3276366471, 'DE', 'Germany'),
(118288, '195.73.98.136', '195.73.98.255', 3276366472, 3276366591, 'NL', 'Netherlands'),
(118289, '195.73.99.0', '195.73.99.7', 3276366592, 3276366599, 'DE', 'Germany'),
(118290, '195.73.99.8', '195.73.99.47', 3276366600, 3276366639, 'NL', 'Netherlands'),
(118291, '195.73.99.48', '195.73.99.55', 3276366640, 3276366647, 'DE', 'Germany'),
(118292, '195.73.99.56', '195.73.99.87', 3276366648, 3276366679, 'NL', 'Netherlands'),
(118293, '195.73.99.88', '195.73.99.103', 3276366680, 3276366695, 'DE', 'Germany'),
(118294, '195.73.99.104', '195.73.99.135', 3276366696, 3276366727, 'NL', 'Netherlands'),
(118295, '195.73.99.136', '195.73.99.143', 3276366728, 3276366735, 'DE', 'Germany'),
(118296, '195.73.99.144', '195.73.99.159', 3276366736, 3276366751, 'NL', 'Netherlands'),
(118297, '195.73.99.160', '195.73.99.175', 3276366752, 3276366767, 'DE', 'Germany'),
(118298, '195.73.99.176', '195.73.99.183', 3276366768, 3276366775, 'NL', 'Netherlands'),
(118299, '195.73.99.184', '195.73.99.191', 3276366776, 3276366783, 'DE', 'Germany'),
(118300, '195.73.99.192', '195.73.100.7', 3276366784, 3276366855, 'NL', 'Netherlands'),
(118301, '195.73.100.8', '195.73.100.15', 3276366856, 3276366863, 'DE', 'Germany'),
(118302, '195.73.100.16', '195.73.100.39', 3276366864, 3276366887, 'NL', 'Netherlands'),
(118303, '195.73.100.40', '195.73.100.47', 3276366888, 3276366895, 'DE', 'Germany'),
(118304, '195.73.100.48', '195.73.100.71', 3276366896, 3276366919, 'NL', 'Netherlands'),
(118305, '195.73.100.72', '195.73.100.79', 3276366920, 3276366927, 'DE', 'Germany'),
(118306, '195.73.100.80', '195.73.100.215', 3276366928, 3276367063, 'NL', 'Netherlands'),
(118307, '195.73.100.216', '195.73.100.223', 3276367064, 3276367071, 'DE', 'Germany'),
(118308, '195.73.100.224', '195.73.100.231', 3276367072, 3276367079, 'NL', 'Netherlands'),
(118309, '195.73.100.232', '195.73.100.239', 3276367080, 3276367087, 'DE', 'Germany'),
(118310, '195.73.100.240', '195.73.101.15', 3276367088, 3276367119, 'NL', 'Netherlands'),
(118311, '195.73.101.16', '195.73.101.23', 3276367120, 3276367127, 'DE', 'Germany'),
(118312, '195.73.101.24', '195.73.101.55', 3276367128, 3276367159, 'NL', 'Netherlands'),
(118313, '195.73.101.56', '195.73.101.71', 3276367160, 3276367175, 'DE', 'Germany'),
(118314, '195.73.101.72', '195.73.101.167', 3276367176, 3276367271, 'NL', 'Netherlands'),
(118315, '195.73.101.168', '195.73.101.175', 3276367272, 3276367279, 'DE', 'Germany'),
(118316, '195.73.101.176', '195.73.102.95', 3276367280, 3276367455, 'NL', 'Netherlands'),
(118317, '195.73.102.96', '195.73.102.103', 3276367456, 3276367463, 'DE', 'Germany'),
(118318, '195.73.102.104', '195.73.102.247', 3276367464, 3276367607, 'NL', 'Netherlands'),
(118319, '195.73.102.248', '195.73.102.255', 3276367608, 3276367615, 'DE', 'Germany'),
(118320, '195.73.103.0', '195.73.103.7', 3276367616, 3276367623, 'NL', 'Netherlands'),
(118321, '195.73.103.8', '195.73.103.15', 3276367624, 3276367631, 'DE', 'Germany'),
(118322, '195.73.103.16', '195.73.103.63', 3276367632, 3276367679, 'NL', 'Netherlands'),
(118323, '195.73.103.64', '195.73.103.71', 3276367680, 3276367687, 'DE', 'Germany'),
(118324, '195.73.103.72', '195.73.103.95', 3276367688, 3276367711, 'NL', 'Netherlands'),
(118325, '195.73.103.96', '195.73.103.103', 3276367712, 3276367719, 'DE', 'Germany'),
(118326, '195.73.103.104', '195.73.103.127', 3276367720, 3276367743, 'NL', 'Netherlands'),
(118327, '195.73.103.128', '195.73.103.135', 3276367744, 3276367751, 'DE', 'Germany'),
(118328, '195.73.103.136', '195.73.103.167', 3276367752, 3276367783, 'NL', 'Netherlands'),
(118329, '195.73.103.168', '195.73.103.175', 3276367784, 3276367791, 'DE', 'Germany'),
(118330, '195.73.103.176', '195.73.103.239', 3276367792, 3276367855, 'NL', 'Netherlands'),
(118331, '195.73.103.240', '195.73.103.247', 3276367856, 3276367863, 'DE', 'Germany'),
(118332, '195.73.103.248', '195.73.104.207', 3276367864, 3276368079, 'NL', 'Netherlands'),
(118333, '195.73.104.208', '195.73.104.215', 3276368080, 3276368087, 'DE', 'Germany'),
(118334, '195.73.104.216', '195.73.104.231', 3276368088, 3276368103, 'NL', 'Netherlands'),
(118335, '195.73.104.232', '195.73.104.239', 3276368104, 3276368111, 'DE', 'Germany'),
(118336, '195.73.104.240', '195.73.105.63', 3276368112, 3276368191, 'NL', 'Netherlands'),
(118337, '195.73.105.64', '195.73.105.71', 3276368192, 3276368199, 'DE', 'Germany'),
(118338, '195.73.105.72', '195.73.105.143', 3276368200, 3276368271, 'NL', 'Netherlands'),
(118339, '195.73.105.144', '195.73.105.151', 3276368272, 3276368279, 'DE', 'Germany'),
(118340, '195.73.105.152', '195.73.105.215', 3276368280, 3276368343, 'NL', 'Netherlands'),
(118341, '195.73.105.216', '195.73.105.223', 3276368344, 3276368351, 'DE', 'Germany'),
(118342, '195.73.105.224', '195.73.106.47', 3276368352, 3276368431, 'NL', 'Netherlands'),
(118343, '195.73.106.48', '195.73.106.55', 3276368432, 3276368439, 'DE', 'Germany'),
(118344, '195.73.106.56', '195.73.106.143', 3276368440, 3276368527, 'NL', 'Netherlands'),
(118345, '195.73.106.144', '195.73.106.151', 3276368528, 3276368535, 'DE', 'Germany'),
(118346, '195.73.106.152', '195.73.106.231', 3276368536, 3276368615, 'NL', 'Netherlands'),
(118347, '195.73.106.232', '195.73.106.239', 3276368616, 3276368623, 'DE', 'Germany'),
(118348, '195.73.106.240', '195.73.106.247', 3276368624, 3276368631, 'NL', 'Netherlands'),
(118349, '195.73.106.248', '195.73.106.255', 3276368632, 3276368639, 'DE', 'Germany'),
(118350, '195.73.107.0', '195.73.107.15', 3276368640, 3276368655, 'NL', 'Netherlands'),
(118351, '195.73.107.16', '195.73.107.23', 3276368656, 3276368663, 'DE', 'Germany'),
(118352, '195.73.107.24', '195.73.107.63', 3276368664, 3276368703, 'NL', 'Netherlands'),
(118353, '195.73.107.64', '195.73.107.71', 3276368704, 3276368711, 'DE', 'Germany'),
(118354, '195.73.107.72', '195.73.107.87', 3276368712, 3276368727, 'NL', 'Netherlands'),
(118355, '195.73.107.88', '195.73.107.95', 3276368728, 3276368735, 'DE', 'Germany'),
(118356, '195.73.107.96', '195.73.107.111', 3276368736, 3276368751, 'NL', 'Netherlands'),
(118357, '195.73.107.112', '195.73.107.119', 3276368752, 3276368759, 'DE', 'Germany'),
(118358, '195.73.107.120', '195.73.107.175', 3276368760, 3276368815, 'NL', 'Netherlands'),
(118359, '195.73.107.176', '195.73.107.183', 3276368816, 3276368823, 'DE', 'Germany'),
(118360, '195.73.107.184', '195.73.107.231', 3276368824, 3276368871, 'NL', 'Netherlands'),
(118361, '195.73.107.232', '195.73.107.239', 3276368872, 3276368879, 'DE', 'Germany'),
(118362, '195.73.107.240', '195.73.108.135', 3276368880, 3276369031, 'NL', 'Netherlands'),
(118363, '195.73.108.136', '195.73.108.151', 3276369032, 3276369047, 'DE', 'Germany'),
(118364, '195.73.108.152', '195.73.108.183', 3276369048, 3276369079, 'NL', 'Netherlands'),
(118365, '195.73.108.184', '195.73.108.191', 3276369080, 3276369087, 'DE', 'Germany'),
(118366, '195.73.108.192', '195.73.109.15', 3276369088, 3276369167, 'NL', 'Netherlands'),
(118367, '195.73.109.16', '195.73.109.31', 3276369168, 3276369183, 'DE', 'Germany'),
(118368, '195.73.109.32', '195.73.109.111', 3276369184, 3276369263, 'NL', 'Netherlands'),
(118369, '195.73.109.112', '195.73.109.119', 3276369264, 3276369271, 'DE', 'Germany'),
(118370, '195.73.109.120', '195.73.110.23', 3276369272, 3276369431, 'NL', 'Netherlands'),
(118371, '195.73.110.24', '195.73.110.31', 3276369432, 3276369439, 'DE', 'Germany'),
(118372, '195.73.110.32', '195.73.110.119', 3276369440, 3276369527, 'NL', 'Netherlands'),
(118373, '195.73.110.120', '195.73.110.135', 3276369528, 3276369543, 'DE', 'Germany'),
(118374, '195.73.110.136', '195.73.110.143', 3276369544, 3276369551, 'NL', 'Netherlands'),
(118375, '195.73.110.144', '195.73.110.151', 3276369552, 3276369559, 'DE', 'Germany'),
(118376, '195.73.110.152', '195.73.110.191', 3276369560, 3276369599, 'NL', 'Netherlands'),
(118377, '195.73.110.192', '195.73.110.199', 3276369600, 3276369607, 'DE', 'Germany'),
(118378, '195.73.110.200', '195.73.110.215', 3276369608, 3276369623, 'NL', 'Netherlands'),
(118379, '195.73.110.216', '195.73.110.223', 3276369624, 3276369631, 'DE', 'Germany'),
(118380, '195.73.110.224', '195.73.110.231', 3276369632, 3276369639, 'NL', 'Netherlands'),
(118381, '195.73.110.232', '195.73.110.239', 3276369640, 3276369647, 'DE', 'Germany'),
(118382, '195.73.110.240', '195.73.111.39', 3276369648, 3276369703, 'NL', 'Netherlands'),
(118383, '195.73.111.40', '195.73.111.47', 3276369704, 3276369711, 'DE', 'Germany'),
(118384, '195.73.111.48', '195.73.111.71', 3276369712, 3276369735, 'NL', 'Netherlands'),
(118385, '195.73.111.72', '195.73.111.79', 3276369736, 3276369743, 'DE', 'Germany'),
(118386, '195.73.111.80', '195.73.111.87', 3276369744, 3276369751, 'NL', 'Netherlands'),
(118387, '195.73.111.88', '195.73.111.95', 3276369752, 3276369759, 'DE', 'Germany'),
(118388, '195.73.111.96', '195.73.111.191', 3276369760, 3276369855, 'NL', 'Netherlands'),
(118389, '195.73.111.192', '195.73.111.199', 3276369856, 3276369863, 'DE', 'Germany'),
(118390, '195.73.111.200', '195.73.111.207', 3276369864, 3276369871, 'NL', 'Netherlands'),
(118391, '195.73.111.208', '195.73.111.215', 3276369872, 3276369879, 'DE', 'Germany'),
(118392, '195.73.111.216', '195.73.111.255', 3276369880, 3276369919, 'NL', 'Netherlands'),
(118393, '195.73.112.0', '195.73.112.7', 3276369920, 3276369927, 'DE', 'Germany'),
(118394, '195.73.112.8', '195.73.112.79', 3276369928, 3276369999, 'NL', 'Netherlands'),
(118395, '195.73.112.80', '195.73.112.95', 3276370000, 3276370015, 'DE', 'Germany'),
(118396, '195.73.112.96', '195.73.112.143', 3276370016, 3276370063, 'NL', 'Netherlands'),
(118397, '195.73.112.144', '195.73.112.151', 3276370064, 3276370071, 'DE', 'Germany'),
(118398, '195.73.112.152', '195.73.112.199', 3276370072, 3276370119, 'NL', 'Netherlands'),
(118399, '195.73.112.200', '195.73.112.223', 3276370120, 3276370143, 'DE', 'Germany'),
(118400, '195.73.112.224', '195.73.113.7', 3276370144, 3276370183, 'NL', 'Netherlands'),
(118401, '195.73.113.8', '195.73.113.15', 3276370184, 3276370191, 'DE', 'Germany'),
(118402, '195.73.113.16', '195.73.113.159', 3276370192, 3276370335, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(118403, '195.73.113.160', '195.73.113.167', 3276370336, 3276370343, 'DE', 'Germany'),
(118404, '195.73.113.168', '195.73.113.199', 3276370344, 3276370375, 'NL', 'Netherlands'),
(118405, '195.73.113.200', '195.73.113.207', 3276370376, 3276370383, 'DE', 'Germany'),
(118406, '195.73.113.208', '195.73.114.119', 3276370384, 3276370551, 'NL', 'Netherlands'),
(118407, '195.73.114.120', '195.73.114.135', 3276370552, 3276370567, 'DE', 'Germany'),
(118408, '195.73.114.136', '195.73.114.167', 3276370568, 3276370599, 'NL', 'Netherlands'),
(118409, '195.73.114.168', '195.73.114.175', 3276370600, 3276370607, 'DE', 'Germany'),
(118410, '195.73.114.176', '195.73.115.143', 3276370608, 3276370831, 'NL', 'Netherlands'),
(118411, '195.73.115.144', '195.73.115.151', 3276370832, 3276370839, 'DE', 'Germany'),
(118412, '195.73.115.152', '195.73.115.231', 3276370840, 3276370919, 'NL', 'Netherlands'),
(118413, '195.73.115.232', '195.73.115.239', 3276370920, 3276370927, 'DE', 'Germany'),
(118414, '195.73.115.240', '195.73.116.15', 3276370928, 3276370959, 'NL', 'Netherlands'),
(118415, '195.73.116.16', '195.73.116.23', 3276370960, 3276370967, 'DE', 'Germany'),
(118416, '195.73.116.24', '195.73.116.55', 3276370968, 3276370999, 'NL', 'Netherlands'),
(118417, '195.73.116.56', '195.73.116.63', 3276371000, 3276371007, 'DE', 'Germany'),
(118418, '195.73.116.64', '195.73.116.95', 3276371008, 3276371039, 'NL', 'Netherlands'),
(118419, '195.73.116.96', '195.73.116.111', 3276371040, 3276371055, 'DE', 'Germany'),
(118420, '195.73.116.112', '195.73.116.223', 3276371056, 3276371167, 'NL', 'Netherlands'),
(118421, '195.73.116.224', '195.73.116.231', 3276371168, 3276371175, 'DE', 'Germany'),
(118422, '195.73.116.232', '195.73.117.39', 3276371176, 3276371239, 'NL', 'Netherlands'),
(118423, '195.73.117.40', '195.73.117.47', 3276371240, 3276371247, 'DE', 'Germany'),
(118424, '195.73.117.48', '195.73.117.55', 3276371248, 3276371255, 'NL', 'Netherlands'),
(118425, '195.73.117.56', '195.73.117.71', 3276371256, 3276371271, 'DE', 'Germany'),
(118426, '195.73.117.72', '195.73.117.127', 3276371272, 3276371327, 'NL', 'Netherlands'),
(118427, '195.73.117.128', '195.73.117.135', 3276371328, 3276371335, 'DE', 'Germany'),
(118428, '195.73.117.136', '195.73.117.143', 3276371336, 3276371343, 'NL', 'Netherlands'),
(118429, '195.73.117.144', '195.73.117.151', 3276371344, 3276371351, 'DE', 'Germany'),
(118430, '195.73.117.152', '195.73.117.167', 3276371352, 3276371367, 'NL', 'Netherlands'),
(118431, '195.73.117.168', '195.73.117.175', 3276371368, 3276371375, 'DE', 'Germany'),
(118432, '195.73.117.176', '195.73.117.207', 3276371376, 3276371407, 'NL', 'Netherlands'),
(118433, '195.73.117.208', '195.73.117.215', 3276371408, 3276371415, 'DE', 'Germany'),
(118434, '195.73.117.216', '195.73.117.231', 3276371416, 3276371431, 'NL', 'Netherlands'),
(118435, '195.73.117.232', '195.73.117.239', 3276371432, 3276371439, 'DE', 'Germany'),
(118436, '195.73.117.240', '195.73.117.255', 3276371440, 3276371455, 'NL', 'Netherlands'),
(118437, '195.73.118.0', '195.73.118.7', 3276371456, 3276371463, 'DE', 'Germany'),
(118438, '195.73.118.8', '195.73.118.55', 3276371464, 3276371511, 'NL', 'Netherlands'),
(118439, '195.73.118.56', '195.73.118.71', 3276371512, 3276371527, 'DE', 'Germany'),
(118440, '195.73.118.72', '195.73.119.15', 3276371528, 3276371727, 'NL', 'Netherlands'),
(118441, '195.73.119.16', '195.73.119.23', 3276371728, 3276371735, 'DE', 'Germany'),
(118442, '195.73.119.24', '195.73.119.103', 3276371736, 3276371815, 'NL', 'Netherlands'),
(118443, '195.73.119.104', '195.73.119.111', 3276371816, 3276371823, 'DE', 'Germany'),
(118444, '195.73.119.112', '195.73.119.119', 3276371824, 3276371831, 'NL', 'Netherlands'),
(118445, '195.73.119.120', '195.73.119.127', 3276371832, 3276371839, 'DE', 'Germany'),
(118446, '195.73.119.128', '195.73.119.151', 3276371840, 3276371863, 'NL', 'Netherlands'),
(118447, '195.73.119.152', '195.73.119.159', 3276371864, 3276371871, 'DE', 'Germany'),
(118448, '195.73.119.160', '195.73.119.167', 3276371872, 3276371879, 'NL', 'Netherlands'),
(118449, '195.73.119.168', '195.73.119.175', 3276371880, 3276371887, 'DE', 'Germany'),
(118450, '195.73.119.176', '195.73.119.191', 3276371888, 3276371903, 'NL', 'Netherlands'),
(118451, '195.73.119.192', '195.73.119.199', 3276371904, 3276371911, 'DE', 'Germany'),
(118452, '195.73.119.200', '195.73.119.239', 3276371912, 3276371951, 'NL', 'Netherlands'),
(118453, '195.73.119.240', '195.73.119.247', 3276371952, 3276371959, 'DE', 'Germany'),
(118454, '195.73.119.248', '195.73.120.55', 3276371960, 3276372023, 'NL', 'Netherlands'),
(118455, '195.73.120.56', '195.73.120.63', 3276372024, 3276372031, 'DE', 'Germany'),
(118456, '195.73.120.64', '195.73.120.127', 3276372032, 3276372095, 'NL', 'Netherlands'),
(118457, '195.73.120.128', '195.73.120.143', 3276372096, 3276372111, 'DE', 'Germany'),
(118458, '195.73.120.144', '195.73.120.167', 3276372112, 3276372135, 'NL', 'Netherlands'),
(118459, '195.73.120.168', '195.73.120.175', 3276372136, 3276372143, 'DE', 'Germany'),
(118460, '195.73.120.176', '195.73.121.79', 3276372144, 3276372303, 'NL', 'Netherlands'),
(118461, '195.73.121.80', '195.73.121.87', 3276372304, 3276372311, 'DE', 'Germany'),
(118462, '195.73.121.88', '195.73.121.119', 3276372312, 3276372343, 'NL', 'Netherlands'),
(118463, '195.73.121.120', '195.73.121.127', 3276372344, 3276372351, 'DE', 'Germany'),
(118464, '195.73.121.128', '195.73.122.199', 3276372352, 3276372679, 'NL', 'Netherlands'),
(118465, '195.73.122.200', '195.73.122.207', 3276372680, 3276372687, 'DE', 'Germany'),
(118466, '195.73.122.208', '195.73.123.71', 3276372688, 3276372807, 'NL', 'Netherlands'),
(118467, '195.73.123.72', '195.73.123.79', 3276372808, 3276372815, 'DE', 'Germany'),
(118468, '195.73.123.80', '195.73.123.175', 3276372816, 3276372911, 'NL', 'Netherlands'),
(118469, '195.73.123.176', '195.73.123.183', 3276372912, 3276372919, 'DE', 'Germany'),
(118470, '195.73.123.184', '195.73.123.207', 3276372920, 3276372943, 'NL', 'Netherlands'),
(118471, '195.73.123.208', '195.73.123.215', 3276372944, 3276372951, 'DE', 'Germany'),
(118472, '195.73.123.216', '195.73.124.23', 3276372952, 3276373015, 'NL', 'Netherlands'),
(118473, '195.73.124.24', '195.73.124.31', 3276373016, 3276373023, 'DE', 'Germany'),
(118474, '195.73.124.32', '195.73.124.47', 3276373024, 3276373039, 'NL', 'Netherlands'),
(118475, '195.73.124.48', '195.73.124.55', 3276373040, 3276373047, 'DE', 'Germany'),
(118476, '195.73.124.56', '195.73.124.71', 3276373048, 3276373063, 'NL', 'Netherlands'),
(118477, '195.73.124.72', '195.73.124.79', 3276373064, 3276373071, 'DE', 'Germany'),
(118478, '195.73.124.80', '195.73.124.127', 3276373072, 3276373119, 'NL', 'Netherlands'),
(118479, '195.73.124.128', '195.73.124.135', 3276373120, 3276373127, 'DE', 'Germany'),
(118480, '195.73.124.136', '195.73.124.175', 3276373128, 3276373167, 'NL', 'Netherlands'),
(118481, '195.73.124.176', '195.73.124.183', 3276373168, 3276373175, 'DE', 'Germany'),
(118482, '195.73.124.184', '195.73.124.215', 3276373176, 3276373207, 'NL', 'Netherlands'),
(118483, '195.73.124.216', '195.73.124.223', 3276373208, 3276373215, 'DE', 'Germany'),
(118484, '195.73.124.224', '195.73.124.231', 3276373216, 3276373223, 'NL', 'Netherlands'),
(118485, '195.73.124.232', '195.73.124.239', 3276373224, 3276373231, 'DE', 'Germany'),
(118486, '195.73.124.240', '195.73.125.95', 3276373232, 3276373343, 'NL', 'Netherlands'),
(118487, '195.73.125.96', '195.73.125.103', 3276373344, 3276373351, 'DE', 'Germany'),
(118488, '195.73.125.104', '195.73.125.183', 3276373352, 3276373431, 'NL', 'Netherlands'),
(118489, '195.73.125.184', '195.73.125.191', 3276373432, 3276373439, 'DE', 'Germany'),
(118490, '195.73.125.192', '195.73.125.199', 3276373440, 3276373447, 'NL', 'Netherlands'),
(118491, '195.73.125.200', '195.73.125.207', 3276373448, 3276373455, 'DE', 'Germany'),
(118492, '195.73.125.208', '195.73.126.15', 3276373456, 3276373519, 'NL', 'Netherlands'),
(118493, '195.73.126.16', '195.73.126.23', 3276373520, 3276373527, 'DE', 'Germany'),
(118494, '195.73.126.24', '195.73.126.47', 3276373528, 3276373551, 'NL', 'Netherlands'),
(118495, '195.73.126.48', '195.73.126.55', 3276373552, 3276373559, 'DE', 'Germany'),
(118496, '195.73.126.56', '195.73.126.223', 3276373560, 3276373727, 'NL', 'Netherlands'),
(118497, '195.73.126.224', '195.73.126.231', 3276373728, 3276373735, 'DE', 'Germany'),
(118498, '195.73.126.232', '195.73.126.247', 3276373736, 3276373751, 'NL', 'Netherlands'),
(118499, '195.73.126.248', '195.73.126.255', 3276373752, 3276373759, 'DE', 'Germany'),
(118500, '195.73.127.0', '195.73.127.103', 3276373760, 3276373863, 'NL', 'Netherlands'),
(118501, '195.73.127.104', '195.73.127.111', 3276373864, 3276373871, 'DE', 'Germany'),
(118502, '195.73.127.112', '195.73.127.151', 3276373872, 3276373911, 'NL', 'Netherlands'),
(118503, '195.73.127.152', '195.73.127.159', 3276373912, 3276373919, 'DE', 'Germany'),
(118504, '195.73.127.160', '195.73.127.167', 3276373920, 3276373927, 'NL', 'Netherlands'),
(118505, '195.73.127.168', '195.73.127.183', 3276373928, 3276373943, 'DE', 'Germany'),
(118506, '195.73.127.184', '195.73.128.47', 3276373944, 3276374063, 'NL', 'Netherlands'),
(118507, '195.73.128.48', '195.73.128.55', 3276374064, 3276374071, 'DE', 'Germany'),
(118508, '195.73.128.56', '195.73.128.127', 3276374072, 3276374143, 'NL', 'Netherlands'),
(118509, '195.73.128.128', '195.73.128.135', 3276374144, 3276374151, 'DE', 'Germany'),
(118510, '195.73.128.136', '195.73.128.143', 3276374152, 3276374159, 'NL', 'Netherlands'),
(118511, '195.73.128.144', '195.73.128.151', 3276374160, 3276374167, 'DE', 'Germany'),
(118512, '195.73.128.152', '195.73.129.55', 3276374168, 3276374327, 'NL', 'Netherlands'),
(118513, '195.73.129.56', '195.73.129.63', 3276374328, 3276374335, 'DE', 'Germany'),
(118514, '195.73.129.64', '195.73.129.127', 3276374336, 3276374399, 'NL', 'Netherlands'),
(118515, '195.73.129.128', '195.73.129.135', 3276374400, 3276374407, 'DE', 'Germany'),
(118516, '195.73.129.136', '195.73.129.167', 3276374408, 3276374439, 'NL', 'Netherlands'),
(118517, '195.73.129.168', '195.73.129.175', 3276374440, 3276374447, 'DE', 'Germany'),
(118518, '195.73.129.176', '195.73.129.207', 3276374448, 3276374479, 'NL', 'Netherlands'),
(118519, '195.73.129.208', '195.73.129.215', 3276374480, 3276374487, 'DE', 'Germany'),
(118520, '195.73.129.216', '195.73.129.255', 3276374488, 3276374527, 'NL', 'Netherlands'),
(118521, '195.73.130.0', '195.73.130.7', 3276374528, 3276374535, 'DE', 'Germany'),
(118522, '195.73.130.8', '195.73.130.47', 3276374536, 3276374575, 'NL', 'Netherlands'),
(118523, '195.73.130.48', '195.73.130.55', 3276374576, 3276374583, 'DE', 'Germany'),
(118524, '195.73.130.56', '195.73.130.151', 3276374584, 3276374679, 'NL', 'Netherlands'),
(118525, '195.73.130.152', '195.73.130.159', 3276374680, 3276374687, 'DE', 'Germany'),
(118526, '195.73.130.160', '195.73.130.175', 3276374688, 3276374703, 'NL', 'Netherlands'),
(118527, '195.73.130.176', '195.73.130.183', 3276374704, 3276374711, 'DE', 'Germany'),
(118528, '195.73.130.184', '195.73.130.199', 3276374712, 3276374727, 'NL', 'Netherlands'),
(118529, '195.73.130.200', '195.73.130.207', 3276374728, 3276374735, 'DE', 'Germany'),
(118530, '195.73.130.208', '195.73.130.223', 3276374736, 3276374751, 'NL', 'Netherlands'),
(118531, '195.73.130.224', '195.73.130.239', 3276374752, 3276374767, 'DE', 'Germany'),
(118532, '195.73.130.240', '195.73.130.247', 3276374768, 3276374775, 'NL', 'Netherlands'),
(118533, '195.73.130.248', '195.73.130.255', 3276374776, 3276374783, 'DE', 'Germany'),
(118534, '195.73.131.0', '195.73.131.23', 3276374784, 3276374807, 'NL', 'Netherlands'),
(118535, '195.73.131.24', '195.73.131.31', 3276374808, 3276374815, 'DE', 'Germany'),
(118536, '195.73.131.32', '195.73.131.39', 3276374816, 3276374823, 'NL', 'Netherlands'),
(118537, '195.73.131.40', '195.73.131.47', 3276374824, 3276374831, 'DE', 'Germany'),
(118538, '195.73.131.48', '195.73.131.215', 3276374832, 3276374999, 'NL', 'Netherlands'),
(118539, '195.73.131.216', '195.73.131.223', 3276375000, 3276375007, 'DE', 'Germany'),
(118540, '195.73.131.224', '195.73.132.63', 3276375008, 3276375103, 'NL', 'Netherlands'),
(118541, '195.73.132.64', '195.73.132.79', 3276375104, 3276375119, 'DE', 'Germany'),
(118542, '195.73.132.80', '195.73.132.143', 3276375120, 3276375183, 'NL', 'Netherlands'),
(118543, '195.73.132.144', '195.73.132.151', 3276375184, 3276375191, 'DE', 'Germany'),
(118544, '195.73.132.152', '195.73.132.183', 3276375192, 3276375223, 'NL', 'Netherlands'),
(118545, '195.73.132.184', '195.73.132.191', 3276375224, 3276375231, 'DE', 'Germany'),
(118546, '195.73.132.192', '195.73.133.39', 3276375232, 3276375335, 'NL', 'Netherlands'),
(118547, '195.73.133.40', '195.73.133.63', 3276375336, 3276375359, 'DE', 'Germany'),
(118548, '195.73.133.64', '195.73.133.127', 3276375360, 3276375423, 'NL', 'Netherlands'),
(118549, '195.73.133.128', '195.73.133.143', 3276375424, 3276375439, 'DE', 'Germany'),
(118550, '195.73.133.144', '195.73.134.55', 3276375440, 3276375607, 'NL', 'Netherlands'),
(118551, '195.73.134.56', '195.73.134.63', 3276375608, 3276375615, 'DE', 'Germany'),
(118552, '195.73.134.64', '195.73.134.127', 3276375616, 3276375679, 'NL', 'Netherlands'),
(118553, '195.73.134.128', '195.73.134.135', 3276375680, 3276375687, 'DE', 'Germany'),
(118554, '195.73.134.136', '195.73.134.175', 3276375688, 3276375727, 'NL', 'Netherlands'),
(118555, '195.73.134.176', '195.73.134.183', 3276375728, 3276375735, 'DE', 'Germany'),
(118556, '195.73.134.184', '195.73.134.231', 3276375736, 3276375783, 'NL', 'Netherlands'),
(118557, '195.73.134.232', '195.73.134.239', 3276375784, 3276375791, 'DE', 'Germany'),
(118558, '195.73.134.240', '195.73.135.103', 3276375792, 3276375911, 'NL', 'Netherlands'),
(118559, '195.73.135.104', '195.73.135.111', 3276375912, 3276375919, 'DE', 'Germany'),
(118560, '195.73.135.112', '195.73.135.207', 3276375920, 3276376015, 'NL', 'Netherlands'),
(118561, '195.73.135.208', '195.73.135.215', 3276376016, 3276376023, 'DE', 'Germany'),
(118562, '195.73.135.216', '195.73.135.247', 3276376024, 3276376055, 'NL', 'Netherlands'),
(118563, '195.73.135.248', '195.73.135.255', 3276376056, 3276376063, 'DE', 'Germany'),
(118564, '195.73.136.0', '195.73.136.31', 3276376064, 3276376095, 'NL', 'Netherlands'),
(118565, '195.73.136.32', '195.73.136.39', 3276376096, 3276376103, 'DE', 'Germany'),
(118566, '195.73.136.40', '195.73.136.79', 3276376104, 3276376143, 'NL', 'Netherlands'),
(118567, '195.73.136.80', '195.73.136.87', 3276376144, 3276376151, 'DE', 'Germany'),
(118568, '195.73.136.88', '195.73.136.127', 3276376152, 3276376191, 'NL', 'Netherlands'),
(118569, '195.73.136.128', '195.73.136.135', 3276376192, 3276376199, 'DE', 'Germany'),
(118570, '195.73.136.136', '195.73.136.247', 3276376200, 3276376311, 'NL', 'Netherlands'),
(118571, '195.73.136.248', '195.73.136.255', 3276376312, 3276376319, 'DE', 'Germany'),
(118572, '195.73.137.0', '195.73.137.39', 3276376320, 3276376359, 'NL', 'Netherlands'),
(118573, '195.73.137.40', '195.73.137.47', 3276376360, 3276376367, 'DE', 'Germany'),
(118574, '195.73.137.48', '195.73.137.55', 3276376368, 3276376375, 'NL', 'Netherlands'),
(118575, '195.73.137.56', '195.73.137.63', 3276376376, 3276376383, 'DE', 'Germany'),
(118576, '195.73.137.64', '195.73.137.151', 3276376384, 3276376471, 'NL', 'Netherlands'),
(118577, '195.73.137.152', '195.73.137.159', 3276376472, 3276376479, 'DE', 'Germany'),
(118578, '195.73.137.160', '195.73.137.183', 3276376480, 3276376503, 'NL', 'Netherlands'),
(118579, '195.73.137.184', '195.73.137.191', 3276376504, 3276376511, 'DE', 'Germany'),
(118580, '195.73.137.192', '195.73.138.23', 3276376512, 3276376599, 'NL', 'Netherlands'),
(118581, '195.73.138.24', '195.73.138.31', 3276376600, 3276376607, 'DE', 'Germany'),
(118582, '195.73.138.32', '195.73.138.103', 3276376608, 3276376679, 'NL', 'Netherlands'),
(118583, '195.73.138.104', '195.73.138.111', 3276376680, 3276376687, 'DE', 'Germany'),
(118584, '195.73.138.112', '195.73.138.191', 3276376688, 3276376767, 'NL', 'Netherlands'),
(118585, '195.73.138.192', '195.73.138.199', 3276376768, 3276376775, 'DE', 'Germany'),
(118586, '195.73.138.200', '195.73.139.39', 3276376776, 3276376871, 'NL', 'Netherlands'),
(118587, '195.73.139.40', '195.73.139.47', 3276376872, 3276376879, 'DE', 'Germany'),
(118588, '195.73.139.48', '195.73.139.95', 3276376880, 3276376927, 'NL', 'Netherlands'),
(118589, '195.73.139.96', '195.73.139.103', 3276376928, 3276376935, 'DE', 'Germany'),
(118590, '195.73.139.104', '195.73.139.199', 3276376936, 3276377031, 'NL', 'Netherlands'),
(118591, '195.73.139.200', '195.73.139.207', 3276377032, 3276377039, 'DE', 'Germany'),
(118592, '195.73.139.208', '195.73.139.255', 3276377040, 3276377087, 'NL', 'Netherlands'),
(118593, '195.73.140.0', '195.73.140.7', 3276377088, 3276377095, 'DE', 'Germany'),
(118594, '195.73.140.8', '195.73.140.247', 3276377096, 3276377335, 'NL', 'Netherlands'),
(118595, '195.73.140.248', '195.73.141.7', 3276377336, 3276377351, 'DE', 'Germany'),
(118596, '195.73.141.8', '195.73.141.15', 3276377352, 3276377359, 'NL', 'Netherlands'),
(118597, '195.73.141.16', '195.73.141.23', 3276377360, 3276377367, 'DE', 'Germany'),
(118598, '195.73.141.24', '195.73.141.63', 3276377368, 3276377407, 'NL', 'Netherlands'),
(118599, '195.73.141.64', '195.73.141.71', 3276377408, 3276377415, 'DE', 'Germany'),
(118600, '195.73.141.72', '195.73.141.103', 3276377416, 3276377447, 'NL', 'Netherlands'),
(118601, '195.73.141.104', '195.73.141.111', 3276377448, 3276377455, 'DE', 'Germany'),
(118602, '195.73.141.112', '195.73.142.31', 3276377456, 3276377631, 'NL', 'Netherlands'),
(118603, '195.73.142.32', '195.73.142.39', 3276377632, 3276377639, 'DE', 'Germany'),
(118604, '195.73.142.40', '195.73.142.87', 3276377640, 3276377687, 'NL', 'Netherlands'),
(118605, '195.73.142.88', '195.73.142.95', 3276377688, 3276377695, 'DE', 'Germany'),
(118606, '195.73.142.96', '195.73.142.207', 3276377696, 3276377807, 'NL', 'Netherlands'),
(118607, '195.73.142.208', '195.73.142.215', 3276377808, 3276377815, 'DE', 'Germany'),
(118608, '195.73.142.216', '195.73.142.231', 3276377816, 3276377831, 'NL', 'Netherlands'),
(118609, '195.73.142.232', '195.73.142.247', 3276377832, 3276377847, 'DE', 'Germany'),
(118610, '195.73.142.248', '195.73.143.31', 3276377848, 3276377887, 'NL', 'Netherlands'),
(118611, '195.73.143.32', '195.73.143.39', 3276377888, 3276377895, 'DE', 'Germany'),
(118612, '195.73.143.40', '195.73.143.127', 3276377896, 3276377983, 'NL', 'Netherlands'),
(118613, '195.73.143.128', '195.73.143.135', 3276377984, 3276377991, 'DE', 'Germany'),
(118614, '195.73.143.136', '195.73.143.207', 3276377992, 3276378063, 'NL', 'Netherlands'),
(118615, '195.73.143.208', '195.73.143.215', 3276378064, 3276378071, 'DE', 'Germany'),
(118616, '195.73.143.216', '195.73.143.247', 3276378072, 3276378103, 'NL', 'Netherlands'),
(118617, '195.73.143.248', '195.73.143.255', 3276378104, 3276378111, 'DE', 'Germany'),
(118618, '195.73.144.0', '195.73.144.31', 3276378112, 3276378143, 'NL', 'Netherlands'),
(118619, '195.73.144.32', '195.73.144.39', 3276378144, 3276378151, 'DE', 'Germany'),
(118620, '195.73.144.40', '195.73.144.119', 3276378152, 3276378231, 'NL', 'Netherlands'),
(118621, '195.73.144.120', '195.73.144.127', 3276378232, 3276378239, 'DE', 'Germany'),
(118622, '195.73.144.128', '195.73.144.199', 3276378240, 3276378311, 'NL', 'Netherlands'),
(118623, '195.73.144.200', '195.73.144.207', 3276378312, 3276378319, 'DE', 'Germany'),
(118624, '195.73.144.208', '195.73.144.239', 3276378320, 3276378351, 'NL', 'Netherlands'),
(118625, '195.73.144.240', '195.73.144.247', 3276378352, 3276378359, 'DE', 'Germany'),
(118626, '195.73.144.248', '195.73.145.199', 3276378360, 3276378567, 'NL', 'Netherlands'),
(118627, '195.73.145.200', '195.73.145.223', 3276378568, 3276378591, 'DE', 'Germany'),
(118628, '195.73.145.224', '195.73.145.239', 3276378592, 3276378607, 'NL', 'Netherlands'),
(118629, '195.73.145.240', '195.73.145.247', 3276378608, 3276378615, 'DE', 'Germany'),
(118630, '195.73.145.248', '195.73.146.7', 3276378616, 3276378631, 'NL', 'Netherlands'),
(118631, '195.73.146.8', '195.73.146.15', 3276378632, 3276378639, 'DE', 'Germany'),
(118632, '195.73.146.16', '195.73.146.111', 3276378640, 3276378735, 'NL', 'Netherlands'),
(118633, '195.73.146.112', '195.73.146.119', 3276378736, 3276378743, 'DE', 'Germany'),
(118634, '195.73.146.120', '195.73.146.215', 3276378744, 3276378839, 'NL', 'Netherlands'),
(118635, '195.73.146.216', '195.73.146.223', 3276378840, 3276378847, 'DE', 'Germany'),
(118636, '195.73.146.224', '195.73.146.247', 3276378848, 3276378871, 'NL', 'Netherlands'),
(118637, '195.73.146.248', '195.73.146.255', 3276378872, 3276378879, 'DE', 'Germany'),
(118638, '195.73.147.0', '195.73.147.31', 3276378880, 3276378911, 'NL', 'Netherlands'),
(118639, '195.73.147.32', '195.73.147.39', 3276378912, 3276378919, 'DE', 'Germany'),
(118640, '195.73.147.40', '195.73.147.55', 3276378920, 3276378935, 'NL', 'Netherlands'),
(118641, '195.73.147.56', '195.73.147.63', 3276378936, 3276378943, 'DE', 'Germany'),
(118642, '195.73.147.64', '195.73.147.71', 3276378944, 3276378951, 'NL', 'Netherlands'),
(118643, '195.73.147.72', '195.73.147.79', 3276378952, 3276378959, 'DE', 'Germany'),
(118644, '195.73.147.80', '195.73.147.103', 3276378960, 3276378983, 'NL', 'Netherlands'),
(118645, '195.73.147.104', '195.73.147.111', 3276378984, 3276378991, 'DE', 'Germany'),
(118646, '195.73.147.112', '195.73.147.167', 3276378992, 3276379047, 'NL', 'Netherlands'),
(118647, '195.73.147.168', '195.73.147.175', 3276379048, 3276379055, 'DE', 'Germany'),
(118648, '195.73.147.176', '195.73.147.191', 3276379056, 3276379071, 'NL', 'Netherlands'),
(118649, '195.73.147.192', '195.73.147.199', 3276379072, 3276379079, 'DE', 'Germany'),
(118650, '195.73.147.200', '195.73.148.31', 3276379080, 3276379167, 'NL', 'Netherlands'),
(118651, '195.73.148.32', '195.73.148.39', 3276379168, 3276379175, 'DE', 'Germany'),
(118652, '195.73.148.40', '195.73.148.79', 3276379176, 3276379215, 'NL', 'Netherlands'),
(118653, '195.73.148.80', '195.73.148.87', 3276379216, 3276379223, 'DE', 'Germany'),
(118654, '195.73.148.88', '195.73.148.143', 3276379224, 3276379279, 'NL', 'Netherlands'),
(118655, '195.73.148.144', '195.73.148.151', 3276379280, 3276379287, 'DE', 'Germany'),
(118656, '195.73.148.152', '195.73.148.159', 3276379288, 3276379295, 'NL', 'Netherlands'),
(118657, '195.73.148.160', '195.73.148.167', 3276379296, 3276379303, 'DE', 'Germany'),
(118658, '195.73.148.168', '195.73.149.71', 3276379304, 3276379463, 'NL', 'Netherlands'),
(118659, '195.73.149.72', '195.73.149.79', 3276379464, 3276379471, 'DE', 'Germany'),
(118660, '195.73.149.80', '195.73.149.111', 3276379472, 3276379503, 'NL', 'Netherlands'),
(118661, '195.73.149.112', '195.73.149.119', 3276379504, 3276379511, 'DE', 'Germany'),
(118662, '195.73.149.120', '195.73.149.191', 3276379512, 3276379583, 'NL', 'Netherlands'),
(118663, '195.73.149.192', '195.73.149.199', 3276379584, 3276379591, 'DE', 'Germany'),
(118664, '195.73.149.200', '195.73.149.215', 3276379592, 3276379607, 'NL', 'Netherlands'),
(118665, '195.73.149.216', '195.73.149.223', 3276379608, 3276379615, 'DE', 'Germany'),
(118666, '195.73.149.224', '195.73.150.55', 3276379616, 3276379703, 'NL', 'Netherlands'),
(118667, '195.73.150.56', '195.73.150.63', 3276379704, 3276379711, 'DE', 'Germany'),
(118668, '195.73.150.64', '195.73.150.79', 3276379712, 3276379727, 'NL', 'Netherlands'),
(118669, '195.73.150.80', '195.73.150.87', 3276379728, 3276379735, 'DE', 'Germany'),
(118670, '195.73.150.88', '195.73.150.119', 3276379736, 3276379767, 'NL', 'Netherlands'),
(118671, '195.73.150.120', '195.73.150.127', 3276379768, 3276379775, 'DE', 'Germany'),
(118672, '195.73.150.128', '195.73.150.167', 3276379776, 3276379815, 'NL', 'Netherlands'),
(118673, '195.73.150.168', '195.73.150.175', 3276379816, 3276379823, 'DE', 'Germany'),
(118674, '195.73.150.176', '195.73.151.39', 3276379824, 3276379943, 'NL', 'Netherlands'),
(118675, '195.73.151.40', '195.73.151.47', 3276379944, 3276379951, 'DE', 'Germany'),
(118676, '195.73.151.48', '195.73.151.55', 3276379952, 3276379959, 'NL', 'Netherlands'),
(118677, '195.73.151.56', '195.73.151.63', 3276379960, 3276379967, 'DE', 'Germany'),
(118678, '195.73.151.64', '195.73.151.119', 3276379968, 3276380023, 'NL', 'Netherlands'),
(118679, '195.73.151.120', '195.73.151.127', 3276380024, 3276380031, 'DE', 'Germany'),
(118680, '195.73.151.128', '195.73.152.39', 3276380032, 3276380199, 'NL', 'Netherlands'),
(118681, '195.73.152.40', '195.73.152.55', 3276380200, 3276380215, 'DE', 'Germany'),
(118682, '195.73.152.56', '195.73.152.135', 3276380216, 3276380295, 'NL', 'Netherlands'),
(118683, '195.73.152.136', '195.73.152.143', 3276380296, 3276380303, 'DE', 'Germany'),
(118684, '195.73.152.144', '195.73.152.191', 3276380304, 3276380351, 'NL', 'Netherlands'),
(118685, '195.73.152.192', '195.73.152.199', 3276380352, 3276380359, 'DE', 'Germany'),
(118686, '195.73.152.200', '195.73.153.55', 3276380360, 3276380471, 'NL', 'Netherlands'),
(118687, '195.73.153.56', '195.73.153.63', 3276380472, 3276380479, 'DE', 'Germany'),
(118688, '195.73.153.64', '195.73.154.15', 3276380480, 3276380687, 'NL', 'Netherlands'),
(118689, '195.73.154.16', '195.73.154.23', 3276380688, 3276380695, 'DE', 'Germany'),
(118690, '195.73.154.24', '195.73.154.207', 3276380696, 3276380879, 'NL', 'Netherlands'),
(118691, '195.73.154.208', '195.73.154.215', 3276380880, 3276380887, 'DE', 'Germany'),
(118692, '195.73.154.216', '195.73.154.247', 3276380888, 3276380919, 'NL', 'Netherlands'),
(118693, '195.73.154.248', '195.73.154.255', 3276380920, 3276380927, 'DE', 'Germany'),
(118694, '195.73.155.0', '195.73.155.175', 3276380928, 3276381103, 'NL', 'Netherlands'),
(118695, '195.73.155.176', '195.73.155.183', 3276381104, 3276381111, 'DE', 'Germany'),
(118696, '195.73.155.184', '195.73.155.199', 3276381112, 3276381127, 'NL', 'Netherlands'),
(118697, '195.73.155.200', '195.73.155.207', 3276381128, 3276381135, 'DE', 'Germany'),
(118698, '195.73.155.208', '195.73.155.239', 3276381136, 3276381167, 'NL', 'Netherlands'),
(118699, '195.73.155.240', '195.73.155.247', 3276381168, 3276381175, 'DE', 'Germany'),
(118700, '195.73.155.248', '195.73.156.63', 3276381176, 3276381247, 'NL', 'Netherlands'),
(118701, '195.73.156.64', '195.73.156.79', 3276381248, 3276381263, 'DE', 'Germany'),
(118702, '195.73.156.80', '195.73.156.95', 3276381264, 3276381279, 'NL', 'Netherlands'),
(118703, '195.73.156.96', '195.73.156.103', 3276381280, 3276381287, 'DE', 'Germany'),
(118704, '195.73.156.104', '195.73.156.111', 3276381288, 3276381295, 'NL', 'Netherlands'),
(118705, '195.73.156.112', '195.73.156.119', 3276381296, 3276381303, 'DE', 'Germany'),
(118706, '195.73.156.120', '195.73.156.127', 3276381304, 3276381311, 'NL', 'Netherlands'),
(118707, '195.73.156.128', '195.73.156.135', 3276381312, 3276381319, 'DE', 'Germany'),
(118708, '195.73.156.136', '195.73.156.143', 3276381320, 3276381327, 'NL', 'Netherlands'),
(118709, '195.73.156.144', '195.73.156.151', 3276381328, 3276381335, 'DE', 'Germany'),
(118710, '195.73.156.152', '195.73.156.175', 3276381336, 3276381359, 'NL', 'Netherlands'),
(118711, '195.73.156.176', '195.73.156.183', 3276381360, 3276381367, 'DE', 'Germany'),
(118712, '195.73.156.184', '195.73.156.231', 3276381368, 3276381415, 'NL', 'Netherlands'),
(118713, '195.73.156.232', '195.73.156.247', 3276381416, 3276381431, 'DE', 'Germany'),
(118714, '195.73.156.248', '195.73.157.143', 3276381432, 3276381583, 'NL', 'Netherlands'),
(118715, '195.73.157.144', '195.73.157.159', 3276381584, 3276381599, 'DE', 'Germany'),
(118716, '195.73.157.160', '195.73.157.167', 3276381600, 3276381607, 'NL', 'Netherlands'),
(118717, '195.73.157.168', '195.73.157.175', 3276381608, 3276381615, 'DE', 'Germany'),
(118718, '195.73.157.176', '195.73.157.231', 3276381616, 3276381671, 'NL', 'Netherlands'),
(118719, '195.73.157.232', '195.73.157.239', 3276381672, 3276381679, 'DE', 'Germany'),
(118720, '195.73.157.240', '195.73.158.79', 3276381680, 3276381775, 'NL', 'Netherlands'),
(118721, '195.73.158.80', '195.73.158.87', 3276381776, 3276381783, 'DE', 'Germany'),
(118722, '195.73.158.88', '195.73.159.15', 3276381784, 3276381967, 'NL', 'Netherlands'),
(118723, '195.73.159.16', '195.73.159.23', 3276381968, 3276381975, 'DE', 'Germany'),
(118724, '195.73.159.24', '195.73.159.103', 3276381976, 3276382055, 'NL', 'Netherlands'),
(118725, '195.73.159.104', '195.73.159.111', 3276382056, 3276382063, 'DE', 'Germany'),
(118726, '195.73.159.112', '195.73.159.151', 3276382064, 3276382103, 'NL', 'Netherlands'),
(118727, '195.73.159.152', '195.73.159.159', 3276382104, 3276382111, 'DE', 'Germany'),
(118728, '195.73.159.160', '195.73.159.167', 3276382112, 3276382119, 'NL', 'Netherlands'),
(118729, '195.73.159.168', '195.73.159.183', 3276382120, 3276382135, 'DE', 'Germany'),
(118730, '195.73.159.184', '195.73.159.223', 3276382136, 3276382175, 'NL', 'Netherlands'),
(118731, '195.73.159.224', '195.73.159.231', 3276382176, 3276382183, 'DE', 'Germany'),
(118732, '195.73.159.232', '195.73.160.79', 3276382184, 3276382287, 'NL', 'Netherlands'),
(118733, '195.73.160.80', '195.73.160.87', 3276382288, 3276382295, 'DE', 'Germany'),
(118734, '195.73.160.88', '195.73.160.175', 3276382296, 3276382383, 'NL', 'Netherlands'),
(118735, '195.73.160.176', '195.73.160.191', 3276382384, 3276382399, 'DE', 'Germany'),
(118736, '195.73.160.192', '195.73.161.31', 3276382400, 3276382495, 'NL', 'Netherlands'),
(118737, '195.73.161.32', '195.73.161.47', 3276382496, 3276382511, 'DE', 'Germany'),
(118738, '195.73.161.48', '195.73.161.111', 3276382512, 3276382575, 'NL', 'Netherlands'),
(118739, '195.73.161.112', '195.73.161.119', 3276382576, 3276382583, 'DE', 'Germany'),
(118740, '195.73.161.120', '195.73.161.199', 3276382584, 3276382663, 'NL', 'Netherlands'),
(118741, '195.73.161.200', '195.73.161.207', 3276382664, 3276382671, 'DE', 'Germany'),
(118742, '195.73.161.208', '195.73.161.247', 3276382672, 3276382711, 'NL', 'Netherlands'),
(118743, '195.73.161.248', '195.73.161.255', 3276382712, 3276382719, 'DE', 'Germany'),
(118744, '195.73.162.0', '195.73.162.143', 3276382720, 3276382863, 'NL', 'Netherlands'),
(118745, '195.73.162.144', '195.73.162.151', 3276382864, 3276382871, 'DE', 'Germany'),
(118746, '195.73.162.152', '195.73.162.167', 3276382872, 3276382887, 'NL', 'Netherlands'),
(118747, '195.73.162.168', '195.73.162.175', 3276382888, 3276382895, 'DE', 'Germany'),
(118748, '195.73.162.176', '195.73.163.63', 3276382896, 3276383039, 'NL', 'Netherlands'),
(118749, '195.73.163.64', '195.73.163.71', 3276383040, 3276383047, 'DE', 'Germany'),
(118750, '195.73.163.72', '195.73.163.87', 3276383048, 3276383063, 'NL', 'Netherlands'),
(118751, '195.73.163.88', '195.73.163.95', 3276383064, 3276383071, 'DE', 'Germany'),
(118752, '195.73.163.96', '195.73.163.103', 3276383072, 3276383079, 'NL', 'Netherlands'),
(118753, '195.73.163.104', '195.73.163.111', 3276383080, 3276383087, 'DE', 'Germany'),
(118754, '195.73.163.112', '195.73.163.119', 3276383088, 3276383095, 'NL', 'Netherlands'),
(118755, '195.73.163.120', '195.73.163.135', 3276383096, 3276383111, 'DE', 'Germany'),
(118756, '195.73.163.136', '195.73.163.143', 3276383112, 3276383119, 'NL', 'Netherlands'),
(118757, '195.73.163.144', '195.73.163.151', 3276383120, 3276383127, 'DE', 'Germany'),
(118758, '195.73.163.152', '195.73.163.231', 3276383128, 3276383207, 'NL', 'Netherlands'),
(118759, '195.73.163.232', '195.73.163.239', 3276383208, 3276383215, 'DE', 'Germany'),
(118760, '195.73.163.240', '195.73.164.15', 3276383216, 3276383247, 'NL', 'Netherlands'),
(118761, '195.73.164.16', '195.73.164.23', 3276383248, 3276383255, 'DE', 'Germany'),
(118762, '195.73.164.24', '195.73.164.79', 3276383256, 3276383311, 'NL', 'Netherlands'),
(118763, '195.73.164.80', '195.73.164.95', 3276383312, 3276383327, 'DE', 'Germany'),
(118764, '195.73.164.96', '195.73.164.127', 3276383328, 3276383359, 'NL', 'Netherlands'),
(118765, '195.73.164.128', '195.73.164.135', 3276383360, 3276383367, 'DE', 'Germany'),
(118766, '195.73.164.136', '195.73.164.247', 3276383368, 3276383479, 'NL', 'Netherlands'),
(118767, '195.73.164.248', '195.73.164.255', 3276383480, 3276383487, 'DE', 'Germany'),
(118768, '195.73.165.0', '195.73.165.39', 3276383488, 3276383527, 'NL', 'Netherlands'),
(118769, '195.73.165.40', '195.73.165.71', 3276383528, 3276383559, 'DE', 'Germany'),
(118770, '195.73.165.72', '195.73.165.127', 3276383560, 3276383615, 'NL', 'Netherlands'),
(118771, '195.73.165.128', '195.73.165.135', 3276383616, 3276383623, 'DE', 'Germany'),
(118772, '195.73.165.136', '195.73.165.183', 3276383624, 3276383671, 'NL', 'Netherlands'),
(118773, '195.73.165.184', '195.73.165.199', 3276383672, 3276383687, 'DE', 'Germany'),
(118774, '195.73.165.200', '195.73.165.215', 3276383688, 3276383703, 'NL', 'Netherlands'),
(118775, '195.73.165.216', '195.73.165.223', 3276383704, 3276383711, 'DE', 'Germany'),
(118776, '195.73.165.224', '195.73.166.39', 3276383712, 3276383783, 'NL', 'Netherlands'),
(118777, '195.73.166.40', '195.73.166.47', 3276383784, 3276383791, 'DE', 'Germany'),
(118778, '195.73.166.48', '195.73.166.143', 3276383792, 3276383887, 'NL', 'Netherlands'),
(118779, '195.73.166.144', '195.73.166.151', 3276383888, 3276383895, 'DE', 'Germany'),
(118780, '195.73.166.152', '195.73.167.63', 3276383896, 3276384063, 'NL', 'Netherlands'),
(118781, '195.73.167.64', '195.73.167.71', 3276384064, 3276384071, 'DE', 'Germany'),
(118782, '195.73.167.72', '195.73.167.111', 3276384072, 3276384111, 'NL', 'Netherlands'),
(118783, '195.73.167.112', '195.73.167.119', 3276384112, 3276384119, 'DE', 'Germany'),
(118784, '195.73.167.120', '195.73.167.199', 3276384120, 3276384199, 'NL', 'Netherlands'),
(118785, '195.73.167.200', '195.73.167.207', 3276384200, 3276384207, 'DE', 'Germany'),
(118786, '195.73.167.208', '195.73.168.7', 3276384208, 3276384263, 'NL', 'Netherlands'),
(118787, '195.73.168.8', '195.73.168.15', 3276384264, 3276384271, 'DE', 'Germany'),
(118788, '195.73.168.16', '195.73.168.23', 3276384272, 3276384279, 'NL', 'Netherlands'),
(118789, '195.73.168.24', '195.73.168.31', 3276384280, 3276384287, 'DE', 'Germany'),
(118790, '195.73.168.32', '195.73.168.79', 3276384288, 3276384335, 'NL', 'Netherlands'),
(118791, '195.73.168.80', '195.73.168.87', 3276384336, 3276384343, 'DE', 'Germany'),
(118792, '195.73.168.88', '195.73.168.111', 3276384344, 3276384367, 'NL', 'Netherlands'),
(118793, '195.73.168.112', '195.73.168.119', 3276384368, 3276384375, 'DE', 'Germany'),
(118794, '195.73.168.120', '195.73.168.127', 3276384376, 3276384383, 'NL', 'Netherlands'),
(118795, '195.73.168.128', '195.73.168.135', 3276384384, 3276384391, 'DE', 'Germany'),
(118796, '195.73.168.136', '195.73.168.143', 3276384392, 3276384399, 'NL', 'Netherlands'),
(118797, '195.73.168.144', '195.73.168.151', 3276384400, 3276384407, 'DE', 'Germany'),
(118798, '195.73.168.152', '195.73.168.159', 3276384408, 3276384415, 'NL', 'Netherlands'),
(118799, '195.73.168.160', '195.73.168.167', 3276384416, 3276384423, 'DE', 'Germany'),
(118800, '195.73.168.168', '195.73.168.183', 3276384424, 3276384439, 'NL', 'Netherlands'),
(118801, '195.73.168.184', '195.73.168.191', 3276384440, 3276384447, 'DE', 'Germany'),
(118802, '195.73.168.192', '195.73.169.39', 3276384448, 3276384551, 'NL', 'Netherlands'),
(118803, '195.73.169.40', '195.73.169.47', 3276384552, 3276384559, 'DE', 'Germany'),
(118804, '195.73.169.48', '195.73.169.55', 3276384560, 3276384567, 'NL', 'Netherlands'),
(118805, '195.73.169.56', '195.73.169.63', 3276384568, 3276384575, 'DE', 'Germany'),
(118806, '195.73.169.64', '195.73.169.135', 3276384576, 3276384647, 'NL', 'Netherlands'),
(118807, '195.73.169.136', '195.73.169.143', 3276384648, 3276384655, 'DE', 'Germany'),
(118808, '195.73.169.144', '195.73.169.215', 3276384656, 3276384727, 'NL', 'Netherlands'),
(118809, '195.73.169.216', '195.73.169.223', 3276384728, 3276384735, 'DE', 'Germany'),
(118810, '195.73.169.224', '195.73.170.55', 3276384736, 3276384823, 'NL', 'Netherlands'),
(118811, '195.73.170.56', '195.73.170.71', 3276384824, 3276384839, 'DE', 'Germany'),
(118812, '195.73.170.72', '195.73.170.111', 3276384840, 3276384879, 'NL', 'Netherlands'),
(118813, '195.73.170.112', '195.73.170.119', 3276384880, 3276384887, 'DE', 'Germany'),
(118814, '195.73.170.120', '195.73.170.127', 3276384888, 3276384895, 'NL', 'Netherlands'),
(118815, '195.73.170.128', '195.73.170.135', 3276384896, 3276384903, 'DE', 'Germany'),
(118816, '195.73.170.136', '195.73.171.7', 3276384904, 3276385031, 'NL', 'Netherlands'),
(118817, '195.73.171.8', '195.73.171.15', 3276385032, 3276385039, 'DE', 'Germany'),
(118818, '195.73.171.16', '195.73.171.23', 3276385040, 3276385047, 'NL', 'Netherlands'),
(118819, '195.73.171.24', '195.73.171.31', 3276385048, 3276385055, 'DE', 'Germany'),
(118820, '195.73.171.32', '195.73.171.55', 3276385056, 3276385079, 'NL', 'Netherlands'),
(118821, '195.73.171.56', '195.73.171.63', 3276385080, 3276385087, 'DE', 'Germany'),
(118822, '195.73.171.64', '195.73.171.87', 3276385088, 3276385111, 'NL', 'Netherlands'),
(118823, '195.73.171.88', '195.73.171.95', 3276385112, 3276385119, 'DE', 'Germany'),
(118824, '195.73.171.96', '195.73.171.111', 3276385120, 3276385135, 'NL', 'Netherlands'),
(118825, '195.73.171.112', '195.73.171.119', 3276385136, 3276385143, 'DE', 'Germany'),
(118826, '195.73.171.120', '195.73.171.151', 3276385144, 3276385175, 'NL', 'Netherlands'),
(118827, '195.73.171.152', '195.73.171.159', 3276385176, 3276385183, 'DE', 'Germany'),
(118828, '195.73.171.160', '195.73.171.167', 3276385184, 3276385191, 'NL', 'Netherlands'),
(118829, '195.73.171.168', '195.73.171.175', 3276385192, 3276385199, 'DE', 'Germany'),
(118830, '195.73.171.176', '195.73.171.191', 3276385200, 3276385215, 'NL', 'Netherlands'),
(118831, '195.73.171.192', '195.73.171.199', 3276385216, 3276385223, 'DE', 'Germany'),
(118832, '195.73.171.200', '195.73.171.223', 3276385224, 3276385247, 'NL', 'Netherlands'),
(118833, '195.73.171.224', '195.73.171.231', 3276385248, 3276385255, 'DE', 'Germany'),
(118834, '195.73.171.232', '195.73.172.15', 3276385256, 3276385295, 'NL', 'Netherlands'),
(118835, '195.73.172.16', '195.73.172.23', 3276385296, 3276385303, 'DE', 'Germany'),
(118836, '195.73.172.24', '195.73.172.103', 3276385304, 3276385383, 'NL', 'Netherlands'),
(118837, '195.73.172.104', '195.73.172.119', 3276385384, 3276385399, 'DE', 'Germany'),
(118838, '195.73.172.120', '195.73.173.39', 3276385400, 3276385575, 'NL', 'Netherlands'),
(118839, '195.73.173.40', '195.73.173.47', 3276385576, 3276385583, 'DE', 'Germany'),
(118840, '195.73.173.48', '195.73.173.143', 3276385584, 3276385679, 'NL', 'Netherlands'),
(118841, '195.73.173.144', '195.73.173.151', 3276385680, 3276385687, 'DE', 'Germany'),
(118842, '195.73.173.152', '195.73.173.159', 3276385688, 3276385695, 'NL', 'Netherlands'),
(118843, '195.73.173.160', '195.73.173.167', 3276385696, 3276385703, 'DE', 'Germany'),
(118844, '195.73.173.168', '195.73.173.215', 3276385704, 3276385751, 'NL', 'Netherlands'),
(118845, '195.73.173.216', '195.73.173.223', 3276385752, 3276385759, 'DE', 'Germany'),
(118846, '195.73.173.224', '195.73.174.7', 3276385760, 3276385799, 'NL', 'Netherlands'),
(118847, '195.73.174.8', '195.73.174.15', 3276385800, 3276385807, 'DE', 'Germany'),
(118848, '195.73.174.16', '195.73.174.111', 3276385808, 3276385903, 'NL', 'Netherlands'),
(118849, '195.73.174.112', '195.73.174.119', 3276385904, 3276385911, 'DE', 'Germany'),
(118850, '195.73.174.120', '195.73.174.127', 3276385912, 3276385919, 'NL', 'Netherlands'),
(118851, '195.73.174.128', '195.73.174.135', 3276385920, 3276385927, 'DE', 'Germany'),
(118852, '195.73.174.136', '195.73.174.143', 3276385928, 3276385935, 'NL', 'Netherlands'),
(118853, '195.73.174.144', '195.73.174.151', 3276385936, 3276385943, 'DE', 'Germany'),
(118854, '195.73.174.152', '195.73.174.167', 3276385944, 3276385959, 'NL', 'Netherlands'),
(118855, '195.73.174.168', '195.73.174.175', 3276385960, 3276385967, 'DE', 'Germany'),
(118856, '195.73.174.176', '195.73.174.255', 3276385968, 3276386047, 'NL', 'Netherlands'),
(118857, '195.73.175.0', '195.73.175.7', 3276386048, 3276386055, 'DE', 'Germany'),
(118858, '195.73.175.8', '195.73.175.39', 3276386056, 3276386087, 'NL', 'Netherlands'),
(118859, '195.73.175.40', '195.73.175.47', 3276386088, 3276386095, 'DE', 'Germany'),
(118860, '195.73.175.48', '195.73.175.151', 3276386096, 3276386199, 'NL', 'Netherlands'),
(118861, '195.73.175.152', '195.73.175.159', 3276386200, 3276386207, 'DE', 'Germany'),
(118862, '195.73.175.160', '195.73.175.183', 3276386208, 3276386231, 'NL', 'Netherlands'),
(118863, '195.73.175.184', '195.73.175.191', 3276386232, 3276386239, 'DE', 'Germany'),
(118864, '195.73.175.192', '195.73.176.55', 3276386240, 3276386359, 'NL', 'Netherlands'),
(118865, '195.73.176.56', '195.73.176.63', 3276386360, 3276386367, 'DE', 'Germany'),
(118866, '195.73.176.64', '195.73.176.71', 3276386368, 3276386375, 'NL', 'Netherlands'),
(118867, '195.73.176.72', '195.73.176.79', 3276386376, 3276386383, 'DE', 'Germany'),
(118868, '195.73.176.80', '195.73.176.95', 3276386384, 3276386399, 'NL', 'Netherlands'),
(118869, '195.73.176.96', '195.73.176.103', 3276386400, 3276386407, 'DE', 'Germany'),
(118870, '195.73.176.104', '195.73.176.111', 3276386408, 3276386415, 'NL', 'Netherlands'),
(118871, '195.73.176.112', '195.73.176.119', 3276386416, 3276386423, 'DE', 'Germany'),
(118872, '195.73.176.120', '195.73.176.127', 3276386424, 3276386431, 'NL', 'Netherlands'),
(118873, '195.73.176.128', '195.73.176.135', 3276386432, 3276386439, 'DE', 'Germany'),
(118874, '195.73.176.136', '195.73.176.199', 3276386440, 3276386503, 'NL', 'Netherlands'),
(118875, '195.73.176.200', '195.73.176.207', 3276386504, 3276386511, 'DE', 'Germany'),
(118876, '195.73.176.208', '195.73.176.255', 3276386512, 3276386559, 'NL', 'Netherlands'),
(118877, '195.73.177.0', '195.73.177.7', 3276386560, 3276386567, 'DE', 'Germany'),
(118878, '195.73.177.8', '195.73.177.15', 3276386568, 3276386575, 'NL', 'Netherlands'),
(118879, '195.73.177.16', '195.73.177.23', 3276386576, 3276386583, 'DE', 'Germany'),
(118880, '195.73.177.24', '195.73.177.39', 3276386584, 3276386599, 'NL', 'Netherlands'),
(118881, '195.73.177.40', '195.73.177.47', 3276386600, 3276386607, 'DE', 'Germany'),
(118882, '195.73.177.48', '195.73.177.55', 3276386608, 3276386615, 'NL', 'Netherlands'),
(118883, '195.73.177.56', '195.73.177.63', 3276386616, 3276386623, 'DE', 'Germany'),
(118884, '195.73.177.64', '195.73.177.95', 3276386624, 3276386655, 'NL', 'Netherlands'),
(118885, '195.73.177.96', '195.73.177.103', 3276386656, 3276386663, 'DE', 'Germany'),
(118886, '195.73.177.104', '195.73.177.167', 3276386664, 3276386727, 'NL', 'Netherlands'),
(118887, '195.73.177.168', '195.73.177.175', 3276386728, 3276386735, 'DE', 'Germany'),
(118888, '195.73.177.176', '195.73.177.183', 3276386736, 3276386743, 'NL', 'Netherlands'),
(118889, '195.73.177.184', '195.73.177.191', 3276386744, 3276386751, 'DE', 'Germany'),
(118890, '195.73.177.192', '195.73.177.199', 3276386752, 3276386759, 'NL', 'Netherlands'),
(118891, '195.73.177.200', '195.73.177.207', 3276386760, 3276386767, 'DE', 'Germany'),
(118892, '195.73.177.208', '195.73.178.15', 3276386768, 3276386831, 'NL', 'Netherlands'),
(118893, '195.73.178.16', '195.73.178.23', 3276386832, 3276386839, 'DE', 'Germany'),
(118894, '195.73.178.24', '195.73.178.31', 3276386840, 3276386847, 'NL', 'Netherlands'),
(118895, '195.73.178.32', '195.73.178.39', 3276386848, 3276386855, 'DE', 'Germany'),
(118896, '195.73.178.40', '195.73.178.47', 3276386856, 3276386863, 'NL', 'Netherlands'),
(118897, '195.73.178.48', '195.73.178.55', 3276386864, 3276386871, 'DE', 'Germany'),
(118898, '195.73.178.56', '195.73.178.63', 3276386872, 3276386879, 'NL', 'Netherlands'),
(118899, '195.73.178.64', '195.73.178.71', 3276386880, 3276386887, 'DE', 'Germany'),
(118900, '195.73.178.72', '195.73.178.79', 3276386888, 3276386895, 'NL', 'Netherlands'),
(118901, '195.73.178.80', '195.73.178.87', 3276386896, 3276386903, 'DE', 'Germany'),
(118902, '195.73.178.88', '195.73.178.111', 3276386904, 3276386927, 'NL', 'Netherlands'),
(118903, '195.73.178.112', '195.73.178.119', 3276386928, 3276386935, 'DE', 'Germany'),
(118904, '195.73.178.120', '195.73.178.135', 3276386936, 3276386951, 'NL', 'Netherlands'),
(118905, '195.73.178.136', '195.73.178.143', 3276386952, 3276386959, 'DE', 'Germany'),
(118906, '195.73.178.144', '195.73.178.159', 3276386960, 3276386975, 'NL', 'Netherlands'),
(118907, '195.73.178.160', '195.73.178.167', 3276386976, 3276386983, 'DE', 'Germany'),
(118908, '195.73.178.168', '195.73.178.191', 3276386984, 3276387007, 'NL', 'Netherlands'),
(118909, '195.73.178.192', '195.73.178.199', 3276387008, 3276387015, 'DE', 'Germany'),
(118910, '195.73.178.200', '195.73.178.255', 3276387016, 3276387071, 'NL', 'Netherlands'),
(118911, '195.73.179.0', '195.73.179.7', 3276387072, 3276387079, 'DE', 'Germany'),
(118912, '195.73.179.8', '195.73.179.127', 3276387080, 3276387199, 'NL', 'Netherlands'),
(118913, '195.73.179.128', '195.73.179.135', 3276387200, 3276387207, 'DE', 'Germany'),
(118914, '195.73.179.136', '195.73.179.159', 3276387208, 3276387231, 'NL', 'Netherlands'),
(118915, '195.73.179.160', '195.73.179.167', 3276387232, 3276387239, 'DE', 'Germany'),
(118916, '195.73.179.168', '195.73.179.175', 3276387240, 3276387247, 'NL', 'Netherlands'),
(118917, '195.73.179.176', '195.73.179.183', 3276387248, 3276387255, 'DE', 'Germany'),
(118918, '195.73.179.184', '195.73.179.191', 3276387256, 3276387263, 'NL', 'Netherlands'),
(118919, '195.73.179.192', '195.73.179.199', 3276387264, 3276387271, 'DE', 'Germany'),
(118920, '195.73.179.200', '195.73.179.239', 3276387272, 3276387311, 'NL', 'Netherlands'),
(118921, '195.73.179.240', '195.73.179.247', 3276387312, 3276387319, 'DE', 'Germany'),
(118922, '195.73.179.248', '195.73.180.55', 3276387320, 3276387383, 'NL', 'Netherlands'),
(118923, '195.73.180.56', '195.73.180.63', 3276387384, 3276387391, 'DE', 'Germany'),
(118924, '195.73.180.64', '195.73.180.71', 3276387392, 3276387399, 'NL', 'Netherlands'),
(118925, '195.73.180.72', '195.73.180.87', 3276387400, 3276387415, 'DE', 'Germany'),
(118926, '195.73.180.88', '195.73.180.95', 3276387416, 3276387423, 'NL', 'Netherlands'),
(118927, '195.73.180.96', '195.73.180.103', 3276387424, 3276387431, 'DE', 'Germany'),
(118928, '195.73.180.104', '195.73.180.111', 3276387432, 3276387439, 'NL', 'Netherlands'),
(118929, '195.73.180.112', '195.73.180.127', 3276387440, 3276387455, 'DE', 'Germany'),
(118930, '195.73.180.128', '195.73.180.143', 3276387456, 3276387471, 'NL', 'Netherlands'),
(118931, '195.73.180.144', '195.73.180.159', 3276387472, 3276387487, 'DE', 'Germany'),
(118932, '195.73.180.160', '195.73.180.183', 3276387488, 3276387511, 'NL', 'Netherlands'),
(118933, '195.73.180.184', '195.73.180.191', 3276387512, 3276387519, 'DE', 'Germany'),
(118934, '195.73.180.192', '195.73.180.231', 3276387520, 3276387559, 'NL', 'Netherlands'),
(118935, '195.73.180.232', '195.73.180.239', 3276387560, 3276387567, 'DE', 'Germany'),
(118936, '195.73.180.240', '195.73.180.247', 3276387568, 3276387575, 'NL', 'Netherlands'),
(118937, '195.73.180.248', '195.73.181.7', 3276387576, 3276387591, 'DE', 'Germany'),
(118938, '195.73.181.8', '195.73.181.15', 3276387592, 3276387599, 'NL', 'Netherlands'),
(118939, '195.73.181.16', '195.73.181.31', 3276387600, 3276387615, 'DE', 'Germany'),
(118940, '195.73.181.32', '195.73.181.55', 3276387616, 3276387639, 'NL', 'Netherlands'),
(118941, '195.73.181.56', '195.73.181.63', 3276387640, 3276387647, 'DE', 'Germany'),
(118942, '195.73.181.64', '195.73.181.87', 3276387648, 3276387671, 'NL', 'Netherlands'),
(118943, '195.73.181.88', '195.73.181.95', 3276387672, 3276387679, 'DE', 'Germany'),
(118944, '195.73.181.96', '195.73.182.47', 3276387680, 3276387887, 'NL', 'Netherlands'),
(118945, '195.73.182.48', '195.73.182.55', 3276387888, 3276387895, 'DE', 'Germany'),
(118946, '195.73.182.56', '195.73.182.71', 3276387896, 3276387911, 'NL', 'Netherlands'),
(118947, '195.73.182.72', '195.73.182.87', 3276387912, 3276387927, 'DE', 'Germany'),
(118948, '195.73.182.88', '195.73.182.143', 3276387928, 3276387983, 'NL', 'Netherlands'),
(118949, '195.73.182.144', '195.73.182.151', 3276387984, 3276387991, 'DE', 'Germany'),
(118950, '195.73.182.152', '195.73.182.175', 3276387992, 3276388015, 'NL', 'Netherlands'),
(118951, '195.73.182.176', '195.73.182.183', 3276388016, 3276388023, 'DE', 'Germany'),
(118952, '195.73.182.184', '195.73.183.95', 3276388024, 3276388191, 'NL', 'Netherlands'),
(118953, '195.73.183.96', '195.73.183.103', 3276388192, 3276388199, 'DE', 'Germany'),
(118954, '195.73.183.104', '195.73.183.111', 3276388200, 3276388207, 'NL', 'Netherlands'),
(118955, '195.73.183.112', '195.73.183.119', 3276388208, 3276388215, 'DE', 'Germany'),
(118956, '195.73.183.120', '195.73.183.127', 3276388216, 3276388223, 'NL', 'Netherlands'),
(118957, '195.73.183.128', '195.73.183.135', 3276388224, 3276388231, 'DE', 'Germany'),
(118958, '195.73.183.136', '195.73.183.143', 3276388232, 3276388239, 'NL', 'Netherlands'),
(118959, '195.73.183.144', '195.73.183.159', 3276388240, 3276388255, 'DE', 'Germany'),
(118960, '195.73.183.160', '195.73.183.183', 3276388256, 3276388279, 'NL', 'Netherlands'),
(118961, '195.73.183.184', '195.73.183.191', 3276388280, 3276388287, 'DE', 'Germany'),
(118962, '195.73.183.192', '195.73.183.207', 3276388288, 3276388303, 'NL', 'Netherlands'),
(118963, '195.73.183.208', '195.73.183.215', 3276388304, 3276388311, 'DE', 'Germany'),
(118964, '195.73.183.216', '195.73.183.223', 3276388312, 3276388319, 'NL', 'Netherlands'),
(118965, '195.73.183.224', '195.73.183.231', 3276388320, 3276388327, 'DE', 'Germany'),
(118966, '195.73.183.232', '195.73.184.23', 3276388328, 3276388375, 'NL', 'Netherlands'),
(118967, '195.73.184.24', '195.73.184.31', 3276388376, 3276388383, 'DE', 'Germany'),
(118968, '195.73.184.32', '195.73.184.167', 3276388384, 3276388519, 'NL', 'Netherlands'),
(118969, '195.73.184.168', '195.73.184.175', 3276388520, 3276388527, 'DE', 'Germany'),
(118970, '195.73.184.176', '195.73.185.175', 3276388528, 3276388783, 'NL', 'Netherlands'),
(118971, '195.73.185.176', '195.73.185.183', 3276388784, 3276388791, 'DE', 'Germany'),
(118972, '195.73.185.184', '195.73.185.207', 3276388792, 3276388815, 'NL', 'Netherlands'),
(118973, '195.73.185.208', '195.73.185.223', 3276388816, 3276388831, 'DE', 'Germany'),
(118974, '195.73.185.224', '195.73.186.15', 3276388832, 3276388879, 'NL', 'Netherlands'),
(118975, '195.73.186.16', '195.73.186.23', 3276388880, 3276388887, 'DE', 'Germany'),
(118976, '195.73.186.24', '195.73.186.111', 3276388888, 3276388975, 'NL', 'Netherlands'),
(118977, '195.73.186.112', '195.73.186.119', 3276388976, 3276388983, 'DE', 'Germany'),
(118978, '195.73.186.120', '195.73.186.191', 3276388984, 3276389055, 'NL', 'Netherlands'),
(118979, '195.73.186.192', '195.73.186.199', 3276389056, 3276389063, 'DE', 'Germany'),
(118980, '195.73.186.200', '195.73.187.39', 3276389064, 3276389159, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(118981, '195.73.187.40', '195.73.187.47', 3276389160, 3276389167, 'DE', 'Germany'),
(118982, '195.73.187.48', '195.73.187.79', 3276389168, 3276389199, 'NL', 'Netherlands'),
(118983, '195.73.187.80', '195.73.187.87', 3276389200, 3276389207, 'DE', 'Germany'),
(118984, '195.73.187.88', '195.73.187.111', 3276389208, 3276389231, 'NL', 'Netherlands'),
(118985, '195.73.187.112', '195.73.187.119', 3276389232, 3276389239, 'DE', 'Germany'),
(118986, '195.73.187.120', '195.73.187.183', 3276389240, 3276389303, 'NL', 'Netherlands'),
(118987, '195.73.187.184', '195.73.187.191', 3276389304, 3276389311, 'DE', 'Germany'),
(118988, '195.73.187.192', '195.73.187.215', 3276389312, 3276389335, 'NL', 'Netherlands'),
(118989, '195.73.187.216', '195.73.187.223', 3276389336, 3276389343, 'DE', 'Germany'),
(118990, '195.73.187.224', '195.73.187.231', 3276389344, 3276389351, 'NL', 'Netherlands'),
(118991, '195.73.187.232', '195.73.187.239', 3276389352, 3276389359, 'DE', 'Germany'),
(118992, '195.73.187.240', '195.73.188.15', 3276389360, 3276389391, 'NL', 'Netherlands'),
(118993, '195.73.188.16', '195.73.188.23', 3276389392, 3276389399, 'DE', 'Germany'),
(118994, '195.73.188.24', '195.73.188.31', 3276389400, 3276389407, 'NL', 'Netherlands'),
(118995, '195.73.188.32', '195.73.188.39', 3276389408, 3276389415, 'DE', 'Germany'),
(118996, '195.73.188.40', '195.73.188.55', 3276389416, 3276389431, 'NL', 'Netherlands'),
(118997, '195.73.188.56', '195.73.188.63', 3276389432, 3276389439, 'DE', 'Germany'),
(118998, '195.73.188.64', '195.73.188.71', 3276389440, 3276389447, 'NL', 'Netherlands'),
(118999, '195.73.188.72', '195.73.188.79', 3276389448, 3276389455, 'DE', 'Germany'),
(119000, '195.73.188.80', '195.73.188.199', 3276389456, 3276389575, 'NL', 'Netherlands'),
(119001, '195.73.188.200', '195.73.188.231', 3276389576, 3276389607, 'DE', 'Germany'),
(119002, '195.73.188.232', '195.73.188.239', 3276389608, 3276389615, 'NL', 'Netherlands'),
(119003, '195.73.188.240', '195.73.188.247', 3276389616, 3276389623, 'DE', 'Germany'),
(119004, '195.73.188.248', '195.73.189.63', 3276389624, 3276389695, 'NL', 'Netherlands'),
(119005, '195.73.189.64', '195.73.189.71', 3276389696, 3276389703, 'DE', 'Germany'),
(119006, '195.73.189.72', '195.73.189.79', 3276389704, 3276389711, 'NL', 'Netherlands'),
(119007, '195.73.189.80', '195.73.189.95', 3276389712, 3276389727, 'DE', 'Germany'),
(119008, '195.73.189.96', '195.73.189.159', 3276389728, 3276389791, 'NL', 'Netherlands'),
(119009, '195.73.189.160', '195.73.189.183', 3276389792, 3276389815, 'DE', 'Germany'),
(119010, '195.73.189.184', '195.73.189.255', 3276389816, 3276389887, 'NL', 'Netherlands'),
(119011, '195.73.190.0', '195.73.190.15', 3276389888, 3276389903, 'DE', 'Germany'),
(119012, '195.73.190.16', '195.73.190.63', 3276389904, 3276389951, 'NL', 'Netherlands'),
(119013, '195.73.190.64', '195.73.190.79', 3276389952, 3276389967, 'DE', 'Germany'),
(119014, '195.73.190.80', '195.73.191.87', 3276389968, 3276390231, 'NL', 'Netherlands'),
(119015, '195.73.191.88', '195.73.191.95', 3276390232, 3276390239, 'DE', 'Germany'),
(119016, '195.73.191.96', '195.73.191.151', 3276390240, 3276390295, 'NL', 'Netherlands'),
(119017, '195.73.191.152', '195.73.191.159', 3276390296, 3276390303, 'DE', 'Germany'),
(119018, '195.73.191.160', '195.73.191.207', 3276390304, 3276390351, 'NL', 'Netherlands'),
(119019, '195.73.191.208', '195.73.191.215', 3276390352, 3276390359, 'DE', 'Germany'),
(119020, '195.73.191.216', '195.73.191.239', 3276390360, 3276390383, 'NL', 'Netherlands'),
(119021, '195.73.191.240', '195.73.191.247', 3276390384, 3276390391, 'DE', 'Germany'),
(119022, '195.73.191.248', '195.73.192.7', 3276390392, 3276390407, 'NL', 'Netherlands'),
(119023, '195.73.192.8', '195.73.192.23', 3276390408, 3276390423, 'DE', 'Germany'),
(119024, '195.73.192.24', '195.73.192.31', 3276390424, 3276390431, 'NL', 'Netherlands'),
(119025, '195.73.192.32', '195.73.192.39', 3276390432, 3276390439, 'DE', 'Germany'),
(119026, '195.73.192.40', '195.73.192.63', 3276390440, 3276390463, 'NL', 'Netherlands'),
(119027, '195.73.192.64', '195.73.192.71', 3276390464, 3276390471, 'DE', 'Germany'),
(119028, '195.73.192.72', '195.73.192.127', 3276390472, 3276390527, 'NL', 'Netherlands'),
(119029, '195.73.192.128', '195.73.192.135', 3276390528, 3276390535, 'DE', 'Germany'),
(119030, '195.73.192.136', '195.73.192.191', 3276390536, 3276390591, 'NL', 'Netherlands'),
(119031, '195.73.192.192', '195.73.192.199', 3276390592, 3276390599, 'DE', 'Germany'),
(119032, '195.73.192.200', '195.73.193.31', 3276390600, 3276390687, 'NL', 'Netherlands'),
(119033, '195.73.193.32', '195.73.193.39', 3276390688, 3276390695, 'DE', 'Germany'),
(119034, '195.73.193.40', '195.73.193.55', 3276390696, 3276390711, 'NL', 'Netherlands'),
(119035, '195.73.193.56', '195.73.193.63', 3276390712, 3276390719, 'DE', 'Germany'),
(119036, '195.73.193.64', '195.73.193.71', 3276390720, 3276390727, 'NL', 'Netherlands'),
(119037, '195.73.193.72', '195.73.193.79', 3276390728, 3276390735, 'DE', 'Germany'),
(119038, '195.73.193.80', '195.73.193.151', 3276390736, 3276390807, 'NL', 'Netherlands'),
(119039, '195.73.193.152', '195.73.193.159', 3276390808, 3276390815, 'DE', 'Germany'),
(119040, '195.73.193.160', '195.73.193.255', 3276390816, 3276390911, 'NL', 'Netherlands'),
(119041, '195.73.194.0', '195.73.194.7', 3276390912, 3276390919, 'DE', 'Germany'),
(119042, '195.73.194.8', '195.73.194.15', 3276390920, 3276390927, 'NL', 'Netherlands'),
(119043, '195.73.194.16', '195.73.194.31', 3276390928, 3276390943, 'DE', 'Germany'),
(119044, '195.73.194.32', '195.73.194.47', 3276390944, 3276390959, 'NL', 'Netherlands'),
(119045, '195.73.194.48', '195.73.194.55', 3276390960, 3276390967, 'DE', 'Germany'),
(119046, '195.73.194.56', '195.73.194.71', 3276390968, 3276390983, 'NL', 'Netherlands'),
(119047, '195.73.194.72', '195.73.194.79', 3276390984, 3276390991, 'DE', 'Germany'),
(119048, '195.73.194.80', '195.73.194.111', 3276390992, 3276391023, 'NL', 'Netherlands'),
(119049, '195.73.194.112', '195.73.194.135', 3276391024, 3276391047, 'DE', 'Germany'),
(119050, '195.73.194.136', '195.73.194.199', 3276391048, 3276391111, 'NL', 'Netherlands'),
(119051, '195.73.194.200', '195.73.194.207', 3276391112, 3276391119, 'DE', 'Germany'),
(119052, '195.73.194.208', '195.73.195.23', 3276391120, 3276391191, 'NL', 'Netherlands'),
(119053, '195.73.195.24', '195.73.195.39', 3276391192, 3276391207, 'DE', 'Germany'),
(119054, '195.73.195.40', '195.73.195.47', 3276391208, 3276391215, 'NL', 'Netherlands'),
(119055, '195.73.195.48', '195.73.195.55', 3276391216, 3276391223, 'DE', 'Germany'),
(119056, '195.73.195.56', '195.73.195.175', 3276391224, 3276391343, 'NL', 'Netherlands'),
(119057, '195.73.195.176', '195.73.195.183', 3276391344, 3276391351, 'DE', 'Germany'),
(119058, '195.73.195.184', '195.73.195.239', 3276391352, 3276391407, 'NL', 'Netherlands'),
(119059, '195.73.195.240', '195.73.195.247', 3276391408, 3276391415, 'DE', 'Germany'),
(119060, '195.73.195.248', '195.73.196.15', 3276391416, 3276391439, 'NL', 'Netherlands'),
(119061, '195.73.196.16', '195.73.196.23', 3276391440, 3276391447, 'DE', 'Germany'),
(119062, '195.73.196.24', '195.73.196.71', 3276391448, 3276391495, 'NL', 'Netherlands'),
(119063, '195.73.196.72', '195.73.196.79', 3276391496, 3276391503, 'DE', 'Germany'),
(119064, '195.73.196.80', '195.73.196.111', 3276391504, 3276391535, 'NL', 'Netherlands'),
(119065, '195.73.196.112', '195.73.196.119', 3276391536, 3276391543, 'DE', 'Germany'),
(119066, '195.73.196.120', '195.73.196.167', 3276391544, 3276391591, 'NL', 'Netherlands'),
(119067, '195.73.196.168', '195.73.196.175', 3276391592, 3276391599, 'DE', 'Germany'),
(119068, '195.73.196.176', '195.73.197.39', 3276391600, 3276391719, 'NL', 'Netherlands'),
(119069, '195.73.197.40', '195.73.197.47', 3276391720, 3276391727, 'DE', 'Germany'),
(119070, '195.73.197.48', '195.73.197.111', 3276391728, 3276391791, 'NL', 'Netherlands'),
(119071, '195.73.197.112', '195.73.197.119', 3276391792, 3276391799, 'DE', 'Germany'),
(119072, '195.73.197.120', '195.73.197.135', 3276391800, 3276391815, 'NL', 'Netherlands'),
(119073, '195.73.197.136', '195.73.197.143', 3276391816, 3276391823, 'DE', 'Germany'),
(119074, '195.73.197.144', '195.73.197.215', 3276391824, 3276391895, 'NL', 'Netherlands'),
(119075, '195.73.197.216', '195.73.197.223', 3276391896, 3276391903, 'DE', 'Germany'),
(119076, '195.73.197.224', '195.73.197.255', 3276391904, 3276391935, 'NL', 'Netherlands'),
(119077, '195.73.198.0', '195.73.198.7', 3276391936, 3276391943, 'DE', 'Germany'),
(119078, '195.73.198.8', '195.73.198.143', 3276391944, 3276392079, 'NL', 'Netherlands'),
(119079, '195.73.198.144', '195.73.198.151', 3276392080, 3276392087, 'DE', 'Germany'),
(119080, '195.73.198.152', '195.73.198.183', 3276392088, 3276392119, 'NL', 'Netherlands'),
(119081, '195.73.198.184', '195.73.198.191', 3276392120, 3276392127, 'DE', 'Germany'),
(119082, '195.73.198.192', '195.73.198.207', 3276392128, 3276392143, 'NL', 'Netherlands'),
(119083, '195.73.198.208', '195.73.198.215', 3276392144, 3276392151, 'DE', 'Germany'),
(119084, '195.73.198.216', '195.73.199.47', 3276392152, 3276392239, 'NL', 'Netherlands'),
(119085, '195.73.199.48', '195.73.199.55', 3276392240, 3276392247, 'DE', 'Germany'),
(119086, '195.73.199.56', '195.73.199.63', 3276392248, 3276392255, 'NL', 'Netherlands'),
(119087, '195.73.199.64', '195.73.199.71', 3276392256, 3276392263, 'DE', 'Germany'),
(119088, '195.73.199.72', '195.73.199.87', 3276392264, 3276392279, 'NL', 'Netherlands'),
(119089, '195.73.199.88', '195.73.199.95', 3276392280, 3276392287, 'DE', 'Germany'),
(119090, '195.73.199.96', '195.73.199.127', 3276392288, 3276392319, 'NL', 'Netherlands'),
(119091, '195.73.199.128', '195.73.199.135', 3276392320, 3276392327, 'DE', 'Germany'),
(119092, '195.73.199.136', '195.73.199.159', 3276392328, 3276392351, 'NL', 'Netherlands'),
(119093, '195.73.199.160', '195.73.199.167', 3276392352, 3276392359, 'DE', 'Germany'),
(119094, '195.73.199.168', '195.73.199.231', 3276392360, 3276392423, 'NL', 'Netherlands'),
(119095, '195.73.199.232', '195.73.199.239', 3276392424, 3276392431, 'DE', 'Germany'),
(119096, '195.73.199.240', '195.73.200.71', 3276392432, 3276392519, 'NL', 'Netherlands'),
(119097, '195.73.200.72', '195.73.200.79', 3276392520, 3276392527, 'DE', 'Germany'),
(119098, '195.73.200.80', '195.73.200.167', 3276392528, 3276392615, 'NL', 'Netherlands'),
(119099, '195.73.200.168', '195.73.200.183', 3276392616, 3276392631, 'DE', 'Germany'),
(119100, '195.73.200.184', '195.73.200.231', 3276392632, 3276392679, 'NL', 'Netherlands'),
(119101, '195.73.200.232', '195.73.200.239', 3276392680, 3276392687, 'DE', 'Germany'),
(119102, '195.73.200.240', '195.73.201.47', 3276392688, 3276392751, 'NL', 'Netherlands'),
(119103, '195.73.201.48', '195.73.201.55', 3276392752, 3276392759, 'DE', 'Germany'),
(119104, '195.73.201.56', '195.73.201.199', 3276392760, 3276392903, 'NL', 'Netherlands'),
(119105, '195.73.201.200', '195.73.201.207', 3276392904, 3276392911, 'DE', 'Germany'),
(119106, '195.73.201.208', '195.73.201.231', 3276392912, 3276392935, 'NL', 'Netherlands'),
(119107, '195.73.201.232', '195.73.201.239', 3276392936, 3276392943, 'DE', 'Germany'),
(119108, '195.73.201.240', '195.73.201.255', 3276392944, 3276392959, 'NL', 'Netherlands'),
(119109, '195.73.202.0', '195.73.202.7', 3276392960, 3276392967, 'DE', 'Germany'),
(119110, '195.73.202.8', '195.73.202.31', 3276392968, 3276392991, 'NL', 'Netherlands'),
(119111, '195.73.202.32', '195.73.202.39', 3276392992, 3276392999, 'DE', 'Germany'),
(119112, '195.73.202.40', '195.73.202.47', 3276393000, 3276393007, 'NL', 'Netherlands'),
(119113, '195.73.202.48', '195.73.202.63', 3276393008, 3276393023, 'DE', 'Germany'),
(119114, '195.73.202.64', '195.73.202.199', 3276393024, 3276393159, 'NL', 'Netherlands'),
(119115, '195.73.202.200', '195.73.202.207', 3276393160, 3276393167, 'DE', 'Germany'),
(119116, '195.73.202.208', '195.73.203.183', 3276393168, 3276393399, 'NL', 'Netherlands'),
(119117, '195.73.203.184', '195.73.203.191', 3276393400, 3276393407, 'DE', 'Germany'),
(119118, '195.73.203.192', '195.73.203.207', 3276393408, 3276393423, 'NL', 'Netherlands'),
(119119, '195.73.203.208', '195.73.203.215', 3276393424, 3276393431, 'DE', 'Germany'),
(119120, '195.73.203.216', '195.73.203.231', 3276393432, 3276393447, 'NL', 'Netherlands'),
(119121, '195.73.203.232', '195.73.203.239', 3276393448, 3276393455, 'DE', 'Germany'),
(119122, '195.73.203.240', '195.73.203.247', 3276393456, 3276393463, 'NL', 'Netherlands'),
(119123, '195.73.203.248', '195.73.204.7', 3276393464, 3276393479, 'DE', 'Germany'),
(119124, '195.73.204.8', '195.73.204.39', 3276393480, 3276393511, 'NL', 'Netherlands'),
(119125, '195.73.204.40', '195.73.204.47', 3276393512, 3276393519, 'DE', 'Germany'),
(119126, '195.73.204.48', '195.73.204.127', 3276393520, 3276393599, 'NL', 'Netherlands'),
(119127, '195.73.204.128', '195.73.204.143', 3276393600, 3276393615, 'DE', 'Germany'),
(119128, '195.73.204.144', '195.73.204.223', 3276393616, 3276393695, 'NL', 'Netherlands'),
(119129, '195.73.204.224', '195.73.204.231', 3276393696, 3276393703, 'DE', 'Germany'),
(119130, '195.73.204.232', '195.73.205.55', 3276393704, 3276393783, 'NL', 'Netherlands'),
(119131, '195.73.205.56', '195.73.205.63', 3276393784, 3276393791, 'DE', 'Germany'),
(119132, '195.73.205.64', '195.73.205.71', 3276393792, 3276393799, 'NL', 'Netherlands'),
(119133, '195.73.205.72', '195.73.205.87', 3276393800, 3276393815, 'DE', 'Germany'),
(119134, '195.73.205.88', '195.73.205.95', 3276393816, 3276393823, 'NL', 'Netherlands'),
(119135, '195.73.205.96', '195.73.205.103', 3276393824, 3276393831, 'DE', 'Germany'),
(119136, '195.73.205.104', '195.73.205.143', 3276393832, 3276393871, 'NL', 'Netherlands'),
(119137, '195.73.205.144', '195.73.205.151', 3276393872, 3276393879, 'DE', 'Germany'),
(119138, '195.73.205.152', '195.73.205.175', 3276393880, 3276393903, 'NL', 'Netherlands'),
(119139, '195.73.205.176', '195.73.205.183', 3276393904, 3276393911, 'DE', 'Germany'),
(119140, '195.73.205.184', '195.73.205.255', 3276393912, 3276393983, 'NL', 'Netherlands'),
(119141, '195.73.206.0', '195.73.206.15', 3276393984, 3276393999, 'DE', 'Germany'),
(119142, '195.73.206.16', '195.73.206.31', 3276394000, 3276394015, 'NL', 'Netherlands'),
(119143, '195.73.206.32', '195.73.206.39', 3276394016, 3276394023, 'DE', 'Germany'),
(119144, '195.73.206.40', '195.73.206.79', 3276394024, 3276394063, 'NL', 'Netherlands'),
(119145, '195.73.206.80', '195.73.206.87', 3276394064, 3276394071, 'DE', 'Germany'),
(119146, '195.73.206.88', '195.73.206.207', 3276394072, 3276394191, 'NL', 'Netherlands'),
(119147, '195.73.206.208', '195.73.206.215', 3276394192, 3276394199, 'DE', 'Germany'),
(119148, '195.73.206.216', '195.73.206.231', 3276394200, 3276394215, 'NL', 'Netherlands'),
(119149, '195.73.206.232', '195.73.206.239', 3276394216, 3276394223, 'DE', 'Germany'),
(119150, '195.73.206.240', '195.73.207.39', 3276394224, 3276394279, 'NL', 'Netherlands'),
(119151, '195.73.207.40', '195.73.207.47', 3276394280, 3276394287, 'DE', 'Germany'),
(119152, '195.73.207.48', '195.73.207.87', 3276394288, 3276394327, 'NL', 'Netherlands'),
(119153, '195.73.207.88', '195.73.207.95', 3276394328, 3276394335, 'DE', 'Germany'),
(119154, '195.73.207.96', '195.73.207.111', 3276394336, 3276394351, 'NL', 'Netherlands'),
(119155, '195.73.207.112', '195.73.207.119', 3276394352, 3276394359, 'DE', 'Germany'),
(119156, '195.73.207.120', '195.73.207.231', 3276394360, 3276394471, 'NL', 'Netherlands'),
(119157, '195.73.207.232', '195.73.207.247', 3276394472, 3276394487, 'DE', 'Germany'),
(119158, '195.73.207.248', '195.73.207.255', 3276394488, 3276394495, 'NL', 'Netherlands'),
(119159, '195.73.208.0', '195.73.208.15', 3276394496, 3276394511, 'DE', 'Germany'),
(119160, '195.73.208.16', '195.73.208.79', 3276394512, 3276394575, 'NL', 'Netherlands'),
(119161, '195.73.208.80', '195.73.208.95', 3276394576, 3276394591, 'DE', 'Germany'),
(119162, '195.73.208.96', '195.73.208.175', 3276394592, 3276394671, 'NL', 'Netherlands'),
(119163, '195.73.208.176', '195.73.208.191', 3276394672, 3276394687, 'DE', 'Germany'),
(119164, '195.73.208.192', '195.73.208.199', 3276394688, 3276394695, 'NL', 'Netherlands'),
(119165, '195.73.208.200', '195.73.208.207', 3276394696, 3276394703, 'DE', 'Germany'),
(119166, '195.73.208.208', '195.73.209.23', 3276394704, 3276394775, 'NL', 'Netherlands'),
(119167, '195.73.209.24', '195.73.209.31', 3276394776, 3276394783, 'DE', 'Germany'),
(119168, '195.73.209.32', '195.73.209.63', 3276394784, 3276394815, 'NL', 'Netherlands'),
(119169, '195.73.209.64', '195.73.209.71', 3276394816, 3276394823, 'DE', 'Germany'),
(119170, '195.73.209.72', '195.73.209.119', 3276394824, 3276394871, 'NL', 'Netherlands'),
(119171, '195.73.209.120', '195.73.209.127', 3276394872, 3276394879, 'DE', 'Germany'),
(119172, '195.73.209.128', '195.73.209.167', 3276394880, 3276394919, 'NL', 'Netherlands'),
(119173, '195.73.209.168', '195.73.209.175', 3276394920, 3276394927, 'DE', 'Germany'),
(119174, '195.73.209.176', '195.73.209.199', 3276394928, 3276394951, 'NL', 'Netherlands'),
(119175, '195.73.209.200', '195.73.209.207', 3276394952, 3276394959, 'DE', 'Germany'),
(119176, '195.73.209.208', '195.73.210.39', 3276394960, 3276395047, 'NL', 'Netherlands'),
(119177, '195.73.210.40', '195.73.210.47', 3276395048, 3276395055, 'DE', 'Germany'),
(119178, '195.73.210.48', '195.73.210.55', 3276395056, 3276395063, 'NL', 'Netherlands'),
(119179, '195.73.210.56', '195.73.210.63', 3276395064, 3276395071, 'DE', 'Germany'),
(119180, '195.73.210.64', '195.73.210.87', 3276395072, 3276395095, 'NL', 'Netherlands'),
(119181, '195.73.210.88', '195.73.210.95', 3276395096, 3276395103, 'DE', 'Germany'),
(119182, '195.73.210.96', '195.73.210.167', 3276395104, 3276395175, 'NL', 'Netherlands'),
(119183, '195.73.210.168', '195.73.210.175', 3276395176, 3276395183, 'DE', 'Germany'),
(119184, '195.73.210.176', '195.73.210.183', 3276395184, 3276395191, 'NL', 'Netherlands'),
(119185, '195.73.210.184', '195.73.210.191', 3276395192, 3276395199, 'DE', 'Germany'),
(119186, '195.73.210.192', '195.73.211.31', 3276395200, 3276395295, 'NL', 'Netherlands'),
(119187, '195.73.211.32', '195.73.211.39', 3276395296, 3276395303, 'DE', 'Germany'),
(119188, '195.73.211.40', '195.73.211.55', 3276395304, 3276395319, 'NL', 'Netherlands'),
(119189, '195.73.211.56', '195.73.211.63', 3276395320, 3276395327, 'DE', 'Germany'),
(119190, '195.73.211.64', '195.73.211.159', 3276395328, 3276395423, 'NL', 'Netherlands'),
(119191, '195.73.211.160', '195.73.211.175', 3276395424, 3276395439, 'DE', 'Germany'),
(119192, '195.73.211.176', '195.73.211.223', 3276395440, 3276395487, 'NL', 'Netherlands'),
(119193, '195.73.211.224', '195.73.211.231', 3276395488, 3276395495, 'DE', 'Germany'),
(119194, '195.73.211.232', '195.73.212.23', 3276395496, 3276395543, 'NL', 'Netherlands'),
(119195, '195.73.212.24', '195.73.212.31', 3276395544, 3276395551, 'DE', 'Germany'),
(119196, '195.73.212.32', '195.73.212.47', 3276395552, 3276395567, 'NL', 'Netherlands'),
(119197, '195.73.212.48', '195.73.212.55', 3276395568, 3276395575, 'DE', 'Germany'),
(119198, '195.73.212.56', '195.73.212.79', 3276395576, 3276395599, 'NL', 'Netherlands'),
(119199, '195.73.212.80', '195.73.212.87', 3276395600, 3276395607, 'DE', 'Germany'),
(119200, '195.73.212.88', '195.73.212.127', 3276395608, 3276395647, 'NL', 'Netherlands'),
(119201, '195.73.212.128', '195.73.212.135', 3276395648, 3276395655, 'DE', 'Germany'),
(119202, '195.73.212.136', '195.73.212.167', 3276395656, 3276395687, 'NL', 'Netherlands'),
(119203, '195.73.212.168', '195.73.212.175', 3276395688, 3276395695, 'DE', 'Germany'),
(119204, '195.73.212.176', '195.73.212.223', 3276395696, 3276395743, 'NL', 'Netherlands'),
(119205, '195.73.212.224', '195.73.212.231', 3276395744, 3276395751, 'DE', 'Germany'),
(119206, '195.73.212.232', '195.73.212.239', 3276395752, 3276395759, 'NL', 'Netherlands'),
(119207, '195.73.212.240', '195.73.212.247', 3276395760, 3276395767, 'DE', 'Germany'),
(119208, '195.73.212.248', '195.73.213.31', 3276395768, 3276395807, 'NL', 'Netherlands'),
(119209, '195.73.213.32', '195.73.213.39', 3276395808, 3276395815, 'DE', 'Germany'),
(119210, '195.73.213.40', '195.73.213.55', 3276395816, 3276395831, 'NL', 'Netherlands'),
(119211, '195.73.213.56', '195.73.213.63', 3276395832, 3276395839, 'DE', 'Germany'),
(119212, '195.73.213.64', '195.73.213.95', 3276395840, 3276395871, 'NL', 'Netherlands'),
(119213, '195.73.213.96', '195.73.213.103', 3276395872, 3276395879, 'DE', 'Germany'),
(119214, '195.73.213.104', '195.73.213.183', 3276395880, 3276395959, 'NL', 'Netherlands'),
(119215, '195.73.213.184', '195.73.213.199', 3276395960, 3276395975, 'DE', 'Germany'),
(119216, '195.73.213.200', '195.73.213.231', 3276395976, 3276396007, 'NL', 'Netherlands'),
(119217, '195.73.213.232', '195.73.213.247', 3276396008, 3276396023, 'DE', 'Germany'),
(119218, '195.73.213.248', '195.73.214.15', 3276396024, 3276396047, 'NL', 'Netherlands'),
(119219, '195.73.214.16', '195.73.214.23', 3276396048, 3276396055, 'DE', 'Germany'),
(119220, '195.73.214.24', '195.73.214.63', 3276396056, 3276396095, 'NL', 'Netherlands'),
(119221, '195.73.214.64', '195.73.214.71', 3276396096, 3276396103, 'DE', 'Germany'),
(119222, '195.73.214.72', '195.73.214.79', 3276396104, 3276396111, 'NL', 'Netherlands'),
(119223, '195.73.214.80', '195.73.214.87', 3276396112, 3276396119, 'DE', 'Germany'),
(119224, '195.73.214.88', '195.73.214.175', 3276396120, 3276396207, 'NL', 'Netherlands'),
(119225, '195.73.214.176', '195.73.214.191', 3276396208, 3276396223, 'DE', 'Germany'),
(119226, '195.73.214.192', '195.73.214.255', 3276396224, 3276396287, 'NL', 'Netherlands'),
(119227, '195.73.215.0', '195.73.215.7', 3276396288, 3276396295, 'DE', 'Germany'),
(119228, '195.73.215.8', '195.73.215.31', 3276396296, 3276396319, 'NL', 'Netherlands'),
(119229, '195.73.215.32', '195.73.215.39', 3276396320, 3276396327, 'DE', 'Germany'),
(119230, '195.73.215.40', '195.73.215.63', 3276396328, 3276396351, 'NL', 'Netherlands'),
(119231, '195.73.215.64', '195.73.215.71', 3276396352, 3276396359, 'DE', 'Germany'),
(119232, '195.73.215.72', '195.73.215.111', 3276396360, 3276396399, 'NL', 'Netherlands'),
(119233, '195.73.215.112', '195.73.215.127', 3276396400, 3276396415, 'DE', 'Germany'),
(119234, '195.73.215.128', '195.73.215.143', 3276396416, 3276396431, 'NL', 'Netherlands'),
(119235, '195.73.215.144', '195.73.215.151', 3276396432, 3276396439, 'DE', 'Germany'),
(119236, '195.73.215.152', '195.73.215.183', 3276396440, 3276396471, 'NL', 'Netherlands'),
(119237, '195.73.215.184', '195.73.215.207', 3276396472, 3276396495, 'DE', 'Germany'),
(119238, '195.73.215.208', '195.73.215.239', 3276396496, 3276396527, 'NL', 'Netherlands'),
(119239, '195.73.215.240', '195.73.215.247', 3276396528, 3276396535, 'DE', 'Germany'),
(119240, '195.73.215.248', '195.73.216.39', 3276396536, 3276396583, 'NL', 'Netherlands'),
(119241, '195.73.216.40', '195.73.216.47', 3276396584, 3276396591, 'DE', 'Germany'),
(119242, '195.73.216.48', '195.73.216.55', 3276396592, 3276396599, 'NL', 'Netherlands'),
(119243, '195.73.216.56', '195.73.216.63', 3276396600, 3276396607, 'DE', 'Germany'),
(119244, '195.73.216.64', '195.73.216.71', 3276396608, 3276396615, 'NL', 'Netherlands'),
(119245, '195.73.216.72', '195.73.216.79', 3276396616, 3276396623, 'DE', 'Germany'),
(119246, '195.73.216.80', '195.73.216.111', 3276396624, 3276396655, 'NL', 'Netherlands'),
(119247, '195.73.216.112', '195.73.216.119', 3276396656, 3276396663, 'DE', 'Germany'),
(119248, '195.73.216.120', '195.73.216.175', 3276396664, 3276396719, 'NL', 'Netherlands'),
(119249, '195.73.216.176', '195.73.216.191', 3276396720, 3276396735, 'DE', 'Germany'),
(119250, '195.73.216.192', '195.73.216.207', 3276396736, 3276396751, 'NL', 'Netherlands'),
(119251, '195.73.216.208', '195.73.216.223', 3276396752, 3276396767, 'DE', 'Germany'),
(119252, '195.73.216.224', '195.73.216.239', 3276396768, 3276396783, 'NL', 'Netherlands'),
(119253, '195.73.216.240', '195.73.216.247', 3276396784, 3276396791, 'DE', 'Germany'),
(119254, '195.73.216.248', '195.73.217.191', 3276396792, 3276396991, 'NL', 'Netherlands'),
(119255, '195.73.217.192', '195.73.217.207', 3276396992, 3276397007, 'DE', 'Germany'),
(119256, '195.73.217.208', '195.73.217.231', 3276397008, 3276397031, 'NL', 'Netherlands'),
(119257, '195.73.217.232', '195.73.217.239', 3276397032, 3276397039, 'DE', 'Germany'),
(119258, '195.73.217.240', '195.73.217.255', 3276397040, 3276397055, 'NL', 'Netherlands'),
(119259, '195.73.218.0', '195.73.218.7', 3276397056, 3276397063, 'DE', 'Germany'),
(119260, '195.73.218.8', '195.73.218.159', 3276397064, 3276397215, 'NL', 'Netherlands'),
(119261, '195.73.218.160', '195.73.218.167', 3276397216, 3276397223, 'DE', 'Germany'),
(119262, '195.73.218.168', '195.73.219.15', 3276397224, 3276397327, 'NL', 'Netherlands'),
(119263, '195.73.219.16', '195.73.219.23', 3276397328, 3276397335, 'DE', 'Germany'),
(119264, '195.73.219.24', '195.73.219.31', 3276397336, 3276397343, 'NL', 'Netherlands'),
(119265, '195.73.219.32', '195.73.219.39', 3276397344, 3276397351, 'DE', 'Germany'),
(119266, '195.73.219.40', '195.73.219.167', 3276397352, 3276397479, 'NL', 'Netherlands'),
(119267, '195.73.219.168', '195.73.219.175', 3276397480, 3276397487, 'DE', 'Germany'),
(119268, '195.73.219.176', '195.73.219.223', 3276397488, 3276397535, 'NL', 'Netherlands'),
(119269, '195.73.219.224', '195.73.219.231', 3276397536, 3276397543, 'DE', 'Germany'),
(119270, '195.73.219.232', '195.73.219.247', 3276397544, 3276397559, 'NL', 'Netherlands'),
(119271, '195.73.219.248', '195.73.219.255', 3276397560, 3276397567, 'DE', 'Germany'),
(119272, '195.73.220.0', '195.73.220.175', 3276397568, 3276397743, 'NL', 'Netherlands'),
(119273, '195.73.220.176', '195.73.220.183', 3276397744, 3276397751, 'DE', 'Germany'),
(119274, '195.73.220.184', '195.73.220.223', 3276397752, 3276397791, 'NL', 'Netherlands'),
(119275, '195.73.220.224', '195.73.220.247', 3276397792, 3276397815, 'DE', 'Germany'),
(119276, '195.73.220.248', '195.73.221.47', 3276397816, 3276397871, 'NL', 'Netherlands'),
(119277, '195.73.221.48', '195.73.221.55', 3276397872, 3276397879, 'DE', 'Germany'),
(119278, '195.73.221.56', '195.73.221.71', 3276397880, 3276397895, 'NL', 'Netherlands'),
(119279, '195.73.221.72', '195.73.221.87', 3276397896, 3276397911, 'DE', 'Germany'),
(119280, '195.73.221.88', '195.73.221.111', 3276397912, 3276397935, 'NL', 'Netherlands'),
(119281, '195.73.221.112', '195.73.221.119', 3276397936, 3276397943, 'DE', 'Germany'),
(119282, '195.73.221.120', '195.73.221.143', 3276397944, 3276397967, 'NL', 'Netherlands'),
(119283, '195.73.221.144', '195.73.221.151', 3276397968, 3276397975, 'DE', 'Germany'),
(119284, '195.73.221.152', '195.73.221.159', 3276397976, 3276397983, 'NL', 'Netherlands'),
(119285, '195.73.221.160', '195.73.221.167', 3276397984, 3276397991, 'DE', 'Germany'),
(119286, '195.73.221.168', '195.73.221.223', 3276397992, 3276398047, 'NL', 'Netherlands'),
(119287, '195.73.221.224', '195.73.221.231', 3276398048, 3276398055, 'DE', 'Germany'),
(119288, '195.73.221.232', '195.73.221.247', 3276398056, 3276398071, 'NL', 'Netherlands'),
(119289, '195.73.221.248', '195.73.221.255', 3276398072, 3276398079, 'DE', 'Germany'),
(119290, '195.73.222.0', '195.73.222.119', 3276398080, 3276398199, 'NL', 'Netherlands'),
(119291, '195.73.222.120', '195.73.222.127', 3276398200, 3276398207, 'DE', 'Germany'),
(119292, '195.73.222.128', '195.73.222.175', 3276398208, 3276398255, 'NL', 'Netherlands'),
(119293, '195.73.222.176', '195.73.222.191', 3276398256, 3276398271, 'DE', 'Germany'),
(119294, '195.73.222.192', '195.73.222.207', 3276398272, 3276398287, 'NL', 'Netherlands'),
(119295, '195.73.222.208', '195.73.222.215', 3276398288, 3276398295, 'DE', 'Germany'),
(119296, '195.73.222.216', '195.73.222.231', 3276398296, 3276398311, 'NL', 'Netherlands'),
(119297, '195.73.222.232', '195.73.222.239', 3276398312, 3276398319, 'DE', 'Germany'),
(119298, '195.73.222.240', '195.73.223.15', 3276398320, 3276398351, 'NL', 'Netherlands'),
(119299, '195.73.223.16', '195.73.223.23', 3276398352, 3276398359, 'DE', 'Germany'),
(119300, '195.73.223.24', '195.73.223.31', 3276398360, 3276398367, 'NL', 'Netherlands'),
(119301, '195.73.223.32', '195.73.223.39', 3276398368, 3276398375, 'DE', 'Germany'),
(119302, '195.73.223.40', '195.73.223.87', 3276398376, 3276398423, 'NL', 'Netherlands'),
(119303, '195.73.223.88', '195.73.223.111', 3276398424, 3276398447, 'DE', 'Germany'),
(119304, '195.73.223.112', '195.73.223.119', 3276398448, 3276398455, 'NL', 'Netherlands'),
(119305, '195.73.223.120', '195.73.223.127', 3276398456, 3276398463, 'DE', 'Germany'),
(119306, '195.73.223.128', '195.73.223.175', 3276398464, 3276398511, 'NL', 'Netherlands'),
(119307, '195.73.223.176', '195.73.223.183', 3276398512, 3276398519, 'DE', 'Germany'),
(119308, '195.73.223.184', '195.73.223.223', 3276398520, 3276398559, 'NL', 'Netherlands'),
(119309, '195.73.223.224', '195.73.223.231', 3276398560, 3276398567, 'DE', 'Germany'),
(119310, '195.73.223.232', '195.73.223.239', 3276398568, 3276398575, 'NL', 'Netherlands'),
(119311, '195.73.223.240', '195.73.223.247', 3276398576, 3276398583, 'DE', 'Germany'),
(119312, '195.73.223.248', '195.73.223.255', 3276398584, 3276398591, 'NL', 'Netherlands'),
(119313, '195.73.224.0', '195.73.224.15', 3276398592, 3276398607, 'DE', 'Germany'),
(119314, '195.73.224.16', '195.73.224.31', 3276398608, 3276398623, 'NL', 'Netherlands'),
(119315, '195.73.224.32', '195.73.224.39', 3276398624, 3276398631, 'DE', 'Germany'),
(119316, '195.73.224.40', '195.73.224.87', 3276398632, 3276398679, 'NL', 'Netherlands'),
(119317, '195.73.224.88', '195.73.224.95', 3276398680, 3276398687, 'DE', 'Germany'),
(119318, '195.73.224.96', '195.73.224.191', 3276398688, 3276398783, 'NL', 'Netherlands'),
(119319, '195.73.224.192', '195.73.224.215', 3276398784, 3276398807, 'DE', 'Germany'),
(119320, '195.73.224.216', '195.73.224.247', 3276398808, 3276398839, 'NL', 'Netherlands'),
(119321, '195.73.224.248', '195.73.225.7', 3276398840, 3276398855, 'DE', 'Germany'),
(119322, '195.73.225.8', '195.73.225.79', 3276398856, 3276398927, 'NL', 'Netherlands'),
(119323, '195.73.225.80', '195.73.225.87', 3276398928, 3276398935, 'DE', 'Germany'),
(119324, '195.73.225.88', '195.73.225.111', 3276398936, 3276398959, 'NL', 'Netherlands'),
(119325, '195.73.225.112', '195.73.225.119', 3276398960, 3276398967, 'DE', 'Germany'),
(119326, '195.73.225.120', '195.73.225.135', 3276398968, 3276398983, 'NL', 'Netherlands'),
(119327, '195.73.225.136', '195.73.225.143', 3276398984, 3276398991, 'DE', 'Germany'),
(119328, '195.73.225.144', '195.73.225.167', 3276398992, 3276399015, 'NL', 'Netherlands'),
(119329, '195.73.225.168', '195.73.225.175', 3276399016, 3276399023, 'DE', 'Germany'),
(119330, '195.73.225.176', '195.73.225.183', 3276399024, 3276399031, 'NL', 'Netherlands'),
(119331, '195.73.225.184', '195.73.225.191', 3276399032, 3276399039, 'DE', 'Germany'),
(119332, '195.73.225.192', '195.73.225.231', 3276399040, 3276399079, 'NL', 'Netherlands'),
(119333, '195.73.225.232', '195.73.225.239', 3276399080, 3276399087, 'DE', 'Germany'),
(119334, '195.73.225.240', '195.73.226.87', 3276399088, 3276399191, 'NL', 'Netherlands'),
(119335, '195.73.226.88', '195.73.226.95', 3276399192, 3276399199, 'DE', 'Germany'),
(119336, '195.73.226.96', '195.73.226.175', 3276399200, 3276399279, 'NL', 'Netherlands'),
(119337, '195.73.226.176', '195.73.226.183', 3276399280, 3276399287, 'DE', 'Germany'),
(119338, '195.73.226.184', '195.73.226.215', 3276399288, 3276399319, 'NL', 'Netherlands'),
(119339, '195.73.226.216', '195.73.226.223', 3276399320, 3276399327, 'DE', 'Germany'),
(119340, '195.73.226.224', '195.73.227.135', 3276399328, 3276399495, 'NL', 'Netherlands'),
(119341, '195.73.227.136', '195.73.227.143', 3276399496, 3276399503, 'DE', 'Germany'),
(119342, '195.73.227.144', '195.73.227.151', 3276399504, 3276399511, 'NL', 'Netherlands'),
(119343, '195.73.227.152', '195.73.227.159', 3276399512, 3276399519, 'DE', 'Germany'),
(119344, '195.73.227.160', '195.73.227.167', 3276399520, 3276399527, 'NL', 'Netherlands'),
(119345, '195.73.227.168', '195.73.227.175', 3276399528, 3276399535, 'DE', 'Germany'),
(119346, '195.73.227.176', '195.73.227.223', 3276399536, 3276399583, 'NL', 'Netherlands'),
(119347, '195.73.227.224', '195.73.227.255', 3276399584, 3276399615, 'DE', 'Germany'),
(119348, '195.73.228.0', '195.73.228.63', 3276399616, 3276399679, 'NL', 'Netherlands'),
(119349, '195.73.228.64', '195.73.228.71', 3276399680, 3276399687, 'DE', 'Germany'),
(119350, '195.73.228.72', '195.73.228.191', 3276399688, 3276399807, 'NL', 'Netherlands'),
(119351, '195.73.228.192', '195.73.228.207', 3276399808, 3276399823, 'DE', 'Germany'),
(119352, '195.73.228.208', '195.73.229.23', 3276399824, 3276399895, 'NL', 'Netherlands'),
(119353, '195.73.229.24', '195.73.229.31', 3276399896, 3276399903, 'DE', 'Germany'),
(119354, '195.73.229.32', '195.73.229.63', 3276399904, 3276399935, 'NL', 'Netherlands'),
(119355, '195.73.229.64', '195.73.229.79', 3276399936, 3276399951, 'DE', 'Germany'),
(119356, '195.73.229.80', '195.73.229.111', 3276399952, 3276399983, 'NL', 'Netherlands'),
(119357, '195.73.229.112', '195.73.229.119', 3276399984, 3276399991, 'DE', 'Germany'),
(119358, '195.73.229.120', '195.73.229.135', 3276399992, 3276400007, 'NL', 'Netherlands'),
(119359, '195.73.229.136', '195.73.229.143', 3276400008, 3276400015, 'DE', 'Germany'),
(119360, '195.73.229.144', '195.73.229.151', 3276400016, 3276400023, 'NL', 'Netherlands'),
(119361, '195.73.229.152', '195.73.229.159', 3276400024, 3276400031, 'DE', 'Germany'),
(119362, '195.73.229.160', '195.73.229.215', 3276400032, 3276400087, 'NL', 'Netherlands'),
(119363, '195.73.229.216', '195.73.229.223', 3276400088, 3276400095, 'DE', 'Germany'),
(119364, '195.73.229.224', '195.73.230.23', 3276400096, 3276400151, 'NL', 'Netherlands'),
(119365, '195.73.230.24', '195.73.230.31', 3276400152, 3276400159, 'DE', 'Germany'),
(119366, '195.73.230.32', '195.73.230.95', 3276400160, 3276400223, 'NL', 'Netherlands'),
(119367, '195.73.230.96', '195.73.230.103', 3276400224, 3276400231, 'DE', 'Germany'),
(119368, '195.73.230.104', '195.73.230.111', 3276400232, 3276400239, 'NL', 'Netherlands'),
(119369, '195.73.230.112', '195.73.230.119', 3276400240, 3276400247, 'DE', 'Germany'),
(119370, '195.73.230.120', '195.73.230.167', 3276400248, 3276400295, 'NL', 'Netherlands'),
(119371, '195.73.230.168', '195.73.230.175', 3276400296, 3276400303, 'DE', 'Germany'),
(119372, '195.73.230.176', '195.73.230.215', 3276400304, 3276400343, 'NL', 'Netherlands'),
(119373, '195.73.230.216', '195.73.230.223', 3276400344, 3276400351, 'DE', 'Germany'),
(119374, '195.73.230.224', '195.73.231.103', 3276400352, 3276400487, 'NL', 'Netherlands'),
(119375, '195.73.231.104', '195.73.231.111', 3276400488, 3276400495, 'DE', 'Germany'),
(119376, '195.73.231.112', '195.73.231.119', 3276400496, 3276400503, 'NL', 'Netherlands'),
(119377, '195.73.231.120', '195.73.231.135', 3276400504, 3276400519, 'DE', 'Germany'),
(119378, '195.73.231.136', '195.73.231.143', 3276400520, 3276400527, 'NL', 'Netherlands'),
(119379, '195.73.231.144', '195.73.231.151', 3276400528, 3276400535, 'DE', 'Germany'),
(119380, '195.73.231.152', '195.73.231.159', 3276400536, 3276400543, 'NL', 'Netherlands'),
(119381, '195.73.231.160', '195.73.231.167', 3276400544, 3276400551, 'DE', 'Germany'),
(119382, '195.73.231.168', '195.73.231.255', 3276400552, 3276400639, 'NL', 'Netherlands'),
(119383, '195.73.232.0', '195.73.232.7', 3276400640, 3276400647, 'DE', 'Germany'),
(119384, '195.73.232.8', '195.73.232.199', 3276400648, 3276400839, 'NL', 'Netherlands'),
(119385, '195.73.232.200', '195.73.232.207', 3276400840, 3276400847, 'DE', 'Germany'),
(119386, '195.73.232.208', '195.73.232.215', 3276400848, 3276400855, 'NL', 'Netherlands'),
(119387, '195.73.232.216', '195.73.232.223', 3276400856, 3276400863, 'DE', 'Germany'),
(119388, '195.73.232.224', '195.73.232.255', 3276400864, 3276400895, 'NL', 'Netherlands'),
(119389, '195.73.233.0', '195.73.233.15', 3276400896, 3276400911, 'DE', 'Germany'),
(119390, '195.73.233.16', '195.73.233.127', 3276400912, 3276401023, 'NL', 'Netherlands'),
(119391, '195.73.233.128', '195.73.233.135', 3276401024, 3276401031, 'DE', 'Germany'),
(119392, '195.73.233.136', '195.73.233.167', 3276401032, 3276401063, 'NL', 'Netherlands'),
(119393, '195.73.233.168', '195.73.233.175', 3276401064, 3276401071, 'DE', 'Germany'),
(119394, '195.73.233.176', '195.73.233.191', 3276401072, 3276401087, 'NL', 'Netherlands'),
(119395, '195.73.233.192', '195.73.233.199', 3276401088, 3276401095, 'DE', 'Germany'),
(119396, '195.73.233.200', '195.73.233.215', 3276401096, 3276401111, 'NL', 'Netherlands'),
(119397, '195.73.233.216', '195.73.233.223', 3276401112, 3276401119, 'DE', 'Germany'),
(119398, '195.73.233.224', '195.73.234.15', 3276401120, 3276401167, 'NL', 'Netherlands'),
(119399, '195.73.234.16', '195.73.234.23', 3276401168, 3276401175, 'DE', 'Germany'),
(119400, '195.73.234.24', '195.73.234.63', 3276401176, 3276401215, 'NL', 'Netherlands'),
(119401, '195.73.234.64', '195.73.234.71', 3276401216, 3276401223, 'DE', 'Germany'),
(119402, '195.73.234.72', '195.73.234.87', 3276401224, 3276401239, 'NL', 'Netherlands'),
(119403, '195.73.234.88', '195.73.234.95', 3276401240, 3276401247, 'DE', 'Germany'),
(119404, '195.73.234.96', '195.73.234.127', 3276401248, 3276401279, 'NL', 'Netherlands'),
(119405, '195.73.234.128', '195.73.234.135', 3276401280, 3276401287, 'DE', 'Germany'),
(119406, '195.73.234.136', '195.73.234.175', 3276401288, 3276401327, 'NL', 'Netherlands'),
(119407, '195.73.234.176', '195.73.234.183', 3276401328, 3276401335, 'DE', 'Germany'),
(119408, '195.73.234.184', '195.73.234.239', 3276401336, 3276401391, 'NL', 'Netherlands'),
(119409, '195.73.234.240', '195.73.234.247', 3276401392, 3276401399, 'DE', 'Germany'),
(119410, '195.73.234.248', '195.73.235.47', 3276401400, 3276401455, 'NL', 'Netherlands'),
(119411, '195.73.235.48', '195.73.235.55', 3276401456, 3276401463, 'DE', 'Germany'),
(119412, '195.73.235.56', '195.73.235.127', 3276401464, 3276401535, 'NL', 'Netherlands'),
(119413, '195.73.235.128', '195.73.235.135', 3276401536, 3276401543, 'DE', 'Germany'),
(119414, '195.73.235.136', '195.73.235.175', 3276401544, 3276401583, 'NL', 'Netherlands'),
(119415, '195.73.235.176', '195.73.235.183', 3276401584, 3276401591, 'DE', 'Germany'),
(119416, '195.73.235.184', '195.73.235.207', 3276401592, 3276401615, 'NL', 'Netherlands'),
(119417, '195.73.235.208', '195.73.235.215', 3276401616, 3276401623, 'DE', 'Germany'),
(119418, '195.73.235.216', '195.73.236.39', 3276401624, 3276401703, 'NL', 'Netherlands'),
(119419, '195.73.236.40', '195.73.236.47', 3276401704, 3276401711, 'DE', 'Germany'),
(119420, '195.73.236.48', '195.73.236.63', 3276401712, 3276401727, 'NL', 'Netherlands'),
(119421, '195.73.236.64', '195.73.236.71', 3276401728, 3276401735, 'DE', 'Germany'),
(119422, '195.73.236.72', '195.73.236.79', 3276401736, 3276401743, 'NL', 'Netherlands'),
(119423, '195.73.236.80', '195.73.236.95', 3276401744, 3276401759, 'DE', 'Germany'),
(119424, '195.73.236.96', '195.73.236.111', 3276401760, 3276401775, 'NL', 'Netherlands'),
(119425, '195.73.236.112', '195.73.236.119', 3276401776, 3276401783, 'DE', 'Germany'),
(119426, '195.73.236.120', '195.73.236.191', 3276401784, 3276401855, 'NL', 'Netherlands'),
(119427, '195.73.236.192', '195.73.236.199', 3276401856, 3276401863, 'DE', 'Germany'),
(119428, '195.73.236.200', '195.73.236.255', 3276401864, 3276401919, 'NL', 'Netherlands'),
(119429, '195.73.237.0', '195.73.237.7', 3276401920, 3276401927, 'DE', 'Germany'),
(119430, '195.73.237.8', '195.73.237.23', 3276401928, 3276401943, 'NL', 'Netherlands'),
(119431, '195.73.237.24', '195.73.237.39', 3276401944, 3276401959, 'DE', 'Germany'),
(119432, '195.73.237.40', '195.73.237.55', 3276401960, 3276401975, 'NL', 'Netherlands'),
(119433, '195.73.237.56', '195.73.237.63', 3276401976, 3276401983, 'DE', 'Germany'),
(119434, '195.73.237.64', '195.73.237.71', 3276401984, 3276401991, 'NL', 'Netherlands'),
(119435, '195.73.237.72', '195.73.237.87', 3276401992, 3276402007, 'DE', 'Germany'),
(119436, '195.73.237.88', '195.73.237.135', 3276402008, 3276402055, 'NL', 'Netherlands'),
(119437, '195.73.237.136', '195.73.237.143', 3276402056, 3276402063, 'DE', 'Germany'),
(119438, '195.73.237.144', '195.73.238.95', 3276402064, 3276402271, 'NL', 'Netherlands'),
(119439, '195.73.238.96', '195.73.238.103', 3276402272, 3276402279, 'DE', 'Germany'),
(119440, '195.73.238.104', '195.73.238.127', 3276402280, 3276402303, 'NL', 'Netherlands'),
(119441, '195.73.238.128', '195.73.238.135', 3276402304, 3276402311, 'DE', 'Germany'),
(119442, '195.73.238.136', '195.73.238.151', 3276402312, 3276402327, 'NL', 'Netherlands'),
(119443, '195.73.238.152', '195.73.238.175', 3276402328, 3276402351, 'DE', 'Germany'),
(119444, '195.73.238.176', '195.73.238.207', 3276402352, 3276402383, 'NL', 'Netherlands'),
(119445, '195.73.238.208', '195.73.238.215', 3276402384, 3276402391, 'DE', 'Germany'),
(119446, '195.73.238.216', '195.73.238.239', 3276402392, 3276402415, 'NL', 'Netherlands'),
(119447, '195.73.238.240', '195.73.238.247', 3276402416, 3276402423, 'DE', 'Germany'),
(119448, '195.73.238.248', '195.73.239.7', 3276402424, 3276402439, 'NL', 'Netherlands'),
(119449, '195.73.239.8', '195.73.239.15', 3276402440, 3276402447, 'DE', 'Germany'),
(119450, '195.73.239.16', '195.73.239.71', 3276402448, 3276402503, 'NL', 'Netherlands'),
(119451, '195.73.239.72', '195.73.239.79', 3276402504, 3276402511, 'DE', 'Germany'),
(119452, '195.73.239.80', '195.73.239.87', 3276402512, 3276402519, 'NL', 'Netherlands'),
(119453, '195.73.239.88', '195.73.239.95', 3276402520, 3276402527, 'DE', 'Germany'),
(119454, '195.73.239.96', '195.73.239.159', 3276402528, 3276402591, 'NL', 'Netherlands'),
(119455, '195.73.239.160', '195.73.239.167', 3276402592, 3276402599, 'DE', 'Germany'),
(119456, '195.73.239.168', '195.73.239.175', 3276402600, 3276402607, 'NL', 'Netherlands'),
(119457, '195.73.239.176', '195.73.239.183', 3276402608, 3276402615, 'DE', 'Germany'),
(119458, '195.73.239.184', '195.73.239.207', 3276402616, 3276402639, 'NL', 'Netherlands'),
(119459, '195.73.239.208', '195.73.239.215', 3276402640, 3276402647, 'DE', 'Germany'),
(119460, '195.73.239.216', '195.73.239.223', 3276402648, 3276402655, 'NL', 'Netherlands'),
(119461, '195.73.239.224', '195.73.239.239', 3276402656, 3276402671, 'DE', 'Germany'),
(119462, '195.73.239.240', '195.73.240.23', 3276402672, 3276402711, 'NL', 'Netherlands'),
(119463, '195.73.240.24', '195.73.240.31', 3276402712, 3276402719, 'DE', 'Germany'),
(119464, '195.73.240.32', '195.73.240.47', 3276402720, 3276402735, 'NL', 'Netherlands'),
(119465, '195.73.240.48', '195.73.240.55', 3276402736, 3276402743, 'DE', 'Germany'),
(119466, '195.73.240.56', '195.73.240.71', 3276402744, 3276402759, 'NL', 'Netherlands'),
(119467, '195.73.240.72', '195.73.240.79', 3276402760, 3276402767, 'DE', 'Germany'),
(119468, '195.73.240.80', '195.73.240.95', 3276402768, 3276402783, 'NL', 'Netherlands'),
(119469, '195.73.240.96', '195.73.240.103', 3276402784, 3276402791, 'DE', 'Germany'),
(119470, '195.73.240.104', '195.73.240.159', 3276402792, 3276402847, 'NL', 'Netherlands'),
(119471, '195.73.240.160', '195.73.240.167', 3276402848, 3276402855, 'DE', 'Germany'),
(119472, '195.73.240.168', '195.73.241.15', 3276402856, 3276402959, 'NL', 'Netherlands'),
(119473, '195.73.241.16', '195.73.241.23', 3276402960, 3276402967, 'DE', 'Germany'),
(119474, '195.73.241.24', '195.73.241.31', 3276402968, 3276402975, 'NL', 'Netherlands'),
(119475, '195.73.241.32', '195.73.241.39', 3276402976, 3276402983, 'DE', 'Germany'),
(119476, '195.73.241.40', '195.73.241.63', 3276402984, 3276403007, 'NL', 'Netherlands'),
(119477, '195.73.241.64', '195.73.241.71', 3276403008, 3276403015, 'DE', 'Germany'),
(119478, '195.73.241.72', '195.73.241.79', 3276403016, 3276403023, 'NL', 'Netherlands'),
(119479, '195.73.241.80', '195.73.241.87', 3276403024, 3276403031, 'DE', 'Germany'),
(119480, '195.73.241.88', '195.73.241.103', 3276403032, 3276403047, 'NL', 'Netherlands'),
(119481, '195.73.241.104', '195.73.241.111', 3276403048, 3276403055, 'DE', 'Germany'),
(119482, '195.73.241.112', '195.73.241.191', 3276403056, 3276403135, 'NL', 'Netherlands'),
(119483, '195.73.241.192', '195.73.241.199', 3276403136, 3276403143, 'DE', 'Germany'),
(119484, '195.73.241.200', '195.73.241.207', 3276403144, 3276403151, 'NL', 'Netherlands'),
(119485, '195.73.241.208', '195.73.241.215', 3276403152, 3276403159, 'DE', 'Germany'),
(119486, '195.73.241.216', '195.73.241.223', 3276403160, 3276403167, 'NL', 'Netherlands'),
(119487, '195.73.241.224', '195.73.241.247', 3276403168, 3276403191, 'DE', 'Germany'),
(119488, '195.73.241.248', '195.73.242.39', 3276403192, 3276403239, 'NL', 'Netherlands'),
(119489, '195.73.242.40', '195.73.242.47', 3276403240, 3276403247, 'DE', 'Germany'),
(119490, '195.73.242.48', '195.73.242.71', 3276403248, 3276403271, 'NL', 'Netherlands'),
(119491, '195.73.242.72', '195.73.242.79', 3276403272, 3276403279, 'DE', 'Germany'),
(119492, '195.73.242.80', '195.73.242.87', 3276403280, 3276403287, 'NL', 'Netherlands'),
(119493, '195.73.242.88', '195.73.242.95', 3276403288, 3276403295, 'DE', 'Germany'),
(119494, '195.73.242.96', '195.73.242.143', 3276403296, 3276403343, 'NL', 'Netherlands'),
(119495, '195.73.242.144', '195.73.242.151', 3276403344, 3276403351, 'DE', 'Germany'),
(119496, '195.73.242.152', '195.73.242.167', 3276403352, 3276403367, 'NL', 'Netherlands'),
(119497, '195.73.242.168', '195.73.242.175', 3276403368, 3276403375, 'DE', 'Germany'),
(119498, '195.73.242.176', '195.73.242.199', 3276403376, 3276403399, 'NL', 'Netherlands'),
(119499, '195.73.242.200', '195.73.242.207', 3276403400, 3276403407, 'DE', 'Germany'),
(119500, '195.73.242.208', '195.73.243.23', 3276403408, 3276403479, 'NL', 'Netherlands'),
(119501, '195.73.243.24', '195.73.243.31', 3276403480, 3276403487, 'DE', 'Germany'),
(119502, '195.73.243.32', '195.73.243.39', 3276403488, 3276403495, 'NL', 'Netherlands'),
(119503, '195.73.243.40', '195.73.243.47', 3276403496, 3276403503, 'DE', 'Germany'),
(119504, '195.73.243.48', '195.73.243.55', 3276403504, 3276403511, 'NL', 'Netherlands'),
(119505, '195.73.243.56', '195.73.243.63', 3276403512, 3276403519, 'DE', 'Germany'),
(119506, '195.73.243.64', '195.73.243.71', 3276403520, 3276403527, 'NL', 'Netherlands'),
(119507, '195.73.243.72', '195.73.243.79', 3276403528, 3276403535, 'DE', 'Germany'),
(119508, '195.73.243.80', '195.73.243.111', 3276403536, 3276403567, 'NL', 'Netherlands'),
(119509, '195.73.243.112', '195.73.243.127', 3276403568, 3276403583, 'DE', 'Germany'),
(119510, '195.73.243.128', '195.73.243.223', 3276403584, 3276403679, 'NL', 'Netherlands'),
(119511, '195.73.243.224', '195.73.243.231', 3276403680, 3276403687, 'DE', 'Germany'),
(119512, '195.73.243.232', '195.73.244.87', 3276403688, 3276403799, 'NL', 'Netherlands'),
(119513, '195.73.244.88', '195.73.244.95', 3276403800, 3276403807, 'DE', 'Germany'),
(119514, '195.73.244.96', '195.73.244.127', 3276403808, 3276403839, 'NL', 'Netherlands'),
(119515, '195.73.244.128', '195.73.244.135', 3276403840, 3276403847, 'DE', 'Germany'),
(119516, '195.73.244.136', '195.73.244.255', 3276403848, 3276403967, 'NL', 'Netherlands'),
(119517, '195.73.245.0', '195.73.245.7', 3276403968, 3276403975, 'DE', 'Germany'),
(119518, '195.73.245.8', '195.73.245.15', 3276403976, 3276403983, 'NL', 'Netherlands'),
(119519, '195.73.245.16', '195.73.245.23', 3276403984, 3276403991, 'DE', 'Germany'),
(119520, '195.73.245.24', '195.73.245.55', 3276403992, 3276404023, 'NL', 'Netherlands'),
(119521, '195.73.245.56', '195.73.245.63', 3276404024, 3276404031, 'DE', 'Germany'),
(119522, '195.73.245.64', '195.73.245.79', 3276404032, 3276404047, 'NL', 'Netherlands'),
(119523, '195.73.245.80', '195.73.245.87', 3276404048, 3276404055, 'DE', 'Germany'),
(119524, '195.73.245.88', '195.73.245.111', 3276404056, 3276404079, 'NL', 'Netherlands'),
(119525, '195.73.245.112', '195.73.245.119', 3276404080, 3276404087, 'DE', 'Germany'),
(119526, '195.73.245.120', '195.73.245.151', 3276404088, 3276404119, 'NL', 'Netherlands'),
(119527, '195.73.245.152', '195.73.245.159', 3276404120, 3276404127, 'DE', 'Germany'),
(119528, '195.73.245.160', '195.73.246.175', 3276404128, 3276404399, 'NL', 'Netherlands'),
(119529, '195.73.246.176', '195.73.246.183', 3276404400, 3276404407, 'DE', 'Germany'),
(119530, '195.73.246.184', '195.73.246.223', 3276404408, 3276404447, 'NL', 'Netherlands'),
(119531, '195.73.246.224', '195.73.246.231', 3276404448, 3276404455, 'DE', 'Germany'),
(119532, '195.73.246.232', '195.73.246.255', 3276404456, 3276404479, 'NL', 'Netherlands'),
(119533, '195.73.247.0', '195.73.247.7', 3276404480, 3276404487, 'DE', 'Germany'),
(119534, '195.73.247.8', '195.73.247.159', 3276404488, 3276404639, 'NL', 'Netherlands'),
(119535, '195.73.247.160', '195.73.247.167', 3276404640, 3276404647, 'DE', 'Germany'),
(119536, '195.73.247.168', '195.73.247.239', 3276404648, 3276404719, 'NL', 'Netherlands'),
(119537, '195.73.247.240', '195.73.248.7', 3276404720, 3276404743, 'DE', 'Germany'),
(119538, '195.73.248.8', '195.73.248.167', 3276404744, 3276404903, 'NL', 'Netherlands'),
(119539, '195.73.248.168', '195.73.248.175', 3276404904, 3276404911, 'DE', 'Germany'),
(119540, '195.73.248.176', '195.73.248.199', 3276404912, 3276404935, 'NL', 'Netherlands'),
(119541, '195.73.248.200', '195.73.248.207', 3276404936, 3276404943, 'DE', 'Germany'),
(119542, '195.73.248.208', '195.73.249.31', 3276404944, 3276405023, 'NL', 'Netherlands'),
(119543, '195.73.249.32', '195.73.249.39', 3276405024, 3276405031, 'DE', 'Germany'),
(119544, '195.73.249.40', '195.73.249.71', 3276405032, 3276405063, 'NL', 'Netherlands'),
(119545, '195.73.249.72', '195.73.249.87', 3276405064, 3276405079, 'DE', 'Germany'),
(119546, '195.73.249.88', '195.73.250.15', 3276405080, 3276405263, 'NL', 'Netherlands'),
(119547, '195.73.250.16', '195.73.250.23', 3276405264, 3276405271, 'DE', 'Germany'),
(119548, '195.73.250.24', '195.73.250.79', 3276405272, 3276405327, 'NL', 'Netherlands'),
(119549, '195.73.250.80', '195.73.250.87', 3276405328, 3276405335, 'DE', 'Germany'),
(119550, '195.73.250.88', '195.73.250.143', 3276405336, 3276405391, 'NL', 'Netherlands'),
(119551, '195.73.250.144', '195.73.250.151', 3276405392, 3276405399, 'DE', 'Germany'),
(119552, '195.73.250.152', '195.73.251.175', 3276405400, 3276405679, 'NL', 'Netherlands'),
(119553, '195.73.251.176', '195.73.251.183', 3276405680, 3276405687, 'DE', 'Germany'),
(119554, '195.73.251.184', '195.73.251.215', 3276405688, 3276405719, 'NL', 'Netherlands'),
(119555, '195.73.251.216', '195.73.251.231', 3276405720, 3276405735, 'DE', 'Germany'),
(119556, '195.73.251.232', '195.73.251.255', 3276405736, 3276405759, 'NL', 'Netherlands'),
(119557, '195.73.252.0', '195.73.252.7', 3276405760, 3276405767, 'DE', 'Germany'),
(119558, '195.73.252.8', '195.73.252.15', 3276405768, 3276405775, 'NL', 'Netherlands'),
(119559, '195.73.252.16', '195.73.252.23', 3276405776, 3276405783, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(119560, '195.73.252.24', '195.73.252.183', 3276405784, 3276405943, 'NL', 'Netherlands'),
(119561, '195.73.252.184', '195.73.252.191', 3276405944, 3276405951, 'DE', 'Germany'),
(119562, '195.73.252.192', '195.73.253.143', 3276405952, 3276406159, 'NL', 'Netherlands'),
(119563, '195.73.253.144', '195.73.253.151', 3276406160, 3276406167, 'DE', 'Germany'),
(119564, '195.73.253.152', '195.73.253.159', 3276406168, 3276406175, 'NL', 'Netherlands'),
(119565, '195.73.253.160', '195.73.253.167', 3276406176, 3276406183, 'DE', 'Germany'),
(119566, '195.73.253.168', '195.73.253.191', 3276406184, 3276406207, 'NL', 'Netherlands'),
(119567, '195.73.253.192', '195.73.253.199', 3276406208, 3276406215, 'DE', 'Germany'),
(119568, '195.73.253.200', '195.73.254.15', 3276406216, 3276406287, 'NL', 'Netherlands'),
(119569, '195.73.254.16', '195.73.254.23', 3276406288, 3276406295, 'DE', 'Germany'),
(119570, '195.73.254.24', '195.73.254.103', 3276406296, 3276406375, 'NL', 'Netherlands'),
(119571, '195.73.254.104', '195.73.254.111', 3276406376, 3276406383, 'DE', 'Germany'),
(119572, '195.73.254.112', '195.73.254.135', 3276406384, 3276406407, 'NL', 'Netherlands'),
(119573, '195.73.254.136', '195.73.254.143', 3276406408, 3276406415, 'DE', 'Germany'),
(119574, '195.73.254.144', '195.73.254.239', 3276406416, 3276406511, 'NL', 'Netherlands'),
(119575, '195.73.254.240', '195.73.254.247', 3276406512, 3276406519, 'DE', 'Germany'),
(119576, '195.73.254.248', '195.73.255.31', 3276406520, 3276406559, 'NL', 'Netherlands'),
(119577, '195.73.255.32', '195.73.255.39', 3276406560, 3276406567, 'DE', 'Germany'),
(119578, '195.73.255.40', '195.73.255.111', 3276406568, 3276406639, 'NL', 'Netherlands'),
(119579, '195.73.255.112', '195.73.255.119', 3276406640, 3276406647, 'DE', 'Germany'),
(119580, '195.73.255.120', '195.73.255.231', 3276406648, 3276406759, 'NL', 'Netherlands'),
(119581, '195.73.255.232', '195.73.255.239', 3276406760, 3276406767, 'DE', 'Germany'),
(119582, '195.73.255.240', '195.73.255.255', 3276406768, 3276406783, 'NL', 'Netherlands'),
(119583, '195.74.0.0', '195.74.31.255', 3276406784, 3276414975, 'FI', 'Finland'),
(119584, '195.74.32.0', '195.74.35.255', 3276414976, 3276415999, 'DK', 'Denmark'),
(119585, '195.74.36.0', '195.74.39.255', 3276416000, 3276417023, 'SE', 'Sweden'),
(119586, '195.74.40.0', '195.74.47.255', 3276417024, 3276419071, 'DE', 'Germany'),
(119587, '195.74.48.0', '195.74.51.255', 3276419072, 3276420095, 'PL', 'Poland'),
(119588, '195.74.52.0', '195.74.55.255', 3276420096, 3276421119, 'GB', 'United Kingdom'),
(119589, '195.74.56.0', '195.74.59.255', 3276421120, 3276422143, 'PL', 'Poland'),
(119590, '195.74.60.0', '195.74.61.255', 3276422144, 3276422655, 'GB', 'United Kingdom'),
(119591, '195.74.62.0', '195.74.63.255', 3276422656, 3276423167, 'RU', 'Russian Federation'),
(119592, '195.74.64.0', '195.74.64.255', 3276423168, 3276423423, 'PL', 'Poland'),
(119593, '195.74.65.0', '195.74.65.255', 3276423424, 3276423679, 'NL', 'Netherlands'),
(119594, '195.74.66.0', '195.74.66.255', 3276423680, 3276423935, 'SE', 'Sweden'),
(119595, '195.74.67.0', '195.74.67.255', 3276423936, 3276424191, 'UA', 'Ukraine'),
(119596, '195.74.68.0', '195.74.68.255', 3276424192, 3276424447, 'GB', 'United Kingdom'),
(119597, '195.74.69.0', '195.74.69.255', 3276424448, 3276424703, 'PL', 'Poland'),
(119598, '195.74.70.0', '195.74.70.255', 3276424704, 3276424959, 'DE', 'Germany'),
(119599, '195.74.71.0', '195.74.71.255', 3276424960, 3276425215, 'RO', 'Romania'),
(119600, '195.74.72.0', '195.74.72.255', 3276425216, 3276425471, 'UA', 'Ukraine'),
(119601, '195.74.73.0', '195.74.73.255', 3276425472, 3276425727, 'DE', 'Germany'),
(119602, '195.74.74.0', '195.74.74.255', 3276425728, 3276425983, 'RU', 'Russian Federation'),
(119603, '195.74.75.0', '195.74.75.255', 3276425984, 3276426239, 'IT', 'Italy'),
(119604, '195.74.76.0', '195.74.76.255', 3276426240, 3276426495, 'CZ', 'Czech Republic'),
(119605, '195.74.77.0', '195.74.77.255', 3276426496, 3276426751, 'DK', 'Denmark'),
(119606, '195.74.78.0', '195.74.78.255', 3276426752, 3276427007, 'RO', 'Romania'),
(119607, '195.74.79.0', '195.74.79.255', 3276427008, 3276427263, 'PL', 'Poland'),
(119608, '195.74.80.0', '195.74.80.255', 3276427264, 3276427519, 'FR', 'France'),
(119609, '195.74.81.0', '195.74.81.255', 3276427520, 3276427775, 'IT', 'Italy'),
(119610, '195.74.82.0', '195.74.82.255', 3276427776, 3276428031, 'RU', 'Russian Federation'),
(119611, '195.74.83.0', '195.74.83.255', 3276428032, 3276428287, 'GB', 'United Kingdom'),
(119612, '195.74.84.0', '195.74.84.255', 3276428288, 3276428543, 'RU', 'Russian Federation'),
(119613, '195.74.85.0', '195.74.85.255', 3276428544, 3276428799, 'BG', 'Bulgaria'),
(119614, '195.74.86.0', '195.74.86.255', 3276428800, 3276429055, 'DE', 'Germany'),
(119615, '195.74.87.0', '195.74.87.255', 3276429056, 3276429311, 'NL', 'Netherlands'),
(119616, '195.74.88.0', '195.74.90.255', 3276429312, 3276430079, 'RU', 'Russian Federation'),
(119617, '195.74.91.0', '195.74.92.255', 3276430080, 3276430591, 'PL', 'Poland'),
(119618, '195.74.93.0', '195.74.93.255', 3276430592, 3276430847, 'GB', 'United Kingdom'),
(119619, '195.74.94.0', '195.74.94.255', 3276430848, 3276431103, 'DE', 'Germany'),
(119620, '195.74.95.0', '195.74.95.255', 3276431104, 3276431359, 'RU', 'Russian Federation'),
(119621, '195.74.96.0', '195.74.159.255', 3276431360, 3276447743, 'GB', 'United Kingdom'),
(119622, '195.74.160.0', '195.74.174.255', 3276447744, 3276451583, 'DE', 'Germany'),
(119623, '195.74.175.0', '195.74.191.255', 3276451584, 3276455935, 'EU', 'Europe'),
(119624, '195.74.192.0', '195.74.223.255', 3276455936, 3276464127, 'BE', 'Belgium'),
(119625, '195.74.224.0', '195.74.255.255', 3276464128, 3276472319, 'GR', 'Greece'),
(119626, '195.75.0.0', '195.75.0.255', 3276472320, 3276472575, 'EU', 'Europe'),
(119627, '195.75.1.0', '195.75.1.255', 3276472576, 3276472831, 'AT', 'Austria'),
(119628, '195.75.2.0', '195.75.2.31', 3276472832, 3276472863, 'EU', 'Europe'),
(119629, '195.75.2.32', '195.75.2.47', 3276472864, 3276472879, 'AT', 'Austria'),
(119630, '195.75.2.48', '195.75.3.15', 3276472880, 3276473103, 'EU', 'Europe'),
(119631, '195.75.3.16', '195.75.3.23', 3276473104, 3276473111, 'AT', 'Austria'),
(119632, '195.75.3.24', '195.75.3.31', 3276473112, 3276473119, 'EU', 'Europe'),
(119633, '195.75.3.32', '195.75.3.47', 3276473120, 3276473135, 'AT', 'Austria'),
(119634, '195.75.3.48', '195.75.3.55', 3276473136, 3276473143, 'EU', 'Europe'),
(119635, '195.75.3.56', '195.75.3.111', 3276473144, 3276473199, 'AT', 'Austria'),
(119636, '195.75.3.112', '195.75.3.127', 3276473200, 3276473215, 'EU', 'Europe'),
(119637, '195.75.3.128', '195.75.3.191', 3276473216, 3276473279, 'AT', 'Austria'),
(119638, '195.75.3.192', '195.75.3.207', 3276473280, 3276473295, 'EU', 'Europe'),
(119639, '195.75.3.208', '195.75.3.223', 3276473296, 3276473311, 'AT', 'Austria'),
(119640, '195.75.3.224', '195.75.3.255', 3276473312, 3276473343, 'EU', 'Europe'),
(119641, '195.75.4.0', '195.75.5.255', 3276473344, 3276473855, 'AT', 'Austria'),
(119642, '195.75.6.0', '195.75.7.159', 3276473856, 3276474271, 'EU', 'Europe'),
(119643, '195.75.7.160', '195.75.7.183', 3276474272, 3276474295, 'AT', 'Austria'),
(119644, '195.75.7.184', '195.75.7.207', 3276474296, 3276474319, 'EU', 'Europe'),
(119645, '195.75.7.208', '195.75.7.255', 3276474320, 3276474367, 'AT', 'Austria'),
(119646, '195.75.8.0', '195.75.8.255', 3276474368, 3276474623, 'EU', 'Europe'),
(119647, '195.75.9.0', '195.75.9.255', 3276474624, 3276474879, 'GB', 'United Kingdom'),
(119648, '195.75.10.0', '195.75.10.127', 3276474880, 3276475007, 'EU', 'Europe'),
(119649, '195.75.10.128', '195.75.10.143', 3276475008, 3276475023, 'IT', 'Italy'),
(119650, '195.75.10.144', '195.75.10.159', 3276475024, 3276475039, 'FR', 'France'),
(119651, '195.75.10.160', '195.75.10.175', 3276475040, 3276475055, 'EU', 'Europe'),
(119652, '195.75.10.176', '195.75.10.191', 3276475056, 3276475071, 'IT', 'Italy'),
(119653, '195.75.10.192', '195.75.13.255', 3276475072, 3276475903, 'EU', 'Europe'),
(119654, '195.75.14.0', '195.75.14.207', 3276475904, 3276476111, 'IT', 'Italy'),
(119655, '195.75.14.208', '195.75.14.215', 3276476112, 3276476119, 'GB', 'United Kingdom'),
(119656, '195.75.14.216', '195.75.14.255', 3276476120, 3276476159, 'IT', 'Italy'),
(119657, '195.75.15.0', '195.75.15.255', 3276476160, 3276476415, 'EU', 'Europe'),
(119658, '195.75.16.0', '195.75.16.255', 3276476416, 3276476671, 'CH', 'Switzerland'),
(119659, '195.75.17.0', '195.75.19.255', 3276476672, 3276477439, 'EU', 'Europe'),
(119660, '195.75.20.0', '195.75.22.31', 3276477440, 3276477983, 'CH', 'Switzerland'),
(119661, '195.75.22.32', '195.75.23.111', 3276477984, 3276478319, 'EU', 'Europe'),
(119662, '195.75.23.112', '195.75.23.127', 3276478320, 3276478335, 'CH', 'Switzerland'),
(119663, '195.75.23.128', '195.75.23.255', 3276478336, 3276478463, 'EU', 'Europe'),
(119664, '195.75.24.0', '195.75.26.191', 3276478464, 3276479167, 'FR', 'France'),
(119665, '195.75.26.192', '195.75.26.223', 3276479168, 3276479199, 'EU', 'Europe'),
(119666, '195.75.26.224', '195.75.26.239', 3276479200, 3276479215, 'FR', 'France'),
(119667, '195.75.26.240', '195.75.26.247', 3276479216, 3276479223, 'EU', 'Europe'),
(119668, '195.75.26.248', '195.75.27.47', 3276479224, 3276479279, 'FR', 'France'),
(119669, '195.75.27.48', '195.75.27.111', 3276479280, 3276479343, 'EU', 'Europe'),
(119670, '195.75.27.112', '195.75.27.119', 3276479344, 3276479351, 'GB', 'United Kingdom'),
(119671, '195.75.27.120', '195.75.27.127', 3276479352, 3276479359, 'EU', 'Europe'),
(119672, '195.75.27.128', '195.75.28.127', 3276479360, 3276479615, 'FR', 'France'),
(119673, '195.75.28.128', '195.75.28.159', 3276479616, 3276479647, 'EU', 'Europe'),
(119674, '195.75.28.160', '195.75.28.255', 3276479648, 3276479743, 'FR', 'France'),
(119675, '195.75.29.0', '195.75.29.255', 3276479744, 3276479999, 'EU', 'Europe'),
(119676, '195.75.30.0', '195.75.30.143', 3276480000, 3276480143, 'FR', 'France'),
(119677, '195.75.30.144', '195.75.30.151', 3276480144, 3276480151, 'EU', 'Europe'),
(119678, '195.75.30.152', '195.75.30.159', 3276480152, 3276480159, 'FR', 'France'),
(119679, '195.75.30.160', '195.75.30.191', 3276480160, 3276480191, 'EU', 'Europe'),
(119680, '195.75.30.192', '195.75.31.63', 3276480192, 3276480319, 'FR', 'France'),
(119681, '195.75.31.64', '195.75.31.79', 3276480320, 3276480335, 'EU', 'Europe'),
(119682, '195.75.31.80', '195.75.31.119', 3276480336, 3276480375, 'FR', 'France'),
(119683, '195.75.31.120', '195.75.31.143', 3276480376, 3276480399, 'EU', 'Europe'),
(119684, '195.75.31.144', '195.75.31.183', 3276480400, 3276480439, 'FR', 'France'),
(119685, '195.75.31.184', '195.75.31.199', 3276480440, 3276480455, 'EU', 'Europe'),
(119686, '195.75.31.200', '195.75.31.223', 3276480456, 3276480479, 'FR', 'France'),
(119687, '195.75.31.224', '195.75.31.255', 3276480480, 3276480511, 'EU', 'Europe'),
(119688, '195.75.32.0', '195.75.32.255', 3276480512, 3276480767, 'RU', 'Russian Federation'),
(119689, '195.75.33.0', '195.75.33.255', 3276480768, 3276481023, 'EU', 'Europe'),
(119690, '195.75.34.0', '195.75.35.255', 3276481024, 3276481535, 'RU', 'Russian Federation'),
(119691, '195.75.36.0', '195.75.39.255', 3276481536, 3276482559, 'EU', 'Europe'),
(119692, '195.75.40.0', '195.75.40.255', 3276482560, 3276482815, 'GR', 'Greece'),
(119693, '195.75.41.0', '195.75.41.255', 3276482816, 3276483071, 'EU', 'Europe'),
(119694, '195.75.42.0', '195.75.43.31', 3276483072, 3276483359, 'GR', 'Greece'),
(119695, '195.75.43.32', '195.75.43.63', 3276483360, 3276483391, 'EU', 'Europe'),
(119696, '195.75.43.64', '195.75.43.191', 3276483392, 3276483519, 'GR', 'Greece'),
(119697, '195.75.43.192', '195.75.43.255', 3276483520, 3276483583, 'EU', 'Europe'),
(119698, '195.75.44.0', '195.75.44.127', 3276483584, 3276483711, 'GR', 'Greece'),
(119699, '195.75.44.128', '195.75.44.255', 3276483712, 3276483839, 'EU', 'Europe'),
(119700, '195.75.45.0', '195.75.46.255', 3276483840, 3276484351, 'GR', 'Greece'),
(119701, '195.75.47.0', '195.75.47.31', 3276484352, 3276484383, 'EU', 'Europe'),
(119702, '195.75.47.32', '195.75.47.127', 3276484384, 3276484479, 'GR', 'Greece'),
(119703, '195.75.47.128', '195.75.47.255', 3276484480, 3276484607, 'EU', 'Europe'),
(119704, '195.75.48.0', '195.75.48.255', 3276484608, 3276484863, 'SK', 'Slovakia'),
(119705, '195.75.49.0', '195.75.51.255', 3276484864, 3276485631, 'EU', 'Europe'),
(119706, '195.75.52.0', '195.75.55.255', 3276485632, 3276486655, 'GB', 'United Kingdom'),
(119707, '195.75.56.0', '195.75.56.255', 3276486656, 3276486911, 'EU', 'Europe'),
(119708, '195.75.57.0', '195.75.57.255', 3276486912, 3276487167, 'GR', 'Greece'),
(119709, '195.75.58.0', '195.75.64.255', 3276487168, 3276488959, 'EU', 'Europe'),
(119710, '195.75.65.0', '195.75.65.255', 3276488960, 3276489215, 'CZ', 'Czech Republic'),
(119711, '195.75.66.0', '195.75.71.255', 3276489216, 3276490751, 'EU', 'Europe'),
(119712, '195.75.72.0', '195.75.73.255', 3276490752, 3276491263, 'NL', 'Netherlands'),
(119713, '195.75.74.0', '195.75.74.63', 3276491264, 3276491327, 'CZ', 'Czech Republic'),
(119714, '195.75.74.64', '195.75.74.95', 3276491328, 3276491359, 'EU', 'Europe'),
(119715, '195.75.74.96', '195.75.74.127', 3276491360, 3276491391, 'NO', 'Norway'),
(119716, '195.75.74.128', '195.75.75.255', 3276491392, 3276491775, 'CZ', 'Czech Republic'),
(119717, '195.75.76.0', '195.75.76.71', 3276491776, 3276491847, 'GB', 'United Kingdom'),
(119718, '195.75.76.72', '195.75.76.79', 3276491848, 3276491855, 'EU', 'Europe'),
(119719, '195.75.76.80', '195.75.77.15', 3276491856, 3276492047, 'GB', 'United Kingdom'),
(119720, '195.75.77.16', '195.75.77.31', 3276492048, 3276492063, 'EU', 'Europe'),
(119721, '195.75.77.32', '195.75.77.95', 3276492064, 3276492127, 'GB', 'United Kingdom'),
(119722, '195.75.77.96', '195.75.77.111', 3276492128, 3276492143, 'EU', 'Europe'),
(119723, '195.75.77.112', '195.75.77.119', 3276492144, 3276492151, 'GB', 'United Kingdom'),
(119724, '195.75.77.120', '195.75.77.255', 3276492152, 3276492287, 'EU', 'Europe'),
(119725, '195.75.78.0', '195.75.80.31', 3276492288, 3276492831, 'GB', 'United Kingdom'),
(119726, '195.75.80.32', '195.75.80.39', 3276492832, 3276492839, 'EU', 'Europe'),
(119727, '195.75.80.40', '195.75.81.79', 3276492840, 3276493135, 'GB', 'United Kingdom'),
(119728, '195.75.81.80', '195.75.81.95', 3276493136, 3276493151, 'EU', 'Europe'),
(119729, '195.75.81.96', '195.75.81.159', 3276493152, 3276493215, 'GB', 'United Kingdom'),
(119730, '195.75.81.160', '195.75.81.191', 3276493216, 3276493247, 'EU', 'Europe'),
(119731, '195.75.81.192', '195.75.86.31', 3276493248, 3276494367, 'GB', 'United Kingdom'),
(119732, '195.75.86.32', '195.75.86.79', 3276494368, 3276494415, 'EU', 'Europe'),
(119733, '195.75.86.80', '195.75.86.135', 3276494416, 3276494471, 'GB', 'United Kingdom'),
(119734, '195.75.86.136', '195.75.86.143', 3276494472, 3276494479, 'EU', 'Europe'),
(119735, '195.75.86.144', '195.75.90.79', 3276494480, 3276495439, 'GB', 'United Kingdom'),
(119736, '195.75.90.80', '195.75.90.95', 3276495440, 3276495455, 'EU', 'Europe'),
(119737, '195.75.90.96', '195.75.90.143', 3276495456, 3276495503, 'GB', 'United Kingdom'),
(119738, '195.75.90.144', '195.75.90.159', 3276495504, 3276495519, 'EU', 'Europe'),
(119739, '195.75.90.160', '195.75.90.183', 3276495520, 3276495543, 'GB', 'United Kingdom'),
(119740, '195.75.90.184', '195.75.90.191', 3276495544, 3276495551, 'EU', 'Europe'),
(119741, '195.75.90.192', '195.75.91.147', 3276495552, 3276495763, 'GB', 'United Kingdom'),
(119742, '195.75.91.148', '195.75.91.151', 3276495764, 3276495767, 'EU', 'Europe'),
(119743, '195.75.91.152', '195.75.91.215', 3276495768, 3276495831, 'GB', 'United Kingdom'),
(119744, '195.75.91.216', '195.75.91.223', 3276495832, 3276495839, 'EU', 'Europe'),
(119745, '195.75.91.224', '195.75.94.255', 3276495840, 3276496639, 'GB', 'United Kingdom'),
(119746, '195.75.95.0', '195.75.95.255', 3276496640, 3276496895, 'EU', 'Europe'),
(119747, '195.75.96.0', '195.75.97.127', 3276496896, 3276497279, 'DE', 'Germany'),
(119748, '195.75.97.128', '195.75.97.143', 3276497280, 3276497295, 'EU', 'Europe'),
(119749, '195.75.97.144', '195.75.97.159', 3276497296, 3276497311, 'DE', 'Germany'),
(119750, '195.75.97.160', '195.75.97.191', 3276497312, 3276497343, 'EU', 'Europe'),
(119751, '195.75.97.192', '195.75.97.223', 3276497344, 3276497375, 'DE', 'Germany'),
(119752, '195.75.97.224', '195.75.97.255', 3276497376, 3276497407, 'EU', 'Europe'),
(119753, '195.75.98.0', '195.75.98.191', 3276497408, 3276497599, 'DE', 'Germany'),
(119754, '195.75.98.192', '195.75.98.199', 3276497600, 3276497607, 'EU', 'Europe'),
(119755, '195.75.98.200', '195.75.98.239', 3276497608, 3276497647, 'DE', 'Germany'),
(119756, '195.75.98.240', '195.75.98.255', 3276497648, 3276497663, 'EU', 'Europe'),
(119757, '195.75.99.0', '195.75.99.255', 3276497664, 3276497919, 'DE', 'Germany'),
(119758, '195.75.100.0', '195.75.100.127', 3276497920, 3276498047, 'GB', 'United Kingdom'),
(119759, '195.75.100.128', '195.75.100.255', 3276498048, 3276498175, 'EU', 'Europe'),
(119760, '195.75.101.0', '195.75.101.255', 3276498176, 3276498431, 'GB', 'United Kingdom'),
(119761, '195.75.102.0', '195.75.104.255', 3276498432, 3276499199, 'DE', 'Germany'),
(119762, '195.75.105.0', '195.75.105.255', 3276499200, 3276499455, 'EU', 'Europe'),
(119763, '195.75.106.0', '195.75.106.47', 3276499456, 3276499503, 'DE', 'Germany'),
(119764, '195.75.106.48', '195.75.106.63', 3276499504, 3276499519, 'EU', 'Europe'),
(119765, '195.75.106.64', '195.75.106.159', 3276499520, 3276499615, 'DE', 'Germany'),
(119766, '195.75.106.160', '195.75.106.223', 3276499616, 3276499679, 'EU', 'Europe'),
(119767, '195.75.106.224', '195.75.107.47', 3276499680, 3276499759, 'DE', 'Germany'),
(119768, '195.75.107.48', '195.75.107.79', 3276499760, 3276499791, 'EU', 'Europe'),
(119769, '195.75.107.80', '195.75.107.111', 3276499792, 3276499823, 'DE', 'Germany'),
(119770, '195.75.107.112', '195.75.107.127', 3276499824, 3276499839, 'EU', 'Europe'),
(119771, '195.75.107.128', '195.75.108.31', 3276499840, 3276499999, 'DE', 'Germany'),
(119772, '195.75.108.32', '195.75.108.63', 3276500000, 3276500031, 'CH', 'Switzerland'),
(119773, '195.75.108.64', '195.75.108.127', 3276500032, 3276500095, 'DE', 'Germany'),
(119774, '195.75.108.128', '195.75.108.159', 3276500096, 3276500127, 'EU', 'Europe'),
(119775, '195.75.108.160', '195.75.108.255', 3276500128, 3276500223, 'DE', 'Germany'),
(119776, '195.75.109.0', '195.75.109.255', 3276500224, 3276500479, 'EU', 'Europe'),
(119777, '195.75.110.0', '195.75.110.255', 3276500480, 3276500735, 'DE', 'Germany'),
(119778, '195.75.111.0', '195.75.111.255', 3276500736, 3276500991, 'EU', 'Europe'),
(119779, '195.75.112.0', '195.75.112.31', 3276500992, 3276501023, 'DE', 'Germany'),
(119780, '195.75.112.32', '195.75.112.63', 3276501024, 3276501055, 'FR', 'France'),
(119781, '195.75.112.64', '195.75.112.127', 3276501056, 3276501119, 'EU', 'Europe'),
(119782, '195.75.112.128', '195.75.112.159', 3276501120, 3276501151, 'DE', 'Germany'),
(119783, '195.75.112.160', '195.75.112.175', 3276501152, 3276501167, 'EU', 'Europe'),
(119784, '195.75.112.176', '195.75.112.191', 3276501168, 3276501183, 'DE', 'Germany'),
(119785, '195.75.112.192', '195.75.112.255', 3276501184, 3276501247, 'EU', 'Europe'),
(119786, '195.75.113.0', '195.75.113.255', 3276501248, 3276501503, 'DE', 'Germany'),
(119787, '195.75.114.0', '195.75.116.255', 3276501504, 3276502271, 'EU', 'Europe'),
(119788, '195.75.117.0', '195.75.127.255', 3276502272, 3276505087, 'DE', 'Germany'),
(119789, '195.75.128.0', '195.75.128.143', 3276505088, 3276505231, 'ZA', 'South Africa'),
(119790, '195.75.128.144', '195.75.128.159', 3276505232, 3276505247, 'EU', 'Europe'),
(119791, '195.75.128.160', '195.75.129.255', 3276505248, 3276505599, 'ZA', 'South Africa'),
(119792, '195.75.130.0', '195.75.130.255', 3276505600, 3276505855, 'EU', 'Europe'),
(119793, '195.75.131.0', '195.75.131.31', 3276505856, 3276505887, 'ZA', 'South Africa'),
(119794, '195.75.131.32', '195.75.131.47', 3276505888, 3276505903, 'EU', 'Europe'),
(119795, '195.75.131.48', '195.75.131.63', 3276505904, 3276505919, 'ZA', 'South Africa'),
(119796, '195.75.131.64', '195.75.131.127', 3276505920, 3276505983, 'EU', 'Europe'),
(119797, '195.75.131.128', '195.75.131.191', 3276505984, 3276506047, 'ZA', 'South Africa'),
(119798, '195.75.131.192', '195.75.131.215', 3276506048, 3276506071, 'EU', 'Europe'),
(119799, '195.75.131.216', '195.75.131.223', 3276506072, 3276506079, 'ZA', 'South Africa'),
(119800, '195.75.131.224', '195.75.131.239', 3276506080, 3276506095, 'EU', 'Europe'),
(119801, '195.75.131.240', '195.75.132.47', 3276506096, 3276506159, 'ZA', 'South Africa'),
(119802, '195.75.132.48', '195.75.132.63', 3276506160, 3276506175, 'EU', 'Europe'),
(119803, '195.75.132.64', '195.75.132.79', 3276506176, 3276506191, 'ZA', 'South Africa'),
(119804, '195.75.132.80', '195.75.132.95', 3276506192, 3276506207, 'EU', 'Europe'),
(119805, '195.75.132.96', '195.75.132.255', 3276506208, 3276506367, 'ZA', 'South Africa'),
(119806, '195.75.133.0', '195.75.133.255', 3276506368, 3276506623, 'EU', 'Europe'),
(119807, '195.75.134.0', '195.75.135.255', 3276506624, 3276507135, 'ZA', 'South Africa'),
(119808, '195.75.136.0', '195.75.136.95', 3276507136, 3276507231, 'CH', 'Switzerland'),
(119809, '195.75.136.96', '195.75.136.255', 3276507232, 3276507391, 'EU', 'Europe'),
(119810, '195.75.137.0', '195.75.137.255', 3276507392, 3276507647, 'CH', 'Switzerland'),
(119811, '195.75.138.0', '195.75.139.255', 3276507648, 3276508159, 'EU', 'Europe'),
(119812, '195.75.140.0', '195.75.140.167', 3276508160, 3276508327, 'GB', 'United Kingdom'),
(119813, '195.75.140.168', '195.75.140.191', 3276508328, 3276508351, 'EU', 'Europe'),
(119814, '195.75.140.192', '195.75.140.255', 3276508352, 3276508415, 'FR', 'France'),
(119815, '195.75.141.0', '195.75.141.255', 3276508416, 3276508671, 'GB', 'United Kingdom'),
(119816, '195.75.142.0', '195.75.142.7', 3276508672, 3276508679, 'EU', 'Europe'),
(119817, '195.75.142.8', '195.75.142.255', 3276508680, 3276508927, 'GB', 'United Kingdom'),
(119818, '195.75.143.0', '195.75.143.255', 3276508928, 3276509183, 'EU', 'Europe'),
(119819, '195.75.144.0', '195.75.147.255', 3276509184, 3276510207, 'IT', 'Italy'),
(119820, '195.75.148.0', '195.75.149.255', 3276510208, 3276510719, 'EU', 'Europe'),
(119821, '195.75.150.0', '195.75.150.31', 3276510720, 3276510751, 'IT', 'Italy'),
(119822, '195.75.150.32', '195.75.150.63', 3276510752, 3276510783, 'EU', 'Europe'),
(119823, '195.75.150.64', '195.75.150.95', 3276510784, 3276510815, 'IT', 'Italy'),
(119824, '195.75.150.96', '195.75.150.127', 3276510816, 3276510847, 'EU', 'Europe'),
(119825, '195.75.150.128', '195.75.150.191', 3276510848, 3276510911, 'GB', 'United Kingdom'),
(119826, '195.75.150.192', '195.75.152.255', 3276510912, 3276511487, 'EU', 'Europe'),
(119827, '195.75.153.0', '195.75.154.31', 3276511488, 3276511775, 'ZA', 'South Africa'),
(119828, '195.75.154.32', '195.75.154.79', 3276511776, 3276511823, 'EU', 'Europe'),
(119829, '195.75.154.80', '195.75.154.95', 3276511824, 3276511839, 'ZA', 'South Africa'),
(119830, '195.75.154.96', '195.75.154.127', 3276511840, 3276511871, 'EU', 'Europe'),
(119831, '195.75.154.128', '195.75.154.175', 3276511872, 3276511919, 'ZA', 'South Africa'),
(119832, '195.75.154.176', '195.75.154.191', 3276511920, 3276511935, 'EU', 'Europe'),
(119833, '195.75.154.192', '195.75.154.207', 3276511936, 3276511951, 'ZA', 'South Africa'),
(119834, '195.75.154.208', '195.75.154.223', 3276511952, 3276511967, 'EU', 'Europe'),
(119835, '195.75.154.224', '195.75.155.191', 3276511968, 3276512191, 'ZA', 'South Africa'),
(119836, '195.75.155.192', '195.75.155.199', 3276512192, 3276512199, 'EU', 'Europe'),
(119837, '195.75.155.200', '195.75.155.207', 3276512200, 3276512207, 'ZA', 'South Africa'),
(119838, '195.75.155.208', '195.75.155.255', 3276512208, 3276512255, 'EU', 'Europe'),
(119839, '195.75.156.0', '195.75.158.255', 3276512256, 3276513023, 'ZA', 'South Africa'),
(119840, '195.75.159.0', '195.75.160.255', 3276513024, 3276513535, 'EU', 'Europe'),
(119841, '195.75.161.0', '195.75.161.15', 3276513536, 3276513551, 'CH', 'Switzerland'),
(119842, '195.75.161.16', '195.75.161.23', 3276513552, 3276513559, 'EU', 'Europe'),
(119843, '195.75.161.24', '195.75.161.31', 3276513560, 3276513567, 'CH', 'Switzerland'),
(119844, '195.75.161.32', '195.75.164.31', 3276513568, 3276514335, 'EU', 'Europe'),
(119845, '195.75.164.32', '195.75.164.63', 3276514336, 3276514367, 'CH', 'Switzerland'),
(119846, '195.75.164.64', '195.75.164.255', 3276514368, 3276514559, 'EU', 'Europe'),
(119847, '195.75.165.0', '195.75.165.255', 3276514560, 3276514815, 'CH', 'Switzerland'),
(119848, '195.75.166.0', '195.75.167.255', 3276514816, 3276515327, 'EU', 'Europe'),
(119849, '195.75.168.0', '195.75.168.255', 3276515328, 3276515583, 'ES', 'Spain'),
(119850, '195.75.169.0', '195.75.175.255', 3276515584, 3276517375, 'EU', 'Europe'),
(119851, '195.75.176.0', '195.75.176.127', 3276517376, 3276517503, 'NL', 'Netherlands'),
(119852, '195.75.176.128', '195.75.176.255', 3276517504, 3276517631, 'EU', 'Europe'),
(119853, '195.75.177.0', '195.75.177.15', 3276517632, 3276517647, 'NL', 'Netherlands'),
(119854, '195.75.177.16', '195.75.177.23', 3276517648, 3276517655, 'EU', 'Europe'),
(119855, '195.75.177.24', '195.75.177.127', 3276517656, 3276517759, 'NL', 'Netherlands'),
(119856, '195.75.177.128', '195.75.177.159', 3276517760, 3276517791, 'EU', 'Europe'),
(119857, '195.75.177.160', '195.75.177.255', 3276517792, 3276517887, 'NL', 'Netherlands'),
(119858, '195.75.178.0', '195.75.178.15', 3276517888, 3276517903, 'EU', 'Europe'),
(119859, '195.75.178.16', '195.75.178.63', 3276517904, 3276517951, 'NL', 'Netherlands'),
(119860, '195.75.178.64', '195.75.178.127', 3276517952, 3276518015, 'EU', 'Europe'),
(119861, '195.75.178.128', '195.75.178.135', 3276518016, 3276518023, 'NL', 'Netherlands'),
(119862, '195.75.178.136', '195.75.178.207', 3276518024, 3276518095, 'EU', 'Europe'),
(119863, '195.75.178.208', '195.75.178.223', 3276518096, 3276518111, 'NL', 'Netherlands'),
(119864, '195.75.178.224', '195.75.178.239', 3276518112, 3276518127, 'EU', 'Europe'),
(119865, '195.75.178.240', '195.75.179.47', 3276518128, 3276518191, 'NL', 'Netherlands'),
(119866, '195.75.179.48', '195.75.179.63', 3276518192, 3276518207, 'EU', 'Europe'),
(119867, '195.75.179.64', '195.75.179.127', 3276518208, 3276518271, 'NL', 'Netherlands'),
(119868, '195.75.179.128', '195.75.179.159', 3276518272, 3276518303, 'EU', 'Europe'),
(119869, '195.75.179.160', '195.75.179.191', 3276518304, 3276518335, 'NL', 'Netherlands'),
(119870, '195.75.179.192', '195.75.179.207', 3276518336, 3276518351, 'EU', 'Europe'),
(119871, '195.75.179.208', '195.75.179.223', 3276518352, 3276518367, 'NL', 'Netherlands'),
(119872, '195.75.179.224', '195.75.181.255', 3276518368, 3276518911, 'EU', 'Europe'),
(119873, '195.75.182.0', '195.75.183.255', 3276518912, 3276519423, 'BE', 'Belgium'),
(119874, '195.75.184.0', '195.75.184.255', 3276519424, 3276519679, 'EU', 'Europe'),
(119875, '195.75.185.0', '195.75.186.255', 3276519680, 3276520191, 'DK', 'Denmark'),
(119876, '195.75.187.0', '195.75.187.31', 3276520192, 3276520223, 'BE', 'Belgium'),
(119877, '195.75.187.32', '195.75.187.63', 3276520224, 3276520255, 'GB', 'United Kingdom'),
(119878, '195.75.187.64', '195.75.187.215', 3276520256, 3276520407, 'BE', 'Belgium'),
(119879, '195.75.187.216', '195.75.187.231', 3276520408, 3276520423, 'EU', 'Europe'),
(119880, '195.75.187.232', '195.75.187.255', 3276520424, 3276520447, 'BE', 'Belgium'),
(119881, '195.75.188.0', '195.75.188.15', 3276520448, 3276520463, 'EU', 'Europe'),
(119882, '195.75.188.16', '195.75.188.143', 3276520464, 3276520591, 'SE', 'Sweden'),
(119883, '195.75.188.144', '195.75.188.159', 3276520592, 3276520607, 'EU', 'Europe'),
(119884, '195.75.188.160', '195.75.188.175', 3276520608, 3276520623, 'SE', 'Sweden'),
(119885, '195.75.188.176', '195.75.188.191', 3276520624, 3276520639, 'EU', 'Europe'),
(119886, '195.75.188.192', '195.75.188.255', 3276520640, 3276520703, 'SE', 'Sweden'),
(119887, '195.75.189.0', '195.75.189.63', 3276520704, 3276520767, 'EU', 'Europe'),
(119888, '195.75.189.64', '195.75.189.111', 3276520768, 3276520815, 'SE', 'Sweden'),
(119889, '195.75.189.112', '195.75.189.127', 3276520816, 3276520831, 'EU', 'Europe'),
(119890, '195.75.189.128', '195.75.189.223', 3276520832, 3276520927, 'SE', 'Sweden'),
(119891, '195.75.189.224', '195.75.189.239', 3276520928, 3276520943, 'EU', 'Europe'),
(119892, '195.75.189.240', '195.75.190.255', 3276520944, 3276521215, 'SE', 'Sweden'),
(119893, '195.75.191.0', '195.75.191.255', 3276521216, 3276521471, 'EU', 'Europe'),
(119894, '195.75.192.0', '195.75.192.15', 3276521472, 3276521487, 'RO', 'Romania'),
(119895, '195.75.192.16', '195.75.193.255', 3276521488, 3276521983, 'EU', 'Europe'),
(119896, '195.75.194.0', '195.75.199.255', 3276521984, 3276523519, 'NL', 'Netherlands'),
(119897, '195.75.200.0', '195.75.201.15', 3276523520, 3276523791, 'EU', 'Europe'),
(119898, '195.75.201.16', '195.75.201.135', 3276523792, 3276523911, 'NO', 'Norway'),
(119899, '195.75.201.136', '195.75.201.143', 3276523912, 3276523919, 'EU', 'Europe'),
(119900, '195.75.201.144', '195.75.201.175', 3276523920, 3276523951, 'NO', 'Norway'),
(119901, '195.75.201.176', '195.75.201.191', 3276523952, 3276523967, 'EU', 'Europe'),
(119902, '195.75.201.192', '195.75.201.255', 3276523968, 3276524031, 'NO', 'Norway'),
(119903, '195.75.202.0', '195.75.202.31', 3276524032, 3276524063, 'EU', 'Europe'),
(119904, '195.75.202.32', '195.75.202.63', 3276524064, 3276524095, 'TR', 'Turkey'),
(119905, '195.75.202.64', '195.75.202.159', 3276524096, 3276524191, 'EU', 'Europe'),
(119906, '195.75.202.160', '195.75.202.255', 3276524192, 3276524287, 'TR', 'Turkey'),
(119907, '195.75.203.0', '195.75.203.255', 3276524288, 3276524543, 'EU', 'Europe'),
(119908, '195.75.204.0', '195.75.204.255', 3276524544, 3276524799, 'GB', 'United Kingdom'),
(119909, '195.75.205.0', '195.75.205.55', 3276524800, 3276524855, 'PT', 'Portugal'),
(119910, '195.75.205.56', '195.75.205.239', 3276524856, 3276525039, 'EU', 'Europe'),
(119911, '195.75.205.240', '195.75.205.255', 3276525040, 3276525055, 'PT', 'Portugal'),
(119912, '195.75.206.0', '195.75.206.255', 3276525056, 3276525311, 'FI', 'Finland'),
(119913, '195.75.207.0', '195.75.207.191', 3276525312, 3276525503, 'EU', 'Europe'),
(119914, '195.75.207.192', '195.75.207.215', 3276525504, 3276525527, 'HR', 'Croatia'),
(119915, '195.75.207.216', '195.75.207.223', 3276525528, 3276525535, 'PL', 'Poland'),
(119916, '195.75.207.224', '195.75.207.255', 3276525536, 3276525567, 'HR', 'Croatia'),
(119917, '195.75.208.0', '195.75.209.255', 3276525568, 3276526079, 'EU', 'Europe'),
(119918, '195.75.210.0', '195.75.210.7', 3276526080, 3276526087, 'CH', 'Switzerland'),
(119919, '195.75.210.8', '195.75.210.15', 3276526088, 3276526095, 'EU', 'Europe'),
(119920, '195.75.210.16', '195.75.210.31', 3276526096, 3276526111, 'CH', 'Switzerland'),
(119921, '195.75.210.32', '195.75.210.63', 3276526112, 3276526143, 'EU', 'Europe'),
(119922, '195.75.210.64', '195.75.210.79', 3276526144, 3276526159, 'CH', 'Switzerland'),
(119923, '195.75.210.80', '195.75.210.255', 3276526160, 3276526335, 'EU', 'Europe'),
(119924, '195.75.211.0', '195.75.211.255', 3276526336, 3276526591, 'CH', 'Switzerland'),
(119925, '195.75.212.0', '195.75.213.255', 3276526592, 3276527103, 'EU', 'Europe'),
(119926, '195.75.214.0', '195.75.214.31', 3276527104, 3276527135, 'SI', 'Slovenia'),
(119927, '195.75.214.32', '195.75.214.63', 3276527136, 3276527167, 'EU', 'Europe'),
(119928, '195.75.214.64', '195.75.214.95', 3276527168, 3276527199, 'SI', 'Slovenia'),
(119929, '195.75.214.96', '195.75.214.111', 3276527200, 3276527215, 'EU', 'Europe'),
(119930, '195.75.214.112', '195.75.214.127', 3276527216, 3276527231, 'SI', 'Slovenia'),
(119931, '195.75.214.128', '195.75.214.255', 3276527232, 3276527359, 'EU', 'Europe'),
(119932, '195.75.215.0', '195.75.215.255', 3276527360, 3276527615, 'SI', 'Slovenia'),
(119933, '195.75.216.0', '195.75.216.127', 3276527616, 3276527743, 'PK', 'Pakistan'),
(119934, '195.75.216.128', '195.75.216.255', 3276527744, 3276527871, 'EU', 'Europe'),
(119935, '195.75.217.0', '195.75.217.127', 3276527872, 3276527999, 'PK', 'Pakistan'),
(119936, '195.75.217.128', '195.75.217.255', 3276528000, 3276528127, 'EU', 'Europe'),
(119937, '195.75.218.0', '195.75.218.95', 3276528128, 3276528223, 'BE', 'Belgium'),
(119938, '195.75.218.96', '195.75.218.111', 3276528224, 3276528239, 'GB', 'United Kingdom'),
(119939, '195.75.218.112', '195.75.218.119', 3276528240, 3276528247, 'BE', 'Belgium'),
(119940, '195.75.218.120', '195.75.218.127', 3276528248, 3276528255, 'GB', 'United Kingdom'),
(119941, '195.75.218.128', '195.75.218.223', 3276528256, 3276528351, 'BE', 'Belgium'),
(119942, '195.75.218.224', '195.75.218.231', 3276528352, 3276528359, 'GB', 'United Kingdom'),
(119943, '195.75.218.232', '195.75.218.239', 3276528360, 3276528367, 'FR', 'France'),
(119944, '195.75.218.240', '195.75.219.15', 3276528368, 3276528399, 'BE', 'Belgium'),
(119945, '195.75.219.16', '195.75.219.63', 3276528400, 3276528447, 'EU', 'Europe'),
(119946, '195.75.219.64', '195.75.219.119', 3276528448, 3276528503, 'BE', 'Belgium'),
(119947, '195.75.219.120', '195.75.219.127', 3276528504, 3276528511, 'EU', 'Europe'),
(119948, '195.75.219.128', '195.75.219.135', 3276528512, 3276528519, 'BE', 'Belgium'),
(119949, '195.75.219.136', '195.75.219.143', 3276528520, 3276528527, 'EU', 'Europe'),
(119950, '195.75.219.144', '195.75.219.159', 3276528528, 3276528543, 'BE', 'Belgium'),
(119951, '195.75.219.160', '195.75.219.175', 3276528544, 3276528559, 'EU', 'Europe'),
(119952, '195.75.219.176', '195.75.219.183', 3276528560, 3276528567, 'BE', 'Belgium'),
(119953, '195.75.219.184', '195.75.219.191', 3276528568, 3276528575, 'EU', 'Europe'),
(119954, '195.75.219.192', '195.75.220.79', 3276528576, 3276528719, 'BE', 'Belgium'),
(119955, '195.75.220.80', '195.75.220.87', 3276528720, 3276528727, 'EU', 'Europe'),
(119956, '195.75.220.88', '195.75.220.95', 3276528728, 3276528735, 'BE', 'Belgium'),
(119957, '195.75.220.96', '195.75.220.127', 3276528736, 3276528767, 'EU', 'Europe'),
(119958, '195.75.220.128', '195.75.220.159', 3276528768, 3276528799, 'BE', 'Belgium'),
(119959, '195.75.220.160', '195.75.220.175', 3276528800, 3276528815, 'GB', 'United Kingdom'),
(119960, '195.75.220.176', '195.75.220.191', 3276528816, 3276528831, 'EU', 'Europe'),
(119961, '195.75.220.192', '195.75.220.255', 3276528832, 3276528895, 'BE', 'Belgium'),
(119962, '195.75.221.0', '195.75.221.31', 3276528896, 3276528927, 'IE', 'Ireland'),
(119963, '195.75.221.32', '195.75.221.39', 3276528928, 3276528935, 'EU', 'Europe'),
(119964, '195.75.221.40', '195.75.221.255', 3276528936, 3276529151, 'IE', 'Ireland'),
(119965, '195.75.222.0', '195.75.222.15', 3276529152, 3276529167, 'TR', 'Turkey'),
(119966, '195.75.222.16', '195.75.222.31', 3276529168, 3276529183, 'EU', 'Europe'),
(119967, '195.75.222.32', '195.75.222.127', 3276529184, 3276529279, 'TR', 'Turkey'),
(119968, '195.75.222.128', '195.75.222.175', 3276529280, 3276529327, 'EU', 'Europe'),
(119969, '195.75.222.176', '195.75.222.199', 3276529328, 3276529351, 'TR', 'Turkey'),
(119970, '195.75.222.200', '195.75.222.207', 3276529352, 3276529359, 'EU', 'Europe'),
(119971, '195.75.222.208', '195.75.222.223', 3276529360, 3276529375, 'TR', 'Turkey'),
(119972, '195.75.222.224', '195.75.222.239', 3276529376, 3276529391, 'EU', 'Europe'),
(119973, '195.75.222.240', '195.75.222.255', 3276529392, 3276529407, 'TR', 'Turkey'),
(119974, '195.75.223.0', '195.75.223.255', 3276529408, 3276529663, 'EU', 'Europe'),
(119975, '195.75.224.0', '195.75.227.7', 3276529664, 3276530439, 'NL', 'Netherlands'),
(119976, '195.75.227.8', '195.75.227.15', 3276530440, 3276530447, 'EU', 'Europe'),
(119977, '195.75.227.16', '195.75.227.63', 3276530448, 3276530495, 'NL', 'Netherlands'),
(119978, '195.75.227.64', '195.75.227.127', 3276530496, 3276530559, 'EU', 'Europe'),
(119979, '195.75.227.128', '195.75.235.159', 3276530560, 3276532639, 'NL', 'Netherlands'),
(119980, '195.75.235.160', '195.75.235.160', 3276532640, 3276532640, 'EU', 'Europe'),
(119981, '195.75.235.161', '195.75.235.255', 3276532641, 3276532735, 'NL', 'Netherlands'),
(119982, '195.75.236.0', '195.75.236.39', 3276532736, 3276532775, 'TR', 'Turkey'),
(119983, '195.75.236.40', '195.75.236.47', 3276532776, 3276532783, 'EU', 'Europe'),
(119984, '195.75.236.48', '195.75.236.55', 3276532784, 3276532791, 'TR', 'Turkey'),
(119985, '195.75.236.56', '195.75.236.119', 3276532792, 3276532855, 'EU', 'Europe'),
(119986, '195.75.236.120', '195.75.236.255', 3276532856, 3276532991, 'TR', 'Turkey'),
(119987, '195.75.237.0', '195.75.237.31', 3276532992, 3276533023, 'HU', 'Hungary'),
(119988, '195.75.237.32', '195.75.237.79', 3276533024, 3276533071, 'EU', 'Europe'),
(119989, '195.75.237.80', '195.75.237.95', 3276533072, 3276533087, 'HU', 'Hungary'),
(119990, '195.75.237.96', '195.75.237.127', 3276533088, 3276533119, 'EU', 'Europe'),
(119991, '195.75.237.128', '195.75.237.191', 3276533120, 3276533183, 'HU', 'Hungary'),
(119992, '195.75.237.192', '195.75.237.255', 3276533184, 3276533247, 'EU', 'Europe'),
(119993, '195.75.238.0', '195.75.238.127', 3276533248, 3276533375, 'TR', 'Turkey'),
(119994, '195.75.238.128', '195.75.240.15', 3276533376, 3276533775, 'EU', 'Europe'),
(119995, '195.75.240.16', '195.75.240.31', 3276533776, 3276533791, 'GB', 'United Kingdom'),
(119996, '195.75.240.32', '195.75.240.63', 3276533792, 3276533823, 'EU', 'Europe'),
(119997, '195.75.240.64', '195.75.240.127', 3276533824, 3276533887, 'IE', 'Ireland'),
(119998, '195.75.240.128', '195.75.240.167', 3276533888, 3276533927, 'EU', 'Europe'),
(119999, '195.75.240.168', '195.75.240.191', 3276533928, 3276533951, 'IE', 'Ireland'),
(120000, '195.75.240.192', '195.75.240.223', 3276533952, 3276533983, 'EU', 'Europe'),
(120001, '195.75.240.224', '195.75.240.255', 3276533984, 3276534015, 'IE', 'Ireland'),
(120002, '195.75.241.0', '195.75.241.255', 3276534016, 3276534271, 'EU', 'Europe'),
(120003, '195.75.242.0', '195.75.242.143', 3276534272, 3276534415, 'GB', 'United Kingdom'),
(120004, '195.75.242.144', '195.75.242.159', 3276534416, 3276534431, 'NL', 'Netherlands'),
(120005, '195.75.242.160', '195.75.242.191', 3276534432, 3276534463, 'GB', 'United Kingdom'),
(120006, '195.75.242.192', '195.75.242.223', 3276534464, 3276534495, 'FR', 'France'),
(120007, '195.75.242.224', '195.75.243.15', 3276534496, 3276534543, 'EU', 'Europe'),
(120008, '195.75.243.16', '195.75.243.63', 3276534544, 3276534591, 'NL', 'Netherlands'),
(120009, '195.75.243.64', '195.75.243.95', 3276534592, 3276534623, 'EU', 'Europe'),
(120010, '195.75.243.96', '195.75.243.127', 3276534624, 3276534655, 'NL', 'Netherlands'),
(120011, '195.75.243.128', '195.75.243.159', 3276534656, 3276534687, 'EU', 'Europe'),
(120012, '195.75.243.160', '195.75.243.191', 3276534688, 3276534719, 'NL', 'Netherlands'),
(120013, '195.75.243.192', '195.75.243.255', 3276534720, 3276534783, 'EU', 'Europe'),
(120014, '195.75.244.0', '195.75.244.95', 3276534784, 3276534879, 'NL', 'Netherlands'),
(120015, '195.75.244.96', '195.75.244.103', 3276534880, 3276534887, 'EU', 'Europe'),
(120016, '195.75.244.104', '195.75.244.111', 3276534888, 3276534895, 'NL', 'Netherlands'),
(120017, '195.75.244.112', '195.75.244.127', 3276534896, 3276534911, 'EU', 'Europe'),
(120018, '195.75.244.128', '195.75.244.135', 3276534912, 3276534919, 'NL', 'Netherlands'),
(120019, '195.75.244.136', '195.75.244.231', 3276534920, 3276535015, 'EU', 'Europe'),
(120020, '195.75.244.232', '195.75.244.255', 3276535016, 3276535039, 'GB', 'United Kingdom'),
(120021, '195.75.245.0', '195.75.245.23', 3276535040, 3276535063, 'RU', 'Russian Federation'),
(120022, '195.75.245.24', '195.75.245.31', 3276535064, 3276535071, 'LV', 'Latvia'),
(120023, '195.75.245.32', '195.75.245.63', 3276535072, 3276535103, 'RU', 'Russian Federation'),
(120024, '195.75.245.64', '195.75.246.15', 3276535104, 3276535311, 'EU', 'Europe'),
(120025, '195.75.246.16', '195.75.246.23', 3276535312, 3276535319, 'FI', 'Finland'),
(120026, '195.75.246.24', '195.75.246.39', 3276535320, 3276535335, 'EU', 'Europe'),
(120027, '195.75.246.40', '195.75.246.47', 3276535336, 3276535343, 'FI', 'Finland'),
(120028, '195.75.246.48', '195.75.246.55', 3276535344, 3276535351, 'EU', 'Europe'),
(120029, '195.75.246.56', '195.75.246.63', 3276535352, 3276535359, 'FI', 'Finland'),
(120030, '195.75.246.64', '195.75.246.79', 3276535360, 3276535375, 'EU', 'Europe'),
(120031, '195.75.246.80', '195.75.246.159', 3276535376, 3276535455, 'FI', 'Finland'),
(120032, '195.75.246.160', '195.75.246.255', 3276535456, 3276535551, 'EU', 'Europe'),
(120033, '195.75.247.0', '195.75.247.255', 3276535552, 3276535807, 'PK', 'Pakistan'),
(120034, '195.75.248.0', '195.75.248.255', 3276535808, 3276536063, 'FI', 'Finland'),
(120035, '195.75.249.0', '195.75.249.255', 3276536064, 3276536319, 'EU', 'Europe'),
(120036, '195.75.250.0', '195.75.250.110', 3276536320, 3276536430, 'ES', 'Spain'),
(120037, '195.75.250.111', '195.75.250.111', 3276536431, 3276536431, 'EU', 'Europe'),
(120038, '195.75.250.112', '195.75.250.191', 3276536432, 3276536511, 'ES', 'Spain'),
(120039, '195.75.250.192', '195.75.251.7', 3276536512, 3276536583, 'EU', 'Europe'),
(120040, '195.75.251.8', '195.75.251.15', 3276536584, 3276536591, 'HR', 'Croatia'),
(120041, '195.75.251.16', '195.75.251.63', 3276536592, 3276536639, 'EU', 'Europe'),
(120042, '195.75.251.64', '195.75.251.99', 3276536640, 3276536675, 'HU', 'Hungary'),
(120043, '195.75.251.100', '195.75.251.111', 3276536676, 3276536687, 'EU', 'Europe'),
(120044, '195.75.251.112', '195.75.251.135', 3276536688, 3276536711, 'HU', 'Hungary'),
(120045, '195.75.251.136', '195.75.251.159', 3276536712, 3276536735, 'EU', 'Europe'),
(120046, '195.75.251.160', '195.75.251.167', 3276536736, 3276536743, 'HU', 'Hungary'),
(120047, '195.75.251.168', '195.75.251.255', 3276536744, 3276536831, 'EU', 'Europe'),
(120048, '195.75.252.0', '195.75.252.63', 3276536832, 3276536895, 'ES', 'Spain'),
(120049, '195.75.252.64', '195.75.252.127', 3276536896, 3276536959, 'EU', 'Europe'),
(120050, '195.75.252.128', '195.75.252.175', 3276536960, 3276537007, 'ES', 'Spain'),
(120051, '195.75.252.176', '195.75.253.63', 3276537008, 3276537151, 'EU', 'Europe'),
(120052, '195.75.253.64', '195.75.253.127', 3276537152, 3276537215, 'AT', 'Austria'),
(120053, '195.75.253.128', '195.75.253.255', 3276537216, 3276537343, 'EU', 'Europe'),
(120054, '195.75.254.0', '195.75.254.255', 3276537344, 3276537599, 'AT', 'Austria'),
(120055, '195.75.255.0', '195.75.255.63', 3276537600, 3276537663, 'GR', 'Greece'),
(120056, '195.75.255.64', '195.75.255.255', 3276537664, 3276537855, 'EU', 'Europe'),
(120057, '195.76.0.0', '195.77.255.255', 3276537856, 3276668927, 'ES', 'Spain'),
(120058, '195.78.0.0', '195.78.31.255', 3276668928, 3276677119, 'MC', 'Monaco'),
(120059, '195.78.32.0', '195.78.35.255', 3276677120, 3276678143, 'HR', 'Croatia'),
(120060, '195.78.36.0', '195.78.37.255', 3276678144, 3276678655, 'SE', 'Sweden'),
(120061, '195.78.38.0', '195.78.39.255', 3276678656, 3276679167, 'UA', 'Ukraine'),
(120062, '195.78.40.0', '195.78.41.255', 3276679168, 3276679679, 'DE', 'Germany'),
(120063, '195.78.42.0', '195.78.43.255', 3276679680, 3276680191, 'RO', 'Romania'),
(120064, '195.78.44.0', '195.78.45.255', 3276680192, 3276680703, 'SK', 'Slovakia'),
(120065, '195.78.46.0', '195.78.47.255', 3276680704, 3276681215, 'AT', 'Austria'),
(120066, '195.78.48.0', '195.78.49.255', 3276681216, 3276681727, 'PL', 'Poland'),
(120067, '195.78.50.0', '195.78.51.255', 3276681728, 3276682239, 'BE', 'Belgium'),
(120068, '195.78.52.0', '195.78.53.255', 3276682240, 3276682751, 'AT', 'Austria'),
(120069, '195.78.54.0', '195.78.55.255', 3276682752, 3276683263, 'GB', 'United Kingdom'),
(120070, '195.78.56.0', '195.78.59.255', 3276683264, 3276684287, 'UA', 'Ukraine'),
(120071, '195.78.60.0', '195.78.61.255', 3276684288, 3276684799, 'RU', 'Russian Federation'),
(120072, '195.78.62.0', '195.78.63.255', 3276684800, 3276685311, 'DE', 'Germany'),
(120073, '195.78.64.0', '195.78.65.255', 3276685312, 3276685823, 'RO', 'Romania'),
(120074, '195.78.66.0', '195.78.67.255', 3276685824, 3276686335, 'PL', 'Poland'),
(120075, '195.78.68.0', '195.78.69.255', 3276686336, 3276686847, 'UA', 'Ukraine'),
(120076, '195.78.70.0', '195.78.71.255', 3276686848, 3276687359, 'FI', 'Finland'),
(120077, '195.78.72.0', '195.78.73.255', 3276687360, 3276687871, 'RU', 'Russian Federation'),
(120078, '195.78.74.0', '195.78.75.255', 3276687872, 3276688383, 'KW', 'Kuwait'),
(120079, '195.78.76.0', '195.78.77.255', 3276688384, 3276688895, 'DE', 'Germany'),
(120080, '195.78.78.0', '195.78.79.255', 3276688896, 3276689407, 'ES', 'Spain'),
(120081, '195.78.80.0', '195.78.83.255', 3276689408, 3276690431, 'GB', 'United Kingdom'),
(120082, '195.78.84.0', '195.78.85.255', 3276690432, 3276690943, 'NL', 'Netherlands'),
(120083, '195.78.86.0', '195.78.87.255', 3276690944, 3276691455, 'GR', 'Greece'),
(120084, '195.78.88.0', '195.78.89.255', 3276691456, 3276691967, 'RO', 'Romania'),
(120085, '195.78.90.0', '195.78.91.255', 3276691968, 3276692479, 'RU', 'Russian Federation'),
(120086, '195.78.92.0', '195.78.93.255', 3276692480, 3276692991, 'UA', 'Ukraine'),
(120087, '195.78.94.0', '195.78.95.255', 3276692992, 3276693503, 'GB', 'United Kingdom'),
(120088, '195.78.96.0', '195.78.97.255', 3276693504, 3276694015, 'UA', 'Ukraine'),
(120089, '195.78.98.0', '195.78.99.255', 3276694016, 3276694527, 'AT', 'Austria'),
(120090, '195.78.100.0', '195.78.101.255', 3276694528, 3276695039, 'UA', 'Ukraine'),
(120091, '195.78.102.0', '195.78.103.255', 3276695040, 3276695551, 'RU', 'Russian Federation'),
(120092, '195.78.104.0', '195.78.105.255', 3276695552, 3276696063, 'UA', 'Ukraine'),
(120093, '195.78.106.0', '195.78.107.255', 3276696064, 3276696575, 'RO', 'Romania'),
(120094, '195.78.108.0', '195.78.109.255', 3276696576, 3276697087, 'EU', 'Europe'),
(120095, '195.78.110.0', '195.78.111.255', 3276697088, 3276697599, 'GB', 'United Kingdom'),
(120096, '195.78.112.0', '195.78.113.255', 3276697600, 3276698111, 'UA', 'Ukraine'),
(120097, '195.78.114.0', '195.78.119.255', 3276698112, 3276699647, 'RU', 'Russian Federation'),
(120098, '195.78.120.0', '195.78.121.255', 3276699648, 3276700159, 'NL', 'Netherlands'),
(120099, '195.78.122.0', '195.78.123.255', 3276700160, 3276700671, 'CZ', 'Czech Republic'),
(120100, '195.78.124.0', '195.78.125.255', 3276700672, 3276701183, 'RO', 'Romania'),
(120101, '195.78.126.0', '195.78.127.255', 3276701184, 3276701695, 'RU', 'Russian Federation'),
(120102, '195.78.128.0', '195.78.159.255', 3276701696, 3276709887, 'SE', 'Sweden'),
(120103, '195.78.160.0', '195.78.191.255', 3276709888, 3276718079, 'DE', 'Germany'),
(120104, '195.78.192.0', '195.78.223.255', 3276718080, 3276726271, 'IT', 'Italy'),
(120105, '195.78.224.0', '195.78.227.255', 3276726272, 3276727295, 'SE', 'Sweden'),
(120106, '195.78.228.0', '195.78.231.255', 3276727296, 3276728319, 'ES', 'Spain'),
(120107, '195.78.232.0', '195.78.235.255', 3276728320, 3276729343, 'UA', 'Ukraine'),
(120108, '195.78.236.0', '195.78.239.255', 3276729344, 3276730367, 'PL', 'Poland'),
(120109, '195.78.240.0', '195.78.243.255', 3276730368, 3276731391, 'DE', 'Germany'),
(120110, '195.78.244.0', '195.78.247.255', 3276731392, 3276732415, 'UA', 'Ukraine'),
(120111, '195.78.248.0', '195.78.251.255', 3276732416, 3276733439, 'DE', 'Germany'),
(120112, '195.78.252.0', '195.78.255.255', 3276733440, 3276734463, 'UA', 'Ukraine'),
(120113, '195.79.0.0', '195.79.1.15', 3276734464, 3276734735, 'AT', 'Austria'),
(120114, '195.79.1.16', '195.79.1.31', 3276734736, 3276734751, 'DK', 'Denmark'),
(120115, '195.79.1.32', '195.79.1.95', 3276734752, 3276734815, 'AT', 'Austria'),
(120116, '195.79.1.96', '195.79.1.127', 3276734816, 3276734847, 'DE', 'Germany'),
(120117, '195.79.1.128', '195.79.1.159', 3276734848, 3276734879, 'EU', 'Europe'),
(120118, '195.79.1.160', '195.79.1.175', 3276734880, 3276734895, 'GB', 'United Kingdom'),
(120119, '195.79.1.176', '195.79.1.191', 3276734896, 3276734911, 'NL', 'Netherlands'),
(120120, '195.79.1.192', '195.79.1.223', 3276734912, 3276734943, 'FR', 'France'),
(120121, '195.79.1.224', '195.79.3.223', 3276734944, 3276735455, 'AT', 'Austria'),
(120122, '195.79.3.224', '195.79.3.255', 3276735456, 3276735487, 'NL', 'Netherlands'),
(120123, '195.79.4.0', '195.79.5.127', 3276735488, 3276735871, 'AT', 'Austria'),
(120124, '195.79.5.128', '195.79.5.191', 3276735872, 3276735935, 'EU', 'Europe'),
(120125, '195.79.5.192', '195.79.5.255', 3276735936, 3276735999, 'ES', 'Spain'),
(120126, '195.79.6.0', '195.79.7.255', 3276736000, 3276736511, 'AT', 'Austria'),
(120127, '195.79.8.0', '195.79.8.63', 3276736512, 3276736575, 'IT', 'Italy'),
(120128, '195.79.8.64', '195.79.8.223', 3276736576, 3276736735, 'GB', 'United Kingdom'),
(120129, '195.79.8.224', '195.79.8.255', 3276736736, 3276736767, 'EU', 'Europe'),
(120130, '195.79.9.0', '195.79.9.31', 3276736768, 3276736799, 'IT', 'Italy'),
(120131, '195.79.9.32', '195.79.9.47', 3276736800, 3276736815, 'DE', 'Germany'),
(120132, '195.79.9.48', '195.79.9.63', 3276736816, 3276736831, 'CZ', 'Czech Republic'),
(120133, '195.79.9.64', '195.79.9.95', 3276736832, 3276736863, 'NL', 'Netherlands'),
(120134, '195.79.9.96', '195.79.9.103', 3276736864, 3276736871, 'DE', 'Germany'),
(120135, '195.79.9.104', '195.79.9.111', 3276736872, 3276736879, 'NL', 'Netherlands'),
(120136, '195.79.9.112', '195.79.9.191', 3276736880, 3276736959, 'DK', 'Denmark'),
(120137, '195.79.9.192', '195.79.9.223', 3276736960, 3276736991, 'CH', 'Switzerland'),
(120138, '195.79.9.224', '195.79.9.247', 3276736992, 3276737015, 'GB', 'United Kingdom'),
(120139, '195.79.9.248', '195.79.9.255', 3276737016, 3276737023, 'BE', 'Belgium'),
(120140, '195.79.10.0', '195.79.11.63', 3276737024, 3276737343, 'IT', 'Italy'),
(120141, '195.79.11.64', '195.79.11.127', 3276737344, 3276737407, 'DE', 'Germany'),
(120142, '195.79.11.128', '195.79.11.255', 3276737408, 3276737535, 'ES', 'Spain'),
(120143, '195.79.12.0', '195.79.12.79', 3276737536, 3276737615, 'IT', 'Italy'),
(120144, '195.79.12.80', '195.79.12.95', 3276737616, 3276737631, 'DE', 'Germany'),
(120145, '195.79.12.96', '195.79.12.255', 3276737632, 3276737791, 'RU', 'Russian Federation'),
(120146, '195.79.13.0', '195.79.13.143', 3276737792, 3276737935, 'NL', 'Netherlands'),
(120147, '195.79.13.144', '195.79.13.151', 3276737936, 3276737943, 'DE', 'Germany'),
(120148, '195.79.13.152', '195.79.13.199', 3276737944, 3276737991, 'GB', 'United Kingdom'),
(120149, '195.79.13.200', '195.79.13.207', 3276737992, 3276737999, 'IT', 'Italy'),
(120150, '195.79.13.208', '195.79.13.223', 3276738000, 3276738015, 'GB', 'United Kingdom'),
(120151, '195.79.13.224', '195.79.13.255', 3276738016, 3276738047, 'BE', 'Belgium'),
(120152, '195.79.14.0', '195.79.14.31', 3276738048, 3276738079, 'GB', 'United Kingdom'),
(120153, '195.79.14.32', '195.79.14.63', 3276738080, 3276738111, 'ES', 'Spain'),
(120154, '195.79.14.64', '195.79.14.95', 3276738112, 3276738143, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(120155, '195.79.14.96', '195.79.14.127', 3276738144, 3276738175, 'IT', 'Italy'),
(120156, '195.79.14.128', '195.79.15.255', 3276738176, 3276738559, 'GB', 'United Kingdom'),
(120157, '195.79.16.0', '195.79.17.31', 3276738560, 3276738847, 'CH', 'Switzerland'),
(120158, '195.79.17.32', '195.79.17.255', 3276738848, 3276739071, 'EU', 'Europe'),
(120159, '195.79.18.0', '195.79.18.79', 3276739072, 3276739151, 'CH', 'Switzerland'),
(120160, '195.79.18.80', '195.79.18.95', 3276739152, 3276739167, 'EU', 'Europe'),
(120161, '195.79.18.96', '195.79.22.31', 3276739168, 3276740127, 'CH', 'Switzerland'),
(120162, '195.79.22.32', '195.79.22.71', 3276740128, 3276740167, 'GB', 'United Kingdom'),
(120163, '195.79.22.72', '195.79.22.79', 3276740168, 3276740175, 'DE', 'Germany'),
(120164, '195.79.22.80', '195.79.22.95', 3276740176, 3276740191, 'NL', 'Netherlands'),
(120165, '195.79.22.96', '195.79.22.127', 3276740192, 3276740223, 'EU', 'Europe'),
(120166, '195.79.22.128', '195.79.22.255', 3276740224, 3276740351, 'CH', 'Switzerland'),
(120167, '195.79.23.0', '195.79.24.95', 3276740352, 3276740703, 'FR', 'France'),
(120168, '195.79.24.96', '195.79.24.111', 3276740704, 3276740719, 'IT', 'Italy'),
(120169, '195.79.24.112', '195.79.24.127', 3276740720, 3276740735, 'CZ', 'Czech Republic'),
(120170, '195.79.24.128', '195.79.24.191', 3276740736, 3276740799, 'PT', 'Portugal'),
(120171, '195.79.24.192', '195.79.24.207', 3276740800, 3276740815, 'SI', 'Slovenia'),
(120172, '195.79.24.208', '195.79.24.223', 3276740816, 3276740831, 'SK', 'Slovakia'),
(120173, '195.79.24.224', '195.79.24.255', 3276740832, 3276740863, 'DE', 'Germany'),
(120174, '195.79.25.0', '195.79.26.255', 3276740864, 3276741375, 'FR', 'France'),
(120175, '195.79.27.0', '195.79.27.255', 3276741376, 3276741631, 'EU', 'Europe'),
(120176, '195.79.28.0', '195.79.31.255', 3276741632, 3276742655, 'FR', 'France'),
(120177, '195.79.32.0', '195.79.32.79', 3276742656, 3276742735, 'RU', 'Russian Federation'),
(120178, '195.79.32.80', '195.79.32.95', 3276742736, 3276742751, 'NL', 'Netherlands'),
(120179, '195.79.32.96', '195.79.32.127', 3276742752, 3276742783, 'GR', 'Greece'),
(120180, '195.79.32.128', '195.79.32.255', 3276742784, 3276742911, 'HU', 'Hungary'),
(120181, '195.79.33.0', '195.79.33.159', 3276742912, 3276743071, 'AT', 'Austria'),
(120182, '195.79.33.160', '195.79.33.191', 3276743072, 3276743103, 'DE', 'Germany'),
(120183, '195.79.33.192', '195.79.33.223', 3276743104, 3276743135, 'HU', 'Hungary'),
(120184, '195.79.33.224', '195.79.33.255', 3276743136, 3276743167, 'NL', 'Netherlands'),
(120185, '195.79.34.0', '195.79.34.255', 3276743168, 3276743423, 'EU', 'Europe'),
(120186, '195.79.35.0', '195.79.36.223', 3276743424, 3276743903, 'AT', 'Austria'),
(120187, '195.79.36.224', '195.79.36.255', 3276743904, 3276743935, 'BE', 'Belgium'),
(120188, '195.79.37.0', '195.79.37.255', 3276743936, 3276744191, 'AT', 'Austria'),
(120189, '195.79.38.0', '195.79.39.255', 3276744192, 3276744703, 'BE', 'Belgium'),
(120190, '195.79.40.0', '195.79.40.255', 3276744704, 3276744959, 'IT', 'Italy'),
(120191, '195.79.41.0', '195.79.41.255', 3276744960, 3276745215, 'GR', 'Greece'),
(120192, '195.79.42.0', '195.79.42.79', 3276745216, 3276745295, 'DK', 'Denmark'),
(120193, '195.79.42.80', '195.79.42.95', 3276745296, 3276745311, 'NL', 'Netherlands'),
(120194, '195.79.42.96', '195.79.42.127', 3276745312, 3276745343, 'DK', 'Denmark'),
(120195, '195.79.42.128', '195.79.42.191', 3276745344, 3276745407, 'DE', 'Germany'),
(120196, '195.79.42.192', '195.79.43.183', 3276745408, 3276745655, 'DK', 'Denmark'),
(120197, '195.79.43.184', '195.79.43.191', 3276745656, 3276745663, 'EU', 'Europe'),
(120198, '195.79.43.192', '195.79.43.255', 3276745664, 3276745727, 'DK', 'Denmark'),
(120199, '195.79.44.0', '195.79.45.63', 3276745728, 3276746047, 'GB', 'United Kingdom'),
(120200, '195.79.45.64', '195.79.45.127', 3276746048, 3276746111, 'DE', 'Germany'),
(120201, '195.79.45.128', '195.79.45.255', 3276746112, 3276746239, 'IT', 'Italy'),
(120202, '195.79.46.0', '195.79.46.95', 3276746240, 3276746335, 'GB', 'United Kingdom'),
(120203, '195.79.46.96', '195.79.46.111', 3276746336, 3276746351, 'BE', 'Belgium'),
(120204, '195.79.46.112', '195.79.46.127', 3276746352, 3276746367, 'NL', 'Netherlands'),
(120205, '195.79.46.128', '195.79.47.255', 3276746368, 3276746751, 'GB', 'United Kingdom'),
(120206, '195.79.48.0', '195.79.53.255', 3276746752, 3276748287, 'CH', 'Switzerland'),
(120207, '195.79.54.0', '195.79.55.255', 3276748288, 3276748799, 'GB', 'United Kingdom'),
(120208, '195.79.56.0', '195.79.56.151', 3276748800, 3276748951, 'AT', 'Austria'),
(120209, '195.79.56.152', '195.79.56.159', 3276748952, 3276748959, 'GB', 'United Kingdom'),
(120210, '195.79.56.160', '195.79.56.223', 3276748960, 3276749023, 'AT', 'Austria'),
(120211, '195.79.56.224', '195.79.56.255', 3276749024, 3276749055, 'IT', 'Italy'),
(120212, '195.79.57.0', '195.79.57.31', 3276749056, 3276749087, 'AT', 'Austria'),
(120213, '195.79.57.32', '195.79.57.47', 3276749088, 3276749103, 'FR', 'France'),
(120214, '195.79.57.48', '195.79.57.63', 3276749104, 3276749119, 'EU', 'Europe'),
(120215, '195.79.57.64', '195.79.57.127', 3276749120, 3276749183, 'NL', 'Netherlands'),
(120216, '195.79.57.128', '195.79.57.255', 3276749184, 3276749311, 'DE', 'Germany'),
(120217, '195.79.58.0', '195.79.58.31', 3276749312, 3276749343, 'BE', 'Belgium'),
(120218, '195.79.58.32', '195.79.58.63', 3276749344, 3276749375, 'DE', 'Germany'),
(120219, '195.79.58.64', '195.79.59.255', 3276749376, 3276749823, 'BE', 'Belgium'),
(120220, '195.79.60.0', '195.79.61.71', 3276749824, 3276750151, 'NL', 'Netherlands'),
(120221, '195.79.61.72', '195.79.61.79', 3276750152, 3276750159, 'GB', 'United Kingdom'),
(120222, '195.79.61.80', '195.79.61.95', 3276750160, 3276750175, 'FR', 'France'),
(120223, '195.79.61.96', '195.79.61.127', 3276750176, 3276750207, 'BE', 'Belgium'),
(120224, '195.79.61.128', '195.79.61.255', 3276750208, 3276750335, 'FR', 'France'),
(120225, '195.79.62.0', '195.79.62.95', 3276750336, 3276750431, 'GB', 'United Kingdom'),
(120226, '195.79.62.96', '195.79.62.127', 3276750432, 3276750463, 'EU', 'Europe'),
(120227, '195.79.62.128', '195.79.64.191', 3276750464, 3276751039, 'GB', 'United Kingdom'),
(120228, '195.79.64.192', '195.79.64.223', 3276751040, 3276751071, 'FR', 'France'),
(120229, '195.79.64.224', '195.79.64.239', 3276751072, 3276751087, 'GB', 'United Kingdom'),
(120230, '195.79.64.240', '195.79.64.255', 3276751088, 3276751103, 'NL', 'Netherlands'),
(120231, '195.79.65.0', '195.79.65.71', 3276751104, 3276751175, 'GB', 'United Kingdom'),
(120232, '195.79.65.72', '195.79.65.95', 3276751176, 3276751199, 'SE', 'Sweden'),
(120233, '195.79.65.96', '195.79.65.127', 3276751200, 3276751231, 'EU', 'Europe'),
(120234, '195.79.65.128', '195.79.65.191', 3276751232, 3276751295, 'IL', 'Israel'),
(120235, '195.79.65.192', '195.79.65.255', 3276751296, 3276751359, 'AT', 'Austria'),
(120236, '195.79.66.0', '195.79.72.159', 3276751360, 3276753055, 'GB', 'United Kingdom'),
(120237, '195.79.72.160', '195.79.72.175', 3276753056, 3276753071, 'NO', 'Norway'),
(120238, '195.79.72.176', '195.79.72.223', 3276753072, 3276753119, 'GB', 'United Kingdom'),
(120239, '195.79.72.224', '195.79.72.255', 3276753120, 3276753151, 'IT', 'Italy'),
(120240, '195.79.73.0', '195.79.73.223', 3276753152, 3276753375, 'GB', 'United Kingdom'),
(120241, '195.79.73.224', '195.79.73.255', 3276753376, 3276753407, 'FI', 'Finland'),
(120242, '195.79.74.0', '195.79.76.31', 3276753408, 3276753951, 'GB', 'United Kingdom'),
(120243, '195.79.76.32', '195.79.76.63', 3276753952, 3276753983, 'HU', 'Hungary'),
(120244, '195.79.76.64', '195.79.80.47', 3276753984, 3276754991, 'GB', 'United Kingdom'),
(120245, '195.79.80.48', '195.79.80.63', 3276754992, 3276755007, 'DE', 'Germany'),
(120246, '195.79.80.64', '195.79.80.127', 3276755008, 3276755071, 'HU', 'Hungary'),
(120247, '195.79.80.128', '195.79.80.255', 3276755072, 3276755199, 'DE', 'Germany'),
(120248, '195.79.81.0', '195.79.83.63', 3276755200, 3276755775, 'GB', 'United Kingdom'),
(120249, '195.79.83.64', '195.79.83.79', 3276755776, 3276755791, 'NO', 'Norway'),
(120250, '195.79.83.80', '195.79.83.95', 3276755792, 3276755807, 'RU', 'Russian Federation'),
(120251, '195.79.83.96', '195.79.83.127', 3276755808, 3276755839, 'GB', 'United Kingdom'),
(120252, '195.79.83.128', '195.79.83.255', 3276755840, 3276755967, 'ES', 'Spain'),
(120253, '195.79.84.0', '195.79.84.63', 3276755968, 3276756031, 'GB', 'United Kingdom'),
(120254, '195.79.84.64', '195.79.84.95', 3276756032, 3276756063, 'NL', 'Netherlands'),
(120255, '195.79.84.96', '195.79.84.127', 3276756064, 3276756095, 'BE', 'Belgium'),
(120256, '195.79.84.128', '195.79.85.63', 3276756096, 3276756287, 'GB', 'United Kingdom'),
(120257, '195.79.85.64', '195.79.85.95', 3276756288, 3276756319, 'SE', 'Sweden'),
(120258, '195.79.85.96', '195.79.85.127', 3276756320, 3276756351, 'FR', 'France'),
(120259, '195.79.85.128', '195.79.86.191', 3276756352, 3276756671, 'GB', 'United Kingdom'),
(120260, '195.79.86.192', '195.79.86.255', 3276756672, 3276756735, 'DE', 'Germany'),
(120261, '195.79.87.0', '195.79.88.127', 3276756736, 3276757119, 'GB', 'United Kingdom'),
(120262, '195.79.88.128', '195.79.88.143', 3276757120, 3276757135, 'NO', 'Norway'),
(120263, '195.79.88.144', '195.79.88.159', 3276757136, 3276757151, 'NL', 'Netherlands'),
(120264, '195.79.88.160', '195.79.88.191', 3276757152, 3276757183, 'GB', 'United Kingdom'),
(120265, '195.79.88.192', '195.79.88.255', 3276757184, 3276757247, 'EU', 'Europe'),
(120266, '195.79.89.0', '195.79.89.255', 3276757248, 3276757503, 'GB', 'United Kingdom'),
(120267, '195.79.90.0', '195.79.90.255', 3276757504, 3276757759, 'EU', 'Europe'),
(120268, '195.79.91.0', '195.79.91.63', 3276757760, 3276757823, 'GB', 'United Kingdom'),
(120269, '195.79.91.64', '195.79.91.79', 3276757824, 3276757839, 'DE', 'Germany'),
(120270, '195.79.91.80', '195.79.91.95', 3276757840, 3276757855, 'ES', 'Spain'),
(120271, '195.79.91.96', '195.79.91.127', 3276757856, 3276757887, 'CH', 'Switzerland'),
(120272, '195.79.91.128', '195.79.95.255', 3276757888, 3276759039, 'GB', 'United Kingdom'),
(120273, '195.79.96.0', '195.79.98.143', 3276759040, 3276759695, 'DE', 'Germany'),
(120274, '195.79.98.144', '195.79.98.159', 3276759696, 3276759711, 'NL', 'Netherlands'),
(120275, '195.79.98.160', '195.79.98.191', 3276759712, 3276759743, 'DE', 'Germany'),
(120276, '195.79.98.192', '195.79.98.223', 3276759744, 3276759775, 'CH', 'Switzerland'),
(120277, '195.79.98.224', '195.79.98.255', 3276759776, 3276759807, 'EU', 'Europe'),
(120278, '195.79.99.0', '195.79.104.127', 3276759808, 3276761215, 'DE', 'Germany'),
(120279, '195.79.104.128', '195.79.104.191', 3276761216, 3276761279, 'ES', 'Spain'),
(120280, '195.79.104.192', '195.79.107.63', 3276761280, 3276761919, 'DE', 'Germany'),
(120281, '195.79.107.64', '195.79.107.127', 3276761920, 3276761983, 'GB', 'United Kingdom'),
(120282, '195.79.107.128', '195.79.107.159', 3276761984, 3276762015, 'DK', 'Denmark'),
(120283, '195.79.107.160', '195.79.107.255', 3276762016, 3276762111, 'FR', 'France'),
(120284, '195.79.108.0', '195.79.109.255', 3276762112, 3276762623, 'DE', 'Germany'),
(120285, '195.79.110.0', '195.79.110.255', 3276762624, 3276762879, 'EU', 'Europe'),
(120286, '195.79.111.0', '195.79.111.63', 3276762880, 3276762943, 'DE', 'Germany'),
(120287, '195.79.111.64', '195.79.111.79', 3276762944, 3276762959, 'GB', 'United Kingdom'),
(120288, '195.79.111.80', '195.79.111.95', 3276762960, 3276762975, 'IT', 'Italy'),
(120289, '195.79.111.96', '195.79.111.127', 3276762976, 3276763007, 'NO', 'Norway'),
(120290, '195.79.111.128', '195.79.112.191', 3276763008, 3276763327, 'DE', 'Germany'),
(120291, '195.79.112.192', '195.79.112.255', 3276763328, 3276763391, 'SE', 'Sweden'),
(120292, '195.79.113.0', '195.79.113.127', 3276763392, 3276763519, 'DE', 'Germany'),
(120293, '195.79.113.128', '195.79.113.159', 3276763520, 3276763551, 'IT', 'Italy'),
(120294, '195.79.113.160', '195.79.113.175', 3276763552, 3276763567, 'CH', 'Switzerland'),
(120295, '195.79.113.176', '195.79.113.191', 3276763568, 3276763583, 'GR', 'Greece'),
(120296, '195.79.113.192', '195.79.113.255', 3276763584, 3276763647, 'GB', 'United Kingdom'),
(120297, '195.79.114.0', '195.79.115.63', 3276763648, 3276763967, 'DE', 'Germany'),
(120298, '195.79.115.64', '195.79.115.79', 3276763968, 3276763983, 'DK', 'Denmark'),
(120299, '195.79.115.80', '195.79.115.87', 3276763984, 3276763991, 'GB', 'United Kingdom'),
(120300, '195.79.115.88', '195.79.115.95', 3276763992, 3276763999, 'BE', 'Belgium'),
(120301, '195.79.115.96', '195.79.115.127', 3276764000, 3276764031, 'IT', 'Italy'),
(120302, '195.79.115.128', '195.79.115.255', 3276764032, 3276764159, 'EU', 'Europe'),
(120303, '195.79.116.0', '195.79.119.255', 3276764160, 3276765183, 'DE', 'Germany'),
(120304, '195.79.120.0', '195.79.126.255', 3276765184, 3276766975, 'GB', 'United Kingdom'),
(120305, '195.79.127.0', '195.79.127.7', 3276766976, 3276766983, 'FR', 'France'),
(120306, '195.79.127.8', '195.79.127.15', 3276766984, 3276766991, 'EU', 'Europe'),
(120307, '195.79.127.16', '195.79.127.39', 3276766992, 3276767015, 'FR', 'France'),
(120308, '195.79.127.40', '195.79.127.47', 3276767016, 3276767023, 'DK', 'Denmark'),
(120309, '195.79.127.48', '195.79.127.63', 3276767024, 3276767039, 'BE', 'Belgium'),
(120310, '195.79.127.64', '195.79.127.103', 3276767040, 3276767079, 'FR', 'France'),
(120311, '195.79.127.104', '195.79.127.111', 3276767080, 3276767087, 'GB', 'United Kingdom'),
(120312, '195.79.127.112', '195.79.127.127', 3276767088, 3276767103, 'NL', 'Netherlands'),
(120313, '195.79.127.128', '195.79.127.255', 3276767104, 3276767231, 'FR', 'France'),
(120314, '195.79.128.0', '195.79.129.255', 3276767232, 3276767743, 'ZA', 'South Africa'),
(120315, '195.79.130.0', '195.79.130.63', 3276767744, 3276767807, 'NL', 'Netherlands'),
(120316, '195.79.130.64', '195.79.130.127', 3276767808, 3276767871, 'DK', 'Denmark'),
(120317, '195.79.130.128', '195.79.130.191', 3276767872, 3276767935, 'NL', 'Netherlands'),
(120318, '195.79.130.192', '195.79.130.223', 3276767936, 3276767967, 'FR', 'France'),
(120319, '195.79.130.224', '195.79.130.255', 3276767968, 3276767999, 'AT', 'Austria'),
(120320, '195.79.131.0', '195.79.132.255', 3276768000, 3276768511, 'NL', 'Netherlands'),
(120321, '195.79.133.0', '195.79.133.255', 3276768512, 3276768767, 'DE', 'Germany'),
(120322, '195.79.134.0', '195.79.134.95', 3276768768, 3276768863, 'ES', 'Spain'),
(120323, '195.79.134.96', '195.79.134.127', 3276768864, 3276768895, 'AT', 'Austria'),
(120324, '195.79.134.128', '195.79.134.255', 3276768896, 3276769023, 'HU', 'Hungary'),
(120325, '195.79.135.0', '195.79.135.255', 3276769024, 3276769279, 'DE', 'Germany'),
(120326, '195.79.136.0', '195.79.136.15', 3276769280, 3276769295, 'ES', 'Spain'),
(120327, '195.79.136.16', '195.79.136.31', 3276769296, 3276769311, 'DE', 'Germany'),
(120328, '195.79.136.32', '195.79.136.63', 3276769312, 3276769343, 'CH', 'Switzerland'),
(120329, '195.79.136.64', '195.79.136.127', 3276769344, 3276769407, 'NL', 'Netherlands'),
(120330, '195.79.136.128', '195.79.138.127', 3276769408, 3276769919, 'ES', 'Spain'),
(120331, '195.79.138.128', '195.79.138.191', 3276769920, 3276769983, 'EU', 'Europe'),
(120332, '195.79.138.192', '195.79.138.223', 3276769984, 3276770015, 'AT', 'Austria'),
(120333, '195.79.138.224', '195.79.138.239', 3276770016, 3276770031, 'IT', 'Italy'),
(120334, '195.79.138.240', '195.79.138.255', 3276770032, 3276770047, 'CH', 'Switzerland'),
(120335, '195.79.139.0', '195.79.139.95', 3276770048, 3276770143, 'ES', 'Spain'),
(120336, '195.79.139.96', '195.79.139.127', 3276770144, 3276770175, 'FI', 'Finland'),
(120337, '195.79.139.128', '195.79.139.191', 3276770176, 3276770239, 'ES', 'Spain'),
(120338, '195.79.139.192', '195.79.139.255', 3276770240, 3276770303, 'DK', 'Denmark'),
(120339, '195.79.140.0', '195.79.141.255', 3276770304, 3276770815, 'ES', 'Spain'),
(120340, '195.79.142.0', '195.79.142.127', 3276770816, 3276770943, 'EU', 'Europe'),
(120341, '195.79.142.128', '195.79.143.63', 3276770944, 3276771135, 'ES', 'Spain'),
(120342, '195.79.143.64', '195.79.143.127', 3276771136, 3276771199, 'EU', 'Europe'),
(120343, '195.79.143.128', '195.79.143.255', 3276771200, 3276771327, 'ES', 'Spain'),
(120344, '195.79.144.0', '195.79.144.127', 3276771328, 3276771455, 'NL', 'Netherlands'),
(120345, '195.79.144.128', '195.79.144.255', 3276771456, 3276771583, 'GB', 'United Kingdom'),
(120346, '195.79.145.0', '195.79.147.191', 3276771584, 3276772287, 'NL', 'Netherlands'),
(120347, '195.79.147.192', '195.79.147.255', 3276772288, 3276772351, 'AT', 'Austria'),
(120348, '195.79.148.0', '195.79.148.215', 3276772352, 3276772567, 'BE', 'Belgium'),
(120349, '195.79.148.216', '195.79.148.223', 3276772568, 3276772575, 'EU', 'Europe'),
(120350, '195.79.148.224', '195.79.151.255', 3276772576, 3276773375, 'BE', 'Belgium'),
(120351, '195.79.152.0', '195.79.154.159', 3276773376, 3276774047, 'DK', 'Denmark'),
(120352, '195.79.154.160', '195.79.154.191', 3276774048, 3276774079, 'FI', 'Finland'),
(120353, '195.79.154.192', '195.79.154.207', 3276774080, 3276774095, 'DK', 'Denmark'),
(120354, '195.79.154.208', '195.79.154.223', 3276774096, 3276774111, 'EU', 'Europe'),
(120355, '195.79.154.224', '195.79.154.255', 3276774112, 3276774143, 'IE', 'Ireland'),
(120356, '195.79.155.0', '195.79.155.127', 3276774144, 3276774271, 'DK', 'Denmark'),
(120357, '195.79.155.128', '195.79.155.159', 3276774272, 3276774303, 'DE', 'Germany'),
(120358, '195.79.155.160', '195.79.155.191', 3276774304, 3276774335, 'FR', 'France'),
(120359, '195.79.155.192', '195.79.155.255', 3276774336, 3276774399, 'GB', 'United Kingdom'),
(120360, '195.79.156.0', '195.79.156.143', 3276774400, 3276774543, 'SE', 'Sweden'),
(120361, '195.79.156.144', '195.79.156.159', 3276774544, 3276774559, 'GB', 'United Kingdom'),
(120362, '195.79.156.160', '195.79.156.191', 3276774560, 3276774591, 'DE', 'Germany'),
(120363, '195.79.156.192', '195.79.156.255', 3276774592, 3276774655, 'CH', 'Switzerland'),
(120364, '195.79.157.0', '195.79.158.191', 3276774656, 3276775103, 'SE', 'Sweden'),
(120365, '195.79.158.192', '195.79.158.255', 3276775104, 3276775167, 'NL', 'Netherlands'),
(120366, '195.79.159.0', '195.79.159.127', 3276775168, 3276775295, 'SE', 'Sweden'),
(120367, '195.79.159.128', '195.79.159.191', 3276775296, 3276775359, 'FR', 'France'),
(120368, '195.79.159.192', '195.79.159.223', 3276775360, 3276775391, 'DK', 'Denmark'),
(120369, '195.79.159.224', '195.79.159.255', 3276775392, 3276775423, 'DE', 'Germany'),
(120370, '195.79.160.0', '195.79.182.95', 3276775424, 3276781151, 'NL', 'Netherlands'),
(120371, '195.79.182.96', '195.79.182.191', 3276781152, 3276781247, 'FR', 'France'),
(120372, '195.79.182.192', '195.79.182.255', 3276781248, 3276781311, 'BE', 'Belgium'),
(120373, '195.79.183.0', '195.79.183.191', 3276781312, 3276781503, 'NL', 'Netherlands'),
(120374, '195.79.183.192', '195.79.183.255', 3276781504, 3276781567, 'FR', 'France'),
(120375, '195.79.184.0', '195.79.188.127', 3276781568, 3276782719, 'BE', 'Belgium'),
(120376, '195.79.188.128', '195.79.188.191', 3276782720, 3276782783, 'EU', 'Europe'),
(120377, '195.79.188.192', '195.79.188.207', 3276782784, 3276782799, 'FR', 'France'),
(120378, '195.79.188.208', '195.79.188.223', 3276782800, 3276782815, 'CZ', 'Czech Republic'),
(120379, '195.79.188.224', '195.79.188.255', 3276782816, 3276782847, 'ES', 'Spain'),
(120380, '195.79.189.0', '195.79.189.127', 3276782848, 3276782975, 'BE', 'Belgium'),
(120381, '195.79.189.128', '195.79.189.191', 3276782976, 3276783039, 'GR', 'Greece'),
(120382, '195.79.189.192', '195.79.189.207', 3276783040, 3276783055, 'DK', 'Denmark'),
(120383, '195.79.189.208', '195.79.189.223', 3276783056, 3276783071, 'GB', 'United Kingdom'),
(120384, '195.79.189.224', '195.79.189.239', 3276783072, 3276783087, 'PT', 'Portugal'),
(120385, '195.79.189.240', '195.79.189.255', 3276783088, 3276783103, 'CH', 'Switzerland'),
(120386, '195.79.190.0', '195.79.191.255', 3276783104, 3276783615, 'IT', 'Italy'),
(120387, '195.79.192.0', '195.79.194.255', 3276783616, 3276784383, 'FR', 'France'),
(120388, '195.79.195.0', '195.79.195.255', 3276784384, 3276784639, 'EU', 'Europe'),
(120389, '195.79.196.0', '195.79.196.255', 3276784640, 3276784895, 'FR', 'France'),
(120390, '195.79.197.0', '195.79.197.255', 3276784896, 3276785151, 'NO', 'Norway'),
(120391, '195.79.198.0', '195.79.198.255', 3276785152, 3276785407, 'IE', 'Ireland'),
(120392, '195.79.199.0', '195.79.199.31', 3276785408, 3276785439, 'PT', 'Portugal'),
(120393, '195.79.199.32', '195.79.199.47', 3276785440, 3276785455, 'GR', 'Greece'),
(120394, '195.79.199.48', '195.79.199.55', 3276785456, 3276785463, 'GB', 'United Kingdom'),
(120395, '195.79.199.56', '195.79.199.63', 3276785464, 3276785471, 'IE', 'Ireland'),
(120396, '195.79.199.64', '195.79.199.127', 3276785472, 3276785535, 'PT', 'Portugal'),
(120397, '195.79.199.128', '195.79.199.159', 3276785536, 3276785567, 'BE', 'Belgium'),
(120398, '195.79.199.160', '195.79.199.191', 3276785568, 3276785599, 'PT', 'Portugal'),
(120399, '195.79.199.192', '195.79.199.199', 3276785600, 3276785607, 'TR', 'Turkey'),
(120400, '195.79.199.200', '195.79.199.207', 3276785608, 3276785615, 'PL', 'Poland'),
(120401, '195.79.199.208', '195.79.199.223', 3276785616, 3276785631, 'CZ', 'Czech Republic'),
(120402, '195.79.199.224', '195.79.199.255', 3276785632, 3276785663, 'IT', 'Italy'),
(120403, '195.79.200.0', '195.79.200.127', 3276785664, 3276785791, 'IL', 'Israel'),
(120404, '195.79.200.128', '195.79.200.159', 3276785792, 3276785823, 'NL', 'Netherlands'),
(120405, '195.79.200.160', '195.79.200.191', 3276785824, 3276785855, 'EU', 'Europe'),
(120406, '195.79.200.192', '195.79.200.255', 3276785856, 3276785919, 'GB', 'United Kingdom'),
(120407, '195.79.201.0', '195.79.201.255', 3276785920, 3276786175, 'AT', 'Austria'),
(120408, '195.79.202.0', '195.79.202.255', 3276786176, 3276786431, 'NO', 'Norway'),
(120409, '195.79.203.0', '195.79.203.255', 3276786432, 3276786687, 'EU', 'Europe'),
(120410, '195.79.204.0', '195.79.204.127', 3276786688, 3276786815, 'HU', 'Hungary'),
(120411, '195.79.204.128', '195.79.204.191', 3276786816, 3276786879, 'SE', 'Sweden'),
(120412, '195.79.204.192', '195.79.204.223', 3276786880, 3276786911, 'TR', 'Turkey'),
(120413, '195.79.204.224', '195.79.204.255', 3276786912, 3276786943, 'BE', 'Belgium'),
(120414, '195.79.205.0', '195.79.206.159', 3276786944, 3276787359, 'AT', 'Austria'),
(120415, '195.79.206.160', '195.79.206.191', 3276787360, 3276787391, 'DE', 'Germany'),
(120416, '195.79.206.192', '195.79.206.255', 3276787392, 3276787455, 'BE', 'Belgium'),
(120417, '195.79.207.0', '195.79.208.63', 3276787456, 3276787775, 'FR', 'France'),
(120418, '195.79.208.64', '195.79.208.255', 3276787776, 3276787967, 'EU', 'Europe'),
(120419, '195.79.209.0', '195.79.211.255', 3276787968, 3276788735, 'FR', 'France'),
(120420, '195.79.212.0', '195.79.212.127', 3276788736, 3276788863, 'IE', 'Ireland'),
(120421, '195.79.212.128', '195.79.212.159', 3276788864, 3276788895, 'DE', 'Germany'),
(120422, '195.79.212.160', '195.79.212.191', 3276788896, 3276788927, 'EU', 'Europe'),
(120423, '195.79.212.192', '195.79.212.255', 3276788928, 3276788991, 'NL', 'Netherlands'),
(120424, '195.79.213.0', '195.79.213.255', 3276788992, 3276789247, 'NO', 'Norway'),
(120425, '195.79.214.0', '195.79.214.191', 3276789248, 3276789439, 'FI', 'Finland'),
(120426, '195.79.214.192', '195.79.214.255', 3276789440, 3276789503, 'EU', 'Europe'),
(120427, '195.79.215.0', '195.79.215.63', 3276789504, 3276789567, 'FR', 'France'),
(120428, '195.79.215.64', '195.79.215.79', 3276789568, 3276789583, 'ES', 'Spain'),
(120429, '195.79.215.80', '195.79.215.95', 3276789584, 3276789599, 'FR', 'France'),
(120430, '195.79.215.96', '195.79.215.111', 3276789600, 3276789615, 'ES', 'Spain'),
(120431, '195.79.215.112', '195.79.215.127', 3276789616, 3276789631, 'NL', 'Netherlands'),
(120432, '195.79.215.128', '195.79.215.255', 3276789632, 3276789759, 'FR', 'France'),
(120433, '195.79.216.0', '195.79.216.255', 3276789760, 3276790015, 'IT', 'Italy'),
(120434, '195.79.217.0', '195.79.217.95', 3276790016, 3276790111, 'ES', 'Spain'),
(120435, '195.79.217.96', '195.79.217.111', 3276790112, 3276790127, 'FR', 'France'),
(120436, '195.79.217.112', '195.79.217.127', 3276790128, 3276790143, 'NL', 'Netherlands'),
(120437, '195.79.217.128', '195.79.217.159', 3276790144, 3276790175, 'IT', 'Italy'),
(120438, '195.79.217.160', '195.79.217.183', 3276790176, 3276790199, 'NL', 'Netherlands'),
(120439, '195.79.217.184', '195.79.217.191', 3276790200, 3276790207, 'DE', 'Germany'),
(120440, '195.79.217.192', '195.79.217.207', 3276790208, 3276790223, 'NL', 'Netherlands'),
(120441, '195.79.217.208', '195.79.217.255', 3276790224, 3276790271, 'GB', 'United Kingdom'),
(120442, '195.79.218.0', '195.79.218.255', 3276790272, 3276790527, 'IE', 'Ireland'),
(120443, '195.79.219.0', '195.79.219.255', 3276790528, 3276790783, 'HU', 'Hungary'),
(120444, '195.79.220.0', '195.79.220.159', 3276790784, 3276790943, 'PK', 'Pakistan'),
(120445, '195.79.220.160', '195.79.220.223', 3276790944, 3276791007, 'IT', 'Italy'),
(120446, '195.79.220.224', '195.79.220.255', 3276791008, 3276791039, 'NL', 'Netherlands'),
(120447, '195.79.221.0', '195.79.221.255', 3276791040, 3276791295, 'GB', 'United Kingdom'),
(120448, '195.79.222.0', '195.79.222.31', 3276791296, 3276791327, 'PT', 'Portugal'),
(120449, '195.79.222.32', '195.79.222.255', 3276791328, 3276791551, 'EU', 'Europe'),
(120450, '195.79.223.0', '195.79.227.255', 3276791552, 3276792831, 'GB', 'United Kingdom'),
(120451, '195.79.228.0', '195.79.228.255', 3276792832, 3276793087, 'FR', 'France'),
(120452, '195.79.229.0', '195.79.229.191', 3276793088, 3276793279, 'GB', 'United Kingdom'),
(120453, '195.79.229.192', '195.79.229.255', 3276793280, 3276793343, 'IE', 'Ireland'),
(120454, '195.79.230.0', '195.79.231.135', 3276793344, 3276793735, 'FR', 'France'),
(120455, '195.79.231.136', '195.79.231.143', 3276793736, 3276793743, 'NL', 'Netherlands'),
(120456, '195.79.231.144', '195.79.231.151', 3276793744, 3276793751, 'BE', 'Belgium'),
(120457, '195.79.231.152', '195.79.231.159', 3276793752, 3276793759, 'FR', 'France'),
(120458, '195.79.231.160', '195.79.231.191', 3276793760, 3276793791, 'PL', 'Poland'),
(120459, '195.79.231.192', '195.79.231.255', 3276793792, 3276793855, 'FR', 'France'),
(120460, '195.79.232.0', '195.79.232.255', 3276793856, 3276794111, 'EU', 'Europe'),
(120461, '195.79.233.0', '195.79.233.143', 3276794112, 3276794255, 'NL', 'Netherlands'),
(120462, '195.79.233.144', '195.79.233.159', 3276794256, 3276794271, 'DE', 'Germany'),
(120463, '195.79.233.160', '195.79.233.191', 3276794272, 3276794303, 'EU', 'Europe'),
(120464, '195.79.233.192', '195.79.233.223', 3276794304, 3276794335, 'DK', 'Denmark'),
(120465, '195.79.233.224', '195.79.233.255', 3276794336, 3276794367, 'NL', 'Netherlands'),
(120466, '195.79.234.0', '195.79.239.255', 3276794368, 3276795903, 'BE', 'Belgium'),
(120467, '195.79.240.0', '195.79.247.255', 3276795904, 3276797951, 'AT', 'Austria'),
(120468, '195.79.248.0', '195.79.252.127', 3276797952, 3276799103, 'EU', 'Europe'),
(120469, '195.79.252.128', '195.79.252.255', 3276799104, 3276799231, 'GB', 'United Kingdom'),
(120470, '195.79.253.0', '195.79.253.63', 3276799232, 3276799295, 'EU', 'Europe'),
(120471, '195.79.253.64', '195.79.253.127', 3276799296, 3276799359, 'GB', 'United Kingdom'),
(120472, '195.79.253.128', '195.79.253.159', 3276799360, 3276799391, 'NL', 'Netherlands'),
(120473, '195.79.253.160', '195.79.253.223', 3276799392, 3276799455, 'AT', 'Austria'),
(120474, '195.79.253.224', '195.79.253.239', 3276799456, 3276799471, 'PL', 'Poland'),
(120475, '195.79.253.240', '195.79.253.255', 3276799472, 3276799487, 'NL', 'Netherlands'),
(120476, '195.79.254.0', '195.79.254.255', 3276799488, 3276799743, 'DE', 'Germany'),
(120477, '195.79.255.0', '195.79.255.31', 3276799744, 3276799775, 'NL', 'Netherlands'),
(120478, '195.79.255.32', '195.79.255.63', 3276799776, 3276799807, 'GB', 'United Kingdom'),
(120479, '195.79.255.64', '195.79.255.95', 3276799808, 3276799839, 'FR', 'France'),
(120480, '195.79.255.96', '195.79.255.127', 3276799840, 3276799871, 'ES', 'Spain'),
(120481, '195.79.255.128', '195.79.255.255', 3276799872, 3276799999, 'NL', 'Netherlands'),
(120482, '195.80.0.0', '195.80.95.255', 3276800000, 3276824575, 'GB', 'United Kingdom'),
(120483, '195.80.96.0', '195.80.127.255', 3276824576, 3276832767, 'EE', 'Estonia'),
(120484, '195.80.128.0', '195.80.135.255', 3276832768, 3276834815, 'PL', 'Poland'),
(120485, '195.80.136.0', '195.80.139.255', 3276834816, 3276835839, 'RU', 'Russian Federation'),
(120486, '195.80.140.0', '195.80.141.255', 3276835840, 3276836351, 'UA', 'Ukraine'),
(120487, '195.80.142.0', '195.80.143.255', 3276836352, 3276836863, 'RO', 'Romania'),
(120488, '195.80.144.0', '195.80.147.255', 3276836864, 3276837887, 'RU', 'Russian Federation'),
(120489, '195.80.148.0', '195.80.151.255', 3276837888, 3276838911, 'PL', 'Poland'),
(120490, '195.80.152.0', '195.80.159.255', 3276838912, 3276840959, 'FR', 'France'),
(120491, '195.80.160.0', '195.80.191.255', 3276840960, 3276849151, 'SK', 'Slovakia'),
(120492, '195.80.192.0', '195.80.223.255', 3276849152, 3276857343, 'DE', 'Germany'),
(120493, '195.80.224.0', '195.80.224.255', 3276857344, 3276857599, 'RU', 'Russian Federation'),
(120494, '195.80.225.0', '195.80.225.255', 3276857600, 3276857855, 'SI', 'Slovenia'),
(120495, '195.80.226.0', '195.80.226.255', 3276857856, 3276858111, 'NL', 'Netherlands'),
(120496, '195.80.227.0', '195.80.227.255', 3276858112, 3276858367, 'KW', 'Kuwait'),
(120497, '195.80.228.0', '195.80.228.255', 3276858368, 3276858623, 'RU', 'Russian Federation'),
(120498, '195.80.229.0', '195.80.229.255', 3276858624, 3276858879, 'PL', 'Poland'),
(120499, '195.80.230.0', '195.80.230.255', 3276858880, 3276859135, 'DE', 'Germany'),
(120500, '195.80.231.0', '195.80.232.255', 3276859136, 3276859647, 'UA', 'Ukraine'),
(120501, '195.80.233.0', '195.80.233.255', 3276859648, 3276859903, 'CH', 'Switzerland'),
(120502, '195.80.234.0', '195.80.234.255', 3276859904, 3276860159, 'AT', 'Austria'),
(120503, '195.80.235.0', '195.80.235.255', 3276860160, 3276860415, 'EU', 'Europe'),
(120504, '195.80.236.0', '195.80.237.255', 3276860416, 3276860927, 'PL', 'Poland'),
(120505, '195.80.238.0', '195.80.238.255', 3276860928, 3276861183, 'BE', 'Belgium'),
(120506, '195.80.239.0', '195.80.239.255', 3276861184, 3276861439, 'DE', 'Germany'),
(120507, '195.80.240.0', '195.80.255.255', 3276861440, 3276865535, 'DK', 'Denmark'),
(120508, '195.81.0.0', '195.81.2.255', 3276865536, 3276866303, 'NL', 'Netherlands'),
(120509, '195.81.3.0', '195.81.3.255', 3276866304, 3276866559, 'EU', 'Europe'),
(120510, '195.81.4.0', '195.81.4.255', 3276866560, 3276866815, 'IT', 'Italy'),
(120511, '195.81.5.0', '195.81.5.255', 3276866816, 3276867071, 'EU', 'Europe'),
(120512, '195.81.6.0', '195.81.11.254', 3276867072, 3276868606, 'IT', 'Italy'),
(120513, '195.81.11.255', '195.81.11.255', 3276868607, 3276868607, 'GB', 'United Kingdom'),
(120514, '195.81.12.0', '195.81.12.255', 3276868608, 3276868863, 'NL', 'Netherlands'),
(120515, '195.81.13.0', '195.81.13.255', 3276868864, 3276869119, 'IT', 'Italy'),
(120516, '195.81.14.0', '195.81.15.255', 3276869120, 3276869631, 'GB', 'United Kingdom'),
(120517, '195.81.16.0', '195.81.16.63', 3276869632, 3276869695, 'IT', 'Italy'),
(120518, '195.81.16.64', '195.81.16.95', 3276869696, 3276869727, 'GB', 'United Kingdom'),
(120519, '195.81.16.96', '195.81.16.223', 3276869728, 3276869855, 'IT', 'Italy'),
(120520, '195.81.16.224', '195.81.16.255', 3276869856, 3276869887, 'GB', 'United Kingdom'),
(120521, '195.81.17.0', '195.81.17.255', 3276869888, 3276870143, 'NL', 'Netherlands'),
(120522, '195.81.18.0', '195.81.23.255', 3276870144, 3276871679, 'IT', 'Italy'),
(120523, '195.81.24.0', '195.81.26.63', 3276871680, 3276872255, 'DE', 'Germany'),
(120524, '195.81.26.64', '195.81.26.127', 3276872256, 3276872319, 'CZ', 'Czech Republic'),
(120525, '195.81.26.128', '195.81.27.31', 3276872320, 3276872479, 'DE', 'Germany'),
(120526, '195.81.27.32', '195.81.27.63', 3276872480, 3276872511, 'GB', 'United Kingdom'),
(120527, '195.81.27.64', '195.81.27.255', 3276872512, 3276872703, 'DE', 'Germany'),
(120528, '195.81.28.0', '195.81.31.255', 3276872704, 3276873727, 'GB', 'United Kingdom'),
(120529, '195.81.32.0', '195.81.34.127', 3276873728, 3276874367, 'ES', 'Spain'),
(120530, '195.81.34.128', '195.81.34.143', 3276874368, 3276874383, 'GB', 'United Kingdom'),
(120531, '195.81.34.144', '195.81.34.183', 3276874384, 3276874423, 'ES', 'Spain'),
(120532, '195.81.34.184', '195.81.34.191', 3276874424, 3276874431, 'GB', 'United Kingdom'),
(120533, '195.81.34.192', '195.81.34.207', 3276874432, 3276874447, 'ES', 'Spain'),
(120534, '195.81.34.208', '195.81.34.255', 3276874448, 3276874495, 'GB', 'United Kingdom'),
(120535, '195.81.35.0', '195.81.35.63', 3276874496, 3276874559, 'ES', 'Spain'),
(120536, '195.81.35.64', '195.81.35.255', 3276874560, 3276874751, 'GB', 'United Kingdom'),
(120537, '195.81.36.0', '195.81.36.255', 3276874752, 3276875007, 'NL', 'Netherlands'),
(120538, '195.81.37.0', '195.81.37.255', 3276875008, 3276875263, 'CH', 'Switzerland'),
(120539, '195.81.38.0', '195.81.39.255', 3276875264, 3276875775, 'NL', 'Netherlands'),
(120540, '195.81.40.0', '195.81.40.255', 3276875776, 3276876031, 'GB', 'United Kingdom'),
(120541, '195.81.41.0', '195.81.41.255', 3276876032, 3276876287, 'DK', 'Denmark'),
(120542, '195.81.42.0', '195.81.42.127', 3276876288, 3276876415, 'NL', 'Netherlands'),
(120543, '195.81.42.128', '195.81.42.143', 3276876416, 3276876431, 'GB', 'United Kingdom'),
(120544, '195.81.42.144', '195.81.42.253', 3276876432, 3276876541, 'NL', 'Netherlands'),
(120545, '195.81.42.254', '195.81.46.223', 3276876542, 3276877535, 'GB', 'United Kingdom'),
(120546, '195.81.46.224', '195.81.46.239', 3276877536, 3276877551, 'AT', 'Austria'),
(120547, '195.81.46.240', '195.81.46.255', 3276877552, 3276877567, 'GB', 'United Kingdom'),
(120548, '195.81.47.0', '195.81.47.255', 3276877568, 3276877823, 'AT', 'Austria'),
(120549, '195.81.48.0', '195.81.48.255', 3276877824, 3276878079, 'GB', 'United Kingdom'),
(120550, '195.81.49.0', '195.81.49.255', 3276878080, 3276878335, 'BG', 'Bulgaria'),
(120551, '195.81.50.0', '195.81.50.63', 3276878336, 3276878399, 'GB', 'United Kingdom'),
(120552, '195.81.50.64', '195.81.50.95', 3276878400, 3276878431, 'FR', 'France'),
(120553, '195.81.50.96', '195.81.50.127', 3276878432, 3276878463, 'ES', 'Spain'),
(120554, '195.81.50.128', '195.81.50.223', 3276878464, 3276878559, 'FR', 'France'),
(120555, '195.81.50.224', '195.81.50.255', 3276878560, 3276878591, 'GB', 'United Kingdom'),
(120556, '195.81.51.0', '195.81.51.255', 3276878592, 3276878847, 'FR', 'France'),
(120557, '195.81.52.0', '195.81.53.255', 3276878848, 3276879359, 'ES', 'Spain'),
(120558, '195.81.54.0', '195.81.54.63', 3276879360, 3276879423, 'TR', 'Turkey'),
(120559, '195.81.54.64', '195.81.54.255', 3276879424, 3276879615, 'GB', 'United Kingdom'),
(120560, '195.81.55.0', '195.81.55.255', 3276879616, 3276879871, 'TR', 'Turkey'),
(120561, '195.81.56.0', '195.81.59.255', 3276879872, 3276880895, 'DK', 'Denmark'),
(120562, '195.81.60.0', '195.81.61.63', 3276880896, 3276881215, 'DE', 'Germany'),
(120563, '195.81.61.64', '195.81.61.127', 3276881216, 3276881279, 'GB', 'United Kingdom'),
(120564, '195.81.61.128', '195.81.61.255', 3276881280, 3276881407, 'DE', 'Germany'),
(120565, '195.81.62.0', '195.81.63.255', 3276881408, 3276881919, 'FR', 'France'),
(120566, '195.81.64.0', '195.81.69.127', 3276881920, 3276883327, 'IT', 'Italy'),
(120567, '195.81.69.128', '195.81.69.191', 3276883328, 3276883391, 'GB', 'United Kingdom'),
(120568, '195.81.69.192', '195.81.71.255', 3276883392, 3276883967, 'IT', 'Italy'),
(120569, '195.81.72.0', '195.81.74.39', 3276883968, 3276884519, 'PL', 'Poland'),
(120570, '195.81.74.40', '195.81.74.255', 3276884520, 3276884735, 'GB', 'United Kingdom'),
(120571, '195.81.75.0', '195.81.75.255', 3276884736, 3276884991, 'PL', 'Poland'),
(120572, '195.81.76.0', '195.81.79.255', 3276884992, 3276886015, 'GB', 'United Kingdom'),
(120573, '195.81.80.0', '195.81.80.255', 3276886016, 3276886271, 'RO', 'Romania'),
(120574, '195.81.81.0', '195.81.83.159', 3276886272, 3276886943, 'DE', 'Germany'),
(120575, '195.81.83.160', '195.81.83.175', 3276886944, 3276886959, 'GB', 'United Kingdom'),
(120576, '195.81.83.176', '195.81.83.207', 3276886960, 3276886991, 'DE', 'Germany'),
(120577, '195.81.83.208', '195.81.84.7', 3276886992, 3276887047, 'GB', 'United Kingdom'),
(120578, '195.81.84.8', '195.81.87.255', 3276887048, 3276888063, 'DE', 'Germany'),
(120579, '195.81.88.0', '195.81.89.255', 3276888064, 3276888575, 'GB', 'United Kingdom'),
(120580, '195.81.90.0', '195.81.92.127', 3276888576, 3276889215, 'IT', 'Italy'),
(120581, '195.81.92.128', '195.81.95.255', 3276889216, 3276890111, 'GB', 'United Kingdom'),
(120582, '195.81.96.0', '195.81.96.23', 3276890112, 3276890135, 'US', 'United States'),
(120583, '195.81.96.24', '195.81.96.31', 3276890136, 3276890143, 'GB', 'United Kingdom'),
(120584, '195.81.96.32', '195.81.96.111', 3276890144, 3276890223, 'US', 'United States'),
(120585, '195.81.96.112', '195.81.96.255', 3276890224, 3276890367, 'GB', 'United Kingdom'),
(120586, '195.81.97.0', '195.81.97.255', 3276890368, 3276890623, 'US', 'United States'),
(120587, '195.81.98.0', '195.81.99.255', 3276890624, 3276891135, 'IT', 'Italy'),
(120588, '195.81.100.0', '195.81.100.255', 3276891136, 3276891391, 'BE', 'Belgium'),
(120589, '195.81.101.0', '195.81.103.255', 3276891392, 3276892159, 'US', 'United States'),
(120590, '195.81.104.0', '195.81.110.254', 3276892160, 3276893950, 'IT', 'Italy'),
(120591, '195.81.110.255', '195.81.110.255', 3276893951, 3276893951, 'GB', 'United Kingdom'),
(120592, '195.81.111.0', '195.81.118.255', 3276893952, 3276895999, 'IT', 'Italy'),
(120593, '195.81.119.0', '195.81.119.255', 3276896000, 3276896255, 'CZ', 'Czech Republic'),
(120594, '195.81.120.0', '195.81.121.255', 3276896256, 3276896767, 'BE', 'Belgium'),
(120595, '195.81.122.0', '195.81.122.7', 3276896768, 3276896775, 'GB', 'United Kingdom'),
(120596, '195.81.122.8', '195.81.122.63', 3276896776, 3276896831, 'BE', 'Belgium'),
(120597, '195.81.122.64', '195.81.122.79', 3276896832, 3276896847, 'SE', 'Sweden'),
(120598, '195.81.122.80', '195.81.122.95', 3276896848, 3276896863, 'BE', 'Belgium'),
(120599, '195.81.122.96', '195.81.122.111', 3276896864, 3276896879, 'GB', 'United Kingdom'),
(120600, '195.81.122.112', '195.81.122.159', 3276896880, 3276896927, 'BE', 'Belgium'),
(120601, '195.81.122.160', '195.81.122.255', 3276896928, 3276897023, 'GB', 'United Kingdom'),
(120602, '195.81.123.0', '195.81.125.127', 3276897024, 3276897663, 'BE', 'Belgium'),
(120603, '195.81.125.128', '195.81.125.191', 3276897664, 3276897727, 'GB', 'United Kingdom'),
(120604, '195.81.125.192', '195.81.125.223', 3276897728, 3276897759, 'BE', 'Belgium'),
(120605, '195.81.125.224', '195.81.126.127', 3276897760, 3276897919, 'GB', 'United Kingdom'),
(120606, '195.81.126.128', '195.81.127.255', 3276897920, 3276898303, 'CZ', 'Czech Republic'),
(120607, '195.81.128.0', '195.81.128.79', 3276898304, 3276898383, 'CH', 'Switzerland'),
(120608, '195.81.128.80', '195.81.128.103', 3276898384, 3276898407, 'GB', 'United Kingdom'),
(120609, '195.81.128.104', '195.81.128.143', 3276898408, 3276898447, 'CH', 'Switzerland'),
(120610, '195.81.128.144', '195.81.128.175', 3276898448, 3276898479, 'GB', 'United Kingdom'),
(120611, '195.81.128.176', '195.81.128.223', 3276898480, 3276898527, 'CH', 'Switzerland'),
(120612, '195.81.128.224', '195.81.128.255', 3276898528, 3276898559, 'GB', 'United Kingdom'),
(120613, '195.81.129.0', '195.81.129.95', 3276898560, 3276898655, 'CH', 'Switzerland'),
(120614, '195.81.129.96', '195.81.129.111', 3276898656, 3276898671, 'GB', 'United Kingdom'),
(120615, '195.81.129.112', '195.81.129.127', 3276898672, 3276898687, 'CH', 'Switzerland'),
(120616, '195.81.129.128', '195.81.129.143', 3276898688, 3276898703, 'GB', 'United Kingdom'),
(120617, '195.81.129.144', '195.81.129.215', 3276898704, 3276898775, 'CH', 'Switzerland'),
(120618, '195.81.129.216', '195.81.129.223', 3276898776, 3276898783, 'GB', 'United Kingdom'),
(120619, '195.81.129.224', '195.81.129.239', 3276898784, 3276898799, 'CH', 'Switzerland'),
(120620, '195.81.129.240', '195.81.129.255', 3276898800, 3276898815, 'GB', 'United Kingdom'),
(120621, '195.81.130.0', '195.81.134.199', 3276898816, 3276900039, 'CH', 'Switzerland'),
(120622, '195.81.134.200', '195.81.134.207', 3276900040, 3276900047, 'GB', 'United Kingdom'),
(120623, '195.81.134.208', '195.81.135.255', 3276900048, 3276900351, 'CH', 'Switzerland'),
(120624, '195.81.136.0', '195.81.136.255', 3276900352, 3276900607, 'GB', 'United Kingdom'),
(120625, '195.81.137.0', '195.81.140.127', 3276900608, 3276901503, 'CH', 'Switzerland'),
(120626, '195.81.140.128', '195.81.140.143', 3276901504, 3276901519, 'ES', 'Spain'),
(120627, '195.81.140.144', '195.81.140.175', 3276901520, 3276901551, 'CH', 'Switzerland'),
(120628, '195.81.140.176', '195.81.140.183', 3276901552, 3276901559, 'GB', 'United Kingdom'),
(120629, '195.81.140.184', '195.81.140.247', 3276901560, 3276901623, 'CH', 'Switzerland'),
(120630, '195.81.140.248', '195.81.140.255', 3276901624, 3276901631, 'GB', 'United Kingdom'),
(120631, '195.81.141.0', '195.81.143.7', 3276901632, 3276902151, 'CH', 'Switzerland'),
(120632, '195.81.143.8', '195.81.143.15', 3276902152, 3276902159, 'GB', 'United Kingdom'),
(120633, '195.81.143.16', '195.81.143.255', 3276902160, 3276902399, 'CH', 'Switzerland'),
(120634, '195.81.144.0', '195.81.144.183', 3276902400, 3276902583, 'SE', 'Sweden'),
(120635, '195.81.144.184', '195.81.144.215', 3276902584, 3276902615, 'GB', 'United Kingdom'),
(120636, '195.81.144.216', '195.81.144.239', 3276902616, 3276902639, 'SE', 'Sweden'),
(120637, '195.81.144.240', '195.81.144.255', 3276902640, 3276902655, 'GB', 'United Kingdom'),
(120638, '195.81.145.0', '195.81.147.151', 3276902656, 3276903319, 'SE', 'Sweden'),
(120639, '195.81.147.152', '195.81.147.159', 3276903320, 3276903327, 'GB', 'United Kingdom'),
(120640, '195.81.147.160', '195.81.147.191', 3276903328, 3276903359, 'NO', 'Norway'),
(120641, '195.81.147.192', '195.81.149.255', 3276903360, 3276903935, 'SE', 'Sweden'),
(120642, '195.81.150.0', '195.81.150.63', 3276903936, 3276903999, 'GB', 'United Kingdom'),
(120643, '195.81.150.64', '195.81.150.143', 3276904000, 3276904079, 'SE', 'Sweden'),
(120644, '195.81.150.144', '195.81.150.159', 3276904080, 3276904095, 'GB', 'United Kingdom'),
(120645, '195.81.150.160', '195.81.150.207', 3276904096, 3276904143, 'SE', 'Sweden'),
(120646, '195.81.150.208', '195.81.150.223', 3276904144, 3276904159, 'GB', 'United Kingdom'),
(120647, '195.81.150.224', '195.81.151.255', 3276904160, 3276904447, 'SE', 'Sweden'),
(120648, '195.81.152.0', '195.81.155.95', 3276904448, 3276905311, 'GB', 'United Kingdom'),
(120649, '195.81.155.96', '195.81.155.103', 3276905312, 3276905319, 'ES', 'Spain'),
(120650, '195.81.155.104', '195.81.155.111', 3276905320, 3276905327, 'BE', 'Belgium'),
(120651, '195.81.155.112', '195.81.155.119', 3276905328, 3276905335, 'NL', 'Netherlands'),
(120652, '195.81.155.120', '195.81.155.255', 3276905336, 3276905471, 'GB', 'United Kingdom'),
(120653, '195.81.156.0', '195.81.156.255', 3276905472, 3276905727, 'SE', 'Sweden'),
(120654, '195.81.157.0', '195.81.157.255', 3276905728, 3276905983, 'BE', 'Belgium'),
(120655, '195.81.158.0', '195.81.158.15', 3276905984, 3276905999, 'GB', 'United Kingdom'),
(120656, '195.81.158.16', '195.81.158.19', 3276906000, 3276906003, 'BE', 'Belgium'),
(120657, '195.81.158.20', '195.81.158.255', 3276906004, 3276906239, 'GB', 'United Kingdom'),
(120658, '195.81.159.0', '195.81.159.39', 3276906240, 3276906279, 'SE', 'Sweden'),
(120659, '195.81.159.40', '195.81.159.47', 3276906280, 3276906287, 'GB', 'United Kingdom'),
(120660, '195.81.159.48', '195.81.159.55', 3276906288, 3276906295, 'SE', 'Sweden'),
(120661, '195.81.159.56', '195.81.159.63', 3276906296, 3276906303, 'GB', 'United Kingdom'),
(120662, '195.81.159.64', '195.81.159.79', 3276906304, 3276906319, 'SE', 'Sweden'),
(120663, '195.81.159.80', '195.81.159.95', 3276906320, 3276906335, 'GB', 'United Kingdom'),
(120664, '195.81.159.96', '195.81.159.151', 3276906336, 3276906391, 'SE', 'Sweden'),
(120665, '195.81.159.152', '195.81.159.159', 3276906392, 3276906399, 'GB', 'United Kingdom'),
(120666, '195.81.159.160', '195.81.159.175', 3276906400, 3276906415, 'SE', 'Sweden'),
(120667, '195.81.159.176', '195.81.159.255', 3276906416, 3276906495, 'GB', 'United Kingdom'),
(120668, '195.81.160.0', '195.81.160.127', 3276906496, 3276906623, 'NL', 'Netherlands'),
(120669, '195.81.160.128', '195.81.160.255', 3276906624, 3276906751, 'GB', 'United Kingdom'),
(120670, '195.81.161.0', '195.81.161.71', 3276906752, 3276906823, 'NL', 'Netherlands'),
(120671, '195.81.161.72', '195.81.161.79', 3276906824, 3276906831, 'CH', 'Switzerland'),
(120672, '195.81.161.80', '195.81.161.87', 3276906832, 3276906839, 'GB', 'United Kingdom'),
(120673, '195.81.161.88', '195.81.161.95', 3276906840, 3276906847, 'NL', 'Netherlands'),
(120674, '195.81.161.96', '195.81.161.111', 3276906848, 3276906863, 'GB', 'United Kingdom'),
(120675, '195.81.161.112', '195.81.163.75', 3276906864, 3276907339, 'NL', 'Netherlands'),
(120676, '195.81.163.76', '195.81.163.79', 3276907340, 3276907343, 'GB', 'United Kingdom'),
(120677, '195.81.163.80', '195.81.164.31', 3276907344, 3276907551, 'NL', 'Netherlands'),
(120678, '195.81.164.32', '195.81.164.47', 3276907552, 3276907567, 'BE', 'Belgium'),
(120679, '195.81.164.48', '195.81.164.123', 3276907568, 3276907643, 'NL', 'Netherlands'),
(120680, '195.81.164.124', '195.81.164.127', 3276907644, 3276907647, 'GB', 'United Kingdom'),
(120681, '195.81.164.128', '195.81.164.143', 3276907648, 3276907663, 'NL', 'Netherlands'),
(120682, '195.81.164.144', '195.81.164.159', 3276907664, 3276907679, 'BE', 'Belgium'),
(120683, '195.81.164.160', '195.81.164.167', 3276907680, 3276907687, 'GB', 'United Kingdom'),
(120684, '195.81.164.168', '195.81.166.127', 3276907688, 3276908159, 'NL', 'Netherlands'),
(120685, '195.81.166.128', '195.81.166.143', 3276908160, 3276908175, 'CH', 'Switzerland'),
(120686, '195.81.166.144', '195.81.166.151', 3276908176, 3276908183, 'NL', 'Netherlands'),
(120687, '195.81.166.152', '195.81.166.159', 3276908184, 3276908191, 'GB', 'United Kingdom'),
(120688, '195.81.166.160', '195.81.168.63', 3276908192, 3276908607, 'NL', 'Netherlands'),
(120689, '195.81.168.64', '195.81.168.95', 3276908608, 3276908639, 'DE', 'Germany'),
(120690, '195.81.168.96', '195.81.168.102', 3276908640, 3276908646, 'NL', 'Netherlands'),
(120691, '195.81.168.103', '195.81.168.127', 3276908647, 3276908671, 'GB', 'United Kingdom'),
(120692, '195.81.168.128', '195.81.168.143', 3276908672, 3276908687, 'NL', 'Netherlands'),
(120693, '195.81.168.144', '195.81.168.167', 3276908688, 3276908711, 'GB', 'United Kingdom'),
(120694, '195.81.168.168', '195.81.168.191', 3276908712, 3276908735, 'SE', 'Sweden'),
(120695, '195.81.168.192', '195.81.168.207', 3276908736, 3276908751, 'NL', 'Netherlands'),
(120696, '195.81.168.208', '195.81.168.255', 3276908752, 3276908799, 'GB', 'United Kingdom'),
(120697, '195.81.169.0', '195.81.169.255', 3276908800, 3276909055, 'NL', 'Netherlands'),
(120698, '195.81.170.0', '195.81.171.255', 3276909056, 3276909567, 'GB', 'United Kingdom'),
(120699, '195.81.172.0', '195.81.175.255', 3276909568, 3276910591, 'NL', 'Netherlands'),
(120700, '195.81.176.0', '195.81.177.103', 3276910592, 3276910951, 'IT', 'Italy'),
(120701, '195.81.177.104', '195.81.177.111', 3276910952, 3276910959, 'GB', 'United Kingdom'),
(120702, '195.81.177.112', '195.81.177.127', 3276910960, 3276910975, 'IT', 'Italy'),
(120703, '195.81.177.128', '195.81.177.159', 3276910976, 3276911007, 'GB', 'United Kingdom'),
(120704, '195.81.177.160', '195.81.178.255', 3276911008, 3276911359, 'IT', 'Italy'),
(120705, '195.81.179.0', '195.81.179.255', 3276911360, 3276911615, 'GB', 'United Kingdom'),
(120706, '195.81.180.0', '195.81.183.231', 3276911616, 3276912615, 'IT', 'Italy'),
(120707, '195.81.183.232', '195.81.183.239', 3276912616, 3276912623, 'GB', 'United Kingdom'),
(120708, '195.81.183.240', '195.81.186.127', 3276912624, 3276913279, 'IT', 'Italy'),
(120709, '195.81.186.128', '195.81.186.143', 3276913280, 3276913295, 'GB', 'United Kingdom'),
(120710, '195.81.186.144', '195.81.186.207', 3276913296, 3276913359, 'IT', 'Italy'),
(120711, '195.81.186.208', '195.81.186.208', 3276913360, 3276913360, 'GB', 'United Kingdom'),
(120712, '195.81.186.209', '195.81.186.222', 3276913361, 3276913374, 'IT', 'Italy'),
(120713, '195.81.186.223', '195.81.186.223', 3276913375, 3276913375, 'GB', 'United Kingdom'),
(120714, '195.81.186.224', '195.81.188.255', 3276913376, 3276913919, 'IT', 'Italy'),
(120715, '195.81.189.0', '195.81.189.63', 3276913920, 3276913983, 'US', 'United States'),
(120716, '195.81.189.64', '195.81.189.159', 3276913984, 3276914079, 'IT', 'Italy'),
(120717, '195.81.189.160', '195.81.189.175', 3276914080, 3276914095, 'GB', 'United Kingdom'),
(120718, '195.81.189.176', '195.81.191.255', 3276914096, 3276914687, 'IT', 'Italy'),
(120719, '195.81.192.0', '195.81.195.111', 3276914688, 3276915567, 'ES', 'Spain'),
(120720, '195.81.195.112', '195.81.195.127', 3276915568, 3276915583, 'NL', 'Netherlands'),
(120721, '195.81.195.128', '195.81.195.255', 3276915584, 3276915711, 'GB', 'United Kingdom'),
(120722, '195.81.196.0', '195.81.197.79', 3276915712, 3276916047, 'ES', 'Spain'),
(120723, '195.81.197.80', '195.81.197.87', 3276916048, 3276916055, 'GB', 'United Kingdom'),
(120724, '195.81.197.88', '195.81.197.119', 3276916056, 3276916087, 'ES', 'Spain'),
(120725, '195.81.197.120', '195.81.197.127', 3276916088, 3276916095, 'GB', 'United Kingdom'),
(120726, '195.81.197.128', '195.81.197.199', 3276916096, 3276916167, 'ES', 'Spain'),
(120727, '195.81.197.200', '195.81.197.215', 3276916168, 3276916183, 'GB', 'United Kingdom'),
(120728, '195.81.197.216', '195.81.201.127', 3276916184, 3276917119, 'ES', 'Spain'),
(120729, '195.81.201.128', '195.81.201.191', 3276917120, 3276917183, 'GB', 'United Kingdom'),
(120730, '195.81.201.192', '195.81.201.239', 3276917184, 3276917231, 'ES', 'Spain'),
(120731, '195.81.201.240', '195.81.201.255', 3276917232, 3276917247, 'FR', 'France'),
(120732, '195.81.202.0', '195.81.202.31', 3276917248, 3276917279, 'ES', 'Spain'),
(120733, '195.81.202.32', '195.81.202.39', 3276917280, 3276917287, 'GB', 'United Kingdom'),
(120734, '195.81.202.40', '195.81.202.79', 3276917288, 3276917327, 'ES', 'Spain'),
(120735, '195.81.202.80', '195.81.202.95', 3276917328, 3276917343, 'GB', 'United Kingdom'),
(120736, '195.81.202.96', '195.81.207.255', 3276917344, 3276918783, 'ES', 'Spain'),
(120737, '195.81.208.0', '195.81.210.71', 3276918784, 3276919367, 'DE', 'Germany'),
(120738, '195.81.210.72', '195.81.210.79', 3276919368, 3276919375, 'GB', 'United Kingdom'),
(120739, '195.81.210.80', '195.81.214.127', 3276919376, 3276920447, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(120740, '195.81.214.128', '195.81.214.159', 3276920448, 3276920479, 'GB', 'United Kingdom'),
(120741, '195.81.214.160', '195.81.214.231', 3276920480, 3276920551, 'DE', 'Germany'),
(120742, '195.81.214.232', '195.81.214.239', 3276920552, 3276920559, 'GB', 'United Kingdom'),
(120743, '195.81.214.240', '195.81.217.95', 3276920560, 3276921183, 'DE', 'Germany'),
(120744, '195.81.217.96', '195.81.217.99', 3276921184, 3276921187, 'GB', 'United Kingdom'),
(120745, '195.81.217.100', '195.81.217.151', 3276921188, 3276921239, 'DE', 'Germany'),
(120746, '195.81.217.152', '195.81.217.159', 3276921240, 3276921247, 'GB', 'United Kingdom'),
(120747, '195.81.217.160', '195.81.217.191', 3276921248, 3276921279, 'DE', 'Germany'),
(120748, '195.81.217.192', '195.81.217.215', 3276921280, 3276921303, 'GB', 'United Kingdom'),
(120749, '195.81.217.216', '195.81.217.255', 3276921304, 3276921343, 'DE', 'Germany'),
(120750, '195.81.218.0', '195.81.218.55', 3276921344, 3276921399, 'GB', 'United Kingdom'),
(120751, '195.81.218.56', '195.81.218.59', 3276921400, 3276921403, 'DK', 'Denmark'),
(120752, '195.81.218.60', '195.81.218.255', 3276921404, 3276921599, 'GB', 'United Kingdom'),
(120753, '195.81.219.0', '195.81.222.255', 3276921600, 3276922623, 'DE', 'Germany'),
(120754, '195.81.223.0', '195.81.226.39', 3276922624, 3276923431, 'FR', 'France'),
(120755, '195.81.226.40', '195.81.226.47', 3276923432, 3276923439, 'GB', 'United Kingdom'),
(120756, '195.81.226.48', '195.81.226.55', 3276923440, 3276923447, 'FR', 'France'),
(120757, '195.81.226.56', '195.81.226.63', 3276923448, 3276923455, 'DE', 'Germany'),
(120758, '195.81.226.64', '195.81.239.127', 3276923456, 3276926847, 'FR', 'France'),
(120759, '195.81.239.128', '195.81.255.255', 3276926848, 3276931071, 'GB', 'United Kingdom'),
(120760, '195.82.0.0', '195.82.31.255', 3276931072, 3276939263, 'KZ', 'Kazakhstan'),
(120761, '195.82.32.0', '195.82.95.255', 3276939264, 3276955647, 'DE', 'Germany'),
(120762, '195.82.96.0', '195.82.127.255', 3276955648, 3276963839, 'GB', 'United Kingdom'),
(120763, '195.82.128.0', '195.82.129.255', 3276963840, 3276964351, 'IL', 'Israel'),
(120764, '195.82.130.0', '195.82.133.255', 3276964352, 3276965375, 'RO', 'Romania'),
(120765, '195.82.134.0', '195.82.137.255', 3276965376, 3276966399, 'RU', 'Russian Federation'),
(120766, '195.82.138.0', '195.82.139.255', 3276966400, 3276966911, 'BH', 'Bahrain'),
(120767, '195.82.140.0', '195.82.147.255', 3276966912, 3276968959, 'RU', 'Russian Federation'),
(120768, '195.82.148.0', '195.82.149.255', 3276968960, 3276969471, 'RO', 'Romania'),
(120769, '195.82.150.0', '195.82.151.255', 3276969472, 3276969983, 'UA', 'Ukraine'),
(120770, '195.82.152.0', '195.82.153.255', 3276969984, 3276970495, 'NL', 'Netherlands'),
(120771, '195.82.154.0', '195.82.157.255', 3276970496, 3276971519, 'RU', 'Russian Federation'),
(120772, '195.82.158.0', '195.82.159.255', 3276971520, 3276972031, 'DE', 'Germany'),
(120773, '195.82.160.0', '195.82.191.255', 3276972032, 3276980223, 'PL', 'Poland'),
(120774, '195.82.192.0', '195.82.223.255', 3276980224, 3276988415, 'DK', 'Denmark'),
(120775, '195.82.224.0', '195.82.255.255', 3276988416, 3276996607, 'AT', 'Austria'),
(120776, '195.83.0.0', '195.83.255.255', 3276996608, 3277062143, 'FR', 'France'),
(120777, '195.84.0.0', '195.84.255.255', 3277062144, 3277127679, 'SE', 'Sweden'),
(120778, '195.85.0.0', '195.85.127.255', 3277127680, 3277160447, 'DK', 'Denmark'),
(120779, '195.85.128.0', '195.85.191.255', 3277160448, 3277176831, 'NL', 'Netherlands'),
(120780, '195.85.192.0', '195.85.192.255', 3277176832, 3277177087, 'SI', 'Slovenia'),
(120781, '195.85.193.0', '195.85.193.255', 3277177088, 3277177343, 'GB', 'United Kingdom'),
(120782, '195.85.194.0', '195.85.194.255', 3277177344, 3277177599, 'RO', 'Romania'),
(120783, '195.85.195.0', '195.85.196.255', 3277177600, 3277178111, 'PL', 'Poland'),
(120784, '195.85.197.0', '195.85.198.255', 3277178112, 3277178623, 'UA', 'Ukraine'),
(120785, '195.85.199.0', '195.85.199.255', 3277178624, 3277178879, 'PL', 'Poland'),
(120786, '195.85.200.0', '195.85.200.255', 3277178880, 3277179135, 'ES', 'Spain'),
(120787, '195.85.201.0', '195.85.201.255', 3277179136, 3277179391, 'RO', 'Romania'),
(120788, '195.85.202.0', '195.85.202.255', 3277179392, 3277179647, 'DE', 'Germany'),
(120789, '195.85.203.0', '195.85.204.255', 3277179648, 3277180159, 'BE', 'Belgium'),
(120790, '195.85.205.0', '195.85.205.255', 3277180160, 3277180415, 'NL', 'Netherlands'),
(120791, '195.85.206.0', '195.85.206.255', 3277180416, 3277180671, 'RU', 'Russian Federation'),
(120792, '195.85.207.0', '195.85.207.255', 3277180672, 3277180927, 'FR', 'France'),
(120793, '195.85.208.0', '195.85.208.255', 3277180928, 3277181183, 'UA', 'Ukraine'),
(120794, '195.85.209.0', '195.85.209.255', 3277181184, 3277181439, 'PL', 'Poland'),
(120795, '195.85.210.0', '195.85.210.255', 3277181440, 3277181695, 'DE', 'Germany'),
(120796, '195.85.211.0', '195.85.211.255', 3277181696, 3277181951, 'RO', 'Romania'),
(120797, '195.85.212.0', '195.85.212.255', 3277181952, 3277182207, 'IT', 'Italy'),
(120798, '195.85.213.0', '195.85.213.255', 3277182208, 3277182463, 'RU', 'Russian Federation'),
(120799, '195.85.214.0', '195.85.214.255', 3277182464, 3277182719, 'UA', 'Ukraine'),
(120800, '195.85.215.0', '195.85.215.255', 3277182720, 3277182975, 'BG', 'Bulgaria'),
(120801, '195.85.216.0', '195.85.216.255', 3277182976, 3277183231, 'UA', 'Ukraine'),
(120802, '195.85.217.0', '195.85.217.255', 3277183232, 3277183487, 'DE', 'Germany'),
(120803, '195.85.218.0', '195.85.218.255', 3277183488, 3277183743, 'DK', 'Denmark'),
(120804, '195.85.219.0', '195.85.219.255', 3277183744, 3277183999, 'UA', 'Ukraine'),
(120805, '195.85.220.0', '195.85.220.255', 3277184000, 3277184255, 'DE', 'Germany'),
(120806, '195.85.221.0', '195.85.221.255', 3277184256, 3277184511, 'PT', 'Portugal'),
(120807, '195.85.222.0', '195.85.222.255', 3277184512, 3277184767, 'DE', 'Germany'),
(120808, '195.85.223.0', '195.85.223.255', 3277184768, 3277185023, 'UA', 'Ukraine'),
(120809, '195.85.224.0', '195.85.224.255', 3277185024, 3277185279, 'SA', 'Saudi Arabia'),
(120810, '195.85.225.0', '195.85.225.255', 3277185280, 3277185535, 'RU', 'Russian Federation'),
(120811, '195.85.226.0', '195.85.226.255', 3277185536, 3277185791, 'DE', 'Germany'),
(120812, '195.85.227.0', '195.85.227.255', 3277185792, 3277186047, 'PL', 'Poland'),
(120813, '195.85.228.0', '195.85.228.255', 3277186048, 3277186303, 'IT', 'Italy'),
(120814, '195.85.229.0', '195.85.229.255', 3277186304, 3277186559, 'DE', 'Germany'),
(120815, '195.85.230.0', '195.85.230.255', 3277186560, 3277186815, 'PL', 'Poland'),
(120816, '195.85.231.0', '195.85.231.255', 3277186816, 3277187071, 'RU', 'Russian Federation'),
(120817, '195.85.232.0', '195.85.232.255', 3277187072, 3277187327, 'GB', 'United Kingdom'),
(120818, '195.85.233.0', '195.85.233.255', 3277187328, 3277187583, 'UA', 'Ukraine'),
(120819, '195.85.234.0', '195.85.236.255', 3277187584, 3277188351, 'RU', 'Russian Federation'),
(120820, '195.85.237.0', '195.85.237.255', 3277188352, 3277188607, 'DE', 'Germany'),
(120821, '195.85.238.0', '195.85.238.255', 3277188608, 3277188863, 'RU', 'Russian Federation'),
(120822, '195.85.239.0', '195.85.239.255', 3277188864, 3277189119, 'RO', 'Romania'),
(120823, '195.85.240.0', '195.85.240.255', 3277189120, 3277189375, 'DE', 'Germany'),
(120824, '195.85.241.0', '195.85.241.255', 3277189376, 3277189631, 'PL', 'Poland'),
(120825, '195.85.242.0', '195.85.242.255', 3277189632, 3277189887, 'TR', 'Turkey'),
(120826, '195.85.243.0', '195.85.243.255', 3277189888, 3277190143, 'PL', 'Poland'),
(120827, '195.85.244.0', '195.85.244.255', 3277190144, 3277190399, 'SE', 'Sweden'),
(120828, '195.85.245.0', '195.85.245.255', 3277190400, 3277190655, 'GB', 'United Kingdom'),
(120829, '195.85.246.0', '195.85.246.255', 3277190656, 3277190911, 'BE', 'Belgium'),
(120830, '195.85.247.0', '195.85.247.255', 3277190912, 3277191167, 'FR', 'France'),
(120831, '195.85.248.0', '195.85.248.255', 3277191168, 3277191423, 'DK', 'Denmark'),
(120832, '195.85.249.0', '195.85.249.255', 3277191424, 3277191679, 'PL', 'Poland'),
(120833, '195.85.250.0', '195.85.250.255', 3277191680, 3277191935, 'UA', 'Ukraine'),
(120834, '195.85.251.0', '195.85.251.255', 3277191936, 3277192191, 'DK', 'Denmark'),
(120835, '195.85.252.0', '195.85.252.255', 3277192192, 3277192447, 'PL', 'Poland'),
(120836, '195.85.253.0', '195.85.253.255', 3277192448, 3277192703, 'DK', 'Denmark'),
(120837, '195.85.254.0', '195.85.254.255', 3277192704, 3277192959, 'GG', 'Guernsey'),
(120838, '195.85.255.0', '195.85.255.255', 3277192960, 3277193215, 'TR', 'Turkey'),
(120839, '195.86.0.0', '195.86.240.71', 3277193216, 3277254727, 'NL', 'Netherlands'),
(120840, '195.86.240.72', '195.86.240.79', 3277254728, 3277254735, 'DE', 'Germany'),
(120841, '195.86.240.80', '195.86.255.255', 3277254736, 3277258751, 'NL', 'Netherlands'),
(120842, '195.87.0.0', '195.87.255.255', 3277258752, 3277324287, 'TR', 'Turkey'),
(120843, '195.88.0.0', '195.88.3.255', 3277324288, 3277325311, 'RU', 'Russian Federation'),
(120844, '195.88.4.0', '195.88.7.255', 3277325312, 3277326335, 'IT', 'Italy'),
(120845, '195.88.8.0', '195.88.9.255', 3277326336, 3277326847, 'GB', 'United Kingdom'),
(120846, '195.88.10.0', '195.88.11.255', 3277326848, 3277327359, 'AT', 'Austria'),
(120847, '195.88.12.0', '195.88.13.255', 3277327360, 3277327871, 'RS', 'Serbia'),
(120848, '195.88.14.0', '195.88.15.255', 3277327872, 3277328383, 'UA', 'Ukraine'),
(120849, '195.88.16.0', '195.88.17.255', 3277328384, 3277328895, 'RU', 'Russian Federation'),
(120850, '195.88.18.0', '195.88.19.255', 3277328896, 3277329407, 'NL', 'Netherlands'),
(120851, '195.88.20.0', '195.88.21.255', 3277329408, 3277329919, 'GB', 'United Kingdom'),
(120852, '195.88.22.0', '195.88.23.255', 3277329920, 3277330431, 'RU', 'Russian Federation'),
(120853, '195.88.24.0', '195.88.25.255', 3277330432, 3277330943, 'RO', 'Romania'),
(120854, '195.88.26.0', '195.88.27.255', 3277330944, 3277331455, 'UA', 'Ukraine'),
(120855, '195.88.28.0', '195.88.31.255', 3277331456, 3277332479, 'PL', 'Poland'),
(120856, '195.88.32.0', '195.88.33.255', 3277332480, 3277332991, 'NL', 'Netherlands'),
(120857, '195.88.34.0', '195.88.35.255', 3277332992, 3277333503, 'AT', 'Austria'),
(120858, '195.88.36.0', '195.88.37.255', 3277333504, 3277334015, 'DK', 'Denmark'),
(120859, '195.88.38.0', '195.88.39.255', 3277334016, 3277334527, 'RO', 'Romania'),
(120860, '195.88.40.0', '195.88.41.255', 3277334528, 3277335039, 'RU', 'Russian Federation'),
(120861, '195.88.42.0', '195.88.43.255', 3277335040, 3277335551, 'UA', 'Ukraine'),
(120862, '195.88.44.0', '195.88.45.255', 3277335552, 3277336063, 'DE', 'Germany'),
(120863, '195.88.46.0', '195.88.47.255', 3277336064, 3277336575, 'HR', 'Croatia'),
(120864, '195.88.48.0', '195.88.49.255', 3277336576, 3277337087, 'AT', 'Austria'),
(120865, '195.88.50.0', '195.88.51.255', 3277337088, 3277337599, 'PL', 'Poland'),
(120866, '195.88.52.0', '195.88.53.255', 3277337600, 3277338111, 'UA', 'Ukraine'),
(120867, '195.88.54.0', '195.88.55.255', 3277338112, 3277338623, 'NO', 'Norway'),
(120868, '195.88.56.0', '195.88.59.255', 3277338624, 3277339647, 'RU', 'Russian Federation'),
(120869, '195.88.60.0', '195.88.61.255', 3277339648, 3277340159, 'RO', 'Romania'),
(120870, '195.88.62.0', '195.88.63.255', 3277340160, 3277340671, 'RU', 'Russian Federation'),
(120871, '195.88.64.0', '195.88.65.255', 3277340672, 3277341183, 'RO', 'Romania'),
(120872, '195.88.66.0', '195.88.67.255', 3277341184, 3277341695, 'AM', 'Armenia'),
(120873, '195.88.68.0', '195.88.69.255', 3277341696, 3277342207, 'RU', 'Russian Federation'),
(120874, '195.88.70.0', '195.88.71.255', 3277342208, 3277342719, 'GB', 'United Kingdom'),
(120875, '195.88.72.0', '195.88.73.255', 3277342720, 3277343231, 'UA', 'Ukraine'),
(120876, '195.88.74.0', '195.88.75.255', 3277343232, 3277343743, 'BG', 'Bulgaria'),
(120877, '195.88.76.0', '195.88.79.255', 3277343744, 3277344767, 'UA', 'Ukraine'),
(120878, '195.88.80.0', '195.88.81.255', 3277344768, 3277345279, 'RO', 'Romania'),
(120879, '195.88.82.0', '195.88.83.255', 3277345280, 3277345791, 'SI', 'Slovenia'),
(120880, '195.88.84.0', '195.88.85.255', 3277345792, 3277346303, 'FR', 'France'),
(120881, '195.88.86.0', '195.88.87.255', 3277346304, 3277346815, 'GB', 'United Kingdom'),
(120882, '195.88.88.0', '195.88.89.255', 3277346816, 3277347327, 'DE', 'Germany'),
(120883, '195.88.90.0', '195.88.91.255', 3277347328, 3277347839, 'PL', 'Poland'),
(120884, '195.88.92.0', '195.88.93.255', 3277347840, 3277348351, 'RU', 'Russian Federation'),
(120885, '195.88.94.0', '195.88.95.255', 3277348352, 3277348863, 'FR', 'France'),
(120886, '195.88.96.0', '195.88.99.255', 3277348864, 3277349887, 'RO', 'Romania'),
(120887, '195.88.100.0', '195.88.101.255', 3277349888, 3277350399, 'GB', 'United Kingdom'),
(120888, '195.88.102.0', '195.88.105.255', 3277350400, 3277351423, 'RU', 'Russian Federation'),
(120889, '195.88.106.0', '195.88.107.255', 3277351424, 3277351935, 'NO', 'Norway'),
(120890, '195.88.108.0', '195.88.109.255', 3277351936, 3277352447, 'DE', 'Germany'),
(120891, '195.88.110.0', '195.88.111.255', 3277352448, 3277352959, 'SE', 'Sweden'),
(120892, '195.88.112.0', '195.88.113.255', 3277352960, 3277353471, 'UA', 'Ukraine'),
(120893, '195.88.114.0', '195.88.115.255', 3277353472, 3277353983, 'PL', 'Poland'),
(120894, '195.88.116.0', '195.88.117.255', 3277353984, 3277354495, 'DE', 'Germany'),
(120895, '195.88.118.0', '195.88.119.255', 3277354496, 3277355007, 'GB', 'United Kingdom'),
(120896, '195.88.120.0', '195.88.121.255', 3277355008, 3277355519, 'RU', 'Russian Federation'),
(120897, '195.88.122.0', '195.88.123.255', 3277355520, 3277356031, 'MK', 'Macedonia'),
(120898, '195.88.124.0', '195.88.125.255', 3277356032, 3277356543, 'UA', 'Ukraine'),
(120899, '195.88.126.0', '195.88.127.255', 3277356544, 3277357055, 'RU', 'Russian Federation'),
(120900, '195.88.128.0', '195.88.129.255', 3277357056, 3277357567, 'PL', 'Poland'),
(120901, '195.88.130.0', '195.88.131.255', 3277357568, 3277358079, 'SE', 'Sweden'),
(120902, '195.88.132.0', '195.88.135.255', 3277358080, 3277359103, 'RU', 'Russian Federation'),
(120903, '195.88.136.0', '195.88.137.255', 3277359104, 3277359615, 'NL', 'Netherlands'),
(120904, '195.88.138.0', '195.88.139.255', 3277359616, 3277360127, 'UA', 'Ukraine'),
(120905, '195.88.140.0', '195.88.141.255', 3277360128, 3277360639, 'BG', 'Bulgaria'),
(120906, '195.88.142.0', '195.88.143.255', 3277360640, 3277361151, 'CZ', 'Czech Republic'),
(120907, '195.88.144.0', '195.88.145.255', 3277361152, 3277361663, 'PL', 'Poland'),
(120908, '195.88.146.0', '195.88.147.255', 3277361664, 3277362175, 'RU', 'Russian Federation'),
(120909, '195.88.148.0', '195.88.149.255', 3277362176, 3277362687, 'ES', 'Spain'),
(120910, '195.88.150.0', '195.88.151.255', 3277362688, 3277363199, 'IE', 'Ireland'),
(120911, '195.88.152.0', '195.88.153.255', 3277363200, 3277363711, 'ES', 'Spain'),
(120912, '195.88.154.0', '195.88.155.255', 3277363712, 3277364223, 'RU', 'Russian Federation'),
(120913, '195.88.156.0', '195.88.157.255', 3277364224, 3277364735, 'NL', 'Netherlands'),
(120914, '195.88.158.0', '195.88.159.255', 3277364736, 3277365247, 'UA', 'Ukraine'),
(120915, '195.88.160.0', '195.88.161.255', 3277365248, 3277365759, 'NL', 'Netherlands'),
(120916, '195.88.162.0', '195.88.163.255', 3277365760, 3277366271, 'GR', 'Greece'),
(120917, '195.88.164.0', '195.88.165.255', 3277366272, 3277366783, 'CZ', 'Czech Republic'),
(120918, '195.88.166.0', '195.88.167.255', 3277366784, 3277367295, 'AT', 'Austria'),
(120919, '195.88.168.0', '195.88.169.255', 3277367296, 3277367807, 'PL', 'Poland'),
(120920, '195.88.170.0', '195.88.171.255', 3277367808, 3277368319, 'RU', 'Russian Federation'),
(120921, '195.88.172.0', '195.88.175.255', 3277368320, 3277369343, 'RO', 'Romania'),
(120922, '195.88.176.0', '195.88.177.255', 3277369344, 3277369855, 'CY', 'Cyprus'),
(120923, '195.88.178.0', '195.88.179.255', 3277369856, 3277370367, 'RU', 'Russian Federation'),
(120924, '195.88.180.0', '195.88.180.255', 3277370368, 3277370623, 'PL', 'Poland'),
(120925, '195.88.181.0', '195.88.181.255', 3277370624, 3277370879, 'RU', 'Russian Federation'),
(120926, '195.88.182.0', '195.88.183.255', 3277370880, 3277371391, 'RO', 'Romania'),
(120927, '195.88.184.0', '195.88.185.255', 3277371392, 3277371903, 'RU', 'Russian Federation'),
(120928, '195.88.186.0', '195.88.187.255', 3277371904, 3277372415, 'PL', 'Poland'),
(120929, '195.88.188.0', '195.88.189.255', 3277372416, 3277372927, 'IR', 'Iran, Islamic Republic of'),
(120930, '195.88.190.0', '195.88.193.255', 3277372928, 3277373951, 'RU', 'Russian Federation'),
(120931, '195.88.194.0', '195.88.195.255', 3277373952, 3277374463, 'FR', 'France'),
(120932, '195.88.196.0', '195.88.201.255', 3277374464, 3277375999, 'RU', 'Russian Federation'),
(120933, '195.88.202.0', '195.88.203.255', 3277376000, 3277376511, 'NL', 'Netherlands'),
(120934, '195.88.204.0', '195.88.205.255', 3277376512, 3277377023, 'RO', 'Romania'),
(120935, '195.88.206.0', '195.88.211.255', 3277377024, 3277378559, 'RU', 'Russian Federation'),
(120936, '195.88.212.0', '195.88.213.255', 3277378560, 3277379071, 'HR', 'Croatia'),
(120937, '195.88.214.0', '195.88.215.255', 3277379072, 3277379583, 'UZ', 'Uzbekistan'),
(120938, '195.88.216.0', '195.88.217.255', 3277379584, 3277380095, 'RS', 'Serbia'),
(120939, '195.88.218.0', '195.88.219.255', 3277380096, 3277380607, 'RO', 'Romania'),
(120940, '195.88.220.0', '195.88.221.255', 3277380608, 3277381119, 'RU', 'Russian Federation'),
(120941, '195.88.222.0', '195.88.223.255', 3277381120, 3277381631, 'KW', 'Kuwait'),
(120942, '195.88.224.0', '195.88.225.255', 3277381632, 3277382143, 'RU', 'Russian Federation'),
(120943, '195.88.226.0', '195.88.227.255', 3277382144, 3277382655, 'MD', 'Moldova, Republic of'),
(120944, '195.88.228.0', '195.88.229.255', 3277382656, 3277383167, 'GB', 'United Kingdom'),
(120945, '195.88.230.0', '195.88.231.255', 3277383168, 3277383679, 'UA', 'Ukraine'),
(120946, '195.88.232.0', '195.88.233.255', 3277383680, 3277384191, 'PL', 'Poland'),
(120947, '195.88.234.0', '195.88.235.255', 3277384192, 3277384703, 'IL', 'Israel'),
(120948, '195.88.236.0', '195.88.237.255', 3277384704, 3277385215, 'GB', 'United Kingdom'),
(120949, '195.88.238.0', '195.88.239.255', 3277385216, 3277385727, 'AT', 'Austria'),
(120950, '195.88.240.0', '195.88.241.255', 3277385728, 3277386239, 'RU', 'Russian Federation'),
(120951, '195.88.242.0', '195.88.243.255', 3277386240, 3277386751, 'UA', 'Ukraine'),
(120952, '195.88.244.0', '195.88.245.255', 3277386752, 3277387263, 'SA', 'Saudi Arabia'),
(120953, '195.88.246.0', '195.88.249.255', 3277387264, 3277388287, 'RU', 'Russian Federation'),
(120954, '195.88.250.0', '195.88.250.255', 3277388288, 3277388543, 'RO', 'Romania'),
(120955, '195.88.251.0', '195.88.251.255', 3277388544, 3277388799, 'HU', 'Hungary'),
(120956, '195.88.252.0', '195.88.253.255', 3277388800, 3277389311, 'RU', 'Russian Federation'),
(120957, '195.88.254.0', '195.88.255.255', 3277389312, 3277389823, 'AM', 'Armenia'),
(120958, '195.89.0.0', '195.89.19.255', 3277389824, 3277394943, 'GB', 'United Kingdom'),
(120959, '195.89.20.0', '195.89.21.255', 3277394944, 3277395455, 'US', 'United States'),
(120960, '195.89.22.0', '195.89.245.95', 3277395456, 3277452639, 'GB', 'United Kingdom'),
(120961, '195.89.245.96', '195.89.245.103', 3277452640, 3277452647, 'IE', 'Ireland'),
(120962, '195.89.245.104', '195.89.245.111', 3277452648, 3277452655, 'DK', 'Denmark'),
(120963, '195.89.245.112', '195.89.255.255', 3277452656, 3277455359, 'GB', 'United Kingdom'),
(120964, '195.90.0.0', '195.90.5.255', 3277455360, 3277456895, 'DE', 'Germany'),
(120965, '195.90.6.0', '195.90.6.255', 3277456896, 3277457151, 'CH', 'Switzerland'),
(120966, '195.90.7.0', '195.90.31.255', 3277457152, 3277463551, 'DE', 'Germany'),
(120967, '195.90.32.0', '195.90.32.255', 3277463552, 3277463807, 'GB', 'United Kingdom'),
(120968, '195.90.33.0', '195.90.33.255', 3277463808, 3277464063, 'US', 'United States'),
(120969, '195.90.34.0', '195.90.35.255', 3277464064, 3277464575, 'FR', 'France'),
(120970, '195.90.36.0', '195.90.36.255', 3277464576, 3277464831, 'BE', 'Belgium'),
(120971, '195.90.37.0', '195.90.47.79', 3277464832, 3277467471, 'US', 'United States'),
(120972, '195.90.47.80', '195.90.47.159', 3277467472, 3277467551, 'CA', 'Canada'),
(120973, '195.90.47.160', '195.90.63.255', 3277467552, 3277471743, 'US', 'United States'),
(120974, '195.90.64.0', '195.90.67.95', 3277471744, 3277472607, 'NL', 'Netherlands'),
(120975, '195.90.67.96', '195.90.67.111', 3277472608, 3277472623, 'IL', 'Israel'),
(120976, '195.90.67.112', '195.90.75.255', 3277472624, 3277474815, 'NL', 'Netherlands'),
(120977, '195.90.76.0', '195.90.79.127', 3277474816, 3277475711, 'BE', 'Belgium'),
(120978, '195.90.79.128', '195.90.82.255', 3277475712, 3277476607, 'NL', 'Netherlands'),
(120979, '195.90.83.0', '195.90.86.255', 3277476608, 3277477631, 'BE', 'Belgium'),
(120980, '195.90.87.0', '195.90.95.255', 3277477632, 3277479935, 'NL', 'Netherlands'),
(120981, '195.90.96.0', '195.90.99.255', 3277479936, 3277480959, 'GB', 'United Kingdom'),
(120982, '195.90.100.0', '195.90.101.255', 3277480960, 3277481471, 'DK', 'Denmark'),
(120983, '195.90.102.0', '195.90.103.255', 3277481472, 3277481983, 'PL', 'Poland'),
(120984, '195.90.104.0', '195.90.105.255', 3277481984, 3277482495, 'SE', 'Sweden'),
(120985, '195.90.106.0', '195.90.107.255', 3277482496, 3277483007, 'PL', 'Poland'),
(120986, '195.90.108.0', '195.90.109.255', 3277483008, 3277483519, 'IT', 'Italy'),
(120987, '195.90.110.0', '195.90.111.255', 3277483520, 3277484031, 'RO', 'Romania'),
(120988, '195.90.112.0', '195.90.113.255', 3277484032, 3277484543, 'CH', 'Switzerland'),
(120989, '195.90.114.0', '195.90.115.255', 3277484544, 3277485055, 'RO', 'Romania'),
(120990, '195.90.116.0', '195.90.117.255', 3277485056, 3277485567, 'CH', 'Switzerland'),
(120991, '195.90.118.0', '195.90.121.255', 3277485568, 3277486591, 'GB', 'United Kingdom'),
(120992, '195.90.122.0', '195.90.123.255', 3277486592, 3277487103, 'UA', 'Ukraine'),
(120993, '195.90.124.0', '195.90.125.255', 3277487104, 3277487615, 'RO', 'Romania'),
(120994, '195.90.126.0', '195.90.127.255', 3277487616, 3277488127, 'PL', 'Poland'),
(120995, '195.90.128.0', '195.90.191.255', 3277488128, 3277504511, 'RU', 'Russian Federation'),
(120996, '195.90.192.0', '195.90.255.255', 3277504512, 3277520895, 'DE', 'Germany'),
(120997, '195.91.0.0', '195.91.127.255', 3277520896, 3277553663, 'SK', 'Slovakia'),
(120998, '195.91.128.0', '195.91.255.255', 3277553664, 3277586431, 'RU', 'Russian Federation'),
(120999, '195.92.0.0', '195.93.57.255', 3277586432, 3277666815, 'GB', 'United Kingdom'),
(121000, '195.93.58.0', '195.93.59.255', 3277666816, 3277667327, 'US', 'United States'),
(121001, '195.93.60.0', '195.93.95.255', 3277667328, 3277676543, 'DE', 'Germany'),
(121002, '195.93.96.0', '195.93.111.255', 3277676544, 3277680639, 'FR', 'France'),
(121003, '195.93.112.0', '195.93.127.255', 3277680640, 3277684735, 'US', 'United States'),
(121004, '195.93.128.0', '195.93.129.255', 3277684736, 3277685247, 'RU', 'Russian Federation'),
(121005, '195.93.130.0', '195.93.131.255', 3277685248, 3277685759, 'DE', 'Germany'),
(121006, '195.93.132.0', '195.93.133.255', 3277685760, 3277686271, 'IE', 'Ireland'),
(121007, '195.93.134.0', '195.93.135.255', 3277686272, 3277686783, 'PL', 'Poland'),
(121008, '195.93.136.0', '195.93.137.255', 3277686784, 3277687295, 'RO', 'Romania'),
(121009, '195.93.138.0', '195.93.139.255', 3277687296, 3277687807, 'UA', 'Ukraine'),
(121010, '195.93.140.0', '195.93.141.255', 3277687808, 3277688319, 'RO', 'Romania'),
(121011, '195.93.142.0', '195.93.143.255', 3277688320, 3277688831, 'PL', 'Poland'),
(121012, '195.93.144.0', '195.93.145.255', 3277688832, 3277689343, 'RU', 'Russian Federation'),
(121013, '195.93.146.0', '195.93.147.255', 3277689344, 3277689855, 'AT', 'Austria'),
(121014, '195.93.148.0', '195.93.151.255', 3277689856, 3277690879, 'RU', 'Russian Federation'),
(121015, '195.93.152.0', '195.93.153.255', 3277690880, 3277691391, 'KZ', 'Kazakhstan'),
(121016, '195.93.154.0', '195.93.155.255', 3277691392, 3277691903, 'UA', 'Ukraine'),
(121017, '195.93.156.0', '195.93.157.255', 3277691904, 3277692415, 'GB', 'United Kingdom'),
(121018, '195.93.158.0', '195.93.159.255', 3277692416, 3277692927, 'DE', 'Germany'),
(121019, '195.93.160.0', '195.93.161.255', 3277692928, 3277693439, 'UA', 'Ukraine'),
(121020, '195.93.162.0', '195.93.163.255', 3277693440, 3277693951, 'PL', 'Poland'),
(121021, '195.93.164.0', '195.93.165.255', 3277693952, 3277694463, 'RU', 'Russian Federation'),
(121022, '195.93.166.0', '195.93.167.255', 3277694464, 3277694975, 'DE', 'Germany'),
(121023, '195.93.168.0', '195.93.169.255', 3277694976, 3277695487, 'IT', 'Italy'),
(121024, '195.93.170.0', '195.93.171.255', 3277695488, 3277695999, 'ES', 'Spain'),
(121025, '195.93.172.0', '195.93.173.255', 3277696000, 3277696511, 'UA', 'Ukraine'),
(121026, '195.93.174.0', '195.93.175.255', 3277696512, 3277697023, 'AT', 'Austria'),
(121027, '195.93.176.0', '195.93.177.255', 3277697024, 3277697535, 'RO', 'Romania'),
(121028, '195.93.178.0', '195.93.179.255', 3277697536, 3277698047, 'PL', 'Poland'),
(121029, '195.93.180.0', '195.93.181.255', 3277698048, 3277698559, 'RU', 'Russian Federation'),
(121030, '195.93.182.0', '195.93.183.255', 3277698560, 3277699071, 'DE', 'Germany'),
(121031, '195.93.184.0', '195.93.185.255', 3277699072, 3277699583, 'UA', 'Ukraine'),
(121032, '195.93.186.0', '195.93.189.255', 3277699584, 3277700607, 'RU', 'Russian Federation'),
(121033, '195.93.190.0', '195.93.191.255', 3277700608, 3277701119, 'UA', 'Ukraine'),
(121034, '195.93.192.0', '195.93.193.255', 3277701120, 3277701631, 'DK', 'Denmark'),
(121035, '195.93.194.0', '195.93.195.255', 3277701632, 3277702143, 'AT', 'Austria'),
(121036, '195.93.196.0', '195.93.197.255', 3277702144, 3277702655, 'EU', 'Europe'),
(121037, '195.93.198.0', '195.93.201.255', 3277702656, 3277703679, 'DE', 'Germany'),
(121038, '195.93.202.0', '195.93.203.255', 3277703680, 3277704191, 'PL', 'Poland'),
(121039, '195.93.204.0', '195.93.205.255', 3277704192, 3277704703, 'UA', 'Ukraine'),
(121040, '195.93.206.0', '195.93.207.255', 3277704704, 3277705215, 'RU', 'Russian Federation'),
(121041, '195.93.208.0', '195.93.209.255', 3277705216, 3277705727, 'KZ', 'Kazakhstan'),
(121042, '195.93.210.0', '195.93.211.255', 3277705728, 3277706239, 'ES', 'Spain'),
(121043, '195.93.212.0', '195.93.215.255', 3277706240, 3277707263, 'UA', 'Ukraine'),
(121044, '195.93.216.0', '195.93.217.255', 3277707264, 3277707775, 'CZ', 'Czech Republic'),
(121045, '195.93.218.0', '195.93.219.255', 3277707776, 3277708287, 'MD', 'Moldova, Republic of'),
(121046, '195.93.220.0', '195.93.221.255', 3277708288, 3277708799, 'AT', 'Austria'),
(121047, '195.93.222.0', '195.93.223.255', 3277708800, 3277709311, 'PL', 'Poland'),
(121048, '195.93.224.0', '195.93.225.255', 3277709312, 3277709823, 'NL', 'Netherlands'),
(121049, '195.93.226.0', '195.93.227.255', 3277709824, 3277710335, 'GB', 'United Kingdom'),
(121050, '195.93.228.0', '195.93.229.255', 3277710336, 3277710847, 'RU', 'Russian Federation'),
(121051, '195.93.230.0', '195.93.231.255', 3277710848, 3277711359, 'PL', 'Poland'),
(121052, '195.93.232.0', '195.93.233.255', 3277711360, 3277711871, 'NO', 'Norway'),
(121053, '195.93.234.0', '195.93.235.255', 3277711872, 3277712383, 'IL', 'Israel'),
(121054, '195.93.236.0', '195.93.237.255', 3277712384, 3277712895, 'PL', 'Poland'),
(121055, '195.93.238.0', '195.93.239.255', 3277712896, 3277713407, 'NL', 'Netherlands'),
(121056, '195.93.240.0', '195.93.241.255', 3277713408, 3277713919, 'RU', 'Russian Federation'),
(121057, '195.93.242.0', '195.93.245.255', 3277713920, 3277714943, 'DE', 'Germany'),
(121058, '195.93.246.0', '195.93.249.255', 3277714944, 3277715967, 'RU', 'Russian Federation'),
(121059, '195.93.250.0', '195.93.251.255', 3277715968, 3277716479, 'PL', 'Poland'),
(121060, '195.93.252.0', '195.93.253.255', 3277716480, 3277716991, 'SE', 'Sweden'),
(121061, '195.93.254.0', '195.93.255.255', 3277716992, 3277717503, 'IT', 'Italy'),
(121062, '195.94.0.0', '195.94.31.255', 3277717504, 3277725695, 'YE', 'Yemen'),
(121063, '195.94.32.0', '195.94.63.255', 3277725696, 3277733887, 'CH', 'Switzerland'),
(121064, '195.94.64.0', '195.94.95.255', 3277733888, 3277742079, 'DE', 'Germany'),
(121065, '195.94.96.0', '195.94.127.255', 3277742080, 3277750271, 'FI', 'Finland'),
(121066, '195.94.128.0', '195.94.191.255', 3277750272, 3277766655, 'IT', 'Italy'),
(121067, '195.94.192.0', '195.94.223.255', 3277766656, 3277774847, 'PL', 'Poland'),
(121068, '195.94.224.0', '195.94.255.255', 3277774848, 3277783039, 'RU', 'Russian Federation'),
(121069, '195.95.0.0', '195.95.127.255', 3277783040, 3277815807, 'BE', 'Belgium'),
(121070, '195.95.128.0', '195.95.128.255', 3277815808, 3277816063, 'RO', 'Romania'),
(121071, '195.95.129.0', '195.95.129.255', 3277816064, 3277816319, 'PL', 'Poland'),
(121072, '195.95.130.0', '195.95.130.255', 3277816320, 3277816575, 'CM', 'Cameroon'),
(121073, '195.95.131.0', '195.95.131.255', 3277816576, 3277816831, 'GB', 'United Kingdom'),
(121074, '195.95.132.0', '195.95.132.255', 3277816832, 3277817087, 'CH', 'Switzerland'),
(121075, '195.95.133.0', '195.95.133.255', 3277817088, 3277817343, 'GB', 'United Kingdom'),
(121076, '195.95.134.0', '195.95.135.255', 3277817344, 3277817855, 'FR', 'France'),
(121077, '195.95.136.0', '195.95.136.255', 3277817856, 3277818111, 'BE', 'Belgium'),
(121078, '195.95.137.0', '195.95.137.255', 3277818112, 3277818367, 'DE', 'Germany'),
(121079, '195.95.138.0', '195.95.138.255', 3277818368, 3277818623, 'CY', 'Cyprus'),
(121080, '195.95.139.0', '195.95.139.255', 3277818624, 3277818879, 'UA', 'Ukraine'),
(121081, '195.95.140.0', '195.95.140.255', 3277818880, 3277819135, 'SE', 'Sweden'),
(121082, '195.95.141.0', '195.95.141.255', 3277819136, 3277819391, 'CH', 'Switzerland'),
(121083, '195.95.142.0', '195.95.142.255', 3277819392, 3277819647, 'IT', 'Italy'),
(121084, '195.95.143.0', '195.95.143.255', 3277819648, 3277819903, 'GB', 'United Kingdom'),
(121085, '195.95.144.0', '195.95.144.255', 3277819904, 3277820159, 'PL', 'Poland'),
(121086, '195.95.145.0', '195.95.145.255', 3277820160, 3277820415, 'RO', 'Romania'),
(121087, '195.95.146.0', '195.95.146.255', 3277820416, 3277820671, 'DE', 'Germany'),
(121088, '195.95.147.0', '195.95.147.255', 3277820672, 3277820927, 'UA', 'Ukraine'),
(121089, '195.95.148.0', '195.95.148.255', 3277820928, 3277821183, 'CH', 'Switzerland'),
(121090, '195.95.149.0', '195.95.149.255', 3277821184, 3277821439, 'TR', 'Turkey'),
(121091, '195.95.150.0', '195.95.150.255', 3277821440, 3277821695, 'GB', 'United Kingdom'),
(121092, '195.95.151.0', '195.95.151.255', 3277821696, 3277821951, 'UA', 'Ukraine'),
(121093, '195.95.152.0', '195.95.152.255', 3277821952, 3277822207, 'RO', 'Romania'),
(121094, '195.95.153.0', '195.95.153.255', 3277822208, 3277822463, 'ES', 'Spain'),
(121095, '195.95.154.0', '195.95.154.255', 3277822464, 3277822719, 'PL', 'Poland'),
(121096, '195.95.155.0', '195.95.155.255', 3277822720, 3277822975, 'RU', 'Russian Federation'),
(121097, '195.95.156.0', '195.95.156.255', 3277822976, 3277823231, 'SG', 'Singapore'),
(121098, '195.95.157.0', '195.95.157.255', 3277823232, 3277823487, 'UA', 'Ukraine'),
(121099, '195.95.158.0', '195.95.158.255', 3277823488, 3277823743, 'SI', 'Slovenia'),
(121100, '195.95.159.0', '195.95.159.255', 3277823744, 3277823999, 'UA', 'Ukraine'),
(121101, '195.95.160.0', '195.95.160.255', 3277824000, 3277824255, 'TR', 'Turkey'),
(121102, '195.95.161.0', '195.95.161.255', 3277824256, 3277824511, 'SI', 'Slovenia'),
(121103, '195.95.162.0', '195.95.163.255', 3277824512, 3277825023, 'AT', 'Austria'),
(121104, '195.95.164.0', '195.95.164.255', 3277825024, 3277825279, 'PL', 'Poland'),
(121105, '195.95.165.0', '195.95.165.255', 3277825280, 3277825535, 'UA', 'Ukraine'),
(121106, '195.95.166.0', '195.95.167.255', 3277825536, 3277826047, 'RO', 'Romania'),
(121107, '195.95.168.0', '195.95.168.255', 3277826048, 3277826303, 'FR', 'France'),
(121108, '195.95.169.0', '195.95.170.255', 3277826304, 3277826815, 'PL', 'Poland'),
(121109, '195.95.171.0', '195.95.171.255', 3277826816, 3277827071, 'UA', 'Ukraine'),
(121110, '195.95.172.0', '195.95.172.255', 3277827072, 3277827327, 'DK', 'Denmark'),
(121111, '195.95.173.0', '195.95.173.255', 3277827328, 3277827583, 'SI', 'Slovenia'),
(121112, '195.95.174.0', '195.95.175.255', 3277827584, 3277828095, 'NL', 'Netherlands'),
(121113, '195.95.176.0', '195.95.176.255', 3277828096, 3277828351, 'AT', 'Austria'),
(121114, '195.95.177.0', '195.95.177.255', 3277828352, 3277828607, 'NL', 'Netherlands'),
(121115, '195.95.178.0', '195.95.178.255', 3277828608, 3277828863, 'RO', 'Romania'),
(121116, '195.95.179.0', '195.95.179.255', 3277828864, 3277829119, 'TR', 'Turkey'),
(121117, '195.95.180.0', '195.95.180.255', 3277829120, 3277829375, 'RO', 'Romania'),
(121118, '195.95.181.0', '195.95.181.255', 3277829376, 3277829631, 'DK', 'Denmark'),
(121119, '195.95.182.0', '195.95.182.255', 3277829632, 3277829887, 'PL', 'Poland'),
(121120, '195.95.183.0', '195.95.183.255', 3277829888, 3277830143, 'IL', 'Israel'),
(121121, '195.95.184.0', '195.95.184.255', 3277830144, 3277830399, 'SE', 'Sweden'),
(121122, '195.95.185.0', '195.95.185.255', 3277830400, 3277830655, 'UA', 'Ukraine'),
(121123, '195.95.186.0', '195.95.186.255', 3277830656, 3277830911, 'PL', 'Poland'),
(121124, '195.95.187.0', '195.95.187.255', 3277830912, 3277831167, 'GB', 'United Kingdom'),
(121125, '195.95.188.0', '195.95.188.255', 3277831168, 3277831423, 'PL', 'Poland'),
(121126, '195.95.189.0', '195.95.189.255', 3277831424, 3277831679, 'UA', 'Ukraine'),
(121127, '195.95.190.0', '195.95.191.255', 3277831680, 3277832191, 'IE', 'Ireland'),
(121128, '195.95.192.0', '195.95.195.255', 3277832192, 3277833215, 'EU', 'Europe'),
(121129, '195.95.196.0', '195.95.197.255', 3277833216, 3277833727, 'BE', 'Belgium'),
(121130, '195.95.198.0', '195.95.199.255', 3277833728, 3277834239, 'NL', 'Netherlands'),
(121131, '195.95.200.0', '195.95.201.255', 3277834240, 3277834751, 'RU', 'Russian Federation'),
(121132, '195.95.202.0', '195.95.203.255', 3277834752, 3277835263, 'UA', 'Ukraine'),
(121133, '195.95.204.0', '195.95.205.255', 3277835264, 3277835775, 'SK', 'Slovakia'),
(121134, '195.95.206.0', '195.95.207.255', 3277835776, 3277836287, 'UA', 'Ukraine'),
(121135, '195.95.208.0', '195.95.209.255', 3277836288, 3277836799, 'FI', 'Finland'),
(121136, '195.95.210.0', '195.95.211.255', 3277836800, 3277837311, 'UA', 'Ukraine'),
(121137, '195.95.212.0', '195.95.218.255', 3277837312, 3277839103, 'RU', 'Russian Federation'),
(121138, '195.95.219.0', '195.95.219.255', 3277839104, 3277839359, 'CH', 'Switzerland'),
(121139, '195.95.220.0', '195.95.221.255', 3277839360, 3277839871, 'DE', 'Germany'),
(121140, '195.95.222.0', '195.95.223.255', 3277839872, 3277840383, 'UA', 'Ukraine'),
(121141, '195.95.224.0', '195.95.225.255', 3277840384, 3277840895, 'FR', 'France'),
(121142, '195.95.226.0', '195.95.227.255', 3277840896, 3277841407, 'GR', 'Greece'),
(121143, '195.95.228.0', '195.95.229.255', 3277841408, 3277841919, 'RO', 'Romania'),
(121144, '195.95.230.0', '195.95.231.255', 3277841920, 3277842431, 'IT', 'Italy'),
(121145, '195.95.232.0', '195.95.233.255', 3277842432, 3277842943, 'UA', 'Ukraine'),
(121146, '195.95.234.0', '195.95.235.255', 3277842944, 3277843455, 'PL', 'Poland'),
(121147, '195.95.236.0', '195.95.237.255', 3277843456, 3277843967, 'PT', 'Portugal'),
(121148, '195.95.238.0', '195.95.243.255', 3277843968, 3277845503, 'DK', 'Denmark'),
(121149, '195.95.244.0', '195.95.249.255', 3277845504, 3277847039, 'NL', 'Netherlands'),
(121150, '195.95.250.0', '195.95.251.255', 3277847040, 3277847551, 'DK', 'Denmark'),
(121151, '195.95.252.0', '195.95.253.255', 3277847552, 3277848063, 'RU', 'Russian Federation'),
(121152, '195.95.254.0', '195.95.255.255', 3277848064, 3277848575, 'RO', 'Romania'),
(121153, '195.96.0.0', '195.96.31.255', 3277848576, 3277856767, 'AT', 'Austria'),
(121154, '195.96.32.0', '195.96.63.255', 3277856768, 3277864959, 'DE', 'Germany'),
(121155, '195.96.64.0', '195.96.95.255', 3277864960, 3277873151, 'RU', 'Russian Federation'),
(121156, '195.96.96.0', '195.96.127.255', 3277873152, 3277881343, 'NL', 'Netherlands'),
(121157, '195.96.128.0', '195.96.128.31', 3277881344, 3277881375, 'A2', 'Satellite Provider'),
(121158, '195.96.128.32', '195.96.128.63', 3277881376, 3277881407, 'IT', 'Italy'),
(121159, '195.96.128.64', '195.96.139.15', 3277881408, 3277884175, 'A2', 'Satellite Provider'),
(121160, '195.96.139.16', '195.96.139.31', 3277884176, 3277884191, 'IR', 'Iran, Islamic Republic of'),
(121161, '195.96.139.32', '195.96.143.255', 3277884192, 3277885439, 'A2', 'Satellite Provider'),
(121162, '195.96.144.0', '195.96.144.255', 3277885440, 3277885695, 'IQ', 'Iraq'),
(121163, '195.96.145.0', '195.96.145.31', 3277885696, 3277885727, 'LB', 'Lebanon'),
(121164, '195.96.145.32', '195.96.145.255', 3277885728, 3277885951, 'A2', 'Satellite Provider'),
(121165, '195.96.146.0', '195.96.147.255', 3277885952, 3277886463, 'LB', 'Lebanon'),
(121166, '195.96.148.0', '195.96.151.255', 3277886464, 3277887487, 'IQ', 'Iraq'),
(121167, '195.96.152.0', '195.96.154.255', 3277887488, 3277888255, 'A2', 'Satellite Provider'),
(121168, '195.96.155.0', '195.96.156.255', 3277888256, 3277888767, 'LB', 'Lebanon'),
(121169, '195.96.157.0', '195.96.157.255', 3277888768, 3277889023, 'A2', 'Satellite Provider'),
(121170, '195.96.158.0', '195.96.158.255', 3277889024, 3277889279, 'IQ', 'Iraq'),
(121171, '195.96.159.0', '195.96.159.255', 3277889280, 3277889535, 'A2', 'Satellite Provider'),
(121172, '195.96.160.0', '195.96.191.255', 3277889536, 3277897727, 'RU', 'Russian Federation'),
(121173, '195.96.192.0', '195.96.223.255', 3277897728, 3277905919, 'IT', 'Italy'),
(121174, '195.96.224.0', '195.96.255.255', 3277905920, 3277914111, 'BG', 'Bulgaria'),
(121175, '195.97.0.0', '195.97.127.255', 3277914112, 3277946879, 'GR', 'Greece'),
(121176, '195.97.128.0', '195.97.191.255', 3277946880, 3277963263, 'DK', 'Denmark'),
(121177, '195.97.192.0', '195.97.255.255', 3277963264, 3277979647, 'GB', 'United Kingdom'),
(121178, '195.98.0.0', '195.98.31.255', 3277979648, 3277987839, 'SK', 'Slovakia'),
(121179, '195.98.32.0', '195.98.95.255', 3277987840, 3278004223, 'RU', 'Russian Federation'),
(121180, '195.98.96.0', '195.98.127.255', 3278004224, 3278012415, 'FR', 'France'),
(121181, '195.98.128.0', '195.98.159.255', 3278012416, 3278020607, 'SK', 'Slovakia'),
(121182, '195.98.160.0', '195.98.191.255', 3278020608, 3278028799, 'RU', 'Russian Federation'),
(121183, '195.98.192.0', '195.98.223.255', 3278028800, 3278036991, 'DE', 'Germany'),
(121184, '195.98.224.0', '195.98.255.255', 3278036992, 3278045183, 'FR', 'France'),
(121185, '195.99.0.0', '195.99.37.255', 3278045184, 3278054911, 'GB', 'United Kingdom'),
(121186, '195.99.38.0', '195.99.39.255', 3278054912, 3278055423, 'NL', 'Netherlands'),
(121187, '195.99.40.0', '195.99.63.255', 3278055424, 3278061567, 'GB', 'United Kingdom'),
(121188, '195.99.64.0', '195.99.79.255', 3278061568, 3278065663, 'NL', 'Netherlands'),
(121189, '195.99.80.0', '195.99.225.255', 3278065664, 3278103039, 'GB', 'United Kingdom'),
(121190, '195.99.226.0', '195.99.226.255', 3278103040, 3278103295, 'FR', 'France'),
(121191, '195.99.227.0', '195.99.255.255', 3278103296, 3278110719, 'GB', 'United Kingdom'),
(121192, '195.100.0.0', '195.100.0.31', 3278110720, 3278110751, 'SE', 'Sweden'),
(121193, '195.100.0.32', '195.100.0.47', 3278110752, 3278110767, 'ES', 'Spain'),
(121194, '195.100.0.48', '195.100.17.255', 3278110768, 3278115327, 'SE', 'Sweden'),
(121195, '195.100.18.0', '195.100.22.255', 3278115328, 3278116607, 'ES', 'Spain'),
(121196, '195.100.23.0', '195.100.23.255', 3278116608, 3278116863, 'SE', 'Sweden'),
(121197, '195.100.24.0', '195.100.29.255', 3278116864, 3278118399, 'ES', 'Spain'),
(121198, '195.100.30.0', '195.100.31.255', 3278118400, 3278118911, 'SE', 'Sweden'),
(121199, '195.100.32.0', '195.100.32.63', 3278118912, 3278118975, 'NL', 'Netherlands'),
(121200, '195.100.32.64', '195.100.35.255', 3278118976, 3278119935, 'SE', 'Sweden'),
(121201, '195.100.36.0', '195.100.36.7', 3278119936, 3278119943, 'DE', 'Germany'),
(121202, '195.100.36.8', '195.100.36.215', 3278119944, 3278120151, 'SE', 'Sweden'),
(121203, '195.100.36.216', '195.100.36.223', 3278120152, 3278120159, 'DE', 'Germany'),
(121204, '195.100.36.224', '195.100.55.255', 3278120160, 3278125055, 'SE', 'Sweden'),
(121205, '195.100.56.0', '195.100.57.255', 3278125056, 3278125567, 'NL', 'Netherlands'),
(121206, '195.100.58.0', '195.100.198.223', 3278125568, 3278161631, 'SE', 'Sweden'),
(121207, '195.100.198.224', '195.100.198.239', 3278161632, 3278161647, 'DE', 'Germany'),
(121208, '195.100.198.240', '195.100.224.47', 3278161648, 3278168111, 'SE', 'Sweden'),
(121209, '195.100.224.48', '195.100.224.55', 3278168112, 3278168119, 'DK', 'Denmark'),
(121210, '195.100.224.56', '195.100.224.111', 3278168120, 3278168175, 'SE', 'Sweden'),
(121211, '195.100.224.112', '195.100.224.127', 3278168176, 3278168191, 'DK', 'Denmark'),
(121212, '195.100.224.128', '195.100.255.255', 3278168192, 3278176255, 'SE', 'Sweden'),
(121213, '195.101.0.0', '195.101.173.255', 3278176256, 3278220799, 'FR', 'France'),
(121214, '195.101.174.0', '195.101.174.255', 3278220800, 3278221055, 'GB', 'United Kingdom'),
(121215, '195.101.175.0', '195.101.175.31', 3278221056, 3278221087, 'FR', 'France'),
(121216, '195.101.175.32', '195.101.175.63', 3278221088, 3278221119, 'GB', 'United Kingdom'),
(121217, '195.101.175.64', '195.101.219.191', 3278221120, 3278232511, 'FR', 'France'),
(121218, '195.101.219.192', '195.101.219.255', 3278232512, 3278232575, 'MC', 'Monaco'),
(121219, '195.101.220.0', '195.101.255.255', 3278232576, 3278241791, 'FR', 'France'),
(121220, '195.102.0.0', '195.102.255.255', 3278241792, 3278307327, 'GB', 'United Kingdom'),
(121221, '195.103.0.0', '195.103.255.255', 3278307328, 3278372863, 'IT', 'Italy'),
(121222, '195.104.0.0', '195.107.255.255', 3278372864, 3278635007, 'GB', 'United Kingdom'),
(121223, '195.108.0.0', '195.108.0.255', 3278635008, 3278635263, 'NL', 'Netherlands'),
(121224, '195.108.1.0', '195.108.1.255', 3278635264, 3278635519, 'EU', 'Europe'),
(121225, '195.108.2.0', '195.109.172.215', 3278635520, 3278744791, 'NL', 'Netherlands'),
(121226, '195.109.172.216', '195.109.172.223', 3278744792, 3278744799, 'A2', 'Satellite Provider'),
(121227, '195.109.172.224', '195.109.255.255', 3278744800, 3278766079, 'NL', 'Netherlands'),
(121228, '195.110.0.0', '195.110.1.255', 3278766080, 3278766591, 'RO', 'Romania'),
(121229, '195.110.2.0', '195.110.3.255', 3278766592, 3278767103, 'RU', 'Russian Federation'),
(121230, '195.110.4.0', '195.110.5.255', 3278767104, 3278767615, 'RO', 'Romania'),
(121231, '195.110.6.0', '195.110.7.255', 3278767616, 3278768127, 'UA', 'Ukraine'),
(121232, '195.110.8.0', '195.110.11.255', 3278768128, 3278769151, 'GB', 'United Kingdom'),
(121233, '195.110.12.0', '195.110.13.255', 3278769152, 3278769663, 'FR', 'France'),
(121234, '195.110.14.0', '195.110.15.255', 3278769664, 3278770175, 'DE', 'Germany'),
(121235, '195.110.16.0', '195.110.17.255', 3278770176, 3278770687, 'DK', 'Denmark'),
(121236, '195.110.18.0', '195.110.21.255', 3278770688, 3278771711, 'DE', 'Germany'),
(121237, '195.110.22.0', '195.110.23.255', 3278771712, 3278772223, 'NL', 'Netherlands'),
(121238, '195.110.24.0', '195.110.25.255', 3278772224, 3278772735, 'BG', 'Bulgaria'),
(121239, '195.110.26.0', '195.110.27.255', 3278772736, 3278773247, 'DE', 'Germany'),
(121240, '195.110.28.0', '195.110.29.255', 3278773248, 3278773759, 'NO', 'Norway'),
(121241, '195.110.30.0', '195.110.31.255', 3278773760, 3278774271, 'GB', 'United Kingdom'),
(121242, '195.110.32.0', '195.110.33.255', 3278774272, 3278774783, 'RU', 'Russian Federation'),
(121243, '195.110.34.0', '195.110.35.255', 3278774784, 3278775295, 'FR', 'France'),
(121244, '195.110.36.0', '195.110.37.255', 3278775296, 3278775807, 'GB', 'United Kingdom'),
(121245, '195.110.38.0', '195.110.39.255', 3278775808, 3278776319, 'IR', 'Iran, Islamic Republic of'),
(121246, '195.110.40.0', '195.110.41.255', 3278776320, 3278776831, 'IL', 'Israel'),
(121247, '195.110.42.0', '195.110.43.255', 3278776832, 3278777343, 'ES', 'Spain'),
(121248, '195.110.44.0', '195.110.45.255', 3278777344, 3278777855, 'SE', 'Sweden'),
(121249, '195.110.46.0', '195.110.47.255', 3278777856, 3278778367, 'RU', 'Russian Federation'),
(121250, '195.110.48.0', '195.110.51.255', 3278778368, 3278779391, 'PL', 'Poland'),
(121251, '195.110.52.0', '195.110.53.255', 3278779392, 3278779903, 'RU', 'Russian Federation'),
(121252, '195.110.54.0', '195.110.55.255', 3278779904, 3278780415, 'BE', 'Belgium'),
(121253, '195.110.56.0', '195.110.57.255', 3278780416, 3278780927, 'UA', 'Ukraine'),
(121254, '195.110.58.0', '195.110.59.255', 3278780928, 3278781439, 'LT', 'Lithuania'),
(121255, '195.110.60.0', '195.110.61.255', 3278781440, 3278781951, 'DE', 'Germany'),
(121256, '195.110.62.0', '195.110.63.255', 3278781952, 3278782463, 'RU', 'Russian Federation'),
(121257, '195.110.64.0', '195.110.65.255', 3278782464, 3278782975, 'GB', 'United Kingdom'),
(121258, '195.110.66.0', '195.110.66.255', 3278782976, 3278783231, 'DE', 'Germany'),
(121259, '195.110.67.0', '195.110.72.191', 3278783232, 3278784703, 'GB', 'United Kingdom'),
(121260, '195.110.72.192', '195.110.72.223', 3278784704, 3278784735, 'NL', 'Netherlands'),
(121261, '195.110.72.224', '195.110.81.95', 3278784736, 3278786911, 'GB', 'United Kingdom'),
(121262, '195.110.81.96', '195.110.81.127', 3278786912, 3278786943, 'LU', 'Luxembourg'),
(121263, '195.110.81.128', '195.110.83.239', 3278786944, 3278787567, 'GB', 'United Kingdom'),
(121264, '195.110.83.240', '195.110.83.255', 3278787568, 3278787583, 'FR', 'France'),
(121265, '195.110.84.0', '195.110.85.255', 3278787584, 3278788095, 'GB', 'United Kingdom'),
(121266, '195.110.86.0', '195.110.86.127', 3278788096, 3278788223, 'US', 'United States'),
(121267, '195.110.86.128', '195.110.93.47', 3278788224, 3278789935, 'GB', 'United Kingdom'),
(121268, '195.110.93.48', '195.110.93.63', 3278789936, 3278789951, 'US', 'United States'),
(121269, '195.110.93.64', '195.110.93.207', 3278789952, 3278790095, 'GB', 'United Kingdom'),
(121270, '195.110.93.208', '195.110.93.223', 3278790096, 3278790111, 'ES', 'Spain'),
(121271, '195.110.93.224', '195.110.95.255', 3278790112, 3278790655, 'GB', 'United Kingdom'),
(121272, '195.110.96.0', '195.110.159.255', 3278790656, 3278807039, 'IT', 'Italy'),
(121273, '195.110.160.0', '195.110.191.255', 3278807040, 3278815231, 'GB', 'United Kingdom'),
(121274, '195.110.192.0', '195.110.223.255', 3278815232, 3278823423, 'AT', 'Austria'),
(121275, '195.110.224.0', '195.110.255.255', 3278823424, 3278831615, 'FR', 'France'),
(121276, '195.111.0.0', '195.111.132.255', 3278831616, 3278865663, 'HU', 'Hungary'),
(121277, '195.111.133.0', '195.111.133.255', 3278865664, 3278865919, 'SK', 'Slovakia'),
(121278, '195.111.134.0', '195.111.255.255', 3278865920, 3278897151, 'HU', 'Hungary'),
(121279, '195.112.0.0', '195.112.63.255', 3278897152, 3278913535, 'GB', 'United Kingdom'),
(121280, '195.112.64.0', '195.112.95.255', 3278913536, 3278921727, 'CH', 'Switzerland'),
(121281, '195.112.96.0', '195.112.127.255', 3278921728, 3278929919, 'RU', 'Russian Federation'),
(121282, '195.112.128.0', '195.112.159.255', 3278929920, 3278938111, 'TR', 'Turkey'),
(121283, '195.112.160.0', '195.112.160.7', 3278938112, 3278938119, 'DE', 'Germany'),
(121284, '195.112.160.8', '195.112.160.11', 3278938120, 3278938123, 'DK', 'Denmark'),
(121285, '195.112.160.12', '195.112.160.15', 3278938124, 3278938127, 'DE', 'Germany'),
(121286, '195.112.160.16', '195.112.160.19', 3278938128, 3278938131, 'TR', 'Turkey'),
(121287, '195.112.160.20', '195.112.160.39', 3278938132, 3278938151, 'DE', 'Germany'),
(121288, '195.112.160.40', '195.112.160.43', 3278938152, 3278938155, 'GB', 'United Kingdom'),
(121289, '195.112.160.44', '195.112.160.47', 3278938156, 3278938159, 'DE', 'Germany'),
(121290, '195.112.160.48', '195.112.160.51', 3278938160, 3278938163, 'ES', 'Spain'),
(121291, '195.112.160.52', '195.112.160.55', 3278938164, 3278938167, 'CH', 'Switzerland'),
(121292, '195.112.160.56', '195.112.160.59', 3278938168, 3278938171, 'DE', 'Germany'),
(121293, '195.112.160.60', '195.112.160.63', 3278938172, 3278938175, 'NL', 'Netherlands'),
(121294, '195.112.160.64', '195.112.160.67', 3278938176, 3278938179, 'FR', 'France'),
(121295, '195.112.160.68', '195.112.160.71', 3278938180, 3278938183, 'NL', 'Netherlands'),
(121296, '195.112.160.72', '195.112.160.75', 3278938184, 3278938187, 'DE', 'Germany'),
(121297, '195.112.160.76', '195.112.160.79', 3278938188, 3278938191, 'PT', 'Portugal'),
(121298, '195.112.160.80', '195.112.160.83', 3278938192, 3278938195, 'ES', 'Spain'),
(121299, '195.112.160.84', '195.112.160.87', 3278938196, 3278938199, 'NL', 'Netherlands'),
(121300, '195.112.160.88', '195.112.160.91', 3278938200, 3278938203, 'CH', 'Switzerland'),
(121301, '195.112.160.92', '195.112.160.95', 3278938204, 3278938207, 'DE', 'Germany'),
(121302, '195.112.160.96', '195.112.160.107', 3278938208, 3278938219, 'IT', 'Italy'),
(121303, '195.112.160.108', '195.112.160.111', 3278938220, 3278938223, 'FR', 'France'),
(121304, '195.112.160.112', '195.112.160.115', 3278938224, 3278938227, 'DE', 'Germany'),
(121305, '195.112.160.116', '195.112.160.119', 3278938228, 3278938231, 'FR', 'France'),
(121306, '195.112.160.120', '195.112.160.123', 3278938232, 3278938235, 'DE', 'Germany'),
(121307, '195.112.160.124', '195.112.160.127', 3278938236, 3278938239, 'FR', 'France'),
(121308, '195.112.160.128', '195.112.160.131', 3278938240, 3278938243, 'LI', 'Liechtenstein'),
(121309, '195.112.160.132', '195.112.160.135', 3278938244, 3278938247, 'IT', 'Italy'),
(121310, '195.112.160.136', '195.112.160.139', 3278938248, 3278938251, 'AT', 'Austria'),
(121311, '195.112.160.140', '195.112.160.143', 3278938252, 3278938255, 'GR', 'Greece'),
(121312, '195.112.160.144', '195.112.160.151', 3278938256, 3278938263, 'CH', 'Switzerland'),
(121313, '195.112.160.152', '195.112.160.155', 3278938264, 3278938267, 'PL', 'Poland'),
(121314, '195.112.160.156', '195.112.160.163', 3278938268, 3278938275, 'FR', 'France'),
(121315, '195.112.160.164', '195.112.160.167', 3278938276, 3278938279, 'NL', 'Netherlands'),
(121316, '195.112.160.168', '195.112.160.171', 3278938280, 3278938283, 'AT', 'Austria'),
(121317, '195.112.160.172', '195.112.160.175', 3278938284, 3278938287, 'FR', 'France'),
(121318, '195.112.160.176', '195.112.160.179', 3278938288, 3278938291, 'ES', 'Spain'),
(121319, '195.112.160.180', '195.112.160.187', 3278938292, 3278938299, 'DE', 'Germany'),
(121320, '195.112.160.188', '195.112.160.191', 3278938300, 3278938303, 'ES', 'Spain'),
(121321, '195.112.160.192', '195.112.160.195', 3278938304, 3278938307, 'DE', 'Germany'),
(121322, '195.112.160.196', '195.112.160.199', 3278938308, 3278938311, 'GB', 'United Kingdom'),
(121323, '195.112.160.200', '195.112.160.203', 3278938312, 3278938315, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(121324, '195.112.160.204', '195.112.160.211', 3278938316, 3278938323, 'FR', 'France'),
(121325, '195.112.160.212', '195.112.160.223', 3278938324, 3278938335, 'DE', 'Germany'),
(121326, '195.112.160.224', '195.112.160.227', 3278938336, 3278938339, 'CH', 'Switzerland'),
(121327, '195.112.160.228', '195.112.160.231', 3278938340, 3278938343, 'DE', 'Germany'),
(121328, '195.112.160.232', '195.112.160.235', 3278938344, 3278938347, 'NL', 'Netherlands'),
(121329, '195.112.160.236', '195.112.160.239', 3278938348, 3278938351, 'FR', 'France'),
(121330, '195.112.160.240', '195.112.160.243', 3278938352, 3278938355, 'DE', 'Germany'),
(121331, '195.112.160.244', '195.112.160.247', 3278938356, 3278938359, 'ES', 'Spain'),
(121332, '195.112.160.248', '195.112.160.251', 3278938360, 3278938363, 'DK', 'Denmark'),
(121333, '195.112.160.252', '195.112.160.255', 3278938364, 3278938367, 'BH', 'Bahrain'),
(121334, '195.112.161.0', '195.112.161.7', 3278938368, 3278938375, 'FR', 'France'),
(121335, '195.112.161.8', '195.112.161.11', 3278938376, 3278938379, 'DE', 'Germany'),
(121336, '195.112.161.12', '195.112.161.15', 3278938380, 3278938383, 'FR', 'France'),
(121337, '195.112.161.16', '195.112.161.31', 3278938384, 3278938399, 'DE', 'Germany'),
(121338, '195.112.161.32', '195.112.161.35', 3278938400, 3278938403, 'AT', 'Austria'),
(121339, '195.112.161.36', '195.112.161.39', 3278938404, 3278938407, 'GB', 'United Kingdom'),
(121340, '195.112.161.40', '195.112.161.43', 3278938408, 3278938411, 'CH', 'Switzerland'),
(121341, '195.112.161.44', '195.112.161.47', 3278938412, 3278938415, 'DE', 'Germany'),
(121342, '195.112.161.48', '195.112.161.51', 3278938416, 3278938419, 'CH', 'Switzerland'),
(121343, '195.112.161.52', '195.112.161.55', 3278938420, 3278938423, 'GB', 'United Kingdom'),
(121344, '195.112.161.56', '195.112.161.59', 3278938424, 3278938427, 'DE', 'Germany'),
(121345, '195.112.161.60', '195.112.161.63', 3278938428, 3278938431, 'FR', 'France'),
(121346, '195.112.161.64', '195.112.161.67', 3278938432, 3278938435, 'SI', 'Slovenia'),
(121347, '195.112.161.68', '195.112.161.71', 3278938436, 3278938439, 'DE', 'Germany'),
(121348, '195.112.161.72', '195.112.161.75', 3278938440, 3278938443, 'IT', 'Italy'),
(121349, '195.112.161.76', '195.112.161.79', 3278938444, 3278938447, 'DE', 'Germany'),
(121350, '195.112.161.80', '195.112.161.83', 3278938448, 3278938451, 'IT', 'Italy'),
(121351, '195.112.161.84', '195.112.161.87', 3278938452, 3278938455, 'GB', 'United Kingdom'),
(121352, '195.112.161.88', '195.112.161.91', 3278938456, 3278938459, 'ES', 'Spain'),
(121353, '195.112.161.92', '195.112.161.95', 3278938460, 3278938463, 'FR', 'France'),
(121354, '195.112.161.96', '195.112.161.99', 3278938464, 3278938467, 'DE', 'Germany'),
(121355, '195.112.161.100', '195.112.161.103', 3278938468, 3278938471, 'NL', 'Netherlands'),
(121356, '195.112.161.104', '195.112.161.111', 3278938472, 3278938479, 'DE', 'Germany'),
(121357, '195.112.161.112', '195.112.161.115', 3278938480, 3278938483, 'CH', 'Switzerland'),
(121358, '195.112.161.116', '195.112.161.119', 3278938484, 3278938487, 'DE', 'Germany'),
(121359, '195.112.161.120', '195.112.161.123', 3278938488, 3278938491, 'NL', 'Netherlands'),
(121360, '195.112.161.124', '195.112.161.127', 3278938492, 3278938495, 'ES', 'Spain'),
(121361, '195.112.161.128', '195.112.161.131', 3278938496, 3278938499, 'NL', 'Netherlands'),
(121362, '195.112.161.132', '195.112.161.135', 3278938500, 3278938503, 'DE', 'Germany'),
(121363, '195.112.161.136', '195.112.161.139', 3278938504, 3278938507, 'SE', 'Sweden'),
(121364, '195.112.161.140', '195.112.161.143', 3278938508, 3278938511, 'IT', 'Italy'),
(121365, '195.112.161.144', '195.112.161.147', 3278938512, 3278938515, 'DE', 'Germany'),
(121366, '195.112.161.148', '195.112.161.155', 3278938516, 3278938523, 'NL', 'Netherlands'),
(121367, '195.112.161.156', '195.112.161.159', 3278938524, 3278938527, 'FR', 'France'),
(121368, '195.112.161.160', '195.112.161.163', 3278938528, 3278938531, 'NO', 'Norway'),
(121369, '195.112.161.164', '195.112.161.167', 3278938532, 3278938535, 'DK', 'Denmark'),
(121370, '195.112.161.168', '195.112.161.187', 3278938536, 3278938555, 'DE', 'Germany'),
(121371, '195.112.161.188', '195.112.161.191', 3278938556, 3278938559, 'HU', 'Hungary'),
(121372, '195.112.161.192', '195.112.161.195', 3278938560, 3278938563, 'CY', 'Cyprus'),
(121373, '195.112.161.196', '195.112.161.199', 3278938564, 3278938567, 'FR', 'France'),
(121374, '195.112.161.200', '195.112.161.207', 3278938568, 3278938575, 'DE', 'Germany'),
(121375, '195.112.161.208', '195.112.161.211', 3278938576, 3278938579, 'CZ', 'Czech Republic'),
(121376, '195.112.161.212', '195.112.161.215', 3278938580, 3278938583, 'DE', 'Germany'),
(121377, '195.112.161.216', '195.112.161.219', 3278938584, 3278938587, 'GB', 'United Kingdom'),
(121378, '195.112.161.220', '195.112.161.223', 3278938588, 3278938591, 'CH', 'Switzerland'),
(121379, '195.112.161.224', '195.112.161.227', 3278938592, 3278938595, 'DE', 'Germany'),
(121380, '195.112.161.228', '195.112.161.231', 3278938596, 3278938599, 'DK', 'Denmark'),
(121381, '195.112.161.232', '195.112.161.235', 3278938600, 3278938603, 'DE', 'Germany'),
(121382, '195.112.161.236', '195.112.161.239', 3278938604, 3278938607, 'IT', 'Italy'),
(121383, '195.112.161.240', '195.112.161.243', 3278938608, 3278938611, 'AT', 'Austria'),
(121384, '195.112.161.244', '195.112.161.247', 3278938612, 3278938615, 'NL', 'Netherlands'),
(121385, '195.112.161.248', '195.112.161.251', 3278938616, 3278938619, 'DK', 'Denmark'),
(121386, '195.112.161.252', '195.112.162.3', 3278938620, 3278938627, 'FR', 'France'),
(121387, '195.112.162.4', '195.112.162.7', 3278938628, 3278938631, 'DE', 'Germany'),
(121388, '195.112.162.8', '195.112.162.11', 3278938632, 3278938635, 'NL', 'Netherlands'),
(121389, '195.112.162.12', '195.112.162.15', 3278938636, 3278938639, 'GB', 'United Kingdom'),
(121390, '195.112.162.16', '195.112.162.19', 3278938640, 3278938643, 'DE', 'Germany'),
(121391, '195.112.162.20', '195.112.162.23', 3278938644, 3278938647, 'GB', 'United Kingdom'),
(121392, '195.112.162.24', '195.112.162.35', 3278938648, 3278938659, 'DE', 'Germany'),
(121393, '195.112.162.36', '195.112.162.39', 3278938660, 3278938663, 'CH', 'Switzerland'),
(121394, '195.112.162.40', '195.112.162.43', 3278938664, 3278938667, 'GB', 'United Kingdom'),
(121395, '195.112.162.44', '195.112.162.47', 3278938668, 3278938671, 'AT', 'Austria'),
(121396, '195.112.162.48', '195.112.162.51', 3278938672, 3278938675, 'IT', 'Italy'),
(121397, '195.112.162.52', '195.112.162.55', 3278938676, 3278938679, 'FR', 'France'),
(121398, '195.112.162.56', '195.112.162.59', 3278938680, 3278938683, 'NO', 'Norway'),
(121399, '195.112.162.60', '195.112.162.63', 3278938684, 3278938687, 'DE', 'Germany'),
(121400, '195.112.162.64', '195.112.162.67', 3278938688, 3278938691, 'CH', 'Switzerland'),
(121401, '195.112.162.68', '195.112.162.71', 3278938692, 3278938695, 'DE', 'Germany'),
(121402, '195.112.162.72', '195.112.162.75', 3278938696, 3278938699, 'IT', 'Italy'),
(121403, '195.112.162.76', '195.112.162.79', 3278938700, 3278938703, 'ES', 'Spain'),
(121404, '195.112.162.80', '195.112.162.83', 3278938704, 3278938707, 'FR', 'France'),
(121405, '195.112.162.84', '195.112.162.91', 3278938708, 3278938715, 'DE', 'Germany'),
(121406, '195.112.162.92', '195.112.162.95', 3278938716, 3278938719, 'CH', 'Switzerland'),
(121407, '195.112.162.96', '195.112.162.99', 3278938720, 3278938723, 'NL', 'Netherlands'),
(121408, '195.112.162.100', '195.112.162.103', 3278938724, 3278938727, 'BE', 'Belgium'),
(121409, '195.112.162.104', '195.112.162.107', 3278938728, 3278938731, 'ES', 'Spain'),
(121410, '195.112.162.108', '195.112.162.111', 3278938732, 3278938735, 'CH', 'Switzerland'),
(121411, '195.112.162.112', '195.112.162.115', 3278938736, 3278938739, 'IT', 'Italy'),
(121412, '195.112.162.116', '195.112.162.119', 3278938740, 3278938743, 'FR', 'France'),
(121413, '195.112.162.120', '195.112.162.127', 3278938744, 3278938751, 'DE', 'Germany'),
(121414, '195.112.162.128', '195.112.162.131', 3278938752, 3278938755, 'CH', 'Switzerland'),
(121415, '195.112.162.132', '195.112.162.135', 3278938756, 3278938759, 'DE', 'Germany'),
(121416, '195.112.162.136', '195.112.162.139', 3278938760, 3278938763, 'GB', 'United Kingdom'),
(121417, '195.112.162.140', '195.112.162.143', 3278938764, 3278938767, 'FR', 'France'),
(121418, '195.112.162.144', '195.112.162.147', 3278938768, 3278938771, 'GB', 'United Kingdom'),
(121419, '195.112.162.148', '195.112.162.151', 3278938772, 3278938775, 'SE', 'Sweden'),
(121420, '195.112.162.152', '195.112.162.155', 3278938776, 3278938779, 'GB', 'United Kingdom'),
(121421, '195.112.162.156', '195.112.162.159', 3278938780, 3278938783, 'IT', 'Italy'),
(121422, '195.112.162.160', '195.112.162.163', 3278938784, 3278938787, 'BE', 'Belgium'),
(121423, '195.112.162.164', '195.112.162.167', 3278938788, 3278938791, 'ES', 'Spain'),
(121424, '195.112.162.168', '195.112.162.171', 3278938792, 3278938795, 'DE', 'Germany'),
(121425, '195.112.162.172', '195.112.162.175', 3278938796, 3278938799, 'GR', 'Greece'),
(121426, '195.112.162.176', '195.112.162.179', 3278938800, 3278938803, 'DE', 'Germany'),
(121427, '195.112.162.180', '195.112.162.183', 3278938804, 3278938807, 'IT', 'Italy'),
(121428, '195.112.162.184', '195.112.162.191', 3278938808, 3278938815, 'GB', 'United Kingdom'),
(121429, '195.112.162.192', '195.112.162.195', 3278938816, 3278938819, 'ES', 'Spain'),
(121430, '195.112.162.196', '195.112.162.203', 3278938820, 3278938827, 'DE', 'Germany'),
(121431, '195.112.162.204', '195.112.162.207', 3278938828, 3278938831, 'GB', 'United Kingdom'),
(121432, '195.112.162.208', '195.112.162.211', 3278938832, 3278938835, 'IT', 'Italy'),
(121433, '195.112.162.212', '195.112.162.215', 3278938836, 3278938839, 'FR', 'France'),
(121434, '195.112.162.216', '195.112.162.219', 3278938840, 3278938843, 'DE', 'Germany'),
(121435, '195.112.162.220', '195.112.162.223', 3278938844, 3278938847, 'HU', 'Hungary'),
(121436, '195.112.162.224', '195.112.162.227', 3278938848, 3278938851, 'CH', 'Switzerland'),
(121437, '195.112.162.228', '195.112.162.231', 3278938852, 3278938855, 'DE', 'Germany'),
(121438, '195.112.162.232', '195.112.162.235', 3278938856, 3278938859, 'PT', 'Portugal'),
(121439, '195.112.162.236', '195.112.162.239', 3278938860, 3278938863, 'DE', 'Germany'),
(121440, '195.112.162.240', '195.112.162.247', 3278938864, 3278938871, 'IT', 'Italy'),
(121441, '195.112.162.248', '195.112.162.251', 3278938872, 3278938875, 'DE', 'Germany'),
(121442, '195.112.162.252', '195.112.162.255', 3278938876, 3278938879, 'NL', 'Netherlands'),
(121443, '195.112.163.0', '195.112.163.7', 3278938880, 3278938887, 'FR', 'France'),
(121444, '195.112.163.8', '195.112.163.11', 3278938888, 3278938891, 'ES', 'Spain'),
(121445, '195.112.163.12', '195.112.163.15', 3278938892, 3278938895, 'DE', 'Germany'),
(121446, '195.112.163.16', '195.112.163.23', 3278938896, 3278938903, 'FR', 'France'),
(121447, '195.112.163.24', '195.112.163.31', 3278938904, 3278938911, 'GB', 'United Kingdom'),
(121448, '195.112.163.32', '195.112.163.39', 3278938912, 3278938919, 'DE', 'Germany'),
(121449, '195.112.163.40', '195.112.163.43', 3278938920, 3278938923, 'SK', 'Slovakia'),
(121450, '195.112.163.44', '195.112.163.47', 3278938924, 3278938927, 'DE', 'Germany'),
(121451, '195.112.163.48', '195.112.163.55', 3278938928, 3278938935, 'GB', 'United Kingdom'),
(121452, '195.112.163.56', '195.112.163.59', 3278938936, 3278938939, 'CH', 'Switzerland'),
(121453, '195.112.163.60', '195.112.163.63', 3278938940, 3278938943, 'GR', 'Greece'),
(121454, '195.112.163.64', '195.112.163.67', 3278938944, 3278938947, 'IT', 'Italy'),
(121455, '195.112.163.68', '195.112.163.71', 3278938948, 3278938951, 'DE', 'Germany'),
(121456, '195.112.163.72', '195.112.163.75', 3278938952, 3278938955, 'FR', 'France'),
(121457, '195.112.163.76', '195.112.163.79', 3278938956, 3278938959, 'GB', 'United Kingdom'),
(121458, '195.112.163.80', '195.112.163.87', 3278938960, 3278938967, 'DE', 'Germany'),
(121459, '195.112.163.88', '195.112.163.91', 3278938968, 3278938971, 'BE', 'Belgium'),
(121460, '195.112.163.92', '195.112.163.95', 3278938972, 3278938975, 'DE', 'Germany'),
(121461, '195.112.163.96', '195.112.163.99', 3278938976, 3278938979, 'NL', 'Netherlands'),
(121462, '195.112.163.100', '195.112.163.107', 3278938980, 3278938987, 'FR', 'France'),
(121463, '195.112.163.108', '195.112.163.111', 3278938988, 3278938991, 'AT', 'Austria'),
(121464, '195.112.163.112', '195.112.163.115', 3278938992, 3278938995, 'FR', 'France'),
(121465, '195.112.163.116', '195.112.163.119', 3278938996, 3278938999, 'DE', 'Germany'),
(121466, '195.112.163.120', '195.112.163.123', 3278939000, 3278939003, 'ES', 'Spain'),
(121467, '195.112.163.124', '195.112.163.127', 3278939004, 3278939007, 'NL', 'Netherlands'),
(121468, '195.112.163.128', '195.112.163.131', 3278939008, 3278939011, 'IE', 'Ireland'),
(121469, '195.112.163.132', '195.112.163.135', 3278939012, 3278939015, 'RU', 'Russian Federation'),
(121470, '195.112.163.136', '195.112.163.139', 3278939016, 3278939019, 'ES', 'Spain'),
(121471, '195.112.163.140', '195.112.163.143', 3278939020, 3278939023, 'NL', 'Netherlands'),
(121472, '195.112.163.144', '195.112.163.147', 3278939024, 3278939027, 'IT', 'Italy'),
(121473, '195.112.163.148', '195.112.163.151', 3278939028, 3278939031, 'CY', 'Cyprus'),
(121474, '195.112.163.152', '195.112.163.155', 3278939032, 3278939035, 'DE', 'Germany'),
(121475, '195.112.163.156', '195.112.163.159', 3278939036, 3278939039, 'HU', 'Hungary'),
(121476, '195.112.163.160', '195.112.163.167', 3278939040, 3278939047, 'DE', 'Germany'),
(121477, '195.112.163.168', '195.112.163.175', 3278939048, 3278939055, 'FR', 'France'),
(121478, '195.112.163.176', '195.112.163.183', 3278939056, 3278939063, 'DE', 'Germany'),
(121479, '195.112.163.184', '195.112.163.187', 3278939064, 3278939067, 'ES', 'Spain'),
(121480, '195.112.163.188', '195.112.163.195', 3278939068, 3278939075, 'DE', 'Germany'),
(121481, '195.112.163.196', '195.112.163.199', 3278939076, 3278939079, 'CH', 'Switzerland'),
(121482, '195.112.163.200', '195.112.163.203', 3278939080, 3278939083, 'DE', 'Germany'),
(121483, '195.112.163.204', '195.112.163.207', 3278939084, 3278939087, 'IT', 'Italy'),
(121484, '195.112.163.208', '195.112.163.211', 3278939088, 3278939091, 'IS', 'Iceland'),
(121485, '195.112.163.212', '195.112.163.215', 3278939092, 3278939095, 'DE', 'Germany'),
(121486, '195.112.163.216', '195.112.163.219', 3278939096, 3278939099, 'IT', 'Italy'),
(121487, '195.112.163.220', '195.112.163.223', 3278939100, 3278939103, 'DE', 'Germany'),
(121488, '195.112.163.224', '195.112.163.227', 3278939104, 3278939107, 'CH', 'Switzerland'),
(121489, '195.112.163.228', '195.112.163.231', 3278939108, 3278939111, 'FR', 'France'),
(121490, '195.112.163.232', '195.112.163.235', 3278939112, 3278939115, 'DE', 'Germany'),
(121491, '195.112.163.236', '195.112.163.239', 3278939116, 3278939119, 'NL', 'Netherlands'),
(121492, '195.112.163.240', '195.112.163.251', 3278939120, 3278939131, 'DE', 'Germany'),
(121493, '195.112.163.252', '195.112.163.255', 3278939132, 3278939135, 'NL', 'Netherlands'),
(121494, '195.112.164.0', '195.112.164.11', 3278939136, 3278939147, 'US', 'United States'),
(121495, '195.112.164.12', '195.112.164.15', 3278939148, 3278939151, 'AR', 'Argentina'),
(121496, '195.112.164.16', '195.112.164.19', 3278939152, 3278939155, 'ES', 'Spain'),
(121497, '195.112.164.20', '195.112.164.59', 3278939156, 3278939195, 'US', 'United States'),
(121498, '195.112.164.60', '195.112.164.63', 3278939196, 3278939199, 'CL', 'Chile'),
(121499, '195.112.164.64', '195.112.164.123', 3278939200, 3278939259, 'US', 'United States'),
(121500, '195.112.164.124', '195.112.164.127', 3278939260, 3278939263, 'BR', 'Brazil'),
(121501, '195.112.164.128', '195.112.164.135', 3278939264, 3278939271, 'AR', 'Argentina'),
(121502, '195.112.164.136', '195.112.164.143', 3278939272, 3278939279, 'US', 'United States'),
(121503, '195.112.164.144', '195.112.164.147', 3278939280, 3278939283, 'CO', 'Colombia'),
(121504, '195.112.164.148', '195.112.164.155', 3278939284, 3278939291, 'US', 'United States'),
(121505, '195.112.164.156', '195.112.164.159', 3278939292, 3278939295, 'AR', 'Argentina'),
(121506, '195.112.164.160', '195.112.164.171', 3278939296, 3278939307, 'US', 'United States'),
(121507, '195.112.164.172', '195.112.164.175', 3278939308, 3278939311, 'MX', 'Mexico'),
(121508, '195.112.164.176', '195.112.164.179', 3278939312, 3278939315, 'US', 'United States'),
(121509, '195.112.164.180', '195.112.164.183', 3278939316, 3278939319, 'AR', 'Argentina'),
(121510, '195.112.164.184', '195.112.164.187', 3278939320, 3278939323, 'US', 'United States'),
(121511, '195.112.164.188', '195.112.164.191', 3278939324, 3278939327, 'CA', 'Canada'),
(121512, '195.112.164.192', '195.112.164.195', 3278939328, 3278939331, 'US', 'United States'),
(121513, '195.112.164.196', '195.112.164.199', 3278939332, 3278939335, 'BR', 'Brazil'),
(121514, '195.112.164.200', '195.112.164.203', 3278939336, 3278939339, 'CA', 'Canada'),
(121515, '195.112.164.204', '195.112.164.215', 3278939340, 3278939351, 'US', 'United States'),
(121516, '195.112.164.216', '195.112.164.219', 3278939352, 3278939355, 'BR', 'Brazil'),
(121517, '195.112.164.220', '195.112.164.243', 3278939356, 3278939379, 'US', 'United States'),
(121518, '195.112.164.244', '195.112.164.247', 3278939380, 3278939383, 'BR', 'Brazil'),
(121519, '195.112.164.248', '195.112.164.255', 3278939384, 3278939391, 'US', 'United States'),
(121520, '195.112.165.0', '195.112.165.3', 3278939392, 3278939395, 'DE', 'Germany'),
(121521, '195.112.165.4', '195.112.165.7', 3278939396, 3278939399, 'GB', 'United Kingdom'),
(121522, '195.112.165.8', '195.112.165.11', 3278939400, 3278939403, 'DE', 'Germany'),
(121523, '195.112.165.12', '195.112.165.15', 3278939404, 3278939407, 'CH', 'Switzerland'),
(121524, '195.112.165.16', '195.112.165.23', 3278939408, 3278939415, 'DE', 'Germany'),
(121525, '195.112.165.24', '195.112.165.27', 3278939416, 3278939419, 'ZW', 'Zimbabwe'),
(121526, '195.112.165.28', '195.112.165.31', 3278939420, 3278939423, 'IE', 'Ireland'),
(121527, '195.112.165.32', '195.112.165.35', 3278939424, 3278939427, 'GB', 'United Kingdom'),
(121528, '195.112.165.36', '195.112.165.47', 3278939428, 3278939439, 'DE', 'Germany'),
(121529, '195.112.165.48', '195.112.165.51', 3278939440, 3278939443, 'IT', 'Italy'),
(121530, '195.112.165.52', '195.112.165.55', 3278939444, 3278939447, 'DE', 'Germany'),
(121531, '195.112.165.56', '195.112.165.59', 3278939448, 3278939451, 'PL', 'Poland'),
(121532, '195.112.165.60', '195.112.165.67', 3278939452, 3278939459, 'DE', 'Germany'),
(121533, '195.112.165.68', '195.112.165.71', 3278939460, 3278939463, 'DK', 'Denmark'),
(121534, '195.112.165.72', '195.112.165.75', 3278939464, 3278939467, 'CY', 'Cyprus'),
(121535, '195.112.165.76', '195.112.165.79', 3278939468, 3278939471, 'DE', 'Germany'),
(121536, '195.112.165.80', '195.112.165.83', 3278939472, 3278939475, 'PL', 'Poland'),
(121537, '195.112.165.84', '195.112.165.87', 3278939476, 3278939479, 'BE', 'Belgium'),
(121538, '195.112.165.88', '195.112.165.91', 3278939480, 3278939483, 'IT', 'Italy'),
(121539, '195.112.165.92', '195.112.165.99', 3278939484, 3278939491, 'NL', 'Netherlands'),
(121540, '195.112.165.100', '195.112.165.103', 3278939492, 3278939495, 'DE', 'Germany'),
(121541, '195.112.165.104', '195.112.165.107', 3278939496, 3278939499, 'CH', 'Switzerland'),
(121542, '195.112.165.108', '195.112.165.111', 3278939500, 3278939503, 'ES', 'Spain'),
(121543, '195.112.165.112', '195.112.165.119', 3278939504, 3278939511, 'DE', 'Germany'),
(121544, '195.112.165.120', '195.112.165.123', 3278939512, 3278939515, 'LU', 'Luxembourg'),
(121545, '195.112.165.124', '195.112.165.131', 3278939516, 3278939523, 'NL', 'Netherlands'),
(121546, '195.112.165.132', '195.112.165.135', 3278939524, 3278939527, 'LU', 'Luxembourg'),
(121547, '195.112.165.136', '195.112.165.139', 3278939528, 3278939531, 'FR', 'France'),
(121548, '195.112.165.140', '195.112.165.143', 3278939532, 3278939535, 'DE', 'Germany'),
(121549, '195.112.165.144', '195.112.165.147', 3278939536, 3278939539, 'BE', 'Belgium'),
(121550, '195.112.165.148', '195.112.165.163', 3278939540, 3278939555, 'DE', 'Germany'),
(121551, '195.112.165.164', '195.112.165.167', 3278939556, 3278939559, 'IT', 'Italy'),
(121552, '195.112.165.168', '195.112.165.171', 3278939560, 3278939563, 'DE', 'Germany'),
(121553, '195.112.165.172', '195.112.165.175', 3278939564, 3278939567, 'FR', 'France'),
(121554, '195.112.165.176', '195.112.165.179', 3278939568, 3278939571, 'PT', 'Portugal'),
(121555, '195.112.165.180', '195.112.165.183', 3278939572, 3278939575, 'ES', 'Spain'),
(121556, '195.112.165.184', '195.112.165.187', 3278939576, 3278939579, 'DE', 'Germany'),
(121557, '195.112.165.188', '195.112.165.191', 3278939580, 3278939583, 'NL', 'Netherlands'),
(121558, '195.112.165.192', '195.112.165.195', 3278939584, 3278939587, 'IT', 'Italy'),
(121559, '195.112.165.196', '195.112.165.199', 3278939588, 3278939591, 'LU', 'Luxembourg'),
(121560, '195.112.165.200', '195.112.165.203', 3278939592, 3278939595, 'AO', 'Angola'),
(121561, '195.112.165.204', '195.112.165.207', 3278939596, 3278939599, 'NL', 'Netherlands'),
(121562, '195.112.165.208', '195.112.165.211', 3278939600, 3278939603, 'GB', 'United Kingdom'),
(121563, '195.112.165.212', '195.112.165.215', 3278939604, 3278939607, 'DE', 'Germany'),
(121564, '195.112.165.216', '195.112.165.219', 3278939608, 3278939611, 'DK', 'Denmark'),
(121565, '195.112.165.220', '195.112.165.223', 3278939612, 3278939615, 'FR', 'France'),
(121566, '195.112.165.224', '195.112.165.239', 3278939616, 3278939631, 'DE', 'Germany'),
(121567, '195.112.165.240', '195.112.165.243', 3278939632, 3278939635, 'GB', 'United Kingdom'),
(121568, '195.112.165.244', '195.112.165.247', 3278939636, 3278939639, 'DK', 'Denmark'),
(121569, '195.112.165.248', '195.112.165.251', 3278939640, 3278939643, 'DE', 'Germany'),
(121570, '195.112.165.252', '195.112.165.255', 3278939644, 3278939647, 'UA', 'Ukraine'),
(121571, '195.112.166.0', '195.112.166.3', 3278939648, 3278939651, 'FR', 'France'),
(121572, '195.112.166.4', '195.112.166.7', 3278939652, 3278939655, 'DE', 'Germany'),
(121573, '195.112.166.8', '195.112.166.11', 3278939656, 3278939659, 'FR', 'France'),
(121574, '195.112.166.12', '195.112.166.15', 3278939660, 3278939663, 'TR', 'Turkey'),
(121575, '195.112.166.16', '195.112.166.19', 3278939664, 3278939667, 'IT', 'Italy'),
(121576, '195.112.166.20', '195.112.166.23', 3278939668, 3278939671, 'GB', 'United Kingdom'),
(121577, '195.112.166.24', '195.112.166.31', 3278939672, 3278939679, 'FR', 'France'),
(121578, '195.112.166.32', '195.112.166.35', 3278939680, 3278939683, 'GR', 'Greece'),
(121579, '195.112.166.36', '195.112.166.39', 3278939684, 3278939687, 'FR', 'France'),
(121580, '195.112.166.40', '195.112.166.43', 3278939688, 3278939691, 'DE', 'Germany'),
(121581, '195.112.166.44', '195.112.166.47', 3278939692, 3278939695, 'FR', 'France'),
(121582, '195.112.166.48', '195.112.166.51', 3278939696, 3278939699, 'GR', 'Greece'),
(121583, '195.112.166.52', '195.112.166.55', 3278939700, 3278939703, 'TR', 'Turkey'),
(121584, '195.112.166.56', '195.112.166.59', 3278939704, 3278939707, 'KE', 'Kenya'),
(121585, '195.112.166.60', '195.112.166.63', 3278939708, 3278939711, 'TR', 'Turkey'),
(121586, '195.112.166.64', '195.112.166.67', 3278939712, 3278939715, 'CY', 'Cyprus'),
(121587, '195.112.166.68', '195.112.166.75', 3278939716, 3278939723, 'TR', 'Turkey'),
(121588, '195.112.166.76', '195.112.166.79', 3278939724, 3278939727, 'MC', 'Monaco'),
(121589, '195.112.166.80', '195.112.166.83', 3278939728, 3278939731, 'DE', 'Germany'),
(121590, '195.112.166.84', '195.112.166.87', 3278939732, 3278939735, 'AT', 'Austria'),
(121591, '195.112.166.88', '195.112.166.91', 3278939736, 3278939739, 'RU', 'Russian Federation'),
(121592, '195.112.166.92', '195.112.166.95', 3278939740, 3278939743, 'HU', 'Hungary'),
(121593, '195.112.166.96', '195.112.166.99', 3278939744, 3278939747, 'GB', 'United Kingdom'),
(121594, '195.112.166.100', '195.112.166.103', 3278939748, 3278939751, 'ES', 'Spain'),
(121595, '195.112.166.104', '195.112.166.107', 3278939752, 3278939755, 'GR', 'Greece'),
(121596, '195.112.166.108', '195.112.166.111', 3278939756, 3278939759, 'DE', 'Germany'),
(121597, '195.112.166.112', '195.112.166.115', 3278939760, 3278939763, 'FR', 'France'),
(121598, '195.112.166.116', '195.112.166.119', 3278939764, 3278939767, 'DE', 'Germany'),
(121599, '195.112.166.120', '195.112.166.123', 3278939768, 3278939771, 'ES', 'Spain'),
(121600, '195.112.166.124', '195.112.166.127', 3278939772, 3278939775, 'IT', 'Italy'),
(121601, '195.112.166.128', '195.112.166.131', 3278939776, 3278939779, 'DE', 'Germany'),
(121602, '195.112.166.132', '195.112.166.135', 3278939780, 3278939783, 'FR', 'France'),
(121603, '195.112.166.136', '195.112.166.139', 3278939784, 3278939787, 'BE', 'Belgium'),
(121604, '195.112.166.140', '195.112.166.143', 3278939788, 3278939791, 'DE', 'Germany'),
(121605, '195.112.166.144', '195.112.166.147', 3278939792, 3278939795, 'ES', 'Spain'),
(121606, '195.112.166.148', '195.112.166.151', 3278939796, 3278939799, 'DE', 'Germany'),
(121607, '195.112.166.152', '195.112.166.155', 3278939800, 3278939803, 'ES', 'Spain'),
(121608, '195.112.166.156', '195.112.166.159', 3278939804, 3278939807, 'GB', 'United Kingdom'),
(121609, '195.112.166.160', '195.112.166.167', 3278939808, 3278939815, 'DE', 'Germany'),
(121610, '195.112.166.168', '195.112.166.171', 3278939816, 3278939819, 'NL', 'Netherlands'),
(121611, '195.112.166.172', '195.112.166.175', 3278939820, 3278939823, 'DE', 'Germany'),
(121612, '195.112.166.176', '195.112.166.179', 3278939824, 3278939827, 'HU', 'Hungary'),
(121613, '195.112.166.180', '195.112.166.187', 3278939828, 3278939835, 'DE', 'Germany'),
(121614, '195.112.166.188', '195.112.166.191', 3278939836, 3278939839, 'FR', 'France'),
(121615, '195.112.166.192', '195.112.166.195', 3278939840, 3278939843, 'IT', 'Italy'),
(121616, '195.112.166.196', '195.112.166.199', 3278939844, 3278939847, 'BE', 'Belgium'),
(121617, '195.112.166.200', '195.112.166.203', 3278939848, 3278939851, 'CH', 'Switzerland'),
(121618, '195.112.166.204', '195.112.166.207', 3278939852, 3278939855, 'DE', 'Germany'),
(121619, '195.112.166.208', '195.112.166.211', 3278939856, 3278939859, 'FR', 'France'),
(121620, '195.112.166.212', '195.112.166.215', 3278939860, 3278939863, 'GB', 'United Kingdom'),
(121621, '195.112.166.216', '195.112.166.219', 3278939864, 3278939867, 'IT', 'Italy'),
(121622, '195.112.166.220', '195.112.166.223', 3278939868, 3278939871, 'CH', 'Switzerland'),
(121623, '195.112.166.224', '195.112.166.227', 3278939872, 3278939875, 'ES', 'Spain'),
(121624, '195.112.166.228', '195.112.166.231', 3278939876, 3278939879, 'IT', 'Italy'),
(121625, '195.112.166.232', '195.112.166.235', 3278939880, 3278939883, 'ES', 'Spain'),
(121626, '195.112.166.236', '195.112.166.239', 3278939884, 3278939887, 'DE', 'Germany'),
(121627, '195.112.166.240', '195.112.166.243', 3278939888, 3278939891, 'PL', 'Poland'),
(121628, '195.112.166.244', '195.112.166.251', 3278939892, 3278939899, 'ES', 'Spain'),
(121629, '195.112.166.252', '195.112.166.255', 3278939900, 3278939903, 'IT', 'Italy'),
(121630, '195.112.167.0', '195.112.167.3', 3278939904, 3278939907, 'HK', 'Hong Kong'),
(121631, '195.112.167.4', '195.112.167.7', 3278939908, 3278939911, 'MY', 'Malaysia'),
(121632, '195.112.167.8', '195.112.167.11', 3278939912, 3278939915, 'TH', 'Thailand'),
(121633, '195.112.167.12', '195.112.167.19', 3278939916, 3278939923, 'SG', 'Singapore'),
(121634, '195.112.167.20', '195.112.167.23', 3278939924, 3278939927, 'CN', 'China'),
(121635, '195.112.167.24', '195.112.167.27', 3278939928, 3278939931, 'SG', 'Singapore'),
(121636, '195.112.167.28', '195.112.167.31', 3278939932, 3278939935, 'IN', 'India'),
(121637, '195.112.167.32', '195.112.167.35', 3278939936, 3278939939, 'MY', 'Malaysia'),
(121638, '195.112.167.36', '195.112.167.39', 3278939940, 3278939943, 'SG', 'Singapore'),
(121639, '195.112.167.40', '195.112.167.43', 3278939944, 3278939947, 'TW', 'Taiwan'),
(121640, '195.112.167.44', '195.112.167.47', 3278939948, 3278939951, 'SG', 'Singapore'),
(121641, '195.112.167.48', '195.112.167.51', 3278939952, 3278939955, 'MY', 'Malaysia'),
(121642, '195.112.167.52', '195.112.167.55', 3278939956, 3278939959, 'SG', 'Singapore'),
(121643, '195.112.167.56', '195.112.167.59', 3278939960, 3278939963, 'CN', 'China'),
(121644, '195.112.167.60', '195.112.167.63', 3278939964, 3278939967, 'MY', 'Malaysia'),
(121645, '195.112.167.64', '195.112.167.67', 3278939968, 3278939971, 'TW', 'Taiwan'),
(121646, '195.112.167.68', '195.112.167.75', 3278939972, 3278939979, 'MY', 'Malaysia'),
(121647, '195.112.167.76', '195.112.167.79', 3278939980, 3278939983, 'TH', 'Thailand'),
(121648, '195.112.167.80', '195.112.167.83', 3278939984, 3278939987, 'DE', 'Germany'),
(121649, '195.112.167.84', '195.112.167.87', 3278939988, 3278939991, 'CN', 'China'),
(121650, '195.112.167.88', '195.112.167.91', 3278939992, 3278939995, 'SG', 'Singapore'),
(121651, '195.112.167.92', '195.112.167.95', 3278939996, 3278939999, 'MY', 'Malaysia'),
(121652, '195.112.167.96', '195.112.167.107', 3278940000, 3278940011, 'SG', 'Singapore'),
(121653, '195.112.167.108', '195.112.167.111', 3278940012, 3278940015, 'ID', 'Indonesia'),
(121654, '195.112.167.112', '195.112.167.155', 3278940016, 3278940059, 'SG', 'Singapore'),
(121655, '195.112.167.156', '195.112.167.163', 3278940060, 3278940067, 'CN', 'China'),
(121656, '195.112.167.164', '195.112.167.167', 3278940068, 3278940071, 'TW', 'Taiwan'),
(121657, '195.112.167.168', '195.112.167.179', 3278940072, 3278940083, 'SG', 'Singapore'),
(121658, '195.112.167.180', '195.112.167.187', 3278940084, 3278940091, 'MY', 'Malaysia'),
(121659, '195.112.167.188', '195.112.167.191', 3278940092, 3278940095, 'SG', 'Singapore'),
(121660, '195.112.167.192', '195.112.167.195', 3278940096, 3278940099, 'IN', 'India'),
(121661, '195.112.167.196', '195.112.167.199', 3278940100, 3278940103, 'SG', 'Singapore'),
(121662, '195.112.167.200', '195.112.167.203', 3278940104, 3278940107, 'MY', 'Malaysia'),
(121663, '195.112.167.204', '195.112.167.223', 3278940108, 3278940127, 'SG', 'Singapore'),
(121664, '195.112.167.224', '195.112.167.227', 3278940128, 3278940131, 'TW', 'Taiwan'),
(121665, '195.112.167.228', '195.112.167.231', 3278940132, 3278940135, 'BD', 'Bangladesh'),
(121666, '195.112.167.232', '195.112.167.235', 3278940136, 3278940139, 'SG', 'Singapore'),
(121667, '195.112.167.236', '195.112.167.239', 3278940140, 3278940143, 'IN', 'India'),
(121668, '195.112.167.240', '195.112.167.247', 3278940144, 3278940151, 'MY', 'Malaysia'),
(121669, '195.112.167.248', '195.112.167.251', 3278940152, 3278940155, 'IN', 'India'),
(121670, '195.112.167.252', '195.112.167.255', 3278940156, 3278940159, 'PH', 'Philippines'),
(121671, '195.112.168.0', '195.112.168.3', 3278940160, 3278940163, 'GR', 'Greece'),
(121672, '195.112.168.4', '195.112.168.7', 3278940164, 3278940167, 'CH', 'Switzerland'),
(121673, '195.112.168.8', '195.112.168.11', 3278940168, 3278940171, 'DK', 'Denmark'),
(121674, '195.112.168.12', '195.112.168.15', 3278940172, 3278940175, 'FR', 'France'),
(121675, '195.112.168.16', '195.112.168.19', 3278940176, 3278940179, 'GB', 'United Kingdom'),
(121676, '195.112.168.20', '195.112.168.23', 3278940180, 3278940183, 'CH', 'Switzerland'),
(121677, '195.112.168.24', '195.112.168.27', 3278940184, 3278940187, 'DE', 'Germany'),
(121678, '195.112.168.28', '195.112.168.35', 3278940188, 3278940195, 'GB', 'United Kingdom'),
(121679, '195.112.168.36', '195.112.168.51', 3278940196, 3278940211, 'DE', 'Germany'),
(121680, '195.112.168.52', '195.112.168.55', 3278940212, 3278940215, 'PT', 'Portugal'),
(121681, '195.112.168.56', '195.112.168.59', 3278940216, 3278940219, 'NL', 'Netherlands'),
(121682, '195.112.168.60', '195.112.168.63', 3278940220, 3278940223, 'GB', 'United Kingdom'),
(121683, '195.112.168.64', '195.112.168.67', 3278940224, 3278940227, 'CH', 'Switzerland'),
(121684, '195.112.168.68', '195.112.168.71', 3278940228, 3278940231, 'DE', 'Germany'),
(121685, '195.112.168.72', '195.112.168.75', 3278940232, 3278940235, 'CH', 'Switzerland'),
(121686, '195.112.168.76', '195.112.168.79', 3278940236, 3278940239, 'ES', 'Spain'),
(121687, '195.112.168.80', '195.112.168.83', 3278940240, 3278940243, 'CY', 'Cyprus'),
(121688, '195.112.168.84', '195.112.168.87', 3278940244, 3278940247, 'DE', 'Germany'),
(121689, '195.112.168.88', '195.112.168.91', 3278940248, 3278940251, 'FR', 'France'),
(121690, '195.112.168.92', '195.112.168.95', 3278940252, 3278940255, 'IT', 'Italy'),
(121691, '195.112.168.96', '195.112.168.99', 3278940256, 3278940259, 'BE', 'Belgium'),
(121692, '195.112.168.100', '195.112.168.103', 3278940260, 3278940263, 'DE', 'Germany'),
(121693, '195.112.168.104', '195.112.168.107', 3278940264, 3278940267, 'ES', 'Spain'),
(121694, '195.112.168.108', '195.112.168.115', 3278940268, 3278940275, 'DE', 'Germany'),
(121695, '195.112.168.116', '195.112.168.119', 3278940276, 3278940279, 'GB', 'United Kingdom'),
(121696, '195.112.168.120', '195.112.168.123', 3278940280, 3278940283, 'CH', 'Switzerland'),
(121697, '195.112.168.124', '195.112.168.131', 3278940284, 3278940291, 'NL', 'Netherlands'),
(121698, '195.112.168.132', '195.112.168.135', 3278940292, 3278940295, 'DE', 'Germany'),
(121699, '195.112.168.136', '195.112.168.139', 3278940296, 3278940299, 'IT', 'Italy'),
(121700, '195.112.168.140', '195.112.168.143', 3278940300, 3278940303, 'FR', 'France'),
(121701, '195.112.168.144', '195.112.168.147', 3278940304, 3278940307, 'DE', 'Germany'),
(121702, '195.112.168.148', '195.112.168.151', 3278940308, 3278940311, 'CH', 'Switzerland'),
(121703, '195.112.168.152', '195.112.168.155', 3278940312, 3278940315, 'IT', 'Italy'),
(121704, '195.112.168.156', '195.112.168.159', 3278940316, 3278940319, 'DE', 'Germany'),
(121705, '195.112.168.160', '195.112.168.163', 3278940320, 3278940323, 'NL', 'Netherlands'),
(121706, '195.112.168.164', '195.112.168.167', 3278940324, 3278940327, 'ES', 'Spain'),
(121707, '195.112.168.168', '195.112.168.175', 3278940328, 3278940335, 'DE', 'Germany'),
(121708, '195.112.168.176', '195.112.168.179', 3278940336, 3278940339, 'NL', 'Netherlands'),
(121709, '195.112.168.180', '195.112.168.187', 3278940340, 3278940347, 'DE', 'Germany'),
(121710, '195.112.168.188', '195.112.168.195', 3278940348, 3278940355, 'GB', 'United Kingdom'),
(121711, '195.112.168.196', '195.112.168.199', 3278940356, 3278940359, 'NL', 'Netherlands'),
(121712, '195.112.168.200', '195.112.168.203', 3278940360, 3278940363, 'GR', 'Greece'),
(121713, '195.112.168.204', '195.112.168.207', 3278940364, 3278940367, 'IT', 'Italy'),
(121714, '195.112.168.208', '195.112.168.211', 3278940368, 3278940371, 'FR', 'France'),
(121715, '195.112.168.212', '195.112.168.215', 3278940372, 3278940375, 'GB', 'United Kingdom'),
(121716, '195.112.168.216', '195.112.168.219', 3278940376, 3278940379, 'PT', 'Portugal'),
(121717, '195.112.168.220', '195.112.168.223', 3278940380, 3278940383, 'FR', 'France'),
(121718, '195.112.168.224', '195.112.168.227', 3278940384, 3278940387, 'NL', 'Netherlands'),
(121719, '195.112.168.228', '195.112.168.231', 3278940388, 3278940391, 'IE', 'Ireland'),
(121720, '195.112.168.232', '195.112.168.235', 3278940392, 3278940395, 'FR', 'France'),
(121721, '195.112.168.236', '195.112.168.239', 3278940396, 3278940399, 'NL', 'Netherlands'),
(121722, '195.112.168.240', '195.112.168.243', 3278940400, 3278940403, 'DE', 'Germany'),
(121723, '195.112.168.244', '195.112.168.247', 3278940404, 3278940407, 'FR', 'France'),
(121724, '195.112.168.248', '195.112.168.251', 3278940408, 3278940411, 'IT', 'Italy'),
(121725, '195.112.168.252', '195.112.168.252', 3278940412, 3278940412, 'CH', 'Switzerland'),
(121726, '195.112.168.253', '195.112.168.255', 3278940413, 3278940415, 'DE', 'Germany'),
(121727, '195.112.169.0', '195.112.169.3', 3278940416, 3278940419, 'BE', 'Belgium'),
(121728, '195.112.169.4', '195.112.169.7', 3278940420, 3278940423, 'DE', 'Germany'),
(121729, '195.112.169.8', '195.112.169.11', 3278940424, 3278940427, 'CH', 'Switzerland'),
(121730, '195.112.169.12', '195.112.169.15', 3278940428, 3278940431, 'DE', 'Germany'),
(121731, '195.112.169.16', '195.112.169.27', 3278940432, 3278940443, 'CH', 'Switzerland'),
(121732, '195.112.169.28', '195.112.169.31', 3278940444, 3278940447, 'DE', 'Germany'),
(121733, '195.112.169.32', '195.112.169.35', 3278940448, 3278940451, 'GB', 'United Kingdom'),
(121734, '195.112.169.36', '195.112.169.39', 3278940452, 3278940455, 'DE', 'Germany'),
(121735, '195.112.169.40', '195.112.169.43', 3278940456, 3278940459, 'GB', 'United Kingdom'),
(121736, '195.112.169.44', '195.112.169.47', 3278940460, 3278940463, 'DE', 'Germany'),
(121737, '195.112.169.48', '195.112.169.51', 3278940464, 3278940467, 'FR', 'France'),
(121738, '195.112.169.52', '195.112.169.55', 3278940468, 3278940471, 'DE', 'Germany'),
(121739, '195.112.169.56', '195.112.169.59', 3278940472, 3278940475, 'ES', 'Spain'),
(121740, '195.112.169.60', '195.112.169.63', 3278940476, 3278940479, 'FR', 'France'),
(121741, '195.112.169.64', '195.112.169.67', 3278940480, 3278940483, 'CH', 'Switzerland'),
(121742, '195.112.169.68', '195.112.169.71', 3278940484, 3278940487, 'FR', 'France'),
(121743, '195.112.169.72', '195.112.169.75', 3278940488, 3278940491, 'ES', 'Spain'),
(121744, '195.112.169.76', '195.112.169.79', 3278940492, 3278940495, 'IT', 'Italy'),
(121745, '195.112.169.80', '195.112.169.83', 3278940496, 3278940499, 'NL', 'Netherlands'),
(121746, '195.112.169.84', '195.112.169.87', 3278940500, 3278940503, 'FR', 'France'),
(121747, '195.112.169.88', '195.112.169.91', 3278940504, 3278940507, 'DK', 'Denmark'),
(121748, '195.112.169.92', '195.112.169.95', 3278940508, 3278940511, 'FR', 'France'),
(121749, '195.112.169.96', '195.112.169.99', 3278940512, 3278940515, 'DE', 'Germany'),
(121750, '195.112.169.100', '195.112.169.107', 3278940516, 3278940523, 'CH', 'Switzerland'),
(121751, '195.112.169.108', '195.112.169.115', 3278940524, 3278940531, 'ES', 'Spain'),
(121752, '195.112.169.116', '195.112.169.119', 3278940532, 3278940535, 'DE', 'Germany'),
(121753, '195.112.169.120', '195.112.169.123', 3278940536, 3278940539, 'CH', 'Switzerland'),
(121754, '195.112.169.124', '195.112.169.127', 3278940540, 3278940543, 'ES', 'Spain'),
(121755, '195.112.169.128', '195.112.169.135', 3278940544, 3278940551, 'DE', 'Germany'),
(121756, '195.112.169.136', '195.112.169.139', 3278940552, 3278940555, 'GB', 'United Kingdom'),
(121757, '195.112.169.140', '195.112.169.143', 3278940556, 3278940559, 'DE', 'Germany'),
(121758, '195.112.169.144', '195.112.169.147', 3278940560, 3278940563, 'AT', 'Austria'),
(121759, '195.112.169.148', '195.112.169.155', 3278940564, 3278940571, 'FR', 'France'),
(121760, '195.112.169.156', '195.112.169.163', 3278940572, 3278940579, 'CH', 'Switzerland'),
(121761, '195.112.169.164', '195.112.169.171', 3278940580, 3278940587, 'DE', 'Germany'),
(121762, '195.112.169.172', '195.112.169.175', 3278940588, 3278940591, 'IT', 'Italy'),
(121763, '195.112.169.176', '195.112.169.179', 3278940592, 3278940595, 'FR', 'France'),
(121764, '195.112.169.180', '195.112.169.183', 3278940596, 3278940599, 'BE', 'Belgium'),
(121765, '195.112.169.184', '195.112.169.187', 3278940600, 3278940603, 'DE', 'Germany'),
(121766, '195.112.169.188', '195.112.169.191', 3278940604, 3278940607, 'FR', 'France'),
(121767, '195.112.169.192', '195.112.169.195', 3278940608, 3278940611, 'ES', 'Spain'),
(121768, '195.112.169.196', '195.112.169.199', 3278940612, 3278940615, 'PT', 'Portugal'),
(121769, '195.112.169.200', '195.112.169.203', 3278940616, 3278940619, 'IT', 'Italy'),
(121770, '195.112.169.204', '195.112.169.207', 3278940620, 3278940623, 'DE', 'Germany'),
(121771, '195.112.169.208', '195.112.169.215', 3278940624, 3278940631, 'IT', 'Italy'),
(121772, '195.112.169.216', '195.112.169.219', 3278940632, 3278940635, 'GB', 'United Kingdom'),
(121773, '195.112.169.220', '195.112.169.223', 3278940636, 3278940639, 'BE', 'Belgium'),
(121774, '195.112.169.224', '195.112.169.227', 3278940640, 3278940643, 'CH', 'Switzerland'),
(121775, '195.112.169.228', '195.112.169.231', 3278940644, 3278940647, 'IT', 'Italy'),
(121776, '195.112.169.232', '195.112.169.235', 3278940648, 3278940651, 'DE', 'Germany'),
(121777, '195.112.169.236', '195.112.169.239', 3278940652, 3278940655, 'FR', 'France'),
(121778, '195.112.169.240', '195.112.169.247', 3278940656, 3278940663, 'IT', 'Italy'),
(121779, '195.112.169.248', '195.112.169.255', 3278940664, 3278940671, 'FR', 'France'),
(121780, '195.112.170.0', '195.112.170.7', 3278940672, 3278940679, 'DE', 'Germany'),
(121781, '195.112.170.8', '195.112.170.11', 3278940680, 3278940683, 'CH', 'Switzerland'),
(121782, '195.112.170.12', '195.112.170.19', 3278940684, 3278940691, 'NL', 'Netherlands'),
(121783, '195.112.170.20', '195.112.170.23', 3278940692, 3278940695, 'SE', 'Sweden'),
(121784, '195.112.170.24', '195.112.170.35', 3278940696, 3278940707, 'DE', 'Germany'),
(121785, '195.112.170.36', '195.112.170.39', 3278940708, 3278940711, 'ES', 'Spain'),
(121786, '195.112.170.40', '195.112.170.43', 3278940712, 3278940715, 'BE', 'Belgium'),
(121787, '195.112.170.44', '195.112.170.51', 3278940716, 3278940723, 'ES', 'Spain'),
(121788, '195.112.170.52', '195.112.170.55', 3278940724, 3278940727, 'FR', 'France'),
(121789, '195.112.170.56', '195.112.170.59', 3278940728, 3278940731, 'DE', 'Germany'),
(121790, '195.112.170.60', '195.112.170.67', 3278940732, 3278940739, 'FR', 'France'),
(121791, '195.112.170.68', '195.112.170.71', 3278940740, 3278940743, 'GB', 'United Kingdom'),
(121792, '195.112.170.72', '195.112.170.75', 3278940744, 3278940747, 'ES', 'Spain'),
(121793, '195.112.170.76', '195.112.170.79', 3278940748, 3278940751, 'DE', 'Germany'),
(121794, '195.112.170.80', '195.112.170.87', 3278940752, 3278940759, 'FR', 'France'),
(121795, '195.112.170.88', '195.112.170.91', 3278940760, 3278940763, 'NL', 'Netherlands'),
(121796, '195.112.170.92', '195.112.170.95', 3278940764, 3278940767, 'DE', 'Germany'),
(121797, '195.112.170.96', '195.112.170.99', 3278940768, 3278940771, 'GB', 'United Kingdom'),
(121798, '195.112.170.100', '195.112.170.111', 3278940772, 3278940783, 'DE', 'Germany'),
(121799, '195.112.170.112', '195.112.170.115', 3278940784, 3278940787, 'CH', 'Switzerland'),
(121800, '195.112.170.116', '195.112.170.119', 3278940788, 3278940791, 'GB', 'United Kingdom'),
(121801, '195.112.170.120', '195.112.170.123', 3278940792, 3278940795, 'NL', 'Netherlands'),
(121802, '195.112.170.124', '195.112.170.131', 3278940796, 3278940803, 'DE', 'Germany'),
(121803, '195.112.170.132', '195.112.170.135', 3278940804, 3278940807, 'DK', 'Denmark'),
(121804, '195.112.170.136', '195.112.170.143', 3278940808, 3278940815, 'DE', 'Germany'),
(121805, '195.112.170.144', '195.112.170.147', 3278940816, 3278940819, 'IT', 'Italy'),
(121806, '195.112.170.148', '195.112.170.151', 3278940820, 3278940823, 'DE', 'Germany'),
(121807, '195.112.170.152', '195.112.170.155', 3278940824, 3278940827, 'IT', 'Italy'),
(121808, '195.112.170.156', '195.112.170.159', 3278940828, 3278940831, 'DE', 'Germany'),
(121809, '195.112.170.160', '195.112.170.163', 3278940832, 3278940835, 'CH', 'Switzerland'),
(121810, '195.112.170.164', '195.112.170.167', 3278940836, 3278940839, 'IT', 'Italy'),
(121811, '195.112.170.168', '195.112.170.175', 3278940840, 3278940847, 'DE', 'Germany'),
(121812, '195.112.170.176', '195.112.170.179', 3278940848, 3278940851, 'CH', 'Switzerland'),
(121813, '195.112.170.180', '195.112.170.183', 3278940852, 3278940855, 'DE', 'Germany'),
(121814, '195.112.170.184', '195.112.170.187', 3278940856, 3278940859, 'PT', 'Portugal'),
(121815, '195.112.170.188', '195.112.170.191', 3278940860, 3278940863, 'NL', 'Netherlands'),
(121816, '195.112.170.192', '195.112.170.195', 3278940864, 3278940867, 'CH', 'Switzerland'),
(121817, '195.112.170.196', '195.112.170.199', 3278940868, 3278940871, 'GB', 'United Kingdom'),
(121818, '195.112.170.200', '195.112.170.203', 3278940872, 3278940875, 'DE', 'Germany'),
(121819, '195.112.170.204', '195.112.170.207', 3278940876, 3278940879, 'IT', 'Italy'),
(121820, '195.112.170.208', '195.112.170.211', 3278940880, 3278940883, 'CH', 'Switzerland'),
(121821, '195.112.170.212', '195.112.170.215', 3278940884, 3278940887, 'ES', 'Spain'),
(121822, '195.112.170.216', '195.112.170.219', 3278940888, 3278940891, 'BE', 'Belgium'),
(121823, '195.112.170.220', '195.112.170.223', 3278940892, 3278940895, 'DE', 'Germany'),
(121824, '195.112.170.224', '195.112.170.227', 3278940896, 3278940899, 'IT', 'Italy'),
(121825, '195.112.170.228', '195.112.170.231', 3278940900, 3278940903, 'FR', 'France'),
(121826, '195.112.170.232', '195.112.170.239', 3278940904, 3278940911, 'ES', 'Spain'),
(121827, '195.112.170.240', '195.112.170.243', 3278940912, 3278940915, 'IT', 'Italy'),
(121828, '195.112.170.244', '195.112.170.247', 3278940916, 3278940919, 'DE', 'Germany'),
(121829, '195.112.170.248', '195.112.170.251', 3278940920, 3278940923, 'PT', 'Portugal'),
(121830, '195.112.170.252', '195.112.171.3', 3278940924, 3278940931, 'DE', 'Germany'),
(121831, '195.112.171.4', '195.112.171.7', 3278940932, 3278940935, 'NL', 'Netherlands'),
(121832, '195.112.171.8', '195.112.171.11', 3278940936, 3278940939, 'ES', 'Spain'),
(121833, '195.112.171.12', '195.112.171.15', 3278940940, 3278940943, 'FR', 'France'),
(121834, '195.112.171.16', '195.112.171.19', 3278940944, 3278940947, 'NL', 'Netherlands'),
(121835, '195.112.171.20', '195.112.171.23', 3278940948, 3278940951, 'FR', 'France'),
(121836, '195.112.171.24', '195.112.171.27', 3278940952, 3278940955, 'IT', 'Italy'),
(121837, '195.112.171.28', '195.112.171.31', 3278940956, 3278940959, 'DK', 'Denmark'),
(121838, '195.112.171.32', '195.112.171.35', 3278940960, 3278940963, 'FR', 'France'),
(121839, '195.112.171.36', '195.112.171.39', 3278940964, 3278940967, 'IT', 'Italy'),
(121840, '195.112.171.40', '195.112.171.43', 3278940968, 3278940971, 'FR', 'France'),
(121841, '195.112.171.44', '195.112.171.55', 3278940972, 3278940983, 'DE', 'Germany'),
(121842, '195.112.171.56', '195.112.171.59', 3278940984, 3278940987, 'IT', 'Italy'),
(121843, '195.112.171.60', '195.112.171.63', 3278940988, 3278940991, 'NL', 'Netherlands'),
(121844, '195.112.171.64', '195.112.171.67', 3278940992, 3278940995, 'PT', 'Portugal'),
(121845, '195.112.171.68', '195.112.171.71', 3278940996, 3278940999, 'DE', 'Germany'),
(121846, '195.112.171.72', '195.112.171.75', 3278941000, 3278941003, 'NL', 'Netherlands'),
(121847, '195.112.171.76', '195.112.171.79', 3278941004, 3278941007, 'CH', 'Switzerland'),
(121848, '195.112.171.80', '195.112.171.83', 3278941008, 3278941011, 'ES', 'Spain'),
(121849, '195.112.171.84', '195.112.171.87', 3278941012, 3278941015, 'GB', 'United Kingdom'),
(121850, '195.112.171.88', '195.112.171.95', 3278941016, 3278941023, 'DE', 'Germany'),
(121851, '195.112.171.96', '195.112.171.99', 3278941024, 3278941027, 'IT', 'Italy'),
(121852, '195.112.171.100', '195.112.171.103', 3278941028, 3278941031, 'FR', 'France'),
(121853, '195.112.171.104', '195.112.171.107', 3278941032, 3278941035, 'DE', 'Germany'),
(121854, '195.112.171.108', '195.112.171.111', 3278941036, 3278941039, 'IT', 'Italy'),
(121855, '195.112.171.112', '195.112.171.115', 3278941040, 3278941043, 'DE', 'Germany'),
(121856, '195.112.171.116', '195.112.171.119', 3278941044, 3278941047, 'FR', 'France'),
(121857, '195.112.171.120', '195.112.171.123', 3278941048, 3278941051, 'ES', 'Spain'),
(121858, '195.112.171.124', '195.112.171.131', 3278941052, 3278941059, 'DE', 'Germany'),
(121859, '195.112.171.132', '195.112.171.135', 3278941060, 3278941063, 'GB', 'United Kingdom'),
(121860, '195.112.171.136', '195.112.171.139', 3278941064, 3278941067, 'IT', 'Italy'),
(121861, '195.112.171.140', '195.112.171.143', 3278941068, 3278941071, 'ES', 'Spain'),
(121862, '195.112.171.144', '195.112.171.147', 3278941072, 3278941075, 'IT', 'Italy'),
(121863, '195.112.171.148', '195.112.171.155', 3278941076, 3278941083, 'DE', 'Germany'),
(121864, '195.112.171.156', '195.112.171.159', 3278941084, 3278941087, 'GB', 'United Kingdom'),
(121865, '195.112.171.160', '195.112.171.163', 3278941088, 3278941091, 'BE', 'Belgium'),
(121866, '195.112.171.164', '195.112.171.167', 3278941092, 3278941095, 'DK', 'Denmark'),
(121867, '195.112.171.168', '195.112.171.171', 3278941096, 3278941099, 'FR', 'France'),
(121868, '195.112.171.172', '195.112.171.179', 3278941100, 3278941107, 'DE', 'Germany'),
(121869, '195.112.171.180', '195.112.171.183', 3278941108, 3278941111, 'DK', 'Denmark'),
(121870, '195.112.171.184', '195.112.171.191', 3278941112, 3278941119, 'FR', 'France'),
(121871, '195.112.171.192', '195.112.171.199', 3278941120, 3278941127, 'DE', 'Germany'),
(121872, '195.112.171.200', '195.112.171.203', 3278941128, 3278941131, 'BE', 'Belgium'),
(121873, '195.112.171.204', '195.112.171.207', 3278941132, 3278941135, 'NL', 'Netherlands'),
(121874, '195.112.171.208', '195.112.171.211', 3278941136, 3278941139, 'GB', 'United Kingdom'),
(121875, '195.112.171.212', '195.112.171.215', 3278941140, 3278941143, 'DE', 'Germany'),
(121876, '195.112.171.216', '195.112.171.223', 3278941144, 3278941151, 'IT', 'Italy'),
(121877, '195.112.171.224', '195.112.171.227', 3278941152, 3278941155, 'DE', 'Germany'),
(121878, '195.112.171.228', '195.112.171.231', 3278941156, 3278941159, 'SE', 'Sweden'),
(121879, '195.112.171.232', '195.112.171.239', 3278941160, 3278941167, 'DE', 'Germany'),
(121880, '195.112.171.240', '195.112.171.243', 3278941168, 3278941171, 'GB', 'United Kingdom'),
(121881, '195.112.171.244', '195.112.171.247', 3278941172, 3278941175, 'AT', 'Austria'),
(121882, '195.112.171.248', '195.112.171.251', 3278941176, 3278941179, 'IT', 'Italy'),
(121883, '195.112.171.252', '195.112.171.255', 3278941180, 3278941183, 'FR', 'France'),
(121884, '195.112.172.0', '195.112.172.7', 3278941184, 3278941191, 'US', 'United States'),
(121885, '195.112.172.8', '195.112.172.11', 3278941192, 3278941195, 'BR', 'Brazil'),
(121886, '195.112.172.12', '195.112.172.31', 3278941196, 3278941215, 'US', 'United States'),
(121887, '195.112.172.32', '195.112.172.35', 3278941216, 3278941219, 'BR', 'Brazil'),
(121888, '195.112.172.36', '195.112.172.59', 3278941220, 3278941243, 'US', 'United States'),
(121889, '195.112.172.60', '195.112.172.63', 3278941244, 3278941247, 'CO', 'Colombia'),
(121890, '195.112.172.64', '195.112.172.71', 3278941248, 3278941255, 'US', 'United States'),
(121891, '195.112.172.72', '195.112.172.75', 3278941256, 3278941259, 'MX', 'Mexico'),
(121892, '195.112.172.76', '195.112.172.95', 3278941260, 3278941279, 'US', 'United States'),
(121893, '195.112.172.96', '195.112.172.99', 3278941280, 3278941283, 'BR', 'Brazil'),
(121894, '195.112.172.100', '195.112.172.103', 3278941284, 3278941287, 'AR', 'Argentina'),
(121895, '195.112.172.104', '195.112.172.119', 3278941288, 3278941303, 'US', 'United States'),
(121896, '195.112.172.120', '195.112.172.123', 3278941304, 3278941307, 'CO', 'Colombia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(121897, '195.112.172.124', '195.112.172.135', 3278941308, 3278941319, 'US', 'United States'),
(121898, '195.112.172.136', '195.112.172.139', 3278941320, 3278941323, 'CA', 'Canada'),
(121899, '195.112.172.140', '195.112.172.147', 3278941324, 3278941331, 'US', 'United States'),
(121900, '195.112.172.148', '195.112.172.151', 3278941332, 3278941335, 'BR', 'Brazil'),
(121901, '195.112.172.152', '195.112.172.159', 3278941336, 3278941343, 'US', 'United States'),
(121902, '195.112.172.160', '195.112.172.163', 3278941344, 3278941347, 'AR', 'Argentina'),
(121903, '195.112.172.164', '195.112.172.187', 3278941348, 3278941371, 'US', 'United States'),
(121904, '195.112.172.188', '195.112.172.191', 3278941372, 3278941375, 'CA', 'Canada'),
(121905, '195.112.172.192', '195.112.172.215', 3278941376, 3278941399, 'US', 'United States'),
(121906, '195.112.172.216', '195.112.172.219', 3278941400, 3278941403, 'VE', 'Venezuela'),
(121907, '195.112.172.220', '195.112.172.223', 3278941404, 3278941407, 'BR', 'Brazil'),
(121908, '195.112.172.224', '195.112.172.235', 3278941408, 3278941419, 'US', 'United States'),
(121909, '195.112.172.236', '195.112.172.239', 3278941420, 3278941423, 'DE', 'Germany'),
(121910, '195.112.172.240', '195.112.172.243', 3278941424, 3278941427, 'CL', 'Chile'),
(121911, '195.112.172.244', '195.112.172.247', 3278941428, 3278941431, 'PE', 'Peru'),
(121912, '195.112.172.248', '195.112.172.255', 3278941432, 3278941439, 'US', 'United States'),
(121913, '195.112.173.0', '195.112.173.3', 3278941440, 3278941443, 'AR', 'Argentina'),
(121914, '195.112.173.4', '195.112.173.15', 3278941444, 3278941455, 'US', 'United States'),
(121915, '195.112.173.16', '195.112.173.19', 3278941456, 3278941459, 'JM', 'Jamaica'),
(121916, '195.112.173.20', '195.112.173.35', 3278941460, 3278941475, 'US', 'United States'),
(121917, '195.112.173.36', '195.112.173.39', 3278941476, 3278941479, 'BR', 'Brazil'),
(121918, '195.112.173.40', '195.112.173.51', 3278941480, 3278941491, 'US', 'United States'),
(121919, '195.112.173.52', '195.112.173.55', 3278941492, 3278941495, 'MX', 'Mexico'),
(121920, '195.112.173.56', '195.112.173.59', 3278941496, 3278941499, 'US', 'United States'),
(121921, '195.112.173.60', '195.112.173.63', 3278941500, 3278941503, 'CA', 'Canada'),
(121922, '195.112.173.64', '195.112.173.147', 3278941504, 3278941587, 'US', 'United States'),
(121923, '195.112.173.148', '195.112.173.151', 3278941588, 3278941591, 'DE', 'Germany'),
(121924, '195.112.173.152', '195.112.173.155', 3278941592, 3278941595, 'US', 'United States'),
(121925, '195.112.173.156', '195.112.173.159', 3278941596, 3278941599, 'PE', 'Peru'),
(121926, '195.112.173.160', '195.112.173.175', 3278941600, 3278941615, 'US', 'United States'),
(121927, '195.112.173.176', '195.112.173.179', 3278941616, 3278941619, 'CA', 'Canada'),
(121928, '195.112.173.180', '195.112.173.199', 3278941620, 3278941639, 'US', 'United States'),
(121929, '195.112.173.200', '195.112.173.203', 3278941640, 3278941643, 'BR', 'Brazil'),
(121930, '195.112.173.204', '195.112.173.211', 3278941644, 3278941651, 'US', 'United States'),
(121931, '195.112.173.212', '195.112.173.215', 3278941652, 3278941655, 'VE', 'Venezuela'),
(121932, '195.112.173.216', '195.112.173.219', 3278941656, 3278941659, 'US', 'United States'),
(121933, '195.112.173.220', '195.112.173.223', 3278941660, 3278941663, 'BR', 'Brazil'),
(121934, '195.112.173.224', '195.112.173.227', 3278941664, 3278941667, 'CA', 'Canada'),
(121935, '195.112.173.228', '195.112.173.231', 3278941668, 3278941671, 'US', 'United States'),
(121936, '195.112.173.232', '195.112.173.235', 3278941672, 3278941675, 'VE', 'Venezuela'),
(121937, '195.112.173.236', '195.112.173.251', 3278941676, 3278941691, 'US', 'United States'),
(121938, '195.112.173.252', '195.112.173.255', 3278941692, 3278941695, 'MX', 'Mexico'),
(121939, '195.112.174.0', '195.112.174.39', 3278941696, 3278941735, 'US', 'United States'),
(121940, '195.112.174.40', '195.112.174.43', 3278941736, 3278941739, 'CA', 'Canada'),
(121941, '195.112.174.44', '195.112.174.47', 3278941740, 3278941743, 'US', 'United States'),
(121942, '195.112.174.48', '195.112.174.51', 3278941744, 3278941747, 'CA', 'Canada'),
(121943, '195.112.174.52', '195.112.174.123', 3278941748, 3278941819, 'US', 'United States'),
(121944, '195.112.174.124', '195.112.174.127', 3278941820, 3278941823, 'CL', 'Chile'),
(121945, '195.112.174.128', '195.112.174.151', 3278941824, 3278941847, 'US', 'United States'),
(121946, '195.112.174.152', '195.112.174.159', 3278941848, 3278941855, 'AR', 'Argentina'),
(121947, '195.112.174.160', '195.112.174.195', 3278941856, 3278941891, 'US', 'United States'),
(121948, '195.112.174.196', '195.112.174.199', 3278941892, 3278941895, 'CA', 'Canada'),
(121949, '195.112.174.200', '195.112.174.215', 3278941896, 3278941911, 'US', 'United States'),
(121950, '195.112.174.216', '195.112.174.219', 3278941912, 3278941915, 'MX', 'Mexico'),
(121951, '195.112.174.220', '195.112.174.247', 3278941916, 3278941943, 'US', 'United States'),
(121952, '195.112.174.248', '195.112.174.251', 3278941944, 3278941947, 'CO', 'Colombia'),
(121953, '195.112.174.252', '195.112.174.255', 3278941948, 3278941951, 'US', 'United States'),
(121954, '195.112.175.0', '195.112.175.3', 3278941952, 3278941955, 'GB', 'United Kingdom'),
(121955, '195.112.175.4', '195.112.175.7', 3278941956, 3278941959, 'FR', 'France'),
(121956, '195.112.175.8', '195.112.175.11', 3278941960, 3278941963, 'DE', 'Germany'),
(121957, '195.112.175.12', '195.112.175.19', 3278941964, 3278941971, 'GB', 'United Kingdom'),
(121958, '195.112.175.20', '195.112.175.27', 3278941972, 3278941979, 'DE', 'Germany'),
(121959, '195.112.175.28', '195.112.175.35', 3278941980, 3278941987, 'ES', 'Spain'),
(121960, '195.112.175.36', '195.112.175.43', 3278941988, 3278941995, 'FR', 'France'),
(121961, '195.112.175.44', '195.112.175.47', 3278941996, 3278941999, 'ES', 'Spain'),
(121962, '195.112.175.48', '195.112.175.51', 3278942000, 3278942003, 'DE', 'Germany'),
(121963, '195.112.175.52', '195.112.175.59', 3278942004, 3278942011, 'IT', 'Italy'),
(121964, '195.112.175.60', '195.112.175.63', 3278942012, 3278942015, 'DE', 'Germany'),
(121965, '195.112.175.64', '195.112.175.67', 3278942016, 3278942019, 'FR', 'France'),
(121966, '195.112.175.68', '195.112.175.71', 3278942020, 3278942023, 'DE', 'Germany'),
(121967, '195.112.175.72', '195.112.175.75', 3278942024, 3278942027, 'FR', 'France'),
(121968, '195.112.175.76', '195.112.175.79', 3278942028, 3278942031, 'CH', 'Switzerland'),
(121969, '195.112.175.80', '195.112.175.83', 3278942032, 3278942035, 'GR', 'Greece'),
(121970, '195.112.175.84', '195.112.175.87', 3278942036, 3278942039, 'CH', 'Switzerland'),
(121971, '195.112.175.88', '195.112.175.91', 3278942040, 3278942043, 'ES', 'Spain'),
(121972, '195.112.175.92', '195.112.175.95', 3278942044, 3278942047, 'FR', 'France'),
(121973, '195.112.175.96', '195.112.175.99', 3278942048, 3278942051, 'DE', 'Germany'),
(121974, '195.112.175.100', '195.112.175.103', 3278942052, 3278942055, 'CH', 'Switzerland'),
(121975, '195.112.175.104', '195.112.175.107', 3278942056, 3278942059, 'ES', 'Spain'),
(121976, '195.112.175.108', '195.112.175.111', 3278942060, 3278942063, 'DE', 'Germany'),
(121977, '195.112.175.112', '195.112.175.119', 3278942064, 3278942071, 'ES', 'Spain'),
(121978, '195.112.175.120', '195.112.175.123', 3278942072, 3278942075, 'FR', 'France'),
(121979, '195.112.175.124', '195.112.175.127', 3278942076, 3278942079, 'DE', 'Germany'),
(121980, '195.112.175.128', '195.112.175.131', 3278942080, 3278942083, 'ES', 'Spain'),
(121981, '195.112.175.132', '195.112.175.135', 3278942084, 3278942087, 'BE', 'Belgium'),
(121982, '195.112.175.136', '195.112.175.139', 3278942088, 3278942091, 'ES', 'Spain'),
(121983, '195.112.175.140', '195.112.175.143', 3278942092, 3278942095, 'BE', 'Belgium'),
(121984, '195.112.175.144', '195.112.175.147', 3278942096, 3278942099, 'PL', 'Poland'),
(121985, '195.112.175.148', '195.112.175.151', 3278942100, 3278942103, 'GB', 'United Kingdom'),
(121986, '195.112.175.152', '195.112.175.155', 3278942104, 3278942107, 'CH', 'Switzerland'),
(121987, '195.112.175.156', '195.112.175.159', 3278942108, 3278942111, 'DE', 'Germany'),
(121988, '195.112.175.160', '195.112.175.163', 3278942112, 3278942115, 'FR', 'France'),
(121989, '195.112.175.164', '195.112.175.167', 3278942116, 3278942119, 'DE', 'Germany'),
(121990, '195.112.175.168', '195.112.175.171', 3278942120, 3278942123, 'GB', 'United Kingdom'),
(121991, '195.112.175.172', '195.112.175.175', 3278942124, 3278942127, 'AT', 'Austria'),
(121992, '195.112.175.176', '195.112.175.179', 3278942128, 3278942131, 'DE', 'Germany'),
(121993, '195.112.175.180', '195.112.175.183', 3278942132, 3278942135, 'GB', 'United Kingdom'),
(121994, '195.112.175.184', '195.112.175.187', 3278942136, 3278942139, 'UA', 'Ukraine'),
(121995, '195.112.175.188', '195.112.175.191', 3278942140, 3278942143, 'NL', 'Netherlands'),
(121996, '195.112.175.192', '195.112.175.195', 3278942144, 3278942147, 'GB', 'United Kingdom'),
(121997, '195.112.175.196', '195.112.175.203', 3278942148, 3278942155, 'DE', 'Germany'),
(121998, '195.112.175.204', '195.112.175.207', 3278942156, 3278942159, 'FR', 'France'),
(121999, '195.112.175.208', '195.112.175.211', 3278942160, 3278942163, 'DE', 'Germany'),
(122000, '195.112.175.212', '195.112.175.215', 3278942164, 3278942167, 'IT', 'Italy'),
(122001, '195.112.175.216', '195.112.175.219', 3278942168, 3278942171, 'CH', 'Switzerland'),
(122002, '195.112.175.220', '195.112.175.223', 3278942172, 3278942175, 'GB', 'United Kingdom'),
(122003, '195.112.175.224', '195.112.175.227', 3278942176, 3278942179, 'DE', 'Germany'),
(122004, '195.112.175.228', '195.112.175.231', 3278942180, 3278942183, 'FR', 'France'),
(122005, '195.112.175.232', '195.112.175.235', 3278942184, 3278942187, 'DK', 'Denmark'),
(122006, '195.112.175.236', '195.112.175.239', 3278942188, 3278942191, 'IT', 'Italy'),
(122007, '195.112.175.240', '195.112.175.251', 3278942192, 3278942203, 'DE', 'Germany'),
(122008, '195.112.175.252', '195.112.175.255', 3278942204, 3278942207, 'CH', 'Switzerland'),
(122009, '195.112.176.0', '195.112.176.3', 3278942208, 3278942211, 'TW', 'Taiwan'),
(122010, '195.112.176.4', '195.112.176.19', 3278942212, 3278942227, 'AU', 'Australia'),
(122011, '195.112.176.20', '195.112.176.23', 3278942228, 3278942231, 'NZ', 'New Zealand'),
(122012, '195.112.176.24', '195.112.176.35', 3278942232, 3278942243, 'AU', 'Australia'),
(122013, '195.112.176.36', '195.112.176.39', 3278942244, 3278942247, 'NZ', 'New Zealand'),
(122014, '195.112.176.40', '195.112.176.47', 3278942248, 3278942255, 'AU', 'Australia'),
(122015, '195.112.176.48', '195.112.176.51', 3278942256, 3278942259, 'NZ', 'New Zealand'),
(122016, '195.112.176.52', '195.112.176.63', 3278942260, 3278942271, 'AU', 'Australia'),
(122017, '195.112.176.64', '195.112.176.67', 3278942272, 3278942275, 'NZ', 'New Zealand'),
(122018, '195.112.176.68', '195.112.176.83', 3278942276, 3278942291, 'AU', 'Australia'),
(122019, '195.112.176.84', '195.112.176.87', 3278942292, 3278942295, 'NZ', 'New Zealand'),
(122020, '195.112.176.88', '195.112.176.91', 3278942296, 3278942299, 'PG', 'Papua New Guinea'),
(122021, '195.112.176.92', '195.112.176.147', 3278942300, 3278942355, 'AU', 'Australia'),
(122022, '195.112.176.148', '195.112.176.151', 3278942356, 3278942359, 'NZ', 'New Zealand'),
(122023, '195.112.176.152', '195.112.176.175', 3278942360, 3278942383, 'AU', 'Australia'),
(122024, '195.112.176.176', '195.112.176.179', 3278942384, 3278942387, 'NZ', 'New Zealand'),
(122025, '195.112.176.180', '195.112.176.191', 3278942388, 3278942399, 'AU', 'Australia'),
(122026, '195.112.176.192', '195.112.176.195', 3278942400, 3278942403, 'NZ', 'New Zealand'),
(122027, '195.112.176.196', '195.112.176.227', 3278942404, 3278942435, 'AU', 'Australia'),
(122028, '195.112.176.228', '195.112.176.231', 3278942436, 3278942439, 'DE', 'Germany'),
(122029, '195.112.176.232', '195.112.176.235', 3278942440, 3278942443, 'AU', 'Australia'),
(122030, '195.112.176.236', '195.112.176.239', 3278942444, 3278942447, 'NZ', 'New Zealand'),
(122031, '195.112.176.240', '195.112.176.247', 3278942448, 3278942455, 'AU', 'Australia'),
(122032, '195.112.176.248', '195.112.176.255', 3278942456, 3278942463, 'DE', 'Germany'),
(122033, '195.112.177.0', '195.112.177.3', 3278942464, 3278942467, 'SG', 'Singapore'),
(122034, '195.112.177.4', '195.112.177.7', 3278942468, 3278942471, 'MY', 'Malaysia'),
(122035, '195.112.177.8', '195.112.177.11', 3278942472, 3278942475, 'IN', 'India'),
(122036, '195.112.177.12', '195.112.177.19', 3278942476, 3278942483, 'SG', 'Singapore'),
(122037, '195.112.177.20', '195.112.177.23', 3278942484, 3278942487, 'CN', 'China'),
(122038, '195.112.177.24', '195.112.177.27', 3278942488, 3278942491, 'IN', 'India'),
(122039, '195.112.177.28', '195.112.177.31', 3278942492, 3278942495, 'MY', 'Malaysia'),
(122040, '195.112.177.32', '195.112.177.35', 3278942496, 3278942499, 'CN', 'China'),
(122041, '195.112.177.36', '195.112.177.43', 3278942500, 3278942507, 'MY', 'Malaysia'),
(122042, '195.112.177.44', '195.112.177.47', 3278942508, 3278942511, 'TH', 'Thailand'),
(122043, '195.112.177.48', '195.112.177.51', 3278942512, 3278942515, 'SG', 'Singapore'),
(122044, '195.112.177.52', '195.112.177.55', 3278942516, 3278942519, 'PH', 'Philippines'),
(122045, '195.112.177.56', '195.112.177.75', 3278942520, 3278942539, 'IN', 'India'),
(122046, '195.112.177.76', '195.112.177.79', 3278942540, 3278942543, 'TW', 'Taiwan'),
(122047, '195.112.177.80', '195.112.177.83', 3278942544, 3278942547, 'PK', 'Pakistan'),
(122048, '195.112.177.84', '195.112.177.87', 3278942548, 3278942551, 'MY', 'Malaysia'),
(122049, '195.112.177.88', '195.112.177.91', 3278942552, 3278942555, 'TW', 'Taiwan'),
(122050, '195.112.177.92', '195.112.177.95', 3278942556, 3278942559, 'IN', 'India'),
(122051, '195.112.177.96', '195.112.177.107', 3278942560, 3278942571, 'MY', 'Malaysia'),
(122052, '195.112.177.108', '195.112.177.111', 3278942572, 3278942575, 'IN', 'India'),
(122053, '195.112.177.112', '195.112.177.115', 3278942576, 3278942579, 'MY', 'Malaysia'),
(122054, '195.112.177.116', '195.112.177.119', 3278942580, 3278942583, 'TW', 'Taiwan'),
(122055, '195.112.177.120', '195.112.177.123', 3278942584, 3278942587, 'SG', 'Singapore'),
(122056, '195.112.177.124', '195.112.177.127', 3278942588, 3278942591, 'CN', 'China'),
(122057, '195.112.177.128', '195.112.177.131', 3278942592, 3278942595, 'TW', 'Taiwan'),
(122058, '195.112.177.132', '195.112.177.135', 3278942596, 3278942599, 'IN', 'India'),
(122059, '195.112.177.136', '195.112.177.139', 3278942600, 3278942603, 'SG', 'Singapore'),
(122060, '195.112.177.140', '195.112.177.143', 3278942604, 3278942607, 'TW', 'Taiwan'),
(122061, '195.112.177.144', '195.112.177.147', 3278942608, 3278942611, 'TH', 'Thailand'),
(122062, '195.112.177.148', '195.112.177.151', 3278942612, 3278942615, 'PH', 'Philippines'),
(122063, '195.112.177.152', '195.112.177.163', 3278942616, 3278942627, 'SG', 'Singapore'),
(122064, '195.112.177.164', '195.112.177.171', 3278942628, 3278942635, 'MY', 'Malaysia'),
(122065, '195.112.177.172', '195.112.177.179', 3278942636, 3278942643, 'SG', 'Singapore'),
(122066, '195.112.177.180', '195.112.177.183', 3278942644, 3278942647, 'MY', 'Malaysia'),
(122067, '195.112.177.184', '195.112.177.187', 3278942648, 3278942651, 'IN', 'India'),
(122068, '195.112.177.188', '195.112.177.191', 3278942652, 3278942655, 'MY', 'Malaysia'),
(122069, '195.112.177.192', '195.112.177.203', 3278942656, 3278942667, 'SG', 'Singapore'),
(122070, '195.112.177.204', '195.112.177.207', 3278942668, 3278942671, 'MY', 'Malaysia'),
(122071, '195.112.177.208', '195.112.177.211', 3278942672, 3278942675, 'SG', 'Singapore'),
(122072, '195.112.177.212', '195.112.177.215', 3278942676, 3278942679, 'HK', 'Hong Kong'),
(122073, '195.112.177.216', '195.112.177.219', 3278942680, 3278942683, 'TW', 'Taiwan'),
(122074, '195.112.177.220', '195.112.177.223', 3278942684, 3278942687, 'DE', 'Germany'),
(122075, '195.112.177.224', '195.112.177.227', 3278942688, 3278942691, 'SG', 'Singapore'),
(122076, '195.112.177.228', '195.112.177.231', 3278942692, 3278942695, 'IN', 'India'),
(122077, '195.112.177.232', '195.112.177.235', 3278942696, 3278942699, 'SG', 'Singapore'),
(122078, '195.112.177.236', '195.112.177.239', 3278942700, 3278942703, 'TW', 'Taiwan'),
(122079, '195.112.177.240', '195.112.177.243', 3278942704, 3278942707, 'MY', 'Malaysia'),
(122080, '195.112.177.244', '195.112.177.255', 3278942708, 3278942719, 'SG', 'Singapore'),
(122081, '195.112.178.0', '195.112.178.1', 3278942720, 3278942721, 'DE', 'Germany'),
(122082, '195.112.178.2', '195.112.178.2', 3278942722, 3278942722, 'GB', 'United Kingdom'),
(122083, '195.112.178.3', '195.112.178.4', 3278942723, 3278942724, 'DE', 'Germany'),
(122084, '195.112.178.5', '195.112.178.5', 3278942725, 3278942725, 'GB', 'United Kingdom'),
(122085, '195.112.178.6', '195.112.178.6', 3278942726, 3278942726, 'IT', 'Italy'),
(122086, '195.112.178.7', '195.112.178.7', 3278942727, 3278942727, 'DE', 'Germany'),
(122087, '195.112.178.8', '195.112.178.8', 3278942728, 3278942728, 'CH', 'Switzerland'),
(122088, '195.112.178.9', '195.112.178.10', 3278942729, 3278942730, 'BE', 'Belgium'),
(122089, '195.112.178.11', '195.112.178.11', 3278942731, 3278942731, 'DE', 'Germany'),
(122090, '195.112.178.12', '195.112.178.12', 3278942732, 3278942732, 'ES', 'Spain'),
(122091, '195.112.178.13', '195.112.178.13', 3278942733, 3278942733, 'LU', 'Luxembourg'),
(122092, '195.112.178.14', '195.112.178.14', 3278942734, 3278942734, 'GB', 'United Kingdom'),
(122093, '195.112.178.15', '195.112.178.15', 3278942735, 3278942735, 'DE', 'Germany'),
(122094, '195.112.178.16', '195.112.178.16', 3278942736, 3278942736, 'IT', 'Italy'),
(122095, '195.112.178.17', '195.112.178.17', 3278942737, 3278942737, 'GB', 'United Kingdom'),
(122096, '195.112.178.18', '195.112.178.19', 3278942738, 3278942739, 'DE', 'Germany'),
(122097, '195.112.178.20', '195.112.178.20', 3278942740, 3278942740, 'NL', 'Netherlands'),
(122098, '195.112.178.21', '195.112.178.21', 3278942741, 3278942741, 'GB', 'United Kingdom'),
(122099, '195.112.178.22', '195.112.178.22', 3278942742, 3278942742, 'DE', 'Germany'),
(122100, '195.112.178.23', '195.112.178.23', 3278942743, 3278942743, 'ES', 'Spain'),
(122101, '195.112.178.24', '195.112.178.28', 3278942744, 3278942748, 'DE', 'Germany'),
(122102, '195.112.178.29', '195.112.178.29', 3278942749, 3278942749, 'GB', 'United Kingdom'),
(122103, '195.112.178.30', '195.112.178.30', 3278942750, 3278942750, 'IT', 'Italy'),
(122104, '195.112.178.31', '195.112.178.31', 3278942751, 3278942751, 'FR', 'France'),
(122105, '195.112.178.32', '195.112.178.33', 3278942752, 3278942753, 'CH', 'Switzerland'),
(122106, '195.112.178.34', '195.112.178.34', 3278942754, 3278942754, 'DE', 'Germany'),
(122107, '195.112.178.35', '195.112.178.35', 3278942755, 3278942755, 'GB', 'United Kingdom'),
(122108, '195.112.178.36', '195.112.178.36', 3278942756, 3278942756, 'DE', 'Germany'),
(122109, '195.112.178.37', '195.112.178.37', 3278942757, 3278942757, 'GB', 'United Kingdom'),
(122110, '195.112.178.38', '195.112.178.39', 3278942758, 3278942759, 'IT', 'Italy'),
(122111, '195.112.178.40', '195.112.178.41', 3278942760, 3278942761, 'DE', 'Germany'),
(122112, '195.112.178.42', '195.112.178.42', 3278942762, 3278942762, 'GB', 'United Kingdom'),
(122113, '195.112.178.43', '195.112.178.43', 3278942763, 3278942763, 'NL', 'Netherlands'),
(122114, '195.112.178.44', '195.112.178.44', 3278942764, 3278942764, 'FR', 'France'),
(122115, '195.112.178.45', '195.112.178.45', 3278942765, 3278942765, 'CH', 'Switzerland'),
(122116, '195.112.178.46', '195.112.178.46', 3278942766, 3278942766, 'PL', 'Poland'),
(122117, '195.112.178.47', '195.112.178.47', 3278942767, 3278942767, 'FR', 'France'),
(122118, '195.112.178.48', '195.112.178.48', 3278942768, 3278942768, 'NO', 'Norway'),
(122119, '195.112.178.49', '195.112.178.49', 3278942769, 3278942769, 'GB', 'United Kingdom'),
(122120, '195.112.178.50', '195.112.178.51', 3278942770, 3278942771, 'DE', 'Germany'),
(122121, '195.112.178.52', '195.112.178.52', 3278942772, 3278942772, 'BE', 'Belgium'),
(122122, '195.112.178.53', '195.112.178.53', 3278942773, 3278942773, 'DE', 'Germany'),
(122123, '195.112.178.54', '195.112.178.54', 3278942774, 3278942774, 'CH', 'Switzerland'),
(122124, '195.112.178.55', '195.112.178.55', 3278942775, 3278942775, 'FR', 'France'),
(122125, '195.112.178.56', '195.112.178.56', 3278942776, 3278942776, 'DE', 'Germany'),
(122126, '195.112.178.57', '195.112.178.58', 3278942777, 3278942778, 'GB', 'United Kingdom'),
(122127, '195.112.178.59', '195.112.178.59', 3278942779, 3278942779, 'SE', 'Sweden'),
(122128, '195.112.178.60', '195.112.178.61', 3278942780, 3278942781, 'DE', 'Germany'),
(122129, '195.112.178.62', '195.112.178.62', 3278942782, 3278942782, 'ES', 'Spain'),
(122130, '195.112.178.63', '195.112.178.64', 3278942783, 3278942784, 'DE', 'Germany'),
(122131, '195.112.178.65', '195.112.178.65', 3278942785, 3278942785, 'GR', 'Greece'),
(122132, '195.112.178.66', '195.112.178.66', 3278942786, 3278942786, 'SI', 'Slovenia'),
(122133, '195.112.178.67', '195.112.178.67', 3278942787, 3278942787, 'IT', 'Italy'),
(122134, '195.112.178.68', '195.112.178.69', 3278942788, 3278942789, 'DE', 'Germany'),
(122135, '195.112.178.70', '195.112.178.70', 3278942790, 3278942790, 'ES', 'Spain'),
(122136, '195.112.178.71', '195.112.178.71', 3278942791, 3278942791, 'IT', 'Italy'),
(122137, '195.112.178.72', '195.112.178.72', 3278942792, 3278942792, 'US', 'United States'),
(122138, '195.112.178.73', '195.112.178.73', 3278942793, 3278942793, 'CH', 'Switzerland'),
(122139, '195.112.178.74', '195.112.178.74', 3278942794, 3278942794, 'DE', 'Germany'),
(122140, '195.112.178.75', '195.112.178.75', 3278942795, 3278942795, 'GB', 'United Kingdom'),
(122141, '195.112.178.76', '195.112.178.76', 3278942796, 3278942796, 'IT', 'Italy'),
(122142, '195.112.178.77', '195.112.178.77', 3278942797, 3278942797, 'GB', 'United Kingdom'),
(122143, '195.112.178.78', '195.112.178.78', 3278942798, 3278942798, 'DE', 'Germany'),
(122144, '195.112.178.79', '195.112.178.79', 3278942799, 3278942799, 'IT', 'Italy'),
(122145, '195.112.178.80', '195.112.178.80', 3278942800, 3278942800, 'FR', 'France'),
(122146, '195.112.178.81', '195.112.178.81', 3278942801, 3278942801, 'GB', 'United Kingdom'),
(122147, '195.112.178.82', '195.112.178.83', 3278942802, 3278942803, 'DE', 'Germany'),
(122148, '195.112.178.84', '195.112.178.84', 3278942804, 3278942804, 'IT', 'Italy'),
(122149, '195.112.178.85', '195.112.178.85', 3278942805, 3278942805, 'DE', 'Germany'),
(122150, '195.112.178.86', '195.112.178.86', 3278942806, 3278942806, 'BE', 'Belgium'),
(122151, '195.112.178.87', '195.112.178.87', 3278942807, 3278942807, 'AT', 'Austria'),
(122152, '195.112.178.88', '195.112.178.89', 3278942808, 3278942809, 'DE', 'Germany'),
(122153, '195.112.178.90', '195.112.178.90', 3278942810, 3278942810, 'ES', 'Spain'),
(122154, '195.112.178.91', '195.112.178.91', 3278942811, 3278942811, 'NL', 'Netherlands'),
(122155, '195.112.178.92', '195.112.178.93', 3278942812, 3278942813, 'DE', 'Germany'),
(122156, '195.112.178.94', '195.112.178.94', 3278942814, 3278942814, 'CH', 'Switzerland'),
(122157, '195.112.178.95', '195.112.178.95', 3278942815, 3278942815, 'DE', 'Germany'),
(122158, '195.112.178.96', '195.112.178.96', 3278942816, 3278942816, 'AT', 'Austria'),
(122159, '195.112.178.97', '195.112.178.97', 3278942817, 3278942817, 'FR', 'France'),
(122160, '195.112.178.98', '195.112.178.98', 3278942818, 3278942818, 'DK', 'Denmark'),
(122161, '195.112.178.99', '195.112.178.99', 3278942819, 3278942819, 'DE', 'Germany'),
(122162, '195.112.178.100', '195.112.178.100', 3278942820, 3278942820, 'IT', 'Italy'),
(122163, '195.112.178.101', '195.112.178.101', 3278942821, 3278942821, 'NL', 'Netherlands'),
(122164, '195.112.178.102', '195.112.178.104', 3278942822, 3278942824, 'DE', 'Germany'),
(122165, '195.112.178.105', '195.112.178.105', 3278942825, 3278942825, 'NL', 'Netherlands'),
(122166, '195.112.178.106', '195.112.178.106', 3278942826, 3278942826, 'RU', 'Russian Federation'),
(122167, '195.112.178.107', '195.112.178.107', 3278942827, 3278942827, 'FR', 'France'),
(122168, '195.112.178.108', '195.112.178.108', 3278942828, 3278942828, 'ES', 'Spain'),
(122169, '195.112.178.109', '195.112.178.109', 3278942829, 3278942829, 'NL', 'Netherlands'),
(122170, '195.112.178.110', '195.112.178.110', 3278942830, 3278942830, 'IT', 'Italy'),
(122171, '195.112.178.111', '195.112.178.111', 3278942831, 3278942831, 'CH', 'Switzerland'),
(122172, '195.112.178.112', '195.112.178.112', 3278942832, 3278942832, 'IT', 'Italy'),
(122173, '195.112.178.113', '195.112.178.113', 3278942833, 3278942833, 'DE', 'Germany'),
(122174, '195.112.178.114', '195.112.178.114', 3278942834, 3278942834, 'NL', 'Netherlands'),
(122175, '195.112.178.115', '195.112.178.115', 3278942835, 3278942835, 'AT', 'Austria'),
(122176, '195.112.178.116', '195.112.178.117', 3278942836, 3278942837, 'DE', 'Germany'),
(122177, '195.112.178.118', '195.112.178.118', 3278942838, 3278942838, 'ES', 'Spain'),
(122178, '195.112.178.119', '195.112.178.119', 3278942839, 3278942839, 'FR', 'France'),
(122179, '195.112.178.120', '195.112.178.123', 3278942840, 3278942843, 'DE', 'Germany'),
(122180, '195.112.178.124', '195.112.178.124', 3278942844, 3278942844, 'ES', 'Spain'),
(122181, '195.112.178.125', '195.112.178.130', 3278942845, 3278942850, 'DE', 'Germany'),
(122182, '195.112.178.131', '195.112.178.131', 3278942851, 3278942851, 'HU', 'Hungary'),
(122183, '195.112.178.132', '195.112.178.132', 3278942852, 3278942852, 'DE', 'Germany'),
(122184, '195.112.178.133', '195.112.178.133', 3278942853, 3278942853, 'ES', 'Spain'),
(122185, '195.112.178.134', '195.112.178.134', 3278942854, 3278942854, 'GB', 'United Kingdom'),
(122186, '195.112.178.135', '195.112.178.135', 3278942855, 3278942855, 'ES', 'Spain'),
(122187, '195.112.178.136', '195.112.178.136', 3278942856, 3278942856, 'NO', 'Norway'),
(122188, '195.112.178.137', '195.112.178.137', 3278942857, 3278942857, 'DE', 'Germany'),
(122189, '195.112.178.138', '195.112.178.138', 3278942858, 3278942858, 'IT', 'Italy'),
(122190, '195.112.178.139', '195.112.178.139', 3278942859, 3278942859, 'DE', 'Germany'),
(122191, '195.112.178.140', '195.112.178.140', 3278942860, 3278942860, 'IT', 'Italy'),
(122192, '195.112.178.141', '195.112.178.141', 3278942861, 3278942861, 'FR', 'France'),
(122193, '195.112.178.142', '195.112.178.143', 3278942862, 3278942863, 'DE', 'Germany'),
(122194, '195.112.178.144', '195.112.178.144', 3278942864, 3278942864, 'ES', 'Spain'),
(122195, '195.112.178.145', '195.112.178.145', 3278942865, 3278942865, 'GB', 'United Kingdom'),
(122196, '195.112.178.146', '195.112.178.147', 3278942866, 3278942867, 'NL', 'Netherlands'),
(122197, '195.112.178.148', '195.112.178.148', 3278942868, 3278942868, 'DE', 'Germany'),
(122198, '195.112.178.149', '195.112.178.149', 3278942869, 3278942869, 'IT', 'Italy'),
(122199, '195.112.178.150', '195.112.178.150', 3278942870, 3278942870, 'CH', 'Switzerland'),
(122200, '195.112.178.151', '195.112.178.151', 3278942871, 3278942871, 'IS', 'Iceland'),
(122201, '195.112.178.152', '195.112.178.152', 3278942872, 3278942872, 'ES', 'Spain'),
(122202, '195.112.178.153', '195.112.178.153', 3278942873, 3278942873, 'IT', 'Italy'),
(122203, '195.112.178.154', '195.112.178.155', 3278942874, 3278942875, 'DE', 'Germany'),
(122204, '195.112.178.156', '195.112.178.156', 3278942876, 3278942876, 'PL', 'Poland'),
(122205, '195.112.178.157', '195.112.178.157', 3278942877, 3278942877, 'DE', 'Germany'),
(122206, '195.112.178.158', '195.112.178.158', 3278942878, 3278942878, 'NL', 'Netherlands'),
(122207, '195.112.178.159', '195.112.178.159', 3278942879, 3278942879, 'DK', 'Denmark'),
(122208, '195.112.178.160', '195.112.178.161', 3278942880, 3278942881, 'DE', 'Germany'),
(122209, '195.112.178.162', '195.112.178.162', 3278942882, 3278942882, 'CH', 'Switzerland'),
(122210, '195.112.178.163', '195.112.178.163', 3278942883, 3278942883, 'GB', 'United Kingdom'),
(122211, '195.112.178.164', '195.112.178.164', 3278942884, 3278942884, 'DE', 'Germany'),
(122212, '195.112.178.165', '195.112.178.165', 3278942885, 3278942885, 'NL', 'Netherlands'),
(122213, '195.112.178.166', '195.112.178.166', 3278942886, 3278942886, 'DE', 'Germany'),
(122214, '195.112.178.167', '195.112.178.167', 3278942887, 3278942887, 'IT', 'Italy'),
(122215, '195.112.178.168', '195.112.178.169', 3278942888, 3278942889, 'DE', 'Germany'),
(122216, '195.112.178.170', '195.112.178.170', 3278942890, 3278942890, 'ES', 'Spain'),
(122217, '195.112.178.171', '195.112.178.174', 3278942891, 3278942894, 'DE', 'Germany'),
(122218, '195.112.178.175', '195.112.178.175', 3278942895, 3278942895, 'NL', 'Netherlands'),
(122219, '195.112.178.176', '195.112.178.176', 3278942896, 3278942896, 'GB', 'United Kingdom'),
(122220, '195.112.178.177', '195.112.178.177', 3278942897, 3278942897, 'CH', 'Switzerland'),
(122221, '195.112.178.178', '195.112.178.179', 3278942898, 3278942899, 'NL', 'Netherlands'),
(122222, '195.112.178.180', '195.112.178.183', 3278942900, 3278942903, 'DE', 'Germany'),
(122223, '195.112.178.184', '195.112.178.184', 3278942904, 3278942904, 'BE', 'Belgium'),
(122224, '195.112.178.185', '195.112.178.185', 3278942905, 3278942905, 'IE', 'Ireland'),
(122225, '195.112.178.186', '195.112.178.187', 3278942906, 3278942907, 'DE', 'Germany'),
(122226, '195.112.178.188', '195.112.178.188', 3278942908, 3278942908, 'GB', 'United Kingdom'),
(122227, '195.112.178.189', '195.112.178.190', 3278942909, 3278942910, 'DE', 'Germany'),
(122228, '195.112.178.191', '195.112.178.191', 3278942911, 3278942911, 'IT', 'Italy'),
(122229, '195.112.178.192', '195.112.178.193', 3278942912, 3278942913, 'DE', 'Germany'),
(122230, '195.112.178.194', '195.112.178.194', 3278942914, 3278942914, 'CH', 'Switzerland'),
(122231, '195.112.178.195', '195.112.178.195', 3278942915, 3278942915, 'DE', 'Germany'),
(122232, '195.112.178.196', '195.112.178.196', 3278942916, 3278942916, 'CH', 'Switzerland'),
(122233, '195.112.178.197', '195.112.178.202', 3278942917, 3278942922, 'DE', 'Germany'),
(122234, '195.112.178.203', '195.112.178.203', 3278942923, 3278942923, 'NL', 'Netherlands'),
(122235, '195.112.178.204', '195.112.178.204', 3278942924, 3278942924, 'DE', 'Germany'),
(122236, '195.112.178.205', '195.112.178.205', 3278942925, 3278942925, 'GB', 'United Kingdom'),
(122237, '195.112.178.206', '195.112.178.210', 3278942926, 3278942930, 'DE', 'Germany'),
(122238, '195.112.178.211', '195.112.178.211', 3278942931, 3278942931, 'CH', 'Switzerland'),
(122239, '195.112.178.212', '195.112.178.212', 3278942932, 3278942932, 'NL', 'Netherlands'),
(122240, '195.112.178.213', '195.112.178.213', 3278942933, 3278942933, 'BE', 'Belgium'),
(122241, '195.112.178.214', '195.112.178.214', 3278942934, 3278942934, 'IT', 'Italy'),
(122242, '195.112.178.215', '195.112.178.216', 3278942935, 3278942936, 'NL', 'Netherlands'),
(122243, '195.112.178.217', '195.112.178.217', 3278942937, 3278942937, 'DE', 'Germany'),
(122244, '195.112.178.218', '195.112.178.218', 3278942938, 3278942938, 'CH', 'Switzerland'),
(122245, '195.112.178.219', '195.112.178.219', 3278942939, 3278942939, 'ES', 'Spain'),
(122246, '195.112.178.220', '195.112.178.220', 3278942940, 3278942940, 'DE', 'Germany'),
(122247, '195.112.178.221', '195.112.178.221', 3278942941, 3278942941, 'IT', 'Italy'),
(122248, '195.112.178.222', '195.112.178.222', 3278942942, 3278942942, 'DE', 'Germany'),
(122249, '195.112.178.223', '195.112.178.224', 3278942943, 3278942944, 'NL', 'Netherlands'),
(122250, '195.112.178.225', '195.112.178.226', 3278942945, 3278942946, 'DE', 'Germany'),
(122251, '195.112.178.227', '195.112.178.227', 3278942947, 3278942947, 'BE', 'Belgium'),
(122252, '195.112.178.228', '195.112.178.228', 3278942948, 3278942948, 'AT', 'Austria'),
(122253, '195.112.178.229', '195.112.178.229', 3278942949, 3278942949, 'CH', 'Switzerland'),
(122254, '195.112.178.230', '195.112.178.230', 3278942950, 3278942950, 'DE', 'Germany'),
(122255, '195.112.178.231', '195.112.178.231', 3278942951, 3278942951, 'IT', 'Italy'),
(122256, '195.112.178.232', '195.112.178.233', 3278942952, 3278942953, 'DE', 'Germany'),
(122257, '195.112.178.234', '195.112.178.234', 3278942954, 3278942954, 'AT', 'Austria'),
(122258, '195.112.178.235', '195.112.178.235', 3278942955, 3278942955, 'DE', 'Germany'),
(122259, '195.112.178.236', '195.112.178.236', 3278942956, 3278942956, 'IT', 'Italy'),
(122260, '195.112.178.237', '195.112.178.237', 3278942957, 3278942957, 'DE', 'Germany'),
(122261, '195.112.178.238', '195.112.178.238', 3278942958, 3278942958, 'CH', 'Switzerland'),
(122262, '195.112.178.239', '195.112.178.239', 3278942959, 3278942959, 'DE', 'Germany'),
(122263, '195.112.178.240', '195.112.178.240', 3278942960, 3278942960, 'FR', 'France'),
(122264, '195.112.178.241', '195.112.178.241', 3278942961, 3278942961, 'PT', 'Portugal'),
(122265, '195.112.178.242', '195.112.178.243', 3278942962, 3278942963, 'NL', 'Netherlands'),
(122266, '195.112.178.244', '195.112.178.246', 3278942964, 3278942966, 'DE', 'Germany'),
(122267, '195.112.178.247', '195.112.178.247', 3278942967, 3278942967, 'NO', 'Norway'),
(122268, '195.112.178.248', '195.112.178.248', 3278942968, 3278942968, 'NL', 'Netherlands'),
(122269, '195.112.178.249', '195.112.178.249', 3278942969, 3278942969, 'AT', 'Austria'),
(122270, '195.112.178.250', '195.112.178.250', 3278942970, 3278942970, 'ES', 'Spain'),
(122271, '195.112.178.251', '195.112.178.252', 3278942971, 3278942972, 'IT', 'Italy'),
(122272, '195.112.178.253', '195.112.179.1', 3278942973, 3278942977, 'DE', 'Germany'),
(122273, '195.112.179.2', '195.112.179.2', 3278942978, 3278942978, 'BE', 'Belgium'),
(122274, '195.112.179.3', '195.112.179.3', 3278942979, 3278942979, 'FR', 'France'),
(122275, '195.112.179.4', '195.112.179.4', 3278942980, 3278942980, 'IT', 'Italy'),
(122276, '195.112.179.5', '195.112.179.7', 3278942981, 3278942983, 'DE', 'Germany'),
(122277, '195.112.179.8', '195.112.179.8', 3278942984, 3278942984, 'IT', 'Italy'),
(122278, '195.112.179.9', '195.112.179.9', 3278942985, 3278942985, 'ES', 'Spain'),
(122279, '195.112.179.10', '195.112.179.10', 3278942986, 3278942986, 'CH', 'Switzerland'),
(122280, '195.112.179.11', '195.112.179.11', 3278942987, 3278942987, 'BE', 'Belgium'),
(122281, '195.112.179.12', '195.112.179.14', 3278942988, 3278942990, 'CH', 'Switzerland'),
(122282, '195.112.179.15', '195.112.179.15', 3278942991, 3278942991, 'GB', 'United Kingdom'),
(122283, '195.112.179.16', '195.112.179.16', 3278942992, 3278942992, 'DE', 'Germany'),
(122284, '195.112.179.17', '195.112.179.17', 3278942993, 3278942993, 'GB', 'United Kingdom'),
(122285, '195.112.179.18', '195.112.179.18', 3278942994, 3278942994, 'CH', 'Switzerland'),
(122286, '195.112.179.19', '195.112.179.21', 3278942995, 3278942997, 'DE', 'Germany'),
(122287, '195.112.179.22', '195.112.179.22', 3278942998, 3278942998, 'CH', 'Switzerland'),
(122288, '195.112.179.23', '195.112.179.23', 3278942999, 3278942999, 'GB', 'United Kingdom'),
(122289, '195.112.179.24', '195.112.179.26', 3278943000, 3278943002, 'DE', 'Germany'),
(122290, '195.112.179.27', '195.112.179.27', 3278943003, 3278943003, 'CH', 'Switzerland'),
(122291, '195.112.179.28', '195.112.179.29', 3278943004, 3278943005, 'DE', 'Germany'),
(122292, '195.112.179.30', '195.112.179.30', 3278943006, 3278943006, 'FR', 'France'),
(122293, '195.112.179.31', '195.112.179.31', 3278943007, 3278943007, 'DE', 'Germany'),
(122294, '195.112.179.32', '195.112.179.32', 3278943008, 3278943008, 'IT', 'Italy'),
(122295, '195.112.179.33', '195.112.179.33', 3278943009, 3278943009, 'DE', 'Germany'),
(122296, '195.112.179.34', '195.112.179.34', 3278943010, 3278943010, 'NL', 'Netherlands'),
(122297, '195.112.179.35', '195.112.179.35', 3278943011, 3278943011, 'DE', 'Germany'),
(122298, '195.112.179.36', '195.112.179.36', 3278943012, 3278943012, 'CZ', 'Czech Republic'),
(122299, '195.112.179.37', '195.112.179.37', 3278943013, 3278943013, 'IT', 'Italy'),
(122300, '195.112.179.38', '195.112.179.38', 3278943014, 3278943014, 'DE', 'Germany'),
(122301, '195.112.179.39', '195.112.179.40', 3278943015, 3278943016, 'ES', 'Spain'),
(122302, '195.112.179.41', '195.112.179.41', 3278943017, 3278943017, 'FR', 'France'),
(122303, '195.112.179.42', '195.112.179.42', 3278943018, 3278943018, 'CH', 'Switzerland'),
(122304, '195.112.179.43', '195.112.179.43', 3278943019, 3278943019, 'DE', 'Germany'),
(122305, '195.112.179.44', '195.112.179.44', 3278943020, 3278943020, 'CH', 'Switzerland'),
(122306, '195.112.179.45', '195.112.179.45', 3278943021, 3278943021, 'BE', 'Belgium'),
(122307, '195.112.179.46', '195.112.179.46', 3278943022, 3278943022, 'ES', 'Spain'),
(122308, '195.112.179.47', '195.112.179.47', 3278943023, 3278943023, 'BE', 'Belgium'),
(122309, '195.112.179.48', '195.112.179.48', 3278943024, 3278943024, 'FR', 'France'),
(122310, '195.112.179.49', '195.112.179.49', 3278943025, 3278943025, 'DE', 'Germany'),
(122311, '195.112.179.50', '195.112.179.50', 3278943026, 3278943026, 'DK', 'Denmark'),
(122312, '195.112.179.51', '195.112.179.51', 3278943027, 3278943027, 'DE', 'Germany'),
(122313, '195.112.179.52', '195.112.179.53', 3278943028, 3278943029, 'GB', 'United Kingdom'),
(122314, '195.112.179.54', '195.112.179.54', 3278943030, 3278943030, 'ES', 'Spain'),
(122315, '195.112.179.55', '195.112.179.55', 3278943031, 3278943031, 'NL', 'Netherlands'),
(122316, '195.112.179.56', '195.112.179.56', 3278943032, 3278943032, 'FR', 'France'),
(122317, '195.112.179.57', '195.112.179.57', 3278943033, 3278943033, 'IT', 'Italy'),
(122318, '195.112.179.58', '195.112.179.58', 3278943034, 3278943034, 'DE', 'Germany'),
(122319, '195.112.179.59', '195.112.179.59', 3278943035, 3278943035, 'ES', 'Spain'),
(122320, '195.112.179.60', '195.112.179.60', 3278943036, 3278943036, 'DE', 'Germany'),
(122321, '195.112.179.61', '195.112.179.61', 3278943037, 3278943037, 'FR', 'France'),
(122322, '195.112.179.62', '195.112.179.62', 3278943038, 3278943038, 'DE', 'Germany'),
(122323, '195.112.179.63', '195.112.179.63', 3278943039, 3278943039, 'CH', 'Switzerland'),
(122324, '195.112.179.64', '195.112.179.64', 3278943040, 3278943040, 'IT', 'Italy'),
(122325, '195.112.179.65', '195.112.179.65', 3278943041, 3278943041, 'DE', 'Germany'),
(122326, '195.112.179.66', '195.112.179.66', 3278943042, 3278943042, 'BE', 'Belgium'),
(122327, '195.112.179.67', '195.112.179.67', 3278943043, 3278943043, 'SI', 'Slovenia'),
(122328, '195.112.179.68', '195.112.179.68', 3278943044, 3278943044, 'FR', 'France'),
(122329, '195.112.179.69', '195.112.179.72', 3278943045, 3278943048, 'DE', 'Germany'),
(122330, '195.112.179.73', '195.112.179.73', 3278943049, 3278943049, 'GB', 'United Kingdom'),
(122331, '195.112.179.74', '195.112.179.74', 3278943050, 3278943050, 'IT', 'Italy'),
(122332, '195.112.179.75', '195.112.179.75', 3278943051, 3278943051, 'AT', 'Austria'),
(122333, '195.112.179.76', '195.112.179.76', 3278943052, 3278943052, 'DE', 'Germany'),
(122334, '195.112.179.77', '195.112.179.77', 3278943053, 3278943053, 'IT', 'Italy'),
(122335, '195.112.179.78', '195.112.179.80', 3278943054, 3278943056, 'DE', 'Germany'),
(122336, '195.112.179.81', '195.112.179.81', 3278943057, 3278943057, 'CH', 'Switzerland'),
(122337, '195.112.179.82', '195.112.179.82', 3278943058, 3278943058, 'FR', 'France'),
(122338, '195.112.179.83', '195.112.179.83', 3278943059, 3278943059, 'CH', 'Switzerland'),
(122339, '195.112.179.84', '195.112.179.89', 3278943060, 3278943065, 'DE', 'Germany'),
(122340, '195.112.179.90', '195.112.179.90', 3278943066, 3278943066, 'GB', 'United Kingdom'),
(122341, '195.112.179.91', '195.112.179.93', 3278943067, 3278943069, 'DE', 'Germany'),
(122342, '195.112.179.94', '195.112.179.94', 3278943070, 3278943070, 'PL', 'Poland'),
(122343, '195.112.179.95', '195.112.179.96', 3278943071, 3278943072, 'DE', 'Germany'),
(122344, '195.112.179.97', '195.112.179.97', 3278943073, 3278943073, 'AT', 'Austria'),
(122345, '195.112.179.98', '195.112.179.98', 3278943074, 3278943074, 'ES', 'Spain'),
(122346, '195.112.179.99', '195.112.179.100', 3278943075, 3278943076, 'FR', 'France'),
(122347, '195.112.179.101', '195.112.179.101', 3278943077, 3278943077, 'DE', 'Germany'),
(122348, '195.112.179.102', '195.112.179.103', 3278943078, 3278943079, 'CH', 'Switzerland'),
(122349, '195.112.179.104', '195.112.179.104', 3278943080, 3278943080, 'BE', 'Belgium'),
(122350, '195.112.179.105', '195.112.179.105', 3278943081, 3278943081, 'FR', 'France'),
(122351, '195.112.179.106', '195.112.179.106', 3278943082, 3278943082, 'CH', 'Switzerland'),
(122352, '195.112.179.107', '195.112.179.108', 3278943083, 3278943084, 'DE', 'Germany'),
(122353, '195.112.179.109', '195.112.179.109', 3278943085, 3278943085, 'NL', 'Netherlands'),
(122354, '195.112.179.110', '195.112.179.111', 3278943086, 3278943087, 'DE', 'Germany'),
(122355, '195.112.179.112', '195.112.179.112', 3278943088, 3278943088, 'NL', 'Netherlands'),
(122356, '195.112.179.113', '195.112.179.114', 3278943089, 3278943090, 'DE', 'Germany'),
(122357, '195.112.179.115', '195.112.179.115', 3278943091, 3278943091, 'IT', 'Italy'),
(122358, '195.112.179.116', '195.112.179.116', 3278943092, 3278943092, 'ES', 'Spain'),
(122359, '195.112.179.117', '195.112.179.120', 3278943093, 3278943096, 'DE', 'Germany'),
(122360, '195.112.179.121', '195.112.179.121', 3278943097, 3278943097, 'BE', 'Belgium'),
(122361, '195.112.179.122', '195.112.179.122', 3278943098, 3278943098, 'DE', 'Germany'),
(122362, '195.112.179.123', '195.112.179.123', 3278943099, 3278943099, 'AT', 'Austria'),
(122363, '195.112.179.124', '195.112.179.124', 3278943100, 3278943100, 'SE', 'Sweden'),
(122364, '195.112.179.125', '195.112.179.125', 3278943101, 3278943101, 'AT', 'Austria'),
(122365, '195.112.179.126', '195.112.179.126', 3278943102, 3278943102, 'ZA', 'South Africa'),
(122366, '195.112.179.127', '195.112.179.129', 3278943103, 3278943105, 'DE', 'Germany'),
(122367, '195.112.179.130', '195.112.179.130', 3278943106, 3278943106, 'FR', 'France'),
(122368, '195.112.179.131', '195.112.179.131', 3278943107, 3278943107, 'DE', 'Germany'),
(122369, '195.112.179.132', '195.112.179.132', 3278943108, 3278943108, 'FR', 'France'),
(122370, '195.112.179.133', '195.112.179.133', 3278943109, 3278943109, 'IT', 'Italy'),
(122371, '195.112.179.134', '195.112.179.134', 3278943110, 3278943110, 'DK', 'Denmark'),
(122372, '195.112.179.135', '195.112.179.135', 3278943111, 3278943111, 'GB', 'United Kingdom'),
(122373, '195.112.179.136', '195.112.179.136', 3278943112, 3278943112, 'PT', 'Portugal'),
(122374, '195.112.179.137', '195.112.179.137', 3278943113, 3278943113, 'ES', 'Spain'),
(122375, '195.112.179.138', '195.112.179.138', 3278943114, 3278943114, 'CH', 'Switzerland'),
(122376, '195.112.179.139', '195.112.179.139', 3278943115, 3278943115, 'PT', 'Portugal'),
(122377, '195.112.179.140', '195.112.179.140', 3278943116, 3278943116, 'CH', 'Switzerland'),
(122378, '195.112.179.141', '195.112.179.141', 3278943117, 3278943117, 'DE', 'Germany'),
(122379, '195.112.179.142', '195.112.179.143', 3278943118, 3278943119, 'IT', 'Italy'),
(122380, '195.112.179.144', '195.112.179.144', 3278943120, 3278943120, 'FR', 'France'),
(122381, '195.112.179.145', '195.112.179.145', 3278943121, 3278943121, 'AT', 'Austria'),
(122382, '195.112.179.146', '195.112.179.146', 3278943122, 3278943122, 'GB', 'United Kingdom'),
(122383, '195.112.179.147', '195.112.179.147', 3278943123, 3278943123, 'FR', 'France'),
(122384, '195.112.179.148', '195.112.179.148', 3278943124, 3278943124, 'BE', 'Belgium'),
(122385, '195.112.179.149', '195.112.179.149', 3278943125, 3278943125, 'CH', 'Switzerland'),
(122386, '195.112.179.150', '195.112.179.150', 3278943126, 3278943126, 'IT', 'Italy'),
(122387, '195.112.179.151', '195.112.179.151', 3278943127, 3278943127, 'DE', 'Germany'),
(122388, '195.112.179.152', '195.112.179.152', 3278943128, 3278943128, 'GB', 'United Kingdom'),
(122389, '195.112.179.153', '195.112.179.154', 3278943129, 3278943130, 'DE', 'Germany'),
(122390, '195.112.179.155', '195.112.179.155', 3278943131, 3278943131, 'BE', 'Belgium'),
(122391, '195.112.179.156', '195.112.179.156', 3278943132, 3278943132, 'FR', 'France'),
(122392, '195.112.179.157', '195.112.179.157', 3278943133, 3278943133, 'IT', 'Italy'),
(122393, '195.112.179.158', '195.112.179.159', 3278943134, 3278943135, 'NL', 'Netherlands'),
(122394, '195.112.179.160', '195.112.179.160', 3278943136, 3278943136, 'FR', 'France'),
(122395, '195.112.179.161', '195.112.179.161', 3278943137, 3278943137, 'CH', 'Switzerland'),
(122396, '195.112.179.162', '195.112.179.162', 3278943138, 3278943138, 'BE', 'Belgium'),
(122397, '195.112.179.163', '195.112.179.163', 3278943139, 3278943139, 'IT', 'Italy'),
(122398, '195.112.179.164', '195.112.179.164', 3278943140, 3278943140, 'ES', 'Spain'),
(122399, '195.112.179.165', '195.112.179.165', 3278943141, 3278943141, 'NL', 'Netherlands'),
(122400, '195.112.179.166', '195.112.179.166', 3278943142, 3278943142, 'FR', 'France'),
(122401, '195.112.179.167', '195.112.179.167', 3278943143, 3278943143, 'ES', 'Spain'),
(122402, '195.112.179.168', '195.112.179.169', 3278943144, 3278943145, 'DE', 'Germany'),
(122403, '195.112.179.170', '195.112.179.170', 3278943146, 3278943146, 'CH', 'Switzerland'),
(122404, '195.112.179.171', '195.112.179.171', 3278943147, 3278943147, 'NL', 'Netherlands'),
(122405, '195.112.179.172', '195.112.179.172', 3278943148, 3278943148, 'FR', 'France'),
(122406, '195.112.179.173', '195.112.179.173', 3278943149, 3278943149, 'BE', 'Belgium'),
(122407, '195.112.179.174', '195.112.179.174', 3278943150, 3278943150, 'DE', 'Germany'),
(122408, '195.112.179.175', '195.112.179.175', 3278943151, 3278943151, 'NL', 'Netherlands'),
(122409, '195.112.179.176', '195.112.179.177', 3278943152, 3278943153, 'DE', 'Germany'),
(122410, '195.112.179.178', '195.112.179.178', 3278943154, 3278943154, 'SE', 'Sweden'),
(122411, '195.112.179.179', '195.112.179.183', 3278943155, 3278943159, 'DE', 'Germany'),
(122412, '195.112.179.184', '195.112.179.184', 3278943160, 3278943160, 'ES', 'Spain'),
(122413, '195.112.179.185', '195.112.179.185', 3278943161, 3278943161, 'BE', 'Belgium'),
(122414, '195.112.179.186', '195.112.179.186', 3278943162, 3278943162, 'ES', 'Spain'),
(122415, '195.112.179.187', '195.112.179.187', 3278943163, 3278943163, 'DE', 'Germany'),
(122416, '195.112.179.188', '195.112.179.188', 3278943164, 3278943164, 'NL', 'Netherlands'),
(122417, '195.112.179.189', '195.112.179.189', 3278943165, 3278943165, 'SE', 'Sweden'),
(122418, '195.112.179.190', '195.112.179.192', 3278943166, 3278943168, 'DE', 'Germany'),
(122419, '195.112.179.193', '195.112.179.193', 3278943169, 3278943169, 'BE', 'Belgium'),
(122420, '195.112.179.194', '195.112.179.196', 3278943170, 3278943172, 'FR', 'France'),
(122421, '195.112.179.197', '195.112.179.197', 3278943173, 3278943173, 'NL', 'Netherlands'),
(122422, '195.112.179.198', '195.112.179.198', 3278943174, 3278943174, 'DE', 'Germany'),
(122423, '195.112.179.199', '195.112.179.201', 3278943175, 3278943177, 'ES', 'Spain'),
(122424, '195.112.179.202', '195.112.179.202', 3278943178, 3278943178, 'DE', 'Germany'),
(122425, '195.112.179.203', '195.112.179.203', 3278943179, 3278943179, 'CH', 'Switzerland'),
(122426, '195.112.179.204', '195.112.179.205', 3278943180, 3278943181, 'DE', 'Germany'),
(122427, '195.112.179.206', '195.112.179.206', 3278943182, 3278943182, 'SE', 'Sweden'),
(122428, '195.112.179.207', '195.112.179.207', 3278943183, 3278943183, 'FR', 'France'),
(122429, '195.112.179.208', '195.112.179.208', 3278943184, 3278943184, 'DE', 'Germany'),
(122430, '195.112.179.209', '195.112.179.209', 3278943185, 3278943185, 'BE', 'Belgium'),
(122431, '195.112.179.210', '195.112.179.210', 3278943186, 3278943186, 'NL', 'Netherlands'),
(122432, '195.112.179.211', '195.112.179.211', 3278943187, 3278943187, 'DE', 'Germany'),
(122433, '195.112.179.212', '195.112.179.212', 3278943188, 3278943188, 'GB', 'United Kingdom'),
(122434, '195.112.179.213', '195.112.179.215', 3278943189, 3278943191, 'DE', 'Germany'),
(122435, '195.112.179.216', '195.112.179.216', 3278943192, 3278943192, 'LU', 'Luxembourg'),
(122436, '195.112.179.217', '195.112.179.217', 3278943193, 3278943193, 'DE', 'Germany'),
(122437, '195.112.179.218', '195.112.179.218', 3278943194, 3278943194, 'IT', 'Italy'),
(122438, '195.112.179.219', '195.112.179.219', 3278943195, 3278943195, 'DE', 'Germany'),
(122439, '195.112.179.220', '195.112.179.220', 3278943196, 3278943196, 'CH', 'Switzerland'),
(122440, '195.112.179.221', '195.112.179.221', 3278943197, 3278943197, 'NL', 'Netherlands'),
(122441, '195.112.179.222', '195.112.179.222', 3278943198, 3278943198, 'GR', 'Greece'),
(122442, '195.112.179.223', '195.112.179.223', 3278943199, 3278943199, 'GB', 'United Kingdom'),
(122443, '195.112.179.224', '195.112.179.224', 3278943200, 3278943200, 'DE', 'Germany'),
(122444, '195.112.179.225', '195.112.179.226', 3278943201, 3278943202, 'CH', 'Switzerland'),
(122445, '195.112.179.227', '195.112.179.227', 3278943203, 3278943203, 'SE', 'Sweden'),
(122446, '195.112.179.228', '195.112.179.230', 3278943204, 3278943206, 'DE', 'Germany'),
(122447, '195.112.179.231', '195.112.179.231', 3278943207, 3278943207, 'IT', 'Italy'),
(122448, '195.112.179.232', '195.112.179.232', 3278943208, 3278943208, 'DE', 'Germany'),
(122449, '195.112.179.233', '195.112.179.233', 3278943209, 3278943209, 'ES', 'Spain'),
(122450, '195.112.179.234', '195.112.179.236', 3278943210, 3278943212, 'IT', 'Italy'),
(122451, '195.112.179.237', '195.112.179.237', 3278943213, 3278943213, 'DE', 'Germany'),
(122452, '195.112.179.238', '195.112.179.238', 3278943214, 3278943214, 'IT', 'Italy'),
(122453, '195.112.179.239', '195.112.179.239', 3278943215, 3278943215, 'GB', 'United Kingdom'),
(122454, '195.112.179.240', '195.112.179.240', 3278943216, 3278943216, 'CH', 'Switzerland'),
(122455, '195.112.179.241', '195.112.179.241', 3278943217, 3278943217, 'GB', 'United Kingdom'),
(122456, '195.112.179.242', '195.112.179.242', 3278943218, 3278943218, 'IT', 'Italy'),
(122457, '195.112.179.243', '195.112.179.244', 3278943219, 3278943220, 'DE', 'Germany'),
(122458, '195.112.179.245', '195.112.179.245', 3278943221, 3278943221, 'CH', 'Switzerland'),
(122459, '195.112.179.246', '195.112.179.246', 3278943222, 3278943222, 'DE', 'Germany'),
(122460, '195.112.179.247', '195.112.179.247', 3278943223, 3278943223, 'NL', 'Netherlands'),
(122461, '195.112.179.248', '195.112.179.249', 3278943224, 3278943225, 'DE', 'Germany'),
(122462, '195.112.179.250', '195.112.179.250', 3278943226, 3278943226, 'FR', 'France'),
(122463, '195.112.179.251', '195.112.179.251', 3278943227, 3278943227, 'GB', 'United Kingdom'),
(122464, '195.112.179.252', '195.112.179.252', 3278943228, 3278943228, 'ES', 'Spain'),
(122465, '195.112.179.253', '195.112.180.3', 3278943229, 3278943235, 'DE', 'Germany'),
(122466, '195.112.180.4', '195.112.180.4', 3278943236, 3278943236, 'ES', 'Spain'),
(122467, '195.112.180.5', '195.112.180.5', 3278943237, 3278943237, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(122468, '195.112.180.6', '195.112.180.7', 3278943238, 3278943239, 'DE', 'Germany'),
(122469, '195.112.180.8', '195.112.180.8', 3278943240, 3278943240, 'NL', 'Netherlands'),
(122470, '195.112.180.9', '195.112.180.10', 3278943241, 3278943242, 'DE', 'Germany'),
(122471, '195.112.180.11', '195.112.180.11', 3278943243, 3278943243, 'ES', 'Spain'),
(122472, '195.112.180.12', '195.112.180.12', 3278943244, 3278943244, 'FR', 'France'),
(122473, '195.112.180.13', '195.112.180.13', 3278943245, 3278943245, 'DE', 'Germany'),
(122474, '195.112.180.14', '195.112.180.14', 3278943246, 3278943246, 'NL', 'Netherlands'),
(122475, '195.112.180.15', '195.112.180.15', 3278943247, 3278943247, 'CH', 'Switzerland'),
(122476, '195.112.180.16', '195.112.180.16', 3278943248, 3278943248, 'DE', 'Germany'),
(122477, '195.112.180.17', '195.112.180.17', 3278943249, 3278943249, 'ES', 'Spain'),
(122478, '195.112.180.18', '195.112.180.19', 3278943250, 3278943251, 'FR', 'France'),
(122479, '195.112.180.20', '195.112.180.20', 3278943252, 3278943252, 'IT', 'Italy'),
(122480, '195.112.180.21', '195.112.180.21', 3278943253, 3278943253, 'DE', 'Germany'),
(122481, '195.112.180.22', '195.112.180.22', 3278943254, 3278943254, 'DK', 'Denmark'),
(122482, '195.112.180.23', '195.112.180.23', 3278943255, 3278943255, 'DE', 'Germany'),
(122483, '195.112.180.24', '195.112.180.24', 3278943256, 3278943256, 'FR', 'France'),
(122484, '195.112.180.25', '195.112.180.25', 3278943257, 3278943257, 'IT', 'Italy'),
(122485, '195.112.180.26', '195.112.180.28', 3278943258, 3278943260, 'DE', 'Germany'),
(122486, '195.112.180.29', '195.112.180.29', 3278943261, 3278943261, 'ES', 'Spain'),
(122487, '195.112.180.30', '195.112.180.30', 3278943262, 3278943262, 'NL', 'Netherlands'),
(122488, '195.112.180.31', '195.112.180.31', 3278943263, 3278943263, 'FR', 'France'),
(122489, '195.112.180.32', '195.112.180.33', 3278943264, 3278943265, 'DE', 'Germany'),
(122490, '195.112.180.34', '195.112.180.34', 3278943266, 3278943266, 'FR', 'France'),
(122491, '195.112.180.35', '195.112.180.35', 3278943267, 3278943267, 'NL', 'Netherlands'),
(122492, '195.112.180.36', '195.112.180.36', 3278943268, 3278943268, 'DE', 'Germany'),
(122493, '195.112.180.37', '195.112.180.38', 3278943269, 3278943270, 'CH', 'Switzerland'),
(122494, '195.112.180.39', '195.112.180.39', 3278943271, 3278943271, 'ES', 'Spain'),
(122495, '195.112.180.40', '195.112.180.42', 3278943272, 3278943274, 'DE', 'Germany'),
(122496, '195.112.180.43', '195.112.180.43', 3278943275, 3278943275, 'IT', 'Italy'),
(122497, '195.112.180.44', '195.112.180.45', 3278943276, 3278943277, 'DE', 'Germany'),
(122498, '195.112.180.46', '195.112.180.46', 3278943278, 3278943278, 'GB', 'United Kingdom'),
(122499, '195.112.180.47', '195.112.180.47', 3278943279, 3278943279, 'DE', 'Germany'),
(122500, '195.112.180.48', '195.112.180.48', 3278943280, 3278943280, 'FR', 'France'),
(122501, '195.112.180.49', '195.112.180.49', 3278943281, 3278943281, 'IT', 'Italy'),
(122502, '195.112.180.50', '195.112.180.51', 3278943282, 3278943283, 'DE', 'Germany'),
(122503, '195.112.180.52', '195.112.180.52', 3278943284, 3278943284, 'IT', 'Italy'),
(122504, '195.112.180.53', '195.112.180.55', 3278943285, 3278943287, 'DE', 'Germany'),
(122505, '195.112.180.56', '195.112.180.56', 3278943288, 3278943288, 'FR', 'France'),
(122506, '195.112.180.57', '195.112.180.57', 3278943289, 3278943289, 'DE', 'Germany'),
(122507, '195.112.180.58', '195.112.180.58', 3278943290, 3278943290, 'IT', 'Italy'),
(122508, '195.112.180.59', '195.112.180.60', 3278943291, 3278943292, 'DE', 'Germany'),
(122509, '195.112.180.61', '195.112.180.61', 3278943293, 3278943293, 'GB', 'United Kingdom'),
(122510, '195.112.180.62', '195.112.180.62', 3278943294, 3278943294, 'IT', 'Italy'),
(122511, '195.112.180.63', '195.112.180.64', 3278943295, 3278943296, 'ES', 'Spain'),
(122512, '195.112.180.65', '195.112.180.65', 3278943297, 3278943297, 'IT', 'Italy'),
(122513, '195.112.180.66', '195.112.180.66', 3278943298, 3278943298, 'PT', 'Portugal'),
(122514, '195.112.180.67', '195.112.180.67', 3278943299, 3278943299, 'DK', 'Denmark'),
(122515, '195.112.180.68', '195.112.180.68', 3278943300, 3278943300, 'GB', 'United Kingdom'),
(122516, '195.112.180.69', '195.112.180.69', 3278943301, 3278943301, 'CH', 'Switzerland'),
(122517, '195.112.180.70', '195.112.180.70', 3278943302, 3278943302, 'BE', 'Belgium'),
(122518, '195.112.180.71', '195.112.180.71', 3278943303, 3278943303, 'DK', 'Denmark'),
(122519, '195.112.180.72', '195.112.180.72', 3278943304, 3278943304, 'FR', 'France'),
(122520, '195.112.180.73', '195.112.180.73', 3278943305, 3278943305, 'LU', 'Luxembourg'),
(122521, '195.112.180.74', '195.112.180.74', 3278943306, 3278943306, 'AT', 'Austria'),
(122522, '195.112.180.75', '195.112.180.76', 3278943307, 3278943308, 'DE', 'Germany'),
(122523, '195.112.180.77', '195.112.180.77', 3278943309, 3278943309, 'PT', 'Portugal'),
(122524, '195.112.180.78', '195.112.180.78', 3278943310, 3278943310, 'ES', 'Spain'),
(122525, '195.112.180.79', '195.112.180.79', 3278943311, 3278943311, 'BE', 'Belgium'),
(122526, '195.112.180.80', '195.112.180.82', 3278943312, 3278943314, 'DE', 'Germany'),
(122527, '195.112.180.83', '195.112.180.84', 3278943315, 3278943316, 'FR', 'France'),
(122528, '195.112.180.85', '195.112.180.86', 3278943317, 3278943318, 'DE', 'Germany'),
(122529, '195.112.180.87', '195.112.180.87', 3278943319, 3278943319, 'NL', 'Netherlands'),
(122530, '195.112.180.88', '195.112.180.88', 3278943320, 3278943320, 'BE', 'Belgium'),
(122531, '195.112.180.89', '195.112.180.89', 3278943321, 3278943321, 'DE', 'Germany'),
(122532, '195.112.180.90', '195.112.180.90', 3278943322, 3278943322, 'NL', 'Netherlands'),
(122533, '195.112.180.91', '195.112.180.91', 3278943323, 3278943323, 'FR', 'France'),
(122534, '195.112.180.92', '195.112.180.92', 3278943324, 3278943324, 'GB', 'United Kingdom'),
(122535, '195.112.180.93', '195.112.180.94', 3278943325, 3278943326, 'DE', 'Germany'),
(122536, '195.112.180.95', '195.112.180.96', 3278943327, 3278943328, 'IT', 'Italy'),
(122537, '195.112.180.97', '195.112.180.97', 3278943329, 3278943329, 'DE', 'Germany'),
(122538, '195.112.180.98', '195.112.180.98', 3278943330, 3278943330, 'ES', 'Spain'),
(122539, '195.112.180.99', '195.112.180.99', 3278943331, 3278943331, 'PL', 'Poland'),
(122540, '195.112.180.100', '195.112.180.101', 3278943332, 3278943333, 'DE', 'Germany'),
(122541, '195.112.180.102', '195.112.180.102', 3278943334, 3278943334, 'FR', 'France'),
(122542, '195.112.180.103', '195.112.180.103', 3278943335, 3278943335, 'AT', 'Austria'),
(122543, '195.112.180.104', '195.112.180.105', 3278943336, 3278943337, 'IT', 'Italy'),
(122544, '195.112.180.106', '195.112.180.106', 3278943338, 3278943338, 'DE', 'Germany'),
(122545, '195.112.180.107', '195.112.180.107', 3278943339, 3278943339, 'PT', 'Portugal'),
(122546, '195.112.180.108', '195.112.180.108', 3278943340, 3278943340, 'ES', 'Spain'),
(122547, '195.112.180.109', '195.112.180.109', 3278943341, 3278943341, 'CH', 'Switzerland'),
(122548, '195.112.180.110', '195.112.180.111', 3278943342, 3278943343, 'DE', 'Germany'),
(122549, '195.112.180.112', '195.112.180.112', 3278943344, 3278943344, 'GB', 'United Kingdom'),
(122550, '195.112.180.113', '195.112.180.113', 3278943345, 3278943345, 'DE', 'Germany'),
(122551, '195.112.180.114', '195.112.180.114', 3278943346, 3278943346, 'FR', 'France'),
(122552, '195.112.180.115', '195.112.180.115', 3278943347, 3278943347, 'DE', 'Germany'),
(122553, '195.112.180.116', '195.112.180.117', 3278943348, 3278943349, 'GB', 'United Kingdom'),
(122554, '195.112.180.118', '195.112.180.119', 3278943350, 3278943351, 'DE', 'Germany'),
(122555, '195.112.180.120', '195.112.180.120', 3278943352, 3278943352, 'NL', 'Netherlands'),
(122556, '195.112.180.121', '195.112.180.121', 3278943353, 3278943353, 'DE', 'Germany'),
(122557, '195.112.180.122', '195.112.180.123', 3278943354, 3278943355, 'ES', 'Spain'),
(122558, '195.112.180.124', '195.112.180.124', 3278943356, 3278943356, 'FR', 'France'),
(122559, '195.112.180.125', '195.112.180.125', 3278943357, 3278943357, 'ES', 'Spain'),
(122560, '195.112.180.126', '195.112.180.126', 3278943358, 3278943358, 'FR', 'France'),
(122561, '195.112.180.127', '195.112.180.127', 3278943359, 3278943359, 'ES', 'Spain'),
(122562, '195.112.180.128', '195.112.180.128', 3278943360, 3278943360, 'CH', 'Switzerland'),
(122563, '195.112.180.129', '195.112.180.129', 3278943361, 3278943361, 'DE', 'Germany'),
(122564, '195.112.180.130', '195.112.180.130', 3278943362, 3278943362, 'IT', 'Italy'),
(122565, '195.112.180.131', '195.112.180.131', 3278943363, 3278943363, 'DE', 'Germany'),
(122566, '195.112.180.132', '195.112.180.132', 3278943364, 3278943364, 'IT', 'Italy'),
(122567, '195.112.180.133', '195.112.180.134', 3278943365, 3278943366, 'DE', 'Germany'),
(122568, '195.112.180.135', '195.112.180.135', 3278943367, 3278943367, 'FR', 'France'),
(122569, '195.112.180.136', '195.112.180.137', 3278943368, 3278943369, 'DE', 'Germany'),
(122570, '195.112.180.138', '195.112.180.138', 3278943370, 3278943370, 'FR', 'France'),
(122571, '195.112.180.139', '195.112.180.139', 3278943371, 3278943371, 'DE', 'Germany'),
(122572, '195.112.180.140', '195.112.180.140', 3278943372, 3278943372, 'CH', 'Switzerland'),
(122573, '195.112.180.141', '195.112.180.142', 3278943373, 3278943374, 'GR', 'Greece'),
(122574, '195.112.180.143', '195.112.180.143', 3278943375, 3278943375, 'ES', 'Spain'),
(122575, '195.112.180.144', '195.112.180.144', 3278943376, 3278943376, 'NO', 'Norway'),
(122576, '195.112.180.145', '195.112.180.145', 3278943377, 3278943377, 'IT', 'Italy'),
(122577, '195.112.180.146', '195.112.180.146', 3278943378, 3278943378, 'DE', 'Germany'),
(122578, '195.112.180.147', '195.112.180.147', 3278943379, 3278943379, 'CH', 'Switzerland'),
(122579, '195.112.180.148', '195.112.180.148', 3278943380, 3278943380, 'ES', 'Spain'),
(122580, '195.112.180.149', '195.112.180.149', 3278943381, 3278943381, 'GB', 'United Kingdom'),
(122581, '195.112.180.150', '195.112.180.150', 3278943382, 3278943382, 'ES', 'Spain'),
(122582, '195.112.180.151', '195.112.180.151', 3278943383, 3278943383, 'PL', 'Poland'),
(122583, '195.112.180.152', '195.112.180.152', 3278943384, 3278943384, 'IT', 'Italy'),
(122584, '195.112.180.153', '195.112.180.153', 3278943385, 3278943385, 'DE', 'Germany'),
(122585, '195.112.180.154', '195.112.180.155', 3278943386, 3278943387, 'FR', 'France'),
(122586, '195.112.180.156', '195.112.180.156', 3278943388, 3278943388, 'ES', 'Spain'),
(122587, '195.112.180.157', '195.112.180.157', 3278943389, 3278943389, 'BE', 'Belgium'),
(122588, '195.112.180.158', '195.112.180.158', 3278943390, 3278943390, 'ES', 'Spain'),
(122589, '195.112.180.159', '195.112.180.159', 3278943391, 3278943391, 'DE', 'Germany'),
(122590, '195.112.180.160', '195.112.180.160', 3278943392, 3278943392, 'PL', 'Poland'),
(122591, '195.112.180.161', '195.112.180.161', 3278943393, 3278943393, 'CH', 'Switzerland'),
(122592, '195.112.180.162', '195.112.180.162', 3278943394, 3278943394, 'FR', 'France'),
(122593, '195.112.180.163', '195.112.180.163', 3278943395, 3278943395, 'IT', 'Italy'),
(122594, '195.112.180.164', '195.112.180.164', 3278943396, 3278943396, 'NL', 'Netherlands'),
(122595, '195.112.180.165', '195.112.180.167', 3278943397, 3278943399, 'DE', 'Germany'),
(122596, '195.112.180.168', '195.112.180.168', 3278943400, 3278943400, 'FR', 'France'),
(122597, '195.112.180.169', '195.112.180.169', 3278943401, 3278943401, 'DE', 'Germany'),
(122598, '195.112.180.170', '195.112.180.170', 3278943402, 3278943402, 'FR', 'France'),
(122599, '195.112.180.171', '195.112.180.171', 3278943403, 3278943403, 'GB', 'United Kingdom'),
(122600, '195.112.180.172', '195.112.180.172', 3278943404, 3278943404, 'DE', 'Germany'),
(122601, '195.112.180.173', '195.112.180.173', 3278943405, 3278943405, 'GB', 'United Kingdom'),
(122602, '195.112.180.174', '195.112.180.174', 3278943406, 3278943406, 'AT', 'Austria'),
(122603, '195.112.180.175', '195.112.180.175', 3278943407, 3278943407, 'DE', 'Germany'),
(122604, '195.112.180.176', '195.112.180.176', 3278943408, 3278943408, 'FR', 'France'),
(122605, '195.112.180.177', '195.112.180.177', 3278943409, 3278943409, 'IT', 'Italy'),
(122606, '195.112.180.178', '195.112.180.178', 3278943410, 3278943410, 'NL', 'Netherlands'),
(122607, '195.112.180.179', '195.112.180.179', 3278943411, 3278943411, 'ES', 'Spain'),
(122608, '195.112.180.180', '195.112.180.180', 3278943412, 3278943412, 'GB', 'United Kingdom'),
(122609, '195.112.180.181', '195.112.180.181', 3278943413, 3278943413, 'NL', 'Netherlands'),
(122610, '195.112.180.182', '195.112.180.182', 3278943414, 3278943414, 'ES', 'Spain'),
(122611, '195.112.180.183', '195.112.180.183', 3278943415, 3278943415, 'UA', 'Ukraine'),
(122612, '195.112.180.184', '195.112.180.184', 3278943416, 3278943416, 'NL', 'Netherlands'),
(122613, '195.112.180.185', '195.112.180.185', 3278943417, 3278943417, 'DE', 'Germany'),
(122614, '195.112.180.186', '195.112.180.186', 3278943418, 3278943418, 'GB', 'United Kingdom'),
(122615, '195.112.180.187', '195.112.180.187', 3278943419, 3278943419, 'ES', 'Spain'),
(122616, '195.112.180.188', '195.112.180.188', 3278943420, 3278943420, 'BE', 'Belgium'),
(122617, '195.112.180.189', '195.112.180.190', 3278943421, 3278943422, 'DE', 'Germany'),
(122618, '195.112.180.191', '195.112.180.191', 3278943423, 3278943423, 'IT', 'Italy'),
(122619, '195.112.180.192', '195.112.180.192', 3278943424, 3278943424, 'DE', 'Germany'),
(122620, '195.112.180.193', '195.112.180.193', 3278943425, 3278943425, 'GB', 'United Kingdom'),
(122621, '195.112.180.194', '195.112.180.194', 3278943426, 3278943426, 'DE', 'Germany'),
(122622, '195.112.180.195', '195.112.180.195', 3278943427, 3278943427, 'AT', 'Austria'),
(122623, '195.112.180.196', '195.112.180.196', 3278943428, 3278943428, 'DE', 'Germany'),
(122624, '195.112.180.197', '195.112.180.198', 3278943429, 3278943430, 'IT', 'Italy'),
(122625, '195.112.180.199', '195.112.180.199', 3278943431, 3278943431, 'CH', 'Switzerland'),
(122626, '195.112.180.200', '195.112.180.200', 3278943432, 3278943432, 'DE', 'Germany'),
(122627, '195.112.180.201', '195.112.180.201', 3278943433, 3278943433, 'GB', 'United Kingdom'),
(122628, '195.112.180.202', '195.112.180.203', 3278943434, 3278943435, 'DE', 'Germany'),
(122629, '195.112.180.204', '195.112.180.204', 3278943436, 3278943436, 'ES', 'Spain'),
(122630, '195.112.180.205', '195.112.180.205', 3278943437, 3278943437, 'FR', 'France'),
(122631, '195.112.180.206', '195.112.180.206', 3278943438, 3278943438, 'DE', 'Germany'),
(122632, '195.112.180.207', '195.112.180.207', 3278943439, 3278943439, 'SE', 'Sweden'),
(122633, '195.112.180.208', '195.112.180.208', 3278943440, 3278943440, 'DK', 'Denmark'),
(122634, '195.112.180.209', '195.112.180.209', 3278943441, 3278943441, 'IT', 'Italy'),
(122635, '195.112.180.210', '195.112.180.210', 3278943442, 3278943442, 'FR', 'France'),
(122636, '195.112.180.211', '195.112.180.213', 3278943443, 3278943445, 'DE', 'Germany'),
(122637, '195.112.180.214', '195.112.180.214', 3278943446, 3278943446, 'CH', 'Switzerland'),
(122638, '195.112.180.215', '195.112.180.215', 3278943447, 3278943447, 'DE', 'Germany'),
(122639, '195.112.180.216', '195.112.180.216', 3278943448, 3278943448, 'FR', 'France'),
(122640, '195.112.180.217', '195.112.180.217', 3278943449, 3278943449, 'DE', 'Germany'),
(122641, '195.112.180.218', '195.112.180.218', 3278943450, 3278943450, 'CH', 'Switzerland'),
(122642, '195.112.180.219', '195.112.180.219', 3278943451, 3278943451, 'AT', 'Austria'),
(122643, '195.112.180.220', '195.112.180.220', 3278943452, 3278943452, 'DE', 'Germany'),
(122644, '195.112.180.221', '195.112.180.221', 3278943453, 3278943453, 'PT', 'Portugal'),
(122645, '195.112.180.222', '195.112.180.223', 3278943454, 3278943455, 'DE', 'Germany'),
(122646, '195.112.180.224', '195.112.180.224', 3278943456, 3278943456, 'IT', 'Italy'),
(122647, '195.112.180.225', '195.112.180.225', 3278943457, 3278943457, 'GB', 'United Kingdom'),
(122648, '195.112.180.226', '195.112.180.227', 3278943458, 3278943459, 'DE', 'Germany'),
(122649, '195.112.180.228', '195.112.180.228', 3278943460, 3278943460, 'FR', 'France'),
(122650, '195.112.180.229', '195.112.180.232', 3278943461, 3278943464, 'DE', 'Germany'),
(122651, '195.112.180.233', '195.112.180.233', 3278943465, 3278943465, 'ES', 'Spain'),
(122652, '195.112.180.234', '195.112.180.234', 3278943466, 3278943466, 'DE', 'Germany'),
(122653, '195.112.180.235', '195.112.180.235', 3278943467, 3278943467, 'ES', 'Spain'),
(122654, '195.112.180.236', '195.112.180.236', 3278943468, 3278943468, 'DE', 'Germany'),
(122655, '195.112.180.237', '195.112.180.237', 3278943469, 3278943469, 'NL', 'Netherlands'),
(122656, '195.112.180.238', '195.112.180.239', 3278943470, 3278943471, 'ES', 'Spain'),
(122657, '195.112.180.240', '195.112.180.240', 3278943472, 3278943472, 'BE', 'Belgium'),
(122658, '195.112.180.241', '195.112.180.241', 3278943473, 3278943473, 'DE', 'Germany'),
(122659, '195.112.180.242', '195.112.180.242', 3278943474, 3278943474, 'BE', 'Belgium'),
(122660, '195.112.180.243', '195.112.180.245', 3278943475, 3278943477, 'DE', 'Germany'),
(122661, '195.112.180.246', '195.112.180.246', 3278943478, 3278943478, 'NL', 'Netherlands'),
(122662, '195.112.180.247', '195.112.180.249', 3278943479, 3278943481, 'DE', 'Germany'),
(122663, '195.112.180.250', '195.112.180.250', 3278943482, 3278943482, 'IT', 'Italy'),
(122664, '195.112.180.251', '195.112.181.1', 3278943483, 3278943489, 'DE', 'Germany'),
(122665, '195.112.181.2', '195.112.181.2', 3278943490, 3278943490, 'BE', 'Belgium'),
(122666, '195.112.181.3', '195.112.181.3', 3278943491, 3278943491, 'DE', 'Germany'),
(122667, '195.112.181.4', '195.112.181.4', 3278943492, 3278943492, 'CH', 'Switzerland'),
(122668, '195.112.181.5', '195.112.181.6', 3278943493, 3278943494, 'DE', 'Germany'),
(122669, '195.112.181.7', '195.112.181.7', 3278943495, 3278943495, 'FR', 'France'),
(122670, '195.112.181.8', '195.112.181.8', 3278943496, 3278943496, 'GB', 'United Kingdom'),
(122671, '195.112.181.9', '195.112.181.9', 3278943497, 3278943497, 'AT', 'Austria'),
(122672, '195.112.181.10', '195.112.181.11', 3278943498, 3278943499, 'DE', 'Germany'),
(122673, '195.112.181.12', '195.112.181.12', 3278943500, 3278943500, 'IT', 'Italy'),
(122674, '195.112.181.13', '195.112.181.13', 3278943501, 3278943501, 'FR', 'France'),
(122675, '195.112.181.14', '195.112.181.16', 3278943502, 3278943504, 'DE', 'Germany'),
(122676, '195.112.181.17', '195.112.181.17', 3278943505, 3278943505, 'LI', 'Liechtenstein'),
(122677, '195.112.181.18', '195.112.181.18', 3278943506, 3278943506, 'AT', 'Austria'),
(122678, '195.112.181.19', '195.112.181.19', 3278943507, 3278943507, 'FR', 'France'),
(122679, '195.112.181.20', '195.112.181.21', 3278943508, 3278943509, 'IT', 'Italy'),
(122680, '195.112.181.22', '195.112.181.22', 3278943510, 3278943510, 'DE', 'Germany'),
(122681, '195.112.181.23', '195.112.181.24', 3278943511, 3278943512, 'IT', 'Italy'),
(122682, '195.112.181.25', '195.112.181.25', 3278943513, 3278943513, 'ES', 'Spain'),
(122683, '195.112.181.26', '195.112.181.26', 3278943514, 3278943514, 'BE', 'Belgium'),
(122684, '195.112.181.27', '195.112.181.27', 3278943515, 3278943515, 'DE', 'Germany'),
(122685, '195.112.181.28', '195.112.181.29', 3278943516, 3278943517, 'ES', 'Spain'),
(122686, '195.112.181.30', '195.112.181.30', 3278943518, 3278943518, 'FR', 'France'),
(122687, '195.112.181.31', '195.112.181.31', 3278943519, 3278943519, 'HU', 'Hungary'),
(122688, '195.112.181.32', '195.112.181.32', 3278943520, 3278943520, 'AT', 'Austria'),
(122689, '195.112.181.33', '195.112.181.33', 3278943521, 3278943521, 'ES', 'Spain'),
(122690, '195.112.181.34', '195.112.181.35', 3278943522, 3278943523, 'DE', 'Germany'),
(122691, '195.112.181.36', '195.112.181.36', 3278943524, 3278943524, 'AT', 'Austria'),
(122692, '195.112.181.37', '195.112.181.37', 3278943525, 3278943525, 'BE', 'Belgium'),
(122693, '195.112.181.38', '195.112.181.38', 3278943526, 3278943526, 'FR', 'France'),
(122694, '195.112.181.39', '195.112.181.39', 3278943527, 3278943527, 'DE', 'Germany'),
(122695, '195.112.181.40', '195.112.181.40', 3278943528, 3278943528, 'CH', 'Switzerland'),
(122696, '195.112.181.41', '195.112.181.41', 3278943529, 3278943529, 'DE', 'Germany'),
(122697, '195.112.181.42', '195.112.181.42', 3278943530, 3278943530, 'AT', 'Austria'),
(122698, '195.112.181.43', '195.112.181.43', 3278943531, 3278943531, 'DE', 'Germany'),
(122699, '195.112.181.44', '195.112.181.44', 3278943532, 3278943532, 'NL', 'Netherlands'),
(122700, '195.112.181.45', '195.112.181.45', 3278943533, 3278943533, 'ES', 'Spain'),
(122701, '195.112.181.46', '195.112.181.46', 3278943534, 3278943534, 'GB', 'United Kingdom'),
(122702, '195.112.181.47', '195.112.181.47', 3278943535, 3278943535, 'BR', 'Brazil'),
(122703, '195.112.181.48', '195.112.181.49', 3278943536, 3278943537, 'ES', 'Spain'),
(122704, '195.112.181.50', '195.112.181.50', 3278943538, 3278943538, 'RE', 'Reunion'),
(122705, '195.112.181.51', '195.112.181.51', 3278943539, 3278943539, 'IT', 'Italy'),
(122706, '195.112.181.52', '195.112.181.52', 3278943540, 3278943540, 'ES', 'Spain'),
(122707, '195.112.181.53', '195.112.181.54', 3278943541, 3278943542, 'DE', 'Germany'),
(122708, '195.112.181.55', '195.112.181.55', 3278943543, 3278943543, 'IT', 'Italy'),
(122709, '195.112.181.56', '195.112.181.57', 3278943544, 3278943545, 'DE', 'Germany'),
(122710, '195.112.181.58', '195.112.181.58', 3278943546, 3278943546, 'NL', 'Netherlands'),
(122711, '195.112.181.59', '195.112.181.59', 3278943547, 3278943547, 'CH', 'Switzerland'),
(122712, '195.112.181.60', '195.112.181.60', 3278943548, 3278943548, 'GB', 'United Kingdom'),
(122713, '195.112.181.61', '195.112.181.61', 3278943549, 3278943549, 'IL', 'Israel'),
(122714, '195.112.181.62', '195.112.181.62', 3278943550, 3278943550, 'IT', 'Italy'),
(122715, '195.112.181.63', '195.112.181.63', 3278943551, 3278943551, 'DE', 'Germany'),
(122716, '195.112.181.64', '195.112.181.64', 3278943552, 3278943552, 'IT', 'Italy'),
(122717, '195.112.181.65', '195.112.181.65', 3278943553, 3278943553, 'DE', 'Germany'),
(122718, '195.112.181.66', '195.112.181.66', 3278943554, 3278943554, 'FR', 'France'),
(122719, '195.112.181.67', '195.112.181.67', 3278943555, 3278943555, 'DE', 'Germany'),
(122720, '195.112.181.68', '195.112.181.68', 3278943556, 3278943556, 'FR', 'France'),
(122721, '195.112.181.69', '195.112.181.69', 3278943557, 3278943557, 'DE', 'Germany'),
(122722, '195.112.181.70', '195.112.181.70', 3278943558, 3278943558, 'AT', 'Austria'),
(122723, '195.112.181.71', '195.112.181.72', 3278943559, 3278943560, 'DE', 'Germany'),
(122724, '195.112.181.73', '195.112.181.73', 3278943561, 3278943561, 'FR', 'France'),
(122725, '195.112.181.74', '195.112.181.76', 3278943562, 3278943564, 'DE', 'Germany'),
(122726, '195.112.181.77', '195.112.181.77', 3278943565, 3278943565, 'GB', 'United Kingdom'),
(122727, '195.112.181.78', '195.112.181.78', 3278943566, 3278943566, 'BE', 'Belgium'),
(122728, '195.112.181.79', '195.112.181.79', 3278943567, 3278943567, 'AE', 'United Arab Emirates'),
(122729, '195.112.181.80', '195.112.181.80', 3278943568, 3278943568, 'NL', 'Netherlands'),
(122730, '195.112.181.81', '195.112.181.81', 3278943569, 3278943569, 'ES', 'Spain'),
(122731, '195.112.181.82', '195.112.181.82', 3278943570, 3278943570, 'DE', 'Germany'),
(122732, '195.112.181.83', '195.112.181.83', 3278943571, 3278943571, 'BE', 'Belgium'),
(122733, '195.112.181.84', '195.112.181.84', 3278943572, 3278943572, 'GB', 'United Kingdom'),
(122734, '195.112.181.85', '195.112.181.85', 3278943573, 3278943573, 'DE', 'Germany'),
(122735, '195.112.181.86', '195.112.181.86', 3278943574, 3278943574, 'DK', 'Denmark'),
(122736, '195.112.181.87', '195.112.181.87', 3278943575, 3278943575, 'BE', 'Belgium'),
(122737, '195.112.181.88', '195.112.181.88', 3278943576, 3278943576, 'NL', 'Netherlands'),
(122738, '195.112.181.89', '195.112.181.89', 3278943577, 3278943577, 'FR', 'France'),
(122739, '195.112.181.90', '195.112.181.90', 3278943578, 3278943578, 'DE', 'Germany'),
(122740, '195.112.181.91', '195.112.181.91', 3278943579, 3278943579, 'BE', 'Belgium'),
(122741, '195.112.181.92', '195.112.181.92', 3278943580, 3278943580, 'IT', 'Italy'),
(122742, '195.112.181.93', '195.112.181.93', 3278943581, 3278943581, 'CH', 'Switzerland'),
(122743, '195.112.181.94', '195.112.181.94', 3278943582, 3278943582, 'DE', 'Germany'),
(122744, '195.112.181.95', '195.112.181.95', 3278943583, 3278943583, 'NL', 'Netherlands'),
(122745, '195.112.181.96', '195.112.181.97', 3278943584, 3278943585, 'DE', 'Germany'),
(122746, '195.112.181.98', '195.112.181.98', 3278943586, 3278943586, 'NL', 'Netherlands'),
(122747, '195.112.181.99', '195.112.181.99', 3278943587, 3278943587, 'ES', 'Spain'),
(122748, '195.112.181.100', '195.112.181.100', 3278943588, 3278943588, 'DE', 'Germany'),
(122749, '195.112.181.101', '195.112.181.101', 3278943589, 3278943589, 'IT', 'Italy'),
(122750, '195.112.181.102', '195.112.181.102', 3278943590, 3278943590, 'DE', 'Germany'),
(122751, '195.112.181.103', '195.112.181.103', 3278943591, 3278943591, 'NL', 'Netherlands'),
(122752, '195.112.181.104', '195.112.181.104', 3278943592, 3278943592, 'DE', 'Germany'),
(122753, '195.112.181.105', '195.112.181.105', 3278943593, 3278943593, 'PL', 'Poland'),
(122754, '195.112.181.106', '195.112.181.106', 3278943594, 3278943594, 'ES', 'Spain'),
(122755, '195.112.181.107', '195.112.181.107', 3278943595, 3278943595, 'GB', 'United Kingdom'),
(122756, '195.112.181.108', '195.112.181.108', 3278943596, 3278943596, 'GR', 'Greece'),
(122757, '195.112.181.109', '195.112.181.110', 3278943597, 3278943598, 'DE', 'Germany'),
(122758, '195.112.181.111', '195.112.181.111', 3278943599, 3278943599, 'ES', 'Spain'),
(122759, '195.112.181.112', '195.112.181.113', 3278943600, 3278943601, 'DE', 'Germany'),
(122760, '195.112.181.114', '195.112.181.114', 3278943602, 3278943602, 'PL', 'Poland'),
(122761, '195.112.181.115', '195.112.181.115', 3278943603, 3278943603, 'FR', 'France'),
(122762, '195.112.181.116', '195.112.181.116', 3278943604, 3278943604, 'ES', 'Spain'),
(122763, '195.112.181.117', '195.112.181.117', 3278943605, 3278943605, 'DE', 'Germany'),
(122764, '195.112.181.118', '195.112.181.118', 3278943606, 3278943606, 'AT', 'Austria'),
(122765, '195.112.181.119', '195.112.181.119', 3278943607, 3278943607, 'DE', 'Germany'),
(122766, '195.112.181.120', '195.112.181.120', 3278943608, 3278943608, 'ES', 'Spain'),
(122767, '195.112.181.121', '195.112.181.121', 3278943609, 3278943609, 'DE', 'Germany'),
(122768, '195.112.181.122', '195.112.181.122', 3278943610, 3278943610, 'BE', 'Belgium'),
(122769, '195.112.181.123', '195.112.181.123', 3278943611, 3278943611, 'NL', 'Netherlands'),
(122770, '195.112.181.124', '195.112.181.125', 3278943612, 3278943613, 'DE', 'Germany'),
(122771, '195.112.181.126', '195.112.181.126', 3278943614, 3278943614, 'IT', 'Italy'),
(122772, '195.112.181.127', '195.112.181.127', 3278943615, 3278943615, 'CH', 'Switzerland'),
(122773, '195.112.181.128', '195.112.181.128', 3278943616, 3278943616, 'DE', 'Germany'),
(122774, '195.112.181.129', '195.112.181.129', 3278943617, 3278943617, 'ES', 'Spain'),
(122775, '195.112.181.130', '195.112.181.131', 3278943618, 3278943619, 'DE', 'Germany'),
(122776, '195.112.181.132', '195.112.181.132', 3278943620, 3278943620, 'IT', 'Italy'),
(122777, '195.112.181.133', '195.112.181.133', 3278943621, 3278943621, 'CH', 'Switzerland'),
(122778, '195.112.181.134', '195.112.181.134', 3278943622, 3278943622, 'IT', 'Italy'),
(122779, '195.112.181.135', '195.112.181.135', 3278943623, 3278943623, 'DK', 'Denmark'),
(122780, '195.112.181.136', '195.112.181.136', 3278943624, 3278943624, 'DE', 'Germany'),
(122781, '195.112.181.137', '195.112.181.137', 3278943625, 3278943625, 'FR', 'France'),
(122782, '195.112.181.138', '195.112.181.140', 3278943626, 3278943628, 'DE', 'Germany'),
(122783, '195.112.181.141', '195.112.181.142', 3278943629, 3278943630, 'FR', 'France'),
(122784, '195.112.181.143', '195.112.181.144', 3278943631, 3278943632, 'DE', 'Germany'),
(122785, '195.112.181.145', '195.112.181.145', 3278943633, 3278943633, 'GB', 'United Kingdom'),
(122786, '195.112.181.146', '195.112.181.146', 3278943634, 3278943634, 'DE', 'Germany'),
(122787, '195.112.181.147', '195.112.181.147', 3278943635, 3278943635, 'IT', 'Italy'),
(122788, '195.112.181.148', '195.112.181.148', 3278943636, 3278943636, 'CH', 'Switzerland'),
(122789, '195.112.181.149', '195.112.181.150', 3278943637, 3278943638, 'IT', 'Italy'),
(122790, '195.112.181.151', '195.112.181.151', 3278943639, 3278943639, 'HU', 'Hungary'),
(122791, '195.112.181.152', '195.112.181.153', 3278943640, 3278943641, 'DE', 'Germany'),
(122792, '195.112.181.154', '195.112.181.154', 3278943642, 3278943642, 'FR', 'France'),
(122793, '195.112.181.155', '195.112.181.155', 3278943643, 3278943643, 'NL', 'Netherlands'),
(122794, '195.112.181.156', '195.112.181.157', 3278943644, 3278943645, 'FR', 'France'),
(122795, '195.112.181.158', '195.112.181.158', 3278943646, 3278943646, 'IT', 'Italy'),
(122796, '195.112.181.159', '195.112.181.159', 3278943647, 3278943647, 'DE', 'Germany'),
(122797, '195.112.181.160', '195.112.181.160', 3278943648, 3278943648, 'DK', 'Denmark'),
(122798, '195.112.181.161', '195.112.181.161', 3278943649, 3278943649, 'DE', 'Germany'),
(122799, '195.112.181.162', '195.112.181.162', 3278943650, 3278943650, 'ES', 'Spain'),
(122800, '195.112.181.163', '195.112.181.163', 3278943651, 3278943651, 'FR', 'France'),
(122801, '195.112.181.164', '195.112.181.165', 3278943652, 3278943653, 'IT', 'Italy'),
(122802, '195.112.181.166', '195.112.181.166', 3278943654, 3278943654, 'BE', 'Belgium'),
(122803, '195.112.181.167', '195.112.181.167', 3278943655, 3278943655, 'FR', 'France'),
(122804, '195.112.181.168', '195.112.181.168', 3278943656, 3278943656, 'AT', 'Austria'),
(122805, '195.112.181.169', '195.112.181.170', 3278943657, 3278943658, 'DE', 'Germany'),
(122806, '195.112.181.171', '195.112.181.171', 3278943659, 3278943659, 'NL', 'Netherlands'),
(122807, '195.112.181.172', '195.112.181.172', 3278943660, 3278943660, 'CY', 'Cyprus'),
(122808, '195.112.181.173', '195.112.181.173', 3278943661, 3278943661, 'DE', 'Germany'),
(122809, '195.112.181.174', '195.112.181.174', 3278943662, 3278943662, 'ES', 'Spain'),
(122810, '195.112.181.175', '195.112.181.175', 3278943663, 3278943663, 'CH', 'Switzerland'),
(122811, '195.112.181.176', '195.112.181.178', 3278943664, 3278943666, 'ES', 'Spain'),
(122812, '195.112.181.179', '195.112.181.179', 3278943667, 3278943667, 'IT', 'Italy'),
(122813, '195.112.181.180', '195.112.181.181', 3278943668, 3278943669, 'DE', 'Germany'),
(122814, '195.112.181.182', '195.112.181.182', 3278943670, 3278943670, 'IT', 'Italy'),
(122815, '195.112.181.183', '195.112.181.184', 3278943671, 3278943672, 'DE', 'Germany'),
(122816, '195.112.181.185', '195.112.181.185', 3278943673, 3278943673, 'ES', 'Spain'),
(122817, '195.112.181.186', '195.112.181.187', 3278943674, 3278943675, 'DE', 'Germany'),
(122818, '195.112.181.188', '195.112.181.188', 3278943676, 3278943676, 'LU', 'Luxembourg'),
(122819, '195.112.181.189', '195.112.181.189', 3278943677, 3278943677, 'IT', 'Italy'),
(122820, '195.112.181.190', '195.112.181.190', 3278943678, 3278943678, 'BE', 'Belgium'),
(122821, '195.112.181.191', '195.112.181.191', 3278943679, 3278943679, 'FR', 'France'),
(122822, '195.112.181.192', '195.112.181.192', 3278943680, 3278943680, 'GB', 'United Kingdom'),
(122823, '195.112.181.193', '195.112.181.193', 3278943681, 3278943681, 'CH', 'Switzerland'),
(122824, '195.112.181.194', '195.112.181.194', 3278943682, 3278943682, 'DE', 'Germany'),
(122825, '195.112.181.195', '195.112.181.195', 3278943683, 3278943683, 'PT', 'Portugal'),
(122826, '195.112.181.196', '195.112.181.196', 3278943684, 3278943684, 'AD', 'Andorra'),
(122827, '195.112.181.197', '195.112.181.198', 3278943685, 3278943686, 'DE', 'Germany'),
(122828, '195.112.181.199', '195.112.181.199', 3278943687, 3278943687, 'CH', 'Switzerland'),
(122829, '195.112.181.200', '195.112.181.201', 3278943688, 3278943689, 'IT', 'Italy'),
(122830, '195.112.181.202', '195.112.181.202', 3278943690, 3278943690, 'ES', 'Spain'),
(122831, '195.112.181.203', '195.112.181.204', 3278943691, 3278943692, 'DE', 'Germany'),
(122832, '195.112.181.205', '195.112.181.205', 3278943693, 3278943693, 'PL', 'Poland'),
(122833, '195.112.181.206', '195.112.181.206', 3278943694, 3278943694, 'GB', 'United Kingdom'),
(122834, '195.112.181.207', '195.112.181.207', 3278943695, 3278943695, 'DE', 'Germany'),
(122835, '195.112.181.208', '195.112.181.208', 3278943696, 3278943696, 'GB', 'United Kingdom'),
(122836, '195.112.181.209', '195.112.181.209', 3278943697, 3278943697, 'AT', 'Austria'),
(122837, '195.112.181.210', '195.112.181.210', 3278943698, 3278943698, 'IT', 'Italy'),
(122838, '195.112.181.211', '195.112.181.211', 3278943699, 3278943699, 'FR', 'France'),
(122839, '195.112.181.212', '195.112.181.212', 3278943700, 3278943700, 'CH', 'Switzerland'),
(122840, '195.112.181.213', '195.112.181.213', 3278943701, 3278943701, 'AT', 'Austria'),
(122841, '195.112.181.214', '195.112.181.214', 3278943702, 3278943702, 'FR', 'France'),
(122842, '195.112.181.215', '195.112.181.215', 3278943703, 3278943703, 'PL', 'Poland'),
(122843, '195.112.181.216', '195.112.181.217', 3278943704, 3278943705, 'DE', 'Germany'),
(122844, '195.112.181.218', '195.112.181.218', 3278943706, 3278943706, 'ES', 'Spain'),
(122845, '195.112.181.219', '195.112.181.219', 3278943707, 3278943707, 'CH', 'Switzerland'),
(122846, '195.112.181.220', '195.112.181.222', 3278943708, 3278943710, 'DE', 'Germany'),
(122847, '195.112.181.223', '195.112.181.223', 3278943711, 3278943711, 'IT', 'Italy'),
(122848, '195.112.181.224', '195.112.181.225', 3278943712, 3278943713, 'DE', 'Germany'),
(122849, '195.112.181.226', '195.112.181.226', 3278943714, 3278943714, 'ES', 'Spain'),
(122850, '195.112.181.227', '195.112.181.227', 3278943715, 3278943715, 'DE', 'Germany'),
(122851, '195.112.181.228', '195.112.181.228', 3278943716, 3278943716, 'ES', 'Spain'),
(122852, '195.112.181.229', '195.112.181.231', 3278943717, 3278943719, 'DE', 'Germany'),
(122853, '195.112.181.232', '195.112.181.232', 3278943720, 3278943720, 'CH', 'Switzerland'),
(122854, '195.112.181.233', '195.112.181.238', 3278943721, 3278943726, 'DE', 'Germany'),
(122855, '195.112.181.239', '195.112.181.239', 3278943727, 3278943727, 'PL', 'Poland'),
(122856, '195.112.181.240', '195.112.181.241', 3278943728, 3278943729, 'DE', 'Germany'),
(122857, '195.112.181.242', '195.112.181.242', 3278943730, 3278943730, 'FR', 'France'),
(122858, '195.112.181.243', '195.112.181.243', 3278943731, 3278943731, 'DK', 'Denmark'),
(122859, '195.112.181.244', '195.112.181.245', 3278943732, 3278943733, 'CH', 'Switzerland'),
(122860, '195.112.181.246', '195.112.181.246', 3278943734, 3278943734, 'DE', 'Germany'),
(122861, '195.112.181.247', '195.112.181.247', 3278943735, 3278943735, 'AD', 'Andorra'),
(122862, '195.112.181.248', '195.112.181.248', 3278943736, 3278943736, 'DE', 'Germany'),
(122863, '195.112.181.249', '195.112.181.249', 3278943737, 3278943737, 'ES', 'Spain'),
(122864, '195.112.181.250', '195.112.181.252', 3278943738, 3278943740, 'DE', 'Germany'),
(122865, '195.112.181.253', '195.112.181.253', 3278943741, 3278943741, 'PT', 'Portugal'),
(122866, '195.112.181.254', '195.112.181.254', 3278943742, 3278943742, 'IL', 'Israel'),
(122867, '195.112.181.255', '195.112.182.1', 3278943743, 3278943745, 'DE', 'Germany'),
(122868, '195.112.182.2', '195.112.182.2', 3278943746, 3278943746, 'CH', 'Switzerland'),
(122869, '195.112.182.3', '195.112.182.3', 3278943747, 3278943747, 'DE', 'Germany'),
(122870, '195.112.182.4', '195.112.182.5', 3278943748, 3278943749, 'ES', 'Spain'),
(122871, '195.112.182.6', '195.112.182.7', 3278943750, 3278943751, 'DE', 'Germany'),
(122872, '195.112.182.8', '195.112.182.8', 3278943752, 3278943752, 'GR', 'Greece'),
(122873, '195.112.182.9', '195.112.182.9', 3278943753, 3278943753, 'DE', 'Germany'),
(122874, '195.112.182.10', '195.112.182.10', 3278943754, 3278943754, 'FR', 'France'),
(122875, '195.112.182.11', '195.112.182.11', 3278943755, 3278943755, 'SL', 'Sierra Leone'),
(122876, '195.112.182.12', '195.112.182.12', 3278943756, 3278943756, 'DE', 'Germany'),
(122877, '195.112.182.13', '195.112.182.13', 3278943757, 3278943757, 'FR', 'France'),
(122878, '195.112.182.14', '195.112.182.14', 3278943758, 3278943758, 'DE', 'Germany'),
(122879, '195.112.182.15', '195.112.182.15', 3278943759, 3278943759, 'NL', 'Netherlands'),
(122880, '195.112.182.16', '195.112.182.17', 3278943760, 3278943761, 'DE', 'Germany'),
(122881, '195.112.182.18', '195.112.182.18', 3278943762, 3278943762, 'CY', 'Cyprus'),
(122882, '195.112.182.19', '195.112.182.19', 3278943763, 3278943763, 'DE', 'Germany'),
(122883, '195.112.182.20', '195.112.182.20', 3278943764, 3278943764, 'FR', 'France'),
(122884, '195.112.182.21', '195.112.182.21', 3278943765, 3278943765, 'CH', 'Switzerland'),
(122885, '195.112.182.22', '195.112.182.22', 3278943766, 3278943766, 'BE', 'Belgium'),
(122886, '195.112.182.23', '195.112.182.23', 3278943767, 3278943767, 'ES', 'Spain'),
(122887, '195.112.182.24', '195.112.182.24', 3278943768, 3278943768, 'DE', 'Germany'),
(122888, '195.112.182.25', '195.112.182.25', 3278943769, 3278943769, 'CZ', 'Czech Republic'),
(122889, '195.112.182.26', '195.112.182.26', 3278943770, 3278943770, 'FR', 'France'),
(122890, '195.112.182.27', '195.112.182.27', 3278943771, 3278943771, 'CH', 'Switzerland'),
(122891, '195.112.182.28', '195.112.182.28', 3278943772, 3278943772, 'ES', 'Spain'),
(122892, '195.112.182.29', '195.112.182.29', 3278943773, 3278943773, 'IT', 'Italy'),
(122893, '195.112.182.30', '195.112.182.30', 3278943774, 3278943774, 'DE', 'Germany'),
(122894, '195.112.182.31', '195.112.182.32', 3278943775, 3278943776, 'PT', 'Portugal'),
(122895, '195.112.182.33', '195.112.182.33', 3278943777, 3278943777, 'FR', 'France'),
(122896, '195.112.182.34', '195.112.182.34', 3278943778, 3278943778, 'CH', 'Switzerland'),
(122897, '195.112.182.35', '195.112.182.36', 3278943779, 3278943780, 'DE', 'Germany'),
(122898, '195.112.182.37', '195.112.182.37', 3278943781, 3278943781, 'GB', 'United Kingdom'),
(122899, '195.112.182.38', '195.112.182.38', 3278943782, 3278943782, 'IT', 'Italy'),
(122900, '195.112.182.39', '195.112.182.42', 3278943783, 3278943786, 'DE', 'Germany'),
(122901, '195.112.182.43', '195.112.182.43', 3278943787, 3278943787, 'IT', 'Italy'),
(122902, '195.112.182.44', '195.112.182.44', 3278943788, 3278943788, 'DE', 'Germany'),
(122903, '195.112.182.45', '195.112.182.45', 3278943789, 3278943789, 'ES', 'Spain'),
(122904, '195.112.182.46', '195.112.182.46', 3278943790, 3278943790, 'DE', 'Germany'),
(122905, '195.112.182.47', '195.112.182.47', 3278943791, 3278943791, 'IT', 'Italy'),
(122906, '195.112.182.48', '195.112.182.48', 3278943792, 3278943792, 'FR', 'France'),
(122907, '195.112.182.49', '195.112.182.49', 3278943793, 3278943793, 'IT', 'Italy'),
(122908, '195.112.182.50', '195.112.182.50', 3278943794, 3278943794, 'HU', 'Hungary'),
(122909, '195.112.182.51', '195.112.182.52', 3278943795, 3278943796, 'DE', 'Germany'),
(122910, '195.112.182.53', '195.112.182.53', 3278943797, 3278943797, 'ES', 'Spain'),
(122911, '195.112.182.54', '195.112.182.54', 3278943798, 3278943798, 'DE', 'Germany'),
(122912, '195.112.182.55', '195.112.182.55', 3278943799, 3278943799, 'IE', 'Ireland'),
(122913, '195.112.182.56', '195.112.182.56', 3278943800, 3278943800, 'DE', 'Germany'),
(122914, '195.112.182.57', '195.112.182.57', 3278943801, 3278943801, 'LU', 'Luxembourg'),
(122915, '195.112.182.58', '195.112.182.58', 3278943802, 3278943802, 'DE', 'Germany'),
(122916, '195.112.182.59', '195.112.182.59', 3278943803, 3278943803, 'GB', 'United Kingdom'),
(122917, '195.112.182.60', '195.112.182.60', 3278943804, 3278943804, 'DE', 'Germany'),
(122918, '195.112.182.61', '195.112.182.61', 3278943805, 3278943805, 'DK', 'Denmark'),
(122919, '195.112.182.62', '195.112.182.62', 3278943806, 3278943806, 'ES', 'Spain'),
(122920, '195.112.182.63', '195.112.182.63', 3278943807, 3278943807, 'DE', 'Germany'),
(122921, '195.112.182.64', '195.112.182.64', 3278943808, 3278943808, 'IT', 'Italy'),
(122922, '195.112.182.65', '195.112.182.65', 3278943809, 3278943809, 'FR', 'France'),
(122923, '195.112.182.66', '195.112.182.66', 3278943810, 3278943810, 'DE', 'Germany'),
(122924, '195.112.182.67', '195.112.182.67', 3278943811, 3278943811, 'GR', 'Greece'),
(122925, '195.112.182.68', '195.112.182.68', 3278943812, 3278943812, 'IT', 'Italy'),
(122926, '195.112.182.69', '195.112.182.69', 3278943813, 3278943813, 'IN', 'India'),
(122927, '195.112.182.70', '195.112.182.70', 3278943814, 3278943814, 'ES', 'Spain'),
(122928, '195.112.182.71', '195.112.182.71', 3278943815, 3278943815, 'MA', 'Morocco'),
(122929, '195.112.182.72', '195.112.182.72', 3278943816, 3278943816, 'GB', 'United Kingdom'),
(122930, '195.112.182.73', '195.112.182.73', 3278943817, 3278943817, 'FR', 'France'),
(122931, '195.112.182.74', '195.112.182.74', 3278943818, 3278943818, 'DE', 'Germany'),
(122932, '195.112.182.75', '195.112.182.75', 3278943819, 3278943819, 'AT', 'Austria'),
(122933, '195.112.182.76', '195.112.182.76', 3278943820, 3278943820, 'DE', 'Germany'),
(122934, '195.112.182.77', '195.112.182.77', 3278943821, 3278943821, 'SM', 'San Marino'),
(122935, '195.112.182.78', '195.112.182.78', 3278943822, 3278943822, 'PL', 'Poland'),
(122936, '195.112.182.79', '195.112.182.79', 3278943823, 3278943823, 'DE', 'Germany'),
(122937, '195.112.182.80', '195.112.182.80', 3278943824, 3278943824, 'CH', 'Switzerland'),
(122938, '195.112.182.81', '195.112.182.82', 3278943825, 3278943826, 'DE', 'Germany'),
(122939, '195.112.182.83', '195.112.182.83', 3278943827, 3278943827, 'AT', 'Austria'),
(122940, '195.112.182.84', '195.112.182.84', 3278943828, 3278943828, 'ES', 'Spain'),
(122941, '195.112.182.85', '195.112.182.85', 3278943829, 3278943829, 'CH', 'Switzerland'),
(122942, '195.112.182.86', '195.112.182.86', 3278943830, 3278943830, 'ES', 'Spain'),
(122943, '195.112.182.87', '195.112.182.87', 3278943831, 3278943831, 'US', 'United States'),
(122944, '195.112.182.88', '195.112.182.88', 3278943832, 3278943832, 'BE', 'Belgium'),
(122945, '195.112.182.89', '195.112.182.89', 3278943833, 3278943833, 'IT', 'Italy'),
(122946, '195.112.182.90', '195.112.182.91', 3278943834, 3278943835, 'GB', 'United Kingdom'),
(122947, '195.112.182.92', '195.112.182.92', 3278943836, 3278943836, 'DE', 'Germany'),
(122948, '195.112.182.93', '195.112.182.93', 3278943837, 3278943837, 'ES', 'Spain'),
(122949, '195.112.182.94', '195.112.182.94', 3278943838, 3278943838, 'DE', 'Germany'),
(122950, '195.112.182.95', '195.112.182.95', 3278943839, 3278943839, 'IT', 'Italy'),
(122951, '195.112.182.96', '195.112.182.101', 3278943840, 3278943845, 'DE', 'Germany'),
(122952, '195.112.182.102', '195.112.182.102', 3278943846, 3278943846, 'GB', 'United Kingdom'),
(122953, '195.112.182.103', '195.112.182.103', 3278943847, 3278943847, 'FR', 'France'),
(122954, '195.112.182.104', '195.112.182.104', 3278943848, 3278943848, 'IT', 'Italy'),
(122955, '195.112.182.105', '195.112.182.105', 3278943849, 3278943849, 'DE', 'Germany'),
(122956, '195.112.182.106', '195.112.182.107', 3278943850, 3278943851, 'FR', 'France'),
(122957, '195.112.182.108', '195.112.182.108', 3278943852, 3278943852, 'BE', 'Belgium'),
(122958, '195.112.182.109', '195.112.182.109', 3278943853, 3278943853, 'GB', 'United Kingdom'),
(122959, '195.112.182.110', '195.112.182.110', 3278943854, 3278943854, 'ES', 'Spain'),
(122960, '195.112.182.111', '195.112.182.111', 3278943855, 3278943855, 'BE', 'Belgium'),
(122961, '195.112.182.112', '195.112.182.112', 3278943856, 3278943856, 'DE', 'Germany'),
(122962, '195.112.182.113', '195.112.182.113', 3278943857, 3278943857, 'PL', 'Poland'),
(122963, '195.112.182.114', '195.112.182.114', 3278943858, 3278943858, 'NL', 'Netherlands'),
(122964, '195.112.182.115', '195.112.182.115', 3278943859, 3278943859, 'DE', 'Germany'),
(122965, '195.112.182.116', '195.112.182.116', 3278943860, 3278943860, 'FR', 'France'),
(122966, '195.112.182.117', '195.112.182.118', 3278943861, 3278943862, 'DE', 'Germany'),
(122967, '195.112.182.119', '195.112.182.119', 3278943863, 3278943863, 'IT', 'Italy'),
(122968, '195.112.182.120', '195.112.182.120', 3278943864, 3278943864, 'DK', 'Denmark'),
(122969, '195.112.182.121', '195.112.182.121', 3278943865, 3278943865, 'GB', 'United Kingdom'),
(122970, '195.112.182.122', '195.112.182.122', 3278943866, 3278943866, 'IT', 'Italy'),
(122971, '195.112.182.123', '195.112.182.123', 3278943867, 3278943867, 'ES', 'Spain'),
(122972, '195.112.182.124', '195.112.182.124', 3278943868, 3278943868, 'IT', 'Italy'),
(122973, '195.112.182.125', '195.112.182.125', 3278943869, 3278943869, 'IE', 'Ireland'),
(122974, '195.112.182.126', '195.112.182.126', 3278943870, 3278943870, 'NL', 'Netherlands'),
(122975, '195.112.182.127', '195.112.182.127', 3278943871, 3278943871, 'FR', 'France'),
(122976, '195.112.182.128', '195.112.182.128', 3278943872, 3278943872, 'DE', 'Germany'),
(122977, '195.112.182.129', '195.112.182.129', 3278943873, 3278943873, 'IT', 'Italy'),
(122978, '195.112.182.130', '195.112.182.130', 3278943874, 3278943874, 'CH', 'Switzerland'),
(122979, '195.112.182.131', '195.112.182.131', 3278943875, 3278943875, 'IL', 'Israel'),
(122980, '195.112.182.132', '195.112.182.137', 3278943876, 3278943881, 'DE', 'Germany'),
(122981, '195.112.182.138', '195.112.182.138', 3278943882, 3278943882, 'PL', 'Poland'),
(122982, '195.112.182.139', '195.112.182.139', 3278943883, 3278943883, 'CH', 'Switzerland'),
(122983, '195.112.182.140', '195.112.182.140', 3278943884, 3278943884, 'DE', 'Germany'),
(122984, '195.112.182.141', '195.112.182.141', 3278943885, 3278943885, 'IT', 'Italy'),
(122985, '195.112.182.142', '195.112.182.144', 3278943886, 3278943888, 'DE', 'Germany'),
(122986, '195.112.182.145', '195.112.182.145', 3278943889, 3278943889, 'BE', 'Belgium'),
(122987, '195.112.182.146', '195.112.182.146', 3278943890, 3278943890, 'NL', 'Netherlands'),
(122988, '195.112.182.147', '195.112.182.147', 3278943891, 3278943891, 'ES', 'Spain'),
(122989, '195.112.182.148', '195.112.182.149', 3278943892, 3278943893, 'DE', 'Germany'),
(122990, '195.112.182.150', '195.112.182.150', 3278943894, 3278943894, 'IT', 'Italy'),
(122991, '195.112.182.151', '195.112.182.151', 3278943895, 3278943895, 'DE', 'Germany'),
(122992, '195.112.182.152', '195.112.182.152', 3278943896, 3278943896, 'PL', 'Poland'),
(122993, '195.112.182.153', '195.112.182.153', 3278943897, 3278943897, 'ES', 'Spain'),
(122994, '195.112.182.154', '195.112.182.154', 3278943898, 3278943898, 'IT', 'Italy'),
(122995, '195.112.182.155', '195.112.182.155', 3278943899, 3278943899, 'GB', 'United Kingdom'),
(122996, '195.112.182.156', '195.112.182.156', 3278943900, 3278943900, 'ES', 'Spain'),
(122997, '195.112.182.157', '195.112.182.157', 3278943901, 3278943901, 'DE', 'Germany'),
(122998, '195.112.182.158', '195.112.182.158', 3278943902, 3278943902, 'GB', 'United Kingdom'),
(122999, '195.112.182.159', '195.112.182.159', 3278943903, 3278943903, 'IT', 'Italy'),
(123000, '195.112.182.160', '195.112.182.160', 3278943904, 3278943904, 'DE', 'Germany'),
(123001, '195.112.182.161', '195.112.182.161', 3278943905, 3278943905, 'FR', 'France'),
(123002, '195.112.182.162', '195.112.182.163', 3278943906, 3278943907, 'IT', 'Italy'),
(123003, '195.112.182.164', '195.112.182.164', 3278943908, 3278943908, 'GB', 'United Kingdom'),
(123004, '195.112.182.165', '195.112.182.165', 3278943909, 3278943909, 'HU', 'Hungary'),
(123005, '195.112.182.166', '195.112.182.166', 3278943910, 3278943910, 'FR', 'France'),
(123006, '195.112.182.167', '195.112.182.167', 3278943911, 3278943911, 'DE', 'Germany'),
(123007, '195.112.182.168', '195.112.182.169', 3278943912, 3278943913, 'IT', 'Italy'),
(123008, '195.112.182.170', '195.112.182.170', 3278943914, 3278943914, 'DE', 'Germany'),
(123009, '195.112.182.171', '195.112.182.171', 3278943915, 3278943915, 'PL', 'Poland'),
(123010, '195.112.182.172', '195.112.182.172', 3278943916, 3278943916, 'DE', 'Germany'),
(123011, '195.112.182.173', '195.112.182.173', 3278943917, 3278943917, 'FR', 'France'),
(123012, '195.112.182.174', '195.112.182.174', 3278943918, 3278943918, 'ES', 'Spain'),
(123013, '195.112.182.175', '195.112.182.176', 3278943919, 3278943920, 'FR', 'France'),
(123014, '195.112.182.177', '195.112.182.177', 3278943921, 3278943921, 'DE', 'Germany'),
(123015, '195.112.182.178', '195.112.182.178', 3278943922, 3278943922, 'ES', 'Spain'),
(123016, '195.112.182.179', '195.112.182.179', 3278943923, 3278943923, 'DE', 'Germany'),
(123017, '195.112.182.180', '195.112.182.180', 3278943924, 3278943924, 'IT', 'Italy'),
(123018, '195.112.182.181', '195.112.182.182', 3278943925, 3278943926, 'ES', 'Spain'),
(123019, '195.112.182.183', '195.112.182.183', 3278943927, 3278943927, 'GB', 'United Kingdom'),
(123020, '195.112.182.184', '195.112.182.184', 3278943928, 3278943928, 'DE', 'Germany'),
(123021, '195.112.182.185', '195.112.182.185', 3278943929, 3278943929, 'PT', 'Portugal'),
(123022, '195.112.182.186', '195.112.182.186', 3278943930, 3278943930, 'IT', 'Italy'),
(123023, '195.112.182.187', '195.112.182.188', 3278943931, 3278943932, 'DE', 'Germany'),
(123024, '195.112.182.189', '195.112.182.189', 3278943933, 3278943933, 'ES', 'Spain'),
(123025, '195.112.182.190', '195.112.182.190', 3278943934, 3278943934, 'DE', 'Germany'),
(123026, '195.112.182.191', '195.112.182.191', 3278943935, 3278943935, 'GR', 'Greece'),
(123027, '195.112.182.192', '195.112.182.195', 3278943936, 3278943939, 'DE', 'Germany'),
(123028, '195.112.182.196', '195.112.182.196', 3278943940, 3278943940, 'DK', 'Denmark'),
(123029, '195.112.182.197', '195.112.182.197', 3278943941, 3278943941, 'GB', 'United Kingdom'),
(123030, '195.112.182.198', '195.112.182.198', 3278943942, 3278943942, 'NL', 'Netherlands'),
(123031, '195.112.182.199', '195.112.182.199', 3278943943, 3278943943, 'AT', 'Austria'),
(123032, '195.112.182.200', '195.112.182.200', 3278943944, 3278943944, 'IT', 'Italy'),
(123033, '195.112.182.201', '195.112.182.201', 3278943945, 3278943945, 'NL', 'Netherlands'),
(123034, '195.112.182.202', '195.112.182.202', 3278943946, 3278943946, 'LU', 'Luxembourg'),
(123035, '195.112.182.203', '195.112.182.203', 3278943947, 3278943947, 'DE', 'Germany'),
(123036, '195.112.182.204', '195.112.182.204', 3278943948, 3278943948, 'ES', 'Spain'),
(123037, '195.112.182.205', '195.112.182.205', 3278943949, 3278943949, 'DE', 'Germany'),
(123038, '195.112.182.206', '195.112.182.206', 3278943950, 3278943950, 'BE', 'Belgium'),
(123039, '195.112.182.207', '195.112.182.207', 3278943951, 3278943951, 'LU', 'Luxembourg'),
(123040, '195.112.182.208', '195.112.182.209', 3278943952, 3278943953, 'DE', 'Germany'),
(123041, '195.112.182.210', '195.112.182.210', 3278943954, 3278943954, 'FR', 'France'),
(123042, '195.112.182.211', '195.112.182.212', 3278943955, 3278943956, 'DE', 'Germany'),
(123043, '195.112.182.213', '195.112.182.213', 3278943957, 3278943957, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(123044, '195.112.182.214', '195.112.182.214', 3278943958, 3278943958, 'DK', 'Denmark'),
(123045, '195.112.182.215', '195.112.182.215', 3278943959, 3278943959, 'DE', 'Germany'),
(123046, '195.112.182.216', '195.112.182.216', 3278943960, 3278943960, 'FR', 'France'),
(123047, '195.112.182.217', '195.112.182.220', 3278943961, 3278943964, 'DE', 'Germany'),
(123048, '195.112.182.221', '195.112.182.221', 3278943965, 3278943965, 'CH', 'Switzerland'),
(123049, '195.112.182.222', '195.112.182.223', 3278943966, 3278943967, 'DE', 'Germany'),
(123050, '195.112.182.224', '195.112.182.224', 3278943968, 3278943968, 'ES', 'Spain'),
(123051, '195.112.182.225', '195.112.182.225', 3278943969, 3278943969, 'PL', 'Poland'),
(123052, '195.112.182.226', '195.112.182.226', 3278943970, 3278943970, 'ES', 'Spain'),
(123053, '195.112.182.227', '195.112.182.227', 3278943971, 3278943971, 'BE', 'Belgium'),
(123054, '195.112.182.228', '195.112.182.228', 3278943972, 3278943972, 'IT', 'Italy'),
(123055, '195.112.182.229', '195.112.182.229', 3278943973, 3278943973, 'DE', 'Germany'),
(123056, '195.112.182.230', '195.112.182.230', 3278943974, 3278943974, 'GR', 'Greece'),
(123057, '195.112.182.231', '195.112.182.231', 3278943975, 3278943975, 'CH', 'Switzerland'),
(123058, '195.112.182.232', '195.112.182.232', 3278943976, 3278943976, 'DE', 'Germany'),
(123059, '195.112.182.233', '195.112.182.233', 3278943977, 3278943977, 'DK', 'Denmark'),
(123060, '195.112.182.234', '195.112.182.234', 3278943978, 3278943978, 'DE', 'Germany'),
(123061, '195.112.182.235', '195.112.182.235', 3278943979, 3278943979, 'ES', 'Spain'),
(123062, '195.112.182.236', '195.112.182.236', 3278943980, 3278943980, 'GB', 'United Kingdom'),
(123063, '195.112.182.237', '195.112.182.237', 3278943981, 3278943981, 'DE', 'Germany'),
(123064, '195.112.182.238', '195.112.182.238', 3278943982, 3278943982, 'ES', 'Spain'),
(123065, '195.112.182.239', '195.112.182.239', 3278943983, 3278943983, 'DE', 'Germany'),
(123066, '195.112.182.240', '195.112.182.240', 3278943984, 3278943984, 'AT', 'Austria'),
(123067, '195.112.182.241', '195.112.182.241', 3278943985, 3278943985, 'NL', 'Netherlands'),
(123068, '195.112.182.242', '195.112.182.243', 3278943986, 3278943987, 'IT', 'Italy'),
(123069, '195.112.182.244', '195.112.182.244', 3278943988, 3278943988, 'ES', 'Spain'),
(123070, '195.112.182.245', '195.112.182.246', 3278943989, 3278943990, 'DE', 'Germany'),
(123071, '195.112.182.247', '195.112.182.247', 3278943991, 3278943991, 'NL', 'Netherlands'),
(123072, '195.112.182.248', '195.112.182.248', 3278943992, 3278943992, 'IT', 'Italy'),
(123073, '195.112.182.249', '195.112.182.249', 3278943993, 3278943993, 'AT', 'Austria'),
(123074, '195.112.182.250', '195.112.182.251', 3278943994, 3278943995, 'DE', 'Germany'),
(123075, '195.112.182.252', '195.112.182.253', 3278943996, 3278943997, 'CH', 'Switzerland'),
(123076, '195.112.182.254', '195.112.182.254', 3278943998, 3278943998, 'FR', 'France'),
(123077, '195.112.182.255', '195.112.183.1', 3278943999, 3278944001, 'DE', 'Germany'),
(123078, '195.112.183.2', '195.112.183.2', 3278944002, 3278944002, 'GB', 'United Kingdom'),
(123079, '195.112.183.3', '195.112.183.3', 3278944003, 3278944003, 'LU', 'Luxembourg'),
(123080, '195.112.183.4', '195.112.183.6', 3278944004, 3278944006, 'DE', 'Germany'),
(123081, '195.112.183.7', '195.112.183.7', 3278944007, 3278944007, 'NL', 'Netherlands'),
(123082, '195.112.183.8', '195.112.183.8', 3278944008, 3278944008, 'IT', 'Italy'),
(123083, '195.112.183.9', '195.112.183.9', 3278944009, 3278944009, 'CH', 'Switzerland'),
(123084, '195.112.183.10', '195.112.183.10', 3278944010, 3278944010, 'NL', 'Netherlands'),
(123085, '195.112.183.11', '195.112.183.12', 3278944011, 3278944012, 'DE', 'Germany'),
(123086, '195.112.183.13', '195.112.183.13', 3278944013, 3278944013, 'DK', 'Denmark'),
(123087, '195.112.183.14', '195.112.183.14', 3278944014, 3278944014, 'IT', 'Italy'),
(123088, '195.112.183.15', '195.112.183.15', 3278944015, 3278944015, 'IS', 'Iceland'),
(123089, '195.112.183.16', '195.112.183.16', 3278944016, 3278944016, 'PL', 'Poland'),
(123090, '195.112.183.17', '195.112.183.17', 3278944017, 3278944017, 'DE', 'Germany'),
(123091, '195.112.183.18', '195.112.183.18', 3278944018, 3278944018, 'BE', 'Belgium'),
(123092, '195.112.183.19', '195.112.183.20', 3278944019, 3278944020, 'DE', 'Germany'),
(123093, '195.112.183.21', '195.112.183.21', 3278944021, 3278944021, 'IT', 'Italy'),
(123094, '195.112.183.22', '195.112.183.22', 3278944022, 3278944022, 'FR', 'France'),
(123095, '195.112.183.23', '195.112.183.23', 3278944023, 3278944023, 'AT', 'Austria'),
(123096, '195.112.183.24', '195.112.183.25', 3278944024, 3278944025, 'CH', 'Switzerland'),
(123097, '195.112.183.26', '195.112.183.27', 3278944026, 3278944027, 'FR', 'France'),
(123098, '195.112.183.28', '195.112.183.28', 3278944028, 3278944028, 'DE', 'Germany'),
(123099, '195.112.183.29', '195.112.183.29', 3278944029, 3278944029, 'IT', 'Italy'),
(123100, '195.112.183.30', '195.112.183.30', 3278944030, 3278944030, 'DE', 'Germany'),
(123101, '195.112.183.31', '195.112.183.31', 3278944031, 3278944031, 'FR', 'France'),
(123102, '195.112.183.32', '195.112.183.33', 3278944032, 3278944033, 'DE', 'Germany'),
(123103, '195.112.183.34', '195.112.183.34', 3278944034, 3278944034, 'GR', 'Greece'),
(123104, '195.112.183.35', '195.112.183.35', 3278944035, 3278944035, 'FR', 'France'),
(123105, '195.112.183.36', '195.112.183.36', 3278944036, 3278944036, 'US', 'United States'),
(123106, '195.112.183.37', '195.112.183.37', 3278944037, 3278944037, 'FR', 'France'),
(123107, '195.112.183.38', '195.112.183.38', 3278944038, 3278944038, 'GB', 'United Kingdom'),
(123108, '195.112.183.39', '195.112.183.39', 3278944039, 3278944039, 'DE', 'Germany'),
(123109, '195.112.183.40', '195.112.183.40', 3278944040, 3278944040, 'FR', 'France'),
(123110, '195.112.183.41', '195.112.183.41', 3278944041, 3278944041, 'DE', 'Germany'),
(123111, '195.112.183.42', '195.112.183.42', 3278944042, 3278944042, 'FR', 'France'),
(123112, '195.112.183.43', '195.112.183.43', 3278944043, 3278944043, 'DE', 'Germany'),
(123113, '195.112.183.44', '195.112.183.45', 3278944044, 3278944045, 'FR', 'France'),
(123114, '195.112.183.46', '195.112.183.46', 3278944046, 3278944046, 'NL', 'Netherlands'),
(123115, '195.112.183.47', '195.112.183.47', 3278944047, 3278944047, 'GB', 'United Kingdom'),
(123116, '195.112.183.48', '195.112.183.48', 3278944048, 3278944048, 'BE', 'Belgium'),
(123117, '195.112.183.49', '195.112.183.49', 3278944049, 3278944049, 'IT', 'Italy'),
(123118, '195.112.183.50', '195.112.183.50', 3278944050, 3278944050, 'DE', 'Germany'),
(123119, '195.112.183.51', '195.112.183.51', 3278944051, 3278944051, 'BE', 'Belgium'),
(123120, '195.112.183.52', '195.112.183.52', 3278944052, 3278944052, 'AT', 'Austria'),
(123121, '195.112.183.53', '195.112.183.53', 3278944053, 3278944053, 'IT', 'Italy'),
(123122, '195.112.183.54', '195.112.183.54', 3278944054, 3278944054, 'DE', 'Germany'),
(123123, '195.112.183.55', '195.112.183.55', 3278944055, 3278944055, 'IT', 'Italy'),
(123124, '195.112.183.56', '195.112.183.58', 3278944056, 3278944058, 'DE', 'Germany'),
(123125, '195.112.183.59', '195.112.183.59', 3278944059, 3278944059, 'ES', 'Spain'),
(123126, '195.112.183.60', '195.112.183.60', 3278944060, 3278944060, 'BE', 'Belgium'),
(123127, '195.112.183.61', '195.112.183.61', 3278944061, 3278944061, 'FR', 'France'),
(123128, '195.112.183.62', '195.112.183.63', 3278944062, 3278944063, 'DE', 'Germany'),
(123129, '195.112.183.64', '195.112.183.64', 3278944064, 3278944064, 'FR', 'France'),
(123130, '195.112.183.65', '195.112.183.65', 3278944065, 3278944065, 'IT', 'Italy'),
(123131, '195.112.183.66', '195.112.183.66', 3278944066, 3278944066, 'GB', 'United Kingdom'),
(123132, '195.112.183.67', '195.112.183.67', 3278944067, 3278944067, 'DE', 'Germany'),
(123133, '195.112.183.68', '195.112.183.68', 3278944068, 3278944068, 'ES', 'Spain'),
(123134, '195.112.183.69', '195.112.183.69', 3278944069, 3278944069, 'PL', 'Poland'),
(123135, '195.112.183.70', '195.112.183.70', 3278944070, 3278944070, 'DE', 'Germany'),
(123136, '195.112.183.71', '195.112.183.71', 3278944071, 3278944071, 'DK', 'Denmark'),
(123137, '195.112.183.72', '195.112.183.72', 3278944072, 3278944072, 'AT', 'Austria'),
(123138, '195.112.183.73', '195.112.183.73', 3278944073, 3278944073, 'FR', 'France'),
(123139, '195.112.183.74', '195.112.183.75', 3278944074, 3278944075, 'ES', 'Spain'),
(123140, '195.112.183.76', '195.112.183.76', 3278944076, 3278944076, 'DE', 'Germany'),
(123141, '195.112.183.77', '195.112.183.77', 3278944077, 3278944077, 'GB', 'United Kingdom'),
(123142, '195.112.183.78', '195.112.183.78', 3278944078, 3278944078, 'DE', 'Germany'),
(123143, '195.112.183.79', '195.112.183.79', 3278944079, 3278944079, 'GB', 'United Kingdom'),
(123144, '195.112.183.80', '195.112.183.80', 3278944080, 3278944080, 'DE', 'Germany'),
(123145, '195.112.183.81', '195.112.183.81', 3278944081, 3278944081, 'GB', 'United Kingdom'),
(123146, '195.112.183.82', '195.112.183.82', 3278944082, 3278944082, 'IT', 'Italy'),
(123147, '195.112.183.83', '195.112.183.84', 3278944083, 3278944084, 'ES', 'Spain'),
(123148, '195.112.183.85', '195.112.183.85', 3278944085, 3278944085, 'PT', 'Portugal'),
(123149, '195.112.183.86', '195.112.183.86', 3278944086, 3278944086, 'NL', 'Netherlands'),
(123150, '195.112.183.87', '195.112.183.87', 3278944087, 3278944087, 'CH', 'Switzerland'),
(123151, '195.112.183.88', '195.112.183.88', 3278944088, 3278944088, 'IT', 'Italy'),
(123152, '195.112.183.89', '195.112.183.89', 3278944089, 3278944089, 'DE', 'Germany'),
(123153, '195.112.183.90', '195.112.183.90', 3278944090, 3278944090, 'IT', 'Italy'),
(123154, '195.112.183.91', '195.112.183.91', 3278944091, 3278944091, 'MA', 'Morocco'),
(123155, '195.112.183.92', '195.112.183.92', 3278944092, 3278944092, 'GR', 'Greece'),
(123156, '195.112.183.93', '195.112.183.94', 3278944093, 3278944094, 'DE', 'Germany'),
(123157, '195.112.183.95', '195.112.183.95', 3278944095, 3278944095, 'AT', 'Austria'),
(123158, '195.112.183.96', '195.112.183.96', 3278944096, 3278944096, 'GB', 'United Kingdom'),
(123159, '195.112.183.97', '195.112.183.97', 3278944097, 3278944097, 'DE', 'Germany'),
(123160, '195.112.183.98', '195.112.183.98', 3278944098, 3278944098, 'SE', 'Sweden'),
(123161, '195.112.183.99', '195.112.183.99', 3278944099, 3278944099, 'GB', 'United Kingdom'),
(123162, '195.112.183.100', '195.112.183.102', 3278944100, 3278944102, 'DE', 'Germany'),
(123163, '195.112.183.103', '195.112.183.104', 3278944103, 3278944104, 'IT', 'Italy'),
(123164, '195.112.183.105', '195.112.183.105', 3278944105, 3278944105, 'FR', 'France'),
(123165, '195.112.183.106', '195.112.183.106', 3278944106, 3278944106, 'AT', 'Austria'),
(123166, '195.112.183.107', '195.112.183.108', 3278944107, 3278944108, 'DE', 'Germany'),
(123167, '195.112.183.109', '195.112.183.109', 3278944109, 3278944109, 'ES', 'Spain'),
(123168, '195.112.183.110', '195.112.183.111', 3278944110, 3278944111, 'DE', 'Germany'),
(123169, '195.112.183.112', '195.112.183.112', 3278944112, 3278944112, 'NL', 'Netherlands'),
(123170, '195.112.183.113', '195.112.183.113', 3278944113, 3278944113, 'DE', 'Germany'),
(123171, '195.112.183.114', '195.112.183.114', 3278944114, 3278944114, 'IT', 'Italy'),
(123172, '195.112.183.115', '195.112.183.116', 3278944115, 3278944116, 'ES', 'Spain'),
(123173, '195.112.183.117', '195.112.183.118', 3278944117, 3278944118, 'IT', 'Italy'),
(123174, '195.112.183.119', '195.112.183.119', 3278944119, 3278944119, 'ES', 'Spain'),
(123175, '195.112.183.120', '195.112.183.121', 3278944120, 3278944121, 'DE', 'Germany'),
(123176, '195.112.183.122', '195.112.183.122', 3278944122, 3278944122, 'FR', 'France'),
(123177, '195.112.183.123', '195.112.183.123', 3278944123, 3278944123, 'IT', 'Italy'),
(123178, '195.112.183.124', '195.112.183.124', 3278944124, 3278944124, 'DE', 'Germany'),
(123179, '195.112.183.125', '195.112.183.125', 3278944125, 3278944125, 'SE', 'Sweden'),
(123180, '195.112.183.126', '195.112.183.126', 3278944126, 3278944126, 'ES', 'Spain'),
(123181, '195.112.183.127', '195.112.183.127', 3278944127, 3278944127, 'IT', 'Italy'),
(123182, '195.112.183.128', '195.112.183.128', 3278944128, 3278944128, 'PT', 'Portugal'),
(123183, '195.112.183.129', '195.112.183.129', 3278944129, 3278944129, 'BE', 'Belgium'),
(123184, '195.112.183.130', '195.112.183.130', 3278944130, 3278944130, 'DE', 'Germany'),
(123185, '195.112.183.131', '195.112.183.131', 3278944131, 3278944131, 'FR', 'France'),
(123186, '195.112.183.132', '195.112.183.132', 3278944132, 3278944132, 'IE', 'Ireland'),
(123187, '195.112.183.133', '195.112.183.133', 3278944133, 3278944133, 'IT', 'Italy'),
(123188, '195.112.183.134', '195.112.183.134', 3278944134, 3278944134, 'ES', 'Spain'),
(123189, '195.112.183.135', '195.112.183.135', 3278944135, 3278944135, 'NL', 'Netherlands'),
(123190, '195.112.183.136', '195.112.183.137', 3278944136, 3278944137, 'DE', 'Germany'),
(123191, '195.112.183.138', '195.112.183.138', 3278944138, 3278944138, 'GB', 'United Kingdom'),
(123192, '195.112.183.139', '195.112.183.139', 3278944139, 3278944139, 'FR', 'France'),
(123193, '195.112.183.140', '195.112.183.140', 3278944140, 3278944140, 'PT', 'Portugal'),
(123194, '195.112.183.141', '195.112.183.141', 3278944141, 3278944141, 'FR', 'France'),
(123195, '195.112.183.142', '195.112.183.142', 3278944142, 3278944142, 'GB', 'United Kingdom'),
(123196, '195.112.183.143', '195.112.183.143', 3278944143, 3278944143, 'AT', 'Austria'),
(123197, '195.112.183.144', '195.112.183.144', 3278944144, 3278944144, 'DE', 'Germany'),
(123198, '195.112.183.145', '195.112.183.145', 3278944145, 3278944145, 'SE', 'Sweden'),
(123199, '195.112.183.146', '195.112.183.147', 3278944146, 3278944147, 'DE', 'Germany'),
(123200, '195.112.183.148', '195.112.183.148', 3278944148, 3278944148, 'ES', 'Spain'),
(123201, '195.112.183.149', '195.112.183.149', 3278944149, 3278944149, 'DE', 'Germany'),
(123202, '195.112.183.150', '195.112.183.150', 3278944150, 3278944150, 'IE', 'Ireland'),
(123203, '195.112.183.151', '195.112.183.151', 3278944151, 3278944151, 'IT', 'Italy'),
(123204, '195.112.183.152', '195.112.183.152', 3278944152, 3278944152, 'IS', 'Iceland'),
(123205, '195.112.183.153', '195.112.183.158', 3278944153, 3278944158, 'DE', 'Germany'),
(123206, '195.112.183.159', '195.112.183.159', 3278944159, 3278944159, 'CH', 'Switzerland'),
(123207, '195.112.183.160', '195.112.183.160', 3278944160, 3278944160, 'FR', 'France'),
(123208, '195.112.183.161', '195.112.183.161', 3278944161, 3278944161, 'DE', 'Germany'),
(123209, '195.112.183.162', '195.112.183.162', 3278944162, 3278944162, 'GB', 'United Kingdom'),
(123210, '195.112.183.163', '195.112.183.163', 3278944163, 3278944163, 'HU', 'Hungary'),
(123211, '195.112.183.164', '195.112.183.164', 3278944164, 3278944164, 'IT', 'Italy'),
(123212, '195.112.183.165', '195.112.183.166', 3278944165, 3278944166, 'DE', 'Germany'),
(123213, '195.112.183.167', '195.112.183.167', 3278944167, 3278944167, 'IT', 'Italy'),
(123214, '195.112.183.168', '195.112.183.168', 3278944168, 3278944168, 'CH', 'Switzerland'),
(123215, '195.112.183.169', '195.112.183.169', 3278944169, 3278944169, 'DE', 'Germany'),
(123216, '195.112.183.170', '195.112.183.171', 3278944170, 3278944171, 'CH', 'Switzerland'),
(123217, '195.112.183.172', '195.112.183.172', 3278944172, 3278944172, 'DE', 'Germany'),
(123218, '195.112.183.173', '195.112.183.173', 3278944173, 3278944173, 'FR', 'France'),
(123219, '195.112.183.174', '195.112.183.174', 3278944174, 3278944174, 'GB', 'United Kingdom'),
(123220, '195.112.183.175', '195.112.183.175', 3278944175, 3278944175, 'DE', 'Germany'),
(123221, '195.112.183.176', '195.112.183.176', 3278944176, 3278944176, 'ES', 'Spain'),
(123222, '195.112.183.177', '195.112.183.177', 3278944177, 3278944177, 'LU', 'Luxembourg'),
(123223, '195.112.183.178', '195.112.183.179', 3278944178, 3278944179, 'DE', 'Germany'),
(123224, '195.112.183.180', '195.112.183.180', 3278944180, 3278944180, 'GB', 'United Kingdom'),
(123225, '195.112.183.181', '195.112.183.181', 3278944181, 3278944181, 'IT', 'Italy'),
(123226, '195.112.183.182', '195.112.183.182', 3278944182, 3278944182, 'FR', 'France'),
(123227, '195.112.183.183', '195.112.183.184', 3278944183, 3278944184, 'ES', 'Spain'),
(123228, '195.112.183.185', '195.112.183.185', 3278944185, 3278944185, 'NL', 'Netherlands'),
(123229, '195.112.183.186', '195.112.183.192', 3278944186, 3278944192, 'DE', 'Germany'),
(123230, '195.112.183.193', '195.112.183.193', 3278944193, 3278944193, 'FR', 'France'),
(123231, '195.112.183.194', '195.112.183.194', 3278944194, 3278944194, 'GB', 'United Kingdom'),
(123232, '195.112.183.195', '195.112.183.195', 3278944195, 3278944195, 'IT', 'Italy'),
(123233, '195.112.183.196', '195.112.183.197', 3278944196, 3278944197, 'DE', 'Germany'),
(123234, '195.112.183.198', '195.112.183.198', 3278944198, 3278944198, 'IT', 'Italy'),
(123235, '195.112.183.199', '195.112.183.199', 3278944199, 3278944199, 'AT', 'Austria'),
(123236, '195.112.183.200', '195.112.183.200', 3278944200, 3278944200, 'DE', 'Germany'),
(123237, '195.112.183.201', '195.112.183.201', 3278944201, 3278944201, 'SE', 'Sweden'),
(123238, '195.112.183.202', '195.112.183.202', 3278944202, 3278944202, 'NO', 'Norway'),
(123239, '195.112.183.203', '195.112.183.203', 3278944203, 3278944203, 'NL', 'Netherlands'),
(123240, '195.112.183.204', '195.112.183.207', 3278944204, 3278944207, 'DE', 'Germany'),
(123241, '195.112.183.208', '195.112.183.208', 3278944208, 3278944208, 'NL', 'Netherlands'),
(123242, '195.112.183.209', '195.112.183.209', 3278944209, 3278944209, 'PL', 'Poland'),
(123243, '195.112.183.210', '195.112.183.210', 3278944210, 3278944210, 'AT', 'Austria'),
(123244, '195.112.183.211', '195.112.183.211', 3278944211, 3278944211, 'DE', 'Germany'),
(123245, '195.112.183.212', '195.112.183.212', 3278944212, 3278944212, 'FR', 'France'),
(123246, '195.112.183.213', '195.112.183.213', 3278944213, 3278944213, 'DK', 'Denmark'),
(123247, '195.112.183.214', '195.112.183.214', 3278944214, 3278944214, 'GB', 'United Kingdom'),
(123248, '195.112.183.215', '195.112.183.215', 3278944215, 3278944215, 'IT', 'Italy'),
(123249, '195.112.183.216', '195.112.183.216', 3278944216, 3278944216, 'DE', 'Germany'),
(123250, '195.112.183.217', '195.112.183.217', 3278944217, 3278944217, 'IT', 'Italy'),
(123251, '195.112.183.218', '195.112.183.219', 3278944218, 3278944219, 'DE', 'Germany'),
(123252, '195.112.183.220', '195.112.183.220', 3278944220, 3278944220, 'GB', 'United Kingdom'),
(123253, '195.112.183.221', '195.112.183.221', 3278944221, 3278944221, 'GR', 'Greece'),
(123254, '195.112.183.222', '195.112.183.222', 3278944222, 3278944222, 'IT', 'Italy'),
(123255, '195.112.183.223', '195.112.183.224', 3278944223, 3278944224, 'DE', 'Germany'),
(123256, '195.112.183.225', '195.112.183.225', 3278944225, 3278944225, 'NL', 'Netherlands'),
(123257, '195.112.183.226', '195.112.183.226', 3278944226, 3278944226, 'RU', 'Russian Federation'),
(123258, '195.112.183.227', '195.112.183.227', 3278944227, 3278944227, 'IT', 'Italy'),
(123259, '195.112.183.228', '195.112.183.230', 3278944228, 3278944230, 'DE', 'Germany'),
(123260, '195.112.183.231', '195.112.183.231', 3278944231, 3278944231, 'CH', 'Switzerland'),
(123261, '195.112.183.232', '195.112.183.232', 3278944232, 3278944232, 'NL', 'Netherlands'),
(123262, '195.112.183.233', '195.112.183.233', 3278944233, 3278944233, 'GB', 'United Kingdom'),
(123263, '195.112.183.234', '195.112.183.234', 3278944234, 3278944234, 'AT', 'Austria'),
(123264, '195.112.183.235', '195.112.183.235', 3278944235, 3278944235, 'DE', 'Germany'),
(123265, '195.112.183.236', '195.112.183.236', 3278944236, 3278944236, 'IT', 'Italy'),
(123266, '195.112.183.237', '195.112.183.238', 3278944237, 3278944238, 'DE', 'Germany'),
(123267, '195.112.183.239', '195.112.183.239', 3278944239, 3278944239, 'SE', 'Sweden'),
(123268, '195.112.183.240', '195.112.183.240', 3278944240, 3278944240, 'FR', 'France'),
(123269, '195.112.183.241', '195.112.183.241', 3278944241, 3278944241, 'IT', 'Italy'),
(123270, '195.112.183.242', '195.112.183.242', 3278944242, 3278944242, 'ES', 'Spain'),
(123271, '195.112.183.243', '195.112.183.243', 3278944243, 3278944243, 'DE', 'Germany'),
(123272, '195.112.183.244', '195.112.183.244', 3278944244, 3278944244, 'ES', 'Spain'),
(123273, '195.112.183.245', '195.112.183.245', 3278944245, 3278944245, 'BE', 'Belgium'),
(123274, '195.112.183.246', '195.112.183.246', 3278944246, 3278944246, 'NL', 'Netherlands'),
(123275, '195.112.183.247', '195.112.183.247', 3278944247, 3278944247, 'ES', 'Spain'),
(123276, '195.112.183.248', '195.112.183.248', 3278944248, 3278944248, 'NL', 'Netherlands'),
(123277, '195.112.183.249', '195.112.183.249', 3278944249, 3278944249, 'ES', 'Spain'),
(123278, '195.112.183.250', '195.112.183.250', 3278944250, 3278944250, 'IT', 'Italy'),
(123279, '195.112.183.251', '195.112.183.251', 3278944251, 3278944251, 'AT', 'Austria'),
(123280, '195.112.183.252', '195.112.183.252', 3278944252, 3278944252, 'IT', 'Italy'),
(123281, '195.112.183.253', '195.112.183.254', 3278944253, 3278944254, 'GB', 'United Kingdom'),
(123282, '195.112.183.255', '195.112.184.0', 3278944255, 3278944256, 'DE', 'Germany'),
(123283, '195.112.184.1', '195.112.184.16', 3278944257, 3278944272, 'US', 'United States'),
(123284, '195.112.184.17', '195.112.184.17', 3278944273, 3278944273, 'CA', 'Canada'),
(123285, '195.112.184.18', '195.112.184.18', 3278944274, 3278944274, 'US', 'United States'),
(123286, '195.112.184.19', '195.112.184.19', 3278944275, 3278944275, 'CA', 'Canada'),
(123287, '195.112.184.20', '195.112.184.21', 3278944276, 3278944277, 'US', 'United States'),
(123288, '195.112.184.22', '195.112.184.22', 3278944278, 3278944278, 'VE', 'Venezuela'),
(123289, '195.112.184.23', '195.112.184.23', 3278944279, 3278944279, 'DE', 'Germany'),
(123290, '195.112.184.24', '195.112.184.28', 3278944280, 3278944284, 'US', 'United States'),
(123291, '195.112.184.29', '195.112.184.29', 3278944285, 3278944285, 'DE', 'Germany'),
(123292, '195.112.184.30', '195.112.184.30', 3278944286, 3278944286, 'US', 'United States'),
(123293, '195.112.184.31', '195.112.184.32', 3278944287, 3278944288, 'CA', 'Canada'),
(123294, '195.112.184.33', '195.112.184.37', 3278944289, 3278944293, 'US', 'United States'),
(123295, '195.112.184.38', '195.112.184.38', 3278944294, 3278944294, 'CA', 'Canada'),
(123296, '195.112.184.39', '195.112.184.90', 3278944295, 3278944346, 'US', 'United States'),
(123297, '195.112.184.91', '195.112.184.91', 3278944347, 3278944347, 'AR', 'Argentina'),
(123298, '195.112.184.92', '195.112.184.104', 3278944348, 3278944360, 'US', 'United States'),
(123299, '195.112.184.105', '195.112.184.105', 3278944361, 3278944361, 'AR', 'Argentina'),
(123300, '195.112.184.106', '195.112.184.109', 3278944362, 3278944365, 'US', 'United States'),
(123301, '195.112.184.110', '195.112.184.110', 3278944366, 3278944366, 'MX', 'Mexico'),
(123302, '195.112.184.111', '195.112.184.111', 3278944367, 3278944367, 'US', 'United States'),
(123303, '195.112.184.112', '195.112.184.112', 3278944368, 3278944368, 'CA', 'Canada'),
(123304, '195.112.184.113', '195.112.184.123', 3278944369, 3278944379, 'US', 'United States'),
(123305, '195.112.184.124', '195.112.184.124', 3278944380, 3278944380, 'DE', 'Germany'),
(123306, '195.112.184.125', '195.112.184.129', 3278944381, 3278944385, 'US', 'United States'),
(123307, '195.112.184.130', '195.112.184.130', 3278944386, 3278944386, 'DE', 'Germany'),
(123308, '195.112.184.131', '195.112.184.132', 3278944387, 3278944388, 'US', 'United States'),
(123309, '195.112.184.133', '195.112.184.133', 3278944389, 3278944389, 'CA', 'Canada'),
(123310, '195.112.184.134', '195.112.184.134', 3278944390, 3278944390, 'AR', 'Argentina'),
(123311, '195.112.184.135', '195.112.184.135', 3278944391, 3278944391, 'CA', 'Canada'),
(123312, '195.112.184.136', '195.112.184.139', 3278944392, 3278944395, 'US', 'United States'),
(123313, '195.112.184.140', '195.112.184.140', 3278944396, 3278944396, 'CA', 'Canada'),
(123314, '195.112.184.141', '195.112.184.143', 3278944397, 3278944399, 'US', 'United States'),
(123315, '195.112.184.144', '195.112.184.144', 3278944400, 3278944400, 'BR', 'Brazil'),
(123316, '195.112.184.145', '195.112.184.145', 3278944401, 3278944401, 'US', 'United States'),
(123317, '195.112.184.146', '195.112.184.146', 3278944402, 3278944402, 'CA', 'Canada'),
(123318, '195.112.184.147', '195.112.184.156', 3278944403, 3278944412, 'US', 'United States'),
(123319, '195.112.184.157', '195.112.184.157', 3278944413, 3278944413, 'CA', 'Canada'),
(123320, '195.112.184.158', '195.112.184.162', 3278944414, 3278944418, 'US', 'United States'),
(123321, '195.112.184.163', '195.112.184.163', 3278944419, 3278944419, 'DE', 'Germany'),
(123322, '195.112.184.164', '195.112.184.164', 3278944420, 3278944420, 'CA', 'Canada'),
(123323, '195.112.184.165', '195.112.184.165', 3278944421, 3278944421, 'DE', 'Germany'),
(123324, '195.112.184.166', '195.112.184.176', 3278944422, 3278944432, 'US', 'United States'),
(123325, '195.112.184.177', '195.112.184.177', 3278944433, 3278944433, 'DE', 'Germany'),
(123326, '195.112.184.178', '195.112.184.188', 3278944434, 3278944444, 'US', 'United States'),
(123327, '195.112.184.189', '195.112.184.193', 3278944445, 3278944449, 'DE', 'Germany'),
(123328, '195.112.184.194', '195.112.184.195', 3278944450, 3278944451, 'CA', 'Canada'),
(123329, '195.112.184.196', '195.112.184.204', 3278944452, 3278944460, 'DE', 'Germany'),
(123330, '195.112.184.205', '195.112.184.205', 3278944461, 3278944461, 'US', 'United States'),
(123331, '195.112.184.206', '195.112.184.214', 3278944462, 3278944470, 'DE', 'Germany'),
(123332, '195.112.184.215', '195.112.184.215', 3278944471, 3278944471, 'US', 'United States'),
(123333, '195.112.184.216', '195.112.185.1', 3278944472, 3278944513, 'DE', 'Germany'),
(123334, '195.112.185.2', '195.112.185.5', 3278944514, 3278944517, 'US', 'United States'),
(123335, '195.112.185.6', '195.112.185.6', 3278944518, 3278944518, 'DE', 'Germany'),
(123336, '195.112.185.7', '195.112.185.8', 3278944519, 3278944520, 'US', 'United States'),
(123337, '195.112.185.9', '195.112.185.9', 3278944521, 3278944521, 'CA', 'Canada'),
(123338, '195.112.185.10', '195.112.185.10', 3278944522, 3278944522, 'US', 'United States'),
(123339, '195.112.185.11', '195.112.185.11', 3278944523, 3278944523, 'CA', 'Canada'),
(123340, '195.112.185.12', '195.112.185.12', 3278944524, 3278944524, 'US', 'United States'),
(123341, '195.112.185.13', '195.112.185.13', 3278944525, 3278944525, 'CL', 'Chile'),
(123342, '195.112.185.14', '195.112.185.14', 3278944526, 3278944526, 'US', 'United States'),
(123343, '195.112.185.15', '195.112.185.15', 3278944527, 3278944527, 'CA', 'Canada'),
(123344, '195.112.185.16', '195.112.185.16', 3278944528, 3278944528, 'US', 'United States'),
(123345, '195.112.185.17', '195.112.185.17', 3278944529, 3278944529, 'CA', 'Canada'),
(123346, '195.112.185.18', '195.112.185.25', 3278944530, 3278944537, 'US', 'United States'),
(123347, '195.112.185.26', '195.112.185.26', 3278944538, 3278944538, 'AR', 'Argentina'),
(123348, '195.112.185.27', '195.112.185.32', 3278944539, 3278944544, 'US', 'United States'),
(123349, '195.112.185.33', '195.112.185.33', 3278944545, 3278944545, 'CA', 'Canada'),
(123350, '195.112.185.34', '195.112.185.43', 3278944546, 3278944555, 'US', 'United States'),
(123351, '195.112.185.44', '195.112.185.44', 3278944556, 3278944556, 'CL', 'Chile'),
(123352, '195.112.185.45', '195.112.185.47', 3278944557, 3278944559, 'US', 'United States'),
(123353, '195.112.185.48', '195.112.185.48', 3278944560, 3278944560, 'AR', 'Argentina'),
(123354, '195.112.185.49', '195.112.185.49', 3278944561, 3278944561, 'US', 'United States'),
(123355, '195.112.185.50', '195.112.185.50', 3278944562, 3278944562, 'CA', 'Canada'),
(123356, '195.112.185.51', '195.112.185.51', 3278944563, 3278944563, 'US', 'United States'),
(123357, '195.112.185.52', '195.112.185.52', 3278944564, 3278944564, 'CA', 'Canada'),
(123358, '195.112.185.53', '195.112.185.57', 3278944565, 3278944569, 'US', 'United States'),
(123359, '195.112.185.58', '195.112.185.58', 3278944570, 3278944570, 'DE', 'Germany'),
(123360, '195.112.185.59', '195.112.185.60', 3278944571, 3278944572, 'US', 'United States'),
(123361, '195.112.185.61', '195.112.185.61', 3278944573, 3278944573, 'DE', 'Germany'),
(123362, '195.112.185.62', '195.112.185.62', 3278944574, 3278944574, 'US', 'United States'),
(123363, '195.112.185.63', '195.112.185.63', 3278944575, 3278944575, 'DE', 'Germany'),
(123364, '195.112.185.64', '195.112.185.66', 3278944576, 3278944578, 'US', 'United States'),
(123365, '195.112.185.67', '195.112.185.67', 3278944579, 3278944579, 'DE', 'Germany'),
(123366, '195.112.185.68', '195.112.185.68', 3278944580, 3278944580, 'AR', 'Argentina'),
(123367, '195.112.185.69', '195.112.185.69', 3278944581, 3278944581, 'US', 'United States'),
(123368, '195.112.185.70', '195.112.185.71', 3278944582, 3278944583, 'DE', 'Germany'),
(123369, '195.112.185.72', '195.112.185.76', 3278944584, 3278944588, 'US', 'United States'),
(123370, '195.112.185.77', '195.112.185.77', 3278944589, 3278944589, 'DE', 'Germany'),
(123371, '195.112.185.78', '195.112.185.87', 3278944590, 3278944599, 'US', 'United States'),
(123372, '195.112.185.88', '195.112.185.88', 3278944600, 3278944600, 'SA', 'Saudi Arabia'),
(123373, '195.112.185.89', '195.112.185.94', 3278944601, 3278944606, 'US', 'United States'),
(123374, '195.112.185.95', '195.112.185.96', 3278944607, 3278944608, 'DE', 'Germany'),
(123375, '195.112.185.97', '195.112.185.99', 3278944609, 3278944611, 'US', 'United States'),
(123376, '195.112.185.100', '195.112.185.100', 3278944612, 3278944612, 'DE', 'Germany'),
(123377, '195.112.185.101', '195.112.185.114', 3278944613, 3278944626, 'US', 'United States'),
(123378, '195.112.185.115', '195.112.185.115', 3278944627, 3278944627, 'DE', 'Germany'),
(123379, '195.112.185.116', '195.112.185.121', 3278944628, 3278944633, 'US', 'United States'),
(123380, '195.112.185.122', '195.112.185.122', 3278944634, 3278944634, 'DE', 'Germany'),
(123381, '195.112.185.123', '195.112.185.126', 3278944635, 3278944638, 'US', 'United States'),
(123382, '195.112.185.127', '195.112.185.128', 3278944639, 3278944640, 'DE', 'Germany'),
(123383, '195.112.185.129', '195.112.185.130', 3278944641, 3278944642, 'US', 'United States'),
(123384, '195.112.185.131', '195.112.185.131', 3278944643, 3278944643, 'CL', 'Chile'),
(123385, '195.112.185.132', '195.112.185.138', 3278944644, 3278944650, 'US', 'United States'),
(123386, '195.112.185.139', '195.112.185.139', 3278944651, 3278944651, 'DE', 'Germany'),
(123387, '195.112.185.140', '195.112.185.142', 3278944652, 3278944654, 'US', 'United States'),
(123388, '195.112.185.143', '195.112.185.145', 3278944655, 3278944657, 'AR', 'Argentina'),
(123389, '195.112.185.146', '195.112.185.147', 3278944658, 3278944659, 'US', 'United States'),
(123390, '195.112.185.148', '195.112.185.148', 3278944660, 3278944660, 'AR', 'Argentina'),
(123391, '195.112.185.149', '195.112.185.149', 3278944661, 3278944661, 'US', 'United States'),
(123392, '195.112.185.150', '195.112.185.151', 3278944662, 3278944663, 'DE', 'Germany'),
(123393, '195.112.185.152', '195.112.185.153', 3278944664, 3278944665, 'AR', 'Argentina'),
(123394, '195.112.185.154', '195.112.185.155', 3278944666, 3278944667, 'US', 'United States'),
(123395, '195.112.185.156', '195.112.185.156', 3278944668, 3278944668, 'AR', 'Argentina'),
(123396, '195.112.185.157', '195.112.185.158', 3278944669, 3278944670, 'US', 'United States'),
(123397, '195.112.185.159', '195.112.185.159', 3278944671, 3278944671, 'CL', 'Chile'),
(123398, '195.112.185.160', '195.112.185.160', 3278944672, 3278944672, 'DE', 'Germany'),
(123399, '195.112.185.161', '195.112.185.161', 3278944673, 3278944673, 'PE', 'Peru'),
(123400, '195.112.185.162', '195.112.185.162', 3278944674, 3278944674, 'DE', 'Germany'),
(123401, '195.112.185.163', '195.112.185.165', 3278944675, 3278944677, 'US', 'United States'),
(123402, '195.112.185.166', '195.112.185.166', 3278944678, 3278944678, 'CA', 'Canada'),
(123403, '195.112.185.167', '195.112.185.167', 3278944679, 3278944679, 'US', 'United States'),
(123404, '195.112.185.168', '195.112.185.168', 3278944680, 3278944680, 'CA', 'Canada'),
(123405, '195.112.185.169', '195.112.185.171', 3278944681, 3278944683, 'US', 'United States'),
(123406, '195.112.185.172', '195.112.185.174', 3278944684, 3278944686, 'DE', 'Germany'),
(123407, '195.112.185.175', '195.112.185.175', 3278944687, 3278944687, 'US', 'United States'),
(123408, '195.112.185.176', '195.112.185.176', 3278944688, 3278944688, 'AR', 'Argentina'),
(123409, '195.112.185.177', '195.112.185.181', 3278944689, 3278944693, 'US', 'United States'),
(123410, '195.112.185.182', '195.112.185.183', 3278944694, 3278944695, 'DE', 'Germany'),
(123411, '195.112.185.184', '195.112.185.184', 3278944696, 3278944696, 'US', 'United States'),
(123412, '195.112.185.185', '195.112.185.185', 3278944697, 3278944697, 'CA', 'Canada'),
(123413, '195.112.185.186', '195.112.185.194', 3278944698, 3278944706, 'US', 'United States'),
(123414, '195.112.185.195', '195.112.185.195', 3278944707, 3278944707, 'DE', 'Germany'),
(123415, '195.112.185.196', '195.112.185.196', 3278944708, 3278944708, 'PE', 'Peru'),
(123416, '195.112.185.197', '195.112.185.197', 3278944709, 3278944709, 'US', 'United States'),
(123417, '195.112.185.198', '195.112.185.198', 3278944710, 3278944710, 'DE', 'Germany'),
(123418, '195.112.185.199', '195.112.185.200', 3278944711, 3278944712, 'CL', 'Chile'),
(123419, '195.112.185.201', '195.112.185.201', 3278944713, 3278944713, 'DE', 'Germany'),
(123420, '195.112.185.202', '195.112.185.202', 3278944714, 3278944714, 'JM', 'Jamaica'),
(123421, '195.112.185.203', '195.112.185.203', 3278944715, 3278944715, 'CA', 'Canada'),
(123422, '195.112.185.204', '195.112.185.204', 3278944716, 3278944716, 'DE', 'Germany'),
(123423, '195.112.185.205', '195.112.185.206', 3278944717, 3278944718, 'US', 'United States'),
(123424, '195.112.185.207', '195.112.185.207', 3278944719, 3278944719, 'CA', 'Canada'),
(123425, '195.112.185.208', '195.112.185.208', 3278944720, 3278944720, 'US', 'United States'),
(123426, '195.112.185.209', '195.112.185.209', 3278944721, 3278944721, 'CA', 'Canada'),
(123427, '195.112.185.210', '195.112.185.215', 3278944722, 3278944727, 'US', 'United States'),
(123428, '195.112.185.216', '195.112.185.216', 3278944728, 3278944728, 'DE', 'Germany'),
(123429, '195.112.185.217', '195.112.185.218', 3278944729, 3278944730, 'US', 'United States'),
(123430, '195.112.185.219', '195.112.185.219', 3278944731, 3278944731, 'DE', 'Germany'),
(123431, '195.112.185.220', '195.112.185.222', 3278944732, 3278944734, 'US', 'United States'),
(123432, '195.112.185.223', '195.112.185.223', 3278944735, 3278944735, 'DE', 'Germany'),
(123433, '195.112.185.224', '195.112.185.224', 3278944736, 3278944736, 'AR', 'Argentina'),
(123434, '195.112.185.225', '195.112.185.227', 3278944737, 3278944739, 'US', 'United States'),
(123435, '195.112.185.228', '195.112.185.228', 3278944740, 3278944740, 'CA', 'Canada'),
(123436, '195.112.185.229', '195.112.185.229', 3278944741, 3278944741, 'DE', 'Germany'),
(123437, '195.112.185.230', '195.112.185.231', 3278944742, 3278944743, 'US', 'United States'),
(123438, '195.112.185.232', '195.112.185.233', 3278944744, 3278944745, 'DE', 'Germany'),
(123439, '195.112.185.234', '195.112.185.237', 3278944746, 3278944749, 'US', 'United States'),
(123440, '195.112.185.238', '195.112.185.238', 3278944750, 3278944750, 'DE', 'Germany'),
(123441, '195.112.185.239', '195.112.185.239', 3278944751, 3278944751, 'US', 'United States'),
(123442, '195.112.185.240', '195.112.185.240', 3278944752, 3278944752, 'DE', 'Germany'),
(123443, '195.112.185.241', '195.112.185.241', 3278944753, 3278944753, 'US', 'United States'),
(123444, '195.112.185.242', '195.112.185.242', 3278944754, 3278944754, 'BR', 'Brazil'),
(123445, '195.112.185.243', '195.112.185.243', 3278944755, 3278944755, 'AR', 'Argentina'),
(123446, '195.112.185.244', '195.112.185.246', 3278944756, 3278944758, 'US', 'United States'),
(123447, '195.112.185.247', '195.112.185.248', 3278944759, 3278944760, 'DE', 'Germany'),
(123448, '195.112.185.249', '195.112.185.249', 3278944761, 3278944761, 'UY', 'Uruguay'),
(123449, '195.112.185.250', '195.112.185.251', 3278944762, 3278944763, 'DE', 'Germany'),
(123450, '195.112.185.252', '195.112.185.252', 3278944764, 3278944764, 'AR', 'Argentina'),
(123451, '195.112.185.253', '195.112.185.253', 3278944765, 3278944765, 'US', 'United States'),
(123452, '195.112.185.254', '195.112.185.255', 3278944766, 3278944767, 'DE', 'Germany'),
(123453, '195.112.186.0', '195.112.186.3', 3278944768, 3278944771, 'DO', 'Dominican Republic'),
(123454, '195.112.186.4', '195.112.186.51', 3278944772, 3278944819, 'US', 'United States'),
(123455, '195.112.186.52', '195.112.186.55', 3278944820, 3278944823, 'AR', 'Argentina'),
(123456, '195.112.186.56', '195.112.186.59', 3278944824, 3278944827, 'BR', 'Brazil'),
(123457, '195.112.186.60', '195.112.186.83', 3278944828, 3278944851, 'US', 'United States'),
(123458, '195.112.186.84', '195.112.186.87', 3278944852, 3278944855, 'CA', 'Canada'),
(123459, '195.112.186.88', '195.112.186.95', 3278944856, 3278944863, 'US', 'United States'),
(123460, '195.112.186.96', '195.112.186.99', 3278944864, 3278944867, 'MX', 'Mexico'),
(123461, '195.112.186.100', '195.112.186.103', 3278944868, 3278944871, 'US', 'United States'),
(123462, '195.112.186.104', '195.112.186.107', 3278944872, 3278944875, 'DE', 'Germany'),
(123463, '195.112.186.108', '195.112.186.119', 3278944876, 3278944887, 'US', 'United States'),
(123464, '195.112.186.120', '195.112.186.123', 3278944888, 3278944891, 'CO', 'Colombia'),
(123465, '195.112.186.124', '195.112.186.135', 3278944892, 3278944903, 'US', 'United States'),
(123466, '195.112.186.136', '195.112.186.139', 3278944904, 3278944907, 'BR', 'Brazil'),
(123467, '195.112.186.140', '195.112.186.151', 3278944908, 3278944919, 'US', 'United States'),
(123468, '195.112.186.152', '195.112.186.155', 3278944920, 3278944923, 'CO', 'Colombia'),
(123469, '195.112.186.156', '195.112.186.167', 3278944924, 3278944935, 'US', 'United States'),
(123470, '195.112.186.168', '195.112.186.171', 3278944936, 3278944939, 'BR', 'Brazil'),
(123471, '195.112.186.172', '195.112.186.179', 3278944940, 3278944947, 'US', 'United States'),
(123472, '195.112.186.180', '195.112.186.183', 3278944948, 3278944951, 'CO', 'Colombia'),
(123473, '195.112.186.184', '195.112.186.195', 3278944952, 3278944963, 'US', 'United States'),
(123474, '195.112.186.196', '195.112.186.203', 3278944964, 3278944971, 'CA', 'Canada'),
(123475, '195.112.186.204', '195.112.186.207', 3278944972, 3278944975, 'US', 'United States'),
(123476, '195.112.186.208', '195.112.186.227', 3278944976, 3278944995, 'CA', 'Canada'),
(123477, '195.112.186.228', '195.112.186.231', 3278944996, 3278944999, 'CO', 'Colombia'),
(123478, '195.112.186.232', '195.112.186.239', 3278945000, 3278945007, 'US', 'United States'),
(123479, '195.112.186.240', '195.112.186.243', 3278945008, 3278945011, 'CO', 'Colombia'),
(123480, '195.112.186.244', '195.112.186.247', 3278945012, 3278945015, 'PE', 'Peru'),
(123481, '195.112.186.248', '195.112.186.255', 3278945016, 3278945023, 'US', 'United States'),
(123482, '195.112.187.0', '195.112.187.3', 3278945024, 3278945027, 'BR', 'Brazil'),
(123483, '195.112.187.4', '195.112.187.7', 3278945028, 3278945031, 'AN', 'Netherlands Antilles'),
(123484, '195.112.187.8', '195.112.187.63', 3278945032, 3278945087, 'US', 'United States'),
(123485, '195.112.187.64', '195.112.187.67', 3278945088, 3278945091, 'BR', 'Brazil'),
(123486, '195.112.187.68', '195.112.187.75', 3278945092, 3278945099, 'US', 'United States'),
(123487, '195.112.187.76', '195.112.187.83', 3278945100, 3278945107, 'BR', 'Brazil'),
(123488, '195.112.187.84', '195.112.187.87', 3278945108, 3278945111, 'DO', 'Dominican Republic'),
(123489, '195.112.187.88', '195.112.187.103', 3278945112, 3278945127, 'US', 'United States'),
(123490, '195.112.187.104', '195.112.187.107', 3278945128, 3278945131, 'AR', 'Argentina'),
(123491, '195.112.187.108', '195.112.187.111', 3278945132, 3278945135, 'BR', 'Brazil'),
(123492, '195.112.187.112', '195.112.187.127', 3278945136, 3278945151, 'US', 'United States'),
(123493, '195.112.187.128', '195.112.187.131', 3278945152, 3278945155, 'CA', 'Canada'),
(123494, '195.112.187.132', '195.112.187.135', 3278945156, 3278945159, 'BR', 'Brazil'),
(123495, '195.112.187.136', '195.112.187.147', 3278945160, 3278945171, 'US', 'United States'),
(123496, '195.112.187.148', '195.112.187.151', 3278945172, 3278945175, 'AR', 'Argentina'),
(123497, '195.112.187.152', '195.112.187.167', 3278945176, 3278945191, 'US', 'United States'),
(123498, '195.112.187.168', '195.112.187.175', 3278945192, 3278945199, 'CA', 'Canada'),
(123499, '195.112.187.176', '195.112.187.179', 3278945200, 3278945203, 'US', 'United States'),
(123500, '195.112.187.180', '195.112.187.183', 3278945204, 3278945207, 'AR', 'Argentina'),
(123501, '195.112.187.184', '195.112.187.203', 3278945208, 3278945227, 'US', 'United States'),
(123502, '195.112.187.204', '195.112.187.211', 3278945228, 3278945235, 'CA', 'Canada'),
(123503, '195.112.187.212', '195.112.187.223', 3278945236, 3278945247, 'US', 'United States'),
(123504, '195.112.187.224', '195.112.187.231', 3278945248, 3278945255, 'CA', 'Canada'),
(123505, '195.112.187.232', '195.112.187.243', 3278945256, 3278945267, 'US', 'United States'),
(123506, '195.112.187.244', '195.112.187.247', 3278945268, 3278945271, 'AR', 'Argentina'),
(123507, '195.112.187.248', '195.112.187.251', 3278945272, 3278945275, 'US', 'United States'),
(123508, '195.112.187.252', '195.112.187.255', 3278945276, 3278945279, 'CL', 'Chile'),
(123509, '195.112.188.0', '195.112.188.3', 3278945280, 3278945283, 'CA', 'Canada'),
(123510, '195.112.188.4', '195.112.188.19', 3278945284, 3278945299, 'US', 'United States'),
(123511, '195.112.188.20', '195.112.188.23', 3278945300, 3278945303, 'DE', 'Germany'),
(123512, '195.112.188.24', '195.112.188.27', 3278945304, 3278945307, 'CO', 'Colombia'),
(123513, '195.112.188.28', '195.112.188.31', 3278945308, 3278945311, 'CA', 'Canada'),
(123514, '195.112.188.32', '195.112.188.39', 3278945312, 3278945319, 'US', 'United States'),
(123515, '195.112.188.40', '195.112.188.43', 3278945320, 3278945323, 'MX', 'Mexico'),
(123516, '195.112.188.44', '195.112.188.47', 3278945324, 3278945327, 'AR', 'Argentina'),
(123517, '195.112.188.48', '195.112.188.51', 3278945328, 3278945331, 'CA', 'Canada'),
(123518, '195.112.188.52', '195.112.188.55', 3278945332, 3278945335, 'US', 'United States'),
(123519, '195.112.188.56', '195.112.188.59', 3278945336, 3278945339, 'CA', 'Canada'),
(123520, '195.112.188.60', '195.112.188.63', 3278945340, 3278945343, 'US', 'United States'),
(123521, '195.112.188.64', '195.112.188.67', 3278945344, 3278945347, 'BR', 'Brazil'),
(123522, '195.112.188.68', '195.112.188.83', 3278945348, 3278945363, 'US', 'United States'),
(123523, '195.112.188.84', '195.112.188.87', 3278945364, 3278945367, 'PR', 'Puerto Rico'),
(123524, '195.112.188.88', '195.112.188.115', 3278945368, 3278945395, 'US', 'United States'),
(123525, '195.112.188.116', '195.112.188.119', 3278945396, 3278945399, 'AR', 'Argentina'),
(123526, '195.112.188.120', '195.112.188.123', 3278945400, 3278945403, 'MX', 'Mexico'),
(123527, '195.112.188.124', '195.112.188.147', 3278945404, 3278945427, 'US', 'United States'),
(123528, '195.112.188.148', '195.112.188.151', 3278945428, 3278945431, 'CA', 'Canada'),
(123529, '195.112.188.152', '195.112.188.155', 3278945432, 3278945435, 'AR', 'Argentina'),
(123530, '195.112.188.156', '195.112.188.159', 3278945436, 3278945439, 'MX', 'Mexico'),
(123531, '195.112.188.160', '195.112.188.171', 3278945440, 3278945451, 'US', 'United States'),
(123532, '195.112.188.172', '195.112.188.175', 3278945452, 3278945455, 'BR', 'Brazil'),
(123533, '195.112.188.176', '195.112.188.179', 3278945456, 3278945459, 'US', 'United States'),
(123534, '195.112.188.180', '195.112.188.183', 3278945460, 3278945463, 'MX', 'Mexico'),
(123535, '195.112.188.184', '195.112.188.199', 3278945464, 3278945479, 'US', 'United States'),
(123536, '195.112.188.200', '195.112.188.203', 3278945480, 3278945483, 'CL', 'Chile'),
(123537, '195.112.188.204', '195.112.188.211', 3278945484, 3278945491, 'BR', 'Brazil'),
(123538, '195.112.188.212', '195.112.188.223', 3278945492, 3278945503, 'US', 'United States'),
(123539, '195.112.188.224', '195.112.188.227', 3278945504, 3278945507, 'MX', 'Mexico'),
(123540, '195.112.188.228', '195.112.188.235', 3278945508, 3278945515, 'AR', 'Argentina'),
(123541, '195.112.188.236', '195.112.188.239', 3278945516, 3278945519, 'BR', 'Brazil'),
(123542, '195.112.188.240', '195.112.188.243', 3278945520, 3278945523, 'US', 'United States'),
(123543, '195.112.188.244', '195.112.188.247', 3278945524, 3278945527, 'CA', 'Canada'),
(123544, '195.112.188.248', '195.112.188.251', 3278945528, 3278945531, 'US', 'United States'),
(123545, '195.112.188.252', '195.112.188.255', 3278945532, 3278945535, 'AN', 'Netherlands Antilles'),
(123546, '195.112.189.0', '195.112.189.3', 3278945536, 3278945539, 'AR', 'Argentina'),
(123547, '195.112.189.4', '195.112.189.43', 3278945540, 3278945579, 'US', 'United States'),
(123548, '195.112.189.44', '195.112.189.47', 3278945580, 3278945583, 'AR', 'Argentina'),
(123549, '195.112.189.48', '195.112.189.51', 3278945584, 3278945587, 'US', 'United States'),
(123550, '195.112.189.52', '195.112.189.55', 3278945588, 3278945591, 'DO', 'Dominican Republic'),
(123551, '195.112.189.56', '195.112.189.123', 3278945592, 3278945659, 'US', 'United States'),
(123552, '195.112.189.124', '195.112.189.127', 3278945660, 3278945663, 'AR', 'Argentina'),
(123553, '195.112.189.128', '195.112.189.131', 3278945664, 3278945667, 'US', 'United States'),
(123554, '195.112.189.132', '195.112.189.135', 3278945668, 3278945671, 'UY', 'Uruguay'),
(123555, '195.112.189.136', '195.112.189.139', 3278945672, 3278945675, 'DE', 'Germany'),
(123556, '195.112.189.140', '195.112.189.151', 3278945676, 3278945687, 'US', 'United States'),
(123557, '195.112.189.152', '195.112.189.155', 3278945688, 3278945691, 'BR', 'Brazil'),
(123558, '195.112.189.156', '195.112.189.163', 3278945692, 3278945699, 'US', 'United States'),
(123559, '195.112.189.164', '195.112.189.167', 3278945700, 3278945703, 'AR', 'Argentina'),
(123560, '195.112.189.168', '195.112.189.179', 3278945704, 3278945715, 'US', 'United States'),
(123561, '195.112.189.180', '195.112.189.183', 3278945716, 3278945719, 'CO', 'Colombia'),
(123562, '195.112.189.184', '195.112.189.187', 3278945720, 3278945723, 'US', 'United States'),
(123563, '195.112.189.188', '195.112.189.191', 3278945724, 3278945727, 'AR', 'Argentina'),
(123564, '195.112.189.192', '195.112.189.207', 3278945728, 3278945743, 'US', 'United States'),
(123565, '195.112.189.208', '195.112.189.211', 3278945744, 3278945747, 'MX', 'Mexico'),
(123566, '195.112.189.212', '195.112.189.227', 3278945748, 3278945763, 'US', 'United States'),
(123567, '195.112.189.228', '195.112.189.231', 3278945764, 3278945767, 'MX', 'Mexico'),
(123568, '195.112.189.232', '195.112.189.235', 3278945768, 3278945771, 'CO', 'Colombia'),
(123569, '195.112.189.236', '195.112.189.243', 3278945772, 3278945779, 'US', 'United States'),
(123570, '195.112.189.244', '195.112.189.247', 3278945780, 3278945783, 'PE', 'Peru'),
(123571, '195.112.189.248', '195.112.189.255', 3278945784, 3278945791, 'US', 'United States'),
(123572, '195.112.190.0', '195.112.190.2', 3278945792, 3278945794, 'DE', 'Germany'),
(123573, '195.112.190.3', '195.112.190.3', 3278945795, 3278945795, 'CH', 'Switzerland'),
(123574, '195.112.190.4', '195.112.190.4', 3278945796, 3278945796, 'DE', 'Germany'),
(123575, '195.112.190.5', '195.112.190.5', 3278945797, 3278945797, 'BE', 'Belgium'),
(123576, '195.112.190.6', '195.112.190.6', 3278945798, 3278945798, 'NL', 'Netherlands'),
(123577, '195.112.190.7', '195.112.190.7', 3278945799, 3278945799, 'LU', 'Luxembourg'),
(123578, '195.112.190.8', '195.112.190.8', 3278945800, 3278945800, 'DE', 'Germany'),
(123579, '195.112.190.9', '195.112.190.9', 3278945801, 3278945801, 'NL', 'Netherlands'),
(123580, '195.112.190.10', '195.112.190.10', 3278945802, 3278945802, 'PT', 'Portugal'),
(123581, '195.112.190.11', '195.112.190.11', 3278945803, 3278945803, 'GB', 'United Kingdom'),
(123582, '195.112.190.12', '195.112.190.12', 3278945804, 3278945804, 'DE', 'Germany'),
(123583, '195.112.190.13', '195.112.190.13', 3278945805, 3278945805, 'DK', 'Denmark'),
(123584, '195.112.190.14', '195.112.190.14', 3278945806, 3278945806, 'FR', 'France'),
(123585, '195.112.190.15', '195.112.190.15', 3278945807, 3278945807, 'DE', 'Germany'),
(123586, '195.112.190.16', '195.112.190.16', 3278945808, 3278945808, 'RU', 'Russian Federation'),
(123587, '195.112.190.17', '195.112.190.17', 3278945809, 3278945809, 'DE', 'Germany'),
(123588, '195.112.190.18', '195.112.190.18', 3278945810, 3278945810, 'CH', 'Switzerland'),
(123589, '195.112.190.19', '195.112.190.23', 3278945811, 3278945815, 'DE', 'Germany'),
(123590, '195.112.190.24', '195.112.190.24', 3278945816, 3278945816, 'GB', 'United Kingdom'),
(123591, '195.112.190.25', '195.112.190.29', 3278945817, 3278945821, 'DE', 'Germany'),
(123592, '195.112.190.30', '195.112.190.30', 3278945822, 3278945822, 'GR', 'Greece'),
(123593, '195.112.190.31', '195.112.190.31', 3278945823, 3278945823, 'CH', 'Switzerland'),
(123594, '195.112.190.32', '195.112.190.34', 3278945824, 3278945826, 'DE', 'Germany'),
(123595, '195.112.190.35', '195.112.190.35', 3278945827, 3278945827, 'DK', 'Denmark'),
(123596, '195.112.190.36', '195.112.190.36', 3278945828, 3278945828, 'FR', 'France'),
(123597, '195.112.190.37', '195.112.190.37', 3278945829, 3278945829, 'DE', 'Germany'),
(123598, '195.112.190.38', '195.112.190.39', 3278945830, 3278945831, 'NL', 'Netherlands'),
(123599, '195.112.190.40', '195.112.190.40', 3278945832, 3278945832, 'DE', 'Germany'),
(123600, '195.112.190.41', '195.112.190.41', 3278945833, 3278945833, 'GB', 'United Kingdom'),
(123601, '195.112.190.42', '195.112.190.42', 3278945834, 3278945834, 'NL', 'Netherlands'),
(123602, '195.112.190.43', '195.112.190.43', 3278945835, 3278945835, 'CH', 'Switzerland'),
(123603, '195.112.190.44', '195.112.190.48', 3278945836, 3278945840, 'DE', 'Germany'),
(123604, '195.112.190.49', '195.112.190.49', 3278945841, 3278945841, 'CH', 'Switzerland'),
(123605, '195.112.190.50', '195.112.190.52', 3278945842, 3278945844, 'DE', 'Germany'),
(123606, '195.112.190.53', '195.112.190.53', 3278945845, 3278945845, 'ES', 'Spain'),
(123607, '195.112.190.54', '195.112.190.54', 3278945846, 3278945846, 'CH', 'Switzerland'),
(123608, '195.112.190.55', '195.112.190.55', 3278945847, 3278945847, 'DE', 'Germany'),
(123609, '195.112.190.56', '195.112.190.56', 3278945848, 3278945848, 'GB', 'United Kingdom'),
(123610, '195.112.190.57', '195.112.190.57', 3278945849, 3278945849, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(123611, '195.112.190.58', '195.112.190.58', 3278945850, 3278945850, 'NL', 'Netherlands'),
(123612, '195.112.190.59', '195.112.190.60', 3278945851, 3278945852, 'DE', 'Germany'),
(123613, '195.112.190.61', '195.112.190.61', 3278945853, 3278945853, 'CH', 'Switzerland'),
(123614, '195.112.190.62', '195.112.190.62', 3278945854, 3278945854, 'FR', 'France'),
(123615, '195.112.190.63', '195.112.190.63', 3278945855, 3278945855, 'DE', 'Germany'),
(123616, '195.112.190.64', '195.112.190.64', 3278945856, 3278945856, 'DK', 'Denmark'),
(123617, '195.112.190.65', '195.112.190.66', 3278945857, 3278945858, 'DE', 'Germany'),
(123618, '195.112.190.67', '195.112.190.67', 3278945859, 3278945859, 'GB', 'United Kingdom'),
(123619, '195.112.190.68', '195.112.190.68', 3278945860, 3278945860, 'FR', 'France'),
(123620, '195.112.190.69', '195.112.190.69', 3278945861, 3278945861, 'IT', 'Italy'),
(123621, '195.112.190.70', '195.112.190.70', 3278945862, 3278945862, 'BE', 'Belgium'),
(123622, '195.112.190.71', '195.112.190.71', 3278945863, 3278945863, 'ES', 'Spain'),
(123623, '195.112.190.72', '195.112.190.72', 3278945864, 3278945864, 'IE', 'Ireland'),
(123624, '195.112.190.73', '195.112.190.74', 3278945865, 3278945866, 'DE', 'Germany'),
(123625, '195.112.190.75', '195.112.190.75', 3278945867, 3278945867, 'FR', 'France'),
(123626, '195.112.190.76', '195.112.190.76', 3278945868, 3278945868, 'NO', 'Norway'),
(123627, '195.112.190.77', '195.112.190.78', 3278945869, 3278945870, 'DE', 'Germany'),
(123628, '195.112.190.79', '195.112.190.79', 3278945871, 3278945871, 'IT', 'Italy'),
(123629, '195.112.190.80', '195.112.190.80', 3278945872, 3278945872, 'FR', 'France'),
(123630, '195.112.190.81', '195.112.190.81', 3278945873, 3278945873, 'DE', 'Germany'),
(123631, '195.112.190.82', '195.112.190.82', 3278945874, 3278945874, 'IT', 'Italy'),
(123632, '195.112.190.83', '195.112.190.83', 3278945875, 3278945875, 'ES', 'Spain'),
(123633, '195.112.190.84', '195.112.190.84', 3278945876, 3278945876, 'NL', 'Netherlands'),
(123634, '195.112.190.85', '195.112.190.85', 3278945877, 3278945877, 'SE', 'Sweden'),
(123635, '195.112.190.86', '195.112.190.86', 3278945878, 3278945878, 'FR', 'France'),
(123636, '195.112.190.87', '195.112.190.88', 3278945879, 3278945880, 'DE', 'Germany'),
(123637, '195.112.190.89', '195.112.190.89', 3278945881, 3278945881, 'BE', 'Belgium'),
(123638, '195.112.190.90', '195.112.190.94', 3278945882, 3278945886, 'DE', 'Germany'),
(123639, '195.112.190.95', '195.112.190.96', 3278945887, 3278945888, 'IT', 'Italy'),
(123640, '195.112.190.97', '195.112.190.98', 3278945889, 3278945890, 'DE', 'Germany'),
(123641, '195.112.190.99', '195.112.190.99', 3278945891, 3278945891, 'CH', 'Switzerland'),
(123642, '195.112.190.100', '195.112.190.100', 3278945892, 3278945892, 'BE', 'Belgium'),
(123643, '195.112.190.101', '195.112.190.101', 3278945893, 3278945893, 'DE', 'Germany'),
(123644, '195.112.190.102', '195.112.190.102', 3278945894, 3278945894, 'AT', 'Austria'),
(123645, '195.112.190.103', '195.112.190.103', 3278945895, 3278945895, 'ES', 'Spain'),
(123646, '195.112.190.104', '195.112.190.104', 3278945896, 3278945896, 'GB', 'United Kingdom'),
(123647, '195.112.190.105', '195.112.190.105', 3278945897, 3278945897, 'IT', 'Italy'),
(123648, '195.112.190.106', '195.112.190.106', 3278945898, 3278945898, 'ES', 'Spain'),
(123649, '195.112.190.107', '195.112.190.107', 3278945899, 3278945899, 'DE', 'Germany'),
(123650, '195.112.190.108', '195.112.190.108', 3278945900, 3278945900, 'FR', 'France'),
(123651, '195.112.190.109', '195.112.190.112', 3278945901, 3278945904, 'DE', 'Germany'),
(123652, '195.112.190.113', '195.112.190.113', 3278945905, 3278945905, 'PT', 'Portugal'),
(123653, '195.112.190.114', '195.112.190.114', 3278945906, 3278945906, 'FR', 'France'),
(123654, '195.112.190.115', '195.112.190.115', 3278945907, 3278945907, 'GB', 'United Kingdom'),
(123655, '195.112.190.116', '195.112.190.116', 3278945908, 3278945908, 'DE', 'Germany'),
(123656, '195.112.190.117', '195.112.190.117', 3278945909, 3278945909, 'FR', 'France'),
(123657, '195.112.190.118', '195.112.190.118', 3278945910, 3278945910, 'DE', 'Germany'),
(123658, '195.112.190.119', '195.112.190.119', 3278945911, 3278945911, 'NL', 'Netherlands'),
(123659, '195.112.190.120', '195.112.190.125', 3278945912, 3278945917, 'DE', 'Germany'),
(123660, '195.112.190.126', '195.112.190.126', 3278945918, 3278945918, 'IT', 'Italy'),
(123661, '195.112.190.127', '195.112.191.1', 3278945919, 3278946049, 'DE', 'Germany'),
(123662, '195.112.191.2', '195.112.191.6', 3278946050, 3278946054, 'US', 'United States'),
(123663, '195.112.191.7', '195.112.191.7', 3278946055, 3278946055, 'CA', 'Canada'),
(123664, '195.112.191.8', '195.112.191.11', 3278946056, 3278946059, 'US', 'United States'),
(123665, '195.112.191.12', '195.112.191.12', 3278946060, 3278946060, 'CN', 'China'),
(123666, '195.112.191.13', '195.112.191.13', 3278946061, 3278946061, 'US', 'United States'),
(123667, '195.112.191.14', '195.112.191.14', 3278946062, 3278946062, 'DE', 'Germany'),
(123668, '195.112.191.15', '195.112.191.19', 3278946063, 3278946067, 'US', 'United States'),
(123669, '195.112.191.20', '195.112.191.20', 3278946068, 3278946068, 'DE', 'Germany'),
(123670, '195.112.191.21', '195.112.191.36', 3278946069, 3278946084, 'US', 'United States'),
(123671, '195.112.191.37', '195.112.191.37', 3278946085, 3278946085, 'DE', 'Germany'),
(123672, '195.112.191.38', '195.112.191.43', 3278946086, 3278946091, 'US', 'United States'),
(123673, '195.112.191.44', '195.112.191.44', 3278946092, 3278946092, 'DE', 'Germany'),
(123674, '195.112.191.45', '195.112.191.60', 3278946093, 3278946108, 'US', 'United States'),
(123675, '195.112.191.61', '195.112.191.61', 3278946109, 3278946109, 'GB', 'United Kingdom'),
(123676, '195.112.191.62', '195.112.191.94', 3278946110, 3278946142, 'US', 'United States'),
(123677, '195.112.191.95', '195.112.191.95', 3278946143, 3278946143, 'DE', 'Germany'),
(123678, '195.112.191.96', '195.112.191.118', 3278946144, 3278946166, 'US', 'United States'),
(123679, '195.112.191.119', '195.112.191.119', 3278946167, 3278946167, 'DE', 'Germany'),
(123680, '195.112.191.120', '195.112.191.160', 3278946168, 3278946208, 'US', 'United States'),
(123681, '195.112.191.161', '195.112.191.165', 3278946209, 3278946213, 'DE', 'Germany'),
(123682, '195.112.191.166', '195.112.191.166', 3278946214, 3278946214, 'US', 'United States'),
(123683, '195.112.191.167', '195.112.191.173', 3278946215, 3278946221, 'DE', 'Germany'),
(123684, '195.112.191.174', '195.112.191.174', 3278946222, 3278946222, 'US', 'United States'),
(123685, '195.112.191.175', '195.112.191.176', 3278946223, 3278946224, 'DE', 'Germany'),
(123686, '195.112.191.177', '195.112.191.177', 3278946225, 3278946225, 'US', 'United States'),
(123687, '195.112.191.178', '195.112.191.181', 3278946226, 3278946229, 'DE', 'Germany'),
(123688, '195.112.191.182', '195.112.191.183', 3278946230, 3278946231, 'US', 'United States'),
(123689, '195.112.191.184', '195.112.191.191', 3278946232, 3278946239, 'DE', 'Germany'),
(123690, '195.112.191.192', '195.112.191.215', 3278946240, 3278946263, 'US', 'United States'),
(123691, '195.112.191.216', '195.112.191.219', 3278946264, 3278946267, 'DE', 'Germany'),
(123692, '195.112.191.220', '195.112.191.223', 3278946268, 3278946271, 'US', 'United States'),
(123693, '195.112.191.224', '195.112.191.227', 3278946272, 3278946275, 'SV', 'El Salvador'),
(123694, '195.112.191.228', '195.112.191.231', 3278946276, 3278946279, 'DO', 'Dominican Republic'),
(123695, '195.112.191.232', '195.112.191.235', 3278946280, 3278946283, 'DE', 'Germany'),
(123696, '195.112.191.236', '195.112.191.239', 3278946284, 3278946287, 'US', 'United States'),
(123697, '195.112.191.240', '195.112.191.243', 3278946288, 3278946291, 'DE', 'Germany'),
(123698, '195.112.191.244', '195.112.191.251', 3278946292, 3278946299, 'US', 'United States'),
(123699, '195.112.191.252', '195.112.191.255', 3278946300, 3278946303, 'DE', 'Germany'),
(123700, '195.112.192.0', '195.112.223.255', 3278946304, 3278954495, 'LB', 'Lebanon'),
(123701, '195.112.224.0', '195.112.255.255', 3278954496, 3278962687, 'RU', 'Russian Federation'),
(123702, '195.113.0.0', '195.113.255.255', 3278962688, 3279028223, 'CZ', 'Czech Republic'),
(123703, '195.114.0.0', '195.114.1.255', 3279028224, 3279028735, 'PL', 'Poland'),
(123704, '195.114.2.0', '195.114.3.255', 3279028736, 3279029247, 'RU', 'Russian Federation'),
(123705, '195.114.4.0', '195.114.7.255', 3279029248, 3279030271, 'UA', 'Ukraine'),
(123706, '195.114.8.0', '195.114.9.255', 3279030272, 3279030783, 'RU', 'Russian Federation'),
(123707, '195.114.10.0', '195.114.11.255', 3279030784, 3279031295, 'DE', 'Germany'),
(123708, '195.114.12.0', '195.114.13.255', 3279031296, 3279031807, 'NL', 'Netherlands'),
(123709, '195.114.14.0', '195.114.15.255', 3279031808, 3279032319, 'RO', 'Romania'),
(123710, '195.114.16.0', '195.114.17.255', 3279032320, 3279032831, 'HU', 'Hungary'),
(123711, '195.114.18.0', '195.114.19.255', 3279032832, 3279033343, 'FR', 'France'),
(123712, '195.114.20.0', '195.114.21.255', 3279033344, 3279033855, 'RU', 'Russian Federation'),
(123713, '195.114.22.0', '195.114.23.255', 3279033856, 3279034367, 'DE', 'Germany'),
(123714, '195.114.24.0', '195.114.27.255', 3279034368, 3279035391, 'FR', 'France'),
(123715, '195.114.28.0', '195.114.29.255', 3279035392, 3279035903, 'PS', 'Palestinian Territory, Occupied'),
(123716, '195.114.30.0', '195.114.31.255', 3279035904, 3279036415, 'UA', 'Ukraine'),
(123717, '195.114.32.0', '195.114.63.255', 3279036416, 3279044607, 'LV', 'Latvia'),
(123718, '195.114.64.0', '195.114.86.215', 3279044608, 3279050455, 'FR', 'France'),
(123719, '195.114.86.216', '195.114.86.223', 3279050456, 3279050463, 'A2', 'Satellite Provider'),
(123720, '195.114.86.224', '195.114.95.255', 3279050464, 3279052799, 'FR', 'France'),
(123721, '195.114.96.0', '195.114.97.255', 3279052800, 3279053311, 'UA', 'Ukraine'),
(123722, '195.114.98.0', '195.114.99.255', 3279053312, 3279053823, 'DE', 'Germany'),
(123723, '195.114.100.0', '195.114.101.255', 3279053824, 3279054335, 'NL', 'Netherlands'),
(123724, '195.114.102.0', '195.114.103.255', 3279054336, 3279054847, 'GB', 'United Kingdom'),
(123725, '195.114.104.0', '195.114.105.255', 3279054848, 3279055359, 'RU', 'Russian Federation'),
(123726, '195.114.106.0', '195.114.107.255', 3279055360, 3279055871, 'SA', 'Saudi Arabia'),
(123727, '195.114.108.0', '195.114.109.255', 3279055872, 3279056383, 'TR', 'Turkey'),
(123728, '195.114.110.0', '195.114.111.255', 3279056384, 3279056895, 'GB', 'United Kingdom'),
(123729, '195.114.112.0', '195.114.113.255', 3279056896, 3279057407, 'BG', 'Bulgaria'),
(123730, '195.114.114.0', '195.114.115.255', 3279057408, 3279057919, 'FR', 'France'),
(123731, '195.114.116.0', '195.114.117.255', 3279057920, 3279058431, 'RO', 'Romania'),
(123732, '195.114.118.0', '195.114.119.255', 3279058432, 3279058943, 'RU', 'Russian Federation'),
(123733, '195.114.120.0', '195.114.121.255', 3279058944, 3279059455, 'UA', 'Ukraine'),
(123734, '195.114.122.0', '195.114.125.255', 3279059456, 3279060479, 'RU', 'Russian Federation'),
(123735, '195.114.126.0', '195.114.127.255', 3279060480, 3279060991, 'PL', 'Poland'),
(123736, '195.114.128.0', '195.114.159.255', 3279060992, 3279069183, 'UA', 'Ukraine'),
(123737, '195.114.160.0', '195.114.191.255', 3279069184, 3279077375, 'PL', 'Poland'),
(123738, '195.114.192.0', '195.114.195.255', 3279077376, 3279078399, 'ES', 'Spain'),
(123739, '195.114.196.0', '195.114.196.255', 3279078400, 3279078655, 'IT', 'Italy'),
(123740, '195.114.197.0', '195.114.197.255', 3279078656, 3279078911, 'FR', 'France'),
(123741, '195.114.198.0', '195.114.219.255', 3279078912, 3279084543, 'ES', 'Spain'),
(123742, '195.114.220.0', '195.114.223.255', 3279084544, 3279085567, 'IT', 'Italy'),
(123743, '195.114.224.0', '195.114.239.255', 3279085568, 3279089663, 'NL', 'Netherlands'),
(123744, '195.114.240.0', '195.114.255.255', 3279089664, 3279093759, 'KG', 'Kyrgyzstan'),
(123745, '195.115.0.0', '195.115.36.127', 3279093760, 3279103103, 'FR', 'France'),
(123746, '195.115.36.128', '195.115.36.159', 3279103104, 3279103135, 'GB', 'United Kingdom'),
(123747, '195.115.36.160', '195.115.99.191', 3279103136, 3279119295, 'FR', 'France'),
(123748, '195.115.99.192', '195.115.99.223', 3279119296, 3279119327, 'GB', 'United Kingdom'),
(123749, '195.115.99.224', '195.115.115.255', 3279119328, 3279123455, 'FR', 'France'),
(123750, '195.115.116.0', '195.115.116.255', 3279123456, 3279123711, 'RE', 'Reunion'),
(123751, '195.115.117.0', '195.115.255.255', 3279123712, 3279159295, 'FR', 'France'),
(123752, '195.116.0.0', '195.117.255.255', 3279159296, 3279290367, 'PL', 'Poland'),
(123753, '195.118.0.0', '195.118.3.255', 3279290368, 3279291391, 'NL', 'Netherlands'),
(123754, '195.118.4.0', '195.118.4.255', 3279291392, 3279291647, 'GB', 'United Kingdom'),
(123755, '195.118.5.0', '195.118.15.255', 3279291648, 3279294463, 'NL', 'Netherlands'),
(123756, '195.118.16.0', '195.118.16.255', 3279294464, 3279294719, 'EU', 'Europe'),
(123757, '195.118.17.0', '195.118.17.255', 3279294720, 3279294975, 'IE', 'Ireland'),
(123758, '195.118.18.0', '195.118.18.255', 3279294976, 3279295231, 'SE', 'Sweden'),
(123759, '195.118.19.0', '195.118.19.255', 3279295232, 3279295487, 'ES', 'Spain'),
(123760, '195.118.20.0', '195.118.20.255', 3279295488, 3279295743, 'PT', 'Portugal'),
(123761, '195.118.21.0', '195.118.21.255', 3279295744, 3279295999, 'IL', 'Israel'),
(123762, '195.118.22.0', '195.118.23.255', 3279296000, 3279296511, 'ZA', 'South Africa'),
(123763, '195.118.24.0', '195.118.26.255', 3279296512, 3279297279, 'ES', 'Spain'),
(123764, '195.118.27.0', '195.118.27.255', 3279297280, 3279297535, 'ZA', 'South Africa'),
(123765, '195.118.28.0', '195.118.29.255', 3279297536, 3279298047, 'SE', 'Sweden'),
(123766, '195.118.30.0', '195.118.31.255', 3279298048, 3279298559, 'ZA', 'South Africa'),
(123767, '195.118.32.0', '195.118.58.255', 3279298560, 3279305471, 'DE', 'Germany'),
(123768, '195.118.59.0', '195.118.59.15', 3279305472, 3279305487, 'EU', 'Europe'),
(123769, '195.118.59.16', '195.118.59.31', 3279305488, 3279305503, 'DE', 'Germany'),
(123770, '195.118.59.32', '195.118.59.63', 3279305504, 3279305535, 'GB', 'United Kingdom'),
(123771, '195.118.59.64', '195.118.59.159', 3279305536, 3279305631, 'DE', 'Germany'),
(123772, '195.118.59.160', '195.118.59.191', 3279305632, 3279305663, 'GB', 'United Kingdom'),
(123773, '195.118.59.192', '195.118.59.255', 3279305664, 3279305727, 'ES', 'Spain'),
(123774, '195.118.60.0', '195.118.63.255', 3279305728, 3279306751, 'DE', 'Germany'),
(123775, '195.118.64.0', '195.118.79.255', 3279306752, 3279310847, 'FR', 'France'),
(123776, '195.118.80.0', '195.118.83.255', 3279310848, 3279311871, 'DE', 'Germany'),
(123777, '195.118.84.0', '195.118.87.255', 3279311872, 3279312895, 'EU', 'Europe'),
(123778, '195.118.88.0', '195.118.90.7', 3279312896, 3279313415, 'DE', 'Germany'),
(123779, '195.118.90.8', '195.118.90.15', 3279313416, 3279313423, 'EU', 'Europe'),
(123780, '195.118.90.16', '195.118.91.255', 3279313424, 3279313919, 'DE', 'Germany'),
(123781, '195.118.92.0', '195.118.95.255', 3279313920, 3279314943, 'GB', 'United Kingdom'),
(123782, '195.118.96.0', '195.118.98.255', 3279314944, 3279315711, 'CH', 'Switzerland'),
(123783, '195.118.99.0', '195.118.99.255', 3279315712, 3279315967, 'BE', 'Belgium'),
(123784, '195.118.100.0', '195.118.100.255', 3279315968, 3279316223, 'DE', 'Germany'),
(123785, '195.118.101.0', '195.118.101.255', 3279316224, 3279316479, 'BE', 'Belgium'),
(123786, '195.118.102.0', '195.118.106.255', 3279316480, 3279317759, 'IT', 'Italy'),
(123787, '195.118.107.0', '195.118.107.127', 3279317760, 3279317887, 'DE', 'Germany'),
(123788, '195.118.107.128', '195.118.107.191', 3279317888, 3279317951, 'IT', 'Italy'),
(123789, '195.118.107.192', '195.118.107.207', 3279317952, 3279317967, 'DE', 'Germany'),
(123790, '195.118.107.208', '195.118.107.223', 3279317968, 3279317983, 'IT', 'Italy'),
(123791, '195.118.107.224', '195.118.107.255', 3279317984, 3279318015, 'NL', 'Netherlands'),
(123792, '195.118.108.0', '195.118.108.255', 3279318016, 3279318271, 'DE', 'Germany'),
(123793, '195.118.109.0', '195.118.109.255', 3279318272, 3279318527, 'GB', 'United Kingdom'),
(123794, '195.118.110.0', '195.118.110.31', 3279318528, 3279318559, 'CZ', 'Czech Republic'),
(123795, '195.118.110.32', '195.118.110.127', 3279318560, 3279318655, 'FR', 'France'),
(123796, '195.118.110.128', '195.118.110.159', 3279318656, 3279318687, 'CZ', 'Czech Republic'),
(123797, '195.118.110.160', '195.118.110.191', 3279318688, 3279318719, 'FR', 'France'),
(123798, '195.118.110.192', '195.118.110.223', 3279318720, 3279318751, 'ZA', 'South Africa'),
(123799, '195.118.110.224', '195.118.110.255', 3279318752, 3279318783, 'GB', 'United Kingdom'),
(123800, '195.118.111.0', '195.118.111.255', 3279318784, 3279319039, 'NL', 'Netherlands'),
(123801, '195.118.112.0', '195.118.115.255', 3279319040, 3279320063, 'AT', 'Austria'),
(123802, '195.118.116.0', '195.118.119.255', 3279320064, 3279321087, 'FR', 'France'),
(123803, '195.118.120.0', '195.118.125.255', 3279321088, 3279322623, 'DK', 'Denmark'),
(123804, '195.118.126.0', '195.118.126.39', 3279322624, 3279322663, 'NL', 'Netherlands'),
(123805, '195.118.126.40', '195.118.126.47', 3279322664, 3279322671, 'AT', 'Austria'),
(123806, '195.118.126.48', '195.118.126.63', 3279322672, 3279322687, 'GB', 'United Kingdom'),
(123807, '195.118.126.64', '195.118.126.255', 3279322688, 3279322879, 'DE', 'Germany'),
(123808, '195.118.127.0', '195.118.127.95', 3279322880, 3279322975, 'NL', 'Netherlands'),
(123809, '195.118.127.96', '195.118.127.191', 3279322976, 3279323071, 'DE', 'Germany'),
(123810, '195.118.127.192', '195.118.155.31', 3279323072, 3279330079, 'GB', 'United Kingdom'),
(123811, '195.118.155.32', '195.118.155.63', 3279330080, 3279330111, 'DK', 'Denmark'),
(123812, '195.118.155.64', '195.118.157.255', 3279330112, 3279330815, 'GB', 'United Kingdom'),
(123813, '195.118.158.0', '195.118.158.255', 3279330816, 3279331071, 'EU', 'Europe'),
(123814, '195.118.159.0', '195.118.175.127', 3279331072, 3279335295, 'GB', 'United Kingdom'),
(123815, '195.118.175.128', '195.118.175.255', 3279335296, 3279335423, 'BE', 'Belgium'),
(123816, '195.118.176.0', '195.118.191.255', 3279335424, 3279339519, 'GB', 'United Kingdom'),
(123817, '195.118.192.0', '195.118.193.255', 3279339520, 3279340031, 'ES', 'Spain'),
(123818, '195.118.194.0', '195.118.195.255', 3279340032, 3279340543, 'IT', 'Italy'),
(123819, '195.118.196.0', '195.118.196.127', 3279340544, 3279340671, 'FR', 'France'),
(123820, '195.118.196.128', '195.118.196.255', 3279340672, 3279340799, 'EU', 'Europe'),
(123821, '195.118.197.0', '195.118.197.255', 3279340800, 3279341055, 'FR', 'France'),
(123822, '195.118.198.0', '195.118.199.255', 3279341056, 3279341567, 'IT', 'Italy'),
(123823, '195.118.200.0', '195.118.200.255', 3279341568, 3279341823, 'SE', 'Sweden'),
(123824, '195.118.201.0', '195.118.201.255', 3279341824, 3279342079, 'ZA', 'South Africa'),
(123825, '195.118.202.0', '195.118.202.255', 3279342080, 3279342335, 'IT', 'Italy'),
(123826, '195.118.203.0', '195.118.203.255', 3279342336, 3279342591, 'ZA', 'South Africa'),
(123827, '195.118.204.0', '195.118.204.255', 3279342592, 3279342847, 'SE', 'Sweden'),
(123828, '195.118.205.0', '195.118.205.255', 3279342848, 3279343103, 'HR', 'Croatia'),
(123829, '195.118.206.0', '195.118.206.255', 3279343104, 3279343359, 'SI', 'Slovenia'),
(123830, '195.118.207.0', '195.118.207.255', 3279343360, 3279343615, 'ZA', 'South Africa'),
(123831, '195.118.208.0', '195.118.213.255', 3279343616, 3279345151, 'BE', 'Belgium'),
(123832, '195.118.214.0', '195.118.215.255', 3279345152, 3279345663, 'SE', 'Sweden'),
(123833, '195.118.216.0', '195.118.220.255', 3279345664, 3279346943, 'GB', 'United Kingdom'),
(123834, '195.118.221.0', '195.118.223.255', 3279346944, 3279347711, 'FR', 'France'),
(123835, '195.118.224.0', '195.118.225.255', 3279347712, 3279348223, 'SE', 'Sweden'),
(123836, '195.118.226.0', '195.118.227.255', 3279348224, 3279348735, 'IT', 'Italy'),
(123837, '195.118.228.0', '195.118.228.255', 3279348736, 3279348991, 'GB', 'United Kingdom'),
(123838, '195.118.229.0', '195.118.229.255', 3279348992, 3279349247, 'ES', 'Spain'),
(123839, '195.118.230.0', '195.118.230.255', 3279349248, 3279349503, 'IT', 'Italy'),
(123840, '195.118.231.0', '195.118.231.255', 3279349504, 3279349759, 'FR', 'France'),
(123841, '195.118.232.0', '195.118.236.255', 3279349760, 3279351039, 'DE', 'Germany'),
(123842, '195.118.237.0', '195.118.237.255', 3279351040, 3279351295, 'FR', 'France'),
(123843, '195.118.238.0', '195.118.239.255', 3279351296, 3279351807, 'GB', 'United Kingdom'),
(123844, '195.118.240.0', '195.118.241.255', 3279351808, 3279352319, 'DK', 'Denmark'),
(123845, '195.118.242.0', '195.118.242.255', 3279352320, 3279352575, 'GB', 'United Kingdom'),
(123846, '195.118.243.0', '195.118.243.255', 3279352576, 3279352831, 'BE', 'Belgium'),
(123847, '195.118.244.0', '195.118.244.23', 3279352832, 3279352855, 'SE', 'Sweden'),
(123848, '195.118.244.24', '195.118.244.255', 3279352856, 3279353087, 'EU', 'Europe'),
(123849, '195.118.245.0', '195.118.245.255', 3279353088, 3279353343, 'GB', 'United Kingdom'),
(123850, '195.118.246.0', '195.118.251.255', 3279353344, 3279354879, 'DK', 'Denmark'),
(123851, '195.118.252.0', '195.118.254.255', 3279354880, 3279355647, 'AT', 'Austria'),
(123852, '195.118.255.0', '195.118.255.255', 3279355648, 3279355903, 'BE', 'Belgium'),
(123853, '195.119.0.0', '195.119.0.135', 3279355904, 3279356039, 'EU', 'Europe'),
(123854, '195.119.0.136', '195.119.0.143', 3279356040, 3279356047, 'NO', 'Norway'),
(123855, '195.119.0.144', '195.119.0.159', 3279356048, 3279356063, 'EU', 'Europe'),
(123856, '195.119.0.160', '195.119.0.223', 3279356064, 3279356127, 'NO', 'Norway'),
(123857, '195.119.0.224', '195.119.0.255', 3279356128, 3279356159, 'EU', 'Europe'),
(123858, '195.119.1.0', '195.119.1.255', 3279356160, 3279356415, 'NO', 'Norway'),
(123859, '195.119.2.0', '195.119.3.255', 3279356416, 3279356927, 'EU', 'Europe'),
(123860, '195.119.4.0', '195.119.5.255', 3279356928, 3279357439, 'NO', 'Norway'),
(123861, '195.119.6.0', '195.119.63.255', 3279357440, 3279372287, 'EU', 'Europe'),
(123862, '195.119.64.0', '195.119.65.255', 3279372288, 3279372799, 'FI', 'Finland'),
(123863, '195.119.66.0', '195.119.66.255', 3279372800, 3279373055, 'EU', 'Europe'),
(123864, '195.119.67.0', '195.119.75.255', 3279373056, 3279375359, 'FI', 'Finland'),
(123865, '195.119.76.0', '195.119.95.255', 3279375360, 3279380479, 'EU', 'Europe'),
(123866, '195.119.96.0', '195.119.97.255', 3279380480, 3279380991, 'CH', 'Switzerland'),
(123867, '195.119.98.0', '195.119.104.255', 3279380992, 3279382783, 'EU', 'Europe'),
(123868, '195.119.105.0', '195.119.108.255', 3279382784, 3279383807, 'CH', 'Switzerland'),
(123869, '195.119.109.0', '195.119.109.255', 3279383808, 3279384063, 'EU', 'Europe'),
(123870, '195.119.110.0', '195.119.114.255', 3279384064, 3279385343, 'CH', 'Switzerland'),
(123871, '195.119.115.0', '195.119.118.255', 3279385344, 3279386367, 'EU', 'Europe'),
(123872, '195.119.119.0', '195.119.119.127', 3279386368, 3279386495, 'CH', 'Switzerland'),
(123873, '195.119.119.128', '195.119.121.255', 3279386496, 3279387135, 'EU', 'Europe'),
(123874, '195.119.122.0', '195.119.122.255', 3279387136, 3279387391, 'CH', 'Switzerland'),
(123875, '195.119.123.0', '195.119.127.255', 3279387392, 3279388671, 'EU', 'Europe'),
(123876, '195.119.128.0', '195.119.128.255', 3279388672, 3279388927, 'GR', 'Greece'),
(123877, '195.119.129.0', '195.119.129.255', 3279388928, 3279389183, 'EU', 'Europe'),
(123878, '195.119.130.0', '195.119.130.59', 3279389184, 3279389243, 'GR', 'Greece'),
(123879, '195.119.130.60', '195.119.130.63', 3279389244, 3279389247, 'EU', 'Europe'),
(123880, '195.119.130.64', '195.119.130.71', 3279389248, 3279389255, 'GR', 'Greece'),
(123881, '195.119.130.72', '195.119.130.75', 3279389256, 3279389259, 'EU', 'Europe'),
(123882, '195.119.130.76', '195.119.130.91', 3279389260, 3279389275, 'GR', 'Greece'),
(123883, '195.119.130.92', '195.119.130.95', 3279389276, 3279389279, 'EU', 'Europe'),
(123884, '195.119.130.96', '195.119.130.175', 3279389280, 3279389359, 'GR', 'Greece'),
(123885, '195.119.130.176', '195.119.130.179', 3279389360, 3279389363, 'EU', 'Europe'),
(123886, '195.119.130.180', '195.119.130.195', 3279389364, 3279389379, 'GR', 'Greece'),
(123887, '195.119.130.196', '195.119.130.199', 3279389380, 3279389383, 'EU', 'Europe'),
(123888, '195.119.130.200', '195.119.130.255', 3279389384, 3279389439, 'GR', 'Greece'),
(123889, '195.119.131.0', '195.119.132.15', 3279389440, 3279389711, 'EU', 'Europe'),
(123890, '195.119.132.16', '195.119.132.31', 3279389712, 3279389727, 'GR', 'Greece'),
(123891, '195.119.132.32', '195.119.133.63', 3279389728, 3279390015, 'EU', 'Europe'),
(123892, '195.119.133.64', '195.119.133.191', 3279390016, 3279390143, 'GR', 'Greece'),
(123893, '195.119.133.192', '195.119.147.255', 3279390144, 3279393791, 'EU', 'Europe'),
(123894, '195.119.148.0', '195.119.148.255', 3279393792, 3279394047, 'GR', 'Greece'),
(123895, '195.119.149.0', '195.119.149.255', 3279394048, 3279394303, 'EU', 'Europe'),
(123896, '195.119.150.0', '195.119.150.255', 3279394304, 3279394559, 'GR', 'Greece'),
(123897, '195.119.151.0', '195.119.182.255', 3279394560, 3279402751, 'EU', 'Europe'),
(123898, '195.119.183.0', '195.119.183.255', 3279402752, 3279403007, 'CZ', 'Czech Republic'),
(123899, '195.119.184.0', '195.119.184.255', 3279403008, 3279403263, 'EU', 'Europe'),
(123900, '195.119.185.0', '195.119.187.127', 3279403264, 3279403903, 'CZ', 'Czech Republic'),
(123901, '195.119.187.128', '195.119.188.255', 3279403904, 3279404287, 'EU', 'Europe'),
(123902, '195.119.189.0', '195.119.189.127', 3279404288, 3279404415, 'CZ', 'Czech Republic'),
(123903, '195.119.189.128', '195.119.190.255', 3279404416, 3279404799, 'EU', 'Europe'),
(123904, '195.119.191.0', '195.119.191.255', 3279404800, 3279405055, 'CZ', 'Czech Republic'),
(123905, '195.119.192.0', '195.119.255.255', 3279405056, 3279421439, 'EU', 'Europe'),
(123906, '195.120.0.0', '195.120.255.255', 3279421440, 3279486975, 'IT', 'Italy'),
(123907, '195.121.0.0', '195.121.255.255', 3279486976, 3279552511, 'NL', 'Netherlands'),
(123908, '195.122.0.0', '195.122.31.255', 3279552512, 3279560703, 'LV', 'Latvia'),
(123909, '195.122.32.0', '195.122.63.255', 3279560704, 3279568895, 'GB', 'United Kingdom'),
(123910, '195.122.64.0', '195.122.95.255', 3279568896, 3279577087, 'IT', 'Italy'),
(123911, '195.122.96.0', '195.122.127.255', 3279577088, 3279585279, 'BE', 'Belgium'),
(123912, '195.122.128.0', '195.122.130.127', 3279585280, 3279585919, 'DE', 'Germany'),
(123913, '195.122.130.128', '195.122.130.159', 3279585920, 3279585951, 'GB', 'United Kingdom'),
(123914, '195.122.130.160', '195.122.130.199', 3279585952, 3279585991, 'DE', 'Germany'),
(123915, '195.122.130.200', '195.122.130.207', 3279585992, 3279585999, 'GB', 'United Kingdom'),
(123916, '195.122.130.208', '195.122.131.255', 3279586000, 3279586303, 'DE', 'Germany'),
(123917, '195.122.132.0', '195.122.132.255', 3279586304, 3279586559, 'GB', 'United Kingdom'),
(123918, '195.122.133.0', '195.122.138.255', 3279586560, 3279588095, 'DE', 'Germany'),
(123919, '195.122.139.0', '195.122.139.159', 3279588096, 3279588255, 'GB', 'United Kingdom'),
(123920, '195.122.139.160', '195.122.139.191', 3279588256, 3279588287, 'DE', 'Germany'),
(123921, '195.122.139.192', '195.122.140.255', 3279588288, 3279588607, 'GB', 'United Kingdom'),
(123922, '195.122.141.0', '195.122.141.255', 3279588608, 3279588863, 'DE', 'Germany'),
(123923, '195.122.142.0', '195.122.143.255', 3279588864, 3279589375, 'GB', 'United Kingdom'),
(123924, '195.122.144.0', '195.122.145.255', 3279589376, 3279589887, 'DE', 'Germany'),
(123925, '195.122.146.0', '195.122.148.255', 3279589888, 3279590655, 'GB', 'United Kingdom'),
(123926, '195.122.149.0', '195.122.150.23', 3279590656, 3279590935, 'DE', 'Germany'),
(123927, '195.122.150.24', '195.122.150.255', 3279590936, 3279591167, 'GB', 'United Kingdom'),
(123928, '195.122.151.0', '195.122.153.255', 3279591168, 3279591935, 'DE', 'Germany'),
(123929, '195.122.154.0', '195.122.157.255', 3279591936, 3279592959, 'GB', 'United Kingdom'),
(123930, '195.122.158.0', '195.122.158.255', 3279592960, 3279593215, 'DE', 'Germany'),
(123931, '195.122.159.0', '195.122.159.31', 3279593216, 3279593247, 'GB', 'United Kingdom'),
(123932, '195.122.159.32', '195.122.159.51', 3279593248, 3279593267, 'DE', 'Germany'),
(123933, '195.122.159.52', '195.122.159.55', 3279593268, 3279593271, 'GB', 'United Kingdom'),
(123934, '195.122.159.56', '195.122.159.59', 3279593272, 3279593275, 'DE', 'Germany'),
(123935, '195.122.159.60', '195.122.159.191', 3279593276, 3279593407, 'GB', 'United Kingdom'),
(123936, '195.122.159.192', '195.122.159.224', 3279593408, 3279593440, 'DE', 'Germany'),
(123937, '195.122.159.225', '195.122.159.255', 3279593441, 3279593471, 'GB', 'United Kingdom'),
(123938, '195.122.160.0', '195.122.160.15', 3279593472, 3279593487, 'DE', 'Germany'),
(123939, '195.122.160.16', '195.122.160.63', 3279593488, 3279593535, 'GB', 'United Kingdom'),
(123940, '195.122.160.64', '195.122.160.95', 3279593536, 3279593567, 'DE', 'Germany'),
(123941, '195.122.160.96', '195.122.160.127', 3279593568, 3279593599, 'GB', 'United Kingdom'),
(123942, '195.122.160.128', '195.122.163.255', 3279593600, 3279594495, 'DE', 'Germany'),
(123943, '195.122.164.0', '195.122.168.255', 3279594496, 3279595775, 'GB', 'United Kingdom'),
(123944, '195.122.169.0', '195.122.169.63', 3279595776, 3279595839, 'DE', 'Germany'),
(123945, '195.122.169.64', '195.122.169.127', 3279595840, 3279595903, 'GB', 'United Kingdom'),
(123946, '195.122.169.128', '195.122.169.223', 3279595904, 3279595999, 'DE', 'Germany'),
(123947, '195.122.169.224', '195.122.169.247', 3279596000, 3279596023, 'GB', 'United Kingdom'),
(123948, '195.122.169.248', '195.122.169.255', 3279596024, 3279596031, 'DE', 'Germany'),
(123949, '195.122.170.0', '195.122.171.255', 3279596032, 3279596543, 'GB', 'United Kingdom'),
(123950, '195.122.172.0', '195.122.174.255', 3279596544, 3279597311, 'DE', 'Germany'),
(123951, '195.122.175.0', '195.122.179.255', 3279597312, 3279598591, 'GB', 'United Kingdom'),
(123952, '195.122.180.0', '195.122.183.255', 3279598592, 3279599615, 'DE', 'Germany'),
(123953, '195.122.184.0', '195.122.186.255', 3279599616, 3279600383, 'GB', 'United Kingdom'),
(123954, '195.122.187.0', '195.122.187.95', 3279600384, 3279600479, 'DE', 'Germany'),
(123955, '195.122.187.96', '195.122.187.103', 3279600480, 3279600487, 'GB', 'United Kingdom'),
(123956, '195.122.187.104', '195.122.187.255', 3279600488, 3279600639, 'DE', 'Germany'),
(123957, '195.122.188.0', '195.122.191.255', 3279600640, 3279601663, 'GB', 'United Kingdom'),
(123958, '195.122.192.0', '195.122.223.255', 3279601664, 3279609855, 'CZ', 'Czech Republic'),
(123959, '195.122.224.0', '195.122.255.255', 3279609856, 3279618047, 'RU', 'Russian Federation'),
(123960, '195.123.0.0', '195.123.255.255', 3279618048, 3279683583, 'UA', 'Ukraine'),
(123961, '195.124.0.0', '195.124.17.255', 3279683584, 3279688191, 'DE', 'Germany'),
(123962, '195.124.18.0', '195.124.18.255', 3279688192, 3279688447, 'EU', 'Europe'),
(123963, '195.124.19.0', '195.124.154.207', 3279688448, 3279723215, 'DE', 'Germany'),
(123964, '195.124.154.208', '195.124.154.215', 3279723216, 3279723223, 'A2', 'Satellite Provider'),
(123965, '195.124.154.216', '195.124.237.135', 3279723224, 3279744391, 'DE', 'Germany'),
(123966, '195.124.237.136', '195.124.237.143', 3279744392, 3279744399, 'PL', 'Poland'),
(123967, '195.124.237.144', '195.125.14.255', 3279744400, 3279752959, 'DE', 'Germany'),
(123968, '195.125.15.0', '195.125.15.255', 3279752960, 3279753215, 'CH', 'Switzerland'),
(123969, '195.125.16.0', '195.125.157.127', 3279753216, 3279789439, 'DE', 'Germany'),
(123970, '195.125.157.128', '195.125.157.143', 3279789440, 3279789455, 'PL', 'Poland'),
(123971, '195.125.157.144', '195.127.58.255', 3279789456, 3279895295, 'DE', 'Germany'),
(123972, '195.127.59.0', '195.127.59.255', 3279895296, 3279895551, 'EU', 'Europe'),
(123973, '195.127.60.0', '195.127.67.239', 3279895552, 3279897583, 'DE', 'Germany'),
(123974, '195.127.67.240', '195.127.67.247', 3279897584, 3279897591, 'GB', 'United Kingdom'),
(123975, '195.127.67.248', '195.128.3.255', 3279897592, 3279946751, 'DE', 'Germany'),
(123976, '195.128.4.0', '195.128.7.255', 3279946752, 3279947775, 'SE', 'Sweden'),
(123977, '195.128.8.0', '195.128.11.255', 3279947776, 3279948799, 'NL', 'Netherlands'),
(123978, '195.128.12.0', '195.128.15.255', 3279948800, 3279949823, 'GB', 'United Kingdom'),
(123979, '195.128.16.0', '195.128.19.255', 3279949824, 3279950847, 'UA', 'Ukraine'),
(123980, '195.128.20.0', '195.128.23.255', 3279950848, 3279951871, 'DE', 'Germany'),
(123981, '195.128.24.0', '195.128.27.255', 3279951872, 3279952895, 'IQ', 'Iraq'),
(123982, '195.128.28.0', '195.128.31.255', 3279952896, 3279953919, 'PL', 'Poland'),
(123983, '195.128.32.0', '195.128.39.255', 3279953920, 3279955967, 'TR', 'Turkey'),
(123984, '195.128.40.0', '195.128.47.255', 3279955968, 3279958015, 'DE', 'Germany'),
(123985, '195.128.48.0', '195.128.103.255', 3279958016, 3279972351, 'RU', 'Russian Federation'),
(123986, '195.128.104.0', '195.128.111.255', 3279972352, 3279974399, 'AT', 'Austria'),
(123987, '195.128.112.0', '195.128.119.255', 3279974400, 3279976447, 'PL', 'Poland'),
(123988, '195.128.120.0', '195.128.127.255', 3279976448, 3279978495, 'RU', 'Russian Federation'),
(123989, '195.128.128.0', '195.128.128.255', 3279978496, 3279978751, 'SI', 'Slovenia'),
(123990, '195.128.129.0', '195.128.129.255', 3279978752, 3279979007, 'NL', 'Netherlands'),
(123991, '195.128.130.0', '195.128.130.255', 3279979008, 3279979263, 'RO', 'Romania'),
(123992, '195.128.131.0', '195.128.131.255', 3279979264, 3279979519, 'SA', 'Saudi Arabia'),
(123993, '195.128.132.0', '195.128.132.255', 3279979520, 3279979775, 'BG', 'Bulgaria'),
(123994, '195.128.133.0', '195.128.133.255', 3279979776, 3279980031, 'RU', 'Russian Federation'),
(123995, '195.128.134.0', '195.128.134.255', 3279980032, 3279980287, 'BG', 'Bulgaria'),
(123996, '195.128.135.0', '195.128.135.255', 3279980288, 3279980543, 'PL', 'Poland'),
(123997, '195.128.136.0', '195.128.136.255', 3279980544, 3279980799, 'RO', 'Romania'),
(123998, '195.128.137.0', '195.128.137.255', 3279980800, 3279981055, 'RU', 'Russian Federation'),
(123999, '195.128.138.0', '195.128.138.255', 3279981056, 3279981311, 'GB', 'United Kingdom'),
(124000, '195.128.139.0', '195.128.139.255', 3279981312, 3279981567, 'UA', 'Ukraine'),
(124001, '195.128.140.0', '195.128.140.255', 3279981568, 3279981823, 'PL', 'Poland'),
(124002, '195.128.141.0', '195.128.141.255', 3279981824, 3279982079, 'SI', 'Slovenia'),
(124003, '195.128.142.0', '195.128.142.255', 3279982080, 3279982335, 'PL', 'Poland'),
(124004, '195.128.143.0', '195.128.143.255', 3279982336, 3279982591, 'FR', 'France'),
(124005, '195.128.144.0', '195.128.144.255', 3279982592, 3279982847, 'DE', 'Germany'),
(124006, '195.128.145.0', '195.128.145.255', 3279982848, 3279983103, 'IL', 'Israel'),
(124007, '195.128.146.0', '195.128.147.255', 3279983104, 3279983615, 'FR', 'France'),
(124008, '195.128.148.0', '195.128.148.255', 3279983616, 3279983871, 'PL', 'Poland'),
(124009, '195.128.149.0', '195.128.149.255', 3279983872, 3279984127, 'FR', 'France'),
(124010, '195.128.150.0', '195.128.150.255', 3279984128, 3279984383, 'AT', 'Austria'),
(124011, '195.128.151.0', '195.128.151.255', 3279984384, 3279984639, 'RO', 'Romania'),
(124012, '195.128.152.0', '195.128.153.255', 3279984640, 3279985151, 'RU', 'Russian Federation'),
(124013, '195.128.154.0', '195.128.154.255', 3279985152, 3279985407, 'PL', 'Poland'),
(124014, '195.128.155.0', '195.128.155.255', 3279985408, 3279985663, 'CZ', 'Czech Republic'),
(124015, '195.128.156.0', '195.128.156.255', 3279985664, 3279985919, 'DE', 'Germany'),
(124016, '195.128.157.0', '195.128.159.255', 3279985920, 3279986687, 'RU', 'Russian Federation'),
(124017, '195.128.160.0', '195.128.161.255', 3279986688, 3279987199, 'NL', 'Netherlands'),
(124018, '195.128.162.0', '195.128.163.255', 3279987200, 3279987711, 'RU', 'Russian Federation'),
(124019, '195.128.164.0', '195.128.165.255', 3279987712, 3279988223, 'RO', 'Romania'),
(124020, '195.128.166.0', '195.128.167.255', 3279988224, 3279988735, 'AM', 'Armenia'),
(124021, '195.128.168.0', '195.128.169.255', 3279988736, 3279989247, 'RO', 'Romania'),
(124022, '195.128.170.0', '195.128.171.255', 3279989248, 3279989759, 'AT', 'Austria'),
(124023, '195.128.172.0', '195.128.173.255', 3279989760, 3279990271, 'PL', 'Poland'),
(124024, '195.128.174.0', '195.128.175.255', 3279990272, 3279990783, 'DK', 'Denmark'),
(124025, '195.128.176.0', '195.128.177.255', 3279990784, 3279991295, 'IL', 'Israel'),
(124026, '195.128.178.0', '195.128.179.255', 3279991296, 3279991807, 'UA', 'Ukraine'),
(124027, '195.128.180.0', '195.128.181.255', 3279991808, 3279992319, 'PL', 'Poland'),
(124028, '195.128.182.0', '195.128.183.255', 3279992320, 3279992831, 'UA', 'Ukraine'),
(124029, '195.128.184.0', '195.128.187.255', 3279992832, 3279993855, 'NL', 'Netherlands'),
(124030, '195.128.188.0', '195.128.189.255', 3279993856, 3279994367, 'RO', 'Romania'),
(124031, '195.128.190.0', '195.128.191.255', 3279994368, 3279994879, 'GB', 'United Kingdom'),
(124032, '195.128.192.0', '195.128.223.255', 3279994880, 3280003071, 'CZ', 'Czech Republic'),
(124033, '195.128.224.0', '195.128.225.255', 3280003072, 3280003583, 'BG', 'Bulgaria'),
(124034, '195.128.226.0', '195.128.227.255', 3280003584, 3280004095, 'UA', 'Ukraine'),
(124035, '195.128.228.0', '195.128.229.255', 3280004096, 3280004607, 'PL', 'Poland'),
(124036, '195.128.230.0', '195.128.231.255', 3280004608, 3280005119, 'UA', 'Ukraine'),
(124037, '195.128.232.0', '195.128.233.255', 3280005120, 3280005631, 'HU', 'Hungary'),
(124038, '195.128.234.0', '195.128.235.255', 3280005632, 3280006143, 'IT', 'Italy'),
(124039, '195.128.236.0', '195.128.237.255', 3280006144, 3280006655, 'DK', 'Denmark'),
(124040, '195.128.238.0', '195.128.239.255', 3280006656, 3280007167, 'GB', 'United Kingdom'),
(124041, '195.128.240.0', '195.128.241.255', 3280007168, 3280007679, 'SE', 'Sweden'),
(124042, '195.128.242.0', '195.128.243.255', 3280007680, 3280008191, 'PL', 'Poland'),
(124043, '195.128.244.0', '195.128.247.255', 3280008192, 3280009215, 'RU', 'Russian Federation'),
(124044, '195.128.248.0', '195.128.249.255', 3280009216, 3280009727, 'UA', 'Ukraine'),
(124045, '195.128.250.0', '195.128.251.255', 3280009728, 3280010239, 'GB', 'United Kingdom'),
(124046, '195.128.252.0', '195.128.253.255', 3280010240, 3280010751, 'UA', 'Ukraine'),
(124047, '195.128.254.0', '195.128.255.255', 3280010752, 3280011263, 'TR', 'Turkey'),
(124048, '195.129.0.0', '195.129.0.63', 3280011264, 3280011327, 'DE', 'Germany'),
(124049, '195.129.0.64', '195.129.0.127', 3280011328, 3280011391, 'NL', 'Netherlands'),
(124050, '195.129.0.128', '195.129.0.143', 3280011392, 3280011407, 'EU', 'Europe'),
(124051, '195.129.0.144', '195.129.0.151', 3280011408, 3280011415, 'GB', 'United Kingdom'),
(124052, '195.129.0.152', '195.129.1.31', 3280011416, 3280011551, 'EU', 'Europe'),
(124053, '195.129.1.32', '195.129.1.47', 3280011552, 3280011567, 'GB', 'United Kingdom'),
(124054, '195.129.1.48', '195.129.1.127', 3280011568, 3280011647, 'EU', 'Europe'),
(124055, '195.129.1.128', '195.129.1.255', 3280011648, 3280011775, 'IT', 'Italy'),
(124056, '195.129.2.0', '195.129.2.7', 3280011776, 3280011783, 'NL', 'Netherlands'),
(124057, '195.129.2.8', '195.129.2.15', 3280011784, 3280011791, 'BE', 'Belgium'),
(124058, '195.129.2.16', '195.129.2.127', 3280011792, 3280011903, 'EU', 'Europe'),
(124059, '195.129.2.128', '195.129.2.175', 3280011904, 3280011951, 'BE', 'Belgium'),
(124060, '195.129.2.176', '195.129.14.255', 3280011952, 3280015103, 'EU', 'Europe'),
(124061, '195.129.15.0', '195.129.15.255', 3280015104, 3280015359, 'GB', 'United Kingdom'),
(124062, '195.129.16.0', '195.129.17.255', 3280015360, 3280015871, 'EU', 'Europe'),
(124063, '195.129.18.0', '195.129.19.255', 3280015872, 3280016383, 'GB', 'United Kingdom'),
(124064, '195.129.20.0', '195.129.20.63', 3280016384, 3280016447, 'EU', 'Europe'),
(124065, '195.129.20.64', '195.129.20.79', 3280016448, 3280016463, 'BE', 'Belgium'),
(124066, '195.129.20.80', '195.129.20.159', 3280016464, 3280016543, 'EU', 'Europe'),
(124067, '195.129.20.160', '195.129.20.175', 3280016544, 3280016559, 'BE', 'Belgium'),
(124068, '195.129.20.176', '195.129.20.191', 3280016560, 3280016575, 'GR', 'Greece'),
(124069, '195.129.20.192', '195.129.20.223', 3280016576, 3280016607, 'NO', 'Norway'),
(124070, '195.129.20.224', '195.129.20.239', 3280016608, 3280016623, 'CH', 'Switzerland'),
(124071, '195.129.20.240', '195.129.22.63', 3280016624, 3280016959, 'EU', 'Europe'),
(124072, '195.129.22.64', '195.129.22.95', 3280016960, 3280016991, 'BE', 'Belgium'),
(124073, '195.129.22.96', '195.129.22.127', 3280016992, 3280017023, 'FR', 'France'),
(124074, '195.129.22.128', '195.129.22.159', 3280017024, 3280017055, 'IT', 'Italy'),
(124075, '195.129.22.160', '195.129.22.191', 3280017056, 3280017087, 'EU', 'Europe'),
(124076, '195.129.22.192', '195.129.22.255', 3280017088, 3280017151, 'IE', 'Ireland'),
(124077, '195.129.23.0', '195.129.25.255', 3280017152, 3280017919, 'EU', 'Europe'),
(124078, '195.129.26.0', '195.129.27.255', 3280017920, 3280018431, 'IT', 'Italy'),
(124079, '195.129.28.0', '195.129.31.255', 3280018432, 3280019455, 'GB', 'United Kingdom'),
(124080, '195.129.32.0', '195.129.32.255', 3280019456, 3280019711, 'EU', 'Europe'),
(124081, '195.129.33.0', '195.129.35.255', 3280019712, 3280020479, 'CH', 'Switzerland'),
(124082, '195.129.36.0', '195.129.36.255', 3280020480, 3280020735, 'IE', 'Ireland'),
(124083, '195.129.37.0', '195.129.37.255', 3280020736, 3280020991, 'BE', 'Belgium'),
(124084, '195.129.38.0', '195.129.38.95', 3280020992, 3280021087, 'GB', 'United Kingdom'),
(124085, '195.129.38.96', '195.129.38.127', 3280021088, 3280021119, 'EU', 'Europe'),
(124086, '195.129.38.128', '195.129.38.191', 3280021120, 3280021183, 'NL', 'Netherlands'),
(124087, '195.129.38.192', '195.129.38.255', 3280021184, 3280021247, 'EU', 'Europe'),
(124088, '195.129.39.0', '195.129.39.255', 3280021248, 3280021503, 'CH', 'Switzerland'),
(124089, '195.129.40.0', '195.129.40.255', 3280021504, 3280021759, 'EU', 'Europe'),
(124090, '195.129.41.0', '195.129.41.63', 3280021760, 3280021823, 'BE', 'Belgium'),
(124091, '195.129.41.64', '195.129.44.255', 3280021824, 3280022783, 'EU', 'Europe'),
(124092, '195.129.45.0', '195.129.45.255', 3280022784, 3280023039, 'IT', 'Italy'),
(124093, '195.129.46.0', '195.129.47.255', 3280023040, 3280023551, 'EU', 'Europe'),
(124094, '195.129.48.0', '195.129.51.255', 3280023552, 3280024575, 'IT', 'Italy'),
(124095, '195.129.52.0', '195.129.52.255', 3280024576, 3280024831, 'SE', 'Sweden'),
(124096, '195.129.53.0', '195.129.63.255', 3280024832, 3280027647, 'EU', 'Europe'),
(124097, '195.129.64.0', '195.129.64.255', 3280027648, 3280027903, 'CH', 'Switzerland'),
(124098, '195.129.65.0', '195.129.65.255', 3280027904, 3280028159, 'EU', 'Europe'),
(124099, '195.129.66.0', '195.129.66.255', 3280028160, 3280028415, 'IT', 'Italy'),
(124100, '195.129.67.0', '195.129.67.255', 3280028416, 3280028671, 'BE', 'Belgium'),
(124101, '195.129.68.0', '195.129.73.255', 3280028672, 3280030207, 'EU', 'Europe'),
(124102, '195.129.74.0', '195.129.74.255', 3280030208, 3280030463, 'CH', 'Switzerland'),
(124103, '195.129.75.0', '195.129.79.255', 3280030464, 3280031743, 'EU', 'Europe'),
(124104, '195.129.80.0', '195.129.80.255', 3280031744, 3280031999, 'IE', 'Ireland'),
(124105, '195.129.81.0', '195.129.81.127', 3280032000, 3280032127, 'EU', 'Europe'),
(124106, '195.129.81.128', '195.129.81.255', 3280032128, 3280032255, 'CH', 'Switzerland'),
(124107, '195.129.82.0', '195.129.93.255', 3280032256, 3280035327, 'EU', 'Europe'),
(124108, '195.129.94.0', '195.129.94.255', 3280035328, 3280035583, 'CH', 'Switzerland'),
(124109, '195.129.95.0', '195.129.98.255', 3280035584, 3280036607, 'EU', 'Europe'),
(124110, '195.129.99.0', '195.129.99.255', 3280036608, 3280036863, 'CH', 'Switzerland'),
(124111, '195.129.100.0', '195.129.103.255', 3280036864, 3280037887, 'EU', 'Europe'),
(124112, '195.129.104.0', '195.129.105.255', 3280037888, 3280038399, 'CH', 'Switzerland'),
(124113, '195.129.106.0', '195.129.117.255', 3280038400, 3280041471, 'EU', 'Europe'),
(124114, '195.129.118.0', '195.129.118.255', 3280041472, 3280041727, 'CH', 'Switzerland'),
(124115, '195.129.119.0', '195.129.255.255', 3280041728, 3280076799, 'EU', 'Europe'),
(124116, '195.130.0.0', '195.130.31.255', 3280076800, 3280084991, 'GB', 'United Kingdom'),
(124117, '195.130.32.0', '195.130.63.255', 3280084992, 3280093183, 'BA', 'Bosnia and Herzegovina'),
(124118, '195.130.64.0', '195.130.127.255', 3280093184, 3280109567, 'GR', 'Greece'),
(124119, '195.130.128.0', '195.130.159.255', 3280109568, 3280117759, 'BE', 'Belgium'),
(124120, '195.130.160.0', '195.130.191.255', 3280117760, 3280125951, 'CH', 'Switzerland'),
(124121, '195.130.192.0', '195.130.192.255', 3280125952, 3280126207, 'DE', 'Germany'),
(124122, '195.130.193.0', '195.130.193.255', 3280126208, 3280126463, 'IS', 'Iceland'),
(124123, '195.130.194.0', '195.130.194.255', 3280126464, 3280126719, 'SI', 'Slovenia'),
(124124, '195.130.195.0', '195.130.195.255', 3280126720, 3280126975, 'IT', 'Italy'),
(124125, '195.130.196.0', '195.130.196.255', 3280126976, 3280127231, 'CH', 'Switzerland'),
(124126, '195.130.197.0', '195.130.197.255', 3280127232, 3280127487, 'PL', 'Poland'),
(124127, '195.130.198.0', '195.130.198.255', 3280127488, 3280127743, 'AT', 'Austria'),
(124128, '195.130.199.0', '195.130.199.255', 3280127744, 3280127999, 'NL', 'Netherlands'),
(124129, '195.130.200.0', '195.130.200.255', 3280128000, 3280128255, 'SE', 'Sweden'),
(124130, '195.130.201.0', '195.130.201.255', 3280128256, 3280128511, 'GB', 'United Kingdom'),
(124131, '195.130.202.0', '195.130.203.255', 3280128512, 3280129023, 'HU', 'Hungary'),
(124132, '195.130.204.0', '195.130.204.255', 3280129024, 3280129279, 'RU', 'Russian Federation'),
(124133, '195.130.205.0', '195.130.205.255', 3280129280, 3280129535, 'LV', 'Latvia'),
(124134, '195.130.206.0', '195.130.206.255', 3280129536, 3280129791, 'SA', 'Saudi Arabia'),
(124135, '195.130.207.0', '195.130.207.255', 3280129792, 3280130047, 'FR', 'France'),
(124136, '195.130.208.0', '195.130.209.255', 3280130048, 3280130559, 'RU', 'Russian Federation'),
(124137, '195.130.210.0', '195.130.210.255', 3280130560, 3280130815, 'GB', 'United Kingdom'),
(124138, '195.130.211.0', '195.130.211.255', 3280130816, 3280131071, 'IS', 'Iceland'),
(124139, '195.130.212.0', '195.130.212.255', 3280131072, 3280131327, 'PL', 'Poland'),
(124140, '195.130.213.0', '195.130.213.255', 3280131328, 3280131583, 'IT', 'Italy'),
(124141, '195.130.214.0', '195.130.214.255', 3280131584, 3280131839, 'RU', 'Russian Federation'),
(124142, '195.130.215.0', '195.130.215.255', 3280131840, 3280132095, 'RO', 'Romania'),
(124143, '195.130.216.0', '195.130.216.255', 3280132096, 3280132351, 'RU', 'Russian Federation'),
(124144, '195.130.217.0', '195.130.217.255', 3280132352, 3280132607, 'GB', 'United Kingdom'),
(124145, '195.130.218.0', '195.130.218.255', 3280132608, 3280132863, 'CH', 'Switzerland'),
(124146, '195.130.219.0', '195.130.219.255', 3280132864, 3280133119, 'UA', 'Ukraine'),
(124147, '195.130.220.0', '195.130.220.255', 3280133120, 3280133375, 'IT', 'Italy'),
(124148, '195.130.221.0', '195.130.221.255', 3280133376, 3280133631, 'DE', 'Germany'),
(124149, '195.130.222.0', '195.130.222.255', 3280133632, 3280133887, 'FR', 'France'),
(124150, '195.130.223.0', '195.130.223.255', 3280133888, 3280134143, 'NL', 'Netherlands'),
(124151, '195.130.224.0', '195.130.255.255', 3280134144, 3280142335, 'IT', 'Italy'),
(124152, '195.131.0.0', '195.131.9.175', 3280142336, 3280144815, 'RU', 'Russian Federation'),
(124153, '195.131.9.176', '195.131.9.183', 3280144816, 3280144823, 'RO', 'Romania'),
(124154, '195.131.9.184', '195.131.255.255', 3280144824, 3280207871, 'RU', 'Russian Federation'),
(124155, '195.132.0.0', '195.132.255.255', 3280207872, 3280273407, 'FR', 'France'),
(124156, '195.133.0.0', '195.133.255.255', 3280273408, 3280338943, 'RU', 'Russian Federation'),
(124157, '195.134.0.0', '195.134.31.255', 3280338944, 3280347135, 'GB', 'United Kingdom'),
(124158, '195.134.32.0', '195.134.63.255', 3280347136, 3280355327, 'NO', 'Norway'),
(124159, '195.134.64.0', '195.134.127.255', 3280355328, 3280371711, 'GR', 'Greece'),
(124160, '195.134.128.0', '195.134.159.255', 3280371712, 3280379903, 'CH', 'Switzerland'),
(124161, '195.134.160.0', '195.134.167.255', 3280379904, 3280381951, 'FR', 'France'),
(124162, '195.134.168.0', '195.134.175.255', 3280381952, 3280383999, 'NL', 'Netherlands'),
(124163, '195.134.176.0', '195.134.183.255', 3280384000, 3280386047, 'IT', 'Italy'),
(124164, '195.134.184.0', '195.134.191.255', 3280386048, 3280388095, 'SA', 'Saudi Arabia'),
(124165, '195.134.192.0', '195.134.202.63', 3280388096, 3280390719, 'GB', 'United Kingdom'),
(124166, '195.134.202.64', '195.134.202.95', 3280390720, 3280390751, 'FR', 'France'),
(124167, '195.134.202.96', '195.134.209.255', 3280390752, 3280392703, 'GB', 'United Kingdom'),
(124168, '195.134.210.0', '195.134.210.127', 3280392704, 3280392831, 'FR', 'France'),
(124169, '195.134.210.128', '195.134.219.255', 3280392832, 3280395263, 'GB', 'United Kingdom'),
(124170, '195.134.220.0', '195.134.220.255', 3280395264, 3280395519, 'FR', 'France'),
(124171, '195.134.221.0', '195.134.223.255', 3280395520, 3280396287, 'GB', 'United Kingdom'),
(124172, '195.134.224.0', '195.134.255.255', 3280396288, 3280404479, 'FI', 'Finland'),
(124173, '195.135.0.0', '195.135.127.255', 3280404480, 3280437247, 'IT', 'Italy'),
(124174, '195.135.128.0', '195.135.191.255', 3280437248, 3280453631, 'DE', 'Germany'),
(124175, '195.135.192.0', '195.135.195.255', 3280453632, 3280454655, 'RO', 'Romania'),
(124176, '195.135.196.0', '195.135.199.255', 3280454656, 3280455679, 'UA', 'Ukraine'),
(124177, '195.135.200.0', '195.135.203.255', 3280455680, 3280456703, 'IT', 'Italy'),
(124178, '195.135.204.0', '195.135.207.255', 3280456704, 3280457727, 'RU', 'Russian Federation'),
(124179, '195.135.208.0', '195.135.211.255', 3280457728, 3280458751, 'GB', 'United Kingdom'),
(124180, '195.135.212.0', '195.135.215.255', 3280458752, 3280459775, 'RU', 'Russian Federation'),
(124181, '195.135.216.0', '195.135.219.255', 3280459776, 3280460799, 'DK', 'Denmark'),
(124182, '195.135.220.0', '195.135.227.255', 3280460800, 3280462847, 'DE', 'Germany'),
(124183, '195.135.228.0', '195.135.231.255', 3280462848, 3280463871, 'PL', 'Poland'),
(124184, '195.135.232.0', '195.135.243.255', 3280463872, 3280466943, 'RU', 'Russian Federation'),
(124185, '195.135.244.0', '195.135.247.255', 3280466944, 3280467967, 'UA', 'Ukraine'),
(124186, '195.135.248.0', '195.135.251.255', 3280467968, 3280468991, 'ES', 'Spain'),
(124187, '195.135.252.0', '195.135.255.255', 3280468992, 3280470015, 'CY', 'Cyprus');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(124188, '195.136.0.0', '195.136.255.255', 3280470016, 3280535551, 'PL', 'Poland'),
(124189, '195.137.0.0', '195.137.127.255', 3280535552, 3280568319, 'GB', 'United Kingdom'),
(124190, '195.137.128.0', '195.137.159.255', 3280568320, 3280576511, 'IT', 'Italy'),
(124191, '195.137.160.0', '195.137.160.255', 3280576512, 3280576767, 'BY', 'Belarus'),
(124192, '195.137.161.0', '195.137.162.255', 3280576768, 3280577279, 'PL', 'Poland'),
(124193, '195.137.163.0', '195.137.163.255', 3280577280, 3280577535, 'DE', 'Germany'),
(124194, '195.137.164.0', '195.137.164.255', 3280577536, 3280577791, 'IL', 'Israel'),
(124195, '195.137.165.0', '195.137.165.255', 3280577792, 3280578047, 'NL', 'Netherlands'),
(124196, '195.137.166.0', '195.137.166.255', 3280578048, 3280578303, 'RO', 'Romania'),
(124197, '195.137.167.0', '195.137.167.255', 3280578304, 3280578559, 'UA', 'Ukraine'),
(124198, '195.137.168.0', '195.137.168.255', 3280578560, 3280578815, 'PL', 'Poland'),
(124199, '195.137.169.0', '195.137.169.255', 3280578816, 3280579071, 'NL', 'Netherlands'),
(124200, '195.137.170.0', '195.137.170.255', 3280579072, 3280579327, 'DE', 'Germany'),
(124201, '195.137.171.0', '195.137.171.255', 3280579328, 3280579583, 'RU', 'Russian Federation'),
(124202, '195.137.172.0', '195.137.172.255', 3280579584, 3280579839, 'CH', 'Switzerland'),
(124203, '195.137.173.0', '195.137.173.255', 3280579840, 3280580095, 'HR', 'Croatia'),
(124204, '195.137.174.0', '195.137.174.255', 3280580096, 3280580351, 'KW', 'Kuwait'),
(124205, '195.137.175.0', '195.137.175.255', 3280580352, 3280580607, 'CH', 'Switzerland'),
(124206, '195.137.176.0', '195.137.176.255', 3280580608, 3280580863, 'GB', 'United Kingdom'),
(124207, '195.137.177.0', '195.137.177.255', 3280580864, 3280581119, 'DE', 'Germany'),
(124208, '195.137.178.0', '195.137.178.255', 3280581120, 3280581375, 'DK', 'Denmark'),
(124209, '195.137.179.0', '195.137.179.255', 3280581376, 3280581631, 'EE', 'Estonia'),
(124210, '195.137.180.0', '195.137.180.255', 3280581632, 3280581887, 'BY', 'Belarus'),
(124211, '195.137.181.0', '195.137.181.255', 3280581888, 3280582143, 'FR', 'France'),
(124212, '195.137.182.0', '195.137.182.255', 3280582144, 3280582399, 'CZ', 'Czech Republic'),
(124213, '195.137.183.0', '195.137.183.255', 3280582400, 3280582655, 'DK', 'Denmark'),
(124214, '195.137.184.0', '195.137.184.255', 3280582656, 3280582911, 'FR', 'France'),
(124215, '195.137.185.0', '195.137.185.255', 3280582912, 3280583167, 'UA', 'Ukraine'),
(124216, '195.137.186.0', '195.137.186.255', 3280583168, 3280583423, 'RO', 'Romania'),
(124217, '195.137.187.0', '195.137.187.255', 3280583424, 3280583679, 'RU', 'Russian Federation'),
(124218, '195.137.188.0', '195.137.188.255', 3280583680, 3280583935, 'PS', 'Palestinian Territory, Occupied'),
(124219, '195.137.189.0', '195.137.189.255', 3280583936, 3280584191, 'PL', 'Poland'),
(124220, '195.137.190.0', '195.137.190.255', 3280584192, 3280584447, 'KW', 'Kuwait'),
(124221, '195.137.191.0', '195.137.191.255', 3280584448, 3280584703, 'DE', 'Germany'),
(124222, '195.137.192.0', '195.137.193.255', 3280584704, 3280585215, 'UA', 'Ukraine'),
(124223, '195.137.194.0', '195.137.195.255', 3280585216, 3280585727, 'DK', 'Denmark'),
(124224, '195.137.196.0', '195.137.197.255', 3280585728, 3280586239, 'UA', 'Ukraine'),
(124225, '195.137.198.0', '195.137.199.255', 3280586240, 3280586751, 'DE', 'Germany'),
(124226, '195.137.200.0', '195.137.201.255', 3280586752, 3280587263, 'RU', 'Russian Federation'),
(124227, '195.137.202.0', '195.137.203.255', 3280587264, 3280587775, 'UA', 'Ukraine'),
(124228, '195.137.204.0', '195.137.205.255', 3280587776, 3280588287, 'RO', 'Romania'),
(124229, '195.137.206.0', '195.137.207.255', 3280588288, 3280588799, 'UA', 'Ukraine'),
(124230, '195.137.208.0', '195.137.209.255', 3280588800, 3280589311, 'PL', 'Poland'),
(124231, '195.137.210.0', '195.137.213.255', 3280589312, 3280590335, 'DE', 'Germany'),
(124232, '195.137.214.0', '195.137.215.255', 3280590336, 3280590847, 'NL', 'Netherlands'),
(124233, '195.137.216.0', '195.137.217.255', 3280590848, 3280591359, 'DE', 'Germany'),
(124234, '195.137.218.0', '195.137.219.255', 3280591360, 3280591871, 'UA', 'Ukraine'),
(124235, '195.137.220.0', '195.137.221.255', 3280591872, 3280592383, 'US', 'United States'),
(124236, '195.137.222.0', '195.137.223.255', 3280592384, 3280592895, 'TR', 'Turkey'),
(124237, '195.137.224.0', '195.137.225.255', 3280592896, 3280593407, 'DE', 'Germany'),
(124238, '195.137.226.0', '195.137.227.255', 3280593408, 3280593919, 'UA', 'Ukraine'),
(124239, '195.137.228.0', '195.137.229.255', 3280593920, 3280594431, 'LU', 'Luxembourg'),
(124240, '195.137.230.0', '195.137.230.255', 3280594432, 3280594687, 'NL', 'Netherlands'),
(124241, '195.137.231.0', '195.137.231.255', 3280594688, 3280594943, 'EU', 'Europe'),
(124242, '195.137.232.0', '195.137.233.255', 3280594944, 3280595455, 'UA', 'Ukraine'),
(124243, '195.137.234.0', '195.137.235.255', 3280595456, 3280595967, 'DE', 'Germany'),
(124244, '195.137.236.0', '195.137.237.255', 3280595968, 3280596479, 'DK', 'Denmark'),
(124245, '195.137.238.0', '195.137.239.255', 3280596480, 3280596991, 'AT', 'Austria'),
(124246, '195.137.240.0', '195.137.241.255', 3280596992, 3280597503, 'UA', 'Ukraine'),
(124247, '195.137.242.0', '195.137.242.255', 3280597504, 3280597759, 'NL', 'Netherlands'),
(124248, '195.137.243.0', '195.137.243.255', 3280597760, 3280598015, 'BE', 'Belgium'),
(124249, '195.137.244.0', '195.137.245.255', 3280598016, 3280598527, 'UA', 'Ukraine'),
(124250, '195.137.246.0', '195.137.247.255', 3280598528, 3280599039, 'PL', 'Poland'),
(124251, '195.137.248.0', '195.137.249.255', 3280599040, 3280599551, 'FR', 'France'),
(124252, '195.137.250.0', '195.137.251.255', 3280599552, 3280600063, 'UA', 'Ukraine'),
(124253, '195.137.252.0', '195.137.253.255', 3280600064, 3280600575, 'BG', 'Bulgaria'),
(124254, '195.137.254.0', '195.137.255.255', 3280600576, 3280601087, 'UA', 'Ukraine'),
(124255, '195.138.0.0', '195.138.31.255', 3280601088, 3280609279, 'PT', 'Portugal'),
(124256, '195.138.32.0', '195.138.63.255', 3280609280, 3280617471, 'DE', 'Germany'),
(124257, '195.138.64.0', '195.138.95.255', 3280617472, 3280625663, 'UA', 'Ukraine'),
(124258, '195.138.96.0', '195.138.127.255', 3280625664, 3280633855, 'MD', 'Moldova, Republic of'),
(124259, '195.138.128.0', '195.138.135.159', 3280633856, 3280635807, 'BG', 'Bulgaria'),
(124260, '195.138.135.160', '195.138.135.167', 3280635808, 3280635815, 'DE', 'Germany'),
(124261, '195.138.135.168', '195.138.159.255', 3280635816, 3280642047, 'BG', 'Bulgaria'),
(124262, '195.138.160.0', '195.138.191.255', 3280642048, 3280650239, 'UA', 'Ukraine'),
(124263, '195.138.192.0', '195.138.192.255', 3280650240, 3280650495, 'RO', 'Romania'),
(124264, '195.138.193.0', '195.138.193.255', 3280650496, 3280650751, 'UA', 'Ukraine'),
(124265, '195.138.194.0', '195.138.195.255', 3280650752, 3280651263, 'GB', 'United Kingdom'),
(124266, '195.138.196.0', '195.138.196.255', 3280651264, 3280651519, 'SI', 'Slovenia'),
(124267, '195.138.197.0', '195.138.197.255', 3280651520, 3280651775, 'FR', 'France'),
(124268, '195.138.198.0', '195.138.198.255', 3280651776, 3280652031, 'UA', 'Ukraine'),
(124269, '195.138.199.0', '195.138.199.255', 3280652032, 3280652287, 'NO', 'Norway'),
(124270, '195.138.200.0', '195.138.200.255', 3280652288, 3280652543, 'PL', 'Poland'),
(124271, '195.138.201.0', '195.138.201.255', 3280652544, 3280652799, 'SI', 'Slovenia'),
(124272, '195.138.202.0', '195.138.202.255', 3280652800, 3280653055, 'FR', 'France'),
(124273, '195.138.203.0', '195.138.203.255', 3280653056, 3280653311, 'CH', 'Switzerland'),
(124274, '195.138.204.0', '195.138.205.255', 3280653312, 3280653823, 'GB', 'United Kingdom'),
(124275, '195.138.206.0', '195.138.206.255', 3280653824, 3280654079, 'RU', 'Russian Federation'),
(124276, '195.138.207.0', '195.138.208.255', 3280654080, 3280654591, 'PL', 'Poland'),
(124277, '195.138.209.0', '195.138.209.255', 3280654592, 3280654847, 'ES', 'Spain'),
(124278, '195.138.210.0', '195.138.210.255', 3280654848, 3280655103, 'RU', 'Russian Federation'),
(124279, '195.138.211.0', '195.138.211.255', 3280655104, 3280655359, 'PL', 'Poland'),
(124280, '195.138.212.0', '195.138.212.255', 3280655360, 3280655615, 'SE', 'Sweden'),
(124281, '195.138.213.0', '195.138.213.255', 3280655616, 3280655871, 'FI', 'Finland'),
(124282, '195.138.214.0', '195.138.214.255', 3280655872, 3280656127, 'RO', 'Romania'),
(124283, '195.138.215.0', '195.138.216.255', 3280656128, 3280656639, 'CH', 'Switzerland'),
(124284, '195.138.217.0', '195.138.219.255', 3280656640, 3280657407, 'UA', 'Ukraine'),
(124285, '195.138.220.0', '195.138.220.255', 3280657408, 3280657663, 'RU', 'Russian Federation'),
(124286, '195.138.221.0', '195.138.221.255', 3280657664, 3280657919, 'SE', 'Sweden'),
(124287, '195.138.222.0', '195.138.222.255', 3280657920, 3280658175, 'RO', 'Romania'),
(124288, '195.138.223.0', '195.138.223.255', 3280658176, 3280658431, 'DE', 'Germany'),
(124289, '195.138.224.0', '195.138.255.255', 3280658432, 3280666623, 'GB', 'United Kingdom'),
(124290, '195.139.0.0', '195.139.255.255', 3280666624, 3280732159, 'NO', 'Norway'),
(124291, '195.140.0.0', '195.140.127.255', 3280732160, 3280764927, 'DE', 'Germany'),
(124292, '195.140.128.0', '195.140.131.255', 3280764928, 3280765951, 'TJ', 'Tajikistan'),
(124293, '195.140.132.0', '195.140.135.255', 3280765952, 3280766975, 'DK', 'Denmark'),
(124294, '195.140.136.0', '195.140.139.255', 3280766976, 3280767999, 'AT', 'Austria'),
(124295, '195.140.140.0', '195.140.143.255', 3280768000, 3280769023, 'FR', 'France'),
(124296, '195.140.144.0', '195.140.147.255', 3280769024, 3280770047, 'NL', 'Netherlands'),
(124297, '195.140.148.0', '195.140.151.255', 3280770048, 3280771071, 'FR', 'France'),
(124298, '195.140.152.0', '195.140.155.255', 3280771072, 3280772095, 'PL', 'Poland'),
(124299, '195.140.156.0', '195.140.159.255', 3280772096, 3280773119, 'ES', 'Spain'),
(124300, '195.140.160.0', '195.140.163.255', 3280773120, 3280774143, 'UA', 'Ukraine'),
(124301, '195.140.164.0', '195.140.167.255', 3280774144, 3280775167, 'ME', 'Montenegro'),
(124302, '195.140.168.0', '195.140.171.255', 3280775168, 3280776191, 'UA', 'Ukraine'),
(124303, '195.140.172.0', '195.140.175.255', 3280776192, 3280777215, 'SE', 'Sweden'),
(124304, '195.140.176.0', '195.140.179.255', 3280777216, 3280778239, 'UA', 'Ukraine'),
(124305, '195.140.180.0', '195.140.183.255', 3280778240, 3280779263, 'RU', 'Russian Federation'),
(124306, '195.140.184.0', '195.140.187.255', 3280779264, 3280780287, 'DE', 'Germany'),
(124307, '195.140.188.0', '195.140.191.255', 3280780288, 3280781311, 'PL', 'Poland'),
(124308, '195.140.192.0', '195.140.195.255', 3280781312, 3280782335, 'FI', 'Finland'),
(124309, '195.140.196.0', '195.140.199.255', 3280782336, 3280783359, 'TR', 'Turkey'),
(124310, '195.140.200.0', '195.140.203.255', 3280783360, 3280784383, 'SE', 'Sweden'),
(124311, '195.140.204.0', '195.140.207.255', 3280784384, 3280785407, 'RU', 'Russian Federation'),
(124312, '195.140.208.0', '195.140.215.255', 3280785408, 3280787455, 'DE', 'Germany'),
(124313, '195.140.216.0', '195.140.219.255', 3280787456, 3280788479, 'GB', 'United Kingdom'),
(124314, '195.140.220.0', '195.140.223.255', 3280788480, 3280789503, 'PL', 'Poland'),
(124315, '195.140.224.0', '195.140.231.255', 3280789504, 3280791551, 'UA', 'Ukraine'),
(124316, '195.140.232.0', '195.140.235.255', 3280791552, 3280792575, 'DE', 'Germany'),
(124317, '195.140.236.0', '195.140.239.255', 3280792576, 3280793599, 'PL', 'Poland'),
(124318, '195.140.240.0', '195.140.243.255', 3280793600, 3280794623, 'NL', 'Netherlands'),
(124319, '195.140.244.0', '195.140.247.255', 3280794624, 3280795647, 'UA', 'Ukraine'),
(124320, '195.140.248.0', '195.140.251.255', 3280795648, 3280796671, 'MZ', 'Mozambique'),
(124321, '195.140.252.0', '195.140.255.255', 3280796672, 3280797695, 'CZ', 'Czech Republic'),
(124322, '195.141.0.0', '195.141.51.31', 3280797696, 3280810783, 'CH', 'Switzerland'),
(124323, '195.141.51.32', '195.141.51.47', 3280810784, 3280810799, 'DE', 'Germany'),
(124324, '195.141.51.48', '195.141.255.255', 3280810800, 3280863231, 'CH', 'Switzerland'),
(124325, '195.142.0.0', '195.142.255.255', 3280863232, 3280928767, 'TR', 'Turkey'),
(124326, '195.143.0.0', '195.143.0.63', 3280928768, 3280928831, 'RU', 'Russian Federation'),
(124327, '195.143.0.64', '195.143.5.255', 3280928832, 3280930303, 'GB', 'United Kingdom'),
(124328, '195.143.6.0', '195.143.6.255', 3280930304, 3280930559, 'DE', 'Germany'),
(124329, '195.143.7.0', '195.143.8.143', 3280930560, 3280930959, 'GB', 'United Kingdom'),
(124330, '195.143.8.144', '195.143.8.159', 3280930960, 3280930975, 'DE', 'Germany'),
(124331, '195.143.8.160', '195.143.17.55', 3280930976, 3280933175, 'GB', 'United Kingdom'),
(124332, '195.143.17.56', '195.143.17.63', 3280933176, 3280933183, 'DE', 'Germany'),
(124333, '195.143.17.64', '195.143.17.239', 3280933184, 3280933359, 'GB', 'United Kingdom'),
(124334, '195.143.17.240', '195.143.17.255', 3280933360, 3280933375, 'DE', 'Germany'),
(124335, '195.143.18.0', '195.143.18.255', 3280933376, 3280933631, 'GB', 'United Kingdom'),
(124336, '195.143.19.0', '195.143.21.255', 3280933632, 3280934399, 'DE', 'Germany'),
(124337, '195.143.22.0', '195.143.28.255', 3280934400, 3280936191, 'GB', 'United Kingdom'),
(124338, '195.143.29.0', '195.143.29.127', 3280936192, 3280936319, 'DE', 'Germany'),
(124339, '195.143.29.128', '195.143.39.15', 3280936320, 3280938767, 'GB', 'United Kingdom'),
(124340, '195.143.39.16', '195.143.39.31', 3280938768, 3280938783, 'DE', 'Germany'),
(124341, '195.143.39.32', '195.143.39.47', 3280938784, 3280938799, 'GB', 'United Kingdom'),
(124342, '195.143.39.48', '195.143.39.63', 3280938800, 3280938815, 'DE', 'Germany'),
(124343, '195.143.39.64', '195.143.85.127', 3280938816, 3280950655, 'GB', 'United Kingdom'),
(124344, '195.143.85.128', '195.143.85.159', 3280950656, 3280950687, 'DE', 'Germany'),
(124345, '195.143.85.160', '195.143.86.255', 3280950688, 3280951039, 'GB', 'United Kingdom'),
(124346, '195.143.87.0', '195.143.87.255', 3280951040, 3280951295, 'DE', 'Germany'),
(124347, '195.143.88.0', '195.143.89.255', 3280951296, 3280951807, 'GB', 'United Kingdom'),
(124348, '195.143.90.0', '195.143.92.3', 3280951808, 3280952323, 'DE', 'Germany'),
(124349, '195.143.92.4', '195.143.92.7', 3280952324, 3280952327, 'GB', 'United Kingdom'),
(124350, '195.143.92.8', '195.143.92.23', 3280952328, 3280952343, 'DE', 'Germany'),
(124351, '195.143.92.24', '195.143.92.31', 3280952344, 3280952351, 'GB', 'United Kingdom'),
(124352, '195.143.92.32', '195.143.92.55', 3280952352, 3280952375, 'DE', 'Germany'),
(124353, '195.143.92.56', '195.143.92.63', 3280952376, 3280952383, 'GB', 'United Kingdom'),
(124354, '195.143.92.64', '195.143.92.135', 3280952384, 3280952455, 'DE', 'Germany'),
(124355, '195.143.92.136', '195.143.92.143', 3280952456, 3280952463, 'GB', 'United Kingdom'),
(124356, '195.143.92.144', '195.143.92.255', 3280952464, 3280952575, 'DE', 'Germany'),
(124357, '195.143.93.0', '195.143.93.39', 3280952576, 3280952615, 'GB', 'United Kingdom'),
(124358, '195.143.93.40', '195.143.93.47', 3280952616, 3280952623, 'DE', 'Germany'),
(124359, '195.143.93.48', '195.143.93.55', 3280952624, 3280952631, 'GB', 'United Kingdom'),
(124360, '195.143.93.56', '195.143.93.67', 3280952632, 3280952643, 'DE', 'Germany'),
(124361, '195.143.93.68', '195.143.93.95', 3280952644, 3280952671, 'GB', 'United Kingdom'),
(124362, '195.143.93.96', '195.143.93.111', 3280952672, 3280952687, 'DE', 'Germany'),
(124363, '195.143.93.112', '195.143.93.119', 3280952688, 3280952695, 'GB', 'United Kingdom'),
(124364, '195.143.93.120', '195.143.93.191', 3280952696, 3280952767, 'DE', 'Germany'),
(124365, '195.143.93.192', '195.143.93.207', 3280952768, 3280952783, 'GB', 'United Kingdom'),
(124366, '195.143.93.208', '195.143.93.215', 3280952784, 3280952791, 'DE', 'Germany'),
(124367, '195.143.93.216', '195.143.93.223', 3280952792, 3280952799, 'GB', 'United Kingdom'),
(124368, '195.143.93.224', '195.143.93.255', 3280952800, 3280952831, 'DE', 'Germany'),
(124369, '195.143.94.0', '195.143.104.15', 3280952832, 3280955407, 'GB', 'United Kingdom'),
(124370, '195.143.104.16', '195.143.104.27', 3280955408, 3280955419, 'DE', 'Germany'),
(124371, '195.143.104.28', '195.143.104.111', 3280955420, 3280955503, 'GB', 'United Kingdom'),
(124372, '195.143.104.112', '195.143.105.143', 3280955504, 3280955791, 'DE', 'Germany'),
(124373, '195.143.105.144', '195.143.105.151', 3280955792, 3280955799, 'GB', 'United Kingdom'),
(124374, '195.143.105.152', '195.143.106.95', 3280955800, 3280955999, 'DE', 'Germany'),
(124375, '195.143.106.96', '195.143.106.103', 3280956000, 3280956007, 'GB', 'United Kingdom'),
(124376, '195.143.106.104', '195.143.106.111', 3280956008, 3280956015, 'DE', 'Germany'),
(124377, '195.143.106.112', '195.143.106.119', 3280956016, 3280956023, 'GB', 'United Kingdom'),
(124378, '195.143.106.120', '195.143.106.135', 3280956024, 3280956039, 'DE', 'Germany'),
(124379, '195.143.106.136', '195.143.106.143', 3280956040, 3280956047, 'GB', 'United Kingdom'),
(124380, '195.143.106.144', '195.143.106.191', 3280956048, 3280956095, 'DE', 'Germany'),
(124381, '195.143.106.192', '195.143.106.199', 3280956096, 3280956103, 'GB', 'United Kingdom'),
(124382, '195.143.106.200', '195.143.106.239', 3280956104, 3280956143, 'DE', 'Germany'),
(124383, '195.143.106.240', '195.143.107.255', 3280956144, 3280956415, 'GB', 'United Kingdom'),
(124384, '195.143.108.0', '195.143.109.255', 3280956416, 3280956927, 'DE', 'Germany'),
(124385, '195.143.110.0', '195.143.111.71', 3280956928, 3280957255, 'GB', 'United Kingdom'),
(124386, '195.143.111.72', '195.143.111.79', 3280957256, 3280957263, 'DE', 'Germany'),
(124387, '195.143.111.80', '195.143.111.127', 3280957264, 3280957311, 'GB', 'United Kingdom'),
(124388, '195.143.111.128', '195.143.112.63', 3280957312, 3280957503, 'DE', 'Germany'),
(124389, '195.143.112.64', '195.143.113.135', 3280957504, 3280957831, 'GB', 'United Kingdom'),
(124390, '195.143.113.136', '195.143.113.143', 3280957832, 3280957839, 'DE', 'Germany'),
(124391, '195.143.113.144', '195.143.115.255', 3280957840, 3280958463, 'GB', 'United Kingdom'),
(124392, '195.143.116.0', '195.143.117.87', 3280958464, 3280958807, 'DE', 'Germany'),
(124393, '195.143.117.88', '195.143.117.143', 3280958808, 3280958863, 'GB', 'United Kingdom'),
(124394, '195.143.117.144', '195.143.117.151', 3280958864, 3280958871, 'DE', 'Germany'),
(124395, '195.143.117.152', '195.143.117.159', 3280958872, 3280958879, 'GB', 'United Kingdom'),
(124396, '195.143.117.160', '195.143.117.191', 3280958880, 3280958911, 'DE', 'Germany'),
(124397, '195.143.117.192', '195.143.117.199', 3280958912, 3280958919, 'GB', 'United Kingdom'),
(124398, '195.143.117.200', '195.143.118.135', 3280958920, 3280959111, 'DE', 'Germany'),
(124399, '195.143.118.136', '195.143.118.143', 3280959112, 3280959119, 'GB', 'United Kingdom'),
(124400, '195.143.118.144', '195.143.119.47', 3280959120, 3280959279, 'DE', 'Germany'),
(124401, '195.143.119.48', '195.143.120.255', 3280959280, 3280959743, 'GB', 'United Kingdom'),
(124402, '195.143.121.0', '195.143.121.31', 3280959744, 3280959775, 'DE', 'Germany'),
(124403, '195.143.121.32', '195.143.122.15', 3280959776, 3280960015, 'GB', 'United Kingdom'),
(124404, '195.143.122.16', '195.143.122.23', 3280960016, 3280960023, 'DE', 'Germany'),
(124405, '195.143.122.24', '195.143.122.31', 3280960024, 3280960031, 'GB', 'United Kingdom'),
(124406, '195.143.122.32', '195.143.122.39', 3280960032, 3280960039, 'DE', 'Germany'),
(124407, '195.143.122.40', '195.143.132.255', 3280960040, 3280962815, 'GB', 'United Kingdom'),
(124408, '195.143.133.0', '195.143.133.15', 3280962816, 3280962831, 'DE', 'Germany'),
(124409, '195.143.133.16', '195.143.135.15', 3280962832, 3280963343, 'GB', 'United Kingdom'),
(124410, '195.143.135.16', '195.143.135.39', 3280963344, 3280963367, 'DE', 'Germany'),
(124411, '195.143.135.40', '195.143.135.47', 3280963368, 3280963375, 'GB', 'United Kingdom'),
(124412, '195.143.135.48', '195.143.135.63', 3280963376, 3280963391, 'DE', 'Germany'),
(124413, '195.143.135.64', '195.143.135.79', 3280963392, 3280963407, 'GB', 'United Kingdom'),
(124414, '195.143.135.80', '195.143.135.95', 3280963408, 3280963423, 'DE', 'Germany'),
(124415, '195.143.135.96', '195.143.135.159', 3280963424, 3280963487, 'GB', 'United Kingdom'),
(124416, '195.143.135.160', '195.143.135.167', 3280963488, 3280963495, 'DE', 'Germany'),
(124417, '195.143.135.168', '195.143.135.191', 3280963496, 3280963519, 'GB', 'United Kingdom'),
(124418, '195.143.135.192', '195.143.135.199', 3280963520, 3280963527, 'DE', 'Germany'),
(124419, '195.143.135.200', '195.143.135.207', 3280963528, 3280963535, 'GB', 'United Kingdom'),
(124420, '195.143.135.208', '195.143.135.223', 3280963536, 3280963551, 'DE', 'Germany'),
(124421, '195.143.135.224', '195.143.154.255', 3280963552, 3280968447, 'GB', 'United Kingdom'),
(124422, '195.143.155.0', '195.143.155.255', 3280968448, 3280968703, 'DE', 'Germany'),
(124423, '195.143.156.0', '195.143.161.255', 3280968704, 3280970239, 'GB', 'United Kingdom'),
(124424, '195.143.162.0', '195.143.162.255', 3280970240, 3280970495, 'DE', 'Germany'),
(124425, '195.143.163.0', '195.143.165.31', 3280970496, 3280971039, 'GB', 'United Kingdom'),
(124426, '195.143.165.32', '195.143.165.47', 3280971040, 3280971055, 'DE', 'Germany'),
(124427, '195.143.165.48', '195.143.176.255', 3280971056, 3280974079, 'GB', 'United Kingdom'),
(124428, '195.143.177.0', '195.143.177.255', 3280974080, 3280974335, 'DE', 'Germany'),
(124429, '195.143.178.0', '195.143.178.63', 3280974336, 3280974399, 'GB', 'United Kingdom'),
(124430, '195.143.178.64', '195.143.178.79', 3280974400, 3280974415, 'DE', 'Germany'),
(124431, '195.143.178.80', '195.143.178.255', 3280974416, 3280974591, 'GB', 'United Kingdom'),
(124432, '195.143.179.0', '195.143.179.255', 3280974592, 3280974847, 'DE', 'Germany'),
(124433, '195.143.180.0', '195.143.188.15', 3280974848, 3280976911, 'GB', 'United Kingdom'),
(124434, '195.143.188.16', '195.143.188.31', 3280976912, 3280976927, 'DE', 'Germany'),
(124435, '195.143.188.32', '195.143.188.39', 3280976928, 3280976935, 'GB', 'United Kingdom'),
(124436, '195.143.188.40', '195.143.188.55', 3280976936, 3280976951, 'DE', 'Germany'),
(124437, '195.143.188.56', '195.143.188.95', 3280976952, 3280976991, 'GB', 'United Kingdom'),
(124438, '195.143.188.96', '195.143.188.127', 3280976992, 3280977023, 'DE', 'Germany'),
(124439, '195.143.188.128', '195.143.188.135', 3280977024, 3280977031, 'GB', 'United Kingdom'),
(124440, '195.143.188.136', '195.143.188.215', 3280977032, 3280977111, 'DE', 'Germany'),
(124441, '195.143.188.216', '195.143.188.223', 3280977112, 3280977119, 'GB', 'United Kingdom'),
(124442, '195.143.188.224', '195.143.189.255', 3280977120, 3280977407, 'DE', 'Germany'),
(124443, '195.143.190.0', '195.143.192.31', 3280977408, 3280977951, 'GB', 'United Kingdom'),
(124444, '195.143.192.32', '195.143.192.35', 3280977952, 3280977955, 'DE', 'Germany'),
(124445, '195.143.192.36', '195.143.192.79', 3280977956, 3280977999, 'GB', 'United Kingdom'),
(124446, '195.143.192.80', '195.143.192.87', 3280978000, 3280978007, 'DE', 'Germany'),
(124447, '195.143.192.88', '195.143.193.15', 3280978008, 3280978191, 'GB', 'United Kingdom'),
(124448, '195.143.193.16', '195.143.193.19', 3280978192, 3280978195, 'DE', 'Germany'),
(124449, '195.143.193.20', '195.143.193.55', 3280978196, 3280978231, 'GB', 'United Kingdom'),
(124450, '195.143.193.56', '195.143.193.63', 3280978232, 3280978239, 'DE', 'Germany'),
(124451, '195.143.193.64', '195.143.193.159', 3280978240, 3280978335, 'GB', 'United Kingdom'),
(124452, '195.143.193.160', '195.143.193.191', 3280978336, 3280978367, 'DE', 'Germany'),
(124453, '195.143.193.192', '195.143.193.207', 3280978368, 3280978383, 'GB', 'United Kingdom'),
(124454, '195.143.193.208', '195.143.193.223', 3280978384, 3280978399, 'DE', 'Germany'),
(124455, '195.143.193.224', '195.143.194.63', 3280978400, 3280978495, 'GB', 'United Kingdom'),
(124456, '195.143.194.64', '195.143.194.67', 3280978496, 3280978499, 'DE', 'Germany'),
(124457, '195.143.194.68', '195.143.194.191', 3280978500, 3280978623, 'GB', 'United Kingdom'),
(124458, '195.143.194.192', '195.143.194.199', 3280978624, 3280978631, 'DE', 'Germany'),
(124459, '195.143.194.200', '195.143.196.79', 3280978632, 3280979023, 'GB', 'United Kingdom'),
(124460, '195.143.196.80', '195.143.196.95', 3280979024, 3280979039, 'DE', 'Germany'),
(124461, '195.143.196.96', '195.143.196.159', 3280979040, 3280979103, 'GB', 'United Kingdom'),
(124462, '195.143.196.160', '195.143.196.167', 3280979104, 3280979111, 'DE', 'Germany'),
(124463, '195.143.196.168', '195.143.196.207', 3280979112, 3280979151, 'GB', 'United Kingdom'),
(124464, '195.143.196.208', '195.143.196.215', 3280979152, 3280979159, 'DE', 'Germany'),
(124465, '195.143.196.216', '195.143.196.223', 3280979160, 3280979167, 'GB', 'United Kingdom'),
(124466, '195.143.196.224', '195.143.196.239', 3280979168, 3280979183, 'DE', 'Germany'),
(124467, '195.143.196.240', '195.143.197.111', 3280979184, 3280979311, 'GB', 'United Kingdom'),
(124468, '195.143.197.112', '195.143.197.127', 3280979312, 3280979327, 'DE', 'Germany'),
(124469, '195.143.197.128', '195.143.198.99', 3280979328, 3280979555, 'GB', 'United Kingdom'),
(124470, '195.143.198.100', '195.143.198.103', 3280979556, 3280979559, 'DE', 'Germany'),
(124471, '195.143.198.104', '195.143.198.120', 3280979560, 3280979576, 'GB', 'United Kingdom'),
(124472, '195.143.198.121', '195.143.198.121', 3280979577, 3280979577, 'DE', 'Germany'),
(124473, '195.143.198.122', '195.143.199.127', 3280979578, 3280979839, 'GB', 'United Kingdom'),
(124474, '195.143.199.128', '195.143.200.7', 3280979840, 3280979975, 'DE', 'Germany'),
(124475, '195.143.200.8', '195.143.200.112', 3280979976, 3280980080, 'GB', 'United Kingdom'),
(124476, '195.143.200.113', '195.143.200.113', 3280980081, 3280980081, 'DE', 'Germany'),
(124477, '195.143.200.114', '195.143.201.127', 3280980082, 3280980351, 'GB', 'United Kingdom'),
(124478, '195.143.201.128', '195.143.201.143', 3280980352, 3280980367, 'DE', 'Germany'),
(124479, '195.143.201.144', '195.143.201.199', 3280980368, 3280980423, 'GB', 'United Kingdom'),
(124480, '195.143.201.200', '195.143.201.207', 3280980424, 3280980431, 'DE', 'Germany'),
(124481, '195.143.201.208', '195.143.201.247', 3280980432, 3280980471, 'GB', 'United Kingdom'),
(124482, '195.143.201.248', '195.143.201.255', 3280980472, 3280980479, 'DE', 'Germany'),
(124483, '195.143.202.0', '195.143.204.47', 3280980480, 3280981039, 'GB', 'United Kingdom'),
(124484, '195.143.204.48', '195.143.204.63', 3280981040, 3280981055, 'DE', 'Germany'),
(124485, '195.143.204.64', '195.143.204.223', 3280981056, 3280981215, 'GB', 'United Kingdom'),
(124486, '195.143.204.224', '195.143.204.239', 3280981216, 3280981231, 'DE', 'Germany'),
(124487, '195.143.204.240', '195.143.205.239', 3280981232, 3280981487, 'GB', 'United Kingdom'),
(124488, '195.143.205.240', '195.143.205.255', 3280981488, 3280981503, 'DE', 'Germany'),
(124489, '195.143.206.0', '195.143.206.103', 3280981504, 3280981607, 'GB', 'United Kingdom'),
(124490, '195.143.206.104', '195.143.206.111', 3280981608, 3280981615, 'DE', 'Germany'),
(124491, '195.143.206.112', '195.143.207.79', 3280981616, 3280981839, 'GB', 'United Kingdom'),
(124492, '195.143.207.80', '195.143.207.87', 3280981840, 3280981847, 'DE', 'Germany'),
(124493, '195.143.207.88', '195.143.207.223', 3280981848, 3280981983, 'GB', 'United Kingdom'),
(124494, '195.143.207.224', '195.143.207.239', 3280981984, 3280981999, 'DE', 'Germany'),
(124495, '195.143.207.240', '195.143.207.255', 3280982000, 3280982015, 'GB', 'United Kingdom'),
(124496, '195.143.208.0', '195.143.208.7', 3280982016, 3280982023, 'DE', 'Germany'),
(124497, '195.143.208.8', '195.143.208.239', 3280982024, 3280982255, 'GB', 'United Kingdom'),
(124498, '195.143.208.240', '195.143.208.247', 3280982256, 3280982263, 'DE', 'Germany'),
(124499, '195.143.208.248', '195.143.210.79', 3280982264, 3280982607, 'GB', 'United Kingdom'),
(124500, '195.143.210.80', '195.143.210.95', 3280982608, 3280982623, 'DE', 'Germany'),
(124501, '195.143.210.96', '195.143.210.127', 3280982624, 3280982655, 'GB', 'United Kingdom'),
(124502, '195.143.210.128', '195.143.210.143', 3280982656, 3280982671, 'DE', 'Germany'),
(124503, '195.143.210.144', '195.143.211.167', 3280982672, 3280982951, 'GB', 'United Kingdom'),
(124504, '195.143.211.168', '195.143.211.175', 3280982952, 3280982959, 'DE', 'Germany'),
(124505, '195.143.211.176', '195.143.212.72', 3280982960, 3280983112, 'GB', 'United Kingdom'),
(124506, '195.143.212.73', '195.143.212.73', 3280983113, 3280983113, 'DE', 'Germany'),
(124507, '195.143.212.74', '195.143.212.79', 3280983114, 3280983119, 'GB', 'United Kingdom'),
(124508, '195.143.212.80', '195.143.212.127', 3280983120, 3280983167, 'DE', 'Germany'),
(124509, '195.143.212.128', '195.143.213.63', 3280983168, 3280983359, 'GB', 'United Kingdom'),
(124510, '195.143.213.64', '195.143.213.79', 3280983360, 3280983375, 'DE', 'Germany'),
(124511, '195.143.213.80', '195.143.213.127', 3280983376, 3280983423, 'GB', 'United Kingdom'),
(124512, '195.143.213.128', '195.143.213.135', 3280983424, 3280983431, 'DE', 'Germany'),
(124513, '195.143.213.136', '195.143.215.79', 3280983432, 3280983887, 'GB', 'United Kingdom'),
(124514, '195.143.215.80', '195.143.215.87', 3280983888, 3280983895, 'DE', 'Germany'),
(124515, '195.143.215.88', '195.143.217.175', 3280983896, 3280984495, 'GB', 'United Kingdom'),
(124516, '195.143.217.176', '195.143.217.183', 3280984496, 3280984503, 'DE', 'Germany'),
(124517, '195.143.217.184', '195.143.222.39', 3280984504, 3280985639, 'GB', 'United Kingdom'),
(124518, '195.143.222.40', '195.143.222.47', 3280985640, 3280985647, 'DE', 'Germany'),
(124519, '195.143.222.48', '195.143.224.151', 3280985648, 3280986263, 'GB', 'United Kingdom'),
(124520, '195.143.224.152', '195.143.224.155', 3280986264, 3280986267, 'DE', 'Germany'),
(124521, '195.143.224.156', '195.143.227.255', 3280986268, 3280987135, 'GB', 'United Kingdom'),
(124522, '195.143.228.0', '195.143.228.255', 3280987136, 3280987391, 'CH', 'Switzerland'),
(124523, '195.143.229.0', '195.143.229.255', 3280987392, 3280987647, 'NL', 'Netherlands'),
(124524, '195.143.230.0', '195.143.231.79', 3280987648, 3280987983, 'GB', 'United Kingdom'),
(124525, '195.143.231.80', '195.143.231.95', 3280987984, 3280987999, 'DE', 'Germany'),
(124526, '195.143.231.96', '195.143.232.143', 3280988000, 3280988303, 'GB', 'United Kingdom'),
(124527, '195.143.232.144', '195.143.232.151', 3280988304, 3280988311, 'DE', 'Germany'),
(124528, '195.143.232.152', '195.143.232.223', 3280988312, 3280988383, 'GB', 'United Kingdom'),
(124529, '195.143.232.224', '195.143.232.231', 3280988384, 3280988391, 'DE', 'Germany'),
(124530, '195.143.232.232', '195.143.232.239', 3280988392, 3280988399, 'GB', 'United Kingdom'),
(124531, '195.143.232.240', '195.143.233.15', 3280988400, 3280988431, 'DE', 'Germany'),
(124532, '195.143.233.16', '195.143.234.143', 3280988432, 3280988815, 'GB', 'United Kingdom'),
(124533, '195.143.234.144', '195.143.234.159', 3280988816, 3280988831, 'DE', 'Germany'),
(124534, '195.143.234.160', '195.143.234.183', 3280988832, 3280988855, 'GB', 'United Kingdom'),
(124535, '195.143.234.184', '195.143.234.191', 3280988856, 3280988863, 'DE', 'Germany'),
(124536, '195.143.234.192', '195.143.235.87', 3280988864, 3280989015, 'GB', 'United Kingdom'),
(124537, '195.143.235.88', '195.143.235.111', 3280989016, 3280989039, 'DE', 'Germany'),
(124538, '195.143.235.112', '195.143.235.135', 3280989040, 3280989063, 'GB', 'United Kingdom'),
(124539, '195.143.235.136', '195.143.235.139', 3280989064, 3280989067, 'DE', 'Germany'),
(124540, '195.143.235.140', '195.143.236.151', 3280989068, 3280989335, 'GB', 'United Kingdom'),
(124541, '195.143.236.152', '195.143.236.159', 3280989336, 3280989343, 'DE', 'Germany'),
(124542, '195.143.236.160', '195.143.236.191', 3280989344, 3280989375, 'GB', 'United Kingdom'),
(124543, '195.143.236.192', '195.143.236.207', 3280989376, 3280989391, 'DE', 'Germany'),
(124544, '195.143.236.208', '195.143.237.23', 3280989392, 3280989463, 'GB', 'United Kingdom'),
(124545, '195.143.237.24', '195.143.237.31', 3280989464, 3280989471, 'DE', 'Germany'),
(124546, '195.143.237.32', '195.143.237.95', 3280989472, 3280989535, 'GB', 'United Kingdom'),
(124547, '195.143.237.96', '195.143.237.111', 3280989536, 3280989551, 'DE', 'Germany'),
(124548, '195.143.237.112', '195.143.237.191', 3280989552, 3280989631, 'GB', 'United Kingdom'),
(124549, '195.143.237.192', '195.143.237.207', 3280989632, 3280989647, 'DE', 'Germany'),
(124550, '195.143.237.208', '195.143.238.124', 3280989648, 3280989820, 'GB', 'United Kingdom'),
(124551, '195.143.238.125', '195.143.238.125', 3280989821, 3280989821, 'DE', 'Germany'),
(124552, '195.143.238.126', '195.143.239.95', 3280989822, 3280990047, 'GB', 'United Kingdom'),
(124553, '195.143.239.96', '195.143.239.111', 3280990048, 3280990063, 'DE', 'Germany'),
(124554, '195.143.239.112', '195.143.239.239', 3280990064, 3280990191, 'GB', 'United Kingdom'),
(124555, '195.143.239.240', '195.143.240.15', 3280990192, 3280990223, 'DE', 'Germany'),
(124556, '195.143.240.16', '195.143.240.23', 3280990224, 3280990231, 'GB', 'United Kingdom'),
(124557, '195.143.240.24', '195.143.240.31', 3280990232, 3280990239, 'DE', 'Germany'),
(124558, '195.143.240.32', '195.143.240.63', 3280990240, 3280990271, 'GB', 'United Kingdom'),
(124559, '195.143.240.64', '195.143.240.79', 3280990272, 3280990287, 'DE', 'Germany'),
(124560, '195.143.240.80', '195.143.241.15', 3280990288, 3280990479, 'GB', 'United Kingdom'),
(124561, '195.143.241.16', '195.143.241.23', 3280990480, 3280990487, 'DE', 'Germany'),
(124562, '195.143.241.24', '195.143.241.111', 3280990488, 3280990575, 'GB', 'United Kingdom'),
(124563, '195.143.241.112', '195.143.241.127', 3280990576, 3280990591, 'DE', 'Germany'),
(124564, '195.143.241.128', '195.143.241.239', 3280990592, 3280990703, 'GB', 'United Kingdom'),
(124565, '195.143.241.240', '195.143.241.255', 3280990704, 3280990719, 'DE', 'Germany'),
(124566, '195.143.242.0', '195.143.242.143', 3280990720, 3280990863, 'GB', 'United Kingdom'),
(124567, '195.143.242.144', '195.143.242.151', 3280990864, 3280990871, 'DE', 'Germany'),
(124568, '195.143.242.152', '195.143.243.255', 3280990872, 3280991231, 'GB', 'United Kingdom'),
(124569, '195.143.244.0', '195.143.245.255', 3280991232, 3280991743, 'DE', 'Germany'),
(124570, '195.143.246.0', '195.143.247.231', 3280991744, 3280992231, 'GB', 'United Kingdom'),
(124571, '195.143.247.232', '195.143.247.239', 3280992232, 3280992239, 'DE', 'Germany'),
(124572, '195.143.247.240', '195.143.248.143', 3280992240, 3280992399, 'GB', 'United Kingdom'),
(124573, '195.143.248.144', '195.143.248.159', 3280992400, 3280992415, 'DE', 'Germany'),
(124574, '195.143.248.160', '195.143.250.31', 3280992416, 3280992799, 'GB', 'United Kingdom'),
(124575, '195.143.250.32', '195.143.250.47', 3280992800, 3280992815, 'DE', 'Germany'),
(124576, '195.143.250.48', '195.143.250.79', 3280992816, 3280992847, 'GB', 'United Kingdom'),
(124577, '195.143.250.80', '195.143.250.95', 3280992848, 3280992863, 'DE', 'Germany'),
(124578, '195.143.250.96', '195.143.252.255', 3280992864, 3280993535, 'GB', 'United Kingdom'),
(124579, '195.143.253.0', '195.143.253.255', 3280993536, 3280993791, 'DE', 'Germany'),
(124580, '195.143.254.0', '195.144.0.255', 3280993792, 3280994559, 'GB', 'United Kingdom'),
(124581, '195.144.1.0', '195.144.1.255', 3280994560, 3280994815, 'RU', 'Russian Federation'),
(124582, '195.144.2.0', '195.144.2.255', 3280994816, 3280995071, 'NL', 'Netherlands'),
(124583, '195.144.3.0', '195.144.3.255', 3280995072, 3280995327, 'DE', 'Germany'),
(124584, '195.144.4.0', '195.144.4.255', 3280995328, 3280995583, 'SE', 'Sweden'),
(124585, '195.144.5.0', '195.144.5.255', 3280995584, 3280995839, 'GB', 'United Kingdom'),
(124586, '195.144.6.0', '195.144.6.255', 3280995840, 3280996095, 'RU', 'Russian Federation'),
(124587, '195.144.7.0', '195.144.7.255', 3280996096, 3280996351, 'CH', 'Switzerland'),
(124588, '195.144.8.0', '195.144.8.255', 3280996352, 3280996607, 'GB', 'United Kingdom'),
(124589, '195.144.9.0', '195.144.9.255', 3280996608, 3280996863, 'PL', 'Poland'),
(124590, '195.144.10.0', '195.144.10.255', 3280996864, 3280997119, 'NL', 'Netherlands'),
(124591, '195.144.11.0', '195.144.11.255', 3280997120, 3280997375, 'FR', 'France'),
(124592, '195.144.12.0', '195.144.12.255', 3280997376, 3280997631, 'PL', 'Poland'),
(124593, '195.144.13.0', '195.144.13.255', 3280997632, 3280997887, 'SE', 'Sweden'),
(124594, '195.144.14.0', '195.144.14.255', 3280997888, 3280998143, 'UA', 'Ukraine'),
(124595, '195.144.15.0', '195.144.15.255', 3280998144, 3280998399, 'DE', 'Germany'),
(124596, '195.144.16.0', '195.144.16.255', 3280998400, 3280998655, 'GR', 'Greece'),
(124597, '195.144.17.0', '195.144.19.255', 3280998656, 3280999423, 'GB', 'United Kingdom'),
(124598, '195.144.20.0', '195.144.20.255', 3280999424, 3280999679, 'HU', 'Hungary'),
(124599, '195.144.21.0', '195.144.21.255', 3280999680, 3280999935, 'UA', 'Ukraine'),
(124600, '195.144.22.0', '195.144.23.255', 3280999936, 3281000447, 'DE', 'Germany'),
(124601, '195.144.24.0', '195.144.24.255', 3281000448, 3281000703, 'FR', 'France'),
(124602, '195.144.25.0', '195.144.25.255', 3281000704, 3281000959, 'UA', 'Ukraine'),
(124603, '195.144.26.0', '195.144.26.255', 3281000960, 3281001215, 'SI', 'Slovenia'),
(124604, '195.144.27.0', '195.144.27.255', 3281001216, 3281001471, 'RO', 'Romania'),
(124605, '195.144.28.0', '195.144.28.255', 3281001472, 3281001727, 'UA', 'Ukraine'),
(124606, '195.144.29.0', '195.144.29.255', 3281001728, 3281001983, 'RU', 'Russian Federation'),
(124607, '195.144.30.0', '195.144.30.255', 3281001984, 3281002239, 'CH', 'Switzerland'),
(124608, '195.144.31.0', '195.144.31.255', 3281002240, 3281002495, 'DE', 'Germany'),
(124609, '195.144.32.0', '195.144.63.255', 3281002496, 3281010687, 'CH', 'Switzerland'),
(124610, '195.144.64.0', '195.144.95.255', 3281010688, 3281018879, 'BE', 'Belgium'),
(124611, '195.144.96.0', '195.144.127.255', 3281018880, 3281027071, 'CZ', 'Czech Republic'),
(124612, '195.144.128.0', '195.144.128.7', 3281027072, 3281027079, 'EU', 'Europe'),
(124613, '195.144.128.8', '195.144.128.15', 3281027080, 3281027087, 'GB', 'United Kingdom'),
(124614, '195.144.128.16', '195.144.128.63', 3281027088, 3281027135, 'EU', 'Europe'),
(124615, '195.144.128.64', '195.144.128.79', 3281027136, 3281027151, 'GB', 'United Kingdom'),
(124616, '195.144.128.80', '195.144.128.127', 3281027152, 3281027199, 'EU', 'Europe'),
(124617, '195.144.128.128', '195.144.128.143', 3281027200, 3281027215, 'GB', 'United Kingdom'),
(124618, '195.144.128.144', '195.144.128.207', 3281027216, 3281027279, 'EU', 'Europe'),
(124619, '195.144.128.208', '195.144.128.215', 3281027280, 3281027287, 'GB', 'United Kingdom'),
(124620, '195.144.128.216', '195.144.128.231', 3281027288, 3281027303, 'EU', 'Europe'),
(124621, '195.144.128.232', '195.144.128.239', 3281027304, 3281027311, 'GB', 'United Kingdom'),
(124622, '195.144.128.240', '195.144.128.247', 3281027312, 3281027319, 'EU', 'Europe'),
(124623, '195.144.128.248', '195.144.128.255', 3281027320, 3281027327, 'GB', 'United Kingdom'),
(124624, '195.144.129.0', '195.144.129.255', 3281027328, 3281027583, 'EU', 'Europe'),
(124625, '195.144.130.0', '195.144.130.31', 3281027584, 3281027615, 'GB', 'United Kingdom'),
(124626, '195.144.130.32', '195.144.130.47', 3281027616, 3281027631, 'EU', 'Europe'),
(124627, '195.144.130.48', '195.144.130.95', 3281027632, 3281027679, 'GB', 'United Kingdom'),
(124628, '195.144.130.96', '195.144.130.111', 3281027680, 3281027695, 'EU', 'Europe'),
(124629, '195.144.130.112', '195.144.130.159', 3281027696, 3281027743, 'GB', 'United Kingdom'),
(124630, '195.144.130.160', '195.144.130.191', 3281027744, 3281027775, 'EU', 'Europe'),
(124631, '195.144.130.192', '195.144.130.223', 3281027776, 3281027807, 'GB', 'United Kingdom'),
(124632, '195.144.130.224', '195.144.130.255', 3281027808, 3281027839, 'EU', 'Europe'),
(124633, '195.144.131.0', '195.144.131.63', 3281027840, 3281027903, 'GB', 'United Kingdom'),
(124634, '195.144.131.64', '195.144.131.223', 3281027904, 3281028063, 'EU', 'Europe'),
(124635, '195.144.131.224', '195.144.132.63', 3281028064, 3281028159, 'GB', 'United Kingdom'),
(124636, '195.144.132.64', '195.144.135.127', 3281028160, 3281028991, 'EU', 'Europe'),
(124637, '195.144.135.128', '195.144.135.191', 3281028992, 3281029055, 'GB', 'United Kingdom'),
(124638, '195.144.135.192', '195.144.140.255', 3281029056, 3281030399, 'EU', 'Europe'),
(124639, '195.144.141.0', '195.144.159.255', 3281030400, 3281035263, 'GB', 'United Kingdom'),
(124640, '195.144.160.0', '195.144.191.255', 3281035264, 3281043455, 'CH', 'Switzerland'),
(124641, '195.144.192.0', '195.144.255.255', 3281043456, 3281059839, 'RU', 'Russian Federation'),
(124642, '195.145.0.0', '195.145.11.255', 3281059840, 3281062911, 'DE', 'Germany'),
(124643, '195.145.12.0', '195.145.12.255', 3281062912, 3281063167, 'EU', 'Europe'),
(124644, '195.145.13.0', '195.145.57.239', 3281063168, 3281074671, 'DE', 'Germany'),
(124645, '195.145.57.240', '195.145.57.247', 3281074672, 3281074679, 'ES', 'Spain'),
(124646, '195.145.57.248', '195.145.134.255', 3281074680, 3281094399, 'DE', 'Germany'),
(124647, '195.145.135.0', '195.145.135.255', 3281094400, 3281094655, 'US', 'United States'),
(124648, '195.145.136.0', '195.145.172.63', 3281094656, 3281103935, 'DE', 'Germany'),
(124649, '195.145.172.64', '195.145.172.71', 3281103936, 3281103943, 'AT', 'Austria'),
(124650, '195.145.172.72', '195.145.172.255', 3281103944, 3281104127, 'DE', 'Germany'),
(124651, '195.145.173.0', '195.145.173.255', 3281104128, 3281104383, 'FR', 'France'),
(124652, '195.145.174.0', '195.145.210.103', 3281104384, 3281113703, 'DE', 'Germany'),
(124653, '195.145.210.104', '195.145.210.111', 3281113704, 3281113711, 'BE', 'Belgium'),
(124654, '195.145.210.112', '195.145.255.255', 3281113712, 3281125375, 'DE', 'Germany'),
(124655, '195.146.0.0', '195.146.31.255', 3281125376, 3281133567, 'SK', 'Slovakia'),
(124656, '195.146.32.0', '195.146.63.255', 3281133568, 3281141759, 'IR', 'Iran, Islamic Republic of'),
(124657, '195.146.64.0', '195.146.95.255', 3281141760, 3281149951, 'RU', 'Russian Federation'),
(124658, '195.146.96.0', '195.146.127.255', 3281149952, 3281158143, 'CZ', 'Czech Republic'),
(124659, '195.146.128.0', '195.146.159.255', 3281158144, 3281166335, 'SK', 'Slovakia'),
(124660, '195.146.160.0', '195.146.191.255', 3281166336, 3281174527, 'GB', 'United Kingdom'),
(124661, '195.146.192.0', '195.146.255.255', 3281174528, 3281190911, 'FR', 'France'),
(124662, '195.147.0.0', '195.147.255.255', 3281190912, 3281256447, 'GB', 'United Kingdom'),
(124663, '195.148.0.0', '195.148.255.255', 3281256448, 3281321983, 'FI', 'Finland'),
(124664, '195.149.0.0', '195.149.63.255', 3281321984, 3281338367, 'GB', 'United Kingdom'),
(124665, '195.149.64.0', '195.149.64.255', 3281338368, 3281338623, 'PL', 'Poland'),
(124666, '195.149.65.0', '195.149.65.255', 3281338624, 3281338879, 'SA', 'Saudi Arabia'),
(124667, '195.149.66.0', '195.149.66.255', 3281338880, 3281339135, 'FR', 'France'),
(124668, '195.149.67.0', '195.149.67.255', 3281339136, 3281339391, 'RO', 'Romania'),
(124669, '195.149.68.0', '195.149.68.255', 3281339392, 3281339647, 'PL', 'Poland'),
(124670, '195.149.69.0', '195.149.69.255', 3281339648, 3281339903, 'GB', 'United Kingdom'),
(124671, '195.149.70.0', '195.149.70.255', 3281339904, 3281340159, 'UA', 'Ukraine'),
(124672, '195.149.71.0', '195.149.71.255', 3281340160, 3281340415, 'BG', 'Bulgaria'),
(124673, '195.149.72.0', '195.149.73.255', 3281340416, 3281340927, 'RO', 'Romania'),
(124674, '195.149.74.0', '195.149.74.255', 3281340928, 3281341183, 'DE', 'Germany'),
(124675, '195.149.75.0', '195.149.75.255', 3281341184, 3281341439, 'AT', 'Austria'),
(124676, '195.149.76.0', '195.149.76.255', 3281341440, 3281341695, 'DE', 'Germany'),
(124677, '195.149.77.0', '195.149.77.255', 3281341696, 3281341951, 'PL', 'Poland'),
(124678, '195.149.78.0', '195.149.78.255', 3281341952, 3281342207, 'DK', 'Denmark'),
(124679, '195.149.79.0', '195.149.82.255', 3281342208, 3281343231, 'DE', 'Germany'),
(124680, '195.149.83.0', '195.149.83.255', 3281343232, 3281343487, 'FI', 'Finland'),
(124681, '195.149.84.0', '195.149.84.255', 3281343488, 3281343743, 'GB', 'United Kingdom'),
(124682, '195.149.85.0', '195.149.85.255', 3281343744, 3281343999, 'TR', 'Turkey'),
(124683, '195.149.86.0', '195.149.86.255', 3281344000, 3281344255, 'FR', 'France'),
(124684, '195.149.87.0', '195.149.87.255', 3281344256, 3281344511, 'RU', 'Russian Federation'),
(124685, '195.149.88.0', '195.149.88.255', 3281344512, 3281344767, 'UA', 'Ukraine'),
(124686, '195.149.89.0', '195.149.90.255', 3281344768, 3281345279, 'RU', 'Russian Federation'),
(124687, '195.149.91.0', '195.149.91.255', 3281345280, 3281345535, 'SA', 'Saudi Arabia'),
(124688, '195.149.92.0', '195.149.92.255', 3281345536, 3281345791, 'CH', 'Switzerland'),
(124689, '195.149.93.0', '195.149.93.255', 3281345792, 3281346047, 'RU', 'Russian Federation'),
(124690, '195.149.94.0', '195.149.94.255', 3281346048, 3281346303, 'SI', 'Slovenia'),
(124691, '195.149.95.0', '195.149.95.255', 3281346304, 3281346559, 'PL', 'Poland'),
(124692, '195.149.96.0', '195.149.96.255', 3281346560, 3281346815, 'UA', 'Ukraine'),
(124693, '195.149.97.0', '195.149.97.255', 3281346816, 3281347071, 'DE', 'Germany'),
(124694, '195.149.98.0', '195.149.98.255', 3281347072, 3281347327, 'PL', 'Poland'),
(124695, '195.149.99.0', '195.149.99.255', 3281347328, 3281347583, 'DE', 'Germany'),
(124696, '195.149.100.0', '195.149.100.255', 3281347584, 3281347839, 'PL', 'Poland'),
(124697, '195.149.101.0', '195.149.101.255', 3281347840, 3281348095, 'SE', 'Sweden'),
(124698, '195.149.102.0', '195.149.102.255', 3281348096, 3281348351, 'DE', 'Germany'),
(124699, '195.149.103.0', '195.149.103.255', 3281348352, 3281348607, 'GB', 'United Kingdom'),
(124700, '195.149.104.0', '195.149.105.255', 3281348608, 3281349119, 'RU', 'Russian Federation'),
(124701, '195.149.106.0', '195.149.106.255', 3281349120, 3281349375, 'UA', 'Ukraine'),
(124702, '195.149.107.0', '195.149.107.255', 3281349376, 3281349631, 'NL', 'Netherlands'),
(124703, '195.149.108.0', '195.149.109.255', 3281349632, 3281350143, 'UA', 'Ukraine'),
(124704, '195.149.110.0', '195.149.111.255', 3281350144, 3281350655, 'RU', 'Russian Federation'),
(124705, '195.149.112.0', '195.149.112.255', 3281350656, 3281350911, 'UA', 'Ukraine'),
(124706, '195.149.113.0', '195.149.113.255', 3281350912, 3281351167, 'ES', 'Spain'),
(124707, '195.149.114.0', '195.149.114.255', 3281351168, 3281351423, 'UA', 'Ukraine'),
(124708, '195.149.115.0', '195.149.115.255', 3281351424, 3281351679, 'AT', 'Austria'),
(124709, '195.149.116.0', '195.149.116.255', 3281351680, 3281351935, 'TR', 'Turkey'),
(124710, '195.149.117.0', '195.149.117.255', 3281351936, 3281352191, 'UA', 'Ukraine'),
(124711, '195.149.118.0', '195.149.118.255', 3281352192, 3281352447, 'PL', 'Poland'),
(124712, '195.149.119.0', '195.149.119.255', 3281352448, 3281352703, 'RO', 'Romania'),
(124713, '195.149.120.0', '195.149.120.255', 3281352704, 3281352959, 'EU', 'Europe'),
(124714, '195.149.121.0', '195.149.121.255', 3281352960, 3281353215, 'GB', 'United Kingdom'),
(124715, '195.149.122.0', '195.149.122.255', 3281353216, 3281353471, 'DE', 'Germany'),
(124716, '195.149.123.0', '195.149.123.255', 3281353472, 3281353727, 'SE', 'Sweden'),
(124717, '195.149.124.0', '195.149.124.255', 3281353728, 3281353983, 'PL', 'Poland'),
(124718, '195.149.125.0', '195.149.125.255', 3281353984, 3281354239, 'UA', 'Ukraine'),
(124719, '195.149.126.0', '195.149.127.255', 3281354240, 3281354751, 'GB', 'United Kingdom'),
(124720, '195.149.128.0', '195.149.144.223', 3281354752, 3281359071, 'SE', 'Sweden'),
(124721, '195.149.144.224', '195.149.144.255', 3281359072, 3281359103, 'AN', 'Netherlands Antilles'),
(124722, '195.149.145.0', '195.149.191.255', 3281359104, 3281371135, 'SE', 'Sweden'),
(124723, '195.149.192.0', '195.149.195.255', 3281371136, 3281372159, 'RS', 'Serbia'),
(124724, '195.149.196.0', '195.149.197.255', 3281372160, 3281372671, 'RU', 'Russian Federation'),
(124725, '195.149.198.0', '195.149.199.255', 3281372672, 3281373183, 'PL', 'Poland'),
(124726, '195.149.200.0', '195.149.207.255', 3281373184, 3281375231, 'RU', 'Russian Federation'),
(124727, '195.149.208.0', '195.149.215.255', 3281375232, 3281377279, 'ES', 'Spain'),
(124728, '195.149.216.0', '195.149.223.255', 3281377280, 3281379327, 'AT', 'Austria'),
(124729, '195.149.224.0', '195.149.239.255', 3281379328, 3281383423, 'PL', 'Poland'),
(124730, '195.149.240.0', '195.149.247.255', 3281383424, 3281385471, 'AT', 'Austria'),
(124731, '195.149.248.0', '195.149.255.255', 3281385472, 3281387519, 'BG', 'Bulgaria'),
(124732, '195.150.0.0', '195.150.255.255', 3281387520, 3281453055, 'PL', 'Poland'),
(124733, '195.151.0.0', '195.151.69.255', 3281453056, 3281470975, 'RU', 'Russian Federation'),
(124734, '195.151.70.0', '195.151.70.255', 3281470976, 3281471231, 'UZ', 'Uzbekistan'),
(124735, '195.151.71.0', '195.151.255.255', 3281471232, 3281518591, 'RU', 'Russian Federation'),
(124736, '195.152.0.0', '195.152.233.191', 3281518592, 3281578431, 'GB', 'United Kingdom'),
(124737, '195.152.233.192', '195.152.233.207', 3281578432, 3281578447, 'IE', 'Ireland'),
(124738, '195.152.233.208', '195.153.221.255', 3281578448, 3281640959, 'GB', 'United Kingdom'),
(124739, '195.153.222.0', '195.153.222.23', 3281640960, 3281640983, 'SE', 'Sweden'),
(124740, '195.153.222.24', '195.153.222.63', 3281640984, 3281641023, 'GB', 'United Kingdom'),
(124741, '195.153.222.64', '195.153.222.79', 3281641024, 3281641039, 'SE', 'Sweden'),
(124742, '195.153.222.80', '195.153.222.127', 3281641040, 3281641087, 'GB', 'United Kingdom'),
(124743, '195.153.222.128', '195.153.222.159', 3281641088, 3281641119, 'SE', 'Sweden'),
(124744, '195.153.222.160', '195.153.255.255', 3281641120, 3281649663, 'GB', 'United Kingdom'),
(124745, '195.154.0.0', '195.154.196.159', 3281649664, 3281699999, 'FR', 'France'),
(124746, '195.154.196.160', '195.154.196.191', 3281700000, 3281700031, 'US', 'United States'),
(124747, '195.154.196.192', '195.154.210.127', 3281700032, 3281703551, 'FR', 'France'),
(124748, '195.154.210.128', '195.154.210.191', 3281703552, 3281703615, 'US', 'United States'),
(124749, '195.154.210.192', '195.154.238.207', 3281703616, 3281710799, 'FR', 'France'),
(124750, '195.154.238.208', '195.154.238.223', 3281710800, 3281710815, 'US', 'United States'),
(124751, '195.154.238.224', '195.154.241.127', 3281710816, 3281711487, 'FR', 'France'),
(124752, '195.154.241.128', '195.154.241.159', 3281711488, 3281711519, 'BE', 'Belgium'),
(124753, '195.154.241.160', '195.154.243.255', 3281711520, 3281712127, 'FR', 'France'),
(124754, '195.154.244.0', '195.154.244.31', 3281712128, 3281712159, 'US', 'United States'),
(124755, '195.154.244.32', '195.154.244.63', 3281712160, 3281712191, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(124756, '195.154.244.64', '195.154.244.127', 3281712192, 3281712255, 'US', 'United States'),
(124757, '195.154.244.128', '195.154.255.255', 3281712256, 3281715199, 'FR', 'France'),
(124758, '195.155.0.0', '195.155.255.255', 3281715200, 3281780735, 'TR', 'Turkey'),
(124759, '195.156.0.0', '195.156.217.255', 3281780736, 3281836543, 'FI', 'Finland'),
(124760, '195.156.218.0', '195.156.218.255', 3281836544, 3281836799, 'AX', 'Aland Islands'),
(124761, '195.156.219.0', '195.156.255.255', 3281836800, 3281846271, 'FI', 'Finland'),
(124762, '195.157.0.0', '195.157.59.31', 3281846272, 3281861407, 'GB', 'United Kingdom'),
(124763, '195.157.59.32', '195.157.59.47', 3281861408, 3281861423, 'FR', 'France'),
(124764, '195.157.59.48', '195.157.85.239', 3281861424, 3281868271, 'GB', 'United Kingdom'),
(124765, '195.157.85.240', '195.157.85.255', 3281868272, 3281868287, 'FR', 'France'),
(124766, '195.157.86.0', '195.157.132.127', 3281868288, 3281880191, 'GB', 'United Kingdom'),
(124767, '195.157.132.128', '195.157.132.159', 3281880192, 3281880223, 'FR', 'France'),
(124768, '195.157.132.160', '195.157.155.255', 3281880224, 3281886207, 'GB', 'United Kingdom'),
(124769, '195.157.156.0', '195.157.156.127', 3281886208, 3281886335, 'FR', 'France'),
(124770, '195.157.156.128', '195.157.255.255', 3281886336, 3281911807, 'GB', 'United Kingdom'),
(124771, '195.158.0.0', '195.158.31.255', 3281911808, 3281919999, 'UZ', 'Uzbekistan'),
(124772, '195.158.32.0', '195.158.63.255', 3281920000, 3281928191, 'DE', 'Germany'),
(124773, '195.158.64.0', '195.158.127.255', 3281928192, 3281944575, 'MT', 'Malta'),
(124774, '195.158.128.0', '195.158.191.255', 3281944576, 3281960959, 'DE', 'Germany'),
(124775, '195.158.192.0', '195.158.223.255', 3281960960, 3281969151, 'JO', 'Jordan'),
(124776, '195.158.224.0', '195.158.225.255', 3281969152, 3281969663, 'RU', 'Russian Federation'),
(124777, '195.158.226.0', '195.158.227.255', 3281969664, 3281970175, 'PL', 'Poland'),
(124778, '195.158.228.0', '195.158.229.255', 3281970176, 3281970687, 'RU', 'Russian Federation'),
(124779, '195.158.230.0', '195.158.231.255', 3281970688, 3281971199, 'LI', 'Liechtenstein'),
(124780, '195.158.232.0', '195.158.233.255', 3281971200, 3281971711, 'RU', 'Russian Federation'),
(124781, '195.158.234.0', '195.158.235.255', 3281971712, 3281972223, 'RO', 'Romania'),
(124782, '195.158.236.0', '195.158.237.255', 3281972224, 3281972735, 'DE', 'Germany'),
(124783, '195.158.238.0', '195.158.239.255', 3281972736, 3281973247, 'RU', 'Russian Federation'),
(124784, '195.158.240.0', '195.158.241.255', 3281973248, 3281973759, 'FR', 'France'),
(124785, '195.158.242.0', '195.158.243.255', 3281973760, 3281974271, 'DK', 'Denmark'),
(124786, '195.158.244.0', '195.158.245.255', 3281974272, 3281974783, 'RU', 'Russian Federation'),
(124787, '195.158.246.0', '195.158.247.255', 3281974784, 3281975295, 'PL', 'Poland'),
(124788, '195.158.248.0', '195.158.251.255', 3281975296, 3281976319, 'RU', 'Russian Federation'),
(124789, '195.158.252.0', '195.158.253.255', 3281976320, 3281976831, 'DE', 'Germany'),
(124790, '195.158.254.0', '195.158.255.255', 3281976832, 3281977343, 'RU', 'Russian Federation'),
(124791, '195.159.0.0', '195.159.255.255', 3281977344, 3282042879, 'NO', 'Norway'),
(124792, '195.160.0.0', '195.160.159.255', 3282042880, 3282083839, 'CH', 'Switzerland'),
(124793, '195.160.160.0', '195.160.161.255', 3282083840, 3282084351, 'DE', 'Germany'),
(124794, '195.160.162.0', '195.160.163.255', 3282084352, 3282084863, 'RO', 'Romania'),
(124795, '195.160.164.0', '195.160.165.255', 3282084864, 3282085375, 'RU', 'Russian Federation'),
(124796, '195.160.166.0', '195.160.167.255', 3282085376, 3282085887, 'BE', 'Belgium'),
(124797, '195.160.168.0', '195.160.169.255', 3282085888, 3282086399, 'DE', 'Germany'),
(124798, '195.160.170.0', '195.160.171.255', 3282086400, 3282086911, 'LV', 'Latvia'),
(124799, '195.160.172.0', '195.160.173.255', 3282086912, 3282087423, 'DE', 'Germany'),
(124800, '195.160.174.0', '195.160.175.255', 3282087424, 3282087935, 'PL', 'Poland'),
(124801, '195.160.176.0', '195.160.177.255', 3282087936, 3282088447, 'SE', 'Sweden'),
(124802, '195.160.178.0', '195.160.181.255', 3282088448, 3282089471, 'PL', 'Poland'),
(124803, '195.160.182.0', '195.160.183.255', 3282089472, 3282089983, 'SK', 'Slovakia'),
(124804, '195.160.184.0', '195.160.185.255', 3282089984, 3282090495, 'PL', 'Poland'),
(124805, '195.160.186.0', '195.160.187.255', 3282090496, 3282091007, 'GB', 'United Kingdom'),
(124806, '195.160.188.0', '195.160.189.255', 3282091008, 3282091519, 'FR', 'France'),
(124807, '195.160.190.0', '195.160.191.255', 3282091520, 3282092031, 'CH', 'Switzerland'),
(124808, '195.160.192.0', '195.160.195.255', 3282092032, 3282093055, 'UA', 'Ukraine'),
(124809, '195.160.196.0', '195.160.203.255', 3282093056, 3282095103, 'DE', 'Germany'),
(124810, '195.160.204.0', '195.160.207.255', 3282095104, 3282096127, 'UA', 'Ukraine'),
(124811, '195.160.208.0', '195.160.211.255', 3282096128, 3282097151, 'IT', 'Italy'),
(124812, '195.160.212.0', '195.160.215.255', 3282097152, 3282098175, 'GB', 'United Kingdom'),
(124813, '195.160.216.0', '195.160.219.255', 3282098176, 3282099199, 'NL', 'Netherlands'),
(124814, '195.160.220.0', '195.160.223.255', 3282099200, 3282100223, 'UA', 'Ukraine'),
(124815, '195.160.224.0', '195.160.227.255', 3282100224, 3282101247, 'ES', 'Spain'),
(124816, '195.160.228.0', '195.160.231.255', 3282101248, 3282102271, 'DE', 'Germany'),
(124817, '195.160.232.0', '195.160.235.255', 3282102272, 3282103295, 'UA', 'Ukraine'),
(124818, '195.160.236.0', '195.160.239.255', 3282103296, 3282104319, 'GB', 'United Kingdom'),
(124819, '195.160.240.0', '195.160.243.255', 3282104320, 3282105343, 'IL', 'Israel'),
(124820, '195.160.244.0', '195.160.247.255', 3282105344, 3282106367, 'RU', 'Russian Federation'),
(124821, '195.160.248.0', '195.160.251.255', 3282106368, 3282107391, 'DE', 'Germany'),
(124822, '195.160.252.0', '195.160.255.255', 3282107392, 3282108415, 'EU', 'Europe'),
(124823, '195.161.0.0', '195.161.42.255', 3282108416, 3282119423, 'RU', 'Russian Federation'),
(124824, '195.161.43.0', '195.161.43.255', 3282119424, 3282119679, 'KZ', 'Kazakhstan'),
(124825, '195.161.44.0', '195.161.160.79', 3282119680, 3282149455, 'RU', 'Russian Federation'),
(124826, '195.161.160.80', '195.161.160.95', 3282149456, 3282149471, 'KG', 'Kyrgyzstan'),
(124827, '195.161.160.96', '195.161.255.255', 3282149472, 3282173951, 'RU', 'Russian Federation'),
(124828, '195.162.0.0', '195.162.1.255', 3282173952, 3282174463, 'UA', 'Ukraine'),
(124829, '195.162.2.0', '195.162.3.255', 3282174464, 3282174975, 'GB', 'United Kingdom'),
(124830, '195.162.4.0', '195.162.5.255', 3282174976, 3282175487, 'DE', 'Germany'),
(124831, '195.162.6.0', '195.162.11.255', 3282175488, 3282177023, 'RU', 'Russian Federation'),
(124832, '195.162.12.0', '195.162.13.255', 3282177024, 3282177535, 'GB', 'United Kingdom'),
(124833, '195.162.14.0', '195.162.15.255', 3282177536, 3282178047, 'KZ', 'Kazakhstan'),
(124834, '195.162.16.0', '195.162.17.255', 3282178048, 3282178559, 'PL', 'Poland'),
(124835, '195.162.18.0', '195.162.19.255', 3282178560, 3282179071, 'ES', 'Spain'),
(124836, '195.162.20.0', '195.162.21.255', 3282179072, 3282179583, 'GB', 'United Kingdom'),
(124837, '195.162.22.0', '195.162.23.255', 3282179584, 3282180095, 'RU', 'Russian Federation'),
(124838, '195.162.24.0', '195.162.25.255', 3282180096, 3282180607, 'PL', 'Poland'),
(124839, '195.162.26.0', '195.162.27.255', 3282180608, 3282181119, 'KZ', 'Kazakhstan'),
(124840, '195.162.28.0', '195.162.29.255', 3282181120, 3282181631, 'GB', 'United Kingdom'),
(124841, '195.162.30.0', '195.162.31.255', 3282181632, 3282182143, 'DE', 'Germany'),
(124842, '195.162.32.0', '195.162.63.255', 3282182144, 3282190335, 'RU', 'Russian Federation'),
(124843, '195.162.64.0', '195.162.65.255', 3282190336, 3282190847, 'UA', 'Ukraine'),
(124844, '195.162.66.0', '195.162.67.255', 3282190848, 3282191359, 'IL', 'Israel'),
(124845, '195.162.68.0', '195.162.69.255', 3282191360, 3282191871, 'RU', 'Russian Federation'),
(124846, '195.162.70.0', '195.162.71.255', 3282191872, 3282192383, 'UA', 'Ukraine'),
(124847, '195.162.72.0', '195.162.73.255', 3282192384, 3282192895, 'BG', 'Bulgaria'),
(124848, '195.162.74.0', '195.162.75.255', 3282192896, 3282193407, 'UA', 'Ukraine'),
(124849, '195.162.76.0', '195.162.77.255', 3282193408, 3282193919, 'PL', 'Poland'),
(124850, '195.162.78.0', '195.162.79.255', 3282193920, 3282194431, 'RU', 'Russian Federation'),
(124851, '195.162.80.0', '195.162.83.255', 3282194432, 3282195455, 'UA', 'Ukraine'),
(124852, '195.162.84.0', '195.162.87.255', 3282195456, 3282196479, 'IE', 'Ireland'),
(124853, '195.162.88.0', '195.162.91.255', 3282196480, 3282197503, 'UA', 'Ukraine'),
(124854, '195.162.92.0', '195.162.95.255', 3282197504, 3282198527, 'RU', 'Russian Federation'),
(124855, '195.162.96.0', '195.162.127.255', 3282198528, 3282206719, 'GB', 'United Kingdom'),
(124856, '195.162.128.0', '195.162.191.255', 3282206720, 3282223103, 'CH', 'Switzerland'),
(124857, '195.162.192.0', '195.162.223.255', 3282223104, 3282231295, 'BE', 'Belgium'),
(124858, '195.162.224.0', '195.162.255.255', 3282231296, 3282239487, 'DE', 'Germany'),
(124859, '195.163.0.0', '195.163.176.15', 3282239488, 3282284559, 'SE', 'Sweden'),
(124860, '195.163.176.16', '195.163.176.35', 3282284560, 3282284579, 'FI', 'Finland'),
(124861, '195.163.176.36', '195.163.176.47', 3282284580, 3282284591, 'SE', 'Sweden'),
(124862, '195.163.176.48', '195.163.176.51', 3282284592, 3282284595, 'FI', 'Finland'),
(124863, '195.163.176.52', '195.163.176.55', 3282284596, 3282284599, 'SE', 'Sweden'),
(124864, '195.163.176.56', '195.163.176.59', 3282284600, 3282284603, 'FI', 'Finland'),
(124865, '195.163.176.60', '195.163.176.191', 3282284604, 3282284735, 'SE', 'Sweden'),
(124866, '195.163.176.192', '195.163.176.239', 3282284736, 3282284783, 'FI', 'Finland'),
(124867, '195.163.176.240', '195.163.187.255', 3282284784, 3282287615, 'SE', 'Sweden'),
(124868, '195.163.188.0', '195.163.188.143', 3282287616, 3282287759, 'FI', 'Finland'),
(124869, '195.163.188.144', '195.163.255.255', 3282287760, 3282305023, 'SE', 'Sweden'),
(124870, '195.164.0.0', '195.164.255.255', 3282305024, 3282370559, 'PL', 'Poland'),
(124871, '195.165.0.0', '195.165.68.207', 3282370560, 3282388175, 'FI', 'Finland'),
(124872, '195.165.68.208', '195.165.68.223', 3282388176, 3282388191, 'SE', 'Sweden'),
(124873, '195.165.68.224', '195.165.75.255', 3282388192, 3282390015, 'FI', 'Finland'),
(124874, '195.165.76.0', '195.165.76.255', 3282390016, 3282390271, 'NL', 'Netherlands'),
(124875, '195.165.77.0', '195.165.178.255', 3282390272, 3282416383, 'FI', 'Finland'),
(124876, '195.165.179.0', '195.165.179.127', 3282416384, 3282416511, 'RU', 'Russian Federation'),
(124877, '195.165.179.128', '195.165.229.95', 3282416512, 3282429279, 'FI', 'Finland'),
(124878, '195.165.229.96', '195.165.229.127', 3282429280, 3282429311, 'SE', 'Sweden'),
(124879, '195.165.229.128', '195.165.229.159', 3282429312, 3282429343, 'NO', 'Norway'),
(124880, '195.165.229.160', '195.165.255.255', 3282429344, 3282436095, 'FI', 'Finland'),
(124881, '195.166.0.0', '195.166.31.127', 3282436096, 3282444159, 'GB', 'United Kingdom'),
(124882, '195.166.31.128', '195.166.31.191', 3282444160, 3282444223, 'US', 'United States'),
(124883, '195.166.31.192', '195.166.50.127', 3282444224, 3282449023, 'GB', 'United Kingdom'),
(124884, '195.166.50.128', '195.166.50.255', 3282449024, 3282449151, 'NL', 'Netherlands'),
(124885, '195.166.51.0', '195.166.63.255', 3282449152, 3282452479, 'GB', 'United Kingdom'),
(124886, '195.166.64.0', '195.166.64.255', 3282452480, 3282452735, 'DE', 'Germany'),
(124887, '195.166.65.0', '195.166.77.215', 3282452736, 3282456023, 'GB', 'United Kingdom'),
(124888, '195.166.77.216', '195.166.77.223', 3282456024, 3282456031, 'IT', 'Italy'),
(124889, '195.166.77.224', '195.166.98.255', 3282456032, 3282461439, 'GB', 'United Kingdom'),
(124890, '195.166.99.0', '195.166.99.255', 3282461440, 3282461695, 'CH', 'Switzerland'),
(124891, '195.166.100.0', '195.166.111.255', 3282461696, 3282464767, 'GB', 'United Kingdom'),
(124892, '195.166.112.0', '195.166.112.255', 3282464768, 3282465023, 'SE', 'Sweden'),
(124893, '195.166.113.0', '195.166.113.255', 3282465024, 3282465279, 'DE', 'Germany'),
(124894, '195.166.114.0', '195.166.114.255', 3282465280, 3282465535, 'IT', 'Italy'),
(124895, '195.166.115.0', '195.166.116.255', 3282465536, 3282466047, 'GB', 'United Kingdom'),
(124896, '195.166.117.0', '195.166.117.63', 3282466048, 3282466111, 'US', 'United States'),
(124897, '195.166.117.64', '195.166.119.83', 3282466112, 3282466643, 'GB', 'United Kingdom'),
(124898, '195.166.119.84', '195.166.119.95', 3282466644, 3282466655, 'IT', 'Italy'),
(124899, '195.166.119.96', '195.166.119.127', 3282466656, 3282466687, 'GB', 'United Kingdom'),
(124900, '195.166.119.128', '195.166.119.167', 3282466688, 3282466727, 'IT', 'Italy'),
(124901, '195.166.119.168', '195.166.119.255', 3282466728, 3282466815, 'GB', 'United Kingdom'),
(124902, '195.166.120.0', '195.166.120.255', 3282466816, 3282467071, 'US', 'United States'),
(124903, '195.166.121.0', '195.166.121.255', 3282467072, 3282467327, 'GB', 'United Kingdom'),
(124904, '195.166.122.0', '195.166.122.31', 3282467328, 3282467359, 'DE', 'Germany'),
(124905, '195.166.122.32', '195.166.159.255', 3282467360, 3282477055, 'GB', 'United Kingdom'),
(124906, '195.166.160.0', '195.166.191.255', 3282477056, 3282485247, 'RU', 'Russian Federation'),
(124907, '195.166.192.0', '195.166.223.255', 3282485248, 3282493439, 'GI', 'Gibraltar'),
(124908, '195.166.224.0', '195.166.255.255', 3282493440, 3282501631, 'NG', 'Nigeria'),
(124909, '195.167.0.0', '195.167.127.255', 3282501632, 3282534399, 'GR', 'Greece'),
(124910, '195.167.128.0', '195.167.191.255', 3282534400, 3282550783, 'GB', 'United Kingdom'),
(124911, '195.167.192.0', '195.167.207.255', 3282550784, 3282554879, 'FR', 'France'),
(124912, '195.167.208.0', '195.167.223.255', 3282554880, 3282558975, 'DE', 'Germany'),
(124913, '195.167.224.0', '195.167.239.255', 3282558976, 3282563071, 'FR', 'France'),
(124914, '195.167.240.0', '195.167.255.255', 3282563072, 3282567167, 'GB', 'United Kingdom'),
(124915, '195.168.0.0', '195.168.255.255', 3282567168, 3282632703, 'SK', 'Slovakia'),
(124916, '195.169.0.0', '195.169.255.255', 3282632704, 3282698239, 'NL', 'Netherlands'),
(124917, '195.170.0.0', '195.170.31.255', 3282698240, 3282706431, 'GR', 'Greece'),
(124918, '195.170.32.0', '195.170.63.255', 3282706432, 3282714623, 'RU', 'Russian Federation'),
(124919, '195.170.64.0', '195.170.95.255', 3282714624, 3282722815, 'AT', 'Austria'),
(124920, '195.170.96.0', '195.170.127.255', 3282722816, 3282731007, 'DE', 'Germany'),
(124921, '195.170.128.0', '195.170.159.255', 3282731008, 3282739199, 'FI', 'Finland'),
(124922, '195.170.160.0', '195.170.160.255', 3282739200, 3282739455, 'CH', 'Switzerland'),
(124923, '195.170.161.0', '195.170.161.255', 3282739456, 3282739711, 'RO', 'Romania'),
(124924, '195.170.162.0', '195.170.162.255', 3282739712, 3282739967, 'FR', 'France'),
(124925, '195.170.163.0', '195.170.163.255', 3282739968, 3282740223, 'IR', 'Iran, Islamic Republic of'),
(124926, '195.170.164.0', '195.170.164.255', 3282740224, 3282740479, 'FR', 'France'),
(124927, '195.170.165.0', '195.170.165.255', 3282740480, 3282740735, 'AT', 'Austria'),
(124928, '195.170.166.0', '195.170.166.255', 3282740736, 3282740991, 'BG', 'Bulgaria'),
(124929, '195.170.167.0', '195.170.167.255', 3282740992, 3282741247, 'DE', 'Germany'),
(124930, '195.170.168.0', '195.170.168.255', 3282741248, 3282741503, 'PT', 'Portugal'),
(124931, '195.170.169.0', '195.170.169.255', 3282741504, 3282741759, 'GB', 'United Kingdom'),
(124932, '195.170.170.0', '195.170.170.255', 3282741760, 3282742015, 'ES', 'Spain'),
(124933, '195.170.171.0', '195.170.172.255', 3282742016, 3282742527, 'RO', 'Romania'),
(124934, '195.170.173.0', '195.170.173.255', 3282742528, 3282742783, 'GB', 'United Kingdom'),
(124935, '195.170.174.0', '195.170.174.255', 3282742784, 3282743039, 'RU', 'Russian Federation'),
(124936, '195.170.175.0', '195.170.175.255', 3282743040, 3282743295, 'CH', 'Switzerland'),
(124937, '195.170.176.0', '195.170.176.255', 3282743296, 3282743551, 'CY', 'Cyprus'),
(124938, '195.170.177.0', '195.170.177.255', 3282743552, 3282743807, 'SI', 'Slovenia'),
(124939, '195.170.178.0', '195.170.178.255', 3282743808, 3282744063, 'BG', 'Bulgaria'),
(124940, '195.170.179.0', '195.170.179.255', 3282744064, 3282744319, 'UA', 'Ukraine'),
(124941, '195.170.180.0', '195.170.180.255', 3282744320, 3282744575, 'SA', 'Saudi Arabia'),
(124942, '195.170.181.0', '195.170.181.255', 3282744576, 3282744831, 'LT', 'Lithuania'),
(124943, '195.170.182.0', '195.170.182.255', 3282744832, 3282745087, 'PL', 'Poland'),
(124944, '195.170.183.0', '195.170.183.255', 3282745088, 3282745343, 'RS', 'Serbia'),
(124945, '195.170.184.0', '195.170.184.255', 3282745344, 3282745599, 'HU', 'Hungary'),
(124946, '195.170.185.0', '195.170.186.255', 3282745600, 3282746111, 'DE', 'Germany'),
(124947, '195.170.187.0', '195.170.187.255', 3282746112, 3282746367, 'SE', 'Sweden'),
(124948, '195.170.188.0', '195.170.188.255', 3282746368, 3282746623, 'PL', 'Poland'),
(124949, '195.170.189.0', '195.170.189.255', 3282746624, 3282746879, 'SE', 'Sweden'),
(124950, '195.170.190.0', '195.170.190.255', 3282746880, 3282747135, 'RO', 'Romania'),
(124951, '195.170.191.0', '195.170.191.255', 3282747136, 3282747391, 'PL', 'Poland'),
(124952, '195.170.192.0', '195.170.255.255', 3282747392, 3282763775, 'RU', 'Russian Federation'),
(124953, '195.171.0.0', '195.171.35.255', 3282763776, 3282772991, 'GB', 'United Kingdom'),
(124954, '195.171.36.0', '195.171.36.255', 3282772992, 3282773247, 'EU', 'Europe'),
(124955, '195.171.37.0', '195.172.60.183', 3282773248, 3282844855, 'GB', 'United Kingdom'),
(124956, '195.172.60.184', '195.172.60.191', 3282844856, 3282844863, 'A2', 'Satellite Provider'),
(124957, '195.172.60.192', '195.173.185.2', 3282844864, 3282942210, 'GB', 'United Kingdom'),
(124958, '195.173.185.3', '195.173.185.3', 3282942211, 3282942211, 'US', 'United States'),
(124959, '195.173.185.4', '195.173.223.255', 3282942212, 3282952191, 'GB', 'United Kingdom'),
(124960, '195.173.224.0', '195.173.255.255', 3282952192, 3282960383, 'NL', 'Netherlands'),
(124961, '195.174.0.0', '195.175.255.255', 3282960384, 3283091455, 'TR', 'Turkey'),
(124962, '195.176.0.0', '195.176.79.255', 3283091456, 3283111935, 'CH', 'Switzerland'),
(124963, '195.176.80.0', '195.176.85.255', 3283111936, 3283113471, 'LI', 'Liechtenstein'),
(124964, '195.176.86.0', '195.176.255.255', 3283113472, 3283156991, 'CH', 'Switzerland'),
(124965, '195.177.0.0', '195.177.4.199', 3283156992, 3283158215, 'DE', 'Germany'),
(124966, '195.177.4.200', '195.177.4.203', 3283158216, 3283158219, 'EE', 'Estonia'),
(124967, '195.177.4.204', '195.177.63.255', 3283158220, 3283173375, 'DE', 'Germany'),
(124968, '195.177.64.0', '195.177.67.255', 3283173376, 3283174399, 'PL', 'Poland'),
(124969, '195.177.68.0', '195.177.75.255', 3283174400, 3283176447, 'UA', 'Ukraine'),
(124970, '195.177.76.0', '195.177.79.255', 3283176448, 3283177471, 'GB', 'United Kingdom'),
(124971, '195.177.80.0', '195.177.83.255', 3283177472, 3283178495, 'BE', 'Belgium'),
(124972, '195.177.84.0', '195.177.87.255', 3283178496, 3283179519, 'PL', 'Poland'),
(124973, '195.177.88.0', '195.177.91.255', 3283179520, 3283180543, 'LU', 'Luxembourg'),
(124974, '195.177.92.0', '195.177.95.255', 3283180544, 3283181567, 'UA', 'Ukraine'),
(124975, '195.177.96.0', '195.177.99.255', 3283181568, 3283182591, 'NO', 'Norway'),
(124976, '195.177.100.0', '195.177.103.255', 3283182592, 3283183615, 'PL', 'Poland'),
(124977, '195.177.104.0', '195.177.107.255', 3283183616, 3283184639, 'RU', 'Russian Federation'),
(124978, '195.177.108.0', '195.177.111.255', 3283184640, 3283185663, 'IL', 'Israel'),
(124979, '195.177.112.0', '195.177.119.255', 3283185664, 3283187711, 'UA', 'Ukraine'),
(124980, '195.177.120.0', '195.177.123.255', 3283187712, 3283188735, 'RU', 'Russian Federation'),
(124981, '195.177.124.0', '195.177.127.255', 3283188736, 3283189759, 'UA', 'Ukraine'),
(124982, '195.177.128.0', '195.177.191.255', 3283189760, 3283206143, 'DE', 'Germany'),
(124983, '195.177.192.0', '195.177.193.255', 3283206144, 3283206655, 'GB', 'United Kingdom'),
(124984, '195.177.194.0', '195.177.195.255', 3283206656, 3283207167, 'SA', 'Saudi Arabia'),
(124985, '195.177.196.0', '195.177.197.255', 3283207168, 3283207679, 'PL', 'Poland'),
(124986, '195.177.198.0', '195.177.199.255', 3283207680, 3283208191, 'AT', 'Austria'),
(124987, '195.177.200.0', '195.177.201.255', 3283208192, 3283208703, 'DE', 'Germany'),
(124988, '195.177.202.0', '195.177.203.255', 3283208704, 3283209215, 'NO', 'Norway'),
(124989, '195.177.204.0', '195.177.205.255', 3283209216, 3283209727, 'RU', 'Russian Federation'),
(124990, '195.177.206.0', '195.177.207.255', 3283209728, 3283210239, 'TR', 'Turkey'),
(124991, '195.177.208.0', '195.177.209.255', 3283210240, 3283210751, 'UA', 'Ukraine'),
(124992, '195.177.210.0', '195.177.211.255', 3283210752, 3283211263, 'PL', 'Poland'),
(124993, '195.177.212.0', '195.177.212.224', 3283211264, 3283211488, 'GB', 'United Kingdom'),
(124994, '195.177.212.225', '195.177.212.225', 3283211489, 3283211489, 'EU', 'Europe'),
(124995, '195.177.212.226', '195.177.213.255', 3283211490, 3283211775, 'GB', 'United Kingdom'),
(124996, '195.177.214.0', '195.177.215.255', 3283211776, 3283212287, 'NL', 'Netherlands'),
(124997, '195.177.216.0', '195.177.217.255', 3283212288, 3283212799, 'PL', 'Poland'),
(124998, '195.177.218.0', '195.177.219.255', 3283212800, 3283213311, 'BG', 'Bulgaria'),
(124999, '195.177.220.0', '195.177.221.255', 3283213312, 3283213823, 'ES', 'Spain'),
(125000, '195.177.222.0', '195.177.223.255', 3283213824, 3283214335, 'UA', 'Ukraine'),
(125001, '195.177.224.0', '195.177.225.255', 3283214336, 3283214847, 'RO', 'Romania'),
(125002, '195.177.226.0', '195.177.227.255', 3283214848, 3283215359, 'RU', 'Russian Federation'),
(125003, '195.177.228.0', '195.177.229.255', 3283215360, 3283215871, 'AT', 'Austria'),
(125004, '195.177.230.0', '195.177.231.255', 3283215872, 3283216383, 'TR', 'Turkey'),
(125005, '195.177.232.0', '195.177.233.255', 3283216384, 3283216895, 'DE', 'Germany'),
(125006, '195.177.234.0', '195.177.235.255', 3283216896, 3283217407, 'CH', 'Switzerland'),
(125007, '195.177.236.0', '195.177.241.255', 3283217408, 3283218943, 'UA', 'Ukraine'),
(125008, '195.177.242.0', '195.177.243.255', 3283218944, 3283219455, 'NL', 'Netherlands'),
(125009, '195.177.244.0', '195.177.245.255', 3283219456, 3283219967, 'GB', 'United Kingdom'),
(125010, '195.177.246.0', '195.177.247.255', 3283219968, 3283220479, 'BE', 'Belgium'),
(125011, '195.177.248.0', '195.177.249.255', 3283220480, 3283220991, 'BG', 'Bulgaria'),
(125012, '195.177.250.0', '195.177.251.255', 3283220992, 3283221503, 'AT', 'Austria'),
(125013, '195.177.252.0', '195.177.253.255', 3283221504, 3283222015, 'GB', 'United Kingdom'),
(125014, '195.177.254.0', '195.178.1.255', 3283222016, 3283223039, 'DE', 'Germany'),
(125015, '195.178.2.0', '195.178.3.255', 3283223040, 3283223551, 'RU', 'Russian Federation'),
(125016, '195.178.4.0', '195.178.5.255', 3283223552, 3283224063, 'NL', 'Netherlands'),
(125017, '195.178.6.0', '195.178.7.255', 3283224064, 3283224575, 'EU', 'Europe'),
(125018, '195.178.8.0', '195.178.9.255', 3283224576, 3283225087, 'BG', 'Bulgaria'),
(125019, '195.178.10.0', '195.178.11.255', 3283225088, 3283225599, 'UA', 'Ukraine'),
(125020, '195.178.12.0', '195.178.13.255', 3283225600, 3283226111, 'RU', 'Russian Federation'),
(125021, '195.178.14.0', '195.178.15.255', 3283226112, 3283226623, 'DK', 'Denmark'),
(125022, '195.178.16.0', '195.178.17.255', 3283226624, 3283227135, 'RU', 'Russian Federation'),
(125023, '195.178.18.0', '195.178.19.255', 3283227136, 3283227647, 'UA', 'Ukraine'),
(125024, '195.178.20.0', '195.178.25.255', 3283227648, 3283229183, 'RU', 'Russian Federation'),
(125025, '195.178.26.0', '195.178.27.255', 3283229184, 3283229695, 'PL', 'Poland'),
(125026, '195.178.28.0', '195.178.29.255', 3283229696, 3283230207, 'IT', 'Italy'),
(125027, '195.178.30.0', '195.178.31.255', 3283230208, 3283230719, 'UA', 'Ukraine'),
(125028, '195.178.32.0', '195.178.63.255', 3283230720, 3283238911, 'RS', 'Serbia'),
(125029, '195.178.64.0', '195.178.95.255', 3283238912, 3283247103, 'CZ', 'Czech Republic'),
(125030, '195.178.96.0', '195.178.97.255', 3283247104, 3283247615, 'LV', 'Latvia'),
(125031, '195.178.98.0', '195.178.99.255', 3283247616, 3283248127, 'BG', 'Bulgaria'),
(125032, '195.178.100.0', '195.178.101.255', 3283248128, 3283248639, 'DE', 'Germany'),
(125033, '195.178.102.0', '195.178.103.255', 3283248640, 3283249151, 'RO', 'Romania'),
(125034, '195.178.104.0', '195.178.105.255', 3283249152, 3283249663, 'UA', 'Ukraine'),
(125035, '195.178.106.0', '195.178.106.255', 3283249664, 3283249919, 'MD', 'Moldova, Republic of'),
(125036, '195.178.107.0', '195.178.107.255', 3283249920, 3283250175, 'RO', 'Romania'),
(125037, '195.178.108.0', '195.178.109.255', 3283250176, 3283250687, 'RU', 'Russian Federation'),
(125038, '195.178.110.0', '195.178.111.255', 3283250688, 3283251199, 'RO', 'Romania'),
(125039, '195.178.112.0', '195.178.113.255', 3283251200, 3283251711, 'FR', 'France'),
(125040, '195.178.114.0', '195.178.115.255', 3283251712, 3283252223, 'PL', 'Poland'),
(125041, '195.178.116.0', '195.178.117.255', 3283252224, 3283252735, 'BG', 'Bulgaria'),
(125042, '195.178.118.0', '195.178.119.255', 3283252736, 3283253247, 'SI', 'Slovenia'),
(125043, '195.178.120.0', '195.178.121.255', 3283253248, 3283253759, 'RO', 'Romania'),
(125044, '195.178.122.0', '195.178.123.255', 3283253760, 3283254271, 'PL', 'Poland'),
(125045, '195.178.124.0', '195.178.127.255', 3283254272, 3283255295, 'RO', 'Romania'),
(125046, '195.178.128.0', '195.178.159.255', 3283255296, 3283263487, 'UA', 'Ukraine'),
(125047, '195.178.160.0', '195.178.191.255', 3283263488, 3283271679, 'SE', 'Sweden'),
(125048, '195.178.192.0', '195.178.223.255', 3283271680, 3283279871, 'RU', 'Russian Federation'),
(125049, '195.178.224.0', '195.178.255.255', 3283279872, 3283288063, 'SE', 'Sweden'),
(125050, '195.179.0.0', '195.179.1.255', 3283288064, 3283288575, 'DE', 'Germany'),
(125051, '195.179.2.0', '195.179.2.3', 3283288576, 3283288579, 'BE', 'Belgium'),
(125052, '195.179.2.4', '195.179.13.95', 3283288580, 3283291487, 'DE', 'Germany'),
(125053, '195.179.13.96', '195.179.13.99', 3283291488, 3283291491, 'ES', 'Spain'),
(125054, '195.179.13.100', '195.179.65.215', 3283291492, 3283304919, 'DE', 'Germany'),
(125055, '195.179.65.216', '195.179.65.219', 3283304920, 3283304923, 'ES', 'Spain'),
(125056, '195.179.65.220', '195.179.65.255', 3283304924, 3283304959, 'DE', 'Germany'),
(125057, '195.179.66.0', '195.179.66.63', 3283304960, 3283305023, 'GB', 'United Kingdom'),
(125058, '195.179.66.64', '195.179.66.127', 3283305024, 3283305087, 'DE', 'Germany'),
(125059, '195.179.66.128', '195.179.66.167', 3283305088, 3283305127, 'FR', 'France'),
(125060, '195.179.66.168', '195.179.68.239', 3283305128, 3283305711, 'DE', 'Germany'),
(125061, '195.179.68.240', '195.179.68.243', 3283305712, 3283305715, 'ES', 'Spain'),
(125062, '195.179.68.244', '195.179.119.159', 3283305716, 3283318687, 'DE', 'Germany'),
(125063, '195.179.119.160', '195.179.119.163', 3283318688, 3283318691, 'ES', 'Spain'),
(125064, '195.179.119.164', '195.179.120.191', 3283318692, 3283318975, 'DE', 'Germany'),
(125065, '195.179.120.192', '195.179.120.207', 3283318976, 3283318991, 'NL', 'Netherlands'),
(125066, '195.179.120.208', '195.179.120.215', 3283318992, 3283318999, 'ES', 'Spain'),
(125067, '195.179.120.216', '195.179.121.127', 3283319000, 3283319167, 'DE', 'Germany'),
(125068, '195.179.121.128', '195.179.121.131', 3283319168, 3283319171, 'ES', 'Spain'),
(125069, '195.179.121.132', '195.179.128.255', 3283319172, 3283321087, 'DE', 'Germany'),
(125070, '195.179.129.0', '195.179.129.31', 3283321088, 3283321119, 'GB', 'United Kingdom'),
(125071, '195.179.129.32', '195.179.129.63', 3283321120, 3283321151, 'DE', 'Germany'),
(125072, '195.179.129.64', '195.179.129.67', 3283321152, 3283321155, 'ES', 'Spain'),
(125073, '195.179.129.68', '195.179.131.111', 3283321156, 3283321711, 'DE', 'Germany'),
(125074, '195.179.131.112', '195.179.131.115', 3283321712, 3283321715, 'ES', 'Spain'),
(125075, '195.179.131.116', '195.179.132.15', 3283321716, 3283321871, 'DE', 'Germany'),
(125076, '195.179.132.16', '195.179.132.19', 3283321872, 3283321875, 'ES', 'Spain'),
(125077, '195.179.132.20', '195.179.163.131', 3283321876, 3283329923, 'DE', 'Germany'),
(125078, '195.179.163.132', '195.179.163.135', 3283329924, 3283329927, 'ES', 'Spain'),
(125079, '195.179.163.136', '195.180.255.255', 3283329928, 3283419135, 'DE', 'Germany'),
(125080, '195.181.0.0', '195.181.255.255', 3283419136, 3283484671, 'DK', 'Denmark'),
(125081, '195.182.0.0', '195.182.0.255', 3283484672, 3283484927, 'UA', 'Ukraine'),
(125082, '195.182.1.0', '195.182.1.255', 3283484928, 3283485183, 'NL', 'Netherlands'),
(125083, '195.182.2.0', '195.182.2.255', 3283485184, 3283485439, 'DE', 'Germany'),
(125084, '195.182.4.0', '195.182.4.255', 3283485696, 3283485951, 'GB', 'United Kingdom'),
(125085, '195.182.5.0', '195.182.5.176', 3283485952, 3283486128, 'US', 'United States'),
(125086, '195.182.5.177', '195.182.5.177', 3283486129, 3283486129, 'SE', 'Sweden'),
(125087, '195.182.5.178', '195.182.5.255', 3283486130, 3283486207, 'US', 'United States'),
(125088, '195.182.6.0', '195.182.6.255', 3283486208, 3283486463, 'AT', 'Austria'),
(125089, '195.182.7.0', '195.182.7.255', 3283486464, 3283486719, 'UA', 'Ukraine'),
(125090, '195.182.8.0', '195.182.8.255', 3283486720, 3283486975, 'RU', 'Russian Federation'),
(125091, '195.182.9.0', '195.182.9.255', 3283486976, 3283487231, 'PL', 'Poland'),
(125092, '195.182.10.0', '195.182.10.255', 3283487232, 3283487487, 'FR', 'France'),
(125093, '195.182.11.0', '195.182.11.255', 3283487488, 3283487743, 'DE', 'Germany'),
(125094, '195.182.12.0', '195.182.12.255', 3283487744, 3283487999, 'CH', 'Switzerland'),
(125095, '195.182.13.0', '195.182.13.255', 3283488000, 3283488255, 'NL', 'Netherlands'),
(125096, '195.182.14.0', '195.182.14.255', 3283488256, 3283488511, 'PL', 'Poland'),
(125097, '195.182.15.0', '195.182.15.255', 3283488512, 3283488767, 'RU', 'Russian Federation'),
(125098, '195.182.16.0', '195.182.17.255', 3283488768, 3283489279, 'FR', 'France'),
(125099, '195.182.18.0', '195.182.18.255', 3283489280, 3283489535, 'DE', 'Germany'),
(125100, '195.182.19.0', '195.182.19.255', 3283489536, 3283489791, 'PL', 'Poland'),
(125101, '195.182.20.0', '195.182.20.255', 3283489792, 3283490047, 'RU', 'Russian Federation'),
(125102, '195.182.21.0', '195.182.22.255', 3283490048, 3283490559, 'UA', 'Ukraine'),
(125103, '195.182.23.0', '195.182.23.255', 3283490560, 3283490815, 'PL', 'Poland'),
(125104, '195.182.24.0', '195.182.24.255', 3283490816, 3283491071, 'CH', 'Switzerland'),
(125105, '195.182.25.0', '195.182.25.255', 3283491072, 3283491327, 'TR', 'Turkey'),
(125106, '195.182.26.0', '195.182.26.255', 3283491328, 3283491583, 'AT', 'Austria'),
(125107, '195.182.27.0', '195.182.27.255', 3283491584, 3283491839, 'RO', 'Romania'),
(125108, '195.182.28.0', '195.182.28.255', 3283491840, 3283492095, 'RU', 'Russian Federation'),
(125109, '195.182.29.0', '195.182.29.255', 3283492096, 3283492351, 'AT', 'Austria'),
(125110, '195.182.30.0', '195.182.30.255', 3283492352, 3283492607, 'ES', 'Spain'),
(125111, '195.182.31.0', '195.182.31.255', 3283492608, 3283492863, 'SA', 'Saudi Arabia'),
(125112, '195.182.32.0', '195.182.32.255', 3283492864, 3283493119, 'DK', 'Denmark'),
(125113, '195.182.33.0', '195.182.33.255', 3283493120, 3283493375, 'IL', 'Israel'),
(125114, '195.182.34.0', '195.182.35.255', 3283493376, 3283493887, 'PL', 'Poland'),
(125115, '195.182.36.0', '195.182.36.255', 3283493888, 3283494143, 'DK', 'Denmark'),
(125116, '195.182.37.0', '195.182.37.255', 3283494144, 3283494399, 'GB', 'United Kingdom'),
(125117, '195.182.38.0', '195.182.38.255', 3283494400, 3283494655, 'PL', 'Poland'),
(125118, '195.182.39.0', '195.182.39.255', 3283494656, 3283494911, 'DK', 'Denmark'),
(125119, '195.182.40.0', '195.182.40.255', 3283494912, 3283495167, 'PL', 'Poland'),
(125120, '195.182.41.0', '195.182.41.255', 3283495168, 3283495423, 'BG', 'Bulgaria'),
(125121, '195.182.42.0', '195.182.42.255', 3283495424, 3283495679, 'TR', 'Turkey'),
(125122, '195.182.43.0', '195.182.43.255', 3283495680, 3283495935, 'NL', 'Netherlands'),
(125123, '195.182.44.0', '195.182.44.255', 3283495936, 3283496191, 'BG', 'Bulgaria'),
(125124, '195.182.45.0', '195.182.45.255', 3283496192, 3283496447, 'DE', 'Germany'),
(125125, '195.182.46.0', '195.182.46.255', 3283496448, 3283496703, 'HR', 'Croatia'),
(125126, '195.182.47.0', '195.182.47.255', 3283496704, 3283496959, 'LV', 'Latvia'),
(125127, '195.182.48.0', '195.182.48.255', 3283496960, 3283497215, 'DE', 'Germany'),
(125128, '195.182.49.0', '195.182.49.255', 3283497216, 3283497471, 'PL', 'Poland'),
(125129, '195.182.50.0', '195.182.50.255', 3283497472, 3283497727, 'DE', 'Germany'),
(125130, '195.182.51.0', '195.182.52.255', 3283497728, 3283498239, 'PL', 'Poland'),
(125131, '195.182.53.0', '195.182.53.255', 3283498240, 3283498495, 'CH', 'Switzerland'),
(125132, '195.182.54.0', '195.182.54.255', 3283498496, 3283498751, 'PL', 'Poland'),
(125133, '195.182.55.0', '195.182.55.255', 3283498752, 3283499007, 'AT', 'Austria'),
(125134, '195.182.56.0', '195.182.56.255', 3283499008, 3283499263, 'DE', 'Germany'),
(125135, '195.182.57.0', '195.182.57.255', 3283499264, 3283499519, 'RU', 'Russian Federation'),
(125136, '195.182.58.0', '195.182.58.255', 3283499520, 3283499775, 'DE', 'Germany'),
(125137, '195.182.59.0', '195.182.59.255', 3283499776, 3283500031, 'GB', 'United Kingdom'),
(125138, '195.182.60.0', '195.182.60.255', 3283500032, 3283500287, 'DE', 'Germany'),
(125139, '195.182.61.0', '195.182.61.255', 3283500288, 3283500543, 'SI', 'Slovenia'),
(125140, '195.182.62.0', '195.182.62.255', 3283500544, 3283500799, 'GB', 'United Kingdom'),
(125141, '195.182.63.0', '195.182.63.255', 3283500800, 3283501055, 'UA', 'Ukraine'),
(125142, '195.182.64.0', '195.182.95.255', 3283501056, 3283509247, 'LT', 'Lithuania'),
(125143, '195.182.96.0', '195.182.127.255', 3283509248, 3283517439, 'DE', 'Germany'),
(125144, '195.182.128.0', '195.182.159.255', 3283517440, 3283525631, 'RU', 'Russian Federation'),
(125145, '195.182.160.0', '195.182.191.255', 3283525632, 3283533823, 'GB', 'United Kingdom'),
(125146, '195.182.192.0', '195.182.195.255', 3283533824, 3283534847, 'UA', 'Ukraine'),
(125147, '195.182.196.0', '195.182.197.255', 3283534848, 3283535359, 'DE', 'Germany'),
(125148, '195.182.198.0', '195.182.199.255', 3283535360, 3283535871, 'RO', 'Romania'),
(125149, '195.182.200.0', '195.182.201.255', 3283535872, 3283536383, 'GI', 'Gibraltar'),
(125150, '195.182.202.0', '195.182.203.255', 3283536384, 3283536895, 'UA', 'Ukraine'),
(125151, '195.182.204.0', '195.182.205.255', 3283536896, 3283537407, 'DK', 'Denmark'),
(125152, '195.182.206.0', '195.182.207.255', 3283537408, 3283537919, 'PL', 'Poland'),
(125153, '195.182.208.0', '195.182.209.255', 3283537920, 3283538431, 'RO', 'Romania'),
(125154, '195.182.210.0', '195.182.211.255', 3283538432, 3283538943, 'IT', 'Italy'),
(125155, '195.182.212.0', '195.182.213.255', 3283538944, 3283539455, 'RO', 'Romania'),
(125156, '195.182.214.0', '195.182.215.255', 3283539456, 3283539967, 'RS', 'Serbia'),
(125157, '195.182.216.0', '195.182.217.255', 3283539968, 3283540479, 'DK', 'Denmark'),
(125158, '195.182.218.0', '195.182.219.255', 3283540480, 3283540991, 'PL', 'Poland'),
(125159, '195.182.220.0', '195.182.221.255', 3283540992, 3283541503, 'RO', 'Romania'),
(125160, '195.182.222.0', '195.182.223.255', 3283541504, 3283542015, 'CH', 'Switzerland'),
(125161, '195.182.224.0', '195.182.255.255', 3283542016, 3283550207, 'IT', 'Italy'),
(125162, '195.183.0.0', '195.183.0.79', 3283550208, 3283550287, 'EU', 'Europe'),
(125163, '195.183.0.80', '195.183.0.111', 3283550288, 3283550319, 'AT', 'Austria'),
(125164, '195.183.0.112', '195.183.0.255', 3283550320, 3283550463, 'EU', 'Europe'),
(125165, '195.183.1.0', '195.183.1.159', 3283550464, 3283550623, 'AT', 'Austria'),
(125166, '195.183.1.160', '195.183.1.191', 3283550624, 3283550655, 'FR', 'France'),
(125167, '195.183.1.192', '195.183.1.255', 3283550656, 3283550719, 'GB', 'United Kingdom'),
(125168, '195.183.2.0', '195.183.7.255', 3283550720, 3283552255, 'AT', 'Austria'),
(125169, '195.183.8.0', '195.183.8.63', 3283552256, 3283552319, 'IT', 'Italy'),
(125170, '195.183.8.64', '195.183.8.95', 3283552320, 3283552351, 'EU', 'Europe'),
(125171, '195.183.8.96', '195.183.9.63', 3283552352, 3283552575, 'IT', 'Italy'),
(125172, '195.183.9.64', '195.183.9.127', 3283552576, 3283552639, 'DE', 'Germany'),
(125173, '195.183.9.128', '195.183.9.159', 3283552640, 3283552671, 'IT', 'Italy'),
(125174, '195.183.9.160', '195.183.9.191', 3283552672, 3283552703, 'CH', 'Switzerland'),
(125175, '195.183.9.192', '195.183.9.223', 3283552704, 3283552735, 'DE', 'Germany'),
(125176, '195.183.9.224', '195.183.9.239', 3283552736, 3283552751, 'FR', 'France'),
(125177, '195.183.9.240', '195.183.11.23', 3283552752, 3283553047, 'IT', 'Italy'),
(125178, '195.183.11.24', '195.183.11.31', 3283553048, 3283553055, 'GB', 'United Kingdom'),
(125179, '195.183.11.32', '195.183.11.47', 3283553056, 3283553071, 'ZA', 'South Africa'),
(125180, '195.183.11.48', '195.183.11.55', 3283553072, 3283553079, 'SE', 'Sweden'),
(125181, '195.183.11.56', '195.183.11.95', 3283553080, 3283553119, 'DE', 'Germany'),
(125182, '195.183.11.96', '195.183.11.127', 3283553120, 3283553151, 'GR', 'Greece'),
(125183, '195.183.11.128', '195.183.11.255', 3283553152, 3283553279, 'GB', 'United Kingdom'),
(125184, '195.183.12.0', '195.183.12.255', 3283553280, 3283553535, 'IT', 'Italy'),
(125185, '195.183.13.0', '195.183.13.255', 3283553536, 3283553791, 'EU', 'Europe'),
(125186, '195.183.14.0', '195.183.14.255', 3283553792, 3283554047, 'GB', 'United Kingdom'),
(125187, '195.183.15.0', '195.183.15.31', 3283554048, 3283554079, 'IT', 'Italy'),
(125188, '195.183.15.32', '195.183.15.47', 3283554080, 3283554095, 'ES', 'Spain'),
(125189, '195.183.15.48', '195.183.15.63', 3283554096, 3283554111, 'NL', 'Netherlands'),
(125190, '195.183.15.64', '195.183.15.127', 3283554112, 3283554175, 'IT', 'Italy'),
(125191, '195.183.15.128', '195.183.15.191', 3283554176, 3283554239, 'FR', 'France'),
(125192, '195.183.15.192', '195.183.15.207', 3283554240, 3283554255, 'ZA', 'South Africa'),
(125193, '195.183.15.208', '195.183.15.223', 3283554256, 3283554271, 'RU', 'Russian Federation'),
(125194, '195.183.15.224', '195.183.15.255', 3283554272, 3283554303, 'GB', 'United Kingdom'),
(125195, '195.183.16.0', '195.183.16.23', 3283554304, 3283554327, 'CH', 'Switzerland'),
(125196, '195.183.16.24', '195.183.16.31', 3283554328, 3283554335, 'EU', 'Europe'),
(125197, '195.183.16.32', '195.183.16.63', 3283554336, 3283554367, 'CH', 'Switzerland'),
(125198, '195.183.16.64', '195.183.16.127', 3283554368, 3283554431, 'EU', 'Europe'),
(125199, '195.183.16.128', '195.183.21.159', 3283554432, 3283555743, 'CH', 'Switzerland'),
(125200, '195.183.21.160', '195.183.21.175', 3283555744, 3283555759, 'SE', 'Sweden'),
(125201, '195.183.21.176', '195.183.21.191', 3283555760, 3283555775, 'DE', 'Germany'),
(125202, '195.183.21.192', '195.183.21.223', 3283555776, 3283555807, 'NL', 'Netherlands'),
(125203, '195.183.21.224', '195.183.21.255', 3283555808, 3283555839, 'DE', 'Germany'),
(125204, '195.183.22.0', '195.183.23.255', 3283555840, 3283556351, 'CH', 'Switzerland'),
(125205, '195.183.24.0', '195.183.24.39', 3283556352, 3283556391, 'FR', 'France'),
(125206, '195.183.24.40', '195.183.24.47', 3283556392, 3283556399, 'EU', 'Europe'),
(125207, '195.183.24.48', '195.183.25.15', 3283556400, 3283556623, 'FR', 'France'),
(125208, '195.183.25.16', '195.183.25.63', 3283556624, 3283556671, 'EU', 'Europe'),
(125209, '195.183.25.64', '195.183.25.127', 3283556672, 3283556735, 'FR', 'France'),
(125210, '195.183.25.128', '195.183.25.255', 3283556736, 3283556863, 'EU', 'Europe'),
(125211, '195.183.26.0', '195.183.31.159', 3283556864, 3283558303, 'FR', 'France'),
(125212, '195.183.31.160', '195.183.31.191', 3283558304, 3283558335, 'DE', 'Germany'),
(125213, '195.183.31.192', '195.183.31.223', 3283558336, 3283558367, 'IT', 'Italy'),
(125214, '195.183.31.224', '195.183.31.239', 3283558368, 3283558383, 'ZA', 'South Africa'),
(125215, '195.183.31.240', '195.183.31.255', 3283558384, 3283558399, 'GB', 'United Kingdom'),
(125216, '195.183.32.0', '195.183.32.31', 3283558400, 3283558431, 'RU', 'Russian Federation'),
(125217, '195.183.32.32', '195.183.32.63', 3283558432, 3283558463, 'DE', 'Germany'),
(125218, '195.183.32.64', '195.183.32.135', 3283558464, 3283558535, 'RU', 'Russian Federation'),
(125219, '195.183.32.136', '195.183.32.255', 3283558536, 3283558655, 'EU', 'Europe'),
(125220, '195.183.33.0', '195.183.33.95', 3283558656, 3283558751, 'FR', 'France'),
(125221, '195.183.33.96', '195.183.33.127', 3283558752, 3283558783, 'BE', 'Belgium'),
(125222, '195.183.33.128', '195.183.33.143', 3283558784, 3283558799, 'GB', 'United Kingdom'),
(125223, '195.183.33.144', '195.183.33.159', 3283558800, 3283558815, 'BE', 'Belgium'),
(125224, '195.183.33.160', '195.183.33.191', 3283558816, 3283558847, 'NL', 'Netherlands'),
(125225, '195.183.33.192', '195.183.33.207', 3283558848, 3283558863, 'ZA', 'South Africa'),
(125226, '195.183.33.208', '195.183.33.215', 3283558864, 3283558871, 'GB', 'United Kingdom'),
(125227, '195.183.33.216', '195.183.33.223', 3283558872, 3283558879, 'ZA', 'South Africa'),
(125228, '195.183.33.224', '195.183.33.239', 3283558880, 3283558895, 'GB', 'United Kingdom'),
(125229, '195.183.33.240', '195.183.33.255', 3283558896, 3283558911, 'BE', 'Belgium'),
(125230, '195.183.34.0', '195.183.34.127', 3283558912, 3283559039, 'DE', 'Germany'),
(125231, '195.183.34.128', '195.183.34.255', 3283559040, 3283559167, 'IE', 'Ireland'),
(125232, '195.183.35.0', '195.183.35.63', 3283559168, 3283559231, 'DE', 'Germany'),
(125233, '195.183.35.64', '195.183.35.95', 3283559232, 3283559263, 'GB', 'United Kingdom'),
(125234, '195.183.35.96', '195.183.35.127', 3283559264, 3283559295, 'ZA', 'South Africa'),
(125235, '195.183.35.128', '195.183.35.255', 3283559296, 3283559423, 'DE', 'Germany'),
(125236, '195.183.36.0', '195.183.36.255', 3283559424, 3283559679, 'NL', 'Netherlands'),
(125237, '195.183.37.0', '195.183.37.255', 3283559680, 3283559935, 'IT', 'Italy'),
(125238, '195.183.38.0', '195.183.38.255', 3283559936, 3283560191, 'GB', 'United Kingdom'),
(125239, '195.183.39.0', '195.183.39.255', 3283560192, 3283560447, 'NO', 'Norway'),
(125240, '195.183.40.0', '195.183.40.255', 3283560448, 3283560703, 'EU', 'Europe'),
(125241, '195.183.41.0', '195.183.41.143', 3283560704, 3283560847, 'ZA', 'South Africa'),
(125242, '195.183.41.144', '195.183.41.159', 3283560848, 3283560863, 'EU', 'Europe'),
(125243, '195.183.41.160', '195.183.41.191', 3283560864, 3283560895, 'SE', 'Sweden'),
(125244, '195.183.41.192', '195.183.41.255', 3283560896, 3283560959, 'GB', 'United Kingdom'),
(125245, '195.183.42.0', '195.183.42.255', 3283560960, 3283561215, 'BE', 'Belgium'),
(125246, '195.183.43.0', '195.183.43.159', 3283561216, 3283561375, 'EU', 'Europe'),
(125247, '195.183.43.160', '195.183.43.191', 3283561376, 3283561407, 'GB', 'United Kingdom'),
(125248, '195.183.43.192', '195.183.43.255', 3283561408, 3283561471, 'ES', 'Spain'),
(125249, '195.183.44.0', '195.183.47.255', 3283561472, 3283562495, 'GB', 'United Kingdom'),
(125250, '195.183.48.0', '195.183.48.255', 3283562496, 3283562751, 'DE', 'Germany'),
(125251, '195.183.49.0', '195.183.49.143', 3283562752, 3283562895, 'GB', 'United Kingdom'),
(125252, '195.183.49.144', '195.183.49.151', 3283562896, 3283562903, 'NL', 'Netherlands'),
(125253, '195.183.49.152', '195.183.49.159', 3283562904, 3283562911, 'CH', 'Switzerland'),
(125254, '195.183.49.160', '195.183.49.191', 3283562912, 3283562943, 'DE', 'Germany'),
(125255, '195.183.49.192', '195.183.49.255', 3283562944, 3283563007, 'IT', 'Italy'),
(125256, '195.183.50.0', '195.183.61.191', 3283563008, 3283566015, 'GB', 'United Kingdom'),
(125257, '195.183.61.192', '195.183.61.255', 3283566016, 3283566079, 'ZA', 'South Africa'),
(125258, '195.183.62.0', '195.183.63.255', 3283566080, 3283566591, 'GB', 'United Kingdom'),
(125259, '195.183.64.0', '195.183.64.127', 3283566592, 3283566719, 'PL', 'Poland'),
(125260, '195.183.64.128', '195.183.64.255', 3283566720, 3283566847, 'EU', 'Europe'),
(125261, '195.183.65.0', '195.183.65.255', 3283566848, 3283567103, 'NO', 'Norway'),
(125262, '195.183.66.0', '195.183.67.63', 3283567104, 3283567423, 'GB', 'United Kingdom'),
(125263, '195.183.67.64', '195.183.67.95', 3283567424, 3283567455, 'DE', 'Germany'),
(125264, '195.183.67.96', '195.183.67.111', 3283567456, 3283567471, 'GB', 'United Kingdom'),
(125265, '195.183.67.112', '195.183.67.127', 3283567472, 3283567487, 'ES', 'Spain'),
(125266, '195.183.67.128', '195.183.67.255', 3283567488, 3283567615, 'ZA', 'South Africa'),
(125267, '195.183.68.0', '195.183.69.95', 3283567616, 3283567967, 'GB', 'United Kingdom'),
(125268, '195.183.69.96', '195.183.69.127', 3283567968, 3283567999, 'IT', 'Italy'),
(125269, '195.183.69.128', '195.183.69.159', 3283568000, 3283568031, 'GB', 'United Kingdom'),
(125270, '195.183.69.160', '195.183.69.191', 3283568032, 3283568063, 'DE', 'Germany'),
(125271, '195.183.69.192', '195.183.69.207', 3283568064, 3283568079, 'NL', 'Netherlands'),
(125272, '195.183.69.208', '195.183.69.223', 3283568080, 3283568095, 'ZA', 'South Africa'),
(125273, '195.183.69.224', '195.183.69.255', 3283568096, 3283568127, 'DK', 'Denmark'),
(125274, '195.183.70.0', '195.183.77.71', 3283568128, 3283569991, 'GB', 'United Kingdom'),
(125275, '195.183.77.72', '195.183.77.95', 3283569992, 3283570015, 'SE', 'Sweden'),
(125276, '195.183.77.96', '195.183.77.127', 3283570016, 3283570047, 'DK', 'Denmark'),
(125277, '195.183.77.128', '195.183.77.255', 3283570048, 3283570175, 'DE', 'Germany'),
(125278, '195.183.78.0', '195.183.79.7', 3283570176, 3283570439, 'GB', 'United Kingdom'),
(125279, '195.183.79.8', '195.183.79.15', 3283570440, 3283570447, 'SE', 'Sweden'),
(125280, '195.183.79.16', '195.183.79.31', 3283570448, 3283570463, 'IT', 'Italy'),
(125281, '195.183.79.32', '195.183.79.63', 3283570464, 3283570495, 'GB', 'United Kingdom'),
(125282, '195.183.79.64', '195.183.79.127', 3283570496, 3283570559, 'DE', 'Germany'),
(125283, '195.183.79.128', '195.183.79.191', 3283570560, 3283570623, 'FR', 'France'),
(125284, '195.183.79.192', '195.183.81.223', 3283570624, 3283571167, 'GB', 'United Kingdom'),
(125285, '195.183.81.224', '195.183.81.255', 3283571168, 3283571199, 'DE', 'Germany'),
(125286, '195.183.82.0', '195.183.83.255', 3283571200, 3283571711, 'GB', 'United Kingdom'),
(125287, '195.183.84.0', '195.183.84.7', 3283571712, 3283571719, 'HU', 'Hungary'),
(125288, '195.183.84.8', '195.183.84.31', 3283571720, 3283571743, 'EU', 'Europe'),
(125289, '195.183.84.32', '195.183.84.63', 3283571744, 3283571775, 'DE', 'Germany'),
(125290, '195.183.84.64', '195.183.84.127', 3283571776, 3283571839, 'GB', 'United Kingdom'),
(125291, '195.183.84.128', '195.183.84.191', 3283571840, 3283571903, 'SE', 'Sweden'),
(125292, '195.183.84.192', '195.183.84.255', 3283571904, 3283571967, 'DE', 'Germany'),
(125293, '195.183.85.0', '195.183.85.143', 3283571968, 3283572111, 'GB', 'United Kingdom'),
(125294, '195.183.85.144', '195.183.85.159', 3283572112, 3283572127, 'BE', 'Belgium'),
(125295, '195.183.85.160', '195.183.85.191', 3283572128, 3283572159, 'SE', 'Sweden'),
(125296, '195.183.85.192', '195.183.85.207', 3283572160, 3283572175, 'GB', 'United Kingdom'),
(125297, '195.183.85.208', '195.183.85.223', 3283572176, 3283572191, 'ZA', 'South Africa'),
(125298, '195.183.85.224', '195.183.85.255', 3283572192, 3283572223, 'CH', 'Switzerland'),
(125299, '195.183.86.0', '195.183.87.135', 3283572224, 3283572615, 'GB', 'United Kingdom'),
(125300, '195.183.87.136', '195.183.87.143', 3283572616, 3283572623, 'FR', 'France'),
(125301, '195.183.87.144', '195.183.87.151', 3283572624, 3283572631, 'GB', 'United Kingdom'),
(125302, '195.183.87.152', '195.183.87.159', 3283572632, 3283572639, 'CH', 'Switzerland'),
(125303, '195.183.87.160', '195.183.87.191', 3283572640, 3283572671, 'GB', 'United Kingdom'),
(125304, '195.183.87.192', '195.183.87.255', 3283572672, 3283572735, 'DE', 'Germany'),
(125305, '195.183.88.0', '195.183.89.255', 3283572736, 3283573247, 'EU', 'Europe'),
(125306, '195.183.90.0', '195.183.94.255', 3283573248, 3283574527, 'GB', 'United Kingdom'),
(125307, '195.183.95.0', '195.183.95.63', 3283574528, 3283574591, 'EU', 'Europe'),
(125308, '195.183.95.64', '195.183.95.79', 3283574592, 3283574607, 'GB', 'United Kingdom'),
(125309, '195.183.95.80', '195.183.95.87', 3283574608, 3283574615, 'NL', 'Netherlands'),
(125310, '195.183.95.88', '195.183.95.95', 3283574616, 3283574623, 'GB', 'United Kingdom'),
(125311, '195.183.95.96', '195.183.95.111', 3283574624, 3283574639, 'ZA', 'South Africa'),
(125312, '195.183.95.112', '195.183.95.127', 3283574640, 3283574655, 'GB', 'United Kingdom'),
(125313, '195.183.95.128', '195.183.97.31', 3283574656, 3283575071, 'DE', 'Germany'),
(125314, '195.183.97.32', '195.183.97.47', 3283575072, 3283575087, 'NL', 'Netherlands'),
(125315, '195.183.97.48', '195.183.102.95', 3283575088, 3283576415, 'DE', 'Germany'),
(125316, '195.183.102.96', '195.183.102.127', 3283576416, 3283576447, 'ZA', 'South Africa'),
(125317, '195.183.102.128', '195.183.116.255', 3283576448, 3283580159, 'DE', 'Germany'),
(125318, '195.183.117.0', '195.183.117.255', 3283580160, 3283580415, 'EU', 'Europe'),
(125319, '195.183.118.0', '195.183.118.39', 3283580416, 3283580455, 'DE', 'Germany'),
(125320, '195.183.118.40', '195.183.118.47', 3283580456, 3283580463, 'EU', 'Europe'),
(125321, '195.183.118.48', '195.183.127.255', 3283580464, 3283582975, 'DE', 'Germany'),
(125322, '195.183.128.0', '195.183.128.31', 3283582976, 3283583007, 'EU', 'Europe'),
(125323, '195.183.128.32', '195.183.129.127', 3283583008, 3283583359, 'ZA', 'South Africa'),
(125324, '195.183.129.128', '195.183.129.255', 3283583360, 3283583487, 'EU', 'Europe'),
(125325, '195.183.130.0', '195.183.130.15', 3283583488, 3283583503, 'ZA', 'South Africa'),
(125326, '195.183.130.16', '195.183.130.31', 3283583504, 3283583519, 'EU', 'Europe'),
(125327, '195.183.130.32', '195.183.130.127', 3283583520, 3283583615, 'ZA', 'South Africa'),
(125328, '195.183.130.128', '195.183.130.255', 3283583616, 3283583743, 'EU', 'Europe'),
(125329, '195.183.131.0', '195.183.131.95', 3283583744, 3283583839, 'ZA', 'South Africa'),
(125330, '195.183.131.96', '195.183.131.103', 3283583840, 3283583847, 'IT', 'Italy'),
(125331, '195.183.131.104', '195.183.131.127', 3283583848, 3283583871, 'GB', 'United Kingdom'),
(125332, '195.183.131.128', '195.183.131.255', 3283583872, 3283583999, 'BE', 'Belgium'),
(125333, '195.183.132.0', '195.183.132.31', 3283584000, 3283584031, 'ZA', 'South Africa');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(125334, '195.183.132.32', '195.183.132.63', 3283584032, 3283584063, 'DE', 'Germany'),
(125335, '195.183.132.64', '195.183.132.127', 3283584064, 3283584127, 'IE', 'Ireland'),
(125336, '195.183.132.128', '195.183.135.255', 3283584128, 3283585023, 'ZA', 'South Africa'),
(125337, '195.183.136.0', '195.183.136.255', 3283585024, 3283585279, 'ES', 'Spain'),
(125338, '195.183.137.0', '195.183.137.255', 3283585280, 3283585535, 'ZA', 'South Africa'),
(125339, '195.183.138.0', '195.183.138.143', 3283585536, 3283585679, 'ES', 'Spain'),
(125340, '195.183.138.144', '195.183.138.159', 3283585680, 3283585695, 'IE', 'Ireland'),
(125341, '195.183.138.160', '195.183.138.191', 3283585696, 3283585727, 'FR', 'France'),
(125342, '195.183.138.192', '195.183.138.255', 3283585728, 3283585791, 'ES', 'Spain'),
(125343, '195.183.139.0', '195.183.139.255', 3283585792, 3283586047, 'IE', 'Ireland'),
(125344, '195.183.140.0', '195.183.141.47', 3283586048, 3283586351, 'ES', 'Spain'),
(125345, '195.183.141.48', '195.183.141.63', 3283586352, 3283586367, 'EU', 'Europe'),
(125346, '195.183.141.64', '195.183.141.103', 3283586368, 3283586407, 'ES', 'Spain'),
(125347, '195.183.141.104', '195.183.141.111', 3283586408, 3283586415, 'EU', 'Europe'),
(125348, '195.183.141.112', '195.183.141.199', 3283586416, 3283586503, 'ES', 'Spain'),
(125349, '195.183.141.200', '195.183.141.255', 3283586504, 3283586559, 'EU', 'Europe'),
(125350, '195.183.142.0', '195.183.142.255', 3283586560, 3283586815, 'FR', 'France'),
(125351, '195.183.143.0', '195.183.143.255', 3283586816, 3283587071, 'DE', 'Germany'),
(125352, '195.183.144.0', '195.183.144.127', 3283587072, 3283587199, 'EU', 'Europe'),
(125353, '195.183.144.128', '195.183.144.159', 3283587200, 3283587231, 'NL', 'Netherlands'),
(125354, '195.183.144.160', '195.183.144.191', 3283587232, 3283587263, 'EU', 'Europe'),
(125355, '195.183.144.192', '195.183.145.7', 3283587264, 3283587335, 'NL', 'Netherlands'),
(125356, '195.183.145.8', '195.183.145.15', 3283587336, 3283587343, 'GB', 'United Kingdom'),
(125357, '195.183.145.16', '195.183.145.31', 3283587344, 3283587359, 'NL', 'Netherlands'),
(125358, '195.183.145.32', '195.183.145.63', 3283587360, 3283587391, 'SE', 'Sweden'),
(125359, '195.183.145.64', '195.183.145.95', 3283587392, 3283587423, 'NL', 'Netherlands'),
(125360, '195.183.145.96', '195.183.145.103', 3283587424, 3283587431, 'SE', 'Sweden'),
(125361, '195.183.145.104', '195.183.145.111', 3283587432, 3283587439, 'EU', 'Europe'),
(125362, '195.183.145.112', '195.183.145.119', 3283587440, 3283587447, 'GB', 'United Kingdom'),
(125363, '195.183.145.120', '195.183.145.127', 3283587448, 3283587455, 'DE', 'Germany'),
(125364, '195.183.145.128', '195.183.145.159', 3283587456, 3283587487, 'CH', 'Switzerland'),
(125365, '195.183.145.160', '195.183.145.191', 3283587488, 3283587519, 'EU', 'Europe'),
(125366, '195.183.145.192', '195.183.145.223', 3283587520, 3283587551, 'CH', 'Switzerland'),
(125367, '195.183.145.224', '195.183.145.255', 3283587552, 3283587583, 'EU', 'Europe'),
(125368, '195.183.146.0', '195.183.146.63', 3283587584, 3283587647, 'NL', 'Netherlands'),
(125369, '195.183.146.64', '195.183.146.95', 3283587648, 3283587679, 'DE', 'Germany'),
(125370, '195.183.146.96', '195.183.146.127', 3283587680, 3283587711, 'CH', 'Switzerland'),
(125371, '195.183.146.128', '195.183.146.255', 3283587712, 3283587839, 'DE', 'Germany'),
(125372, '195.183.147.0', '195.183.147.31', 3283587840, 3283587871, 'NL', 'Netherlands'),
(125373, '195.183.147.32', '195.183.147.47', 3283587872, 3283587887, 'ZA', 'South Africa'),
(125374, '195.183.147.48', '195.183.147.55', 3283587888, 3283587895, 'SE', 'Sweden'),
(125375, '195.183.147.56', '195.183.147.63', 3283587896, 3283587903, 'CH', 'Switzerland'),
(125376, '195.183.147.64', '195.183.147.127', 3283587904, 3283587967, 'IE', 'Ireland'),
(125377, '195.183.147.128', '195.183.147.255', 3283587968, 3283588095, 'DE', 'Germany'),
(125378, '195.183.148.0', '195.183.148.95', 3283588096, 3283588191, 'BE', 'Belgium'),
(125379, '195.183.148.96', '195.183.148.127', 3283588192, 3283588223, 'EU', 'Europe'),
(125380, '195.183.148.128', '195.183.149.127', 3283588224, 3283588479, 'BE', 'Belgium'),
(125381, '195.183.149.128', '195.183.149.191', 3283588480, 3283588543, 'AT', 'Austria'),
(125382, '195.183.149.192', '195.183.149.255', 3283588544, 3283588607, 'GB', 'United Kingdom'),
(125383, '195.183.150.0', '195.183.151.255', 3283588608, 3283589119, 'BE', 'Belgium'),
(125384, '195.183.152.0', '195.183.154.159', 3283589120, 3283589791, 'DK', 'Denmark'),
(125385, '195.183.154.160', '195.183.154.191', 3283589792, 3283589823, 'DE', 'Germany'),
(125386, '195.183.154.192', '195.183.154.207', 3283589824, 3283589839, 'EU', 'Europe'),
(125387, '195.183.154.208', '195.183.154.255', 3283589840, 3283589887, 'DE', 'Germany'),
(125388, '195.183.155.0', '195.183.155.255', 3283589888, 3283590143, 'DK', 'Denmark'),
(125389, '195.183.156.0', '195.183.156.31', 3283590144, 3283590175, 'EU', 'Europe'),
(125390, '195.183.156.32', '195.183.156.63', 3283590176, 3283590207, 'SE', 'Sweden'),
(125391, '195.183.156.64', '195.183.156.127', 3283590208, 3283590271, 'EU', 'Europe'),
(125392, '195.183.156.128', '195.183.156.175', 3283590272, 3283590319, 'SE', 'Sweden'),
(125393, '195.183.156.176', '195.183.156.191', 3283590320, 3283590335, 'EU', 'Europe'),
(125394, '195.183.156.192', '195.183.156.215', 3283590336, 3283590359, 'SE', 'Sweden'),
(125395, '195.183.156.216', '195.183.156.223', 3283590360, 3283590367, 'EU', 'Europe'),
(125396, '195.183.156.224', '195.183.157.127', 3283590368, 3283590527, 'SE', 'Sweden'),
(125397, '195.183.157.128', '195.183.157.143', 3283590528, 3283590543, 'ZA', 'South Africa'),
(125398, '195.183.157.144', '195.183.157.191', 3283590544, 3283590591, 'DE', 'Germany'),
(125399, '195.183.157.192', '195.183.157.223', 3283590592, 3283590623, 'CH', 'Switzerland'),
(125400, '195.183.157.224', '195.183.157.255', 3283590624, 3283590655, 'GB', 'United Kingdom'),
(125401, '195.183.158.0', '195.183.158.191', 3283590656, 3283590847, 'SE', 'Sweden'),
(125402, '195.183.158.192', '195.183.158.223', 3283590848, 3283590879, 'ZA', 'South Africa'),
(125403, '195.183.158.224', '195.183.158.255', 3283590880, 3283590911, 'DE', 'Germany'),
(125404, '195.183.159.0', '195.183.159.255', 3283590912, 3283591167, 'SE', 'Sweden'),
(125405, '195.183.160.0', '195.183.160.191', 3283591168, 3283591359, 'DE', 'Germany'),
(125406, '195.183.160.192', '195.183.160.199', 3283591360, 3283591367, 'GB', 'United Kingdom'),
(125407, '195.183.160.200', '195.183.160.207', 3283591368, 3283591375, 'ZA', 'South Africa'),
(125408, '195.183.160.208', '195.183.160.255', 3283591376, 3283591423, 'CH', 'Switzerland'),
(125409, '195.183.161.0', '195.183.163.255', 3283591424, 3283592191, 'DE', 'Germany'),
(125410, '195.183.164.0', '195.183.166.143', 3283592192, 3283592847, 'CH', 'Switzerland'),
(125411, '195.183.166.144', '195.183.166.159', 3283592848, 3283592863, 'GB', 'United Kingdom'),
(125412, '195.183.166.160', '195.183.166.191', 3283592864, 3283592895, 'DE', 'Germany'),
(125413, '195.183.166.192', '195.183.166.199', 3283592896, 3283592903, 'SE', 'Sweden'),
(125414, '195.183.166.200', '195.183.166.207', 3283592904, 3283592911, 'GB', 'United Kingdom'),
(125415, '195.183.166.208', '195.183.166.223', 3283592912, 3283592927, 'ZA', 'South Africa'),
(125416, '195.183.166.224', '195.183.167.63', 3283592928, 3283593023, 'CH', 'Switzerland'),
(125417, '195.183.167.64', '195.183.167.95', 3283593024, 3283593055, 'BE', 'Belgium'),
(125418, '195.183.167.96', '195.183.167.127', 3283593056, 3283593087, 'IT', 'Italy'),
(125419, '195.183.167.128', '195.183.167.255', 3283593088, 3283593215, 'CH', 'Switzerland'),
(125420, '195.183.168.0', '195.183.175.255', 3283593216, 3283595263, 'IT', 'Italy'),
(125421, '195.183.176.0', '195.183.177.255', 3283595264, 3283595775, 'DE', 'Germany'),
(125422, '195.183.178.0', '195.183.179.255', 3283595776, 3283596287, 'EU', 'Europe'),
(125423, '195.183.180.0', '195.183.187.47', 3283596288, 3283598127, 'GB', 'United Kingdom'),
(125424, '195.183.187.48', '195.183.187.63', 3283598128, 3283598143, 'EU', 'Europe'),
(125425, '195.183.187.64', '195.183.187.95', 3283598144, 3283598175, 'DE', 'Germany'),
(125426, '195.183.187.96', '195.183.187.127', 3283598176, 3283598207, 'EU', 'Europe'),
(125427, '195.183.187.128', '195.183.187.255', 3283598208, 3283598335, 'DE', 'Germany'),
(125428, '195.183.188.0', '195.183.189.47', 3283598336, 3283598639, 'GB', 'United Kingdom'),
(125429, '195.183.189.48', '195.183.189.63', 3283598640, 3283598655, 'CH', 'Switzerland'),
(125430, '195.183.189.64', '195.183.189.95', 3283598656, 3283598687, 'IE', 'Ireland'),
(125431, '195.183.189.96', '195.183.189.127', 3283598688, 3283598719, 'SE', 'Sweden'),
(125432, '195.183.189.128', '195.183.189.143', 3283598720, 3283598735, 'DE', 'Germany'),
(125433, '195.183.189.144', '195.183.189.151', 3283598736, 3283598743, 'DK', 'Denmark'),
(125434, '195.183.189.152', '195.183.189.255', 3283598744, 3283598847, 'DE', 'Germany'),
(125435, '195.183.190.0', '195.183.190.31', 3283598848, 3283598879, 'GB', 'United Kingdom'),
(125436, '195.183.190.32', '195.183.190.63', 3283598880, 3283598911, 'CH', 'Switzerland'),
(125437, '195.183.190.64', '195.183.190.127', 3283598912, 3283598975, 'GB', 'United Kingdom'),
(125438, '195.183.190.128', '195.183.190.255', 3283598976, 3283599103, 'DK', 'Denmark'),
(125439, '195.183.191.0', '195.183.191.191', 3283599104, 3283599295, 'GB', 'United Kingdom'),
(125440, '195.183.191.192', '195.183.191.207', 3283599296, 3283599311, 'DE', 'Germany'),
(125441, '195.183.191.208', '195.183.191.223', 3283599312, 3283599327, 'NL', 'Netherlands'),
(125442, '195.183.191.224', '195.183.191.255', 3283599328, 3283599359, 'GB', 'United Kingdom'),
(125443, '195.183.192.0', '195.183.192.255', 3283599360, 3283599615, 'SE', 'Sweden'),
(125444, '195.183.193.0', '195.183.193.255', 3283599616, 3283599871, 'IE', 'Ireland'),
(125445, '195.183.194.0', '195.183.196.143', 3283599872, 3283600527, 'ZA', 'South Africa'),
(125446, '195.183.196.144', '195.183.196.159', 3283600528, 3283600543, 'FR', 'France'),
(125447, '195.183.196.160', '195.183.196.191', 3283600544, 3283600575, 'DE', 'Germany'),
(125448, '195.183.196.192', '195.183.196.223', 3283600576, 3283600607, 'IT', 'Italy'),
(125449, '195.183.196.224', '195.183.196.255', 3283600608, 3283600639, 'EU', 'Europe'),
(125450, '195.183.197.0', '195.183.197.31', 3283600640, 3283600671, 'ZA', 'South Africa'),
(125451, '195.183.197.32', '195.183.197.63', 3283600672, 3283600703, 'DE', 'Germany'),
(125452, '195.183.197.64', '195.183.197.127', 3283600704, 3283600767, 'IT', 'Italy'),
(125453, '195.183.197.128', '195.183.197.255', 3283600768, 3283600895, 'ZA', 'South Africa'),
(125454, '195.183.198.0', '195.183.199.191', 3283600896, 3283601343, 'AT', 'Austria'),
(125455, '195.183.199.192', '195.183.199.223', 3283601344, 3283601375, 'IT', 'Italy'),
(125456, '195.183.199.224', '195.183.199.239', 3283601376, 3283601391, 'IE', 'Ireland'),
(125457, '195.183.199.240', '195.183.199.247', 3283601392, 3283601399, 'NL', 'Netherlands'),
(125458, '195.183.199.248', '195.183.201.255', 3283601400, 3283601919, 'AT', 'Austria'),
(125459, '195.183.202.0', '195.183.203.63', 3283601920, 3283602239, 'ZA', 'South Africa'),
(125460, '195.183.203.64', '195.183.203.95', 3283602240, 3283602271, 'GB', 'United Kingdom'),
(125461, '195.183.203.96', '195.183.203.111', 3283602272, 3283602287, 'IT', 'Italy'),
(125462, '195.183.203.112', '195.183.203.127', 3283602288, 3283602303, 'ZA', 'South Africa'),
(125463, '195.183.203.128', '195.183.203.191', 3283602304, 3283602367, 'GB', 'United Kingdom'),
(125464, '195.183.203.192', '195.183.203.255', 3283602368, 3283602431, 'BE', 'Belgium'),
(125465, '195.183.204.0', '195.183.205.255', 3283602432, 3283602943, 'ZA', 'South Africa'),
(125466, '195.183.206.0', '195.183.206.63', 3283602944, 3283603007, 'CH', 'Switzerland'),
(125467, '195.183.206.64', '195.183.206.127', 3283603008, 3283603071, 'IT', 'Italy'),
(125468, '195.183.206.128', '195.183.206.255', 3283603072, 3283603199, 'CH', 'Switzerland'),
(125469, '195.183.207.0', '195.183.207.255', 3283603200, 3283603455, 'EU', 'Europe'),
(125470, '195.183.208.0', '195.183.211.255', 3283603456, 3283604479, 'GB', 'United Kingdom'),
(125471, '195.183.212.0', '195.183.212.255', 3283604480, 3283604735, 'EU', 'Europe'),
(125472, '195.183.213.0', '195.183.215.255', 3283604736, 3283605503, 'GB', 'United Kingdom'),
(125473, '195.183.216.0', '195.183.220.255', 3283605504, 3283606783, 'DE', 'Germany'),
(125474, '195.183.221.0', '195.183.223.63', 3283606784, 3283607359, 'BE', 'Belgium'),
(125475, '195.183.223.64', '195.183.223.127', 3283607360, 3283607423, 'NO', 'Norway'),
(125476, '195.183.223.128', '195.183.223.255', 3283607424, 3283607551, 'AT', 'Austria'),
(125477, '195.183.224.0', '195.183.227.255', 3283607552, 3283608575, 'BE', 'Belgium'),
(125478, '195.183.228.0', '195.183.228.255', 3283608576, 3283608831, 'DE', 'Germany'),
(125479, '195.183.229.0', '195.183.229.63', 3283608832, 3283608895, 'EU', 'Europe'),
(125480, '195.183.229.64', '195.183.229.127', 3283608896, 3283608959, 'DE', 'Germany'),
(125481, '195.183.229.128', '195.183.229.255', 3283608960, 3283609087, 'IT', 'Italy'),
(125482, '195.183.230.0', '195.183.236.159', 3283609088, 3283610783, 'DE', 'Germany'),
(125483, '195.183.236.160', '195.183.236.191', 3283610784, 3283610815, 'CH', 'Switzerland'),
(125484, '195.183.236.192', '195.183.236.255', 3283610816, 3283610879, 'TR', 'Turkey'),
(125485, '195.183.237.0', '195.183.240.255', 3283610880, 3283611903, 'DE', 'Germany'),
(125486, '195.183.241.0', '195.183.246.63', 3283611904, 3283613247, 'IT', 'Italy'),
(125487, '195.183.246.64', '195.183.246.127', 3283613248, 3283613311, 'DE', 'Germany'),
(125488, '195.183.246.128', '195.183.247.255', 3283613312, 3283613695, 'IT', 'Italy'),
(125489, '195.183.248.0', '195.183.249.127', 3283613696, 3283614079, 'CH', 'Switzerland'),
(125490, '195.183.249.128', '195.183.249.255', 3283614080, 3283614207, 'FR', 'France'),
(125491, '195.183.250.0', '195.183.252.255', 3283614208, 3283614975, 'CH', 'Switzerland'),
(125492, '195.183.253.0', '195.183.253.255', 3283614976, 3283615231, 'EU', 'Europe'),
(125493, '195.183.254.0', '195.183.255.255', 3283615232, 3283615743, 'CH', 'Switzerland'),
(125494, '195.184.0.0', '195.184.31.255', 3283615744, 3283623935, 'HU', 'Hungary'),
(125495, '195.184.32.0', '195.184.63.255', 3283623936, 3283632127, 'DK', 'Denmark'),
(125496, '195.184.64.0', '195.184.65.255', 3283632128, 3283632639, 'NL', 'Netherlands'),
(125497, '195.184.66.0', '195.184.67.255', 3283632640, 3283633151, 'GB', 'United Kingdom'),
(125498, '195.184.68.0', '195.184.69.255', 3283633152, 3283633663, 'SE', 'Sweden'),
(125499, '195.184.70.0', '195.184.71.255', 3283633664, 3283634175, 'UA', 'Ukraine'),
(125500, '195.184.72.0', '195.184.75.255', 3283634176, 3283635199, 'RU', 'Russian Federation'),
(125501, '195.184.76.0', '195.184.77.255', 3283635200, 3283635711, 'GB', 'United Kingdom'),
(125502, '195.184.78.0', '195.184.79.255', 3283635712, 3283636223, 'RU', 'Russian Federation'),
(125503, '195.184.80.0', '195.184.81.255', 3283636224, 3283636735, 'UA', 'Ukraine'),
(125504, '195.184.82.0', '195.184.85.255', 3283636736, 3283637759, 'PL', 'Poland'),
(125505, '195.184.86.0', '195.184.87.255', 3283637760, 3283638271, 'UA', 'Ukraine'),
(125506, '195.184.88.0', '195.184.89.255', 3283638272, 3283638783, 'PL', 'Poland'),
(125507, '195.184.90.0', '195.184.91.255', 3283638784, 3283639295, 'RU', 'Russian Federation'),
(125508, '195.184.92.0', '195.184.93.255', 3283639296, 3283639807, 'CH', 'Switzerland'),
(125509, '195.184.94.0', '195.184.95.255', 3283639808, 3283640319, 'DE', 'Germany'),
(125510, '195.184.96.0', '195.184.127.255', 3283640320, 3283648511, 'DK', 'Denmark'),
(125511, '195.184.128.0', '195.184.129.255', 3283648512, 3283649023, 'BE', 'Belgium'),
(125512, '195.184.130.0', '195.184.131.255', 3283649024, 3283649535, 'GB', 'United Kingdom'),
(125513, '195.184.132.0', '195.184.132.255', 3283649536, 3283649791, 'DE', 'Germany'),
(125514, '195.184.133.0', '195.184.133.255', 3283649792, 3283650047, 'FR', 'France'),
(125515, '195.184.134.0', '195.184.135.255', 3283650048, 3283650559, 'DE', 'Germany'),
(125516, '195.184.136.0', '195.184.136.127', 3283650560, 3283650687, 'SE', 'Sweden'),
(125517, '195.184.136.128', '195.184.136.255', 3283650688, 3283650815, 'CH', 'Switzerland'),
(125518, '195.184.137.0', '195.184.137.63', 3283650816, 3283650879, 'SE', 'Sweden'),
(125519, '195.184.137.64', '195.184.137.95', 3283650880, 3283650911, 'GB', 'United Kingdom'),
(125520, '195.184.137.96', '195.184.137.111', 3283650912, 3283650927, 'SE', 'Sweden'),
(125521, '195.184.137.112', '195.184.137.127', 3283650928, 3283650943, 'GB', 'United Kingdom'),
(125522, '195.184.137.128', '195.184.137.143', 3283650944, 3283650959, 'RU', 'Russian Federation'),
(125523, '195.184.137.144', '195.184.137.159', 3283650960, 3283650975, 'CH', 'Switzerland'),
(125524, '195.184.137.160', '195.184.137.255', 3283650976, 3283651071, 'GB', 'United Kingdom'),
(125525, '195.184.138.0', '195.184.138.63', 3283651072, 3283651135, 'IT', 'Italy'),
(125526, '195.184.138.64', '195.184.138.95', 3283651136, 3283651167, 'BE', 'Belgium'),
(125527, '195.184.138.96', '195.184.138.111', 3283651168, 3283651183, 'ES', 'Spain'),
(125528, '195.184.138.112', '195.184.138.127', 3283651184, 3283651199, 'BE', 'Belgium'),
(125529, '195.184.138.128', '195.184.138.191', 3283651200, 3283651263, 'HU', 'Hungary'),
(125530, '195.184.138.192', '195.184.138.255', 3283651264, 3283651327, 'ZA', 'South Africa'),
(125531, '195.184.139.0', '195.184.139.95', 3283651328, 3283651423, 'BE', 'Belgium'),
(125532, '195.184.139.96', '195.184.139.111', 3283651424, 3283651439, 'DE', 'Germany'),
(125533, '195.184.139.112', '195.184.139.135', 3283651440, 3283651463, 'BE', 'Belgium'),
(125534, '195.184.139.136', '195.184.139.143', 3283651464, 3283651471, 'DE', 'Germany'),
(125535, '195.184.139.144', '195.184.139.159', 3283651472, 3283651487, 'BE', 'Belgium'),
(125536, '195.184.139.160', '195.184.139.191', 3283651488, 3283651519, 'FR', 'France'),
(125537, '195.184.139.192', '195.184.139.255', 3283651520, 3283651583, 'IL', 'Israel'),
(125538, '195.184.140.0', '195.184.140.7', 3283651584, 3283651591, 'GB', 'United Kingdom'),
(125539, '195.184.140.8', '195.184.140.15', 3283651592, 3283651599, 'BE', 'Belgium'),
(125540, '195.184.140.16', '195.184.140.31', 3283651600, 3283651615, 'DE', 'Germany'),
(125541, '195.184.140.32', '195.184.140.63', 3283651616, 3283651647, 'BE', 'Belgium'),
(125542, '195.184.140.64', '195.184.140.79', 3283651648, 3283651663, 'SE', 'Sweden'),
(125543, '195.184.140.80', '195.184.140.87', 3283651664, 3283651671, 'RO', 'Romania'),
(125544, '195.184.140.88', '195.184.140.103', 3283651672, 3283651687, 'BE', 'Belgium'),
(125545, '195.184.140.104', '195.184.140.111', 3283651688, 3283651695, 'IT', 'Italy'),
(125546, '195.184.140.112', '195.184.140.127', 3283651696, 3283651711, 'GB', 'United Kingdom'),
(125547, '195.184.140.128', '195.184.140.143', 3283651712, 3283651727, 'CH', 'Switzerland'),
(125548, '195.184.140.144', '195.184.140.151', 3283651728, 3283651735, 'FR', 'France'),
(125549, '195.184.140.152', '195.184.140.159', 3283651736, 3283651743, 'CH', 'Switzerland'),
(125550, '195.184.140.160', '195.184.140.191', 3283651744, 3283651775, 'FR', 'France'),
(125551, '195.184.140.192', '195.184.140.255', 3283651776, 3283651839, 'SE', 'Sweden'),
(125552, '195.184.141.0', '195.184.141.127', 3283651840, 3283651967, 'NL', 'Netherlands'),
(125553, '195.184.141.128', '195.184.141.191', 3283651968, 3283652031, 'DK', 'Denmark'),
(125554, '195.184.141.192', '195.184.141.223', 3283652032, 3283652063, 'DE', 'Germany'),
(125555, '195.184.141.224', '195.184.141.231', 3283652064, 3283652071, 'BE', 'Belgium'),
(125556, '195.184.141.232', '195.184.141.239', 3283652072, 3283652079, 'GB', 'United Kingdom'),
(125557, '195.184.141.240', '195.184.141.255', 3283652080, 3283652095, 'BE', 'Belgium'),
(125558, '195.184.142.0', '195.184.142.255', 3283652096, 3283652351, 'GB', 'United Kingdom'),
(125559, '195.184.143.0', '195.184.143.127', 3283652352, 3283652479, 'IT', 'Italy'),
(125560, '195.184.143.128', '195.184.143.167', 3283652480, 3283652519, 'BE', 'Belgium'),
(125561, '195.184.143.168', '195.184.143.175', 3283652520, 3283652527, 'SE', 'Sweden'),
(125562, '195.184.143.176', '195.184.143.191', 3283652528, 3283652543, 'BE', 'Belgium'),
(125563, '195.184.143.192', '195.184.143.223', 3283652544, 3283652575, 'FR', 'France'),
(125564, '195.184.143.224', '195.184.143.255', 3283652576, 3283652607, 'DE', 'Germany'),
(125565, '195.184.144.0', '195.184.144.255', 3283652608, 3283652863, 'NO', 'Norway'),
(125566, '195.184.145.0', '195.184.146.127', 3283652864, 3283653247, 'BE', 'Belgium'),
(125567, '195.184.146.128', '195.184.146.191', 3283653248, 3283653311, 'NO', 'Norway'),
(125568, '195.184.146.192', '195.184.147.127', 3283653312, 3283653503, 'BE', 'Belgium'),
(125569, '195.184.147.128', '195.184.147.255', 3283653504, 3283653631, 'GB', 'United Kingdom'),
(125570, '195.184.148.0', '195.184.148.255', 3283653632, 3283653887, 'FR', 'France'),
(125571, '195.184.149.0', '195.184.149.127', 3283653888, 3283654015, 'SE', 'Sweden'),
(125572, '195.184.149.128', '195.184.149.255', 3283654016, 3283654143, 'FR', 'France'),
(125573, '195.184.150.0', '195.184.150.255', 3283654144, 3283654399, 'DE', 'Germany'),
(125574, '195.184.151.0', '195.184.151.255', 3283654400, 3283654655, 'CH', 'Switzerland'),
(125575, '195.184.152.0', '195.184.152.255', 3283654656, 3283654911, 'DK', 'Denmark'),
(125576, '195.184.153.0', '195.184.153.127', 3283654912, 3283655039, 'BE', 'Belgium'),
(125577, '195.184.153.128', '195.184.153.255', 3283655040, 3283655167, 'DK', 'Denmark'),
(125578, '195.184.154.0', '195.184.154.127', 3283655168, 3283655295, 'DE', 'Germany'),
(125579, '195.184.154.128', '195.184.154.255', 3283655296, 3283655423, 'BE', 'Belgium'),
(125580, '195.184.155.0', '195.184.155.255', 3283655424, 3283655679, 'FR', 'France'),
(125581, '195.184.156.0', '195.184.156.255', 3283655680, 3283655935, 'ES', 'Spain'),
(125582, '195.184.157.0', '195.184.157.255', 3283655936, 3283656191, 'ZA', 'South Africa'),
(125583, '195.184.158.0', '195.184.158.31', 3283656192, 3283656223, 'GB', 'United Kingdom'),
(125584, '195.184.158.32', '195.184.158.63', 3283656224, 3283656255, 'BE', 'Belgium'),
(125585, '195.184.158.64', '195.184.158.79', 3283656256, 3283656271, 'GB', 'United Kingdom'),
(125586, '195.184.158.80', '195.184.158.111', 3283656272, 3283656303, 'BE', 'Belgium'),
(125587, '195.184.158.112', '195.184.158.119', 3283656304, 3283656311, 'GB', 'United Kingdom'),
(125588, '195.184.158.120', '195.184.158.255', 3283656312, 3283656447, 'BE', 'Belgium'),
(125589, '195.184.159.0', '195.184.159.111', 3283656448, 3283656559, 'ES', 'Spain'),
(125590, '195.184.159.112', '195.184.159.127', 3283656560, 3283656575, 'FR', 'France'),
(125591, '195.184.159.128', '195.184.159.143', 3283656576, 3283656591, 'BE', 'Belgium'),
(125592, '195.184.159.144', '195.184.159.151', 3283656592, 3283656599, 'FR', 'France'),
(125593, '195.184.159.152', '195.184.159.255', 3283656600, 3283656703, 'BE', 'Belgium'),
(125594, '195.184.160.0', '195.184.191.255', 3283656704, 3283664895, 'HU', 'Hungary'),
(125595, '195.184.192.0', '195.184.223.255', 3283664896, 3283673087, 'UA', 'Ukraine'),
(125596, '195.184.224.0', '195.184.255.255', 3283673088, 3283681279, 'GB', 'United Kingdom'),
(125597, '195.185.0.0', '195.185.186.127', 3283681280, 3283729023, 'DE', 'Germany'),
(125598, '195.185.186.128', '195.185.186.255', 3283729024, 3283729151, 'US', 'United States'),
(125599, '195.185.187.0', '195.185.255.255', 3283729152, 3283746815, 'DE', 'Germany'),
(125600, '195.186.0.0', '195.186.255.255', 3283746816, 3283812351, 'CH', 'Switzerland'),
(125601, '195.187.0.0', '195.187.255.255', 3283812352, 3283877887, 'PL', 'Poland'),
(125602, '195.188.0.0', '195.188.255.255', 3283877888, 3283943423, 'GB', 'United Kingdom'),
(125603, '195.189.0.0', '195.189.3.255', 3283943424, 3283944447, 'CZ', 'Czech Republic'),
(125604, '195.189.4.0', '195.189.7.255', 3283944448, 3283945471, 'AT', 'Austria'),
(125605, '195.189.8.0', '195.189.11.255', 3283945472, 3283946495, 'UA', 'Ukraine'),
(125606, '195.189.12.0', '195.189.15.255', 3283946496, 3283947519, 'GB', 'United Kingdom'),
(125607, '195.189.16.0', '195.189.19.255', 3283947520, 3283948543, 'UA', 'Ukraine'),
(125608, '195.189.20.0', '195.189.23.255', 3283948544, 3283949567, 'NL', 'Netherlands'),
(125609, '195.189.24.0', '195.189.27.255', 3283949568, 3283950591, 'SE', 'Sweden'),
(125610, '195.189.28.0', '195.189.31.255', 3283950592, 3283951615, 'KZ', 'Kazakhstan'),
(125611, '195.189.32.0', '195.189.35.255', 3283951616, 3283952639, 'PL', 'Poland'),
(125612, '195.189.36.0', '195.189.39.255', 3283952640, 3283953663, 'UA', 'Ukraine'),
(125613, '195.189.40.0', '195.189.43.255', 3283953664, 3283954687, 'PL', 'Poland'),
(125614, '195.189.44.0', '195.189.51.255', 3283954688, 3283956735, 'UA', 'Ukraine'),
(125615, '195.189.52.0', '195.189.55.255', 3283956736, 3283957759, 'PL', 'Poland'),
(125616, '195.189.56.0', '195.189.59.255', 3283957760, 3283958783, 'GR', 'Greece'),
(125617, '195.189.60.0', '195.189.63.255', 3283958784, 3283959807, 'UA', 'Ukraine'),
(125618, '195.189.64.0', '195.189.67.255', 3283959808, 3283960831, 'FR', 'France'),
(125619, '195.189.68.0', '195.189.71.255', 3283960832, 3283961855, 'KZ', 'Kazakhstan'),
(125620, '195.189.72.0', '195.189.75.255', 3283961856, 3283962879, 'RU', 'Russian Federation'),
(125621, '195.189.76.0', '195.189.79.255', 3283962880, 3283963903, 'PL', 'Poland'),
(125622, '195.189.80.0', '195.189.83.255', 3283963904, 3283964927, 'BG', 'Bulgaria'),
(125623, '195.189.84.0', '195.189.91.255', 3283964928, 3283966975, 'PL', 'Poland'),
(125624, '195.189.92.0', '195.189.95.255', 3283966976, 3283967999, 'DE', 'Germany'),
(125625, '195.189.96.0', '195.189.99.255', 3283968000, 3283969023, 'UA', 'Ukraine'),
(125626, '195.189.100.0', '195.189.103.255', 3283969024, 3283970047, 'RU', 'Russian Federation'),
(125627, '195.189.104.0', '195.189.107.255', 3283970048, 3283971071, 'UA', 'Ukraine'),
(125628, '195.189.108.0', '195.189.111.255', 3283971072, 3283972095, 'RU', 'Russian Federation'),
(125629, '195.189.112.0', '195.189.115.255', 3283972096, 3283973119, 'SE', 'Sweden'),
(125630, '195.189.116.0', '195.189.119.255', 3283973120, 3283974143, 'NL', 'Netherlands'),
(125631, '195.189.120.0', '195.189.123.255', 3283974144, 3283975167, 'RU', 'Russian Federation'),
(125632, '195.189.124.0', '195.189.127.255', 3283975168, 3283976191, 'NL', 'Netherlands'),
(125633, '195.189.128.0', '195.189.129.255', 3283976192, 3283976703, 'IE', 'Ireland'),
(125634, '195.189.130.0', '195.189.131.255', 3283976704, 3283977215, 'DK', 'Denmark'),
(125635, '195.189.132.0', '195.189.133.255', 3283977216, 3283977727, 'UA', 'Ukraine'),
(125636, '195.189.134.0', '195.189.137.255', 3283977728, 3283978751, 'RU', 'Russian Federation'),
(125637, '195.189.138.0', '195.189.139.255', 3283978752, 3283979263, 'RO', 'Romania'),
(125638, '195.189.140.0', '195.189.141.255', 3283979264, 3283979775, 'IL', 'Israel'),
(125639, '195.189.142.0', '195.189.143.255', 3283979776, 3283980287, 'NO', 'Norway'),
(125640, '195.189.144.0', '195.189.145.255', 3283980288, 3283980799, 'RO', 'Romania'),
(125641, '195.189.146.0', '195.189.149.255', 3283980800, 3283981823, 'CH', 'Switzerland'),
(125642, '195.189.150.0', '195.189.155.255', 3283981824, 3283983359, 'RO', 'Romania'),
(125643, '195.189.156.0', '195.189.157.255', 3283983360, 3283983871, 'CY', 'Cyprus'),
(125644, '195.189.158.0', '195.189.159.255', 3283983872, 3283984383, 'GB', 'United Kingdom'),
(125645, '195.189.160.0', '195.189.161.255', 3283984384, 3283984895, 'SE', 'Sweden'),
(125646, '195.189.162.0', '195.189.163.255', 3283984896, 3283985407, 'GR', 'Greece'),
(125647, '195.189.164.0', '195.189.165.255', 3283985408, 3283985919, 'RO', 'Romania'),
(125648, '195.189.166.0', '195.189.167.255', 3283985920, 3283986431, 'AT', 'Austria'),
(125649, '195.189.168.0', '195.189.169.255', 3283986432, 3283986943, 'RU', 'Russian Federation'),
(125650, '195.189.170.0', '195.189.171.255', 3283986944, 3283987455, 'AT', 'Austria'),
(125651, '195.189.172.0', '195.189.173.255', 3283987456, 3283987967, 'GB', 'United Kingdom'),
(125652, '195.189.174.0', '195.189.177.255', 3283987968, 3283988991, 'RO', 'Romania'),
(125653, '195.189.178.0', '195.189.179.255', 3283988992, 3283989503, 'FR', 'France'),
(125654, '195.189.180.0', '195.189.181.255', 3283989504, 3283990015, 'RU', 'Russian Federation'),
(125655, '195.189.182.0', '195.189.183.255', 3283990016, 3283990527, 'SE', 'Sweden'),
(125656, '195.189.184.0', '195.189.187.255', 3283990528, 3283991551, 'RO', 'Romania'),
(125657, '195.189.188.0', '195.189.189.255', 3283991552, 3283992063, 'SE', 'Sweden'),
(125658, '195.189.190.0', '195.189.191.255', 3283992064, 3283992575, 'RO', 'Romania'),
(125659, '195.189.192.0', '195.189.193.255', 3283992576, 3283993087, 'IL', 'Israel'),
(125660, '195.189.194.0', '195.189.195.255', 3283993088, 3283993599, 'RO', 'Romania'),
(125661, '195.189.196.0', '195.189.197.255', 3283993600, 3283994111, 'UA', 'Ukraine'),
(125662, '195.189.198.0', '195.189.199.255', 3283994112, 3283994623, 'AT', 'Austria'),
(125663, '195.189.200.0', '195.189.201.255', 3283994624, 3283995135, 'UA', 'Ukraine'),
(125664, '195.189.202.0', '195.189.203.255', 3283995136, 3283995647, 'BE', 'Belgium'),
(125665, '195.189.204.0', '195.189.205.255', 3283995648, 3283996159, 'CH', 'Switzerland'),
(125666, '195.189.206.0', '195.189.207.255', 3283996160, 3283996671, 'MK', 'Macedonia'),
(125667, '195.189.208.0', '195.189.209.255', 3283996672, 3283997183, 'RO', 'Romania'),
(125668, '195.189.210.0', '195.189.211.255', 3283997184, 3283997695, 'PS', 'Palestinian Territory, Occupied'),
(125669, '195.189.212.0', '195.189.213.255', 3283997696, 3283998207, 'SA', 'Saudi Arabia'),
(125670, '195.189.214.0', '195.189.215.255', 3283998208, 3283998719, 'UA', 'Ukraine'),
(125671, '195.189.216.0', '195.189.217.255', 3283998720, 3283999231, 'NL', 'Netherlands'),
(125672, '195.189.218.0', '195.189.219.255', 3283999232, 3283999743, 'RU', 'Russian Federation'),
(125673, '195.189.220.0', '195.189.221.255', 3283999744, 3284000255, 'GB', 'United Kingdom'),
(125674, '195.189.222.0', '195.189.223.255', 3284000256, 3284000767, 'RU', 'Russian Federation'),
(125675, '195.189.224.0', '195.189.225.255', 3284000768, 3284001279, 'BG', 'Bulgaria'),
(125676, '195.189.226.0', '195.189.229.255', 3284001280, 3284002303, 'UA', 'Ukraine'),
(125677, '195.189.230.0', '195.189.231.255', 3284002304, 3284002815, 'PL', 'Poland'),
(125678, '195.189.232.0', '195.189.233.255', 3284002816, 3284003327, 'DK', 'Denmark'),
(125679, '195.189.234.0', '195.189.235.255', 3284003328, 3284003839, 'UA', 'Ukraine'),
(125680, '195.189.236.0', '195.189.237.255', 3284003840, 3284004351, 'DE', 'Germany'),
(125681, '195.189.238.0', '195.189.239.255', 3284004352, 3284004863, 'RU', 'Russian Federation'),
(125682, '195.189.240.0', '195.189.241.255', 3284004864, 3284005375, 'UA', 'Ukraine'),
(125683, '195.189.242.0', '195.189.243.255', 3284005376, 3284005887, 'PA', 'Panama'),
(125684, '195.189.244.0', '195.189.245.255', 3284005888, 3284006399, 'DE', 'Germany'),
(125685, '195.189.246.0', '195.189.249.255', 3284006400, 3284007423, 'UA', 'Ukraine'),
(125686, '195.189.250.0', '195.189.251.255', 3284007424, 3284007935, 'RO', 'Romania'),
(125687, '195.189.252.0', '195.189.253.255', 3284007936, 3284008447, 'CH', 'Switzerland'),
(125688, '195.189.254.0', '195.189.255.255', 3284008448, 3284008959, 'NO', 'Norway'),
(125689, '195.190.0.0', '195.190.0.255', 3284008960, 3284009215, 'NL', 'Netherlands'),
(125690, '195.190.1.0', '195.190.1.255', 3284009216, 3284009471, 'PL', 'Poland'),
(125691, '195.190.2.0', '195.190.2.255', 3284009472, 3284009727, 'DE', 'Germany'),
(125692, '195.190.3.0', '195.190.3.255', 3284009728, 3284009983, 'FR', 'France'),
(125693, '195.190.4.0', '195.190.4.255', 3284009984, 3284010239, 'CH', 'Switzerland'),
(125694, '195.190.5.0', '195.190.6.255', 3284010240, 3284010751, 'FR', 'France'),
(125695, '195.190.7.0', '195.190.9.255', 3284010752, 3284011519, 'DE', 'Germany'),
(125696, '195.190.10.0', '195.190.10.255', 3284011520, 3284011775, 'HR', 'Croatia'),
(125697, '195.190.11.0', '195.190.11.255', 3284011776, 3284012031, 'DE', 'Germany'),
(125698, '195.190.12.0', '195.190.12.255', 3284012032, 3284012287, 'RU', 'Russian Federation'),
(125699, '195.190.13.0', '195.190.13.255', 3284012288, 3284012543, 'UA', 'Ukraine'),
(125700, '195.190.14.0', '195.190.14.255', 3284012544, 3284012799, 'RU', 'Russian Federation'),
(125701, '195.190.15.0', '195.190.16.255', 3284012800, 3284013311, 'AT', 'Austria'),
(125702, '195.190.17.0', '195.190.17.255', 3284013312, 3284013567, 'PL', 'Poland'),
(125703, '195.190.18.0', '195.190.18.255', 3284013568, 3284013823, 'DK', 'Denmark'),
(125704, '195.190.19.0', '195.190.19.255', 3284013824, 3284014079, 'IL', 'Israel'),
(125705, '195.190.20.0', '195.190.20.255', 3284014080, 3284014335, 'TR', 'Turkey'),
(125706, '195.190.21.0', '195.190.21.255', 3284014336, 3284014591, 'IT', 'Italy'),
(125707, '195.190.22.0', '195.190.22.255', 3284014592, 3284014847, 'GB', 'United Kingdom'),
(125708, '195.190.23.0', '195.190.23.255', 3284014848, 3284015103, 'IL', 'Israel'),
(125709, '195.190.24.0', '195.190.24.255', 3284015104, 3284015359, 'US', 'United States'),
(125710, '195.190.25.0', '195.190.25.255', 3284015360, 3284015615, 'DK', 'Denmark'),
(125711, '195.190.26.0', '195.190.26.255', 3284015616, 3284015871, 'AT', 'Austria'),
(125712, '195.190.27.0', '195.190.27.255', 3284015872, 3284016127, 'FR', 'France'),
(125713, '195.190.28.0', '195.190.28.255', 3284016128, 3284016383, 'NL', 'Netherlands'),
(125714, '195.190.29.0', '195.190.29.255', 3284016384, 3284016639, 'CH', 'Switzerland'),
(125715, '195.190.30.0', '195.190.31.255', 3284016640, 3284017151, 'DK', 'Denmark'),
(125716, '195.190.32.0', '195.190.63.255', 3284017152, 3284025343, 'GR', 'Greece'),
(125717, '195.190.64.0', '195.190.64.95', 3284025344, 3284025439, 'GB', 'United Kingdom'),
(125718, '195.190.64.96', '195.190.64.127', 3284025440, 3284025471, 'DE', 'Germany'),
(125719, '195.190.64.128', '195.190.71.191', 3284025472, 3284027327, 'GB', 'United Kingdom'),
(125720, '195.190.71.192', '195.190.71.207', 3284027328, 3284027343, 'DE', 'Germany'),
(125721, '195.190.71.208', '195.190.75.255', 3284027344, 3284028415, 'GB', 'United Kingdom'),
(125722, '195.190.76.0', '195.190.76.255', 3284028416, 3284028671, 'DE', 'Germany'),
(125723, '195.190.77.0', '195.190.77.207', 3284028672, 3284028879, 'GB', 'United Kingdom'),
(125724, '195.190.77.208', '195.190.77.223', 3284028880, 3284028895, 'DE', 'Germany'),
(125725, '195.190.77.224', '195.190.88.255', 3284028896, 3284031743, 'GB', 'United Kingdom'),
(125726, '195.190.89.0', '195.190.89.255', 3284031744, 3284031999, 'DE', 'Germany'),
(125727, '195.190.90.0', '195.190.90.63', 3284032000, 3284032063, 'GB', 'United Kingdom'),
(125728, '195.190.90.64', '195.190.90.95', 3284032064, 3284032095, 'DE', 'Germany'),
(125729, '195.190.90.96', '195.190.90.159', 3284032096, 3284032159, 'GB', 'United Kingdom'),
(125730, '195.190.90.160', '195.190.90.191', 3284032160, 3284032191, 'DE', 'Germany'),
(125731, '195.190.90.192', '195.190.92.159', 3284032192, 3284032671, 'GB', 'United Kingdom'),
(125732, '195.190.92.160', '195.190.92.191', 3284032672, 3284032703, 'DE', 'Germany'),
(125733, '195.190.92.192', '195.190.95.255', 3284032704, 3284033535, 'GB', 'United Kingdom'),
(125734, '195.190.96.0', '195.190.127.255', 3284033536, 3284041727, 'RU', 'Russian Federation'),
(125735, '195.190.128.0', '195.190.128.255', 3284041728, 3284041983, 'DK', 'Denmark'),
(125736, '195.190.129.0', '195.190.129.255', 3284041984, 3284042239, 'SI', 'Slovenia'),
(125737, '195.190.130.0', '195.190.130.255', 3284042240, 3284042495, 'GB', 'United Kingdom'),
(125738, '195.190.131.0', '195.190.131.255', 3284042496, 3284042751, 'AT', 'Austria'),
(125739, '195.190.132.0', '195.190.132.255', 3284042752, 3284043007, 'RU', 'Russian Federation'),
(125740, '195.190.133.0', '195.190.133.255', 3284043008, 3284043263, 'DE', 'Germany'),
(125741, '195.190.134.0', '195.190.134.255', 3284043264, 3284043519, 'EE', 'Estonia'),
(125742, '195.190.135.0', '195.190.135.255', 3284043520, 3284043775, 'DE', 'Germany'),
(125743, '195.190.136.0', '195.190.136.255', 3284043776, 3284044031, 'HR', 'Croatia'),
(125744, '195.190.137.0', '195.190.137.255', 3284044032, 3284044287, 'FR', 'France'),
(125745, '195.190.138.0', '195.190.139.255', 3284044288, 3284044799, 'DE', 'Germany'),
(125746, '195.190.140.0', '195.190.140.255', 3284044800, 3284045055, 'CZ', 'Czech Republic'),
(125747, '195.190.141.0', '195.190.141.255', 3284045056, 3284045311, 'EE', 'Estonia'),
(125748, '195.190.142.0', '195.190.142.255', 3284045312, 3284045567, 'DE', 'Germany'),
(125749, '195.190.143.0', '195.190.143.255', 3284045568, 3284045823, 'AT', 'Austria'),
(125750, '195.190.144.0', '195.190.144.255', 3284045824, 3284046079, 'UA', 'Ukraine'),
(125751, '195.190.145.0', '195.190.145.255', 3284046080, 3284046335, 'DE', 'Germany'),
(125752, '195.190.146.0', '195.190.146.255', 3284046336, 3284046591, 'NL', 'Netherlands'),
(125753, '195.190.147.0', '195.190.147.255', 3284046592, 3284046847, 'SE', 'Sweden'),
(125754, '195.190.148.0', '195.190.148.255', 3284046848, 3284047103, 'DE', 'Germany'),
(125755, '195.190.149.0', '195.190.149.255', 3284047104, 3284047359, 'DK', 'Denmark'),
(125756, '195.190.150.0', '195.190.150.255', 3284047360, 3284047615, 'EU', 'Europe'),
(125757, '195.190.151.0', '195.190.151.255', 3284047616, 3284047871, 'NL', 'Netherlands'),
(125758, '195.190.152.0', '195.190.152.255', 3284047872, 3284048127, 'UA', 'Ukraine'),
(125759, '195.190.153.0', '195.190.153.255', 3284048128, 3284048383, 'DK', 'Denmark'),
(125760, '195.190.154.0', '195.190.154.255', 3284048384, 3284048639, 'GB', 'United Kingdom'),
(125761, '195.190.155.0', '195.190.156.255', 3284048640, 3284049151, 'FR', 'France'),
(125762, '195.190.157.0', '195.190.157.255', 3284049152, 3284049407, 'UA', 'Ukraine'),
(125763, '195.190.158.0', '195.190.158.255', 3284049408, 3284049663, 'SI', 'Slovenia'),
(125764, '195.190.159.0', '195.190.159.255', 3284049664, 3284049919, 'RO', 'Romania'),
(125765, '195.190.160.0', '195.190.191.255', 3284049920, 3284058111, 'CH', 'Switzerland'),
(125766, '195.190.192.0', '195.190.223.255', 3284058112, 3284066303, 'SE', 'Sweden'),
(125767, '195.190.224.0', '195.191.1.255', 3284066304, 3284075007, 'NL', 'Netherlands'),
(125768, '195.191.2.0', '195.191.3.255', 3284075008, 3284075519, 'DE', 'Germany'),
(125769, '195.191.4.0', '195.191.5.255', 3284075520, 3284076031, 'RU', 'Russian Federation'),
(125770, '195.191.6.0', '195.191.7.255', 3284076032, 3284076543, 'SA', 'Saudi Arabia'),
(125771, '195.191.8.0', '195.191.9.255', 3284076544, 3284077055, 'PL', 'Poland'),
(125772, '195.191.10.0', '195.191.11.255', 3284077056, 3284077567, 'RU', 'Russian Federation'),
(125773, '195.191.12.0', '195.191.13.255', 3284077568, 3284078079, 'UA', 'Ukraine'),
(125774, '195.191.14.0', '195.191.15.255', 3284078080, 3284078591, 'DE', 'Germany'),
(125775, '195.191.16.0', '195.191.17.255', 3284078592, 3284079103, 'NL', 'Netherlands'),
(125776, '195.191.18.0', '195.191.19.255', 3284079104, 3284079615, 'RU', 'Russian Federation'),
(125777, '195.191.20.0', '195.191.21.255', 3284079616, 3284080127, 'DE', 'Germany'),
(125778, '195.191.22.0', '195.191.23.255', 3284080128, 3284080639, 'BE', 'Belgium'),
(125779, '195.191.24.0', '195.191.25.255', 3284080640, 3284081151, 'UA', 'Ukraine'),
(125780, '195.191.26.0', '195.191.27.255', 3284081152, 3284081663, 'DE', 'Germany'),
(125781, '195.191.28.0', '195.191.29.255', 3284081664, 3284082175, 'IE', 'Ireland'),
(125782, '195.191.30.0', '195.191.31.255', 3284082176, 3284082687, 'NO', 'Norway'),
(125783, '195.191.32.0', '195.191.33.255', 3284082688, 3284083199, 'RU', 'Russian Federation'),
(125784, '195.191.34.0', '195.191.35.255', 3284083200, 3284083711, 'BG', 'Bulgaria'),
(125785, '195.191.36.0', '195.191.37.255', 3284083712, 3284084223, 'RU', 'Russian Federation'),
(125786, '195.191.38.0', '195.191.39.255', 3284084224, 3284084735, 'UA', 'Ukraine'),
(125787, '195.191.40.0', '195.191.41.255', 3284084736, 3284085247, 'RU', 'Russian Federation'),
(125788, '195.191.42.0', '195.191.43.255', 3284085248, 3284085759, 'DE', 'Germany'),
(125789, '195.191.44.0', '195.191.47.255', 3284085760, 3284086783, 'RO', 'Romania'),
(125790, '195.191.48.0', '195.191.49.255', 3284086784, 3284087295, 'CZ', 'Czech Republic'),
(125791, '195.191.50.0', '195.191.51.255', 3284087296, 3284087807, 'RU', 'Russian Federation'),
(125792, '195.191.52.0', '195.191.53.255', 3284087808, 3284088319, 'IL', 'Israel'),
(125793, '195.191.54.0', '195.191.55.255', 3284088320, 3284088831, 'LV', 'Latvia'),
(125794, '195.191.56.0', '195.191.59.255', 3284088832, 3284089855, 'UA', 'Ukraine'),
(125795, '195.191.60.0', '195.191.61.255', 3284089856, 3284090367, 'BG', 'Bulgaria'),
(125796, '195.191.62.0', '195.191.63.255', 3284090368, 3284090879, 'PL', 'Poland'),
(125797, '195.191.64.0', '195.191.65.255', 3284090880, 3284091391, 'RU', 'Russian Federation'),
(125798, '195.191.66.0', '195.191.67.255', 3284091392, 3284091903, 'GB', 'United Kingdom'),
(125799, '195.191.68.0', '195.191.69.255', 3284091904, 3284092415, 'DE', 'Germany'),
(125800, '195.191.70.0', '195.191.71.255', 3284092416, 3284092927, 'GB', 'United Kingdom'),
(125801, '195.191.72.0', '195.191.73.255', 3284092928, 3284093439, 'UA', 'Ukraine'),
(125802, '195.191.74.0', '195.191.75.255', 3284093440, 3284093951, 'IR', 'Iran, Islamic Republic of'),
(125803, '195.191.76.0', '195.191.79.255', 3284093952, 3284094975, 'RU', 'Russian Federation'),
(125804, '195.191.80.0', '195.191.81.255', 3284094976, 3284095487, 'UA', 'Ukraine'),
(125805, '195.191.82.0', '195.191.83.255', 3284095488, 3284095999, 'RU', 'Russian Federation'),
(125806, '195.191.84.0', '195.191.85.255', 3284096000, 3284096511, 'IT', 'Italy'),
(125807, '195.191.86.0', '195.191.87.255', 3284096512, 3284097023, 'GB', 'United Kingdom'),
(125808, '195.191.88.0', '195.191.89.255', 3284097024, 3284097535, 'RU', 'Russian Federation'),
(125809, '195.191.90.0', '195.191.91.255', 3284097536, 3284098047, 'UA', 'Ukraine'),
(125810, '195.191.92.0', '195.191.93.255', 3284098048, 3284098559, 'DE', 'Germany'),
(125811, '195.191.94.0', '195.191.95.255', 3284098560, 3284099071, 'BG', 'Bulgaria'),
(125812, '195.191.96.0', '195.191.97.255', 3284099072, 3284099583, 'RO', 'Romania'),
(125813, '195.191.98.0', '195.191.99.255', 3284099584, 3284100095, 'GR', 'Greece'),
(125814, '195.191.100.0', '195.191.101.255', 3284100096, 3284100607, 'AM', 'Armenia'),
(125815, '195.191.102.0', '195.191.103.255', 3284100608, 3284101119, 'EU', 'Europe'),
(125816, '195.191.104.0', '195.191.105.255', 3284101120, 3284101631, 'UA', 'Ukraine'),
(125817, '195.191.106.0', '195.191.107.255', 3284101632, 3284102143, 'GB', 'United Kingdom'),
(125818, '195.191.108.0', '195.191.108.255', 3284102144, 3284102399, 'DK', 'Denmark'),
(125819, '195.191.109.0', '195.191.109.255', 3284102400, 3284102655, 'EU', 'Europe'),
(125820, '195.191.110.0', '195.191.111.255', 3284102656, 3284103167, 'AT', 'Austria'),
(125821, '195.191.112.0', '195.191.113.255', 3284103168, 3284103679, 'NL', 'Netherlands'),
(125822, '195.191.114.0', '195.191.115.255', 3284103680, 3284104191, 'DE', 'Germany'),
(125823, '195.191.116.0', '195.191.117.255', 3284104192, 3284104703, 'NO', 'Norway'),
(125824, '195.191.118.0', '195.191.119.255', 3284104704, 3284105215, 'TR', 'Turkey'),
(125825, '195.191.120.0', '195.191.121.255', 3284105216, 3284105727, 'NL', 'Netherlands'),
(125826, '195.191.122.0', '195.191.123.255', 3284105728, 3284106239, 'FI', 'Finland'),
(125827, '195.191.124.0', '195.191.125.255', 3284106240, 3284106751, 'RO', 'Romania'),
(125828, '195.191.126.0', '195.191.127.255', 3284106752, 3284107263, 'UA', 'Ukraine'),
(125829, '195.191.128.0', '195.191.129.255', 3284107264, 3284107775, 'DE', 'Germany'),
(125830, '195.191.130.0', '195.191.131.255', 3284107776, 3284108287, 'RU', 'Russian Federation'),
(125831, '195.191.132.0', '195.191.133.255', 3284108288, 3284108799, 'CH', 'Switzerland'),
(125832, '195.191.134.0', '195.191.135.255', 3284108800, 3284109311, 'FR', 'France'),
(125833, '195.191.136.0', '195.191.137.255', 3284109312, 3284109823, 'RU', 'Russian Federation'),
(125834, '195.191.138.0', '195.191.139.255', 3284109824, 3284110335, 'UA', 'Ukraine'),
(125835, '195.191.140.0', '195.191.141.255', 3284110336, 3284110847, 'RU', 'Russian Federation'),
(125836, '195.191.142.0', '195.191.143.255', 3284110848, 3284111359, 'DK', 'Denmark'),
(125837, '195.191.144.0', '195.191.145.255', 3284111360, 3284111871, 'SE', 'Sweden'),
(125838, '195.191.146.0', '195.191.147.255', 3284111872, 3284112383, 'RU', 'Russian Federation'),
(125839, '195.191.148.0', '195.191.149.255', 3284112384, 3284112895, 'BG', 'Bulgaria'),
(125840, '195.191.150.0', '195.191.153.255', 3284112896, 3284113919, 'NL', 'Netherlands'),
(125841, '195.191.154.0', '195.191.155.255', 3284113920, 3284114431, 'AM', 'Armenia'),
(125842, '195.191.156.0', '195.191.157.255', 3284114432, 3284114943, 'GB', 'United Kingdom'),
(125843, '195.191.158.0', '195.191.159.255', 3284114944, 3284115455, 'RU', 'Russian Federation'),
(125844, '195.191.160.0', '195.191.161.255', 3284115456, 3284115967, 'RO', 'Romania'),
(125845, '195.191.162.0', '195.191.163.255', 3284115968, 3284116479, 'PL', 'Poland'),
(125846, '195.191.164.0', '195.191.165.255', 3284116480, 3284116991, 'NL', 'Netherlands'),
(125847, '195.191.166.0', '195.191.167.255', 3284116992, 3284117503, 'RU', 'Russian Federation'),
(125848, '195.191.168.0', '195.191.169.255', 3284117504, 3284118015, 'UA', 'Ukraine'),
(125849, '195.191.170.0', '195.191.171.255', 3284118016, 3284118527, 'PL', 'Poland'),
(125850, '195.191.172.0', '195.191.173.255', 3284118528, 3284119039, 'FR', 'France'),
(125851, '195.191.174.0', '195.191.177.255', 3284119040, 3284120063, 'RU', 'Russian Federation'),
(125852, '195.191.178.0', '195.191.179.255', 3284120064, 3284120575, 'UA', 'Ukraine'),
(125853, '195.191.180.0', '195.191.181.255', 3284120576, 3284121087, 'PL', 'Poland'),
(125854, '195.191.182.0', '195.191.183.255', 3284121088, 3284121599, 'RU', 'Russian Federation'),
(125855, '195.191.184.0', '195.191.185.255', 3284121600, 3284122111, 'PL', 'Poland'),
(125856, '195.191.186.0', '195.191.187.255', 3284122112, 3284122623, 'AM', 'Armenia'),
(125857, '195.191.188.0', '195.191.189.255', 3284122624, 3284123135, 'CH', 'Switzerland'),
(125858, '195.191.190.0', '195.191.193.255', 3284123136, 3284124159, 'RU', 'Russian Federation'),
(125859, '195.191.194.0', '195.191.195.255', 3284124160, 3284124671, 'UA', 'Ukraine'),
(125860, '195.191.196.0', '195.191.197.255', 3284124672, 3284125183, 'DE', 'Germany'),
(125861, '195.191.198.0', '195.191.199.255', 3284125184, 3284125695, 'RO', 'Romania'),
(125862, '195.191.200.0', '195.191.201.255', 3284125696, 3284126207, 'UA', 'Ukraine'),
(125863, '195.191.202.0', '195.191.205.255', 3284126208, 3284127231, 'CZ', 'Czech Republic'),
(125864, '195.191.206.0', '195.191.207.255', 3284127232, 3284127743, 'HK', 'Hong Kong'),
(125865, '195.191.208.0', '195.191.209.255', 3284127744, 3284128255, 'RU', 'Russian Federation'),
(125866, '195.191.210.0', '195.191.211.255', 3284128256, 3284128767, 'GB', 'United Kingdom'),
(125867, '195.191.212.0', '195.191.213.255', 3284128768, 3284129279, 'SE', 'Sweden'),
(125868, '195.191.214.0', '195.191.215.255', 3284129280, 3284129791, 'UA', 'Ukraine'),
(125869, '195.191.216.0', '195.191.217.255', 3284129792, 3284130303, 'DE', 'Germany'),
(125870, '195.191.218.0', '195.191.219.255', 3284130304, 3284130815, 'GB', 'United Kingdom'),
(125871, '195.191.220.0', '195.191.221.255', 3284130816, 3284131327, 'RU', 'Russian Federation'),
(125872, '195.191.222.0', '195.191.223.255', 3284131328, 3284131839, 'HU', 'Hungary'),
(125873, '195.191.224.0', '195.191.225.255', 3284131840, 3284132351, 'DE', 'Germany'),
(125874, '195.191.226.0', '195.191.227.255', 3284132352, 3284132863, 'UA', 'Ukraine'),
(125875, '195.191.228.0', '195.191.229.255', 3284132864, 3284133375, 'HU', 'Hungary'),
(125876, '195.191.230.0', '195.191.231.255', 3284133376, 3284133887, 'TM', 'Turkmenistan'),
(125877, '195.191.232.0', '195.191.233.255', 3284133888, 3284134399, 'PL', 'Poland'),
(125878, '195.191.234.0', '195.191.235.255', 3284134400, 3284134911, 'UA', 'Ukraine'),
(125879, '195.191.236.0', '195.191.239.255', 3284134912, 3284135935, 'RU', 'Russian Federation'),
(125880, '195.191.240.0', '195.191.241.255', 3284135936, 3284136447, 'CH', 'Switzerland'),
(125881, '195.191.242.0', '195.191.243.255', 3284136448, 3284136959, 'RU', 'Russian Federation'),
(125882, '195.191.244.0', '195.191.245.255', 3284136960, 3284137471, 'FR', 'France'),
(125883, '195.191.246.0', '195.191.247.255', 3284137472, 3284137983, 'UA', 'Ukraine'),
(125884, '195.191.248.0', '195.191.249.255', 3284137984, 3284138495, 'PL', 'Poland'),
(125885, '195.191.250.0', '195.191.251.255', 3284138496, 3284139007, 'RU', 'Russian Federation'),
(125886, '195.191.252.0', '195.191.255.255', 3284139008, 3284140031, 'AT', 'Austria'),
(125887, '195.192.0.0', '195.192.255.255', 3284140032, 3284205567, 'DK', 'Denmark'),
(125888, '195.193.0.0', '195.193.2.255', 3284205568, 3284206335, 'NL', 'Netherlands'),
(125889, '195.193.3.0', '195.193.3.255', 3284206336, 3284206591, 'EU', 'Europe'),
(125890, '195.193.4.0', '195.193.202.255', 3284206592, 3284257535, 'NL', 'Netherlands'),
(125891, '195.193.203.0', '195.193.203.255', 3284257536, 3284257791, 'GB', 'United Kingdom'),
(125892, '195.193.204.0', '195.193.255.255', 3284257792, 3284271103, 'NL', 'Netherlands'),
(125893, '195.194.0.0', '195.195.255.255', 3284271104, 3284402175, 'GB', 'United Kingdom'),
(125894, '195.196.0.0', '195.196.255.255', 3284402176, 3284467711, 'SE', 'Sweden'),
(125895, '195.197.0.0', '195.197.250.63', 3284467712, 3284531775, 'FI', 'Finland'),
(125896, '195.197.250.64', '195.197.250.67', 3284531776, 3284531779, 'NL', 'Netherlands'),
(125897, '195.197.250.68', '195.197.255.255', 3284531780, 3284533247, 'FI', 'Finland'),
(125898, '195.198.0.0', '195.198.255.255', 3284533248, 3284598783, 'SE', 'Sweden'),
(125899, '195.199.0.0', '195.199.255.255', 3284598784, 3284664319, 'HU', 'Hungary'),
(125900, '195.200.0.0', '195.200.31.255', 3284664320, 3284672511, 'GB', 'United Kingdom'),
(125901, '195.200.32.0', '195.200.63.255', 3284672512, 3284680703, 'DE', 'Germany'),
(125902, '195.200.64.0', '195.200.65.255', 3284680704, 3284681215, 'UA', 'Ukraine'),
(125903, '195.200.66.0', '195.200.67.255', 3284681216, 3284681727, 'RO', 'Romania'),
(125904, '195.200.68.0', '195.200.69.255', 3284681728, 3284682239, 'FI', 'Finland'),
(125905, '195.200.70.0', '195.200.71.255', 3284682240, 3284682751, 'DE', 'Germany'),
(125906, '195.200.72.0', '195.200.73.255', 3284682752, 3284683263, 'SE', 'Sweden'),
(125907, '195.200.74.0', '195.200.75.255', 3284683264, 3284683775, 'KZ', 'Kazakhstan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(125908, '195.200.76.0', '195.200.77.255', 3284683776, 3284684287, 'GB', 'United Kingdom'),
(125909, '195.200.78.0', '195.200.79.255', 3284684288, 3284684799, 'FR', 'France'),
(125910, '195.200.80.0', '195.200.81.255', 3284684800, 3284685311, 'DE', 'Germany'),
(125911, '195.200.82.0', '195.200.83.255', 3284685312, 3284685823, 'NL', 'Netherlands'),
(125912, '195.200.84.0', '195.200.85.255', 3284685824, 3284686335, 'DE', 'Germany'),
(125913, '195.200.86.0', '195.200.87.255', 3284686336, 3284686847, 'RO', 'Romania'),
(125914, '195.200.88.0', '195.200.89.255', 3284686848, 3284687359, 'PL', 'Poland'),
(125915, '195.200.90.0', '195.200.91.255', 3284687360, 3284687871, 'UA', 'Ukraine'),
(125916, '195.200.92.0', '195.200.93.255', 3284687872, 3284688383, 'NG', 'Nigeria'),
(125917, '195.200.94.0', '195.200.95.255', 3284688384, 3284688895, 'IT', 'Italy'),
(125918, '195.200.96.0', '195.200.127.255', 3284688896, 3284697087, 'FR', 'France'),
(125919, '195.200.128.0', '195.200.128.127', 3284697088, 3284697215, 'GB', 'United Kingdom'),
(125920, '195.200.128.128', '195.200.128.191', 3284697216, 3284697279, 'FR', 'France'),
(125921, '195.200.128.192', '195.200.159.255', 3284697280, 3284705279, 'GB', 'United Kingdom'),
(125922, '195.200.160.0', '195.200.191.255', 3284705280, 3284713471, 'FR', 'France'),
(125923, '195.200.192.0', '195.200.192.255', 3284713472, 3284713727, 'DE', 'Germany'),
(125924, '195.200.193.0', '195.200.193.255', 3284713728, 3284713983, 'GR', 'Greece'),
(125925, '195.200.194.0', '195.200.194.255', 3284713984, 3284714239, 'DE', 'Germany'),
(125926, '195.200.195.0', '195.200.195.255', 3284714240, 3284714495, 'FR', 'France'),
(125927, '195.200.196.0', '195.200.196.255', 3284714496, 3284714751, 'UA', 'Ukraine'),
(125928, '195.200.197.0', '195.200.197.255', 3284714752, 3284715007, 'AT', 'Austria'),
(125929, '195.200.198.0', '195.200.198.255', 3284715008, 3284715263, 'GB', 'United Kingdom'),
(125930, '195.200.199.0', '195.200.199.255', 3284715264, 3284715519, 'PL', 'Poland'),
(125931, '195.200.200.0', '195.200.200.255', 3284715520, 3284715775, 'SI', 'Slovenia'),
(125932, '195.200.201.0', '195.200.201.40', 3284715776, 3284715816, 'BE', 'Belgium'),
(125933, '195.200.201.41', '195.200.201.41', 3284715817, 3284715817, 'EU', 'Europe'),
(125934, '195.200.201.42', '195.200.201.255', 3284715818, 3284716031, 'BE', 'Belgium'),
(125935, '195.200.202.0', '195.200.202.255', 3284716032, 3284716287, 'IT', 'Italy'),
(125936, '195.200.203.0', '195.200.203.255', 3284716288, 3284716543, 'RU', 'Russian Federation'),
(125937, '195.200.204.0', '195.200.204.255', 3284716544, 3284716799, 'GR', 'Greece'),
(125938, '195.200.205.0', '195.200.205.255', 3284716800, 3284717055, 'IL', 'Israel'),
(125939, '195.200.206.0', '195.200.206.255', 3284717056, 3284717311, 'PL', 'Poland'),
(125940, '195.200.207.0', '195.200.207.255', 3284717312, 3284717567, 'DE', 'Germany'),
(125941, '195.200.208.0', '195.200.208.255', 3284717568, 3284717823, 'FR', 'France'),
(125942, '195.200.209.0', '195.200.209.255', 3284717824, 3284718079, 'RU', 'Russian Federation'),
(125943, '195.200.210.0', '195.200.211.255', 3284718080, 3284718591, 'GB', 'United Kingdom'),
(125944, '195.200.212.0', '195.200.212.255', 3284718592, 3284718847, 'PL', 'Poland'),
(125945, '195.200.213.0', '195.200.213.255', 3284718848, 3284719103, 'RU', 'Russian Federation'),
(125946, '195.200.214.0', '195.200.214.255', 3284719104, 3284719359, 'PL', 'Poland'),
(125947, '195.200.215.0', '195.200.215.255', 3284719360, 3284719615, 'DE', 'Germany'),
(125948, '195.200.216.0', '195.200.216.255', 3284719616, 3284719871, 'RU', 'Russian Federation'),
(125949, '195.200.217.0', '195.200.217.255', 3284719872, 3284720127, 'FR', 'France'),
(125950, '195.200.218.0', '195.200.218.255', 3284720128, 3284720383, 'CH', 'Switzerland'),
(125951, '195.200.219.0', '195.200.220.255', 3284720384, 3284720895, 'SE', 'Sweden'),
(125952, '195.200.221.0', '195.200.221.255', 3284720896, 3284721151, 'UA', 'Ukraine'),
(125953, '195.200.222.0', '195.200.222.255', 3284721152, 3284721407, 'TR', 'Turkey'),
(125954, '195.200.223.0', '195.200.223.255', 3284721408, 3284721663, 'NL', 'Netherlands'),
(125955, '195.200.224.0', '195.200.225.255', 3284721664, 3284722175, 'BE', 'Belgium'),
(125956, '195.200.226.0', '195.200.227.255', 3284722176, 3284722687, 'RU', 'Russian Federation'),
(125957, '195.200.228.0', '195.200.229.255', 3284722688, 3284723199, 'FR', 'France'),
(125958, '195.200.230.0', '195.200.231.255', 3284723200, 3284723711, 'GB', 'United Kingdom'),
(125959, '195.200.232.0', '195.200.233.255', 3284723712, 3284724223, 'RU', 'Russian Federation'),
(125960, '195.200.234.0', '195.200.235.255', 3284724224, 3284724735, 'PL', 'Poland'),
(125961, '195.200.236.0', '195.200.237.255', 3284724736, 3284725247, 'RU', 'Russian Federation'),
(125962, '195.200.238.0', '195.200.239.255', 3284725248, 3284725759, 'GR', 'Greece'),
(125963, '195.200.240.0', '195.200.241.255', 3284725760, 3284726271, 'LU', 'Luxembourg'),
(125964, '195.200.242.0', '195.200.243.255', 3284726272, 3284726783, 'DE', 'Germany'),
(125965, '195.200.244.0', '195.200.245.255', 3284726784, 3284727295, 'UA', 'Ukraine'),
(125966, '195.200.246.0', '195.200.247.255', 3284727296, 3284727807, 'MK', 'Macedonia'),
(125967, '195.200.248.0', '195.200.249.255', 3284727808, 3284728319, 'RU', 'Russian Federation'),
(125968, '195.200.250.0', '195.200.251.255', 3284728320, 3284728831, 'UA', 'Ukraine'),
(125969, '195.200.252.0', '195.200.253.255', 3284728832, 3284729343, 'PT', 'Portugal'),
(125970, '195.200.254.0', '195.200.255.255', 3284729344, 3284729855, 'FR', 'France'),
(125971, '195.201.0.0', '195.201.255.255', 3284729856, 3284795391, 'RU', 'Russian Federation'),
(125972, '195.202.0.0', '195.202.31.255', 3284795392, 3284803583, 'FR', 'France'),
(125973, '195.202.32.0', '195.202.63.255', 3284803584, 3284811775, 'DE', 'Germany'),
(125974, '195.202.64.0', '195.202.95.255', 3284811776, 3284819967, 'KE', 'Kenya'),
(125975, '195.202.96.0', '195.202.116.255', 3284819968, 3284825343, 'GB', 'United Kingdom'),
(125976, '195.202.117.0', '195.202.117.15', 3284825344, 3284825359, 'DE', 'Germany'),
(125977, '195.202.117.16', '195.202.127.255', 3284825360, 3284828159, 'GB', 'United Kingdom'),
(125978, '195.202.128.0', '195.202.191.255', 3284828160, 3284844543, 'AT', 'Austria'),
(125979, '195.202.192.0', '195.202.255.255', 3284844544, 3284860927, 'CH', 'Switzerland'),
(125980, '195.203.0.0', '195.203.10.255', 3284860928, 3284863743, 'DE', 'Germany'),
(125981, '195.203.11.0', '195.203.11.255', 3284863744, 3284863999, 'FR', 'France'),
(125982, '195.203.12.0', '195.203.30.255', 3284864000, 3284868863, 'DE', 'Germany'),
(125983, '195.203.31.0', '195.203.32.255', 3284868864, 3284869375, 'FR', 'France'),
(125984, '195.203.33.0', '195.203.33.255', 3284869376, 3284869631, 'DE', 'Germany'),
(125985, '195.203.34.0', '195.203.34.255', 3284869632, 3284869887, 'IT', 'Italy'),
(125986, '195.203.35.0', '195.203.46.255', 3284869888, 3284872959, 'DE', 'Germany'),
(125987, '195.203.47.0', '195.203.48.255', 3284872960, 3284873471, 'IT', 'Italy'),
(125988, '195.203.49.0', '195.203.206.255', 3284873472, 3284913919, 'DE', 'Germany'),
(125989, '195.203.207.0', '195.203.207.255', 3284913920, 3284914175, 'GB', 'United Kingdom'),
(125990, '195.203.208.0', '195.203.255.255', 3284914176, 3284926463, 'DE', 'Germany'),
(125991, '195.204.0.0', '195.204.255.255', 3284926464, 3284991999, 'NO', 'Norway'),
(125992, '195.205.0.0', '195.205.255.255', 3284992000, 3285057535, 'PL', 'Poland'),
(125993, '195.206.0.0', '195.206.31.255', 3285057536, 3285065727, 'IT', 'Italy'),
(125994, '195.206.32.0', '195.206.63.255', 3285065728, 3285073919, 'RU', 'Russian Federation'),
(125995, '195.206.64.0', '195.206.66.255', 3285073920, 3285074687, 'GB', 'United Kingdom'),
(125996, '195.206.67.0', '195.206.73.255', 3285074688, 3285076479, 'NL', 'Netherlands'),
(125997, '195.206.74.0', '195.206.74.255', 3285076480, 3285076735, 'EU', 'Europe'),
(125998, '195.206.75.0', '195.206.75.31', 3285076736, 3285076767, 'BE', 'Belgium'),
(125999, '195.206.75.32', '195.206.80.95', 3285076768, 3285078111, 'NL', 'Netherlands'),
(126000, '195.206.80.96', '195.206.80.127', 3285078112, 3285078143, 'GB', 'United Kingdom'),
(126001, '195.206.80.128', '195.206.80.159', 3285078144, 3285078175, 'NL', 'Netherlands'),
(126002, '195.206.80.160', '195.206.80.175', 3285078176, 3285078191, 'GB', 'United Kingdom'),
(126003, '195.206.80.176', '195.206.85.127', 3285078192, 3285079423, 'NL', 'Netherlands'),
(126004, '195.206.85.128', '195.206.85.255', 3285079424, 3285079551, 'DE', 'Germany'),
(126005, '195.206.86.0', '195.206.87.159', 3285079552, 3285079967, 'NL', 'Netherlands'),
(126006, '195.206.87.160', '195.206.87.191', 3285079968, 3285079999, 'DE', 'Germany'),
(126007, '195.206.87.192', '195.206.95.255', 3285080000, 3285082111, 'NL', 'Netherlands'),
(126008, '195.206.96.0', '195.206.103.255', 3285082112, 3285084159, 'AT', 'Austria'),
(126009, '195.206.104.0', '195.206.107.255', 3285084160, 3285085183, 'LU', 'Luxembourg'),
(126010, '195.206.108.0', '195.206.111.255', 3285085184, 3285086207, 'GB', 'United Kingdom'),
(126011, '195.206.112.0', '195.206.119.255', 3285086208, 3285088255, 'PL', 'Poland'),
(126012, '195.206.120.0', '195.206.120.255', 3285088256, 3285088511, 'RO', 'Romania'),
(126013, '195.206.121.0', '195.206.121.255', 3285088512, 3285088767, 'DK', 'Denmark'),
(126014, '195.206.122.0', '195.206.123.255', 3285088768, 3285089279, 'RU', 'Russian Federation'),
(126015, '195.206.124.0', '195.206.127.255', 3285089280, 3285090303, 'PL', 'Poland'),
(126016, '195.206.128.0', '195.206.159.255', 3285090304, 3285098495, 'DE', 'Germany'),
(126017, '195.206.160.0', '195.206.223.255', 3285098496, 3285114879, 'GB', 'United Kingdom'),
(126018, '195.206.224.0', '195.206.227.255', 3285114880, 3285115903, 'RU', 'Russian Federation'),
(126019, '195.206.228.0', '195.206.229.255', 3285115904, 3285116415, 'PL', 'Poland'),
(126020, '195.206.230.0', '195.206.231.255', 3285116416, 3285116927, 'RU', 'Russian Federation'),
(126021, '195.206.232.0', '195.206.233.255', 3285116928, 3285117439, 'UA', 'Ukraine'),
(126022, '195.206.234.0', '195.206.235.255', 3285117440, 3285117951, 'RU', 'Russian Federation'),
(126023, '195.206.236.0', '195.206.237.255', 3285117952, 3285118463, 'FR', 'France'),
(126024, '195.206.238.0', '195.206.239.255', 3285118464, 3285118975, 'UA', 'Ukraine'),
(126025, '195.206.240.0', '195.206.241.255', 3285118976, 3285119487, 'RU', 'Russian Federation'),
(126026, '195.206.242.0', '195.206.243.255', 3285119488, 3285119999, 'RO', 'Romania'),
(126027, '195.206.244.0', '195.206.245.255', 3285120000, 3285120511, 'RU', 'Russian Federation'),
(126028, '195.206.246.0', '195.206.247.255', 3285120512, 3285121023, 'RO', 'Romania'),
(126029, '195.206.248.0', '195.206.249.255', 3285121024, 3285121535, 'SE', 'Sweden'),
(126030, '195.206.250.0', '195.206.251.255', 3285121536, 3285122047, 'CY', 'Cyprus'),
(126031, '195.206.252.0', '195.206.255.255', 3285122048, 3285123071, 'RU', 'Russian Federation'),
(126032, '195.207.0.0', '195.207.138.239', 3285123072, 3285158639, 'BE', 'Belgium'),
(126033, '195.207.138.240', '195.207.138.247', 3285158640, 3285158647, 'FR', 'France'),
(126034, '195.207.138.248', '195.207.161.79', 3285158648, 3285164367, 'BE', 'Belgium'),
(126035, '195.207.161.80', '195.207.161.87', 3285164368, 3285164375, 'NL', 'Netherlands'),
(126036, '195.207.161.88', '195.207.255.255', 3285164376, 3285188607, 'BE', 'Belgium'),
(126037, '195.208.0.0', '195.209.46.79', 3285188608, 3285265999, 'RU', 'Russian Federation'),
(126038, '195.209.46.80', '195.209.46.87', 3285266000, 3285266007, 'CH', 'Switzerland'),
(126039, '195.209.46.88', '195.209.255.255', 3285266008, 3285319679, 'RU', 'Russian Federation'),
(126040, '195.210.0.0', '195.210.1.255', 3285319680, 3285320191, 'HU', 'Hungary'),
(126041, '195.210.2.0', '195.210.3.255', 3285320192, 3285320703, 'RU', 'Russian Federation'),
(126042, '195.210.4.0', '195.210.5.255', 3285320704, 3285321215, 'RO', 'Romania'),
(126043, '195.210.6.0', '195.210.7.255', 3285321216, 3285321727, 'DE', 'Germany'),
(126044, '195.210.8.0', '195.210.9.255', 3285321728, 3285322239, 'RU', 'Russian Federation'),
(126045, '195.210.10.0', '195.210.11.255', 3285322240, 3285322751, 'DE', 'Germany'),
(126046, '195.210.12.0', '195.210.13.255', 3285322752, 3285323263, 'PL', 'Poland'),
(126047, '195.210.14.0', '195.210.15.255', 3285323264, 3285323775, 'CZ', 'Czech Republic'),
(126048, '195.210.16.0', '195.210.17.255', 3285323776, 3285324287, 'CH', 'Switzerland'),
(126049, '195.210.18.0', '195.210.19.255', 3285324288, 3285324799, 'DK', 'Denmark'),
(126050, '195.210.20.0', '195.210.21.255', 3285324800, 3285325311, 'RU', 'Russian Federation'),
(126051, '195.210.22.0', '195.210.23.255', 3285325312, 3285325823, 'GB', 'United Kingdom'),
(126052, '195.210.24.0', '195.210.25.255', 3285325824, 3285326335, 'PL', 'Poland'),
(126053, '195.210.26.0', '195.210.27.255', 3285326336, 3285326847, 'DE', 'Germany'),
(126054, '195.210.28.0', '195.210.29.255', 3285326848, 3285327359, 'SK', 'Slovakia'),
(126055, '195.210.30.0', '195.210.33.255', 3285327360, 3285328383, 'RU', 'Russian Federation'),
(126056, '195.210.34.0', '195.210.35.255', 3285328384, 3285328895, 'PL', 'Poland'),
(126057, '195.210.36.0', '195.210.37.255', 3285328896, 3285329407, 'SE', 'Sweden'),
(126058, '195.210.38.0', '195.210.39.255', 3285329408, 3285329919, 'GB', 'United Kingdom'),
(126059, '195.210.40.0', '195.210.41.255', 3285329920, 3285330431, 'RO', 'Romania'),
(126060, '195.210.42.0', '195.210.43.255', 3285330432, 3285330943, 'FR', 'France'),
(126061, '195.210.44.0', '195.210.45.255', 3285330944, 3285331455, 'RO', 'Romania'),
(126062, '195.210.46.0', '195.210.47.255', 3285331456, 3285331967, 'KZ', 'Kazakhstan'),
(126063, '195.210.48.0', '195.210.51.255', 3285331968, 3285332991, 'DE', 'Germany'),
(126064, '195.210.52.0', '195.210.53.255', 3285332992, 3285333503, 'SE', 'Sweden'),
(126065, '195.210.54.0', '195.210.55.255', 3285333504, 3285334015, 'GB', 'United Kingdom'),
(126066, '195.210.56.0', '195.210.57.255', 3285334016, 3285334527, 'NL', 'Netherlands'),
(126067, '195.210.58.0', '195.210.59.255', 3285334528, 3285335039, 'DE', 'Germany'),
(126068, '195.210.60.0', '195.210.61.255', 3285335040, 3285335551, 'PL', 'Poland'),
(126069, '195.210.62.0', '195.210.63.255', 3285335552, 3285336063, 'SE', 'Sweden'),
(126070, '195.210.64.0', '195.210.127.255', 3285336064, 3285352447, 'IT', 'Italy'),
(126071, '195.210.128.0', '195.210.191.255', 3285352448, 3285368831, 'RU', 'Russian Federation'),
(126072, '195.210.192.0', '195.210.255.255', 3285368832, 3285385215, 'SI', 'Slovenia'),
(126073, '195.211.0.0', '195.211.3.255', 3285385216, 3285386239, 'PL', 'Poland'),
(126074, '195.211.4.0', '195.211.7.255', 3285386240, 3285387263, 'RU', 'Russian Federation'),
(126075, '195.211.8.0', '195.211.11.255', 3285387264, 3285388287, 'PL', 'Poland'),
(126076, '195.211.12.0', '195.211.15.255', 3285388288, 3285389311, 'CH', 'Switzerland'),
(126077, '195.211.16.0', '195.211.19.255', 3285389312, 3285390335, 'FI', 'Finland'),
(126078, '195.211.20.0', '195.211.31.255', 3285390336, 3285393407, 'RU', 'Russian Federation'),
(126079, '195.211.32.0', '195.211.35.255', 3285393408, 3285394431, 'AT', 'Austria'),
(126080, '195.211.36.0', '195.211.43.255', 3285394432, 3285396479, 'RU', 'Russian Federation'),
(126081, '195.211.44.0', '195.211.47.255', 3285396480, 3285397503, 'IR', 'Iran, Islamic Republic of'),
(126082, '195.211.48.0', '195.211.51.255', 3285397504, 3285398527, 'NL', 'Netherlands'),
(126083, '195.211.52.0', '195.211.55.255', 3285398528, 3285399551, 'RU', 'Russian Federation'),
(126084, '195.211.56.0', '195.211.59.255', 3285399552, 3285400575, 'NL', 'Netherlands'),
(126085, '195.211.60.0', '195.211.63.255', 3285400576, 3285401599, 'UA', 'Ukraine'),
(126086, '195.211.64.0', '195.211.67.255', 3285401600, 3285402623, 'RU', 'Russian Federation'),
(126087, '195.211.68.0', '195.211.71.255', 3285402624, 3285403647, 'IL', 'Israel'),
(126088, '195.211.72.0', '195.211.75.255', 3285403648, 3285404671, 'NL', 'Netherlands'),
(126089, '195.211.76.0', '195.211.83.255', 3285404672, 3285406719, 'RU', 'Russian Federation'),
(126090, '195.211.84.0', '195.211.87.255', 3285406720, 3285407743, 'UA', 'Ukraine'),
(126091, '195.211.88.0', '195.211.91.255', 3285407744, 3285408767, 'RU', 'Russian Federation'),
(126092, '195.211.92.0', '195.211.95.255', 3285408768, 3285409791, 'GB', 'United Kingdom'),
(126093, '195.211.96.0', '195.211.99.255', 3285409792, 3285410815, 'UA', 'Ukraine'),
(126094, '195.211.100.0', '195.211.107.255', 3285410816, 3285412863, 'RU', 'Russian Federation'),
(126095, '195.211.108.0', '195.211.111.255', 3285412864, 3285413887, 'UA', 'Ukraine'),
(126096, '195.211.112.0', '195.211.115.255', 3285413888, 3285414911, 'RU', 'Russian Federation'),
(126097, '195.211.116.0', '195.211.119.255', 3285414912, 3285415935, 'UA', 'Ukraine'),
(126098, '195.211.120.0', '195.211.131.255', 3285415936, 3285419007, 'RU', 'Russian Federation'),
(126099, '195.211.132.0', '195.211.135.255', 3285419008, 3285420031, 'SE', 'Sweden'),
(126100, '195.211.136.0', '195.211.151.255', 3285420032, 3285424127, 'UA', 'Ukraine'),
(126101, '195.211.152.0', '195.211.155.255', 3285424128, 3285425151, 'RO', 'Romania'),
(126102, '195.211.156.0', '195.211.159.255', 3285425152, 3285426175, 'LV', 'Latvia'),
(126103, '195.211.160.0', '195.211.163.255', 3285426176, 3285427199, 'UA', 'Ukraine'),
(126104, '195.211.164.0', '195.211.167.255', 3285427200, 3285428223, 'GB', 'United Kingdom'),
(126105, '195.211.168.0', '195.211.171.255', 3285428224, 3285429247, 'RU', 'Russian Federation'),
(126106, '195.211.172.0', '195.211.175.255', 3285429248, 3285430271, 'UA', 'Ukraine'),
(126107, '195.211.176.0', '195.211.179.255', 3285430272, 3285431295, 'DK', 'Denmark'),
(126108, '195.211.180.0', '195.211.183.255', 3285431296, 3285432319, 'UZ', 'Uzbekistan'),
(126109, '195.211.184.0', '195.211.191.255', 3285432320, 3285434367, 'UA', 'Ukraine'),
(126110, '195.211.192.0', '195.211.199.255', 3285434368, 3285436415, 'RU', 'Russian Federation'),
(126111, '195.211.200.0', '195.211.203.255', 3285436416, 3285437439, 'GR', 'Greece'),
(126112, '195.211.204.0', '195.211.207.255', 3285437440, 3285438463, 'RU', 'Russian Federation'),
(126113, '195.211.208.0', '195.211.215.255', 3285438464, 3285440511, 'UA', 'Ukraine'),
(126114, '195.211.216.0', '195.211.223.255', 3285440512, 3285442559, 'RU', 'Russian Federation'),
(126115, '195.211.224.0', '195.211.227.255', 3285442560, 3285443583, 'IE', 'Ireland'),
(126116, '195.211.228.0', '195.211.231.255', 3285443584, 3285444607, 'UA', 'Ukraine'),
(126117, '195.211.232.0', '195.211.239.255', 3285444608, 3285446655, 'RU', 'Russian Federation'),
(126118, '195.211.240.0', '195.211.243.255', 3285446656, 3285447679, 'UA', 'Ukraine'),
(126119, '195.211.244.0', '195.211.251.255', 3285447680, 3285449727, 'RU', 'Russian Federation'),
(126120, '195.211.252.0', '195.211.255.255', 3285449728, 3285450751, 'UA', 'Ukraine'),
(126121, '195.212.0.0', '195.212.8.255', 3285450752, 3285453055, 'GB', 'United Kingdom'),
(126122, '195.212.9.0', '195.212.9.63', 3285453056, 3285453119, 'EU', 'Europe'),
(126123, '195.212.9.64', '195.212.15.255', 3285453120, 3285454847, 'GB', 'United Kingdom'),
(126124, '195.212.16.0', '195.212.16.255', 3285454848, 3285455103, 'EU', 'Europe'),
(126125, '195.212.17.0', '195.212.19.127', 3285455104, 3285455743, 'DE', 'Germany'),
(126126, '195.212.19.128', '195.212.19.255', 3285455744, 3285455871, 'EU', 'Europe'),
(126127, '195.212.20.0', '195.212.20.15', 3285455872, 3285455887, 'DE', 'Germany'),
(126128, '195.212.20.16', '195.212.20.23', 3285455888, 3285455895, 'EU', 'Europe'),
(126129, '195.212.20.24', '195.212.20.31', 3285455896, 3285455903, 'GB', 'United Kingdom'),
(126130, '195.212.20.32', '195.212.20.63', 3285455904, 3285455935, 'EU', 'Europe'),
(126131, '195.212.20.64', '195.212.21.127', 3285455936, 3285456255, 'DE', 'Germany'),
(126132, '195.212.21.128', '195.212.21.159', 3285456256, 3285456287, 'EU', 'Europe'),
(126133, '195.212.21.160', '195.212.21.223', 3285456288, 3285456351, 'DE', 'Germany'),
(126134, '195.212.21.224', '195.212.21.255', 3285456352, 3285456383, 'EU', 'Europe'),
(126135, '195.212.22.0', '195.212.22.255', 3285456384, 3285456639, 'DE', 'Germany'),
(126136, '195.212.23.0', '195.212.23.63', 3285456640, 3285456703, 'DK', 'Denmark'),
(126137, '195.212.23.64', '195.212.23.95', 3285456704, 3285456735, 'EU', 'Europe'),
(126138, '195.212.23.96', '195.212.23.127', 3285456736, 3285456767, 'DK', 'Denmark'),
(126139, '195.212.23.128', '195.212.23.191', 3285456768, 3285456831, 'EU', 'Europe'),
(126140, '195.212.23.192', '195.212.23.231', 3285456832, 3285456871, 'DK', 'Denmark'),
(126141, '195.212.23.232', '195.212.23.239', 3285456872, 3285456879, 'EU', 'Europe'),
(126142, '195.212.23.240', '195.212.23.255', 3285456880, 3285456895, 'DK', 'Denmark'),
(126143, '195.212.24.0', '195.212.24.63', 3285456896, 3285456959, 'GB', 'United Kingdom'),
(126144, '195.212.24.64', '195.212.24.79', 3285456960, 3285456975, 'EU', 'Europe'),
(126145, '195.212.24.80', '195.212.24.255', 3285456976, 3285457151, 'GB', 'United Kingdom'),
(126146, '195.212.25.0', '195.212.25.15', 3285457152, 3285457167, 'EU', 'Europe'),
(126147, '195.212.25.16', '195.212.25.31', 3285457168, 3285457183, 'SE', 'Sweden'),
(126148, '195.212.25.32', '195.212.25.79', 3285457184, 3285457231, 'EU', 'Europe'),
(126149, '195.212.25.80', '195.212.25.95', 3285457232, 3285457247, 'SE', 'Sweden'),
(126150, '195.212.25.96', '195.212.25.127', 3285457248, 3285457279, 'EU', 'Europe'),
(126151, '195.212.25.128', '195.212.25.255', 3285457280, 3285457407, 'SE', 'Sweden'),
(126152, '195.212.26.0', '195.212.26.255', 3285457408, 3285457663, 'GB', 'United Kingdom'),
(126153, '195.212.27.0', '195.212.27.95', 3285457664, 3285457759, 'IT', 'Italy'),
(126154, '195.212.27.96', '195.212.27.127', 3285457760, 3285457791, 'EU', 'Europe'),
(126155, '195.212.27.128', '195.212.27.255', 3285457792, 3285457919, 'IT', 'Italy'),
(126156, '195.212.28.0', '195.212.28.247', 3285457920, 3285458167, 'GB', 'United Kingdom'),
(126157, '195.212.28.248', '195.212.29.255', 3285458168, 3285458431, 'EU', 'Europe'),
(126158, '195.212.30.0', '195.212.31.255', 3285458432, 3285458943, 'GB', 'United Kingdom'),
(126159, '195.212.32.0', '195.212.32.31', 3285458944, 3285458975, 'DK', 'Denmark'),
(126160, '195.212.32.32', '195.212.32.63', 3285458976, 3285459007, 'EU', 'Europe'),
(126161, '195.212.32.64', '195.212.32.135', 3285459008, 3285459079, 'DK', 'Denmark'),
(126162, '195.212.32.136', '195.212.32.175', 3285459080, 3285459119, 'EU', 'Europe'),
(126163, '195.212.32.176', '195.212.33.127', 3285459120, 3285459327, 'DK', 'Denmark'),
(126164, '195.212.33.128', '195.212.33.191', 3285459328, 3285459391, 'EU', 'Europe'),
(126165, '195.212.33.192', '195.212.34.79', 3285459392, 3285459535, 'DK', 'Denmark'),
(126166, '195.212.34.80', '195.212.34.87', 3285459536, 3285459543, 'EU', 'Europe'),
(126167, '195.212.34.88', '195.212.34.255', 3285459544, 3285459711, 'DK', 'Denmark'),
(126168, '195.212.35.0', '195.212.35.255', 3285459712, 3285459967, 'NO', 'Norway'),
(126169, '195.212.36.0', '195.212.37.255', 3285459968, 3285460479, 'FI', 'Finland'),
(126170, '195.212.38.0', '195.212.39.255', 3285460480, 3285460991, 'DK', 'Denmark'),
(126171, '195.212.40.0', '195.212.40.23', 3285460992, 3285461015, 'NL', 'Netherlands'),
(126172, '195.212.40.24', '195.212.40.63', 3285461016, 3285461055, 'EU', 'Europe'),
(126173, '195.212.40.64', '195.212.40.119', 3285461056, 3285461111, 'NL', 'Netherlands'),
(126174, '195.212.40.120', '195.212.40.127', 3285461112, 3285461119, 'EU', 'Europe'),
(126175, '195.212.40.128', '195.212.41.15', 3285461120, 3285461263, 'NL', 'Netherlands'),
(126176, '195.212.41.16', '195.212.41.31', 3285461264, 3285461279, 'BE', 'Belgium'),
(126177, '195.212.41.32', '195.212.41.63', 3285461280, 3285461311, 'EU', 'Europe'),
(126178, '195.212.41.64', '195.212.41.127', 3285461312, 3285461375, 'CH', 'Switzerland'),
(126179, '195.212.41.128', '195.212.41.167', 3285461376, 3285461415, 'NL', 'Netherlands'),
(126180, '195.212.41.168', '195.212.41.175', 3285461416, 3285461423, 'EU', 'Europe'),
(126181, '195.212.41.176', '195.212.41.199', 3285461424, 3285461447, 'NL', 'Netherlands'),
(126182, '195.212.41.200', '195.212.41.207', 3285461448, 3285461455, 'DE', 'Germany'),
(126183, '195.212.41.208', '195.212.42.31', 3285461456, 3285461535, 'NL', 'Netherlands'),
(126184, '195.212.42.32', '195.212.42.63', 3285461536, 3285461567, 'EU', 'Europe'),
(126185, '195.212.42.64', '195.212.43.31', 3285461568, 3285461791, 'NL', 'Netherlands'),
(126186, '195.212.43.32', '195.212.43.39', 3285461792, 3285461799, 'EU', 'Europe'),
(126187, '195.212.43.40', '195.212.43.47', 3285461800, 3285461807, 'NL', 'Netherlands'),
(126188, '195.212.43.48', '195.212.43.95', 3285461808, 3285461855, 'EU', 'Europe'),
(126189, '195.212.43.96', '195.212.43.117', 3285461856, 3285461877, 'NL', 'Netherlands'),
(126190, '195.212.43.118', '195.212.43.119', 3285461878, 3285461879, 'EU', 'Europe'),
(126191, '195.212.43.120', '195.212.43.207', 3285461880, 3285461967, 'NL', 'Netherlands'),
(126192, '195.212.43.208', '195.212.43.215', 3285461968, 3285461975, 'EU', 'Europe'),
(126193, '195.212.43.216', '195.212.43.231', 3285461976, 3285461991, 'NL', 'Netherlands'),
(126194, '195.212.43.232', '195.212.43.239', 3285461992, 3285461999, 'GB', 'United Kingdom'),
(126195, '195.212.43.240', '195.212.43.247', 3285462000, 3285462007, 'NL', 'Netherlands'),
(126196, '195.212.43.248', '195.212.43.255', 3285462008, 3285462015, 'EU', 'Europe'),
(126197, '195.212.44.0', '195.212.44.191', 3285462016, 3285462207, 'DE', 'Germany'),
(126198, '195.212.44.192', '195.212.44.207', 3285462208, 3285462223, 'GB', 'United Kingdom'),
(126199, '195.212.44.208', '195.212.45.111', 3285462224, 3285462383, 'DE', 'Germany'),
(126200, '195.212.45.112', '195.212.45.127', 3285462384, 3285462399, 'EU', 'Europe'),
(126201, '195.212.45.128', '195.212.45.255', 3285462400, 3285462527, 'DE', 'Germany'),
(126202, '195.212.46.0', '195.212.46.15', 3285462528, 3285462543, 'EU', 'Europe'),
(126203, '195.212.46.16', '195.212.46.127', 3285462544, 3285462655, 'DE', 'Germany'),
(126204, '195.212.46.128', '195.212.46.255', 3285462656, 3285462783, 'EU', 'Europe'),
(126205, '195.212.47.0', '195.212.47.47', 3285462784, 3285462831, 'AT', 'Austria'),
(126206, '195.212.47.48', '195.212.47.167', 3285462832, 3285462951, 'EU', 'Europe'),
(126207, '195.212.47.168', '195.212.47.175', 3285462952, 3285462959, 'AT', 'Austria'),
(126208, '195.212.47.176', '195.212.47.223', 3285462960, 3285463007, 'EU', 'Europe'),
(126209, '195.212.47.224', '195.212.47.255', 3285463008, 3285463039, 'AT', 'Austria'),
(126210, '195.212.48.0', '195.212.48.47', 3285463040, 3285463087, 'LU', 'Luxembourg'),
(126211, '195.212.48.48', '195.212.48.63', 3285463088, 3285463103, 'EU', 'Europe'),
(126212, '195.212.48.64', '195.212.48.95', 3285463104, 3285463135, 'LU', 'Luxembourg'),
(126213, '195.212.48.96', '195.212.48.255', 3285463136, 3285463295, 'EU', 'Europe'),
(126214, '195.212.49.0', '195.212.49.15', 3285463296, 3285463311, 'FR', 'France'),
(126215, '195.212.49.16', '195.212.49.23', 3285463312, 3285463319, 'BE', 'Belgium'),
(126216, '195.212.49.24', '195.212.49.63', 3285463320, 3285463359, 'EU', 'Europe'),
(126217, '195.212.49.64', '195.212.49.159', 3285463360, 3285463455, 'BE', 'Belgium'),
(126218, '195.212.49.160', '195.212.49.191', 3285463456, 3285463487, 'EU', 'Europe'),
(126219, '195.212.49.192', '195.212.49.207', 3285463488, 3285463503, 'GB', 'United Kingdom'),
(126220, '195.212.49.208', '195.212.49.223', 3285463504, 3285463519, 'EU', 'Europe'),
(126221, '195.212.49.224', '195.212.50.63', 3285463520, 3285463615, 'BE', 'Belgium'),
(126222, '195.212.50.64', '195.212.50.95', 3285463616, 3285463647, 'FR', 'France'),
(126223, '195.212.50.96', '195.212.50.111', 3285463648, 3285463663, 'BE', 'Belgium'),
(126224, '195.212.50.112', '195.212.50.119', 3285463664, 3285463671, 'EU', 'Europe'),
(126225, '195.212.50.120', '195.212.50.191', 3285463672, 3285463743, 'BE', 'Belgium'),
(126226, '195.212.50.192', '195.212.50.223', 3285463744, 3285463775, 'EU', 'Europe'),
(126227, '195.212.50.224', '195.212.50.255', 3285463776, 3285463807, 'BE', 'Belgium'),
(126228, '195.212.51.0', '195.212.52.7', 3285463808, 3285464071, 'EU', 'Europe'),
(126229, '195.212.52.8', '195.212.52.31', 3285464072, 3285464095, 'BE', 'Belgium'),
(126230, '195.212.52.32', '195.212.52.63', 3285464096, 3285464127, 'GB', 'United Kingdom'),
(126231, '195.212.52.64', '195.212.52.255', 3285464128, 3285464319, 'EU', 'Europe'),
(126232, '195.212.53.0', '195.212.53.63', 3285464320, 3285464383, 'BE', 'Belgium'),
(126233, '195.212.53.64', '195.212.53.95', 3285464384, 3285464415, 'GB', 'United Kingdom'),
(126234, '195.212.53.96', '195.212.53.111', 3285464416, 3285464431, 'BE', 'Belgium'),
(126235, '195.212.53.112', '195.212.53.127', 3285464432, 3285464447, 'DE', 'Germany'),
(126236, '195.212.53.128', '195.212.55.255', 3285464448, 3285465087, 'BE', 'Belgium'),
(126237, '195.212.56.0', '195.212.56.15', 3285465088, 3285465103, 'DK', 'Denmark'),
(126238, '195.212.56.16', '195.212.56.63', 3285465104, 3285465151, 'EU', 'Europe'),
(126239, '195.212.56.64', '195.212.56.87', 3285465152, 3285465175, 'DK', 'Denmark'),
(126240, '195.212.56.88', '195.212.56.127', 3285465176, 3285465215, 'EU', 'Europe'),
(126241, '195.212.56.128', '195.212.56.143', 3285465216, 3285465231, 'DK', 'Denmark'),
(126242, '195.212.56.144', '195.212.56.159', 3285465232, 3285465247, 'EU', 'Europe'),
(126243, '195.212.56.160', '195.212.56.255', 3285465248, 3285465343, 'DK', 'Denmark'),
(126244, '195.212.57.0', '195.212.58.31', 3285465344, 3285465631, 'EU', 'Europe'),
(126245, '195.212.58.32', '195.212.58.127', 3285465632, 3285465727, 'DE', 'Germany'),
(126246, '195.212.58.128', '195.212.58.255', 3285465728, 3285465855, 'EU', 'Europe'),
(126247, '195.212.59.0', '195.212.59.95', 3285465856, 3285465951, 'DE', 'Germany'),
(126248, '195.212.59.96', '195.212.59.127', 3285465952, 3285465983, 'EU', 'Europe'),
(126249, '195.212.59.128', '195.212.60.255', 3285465984, 3285466367, 'DE', 'Germany'),
(126250, '195.212.61.0', '195.212.61.79', 3285466368, 3285466447, 'CH', 'Switzerland'),
(126251, '195.212.61.80', '195.212.61.87', 3285466448, 3285466455, 'EU', 'Europe'),
(126252, '195.212.61.88', '195.212.61.95', 3285466456, 3285466463, 'CH', 'Switzerland'),
(126253, '195.212.61.96', '195.212.61.159', 3285466464, 3285466527, 'EU', 'Europe'),
(126254, '195.212.61.160', '195.212.61.191', 3285466528, 3285466559, 'CH', 'Switzerland'),
(126255, '195.212.61.192', '195.212.61.255', 3285466560, 3285466623, 'EU', 'Europe'),
(126256, '195.212.62.0', '195.212.62.255', 3285466624, 3285466879, 'AT', 'Austria'),
(126257, '195.212.63.0', '195.212.63.15', 3285466880, 3285466895, 'BG', 'Bulgaria'),
(126258, '195.212.63.16', '195.212.63.31', 3285466896, 3285466911, 'EU', 'Europe'),
(126259, '195.212.63.32', '195.212.63.79', 3285466912, 3285466959, 'BG', 'Bulgaria'),
(126260, '195.212.63.80', '195.212.63.95', 3285466960, 3285466975, 'EU', 'Europe'),
(126261, '195.212.63.96', '195.212.63.127', 3285466976, 3285467007, 'BG', 'Bulgaria'),
(126262, '195.212.63.128', '195.212.63.135', 3285467008, 3285467015, 'EU', 'Europe'),
(126263, '195.212.63.136', '195.212.63.143', 3285467016, 3285467023, 'BG', 'Bulgaria'),
(126264, '195.212.63.144', '195.212.63.255', 3285467024, 3285467135, 'EU', 'Europe'),
(126265, '195.212.64.0', '195.212.64.255', 3285467136, 3285467391, 'DE', 'Germany'),
(126266, '195.212.65.0', '195.212.66.15', 3285467392, 3285467663, 'EU', 'Europe'),
(126267, '195.212.66.16', '195.212.66.31', 3285467664, 3285467679, 'DE', 'Germany'),
(126268, '195.212.66.32', '195.212.66.63', 3285467680, 3285467711, 'EU', 'Europe'),
(126269, '195.212.66.64', '195.212.66.175', 3285467712, 3285467823, 'DE', 'Germany'),
(126270, '195.212.66.176', '195.212.66.183', 3285467824, 3285467831, 'EU', 'Europe'),
(126271, '195.212.66.184', '195.212.66.191', 3285467832, 3285467839, 'DE', 'Germany'),
(126272, '195.212.66.192', '195.212.66.223', 3285467840, 3285467871, 'EU', 'Europe'),
(126273, '195.212.66.224', '195.212.66.255', 3285467872, 3285467903, 'DE', 'Germany'),
(126274, '195.212.67.0', '195.212.67.31', 3285467904, 3285467935, 'EU', 'Europe'),
(126275, '195.212.67.32', '195.212.67.47', 3285467936, 3285467951, 'DE', 'Germany'),
(126276, '195.212.67.48', '195.212.67.55', 3285467952, 3285467959, 'GB', 'United Kingdom'),
(126277, '195.212.67.56', '195.212.67.63', 3285467960, 3285467967, 'EU', 'Europe'),
(126278, '195.212.67.64', '195.212.69.95', 3285467968, 3285468511, 'DE', 'Germany'),
(126279, '195.212.69.96', '195.212.69.159', 3285468512, 3285468575, 'EU', 'Europe'),
(126280, '195.212.69.160', '195.212.69.183', 3285468576, 3285468599, 'DE', 'Germany'),
(126281, '195.212.69.184', '195.212.69.191', 3285468600, 3285468607, 'EU', 'Europe'),
(126282, '195.212.69.192', '195.212.69.199', 3285468608, 3285468615, 'DE', 'Germany'),
(126283, '195.212.69.200', '195.212.69.207', 3285468616, 3285468623, 'EU', 'Europe'),
(126284, '195.212.69.208', '195.212.73.255', 3285468624, 3285469695, 'DE', 'Germany'),
(126285, '195.212.74.0', '195.212.74.31', 3285469696, 3285469727, 'EU', 'Europe'),
(126286, '195.212.74.32', '195.212.79.31', 3285469728, 3285471007, 'DE', 'Germany'),
(126287, '195.212.79.32', '195.212.79.63', 3285471008, 3285471039, 'EU', 'Europe'),
(126288, '195.212.79.64', '195.212.79.95', 3285471040, 3285471071, 'DE', 'Germany'),
(126289, '195.212.79.96', '195.212.79.127', 3285471072, 3285471103, 'EU', 'Europe'),
(126290, '195.212.79.128', '195.212.81.255', 3285471104, 3285471743, 'DE', 'Germany'),
(126291, '195.212.82.0', '195.212.82.63', 3285471744, 3285471807, 'EU', 'Europe'),
(126292, '195.212.82.64', '195.212.82.127', 3285471808, 3285471871, 'DE', 'Germany'),
(126293, '195.212.82.128', '195.212.82.191', 3285471872, 3285471935, 'EU', 'Europe'),
(126294, '195.212.82.192', '195.212.83.127', 3285471936, 3285472127, 'DE', 'Germany'),
(126295, '195.212.83.128', '195.212.83.159', 3285472128, 3285472159, 'EU', 'Europe'),
(126296, '195.212.83.160', '195.212.83.175', 3285472160, 3285472175, 'DE', 'Germany'),
(126297, '195.212.83.176', '195.212.83.183', 3285472176, 3285472183, 'EU', 'Europe'),
(126298, '195.212.83.184', '195.212.83.223', 3285472184, 3285472223, 'DE', 'Germany'),
(126299, '195.212.83.224', '195.212.83.255', 3285472224, 3285472255, 'EU', 'Europe'),
(126300, '195.212.84.0', '195.212.84.255', 3285472256, 3285472511, 'US', 'United States'),
(126301, '195.212.85.0', '195.212.88.47', 3285472512, 3285473327, 'EU', 'Europe'),
(126302, '195.212.88.48', '195.212.88.63', 3285473328, 3285473343, 'DE', 'Germany'),
(126303, '195.212.88.64', '195.212.88.159', 3285473344, 3285473439, 'EU', 'Europe'),
(126304, '195.212.88.160', '195.212.89.47', 3285473440, 3285473583, 'DE', 'Germany'),
(126305, '195.212.89.48', '195.212.89.55', 3285473584, 3285473591, 'GB', 'United Kingdom'),
(126306, '195.212.89.56', '195.212.89.63', 3285473592, 3285473599, 'DE', 'Germany'),
(126307, '195.212.89.64', '195.212.89.95', 3285473600, 3285473631, 'EU', 'Europe'),
(126308, '195.212.89.96', '195.212.89.127', 3285473632, 3285473663, 'DE', 'Germany'),
(126309, '195.212.89.128', '195.212.89.255', 3285473664, 3285473791, 'EU', 'Europe'),
(126310, '195.212.90.0', '195.212.90.255', 3285473792, 3285474047, 'DE', 'Germany'),
(126311, '195.212.91.0', '195.212.91.47', 3285474048, 3285474095, 'EU', 'Europe'),
(126312, '195.212.91.48', '195.212.91.63', 3285474096, 3285474111, 'DE', 'Germany'),
(126313, '195.212.91.64', '195.212.91.127', 3285474112, 3285474175, 'EU', 'Europe'),
(126314, '195.212.91.128', '195.212.91.223', 3285474176, 3285474271, 'DE', 'Germany'),
(126315, '195.212.91.224', '195.212.91.255', 3285474272, 3285474303, 'EU', 'Europe'),
(126316, '195.212.92.0', '195.212.92.15', 3285474304, 3285474319, 'DE', 'Germany'),
(126317, '195.212.92.16', '195.212.92.31', 3285474320, 3285474335, 'EU', 'Europe'),
(126318, '195.212.92.32', '195.212.92.63', 3285474336, 3285474367, 'DE', 'Germany'),
(126319, '195.212.92.64', '195.212.92.79', 3285474368, 3285474383, 'EU', 'Europe'),
(126320, '195.212.92.80', '195.212.92.255', 3285474384, 3285474559, 'DE', 'Germany'),
(126321, '195.212.93.0', '195.212.94.255', 3285474560, 3285475071, 'EU', 'Europe'),
(126322, '195.212.95.0', '195.212.95.63', 3285475072, 3285475135, 'DE', 'Germany'),
(126323, '195.212.95.64', '195.212.95.71', 3285475136, 3285475143, 'EU', 'Europe'),
(126324, '195.212.95.72', '195.212.95.95', 3285475144, 3285475167, 'DE', 'Germany'),
(126325, '195.212.95.96', '195.212.95.127', 3285475168, 3285475199, 'EU', 'Europe'),
(126326, '195.212.95.128', '195.212.95.135', 3285475200, 3285475207, 'DE', 'Germany'),
(126327, '195.212.95.136', '195.212.95.143', 3285475208, 3285475215, 'EU', 'Europe'),
(126328, '195.212.95.144', '195.212.95.255', 3285475216, 3285475327, 'DE', 'Germany'),
(126329, '195.212.96.0', '195.212.97.39', 3285475328, 3285475623, 'EU', 'Europe'),
(126330, '195.212.97.40', '195.212.97.63', 3285475624, 3285475647, 'AT', 'Austria'),
(126331, '195.212.97.64', '195.212.97.119', 3285475648, 3285475703, 'EU', 'Europe'),
(126332, '195.212.97.120', '195.212.97.127', 3285475704, 3285475711, 'AT', 'Austria'),
(126333, '195.212.97.128', '195.212.97.191', 3285475712, 3285475775, 'EU', 'Europe'),
(126334, '195.212.97.192', '195.212.97.199', 3285475776, 3285475783, 'AT', 'Austria'),
(126335, '195.212.97.200', '195.212.97.223', 3285475784, 3285475807, 'EU', 'Europe'),
(126336, '195.212.97.224', '195.212.97.239', 3285475808, 3285475823, 'AT', 'Austria'),
(126337, '195.212.97.240', '195.212.98.63', 3285475824, 3285475903, 'EU', 'Europe'),
(126338, '195.212.98.64', '195.212.98.111', 3285475904, 3285475951, 'AT', 'Austria'),
(126339, '195.212.98.112', '195.212.98.127', 3285475952, 3285475967, 'EU', 'Europe'),
(126340, '195.212.98.128', '195.212.98.191', 3285475968, 3285476031, 'AT', 'Austria'),
(126341, '195.212.98.192', '195.212.99.255', 3285476032, 3285476351, 'EU', 'Europe'),
(126342, '195.212.100.0', '195.212.100.255', 3285476352, 3285476607, 'DE', 'Germany'),
(126343, '195.212.101.0', '195.212.101.127', 3285476608, 3285476735, 'EU', 'Europe'),
(126344, '195.212.101.128', '195.212.101.255', 3285476736, 3285476863, 'GB', 'United Kingdom'),
(126345, '195.212.102.0', '195.212.102.31', 3285476864, 3285476895, 'AT', 'Austria'),
(126346, '195.212.102.32', '195.212.102.159', 3285476896, 3285477023, 'EU', 'Europe'),
(126347, '195.212.102.160', '195.212.102.223', 3285477024, 3285477087, 'AT', 'Austria'),
(126348, '195.212.102.224', '195.212.103.31', 3285477088, 3285477151, 'EU', 'Europe'),
(126349, '195.212.103.32', '195.212.103.223', 3285477152, 3285477343, 'IT', 'Italy'),
(126350, '195.212.103.224', '195.212.103.239', 3285477344, 3285477359, 'EU', 'Europe'),
(126351, '195.212.103.240', '195.212.103.255', 3285477360, 3285477375, 'IT', 'Italy'),
(126352, '195.212.104.0', '195.212.106.31', 3285477376, 3285477919, 'FR', 'France'),
(126353, '195.212.106.32', '195.212.106.63', 3285477920, 3285477951, 'EU', 'Europe'),
(126354, '195.212.106.64', '195.212.106.95', 3285477952, 3285477983, 'FR', 'France'),
(126355, '195.212.106.96', '195.212.106.111', 3285477984, 3285477999, 'EU', 'Europe'),
(126356, '195.212.106.112', '195.212.108.255', 3285478000, 3285478655, 'FR', 'France'),
(126357, '195.212.109.0', '195.212.109.255', 3285478656, 3285478911, 'EU', 'Europe'),
(126358, '195.212.110.0', '195.212.111.223', 3285478912, 3285479391, 'FR', 'France'),
(126359, '195.212.111.224', '195.212.111.231', 3285479392, 3285479399, 'EU', 'Europe'),
(126360, '195.212.111.232', '195.212.111.239', 3285479400, 3285479407, 'GB', 'United Kingdom'),
(126361, '195.212.111.240', '195.212.111.255', 3285479408, 3285479423, 'EU', 'Europe'),
(126362, '195.212.112.0', '195.212.113.127', 3285479424, 3285479807, 'CH', 'Switzerland'),
(126363, '195.212.113.128', '195.212.115.255', 3285479808, 3285480447, 'EU', 'Europe'),
(126364, '195.212.116.0', '195.212.116.127', 3285480448, 3285480575, 'CH', 'Switzerland'),
(126365, '195.212.116.128', '195.212.117.15', 3285480576, 3285480719, 'EU', 'Europe'),
(126366, '195.212.117.16', '195.212.117.63', 3285480720, 3285480767, 'CH', 'Switzerland'),
(126367, '195.212.117.64', '195.212.117.71', 3285480768, 3285480775, 'EU', 'Europe'),
(126368, '195.212.117.72', '195.212.117.191', 3285480776, 3285480895, 'CH', 'Switzerland'),
(126369, '195.212.117.192', '195.212.117.255', 3285480896, 3285480959, 'EU', 'Europe'),
(126370, '195.212.118.0', '195.212.118.255', 3285480960, 3285481215, 'CH', 'Switzerland'),
(126371, '195.212.119.0', '195.212.119.255', 3285481216, 3285481471, 'EU', 'Europe'),
(126372, '195.212.120.0', '195.212.120.255', 3285481472, 3285481727, 'IT', 'Italy'),
(126373, '195.212.121.0', '195.212.121.15', 3285481728, 3285481743, 'CH', 'Switzerland'),
(126374, '195.212.121.16', '195.212.121.23', 3285481744, 3285481751, 'EU', 'Europe'),
(126375, '195.212.121.24', '195.212.121.63', 3285481752, 3285481791, 'CH', 'Switzerland'),
(126376, '195.212.121.64', '195.212.121.255', 3285481792, 3285481983, 'EU', 'Europe'),
(126377, '195.212.122.0', '195.212.122.15', 3285481984, 3285481999, 'FR', 'France'),
(126378, '195.212.122.16', '195.212.122.23', 3285482000, 3285482007, 'CY', 'Cyprus'),
(126379, '195.212.122.24', '195.212.122.103', 3285482008, 3285482087, 'FR', 'France'),
(126380, '195.212.122.104', '195.212.122.111', 3285482088, 3285482095, 'EU', 'Europe'),
(126381, '195.212.122.112', '195.212.122.255', 3285482096, 3285482239, 'FR', 'France'),
(126382, '195.212.123.0', '195.212.123.255', 3285482240, 3285482495, 'EU', 'Europe'),
(126383, '195.212.124.0', '195.212.124.31', 3285482496, 3285482527, 'CH', 'Switzerland'),
(126384, '195.212.124.32', '195.212.124.255', 3285482528, 3285482751, 'EU', 'Europe'),
(126385, '195.212.125.0', '195.212.125.31', 3285482752, 3285482783, 'CH', 'Switzerland'),
(126386, '195.212.125.32', '195.212.125.255', 3285482784, 3285483007, 'EU', 'Europe'),
(126387, '195.212.126.0', '195.212.127.255', 3285483008, 3285483519, 'CH', 'Switzerland'),
(126388, '195.212.128.0', '195.212.131.255', 3285483520, 3285484543, 'EU', 'Europe'),
(126389, '195.212.132.0', '195.212.133.255', 3285484544, 3285485055, 'IE', 'Ireland'),
(126390, '195.212.134.0', '195.212.134.47', 3285485056, 3285485103, 'EU', 'Europe'),
(126391, '195.212.134.48', '195.212.134.63', 3285485104, 3285485119, 'SK', 'Slovakia'),
(126392, '195.212.134.64', '195.212.136.71', 3285485120, 3285485639, 'EU', 'Europe'),
(126393, '195.212.136.72', '195.212.136.79', 3285485640, 3285485647, 'SK', 'Slovakia'),
(126394, '195.212.136.80', '195.212.136.159', 3285485648, 3285485727, 'EU', 'Europe'),
(126395, '195.212.136.160', '195.212.136.175', 3285485728, 3285485743, 'SK', 'Slovakia'),
(126396, '195.212.136.176', '195.212.136.183', 3285485744, 3285485751, 'EU', 'Europe'),
(126397, '195.212.136.184', '195.212.136.191', 3285485752, 3285485759, 'SK', 'Slovakia'),
(126398, '195.212.136.192', '195.212.136.231', 3285485760, 3285485799, 'EU', 'Europe'),
(126399, '195.212.136.232', '195.212.136.247', 3285485800, 3285485815, 'SK', 'Slovakia'),
(126400, '195.212.136.248', '195.212.139.255', 3285485816, 3285486591, 'EU', 'Europe'),
(126401, '195.212.140.0', '195.212.141.255', 3285486592, 3285487103, 'IT', 'Italy'),
(126402, '195.212.142.0', '195.212.142.255', 3285487104, 3285487359, 'HU', 'Hungary'),
(126403, '195.212.143.0', '195.212.143.15', 3285487360, 3285487375, 'NL', 'Netherlands'),
(126404, '195.212.143.16', '195.212.143.63', 3285487376, 3285487423, 'EU', 'Europe'),
(126405, '195.212.143.64', '195.212.143.127', 3285487424, 3285487487, 'GB', 'United Kingdom'),
(126406, '195.212.143.128', '195.212.143.255', 3285487488, 3285487615, 'EU', 'Europe'),
(126407, '195.212.144.0', '195.212.144.63', 3285487616, 3285487679, 'NL', 'Netherlands'),
(126408, '195.212.144.64', '195.212.144.127', 3285487680, 3285487743, 'EU', 'Europe'),
(126409, '195.212.144.128', '195.212.145.255', 3285487744, 3285488127, 'NL', 'Netherlands'),
(126410, '195.212.146.0', '195.212.147.255', 3285488128, 3285488639, 'EU', 'Europe'),
(126411, '195.212.148.0', '195.212.151.255', 3285488640, 3285489663, 'GB', 'United Kingdom'),
(126412, '195.212.152.0', '195.212.153.255', 3285489664, 3285490175, 'EU', 'Europe'),
(126413, '195.212.154.0', '195.212.154.143', 3285490176, 3285490319, 'RU', 'Russian Federation'),
(126414, '195.212.154.144', '195.212.154.159', 3285490320, 3285490335, 'EU', 'Europe'),
(126415, '195.212.154.160', '195.212.155.31', 3285490336, 3285490463, 'RU', 'Russian Federation'),
(126416, '195.212.155.32', '195.212.155.63', 3285490464, 3285490495, 'EU', 'Europe'),
(126417, '195.212.155.64', '195.212.155.87', 3285490496, 3285490519, 'RU', 'Russian Federation'),
(126418, '195.212.155.88', '195.212.155.95', 3285490520, 3285490527, 'LT', 'Lithuania'),
(126419, '195.212.155.96', '195.212.155.103', 3285490528, 3285490535, 'LV', 'Latvia'),
(126420, '195.212.155.104', '195.212.155.111', 3285490536, 3285490543, 'RU', 'Russian Federation'),
(126421, '195.212.155.112', '195.212.155.127', 3285490544, 3285490559, 'EU', 'Europe'),
(126422, '195.212.155.128', '195.212.155.255', 3285490560, 3285490687, 'RU', 'Russian Federation'),
(126423, '195.212.156.0', '195.212.156.255', 3285490688, 3285490943, 'EU', 'Europe'),
(126424, '195.212.157.0', '195.212.157.63', 3285490944, 3285491007, 'RU', 'Russian Federation'),
(126425, '195.212.157.64', '195.212.158.255', 3285491008, 3285491455, 'EU', 'Europe'),
(126426, '195.212.159.0', '195.212.159.255', 3285491456, 3285491711, 'RU', 'Russian Federation'),
(126427, '195.212.160.0', '195.212.161.255', 3285491712, 3285492223, 'EU', 'Europe'),
(126428, '195.212.162.0', '195.212.162.255', 3285492224, 3285492479, 'FR', 'France'),
(126429, '195.212.163.0', '195.212.163.207', 3285492480, 3285492687, 'GB', 'United Kingdom'),
(126430, '195.212.163.208', '195.212.163.215', 3285492688, 3285492695, 'EU', 'Europe'),
(126431, '195.212.163.216', '195.212.163.255', 3285492696, 3285492735, 'GB', 'United Kingdom'),
(126432, '195.212.164.0', '195.212.167.255', 3285492736, 3285493759, 'EU', 'Europe'),
(126433, '195.212.168.0', '195.212.168.15', 3285493760, 3285493775, 'ES', 'Spain'),
(126434, '195.212.168.16', '195.212.168.31', 3285493776, 3285493791, 'EU', 'Europe'),
(126435, '195.212.168.32', '195.212.168.127', 3285493792, 3285493887, 'ES', 'Spain'),
(126436, '195.212.168.128', '195.212.168.191', 3285493888, 3285493951, 'EU', 'Europe'),
(126437, '195.212.168.192', '195.212.168.223', 3285493952, 3285493983, 'ES', 'Spain'),
(126438, '195.212.168.224', '195.212.168.239', 3285493984, 3285493999, 'EU', 'Europe'),
(126439, '195.212.168.240', '195.212.168.255', 3285494000, 3285494015, 'ES', 'Spain'),
(126440, '195.212.169.0', '195.212.169.63', 3285494016, 3285494079, 'IT', 'Italy'),
(126441, '195.212.169.64', '195.212.169.95', 3285494080, 3285494111, 'EU', 'Europe'),
(126442, '195.212.169.96', '195.212.171.255', 3285494112, 3285494783, 'IT', 'Italy'),
(126443, '195.212.172.0', '195.212.175.255', 3285494784, 3285495807, 'EU', 'Europe'),
(126444, '195.212.176.0', '195.212.177.255', 3285495808, 3285496319, 'DE', 'Germany'),
(126445, '195.212.178.0', '195.212.178.63', 3285496320, 3285496383, 'ES', 'Spain'),
(126446, '195.212.178.64', '195.212.178.127', 3285496384, 3285496447, 'EU', 'Europe'),
(126447, '195.212.178.128', '195.212.178.151', 3285496448, 3285496471, 'ES', 'Spain'),
(126448, '195.212.178.152', '195.212.178.175', 3285496472, 3285496495, 'EU', 'Europe'),
(126449, '195.212.178.176', '195.212.178.207', 3285496496, 3285496527, 'FR', 'France'),
(126450, '195.212.178.208', '195.212.178.223', 3285496528, 3285496543, 'ES', 'Spain'),
(126451, '195.212.178.224', '195.212.178.255', 3285496544, 3285496575, 'FR', 'France'),
(126452, '195.212.179.0', '195.212.179.31', 3285496576, 3285496607, 'GB', 'United Kingdom'),
(126453, '195.212.179.32', '195.212.183.255', 3285496608, 3285497855, 'DE', 'Germany'),
(126454, '195.212.184.0', '195.212.184.31', 3285497856, 3285497887, 'EU', 'Europe'),
(126455, '195.212.184.32', '195.212.184.223', 3285497888, 3285498079, 'DE', 'Germany'),
(126456, '195.212.184.224', '195.212.184.239', 3285498080, 3285498095, 'EU', 'Europe'),
(126457, '195.212.184.240', '195.212.184.255', 3285498096, 3285498111, 'DE', 'Germany'),
(126458, '195.212.185.0', '195.212.185.255', 3285498112, 3285498367, 'IT', 'Italy'),
(126459, '195.212.186.0', '195.212.186.255', 3285498368, 3285498623, 'DE', 'Germany'),
(126460, '195.212.187.0', '195.212.187.31', 3285498624, 3285498655, 'CH', 'Switzerland'),
(126461, '195.212.187.32', '195.212.187.39', 3285498656, 3285498663, 'CY', 'Cyprus'),
(126462, '195.212.187.40', '195.212.187.47', 3285498664, 3285498671, 'EU', 'Europe'),
(126463, '195.212.187.48', '195.212.187.63', 3285498672, 3285498687, 'CH', 'Switzerland'),
(126464, '195.212.187.64', '195.212.189.255', 3285498688, 3285499391, 'EU', 'Europe'),
(126465, '195.212.190.0', '195.212.190.63', 3285499392, 3285499455, 'FR', 'France'),
(126466, '195.212.190.64', '195.212.190.95', 3285499456, 3285499487, 'EU', 'Europe'),
(126467, '195.212.190.96', '195.212.190.255', 3285499488, 3285499647, 'FR', 'France'),
(126468, '195.212.191.0', '195.212.191.255', 3285499648, 3285499903, 'DE', 'Germany'),
(126469, '195.212.192.0', '195.212.192.255', 3285499904, 3285500159, 'CZ', 'Czech Republic'),
(126470, '195.212.193.0', '195.212.193.127', 3285500160, 3285500287, 'EU', 'Europe'),
(126471, '195.212.193.128', '195.212.193.255', 3285500288, 3285500415, 'CZ', 'Czech Republic'),
(126472, '195.212.194.0', '195.212.195.255', 3285500416, 3285500927, 'GB', 'United Kingdom'),
(126473, '195.212.196.0', '195.212.196.255', 3285500928, 3285501183, 'DK', 'Denmark'),
(126474, '195.212.197.0', '195.212.197.143', 3285501184, 3285501327, 'CZ', 'Czech Republic'),
(126475, '195.212.197.144', '195.212.197.151', 3285501328, 3285501335, 'EU', 'Europe'),
(126476, '195.212.197.152', '195.212.197.159', 3285501336, 3285501343, 'CZ', 'Czech Republic'),
(126477, '195.212.197.160', '195.212.197.191', 3285501344, 3285501375, 'GB', 'United Kingdom'),
(126478, '195.212.197.192', '195.212.197.223', 3285501376, 3285501407, 'CZ', 'Czech Republic'),
(126479, '195.212.197.224', '195.212.197.255', 3285501408, 3285501439, 'EU', 'Europe'),
(126480, '195.212.198.0', '195.212.198.127', 3285501440, 3285501567, 'CZ', 'Czech Republic'),
(126481, '195.212.198.128', '195.212.199.31', 3285501568, 3285501727, 'EU', 'Europe'),
(126482, '195.212.199.32', '195.212.199.63', 3285501728, 3285501759, 'GB', 'United Kingdom'),
(126483, '195.212.199.64', '195.212.199.79', 3285501760, 3285501775, 'CZ', 'Czech Republic'),
(126484, '195.212.199.80', '195.212.200.255', 3285501776, 3285502207, 'EU', 'Europe'),
(126485, '195.212.201.0', '195.212.201.255', 3285502208, 3285502463, 'CZ', 'Czech Republic'),
(126486, '195.212.202.0', '195.212.202.31', 3285502464, 3285502495, 'IL', 'Israel'),
(126487, '195.212.202.32', '195.212.202.39', 3285502496, 3285502503, 'CY', 'Cyprus');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(126488, '195.212.202.40', '195.212.202.47', 3285502504, 3285502511, 'IL', 'Israel'),
(126489, '195.212.202.48', '195.212.202.63', 3285502512, 3285502527, 'CY', 'Cyprus'),
(126490, '195.212.202.64', '195.212.202.127', 3285502528, 3285502591, 'BY', 'Belarus'),
(126491, '195.212.202.128', '195.212.202.191', 3285502592, 3285502655, 'GB', 'United Kingdom'),
(126492, '195.212.202.192', '195.212.202.255', 3285502656, 3285502719, 'IL', 'Israel'),
(126493, '195.212.203.0', '195.212.205.159', 3285502720, 3285503391, 'EU', 'Europe'),
(126494, '195.212.205.160', '195.212.205.191', 3285503392, 3285503423, 'CZ', 'Czech Republic'),
(126495, '195.212.205.192', '195.212.205.255', 3285503424, 3285503487, 'EU', 'Europe'),
(126496, '195.212.206.0', '195.212.206.63', 3285503488, 3285503551, 'ES', 'Spain'),
(126497, '195.212.206.64', '195.212.206.255', 3285503552, 3285503743, 'EU', 'Europe'),
(126498, '195.212.207.0', '195.212.207.255', 3285503744, 3285503999, 'FI', 'Finland'),
(126499, '195.212.208.0', '195.212.209.255', 3285504000, 3285504511, 'EU', 'Europe'),
(126500, '195.212.210.0', '195.212.210.95', 3285504512, 3285504607, 'CZ', 'Czech Republic'),
(126501, '195.212.210.96', '195.212.212.191', 3285504608, 3285505215, 'EU', 'Europe'),
(126502, '195.212.212.192', '195.212.212.255', 3285505216, 3285505279, 'CZ', 'Czech Republic'),
(126503, '195.212.213.0', '195.212.213.159', 3285505280, 3285505439, 'EU', 'Europe'),
(126504, '195.212.213.160', '195.212.213.191', 3285505440, 3285505471, 'CZ', 'Czech Republic'),
(126505, '195.212.213.192', '195.212.215.255', 3285505472, 3285506047, 'EU', 'Europe'),
(126506, '195.212.216.0', '195.212.216.31', 3285506048, 3285506079, 'CZ', 'Czech Republic'),
(126507, '195.212.216.32', '195.212.220.255', 3285506080, 3285507327, 'EU', 'Europe'),
(126508, '195.212.221.0', '195.212.221.63', 3285507328, 3285507391, 'GR', 'Greece'),
(126509, '195.212.221.64', '195.212.222.79', 3285507392, 3285507663, 'EU', 'Europe'),
(126510, '195.212.222.80', '195.212.222.127', 3285507664, 3285507711, 'CZ', 'Czech Republic'),
(126511, '195.212.222.128', '195.212.222.255', 3285507712, 3285507839, 'EU', 'Europe'),
(126512, '195.212.223.0', '195.212.223.255', 3285507840, 3285508095, 'CZ', 'Czech Republic'),
(126513, '195.212.224.0', '195.212.225.255', 3285508096, 3285508607, 'DE', 'Germany'),
(126514, '195.212.226.0', '195.212.226.15', 3285508608, 3285508623, 'RU', 'Russian Federation'),
(126515, '195.212.226.16', '195.212.226.31', 3285508624, 3285508639, 'EU', 'Europe'),
(126516, '195.212.226.32', '195.212.226.63', 3285508640, 3285508671, 'RU', 'Russian Federation'),
(126517, '195.212.226.64', '195.212.226.127', 3285508672, 3285508735, 'EU', 'Europe'),
(126518, '195.212.226.128', '195.212.226.255', 3285508736, 3285508863, 'RU', 'Russian Federation'),
(126519, '195.212.227.0', '195.212.227.7', 3285508864, 3285508871, 'EU', 'Europe'),
(126520, '195.212.227.8', '195.212.227.63', 3285508872, 3285508927, 'PT', 'Portugal'),
(126521, '195.212.227.64', '195.212.227.255', 3285508928, 3285509119, 'EU', 'Europe'),
(126522, '195.212.228.0', '195.212.228.127', 3285509120, 3285509247, 'SE', 'Sweden'),
(126523, '195.212.228.128', '195.212.228.159', 3285509248, 3285509279, 'EU', 'Europe'),
(126524, '195.212.228.160', '195.212.228.191', 3285509280, 3285509311, 'SE', 'Sweden'),
(126525, '195.212.228.192', '195.212.231.127', 3285509312, 3285510015, 'EU', 'Europe'),
(126526, '195.212.231.128', '195.212.231.159', 3285510016, 3285510047, 'HU', 'Hungary'),
(126527, '195.212.231.160', '195.212.231.223', 3285510048, 3285510111, 'EU', 'Europe'),
(126528, '195.212.231.224', '195.212.231.255', 3285510112, 3285510143, 'HU', 'Hungary'),
(126529, '195.212.232.0', '195.212.239.255', 3285510144, 3285512191, 'GB', 'United Kingdom'),
(126530, '195.212.240.0', '195.212.240.127', 3285512192, 3285512319, 'GR', 'Greece'),
(126531, '195.212.240.128', '195.212.240.191', 3285512320, 3285512383, 'EU', 'Europe'),
(126532, '195.212.240.192', '195.212.241.63', 3285512384, 3285512511, 'GR', 'Greece'),
(126533, '195.212.241.64', '195.212.241.127', 3285512512, 3285512575, 'EU', 'Europe'),
(126534, '195.212.241.128', '195.212.242.15', 3285512576, 3285512719, 'GR', 'Greece'),
(126535, '195.212.242.16', '195.212.242.63', 3285512720, 3285512767, 'EU', 'Europe'),
(126536, '195.212.242.64', '195.212.242.127', 3285512768, 3285512831, 'GR', 'Greece'),
(126537, '195.212.242.128', '195.212.243.255', 3285512832, 3285513215, 'EU', 'Europe'),
(126538, '195.212.244.0', '195.212.244.7', 3285513216, 3285513223, 'GB', 'United Kingdom'),
(126539, '195.212.244.8', '195.212.244.15', 3285513224, 3285513231, 'EU', 'Europe'),
(126540, '195.212.244.16', '195.212.244.31', 3285513232, 3285513247, 'GR', 'Greece'),
(126541, '195.212.244.32', '195.212.244.63', 3285513248, 3285513279, 'EU', 'Europe'),
(126542, '195.212.244.64', '195.212.244.127', 3285513280, 3285513343, 'GR', 'Greece'),
(126543, '195.212.244.128', '195.212.245.255', 3285513344, 3285513727, 'EU', 'Europe'),
(126544, '195.212.246.0', '195.212.247.255', 3285513728, 3285514239, 'GR', 'Greece'),
(126545, '195.212.248.0', '195.212.251.255', 3285514240, 3285515263, 'EU', 'Europe'),
(126546, '195.212.252.0', '195.212.252.255', 3285515264, 3285515519, 'AT', 'Austria'),
(126547, '195.212.253.0', '195.212.254.15', 3285515520, 3285515791, 'EU', 'Europe'),
(126548, '195.212.254.16', '195.212.254.27', 3285515792, 3285515803, 'GR', 'Greece'),
(126549, '195.212.254.28', '195.212.255.127', 3285515804, 3285516159, 'EU', 'Europe'),
(126550, '195.212.255.128', '195.212.255.159', 3285516160, 3285516191, 'GR', 'Greece'),
(126551, '195.212.255.160', '195.212.255.191', 3285516192, 3285516223, 'EU', 'Europe'),
(126552, '195.212.255.192', '195.212.255.255', 3285516224, 3285516287, 'GR', 'Greece'),
(126553, '195.213.0.0', '195.213.0.255', 3285516288, 3285516543, 'DK', 'Denmark'),
(126554, '195.213.1.0', '195.213.1.127', 3285516544, 3285516671, 'NO', 'Norway'),
(126555, '195.213.1.128', '195.213.1.143', 3285516672, 3285516687, 'BE', 'Belgium'),
(126556, '195.213.1.144', '195.213.1.147', 3285516688, 3285516691, 'NL', 'Netherlands'),
(126557, '195.213.1.148', '195.213.1.151', 3285516692, 3285516695, 'IT', 'Italy'),
(126558, '195.213.1.152', '195.213.1.159', 3285516696, 3285516703, 'NL', 'Netherlands'),
(126559, '195.213.1.160', '195.213.1.175', 3285516704, 3285516719, 'GB', 'United Kingdom'),
(126560, '195.213.1.176', '195.213.1.191', 3285516720, 3285516735, 'IL', 'Israel'),
(126561, '195.213.1.192', '195.213.1.255', 3285516736, 3285516799, 'DE', 'Germany'),
(126562, '195.213.2.0', '195.213.2.127', 3285516800, 3285516927, 'GB', 'United Kingdom'),
(126563, '195.213.2.128', '195.213.2.191', 3285516928, 3285516991, 'PL', 'Poland'),
(126564, '195.213.2.192', '195.213.2.223', 3285516992, 3285517023, 'BE', 'Belgium'),
(126565, '195.213.2.224', '195.213.2.255', 3285517024, 3285517055, 'SE', 'Sweden'),
(126566, '195.213.3.0', '195.213.3.159', 3285517056, 3285517215, 'GB', 'United Kingdom'),
(126567, '195.213.3.160', '195.213.3.191', 3285517216, 3285517247, 'AT', 'Austria'),
(126568, '195.213.3.192', '195.213.7.255', 3285517248, 3285518335, 'GB', 'United Kingdom'),
(126569, '195.213.8.0', '195.213.8.15', 3285518336, 3285518351, 'NL', 'Netherlands'),
(126570, '195.213.8.16', '195.213.8.31', 3285518352, 3285518367, 'ES', 'Spain'),
(126571, '195.213.8.32', '195.213.8.127', 3285518368, 3285518463, 'BE', 'Belgium'),
(126572, '195.213.8.128', '195.213.8.255', 3285518464, 3285518591, 'ES', 'Spain'),
(126573, '195.213.9.0', '195.213.9.255', 3285518592, 3285518847, 'CH', 'Switzerland'),
(126574, '195.213.10.0', '195.213.10.255', 3285518848, 3285519103, 'BE', 'Belgium'),
(126575, '195.213.11.0', '195.213.11.255', 3285519104, 3285519359, 'FR', 'France'),
(126576, '195.213.12.0', '195.213.12.255', 3285519360, 3285519615, 'DE', 'Germany'),
(126577, '195.213.13.0', '195.213.14.255', 3285519616, 3285520127, 'GB', 'United Kingdom'),
(126578, '195.213.15.0', '195.213.15.255', 3285520128, 3285520383, 'NL', 'Netherlands'),
(126579, '195.213.16.0', '195.213.16.143', 3285520384, 3285520527, 'GB', 'United Kingdom'),
(126580, '195.213.16.144', '195.213.16.159', 3285520528, 3285520543, 'CH', 'Switzerland'),
(126581, '195.213.16.160', '195.213.16.191', 3285520544, 3285520575, 'GB', 'United Kingdom'),
(126582, '195.213.16.192', '195.213.16.255', 3285520576, 3285520639, 'DE', 'Germany'),
(126583, '195.213.17.0', '195.213.17.127', 3285520640, 3285520767, 'NL', 'Netherlands'),
(126584, '195.213.17.128', '195.213.17.255', 3285520768, 3285520895, 'GB', 'United Kingdom'),
(126585, '195.213.18.0', '195.213.19.15', 3285520896, 3285521167, 'BE', 'Belgium'),
(126586, '195.213.19.16', '195.213.19.255', 3285521168, 3285521407, 'GB', 'United Kingdom'),
(126587, '195.213.20.0', '195.213.21.31', 3285521408, 3285521695, 'BE', 'Belgium'),
(126588, '195.213.21.32', '195.213.21.127', 3285521696, 3285521791, 'GB', 'United Kingdom'),
(126589, '195.213.21.128', '195.213.22.255', 3285521792, 3285522175, 'BE', 'Belgium'),
(126590, '195.213.23.0', '195.213.26.127', 3285522176, 3285523071, 'GB', 'United Kingdom'),
(126591, '195.213.26.128', '195.213.26.135', 3285523072, 3285523079, 'BE', 'Belgium'),
(126592, '195.213.26.136', '195.213.26.143', 3285523080, 3285523087, 'ES', 'Spain'),
(126593, '195.213.26.144', '195.213.26.255', 3285523088, 3285523199, 'CH', 'Switzerland'),
(126594, '195.213.27.0', '195.213.27.31', 3285523200, 3285523231, 'ZA', 'South Africa'),
(126595, '195.213.27.32', '195.213.27.127', 3285523232, 3285523327, 'BE', 'Belgium'),
(126596, '195.213.27.128', '195.213.27.135', 3285523328, 3285523335, 'FI', 'Finland'),
(126597, '195.213.27.136', '195.213.27.159', 3285523336, 3285523359, 'BE', 'Belgium'),
(126598, '195.213.27.160', '195.213.27.191', 3285523360, 3285523391, 'GB', 'United Kingdom'),
(126599, '195.213.27.192', '195.213.28.255', 3285523392, 3285523711, 'FR', 'France'),
(126600, '195.213.29.0', '195.213.29.255', 3285523712, 3285523967, 'CH', 'Switzerland'),
(126601, '195.213.30.0', '195.213.30.95', 3285523968, 3285524063, 'GB', 'United Kingdom'),
(126602, '195.213.30.96', '195.213.30.127', 3285524064, 3285524095, 'LU', 'Luxembourg'),
(126603, '195.213.30.128', '195.213.30.191', 3285524096, 3285524159, 'ZA', 'South Africa'),
(126604, '195.213.30.192', '195.213.30.207', 3285524160, 3285524175, 'GB', 'United Kingdom'),
(126605, '195.213.30.208', '195.213.30.223', 3285524176, 3285524191, 'CH', 'Switzerland'),
(126606, '195.213.30.224', '195.213.30.255', 3285524192, 3285524223, 'BE', 'Belgium'),
(126607, '195.213.31.0', '195.213.31.127', 3285524224, 3285524351, 'GB', 'United Kingdom'),
(126608, '195.213.31.128', '195.213.31.255', 3285524352, 3285524479, 'BE', 'Belgium'),
(126609, '195.213.32.0', '195.213.32.255', 3285524480, 3285524735, 'DK', 'Denmark'),
(126610, '195.213.33.0', '195.213.33.127', 3285524736, 3285524863, 'GB', 'United Kingdom'),
(126611, '195.213.33.128', '195.213.33.159', 3285524864, 3285524895, 'BE', 'Belgium'),
(126612, '195.213.33.160', '195.213.33.191', 3285524896, 3285524927, 'ES', 'Spain'),
(126613, '195.213.33.192', '195.213.33.255', 3285524928, 3285524991, 'GB', 'United Kingdom'),
(126614, '195.213.34.0', '195.213.34.255', 3285524992, 3285525247, 'BE', 'Belgium'),
(126615, '195.213.35.0', '195.213.35.255', 3285525248, 3285525503, 'CH', 'Switzerland'),
(126616, '195.213.36.0', '195.213.37.255', 3285525504, 3285526015, 'BE', 'Belgium'),
(126617, '195.213.38.0', '195.213.38.7', 3285526016, 3285526023, 'IL', 'Israel'),
(126618, '195.213.38.8', '195.213.38.19', 3285526024, 3285526035, 'BE', 'Belgium'),
(126619, '195.213.38.20', '195.213.38.23', 3285526036, 3285526039, 'FR', 'France'),
(126620, '195.213.38.24', '195.213.38.31', 3285526040, 3285526047, 'BE', 'Belgium'),
(126621, '195.213.38.32', '195.213.38.63', 3285526048, 3285526079, 'CZ', 'Czech Republic'),
(126622, '195.213.38.64', '195.213.38.127', 3285526080, 3285526143, 'BE', 'Belgium'),
(126623, '195.213.38.128', '195.213.38.159', 3285526144, 3285526175, 'HU', 'Hungary'),
(126624, '195.213.38.160', '195.213.39.111', 3285526176, 3285526383, 'BE', 'Belgium'),
(126625, '195.213.39.112', '195.213.39.127', 3285526384, 3285526399, 'PT', 'Portugal'),
(126626, '195.213.39.128', '195.213.39.255', 3285526400, 3285526527, 'CH', 'Switzerland'),
(126627, '195.213.40.0', '195.213.40.255', 3285526528, 3285526783, 'ES', 'Spain'),
(126628, '195.213.41.0', '195.213.41.31', 3285526784, 3285526815, 'CH', 'Switzerland'),
(126629, '195.213.41.32', '195.213.41.63', 3285526816, 3285526847, 'BE', 'Belgium'),
(126630, '195.213.41.64', '195.213.41.127', 3285526848, 3285526911, 'CH', 'Switzerland'),
(126631, '195.213.41.128', '195.213.42.255', 3285526912, 3285527295, 'GB', 'United Kingdom'),
(126632, '195.213.43.0', '195.213.43.127', 3285527296, 3285527423, 'BE', 'Belgium'),
(126633, '195.213.43.128', '195.213.43.131', 3285527424, 3285527427, 'GB', 'United Kingdom'),
(126634, '195.213.43.132', '195.213.43.135', 3285527428, 3285527431, 'BE', 'Belgium'),
(126635, '195.213.43.136', '195.213.43.143', 3285527432, 3285527439, 'FR', 'France'),
(126636, '195.213.43.144', '195.213.43.159', 3285527440, 3285527455, 'LU', 'Luxembourg'),
(126637, '195.213.43.160', '195.213.43.191', 3285527456, 3285527487, 'IL', 'Israel'),
(126638, '195.213.43.192', '195.213.43.199', 3285527488, 3285527495, 'BE', 'Belgium'),
(126639, '195.213.43.200', '195.213.43.207', 3285527496, 3285527503, 'DE', 'Germany'),
(126640, '195.213.43.208', '195.213.43.223', 3285527504, 3285527519, 'JP', 'Japan'),
(126641, '195.213.43.224', '195.213.43.255', 3285527520, 3285527551, 'BE', 'Belgium'),
(126642, '195.213.44.0', '195.213.44.63', 3285527552, 3285527615, 'IL', 'Israel'),
(126643, '195.213.44.64', '195.213.44.127', 3285527616, 3285527679, 'GB', 'United Kingdom'),
(126644, '195.213.44.128', '195.213.44.255', 3285527680, 3285527807, 'BE', 'Belgium'),
(126645, '195.213.45.0', '195.213.45.3', 3285527808, 3285527811, 'GB', 'United Kingdom'),
(126646, '195.213.45.4', '195.213.45.7', 3285527812, 3285527815, 'PL', 'Poland'),
(126647, '195.213.45.8', '195.213.45.47', 3285527816, 3285527855, 'BE', 'Belgium'),
(126648, '195.213.45.48', '195.213.45.63', 3285527856, 3285527871, 'FR', 'France'),
(126649, '195.213.45.64', '195.213.45.159', 3285527872, 3285527967, 'BE', 'Belgium'),
(126650, '195.213.45.160', '195.213.45.191', 3285527968, 3285527999, 'DE', 'Germany'),
(126651, '195.213.45.192', '195.213.46.255', 3285528000, 3285528319, 'BE', 'Belgium'),
(126652, '195.213.47.0', '195.213.47.127', 3285528320, 3285528447, 'DE', 'Germany'),
(126653, '195.213.47.128', '195.213.47.255', 3285528448, 3285528575, 'FR', 'France'),
(126654, '195.213.48.0', '195.213.48.223', 3285528576, 3285528799, 'BE', 'Belgium'),
(126655, '195.213.48.224', '195.213.48.255', 3285528800, 3285528831, 'GB', 'United Kingdom'),
(126656, '195.213.49.0', '195.213.49.15', 3285528832, 3285528847, 'BE', 'Belgium'),
(126657, '195.213.49.16', '195.213.49.31', 3285528848, 3285528863, 'ZA', 'South Africa'),
(126658, '195.213.49.32', '195.213.49.51', 3285528864, 3285528883, 'BE', 'Belgium'),
(126659, '195.213.49.52', '195.213.49.55', 3285528884, 3285528887, 'FR', 'France'),
(126660, '195.213.49.56', '195.213.49.63', 3285528888, 3285528895, 'BE', 'Belgium'),
(126661, '195.213.49.64', '195.213.49.79', 3285528896, 3285528911, 'GB', 'United Kingdom'),
(126662, '195.213.49.80', '195.213.49.99', 3285528912, 3285528931, 'BE', 'Belgium'),
(126663, '195.213.49.100', '195.213.49.103', 3285528932, 3285528935, 'FR', 'France'),
(126664, '195.213.49.104', '195.213.49.111', 3285528936, 3285528943, 'BE', 'Belgium'),
(126665, '195.213.49.112', '195.213.49.239', 3285528944, 3285529071, 'GB', 'United Kingdom'),
(126666, '195.213.49.240', '195.213.50.63', 3285529072, 3285529151, 'BE', 'Belgium'),
(126667, '195.213.50.64', '195.213.50.95', 3285529152, 3285529183, 'DE', 'Germany'),
(126668, '195.213.50.96', '195.213.50.111', 3285529184, 3285529199, 'NL', 'Netherlands'),
(126669, '195.213.50.112', '195.213.50.127', 3285529200, 3285529215, 'IL', 'Israel'),
(126670, '195.213.50.128', '195.213.50.159', 3285529216, 3285529247, 'CH', 'Switzerland'),
(126671, '195.213.50.160', '195.213.50.175', 3285529248, 3285529263, 'GB', 'United Kingdom'),
(126672, '195.213.50.176', '195.213.50.255', 3285529264, 3285529343, 'BE', 'Belgium'),
(126673, '195.213.51.0', '195.213.51.255', 3285529344, 3285529599, 'IT', 'Italy'),
(126674, '195.213.52.0', '195.213.52.31', 3285529600, 3285529631, 'NO', 'Norway'),
(126675, '195.213.52.32', '195.213.52.63', 3285529632, 3285529663, 'IE', 'Ireland'),
(126676, '195.213.52.64', '195.213.52.79', 3285529664, 3285529679, 'LI', 'Liechtenstein'),
(126677, '195.213.52.80', '195.213.52.87', 3285529680, 3285529687, 'FI', 'Finland'),
(126678, '195.213.52.88', '195.213.52.95', 3285529688, 3285529695, 'IT', 'Italy'),
(126679, '195.213.52.96', '195.213.52.127', 3285529696, 3285529727, 'BE', 'Belgium'),
(126680, '195.213.52.128', '195.213.52.255', 3285529728, 3285529855, 'GB', 'United Kingdom'),
(126681, '195.213.53.0', '195.213.53.95', 3285529856, 3285529951, 'LU', 'Luxembourg'),
(126682, '195.213.53.96', '195.213.53.127', 3285529952, 3285529983, 'GR', 'Greece'),
(126683, '195.213.53.128', '195.213.53.143', 3285529984, 3285529999, 'CZ', 'Czech Republic'),
(126684, '195.213.53.144', '195.213.54.31', 3285530000, 3285530143, 'BE', 'Belgium'),
(126685, '195.213.54.32', '195.213.54.63', 3285530144, 3285530175, 'GB', 'United Kingdom'),
(126686, '195.213.54.64', '195.213.54.71', 3285530176, 3285530183, 'NL', 'Netherlands'),
(126687, '195.213.54.72', '195.213.54.103', 3285530184, 3285530215, 'BE', 'Belgium'),
(126688, '195.213.54.104', '195.213.54.111', 3285530216, 3285530223, 'GB', 'United Kingdom'),
(126689, '195.213.54.112', '195.213.54.159', 3285530224, 3285530271, 'FR', 'France'),
(126690, '195.213.54.160', '195.213.55.31', 3285530272, 3285530399, 'BE', 'Belgium'),
(126691, '195.213.55.32', '195.213.55.63', 3285530400, 3285530431, 'NL', 'Netherlands'),
(126692, '195.213.55.64', '195.213.55.95', 3285530432, 3285530463, 'IT', 'Italy'),
(126693, '195.213.55.96', '195.213.55.127', 3285530464, 3285530495, 'DE', 'Germany'),
(126694, '195.213.55.128', '195.213.55.191', 3285530496, 3285530559, 'AT', 'Austria'),
(126695, '195.213.55.192', '195.213.55.207', 3285530560, 3285530575, 'BE', 'Belgium'),
(126696, '195.213.55.208', '195.213.55.215', 3285530576, 3285530583, 'GB', 'United Kingdom'),
(126697, '195.213.55.216', '195.213.55.223', 3285530584, 3285530591, 'BE', 'Belgium'),
(126698, '195.213.55.224', '195.213.55.239', 3285530592, 3285530607, 'GB', 'United Kingdom'),
(126699, '195.213.55.240', '195.213.56.31', 3285530608, 3285530655, 'BE', 'Belgium'),
(126700, '195.213.56.32', '195.213.56.63', 3285530656, 3285530687, 'ZA', 'South Africa'),
(126701, '195.213.56.64', '195.213.56.95', 3285530688, 3285530719, 'GB', 'United Kingdom'),
(126702, '195.213.56.96', '195.213.56.99', 3285530720, 3285530723, 'BE', 'Belgium'),
(126703, '195.213.56.100', '195.213.56.103', 3285530724, 3285530727, 'GB', 'United Kingdom'),
(126704, '195.213.56.104', '195.213.56.111', 3285530728, 3285530735, 'DE', 'Germany'),
(126705, '195.213.56.112', '195.213.56.115', 3285530736, 3285530739, 'GB', 'United Kingdom'),
(126706, '195.213.56.116', '195.213.56.119', 3285530740, 3285530743, 'BE', 'Belgium'),
(126707, '195.213.56.120', '195.213.56.127', 3285530744, 3285530751, 'GB', 'United Kingdom'),
(126708, '195.213.56.128', '195.213.56.143', 3285530752, 3285530767, 'IT', 'Italy'),
(126709, '195.213.56.144', '195.213.56.159', 3285530768, 3285530783, 'DE', 'Germany'),
(126710, '195.213.56.160', '195.213.56.191', 3285530784, 3285530815, 'BE', 'Belgium'),
(126711, '195.213.56.192', '195.213.56.207', 3285530816, 3285530831, 'GB', 'United Kingdom'),
(126712, '195.213.56.208', '195.213.56.255', 3285530832, 3285530879, 'BE', 'Belgium'),
(126713, '195.213.57.0', '195.213.57.31', 3285530880, 3285530911, 'CH', 'Switzerland'),
(126714, '195.213.57.32', '195.213.57.95', 3285530912, 3285530975, 'GB', 'United Kingdom'),
(126715, '195.213.57.96', '195.213.57.103', 3285530976, 3285530983, 'BE', 'Belgium'),
(126716, '195.213.57.104', '195.213.57.111', 3285530984, 3285530991, 'IE', 'Ireland'),
(126717, '195.213.57.112', '195.213.57.127', 3285530992, 3285531007, 'GB', 'United Kingdom'),
(126718, '195.213.57.128', '195.213.57.143', 3285531008, 3285531023, 'FR', 'France'),
(126719, '195.213.57.144', '195.213.57.159', 3285531024, 3285531039, 'LU', 'Luxembourg'),
(126720, '195.213.57.160', '195.213.57.191', 3285531040, 3285531071, 'ES', 'Spain'),
(126721, '195.213.57.192', '195.213.57.223', 3285531072, 3285531103, 'NL', 'Netherlands'),
(126722, '195.213.57.224', '195.213.57.239', 3285531104, 3285531119, 'FR', 'France'),
(126723, '195.213.57.240', '195.213.58.127', 3285531120, 3285531263, 'BE', 'Belgium'),
(126724, '195.213.58.128', '195.213.58.175', 3285531264, 3285531311, 'GB', 'United Kingdom'),
(126725, '195.213.58.176', '195.213.58.191', 3285531312, 3285531327, 'DK', 'Denmark'),
(126726, '195.213.58.192', '195.213.58.207', 3285531328, 3285531343, 'BE', 'Belgium'),
(126727, '195.213.58.208', '195.213.58.215', 3285531344, 3285531351, 'GB', 'United Kingdom'),
(126728, '195.213.58.216', '195.213.58.219', 3285531352, 3285531355, 'FR', 'France'),
(126729, '195.213.58.220', '195.213.58.223', 3285531356, 3285531359, 'ES', 'Spain'),
(126730, '195.213.58.224', '195.213.58.231', 3285531360, 3285531367, 'BE', 'Belgium'),
(126731, '195.213.58.232', '195.213.58.239', 3285531368, 3285531375, 'DE', 'Germany'),
(126732, '195.213.58.240', '195.213.58.247', 3285531376, 3285531383, 'BE', 'Belgium'),
(126733, '195.213.58.248', '195.213.58.255', 3285531384, 3285531391, 'DE', 'Germany'),
(126734, '195.213.59.0', '195.213.59.31', 3285531392, 3285531423, 'BE', 'Belgium'),
(126735, '195.213.59.32', '195.213.59.63', 3285531424, 3285531455, 'DE', 'Germany'),
(126736, '195.213.59.64', '195.213.59.103', 3285531456, 3285531495, 'BE', 'Belgium'),
(126737, '195.213.59.104', '195.213.59.111', 3285531496, 3285531503, 'NL', 'Netherlands'),
(126738, '195.213.59.112', '195.213.59.127', 3285531504, 3285531519, 'FR', 'France'),
(126739, '195.213.59.128', '195.213.59.143', 3285531520, 3285531535, 'BE', 'Belgium'),
(126740, '195.213.59.144', '195.213.59.159', 3285531536, 3285531551, 'DE', 'Germany'),
(126741, '195.213.59.160', '195.213.59.175', 3285531552, 3285531567, 'IL', 'Israel'),
(126742, '195.213.59.176', '195.213.59.223', 3285531568, 3285531615, 'BE', 'Belgium'),
(126743, '195.213.59.224', '195.213.59.255', 3285531616, 3285531647, 'NL', 'Netherlands'),
(126744, '195.213.60.0', '195.213.60.255', 3285531648, 3285531903, 'BE', 'Belgium'),
(126745, '195.213.61.0', '195.213.61.255', 3285531904, 3285532159, 'GB', 'United Kingdom'),
(126746, '195.213.62.0', '195.213.62.63', 3285532160, 3285532223, 'BE', 'Belgium'),
(126747, '195.213.62.64', '195.213.62.71', 3285532224, 3285532231, 'ES', 'Spain'),
(126748, '195.213.62.72', '195.213.62.255', 3285532232, 3285532415, 'BE', 'Belgium'),
(126749, '195.213.63.0', '195.213.64.15', 3285532416, 3285532687, 'IT', 'Italy'),
(126750, '195.213.64.16', '195.213.64.31', 3285532688, 3285532703, 'DE', 'Germany'),
(126751, '195.213.64.32', '195.213.64.39', 3285532704, 3285532711, 'BE', 'Belgium'),
(126752, '195.213.64.40', '195.213.64.47', 3285532712, 3285532719, 'RU', 'Russian Federation'),
(126753, '195.213.64.48', '195.213.64.63', 3285532720, 3285532735, 'IT', 'Italy'),
(126754, '195.213.64.64', '195.213.64.127', 3285532736, 3285532799, 'CH', 'Switzerland'),
(126755, '195.213.64.128', '195.213.64.159', 3285532800, 3285532831, 'DE', 'Germany'),
(126756, '195.213.64.160', '195.213.64.175', 3285532832, 3285532847, 'FI', 'Finland'),
(126757, '195.213.64.176', '195.213.64.191', 3285532848, 3285532863, 'IT', 'Italy'),
(126758, '195.213.64.192', '195.213.64.223', 3285532864, 3285532895, 'BE', 'Belgium'),
(126759, '195.213.64.224', '195.213.65.31', 3285532896, 3285532959, 'IT', 'Italy'),
(126760, '195.213.65.32', '195.213.65.111', 3285532960, 3285533039, 'BE', 'Belgium'),
(126761, '195.213.65.112', '195.213.65.119', 3285533040, 3285533047, 'NL', 'Netherlands'),
(126762, '195.213.65.120', '195.213.65.127', 3285533048, 3285533055, 'BE', 'Belgium'),
(126763, '195.213.65.128', '195.213.65.131', 3285533056, 3285533059, 'NL', 'Netherlands'),
(126764, '195.213.65.132', '195.213.65.159', 3285533060, 3285533087, 'BE', 'Belgium'),
(126765, '195.213.65.160', '195.213.65.175', 3285533088, 3285533103, 'IT', 'Italy'),
(126766, '195.213.65.176', '195.213.65.191', 3285533104, 3285533119, 'LU', 'Luxembourg'),
(126767, '195.213.65.192', '195.213.65.199', 3285533120, 3285533127, 'BE', 'Belgium'),
(126768, '195.213.65.200', '195.213.65.207', 3285533128, 3285533135, 'SE', 'Sweden'),
(126769, '195.213.65.208', '195.213.65.223', 3285533136, 3285533151, 'GB', 'United Kingdom'),
(126770, '195.213.65.224', '195.213.65.255', 3285533152, 3285533183, 'FR', 'France'),
(126771, '195.213.66.0', '195.213.66.127', 3285533184, 3285533311, 'IT', 'Italy'),
(126772, '195.213.66.128', '195.213.66.159', 3285533312, 3285533343, 'SE', 'Sweden'),
(126773, '195.213.66.160', '195.213.66.183', 3285533344, 3285533367, 'BE', 'Belgium'),
(126774, '195.213.66.184', '195.213.66.191', 3285533368, 3285533375, 'CH', 'Switzerland'),
(126775, '195.213.66.192', '195.213.67.31', 3285533376, 3285533471, 'GB', 'United Kingdom'),
(126776, '195.213.67.32', '195.213.67.63', 3285533472, 3285533503, 'BE', 'Belgium'),
(126777, '195.213.67.64', '195.213.67.79', 3285533504, 3285533519, 'GB', 'United Kingdom'),
(126778, '195.213.67.80', '195.213.67.95', 3285533520, 3285533535, 'SE', 'Sweden'),
(126779, '195.213.67.96', '195.213.67.103', 3285533536, 3285533543, 'BE', 'Belgium'),
(126780, '195.213.67.104', '195.213.67.111', 3285533544, 3285533551, 'DE', 'Germany'),
(126781, '195.213.67.112', '195.213.67.127', 3285533552, 3285533567, 'GB', 'United Kingdom'),
(126782, '195.213.67.128', '195.213.68.255', 3285533568, 3285533951, 'IT', 'Italy'),
(126783, '195.213.69.0', '195.213.69.127', 3285533952, 3285534079, 'IL', 'Israel'),
(126784, '195.213.69.128', '195.213.69.143', 3285534080, 3285534095, 'IT', 'Italy'),
(126785, '195.213.69.144', '195.213.69.159', 3285534096, 3285534111, 'TR', 'Turkey'),
(126786, '195.213.69.160', '195.213.69.191', 3285534112, 3285534143, 'BE', 'Belgium'),
(126787, '195.213.69.192', '195.213.69.255', 3285534144, 3285534207, 'IT', 'Italy'),
(126788, '195.213.70.0', '195.213.70.255', 3285534208, 3285534463, 'PT', 'Portugal'),
(126789, '195.213.71.0', '195.213.71.15', 3285534464, 3285534479, 'NL', 'Netherlands'),
(126790, '195.213.71.16', '195.213.71.63', 3285534480, 3285534527, 'BE', 'Belgium'),
(126791, '195.213.71.64', '195.213.71.95', 3285534528, 3285534559, 'FR', 'France'),
(126792, '195.213.71.96', '195.213.71.127', 3285534560, 3285534591, 'IT', 'Italy'),
(126793, '195.213.71.128', '195.213.71.163', 3285534592, 3285534627, 'GB', 'United Kingdom'),
(126794, '195.213.71.164', '195.213.71.175', 3285534628, 3285534639, 'BE', 'Belgium'),
(126795, '195.213.71.176', '195.213.71.191', 3285534640, 3285534655, 'GB', 'United Kingdom'),
(126796, '195.213.71.192', '195.213.71.255', 3285534656, 3285534719, 'IT', 'Italy'),
(126797, '195.213.72.0', '195.213.72.31', 3285534720, 3285534751, 'GB', 'United Kingdom'),
(126798, '195.213.72.32', '195.213.72.47', 3285534752, 3285534767, 'BE', 'Belgium'),
(126799, '195.213.72.48', '195.213.72.63', 3285534768, 3285534783, 'GB', 'United Kingdom'),
(126800, '195.213.72.64', '195.213.72.79', 3285534784, 3285534799, 'DK', 'Denmark'),
(126801, '195.213.72.80', '195.213.72.95', 3285534800, 3285534815, 'ES', 'Spain'),
(126802, '195.213.72.96', '195.213.72.111', 3285534816, 3285534831, 'HU', 'Hungary'),
(126803, '195.213.72.112', '195.213.72.207', 3285534832, 3285534927, 'IE', 'Ireland'),
(126804, '195.213.72.208', '195.213.72.223', 3285534928, 3285534943, 'GB', 'United Kingdom'),
(126805, '195.213.72.224', '195.213.72.255', 3285534944, 3285534975, 'BE', 'Belgium'),
(126806, '195.213.73.0', '195.213.73.127', 3285534976, 3285535103, 'IT', 'Italy'),
(126807, '195.213.73.128', '195.213.73.147', 3285535104, 3285535123, 'BE', 'Belgium'),
(126808, '195.213.73.148', '195.213.73.151', 3285535124, 3285535127, 'ES', 'Spain'),
(126809, '195.213.73.152', '195.213.73.155', 3285535128, 3285535131, 'BE', 'Belgium'),
(126810, '195.213.73.156', '195.213.73.159', 3285535132, 3285535135, 'NL', 'Netherlands'),
(126811, '195.213.73.160', '195.213.73.163', 3285535136, 3285535139, 'FR', 'France'),
(126812, '195.213.73.164', '195.213.73.167', 3285535140, 3285535143, 'BE', 'Belgium'),
(126813, '195.213.73.168', '195.213.73.171', 3285535144, 3285535147, 'GR', 'Greece'),
(126814, '195.213.73.172', '195.213.73.175', 3285535148, 3285535151, 'CZ', 'Czech Republic'),
(126815, '195.213.73.176', '195.213.73.179', 3285535152, 3285535155, 'SE', 'Sweden'),
(126816, '195.213.73.180', '195.213.73.255', 3285535156, 3285535231, 'BE', 'Belgium'),
(126817, '195.213.74.0', '195.213.75.255', 3285535232, 3285535743, 'NO', 'Norway'),
(126818, '195.213.76.0', '195.213.76.127', 3285535744, 3285535871, 'IT', 'Italy'),
(126819, '195.213.76.128', '195.213.76.159', 3285535872, 3285535903, 'FR', 'France'),
(126820, '195.213.76.160', '195.213.76.163', 3285535904, 3285535907, 'DK', 'Denmark'),
(126821, '195.213.76.164', '195.213.76.167', 3285535908, 3285535911, 'NO', 'Norway'),
(126822, '195.213.76.168', '195.213.76.175', 3285535912, 3285535919, 'BE', 'Belgium'),
(126823, '195.213.76.176', '195.213.76.183', 3285535920, 3285535927, 'NL', 'Netherlands'),
(126824, '195.213.76.184', '195.213.76.207', 3285535928, 3285535951, 'BE', 'Belgium'),
(126825, '195.213.76.208', '195.213.76.223', 3285535952, 3285535967, 'GB', 'United Kingdom'),
(126826, '195.213.76.224', '195.213.76.255', 3285535968, 3285535999, 'BE', 'Belgium'),
(126827, '195.213.77.0', '195.213.77.63', 3285536000, 3285536063, 'GB', 'United Kingdom'),
(126828, '195.213.77.64', '195.213.77.79', 3285536064, 3285536079, 'BE', 'Belgium'),
(126829, '195.213.77.80', '195.213.77.95', 3285536080, 3285536095, 'IT', 'Italy'),
(126830, '195.213.77.96', '195.213.77.111', 3285536096, 3285536111, 'GB', 'United Kingdom'),
(126831, '195.213.77.112', '195.213.77.255', 3285536112, 3285536255, 'BE', 'Belgium'),
(126832, '195.213.78.0', '195.213.78.255', 3285536256, 3285536511, 'GB', 'United Kingdom'),
(126833, '195.213.79.0', '195.213.79.31', 3285536512, 3285536543, 'LU', 'Luxembourg'),
(126834, '195.213.79.32', '195.213.79.63', 3285536544, 3285536575, 'DE', 'Germany'),
(126835, '195.213.79.64', '195.213.79.95', 3285536576, 3285536607, 'IL', 'Israel'),
(126836, '195.213.79.96', '195.213.79.191', 3285536608, 3285536703, 'BE', 'Belgium'),
(126837, '195.213.79.192', '195.213.79.223', 3285536704, 3285536735, 'GB', 'United Kingdom'),
(126838, '195.213.79.224', '195.213.79.227', 3285536736, 3285536739, 'IT', 'Italy'),
(126839, '195.213.79.228', '195.213.79.231', 3285536740, 3285536743, 'GB', 'United Kingdom'),
(126840, '195.213.79.232', '195.213.79.235', 3285536744, 3285536747, 'DE', 'Germany'),
(126841, '195.213.79.236', '195.213.79.239', 3285536748, 3285536751, 'AT', 'Austria'),
(126842, '195.213.79.240', '195.213.79.243', 3285536752, 3285536755, 'BE', 'Belgium'),
(126843, '195.213.79.244', '195.213.79.247', 3285536756, 3285536759, 'IL', 'Israel'),
(126844, '195.213.79.248', '195.213.79.255', 3285536760, 3285536767, 'BE', 'Belgium'),
(126845, '195.213.80.0', '195.213.80.191', 3285536768, 3285536959, 'DK', 'Denmark'),
(126846, '195.213.80.192', '195.213.80.223', 3285536960, 3285536991, 'ES', 'Spain'),
(126847, '195.213.80.224', '195.213.80.255', 3285536992, 3285537023, 'GB', 'United Kingdom'),
(126848, '195.213.81.0', '195.213.81.63', 3285537024, 3285537087, 'IL', 'Israel'),
(126849, '195.213.81.64', '195.213.81.103', 3285537088, 3285537127, 'GB', 'United Kingdom'),
(126850, '195.213.81.104', '195.213.81.111', 3285537128, 3285537135, 'BE', 'Belgium'),
(126851, '195.213.81.112', '195.213.81.119', 3285537136, 3285537143, 'DK', 'Denmark'),
(126852, '195.213.81.120', '195.213.81.127', 3285537144, 3285537151, 'GB', 'United Kingdom'),
(126853, '195.213.81.128', '195.213.81.143', 3285537152, 3285537167, 'DK', 'Denmark'),
(126854, '195.213.81.144', '195.213.81.151', 3285537168, 3285537175, 'CH', 'Switzerland'),
(126855, '195.213.81.152', '195.213.81.159', 3285537176, 3285537183, 'BE', 'Belgium'),
(126856, '195.213.81.160', '195.213.81.191', 3285537184, 3285537215, 'DE', 'Germany'),
(126857, '195.213.81.192', '195.213.81.207', 3285537216, 3285537231, 'GB', 'United Kingdom'),
(126858, '195.213.81.208', '195.213.82.255', 3285537232, 3285537535, 'BE', 'Belgium'),
(126859, '195.213.83.0', '195.213.83.63', 3285537536, 3285537599, 'RU', 'Russian Federation'),
(126860, '195.213.83.64', '195.213.83.79', 3285537600, 3285537615, 'FR', 'France'),
(126861, '195.213.83.80', '195.213.83.95', 3285537616, 3285537631, 'BE', 'Belgium'),
(126862, '195.213.83.96', '195.213.83.127', 3285537632, 3285537663, 'SE', 'Sweden'),
(126863, '195.213.83.128', '195.213.83.191', 3285537664, 3285537727, 'DE', 'Germany'),
(126864, '195.213.83.192', '195.213.83.223', 3285537728, 3285537759, 'IT', 'Italy'),
(126865, '195.213.83.224', '195.213.83.255', 3285537760, 3285537791, 'LU', 'Luxembourg'),
(126866, '195.213.84.0', '195.213.84.127', 3285537792, 3285537919, 'NL', 'Netherlands'),
(126867, '195.213.84.128', '195.213.84.255', 3285537920, 3285538047, 'LU', 'Luxembourg'),
(126868, '195.213.85.0', '195.213.85.127', 3285538048, 3285538175, 'NL', 'Netherlands'),
(126869, '195.213.85.128', '195.213.85.135', 3285538176, 3285538183, 'DE', 'Germany'),
(126870, '195.213.85.136', '195.213.85.139', 3285538184, 3285538187, 'LU', 'Luxembourg'),
(126871, '195.213.85.140', '195.213.85.159', 3285538188, 3285538207, 'BE', 'Belgium'),
(126872, '195.213.85.160', '195.213.85.191', 3285538208, 3285538239, 'LU', 'Luxembourg'),
(126873, '195.213.85.192', '195.213.85.223', 3285538240, 3285538271, 'NO', 'Norway'),
(126874, '195.213.85.224', '195.213.85.239', 3285538272, 3285538287, 'FI', 'Finland'),
(126875, '195.213.85.240', '195.213.85.247', 3285538288, 3285538295, 'CH', 'Switzerland'),
(126876, '195.213.85.248', '195.213.85.251', 3285538296, 3285538299, 'BE', 'Belgium'),
(126877, '195.213.85.252', '195.213.86.15', 3285538300, 3285538319, 'GB', 'United Kingdom'),
(126878, '195.213.86.16', '195.213.86.23', 3285538320, 3285538327, 'LU', 'Luxembourg'),
(126879, '195.213.86.24', '195.213.86.31', 3285538328, 3285538335, 'BE', 'Belgium'),
(126880, '195.213.86.32', '195.213.86.47', 3285538336, 3285538351, 'GB', 'United Kingdom'),
(126881, '195.213.86.48', '195.213.86.63', 3285538352, 3285538367, 'LU', 'Luxembourg'),
(126882, '195.213.86.64', '195.213.86.71', 3285538368, 3285538375, 'BE', 'Belgium'),
(126883, '195.213.86.72', '195.213.86.79', 3285538376, 3285538383, 'AT', 'Austria'),
(126884, '195.213.86.80', '195.213.86.95', 3285538384, 3285538399, 'BE', 'Belgium'),
(126885, '195.213.86.96', '195.213.86.127', 3285538400, 3285538431, 'DK', 'Denmark'),
(126886, '195.213.86.128', '195.213.87.63', 3285538432, 3285538623, 'BE', 'Belgium'),
(126887, '195.213.87.64', '195.213.87.127', 3285538624, 3285538687, 'LU', 'Luxembourg'),
(126888, '195.213.87.128', '195.213.87.159', 3285538688, 3285538719, 'BE', 'Belgium'),
(126889, '195.213.87.160', '195.213.87.191', 3285538720, 3285538751, 'DE', 'Germany'),
(126890, '195.213.87.192', '195.213.87.195', 3285538752, 3285538755, 'IT', 'Italy'),
(126891, '195.213.87.196', '195.213.87.199', 3285538756, 3285538759, 'FR', 'France'),
(126892, '195.213.87.200', '195.213.87.203', 3285538760, 3285538763, 'IE', 'Ireland'),
(126893, '195.213.87.204', '195.213.87.207', 3285538764, 3285538767, 'BE', 'Belgium'),
(126894, '195.213.87.208', '195.213.87.223', 3285538768, 3285538783, 'CZ', 'Czech Republic'),
(126895, '195.213.87.224', '195.213.87.255', 3285538784, 3285538815, 'BE', 'Belgium'),
(126896, '195.213.88.0', '195.213.88.31', 3285538816, 3285538847, 'CH', 'Switzerland'),
(126897, '195.213.88.32', '195.213.88.63', 3285538848, 3285538879, 'BE', 'Belgium'),
(126898, '195.213.88.64', '195.213.88.255', 3285538880, 3285539071, 'ES', 'Spain'),
(126899, '195.213.89.0', '195.213.89.255', 3285539072, 3285539327, 'NL', 'Netherlands'),
(126900, '195.213.90.0', '195.213.90.255', 3285539328, 3285539583, 'BE', 'Belgium'),
(126901, '195.213.91.0', '195.213.91.127', 3285539584, 3285539711, 'IE', 'Ireland'),
(126902, '195.213.91.128', '195.213.91.255', 3285539712, 3285539839, 'GB', 'United Kingdom'),
(126903, '195.213.92.0', '195.213.92.127', 3285539840, 3285539967, 'IT', 'Italy'),
(126904, '195.213.92.128', '195.213.92.191', 3285539968, 3285540031, 'GB', 'United Kingdom'),
(126905, '195.213.92.192', '195.213.92.255', 3285540032, 3285540095, 'ZA', 'South Africa'),
(126906, '195.213.93.0', '195.213.93.7', 3285540096, 3285540103, 'GB', 'United Kingdom'),
(126907, '195.213.93.8', '195.213.93.11', 3285540104, 3285540107, 'IT', 'Italy'),
(126908, '195.213.93.12', '195.213.93.15', 3285540108, 3285540111, 'BE', 'Belgium'),
(126909, '195.213.93.16', '195.213.93.31', 3285540112, 3285540127, 'IL', 'Israel'),
(126910, '195.213.93.32', '195.213.93.63', 3285540128, 3285540159, 'ZA', 'South Africa'),
(126911, '195.213.93.64', '195.213.93.95', 3285540160, 3285540191, 'FI', 'Finland'),
(126912, '195.213.93.96', '195.213.93.111', 3285540192, 3285540207, 'CH', 'Switzerland'),
(126913, '195.213.93.112', '195.213.93.119', 3285540208, 3285540215, 'IE', 'Ireland'),
(126914, '195.213.93.120', '195.213.93.123', 3285540216, 3285540219, 'BE', 'Belgium'),
(126915, '195.213.93.124', '195.213.93.127', 3285540220, 3285540223, 'ZA', 'South Africa'),
(126916, '195.213.93.128', '195.213.93.255', 3285540224, 3285540351, 'CZ', 'Czech Republic'),
(126917, '195.213.94.0', '195.213.94.63', 3285540352, 3285540415, 'PT', 'Portugal'),
(126918, '195.213.94.64', '195.213.94.71', 3285540416, 3285540423, 'ZA', 'South Africa'),
(126919, '195.213.94.72', '195.213.94.95', 3285540424, 3285540447, 'BE', 'Belgium'),
(126920, '195.213.94.96', '195.213.94.127', 3285540448, 3285540479, 'DE', 'Germany'),
(126921, '195.213.94.128', '195.213.94.255', 3285540480, 3285540607, 'NL', 'Netherlands'),
(126922, '195.213.95.0', '195.213.95.63', 3285540608, 3285540671, 'BE', 'Belgium'),
(126923, '195.213.95.64', '195.213.95.127', 3285540672, 3285540735, 'DE', 'Germany'),
(126924, '195.213.95.128', '195.213.95.255', 3285540736, 3285540863, 'BE', 'Belgium'),
(126925, '195.213.96.0', '195.213.96.7', 3285540864, 3285540871, 'FR', 'France'),
(126926, '195.213.96.8', '195.213.96.15', 3285540872, 3285540879, 'BE', 'Belgium'),
(126927, '195.213.96.16', '195.213.97.255', 3285540880, 3285541375, 'FR', 'France'),
(126928, '195.213.98.0', '195.213.98.15', 3285541376, 3285541391, 'GB', 'United Kingdom'),
(126929, '195.213.98.16', '195.213.98.63', 3285541392, 3285541439, 'FR', 'France'),
(126930, '195.213.98.64', '195.213.98.143', 3285541440, 3285541519, 'GB', 'United Kingdom'),
(126931, '195.213.98.144', '195.213.98.151', 3285541520, 3285541527, 'BG', 'Bulgaria'),
(126932, '195.213.98.152', '195.213.98.159', 3285541528, 3285541535, 'BE', 'Belgium'),
(126933, '195.213.98.160', '195.213.98.175', 3285541536, 3285541551, 'FR', 'France'),
(126934, '195.213.98.176', '195.213.98.191', 3285541552, 3285541567, 'BE', 'Belgium'),
(126935, '195.213.98.192', '195.213.98.223', 3285541568, 3285541599, 'GB', 'United Kingdom'),
(126936, '195.213.98.224', '195.213.98.255', 3285541600, 3285541631, 'BE', 'Belgium'),
(126937, '195.213.99.0', '195.213.99.31', 3285541632, 3285541663, 'ES', 'Spain'),
(126938, '195.213.99.32', '195.213.99.63', 3285541664, 3285541695, 'FR', 'France'),
(126939, '195.213.99.64', '195.213.99.127', 3285541696, 3285541759, 'BE', 'Belgium'),
(126940, '195.213.99.128', '195.213.99.255', 3285541760, 3285541887, 'FR', 'France'),
(126941, '195.213.100.0', '195.213.100.31', 3285541888, 3285541919, 'GB', 'United Kingdom'),
(126942, '195.213.100.32', '195.213.100.63', 3285541920, 3285541951, 'FR', 'France'),
(126943, '195.213.100.64', '195.213.100.191', 3285541952, 3285542079, 'DE', 'Germany'),
(126944, '195.213.100.192', '195.213.100.255', 3285542080, 3285542143, 'FR', 'France'),
(126945, '195.213.101.0', '195.213.101.255', 3285542144, 3285542399, 'BE', 'Belgium'),
(126946, '195.213.102.0', '195.213.102.255', 3285542400, 3285542655, 'GB', 'United Kingdom'),
(126947, '195.213.103.0', '195.213.103.255', 3285542656, 3285542911, 'ZA', 'South Africa'),
(126948, '195.213.104.0', '195.213.104.255', 3285542912, 3285543167, 'IT', 'Italy'),
(126949, '195.213.105.0', '195.213.105.255', 3285543168, 3285543423, 'NL', 'Netherlands'),
(126950, '195.213.106.0', '195.213.106.255', 3285543424, 3285543679, 'SE', 'Sweden'),
(126951, '195.213.107.0', '195.213.107.63', 3285543680, 3285543743, 'AT', 'Austria'),
(126952, '195.213.107.64', '195.213.107.79', 3285543744, 3285543759, 'FR', 'France'),
(126953, '195.213.107.80', '195.213.107.95', 3285543760, 3285543775, 'BE', 'Belgium'),
(126954, '195.213.107.96', '195.213.107.111', 3285543776, 3285543791, 'IT', 'Italy'),
(126955, '195.213.107.112', '195.213.107.115', 3285543792, 3285543795, 'ES', 'Spain'),
(126956, '195.213.107.116', '195.213.107.119', 3285543796, 3285543799, 'BE', 'Belgium'),
(126957, '195.213.107.120', '195.213.107.127', 3285543800, 3285543807, 'FR', 'France'),
(126958, '195.213.107.128', '195.213.107.191', 3285543808, 3285543871, 'NL', 'Netherlands'),
(126959, '195.213.107.192', '195.213.107.255', 3285543872, 3285543935, 'FR', 'France'),
(126960, '195.213.108.0', '195.213.108.255', 3285543936, 3285544191, 'BE', 'Belgium'),
(126961, '195.213.109.0', '195.213.109.63', 3285544192, 3285544255, 'IL', 'Israel'),
(126962, '195.213.109.64', '195.213.109.127', 3285544256, 3285544319, 'DE', 'Germany'),
(126963, '195.213.109.128', '195.213.109.143', 3285544320, 3285544335, 'ES', 'Spain'),
(126964, '195.213.109.144', '195.213.109.159', 3285544336, 3285544351, 'NL', 'Netherlands'),
(126965, '195.213.109.160', '195.213.109.191', 3285544352, 3285544383, 'BE', 'Belgium'),
(126966, '195.213.109.192', '195.213.110.31', 3285544384, 3285544479, 'FR', 'France'),
(126967, '195.213.110.32', '195.213.110.63', 3285544480, 3285544511, 'ES', 'Spain'),
(126968, '195.213.110.64', '195.213.110.191', 3285544512, 3285544639, 'FR', 'France'),
(126969, '195.213.110.192', '195.213.110.255', 3285544640, 3285544703, 'BE', 'Belgium'),
(126970, '195.213.111.0', '195.213.111.255', 3285544704, 3285544959, 'FR', 'France'),
(126971, '195.213.112.0', '195.213.112.255', 3285544960, 3285545215, 'EU', 'Europe'),
(126972, '195.213.113.0', '195.213.113.127', 3285545216, 3285545343, 'BE', 'Belgium'),
(126973, '195.213.113.128', '195.213.113.163', 3285545344, 3285545379, 'GB', 'United Kingdom'),
(126974, '195.213.113.164', '195.213.113.255', 3285545380, 3285545471, 'BE', 'Belgium'),
(126975, '195.213.114.0', '195.213.114.255', 3285545472, 3285545727, 'SE', 'Sweden'),
(126976, '195.213.115.0', '195.213.115.255', 3285545728, 3285545983, 'FI', 'Finland'),
(126977, '195.213.116.0', '195.213.116.15', 3285545984, 3285545999, 'IT', 'Italy'),
(126978, '195.213.116.16', '195.213.116.23', 3285546000, 3285546007, 'BE', 'Belgium'),
(126979, '195.213.116.24', '195.213.116.31', 3285546008, 3285546015, 'IT', 'Italy'),
(126980, '195.213.116.32', '195.213.116.79', 3285546016, 3285546063, 'ES', 'Spain'),
(126981, '195.213.116.80', '195.213.116.87', 3285546064, 3285546071, 'IT', 'Italy'),
(126982, '195.213.116.88', '195.213.116.127', 3285546072, 3285546111, 'ES', 'Spain'),
(126983, '195.213.116.128', '195.213.116.255', 3285546112, 3285546239, 'AT', 'Austria'),
(126984, '195.213.117.0', '195.213.117.127', 3285546240, 3285546367, 'ZA', 'South Africa'),
(126985, '195.213.117.128', '195.213.117.255', 3285546368, 3285546495, 'FR', 'France'),
(126986, '195.213.118.0', '195.213.118.63', 3285546496, 3285546559, 'NL', 'Netherlands'),
(126987, '195.213.118.64', '195.213.118.127', 3285546560, 3285546623, 'BE', 'Belgium'),
(126988, '195.213.118.128', '195.213.118.175', 3285546624, 3285546671, 'FR', 'France'),
(126989, '195.213.118.176', '195.213.118.191', 3285546672, 3285546687, 'SE', 'Sweden'),
(126990, '195.213.118.192', '195.213.118.255', 3285546688, 3285546751, 'GB', 'United Kingdom'),
(126991, '195.213.119.0', '195.213.119.255', 3285546752, 3285547007, 'DK', 'Denmark'),
(126992, '195.213.120.0', '195.213.120.15', 3285547008, 3285547023, 'AT', 'Austria'),
(126993, '195.213.120.16', '195.213.120.31', 3285547024, 3285547039, 'FR', 'France'),
(126994, '195.213.120.32', '195.213.120.63', 3285547040, 3285547071, 'AT', 'Austria'),
(126995, '195.213.120.64', '195.213.120.127', 3285547072, 3285547135, 'AU', 'Australia'),
(126996, '195.213.120.128', '195.213.120.159', 3285547136, 3285547167, 'RU', 'Russian Federation'),
(126997, '195.213.120.160', '195.213.120.191', 3285547168, 3285547199, 'LU', 'Luxembourg'),
(126998, '195.213.120.192', '195.213.120.255', 3285547200, 3285547263, 'SE', 'Sweden'),
(126999, '195.213.121.0', '195.213.121.255', 3285547264, 3285547519, 'LU', 'Luxembourg'),
(127000, '195.213.122.0', '195.213.122.255', 3285547520, 3285547775, 'NL', 'Netherlands'),
(127001, '195.213.123.0', '195.213.123.127', 3285547776, 3285547903, 'ES', 'Spain'),
(127002, '195.213.123.128', '195.213.123.255', 3285547904, 3285548031, 'BE', 'Belgium'),
(127003, '195.213.124.0', '195.213.124.255', 3285548032, 3285548287, 'FR', 'France'),
(127004, '195.213.125.0', '195.213.125.255', 3285548288, 3285548543, 'DE', 'Germany'),
(127005, '195.213.126.0', '195.213.126.63', 3285548544, 3285548607, 'FR', 'France'),
(127006, '195.213.126.64', '195.213.126.95', 3285548608, 3285548639, 'LI', 'Liechtenstein'),
(127007, '195.213.126.96', '195.213.126.103', 3285548640, 3285548647, 'BE', 'Belgium'),
(127008, '195.213.126.104', '195.213.126.111', 3285548648, 3285548655, 'LI', 'Liechtenstein'),
(127009, '195.213.126.112', '195.213.126.191', 3285548656, 3285548735, 'GB', 'United Kingdom'),
(127010, '195.213.126.192', '195.213.126.223', 3285548736, 3285548767, 'BE', 'Belgium'),
(127011, '195.213.126.224', '195.213.126.255', 3285548768, 3285548799, 'LU', 'Luxembourg'),
(127012, '195.213.127.0', '195.213.127.31', 3285548800, 3285548831, 'IT', 'Italy'),
(127013, '195.213.127.32', '195.213.127.39', 3285548832, 3285548839, 'GB', 'United Kingdom'),
(127014, '195.213.127.40', '195.213.127.47', 3285548840, 3285548847, 'IL', 'Israel'),
(127015, '195.213.127.48', '195.213.127.159', 3285548848, 3285548959, 'IT', 'Italy'),
(127016, '195.213.127.160', '195.213.127.223', 3285548960, 3285549023, 'FR', 'France'),
(127017, '195.213.127.224', '195.213.127.239', 3285549024, 3285549039, 'PT', 'Portugal'),
(127018, '195.213.127.240', '195.213.127.255', 3285549040, 3285549055, 'FR', 'France'),
(127019, '195.213.128.0', '195.213.128.127', 3285549056, 3285549183, 'DE', 'Germany'),
(127020, '195.213.128.128', '195.213.128.159', 3285549184, 3285549215, 'BE', 'Belgium'),
(127021, '195.213.128.160', '195.213.128.191', 3285549216, 3285549247, 'CH', 'Switzerland'),
(127022, '195.213.128.192', '195.213.128.223', 3285549248, 3285549279, 'DE', 'Germany'),
(127023, '195.213.128.224', '195.213.128.255', 3285549280, 3285549311, 'GB', 'United Kingdom'),
(127024, '195.213.129.0', '195.213.130.127', 3285549312, 3285549695, 'DE', 'Germany'),
(127025, '195.213.130.128', '195.213.130.151', 3285549696, 3285549719, 'BE', 'Belgium'),
(127026, '195.213.130.152', '195.213.130.159', 3285549720, 3285549727, 'GB', 'United Kingdom'),
(127027, '195.213.130.160', '195.213.130.167', 3285549728, 3285549735, 'SE', 'Sweden'),
(127028, '195.213.130.168', '195.213.130.199', 3285549736, 3285549767, 'BE', 'Belgium'),
(127029, '195.213.130.200', '195.213.130.207', 3285549768, 3285549775, 'FI', 'Finland'),
(127030, '195.213.130.208', '195.213.130.223', 3285549776, 3285549791, 'DE', 'Germany'),
(127031, '195.213.130.224', '195.213.130.255', 3285549792, 3285549823, 'LU', 'Luxembourg'),
(127032, '195.213.131.0', '195.213.131.47', 3285549824, 3285549871, 'DE', 'Germany'),
(127033, '195.213.131.48', '195.213.131.63', 3285549872, 3285549887, 'DK', 'Denmark'),
(127034, '195.213.131.64', '195.213.131.127', 3285549888, 3285549951, 'DE', 'Germany'),
(127035, '195.213.131.128', '195.213.132.255', 3285549952, 3285550335, 'BE', 'Belgium'),
(127036, '195.213.133.0', '195.213.133.127', 3285550336, 3285550463, 'GB', 'United Kingdom'),
(127037, '195.213.133.128', '195.213.133.191', 3285550464, 3285550527, 'DE', 'Germany'),
(127038, '195.213.133.192', '195.213.133.255', 3285550528, 3285550591, 'IT', 'Italy'),
(127039, '195.213.134.0', '195.213.134.255', 3285550592, 3285550847, 'FR', 'France'),
(127040, '195.213.135.0', '195.213.135.95', 3285550848, 3285550943, 'IT', 'Italy'),
(127041, '195.213.135.96', '195.213.135.127', 3285550944, 3285550975, 'NL', 'Netherlands'),
(127042, '195.213.135.128', '195.213.135.159', 3285550976, 3285551007, 'BE', 'Belgium'),
(127043, '195.213.135.160', '195.213.135.191', 3285551008, 3285551039, 'CH', 'Switzerland'),
(127044, '195.213.135.192', '195.213.135.223', 3285551040, 3285551071, 'DE', 'Germany'),
(127045, '195.213.135.224', '195.213.135.255', 3285551072, 3285551103, 'BE', 'Belgium'),
(127046, '195.213.136.0', '195.213.136.255', 3285551104, 3285551359, 'DE', 'Germany'),
(127047, '195.213.137.0', '195.213.137.31', 3285551360, 3285551391, 'BE', 'Belgium'),
(127048, '195.213.137.32', '195.213.137.63', 3285551392, 3285551423, 'DE', 'Germany'),
(127049, '195.213.137.64', '195.213.137.127', 3285551424, 3285551487, 'DK', 'Denmark'),
(127050, '195.213.137.128', '195.213.137.191', 3285551488, 3285551551, 'BE', 'Belgium'),
(127051, '195.213.137.192', '195.213.137.255', 3285551552, 3285551615, 'DE', 'Germany'),
(127052, '195.213.138.0', '195.213.138.31', 3285551616, 3285551647, 'GB', 'United Kingdom'),
(127053, '195.213.138.32', '195.213.138.63', 3285551648, 3285551679, 'FR', 'France'),
(127054, '195.213.138.64', '195.213.138.191', 3285551680, 3285551807, 'GB', 'United Kingdom'),
(127055, '195.213.138.192', '195.213.138.223', 3285551808, 3285551839, 'RU', 'Russian Federation'),
(127056, '195.213.138.224', '195.213.139.255', 3285551840, 3285552127, 'BE', 'Belgium'),
(127057, '195.213.140.0', '195.213.140.63', 3285552128, 3285552191, 'DE', 'Germany'),
(127058, '195.213.140.64', '195.213.140.127', 3285552192, 3285552255, 'ZA', 'South Africa'),
(127059, '195.213.140.128', '195.213.140.159', 3285552256, 3285552287, 'CZ', 'Czech Republic'),
(127060, '195.213.140.160', '195.213.140.191', 3285552288, 3285552319, 'HU', 'Hungary'),
(127061, '195.213.140.192', '195.213.140.255', 3285552320, 3285552383, 'GB', 'United Kingdom'),
(127062, '195.213.141.0', '195.213.141.127', 3285552384, 3285552511, 'DE', 'Germany'),
(127063, '195.213.141.128', '195.213.141.255', 3285552512, 3285552639, 'GB', 'United Kingdom'),
(127064, '195.213.142.0', '195.213.143.31', 3285552640, 3285552927, 'DE', 'Germany'),
(127065, '195.213.143.32', '195.213.143.63', 3285552928, 3285552959, 'BE', 'Belgium'),
(127066, '195.213.143.64', '195.213.143.127', 3285552960, 3285553023, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(127067, '195.213.143.128', '195.213.143.143', 3285553024, 3285553039, 'BE', 'Belgium'),
(127068, '195.213.143.144', '195.213.143.159', 3285553040, 3285553055, 'EG', 'Egypt'),
(127069, '195.213.143.160', '195.213.143.191', 3285553056, 3285553087, 'BE', 'Belgium'),
(127070, '195.213.143.192', '195.213.143.255', 3285553088, 3285553151, 'IT', 'Italy'),
(127071, '195.213.144.0', '195.213.144.63', 3285553152, 3285553215, 'DE', 'Germany'),
(127072, '195.213.144.64', '195.213.144.95', 3285553216, 3285553247, 'BE', 'Belgium'),
(127073, '195.213.144.96', '195.213.144.111', 3285553248, 3285553263, 'PL', 'Poland'),
(127074, '195.213.144.112', '195.213.146.63', 3285553264, 3285553727, 'DE', 'Germany'),
(127075, '195.213.146.64', '195.213.146.95', 3285553728, 3285553759, 'CH', 'Switzerland'),
(127076, '195.213.146.96', '195.213.146.103', 3285553760, 3285553767, 'GB', 'United Kingdom'),
(127077, '195.213.146.104', '195.213.146.111', 3285553768, 3285553775, 'ZA', 'South Africa'),
(127078, '195.213.146.112', '195.213.146.127', 3285553776, 3285553791, 'FR', 'France'),
(127079, '195.213.146.128', '195.213.146.191', 3285553792, 3285553855, 'BE', 'Belgium'),
(127080, '195.213.146.192', '195.213.146.223', 3285553856, 3285553887, 'ZA', 'South Africa'),
(127081, '195.213.146.224', '195.213.146.255', 3285553888, 3285553919, 'DE', 'Germany'),
(127082, '195.213.147.0', '195.213.147.127', 3285553920, 3285554047, 'CH', 'Switzerland'),
(127083, '195.213.147.128', '195.213.147.207', 3285554048, 3285554127, 'DE', 'Germany'),
(127084, '195.213.147.208', '195.213.147.223', 3285554128, 3285554143, 'BE', 'Belgium'),
(127085, '195.213.147.224', '195.213.147.255', 3285554144, 3285554175, 'GB', 'United Kingdom'),
(127086, '195.213.148.0', '195.213.148.255', 3285554176, 3285554431, 'AT', 'Austria'),
(127087, '195.213.149.0', '195.213.149.255', 3285554432, 3285554687, 'BE', 'Belgium'),
(127088, '195.213.150.0', '195.213.150.15', 3285554688, 3285554703, 'DE', 'Germany'),
(127089, '195.213.150.16', '195.213.150.31', 3285554704, 3285554719, 'BE', 'Belgium'),
(127090, '195.213.150.32', '195.213.150.63', 3285554720, 3285554751, 'FR', 'France'),
(127091, '195.213.150.64', '195.213.150.127', 3285554752, 3285554815, 'BE', 'Belgium'),
(127092, '195.213.150.128', '195.213.150.255', 3285554816, 3285554943, 'CH', 'Switzerland'),
(127093, '195.213.151.0', '195.213.151.255', 3285554944, 3285555199, 'LU', 'Luxembourg'),
(127094, '195.213.152.0', '195.213.152.31', 3285555200, 3285555231, 'AT', 'Austria'),
(127095, '195.213.152.32', '195.213.152.63', 3285555232, 3285555263, 'NL', 'Netherlands'),
(127096, '195.213.152.64', '195.213.152.127', 3285555264, 3285555327, 'FR', 'France'),
(127097, '195.213.152.128', '195.213.152.255', 3285555328, 3285555455, 'IL', 'Israel'),
(127098, '195.213.153.0', '195.213.153.255', 3285555456, 3285555711, 'BE', 'Belgium'),
(127099, '195.213.154.0', '195.213.154.255', 3285555712, 3285555967, 'LU', 'Luxembourg'),
(127100, '195.213.155.0', '195.213.155.255', 3285555968, 3285556223, 'IT', 'Italy'),
(127101, '195.213.156.0', '195.213.156.255', 3285556224, 3285556479, 'BE', 'Belgium'),
(127102, '195.213.157.0', '195.213.157.255', 3285556480, 3285556735, 'DE', 'Germany'),
(127103, '195.213.158.0', '195.213.158.31', 3285556736, 3285556767, 'CH', 'Switzerland'),
(127104, '195.213.158.32', '195.213.158.39', 3285556768, 3285556775, 'BE', 'Belgium'),
(127105, '195.213.158.40', '195.213.158.43', 3285556776, 3285556779, 'NL', 'Netherlands'),
(127106, '195.213.158.44', '195.213.158.63', 3285556780, 3285556799, 'BE', 'Belgium'),
(127107, '195.213.158.64', '195.213.158.127', 3285556800, 3285556863, 'DE', 'Germany'),
(127108, '195.213.158.128', '195.213.158.255', 3285556864, 3285556991, 'BE', 'Belgium'),
(127109, '195.213.159.0', '195.213.159.63', 3285556992, 3285557055, 'GB', 'United Kingdom'),
(127110, '195.213.159.64', '195.213.159.127', 3285557056, 3285557119, 'NL', 'Netherlands'),
(127111, '195.213.159.128', '195.213.159.255', 3285557120, 3285557247, 'DE', 'Germany'),
(127112, '195.213.160.0', '195.213.160.115', 3285557248, 3285557363, 'NL', 'Netherlands'),
(127113, '195.213.160.116', '195.213.160.127', 3285557364, 3285557375, 'BE', 'Belgium'),
(127114, '195.213.160.128', '195.213.161.15', 3285557376, 3285557519, 'NL', 'Netherlands'),
(127115, '195.213.161.16', '195.213.161.31', 3285557520, 3285557535, 'FI', 'Finland'),
(127116, '195.213.161.32', '195.213.161.71', 3285557536, 3285557575, 'NL', 'Netherlands'),
(127117, '195.213.161.72', '195.213.161.75', 3285557576, 3285557579, 'SE', 'Sweden'),
(127118, '195.213.161.76', '195.213.161.79', 3285557580, 3285557583, 'BE', 'Belgium'),
(127119, '195.213.161.80', '195.213.161.95', 3285557584, 3285557599, 'NL', 'Netherlands'),
(127120, '195.213.161.96', '195.213.161.127', 3285557600, 3285557631, 'BE', 'Belgium'),
(127121, '195.213.161.128', '195.213.162.31', 3285557632, 3285557791, 'NL', 'Netherlands'),
(127122, '195.213.162.32', '195.213.162.63', 3285557792, 3285557823, 'NO', 'Norway'),
(127123, '195.213.162.64', '195.213.162.127', 3285557824, 3285557887, 'SE', 'Sweden'),
(127124, '195.213.162.128', '195.213.162.151', 3285557888, 3285557911, 'CH', 'Switzerland'),
(127125, '195.213.162.152', '195.213.162.159', 3285557912, 3285557919, 'CZ', 'Czech Republic'),
(127126, '195.213.162.160', '195.213.162.191', 3285557920, 3285557951, 'FR', 'France'),
(127127, '195.213.162.192', '195.213.162.255', 3285557952, 3285558015, 'DE', 'Germany'),
(127128, '195.213.163.0', '195.213.163.255', 3285558016, 3285558271, 'NL', 'Netherlands'),
(127129, '195.213.164.0', '195.213.164.191', 3285558272, 3285558463, 'BE', 'Belgium'),
(127130, '195.213.164.192', '195.213.165.63', 3285558464, 3285558591, 'NL', 'Netherlands'),
(127131, '195.213.165.64', '195.213.165.127', 3285558592, 3285558655, 'BE', 'Belgium'),
(127132, '195.213.165.128', '195.213.165.255', 3285558656, 3285558783, 'IT', 'Italy'),
(127133, '195.213.166.0', '195.213.166.255', 3285558784, 3285559039, 'GB', 'United Kingdom'),
(127134, '195.213.167.0', '195.213.167.127', 3285559040, 3285559167, 'BE', 'Belgium'),
(127135, '195.213.167.128', '195.213.167.191', 3285559168, 3285559231, 'NL', 'Netherlands'),
(127136, '195.213.167.192', '195.213.167.255', 3285559232, 3285559295, 'BE', 'Belgium'),
(127137, '195.213.168.0', '195.213.169.255', 3285559296, 3285559807, 'SE', 'Sweden'),
(127138, '195.213.170.0', '195.213.170.31', 3285559808, 3285559839, 'IE', 'Ireland'),
(127139, '195.213.170.32', '195.213.170.63', 3285559840, 3285559871, 'CH', 'Switzerland'),
(127140, '195.213.170.64', '195.213.170.79', 3285559872, 3285559887, 'BE', 'Belgium'),
(127141, '195.213.170.80', '195.213.170.95', 3285559888, 3285559903, 'SE', 'Sweden'),
(127142, '195.213.170.96', '195.213.170.111', 3285559904, 3285559919, 'NL', 'Netherlands'),
(127143, '195.213.170.112', '195.213.170.127', 3285559920, 3285559935, 'SE', 'Sweden'),
(127144, '195.213.170.128', '195.213.170.255', 3285559936, 3285560063, 'NO', 'Norway'),
(127145, '195.213.171.0', '195.213.172.31', 3285560064, 3285560351, 'SE', 'Sweden'),
(127146, '195.213.172.32', '195.213.172.63', 3285560352, 3285560383, 'ES', 'Spain'),
(127147, '195.213.172.64', '195.213.172.127', 3285560384, 3285560447, 'SE', 'Sweden'),
(127148, '195.213.172.128', '195.213.172.159', 3285560448, 3285560479, 'LI', 'Liechtenstein'),
(127149, '195.213.172.160', '195.213.172.191', 3285560480, 3285560511, 'CH', 'Switzerland'),
(127150, '195.213.172.192', '195.213.172.255', 3285560512, 3285560575, 'BE', 'Belgium'),
(127151, '195.213.173.0', '195.213.173.255', 3285560576, 3285560831, 'DE', 'Germany'),
(127152, '195.213.174.0', '195.213.175.127', 3285560832, 3285561215, 'SE', 'Sweden'),
(127153, '195.213.175.128', '195.213.175.255', 3285561216, 3285561343, 'NO', 'Norway'),
(127154, '195.213.176.0', '195.213.176.63', 3285561344, 3285561407, 'GB', 'United Kingdom'),
(127155, '195.213.176.64', '195.213.176.127', 3285561408, 3285561471, 'PL', 'Poland'),
(127156, '195.213.176.128', '195.213.176.255', 3285561472, 3285561599, 'DK', 'Denmark'),
(127157, '195.213.177.0', '195.213.177.19', 3285561600, 3285561619, 'NO', 'Norway'),
(127158, '195.213.177.20', '195.213.177.23', 3285561620, 3285561623, 'DE', 'Germany'),
(127159, '195.213.177.24', '195.213.177.47', 3285561624, 3285561647, 'BE', 'Belgium'),
(127160, '195.213.177.48', '195.213.177.63', 3285561648, 3285561663, 'NO', 'Norway'),
(127161, '195.213.177.64', '195.213.177.127', 3285561664, 3285561727, 'BE', 'Belgium'),
(127162, '195.213.177.128', '195.213.177.191', 3285561728, 3285561791, 'NO', 'Norway'),
(127163, '195.213.177.192', '195.213.178.63', 3285561792, 3285561919, 'BE', 'Belgium'),
(127164, '195.213.178.64', '195.213.178.95', 3285561920, 3285561951, 'CH', 'Switzerland'),
(127165, '195.213.178.96', '195.213.178.111', 3285561952, 3285561967, 'NO', 'Norway'),
(127166, '195.213.178.112', '195.213.178.127', 3285561968, 3285561983, 'BE', 'Belgium'),
(127167, '195.213.178.128', '195.213.178.255', 3285561984, 3285562111, 'FI', 'Finland'),
(127168, '195.213.179.0', '195.213.179.255', 3285562112, 3285562367, 'NO', 'Norway'),
(127169, '195.213.180.0', '195.213.181.127', 3285562368, 3285562751, 'FI', 'Finland'),
(127170, '195.213.181.128', '195.213.181.159', 3285562752, 3285562783, 'NL', 'Netherlands'),
(127171, '195.213.181.160', '195.213.181.191', 3285562784, 3285562815, 'BE', 'Belgium'),
(127172, '195.213.181.192', '195.213.181.255', 3285562816, 3285562879, 'IT', 'Italy'),
(127173, '195.213.182.0', '195.213.182.31', 3285562880, 3285562911, 'FI', 'Finland'),
(127174, '195.213.182.32', '195.213.182.63', 3285562912, 3285562943, 'BE', 'Belgium'),
(127175, '195.213.182.64', '195.213.182.95', 3285562944, 3285562975, 'DE', 'Germany'),
(127176, '195.213.182.96', '195.213.182.111', 3285562976, 3285562991, 'FI', 'Finland'),
(127177, '195.213.182.112', '195.213.182.119', 3285562992, 3285562999, 'BE', 'Belgium'),
(127178, '195.213.182.120', '195.213.182.127', 3285563000, 3285563007, 'GB', 'United Kingdom'),
(127179, '195.213.182.128', '195.213.182.255', 3285563008, 3285563135, 'SE', 'Sweden'),
(127180, '195.213.183.0', '195.213.183.255', 3285563136, 3285563391, 'FI', 'Finland'),
(127181, '195.213.184.0', '195.213.184.63', 3285563392, 3285563455, 'BE', 'Belgium'),
(127182, '195.213.184.64', '195.213.184.79', 3285563456, 3285563471, 'NL', 'Netherlands'),
(127183, '195.213.184.80', '195.213.184.95', 3285563472, 3285563487, 'BE', 'Belgium'),
(127184, '195.213.184.96', '195.213.184.127', 3285563488, 3285563519, 'SE', 'Sweden'),
(127185, '195.213.184.128', '195.213.184.255', 3285563520, 3285563647, 'PL', 'Poland'),
(127186, '195.213.185.0', '195.213.185.255', 3285563648, 3285563903, 'CH', 'Switzerland'),
(127187, '195.213.186.0', '195.213.186.127', 3285563904, 3285564031, 'SE', 'Sweden'),
(127188, '195.213.186.128', '195.213.186.255', 3285564032, 3285564159, 'FI', 'Finland'),
(127189, '195.213.187.0', '195.213.187.255', 3285564160, 3285564415, 'GB', 'United Kingdom'),
(127190, '195.213.188.0', '195.213.188.95', 3285564416, 3285564511, 'CH', 'Switzerland'),
(127191, '195.213.188.96', '195.213.188.127', 3285564512, 3285564543, 'NO', 'Norway'),
(127192, '195.213.188.128', '195.213.188.255', 3285564544, 3285564671, 'BE', 'Belgium'),
(127193, '195.213.189.0', '195.213.189.63', 3285564672, 3285564735, 'CH', 'Switzerland'),
(127194, '195.213.189.64', '195.213.189.79', 3285564736, 3285564751, 'FR', 'France'),
(127195, '195.213.189.80', '195.213.189.95', 3285564752, 3285564767, 'BE', 'Belgium'),
(127196, '195.213.189.96', '195.213.189.127', 3285564768, 3285564799, 'SE', 'Sweden'),
(127197, '195.213.189.128', '195.213.189.255', 3285564800, 3285564927, 'BE', 'Belgium'),
(127198, '195.213.190.0', '195.213.190.255', 3285564928, 3285565183, 'FR', 'France'),
(127199, '195.213.191.0', '195.213.191.255', 3285565184, 3285565439, 'NL', 'Netherlands'),
(127200, '195.213.192.0', '195.213.193.255', 3285565440, 3285565951, 'GB', 'United Kingdom'),
(127201, '195.213.194.0', '195.213.194.63', 3285565952, 3285566015, 'FR', 'France'),
(127202, '195.213.194.64', '195.213.194.79', 3285566016, 3285566031, 'IT', 'Italy'),
(127203, '195.213.194.80', '195.213.194.95', 3285566032, 3285566047, 'BE', 'Belgium'),
(127204, '195.213.194.96', '195.213.194.127', 3285566048, 3285566079, 'CH', 'Switzerland'),
(127205, '195.213.194.128', '195.213.194.191', 3285566080, 3285566143, 'FR', 'France'),
(127206, '195.213.194.192', '195.213.194.255', 3285566144, 3285566207, 'BE', 'Belgium'),
(127207, '195.213.195.0', '195.213.196.31', 3285566208, 3285566495, 'RU', 'Russian Federation'),
(127208, '195.213.196.32', '195.213.196.47', 3285566496, 3285566511, 'SE', 'Sweden'),
(127209, '195.213.196.48', '195.213.196.63', 3285566512, 3285566527, 'FI', 'Finland'),
(127210, '195.213.196.64', '195.213.196.95', 3285566528, 3285566559, 'CH', 'Switzerland'),
(127211, '195.213.196.96', '195.213.196.111', 3285566560, 3285566575, 'BE', 'Belgium'),
(127212, '195.213.196.112', '195.213.196.127', 3285566576, 3285566591, 'CH', 'Switzerland'),
(127213, '195.213.196.128', '195.213.196.191', 3285566592, 3285566655, 'NL', 'Netherlands'),
(127214, '195.213.196.192', '195.213.197.127', 3285566656, 3285566847, 'BE', 'Belgium'),
(127215, '195.213.197.128', '195.213.197.255', 3285566848, 3285566975, 'FR', 'France'),
(127216, '195.213.198.0', '195.213.198.255', 3285566976, 3285567231, 'GB', 'United Kingdom'),
(127217, '195.213.199.0', '195.213.199.255', 3285567232, 3285567487, 'PT', 'Portugal'),
(127218, '195.213.200.0', '195.213.203.255', 3285567488, 3285568511, 'NL', 'Netherlands'),
(127219, '195.213.204.0', '195.213.204.159', 3285568512, 3285568671, 'DE', 'Germany'),
(127220, '195.213.204.160', '195.213.204.191', 3285568672, 3285568703, 'CH', 'Switzerland'),
(127221, '195.213.204.192', '195.213.204.239', 3285568704, 3285568751, 'BE', 'Belgium'),
(127222, '195.213.204.240', '195.213.205.255', 3285568752, 3285569023, 'DE', 'Germany'),
(127223, '195.213.206.0', '195.213.207.127', 3285569024, 3285569407, 'BE', 'Belgium'),
(127224, '195.213.207.128', '195.213.207.255', 3285569408, 3285569535, 'GB', 'United Kingdom'),
(127225, '195.213.208.0', '195.213.208.255', 3285569536, 3285569791, 'DE', 'Germany'),
(127226, '195.213.209.0', '195.213.209.255', 3285569792, 3285570047, 'FI', 'Finland'),
(127227, '195.213.210.0', '195.213.210.127', 3285570048, 3285570175, 'FR', 'France'),
(127228, '195.213.210.128', '195.213.210.159', 3285570176, 3285570207, 'BE', 'Belgium'),
(127229, '195.213.210.160', '195.213.210.175', 3285570208, 3285570223, 'PL', 'Poland'),
(127230, '195.213.210.176', '195.213.210.191', 3285570224, 3285570239, 'NL', 'Netherlands'),
(127231, '195.213.210.192', '195.213.211.255', 3285570240, 3285570559, 'BE', 'Belgium'),
(127232, '195.213.212.0', '195.213.212.255', 3285570560, 3285570815, 'SE', 'Sweden'),
(127233, '195.213.213.0', '195.213.213.255', 3285570816, 3285571071, 'IT', 'Italy'),
(127234, '195.213.214.0', '195.213.214.255', 3285571072, 3285571327, 'DE', 'Germany'),
(127235, '195.213.215.0', '195.213.215.255', 3285571328, 3285571583, 'FI', 'Finland'),
(127236, '195.213.216.0', '195.213.216.127', 3285571584, 3285571711, 'FR', 'France'),
(127237, '195.213.216.128', '195.213.216.191', 3285571712, 3285571775, 'SE', 'Sweden'),
(127238, '195.213.216.192', '195.213.216.223', 3285571776, 3285571807, 'BE', 'Belgium'),
(127239, '195.213.216.224', '195.213.216.255', 3285571808, 3285571839, 'DE', 'Germany'),
(127240, '195.213.217.0', '195.213.217.63', 3285571840, 3285571903, 'BE', 'Belgium'),
(127241, '195.213.217.64', '195.213.217.127', 3285571904, 3285571967, 'SE', 'Sweden'),
(127242, '195.213.217.128', '195.213.217.255', 3285571968, 3285572095, 'BE', 'Belgium'),
(127243, '195.213.218.0', '195.213.218.127', 3285572096, 3285572223, 'DE', 'Germany'),
(127244, '195.213.218.128', '195.213.218.239', 3285572224, 3285572335, 'BE', 'Belgium'),
(127245, '195.213.218.240', '195.213.218.255', 3285572336, 3285572351, 'ES', 'Spain'),
(127246, '195.213.219.0', '195.213.219.15', 3285572352, 3285572367, 'IR', 'Iran, Islamic Republic of'),
(127247, '195.213.219.16', '195.213.219.31', 3285572368, 3285572383, 'ES', 'Spain'),
(127248, '195.213.219.32', '195.213.219.95', 3285572384, 3285572447, 'BE', 'Belgium'),
(127249, '195.213.219.96', '195.213.219.127', 3285572448, 3285572479, 'CH', 'Switzerland'),
(127250, '195.213.219.128', '195.213.219.255', 3285572480, 3285572607, 'FR', 'France'),
(127251, '195.213.220.0', '195.213.220.255', 3285572608, 3285572863, 'DK', 'Denmark'),
(127252, '195.213.221.0', '195.213.221.255', 3285572864, 3285573119, 'IT', 'Italy'),
(127253, '195.213.222.0', '195.213.222.255', 3285573120, 3285573375, 'SE', 'Sweden'),
(127254, '195.213.223.0', '195.213.223.159', 3285573376, 3285573535, 'BE', 'Belgium'),
(127255, '195.213.223.160', '195.213.223.191', 3285573536, 3285573567, 'CH', 'Switzerland'),
(127256, '195.213.223.192', '195.213.223.255', 3285573568, 3285573631, 'FR', 'France'),
(127257, '195.213.224.0', '195.213.224.255', 3285573632, 3285573887, 'NL', 'Netherlands'),
(127258, '195.213.225.0', '195.213.225.63', 3285573888, 3285573951, 'IL', 'Israel'),
(127259, '195.213.225.64', '195.213.225.255', 3285573952, 3285574143, 'BE', 'Belgium'),
(127260, '195.213.226.0', '195.213.226.255', 3285574144, 3285574399, 'RU', 'Russian Federation'),
(127261, '195.213.227.0', '195.213.227.255', 3285574400, 3285574655, 'IL', 'Israel'),
(127262, '195.213.228.0', '195.213.228.255', 3285574656, 3285574911, 'GB', 'United Kingdom'),
(127263, '195.213.229.0', '195.213.229.255', 3285574912, 3285575167, 'EU', 'Europe'),
(127264, '195.213.230.0', '195.213.230.255', 3285575168, 3285575423, 'ES', 'Spain'),
(127265, '195.213.231.0', '195.213.231.255', 3285575424, 3285575679, 'IL', 'Israel'),
(127266, '195.213.232.0', '195.213.232.255', 3285575680, 3285575935, 'BE', 'Belgium'),
(127267, '195.213.233.0', '195.213.233.63', 3285575936, 3285575999, 'DK', 'Denmark'),
(127268, '195.213.233.64', '195.213.233.127', 3285576000, 3285576063, 'BE', 'Belgium'),
(127269, '195.213.233.128', '195.213.233.191', 3285576064, 3285576127, 'FR', 'France'),
(127270, '195.213.233.192', '195.213.233.223', 3285576128, 3285576159, 'BE', 'Belgium'),
(127271, '195.213.233.224', '195.213.233.255', 3285576160, 3285576191, 'DK', 'Denmark'),
(127272, '195.213.234.0', '195.213.234.255', 3285576192, 3285576447, 'BE', 'Belgium'),
(127273, '195.213.235.0', '195.213.235.255', 3285576448, 3285576703, 'CZ', 'Czech Republic'),
(127274, '195.213.236.0', '195.213.236.255', 3285576704, 3285576959, 'HU', 'Hungary'),
(127275, '195.213.237.0', '195.213.237.255', 3285576960, 3285577215, 'BE', 'Belgium'),
(127276, '195.213.238.0', '195.213.238.255', 3285577216, 3285577471, 'ZA', 'South Africa'),
(127277, '195.213.239.0', '195.213.239.127', 3285577472, 3285577599, 'IT', 'Italy'),
(127278, '195.213.239.128', '195.213.240.255', 3285577600, 3285577983, 'BE', 'Belgium'),
(127279, '195.213.241.0', '195.213.241.127', 3285577984, 3285578111, 'IT', 'Italy'),
(127280, '195.213.241.128', '195.213.241.255', 3285578112, 3285578239, 'DE', 'Germany'),
(127281, '195.213.242.0', '195.213.242.127', 3285578240, 3285578367, 'BE', 'Belgium'),
(127282, '195.213.242.128', '195.213.242.191', 3285578368, 3285578431, 'FR', 'France'),
(127283, '195.213.242.192', '195.213.242.255', 3285578432, 3285578495, 'BE', 'Belgium'),
(127284, '195.213.243.0', '195.213.243.255', 3285578496, 3285578751, 'DE', 'Germany'),
(127285, '195.213.244.0', '195.213.244.255', 3285578752, 3285579007, 'BE', 'Belgium'),
(127286, '195.213.245.0', '195.213.246.255', 3285579008, 3285579519, 'ES', 'Spain'),
(127287, '195.213.247.0', '195.213.247.255', 3285579520, 3285579775, 'FR', 'France'),
(127288, '195.213.248.0', '195.213.248.255', 3285579776, 3285580031, 'US', 'United States'),
(127289, '195.213.249.0', '195.213.249.255', 3285580032, 3285580287, 'HU', 'Hungary'),
(127290, '195.213.250.0', '195.213.250.127', 3285580288, 3285580415, 'DE', 'Germany'),
(127291, '195.213.250.128', '195.213.250.255', 3285580416, 3285580543, 'BE', 'Belgium'),
(127292, '195.213.251.0', '195.213.251.3', 3285580544, 3285580547, 'NL', 'Netherlands'),
(127293, '195.213.251.4', '195.213.251.107', 3285580548, 3285580651, 'BE', 'Belgium'),
(127294, '195.213.251.108', '195.213.251.111', 3285580652, 3285580655, 'SE', 'Sweden'),
(127295, '195.213.251.112', '195.213.251.255', 3285580656, 3285580799, 'BE', 'Belgium'),
(127296, '195.213.252.0', '195.213.252.31', 3285580800, 3285580831, 'SE', 'Sweden'),
(127297, '195.213.252.32', '195.213.252.47', 3285580832, 3285580847, 'PL', 'Poland'),
(127298, '195.213.252.48', '195.213.252.127', 3285580848, 3285580927, 'BE', 'Belgium'),
(127299, '195.213.252.128', '195.213.252.255', 3285580928, 3285581055, 'ZA', 'South Africa'),
(127300, '195.213.253.0', '195.213.254.191', 3285581056, 3285581503, 'BE', 'Belgium'),
(127301, '195.213.254.192', '195.213.254.255', 3285581504, 3285581567, 'AT', 'Austria'),
(127302, '195.213.255.0', '195.213.255.31', 3285581568, 3285581599, 'FR', 'France'),
(127303, '195.213.255.32', '195.213.255.47', 3285581600, 3285581615, 'GB', 'United Kingdom'),
(127304, '195.213.255.48', '195.213.255.127', 3285581616, 3285581695, 'FR', 'France'),
(127305, '195.213.255.128', '195.213.255.191', 3285581696, 3285581759, 'LV', 'Latvia'),
(127306, '195.213.255.192', '195.213.255.255', 3285581760, 3285581823, 'FR', 'France'),
(127307, '195.214.0.0', '195.214.51.255', 3285581824, 3285595135, 'DE', 'Germany'),
(127308, '195.214.52.0', '195.214.52.31', 3285595136, 3285595167, 'CZ', 'Czech Republic'),
(127309, '195.214.52.32', '195.214.52.39', 3285595168, 3285595175, 'US', 'United States'),
(127310, '195.214.52.40', '195.214.52.127', 3285595176, 3285595263, 'DE', 'Germany'),
(127311, '195.214.52.128', '195.214.53.31', 3285595264, 3285595423, 'US', 'United States'),
(127312, '195.214.53.32', '195.214.55.255', 3285595424, 3285596159, 'DE', 'Germany'),
(127313, '195.214.56.0', '195.214.56.31', 3285596160, 3285596191, 'US', 'United States'),
(127314, '195.214.56.32', '195.214.56.63', 3285596192, 3285596223, 'DE', 'Germany'),
(127315, '195.214.56.64', '195.214.56.95', 3285596224, 3285596255, 'US', 'United States'),
(127316, '195.214.56.96', '195.214.56.127', 3285596256, 3285596287, 'DE', 'Germany'),
(127317, '195.214.56.128', '195.214.56.159', 3285596288, 3285596319, 'US', 'United States'),
(127318, '195.214.56.160', '195.214.56.191', 3285596320, 3285596351, 'DE', 'Germany'),
(127319, '195.214.56.192', '195.214.56.223', 3285596352, 3285596383, 'FR', 'France'),
(127320, '195.214.56.224', '195.214.59.255', 3285596384, 3285597183, 'DE', 'Germany'),
(127321, '195.214.60.0', '195.214.60.31', 3285597184, 3285597215, 'US', 'United States'),
(127322, '195.214.60.32', '195.214.95.255', 3285597216, 3285606399, 'DE', 'Germany'),
(127323, '195.214.96.0', '195.214.127.255', 3285606400, 3285614591, 'GB', 'United Kingdom'),
(127324, '195.214.128.0', '195.214.191.255', 3285614592, 3285630975, 'TR', 'Turkey'),
(127325, '195.214.192.0', '195.214.199.255', 3285630976, 3285633023, 'UA', 'Ukraine'),
(127326, '195.214.200.0', '195.214.207.255', 3285633024, 3285635071, 'NO', 'Norway'),
(127327, '195.214.208.0', '195.214.215.255', 3285635072, 3285637119, 'UA', 'Ukraine'),
(127328, '195.214.216.0', '195.214.219.255', 3285637120, 3285638143, 'DE', 'Germany'),
(127329, '195.214.220.0', '195.214.223.255', 3285638144, 3285639167, 'UA', 'Ukraine'),
(127330, '195.214.224.0', '195.214.231.255', 3285639168, 3285641215, 'FR', 'France'),
(127331, '195.214.232.0', '195.214.235.255', 3285641216, 3285642239, 'RU', 'Russian Federation'),
(127332, '195.214.236.0', '195.214.239.255', 3285642240, 3285643263, 'UA', 'Ukraine'),
(127333, '195.214.240.0', '195.214.247.255', 3285643264, 3285645311, 'FR', 'France'),
(127334, '195.214.248.0', '195.214.255.255', 3285645312, 3285647359, 'BG', 'Bulgaria'),
(127335, '195.215.0.0', '195.215.255.255', 3285647360, 3285712895, 'DK', 'Denmark'),
(127336, '195.216.0.0', '195.216.31.255', 3285712896, 3285721087, 'GB', 'United Kingdom'),
(127337, '195.216.32.0', '195.216.63.255', 3285721088, 3285729279, 'SE', 'Sweden'),
(127338, '195.216.64.0', '195.216.82.255', 3285729280, 3285734143, 'CH', 'Switzerland'),
(127339, '195.216.83.0', '195.216.83.15', 3285734144, 3285734159, 'GB', 'United Kingdom'),
(127340, '195.216.83.16', '195.216.83.191', 3285734160, 3285734335, 'CH', 'Switzerland'),
(127341, '195.216.83.192', '195.216.83.207', 3285734336, 3285734351, 'LI', 'Liechtenstein'),
(127342, '195.216.83.208', '195.216.83.255', 3285734352, 3285734399, 'CH', 'Switzerland'),
(127343, '195.216.84.0', '195.216.84.255', 3285734400, 3285734655, 'LI', 'Liechtenstein'),
(127344, '195.216.85.0', '195.216.95.255', 3285734656, 3285737471, 'CH', 'Switzerland'),
(127345, '195.216.96.0', '195.216.127.255', 3285737472, 3285745663, 'PL', 'Poland'),
(127346, '195.216.128.0', '195.216.159.255', 3285745664, 3285753855, 'IT', 'Italy'),
(127347, '195.216.160.0', '195.216.191.255', 3285753856, 3285762047, 'LV', 'Latvia'),
(127348, '195.216.192.0', '195.216.193.255', 3285762048, 3285762559, 'FR', 'France'),
(127349, '195.216.194.0', '195.216.195.255', 3285762560, 3285763071, 'RU', 'Russian Federation'),
(127350, '195.216.196.0', '195.216.197.255', 3285763072, 3285763583, 'GB', 'United Kingdom'),
(127351, '195.216.198.0', '195.216.199.255', 3285763584, 3285764095, 'DE', 'Germany'),
(127352, '195.216.200.0', '195.216.203.255', 3285764096, 3285765119, 'RU', 'Russian Federation'),
(127353, '195.216.204.0', '195.216.207.255', 3285765120, 3285766143, 'UA', 'Ukraine'),
(127354, '195.216.208.0', '195.216.209.255', 3285766144, 3285766655, 'DE', 'Germany'),
(127355, '195.216.210.0', '195.216.213.255', 3285766656, 3285767679, 'UA', 'Ukraine'),
(127356, '195.216.214.0', '195.216.215.255', 3285767680, 3285768191, 'FR', 'France'),
(127357, '195.216.216.0', '195.216.217.255', 3285768192, 3285768703, 'RU', 'Russian Federation'),
(127358, '195.216.218.0', '195.216.218.255', 3285768704, 3285768959, 'RO', 'Romania'),
(127359, '195.216.219.0', '195.216.219.255', 3285768960, 3285769215, 'PL', 'Poland'),
(127360, '195.216.220.0', '195.216.221.255', 3285769216, 3285769727, 'DE', 'Germany'),
(127361, '195.216.222.0', '195.216.223.255', 3285769728, 3285770239, 'RO', 'Romania'),
(127362, '195.216.224.0', '195.216.224.255', 3285770240, 3285770495, 'NL', 'Netherlands'),
(127363, '195.216.225.0', '195.216.225.255', 3285770496, 3285770751, 'US', 'United States'),
(127364, '195.216.226.0', '195.216.226.255', 3285770752, 3285771007, 'UA', 'Ukraine'),
(127365, '195.216.227.0', '195.216.227.255', 3285771008, 3285771263, 'CH', 'Switzerland'),
(127366, '195.216.228.0', '195.216.228.255', 3285771264, 3285771519, 'BG', 'Bulgaria'),
(127367, '195.216.229.0', '195.216.229.255', 3285771520, 3285771775, 'AT', 'Austria'),
(127368, '195.216.230.0', '195.216.230.255', 3285771776, 3285772031, 'RO', 'Romania'),
(127369, '195.216.231.0', '195.216.231.255', 3285772032, 3285772287, 'SE', 'Sweden'),
(127370, '195.216.232.0', '195.216.232.255', 3285772288, 3285772543, 'TR', 'Turkey'),
(127371, '195.216.233.0', '195.216.233.255', 3285772544, 3285772799, 'LT', 'Lithuania'),
(127372, '195.216.234.0', '195.216.234.255', 3285772800, 3285773055, 'MT', 'Malta'),
(127373, '195.216.235.0', '195.216.235.255', 3285773056, 3285773311, 'DE', 'Germany'),
(127374, '195.216.236.0', '195.216.236.255', 3285773312, 3285773567, 'LV', 'Latvia'),
(127375, '195.216.237.0', '195.216.237.255', 3285773568, 3285773823, 'KG', 'Kyrgyzstan'),
(127376, '195.216.238.0', '195.216.238.255', 3285773824, 3285774079, 'RU', 'Russian Federation'),
(127377, '195.216.239.0', '195.216.239.255', 3285774080, 3285774335, 'RO', 'Romania'),
(127378, '195.216.240.0', '195.216.240.255', 3285774336, 3285774591, 'CZ', 'Czech Republic'),
(127379, '195.216.241.0', '195.216.241.255', 3285774592, 3285774847, 'RU', 'Russian Federation'),
(127380, '195.216.242.0', '195.216.242.255', 3285774848, 3285775103, 'FR', 'France'),
(127381, '195.216.243.0', '195.216.243.255', 3285775104, 3285775359, 'GB', 'United Kingdom'),
(127382, '195.216.244.0', '195.216.244.255', 3285775360, 3285775615, 'RU', 'Russian Federation'),
(127383, '195.216.245.0', '195.216.245.255', 3285775616, 3285775871, 'NG', 'Nigeria'),
(127384, '195.216.246.0', '195.216.246.255', 3285775872, 3285776127, 'NL', 'Netherlands'),
(127385, '195.216.247.0', '195.216.247.255', 3285776128, 3285776383, 'RO', 'Romania'),
(127386, '195.216.248.0', '195.216.248.255', 3285776384, 3285776639, 'UA', 'Ukraine'),
(127387, '195.216.249.0', '195.216.249.255', 3285776640, 3285776895, 'FR', 'France'),
(127388, '195.216.250.0', '195.216.250.255', 3285776896, 3285777151, 'PL', 'Poland'),
(127389, '195.216.251.0', '195.216.251.255', 3285777152, 3285777407, 'HU', 'Hungary'),
(127390, '195.216.252.0', '195.216.252.255', 3285777408, 3285777663, 'IL', 'Israel'),
(127391, '195.216.253.0', '195.216.253.255', 3285777664, 3285777919, 'SI', 'Slovenia'),
(127392, '195.216.254.0', '195.216.254.255', 3285777920, 3285778175, 'PL', 'Poland'),
(127393, '195.216.255.0', '195.216.255.255', 3285778176, 3285778431, 'DE', 'Germany'),
(127394, '195.217.0.0', '195.217.255.255', 3285778432, 3285843967, 'GB', 'United Kingdom'),
(127395, '195.218.0.0', '195.218.31.255', 3285843968, 3285852159, 'LU', 'Luxembourg'),
(127396, '195.218.32.0', '195.218.63.255', 3285852160, 3285860351, 'GB', 'United Kingdom'),
(127397, '195.218.64.0', '195.218.95.255', 3285860352, 3285868543, 'FI', 'Finland'),
(127398, '195.218.96.0', '195.218.127.255', 3285868544, 3285876735, 'IE', 'Ireland'),
(127399, '195.218.128.0', '195.218.255.255', 3285876736, 3285909503, 'RU', 'Russian Federation'),
(127400, '195.219.0.0', '195.219.2.255', 3285909504, 3285910271, 'GB', 'United Kingdom'),
(127401, '195.219.3.0', '195.219.3.31', 3285910272, 3285910303, 'ES', 'Spain'),
(127402, '195.219.3.32', '195.219.3.63', 3285910304, 3285910335, 'GB', 'United Kingdom'),
(127403, '195.219.3.64', '195.219.3.127', 3285910336, 3285910399, 'ES', 'Spain'),
(127404, '195.219.3.128', '195.219.3.135', 3285910400, 3285910407, 'IT', 'Italy'),
(127405, '195.219.3.136', '195.219.3.159', 3285910408, 3285910431, 'GB', 'United Kingdom'),
(127406, '195.219.3.160', '195.219.3.191', 3285910432, 3285910463, 'NG', 'Nigeria'),
(127407, '195.219.3.192', '195.219.3.255', 3285910464, 3285910527, 'ES', 'Spain'),
(127408, '195.219.4.0', '195.219.7.255', 3285910528, 3285911551, 'GB', 'United Kingdom'),
(127409, '195.219.8.0', '195.219.11.255', 3285911552, 3285912575, 'EU', 'Europe'),
(127410, '195.219.12.0', '195.219.13.255', 3285912576, 3285913087, 'GB', 'United Kingdom'),
(127411, '195.219.14.0', '195.219.14.127', 3285913088, 3285913215, 'ES', 'Spain'),
(127412, '195.219.14.128', '195.219.14.191', 3285913216, 3285913279, 'GB', 'United Kingdom'),
(127413, '195.219.14.192', '195.219.14.255', 3285913280, 3285913343, 'ES', 'Spain'),
(127414, '195.219.15.0', '195.219.15.255', 3285913344, 3285913599, 'GB', 'United Kingdom'),
(127415, '195.219.16.0', '195.219.23.255', 3285913600, 3285915647, 'EU', 'Europe'),
(127416, '195.219.24.0', '195.219.24.255', 3285915648, 3285915903, 'GB', 'United Kingdom'),
(127417, '195.219.25.0', '195.219.25.255', 3285915904, 3285916159, 'AT', 'Austria'),
(127418, '195.219.26.0', '195.219.26.255', 3285916160, 3285916415, 'FR', 'France'),
(127419, '195.219.27.0', '195.219.27.255', 3285916416, 3285916671, 'YE', 'Yemen'),
(127420, '195.219.28.0', '195.219.28.31', 3285916672, 3285916703, 'BH', 'Bahrain'),
(127421, '195.219.28.32', '195.219.28.39', 3285916704, 3285916711, 'DE', 'Germany'),
(127422, '195.219.28.40', '195.219.28.47', 3285916712, 3285916719, 'CY', 'Cyprus'),
(127423, '195.219.28.48', '195.219.28.63', 3285916720, 3285916735, 'ES', 'Spain'),
(127424, '195.219.28.64', '195.219.28.159', 3285916736, 3285916831, 'GB', 'United Kingdom'),
(127425, '195.219.28.160', '195.219.28.173', 3285916832, 3285916845, 'DE', 'Germany'),
(127426, '195.219.28.174', '195.219.28.175', 3285916846, 3285916847, 'EU', 'Europe'),
(127427, '195.219.28.176', '195.219.28.183', 3285916848, 3285916855, 'IT', 'Italy'),
(127428, '195.219.28.184', '195.219.28.191', 3285916856, 3285916863, 'GB', 'United Kingdom'),
(127429, '195.219.28.192', '195.219.28.255', 3285916864, 3285916927, 'EU', 'Europe'),
(127430, '195.219.29.0', '195.219.29.255', 3285916928, 3285917183, 'GB', 'United Kingdom'),
(127431, '195.219.30.0', '195.219.30.255', 3285917184, 3285917439, 'ES', 'Spain'),
(127432, '195.219.31.0', '195.219.31.255', 3285917440, 3285917695, 'YE', 'Yemen'),
(127433, '195.219.32.0', '195.219.35.255', 3285917696, 3285918719, 'EU', 'Europe'),
(127434, '195.219.36.0', '195.219.36.255', 3285918720, 3285918975, 'SE', 'Sweden'),
(127435, '195.219.37.0', '195.219.37.255', 3285918976, 3285919231, 'YE', 'Yemen'),
(127436, '195.219.38.0', '195.219.38.255', 3285919232, 3285919487, 'GB', 'United Kingdom'),
(127437, '195.219.39.0', '195.219.39.255', 3285919488, 3285919743, 'UA', 'Ukraine'),
(127438, '195.219.40.0', '195.219.47.255', 3285919744, 3285921791, 'QA', 'Qatar'),
(127439, '195.219.48.0', '195.219.48.31', 3285921792, 3285921823, 'CZ', 'Czech Republic'),
(127440, '195.219.48.32', '195.219.49.63', 3285921824, 3285922111, 'GB', 'United Kingdom'),
(127441, '195.219.49.64', '195.219.49.127', 3285922112, 3285922175, 'FR', 'France'),
(127442, '195.219.49.128', '195.219.49.135', 3285922176, 3285922183, 'GB', 'United Kingdom'),
(127443, '195.219.49.136', '195.219.49.143', 3285922184, 3285922191, 'RU', 'Russian Federation'),
(127444, '195.219.49.144', '195.219.49.159', 3285922192, 3285922207, 'DE', 'Germany'),
(127445, '195.219.49.160', '195.219.49.191', 3285922208, 3285922239, 'ES', 'Spain'),
(127446, '195.219.49.192', '195.219.49.255', 3285922240, 3285922303, 'RU', 'Russian Federation'),
(127447, '195.219.50.0', '195.219.50.255', 3285922304, 3285922559, 'DE', 'Germany'),
(127448, '195.219.51.0', '195.219.51.255', 3285922560, 3285922815, 'GB', 'United Kingdom'),
(127449, '195.219.52.0', '195.219.53.255', 3285922816, 3285923327, 'KW', 'Kuwait'),
(127450, '195.219.54.0', '195.219.58.63', 3285923328, 3285924415, 'ES', 'Spain'),
(127451, '195.219.58.64', '195.219.58.79', 3285924416, 3285924431, 'DE', 'Germany'),
(127452, '195.219.58.80', '195.219.58.127', 3285924432, 3285924479, 'GB', 'United Kingdom'),
(127453, '195.219.58.128', '195.219.59.255', 3285924480, 3285924863, 'ES', 'Spain'),
(127454, '195.219.60.0', '195.219.63.255', 3285924864, 3285925887, 'EU', 'Europe'),
(127455, '195.219.64.0', '195.219.64.255', 3285925888, 3285926143, 'NL', 'Netherlands'),
(127456, '195.219.65.0', '195.219.65.255', 3285926144, 3285926399, 'YE', 'Yemen'),
(127457, '195.219.66.0', '195.219.66.7', 3285926400, 3285926407, 'GB', 'United Kingdom'),
(127458, '195.219.66.8', '195.219.66.15', 3285926408, 3285926415, 'ES', 'Spain'),
(127459, '195.219.66.16', '195.219.66.31', 3285926416, 3285926431, 'GB', 'United Kingdom'),
(127460, '195.219.66.32', '195.219.66.63', 3285926432, 3285926463, 'CH', 'Switzerland'),
(127461, '195.219.66.64', '195.219.66.127', 3285926464, 3285926527, 'GB', 'United Kingdom'),
(127462, '195.219.66.128', '195.219.66.191', 3285926528, 3285926591, 'EU', 'Europe'),
(127463, '195.219.66.192', '195.219.66.223', 3285926592, 3285926623, 'FR', 'France'),
(127464, '195.219.66.224', '195.219.66.231', 3285926624, 3285926631, 'US', 'United States'),
(127465, '195.219.66.232', '195.219.67.31', 3285926632, 3285926687, 'GB', 'United Kingdom'),
(127466, '195.219.67.32', '195.219.67.63', 3285926688, 3285926719, 'IN', 'India'),
(127467, '195.219.67.64', '195.219.67.127', 3285926720, 3285926783, 'EU', 'Europe'),
(127468, '195.219.67.128', '195.219.67.255', 3285926784, 3285926911, 'GB', 'United Kingdom'),
(127469, '195.219.68.0', '195.219.69.255', 3285926912, 3285927423, 'DE', 'Germany'),
(127470, '195.219.70.0', '195.219.70.255', 3285927424, 3285927679, 'GB', 'United Kingdom'),
(127471, '195.219.71.0', '195.219.71.255', 3285927680, 3285927935, 'IR', 'Iran, Islamic Republic of'),
(127472, '195.219.72.0', '195.219.72.39', 3285927936, 3285927975, 'GB', 'United Kingdom'),
(127473, '195.219.72.40', '195.219.72.47', 3285927976, 3285927983, 'EU', 'Europe'),
(127474, '195.219.72.48', '195.219.72.63', 3285927984, 3285927999, 'GB', 'United Kingdom'),
(127475, '195.219.72.64', '195.219.72.127', 3285928000, 3285928063, 'EU', 'Europe'),
(127476, '195.219.72.128', '195.219.72.255', 3285928064, 3285928191, 'ES', 'Spain'),
(127477, '195.219.73.0', '195.219.73.15', 3285928192, 3285928207, 'PL', 'Poland'),
(127478, '195.219.73.16', '195.219.73.31', 3285928208, 3285928223, 'GB', 'United Kingdom'),
(127479, '195.219.73.32', '195.219.73.63', 3285928224, 3285928255, 'DE', 'Germany'),
(127480, '195.219.73.64', '195.219.73.79', 3285928256, 3285928271, 'GB', 'United Kingdom'),
(127481, '195.219.73.80', '195.219.73.95', 3285928272, 3285928287, 'DE', 'Germany'),
(127482, '195.219.73.96', '195.219.73.159', 3285928288, 3285928351, 'GB', 'United Kingdom'),
(127483, '195.219.73.160', '195.219.73.255', 3285928352, 3285928447, 'EU', 'Europe'),
(127484, '195.219.74.0', '195.219.75.255', 3285928448, 3285928959, 'ES', 'Spain'),
(127485, '195.219.76.0', '195.219.79.255', 3285928960, 3285929983, 'EU', 'Europe'),
(127486, '195.219.80.0', '195.219.82.63', 3285929984, 3285930559, 'GB', 'United Kingdom'),
(127487, '195.219.82.64', '195.219.82.79', 3285930560, 3285930575, 'ES', 'Spain'),
(127488, '195.219.82.80', '195.219.82.127', 3285930576, 3285930623, 'GB', 'United Kingdom'),
(127489, '195.219.82.128', '195.219.82.135', 3285930624, 3285930631, 'BE', 'Belgium'),
(127490, '195.219.82.136', '195.219.82.143', 3285930632, 3285930639, 'GB', 'United Kingdom'),
(127491, '195.219.82.144', '195.219.82.159', 3285930640, 3285930655, 'ES', 'Spain'),
(127492, '195.219.82.160', '195.219.82.175', 3285930656, 3285930671, 'NL', 'Netherlands'),
(127493, '195.219.82.176', '195.219.82.183', 3285930672, 3285930679, 'BE', 'Belgium'),
(127494, '195.219.82.184', '195.219.82.191', 3285930680, 3285930687, 'DE', 'Germany'),
(127495, '195.219.82.192', '195.219.83.255', 3285930688, 3285931007, 'GB', 'United Kingdom'),
(127496, '195.219.84.0', '195.219.87.255', 3285931008, 3285932031, 'EU', 'Europe'),
(127497, '195.219.88.0', '195.219.88.255', 3285932032, 3285932287, 'NL', 'Netherlands'),
(127498, '195.219.89.0', '195.219.90.255', 3285932288, 3285932799, 'GB', 'United Kingdom'),
(127499, '195.219.91.0', '195.219.91.255', 3285932800, 3285933055, 'ES', 'Spain'),
(127500, '195.219.92.0', '195.219.92.255', 3285933056, 3285933311, 'DE', 'Germany'),
(127501, '195.219.93.0', '195.219.93.255', 3285933312, 3285933567, 'ES', 'Spain'),
(127502, '195.219.94.0', '195.219.95.255', 3285933568, 3285934079, 'DE', 'Germany'),
(127503, '195.219.96.0', '195.219.97.255', 3285934080, 3285934591, 'GB', 'United Kingdom'),
(127504, '195.219.98.0', '195.219.98.255', 3285934592, 3285934847, 'ES', 'Spain'),
(127505, '195.219.99.0', '195.219.102.31', 3285934848, 3285935647, 'GB', 'United Kingdom'),
(127506, '195.219.102.32', '195.219.102.255', 3285935648, 3285935871, 'EU', 'Europe'),
(127507, '195.219.103.0', '195.219.103.255', 3285935872, 3285936127, 'GB', 'United Kingdom'),
(127508, '195.219.104.0', '195.219.111.255', 3285936128, 3285938175, 'EU', 'Europe'),
(127509, '195.219.112.0', '195.219.112.255', 3285938176, 3285938431, 'ES', 'Spain'),
(127510, '195.219.113.0', '195.219.113.31', 3285938432, 3285938463, 'GB', 'United Kingdom'),
(127511, '195.219.113.32', '195.219.113.127', 3285938464, 3285938559, 'EU', 'Europe'),
(127512, '195.219.113.128', '195.219.113.175', 3285938560, 3285938607, 'GB', 'United Kingdom'),
(127513, '195.219.113.176', '195.219.113.191', 3285938608, 3285938623, 'FR', 'France'),
(127514, '195.219.113.192', '195.219.113.199', 3285938624, 3285938631, 'NG', 'Nigeria'),
(127515, '195.219.113.200', '195.219.113.207', 3285938632, 3285938639, 'ES', 'Spain'),
(127516, '195.219.113.208', '195.219.113.223', 3285938640, 3285938655, 'GB', 'United Kingdom'),
(127517, '195.219.113.224', '195.219.113.255', 3285938656, 3285938687, 'DE', 'Germany'),
(127518, '195.219.114.0', '195.219.114.255', 3285938688, 3285938943, 'ES', 'Spain'),
(127519, '195.219.115.0', '195.219.115.7', 3285938944, 3285938951, 'NG', 'Nigeria'),
(127520, '195.219.115.8', '195.219.115.15', 3285938952, 3285938959, 'NL', 'Netherlands'),
(127521, '195.219.115.16', '195.219.115.31', 3285938960, 3285938975, 'US', 'United States'),
(127522, '195.219.115.32', '195.219.115.127', 3285938976, 3285939071, 'ES', 'Spain'),
(127523, '195.219.115.128', '195.219.115.143', 3285939072, 3285939087, 'GB', 'United Kingdom'),
(127524, '195.219.115.144', '195.219.115.159', 3285939088, 3285939103, 'FR', 'France'),
(127525, '195.219.115.160', '195.219.115.255', 3285939104, 3285939199, 'EU', 'Europe'),
(127526, '195.219.116.0', '195.219.117.255', 3285939200, 3285939711, 'ES', 'Spain'),
(127527, '195.219.118.0', '195.219.118.31', 3285939712, 3285939743, 'GB', 'United Kingdom'),
(127528, '195.219.118.32', '195.219.119.255', 3285939744, 3285940223, 'EU', 'Europe'),
(127529, '195.219.120.0', '195.219.120.255', 3285940224, 3285940479, 'ES', 'Spain'),
(127530, '195.219.121.0', '195.219.123.255', 3285940480, 3285941247, 'GB', 'United Kingdom'),
(127531, '195.219.124.0', '195.219.125.255', 3285941248, 3285941759, 'EU', 'Europe'),
(127532, '195.219.126.0', '195.219.128.15', 3285941760, 3285942287, 'GB', 'United Kingdom'),
(127533, '195.219.128.16', '195.219.128.31', 3285942288, 3285942303, 'NL', 'Netherlands'),
(127534, '195.219.128.32', '195.219.128.255', 3285942304, 3285942527, 'EU', 'Europe'),
(127535, '195.219.129.0', '195.219.129.255', 3285942528, 3285942783, 'PT', 'Portugal'),
(127536, '195.219.130.0', '195.219.130.255', 3285942784, 3285943039, 'ES', 'Spain'),
(127537, '195.219.131.0', '195.219.131.255', 3285943040, 3285943295, 'SE', 'Sweden'),
(127538, '195.219.132.0', '195.219.132.255', 3285943296, 3285943551, 'ES', 'Spain'),
(127539, '195.219.133.0', '195.219.133.15', 3285943552, 3285943567, 'GB', 'United Kingdom'),
(127540, '195.219.133.16', '195.219.133.23', 3285943568, 3285943575, 'ES', 'Spain'),
(127541, '195.219.133.24', '195.219.133.31', 3285943576, 3285943583, 'DE', 'Germany'),
(127542, '195.219.133.32', '195.219.133.95', 3285943584, 3285943647, 'GB', 'United Kingdom'),
(127543, '195.219.133.96', '195.219.133.127', 3285943648, 3285943679, 'NG', 'Nigeria'),
(127544, '195.219.133.128', '195.219.135.255', 3285943680, 3285944319, 'GB', 'United Kingdom'),
(127545, '195.219.136.0', '195.219.137.255', 3285944320, 3285944831, 'US', 'United States'),
(127546, '195.219.138.0', '195.219.139.255', 3285944832, 3285945343, 'DK', 'Denmark'),
(127547, '195.219.140.0', '195.219.140.255', 3285945344, 3285945599, 'ES', 'Spain'),
(127548, '195.219.141.0', '195.219.141.31', 3285945600, 3285945631, 'GB', 'United Kingdom'),
(127549, '195.219.141.32', '195.219.141.63', 3285945632, 3285945663, 'EU', 'Europe'),
(127550, '195.219.141.64', '195.219.141.95', 3285945664, 3285945695, 'FR', 'France'),
(127551, '195.219.141.96', '195.219.141.159', 3285945696, 3285945759, 'GB', 'United Kingdom'),
(127552, '195.219.141.160', '195.219.141.255', 3285945760, 3285945855, 'EU', 'Europe'),
(127553, '195.219.142.0', '195.219.142.255', 3285945856, 3285946111, 'GB', 'United Kingdom'),
(127554, '195.219.143.0', '195.219.143.255', 3285946112, 3285946367, 'ES', 'Spain'),
(127555, '195.219.144.0', '195.219.145.255', 3285946368, 3285946879, 'GB', 'United Kingdom'),
(127556, '195.219.146.0', '195.219.147.255', 3285946880, 3285947391, 'NL', 'Netherlands'),
(127557, '195.219.148.0', '195.219.148.255', 3285947392, 3285947647, 'DE', 'Germany'),
(127558, '195.219.149.0', '195.219.149.255', 3285947648, 3285947903, 'ES', 'Spain'),
(127559, '195.219.150.0', '195.219.150.255', 3285947904, 3285948159, 'NL', 'Netherlands'),
(127560, '195.219.151.0', '195.219.152.255', 3285948160, 3285948671, 'GB', 'United Kingdom'),
(127561, '195.219.153.0', '195.219.153.255', 3285948672, 3285948927, 'SA', 'Saudi Arabia'),
(127562, '195.219.154.0', '195.219.154.255', 3285948928, 3285949183, 'NG', 'Nigeria'),
(127563, '195.219.155.0', '195.219.155.255', 3285949184, 3285949439, 'ES', 'Spain'),
(127564, '195.219.156.0', '195.219.156.255', 3285949440, 3285949695, 'DE', 'Germany'),
(127565, '195.219.157.0', '195.219.157.127', 3285949696, 3285949823, 'ES', 'Spain'),
(127566, '195.219.157.128', '195.219.157.159', 3285949824, 3285949855, 'EU', 'Europe'),
(127567, '195.219.157.160', '195.219.157.191', 3285949856, 3285949887, 'ES', 'Spain'),
(127568, '195.219.157.192', '195.219.157.223', 3285949888, 3285949919, 'GB', 'United Kingdom'),
(127569, '195.219.157.224', '195.219.157.255', 3285949920, 3285949951, 'EU', 'Europe'),
(127570, '195.219.158.0', '195.219.159.255', 3285949952, 3285950463, 'ES', 'Spain'),
(127571, '195.219.160.0', '195.219.160.255', 3285950464, 3285950719, 'GB', 'United Kingdom'),
(127572, '195.219.161.0', '195.219.161.63', 3285950720, 3285950783, 'US', 'United States'),
(127573, '195.219.161.64', '195.219.161.95', 3285950784, 3285950815, 'GB', 'United Kingdom'),
(127574, '195.219.161.96', '195.219.161.223', 3285950816, 3285950943, 'EU', 'Europe'),
(127575, '195.219.161.224', '195.219.161.255', 3285950944, 3285950975, 'GB', 'United Kingdom'),
(127576, '195.219.162.0', '195.219.162.255', 3285950976, 3285951231, 'NL', 'Netherlands'),
(127577, '195.219.163.0', '195.219.163.255', 3285951232, 3285951487, 'IT', 'Italy'),
(127578, '195.219.164.0', '195.219.164.31', 3285951488, 3285951519, 'GB', 'United Kingdom'),
(127579, '195.219.164.32', '195.219.164.127', 3285951520, 3285951615, 'EU', 'Europe'),
(127580, '195.219.164.128', '195.219.164.159', 3285951616, 3285951647, 'GB', 'United Kingdom'),
(127581, '195.219.164.160', '195.219.164.191', 3285951648, 3285951679, 'ES', 'Spain'),
(127582, '195.219.164.192', '195.219.164.223', 3285951680, 3285951711, 'GB', 'United Kingdom'),
(127583, '195.219.164.224', '195.219.164.255', 3285951712, 3285951743, 'EU', 'Europe'),
(127584, '195.219.165.0', '195.219.165.255', 3285951744, 3285951999, 'GB', 'United Kingdom'),
(127585, '195.219.166.0', '195.219.166.255', 3285952000, 3285952255, 'IT', 'Italy'),
(127586, '195.219.167.0', '195.219.167.255', 3285952256, 3285952511, 'SA', 'Saudi Arabia'),
(127587, '195.219.168.0', '195.219.171.255', 3285952512, 3285953535, 'CA', 'Canada'),
(127588, '195.219.172.0', '195.219.173.255', 3285953536, 3285954047, 'PK', 'Pakistan'),
(127589, '195.219.174.0', '195.219.175.255', 3285954048, 3285954559, 'GB', 'United Kingdom'),
(127590, '195.219.176.0', '195.219.176.255', 3285954560, 3285954815, 'SA', 'Saudi Arabia'),
(127591, '195.219.177.0', '195.219.179.255', 3285954816, 3285955583, 'GB', 'United Kingdom'),
(127592, '195.219.180.0', '195.219.180.255', 3285955584, 3285955839, 'DE', 'Germany'),
(127593, '195.219.181.0', '195.219.181.255', 3285955840, 3285956095, 'ES', 'Spain'),
(127594, '195.219.182.0', '195.219.182.255', 3285956096, 3285956351, 'FR', 'France'),
(127595, '195.219.183.0', '195.219.183.255', 3285956352, 3285956607, 'DE', 'Germany'),
(127596, '195.219.184.0', '195.219.184.255', 3285956608, 3285956863, 'GB', 'United Kingdom'),
(127597, '195.219.185.0', '195.219.187.255', 3285956864, 3285957631, 'PT', 'Portugal'),
(127598, '195.219.188.0', '195.219.188.255', 3285957632, 3285957887, 'PL', 'Poland'),
(127599, '195.219.189.0', '195.219.189.255', 3285957888, 3285958143, 'GB', 'United Kingdom'),
(127600, '195.219.190.0', '195.219.190.255', 3285958144, 3285958399, 'DE', 'Germany'),
(127601, '195.219.191.0', '195.219.191.255', 3285958400, 3285958655, 'NL', 'Netherlands'),
(127602, '195.219.192.0', '195.219.192.31', 3285958656, 3285958687, 'GB', 'United Kingdom'),
(127603, '195.219.192.32', '195.219.192.127', 3285958688, 3285958783, 'EU', 'Europe'),
(127604, '195.219.192.128', '195.219.192.159', 3285958784, 3285958815, 'GB', 'United Kingdom'),
(127605, '195.219.192.160', '195.219.192.191', 3285958816, 3285958847, 'EU', 'Europe'),
(127606, '195.219.192.192', '195.219.192.239', 3285958848, 3285958895, 'NL', 'Netherlands'),
(127607, '195.219.192.240', '195.219.193.127', 3285958896, 3285959039, 'GB', 'United Kingdom'),
(127608, '195.219.193.128', '195.219.193.255', 3285959040, 3285959167, 'DE', 'Germany'),
(127609, '195.219.194.0', '195.219.194.255', 3285959168, 3285959423, 'NL', 'Netherlands'),
(127610, '195.219.195.0', '195.219.196.255', 3285959424, 3285959935, 'GB', 'United Kingdom'),
(127611, '195.219.197.0', '195.219.197.255', 3285959936, 3285960191, 'ES', 'Spain'),
(127612, '195.219.198.0', '195.219.198.255', 3285960192, 3285960447, 'FR', 'France'),
(127613, '195.219.199.0', '195.219.199.255', 3285960448, 3285960703, 'GB', 'United Kingdom'),
(127614, '195.219.200.0', '195.219.203.255', 3285960704, 3285961727, 'CA', 'Canada'),
(127615, '195.219.204.0', '195.219.204.255', 3285961728, 3285961983, 'NL', 'Netherlands'),
(127616, '195.219.205.0', '195.219.206.255', 3285961984, 3285962495, 'ES', 'Spain'),
(127617, '195.219.207.0', '195.219.211.255', 3285962496, 3285963775, 'DE', 'Germany'),
(127618, '195.219.212.0', '195.219.213.255', 3285963776, 3285964287, 'GB', 'United Kingdom'),
(127619, '195.219.214.0', '195.219.215.255', 3285964288, 3285964799, 'FR', 'France'),
(127620, '195.219.216.0', '195.219.221.255', 3285964800, 3285966335, 'GB', 'United Kingdom'),
(127621, '195.219.222.0', '195.219.223.255', 3285966336, 3285966847, 'EU', 'Europe'),
(127622, '195.219.224.0', '195.219.224.255', 3285966848, 3285967103, 'FR', 'France'),
(127623, '195.219.225.0', '195.219.225.255', 3285967104, 3285967359, 'PL', 'Poland'),
(127624, '195.219.226.0', '195.219.226.255', 3285967360, 3285967615, 'ES', 'Spain'),
(127625, '195.219.227.0', '195.219.229.255', 3285967616, 3285968383, 'BE', 'Belgium'),
(127626, '195.219.230.0', '195.219.230.255', 3285968384, 3285968639, 'ES', 'Spain'),
(127627, '195.219.231.0', '195.219.231.255', 3285968640, 3285968895, 'PL', 'Poland'),
(127628, '195.219.232.0', '195.219.239.255', 3285968896, 3285970943, 'CA', 'Canada'),
(127629, '195.219.240.0', '195.219.240.63', 3285970944, 3285971007, 'EU', 'Europe'),
(127630, '195.219.240.64', '195.219.240.95', 3285971008, 3285971039, 'GB', 'United Kingdom'),
(127631, '195.219.240.96', '195.219.240.223', 3285971040, 3285971167, 'EU', 'Europe'),
(127632, '195.219.240.224', '195.219.240.255', 3285971168, 3285971199, 'GB', 'United Kingdom'),
(127633, '195.219.241.0', '195.219.241.255', 3285971200, 3285971455, 'FR', 'France'),
(127634, '195.219.242.0', '195.219.242.255', 3285971456, 3285971711, 'DE', 'Germany'),
(127635, '195.219.243.0', '195.219.243.255', 3285971712, 3285971967, 'GB', 'United Kingdom'),
(127636, '195.219.244.0', '195.219.244.255', 3285971968, 3285972223, 'ES', 'Spain'),
(127637, '195.219.245.0', '195.219.245.255', 3285972224, 3285972479, 'GB', 'United Kingdom'),
(127638, '195.219.246.0', '195.219.246.255', 3285972480, 3285972735, 'PL', 'Poland'),
(127639, '195.219.247.0', '195.219.247.255', 3285972736, 3285972991, 'FR', 'France'),
(127640, '195.219.248.0', '195.219.248.103', 3285972992, 3285973095, 'GB', 'United Kingdom'),
(127641, '195.219.248.104', '195.219.248.255', 3285973096, 3285973247, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(127642, '195.219.249.0', '195.219.251.7', 3285973248, 3285973767, 'GB', 'United Kingdom'),
(127643, '195.219.251.8', '195.219.251.31', 3285973768, 3285973791, 'EU', 'Europe'),
(127644, '195.219.251.32', '195.219.251.63', 3285973792, 3285973823, 'GB', 'United Kingdom'),
(127645, '195.219.251.64', '195.219.251.255', 3285973824, 3285974015, 'EU', 'Europe'),
(127646, '195.219.252.0', '195.219.255.255', 3285974016, 3285975039, 'GB', 'United Kingdom'),
(127647, '195.220.0.0', '195.220.150.255', 3285975040, 3286013695, 'FR', 'France'),
(127648, '195.220.151.0', '195.220.151.255', 3286013696, 3286013951, 'RE', 'Reunion'),
(127649, '195.220.152.0', '195.221.255.255', 3286013952, 3286106111, 'FR', 'France'),
(127650, '195.222.0.0', '195.222.2.63', 3286106112, 3286106687, 'EE', 'Estonia'),
(127651, '195.222.2.64', '195.222.2.65', 3286106688, 3286106689, 'FI', 'Finland'),
(127652, '195.222.2.66', '195.222.31.255', 3286106690, 3286114303, 'EE', 'Estonia'),
(127653, '195.222.32.0', '195.222.63.255', 3286114304, 3286122495, 'BA', 'Bosnia and Herzegovina'),
(127654, '195.222.64.0', '195.222.95.255', 3286122496, 3286130687, 'BY', 'Belarus'),
(127655, '195.222.96.0', '195.222.99.255', 3286130688, 3286131711, 'RS', 'Serbia'),
(127656, '195.222.100.0', '195.222.103.255', 3286131712, 3286132735, 'PL', 'Poland'),
(127657, '195.222.104.0', '195.222.107.255', 3286132736, 3286133759, 'RO', 'Romania'),
(127658, '195.222.108.0', '195.222.111.255', 3286133760, 3286134783, 'IE', 'Ireland'),
(127659, '195.222.112.0', '195.222.115.255', 3286134784, 3286135807, 'PL', 'Poland'),
(127660, '195.222.116.0', '195.222.119.255', 3286135808, 3286136831, 'NL', 'Netherlands'),
(127661, '195.222.120.0', '195.222.123.255', 3286136832, 3286137855, 'AT', 'Austria'),
(127662, '195.222.124.0', '195.222.127.255', 3286137856, 3286138879, 'UA', 'Ukraine'),
(127663, '195.222.128.0', '195.222.191.255', 3286138880, 3286155263, 'RU', 'Russian Federation'),
(127664, '195.222.192.0', '195.222.255.255', 3286155264, 3286171647, 'DE', 'Germany'),
(127665, '195.223.0.0', '195.223.255.255', 3286171648, 3286237183, 'IT', 'Italy'),
(127666, '195.224.0.0', '195.224.24.255', 3286237184, 3286243583, 'GB', 'United Kingdom'),
(127667, '195.224.25.0', '195.224.25.255', 3286243584, 3286243839, 'US', 'United States'),
(127668, '195.224.26.0', '195.224.33.255', 3286243840, 3286245887, 'GB', 'United Kingdom'),
(127669, '195.224.34.0', '195.224.34.255', 3286245888, 3286246143, 'US', 'United States'),
(127670, '195.224.35.0', '195.224.66.87', 3286246144, 3286254167, 'GB', 'United Kingdom'),
(127671, '195.224.66.88', '195.224.66.95', 3286254168, 3286254175, 'NL', 'Netherlands'),
(127672, '195.224.66.96', '195.224.108.47', 3286254176, 3286264879, 'GB', 'United Kingdom'),
(127673, '195.224.108.48', '195.224.108.63', 3286264880, 3286264895, 'NL', 'Netherlands'),
(127674, '195.224.108.64', '195.224.164.255', 3286264896, 3286279423, 'GB', 'United Kingdom'),
(127675, '195.224.165.0', '195.224.165.255', 3286279424, 3286279679, 'US', 'United States'),
(127676, '195.224.166.0', '195.224.213.95', 3286279680, 3286291807, 'GB', 'United Kingdom'),
(127677, '195.224.213.96', '195.224.213.111', 3286291808, 3286291823, 'US', 'United States'),
(127678, '195.224.213.112', '195.224.255.255', 3286291824, 3286302719, 'GB', 'United Kingdom'),
(127679, '195.225.0.0', '195.225.31.255', 3286302720, 3286310911, 'NO', 'Norway'),
(127680, '195.225.32.0', '195.225.33.255', 3286310912, 3286311423, 'CH', 'Switzerland'),
(127681, '195.225.34.0', '195.225.35.255', 3286311424, 3286311935, 'NL', 'Netherlands'),
(127682, '195.225.36.0', '195.225.37.255', 3286311936, 3286312447, 'PL', 'Poland'),
(127683, '195.225.38.0', '195.225.39.255', 3286312448, 3286312959, 'RU', 'Russian Federation'),
(127684, '195.225.40.0', '195.225.43.255', 3286312960, 3286313983, 'RO', 'Romania'),
(127685, '195.225.44.0', '195.225.45.255', 3286313984, 3286314495, 'CH', 'Switzerland'),
(127686, '195.225.46.0', '195.225.47.255', 3286314496, 3286315007, 'IL', 'Israel'),
(127687, '195.225.48.0', '195.225.49.255', 3286315008, 3286315519, 'UA', 'Ukraine'),
(127688, '195.225.50.0', '195.225.50.255', 3286315520, 3286315775, 'SI', 'Slovenia'),
(127689, '195.225.51.0', '195.225.51.255', 3286315776, 3286316031, 'BG', 'Bulgaria'),
(127690, '195.225.52.0', '195.225.53.255', 3286316032, 3286316543, 'UA', 'Ukraine'),
(127691, '195.225.54.0', '195.225.55.255', 3286316544, 3286317055, 'NL', 'Netherlands'),
(127692, '195.225.56.0', '195.225.57.255', 3286317056, 3286317567, 'RU', 'Russian Federation'),
(127693, '195.225.58.0', '195.225.59.255', 3286317568, 3286318079, 'RO', 'Romania'),
(127694, '195.225.60.0', '195.225.61.255', 3286318080, 3286318591, 'CH', 'Switzerland'),
(127695, '195.225.62.0', '195.225.63.255', 3286318592, 3286319103, 'A2', 'Satellite Provider'),
(127696, '195.225.64.0', '195.225.67.255', 3286319104, 3286320127, 'RO', 'Romania'),
(127697, '195.225.68.0', '195.225.71.255', 3286320128, 3286321151, 'PL', 'Poland'),
(127698, '195.225.72.0', '195.225.75.255', 3286321152, 3286322175, 'CZ', 'Czech Republic'),
(127699, '195.225.76.0', '195.225.79.255', 3286322176, 3286323199, 'PL', 'Poland'),
(127700, '195.225.80.0', '195.225.83.255', 3286323200, 3286324223, 'GB', 'United Kingdom'),
(127701, '195.225.84.0', '195.225.87.255', 3286324224, 3286325247, 'RO', 'Romania'),
(127702, '195.225.88.0', '195.225.91.255', 3286325248, 3286326271, 'DK', 'Denmark'),
(127703, '195.225.92.0', '195.225.95.255', 3286326272, 3286327295, 'PL', 'Poland'),
(127704, '195.225.96.0', '195.225.103.255', 3286327296, 3286329343, 'NL', 'Netherlands'),
(127705, '195.225.104.0', '195.225.107.255', 3286329344, 3286330367, 'DE', 'Germany'),
(127706, '195.225.112.0', '195.225.115.255', 3286331392, 3286332415, 'UA', 'Ukraine'),
(127707, '195.225.116.0', '195.225.119.255', 3286332416, 3286333439, 'CH', 'Switzerland'),
(127708, '195.225.120.0', '195.225.123.255', 3286333440, 3286334463, 'PL', 'Poland'),
(127709, '195.225.124.0', '195.225.127.255', 3286334464, 3286335487, 'BG', 'Bulgaria'),
(127710, '195.225.128.0', '195.225.131.255', 3286335488, 3286336511, 'RU', 'Russian Federation'),
(127711, '195.225.132.0', '195.225.135.255', 3286336512, 3286337535, 'DE', 'Germany'),
(127712, '195.225.136.0', '195.225.139.255', 3286337536, 3286338559, 'PL', 'Poland'),
(127713, '195.225.140.0', '195.225.143.255', 3286338560, 3286339583, 'RO', 'Romania'),
(127714, '195.225.144.0', '195.225.147.255', 3286339584, 3286340607, 'UA', 'Ukraine'),
(127715, '195.225.148.0', '195.225.155.255', 3286340608, 3286342655, 'DE', 'Germany'),
(127716, '195.225.156.0', '195.225.159.255', 3286342656, 3286343679, 'UA', 'Ukraine'),
(127717, '195.225.160.0', '195.225.163.255', 3286343680, 3286344703, 'RU', 'Russian Federation'),
(127718, '195.225.164.0', '195.225.167.255', 3286344704, 3286345727, 'BE', 'Belgium'),
(127719, '195.225.168.0', '195.225.171.255', 3286345728, 3286346751, 'IT', 'Italy'),
(127720, '195.225.172.0', '195.225.175.255', 3286346752, 3286347775, 'UA', 'Ukraine'),
(127721, '195.225.176.0', '195.225.179.255', 3286347776, 3286348799, 'PA', 'Panama'),
(127722, '195.225.180.0', '195.225.183.255', 3286348800, 3286349823, 'PL', 'Poland'),
(127723, '195.225.184.0', '195.225.187.255', 3286349824, 3286350847, 'SE', 'Sweden'),
(127724, '195.225.188.0', '195.225.191.255', 3286350848, 3286351871, 'GB', 'United Kingdom'),
(127725, '195.225.192.0', '195.225.195.255', 3286351872, 3286352895, 'CH', 'Switzerland'),
(127726, '195.225.196.0', '195.225.199.255', 3286352896, 3286353919, 'DE', 'Germany'),
(127727, '195.225.200.0', '195.225.203.255', 3286353920, 3286354943, 'LI', 'Liechtenstein'),
(127728, '195.225.204.0', '195.225.207.255', 3286354944, 3286355967, 'FR', 'France'),
(127729, '195.225.208.0', '195.225.211.255', 3286355968, 3286356991, 'DE', 'Germany'),
(127730, '195.225.212.0', '195.225.215.255', 3286356992, 3286358015, 'PL', 'Poland'),
(127731, '195.225.216.0', '195.225.219.255', 3286358016, 3286359039, 'GB', 'United Kingdom'),
(127732, '195.225.220.0', '195.225.223.255', 3286359040, 3286360063, 'PT', 'Portugal'),
(127733, '195.225.224.0', '195.225.227.255', 3286360064, 3286361087, 'IT', 'Italy'),
(127734, '195.225.228.0', '195.225.231.255', 3286361088, 3286362111, 'UA', 'Ukraine'),
(127735, '195.225.232.0', '195.225.235.255', 3286362112, 3286363135, 'RU', 'Russian Federation'),
(127736, '195.225.236.0', '195.225.239.255', 3286363136, 3286364159, 'AT', 'Austria'),
(127737, '195.225.240.0', '195.225.243.255', 3286364160, 3286365183, 'DE', 'Germany'),
(127738, '195.225.244.0', '195.225.251.255', 3286365184, 3286367231, 'PL', 'Poland'),
(127739, '195.225.252.0', '195.225.255.255', 3286367232, 3286368255, 'BG', 'Bulgaria'),
(127740, '195.226.0.0', '195.226.31.255', 3286368256, 3286376447, 'CH', 'Switzerland'),
(127741, '195.226.32.0', '195.226.63.255', 3286376448, 3286384639, 'GB', 'United Kingdom'),
(127742, '195.226.64.0', '195.226.114.167', 3286384640, 3286397607, 'DE', 'Germany'),
(127743, '195.226.114.168', '195.226.114.175', 3286397608, 3286397615, 'A2', 'Satellite Provider'),
(127744, '195.226.114.176', '195.226.127.255', 3286397616, 3286401023, 'DE', 'Germany'),
(127745, '195.226.128.0', '195.226.159.255', 3286401024, 3286409215, 'GB', 'United Kingdom'),
(127746, '195.226.160.0', '195.226.191.255', 3286409216, 3286417407, 'DE', 'Germany'),
(127747, '195.226.192.0', '195.226.192.255', 3286417408, 3286417663, 'UA', 'Ukraine'),
(127748, '195.226.193.0', '195.226.193.255', 3286417664, 3286417919, 'IT', 'Italy'),
(127749, '195.226.194.0', '195.226.194.255', 3286417920, 3286418175, 'DE', 'Germany'),
(127750, '195.226.195.0', '195.226.195.255', 3286418176, 3286418431, 'AT', 'Austria'),
(127751, '195.226.196.0', '195.226.196.255', 3286418432, 3286418687, 'TR', 'Turkey'),
(127752, '195.226.197.0', '195.226.197.255', 3286418688, 3286418943, 'UA', 'Ukraine'),
(127753, '195.226.198.0', '195.226.198.255', 3286418944, 3286419199, 'PL', 'Poland'),
(127754, '195.226.199.0', '195.226.199.255', 3286419200, 3286419455, 'DK', 'Denmark'),
(127755, '195.226.200.0', '195.226.200.255', 3286419456, 3286419711, 'DE', 'Germany'),
(127756, '195.226.201.0', '195.226.201.255', 3286419712, 3286419967, 'GB', 'United Kingdom'),
(127757, '195.226.202.0', '195.226.202.255', 3286419968, 3286420223, 'FI', 'Finland'),
(127758, '195.226.203.0', '195.226.204.255', 3286420224, 3286420735, 'RU', 'Russian Federation'),
(127759, '195.226.205.0', '195.226.205.255', 3286420736, 3286420991, 'NL', 'Netherlands'),
(127760, '195.226.206.0', '195.226.206.255', 3286420992, 3286421247, 'RO', 'Romania'),
(127761, '195.226.207.0', '195.226.207.255', 3286421248, 3286421503, 'PL', 'Poland'),
(127762, '195.226.208.0', '195.226.208.255', 3286421504, 3286421759, 'KZ', 'Kazakhstan'),
(127763, '195.226.209.0', '195.226.209.255', 3286421760, 3286422015, 'RU', 'Russian Federation'),
(127764, '195.226.210.0', '195.226.210.255', 3286422016, 3286422271, 'MD', 'Moldova, Republic of'),
(127765, '195.226.211.0', '195.226.211.255', 3286422272, 3286422527, 'FR', 'France'),
(127766, '195.226.212.0', '195.226.212.255', 3286422528, 3286422783, 'RO', 'Romania'),
(127767, '195.226.213.0', '195.226.213.255', 3286422784, 3286423039, 'UA', 'Ukraine'),
(127768, '195.226.214.0', '195.226.214.255', 3286423040, 3286423295, 'RO', 'Romania'),
(127769, '195.226.215.0', '195.226.215.255', 3286423296, 3286423551, 'UA', 'Ukraine'),
(127770, '195.226.216.0', '195.226.216.255', 3286423552, 3286423807, 'RU', 'Russian Federation'),
(127771, '195.226.217.0', '195.226.217.255', 3286423808, 3286424063, 'CZ', 'Czech Republic'),
(127772, '195.226.218.0', '195.226.218.255', 3286424064, 3286424319, 'LV', 'Latvia'),
(127773, '195.226.219.0', '195.226.219.255', 3286424320, 3286424575, 'FR', 'France'),
(127774, '195.226.220.0', '195.226.220.255', 3286424576, 3286424831, 'RU', 'Russian Federation'),
(127775, '195.226.221.0', '195.226.221.255', 3286424832, 3286425087, 'TR', 'Turkey'),
(127776, '195.226.222.0', '195.226.222.255', 3286425088, 3286425343, 'RU', 'Russian Federation'),
(127777, '195.226.223.0', '195.226.223.255', 3286425344, 3286425599, 'IT', 'Italy'),
(127778, '195.226.224.0', '195.226.226.255', 3286425600, 3286426367, 'KW', 'Kuwait'),
(127779, '195.226.227.0', '195.226.227.255', 3286426368, 3286426623, 'US', 'United States'),
(127780, '195.226.228.0', '195.226.255.255', 3286426624, 3286433791, 'KW', 'Kuwait'),
(127781, '195.227.0.0', '195.227.255.255', 3286433792, 3286499327, 'DE', 'Germany'),
(127782, '195.228.0.0', '195.228.76.255', 3286499328, 3286519039, 'HU', 'Hungary'),
(127783, '195.228.77.0', '195.228.77.255', 3286519040, 3286519295, 'RO', 'Romania'),
(127784, '195.228.78.0', '195.228.255.255', 3286519296, 3286564863, 'HU', 'Hungary'),
(127785, '195.229.0.0', '195.229.4.255', 3286564864, 3286566143, 'AE', 'United Arab Emirates'),
(127786, '195.229.5.0', '195.229.5.127', 3286566144, 3286566271, 'TZ', 'Tanzania, United Republic of'),
(127787, '195.229.5.128', '195.229.6.255', 3286566272, 3286566655, 'AE', 'United Arab Emirates'),
(127788, '195.229.7.0', '195.229.7.255', 3286566656, 3286566911, 'KW', 'Kuwait'),
(127789, '195.229.8.0', '195.229.8.255', 3286566912, 3286567167, 'US', 'United States'),
(127790, '195.229.9.0', '195.229.9.255', 3286567168, 3286567423, 'KW', 'Kuwait'),
(127791, '195.229.10.0', '195.229.12.255', 3286567424, 3286568191, 'AE', 'United Arab Emirates'),
(127792, '195.229.13.0', '195.229.14.255', 3286568192, 3286568703, 'US', 'United States'),
(127793, '195.229.15.0', '195.229.23.255', 3286568704, 3286571007, 'AE', 'United Arab Emirates'),
(127794, '195.229.24.0', '195.229.24.255', 3286571008, 3286571263, 'KW', 'Kuwait'),
(127795, '195.229.25.0', '195.229.25.255', 3286571264, 3286571519, 'US', 'United States'),
(127796, '195.229.26.0', '195.229.26.255', 3286571520, 3286571775, 'KW', 'Kuwait'),
(127797, '195.229.27.0', '195.229.255.255', 3286571776, 3286630399, 'AE', 'United Arab Emirates'),
(127798, '195.230.0.0', '195.230.31.255', 3286630400, 3286638591, 'BG', 'Bulgaria'),
(127799, '195.230.32.0', '195.230.63.255', 3286638592, 3286646783, 'AT', 'Austria'),
(127800, '195.230.64.0', '195.230.95.255', 3286646784, 3286654975, 'RU', 'Russian Federation'),
(127801, '195.230.96.0', '195.230.96.255', 3286654976, 3286655231, 'UA', 'Ukraine'),
(127802, '195.230.97.0', '195.230.97.255', 3286655232, 3286655487, 'KZ', 'Kazakhstan'),
(127803, '195.230.98.0', '195.230.98.255', 3286655488, 3286655743, 'LT', 'Lithuania'),
(127804, '195.230.99.0', '195.230.99.255', 3286655744, 3286655999, 'RU', 'Russian Federation'),
(127805, '195.230.100.0', '195.230.100.255', 3286656000, 3286656255, 'CH', 'Switzerland'),
(127806, '195.230.101.0', '195.230.101.255', 3286656256, 3286656511, 'RU', 'Russian Federation'),
(127807, '195.230.102.0', '195.230.102.255', 3286656512, 3286656767, 'GR', 'Greece'),
(127808, '195.230.103.0', '195.230.103.255', 3286656768, 3286657023, 'UA', 'Ukraine'),
(127809, '195.230.104.0', '195.230.104.255', 3286657024, 3286657279, 'BE', 'Belgium'),
(127810, '195.230.105.0', '195.230.105.255', 3286657280, 3286657535, 'ES', 'Spain'),
(127811, '195.230.106.0', '195.230.106.255', 3286657536, 3286657791, 'HU', 'Hungary'),
(127812, '195.230.107.0', '195.230.107.255', 3286657792, 3286658047, 'RU', 'Russian Federation'),
(127813, '195.230.108.0', '195.230.108.255', 3286658048, 3286658303, 'US', 'United States'),
(127814, '195.230.109.0', '195.230.109.255', 3286658304, 3286658559, 'RU', 'Russian Federation'),
(127815, '195.230.110.0', '195.230.110.255', 3286658560, 3286658815, 'NL', 'Netherlands'),
(127816, '195.230.111.0', '195.230.111.255', 3286658816, 3286659071, 'RU', 'Russian Federation'),
(127817, '195.230.112.0', '195.230.112.255', 3286659072, 3286659327, 'UA', 'Ukraine'),
(127818, '195.230.113.0', '195.230.113.255', 3286659328, 3286659583, 'PL', 'Poland'),
(127819, '195.230.114.0', '195.230.114.255', 3286659584, 3286659839, 'DE', 'Germany'),
(127820, '195.230.115.0', '195.230.115.255', 3286659840, 3286660095, 'UA', 'Ukraine'),
(127821, '195.230.116.0', '195.230.116.255', 3286660096, 3286660351, 'DE', 'Germany'),
(127822, '195.230.117.0', '195.230.117.255', 3286660352, 3286660607, 'CH', 'Switzerland'),
(127823, '195.230.118.0', '195.230.118.255', 3286660608, 3286660863, 'GB', 'United Kingdom'),
(127824, '195.230.119.0', '195.230.119.255', 3286660864, 3286661119, 'UA', 'Ukraine'),
(127825, '195.230.120.0', '195.230.120.255', 3286661120, 3286661375, 'PL', 'Poland'),
(127826, '195.230.121.0', '195.230.121.255', 3286661376, 3286661631, 'SI', 'Slovenia'),
(127827, '195.230.122.0', '195.230.122.255', 3286661632, 3286661887, 'GB', 'United Kingdom'),
(127828, '195.230.123.0', '195.230.123.255', 3286661888, 3286662143, 'RU', 'Russian Federation'),
(127829, '195.230.124.0', '195.230.124.255', 3286662144, 3286662399, 'SK', 'Slovakia'),
(127830, '195.230.125.0', '195.230.125.255', 3286662400, 3286662655, 'UA', 'Ukraine'),
(127831, '195.230.126.0', '195.230.126.255', 3286662656, 3286662911, 'DE', 'Germany'),
(127832, '195.230.127.0', '195.230.159.255', 3286662912, 3286671359, 'UA', 'Ukraine'),
(127833, '195.230.160.0', '195.230.191.255', 3286671360, 3286679551, 'AT', 'Austria'),
(127834, '195.230.192.0', '195.230.200.31', 3286679552, 3286681631, 'IT', 'Italy'),
(127835, '195.230.200.32', '195.230.200.47', 3286681632, 3286681647, 'DE', 'Germany'),
(127836, '195.230.200.48', '195.230.200.51', 3286681648, 3286681651, 'IT', 'Italy'),
(127837, '195.230.200.52', '195.230.200.55', 3286681652, 3286681655, 'TN', 'Tunisia'),
(127838, '195.230.200.56', '195.230.200.59', 3286681656, 3286681659, 'IT', 'Italy'),
(127839, '195.230.200.60', '195.230.200.63', 3286681660, 3286681663, 'ES', 'Spain'),
(127840, '195.230.200.64', '195.230.200.95', 3286681664, 3286681695, 'FR', 'France'),
(127841, '195.230.200.96', '195.230.200.99', 3286681696, 3286681699, 'ES', 'Spain'),
(127842, '195.230.200.100', '195.230.200.111', 3286681700, 3286681711, 'IT', 'Italy'),
(127843, '195.230.200.112', '195.230.200.127', 3286681712, 3286681727, 'CH', 'Switzerland'),
(127844, '195.230.200.128', '195.230.200.143', 3286681728, 3286681743, 'HK', 'Hong Kong'),
(127845, '195.230.200.144', '195.230.200.151', 3286681744, 3286681751, 'ES', 'Spain'),
(127846, '195.230.200.152', '195.230.200.167', 3286681752, 3286681767, 'IT', 'Italy'),
(127847, '195.230.200.168', '195.230.200.175', 3286681768, 3286681775, 'DE', 'Germany'),
(127848, '195.230.200.176', '195.230.200.215', 3286681776, 3286681815, 'IT', 'Italy'),
(127849, '195.230.200.216', '195.230.200.223', 3286681816, 3286681823, 'FR', 'France'),
(127850, '195.230.200.224', '195.230.203.95', 3286681824, 3286682463, 'IT', 'Italy'),
(127851, '195.230.203.96', '195.230.203.127', 3286682464, 3286682495, 'RO', 'Romania'),
(127852, '195.230.203.128', '195.230.203.255', 3286682496, 3286682623, 'IT', 'Italy'),
(127853, '195.230.204.0', '195.230.204.255', 3286682624, 3286682879, 'SM', 'San Marino'),
(127854, '195.230.205.0', '195.230.255.255', 3286682880, 3286695935, 'IT', 'Italy'),
(127855, '195.231.0.0', '195.231.255.255', 3286695936, 3286761471, 'DK', 'Denmark'),
(127856, '195.232.0.0', '195.232.0.255', 3286761472, 3286761727, 'DE', 'Germany'),
(127857, '195.232.1.0', '195.232.31.255', 3286761728, 3286769663, 'GB', 'United Kingdom'),
(127858, '195.232.32.0', '195.232.32.255', 3286769664, 3286769919, 'DE', 'Germany'),
(127859, '195.232.33.0', '195.232.47.255', 3286769920, 3286773759, 'GB', 'United Kingdom'),
(127860, '195.232.48.0', '195.232.63.255', 3286773760, 3286777855, 'DE', 'Germany'),
(127861, '195.232.64.0', '195.232.79.255', 3286777856, 3286781951, 'FR', 'France'),
(127862, '195.232.80.0', '195.232.80.255', 3286781952, 3286782207, 'GB', 'United Kingdom'),
(127863, '195.232.81.0', '195.232.81.255', 3286782208, 3286782463, 'DE', 'Germany'),
(127864, '195.232.82.0', '195.232.82.71', 3286782464, 3286782535, 'GB', 'United Kingdom'),
(127865, '195.232.82.72', '195.232.82.79', 3286782536, 3286782543, 'FR', 'France'),
(127866, '195.232.82.80', '195.232.82.111', 3286782544, 3286782575, 'GB', 'United Kingdom'),
(127867, '195.232.82.112', '195.232.82.119', 3286782576, 3286782583, 'DE', 'Germany'),
(127868, '195.232.82.120', '195.232.86.111', 3286782584, 3286783599, 'GB', 'United Kingdom'),
(127869, '195.232.86.112', '195.232.86.127', 3286783600, 3286783615, 'CH', 'Switzerland'),
(127870, '195.232.86.128', '195.232.86.191', 3286783616, 3286783679, 'DE', 'Germany'),
(127871, '195.232.86.192', '195.232.89.255', 3286783680, 3286784511, 'GB', 'United Kingdom'),
(127872, '195.232.90.0', '195.232.90.255', 3286784512, 3286784767, 'CH', 'Switzerland'),
(127873, '195.232.91.0', '195.232.91.255', 3286784768, 3286785023, 'DE', 'Germany'),
(127874, '195.232.92.0', '195.232.99.255', 3286785024, 3286787071, 'GB', 'United Kingdom'),
(127875, '195.232.100.0', '195.232.100.255', 3286787072, 3286787327, 'FR', 'France'),
(127876, '195.232.101.0', '195.232.101.255', 3286787328, 3286787583, 'DE', 'Germany'),
(127877, '195.232.102.0', '195.232.103.255', 3286787584, 3286788095, 'GB', 'United Kingdom'),
(127878, '195.232.104.0', '195.232.104.255', 3286788096, 3286788351, 'DE', 'Germany'),
(127879, '195.232.105.0', '195.232.105.255', 3286788352, 3286788607, 'FR', 'France'),
(127880, '195.232.106.0', '195.232.107.255', 3286788608, 3286789119, 'GB', 'United Kingdom'),
(127881, '195.232.108.0', '195.232.109.255', 3286789120, 3286789631, 'DE', 'Germany'),
(127882, '195.232.110.0', '195.232.111.255', 3286789632, 3286790143, 'FR', 'France'),
(127883, '195.232.112.0', '195.232.113.255', 3286790144, 3286790655, 'GB', 'United Kingdom'),
(127884, '195.232.114.0', '195.232.114.255', 3286790656, 3286790911, 'DE', 'Germany'),
(127885, '195.232.115.0', '195.232.117.255', 3286790912, 3286791679, 'GB', 'United Kingdom'),
(127886, '195.232.118.0', '195.232.118.255', 3286791680, 3286791935, 'AT', 'Austria'),
(127887, '195.232.119.0', '195.232.127.255', 3286791936, 3286794239, 'GB', 'United Kingdom'),
(127888, '195.232.128.0', '195.233.239.255', 3286794240, 3286888447, 'DE', 'Germany'),
(127889, '195.233.240.0', '195.233.243.255', 3286888448, 3286889471, 'IE', 'Ireland'),
(127890, '195.233.244.0', '195.233.255.255', 3286889472, 3286892543, 'DE', 'Germany'),
(127891, '195.234.0.0', '195.234.1.255', 3286892544, 3286893055, 'LI', 'Liechtenstein'),
(127892, '195.234.2.0', '195.234.3.255', 3286893056, 3286893567, 'RU', 'Russian Federation'),
(127893, '195.234.4.0', '195.234.7.255', 3286893568, 3286894591, 'UA', 'Ukraine'),
(127894, '195.234.8.0', '195.234.9.255', 3286894592, 3286895103, 'PL', 'Poland'),
(127895, '195.234.10.0', '195.234.11.255', 3286895104, 3286895615, 'GB', 'United Kingdom'),
(127896, '195.234.12.0', '195.234.13.255', 3286895616, 3286896127, 'DE', 'Germany'),
(127897, '195.234.14.0', '195.234.15.255', 3286896128, 3286896639, 'SE', 'Sweden'),
(127898, '195.234.16.0', '195.234.17.255', 3286896640, 3286897151, 'PL', 'Poland'),
(127899, '195.234.18.0', '195.234.19.255', 3286897152, 3286897663, 'AT', 'Austria'),
(127900, '195.234.20.0', '195.234.21.255', 3286897664, 3286898175, 'PL', 'Poland'),
(127901, '195.234.22.0', '195.234.23.255', 3286898176, 3286898687, 'HR', 'Croatia'),
(127902, '195.234.24.0', '195.234.25.255', 3286898688, 3286899199, 'EU', 'Europe'),
(127903, '195.234.26.0', '195.234.27.255', 3286899200, 3286899711, 'IL', 'Israel'),
(127904, '195.234.28.0', '195.234.29.255', 3286899712, 3286900223, 'DE', 'Germany'),
(127905, '195.234.30.0', '195.234.31.255', 3286900224, 3286900735, 'RO', 'Romania'),
(127906, '195.234.32.0', '195.234.32.255', 3286900736, 3286900991, 'BE', 'Belgium'),
(127907, '195.234.33.0', '195.234.34.255', 3286900992, 3286901503, 'DE', 'Germany'),
(127908, '195.234.35.0', '195.234.36.255', 3286901504, 3286902015, 'FR', 'France'),
(127909, '195.234.37.0', '195.234.38.255', 3286902016, 3286902527, 'CH', 'Switzerland'),
(127910, '195.234.39.0', '195.234.39.255', 3286902528, 3286902783, 'GB', 'United Kingdom'),
(127911, '195.234.40.0', '195.234.40.255', 3286902784, 3286903039, 'PL', 'Poland'),
(127912, '195.234.41.0', '195.234.42.255', 3286903040, 3286903551, 'FR', 'France'),
(127913, '195.234.43.0', '195.234.43.255', 3286903552, 3286903807, 'CH', 'Switzerland'),
(127914, '195.234.44.0', '195.234.44.255', 3286903808, 3286904063, 'AT', 'Austria'),
(127915, '195.234.45.0', '195.234.45.255', 3286904064, 3286904319, 'BE', 'Belgium'),
(127916, '195.234.46.0', '195.234.46.255', 3286904320, 3286904575, 'FR', 'France'),
(127917, '195.234.47.0', '195.234.47.255', 3286904576, 3286904831, 'PT', 'Portugal'),
(127918, '195.234.48.0', '195.234.48.255', 3286904832, 3286905087, 'GB', 'United Kingdom'),
(127919, '195.234.49.0', '195.234.49.255', 3286905088, 3286905343, 'GR', 'Greece'),
(127920, '195.234.50.0', '195.234.50.255', 3286905344, 3286905599, 'DE', 'Germany'),
(127921, '195.234.51.0', '195.234.51.255', 3286905600, 3286905855, 'MT', 'Malta'),
(127922, '195.234.52.0', '195.234.52.255', 3286905856, 3286906111, 'TR', 'Turkey'),
(127923, '195.234.53.0', '195.234.53.255', 3286906112, 3286906367, 'BE', 'Belgium'),
(127924, '195.234.54.0', '195.234.55.255', 3286906368, 3286906879, 'RO', 'Romania'),
(127925, '195.234.56.0', '195.234.56.255', 3286906880, 3286907135, 'RU', 'Russian Federation'),
(127926, '195.234.57.0', '195.234.57.255', 3286907136, 3286907391, 'SE', 'Sweden'),
(127927, '195.234.58.0', '195.234.58.255', 3286907392, 3286907647, 'AT', 'Austria'),
(127928, '195.234.59.0', '195.234.59.255', 3286907648, 3286907903, 'ES', 'Spain'),
(127929, '195.234.60.0', '195.234.60.255', 3286907904, 3286908159, 'CH', 'Switzerland'),
(127930, '195.234.61.0', '195.234.61.255', 3286908160, 3286908415, 'ES', 'Spain'),
(127931, '195.234.62.0', '195.234.62.255', 3286908416, 3286908671, 'FR', 'France'),
(127932, '195.234.63.0', '195.234.63.255', 3286908672, 3286908927, 'PL', 'Poland'),
(127933, '195.234.64.0', '195.234.67.255', 3286908928, 3286909951, 'CH', 'Switzerland'),
(127934, '195.234.68.0', '195.234.79.255', 3286909952, 3286913023, 'UA', 'Ukraine'),
(127935, '195.234.80.0', '195.234.83.255', 3286913024, 3286914047, 'DE', 'Germany'),
(127936, '195.234.84.0', '195.234.87.255', 3286914048, 3286915071, 'BG', 'Bulgaria'),
(127937, '195.234.88.0', '195.234.91.255', 3286915072, 3286916095, 'FR', 'France'),
(127938, '195.234.92.0', '195.234.95.255', 3286916096, 3286917119, 'DE', 'Germany'),
(127939, '195.234.96.0', '195.234.99.255', 3286917120, 3286918143, 'RU', 'Russian Federation'),
(127940, '195.234.100.0', '195.234.103.255', 3286918144, 3286919167, 'AT', 'Austria'),
(127941, '195.234.104.0', '195.234.107.255', 3286919168, 3286920191, 'DE', 'Germany'),
(127942, '195.234.108.0', '195.234.111.255', 3286920192, 3286921215, 'RU', 'Russian Federation'),
(127943, '195.234.112.0', '195.234.115.255', 3286921216, 3286922239, 'UA', 'Ukraine'),
(127944, '195.234.116.0', '195.234.119.255', 3286922240, 3286923263, 'GB', 'United Kingdom'),
(127945, '195.234.120.0', '195.234.123.255', 3286923264, 3286924287, 'CM', 'Cameroon'),
(127946, '195.234.124.0', '195.234.127.255', 3286924288, 3286925311, 'UA', 'Ukraine'),
(127947, '195.234.128.0', '195.234.128.255', 3286925312, 3286925567, 'DE', 'Germany'),
(127948, '195.234.129.0', '195.234.129.255', 3286925568, 3286925823, 'CH', 'Switzerland'),
(127949, '195.234.130.0', '195.234.130.255', 3286925824, 3286926079, 'RO', 'Romania'),
(127950, '195.234.131.0', '195.234.131.255', 3286926080, 3286926335, 'LV', 'Latvia'),
(127951, '195.234.132.0', '195.234.132.255', 3286926336, 3286926591, 'UA', 'Ukraine'),
(127952, '195.234.133.0', '195.234.133.255', 3286926592, 3286926847, 'DE', 'Germany'),
(127953, '195.234.134.0', '195.234.134.255', 3286926848, 3286927103, 'PT', 'Portugal'),
(127954, '195.234.135.0', '195.234.135.255', 3286927104, 3286927359, 'FI', 'Finland'),
(127955, '195.234.136.0', '195.234.136.255', 3286927360, 3286927615, 'DE', 'Germany'),
(127956, '195.234.137.0', '195.234.137.255', 3286927616, 3286927871, 'SI', 'Slovenia'),
(127957, '195.234.138.0', '195.234.139.255', 3286927872, 3286928383, 'DE', 'Germany'),
(127958, '195.234.140.0', '195.234.140.255', 3286928384, 3286928639, 'ES', 'Spain'),
(127959, '195.234.141.0', '195.234.141.255', 3286928640, 3286928895, 'PL', 'Poland'),
(127960, '195.234.142.0', '195.234.142.255', 3286928896, 3286929151, 'FI', 'Finland'),
(127961, '195.234.143.0', '195.234.143.255', 3286929152, 3286929407, 'DE', 'Germany'),
(127962, '195.234.144.0', '195.234.144.255', 3286929408, 3286929663, 'LV', 'Latvia'),
(127963, '195.234.145.0', '195.234.145.255', 3286929664, 3286929919, 'BE', 'Belgium'),
(127964, '195.234.146.0', '195.234.146.255', 3286929920, 3286930175, 'SE', 'Sweden'),
(127965, '195.234.147.0', '195.234.147.255', 3286930176, 3286930431, 'RU', 'Russian Federation'),
(127966, '195.234.148.0', '195.234.148.255', 3286930432, 3286930687, 'UA', 'Ukraine'),
(127967, '195.234.149.0', '195.234.149.255', 3286930688, 3286930943, 'DE', 'Germany'),
(127968, '195.234.150.0', '195.234.150.255', 3286930944, 3286931199, 'SE', 'Sweden'),
(127969, '195.234.151.0', '195.234.151.255', 3286931200, 3286931455, 'AT', 'Austria'),
(127970, '195.234.152.0', '195.234.152.255', 3286931456, 3286931711, 'DE', 'Germany'),
(127971, '195.234.153.0', '195.234.153.255', 3286931712, 3286931967, 'GB', 'United Kingdom'),
(127972, '195.234.154.0', '195.234.154.255', 3286931968, 3286932223, 'FR', 'France'),
(127973, '195.234.155.0', '195.234.155.255', 3286932224, 3286932479, 'DK', 'Denmark'),
(127974, '195.234.156.0', '195.234.156.255', 3286932480, 3286932735, 'GB', 'United Kingdom'),
(127975, '195.234.157.0', '195.234.157.255', 3286932736, 3286932991, 'AT', 'Austria'),
(127976, '195.234.158.0', '195.234.159.255', 3286932992, 3286933503, 'IL', 'Israel'),
(127977, '195.234.160.0', '195.234.160.255', 3286933504, 3286933759, 'DK', 'Denmark'),
(127978, '195.234.161.0', '195.234.161.255', 3286933760, 3286934015, 'RO', 'Romania'),
(127979, '195.234.162.0', '195.234.162.255', 3286934016, 3286934271, 'BE', 'Belgium'),
(127980, '195.234.163.0', '195.234.163.255', 3286934272, 3286934527, 'CH', 'Switzerland'),
(127981, '195.234.164.0', '195.234.164.255', 3286934528, 3286934783, 'PL', 'Poland'),
(127982, '195.234.165.0', '195.234.165.255', 3286934784, 3286935039, 'TR', 'Turkey'),
(127983, '195.234.166.0', '195.234.167.255', 3286935040, 3286935551, 'ES', 'Spain'),
(127984, '195.234.168.0', '195.234.168.255', 3286935552, 3286935807, 'EG', 'Egypt'),
(127985, '195.234.169.0', '195.234.169.255', 3286935808, 3286936063, 'RO', 'Romania'),
(127986, '195.234.170.0', '195.234.170.255', 3286936064, 3286936319, 'RU', 'Russian Federation'),
(127987, '195.234.171.0', '195.234.171.255', 3286936320, 3286936575, 'IT', 'Italy'),
(127988, '195.234.172.0', '195.234.172.255', 3286936576, 3286936831, 'RO', 'Romania'),
(127989, '195.234.173.0', '195.234.173.255', 3286936832, 3286937087, 'NL', 'Netherlands'),
(127990, '195.234.174.0', '195.234.174.255', 3286937088, 3286937343, 'UA', 'Ukraine'),
(127991, '195.234.175.0', '195.234.175.255', 3286937344, 3286937599, 'GB', 'United Kingdom'),
(127992, '195.234.176.0', '195.234.176.255', 3286937600, 3286937855, 'CH', 'Switzerland'),
(127993, '195.234.177.0', '195.234.177.255', 3286937856, 3286938111, 'RO', 'Romania'),
(127994, '195.234.178.0', '195.234.178.255', 3286938112, 3286938367, 'DE', 'Germany'),
(127995, '195.234.179.0', '195.234.179.255', 3286938368, 3286938623, 'ES', 'Spain'),
(127996, '195.234.180.0', '195.234.180.255', 3286938624, 3286938879, 'CH', 'Switzerland'),
(127997, '195.234.181.0', '195.234.182.255', 3286938880, 3286939391, 'RO', 'Romania'),
(127998, '195.234.183.0', '195.234.183.255', 3286939392, 3286939647, 'DE', 'Germany'),
(127999, '195.234.184.0', '195.234.184.255', 3286939648, 3286939903, 'BE', 'Belgium'),
(128000, '195.234.185.0', '195.234.185.255', 3286939904, 3286940159, 'EG', 'Egypt'),
(128001, '195.234.186.0', '195.234.186.255', 3286940160, 3286940415, 'BE', 'Belgium'),
(128002, '195.234.187.0', '195.234.187.255', 3286940416, 3286940671, 'NL', 'Netherlands'),
(128003, '195.234.188.0', '195.234.188.255', 3286940672, 3286940927, 'RO', 'Romania'),
(128004, '195.234.189.0', '195.234.189.255', 3286940928, 3286941183, 'PL', 'Poland'),
(128005, '195.234.190.0', '195.234.190.255', 3286941184, 3286941439, 'RU', 'Russian Federation'),
(128006, '195.234.191.0', '195.234.191.255', 3286941440, 3286941695, 'RO', 'Romania'),
(128007, '195.234.192.0', '195.234.195.255', 3286941696, 3286942719, 'DE', 'Germany'),
(128008, '195.234.196.0', '195.234.199.255', 3286942720, 3286943743, 'FI', 'Finland'),
(128009, '195.234.200.0', '195.234.203.255', 3286943744, 3286944767, 'UA', 'Ukraine'),
(128010, '195.234.204.0', '195.234.207.255', 3286944768, 3286945791, 'CZ', 'Czech Republic'),
(128011, '195.234.208.0', '195.234.211.255', 3286945792, 3286946815, 'RU', 'Russian Federation'),
(128012, '195.234.212.0', '195.234.215.255', 3286946816, 3286947839, 'UA', 'Ukraine'),
(128013, '195.234.216.0', '195.234.219.255', 3286947840, 3286948863, 'DE', 'Germany'),
(128014, '195.234.220.0', '195.234.223.255', 3286948864, 3286949887, 'UA', 'Ukraine'),
(128015, '195.234.224.0', '195.234.227.255', 3286949888, 3286950911, 'CH', 'Switzerland'),
(128016, '195.234.228.0', '195.234.231.255', 3286950912, 3286951935, 'DE', 'Germany'),
(128017, '195.234.232.0', '195.234.235.255', 3286951936, 3286952959, 'IT', 'Italy'),
(128018, '195.234.236.0', '195.234.239.255', 3286952960, 3286953983, 'BG', 'Bulgaria'),
(128019, '195.234.240.0', '195.234.243.255', 3286953984, 3286955007, 'GB', 'United Kingdom'),
(128020, '195.234.244.0', '195.234.247.255', 3286955008, 3286956031, 'DE', 'Germany'),
(128021, '195.234.248.0', '195.234.251.255', 3286956032, 3286957055, 'A2', 'Satellite Provider'),
(128022, '195.234.252.0', '195.234.255.255', 3286957056, 3286958079, 'EG', 'Egypt'),
(128023, '195.235.0.0', '195.235.255.255', 3286958080, 3287023615, 'ES', 'Spain'),
(128024, '195.236.0.0', '195.237.31.255', 3287023616, 3287097343, 'FI', 'Finland'),
(128025, '195.237.32.0', '195.237.32.255', 3287097344, 3287097599, 'AX', 'Aland Islands'),
(128026, '195.237.33.0', '195.237.255.255', 3287097600, 3287154687, 'FI', 'Finland'),
(128027, '195.238.0.0', '195.238.31.255', 3287154688, 3287162879, 'BE', 'Belgium'),
(128028, '195.238.32.0', '195.238.39.255', 3287162880, 3287164927, 'US', 'United States'),
(128029, '195.238.40.0', '195.238.40.255', 3287164928, 3287165183, 'DE', 'Germany'),
(128030, '195.238.41.0', '195.238.41.255', 3287165184, 3287165439, 'US', 'United States'),
(128031, '195.238.42.0', '195.238.42.255', 3287165440, 3287165695, 'SA', 'Saudi Arabia'),
(128032, '195.238.43.0', '195.238.43.255', 3287165696, 3287165951, 'US', 'United States'),
(128033, '195.238.44.0', '195.238.44.255', 3287165952, 3287166207, 'SA', 'Saudi Arabia'),
(128034, '195.238.45.0', '195.238.47.255', 3287166208, 3287166975, 'US', 'United States'),
(128035, '195.238.48.0', '195.238.50.255', 3287166976, 3287167743, 'SA', 'Saudi Arabia'),
(128036, '195.238.51.0', '195.238.53.255', 3287167744, 3287168511, 'US', 'United States'),
(128037, '195.238.54.0', '195.238.54.255', 3287168512, 3287168767, 'EU', 'Europe'),
(128038, '195.238.55.0', '195.238.56.255', 3287168768, 3287169279, 'SA', 'Saudi Arabia'),
(128039, '195.238.57.0', '195.238.57.255', 3287169280, 3287169535, 'US', 'United States'),
(128040, '195.238.58.0', '195.238.58.255', 3287169536, 3287169791, 'SA', 'Saudi Arabia'),
(128041, '195.238.59.0', '195.238.60.255', 3287169792, 3287170303, 'US', 'United States'),
(128042, '195.238.61.0', '195.238.61.255', 3287170304, 3287170559, 'DE', 'Germany'),
(128043, '195.238.62.0', '195.238.62.255', 3287170560, 3287170815, 'US', 'United States'),
(128044, '195.238.63.0', '195.238.63.255', 3287170816, 3287171071, 'GB', 'United Kingdom'),
(128045, '195.238.64.0', '195.238.65.255', 3287171072, 3287171583, 'LT', 'Lithuania'),
(128046, '195.238.66.0', '195.238.67.255', 3287171584, 3287172095, 'PL', 'Poland'),
(128047, '195.238.68.0', '195.238.69.255', 3287172096, 3287172607, 'DE', 'Germany'),
(128048, '195.238.70.0', '195.238.71.255', 3287172608, 3287173119, 'PL', 'Poland'),
(128049, '195.238.72.0', '195.238.73.255', 3287173120, 3287173631, 'RU', 'Russian Federation'),
(128050, '195.238.74.0', '195.238.75.255', 3287173632, 3287174143, 'NL', 'Netherlands'),
(128051, '195.238.76.0', '195.238.77.255', 3287174144, 3287174655, 'SE', 'Sweden'),
(128052, '195.238.78.0', '195.238.79.255', 3287174656, 3287175167, 'GB', 'United Kingdom'),
(128053, '195.238.80.0', '195.238.83.255', 3287175168, 3287176191, 'RO', 'Romania'),
(128054, '195.238.84.0', '195.238.85.255', 3287176192, 3287176703, 'BG', 'Bulgaria'),
(128055, '195.238.86.0', '195.238.87.255', 3287176704, 3287177215, 'NL', 'Netherlands'),
(128056, '195.238.88.0', '195.238.91.255', 3287177216, 3287178239, 'RO', 'Romania'),
(128057, '195.238.92.0', '195.238.93.255', 3287178240, 3287178751, 'UA', 'Ukraine'),
(128058, '195.238.94.0', '195.238.95.255', 3287178752, 3287179263, 'RO', 'Romania'),
(128059, '195.238.96.0', '195.238.99.255', 3287179264, 3287180287, 'FR', 'France'),
(128060, '195.238.100.0', '195.238.103.255', 3287180288, 3287181311, 'RU', 'Russian Federation'),
(128061, '195.238.104.0', '195.238.107.255', 3287181312, 3287182335, 'UZ', 'Uzbekistan'),
(128062, '195.238.108.0', '195.238.119.255', 3287182336, 3287185407, 'UA', 'Ukraine'),
(128063, '195.238.120.0', '195.238.123.255', 3287185408, 3287186431, 'SE', 'Sweden'),
(128064, '195.238.124.0', '195.238.127.255', 3287186432, 3287187455, 'FI', 'Finland'),
(128065, '195.238.128.0', '195.238.163.255', 3287187456, 3287196671, 'DE', 'Germany'),
(128066, '195.238.164.0', '195.238.171.255', 3287196672, 3287198719, 'PL', 'Poland'),
(128067, '195.238.172.0', '195.238.175.255', 3287198720, 3287199743, 'GB', 'United Kingdom'),
(128068, '195.238.176.0', '195.238.183.255', 3287199744, 3287201791, 'UA', 'Ukraine'),
(128069, '195.238.184.0', '195.238.187.255', 3287201792, 3287202815, 'PL', 'Poland'),
(128070, '195.238.188.0', '195.238.191.255', 3287202816, 3287203839, 'UA', 'Ukraine'),
(128071, '195.238.192.0', '195.238.196.31', 3287203840, 3287204895, 'FI', 'Finland'),
(128072, '195.238.196.32', '195.238.196.87', 3287204896, 3287204951, 'EE', 'Estonia'),
(128073, '195.238.196.88', '195.238.196.95', 3287204952, 3287204959, 'FI', 'Finland'),
(128074, '195.238.196.96', '195.238.196.127', 3287204960, 3287204991, 'EE', 'Estonia'),
(128075, '195.238.196.128', '195.238.223.255', 3287204992, 3287212031, 'FI', 'Finland'),
(128076, '195.238.224.0', '195.238.225.255', 3287212032, 3287212543, 'DE', 'Germany'),
(128077, '195.238.226.0', '195.238.226.255', 3287212544, 3287212799, 'FR', 'France'),
(128078, '195.238.227.0', '195.238.228.255', 3287212800, 3287213311, 'PL', 'Poland'),
(128079, '195.238.229.0', '195.238.229.255', 3287213312, 3287213567, 'FR', 'France'),
(128080, '195.238.230.0', '195.238.231.255', 3287213568, 3287214079, 'RU', 'Russian Federation'),
(128081, '195.238.232.0', '195.238.232.255', 3287214080, 3287214335, 'GB', 'United Kingdom'),
(128082, '195.238.233.0', '195.238.233.255', 3287214336, 3287214591, 'DE', 'Germany'),
(128083, '195.238.234.0', '195.238.234.255', 3287214592, 3287214847, 'NO', 'Norway'),
(128084, '195.238.235.0', '195.238.235.255', 3287214848, 3287215103, 'IT', 'Italy'),
(128085, '195.238.236.0', '195.238.236.255', 3287215104, 3287215359, 'PL', 'Poland'),
(128086, '195.238.237.0', '195.238.237.255', 3287215360, 3287215615, 'GB', 'United Kingdom'),
(128087, '195.238.238.0', '195.238.238.255', 3287215616, 3287215871, 'DE', 'Germany'),
(128088, '195.238.239.0', '195.238.239.255', 3287215872, 3287216127, 'RU', 'Russian Federation'),
(128089, '195.238.240.0', '195.238.241.255', 3287216128, 3287216639, 'GB', 'United Kingdom'),
(128090, '195.238.242.0', '195.238.242.255', 3287216640, 3287216895, 'MD', 'Moldova, Republic of'),
(128091, '195.238.243.0', '195.238.243.255', 3287216896, 3287217151, 'GB', 'United Kingdom'),
(128092, '195.238.244.0', '195.238.244.255', 3287217152, 3287217407, 'NL', 'Netherlands'),
(128093, '195.238.245.0', '195.238.245.255', 3287217408, 3287217663, 'PL', 'Poland'),
(128094, '195.238.246.0', '195.238.246.255', 3287217664, 3287217919, 'RU', 'Russian Federation'),
(128095, '195.238.247.0', '195.238.247.255', 3287217920, 3287218175, 'PL', 'Poland'),
(128096, '195.238.248.0', '195.238.248.255', 3287218176, 3287218431, 'DE', 'Germany'),
(128097, '195.238.249.0', '195.238.249.255', 3287218432, 3287218687, 'GB', 'United Kingdom'),
(128098, '195.238.250.0', '195.238.250.255', 3287218688, 3287218943, 'RU', 'Russian Federation'),
(128099, '195.238.251.0', '195.238.251.255', 3287218944, 3287219199, 'FR', 'France'),
(128100, '195.238.252.0', '195.238.252.255', 3287219200, 3287219455, 'DE', 'Germany'),
(128101, '195.238.253.0', '195.238.253.255', 3287219456, 3287219711, 'CH', 'Switzerland'),
(128102, '195.238.254.0', '195.238.255.255', 3287219712, 3287220223, 'SE', 'Sweden'),
(128103, '195.239.0.0', '195.239.152.239', 3287220224, 3287259375, 'RU', 'Russian Federation'),
(128104, '195.239.152.240', '195.239.152.247', 3287259376, 3287259383, 'DK', 'Denmark'),
(128105, '195.239.152.248', '195.239.198.207', 3287259384, 3287271119, 'RU', 'Russian Federation'),
(128106, '195.239.198.208', '195.239.198.215', 3287271120, 3287271127, 'UZ', 'Uzbekistan'),
(128107, '195.239.198.216', '195.239.255.255', 3287271128, 3287285759, 'RU', 'Russian Federation'),
(128108, '195.240.0.0', '195.241.255.255', 3287285760, 3287416831, 'NL', 'Netherlands'),
(128109, '195.242.0.0', '195.242.31.255', 3287416832, 3287425023, 'RU', 'Russian Federation'),
(128110, '195.242.32.0', '195.242.42.175', 3287425024, 3287427759, 'SE', 'Sweden'),
(128111, '195.242.42.176', '195.242.42.191', 3287427760, 3287427775, 'GB', 'United Kingdom'),
(128112, '195.242.42.192', '195.242.63.255', 3287427776, 3287433215, 'SE', 'Sweden'),
(128113, '195.242.64.0', '195.242.65.255', 3287433216, 3287433727, 'PL', 'Poland'),
(128114, '195.242.66.0', '195.242.67.255', 3287433728, 3287434239, 'DE', 'Germany'),
(128115, '195.242.68.0', '195.242.69.255', 3287434240, 3287434751, 'PL', 'Poland'),
(128116, '195.242.70.0', '195.242.71.255', 3287434752, 3287435263, 'GB', 'United Kingdom'),
(128117, '195.242.72.0', '195.242.73.255', 3287435264, 3287435775, 'NL', 'Netherlands'),
(128118, '195.242.74.0', '195.242.75.255', 3287435776, 3287436287, 'GB', 'United Kingdom'),
(128119, '195.242.76.0', '195.242.77.255', 3287436288, 3287436799, 'RS', 'Serbia'),
(128120, '195.242.78.0', '195.242.79.255', 3287436800, 3287437311, 'RO', 'Romania'),
(128121, '195.242.80.0', '195.242.81.255', 3287437312, 3287437823, 'UA', 'Ukraine'),
(128122, '195.242.82.0', '195.242.83.255', 3287437824, 3287438335, 'RU', 'Russian Federation'),
(128123, '195.242.84.0', '195.242.85.255', 3287438336, 3287438847, 'CH', 'Switzerland'),
(128124, '195.242.86.0', '195.242.87.255', 3287438848, 3287439359, 'GB', 'United Kingdom'),
(128125, '195.242.88.0', '195.242.89.255', 3287439360, 3287439871, 'RO', 'Romania'),
(128126, '195.242.90.0', '195.242.93.255', 3287439872, 3287440895, 'PL', 'Poland'),
(128127, '195.242.94.0', '195.242.95.255', 3287440896, 3287441407, 'UA', 'Ukraine'),
(128128, '195.242.96.0', '195.242.99.255', 3287441408, 3287442431, 'NL', 'Netherlands'),
(128129, '195.242.100.0', '195.242.101.255', 3287442432, 3287442943, 'PL', 'Poland'),
(128130, '195.242.102.0', '195.242.105.255', 3287442944, 3287443967, 'DE', 'Germany'),
(128131, '195.242.106.0', '195.242.107.255', 3287443968, 3287444479, 'BG', 'Bulgaria'),
(128132, '195.242.108.0', '195.242.109.255', 3287444480, 3287444991, 'PL', 'Poland'),
(128133, '195.242.110.0', '195.242.111.255', 3287444992, 3287445503, 'DE', 'Germany'),
(128134, '195.242.112.0', '195.242.113.255', 3287445504, 3287446015, 'GB', 'United Kingdom'),
(128135, '195.242.114.0', '195.242.115.255', 3287446016, 3287446527, 'UA', 'Ukraine'),
(128136, '195.242.116.0', '195.242.117.255', 3287446528, 3287447039, 'PL', 'Poland'),
(128137, '195.242.118.0', '195.242.119.255', 3287447040, 3287447551, 'IL', 'Israel'),
(128138, '195.242.120.0', '195.242.121.255', 3287447552, 3287448063, 'DK', 'Denmark'),
(128139, '195.242.122.0', '195.242.123.255', 3287448064, 3287448575, 'GB', 'United Kingdom'),
(128140, '195.242.124.0', '195.242.125.255', 3287448576, 3287449087, 'PL', 'Poland'),
(128141, '195.242.126.0', '195.242.127.255', 3287449088, 3287449599, 'BG', 'Bulgaria'),
(128142, '195.242.128.0', '195.242.129.255', 3287449600, 3287450111, 'PL', 'Poland'),
(128143, '195.242.130.0', '195.242.131.255', 3287450112, 3287450623, 'DK', 'Denmark'),
(128144, '195.242.132.0', '195.242.133.255', 3287450624, 3287451135, 'SE', 'Sweden'),
(128145, '195.242.134.0', '195.242.135.255', 3287451136, 3287451647, 'PL', 'Poland'),
(128146, '195.242.136.0', '195.242.137.255', 3287451648, 3287452159, 'ES', 'Spain'),
(128147, '195.242.138.0', '195.242.139.255', 3287452160, 3287452671, 'PL', 'Poland'),
(128148, '195.242.140.0', '195.242.141.255', 3287452672, 3287453183, 'CH', 'Switzerland'),
(128149, '195.242.142.0', '195.242.145.255', 3287453184, 3287454207, 'RU', 'Russian Federation'),
(128150, '195.242.146.0', '195.242.147.255', 3287454208, 3287454719, 'SE', 'Sweden'),
(128151, '195.242.148.0', '195.242.151.255', 3287454720, 3287455743, 'UA', 'Ukraine'),
(128152, '195.242.152.0', '195.242.153.255', 3287455744, 3287456255, 'NL', 'Netherlands'),
(128153, '195.242.154.0', '195.242.157.255', 3287456256, 3287457279, 'GB', 'United Kingdom'),
(128154, '195.242.158.0', '195.242.159.255', 3287457280, 3287457791, 'RO', 'Romania'),
(128155, '195.242.160.0', '195.242.160.255', 3287457792, 3287458047, 'NL', 'Netherlands'),
(128156, '195.242.161.0', '195.242.161.255', 3287458048, 3287458303, 'UA', 'Ukraine'),
(128157, '195.242.162.0', '195.242.162.255', 3287458304, 3287458559, 'DE', 'Germany'),
(128158, '195.242.163.0', '195.242.165.255', 3287458560, 3287459327, 'CH', 'Switzerland'),
(128159, '195.242.166.0', '195.242.166.255', 3287459328, 3287459583, 'AT', 'Austria'),
(128160, '195.242.167.0', '195.242.167.255', 3287459584, 3287459839, 'DE', 'Germany'),
(128161, '195.242.168.0', '195.242.168.255', 3287459840, 3287460095, 'AT', 'Austria'),
(128162, '195.242.169.0', '195.242.169.255', 3287460096, 3287460351, 'ME', 'Montenegro'),
(128163, '195.242.170.0', '195.242.170.255', 3287460352, 3287460607, 'CY', 'Cyprus'),
(128164, '195.242.171.0', '195.242.171.255', 3287460608, 3287460863, 'NL', 'Netherlands'),
(128165, '195.242.172.0', '195.242.172.255', 3287460864, 3287461119, 'BE', 'Belgium'),
(128166, '195.242.173.0', '195.242.173.255', 3287461120, 3287461375, 'DE', 'Germany'),
(128167, '195.242.174.0', '195.242.174.255', 3287461376, 3287461631, 'CH', 'Switzerland'),
(128168, '195.242.175.0', '195.242.175.255', 3287461632, 3287461887, 'AT', 'Austria'),
(128169, '195.242.176.0', '195.242.176.255', 3287461888, 3287462143, 'PL', 'Poland'),
(128170, '195.242.177.0', '195.242.177.255', 3287462144, 3287462399, 'SA', 'Saudi Arabia'),
(128171, '195.242.178.0', '195.242.178.255', 3287462400, 3287462655, 'BE', 'Belgium'),
(128172, '195.242.179.0', '195.242.179.255', 3287462656, 3287462911, 'UA', 'Ukraine'),
(128173, '195.242.180.0', '195.242.180.255', 3287462912, 3287463167, 'FR', 'France'),
(128174, '195.242.181.0', '195.242.181.255', 3287463168, 3287463423, 'IT', 'Italy'),
(128175, '195.242.182.0', '195.242.182.255', 3287463424, 3287463679, 'RO', 'Romania'),
(128176, '195.242.183.0', '195.242.183.255', 3287463680, 3287463935, 'PL', 'Poland'),
(128177, '195.242.184.0', '195.242.184.255', 3287463936, 3287464191, 'AT', 'Austria'),
(128178, '195.242.185.0', '195.242.185.255', 3287464192, 3287464447, 'SK', 'Slovakia'),
(128179, '195.242.186.0', '195.242.186.255', 3287464448, 3287464703, 'PL', 'Poland'),
(128180, '195.242.187.0', '195.242.187.255', 3287464704, 3287464959, 'NL', 'Netherlands'),
(128181, '195.242.188.0', '195.242.188.255', 3287464960, 3287465215, 'SA', 'Saudi Arabia'),
(128182, '195.242.189.0', '195.242.189.255', 3287465216, 3287465471, 'SE', 'Sweden'),
(128183, '195.242.190.0', '195.242.190.255', 3287465472, 3287465727, 'DE', 'Germany'),
(128184, '195.242.191.0', '195.242.191.255', 3287465728, 3287465983, 'FR', 'France'),
(128185, '195.242.192.0', '195.242.195.255', 3287465984, 3287467007, 'DK', 'Denmark'),
(128186, '195.242.196.0', '195.242.199.255', 3287467008, 3287468031, 'SA', 'Saudi Arabia'),
(128187, '195.242.200.0', '195.242.203.255', 3287468032, 3287469055, 'UA', 'Ukraine'),
(128188, '195.242.204.0', '195.242.211.255', 3287469056, 3287471103, 'DE', 'Germany'),
(128189, '195.242.212.0', '195.242.215.255', 3287471104, 3287472127, 'GB', 'United Kingdom'),
(128190, '195.242.216.0', '195.242.217.255', 3287472128, 3287472639, 'RU', 'Russian Federation'),
(128191, '195.242.218.0', '195.242.219.255', 3287472640, 3287473151, 'UA', 'Ukraine'),
(128192, '195.242.220.0', '195.242.223.255', 3287473152, 3287474175, 'GB', 'United Kingdom'),
(128193, '195.242.224.0', '195.242.231.255', 3287474176, 3287476223, 'DE', 'Germany'),
(128194, '195.242.232.0', '195.242.235.255', 3287476224, 3287477247, 'PL', 'Poland'),
(128195, '195.242.236.0', '195.242.239.255', 3287477248, 3287478271, 'GB', 'United Kingdom'),
(128196, '195.242.240.0', '195.242.243.255', 3287478272, 3287479295, 'BG', 'Bulgaria'),
(128197, '195.242.244.0', '195.242.247.255', 3287479296, 3287480319, 'RO', 'Romania'),
(128198, '195.242.248.0', '195.242.251.255', 3287480320, 3287481343, 'AT', 'Austria'),
(128199, '195.242.252.0', '195.242.255.255', 3287481344, 3287482367, 'PL', 'Poland'),
(128200, '195.243.0.0', '195.243.66.175', 3287482368, 3287499439, 'DE', 'Germany'),
(128201, '195.243.66.176', '195.243.66.207', 3287499440, 3287499471, 'GB', 'United Kingdom'),
(128202, '195.243.66.208', '195.243.66.223', 3287499472, 3287499487, 'DE', 'Germany'),
(128203, '195.243.66.224', '195.243.66.239', 3287499488, 3287499503, 'GB', 'United Kingdom'),
(128204, '195.243.66.240', '195.243.100.15', 3287499504, 3287507983, 'DE', 'Germany'),
(128205, '195.243.100.16', '195.243.100.23', 3287507984, 3287507991, 'FR', 'France'),
(128206, '195.243.100.24', '195.243.128.239', 3287507992, 3287515375, 'DE', 'Germany'),
(128207, '195.243.128.240', '195.243.128.247', 3287515376, 3287515383, 'CZ', 'Czech Republic'),
(128208, '195.243.128.248', '195.243.204.215', 3287515384, 3287534807, 'DE', 'Germany'),
(128209, '195.243.204.216', '195.243.204.223', 3287534808, 3287534815, 'IT', 'Italy'),
(128210, '195.243.204.224', '195.243.236.31', 3287534816, 3287542815, 'DE', 'Germany'),
(128211, '195.243.236.32', '195.243.236.47', 3287542816, 3287542831, 'US', 'United States'),
(128212, '195.243.236.48', '195.244.3.255', 3287542832, 3287548927, 'DE', 'Germany'),
(128213, '195.244.4.0', '195.244.5.255', 3287548928, 3287549439, 'UA', 'Ukraine'),
(128214, '195.244.6.0', '195.244.7.255', 3287549440, 3287549951, 'SE', 'Sweden'),
(128215, '195.244.8.0', '195.244.9.255', 3287549952, 3287550463, 'UA', 'Ukraine'),
(128216, '195.244.10.0', '195.244.11.255', 3287550464, 3287550975, 'DE', 'Germany'),
(128217, '195.244.12.0', '195.244.13.255', 3287550976, 3287551487, 'LT', 'Lithuania');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(128218, '195.244.14.0', '195.244.15.255', 3287551488, 3287551999, 'RO', 'Romania'),
(128219, '195.244.16.0', '195.244.17.255', 3287552000, 3287552511, 'GB', 'United Kingdom'),
(128220, '195.244.18.0', '195.244.19.255', 3287552512, 3287553023, 'RO', 'Romania'),
(128221, '195.244.20.0', '195.244.21.255', 3287553024, 3287553535, 'FR', 'France'),
(128222, '195.244.22.0', '195.244.23.255', 3287553536, 3287554047, 'IL', 'Israel'),
(128223, '195.244.24.0', '195.244.25.255', 3287554048, 3287554559, 'RU', 'Russian Federation'),
(128224, '195.244.26.0', '195.244.27.255', 3287554560, 3287555071, 'PL', 'Poland'),
(128225, '195.244.28.0', '195.244.29.255', 3287555072, 3287555583, 'GB', 'United Kingdom'),
(128226, '195.244.30.0', '195.244.31.255', 3287555584, 3287556095, 'FR', 'France'),
(128227, '195.244.32.0', '195.244.63.255', 3287556096, 3287564287, 'TR', 'Turkey'),
(128228, '195.244.64.0', '195.244.95.255', 3287564288, 3287572479, 'FI', 'Finland'),
(128229, '195.244.96.0', '195.244.120.239', 3287572480, 3287578863, 'DE', 'Germany'),
(128230, '195.244.120.240', '195.244.120.255', 3287578864, 3287578879, 'LI', 'Liechtenstein'),
(128231, '195.244.121.0', '195.244.127.159', 3287578880, 3287580575, 'DE', 'Germany'),
(128232, '195.244.127.160', '195.244.127.191', 3287580576, 3287580607, 'LI', 'Liechtenstein'),
(128233, '195.244.127.192', '195.244.127.255', 3287580608, 3287580671, 'DE', 'Germany'),
(128234, '195.244.128.0', '195.244.159.255', 3287580672, 3287588863, 'LV', 'Latvia'),
(128235, '195.244.160.0', '195.244.191.255', 3287588864, 3287597055, 'BE', 'Belgium'),
(128236, '195.244.192.0', '195.244.223.255', 3287597056, 3287605247, 'GI', 'Gibraltar'),
(128237, '195.244.224.0', '195.245.65.255', 3287605248, 3287630335, 'DE', 'Germany'),
(128238, '195.245.66.0', '195.245.69.255', 3287630336, 3287631359, 'PL', 'Poland'),
(128239, '195.245.70.0', '195.245.71.255', 3287631360, 3287631871, 'IR', 'Iran, Islamic Republic of'),
(128240, '195.245.72.0', '195.245.73.255', 3287631872, 3287632383, 'RU', 'Russian Federation'),
(128241, '195.245.74.0', '195.245.75.255', 3287632384, 3287632895, 'SE', 'Sweden'),
(128242, '195.245.76.0', '195.245.77.255', 3287632896, 3287633407, 'RU', 'Russian Federation'),
(128243, '195.245.78.0', '195.245.79.255', 3287633408, 3287633919, 'SK', 'Slovakia'),
(128244, '195.245.80.0', '195.245.81.255', 3287633920, 3287634431, 'GB', 'United Kingdom'),
(128245, '195.245.82.0', '195.245.83.255', 3287634432, 3287634943, 'RO', 'Romania'),
(128246, '195.245.84.0', '195.245.85.255', 3287634944, 3287635455, 'PL', 'Poland'),
(128247, '195.245.86.0', '195.245.87.255', 3287635456, 3287635967, 'DE', 'Germany'),
(128248, '195.245.88.0', '195.245.89.255', 3287635968, 3287636479, 'RO', 'Romania'),
(128249, '195.245.90.0', '195.245.91.255', 3287636480, 3287636991, 'IE', 'Ireland'),
(128250, '195.245.92.0', '195.245.93.255', 3287636992, 3287637503, 'AT', 'Austria'),
(128251, '195.245.94.0', '195.245.95.255', 3287637504, 3287638015, 'PL', 'Poland'),
(128252, '195.245.96.0', '195.245.97.255', 3287638016, 3287638527, 'UA', 'Ukraine'),
(128253, '195.245.98.0', '195.245.99.255', 3287638528, 3287639039, 'DE', 'Germany'),
(128254, '195.245.100.0', '195.245.101.255', 3287639040, 3287639551, 'GB', 'United Kingdom'),
(128255, '195.245.102.0', '195.245.103.255', 3287639552, 3287640063, 'RU', 'Russian Federation'),
(128256, '195.245.104.0', '195.245.105.255', 3287640064, 3287640575, 'PL', 'Poland'),
(128257, '195.245.106.0', '195.245.107.255', 3287640576, 3287641087, 'SI', 'Slovenia'),
(128258, '195.245.108.0', '195.245.109.255', 3287641088, 3287641599, 'A2', 'Satellite Provider'),
(128259, '195.245.110.0', '195.245.111.255', 3287641600, 3287642111, 'FI', 'Finland'),
(128260, '195.245.112.0', '195.245.113.255', 3287642112, 3287642623, 'UA', 'Ukraine'),
(128261, '195.245.114.0', '195.245.115.255', 3287642624, 3287643135, 'BE', 'Belgium'),
(128262, '195.245.116.0', '195.245.117.255', 3287643136, 3287643647, 'IT', 'Italy'),
(128263, '195.245.118.0', '195.245.121.255', 3287643648, 3287644671, 'UA', 'Ukraine'),
(128264, '195.245.122.0', '195.245.123.255', 3287644672, 3287645183, 'NL', 'Netherlands'),
(128265, '195.245.124.0', '195.245.127.255', 3287645184, 3287646207, 'EU', 'Europe'),
(128266, '195.245.128.0', '195.245.191.255', 3287646208, 3287662591, 'PT', 'Portugal'),
(128267, '195.245.192.0', '195.245.192.255', 3287662592, 3287662847, 'DE', 'Germany'),
(128268, '195.245.193.0', '195.245.193.255', 3287662848, 3287663103, 'DK', 'Denmark'),
(128269, '195.245.194.0', '195.245.194.255', 3287663104, 3287663359, 'LV', 'Latvia'),
(128270, '195.245.195.0', '195.245.195.255', 3287663360, 3287663615, 'GB', 'United Kingdom'),
(128271, '195.245.196.0', '195.245.196.255', 3287663616, 3287663871, 'ES', 'Spain'),
(128272, '195.245.197.0', '195.245.197.255', 3287663872, 3287664127, 'PT', 'Portugal'),
(128273, '195.245.198.0', '195.245.198.255', 3287664128, 3287664383, 'PL', 'Poland'),
(128274, '195.245.199.0', '195.245.199.255', 3287664384, 3287664639, 'NL', 'Netherlands'),
(128275, '195.245.200.0', '195.245.200.255', 3287664640, 3287664895, 'UA', 'Ukraine'),
(128276, '195.245.201.0', '195.245.201.255', 3287664896, 3287665151, 'GB', 'United Kingdom'),
(128277, '195.245.202.0', '195.245.202.255', 3287665152, 3287665407, 'NO', 'Norway'),
(128278, '195.245.203.0', '195.245.204.255', 3287665408, 3287665919, 'PL', 'Poland'),
(128279, '195.245.205.0', '195.245.206.255', 3287665920, 3287666431, 'RU', 'Russian Federation'),
(128280, '195.245.207.0', '195.245.207.255', 3287666432, 3287666687, 'DK', 'Denmark'),
(128281, '195.245.208.0', '195.245.208.255', 3287666688, 3287666943, 'SI', 'Slovenia'),
(128282, '195.245.209.0', '195.245.209.255', 3287666944, 3287667199, 'CZ', 'Czech Republic'),
(128283, '195.245.210.0', '195.245.210.255', 3287667200, 3287667455, 'DK', 'Denmark'),
(128284, '195.245.211.0', '195.245.211.255', 3287667456, 3287667711, 'RU', 'Russian Federation'),
(128285, '195.245.212.0', '195.245.212.255', 3287667712, 3287667967, 'ES', 'Spain'),
(128286, '195.245.213.0', '195.245.213.255', 3287667968, 3287668223, 'PL', 'Poland'),
(128287, '195.245.214.0', '195.245.214.255', 3287668224, 3287668479, 'RU', 'Russian Federation'),
(128288, '195.245.215.0', '195.245.215.255', 3287668480, 3287668735, 'UA', 'Ukraine'),
(128289, '195.245.216.0', '195.245.216.255', 3287668736, 3287668991, 'SI', 'Slovenia'),
(128290, '195.245.217.0', '195.245.217.255', 3287668992, 3287669247, 'PL', 'Poland'),
(128291, '195.245.218.0', '195.245.218.255', 3287669248, 3287669503, 'LI', 'Liechtenstein'),
(128292, '195.245.219.0', '195.245.219.255', 3287669504, 3287669759, 'MD', 'Moldova, Republic of'),
(128293, '195.245.220.0', '195.245.220.255', 3287669760, 3287670015, 'RO', 'Romania'),
(128294, '195.245.221.0', '195.245.221.255', 3287670016, 3287670271, 'UA', 'Ukraine'),
(128295, '195.245.222.0', '195.245.222.255', 3287670272, 3287670527, 'PL', 'Poland'),
(128296, '195.245.223.0', '195.245.223.255', 3287670528, 3287670783, 'US', 'United States'),
(128297, '195.245.224.0', '195.245.224.255', 3287670784, 3287671039, 'PL', 'Poland'),
(128298, '195.245.225.0', '195.245.225.255', 3287671040, 3287671295, 'AT', 'Austria'),
(128299, '195.245.226.0', '195.245.226.255', 3287671296, 3287671551, 'PL', 'Poland'),
(128300, '195.245.227.0', '195.245.227.255', 3287671552, 3287671807, 'TR', 'Turkey'),
(128301, '195.245.228.0', '195.245.228.255', 3287671808, 3287672063, 'CH', 'Switzerland'),
(128302, '195.245.229.0', '195.245.229.255', 3287672064, 3287672319, 'LT', 'Lithuania'),
(128303, '195.245.230.0', '195.245.230.255', 3287672320, 3287672575, 'DE', 'Germany'),
(128304, '195.245.231.0', '195.245.231.255', 3287672576, 3287672831, 'NL', 'Netherlands'),
(128305, '195.245.232.0', '195.245.232.255', 3287672832, 3287673087, 'RU', 'Russian Federation'),
(128306, '195.245.233.0', '195.245.233.255', 3287673088, 3287673343, 'SK', 'Slovakia'),
(128307, '195.245.234.0', '195.245.234.255', 3287673344, 3287673599, 'PT', 'Portugal'),
(128308, '195.245.235.0', '195.245.235.255', 3287673600, 3287673855, 'GB', 'United Kingdom'),
(128309, '195.245.236.0', '195.245.236.255', 3287673856, 3287674111, 'NL', 'Netherlands'),
(128310, '195.245.237.0', '195.245.237.255', 3287674112, 3287674367, 'CH', 'Switzerland'),
(128311, '195.245.238.0', '195.245.238.255', 3287674368, 3287674623, 'DE', 'Germany'),
(128312, '195.245.239.0', '195.245.239.255', 3287674624, 3287674879, 'RO', 'Romania'),
(128313, '195.245.240.0', '195.245.240.255', 3287674880, 3287675135, 'SE', 'Sweden'),
(128314, '195.245.241.0', '195.245.241.255', 3287675136, 3287675391, 'GB', 'United Kingdom'),
(128315, '195.245.242.0', '195.245.242.255', 3287675392, 3287675647, 'SE', 'Sweden'),
(128316, '195.245.243.0', '195.245.243.255', 3287675648, 3287675903, 'DE', 'Germany'),
(128317, '195.245.244.0', '195.245.244.255', 3287675904, 3287676159, 'BE', 'Belgium'),
(128318, '195.245.245.0', '195.245.245.255', 3287676160, 3287676415, 'DE', 'Germany'),
(128319, '195.245.246.0', '195.245.246.255', 3287676416, 3287676671, 'RU', 'Russian Federation'),
(128320, '195.245.247.0', '195.245.247.255', 3287676672, 3287676927, 'GB', 'United Kingdom'),
(128321, '195.245.248.0', '195.245.248.255', 3287676928, 3287677183, 'ES', 'Spain'),
(128322, '195.245.249.0', '195.245.249.255', 3287677184, 3287677439, 'RU', 'Russian Federation'),
(128323, '195.245.250.0', '195.245.250.255', 3287677440, 3287677695, 'SI', 'Slovenia'),
(128324, '195.245.251.0', '195.245.251.255', 3287677696, 3287677951, 'RO', 'Romania'),
(128325, '195.245.252.0', '195.245.252.255', 3287677952, 3287678207, 'GB', 'United Kingdom'),
(128326, '195.245.253.0', '195.245.253.255', 3287678208, 3287678463, 'UA', 'Ukraine'),
(128327, '195.245.254.0', '195.245.254.255', 3287678464, 3287678719, 'DE', 'Germany'),
(128328, '195.245.255.0', '195.245.255.255', 3287678720, 3287678975, 'HR', 'Croatia'),
(128329, '195.246.0.0', '195.246.31.255', 3287678976, 3287687167, 'SI', 'Slovenia'),
(128330, '195.246.32.0', '195.246.63.255', 3287687168, 3287695359, 'EG', 'Egypt'),
(128331, '195.246.64.0', '195.246.95.255', 3287695360, 3287703551, 'CH', 'Switzerland'),
(128332, '195.246.96.0', '195.246.97.255', 3287703552, 3287704063, 'CZ', 'Czech Republic'),
(128333, '195.246.98.0', '195.246.99.255', 3287704064, 3287704575, 'NL', 'Netherlands'),
(128334, '195.246.100.0', '195.246.101.255', 3287704576, 3287705087, 'LU', 'Luxembourg'),
(128335, '195.246.102.0', '195.246.103.255', 3287705088, 3287705599, 'TJ', 'Tajikistan'),
(128336, '195.246.104.0', '195.246.105.255', 3287705600, 3287706111, 'SA', 'Saudi Arabia'),
(128337, '195.246.106.0', '195.246.107.255', 3287706112, 3287706623, 'RU', 'Russian Federation'),
(128338, '195.246.108.0', '195.246.109.255', 3287706624, 3287707135, 'GB', 'United Kingdom'),
(128339, '195.246.110.0', '195.246.111.255', 3287707136, 3287707647, 'FR', 'France'),
(128340, '195.246.112.0', '195.246.113.255', 3287707648, 3287708159, 'BE', 'Belgium'),
(128341, '195.246.114.0', '195.246.115.255', 3287708160, 3287708671, 'NL', 'Netherlands'),
(128342, '195.246.116.0', '195.246.117.255', 3287708672, 3287709183, 'EU', 'Europe'),
(128343, '195.246.118.0', '195.246.119.255', 3287709184, 3287709695, 'RU', 'Russian Federation'),
(128344, '195.246.120.0', '195.246.121.255', 3287709696, 3287710207, 'SE', 'Sweden'),
(128345, '195.246.122.0', '195.246.123.255', 3287710208, 3287710719, 'RU', 'Russian Federation'),
(128346, '195.246.124.0', '195.246.125.255', 3287710720, 3287711231, 'UA', 'Ukraine'),
(128347, '195.246.126.0', '195.246.127.255', 3287711232, 3287711743, 'PL', 'Poland'),
(128348, '195.246.128.0', '195.246.155.255', 3287711744, 3287718911, 'GB', 'United Kingdom'),
(128349, '195.246.156.0', '195.246.156.255', 3287718912, 3287719167, 'FR', 'France'),
(128350, '195.246.157.0', '195.246.157.255', 3287719168, 3287719423, 'GB', 'United Kingdom'),
(128351, '195.246.158.0', '195.246.158.255', 3287719424, 3287719679, 'FR', 'France'),
(128352, '195.246.159.0', '195.246.159.255', 3287719680, 3287719935, 'GB', 'United Kingdom'),
(128353, '195.246.160.0', '195.246.191.255', 3287719936, 3287728127, 'DE', 'Germany'),
(128354, '195.246.192.0', '195.246.196.255', 3287728128, 3287729407, 'IT', 'Italy'),
(128355, '195.246.197.0', '195.246.197.255', 3287729408, 3287729663, 'SE', 'Sweden'),
(128356, '195.246.198.0', '195.246.198.255', 3287729664, 3287729919, 'DK', 'Denmark'),
(128357, '195.246.199.0', '195.246.199.255', 3287729920, 3287730175, 'HU', 'Hungary'),
(128358, '195.246.200.0', '195.246.200.255', 3287730176, 3287730431, 'PL', 'Poland'),
(128359, '195.246.201.0', '195.246.201.255', 3287730432, 3287730687, 'GB', 'United Kingdom'),
(128360, '195.246.202.0', '195.246.207.255', 3287730688, 3287732223, 'DE', 'Germany'),
(128361, '195.246.208.0', '195.246.215.255', 3287732224, 3287734271, 'IT', 'Italy'),
(128362, '195.246.216.0', '195.246.216.255', 3287734272, 3287734527, 'PL', 'Poland'),
(128363, '195.246.217.0', '195.246.217.255', 3287734528, 3287734783, 'UA', 'Ukraine'),
(128364, '195.246.218.0', '195.246.218.255', 3287734784, 3287735039, 'RU', 'Russian Federation'),
(128365, '195.246.219.0', '195.246.219.255', 3287735040, 3287735295, 'SE', 'Sweden'),
(128366, '195.246.220.0', '195.246.223.255', 3287735296, 3287736319, 'IT', 'Italy'),
(128367, '195.246.224.0', '195.246.225.255', 3287736320, 3287736831, 'PL', 'Poland'),
(128368, '195.246.226.0', '195.246.227.255', 3287736832, 3287737343, 'LV', 'Latvia'),
(128369, '195.246.228.0', '195.246.229.255', 3287737344, 3287737855, 'GB', 'United Kingdom'),
(128370, '195.246.230.0', '195.246.231.255', 3287737856, 3287738367, 'FR', 'France'),
(128371, '195.246.232.0', '195.246.233.255', 3287738368, 3287738879, 'CH', 'Switzerland'),
(128372, '195.246.234.0', '195.246.235.255', 3287738880, 3287739391, 'DE', 'Germany'),
(128373, '195.246.236.0', '195.246.237.255', 3287739392, 3287739903, 'NL', 'Netherlands'),
(128374, '195.246.238.0', '195.246.239.255', 3287739904, 3287740415, 'PT', 'Portugal'),
(128375, '195.246.240.0', '195.246.241.255', 3287740416, 3287740927, 'BG', 'Bulgaria'),
(128376, '195.246.242.0', '195.246.243.255', 3287740928, 3287741439, 'RO', 'Romania'),
(128377, '195.246.244.0', '195.246.245.255', 3287741440, 3287741951, 'CH', 'Switzerland'),
(128378, '195.246.246.0', '195.246.247.255', 3287741952, 3287742463, 'RO', 'Romania'),
(128379, '195.246.248.0', '195.246.249.255', 3287742464, 3287742975, 'RU', 'Russian Federation'),
(128380, '195.246.250.0', '195.246.251.255', 3287742976, 3287743487, 'RO', 'Romania'),
(128381, '195.246.252.0', '195.246.253.255', 3287743488, 3287743999, 'DE', 'Germany'),
(128382, '195.246.254.0', '195.246.255.255', 3287744000, 3287744511, 'FR', 'France'),
(128383, '195.247.0.0', '195.247.255.255', 3287744512, 3287810047, 'DE', 'Germany'),
(128384, '195.248.0.0', '195.248.31.255', 3287810048, 3287818239, 'FR', 'France'),
(128385, '195.248.32.0', '195.248.63.255', 3287818240, 3287826431, 'AT', 'Austria'),
(128386, '195.248.64.0', '195.248.64.255', 3287826432, 3287826687, 'LV', 'Latvia'),
(128387, '195.248.65.0', '195.248.65.255', 3287826688, 3287826943, 'RO', 'Romania'),
(128388, '195.248.66.0', '195.248.66.255', 3287826944, 3287827199, 'RU', 'Russian Federation'),
(128389, '195.248.67.0', '195.248.67.255', 3287827200, 3287827455, 'DE', 'Germany'),
(128390, '195.248.68.0', '195.248.68.255', 3287827456, 3287827711, 'SI', 'Slovenia'),
(128391, '195.248.69.0', '195.248.69.255', 3287827712, 3287827967, 'RU', 'Russian Federation'),
(128392, '195.248.70.0', '195.248.70.255', 3287827968, 3287828223, 'GB', 'United Kingdom'),
(128393, '195.248.71.0', '195.248.71.255', 3287828224, 3287828479, 'DE', 'Germany'),
(128394, '195.248.72.0', '195.248.72.255', 3287828480, 3287828735, 'PL', 'Poland'),
(128395, '195.248.73.0', '195.248.73.255', 3287828736, 3287828991, 'AT', 'Austria'),
(128396, '195.248.74.0', '195.248.74.255', 3287828992, 3287829247, 'DE', 'Germany'),
(128397, '195.248.75.0', '195.248.75.255', 3287829248, 3287829503, 'GB', 'United Kingdom'),
(128398, '195.248.76.0', '195.248.76.255', 3287829504, 3287829759, 'RO', 'Romania'),
(128399, '195.248.77.0', '195.248.77.255', 3287829760, 3287830015, 'NL', 'Netherlands'),
(128400, '195.248.78.0', '195.248.78.255', 3287830016, 3287830271, 'NO', 'Norway'),
(128401, '195.248.79.0', '195.248.79.255', 3287830272, 3287830527, 'RO', 'Romania'),
(128402, '195.248.80.0', '195.248.80.255', 3287830528, 3287830783, 'IE', 'Ireland'),
(128403, '195.248.81.0', '195.248.81.255', 3287830784, 3287831039, 'GB', 'United Kingdom'),
(128404, '195.248.82.0', '195.248.82.255', 3287831040, 3287831295, 'RU', 'Russian Federation'),
(128405, '195.248.83.0', '195.248.83.255', 3287831296, 3287831551, 'CH', 'Switzerland'),
(128406, '195.248.84.0', '195.248.84.255', 3287831552, 3287831807, 'RO', 'Romania'),
(128407, '195.248.85.0', '195.248.85.255', 3287831808, 3287832063, 'AT', 'Austria'),
(128408, '195.248.86.0', '195.248.86.255', 3287832064, 3287832319, 'FI', 'Finland'),
(128409, '195.248.87.0', '195.248.87.255', 3287832320, 3287832575, 'NL', 'Netherlands'),
(128410, '195.248.88.0', '195.248.88.255', 3287832576, 3287832831, 'PL', 'Poland'),
(128411, '195.248.89.0', '195.248.89.255', 3287832832, 3287833087, 'DE', 'Germany'),
(128412, '195.248.90.0', '195.248.90.255', 3287833088, 3287833343, 'GB', 'United Kingdom'),
(128413, '195.248.91.0', '195.248.92.255', 3287833344, 3287833855, 'CH', 'Switzerland'),
(128414, '195.248.93.0', '195.248.93.255', 3287833856, 3287834111, 'UA', 'Ukraine'),
(128415, '195.248.94.0', '195.248.94.255', 3287834112, 3287834367, 'RU', 'Russian Federation'),
(128416, '195.248.95.0', '195.248.95.255', 3287834368, 3287834623, 'HU', 'Hungary'),
(128417, '195.248.96.0', '195.248.127.255', 3287834624, 3287842815, 'GB', 'United Kingdom'),
(128418, '195.248.128.0', '195.248.159.255', 3287842816, 3287851007, 'DE', 'Germany'),
(128419, '195.248.160.0', '195.248.191.255', 3287851008, 3287859199, 'UA', 'Ukraine'),
(128420, '195.248.192.0', '195.248.192.255', 3287859200, 3287859455, 'GB', 'United Kingdom'),
(128421, '195.248.193.0', '195.248.193.255', 3287859456, 3287859711, 'FK', 'Falkland Islands (Malvinas)'),
(128422, '195.248.194.0', '195.248.194.255', 3287859712, 3287859967, 'EU', 'Europe'),
(128423, '195.248.195.0', '195.248.196.255', 3287859968, 3287860479, 'GB', 'United Kingdom'),
(128424, '195.248.197.0', '195.248.199.255', 3287860480, 3287861247, 'EU', 'Europe'),
(128425, '195.248.200.0', '195.248.202.255', 3287861248, 3287862015, 'GB', 'United Kingdom'),
(128426, '195.248.203.0', '195.248.209.255', 3287862016, 3287863807, 'EU', 'Europe'),
(128427, '195.248.210.0', '195.248.210.255', 3287863808, 3287864063, 'GB', 'United Kingdom'),
(128428, '195.248.211.0', '195.248.220.15', 3287864064, 3287866383, 'EU', 'Europe'),
(128429, '195.248.220.16', '195.248.220.71', 3287866384, 3287866439, 'GB', 'United Kingdom'),
(128430, '195.248.220.72', '195.248.220.127', 3287866440, 3287866495, 'EU', 'Europe'),
(128431, '195.248.220.128', '195.248.220.223', 3287866496, 3287866591, 'GB', 'United Kingdom'),
(128432, '195.248.220.224', '195.248.220.239', 3287866592, 3287866607, 'EU', 'Europe'),
(128433, '195.248.220.240', '195.248.220.255', 3287866608, 3287866623, 'GB', 'United Kingdom'),
(128434, '195.248.221.0', '195.248.223.255', 3287866624, 3287867391, 'EU', 'Europe'),
(128435, '195.248.224.0', '195.248.225.255', 3287867392, 3287867903, 'UA', 'Ukraine'),
(128436, '195.248.226.0', '195.248.227.255', 3287867904, 3287868415, 'PL', 'Poland'),
(128437, '195.248.228.0', '195.248.229.255', 3287868416, 3287868927, 'RO', 'Romania'),
(128438, '195.248.230.0', '195.248.231.255', 3287868928, 3287869439, 'ES', 'Spain'),
(128439, '195.248.232.0', '195.248.233.255', 3287869440, 3287869951, 'RU', 'Russian Federation'),
(128440, '195.248.234.0', '195.248.235.255', 3287869952, 3287870463, 'UA', 'Ukraine'),
(128441, '195.248.236.0', '195.248.237.255', 3287870464, 3287870975, 'RU', 'Russian Federation'),
(128442, '195.248.238.0', '195.248.239.255', 3287870976, 3287871487, 'NL', 'Netherlands'),
(128443, '195.248.240.0', '195.248.241.255', 3287871488, 3287871999, 'PL', 'Poland'),
(128444, '195.248.242.0', '195.248.243.255', 3287872000, 3287872511, 'RU', 'Russian Federation'),
(128445, '195.248.244.0', '195.248.245.255', 3287872512, 3287873023, 'GB', 'United Kingdom'),
(128446, '195.248.246.0', '195.248.247.255', 3287873024, 3287873535, 'PL', 'Poland'),
(128447, '195.248.248.0', '195.248.249.255', 3287873536, 3287874047, 'RU', 'Russian Federation'),
(128448, '195.248.250.0', '195.248.251.255', 3287874048, 3287874559, 'FR', 'France'),
(128449, '195.248.252.0', '195.248.253.255', 3287874560, 3287875071, 'DE', 'Germany'),
(128450, '195.248.254.0', '195.248.255.255', 3287875072, 3287875583, 'PL', 'Poland'),
(128451, '195.249.0.0', '195.249.255.255', 3287875584, 3287941119, 'DK', 'Denmark'),
(128452, '195.250.0.0', '195.250.31.255', 3287941120, 3287949311, 'IT', 'Italy'),
(128453, '195.250.32.0', '195.250.32.255', 3287949312, 3287949567, 'AT', 'Austria'),
(128454, '195.250.33.0', '195.250.33.255', 3287949568, 3287949823, 'IL', 'Israel'),
(128455, '195.250.34.0', '195.250.34.255', 3287949824, 3287950079, 'IT', 'Italy'),
(128456, '195.250.35.0', '195.250.35.255', 3287950080, 3287950335, 'DE', 'Germany'),
(128457, '195.250.36.0', '195.250.36.255', 3287950336, 3287950591, 'UA', 'Ukraine'),
(128458, '195.250.37.0', '195.250.38.255', 3287950592, 3287951103, 'PL', 'Poland'),
(128459, '195.250.39.0', '195.250.39.255', 3287951104, 3287951359, 'HU', 'Hungary'),
(128460, '195.250.40.0', '195.250.40.255', 3287951360, 3287951615, 'FR', 'France'),
(128461, '195.250.41.0', '195.250.41.255', 3287951616, 3287951871, 'CH', 'Switzerland'),
(128462, '195.250.42.0', '195.250.42.255', 3287951872, 3287952127, 'RU', 'Russian Federation'),
(128463, '195.250.43.0', '195.250.43.255', 3287952128, 3287952383, 'UA', 'Ukraine'),
(128464, '195.250.44.0', '195.250.46.255', 3287952384, 3287953151, 'CH', 'Switzerland'),
(128465, '195.250.47.0', '195.250.47.255', 3287953152, 3287953407, 'UA', 'Ukraine'),
(128466, '195.250.48.0', '195.250.48.255', 3287953408, 3287953663, 'DE', 'Germany'),
(128467, '195.250.49.0', '195.250.49.255', 3287953664, 3287953919, 'GB', 'United Kingdom'),
(128468, '195.250.50.0', '195.250.50.255', 3287953920, 3287954175, 'DE', 'Germany'),
(128469, '195.250.51.0', '195.250.51.255', 3287954176, 3287954431, 'RU', 'Russian Federation'),
(128470, '195.250.52.0', '195.250.52.255', 3287954432, 3287954687, 'CH', 'Switzerland'),
(128471, '195.250.53.0', '195.250.53.255', 3287954688, 3287954943, 'RO', 'Romania'),
(128472, '195.250.54.0', '195.250.54.255', 3287954944, 3287955199, 'PL', 'Poland'),
(128473, '195.250.55.0', '195.250.56.255', 3287955200, 3287955711, 'RU', 'Russian Federation'),
(128474, '195.250.57.0', '195.250.57.255', 3287955712, 3287955967, 'DE', 'Germany'),
(128475, '195.250.58.0', '195.250.58.255', 3287955968, 3287956223, 'SI', 'Slovenia'),
(128476, '195.250.59.0', '195.250.59.255', 3287956224, 3287956479, 'RO', 'Romania'),
(128477, '195.250.60.0', '195.250.60.255', 3287956480, 3287956735, 'BG', 'Bulgaria'),
(128478, '195.250.61.0', '195.250.61.255', 3287956736, 3287956991, 'SE', 'Sweden'),
(128479, '195.250.62.0', '195.250.62.255', 3287956992, 3287957247, 'UA', 'Ukraine'),
(128480, '195.250.63.0', '195.250.63.255', 3287957248, 3287957503, 'GB', 'United Kingdom'),
(128481, '195.250.64.0', '195.250.95.255', 3287957504, 3287965695, 'AM', 'Armenia'),
(128482, '195.250.96.0', '195.250.127.255', 3287965696, 3287973887, 'RS', 'Serbia'),
(128483, '195.250.128.0', '195.250.159.255', 3287973888, 3287982079, 'CZ', 'Czech Republic'),
(128484, '195.250.160.0', '195.250.191.255', 3287982080, 3287990271, 'EE', 'Estonia'),
(128485, '195.250.192.0', '195.250.223.255', 3287990272, 3287998463, 'SI', 'Slovenia'),
(128486, '195.250.224.0', '195.250.255.255', 3287998464, 3288006655, 'IT', 'Italy'),
(128487, '195.251.0.0', '195.251.255.255', 3288006656, 3288072191, 'GR', 'Greece'),
(128488, '195.252.0.0', '195.252.63.255', 3288072192, 3288088575, 'SE', 'Sweden'),
(128489, '195.252.64.0', '195.252.118.143', 3288088576, 3288102543, 'RS', 'Serbia'),
(128490, '195.252.118.144', '195.252.118.151', 3288102544, 3288102551, 'DK', 'Denmark'),
(128491, '195.252.118.152', '195.252.127.255', 3288102552, 3288104959, 'RS', 'Serbia'),
(128492, '195.252.128.0', '195.253.22.255', 3288104960, 3288143615, 'DE', 'Germany'),
(128493, '195.253.23.0', '195.253.23.255', 3288143616, 3288143871, 'CH', 'Switzerland'),
(128494, '195.253.24.0', '195.253.30.255', 3288143872, 3288145663, 'DE', 'Germany'),
(128495, '195.253.31.0', '195.253.32.255', 3288145664, 3288146175, 'CH', 'Switzerland'),
(128496, '195.253.33.0', '195.253.47.255', 3288146176, 3288150015, 'DE', 'Germany'),
(128497, '195.253.48.0', '195.253.48.87', 3288150016, 3288150103, 'NL', 'Netherlands'),
(128498, '195.253.48.88', '195.253.48.255', 3288150104, 3288150271, 'DE', 'Germany'),
(128499, '195.253.49.0', '195.253.49.87', 3288150272, 3288150359, 'NL', 'Netherlands'),
(128500, '195.253.49.88', '195.253.49.223', 3288150360, 3288150495, 'DE', 'Germany'),
(128501, '195.253.49.224', '195.253.50.63', 3288150496, 3288150591, 'NL', 'Netherlands'),
(128502, '195.253.50.64', '195.253.50.255', 3288150592, 3288150783, 'DE', 'Germany'),
(128503, '195.253.51.0', '195.253.51.87', 3288150784, 3288150871, 'NL', 'Netherlands'),
(128504, '195.253.51.88', '195.253.51.127', 3288150872, 3288150911, 'DE', 'Germany'),
(128505, '195.253.51.128', '195.253.51.191', 3288150912, 3288150975, 'NL', 'Netherlands'),
(128506, '195.253.51.192', '195.253.51.255', 3288150976, 3288151039, 'DE', 'Germany'),
(128507, '195.253.52.0', '195.253.53.255', 3288151040, 3288151551, 'NL', 'Netherlands'),
(128508, '195.253.54.0', '195.254.127.255', 3288151552, 3288236031, 'DE', 'Germany'),
(128509, '195.254.128.0', '195.254.129.255', 3288236032, 3288236543, 'LI', 'Liechtenstein'),
(128510, '195.254.130.0', '195.254.131.255', 3288236544, 3288237055, 'FR', 'France'),
(128511, '195.254.132.0', '195.254.137.255', 3288237056, 3288238591, 'RO', 'Romania'),
(128512, '195.254.138.0', '195.254.139.255', 3288238592, 3288239103, 'PL', 'Poland'),
(128513, '195.254.140.0', '195.254.141.255', 3288239104, 3288239615, 'RO', 'Romania'),
(128514, '195.254.142.0', '195.254.143.255', 3288239616, 3288240127, 'UA', 'Ukraine'),
(128515, '195.254.144.0', '195.254.145.255', 3288240128, 3288240639, 'CH', 'Switzerland'),
(128516, '195.254.146.0', '195.254.147.255', 3288240640, 3288241151, 'FR', 'France'),
(128517, '195.254.148.0', '195.254.149.255', 3288241152, 3288241663, 'ES', 'Spain'),
(128518, '195.254.150.0', '195.254.151.255', 3288241664, 3288242175, 'UA', 'Ukraine'),
(128519, '195.254.152.0', '195.254.153.255', 3288242176, 3288242687, 'RO', 'Romania'),
(128520, '195.254.154.0', '195.254.155.255', 3288242688, 3288243199, 'FR', 'France'),
(128521, '195.254.156.0', '195.254.157.255', 3288243200, 3288243711, 'PL', 'Poland'),
(128522, '195.254.158.0', '195.254.161.255', 3288243712, 3288244735, 'FR', 'France'),
(128523, '195.254.162.0', '195.254.163.255', 3288244736, 3288245247, 'DE', 'Germany'),
(128524, '195.254.164.0', '195.254.165.255', 3288245248, 3288245759, 'GB', 'United Kingdom'),
(128525, '195.254.166.0', '195.254.167.255', 3288245760, 3288246271, 'RO', 'Romania'),
(128526, '195.254.168.0', '195.254.169.255', 3288246272, 3288246783, 'DK', 'Denmark'),
(128527, '195.254.170.0', '195.254.171.255', 3288246784, 3288247295, 'KW', 'Kuwait'),
(128528, '195.254.172.0', '195.254.173.255', 3288247296, 3288247807, 'NO', 'Norway'),
(128529, '195.254.174.0', '195.254.177.255', 3288247808, 3288248831, 'PL', 'Poland'),
(128530, '195.254.178.0', '195.254.181.255', 3288248832, 3288249855, 'GB', 'United Kingdom'),
(128531, '195.254.182.0', '195.254.183.255', 3288249856, 3288250367, 'RO', 'Romania'),
(128532, '195.254.184.0', '195.254.185.255', 3288250368, 3288250879, 'PL', 'Poland'),
(128533, '195.254.186.0', '195.254.189.255', 3288250880, 3288251903, 'RU', 'Russian Federation'),
(128534, '195.254.190.0', '195.254.191.255', 3288251904, 3288252415, 'AT', 'Austria'),
(128535, '195.254.192.0', '195.254.223.255', 3288252416, 3288260607, 'NO', 'Norway'),
(128536, '195.254.224.0', '195.254.255.255', 3288260608, 3288268799, 'IT', 'Italy'),
(128537, '195.255.0.0', '195.255.255.255', 3288268800, 3288334335, 'FI', 'Finland'),
(128538, '196.0.0.0', '196.0.255.255', 3288334336, 3288399871, 'UG', 'Uganda'),
(128539, '196.1.0.0', '196.1.0.255', 3288399872, 3288400127, 'MU', 'Mauritius'),
(128540, '196.1.1.0', '196.1.1.255', 3288400128, 3288400383, 'IN', 'India'),
(128541, '196.1.2.0', '196.1.2.255', 3288400384, 3288400639, 'PR', 'Puerto Rico'),
(128542, '196.1.3.0', '196.1.3.255', 3288400640, 3288400895, 'SA', 'Saudi Arabia'),
(128543, '196.1.4.0', '196.1.4.255', 3288400896, 3288401151, 'KE', 'Kenya'),
(128544, '196.1.5.0', '196.1.5.255', 3288401152, 3288401407, 'RU', 'Russian Federation'),
(128545, '196.1.6.0', '196.1.6.255', 3288401408, 3288401663, 'SA', 'Saudi Arabia'),
(128546, '196.1.7.0', '196.1.7.255', 3288401664, 3288401919, 'MU', 'Mauritius'),
(128547, '196.1.8.0', '196.1.25.255', 3288401920, 3288406527, 'ZA', 'South Africa'),
(128548, '196.1.26.0', '196.1.27.255', 3288406528, 3288407039, 'KE', 'Kenya'),
(128549, '196.1.28.0', '196.1.31.255', 3288407040, 3288408063, 'NA', 'Namibia'),
(128550, '196.1.32.0', '196.1.51.255', 3288408064, 3288413183, 'ZA', 'South Africa'),
(128551, '196.1.52.0', '196.1.55.255', 3288413184, 3288414207, 'TZ', 'Tanzania, United Republic of'),
(128552, '196.1.56.0', '196.1.63.255', 3288414208, 3288416255, 'ZA', 'South Africa'),
(128553, '196.1.64.0', '196.1.67.255', 3288416256, 3288417279, 'SA', 'Saudi Arabia'),
(128554, '196.1.68.0', '196.1.68.255', 3288417280, 3288417535, 'IN', 'India'),
(128555, '196.1.69.0', '196.1.70.255', 3288417536, 3288418047, 'KW', 'Kuwait'),
(128556, '196.1.71.0', '196.1.71.255', 3288418048, 3288418303, 'ZA', 'South Africa'),
(128557, '196.1.72.0', '196.1.73.255', 3288418304, 3288418815, 'US', 'United States'),
(128558, '196.1.74.0', '196.1.91.255', 3288418816, 3288423423, 'ZA', 'South Africa'),
(128559, '196.1.92.0', '196.1.100.255', 3288423424, 3288425727, 'SN', 'Senegal'),
(128560, '196.1.101.0', '196.1.103.255', 3288425728, 3288426495, 'ZA', 'South Africa'),
(128561, '196.1.104.0', '196.1.106.255', 3288426496, 3288427263, 'IN', 'India'),
(128562, '196.1.107.0', '196.1.107.255', 3288427264, 3288427519, 'BM', 'Bermuda'),
(128563, '196.1.108.0', '196.1.111.255', 3288427520, 3288428543, 'IN', 'India'),
(128564, '196.1.112.0', '196.1.112.255', 3288428544, 3288428799, 'CU', 'Cuba'),
(128565, '196.1.113.0', '196.1.114.255', 3288428800, 3288429311, 'IN', 'India'),
(128566, '196.1.115.0', '196.1.115.255', 3288429312, 3288429567, 'ZA', 'South Africa'),
(128567, '196.1.116.0', '196.1.118.255', 3288429568, 3288430335, 'GH', 'Ghana'),
(128568, '196.1.119.0', '196.1.119.255', 3288430336, 3288430591, 'EG', 'Egypt'),
(128569, '196.1.120.0', '196.1.127.255', 3288430592, 3288432639, 'SC', 'Seychelles'),
(128570, '196.1.128.0', '196.1.130.255', 3288432640, 3288433407, 'ZA', 'South Africa'),
(128571, '196.1.131.0', '196.1.132.255', 3288433408, 3288433919, 'KE', 'Kenya'),
(128572, '196.1.133.0', '196.1.133.255', 3288433920, 3288434175, 'NG', 'Nigeria'),
(128573, '196.1.134.0', '196.1.134.255', 3288434176, 3288434431, 'IN', 'India'),
(128574, '196.1.135.0', '196.1.135.255', 3288434432, 3288434687, 'CU', 'Cuba'),
(128575, '196.1.136.0', '196.1.139.255', 3288434688, 3288435711, 'JM', 'Jamaica'),
(128576, '196.1.140.0', '196.1.140.255', 3288435712, 3288435967, 'US', 'United States'),
(128577, '196.1.141.0', '196.1.141.255', 3288435968, 3288436223, 'PR', 'Puerto Rico'),
(128578, '196.1.142.0', '196.1.142.255', 3288436224, 3288436479, 'US', 'United States'),
(128579, '196.1.143.0', '196.1.143.255', 3288436480, 3288436735, 'EG', 'Egypt'),
(128580, '196.1.144.0', '196.1.159.255', 3288436736, 3288440831, 'ZA', 'South Africa'),
(128581, '196.1.160.0', '196.1.161.255', 3288440832, 3288441343, 'VC', 'Saint Vincent and the Grenadines'),
(128582, '196.1.162.0', '196.1.167.255', 3288441344, 3288442879, 'BB', 'Barbados'),
(128583, '196.1.168.0', '196.1.168.255', 3288442880, 3288443135, 'KN', 'Saint Kitts and Nevis'),
(128584, '196.1.169.0', '196.1.170.255', 3288443136, 3288443647, 'VC', 'Saint Vincent and the Grenadines'),
(128585, '196.1.171.0', '196.1.175.255', 3288443648, 3288444927, 'BB', 'Barbados'),
(128586, '196.1.176.0', '196.1.191.255', 3288444928, 3288449023, 'NG', 'Nigeria'),
(128587, '196.1.192.0', '196.1.255.255', 3288449024, 3288465407, 'SD', 'Sudan'),
(128588, '196.2.0.0', '196.2.1.255', 3288465408, 3288465919, 'JM', 'Jamaica'),
(128589, '196.2.2.0', '196.2.2.255', 3288465920, 3288466175, 'BW', 'Botswana'),
(128590, '196.2.3.0', '196.2.3.255', 3288466176, 3288466431, 'MU', 'Mauritius'),
(128591, '196.2.4.0', '196.2.7.255', 3288466432, 3288467455, 'SY', 'Syrian Arab Republic'),
(128592, '196.2.8.0', '196.2.15.255', 3288467456, 3288469503, 'BI', 'Burundi'),
(128593, '196.2.16.0', '196.2.63.255', 3288469504, 3288481791, 'ZA', 'South Africa'),
(128594, '196.2.64.0', '196.2.65.255', 3288481792, 3288482303, 'ZW', 'Zimbabwe'),
(128595, '196.2.66.0', '196.2.78.255', 3288482304, 3288485631, 'ZA', 'South Africa'),
(128596, '196.2.79.0', '196.2.79.255', 3288485632, 3288485887, 'ZW', 'Zimbabwe'),
(128597, '196.2.80.0', '196.2.95.255', 3288485888, 3288489983, 'MA', 'Morocco'),
(128598, '196.2.96.0', '196.2.191.255', 3288489984, 3288514559, 'ZA', 'South Africa'),
(128599, '196.2.192.0', '196.2.223.255', 3288514560, 3288522751, 'EG', 'Egypt'),
(128600, '196.3.0.0', '196.3.7.255', 3288530944, 3288532991, 'JM', 'Jamaica'),
(128601, '196.3.8.0', '196.3.13.255', 3288532992, 3288534527, 'PR', 'Puerto Rico'),
(128602, '196.3.14.0', '196.3.15.255', 3288534528, 3288535039, 'MG', 'Madagascar'),
(128603, '196.3.16.0', '196.3.31.255', 3288535040, 3288539135, 'AN', 'Netherlands Antilles'),
(128604, '196.3.32.0', '196.3.48.255', 3288539136, 3288543487, 'US', 'United States'),
(128605, '196.3.49.0', '196.3.49.255', 3288543488, 3288543743, 'AP', 'Asia/Pacific Region'),
(128606, '196.3.50.0', '196.3.50.252', 3288543744, 3288543996, 'US', 'United States'),
(128607, '196.3.50.253', '196.3.50.253', 3288543997, 3288543997, 'EU', 'Europe'),
(128608, '196.3.50.254', '196.3.50.254', 3288543998, 3288543998, 'CH', 'Switzerland'),
(128609, '196.3.50.255', '196.3.52.242', 3288543999, 3288544498, 'US', 'United States'),
(128610, '196.3.52.243', '196.3.52.243', 3288544499, 3288544499, 'EU', 'Europe'),
(128611, '196.3.52.244', '196.3.53.255', 3288544500, 3288544767, 'US', 'United States'),
(128612, '196.3.54.0', '196.3.54.255', 3288544768, 3288545023, 'MX', 'Mexico'),
(128613, '196.3.55.0', '196.3.55.255', 3288545024, 3288545279, 'FR', 'France'),
(128614, '196.3.56.0', '196.3.56.99', 3288545280, 3288545379, 'US', 'United States'),
(128615, '196.3.56.100', '196.3.56.100', 3288545380, 3288545380, 'AU', 'Australia'),
(128616, '196.3.56.101', '196.3.56.255', 3288545381, 3288545535, 'US', 'United States'),
(128617, '196.3.57.0', '196.3.57.255', 3288545536, 3288545791, 'ZA', 'South Africa'),
(128618, '196.3.58.0', '196.3.59.255', 3288545792, 3288546303, 'KE', 'Kenya'),
(128619, '196.3.60.0', '196.3.63.255', 3288546304, 3288547327, 'NG', 'Nigeria'),
(128620, '196.3.64.0', '196.3.64.255', 3288547328, 3288547583, 'GH', 'Ghana'),
(128621, '196.3.65.0', '196.3.65.255', 3288547584, 3288547839, 'IN', 'India'),
(128622, '196.3.66.0', '196.3.66.255', 3288547840, 3288548095, 'SA', 'Saudi Arabia'),
(128623, '196.3.67.0', '196.3.71.255', 3288548096, 3288549375, 'AE', 'United Arab Emirates'),
(128624, '196.3.72.0', '196.3.72.255', 3288549376, 3288549631, 'PK', 'Pakistan'),
(128625, '196.3.73.0', '196.3.73.255', 3288549632, 3288549887, 'GD', 'Grenada'),
(128626, '196.3.74.0', '196.3.89.255', 3288549888, 3288553983, 'DO', 'Dominican Republic'),
(128627, '196.3.90.0', '196.3.90.255', 3288553984, 3288554239, 'CM', 'Cameroon'),
(128628, '196.3.91.0', '196.3.91.255', 3288554240, 3288554495, 'IR', 'Iran, Islamic Republic of'),
(128629, '196.3.92.0', '196.3.93.255', 3288554496, 3288555007, 'ZA', 'South Africa'),
(128630, '196.3.94.0', '196.3.94.255', 3288555008, 3288555263, 'NA', 'Namibia'),
(128631, '196.3.95.0', '196.3.95.255', 3288555264, 3288555519, 'JM', 'Jamaica'),
(128632, '196.3.96.0', '196.3.103.255', 3288555520, 3288557567, 'MZ', 'Mozambique'),
(128633, '196.3.104.0', '196.3.104.255', 3288557568, 3288557823, 'JM', 'Jamaica'),
(128634, '196.3.105.0', '196.3.105.255', 3288557824, 3288558079, 'ZA', 'South Africa'),
(128635, '196.3.106.0', '196.3.106.255', 3288558080, 3288558335, 'DO', 'Dominican Republic'),
(128636, '196.3.107.0', '196.3.108.255', 3288558336, 3288558847, 'ZA', 'South Africa'),
(128637, '196.3.109.0', '196.3.109.255', 3288558848, 3288559103, 'MU', 'Mauritius'),
(128638, '196.3.110.0', '196.3.131.255', 3288559104, 3288564735, 'ZA', 'South Africa'),
(128639, '196.3.132.0', '196.3.147.255', 3288564736, 3288568831, 'TT', 'Trinidad and Tobago'),
(128640, '196.3.148.0', '196.3.151.255', 3288568832, 3288569855, 'ZA', 'South Africa'),
(128641, '196.3.152.0', '196.3.152.255', 3288569856, 3288570111, 'CU', 'Cuba'),
(128642, '196.3.153.0', '196.3.153.255', 3288570112, 3288570367, 'JM', 'Jamaica'),
(128643, '196.3.154.0', '196.3.179.255', 3288570368, 3288577023, 'ZA', 'South Africa'),
(128644, '196.3.180.0', '196.3.183.255', 3288577024, 3288578047, 'NG', 'Nigeria'),
(128645, '196.3.184.0', '196.3.191.255', 3288578048, 3288580095, 'JM', 'Jamaica'),
(128646, '196.3.192.0', '196.3.223.255', 3288580096, 3288588287, 'BB', 'Barbados'),
(128647, '196.3.224.0', '196.4.45.255', 3288588288, 3288608255, 'ZA', 'South Africa'),
(128648, '196.4.46.0', '196.4.70.255', 3288608256, 3288614655, 'US', 'United States'),
(128649, '196.4.71.0', '196.4.79.255', 3288614656, 3288616959, 'ZA', 'South Africa'),
(128650, '196.4.80.0', '196.4.80.255', 3288616960, 3288617215, 'ZW', 'Zimbabwe'),
(128651, '196.4.81.0', '196.4.254.255', 3288617216, 3288661759, 'ZA', 'South Africa'),
(128652, '196.4.255.0', '196.4.255.255', 3288661760, 3288662015, 'LS', 'Lesotho'),
(128653, '196.5.0.0', '196.5.255.255', 3288662016, 3288727551, 'ZA', 'South Africa'),
(128654, '196.6.0.0', '196.6.0.255', 3288727552, 3288727807, 'MU', 'Mauritius'),
(128655, '196.6.1.0', '196.11.31.255', 3288727808, 3289063423, 'ZA', 'South Africa'),
(128656, '196.11.56.0', '196.11.58.255', 3289069568, 3289070335, 'ZA', 'South Africa'),
(128657, '196.11.59.0', '196.11.59.255', 3289070336, 3289070591, 'ZW', 'Zimbabwe'),
(128658, '196.11.60.0', '196.11.60.255', 3289070592, 3289070847, 'NA', 'Namibia'),
(128659, '196.11.61.0', '196.11.61.255', 3289070848, 3289071103, 'ZA', 'South Africa'),
(128660, '196.11.64.0', '196.11.123.255', 3289071616, 3289086975, 'ZA', 'South Africa'),
(128661, '196.11.124.0', '196.11.124.255', 3289086976, 3289087231, 'SZ', 'Swaziland'),
(128662, '196.11.125.0', '196.11.255.255', 3289087232, 3289120767, 'ZA', 'South Africa'),
(128663, '196.12.0.0', '196.12.9.255', 3289120768, 3289123327, 'PR', 'Puerto Rico'),
(128664, '196.12.10.0', '196.12.10.255', 3289123328, 3289123583, 'NA', 'Namibia'),
(128665, '196.12.11.0', '196.12.11.255', 3289123584, 3289123839, 'EG', 'Egypt'),
(128666, '196.12.12.0', '196.12.15.255', 3289123840, 3289124863, 'ZM', 'Zambia'),
(128667, '196.12.16.0', '196.12.31.255', 3289124864, 3289128959, 'ZA', 'South Africa'),
(128668, '196.12.32.0', '196.12.63.255', 3289128960, 3289137151, 'IN', 'India'),
(128669, '196.12.64.0', '196.12.127.255', 3289137152, 3289153535, 'BM', 'Bermuda'),
(128670, '196.12.128.0', '196.12.159.255', 3289153536, 3289161727, 'RW', 'Rwanda'),
(128671, '196.12.160.0', '196.12.190.223', 3289161728, 3289169631, 'PR', 'Puerto Rico'),
(128672, '196.12.190.224', '196.12.190.255', 3289169632, 3289169663, 'US', 'United States'),
(128673, '196.12.191.0', '196.12.191.255', 3289169664, 3289169919, 'PR', 'Puerto Rico'),
(128674, '196.12.192.0', '196.12.255.255', 3289169920, 3289186303, 'MA', 'Morocco'),
(128675, '196.13.0.0', '196.13.167.255', 3289186304, 3289229311, 'ZA', 'South Africa'),
(128676, '196.13.168.0', '196.13.168.255', 3289229312, 3289229567, 'SZ', 'Swaziland'),
(128677, '196.13.170.0', '196.13.172.255', 3289229824, 3289230591, 'ZA', 'South Africa'),
(128678, '196.13.184.0', '196.15.7.255', 3289233408, 3289319423, 'ZA', 'South Africa'),
(128679, '196.15.8.0', '196.15.8.255', 3289319424, 3289319679, 'A2', 'Satellite Provider'),
(128680, '196.15.9.0', '196.15.9.255', 3289319680, 3289319935, 'ZA', 'South Africa'),
(128681, '196.15.10.0', '196.15.11.255', 3289319936, 3289320447, 'A2', 'Satellite Provider'),
(128682, '196.15.12.0', '196.15.15.255', 3289320448, 3289321471, 'ZA', 'South Africa'),
(128683, '196.15.16.0', '196.15.31.255', 3289321472, 3289325567, 'IN', 'India'),
(128684, '196.15.32.0', '196.15.63.255', 3289325568, 3289333759, 'SA', 'Saudi Arabia'),
(128685, '196.15.64.0', '196.19.255.255', 3289333760, 3289645055, 'ZA', 'South Africa'),
(128686, '196.20.0.0', '196.20.31.255', 3289645056, 3289653247, 'NA', 'Namibia'),
(128687, '196.20.32.0', '196.20.63.255', 3289653248, 3289661439, 'EG', 'Egypt'),
(128688, '196.20.64.0', '196.20.127.255', 3289661440, 3289677823, 'DZ', 'Algeria'),
(128689, '196.20.128.0', '196.20.255.255', 3289677824, 3289710591, 'MU', 'Mauritius'),
(128690, '196.21.0.0', '196.22.4.255', 3289710592, 3289777407, 'ZA', 'South Africa'),
(128691, '196.22.5.0', '196.22.5.255', 3289777408, 3289777663, 'EG', 'Egypt'),
(128692, '196.22.6.0', '196.22.6.255', 3289777664, 3289777919, 'NG', 'Nigeria'),
(128693, '196.22.7.0', '196.22.7.255', 3289777920, 3289778175, 'EG', 'Egypt'),
(128694, '196.22.8.0', '196.22.11.255', 3289778176, 3289779199, 'CD', 'Congo, The Democratic Republic of the'),
(128695, '196.22.12.0', '196.22.15.255', 3289779200, 3289780223, 'GW', 'Guinea-Bissau'),
(128696, '196.22.16.0', '196.22.47.255', 3289780224, 3289788415, 'ZA', 'South Africa'),
(128697, '196.22.48.0', '196.22.63.255', 3289788416, 3289792511, 'MZ', 'Mozambique'),
(128698, '196.22.64.0', '196.22.129.255', 3289792512, 3289809407, 'ZA', 'South Africa'),
(128699, '196.22.130.0', '196.22.130.255', 3289809408, 3289809663, 'EG', 'Egypt'),
(128700, '196.22.131.0', '196.22.131.255', 3289809664, 3289809919, 'KE', 'Kenya'),
(128701, '196.22.132.0', '196.22.143.255', 3289809920, 3289812991, 'ZA', 'South Africa'),
(128702, '196.22.144.0', '196.22.159.255', 3289812992, 3289817087, 'MU', 'Mauritius'),
(128703, '196.22.160.0', '196.23.255.255', 3289817088, 3289907199, 'ZA', 'South Africa'),
(128704, '196.24.0.0', '196.24.3.255', 3289907200, 3289908223, 'LS', 'Lesotho'),
(128705, '196.24.4.0', '196.24.63.255', 3289908224, 3289923583, 'ZA', 'South Africa'),
(128706, '196.24.64.0', '196.24.67.255', 3289923584, 3289924607, 'SZ', 'Swaziland'),
(128707, '196.24.68.0', '196.25.227.255', 3289924608, 3290031103, 'ZA', 'South Africa'),
(128708, '196.25.228.0', '196.25.228.255', 3290031104, 3290031359, 'LS', 'Lesotho'),
(128709, '196.25.229.0', '196.26.85.255', 3290031360, 3290060287, 'ZA', 'South Africa'),
(128710, '196.26.86.0', '196.26.86.255', 3290060288, 3290060543, 'SZ', 'Swaziland'),
(128711, '196.26.87.0', '196.26.255.255', 3290060544, 3290103807, 'ZA', 'South Africa'),
(128712, '196.27.0.0', '196.27.1.255', 3290103808, 3290104319, 'JO', 'Jordan'),
(128713, '196.27.2.0', '196.27.3.255', 3290104320, 3290104831, 'EG', 'Egypt'),
(128714, '196.27.4.0', '196.27.11.255', 3290104832, 3290106879, 'VE', 'Venezuela'),
(128715, '196.27.12.0', '196.27.12.255', 3290106880, 3290107135, 'CL', 'Chile'),
(128716, '196.27.13.0', '196.27.13.15', 3290107136, 3290107151, 'CA', 'Canada'),
(128717, '196.27.13.16', '196.27.13.31', 3290107152, 3290107167, 'US', 'United States'),
(128718, '196.27.13.32', '196.27.13.95', 3290107168, 3290107231, 'CA', 'Canada'),
(128719, '196.27.13.96', '196.27.13.127', 3290107232, 3290107263, 'US', 'United States'),
(128720, '196.27.13.128', '196.27.13.175', 3290107264, 3290107311, 'CA', 'Canada'),
(128721, '196.27.13.176', '196.27.13.207', 3290107312, 3290107343, 'US', 'United States'),
(128722, '196.27.13.208', '196.27.13.223', 3290107344, 3290107359, 'CA', 'Canada'),
(128723, '196.27.13.224', '196.27.13.239', 3290107360, 3290107375, 'US', 'United States'),
(128724, '196.27.13.240', '196.27.13.247', 3290107376, 3290107383, 'CA', 'Canada'),
(128725, '196.27.13.248', '196.27.13.255', 3290107384, 3290107391, 'US', 'United States'),
(128726, '196.27.14.0', '196.27.14.255', 3290107392, 3290107647, 'CA', 'Canada'),
(128727, '196.27.15.0', '196.27.17.255', 3290107648, 3290108415, 'US', 'United States'),
(128728, '196.27.18.0', '196.27.18.255', 3290108416, 3290108671, 'CA', 'Canada'),
(128729, '196.27.19.0', '196.27.19.255', 3290108672, 3290108927, 'US', 'United States'),
(128730, '196.27.20.0', '196.27.20.255', 3290108928, 3290109183, 'GH', 'Ghana'),
(128731, '196.27.21.0', '196.27.21.255', 3290109184, 3290109439, 'MU', 'Mauritius'),
(128732, '196.27.22.0', '196.27.22.255', 3290109440, 3290109695, 'ET', 'Ethiopia'),
(128733, '196.27.23.0', '196.27.24.255', 3290109696, 3290110207, 'PR', 'Puerto Rico'),
(128734, '196.27.25.0', '196.27.25.255', 3290110208, 3290110463, 'US', 'United States'),
(128735, '196.27.26.0', '196.27.26.255', 3290110464, 3290110719, 'ES', 'Spain'),
(128736, '196.27.27.0', '196.27.27.255', 3290110720, 3290110975, 'DO', 'Dominican Republic'),
(128737, '196.27.28.0', '196.27.29.255', 3290110976, 3290111487, 'US', 'United States'),
(128738, '196.27.30.0', '196.27.30.255', 3290111488, 3290111743, 'MX', 'Mexico'),
(128739, '196.27.31.0', '196.27.31.255', 3290111744, 3290111999, 'US', 'United States'),
(128740, '196.27.32.0', '196.27.32.143', 3290112000, 3290112143, 'CA', 'Canada'),
(128741, '196.27.32.144', '196.27.47.255', 3290112144, 3290116095, 'US', 'United States'),
(128742, '196.27.48.0', '196.27.56.255', 3290116096, 3290118399, 'PE', 'Peru'),
(128743, '196.27.57.0', '196.27.63.255', 3290118400, 3290120191, 'US', 'United States'),
(128744, '196.27.64.0', '196.27.95.255', 3290120192, 3290128383, 'MU', 'Mauritius'),
(128745, '196.27.96.0', '196.27.127.255', 3290128384, 3290136575, 'ZW', 'Zimbabwe'),
(128746, '196.27.128.0', '196.27.255.255', 3290136576, 3290169343, 'NG', 'Nigeria'),
(128747, '196.28.0.0', '196.28.6.255', 3290169344, 3290171135, 'ZA', 'South Africa'),
(128748, '196.28.7.0', '196.28.7.255', 3290171136, 3290171391, 'SZ', 'Swaziland'),
(128749, '196.28.8.0', '196.28.8.255', 3290171392, 3290171647, 'ZA', 'South Africa'),
(128750, '196.28.10.0', '196.28.10.255', 3290171904, 3290172159, 'NG', 'Nigeria'),
(128751, '196.28.11.0', '196.28.11.255', 3290172160, 3290172415, 'KE', 'Kenya'),
(128752, '196.28.12.0', '196.28.47.255', 3290172416, 3290181631, 'ZA', 'South Africa'),
(128753, '196.28.48.0', '196.28.49.63', 3290181632, 3290181951, 'PR', 'Puerto Rico'),
(128754, '196.28.49.64', '196.28.49.71', 3290181952, 3290181959, 'US', 'United States'),
(128755, '196.28.49.72', '196.28.49.79', 3290181960, 3290181967, 'PR', 'Puerto Rico'),
(128756, '196.28.49.80', '196.28.49.143', 3290181968, 3290182031, 'US', 'United States'),
(128757, '196.28.49.144', '196.28.49.144', 3290182032, 3290182032, 'PR', 'Puerto Rico'),
(128758, '196.28.49.145', '196.28.49.159', 3290182033, 3290182047, 'US', 'United States'),
(128759, '196.28.49.160', '196.28.49.190', 3290182048, 3290182078, 'PR', 'Puerto Rico'),
(128760, '196.28.49.191', '196.28.49.255', 3290182079, 3290182143, 'US', 'United States'),
(128761, '196.28.50.0', '196.28.50.191', 3290182144, 3290182335, 'PR', 'Puerto Rico'),
(128762, '196.28.50.192', '196.28.50.255', 3290182336, 3290182399, 'US', 'United States'),
(128763, '196.28.51.0', '196.28.53.255', 3290182400, 3290183167, 'PR', 'Puerto Rico'),
(128764, '196.28.54.0', '196.28.54.31', 3290183168, 3290183199, 'US', 'United States'),
(128765, '196.28.54.32', '196.28.54.62', 3290183200, 3290183230, 'PR', 'Puerto Rico'),
(128766, '196.28.54.63', '196.28.54.126', 3290183231, 3290183294, 'US', 'United States'),
(128767, '196.28.54.127', '196.28.54.158', 3290183295, 3290183326, 'PR', 'Puerto Rico'),
(128768, '196.28.54.159', '196.28.54.255', 3290183327, 3290183423, 'US', 'United States'),
(128769, '196.28.55.0', '196.28.63.255', 3290183424, 3290185727, 'PR', 'Puerto Rico'),
(128770, '196.28.64.0', '196.28.223.255', 3290185728, 3290226687, 'ZA', 'South Africa'),
(128771, '196.28.224.0', '196.28.239.255', 3290226688, 3290230783, 'MZ', 'Mozambique'),
(128772, '196.28.240.0', '196.28.255.255', 3290230784, 3290234879, 'BF', 'Burkina Faso'),
(128773, '196.29.0.0', '196.29.31.255', 3290234880, 3290243071, 'ZA', 'South Africa'),
(128774, '196.29.32.0', '196.29.39.255', 3290243072, 3290245119, 'ZW', 'Zimbabwe'),
(128775, '196.29.40.0', '196.29.43.255', 3290245120, 3290246143, 'DZ', 'Algeria'),
(128776, '196.29.48.0', '196.29.55.255', 3290247168, 3290249215, 'A2', 'Satellite Provider'),
(128777, '196.29.64.0', '196.29.95.255', 3290251264, 3290259455, 'TT', 'Trinidad and Tobago'),
(128778, '196.29.96.0', '196.29.127.255', 3290259456, 3290267647, 'GH', 'Ghana'),
(128779, '196.29.128.0', '196.29.159.255', 3290267648, 3290275839, 'ZA', 'South Africa'),
(128780, '196.29.160.0', '196.29.191.255', 3290275840, 3290284031, 'SD', 'Sudan'),
(128781, '196.29.192.0', '196.29.207.255', 3290284032, 3290288127, 'AO', 'Angola'),
(128782, '196.29.208.0', '196.29.223.255', 3290288128, 3290292223, 'NG', 'Nigeria'),
(128783, '196.29.224.0', '196.29.239.255', 3290292224, 3290296319, 'GH', 'Ghana'),
(128784, '196.29.240.0', '196.31.255.255', 3290296320, 3290431487, 'ZA', 'South Africa'),
(128785, '196.32.0.0', '196.32.7.255', 3290431488, 3290433535, 'JM', 'Jamaica'),
(128786, '196.32.32.0', '196.32.63.255', 3290439680, 3290447871, 'TT', 'Trinidad and Tobago'),
(128787, '196.32.64.0', '196.32.95.255', 3290447872, 3290456063, 'AR', 'Argentina'),
(128788, '196.32.96.0', '196.32.111.255', 3290456064, 3290460159, 'MZ', 'Mozambique'),
(128789, '196.32.112.0', '196.32.127.255', 3290460160, 3290464255, 'ML', 'Mali'),
(128790, '196.32.128.0', '196.32.156.63', 3290464256, 3290471487, 'PR', 'Puerto Rico'),
(128791, '196.32.156.64', '196.32.156.127', 3290471488, 3290471551, 'DO', 'Dominican Republic'),
(128792, '196.32.156.128', '196.32.159.255', 3290471552, 3290472447, 'PR', 'Puerto Rico'),
(128793, '196.32.160.0', '196.32.191.255', 3290472448, 3290480639, 'ZA', 'South Africa'),
(128794, '196.32.192.0', '196.32.199.255', 3290480640, 3290482687, 'AO', 'Angola'),
(128795, '196.32.200.0', '196.32.207.255', 3290482688, 3290484735, 'CF', 'Central African Republic'),
(128796, '196.32.208.0', '196.32.215.255', 3290484736, 3290486783, 'ZA', 'South Africa'),
(128797, '196.32.216.0', '196.32.223.255', 3290486784, 3290488831, 'SC', 'Seychelles'),
(128798, '196.32.224.0', '196.32.225.255', 3290488832, 3290489343, 'NG', 'Nigeria'),
(128799, '196.32.226.0', '196.32.227.255', 3290489344, 3290489855, 'KE', 'Kenya'),
(128800, '196.32.228.0', '196.32.229.255', 3290489856, 3290490367, 'EG', 'Egypt'),
(128801, '196.32.230.0', '196.32.239.255', 3290490368, 3290492927, 'ZA', 'South Africa');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(128802, '196.32.240.0', '196.32.247.255', 3290492928, 3290494975, 'TZ', 'Tanzania, United Republic of'),
(128803, '196.33.0.0', '196.36.98.255', 3290497024, 3290718975, 'ZA', 'South Africa'),
(128804, '196.36.99.0', '196.36.99.255', 3290718976, 3290719231, 'SZ', 'Swaziland'),
(128805, '196.36.100.0', '196.39.255.255', 3290719232, 3290955775, 'ZA', 'South Africa'),
(128806, '196.40.0.0', '196.40.95.255', 3290955776, 3290980351, 'CR', 'Costa Rica'),
(128807, '196.40.96.0', '196.40.111.255', 3290980352, 3290984447, 'ZA', 'South Africa'),
(128808, '196.40.128.0', '196.40.143.255', 3290988544, 3290992639, 'KE', 'Kenya'),
(128809, '196.40.192.0', '196.40.255.255', 3291004928, 3291021311, 'NG', 'Nigeria'),
(128810, '196.41.0.0', '196.41.31.255', 3291021312, 3291029503, 'ZA', 'South Africa'),
(128811, '196.41.32.0', '196.41.46.255', 3291029504, 3291033343, 'TZ', 'Tanzania, United Republic of'),
(128812, '196.41.47.0', '196.41.47.255', 3291033344, 3291033599, 'KE', 'Kenya'),
(128813, '196.41.48.0', '196.41.63.255', 3291033600, 3291037695, 'TZ', 'Tanzania, United Republic of'),
(128814, '196.41.96.0', '196.41.223.255', 3291045888, 3291078655, 'ZA', 'South Africa'),
(128815, '196.41.224.0', '196.41.255.255', 3291078656, 3291086847, 'DZ', 'Algeria'),
(128816, '196.42.0.0', '196.42.63.255', 3291086848, 3291103231, 'PR', 'Puerto Rico'),
(128817, '196.43.0.0', '196.43.63.255', 3291152384, 3291168767, 'ZA', 'South Africa'),
(128818, '196.43.64.0', '196.43.95.255', 3291168768, 3291176959, 'TZ', 'Tanzania, United Republic of'),
(128819, '196.43.96.0', '196.43.127.255', 3291176960, 3291185151, 'ZW', 'Zimbabwe'),
(128820, '196.43.128.0', '196.43.191.255', 3291185152, 3291201535, 'UG', 'Uganda'),
(128821, '196.43.192.0', '196.43.192.255', 3291201536, 3291201791, 'KE', 'Kenya'),
(128822, '196.43.193.0', '196.43.193.255', 3291201792, 3291202047, 'ZM', 'Zambia'),
(128823, '196.43.194.0', '196.43.194.255', 3291202048, 3291202303, 'GH', 'Ghana'),
(128824, '196.43.195.0', '196.43.195.255', 3291202304, 3291202559, 'ZA', 'South Africa'),
(128825, '196.43.196.0', '196.43.196.255', 3291202560, 3291202815, 'GH', 'Ghana'),
(128826, '196.43.197.0', '196.43.197.255', 3291202816, 3291203071, 'AO', 'Angola'),
(128827, '196.43.198.0', '196.43.198.255', 3291203072, 3291203327, 'EG', 'Egypt'),
(128828, '196.43.199.0', '196.43.199.255', 3291203328, 3291203583, 'ZW', 'Zimbabwe'),
(128829, '196.43.200.0', '196.43.200.255', 3291203584, 3291203839, 'ZA', 'South Africa'),
(128830, '196.43.201.0', '196.43.201.255', 3291203840, 3291204095, 'EG', 'Egypt'),
(128831, '196.43.202.0', '196.43.202.255', 3291204096, 3291204351, 'KE', 'Kenya'),
(128832, '196.43.203.0', '196.43.204.255', 3291204352, 3291204863, 'ZA', 'South Africa'),
(128833, '196.43.205.0', '196.43.205.255', 3291204864, 3291205119, 'KE', 'Kenya'),
(128834, '196.43.206.0', '196.43.207.255', 3291205120, 3291205631, 'GH', 'Ghana'),
(128835, '196.43.208.0', '196.43.209.255', 3291205632, 3291206143, 'ZA', 'South Africa'),
(128836, '196.43.210.0', '196.43.210.255', 3291206144, 3291206399, 'AO', 'Angola'),
(128837, '196.43.211.0', '196.43.212.255', 3291206400, 3291206911, 'KE', 'Kenya'),
(128838, '196.43.214.0', '196.43.214.255', 3291207168, 3291207423, 'MG', 'Madagascar'),
(128839, '196.43.215.0', '196.43.215.255', 3291207424, 3291207679, 'NG', 'Nigeria'),
(128840, '196.43.216.0', '196.43.216.255', 3291207680, 3291207935, 'BW', 'Botswana'),
(128841, '196.43.217.0', '196.43.218.255', 3291207936, 3291208447, 'KE', 'Kenya'),
(128842, '196.43.219.0', '196.43.219.255', 3291208448, 3291208703, 'EG', 'Egypt'),
(128843, '196.43.220.0', '196.43.220.255', 3291208704, 3291208959, 'KE', 'Kenya'),
(128844, '196.43.221.0', '196.43.221.255', 3291208960, 3291209215, 'TZ', 'Tanzania, United Republic of'),
(128845, '196.43.222.0', '196.43.222.255', 3291209216, 3291209471, 'KE', 'Kenya'),
(128846, '196.43.223.0', '196.43.223.255', 3291209472, 3291209727, 'AO', 'Angola'),
(128847, '196.43.224.0', '196.43.224.255', 3291209728, 3291209983, 'NG', 'Nigeria'),
(128848, '196.43.225.0', '196.43.225.255', 3291209984, 3291210239, 'GH', 'Ghana'),
(128849, '196.43.226.0', '196.43.226.255', 3291210240, 3291210495, 'UG', 'Uganda'),
(128850, '196.43.227.0', '196.43.227.255', 3291210496, 3291210751, 'ZA', 'South Africa'),
(128851, '196.43.228.0', '196.43.228.255', 3291210752, 3291211007, 'KE', 'Kenya'),
(128852, '196.43.229.0', '196.43.229.255', 3291211008, 3291211263, 'SL', 'Sierra Leone'),
(128853, '196.43.230.0', '196.43.230.255', 3291211264, 3291211519, 'TZ', 'Tanzania, United Republic of'),
(128854, '196.43.231.0', '196.43.231.255', 3291211520, 3291211775, 'ZA', 'South Africa'),
(128855, '196.43.232.0', '196.43.233.255', 3291211776, 3291212287, 'NG', 'Nigeria'),
(128856, '196.43.234.0', '196.43.234.255', 3291212288, 3291212543, 'MZ', 'Mozambique'),
(128857, '196.43.235.0', '196.43.235.255', 3291212544, 3291212799, 'NG', 'Nigeria'),
(128858, '196.43.236.0', '196.43.236.255', 3291212800, 3291213055, 'MA', 'Morocco'),
(128859, '196.43.237.0', '196.43.237.255', 3291213056, 3291213311, 'EG', 'Egypt'),
(128860, '196.43.238.0', '196.43.238.255', 3291213312, 3291213567, 'NG', 'Nigeria'),
(128861, '196.43.252.0', '196.43.255.255', 3291216896, 3291217919, 'MU', 'Mauritius'),
(128862, '196.44.0.0', '196.44.47.255', 3291217920, 3291230207, 'ZA', 'South Africa'),
(128863, '196.44.48.0', '196.44.63.255', 3291230208, 3291234303, 'GH', 'Ghana'),
(128864, '196.44.64.0', '196.44.95.255', 3291234304, 3291242495, 'ZA', 'South Africa'),
(128865, '196.44.96.0', '196.44.127.255', 3291242496, 3291250687, 'GH', 'Ghana'),
(128866, '196.44.128.0', '196.44.159.255', 3291250688, 3291258879, 'NA', 'Namibia'),
(128867, '196.44.160.0', '196.44.175.255', 3291258880, 3291262975, 'TZ', 'Tanzania, United Republic of'),
(128868, '196.44.176.0', '196.44.191.255', 3291262976, 3291267071, 'ZW', 'Zimbabwe'),
(128869, '196.44.192.0', '196.44.239.255', 3291267072, 3291279359, 'ZA', 'South Africa'),
(128870, '196.44.240.0', '196.44.255.255', 3291279360, 3291283455, 'RW', 'Rwanda'),
(128871, '196.45.0.0', '196.45.15.255', 3291283456, 3291287551, 'NA', 'Namibia'),
(128872, '196.45.16.0', '196.45.31.255', 3291287552, 3291291647, 'ZA', 'South Africa'),
(128873, '196.45.32.0', '196.45.38.191', 3291291648, 3291293375, 'TZ', 'Tanzania, United Republic of'),
(128874, '196.45.38.192', '196.45.38.255', 3291293376, 3291293439, 'NG', 'Nigeria'),
(128875, '196.45.39.0', '196.45.40.255', 3291293440, 3291293951, 'TZ', 'Tanzania, United Republic of'),
(128876, '196.45.41.0', '196.45.41.127', 3291293952, 3291294079, 'KE', 'Kenya'),
(128877, '196.45.41.128', '196.45.47.255', 3291294080, 3291295743, 'TZ', 'Tanzania, United Republic of'),
(128878, '196.45.48.0', '196.45.63.255', 3291295744, 3291299839, 'NG', 'Nigeria'),
(128879, '196.45.64.0', '196.45.127.255', 3291299840, 3291316223, 'ZA', 'South Africa'),
(128880, '196.45.128.0', '196.45.159.255', 3291316224, 3291324415, 'TZ', 'Tanzania, United Republic of'),
(128881, '196.45.160.0', '196.45.163.255', 3291324416, 3291325439, 'AO', 'Angola'),
(128882, '196.45.164.0', '196.45.167.255', 3291325440, 3291326463, 'BW', 'Botswana'),
(128883, '196.45.168.0', '196.45.183.255', 3291326464, 3291330559, 'ZA', 'South Africa'),
(128884, '196.45.184.0', '196.45.187.255', 3291330560, 3291331583, 'TZ', 'Tanzania, United Republic of'),
(128885, '196.45.188.0', '196.45.191.255', 3291331584, 3291332607, 'MW', 'Malawi'),
(128886, '196.45.192.0', '196.45.192.7', 3291332608, 3291332615, 'ZA', 'South Africa'),
(128887, '196.45.192.8', '196.45.192.255', 3291332616, 3291332863, 'NG', 'Nigeria'),
(128888, '196.45.193.0', '196.45.255.255', 3291332864, 3291348991, 'ZA', 'South Africa'),
(128889, '196.46.0.0', '196.46.15.255', 3291348992, 3291353087, 'MZ', 'Mozambique'),
(128890, '196.46.16.0', '196.46.16.255', 3291353088, 3291353343, 'KE', 'Kenya'),
(128891, '196.46.17.0', '196.46.17.255', 3291353344, 3291353599, 'EG', 'Egypt'),
(128892, '196.46.18.0', '196.46.19.255', 3291353600, 3291354111, 'ZM', 'Zambia'),
(128893, '196.46.20.0', '196.46.20.255', 3291354112, 3291354367, 'NG', 'Nigeria'),
(128894, '196.46.21.0', '196.46.21.255', 3291354368, 3291354623, 'AO', 'Angola'),
(128895, '196.46.22.0', '196.46.22.255', 3291354624, 3291354879, 'EG', 'Egypt'),
(128896, '196.46.23.0', '196.46.23.255', 3291354880, 3291355135, 'ZA', 'South Africa'),
(128897, '196.46.24.0', '196.46.24.255', 3291355136, 3291355391, 'EG', 'Egypt'),
(128898, '196.46.25.0', '196.46.25.255', 3291355392, 3291355647, 'ZA', 'South Africa'),
(128899, '196.46.26.0', '196.46.26.255', 3291355648, 3291355903, 'EG', 'Egypt'),
(128900, '196.46.27.0', '196.46.27.255', 3291355904, 3291356159, 'NG', 'Nigeria'),
(128901, '196.46.28.0', '196.46.28.255', 3291356160, 3291356415, 'NA', 'Namibia'),
(128902, '196.46.29.0', '196.46.29.255', 3291356416, 3291356671, 'EG', 'Egypt'),
(128903, '196.46.30.0', '196.46.31.255', 3291356672, 3291357183, 'ZA', 'South Africa'),
(128904, '196.46.32.0', '196.46.63.255', 3291357184, 3291365375, 'MU', 'Mauritius'),
(128905, '196.46.64.0', '196.46.71.255', 3291365376, 3291367423, 'ZA', 'South Africa'),
(128906, '196.46.72.0', '196.46.79.255', 3291367424, 3291369471, 'AO', 'Angola'),
(128907, '196.46.80.0', '196.46.95.255', 3291369472, 3291373567, 'GH', 'Ghana'),
(128908, '196.46.96.0', '196.46.111.255', 3291373568, 3291377663, 'TZ', 'Tanzania, United Republic of'),
(128909, '196.46.112.0', '196.46.115.255', 3291377664, 3291378687, 'CD', 'Congo, The Democratic Republic of the'),
(128910, '196.46.116.0', '196.46.119.255', 3291378688, 3291379711, 'ZA', 'South Africa'),
(128911, '196.46.120.0', '196.46.123.255', 3291379712, 3291380735, 'TZ', 'Tanzania, United Republic of'),
(128912, '196.46.124.0', '196.46.127.255', 3291380736, 3291381759, 'ZM', 'Zambia'),
(128913, '196.46.128.0', '196.46.135.255', 3291381760, 3291383807, 'TZ', 'Tanzania, United Republic of'),
(128914, '196.46.136.0', '196.46.143.255', 3291383808, 3291385855, 'ZA', 'South Africa'),
(128915, '196.46.144.0', '196.46.147.255', 3291385856, 3291386879, 'NG', 'Nigeria'),
(128916, '196.46.148.0', '196.46.151.255', 3291386880, 3291387903, 'SC', 'Seychelles'),
(128917, '196.46.152.0', '196.46.155.255', 3291387904, 3291388927, 'BJ', 'Benin'),
(128918, '196.46.156.0', '196.46.159.255', 3291388928, 3291389951, 'GA', 'Gabon'),
(128919, '196.46.160.0', '196.46.187.255', 3291389952, 3291397119, 'ZA', 'South Africa'),
(128920, '196.46.188.0', '196.46.191.255', 3291397120, 3291398143, 'EG', 'Egypt'),
(128921, '196.46.192.0', '196.46.223.255', 3291398144, 3291406335, 'ZM', 'Zambia'),
(128922, '196.46.224.0', '196.46.231.255', 3291406336, 3291408383, 'ZA', 'South Africa'),
(128923, '196.46.232.0', '196.46.239.255', 3291408384, 3291410431, 'GM', 'Gambia'),
(128924, '196.46.240.0', '196.46.247.255', 3291410432, 3291412479, 'NG', 'Nigeria'),
(128925, '196.46.248.0', '196.46.255.255', 3291412480, 3291414527, 'DZ', 'Algeria'),
(128926, '196.47.0.0', '196.47.65.255', 3291414528, 3291431423, 'ZA', 'South Africa'),
(128927, '196.47.66.0', '196.47.66.127', 3291431424, 3291431551, 'NA', 'Namibia'),
(128928, '196.47.66.128', '196.47.68.255', 3291431552, 3291432191, 'ZA', 'South Africa'),
(128929, '196.47.69.0', '196.47.69.255', 3291432192, 3291432447, 'NA', 'Namibia'),
(128930, '196.47.70.0', '196.47.70.255', 3291432448, 3291432703, 'ZA', 'South Africa'),
(128931, '196.47.71.0', '196.47.71.255', 3291432704, 3291432959, 'NA', 'Namibia'),
(128932, '196.47.72.0', '196.47.73.255', 3291432960, 3291433471, 'ZA', 'South Africa'),
(128933, '196.47.74.0', '196.47.74.255', 3291433472, 3291433727, 'NA', 'Namibia'),
(128934, '196.47.75.0', '196.47.76.255', 3291433728, 3291434239, 'ZA', 'South Africa'),
(128935, '196.47.77.0', '196.47.78.255', 3291434240, 3291434751, 'A2', 'Satellite Provider'),
(128936, '196.47.79.0', '196.47.79.255', 3291434752, 3291435007, 'ZA', 'South Africa'),
(128937, '196.47.80.0', '196.47.95.255', 3291435008, 3291439103, 'A2', 'Satellite Provider'),
(128938, '196.47.128.0', '196.47.191.255', 3291447296, 3291463679, 'CI', 'Cote D''Ivoire'),
(128939, '196.48.0.0', '196.63.255.255', 3291480064, 3292528639, 'ZA', 'South Africa'),
(128940, '196.192.0.0', '196.192.15.255', 3300917248, 3300921343, 'MU', 'Mauritius'),
(128941, '196.192.32.0', '196.192.47.255', 3300925440, 3300929535, 'MG', 'Madagascar'),
(128942, '196.192.64.0', '196.192.127.255', 3300933632, 3300950015, 'MU', 'Mauritius'),
(128943, '196.200.0.0', '196.200.0.31', 3301441536, 3301441567, 'ZA', 'South Africa'),
(128944, '196.200.0.32', '196.200.0.39', 3301441568, 3301441575, 'NG', 'Nigeria'),
(128945, '196.200.0.40', '196.200.0.119', 3301441576, 3301441655, 'ZA', 'South Africa'),
(128946, '196.200.0.120', '196.200.0.127', 3301441656, 3301441663, 'NG', 'Nigeria'),
(128947, '196.200.0.128', '196.200.1.23', 3301441664, 3301441815, 'ZA', 'South Africa'),
(128948, '196.200.1.24', '196.200.1.31', 3301441816, 3301441823, 'NG', 'Nigeria'),
(128949, '196.200.1.32', '196.200.1.87', 3301441824, 3301441879, 'ZA', 'South Africa'),
(128950, '196.200.1.88', '196.200.1.95', 3301441880, 3301441887, 'NG', 'Nigeria'),
(128951, '196.200.1.96', '196.200.1.119', 3301441888, 3301441911, 'ZA', 'South Africa'),
(128952, '196.200.1.120', '196.200.1.127', 3301441912, 3301441919, 'NG', 'Nigeria'),
(128953, '196.200.1.128', '196.200.1.207', 3301441920, 3301441999, 'ZA', 'South Africa'),
(128954, '196.200.1.208', '196.200.1.215', 3301442000, 3301442007, 'NG', 'Nigeria'),
(128955, '196.200.1.216', '196.200.3.47', 3301442008, 3301442351, 'ZA', 'South Africa'),
(128956, '196.200.3.48', '196.200.3.55', 3301442352, 3301442359, 'NG', 'Nigeria'),
(128957, '196.200.3.56', '196.200.3.87', 3301442360, 3301442391, 'ZA', 'South Africa'),
(128958, '196.200.3.88', '196.200.3.95', 3301442392, 3301442399, 'NG', 'Nigeria'),
(128959, '196.200.3.96', '196.200.3.111', 3301442400, 3301442415, 'ZA', 'South Africa'),
(128960, '196.200.3.112', '196.200.3.119', 3301442416, 3301442423, 'NG', 'Nigeria'),
(128961, '196.200.3.120', '196.200.4.39', 3301442424, 3301442599, 'ZA', 'South Africa'),
(128962, '196.200.4.40', '196.200.4.47', 3301442600, 3301442607, 'NG', 'Nigeria'),
(128963, '196.200.4.48', '196.200.4.119', 3301442608, 3301442679, 'ZA', 'South Africa'),
(128964, '196.200.4.120', '196.200.4.127', 3301442680, 3301442687, 'NG', 'Nigeria'),
(128965, '196.200.4.128', '196.200.4.167', 3301442688, 3301442727, 'ZA', 'South Africa'),
(128966, '196.200.4.168', '196.200.4.175', 3301442728, 3301442735, 'NG', 'Nigeria'),
(128967, '196.200.4.176', '196.200.5.7', 3301442736, 3301442823, 'ZA', 'South Africa'),
(128968, '196.200.5.8', '196.200.5.15', 3301442824, 3301442831, 'NG', 'Nigeria'),
(128969, '196.200.5.16', '196.200.5.191', 3301442832, 3301443007, 'ZA', 'South Africa'),
(128970, '196.200.5.192', '196.200.5.199', 3301443008, 3301443015, 'NG', 'Nigeria'),
(128971, '196.200.5.200', '196.200.6.223', 3301443016, 3301443295, 'ZA', 'South Africa'),
(128972, '196.200.6.224', '196.200.6.231', 3301443296, 3301443303, 'NG', 'Nigeria'),
(128973, '196.200.6.232', '196.200.7.191', 3301443304, 3301443519, 'ZA', 'South Africa'),
(128974, '196.200.7.192', '196.200.7.199', 3301443520, 3301443527, 'NG', 'Nigeria'),
(128975, '196.200.7.200', '196.200.8.7', 3301443528, 3301443591, 'ZA', 'South Africa'),
(128976, '196.200.8.8', '196.200.8.15', 3301443592, 3301443599, 'NG', 'Nigeria'),
(128977, '196.200.8.16', '196.200.8.71', 3301443600, 3301443655, 'ZA', 'South Africa'),
(128978, '196.200.8.72', '196.200.8.79', 3301443656, 3301443663, 'NG', 'Nigeria'),
(128979, '196.200.8.80', '196.200.8.111', 3301443664, 3301443695, 'ZA', 'South Africa'),
(128980, '196.200.8.112', '196.200.8.119', 3301443696, 3301443703, 'NG', 'Nigeria'),
(128981, '196.200.8.120', '196.200.9.7', 3301443704, 3301443847, 'ZA', 'South Africa'),
(128982, '196.200.9.8', '196.200.9.15', 3301443848, 3301443855, 'NG', 'Nigeria'),
(128983, '196.200.9.16', '196.200.11.31', 3301443856, 3301444383, 'ZA', 'South Africa'),
(128984, '196.200.11.32', '196.200.11.39', 3301444384, 3301444391, 'NG', 'Nigeria'),
(128985, '196.200.11.40', '196.200.11.63', 3301444392, 3301444415, 'ZA', 'South Africa'),
(128986, '196.200.11.64', '196.200.11.79', 3301444416, 3301444431, 'NG', 'Nigeria'),
(128987, '196.200.11.80', '196.200.11.247', 3301444432, 3301444599, 'ZA', 'South Africa'),
(128988, '196.200.11.248', '196.200.11.255', 3301444600, 3301444607, 'NG', 'Nigeria'),
(128989, '196.200.12.0', '196.200.13.183', 3301444608, 3301445047, 'ZA', 'South Africa'),
(128990, '196.200.13.184', '196.200.13.191', 3301445048, 3301445055, 'NG', 'Nigeria'),
(128991, '196.200.13.192', '196.200.13.199', 3301445056, 3301445063, 'ZA', 'South Africa'),
(128992, '196.200.13.200', '196.200.13.207', 3301445064, 3301445071, 'NG', 'Nigeria'),
(128993, '196.200.13.208', '196.200.14.55', 3301445072, 3301445175, 'ZA', 'South Africa'),
(128994, '196.200.14.56', '196.200.14.63', 3301445176, 3301445183, 'NG', 'Nigeria'),
(128995, '196.200.14.64', '196.200.14.135', 3301445184, 3301445255, 'ZA', 'South Africa'),
(128996, '196.200.14.136', '196.200.14.143', 3301445256, 3301445263, 'NG', 'Nigeria'),
(128997, '196.200.14.144', '196.200.15.255', 3301445264, 3301445631, 'ZA', 'South Africa'),
(128998, '196.200.16.0', '196.200.47.255', 3301445632, 3301453823, 'KE', 'Kenya'),
(128999, '196.200.48.0', '196.200.63.255', 3301453824, 3301457919, 'ML', 'Mali'),
(129000, '196.200.64.0', '196.200.79.255', 3301457920, 3301462015, 'NG', 'Nigeria'),
(129001, '196.200.80.0', '196.200.95.255', 3301462016, 3301466111, 'ML', 'Mali'),
(129002, '196.200.96.0', '196.200.111.255', 3301466112, 3301470207, 'ER', 'Eritrea'),
(129003, '196.200.112.0', '196.200.115.255', 3301470208, 3301471231, 'NG', 'Nigeria'),
(129004, '196.200.116.0', '196.200.116.255', 3301471232, 3301471487, 'GH', 'Ghana'),
(129005, '196.200.117.0', '196.200.126.255', 3301471488, 3301474047, 'NG', 'Nigeria'),
(129006, '196.200.127.0', '196.200.127.255', 3301474048, 3301474303, 'GH', 'Ghana'),
(129007, '196.200.128.0', '196.200.191.255', 3301474304, 3301490687, 'MA', 'Morocco'),
(129008, '196.200.208.0', '196.200.223.255', 3301494784, 3301498879, 'TZ', 'Tanzania, United Republic of'),
(129009, '196.201.1.0', '196.201.1.255', 3301507328, 3301507583, 'ZW', 'Zimbabwe'),
(129010, '196.201.2.0', '196.201.2.255', 3301507584, 3301507839, 'GH', 'Ghana'),
(129011, '196.201.3.0', '196.201.3.255', 3301507840, 3301508095, 'EG', 'Egypt'),
(129012, '196.201.4.0', '196.201.5.255', 3301508096, 3301508607, 'MW', 'Malawi'),
(129013, '196.201.6.0', '196.201.7.255', 3301508608, 3301509119, 'ZA', 'South Africa'),
(129014, '196.201.12.0', '196.201.15.255', 3301510144, 3301511167, 'MW', 'Malawi'),
(129015, '196.201.16.0', '196.201.23.255', 3301511168, 3301513215, 'ZW', 'Zimbabwe'),
(129016, '196.201.24.0', '196.201.31.255', 3301513216, 3301515263, 'EG', 'Egypt'),
(129017, '196.201.32.0', '196.201.63.255', 3301515264, 3301523455, 'GH', 'Ghana'),
(129018, '196.201.64.0', '196.201.95.255', 3301523456, 3301531647, 'CI', 'Cote D''Ivoire'),
(129019, '196.201.128.0', '196.201.131.255', 3301539840, 3301540863, 'KE', 'Kenya'),
(129020, '196.201.132.0', '196.201.132.255', 3301540864, 3301541119, 'A2', 'Satellite Provider'),
(129021, '196.201.133.0', '196.201.134.255', 3301541120, 3301541631, 'KE', 'Kenya'),
(129022, '196.201.135.0', '196.201.135.255', 3301541632, 3301541887, 'A2', 'Satellite Provider'),
(129023, '196.201.136.0', '196.201.147.255', 3301541888, 3301544959, 'KE', 'Kenya'),
(129024, '196.201.148.0', '196.201.148.255', 3301544960, 3301545215, 'A2', 'Satellite Provider'),
(129025, '196.201.149.0', '196.201.159.255', 3301545216, 3301548031, 'KE', 'Kenya'),
(129026, '196.201.160.0', '196.201.191.255', 3301548032, 3301556223, 'GH', 'Ghana'),
(129027, '196.201.192.0', '196.201.197.255', 3301556224, 3301557759, 'DJ', 'Djibouti'),
(129028, '196.201.198.0', '196.201.199.255', 3301557760, 3301558271, 'US', 'United States'),
(129029, '196.201.200.0', '196.201.207.255', 3301558272, 3301560319, 'DJ', 'Djibouti'),
(129030, '196.201.208.0', '196.201.231.255', 3301560320, 3301566463, 'KE', 'Kenya'),
(129031, '196.201.240.0', '196.201.247.255', 3301568512, 3301570559, 'EG', 'Egypt'),
(129032, '196.201.248.0', '196.201.255.255', 3301570560, 3301572607, 'KE', 'Kenya'),
(129033, '196.202.0.0', '196.202.127.255', 3301572608, 3301605375, 'EG', 'Egypt'),
(129034, '196.202.128.0', '196.202.159.255', 3301605376, 3301613567, 'SD', 'Sudan'),
(129035, '196.202.192.0', '196.202.223.255', 3301621760, 3301629951, 'KE', 'Kenya'),
(129036, '196.202.232.0', '196.202.239.255', 3301632000, 3301634047, 'CM', 'Cameroon'),
(129037, '196.202.240.0', '196.202.247.255', 3301634048, 3301636095, 'LS', 'Lesotho'),
(129038, '196.202.248.0', '196.202.251.255', 3301636096, 3301637119, 'ZA', 'South Africa'),
(129039, '196.202.252.0', '196.202.255.255', 3301637120, 3301638143, 'AO', 'Angola'),
(129040, '196.203.0.0', '196.203.255.255', 3301638144, 3301703679, 'TN', 'Tunisia'),
(129041, '196.204.0.0', '196.205.255.255', 3301703680, 3301834751, 'EG', 'Egypt'),
(129042, '196.206.0.0', '196.206.255.255', 3301834752, 3301900287, 'MA', 'Morocco'),
(129043, '196.207.0.0', '196.207.9.71', 3301900288, 3301902663, 'NG', 'Nigeria'),
(129044, '196.207.9.72', '196.207.9.79', 3301902664, 3301902671, 'CM', 'Cameroon'),
(129045, '196.207.9.80', '196.207.15.255', 3301902672, 3301904383, 'NG', 'Nigeria'),
(129046, '196.207.16.0', '196.207.31.255', 3301904384, 3301908479, 'KE', 'Kenya'),
(129047, '196.207.32.0', '196.207.47.255', 3301908480, 3301912575, 'ZA', 'South Africa'),
(129048, '196.207.48.0', '196.207.63.255', 3301912576, 3301916671, 'MU', 'Mauritius'),
(129049, '196.207.192.0', '196.207.255.255', 3301949440, 3301965823, 'SN', 'Senegal'),
(129050, '196.208.0.0', '196.215.255.255', 3301965824, 3302490111, 'ZA', 'South Africa'),
(129051, '196.216.1.0', '196.216.1.255', 3302490368, 3302490623, 'US', 'United States'),
(129052, '196.216.2.0', '196.216.3.255', 3302490624, 3302491135, 'MU', 'Mauritius'),
(129053, '196.216.8.0', '196.216.15.255', 3302492160, 3302494207, 'MW', 'Malawi'),
(129054, '196.216.16.0', '196.216.23.255', 3302494208, 3302496255, 'ZA', 'South Africa'),
(129055, '196.216.32.0', '196.216.47.255', 3302498304, 3302502399, 'NA', 'Namibia'),
(129056, '196.216.48.0', '196.216.59.255', 3302502400, 3302505471, 'AO', 'Angola'),
(129057, '196.216.60.0', '196.216.63.255', 3302505472, 3302506495, 'NA', 'Namibia'),
(129058, '196.216.64.0', '196.216.95.255', 3302506496, 3302514687, 'KE', 'Kenya'),
(129059, '196.216.128.0', '196.216.131.255', 3302522880, 3302523903, 'KE', 'Kenya'),
(129060, '196.216.140.0', '196.216.143.255', 3302525952, 3302526975, 'EG', 'Egypt'),
(129061, '196.216.144.0', '196.216.151.255', 3302526976, 3302529023, 'NG', 'Nigeria'),
(129062, '196.216.152.0', '196.216.155.255', 3302529024, 3302530047, 'ZA', 'South Africa'),
(129063, '196.216.156.0', '196.216.159.255', 3302530048, 3302531071, 'TN', 'Tunisia'),
(129064, '196.216.160.0', '196.216.160.255', 3302531072, 3302531327, 'CF', 'Central African Republic'),
(129065, '196.216.161.0', '196.216.161.255', 3302531328, 3302531583, 'AO', 'Angola'),
(129066, '196.216.162.0', '196.216.162.255', 3302531584, 3302531839, 'TZ', 'Tanzania, United Republic of'),
(129067, '196.216.163.0', '196.216.163.255', 3302531840, 3302532095, 'BW', 'Botswana'),
(129068, '196.216.164.0', '196.216.167.255', 3302532096, 3302533119, 'NA', 'Namibia'),
(129069, '196.216.168.0', '196.216.169.255', 3302533120, 3302533631, 'MU', 'Mauritius'),
(129070, '196.216.170.0', '196.216.170.255', 3302533632, 3302533887, 'ZA', 'South Africa'),
(129071, '196.216.171.0', '196.216.171.255', 3302533888, 3302534143, 'MU', 'Mauritius'),
(129072, '196.216.172.0', '196.216.175.255', 3302534144, 3302535167, 'ZA', 'South Africa'),
(129073, '196.216.176.0', '196.216.179.255', 3302535168, 3302536191, 'UG', 'Uganda'),
(129074, '196.216.180.0', '196.216.183.255', 3302536192, 3302537215, 'GH', 'Ghana'),
(129075, '196.216.184.0', '196.216.187.255', 3302537216, 3302538239, 'NG', 'Nigeria'),
(129076, '196.216.188.0', '196.216.191.255', 3302538240, 3302539263, 'GH', 'Ghana'),
(129077, '196.216.192.0', '196.216.195.255', 3302539264, 3302540287, 'ZA', 'South Africa'),
(129078, '196.216.196.0', '196.216.197.255', 3302540288, 3302540799, 'UG', 'Uganda'),
(129079, '196.216.198.0', '196.216.199.255', 3302540800, 3302541311, 'AO', 'Angola'),
(129080, '196.216.200.0', '196.216.203.255', 3302541312, 3302542335, 'NG', 'Nigeria'),
(129081, '196.216.236.0', '196.216.237.255', 3302550528, 3302551039, 'ZA', 'South Africa'),
(129082, '196.216.238.0', '196.216.239.255', 3302551040, 3302551551, 'MU', 'Mauritius'),
(129083, '196.216.240.0', '196.216.241.255', 3302551552, 3302552063, 'EG', 'Egypt'),
(129084, '196.216.242.0', '196.216.243.255', 3302552064, 3302552575, 'KE', 'Kenya'),
(129085, '196.216.244.0', '196.216.244.255', 3302552576, 3302552831, 'TZ', 'Tanzania, United Republic of'),
(129086, '196.216.245.0', '196.216.245.255', 3302552832, 3302553087, 'KE', 'Kenya'),
(129087, '196.216.246.0', '196.216.246.255', 3302553088, 3302553343, 'EG', 'Egypt'),
(129088, '196.216.247.0', '196.216.247.255', 3302553344, 3302553599, 'TZ', 'Tanzania, United Republic of'),
(129089, '196.216.248.0', '196.216.249.255', 3302553600, 3302554111, 'AO', 'Angola'),
(129090, '196.216.250.0', '196.216.250.255', 3302554112, 3302554367, 'ZA', 'South Africa'),
(129091, '196.216.251.0', '196.216.251.255', 3302554368, 3302554623, 'NG', 'Nigeria'),
(129092, '196.216.252.0', '196.216.252.255', 3302554624, 3302554879, 'EG', 'Egypt'),
(129093, '196.216.253.0', '196.216.253.255', 3302554880, 3302555135, 'NG', 'Nigeria'),
(129094, '196.216.254.0', '196.216.254.255', 3302555136, 3302555391, 'MU', 'Mauritius'),
(129095, '196.216.255.0', '196.216.255.255', 3302555392, 3302555647, 'NG', 'Nigeria'),
(129096, '196.217.0.0', '196.217.255.255', 3302555648, 3302621183, 'MA', 'Morocco'),
(129097, '196.218.0.0', '196.218.247.255', 3302621184, 3302684671, 'EG', 'Egypt'),
(129098, '196.218.248.0', '196.218.255.255', 3302684672, 3302686719, 'JO', 'Jordan'),
(129099, '196.219.0.0', '196.219.255.255', 3302686720, 3302752255, 'EG', 'Egypt'),
(129100, '196.220.0.0', '196.220.4.79', 3302752256, 3302753359, 'NG', 'Nigeria'),
(129101, '196.220.4.80', '196.220.4.83', 3302753360, 3302753363, 'CM', 'Cameroon'),
(129102, '196.220.4.84', '196.220.5.71', 3302753364, 3302753607, 'NG', 'Nigeria'),
(129103, '196.220.5.72', '196.220.5.79', 3302753608, 3302753615, 'GH', 'Ghana'),
(129104, '196.220.5.80', '196.220.31.255', 3302753616, 3302760447, 'NG', 'Nigeria'),
(129105, '196.220.32.0', '196.220.39.255', 3302760448, 3302762495, 'ZA', 'South Africa'),
(129106, '196.220.40.0', '196.220.55.255', 3302762496, 3302766591, 'US', 'United States'),
(129107, '196.220.56.0', '196.220.63.255', 3302766592, 3302768639, 'ZA', 'South Africa'),
(129108, '196.220.64.0', '196.220.95.255', 3302768640, 3302776831, 'NG', 'Nigeria'),
(129109, '196.220.96.0', '196.220.127.255', 3302776832, 3302785023, 'ZW', 'Zimbabwe'),
(129110, '196.220.192.0', '196.220.207.255', 3302801408, 3302805503, 'NG', 'Nigeria'),
(129111, '196.220.208.0', '196.220.223.255', 3302805504, 3302809599, 'MW', 'Malawi'),
(129112, '196.220.224.0', '196.220.255.255', 3302809600, 3302817791, 'NG', 'Nigeria'),
(129113, '196.221.0.0', '196.221.255.255', 3302817792, 3302883327, 'EG', 'Egypt'),
(129114, '196.222.0.0', '196.222.255.255', 3302883328, 3302948863, 'NG', 'Nigeria'),
(129115, '196.223.0.0', '196.223.0.255', 3302948864, 3302949119, 'MU', 'Mauritius'),
(129116, '196.223.1.0', '196.223.1.255', 3302949120, 3302949375, 'AO', 'Angola'),
(129117, '196.223.2.0', '196.223.2.255', 3302949376, 3302949631, 'ZM', 'Zambia'),
(129118, '196.223.3.0', '196.223.3.255', 3302949632, 3302949887, 'BI', 'Burundi'),
(129119, '196.223.4.0', '196.223.4.255', 3302949888, 3302950143, 'CI', 'Cote D''Ivoire'),
(129120, '196.223.5.0', '196.223.6.255', 3302950144, 3302950655, 'TZ', 'Tanzania, United Republic of'),
(129121, '196.223.7.0', '196.223.7.255', 3302950656, 3302950911, 'EG', 'Egypt'),
(129122, '196.223.8.0', '196.223.9.255', 3302950912, 3302951423, 'ZA', 'South Africa'),
(129123, '196.223.10.0', '196.223.10.255', 3302951424, 3302951679, 'SL', 'Sierra Leone'),
(129124, '196.223.11.0', '196.223.11.255', 3302951680, 3302951935, 'KE', 'Kenya'),
(129125, '196.223.12.0', '196.223.12.255', 3302951936, 3302952191, 'RW', 'Rwanda'),
(129126, '196.223.13.0', '196.223.13.255', 3302952192, 3302952447, 'AO', 'Angola'),
(129127, '196.223.14.0', '196.223.15.255', 3302952448, 3302952959, 'ZA', 'South Africa'),
(129128, '196.223.16.0', '196.223.17.255', 3302952960, 3302953471, 'EG', 'Egypt'),
(129129, '196.223.18.0', '196.223.18.255', 3302953472, 3302953727, 'NA', 'Namibia'),
(129130, '196.223.19.0', '196.223.19.255', 3302953728, 3302953983, 'AO', 'Angola'),
(129131, '196.223.20.0', '196.223.20.255', 3302953984, 3302954239, 'SD', 'Sudan'),
(129132, '196.223.21.0', '196.223.21.255', 3302954240, 3302954495, 'KE', 'Kenya'),
(129133, '196.223.22.0', '196.223.23.255', 3302954496, 3302955007, 'ZA', 'South Africa'),
(129134, '196.223.24.0', '196.223.24.255', 3302955008, 3302955263, 'LS', 'Lesotho'),
(129135, '196.223.25.0', '196.223.25.255', 3302955264, 3302955519, 'UG', 'Uganda'),
(129136, '196.223.26.0', '196.223.26.255', 3302955520, 3302955775, 'ZW', 'Zimbabwe'),
(129137, '196.223.27.0', '196.223.27.255', 3302955776, 3302956031, 'MW', 'Malawi'),
(129138, '196.223.28.0', '196.223.28.255', 3302956032, 3302956287, 'CD', 'Congo, The Democratic Republic of the'),
(129139, '197.0.0.0', '197.31.255.255', 3305111552, 3307208703, 'TN', 'Tunisia'),
(129140, '197.32.0.0', '197.63.255.255', 3307208704, 3309305855, 'EG', 'Egypt'),
(129141, '197.64.0.0', '197.111.255.255', 3309305856, 3312451583, 'ZA', 'South Africa'),
(129142, '197.112.0.0', '197.119.255.255', 3312451584, 3312975871, 'DZ', 'Algeria'),
(129143, '197.120.0.0', '197.127.255.255', 3312975872, 3313500159, 'EG', 'Egypt'),
(129144, '197.128.0.0', '197.131.255.255', 3313500160, 3313762303, 'MA', 'Morocco'),
(129145, '197.132.0.0', '197.135.255.255', 3313762304, 3314024447, 'EG', 'Egypt'),
(129146, '197.136.0.0', '197.139.255.255', 3314024448, 3314286591, 'KE', 'Kenya'),
(129147, '197.140.0.0', '197.143.255.255', 3314286592, 3314548735, 'DZ', 'Algeria'),
(129148, '197.144.0.0', '197.147.255.255', 3314548736, 3314810879, 'MA', 'Morocco'),
(129149, '197.149.0.0', '197.149.63.255', 3314876416, 3314892799, 'MG', 'Madagascar'),
(129150, '197.149.64.0', '197.149.127.255', 3314892800, 3314909183, 'NG', 'Nigeria'),
(129151, '197.149.128.0', '197.149.131.255', 3314909184, 3314910207, 'TD', 'Chad'),
(129152, '197.149.132.0', '197.149.135.255', 3314910208, 3314911231, 'NG', 'Nigeria'),
(129153, '197.149.136.0', '197.149.139.255', 3314911232, 3314912255, 'CG', 'Congo'),
(129154, '197.149.140.0', '197.149.143.255', 3314912256, 3314913279, 'BI', 'Burundi'),
(129155, '197.149.192.0', '197.149.255.255', 3314925568, 3314941951, 'GN', 'Guinea'),
(129156, '197.150.0.0', '197.151.255.255', 3314941952, 3315073023, 'EG', 'Egypt'),
(129157, '197.152.0.0', '197.152.255.255', 3315073024, 3315138559, 'TZ', 'Tanzania, United Republic of'),
(129158, '197.153.0.0', '197.153.255.255', 3315138560, 3315204095, 'MA', 'Morocco'),
(129159, '197.154.0.0', '197.154.255.255', 3315204096, 3315269631, 'ET', 'Ethiopia'),
(129160, '197.156.0.0', '197.156.63.255', 3315335168, 3315351551, 'ZA', 'South Africa'),
(129161, '197.156.64.0', '197.156.127.255', 3315351552, 3315367935, 'ET', 'Ethiopia'),
(129162, '197.156.128.0', '197.156.191.255', 3315367936, 3315384319, 'KE', 'Kenya'),
(129163, '197.156.192.0', '197.156.255.255', 3315384320, 3315400703, 'NG', 'Nigeria'),
(129164, '197.157.0.0', '197.157.63.255', 3315400704, 3315417087, 'UG', 'Uganda'),
(129165, '197.157.64.0', '197.157.95.255', 3315417088, 3315425279, 'ZA', 'South Africa'),
(129166, '197.157.96.0', '197.157.127.255', 3315425280, 3315433471, 'SC', 'Seychelles'),
(129167, '197.157.128.0', '197.157.191.255', 3315433472, 3315449855, 'RW', 'Rwanda'),
(129168, '197.157.192.0', '197.157.195.255', 3315449856, 3315450879, 'BI', 'Burundi'),
(129169, '197.157.196.0', '197.157.199.255', 3315450880, 3315451903, 'AO', 'Angola'),
(129170, '197.157.200.0', '197.157.203.255', 3315451904, 3315452927, 'LS', 'Lesotho'),
(129171, '197.157.204.0', '197.157.207.255', 3315452928, 3315453951, 'ZW', 'Zimbabwe'),
(129172, '197.157.208.0', '197.157.211.255', 3315453952, 3315454975, 'CD', 'Congo, The Democratic Republic of the'),
(129173, '197.157.212.0', '197.157.215.255', 3315454976, 3315455999, 'RW', 'Rwanda'),
(129174, '197.157.216.0', '197.157.219.255', 3315456000, 3315457023, 'NG', 'Nigeria'),
(129175, '197.157.220.0', '197.157.223.255', 3315457024, 3315458047, 'ZA', 'South Africa'),
(129176, '197.157.224.0', '197.157.227.255', 3315458048, 3315459071, 'SL', 'Sierra Leone'),
(129177, '197.157.228.0', '197.157.231.255', 3315459072, 3315460095, 'KE', 'Kenya'),
(129178, '197.157.232.0', '197.157.235.255', 3315460096, 3315461119, 'SL', 'Sierra Leone'),
(129179, '197.157.236.0', '197.157.239.255', 3315461120, 3315462143, 'TZ', 'Tanzania, United Republic of'),
(129180, '197.157.240.0', '197.157.243.255', 3315462144, 3315463167, 'ZA', 'South Africa'),
(129181, '197.157.244.0', '197.157.247.255', 3315463168, 3315464191, 'SO', 'Somalia'),
(129182, '197.157.248.0', '197.157.251.255', 3315464192, 3315465215, 'CD', 'Congo, The Democratic Republic of the'),
(129183, '197.157.252.0', '197.157.255.255', 3315465216, 3315466239, 'MU', 'Mauritius'),
(129184, '197.158.0.0', '197.158.63.255', 3315466240, 3315482623, 'MZ', 'Mozambique'),
(129185, '197.158.64.0', '197.158.127.255', 3315482624, 3315499007, 'MG', 'Madagascar'),
(129186, '197.158.128.0', '197.158.191.255', 3315499008, 3315515391, 'ZM', 'Zambia'),
(129187, '197.158.192.0', '197.158.255.255', 3315515392, 3315531775, 'SC', 'Seychelles'),
(129188, '197.159.0.0', '197.159.31.255', 3315531776, 3315539967, 'CM', 'Cameroon'),
(129189, '197.159.32.0', '197.159.63.255', 3315539968, 3315548159, 'ZA', 'South Africa'),
(129190, '197.159.64.0', '197.159.79.255', 3315548160, 3315552255, 'NG', 'Nigeria'),
(129191, '197.159.80.0', '197.159.95.255', 3315552256, 3315556351, 'GW', 'Guinea-Bissau'),
(129192, '197.159.96.0', '197.159.111.255', 3315556352, 3315560447, 'KE', 'Kenya'),
(129193, '197.159.112.0', '197.159.127.255', 3315560448, 3315564543, 'TZ', 'Tanzania, United Republic of'),
(129194, '197.159.128.0', '197.159.143.255', 3315564544, 3315568639, 'GH', 'Ghana'),
(129195, '197.159.144.0', '197.159.159.255', 3315568640, 3315572735, 'MG', 'Madagascar'),
(129196, '197.159.160.0', '197.159.191.255', 3315572736, 3315580927, 'ST', 'Sao Tome and Principe'),
(129197, '197.159.192.0', '197.159.223.255', 3315580928, 3315589119, 'CI', 'Cote D''Ivoire'),
(129198, '197.159.224.0', '197.159.255.255', 3315589120, 3315597311, 'CM', 'Cameroon'),
(129199, '197.160.0.0', '197.167.255.255', 3315597312, 3316121599, 'EG', 'Egypt'),
(129200, '197.168.0.0', '197.175.255.255', 3316121600, 3316645887, 'ZA', 'South Africa'),
(129201, '197.176.0.0', '197.183.255.255', 3316645888, 3317170175, 'KE', 'Kenya'),
(129202, '197.192.0.0', '197.199.255.255', 3317694464, 3318218751, 'EG', 'Egypt'),
(129203, '197.200.0.0', '197.207.255.255', 3318218752, 3318743039, 'DZ', 'Algeria'),
(129204, '197.216.0.0', '197.217.255.255', 3319267328, 3319398399, 'AO', 'Angola'),
(129205, '197.218.0.0', '197.219.255.255', 3319398400, 3319529471, 'MZ', 'Mozambique'),
(129206, '197.220.0.0', '197.220.31.255', 3319529472, 3319537663, 'ZM', 'Zambia'),
(129207, '197.220.32.0', '197.220.63.255', 3319537664, 3319545855, 'MW', 'Malawi'),
(129208, '197.220.64.0', '197.220.95.255', 3319545856, 3319554047, 'SO', 'Somalia'),
(129209, '197.220.96.0', '197.220.127.255', 3319554048, 3319562239, 'KE', 'Kenya'),
(129210, '197.220.128.0', '197.220.159.255', 3319562240, 3319570431, 'LS', 'Lesotho'),
(129211, '197.220.160.0', '197.220.191.255', 3319570432, 3319578623, 'GH', 'Ghana'),
(129212, '197.220.192.0', '197.220.255.255', 3319578624, 3319595007, 'ZM', 'Zambia'),
(129213, '197.221.0.0', '197.221.63.255', 3319595008, 3319611391, 'ZA', 'South Africa'),
(129214, '197.221.64.0', '197.221.95.255', 3319611392, 3319619583, 'GH', 'Ghana'),
(129215, '197.221.96.0', '197.221.127.255', 3319619584, 3319627775, 'ZA', 'South Africa'),
(129216, '197.221.128.0', '197.221.159.255', 3319627776, 3319635967, 'UG', 'Uganda'),
(129217, '197.221.160.0', '197.221.191.255', 3319635968, 3319644159, 'ZA', 'South Africa'),
(129218, '197.221.192.0', '197.221.223.255', 3319644160, 3319652351, 'TZ', 'Tanzania, United Republic of'),
(129219, '197.221.224.0', '197.221.255.255', 3319652352, 3319660543, 'ZW', 'Zimbabwe'),
(129220, '197.222.0.0', '197.223.255.255', 3319660544, 3319791615, 'EG', 'Egypt'),
(129221, '197.224.0.0', '197.227.255.255', 3319791616, 3320053759, 'MU', 'Mauritius'),
(129222, '197.236.0.0', '197.236.255.255', 3320578048, 3320643583, 'ZA', 'South Africa'),
(129223, '197.237.0.0', '197.237.255.255', 3320643584, 3320709119, 'KE', 'Kenya'),
(129224, '197.238.0.0', '197.238.255.255', 3320709120, 3320774655, 'ZA', 'South Africa'),
(129225, '197.240.0.0', '197.240.255.255', 3320840192, 3320905727, 'NG', 'Nigeria'),
(129226, '197.241.0.0', '197.241.127.255', 3320905728, 3320938495, 'DJ', 'Djibouti'),
(129227, '197.241.128.0', '197.241.255.255', 3320938496, 3320971263, 'AO', 'Angola'),
(129228, '197.242.0.0', '197.242.31.255', 3320971264, 3320979455, 'GA', 'Gabon'),
(129229, '197.242.32.0', '197.242.95.255', 3320979456, 3320995839, 'ZA', 'South Africa'),
(129230, '197.242.96.0', '197.242.127.255', 3320995840, 3321004031, 'NG', 'Nigeria'),
(129231, '197.242.128.0', '197.242.143.255', 3321004032, 3321008127, 'GM', 'Gambia'),
(129232, '197.242.144.0', '197.242.159.255', 3321008128, 3321012223, 'ZA', 'South Africa'),
(129233, '197.242.160.0', '197.242.175.255', 3321012224, 3321016319, 'MZ', 'Mozambique'),
(129234, '197.242.176.0', '197.242.183.255', 3321016320, 3321018367, 'CF', 'Central African Republic'),
(129235, '197.242.184.0', '197.242.191.255', 3321018368, 3321020415, 'MU', 'Mauritius'),
(129236, '197.242.192.0', '197.242.199.255', 3321020416, 3321022463, 'TZ', 'Tanzania, United Republic of'),
(129237, '197.242.200.0', '197.242.207.255', 3321022464, 3321024511, 'ZA', 'South Africa'),
(129238, '197.242.208.0', '197.242.223.255', 3321024512, 3321028607, 'KE', 'Kenya'),
(129239, '197.242.240.0', '197.242.255.255', 3321032704, 3321036799, 'NG', 'Nigeria'),
(129240, '197.243.0.0', '197.243.127.255', 3321036800, 3321069567, 'RW', 'Rwanda'),
(129241, '197.243.128.0', '197.243.255.255', 3321069568, 3321102335, 'NA', 'Namibia'),
(129242, '197.244.0.0', '197.244.255.255', 3321102336, 3321167871, 'NG', 'Nigeria'),
(129243, '197.245.0.0', '197.245.255.255', 3321167872, 3321233407, 'ZA', 'South Africa'),
(129244, '197.246.0.0', '197.246.255.255', 3321233408, 3321298943, 'EG', 'Egypt'),
(129245, '197.247.0.0', '197.247.255.255', 3321298944, 3321364479, 'MA', 'Morocco'),
(129246, '197.248.0.0', '197.248.255.255', 3321364480, 3321430015, 'KE', 'Kenya'),
(129247, '197.249.0.0', '197.249.255.255', 3321430016, 3321495551, 'MZ', 'Mozambique'),
(129248, '197.250.0.0', '197.250.255.255', 3321495552, 3321561087, 'TZ', 'Tanzania, United Republic of'),
(129249, '197.251.0.0', '197.251.127.255', 3321561088, 3321593855, 'SD', 'Sudan'),
(129250, '197.251.128.0', '197.251.255.255', 3321593856, 3321626623, 'GH', 'Ghana'),
(129251, '197.252.0.0', '197.252.255.255', 3321626624, 3321692159, 'SD', 'Sudan'),
(129252, '197.253.0.0', '197.253.63.255', 3321692160, 3321708543, 'NG', 'Nigeria'),
(129253, '197.253.64.0', '197.253.127.255', 3321708544, 3321724927, 'GH', 'Ghana'),
(129254, '197.253.128.0', '197.253.255.255', 3321724928, 3321757695, 'MA', 'Morocco'),
(129255, '197.254.0.0', '197.254.127.255', 3321757696, 3321790463, 'KE', 'Kenya'),
(129256, '197.254.128.0', '197.254.191.255', 3321790464, 3321806847, 'LS', 'Lesotho'),
(129257, '197.254.192.0', '197.254.255.255', 3321806848, 3321823231, 'SD', 'Sudan'),
(129258, '197.255.0.0', '197.255.63.255', 3321823232, 3321839615, 'NG', 'Nigeria'),
(129259, '197.255.64.0', '197.255.127.255', 3321839616, 3321855999, 'MU', 'Mauritius'),
(129260, '197.255.128.0', '197.255.143.255', 3321856000, 3321860095, 'CV', 'Cape Verde'),
(129261, '197.255.144.0', '197.255.159.255', 3321860096, 3321864191, 'ZA', 'South Africa'),
(129262, '197.255.160.0', '197.255.175.255', 3321864192, 3321868287, 'NG', 'Nigeria'),
(129263, '197.255.176.0', '197.255.191.255', 3321868288, 3321872383, 'CG', 'Congo'),
(129264, '197.255.192.0', '197.255.207.255', 3321872384, 3321876479, 'GM', 'Gambia'),
(129265, '197.255.208.0', '197.255.223.255', 3321876480, 3321880575, 'NG', 'Nigeria'),
(129266, '197.255.224.0', '197.255.239.255', 3321880576, 3321884671, 'KM', 'Comoros'),
(129267, '197.255.240.0', '197.255.243.255', 3321884672, 3321885695, 'ZA', 'South Africa'),
(129268, '197.255.244.0', '197.255.247.255', 3321885696, 3321886719, 'NG', 'Nigeria'),
(129269, '198.1.0.0', '198.1.63.255', 3321954304, 3321970687, 'US', 'United States'),
(129270, '198.2.0.0', '198.2.15.255', 3322019840, 3322023935, 'US', 'United States'),
(129271, '198.2.16.0', '198.2.31.255', 3322023936, 3322028031, 'CL', 'Chile'),
(129272, '198.3.0.0', '198.4.64.255', 3322085376, 3322167551, 'US', 'United States'),
(129273, '198.4.65.0', '198.4.65.255', 3322167552, 3322167807, 'GB', 'United Kingdom'),
(129274, '198.4.66.0', '198.4.199.255', 3322167808, 3322202111, 'US', 'United States'),
(129275, '198.4.200.0', '198.4.203.255', 3322202112, 3322203135, 'GB', 'United Kingdom'),
(129276, '198.4.204.0', '198.5.134.223', 3322203136, 3322250975, 'US', 'United States'),
(129277, '198.5.134.224', '198.5.134.255', 3322250976, 3322251007, 'IL', 'Israel'),
(129278, '198.5.135.0', '198.5.136.71', 3322251008, 3322251335, 'US', 'United States'),
(129279, '198.5.136.72', '198.5.136.79', 3322251336, 3322251343, 'IL', 'Israel'),
(129280, '198.5.136.80', '198.5.149.127', 3322251344, 3322254719, 'US', 'United States'),
(129281, '198.5.149.128', '198.5.149.191', 3322254720, 3322254783, 'CA', 'Canada'),
(129282, '198.5.149.192', '198.6.224.255', 3322254784, 3322339583, 'US', 'United States'),
(129283, '198.6.225.0', '198.6.225.255', 3322339584, 3322339839, 'GB', 'United Kingdom'),
(129284, '198.6.226.0', '198.10.255.255', 3322339840, 3322609663, 'US', 'United States'),
(129285, '198.11.0.0', '198.11.3.255', 3322609664, 3322610687, 'SA', 'Saudi Arabia'),
(129286, '198.11.4.0', '198.11.7.255', 3322610688, 3322611711, 'US', 'United States'),
(129287, '198.11.16.0', '198.11.127.255', 3322613760, 3322642431, 'US', 'United States'),
(129288, '198.12.0.0', '198.12.31.255', 3322675200, 3322683391, 'US', 'United States'),
(129289, '198.12.32.0', '198.12.63.255', 3322683392, 3322691583, 'BR', 'Brazil'),
(129290, '198.13.0.0', '198.13.127.255', 3322740736, 3322773503, 'US', 'United States'),
(129291, '198.14.0.0', '198.14.255.255', 3322806272, 3322871807, 'US', 'United States'),
(129292, '198.15.8.0', '198.15.15.255', 3322873856, 3322875903, 'US', 'United States'),
(129293, '198.15.32.0', '198.15.63.255', 3322880000, 3322888191, 'AU', 'Australia'),
(129294, '198.16.0.0', '198.16.3.255', 3322937344, 3322938367, 'US', 'United States'),
(129295, '198.16.8.0', '198.16.12.255', 3322939392, 3322940671, 'US', 'United States'),
(129296, '198.16.13.0', '198.16.13.255', 3322940672, 3322940927, 'AP', 'Asia/Pacific Region'),
(129297, '198.16.14.0', '198.16.31.255', 3322940928, 3322945535, 'US', 'United States'),
(129298, '198.17.1.0', '198.17.1.255', 3323003136, 3323003391, 'JP', 'Japan'),
(129299, '198.17.2.0', '198.17.2.255', 3323003392, 3323003647, 'US', 'United States'),
(129300, '198.17.4.0', '198.17.41.255', 3323003904, 3323013631, 'US', 'United States'),
(129301, '198.17.43.0', '198.17.43.255', 3323013888, 3323014143, 'CA', 'Canada'),
(129302, '198.17.44.0', '198.17.57.255', 3323014144, 3323017727, 'US', 'United States'),
(129303, '198.17.58.0', '198.17.58.255', 3323017728, 3323017983, 'CA', 'Canada'),
(129304, '198.17.59.0', '198.17.59.255', 3323017984, 3323018239, 'US', 'United States'),
(129305, '198.17.62.0', '198.17.69.255', 3323018752, 3323020799, 'US', 'United States'),
(129306, '198.17.70.0', '198.17.70.255', 3323020800, 3323021055, 'AP', 'Asia/Pacific Region'),
(129307, '198.17.71.0', '198.17.76.255', 3323021056, 3323022591, 'US', 'United States'),
(129308, '198.17.77.0', '198.17.77.255', 3323022592, 3323022847, 'GB', 'United Kingdom'),
(129309, '198.17.78.0', '198.17.111.255', 3323022848, 3323031551, 'US', 'United States'),
(129310, '198.17.116.0', '198.17.116.255', 3323032576, 3323032831, 'US', 'United States'),
(129311, '198.17.117.0', '198.17.117.255', 3323032832, 3323033087, 'IT', 'Italy'),
(129312, '198.17.118.0', '198.17.118.255', 3323033088, 3323033343, 'JP', 'Japan'),
(129313, '198.17.120.0', '198.17.121.255', 3323033600, 3323034111, 'BR', 'Brazil'),
(129314, '198.17.122.0', '198.17.139.255', 3323034112, 3323038719, 'US', 'United States'),
(129315, '198.17.140.0', '198.17.140.255', 3323038720, 3323038975, 'CA', 'Canada'),
(129316, '198.17.141.0', '198.17.179.255', 3323038976, 3323048959, 'US', 'United States'),
(129317, '198.17.180.0', '198.17.182.255', 3323048960, 3323049727, 'NL', 'Netherlands'),
(129318, '198.17.183.0', '198.17.227.255', 3323049728, 3323061247, 'US', 'United States'),
(129319, '198.17.229.0', '198.17.230.255', 3323061504, 3323062015, 'US', 'United States'),
(129320, '198.17.231.0', '198.17.232.255', 3323062016, 3323062527, 'BR', 'Brazil'),
(129321, '198.17.234.0', '198.17.255.255', 3323062784, 3323068415, 'US', 'United States'),
(129322, '198.20.8.0', '198.20.15.255', 3323201536, 3323203583, 'CA', 'Canada'),
(129323, '198.20.16.0', '198.20.31.255', 3323203584, 3323207679, 'US', 'United States'),
(129324, '198.20.32.0', '198.20.63.255', 3323207680, 3323215871, 'CA', 'Canada'),
(129325, '198.21.8.0', '198.21.21.20', 3323267072, 3323270420, 'US', 'United States'),
(129326, '198.21.21.21', '198.21.21.21', 3323270421, 3323270421, 'CH', 'Switzerland'),
(129327, '198.21.21.22', '198.21.95.255', 3323270422, 3323289599, 'US', 'United States'),
(129328, '198.22.1.0', '198.22.1.255', 3323330816, 3323331071, 'US', 'United States'),
(129329, '198.22.2.0', '198.22.4.255', 3323331072, 3323331839, 'CA', 'Canada'),
(129330, '198.22.5.0', '198.22.45.255', 3323331840, 3323342335, 'US', 'United States'),
(129331, '198.22.47.0', '198.22.47.255', 3323342592, 3323342847, 'AU', 'Australia'),
(129332, '198.22.51.0', '198.22.51.255', 3323343616, 3323343871, 'DE', 'Germany'),
(129333, '198.22.52.0', '198.22.59.255', 3323343872, 3323345919, 'US', 'United States'),
(129334, '198.22.61.0', '198.22.61.255', 3323346176, 3323346431, 'AU', 'Australia'),
(129335, '198.22.62.0', '198.22.91.255', 3323346432, 3323354111, 'US', 'United States'),
(129336, '198.22.92.0', '198.22.92.255', 3323354112, 3323354367, 'GB', 'United Kingdom'),
(129337, '198.22.93.0', '198.22.97.255', 3323354368, 3323355647, 'DE', 'Germany'),
(129338, '198.22.99.0', '198.22.101.255', 3323355904, 3323356671, 'US', 'United States'),
(129339, '198.22.102.0', '198.22.102.255', 3323356672, 3323356927, 'CA', 'Canada'),
(129340, '198.22.103.0', '198.22.187.255', 3323356928, 3323378687, 'US', 'United States'),
(129341, '198.22.188.0', '198.22.188.255', 3323378688, 3323378943, 'CA', 'Canada'),
(129342, '198.22.189.0', '198.22.236.255', 3323378944, 3323391231, 'US', 'United States'),
(129343, '198.22.237.0', '198.22.237.255', 3323391232, 3323391487, 'CA', 'Canada'),
(129344, '198.22.238.0', '198.22.249.255', 3323391488, 3323394559, 'US', 'United States'),
(129345, '198.22.250.0', '198.22.251.255', 3323394560, 3323395071, 'CL', 'Chile'),
(129346, '198.22.252.0', '198.23.63.255', 3323395072, 3323412479, 'US', 'United States'),
(129347, '198.24.0.0', '198.24.3.255', 3323461632, 3323462655, 'US', 'United States'),
(129348, '198.24.4.0', '198.24.5.255', 3323462656, 3323463167, 'BR', 'Brazil'),
(129349, '198.24.6.0', '198.24.9.255', 3323463168, 3323464191, 'US', 'United States'),
(129350, '198.24.16.0', '198.24.31.255', 3323465728, 3323469823, 'US', 'United States'),
(129351, '198.25.0.0', '198.27.3.255', 3323527168, 3323659263, 'US', 'United States'),
(129352, '198.27.4.0', '198.27.8.255', 3323659264, 3323660543, 'NZ', 'New Zealand'),
(129353, '198.27.16.0', '198.27.63.255', 3323662336, 3323674623, 'US', 'United States'),
(129354, '198.28.0.0', '198.32.97.255', 3323723776, 3324011007, 'US', 'United States'),
(129355, '198.32.98.0', '198.32.98.255', 3324011008, 3324011263, 'KN', 'Saint Kitts and Nevis'),
(129356, '198.32.99.0', '198.32.173.255', 3324011264, 3324030463, 'US', 'United States'),
(129357, '198.32.174.0', '198.32.174.255', 3324030464, 3324030719, 'KN', 'Saint Kitts and Nevis'),
(129358, '198.32.175.0', '198.32.186.255', 3324030720, 3324033791, 'US', 'United States'),
(129359, '198.32.187.0', '198.32.187.255', 3324033792, 3324034047, 'KN', 'Saint Kitts and Nevis'),
(129360, '198.32.188.0', '198.32.193.255', 3324034048, 3324035583, 'US', 'United States'),
(129361, '198.32.194.0', '198.32.194.255', 3324035584, 3324035839, 'KN', 'Saint Kitts and Nevis'),
(129362, '198.32.195.0', '198.32.196.255', 3324035840, 3324036351, 'US', 'United States'),
(129363, '198.32.197.0', '198.32.197.255', 3324036352, 3324036607, 'KN', 'Saint Kitts and Nevis'),
(129364, '198.32.198.0', '198.32.211.255', 3324036608, 3324040191, 'US', 'United States'),
(129365, '198.32.212.0', '198.32.212.255', 3324040192, 3324040447, 'AU', 'Australia'),
(129366, '198.32.213.0', '198.32.255.255', 3324040448, 3324051455, 'US', 'United States'),
(129367, '198.33.0.0', '198.34.255.255', 3324051456, 3324182527, 'CA', 'Canada'),
(129368, '198.35.0.0', '198.36.31.255', 3324182528, 3324256255, 'US', 'United States'),
(129369, '198.36.32.0', '198.36.43.255', 3324256256, 3324259327, 'SA', 'Saudi Arabia'),
(129370, '198.36.44.0', '198.36.44.255', 3324259328, 3324259583, 'US', 'United States'),
(129371, '198.36.45.0', '198.36.45.255', 3324259584, 3324259839, 'SA', 'Saudi Arabia'),
(129372, '198.36.46.0', '198.36.46.255', 3324259840, 3324260095, 'US', 'United States'),
(129373, '198.36.64.0', '198.36.71.255', 3324264448, 3324266495, 'US', 'United States'),
(129374, '198.36.72.0', '198.36.72.255', 3324266496, 3324266751, 'AP', 'Asia/Pacific Region'),
(129375, '198.36.73.0', '198.36.85.255', 3324266752, 3324270079, 'US', 'United States'),
(129376, '198.36.86.0', '198.36.87.255', 3324270080, 3324270591, 'EU', 'Europe'),
(129377, '198.36.88.0', '198.37.255.255', 3324270592, 3324379135, 'US', 'United States'),
(129378, '198.38.0.0', '198.38.3.255', 3324379136, 3324380159, 'CA', 'Canada'),
(129379, '198.38.4.0', '198.38.95.255', 3324380160, 3324403711, 'US', 'United States'),
(129380, '198.38.128.0', '198.39.99.255', 3324411904, 3324470271, 'US', 'United States'),
(129381, '198.39.100.0', '198.39.115.255', 3324470272, 3324474367, 'GB', 'United Kingdom'),
(129382, '198.39.116.0', '198.41.15.255', 3324474368, 3324579839, 'US', 'United States'),
(129383, '198.41.32.0', '198.41.47.255', 3324583936, 3324588031, 'CL', 'Chile');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(129384, '198.41.48.0', '198.41.95.255', 3324588032, 3324600319, 'US', 'United States'),
(129385, '198.42.0.0', '198.42.3.255', 3324641280, 3324642303, 'US', 'United States'),
(129386, '198.42.4.0', '198.42.4.255', 3324642304, 3324642559, 'CA', 'Canada'),
(129387, '198.42.5.0', '198.42.17.255', 3324642560, 3324645887, 'US', 'United States'),
(129388, '198.42.18.0', '198.42.18.255', 3324645888, 3324646143, 'CA', 'Canada'),
(129389, '198.42.19.0', '198.42.24.255', 3324646144, 3324647679, 'US', 'United States'),
(129390, '198.42.25.0', '198.42.25.255', 3324647680, 3324647935, 'CA', 'Canada'),
(129391, '198.42.26.0', '198.42.35.255', 3324647936, 3324650495, 'US', 'United States'),
(129392, '198.42.36.0', '198.42.36.255', 3324650496, 3324650751, 'CA', 'Canada'),
(129393, '198.42.37.0', '198.42.46.255', 3324650752, 3324653311, 'US', 'United States'),
(129394, '198.42.47.0', '198.42.47.255', 3324653312, 3324653567, 'CA', 'Canada'),
(129395, '198.42.48.0', '198.42.56.255', 3324653568, 3324655871, 'US', 'United States'),
(129396, '198.42.57.0', '198.42.57.255', 3324655872, 3324656127, 'CA', 'Canada'),
(129397, '198.42.58.0', '198.42.72.255', 3324656128, 3324659967, 'US', 'United States'),
(129398, '198.42.73.0', '198.42.73.255', 3324659968, 3324660223, 'CA', 'Canada'),
(129399, '198.42.74.0', '198.42.74.255', 3324660224, 3324660479, 'US', 'United States'),
(129400, '198.42.75.0', '198.42.75.255', 3324660480, 3324660735, 'CA', 'Canada'),
(129401, '198.42.76.0', '198.42.80.255', 3324660736, 3324662015, 'US', 'United States'),
(129402, '198.42.81.0', '198.42.81.255', 3324662016, 3324662271, 'CA', 'Canada'),
(129403, '198.42.82.0', '198.42.82.255', 3324662272, 3324662527, 'US', 'United States'),
(129404, '198.42.83.0', '198.42.83.255', 3324662528, 3324662783, 'CA', 'Canada'),
(129405, '198.42.84.0', '198.42.89.255', 3324662784, 3324664319, 'US', 'United States'),
(129406, '198.42.90.0', '198.42.90.255', 3324664320, 3324664575, 'CA', 'Canada'),
(129407, '198.42.91.0', '198.42.95.255', 3324664576, 3324665855, 'US', 'United States'),
(129408, '198.42.96.0', '198.42.97.255', 3324665856, 3324666367, 'CA', 'Canada'),
(129409, '198.42.98.0', '198.42.105.255', 3324666368, 3324668415, 'US', 'United States'),
(129410, '198.42.106.0', '198.42.106.255', 3324668416, 3324668671, 'CA', 'Canada'),
(129411, '198.42.107.0', '198.42.122.255', 3324668672, 3324672767, 'US', 'United States'),
(129412, '198.42.123.0', '198.42.123.255', 3324672768, 3324673023, 'CA', 'Canada'),
(129413, '198.42.124.0', '198.42.130.255', 3324673024, 3324674815, 'US', 'United States'),
(129414, '198.42.131.0', '198.42.132.255', 3324674816, 3324675327, 'CA', 'Canada'),
(129415, '198.42.133.0', '198.42.136.255', 3324675328, 3324676351, 'US', 'United States'),
(129416, '198.42.137.0', '198.42.138.255', 3324676352, 3324676863, 'CA', 'Canada'),
(129417, '198.42.139.0', '198.42.146.255', 3324676864, 3324678911, 'US', 'United States'),
(129418, '198.42.147.0', '198.42.147.255', 3324678912, 3324679167, 'CA', 'Canada'),
(129419, '198.42.148.0', '198.42.148.255', 3324679168, 3324679423, 'US', 'United States'),
(129420, '198.42.149.0', '198.42.150.255', 3324679424, 3324679935, 'CA', 'Canada'),
(129421, '198.42.151.0', '198.42.155.255', 3324679936, 3324681215, 'US', 'United States'),
(129422, '198.42.156.0', '198.42.156.255', 3324681216, 3324681471, 'CA', 'Canada'),
(129423, '198.42.157.0', '198.42.160.255', 3324681472, 3324682495, 'US', 'United States'),
(129424, '198.42.161.0', '198.42.161.255', 3324682496, 3324682751, 'CA', 'Canada'),
(129425, '198.42.162.0', '198.42.169.255', 3324682752, 3324684799, 'US', 'United States'),
(129426, '198.42.170.0', '198.42.170.255', 3324684800, 3324685055, 'CA', 'Canada'),
(129427, '198.42.171.0', '198.42.175.255', 3324685056, 3324686335, 'US', 'United States'),
(129428, '198.42.176.0', '198.42.176.255', 3324686336, 3324686591, 'CA', 'Canada'),
(129429, '198.42.177.0', '198.42.192.255', 3324686592, 3324690687, 'US', 'United States'),
(129430, '198.42.193.0', '198.42.193.255', 3324690688, 3324690943, 'CA', 'Canada'),
(129431, '198.42.194.0', '198.42.201.255', 3324690944, 3324692991, 'US', 'United States'),
(129432, '198.42.202.0', '198.42.202.255', 3324692992, 3324693247, 'CA', 'Canada'),
(129433, '198.42.203.0', '198.42.203.255', 3324693248, 3324693503, 'US', 'United States'),
(129434, '198.42.204.0', '198.42.204.255', 3324693504, 3324693759, 'CA', 'Canada'),
(129435, '198.42.205.0', '198.42.207.255', 3324693760, 3324694527, 'US', 'United States'),
(129436, '198.42.208.0', '198.42.209.255', 3324694528, 3324695039, 'CA', 'Canada'),
(129437, '198.42.210.0', '198.42.211.255', 3324695040, 3324695551, 'US', 'United States'),
(129438, '198.42.212.0', '198.42.212.255', 3324695552, 3324695807, 'CA', 'Canada'),
(129439, '198.42.213.0', '198.42.213.255', 3324695808, 3324696063, 'US', 'United States'),
(129440, '198.42.214.0', '198.42.215.255', 3324696064, 3324696575, 'CA', 'Canada'),
(129441, '198.42.216.0', '198.42.216.255', 3324696576, 3324696831, 'US', 'United States'),
(129442, '198.42.217.0', '198.42.217.255', 3324696832, 3324697087, 'CA', 'Canada'),
(129443, '198.42.218.0', '198.42.223.255', 3324697088, 3324698623, 'US', 'United States'),
(129444, '198.42.224.0', '198.42.225.255', 3324698624, 3324699135, 'CA', 'Canada'),
(129445, '198.42.226.0', '198.42.226.255', 3324699136, 3324699391, 'US', 'United States'),
(129446, '198.42.227.0', '198.42.227.255', 3324699392, 3324699647, 'CA', 'Canada'),
(129447, '198.42.228.0', '198.42.233.255', 3324699648, 3324701183, 'US', 'United States'),
(129448, '198.42.234.0', '198.42.235.255', 3324701184, 3324701695, 'CA', 'Canada'),
(129449, '198.42.236.0', '198.42.236.255', 3324701696, 3324701951, 'US', 'United States'),
(129450, '198.42.237.0', '198.42.237.255', 3324701952, 3324702207, 'CA', 'Canada'),
(129451, '198.42.238.0', '198.42.244.255', 3324702208, 3324703999, 'US', 'United States'),
(129452, '198.42.245.0', '198.42.245.255', 3324704000, 3324704255, 'CA', 'Canada'),
(129453, '198.42.246.0', '198.42.253.255', 3324704256, 3324706303, 'US', 'United States'),
(129454, '198.42.254.0', '198.42.254.255', 3324706304, 3324706559, 'CA', 'Canada'),
(129455, '198.42.255.0', '198.43.99.255', 3324706560, 3324732415, 'US', 'United States'),
(129456, '198.43.100.0', '198.43.100.255', 3324732416, 3324732671, 'EU', 'Europe'),
(129457, '198.43.101.0', '198.43.255.255', 3324732672, 3324772351, 'US', 'United States'),
(129458, '198.45.0.0', '198.45.25.255', 3324837888, 3324844543, 'US', 'United States'),
(129459, '198.45.26.0', '198.45.26.255', 3324844544, 3324844799, 'EU', 'Europe'),
(129460, '198.45.27.0', '198.45.127.255', 3324844800, 3324870655, 'US', 'United States'),
(129461, '198.46.0.0', '198.47.255.255', 3324903424, 3325034495, 'US', 'United States'),
(129462, '198.48.0.0', '198.48.3.255', 3325034496, 3325035519, 'NZ', 'New Zealand'),
(129463, '198.48.4.0', '198.48.95.255', 3325035520, 3325059071, 'US', 'United States'),
(129464, '198.49.0.0', '198.49.63.255', 3325100032, 3325116415, 'US', 'United States'),
(129465, '198.49.80.0', '198.49.111.255', 3325120512, 3325128703, 'US', 'United States'),
(129466, '198.49.112.0', '198.49.113.255', 3325128704, 3325129215, 'TH', 'Thailand'),
(129467, '198.49.114.0', '198.49.123.255', 3325129216, 3325131775, 'US', 'United States'),
(129468, '198.49.124.0', '198.49.124.255', 3325131776, 3325132031, 'AU', 'Australia'),
(129469, '198.49.125.0', '198.49.127.255', 3325132032, 3325132799, 'US', 'United States'),
(129470, '198.49.128.0', '198.49.133.255', 3325132800, 3325134335, 'BR', 'Brazil'),
(129471, '198.49.134.0', '198.49.134.255', 3325134336, 3325134591, 'US', 'United States'),
(129472, '198.49.136.0', '198.49.137.255', 3325134848, 3325135359, 'US', 'United States'),
(129473, '198.49.141.0', '198.49.141.255', 3325136128, 3325136383, 'CA', 'Canada'),
(129474, '198.49.142.0', '198.49.142.255', 3325136384, 3325136639, 'US', 'United States'),
(129475, '198.49.144.0', '198.49.163.255', 3325136896, 3325142015, 'US', 'United States'),
(129476, '198.49.164.0', '198.49.164.255', 3325142016, 3325142271, 'CR', 'Costa Rica'),
(129477, '198.49.165.0', '198.49.174.255', 3325142272, 3325144831, 'US', 'United States'),
(129478, '198.49.175.0', '198.49.175.255', 3325144832, 3325145087, 'CA', 'Canada'),
(129479, '198.49.176.0', '198.50.15.255', 3325145088, 3325169663, 'US', 'United States'),
(129480, '198.50.16.0', '198.50.23.255', 3325169664, 3325171711, 'BR', 'Brazil'),
(129481, '198.50.32.0', '198.50.95.255', 3325173760, 3325190143, 'US', 'United States'),
(129482, '198.51.0.0', '198.51.3.255', 3325231104, 3325232127, 'US', 'United States'),
(129483, '198.51.8.0', '198.51.11.255', 3325233152, 3325234175, 'US', 'United States'),
(129484, '198.51.12.0', '198.51.12.255', 3325234176, 3325234431, 'SA', 'Saudi Arabia'),
(129485, '198.51.13.0', '198.51.70.255', 3325234432, 3325249279, 'US', 'United States'),
(129486, '198.51.71.0', '198.51.71.255', 3325249280, 3325249535, 'CO', 'Colombia'),
(129487, '198.51.72.0', '198.51.111.255', 3325249536, 3325259775, 'US', 'United States'),
(129488, '198.51.112.0', '198.51.117.255', 3325259776, 3325261311, 'CA', 'Canada'),
(129489, '198.51.118.0', '198.51.131.255', 3325261312, 3325264895, 'US', 'United States'),
(129490, '198.51.141.0', '198.51.142.255', 3325267200, 3325267711, 'US', 'United States'),
(129491, '198.51.143.0', '198.51.146.255', 3325267712, 3325268735, 'SY', 'Syrian Arab Republic'),
(129492, '198.51.147.0', '198.51.150.255', 3325268736, 3325269759, 'US', 'United States'),
(129493, '198.51.151.0', '198.51.151.255', 3325269760, 3325270015, 'CA', 'Canada'),
(129494, '198.51.152.0', '198.51.155.255', 3325270016, 3325271039, 'US', 'United States'),
(129495, '198.51.156.0', '198.51.156.255', 3325271040, 3325271295, 'CA', 'Canada'),
(129496, '198.51.157.0', '198.51.157.255', 3325271296, 3325271551, 'US', 'United States'),
(129497, '198.51.159.0', '198.51.194.255', 3325271808, 3325281023, 'US', 'United States'),
(129498, '198.51.195.0', '198.51.195.255', 3325281024, 3325281279, 'NZ', 'New Zealand'),
(129499, '198.51.196.0', '198.51.209.255', 3325281280, 3325284863, 'US', 'United States'),
(129500, '198.51.210.0', '198.51.210.255', 3325284864, 3325285119, 'AU', 'Australia'),
(129501, '198.51.212.0', '198.52.31.255', 3325285376, 3325304831, 'US', 'United States'),
(129502, '198.52.32.0', '198.52.42.255', 3325304832, 3325307647, 'CA', 'Canada'),
(129503, '198.52.43.0', '198.52.43.255', 3325307648, 3325307903, 'BB', 'Barbados'),
(129504, '198.52.44.0', '198.52.47.255', 3325307904, 3325308927, 'CA', 'Canada'),
(129505, '198.52.64.0', '198.52.95.255', 3325313024, 3325321215, 'US', 'United States'),
(129506, '198.53.0.0', '198.53.255.255', 3325362176, 3325427711, 'CA', 'Canada'),
(129507, '198.54.0.0', '198.54.127.255', 3325427712, 3325460479, 'ZA', 'South Africa'),
(129508, '198.54.141.0', '198.54.141.255', 3325463808, 3325464063, 'ZA', 'South Africa'),
(129509, '198.54.142.0', '198.54.145.255', 3325464064, 3325465087, 'NA', 'Namibia'),
(129510, '198.54.146.0', '198.54.255.255', 3325465088, 3325493247, 'ZA', 'South Africa'),
(129511, '198.55.0.0', '198.55.15.255', 3325493248, 3325497343, 'US', 'United States'),
(129512, '198.55.16.0', '198.55.31.255', 3325497344, 3325501439, 'PR', 'Puerto Rico'),
(129513, '198.55.32.0', '198.55.47.255', 3325501440, 3325505535, 'US', 'United States'),
(129514, '198.55.64.0', '198.55.95.255', 3325509632, 3325517823, 'US', 'United States'),
(129515, '198.55.128.0', '198.56.127.255', 3325526016, 3325591551, 'US', 'United States'),
(129516, '198.57.0.0', '198.57.63.255', 3325624320, 3325640703, 'US', 'United States'),
(129517, '198.57.64.0', '198.57.79.255', 3325640704, 3325644799, 'CA', 'Canada'),
(129518, '198.58.0.0', '198.58.1.255', 3325689856, 3325690367, 'JM', 'Jamaica'),
(129519, '198.58.2.0', '198.58.7.255', 3325690368, 3325691903, 'US', 'United States'),
(129520, '198.58.8.0', '198.58.15.255', 3325691904, 3325693951, 'BR', 'Brazil'),
(129521, '198.58.16.0', '198.58.39.255', 3325693952, 3325700095, 'US', 'United States'),
(129522, '198.58.64.0', '198.58.71.255', 3325706240, 3325708287, 'US', 'United States'),
(129523, '198.59.0.0', '198.62.15.255', 3325755392, 3325956095, 'US', 'United States'),
(129524, '198.62.16.0', '198.62.31.255', 3325956096, 3325960191, 'CA', 'Canada'),
(129525, '198.62.32.0', '198.62.93.255', 3325960192, 3325976063, 'US', 'United States'),
(129526, '198.62.94.0', '198.62.94.255', 3325976064, 3325976319, 'CA', 'Canada'),
(129527, '198.62.95.0', '198.62.111.255', 3325976320, 3325980671, 'US', 'United States'),
(129528, '198.62.112.0', '198.62.112.255', 3325980672, 3325980927, 'CA', 'Canada'),
(129529, '198.62.113.0', '198.62.157.255', 3325980928, 3325992447, 'US', 'United States'),
(129530, '198.62.158.0', '198.62.159.255', 3325992448, 3325992959, 'CA', 'Canada'),
(129531, '198.62.160.0', '198.62.174.255', 3325992960, 3325996799, 'US', 'United States'),
(129532, '198.62.175.0', '198.62.175.255', 3325996800, 3325997055, 'CA', 'Canada'),
(129533, '198.62.176.0', '198.65.159.255', 3325997056, 3326189567, 'US', 'United States'),
(129534, '198.65.160.0', '198.65.160.255', 3326189568, 3326189823, 'A1', 'Anonymous Proxy'),
(129535, '198.65.161.0', '198.65.163.255', 3326189824, 3326190591, 'US', 'United States'),
(129536, '198.65.164.0', '198.65.164.127', 3326190592, 3326190719, 'A1', 'Anonymous Proxy'),
(129537, '198.65.164.128', '198.65.164.255', 3326190720, 3326190847, 'US', 'United States'),
(129538, '198.65.165.0', '198.65.165.127', 3326190848, 3326190975, 'A1', 'Anonymous Proxy'),
(129539, '198.65.165.128', '198.65.166.191', 3326190976, 3326191295, 'US', 'United States'),
(129540, '198.65.166.192', '198.65.166.255', 3326191296, 3326191359, 'A1', 'Anonymous Proxy'),
(129541, '198.65.167.0', '198.65.167.191', 3326191360, 3326191551, 'US', 'United States'),
(129542, '198.65.167.192', '198.65.167.223', 3326191552, 3326191583, 'A1', 'Anonymous Proxy'),
(129543, '198.65.167.224', '198.68.17.255', 3326191584, 3326349823, 'US', 'United States'),
(129544, '198.68.18.0', '198.68.19.255', 3326349824, 3326350335, 'EC', 'Ecuador'),
(129545, '198.68.20.0', '198.68.176.255', 3326350336, 3326390527, 'US', 'United States'),
(129546, '198.68.177.0', '198.68.177.7', 3326390528, 3326390535, 'CA', 'Canada'),
(129547, '198.68.177.8', '198.68.222.63', 3326390536, 3326402111, 'US', 'United States'),
(129548, '198.68.222.64', '198.68.222.71', 3326402112, 3326402119, 'PR', 'Puerto Rico'),
(129549, '198.68.222.72', '198.68.239.255', 3326402120, 3326406655, 'US', 'United States'),
(129550, '198.68.240.0', '198.68.247.255', 3326406656, 3326408703, 'CO', 'Colombia'),
(129551, '198.68.248.0', '198.69.11.255', 3326408704, 3326413823, 'US', 'United States'),
(129552, '198.69.12.0', '198.69.13.255', 3326413824, 3326414335, 'YE', 'Yemen'),
(129553, '198.69.14.0', '198.69.39.255', 3326414336, 3326420991, 'US', 'United States'),
(129554, '198.69.40.0', '198.69.47.255', 3326420992, 3326423039, 'PR', 'Puerto Rico'),
(129555, '198.69.48.0', '198.70.0.207', 3326423040, 3326476495, 'US', 'United States'),
(129556, '198.70.0.208', '198.70.0.215', 3326476496, 3326476503, 'GE', 'Georgia'),
(129557, '198.70.0.216', '198.70.62.79', 3326476504, 3326492239, 'US', 'United States'),
(129558, '198.70.62.80', '198.70.62.95', 3326492240, 3326492255, 'CA', 'Canada'),
(129559, '198.70.62.96', '198.70.195.255', 3326492256, 3326526463, 'US', 'United States'),
(129560, '198.70.196.0', '198.70.196.255', 3326526464, 3326526719, 'CA', 'Canada'),
(129561, '198.70.197.0', '198.71.127.255', 3326526720, 3326574591, 'US', 'United States'),
(129562, '198.72.0.0', '198.72.127.255', 3326607360, 3326640127, 'US', 'United States'),
(129563, '198.73.31.0', '198.73.37.255', 3326680832, 3326682623, 'CA', 'Canada'),
(129564, '198.73.38.0', '198.73.38.255', 3326682624, 3326682879, 'US', 'United States'),
(129565, '198.73.39.0', '198.73.157.255', 3326682880, 3326713343, 'CA', 'Canada'),
(129566, '198.73.158.0', '198.73.160.255', 3326713344, 3326714111, 'US', 'United States'),
(129567, '198.73.161.0', '198.73.171.255', 3326714112, 3326716927, 'CA', 'Canada'),
(129568, '198.73.172.0', '198.73.175.255', 3326716928, 3326717951, 'US', 'United States'),
(129569, '198.73.176.0', '198.73.219.255', 3326717952, 3326729215, 'CA', 'Canada'),
(129570, '198.73.220.0', '198.73.220.255', 3326729216, 3326729471, 'JP', 'Japan'),
(129571, '198.73.221.0', '198.73.221.255', 3326729472, 3326729727, 'CA', 'Canada'),
(129572, '198.73.222.0', '198.73.239.255', 3326729728, 3326734335, 'US', 'United States'),
(129573, '198.73.240.0', '198.73.252.255', 3326734336, 3326737663, 'CA', 'Canada'),
(129574, '198.73.253.0', '198.73.253.255', 3326737664, 3326737919, 'US', 'United States'),
(129575, '198.73.254.0', '198.73.254.255', 3326737920, 3326738175, 'CA', 'Canada'),
(129576, '198.74.0.0', '198.77.66.255', 3326738432, 3326952191, 'US', 'United States'),
(129577, '198.77.67.0', '198.77.67.255', 3326952192, 3326952447, 'AS', 'American Samoa'),
(129578, '198.77.68.0', '198.77.73.255', 3326952448, 3326953983, 'US', 'United States'),
(129579, '198.77.74.0', '198.77.75.255', 3326953984, 3326954495, 'AS', 'American Samoa'),
(129580, '198.77.76.0', '198.80.51.255', 3326954496, 3327144959, 'US', 'United States'),
(129581, '198.80.52.0', '198.80.55.255', 3327144960, 3327145983, 'CA', 'Canada'),
(129582, '198.80.56.0', '198.80.119.255', 3327145984, 3327162367, 'US', 'United States'),
(129583, '198.80.120.0', '198.80.120.255', 3327162368, 3327162623, 'GB', 'United Kingdom'),
(129584, '198.80.121.0', '198.80.121.255', 3327162624, 3327162879, 'US', 'United States'),
(129585, '198.80.122.0', '198.80.123.255', 3327162880, 3327163391, 'GB', 'United Kingdom'),
(129586, '198.80.124.0', '198.80.160.255', 3327163392, 3327172863, 'US', 'United States'),
(129587, '198.80.161.0', '198.80.161.255', 3327172864, 3327173119, 'AP', 'Asia/Pacific Region'),
(129588, '198.80.162.0', '198.80.255.255', 3327173120, 3327197183, 'US', 'United States'),
(129589, '198.81.0.0', '198.81.3.255', 3327197184, 3327198207, 'JP', 'Japan'),
(129590, '198.81.4.0', '198.81.7.255', 3327198208, 3327199231, 'US', 'United States'),
(129591, '198.81.8.0', '198.81.11.255', 3327199232, 3327200255, 'BR', 'Brazil'),
(129592, '198.81.12.0', '198.81.232.255', 3327200256, 3327256831, 'US', 'United States'),
(129593, '198.81.233.0', '198.81.233.255', 3327256832, 3327257087, 'GU', 'Guam'),
(129594, '198.81.234.0', '198.87.3.69', 3327257088, 3327591237, 'US', 'United States'),
(129595, '198.87.3.70', '198.87.3.70', 3327591238, 3327591238, 'A1', 'Anonymous Proxy'),
(129596, '198.87.3.71', '198.89.7.255', 3327591239, 3327723519, 'US', 'United States'),
(129597, '198.89.8.0', '198.89.15.255', 3327723520, 3327725567, 'CA', 'Canada'),
(129598, '198.89.16.0', '198.89.95.255', 3327725568, 3327746047, 'US', 'United States'),
(129599, '198.89.128.0', '198.90.64.255', 3327754240, 3327803647, 'US', 'United States'),
(129600, '198.90.65.0', '198.90.65.255', 3327803648, 3327803903, 'AP', 'Asia/Pacific Region'),
(129601, '198.90.66.0', '198.90.72.255', 3327803904, 3327805695, 'US', 'United States'),
(129602, '198.90.80.0', '198.90.95.255', 3327807488, 3327811583, 'CA', 'Canada'),
(129603, '198.90.128.0', '198.91.127.255', 3327819776, 3327885311, 'US', 'United States'),
(129604, '198.92.0.0', '198.93.47.255', 3327918080, 3327995903, 'US', 'United States'),
(129605, '198.93.48.0', '198.93.51.255', 3327995904, 3327996927, 'AN', 'Netherlands Antilles'),
(129606, '198.93.52.0', '198.93.175.255', 3327996928, 3328028671, 'US', 'United States'),
(129607, '198.93.176.0', '198.93.183.255', 3328028672, 3328030719, 'AN', 'Netherlands Antilles'),
(129608, '198.93.184.0', '198.95.255.255', 3328030720, 3328180223, 'US', 'United States'),
(129609, '198.96.0.0', '198.96.134.255', 3328180224, 3328214783, 'CA', 'Canada'),
(129610, '198.96.135.0', '198.96.136.255', 3328214784, 3328215295, 'GB', 'United Kingdom'),
(129611, '198.96.137.0', '198.96.213.255', 3328215296, 3328235007, 'CA', 'Canada'),
(129612, '198.96.214.0', '198.96.214.255', 3328235008, 3328235263, 'US', 'United States'),
(129613, '198.96.216.0', '198.96.239.255', 3328235520, 3328241663, 'CA', 'Canada'),
(129614, '198.96.240.0', '198.96.244.255', 3328241664, 3328242943, 'US', 'United States'),
(129615, '198.96.245.0', '198.96.245.255', 3328242944, 3328243199, 'GB', 'United Kingdom'),
(129616, '198.96.246.0', '198.96.255.255', 3328243200, 3328245759, 'CA', 'Canada'),
(129617, '198.97.0.0', '198.99.67.255', 3328245760, 3328394239, 'US', 'United States'),
(129618, '198.99.68.0', '198.99.68.255', 3328394240, 3328394495, 'GB', 'United Kingdom'),
(129619, '198.99.69.0', '198.99.147.255', 3328394496, 3328414719, 'US', 'United States'),
(129620, '198.99.148.0', '198.99.148.255', 3328414720, 3328414975, 'CH', 'Switzerland'),
(129621, '198.99.149.0', '198.99.169.255', 3328414976, 3328420351, 'US', 'United States'),
(129622, '198.99.170.0', '198.99.170.255', 3328420352, 3328420607, 'CA', 'Canada'),
(129623, '198.99.171.0', '198.99.172.255', 3328420608, 3328421119, 'US', 'United States'),
(129624, '198.99.173.0', '198.99.173.255', 3328421120, 3328421375, 'HK', 'Hong Kong'),
(129625, '198.99.174.0', '198.99.217.255', 3328421376, 3328432639, 'US', 'United States'),
(129626, '198.99.218.0', '198.99.221.255', 3328432640, 3328433663, 'CA', 'Canada'),
(129627, '198.99.222.0', '198.99.222.255', 3328433664, 3328433919, 'CH', 'Switzerland'),
(129628, '198.99.223.0', '198.100.127.255', 3328433920, 3328475135, 'US', 'United States'),
(129629, '198.100.128.0', '198.100.135.255', 3328475136, 3328477183, 'CA', 'Canada'),
(129630, '198.101.0.0', '198.102.173.255', 3328507904, 3328617983, 'US', 'United States'),
(129631, '198.102.174.0', '198.102.174.255', 3328617984, 3328618239, 'CA', 'Canada'),
(129632, '198.102.175.0', '198.102.218.255', 3328618240, 3328629503, 'US', 'United States'),
(129633, '198.102.219.0', '198.102.219.255', 3328629504, 3328629759, 'EU', 'Europe'),
(129634, '198.102.220.0', '198.102.223.255', 3328629760, 3328630783, 'US', 'United States'),
(129635, '198.102.224.0', '198.102.227.255', 3328630784, 3328631807, 'CA', 'Canada'),
(129636, '198.102.228.0', '198.102.255.255', 3328631808, 3328638975, 'US', 'United States'),
(129637, '198.103.0.0', '198.103.255.255', 3328638976, 3328704511, 'CA', 'Canada'),
(129638, '198.104.0.0', '198.105.16.255', 3328704512, 3328774399, 'US', 'United States'),
(129639, '198.105.17.0', '198.105.22.255', 3328774400, 3328775935, 'CA', 'Canada'),
(129640, '198.105.23.0', '198.105.25.255', 3328775936, 3328776703, 'US', 'United States'),
(129641, '198.105.32.0', '198.105.47.255', 3328778240, 3328782335, 'US', 'United States'),
(129642, '198.105.64.0', '198.105.71.255', 3328786432, 3328788479, 'US', 'United States'),
(129643, '198.105.72.0', '198.105.75.255', 3328788480, 3328789503, 'FR', 'France'),
(129644, '198.105.76.0', '198.105.77.255', 3328789504, 3328790015, 'AP', 'Asia/Pacific Region'),
(129645, '198.105.78.0', '198.105.79.255', 3328790016, 3328790527, 'US', 'United States'),
(129646, '198.105.128.0', '198.112.5.255', 3328802816, 3329230335, 'US', 'United States'),
(129647, '198.112.6.0', '198.112.6.255', 3329230336, 3329230591, 'JP', 'Japan'),
(129648, '198.112.7.0', '198.116.24.255', 3329230592, 3329497343, 'US', 'United States'),
(129649, '198.116.25.0', '198.116.25.255', 3329497344, 3329497599, 'KE', 'Kenya'),
(129650, '198.116.26.0', '198.116.29.255', 3329497600, 3329498623, 'US', 'United States'),
(129651, '198.116.30.0', '198.116.30.255', 3329498624, 3329498879, 'ES', 'Spain'),
(129652, '198.116.31.0', '198.133.31.255', 3329498880, 3330613247, 'US', 'United States'),
(129653, '198.133.32.0', '198.133.37.255', 3330613248, 3330614783, 'CA', 'Canada'),
(129654, '198.133.38.0', '198.133.46.255', 3330614784, 3330617087, 'US', 'United States'),
(129655, '198.133.47.0', '198.133.47.255', 3330617088, 3330617343, 'CA', 'Canada'),
(129656, '198.133.48.0', '198.133.62.255', 3330617344, 3330621183, 'US', 'United States'),
(129657, '198.133.63.0', '198.133.72.255', 3330621184, 3330623743, 'CA', 'Canada'),
(129658, '198.133.73.0', '198.133.74.255', 3330623744, 3330624255, 'US', 'United States'),
(129659, '198.133.76.0', '198.133.79.255', 3330624512, 3330625535, 'US', 'United States'),
(129660, '198.133.80.0', '198.133.85.255', 3330625536, 3330627071, 'GB', 'United Kingdom'),
(129661, '198.133.86.0', '198.133.139.255', 3330627072, 3330640895, 'US', 'United States'),
(129662, '198.133.140.0', '198.133.140.255', 3330640896, 3330641151, 'CH', 'Switzerland'),
(129663, '198.133.141.0', '198.133.142.255', 3330641152, 3330641663, 'US', 'United States'),
(129664, '198.133.144.0', '198.133.161.255', 3330641920, 3330646527, 'US', 'United States'),
(129665, '198.133.162.0', '198.133.164.255', 3330646528, 3330647295, 'CA', 'Canada'),
(129666, '198.133.165.0', '198.133.166.255', 3330647296, 3330647807, 'US', 'United States'),
(129667, '198.133.168.0', '198.133.172.255', 3330648064, 3330649343, 'US', 'United States'),
(129668, '198.133.174.0', '198.133.174.255', 3330649600, 3330649855, 'CA', 'Canada'),
(129669, '198.133.175.0', '198.133.225.255', 3330649856, 3330662911, 'US', 'United States'),
(129670, '198.133.226.0', '198.133.226.255', 3330662912, 3330663167, 'GB', 'United Kingdom'),
(129671, '198.133.227.0', '198.133.230.255', 3330663168, 3330664191, 'US', 'United States'),
(129672, '198.133.231.0', '198.133.231.255', 3330664192, 3330664447, 'CA', 'Canada'),
(129673, '198.133.232.0', '198.134.170.255', 3330664448, 3330714367, 'US', 'United States'),
(129674, '198.134.171.0', '198.134.171.255', 3330714368, 3330714623, 'CA', 'Canada'),
(129675, '198.134.172.0', '198.134.218.255', 3330714624, 3330726655, 'US', 'United States'),
(129676, '198.134.219.0', '198.134.219.255', 3330726656, 3330726911, 'CA', 'Canada'),
(129677, '198.134.220.0', '198.135.71.255', 3330726912, 3330754559, 'US', 'United States'),
(129678, '198.135.72.0', '198.135.72.255', 3330754560, 3330754815, 'CA', 'Canada'),
(129679, '198.135.73.0', '198.135.73.255', 3330754816, 3330755071, 'US', 'United States'),
(129680, '198.135.75.0', '198.135.106.255', 3330755328, 3330763519, 'US', 'United States'),
(129681, '198.135.107.0', '198.135.107.255', 3330763520, 3330763775, 'CA', 'Canada'),
(129682, '198.135.108.0', '198.135.115.255', 3330763776, 3330765823, 'US', 'United States'),
(129683, '198.135.116.0', '198.135.117.255', 3330765824, 3330766335, 'CA', 'Canada'),
(129684, '198.135.118.0', '198.135.136.255', 3330766336, 3330771199, 'US', 'United States'),
(129685, '198.135.137.0', '198.135.138.255', 3330771200, 3330771711, 'CH', 'Switzerland'),
(129686, '198.135.139.0', '198.135.166.255', 3330771712, 3330778879, 'US', 'United States'),
(129687, '198.135.167.0', '198.135.167.255', 3330778880, 3330779135, 'GB', 'United Kingdom'),
(129688, '198.135.168.0', '198.135.215.255', 3330779136, 3330791423, 'US', 'United States'),
(129689, '198.135.216.0', '198.135.216.255', 3330791424, 3330791679, 'CA', 'Canada'),
(129690, '198.135.217.0', '198.136.54.255', 3330791680, 3330815743, 'US', 'United States'),
(129691, '198.136.55.0', '198.136.55.255', 3330815744, 3330815999, 'CA', 'Canada'),
(129692, '198.136.56.0', '198.137.63.255', 3330816000, 3330883583, 'US', 'United States'),
(129693, '198.137.64.0', '198.137.66.255', 3330883584, 3330884351, 'NL', 'Netherlands'),
(129694, '198.137.67.0', '198.137.68.255', 3330884352, 3330884863, 'US', 'United States'),
(129695, '198.137.69.0', '198.137.69.255', 3330884864, 3330885119, 'GB', 'United Kingdom'),
(129696, '198.137.70.0', '198.137.81.127', 3330885120, 3330888063, 'US', 'United States'),
(129697, '198.137.81.128', '198.137.81.191', 3330888064, 3330888127, 'NL', 'Netherlands'),
(129698, '198.137.81.192', '198.137.81.255', 3330888128, 3330888191, 'US', 'United States'),
(129699, '198.137.82.0', '198.137.83.255', 3330888192, 3330888703, 'AU', 'Australia'),
(129700, '198.137.84.0', '198.137.84.255', 3330888704, 3330888959, 'US', 'United States'),
(129701, '198.137.85.0', '198.137.85.255', 3330888960, 3330889215, 'CH', 'Switzerland'),
(129702, '198.137.86.0', '198.137.86.255', 3330889216, 3330889471, 'GB', 'United Kingdom'),
(129703, '198.137.87.0', '198.137.89.255', 3330889472, 3330890239, 'JP', 'Japan'),
(129704, '198.137.90.0', '198.137.91.255', 3330890240, 3330890751, 'BE', 'Belgium'),
(129705, '198.137.92.0', '198.137.93.255', 3330890752, 3330891263, 'GB', 'United Kingdom'),
(129706, '198.137.94.0', '198.137.97.255', 3330891264, 3330892287, 'US', 'United States'),
(129707, '198.137.98.0', '198.137.98.255', 3330892288, 3330892543, 'FR', 'France'),
(129708, '198.137.99.0', '198.137.102.255', 3330892544, 3330893567, 'US', 'United States'),
(129709, '198.137.103.0', '198.137.103.255', 3330893568, 3330893823, 'NL', 'Netherlands'),
(129710, '198.137.104.0', '198.137.104.255', 3330893824, 3330894079, 'CA', 'Canada'),
(129711, '198.137.105.0', '198.137.106.255', 3330894080, 3330894591, 'GB', 'United Kingdom'),
(129712, '198.137.107.0', '198.137.107.255', 3330894592, 3330894847, 'DE', 'Germany'),
(129713, '198.137.108.0', '198.137.119.255', 3330894848, 3330897919, 'US', 'United States'),
(129714, '198.137.120.0', '198.137.120.255', 3330897920, 3330898175, 'CA', 'Canada'),
(129715, '198.137.121.0', '198.137.121.255', 3330898176, 3330898431, 'DE', 'Germany'),
(129716, '198.137.122.0', '198.137.123.255', 3330898432, 3330898943, 'FR', 'France'),
(129717, '198.137.124.0', '198.140.150.255', 3330898944, 3331102463, 'US', 'United States'),
(129718, '198.140.151.0', '198.140.151.255', 3331102464, 3331102719, 'CA', 'Canada'),
(129719, '198.140.152.0', '198.141.255.255', 3331102720, 3331194879, 'US', 'United States'),
(129720, '198.142.0.0', '198.142.255.255', 3331194880, 3331260415, 'AU', 'Australia'),
(129721, '198.143.0.0', '198.144.143.255', 3331260416, 3331362815, 'US', 'United States'),
(129722, '198.144.144.0', '198.144.159.255', 3331362816, 3331366911, 'CA', 'Canada'),
(129723, '198.144.160.0', '198.144.177.15', 3331366912, 3331371279, 'US', 'United States'),
(129724, '198.144.177.16', '198.144.177.31', 3331371280, 3331371295, 'SE', 'Sweden'),
(129725, '198.144.177.32', '198.144.177.63', 3331371296, 3331371327, 'US', 'United States'),
(129726, '198.144.177.64', '198.144.177.79', 3331371328, 3331371343, 'SE', 'Sweden'),
(129727, '198.144.177.80', '198.144.177.111', 3331371344, 3331371375, 'US', 'United States'),
(129728, '198.144.177.112', '198.144.177.127', 3331371376, 3331371391, 'SE', 'Sweden'),
(129729, '198.144.177.128', '198.147.159.255', 3331371392, 3331563519, 'US', 'United States'),
(129730, '198.147.160.0', '198.147.160.255', 3331563520, 3331563775, 'CH', 'Switzerland'),
(129731, '198.147.161.0', '198.148.176.255', 3331563776, 3331633407, 'US', 'United States'),
(129732, '198.148.177.0', '198.148.178.255', 3331633408, 3331633919, 'CH', 'Switzerland'),
(129733, '198.148.179.0', '198.148.230.255', 3331633920, 3331647231, 'US', 'United States'),
(129734, '198.148.231.0', '198.148.231.255', 3331647232, 3331647487, 'CA', 'Canada'),
(129735, '198.148.232.0', '198.148.238.255', 3331647488, 3331649279, 'US', 'United States'),
(129736, '198.148.239.0', '198.148.239.255', 3331649280, 3331649535, 'CA', 'Canada'),
(129737, '198.148.240.0', '198.151.52.255', 3331649536, 3331798271, 'US', 'United States'),
(129738, '198.151.53.0', '198.151.53.255', 3331798272, 3331798527, 'AU', 'Australia'),
(129739, '198.151.54.0', '198.151.131.255', 3331798528, 3331818495, 'US', 'United States'),
(129740, '198.151.132.0', '198.151.132.255', 3331818496, 3331818751, 'MX', 'Mexico'),
(129741, '198.151.133.0', '198.152.13.255', 3331818752, 3331853823, 'US', 'United States'),
(129742, '198.152.14.0', '198.152.14.255', 3331853824, 3331854079, 'AP', 'Asia/Pacific Region'),
(129743, '198.152.15.0', '198.152.70.1', 3331854080, 3331868161, 'US', 'United States'),
(129744, '198.152.70.2', '198.152.70.2', 3331868162, 3331868162, 'EU', 'Europe'),
(129745, '198.152.70.3', '198.154.79.255', 3331868163, 3332001791, 'US', 'United States'),
(129746, '198.154.80.0', '198.154.95.255', 3332001792, 3332005887, 'CA', 'Canada'),
(129747, '198.154.96.0', '198.154.191.255', 3332005888, 3332030463, 'US', 'United States'),
(129748, '198.155.0.0', '198.155.144.255', 3332046848, 3332083967, 'US', 'United States'),
(129749, '198.155.145.0', '198.155.145.255', 3332083968, 3332084223, 'AP', 'Asia/Pacific Region'),
(129750, '198.155.146.0', '198.155.188.255', 3332084224, 3332095231, 'US', 'United States'),
(129751, '198.155.189.0', '198.155.189.255', 3332095232, 3332095487, 'EU', 'Europe'),
(129752, '198.155.190.0', '198.160.255.255', 3332095488, 3332440063, 'US', 'United States'),
(129753, '198.161.0.0', '198.161.79.255', 3332440064, 3332460543, 'CA', 'Canada'),
(129754, '198.161.80.0', '198.161.80.255', 3332460544, 3332460799, 'US', 'United States'),
(129755, '198.161.81.0', '198.161.82.255', 3332460800, 3332461311, 'CA', 'Canada'),
(129756, '198.161.84.0', '198.161.245.255', 3332461568, 3332503039, 'CA', 'Canada'),
(129757, '198.161.246.0', '198.161.247.255', 3332503040, 3332503551, 'US', 'United States'),
(129758, '198.161.248.0', '198.162.191.255', 3332503552, 3332554751, 'CA', 'Canada'),
(129759, '198.162.192.0', '198.162.207.255', 3332554752, 3332558847, 'US', 'United States'),
(129760, '198.162.208.0', '198.162.223.255', 3332558848, 3332562943, 'CA', 'Canada'),
(129761, '198.162.224.0', '198.162.225.255', 3332562944, 3332563455, 'US', 'United States'),
(129762, '198.162.226.0', '198.163.73.255', 3332563456, 3332590079, 'CA', 'Canada'),
(129763, '198.163.74.0', '198.163.75.255', 3332590080, 3332590591, 'US', 'United States'),
(129764, '198.163.76.0', '198.163.175.255', 3332590592, 3332616191, 'CA', 'Canada'),
(129765, '198.163.176.0', '198.163.178.255', 3332616192, 3332616959, 'US', 'United States'),
(129766, '198.163.179.0', '198.163.180.255', 3332616960, 3332617471, 'CA', 'Canada'),
(129767, '198.163.184.0', '198.163.207.255', 3332618240, 3332624383, 'US', 'United States'),
(129768, '198.163.208.0', '198.165.87.255', 3332624384, 3332724735, 'CA', 'Canada'),
(129769, '198.165.88.0', '198.165.95.255', 3332724736, 3332726783, 'PM', 'Saint Pierre and Miquelon'),
(129770, '198.165.96.0', '198.165.135.255', 3332726784, 3332737023, 'CA', 'Canada'),
(129771, '198.165.136.0', '198.165.139.255', 3332737024, 3332738047, 'PM', 'Saint Pierre and Miquelon'),
(129772, '198.165.140.0', '198.165.163.255', 3332738048, 3332744191, 'CA', 'Canada'),
(129773, '198.165.164.0', '198.165.167.255', 3332744192, 3332745215, 'PM', 'Saint Pierre and Miquelon'),
(129774, '198.165.168.0', '198.165.194.255', 3332745216, 3332752127, 'CA', 'Canada'),
(129775, '198.165.195.0', '198.165.195.255', 3332752128, 3332752383, 'PM', 'Saint Pierre and Miquelon'),
(129776, '198.165.196.0', '198.168.29.255', 3332752384, 3332906495, 'CA', 'Canada'),
(129777, '198.168.30.0', '198.168.41.255', 3332906496, 3332909567, 'US', 'United States'),
(129778, '198.168.42.0', '198.168.191.255', 3332909568, 3332947967, 'CA', 'Canada'),
(129779, '198.168.192.0', '198.168.192.255', 3332947968, 3332948223, 'US', 'United States'),
(129780, '198.168.193.0', '198.169.6.255', 3332948224, 3332966143, 'CA', 'Canada'),
(129781, '198.169.7.0', '198.169.7.255', 3332966144, 3332966399, 'US', 'United States'),
(129782, '198.169.8.0', '198.169.187.255', 3332966400, 3333012479, 'CA', 'Canada'),
(129783, '198.169.188.0', '198.169.189.255', 3333012480, 3333012991, 'US', 'United States'),
(129784, '198.169.190.0', '198.169.255.255', 3333012992, 3333029887, 'CA', 'Canada'),
(129785, '198.170.0.0', '198.172.200.255', 3333029888, 3333212415, 'US', 'United States'),
(129786, '198.172.201.0', '198.172.202.255', 3333212416, 3333212927, 'A1', 'Anonymous Proxy'),
(129787, '198.172.203.0', '198.172.203.127', 3333212928, 3333213055, 'US', 'United States'),
(129788, '198.172.203.128', '198.172.204.255', 3333213056, 3333213439, 'A1', 'Anonymous Proxy'),
(129789, '198.172.205.0', '198.172.205.255', 3333213440, 3333213695, 'US', 'United States'),
(129790, '198.172.206.0', '198.172.207.127', 3333213696, 3333214079, 'A1', 'Anonymous Proxy'),
(129791, '198.172.207.128', '198.173.78.41', 3333214080, 3333246505, 'US', 'United States'),
(129792, '198.173.78.42', '198.173.78.42', 3333246506, 3333246506, 'A1', 'Anonymous Proxy'),
(129793, '198.173.78.43', '198.175.110.255', 3333246507, 3333385983, 'US', 'United States'),
(129794, '198.175.111.0', '198.175.111.255', 3333385984, 3333386239, 'JP', 'Japan'),
(129795, '198.175.112.0', '198.176.18.255', 3333386240, 3333427967, 'US', 'United States'),
(129796, '198.176.19.0', '198.176.19.39', 3333427968, 3333428007, 'GB', 'United Kingdom'),
(129797, '198.176.19.40', '198.176.19.40', 3333428008, 3333428008, 'EU', 'Europe'),
(129798, '198.176.19.41', '198.176.19.255', 3333428009, 3333428223, 'GB', 'United Kingdom'),
(129799, '198.176.20.0', '198.176.25.255', 3333428224, 3333429759, 'US', 'United States'),
(129800, '198.176.32.0', '198.176.222.255', 3333431296, 3333480191, 'US', 'United States'),
(129801, '198.176.223.0', '198.176.227.255', 3333480192, 3333481471, 'DE', 'Germany'),
(129802, '198.176.228.0', '198.178.192.0', 3333481472, 3333603328, 'US', 'United States'),
(129803, '198.178.192.1', '198.178.192.1', 3333603329, 3333603329, 'EU', 'Europe'),
(129804, '198.178.192.2', '198.178.217.5', 3333603330, 3333609733, 'US', 'United States'),
(129805, '198.178.217.6', '198.178.217.6', 3333609734, 3333609734, 'AU', 'Australia'),
(129806, '198.178.217.7', '198.180.64.255', 3333609735, 3333701887, 'US', 'United States'),
(129807, '198.180.65.0', '198.180.65.255', 3333701888, 3333702143, 'GB', 'United Kingdom'),
(129808, '198.180.66.0', '198.180.66.255', 3333702144, 3333702399, 'US', 'United States'),
(129809, '198.180.67.0', '198.180.67.255', 3333702400, 3333702655, 'CH', 'Switzerland'),
(129810, '198.180.68.0', '198.180.79.255', 3333702656, 3333705727, 'US', 'United States'),
(129811, '198.180.80.0', '198.180.94.255', 3333705728, 3333709567, 'GB', 'United Kingdom'),
(129812, '198.180.95.0', '198.180.97.255', 3333709568, 3333710335, 'US', 'United States'),
(129813, '198.180.98.0', '198.180.98.255', 3333710336, 3333710591, 'DE', 'Germany'),
(129814, '198.180.99.0', '198.180.99.255', 3333710592, 3333710847, 'IT', 'Italy'),
(129815, '198.180.100.0', '198.180.101.255', 3333710848, 3333711359, 'GB', 'United Kingdom'),
(129816, '198.180.102.0', '198.180.104.255', 3333711360, 3333712127, 'DE', 'Germany'),
(129817, '198.180.105.0', '198.180.105.255', 3333712128, 3333712383, 'CH', 'Switzerland'),
(129818, '198.180.106.0', '198.180.106.255', 3333712384, 3333712639, 'DE', 'Germany'),
(129819, '198.180.107.0', '198.180.120.255', 3333712640, 3333716223, 'US', 'United States'),
(129820, '198.180.121.0', '198.180.122.255', 3333716224, 3333716735, 'CA', 'Canada'),
(129821, '198.180.123.0', '198.180.123.255', 3333716736, 3333716991, 'GB', 'United Kingdom'),
(129822, '198.180.124.0', '198.180.124.255', 3333716992, 3333717247, 'AU', 'Australia'),
(129823, '198.180.125.0', '198.180.125.255', 3333717248, 3333717503, 'FR', 'France'),
(129824, '198.180.126.0', '198.180.126.255', 3333717504, 3333717759, 'SG', 'Singapore'),
(129825, '198.180.127.0', '198.180.127.255', 3333717760, 3333718015, 'NL', 'Netherlands'),
(129826, '198.180.128.0', '198.182.36.255', 3333718016, 3333825791, 'US', 'United States'),
(129827, '198.182.37.0', '198.182.37.255', 3333825792, 3333826047, 'EU', 'Europe'),
(129828, '198.182.38.0', '198.182.169.255', 3333826048, 3333859839, 'US', 'United States'),
(129829, '198.182.170.0', '198.182.170.255', 3333859840, 3333860095, 'BM', 'Bermuda'),
(129830, '198.182.171.0', '198.184.160.255', 3333860096, 3333988607, 'US', 'United States'),
(129831, '198.184.161.0', '198.184.161.255', 3333988608, 3333988863, 'BR', 'Brazil'),
(129832, '198.184.162.0', '198.184.196.255', 3333988864, 3333997823, 'US', 'United States'),
(129833, '198.184.197.0', '198.184.197.255', 3333997824, 3333998079, 'CA', 'Canada'),
(129834, '198.184.198.0', '198.184.231.253', 3333998080, 3334006781, 'US', 'United States'),
(129835, '198.184.231.254', '198.184.231.254', 3334006782, 3334006782, 'NL', 'Netherlands'),
(129836, '198.184.231.255', '198.184.234.255', 3334006783, 3334007551, 'US', 'United States'),
(129837, '198.184.235.0', '198.184.235.255', 3334007552, 3334007807, 'EU', 'Europe'),
(129838, '198.184.236.0', '198.186.234.255', 3334007808, 3334138623, 'US', 'United States'),
(129839, '198.186.235.0', '198.186.235.255', 3334138624, 3334138879, 'BM', 'Bermuda'),
(129840, '198.186.236.0', '198.187.170.255', 3334138880, 3334187775, 'US', 'United States'),
(129841, '198.187.171.0', '198.187.171.255', 3334187776, 3334188031, 'BM', 'Bermuda'),
(129842, '198.187.172.0', '198.199.255.255', 3334188032, 3334995967, 'US', 'United States'),
(129843, '198.200.0.0', '198.200.15.255', 3334995968, 3335000063, 'PH', 'Philippines'),
(129844, '198.200.16.0', '198.200.31.255', 3335000064, 3335004159, 'US', 'United States'),
(129845, '198.200.128.0', '198.203.231.255', 3335028736, 3335251967, 'US', 'United States'),
(129846, '198.203.233.0', '198.203.234.255', 3335252224, 3335252735, 'US', 'United States'),
(129847, '198.203.235.0', '198.203.235.255', 3335252736, 3335252991, 'CA', 'Canada'),
(129848, '198.203.236.0', '198.204.70.255', 3335252992, 3335276287, 'US', 'United States'),
(129849, '198.204.71.0', '198.204.72.255', 3335276288, 3335276799, 'PR', 'Puerto Rico'),
(129850, '198.204.73.0', '198.206.196.255', 3335276800, 3335439615, 'US', 'United States'),
(129851, '198.206.197.0', '198.206.197.255', 3335439616, 3335439871, 'CH', 'Switzerland'),
(129852, '198.206.198.0', '198.206.199.255', 3335439872, 3335440383, 'US', 'United States'),
(129853, '198.206.200.0', '198.206.202.255', 3335440384, 3335441151, 'CH', 'Switzerland'),
(129854, '198.206.203.0', '198.207.15.255', 3335441152, 3335458815, 'US', 'United States'),
(129855, '198.207.16.0', '198.207.23.255', 3335458816, 3335460863, 'BM', 'Bermuda'),
(129856, '198.207.32.0', '198.207.79.255', 3335462912, 3335475199, 'US', 'United States'),
(129857, '198.207.80.0', '198.207.80.255', 3335475200, 3335475455, 'DE', 'Germany'),
(129858, '198.207.81.0', '198.207.99.127', 3335475456, 3335480191, 'US', 'United States'),
(129859, '198.207.99.128', '198.207.99.255', 3335480192, 3335480319, 'IT', 'Italy'),
(129860, '198.207.100.0', '198.208.16.220', 3335480320, 3335524572, 'US', 'United States'),
(129861, '198.208.16.221', '198.208.16.221', 3335524573, 3335524573, 'AU', 'Australia'),
(129862, '198.208.16.222', '198.208.208.255', 3335524574, 3335573759, 'US', 'United States'),
(129863, '198.208.209.0', '198.208.209.255', 3335573760, 3335574015, 'IN', 'India'),
(129864, '198.208.210.0', '198.208.239.255', 3335574016, 3335581695, 'US', 'United States'),
(129865, '198.208.240.0', '198.208.240.255', 3335581696, 3335581951, 'EU', 'Europe'),
(129866, '198.208.241.0', '198.208.242.255', 3335581952, 3335582463, 'US', 'United States'),
(129867, '198.208.243.0', '198.208.243.255', 3335582464, 3335582719, 'EU', 'Europe'),
(129868, '198.208.244.0', '198.213.50.255', 3335582720, 3335860991, 'US', 'United States'),
(129869, '198.213.51.0', '198.213.51.255', 3335860992, 3335861247, 'MX', 'Mexico'),
(129870, '198.213.52.0', '198.228.89.255', 3335861248, 3336854015, 'US', 'United States'),
(129871, '198.228.90.0', '198.228.90.255', 3336854016, 3336854271, 'CO', 'Colombia'),
(129872, '198.228.91.0', '198.230.113.255', 3336854272, 3336991231, 'US', 'United States'),
(129873, '198.230.114.0', '198.230.114.255', 3336991232, 3336991487, 'CA', 'Canada'),
(129874, '198.230.115.0', '198.230.120.255', 3336991488, 3336993023, 'US', 'United States'),
(129875, '198.230.121.0', '198.230.122.255', 3336993024, 3336993535, 'CA', 'Canada'),
(129876, '198.230.123.0', '198.231.65.255', 3336993536, 3337044479, 'US', 'United States'),
(129877, '198.231.66.0', '198.231.66.255', 3337044480, 3337044735, 'CA', 'Canada'),
(129878, '198.231.67.0', '198.231.67.255', 3337044736, 3337044991, 'US', 'United States'),
(129879, '198.231.68.0', '198.231.71.255', 3337044992, 3337046015, 'CA', 'Canada'),
(129880, '198.231.72.0', '198.231.73.255', 3337046016, 3337046527, 'US', 'United States'),
(129881, '198.231.74.0', '198.231.77.255', 3337046528, 3337047551, 'CA', 'Canada'),
(129882, '198.231.78.0', '198.231.87.255', 3337047552, 3337050111, 'US', 'United States'),
(129883, '198.231.88.0', '198.231.93.255', 3337050112, 3337051647, 'CA', 'Canada'),
(129884, '198.231.94.0', '198.231.94.255', 3337051648, 3337051903, 'US', 'United States'),
(129885, '198.231.95.0', '198.231.95.255', 3337051904, 3337052159, 'CA', 'Canada'),
(129886, '198.231.96.0', '198.231.99.255', 3337052160, 3337053183, 'US', 'United States'),
(129887, '198.231.100.0', '198.231.101.255', 3337053184, 3337053695, 'CA', 'Canada'),
(129888, '198.231.102.0', '198.231.107.255', 3337053696, 3337055231, 'US', 'United States'),
(129889, '198.231.108.0', '198.231.127.255', 3337055232, 3337060351, 'CA', 'Canada'),
(129890, '198.231.128.0', '198.234.255.255', 3337060352, 3337289727, 'US', 'United States'),
(129891, '198.235.0.0', '198.235.31.255', 3337289728, 3337297919, 'CA', 'Canada'),
(129892, '198.235.32.0', '198.235.47.255', 3337297920, 3337302015, 'US', 'United States'),
(129893, '198.235.48.0', '198.235.56.255', 3337302016, 3337304319, 'CA', 'Canada'),
(129894, '198.235.57.0', '198.235.61.255', 3337304320, 3337305599, 'US', 'United States'),
(129895, '198.235.62.0', '198.235.177.255', 3337305600, 3337335295, 'CA', 'Canada'),
(129896, '198.235.178.0', '198.235.179.255', 3337335296, 3337335807, 'US', 'United States'),
(129897, '198.235.180.0', '198.235.255.255', 3337335808, 3337355263, 'CA', 'Canada'),
(129898, '198.236.0.0', '198.240.127.255', 3337355264, 3337650175, 'US', 'United States'),
(129899, '198.240.128.0', '198.240.128.74', 3337650176, 3337650250, 'GB', 'United Kingdom'),
(129900, '198.240.128.75', '198.240.128.75', 3337650251, 3337650251, 'EU', 'Europe'),
(129901, '198.240.128.76', '198.240.129.255', 3337650252, 3337650687, 'GB', 'United Kingdom'),
(129902, '198.240.130.0', '198.240.130.255', 3337650688, 3337650943, 'US', 'United States'),
(129903, '198.240.131.0', '198.240.131.255', 3337650944, 3337651199, 'HK', 'Hong Kong'),
(129904, '198.240.132.0', '198.240.132.255', 3337651200, 3337651455, 'CH', 'Switzerland'),
(129905, '198.240.133.0', '198.240.133.255', 3337651456, 3337651711, 'SG', 'Singapore'),
(129906, '198.240.134.0', '198.240.140.255', 3337651712, 3337653503, 'CH', 'Switzerland'),
(129907, '198.240.141.0', '198.240.141.255', 3337653504, 3337653759, 'JP', 'Japan'),
(129908, '198.240.142.0', '198.240.145.255', 3337653760, 3337654783, 'CH', 'Switzerland'),
(129909, '198.240.146.0', '198.240.146.255', 3337654784, 3337655039, 'AU', 'Australia'),
(129910, '198.240.147.0', '198.240.255.255', 3337655040, 3337682943, 'CH', 'Switzerland'),
(129911, '198.241.0.0', '198.245.47.255', 3337682944, 3337957375, 'US', 'United States'),
(129912, '198.245.48.0', '198.245.63.255', 3337957376, 3337961471, 'CA', 'Canada'),
(129913, '198.245.128.0', '198.245.138.255', 3337977856, 3337980671, 'US', 'United States'),
(129914, '198.245.139.0', '198.245.139.255', 3337980672, 3337980927, 'PR', 'Puerto Rico'),
(129915, '198.245.140.0', '198.245.159.255', 3337980928, 3337986047, 'US', 'United States'),
(129916, '198.245.160.0', '198.245.160.255', 3337986048, 3337986303, 'BB', 'Barbados'),
(129917, '198.245.161.0', '198.246.228.255', 3337986304, 3338069247, 'US', 'United States'),
(129918, '198.246.229.0', '198.246.230.255', 3338069248, 3338069759, 'BB', 'Barbados'),
(129919, '198.246.231.0', '198.249.0.255', 3338069760, 3338207487, 'US', 'United States'),
(129920, '198.249.1.0', '198.249.1.255', 3338207488, 3338207743, 'CA', 'Canada'),
(129921, '198.249.2.0', '198.249.4.255', 3338207744, 3338208511, 'US', 'United States'),
(129922, '198.249.5.0', '198.249.5.255', 3338208512, 3338208767, 'CA', 'Canada'),
(129923, '198.249.6.0', '198.249.16.255', 3338208768, 3338211583, 'US', 'United States'),
(129924, '198.249.17.0', '198.249.18.255', 3338211584, 3338212095, 'CA', 'Canada'),
(129925, '198.249.19.0', '198.249.31.255', 3338212096, 3338215423, 'US', 'United States'),
(129926, '198.249.32.0', '198.249.33.255', 3338215424, 3338215935, 'CA', 'Canada'),
(129927, '198.249.34.0', '198.249.35.255', 3338215936, 3338216447, 'US', 'United States'),
(129928, '198.249.36.0', '198.249.36.255', 3338216448, 3338216703, 'CA', 'Canada'),
(129929, '198.249.37.0', '198.249.38.255', 3338216704, 3338217215, 'US', 'United States'),
(129930, '198.249.39.0', '198.249.39.255', 3338217216, 3338217471, 'CA', 'Canada'),
(129931, '198.249.40.0', '198.249.51.255', 3338217472, 3338220543, 'US', 'United States'),
(129932, '198.249.52.0', '198.249.53.255', 3338220544, 3338221055, 'CA', 'Canada'),
(129933, '198.249.54.0', '198.249.60.255', 3338221056, 3338222847, 'US', 'United States'),
(129934, '198.249.61.0', '198.249.62.255', 3338222848, 3338223359, 'CA', 'Canada'),
(129935, '198.249.63.0', '198.249.83.255', 3338223360, 3338228735, 'US', 'United States'),
(129936, '198.249.84.0', '198.249.84.255', 3338228736, 3338228991, 'CA', 'Canada'),
(129937, '198.249.85.0', '198.249.87.255', 3338228992, 3338229759, 'US', 'United States'),
(129938, '198.249.88.0', '198.249.88.255', 3338229760, 3338230015, 'CA', 'Canada'),
(129939, '198.249.89.0', '198.249.90.255', 3338230016, 3338230527, 'US', 'United States'),
(129940, '198.249.91.0', '198.249.91.255', 3338230528, 3338230783, 'CA', 'Canada'),
(129941, '198.249.92.0', '198.249.95.255', 3338230784, 3338231807, 'US', 'United States'),
(129942, '198.249.96.0', '198.249.96.255', 3338231808, 3338232063, 'CA', 'Canada'),
(129943, '198.249.97.0', '198.249.102.255', 3338232064, 3338233599, 'US', 'United States'),
(129944, '198.249.103.0', '198.249.103.255', 3338233600, 3338233855, 'VG', 'Virgin Islands, British'),
(129945, '198.249.104.0', '198.249.108.255', 3338233856, 3338235135, 'US', 'United States'),
(129946, '198.249.109.0', '198.249.109.255', 3338235136, 3338235391, 'CA', 'Canada'),
(129947, '198.249.110.0', '198.249.110.255', 3338235392, 3338235647, 'US', 'United States'),
(129948, '198.249.111.0', '198.249.111.255', 3338235648, 3338235903, 'CA', 'Canada'),
(129949, '198.249.112.0', '198.249.114.255', 3338235904, 3338236671, 'US', 'United States'),
(129950, '198.249.115.0', '198.249.115.255', 3338236672, 3338236927, 'CA', 'Canada'),
(129951, '198.249.116.0', '198.249.123.255', 3338236928, 3338238975, 'US', 'United States'),
(129952, '198.249.124.0', '198.249.124.255', 3338238976, 3338239231, 'CA', 'Canada'),
(129953, '198.249.125.0', '198.249.127.255', 3338239232, 3338239999, 'US', 'United States'),
(129954, '198.249.128.0', '198.249.128.255', 3338240000, 3338240255, 'CA', 'Canada'),
(129955, '198.249.129.0', '198.249.133.255', 3338240256, 3338241535, 'US', 'United States'),
(129956, '198.249.134.0', '198.249.135.255', 3338241536, 3338242047, 'CA', 'Canada'),
(129957, '198.249.136.0', '198.249.151.255', 3338242048, 3338246143, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(129958, '198.249.152.0', '198.249.152.255', 3338246144, 3338246399, 'CA', 'Canada'),
(129959, '198.249.153.0', '198.249.153.255', 3338246400, 3338246655, 'US', 'United States'),
(129960, '198.249.154.0', '198.249.155.255', 3338246656, 3338247167, 'CA', 'Canada'),
(129961, '198.249.156.0', '198.249.156.255', 3338247168, 3338247423, 'US', 'United States'),
(129962, '198.249.157.0', '198.249.157.255', 3338247424, 3338247679, 'CA', 'Canada'),
(129963, '198.249.158.0', '198.249.158.255', 3338247680, 3338247935, 'US', 'United States'),
(129964, '198.249.159.0', '198.249.163.255', 3338247936, 3338249215, 'CA', 'Canada'),
(129965, '198.249.164.0', '198.249.165.255', 3338249216, 3338249727, 'US', 'United States'),
(129966, '198.249.166.0', '198.249.166.255', 3338249728, 3338249983, 'CA', 'Canada'),
(129967, '198.249.167.0', '198.249.169.255', 3338249984, 3338250751, 'US', 'United States'),
(129968, '198.249.170.0', '198.249.173.255', 3338250752, 3338251775, 'CA', 'Canada'),
(129969, '198.249.174.0', '198.249.176.255', 3338251776, 3338252543, 'US', 'United States'),
(129970, '198.249.177.0', '198.249.177.255', 3338252544, 3338252799, 'CA', 'Canada'),
(129971, '198.249.178.0', '198.249.179.255', 3338252800, 3338253311, 'US', 'United States'),
(129972, '198.249.180.0', '198.249.180.255', 3338253312, 3338253567, 'CA', 'Canada'),
(129973, '198.249.181.0', '198.249.182.255', 3338253568, 3338254079, 'US', 'United States'),
(129974, '198.249.183.0', '198.249.183.255', 3338254080, 3338254335, 'CA', 'Canada'),
(129975, '198.249.184.0', '198.249.188.255', 3338254336, 3338255615, 'US', 'United States'),
(129976, '198.249.189.0', '198.249.189.255', 3338255616, 3338255871, 'CA', 'Canada'),
(129977, '198.249.190.0', '198.249.195.255', 3338255872, 3338257407, 'US', 'United States'),
(129978, '198.249.196.0', '198.249.196.255', 3338257408, 3338257663, 'CA', 'Canada'),
(129979, '198.249.197.0', '198.249.197.255', 3338257664, 3338257919, 'US', 'United States'),
(129980, '198.249.198.0', '198.249.198.255', 3338257920, 3338258175, 'CA', 'Canada'),
(129981, '198.249.199.0', '198.249.199.255', 3338258176, 3338258431, 'US', 'United States'),
(129982, '198.249.200.0', '198.249.200.255', 3338258432, 3338258687, 'CA', 'Canada'),
(129983, '198.249.201.0', '198.249.203.255', 3338258688, 3338259455, 'US', 'United States'),
(129984, '198.249.204.0', '198.249.204.255', 3338259456, 3338259711, 'CA', 'Canada'),
(129985, '198.249.205.0', '198.249.208.255', 3338259712, 3338260735, 'US', 'United States'),
(129986, '198.249.209.0', '198.249.212.255', 3338260736, 3338261759, 'CA', 'Canada'),
(129987, '198.249.213.0', '198.249.215.255', 3338261760, 3338262527, 'US', 'United States'),
(129988, '198.249.216.0', '198.249.217.255', 3338262528, 3338263039, 'CA', 'Canada'),
(129989, '198.249.218.0', '198.249.221.255', 3338263040, 3338264063, 'US', 'United States'),
(129990, '198.249.222.0', '198.249.223.255', 3338264064, 3338264575, 'CA', 'Canada'),
(129991, '198.249.224.0', '198.249.228.255', 3338264576, 3338265855, 'US', 'United States'),
(129992, '198.249.229.0', '198.249.231.255', 3338265856, 3338266623, 'CA', 'Canada'),
(129993, '198.249.232.0', '198.249.235.255', 3338266624, 3338267647, 'US', 'United States'),
(129994, '198.249.236.0', '198.249.237.255', 3338267648, 3338268159, 'CA', 'Canada'),
(129995, '198.249.238.0', '198.249.241.255', 3338268160, 3338269183, 'US', 'United States'),
(129996, '198.249.242.0', '198.249.245.255', 3338269184, 3338270207, 'CA', 'Canada'),
(129997, '198.249.246.0', '198.249.247.255', 3338270208, 3338270719, 'US', 'United States'),
(129998, '198.249.248.0', '198.249.249.255', 3338270720, 3338271231, 'CA', 'Canada'),
(129999, '198.249.250.0', '198.249.250.255', 3338271232, 3338271487, 'US', 'United States'),
(130000, '198.249.251.0', '198.249.251.255', 3338271488, 3338271743, 'CA', 'Canada'),
(130001, '198.249.252.0', '198.249.252.255', 3338271744, 3338271999, 'US', 'United States'),
(130002, '198.249.253.0', '198.249.253.255', 3338272000, 3338272255, 'CA', 'Canada'),
(130003, '198.249.254.0', '198.251.39.255', 3338272256, 3338348543, 'US', 'United States'),
(130004, '198.251.48.0', '198.251.63.255', 3338350592, 3338354687, 'CA', 'Canada'),
(130005, '198.251.128.0', '198.251.255.255', 3338371072, 3338403839, 'CA', 'Canada'),
(130006, '198.252.0.0', '198.254.63.255', 3338403840, 3338551295, 'US', 'United States'),
(130007, '198.254.128.0', '198.254.255.255', 3338567680, 3338600447, 'CA', 'Canada'),
(130008, '199.0.0.0', '199.0.79.255', 3338665984, 3338686463, 'US', 'United States'),
(130009, '199.0.80.0', '199.0.87.255', 3338686464, 3338688511, 'AW', 'Aruba'),
(130010, '199.0.88.0', '199.1.151.255', 3338688512, 3338770431, 'US', 'United States'),
(130011, '199.1.152.0', '199.1.159.255', 3338770432, 3338772479, 'PR', 'Puerto Rico'),
(130012, '199.1.160.0', '199.2.111.255', 3338772480, 3338825727, 'US', 'United States'),
(130013, '199.2.112.0', '199.2.119.255', 3338825728, 3338827775, 'AW', 'Aruba'),
(130014, '199.2.120.0', '199.3.195.255', 3338827776, 3338912767, 'US', 'United States'),
(130015, '199.3.196.0', '199.3.196.255', 3338912768, 3338913023, 'EC', 'Ecuador'),
(130016, '199.3.197.0', '199.3.209.255', 3338913024, 3338916351, 'US', 'United States'),
(130017, '199.3.210.0', '199.3.210.127', 3338916352, 3338916479, 'CN', 'China'),
(130018, '199.3.210.128', '199.6.1.173', 3338916480, 3339059629, 'US', 'United States'),
(130019, '199.6.1.174', '199.6.2.173', 3339059630, 3339059885, 'NL', 'Netherlands'),
(130020, '199.6.2.174', '199.6.63.255', 3339059886, 3339075583, 'US', 'United States'),
(130021, '199.6.64.0', '199.6.68.255', 3339075584, 3339076863, 'GB', 'United Kingdom'),
(130022, '199.6.69.0', '199.6.71.255', 3339076864, 3339077631, 'JP', 'Japan'),
(130023, '199.6.72.0', '199.6.72.255', 3339077632, 3339077887, 'SG', 'Singapore'),
(130024, '199.6.73.0', '199.6.77.255', 3339077888, 3339079167, 'US', 'United States'),
(130025, '199.6.78.0', '199.6.78.255', 3339079168, 3339079423, 'DK', 'Denmark'),
(130026, '199.6.79.0', '199.6.79.255', 3339079424, 3339079679, 'CA', 'Canada'),
(130027, '199.6.80.0', '199.6.83.255', 3339079680, 3339080703, 'IT', 'Italy'),
(130028, '199.6.84.0', '199.6.84.255', 3339080704, 3339080959, 'FR', 'France'),
(130029, '199.6.85.0', '199.6.87.255', 3339080960, 3339081727, 'HK', 'Hong Kong'),
(130030, '199.6.88.0', '199.6.88.255', 3339081728, 3339081983, 'NL', 'Netherlands'),
(130031, '199.6.89.0', '199.6.91.255', 3339081984, 3339082751, 'FR', 'France'),
(130032, '199.6.92.0', '199.6.105.255', 3339082752, 3339086335, 'US', 'United States'),
(130033, '199.6.106.0', '199.6.106.255', 3339086336, 3339086591, 'JP', 'Japan'),
(130034, '199.6.107.0', '199.6.127.255', 3339086592, 3339091967, 'US', 'United States'),
(130035, '199.6.128.0', '199.6.131.255', 3339091968, 3339092991, 'NL', 'Netherlands'),
(130036, '199.6.132.0', '199.6.133.255', 3339092992, 3339093503, 'US', 'United States'),
(130037, '199.6.134.0', '199.6.135.255', 3339093504, 3339094015, 'NL', 'Netherlands'),
(130038, '199.6.136.0', '199.7.69.255', 3339094016, 3339142655, 'US', 'United States'),
(130039, '199.7.70.0', '199.7.70.255', 3339142656, 3339142911, 'NL', 'Netherlands'),
(130040, '199.7.71.0', '199.7.83.255', 3339142912, 3339146239, 'US', 'United States'),
(130041, '199.7.85.0', '199.7.86.255', 3339146496, 3339147007, 'US', 'United States'),
(130042, '199.7.87.0', '199.7.89.255', 3339147008, 3339147775, 'CA', 'Canada'),
(130043, '199.7.90.0', '199.7.90.255', 3339147776, 3339148031, 'MS', 'Montserrat'),
(130044, '199.7.91.0', '199.7.111.255', 3339148032, 3339153407, 'US', 'United States'),
(130045, '199.7.112.0', '199.7.119.255', 3339153408, 3339155455, 'BB', 'Barbados'),
(130046, '199.7.120.0', '199.7.135.255', 3339155456, 3339159551, 'US', 'United States'),
(130047, '199.7.136.0', '199.7.139.255', 3339159552, 3339160575, 'CA', 'Canada'),
(130048, '199.7.140.0', '199.7.155.255', 3339160576, 3339164671, 'US', 'United States'),
(130049, '199.7.156.0', '199.7.159.255', 3339164672, 3339165695, 'CA', 'Canada'),
(130050, '199.7.160.0', '199.7.167.255', 3339165696, 3339167743, 'US', 'United States'),
(130051, '199.7.168.0', '199.7.171.255', 3339167744, 3339168767, 'PR', 'Puerto Rico'),
(130052, '199.7.172.0', '199.7.207.255', 3339168768, 3339177983, 'US', 'United States'),
(130053, '199.7.208.0', '199.7.209.255', 3339177984, 3339178495, 'PR', 'Puerto Rico'),
(130054, '199.7.210.0', '199.7.210.255', 3339178496, 3339178751, 'DO', 'Dominican Republic'),
(130055, '199.7.211.0', '199.7.211.255', 3339178752, 3339179007, 'PR', 'Puerto Rico'),
(130056, '199.7.212.0', '199.7.215.255', 3339179008, 3339180031, 'US', 'United States'),
(130057, '199.7.216.0', '199.7.219.255', 3339180032, 3339181055, 'CA', 'Canada'),
(130058, '199.7.220.0', '199.7.231.255', 3339181056, 3339184127, 'US', 'United States'),
(130059, '199.7.232.0', '199.7.233.255', 3339184128, 3339184639, 'CA', 'Canada'),
(130060, '199.7.234.0', '199.7.234.255', 3339184640, 3339184895, 'US', 'United States'),
(130061, '199.7.235.0', '199.7.239.255', 3339184896, 3339186175, 'CA', 'Canada'),
(130062, '199.7.240.0', '199.10.25.255', 3339186176, 3339327999, 'US', 'United States'),
(130063, '199.10.28.0', '199.10.31.255', 3339328512, 3339329535, 'CA', 'Canada'),
(130064, '199.10.32.0', '199.10.63.255', 3339329536, 3339337727, 'US', 'United States'),
(130065, '199.10.65.0', '199.10.65.255', 3339337984, 3339338239, 'US', 'United States'),
(130066, '199.10.66.0', '199.10.66.255', 3339338240, 3339338495, 'CA', 'Canada'),
(130067, '199.10.67.0', '199.15.79.255', 3339338496, 3339669503, 'US', 'United States'),
(130068, '199.15.80.0', '199.15.88.255', 3339669504, 3339671807, 'CA', 'Canada'),
(130069, '199.15.92.0', '199.15.116.1', 3339672576, 3339678721, 'US', 'United States'),
(130070, '199.15.116.2', '199.15.116.62', 3339678722, 3339678782, 'CN', 'China'),
(130071, '199.15.116.63', '199.15.116.65', 3339678783, 3339678785, 'US', 'United States'),
(130072, '199.15.116.66', '199.15.116.126', 3339678786, 3339678846, 'CN', 'China'),
(130073, '199.15.116.127', '199.15.118.255', 3339678847, 3339679487, 'US', 'United States'),
(130074, '199.15.119.0', '199.15.119.255', 3339679488, 3339679743, 'CN', 'China'),
(130075, '199.15.120.0', '199.16.49.239', 3339679744, 3339727343, 'US', 'United States'),
(130076, '199.16.49.240', '199.16.49.247', 3339727344, 3339727351, 'CA', 'Canada'),
(130077, '199.16.49.248', '199.16.53.191', 3339727352, 3339728319, 'US', 'United States'),
(130078, '199.16.53.192', '199.16.53.223', 3339728320, 3339728351, 'IN', 'India'),
(130079, '199.16.53.224', '199.16.54.207', 3339728352, 3339728591, 'US', 'United States'),
(130080, '199.16.54.208', '199.16.54.215', 3339728592, 3339728599, 'IN', 'India'),
(130081, '199.16.54.216', '199.16.55.255', 3339728600, 3339728895, 'US', 'United States'),
(130082, '199.16.56.0', '199.16.59.255', 3339728896, 3339729919, 'AG', 'Antigua and Barbuda'),
(130083, '199.16.60.0', '199.16.111.255', 3339729920, 3339743231, 'US', 'United States'),
(130084, '199.16.112.0', '199.16.115.255', 3339743232, 3339744255, 'CA', 'Canada'),
(130085, '199.16.116.0', '199.16.127.255', 3339744256, 3339747327, 'US', 'United States'),
(130086, '199.16.128.0', '199.16.128.255', 3339747328, 3339747583, 'CA', 'Canada'),
(130087, '199.16.129.0', '199.16.129.255', 3339747584, 3339747839, 'FR', 'France'),
(130088, '199.16.130.0', '199.16.131.255', 3339747840, 3339748351, 'CA', 'Canada'),
(130089, '199.16.132.0', '199.16.151.255', 3339748352, 3339753471, 'US', 'United States'),
(130090, '199.16.152.0', '199.16.155.255', 3339753472, 3339754495, 'CA', 'Canada'),
(130091, '199.16.156.0', '199.16.179.255', 3339754496, 3339760639, 'US', 'United States'),
(130092, '199.16.180.0', '199.16.183.255', 3339760640, 3339761663, 'CA', 'Canada'),
(130093, '199.16.184.0', '199.19.47.255', 3339761664, 3339923455, 'US', 'United States'),
(130094, '199.19.48.0', '199.19.63.255', 3339923456, 3339927551, 'CA', 'Canada'),
(130095, '199.19.64.0', '199.19.91.255', 3339927552, 3339934719, 'US', 'United States'),
(130096, '199.19.92.0', '199.19.95.255', 3339934720, 3339935743, 'CA', 'Canada'),
(130097, '199.19.96.0', '199.19.119.18', 3339935744, 3339941650, 'US', 'United States'),
(130098, '199.19.119.19', '199.19.119.19', 3339941651, 3339941651, 'BR', 'Brazil'),
(130099, '199.19.119.20', '199.19.119.32', 3339941652, 3339941664, 'US', 'United States'),
(130100, '199.19.119.33', '199.19.119.33', 3339941665, 3339941665, 'BR', 'Brazil'),
(130101, '199.19.119.34', '199.19.119.158', 3339941666, 3339941790, 'US', 'United States'),
(130102, '199.19.119.159', '199.19.119.159', 3339941791, 3339941791, 'BR', 'Brazil'),
(130103, '199.19.119.160', '199.19.159.255', 3339941792, 3339952127, 'US', 'United States'),
(130104, '199.19.160.0', '199.19.175.255', 3339952128, 3339956223, 'CA', 'Canada'),
(130105, '199.19.176.0', '199.19.211.255', 3339956224, 3339965439, 'US', 'United States'),
(130106, '199.19.212.0', '199.19.223.255', 3339965440, 3339968511, 'CA', 'Canada'),
(130107, '199.19.224.0', '199.21.114.255', 3339968512, 3340071679, 'US', 'United States'),
(130108, '199.21.115.0', '199.21.115.63', 3340071680, 3340071743, 'ES', 'Spain'),
(130109, '199.21.115.64', '199.21.147.255', 3340071744, 3340080127, 'US', 'United States'),
(130110, '199.21.148.0', '199.21.151.255', 3340080128, 3340081151, 'CA', 'Canada'),
(130111, '199.21.152.0', '199.21.163.255', 3340081152, 3340084223, 'US', 'United States'),
(130112, '199.21.164.0', '199.21.167.255', 3340084224, 3340085247, 'KN', 'Saint Kitts and Nevis'),
(130113, '199.21.168.0', '199.21.179.255', 3340085248, 3340088319, 'US', 'United States'),
(130114, '199.21.180.0', '199.21.183.255', 3340088320, 3340089343, 'CA', 'Canada'),
(130115, '199.21.184.0', '199.21.215.255', 3340089344, 3340097535, 'US', 'United States'),
(130116, '199.21.216.0', '199.21.219.255', 3340097536, 3340098559, 'CA', 'Canada'),
(130117, '199.21.220.0', '199.21.255.255', 3340098560, 3340107775, 'US', 'United States'),
(130118, '199.22.0.0', '199.25.255.255', 3340107776, 3340369919, 'CA', 'Canada'),
(130119, '199.26.0.0', '199.26.64.255', 3340369920, 3340386559, 'US', 'United States'),
(130120, '199.26.68.0', '199.26.71.255', 3340387328, 3340388351, 'CA', 'Canada'),
(130121, '199.26.72.0', '199.26.79.255', 3340388352, 3340390399, 'US', 'United States'),
(130122, '199.26.80.0', '199.26.83.255', 3340390400, 3340391423, 'CA', 'Canada'),
(130123, '199.26.84.0', '199.26.85.97', 3340391424, 3340391777, 'US', 'United States'),
(130124, '199.26.85.98', '199.26.85.113', 3340391778, 3340391793, 'EG', 'Egypt'),
(130125, '199.26.85.114', '199.26.85.145', 3340391794, 3340391825, 'US', 'United States'),
(130126, '199.26.85.146', '199.26.85.153', 3340391826, 3340391833, 'EG', 'Egypt'),
(130127, '199.26.85.154', '199.26.85.161', 3340391834, 3340391841, 'VE', 'Venezuela'),
(130128, '199.26.85.162', '199.26.85.169', 3340391842, 3340391849, 'IN', 'India'),
(130129, '199.26.85.170', '199.26.233.255', 3340391850, 3340429823, 'US', 'United States'),
(130130, '199.26.234.0', '199.26.234.255', 3340429824, 3340430079, 'PA', 'Panama'),
(130131, '199.26.235.0', '199.27.95.255', 3340430080, 3340460031, 'US', 'United States'),
(130132, '199.27.96.0', '199.27.103.255', 3340460032, 3340462079, 'PR', 'Puerto Rico'),
(130133, '199.27.104.0', '199.27.119.255', 3340462080, 3340466175, 'US', 'United States'),
(130134, '199.27.120.0', '199.27.123.255', 3340466176, 3340467199, 'A2', 'Satellite Provider'),
(130135, '199.27.124.0', '199.27.179.255', 3340467200, 3340481535, 'US', 'United States'),
(130136, '199.27.180.0', '199.27.183.255', 3340481536, 3340482559, 'CA', 'Canada'),
(130137, '199.27.184.0', '199.27.215.255', 3340482560, 3340490751, 'US', 'United States'),
(130138, '199.27.216.0', '199.27.223.255', 3340490752, 3340492799, 'CA', 'Canada'),
(130139, '199.27.224.0', '199.27.226.255', 3340492800, 3340493567, 'US', 'United States'),
(130140, '199.27.227.0', '199.27.227.255', 3340493568, 3340493823, 'HK', 'Hong Kong'),
(130141, '199.27.228.0', '199.29.70.255', 3340493824, 3340584703, 'US', 'United States'),
(130142, '199.29.71.0', '199.29.71.255', 3340584704, 3340584959, 'KW', 'Kuwait'),
(130143, '199.29.72.0', '199.30.127.255', 3340584960, 3340664831, 'US', 'United States'),
(130144, '199.30.128.0', '199.30.131.255', 3340664832, 3340665855, 'CA', 'Canada'),
(130145, '199.30.132.0', '199.30.175.255', 3340665856, 3340677119, 'US', 'United States'),
(130146, '199.30.176.0', '199.30.183.255', 3340677120, 3340679167, 'CA', 'Canada'),
(130147, '199.30.184.0', '199.30.244.255', 3340679168, 3340694783, 'US', 'United States'),
(130148, '199.30.245.0', '199.30.245.255', 3340694784, 3340695039, 'CA', 'Canada'),
(130149, '199.30.246.0', '199.33.65.255', 3340695040, 3340845567, 'US', 'United States'),
(130150, '199.33.68.0', '199.33.68.31', 3340846080, 3340846111, 'US', 'United States'),
(130151, '199.33.68.32', '199.33.68.39', 3340846112, 3340846119, 'CA', 'Canada'),
(130152, '199.33.68.40', '199.33.68.47', 3340846120, 3340846127, 'GB', 'United Kingdom'),
(130153, '199.33.68.48', '199.33.68.51', 3340846128, 3340846131, 'MX', 'Mexico'),
(130154, '199.33.68.52', '199.33.68.59', 3340846132, 3340846139, 'BR', 'Brazil'),
(130155, '199.33.68.60', '199.33.111.255', 3340846140, 3340857343, 'US', 'United States'),
(130156, '199.33.112.0', '199.33.112.255', 3340857344, 3340857599, 'CA', 'Canada'),
(130157, '199.33.113.0', '199.34.14.255', 3340857600, 3340898047, 'US', 'United States'),
(130158, '199.34.15.0', '199.34.15.255', 3340898048, 3340898303, 'CA', 'Canada'),
(130159, '199.34.16.0', '199.34.120.143', 3340898304, 3340925071, 'US', 'United States'),
(130160, '199.34.120.144', '199.34.120.151', 3340925072, 3340925079, 'CA', 'Canada'),
(130161, '199.34.120.152', '199.34.121.63', 3340925080, 3340925247, 'US', 'United States'),
(130162, '199.34.121.64', '199.34.121.71', 3340925248, 3340925255, 'AR', 'Argentina'),
(130163, '199.34.121.72', '199.34.121.95', 3340925256, 3340925279, 'US', 'United States'),
(130164, '199.34.121.96', '199.34.121.103', 3340925280, 3340925287, 'CA', 'Canada'),
(130165, '199.34.121.104', '199.34.121.119', 3340925288, 3340925303, 'US', 'United States'),
(130166, '199.34.121.120', '199.34.121.127', 3340925304, 3340925311, 'SE', 'Sweden'),
(130167, '199.34.121.128', '199.34.121.191', 3340925312, 3340925375, 'US', 'United States'),
(130168, '199.34.121.192', '199.34.121.199', 3340925376, 3340925383, 'RU', 'Russian Federation'),
(130169, '199.34.121.200', '199.34.122.31', 3340925384, 3340925471, 'US', 'United States'),
(130170, '199.34.122.32', '199.34.122.39', 3340925472, 3340925479, 'CH', 'Switzerland'),
(130171, '199.34.122.40', '199.34.122.95', 3340925480, 3340925535, 'US', 'United States'),
(130172, '199.34.122.96', '199.34.122.103', 3340925536, 3340925543, 'RU', 'Russian Federation'),
(130173, '199.34.122.104', '199.34.122.167', 3340925544, 3340925607, 'US', 'United States'),
(130174, '199.34.122.168', '199.34.122.175', 3340925608, 3340925615, 'AU', 'Australia'),
(130175, '199.34.122.176', '199.34.122.191', 3340925616, 3340925631, 'US', 'United States'),
(130176, '199.34.122.192', '199.34.122.199', 3340925632, 3340925639, 'BR', 'Brazil'),
(130177, '199.34.122.200', '199.34.122.207', 3340925640, 3340925647, 'CO', 'Colombia'),
(130178, '199.34.122.208', '199.34.123.7', 3340925648, 3340925703, 'US', 'United States'),
(130179, '199.34.123.8', '199.34.123.15', 3340925704, 3340925711, 'FR', 'France'),
(130180, '199.34.123.16', '199.34.123.23', 3340925712, 3340925719, 'US', 'United States'),
(130181, '199.34.123.24', '199.34.123.31', 3340925720, 3340925727, 'CA', 'Canada'),
(130182, '199.34.123.32', '199.34.123.39', 3340925728, 3340925735, 'BR', 'Brazil'),
(130183, '199.34.123.40', '199.34.123.47', 3340925736, 3340925743, 'UA', 'Ukraine'),
(130184, '199.34.123.48', '199.34.123.127', 3340925744, 3340925823, 'US', 'United States'),
(130185, '199.34.123.128', '199.34.123.191', 3340925824, 3340925887, 'GB', 'United Kingdom'),
(130186, '199.34.123.192', '199.34.123.199', 3340925888, 3340925895, 'CA', 'Canada'),
(130187, '199.34.123.200', '199.34.123.223', 3340925896, 3340925919, 'US', 'United States'),
(130188, '199.34.123.224', '199.34.123.231', 3340925920, 3340925927, 'PT', 'Portugal'),
(130189, '199.34.123.232', '199.34.123.239', 3340925928, 3340925935, 'US', 'United States'),
(130190, '199.34.123.240', '199.34.123.247', 3340925936, 3340925943, 'DE', 'Germany'),
(130191, '199.34.123.248', '199.34.124.47', 3340925944, 3340925999, 'US', 'United States'),
(130192, '199.34.124.48', '199.34.124.55', 3340926000, 3340926007, 'RU', 'Russian Federation'),
(130193, '199.34.124.56', '199.34.124.63', 3340926008, 3340926015, 'US', 'United States'),
(130194, '199.34.124.64', '199.34.124.71', 3340926016, 3340926023, 'RU', 'Russian Federation'),
(130195, '199.34.124.72', '199.34.124.143', 3340926024, 3340926095, 'US', 'United States'),
(130196, '199.34.124.144', '199.34.124.151', 3340926096, 3340926103, 'AU', 'Australia'),
(130197, '199.34.124.152', '199.34.124.159', 3340926104, 3340926111, 'CA', 'Canada'),
(130198, '199.34.124.160', '199.34.124.191', 3340926112, 3340926143, 'US', 'United States'),
(130199, '199.34.124.192', '199.34.124.199', 3340926144, 3340926151, 'BR', 'Brazil'),
(130200, '199.34.124.200', '199.34.124.207', 3340926152, 3340926159, 'CN', 'China'),
(130201, '199.34.124.208', '199.34.124.223', 3340926160, 3340926175, 'AR', 'Argentina'),
(130202, '199.34.124.224', '199.34.124.247', 3340926176, 3340926199, 'US', 'United States'),
(130203, '199.34.124.248', '199.34.124.255', 3340926200, 3340926207, 'DE', 'Germany'),
(130204, '199.34.125.0', '199.34.125.15', 3340926208, 3340926223, 'US', 'United States'),
(130205, '199.34.125.16', '199.34.125.23', 3340926224, 3340926231, 'PT', 'Portugal'),
(130206, '199.34.125.24', '199.34.125.39', 3340926232, 3340926247, 'CA', 'Canada'),
(130207, '199.34.125.40', '199.34.125.47', 3340926248, 3340926255, 'AR', 'Argentina'),
(130208, '199.34.125.48', '199.34.125.55', 3340926256, 3340926263, 'AU', 'Australia'),
(130209, '199.34.125.56', '199.34.125.79', 3340926264, 3340926287, 'US', 'United States'),
(130210, '199.34.125.80', '199.34.125.87', 3340926288, 3340926295, 'CA', 'Canada'),
(130211, '199.34.125.88', '199.34.125.111', 3340926296, 3340926319, 'US', 'United States'),
(130212, '199.34.125.112', '199.34.125.119', 3340926320, 3340926327, 'RU', 'Russian Federation'),
(130213, '199.34.125.120', '199.34.125.135', 3340926328, 3340926343, 'US', 'United States'),
(130214, '199.34.125.136', '199.34.125.143', 3340926344, 3340926351, 'GB', 'United Kingdom'),
(130215, '199.34.125.144', '199.34.125.199', 3340926352, 3340926407, 'US', 'United States'),
(130216, '199.34.125.200', '199.34.125.207', 3340926408, 3340926415, 'GB', 'United Kingdom'),
(130217, '199.34.125.208', '199.34.125.231', 3340926416, 3340926439, 'US', 'United States'),
(130218, '199.34.125.232', '199.34.125.239', 3340926440, 3340926447, 'NO', 'Norway'),
(130219, '199.34.125.240', '199.34.125.247', 3340926448, 3340926455, 'DE', 'Germany'),
(130220, '199.34.125.248', '199.34.125.255', 3340926456, 3340926463, 'US', 'United States'),
(130221, '199.34.126.0', '199.34.126.15', 3340926464, 3340926479, 'MX', 'Mexico'),
(130222, '199.34.126.16', '199.34.126.31', 3340926480, 3340926495, 'US', 'United States'),
(130223, '199.34.126.32', '199.34.126.39', 3340926496, 3340926503, 'DE', 'Germany'),
(130224, '199.34.126.40', '199.34.126.47', 3340926504, 3340926511, 'MX', 'Mexico'),
(130225, '199.34.126.48', '199.34.126.79', 3340926512, 3340926543, 'US', 'United States'),
(130226, '199.34.126.80', '199.34.126.95', 3340926544, 3340926559, 'GB', 'United Kingdom'),
(130227, '199.34.126.96', '199.34.126.135', 3340926560, 3340926599, 'US', 'United States'),
(130228, '199.34.126.136', '199.34.126.143', 3340926600, 3340926607, 'CA', 'Canada'),
(130229, '199.34.126.144', '199.34.126.151', 3340926608, 3340926615, 'RU', 'Russian Federation'),
(130230, '199.34.126.152', '199.34.126.159', 3340926616, 3340926623, 'US', 'United States'),
(130231, '199.34.126.160', '199.34.126.191', 3340926624, 3340926655, 'GB', 'United Kingdom'),
(130232, '199.34.126.192', '199.34.126.199', 3340926656, 3340926663, 'BE', 'Belgium'),
(130233, '199.34.126.200', '199.34.126.207', 3340926664, 3340926671, 'GB', 'United Kingdom'),
(130234, '199.34.126.208', '199.34.126.215', 3340926672, 3340926679, 'US', 'United States'),
(130235, '199.34.126.216', '199.34.126.223', 3340926680, 3340926687, 'CL', 'Chile'),
(130236, '199.34.126.224', '199.34.127.71', 3340926688, 3340926791, 'US', 'United States'),
(130237, '199.34.127.72', '199.34.127.79', 3340926792, 3340926799, 'GB', 'United Kingdom'),
(130238, '199.34.127.80', '199.34.127.95', 3340926800, 3340926815, 'US', 'United States'),
(130239, '199.34.127.96', '199.34.127.103', 3340926816, 3340926823, 'CA', 'Canada'),
(130240, '199.34.127.104', '199.34.127.183', 3340926824, 3340926903, 'US', 'United States'),
(130241, '199.34.127.184', '199.34.127.191', 3340926904, 3340926911, 'IL', 'Israel'),
(130242, '199.34.127.192', '199.34.127.207', 3340926912, 3340926927, 'US', 'United States'),
(130243, '199.34.127.208', '199.34.127.215', 3340926928, 3340926935, 'ES', 'Spain'),
(130244, '199.34.127.216', '199.36.120.79', 3340926936, 3341056079, 'US', 'United States'),
(130245, '199.36.120.80', '199.36.120.95', 3341056080, 3341056095, 'CH', 'Switzerland'),
(130246, '199.36.120.96', '199.36.120.223', 3341056096, 3341056223, 'IN', 'India'),
(130247, '199.36.120.224', '199.36.120.239', 3341056224, 3341056239, 'AU', 'Australia'),
(130248, '199.36.120.240', '199.36.120.255', 3341056240, 3341056255, 'US', 'United States'),
(130249, '199.36.121.0', '199.36.121.15', 3341056256, 3341056271, 'IN', 'India'),
(130250, '199.36.121.16', '199.36.121.31', 3341056272, 3341056287, 'US', 'United States'),
(130251, '199.36.121.32', '199.36.121.159', 3341056288, 3341056415, 'IN', 'India'),
(130252, '199.36.121.160', '199.36.122.255', 3341056416, 3341056767, 'US', 'United States'),
(130253, '199.36.123.0', '199.36.123.127', 3341056768, 3341056895, 'CA', 'Canada'),
(130254, '199.36.123.128', '199.36.223.255', 3341056896, 3341082623, 'US', 'United States'),
(130255, '199.36.224.0', '199.36.231.255', 3341082624, 3341084671, 'CA', 'Canada'),
(130256, '199.36.232.0', '199.38.95.255', 3341084672, 3341180927, 'US', 'United States'),
(130257, '199.38.96.0', '199.38.103.255', 3341180928, 3341182975, 'CA', 'Canada'),
(130258, '199.38.104.0', '199.38.191.255', 3341182976, 3341205503, 'US', 'United States'),
(130259, '199.38.192.0', '199.38.199.255', 3341205504, 3341207551, 'VC', 'Saint Vincent and the Grenadines'),
(130260, '199.38.200.0', '199.38.233.255', 3341207552, 3341216255, 'US', 'United States'),
(130261, '199.38.234.0', '199.38.234.255', 3341216256, 3341216511, 'JP', 'Japan'),
(130262, '199.38.235.0', '199.38.235.255', 3341216512, 3341216767, 'US', 'United States'),
(130263, '199.38.236.0', '199.38.239.255', 3341216768, 3341217791, 'CA', 'Canada'),
(130264, '199.38.240.0', '199.38.240.15', 3341217792, 3341217807, 'US', 'United States'),
(130265, '199.38.240.16', '199.38.240.31', 3341217808, 3341217823, 'IN', 'India'),
(130266, '199.38.240.32', '199.38.240.47', 3341217824, 3341217839, 'PH', 'Philippines'),
(130267, '199.38.240.48', '199.38.240.55', 3341217840, 3341217847, 'US', 'United States'),
(130268, '199.38.240.56', '199.38.240.63', 3341217848, 3341217855, 'PH', 'Philippines'),
(130269, '199.38.240.64', '199.38.240.71', 3341217856, 3341217863, 'US', 'United States'),
(130270, '199.38.240.72', '199.38.240.79', 3341217864, 3341217871, 'AU', 'Australia'),
(130271, '199.38.240.80', '199.38.240.95', 3341217872, 3341217887, 'PH', 'Philippines'),
(130272, '199.38.240.96', '199.38.240.143', 3341217888, 3341217935, 'US', 'United States'),
(130273, '199.38.240.144', '199.38.240.159', 3341217936, 3341217951, 'AU', 'Australia'),
(130274, '199.38.240.160', '199.38.240.175', 3341217952, 3341217967, 'NL', 'Netherlands'),
(130275, '199.38.240.176', '199.38.240.223', 3341217968, 3341218015, 'IN', 'India'),
(130276, '199.38.240.224', '199.38.240.231', 3341218016, 3341218023, 'PH', 'Philippines'),
(130277, '199.38.240.232', '199.38.240.247', 3341218024, 3341218039, 'US', 'United States'),
(130278, '199.38.240.248', '199.38.240.255', 3341218040, 3341218047, 'PH', 'Philippines'),
(130279, '199.38.241.0', '199.38.241.7', 3341218048, 3341218055, 'JP', 'Japan'),
(130280, '199.38.241.8', '199.38.241.15', 3341218056, 3341218063, 'US', 'United States'),
(130281, '199.38.241.16', '199.38.241.23', 3341218064, 3341218071, 'SG', 'Singapore'),
(130282, '199.38.241.24', '199.38.241.103', 3341218072, 3341218151, 'US', 'United States'),
(130283, '199.38.241.104', '199.38.241.119', 3341218152, 3341218167, 'PH', 'Philippines'),
(130284, '199.38.241.120', '199.38.241.175', 3341218168, 3341218223, 'US', 'United States'),
(130285, '199.38.241.176', '199.38.241.183', 3341218224, 3341218231, 'AU', 'Australia'),
(130286, '199.38.241.184', '199.38.241.199', 3341218232, 3341218247, 'US', 'United States'),
(130287, '199.38.241.200', '199.38.241.207', 3341218248, 3341218255, 'PH', 'Philippines'),
(130288, '199.38.241.208', '199.38.241.223', 3341218256, 3341218271, 'US', 'United States'),
(130289, '199.38.241.224', '199.38.241.239', 3341218272, 3341218287, 'IN', 'India'),
(130290, '199.38.241.240', '199.38.242.15', 3341218288, 3341218319, 'US', 'United States'),
(130291, '199.38.242.16', '199.38.242.31', 3341218320, 3341218335, 'SG', 'Singapore'),
(130292, '199.38.242.32', '199.38.242.47', 3341218336, 3341218351, 'US', 'United States'),
(130293, '199.38.242.48', '199.38.242.63', 3341218352, 3341218367, 'PH', 'Philippines'),
(130294, '199.38.242.64', '199.38.242.127', 3341218368, 3341218431, 'US', 'United States'),
(130295, '199.38.242.128', '199.38.242.255', 3341218432, 3341218559, 'IN', 'India'),
(130296, '199.38.243.0', '199.38.243.31', 3341218560, 3341218591, 'US', 'United States'),
(130297, '199.38.243.32', '199.38.243.159', 3341218592, 3341218719, 'IN', 'India'),
(130298, '199.38.243.160', '199.38.243.255', 3341218720, 3341218815, 'US', 'United States'),
(130299, '199.38.244.0', '199.38.244.191', 3341218816, 3341219007, 'CA', 'Canada'),
(130300, '199.38.244.192', '199.38.244.255', 3341219008, 3341219071, 'US', 'United States'),
(130301, '199.38.245.0', '199.38.245.31', 3341219072, 3341219103, 'IN', 'India'),
(130302, '199.38.245.32', '199.38.245.95', 3341219104, 3341219167, 'US', 'United States'),
(130303, '199.38.245.96', '199.38.245.191', 3341219168, 3341219263, 'IN', 'India'),
(130304, '199.38.245.192', '199.38.246.255', 3341219264, 3341219583, 'US', 'United States'),
(130305, '199.38.247.0', '199.38.247.31', 3341219584, 3341219615, 'IN', 'India'),
(130306, '199.38.247.32', '199.38.247.63', 3341219616, 3341219647, 'US', 'United States'),
(130307, '199.38.247.64', '199.38.247.127', 3341219648, 3341219711, 'CA', 'Canada'),
(130308, '199.38.247.128', '199.40.203.255', 3341219712, 3341339647, 'US', 'United States'),
(130309, '199.40.204.0', '199.40.204.255', 3341339648, 3341339903, 'AP', 'Asia/Pacific Region'),
(130310, '199.40.205.0', '199.40.205.255', 3341339904, 3341340159, 'US', 'United States'),
(130311, '199.40.206.0', '199.40.206.255', 3341340160, 3341340415, 'AP', 'Asia/Pacific Region'),
(130312, '199.40.207.0', '199.42.80.224', 3341340416, 3341439200, 'US', 'United States'),
(130313, '199.42.80.225', '199.42.80.225', 3341439201, 3341439201, 'CA', 'Canada'),
(130314, '199.42.80.226', '199.42.102.255', 3341439202, 3341444863, 'US', 'United States'),
(130315, '199.42.103.0', '199.42.105.255', 3341444864, 3341445631, 'DE', 'Germany'),
(130316, '199.42.106.0', '199.42.179.255', 3341445632, 3341464575, 'US', 'United States'),
(130317, '199.42.180.0', '199.42.180.255', 3341464576, 3341464831, 'GB', 'United Kingdom'),
(130318, '199.42.181.0', '199.42.201.255', 3341464832, 3341470207, 'US', 'United States'),
(130319, '199.42.202.0', '199.42.202.255', 3341470208, 3341470463, 'GB', 'United Kingdom'),
(130320, '199.42.203.0', '199.42.239.255', 3341470464, 3341479935, 'US', 'United States'),
(130321, '199.42.240.0', '199.42.241.255', 3341479936, 3341480447, 'DE', 'Germany'),
(130322, '199.42.242.0', '199.43.0.255', 3341480448, 3341484287, 'US', 'United States'),
(130323, '199.43.1.0', '199.43.3.255', 3341484288, 3341485055, 'CA', 'Canada'),
(130324, '199.43.4.0', '199.43.18.255', 3341485056, 3341488895, 'US', 'United States'),
(130325, '199.43.19.0', '199.43.19.255', 3341488896, 3341489151, 'AP', 'Asia/Pacific Region'),
(130326, '199.43.20.0', '199.43.107.255', 3341489152, 3341511679, 'US', 'United States'),
(130327, '199.43.108.0', '199.43.131.255', 3341511680, 3341517823, 'CA', 'Canada'),
(130328, '199.43.132.0', '199.43.135.255', 3341517824, 3341518847, 'US', 'United States'),
(130329, '199.43.136.0', '199.43.143.255', 3341518848, 3341520895, 'CA', 'Canada'),
(130330, '199.43.144.0', '199.43.146.255', 3341520896, 3341521663, 'US', 'United States'),
(130331, '199.43.147.0', '199.43.183.255', 3341521664, 3341531135, 'CA', 'Canada'),
(130332, '199.43.184.0', '199.43.195.255', 3341531136, 3341534207, 'US', 'United States'),
(130333, '199.43.199.0', '199.43.207.255', 3341534976, 3341537279, 'CA', 'Canada'),
(130334, '199.43.208.0', '199.43.242.255', 3341537280, 3341546239, 'US', 'United States'),
(130335, '199.43.243.0', '199.43.245.255', 3341546240, 3341547007, 'CA', 'Canada'),
(130336, '199.43.246.0', '199.43.247.255', 3341547008, 3341547519, 'CH', 'Switzerland'),
(130337, '199.43.248.0', '199.43.255.255', 3341547520, 3341549567, 'CA', 'Canada'),
(130338, '199.44.0.0', '199.45.65.255', 3341549568, 3341631999, 'US', 'United States'),
(130339, '199.45.66.0', '199.45.68.255', 3341632000, 3341632767, 'CA', 'Canada'),
(130340, '199.45.69.0', '199.45.76.255', 3341632768, 3341634815, 'US', 'United States'),
(130341, '199.45.77.0', '199.45.77.255', 3341634816, 3341635071, 'CA', 'Canada'),
(130342, '199.45.78.0', '199.45.103.255', 3341635072, 3341641727, 'US', 'United States'),
(130343, '199.45.104.0', '199.45.108.255', 3341641728, 3341643007, 'CA', 'Canada'),
(130344, '199.45.109.0', '199.45.110.255', 3341643008, 3341643519, 'US', 'United States'),
(130345, '199.45.111.0', '199.45.111.255', 3341643520, 3341643775, 'CA', 'Canada'),
(130346, '199.45.112.0', '199.45.113.255', 3341643776, 3341644287, 'US', 'United States'),
(130347, '199.45.114.0', '199.45.115.255', 3341644288, 3341644799, 'CA', 'Canada'),
(130348, '199.45.116.0', '199.45.116.255', 3341644800, 3341645055, 'US', 'United States'),
(130349, '199.45.117.0', '199.45.118.255', 3341645056, 3341645567, 'CA', 'Canada'),
(130350, '199.45.119.0', '199.45.120.255', 3341645568, 3341646079, 'US', 'United States'),
(130351, '199.45.121.0', '199.45.122.255', 3341646080, 3341646591, 'CA', 'Canada'),
(130352, '199.45.123.0', '199.46.111.255', 3341646592, 3341709311, 'US', 'United States'),
(130353, '199.46.112.0', '199.46.115.255', 3341709312, 3341710335, 'CA', 'Canada'),
(130354, '199.46.116.0', '199.46.124.255', 3341710336, 3341712639, 'US', 'United States'),
(130355, '199.46.125.0', '199.46.125.127', 3341712640, 3341712767, 'CN', 'China'),
(130356, '199.46.125.128', '199.46.125.207', 3341712768, 3341712847, 'US', 'United States'),
(130357, '199.46.125.208', '199.46.125.215', 3341712848, 3341712855, 'CN', 'China'),
(130358, '199.46.125.216', '199.46.126.167', 3341712856, 3341713063, 'US', 'United States'),
(130359, '199.46.126.168', '199.46.126.175', 3341713064, 3341713071, 'CN', 'China'),
(130360, '199.46.126.176', '199.47.47.255', 3341713072, 3341758463, 'US', 'United States'),
(130361, '199.47.48.0', '199.47.51.255', 3341758464, 3341759487, 'CA', 'Canada'),
(130362, '199.47.52.0', '199.47.55.255', 3341759488, 3341760511, 'BB', 'Barbados'),
(130363, '199.47.56.0', '199.47.63.255', 3341760512, 3341762559, 'CA', 'Canada'),
(130364, '199.47.64.0', '199.47.123.255', 3341762560, 3341777919, 'US', 'United States'),
(130365, '199.47.124.0', '199.47.127.255', 3341777920, 3341778943, 'CA', 'Canada'),
(130366, '199.47.128.0', '199.47.197.255', 3341778944, 3341796863, 'US', 'United States'),
(130367, '199.47.198.0', '199.47.199.255', 3341796864, 3341797375, 'JP', 'Japan'),
(130368, '199.47.200.0', '199.47.239.255', 3341797376, 3341807615, 'US', 'United States'),
(130369, '199.47.240.0', '199.47.243.255', 3341807616, 3341808639, 'CA', 'Canada'),
(130370, '199.47.244.0', '199.48.63.255', 3341808640, 3341828095, 'US', 'United States'),
(130371, '199.48.64.0', '199.48.67.255', 3341828096, 3341829119, 'CA', 'Canada'),
(130372, '199.48.68.0', '199.48.99.255', 3341829120, 3341837311, 'US', 'United States'),
(130373, '199.48.100.0', '199.48.103.255', 3341837312, 3341838335, 'CA', 'Canada'),
(130374, '199.48.104.0', '199.48.147.31', 3341838336, 3341849375, 'US', 'United States'),
(130375, '199.48.147.32', '199.48.163.31', 3341849376, 3341853471, 'A1', 'Anonymous Proxy'),
(130376, '199.48.163.32', '199.48.167.87', 3341853472, 3341854551, 'US', 'United States'),
(130377, '199.48.167.88', '199.48.167.95', 3341854552, 3341854559, 'SG', 'Singapore'),
(130378, '199.48.167.96', '199.48.204.27', 3341854560, 3341863963, 'US', 'United States'),
(130379, '199.48.204.28', '199.48.207.255', 3341863964, 3341864959, 'AG', 'Antigua and Barbuda'),
(130380, '199.48.208.0', '199.48.215.255', 3341864960, 3341867007, 'US', 'United States'),
(130381, '199.48.216.0', '199.48.223.255', 3341867008, 3341869055, 'CA', 'Canada'),
(130382, '199.48.224.0', '199.48.239.255', 3341869056, 3341873151, 'US', 'United States'),
(130383, '199.48.240.0', '199.48.247.255', 3341873152, 3341875199, 'A1', 'Anonymous Proxy'),
(130384, '199.48.248.0', '199.52.255.255', 3341875200, 3342139391, 'US', 'United States'),
(130385, '199.53.0.0', '199.53.255.255', 3342139392, 3342204927, 'CH', 'Switzerland'),
(130386, '199.54.0.0', '199.58.79.255', 3342204928, 3342487551, 'US', 'United States'),
(130387, '199.58.80.0', '199.58.83.255', 3342487552, 3342488575, 'CA', 'Canada'),
(130388, '199.58.84.0', '199.58.84.63', 3342488576, 3342488639, 'US', 'United States'),
(130389, '199.58.84.64', '199.58.84.127', 3342488640, 3342488703, 'GB', 'United Kingdom'),
(130390, '199.58.84.128', '199.58.84.255', 3342488704, 3342488831, 'SC', 'Seychelles'),
(130391, '199.58.85.0', '199.58.85.31', 3342488832, 3342488863, 'GB', 'United Kingdom'),
(130392, '199.58.85.32', '199.58.85.64', 3342488864, 3342488896, 'US', 'United States'),
(130393, '199.58.85.65', '199.58.85.72', 3342488897, 3342488904, 'GB', 'United Kingdom'),
(130394, '199.58.85.73', '199.58.85.127', 3342488905, 3342488959, 'US', 'United States'),
(130395, '199.58.85.128', '199.58.86.127', 3342488960, 3342489215, 'SC', 'Seychelles'),
(130396, '199.58.86.128', '199.58.86.191', 3342489216, 3342489279, 'GB', 'United Kingdom'),
(130397, '199.58.86.192', '199.58.86.213', 3342489280, 3342489301, 'US', 'United States'),
(130398, '199.58.86.214', '199.58.86.223', 3342489302, 3342489311, 'AR', 'Argentina'),
(130399, '199.58.86.224', '199.58.104.63', 3342489312, 3342493759, 'US', 'United States'),
(130400, '199.58.104.64', '199.58.104.95', 3342493760, 3342493791, 'CA', 'Canada'),
(130401, '199.58.104.96', '199.58.115.255', 3342493792, 3342496767, 'US', 'United States'),
(130402, '199.58.116.0', '199.58.119.255', 3342496768, 3342497791, 'CA', 'Canada'),
(130403, '199.58.120.0', '199.58.127.255', 3342497792, 3342499839, 'GD', 'Grenada'),
(130404, '199.58.128.0', '199.58.151.255', 3342499840, 3342505983, 'US', 'United States'),
(130405, '199.58.152.0', '199.58.155.255', 3342505984, 3342507007, 'BB', 'Barbados'),
(130406, '199.58.156.0', '199.58.167.255', 3342507008, 3342510079, 'US', 'United States'),
(130407, '199.58.168.0', '199.58.175.255', 3342510080, 3342512127, 'CA', 'Canada'),
(130408, '199.58.176.0', '199.58.191.255', 3342512128, 3342516223, 'US', 'United States'),
(130409, '199.58.192.0', '199.58.195.255', 3342516224, 3342517247, 'CA', 'Canada'),
(130410, '199.58.196.0', '199.58.231.255', 3342517248, 3342526463, 'US', 'United States'),
(130411, '199.58.232.0', '199.58.239.255', 3342526464, 3342528511, 'CA', 'Canada'),
(130412, '199.58.240.0', '199.59.60.199', 3342528512, 3342548167, 'US', 'United States'),
(130413, '199.59.60.200', '199.59.60.207', 3342548168, 3342548175, 'GB', 'United Kingdom'),
(130414, '199.59.60.208', '199.59.60.215', 3342548176, 3342548183, 'US', 'United States'),
(130415, '199.59.60.216', '199.59.60.223', 3342548184, 3342548191, 'TN', 'Tunisia'),
(130416, '199.59.60.224', '199.59.62.95', 3342548192, 3342548575, 'US', 'United States'),
(130417, '199.59.62.96', '199.59.62.127', 3342548576, 3342548607, 'GB', 'United Kingdom'),
(130418, '199.59.62.128', '199.59.75.255', 3342548608, 3342552063, 'US', 'United States'),
(130419, '199.59.76.0', '199.59.79.255', 3342552064, 3342553087, 'CA', 'Canada'),
(130420, '199.59.80.0', '199.59.91.223', 3342553088, 3342556127, 'US', 'United States'),
(130421, '199.59.91.224', '199.59.91.255', 3342556128, 3342556159, 'CA', 'Canada'),
(130422, '199.59.92.0', '199.59.92.47', 3342556160, 3342556207, 'US', 'United States'),
(130423, '199.59.92.48', '199.59.92.63', 3342556208, 3342556223, 'CA', 'Canada'),
(130424, '199.59.92.64', '199.59.127.255', 3342556224, 3342565375, 'US', 'United States'),
(130425, '199.59.128.0', '199.59.135.255', 3342565376, 3342567423, 'CA', 'Canada'),
(130426, '199.59.136.0', '199.59.183.255', 3342567424, 3342579711, 'US', 'United States'),
(130427, '199.59.184.0', '199.59.191.255', 3342579712, 3342581759, 'CA', 'Canada'),
(130428, '199.59.192.0', '199.59.243.255', 3342581760, 3342595071, 'US', 'United States'),
(130429, '199.59.244.0', '199.59.246.255', 3342595072, 3342595839, 'CA', 'Canada'),
(130430, '199.59.247.0', '199.59.247.255', 3342595840, 3342596095, 'FR', 'France'),
(130431, '199.59.248.0', '199.59.255.255', 3342596096, 3342598143, 'US', 'United States'),
(130432, '199.60.0.0', '199.60.19.255', 3342598144, 3342603263, 'CA', 'Canada'),
(130433, '199.60.20.0', '199.60.25.255', 3342603264, 3342604799, 'US', 'United States'),
(130434, '199.60.26.0', '199.60.27.255', 3342604800, 3342605311, 'CA', 'Canada'),
(130435, '199.60.28.0', '199.60.28.255', 3342605312, 3342605567, 'US', 'United States'),
(130436, '199.60.29.0', '199.60.255.255', 3342605568, 3342663679, 'CA', 'Canada'),
(130437, '199.61.0.0', '199.63.0.255', 3342663680, 3342795007, 'US', 'United States'),
(130438, '199.63.1.0', '199.63.1.255', 3342795008, 3342795263, 'AP', 'Asia/Pacific Region'),
(130439, '199.63.2.0', '199.63.141.255', 3342795264, 3342831103, 'US', 'United States'),
(130440, '199.63.142.0', '199.63.142.255', 3342831104, 3342831359, 'IN', 'India'),
(130441, '199.63.143.0', '199.64.72.251', 3342831360, 3342878971, 'US', 'United States'),
(130442, '199.64.72.252', '199.64.72.252', 3342878972, 3342878972, 'EU', 'Europe'),
(130443, '199.64.72.253', '199.66.87.255', 3342878973, 3343013887, 'US', 'United States'),
(130444, '199.66.88.0', '199.66.95.255', 3343013888, 3343015935, 'CA', 'Canada'),
(130445, '199.66.96.0', '199.66.217.7', 3343015936, 3343046919, 'US', 'United States'),
(130446, '199.66.217.8', '199.66.217.11', 3343046920, 3343046923, 'IT', 'Italy'),
(130447, '199.66.217.12', '199.66.217.27', 3343046924, 3343046939, 'US', 'United States'),
(130448, '199.66.217.28', '199.66.217.31', 3343046940, 3343046943, 'RU', 'Russian Federation'),
(130449, '199.66.217.32', '199.66.217.43', 3343046944, 3343046955, 'US', 'United States'),
(130450, '199.66.217.44', '199.66.217.47', 3343046956, 3343046959, 'IT', 'Italy'),
(130451, '199.66.217.48', '199.66.217.51', 3343046960, 3343046963, 'BE', 'Belgium'),
(130452, '199.66.217.52', '199.66.217.55', 3343046964, 3343046967, 'US', 'United States'),
(130453, '199.66.217.56', '199.66.217.59', 3343046968, 3343046971, 'NL', 'Netherlands'),
(130454, '199.66.217.60', '199.66.217.75', 3343046972, 3343046987, 'US', 'United States'),
(130455, '199.66.217.76', '199.66.217.79', 3343046988, 3343046991, 'CA', 'Canada'),
(130456, '199.66.217.80', '199.66.217.199', 3343046992, 3343047111, 'US', 'United States'),
(130457, '199.66.217.200', '199.66.217.215', 3343047112, 3343047127, 'SG', 'Singapore'),
(130458, '199.66.217.216', '199.66.217.231', 3343047128, 3343047143, 'US', 'United States'),
(130459, '199.66.217.232', '199.66.217.239', 3343047144, 3343047151, 'IT', 'Italy'),
(130460, '199.66.217.240', '199.66.218.159', 3343047152, 3343047327, 'US', 'United States'),
(130461, '199.66.218.160', '199.66.218.175', 3343047328, 3343047343, 'IT', 'Italy'),
(130462, '199.66.218.176', '199.66.218.255', 3343047344, 3343047423, 'US', 'United States'),
(130463, '199.66.219.0', '199.66.219.15', 3343047424, 3343047439, 'RU', 'Russian Federation'),
(130464, '199.66.219.16', '199.66.219.31', 3343047440, 3343047455, 'UA', 'Ukraine'),
(130465, '199.66.219.32', '199.66.219.95', 3343047456, 3343047519, 'US', 'United States'),
(130466, '199.66.219.96', '199.66.219.111', 3343047520, 3343047535, 'IN', 'India'),
(130467, '199.66.219.112', '199.66.220.71', 3343047536, 3343047751, 'US', 'United States'),
(130468, '199.66.220.72', '199.66.220.79', 3343047752, 3343047759, 'BR', 'Brazil'),
(130469, '199.66.220.80', '199.66.220.111', 3343047760, 3343047791, 'US', 'United States'),
(130470, '199.66.220.112', '199.66.220.119', 3343047792, 3343047799, 'PL', 'Poland'),
(130471, '199.66.220.120', '199.66.220.167', 3343047800, 3343047847, 'US', 'United States'),
(130472, '199.66.220.168', '199.66.220.175', 3343047848, 3343047855, 'IT', 'Italy'),
(130473, '199.66.220.176', '199.66.220.183', 3343047856, 3343047863, 'US', 'United States'),
(130474, '199.66.220.184', '199.66.220.191', 3343047864, 3343047871, 'RU', 'Russian Federation'),
(130475, '199.66.220.192', '199.66.220.255', 3343047872, 3343047935, 'US', 'United States'),
(130476, '199.66.221.0', '199.66.221.31', 3343047936, 3343047967, 'CA', 'Canada'),
(130477, '199.66.221.32', '199.66.251.255', 3343047968, 3343055871, 'US', 'United States'),
(130478, '199.66.252.0', '199.66.255.255', 3343055872, 3343056895, 'CA', 'Canada'),
(130479, '199.67.0.0', '199.67.202.255', 3343056896, 3343108863, 'US', 'United States'),
(130480, '199.67.203.0', '199.67.204.255', 3343108864, 3343109375, 'GB', 'United Kingdom'),
(130481, '199.67.205.0', '199.68.119.255', 3343109376, 3343153151, 'US', 'United States'),
(130482, '199.68.120.0', '199.68.120.15', 3343153152, 3343153167, 'CA', 'Canada'),
(130483, '199.68.120.16', '199.68.120.23', 3343153168, 3343153175, 'US', 'United States'),
(130484, '199.68.120.24', '199.68.127.255', 3343153176, 3343155199, 'CA', 'Canada'),
(130485, '199.68.128.0', '199.68.175.255', 3343155200, 3343167487, 'US', 'United States'),
(130486, '199.68.176.0', '199.68.183.255', 3343167488, 3343169535, 'CA', 'Canada'),
(130487, '199.68.184.0', '199.68.191.255', 3343169536, 3343171583, 'US', 'United States'),
(130488, '199.68.192.0', '199.68.195.255', 3343171584, 3343172607, 'BM', 'Bermuda'),
(130489, '199.68.196.0', '199.71.0.255', 3343172608, 3343319295, 'US', 'United States'),
(130490, '199.71.1.0', '199.71.105.255', 3343319296, 3343346175, 'CA', 'Canada'),
(130491, '199.71.106.0', '199.71.107.255', 3343346176, 3343346687, 'US', 'United States'),
(130492, '199.71.108.0', '199.71.141.255', 3343346688, 3343355391, 'CA', 'Canada'),
(130493, '199.71.142.0', '199.71.143.255', 3343355392, 3343355903, 'US', 'United States'),
(130494, '199.71.144.0', '199.71.175.255', 3343355904, 3343364095, 'CA', 'Canada'),
(130495, '199.71.176.0', '199.71.181.255', 3343364096, 3343365631, 'US', 'United States'),
(130496, '199.71.182.0', '199.71.208.255', 3343365632, 3343372543, 'CA', 'Canada'),
(130497, '199.71.210.0', '199.71.231.255', 3343372800, 3343378431, 'US', 'United States'),
(130498, '199.71.232.0', '199.71.232.15', 3343378432, 3343378447, 'BR', 'Brazil'),
(130499, '199.71.232.16', '199.71.239.255', 3343378448, 3343380479, 'US', 'United States'),
(130500, '199.71.240.0', '199.71.255.255', 3343380480, 3343384575, 'CA', 'Canada'),
(130501, '199.72.0.0', '199.73.59.255', 3343384576, 3343465471, 'US', 'United States'),
(130502, '199.73.60.0', '199.73.63.255', 3343465472, 3343466495, 'JM', 'Jamaica'),
(130503, '199.73.64.0', '199.79.59.255', 3343466496, 3343858687, 'US', 'United States'),
(130504, '199.79.60.0', '199.79.63.255', 3343858688, 3343859711, 'VG', 'Virgin Islands, British'),
(130505, '199.79.64.0', '199.80.55.31', 3343859712, 3343922975, 'US', 'United States'),
(130506, '199.80.55.32', '199.80.55.63', 3343922976, 3343923007, 'PA', 'Panama'),
(130507, '199.80.55.64', '199.80.55.127', 3343923008, 3343923071, 'US', 'United States'),
(130508, '199.80.55.128', '199.80.55.255', 3343923072, 3343923199, 'HK', 'Hong Kong'),
(130509, '199.80.56.0', '199.83.83.255', 3343923200, 3344126975, 'US', 'United States'),
(130510, '199.83.84.0', '199.83.87.255', 3344126976, 3344127999, 'CA', 'Canada'),
(130511, '199.83.88.0', '199.83.129.255', 3344128000, 3344138751, 'US', 'United States'),
(130512, '199.83.130.0', '199.83.130.255', 3344138752, 3344139007, 'GB', 'United Kingdom'),
(130513, '199.83.131.0', '199.83.135.255', 3344139008, 3344140287, 'US', 'United States'),
(130514, '199.83.136.0', '199.83.139.255', 3344140288, 3344141311, 'CA', 'Canada'),
(130515, '199.83.140.0', '199.83.151.255', 3344141312, 3344144383, 'US', 'United States'),
(130516, '199.83.152.0', '199.83.159.255', 3344144384, 3344146431, 'CA', 'Canada'),
(130517, '199.83.160.0', '199.83.191.255', 3344146432, 3344154623, 'US', 'United States'),
(130518, '199.83.192.0', '199.83.199.255', 3344154624, 3344156671, 'GD', 'Grenada'),
(130519, '199.83.200.0', '199.83.207.255', 3344156672, 3344158719, 'CA', 'Canada'),
(130520, '199.83.208.0', '199.83.234.255', 3344158720, 3344165631, 'US', 'United States'),
(130521, '199.83.235.0', '199.83.235.31', 3344165632, 3344165663, 'MX', 'Mexico'),
(130522, '199.83.235.32', '199.83.239.255', 3344165664, 3344166911, 'US', 'United States'),
(130523, '199.83.240.0', '199.83.247.255', 3344166912, 3344168959, 'CA', 'Canada'),
(130524, '199.83.248.0', '199.83.255.255', 3344168960, 3344171007, 'US', 'United States'),
(130525, '199.84.0.0', '199.85.75.255', 3344171008, 3344255999, 'CA', 'Canada'),
(130526, '199.85.76.0', '199.85.95.255', 3344256000, 3344261119, 'US', 'United States'),
(130527, '199.85.96.0', '199.85.124.255', 3344261120, 3344268543, 'CA', 'Canada'),
(130528, '199.85.125.0', '199.85.127.255', 3344268544, 3344269311, 'US', 'United States'),
(130529, '199.85.128.0', '199.85.203.255', 3344269312, 3344288767, 'CA', 'Canada'),
(130530, '199.85.204.0', '199.85.207.255', 3344288768, 3344289791, 'PR', 'Puerto Rico'),
(130531, '199.85.208.0', '199.85.219.255', 3344289792, 3344292863, 'US', 'United States'),
(130532, '199.85.220.0', '199.85.233.255', 3344292864, 3344296447, 'CA', 'Canada'),
(130533, '199.85.236.0', '199.85.239.255', 3344296960, 3344297983, 'GD', 'Grenada'),
(130534, '199.85.240.0', '199.85.243.255', 3344297984, 3344299007, 'US', 'United States'),
(130535, '199.85.245.0', '199.85.245.255', 3344299264, 3344299519, 'CA', 'Canada'),
(130536, '199.85.246.0', '199.85.246.255', 3344299520, 3344299775, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(130537, '199.85.247.0', '199.85.249.255', 3344299776, 3344300543, 'CA', 'Canada'),
(130538, '199.85.250.0', '199.85.250.255', 3344300544, 3344300799, 'US', 'United States'),
(130539, '199.85.251.0', '199.85.255.255', 3344300800, 3344302079, 'CA', 'Canada'),
(130540, '199.86.0.0', '199.87.47.255', 3344302080, 3344379903, 'US', 'United States'),
(130541, '199.87.48.0', '199.87.51.255', 3344379904, 3344380927, 'CA', 'Canada'),
(130542, '199.87.52.0', '199.87.52.87', 3344380928, 3344381015, 'US', 'United States'),
(130543, '199.87.52.88', '199.87.52.95', 3344381016, 3344381023, 'GB', 'United Kingdom'),
(130544, '199.87.52.96', '199.87.52.119', 3344381024, 3344381047, 'US', 'United States'),
(130545, '199.87.52.120', '199.87.52.127', 3344381048, 3344381055, 'BR', 'Brazil'),
(130546, '199.87.52.128', '199.87.52.159', 3344381056, 3344381087, 'US', 'United States'),
(130547, '199.87.52.160', '199.87.52.167', 3344381088, 3344381095, 'CA', 'Canada'),
(130548, '199.87.52.168', '199.87.52.223', 3344381096, 3344381151, 'US', 'United States'),
(130549, '199.87.52.224', '199.87.52.231', 3344381152, 3344381159, 'MX', 'Mexico'),
(130550, '199.87.52.232', '199.87.53.15', 3344381160, 3344381199, 'US', 'United States'),
(130551, '199.87.53.16', '199.87.53.23', 3344381200, 3344381207, 'AU', 'Australia'),
(130552, '199.87.53.24', '199.87.53.31', 3344381208, 3344381215, 'US', 'United States'),
(130553, '199.87.53.32', '199.87.53.39', 3344381216, 3344381223, 'NG', 'Nigeria'),
(130554, '199.87.53.40', '199.87.151.255', 3344381224, 3344406527, 'US', 'United States'),
(130555, '199.87.152.0', '199.87.159.255', 3344406528, 3344408575, 'CA', 'Canada'),
(130556, '199.87.160.0', '199.87.187.191', 3344408576, 3344415679, 'US', 'United States'),
(130557, '199.87.187.192', '199.87.187.255', 3344415680, 3344415743, 'AR', 'Argentina'),
(130558, '199.87.188.0', '199.87.188.255', 3344415744, 3344415999, 'ES', 'Spain'),
(130559, '199.87.189.0', '199.87.239.255', 3344416000, 3344429055, 'US', 'United States'),
(130560, '199.87.240.0', '199.87.241.31', 3344429056, 3344429343, 'CA', 'Canada'),
(130561, '199.87.241.32', '199.87.241.63', 3344429344, 3344429375, 'US', 'United States'),
(130562, '199.87.241.64', '199.87.247.255', 3344429376, 3344431103, 'CA', 'Canada'),
(130563, '199.87.248.0', '199.88.207.255', 3344431104, 3344486399, 'US', 'United States'),
(130564, '199.88.208.0', '199.88.215.255', 3344486400, 3344488447, 'NL', 'Netherlands'),
(130565, '199.88.216.0', '199.89.211.255', 3344488448, 3344552959, 'US', 'United States'),
(130566, '199.89.212.0', '199.89.212.255', 3344552960, 3344553215, 'GB', 'United Kingdom'),
(130567, '199.89.213.0', '199.91.15.255', 3344553216, 3344633855, 'US', 'United States'),
(130568, '199.91.16.0', '199.91.31.255', 3344633856, 3344637951, 'CH', 'Switzerland'),
(130569, '199.91.32.0', '199.91.75.255', 3344637952, 3344649215, 'US', 'United States'),
(130570, '199.91.76.0', '199.91.79.255', 3344649216, 3344650239, 'PR', 'Puerto Rico'),
(130571, '199.91.80.0', '199.91.87.255', 3344650240, 3344652287, 'CA', 'Canada'),
(130572, '199.91.88.0', '199.91.111.255', 3344652288, 3344658431, 'US', 'United States'),
(130573, '199.91.112.0', '199.91.119.255', 3344658432, 3344660479, 'CA', 'Canada'),
(130574, '199.91.120.0', '199.91.159.255', 3344660480, 3344670719, 'US', 'United States'),
(130575, '199.91.160.0', '199.91.163.255', 3344670720, 3344671743, 'GP', 'Guadeloupe'),
(130576, '199.91.164.0', '199.91.172.191', 3344671744, 3344673983, 'US', 'United States'),
(130577, '199.91.172.192', '199.91.172.199', 3344673984, 3344673991, 'SC', 'Seychelles'),
(130578, '199.91.172.200', '199.91.183.255', 3344673992, 3344676863, 'US', 'United States'),
(130579, '199.91.184.0', '199.91.191.255', 3344676864, 3344678911, 'CA', 'Canada'),
(130580, '199.91.192.0', '199.91.203.255', 3344678912, 3344681983, 'US', 'United States'),
(130581, '199.91.204.0', '199.91.215.255', 3344681984, 3344685055, 'CA', 'Canada'),
(130582, '199.91.216.0', '199.91.251.255', 3344685056, 3344694271, 'US', 'United States'),
(130583, '199.91.252.0', '199.91.255.255', 3344694272, 3344695295, 'CA', 'Canada'),
(130584, '199.92.0.0', '199.95.177.255', 3344695296, 3344937471, 'US', 'United States'),
(130585, '199.95.178.0', '199.95.179.255', 3344937472, 3344937983, 'EG', 'Egypt'),
(130586, '199.95.180.0', '199.95.180.255', 3344937984, 3344938239, 'US', 'United States'),
(130587, '199.95.181.0', '199.95.181.255', 3344938240, 3344938495, 'UZ', 'Uzbekistan'),
(130588, '199.95.182.0', '199.95.247.255', 3344938496, 3344955391, 'US', 'United States'),
(130589, '199.95.248.0', '199.95.248.255', 3344955392, 3344955647, 'GB', 'United Kingdom'),
(130590, '199.95.249.0', '199.96.27.255', 3344955648, 3344964607, 'US', 'United States'),
(130591, '199.96.28.0', '199.96.31.255', 3344964608, 3344965631, 'CA', 'Canada'),
(130592, '199.96.32.0', '199.96.63.255', 3344965632, 3344973823, 'US', 'United States'),
(130593, '199.96.64.0', '199.96.67.255', 3344973824, 3344974847, 'BM', 'Bermuda'),
(130594, '199.96.68.0', '199.96.87.127', 3344974848, 3344979839, 'US', 'United States'),
(130595, '199.96.87.128', '199.96.87.255', 3344979840, 3344979967, 'A1', 'Anonymous Proxy'),
(130596, '199.96.88.0', '199.96.95.255', 3344979968, 3344982015, 'CA', 'Canada'),
(130597, '199.96.96.0', '199.96.195.255', 3344982016, 3345007615, 'US', 'United States'),
(130598, '199.96.196.0', '199.96.199.255', 3345007616, 3345008639, 'CA', 'Canada'),
(130599, '199.96.200.0', '199.96.207.255', 3345008640, 3345010687, 'US', 'United States'),
(130600, '199.96.208.0', '199.96.211.255', 3345010688, 3345011711, 'CA', 'Canada'),
(130601, '199.96.212.0', '199.101.55.255', 3345011712, 3345299455, 'US', 'United States'),
(130602, '199.101.56.0', '199.101.63.255', 3345299456, 3345301503, 'CA', 'Canada'),
(130603, '199.101.64.0', '199.101.100.63', 3345301504, 3345310783, 'US', 'United States'),
(130604, '199.101.100.64', '199.101.100.79', 3345310784, 3345310799, 'BR', 'Brazil'),
(130605, '199.101.100.80', '199.101.132.31', 3345310800, 3345318943, 'US', 'United States'),
(130606, '199.101.132.32', '199.101.132.63', 3345318944, 3345318975, 'HK', 'Hong Kong'),
(130607, '199.101.132.64', '199.101.141.255', 3345318976, 3345321471, 'US', 'United States'),
(130608, '199.101.142.0', '199.101.142.255', 3345321472, 3345321727, 'CA', 'Canada'),
(130609, '199.101.143.0', '199.101.163.255', 3345321728, 3345327103, 'US', 'United States'),
(130610, '199.101.164.0', '199.101.167.255', 3345327104, 3345328127, 'CA', 'Canada'),
(130611, '199.101.168.0', '199.101.187.255', 3345328128, 3345333247, 'US', 'United States'),
(130612, '199.101.188.0', '199.101.191.255', 3345333248, 3345334271, 'MF', 'Saint Martin'),
(130613, '199.101.192.0', '199.101.211.255', 3345334272, 3345339391, 'US', 'United States'),
(130614, '199.101.212.0', '199.101.215.255', 3345339392, 3345340415, 'CA', 'Canada'),
(130615, '199.101.216.0', '199.102.95.255', 3345340416, 3345375231, 'US', 'United States'),
(130616, '199.102.96.0', '199.102.103.255', 3345375232, 3345377279, 'CA', 'Canada'),
(130617, '199.102.104.0', '199.102.127.255', 3345377280, 3345383423, 'US', 'United States'),
(130618, '199.102.128.0', '199.102.131.255', 3345383424, 3345384447, 'CA', 'Canada'),
(130619, '199.102.132.0', '199.102.155.255', 3345384448, 3345390591, 'US', 'United States'),
(130620, '199.102.156.0', '199.102.159.255', 3345390592, 3345391615, 'CA', 'Canada'),
(130621, '199.102.160.0', '199.102.165.255', 3345391616, 3345393151, 'US', 'United States'),
(130622, '199.102.166.0', '199.102.166.127', 3345393152, 3345393279, 'AU', 'Australia'),
(130623, '199.102.166.128', '199.102.166.255', 3345393280, 3345393407, 'US', 'United States'),
(130624, '199.102.167.0', '199.102.167.127', 3345393408, 3345393535, 'AU', 'Australia'),
(130625, '199.102.167.128', '199.102.187.255', 3345393536, 3345398783, 'US', 'United States'),
(130626, '199.102.188.0', '199.102.191.255', 3345398784, 3345399807, 'BS', 'Bahamas'),
(130627, '199.102.192.0', '199.102.199.255', 3345399808, 3345401855, 'PR', 'Puerto Rico'),
(130628, '199.102.200.0', '199.102.207.255', 3345401856, 3345403903, 'CA', 'Canada'),
(130629, '199.102.208.0', '199.102.224.5', 3345403904, 3345408005, 'US', 'United States'),
(130630, '199.102.224.6', '199.102.224.9', 3345408006, 3345408009, 'CZ', 'Czech Republic'),
(130631, '199.102.224.10', '199.102.224.17', 3345408010, 3345408017, 'US', 'United States'),
(130632, '199.102.224.18', '199.102.224.21', 3345408018, 3345408021, 'GB', 'United Kingdom'),
(130633, '199.102.224.22', '199.102.224.92', 3345408022, 3345408092, 'US', 'United States'),
(130634, '199.102.224.93', '199.102.224.94', 3345408093, 3345408094, 'GB', 'United Kingdom'),
(130635, '199.102.224.95', '199.102.224.98', 3345408095, 3345408098, 'VE', 'Venezuela'),
(130636, '199.102.224.99', '199.102.224.110', 3345408099, 3345408110, 'US', 'United States'),
(130637, '199.102.224.111', '199.102.224.114', 3345408111, 3345408114, 'AU', 'Australia'),
(130638, '199.102.224.115', '199.102.224.161', 3345408115, 3345408161, 'US', 'United States'),
(130639, '199.102.224.162', '199.102.224.165', 3345408162, 3345408165, 'CA', 'Canada'),
(130640, '199.102.224.166', '199.102.224.189', 3345408166, 3345408189, 'US', 'United States'),
(130641, '199.102.224.190', '199.102.224.193', 3345408190, 3345408193, 'AR', 'Argentina'),
(130642, '199.102.224.194', '199.102.224.197', 3345408194, 3345408197, 'US', 'United States'),
(130643, '199.102.224.198', '199.102.224.225', 3345408198, 3345408225, 'IN', 'India'),
(130644, '199.102.224.226', '199.102.224.227', 3345408226, 3345408227, 'GB', 'United Kingdom'),
(130645, '199.102.224.228', '199.102.224.235', 3345408228, 3345408235, 'US', 'United States'),
(130646, '199.102.224.236', '199.102.224.239', 3345408236, 3345408239, 'CN', 'China'),
(130647, '199.102.224.240', '199.102.225.63', 3345408240, 3345408319, 'US', 'United States'),
(130648, '199.102.225.64', '199.102.225.67', 3345408320, 3345408323, 'GB', 'United Kingdom'),
(130649, '199.102.225.68', '199.102.225.130', 3345408324, 3345408386, 'US', 'United States'),
(130650, '199.102.225.131', '199.102.225.138', 3345408387, 3345408394, 'GB', 'United Kingdom'),
(130651, '199.102.225.139', '199.102.225.159', 3345408395, 3345408415, 'US', 'United States'),
(130652, '199.102.225.160', '199.102.225.164', 3345408416, 3345408420, 'AU', 'Australia'),
(130653, '199.102.225.165', '199.102.225.168', 3345408421, 3345408424, 'US', 'United States'),
(130654, '199.102.225.169', '199.102.225.172', 3345408425, 3345408428, 'GB', 'United Kingdom'),
(130655, '199.102.225.173', '199.102.225.204', 3345408429, 3345408460, 'US', 'United States'),
(130656, '199.102.225.205', '199.102.225.208', 3345408461, 3345408464, 'IN', 'India'),
(130657, '199.102.225.209', '199.102.226.22', 3345408465, 3345408534, 'US', 'United States'),
(130658, '199.102.226.23', '199.102.226.26', 3345408535, 3345408538, 'AU', 'Australia'),
(130659, '199.102.226.27', '199.102.226.30', 3345408539, 3345408542, 'CA', 'Canada'),
(130660, '199.102.226.31', '199.102.226.57', 3345408543, 3345408569, 'US', 'United States'),
(130661, '199.102.226.58', '199.102.226.61', 3345408570, 3345408573, 'CA', 'Canada'),
(130662, '199.102.226.62', '199.102.226.65', 3345408574, 3345408577, 'US', 'United States'),
(130663, '199.102.226.66', '199.102.226.77', 3345408578, 3345408589, 'GB', 'United Kingdom'),
(130664, '199.102.226.78', '199.102.226.122', 3345408590, 3345408634, 'US', 'United States'),
(130665, '199.102.226.123', '199.102.226.127', 3345408635, 3345408639, 'CA', 'Canada'),
(130666, '199.102.226.128', '199.102.226.139', 3345408640, 3345408651, 'US', 'United States'),
(130667, '199.102.226.140', '199.102.226.143', 3345408652, 3345408655, 'CA', 'Canada'),
(130668, '199.102.226.144', '199.102.226.155', 3345408656, 3345408667, 'US', 'United States'),
(130669, '199.102.226.156', '199.102.226.159', 3345408668, 3345408671, 'CA', 'Canada'),
(130670, '199.102.226.160', '199.102.226.185', 3345408672, 3345408697, 'US', 'United States'),
(130671, '199.102.226.186', '199.102.226.189', 3345408698, 3345408701, 'GB', 'United Kingdom'),
(130672, '199.102.226.190', '199.102.227.16', 3345408702, 3345408784, 'US', 'United States'),
(130673, '199.102.227.17', '199.102.227.20', 3345408785, 3345408788, 'CA', 'Canada'),
(130674, '199.102.227.21', '199.102.227.120', 3345408789, 3345408888, 'US', 'United States'),
(130675, '199.102.227.121', '199.102.227.124', 3345408889, 3345408892, 'MX', 'Mexico'),
(130676, '199.102.227.125', '199.102.227.135', 3345408893, 3345408903, 'US', 'United States'),
(130677, '199.102.227.136', '199.102.227.139', 3345408904, 3345408907, 'GB', 'United Kingdom'),
(130678, '199.102.227.140', '199.102.227.181', 3345408908, 3345408949, 'US', 'United States'),
(130679, '199.102.227.182', '199.102.227.225', 3345408950, 3345408993, 'IN', 'India'),
(130680, '199.102.227.226', '199.102.228.9', 3345408994, 3345409033, 'US', 'United States'),
(130681, '199.102.228.10', '199.102.228.13', 3345409034, 3345409037, 'CA', 'Canada'),
(130682, '199.102.228.14', '199.102.228.61', 3345409038, 3345409085, 'US', 'United States'),
(130683, '199.102.228.62', '199.102.228.65', 3345409086, 3345409089, 'CA', 'Canada'),
(130684, '199.102.228.66', '199.102.228.69', 3345409090, 3345409093, 'US', 'United States'),
(130685, '199.102.228.70', '199.102.228.73', 3345409094, 3345409097, 'CA', 'Canada'),
(130686, '199.102.228.74', '199.102.228.151', 3345409098, 3345409175, 'US', 'United States'),
(130687, '199.102.228.152', '199.102.228.155', 3345409176, 3345409179, 'CN', 'China'),
(130688, '199.102.228.156', '199.102.228.180', 3345409180, 3345409204, 'US', 'United States'),
(130689, '199.102.228.181', '199.102.228.188', 3345409205, 3345409212, 'AU', 'Australia'),
(130690, '199.102.228.189', '199.102.228.193', 3345409213, 3345409217, 'US', 'United States'),
(130691, '199.102.228.194', '199.102.228.197', 3345409218, 3345409221, 'AU', 'Australia'),
(130692, '199.102.228.198', '199.102.228.221', 3345409222, 3345409245, 'US', 'United States'),
(130693, '199.102.228.222', '199.102.228.231', 3345409246, 3345409255, 'GB', 'United Kingdom'),
(130694, '199.102.228.232', '199.102.230.22', 3345409256, 3345409558, 'US', 'United States'),
(130695, '199.102.230.23', '199.102.230.26', 3345409559, 3345409562, 'CA', 'Canada'),
(130696, '199.102.230.27', '199.102.230.40', 3345409563, 3345409576, 'US', 'United States'),
(130697, '199.102.230.41', '199.102.230.44', 3345409577, 3345409580, 'GB', 'United Kingdom'),
(130698, '199.102.230.45', '199.102.230.170', 3345409581, 3345409706, 'US', 'United States'),
(130699, '199.102.230.171', '199.102.230.182', 3345409707, 3345409718, 'IN', 'India'),
(130700, '199.102.230.183', '199.102.230.246', 3345409719, 3345409782, 'US', 'United States'),
(130701, '199.102.230.247', '199.102.230.250', 3345409783, 3345409786, 'SG', 'Singapore'),
(130702, '199.102.230.251', '199.102.231.24', 3345409787, 3345409816, 'US', 'United States'),
(130703, '199.102.231.25', '199.102.231.28', 3345409817, 3345409820, 'GB', 'United Kingdom'),
(130704, '199.102.231.29', '199.102.231.95', 3345409821, 3345409887, 'US', 'United States'),
(130705, '199.102.231.96', '199.102.231.99', 3345409888, 3345409891, 'GB', 'United Kingdom'),
(130706, '199.102.231.100', '199.102.231.107', 3345409892, 3345409899, 'US', 'United States'),
(130707, '199.102.231.108', '199.102.231.111', 3345409900, 3345409903, 'CA', 'Canada'),
(130708, '199.102.231.112', '199.102.231.119', 3345409904, 3345409911, 'US', 'United States'),
(130709, '199.102.231.120', '199.102.231.123', 3345409912, 3345409915, 'CA', 'Canada'),
(130710, '199.102.231.124', '199.102.231.127', 3345409916, 3345409919, 'AU', 'Australia'),
(130711, '199.102.231.128', '199.102.231.153', 3345409920, 3345409945, 'US', 'United States'),
(130712, '199.102.231.154', '199.102.231.157', 3345409946, 3345409949, 'SG', 'Singapore'),
(130713, '199.102.231.158', '199.102.231.240', 3345409950, 3345410032, 'US', 'United States'),
(130714, '199.102.231.241', '199.102.231.244', 3345410033, 3345410036, 'GB', 'United Kingdom'),
(130715, '199.102.231.245', '199.103.7.255', 3345410037, 3345418239, 'US', 'United States'),
(130716, '199.103.8.0', '199.103.12.255', 3345418240, 3345419519, 'NL', 'Netherlands'),
(130717, '199.103.13.0', '199.103.25.255', 3345419520, 3345422847, 'US', 'United States'),
(130718, '199.103.28.0', '199.103.31.255', 3345423360, 3345424383, 'TC', 'Turks and Caicos Islands'),
(130719, '199.103.32.0', '199.103.55.255', 3345424384, 3345430527, 'US', 'United States'),
(130720, '199.103.56.0', '199.103.63.255', 3345430528, 3345432575, 'CA', 'Canada'),
(130721, '199.103.64.0', '199.103.67.255', 3345432576, 3345433599, 'GB', 'United Kingdom'),
(130722, '199.103.68.0', '199.103.68.255', 3345433600, 3345433855, 'SG', 'Singapore'),
(130723, '199.103.69.0', '199.103.72.255', 3345433856, 3345434879, 'US', 'United States'),
(130724, '199.103.73.0', '199.103.73.255', 3345434880, 3345435135, 'ES', 'Spain'),
(130725, '199.103.74.0', '199.103.74.255', 3345435136, 3345435391, 'LU', 'Luxembourg'),
(130726, '199.103.75.0', '199.103.79.255', 3345435392, 3345436671, 'DE', 'Germany'),
(130727, '199.103.80.0', '199.103.80.255', 3345436672, 3345436927, 'US', 'United States'),
(130728, '199.103.81.0', '199.103.81.255', 3345436928, 3345437183, 'ES', 'Spain'),
(130729, '199.103.82.0', '199.103.83.255', 3345437184, 3345437695, 'GB', 'United Kingdom'),
(130730, '199.103.84.0', '199.103.84.255', 3345437696, 3345437951, 'NL', 'Netherlands'),
(130731, '199.103.86.0', '199.103.86.255', 3345438208, 3345438463, 'GB', 'United Kingdom'),
(130732, '199.103.87.0', '199.103.88.255', 3345438464, 3345438975, 'FR', 'France'),
(130733, '199.103.90.0', '199.103.91.255', 3345439232, 3345439743, 'US', 'United States'),
(130734, '199.103.92.0', '199.103.92.255', 3345439744, 3345439999, 'FR', 'France'),
(130735, '199.103.93.0', '199.103.93.255', 3345440000, 3345440255, 'DE', 'Germany'),
(130736, '199.103.94.0', '199.103.95.255', 3345440256, 3345440767, 'US', 'United States'),
(130737, '199.103.96.0', '199.103.99.255', 3345440768, 3345441791, 'DE', 'Germany'),
(130738, '199.103.102.0', '199.103.102.255', 3345442304, 3345442559, 'CL', 'Chile'),
(130739, '199.103.103.0', '199.103.103.255', 3345442560, 3345442815, 'JP', 'Japan'),
(130740, '199.103.104.0', '199.103.105.255', 3345442816, 3345443327, 'AT', 'Austria'),
(130741, '199.103.106.0', '199.103.106.255', 3345443328, 3345443583, 'CH', 'Switzerland'),
(130742, '199.103.107.0', '199.103.107.255', 3345443584, 3345443839, 'DE', 'Germany'),
(130743, '199.103.109.0', '199.103.110.255', 3345444096, 3345444607, 'US', 'United States'),
(130744, '199.103.111.0', '199.103.111.68', 3345444608, 3345444676, 'CH', 'Switzerland'),
(130745, '199.103.111.69', '199.103.111.70', 3345444677, 3345444678, 'US', 'United States'),
(130746, '199.103.111.71', '199.103.112.255', 3345444679, 3345445119, 'CH', 'Switzerland'),
(130747, '199.103.113.0', '199.103.113.255', 3345445120, 3345445375, 'US', 'United States'),
(130748, '199.103.114.0', '199.103.117.255', 3345445376, 3345446399, 'GB', 'United Kingdom'),
(130749, '199.103.119.0', '199.103.119.255', 3345446656, 3345446911, 'IT', 'Italy'),
(130750, '199.103.120.0', '199.103.122.255', 3345446912, 3345447679, 'US', 'United States'),
(130751, '199.103.123.0', '199.103.125.255', 3345447680, 3345448447, 'FR', 'France'),
(130752, '199.103.126.0', '199.103.126.255', 3345448448, 3345448703, 'BE', 'Belgium'),
(130753, '199.103.127.0', '199.103.127.255', 3345448704, 3345448959, 'DE', 'Germany'),
(130754, '199.103.128.0', '199.106.210.7', 3345448960, 3345666567, 'US', 'United States'),
(130755, '199.106.210.8', '199.106.210.31', 3345666568, 3345666591, 'IN', 'India'),
(130756, '199.106.210.32', '199.106.210.79', 3345666592, 3345666639, 'NO', 'Norway'),
(130757, '199.106.210.80', '199.106.212.31', 3345666640, 3345667103, 'US', 'United States'),
(130758, '199.106.212.32', '199.106.212.47', 3345667104, 3345667119, 'IN', 'India'),
(130759, '199.106.212.48', '199.114.221.255', 3345667120, 3346193919, 'US', 'United States'),
(130760, '199.114.222.0', '199.114.223.255', 3346193920, 3346194431, 'A1', 'Anonymous Proxy'),
(130761, '199.114.224.0', '199.114.231.255', 3346194432, 3346196479, 'US', 'United States'),
(130762, '199.114.232.0', '199.114.235.255', 3346196480, 3346197503, 'CA', 'Canada'),
(130763, '199.114.236.0', '199.114.251.255', 3346197504, 3346201599, 'US', 'United States'),
(130764, '199.114.252.0', '199.114.255.255', 3346201600, 3346202623, 'CA', 'Canada'),
(130765, '199.115.0.0', '199.115.63.255', 3346202624, 3346219007, 'US', 'United States'),
(130766, '199.115.64.0', '199.115.71.255', 3346219008, 3346221055, 'CA', 'Canada'),
(130767, '199.115.72.0', '199.115.87.255', 3346221056, 3346225151, 'US', 'United States'),
(130768, '199.115.88.0', '199.115.95.255', 3346225152, 3346227199, 'CA', 'Canada'),
(130769, '199.115.96.0', '199.115.123.255', 3346227200, 3346234367, 'US', 'United States'),
(130770, '199.115.124.0', '199.115.127.255', 3346234368, 3346235391, 'CA', 'Canada'),
(130771, '199.115.128.0', '199.115.151.255', 3346235392, 3346241535, 'US', 'United States'),
(130772, '199.115.152.0', '199.115.159.255', 3346241536, 3346243583, 'CA', 'Canada'),
(130773, '199.115.160.0', '199.116.55.255', 3346243584, 3346282495, 'US', 'United States'),
(130774, '199.116.56.0', '199.116.63.255', 3346282496, 3346284543, 'PR', 'Puerto Rico'),
(130775, '199.116.64.0', '199.116.215.255', 3346284544, 3346323455, 'US', 'United States'),
(130776, '199.116.216.0', '199.116.223.255', 3346323456, 3346325503, 'CA', 'Canada'),
(130777, '199.116.224.0', '199.116.231.255', 3346325504, 3346327551, 'US', 'United States'),
(130778, '199.116.232.0', '199.116.235.255', 3346327552, 3346328575, 'CA', 'Canada'),
(130779, '199.116.236.0', '199.119.127.255', 3346328576, 3346497535, 'US', 'United States'),
(130780, '199.119.128.0', '199.119.131.255', 3346497536, 3346498559, 'CA', 'Canada'),
(130781, '199.119.132.0', '199.119.135.255', 3346498560, 3346499583, 'US', 'United States'),
(130782, '199.119.136.0', '199.119.143.255', 3346499584, 3346501631, 'VI', 'Virgin Islands, U.S.'),
(130783, '199.119.144.0', '199.119.160.55', 3346501632, 3346505783, 'US', 'United States'),
(130784, '199.119.160.56', '199.119.160.63', 3346505784, 3346505791, 'GB', 'United Kingdom'),
(130785, '199.119.160.64', '199.119.160.167', 3346505792, 3346505895, 'US', 'United States'),
(130786, '199.119.160.168', '199.119.160.175', 3346505896, 3346505903, 'AU', 'Australia'),
(130787, '199.119.160.176', '199.119.160.223', 3346505904, 3346505951, 'US', 'United States'),
(130788, '199.119.160.224', '199.119.160.231', 3346505952, 3346505959, 'CA', 'Canada'),
(130789, '199.119.160.232', '199.119.161.23', 3346505960, 3346506007, 'US', 'United States'),
(130790, '199.119.161.24', '199.119.161.31', 3346506008, 3346506015, 'EG', 'Egypt'),
(130791, '199.119.161.32', '199.119.161.39', 3346506016, 3346506023, 'US', 'United States'),
(130792, '199.119.161.40', '199.119.161.47', 3346506024, 3346506031, 'CA', 'Canada'),
(130793, '199.119.161.48', '199.119.161.55', 3346506032, 3346506039, 'US', 'United States'),
(130794, '199.119.161.56', '199.119.161.63', 3346506040, 3346506047, 'CA', 'Canada'),
(130795, '199.119.161.64', '199.119.161.127', 3346506048, 3346506111, 'US', 'United States'),
(130796, '199.119.161.128', '199.119.161.135', 3346506112, 3346506119, 'JM', 'Jamaica'),
(130797, '199.119.161.136', '199.119.161.143', 3346506120, 3346506127, 'MX', 'Mexico'),
(130798, '199.119.161.144', '199.119.161.175', 3346506128, 3346506159, 'US', 'United States'),
(130799, '199.119.161.176', '199.119.161.183', 3346506160, 3346506167, 'VE', 'Venezuela'),
(130800, '199.119.161.184', '199.119.162.31', 3346506168, 3346506271, 'US', 'United States'),
(130801, '199.119.162.32', '199.119.162.39', 3346506272, 3346506279, 'GB', 'United Kingdom'),
(130802, '199.119.162.40', '199.119.162.47', 3346506280, 3346506287, 'CA', 'Canada'),
(130803, '199.119.162.48', '199.119.162.71', 3346506288, 3346506311, 'US', 'United States'),
(130804, '199.119.162.72', '199.119.162.79', 3346506312, 3346506319, 'CO', 'Colombia'),
(130805, '199.119.162.80', '199.119.162.151', 3346506320, 3346506391, 'US', 'United States'),
(130806, '199.119.162.152', '199.119.162.159', 3346506392, 3346506399, 'GB', 'United Kingdom'),
(130807, '199.119.162.160', '199.119.162.175', 3346506400, 3346506415, 'US', 'United States'),
(130808, '199.119.162.176', '199.119.162.183', 3346506416, 3346506423, 'IN', 'India'),
(130809, '199.119.162.184', '199.119.162.207', 3346506424, 3346506447, 'US', 'United States'),
(130810, '199.119.162.208', '199.119.162.215', 3346506448, 3346506455, 'CA', 'Canada'),
(130811, '199.119.162.216', '199.119.162.247', 3346506456, 3346506487, 'US', 'United States'),
(130812, '199.119.162.248', '199.119.162.255', 3346506488, 3346506495, 'CA', 'Canada'),
(130813, '199.119.163.0', '199.119.163.31', 3346506496, 3346506527, 'US', 'United States'),
(130814, '199.119.163.32', '199.119.163.39', 3346506528, 3346506535, 'GB', 'United Kingdom'),
(130815, '199.119.163.40', '199.119.163.63', 3346506536, 3346506559, 'US', 'United States'),
(130816, '199.119.163.64', '199.119.163.71', 3346506560, 3346506567, 'CA', 'Canada'),
(130817, '199.119.163.72', '199.119.163.79', 3346506568, 3346506575, 'TR', 'Turkey'),
(130818, '199.119.163.80', '199.119.163.247', 3346506576, 3346506743, 'US', 'United States'),
(130819, '199.119.163.248', '199.119.163.255', 3346506744, 3346506751, 'GB', 'United Kingdom'),
(130820, '199.119.164.0', '199.119.215.255', 3346506752, 3346520063, 'US', 'United States'),
(130821, '199.119.216.0', '199.119.219.255', 3346520064, 3346521087, 'CA', 'Canada'),
(130822, '199.119.220.0', '199.119.224.235', 3346521088, 3346522347, 'US', 'United States'),
(130823, '199.119.224.236', '199.119.224.238', 3346522348, 3346522350, 'BD', 'Bangladesh'),
(130824, '199.119.224.239', '199.119.225.33', 3346522351, 3346522401, 'US', 'United States'),
(130825, '199.119.225.34', '199.119.225.36', 3346522402, 3346522404, 'IN', 'India'),
(130826, '199.119.225.37', '199.119.225.43', 3346522405, 3346522411, 'US', 'United States'),
(130827, '199.119.225.44', '199.119.225.45', 3346522412, 3346522413, 'AE', 'United Arab Emirates'),
(130828, '199.119.225.46', '199.119.227.233', 3346522414, 3346523113, 'US', 'United States'),
(130829, '199.119.227.234', '199.119.227.241', 3346523114, 3346523121, 'TH', 'Thailand'),
(130830, '199.119.227.242', '199.119.227.255', 3346523122, 3346523135, 'US', 'United States'),
(130831, '199.119.228.0', '199.119.228.255', 3346523136, 3346523391, 'BO', 'Bolivia'),
(130832, '199.119.229.0', '199.119.229.255', 3346523392, 3346523647, 'RU', 'Russian Federation'),
(130833, '199.119.230.0', '199.119.230.255', 3346523648, 3346523903, 'US', 'United States'),
(130834, '199.119.231.0', '199.119.231.255', 3346523904, 3346524159, 'FR', 'France'),
(130835, '199.119.232.0', '199.119.235.255', 3346524160, 3346525183, 'CA', 'Canada'),
(130836, '199.119.236.0', '199.119.247.255', 3346525184, 3346528255, 'US', 'United States'),
(130837, '199.119.248.0', '199.119.251.255', 3346528256, 3346529279, 'PR', 'Puerto Rico'),
(130838, '199.119.252.0', '199.119.255.255', 3346529280, 3346530303, 'CA', 'Canada'),
(130839, '199.120.0.0', '199.122.115.255', 3346530304, 3346691071, 'US', 'United States'),
(130840, '199.122.116.0', '199.122.119.255', 3346691072, 3346692095, 'CA', 'Canada'),
(130841, '199.122.120.0', '199.125.255.255', 3346692096, 3346923519, 'US', 'United States'),
(130842, '199.126.0.0', '199.126.255.255', 3346923520, 3346989055, 'CA', 'Canada'),
(130843, '199.127.0.0', '199.127.98.111', 3346989056, 3347014255, 'US', 'United States'),
(130844, '199.127.98.112', '199.127.98.127', 3347014256, 3347014271, 'CY', 'Cyprus'),
(130845, '199.127.98.128', '199.127.98.223', 3347014272, 3347014367, 'US', 'United States'),
(130846, '199.127.98.224', '199.127.98.255', 3347014368, 3347014399, 'CA', 'Canada'),
(130847, '199.127.99.0', '199.127.103.191', 3347014400, 3347015615, 'US', 'United States'),
(130848, '199.127.103.192', '199.127.103.207', 3347015616, 3347015631, 'AE', 'United Arab Emirates'),
(130849, '199.127.103.208', '199.127.103.223', 3347015632, 3347015647, 'RU', 'Russian Federation'),
(130850, '199.127.103.224', '199.127.107.255', 3347015648, 3347016703, 'US', 'United States'),
(130851, '199.127.108.0', '199.127.111.255', 3347016704, 3347017727, 'CA', 'Canada'),
(130852, '199.127.112.0', '199.127.127.255', 3347017728, 3347021823, 'US', 'United States'),
(130853, '199.127.128.0', '199.127.131.255', 3347021824, 3347022847, 'CA', 'Canada'),
(130854, '199.127.132.0', '199.127.161.255', 3347022848, 3347030527, 'US', 'United States'),
(130855, '199.127.162.0', '199.127.162.255', 3347030528, 3347030783, 'IN', 'India'),
(130856, '199.127.163.0', '199.127.171.255', 3347030784, 3347033087, 'US', 'United States'),
(130857, '199.127.172.0', '199.127.175.255', 3347033088, 3347034111, 'CA', 'Canada'),
(130858, '199.127.176.0', '199.127.195.255', 3347034112, 3347039231, 'US', 'United States'),
(130859, '199.127.196.0', '199.127.199.255', 3347039232, 3347040255, 'DM', 'Dominica'),
(130860, '199.127.200.0', '199.127.215.255', 3347040256, 3347044351, 'US', 'United States'),
(130861, '199.127.216.0', '199.127.216.255', 3347044352, 3347044607, 'IN', 'India'),
(130862, '199.127.217.0', '199.161.199.255', 3347044608, 3349268479, 'US', 'United States'),
(130863, '199.161.200.0', '199.161.201.255', 3349268480, 3349268991, 'CA', 'Canada'),
(130864, '199.161.202.0', '199.161.217.255', 3349268992, 3349273087, 'US', 'United States'),
(130865, '199.161.218.0', '199.161.218.255', 3349273088, 3349273343, 'CA', 'Canada'),
(130866, '199.161.219.0', '199.162.229.255', 3349273344, 3349341695, 'US', 'United States'),
(130867, '199.162.230.0', '199.162.230.255', 3349341696, 3349341951, 'CA', 'Canada'),
(130868, '199.162.231.0', '199.164.128.255', 3349341952, 3349446911, 'US', 'United States'),
(130869, '199.164.129.0', '199.164.129.255', 3349446912, 3349447167, 'CA', 'Canada'),
(130870, '199.164.130.0', '199.165.207.255', 3349447168, 3349532671, 'US', 'United States'),
(130871, '199.165.208.0', '199.165.211.255', 3349532672, 3349533695, 'GB', 'United Kingdom'),
(130872, '199.165.212.0', '199.165.255.255', 3349533696, 3349544959, 'US', 'United States'),
(130873, '199.166.0.0', '199.166.23.255', 3349544960, 3349551103, 'CA', 'Canada'),
(130874, '199.166.24.0', '199.166.33.255', 3349551104, 3349553663, 'US', 'United States'),
(130875, '199.166.34.0', '199.166.247.255', 3349553664, 3349608447, 'CA', 'Canada'),
(130876, '199.166.248.0', '199.166.250.255', 3349608448, 3349609215, 'US', 'United States'),
(130877, '199.166.251.0', '199.166.255.255', 3349609216, 3349610495, 'CA', 'Canada'),
(130878, '199.167.0.0', '199.167.15.255', 3349610496, 3349614591, 'US', 'United States'),
(130879, '199.167.16.0', '199.167.27.255', 3349614592, 3349617663, 'CA', 'Canada'),
(130880, '199.167.28.0', '199.167.103.255', 3349617664, 3349637119, 'US', 'United States'),
(130881, '199.167.104.0', '199.167.111.255', 3349637120, 3349639167, 'CA', 'Canada'),
(130882, '199.167.112.0', '199.167.115.255', 3349639168, 3349640191, 'US', 'United States'),
(130883, '199.167.116.0', '199.167.119.255', 3349640192, 3349641215, 'CA', 'Canada'),
(130884, '199.167.120.0', '199.167.127.255', 3349641216, 3349643263, 'US', 'United States'),
(130885, '199.167.128.0', '199.167.128.223', 3349643264, 3349643487, 'CA', 'Canada'),
(130886, '199.167.128.224', '199.167.128.239', 3349643488, 3349643503, 'US', 'United States'),
(130887, '199.167.128.240', '199.167.131.255', 3349643504, 3349644287, 'CA', 'Canada'),
(130888, '199.167.132.0', '199.167.133.112', 3349644288, 3349644656, 'US', 'United States'),
(130889, '199.167.133.113', '199.167.133.128', 3349644657, 3349644672, 'GB', 'United Kingdom'),
(130890, '199.167.133.129', '199.167.135.159', 3349644673, 3349645215, 'US', 'United States'),
(130891, '199.167.135.160', '199.167.135.175', 3349645216, 3349645231, 'ID', 'Indonesia'),
(130892, '199.167.135.176', '199.167.135.255', 3349645232, 3349645311, 'US', 'United States'),
(130893, '199.167.136.0', '199.167.143.255', 3349645312, 3349647359, 'CA', 'Canada'),
(130894, '199.167.144.0', '199.167.151.255', 3349647360, 3349649407, 'US', 'United States'),
(130895, '199.167.152.0', '199.167.167.255', 3349649408, 3349653503, 'CA', 'Canada'),
(130896, '199.167.168.0', '199.168.61.255', 3349653504, 3349691903, 'US', 'United States'),
(130897, '199.168.62.0', '199.168.62.127', 3349691904, 3349692031, 'CZ', 'Czech Republic'),
(130898, '199.168.62.128', '199.168.184.124', 3349692032, 3349723260, 'US', 'United States'),
(130899, '199.168.184.125', '199.168.184.129', 3349723261, 3349723265, 'CA', 'Canada'),
(130900, '199.168.184.130', '199.168.184.224', 3349723266, 3349723360, 'US', 'United States'),
(130901, '199.168.184.225', '199.168.184.231', 3349723361, 3349723367, 'CA', 'Canada'),
(130902, '199.168.184.232', '199.168.187.92', 3349723368, 3349723996, 'US', 'United States'),
(130903, '199.168.187.93', '199.168.187.96', 3349723997, 3349724000, 'LK', 'Sri Lanka'),
(130904, '199.168.187.97', '199.168.191.57', 3349724001, 3349724985, 'US', 'United States'),
(130905, '199.168.191.58', '199.168.191.71', 3349724986, 3349724999, 'PK', 'Pakistan'),
(130906, '199.168.191.72', '199.168.215.255', 3349725000, 3349731327, 'US', 'United States'),
(130907, '199.168.216.0', '199.168.223.255', 3349731328, 3349733375, 'CA', 'Canada'),
(130908, '199.168.224.0', '199.168.247.255', 3349733376, 3349739519, 'US', 'United States'),
(130909, '199.168.248.0', '199.168.248.31', 3349739520, 3349739551, 'CA', 'Canada'),
(130910, '199.168.248.32', '199.168.248.39', 3349739552, 3349739559, 'US', 'United States'),
(130911, '199.168.248.40', '199.168.251.255', 3349739560, 3349740543, 'CA', 'Canada'),
(130912, '199.168.252.0', '199.172.191.255', 3349740544, 3349987327, 'US', 'United States'),
(130913, '199.172.192.0', '199.172.227.255', 3349987328, 3349996543, 'BM', 'Bermuda'),
(130914, '199.172.228.0', '199.172.229.255', 3349996544, 3349997055, 'KY', 'Cayman Islands'),
(130915, '199.172.230.0', '199.172.255.255', 3349997056, 3350003711, 'BM', 'Bermuda'),
(130916, '199.173.0.0', '199.173.152.255', 3350003712, 3350042879, 'US', 'United States'),
(130917, '199.173.153.0', '199.173.153.255', 3350042880, 3350043135, 'KW', 'Kuwait'),
(130918, '199.173.154.0', '199.174.255.255', 3350043136, 3350134783, 'US', 'United States'),
(130919, '199.175.0.0', '199.175.43.255', 3350134784, 3350146047, 'CA', 'Canada'),
(130920, '199.175.44.0', '199.175.59.255', 3350146048, 3350150143, 'US', 'United States'),
(130921, '199.175.60.0', '199.175.183.255', 3350150144, 3350181887, 'CA', 'Canada'),
(130922, '199.175.184.0', '199.175.187.255', 3350181888, 3350182911, 'US', 'United States'),
(130923, '199.175.188.0', '199.175.255.255', 3350182912, 3350200319, 'CA', 'Canada'),
(130924, '199.176.0.0', '199.180.25.255', 3350200320, 3350469119, 'US', 'United States'),
(130925, '199.180.28.0', '199.180.31.255', 3350469632, 3350470655, 'CA', 'Canada'),
(130926, '199.180.32.0', '199.180.51.255', 3350470656, 3350475775, 'US', 'United States'),
(130927, '199.180.52.0', '199.180.55.255', 3350475776, 3350476799, 'CA', 'Canada'),
(130928, '199.180.56.0', '199.180.95.255', 3350476800, 3350487039, 'US', 'United States'),
(130929, '199.180.96.0', '199.180.99.255', 3350487040, 3350488063, 'CA', 'Canada'),
(130930, '199.180.100.0', '199.180.129.89', 3350488064, 3350495577, 'US', 'United States'),
(130931, '199.180.129.90', '199.180.129.97', 3350495578, 3350495585, 'GB', 'United Kingdom'),
(130932, '199.180.129.98', '199.180.129.114', 3350495586, 3350495602, 'US', 'United States'),
(130933, '199.180.129.115', '199.180.129.116', 3350495603, 3350495604, 'BD', 'Bangladesh'),
(130934, '199.180.129.117', '199.180.130.129', 3350495605, 3350495873, 'US', 'United States'),
(130935, '199.180.130.130', '199.180.130.130', 3350495874, 3350495874, 'IN', 'India'),
(130936, '199.180.130.131', '199.180.130.137', 3350495875, 3350495881, 'US', 'United States'),
(130937, '199.180.130.138', '199.180.130.138', 3350495882, 3350495882, 'IN', 'India'),
(130938, '199.180.130.139', '199.180.132.49', 3350495883, 3350496305, 'US', 'United States'),
(130939, '199.180.132.50', '199.180.132.61', 3350496306, 3350496317, 'PT', 'Portugal'),
(130940, '199.180.132.62', '199.180.132.191', 3350496318, 3350496447, 'US', 'United States'),
(130941, '199.180.132.192', '199.180.132.199', 3350496448, 3350496455, 'PT', 'Portugal'),
(130942, '199.180.132.200', '199.180.133.20', 3350496456, 3350496532, 'US', 'United States'),
(130943, '199.180.133.21', '199.180.133.21', 3350496533, 3350496533, 'IN', 'India'),
(130944, '199.180.133.22', '199.180.133.209', 3350496534, 3350496721, 'US', 'United States'),
(130945, '199.180.133.210', '199.180.133.211', 3350496722, 3350496723, 'IN', 'India'),
(130946, '199.180.133.212', '199.180.203.207', 3350496724, 3350514639, 'US', 'United States'),
(130947, '199.180.203.208', '199.180.203.223', 3350514640, 3350514655, 'GB', 'United Kingdom'),
(130948, '199.180.203.224', '199.180.205.191', 3350514656, 3350515135, 'US', 'United States'),
(130949, '199.180.205.192', '199.180.205.223', 3350515136, 3350515167, 'GB', 'United Kingdom'),
(130950, '199.180.205.224', '199.181.129.255', 3350515168, 3350561279, 'US', 'United States'),
(130951, '199.181.130.0', '199.181.130.255', 3350561280, 3350561535, 'AP', 'Asia/Pacific Region'),
(130952, '199.181.131.0', '199.181.255.255', 3350561536, 3350593535, 'US', 'United States'),
(130953, '199.182.0.0', '199.182.47.255', 3350593536, 3350605823, 'CA', 'Canada'),
(130954, '199.182.48.0', '199.182.51.255', 3350605824, 3350606847, 'US', 'United States'),
(130955, '199.182.52.0', '199.182.55.255', 3350606848, 3350607871, 'CA', 'Canada'),
(130956, '199.182.56.0', '199.182.95.255', 3350607872, 3350618111, 'US', 'United States'),
(130957, '199.182.96.0', '199.182.99.255', 3350618112, 3350619135, 'CA', 'Canada'),
(130958, '199.182.100.0', '199.182.115.255', 3350619136, 3350623231, 'US', 'United States'),
(130959, '199.182.116.0', '199.182.119.255', 3350623232, 3350624255, 'CA', 'Canada'),
(130960, '199.182.120.0', '199.182.127.255', 3350624256, 3350626303, 'US', 'United States'),
(130961, '199.182.128.0', '199.182.135.255', 3350626304, 3350628351, 'CA', 'Canada'),
(130962, '199.182.136.0', '199.182.191.255', 3350628352, 3350642687, 'US', 'United States'),
(130963, '199.182.192.0', '199.182.195.255', 3350642688, 3350643711, 'TC', 'Turks and Caicos Islands'),
(130964, '199.182.196.0', '199.182.203.255', 3350643712, 3350645759, 'US', 'United States'),
(130965, '199.182.204.0', '199.182.207.255', 3350645760, 3350646783, 'CA', 'Canada'),
(130966, '199.182.208.0', '199.182.215.255', 3350646784, 3350648831, 'US', 'United States'),
(130967, '199.182.216.0', '199.182.223.255', 3350648832, 3350650879, 'CA', 'Canada'),
(130968, '199.182.224.0', '199.185.0.255', 3350650880, 3350790399, 'US', 'United States'),
(130969, '199.185.1.0', '199.185.138.255', 3350790400, 3350825727, 'CA', 'Canada'),
(130970, '199.185.139.0', '199.185.139.255', 3350825728, 3350825983, 'GB', 'United Kingdom'),
(130971, '199.185.140.0', '199.185.255.255', 3350825984, 3350855679, 'CA', 'Canada'),
(130972, '199.186.0.0', '199.186.24.255', 3350855680, 3350862079, 'US', 'United States'),
(130973, '199.186.25.0', '199.186.34.255', 3350862080, 3350864639, 'CL', 'Chile'),
(130974, '199.186.35.0', '199.187.122.47', 3350864640, 3350952495, 'US', 'United States'),
(130975, '199.187.122.48', '199.187.122.63', 3350952496, 3350952511, 'PE', 'Peru'),
(130976, '199.187.122.64', '199.187.122.135', 3350952512, 3350952583, 'US', 'United States'),
(130977, '199.187.122.136', '199.187.122.143', 3350952584, 3350952591, 'BA', 'Bosnia and Herzegovina'),
(130978, '199.187.122.144', '199.187.123.63', 3350952592, 3350952767, 'US', 'United States'),
(130979, '199.187.123.64', '199.187.123.127', 3350952768, 3350952831, 'GB', 'United Kingdom'),
(130980, '199.187.123.128', '199.187.126.143', 3350952832, 3350953615, 'US', 'United States'),
(130981, '199.187.126.144', '199.187.126.151', 3350953616, 3350953623, 'AR', 'Argentina'),
(130982, '199.187.126.152', '199.187.126.159', 3350953624, 3350953631, 'NZ', 'New Zealand'),
(130983, '199.187.126.160', '199.187.191.255', 3350953632, 3350970367, 'US', 'United States'),
(130984, '199.187.192.0', '199.187.195.255', 3350970368, 3350971391, 'CA', 'Canada'),
(130985, '199.187.196.0', '199.187.227.255', 3350971392, 3350979583, 'US', 'United States'),
(130986, '199.187.228.0', '199.187.231.255', 3350979584, 3350980607, 'CA', 'Canada'),
(130987, '199.187.232.0', '199.188.31.255', 3350980608, 3350994943, 'US', 'United States'),
(130988, '199.188.32.0', '199.188.43.255', 3350994944, 3350998015, 'CA', 'Canada'),
(130989, '199.188.44.0', '199.188.59.255', 3350998016, 3351002111, 'US', 'United States'),
(130990, '199.188.60.0', '199.188.63.255', 3351002112, 3351003135, 'CA', 'Canada'),
(130991, '199.188.64.0', '199.188.67.255', 3351003136, 3351004159, 'US', 'United States'),
(130992, '199.188.68.0', '199.188.71.255', 3351004160, 3351005183, 'CA', 'Canada'),
(130993, '199.188.72.0', '199.188.111.255', 3351005184, 3351015423, 'US', 'United States'),
(130994, '199.188.112.0', '199.188.115.255', 3351015424, 3351016447, 'CA', 'Canada'),
(130995, '199.188.116.0', '199.188.171.255', 3351016448, 3351030783, 'US', 'United States'),
(130996, '199.188.172.0', '199.188.175.255', 3351030784, 3351031807, 'CA', 'Canada'),
(130997, '199.188.176.0', '199.188.187.255', 3351031808, 3351034879, 'US', 'United States'),
(130998, '199.188.188.0', '199.188.191.255', 3351034880, 3351035903, 'CA', 'Canada'),
(130999, '199.188.192.0', '199.188.195.255', 3351035904, 3351036927, 'US', 'United States'),
(131000, '199.188.196.0', '199.188.199.255', 3351036928, 3351037951, 'CA', 'Canada'),
(131001, '199.188.200.0', '199.188.219.255', 3351037952, 3351043071, 'US', 'United States'),
(131002, '199.188.220.0', '199.188.220.255', 3351043072, 3351043327, 'FR', 'France'),
(131003, '199.188.221.0', '199.188.223.255', 3351043328, 3351044095, 'CA', 'Canada'),
(131004, '199.188.224.0', '199.188.228.191', 3351044096, 3351045311, 'US', 'United States'),
(131005, '199.188.228.192', '199.188.228.223', 3351045312, 3351045343, 'RU', 'Russian Federation'),
(131006, '199.188.228.224', '199.188.229.63', 3351045344, 3351045439, 'US', 'United States'),
(131007, '199.188.229.64', '199.188.229.95', 3351045440, 3351045471, 'CA', 'Canada'),
(131008, '199.188.229.96', '199.188.229.255', 3351045472, 3351045631, 'US', 'United States'),
(131009, '199.188.230.0', '199.188.230.63', 3351045632, 3351045695, 'TW', 'Taiwan'),
(131010, '199.188.230.64', '199.189.75.255', 3351045696, 3351071743, 'US', 'United States'),
(131011, '199.189.76.0', '199.189.79.255', 3351071744, 3351072767, 'CA', 'Canada'),
(131012, '199.189.80.0', '199.189.87.255', 3351072768, 3351074815, 'US', 'United States'),
(131013, '199.189.88.0', '199.189.95.255', 3351074816, 3351076863, 'CA', 'Canada'),
(131014, '199.189.96.0', '199.189.111.255', 3351076864, 3351080959, 'US', 'United States'),
(131015, '199.189.112.0', '199.189.115.255', 3351080960, 3351081983, 'AG', 'Antigua and Barbuda'),
(131016, '199.189.116.0', '199.189.131.255', 3351081984, 3351086079, 'US', 'United States'),
(131017, '199.189.132.0', '199.189.135.255', 3351086080, 3351087103, 'CA', 'Canada'),
(131018, '199.189.136.0', '199.189.199.255', 3351087104, 3351103487, 'US', 'United States'),
(131019, '199.189.200.0', '199.189.203.255', 3351103488, 3351104511, 'CA', 'Canada'),
(131020, '199.189.204.0', '199.189.204.127', 3351104512, 3351104639, 'JP', 'Japan'),
(131021, '199.189.204.128', '199.189.204.191', 3351104640, 3351104703, 'SI', 'Slovenia'),
(131022, '199.189.204.192', '199.189.204.255', 3351104704, 3351104767, 'CH', 'Switzerland'),
(131023, '199.189.205.0', '199.189.205.63', 3351104768, 3351104831, 'US', 'United States'),
(131024, '199.189.205.64', '199.189.205.127', 3351104832, 3351104895, 'GB', 'United Kingdom'),
(131025, '199.189.205.128', '199.189.205.191', 3351104896, 3351104959, 'NL', 'Netherlands'),
(131026, '199.189.205.192', '199.189.205.255', 3351104960, 3351105023, 'SG', 'Singapore'),
(131027, '199.189.206.0', '199.189.206.127', 3351105024, 3351105151, 'CA', 'Canada'),
(131028, '199.189.206.128', '199.189.235.255', 3351105152, 3351112703, 'US', 'United States'),
(131029, '199.189.236.0', '199.189.239.255', 3351112704, 3351113727, 'CA', 'Canada'),
(131030, '199.189.240.0', '199.191.191.255', 3351113728, 3351232511, 'US', 'United States'),
(131031, '199.191.192.0', '199.191.192.255', 3351232512, 3351232767, 'IL', 'Israel'),
(131032, '199.191.193.0', '199.192.103.255', 3351232768, 3351275519, 'US', 'United States'),
(131033, '199.192.104.0', '199.192.107.255', 3351275520, 3351276543, 'CA', 'Canada'),
(131034, '199.192.108.0', '199.192.175.255', 3351276544, 3351293951, 'US', 'United States'),
(131035, '199.192.176.0', '199.192.179.255', 3351293952, 3351294975, 'CA', 'Canada'),
(131036, '199.192.180.0', '199.192.183.255', 3351294976, 3351295999, 'US', 'United States'),
(131037, '199.192.184.0', '199.192.191.255', 3351296000, 3351298047, 'CA', 'Canada'),
(131038, '199.192.192.0', '199.192.211.255', 3351298048, 3351303167, 'US', 'United States'),
(131039, '199.192.212.0', '199.192.215.255', 3351303168, 3351304191, 'CA', 'Canada'),
(131040, '199.192.216.0', '199.192.223.255', 3351304192, 3351306239, 'US', 'United States'),
(131041, '199.192.224.0', '199.192.227.255', 3351306240, 3351307263, 'VC', 'Saint Vincent and the Grenadines'),
(131042, '199.192.228.0', '199.192.228.31', 3351307264, 3351307295, 'US', 'United States'),
(131043, '199.192.228.32', '199.192.228.47', 3351307296, 3351307311, 'MX', 'Mexico'),
(131044, '199.192.228.48', '199.192.231.255', 3351307312, 3351308287, 'US', 'United States'),
(131045, '199.192.232.0', '199.192.239.255', 3351308288, 3351310335, 'CA', 'Canada'),
(131046, '199.192.240.0', '199.193.47.255', 3351310336, 3351326719, 'US', 'United States'),
(131047, '199.193.48.0', '199.193.55.255', 3351326720, 3351328767, 'CA', 'Canada'),
(131048, '199.193.56.0', '199.193.87.255', 3351328768, 3351336959, 'US', 'United States'),
(131049, '199.193.88.0', '199.193.95.255', 3351336960, 3351339007, 'CA', 'Canada'),
(131050, '199.193.96.0', '199.193.167.255', 3351339008, 3351357439, 'US', 'United States'),
(131051, '199.193.168.0', '199.193.175.255', 3351357440, 3351359487, 'CA', 'Canada'),
(131052, '199.193.176.0', '199.193.195.255', 3351359488, 3351364607, 'US', 'United States'),
(131053, '199.193.196.0', '199.193.197.255', 3351364608, 3351365119, 'AU', 'Australia'),
(131054, '199.193.198.0', '199.193.227.255', 3351365120, 3351372799, 'US', 'United States'),
(131055, '199.193.228.0', '199.193.231.255', 3351372800, 3351373823, 'BM', 'Bermuda'),
(131056, '199.193.232.0', '199.194.0.255', 3351373824, 3351380223, 'US', 'United States'),
(131057, '199.194.1.0', '199.194.1.255', 3351380224, 3351380479, 'CA', 'Canada'),
(131058, '199.194.2.0', '199.194.2.255', 3351380480, 3351380735, 'US', 'United States'),
(131059, '199.194.3.0', '199.194.6.255', 3351380736, 3351381759, 'CA', 'Canada'),
(131060, '199.194.7.0', '199.194.8.255', 3351381760, 3351382271, 'US', 'United States'),
(131061, '199.194.9.0', '199.194.9.255', 3351382272, 3351382527, 'CA', 'Canada'),
(131062, '199.194.10.0', '199.194.11.255', 3351382528, 3351383039, 'US', 'United States'),
(131063, '199.194.12.0', '199.194.12.255', 3351383040, 3351383295, 'CA', 'Canada'),
(131064, '199.194.13.0', '199.194.16.255', 3351383296, 3351384319, 'US', 'United States'),
(131065, '199.194.17.0', '199.194.17.255', 3351384320, 3351384575, 'CA', 'Canada'),
(131066, '199.194.18.0', '199.194.20.255', 3351384576, 3351385343, 'US', 'United States'),
(131067, '199.194.21.0', '199.194.21.255', 3351385344, 3351385599, 'CA', 'Canada'),
(131068, '199.194.22.0', '199.194.23.255', 3351385600, 3351386111, 'US', 'United States'),
(131069, '199.194.24.0', '199.194.24.255', 3351386112, 3351386367, 'PR', 'Puerto Rico'),
(131070, '199.194.25.0', '199.194.25.255', 3351386368, 3351386623, 'US', 'United States'),
(131071, '199.194.26.0', '199.194.26.255', 3351386624, 3351386879, 'CA', 'Canada'),
(131072, '199.194.27.0', '199.194.27.255', 3351386880, 3351387135, 'US', 'United States'),
(131073, '199.194.28.0', '199.194.28.255', 3351387136, 3351387391, 'CA', 'Canada'),
(131074, '199.194.29.0', '199.194.30.255', 3351387392, 3351387903, 'US', 'United States'),
(131075, '199.194.31.0', '199.194.31.255', 3351387904, 3351388159, 'CA', 'Canada'),
(131076, '199.194.32.0', '199.194.34.255', 3351388160, 3351388927, 'US', 'United States'),
(131077, '199.194.35.0', '199.194.36.255', 3351388928, 3351389439, 'CA', 'Canada'),
(131078, '199.194.37.0', '199.194.40.255', 3351389440, 3351390463, 'US', 'United States'),
(131079, '199.194.41.0', '199.194.42.255', 3351390464, 3351390975, 'CA', 'Canada'),
(131080, '199.194.43.0', '199.194.57.255', 3351390976, 3351394815, 'US', 'United States'),
(131081, '199.194.58.0', '199.194.58.255', 3351394816, 3351395071, 'CA', 'Canada'),
(131082, '199.194.59.0', '199.194.62.255', 3351395072, 3351396095, 'US', 'United States'),
(131083, '199.194.63.0', '199.194.63.255', 3351396096, 3351396351, 'CA', 'Canada'),
(131084, '199.194.64.0', '199.194.67.255', 3351396352, 3351397375, 'US', 'United States'),
(131085, '199.194.68.0', '199.194.68.255', 3351397376, 3351397631, 'CA', 'Canada'),
(131086, '199.194.69.0', '199.194.69.255', 3351397632, 3351397887, 'US', 'United States'),
(131087, '199.194.70.0', '199.194.70.255', 3351397888, 3351398143, 'CA', 'Canada'),
(131088, '199.194.71.0', '199.194.71.255', 3351398144, 3351398399, 'US', 'United States'),
(131089, '199.194.72.0', '199.194.72.255', 3351398400, 3351398655, 'CA', 'Canada'),
(131090, '199.194.73.0', '199.194.73.255', 3351398656, 3351398911, 'US', 'United States'),
(131091, '199.194.74.0', '199.194.74.255', 3351398912, 3351399167, 'CA', 'Canada'),
(131092, '199.194.75.0', '199.194.75.255', 3351399168, 3351399423, 'US', 'United States'),
(131093, '199.194.76.0', '199.194.77.255', 3351399424, 3351399935, 'CA', 'Canada'),
(131094, '199.194.78.0', '199.194.78.255', 3351399936, 3351400191, 'US', 'United States'),
(131095, '199.194.79.0', '199.194.79.255', 3351400192, 3351400447, 'CA', 'Canada'),
(131096, '199.194.80.0', '199.194.81.255', 3351400448, 3351400959, 'US', 'United States'),
(131097, '199.194.82.0', '199.194.82.255', 3351400960, 3351401215, 'CA', 'Canada'),
(131098, '199.194.83.0', '199.194.85.255', 3351401216, 3351401983, 'US', 'United States'),
(131099, '199.194.86.0', '199.194.86.255', 3351401984, 3351402239, 'CA', 'Canada'),
(131100, '199.194.87.0', '199.194.87.255', 3351402240, 3351402495, 'US', 'United States'),
(131101, '199.194.88.0', '199.194.92.255', 3351402496, 3351403775, 'CA', 'Canada'),
(131102, '199.194.93.0', '199.194.93.255', 3351403776, 3351404031, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(131103, '199.194.94.0', '199.194.94.255', 3351404032, 3351404287, 'CA', 'Canada'),
(131104, '199.194.95.0', '199.194.98.255', 3351404288, 3351405311, 'US', 'United States'),
(131105, '199.194.99.0', '199.194.99.255', 3351405312, 3351405567, 'CA', 'Canada'),
(131106, '199.194.100.0', '199.194.100.255', 3351405568, 3351405823, 'US', 'United States'),
(131107, '199.194.101.0', '199.194.101.255', 3351405824, 3351406079, 'CA', 'Canada'),
(131108, '199.194.102.0', '199.194.105.255', 3351406080, 3351407103, 'US', 'United States'),
(131109, '199.194.106.0', '199.194.106.255', 3351407104, 3351407359, 'CA', 'Canada'),
(131110, '199.194.107.0', '199.194.107.255', 3351407360, 3351407615, 'US', 'United States'),
(131111, '199.194.108.0', '199.194.108.255', 3351407616, 3351407871, 'CA', 'Canada'),
(131112, '199.194.109.0', '199.194.112.255', 3351407872, 3351408895, 'US', 'United States'),
(131113, '199.194.113.0', '199.194.114.255', 3351408896, 3351409407, 'CA', 'Canada'),
(131114, '199.194.115.0', '199.194.119.255', 3351409408, 3351410687, 'US', 'United States'),
(131115, '199.194.120.0', '199.194.120.255', 3351410688, 3351410943, 'CA', 'Canada'),
(131116, '199.194.121.0', '199.194.123.255', 3351410944, 3351411711, 'US', 'United States'),
(131117, '199.194.124.0', '199.194.124.255', 3351411712, 3351411967, 'CA', 'Canada'),
(131118, '199.194.125.0', '199.194.125.255', 3351411968, 3351412223, 'US', 'United States'),
(131119, '199.194.126.0', '199.194.126.255', 3351412224, 3351412479, 'CA', 'Canada'),
(131120, '199.194.127.0', '199.194.127.255', 3351412480, 3351412735, 'US', 'United States'),
(131121, '199.194.128.0', '199.194.129.255', 3351412736, 3351413247, 'CA', 'Canada'),
(131122, '199.194.130.0', '199.194.130.255', 3351413248, 3351413503, 'US', 'United States'),
(131123, '199.194.131.0', '199.194.131.255', 3351413504, 3351413759, 'CA', 'Canada'),
(131124, '199.194.132.0', '199.194.133.255', 3351413760, 3351414271, 'US', 'United States'),
(131125, '199.194.134.0', '199.194.135.255', 3351414272, 3351414783, 'CA', 'Canada'),
(131126, '199.194.136.0', '199.194.136.255', 3351414784, 3351415039, 'US', 'United States'),
(131127, '199.194.137.0', '199.194.138.255', 3351415040, 3351415551, 'CA', 'Canada'),
(131128, '199.194.139.0', '199.194.139.255', 3351415552, 3351415807, 'US', 'United States'),
(131129, '199.194.140.0', '199.194.140.255', 3351415808, 3351416063, 'CA', 'Canada'),
(131130, '199.194.141.0', '199.194.144.255', 3351416064, 3351417087, 'US', 'United States'),
(131131, '199.194.145.0', '199.194.146.255', 3351417088, 3351417599, 'CA', 'Canada'),
(131132, '199.194.147.0', '199.194.154.255', 3351417600, 3351419647, 'US', 'United States'),
(131133, '199.194.155.0', '199.194.155.255', 3351419648, 3351419903, 'CA', 'Canada'),
(131134, '199.194.156.0', '199.194.170.255', 3351419904, 3351423743, 'US', 'United States'),
(131135, '199.194.171.0', '199.194.171.255', 3351423744, 3351423999, 'PR', 'Puerto Rico'),
(131136, '199.194.172.0', '199.194.188.255', 3351424000, 3351428351, 'US', 'United States'),
(131137, '199.194.189.0', '199.194.189.255', 3351428352, 3351428607, 'CA', 'Canada'),
(131138, '199.194.190.0', '199.194.218.255', 3351428608, 3351436031, 'US', 'United States'),
(131139, '199.194.219.0', '199.194.219.255', 3351436032, 3351436287, 'CA', 'Canada'),
(131140, '199.194.220.0', '199.194.220.255', 3351436288, 3351436543, 'US', 'United States'),
(131141, '199.194.221.0', '199.194.221.255', 3351436544, 3351436799, 'PR', 'Puerto Rico'),
(131142, '199.194.222.0', '199.194.222.255', 3351436800, 3351437055, 'US', 'United States'),
(131143, '199.194.223.0', '199.194.223.255', 3351437056, 3351437311, 'CA', 'Canada'),
(131144, '199.194.224.0', '199.194.224.255', 3351437312, 3351437567, 'US', 'United States'),
(131145, '199.194.225.0', '199.194.225.255', 3351437568, 3351437823, 'CA', 'Canada'),
(131146, '199.194.226.0', '199.194.226.255', 3351437824, 3351438079, 'US', 'United States'),
(131147, '199.194.227.0', '199.194.227.255', 3351438080, 3351438335, 'CA', 'Canada'),
(131148, '199.194.228.0', '199.194.228.255', 3351438336, 3351438591, 'US', 'United States'),
(131149, '199.194.229.0', '199.194.230.255', 3351438592, 3351439103, 'CA', 'Canada'),
(131150, '199.194.231.0', '199.194.238.255', 3351439104, 3351441151, 'US', 'United States'),
(131151, '199.194.239.0', '199.194.239.255', 3351441152, 3351441407, 'CA', 'Canada'),
(131152, '199.194.240.0', '199.194.241.255', 3351441408, 3351441919, 'US', 'United States'),
(131153, '199.194.242.0', '199.194.242.255', 3351441920, 3351442175, 'CA', 'Canada'),
(131154, '199.194.243.0', '199.195.147.255', 3351442176, 3351483391, 'US', 'United States'),
(131155, '199.195.148.0', '199.195.151.255', 3351483392, 3351484415, 'CA', 'Canada'),
(131156, '199.195.152.0', '199.195.155.255', 3351484416, 3351485439, 'US', 'United States'),
(131157, '199.195.156.0', '199.195.167.255', 3351485440, 3351488511, 'CA', 'Canada'),
(131158, '199.195.168.0', '199.195.203.255', 3351488512, 3351497727, 'US', 'United States'),
(131159, '199.195.204.0', '199.195.207.255', 3351497728, 3351498751, 'CA', 'Canada'),
(131160, '199.195.208.0', '199.195.219.255', 3351498752, 3351501823, 'US', 'United States'),
(131161, '199.195.220.0', '199.195.223.255', 3351501824, 3351502847, 'JM', 'Jamaica'),
(131162, '199.195.224.0', '199.195.227.255', 3351502848, 3351503871, 'US', 'United States'),
(131163, '199.195.228.0', '199.195.231.255', 3351503872, 3351504895, 'CA', 'Canada'),
(131164, '199.195.232.0', '199.195.247.255', 3351504896, 3351508991, 'US', 'United States'),
(131165, '199.195.248.0', '199.195.255.255', 3351508992, 3351511039, 'CA', 'Canada'),
(131166, '199.196.0.0', '199.196.50.255', 3351511040, 3351524095, 'US', 'United States'),
(131167, '199.196.51.0', '199.196.51.255', 3351524096, 3351524351, 'GB', 'United Kingdom'),
(131168, '199.196.52.0', '199.197.255.255', 3351524352, 3351642111, 'US', 'United States'),
(131169, '199.198.0.0', '199.198.209.255', 3351642112, 3351695871, 'CA', 'Canada'),
(131170, '199.198.212.0', '199.198.212.255', 3351696384, 3351696639, 'CA', 'Canada'),
(131171, '199.198.213.0', '199.198.213.255', 3351696640, 3351696895, 'US', 'United States'),
(131172, '199.198.216.0', '199.198.219.255', 3351697408, 3351698431, 'CA', 'Canada'),
(131173, '199.198.220.0', '199.201.44.255', 3351698432, 3351850239, 'US', 'United States'),
(131174, '199.201.45.0', '199.201.45.255', 3351850240, 3351850495, 'AP', 'Asia/Pacific Region'),
(131175, '199.201.46.0', '199.201.83.255', 3351850496, 3351860223, 'US', 'United States'),
(131176, '199.201.84.0', '199.201.87.255', 3351860224, 3351861247, 'KY', 'Cayman Islands'),
(131177, '199.201.88.0', '199.201.119.255', 3351861248, 3351869439, 'US', 'United States'),
(131178, '199.201.120.0', '199.201.127.255', 3351869440, 3351871487, 'CA', 'Canada'),
(131179, '199.201.128.0', '199.201.221.255', 3351871488, 3351895551, 'US', 'United States'),
(131180, '199.201.222.0', '199.201.222.255', 3351895552, 3351895807, 'CA', 'Canada'),
(131181, '199.201.223.0', '199.201.255.255', 3351895808, 3351904255, 'US', 'United States'),
(131182, '199.202.32.0', '199.202.90.255', 3351912448, 3351927551, 'CA', 'Canada'),
(131183, '199.202.91.0', '199.202.91.255', 3351927552, 3351927807, 'US', 'United States'),
(131184, '199.202.92.0', '199.202.215.255', 3351927808, 3351959551, 'CA', 'Canada'),
(131185, '199.202.216.0', '199.202.223.255', 3351959552, 3351961599, 'US', 'United States'),
(131186, '199.202.224.0', '199.202.255.255', 3351961600, 3351969791, 'CA', 'Canada'),
(131187, '199.203.0.0', '199.203.255.255', 3351969792, 3352035327, 'IL', 'Israel'),
(131188, '199.204.0.0', '199.204.3.255', 3352035328, 3352036351, 'CA', 'Canada'),
(131189, '199.204.4.0', '199.204.43.255', 3352036352, 3352046591, 'US', 'United States'),
(131190, '199.204.44.0', '199.204.55.255', 3352046592, 3352049663, 'CA', 'Canada'),
(131191, '199.204.56.0', '199.204.63.255', 3352049664, 3352051711, 'US', 'United States'),
(131192, '199.204.64.0', '199.204.79.255', 3352051712, 3352055807, 'CA', 'Canada'),
(131193, '199.204.80.0', '199.204.119.255', 3352055808, 3352066047, 'US', 'United States'),
(131194, '199.204.120.0', '199.204.123.255', 3352066048, 3352067071, 'CA', 'Canada'),
(131195, '199.204.124.0', '199.204.127.255', 3352067072, 3352068095, 'US', 'United States'),
(131196, '199.204.128.0', '199.204.131.255', 3352068096, 3352069119, 'CA', 'Canada'),
(131197, '199.204.132.0', '199.204.135.31', 3352069120, 3352069919, 'US', 'United States'),
(131198, '199.204.135.32', '199.204.135.47', 3352069920, 3352069935, 'CO', 'Colombia'),
(131199, '199.204.135.48', '199.204.135.55', 3352069936, 3352069943, 'US', 'United States'),
(131200, '199.204.135.56', '199.204.135.63', 3352069944, 3352069951, 'BD', 'Bangladesh'),
(131201, '199.204.135.64', '199.204.183.255', 3352069952, 3352082431, 'US', 'United States'),
(131202, '199.204.184.0', '199.204.187.255', 3352082432, 3352083455, 'JM', 'Jamaica'),
(131203, '199.204.188.0', '199.204.207.255', 3352083456, 3352088575, 'US', 'United States'),
(131204, '199.204.208.0', '199.204.215.255', 3352088576, 3352090623, 'CA', 'Canada'),
(131205, '199.204.216.0', '199.204.231.255', 3352090624, 3352094719, 'US', 'United States'),
(131206, '199.204.232.0', '199.204.239.255', 3352094720, 3352096767, 'VG', 'Virgin Islands, British'),
(131207, '199.204.240.0', '199.212.0.255', 3352096768, 3352559871, 'US', 'United States'),
(131208, '199.212.1.0', '199.212.13.255', 3352559872, 3352563199, 'CA', 'Canada'),
(131209, '199.212.14.0', '199.212.14.255', 3352563200, 3352563455, 'US', 'United States'),
(131210, '199.212.15.0', '199.212.55.255', 3352563456, 3352573951, 'CA', 'Canada'),
(131211, '199.212.56.0', '199.212.56.255', 3352573952, 3352574207, 'US', 'United States'),
(131212, '199.212.57.0', '199.212.94.255', 3352574208, 3352583935, 'CA', 'Canada'),
(131213, '199.212.95.0', '199.212.95.255', 3352583936, 3352584191, 'US', 'United States'),
(131214, '199.212.96.0', '199.212.123.255', 3352584192, 3352591359, 'CA', 'Canada'),
(131215, '199.212.124.0', '199.212.124.255', 3352591360, 3352591615, 'US', 'United States'),
(131216, '199.212.125.0', '199.212.217.255', 3352591616, 3352615423, 'CA', 'Canada'),
(131217, '199.212.218.0', '199.212.223.255', 3352615424, 3352616959, 'US', 'United States'),
(131218, '199.212.224.0', '199.216.255.255', 3352616960, 3352887295, 'CA', 'Canada'),
(131219, '199.217.0.0', '199.217.119.255', 3352887296, 3352918015, 'US', 'United States'),
(131220, '199.217.120.0', '199.217.123.255', 3352918016, 3352919039, 'CA', 'Canada'),
(131221, '199.217.124.0', '199.228.176.255', 3352919040, 3353653503, 'US', 'United States'),
(131222, '199.228.177.0', '199.228.177.255', 3353653504, 3353653759, 'GB', 'United Kingdom'),
(131223, '199.228.178.0', '199.229.189.255', 3353653760, 3353722367, 'US', 'United States'),
(131224, '199.229.190.0', '199.229.190.255', 3353722368, 3353722623, 'GB', 'United Kingdom'),
(131225, '199.229.191.0', '199.229.215.255', 3353722624, 3353729023, 'US', 'United States'),
(131226, '199.229.216.0', '199.229.216.255', 3353729024, 3353729279, 'HK', 'Hong Kong'),
(131227, '199.229.217.0', '199.229.219.255', 3353729280, 3353730047, 'US', 'United States'),
(131228, '199.229.220.0', '199.229.223.255', 3353730048, 3353731071, 'CA', 'Canada'),
(131229, '199.229.224.0', '199.230.52.5', 3353731072, 3353752581, 'US', 'United States'),
(131230, '199.230.52.6', '199.230.52.9', 3353752582, 3353752585, 'FR', 'France'),
(131231, '199.230.52.10', '199.230.52.13', 3353752586, 3353752589, 'BE', 'Belgium'),
(131232, '199.230.52.14', '199.230.52.101', 3353752590, 3353752677, 'US', 'United States'),
(131233, '199.230.52.102', '199.230.52.105', 3353752678, 3353752681, 'ES', 'Spain'),
(131234, '199.230.52.106', '199.230.52.140', 3353752682, 3353752716, 'US', 'United States'),
(131235, '199.230.52.141', '199.230.52.144', 3353752717, 3353752720, 'IT', 'Italy'),
(131236, '199.230.52.145', '199.230.52.252', 3353752721, 3353752828, 'US', 'United States'),
(131237, '199.230.52.253', '199.230.52.254', 3353752829, 3353752830, 'FR', 'France'),
(131238, '199.230.52.255', '199.230.53.155', 3353752831, 3353752987, 'US', 'United States'),
(131239, '199.230.53.156', '199.230.53.159', 3353752988, 3353752991, 'GB', 'United Kingdom'),
(131240, '199.230.53.160', '199.230.53.223', 3353752992, 3353753055, 'US', 'United States'),
(131241, '199.230.53.224', '199.230.53.227', 3353753056, 3353753059, 'BR', 'Brazil'),
(131242, '199.230.53.228', '199.230.159.255', 3353753060, 3353780223, 'US', 'United States'),
(131243, '199.230.160.0', '199.230.160.255', 3353780224, 3353780479, 'GB', 'United Kingdom'),
(131244, '199.230.161.0', '199.233.25.255', 3353780480, 3353942527, 'US', 'United States'),
(131245, '199.233.26.0', '199.233.27.255', 3353942528, 3353943039, 'CA', 'Canada'),
(131246, '199.233.28.0', '199.233.170.255', 3353943040, 3353979647, 'US', 'United States'),
(131247, '199.233.171.0', '199.233.171.255', 3353979648, 3353979903, 'CA', 'Canada'),
(131248, '199.233.172.0', '199.233.182.255', 3353979904, 3353982719, 'US', 'United States'),
(131249, '199.233.183.0', '199.233.184.255', 3353982720, 3353983231, 'CA', 'Canada'),
(131250, '199.233.185.0', '199.233.223.255', 3353983232, 3353993215, 'US', 'United States'),
(131251, '199.234.0.0', '199.234.255.255', 3354001408, 3354066943, 'US', 'United States'),
(131252, '199.235.0.0', '199.235.255.255', 3354066944, 3354132479, 'CA', 'Canada'),
(131253, '199.236.0.0', '199.242.255.255', 3354132480, 3354591231, 'US', 'United States'),
(131254, '199.243.0.0', '199.243.255.255', 3354591232, 3354656767, 'CA', 'Canada'),
(131255, '199.244.0.0', '199.245.34.10', 3354656768, 3354731018, 'US', 'United States'),
(131256, '199.245.34.11', '199.245.34.11', 3354731019, 3354731019, 'EU', 'Europe'),
(131257, '199.245.34.12', '199.245.35.255', 3354731020, 3354731519, 'US', 'United States'),
(131258, '199.245.36.0', '199.245.36.255', 3354731520, 3354731775, 'AP', 'Asia/Pacific Region'),
(131259, '199.245.37.0', '199.245.188.255', 3354731776, 3354770687, 'US', 'United States'),
(131260, '199.245.189.0', '199.245.189.255', 3354770688, 3354770943, 'CA', 'Canada'),
(131261, '199.245.190.0', '199.246.0.255', 3354770944, 3354788095, 'US', 'United States'),
(131262, '199.246.1.0', '199.246.72.127', 3354788096, 3354806399, 'CA', 'Canada'),
(131263, '199.246.72.128', '199.246.72.191', 3354806400, 3354806463, 'US', 'United States'),
(131264, '199.246.72.192', '199.246.76.255', 3354806464, 3354807551, 'CA', 'Canada'),
(131265, '199.246.77.0', '199.246.87.255', 3354807552, 3354810367, 'US', 'United States'),
(131266, '199.246.88.0', '199.246.105.255', 3354810368, 3354814975, 'CA', 'Canada'),
(131267, '199.246.106.0', '199.246.106.255', 3354814976, 3354815231, 'US', 'United States'),
(131268, '199.246.107.0', '199.246.138.255', 3354815232, 3354823423, 'CA', 'Canada'),
(131269, '199.246.139.0', '199.246.139.255', 3354823424, 3354823679, 'US', 'United States'),
(131270, '199.246.140.0', '199.246.254.255', 3354823680, 3354853119, 'CA', 'Canada'),
(131271, '199.246.255.0', '199.246.255.255', 3354853120, 3354853375, 'US', 'United States'),
(131272, '199.247.0.0', '199.247.255.255', 3354853376, 3354918911, 'CA', 'Canada'),
(131273, '199.248.0.0', '199.248.143.255', 3354918912, 3354955775, 'US', 'United States'),
(131274, '199.248.144.0', '199.248.144.255', 3354955776, 3354956031, 'AR', 'Argentina'),
(131275, '199.248.145.0', '199.249.111.255', 3354956032, 3355013119, 'US', 'United States'),
(131276, '199.249.112.0', '199.249.127.255', 3355013120, 3355017215, 'CA', 'Canada'),
(131277, '199.249.128.0', '199.250.8.255', 3355017216, 3355052287, 'US', 'United States'),
(131278, '199.250.9.0', '199.250.12.255', 3355052288, 3355053311, 'CA', 'Canada'),
(131279, '199.250.13.0', '199.250.13.255', 3355053312, 3355053567, 'US', 'United States'),
(131280, '199.250.16.0', '199.253.55.255', 3355054080, 3355260927, 'US', 'United States'),
(131281, '199.253.56.0', '199.253.62.255', 3355260928, 3355262719, 'CA', 'Canada'),
(131282, '199.253.63.0', '199.253.99.253', 3355262720, 3355272189, 'US', 'United States'),
(131283, '199.253.99.254', '199.253.99.254', 3355272190, 3355272190, 'EU', 'Europe'),
(131284, '199.253.99.255', '199.253.249.255', 3355272191, 3355310591, 'US', 'United States'),
(131285, '199.253.250.0', '199.253.251.255', 3355310592, 3355311103, 'CA', 'Canada'),
(131286, '199.253.252.0', '199.254.27.255', 3355311104, 3355319295, 'US', 'United States'),
(131287, '199.254.28.0', '199.254.31.255', 3355319296, 3355320319, 'CA', 'Canada'),
(131288, '199.254.32.0', '199.254.47.255', 3355320320, 3355324415, 'US', 'United States'),
(131289, '199.254.48.0', '199.254.63.255', 3355324416, 3355328511, 'CA', 'Canada'),
(131290, '199.254.64.0', '199.254.95.255', 3355328512, 3355336703, 'US', 'United States'),
(131291, '199.254.128.0', '199.254.151.255', 3355344896, 3355351039, 'US', 'United States'),
(131292, '199.254.152.0', '199.254.152.255', 3355351040, 3355351295, 'CA', 'Canada'),
(131293, '199.254.153.0', '199.254.234.255', 3355351296, 3355372287, 'US', 'United States'),
(131294, '199.254.235.0', '199.254.235.255', 3355372288, 3355372543, 'CA', 'Canada'),
(131295, '199.254.236.0', '199.255.25.31', 3355372544, 3355384095, 'US', 'United States'),
(131296, '199.255.25.32', '199.255.25.63', 3355384096, 3355384127, 'AR', 'Argentina'),
(131297, '199.255.25.64', '199.255.27.255', 3355384128, 3355384831, 'US', 'United States'),
(131298, '199.255.28.0', '199.255.31.255', 3355384832, 3355385855, 'CA', 'Canada'),
(131299, '199.255.32.0', '199.255.115.255', 3355385856, 3355407359, 'US', 'United States'),
(131300, '199.255.116.0', '199.255.119.255', 3355407360, 3355408383, 'PR', 'Puerto Rico'),
(131301, '199.255.120.0', '199.255.135.255', 3355408384, 3355412479, 'US', 'United States'),
(131302, '199.255.136.0', '199.255.137.255', 3355412480, 3355412991, 'BE', 'Belgium'),
(131303, '199.255.138.0', '199.255.207.255', 3355412992, 3355430911, 'US', 'United States'),
(131304, '199.255.208.0', '199.255.215.255', 3355430912, 3355432959, 'A1', 'Anonymous Proxy'),
(131305, '199.255.216.0', '199.255.255.255', 3355432960, 3355443199, 'US', 'United States'),
(131306, '200.0.0.0', '200.0.7.255', 3355443200, 3355445247, 'CO', 'Colombia'),
(131307, '200.0.8.0', '200.0.15.255', 3355445248, 3355447295, 'BR', 'Brazil'),
(131308, '200.0.16.0', '200.0.16.255', 3355447296, 3355447551, 'CU', 'Cuba'),
(131309, '200.0.17.0', '200.0.17.255', 3355447552, 3355447807, 'AR', 'Argentina'),
(131310, '200.0.18.0', '200.0.18.255', 3355447808, 3355448063, 'HT', 'Haiti'),
(131311, '200.0.19.0', '200.0.19.255', 3355448064, 3355448319, 'AR', 'Argentina'),
(131312, '200.0.20.0', '200.0.23.255', 3355448320, 3355449343, 'AN', 'Netherlands Antilles'),
(131313, '200.0.24.0', '200.0.27.255', 3355449344, 3355450367, 'CU', 'Cuba'),
(131314, '200.0.28.0', '200.0.31.255', 3355450368, 3355451391, 'EC', 'Ecuador'),
(131315, '200.0.32.0', '200.0.61.255', 3355451392, 3355459071, 'BR', 'Brazil'),
(131316, '200.0.63.0', '200.0.63.255', 3355459328, 3355459583, 'EC', 'Ecuador'),
(131317, '200.0.64.0', '200.0.64.255', 3355459584, 3355459839, 'PA', 'Panama'),
(131318, '200.0.65.0', '200.0.65.255', 3355459840, 3355460095, 'VE', 'Venezuela'),
(131319, '200.0.66.0', '200.0.66.255', 3355460096, 3355460351, 'CL', 'Chile'),
(131320, '200.0.67.0', '200.0.72.255', 3355460352, 3355461887, 'BR', 'Brazil'),
(131321, '200.0.73.0', '200.0.78.255', 3355461888, 3355463423, 'EC', 'Ecuador'),
(131322, '200.0.79.0', '200.0.80.255', 3355463424, 3355463935, 'AR', 'Argentina'),
(131323, '200.0.81.0', '200.0.81.255', 3355463936, 3355464191, 'BR', 'Brazil'),
(131324, '200.0.82.0', '200.0.82.255', 3355464192, 3355464447, 'CL', 'Chile'),
(131325, '200.0.83.0', '200.0.84.255', 3355464448, 3355464959, 'MX', 'Mexico'),
(131326, '200.0.85.0', '200.0.87.255', 3355464960, 3355465727, 'BR', 'Brazil'),
(131327, '200.0.88.0', '200.0.88.255', 3355465728, 3355465983, 'UY', 'Uruguay'),
(131328, '200.0.89.0', '200.0.93.255', 3355465984, 3355467263, 'BR', 'Brazil'),
(131329, '200.0.94.0', '200.0.94.255', 3355467264, 3355467519, 'US', 'United States'),
(131330, '200.0.95.0', '200.0.95.255', 3355467520, 3355467775, 'MX', 'Mexico'),
(131331, '200.0.96.0', '200.0.99.255', 3355467776, 3355468799, 'AR', 'Argentina'),
(131332, '200.0.100.0', '200.0.102.255', 3355468800, 3355469567, 'BR', 'Brazil'),
(131333, '200.0.103.0', '200.0.106.255', 3355469568, 3355470591, 'MX', 'Mexico'),
(131334, '200.0.107.0', '200.0.107.255', 3355470592, 3355470847, 'PE', 'Peru'),
(131335, '200.0.108.0', '200.0.108.255', 3355470848, 3355471103, 'CL', 'Chile'),
(131336, '200.0.109.0', '200.0.109.255', 3355471104, 3355471359, 'MX', 'Mexico'),
(131337, '200.0.110.0', '200.0.110.255', 3355471360, 3355471615, 'PE', 'Peru'),
(131338, '200.0.111.0', '200.0.113.255', 3355471616, 3355472383, 'MX', 'Mexico'),
(131339, '200.0.114.0', '200.0.114.255', 3355472384, 3355472639, 'BR', 'Brazil'),
(131340, '200.0.115.0', '200.0.117.255', 3355472640, 3355473407, 'CL', 'Chile'),
(131341, '200.0.118.0', '200.0.119.255', 3355473408, 3355473919, 'PE', 'Peru'),
(131342, '200.0.120.0', '200.0.124.255', 3355473920, 3355475199, 'CL', 'Chile'),
(131343, '200.0.125.0', '200.0.135.255', 3355475200, 3355478015, 'MX', 'Mexico'),
(131344, '200.0.136.0', '200.0.136.255', 3355478016, 3355478271, 'PE', 'Peru'),
(131345, '200.0.137.0', '200.0.138.255', 3355478272, 3355478783, 'US', 'United States'),
(131346, '200.0.139.0', '200.0.139.255', 3355478784, 3355479039, 'VE', 'Venezuela'),
(131347, '200.0.140.0', '200.0.141.255', 3355479040, 3355479551, 'CL', 'Chile'),
(131348, '200.0.142.0', '200.0.142.255', 3355479552, 3355479807, 'PE', 'Peru'),
(131349, '200.0.143.0', '200.0.143.255', 3355479808, 3355480063, 'MX', 'Mexico'),
(131350, '200.0.144.0', '200.0.163.255', 3355480064, 3355485183, 'CL', 'Chile'),
(131351, '200.0.164.0', '200.0.173.255', 3355485184, 3355487743, 'PE', 'Peru'),
(131352, '200.0.174.0', '200.0.174.255', 3355487744, 3355487999, 'CL', 'Chile'),
(131353, '200.0.175.0', '200.0.175.255', 3355488000, 3355488255, 'AR', 'Argentina'),
(131354, '200.0.176.0', '200.0.177.255', 3355488256, 3355488767, 'GT', 'Guatemala'),
(131355, '200.0.178.0', '200.0.178.255', 3355488768, 3355489023, 'PA', 'Panama'),
(131356, '200.0.179.0', '200.0.179.255', 3355489024, 3355489279, 'CR', 'Costa Rica'),
(131357, '200.0.180.0', '200.0.180.255', 3355489280, 3355489535, 'SV', 'El Salvador'),
(131358, '200.0.181.0', '200.0.186.255', 3355489536, 3355491071, 'AR', 'Argentina'),
(131359, '200.0.187.0', '200.0.187.255', 3355491072, 3355491327, 'CO', 'Colombia'),
(131360, '200.0.188.0', '200.0.200.255', 3355491328, 3355494655, 'AR', 'Argentina'),
(131361, '200.0.201.0', '200.0.201.255', 3355494656, 3355494911, 'CO', 'Colombia'),
(131362, '200.0.202.0', '200.0.203.255', 3355494912, 3355495423, 'PA', 'Panama'),
(131363, '200.0.204.0', '200.0.207.255', 3355495424, 3355496447, 'UY', 'Uruguay'),
(131364, '200.0.208.0', '200.0.215.255', 3355496448, 3355498495, 'AR', 'Argentina'),
(131365, '200.0.216.0', '200.0.223.255', 3355498496, 3355500543, 'US', 'United States'),
(131366, '200.0.224.0', '200.0.255.255', 3355500544, 3355508735, 'AR', 'Argentina'),
(131367, '200.1.0.0', '200.1.5.255', 3355508736, 3355510271, 'VE', 'Venezuela'),
(131368, '200.1.6.0', '200.1.6.255', 3355510272, 3355510527, 'EC', 'Ecuador'),
(131369, '200.1.7.0', '200.1.7.255', 3355510528, 3355510783, 'AR', 'Argentina'),
(131370, '200.1.8.0', '200.1.15.255', 3355510784, 3355512831, 'VE', 'Venezuela'),
(131371, '200.1.16.0', '200.1.31.255', 3355512832, 3355516927, 'CL', 'Chile'),
(131372, '200.1.32.0', '200.1.63.255', 3355516928, 3355525119, 'AR', 'Argentina'),
(131373, '200.1.64.0', '200.1.103.255', 3355525120, 3355535359, 'CO', 'Colombia'),
(131374, '200.1.104.0', '200.1.111.255', 3355535360, 3355537407, 'TT', 'Trinidad and Tobago'),
(131375, '200.1.113.0', '200.1.113.255', 3355537664, 3355537919, 'AR', 'Argentina'),
(131376, '200.1.114.0', '200.1.114.255', 3355537920, 3355538175, 'NI', 'Nicaragua'),
(131377, '200.1.115.0', '200.1.115.255', 3355538176, 3355538431, 'CL', 'Chile'),
(131378, '200.1.116.0', '200.1.118.255', 3355538432, 3355539199, 'AR', 'Argentina'),
(131379, '200.1.119.0', '200.1.119.255', 3355539200, 3355539455, 'VE', 'Venezuela'),
(131380, '200.1.120.0', '200.1.123.255', 3355539456, 3355540479, 'CL', 'Chile'),
(131381, '200.1.124.0', '200.1.124.255', 3355540480, 3355540735, 'CO', 'Colombia'),
(131382, '200.1.125.0', '200.1.125.255', 3355540736, 3355540991, 'BZ', 'Belize'),
(131383, '200.1.126.0', '200.1.127.255', 3355540992, 3355541503, 'CO', 'Colombia'),
(131384, '200.1.128.0', '200.1.143.255', 3355541504, 3355545599, 'CL', 'Chile'),
(131385, '200.1.144.0', '200.1.151.255', 3355545600, 3355547647, 'VE', 'Venezuela'),
(131386, '200.1.152.0', '200.1.152.255', 3355547648, 3355547903, 'NI', 'Nicaragua'),
(131387, '200.1.153.0', '200.1.153.255', 3355547904, 3355548159, 'GT', 'Guatemala'),
(131388, '200.1.154.0', '200.1.155.255', 3355548160, 3355548671, 'DO', 'Dominican Republic'),
(131389, '200.1.156.0', '200.1.159.255', 3355548672, 3355549695, 'SR', 'Suriname'),
(131390, '200.1.160.0', '200.1.160.255', 3355549696, 3355549951, 'BM', 'Bermuda'),
(131391, '200.1.161.0', '200.1.161.255', 3355549952, 3355550207, 'EC', 'Ecuador'),
(131392, '200.1.162.0', '200.1.171.255', 3355550208, 3355552767, 'VE', 'Venezuela'),
(131393, '200.1.172.0', '200.1.172.255', 3355552768, 3355553023, 'EC', 'Ecuador'),
(131394, '200.1.173.0', '200.1.173.255', 3355553024, 3355553279, 'CO', 'Colombia'),
(131395, '200.1.174.0', '200.1.174.255', 3355553280, 3355553535, 'CL', 'Chile'),
(131396, '200.1.175.0', '200.1.175.255', 3355553536, 3355553791, 'CO', 'Colombia'),
(131397, '200.1.176.0', '200.1.183.255', 3355553792, 3355555839, 'PE', 'Peru'),
(131398, '200.1.184.0', '200.1.191.255', 3355555840, 3355557887, 'VE', 'Venezuela'),
(131399, '200.1.192.0', '200.1.199.255', 3355557888, 3355559935, 'CO', 'Colombia'),
(131400, '200.1.200.0', '200.1.207.255', 3355559936, 3355561983, 'PY', 'Paraguay'),
(131401, '200.1.208.0', '200.1.215.255', 3355561984, 3355564031, 'SR', 'Suriname'),
(131402, '200.1.224.0', '200.1.255.255', 3355566080, 3355574271, 'AR', 'Argentina'),
(131403, '200.2.0.0', '200.2.7.255', 3355574272, 3355576319, 'CL', 'Chile'),
(131404, '200.2.8.0', '200.2.15.255', 3355576320, 3355578367, 'VE', 'Venezuela'),
(131405, '200.2.16.0', '200.2.31.255', 3355578368, 3355582463, 'CL', 'Chile'),
(131406, '200.2.32.0', '200.2.63.255', 3355582464, 3355590655, 'UY', 'Uruguay'),
(131407, '200.2.64.0', '200.2.71.255', 3355590656, 3355592703, 'CO', 'Colombia'),
(131408, '200.2.72.0', '200.2.119.255', 3355592704, 3355604991, 'CL', 'Chile'),
(131409, '200.2.120.0', '200.2.127.255', 3355604992, 3355607039, 'AR', 'Argentina'),
(131410, '200.2.128.0', '200.2.159.255', 3355607040, 3355615231, 'HT', 'Haiti'),
(131411, '200.2.160.0', '200.2.191.255', 3355615232, 3355623423, 'SR', 'Suriname'),
(131412, '200.2.192.0', '200.2.255.255', 3355623424, 3355639807, 'CL', 'Chile'),
(131413, '200.3.0.0', '200.3.9.255', 3355639808, 3355642367, 'VE', 'Venezuela'),
(131414, '200.3.10.0', '200.3.11.255', 3355642368, 3355642879, 'PA', 'Panama'),
(131415, '200.3.12.0', '200.3.15.255', 3355642880, 3355643903, 'UY', 'Uruguay'),
(131416, '200.3.16.0', '200.3.31.255', 3355643904, 3355647999, 'BR', 'Brazil'),
(131417, '200.3.32.0', '200.3.113.255', 3355648000, 3355668991, 'AR', 'Argentina'),
(131418, '200.3.114.0', '200.3.114.255', 3355668992, 3355669247, 'PE', 'Peru'),
(131419, '200.3.115.0', '200.3.127.255', 3355669248, 3355672575, 'AR', 'Argentina'),
(131420, '200.3.128.0', '200.3.145.255', 3355672576, 3355677183, 'CO', 'Colombia'),
(131421, '200.3.146.0', '200.3.146.255', 3355677184, 3355677439, 'GT', 'Guatemala'),
(131422, '200.3.147.0', '200.3.167.255', 3355677440, 3355682815, 'CO', 'Colombia'),
(131423, '200.3.168.0', '200.3.175.255', 3355682816, 3355684863, 'AR', 'Argentina'),
(131424, '200.3.176.0', '200.3.183.255', 3355684864, 3355686911, 'TT', 'Trinidad and Tobago'),
(131425, '200.3.184.0', '200.3.191.255', 3355686912, 3355688959, 'AR', 'Argentina'),
(131426, '200.3.192.0', '200.3.193.255', 3355688960, 3355689471, 'CO', 'Colombia'),
(131427, '200.3.194.0', '200.3.194.255', 3355689472, 3355689727, 'HN', 'Honduras'),
(131428, '200.3.195.0', '200.3.195.255', 3355689728, 3355689983, 'AR', 'Argentina'),
(131429, '200.3.196.0', '200.3.207.255', 3355689984, 3355693055, 'PA', 'Panama'),
(131430, '200.3.208.0', '200.3.215.255', 3355693056, 3355695103, 'CL', 'Chile'),
(131431, '200.3.216.0', '200.3.223.255', 3355695104, 3355697151, 'AR', 'Argentina'),
(131432, '200.3.224.0', '200.3.240.255', 3355697152, 3355701503, 'HN', 'Honduras'),
(131433, '200.3.241.0', '200.3.242.255', 3355701504, 3355702015, 'PE', 'Peru'),
(131434, '200.3.243.0', '200.3.243.255', 3355702016, 3355702271, 'AR', 'Argentina'),
(131435, '200.3.244.0', '200.3.247.255', 3355702272, 3355703295, 'CO', 'Colombia'),
(131436, '200.3.248.0', '200.3.255.255', 3355703296, 3355705343, 'PY', 'Paraguay'),
(131437, '200.4.0.0', '200.4.15.255', 3355705344, 3355709439, 'MX', 'Mexico'),
(131438, '200.4.16.0', '200.4.31.255', 3355709440, 3355713535, 'CO', 'Colombia'),
(131439, '200.4.32.0', '200.4.58.255', 3355713536, 3355720447, 'MX', 'Mexico'),
(131440, '200.4.59.0', '200.4.59.255', 3355720448, 3355720703, 'AR', 'Argentina'),
(131441, '200.4.60.0', '200.4.67.255', 3355720704, 3355722751, 'MX', 'Mexico'),
(131442, '200.4.68.0', '200.4.69.255', 3355722752, 3355723263, 'AR', 'Argentina'),
(131443, '200.4.70.0', '200.4.159.255', 3355723264, 3355746303, 'MX', 'Mexico'),
(131444, '200.4.160.0', '200.4.191.255', 3355746304, 3355754495, 'HT', 'Haiti'),
(131445, '200.4.192.0', '200.4.255.255', 3355754496, 3355770879, 'PE', 'Peru'),
(131446, '200.5.0.0', '200.5.8.255', 3355770880, 3355773183, 'PR', 'Puerto Rico'),
(131447, '200.5.9.0', '200.5.9.255', 3355773184, 3355773439, 'BR', 'Brazil'),
(131448, '200.5.10.0', '200.5.10.255', 3355773440, 3355773695, 'AR', 'Argentina'),
(131449, '200.5.11.0', '200.5.11.255', 3355773696, 3355773951, 'PR', 'Puerto Rico'),
(131450, '200.5.12.0', '200.5.15.255', 3355773952, 3355774975, 'CU', 'Cuba'),
(131451, '200.5.16.0', '200.5.31.255', 3355774976, 3355779071, 'VE', 'Venezuela'),
(131452, '200.5.40.0', '200.5.47.255', 3355781120, 3355783167, 'VE', 'Venezuela'),
(131453, '200.5.48.0', '200.5.55.255', 3355783168, 3355785215, 'AR', 'Argentina'),
(131454, '200.5.64.0', '200.5.127.255', 3355787264, 3355803647, 'AR', 'Argentina'),
(131455, '200.5.128.0', '200.5.191.255', 3355803648, 3355820031, 'VE', 'Venezuela'),
(131456, '200.5.192.0', '200.5.255.255', 3355820032, 3355836415, 'AR', 'Argentina'),
(131457, '200.6.0.0', '200.6.17.255', 3355836416, 3355841023, 'EC', 'Ecuador'),
(131458, '200.6.18.0', '200.6.18.255', 3355841024, 3355841279, 'CL', 'Chile'),
(131459, '200.6.19.0', '200.6.26.255', 3355841280, 3355843327, 'EC', 'Ecuador'),
(131460, '200.6.27.0', '200.6.27.255', 3355843328, 3355843583, 'VE', 'Venezuela'),
(131461, '200.6.28.0', '200.6.32.255', 3355843584, 3355844863, 'EC', 'Ecuador'),
(131462, '200.6.33.0', '200.6.33.255', 3355844864, 3355845119, 'CL', 'Chile'),
(131463, '200.6.34.0', '200.6.34.255', 3355845120, 3355845375, 'EC', 'Ecuador'),
(131464, '200.6.35.0', '200.6.48.255', 3355845376, 3355848959, 'BR', 'Brazil'),
(131465, '200.6.50.0', '200.6.51.255', 3355849216, 3355849727, 'AR', 'Argentina'),
(131466, '200.6.52.0', '200.6.52.255', 3355849728, 3355849983, 'PA', 'Panama'),
(131467, '200.6.53.0', '200.6.54.255', 3355849984, 3355850495, 'CL', 'Chile'),
(131468, '200.6.55.0', '200.6.55.255', 3355850496, 3355850751, 'NI', 'Nicaragua'),
(131469, '200.6.56.0', '200.6.63.255', 3355850752, 3355852799, 'AN', 'Netherlands Antilles'),
(131470, '200.6.64.0', '200.6.78.255', 3355852800, 3355856639, 'CL', 'Chile'),
(131471, '200.6.79.0', '200.6.79.255', 3355856640, 3355856895, 'PA', 'Panama'),
(131472, '200.6.80.0', '200.6.87.255', 3355856896, 3355858943, 'EC', 'Ecuador'),
(131473, '200.6.96.0', '200.6.127.255', 3355860992, 3355869183, 'CL', 'Chile'),
(131474, '200.6.128.0', '200.6.133.255', 3355869184, 3355870719, 'BR', 'Brazil'),
(131475, '200.6.134.0', '200.6.135.255', 3355870720, 3355871231, 'CR', 'Costa Rica'),
(131476, '200.6.144.0', '200.6.151.255', 3355873280, 3355875327, 'AN', 'Netherlands Antilles'),
(131477, '200.6.152.0', '200.6.159.255', 3355875328, 3355877375, 'VE', 'Venezuela'),
(131478, '200.6.160.0', '200.6.191.255', 3355877376, 3355885567, 'CO', 'Colombia'),
(131479, '200.6.192.0', '200.6.255.255', 3355885568, 3355901951, 'GT', 'Guatemala'),
(131480, '200.7.0.0', '200.7.3.255', 3355901952, 3355902975, 'BR', 'Brazil'),
(131481, '200.7.4.0', '200.7.7.255', 3355902976, 3355903999, 'CL', 'Chile'),
(131482, '200.7.8.0', '200.7.13.255', 3355904000, 3355905535, 'BR', 'Brazil'),
(131483, '200.7.14.0', '200.7.14.255', 3355905536, 3355905791, 'PY', 'Paraguay'),
(131484, '200.7.15.0', '200.7.15.255', 3355905792, 3355906047, 'AR', 'Argentina'),
(131485, '200.7.16.0', '200.7.31.255', 3355906048, 3355910143, 'CL', 'Chile'),
(131486, '200.7.32.0', '200.7.63.255', 3355910144, 3355918335, 'AN', 'Netherlands Antilles'),
(131487, '200.7.64.0', '200.7.83.255', 3355918336, 3355923455, 'EC', 'Ecuador'),
(131488, '200.7.84.0', '200.7.87.255', 3355923456, 3355924479, 'UY', 'Uruguay'),
(131489, '200.7.88.0', '200.7.95.255', 3355924480, 3355926527, 'TT', 'Trinidad and Tobago'),
(131490, '200.7.128.0', '200.7.143.255', 3355934720, 3355938815, 'AR', 'Argentina'),
(131491, '200.7.160.0', '200.7.175.255', 3355942912, 3355947007, 'BO', 'Bolivia'),
(131492, '200.7.176.0', '200.7.183.255', 3355947008, 3355949055, 'AR', 'Argentina'),
(131493, '200.7.184.0', '200.7.191.255', 3355949056, 3355951103, 'AN', 'Netherlands Antilles'),
(131494, '200.7.192.0', '200.7.255.255', 3355951104, 3355967487, 'EC', 'Ecuador'),
(131495, '200.8.0.0', '200.8.255.255', 3355967488, 3356033023, 'VE', 'Venezuela'),
(131496, '200.9.0.0', '200.9.2.255', 3356033024, 3356033791, 'BR', 'Brazil'),
(131497, '200.9.3.0', '200.9.3.255', 3356033792, 3356034047, 'CL', 'Chile'),
(131498, '200.9.4.0', '200.9.7.255', 3356034048, 3356035071, 'PY', 'Paraguay'),
(131499, '200.9.8.0', '200.9.15.255', 3356035072, 3356037119, 'MX', 'Mexico'),
(131500, '200.9.16.0', '200.9.31.255', 3356037120, 3356041215, 'CO', 'Colombia'),
(131501, '200.9.32.0', '200.9.63.255', 3356041216, 3356049407, 'CR', 'Costa Rica'),
(131502, '200.9.64.0', '200.9.64.255', 3356049408, 3356049663, 'CL', 'Chile'),
(131503, '200.9.65.0', '200.9.71.255', 3356049664, 3356051455, 'BR', 'Brazil'),
(131504, '200.9.72.0', '200.9.72.255', 3356051456, 3356051711, 'CO', 'Colombia'),
(131505, '200.9.73.0', '200.9.73.255', 3356051712, 3356051967, 'CL', 'Chile'),
(131506, '200.9.74.0', '200.9.74.255', 3356051968, 3356052223, 'GT', 'Guatemala'),
(131507, '200.9.75.0', '200.9.75.255', 3356052224, 3356052479, 'AR', 'Argentina'),
(131508, '200.9.76.0', '200.9.77.255', 3356052480, 3356052991, 'BR', 'Brazil'),
(131509, '200.9.79.0', '200.9.81.255', 3356053248, 3356054015, 'CL', 'Chile'),
(131510, '200.9.82.0', '200.9.83.255', 3356054016, 3356054527, 'US', 'United States'),
(131511, '200.9.84.0', '200.9.95.255', 3356054528, 3356057599, 'BR', 'Brazil'),
(131512, '200.9.96.0', '200.9.96.255', 3356057600, 3356057855, 'EC', 'Ecuador'),
(131513, '200.9.97.0', '200.9.101.255', 3356057856, 3356059135, 'CL', 'Chile'),
(131514, '200.9.102.0', '200.9.107.255', 3356059136, 3356060671, 'BR', 'Brazil'),
(131515, '200.9.108.0', '200.9.111.255', 3356060672, 3356061695, 'CL', 'Chile'),
(131516, '200.9.112.0', '200.9.114.255', 3356061696, 3356062463, 'BR', 'Brazil'),
(131517, '200.9.115.0', '200.9.115.255', 3356062464, 3356062719, 'JM', 'Jamaica'),
(131518, '200.9.116.0', '200.9.121.255', 3356062720, 3356064255, 'BR', 'Brazil'),
(131519, '200.9.122.0', '200.9.122.255', 3356064256, 3356064511, 'CL', 'Chile'),
(131520, '200.9.123.0', '200.9.127.255', 3356064512, 3356065791, 'BR', 'Brazil'),
(131521, '200.9.128.0', '200.9.128.255', 3356065792, 3356066047, 'CL', 'Chile'),
(131522, '200.9.129.0', '200.9.140.255', 3356066048, 3356069119, 'BR', 'Brazil'),
(131523, '200.9.141.0', '200.9.142.255', 3356069120, 3356069631, 'CL', 'Chile'),
(131524, '200.9.143.0', '200.9.144.255', 3356069632, 3356070143, 'BR', 'Brazil'),
(131525, '200.9.145.0', '200.9.146.255', 3356070144, 3356070655, 'CL', 'Chile'),
(131526, '200.9.147.0', '200.9.147.255', 3356070656, 3356070911, 'AR', 'Argentina'),
(131527, '200.9.148.0', '200.9.149.255', 3356070912, 3356071423, 'BR', 'Brazil'),
(131528, '200.9.150.0', '200.9.153.255', 3356071424, 3356072447, 'CL', 'Chile'),
(131529, '200.9.154.0', '200.9.156.255', 3356072448, 3356073215, 'CR', 'Costa Rica'),
(131530, '200.9.157.0', '200.9.157.255', 3356073216, 3356073471, 'AR', 'Argentina'),
(131531, '200.9.158.0', '200.9.164.255', 3356073472, 3356075263, 'BR', 'Brazil'),
(131532, '200.9.165.0', '200.9.168.255', 3356075264, 3356076287, 'BO', 'Bolivia'),
(131533, '200.9.169.0', '200.9.175.255', 3356076288, 3356078079, 'BR', 'Brazil'),
(131534, '200.9.176.0', '200.9.176.255', 3356078080, 3356078335, 'EC', 'Ecuador'),
(131535, '200.9.177.0', '200.9.180.255', 3356078336, 3356079359, 'CL', 'Chile'),
(131536, '200.9.181.0', '200.9.186.255', 3356079360, 3356080895, 'BR', 'Brazil'),
(131537, '200.9.187.0', '200.9.192.255', 3356080896, 3356082431, 'NI', 'Nicaragua'),
(131538, '200.9.193.0', '200.9.193.255', 3356082432, 3356082687, 'CL', 'Chile'),
(131539, '200.9.194.0', '200.9.194.255', 3356082688, 3356082943, 'AR', 'Argentina'),
(131540, '200.9.195.0', '200.9.198.255', 3356082944, 3356083967, 'CL', 'Chile'),
(131541, '200.9.199.0', '200.9.200.255', 3356083968, 3356084479, 'BR', 'Brazil'),
(131542, '200.9.201.0', '200.9.201.255', 3356084480, 3356084735, 'CL', 'Chile'),
(131543, '200.9.202.0', '200.9.203.255', 3356084736, 3356085247, 'BR', 'Brazil'),
(131544, '200.9.204.0', '200.9.205.255', 3356085248, 3356085759, 'CL', 'Chile'),
(131545, '200.9.206.0', '200.9.207.255', 3356085760, 3356086271, 'BR', 'Brazil'),
(131546, '200.9.208.0', '200.9.208.255', 3356086272, 3356086527, 'AR', 'Argentina'),
(131547, '200.9.209.0', '200.9.211.255', 3356086528, 3356087295, 'CR', 'Costa Rica'),
(131548, '200.9.212.0', '200.9.213.255', 3356087296, 3356087807, 'AR', 'Argentina'),
(131549, '200.9.214.0', '200.9.214.255', 3356087808, 3356088063, 'BR', 'Brazil'),
(131550, '200.9.215.0', '200.9.215.255', 3356088064, 3356088319, 'CL', 'Chile'),
(131551, '200.9.216.0', '200.9.218.255', 3356088320, 3356089087, 'TT', 'Trinidad and Tobago'),
(131552, '200.9.219.0', '200.9.219.255', 3356089088, 3356089343, 'AR', 'Argentina'),
(131553, '200.9.220.0', '200.9.224.255', 3356089344, 3356090623, 'BR', 'Brazil'),
(131554, '200.9.225.0', '200.9.225.255', 3356090624, 3356090879, 'CL', 'Chile'),
(131555, '200.9.226.0', '200.9.226.255', 3356090880, 3356091135, 'BR', 'Brazil'),
(131556, '200.9.227.0', '200.9.227.255', 3356091136, 3356091391, 'AR', 'Argentina'),
(131557, '200.9.228.0', '200.9.228.255', 3356091392, 3356091647, 'CL', 'Chile'),
(131558, '200.9.229.0', '200.9.229.255', 3356091648, 3356091903, 'BR', 'Brazil'),
(131559, '200.9.230.0', '200.9.233.255', 3356091904, 3356092927, 'CL', 'Chile'),
(131560, '200.9.234.0', '200.9.234.255', 3356092928, 3356093183, 'BR', 'Brazil'),
(131561, '200.9.235.0', '200.9.237.255', 3356093184, 3356093951, 'AR', 'Argentina'),
(131562, '200.9.238.0', '200.9.241.255', 3356093952, 3356094975, 'CL', 'Chile'),
(131563, '200.9.242.0', '200.9.246.255', 3356094976, 3356096255, 'AR', 'Argentina'),
(131564, '200.9.247.0', '200.9.247.255', 3356096256, 3356096511, 'CL', 'Chile'),
(131565, '200.9.248.0', '200.9.248.255', 3356096512, 3356096767, 'EC', 'Ecuador'),
(131566, '200.9.249.0', '200.9.252.255', 3356096768, 3356097791, 'BR', 'Brazil'),
(131567, '200.9.253.0', '200.9.254.255', 3356097792, 3356098303, 'AR', 'Argentina'),
(131568, '200.9.255.0', '200.9.255.255', 3356098304, 3356098559, 'GT', 'Guatemala'),
(131569, '200.10.0.0', '200.10.3.255', 3356098560, 3356099583, 'CL', 'Chile'),
(131570, '200.10.4.0', '200.10.7.255', 3356099584, 3356100607, 'BR', 'Brazil'),
(131571, '200.10.8.0', '200.10.14.255', 3356100608, 3356102399, 'CL', 'Chile'),
(131572, '200.10.15.0', '200.10.15.255', 3356102400, 3356102655, 'PA', 'Panama'),
(131573, '200.10.16.0', '200.10.27.255', 3356102656, 3356105727, 'CL', 'Chile'),
(131574, '200.10.28.0', '200.10.31.255', 3356105728, 3356106751, 'SV', 'El Salvador'),
(131575, '200.10.32.0', '200.10.59.255', 3356106752, 3356113919, 'BR', 'Brazil'),
(131576, '200.10.60.0', '200.10.63.255', 3356113920, 3356114943, 'UY', 'Uruguay'),
(131577, '200.10.64.0', '200.10.95.255', 3356114944, 3356123135, 'PE', 'Peru'),
(131578, '200.10.96.0', '200.10.129.255', 3356123136, 3356131839, 'AR', 'Argentina'),
(131579, '200.10.130.0', '200.10.131.255', 3356131840, 3356132351, 'PE', 'Peru'),
(131580, '200.10.132.0', '200.10.138.255', 3356132352, 3356134143, 'BR', 'Brazil'),
(131581, '200.10.139.0', '200.10.140.255', 3356134144, 3356134655, 'AR', 'Argentina'),
(131582, '200.10.141.0', '200.10.141.255', 3356134656, 3356134911, 'BR', 'Brazil'),
(131583, '200.10.142.0', '200.10.142.255', 3356134912, 3356135167, 'DO', 'Dominican Republic'),
(131584, '200.10.143.0', '200.10.143.255', 3356135168, 3356135423, 'MX', 'Mexico'),
(131585, '200.10.144.0', '200.10.144.255', 3356135424, 3356135679, 'BR', 'Brazil'),
(131586, '200.10.145.0', '200.10.145.255', 3356135680, 3356135935, 'CR', 'Costa Rica'),
(131587, '200.10.146.0', '200.10.146.255', 3356135936, 3356136191, 'BR', 'Brazil'),
(131588, '200.10.147.0', '200.10.151.255', 3356136192, 3356137471, 'EC', 'Ecuador'),
(131589, '200.10.152.0', '200.10.152.255', 3356137472, 3356137727, 'JM', 'Jamaica'),
(131590, '200.10.153.0', '200.10.154.255', 3356137728, 3356138239, 'BR', 'Brazil'),
(131591, '200.10.155.0', '200.10.155.255', 3356138240, 3356138495, 'US', 'United States'),
(131592, '200.10.156.0', '200.10.159.255', 3356138496, 3356139519, 'BR', 'Brazil'),
(131593, '200.10.160.0', '200.10.160.255', 3356139520, 3356139775, 'US', 'United States'),
(131594, '200.10.161.0', '200.10.161.255', 3356139776, 3356140031, 'AR', 'Argentina'),
(131595, '200.10.162.0', '200.10.162.255', 3356140032, 3356140287, 'DO', 'Dominican Republic'),
(131596, '200.10.163.0', '200.10.164.255', 3356140288, 3356140799, 'BR', 'Brazil'),
(131597, '200.10.165.0', '200.10.166.255', 3356140800, 3356141311, 'BM', 'Bermuda'),
(131598, '200.10.167.0', '200.10.172.255', 3356141312, 3356142847, 'CL', 'Chile'),
(131599, '200.10.173.0', '200.10.181.255', 3356142848, 3356145151, 'BR', 'Brazil'),
(131600, '200.10.182.0', '200.10.182.255', 3356145152, 3356145407, 'CL', 'Chile'),
(131601, '200.10.183.0', '200.10.183.255', 3356145408, 3356145663, 'BR', 'Brazil'),
(131602, '200.10.184.0', '200.10.184.255', 3356145664, 3356145919, 'CL', 'Chile'),
(131603, '200.10.185.0', '200.10.185.255', 3356145920, 3356146175, 'BR', 'Brazil'),
(131604, '200.10.186.0', '200.10.186.255', 3356146176, 3356146431, 'AR', 'Argentina'),
(131605, '200.10.187.0', '200.10.187.255', 3356146432, 3356146687, 'BR', 'Brazil'),
(131606, '200.10.188.0', '200.10.188.255', 3356146688, 3356146943, 'PE', 'Peru'),
(131607, '200.10.189.0', '200.10.189.255', 3356146944, 3356147199, 'BR', 'Brazil'),
(131608, '200.10.190.0', '200.10.190.255', 3356147200, 3356147455, 'CL', 'Chile'),
(131609, '200.10.191.0', '200.10.193.255', 3356147456, 3356148223, 'BR', 'Brazil'),
(131610, '200.10.194.0', '200.10.194.255', 3356148224, 3356148479, 'BZ', 'Belize'),
(131611, '200.10.195.0', '200.10.195.255', 3356148480, 3356148735, 'CL', 'Chile'),
(131612, '200.10.196.0', '200.10.196.255', 3356148736, 3356148991, 'AR', 'Argentina'),
(131613, '200.10.197.0', '200.10.198.255', 3356148992, 3356149503, 'MX', 'Mexico'),
(131614, '200.10.199.0', '200.10.199.255', 3356149504, 3356149759, 'AR', 'Argentina'),
(131615, '200.10.200.0', '200.10.200.255', 3356149760, 3356150015, 'MX', 'Mexico'),
(131616, '200.10.201.0', '200.10.202.255', 3356150016, 3356150527, 'AR', 'Argentina'),
(131617, '200.10.203.0', '200.10.203.255', 3356150528, 3356150783, 'PA', 'Panama'),
(131618, '200.10.204.0', '200.10.204.255', 3356150784, 3356151039, 'AR', 'Argentina'),
(131619, '200.10.205.0', '200.10.205.255', 3356151040, 3356151295, 'NI', 'Nicaragua'),
(131620, '200.10.206.0', '200.10.207.255', 3356151296, 3356151807, 'AR', 'Argentina'),
(131621, '200.10.208.0', '200.10.208.255', 3356151808, 3356152063, 'CL', 'Chile'),
(131622, '200.10.209.0', '200.10.210.255', 3356152064, 3356152575, 'BR', 'Brazil'),
(131623, '200.10.211.0', '200.10.211.255', 3356152576, 3356152831, 'CL', 'Chile'),
(131624, '200.10.212.0', '200.10.218.255', 3356152832, 3356154623, 'MX', 'Mexico'),
(131625, '200.10.219.0', '200.10.219.255', 3356154624, 3356154879, 'AR', 'Argentina'),
(131626, '200.10.220.0', '200.10.226.255', 3356154880, 3356156671, 'CL', 'Chile'),
(131627, '200.10.227.0', '200.10.227.255', 3356156672, 3356156927, 'BR', 'Brazil'),
(131628, '200.10.228.0', '200.10.231.255', 3356156928, 3356157951, 'PY', 'Paraguay'),
(131629, '200.10.232.0', '200.10.232.255', 3356157952, 3356158207, 'CL', 'Chile'),
(131630, '200.10.233.0', '200.10.233.255', 3356158208, 3356158463, 'MX', 'Mexico'),
(131631, '200.10.234.0', '200.10.234.255', 3356158464, 3356158719, 'CL', 'Chile'),
(131632, '200.10.236.0', '200.10.239.255', 3356158976, 3356159999, 'CL', 'Chile'),
(131633, '200.10.240.0', '200.10.240.255', 3356160000, 3356160255, 'MX', 'Mexico'),
(131634, '200.10.241.0', '200.10.241.255', 3356160256, 3356160511, 'GT', 'Guatemala'),
(131635, '200.10.242.0', '200.10.242.255', 3356160512, 3356160767, 'CL', 'Chile'),
(131636, '200.10.243.0', '200.10.244.255', 3356160768, 3356161279, 'MX', 'Mexico'),
(131637, '200.10.245.0', '200.10.245.255', 3356161280, 3356161535, 'BR', 'Brazil'),
(131638, '200.10.246.0', '200.10.249.255', 3356161536, 3356162559, 'MX', 'Mexico'),
(131639, '200.10.250.0', '200.10.250.255', 3356162560, 3356162815, 'PE', 'Peru'),
(131640, '200.10.251.0', '200.10.253.255', 3356162816, 3356163583, 'CL', 'Chile'),
(131641, '200.10.254.0', '200.10.254.255', 3356163584, 3356163839, 'VE', 'Venezuela'),
(131642, '200.10.255.0', '200.10.255.255', 3356163840, 3356164095, 'CL', 'Chile'),
(131643, '200.11.0.0', '200.11.28.255', 3356164096, 3356171519, 'BR', 'Brazil'),
(131644, '200.11.29.0', '200.11.29.255', 3356171520, 3356171775, 'AR', 'Argentina'),
(131645, '200.11.30.0', '200.11.30.255', 3356171776, 3356172031, 'NI', 'Nicaragua'),
(131646, '200.11.31.0', '200.11.31.255', 3356172032, 3356172287, 'SV', 'El Salvador'),
(131647, '200.11.32.0', '200.11.32.255', 3356172288, 3356172543, 'PE', 'Peru'),
(131648, '200.11.33.0', '200.11.33.255', 3356172544, 3356172799, 'AR', 'Argentina'),
(131649, '200.11.34.0', '200.11.39.255', 3356172800, 3356174335, 'PE', 'Peru'),
(131650, '200.11.40.0', '200.11.47.255', 3356174336, 3356176383, 'CO', 'Colombia'),
(131651, '200.11.48.0', '200.11.63.255', 3356176384, 3356180479, 'PE', 'Peru'),
(131652, '200.11.64.0', '200.11.103.255', 3356180480, 3356190719, 'CL', 'Chile'),
(131653, '200.11.104.0', '200.11.111.255', 3356190720, 3356192767, 'DO', 'Dominican Republic'),
(131654, '200.11.112.0', '200.11.119.255', 3356192768, 3356194815, 'AR', 'Argentina'),
(131655, '200.11.128.0', '200.11.255.255', 3356196864, 3356229631, 'VE', 'Venezuela'),
(131656, '200.12.0.0', '200.12.15.255', 3356229632, 3356233727, 'BR', 'Brazil'),
(131657, '200.12.16.0', '200.12.31.255', 3356233728, 3356237823, 'CL', 'Chile'),
(131658, '200.12.32.0', '200.12.63.255', 3356237824, 3356246015, 'GT', 'Guatemala'),
(131659, '200.12.64.0', '200.12.128.255', 3356246016, 3356262655, 'MX', 'Mexico'),
(131660, '200.12.129.0', '200.12.130.255', 3356262656, 3356263167, 'CL', 'Chile'),
(131661, '200.12.131.0', '200.12.131.255', 3356263168, 3356263423, 'BR', 'Brazil'),
(131662, '200.12.132.0', '200.12.132.255', 3356263424, 3356263679, 'CL', 'Chile'),
(131663, '200.12.133.0', '200.12.138.255', 3356263680, 3356265215, 'AR', 'Argentina'),
(131664, '200.12.139.0', '200.12.139.255', 3356265216, 3356265471, 'BR', 'Brazil'),
(131665, '200.12.140.0', '200.12.145.255', 3356265472, 3356267007, 'CL', 'Chile'),
(131666, '200.12.146.0', '200.12.146.255', 3356267008, 3356267263, 'PY', 'Paraguay'),
(131667, '200.12.147.0', '200.12.152.255', 3356267264, 3356268799, 'CL', 'Chile'),
(131668, '200.12.153.0', '200.12.153.255', 3356268800, 3356269055, 'PA', 'Panama'),
(131669, '200.12.154.0', '200.12.154.255', 3356269056, 3356269311, 'AR', 'Argentina'),
(131670, '200.12.155.0', '200.12.156.255', 3356269312, 3356269823, 'UY', 'Uruguay'),
(131671, '200.12.157.0', '200.12.157.255', 3356269824, 3356270079, 'BR', 'Brazil'),
(131672, '200.12.158.0', '200.12.166.255', 3356270080, 3356272383, 'MX', 'Mexico'),
(131673, '200.12.167.0', '200.12.167.255', 3356272384, 3356272639, 'CR', 'Costa Rica'),
(131674, '200.12.168.0', '200.12.168.255', 3356272640, 3356272895, 'US', 'United States'),
(131675, '200.12.169.0', '200.12.169.255', 3356272896, 3356273151, 'EC', 'Ecuador'),
(131676, '200.12.170.0', '200.12.170.255', 3356273152, 3356273407, 'CO', 'Colombia'),
(131677, '200.12.171.0', '200.12.171.255', 3356273408, 3356273663, 'CL', 'Chile'),
(131678, '200.12.172.0', '200.12.174.255', 3356273664, 3356274431, 'SV', 'El Salvador'),
(131679, '200.12.175.0', '200.12.191.255', 3356274432, 3356278783, 'CO', 'Colombia'),
(131680, '200.12.192.0', '200.12.192.255', 3356278784, 3356279039, 'AR', 'Argentina'),
(131681, '200.12.193.0', '200.12.193.255', 3356279040, 3356279295, 'VE', 'Venezuela'),
(131682, '200.12.194.0', '200.12.195.255', 3356279296, 3356279807, 'CL', 'Chile'),
(131683, '200.12.196.0', '200.12.199.255', 3356279808, 3356280831, 'EC', 'Ecuador'),
(131684, '200.12.200.0', '200.12.207.255', 3356280832, 3356282879, 'AR', 'Argentina'),
(131685, '200.12.208.0', '200.12.215.255', 3356282880, 3356284927, 'PA', 'Panama'),
(131686, '200.12.216.0', '200.12.223.255', 3356284928, 3356286975, 'AR', 'Argentina'),
(131687, '200.12.224.0', '200.12.224.15', 3356286976, 3356286991, 'US', 'United States'),
(131688, '200.12.224.16', '200.12.224.31', 3356286992, 3356287007, 'GT', 'Guatemala'),
(131689, '200.12.224.32', '200.12.224.47', 3356287008, 3356287023, 'HN', 'Honduras'),
(131690, '200.12.224.48', '200.12.224.63', 3356287024, 3356287039, 'GT', 'Guatemala'),
(131691, '200.12.224.64', '200.12.224.71', 3356287040, 3356287047, 'US', 'United States'),
(131692, '200.12.224.72', '200.12.224.95', 3356287048, 3356287071, 'GT', 'Guatemala'),
(131693, '200.12.224.96', '200.12.224.111', 3356287072, 3356287087, 'SV', 'El Salvador'),
(131694, '200.12.224.112', '200.12.224.127', 3356287088, 3356287103, 'US', 'United States'),
(131695, '200.12.224.128', '200.12.224.175', 3356287104, 3356287151, 'GT', 'Guatemala'),
(131696, '200.12.224.176', '200.12.225.127', 3356287152, 3356287359, 'US', 'United States'),
(131697, '200.12.225.128', '200.12.225.135', 3356287360, 3356287367, 'GT', 'Guatemala'),
(131698, '200.12.225.136', '200.12.225.255', 3356287368, 3356287487, 'US', 'United States'),
(131699, '200.12.226.0', '200.12.226.255', 3356287488, 3356287743, 'SV', 'El Salvador');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(131700, '200.12.227.0', '200.12.228.255', 3356287744, 3356288255, 'HN', 'Honduras'),
(131701, '200.12.229.0', '200.12.230.255', 3356288256, 3356288767, 'SV', 'El Salvador'),
(131702, '200.12.231.0', '200.12.231.255', 3356288768, 3356289023, 'GT', 'Guatemala'),
(131703, '200.12.232.0', '200.12.234.255', 3356289024, 3356289791, 'SV', 'El Salvador'),
(131704, '200.12.235.0', '200.12.235.7', 3356289792, 3356289799, 'US', 'United States'),
(131705, '200.12.235.8', '200.12.235.15', 3356289800, 3356289807, 'GT', 'Guatemala'),
(131706, '200.12.235.16', '200.12.235.31', 3356289808, 3356289823, 'SV', 'El Salvador'),
(131707, '200.12.235.32', '200.12.235.95', 3356289824, 3356289887, 'US', 'United States'),
(131708, '200.12.235.96', '200.12.235.127', 3356289888, 3356289919, 'SV', 'El Salvador'),
(131709, '200.12.235.128', '200.12.235.159', 3356289920, 3356289951, 'US', 'United States'),
(131710, '200.12.235.160', '200.12.235.191', 3356289952, 3356289983, 'GT', 'Guatemala'),
(131711, '200.12.235.192', '200.12.236.255', 3356289984, 3356290303, 'US', 'United States'),
(131712, '200.12.237.0', '200.12.237.255', 3356290304, 3356290559, 'SV', 'El Salvador'),
(131713, '200.12.238.0', '200.12.239.255', 3356290560, 3356291071, 'CR', 'Costa Rica'),
(131714, '200.12.240.0', '200.12.247.255', 3356291072, 3356293119, 'TT', 'Trinidad and Tobago'),
(131715, '200.12.248.0', '200.12.255.255', 3356293120, 3356295167, 'AW', 'Aruba'),
(131716, '200.13.0.0', '200.13.7.255', 3356295168, 3356297215, 'CL', 'Chile'),
(131717, '200.13.8.0', '200.13.15.255', 3356297216, 3356299263, 'BR', 'Brazil'),
(131718, '200.13.16.0', '200.13.40.255', 3356299264, 3356305663, 'MX', 'Mexico'),
(131719, '200.13.41.0', '200.13.47.255', 3356305664, 3356307455, 'AR', 'Argentina'),
(131720, '200.13.48.0', '200.13.82.255', 3356307456, 3356316415, 'MX', 'Mexico'),
(131721, '200.13.83.0', '200.13.87.255', 3356316416, 3356317695, 'AR', 'Argentina'),
(131722, '200.13.88.0', '200.13.131.255', 3356317696, 3356328959, 'MX', 'Mexico'),
(131723, '200.13.132.0', '200.13.135.255', 3356328960, 3356329983, 'HN', 'Honduras'),
(131724, '200.13.136.0', '200.13.143.255', 3356329984, 3356332031, 'GF', 'French Guiana'),
(131725, '200.13.144.0', '200.13.151.255', 3356332032, 3356334079, 'CU', 'Cuba'),
(131726, '200.13.152.0', '200.13.159.255', 3356334080, 3356336127, 'BO', 'Bolivia'),
(131727, '200.13.160.0', '200.13.163.255', 3356336128, 3356337151, 'SV', 'El Salvador'),
(131728, '200.13.164.0', '200.13.165.255', 3356337152, 3356337663, 'HN', 'Honduras'),
(131729, '200.13.166.0', '200.13.166.255', 3356337664, 3356337919, 'SV', 'El Salvador'),
(131730, '200.13.167.0', '200.13.167.255', 3356337920, 3356338175, 'HN', 'Honduras'),
(131731, '200.13.168.0', '200.13.175.255', 3356338176, 3356340223, 'SV', 'El Salvador'),
(131732, '200.13.176.0', '200.13.178.255', 3356340224, 3356340991, 'HN', 'Honduras'),
(131733, '200.13.179.0', '200.13.181.255', 3356340992, 3356341759, 'SV', 'El Salvador'),
(131734, '200.13.182.0', '200.13.182.255', 3356341760, 3356342015, 'HN', 'Honduras'),
(131735, '200.13.183.0', '200.13.187.255', 3356342016, 3356343295, 'SV', 'El Salvador'),
(131736, '200.13.188.0', '200.13.188.255', 3356343296, 3356343551, 'HN', 'Honduras'),
(131737, '200.13.189.0', '200.13.191.255', 3356343552, 3356344319, 'SV', 'El Salvador'),
(131738, '200.13.192.0', '200.13.255.255', 3356344320, 3356360703, 'CO', 'Colombia'),
(131739, '200.14.0.0', '200.14.7.255', 3356360704, 3356362751, 'CL', 'Chile'),
(131740, '200.14.8.0', '200.14.15.255', 3356362752, 3356364799, 'VE', 'Venezuela'),
(131741, '200.14.16.0', '200.14.31.255', 3356364800, 3356368895, 'MX', 'Mexico'),
(131742, '200.14.32.0', '200.14.33.255', 3356368896, 3356369407, 'BR', 'Brazil'),
(131743, '200.14.34.0', '200.14.34.255', 3356369408, 3356369663, 'EC', 'Ecuador'),
(131744, '200.14.35.0', '200.14.36.255', 3356369664, 3356370175, 'BR', 'Brazil'),
(131745, '200.14.37.0', '200.14.39.255', 3356370176, 3356370943, 'AR', 'Argentina'),
(131746, '200.14.40.0', '200.14.47.255', 3356370944, 3356372991, 'CO', 'Colombia'),
(131747, '200.14.48.0', '200.14.55.255', 3356372992, 3356375039, 'CU', 'Cuba'),
(131748, '200.14.64.0', '200.14.73.255', 3356377088, 3356379647, 'CL', 'Chile'),
(131749, '200.14.74.0', '200.14.75.255', 3356379648, 3356380159, 'AR', 'Argentina'),
(131750, '200.14.76.0', '200.14.78.255', 3356380160, 3356380927, 'CL', 'Chile'),
(131751, '200.14.79.0', '200.14.79.255', 3356380928, 3356381183, 'DO', 'Dominican Republic'),
(131752, '200.14.80.0', '200.14.80.255', 3356381184, 3356381439, 'CL', 'Chile'),
(131753, '200.14.81.0', '200.14.81.255', 3356381440, 3356381695, 'PA', 'Panama'),
(131754, '200.14.82.0', '200.14.82.255', 3356381696, 3356381951, 'CL', 'Chile'),
(131755, '200.14.83.0', '200.14.83.255', 3356381952, 3356382207, 'EC', 'Ecuador'),
(131756, '200.14.84.0', '200.14.111.255', 3356382208, 3356389375, 'CL', 'Chile'),
(131757, '200.14.112.0', '200.14.113.255', 3356389376, 3356389887, 'CO', 'Colombia'),
(131758, '200.14.114.0', '200.14.115.255', 3356389888, 3356390399, 'CL', 'Chile'),
(131759, '200.14.116.0', '200.14.116.255', 3356390400, 3356390655, 'AR', 'Argentina'),
(131760, '200.14.117.0', '200.14.118.255', 3356390656, 3356391167, 'CL', 'Chile'),
(131761, '200.14.119.0', '200.14.119.255', 3356391168, 3356391423, 'PA', 'Panama'),
(131762, '200.14.128.0', '200.14.255.255', 3356393472, 3356426239, 'CL', 'Chile'),
(131763, '200.15.0.0', '200.15.255.255', 3356426240, 3356491775, 'US', 'United States'),
(131764, '200.16.0.0', '200.16.7.255', 3356491776, 3356493823, 'PE', 'Peru'),
(131765, '200.16.8.0', '200.16.15.255', 3356493824, 3356495871, 'ZA', 'South Africa'),
(131766, '200.16.16.0', '200.16.31.255', 3356495872, 3356499967, 'AR', 'Argentina'),
(131767, '200.16.32.0', '200.16.63.255', 3356499968, 3356508159, 'MX', 'Mexico'),
(131768, '200.16.64.0', '200.16.65.255', 3356508160, 3356508671, 'AR', 'Argentina'),
(131769, '200.16.66.0', '200.16.67.255', 3356508672, 3356509183, 'CR', 'Costa Rica'),
(131770, '200.16.68.0', '200.16.71.255', 3356509184, 3356510207, 'VE', 'Venezuela'),
(131771, '200.16.72.0', '200.16.78.255', 3356510208, 3356511999, 'AR', 'Argentina'),
(131772, '200.16.79.0', '200.16.79.255', 3356512000, 3356512255, 'CO', 'Colombia'),
(131773, '200.16.80.0', '200.16.87.255', 3356512256, 3356514303, 'AR', 'Argentina'),
(131774, '200.16.88.0', '200.16.88.255', 3356514304, 3356514559, 'US', 'United States'),
(131775, '200.16.89.0', '200.16.89.255', 3356514560, 3356514815, 'AR', 'Argentina'),
(131776, '200.16.90.0', '200.16.91.255', 3356514816, 3356515327, 'DO', 'Dominican Republic'),
(131777, '200.16.92.0', '200.16.93.255', 3356515328, 3356515839, 'AN', 'Netherlands Antilles'),
(131778, '200.16.94.0', '200.16.94.255', 3356515840, 3356516095, 'EC', 'Ecuador'),
(131779, '200.16.95.0', '200.16.95.255', 3356516096, 3356516351, 'VE', 'Venezuela'),
(131780, '200.16.96.0', '200.16.111.255', 3356516352, 3356520447, 'AR', 'Argentina'),
(131781, '200.16.112.0', '200.16.115.255', 3356520448, 3356521471, 'CL', 'Chile'),
(131782, '200.16.116.0', '200.16.116.255', 3356521472, 3356521727, 'AR', 'Argentina'),
(131783, '200.16.117.0', '200.16.119.255', 3356521728, 3356522495, 'CO', 'Colombia'),
(131784, '200.16.120.0', '200.16.255.255', 3356522496, 3356557311, 'AR', 'Argentina'),
(131785, '200.17.0.0', '200.20.255.255', 3356557312, 3356819455, 'BR', 'Brazil'),
(131786, '200.21.0.0', '200.21.255.255', 3356819456, 3356884991, 'CO', 'Colombia'),
(131787, '200.22.0.0', '200.22.255.255', 3356884992, 3356950527, 'CL', 'Chile'),
(131788, '200.23.0.0', '200.23.255.255', 3356950528, 3357016063, 'MX', 'Mexico'),
(131789, '200.24.0.0', '200.24.127.255', 3357016064, 3357048831, 'CO', 'Colombia'),
(131790, '200.24.160.0', '200.24.191.255', 3357057024, 3357065215, 'PE', 'Peru'),
(131791, '200.24.192.0', '200.24.223.255', 3357065216, 3357073407, 'EC', 'Ecuador'),
(131792, '200.24.224.0', '200.24.239.255', 3357073408, 3357077503, 'CL', 'Chile'),
(131793, '200.24.240.0', '200.24.255.255', 3357077504, 3357081599, 'AR', 'Argentina'),
(131794, '200.25.0.0', '200.25.127.255', 3357081600, 3357114367, 'CO', 'Colombia'),
(131795, '200.25.128.0', '200.25.223.255', 3357114368, 3357138943, 'EC', 'Ecuador'),
(131796, '200.25.224.0', '200.25.255.255', 3357138944, 3357147135, 'CO', 'Colombia'),
(131797, '200.26.0.0', '200.26.127.255', 3357147136, 3357179903, 'AR', 'Argentina'),
(131798, '200.26.128.0', '200.26.159.255', 3357179904, 3357188095, 'CO', 'Colombia'),
(131799, '200.26.160.0', '200.26.167.255', 3357188096, 3357190143, 'VE', 'Venezuela'),
(131800, '200.26.168.0', '200.26.175.255', 3357190144, 3357192191, 'DO', 'Dominican Republic'),
(131801, '200.26.176.0', '200.26.183.255', 3357192192, 3357194239, 'PY', 'Paraguay'),
(131802, '200.26.184.0', '200.26.191.255', 3357194240, 3357196287, 'AR', 'Argentina'),
(131803, '200.26.192.0', '200.26.255.255', 3357196288, 3357212671, 'AN', 'Netherlands Antilles'),
(131804, '200.27.0.0', '200.29.95.255', 3357212672, 3357368319, 'CL', 'Chile'),
(131805, '200.29.96.0', '200.29.127.255', 3357368320, 3357376511, 'CO', 'Colombia'),
(131806, '200.29.128.0', '200.29.231.255', 3357376512, 3357403135, 'CL', 'Chile'),
(131807, '200.29.232.0', '200.29.239.255', 3357403136, 3357405183, 'CO', 'Colombia'),
(131808, '200.29.240.0', '200.29.247.255', 3357405184, 3357407231, 'EC', 'Ecuador'),
(131809, '200.29.248.0', '200.29.255.255', 3357407232, 3357409279, 'AR', 'Argentina'),
(131810, '200.30.0.0', '200.30.7.255', 3357409280, 3357411327, 'BR', 'Brazil'),
(131811, '200.30.8.0', '200.30.11.255', 3357411328, 3357412351, 'VE', 'Venezuela'),
(131812, '200.30.12.0', '200.30.13.255', 3357412352, 3357412863, 'PE', 'Peru'),
(131813, '200.30.14.0', '200.30.14.255', 3357412864, 3357413119, 'US', 'United States'),
(131814, '200.30.15.0', '200.30.15.255', 3357413120, 3357413375, 'FR', 'France'),
(131815, '200.30.16.0', '200.30.19.255', 3357413376, 3357414399, 'US', 'United States'),
(131816, '200.30.20.0', '200.30.24.255', 3357414400, 3357415679, 'PR', 'Puerto Rico'),
(131817, '200.30.25.0', '200.30.27.255', 3357415680, 3357416447, 'MX', 'Mexico'),
(131818, '200.30.28.0', '200.30.30.255', 3357416448, 3357417215, 'VE', 'Venezuela'),
(131819, '200.30.31.0', '200.30.31.255', 3357417216, 3357417471, 'US', 'United States'),
(131820, '200.30.32.0', '200.30.35.255', 3357417472, 3357418495, 'CL', 'Chile'),
(131821, '200.30.36.0', '200.30.36.255', 3357418496, 3357418751, 'NI', 'Nicaragua'),
(131822, '200.30.37.0', '200.30.37.255', 3357418752, 3357419007, 'PR', 'Puerto Rico'),
(131823, '200.30.38.0', '200.30.39.255', 3357419008, 3357419519, 'GT', 'Guatemala'),
(131824, '200.30.40.0', '200.30.41.255', 3357419520, 3357420031, 'SZ', 'Swaziland'),
(131825, '200.30.42.0', '200.30.45.255', 3357420032, 3357421055, 'CO', 'Colombia'),
(131826, '200.30.46.0', '200.30.46.255', 3357421056, 3357421311, 'CL', 'Chile'),
(131827, '200.30.47.0', '200.30.47.255', 3357421312, 3357421567, 'CO', 'Colombia'),
(131828, '200.30.48.0', '200.30.52.255', 3357421568, 3357422847, 'NI', 'Nicaragua'),
(131829, '200.30.53.0', '200.30.53.255', 3357422848, 3357423103, 'PR', 'Puerto Rico'),
(131830, '200.30.54.0', '200.30.54.255', 3357423104, 3357423359, 'CO', 'Colombia'),
(131831, '200.30.55.0', '200.30.59.255', 3357423360, 3357424639, 'VE', 'Venezuela'),
(131832, '200.30.60.0', '200.30.63.255', 3357424640, 3357425663, 'CL', 'Chile'),
(131833, '200.30.64.0', '200.30.127.255', 3357425664, 3357442047, 'CO', 'Colombia'),
(131834, '200.30.128.0', '200.30.128.255', 3357442048, 3357442303, 'NI', 'Nicaragua'),
(131835, '200.30.129.0', '200.30.129.15', 3357442304, 3357442319, 'GT', 'Guatemala'),
(131836, '200.30.129.16', '200.30.129.23', 3357442320, 3357442327, 'HN', 'Honduras'),
(131837, '200.30.129.24', '200.30.129.31', 3357442328, 3357442335, 'GT', 'Guatemala'),
(131838, '200.30.129.32', '200.30.129.39', 3357442336, 3357442343, 'HN', 'Honduras'),
(131839, '200.30.129.40', '200.30.129.87', 3357442344, 3357442391, 'GT', 'Guatemala'),
(131840, '200.30.129.88', '200.30.129.91', 3357442392, 3357442395, 'HN', 'Honduras'),
(131841, '200.30.129.92', '200.30.129.255', 3357442396, 3357442559, 'GT', 'Guatemala'),
(131842, '200.30.130.0', '200.30.130.255', 3357442560, 3357442815, 'NI', 'Nicaragua'),
(131843, '200.30.131.0', '200.30.131.31', 3357442816, 3357442847, 'GT', 'Guatemala'),
(131844, '200.30.131.32', '200.30.131.63', 3357442848, 3357442879, 'SV', 'El Salvador'),
(131845, '200.30.131.64', '200.30.131.143', 3357442880, 3357442959, 'GT', 'Guatemala'),
(131846, '200.30.131.144', '200.30.131.151', 3357442960, 3357442967, 'SV', 'El Salvador'),
(131847, '200.30.131.152', '200.30.131.191', 3357442968, 3357443007, 'GT', 'Guatemala'),
(131848, '200.30.131.192', '200.30.131.255', 3357443008, 3357443071, 'SV', 'El Salvador'),
(131849, '200.30.132.0', '200.30.133.255', 3357443072, 3357443583, 'GT', 'Guatemala'),
(131850, '200.30.134.0', '200.30.136.255', 3357443584, 3357444351, 'HN', 'Honduras'),
(131851, '200.30.137.0', '200.30.137.127', 3357444352, 3357444479, 'GT', 'Guatemala'),
(131852, '200.30.137.128', '200.30.137.135', 3357444480, 3357444487, 'HN', 'Honduras'),
(131853, '200.30.137.136', '200.30.138.15', 3357444488, 3357444623, 'GT', 'Guatemala'),
(131854, '200.30.138.16', '200.30.138.23', 3357444624, 3357444631, 'SV', 'El Salvador'),
(131855, '200.30.138.24', '200.30.138.39', 3357444632, 3357444647, 'GT', 'Guatemala'),
(131856, '200.30.138.40', '200.30.138.47', 3357444648, 3357444655, 'SV', 'El Salvador'),
(131857, '200.30.138.48', '200.30.138.55', 3357444656, 3357444663, 'GT', 'Guatemala'),
(131858, '200.30.138.56', '200.30.138.63', 3357444664, 3357444671, 'SV', 'El Salvador'),
(131859, '200.30.138.64', '200.30.152.215', 3357444672, 3357448407, 'GT', 'Guatemala'),
(131860, '200.30.152.216', '200.30.152.223', 3357448408, 3357448415, 'SV', 'El Salvador'),
(131861, '200.30.152.224', '200.30.152.255', 3357448416, 3357448447, 'GT', 'Guatemala'),
(131862, '200.30.153.0', '200.30.153.255', 3357448448, 3357448703, 'SV', 'El Salvador'),
(131863, '200.30.154.0', '200.30.154.255', 3357448704, 3357448959, 'GT', 'Guatemala'),
(131864, '200.30.155.0', '200.30.157.15', 3357448960, 3357449487, 'HN', 'Honduras'),
(131865, '200.30.157.16', '200.30.157.223', 3357449488, 3357449695, 'GT', 'Guatemala'),
(131866, '200.30.157.224', '200.30.157.231', 3357449696, 3357449703, 'HN', 'Honduras'),
(131867, '200.30.157.232', '200.30.161.255', 3357449704, 3357450751, 'GT', 'Guatemala'),
(131868, '200.30.162.0', '200.30.162.255', 3357450752, 3357451007, 'SV', 'El Salvador'),
(131869, '200.30.163.0', '200.30.163.111', 3357451008, 3357451119, 'GT', 'Guatemala'),
(131870, '200.30.163.112', '200.30.163.119', 3357451120, 3357451127, 'HN', 'Honduras'),
(131871, '200.30.163.120', '200.30.163.135', 3357451128, 3357451143, 'GT', 'Guatemala'),
(131872, '200.30.163.136', '200.30.163.143', 3357451144, 3357451151, 'HN', 'Honduras'),
(131873, '200.30.163.144', '200.30.164.79', 3357451152, 3357451343, 'GT', 'Guatemala'),
(131874, '200.30.164.80', '200.30.164.87', 3357451344, 3357451351, 'HN', 'Honduras'),
(131875, '200.30.164.88', '200.30.164.239', 3357451352, 3357451503, 'GT', 'Guatemala'),
(131876, '200.30.164.240', '200.30.164.255', 3357451504, 3357451519, 'HN', 'Honduras'),
(131877, '200.30.165.0', '200.30.165.55', 3357451520, 3357451575, 'GT', 'Guatemala'),
(131878, '200.30.165.56', '200.30.165.63', 3357451576, 3357451583, 'NI', 'Nicaragua'),
(131879, '200.30.165.64', '200.30.167.255', 3357451584, 3357452287, 'GT', 'Guatemala'),
(131880, '200.30.168.0', '200.30.169.255', 3357452288, 3357452799, 'HN', 'Honduras'),
(131881, '200.30.170.0', '200.30.170.255', 3357452800, 3357453055, 'NI', 'Nicaragua'),
(131882, '200.30.171.0', '200.30.171.255', 3357453056, 3357453311, 'GT', 'Guatemala'),
(131883, '200.30.172.0', '200.30.172.255', 3357453312, 3357453567, 'HN', 'Honduras'),
(131884, '200.30.173.0', '200.30.177.255', 3357453568, 3357454847, 'GT', 'Guatemala'),
(131885, '200.30.178.0', '200.30.178.255', 3357454848, 3357455103, 'HN', 'Honduras'),
(131886, '200.30.179.0', '200.30.179.255', 3357455104, 3357455359, 'SV', 'El Salvador'),
(131887, '200.30.180.0', '200.30.191.255', 3357455360, 3357458431, 'GT', 'Guatemala'),
(131888, '200.30.192.0', '200.30.255.255', 3357458432, 3357474815, 'CL', 'Chile'),
(131889, '200.31.0.0', '200.31.4.47', 3357474816, 3357475887, 'AR', 'Argentina'),
(131890, '200.31.4.48', '200.31.4.63', 3357475888, 3357475903, 'VE', 'Venezuela'),
(131891, '200.31.4.64', '200.31.4.159', 3357475904, 3357475999, 'AR', 'Argentina'),
(131892, '200.31.4.160', '200.31.4.175', 3357476000, 3357476015, 'VE', 'Venezuela'),
(131893, '200.31.4.176', '200.31.4.191', 3357476016, 3357476031, 'AR', 'Argentina'),
(131894, '200.31.4.192', '200.31.4.207', 3357476032, 3357476047, 'VE', 'Venezuela'),
(131895, '200.31.4.208', '200.31.5.191', 3357476048, 3357476287, 'AR', 'Argentina'),
(131896, '200.31.5.192', '200.31.5.255', 3357476288, 3357476351, 'VE', 'Venezuela'),
(131897, '200.31.6.0', '200.31.6.127', 3357476352, 3357476479, 'AR', 'Argentina'),
(131898, '200.31.6.128', '200.31.6.255', 3357476480, 3357476607, 'EC', 'Ecuador'),
(131899, '200.31.7.0', '200.31.7.127', 3357476608, 3357476735, 'AR', 'Argentina'),
(131900, '200.31.7.128', '200.31.7.191', 3357476736, 3357476799, 'US', 'United States'),
(131901, '200.31.7.192', '200.31.9.127', 3357476800, 3357477247, 'AR', 'Argentina'),
(131902, '200.31.9.128', '200.31.9.255', 3357477248, 3357477375, 'EC', 'Ecuador'),
(131903, '200.31.10.0', '200.31.10.47', 3357477376, 3357477423, 'AR', 'Argentina'),
(131904, '200.31.10.48', '200.31.10.55', 3357477424, 3357477431, 'EC', 'Ecuador'),
(131905, '200.31.10.56', '200.31.11.255', 3357477432, 3357477887, 'AR', 'Argentina'),
(131906, '200.31.12.0', '200.31.15.255', 3357477888, 3357478911, 'CO', 'Colombia'),
(131907, '200.31.16.0', '200.31.16.223', 3357478912, 3357479135, 'AR', 'Argentina'),
(131908, '200.31.16.224', '200.31.16.239', 3357479136, 3357479151, 'CO', 'Colombia'),
(131909, '200.31.16.240', '200.31.18.127', 3357479152, 3357479551, 'AR', 'Argentina'),
(131910, '200.31.18.128', '200.31.18.255', 3357479552, 3357479679, 'CO', 'Colombia'),
(131911, '200.31.19.0', '200.31.19.191', 3357479680, 3357479871, 'AR', 'Argentina'),
(131912, '200.31.19.192', '200.31.19.199', 3357479872, 3357479879, 'CO', 'Colombia'),
(131913, '200.31.19.200', '200.31.21.143', 3357479880, 3357480335, 'AR', 'Argentina'),
(131914, '200.31.21.144', '200.31.21.151', 3357480336, 3357480343, 'CO', 'Colombia'),
(131915, '200.31.21.152', '200.31.21.167', 3357480344, 3357480359, 'AR', 'Argentina'),
(131916, '200.31.21.168', '200.31.21.175', 3357480360, 3357480367, 'CO', 'Colombia'),
(131917, '200.31.21.176', '200.31.22.15', 3357480368, 3357480463, 'AR', 'Argentina'),
(131918, '200.31.22.16', '200.31.22.31', 3357480464, 3357480479, 'CO', 'Colombia'),
(131919, '200.31.22.32', '200.31.23.255', 3357480480, 3357480959, 'AR', 'Argentina'),
(131920, '200.31.24.0', '200.31.31.255', 3357480960, 3357483007, 'EC', 'Ecuador'),
(131921, '200.31.32.0', '200.31.63.255', 3357483008, 3357491199, 'CL', 'Chile'),
(131922, '200.31.64.0', '200.31.95.255', 3357491200, 3357499391, 'CO', 'Colombia'),
(131923, '200.31.96.0', '200.31.127.255', 3357499392, 3357507583, 'PE', 'Peru'),
(131924, '200.31.128.0', '200.31.159.255', 3357507584, 3357515775, 'VE', 'Venezuela'),
(131925, '200.31.160.0', '200.31.191.255', 3357515776, 3357523967, 'SV', 'El Salvador'),
(131926, '200.31.192.0', '200.31.223.255', 3357523968, 3357532159, 'CO', 'Colombia'),
(131927, '200.31.224.0', '200.31.239.255', 3357532160, 3357536255, 'AR', 'Argentina'),
(131928, '200.32.0.0', '200.32.63.255', 3357540352, 3357556735, 'AR', 'Argentina'),
(131929, '200.32.64.0', '200.32.64.255', 3357556736, 3357556991, 'VE', 'Venezuela'),
(131930, '200.32.65.0', '200.32.67.255', 3357556992, 3357557759, 'AR', 'Argentina'),
(131931, '200.32.68.0', '200.32.71.255', 3357557760, 3357558783, 'EC', 'Ecuador'),
(131932, '200.32.72.0', '200.32.73.127', 3357558784, 3357559167, 'AR', 'Argentina'),
(131933, '200.32.73.128', '200.32.73.255', 3357559168, 3357559295, 'EC', 'Ecuador'),
(131934, '200.32.74.0', '200.32.74.255', 3357559296, 3357559551, 'CA', 'Canada'),
(131935, '200.32.75.0', '200.32.76.127', 3357559552, 3357559935, 'AR', 'Argentina'),
(131936, '200.32.76.128', '200.32.76.255', 3357559936, 3357560063, 'VE', 'Venezuela'),
(131937, '200.32.77.0', '200.32.77.183', 3357560064, 3357560247, 'AR', 'Argentina'),
(131938, '200.32.77.184', '200.32.77.191', 3357560248, 3357560255, 'VE', 'Venezuela'),
(131939, '200.32.77.192', '200.32.77.199', 3357560256, 3357560263, 'AR', 'Argentina'),
(131940, '200.32.77.200', '200.32.77.207', 3357560264, 3357560271, 'VE', 'Venezuela'),
(131941, '200.32.77.208', '200.32.77.255', 3357560272, 3357560319, 'AR', 'Argentina'),
(131942, '200.32.78.0', '200.32.78.255', 3357560320, 3357560575, 'MX', 'Mexico'),
(131943, '200.32.79.0', '200.32.79.255', 3357560576, 3357560831, 'US', 'United States'),
(131944, '200.32.80.0', '200.32.83.255', 3357560832, 3357561855, 'CO', 'Colombia'),
(131945, '200.32.84.0', '200.32.159.255', 3357561856, 3357581311, 'AR', 'Argentina'),
(131946, '200.32.160.0', '200.32.191.255', 3357581312, 3357589503, 'CL', 'Chile'),
(131947, '200.32.192.0', '200.32.255.255', 3357589504, 3357605887, 'BZ', 'Belize'),
(131948, '200.33.0.0', '200.34.255.255', 3357605888, 3357736959, 'MX', 'Mexico'),
(131949, '200.35.0.0', '200.35.31.255', 3357736960, 3357745151, 'VE', 'Venezuela'),
(131950, '200.35.32.0', '200.35.63.255', 3357745152, 3357753343, 'CO', 'Colombia'),
(131951, '200.35.64.0', '200.35.80.47', 3357753344, 3357757487, 'VE', 'Venezuela'),
(131952, '200.35.80.48', '200.35.80.55', 3357757488, 3357757495, 'BO', 'Bolivia'),
(131953, '200.35.80.56', '200.35.143.255', 3357757496, 3357773823, 'VE', 'Venezuela'),
(131954, '200.35.144.0', '200.35.151.255', 3357773824, 3357775871, 'PA', 'Panama'),
(131955, '200.35.152.0', '200.35.155.255', 3357775872, 3357776895, 'UY', 'Uruguay'),
(131956, '200.35.160.0', '200.35.191.255', 3357777920, 3357786111, 'GT', 'Guatemala'),
(131957, '200.35.192.0', '200.35.255.255', 3357786112, 3357802495, 'VE', 'Venezuela'),
(131958, '200.36.0.0', '200.36.255.255', 3357802496, 3357868031, 'MX', 'Mexico'),
(131959, '200.37.0.0', '200.37.255.255', 3357868032, 3357933567, 'PE', 'Peru'),
(131960, '200.38.0.0', '200.39.255.255', 3357933568, 3358064639, 'MX', 'Mexico'),
(131961, '200.40.0.0', '200.40.255.255', 3358064640, 3358130175, 'UY', 'Uruguay'),
(131962, '200.41.0.0', '200.41.3.255', 3358130176, 3358131199, 'EC', 'Ecuador'),
(131963, '200.41.4.0', '200.41.4.127', 3358131200, 3358131327, 'AR', 'Argentina'),
(131964, '200.41.4.128', '200.41.4.255', 3358131328, 3358131455, 'CO', 'Colombia'),
(131965, '200.41.5.0', '200.41.7.15', 3358131456, 3358131983, 'AR', 'Argentina'),
(131966, '200.41.7.16', '200.41.7.31', 3358131984, 3358131999, 'CO', 'Colombia'),
(131967, '200.41.7.32', '200.41.12.191', 3358132000, 3358133439, 'AR', 'Argentina'),
(131968, '200.41.12.192', '200.41.12.223', 3358133440, 3358133471, 'VE', 'Venezuela'),
(131969, '200.41.12.224', '200.41.13.127', 3358133472, 3358133631, 'AR', 'Argentina'),
(131970, '200.41.13.128', '200.41.13.255', 3358133632, 3358133759, 'VE', 'Venezuela'),
(131971, '200.41.14.0', '200.41.49.255', 3358133760, 3358142975, 'AR', 'Argentina'),
(131972, '200.41.50.0', '200.41.50.255', 3358142976, 3358143231, 'CO', 'Colombia'),
(131973, '200.41.51.0', '200.41.51.255', 3358143232, 3358143487, 'AR', 'Argentina'),
(131974, '200.41.52.0', '200.41.53.255', 3358143488, 3358143999, 'US', 'United States'),
(131975, '200.41.54.0', '200.41.54.255', 3358144000, 3358144255, 'AR', 'Argentina'),
(131976, '200.41.55.0', '200.41.55.255', 3358144256, 3358144511, 'CL', 'Chile'),
(131977, '200.41.56.0', '200.41.57.255', 3358144512, 3358145023, 'VE', 'Venezuela'),
(131978, '200.41.58.0', '200.41.76.87', 3358145024, 3358149719, 'AR', 'Argentina'),
(131979, '200.41.76.88', '200.41.76.95', 3358149720, 3358149727, 'CO', 'Colombia'),
(131980, '200.41.76.96', '200.41.77.127', 3358149728, 3358150015, 'AR', 'Argentina'),
(131981, '200.41.77.128', '200.41.77.255', 3358150016, 3358150143, 'CO', 'Colombia'),
(131982, '200.41.78.0', '200.41.79.23', 3358150144, 3358150423, 'AR', 'Argentina'),
(131983, '200.41.79.24', '200.41.79.31', 3358150424, 3358150431, 'CO', 'Colombia'),
(131984, '200.41.79.32', '200.41.79.95', 3358150432, 3358150495, 'AR', 'Argentina'),
(131985, '200.41.79.96', '200.41.79.127', 3358150496, 3358150527, 'CO', 'Colombia'),
(131986, '200.41.79.128', '200.41.79.255', 3358150528, 3358150655, 'AR', 'Argentina'),
(131987, '200.41.80.0', '200.41.80.127', 3358150656, 3358150783, 'EC', 'Ecuador'),
(131988, '200.41.80.128', '200.41.82.95', 3358150784, 3358151263, 'AR', 'Argentina'),
(131989, '200.41.82.96', '200.41.82.103', 3358151264, 3358151271, 'EC', 'Ecuador'),
(131990, '200.41.82.104', '200.41.82.255', 3358151272, 3358151423, 'AR', 'Argentina'),
(131991, '200.41.83.0', '200.41.83.127', 3358151424, 3358151551, 'EC', 'Ecuador'),
(131992, '200.41.83.128', '200.41.83.255', 3358151552, 3358151679, 'AR', 'Argentina'),
(131993, '200.41.84.0', '200.41.84.127', 3358151680, 3358151807, 'PE', 'Peru'),
(131994, '200.41.84.128', '200.41.84.255', 3358151808, 3358151935, 'AR', 'Argentina'),
(131995, '200.41.85.0', '200.41.85.255', 3358151936, 3358152191, 'PE', 'Peru'),
(131996, '200.41.86.0', '200.41.87.111', 3358152192, 3358152559, 'AR', 'Argentina'),
(131997, '200.41.87.112', '200.41.87.127', 3358152560, 3358152575, 'PE', 'Peru'),
(131998, '200.41.87.128', '200.41.87.255', 3358152576, 3358152703, 'AR', 'Argentina'),
(131999, '200.41.88.0', '200.41.88.255', 3358152704, 3358152959, 'US', 'United States'),
(132000, '200.41.89.0', '200.41.90.63', 3358152960, 3358153279, 'AR', 'Argentina'),
(132001, '200.41.90.64', '200.41.90.95', 3358153280, 3358153311, 'US', 'United States'),
(132002, '200.41.90.96', '200.41.90.255', 3358153312, 3358153471, 'AR', 'Argentina'),
(132003, '200.41.91.0', '200.41.91.63', 3358153472, 3358153535, 'US', 'United States'),
(132004, '200.41.91.64', '200.41.91.127', 3358153536, 3358153599, 'AR', 'Argentina'),
(132005, '200.41.91.128', '200.41.91.191', 3358153600, 3358153663, 'PR', 'Puerto Rico'),
(132006, '200.41.91.192', '200.41.92.127', 3358153664, 3358153855, 'AR', 'Argentina'),
(132007, '200.41.92.128', '200.41.92.255', 3358153856, 3358153983, 'EC', 'Ecuador'),
(132008, '200.41.93.0', '200.41.93.255', 3358153984, 3358154239, 'US', 'United States'),
(132009, '200.41.94.0', '200.41.95.255', 3358154240, 3358154751, 'CL', 'Chile'),
(132010, '200.41.96.0', '200.41.111.255', 3358154752, 3358158847, 'PE', 'Peru'),
(132011, '200.41.112.0', '200.41.113.55', 3358158848, 3358159159, 'AR', 'Argentina'),
(132012, '200.41.113.56', '200.41.113.63', 3358159160, 3358159167, 'US', 'United States'),
(132013, '200.41.113.64', '200.41.114.127', 3358159168, 3358159487, 'AR', 'Argentina'),
(132014, '200.41.114.128', '200.41.114.255', 3358159488, 3358159615, 'EC', 'Ecuador'),
(132015, '200.41.115.0', '200.41.115.255', 3358159616, 3358159871, 'US', 'United States'),
(132016, '200.41.116.0', '200.41.119.255', 3358159872, 3358160895, 'VE', 'Venezuela'),
(132017, '200.41.120.0', '200.42.159.255', 3358160896, 3358236671, 'AR', 'Argentina'),
(132018, '200.42.160.0', '200.42.191.255', 3358236672, 3358244863, 'CL', 'Chile'),
(132019, '200.42.192.0', '200.42.255.255', 3358244864, 3358261247, 'DO', 'Dominican Republic'),
(132020, '200.43.0.0', '200.43.10.255', 3358261248, 3358264063, 'AR', 'Argentina'),
(132021, '200.43.11.0', '200.43.11.255', 3358264064, 3358264319, 'PY', 'Paraguay'),
(132022, '200.43.12.0', '200.43.255.255', 3358264320, 3358326783, 'AR', 'Argentina'),
(132023, '200.44.0.0', '200.44.255.255', 3358326784, 3358392319, 'VE', 'Venezuela'),
(132024, '200.45.0.0', '200.45.255.255', 3358392320, 3358457855, 'AR', 'Argentina'),
(132025, '200.46.0.0', '200.46.255.255', 3358457856, 3358523391, 'PA', 'Panama'),
(132026, '200.47.0.0', '200.47.79.255', 3358523392, 3358543871, 'AR', 'Argentina'),
(132027, '200.47.80.0', '200.47.80.255', 3358543872, 3358544127, 'MX', 'Mexico'),
(132028, '200.47.81.0', '200.47.136.255', 3358544128, 3358558463, 'AR', 'Argentina'),
(132029, '200.47.137.0', '200.47.137.127', 3358558464, 3358558591, 'PY', 'Paraguay'),
(132030, '200.47.137.128', '200.47.139.255', 3358558592, 3358559231, 'AR', 'Argentina'),
(132031, '200.47.140.0', '200.47.143.255', 3358559232, 3358560255, 'VE', 'Venezuela'),
(132032, '200.47.144.0', '200.47.149.255', 3358560256, 3358561791, 'AR', 'Argentina'),
(132033, '200.47.150.0', '200.47.151.255', 3358561792, 3358562303, 'VE', 'Venezuela'),
(132034, '200.47.152.0', '200.47.155.255', 3358562304, 3358563327, 'PE', 'Peru'),
(132035, '200.47.156.0', '200.47.157.255', 3358563328, 3358563839, 'CO', 'Colombia'),
(132036, '200.47.158.0', '200.47.158.127', 3358563840, 3358563967, 'AR', 'Argentina'),
(132037, '200.47.158.128', '200.47.158.255', 3358563968, 3358564095, 'CO', 'Colombia'),
(132038, '200.47.159.0', '200.47.159.255', 3358564096, 3358564351, 'MX', 'Mexico'),
(132039, '200.47.160.0', '200.47.171.255', 3358564352, 3358567423, 'AR', 'Argentina'),
(132040, '200.47.172.0', '200.47.177.255', 3358567424, 3358568959, 'CO', 'Colombia'),
(132041, '200.47.178.0', '200.47.179.255', 3358568960, 3358569471, 'AR', 'Argentina'),
(132042, '200.47.180.0', '200.47.183.255', 3358569472, 3358570495, 'VE', 'Venezuela'),
(132043, '200.47.184.0', '200.47.184.255', 3358570496, 3358570751, 'MX', 'Mexico'),
(132044, '200.47.185.0', '200.47.186.255', 3358570752, 3358571263, 'PE', 'Peru'),
(132045, '200.47.187.0', '200.47.188.255', 3358571264, 3358571775, 'MX', 'Mexico'),
(132046, '200.47.189.0', '200.47.209.255', 3358571776, 3358577151, 'AR', 'Argentina'),
(132047, '200.47.210.0', '200.47.210.255', 3358577152, 3358577407, 'PE', 'Peru'),
(132048, '200.47.211.0', '200.47.214.255', 3358577408, 3358578431, 'AR', 'Argentina'),
(132049, '200.47.215.0', '200.47.215.255', 3358578432, 3358578687, 'VE', 'Venezuela'),
(132050, '200.47.216.0', '200.47.220.255', 3358578688, 3358579967, 'CO', 'Colombia'),
(132051, '200.47.221.0', '200.47.221.255', 3358579968, 3358580223, 'AR', 'Argentina'),
(132052, '200.47.222.0', '200.47.223.255', 3358580224, 3358580735, 'MX', 'Mexico'),
(132053, '200.47.224.0', '200.47.255.255', 3358580736, 3358588927, 'AR', 'Argentina'),
(132054, '200.48.0.0', '200.48.255.255', 3358588928, 3358654463, 'PE', 'Peru'),
(132055, '200.49.0.0', '200.49.15.255', 3358654464, 3358658559, 'AR', 'Argentina'),
(132056, '200.49.16.0', '200.49.23.255', 3358658560, 3358660607, 'CL', 'Chile'),
(132057, '200.49.24.0', '200.49.31.255', 3358660608, 3358662655, 'AR', 'Argentina'),
(132058, '200.49.48.0', '200.49.159.255', 3358666752, 3358695423, 'AR', 'Argentina'),
(132059, '200.49.160.0', '200.49.191.255', 3358695424, 3358703615, 'GT', 'Guatemala'),
(132060, '200.49.192.0', '200.49.239.255', 3358703616, 3358715903, 'AR', 'Argentina'),
(132061, '200.49.240.0', '200.49.247.255', 3358715904, 3358717951, 'EC', 'Ecuador'),
(132062, '200.49.248.0', '200.49.255.255', 3358717952, 3358719999, 'US', 'United States'),
(132063, '200.50.0.0', '200.50.0.75', 3358720000, 3358720075, 'PR', 'Puerto Rico'),
(132064, '200.50.0.76', '200.50.0.83', 3358720076, 3358720083, 'DO', 'Dominican Republic'),
(132065, '200.50.0.84', '200.50.31.255', 3358720084, 3358728191, 'PR', 'Puerto Rico'),
(132066, '200.50.32.0', '200.50.63.255', 3358728192, 3358736383, 'CL', 'Chile'),
(132067, '200.50.64.0', '200.50.66.215', 3358736384, 3358737111, 'BB', 'Barbados'),
(132068, '200.50.66.216', '200.50.66.223', 3358737112, 3358737119, 'CA', 'Canada'),
(132069, '200.50.66.224', '200.50.70.255', 3358737120, 3358738175, 'BB', 'Barbados'),
(132070, '200.50.71.0', '200.50.72.255', 3358738176, 3358738687, 'GD', 'Grenada'),
(132071, '200.50.73.0', '200.50.76.255', 3358738688, 3358739711, 'BB', 'Barbados'),
(132072, '200.50.77.0', '200.50.77.255', 3358739712, 3358739967, 'KN', 'Saint Kitts and Nevis'),
(132073, '200.50.78.0', '200.50.95.255', 3358739968, 3358744575, 'BB', 'Barbados'),
(132074, '200.50.96.0', '200.50.127.255', 3358744576, 3358752767, 'CL', 'Chile'),
(132075, '200.50.128.0', '200.50.143.255', 3358752768, 3358756863, 'BB', 'Barbados'),
(132076, '200.50.144.0', '200.50.159.255', 3358756864, 3358760959, 'CL', 'Chile'),
(132077, '200.50.160.0', '200.50.191.255', 3358760960, 3358769151, 'AR', 'Argentina'),
(132078, '200.50.192.0', '200.50.223.255', 3358769152, 3358777343, 'HT', 'Haiti'),
(132079, '200.50.224.0', '200.50.231.255', 3358777344, 3358779391, 'CR', 'Costa Rica'),
(132080, '200.50.232.0', '200.50.239.255', 3358779392, 3358781439, 'EC', 'Ecuador'),
(132081, '200.50.240.0', '200.51.255.255', 3358781440, 3358851071, 'AR', 'Argentina'),
(132082, '200.52.0.0', '200.53.255.255', 3358851072, 3358982143, 'MX', 'Mexico'),
(132083, '200.54.0.0', '200.54.255.255', 3358982144, 3359047679, 'CL', 'Chile'),
(132084, '200.55.0.0', '200.55.127.255', 3359047680, 3359080447, 'AR', 'Argentina'),
(132085, '200.55.128.0', '200.55.191.255', 3359080448, 3359096831, 'CU', 'Cuba'),
(132086, '200.55.192.0', '200.55.223.255', 3359096832, 3359105023, 'CL', 'Chile'),
(132087, '200.55.224.0', '200.55.239.255', 3359105024, 3359109119, 'EC', 'Ecuador'),
(132088, '200.55.240.0', '200.55.247.255', 3359109120, 3359111167, 'AR', 'Argentina'),
(132089, '200.55.248.0', '200.55.255.255', 3359111168, 3359113215, 'EC', 'Ecuador'),
(132090, '200.56.0.0', '200.57.255.255', 3359113216, 3359244287, 'MX', 'Mexico'),
(132091, '200.58.0.0', '200.58.15.255', 3359244288, 3359248383, 'US', 'United States'),
(132092, '200.58.16.0', '200.58.16.15', 3359248384, 3359248399, 'BR', 'Brazil'),
(132093, '200.58.16.16', '200.58.21.15', 3359248400, 3359249679, 'US', 'United States'),
(132094, '200.58.21.16', '200.58.21.31', 3359249680, 3359249695, 'AR', 'Argentina'),
(132095, '200.58.21.32', '200.58.21.63', 3359249696, 3359249727, 'BR', 'Brazil'),
(132096, '200.58.21.64', '200.58.21.95', 3359249728, 3359249759, 'US', 'United States'),
(132097, '200.58.21.96', '200.58.21.127', 3359249760, 3359249791, 'BR', 'Brazil'),
(132098, '200.58.21.128', '200.58.21.223', 3359249792, 3359249887, 'AR', 'Argentina'),
(132099, '200.58.21.224', '200.58.23.255', 3359249888, 3359250431, 'US', 'United States'),
(132100, '200.58.24.0', '200.58.25.127', 3359250432, 3359250815, 'AR', 'Argentina'),
(132101, '200.58.25.128', '200.58.25.191', 3359250816, 3359250879, 'US', 'United States'),
(132102, '200.58.25.192', '200.58.25.255', 3359250880, 3359250943, 'AR', 'Argentina'),
(132103, '200.58.26.0', '200.58.27.255', 3359250944, 3359251455, 'US', 'United States'),
(132104, '200.58.28.0', '200.58.28.255', 3359251456, 3359251711, 'AR', 'Argentina'),
(132105, '200.58.29.0', '200.58.29.255', 3359251712, 3359251967, 'US', 'United States'),
(132106, '200.58.30.0', '200.58.30.63', 3359251968, 3359252031, 'AR', 'Argentina'),
(132107, '200.58.30.64', '200.58.30.71', 3359252032, 3359252039, 'US', 'United States'),
(132108, '200.58.30.72', '200.58.30.79', 3359252040, 3359252047, 'IT', 'Italy'),
(132109, '200.58.30.80', '200.58.30.95', 3359252048, 3359252063, 'US', 'United States'),
(132110, '200.58.30.96', '200.58.30.127', 3359252064, 3359252095, 'AR', 'Argentina'),
(132111, '200.58.30.128', '200.58.30.191', 3359252096, 3359252159, 'US', 'United States'),
(132112, '200.58.30.192', '200.58.30.255', 3359252160, 3359252223, 'AR', 'Argentina'),
(132113, '200.58.31.0', '200.58.47.255', 3359252224, 3359256575, 'US', 'United States'),
(132114, '200.58.48.0', '200.58.48.63', 3359256576, 3359256639, 'BR', 'Brazil'),
(132115, '200.58.48.64', '200.58.49.255', 3359256640, 3359257087, 'US', 'United States'),
(132116, '200.58.50.0', '200.58.50.15', 3359257088, 3359257103, 'BR', 'Brazil'),
(132117, '200.58.50.16', '200.58.50.39', 3359257104, 3359257127, 'AR', 'Argentina'),
(132118, '200.58.50.40', '200.58.50.47', 3359257128, 3359257135, 'BR', 'Brazil'),
(132119, '200.58.50.48', '200.58.50.63', 3359257136, 3359257151, 'US', 'United States'),
(132120, '200.58.50.64', '200.58.50.95', 3359257152, 3359257183, 'BR', 'Brazil'),
(132121, '200.58.50.96', '200.58.50.127', 3359257184, 3359257215, 'US', 'United States'),
(132122, '200.58.50.128', '200.58.50.159', 3359257216, 3359257247, 'AR', 'Argentina'),
(132123, '200.58.50.160', '200.58.50.175', 3359257248, 3359257263, 'BR', 'Brazil'),
(132124, '200.58.50.176', '200.58.50.191', 3359257264, 3359257279, 'US', 'United States'),
(132125, '200.58.50.192', '200.58.50.223', 3359257280, 3359257311, 'AR', 'Argentina'),
(132126, '200.58.50.224', '200.58.63.255', 3359257312, 3359260671, 'US', 'United States'),
(132127, '200.58.64.0', '200.58.95.255', 3359260672, 3359268863, 'BO', 'Bolivia'),
(132128, '200.58.96.0', '200.58.127.255', 3359268864, 3359277055, 'AR', 'Argentina'),
(132129, '200.58.128.0', '200.58.159.255', 3359277056, 3359285247, 'UY', 'Uruguay'),
(132130, '200.58.160.0', '200.58.191.255', 3359285248, 3359293439, 'BO', 'Bolivia'),
(132131, '200.58.192.0', '200.58.239.255', 3359293440, 3359305727, 'CO', 'Colombia'),
(132132, '200.58.240.0', '200.58.247.255', 3359305728, 3359307775, 'DO', 'Dominican Republic'),
(132133, '200.59.0.0', '200.59.15.255', 3359309824, 3359313919, 'AR', 'Argentina'),
(132134, '200.59.16.0', '200.59.23.255', 3359313920, 3359315967, 'CR', 'Costa Rica'),
(132135, '200.59.24.0', '200.59.31.255', 3359315968, 3359318015, 'HN', 'Honduras'),
(132136, '200.59.32.0', '200.59.183.255', 3359318016, 3359356927, 'AR', 'Argentina'),
(132137, '200.59.184.0', '200.59.191.255', 3359356928, 3359358975, 'VE', 'Venezuela'),
(132138, '200.59.192.0', '200.59.255.255', 3359358976, 3359375359, 'AR', 'Argentina'),
(132139, '200.60.0.0', '200.60.255.255', 3359375360, 3359440895, 'PE', 'Peru'),
(132140, '200.61.0.0', '200.61.82.63', 3359440896, 3359461951, 'AR', 'Argentina'),
(132141, '200.61.82.64', '200.61.82.127', 3359461952, 3359462015, 'HN', 'Honduras'),
(132142, '200.61.82.128', '200.61.83.127', 3359462016, 3359462271, 'AR', 'Argentina'),
(132143, '200.61.83.128', '200.61.83.191', 3359462272, 3359462335, 'UY', 'Uruguay'),
(132144, '200.61.83.192', '200.61.87.231', 3359462336, 3359463399, 'AR', 'Argentina'),
(132145, '200.61.87.232', '200.61.87.239', 3359463400, 3359463407, 'CO', 'Colombia'),
(132146, '200.61.87.240', '200.61.88.255', 3359463408, 3359463679, 'AR', 'Argentina'),
(132147, '200.61.89.0', '200.61.89.63', 3359463680, 3359463743, 'HN', 'Honduras'),
(132148, '200.61.89.64', '200.61.223.255', 3359463744, 3359498239, 'AR', 'Argentina'),
(132149, '200.61.224.0', '200.61.239.255', 3359498240, 3359502335, 'PY', 'Paraguay'),
(132150, '200.61.240.0', '200.61.251.255', 3359502336, 3359505407, 'AR', 'Argentina'),
(132151, '200.61.252.0', '200.61.252.255', 3359505408, 3359505663, 'VE', 'Venezuela'),
(132152, '200.61.253.0', '200.61.253.255', 3359505664, 3359505919, 'AN', 'Netherlands Antilles'),
(132153, '200.61.254.0', '200.61.255.255', 3359505920, 3359506431, 'AR', 'Argentina'),
(132154, '200.62.0.0', '200.62.7.255', 3359506432, 3359508479, 'US', 'United States'),
(132155, '200.62.8.0', '200.62.31.255', 3359508480, 3359514623, 'VE', 'Venezuela'),
(132156, '200.62.32.0', '200.62.32.255', 3359514624, 3359514879, 'CL', 'Chile'),
(132157, '200.62.33.0', '200.62.39.255', 3359514880, 3359516671, 'US', 'United States'),
(132158, '200.62.40.0', '200.62.40.255', 3359516672, 3359516927, 'VG', 'Virgin Islands, British'),
(132159, '200.62.41.0', '200.62.41.255', 3359516928, 3359517183, 'US', 'United States'),
(132160, '200.62.42.0', '200.62.42.255', 3359517184, 3359517439, 'VG', 'Virgin Islands, British'),
(132161, '200.62.43.0', '200.62.43.255', 3359517440, 3359517695, 'US', 'United States'),
(132162, '200.62.44.0', '200.62.44.255', 3359517696, 3359517951, 'VG', 'Virgin Islands, British'),
(132163, '200.62.45.0', '200.62.53.255', 3359517952, 3359520255, 'US', 'United States'),
(132164, '200.62.54.0', '200.62.55.255', 3359520256, 3359520767, 'AR', 'Argentina'),
(132165, '200.62.56.0', '200.62.63.255', 3359520768, 3359522815, 'US', 'United States'),
(132166, '200.62.64.0', '200.62.127.255', 3359522816, 3359539199, 'NI', 'Nicaragua'),
(132167, '200.62.128.0', '200.62.255.255', 3359539200, 3359571967, 'PE', 'Peru'),
(132168, '200.63.0.0', '200.63.39.255', 3359571968, 3359582207, 'AR', 'Argentina'),
(132169, '200.63.40.0', '200.63.47.255', 3359582208, 3359584255, 'PA', 'Panama'),
(132170, '200.63.48.0', '200.63.55.255', 3359584256, 3359586303, 'AR', 'Argentina'),
(132171, '200.63.56.0', '200.63.63.255', 3359586304, 3359588351, 'CL', 'Chile'),
(132172, '200.63.64.0', '200.63.95.255', 3359588352, 3359596543, 'AR', 'Argentina'),
(132173, '200.63.96.0', '200.63.103.255', 3359596544, 3359598591, 'CL', 'Chile'),
(132174, '200.63.112.0', '200.63.191.255', 3359600640, 3359621119, 'AR', 'Argentina'),
(132175, '200.63.192.0', '200.63.255.255', 3359621120, 3359637503, 'EC', 'Ecuador'),
(132176, '200.64.0.0', '200.66.82.15', 3359637504, 3359789583, 'MX', 'Mexico'),
(132177, '200.66.82.16', '200.66.82.31', 3359789584, 3359789599, 'US', 'United States'),
(132178, '200.66.82.32', '200.66.111.255', 3359789600, 3359797247, 'MX', 'Mexico'),
(132179, '200.66.128.0', '200.67.255.255', 3359801344, 3359899647, 'MX', 'Mexico'),
(132180, '200.68.0.0', '200.68.63.255', 3359899648, 3359916031, 'CL', 'Chile'),
(132181, '200.68.64.0', '200.68.127.255', 3359916032, 3359932415, 'AR', 'Argentina'),
(132182, '200.68.192.0', '200.69.95.255', 3359948800, 3359989759, 'AR', 'Argentina'),
(132183, '200.69.96.0', '200.69.127.255', 3359989760, 3359997951, 'CO', 'Colombia'),
(132184, '200.69.128.0', '200.69.159.255', 3359997952, 3360006143, 'AR', 'Argentina'),
(132185, '200.69.160.0', '200.69.191.255', 3360006144, 3360014335, 'EC', 'Ecuador'),
(132186, '200.69.192.0', '200.70.255.255', 3360014336, 3360096255, 'AR', 'Argentina'),
(132187, '200.71.0.0', '200.71.31.255', 3360096256, 3360104447, 'UY', 'Uruguay'),
(132188, '200.71.32.0', '200.71.79.255', 3360104448, 3360116735, 'CO', 'Colombia'),
(132189, '200.71.80.0', '200.71.87.255', 3360116736, 3360118783, 'BO', 'Bolivia'),
(132190, '200.71.88.0', '200.71.95.255', 3360118784, 3360120831, 'AR', 'Argentina'),
(132191, '200.71.96.0', '200.71.111.255', 3360120832, 3360124927, 'CO', 'Colombia'),
(132192, '200.71.128.0', '200.71.191.255', 3360129024, 3360145407, 'VE', 'Venezuela'),
(132193, '200.71.192.0', '200.71.223.255', 3360145408, 3360153599, 'CL', 'Chile'),
(132194, '200.71.224.0', '200.71.239.255', 3360153600, 3360157695, 'AR', 'Argentina'),
(132195, '200.71.240.0', '200.71.247.255', 3360157696, 3360159743, 'VE', 'Venezuela'),
(132196, '200.71.248.0', '200.71.255.255', 3360159744, 3360161791, 'AN', 'Netherlands Antilles'),
(132197, '200.72.0.0', '200.73.95.255', 3360161792, 3360251903, 'CL', 'Chile'),
(132198, '200.73.96.0', '200.73.103.255', 3360251904, 3360253951, 'BO', 'Bolivia'),
(132199, '200.73.104.0', '200.73.111.255', 3360253952, 3360255999, 'SV', 'El Salvador'),
(132200, '200.73.120.0', '200.73.127.255', 3360258048, 3360260095, 'CL', 'Chile'),
(132201, '200.73.128.0', '200.73.191.255', 3360260096, 3360276479, 'AR', 'Argentina'),
(132202, '200.73.192.0', '200.73.199.255', 3360276480, 3360278527, 'VE', 'Venezuela'),
(132203, '200.73.200.0', '200.73.207.255', 3360278528, 3360280575, 'EC', 'Ecuador'),
(132204, '200.73.208.0', '200.73.215.255', 3360280576, 3360282623, 'CL', 'Chile'),
(132205, '200.73.216.0', '200.73.223.255', 3360282624, 3360284671, 'CO', 'Colombia'),
(132206, '200.73.224.0', '200.74.127.255', 3360284672, 3360325631, 'CL', 'Chile'),
(132207, '200.74.128.0', '200.74.159.255', 3360325632, 3360333823, 'CO', 'Colombia'),
(132208, '200.74.160.0', '200.74.191.255', 3360333824, 3360342015, 'CL', 'Chile'),
(132209, '200.74.192.0', '200.74.239.255', 3360342016, 3360354303, 'VE', 'Venezuela'),
(132210, '200.74.240.0', '200.74.247.255', 3360354304, 3360356351, 'PA', 'Panama'),
(132211, '200.74.248.0', '200.74.255.255', 3360356352, 3360358399, 'CR', 'Costa Rica'),
(132212, '200.75.0.0', '200.75.1.255', 3360358400, 3360358911, 'CL', 'Chile'),
(132213, '200.75.2.0', '200.75.2.7', 3360358912, 3360358919, 'CO', 'Colombia'),
(132214, '200.75.2.8', '200.75.31.255', 3360358920, 3360366591, 'CL', 'Chile'),
(132215, '200.75.32.0', '200.75.95.255', 3360366592, 3360382975, 'CO', 'Colombia'),
(132216, '200.75.96.0', '200.75.159.255', 3360382976, 3360399359, 'VE', 'Venezuela'),
(132217, '200.75.160.0', '200.75.175.255', 3360399360, 3360403455, 'BO', 'Bolivia'),
(132218, '200.75.192.0', '200.75.255.255', 3360407552, 3360423935, 'PA', 'Panama'),
(132219, '200.76.0.0', '200.79.255.255', 3360423936, 3360686079, 'MX', 'Mexico'),
(132220, '200.80.0.0', '200.80.95.255', 3360686080, 3360710655, 'AR', 'Argentina'),
(132221, '200.80.96.0', '200.80.127.255', 3360710656, 3360718847, 'HT', 'Haiti'),
(132222, '200.80.128.0', '200.81.34.255', 3360718848, 3360760575, 'AR', 'Argentina'),
(132223, '200.81.35.0', '200.81.35.255', 3360760576, 3360760831, 'UY', 'Uruguay'),
(132224, '200.81.36.0', '200.81.47.255', 3360760832, 3360763903, 'AR', 'Argentina'),
(132225, '200.81.48.0', '200.81.55.255', 3360763904, 3360765951, 'GT', 'Guatemala'),
(132226, '200.81.56.0', '200.81.63.255', 3360765952, 3360767999, 'CO', 'Colombia'),
(132227, '200.81.64.0', '200.81.143.255', 3360768000, 3360788479, 'AR', 'Argentina'),
(132228, '200.81.144.0', '200.81.151.255', 3360788480, 3360790527, 'CL', 'Chile'),
(132229, '200.81.160.0', '200.82.127.255', 3360792576, 3360849919, 'AR', 'Argentina'),
(132230, '200.82.128.0', '200.82.255.255', 3360849920, 3360882687, 'VE', 'Venezuela'),
(132231, '200.83.0.0', '200.83.255.255', 3360882688, 3360948223, 'CL', 'Chile'),
(132232, '200.84.0.0', '200.84.255.255', 3360948224, 3361013759, 'VE', 'Venezuela'),
(132233, '200.85.0.0', '200.85.30.255', 3361013760, 3361021695, 'SV', 'El Salvador'),
(132234, '200.85.31.0', '200.85.31.255', 3361021696, 3361021951, 'HN', 'Honduras'),
(132235, '200.85.32.0', '200.85.63.255', 3361021952, 3361030143, 'PY', 'Paraguay'),
(132236, '200.85.64.0', '200.85.79.255', 3361030144, 3361034239, 'VE', 'Venezuela'),
(132237, '200.85.80.0', '200.85.87.255', 3361034240, 3361036287, 'EC', 'Ecuador'),
(132238, '200.85.88.0', '200.85.127.255', 3361036288, 3361046527, 'AR', 'Argentina'),
(132239, '200.85.128.0', '200.85.151.255', 3361046528, 3361052671, 'BO', 'Bolivia'),
(132240, '200.85.152.0', '200.85.159.255', 3361052672, 3361054719, 'AR', 'Argentina'),
(132241, '200.85.160.0', '200.85.175.255', 3361054720, 3361058815, 'NI', 'Nicaragua'),
(132242, '200.85.176.0', '200.85.191.255', 3361058816, 3361062911, 'AR', 'Argentina'),
(132243, '200.85.192.0', '200.85.223.255', 3361062912, 3361071103, 'CL', 'Chile'),
(132244, '200.85.224.0', '200.85.255.255', 3361071104, 3361079295, 'CO', 'Colombia'),
(132245, '200.86.0.0', '200.86.255.255', 3361079296, 3361144831, 'CL', 'Chile'),
(132246, '200.87.0.0', '200.87.255.255', 3361144832, 3361210367, 'BO', 'Bolivia'),
(132247, '200.88.0.0', '200.88.255.255', 3361210368, 3361275903, 'DO', 'Dominican Republic'),
(132248, '200.89.0.0', '200.89.31.255', 3361275904, 3361284095, 'PE', 'Peru'),
(132249, '200.89.32.0', '200.89.79.255', 3361284096, 3361296383, 'CL', 'Chile'),
(132250, '200.89.80.0', '200.89.87.255', 3361296384, 3361298431, 'SV', 'El Salvador'),
(132251, '200.89.88.0', '200.89.95.255', 3361298432, 3361300479, 'DO', 'Dominican Republic'),
(132252, '200.89.96.0', '200.89.127.255', 3361300480, 3361308671, 'CO', 'Colombia'),
(132253, '200.89.128.0', '200.89.191.255', 3361308672, 3361325055, 'AR', 'Argentina'),
(132254, '200.89.192.0', '200.89.255.255', 3361325056, 3361341439, 'CO', 'Colombia'),
(132255, '200.90.0.0', '200.90.127.255', 3361341440, 3361374207, 'VE', 'Venezuela'),
(132256, '200.90.128.0', '200.90.143.255', 3361374208, 3361378303, 'PA', 'Panama'),
(132257, '200.90.144.0', '200.90.151.255', 3361378304, 3361380351, 'BO', 'Bolivia'),
(132258, '200.90.152.0', '200.90.159.255', 3361380352, 3361382399, 'EC', 'Ecuador'),
(132259, '200.90.160.0', '200.91.31.255', 3361382400, 3361415167, 'CL', 'Chile'),
(132260, '200.91.32.0', '200.91.39.255', 3361415168, 3361417215, 'AR', 'Argentina'),
(132261, '200.91.40.0', '200.91.47.255', 3361417216, 3361419263, 'CL', 'Chile'),
(132262, '200.91.48.0', '200.91.63.255', 3361419264, 3361423359, 'AR', 'Argentina'),
(132263, '200.91.64.0', '200.91.191.255', 3361423360, 3361456127, 'CR', 'Costa Rica'),
(132264, '200.91.192.0', '200.91.255.255', 3361456128, 3361472511, 'CO', 'Colombia'),
(132265, '200.92.0.0', '200.92.255.255', 3361472512, 3361538047, 'MX', 'Mexico'),
(132266, '200.93.0.0', '200.93.127.255', 3361538048, 3361570815, 'VE', 'Venezuela'),
(132267, '200.93.128.0', '200.93.191.255', 3361570816, 3361587199, 'CO', 'Colombia'),
(132268, '200.93.192.0', '200.93.239.255', 3361587200, 3361599487, 'EC', 'Ecuador'),
(132269, '200.93.240.0', '200.93.247.255', 3361599488, 3361601535, 'UY', 'Uruguay'),
(132270, '200.93.248.0', '200.93.255.255', 3361601536, 3361603583, 'EC', 'Ecuador'),
(132271, '200.94.0.0', '200.95.255.255', 3361603584, 3361734655, 'MX', 'Mexico'),
(132272, '200.96.0.0', '200.103.255.255', 3361734656, 3362258943, 'BR', 'Brazil'),
(132273, '200.104.0.0', '200.104.255.255', 3362258944, 3362324479, 'CL', 'Chile'),
(132274, '200.105.0.0', '200.105.0.255', 3362324480, 3362324735, 'AR', 'Argentina'),
(132275, '200.105.1.0', '200.105.1.255', 3362324736, 3362324991, 'US', 'United States'),
(132276, '200.105.2.0', '200.105.13.255', 3362324992, 3362328063, 'AR', 'Argentina'),
(132277, '200.105.14.0', '200.105.14.255', 3362328064, 3362328319, 'US', 'United States'),
(132278, '200.105.15.0', '200.105.47.255', 3362328320, 3362336767, 'AR', 'Argentina'),
(132279, '200.105.48.0', '200.105.52.255', 3362336768, 3362338047, 'US', 'United States'),
(132280, '200.105.53.0', '200.105.68.255', 3362338048, 3362342143, 'AR', 'Argentina'),
(132281, '200.105.69.0', '200.105.69.255', 3362342144, 3362342399, 'PA', 'Panama'),
(132282, '200.105.70.0', '200.105.77.255', 3362342400, 3362344447, 'AR', 'Argentina'),
(132283, '200.105.78.0', '200.105.78.255', 3362344448, 3362344703, 'US', 'United States'),
(132284, '200.105.79.0', '200.105.79.255', 3362344704, 3362344959, 'AR', 'Argentina'),
(132285, '200.105.80.0', '200.105.87.255', 3362344960, 3362347007, 'US', 'United States'),
(132286, '200.105.88.0', '200.105.94.255', 3362347008, 3362348799, 'AR', 'Argentina'),
(132287, '200.105.95.0', '200.105.95.255', 3362348800, 3362349055, 'US', 'United States'),
(132288, '200.105.96.0', '200.105.103.255', 3362349056, 3362351103, 'CR', 'Costa Rica'),
(132289, '200.105.104.0', '200.105.111.255', 3362351104, 3362353151, 'AR', 'Argentina'),
(132290, '200.105.112.0', '200.105.119.255', 3362353152, 3362355199, 'EC', 'Ecuador'),
(132291, '200.105.120.0', '200.105.127.255', 3362355200, 3362357247, 'AR', 'Argentina'),
(132292, '200.105.128.0', '200.105.223.255', 3362357248, 3362381823, 'BO', 'Bolivia'),
(132293, '200.105.224.0', '200.105.255.255', 3362381824, 3362390015, 'EC', 'Ecuador'),
(132294, '200.106.0.0', '200.106.127.255', 3362390016, 3362422783, 'PE', 'Peru'),
(132295, '200.106.128.0', '200.106.143.255', 3362422784, 3362426879, 'CO', 'Colombia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(132296, '200.106.144.0', '200.106.151.255', 3362426880, 3362428927, 'PA', 'Panama'),
(132297, '200.106.152.0', '200.106.159.255', 3362428928, 3362430975, 'CL', 'Chile'),
(132298, '200.106.160.0', '200.106.223.255', 3362430976, 3362447359, 'CO', 'Colombia'),
(132299, '200.106.224.0', '200.106.227.255', 3362447360, 3362448383, 'SV', 'El Salvador'),
(132300, '200.106.228.0', '200.106.229.255', 3362448384, 3362448895, 'HN', 'Honduras'),
(132301, '200.106.230.0', '200.106.239.255', 3362448896, 3362451455, 'SV', 'El Salvador'),
(132302, '200.106.240.0', '200.106.243.255', 3362451456, 3362452479, 'AR', 'Argentina'),
(132303, '200.106.244.0', '200.106.245.255', 3362452480, 3362452991, 'BO', 'Bolivia'),
(132304, '200.106.246.0', '200.106.246.255', 3362452992, 3362453247, 'HN', 'Honduras'),
(132305, '200.106.247.0', '200.106.247.255', 3362453248, 3362453503, 'NI', 'Nicaragua'),
(132306, '200.106.248.0', '200.106.255.255', 3362453504, 3362455551, 'AR', 'Argentina'),
(132307, '200.107.0.0', '200.107.63.255', 3362455552, 3362471935, 'EC', 'Ecuador'),
(132308, '200.107.64.0', '200.107.79.255', 3362471936, 3362476031, 'CL', 'Chile'),
(132309, '200.107.80.0', '200.107.80.255', 3362476032, 3362476287, 'HN', 'Honduras'),
(132310, '200.107.81.0', '200.107.81.255', 3362476288, 3362476543, 'AR', 'Argentina'),
(132311, '200.107.82.0', '200.107.83.255', 3362476544, 3362477055, 'CR', 'Costa Rica'),
(132312, '200.107.84.0', '200.107.87.255', 3362477056, 3362478079, 'AN', 'Netherlands Antilles'),
(132313, '200.107.88.0', '200.107.95.255', 3362478080, 3362480127, 'AR', 'Argentina'),
(132314, '200.107.112.0', '200.107.119.255', 3362484224, 3362486271, 'AR', 'Argentina'),
(132315, '200.107.120.0', '200.107.127.255', 3362486272, 3362488319, 'HN', 'Honduras'),
(132316, '200.107.128.0', '200.107.191.255', 3362488320, 3362504703, 'PE', 'Peru'),
(132317, '200.107.192.0', '200.107.199.255', 3362504704, 3362506751, 'VE', 'Venezuela'),
(132318, '200.107.200.0', '200.107.207.255', 3362506752, 3362508799, 'AR', 'Argentina'),
(132319, '200.107.208.0', '200.107.215.255', 3362508800, 3362510847, 'HN', 'Honduras'),
(132320, '200.107.224.0', '200.107.231.255', 3362512896, 3362514943, 'AR', 'Argentina'),
(132321, '200.107.232.0', '200.107.239.255', 3362514944, 3362516991, 'HN', 'Honduras'),
(132322, '200.107.240.0', '200.107.247.255', 3362516992, 3362519039, 'BO', 'Bolivia'),
(132323, '200.107.248.0', '200.107.255.255', 3362519040, 3362521087, 'EC', 'Ecuador'),
(132324, '200.108.0.0', '200.108.31.255', 3362521088, 3362529279, 'TT', 'Trinidad and Tobago'),
(132325, '200.108.32.0', '200.108.63.255', 3362529280, 3362537471, 'PA', 'Panama'),
(132326, '200.108.64.0', '200.108.95.255', 3362537472, 3362545663, 'AR', 'Argentina'),
(132327, '200.108.96.0', '200.108.111.255', 3362545664, 3362549759, 'PE', 'Peru'),
(132328, '200.108.112.0', '200.108.127.255', 3362549760, 3362553855, 'AR', 'Argentina'),
(132329, '200.108.128.0', '200.108.143.255', 3362553856, 3362557951, 'PY', 'Paraguay'),
(132330, '200.108.192.0', '200.108.255.255', 3362570240, 3362586623, 'UY', 'Uruguay'),
(132331, '200.109.0.0', '200.109.255.255', 3362586624, 3362652159, 'VE', 'Venezuela'),
(132332, '200.110.0.0', '200.110.47.255', 3362652160, 3362664447, 'PE', 'Peru'),
(132333, '200.110.48.0', '200.110.63.255', 3362664448, 3362668543, 'BO', 'Bolivia'),
(132334, '200.110.64.0', '200.110.127.255', 3362668544, 3362684927, 'EC', 'Ecuador'),
(132335, '200.110.128.0', '200.110.135.255', 3362684928, 3362686975, 'AR', 'Argentina'),
(132336, '200.110.136.0', '200.110.137.31', 3362686976, 3362687263, 'CO', 'Colombia'),
(132337, '200.110.137.32', '200.110.137.72', 3362687264, 3362687304, 'AR', 'Argentina'),
(132338, '200.110.137.73', '200.110.144.255', 3362687305, 3362689279, 'CO', 'Colombia'),
(132339, '200.110.145.0', '200.110.145.31', 3362689280, 3362689311, 'AR', 'Argentina'),
(132340, '200.110.145.32', '200.110.149.63', 3362689312, 3362690367, 'CO', 'Colombia'),
(132341, '200.110.149.64', '200.110.149.127', 3362690368, 3362690431, 'AR', 'Argentina'),
(132342, '200.110.149.128', '200.110.151.255', 3362690432, 3362691071, 'CO', 'Colombia'),
(132343, '200.110.152.0', '200.110.155.255', 3362691072, 3362692095, 'PA', 'Panama'),
(132344, '200.110.156.0', '200.110.156.127', 3362692096, 3362692223, 'AR', 'Argentina'),
(132345, '200.110.156.128', '200.110.156.255', 3362692224, 3362692351, 'CO', 'Colombia'),
(132346, '200.110.157.0', '200.110.157.255', 3362692352, 3362692607, 'MX', 'Mexico'),
(132347, '200.110.158.0', '200.110.158.255', 3362692608, 3362692863, 'CO', 'Colombia'),
(132348, '200.110.159.0', '200.110.167.255', 3362692864, 3362695167, 'AR', 'Argentina'),
(132349, '200.110.168.0', '200.110.175.255', 3362695168, 3362697215, 'CO', 'Colombia'),
(132350, '200.110.176.0', '200.110.231.255', 3362697216, 3362711551, 'AR', 'Argentina'),
(132351, '200.110.232.0', '200.110.239.255', 3362711552, 3362713599, 'EC', 'Ecuador'),
(132352, '200.110.240.0', '200.110.243.255', 3362713600, 3362714623, 'GT', 'Guatemala'),
(132353, '200.110.244.0', '200.110.244.255', 3362714624, 3362714879, 'HN', 'Honduras'),
(132354, '200.110.245.0', '200.110.255.255', 3362714880, 3362717695, 'GT', 'Guatemala'),
(132355, '200.111.0.0', '200.112.127.255', 3362717696, 3362815999, 'CL', 'Chile'),
(132356, '200.112.128.0', '200.112.191.255', 3362816000, 3362832383, 'AR', 'Argentina'),
(132357, '200.112.208.0', '200.112.215.255', 3362836480, 3362838527, 'CO', 'Colombia'),
(132358, '200.112.224.0', '200.113.191.255', 3362840576, 3362897919, 'CL', 'Chile'),
(132359, '200.113.192.0', '200.113.255.255', 3362897920, 3362914303, 'HT', 'Haiti'),
(132360, '200.114.0.0', '200.114.63.255', 3362914304, 3362930687, 'CO', 'Colombia'),
(132361, '200.114.80.0', '200.114.87.255', 3362934784, 3362936831, 'AR', 'Argentina'),
(132362, '200.114.88.0', '200.114.95.255', 3362936832, 3362938879, 'CL', 'Chile'),
(132363, '200.114.96.0', '200.114.111.255', 3362938880, 3362942975, 'AR', 'Argentina'),
(132364, '200.114.112.0', '200.114.119.255', 3362942976, 3362945023, 'GT', 'Guatemala'),
(132365, '200.114.120.0', '200.115.15.255', 3362945024, 3362983935, 'AR', 'Argentina'),
(132366, '200.115.32.0', '200.115.47.255', 3362988032, 3362992127, 'EC', 'Ecuador'),
(132367, '200.115.64.0', '200.115.79.255', 3362996224, 3363000319, 'UY', 'Uruguay'),
(132368, '200.115.128.0', '200.115.175.255', 3363012608, 3363024895, 'PA', 'Panama'),
(132369, '200.115.176.0', '200.115.176.255', 3363024896, 3363025151, 'HN', 'Honduras'),
(132370, '200.115.177.0', '200.115.177.255', 3363025152, 3363025407, 'PA', 'Panama'),
(132371, '200.115.178.0', '200.115.178.255', 3363025408, 3363025663, 'CO', 'Colombia'),
(132372, '200.115.179.0', '200.115.179.255', 3363025664, 3363025919, 'AN', 'Netherlands Antilles'),
(132373, '200.115.180.0', '200.115.180.255', 3363025920, 3363026175, 'CO', 'Colombia'),
(132374, '200.115.192.0', '200.115.255.255', 3363028992, 3363045375, 'AR', 'Argentina'),
(132375, '200.116.0.0', '200.116.255.255', 3363045376, 3363110911, 'CO', 'Colombia'),
(132376, '200.117.0.0', '200.117.255.255', 3363110912, 3363176447, 'AR', 'Argentina'),
(132377, '200.118.0.0', '200.119.127.255', 3363176448, 3363274751, 'CO', 'Colombia'),
(132378, '200.119.128.0', '200.119.191.255', 3363274752, 3363291135, 'GT', 'Guatemala'),
(132379, '200.119.192.0', '200.119.223.255', 3363291136, 3363299327, 'BO', 'Bolivia'),
(132380, '200.119.224.0', '200.120.255.255', 3363299328, 3363373055, 'CL', 'Chile'),
(132381, '200.121.0.0', '200.121.255.255', 3363373056, 3363438591, 'PE', 'Peru'),
(132382, '200.122.0.0', '200.122.127.255', 3363438592, 3363471359, 'AR', 'Argentina'),
(132383, '200.122.128.0', '200.122.191.255', 3363471360, 3363487743, 'CR', 'Costa Rica'),
(132384, '200.122.192.0', '200.122.255.255', 3363487744, 3363504127, 'CO', 'Colombia'),
(132385, '200.123.0.0', '200.123.31.255', 3363504128, 3363512319, 'PE', 'Peru'),
(132386, '200.123.32.0', '200.123.194.255', 3363512320, 3363554047, 'AR', 'Argentina'),
(132387, '200.123.195.0', '200.123.195.127', 3363554048, 3363554175, 'US', 'United States'),
(132388, '200.123.195.128', '200.123.207.255', 3363554176, 3363557375, 'AR', 'Argentina'),
(132389, '200.124.0.0', '200.124.31.255', 3363569664, 3363577855, 'PA', 'Panama'),
(132390, '200.124.32.0', '200.124.63.255', 3363577856, 3363586047, 'CL', 'Chile'),
(132391, '200.124.96.0', '200.124.119.255', 3363594240, 3363600383, 'AR', 'Argentina'),
(132392, '200.124.120.0', '200.124.120.255', 3363600384, 3363600639, 'PY', 'Paraguay'),
(132393, '200.124.121.0', '200.124.121.255', 3363600640, 3363600895, 'VE', 'Venezuela'),
(132394, '200.124.122.0', '200.124.123.255', 3363600896, 3363601407, 'AR', 'Argentina'),
(132395, '200.124.124.0', '200.124.125.255', 3363601408, 3363601919, 'CO', 'Colombia'),
(132396, '200.124.126.0', '200.124.126.255', 3363601920, 3363602175, 'AR', 'Argentina'),
(132397, '200.124.127.0', '200.124.127.255', 3363602176, 3363602431, 'PA', 'Panama'),
(132398, '200.124.128.0', '200.124.159.255', 3363602432, 3363610623, 'AN', 'Netherlands Antilles'),
(132399, '200.124.192.0', '200.124.223.255', 3363618816, 3363627007, 'UY', 'Uruguay'),
(132400, '200.124.224.0', '200.124.255.255', 3363627008, 3363635199, 'EC', 'Ecuador'),
(132401, '200.125.0.0', '200.125.63.255', 3363635200, 3363651583, 'UY', 'Uruguay'),
(132402, '200.125.64.0', '200.125.127.255', 3363651584, 3363667967, 'AR', 'Argentina'),
(132403, '200.125.128.0', '200.125.159.255', 3363667968, 3363676159, 'EC', 'Ecuador'),
(132404, '200.125.160.0', '200.125.167.255', 3363676160, 3363678207, 'TT', 'Trinidad and Tobago'),
(132405, '200.125.168.0', '200.125.175.255', 3363678208, 3363680255, 'NI', 'Nicaragua'),
(132406, '200.125.176.0', '200.125.183.255', 3363680256, 3363682303, 'GT', 'Guatemala'),
(132407, '200.125.184.0', '200.125.191.255', 3363682304, 3363684351, 'VE', 'Venezuela'),
(132408, '200.125.192.0', '200.126.31.255', 3363684352, 3363708927, 'EC', 'Ecuador'),
(132409, '200.126.32.0', '200.126.47.255', 3363708928, 3363713023, 'CL', 'Chile'),
(132410, '200.126.64.0', '200.126.127.255', 3363717120, 3363733503, 'CL', 'Chile'),
(132411, '200.126.128.0', '200.127.255.255', 3363733504, 3363831807, 'AR', 'Argentina'),
(132412, '200.128.0.0', '201.95.255.255', 3363831808, 3378511871, 'BR', 'Brazil'),
(132413, '201.96.0.0', '201.175.255.255', 3378511872, 3383754751, 'MX', 'Mexico'),
(132414, '201.176.0.0', '201.181.255.255', 3383754752, 3384147967, 'AR', 'Argentina'),
(132415, '201.182.0.0', '201.182.255.255', 3384147968, 3384213503, 'PA', 'Panama'),
(132416, '201.183.0.0', '201.183.255.255', 3384213504, 3384279039, 'EC', 'Ecuador'),
(132417, '201.184.0.0', '201.185.255.255', 3384279040, 3384410111, 'CO', 'Colombia'),
(132418, '201.186.0.0', '201.189.255.255', 3384410112, 3384672255, 'CL', 'Chile'),
(132419, '201.190.0.0', '201.190.63.255', 3384672256, 3384688639, 'HN', 'Honduras'),
(132420, '201.190.64.0', '201.190.127.255', 3384688640, 3384705023, 'CO', 'Colombia'),
(132421, '201.190.128.0', '201.190.191.255', 3384705024, 3384721407, 'PA', 'Panama'),
(132422, '201.190.192.0', '201.190.207.255', 3384721408, 3384725503, 'US', 'United States'),
(132423, '201.190.208.0', '201.190.255.255', 3384725504, 3384737791, 'PA', 'Panama'),
(132424, '201.191.0.0', '201.207.255.255', 3384737792, 3385851903, 'CR', 'Costa Rica'),
(132425, '201.208.0.0', '201.211.255.255', 3385851904, 3386114047, 'VE', 'Venezuela'),
(132426, '201.212.0.0', '201.213.255.255', 3386114048, 3386245119, 'AR', 'Argentina'),
(132427, '201.214.0.0', '201.215.255.255', 3386245120, 3386376191, 'CL', 'Chile'),
(132428, '201.216.0.0', '201.216.63.255', 3386376192, 3386392575, 'CO', 'Colombia'),
(132429, '201.216.64.0', '201.216.127.255', 3386392576, 3386408959, 'AN', 'Netherlands Antilles'),
(132430, '201.216.128.0', '201.216.191.255', 3386408960, 3386425343, 'GT', 'Guatemala'),
(132431, '201.216.192.0', '201.216.255.255', 3386425344, 3386441727, 'AR', 'Argentina'),
(132432, '201.217.0.0', '201.217.63.255', 3386441728, 3386458111, 'PY', 'Paraguay'),
(132433, '201.217.64.0', '201.217.127.255', 3386458112, 3386474495, 'EC', 'Ecuador'),
(132434, '201.217.128.0', '201.217.191.255', 3386474496, 3386490879, 'UY', 'Uruguay'),
(132435, '201.217.192.0', '201.217.223.255', 3386490880, 3386499071, 'CO', 'Colombia'),
(132436, '201.217.224.0', '201.217.239.255', 3386499072, 3386503167, 'AR', 'Argentina'),
(132437, '201.217.240.0', '201.217.243.255', 3386503168, 3386504191, 'PE', 'Peru'),
(132438, '201.217.244.0', '201.217.247.255', 3386504192, 3386505215, 'AR', 'Argentina'),
(132439, '201.217.248.0', '201.217.255.255', 3386505216, 3386507263, 'CL', 'Chile'),
(132440, '201.218.0.0', '201.218.63.255', 3386507264, 3386523647, 'EC', 'Ecuador'),
(132441, '201.218.64.0', '201.218.127.255', 3386523648, 3386540031, 'PA', 'Panama'),
(132442, '201.218.128.0', '201.218.159.255', 3386540032, 3386548223, 'CL', 'Chile'),
(132443, '201.218.160.0', '201.218.191.255', 3386548224, 3386556415, 'CR', 'Costa Rica'),
(132444, '201.218.192.0', '201.218.213.255', 3386556416, 3386562047, 'PA', 'Panama'),
(132445, '201.218.214.0', '201.218.214.255', 3386562048, 3386562303, 'PE', 'Peru'),
(132446, '201.218.215.0', '201.218.255.255', 3386562304, 3386572799, 'PA', 'Panama'),
(132447, '201.219.0.0', '201.219.63.255', 3386572800, 3386589183, 'EC', 'Ecuador'),
(132448, '201.219.64.0', '201.219.111.255', 3386589184, 3386601471, 'AR', 'Argentina'),
(132449, '201.219.112.0', '201.219.127.255', 3386601472, 3386605567, 'CO', 'Colombia'),
(132450, '201.219.128.0', '201.219.159.255', 3386605568, 3386613759, 'CL', 'Chile'),
(132451, '201.219.160.0', '201.219.191.255', 3386613760, 3386621951, 'AR', 'Argentina'),
(132452, '201.219.192.0', '201.219.223.255', 3386621952, 3386630143, 'CO', 'Colombia'),
(132453, '201.219.224.0', '201.219.231.255', 3386630144, 3386632191, 'UY', 'Uruguay'),
(132454, '201.220.0.0', '201.220.15.255', 3386638336, 3386642431, 'AN', 'Netherlands Antilles'),
(132455, '201.220.32.0', '201.220.95.255', 3386646528, 3386662911, 'CO', 'Colombia'),
(132456, '201.220.96.0', '201.220.127.255', 3386662912, 3386671103, 'CL', 'Chile'),
(132457, '201.220.128.0', '201.220.143.255', 3386671104, 3386675199, 'HN', 'Honduras'),
(132458, '201.220.160.0', '201.220.191.255', 3386679296, 3386687487, 'AR', 'Argentina'),
(132459, '201.220.192.0', '201.220.223.255', 3386687488, 3386695679, 'CU', 'Cuba'),
(132460, '201.220.224.0', '201.220.255.255', 3386695680, 3386703871, 'CL', 'Chile'),
(132461, '201.221.0.0', '201.221.63.255', 3386703872, 3386720255, 'UY', 'Uruguay'),
(132462, '201.221.64.0', '201.221.95.255', 3386720256, 3386728447, 'TT', 'Trinidad and Tobago'),
(132463, '201.221.96.0', '201.221.111.255', 3386728448, 3386732543, 'AR', 'Argentina'),
(132464, '201.221.112.0', '201.221.119.255', 3386732544, 3386734591, 'CL', 'Chile'),
(132465, '201.221.128.0', '201.221.191.255', 3386736640, 3386753023, 'CO', 'Colombia'),
(132466, '201.221.192.0', '201.221.223.255', 3386753024, 3386761215, 'CL', 'Chile'),
(132467, '201.221.224.0', '201.221.255.255', 3386761216, 3386769407, 'PA', 'Panama'),
(132468, '201.222.0.0', '201.222.15.255', 3386769408, 3386773503, 'VE', 'Venezuela'),
(132469, '201.222.32.0', '201.222.47.255', 3386777600, 3386781695, 'AN', 'Netherlands Antilles'),
(132470, '201.222.64.0', '201.222.127.255', 3386785792, 3386802175, 'BO', 'Bolivia'),
(132471, '201.222.128.0', '201.223.255.255', 3386802176, 3386900479, 'CL', 'Chile'),
(132472, '201.224.0.0', '201.227.255.255', 3386900480, 3387162623, 'PA', 'Panama'),
(132473, '201.228.0.0', '201.228.255.255', 3387162624, 3387228159, 'CO', 'Colombia'),
(132474, '201.229.0.0', '201.229.127.255', 3387228160, 3387260927, 'AW', 'Aruba'),
(132475, '201.229.128.0', '201.229.255.255', 3387260928, 3387293695, 'DO', 'Dominican Republic'),
(132476, '201.230.0.0', '201.230.255.255', 3387293696, 3387359231, 'PE', 'Peru'),
(132477, '201.231.0.0', '201.231.255.255', 3387359232, 3387424767, 'AR', 'Argentina'),
(132478, '201.232.0.0', '201.233.255.255', 3387424768, 3387555839, 'CO', 'Colombia'),
(132479, '201.234.0.0', '201.234.63.127', 3387555840, 3387572095, 'AR', 'Argentina'),
(132480, '201.234.63.128', '201.234.63.255', 3387572096, 3387572223, 'PE', 'Peru'),
(132481, '201.234.64.0', '201.234.175.255', 3387572224, 3387600895, 'AR', 'Argentina'),
(132482, '201.234.176.0', '201.234.191.255', 3387600896, 3387604991, 'CO', 'Colombia'),
(132483, '201.234.192.0', '201.234.204.255', 3387604992, 3387608319, 'AR', 'Argentina'),
(132484, '201.234.205.0', '201.234.205.127', 3387608320, 3387608447, 'EC', 'Ecuador'),
(132485, '201.234.205.128', '201.234.205.255', 3387608448, 3387608575, 'AR', 'Argentina'),
(132486, '201.234.206.0', '201.234.206.127', 3387608576, 3387608703, 'EC', 'Ecuador'),
(132487, '201.234.206.128', '201.234.207.255', 3387608704, 3387609087, 'AR', 'Argentina'),
(132488, '201.234.208.0', '201.234.223.255', 3387609088, 3387613183, 'EC', 'Ecuador'),
(132489, '201.234.224.0', '201.234.227.127', 3387613184, 3387614079, 'AR', 'Argentina'),
(132490, '201.234.227.128', '201.234.227.255', 3387614080, 3387614207, 'VE', 'Venezuela'),
(132491, '201.234.228.0', '201.234.229.127', 3387614208, 3387614591, 'AR', 'Argentina'),
(132492, '201.234.229.128', '201.234.229.255', 3387614592, 3387614719, 'VE', 'Venezuela'),
(132493, '201.234.230.0', '201.234.240.159', 3387614720, 3387617439, 'AR', 'Argentina'),
(132494, '201.234.240.160', '201.234.240.167', 3387617440, 3387617447, 'CO', 'Colombia'),
(132495, '201.234.240.168', '201.234.243.127', 3387617448, 3387618175, 'AR', 'Argentina'),
(132496, '201.234.243.128', '201.234.243.255', 3387618176, 3387618303, 'CO', 'Colombia'),
(132497, '201.234.244.0', '201.235.255.255', 3387618304, 3387686911, 'AR', 'Argentina'),
(132498, '201.236.0.0', '201.236.191.255', 3387686912, 3387736063, 'CL', 'Chile'),
(132499, '201.236.192.0', '201.236.255.255', 3387736064, 3387752447, 'CO', 'Colombia'),
(132500, '201.237.0.0', '201.237.255.255', 3387752448, 3387817983, 'CR', 'Costa Rica'),
(132501, '201.238.0.0', '201.238.63.255', 3387817984, 3387834367, 'VE', 'Venezuela'),
(132502, '201.238.64.0', '201.238.127.255', 3387834368, 3387850751, 'TT', 'Trinidad and Tobago'),
(132503, '201.238.128.0', '201.238.191.255', 3387850752, 3387867135, 'EC', 'Ecuador'),
(132504, '201.238.192.0', '201.239.255.255', 3387867136, 3387949055, 'CL', 'Chile'),
(132505, '201.240.0.0', '201.240.255.255', 3387949056, 3388014591, 'PE', 'Peru'),
(132506, '201.241.0.0', '201.241.255.255', 3388014592, 3388080127, 'CL', 'Chile'),
(132507, '201.242.0.0', '201.243.255.255', 3388080128, 3388211199, 'VE', 'Venezuela'),
(132508, '201.244.0.0', '201.245.255.255', 3388211200, 3388342271, 'CO', 'Colombia'),
(132509, '201.246.0.0', '201.246.255.255', 3388342272, 3388407807, 'CL', 'Chile'),
(132510, '201.247.0.0', '201.247.255.255', 3388407808, 3388473343, 'SV', 'El Salvador'),
(132511, '201.248.0.0', '201.249.255.255', 3388473344, 3388604415, 'VE', 'Venezuela'),
(132512, '201.250.0.0', '201.255.255.255', 3388604416, 3388997631, 'AR', 'Argentina'),
(132513, '202.0.0.0', '202.0.15.255', 3388997632, 3389001727, 'AU', 'Australia'),
(132514, '202.0.16.0', '202.0.31.255', 3389001728, 3389005823, 'PH', 'Philippines'),
(132515, '202.0.32.0', '202.0.63.255', 3389005824, 3389014015, 'NZ', 'New Zealand'),
(132516, '202.0.64.0', '202.0.64.255', 3389014016, 3389014271, 'AU', 'Australia'),
(132517, '202.0.65.0', '202.0.66.255', 3389014272, 3389014783, 'JP', 'Japan'),
(132518, '202.0.67.0', '202.0.70.255', 3389014784, 3389015807, 'AU', 'Australia'),
(132519, '202.0.71.0', '202.0.71.255', 3389015808, 3389016063, 'SG', 'Singapore'),
(132520, '202.0.72.0', '202.0.73.255', 3389016064, 3389016575, 'JP', 'Japan'),
(132521, '202.0.74.0', '202.0.75.255', 3389016576, 3389017087, 'AU', 'Australia'),
(132522, '202.0.76.0', '202.0.76.255', 3389017088, 3389017343, 'JP', 'Japan'),
(132523, '202.0.77.0', '202.0.77.255', 3389017344, 3389017599, 'HK', 'Hong Kong'),
(132524, '202.0.78.0', '202.0.78.255', 3389017600, 3389017855, 'AU', 'Australia'),
(132525, '202.0.79.0', '202.0.79.255', 3389017856, 3389018111, 'VN', 'Vietnam'),
(132526, '202.0.80.0', '202.0.80.255', 3389018112, 3389018367, 'PG', 'Papua New Guinea'),
(132527, '202.0.81.0', '202.0.83.255', 3389018368, 3389019135, 'AU', 'Australia'),
(132528, '202.0.84.0', '202.0.84.255', 3389019136, 3389019391, 'NZ', 'New Zealand'),
(132529, '202.0.85.0', '202.0.87.255', 3389019392, 3389020159, 'AU', 'Australia'),
(132530, '202.0.88.0', '202.0.89.255', 3389020160, 3389020671, 'ID', 'Indonesia'),
(132531, '202.0.90.0', '202.0.90.255', 3389020672, 3389020927, 'AU', 'Australia'),
(132532, '202.0.91.0', '202.0.91.255', 3389020928, 3389021183, 'PH', 'Philippines'),
(132533, '202.0.92.0', '202.0.93.255', 3389021184, 3389021695, 'ID', 'Indonesia'),
(132534, '202.0.95.0', '202.0.99.255', 3389021952, 3389023231, 'AU', 'Australia'),
(132535, '202.0.100.0', '202.0.101.255', 3389023232, 3389023743, 'CN', 'China'),
(132536, '202.0.102.0', '202.0.102.255', 3389023744, 3389023999, 'AU', 'Australia'),
(132537, '202.0.103.0', '202.0.103.255', 3389024000, 3389024255, 'IN', 'India'),
(132538, '202.0.104.0', '202.0.104.255', 3389024256, 3389024511, 'SG', 'Singapore'),
(132539, '202.0.105.0', '202.0.106.255', 3389024512, 3389025023, 'AU', 'Australia'),
(132540, '202.0.107.0', '202.0.107.255', 3389025024, 3389025279, 'ID', 'Indonesia'),
(132541, '202.0.108.0', '202.0.108.255', 3389025280, 3389025535, 'AU', 'Australia'),
(132542, '202.0.109.0', '202.0.109.255', 3389025536, 3389025791, 'IN', 'India'),
(132543, '202.0.110.0', '202.0.110.255', 3389025792, 3389026047, 'PK', 'Pakistan'),
(132544, '202.0.111.0', '202.0.111.255', 3389026048, 3389026303, 'TH', 'Thailand'),
(132545, '202.0.112.0', '202.0.112.255', 3389026304, 3389026559, 'IN', 'India'),
(132546, '202.0.113.0', '202.0.114.255', 3389026560, 3389027071, 'AU', 'Australia'),
(132547, '202.0.115.0', '202.0.116.255', 3389027072, 3389027583, 'IN', 'India'),
(132548, '202.0.117.0', '202.0.120.255', 3389027584, 3389028607, 'TH', 'Thailand'),
(132549, '202.0.121.0', '202.0.121.255', 3389028608, 3389028863, 'NZ', 'New Zealand'),
(132550, '202.0.122.0', '202.0.123.255', 3389028864, 3389029375, 'CN', 'China'),
(132551, '202.0.124.0', '202.0.125.255', 3389029376, 3389029887, 'NZ', 'New Zealand'),
(132552, '202.0.126.0', '202.0.127.255', 3389029888, 3389030399, 'SG', 'Singapore'),
(132553, '202.0.128.0', '202.0.143.255', 3389030400, 3389034495, 'HK', 'Hong Kong'),
(132554, '202.0.144.0', '202.0.147.255', 3389034496, 3389035519, 'PH', 'Philippines'),
(132555, '202.0.149.0', '202.0.149.255', 3389035776, 3389036031, 'SG', 'Singapore'),
(132556, '202.0.151.0', '202.0.151.255', 3389036288, 3389036543, 'NZ', 'New Zealand'),
(132557, '202.0.154.0', '202.0.155.255', 3389037056, 3389037567, 'AU', 'Australia'),
(132558, '202.0.156.0', '202.0.159.255', 3389037568, 3389038591, 'NC', 'New Caledonia'),
(132559, '202.0.160.0', '202.0.175.255', 3389038592, 3389042687, 'HK', 'Hong Kong'),
(132560, '202.0.176.0', '202.0.179.255', 3389042688, 3389043711, 'CN', 'China'),
(132561, '202.0.180.0', '202.0.183.255', 3389043712, 3389044735, 'HK', 'Hong Kong'),
(132562, '202.0.184.0', '202.0.191.255', 3389044736, 3389046783, 'AU', 'Australia'),
(132563, '202.0.192.0', '202.0.255.255', 3389046784, 3389063167, 'US', 'United States'),
(132564, '202.1.0.0', '202.1.1.255', 3389063168, 3389063679, 'AU', 'Australia'),
(132565, '202.1.2.0', '202.1.2.255', 3389063680, 3389063935, 'HK', 'Hong Kong'),
(132566, '202.1.3.0', '202.1.3.255', 3389063936, 3389064191, 'AU', 'Australia'),
(132567, '202.1.4.0', '202.1.4.255', 3389064192, 3389064447, 'IN', 'India'),
(132568, '202.1.5.0', '202.1.5.255', 3389064448, 3389064703, 'SG', 'Singapore'),
(132569, '202.1.6.0', '202.1.7.255', 3389064704, 3389065215, 'HK', 'Hong Kong'),
(132570, '202.1.8.0', '202.1.15.255', 3389065216, 3389067263, 'NZ', 'New Zealand'),
(132571, '202.1.16.0', '202.1.31.255', 3389067264, 3389071359, 'AU', 'Australia'),
(132572, '202.1.32.0', '202.1.63.255', 3389071360, 3389079551, 'PG', 'Papua New Guinea'),
(132573, '202.1.64.0', '202.1.95.255', 3389079552, 3389087743, 'SG', 'Singapore'),
(132574, '202.1.96.0', '202.1.96.255', 3389087744, 3389087999, 'HK', 'Hong Kong'),
(132575, '202.1.97.0', '202.1.113.255', 3389088000, 3389092351, 'SG', 'Singapore'),
(132576, '202.1.114.0', '202.1.115.255', 3389092352, 3389092863, 'PH', 'Philippines'),
(132577, '202.1.116.0', '202.1.119.255', 3389092864, 3389093887, 'AU', 'Australia'),
(132578, '202.1.120.0', '202.1.127.255', 3389093888, 3389095935, 'IN', 'India'),
(132579, '202.1.128.0', '202.1.159.255', 3389095936, 3389104127, 'SG', 'Singapore'),
(132580, '202.1.160.0', '202.1.191.255', 3389104128, 3389112319, 'SB', 'Solomon Islands'),
(132581, '202.1.192.0', '202.1.207.255', 3389112320, 3389116415, 'MV', 'Maldives'),
(132582, '202.1.208.0', '202.1.223.255', 3389116416, 3389120511, 'JP', 'Japan'),
(132583, '202.1.232.0', '202.1.232.255', 3389122560, 3389122815, 'HK', 'Hong Kong'),
(132584, '202.1.233.0', '202.1.235.255', 3389122816, 3389123583, 'AU', 'Australia'),
(132585, '202.1.236.0', '202.1.236.255', 3389123584, 3389123839, 'ID', 'Indonesia'),
(132586, '202.1.237.0', '202.1.238.255', 3389123840, 3389124351, 'AU', 'Australia'),
(132587, '202.1.239.0', '202.1.239.255', 3389124352, 3389124607, 'SG', 'Singapore'),
(132588, '202.1.240.0', '202.1.255.255', 3389124608, 3389128703, 'PG', 'Papua New Guinea'),
(132589, '202.2.0.0', '202.2.3.255', 3389128704, 3389129727, 'AU', 'Australia'),
(132590, '202.2.4.0', '202.2.15.255', 3389129728, 3389132799, 'NZ', 'New Zealand'),
(132591, '202.2.16.0', '202.2.31.255', 3389132800, 3389136895, 'AU', 'Australia'),
(132592, '202.2.32.0', '202.2.51.255', 3389136896, 3389142015, 'HK', 'Hong Kong'),
(132593, '202.2.52.0', '202.2.55.255', 3389142016, 3389143039, 'TW', 'Taiwan'),
(132594, '202.2.56.0', '202.2.63.255', 3389143040, 3389145087, 'AU', 'Australia'),
(132595, '202.2.64.0', '202.2.87.255', 3389145088, 3389151231, 'HK', 'Hong Kong'),
(132596, '202.2.88.0', '202.2.91.255', 3389151232, 3389152255, 'JP', 'Japan'),
(132597, '202.2.92.0', '202.2.95.255', 3389152256, 3389153279, 'AU', 'Australia'),
(132598, '202.2.96.0', '202.2.127.255', 3389153280, 3389161471, 'TV', 'Tuvalu'),
(132599, '202.2.128.0', '202.2.255.255', 3389161472, 3389194239, 'JP', 'Japan'),
(132600, '202.3.0.0', '202.3.5.255', 3389194240, 3389195775, 'AU', 'Australia'),
(132601, '202.3.6.0', '202.3.7.255', 3389195776, 3389196287, 'HK', 'Hong Kong'),
(132602, '202.3.8.0', '202.3.15.255', 3389196288, 3389198335, 'AU', 'Australia'),
(132603, '202.3.16.0', '202.3.31.255', 3389198336, 3389202431, 'KR', 'Korea, Republic of'),
(132604, '202.3.32.0', '202.3.63.255', 3389202432, 3389210623, 'NZ', 'New Zealand'),
(132605, '202.3.64.0', '202.3.64.255', 3389210624, 3389210879, 'IN', 'India'),
(132606, '202.3.65.0', '202.3.65.255', 3389210880, 3389211135, 'AU', 'Australia'),
(132607, '202.3.66.0', '202.3.66.255', 3389211136, 3389211391, 'IN', 'India'),
(132608, '202.3.67.0', '202.3.67.255', 3389211392, 3389211647, 'AU', 'Australia'),
(132609, '202.3.68.0', '202.3.71.255', 3389211648, 3389212671, 'TH', 'Thailand'),
(132610, '202.3.72.0', '202.3.74.255', 3389212672, 3389213439, 'AU', 'Australia'),
(132611, '202.3.75.0', '202.3.77.255', 3389213440, 3389214207, 'IN', 'India'),
(132612, '202.3.78.0', '202.3.78.255', 3389214208, 3389214463, 'SG', 'Singapore'),
(132613, '202.3.79.0', '202.3.79.255', 3389214464, 3389214719, 'AU', 'Australia'),
(132614, '202.3.80.0', '202.3.95.255', 3389214720, 3389218815, 'NZ', 'New Zealand'),
(132615, '202.3.96.0', '202.3.111.255', 3389218816, 3389222911, 'AU', 'Australia'),
(132616, '202.3.112.0', '202.3.127.255', 3389222912, 3389227007, 'IN', 'India'),
(132617, '202.3.128.0', '202.3.129.255', 3389227008, 3389227519, 'CN', 'China'),
(132618, '202.3.130.0', '202.3.131.255', 3389227520, 3389228031, 'PK', 'Pakistan'),
(132619, '202.3.132.0', '202.3.134.255', 3389228032, 3389228799, 'AU', 'Australia'),
(132620, '202.3.135.0', '202.3.135.255', 3389228800, 3389229055, 'SG', 'Singapore'),
(132621, '202.3.136.0', '202.3.136.255', 3389229056, 3389229311, 'JP', 'Japan'),
(132622, '202.3.137.0', '202.3.137.255', 3389229312, 3389229567, 'AU', 'Australia'),
(132623, '202.3.138.0', '202.3.139.255', 3389229568, 3389230079, 'SG', 'Singapore'),
(132624, '202.3.140.0', '202.3.159.255', 3389230080, 3389235199, 'JP', 'Japan'),
(132625, '202.3.160.0', '202.3.191.255', 3389235200, 3389243391, 'TW', 'Taiwan'),
(132626, '202.3.192.0', '202.3.207.255', 3389243392, 3389247487, 'AU', 'Australia'),
(132627, '202.3.208.0', '202.3.223.255', 3389247488, 3389251583, 'ID', 'Indonesia'),
(132628, '202.3.224.0', '202.3.255.255', 3389251584, 3389259775, 'PF', 'French Polynesia'),
(132629, '202.4.0.0', '202.4.15.255', 3389259776, 3389263871, 'PH', 'Philippines'),
(132630, '202.4.16.0', '202.4.24.255', 3389263872, 3389266175, 'NZ', 'New Zealand'),
(132631, '202.4.25.0', '202.4.25.255', 3389266176, 3389266431, 'IN', 'India'),
(132632, '202.4.26.0', '202.4.27.255', 3389266432, 3389266943, 'HK', 'Hong Kong'),
(132633, '202.4.28.0', '202.4.31.255', 3389266944, 3389267967, 'AU', 'Australia'),
(132634, '202.4.32.0', '202.4.63.255', 3389267968, 3389276159, 'WS', 'Samoa'),
(132635, '202.4.64.0', '202.4.95.255', 3389276160, 3389284351, 'AU', 'Australia'),
(132636, '202.4.96.0', '202.4.127.255', 3389284352, 3389292543, 'BD', 'Bangladesh'),
(132637, '202.4.128.0', '202.4.159.255', 3389292544, 3389300735, 'CN', 'China'),
(132638, '202.4.160.0', '202.4.161.255', 3389300736, 3389301247, 'ID', 'Indonesia'),
(132639, '202.4.162.0', '202.4.163.255', 3389301248, 3389301759, 'AU', 'Australia'),
(132640, '202.4.164.0', '202.4.164.255', 3389301760, 3389302015, 'IN', 'India'),
(132641, '202.4.165.0', '202.4.166.255', 3389302016, 3389302527, 'AU', 'Australia'),
(132642, '202.4.167.0', '202.4.167.255', 3389302528, 3389302783, 'PK', 'Pakistan'),
(132643, '202.4.168.0', '202.4.168.255', 3389302784, 3389303039, 'VN', 'Vietnam'),
(132644, '202.4.169.0', '202.4.169.255', 3389303040, 3389303295, 'TW', 'Taiwan'),
(132645, '202.4.170.0', '202.4.171.255', 3389303296, 3389303807, 'ID', 'Indonesia'),
(132646, '202.4.172.0', '202.4.172.255', 3389303808, 3389304063, 'IN', 'India'),
(132647, '202.4.173.0', '202.4.173.255', 3389304064, 3389304319, 'BD', 'Bangladesh'),
(132648, '202.4.174.0', '202.4.174.255', 3389304320, 3389304575, 'PH', 'Philippines'),
(132649, '202.4.175.0', '202.4.175.255', 3389304576, 3389304831, 'AU', 'Australia'),
(132650, '202.4.176.0', '202.4.176.255', 3389304832, 3389305087, 'VN', 'Vietnam'),
(132651, '202.4.177.0', '202.4.178.255', 3389305088, 3389305599, 'IN', 'India'),
(132652, '202.4.179.0', '202.4.179.255', 3389305600, 3389305855, 'ID', 'Indonesia'),
(132653, '202.4.180.0', '202.4.180.255', 3389305856, 3389306111, 'IN', 'India'),
(132654, '202.4.181.0', '202.4.181.255', 3389306112, 3389306367, 'AU', 'Australia'),
(132655, '202.4.182.0', '202.4.182.255', 3389306368, 3389306623, 'IN', 'India'),
(132656, '202.4.183.0', '202.4.183.255', 3389306624, 3389306879, 'AU', 'Australia'),
(132657, '202.4.184.0', '202.4.184.255', 3389306880, 3389307135, 'FJ', 'Fiji'),
(132658, '202.4.185.0', '202.4.186.255', 3389307136, 3389307647, 'ID', 'Indonesia'),
(132659, '202.4.187.0', '202.4.187.255', 3389307648, 3389307903, 'JP', 'Japan'),
(132660, '202.4.188.0', '202.4.188.255', 3389307904, 3389308159, 'AU', 'Australia'),
(132661, '202.4.189.0', '202.4.189.255', 3389308160, 3389308415, 'KH', 'Cambodia'),
(132662, '202.4.190.0', '202.4.190.255', 3389308416, 3389308671, 'AU', 'Australia'),
(132663, '202.4.191.0', '202.4.191.255', 3389308672, 3389308927, 'PH', 'Philippines'),
(132664, '202.4.192.0', '202.4.223.255', 3389308928, 3389317119, 'HK', 'Hong Kong'),
(132665, '202.4.224.0', '202.4.243.255', 3389317120, 3389322239, 'AU', 'Australia'),
(132666, '202.4.244.0', '202.4.250.255', 3389322240, 3389324031, 'JP', 'Japan'),
(132667, '202.4.251.0', '202.4.251.255', 3389324032, 3389324287, 'VU', 'Vanuatu'),
(132668, '202.4.252.0', '202.4.255.255', 3389324288, 3389325311, 'CN', 'China'),
(132669, '202.5.0.0', '202.5.3.255', 3389325312, 3389326335, 'AU', 'Australia'),
(132670, '202.5.4.0', '202.5.5.255', 3389326336, 3389326847, 'TW', 'Taiwan'),
(132671, '202.5.6.0', '202.5.7.255', 3389326848, 3389327359, 'AU', 'Australia'),
(132672, '202.5.8.0', '202.5.15.255', 3389327360, 3389329407, 'TW', 'Taiwan'),
(132673, '202.5.16.0', '202.5.31.255', 3389329408, 3389333503, 'PH', 'Philippines'),
(132674, '202.5.32.0', '202.5.63.255', 3389333504, 3389341695, 'BD', 'Bangladesh'),
(132675, '202.5.64.0', '202.5.79.255', 3389341696, 3389345791, 'JP', 'Japan'),
(132676, '202.5.80.0', '202.5.95.255', 3389345792, 3389349887, 'TH', 'Thailand'),
(132677, '202.5.96.0', '202.5.127.255', 3389349888, 3389358079, 'AU', 'Australia'),
(132678, '202.5.128.0', '202.5.159.255', 3389358080, 3389366271, 'PK', 'Pakistan'),
(132679, '202.5.160.0', '202.5.175.65', 3389366272, 3389370177, 'AU', 'Australia'),
(132680, '202.5.175.66', '202.5.175.66', 3389370178, 3389370178, 'PG', 'Papua New Guinea'),
(132681, '202.5.175.67', '202.5.191.255', 3389370179, 3389374463, 'AU', 'Australia'),
(132682, '202.5.192.0', '202.5.207.255', 3389374464, 3389378559, 'MN', 'Mongolia'),
(132683, '202.5.224.0', '202.5.255.255', 3389382656, 3389390847, 'TW', 'Taiwan'),
(132684, '202.6.0.0', '202.6.1.255', 3389390848, 3389391359, 'HK', 'Hong Kong'),
(132685, '202.6.2.0', '202.6.2.255', 3389391360, 3389391615, 'VN', 'Vietnam'),
(132686, '202.6.3.0', '202.6.4.255', 3389391616, 3389392127, 'AU', 'Australia'),
(132687, '202.6.5.0', '202.6.5.255', 3389392128, 3389392383, 'NZ', 'New Zealand'),
(132688, '202.6.6.0', '202.6.7.255', 3389392384, 3389392895, 'CN', 'China'),
(132689, '202.6.8.0', '202.6.15.255', 3389392896, 3389394943, 'JP', 'Japan'),
(132690, '202.6.16.0', '202.6.31.255', 3389394944, 3389399039, 'TH', 'Thailand'),
(132691, '202.6.32.0', '202.6.65.255', 3389399040, 3389407743, 'AU', 'Australia'),
(132692, '202.6.66.0', '202.6.67.255', 3389407744, 3389408255, 'CN', 'China'),
(132693, '202.6.68.0', '202.6.71.255', 3389408256, 3389409279, 'JP', 'Japan'),
(132694, '202.6.72.0', '202.6.73.255', 3389409280, 3389409791, 'CN', 'China'),
(132695, '202.6.74.0', '202.6.79.255', 3389409792, 3389411327, 'AU', 'Australia'),
(132696, '202.6.80.0', '202.6.80.255', 3389411328, 3389411583, 'IN', 'India'),
(132697, '202.6.81.0', '202.6.83.255', 3389411584, 3389412351, 'AU', 'Australia'),
(132698, '202.6.84.0', '202.6.84.255', 3389412352, 3389412607, 'NZ', 'New Zealand'),
(132699, '202.6.85.0', '202.6.85.255', 3389412608, 3389412863, 'PH', 'Philippines'),
(132700, '202.6.86.0', '202.6.86.255', 3389412864, 3389413119, 'AU', 'Australia'),
(132701, '202.6.87.0', '202.6.89.255', 3389413120, 3389413887, 'CN', 'China'),
(132702, '202.6.90.0', '202.6.90.255', 3389413888, 3389414143, 'TH', 'Thailand'),
(132703, '202.6.91.0', '202.6.91.255', 3389414144, 3389414399, 'AU', 'Australia'),
(132704, '202.6.92.0', '202.6.93.255', 3389414400, 3389414911, 'CN', 'China'),
(132705, '202.6.94.0', '202.6.94.255', 3389414912, 3389415167, 'HK', 'Hong Kong'),
(132706, '202.6.95.0', '202.6.95.255', 3389415168, 3389415423, 'KR', 'Korea, Republic of'),
(132707, '202.6.96.0', '202.6.97.255', 3389415424, 3389415935, 'VN', 'Vietnam'),
(132708, '202.6.98.0', '202.6.98.255', 3389415936, 3389416191, 'JP', 'Japan'),
(132709, '202.6.99.0', '202.6.99.255', 3389416192, 3389416447, 'IN', 'India'),
(132710, '202.6.100.0', '202.6.101.255', 3389416448, 3389416959, 'TH', 'Thailand'),
(132711, '202.6.102.0', '202.6.102.255', 3389416960, 3389417215, 'SG', 'Singapore'),
(132712, '202.6.103.0', '202.6.103.255', 3389417216, 3389417471, 'CN', 'China'),
(132713, '202.6.104.0', '202.6.105.255', 3389417472, 3389417983, 'TW', 'Taiwan'),
(132714, '202.6.106.0', '202.6.106.255', 3389417984, 3389418239, 'AU', 'Australia'),
(132715, '202.6.107.0', '202.6.107.255', 3389418240, 3389418495, 'TH', 'Thailand'),
(132716, '202.6.108.0', '202.6.108.255', 3389418496, 3389418751, 'CN', 'China'),
(132717, '202.6.109.0', '202.6.109.255', 3389418752, 3389419007, 'NZ', 'New Zealand'),
(132718, '202.6.110.0', '202.6.111.255', 3389419008, 3389419519, 'CN', 'China'),
(132719, '202.6.112.0', '202.6.113.255', 3389419520, 3389420031, 'AU', 'Australia'),
(132720, '202.6.114.0', '202.6.114.255', 3389420032, 3389420287, 'CN', 'China'),
(132721, '202.6.115.0', '202.6.115.255', 3389420288, 3389420543, 'AU', 'Australia'),
(132722, '202.6.116.0', '202.6.117.255', 3389420544, 3389421055, 'NZ', 'New Zealand'),
(132723, '202.6.118.0', '202.6.118.255', 3389421056, 3389421311, 'AU', 'Australia'),
(132724, '202.6.119.0', '202.6.119.255', 3389421312, 3389421567, 'JP', 'Japan'),
(132725, '202.6.120.0', '202.6.123.255', 3389421568, 3389422591, 'KI', 'Kiribati'),
(132726, '202.6.124.0', '202.6.159.255', 3389422592, 3389431807, 'AU', 'Australia'),
(132727, '202.6.160.0', '202.6.175.255', 3389431808, 3389435903, 'SG', 'Singapore'),
(132728, '202.6.176.0', '202.6.191.255', 3389435904, 3389439999, 'CN', 'China'),
(132729, '202.6.192.0', '202.6.207.255', 3389440000, 3389444095, 'HK', 'Hong Kong'),
(132730, '202.6.208.0', '202.6.239.255', 3389444096, 3389452287, 'ID', 'Indonesia'),
(132731, '202.6.240.0', '202.6.243.255', 3389452288, 3389453311, 'SG', 'Singapore'),
(132732, '202.6.244.0', '202.6.247.255', 3389453312, 3389454335, 'JP', 'Japan'),
(132733, '202.6.248.0', '202.6.251.255', 3389454336, 3389455359, 'AU', 'Australia'),
(132734, '202.6.252.0', '202.6.255.255', 3389455360, 3389456383, 'JP', 'Japan'),
(132735, '202.7.0.0', '202.7.1.255', 3389456384, 3389456895, 'NZ', 'New Zealand'),
(132736, '202.7.2.0', '202.7.3.255', 3389456896, 3389457407, 'AU', 'Australia'),
(132737, '202.7.4.0', '202.7.7.255', 3389457408, 3389458431, 'NZ', 'New Zealand'),
(132738, '202.7.8.0', '202.7.15.255', 3389458432, 3389460479, 'AU', 'Australia'),
(132739, '202.7.16.0', '202.7.31.255', 3389460480, 3389464575, 'JP', 'Japan'),
(132740, '202.7.32.0', '202.7.51.255', 3389464576, 3389469695, 'NZ', 'New Zealand'),
(132741, '202.7.52.0', '202.7.59.255', 3389469696, 3389471743, 'IN', 'India'),
(132742, '202.7.60.0', '202.7.63.255', 3389471744, 3389472767, 'NZ', 'New Zealand'),
(132743, '202.7.64.0', '202.7.95.255', 3389472768, 3389480959, 'AU', 'Australia'),
(132744, '202.7.96.0', '202.7.127.255', 3389480960, 3389489151, 'JP', 'Japan'),
(132745, '202.7.128.0', '202.7.143.255', 3389489152, 3389493247, 'HK', 'Hong Kong'),
(132746, '202.7.144.0', '202.7.255.255', 3389493248, 3389521919, 'AU', 'Australia'),
(132747, '202.8.0.0', '202.8.0.255', 3389521920, 3389522175, 'CN', 'China'),
(132748, '202.8.1.0', '202.8.1.255', 3389522176, 3389522431, 'SG', 'Singapore'),
(132749, '202.8.2.0', '202.8.5.255', 3389522432, 3389523455, 'CN', 'China'),
(132750, '202.8.6.0', '202.8.7.255', 3389523456, 3389523967, 'JP', 'Japan'),
(132751, '202.8.8.0', '202.8.11.255', 3389523968, 3389524991, 'AU', 'Australia'),
(132752, '202.8.12.0', '202.8.12.255', 3389524992, 3389525247, 'CN', 'China'),
(132753, '202.8.13.0', '202.8.13.255', 3389525248, 3389525503, 'NZ', 'New Zealand'),
(132754, '202.8.14.0', '202.8.15.255', 3389525504, 3389526015, 'TW', 'Taiwan'),
(132755, '202.8.16.0', '202.8.23.255', 3389526016, 3389528063, 'JP', 'Japan'),
(132756, '202.8.24.0', '202.8.24.255', 3389528064, 3389528319, 'CN', 'China'),
(132757, '202.8.25.0', '202.8.25.255', 3389528320, 3389528575, 'TH', 'Thailand'),
(132758, '202.8.26.0', '202.8.26.255', 3389528576, 3389528831, 'JP', 'Japan'),
(132759, '202.8.27.0', '202.8.27.255', 3389528832, 3389529087, 'AP', 'Asia/Pacific Region'),
(132760, '202.8.28.0', '202.8.29.255', 3389529088, 3389529599, 'ID', 'Indonesia'),
(132761, '202.8.30.0', '202.8.30.255', 3389529600, 3389529855, 'PH', 'Philippines'),
(132762, '202.8.31.0', '202.8.31.255', 3389529856, 3389530111, 'HK', 'Hong Kong'),
(132763, '202.8.32.0', '202.8.39.255', 3389530112, 3389532159, 'AU', 'Australia'),
(132764, '202.8.40.0', '202.8.43.255', 3389532160, 3389533183, 'SG', 'Singapore'),
(132765, '202.8.44.0', '202.8.47.255', 3389533184, 3389534207, 'NZ', 'New Zealand'),
(132766, '202.8.48.0', '202.8.63.255', 3389534208, 3389538303, 'JP', 'Japan'),
(132767, '202.8.64.0', '202.8.64.255', 3389538304, 3389538559, 'AU', 'Australia'),
(132768, '202.8.65.0', '202.8.71.255', 3389538560, 3389540351, 'TH', 'Thailand'),
(132769, '202.8.72.0', '202.8.75.255', 3389540352, 3389541375, 'KH', 'Cambodia'),
(132770, '202.8.76.0', '202.8.76.255', 3389541376, 3389541631, 'AU', 'Australia'),
(132771, '202.8.77.0', '202.8.77.255', 3389541632, 3389541887, 'CN', 'China'),
(132772, '202.8.78.0', '202.8.79.255', 3389541888, 3389542399, 'TH', 'Thailand'),
(132773, '202.8.80.0', '202.8.83.255', 3389542400, 3389543423, 'JP', 'Japan'),
(132774, '202.8.84.0', '202.8.87.255', 3389543424, 3389544447, 'TH', 'Thailand'),
(132775, '202.8.88.0', '202.8.91.255', 3389544448, 3389545471, 'HK', 'Hong Kong'),
(132776, '202.8.92.0', '202.8.92.255', 3389545472, 3389545727, 'AU', 'Australia'),
(132777, '202.8.93.0', '202.8.93.255', 3389545728, 3389545983, 'HK', 'Hong Kong'),
(132778, '202.8.94.0', '202.8.95.255', 3389545984, 3389546495, 'SG', 'Singapore'),
(132779, '202.8.128.0', '202.8.159.255', 3389554688, 3389562879, 'CN', 'China'),
(132780, '202.8.160.0', '202.8.191.255', 3389562880, 3389571071, 'KR', 'Korea, Republic of'),
(132781, '202.8.192.0', '202.8.207.255', 3389571072, 3389575167, 'CN', 'China'),
(132782, '202.8.208.0', '202.8.223.255', 3389575168, 3389579263, 'JP', 'Japan'),
(132783, '202.8.224.0', '202.8.255.255', 3389579264, 3389587455, 'PH', 'Philippines'),
(132784, '202.9.0.0', '202.9.31.255', 3389587456, 3389595647, 'AU', 'Australia'),
(132785, '202.9.32.0', '202.9.32.255', 3389595648, 3389595903, 'CN', 'China'),
(132786, '202.9.33.0', '202.9.33.255', 3389595904, 3389596159, 'AU', 'Australia'),
(132787, '202.9.34.0', '202.9.35.255', 3389596160, 3389596671, 'CN', 'China'),
(132788, '202.9.36.0', '202.9.39.255', 3389596672, 3389597695, 'MY', 'Malaysia'),
(132789, '202.9.40.0', '202.9.47.255', 3389597696, 3389599743, 'MN', 'Mongolia'),
(132790, '202.9.48.0', '202.9.49.255', 3389599744, 3389600255, 'CN', 'China'),
(132791, '202.9.50.0', '202.9.50.255', 3389600256, 3389600511, 'AU', 'Australia'),
(132792, '202.9.51.0', '202.9.55.255', 3389600512, 3389601791, 'CN', 'China'),
(132793, '202.9.56.0', '202.9.56.255', 3389601792, 3389602047, 'AU', 'Australia'),
(132794, '202.9.57.0', '202.9.59.255', 3389602048, 3389602815, 'CN', 'China'),
(132795, '202.9.64.0', '202.9.65.255', 3389603840, 3389604351, 'AU', 'Australia'),
(132796, '202.9.66.0', '202.9.67.255', 3389604352, 3389604863, 'SG', 'Singapore'),
(132797, '202.9.68.0', '202.9.68.255', 3389604864, 3389605119, 'HK', 'Hong Kong'),
(132798, '202.9.69.0', '202.9.69.255', 3389605120, 3389605375, 'ID', 'Indonesia'),
(132799, '202.9.70.0', '202.9.71.255', 3389605376, 3389605887, 'AU', 'Australia'),
(132800, '202.9.72.0', '202.9.73.255', 3389605888, 3389606399, 'ID', 'Indonesia'),
(132801, '202.9.74.0', '202.9.74.255', 3389606400, 3389606655, 'AU', 'Australia'),
(132802, '202.9.75.0', '202.9.75.255', 3389606656, 3389606911, 'IN', 'India'),
(132803, '202.9.76.0', '202.9.77.255', 3389606912, 3389607423, 'LA', 'Lao People''s Democratic Republic'),
(132804, '202.9.78.0', '202.9.78.255', 3389607424, 3389607679, 'AU', 'Australia'),
(132805, '202.9.79.0', '202.9.80.255', 3389607680, 3389608191, 'VN', 'Vietnam'),
(132806, '202.9.81.0', '202.9.81.255', 3389608192, 3389608447, 'TH', 'Thailand'),
(132807, '202.9.82.0', '202.9.82.255', 3389608448, 3389608703, 'HK', 'Hong Kong'),
(132808, '202.9.83.0', '202.9.83.255', 3389608704, 3389608959, 'AU', 'Australia'),
(132809, '202.9.84.0', '202.9.84.255', 3389608960, 3389609215, 'VN', 'Vietnam'),
(132810, '202.9.85.0', '202.9.85.255', 3389609216, 3389609471, 'ID', 'Indonesia'),
(132811, '202.9.86.0', '202.9.86.255', 3389609472, 3389609727, 'SG', 'Singapore'),
(132812, '202.9.87.0', '202.9.87.255', 3389609728, 3389609983, 'AU', 'Australia'),
(132813, '202.9.88.0', '202.9.88.255', 3389609984, 3389610239, 'NZ', 'New Zealand'),
(132814, '202.9.89.0', '202.9.89.255', 3389610240, 3389610495, 'IN', 'India'),
(132815, '202.9.90.0', '202.9.90.255', 3389610496, 3389610751, 'HK', 'Hong Kong'),
(132816, '202.9.91.0', '202.9.93.255', 3389610752, 3389611519, 'IN', 'India'),
(132817, '202.9.94.0', '202.9.95.255', 3389611520, 3389612031, 'AU', 'Australia'),
(132818, '202.9.96.0', '202.9.111.255', 3389612032, 3389616127, 'MY', 'Malaysia'),
(132819, '202.9.128.0', '202.9.207.255', 3389620224, 3389640703, 'IN', 'India'),
(132820, '202.9.208.0', '202.9.223.255', 3389640704, 3389644799, 'JP', 'Japan'),
(132821, '202.9.224.0', '202.9.255.255', 3389644800, 3389652991, 'NZ', 'New Zealand'),
(132822, '202.10.0.0', '202.10.31.255', 3389652992, 3389661183, 'AU', 'Australia'),
(132823, '202.10.32.0', '202.10.63.255', 3389661184, 3389669375, 'IN', 'India'),
(132824, '202.10.64.0', '202.10.79.255', 3389669376, 3389673471, 'CN', 'China'),
(132825, '202.10.80.0', '202.10.95.255', 3389673472, 3389677567, 'AU', 'Australia'),
(132826, '202.10.96.0', '202.10.111.255', 3389677568, 3389681663, 'JP', 'Japan'),
(132827, '202.10.128.0', '202.10.255.255', 3389685760, 3389718527, 'AU', 'Australia'),
(132828, '202.11.0.0', '202.11.255.255', 3389718528, 3389784063, 'JP', 'Japan'),
(132829, '202.12.0.0', '202.12.0.255', 3389784064, 3389784319, 'NZ', 'New Zealand'),
(132830, '202.12.1.0', '202.12.2.255', 3389784320, 3389784831, 'CN', 'China'),
(132831, '202.12.3.0', '202.12.3.255', 3389784832, 3389785087, 'NZ', 'New Zealand'),
(132832, '202.12.4.0', '202.12.7.255', 3389785088, 3389786111, 'HK', 'Hong Kong'),
(132833, '202.12.8.0', '202.12.15.255', 3389786112, 3389788159, 'JP', 'Japan'),
(132834, '202.12.16.0', '202.12.16.255', 3389788160, 3389788415, 'IN', 'India'),
(132835, '202.12.17.0', '202.12.19.255', 3389788416, 3389789183, 'CN', 'China'),
(132836, '202.12.20.0', '202.12.21.255', 3389789184, 3389789695, 'TH', 'Thailand'),
(132837, '202.12.22.0', '202.12.25.255', 3389789696, 3389790719, 'AU', 'Australia'),
(132838, '202.12.26.0', '202.12.26.255', 3389790720, 3389790975, 'BN', 'Brunei Darussalam'),
(132839, '202.12.27.0', '202.12.27.255', 3389790976, 3389791231, 'JP', 'Japan'),
(132840, '202.12.28.0', '202.12.29.255', 3389791232, 3389791743, 'AU', 'Australia'),
(132841, '202.12.30.0', '202.12.30.255', 3389791744, 3389791999, 'JP', 'Japan'),
(132842, '202.12.31.0', '202.12.63.255', 3389792000, 3389800447, 'AU', 'Australia'),
(132843, '202.12.64.0', '202.12.67.255', 3389800448, 3389801471, 'JP', 'Japan'),
(132844, '202.12.68.0', '202.12.69.255', 3389801472, 3389801983, 'AU', 'Australia'),
(132845, '202.12.70.0', '202.12.70.255', 3389801984, 3389802239, 'NZ', 'New Zealand'),
(132846, '202.12.71.0', '202.12.71.255', 3389802240, 3389802495, 'AU', 'Australia'),
(132847, '202.12.72.0', '202.12.72.255', 3389802496, 3389802751, 'CN', 'China'),
(132848, '202.12.73.0', '202.12.74.255', 3389802752, 3389803263, 'TH', 'Thailand'),
(132849, '202.12.75.0', '202.12.75.255', 3389803264, 3389803519, 'ID', 'Indonesia'),
(132850, '202.12.80.0', '202.12.83.255', 3389804544, 3389805567, 'IN', 'India'),
(132851, '202.12.84.0', '202.12.85.255', 3389805568, 3389806079, 'CN', 'China'),
(132852, '202.12.86.0', '202.12.90.255', 3389806080, 3389807359, 'AU', 'Australia'),
(132853, '202.12.91.0', '202.12.91.255', 3389807360, 3389807615, 'NZ', 'New Zealand'),
(132854, '202.12.92.0', '202.12.93.255', 3389807616, 3389808127, 'AU', 'Australia'),
(132855, '202.12.94.0', '202.12.95.255', 3389808128, 3389808639, 'SG', 'Singapore'),
(132856, '202.12.96.0', '202.12.96.255', 3389808640, 3389808895, 'CN', 'China'),
(132857, '202.12.97.0', '202.12.97.255', 3389808896, 3389809151, 'TH', 'Thailand'),
(132858, '202.12.98.0', '202.12.99.255', 3389809152, 3389809663, 'CN', 'China'),
(132859, '202.12.100.0', '202.12.100.255', 3389809664, 3389809919, 'AU', 'Australia'),
(132860, '202.12.101.0', '202.12.101.255', 3389809920, 3389810175, 'IN', 'India'),
(132861, '202.12.102.0', '202.12.102.255', 3389810176, 3389810431, 'AU', 'Australia'),
(132862, '202.12.103.0', '202.12.103.255', 3389810432, 3389810687, 'IN', 'India'),
(132863, '202.12.104.0', '202.12.105.255', 3389810688, 3389811199, 'NZ', 'New Zealand'),
(132864, '202.12.106.0', '202.12.106.255', 3389811200, 3389811455, 'CN', 'China'),
(132865, '202.12.107.0', '202.12.107.255', 3389811456, 3389811711, 'AU', 'Australia'),
(132866, '202.12.108.0', '202.12.108.255', 3389811712, 3389811967, 'NZ', 'New Zealand'),
(132867, '202.12.109.0', '202.12.110.255', 3389811968, 3389812479, 'AU', 'Australia'),
(132868, '202.12.111.0', '202.12.111.255', 3389812480, 3389812735, 'CN', 'China'),
(132869, '202.12.112.0', '202.12.115.255', 3389812736, 3389813759, 'AU', 'Australia'),
(132870, '202.12.116.0', '202.12.116.255', 3389813760, 3389814015, 'CN', 'China'),
(132871, '202.12.117.0', '202.12.118.255', 3389814016, 3389814527, 'TH', 'Thailand'),
(132872, '202.12.119.0', '202.12.242.255', 3389814528, 3389846271, 'AU', 'Australia'),
(132873, '202.12.243.0', '202.12.247.255', 3389846272, 3389847551, 'JP', 'Japan'),
(132874, '202.12.248.0', '202.12.255.255', 3389847552, 3389849599, 'NZ', 'New Zealand'),
(132875, '202.13.0.0', '202.13.255.255', 3389849600, 3389915135, 'JP', 'Japan'),
(132876, '202.14.0.0', '202.14.3.255', 3389915136, 3389916159, 'AU', 'Australia'),
(132877, '202.14.8.0', '202.14.15.255', 3389917184, 3389919231, 'SG', 'Singapore'),
(132878, '202.14.16.0', '202.14.63.255', 3389919232, 3389931519, 'NZ', 'New Zealand'),
(132879, '202.14.64.0', '202.14.65.255', 3389931520, 3389932031, 'CN', 'China'),
(132880, '202.14.66.0', '202.14.66.255', 3389932032, 3389932287, 'AU', 'Australia'),
(132881, '202.14.67.0', '202.14.68.255', 3389932288, 3389932799, 'HK', 'Hong Kong'),
(132882, '202.14.69.0', '202.14.69.255', 3389932800, 3389933055, 'CN', 'China'),
(132883, '202.14.70.0', '202.14.71.255', 3389933056, 3389933567, 'PK', 'Pakistan'),
(132884, '202.14.72.0', '202.14.72.255', 3389933568, 3389933823, 'IN', 'India'),
(132885, '202.14.73.0', '202.14.76.255', 3389933824, 3389934847, 'CN', 'China'),
(132886, '202.14.77.0', '202.14.77.255', 3389934848, 3389935103, 'AU', 'Australia'),
(132887, '202.14.78.0', '202.14.79.255', 3389935104, 3389935615, 'CN', 'China'),
(132888, '202.14.80.0', '202.14.80.255', 3389935616, 3389935871, 'HK', 'Hong Kong'),
(132889, '202.14.81.0', '202.14.81.255', 3389935872, 3389936127, 'AU', 'Australia'),
(132890, '202.14.82.0', '202.14.84.255', 3389936128, 3389936895, 'NZ', 'New Zealand'),
(132891, '202.14.85.0', '202.14.87.255', 3389936896, 3389937663, 'PH', 'Philippines'),
(132892, '202.14.88.0', '202.14.88.255', 3389937664, 3389937919, 'CN', 'China'),
(132893, '202.14.89.0', '202.14.89.255', 3389937920, 3389938175, 'AU', 'Australia'),
(132894, '202.14.90.0', '202.14.91.255', 3389938176, 3389938687, 'KR', 'Korea, Republic of'),
(132895, '202.14.92.0', '202.14.93.255', 3389938688, 3389939199, 'ID', 'Indonesia'),
(132896, '202.14.94.0', '202.14.95.255', 3389939200, 3389939711, 'AU', 'Australia'),
(132897, '202.14.96.0', '202.14.96.255', 3389939712, 3389939967, 'NZ', 'New Zealand');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(132898, '202.14.97.0', '202.14.97.255', 3389939968, 3389940223, 'CN', 'China'),
(132899, '202.14.98.0', '202.14.98.255', 3389940224, 3389940479, 'AU', 'Australia'),
(132900, '202.14.99.0', '202.14.100.255', 3389940480, 3389940991, 'NZ', 'New Zealand'),
(132901, '202.14.101.0', '202.14.101.255', 3389940992, 3389941247, 'AU', 'Australia'),
(132902, '202.14.102.0', '202.14.102.255', 3389941248, 3389941503, 'NZ', 'New Zealand'),
(132903, '202.14.103.0', '202.14.103.255', 3389941504, 3389941759, 'KR', 'Korea, Republic of'),
(132904, '202.14.104.0', '202.14.105.255', 3389941760, 3389942271, 'CN', 'China'),
(132905, '202.14.106.0', '202.14.107.255', 3389942272, 3389942783, 'NZ', 'New Zealand'),
(132906, '202.14.108.0', '202.14.109.255', 3389942784, 3389943295, 'CN', 'China'),
(132907, '202.14.110.0', '202.14.110.255', 3389943296, 3389943551, 'AU', 'Australia'),
(132908, '202.14.111.0', '202.14.111.255', 3389943552, 3389943807, 'CN', 'China'),
(132909, '202.14.112.0', '202.14.113.255', 3389943808, 3389944319, 'AU', 'Australia'),
(132910, '202.14.114.0', '202.14.115.255', 3389944320, 3389944831, 'CN', 'China'),
(132911, '202.14.116.0', '202.14.116.255', 3389944832, 3389945087, 'AU', 'Australia'),
(132912, '202.14.117.0', '202.14.117.255', 3389945088, 3389945343, 'TH', 'Thailand'),
(132913, '202.14.118.0', '202.14.119.255', 3389945344, 3389945855, 'CN', 'China'),
(132914, '202.14.124.0', '202.14.125.255', 3389946880, 3389947391, 'CN', 'China'),
(132915, '202.14.126.0', '202.14.126.255', 3389947392, 3389947647, 'AU', 'Australia'),
(132916, '202.14.127.0', '202.14.127.255', 3389947648, 3389947903, 'CN', 'China'),
(132917, '202.14.128.0', '202.14.128.255', 3389947904, 3389948159, 'AU', 'Australia'),
(132918, '202.14.129.0', '202.14.129.255', 3389948160, 3389948415, 'CN', 'China'),
(132919, '202.14.130.0', '202.14.134.255', 3389948416, 3389949695, 'AU', 'Australia'),
(132920, '202.14.135.0', '202.14.136.255', 3389949696, 3389950207, 'CN', 'China'),
(132921, '202.14.137.0', '202.14.139.255', 3389950208, 3389950975, 'AU', 'Australia'),
(132922, '202.14.140.0', '202.14.142.255', 3389950976, 3389951743, 'NZ', 'New Zealand'),
(132923, '202.14.143.0', '202.14.148.255', 3389951744, 3389953279, 'AU', 'Australia'),
(132924, '202.14.149.0', '202.14.149.255', 3389953280, 3389953535, 'CN', 'China'),
(132925, '202.14.150.0', '202.14.150.255', 3389953536, 3389953791, 'AU', 'Australia'),
(132926, '202.14.151.0', '202.14.151.255', 3389953792, 3389954047, 'CN', 'China'),
(132927, '202.14.152.0', '202.14.152.255', 3389954048, 3389954303, 'AU', 'Australia'),
(132928, '202.14.153.0', '202.14.154.255', 3389954304, 3389954815, 'SG', 'Singapore'),
(132929, '202.14.155.0', '202.14.156.255', 3389954816, 3389955327, 'AU', 'Australia'),
(132930, '202.14.157.0', '202.14.159.255', 3389955328, 3389956095, 'CN', 'China'),
(132931, '202.14.160.0', '202.14.163.255', 3389956096, 3389957119, 'IN', 'India'),
(132932, '202.14.164.0', '202.14.164.255', 3389957120, 3389957375, 'TH', 'Thailand'),
(132933, '202.14.165.0', '202.14.165.255', 3389957376, 3389957631, 'KR', 'Korea, Republic of'),
(132934, '202.14.166.0', '202.14.166.255', 3389957632, 3389957887, 'AU', 'Australia'),
(132935, '202.14.167.0', '202.14.168.255', 3389957888, 3389958399, 'NZ', 'New Zealand'),
(132936, '202.14.169.0', '202.14.171.255', 3389958400, 3389959167, 'CN', 'China'),
(132937, '202.14.176.0', '202.14.176.255', 3389960192, 3389960447, 'CN', 'China'),
(132938, '202.14.177.0', '202.14.183.255', 3389960448, 3389962239, 'AU', 'Australia'),
(132939, '202.14.184.0', '202.14.185.255', 3389962240, 3389962751, 'CN', 'China'),
(132940, '202.14.186.0', '202.14.186.255', 3389962752, 3389963007, 'AU', 'Australia'),
(132941, '202.14.188.0', '202.14.199.255', 3389963264, 3389966335, 'AU', 'Australia'),
(132942, '202.14.200.0', '202.14.207.255', 3389966336, 3389968383, 'SG', 'Singapore'),
(132943, '202.14.208.0', '202.14.209.255', 3389968384, 3389968895, 'CN', 'China'),
(132944, '202.14.210.0', '202.14.212.255', 3389968896, 3389969663, 'AU', 'Australia'),
(132945, '202.14.213.0', '202.14.213.255', 3389969664, 3389969919, 'CN', 'China'),
(132946, '202.14.214.0', '202.14.215.255', 3389969920, 3389970431, 'AU', 'Australia'),
(132947, '202.14.216.0', '202.14.218.255', 3389970432, 3389971199, 'NZ', 'New Zealand'),
(132948, '202.14.219.0', '202.14.220.255', 3389971200, 3389971711, 'CN', 'China'),
(132949, '202.14.221.0', '202.14.221.255', 3389971712, 3389971967, 'AU', 'Australia'),
(132950, '202.14.222.0', '202.14.223.255', 3389971968, 3389972479, 'CN', 'China'),
(132951, '202.14.224.0', '202.14.224.255', 3389972480, 3389972735, 'IN', 'India'),
(132952, '202.14.225.0', '202.14.227.255', 3389972736, 3389973503, 'CN', 'China'),
(132953, '202.14.228.0', '202.14.228.255', 3389973504, 3389973759, 'NZ', 'New Zealand'),
(132954, '202.14.229.0', '202.14.230.255', 3389973760, 3389974271, 'AU', 'Australia'),
(132955, '202.14.231.0', '202.14.231.255', 3389974272, 3389974527, 'CN', 'China'),
(132956, '202.14.232.0', '202.14.234.255', 3389974528, 3389975295, 'AU', 'Australia'),
(132957, '202.14.235.0', '202.14.239.255', 3389975296, 3389976575, 'CN', 'China'),
(132958, '202.14.240.0', '202.14.245.255', 3389976576, 3389978111, 'AU', 'Australia'),
(132959, '202.14.246.0', '202.14.246.255', 3389978112, 3389978367, 'CN', 'China'),
(132960, '202.14.247.0', '202.14.250.255', 3389978368, 3389979391, 'AU', 'Australia'),
(132961, '202.14.251.0', '202.14.251.255', 3389979392, 3389979647, 'CN', 'China'),
(132962, '202.14.252.0', '202.14.254.255', 3389979648, 3389980415, 'NZ', 'New Zealand'),
(132963, '202.14.255.0', '202.14.255.255', 3389980416, 3389980671, 'ID', 'Indonesia'),
(132964, '202.15.0.0', '202.19.255.255', 3389980672, 3390308351, 'JP', 'Japan'),
(132965, '202.20.0.0', '202.20.7.255', 3390308352, 3390310399, 'NZ', 'New Zealand'),
(132966, '202.20.8.0', '202.20.31.255', 3390310400, 3390316543, 'AU', 'Australia'),
(132967, '202.20.32.0', '202.20.65.255', 3390316544, 3390325247, 'NZ', 'New Zealand'),
(132968, '202.20.66.0', '202.20.66.255', 3390325248, 3390325503, 'CN', 'China'),
(132969, '202.20.67.0', '202.20.75.255', 3390325504, 3390327807, 'AU', 'Australia'),
(132970, '202.20.76.0', '202.20.78.255', 3390327808, 3390328575, 'NZ', 'New Zealand'),
(132971, '202.20.79.0', '202.20.79.255', 3390328576, 3390328831, 'CN', 'China'),
(132972, '202.20.80.0', '202.20.80.255', 3390328832, 3390329087, 'NZ', 'New Zealand'),
(132973, '202.20.81.0', '202.20.81.255', 3390329088, 3390329343, 'AU', 'Australia'),
(132974, '202.20.82.0', '202.20.86.255', 3390329344, 3390330623, 'KR', 'Korea, Republic of'),
(132975, '202.20.87.0', '202.20.90.255', 3390330624, 3390331647, 'CN', 'China'),
(132976, '202.20.91.0', '202.20.93.255', 3390331648, 3390332415, 'NZ', 'New Zealand'),
(132977, '202.20.94.0', '202.20.95.255', 3390332416, 3390332927, 'CN', 'China'),
(132978, '202.20.96.0', '202.20.97.255', 3390332928, 3390333439, 'NZ', 'New Zealand'),
(132979, '202.20.98.0', '202.20.98.255', 3390333440, 3390333695, 'HK', 'Hong Kong'),
(132980, '202.20.99.0', '202.20.99.255', 3390333696, 3390333951, 'KR', 'Korea, Republic of'),
(132981, '202.20.100.0', '202.20.101.255', 3390333952, 3390334463, 'HK', 'Hong Kong'),
(132982, '202.20.102.0', '202.20.104.255', 3390334464, 3390335231, 'NZ', 'New Zealand'),
(132983, '202.20.105.0', '202.20.105.255', 3390335232, 3390335487, 'TH', 'Thailand'),
(132984, '202.20.106.0', '202.20.109.255', 3390335488, 3390336511, 'ID', 'Indonesia'),
(132985, '202.20.110.0', '202.20.110.255', 3390336512, 3390336767, 'JP', 'Japan'),
(132986, '202.20.111.0', '202.20.111.255', 3390336768, 3390337023, 'CH', 'Switzerland'),
(132987, '202.20.112.0', '202.20.112.255', 3390337024, 3390337279, 'GU', 'Guam'),
(132988, '202.20.113.0', '202.20.113.255', 3390337280, 3390337535, 'NZ', 'New Zealand'),
(132989, '202.20.114.0', '202.20.114.255', 3390337536, 3390337791, 'CN', 'China'),
(132990, '202.20.115.0', '202.20.116.255', 3390337792, 3390338303, 'SG', 'Singapore'),
(132991, '202.20.117.0', '202.20.117.255', 3390338304, 3390338559, 'CN', 'China'),
(132992, '202.20.118.0', '202.20.118.255', 3390338560, 3390338815, 'HK', 'Hong Kong'),
(132993, '202.20.119.0', '202.20.119.255', 3390338816, 3390339071, 'KR', 'Korea, Republic of'),
(132994, '202.20.120.0', '202.20.120.255', 3390339072, 3390339327, 'CN', 'China'),
(132995, '202.20.121.0', '202.20.122.255', 3390339328, 3390339839, 'NZ', 'New Zealand'),
(132996, '202.20.123.0', '202.20.124.255', 3390339840, 3390340351, 'JP', 'Japan'),
(132997, '202.20.125.0', '202.20.125.255', 3390340352, 3390340607, 'CN', 'China'),
(132998, '202.20.126.0', '202.20.126.255', 3390340608, 3390340863, 'IN', 'India'),
(132999, '202.20.127.0', '202.20.127.255', 3390340864, 3390341119, 'CN', 'China'),
(133000, '202.20.128.0', '202.21.7.255', 3390341120, 3390375935, 'KR', 'Korea, Republic of'),
(133001, '202.21.8.0', '202.21.15.255', 3390375936, 3390377983, 'AU', 'Australia'),
(133002, '202.21.16.0', '202.21.31.255', 3390377984, 3390382079, 'NZ', 'New Zealand'),
(133003, '202.21.32.0', '202.21.39.255', 3390382080, 3390384127, 'LK', 'Sri Lanka'),
(133004, '202.21.64.0', '202.21.95.255', 3390390272, 3390398463, 'NZ', 'New Zealand'),
(133005, '202.21.96.0', '202.21.127.255', 3390398464, 3390406655, 'MN', 'Mongolia'),
(133006, '202.21.128.0', '202.21.128.255', 3390406656, 3390406911, 'NZ', 'New Zealand'),
(133007, '202.21.129.0', '202.21.129.255', 3390406912, 3390407167, 'SG', 'Singapore'),
(133008, '202.21.130.0', '202.21.130.255', 3390407168, 3390407423, 'NZ', 'New Zealand'),
(133009, '202.21.131.0', '202.21.132.255', 3390407424, 3390407935, 'CN', 'China'),
(133010, '202.21.133.0', '202.21.133.255', 3390407936, 3390408191, 'NZ', 'New Zealand'),
(133011, '202.21.134.0', '202.21.135.255', 3390408192, 3390408703, 'IN', 'India'),
(133012, '202.21.136.0', '202.21.139.255', 3390408704, 3390409727, 'NZ', 'New Zealand'),
(133013, '202.21.140.0', '202.21.140.255', 3390409728, 3390409983, 'TH', 'Thailand'),
(133014, '202.21.141.0', '202.21.142.255', 3390409984, 3390410495, 'CN', 'China'),
(133015, '202.21.143.0', '202.21.143.255', 3390410496, 3390410751, 'NZ', 'New Zealand'),
(133016, '202.21.144.0', '202.21.144.255', 3390410752, 3390411007, 'TH', 'Thailand'),
(133017, '202.21.145.0', '202.21.146.255', 3390411008, 3390411519, 'SG', 'Singapore'),
(133018, '202.21.147.0', '202.21.148.255', 3390411520, 3390412031, 'CN', 'China'),
(133019, '202.21.149.0', '202.21.149.255', 3390412032, 3390412287, 'TH', 'Thailand'),
(133020, '202.21.150.0', '202.21.154.255', 3390412288, 3390413567, 'CN', 'China'),
(133021, '202.21.155.0', '202.21.155.255', 3390413568, 3390413823, 'NZ', 'New Zealand'),
(133022, '202.21.156.0', '202.21.156.255', 3390413824, 3390414079, 'CN', 'China'),
(133023, '202.21.157.0', '202.21.157.255', 3390414080, 3390414335, 'NZ', 'New Zealand'),
(133024, '202.21.158.0', '202.21.159.255', 3390414336, 3390414847, 'SG', 'Singapore'),
(133025, '202.21.160.0', '202.21.175.255', 3390414848, 3390418943, 'JP', 'Japan'),
(133026, '202.21.176.0', '202.21.191.255', 3390418944, 3390423039, 'MV', 'Maldives'),
(133027, '202.21.192.0', '202.21.194.255', 3390423040, 3390423807, 'SG', 'Singapore'),
(133028, '202.21.195.0', '202.21.195.255', 3390423808, 3390424063, 'AP', 'Asia/Pacific Region'),
(133029, '202.21.196.0', '202.21.255.255', 3390424064, 3390439423, 'SG', 'Singapore'),
(133030, '202.22.0.0', '202.22.7.255', 3390439424, 3390441471, 'NZ', 'New Zealand'),
(133031, '202.22.8.0', '202.22.15.255', 3390441472, 3390443519, 'TH', 'Thailand'),
(133032, '202.22.16.0', '202.22.30.255', 3390443520, 3390447359, 'NZ', 'New Zealand'),
(133033, '202.22.31.0', '202.22.31.255', 3390447360, 3390447615, 'ID', 'Indonesia'),
(133034, '202.22.32.0', '202.22.63.255', 3390447616, 3390455807, 'KR', 'Korea, Republic of'),
(133035, '202.22.64.0', '202.22.127.255', 3390455808, 3390472191, 'JP', 'Japan'),
(133036, '202.22.128.0', '202.22.159.255', 3390472192, 3390480383, 'NC', 'New Caledonia'),
(133037, '202.22.160.0', '202.22.175.255', 3390480384, 3390484479, 'AU', 'Australia'),
(133038, '202.22.176.0', '202.22.191.255', 3390484480, 3390488575, 'GU', 'Guam'),
(133039, '202.22.192.0', '202.22.207.255', 3390488576, 3390492671, 'BD', 'Bangladesh'),
(133040, '202.22.208.0', '202.22.223.255', 3390492672, 3390496767, 'JP', 'Japan'),
(133041, '202.22.224.0', '202.22.239.255', 3390496768, 3390500863, 'NC', 'New Caledonia'),
(133042, '202.22.240.0', '202.22.247.255', 3390500864, 3390502911, 'HK', 'Hong Kong'),
(133043, '202.22.248.0', '202.22.255.255', 3390502912, 3390504959, 'CN', 'China'),
(133044, '202.23.0.0', '202.26.255.255', 3390504960, 3390767103, 'JP', 'Japan'),
(133045, '202.27.0.0', '202.27.8.255', 3390767104, 3390769407, 'NZ', 'New Zealand'),
(133046, '202.27.9.0', '202.27.9.255', 3390769408, 3390769663, 'IN', 'India'),
(133047, '202.27.10.0', '202.27.11.255', 3390769664, 3390770175, 'TH', 'Thailand'),
(133048, '202.27.12.0', '202.27.15.255', 3390770176, 3390771199, 'AU', 'Australia'),
(133049, '202.27.16.0', '202.27.90.255', 3390771200, 3390790399, 'NZ', 'New Zealand'),
(133050, '202.27.91.0', '202.27.91.255', 3390790400, 3390790655, 'AU', 'Australia'),
(133051, '202.27.92.0', '202.27.135.255', 3390790656, 3390801919, 'NZ', 'New Zealand'),
(133052, '202.27.136.0', '202.27.137.255', 3390801920, 3390802431, 'CN', 'China'),
(133053, '202.27.138.0', '202.27.255.255', 3390802432, 3390832639, 'NZ', 'New Zealand'),
(133054, '202.28.0.0', '202.29.255.255', 3390832640, 3390963711, 'TH', 'Thailand'),
(133055, '202.30.0.0', '202.31.255.255', 3390963712, 3391094783, 'KR', 'Korea, Republic of'),
(133056, '202.32.0.0', '202.33.23.255', 3391094784, 3391166463, 'JP', 'Japan'),
(133057, '202.33.24.0', '202.33.24.255', 3391166464, 3391166719, 'US', 'United States'),
(133058, '202.33.25.0', '202.33.37.255', 3391166720, 3391170047, 'JP', 'Japan'),
(133059, '202.33.38.0', '202.33.38.255', 3391170048, 3391170303, 'US', 'United States'),
(133060, '202.33.39.0', '202.33.107.255', 3391170304, 3391187967, 'JP', 'Japan'),
(133061, '202.33.108.0', '202.33.109.255', 3391187968, 3391188479, 'US', 'United States'),
(133062, '202.33.110.0', '202.33.123.255', 3391188480, 3391192063, 'JP', 'Japan'),
(133063, '202.33.124.0', '202.33.124.255', 3391192064, 3391192319, 'AP', 'Asia/Pacific Region'),
(133064, '202.33.125.0', '202.33.146.255', 3391192320, 3391197951, 'JP', 'Japan'),
(133065, '202.33.147.0', '202.33.147.255', 3391197952, 3391198207, 'US', 'United States'),
(133066, '202.33.148.0', '202.35.255.255', 3391198208, 3391356927, 'JP', 'Japan'),
(133067, '202.36.0.0', '202.37.73.255', 3391356928, 3391441407, 'NZ', 'New Zealand'),
(133068, '202.37.74.0', '202.37.74.255', 3391441408, 3391441663, 'PH', 'Philippines'),
(133069, '202.37.75.0', '202.37.85.255', 3391441664, 3391444479, 'NZ', 'New Zealand'),
(133070, '202.37.86.0', '202.37.87.255', 3391444480, 3391444991, 'VN', 'Vietnam'),
(133071, '202.37.88.0', '202.37.119.255', 3391444992, 3391453183, 'NZ', 'New Zealand'),
(133072, '202.37.120.0', '202.37.120.255', 3391453184, 3391453439, 'ID', 'Indonesia'),
(133073, '202.37.121.0', '202.37.255.255', 3391453440, 3391487999, 'NZ', 'New Zealand'),
(133074, '202.38.0.0', '202.38.3.255', 3391488000, 3391489023, 'CN', 'China'),
(133075, '202.38.4.0', '202.38.7.255', 3391489024, 3391490047, 'NP', 'Nepal'),
(133076, '202.38.8.0', '202.38.15.255', 3391490048, 3391492095, 'CN', 'China'),
(133077, '202.38.16.0', '202.38.31.255', 3391492096, 3391496191, 'HK', 'Hong Kong'),
(133078, '202.38.32.0', '202.38.47.255', 3391496192, 3391500287, 'SG', 'Singapore'),
(133079, '202.38.48.0', '202.38.138.255', 3391500288, 3391523583, 'CN', 'China'),
(133080, '202.38.139.0', '202.38.139.255', 3391523584, 3391523839, 'AU', 'Australia'),
(133081, '202.38.140.0', '202.38.143.255', 3391523840, 3391524863, 'CN', 'China'),
(133082, '202.38.144.0', '202.38.145.255', 3391524864, 3391525375, 'AU', 'Australia'),
(133083, '202.38.146.0', '202.38.147.255', 3391525376, 3391525887, 'CN', 'China'),
(133084, '202.38.148.0', '202.38.148.255', 3391525888, 3391526143, 'AU', 'Australia'),
(133085, '202.38.149.0', '202.38.156.255', 3391526144, 3391528191, 'CN', 'China'),
(133086, '202.38.157.0', '202.38.157.255', 3391528192, 3391528447, 'AU', 'Australia'),
(133087, '202.38.158.0', '202.38.161.255', 3391528448, 3391529471, 'CN', 'China'),
(133088, '202.38.162.0', '202.38.163.255', 3391529472, 3391529983, 'AU', 'Australia'),
(133089, '202.38.164.0', '202.38.171.255', 3391529984, 3391532031, 'CN', 'China'),
(133090, '202.38.172.0', '202.38.175.255', 3391532032, 3391533055, 'IN', 'India'),
(133091, '202.38.176.0', '202.38.177.255', 3391533056, 3391533567, 'CN', 'China'),
(133092, '202.38.178.0', '202.38.179.255', 3391533568, 3391534079, 'HK', 'Hong Kong'),
(133093, '202.38.180.0', '202.38.183.255', 3391534080, 3391535103, 'IN', 'India'),
(133094, '202.38.184.0', '202.38.255.255', 3391535104, 3391553535, 'CN', 'China'),
(133095, '202.39.0.0', '202.39.255.255', 3391553536, 3391619071, 'TW', 'Taiwan'),
(133096, '202.40.0.0', '202.40.3.255', 3391619072, 3391620095, 'AU', 'Australia'),
(133097, '202.40.4.0', '202.40.5.255', 3391620096, 3391620607, 'CN', 'China'),
(133098, '202.40.6.0', '202.40.6.255', 3391620608, 3391620863, 'IN', 'India'),
(133099, '202.40.7.0', '202.40.7.255', 3391620864, 3391621119, 'CN', 'China'),
(133100, '202.40.8.0', '202.40.14.255', 3391621120, 3391622911, 'HK', 'Hong Kong'),
(133101, '202.40.15.0', '202.40.15.255', 3391622912, 3391623167, 'CN', 'China'),
(133102, '202.40.16.0', '202.40.134.255', 3391623168, 3391653631, 'HK', 'Hong Kong'),
(133103, '202.40.135.0', '202.40.136.255', 3391653632, 3391654143, 'CN', 'China'),
(133104, '202.40.137.0', '202.40.139.255', 3391654144, 3391654911, 'HK', 'Hong Kong'),
(133105, '202.40.140.0', '202.40.140.255', 3391654912, 3391655167, 'CN', 'China'),
(133106, '202.40.141.0', '202.40.142.255', 3391655168, 3391655679, 'HK', 'Hong Kong'),
(133107, '202.40.143.0', '202.40.145.255', 3391655680, 3391656447, 'CN', 'China'),
(133108, '202.40.146.0', '202.40.149.255', 3391656448, 3391657471, 'HK', 'Hong Kong'),
(133109, '202.40.150.0', '202.40.150.255', 3391657472, 3391657727, 'CN', 'China'),
(133110, '202.40.151.0', '202.40.154.255', 3391657728, 3391658751, 'HK', 'Hong Kong'),
(133111, '202.40.155.0', '202.40.156.255', 3391658752, 3391659263, 'CN', 'China'),
(133112, '202.40.157.0', '202.40.157.255', 3391659264, 3391659519, 'HK', 'Hong Kong'),
(133113, '202.40.158.0', '202.40.159.255', 3391659520, 3391660031, 'CN', 'China'),
(133114, '202.40.160.0', '202.40.161.255', 3391660032, 3391660543, 'HK', 'Hong Kong'),
(133115, '202.40.162.0', '202.40.162.255', 3391660544, 3391660799, 'CN', 'China'),
(133116, '202.40.163.0', '202.40.167.255', 3391660800, 3391662079, 'AU', 'Australia'),
(133117, '202.40.168.0', '202.40.171.255', 3391662080, 3391663103, 'HK', 'Hong Kong'),
(133118, '202.40.172.0', '202.40.175.255', 3391663104, 3391664127, 'PH', 'Philippines'),
(133119, '202.40.176.0', '202.40.191.255', 3391664128, 3391668223, 'BD', 'Bangladesh'),
(133120, '202.40.192.0', '202.40.223.255', 3391668224, 3391676415, 'HK', 'Hong Kong'),
(133121, '202.40.224.0', '202.40.255.255', 3391676416, 3391684607, 'SG', 'Singapore'),
(133122, '202.41.0.0', '202.41.3.255', 3391684608, 3391685631, 'IN', 'India'),
(133123, '202.41.4.0', '202.41.7.255', 3391685632, 3391686655, 'AU', 'Australia'),
(133124, '202.41.8.0', '202.41.9.255', 3391686656, 3391687167, 'CN', 'China'),
(133125, '202.41.10.0', '202.41.10.255', 3391687168, 3391687423, 'IN', 'India'),
(133126, '202.41.11.0', '202.41.13.255', 3391687424, 3391688191, 'CN', 'China'),
(133127, '202.41.14.0', '202.41.15.255', 3391688192, 3391688703, 'AU', 'Australia'),
(133128, '202.41.16.0', '202.41.127.255', 3391688704, 3391717375, 'IN', 'India'),
(133129, '202.41.128.0', '202.41.128.255', 3391717376, 3391717631, 'CN', 'China'),
(133130, '202.41.129.0', '202.41.129.255', 3391717632, 3391717887, 'IN', 'India'),
(133131, '202.41.130.0', '202.41.131.255', 3391717888, 3391718399, 'CN', 'China'),
(133132, '202.41.132.0', '202.41.133.255', 3391718400, 3391718911, 'IN', 'India'),
(133133, '202.41.134.0', '202.41.135.255', 3391718912, 3391719423, 'JP', 'Japan'),
(133134, '202.41.136.0', '202.41.143.255', 3391719424, 3391721471, 'NZ', 'New Zealand'),
(133135, '202.41.144.0', '202.41.145.255', 3391721472, 3391721983, 'AU', 'Australia'),
(133136, '202.41.146.0', '202.41.146.255', 3391721984, 3391722239, 'TW', 'Taiwan'),
(133137, '202.41.147.0', '202.41.147.255', 3391722240, 3391722495, 'PH', 'Philippines'),
(133138, '202.41.148.0', '202.41.151.255', 3391722496, 3391723519, 'IN', 'India'),
(133139, '202.41.152.0', '202.41.159.255', 3391723520, 3391725567, 'CN', 'China'),
(133140, '202.41.160.0', '202.41.191.255', 3391725568, 3391733759, 'TH', 'Thailand'),
(133141, '202.41.192.0', '202.41.192.255', 3391733760, 3391734015, 'CN', 'China'),
(133142, '202.41.193.0', '202.41.195.255', 3391734016, 3391734783, 'AU', 'Australia'),
(133143, '202.41.200.0', '202.41.203.255', 3391735808, 3391736831, 'JP', 'Japan'),
(133144, '202.41.204.0', '202.41.207.255', 3391736832, 3391737855, 'IN', 'India'),
(133145, '202.41.208.0', '202.41.223.255', 3391737856, 3391741951, 'JP', 'Japan'),
(133146, '202.41.224.0', '202.41.239.255', 3391741952, 3391746047, 'HK', 'Hong Kong'),
(133147, '202.41.240.0', '202.41.255.255', 3391746048, 3391750143, 'CN', 'China'),
(133148, '202.42.0.0', '202.42.64.255', 3391750144, 3391766783, 'SG', 'Singapore'),
(133149, '202.42.65.0', '202.42.65.255', 3391766784, 3391767039, 'AP', 'Asia/Pacific Region'),
(133150, '202.42.66.0', '202.42.233.255', 3391767040, 3391810047, 'SG', 'Singapore'),
(133151, '202.42.234.0', '202.42.234.255', 3391810048, 3391810303, 'AP', 'Asia/Pacific Region'),
(133152, '202.42.235.0', '202.42.255.255', 3391810304, 3391815679, 'SG', 'Singapore'),
(133153, '202.43.0.0', '202.43.7.255', 3391815680, 3391817727, 'AU', 'Australia'),
(133154, '202.43.8.0', '202.43.15.255', 3391817728, 3391819775, 'TO', 'Tonga'),
(133155, '202.43.16.0', '202.43.31.255', 3391819776, 3391823871, 'JP', 'Japan'),
(133156, '202.43.32.0', '202.43.47.255', 3391823872, 3391827967, 'TH', 'Thailand'),
(133157, '202.43.48.0', '202.43.63.255', 3391827968, 3391832063, 'KR', 'Korea, Republic of'),
(133158, '202.43.64.0', '202.43.65.255', 3391832064, 3391832575, 'ID', 'Indonesia'),
(133159, '202.43.66.0', '202.43.66.255', 3391832576, 3391832831, 'AU', 'Australia'),
(133160, '202.43.67.0', '202.43.67.255', 3391832832, 3391833087, 'IN', 'India'),
(133161, '202.43.68.0', '202.43.71.255', 3391833088, 3391834111, 'JP', 'Japan'),
(133162, '202.43.72.0', '202.43.75.255', 3391834112, 3391835135, 'ID', 'Indonesia'),
(133163, '202.43.76.0', '202.43.79.255', 3391835136, 3391836159, 'CN', 'China'),
(133164, '202.43.80.0', '202.43.81.255', 3391836160, 3391836671, 'AU', 'Australia'),
(133165, '202.43.82.0', '202.43.83.255', 3391836672, 3391837183, 'HK', 'Hong Kong'),
(133166, '202.43.84.0', '202.43.87.255', 3391837184, 3391838207, 'AU', 'Australia'),
(133167, '202.43.88.0', '202.43.89.255', 3391838208, 3391838719, 'ID', 'Indonesia'),
(133168, '202.43.90.0', '202.43.90.255', 3391838720, 3391838975, 'IN', 'India'),
(133169, '202.43.91.0', '202.43.91.255', 3391838976, 3391839231, 'AU', 'Australia'),
(133170, '202.43.92.0', '202.43.95.255', 3391839232, 3391840255, 'ID', 'Indonesia'),
(133171, '202.43.96.0', '202.43.99.255', 3391840256, 3391841279, 'JP', 'Japan'),
(133172, '202.43.100.0', '202.43.103.255', 3391841280, 3391842303, 'MY', 'Malaysia'),
(133173, '202.43.104.0', '202.43.107.255', 3391842304, 3391843327, 'JP', 'Japan'),
(133174, '202.43.108.0', '202.43.111.255', 3391843328, 3391844351, 'VN', 'Vietnam'),
(133175, '202.43.112.0', '202.43.117.255', 3391844352, 3391845887, 'ID', 'Indonesia'),
(133176, '202.43.118.0', '202.43.119.255', 3391845888, 3391846399, 'PK', 'Pakistan'),
(133177, '202.43.124.0', '202.43.127.255', 3391847424, 3391848447, 'PK', 'Pakistan'),
(133178, '202.43.128.0', '202.43.137.255', 3391848448, 3391851007, 'AU', 'Australia'),
(133179, '202.43.138.0', '202.43.138.255', 3391851008, 3391851263, 'AP', 'Asia/Pacific Region'),
(133180, '202.43.139.0', '202.43.143.255', 3391851264, 3391852543, 'AU', 'Australia'),
(133181, '202.43.144.0', '202.43.159.255', 3391852544, 3391856639, 'CN', 'China'),
(133182, '202.43.160.0', '202.43.191.255', 3391856640, 3391864831, 'ID', 'Indonesia'),
(133183, '202.43.192.0', '202.43.223.255', 3391864832, 3391873023, 'HK', 'Hong Kong'),
(133184, '202.43.224.0', '202.43.239.255', 3391873024, 3391877119, 'AU', 'Australia'),
(133185, '202.43.240.0', '202.43.247.255', 3391877120, 3391879167, 'JP', 'Japan'),
(133186, '202.43.248.0', '202.43.255.255', 3391879168, 3391881215, 'ID', 'Indonesia'),
(133187, '202.44.0.0', '202.44.15.255', 3391881216, 3391885311, 'TH', 'Thailand'),
(133188, '202.44.16.0', '202.44.31.255', 3391885312, 3391889407, 'CN', 'China'),
(133189, '202.44.32.0', '202.44.47.255', 3391889408, 3391893503, 'TH', 'Thailand'),
(133190, '202.44.52.0', '202.44.55.255', 3391894528, 3391895551, 'TH', 'Thailand'),
(133191, '202.44.56.0', '202.44.59.255', 3391895552, 3391896575, 'IN', 'India'),
(133192, '202.44.60.0', '202.44.63.255', 3391896576, 3391897599, 'NZ', 'New Zealand'),
(133193, '202.44.64.0', '202.44.66.255', 3391897600, 3391898367, 'TH', 'Thailand'),
(133194, '202.44.67.0', '202.44.67.255', 3391898368, 3391898623, 'CN', 'China'),
(133195, '202.44.68.0', '202.44.73.255', 3391898624, 3391900159, 'TH', 'Thailand'),
(133196, '202.44.74.0', '202.44.74.255', 3391900160, 3391900415, 'CN', 'China'),
(133197, '202.44.75.0', '202.44.79.255', 3391900416, 3391901695, 'AU', 'Australia'),
(133198, '202.44.80.0', '202.44.95.255', 3391901696, 3391905791, 'PK', 'Pakistan'),
(133199, '202.44.96.0', '202.44.96.255', 3391905792, 3391906047, 'TH', 'Thailand'),
(133200, '202.44.98.0', '202.44.99.255', 3391906304, 3391906815, 'AU', 'Australia'),
(133201, '202.44.100.0', '202.44.103.255', 3391906816, 3391907839, 'PH', 'Philippines'),
(133202, '202.44.104.0', '202.44.111.255', 3391907840, 3391909887, 'BD', 'Bangladesh'),
(133203, '202.44.112.0', '202.44.115.255', 3391909888, 3391910911, 'IO', 'British Indian Ocean Territory'),
(133204, '202.44.116.0', '202.44.119.255', 3391910912, 3391911935, 'AU', 'Australia'),
(133205, '202.44.120.0', '202.44.127.255', 3391911936, 3391913983, 'HK', 'Hong Kong'),
(133206, '202.44.128.0', '202.44.128.255', 3391913984, 3391914239, 'TH', 'Thailand'),
(133207, '202.44.129.0', '202.44.129.255', 3391914240, 3391914495, 'CN', 'China'),
(133208, '202.44.130.0', '202.44.131.255', 3391914496, 3391915007, 'TH', 'Thailand'),
(133209, '202.44.132.0', '202.44.133.255', 3391915008, 3391915519, 'CN', 'China'),
(133210, '202.44.134.0', '202.44.134.255', 3391915520, 3391915775, 'AU', 'Australia'),
(133211, '202.44.135.0', '202.44.136.255', 3391915776, 3391916287, 'TH', 'Thailand'),
(133212, '202.44.137.0', '202.44.137.255', 3391916288, 3391916543, 'VN', 'Vietnam'),
(133213, '202.44.138.0', '202.44.145.255', 3391916544, 3391918591, 'TH', 'Thailand'),
(133214, '202.44.146.0', '202.44.147.255', 3391918592, 3391919103, 'CN', 'China'),
(133215, '202.44.148.0', '202.44.151.255', 3391919104, 3391920127, 'TH', 'Thailand'),
(133216, '202.44.152.0', '202.44.191.255', 3391920128, 3391930367, 'AU', 'Australia'),
(133217, '202.44.192.0', '202.44.255.255', 3391930368, 3391946751, 'TH', 'Thailand'),
(133218, '202.45.0.0', '202.45.2.255', 3391946752, 3391947519, 'CN', 'China'),
(133219, '202.45.3.0', '202.45.3.255', 3391947520, 3391947775, 'AU', 'Australia'),
(133220, '202.45.4.0', '202.45.5.255', 3391947776, 3391948287, 'HK', 'Hong Kong'),
(133221, '202.45.6.0', '202.45.7.255', 3391948288, 3391948799, 'IN', 'India'),
(133222, '202.45.8.0', '202.45.9.255', 3391948800, 3391949311, 'HK', 'Hong Kong'),
(133223, '202.45.10.0', '202.45.11.255', 3391949312, 3391949823, 'IN', 'India'),
(133224, '202.45.12.0', '202.45.12.255', 3391949824, 3391950079, 'JP', 'Japan'),
(133225, '202.45.13.0', '202.45.13.255', 3391950080, 3391950335, 'AU', 'Australia'),
(133226, '202.45.14.0', '202.45.14.255', 3391950336, 3391950591, 'HK', 'Hong Kong'),
(133227, '202.45.15.0', '202.45.31.255', 3391950592, 3391954943, 'CN', 'China'),
(133228, '202.45.32.0', '202.45.95.255', 3391954944, 3391971327, 'HK', 'Hong Kong'),
(133229, '202.45.96.0', '202.45.127.255', 3391971328, 3391979519, 'AU', 'Australia'),
(133230, '202.45.128.0', '202.45.128.255', 3391979520, 3391979775, 'HK', 'Hong Kong'),
(133231, '202.45.129.0', '202.45.129.179', 3391979776, 3391979955, 'JP', 'Japan'),
(133232, '202.45.129.180', '202.45.129.181', 3391979956, 3391979957, 'AP', 'Asia/Pacific Region'),
(133233, '202.45.129.182', '202.45.129.255', 3391979958, 3391980031, 'JP', 'Japan'),
(133234, '202.45.130.0', '202.45.131.255', 3391980032, 3391980543, 'HK', 'Hong Kong'),
(133235, '202.45.132.0', '202.45.143.255', 3391980544, 3391983615, 'MY', 'Malaysia'),
(133236, '202.45.144.0', '202.45.147.255', 3391983616, 3391984639, 'NP', 'Nepal'),
(133237, '202.45.148.0', '202.45.148.255', 3391984640, 3391984895, 'HK', 'Hong Kong'),
(133238, '202.45.149.0', '202.45.149.255', 3391984896, 3391985151, 'ID', 'Indonesia'),
(133239, '202.45.150.0', '202.45.155.255', 3391985152, 3391986687, 'AU', 'Australia'),
(133240, '202.45.156.0', '202.45.157.255', 3391986688, 3391987199, 'PK', 'Pakistan'),
(133241, '202.45.158.0', '202.45.158.255', 3391987200, 3391987455, 'AU', 'Australia'),
(133242, '202.45.159.0', '202.45.159.255', 3391987456, 3391987711, 'BD', 'Bangladesh'),
(133243, '202.45.160.0', '202.45.175.255', 3391987712, 3391991807, 'JP', 'Japan'),
(133244, '202.45.176.0', '202.45.255.255', 3391991808, 3392012287, 'HK', 'Hong Kong'),
(133245, '202.46.0.0', '202.46.15.255', 3392012288, 3392016383, 'ID', 'Indonesia'),
(133246, '202.46.16.0', '202.46.18.255', 3392016384, 3392017151, 'CN', 'China'),
(133247, '202.46.19.0', '202.46.19.255', 3392017152, 3392017407, 'IN', 'India'),
(133248, '202.46.20.0', '202.46.21.255', 3392017408, 3392017919, 'CN', 'China'),
(133249, '202.46.22.0', '202.46.23.255', 3392017920, 3392018431, 'IN', 'India'),
(133250, '202.46.24.0', '202.46.31.255', 3392018432, 3392020479, 'ID', 'Indonesia'),
(133251, '202.46.32.0', '202.46.63.255', 3392020480, 3392028671, 'CN', 'China'),
(133252, '202.46.64.0', '202.46.111.255', 3392028672, 3392040959, 'ID', 'Indonesia'),
(133253, '202.46.112.0', '202.46.127.255', 3392040960, 3392045055, 'MY', 'Malaysia'),
(133254, '202.46.128.0', '202.46.128.255', 3392045056, 3392045311, 'CN', 'China'),
(133255, '202.46.129.0', '202.46.131.255', 3392045312, 3392046079, 'ID', 'Indonesia'),
(133256, '202.46.132.0', '202.46.143.255', 3392046080, 3392049151, 'AU', 'Australia'),
(133257, '202.46.144.0', '202.46.159.255', 3392049152, 3392053247, 'ID', 'Indonesia'),
(133258, '202.46.160.0', '202.46.191.255', 3392053248, 3392061439, 'NZ', 'New Zealand'),
(133259, '202.46.192.0', '202.46.223.255', 3392061440, 3392069631, 'IN', 'India'),
(133260, '202.46.224.0', '202.46.239.255', 3392069632, 3392073727, 'CN', 'China'),
(133261, '202.46.240.0', '202.46.255.255', 3392073728, 3392077823, 'ID', 'Indonesia'),
(133262, '202.47.0.0', '202.47.7.255', 3392077824, 3392079871, 'AU', 'Australia'),
(133263, '202.47.8.0', '202.47.31.255', 3392079872, 3392086015, 'JP', 'Japan'),
(133264, '202.47.32.0', '202.47.63.255', 3392086016, 3392094207, 'AU', 'Australia'),
(133265, '202.47.64.0', '202.47.80.255', 3392094208, 3392098559, 'ID', 'Indonesia'),
(133266, '202.47.81.0', '202.47.81.255', 3392098560, 3392098815, 'AU', 'Australia'),
(133267, '202.47.82.0', '202.47.83.255', 3392098816, 3392099327, 'CN', 'China'),
(133268, '202.47.84.0', '202.47.86.255', 3392099328, 3392100095, 'AU', 'Australia'),
(133269, '202.47.87.0', '202.47.87.255', 3392100096, 3392100351, 'VN', 'Vietnam'),
(133270, '202.47.88.0', '202.47.88.255', 3392100352, 3392100607, 'ID', 'Indonesia'),
(133271, '202.47.89.0', '202.47.89.255', 3392100608, 3392100863, 'SG', 'Singapore'),
(133272, '202.47.90.0', '202.47.93.255', 3392100864, 3392101887, 'ID', 'Indonesia'),
(133273, '202.47.94.0', '202.47.94.255', 3392101888, 3392102143, 'PK', 'Pakistan'),
(133274, '202.47.95.0', '202.47.95.255', 3392102144, 3392102399, 'AU', 'Australia'),
(133275, '202.47.96.0', '202.47.111.255', 3392102400, 3392106495, 'KH', 'Cambodia'),
(133276, '202.47.112.0', '202.47.119.255', 3392106496, 3392108543, 'IN', 'India'),
(133277, '202.47.120.0', '202.47.123.255', 3392108544, 3392109567, 'AU', 'Australia'),
(133278, '202.47.124.0', '202.47.124.255', 3392109568, 3392109823, 'IN', 'India'),
(133279, '202.47.125.0', '202.47.125.255', 3392109824, 3392110079, 'PH', 'Philippines'),
(133280, '202.47.126.0', '202.47.126.255', 3392110080, 3392110335, 'CN', 'China'),
(133281, '202.47.127.0', '202.47.127.255', 3392110336, 3392110591, 'IN', 'India'),
(133282, '202.47.128.0', '202.47.128.255', 3392110592, 3392110847, 'CN', 'China'),
(133283, '202.47.129.0', '202.47.129.255', 3392110848, 3392111103, 'PH', 'Philippines'),
(133284, '202.47.130.0', '202.47.131.255', 3392111104, 3392111615, 'CN', 'China'),
(133285, '202.47.132.0', '202.47.133.255', 3392111616, 3392112127, 'PH', 'Philippines'),
(133286, '202.47.134.0', '202.47.135.255', 3392112128, 3392112639, 'AU', 'Australia'),
(133287, '202.47.136.0', '202.47.139.255', 3392112640, 3392113663, 'JP', 'Japan'),
(133288, '202.47.140.0', '202.47.141.255', 3392113664, 3392114175, 'PH', 'Philippines'),
(133289, '202.47.142.0', '202.47.142.255', 3392114176, 3392114431, 'VN', 'Vietnam'),
(133290, '202.47.143.0', '202.47.143.255', 3392114432, 3392114687, 'KR', 'Korea, Republic of'),
(133291, '202.47.144.0', '202.47.159.255', 3392114688, 3392118783, 'GU', 'Guam'),
(133292, '202.47.160.0', '202.47.191.255', 3392118784, 3392126975, 'MY', 'Malaysia'),
(133293, '202.47.192.0', '202.47.223.255', 3392126976, 3392135167, 'HK', 'Hong Kong'),
(133294, '202.47.224.0', '202.47.255.255', 3392135168, 3392143359, 'TH', 'Thailand'),
(133295, '202.48.0.0', '202.48.255.255', 3392143360, 3392208895, 'JP', 'Japan'),
(133296, '202.49.0.0', '202.50.48.255', 3392208896, 3392286975, 'NZ', 'New Zealand'),
(133297, '202.50.49.0', '202.50.49.255', 3392286976, 3392287231, 'AP', 'Asia/Pacific Region'),
(133298, '202.50.50.0', '202.50.51.255', 3392287232, 3392287743, 'NZ', 'New Zealand'),
(133299, '202.50.52.0', '202.50.55.255', 3392287744, 3392288767, 'NP', 'Nepal'),
(133300, '202.50.56.0', '202.50.195.255', 3392288768, 3392324607, 'NZ', 'New Zealand'),
(133301, '202.50.196.0', '202.50.197.255', 3392324608, 3392325119, 'AU', 'Australia'),
(133302, '202.50.198.0', '202.50.199.255', 3392325120, 3392325631, 'NZ', 'New Zealand'),
(133303, '202.50.200.0', '202.50.203.255', 3392325632, 3392326655, 'ID', 'Indonesia'),
(133304, '202.50.204.0', '202.50.255.255', 3392326656, 3392339967, 'NZ', 'New Zealand'),
(133305, '202.51.0.0', '202.51.3.255', 3392339968, 3392340991, 'NP', 'Nepal'),
(133306, '202.51.4.0', '202.51.15.255', 3392340992, 3392344063, 'JP', 'Japan'),
(133307, '202.51.16.0', '202.51.31.255', 3392344064, 3392348159, 'ID', 'Indonesia'),
(133308, '202.51.32.0', '202.51.55.255', 3392348160, 3392354303, 'JP', 'Japan'),
(133309, '202.51.56.0', '202.51.63.255', 3392354304, 3392356351, 'ID', 'Indonesia'),
(133310, '202.51.64.0', '202.51.95.255', 3392356352, 3392364543, 'NP', 'Nepal'),
(133311, '202.51.96.0', '202.51.127.255', 3392364544, 3392372735, 'ID', 'Indonesia'),
(133312, '202.51.128.0', '202.51.159.255', 3392372736, 3392380927, 'HK', 'Hong Kong'),
(133313, '202.51.160.0', '202.51.175.255', 3392380928, 3392385023, 'AU', 'Australia'),
(133314, '202.51.176.0', '202.51.191.255', 3392385024, 3392389119, 'BD', 'Bangladesh'),
(133315, '202.51.192.0', '202.51.239.255', 3392389120, 3392401407, 'ID', 'Indonesia'),
(133316, '202.51.240.0', '202.51.247.255', 3392401408, 3392403455, 'SG', 'Singapore'),
(133317, '202.51.248.0', '202.51.251.255', 3392403456, 3392404479, 'AU', 'Australia'),
(133318, '202.51.252.0', '202.51.255.255', 3392404480, 3392405503, 'ID', 'Indonesia'),
(133319, '202.52.0.0', '202.52.1.255', 3392405504, 3392406015, 'NP', 'Nepal'),
(133320, '202.52.2.0', '202.52.3.255', 3392406016, 3392406527, 'IN', 'India'),
(133321, '202.52.4.0', '202.52.7.255', 3392406528, 3392407551, 'TH', 'Thailand'),
(133322, '202.52.8.0', '202.52.15.255', 3392407552, 3392409599, 'ID', 'Indonesia'),
(133323, '202.52.16.0', '202.52.31.255', 3392409600, 3392413695, 'JP', 'Japan'),
(133324, '202.52.32.0', '202.52.32.255', 3392413696, 3392413951, 'PK', 'Pakistan'),
(133325, '202.52.34.0', '202.52.34.255', 3392414208, 3392414463, 'PH', 'Philippines'),
(133326, '202.52.35.0', '202.52.35.255', 3392414464, 3392414719, 'HK', 'Hong Kong'),
(133327, '202.52.36.0', '202.52.37.255', 3392414720, 3392415231, 'AU', 'Australia'),
(133328, '202.52.38.0', '202.52.38.255', 3392415232, 3392415487, 'JP', 'Japan'),
(133329, '202.52.39.0', '202.52.39.255', 3392415488, 3392415743, 'VN', 'Vietnam'),
(133330, '202.52.40.0', '202.52.40.255', 3392415744, 3392415999, 'IN', 'India'),
(133331, '202.52.41.0', '202.52.41.255', 3392416000, 3392416255, 'AU', 'Australia'),
(133332, '202.52.42.0', '202.52.43.255', 3392416256, 3392416767, 'HK', 'Hong Kong'),
(133333, '202.52.44.0', '202.52.44.255', 3392416768, 3392417023, 'IN', 'India'),
(133334, '202.52.45.0', '202.52.46.255', 3392417024, 3392417535, 'AU', 'Australia'),
(133335, '202.52.47.0', '202.52.47.255', 3392417536, 3392417791, 'HK', 'Hong Kong'),
(133336, '202.52.48.0', '202.52.50.255', 3392417792, 3392418559, 'ID', 'Indonesia'),
(133337, '202.52.51.0', '202.52.51.255', 3392418560, 3392418815, 'SG', 'Singapore'),
(133338, '202.52.52.0', '202.52.52.255', 3392418816, 3392419071, 'ID', 'Indonesia'),
(133339, '202.52.53.0', '202.52.53.255', 3392419072, 3392419327, 'IN', 'India'),
(133340, '202.52.54.0', '202.52.55.255', 3392419328, 3392419839, 'PH', 'Philippines'),
(133341, '202.52.56.0', '202.52.57.255', 3392419840, 3392420351, 'IN', 'India'),
(133342, '202.52.58.0', '202.52.59.255', 3392420352, 3392420863, 'ID', 'Indonesia'),
(133343, '202.52.60.0', '202.52.60.255', 3392420864, 3392421119, 'AU', 'Australia'),
(133344, '202.52.61.0', '202.52.61.255', 3392421120, 3392421375, 'MY', 'Malaysia'),
(133345, '202.52.62.0', '202.52.63.255', 3392421376, 3392421887, 'IN', 'India'),
(133346, '202.52.64.0', '202.52.127.255', 3392421888, 3392438271, 'SG', 'Singapore'),
(133347, '202.52.128.0', '202.52.128.255', 3392438272, 3392438527, 'IN', 'India'),
(133348, '202.52.129.0', '202.52.129.255', 3392438528, 3392438783, 'AU', 'Australia'),
(133349, '202.52.130.0', '202.52.130.255', 3392438784, 3392439039, 'IN', 'India'),
(133350, '202.52.131.0', '202.52.132.255', 3392439040, 3392439551, 'ID', 'Indonesia'),
(133351, '202.52.133.0', '202.52.133.255', 3392439552, 3392439807, 'PG', 'Papua New Guinea'),
(133352, '202.52.134.0', '202.52.134.255', 3392439808, 3392440063, 'IN', 'India'),
(133353, '202.52.135.0', '202.52.135.255', 3392440064, 3392440319, 'AU', 'Australia'),
(133354, '202.52.136.0', '202.52.136.255', 3392440320, 3392440575, 'HK', 'Hong Kong'),
(133355, '202.52.137.0', '202.52.137.255', 3392440576, 3392440831, 'ID', 'Indonesia'),
(133356, '202.52.138.0', '202.52.139.255', 3392440832, 3392441343, 'BD', 'Bangladesh'),
(133357, '202.52.140.0', '202.52.141.255', 3392441344, 3392441855, 'ID', 'Indonesia'),
(133358, '202.52.142.0', '202.52.142.255', 3392441856, 3392442111, 'AU', 'Australia'),
(133359, '202.52.144.0', '202.52.144.255', 3392442368, 3392442623, 'HK', 'Hong Kong'),
(133360, '202.52.145.0', '202.52.145.255', 3392442624, 3392442879, 'AU', 'Australia'),
(133361, '202.52.146.0', '202.52.147.255', 3392442880, 3392443391, 'ID', 'Indonesia'),
(133362, '202.52.148.0', '202.52.148.255', 3392443392, 3392443647, 'IN', 'India'),
(133363, '202.52.149.0', '202.52.149.255', 3392443648, 3392443903, 'MY', 'Malaysia'),
(133364, '202.52.150.0', '202.52.150.255', 3392443904, 3392444159, 'IN', 'India'),
(133365, '202.52.151.0', '202.52.151.255', 3392444160, 3392444415, 'JP', 'Japan'),
(133366, '202.52.152.0', '202.52.152.255', 3392444416, 3392444671, 'NZ', 'New Zealand'),
(133367, '202.52.153.0', '202.52.153.255', 3392444672, 3392444927, 'IN', 'India'),
(133368, '202.52.154.0', '202.52.154.255', 3392444928, 3392445183, 'JP', 'Japan'),
(133369, '202.52.155.0', '202.52.155.255', 3392445184, 3392445439, 'NZ', 'New Zealand'),
(133370, '202.52.156.0', '202.52.156.255', 3392445440, 3392445695, 'ID', 'Indonesia'),
(133371, '202.52.157.0', '202.52.157.255', 3392445696, 3392445951, 'IN', 'India'),
(133372, '202.52.158.0', '202.52.159.255', 3392445952, 3392446463, 'AU', 'Australia'),
(133373, '202.52.160.0', '202.52.175.255', 3392446464, 3392450559, 'PH', 'Philippines'),
(133374, '202.52.176.0', '202.52.191.255', 3392450560, 3392454655, 'JP', 'Japan'),
(133375, '202.52.192.0', '202.52.223.255', 3392454656, 3392462847, 'HK', 'Hong Kong'),
(133376, '202.52.224.0', '202.53.3.255', 3392462848, 3392472063, 'NP', 'Nepal'),
(133377, '202.53.4.0', '202.53.7.255', 3392472064, 3392473087, 'AU', 'Australia'),
(133378, '202.53.8.0', '202.53.15.255', 3392473088, 3392475135, 'IN', 'India'),
(133379, '202.53.16.0', '202.53.31.255', 3392475136, 3392479231, 'JP', 'Japan'),
(133380, '202.53.32.0', '202.53.63.255', 3392479232, 3392487423, 'AU', 'Australia'),
(133381, '202.53.64.0', '202.53.111.255', 3392487424, 3392499711, 'IN', 'India'),
(133382, '202.53.112.0', '202.53.127.255', 3392499712, 3392503807, 'JP', 'Japan'),
(133383, '202.53.128.0', '202.53.159.255', 3392503808, 3392511999, 'HK', 'Hong Kong'),
(133384, '202.53.160.0', '202.53.175.255', 3392512000, 3392516095, 'BD', 'Bangladesh'),
(133385, '202.53.176.0', '202.53.191.255', 3392516096, 3392520191, 'NZ', 'New Zealand'),
(133386, '202.53.192.0', '202.53.207.255', 3392520192, 3392524287, 'AU', 'Australia'),
(133387, '202.53.208.0', '202.53.223.255', 3392524288, 3392528383, 'JP', 'Japan'),
(133388, '202.53.224.0', '202.53.255.255', 3392528384, 3392536575, 'ID', 'Indonesia'),
(133389, '202.54.0.0', '202.54.255.255', 3392536576, 3392602111, 'IN', 'India'),
(133390, '202.55.0.0', '202.55.63.255', 3392602112, 3392618495, 'HK', 'Hong Kong'),
(133391, '202.55.64.0', '202.55.95.255', 3392618496, 3392626687, 'SG', 'Singapore'),
(133392, '202.55.96.0', '202.55.111.255', 3392626688, 3392630783, 'NZ', 'New Zealand'),
(133393, '202.55.112.0', '202.55.127.255', 3392630784, 3392634879, 'JP', 'Japan'),
(133394, '202.55.128.0', '202.55.131.255', 3392634880, 3392635903, 'PK', 'Pakistan'),
(133395, '202.55.132.0', '202.55.135.255', 3392635904, 3392636927, 'VN', 'Vietnam'),
(133396, '202.55.136.0', '202.55.139.255', 3392636928, 3392637951, 'JP', 'Japan'),
(133397, '202.55.140.0', '202.55.143.255', 3392637952, 3392638975, 'TH', 'Thailand'),
(133398, '202.55.144.0', '202.55.159.255', 3392638976, 3392643071, 'AU', 'Australia'),
(133399, '202.55.160.0', '202.55.175.255', 3392643072, 3392647167, 'ID', 'Indonesia'),
(133400, '202.55.176.0', '202.55.191.255', 3392647168, 3392651263, 'MN', 'Mongolia'),
(133401, '202.55.192.0', '202.55.223.255', 3392651264, 3392659455, 'JP', 'Japan'),
(133402, '202.55.224.0', '202.55.255.255', 3392659456, 3392667647, 'TW', 'Taiwan'),
(133403, '202.56.0.0', '202.56.3.255', 3392667648, 3392668671, 'IN', 'India'),
(133404, '202.56.4.0', '202.56.7.255', 3392668672, 3392669695, 'BD', 'Bangladesh'),
(133405, '202.56.8.0', '202.56.15.255', 3392669696, 3392671743, 'HK', 'Hong Kong'),
(133406, '202.56.16.0', '202.56.31.255', 3392671744, 3392675839, 'JP', 'Japan'),
(133407, '202.56.32.0', '202.56.55.255', 3392675840, 3392681983, 'NZ', 'New Zealand'),
(133408, '202.56.56.0', '202.56.56.255', 3392681984, 3392682239, 'SG', 'Singapore'),
(133409, '202.56.57.0', '202.56.57.255', 3392682240, 3392682495, 'VN', 'Vietnam'),
(133410, '202.56.58.0', '202.56.59.255', 3392682496, 3392683007, 'IN', 'India'),
(133411, '202.56.60.0', '202.56.63.255', 3392683008, 3392684031, 'AU', 'Australia'),
(133412, '202.56.64.0', '202.56.79.255', 3392684032, 3392688127, 'JP', 'Japan'),
(133413, '202.56.80.0', '202.56.95.255', 3392688128, 3392692223, 'MY', 'Malaysia'),
(133414, '202.56.96.0', '202.56.127.255', 3392692224, 3392700415, 'IN', 'India'),
(133415, '202.56.128.0', '202.56.159.255', 3392700416, 3392708607, 'SG', 'Singapore'),
(133416, '202.56.160.0', '202.56.175.255', 3392708608, 3392712703, 'ID', 'Indonesia'),
(133417, '202.56.176.0', '202.56.191.255', 3392712704, 3392716799, 'AF', 'Afghanistan'),
(133418, '202.56.192.0', '202.57.3.255', 3392716800, 3392734207, 'IN', 'India'),
(133419, '202.57.4.0', '202.57.31.255', 3392734208, 3392741375, 'ID', 'Indonesia'),
(133420, '202.57.32.0', '202.57.127.255', 3392741376, 3392765951, 'PH', 'Philippines'),
(133421, '202.57.128.0', '202.57.191.255', 3392765952, 3392782335, 'TH', 'Thailand'),
(133422, '202.57.220.0', '202.57.223.255', 3392789504, 3392790527, 'HK', 'Hong Kong'),
(133423, '202.57.224.0', '202.57.239.255', 3392790528, 3392794623, 'JP', 'Japan'),
(133424, '202.57.240.0', '202.58.0.255', 3392794624, 3392798975, 'CN', 'China'),
(133425, '202.58.1.0', '202.58.1.255', 3392798976, 3392799231, 'JP', 'Japan'),
(133426, '202.58.2.0', '202.58.2.255', 3392799232, 3392799487, 'PH', 'Philippines'),
(133427, '202.58.3.0', '202.58.3.255', 3392799488, 3392799743, 'AU', 'Australia'),
(133428, '202.58.4.0', '202.58.7.255', 3392799744, 3392800767, 'JP', 'Japan'),
(133429, '202.58.8.0', '202.58.15.255', 3392800768, 3392802815, 'SG', 'Singapore'),
(133430, '202.58.16.0', '202.58.31.255', 3392802816, 3392806911, 'JP', 'Japan'),
(133431, '202.58.32.0', '202.58.63.255', 3392806912, 3392815103, 'AU', 'Australia'),
(133432, '202.58.64.0', '202.58.79.255', 3392815104, 3392819199, 'ID', 'Indonesia'),
(133433, '202.58.80.0', '202.58.95.255', 3392819200, 3392823295, 'MY', 'Malaysia'),
(133434, '202.58.96.0', '202.58.99.255', 3392823296, 3392824319, 'KH', 'Cambodia'),
(133435, '202.58.100.0', '202.58.101.255', 3392824320, 3392824831, 'AU', 'Australia'),
(133436, '202.58.102.0', '202.58.103.255', 3392824832, 3392825343, 'IN', 'India'),
(133437, '202.58.104.0', '202.58.107.255', 3392825344, 3392826367, 'JP', 'Japan'),
(133438, '202.58.116.0', '202.58.119.255', 3392828416, 3392829439, 'JP', 'Japan'),
(133439, '202.58.120.0', '202.58.123.255', 3392829440, 3392830463, 'IN', 'India'),
(133440, '202.58.124.0', '202.58.124.255', 3392830464, 3392830719, 'ID', 'Indonesia'),
(133441, '202.58.125.0', '202.58.125.255', 3392830720, 3392830975, 'IN', 'India'),
(133442, '202.58.126.0', '202.58.126.255', 3392830976, 3392831231, 'TH', 'Thailand'),
(133443, '202.58.127.0', '202.58.127.255', 3392831232, 3392831487, 'IN', 'India'),
(133444, '202.58.128.0', '202.58.131.255', 3392831488, 3392832511, 'PG', 'Papua New Guinea'),
(133445, '202.58.132.0', '202.58.135.255', 3392832512, 3392833535, 'IN', 'India'),
(133446, '202.58.136.0', '202.58.143.255', 3392833536, 3392835583, 'AU', 'Australia'),
(133447, '202.58.144.0', '202.58.159.255', 3392835584, 3392839679, 'JP', 'Japan'),
(133448, '202.58.160.0', '202.58.183.255', 3392839680, 3392845823, 'ID', 'Indonesia'),
(133449, '202.58.184.0', '202.58.191.255', 3392845824, 3392847871, 'HK', 'Hong Kong'),
(133450, '202.58.192.0', '202.58.223.255', 3392847872, 3392856063, 'ID', 'Indonesia'),
(133451, '202.58.224.0', '202.58.227.255', 3392856064, 3392857087, 'AU', 'Australia'),
(133452, '202.58.228.0', '202.58.228.255', 3392857088, 3392857343, 'IN', 'India'),
(133453, '202.58.229.0', '202.58.231.255', 3392857344, 3392858111, 'AU', 'Australia'),
(133454, '202.58.232.0', '202.58.233.255', 3392858112, 3392858623, 'IN', 'India'),
(133455, '202.58.234.0', '202.58.234.255', 3392858624, 3392858879, 'JP', 'Japan'),
(133456, '202.58.235.0', '202.58.235.255', 3392858880, 3392859135, 'AU', 'Australia'),
(133457, '202.58.236.0', '202.58.237.255', 3392859136, 3392859647, 'PH', 'Philippines'),
(133458, '202.58.238.0', '202.58.239.255', 3392859648, 3392860159, 'ID', 'Indonesia'),
(133459, '202.58.240.0', '202.58.240.255', 3392860160, 3392860415, 'AU', 'Australia'),
(133460, '202.58.241.0', '202.58.241.255', 3392860416, 3392860671, 'PH', 'Philippines'),
(133461, '202.58.242.0', '202.58.243.255', 3392860672, 3392861183, 'ID', 'Indonesia'),
(133462, '202.58.244.0', '202.58.244.255', 3392861184, 3392861439, 'TH', 'Thailand'),
(133463, '202.58.245.0', '202.58.245.255', 3392861440, 3392861695, 'VN', 'Vietnam'),
(133464, '202.58.246.0', '202.58.246.255', 3392861696, 3392861951, 'PH', 'Philippines'),
(133465, '202.58.247.0', '202.58.247.255', 3392861952, 3392862207, 'AU', 'Australia'),
(133466, '202.59.0.0', '202.59.0.255', 3392864256, 3392864511, 'CN', 'China'),
(133467, '202.59.1.0', '202.59.1.255', 3392864512, 3392864767, 'AU', 'Australia'),
(133468, '202.59.2.0', '202.59.3.255', 3392864768, 3392865279, 'IN', 'India'),
(133469, '202.59.4.0', '202.59.7.255', 3392865280, 3392866303, 'NU', 'Niue'),
(133470, '202.59.8.0', '202.59.63.255', 3392866304, 3392880639, 'AU', 'Australia'),
(133471, '202.59.64.0', '202.59.95.255', 3392880640, 3392888831, 'PK', 'Pakistan'),
(133472, '202.59.96.0', '202.59.111.255', 3392888832, 3392892927, 'AU', 'Australia'),
(133473, '202.59.112.0', '202.59.127.255', 3392892928, 3392897023, 'JP', 'Japan'),
(133474, '202.59.128.0', '202.59.143.255', 3392897024, 3392901119, 'BD', 'Bangladesh'),
(133475, '202.59.144.0', '202.59.151.255', 3392901120, 3392903167, 'JP', 'Japan'),
(133476, '202.59.152.0', '202.59.159.255', 3392903168, 3392905215, 'HK', 'Hong Kong'),
(133477, '202.59.160.0', '202.59.175.255', 3392905216, 3392909311, 'ID', 'Indonesia'),
(133478, '202.59.176.0', '202.59.191.255', 3392909312, 3392913407, 'JP', 'Japan'),
(133479, '202.59.192.0', '202.59.207.255', 3392913408, 3392917503, 'ID', 'Indonesia'),
(133480, '202.59.208.0', '202.59.211.255', 3392917504, 3392918527, 'BD', 'Bangladesh'),
(133481, '202.59.212.0', '202.59.215.255', 3392918528, 3392919551, 'CN', 'China'),
(133482, '202.59.216.0', '202.59.223.255', 3392919552, 3392921599, 'KR', 'Korea, Republic of'),
(133483, '202.59.224.0', '202.59.224.255', 3392921600, 3392921855, 'NZ', 'New Zealand'),
(133484, '202.59.225.0', '202.59.227.255', 3392921856, 3392922623, 'AU', 'Australia'),
(133485, '202.59.228.0', '202.59.228.255', 3392922624, 3392922879, 'IN', 'India'),
(133486, '202.59.229.0', '202.59.229.255', 3392922880, 3392923135, 'AU', 'Australia'),
(133487, '202.59.230.0', '202.59.230.255', 3392923136, 3392923391, 'BN', 'Brunei Darussalam'),
(133488, '202.59.231.0', '202.59.231.255', 3392923392, 3392923647, 'IN', 'India'),
(133489, '202.59.232.0', '202.59.233.255', 3392923648, 3392924159, 'CN', 'China'),
(133490, '202.59.234.0', '202.59.235.255', 3392924160, 3392924671, 'JP', 'Japan'),
(133491, '202.59.236.0', '202.59.236.255', 3392924672, 3392924927, 'CN', 'China'),
(133492, '202.59.237.0', '202.59.237.255', 3392924928, 3392925183, 'AU', 'Australia'),
(133493, '202.59.238.0', '202.59.239.255', 3392925184, 3392925695, 'VN', 'Vietnam'),
(133494, '202.59.240.0', '202.59.243.255', 3392925696, 3392926719, 'AU', 'Australia'),
(133495, '202.59.244.0', '202.59.245.255', 3392926720, 3392927231, 'IN', 'India'),
(133496, '202.59.246.0', '202.59.247.255', 3392927232, 3392927743, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(133497, '202.59.248.0', '202.59.248.255', 3392927744, 3392927999, 'IN', 'India'),
(133498, '202.59.249.0', '202.59.249.255', 3392928000, 3392928255, 'HK', 'Hong Kong'),
(133499, '202.59.250.0', '202.59.251.255', 3392928256, 3392928767, 'TW', 'Taiwan'),
(133500, '202.59.252.0', '202.59.253.255', 3392928768, 3392929279, 'VN', 'Vietnam'),
(133501, '202.59.254.0', '202.59.254.255', 3392929280, 3392929535, 'PK', 'Pakistan'),
(133502, '202.59.255.0', '202.59.255.255', 3392929536, 3392929791, 'ID', 'Indonesia'),
(133503, '202.60.0.0', '202.60.7.255', 3392929792, 3392931839, 'MU', 'Mauritius'),
(133504, '202.60.8.0', '202.60.15.255', 3392931840, 3392933887, 'PH', 'Philippines'),
(133505, '202.60.16.0', '202.60.47.255', 3392933888, 3392942079, 'JP', 'Japan'),
(133506, '202.60.48.0', '202.60.55.255', 3392942080, 3392944127, 'CN', 'China'),
(133507, '202.60.56.0', '202.60.59.255', 3392944128, 3392945151, 'MY', 'Malaysia'),
(133508, '202.60.60.0', '202.60.63.255', 3392945152, 3392946175, 'IN', 'India'),
(133509, '202.60.64.0', '202.60.66.31', 3392946176, 3392946719, 'AU', 'Australia'),
(133510, '202.60.66.32', '202.60.66.32', 3392946720, 3392946720, 'A1', 'Anonymous Proxy'),
(133511, '202.60.66.33', '202.60.95.255', 3392946721, 3392954367, 'AU', 'Australia'),
(133512, '202.60.96.0', '202.60.103.255', 3392954368, 3392956415, 'CN', 'China'),
(133513, '202.60.104.0', '202.60.111.255', 3392956416, 3392958463, 'VN', 'Vietnam'),
(133514, '202.60.112.0', '202.60.127.255', 3392958464, 3392962559, 'CN', 'China'),
(133515, '202.60.128.0', '202.60.131.255', 3392962560, 3392963583, 'IN', 'India'),
(133516, '202.60.132.0', '202.60.159.255', 3392963584, 3392970751, 'CN', 'China'),
(133517, '202.60.160.0', '202.60.191.255', 3392970752, 3392978943, 'JP', 'Japan'),
(133518, '202.60.192.0', '202.60.207.255', 3392978944, 3392983039, 'TH', 'Thailand'),
(133519, '202.60.208.0', '202.60.223.255', 3392983040, 3392987135, 'IN', 'India'),
(133520, '202.60.224.0', '202.60.255.255', 3392987136, 3392995327, 'HK', 'Hong Kong'),
(133521, '202.61.0.0', '202.61.0.255', 3392995328, 3392995583, 'PG', 'Papua New Guinea'),
(133522, '202.61.1.0', '202.61.1.255', 3392995584, 3392995839, 'JP', 'Japan'),
(133523, '202.61.2.0', '202.61.3.255', 3392995840, 3392996351, 'NZ', 'New Zealand'),
(133524, '202.61.4.0', '202.61.7.255', 3392996352, 3392997375, 'AU', 'Australia'),
(133525, '202.61.8.0', '202.61.11.255', 3392997376, 3392998399, 'IN', 'India'),
(133526, '202.61.12.0', '202.61.15.255', 3392998400, 3392999423, 'AU', 'Australia'),
(133527, '202.61.16.0', '202.61.31.255', 3392999424, 3393003519, 'JP', 'Japan'),
(133528, '202.61.32.0', '202.61.63.255', 3393003520, 3393011711, 'PK', 'Pakistan'),
(133529, '202.61.96.0', '202.61.96.255', 3393019904, 3393020159, 'ID', 'Indonesia'),
(133530, '202.61.97.0', '202.61.97.255', 3393020160, 3393020415, 'MN', 'Mongolia'),
(133531, '202.61.98.0', '202.61.101.255', 3393020416, 3393021439, 'ID', 'Indonesia'),
(133532, '202.61.102.0', '202.61.102.255', 3393021440, 3393021695, 'IN', 'India'),
(133533, '202.61.103.0', '202.61.103.255', 3393021696, 3393021951, 'HK', 'Hong Kong'),
(133534, '202.61.104.0', '202.61.105.255', 3393021952, 3393022463, 'ID', 'Indonesia'),
(133535, '202.61.106.0', '202.61.107.255', 3393022464, 3393022975, 'SG', 'Singapore'),
(133536, '202.61.108.0', '202.61.108.255', 3393022976, 3393023231, 'PH', 'Philippines'),
(133537, '202.61.109.0', '202.61.109.255', 3393023232, 3393023487, 'AU', 'Australia'),
(133538, '202.61.110.0', '202.61.110.255', 3393023488, 3393023743, 'SG', 'Singapore'),
(133539, '202.61.111.0', '202.61.111.255', 3393023744, 3393023999, 'IN', 'India'),
(133540, '202.61.112.0', '202.61.113.255', 3393024000, 3393024511, 'ID', 'Indonesia'),
(133541, '202.61.114.0', '202.61.115.255', 3393024512, 3393025023, 'NZ', 'New Zealand'),
(133542, '202.61.116.0', '202.61.116.255', 3393025024, 3393025279, 'AU', 'Australia'),
(133543, '202.61.117.0', '202.61.117.255', 3393025280, 3393025535, 'IN', 'India'),
(133544, '202.61.118.0', '202.61.118.255', 3393025536, 3393025791, 'PH', 'Philippines'),
(133545, '202.61.119.0', '202.61.119.255', 3393025792, 3393026047, 'AU', 'Australia'),
(133546, '202.61.122.0', '202.61.122.255', 3393026560, 3393026815, 'AU', 'Australia'),
(133547, '202.61.124.0', '202.61.127.255', 3393027072, 3393028095, 'ID', 'Indonesia'),
(133548, '202.61.128.0', '202.61.255.255', 3393028096, 3393060863, 'AU', 'Australia'),
(133549, '202.62.0.0', '202.62.7.255', 3393060864, 3393062911, 'FJ', 'Fiji'),
(133550, '202.62.8.0', '202.62.31.255', 3393062912, 3393069055, 'ID', 'Indonesia'),
(133551, '202.62.32.0', '202.62.63.255', 3393069056, 3393077247, 'AU', 'Australia'),
(133552, '202.62.64.0', '202.62.95.255', 3393077248, 3393085439, 'IN', 'India'),
(133553, '202.62.96.0', '202.62.111.255', 3393085440, 3393089535, 'LA', 'Lao People''s Democratic Republic'),
(133554, '202.62.112.0', '202.62.115.255', 3393089536, 3393090559, 'CN', 'China'),
(133555, '202.62.116.0', '202.62.117.255', 3393090560, 3393091071, 'IN', 'India'),
(133556, '202.62.118.0', '202.62.127.255', 3393091072, 3393093631, 'FJ', 'Fiji'),
(133557, '202.62.128.0', '202.62.159.255', 3393093632, 3393101823, 'AU', 'Australia'),
(133558, '202.62.160.0', '202.62.191.255', 3393101824, 3393110015, 'JP', 'Japan'),
(133559, '202.62.192.0', '202.62.223.255', 3393110016, 3393118207, 'HK', 'Hong Kong'),
(133560, '202.62.224.0', '202.62.239.255', 3393118208, 3393122303, 'IN', 'India'),
(133561, '202.62.240.0', '202.62.243.255', 3393122304, 3393123327, 'AU', 'Australia'),
(133562, '202.62.244.0', '202.62.244.255', 3393123328, 3393123583, 'IN', 'India'),
(133563, '202.62.245.0', '202.62.245.255', 3393123584, 3393123839, 'NZ', 'New Zealand'),
(133564, '202.62.246.0', '202.62.247.255', 3393123840, 3393124351, 'IN', 'India'),
(133565, '202.62.248.0', '202.62.252.255', 3393124352, 3393125631, 'CN', 'China'),
(133566, '202.62.253.0', '202.62.253.255', 3393125632, 3393125887, 'JP', 'Japan'),
(133567, '202.62.254.0', '202.62.254.255', 3393125888, 3393126143, 'AU', 'Australia'),
(133568, '202.62.255.0', '202.62.255.255', 3393126144, 3393126399, 'CN', 'China'),
(133569, '202.63.0.0', '202.63.31.255', 3393126400, 3393134591, 'HK', 'Hong Kong'),
(133570, '202.63.32.0', '202.63.79.255', 3393134592, 3393146879, 'AU', 'Australia'),
(133571, '202.63.80.0', '202.63.80.255', 3393146880, 3393147135, 'PK', 'Pakistan'),
(133572, '202.63.81.0', '202.63.95.255', 3393147136, 3393150975, 'CN', 'China'),
(133573, '202.63.96.0', '202.63.127.255', 3393150976, 3393159167, 'IN', 'India'),
(133574, '202.63.128.0', '202.63.143.255', 3393159168, 3393163263, 'HK', 'Hong Kong'),
(133575, '202.63.144.0', '202.63.144.255', 3393163264, 3393163519, 'SG', 'Singapore'),
(133576, '202.63.145.0', '202.63.159.255', 3393163520, 3393167359, 'HK', 'Hong Kong'),
(133577, '202.63.160.0', '202.63.191.255', 3393167360, 3393175551, 'CN', 'China'),
(133578, '202.63.192.0', '202.63.223.255', 3393175552, 3393183743, 'PK', 'Pakistan'),
(133579, '202.63.224.0', '202.63.224.255', 3393183744, 3393183999, 'ID', 'Indonesia'),
(133580, '202.63.225.0', '202.63.225.255', 3393184000, 3393184255, 'AP', 'Asia/Pacific Region'),
(133581, '202.63.226.0', '202.63.227.255', 3393184256, 3393184767, 'PK', 'Pakistan'),
(133582, '202.63.228.0', '202.63.239.255', 3393184768, 3393187839, 'SG', 'Singapore'),
(133583, '202.63.240.0', '202.63.247.255', 3393187840, 3393189887, 'NP', 'Nepal'),
(133584, '202.63.248.0', '202.63.251.255', 3393189888, 3393190911, 'CN', 'China'),
(133585, '202.63.252.0', '202.63.252.255', 3393190912, 3393191167, 'IN', 'India'),
(133586, '202.63.254.0', '202.63.255.255', 3393191424, 3393191935, 'SB', 'Solomon Islands'),
(133587, '202.64.0.0', '202.64.255.255', 3393191936, 3393257471, 'HK', 'Hong Kong'),
(133588, '202.65.0.0', '202.65.9.255', 3393257472, 3393260031, 'CN', 'China'),
(133589, '202.65.10.0', '202.65.11.255', 3393260032, 3393260543, 'BD', 'Bangladesh'),
(133590, '202.65.12.0', '202.65.31.255', 3393260544, 3393265663, 'AU', 'Australia'),
(133591, '202.65.32.0', '202.65.63.255', 3393265664, 3393273855, 'CK', 'Cook Islands'),
(133592, '202.65.64.0', '202.65.95.255', 3393273856, 3393282047, 'AU', 'Australia'),
(133593, '202.65.96.0', '202.65.111.255', 3393282048, 3393286143, 'HK', 'Hong Kong'),
(133594, '202.65.112.0', '202.65.127.255', 3393286144, 3393290239, 'ID', 'Indonesia'),
(133595, '202.65.128.0', '202.65.159.255', 3393290240, 3393298431, 'IN', 'India'),
(133596, '202.65.160.0', '202.65.167.255', 3393298432, 3393300479, 'NZ', 'New Zealand'),
(133597, '202.65.168.0', '202.65.175.255', 3393300480, 3393302527, 'BD', 'Bangladesh'),
(133598, '202.65.176.0', '202.65.191.255', 3393302528, 3393306623, 'PH', 'Philippines'),
(133599, '202.65.192.0', '202.65.223.255', 3393306624, 3393314815, 'HK', 'Hong Kong'),
(133600, '202.65.224.0', '202.65.239.255', 3393314816, 3393318911, 'ID', 'Indonesia'),
(133601, '202.65.240.0', '202.65.247.255', 3393318912, 3393320959, 'SG', 'Singapore'),
(133602, '202.65.248.0', '202.66.255.255', 3393320960, 3393388543, 'HK', 'Hong Kong'),
(133603, '202.67.0.0', '202.67.3.255', 3393388544, 3393389567, 'CN', 'China'),
(133604, '202.67.4.0', '202.67.7.255', 3393389568, 3393390591, 'IN', 'India'),
(133605, '202.67.8.0', '202.67.15.255', 3393390592, 3393392639, 'ID', 'Indonesia'),
(133606, '202.67.16.0', '202.67.31.255', 3393392640, 3393396735, 'JP', 'Japan'),
(133607, '202.67.32.0', '202.67.47.255', 3393396736, 3393400831, 'ID', 'Indonesia'),
(133608, '202.67.48.0', '202.67.63.255', 3393400832, 3393404927, 'JP', 'Japan'),
(133609, '202.67.64.0', '202.67.127.255', 3393404928, 3393421311, 'AU', 'Australia'),
(133610, '202.67.128.0', '202.68.63.255', 3393421312, 3393470463, 'HK', 'Hong Kong'),
(133611, '202.68.64.0', '202.68.79.255', 3393470464, 3393474559, 'AU', 'Australia'),
(133612, '202.68.80.0', '202.68.95.255', 3393474560, 3393478655, 'NZ', 'New Zealand'),
(133613, '202.68.96.0', '202.68.127.255', 3393478656, 3393486847, 'AU', 'Australia'),
(133614, '202.68.128.0', '202.68.159.255', 3393486848, 3393495039, 'IN', 'India'),
(133615, '202.68.160.0', '202.68.175.255', 3393495040, 3393499135, 'AU', 'Australia'),
(133616, '202.68.176.0', '202.68.191.255', 3393499136, 3393503231, 'SG', 'Singapore'),
(133617, '202.68.192.0', '202.68.207.255', 3393503232, 3393507327, 'HK', 'Hong Kong'),
(133618, '202.68.208.0', '202.68.223.255', 3393507328, 3393511423, 'SG', 'Singapore'),
(133619, '202.68.224.0', '202.68.255.255', 3393511424, 3393519615, 'KR', 'Korea, Republic of'),
(133620, '202.69.0.0', '202.69.3.255', 3393519616, 3393520639, 'HK', 'Hong Kong'),
(133621, '202.69.4.0', '202.69.7.255', 3393520640, 3393521663, 'CN', 'China'),
(133622, '202.69.8.0', '202.69.15.255', 3393521664, 3393523711, 'PK', 'Pakistan'),
(133623, '202.69.16.0', '202.69.31.255', 3393523712, 3393527807, 'CN', 'China'),
(133624, '202.69.32.0', '202.69.63.255', 3393527808, 3393535999, 'PK', 'Pakistan'),
(133625, '202.69.64.0', '202.69.95.255', 3393536000, 3393544191, 'HK', 'Hong Kong'),
(133626, '202.69.96.0', '202.69.111.255', 3393544192, 3393548287, 'ID', 'Indonesia'),
(133627, '202.69.112.0', '202.69.127.255', 3393548288, 3393552383, 'JP', 'Japan'),
(133628, '202.69.128.0', '202.69.131.255', 3393552384, 3393553407, 'HK', 'Hong Kong'),
(133629, '202.69.132.0', '202.69.135.255', 3393553408, 3393554431, 'AU', 'Australia'),
(133630, '202.69.136.0', '202.69.143.255', 3393554432, 3393556479, 'TH', 'Thailand'),
(133631, '202.69.144.0', '202.69.159.255', 3393556480, 3393560575, 'SG', 'Singapore'),
(133632, '202.69.160.0', '202.69.191.255', 3393560576, 3393568767, 'PH', 'Philippines'),
(133633, '202.69.192.0', '202.69.207.255', 3393568768, 3393572863, 'LK', 'Sri Lanka'),
(133634, '202.69.208.0', '202.69.223.255', 3393572864, 3393576959, 'AU', 'Australia'),
(133635, '202.69.224.0', '202.69.239.255', 3393576960, 3393581055, 'JP', 'Japan'),
(133636, '202.69.240.0', '202.69.255.255', 3393581056, 3393585151, 'HK', 'Hong Kong'),
(133637, '202.70.0.0', '202.70.31.255', 3393585152, 3393593343, 'CN', 'China'),
(133638, '202.70.32.0', '202.70.47.255', 3393593344, 3393597439, 'MN', 'Mongolia'),
(133639, '202.70.48.0', '202.70.63.255', 3393597440, 3393601535, 'ID', 'Indonesia'),
(133640, '202.70.64.0', '202.70.95.255', 3393601536, 3393609727, 'NP', 'Nepal'),
(133641, '202.70.96.0', '202.70.111.255', 3393609728, 3393613823, 'CN', 'China'),
(133642, '202.70.112.0', '202.70.127.255', 3393613824, 3393617919, 'AS', 'American Samoa'),
(133643, '202.70.128.0', '202.70.129.255', 3393617920, 3393618431, 'AU', 'Australia'),
(133644, '202.70.130.0', '202.70.130.255', 3393618432, 3393618687, 'NZ', 'New Zealand'),
(133645, '202.70.131.0', '202.70.131.255', 3393618688, 3393618943, 'IN', 'India'),
(133646, '202.70.132.0', '202.70.136.255', 3393618944, 3393620223, 'ID', 'Indonesia'),
(133647, '202.70.137.0', '202.70.137.255', 3393620224, 3393620479, 'AU', 'Australia'),
(133648, '202.70.138.0', '202.70.138.255', 3393620480, 3393620735, 'ID', 'Indonesia'),
(133649, '202.70.139.0', '202.70.139.255', 3393620736, 3393620991, 'AU', 'Australia'),
(133650, '202.70.140.0', '202.70.140.255', 3393620992, 3393621247, 'JP', 'Japan'),
(133651, '202.70.141.0', '202.70.143.255', 3393621248, 3393622015, 'AU', 'Australia'),
(133652, '202.70.144.0', '202.70.159.255', 3393622016, 3393626111, 'PK', 'Pakistan'),
(133653, '202.70.160.0', '202.70.175.255', 3393626112, 3393630207, 'HK', 'Hong Kong'),
(133654, '202.70.176.0', '202.70.191.255', 3393630208, 3393634303, 'JP', 'Japan'),
(133655, '202.70.192.0', '202.70.207.255', 3393634304, 3393638399, 'CN', 'China'),
(133656, '202.70.208.0', '202.70.255.255', 3393638400, 3393650687, 'JP', 'Japan'),
(133657, '202.71.0.0', '202.71.31.255', 3393650688, 3393658879, 'IN', 'India'),
(133658, '202.71.32.0', '202.71.47.255', 3393658880, 3393662975, 'KH', 'Cambodia'),
(133659, '202.71.48.0', '202.71.95.255', 3393662976, 3393675263, 'JP', 'Japan'),
(133660, '202.71.96.0', '202.71.111.255', 3393675264, 3393679359, 'MY', 'Malaysia'),
(133661, '202.71.112.0', '202.71.127.255', 3393679360, 3393683455, 'TH', 'Thailand'),
(133662, '202.71.128.0', '202.71.159.255', 3393683456, 3393691647, 'IN', 'India'),
(133663, '202.71.160.0', '202.71.175.255', 3393691648, 3393695743, 'AU', 'Australia'),
(133664, '202.71.176.0', '202.71.191.255', 3393695744, 3393699839, 'PH', 'Philippines'),
(133665, '202.71.192.0', '202.72.31.255', 3393699840, 3393724415, 'HK', 'Hong Kong'),
(133666, '202.72.32.0', '202.72.39.255', 3393724416, 3393726463, 'AU', 'Australia'),
(133667, '202.72.40.0', '202.72.47.255', 3393726464, 3393728511, 'CN', 'China'),
(133668, '202.72.48.0', '202.72.79.255', 3393728512, 3393736703, 'JP', 'Japan'),
(133669, '202.72.80.0', '202.72.95.255', 3393736704, 3393740799, 'CN', 'China'),
(133670, '202.72.96.0', '202.72.98.255', 3393740800, 3393741567, 'US', 'United States'),
(133671, '202.72.99.0', '202.72.99.255', 3393741568, 3393741823, 'MG', 'Madagascar'),
(133672, '202.72.100.0', '202.72.103.255', 3393741824, 3393742847, 'US', 'United States'),
(133673, '202.72.104.0', '202.72.105.81', 3393742848, 3393743185, 'AP', 'Asia/Pacific Region'),
(133674, '202.72.105.82', '202.72.105.82', 3393743186, 3393743186, 'AU', 'Australia'),
(133675, '202.72.105.83', '202.72.106.255', 3393743187, 3393743615, 'AP', 'Asia/Pacific Region'),
(133676, '202.72.107.0', '202.72.111.255', 3393743616, 3393744895, 'US', 'United States'),
(133677, '202.72.112.0', '202.72.127.255', 3393744896, 3393748991, 'PH', 'Philippines'),
(133678, '202.72.128.0', '202.72.191.255', 3393748992, 3393765375, 'AU', 'Australia'),
(133679, '202.72.192.0', '202.72.223.255', 3393765376, 3393773567, 'ID', 'Indonesia'),
(133680, '202.72.232.0', '202.72.239.255', 3393775616, 3393777663, 'BD', 'Bangladesh'),
(133681, '202.72.240.0', '202.72.247.255', 3393777664, 3393779711, 'MN', 'Mongolia'),
(133682, '202.72.248.0', '202.72.251.255', 3393779712, 3393780735, 'IN', 'India'),
(133683, '202.72.252.0', '202.73.3.255', 3393780736, 3393782783, 'HK', 'Hong Kong'),
(133684, '202.73.4.0', '202.73.7.255', 3393782784, 3393783807, 'BD', 'Bangladesh'),
(133685, '202.73.8.0', '202.73.15.255', 3393783808, 3393785855, 'MY', 'Malaysia'),
(133686, '202.73.16.0', '202.73.31.255', 3393785856, 3393789951, 'ID', 'Indonesia'),
(133687, '202.73.32.0', '202.73.63.255', 3393789952, 3393798143, 'SG', 'Singapore'),
(133688, '202.73.64.0', '202.73.95.255', 3393798144, 3393806335, 'JP', 'Japan'),
(133689, '202.73.96.0', '202.73.127.255', 3393806336, 3393814527, 'ID', 'Indonesia'),
(133690, '202.73.128.0', '202.73.131.255', 3393814528, 3393815551, 'CN', 'China'),
(133691, '202.73.132.0', '202.73.135.255', 3393815552, 3393816575, 'KR', 'Korea, Republic of'),
(133692, '202.73.136.0', '202.73.143.255', 3393816576, 3393818623, 'JP', 'Japan'),
(133693, '202.73.144.0', '202.73.159.255', 3393818624, 3393822719, 'AU', 'Australia'),
(133694, '202.73.160.0', '202.73.191.255', 3393822720, 3393830911, 'PH', 'Philippines'),
(133695, '202.73.192.0', '202.73.207.255', 3393830912, 3393835007, 'NZ', 'New Zealand'),
(133696, '202.73.208.0', '202.73.223.255', 3393835008, 3393839103, 'JP', 'Japan'),
(133697, '202.73.224.0', '202.73.239.255', 3393839104, 3393843199, 'ID', 'Indonesia'),
(133698, '202.73.240.0', '202.74.3.255', 3393843200, 3393848319, 'HK', 'Hong Kong'),
(133699, '202.74.4.0', '202.74.7.255', 3393848320, 3393849343, 'JP', 'Japan'),
(133700, '202.74.8.0', '202.74.15.255', 3393849344, 3393851391, 'CN', 'China'),
(133701, '202.74.16.0', '202.74.31.255', 3393851392, 3393855487, 'JP', 'Japan'),
(133702, '202.74.32.0', '202.74.32.255', 3393855488, 3393855743, 'AU', 'Australia'),
(133703, '202.74.33.0', '202.74.33.255', 3393855744, 3393855999, 'NZ', 'New Zealand'),
(133704, '202.74.34.0', '202.74.34.255', 3393856000, 3393856255, 'AU', 'Australia'),
(133705, '202.74.35.0', '202.74.35.255', 3393856256, 3393856511, 'HK', 'Hong Kong'),
(133706, '202.74.37.0', '202.74.37.255', 3393856768, 3393857023, 'SG', 'Singapore'),
(133707, '202.74.38.0', '202.74.39.255', 3393857024, 3393857535, 'NZ', 'New Zealand'),
(133708, '202.74.40.0', '202.74.41.255', 3393857536, 3393858047, 'HK', 'Hong Kong'),
(133709, '202.74.42.0', '202.74.43.255', 3393858048, 3393858559, 'ID', 'Indonesia'),
(133710, '202.74.44.0', '202.74.44.255', 3393858560, 3393858815, 'AU', 'Australia'),
(133711, '202.74.45.0', '202.74.45.255', 3393858816, 3393859071, 'ID', 'Indonesia'),
(133712, '202.74.46.0', '202.74.46.255', 3393859072, 3393859327, 'AU', 'Australia'),
(133713, '202.74.47.0', '202.74.47.255', 3393859328, 3393859583, 'JP', 'Japan'),
(133714, '202.74.48.0', '202.74.49.255', 3393859584, 3393860095, 'AU', 'Australia'),
(133715, '202.74.50.0', '202.74.51.255', 3393860096, 3393860607, 'HK', 'Hong Kong'),
(133716, '202.74.52.0', '202.74.55.255', 3393860608, 3393861631, 'IN', 'India'),
(133717, '202.74.56.0', '202.74.56.255', 3393861632, 3393861887, 'VN', 'Vietnam'),
(133718, '202.74.57.0', '202.74.57.255', 3393861888, 3393862143, 'AU', 'Australia'),
(133719, '202.74.58.0', '202.74.59.255', 3393862144, 3393862655, 'VN', 'Vietnam'),
(133720, '202.74.60.0', '202.74.60.255', 3393862656, 3393862911, 'NZ', 'New Zealand'),
(133721, '202.74.61.0', '202.74.61.255', 3393862912, 3393863167, 'AU', 'Australia'),
(133722, '202.74.62.0', '202.74.63.255', 3393863168, 3393863679, 'HK', 'Hong Kong'),
(133723, '202.74.64.0', '202.74.71.255', 3393863680, 3393865727, 'AU', 'Australia'),
(133724, '202.74.72.0', '202.74.79.255', 3393865728, 3393867775, 'ID', 'Indonesia'),
(133725, '202.74.80.0', '202.74.95.255', 3393867776, 3393871871, 'CN', 'China'),
(133726, '202.74.96.0', '202.74.119.255', 3393871872, 3393878015, 'HK', 'Hong Kong'),
(133727, '202.74.120.0', '202.74.120.255', 3393878016, 3393878271, 'IN', 'India'),
(133728, '202.74.121.0', '202.74.127.255', 3393878272, 3393880063, 'HK', 'Hong Kong'),
(133729, '202.74.128.0', '202.74.191.255', 3393880064, 3393896447, 'AU', 'Australia'),
(133730, '202.74.192.0', '202.74.231.255', 3393896448, 3393906687, 'NZ', 'New Zealand'),
(133731, '202.74.240.0', '202.74.247.255', 3393908736, 3393910783, 'BD', 'Bangladesh'),
(133732, '202.74.248.0', '202.74.251.255', 3393910784, 3393911807, 'PH', 'Philippines'),
(133733, '202.74.252.0', '202.74.252.255', 3393911808, 3393912063, 'AU', 'Australia'),
(133734, '202.74.253.0', '202.74.253.255', 3393912064, 3393912319, 'JP', 'Japan'),
(133735, '202.74.254.0', '202.74.255.255', 3393912320, 3393912831, 'CN', 'China'),
(133736, '202.75.0.0', '202.75.3.255', 3393912832, 3393913855, 'HK', 'Hong Kong'),
(133737, '202.75.4.0', '202.75.7.255', 3393913856, 3393914879, 'MY', 'Malaysia'),
(133738, '202.75.8.0', '202.75.15.255', 3393914880, 3393916927, 'JP', 'Japan'),
(133739, '202.75.16.0', '202.75.31.255', 3393916928, 3393921023, 'ID', 'Indonesia'),
(133740, '202.75.32.0', '202.75.63.255', 3393921024, 3393929215, 'MY', 'Malaysia'),
(133741, '202.75.64.0', '202.75.95.255', 3393929216, 3393937407, 'HK', 'Hong Kong'),
(133742, '202.75.96.0', '202.75.111.255', 3393937408, 3393941503, 'ID', 'Indonesia'),
(133743, '202.75.112.0', '202.75.127.255', 3393941504, 3393945599, 'JP', 'Japan'),
(133744, '202.75.128.0', '202.75.191.255', 3393945600, 3393961983, 'MY', 'Malaysia'),
(133745, '202.75.192.0', '202.75.207.255', 3393961984, 3393966079, 'IN', 'India'),
(133746, '202.75.208.0', '202.75.223.255', 3393966080, 3393970175, 'CN', 'China'),
(133747, '202.75.224.0', '202.75.239.255', 3393970176, 3393974271, 'JP', 'Japan'),
(133748, '202.75.240.0', '202.75.247.255', 3393974272, 3393976319, 'MY', 'Malaysia'),
(133749, '202.75.248.0', '202.75.251.255', 3393976320, 3393977343, 'MO', 'Macau'),
(133750, '202.75.252.0', '202.75.255.255', 3393977344, 3393978367, 'CN', 'China'),
(133751, '202.76.0.0', '202.76.127.255', 3393978368, 3394011135, 'HK', 'Hong Kong'),
(133752, '202.76.128.0', '202.76.191.255', 3394011136, 3394027519, 'AU', 'Australia'),
(133753, '202.76.192.0', '202.76.223.255', 3394027520, 3394035711, 'JP', 'Japan'),
(133754, '202.76.224.0', '202.76.239.255', 3394035712, 3394039807, 'MY', 'Malaysia'),
(133755, '202.76.240.0', '202.76.240.255', 3394039808, 3394040063, 'CN', 'China'),
(133756, '202.76.241.0', '202.76.241.255', 3394040064, 3394040319, 'SG', 'Singapore'),
(133757, '202.76.242.0', '202.76.243.255', 3394040320, 3394040831, 'IN', 'India'),
(133758, '202.76.244.0', '202.76.244.255', 3394040832, 3394041087, 'KR', 'Korea, Republic of'),
(133759, '202.76.245.0', '202.76.247.255', 3394041088, 3394041855, 'SG', 'Singapore'),
(133760, '202.76.248.0', '202.76.251.255', 3394041856, 3394042879, 'AU', 'Australia'),
(133761, '202.76.252.0', '202.76.255.255', 3394042880, 3394043903, 'CN', 'China'),
(133762, '202.77.0.0', '202.77.63.255', 3394043904, 3394060287, 'HK', 'Hong Kong'),
(133763, '202.77.64.0', '202.77.79.255', 3394060288, 3394064383, 'ID', 'Indonesia'),
(133764, '202.77.80.0', '202.77.87.255', 3394064384, 3394066431, 'CN', 'China'),
(133765, '202.77.88.0', '202.77.91.255', 3394066432, 3394067455, 'AU', 'Australia'),
(133766, '202.77.92.0', '202.77.95.255', 3394067456, 3394068479, 'CN', 'China'),
(133767, '202.77.96.0', '202.77.127.255', 3394068480, 3394076671, 'ID', 'Indonesia'),
(133768, '202.77.128.0', '202.77.135.255', 3394076672, 3394078719, 'HK', 'Hong Kong'),
(133769, '202.77.136.0', '202.77.136.255', 3394078720, 3394078975, 'AU', 'Australia'),
(133770, '202.77.137.0', '202.77.137.255', 3394078976, 3394079231, 'IN', 'India'),
(133771, '202.77.138.0', '202.77.139.255', 3394079232, 3394079743, 'PH', 'Philippines'),
(133772, '202.77.140.0', '202.77.189.255', 3394079744, 3394092543, 'HK', 'Hong Kong'),
(133773, '202.77.190.0', '202.77.190.255', 3394092544, 3394092799, 'AP', 'Asia/Pacific Region'),
(133774, '202.77.191.0', '202.78.7.255', 3394092800, 3394111487, 'HK', 'Hong Kong'),
(133775, '202.78.8.0', '202.78.15.255', 3394111488, 3394113535, 'CN', 'China'),
(133776, '202.78.16.0', '202.78.16.255', 3394113536, 3394113791, 'AP', 'Asia/Pacific Region'),
(133777, '202.78.17.0', '202.78.31.255', 3394113792, 3394117631, 'SG', 'Singapore'),
(133778, '202.78.32.0', '202.78.47.255', 3394117632, 3394121727, 'AU', 'Australia'),
(133779, '202.78.48.0', '202.78.63.255', 3394121728, 3394125823, 'SG', 'Singapore'),
(133780, '202.78.64.0', '202.78.127.255', 3394125824, 3394142207, 'PH', 'Philippines'),
(133781, '202.78.128.0', '202.78.159.255', 3394142208, 3394150399, 'NZ', 'New Zealand'),
(133782, '202.78.160.0', '202.78.175.255', 3394150400, 3394154495, 'IN', 'India'),
(133783, '202.78.176.0', '202.78.191.255', 3394154496, 3394158591, 'JP', 'Japan'),
(133784, '202.78.192.0', '202.78.207.255', 3394158592, 3394162687, 'ID', 'Indonesia'),
(133785, '202.78.208.0', '202.78.223.255', 3394162688, 3394166783, 'JP', 'Japan'),
(133786, '202.78.224.0', '202.78.231.255', 3394166784, 3394168831, 'VN', 'Vietnam'),
(133787, '202.78.232.0', '202.78.239.255', 3394168832, 3394170879, 'IN', 'India'),
(133788, '202.78.240.0', '202.78.247.255', 3394170880, 3394172927, 'NZ', 'New Zealand'),
(133789, '202.78.248.0', '202.78.250.255', 3394172928, 3394173695, 'JP', 'Japan'),
(133790, '202.78.251.0', '202.78.251.255', 3394173696, 3394173951, 'IN', 'India'),
(133791, '202.78.252.0', '202.78.255.255', 3394173952, 3394174975, 'HK', 'Hong Kong'),
(133792, '202.79.0.0', '202.79.15.255', 3394174976, 3394179071, 'JP', 'Japan'),
(133793, '202.79.16.0', '202.79.23.255', 3394179072, 3394181119, 'BD', 'Bangladesh'),
(133794, '202.79.24.0', '202.79.31.255', 3394181120, 3394183167, 'KH', 'Cambodia'),
(133795, '202.79.32.0', '202.79.63.255', 3394183168, 3394191359, 'NP', 'Nepal'),
(133796, '202.79.64.0', '202.79.127.255', 3394191360, 3394207743, 'SG', 'Singapore'),
(133797, '202.79.128.0', '202.79.159.255', 3394207744, 3394215935, 'JP', 'Japan'),
(133798, '202.79.160.0', '202.79.175.255', 3394215936, 3394220031, 'AU', 'Australia'),
(133799, '202.79.176.0', '202.79.202.255', 3394220032, 3394226943, 'SG', 'Singapore'),
(133800, '202.79.203.0', '202.79.203.255', 3394226944, 3394227199, 'AP', 'Asia/Pacific Region'),
(133801, '202.79.204.0', '202.79.223.255', 3394227200, 3394232319, 'SG', 'Singapore'),
(133802, '202.79.224.0', '202.79.231.255', 3394232320, 3394234367, 'CN', 'China'),
(133803, '202.79.232.0', '202.79.239.255', 3394234368, 3394236415, 'VN', 'Vietnam'),
(133804, '202.79.240.0', '202.79.247.255', 3394236416, 3394238463, 'JP', 'Japan'),
(133805, '202.79.248.0', '202.79.251.255', 3394238464, 3394239487, 'CN', 'China'),
(133806, '202.79.252.0', '202.80.31.255', 3394239488, 3394248703, 'HK', 'Hong Kong'),
(133807, '202.80.32.0', '202.80.47.255', 3394248704, 3394252799, 'VU', 'Vanuatu'),
(133808, '202.80.48.0', '202.80.63.255', 3394252800, 3394256895, 'IN', 'India'),
(133809, '202.80.64.0', '202.80.95.255', 3394256896, 3394265087, 'AU', 'Australia'),
(133810, '202.80.96.0', '202.80.103.255', 3394265088, 3394267135, 'JP', 'Japan'),
(133811, '202.80.104.0', '202.80.111.255', 3394267136, 3394269183, 'TW', 'Taiwan'),
(133812, '202.80.112.0', '202.80.127.255', 3394269184, 3394273279, 'ID', 'Indonesia'),
(133813, '202.80.128.0', '202.80.143.255', 3394273280, 3394277375, 'HK', 'Hong Kong'),
(133814, '202.80.144.0', '202.80.151.255', 3394277376, 3394279423, 'AU', 'Australia'),
(133815, '202.80.152.0', '202.80.159.255', 3394279424, 3394281471, 'PH', 'Philippines'),
(133816, '202.80.160.0', '202.80.162.255', 3394281472, 3394282239, 'SG', 'Singapore'),
(133817, '202.80.163.0', '202.80.163.255', 3394282240, 3394282495, 'US', 'United States'),
(133818, '202.80.164.0', '202.80.175.255', 3394282496, 3394285567, 'SG', 'Singapore'),
(133819, '202.80.176.0', '202.80.191.255', 3394285568, 3394289663, 'AU', 'Australia'),
(133820, '202.80.192.0', '202.80.207.255', 3394289664, 3394293759, 'CN', 'China'),
(133821, '202.80.208.0', '202.80.223.255', 3394293760, 3394297855, 'ID', 'Indonesia'),
(133822, '202.80.224.0', '202.80.255.255', 3394297856, 3394306047, 'TH', 'Thailand'),
(133823, '202.81.0.0', '202.81.3.255', 3394306048, 3394307071, 'CN', 'China'),
(133824, '202.81.4.0', '202.81.7.255', 3394307072, 3394308095, 'SG', 'Singapore'),
(133825, '202.81.8.0', '202.81.15.255', 3394308096, 3394310143, 'JP', 'Japan'),
(133826, '202.81.16.0', '202.81.31.255', 3394310144, 3394314239, 'AU', 'Australia'),
(133827, '202.81.32.0', '202.81.63.255', 3394314240, 3394322431, 'ID', 'Indonesia'),
(133828, '202.81.64.0', '202.81.79.255', 3394322432, 3394326527, 'AU', 'Australia'),
(133829, '202.81.80.0', '202.81.95.255', 3394326528, 3394330623, 'JP', 'Japan'),
(133830, '202.81.96.0', '202.81.127.255', 3394330624, 3394338815, 'AU', 'Australia'),
(133831, '202.81.128.0', '202.81.159.255', 3394338816, 3394347007, 'IN', 'India'),
(133832, '202.81.160.0', '202.81.175.255', 3394347008, 3394351103, 'PH', 'Philippines'),
(133833, '202.81.192.0', '202.81.207.255', 3394355200, 3394359295, 'IN', 'India'),
(133834, '202.81.208.0', '202.81.223.255', 3394359296, 3394363391, 'AU', 'Australia'),
(133835, '202.81.224.0', '202.82.182.255', 3394363392, 3394418431, 'HK', 'Hong Kong'),
(133836, '202.82.183.0', '202.82.183.255', 3394418432, 3394418687, 'AP', 'Asia/Pacific Region'),
(133837, '202.82.184.0', '202.83.15.255', 3394418688, 3394441215, 'HK', 'Hong Kong'),
(133838, '202.83.16.0', '202.83.63.255', 3394441216, 3394453503, 'IN', 'India'),
(133839, '202.83.64.0', '202.83.95.255', 3394453504, 3394461695, 'AU', 'Australia'),
(133840, '202.83.96.0', '202.83.111.255', 3394461696, 3394465791, 'SG', 'Singapore'),
(133841, '202.83.112.0', '202.83.119.255', 3394465792, 3394467839, 'AU', 'Australia'),
(133842, '202.83.128.0', '202.83.159.255', 3394469888, 3394478079, 'JP', 'Japan'),
(133843, '202.83.160.0', '202.83.175.255', 3394478080, 3394482175, 'PK', 'Pakistan'),
(133844, '202.83.176.0', '202.83.183.255', 3394482176, 3394484223, 'AU', 'Australia'),
(133845, '202.83.184.0', '202.83.191.255', 3394484224, 3394486271, 'JP', 'Japan'),
(133846, '202.83.192.0', '202.83.223.255', 3394486272, 3394494463, 'HK', 'Hong Kong'),
(133847, '202.83.224.0', '202.83.239.255', 3394494464, 3394498559, 'JP', 'Japan'),
(133848, '202.83.240.0', '202.83.247.255', 3394498560, 3394500607, 'HK', 'Hong Kong'),
(133849, '202.83.248.0', '202.83.251.255', 3394500608, 3394501631, 'SG', 'Singapore'),
(133850, '202.83.252.0', '202.83.255.255', 3394501632, 3394502655, 'CN', 'China'),
(133851, '202.84.0.0', '202.84.3.255', 3394502656, 3394503679, 'HK', 'Hong Kong'),
(133852, '202.84.4.0', '202.84.15.255', 3394503680, 3394506751, 'CN', 'China'),
(133853, '202.84.16.0', '202.84.17.255', 3394506752, 3394507263, 'HK', 'Hong Kong'),
(133854, '202.84.18.0', '202.84.19.255', 3394507264, 3394507775, 'JP', 'Japan'),
(133855, '202.84.23.0', '202.84.23.255', 3394508544, 3394508799, 'PH', 'Philippines'),
(133856, '202.84.24.0', '202.84.31.255', 3394508800, 3394510847, 'CN', 'China'),
(133857, '202.84.32.0', '202.84.47.255', 3394510848, 3394514943, 'BD', 'Bangladesh'),
(133858, '202.84.48.0', '202.84.63.255', 3394514944, 3394519039, 'JP', 'Japan'),
(133859, '202.84.64.0', '202.84.71.255', 3394519040, 3394521087, 'BD', 'Bangladesh'),
(133860, '202.84.72.0', '202.84.79.255', 3394521088, 3394523135, 'KH', 'Cambodia'),
(133861, '202.84.80.0', '202.84.95.255', 3394523136, 3394527231, 'JP', 'Japan'),
(133862, '202.84.96.0', '202.84.127.255', 3394527232, 3394535423, 'PH', 'Philippines'),
(133863, '202.84.128.0', '202.84.164.255', 3394535424, 3394544895, 'HK', 'Hong Kong'),
(133864, '202.84.165.0', '202.84.165.255', 3394544896, 3394545151, 'AP', 'Asia/Pacific Region'),
(133865, '202.84.166.0', '202.85.207.255', 3394545152, 3394621439, 'HK', 'Hong Kong'),
(133866, '202.85.208.0', '202.85.223.255', 3394621440, 3394625535, 'CN', 'China'),
(133867, '202.85.224.0', '202.85.239.255', 3394625536, 3394629631, 'HK', 'Hong Kong'),
(133868, '202.85.240.0', '202.85.247.255', 3394629632, 3394631679, 'AU', 'Australia'),
(133869, '202.85.248.0', '202.86.3.255', 3394631680, 3394634751, 'HK', 'Hong Kong'),
(133870, '202.86.4.0', '202.86.7.255', 3394634752, 3394635775, 'IN', 'India'),
(133871, '202.86.8.0', '202.86.15.255', 3394635776, 3394637823, 'KR', 'Korea, Republic of'),
(133872, '202.86.16.0', '202.86.31.255', 3394637824, 3394641919, 'AF', 'Afghanistan'),
(133873, '202.86.32.0', '202.86.55.255', 3394641920, 3394648063, 'AU', 'Australia'),
(133874, '202.86.56.0', '202.86.63.255', 3394648064, 3394650111, 'JP', 'Japan'),
(133875, '202.86.64.0', '202.86.95.255', 3394650112, 3394658303, 'HK', 'Hong Kong'),
(133876, '202.86.96.0', '202.86.111.255', 3394658304, 3394662399, 'NZ', 'New Zealand'),
(133877, '202.86.112.0', '202.86.119.255', 3394662400, 3394664447, 'AU', 'Australia'),
(133878, '202.86.120.0', '202.86.127.255', 3394664448, 3394666495, 'JP', 'Japan'),
(133879, '202.86.128.0', '202.86.191.255', 3394666496, 3394682879, 'MO', 'Macau'),
(133880, '202.86.192.0', '202.86.207.255', 3394682880, 3394686975, 'PH', 'Philippines'),
(133881, '202.86.208.0', '202.86.215.255', 3394686976, 3394689023, 'AU', 'Australia'),
(133882, '202.86.216.0', '202.86.223.255', 3394689024, 3394691071, 'BD', 'Bangladesh'),
(133883, '202.86.224.0', '202.86.247.255', 3394691072, 3394697215, 'JP', 'Japan'),
(133884, '202.86.248.0', '202.86.248.255', 3394697216, 3394697471, 'SG', 'Singapore'),
(133885, '202.86.249.0', '202.86.249.255', 3394697472, 3394697727, 'CN', 'China'),
(133886, '202.86.250.0', '202.86.250.255', 3394697728, 3394697983, 'AU', 'Australia'),
(133887, '202.86.251.0', '202.86.251.255', 3394697984, 3394698239, 'IN', 'India'),
(133888, '202.86.252.0', '202.86.255.255', 3394698240, 3394699263, 'CN', 'China'),
(133889, '202.87.0.0', '202.87.3.255', 3394699264, 3394700287, 'HK', 'Hong Kong'),
(133890, '202.87.4.0', '202.87.31.255', 3394700288, 3394707455, 'AU', 'Australia'),
(133891, '202.87.32.0', '202.87.63.255', 3394707456, 3394715647, 'IN', 'India'),
(133892, '202.87.64.0', '202.87.79.255', 3394715648, 3394719743, 'JP', 'Japan'),
(133893, '202.87.80.0', '202.87.95.255', 3394719744, 3394723839, 'CN', 'China'),
(133894, '202.87.96.0', '202.87.127.255', 3394723840, 3394732031, 'MY', 'Malaysia'),
(133895, '202.87.128.0', '202.87.159.255', 3394732032, 3394740223, 'NC', 'New Caledonia'),
(133896, '202.87.160.0', '202.87.175.255', 3394740224, 3394744319, 'AU', 'Australia'),
(133897, '202.87.176.0', '202.87.207.255', 3394744320, 3394752511, 'ID', 'Indonesia'),
(133898, '202.87.208.0', '202.87.211.255', 3394752512, 3394753535, 'WS', 'Samoa'),
(133899, '202.87.212.0', '202.87.215.255', 3394753536, 3394754559, 'VN', 'Vietnam'),
(133900, '202.87.216.0', '202.87.223.255', 3394754560, 3394756607, 'MY', 'Malaysia'),
(133901, '202.87.224.0', '202.87.239.255', 3394756608, 3394760703, 'JP', 'Japan'),
(133902, '202.87.240.0', '202.87.255.255', 3394760704, 3394764799, 'ID', 'Indonesia'),
(133903, '202.88.0.0', '202.88.31.255', 3394764800, 3394772991, 'HK', 'Hong Kong'),
(133904, '202.88.32.0', '202.88.47.255', 3394772992, 3394777087, 'PK', 'Pakistan'),
(133905, '202.88.48.0', '202.88.63.255', 3394777088, 3394781183, 'JP', 'Japan'),
(133906, '202.88.64.0', '202.88.95.255', 3394781184, 3394789375, 'MP', 'Northern Mariana Islands'),
(133907, '202.88.96.0', '202.88.127.255', 3394789376, 3394797567, 'HK', 'Hong Kong'),
(133908, '202.88.128.0', '202.88.191.255', 3394797568, 3394813951, 'IN', 'India'),
(133909, '202.88.192.0', '202.88.199.255', 3394813952, 3394815999, 'JP', 'Japan'),
(133910, '202.88.200.0', '202.88.207.255', 3394816000, 3394818047, 'HK', 'Hong Kong'),
(133911, '202.88.208.0', '202.88.255.255', 3394818048, 3394830335, 'IN', 'India'),
(133912, '202.89.0.0', '202.89.3.255', 3394830336, 3394831359, 'HK', 'Hong Kong'),
(133913, '202.89.4.0', '202.89.7.255', 3394831360, 3394832383, 'NZ', 'New Zealand'),
(133914, '202.89.8.0', '202.89.15.255', 3394832384, 3394834431, 'CN', 'China'),
(133915, '202.89.16.0', '202.89.21.255', 3394834432, 3394835967, 'HK', 'Hong Kong'),
(133916, '202.89.22.0', '202.89.22.255', 3394835968, 3394836223, 'AP', 'Asia/Pacific Region'),
(133917, '202.89.23.0', '202.89.23.255', 3394836224, 3394836479, 'HK', 'Hong Kong'),
(133918, '202.89.24.0', '202.89.31.255', 3394836480, 3394838527, 'BT', 'Bhutan'),
(133919, '202.89.32.0', '202.89.63.255', 3394838528, 3394846719, 'NZ', 'New Zealand'),
(133920, '202.89.64.0', '202.89.79.255', 3394846720, 3394850815, 'IN', 'India'),
(133921, '202.89.80.0', '202.89.95.255', 3394850816, 3394854911, 'JP', 'Japan'),
(133922, '202.89.100.0', '202.89.103.255', 3394855936, 3394856959, 'AU', 'Australia'),
(133923, '202.89.104.0', '202.89.111.255', 3394856960, 3394859007, 'IN', 'India'),
(133924, '202.89.112.0', '202.89.115.255', 3394859008, 3394860031, 'JP', 'Japan'),
(133925, '202.89.116.0', '202.89.117.255', 3394860032, 3394860543, 'ID', 'Indonesia'),
(133926, '202.89.118.0', '202.89.119.255', 3394860544, 3394861055, 'IN', 'India'),
(133927, '202.89.120.0', '202.89.123.255', 3394861056, 3394862079, 'HK', 'Hong Kong'),
(133928, '202.89.124.0', '202.89.127.255', 3394862080, 3394863103, 'KR', 'Korea, Republic of'),
(133929, '202.89.128.0', '202.89.159.255', 3394863104, 3394871295, 'NZ', 'New Zealand'),
(133930, '202.89.160.0', '202.89.191.255', 3394871296, 3394879487, 'AU', 'Australia'),
(133931, '202.89.192.0', '202.89.207.255', 3394879488, 3394883583, 'PH', 'Philippines'),
(133932, '202.89.208.0', '202.89.223.255', 3394883584, 3394887679, 'ID', 'Indonesia'),
(133933, '202.89.224.0', '202.89.247.255', 3394887680, 3394893823, 'JP', 'Japan'),
(133934, '202.89.248.0', '202.89.251.255', 3394893824, 3394894847, 'KR', 'Korea, Republic of'),
(133935, '202.89.252.0', '202.89.255.255', 3394894848, 3394895871, 'HK', 'Hong Kong'),
(133936, '202.90.0.0', '202.90.3.255', 3394895872, 3394896895, 'CN', 'China'),
(133937, '202.90.4.0', '202.90.7.255', 3394896896, 3394897919, 'TH', 'Thailand'),
(133938, '202.90.8.0', '202.90.15.255', 3394897920, 3394899967, 'JP', 'Japan'),
(133939, '202.90.32.0', '202.90.32.255', 3394904064, 3394904319, 'AU', 'Australia'),
(133940, '202.90.33.0', '202.90.33.255', 3394904320, 3394904575, 'IN', 'India'),
(133941, '202.90.34.0', '202.90.35.255', 3394904576, 3394905087, 'AU', 'Australia'),
(133942, '202.90.36.0', '202.90.36.255', 3394905088, 3394905343, 'BN', 'Brunei Darussalam'),
(133943, '202.90.37.0', '202.90.39.255', 3394905344, 3394906111, 'AU', 'Australia'),
(133944, '202.90.40.0', '202.90.40.255', 3394906112, 3394906367, 'IN', 'India'),
(133945, '202.90.41.0', '202.90.41.255', 3394906368, 3394906623, 'AU', 'Australia'),
(133946, '202.90.42.0', '202.90.43.255', 3394906624, 3394907135, 'IN', 'India'),
(133947, '202.90.44.0', '202.90.51.255', 3394907136, 3394909183, 'NZ', 'New Zealand'),
(133948, '202.90.52.0', '202.90.55.255', 3394909184, 3394910207, 'AU', 'Australia'),
(133949, '202.90.56.0', '202.90.63.255', 3394910208, 3394912255, 'NZ', 'New Zealand'),
(133950, '202.90.64.0', '202.90.95.255', 3394912256, 3394920447, 'PF', 'French Polynesia'),
(133951, '202.90.96.0', '202.90.111.255', 3394920448, 3394924543, 'IN', 'India'),
(133952, '202.90.112.0', '202.90.127.255', 3394924544, 3394928639, 'CN', 'China'),
(133953, '202.90.128.0', '202.90.159.255', 3394928640, 3394936831, 'PH', 'Philippines'),
(133954, '202.90.160.0', '202.90.175.255', 3394936832, 3394940927, 'AU', 'Australia'),
(133955, '202.90.176.0', '202.90.191.255', 3394940928, 3394945023, 'JP', 'Japan'),
(133956, '202.90.192.0', '202.90.192.255', 3394945024, 3394945279, 'IN', 'India'),
(133957, '202.90.194.0', '202.90.195.255', 3394945536, 3394946047, 'ID', 'Indonesia'),
(133958, '202.90.196.0', '202.90.196.255', 3394946048, 3394946303, 'CN', 'China'),
(133959, '202.90.197.0', '202.90.197.255', 3394946304, 3394946559, 'AU', 'Australia'),
(133960, '202.90.198.0', '202.90.199.255', 3394946560, 3394947071, 'ID', 'Indonesia'),
(133961, '202.90.200.0', '202.90.203.255', 3394947072, 3394948095, 'BD', 'Bangladesh'),
(133962, '202.90.204.0', '202.90.204.255', 3394948096, 3394948351, 'IN', 'India'),
(133963, '202.90.205.0', '202.90.205.255', 3394948352, 3394948607, 'PH', 'Philippines'),
(133964, '202.90.206.0', '202.90.207.255', 3394948608, 3394949119, 'AU', 'Australia'),
(133965, '202.90.208.0', '202.90.223.255', 3394949120, 3394953215, 'JP', 'Japan'),
(133966, '202.90.224.0', '202.90.239.255', 3394953216, 3394957311, 'CN', 'China'),
(133967, '202.90.240.0', '202.90.247.255', 3394957312, 3394959359, 'AU', 'Australia'),
(133968, '202.90.248.0', '202.90.251.255', 3394959360, 3394960383, 'HK', 'Hong Kong'),
(133969, '202.90.252.0', '202.90.255.255', 3394960384, 3394961407, 'PH', 'Philippines'),
(133970, '202.91.0.0', '202.91.3.255', 3394961408, 3394962431, 'CN', 'China'),
(133971, '202.91.4.0', '202.91.7.255', 3394962432, 3394963455, 'AU', 'Australia'),
(133972, '202.91.8.0', '202.91.15.255', 3394963456, 3394965503, 'ID', 'Indonesia'),
(133973, '202.91.16.0', '202.91.23.255', 3394965504, 3394967551, 'TH', 'Thailand'),
(133974, '202.91.24.0', '202.91.31.255', 3394967552, 3394969599, 'ID', 'Indonesia'),
(133975, '202.91.32.0', '202.91.47.255', 3394969600, 3394973695, 'SG', 'Singapore'),
(133976, '202.91.48.0', '202.91.63.255', 3394973696, 3394977791, 'JP', 'Japan'),
(133977, '202.91.64.0', '202.91.95.255', 3394977792, 3394985983, 'IN', 'India'),
(133978, '202.91.96.0', '202.91.111.255', 3394985984, 3394990079, 'CN', 'China'),
(133979, '202.91.112.0', '202.91.127.255', 3394990080, 3394994175, 'JP', 'Japan'),
(133980, '202.91.128.0', '202.91.131.255', 3394994176, 3394995199, 'CN', 'China'),
(133981, '202.91.132.0', '202.91.143.255', 3394995200, 3394998271, 'IN', 'India'),
(133982, '202.91.144.0', '202.91.159.255', 3394998272, 3395002367, 'JP', 'Japan'),
(133983, '202.91.160.0', '202.91.175.255', 3395002368, 3395006463, 'PH', 'Philippines'),
(133984, '202.91.176.0', '202.91.191.255', 3395006464, 3395010559, 'CN', 'China'),
(133985, '202.91.192.0', '202.91.207.255', 3395010560, 3395014655, 'AU', 'Australia'),
(133986, '202.91.208.0', '202.91.223.255', 3395014656, 3395018751, 'JP', 'Japan'),
(133987, '202.91.224.0', '202.92.3.255', 3395018752, 3395027967, 'CN', 'China'),
(133988, '202.92.4.0', '202.92.7.255', 3395027968, 3395028991, 'VN', 'Vietnam'),
(133989, '202.92.8.0', '202.92.15.255', 3395028992, 3395031039, 'CN', 'China'),
(133990, '202.92.16.0', '202.92.31.255', 3395031040, 3395035135, 'PK', 'Pakistan'),
(133991, '202.92.32.0', '202.92.47.255', 3395035136, 3395039231, 'AU', 'Australia'),
(133992, '202.92.48.0', '202.92.63.255', 3395039232, 3395043327, 'CN', 'China'),
(133993, '202.92.64.0', '202.92.127.255', 3395043328, 3395059711, 'AU', 'Australia'),
(133994, '202.92.128.0', '202.92.159.255', 3395059712, 3395067903, 'PH', 'Philippines'),
(133995, '202.92.160.0', '202.92.191.255', 3395067904, 3395076095, 'HK', 'Hong Kong'),
(133996, '202.92.192.0', '202.92.207.255', 3395076096, 3395080191, 'ID', 'Indonesia'),
(133997, '202.92.208.0', '202.92.223.255', 3395080192, 3395084287, 'AU', 'Australia'),
(133998, '202.92.224.0', '202.92.239.255', 3395084288, 3395088383, 'IN', 'India'),
(133999, '202.92.240.0', '202.92.251.255', 3395088384, 3395091455, 'AU', 'Australia'),
(134000, '202.92.252.0', '202.93.3.255', 3395091456, 3395093503, 'CN', 'China'),
(134001, '202.93.4.0', '202.93.5.255', 3395093504, 3395094015, 'AU', 'Australia'),
(134002, '202.93.6.0', '202.93.7.255', 3395094016, 3395094527, 'KR', 'Korea, Republic of'),
(134003, '202.93.8.0', '202.93.15.255', 3395094528, 3395096575, 'KH', 'Cambodia'),
(134004, '202.93.16.0', '202.93.47.255', 3395096576, 3395104767, 'ID', 'Indonesia'),
(134005, '202.93.48.0', '202.93.63.255', 3395104768, 3395108863, 'TH', 'Thailand'),
(134006, '202.93.64.0', '202.93.95.255', 3395108864, 3395117055, 'JP', 'Japan'),
(134007, '202.93.96.0', '202.93.111.255', 3395117056, 3395121151, 'AU', 'Australia'),
(134008, '202.93.112.0', '202.93.143.255', 3395121152, 3395129343, 'ID', 'Indonesia'),
(134009, '202.93.144.0', '202.93.151.255', 3395129344, 3395131391, 'JP', 'Japan'),
(134010, '202.93.152.0', '202.93.152.255', 3395131392, 3395131647, 'AU', 'Australia'),
(134011, '202.93.153.0', '202.93.153.255', 3395131648, 3395131903, 'KH', 'Cambodia'),
(134012, '202.93.154.0', '202.93.154.255', 3395131904, 3395132159, 'IN', 'India'),
(134013, '202.93.155.0', '202.93.155.255', 3395132160, 3395132415, 'AU', 'Australia'),
(134014, '202.93.156.0', '202.93.159.255', 3395132416, 3395133439, 'VN', 'Vietnam'),
(134015, '202.93.160.0', '202.93.191.255', 3395133440, 3395141631, 'AU', 'Australia'),
(134016, '202.93.192.0', '202.93.207.255', 3395141632, 3395145727, 'HK', 'Hong Kong'),
(134017, '202.93.208.0', '202.93.223.255', 3395145728, 3395149823, 'BN', 'Brunei Darussalam'),
(134018, '202.93.224.0', '202.93.247.255', 3395149824, 3395155967, 'ID', 'Indonesia'),
(134019, '202.93.248.0', '202.93.251.255', 3395155968, 3395156991, 'AU', 'Australia'),
(134020, '202.93.252.0', '202.93.255.255', 3395156992, 3395158015, 'CN', 'China'),
(134021, '202.94.32.0', '202.94.47.255', 3395166208, 3395170303, 'AU', 'Australia'),
(134022, '202.94.48.0', '202.94.63.255', 3395170304, 3395174399, 'JP', 'Japan'),
(134023, '202.94.64.0', '202.94.65.255', 3395174400, 3395174911, 'AU', 'Australia'),
(134024, '202.94.66.0', '202.94.66.255', 3395174912, 3395175167, 'NP', 'Nepal'),
(134025, '202.94.67.0', '202.94.68.255', 3395175168, 3395175679, 'IN', 'India'),
(134026, '202.94.69.0', '202.94.69.255', 3395175680, 3395175935, 'AU', 'Australia'),
(134027, '202.94.70.0', '202.94.70.255', 3395175936, 3395176191, 'SG', 'Singapore'),
(134028, '202.94.71.0', '202.94.72.255', 3395176192, 3395176703, 'AU', 'Australia'),
(134029, '202.94.73.0', '202.94.73.255', 3395176704, 3395176959, 'TH', 'Thailand'),
(134030, '202.94.74.0', '202.94.74.255', 3395176960, 3395177215, 'IN', 'India'),
(134031, '202.94.75.0', '202.94.75.255', 3395177216, 3395177471, 'HK', 'Hong Kong'),
(134032, '202.94.76.0', '202.94.77.255', 3395177472, 3395177983, 'TH', 'Thailand'),
(134033, '202.94.78.0', '202.94.79.255', 3395177984, 3395178495, 'AU', 'Australia'),
(134034, '202.94.80.0', '202.94.80.255', 3395178496, 3395178751, 'ID', 'Indonesia'),
(134035, '202.94.82.0', '202.94.82.255', 3395179008, 3395179263, 'VN', 'Vietnam'),
(134036, '202.94.83.0', '202.94.85.255', 3395179264, 3395180031, 'ID', 'Indonesia'),
(134037, '202.94.86.0', '202.94.86.255', 3395180032, 3395180287, 'JP', 'Japan'),
(134038, '202.94.87.0', '202.94.87.255', 3395180288, 3395180543, 'HK', 'Hong Kong'),
(134039, '202.94.88.0', '202.94.89.255', 3395180544, 3395181055, 'VN', 'Vietnam'),
(134040, '202.94.90.0', '202.94.91.255', 3395181056, 3395181567, 'HK', 'Hong Kong'),
(134041, '202.94.92.0', '202.94.95.255', 3395181568, 3395182591, 'CN', 'China'),
(134042, '202.94.96.0', '202.94.96.255', 3395182592, 3395182847, 'AP', 'Asia/Pacific Region'),
(134043, '202.94.97.0', '202.94.127.255', 3395182848, 3395190783, 'SG', 'Singapore'),
(134044, '202.94.128.0', '202.94.144.255', 3395190784, 3395195135, 'JP', 'Japan'),
(134045, '202.94.145.0', '202.94.145.255', 3395195136, 3395195391, 'US', 'United States'),
(134046, '202.94.146.0', '202.94.159.255', 3395195392, 3395198975, 'JP', 'Japan'),
(134047, '202.94.160.0', '202.94.175.255', 3395198976, 3395203071, 'MY', 'Malaysia'),
(134048, '202.94.176.0', '202.94.223.255', 3395203072, 3395215359, 'JP', 'Japan'),
(134049, '202.94.224.0', '202.94.239.255', 3395215360, 3395219455, 'HK', 'Hong Kong'),
(134050, '202.94.240.0', '202.94.255.255', 3395219456, 3395223551, 'TH', 'Thailand'),
(134051, '202.95.0.0', '202.95.31.255', 3395223552, 3395231743, 'CN', 'China'),
(134052, '202.95.32.0', '202.95.63.255', 3395231744, 3395239935, 'JP', 'Japan'),
(134053, '202.95.64.0', '202.95.75.255', 3395239936, 3395243007, 'SG', 'Singapore'),
(134054, '202.95.76.0', '202.95.76.255', 3395243008, 3395243263, 'AP', 'Asia/Pacific Region'),
(134055, '202.95.77.0', '202.95.121.255', 3395243264, 3395254783, 'SG', 'Singapore'),
(134056, '202.95.122.0', '202.95.122.255', 3395254784, 3395255039, 'IN', 'India'),
(134057, '202.95.123.0', '202.95.127.255', 3395255040, 3395256319, 'SG', 'Singapore'),
(134058, '202.95.128.0', '202.95.159.255', 3395256320, 3395264511, 'ID', 'Indonesia'),
(134059, '202.95.160.0', '202.95.191.255', 3395264512, 3395272703, 'JP', 'Japan'),
(134060, '202.95.192.0', '202.95.207.255', 3395272704, 3395276799, 'PG', 'Papua New Guinea'),
(134061, '202.95.208.0', '202.95.223.255', 3395276800, 3395280895, 'JP', 'Japan'),
(134062, '202.95.224.0', '202.95.239.255', 3395280896, 3395284991, 'PH', 'Philippines'),
(134063, '202.95.240.0', '202.95.247.255', 3395284992, 3395287039, 'CN', 'China'),
(134064, '202.95.248.0', '202.95.249.255', 3395287040, 3395287551, 'JP', 'Japan'),
(134065, '202.95.250.0', '202.95.250.255', 3395287552, 3395287807, 'NZ', 'New Zealand'),
(134066, '202.95.251.0', '202.95.251.255', 3395287808, 3395288063, 'IN', 'India'),
(134067, '202.95.252.0', '202.122.7.255', 3395288064, 3396995071, 'CN', 'China'),
(134068, '202.122.8.0', '202.122.15.255', 3396995072, 3396997119, 'ID', 'Indonesia'),
(134069, '202.122.16.0', '202.122.23.255', 3396997120, 3396999167, 'IN', 'India'),
(134070, '202.122.24.0', '202.122.31.255', 3396999168, 3397001215, 'JP', 'Japan'),
(134071, '202.122.32.0', '202.122.39.255', 3397001216, 3397003263, 'CN', 'China'),
(134072, '202.122.40.0', '202.122.47.255', 3397003264, 3397005311, 'TH', 'Thailand'),
(134073, '202.122.48.0', '202.122.63.255', 3397005312, 3397009407, 'JP', 'Japan'),
(134074, '202.122.64.0', '202.122.95.255', 3397009408, 3397017599, 'CN', 'China'),
(134075, '202.122.96.0', '202.122.111.255', 3397017600, 3397021695, 'HK', 'Hong Kong'),
(134076, '202.122.112.0', '202.122.128.255', 3397021696, 3397026047, 'CN', 'China'),
(134077, '202.122.129.0', '202.122.129.255', 3397026048, 3397026303, 'AU', 'Australia'),
(134078, '202.122.130.0', '202.122.131.255', 3397026304, 3397026815, 'TH', 'Thailand'),
(134079, '202.122.132.0', '202.122.132.255', 3397026816, 3397027071, 'CN', 'China'),
(134080, '202.122.133.0', '202.122.133.255', 3397027072, 3397027327, 'PH', 'Philippines'),
(134081, '202.122.134.0', '202.122.135.255', 3397027328, 3397027839, 'IN', 'India'),
(134082, '202.122.136.0', '202.122.143.255', 3397027840, 3397029887, 'JP', 'Japan'),
(134083, '202.122.144.0', '202.122.149.255', 3397029888, 3397031423, 'MY', 'Malaysia'),
(134084, '202.122.150.0', '202.122.150.255', 3397031424, 3397031679, 'AP', 'Asia/Pacific Region'),
(134085, '202.122.151.0', '202.122.159.255', 3397031680, 3397033983, 'MY', 'Malaysia'),
(134086, '202.122.160.0', '202.122.175.255', 3397033984, 3397038079, 'ID', 'Indonesia'),
(134087, '202.122.176.0', '202.122.255.255', 3397038080, 3397058559, 'JP', 'Japan'),
(134088, '202.123.0.0', '202.123.31.255', 3397058560, 3397066751, 'MU', 'Mauritius'),
(134089, '202.123.32.0', '202.123.47.255', 3397066752, 3397070847, 'IN', 'India'),
(134090, '202.123.48.0', '202.123.63.255', 3397070848, 3397074943, 'PH', 'Philippines'),
(134091, '202.123.64.0', '202.123.95.255', 3397074944, 3397083135, 'HK', 'Hong Kong'),
(134092, '202.123.96.0', '202.123.111.255', 3397083136, 3397087231, 'CN', 'China'),
(134093, '202.123.128.0', '202.123.159.255', 3397091328, 3397099519, 'GU', 'Guam'),
(134094, '202.123.160.0', '202.123.175.255', 3397099520, 3397103615, 'HK', 'Hong Kong');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(134095, '202.123.176.0', '202.123.183.255', 3397103616, 3397105663, 'LA', 'Lao People''s Democratic Republic'),
(134096, '202.123.184.0', '202.123.191.255', 3397105664, 3397107711, 'JP', 'Japan'),
(134097, '202.123.192.0', '202.123.223.255', 3397107712, 3397115903, 'HK', 'Hong Kong'),
(134098, '202.123.224.0', '202.123.239.255', 3397115904, 3397119999, 'ID', 'Indonesia'),
(134099, '202.123.240.0', '202.123.255.255', 3397120000, 3397124095, 'PK', 'Pakistan'),
(134100, '202.124.0.0', '202.124.15.255', 3397124096, 3397128191, 'JP', 'Japan'),
(134101, '202.124.16.0', '202.124.27.255', 3397128192, 3397131263, 'CN', 'China'),
(134102, '202.124.28.0', '202.124.31.255', 3397131264, 3397132287, 'HK', 'Hong Kong'),
(134103, '202.124.32.0', '202.124.47.255', 3397132288, 3397136383, 'AU', 'Australia'),
(134104, '202.124.48.0', '202.124.63.255', 3397136384, 3397140479, 'JP', 'Japan'),
(134105, '202.124.64.0', '202.124.95.255', 3397140480, 3397148671, 'AU', 'Australia'),
(134106, '202.124.96.0', '202.124.127.255', 3397148672, 3397156863, 'NZ', 'New Zealand'),
(134107, '202.124.128.0', '202.124.159.255', 3397156864, 3397165055, 'PH', 'Philippines'),
(134108, '202.124.160.0', '202.124.191.255', 3397165056, 3397173247, 'LK', 'Sri Lanka'),
(134109, '202.124.192.0', '202.124.192.255', 3397173248, 3397173503, 'AU', 'Australia'),
(134110, '202.124.193.0', '202.124.193.255', 3397173504, 3397173759, 'PH', 'Philippines'),
(134111, '202.124.194.0', '202.124.194.255', 3397173760, 3397174015, 'IN', 'India'),
(134112, '202.124.195.0', '202.124.195.255', 3397174016, 3397174271, 'AU', 'Australia'),
(134113, '202.124.196.0', '202.124.199.255', 3397174272, 3397175295, 'ID', 'Indonesia'),
(134114, '202.124.200.0', '202.124.201.255', 3397175296, 3397175807, 'AU', 'Australia'),
(134115, '202.124.202.0', '202.124.202.255', 3397175808, 3397176063, 'IN', 'India'),
(134116, '202.124.203.0', '202.124.203.255', 3397176064, 3397176319, 'ID', 'Indonesia'),
(134117, '202.124.204.0', '202.124.204.255', 3397176320, 3397176575, 'VN', 'Vietnam'),
(134118, '202.124.205.0', '202.124.205.255', 3397176576, 3397176831, 'ID', 'Indonesia'),
(134119, '202.124.206.0', '202.124.207.255', 3397176832, 3397177343, 'AU', 'Australia'),
(134120, '202.124.208.0', '202.124.223.255', 3397177344, 3397181439, 'JP', 'Japan'),
(134121, '202.124.224.0', '202.124.239.255', 3397181440, 3397185535, 'PW', 'Palau'),
(134122, '202.124.240.0', '202.124.247.255', 3397185536, 3397187583, 'AU', 'Australia'),
(134123, '202.124.248.0', '202.124.255.255', 3397187584, 3397189631, 'IN', 'India'),
(134124, '202.125.0.0', '202.125.47.255', 3397189632, 3397201919, 'AU', 'Australia'),
(134125, '202.125.48.0', '202.125.63.255', 3397201920, 3397206015, 'JP', 'Japan'),
(134126, '202.125.64.0', '202.125.79.255', 3397206016, 3397210111, 'BD', 'Bangladesh'),
(134127, '202.125.80.0', '202.125.83.255', 3397210112, 3397211135, 'ID', 'Indonesia'),
(134128, '202.125.84.0', '202.125.85.255', 3397211136, 3397211647, 'TH', 'Thailand'),
(134129, '202.125.86.0', '202.125.87.255', 3397211648, 3397212159, 'AU', 'Australia'),
(134130, '202.125.88.0', '202.125.89.255', 3397212160, 3397212671, 'ID', 'Indonesia'),
(134131, '202.125.90.0', '202.125.91.255', 3397212672, 3397213183, 'HK', 'Hong Kong'),
(134132, '202.125.92.0', '202.125.92.255', 3397213184, 3397213439, 'IN', 'India'),
(134133, '202.125.93.0', '202.125.93.255', 3397213440, 3397213695, 'AU', 'Australia'),
(134134, '202.125.94.0', '202.125.95.255', 3397213696, 3397214207, 'ID', 'Indonesia'),
(134135, '202.125.96.0', '202.125.97.255', 3397214208, 3397214719, 'AP', 'Asia/Pacific Region'),
(134136, '202.125.98.0', '202.125.99.255', 3397214720, 3397215231, 'AU', 'Australia'),
(134137, '202.125.100.0', '202.125.101.255', 3397215232, 3397215743, 'ID', 'Indonesia'),
(134138, '202.125.102.0', '202.125.103.255', 3397215744, 3397216255, 'PH', 'Philippines'),
(134139, '202.125.104.0', '202.125.105.255', 3397216256, 3397216767, 'AU', 'Australia'),
(134140, '202.125.106.0', '202.125.106.255', 3397216768, 3397217023, 'IN', 'India'),
(134141, '202.125.107.0', '202.125.107.255', 3397217024, 3397217279, 'SG', 'Singapore'),
(134142, '202.125.108.0', '202.125.109.255', 3397217280, 3397217791, 'AU', 'Australia'),
(134143, '202.125.110.0', '202.125.110.255', 3397217792, 3397218047, 'NZ', 'New Zealand'),
(134144, '202.125.111.0', '202.125.111.255', 3397218048, 3397218303, 'AU', 'Australia'),
(134145, '202.125.112.0', '202.125.127.255', 3397218304, 3397222399, 'CN', 'China'),
(134146, '202.125.128.0', '202.125.159.255', 3397222400, 3397230591, 'PK', 'Pakistan'),
(134147, '202.125.160.0', '202.125.175.255', 3397230592, 3397234687, 'AU', 'Australia'),
(134148, '202.125.176.0', '202.125.191.255', 3397234688, 3397238783, 'CN', 'China'),
(134149, '202.125.192.0', '202.125.255.255', 3397238784, 3397255167, 'HK', 'Hong Kong'),
(134150, '202.126.0.0', '202.126.15.255', 3397255168, 3397259263, 'SG', 'Singapore'),
(134151, '202.126.16.0', '202.126.31.255', 3397259264, 3397263359, 'JP', 'Japan'),
(134152, '202.126.32.0', '202.126.47.255', 3397263360, 3397267455, 'PH', 'Philippines'),
(134153, '202.126.48.0', '202.126.63.255', 3397267456, 3397271551, 'HK', 'Hong Kong'),
(134154, '202.126.64.0', '202.126.79.255', 3397271552, 3397275647, 'TW', 'Taiwan'),
(134155, '202.126.80.0', '202.126.87.255', 3397275648, 3397277695, 'NZ', 'New Zealand'),
(134156, '202.126.88.0', '202.126.95.255', 3397277696, 3397279743, 'MN', 'Mongolia'),
(134157, '202.126.96.0', '202.126.111.255', 3397279744, 3397283839, 'AU', 'Australia'),
(134158, '202.126.112.0', '202.126.119.255', 3397283840, 3397285887, 'KR', 'Korea, Republic of'),
(134159, '202.126.120.0', '202.126.127.255', 3397285888, 3397287935, 'BD', 'Bangladesh'),
(134160, '202.126.128.0', '202.126.191.255', 3397287936, 3397304319, 'HK', 'Hong Kong'),
(134161, '202.126.192.0', '202.126.207.255', 3397304320, 3397308415, 'NZ', 'New Zealand'),
(134162, '202.126.208.0', '202.126.223.255', 3397308416, 3397312511, 'HK', 'Hong Kong'),
(134163, '202.126.224.0', '202.126.255.255', 3397312512, 3397320703, 'JP', 'Japan'),
(134164, '202.127.0.0', '202.127.7.255', 3397320704, 3397322751, 'CN', 'China'),
(134165, '202.127.8.0', '202.127.11.255', 3397322752, 3397323775, 'NZ', 'New Zealand'),
(134166, '202.127.12.0', '202.127.31.255', 3397323776, 3397328895, 'CN', 'China'),
(134167, '202.127.32.0', '202.127.39.255', 3397328896, 3397330943, 'ID', 'Indonesia'),
(134168, '202.127.40.0', '202.127.63.255', 3397330944, 3397337087, 'CN', 'China'),
(134169, '202.127.64.0', '202.127.79.255', 3397337088, 3397341183, 'HK', 'Hong Kong'),
(134170, '202.127.80.0', '202.127.95.255', 3397341184, 3397345279, 'JP', 'Japan'),
(134171, '202.127.96.0', '202.127.111.255', 3397345280, 3397349375, 'ID', 'Indonesia'),
(134172, '202.127.112.0', '202.127.167.255', 3397349376, 3397363711, 'CN', 'China'),
(134173, '202.127.168.0', '202.127.175.255', 3397363712, 3397365759, 'HK', 'Hong Kong'),
(134174, '202.127.176.0', '202.127.191.255', 3397365760, 3397369855, 'JP', 'Japan'),
(134175, '202.127.192.0', '202.127.209.255', 3397369856, 3397374463, 'CN', 'China'),
(134176, '202.127.210.0', '202.127.211.255', 3397374464, 3397374975, 'AU', 'Australia'),
(134177, '202.127.212.0', '202.127.255.255', 3397374976, 3397386239, 'CN', 'China'),
(134178, '202.128.0.0', '202.128.31.255', 3397386240, 3397394431, 'GU', 'Guam'),
(134179, '202.128.32.0', '202.128.63.255', 3397394432, 3397402623, 'PH', 'Philippines'),
(134180, '202.128.64.0', '202.128.95.255', 3397402624, 3397410815, 'GU', 'Guam'),
(134181, '202.128.96.0', '202.128.97.255', 3397410816, 3397411327, 'AU', 'Australia'),
(134182, '202.128.98.0', '202.128.98.255', 3397411328, 3397411583, 'SG', 'Singapore'),
(134183, '202.128.99.0', '202.128.99.255', 3397411584, 3397411839, 'HK', 'Hong Kong'),
(134184, '202.128.100.0', '202.128.101.255', 3397411840, 3397412351, 'KR', 'Korea, Republic of'),
(134185, '202.128.102.0', '202.128.103.255', 3397412352, 3397412863, 'AU', 'Australia'),
(134186, '202.128.104.0', '202.128.105.255', 3397412864, 3397413375, 'HK', 'Hong Kong'),
(134187, '202.128.106.0', '202.128.106.255', 3397413376, 3397413631, 'AU', 'Australia'),
(134188, '202.128.107.0', '202.128.107.255', 3397413632, 3397413887, 'IN', 'India'),
(134189, '202.128.108.0', '202.128.109.255', 3397413888, 3397414399, 'NZ', 'New Zealand'),
(134190, '202.128.110.0', '202.128.111.255', 3397414400, 3397414911, 'IN', 'India'),
(134191, '202.128.112.0', '202.128.127.255', 3397414912, 3397419007, 'AU', 'Australia'),
(134192, '202.128.128.0', '202.128.159.255', 3397419008, 3397427199, 'HK', 'Hong Kong'),
(134193, '202.128.160.0', '202.128.223.255', 3397427200, 3397443583, 'SG', 'Singapore'),
(134194, '202.128.224.0', '202.128.255.255', 3397443584, 3397451775, 'HK', 'Hong Kong'),
(134195, '202.129.0.0', '202.129.63.255', 3397451776, 3397468159, 'TH', 'Thailand'),
(134196, '202.129.64.0', '202.129.159.255', 3397468160, 3397492735, 'AU', 'Australia'),
(134197, '202.129.160.0', '202.129.175.255', 3397492736, 3397496831, 'MY', 'Malaysia'),
(134198, '202.129.176.0', '202.129.183.255', 3397496832, 3397498879, 'JP', 'Japan'),
(134199, '202.129.184.0', '202.129.191.255', 3397498880, 3397500927, 'ID', 'Indonesia'),
(134200, '202.129.192.0', '202.129.195.255', 3397500928, 3397501951, 'BD', 'Bangladesh'),
(134201, '202.129.196.0', '202.129.203.255', 3397501952, 3397503999, 'IN', 'India'),
(134202, '202.129.204.0', '202.129.207.255', 3397504000, 3397505023, 'TH', 'Thailand'),
(134203, '202.129.208.0', '202.129.213.255', 3397505024, 3397506559, 'IN', 'India'),
(134204, '202.129.214.0', '202.129.214.255', 3397506560, 3397506815, 'AU', 'Australia'),
(134205, '202.129.215.0', '202.129.215.255', 3397506816, 3397507071, 'IN', 'India'),
(134206, '202.129.216.0', '202.129.217.255', 3397507072, 3397507583, 'ID', 'Indonesia'),
(134207, '202.129.218.0', '202.129.218.255', 3397507584, 3397507839, 'AU', 'Australia'),
(134208, '202.129.219.0', '202.129.219.255', 3397507840, 3397508095, 'IN', 'India'),
(134209, '202.129.220.0', '202.129.223.255', 3397508096, 3397509119, 'PH', 'Philippines'),
(134210, '202.129.224.0', '202.129.227.255', 3397509120, 3397510143, 'ID', 'Indonesia'),
(134211, '202.129.228.0', '202.129.231.255', 3397510144, 3397511167, 'FJ', 'Fiji'),
(134212, '202.129.232.0', '202.129.235.255', 3397511168, 3397512191, 'LK', 'Sri Lanka'),
(134213, '202.129.236.0', '202.129.236.255', 3397512192, 3397512447, 'KH', 'Cambodia'),
(134214, '202.129.237.0', '202.129.237.255', 3397512448, 3397512703, 'AU', 'Australia'),
(134215, '202.129.238.0', '202.129.238.255', 3397512704, 3397512959, 'PH', 'Philippines'),
(134216, '202.129.239.0', '202.129.241.255', 3397512960, 3397513727, 'IN', 'India'),
(134217, '202.129.242.0', '202.129.243.255', 3397513728, 3397514239, 'SG', 'Singapore'),
(134218, '202.129.244.0', '202.129.247.255', 3397514240, 3397515263, 'AU', 'Australia'),
(134219, '202.129.248.0', '202.129.251.255', 3397515264, 3397516287, 'NP', 'Nepal'),
(134220, '202.129.252.0', '202.129.252.255', 3397516288, 3397516543, 'AU', 'Australia'),
(134221, '202.129.253.0', '202.129.253.255', 3397516544, 3397516799, 'NZ', 'New Zealand'),
(134222, '202.129.254.0', '202.129.254.255', 3397516800, 3397517055, 'JP', 'Japan'),
(134223, '202.129.255.0', '202.129.255.255', 3397517056, 3397517311, 'AU', 'Australia'),
(134224, '202.130.0.0', '202.130.31.255', 3397517312, 3397525503, 'CN', 'China'),
(134225, '202.130.32.0', '202.130.35.255', 3397525504, 3397526527, 'AU', 'Australia'),
(134226, '202.130.36.0', '202.130.37.255', 3397526528, 3397527039, 'VN', 'Vietnam'),
(134227, '202.130.38.0', '202.130.38.255', 3397527040, 3397527295, 'AU', 'Australia'),
(134228, '202.130.40.0', '202.130.43.255', 3397527552, 3397528575, 'IN', 'India'),
(134229, '202.130.44.0', '202.130.51.255', 3397528576, 3397530623, 'AU', 'Australia'),
(134230, '202.130.52.0', '202.130.55.255', 3397530624, 3397531647, 'ID', 'Indonesia'),
(134231, '202.130.56.0', '202.130.59.255', 3397531648, 3397532671, 'SG', 'Singapore'),
(134232, '202.130.60.0', '202.130.63.255', 3397532672, 3397533695, 'JP', 'Japan'),
(134233, '202.130.64.0', '202.130.132.255', 3397533696, 3397551359, 'HK', 'Hong Kong'),
(134234, '202.130.133.0', '202.130.133.255', 3397551360, 3397551615, 'AP', 'Asia/Pacific Region'),
(134235, '202.130.134.0', '202.130.155.255', 3397551616, 3397557247, 'HK', 'Hong Kong'),
(134236, '202.130.156.0', '202.130.156.255', 3397557248, 3397557503, 'AP', 'Asia/Pacific Region'),
(134237, '202.130.157.0', '202.130.191.255', 3397557504, 3397566463, 'HK', 'Hong Kong'),
(134238, '202.130.192.0', '202.130.223.255', 3397566464, 3397574655, 'AU', 'Australia'),
(134239, '202.130.224.0', '202.130.255.255', 3397574656, 3397582847, 'CN', 'China'),
(134240, '202.131.0.0', '202.131.7.255', 3397582848, 3397584895, 'MN', 'Mongolia'),
(134241, '202.131.8.0', '202.131.15.255', 3397584896, 3397586943, 'JP', 'Japan'),
(134242, '202.131.16.0', '202.131.23.255', 3397586944, 3397588991, 'CN', 'China'),
(134243, '202.131.24.0', '202.131.31.255', 3397588992, 3397591039, 'KR', 'Korea, Republic of'),
(134244, '202.131.32.0', '202.131.47.255', 3397591040, 3397595135, 'HK', 'Hong Kong'),
(134245, '202.131.48.0', '202.131.63.255', 3397595136, 3397599231, 'CN', 'China'),
(134246, '202.131.64.0', '202.131.79.255', 3397599232, 3397603327, 'HK', 'Hong Kong'),
(134247, '202.131.80.0', '202.131.87.255', 3397603328, 3397605375, 'KH', 'Cambodia'),
(134248, '202.131.88.0', '202.131.95.255', 3397605376, 3397607423, 'AU', 'Australia'),
(134249, '202.131.96.0', '202.131.159.255', 3397607424, 3397623807, 'IN', 'India'),
(134250, '202.131.160.0', '202.131.191.255', 3397623808, 3397631999, 'GU', 'Guam'),
(134251, '202.131.192.0', '202.131.207.255', 3397632000, 3397636095, 'JP', 'Japan'),
(134252, '202.131.208.0', '202.131.223.255', 3397636096, 3397640191, 'CN', 'China'),
(134253, '202.131.224.0', '202.131.255.255', 3397640192, 3397648383, 'MN', 'Mongolia'),
(134254, '202.132.0.0', '202.132.255.255', 3397648384, 3397713919, 'TW', 'Taiwan'),
(134255, '202.133.0.0', '202.133.7.255', 3397713920, 3397715967, 'ID', 'Indonesia'),
(134256, '202.133.8.0', '202.133.15.255', 3397715968, 3397718015, 'HK', 'Hong Kong'),
(134257, '202.133.16.0', '202.133.31.255', 3397718016, 3397722111, 'KR', 'Korea, Republic of'),
(134258, '202.133.32.0', '202.133.47.255', 3397722112, 3397726207, 'CN', 'China'),
(134259, '202.133.48.0', '202.133.63.255', 3397726208, 3397730303, 'IN', 'India'),
(134260, '202.133.96.0', '202.133.111.255', 3397738496, 3397742591, 'MY', 'Malaysia'),
(134261, '202.133.112.0', '202.133.127.255', 3397742592, 3397746687, 'JP', 'Japan'),
(134262, '202.133.128.0', '202.133.191.255', 3397746688, 3397763071, 'TH', 'Thailand'),
(134263, '202.133.192.0', '202.133.223.255', 3397763072, 3397771263, 'PH', 'Philippines'),
(134264, '202.133.224.0', '202.133.255.255', 3397771264, 3397779455, 'TW', 'Taiwan'),
(134265, '202.134.0.0', '202.134.7.255', 3397779456, 3397781503, 'ID', 'Indonesia'),
(134266, '202.134.8.0', '202.134.15.255', 3397781504, 3397783551, 'BD', 'Bangladesh'),
(134267, '202.134.16.0', '202.134.23.255', 3397783552, 3397785599, 'VN', 'Vietnam'),
(134268, '202.134.24.0', '202.134.31.255', 3397785600, 3397787647, 'TO', 'Tonga'),
(134269, '202.134.32.0', '202.134.47.255', 3397787648, 3397791743, 'AU', 'Australia'),
(134270, '202.134.48.0', '202.134.48.255', 3397791744, 3397791999, 'NZ', 'New Zealand'),
(134271, '202.134.49.0', '202.134.51.255', 3397792000, 3397792767, 'AU', 'Australia'),
(134272, '202.134.52.0', '202.134.52.255', 3397792768, 3397793023, 'IN', 'India'),
(134273, '202.134.53.0', '202.134.53.255', 3397793024, 3397793279, 'NZ', 'New Zealand'),
(134274, '202.134.54.0', '202.134.54.255', 3397793280, 3397793535, 'VN', 'Vietnam'),
(134275, '202.134.55.0', '202.134.55.255', 3397793536, 3397793791, 'HK', 'Hong Kong'),
(134276, '202.134.56.0', '202.134.57.255', 3397793792, 3397794303, 'PH', 'Philippines'),
(134277, '202.134.58.0', '202.134.58.255', 3397794304, 3397794559, 'CN', 'China'),
(134278, '202.134.59.0', '202.134.59.255', 3397794560, 3397794815, 'IN', 'India'),
(134279, '202.134.60.0', '202.134.127.255', 3397794816, 3397812223, 'HK', 'Hong Kong'),
(134280, '202.134.128.0', '202.134.143.255', 3397812224, 3397816319, 'CN', 'China'),
(134281, '202.134.144.0', '202.134.207.255', 3397816320, 3397832703, 'IN', 'India'),
(134282, '202.134.208.0', '202.134.223.255', 3397832704, 3397836799, 'JP', 'Japan'),
(134283, '202.134.224.0', '202.134.255.255', 3397836800, 3397844991, 'AU', 'Australia'),
(134284, '202.135.0.0', '202.135.96.255', 3397844992, 3397869823, 'JP', 'Japan'),
(134285, '202.135.97.0', '202.135.97.255', 3397869824, 3397870079, 'AU', 'Australia'),
(134286, '202.135.98.0', '202.135.255.255', 3397870080, 3397910527, 'JP', 'Japan'),
(134287, '202.136.0.0', '202.136.13.255', 3397910528, 3397914111, 'SG', 'Singapore'),
(134288, '202.136.14.0', '202.136.14.255', 3397914112, 3397914367, 'AP', 'Asia/Pacific Region'),
(134289, '202.136.15.0', '202.136.31.255', 3397914368, 3397918719, 'SG', 'Singapore'),
(134290, '202.136.32.0', '202.136.47.255', 3397918720, 3397922815, 'AU', 'Australia'),
(134291, '202.136.48.0', '202.136.63.255', 3397922816, 3397926911, 'CN', 'China'),
(134292, '202.136.96.0', '202.136.111.255', 3397935104, 3397939199, 'AU', 'Australia'),
(134293, '202.136.112.0', '202.136.159.255', 3397939200, 3397951487, 'KR', 'Korea, Republic of'),
(134294, '202.136.160.0', '202.136.191.255', 3397951488, 3397959679, 'SG', 'Singapore'),
(134295, '202.136.192.0', '202.136.207.255', 3397959680, 3397963775, 'JP', 'Japan'),
(134296, '202.136.208.0', '202.136.239.255', 3397963776, 3397971967, 'CN', 'China'),
(134297, '202.136.240.0', '202.136.247.255', 3397971968, 3397974015, 'LA', 'Lao People''s Democratic Republic'),
(134298, '202.136.252.0', '202.136.255.255', 3397975040, 3397976063, 'AU', 'Australia'),
(134299, '202.137.0.0', '202.137.31.255', 3397976064, 3397984255, 'ID', 'Indonesia'),
(134300, '202.137.32.0', '202.137.63.255', 3397984256, 3397992447, 'JP', 'Japan'),
(134301, '202.137.64.0', '202.137.111.255', 3397992448, 3398004735, 'AU', 'Australia'),
(134302, '202.137.112.0', '202.137.127.255', 3398004736, 3398008831, 'PH', 'Philippines'),
(134303, '202.137.128.0', '202.137.159.255', 3398008832, 3398017023, 'LA', 'Lao People''s Democratic Republic'),
(134304, '202.137.160.0', '202.137.175.255', 3398017024, 3398021119, 'AU', 'Australia'),
(134305, '202.137.176.0', '202.137.183.255', 3398021120, 3398023167, 'FJ', 'Fiji'),
(134306, '202.137.184.0', '202.137.191.255', 3398023168, 3398025215, 'JP', 'Japan'),
(134307, '202.137.192.0', '202.137.207.255', 3398025216, 3398029311, 'AU', 'Australia'),
(134308, '202.137.208.0', '202.137.223.255', 3398029312, 3398033407, 'IN', 'India'),
(134309, '202.137.224.0', '202.137.224.255', 3398033408, 3398033663, 'NZ', 'New Zealand'),
(134310, '202.137.225.0', '202.137.225.255', 3398033664, 3398033919, 'ID', 'Indonesia'),
(134311, '202.137.226.0', '202.137.229.255', 3398033920, 3398034943, 'IN', 'India'),
(134312, '202.137.230.0', '202.137.230.255', 3398034944, 3398035199, 'ID', 'Indonesia'),
(134313, '202.137.231.0', '202.137.231.255', 3398035200, 3398035455, 'CN', 'China'),
(134314, '202.137.232.0', '202.137.239.255', 3398035456, 3398037503, 'IN', 'India'),
(134315, '202.137.240.0', '202.137.247.255', 3398037504, 3398039551, 'NZ', 'New Zealand'),
(134316, '202.137.248.0', '202.137.251.255', 3398039552, 3398040575, 'IN', 'India'),
(134317, '202.137.252.0', '202.137.255.255', 3398040576, 3398041599, 'MY', 'Malaysia'),
(134318, '202.138.0.0', '202.138.79.255', 3398041600, 3398062079, 'AU', 'Australia'),
(134319, '202.138.80.0', '202.138.95.255', 3398062080, 3398066175, 'JP', 'Japan'),
(134320, '202.138.96.0', '202.138.127.255', 3398066176, 3398074367, 'IN', 'India'),
(134321, '202.138.128.0', '202.138.191.255', 3398074368, 3398090751, 'PH', 'Philippines'),
(134322, '202.138.192.0', '202.138.223.255', 3398090752, 3398098943, 'AU', 'Australia'),
(134323, '202.138.224.0', '202.138.255.255', 3398098944, 3398107135, 'ID', 'Indonesia'),
(134324, '202.139.0.0', '202.139.191.255', 3398107136, 3398156287, 'AU', 'Australia'),
(134325, '202.139.192.0', '202.139.223.255', 3398156288, 3398164479, 'TH', 'Thailand'),
(134326, '202.139.224.0', '202.139.255.255', 3398164480, 3398172671, 'AU', 'Australia'),
(134327, '202.140.0.0', '202.140.31.255', 3398172672, 3398180863, 'JP', 'Japan'),
(134328, '202.140.32.0', '202.140.63.255', 3398180864, 3398189055, 'IN', 'India'),
(134329, '202.140.64.0', '202.140.127.255', 3398189056, 3398205439, 'HK', 'Hong Kong'),
(134330, '202.140.136.0', '202.140.139.255', 3398207488, 3398208511, 'IN', 'India'),
(134331, '202.140.160.0', '202.140.191.255', 3398213632, 3398221823, 'TW', 'Taiwan'),
(134332, '202.140.192.0', '202.140.223.255', 3398221824, 3398230015, 'JP', 'Japan'),
(134333, '202.140.224.0', '202.140.255.255', 3398230016, 3398238207, 'AU', 'Australia'),
(134334, '202.141.0.0', '202.141.159.255', 3398238208, 3398279167, 'IN', 'India'),
(134335, '202.141.160.0', '202.141.191.255', 3398279168, 3398287359, 'CN', 'China'),
(134336, '202.141.192.0', '202.141.207.255', 3398287360, 3398291455, 'JP', 'Japan'),
(134337, '202.141.208.0', '202.141.223.255', 3398291456, 3398295551, 'AU', 'Australia'),
(134338, '202.141.224.0', '202.141.255.255', 3398295552, 3398303743, 'PK', 'Pakistan'),
(134339, '202.142.0.0', '202.142.7.255', 3398303744, 3398305791, 'IN', 'India'),
(134340, '202.142.8.0', '202.142.15.255', 3398305792, 3398307839, 'JP', 'Japan'),
(134341, '202.142.16.0', '202.142.31.255', 3398307840, 3398311935, 'CN', 'China'),
(134342, '202.142.32.0', '202.142.63.255', 3398311936, 3398320127, 'AU', 'Australia'),
(134343, '202.142.64.0', '202.142.127.255', 3398320128, 3398336511, 'IN', 'India'),
(134344, '202.142.128.0', '202.142.143.255', 3398336512, 3398340607, 'AU', 'Australia'),
(134345, '202.142.144.0', '202.142.191.255', 3398340608, 3398352895, 'PK', 'Pakistan'),
(134346, '202.142.192.0', '202.142.223.255', 3398352896, 3398361087, 'TH', 'Thailand'),
(134347, '202.142.224.0', '202.142.255.255', 3398361088, 3398369279, 'JP', 'Japan'),
(134348, '202.143.0.0', '202.143.1.255', 3398369280, 3398369791, 'IN', 'India'),
(134349, '202.143.2.0', '202.143.3.255', 3398369792, 3398370303, 'JP', 'Japan'),
(134350, '202.143.4.0', '202.143.7.255', 3398370304, 3398371327, 'CN', 'China'),
(134351, '202.143.8.0', '202.143.15.255', 3398371328, 3398373375, 'JP', 'Japan'),
(134352, '202.143.16.0', '202.143.47.255', 3398373376, 3398381567, 'CN', 'China'),
(134353, '202.143.48.0', '202.143.55.255', 3398381568, 3398383615, 'AU', 'Australia'),
(134354, '202.143.56.0', '202.143.63.255', 3398383616, 3398385663, 'CN', 'China'),
(134355, '202.143.64.0', '202.143.95.255', 3398385664, 3398393855, 'JP', 'Japan'),
(134356, '202.143.112.0', '202.143.127.255', 3398397952, 3398402047, 'PK', 'Pakistan'),
(134357, '202.143.128.0', '202.143.191.255', 3398402048, 3398418431, 'TH', 'Thailand'),
(134358, '202.143.192.0', '202.143.255.255', 3398418432, 3398434815, 'JP', 'Japan'),
(134359, '202.144.0.0', '202.144.127.255', 3398434816, 3398467583, 'IN', 'India'),
(134360, '202.144.128.0', '202.144.159.255', 3398467584, 3398475775, 'BT', 'Bhutan'),
(134361, '202.144.160.0', '202.144.183.255', 3398475776, 3398481919, 'AU', 'Australia'),
(134362, '202.144.184.0', '202.144.191.255', 3398481920, 3398483967, 'LA', 'Lao People''s Democratic Republic'),
(134363, '202.144.192.0', '202.144.207.255', 3398483968, 3398488063, 'MY', 'Malaysia'),
(134364, '202.144.208.0', '202.144.223.255', 3398488064, 3398492159, 'TW', 'Taiwan'),
(134365, '202.144.224.0', '202.144.255.255', 3398492160, 3398500351, 'JP', 'Japan'),
(134366, '202.145.0.0', '202.145.15.255', 3398500352, 3398504447, 'ID', 'Indonesia'),
(134367, '202.145.16.0', '202.145.31.255', 3398504448, 3398508543, 'JP', 'Japan'),
(134368, '202.145.32.0', '202.145.255.255', 3398508544, 3398565887, 'TW', 'Taiwan'),
(134369, '202.146.0.0', '202.146.5.255', 3398565888, 3398567423, 'ID', 'Indonesia'),
(134370, '202.146.6.0', '202.146.15.255', 3398567424, 3398569983, 'AU', 'Australia'),
(134371, '202.146.16.0', '202.146.23.255', 3398569984, 3398572031, 'JP', 'Japan'),
(134372, '202.146.24.0', '202.146.31.255', 3398572032, 3398574079, 'AU', 'Australia'),
(134373, '202.146.32.0', '202.146.63.255', 3398574080, 3398582271, 'ID', 'Indonesia'),
(134374, '202.146.64.0', '202.146.95.255', 3398582272, 3398590463, 'MY', 'Malaysia'),
(134375, '202.146.96.0', '202.146.127.255', 3398590464, 3398598655, 'HK', 'Hong Kong'),
(134376, '202.146.128.0', '202.146.159.255', 3398598656, 3398606847, 'ID', 'Indonesia'),
(134377, '202.146.160.0', '202.146.175.255', 3398606848, 3398610943, 'CN', 'China'),
(134378, '202.146.176.0', '202.146.183.255', 3398610944, 3398612991, 'ID', 'Indonesia'),
(134379, '202.146.184.0', '202.146.185.255', 3398612992, 3398613503, 'PH', 'Philippines'),
(134380, '202.146.187.0', '202.146.187.255', 3398613760, 3398614015, 'AU', 'Australia'),
(134381, '202.146.188.0', '202.146.191.255', 3398614016, 3398615039, 'CN', 'China'),
(134382, '202.146.192.0', '202.146.195.255', 3398615040, 3398616063, 'IN', 'India'),
(134383, '202.146.196.0', '202.146.207.255', 3398616064, 3398619135, 'CN', 'China'),
(134384, '202.146.208.0', '202.146.215.255', 3398619136, 3398621183, 'AU', 'Australia'),
(134385, '202.146.216.0', '202.146.223.255', 3398621184, 3398623231, 'HK', 'Hong Kong'),
(134386, '202.146.224.0', '202.146.255.255', 3398623232, 3398631423, 'ID', 'Indonesia'),
(134387, '202.147.0.0', '202.147.24.255', 3398631424, 3398637823, 'JP', 'Japan'),
(134388, '202.147.25.0', '202.147.25.255', 3398637824, 3398638079, 'PH', 'Philippines'),
(134389, '202.147.26.0', '202.147.63.255', 3398638080, 3398647807, 'JP', 'Japan'),
(134390, '202.147.64.0', '202.147.143.255', 3398647808, 3398668287, 'AU', 'Australia'),
(134391, '202.147.144.0', '202.147.159.255', 3398668288, 3398672383, 'CN', 'China'),
(134392, '202.147.160.0', '202.147.191.255', 3398672384, 3398680575, 'PK', 'Pakistan'),
(134393, '202.147.192.0', '202.147.207.255', 3398680576, 3398684671, 'ID', 'Indonesia'),
(134394, '202.147.208.0', '202.147.223.255', 3398684672, 3398688767, 'JP', 'Japan'),
(134395, '202.147.224.0', '202.148.31.255', 3398688768, 3398705151, 'ID', 'Indonesia'),
(134396, '202.148.32.0', '202.148.47.255', 3398705152, 3398709247, 'CN', 'China'),
(134397, '202.148.48.0', '202.148.55.255', 3398709248, 3398711295, 'AU', 'Australia'),
(134398, '202.148.64.0', '202.148.127.255', 3398713344, 3398729727, 'CN', 'China'),
(134399, '202.148.128.0', '202.148.159.255', 3398729728, 3398737919, 'AU', 'Australia'),
(134400, '202.148.160.0', '202.148.175.255', 3398737920, 3398742015, 'SG', 'Singapore'),
(134401, '202.148.176.0', '202.148.191.255', 3398742016, 3398746111, 'TH', 'Thailand'),
(134402, '202.148.192.0', '202.148.207.255', 3398746112, 3398750207, 'IN', 'India'),
(134403, '202.148.208.0', '202.148.223.255', 3398750208, 3398754303, 'TW', 'Taiwan'),
(134404, '202.148.224.0', '202.148.239.255', 3398754304, 3398758399, 'AU', 'Australia'),
(134405, '202.148.240.0', '202.149.23.255', 3398758400, 3398768639, 'JP', 'Japan'),
(134406, '202.149.24.0', '202.149.31.255', 3398768640, 3398770687, 'TH', 'Thailand'),
(134407, '202.149.32.0', '202.149.63.255', 3398770688, 3398778879, 'CN', 'China'),
(134408, '202.149.64.0', '202.149.95.255', 3398778880, 3398787071, 'ID', 'Indonesia'),
(134409, '202.149.96.0', '202.149.127.255', 3398787072, 3398795263, 'TH', 'Thailand'),
(134410, '202.149.128.0', '202.149.159.255', 3398795264, 3398803455, 'ID', 'Indonesia'),
(134411, '202.149.160.0', '202.149.191.255', 3398803456, 3398811647, 'CN', 'China'),
(134412, '202.149.192.0', '202.149.223.255', 3398811648, 3398819839, 'IN', 'India'),
(134413, '202.149.224.0', '202.149.255.255', 3398819840, 3398828031, 'CN', 'China'),
(134414, '202.150.0.0', '202.150.3.255', 3398828032, 3398829055, 'KH', 'Cambodia'),
(134415, '202.150.4.0', '202.150.7.255', 3398829056, 3398830079, 'IN', 'India'),
(134416, '202.150.8.0', '202.150.11.255', 3398830080, 3398831103, 'KH', 'Cambodia'),
(134417, '202.150.12.0', '202.150.12.255', 3398831104, 3398831359, 'JP', 'Japan'),
(134418, '202.150.13.0', '202.150.13.255', 3398831360, 3398831615, 'HK', 'Hong Kong'),
(134419, '202.150.14.0', '202.150.15.255', 3398831616, 3398832127, 'JP', 'Japan'),
(134420, '202.150.16.0', '202.150.47.255', 3398832128, 3398840319, 'CN', 'China'),
(134421, '202.150.48.0', '202.150.55.255', 3398840320, 3398842367, 'JP', 'Japan'),
(134422, '202.150.56.0', '202.150.59.255', 3398842368, 3398843391, 'CN', 'China'),
(134423, '202.150.60.0', '202.150.63.255', 3398843392, 3398844415, 'AU', 'Australia'),
(134424, '202.150.64.0', '202.150.95.255', 3398844416, 3398852607, 'ID', 'Indonesia'),
(134425, '202.150.96.0', '202.150.127.255', 3398852608, 3398860799, 'NZ', 'New Zealand'),
(134426, '202.150.128.0', '202.150.175.255', 3398860800, 3398873087, 'ID', 'Indonesia'),
(134427, '202.150.176.0', '202.150.191.255', 3398873088, 3398877183, 'KR', 'Korea, Republic of'),
(134428, '202.150.192.0', '202.150.207.255', 3398877184, 3398881279, 'CN', 'China'),
(134429, '202.150.208.0', '202.150.223.255', 3398881280, 3398885375, 'SG', 'Singapore'),
(134430, '202.150.224.0', '202.151.3.255', 3398885376, 3398894591, 'CN', 'China'),
(134431, '202.151.4.0', '202.151.7.255', 3398894592, 3398895615, 'TH', 'Thailand'),
(134432, '202.151.8.0', '202.151.15.255', 3398895616, 3398897663, 'ID', 'Indonesia'),
(134433, '202.151.16.0', '202.151.31.255', 3398897664, 3398901759, 'FJ', 'Fiji'),
(134434, '202.151.32.0', '202.151.32.255', 3398901760, 3398902015, 'AU', 'Australia'),
(134435, '202.151.33.0', '202.151.33.255', 3398902016, 3398902271, 'HK', 'Hong Kong'),
(134436, '202.151.34.0', '202.151.35.255', 3398902272, 3398902783, 'PH', 'Philippines'),
(134437, '202.151.36.0', '202.151.39.255', 3398902784, 3398903807, 'AU', 'Australia'),
(134438, '202.151.40.0', '202.151.47.255', 3398903808, 3398905855, 'TH', 'Thailand'),
(134439, '202.151.48.0', '202.151.63.255', 3398905856, 3398909951, 'TW', 'Taiwan'),
(134440, '202.151.64.0', '202.151.95.255', 3398909952, 3398918143, 'GU', 'Guam'),
(134441, '202.151.96.0', '202.151.127.255', 3398918144, 3398926335, 'JP', 'Japan'),
(134442, '202.151.128.0', '202.151.159.255', 3398926336, 3398934527, 'CN', 'China'),
(134443, '202.151.160.0', '202.151.175.255', 3398934528, 3398938623, 'VN', 'Vietnam'),
(134444, '202.151.176.0', '202.151.191.255', 3398938624, 3398942719, 'TH', 'Thailand'),
(134445, '202.151.192.0', '202.151.255.255', 3398942720, 3398959103, 'MY', 'Malaysia'),
(134446, '202.152.0.0', '202.152.63.255', 3398959104, 3398975487, 'ID', 'Indonesia'),
(134447, '202.152.64.0', '202.152.95.255', 3398975488, 3398983679, 'BN', 'Brunei Darussalam'),
(134448, '202.152.96.0', '202.152.127.255', 3398983680, 3398991871, 'JP', 'Japan'),
(134449, '202.152.128.0', '202.152.175.255', 3398991872, 3399004159, 'ID', 'Indonesia'),
(134450, '202.152.176.0', '202.152.191.255', 3399004160, 3399008255, 'CN', 'China'),
(134451, '202.152.192.0', '202.152.207.255', 3399008256, 3399012351, 'ID', 'Indonesia'),
(134452, '202.152.208.0', '202.152.223.255', 3399012352, 3399016447, 'JP', 'Japan'),
(134453, '202.152.224.0', '202.152.255.255', 3399016448, 3399024639, 'ID', 'Indonesia'),
(134454, '202.153.0.0', '202.153.3.255', 3399024640, 3399025663, 'CN', 'China'),
(134455, '202.153.6.0', '202.153.6.255', 3399026176, 3399026431, 'SG', 'Singapore'),
(134456, '202.153.7.0', '202.153.7.255', 3399026432, 3399026687, 'AU', 'Australia'),
(134457, '202.153.8.0', '202.153.15.255', 3399026688, 3399028735, 'HK', 'Hong Kong'),
(134458, '202.153.16.0', '202.153.31.255', 3399028736, 3399032831, 'ID', 'Indonesia'),
(134459, '202.153.32.0', '202.153.47.255', 3399032832, 3399036927, 'IN', 'India'),
(134460, '202.153.48.0', '202.153.63.255', 3399036928, 3399041023, 'CN', 'China'),
(134461, '202.153.64.0', '202.153.79.255', 3399041024, 3399045119, 'AU', 'Australia'),
(134462, '202.153.80.0', '202.153.87.255', 3399045120, 3399047167, 'MV', 'Maldives'),
(134463, '202.153.88.0', '202.153.127.255', 3399047168, 3399057407, 'HK', 'Hong Kong'),
(134464, '202.153.128.0', '202.153.159.255', 3399057408, 3399065599, 'ID', 'Indonesia'),
(134465, '202.153.160.0', '202.153.207.255', 3399065600, 3399077887, 'TW', 'Taiwan'),
(134466, '202.153.208.0', '202.153.223.255', 3399077888, 3399081983, 'AU', 'Australia'),
(134467, '202.153.224.0', '202.154.63.255', 3399081984, 3399106559, 'ID', 'Indonesia'),
(134468, '202.154.64.0', '202.154.127.255', 3399106560, 3399122943, 'AU', 'Australia'),
(134469, '202.154.128.0', '202.154.159.255', 3399122944, 3399131135, 'NZ', 'New Zealand'),
(134470, '202.154.160.0', '202.154.175.255', 3399131136, 3399135231, 'IN', 'India'),
(134471, '202.154.176.0', '202.154.191.255', 3399135232, 3399139327, 'ID', 'Indonesia'),
(134472, '202.154.192.0', '202.154.223.255', 3399139328, 3399147519, 'TW', 'Taiwan'),
(134473, '202.154.224.0', '202.154.255.255', 3399147520, 3399155711, 'PK', 'Pakistan'),
(134474, '202.155.0.0', '202.155.159.255', 3399155712, 3399196671, 'ID', 'Indonesia'),
(134475, '202.155.160.0', '202.155.191.255', 3399196672, 3399204863, 'AU', 'Australia'),
(134476, '202.155.192.0', '202.155.255.255', 3399204864, 3399221247, 'HK', 'Hong Kong'),
(134477, '202.156.0.0', '202.156.255.255', 3399221248, 3399286783, 'SG', 'Singapore'),
(134478, '202.157.0.0', '202.157.63.255', 3399286784, 3399303167, 'JP', 'Japan'),
(134479, '202.157.64.0', '202.157.95.255', 3399303168, 3399311359, 'IN', 'India'),
(134480, '202.157.96.0', '202.157.127.255', 3399311360, 3399319551, 'JP', 'Japan'),
(134481, '202.157.128.0', '202.157.191.255', 3399319552, 3399335935, 'SG', 'Singapore'),
(134482, '202.157.192.0', '202.157.223.255', 3399335936, 3399344127, 'CN', 'China'),
(134483, '202.157.224.0', '202.157.255.255', 3399344128, 3399352319, 'JP', 'Japan'),
(134484, '202.158.0.0', '202.158.143.255', 3399352320, 3399389183, 'ID', 'Indonesia'),
(134485, '202.158.144.0', '202.158.159.255', 3399389184, 3399393279, 'KR', 'Korea, Republic of'),
(134486, '202.158.160.0', '202.158.191.255', 3399393280, 3399401471, 'CN', 'China'),
(134487, '202.158.192.0', '202.158.223.255', 3399401472, 3399409663, 'AU', 'Australia'),
(134488, '202.158.224.0', '202.158.239.255', 3399409664, 3399413759, 'JP', 'Japan'),
(134489, '202.158.240.0', '202.158.240.255', 3399413760, 3399414015, 'SG', 'Singapore'),
(134490, '202.158.241.0', '202.158.241.255', 3399414016, 3399414271, 'AU', 'Australia'),
(134491, '202.158.243.0', '202.158.243.255', 3399414528, 3399414783, 'AU', 'Australia'),
(134492, '202.158.244.0', '202.158.247.255', 3399414784, 3399415807, 'VN', 'Vietnam'),
(134493, '202.158.248.0', '202.158.251.255', 3399415808, 3399416831, 'SG', 'Singapore'),
(134494, '202.158.252.0', '202.158.252.255', 3399416832, 3399417087, 'ID', 'Indonesia'),
(134495, '202.158.253.0', '202.158.255.255', 3399417088, 3399417855, 'AU', 'Australia'),
(134496, '202.159.0.0', '202.159.127.255', 3399417856, 3399450623, 'ID', 'Indonesia'),
(134497, '202.159.128.0', '202.159.191.255', 3399450624, 3399467007, 'AU', 'Australia'),
(134498, '202.159.192.0', '202.159.255.255', 3399467008, 3399483391, 'IN', 'India'),
(134499, '202.160.0.0', '202.160.47.255', 3399483392, 3399495679, 'BN', 'Brunei Darussalam'),
(134500, '202.160.48.0', '202.160.63.255', 3399495680, 3399499775, 'NZ', 'New Zealand'),
(134501, '202.160.64.0', '202.160.95.255', 3399499776, 3399507967, 'TW', 'Taiwan'),
(134502, '202.160.96.0', '202.160.111.255', 3399507968, 3399512063, 'AU', 'Australia'),
(134503, '202.160.112.0', '202.160.119.255', 3399512064, 3399514111, 'NZ', 'New Zealand'),
(134504, '202.160.120.0', '202.160.123.255', 3399514112, 3399515135, 'SG', 'Singapore'),
(134505, '202.160.124.0', '202.160.125.255', 3399515136, 3399515647, 'VN', 'Vietnam'),
(134506, '202.160.126.0', '202.160.127.255', 3399515648, 3399516159, 'AU', 'Australia'),
(134507, '202.160.160.0', '202.160.175.255', 3399524352, 3399528447, 'IN', 'India'),
(134508, '202.160.176.0', '202.160.191.255', 3399528448, 3399532543, 'CN', 'China'),
(134509, '202.160.192.0', '202.160.255.255', 3399532544, 3399548927, 'SG', 'Singapore'),
(134510, '202.161.0.0', '202.161.31.255', 3399548928, 3399557119, 'AU', 'Australia'),
(134511, '202.161.32.0', '202.161.63.255', 3399557120, 3399565311, 'SG', 'Singapore'),
(134512, '202.161.64.0', '202.161.127.255', 3399565312, 3399581695, 'AU', 'Australia'),
(134513, '202.161.128.0', '202.161.175.255', 3399581696, 3399593983, 'HK', 'Hong Kong'),
(134514, '202.161.176.0', '202.161.191.255', 3399593984, 3399598079, 'BD', 'Bangladesh'),
(134515, '202.161.192.0', '202.161.255.255', 3399598080, 3399614463, 'JP', 'Japan'),
(134516, '202.162.0.0', '202.162.31.255', 3399614464, 3399622655, 'MY', 'Malaysia'),
(134517, '202.162.32.0', '202.162.47.255', 3399622656, 3399626751, 'ID', 'Indonesia'),
(134518, '202.162.48.0', '202.162.63.255', 3399626752, 3399630847, 'IN', 'India'),
(134519, '202.162.64.0', '202.162.66.255', 3399630848, 3399631615, 'AU', 'Australia'),
(134520, '202.162.67.0', '202.162.67.255', 3399631616, 3399631871, 'CN', 'China'),
(134521, '202.162.68.0', '202.162.71.255', 3399631872, 3399632895, 'SG', 'Singapore'),
(134522, '202.162.72.0', '202.162.73.255', 3399632896, 3399633407, 'NZ', 'New Zealand'),
(134523, '202.162.74.0', '202.162.74.255', 3399633408, 3399633663, 'AU', 'Australia'),
(134524, '202.162.75.0', '202.162.75.255', 3399633664, 3399633919, 'CN', 'China'),
(134525, '202.162.76.0', '202.162.79.255', 3399633920, 3399634943, 'TH', 'Thailand'),
(134526, '202.162.80.0', '202.162.95.255', 3399634944, 3399639039, 'JP', 'Japan'),
(134527, '202.162.96.0', '202.162.111.255', 3399639040, 3399643135, 'AU', 'Australia'),
(134528, '202.162.112.0', '202.162.159.255', 3399643136, 3399655423, 'JP', 'Japan'),
(134529, '202.162.160.0', '202.162.175.255', 3399655424, 3399659519, 'PH', 'Philippines'),
(134530, '202.162.176.0', '202.162.183.255', 3399659520, 3399661567, 'NZ', 'New Zealand'),
(134531, '202.162.184.0', '202.162.187.255', 3399661568, 3399662591, 'HK', 'Hong Kong'),
(134532, '202.162.188.0', '202.162.191.255', 3399662592, 3399663615, 'IN', 'India'),
(134533, '202.162.192.0', '202.162.223.255', 3399663616, 3399671807, 'ID', 'Indonesia'),
(134534, '202.162.224.0', '202.162.255.255', 3399671808, 3399679999, 'IN', 'India'),
(134535, '202.163.0.0', '202.163.31.255', 3399680000, 3399688191, 'HK', 'Hong Kong'),
(134536, '202.163.32.0', '202.163.63.255', 3399688192, 3399696383, 'SG', 'Singapore'),
(134537, '202.163.64.0', '202.163.127.255', 3399696384, 3399712767, 'PK', 'Pakistan'),
(134538, '202.163.128.0', '202.163.159.255', 3399712768, 3399720959, 'KR', 'Korea, Republic of'),
(134539, '202.163.160.0', '202.163.191.255', 3399720960, 3399729151, 'JP', 'Japan'),
(134540, '202.163.192.0', '202.163.255.255', 3399729152, 3399745535, 'PH', 'Philippines'),
(134541, '202.164.0.0', '202.164.15.255', 3399745536, 3399749631, 'CN', 'China'),
(134542, '202.164.16.0', '202.164.23.255', 3399749632, 3399751679, 'AU', 'Australia'),
(134543, '202.164.24.0', '202.164.24.255', 3399751680, 3399751935, 'IN', 'India'),
(134544, '202.164.25.0', '202.164.25.255', 3399751936, 3399752191, 'CN', 'China'),
(134545, '202.164.26.0', '202.164.26.255', 3399752192, 3399752447, 'AU', 'Australia'),
(134546, '202.164.27.0', '202.164.27.255', 3399752448, 3399752703, 'HK', 'Hong Kong'),
(134547, '202.164.28.0', '202.164.31.255', 3399752704, 3399753727, 'NZ', 'New Zealand'),
(134548, '202.164.32.0', '202.164.63.255', 3399753728, 3399761919, 'IN', 'India'),
(134549, '202.164.64.0', '202.164.95.255', 3399761920, 3399770111, 'JP', 'Japan'),
(134550, '202.164.96.0', '202.164.127.255', 3399770112, 3399778303, 'CN', 'China'),
(134551, '202.164.128.0', '202.164.159.255', 3399778304, 3399786495, 'IN', 'India'),
(134552, '202.164.160.0', '202.164.191.255', 3399786496, 3399794687, 'PH', 'Philippines'),
(134553, '202.164.192.0', '202.164.207.255', 3399794688, 3399798783, 'AU', 'Australia'),
(134554, '202.164.208.0', '202.164.215.255', 3399798784, 3399800831, 'BD', 'Bangladesh'),
(134555, '202.164.216.0', '202.164.223.255', 3399800832, 3399802879, 'ID', 'Indonesia'),
(134556, '202.164.224.0', '202.164.255.255', 3399802880, 3399811071, 'JP', 'Japan'),
(134557, '202.165.0.0', '202.165.31.255', 3399811072, 3399819263, 'MY', 'Malaysia'),
(134558, '202.165.32.0', '202.165.47.255', 3399819264, 3399823359, 'ID', 'Indonesia'),
(134559, '202.165.48.0', '202.165.55.255', 3399823360, 3399825407, 'JP', 'Japan'),
(134560, '202.165.56.0', '202.165.59.255', 3399825408, 3399826431, 'KR', 'Korea, Republic of'),
(134561, '202.165.60.0', '202.165.61.255', 3399826432, 3399826943, 'PH', 'Philippines'),
(134562, '202.165.62.0', '202.165.63.255', 3399826944, 3399827455, 'IN', 'India'),
(134563, '202.165.64.0', '202.165.95.255', 3399827456, 3399835647, 'AU', 'Australia'),
(134564, '202.165.96.0', '202.165.111.255', 3399835648, 3399839743, 'CN', 'China'),
(134565, '202.165.112.0', '202.165.119.255', 3399839744, 3399841791, 'JP', 'Japan'),
(134566, '202.165.120.0', '202.165.159.255', 3399841792, 3399852031, 'TW', 'Taiwan'),
(134567, '202.165.160.0', '202.165.175.255', 3399852032, 3399856127, 'JP', 'Japan'),
(134568, '202.165.176.0', '202.165.191.255', 3399856128, 3399860223, 'CN', 'China'),
(134569, '202.165.192.0', '202.165.207.255', 3399860224, 3399864319, 'PG', 'Papua New Guinea'),
(134570, '202.165.208.0', '202.165.223.255', 3399864320, 3399868415, 'CN', 'China'),
(134571, '202.165.224.0', '202.165.238.255', 3399868416, 3399872255, 'PK', 'Pakistan'),
(134572, '202.165.239.0', '202.165.241.255', 3399872256, 3399873023, 'CN', 'China'),
(134573, '202.165.242.0', '202.165.242.255', 3399873024, 3399873279, 'PK', 'Pakistan'),
(134574, '202.165.243.0', '202.165.243.255', 3399873280, 3399873535, 'CN', 'China'),
(134575, '202.165.244.0', '202.165.244.255', 3399873536, 3399873791, 'PK', 'Pakistan'),
(134576, '202.165.245.0', '202.165.245.255', 3399873792, 3399874047, 'CN', 'China'),
(134577, '202.165.246.0', '202.165.250.255', 3399874048, 3399875327, 'PK', 'Pakistan'),
(134578, '202.165.251.0', '202.165.255.255', 3399875328, 3399876607, 'CN', 'China'),
(134579, '202.166.0.0', '202.166.159.255', 3399876608, 3399917567, 'SG', 'Singapore'),
(134580, '202.166.160.0', '202.166.175.255', 3399917568, 3399921663, 'PK', 'Pakistan'),
(134581, '202.166.176.0', '202.166.183.255', 3399921664, 3399923711, 'NC', 'New Caledonia'),
(134582, '202.166.184.0', '202.166.184.255', 3399923712, 3399923967, 'IN', 'India'),
(134583, '202.166.185.0', '202.166.185.255', 3399923968, 3399924223, 'JP', 'Japan'),
(134584, '202.166.186.0', '202.166.187.255', 3399924224, 3399924735, 'AU', 'Australia'),
(134585, '202.166.188.0', '202.166.191.255', 3399924736, 3399925759, 'PH', 'Philippines'),
(134586, '202.166.192.0', '202.166.223.255', 3399925760, 3399933951, 'NP', 'Nepal'),
(134587, '202.166.224.0', '202.166.255.255', 3399933952, 3399942143, 'CN', 'China'),
(134588, '202.167.0.0', '202.167.14.255', 3399942144, 3399945983, 'HK', 'Hong Kong'),
(134589, '202.167.15.0', '202.167.15.255', 3399945984, 3399946239, 'AU', 'Australia'),
(134590, '202.167.16.0', '202.167.31.255', 3399946240, 3399950335, 'HK', 'Hong Kong'),
(134591, '202.167.32.0', '202.167.63.255', 3399950336, 3399958527, 'MY', 'Malaysia'),
(134592, '202.167.64.0', '202.167.127.255', 3399958528, 3399974911, 'US', 'United States'),
(134593, '202.167.128.0', '202.167.207.255', 3399974912, 3399995391, 'MY', 'Malaysia'),
(134594, '202.167.208.0', '202.167.223.255', 3399995392, 3399999487, 'KR', 'Korea, Republic of'),
(134595, '202.167.224.0', '202.167.244.63', 3399999488, 3400004671, 'SG', 'Singapore'),
(134596, '202.167.244.64', '202.167.244.95', 3400004672, 3400004703, 'AU', 'Australia'),
(134597, '202.167.244.96', '202.167.249.255', 3400004704, 3400006143, 'SG', 'Singapore'),
(134598, '202.167.250.0', '202.167.250.255', 3400006144, 3400006399, 'HK', 'Hong Kong'),
(134599, '202.167.251.0', '202.167.252.255', 3400006400, 3400006911, 'SG', 'Singapore'),
(134600, '202.167.253.0', '202.167.253.15', 3400006912, 3400006927, 'AU', 'Australia'),
(134601, '202.167.253.16', '202.167.255.255', 3400006928, 3400007679, 'SG', 'Singapore'),
(134602, '202.168.0.0', '202.168.63.255', 3400007680, 3400024063, 'AU', 'Australia'),
(134603, '202.168.64.0', '202.168.79.255', 3400024064, 3400028159, 'MY', 'Malaysia'),
(134604, '202.168.88.0', '202.168.91.255', 3400030208, 3400031231, 'IN', 'India'),
(134605, '202.168.92.0', '202.168.93.255', 3400031232, 3400031743, 'SG', 'Singapore'),
(134606, '202.168.94.0', '202.168.94.255', 3400031744, 3400031999, 'IN', 'India'),
(134607, '202.168.95.0', '202.168.95.255', 3400032000, 3400032255, 'HK', 'Hong Kong'),
(134608, '202.168.96.0', '202.168.127.255', 3400032256, 3400040447, 'AU', 'Australia'),
(134609, '202.168.160.0', '202.168.191.255', 3400048640, 3400056831, 'CN', 'China'),
(134610, '202.168.192.0', '202.168.207.255', 3400056832, 3400060927, 'TW', 'Taiwan'),
(134611, '202.168.208.0', '202.168.215.255', 3400060928, 3400062975, 'HK', 'Hong Kong'),
(134612, '202.168.216.0', '202.168.223.255', 3400062976, 3400065023, 'JP', 'Japan'),
(134613, '202.168.224.0', '202.168.255.255', 3400065024, 3400073215, 'BD', 'Bangladesh'),
(134614, '202.169.0.0', '202.169.15.255', 3400073216, 3400077311, 'HK', 'Hong Kong'),
(134615, '202.169.16.0', '202.169.23.255', 3400077312, 3400079359, 'AU', 'Australia'),
(134616, '202.169.24.0', '202.169.31.255', 3400079360, 3400081407, 'MY', 'Malaysia'),
(134617, '202.169.32.0', '202.169.63.255', 3400081408, 3400089599, 'ID', 'Indonesia'),
(134618, '202.169.64.0', '202.169.95.255', 3400089600, 3400097791, 'JP', 'Japan'),
(134619, '202.169.96.0', '202.169.127.255', 3400097792, 3400105983, 'AU', 'Australia'),
(134620, '202.169.128.0', '202.169.159.255', 3400105984, 3400114175, 'JP', 'Japan'),
(134621, '202.169.160.0', '202.169.175.255', 3400114176, 3400118271, 'TW', 'Taiwan'),
(134622, '202.169.176.0', '202.169.183.255', 3400118272, 3400120319, 'AU', 'Australia'),
(134623, '202.169.184.0', '202.169.191.255', 3400120320, 3400122367, 'JP', 'Japan'),
(134624, '202.169.192.0', '202.169.223.255', 3400122368, 3400130559, 'NZ', 'New Zealand'),
(134625, '202.169.224.0', '202.169.255.255', 3400130560, 3400138751, 'ID', 'Indonesia'),
(134626, '202.170.0.0', '202.170.31.255', 3400138752, 3400146943, 'HK', 'Hong Kong'),
(134627, '202.170.32.0', '202.170.47.255', 3400146944, 3400151039, 'FJ', 'Fiji'),
(134628, '202.170.48.0', '202.170.63.255', 3400151040, 3400155135, 'MY', 'Malaysia'),
(134629, '202.170.64.0', '202.170.95.255', 3400155136, 3400163327, 'MN', 'Mongolia'),
(134630, '202.170.96.0', '202.170.111.255', 3400163328, 3400167423, 'JP', 'Japan'),
(134631, '202.170.112.0', '202.170.127.255', 3400167424, 3400171519, 'TH', 'Thailand'),
(134632, '202.170.128.0', '202.170.159.255', 3400171520, 3400179711, 'CN', 'China'),
(134633, '202.170.160.0', '202.170.175.255', 3400179712, 3400183807, 'NZ', 'New Zealand'),
(134634, '202.170.176.0', '202.170.191.255', 3400183808, 3400187903, 'JP', 'Japan'),
(134635, '202.170.192.0', '202.170.199.255', 3400187904, 3400189951, 'AU', 'Australia'),
(134636, '202.170.208.0', '202.170.215.255', 3400192000, 3400194047, 'JP', 'Japan'),
(134637, '202.170.216.0', '202.170.255.255', 3400194048, 3400204287, 'CN', 'China'),
(134638, '202.171.0.0', '202.171.31.255', 3400204288, 3400212479, 'ID', 'Indonesia'),
(134639, '202.171.32.0', '202.171.63.255', 3400212480, 3400220671, 'MY', 'Malaysia'),
(134640, '202.171.64.0', '202.171.79.255', 3400220672, 3400224767, 'NC', 'New Caledonia'),
(134641, '202.171.80.0', '202.171.95.255', 3400224768, 3400228863, 'JP', 'Japan'),
(134642, '202.171.96.0', '202.171.111.255', 3400228864, 3400232959, 'AU', 'Australia'),
(134643, '202.171.112.0', '202.171.159.255', 3400232960, 3400245247, 'JP', 'Japan'),
(134644, '202.171.160.0', '202.171.191.255', 3400245248, 3400253439, 'AU', 'Australia'),
(134645, '202.171.192.0', '202.171.207.255', 3400253440, 3400257535, 'MY', 'Malaysia'),
(134646, '202.171.208.0', '202.171.215.255', 3400257536, 3400259583, 'HK', 'Hong Kong'),
(134647, '202.171.216.0', '202.171.223.255', 3400259584, 3400261631, 'CN', 'China'),
(134648, '202.171.224.0', '202.171.231.255', 3400261632, 3400263679, 'JP', 'Japan'),
(134649, '202.171.232.0', '202.171.232.255', 3400263680, 3400263935, 'AU', 'Australia'),
(134650, '202.171.233.0', '202.171.233.255', 3400263936, 3400264191, 'ID', 'Indonesia'),
(134651, '202.171.234.0', '202.171.234.255', 3400264192, 3400264447, 'IN', 'India'),
(134652, '202.171.235.0', '202.171.235.255', 3400264448, 3400264703, 'CN', 'China'),
(134653, '202.171.236.0', '202.171.237.255', 3400264704, 3400265215, 'ID', 'Indonesia'),
(134654, '202.171.238.0', '202.171.238.255', 3400265216, 3400265471, 'AU', 'Australia'),
(134655, '202.171.239.0', '202.171.239.255', 3400265472, 3400265727, 'IN', 'India'),
(134656, '202.171.240.0', '202.171.247.255', 3400265728, 3400267775, 'PG', 'Papua New Guinea'),
(134657, '202.171.248.0', '202.171.251.255', 3400267776, 3400268799, 'KR', 'Korea, Republic of'),
(134658, '202.171.252.0', '202.171.255.255', 3400268800, 3400269823, 'MO', 'Macau'),
(134659, '202.172.0.0', '202.172.3.255', 3400269824, 3400270847, 'CN', 'China'),
(134660, '202.172.4.0', '202.172.5.255', 3400270848, 3400271359, 'VN', 'Vietnam'),
(134661, '202.172.6.0', '202.172.6.255', 3400271360, 3400271615, 'AU', 'Australia'),
(134662, '202.172.7.0', '202.172.7.255', 3400271616, 3400271871, 'IN', 'India'),
(134663, '202.172.8.0', '202.172.15.255', 3400271872, 3400273919, 'AU', 'Australia'),
(134664, '202.172.16.0', '202.172.23.255', 3400273920, 3400275967, 'TH', 'Thailand'),
(134665, '202.172.24.0', '202.172.31.255', 3400275968, 3400278015, 'JP', 'Japan'),
(134666, '202.172.32.0', '202.172.63.255', 3400278016, 3400286207, 'SG', 'Singapore'),
(134667, '202.172.64.0', '202.172.95.255', 3400286208, 3400294399, 'JP', 'Japan'),
(134668, '202.172.96.0', '202.172.159.255', 3400294400, 3400310783, 'AU', 'Australia'),
(134669, '202.172.160.0', '202.172.255.255', 3400310784, 3400335359, 'SG', 'Singapore'),
(134670, '202.173.0.0', '202.173.3.255', 3400335360, 3400336383, 'CN', 'China'),
(134671, '202.173.4.0', '202.173.4.255', 3400336384, 3400336639, 'PH', 'Philippines'),
(134672, '202.173.5.0', '202.173.5.255', 3400336640, 3400336895, 'JP', 'Japan'),
(134673, '202.173.7.0', '202.173.7.255', 3400337152, 3400337407, 'PH', 'Philippines'),
(134674, '202.173.8.0', '202.173.15.255', 3400337408, 3400339455, 'CN', 'China'),
(134675, '202.173.16.0', '202.173.23.255', 3400339456, 3400341503, 'ID', 'Indonesia'),
(134676, '202.173.24.0', '202.173.31.255', 3400341504, 3400343551, 'AU', 'Australia'),
(134677, '202.173.32.0', '202.173.63.255', 3400343552, 3400351743, 'TW', 'Taiwan'),
(134678, '202.173.64.0', '202.173.95.255', 3400351744, 3400359935, 'ID', 'Indonesia'),
(134679, '202.173.96.0', '202.173.111.255', 3400359936, 3400364031, 'JP', 'Japan'),
(134680, '202.173.128.0', '202.173.207.255', 3400368128, 3400388607, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(134681, '202.173.208.0', '202.173.223.255', 3400388608, 3400392703, 'TH', 'Thailand'),
(134682, '202.173.224.0', '202.173.255.255', 3400392704, 3400400895, 'CN', 'China'),
(134683, '202.174.0.0', '202.174.3.255', 3400400896, 3400401919, 'MO', 'Macau'),
(134684, '202.174.4.0', '202.174.4.255', 3400401920, 3400402175, 'TW', 'Taiwan'),
(134685, '202.174.5.0', '202.174.5.255', 3400402176, 3400402431, 'IN', 'India'),
(134686, '202.174.6.0', '202.174.7.255', 3400402432, 3400402943, 'NZ', 'New Zealand'),
(134687, '202.174.8.0', '202.174.15.255', 3400402944, 3400404991, 'HK', 'Hong Kong'),
(134688, '202.174.16.0', '202.174.31.255', 3400404992, 3400409087, 'TW', 'Taiwan'),
(134689, '202.174.32.0', '202.174.47.255', 3400409088, 3400413183, 'AU', 'Australia'),
(134690, '202.174.48.0', '202.174.63.255', 3400413184, 3400417279, 'JP', 'Japan'),
(134691, '202.174.64.0', '202.174.79.255', 3400417280, 3400421375, 'CN', 'China'),
(134692, '202.174.80.0', '202.174.87.255', 3400421376, 3400423423, 'AU', 'Australia'),
(134693, '202.174.88.0', '202.174.91.255', 3400423424, 3400424447, 'KR', 'Korea, Republic of'),
(134694, '202.174.92.0', '202.174.95.255', 3400424448, 3400425471, 'IN', 'India'),
(134695, '202.174.96.0', '202.174.111.255', 3400425472, 3400429567, 'AU', 'Australia'),
(134696, '202.174.112.0', '202.174.119.255', 3400429568, 3400431615, 'NZ', 'New Zealand'),
(134697, '202.174.120.0', '202.174.120.255', 3400431616, 3400431871, 'IN', 'India'),
(134698, '202.174.121.0', '202.174.121.255', 3400431872, 3400432127, 'HK', 'Hong Kong'),
(134699, '202.174.122.0', '202.174.123.255', 3400432128, 3400432639, 'IN', 'India'),
(134700, '202.174.128.0', '202.174.135.255', 3400433664, 3400435711, 'HK', 'Hong Kong'),
(134701, '202.174.136.0', '202.174.137.255', 3400435712, 3400436223, 'BD', 'Bangladesh'),
(134702, '202.174.138.0', '202.174.145.185', 3400436224, 3400438201, 'HK', 'Hong Kong'),
(134703, '202.174.145.186', '202.174.145.186', 3400438202, 3400438202, 'US', 'United States'),
(134704, '202.174.145.187', '202.174.146.255', 3400438203, 3400438527, 'HK', 'Hong Kong'),
(134705, '202.174.147.0', '202.174.147.255', 3400438528, 3400438783, 'AF', 'Afghanistan'),
(134706, '202.174.148.0', '202.174.158.255', 3400438784, 3400441599, 'HK', 'Hong Kong'),
(134707, '202.174.159.0', '202.174.159.255', 3400441600, 3400441855, 'AU', 'Australia'),
(134708, '202.174.160.0', '202.174.191.255', 3400441856, 3400450047, 'NZ', 'New Zealand'),
(134709, '202.174.192.0', '202.174.223.255', 3400450048, 3400458239, 'JP', 'Japan'),
(134710, '202.174.224.0', '202.174.255.255', 3400458240, 3400466431, 'AU', 'Australia'),
(134711, '202.175.0.0', '202.175.127.255', 3400466432, 3400499199, 'MO', 'Macau'),
(134712, '202.175.128.0', '202.175.143.255', 3400499200, 3400503295, 'NZ', 'New Zealand'),
(134713, '202.175.144.0', '202.175.159.255', 3400503296, 3400507391, 'JP', 'Japan'),
(134714, '202.175.160.0', '202.175.191.255', 3400507392, 3400515583, 'MO', 'Macau'),
(134715, '202.175.192.0', '202.175.255.255', 3400515584, 3400531967, 'PH', 'Philippines'),
(134716, '202.176.8.0', '202.176.11.255', 3400534016, 3400535039, 'JP', 'Japan'),
(134717, '202.176.12.0', '202.176.13.255', 3400535040, 3400535551, 'MY', 'Malaysia'),
(134718, '202.176.14.0', '202.176.15.255', 3400535552, 3400536063, 'AU', 'Australia'),
(134719, '202.176.16.0', '202.176.63.255', 3400536064, 3400548351, 'JP', 'Japan'),
(134720, '202.176.64.0', '202.176.191.255', 3400548352, 3400581119, 'TH', 'Thailand'),
(134721, '202.176.192.0', '202.176.223.255', 3400581120, 3400589311, 'SG', 'Singapore'),
(134722, '202.176.224.0', '202.176.255.255', 3400589312, 3400597503, 'CN', 'China'),
(134723, '202.177.0.0', '202.177.31.255', 3400597504, 3400605695, 'HK', 'Hong Kong'),
(134724, '202.177.32.0', '202.177.39.255', 3400605696, 3400607743, 'JP', 'Japan'),
(134725, '202.177.40.0', '202.177.43.255', 3400607744, 3400608767, 'AU', 'Australia'),
(134726, '202.177.44.0', '202.177.47.255', 3400608768, 3400609791, 'IN', 'India'),
(134727, '202.177.48.0', '202.177.127.255', 3400609792, 3400630271, 'JP', 'Japan'),
(134728, '202.177.128.0', '202.177.191.255', 3400630272, 3400646655, 'IN', 'India'),
(134729, '202.177.192.0', '202.177.205.255', 3400646656, 3400650239, 'SG', 'Singapore'),
(134730, '202.177.206.0', '202.177.206.255', 3400650240, 3400650495, 'AU', 'Australia'),
(134731, '202.177.207.0', '202.177.214.255', 3400650496, 3400652543, 'SG', 'Singapore'),
(134732, '202.177.215.0', '202.177.215.255', 3400652544, 3400652799, 'AU', 'Australia'),
(134733, '202.177.216.0', '202.177.221.23', 3400652800, 3400654103, 'SG', 'Singapore'),
(134734, '202.177.221.24', '202.177.221.31', 3400654104, 3400654111, 'AU', 'Australia'),
(134735, '202.177.221.32', '202.177.222.255', 3400654112, 3400654591, 'SG', 'Singapore'),
(134736, '202.177.223.0', '202.177.223.255', 3400654592, 3400654847, 'AU', 'Australia'),
(134737, '202.177.224.0', '202.177.255.255', 3400654848, 3400663039, 'IN', 'India'),
(134738, '202.178.0.0', '202.178.79.255', 3400663040, 3400683519, 'MY', 'Malaysia'),
(134739, '202.178.80.0', '202.178.111.255', 3400683520, 3400691711, 'JP', 'Japan'),
(134740, '202.178.112.0', '202.178.127.255', 3400691712, 3400695807, 'KH', 'Cambodia'),
(134741, '202.178.128.0', '202.178.255.255', 3400695808, 3400728575, 'TW', 'Taiwan'),
(134742, '202.179.0.0', '202.179.31.255', 3400728576, 3400736767, 'MN', 'Mongolia'),
(134743, '202.179.32.0', '202.179.63.255', 3400736768, 3400744959, 'JP', 'Japan'),
(134744, '202.179.64.0', '202.179.95.255', 3400744960, 3400753151, 'IN', 'India'),
(134745, '202.179.96.0', '202.179.96.255', 3400753152, 3400753407, 'MY', 'Malaysia'),
(134746, '202.179.97.0', '202.179.97.255', 3400753408, 3400753663, 'AP', 'Asia/Pacific Region'),
(134747, '202.179.98.0', '202.179.127.255', 3400753664, 3400761343, 'MY', 'Malaysia'),
(134748, '202.179.176.0', '202.179.183.255', 3400773632, 3400775679, 'KR', 'Korea, Republic of'),
(134749, '202.179.184.0', '202.179.191.255', 3400775680, 3400777727, 'ID', 'Indonesia'),
(134750, '202.179.192.0', '202.179.239.255', 3400777728, 3400790015, 'JP', 'Japan'),
(134751, '202.179.240.0', '202.179.255.255', 3400790016, 3400794111, 'CN', 'China'),
(134752, '202.180.0.0', '202.180.31.255', 3400794112, 3400802303, 'ID', 'Indonesia'),
(134753, '202.180.32.0', '202.180.47.255', 3400802304, 3400806399, 'JP', 'Japan'),
(134754, '202.180.48.0', '202.180.55.255', 3400806400, 3400808447, 'ID', 'Indonesia'),
(134755, '202.180.56.0', '202.180.63.255', 3400808448, 3400810495, 'JP', 'Japan'),
(134756, '202.180.64.0', '202.180.127.255', 3400810496, 3400826879, 'NZ', 'New Zealand'),
(134757, '202.180.128.0', '202.180.159.255', 3400826880, 3400835071, 'CN', 'China'),
(134758, '202.180.160.0', '202.180.175.255', 3400835072, 3400839167, 'HK', 'Hong Kong'),
(134759, '202.180.176.0', '202.180.207.255', 3400839168, 3400847359, 'JP', 'Japan'),
(134760, '202.180.208.0', '202.180.215.255', 3400847360, 3400849407, 'CN', 'China'),
(134761, '202.180.216.0', '202.180.223.255', 3400849408, 3400851455, 'MN', 'Mongolia'),
(134762, '202.180.224.0', '202.180.255.255', 3400851456, 3400859647, 'AU', 'Australia'),
(134763, '202.181.32.0', '202.181.95.255', 3400867840, 3400884223, 'AU', 'Australia'),
(134764, '202.181.96.0', '202.181.111.255', 3400884224, 3400888319, 'JP', 'Japan'),
(134765, '202.181.112.0', '202.181.127.255', 3400888320, 3400892415, 'CN', 'China'),
(134766, '202.181.128.0', '202.181.255.255', 3400892416, 3400925183, 'HK', 'Hong Kong'),
(134767, '202.182.0.0', '202.182.31.255', 3400925184, 3400933375, 'TH', 'Thailand'),
(134768, '202.182.32.0', '202.182.47.255', 3400933376, 3400937471, 'CN', 'China'),
(134769, '202.182.48.0', '202.182.63.255', 3400937472, 3400941567, 'ID', 'Indonesia'),
(134770, '202.182.64.0', '202.182.159.255', 3400941568, 3400966143, 'AU', 'Australia'),
(134771, '202.182.160.0', '202.182.191.255', 3400966144, 3400974335, 'ID', 'Indonesia'),
(134772, '202.182.192.0', '202.182.223.255', 3400974336, 3400982527, 'CN', 'China'),
(134773, '202.182.224.0', '202.182.255.255', 3400982528, 3400990719, 'HK', 'Hong Kong'),
(134774, '202.183.0.0', '202.183.31.255', 3400990720, 3400998911, 'ID', 'Indonesia'),
(134775, '202.183.32.0', '202.183.47.255', 3400998912, 3401003007, 'PH', 'Philippines'),
(134776, '202.183.48.0', '202.183.63.255', 3401003008, 3401007103, 'JP', 'Japan'),
(134777, '202.183.64.0', '202.183.79.255', 3401007104, 3401011199, 'IN', 'India'),
(134778, '202.183.80.0', '202.183.95.255', 3401011200, 3401015295, 'JP', 'Japan'),
(134779, '202.183.96.0', '202.183.127.255', 3401015296, 3401023487, 'AU', 'Australia'),
(134780, '202.183.128.0', '202.183.255.255', 3401023488, 3401056255, 'TH', 'Thailand'),
(134781, '202.184.0.0', '202.188.255.255', 3401056256, 3401383935, 'MY', 'Malaysia'),
(134782, '202.189.0.0', '202.189.63.255', 3401383936, 3401400319, 'CN', 'China'),
(134783, '202.189.64.0', '202.189.79.255', 3401400320, 3401404415, 'AU', 'Australia'),
(134784, '202.189.80.0', '202.189.95.255', 3401404416, 3401408511, 'CN', 'China'),
(134785, '202.189.96.0', '202.189.127.255', 3401408512, 3401416703, 'HK', 'Hong Kong'),
(134786, '202.189.128.0', '202.189.143.255', 3401416704, 3401420799, 'KR', 'Korea, Republic of'),
(134787, '202.189.144.0', '202.189.159.255', 3401420800, 3401424895, 'JP', 'Japan'),
(134788, '202.189.160.0', '202.189.175.255', 3401424896, 3401428991, 'NZ', 'New Zealand'),
(134789, '202.189.176.0', '202.189.183.255', 3401428992, 3401431039, 'JP', 'Japan'),
(134790, '202.189.184.0', '202.189.191.255', 3401431040, 3401433087, 'CN', 'China'),
(134791, '202.189.192.0', '202.189.223.255', 3401433088, 3401441279, 'JP', 'Japan'),
(134792, '202.189.224.0', '202.189.255.255', 3401441280, 3401449471, 'IN', 'India'),
(134793, '202.190.0.0', '202.190.255.255', 3401449472, 3401515007, 'MY', 'Malaysia'),
(134794, '202.191.0.0', '202.191.0.255', 3401515008, 3401515263, 'CN', 'China'),
(134795, '202.191.1.0', '202.191.1.255', 3401515264, 3401515519, 'AU', 'Australia'),
(134796, '202.191.2.0', '202.191.3.255', 3401515520, 3401516031, 'ID', 'Indonesia'),
(134797, '202.191.4.0', '202.191.15.255', 3401516032, 3401519103, 'AU', 'Australia'),
(134798, '202.191.16.0', '202.191.31.255', 3401519104, 3401523199, 'JP', 'Japan'),
(134799, '202.191.32.0', '202.191.47.255', 3401523200, 3401527295, 'NZ', 'New Zealand'),
(134800, '202.191.48.0', '202.191.55.255', 3401527296, 3401529343, 'AU', 'Australia'),
(134801, '202.191.56.0', '202.191.59.255', 3401529344, 3401530367, 'VN', 'Vietnam'),
(134802, '202.191.60.0', '202.191.63.255', 3401530368, 3401531391, 'AU', 'Australia'),
(134803, '202.191.64.0', '202.191.67.255', 3401531392, 3401532415, 'IN', 'India'),
(134804, '202.191.68.0', '202.191.95.255', 3401532416, 3401539583, 'CN', 'China'),
(134805, '202.191.96.0', '202.191.111.255', 3401539584, 3401543679, 'AU', 'Australia'),
(134806, '202.191.112.0', '202.191.119.255', 3401543680, 3401545727, 'JP', 'Japan'),
(134807, '202.191.120.0', '202.191.127.255', 3401545728, 3401547775, 'BD', 'Bangladesh'),
(134808, '202.191.128.0', '202.191.255.255', 3401547776, 3401580543, 'IN', 'India'),
(134809, '202.192.0.0', '202.207.255.255', 3401580544, 3402629119, 'CN', 'China'),
(134810, '202.208.0.0', '202.216.119.255', 3402629120, 3403184127, 'JP', 'Japan'),
(134811, '202.216.120.0', '202.216.127.255', 3403184128, 3403186175, 'US', 'United States'),
(134812, '202.216.128.0', '202.226.192.255', 3403186176, 3403858175, 'JP', 'Japan'),
(134813, '202.226.193.0', '202.226.199.255', 3403858176, 3403859967, 'US', 'United States'),
(134814, '202.226.200.0', '202.236.166.255', 3403859968, 3404506879, 'JP', 'Japan'),
(134815, '202.236.167.0', '202.236.167.255', 3404506880, 3404507135, 'US', 'United States'),
(134816, '202.236.168.0', '202.239.130.255', 3404507136, 3404694271, 'JP', 'Japan'),
(134817, '202.239.131.0', '202.239.131.255', 3404694272, 3404694527, 'US', 'United States'),
(134818, '202.239.132.0', '202.239.138.255', 3404694528, 3404696319, 'JP', 'Japan'),
(134819, '202.239.139.0', '202.239.140.255', 3404696320, 3404696831, 'US', 'United States'),
(134820, '202.239.141.0', '202.242.2.98', 3404696832, 3404857954, 'JP', 'Japan'),
(134821, '202.242.2.99', '202.242.2.99', 3404857955, 3404857955, 'ID', 'Indonesia'),
(134822, '202.242.2.100', '202.242.2.110', 3404857956, 3404857966, 'JP', 'Japan'),
(134823, '202.242.2.111', '202.242.2.111', 3404857967, 3404857967, 'IN', 'India'),
(134824, '202.242.2.112', '202.255.255.255', 3404857968, 3405774847, 'JP', 'Japan'),
(134825, '203.0.0.0', '203.0.3.255', 3405774848, 3405775871, 'AU', 'Australia'),
(134826, '203.0.4.0', '203.0.7.255', 3405775872, 3405776895, 'CN', 'China'),
(134827, '203.0.8.0', '203.0.9.255', 3405776896, 3405777407, 'AU', 'Australia'),
(134828, '203.0.10.0', '203.0.11.255', 3405777408, 3405777919, 'CN', 'China'),
(134829, '203.0.12.0', '203.0.17.255', 3405777920, 3405779455, 'AU', 'Australia'),
(134830, '203.0.18.0', '203.0.18.255', 3405779456, 3405779711, 'CN', 'China'),
(134831, '203.0.19.0', '203.0.23.255', 3405779712, 3405780991, 'AU', 'Australia'),
(134832, '203.0.24.0', '203.0.24.255', 3405780992, 3405781247, 'CN', 'China'),
(134833, '203.0.25.0', '203.0.41.255', 3405781248, 3405785599, 'AU', 'Australia'),
(134834, '203.0.42.0', '203.0.43.255', 3405785600, 3405786111, 'CN', 'China'),
(134835, '203.0.44.0', '203.0.44.255', 3405786112, 3405786367, 'AU', 'Australia'),
(134836, '203.0.45.0', '203.0.47.255', 3405786368, 3405787135, 'CN', 'China'),
(134837, '203.0.48.0', '203.0.80.255', 3405787136, 3405795583, 'AU', 'Australia'),
(134838, '203.0.81.0', '203.0.83.255', 3405795584, 3405796351, 'CN', 'China'),
(134839, '203.0.84.0', '203.0.89.255', 3405796352, 3405797887, 'AU', 'Australia'),
(134840, '203.0.90.0', '203.0.91.255', 3405797888, 3405798399, 'CN', 'China'),
(134841, '203.0.92.0', '203.0.95.255', 3405798400, 3405799423, 'AU', 'Australia'),
(134842, '203.0.96.0', '203.0.97.255', 3405799424, 3405799935, 'CN', 'China'),
(134843, '203.0.98.0', '203.0.103.255', 3405799936, 3405801471, 'AU', 'Australia'),
(134844, '203.0.104.0', '203.0.111.255', 3405801472, 3405803519, 'CN', 'China'),
(134845, '203.0.112.0', '203.0.112.255', 3405803520, 3405803775, 'AU', 'Australia'),
(134846, '203.0.114.0', '203.0.115.255', 3405804032, 3405804543, 'CN', 'China'),
(134847, '203.0.116.0', '203.0.121.255', 3405804544, 3405806079, 'AU', 'Australia'),
(134848, '203.0.122.0', '203.0.122.255', 3405806080, 3405806335, 'CN', 'China'),
(134849, '203.0.123.0', '203.0.127.255', 3405806336, 3405807615, 'AU', 'Australia'),
(134850, '203.0.128.0', '203.0.128.255', 3405807616, 3405807871, 'CN', 'China'),
(134851, '203.0.129.0', '203.0.129.255', 3405807872, 3405808127, 'AU', 'Australia'),
(134852, '203.0.130.0', '203.0.135.255', 3405808128, 3405809663, 'CN', 'China'),
(134853, '203.0.136.0', '203.0.136.255', 3405809664, 3405809919, 'AU', 'Australia'),
(134854, '203.0.137.0', '203.0.137.255', 3405809920, 3405810175, 'CN', 'China'),
(134855, '203.0.138.0', '203.0.141.255', 3405810176, 3405811199, 'AU', 'Australia'),
(134856, '203.0.142.0', '203.0.142.255', 3405811200, 3405811455, 'CN', 'China'),
(134857, '203.0.143.0', '203.0.143.255', 3405811456, 3405811711, 'AU', 'Australia'),
(134858, '203.0.144.0', '203.0.144.255', 3405811712, 3405811967, 'CN', 'China'),
(134859, '203.0.145.0', '203.0.145.255', 3405811968, 3405812223, 'AU', 'Australia'),
(134860, '203.0.146.0', '203.0.146.255', 3405812224, 3405812479, 'CN', 'China'),
(134861, '203.0.147.0', '203.0.147.255', 3405812480, 3405812735, 'AU', 'Australia'),
(134862, '203.0.148.0', '203.0.148.255', 3405812736, 3405812991, 'CN', 'China'),
(134863, '203.0.149.0', '203.0.149.255', 3405812992, 3405813247, 'AU', 'Australia'),
(134864, '203.0.150.0', '203.0.152.255', 3405813248, 3405814015, 'CN', 'China'),
(134865, '203.0.153.0', '203.0.176.255', 3405814016, 3405820159, 'AU', 'Australia'),
(134866, '203.0.177.0', '203.0.177.255', 3405820160, 3405820415, 'CN', 'China'),
(134867, '203.0.178.0', '203.0.223.255', 3405820416, 3405832191, 'AU', 'Australia'),
(134868, '203.0.224.0', '203.0.224.255', 3405832192, 3405832447, 'CN', 'China'),
(134869, '203.0.225.0', '203.1.3.255', 3405832448, 3405841407, 'AU', 'Australia'),
(134870, '203.1.4.0', '203.1.7.255', 3405841408, 3405842431, 'CN', 'China'),
(134871, '203.1.8.0', '203.1.17.255', 3405842432, 3405844991, 'AU', 'Australia'),
(134872, '203.1.18.0', '203.1.18.255', 3405844992, 3405845247, 'CN', 'China'),
(134873, '203.1.19.0', '203.1.24.255', 3405845248, 3405846783, 'AU', 'Australia'),
(134874, '203.1.25.0', '203.1.25.255', 3405846784, 3405847039, 'ID', 'Indonesia'),
(134875, '203.1.26.0', '203.1.27.255', 3405847040, 3405847551, 'CN', 'China'),
(134876, '203.1.28.0', '203.1.64.255', 3405847552, 3405857023, 'AU', 'Australia'),
(134877, '203.1.65.0', '203.1.67.255', 3405857024, 3405857791, 'CN', 'China'),
(134878, '203.1.68.0', '203.1.69.255', 3405857792, 3405858303, 'AU', 'Australia'),
(134879, '203.1.70.0', '203.1.71.255', 3405858304, 3405858815, 'CN', 'China'),
(134880, '203.1.72.0', '203.1.75.255', 3405858816, 3405859839, 'AU', 'Australia'),
(134881, '203.1.76.0', '203.1.77.255', 3405859840, 3405860351, 'CN', 'China'),
(134882, '203.1.78.0', '203.1.89.255', 3405860352, 3405863423, 'AU', 'Australia'),
(134883, '203.1.90.0', '203.1.90.255', 3405863424, 3405863679, 'CN', 'China'),
(134884, '203.1.91.0', '203.1.96.255', 3405863680, 3405865215, 'AU', 'Australia'),
(134885, '203.1.97.0', '203.1.103.255', 3405865216, 3405867007, 'CN', 'China'),
(134886, '203.1.104.0', '203.1.107.255', 3405867008, 3405868031, 'AU', 'Australia'),
(134887, '203.1.108.0', '203.1.108.255', 3405868032, 3405868287, 'CN', 'China'),
(134888, '203.1.109.0', '203.1.252.255', 3405868288, 3405905151, 'AU', 'Australia'),
(134889, '203.1.253.0', '203.1.254.255', 3405905152, 3405905663, 'CN', 'China'),
(134890, '203.1.255.0', '203.2.63.255', 3405905664, 3405922303, 'AU', 'Australia'),
(134891, '203.2.64.0', '203.2.71.255', 3405922304, 3405924351, 'CN', 'China'),
(134892, '203.2.72.0', '203.2.72.255', 3405924352, 3405924607, 'AU', 'Australia'),
(134893, '203.2.73.0', '203.2.73.255', 3405924608, 3405924863, 'CN', 'China'),
(134894, '203.2.74.0', '203.2.111.255', 3405924864, 3405934591, 'AU', 'Australia'),
(134895, '203.2.112.0', '203.2.119.255', 3405934592, 3405936639, 'CN', 'China'),
(134896, '203.2.120.0', '203.2.125.255', 3405936640, 3405938175, 'AU', 'Australia'),
(134897, '203.2.126.0', '203.2.127.255', 3405938176, 3405938687, 'CN', 'China'),
(134898, '203.2.128.0', '203.2.139.255', 3405938688, 3405941759, 'AU', 'Australia'),
(134899, '203.2.140.0', '203.2.140.255', 3405941760, 3405942015, 'CN', 'China'),
(134900, '203.2.141.0', '203.2.149.255', 3405942016, 3405944319, 'AU', 'Australia'),
(134901, '203.2.150.0', '203.2.150.255', 3405944320, 3405944575, 'CN', 'China'),
(134902, '203.2.151.0', '203.2.151.255', 3405944576, 3405944831, 'AU', 'Australia'),
(134903, '203.2.152.0', '203.2.157.255', 3405944832, 3405946367, 'CN', 'China'),
(134904, '203.2.158.0', '203.2.159.255', 3405946368, 3405946879, 'AU', 'Australia'),
(134905, '203.2.160.0', '203.2.167.255', 3405946880, 3405948927, 'CN', 'China'),
(134906, '203.2.168.0', '203.2.179.255', 3405948928, 3405951999, 'AU', 'Australia'),
(134907, '203.2.180.0', '203.2.181.255', 3405952000, 3405952511, 'CN', 'China'),
(134908, '203.2.182.0', '203.2.195.255', 3405952512, 3405956095, 'AU', 'Australia'),
(134909, '203.2.196.0', '203.2.197.255', 3405956096, 3405956607, 'CN', 'China'),
(134910, '203.2.198.0', '203.2.208.255', 3405956608, 3405959423, 'AU', 'Australia'),
(134911, '203.2.209.0', '203.2.209.255', 3405959424, 3405959679, 'CN', 'China'),
(134912, '203.2.210.0', '203.2.213.255', 3405959680, 3405960703, 'AU', 'Australia'),
(134913, '203.2.214.0', '203.2.215.255', 3405960704, 3405961215, 'CN', 'China'),
(134914, '203.2.216.0', '203.2.225.255', 3405961216, 3405963775, 'AU', 'Australia'),
(134915, '203.2.226.0', '203.2.227.255', 3405963776, 3405964287, 'CN', 'China'),
(134916, '203.2.228.0', '203.2.228.255', 3405964288, 3405964543, 'AU', 'Australia'),
(134917, '203.2.229.0', '203.2.229.255', 3405964544, 3405964799, 'CN', 'China'),
(134918, '203.2.230.0', '203.2.235.255', 3405964800, 3405966335, 'AU', 'Australia'),
(134919, '203.2.236.0', '203.2.237.255', 3405966336, 3405966847, 'CN', 'China'),
(134920, '203.2.238.0', '203.3.67.255', 3405966848, 3405988863, 'AU', 'Australia'),
(134921, '203.3.68.0', '203.3.68.255', 3405988864, 3405989119, 'CN', 'China'),
(134922, '203.3.69.0', '203.3.71.255', 3405989120, 3405989887, 'AU', 'Australia'),
(134923, '203.3.72.0', '203.3.73.255', 3405989888, 3405990399, 'CN', 'China'),
(134924, '203.3.74.0', '203.3.74.255', 3405990400, 3405990655, 'AU', 'Australia'),
(134925, '203.3.75.0', '203.3.75.255', 3405990656, 3405990911, 'CN', 'China'),
(134926, '203.3.76.0', '203.3.79.255', 3405990912, 3405991935, 'AU', 'Australia'),
(134927, '203.3.80.0', '203.3.87.255', 3405991936, 3405993983, 'CN', 'China'),
(134928, '203.3.88.0', '203.3.95.255', 3405993984, 3405996031, 'AU', 'Australia'),
(134929, '203.3.96.0', '203.3.99.255', 3405996032, 3405997055, 'CN', 'China'),
(134930, '203.3.100.0', '203.3.104.255', 3405997056, 3405998335, 'AU', 'Australia'),
(134931, '203.3.105.0', '203.3.105.255', 3405998336, 3405998591, 'CN', 'China'),
(134932, '203.3.106.0', '203.3.111.255', 3405998592, 3406000127, 'AU', 'Australia'),
(134933, '203.3.112.0', '203.3.120.255', 3406000128, 3406002431, 'CN', 'China'),
(134934, '203.3.121.0', '203.3.122.255', 3406002432, 3406002943, 'AU', 'Australia'),
(134935, '203.3.123.0', '203.3.123.255', 3406002944, 3406003199, 'CN', 'China'),
(134936, '203.3.124.0', '203.3.131.255', 3406003200, 3406005247, 'AU', 'Australia'),
(134937, '203.3.132.0', '203.3.132.255', 3406005248, 3406005503, 'HK', 'Hong Kong'),
(134938, '203.3.133.0', '203.3.134.255', 3406005504, 3406006015, 'AU', 'Australia'),
(134939, '203.3.135.0', '203.3.135.255', 3406006016, 3406006271, 'CN', 'China'),
(134940, '203.3.136.0', '203.3.138.255', 3406006272, 3406007039, 'AU', 'Australia'),
(134941, '203.3.139.0', '203.3.139.255', 3406007040, 3406007295, 'CN', 'China'),
(134942, '203.3.140.0', '203.3.142.255', 3406007296, 3406008063, 'AU', 'Australia'),
(134943, '203.3.143.0', '203.3.143.255', 3406008064, 3406008319, 'CN', 'China'),
(134944, '203.3.144.0', '203.4.131.255', 3406008320, 3406070783, 'AU', 'Australia'),
(134945, '203.4.132.0', '203.4.134.255', 3406070784, 3406071551, 'CN', 'China'),
(134946, '203.4.135.0', '203.4.150.255', 3406071552, 3406075647, 'AU', 'Australia'),
(134947, '203.4.151.0', '203.4.155.255', 3406075648, 3406076927, 'CN', 'China'),
(134948, '203.4.156.0', '203.4.159.255', 3406076928, 3406077951, 'AU', 'Australia'),
(134949, '203.4.160.0', '203.4.160.255', 3406077952, 3406078207, 'TH', 'Thailand'),
(134950, '203.4.161.0', '203.4.173.255', 3406078208, 3406081535, 'AU', 'Australia'),
(134951, '203.4.174.0', '203.4.175.255', 3406081536, 3406082047, 'CN', 'China'),
(134952, '203.4.176.0', '203.4.179.255', 3406082048, 3406083071, 'AU', 'Australia'),
(134953, '203.4.180.0', '203.4.180.255', 3406083072, 3406083327, 'CN', 'China'),
(134954, '203.4.181.0', '203.4.185.255', 3406083328, 3406084607, 'AU', 'Australia'),
(134955, '203.4.186.0', '203.4.186.255', 3406084608, 3406084863, 'CN', 'China'),
(134956, '203.4.187.0', '203.4.204.255', 3406084864, 3406089471, 'AU', 'Australia'),
(134957, '203.4.205.0', '203.4.205.255', 3406089472, 3406089727, 'CN', 'China'),
(134958, '203.4.206.0', '203.4.207.255', 3406089728, 3406090239, 'AU', 'Australia'),
(134959, '203.4.208.0', '203.4.211.255', 3406090240, 3406091263, 'CN', 'China'),
(134960, '203.4.212.0', '203.4.226.255', 3406091264, 3406095103, 'AU', 'Australia'),
(134961, '203.4.227.0', '203.4.227.255', 3406095104, 3406095359, 'CN', 'China'),
(134962, '203.4.228.0', '203.4.229.255', 3406095360, 3406095871, 'AU', 'Australia'),
(134963, '203.4.230.0', '203.4.231.255', 3406095872, 3406096383, 'CN', 'China'),
(134964, '203.4.232.0', '203.5.3.255', 3406096384, 3406103551, 'AU', 'Australia'),
(134965, '203.5.4.0', '203.5.5.255', 3406103552, 3406104063, 'CN', 'China'),
(134966, '203.5.6.0', '203.5.6.255', 3406104064, 3406104319, 'AU', 'Australia'),
(134967, '203.5.7.0', '203.5.9.255', 3406104320, 3406105087, 'CN', 'China'),
(134968, '203.5.10.0', '203.5.10.255', 3406105088, 3406105343, 'AU', 'Australia'),
(134969, '203.5.11.0', '203.5.11.255', 3406105344, 3406105599, 'CN', 'China'),
(134970, '203.5.12.0', '203.5.20.255', 3406105600, 3406107903, 'AU', 'Australia'),
(134971, '203.5.21.0', '203.5.22.255', 3406107904, 3406108415, 'CN', 'China'),
(134972, '203.5.23.0', '203.5.27.255', 3406108416, 3406109695, 'AU', 'Australia'),
(134973, '203.5.28.0', '203.5.28.255', 3406109696, 3406109951, 'NZ', 'New Zealand'),
(134974, '203.5.29.0', '203.5.43.255', 3406109952, 3406113791, 'AU', 'Australia'),
(134975, '203.5.44.0', '203.5.44.255', 3406113792, 3406114047, 'CN', 'China'),
(134976, '203.5.45.0', '203.5.45.255', 3406114048, 3406114303, 'AU', 'Australia'),
(134977, '203.5.46.0', '203.5.47.255', 3406114304, 3406114815, 'CN', 'China'),
(134978, '203.5.48.0', '203.5.51.255', 3406114816, 3406115839, 'AU', 'Australia'),
(134979, '203.5.52.0', '203.5.57.255', 3406115840, 3406117375, 'CN', 'China'),
(134980, '203.5.58.0', '203.5.59.255', 3406117376, 3406117887, 'AU', 'Australia'),
(134981, '203.5.60.0', '203.5.61.255', 3406117888, 3406118399, 'CN', 'China'),
(134982, '203.5.62.0', '203.5.113.255', 3406118400, 3406131711, 'AU', 'Australia'),
(134983, '203.5.114.0', '203.5.115.255', 3406131712, 3406132223, 'CN', 'China'),
(134984, '203.5.116.0', '203.5.117.255', 3406132224, 3406132735, 'AU', 'Australia'),
(134985, '203.5.118.0', '203.5.118.255', 3406132736, 3406132991, 'CN', 'China'),
(134986, '203.5.119.0', '203.5.119.255', 3406132992, 3406133247, 'AU', 'Australia'),
(134987, '203.5.120.0', '203.5.120.255', 3406133248, 3406133503, 'CN', 'China'),
(134988, '203.5.121.0', '203.5.171.255', 3406133504, 3406146559, 'AU', 'Australia'),
(134989, '203.5.172.0', '203.5.172.255', 3406146560, 3406146815, 'CN', 'China'),
(134990, '203.5.173.0', '203.5.179.255', 3406146816, 3406148607, 'AU', 'Australia'),
(134991, '203.5.180.0', '203.5.182.255', 3406148608, 3406149375, 'CN', 'China'),
(134992, '203.5.183.0', '203.5.184.255', 3406149376, 3406149887, 'AU', 'Australia'),
(134993, '203.5.185.0', '203.5.186.255', 3406149888, 3406150399, 'CN', 'China'),
(134994, '203.5.187.0', '203.5.187.255', 3406150400, 3406150655, 'AU', 'Australia'),
(134995, '203.5.188.0', '203.5.190.255', 3406150656, 3406151423, 'CN', 'China'),
(134996, '203.5.191.0', '203.5.194.255', 3406151424, 3406152447, 'AU', 'Australia'),
(134997, '203.5.195.0', '203.5.195.255', 3406152448, 3406152703, 'CN', 'China'),
(134998, '203.5.196.0', '203.5.213.255', 3406152704, 3406157311, 'AU', 'Australia'),
(134999, '203.5.214.0', '203.5.215.255', 3406157312, 3406157823, 'CN', 'China'),
(135000, '203.5.216.0', '203.5.217.255', 3406157824, 3406158335, 'AU', 'Australia'),
(135001, '203.5.218.0', '203.5.219.255', 3406158336, 3406158847, 'CN', 'China'),
(135002, '203.5.220.0', '203.6.130.255', 3406158848, 3406201599, 'AU', 'Australia'),
(135003, '203.6.131.0', '203.6.131.255', 3406201600, 3406201855, 'CN', 'China'),
(135004, '203.6.132.0', '203.6.135.255', 3406201856, 3406202879, 'AU', 'Australia'),
(135005, '203.6.136.0', '203.6.136.255', 3406202880, 3406203135, 'CN', 'China'),
(135006, '203.6.137.0', '203.6.137.255', 3406203136, 3406203391, 'AU', 'Australia'),
(135007, '203.6.138.0', '203.6.139.255', 3406203392, 3406203903, 'CN', 'China'),
(135008, '203.6.140.0', '203.6.141.255', 3406203904, 3406204415, 'AU', 'Australia'),
(135009, '203.6.142.0', '203.6.142.255', 3406204416, 3406204671, 'CN', 'China'),
(135010, '203.6.143.0', '203.6.147.255', 3406204672, 3406205951, 'AU', 'Australia'),
(135011, '203.6.148.0', '203.6.149.255', 3406205952, 3406206463, 'ID', 'Indonesia'),
(135012, '203.6.150.0', '203.6.151.255', 3406206464, 3406206975, 'CN', 'China'),
(135013, '203.6.152.0', '203.6.156.255', 3406206976, 3406208255, 'AU', 'Australia'),
(135014, '203.6.157.0', '203.6.157.255', 3406208256, 3406208511, 'CN', 'China'),
(135015, '203.6.158.0', '203.6.158.255', 3406208512, 3406208767, 'AU', 'Australia'),
(135016, '203.6.159.0', '203.6.159.255', 3406208768, 3406209023, 'CN', 'China'),
(135017, '203.6.160.0', '203.6.207.255', 3406209024, 3406221311, 'AU', 'Australia'),
(135018, '203.6.208.0', '203.6.215.255', 3406221312, 3406223359, 'IN', 'India'),
(135019, '203.6.216.0', '203.6.223.255', 3406223360, 3406225407, 'AU', 'Australia'),
(135020, '203.6.224.0', '203.6.239.255', 3406225408, 3406229503, 'CN', 'China'),
(135021, '203.6.240.0', '203.6.245.255', 3406229504, 3406231039, 'AU', 'Australia'),
(135022, '203.6.246.0', '203.6.246.255', 3406231040, 3406231295, 'NZ', 'New Zealand'),
(135023, '203.6.247.0', '203.6.247.255', 3406231296, 3406231551, 'AU', 'Australia'),
(135024, '203.6.248.0', '203.6.249.255', 3406231552, 3406232063, 'CN', 'China'),
(135025, '203.6.250.0', '203.7.128.255', 3406232064, 3406266623, 'AU', 'Australia'),
(135026, '203.7.129.0', '203.7.129.255', 3406266624, 3406266879, 'CN', 'China'),
(135027, '203.7.130.0', '203.7.137.255', 3406266880, 3406268927, 'AU', 'Australia'),
(135028, '203.7.138.0', '203.7.139.255', 3406268928, 3406269439, 'CN', 'China'),
(135029, '203.7.140.0', '203.7.146.255', 3406269440, 3406271231, 'AU', 'Australia'),
(135030, '203.7.147.0', '203.7.147.255', 3406271232, 3406271487, 'CN', 'China'),
(135031, '203.7.148.0', '203.7.149.255', 3406271488, 3406271999, 'AU', 'Australia'),
(135032, '203.7.150.0', '203.7.151.255', 3406272000, 3406272511, 'CN', 'China'),
(135033, '203.7.152.0', '203.7.157.255', 3406272512, 3406274047, 'AU', 'Australia'),
(135034, '203.7.158.0', '203.7.158.255', 3406274048, 3406274303, 'CN', 'China'),
(135035, '203.7.159.0', '203.7.159.255', 3406274304, 3406274559, 'AU', 'Australia'),
(135036, '203.7.160.0', '203.7.167.255', 3406274560, 3406276607, 'HK', 'Hong Kong'),
(135037, '203.7.168.0', '203.7.170.255', 3406276608, 3406277375, 'AU', 'Australia'),
(135038, '203.7.171.0', '203.7.171.255', 3406277376, 3406277631, 'ID', 'Indonesia'),
(135039, '203.7.172.0', '203.7.191.255', 3406277632, 3406282751, 'AU', 'Australia'),
(135040, '203.7.192.0', '203.7.193.255', 3406282752, 3406283263, 'CN', 'China'),
(135041, '203.7.194.0', '203.7.199.255', 3406283264, 3406284799, 'AU', 'Australia'),
(135042, '203.7.200.0', '203.7.200.255', 3406284800, 3406285055, 'CN', 'China'),
(135043, '203.7.201.0', '203.7.255.255', 3406285056, 3406299135, 'AU', 'Australia'),
(135044, '203.8.0.0', '203.8.0.255', 3406299136, 3406299391, 'CN', 'China'),
(135045, '203.8.1.0', '203.8.7.255', 3406299392, 3406301183, 'AU', 'Australia'),
(135046, '203.8.8.0', '203.8.8.255', 3406301184, 3406301439, 'CN', 'China'),
(135047, '203.8.9.0', '203.8.22.255', 3406301440, 3406305023, 'AU', 'Australia'),
(135048, '203.8.23.0', '203.8.31.255', 3406305024, 3406307327, 'CN', 'China'),
(135049, '203.8.32.0', '203.8.69.255', 3406307328, 3406317055, 'AU', 'Australia'),
(135050, '203.8.70.0', '203.8.70.255', 3406317056, 3406317311, 'CN', 'China'),
(135051, '203.8.71.0', '203.8.81.255', 3406317312, 3406320127, 'AU', 'Australia'),
(135052, '203.8.82.0', '203.8.82.255', 3406320128, 3406320383, 'CN', 'China'),
(135053, '203.8.83.0', '203.8.85.255', 3406320384, 3406321151, 'AU', 'Australia'),
(135054, '203.8.86.0', '203.8.87.255', 3406321152, 3406321663, 'CN', 'China'),
(135055, '203.8.88.0', '203.8.90.255', 3406321664, 3406322431, 'AU', 'Australia'),
(135056, '203.8.91.0', '203.8.91.255', 3406322432, 3406322687, 'CN', 'China'),
(135057, '203.8.92.0', '203.8.108.255', 3406322688, 3406327039, 'AU', 'Australia'),
(135058, '203.8.109.0', '203.8.109.255', 3406327040, 3406327295, 'IN', 'India'),
(135059, '203.8.110.0', '203.8.111.255', 3406327296, 3406327807, 'CN', 'China'),
(135060, '203.8.112.0', '203.8.114.255', 3406327808, 3406328575, 'AU', 'Australia'),
(135061, '203.8.115.0', '203.8.115.255', 3406328576, 3406328831, 'CN', 'China'),
(135062, '203.8.116.0', '203.8.117.255', 3406328832, 3406329343, 'IN', 'India'),
(135063, '203.8.118.0', '203.8.126.255', 3406329344, 3406331647, 'AU', 'Australia'),
(135064, '203.8.127.0', '203.8.127.255', 3406331648, 3406331903, 'VN', 'Vietnam'),
(135065, '203.8.128.0', '203.8.165.255', 3406331904, 3406341631, 'AU', 'Australia'),
(135066, '203.8.166.0', '203.8.167.255', 3406341632, 3406342143, 'CN', 'China'),
(135067, '203.8.168.0', '203.8.168.255', 3406342144, 3406342399, 'AU', 'Australia'),
(135068, '203.8.169.0', '203.8.169.255', 3406342400, 3406342655, 'CN', 'China'),
(135069, '203.8.170.0', '203.8.171.255', 3406342656, 3406343167, 'AU', 'Australia'),
(135070, '203.8.172.0', '203.8.172.255', 3406343168, 3406343423, 'VN', 'Vietnam'),
(135071, '203.8.173.0', '203.8.173.255', 3406343424, 3406343679, 'CN', 'China'),
(135072, '203.8.174.0', '203.8.183.255', 3406343680, 3406346239, 'AU', 'Australia'),
(135073, '203.8.184.0', '203.8.184.255', 3406346240, 3406346495, 'CN', 'China'),
(135074, '203.8.185.0', '203.8.185.255', 3406346496, 3406346751, 'AU', 'Australia'),
(135075, '203.8.186.0', '203.8.187.255', 3406346752, 3406347263, 'CN', 'China'),
(135076, '203.8.188.0', '203.8.189.255', 3406347264, 3406347775, 'AU', 'Australia'),
(135077, '203.8.190.0', '203.8.192.255', 3406347776, 3406348543, 'CN', 'China'),
(135078, '203.8.193.0', '203.8.196.255', 3406348544, 3406349567, 'AU', 'Australia'),
(135079, '203.8.197.0', '203.8.199.255', 3406349568, 3406350335, 'CN', 'China'),
(135080, '203.8.200.0', '203.8.200.255', 3406350336, 3406350591, 'AU', 'Australia'),
(135081, '203.8.201.0', '203.8.201.255', 3406350592, 3406350847, 'IN', 'India'),
(135082, '203.8.202.0', '203.8.202.255', 3406350848, 3406351103, 'AU', 'Australia'),
(135083, '203.8.203.0', '203.8.203.255', 3406351104, 3406351359, 'CN', 'China'),
(135084, '203.8.204.0', '203.8.208.255', 3406351360, 3406352639, 'AU', 'Australia'),
(135085, '203.8.209.0', '203.8.215.255', 3406352640, 3406354431, 'CN', 'China'),
(135086, '203.8.216.0', '203.8.216.255', 3406354432, 3406354687, 'AU', 'Australia'),
(135087, '203.8.217.0', '203.8.217.255', 3406354688, 3406354943, 'CN', 'China'),
(135088, '203.8.218.0', '203.8.219.255', 3406354944, 3406355455, 'AU', 'Australia'),
(135089, '203.8.220.0', '203.8.220.255', 3406355456, 3406355711, 'CN', 'China'),
(135090, '203.8.221.0', '203.9.31.255', 3406355712, 3406372863, 'AU', 'Australia'),
(135091, '203.9.32.0', '203.9.32.255', 3406372864, 3406373119, 'CN', 'China'),
(135092, '203.9.33.0', '203.9.35.255', 3406373120, 3406373887, 'AU', 'Australia'),
(135093, '203.9.36.0', '203.9.37.255', 3406373888, 3406374399, 'CN', 'China'),
(135094, '203.9.38.0', '203.9.56.255', 3406374400, 3406379263, 'AU', 'Australia'),
(135095, '203.9.57.0', '203.9.57.255', 3406379264, 3406379519, 'CN', 'China'),
(135096, '203.9.58.0', '203.9.62.255', 3406379520, 3406380799, 'AU', 'Australia'),
(135097, '203.9.63.0', '203.9.63.255', 3406380800, 3406381055, 'CN', 'China'),
(135098, '203.9.64.0', '203.9.64.255', 3406381056, 3406381311, 'AU', 'Australia'),
(135099, '203.9.65.0', '203.9.65.255', 3406381312, 3406381567, 'CN', 'China'),
(135100, '203.9.66.0', '203.9.69.255', 3406381568, 3406382591, 'AU', 'Australia'),
(135101, '203.9.70.0', '203.9.72.255', 3406382592, 3406383359, 'CN', 'China'),
(135102, '203.9.73.0', '203.9.74.255', 3406383360, 3406383871, 'AU', 'Australia'),
(135103, '203.9.75.0', '203.9.77.255', 3406383872, 3406384639, 'CN', 'China'),
(135104, '203.9.78.0', '203.9.78.255', 3406384640, 3406384895, 'AP', 'Asia/Pacific Region'),
(135105, '203.9.79.0', '203.9.79.255', 3406384896, 3406385151, 'SG', 'Singapore'),
(135106, '203.9.80.0', '203.9.95.255', 3406385152, 3406389247, 'AU', 'Australia'),
(135107, '203.9.96.0', '203.9.101.255', 3406389248, 3406390783, 'CN', 'China'),
(135108, '203.9.102.0', '203.9.107.255', 3406390784, 3406392319, 'AU', 'Australia'),
(135109, '203.9.108.0', '203.9.108.255', 3406392320, 3406392575, 'CN', 'China'),
(135110, '203.9.109.0', '203.9.157.255', 3406392576, 3406405119, 'AU', 'Australia'),
(135111, '203.9.158.0', '203.9.158.255', 3406405120, 3406405375, 'CN', 'China'),
(135112, '203.9.159.0', '203.9.175.255', 3406405376, 3406409727, 'AU', 'Australia'),
(135113, '203.9.176.0', '203.9.183.255', 3406409728, 3406411775, 'NZ', 'New Zealand'),
(135114, '203.9.184.0', '203.10.15.255', 3406411776, 3406434303, 'AU', 'Australia'),
(135115, '203.10.16.0', '203.10.23.255', 3406434304, 3406436351, 'MY', 'Malaysia'),
(135116, '203.10.24.0', '203.10.33.255', 3406436352, 3406438911, 'AU', 'Australia'),
(135117, '203.10.34.0', '203.10.34.255', 3406438912, 3406439167, 'CN', 'China'),
(135118, '203.10.35.0', '203.10.55.255', 3406439168, 3406444543, 'AU', 'Australia'),
(135119, '203.10.56.0', '203.10.56.255', 3406444544, 3406444799, 'CN', 'China'),
(135120, '203.10.57.0', '203.10.57.255', 3406444800, 3406445055, 'AU', 'Australia'),
(135121, '203.10.58.0', '203.10.58.255', 3406445056, 3406445311, 'MY', 'Malaysia'),
(135122, '203.10.59.0', '203.10.73.255', 3406445312, 3406449151, 'AU', 'Australia'),
(135123, '203.10.74.0', '203.10.75.255', 3406449152, 3406449663, 'CN', 'China'),
(135124, '203.10.76.0', '203.10.83.255', 3406449664, 3406451711, 'AU', 'Australia'),
(135125, '203.10.84.0', '203.10.88.255', 3406451712, 3406452991, 'CN', 'China'),
(135126, '203.10.89.0', '203.10.94.255', 3406452992, 3406454527, 'AU', 'Australia'),
(135127, '203.10.95.0', '203.10.95.255', 3406454528, 3406454783, 'CN', 'China'),
(135128, '203.10.96.0', '203.10.124.255', 3406454784, 3406462207, 'AU', 'Australia'),
(135129, '203.10.125.0', '203.10.125.255', 3406462208, 3406462463, 'CN', 'China'),
(135130, '203.10.126.0', '203.11.64.255', 3406462464, 3406512383, 'AU', 'Australia'),
(135131, '203.11.65.0', '203.11.65.255', 3406512384, 3406512639, 'IN', 'India'),
(135132, '203.11.66.0', '203.11.69.255', 3406512640, 3406513663, 'AU', 'Australia'),
(135133, '203.11.70.0', '203.11.70.255', 3406513664, 3406513919, 'CN', 'China'),
(135134, '203.11.71.0', '203.11.73.255', 3406513920, 3406514687, 'AU', 'Australia'),
(135135, '203.11.74.0', '203.11.74.255', 3406514688, 3406514943, 'TH', 'Thailand'),
(135136, '203.11.75.0', '203.11.75.255', 3406514944, 3406515199, 'AU', 'Australia'),
(135137, '203.11.76.0', '203.11.79.255', 3406515200, 3406516223, 'CN', 'China'),
(135138, '203.11.80.0', '203.11.81.255', 3406516224, 3406516735, 'AU', 'Australia'),
(135139, '203.11.82.0', '203.11.82.255', 3406516736, 3406516991, 'CN', 'China'),
(135140, '203.11.83.0', '203.11.83.255', 3406516992, 3406517247, 'AU', 'Australia'),
(135141, '203.11.84.0', '203.11.87.255', 3406517248, 3406518271, 'CN', 'China'),
(135142, '203.11.88.0', '203.11.99.255', 3406518272, 3406521343, 'AU', 'Australia'),
(135143, '203.11.100.0', '203.11.103.255', 3406521344, 3406522367, 'CN', 'China'),
(135144, '203.11.104.0', '203.11.108.255', 3406522368, 3406523647, 'AU', 'Australia'),
(135145, '203.11.109.0', '203.11.109.255', 3406523648, 3406523903, 'CN', 'China'),
(135146, '203.11.110.0', '203.11.116.255', 3406523904, 3406525695, 'AU', 'Australia'),
(135147, '203.11.117.0', '203.11.117.255', 3406525696, 3406525951, 'CN', 'China'),
(135148, '203.11.118.0', '203.11.121.255', 3406525952, 3406526975, 'AU', 'Australia'),
(135149, '203.11.122.0', '203.11.122.255', 3406526976, 3406527231, 'CN', 'China'),
(135150, '203.11.123.0', '203.11.125.255', 3406527232, 3406527999, 'AU', 'Australia'),
(135151, '203.11.126.0', '203.11.126.255', 3406528000, 3406528255, 'CN', 'China'),
(135152, '203.11.127.0', '203.11.127.255', 3406528256, 3406528511, 'AU', 'Australia'),
(135153, '203.11.128.0', '203.11.128.255', 3406528512, 3406528767, 'AP', 'Asia/Pacific Region'),
(135154, '203.11.129.0', '203.11.135.255', 3406528768, 3406530559, 'AU', 'Australia'),
(135155, '203.11.136.0', '203.11.139.255', 3406530560, 3406531583, 'CN', 'China'),
(135156, '203.11.140.0', '203.11.140.255', 3406531584, 3406531839, 'AU', 'Australia'),
(135157, '203.11.141.0', '203.11.143.255', 3406531840, 3406532607, 'CN', 'China'),
(135158, '203.11.144.0', '203.11.179.255', 3406532608, 3406541823, 'AU', 'Australia'),
(135159, '203.11.180.0', '203.11.183.255', 3406541824, 3406542847, 'CN', 'China'),
(135160, '203.11.184.0', '203.11.184.255', 3406542848, 3406543103, 'AP', 'Asia/Pacific Region'),
(135161, '203.11.185.0', '203.11.207.255', 3406543104, 3406548991, 'AU', 'Australia'),
(135162, '203.11.208.0', '203.11.211.255', 3406548992, 3406550015, 'CN', 'China'),
(135163, '203.11.212.0', '203.12.15.255', 3406550016, 3406565375, 'AU', 'Australia'),
(135164, '203.12.16.0', '203.12.16.255', 3406565376, 3406565631, 'CN', 'China'),
(135165, '203.12.17.0', '203.12.17.255', 3406565632, 3406565887, 'AU', 'Australia'),
(135166, '203.12.18.0', '203.12.18.255', 3406565888, 3406566143, 'PH', 'Philippines'),
(135167, '203.12.19.0', '203.12.19.255', 3406566144, 3406566399, 'CN', 'China'),
(135168, '203.12.20.0', '203.12.21.255', 3406566400, 3406566911, 'ID', 'Indonesia'),
(135169, '203.12.22.0', '203.12.23.255', 3406566912, 3406567423, 'AU', 'Australia'),
(135170, '203.12.24.0', '203.12.24.255', 3406567424, 3406567679, 'CN', 'China'),
(135171, '203.12.25.0', '203.12.56.255', 3406567680, 3406575871, 'AU', 'Australia'),
(135172, '203.12.57.0', '203.12.57.255', 3406575872, 3406576127, 'CN', 'China'),
(135173, '203.12.58.0', '203.12.64.255', 3406576128, 3406577919, 'AU', 'Australia'),
(135174, '203.12.65.0', '203.12.66.255', 3406577920, 3406578431, 'CN', 'China'),
(135175, '203.12.67.0', '203.12.69.255', 3406578432, 3406579199, 'AU', 'Australia'),
(135176, '203.12.70.0', '203.12.71.255', 3406579200, 3406579711, 'CN', 'China'),
(135177, '203.12.72.0', '203.12.86.255', 3406579712, 3406583551, 'AU', 'Australia'),
(135178, '203.12.87.0', '203.12.95.255', 3406583552, 3406585855, 'CN', 'China'),
(135179, '203.12.96.0', '203.12.99.255', 3406585856, 3406586879, 'AU', 'Australia'),
(135180, '203.12.100.0', '203.12.101.255', 3406586880, 3406587391, 'CN', 'China'),
(135181, '203.12.102.0', '203.12.102.255', 3406587392, 3406587647, 'AU', 'Australia'),
(135182, '203.12.103.0', '203.12.103.255', 3406587648, 3406587903, 'CN', 'China'),
(135183, '203.12.104.0', '203.12.113.255', 3406587904, 3406590463, 'AU', 'Australia'),
(135184, '203.12.114.0', '203.12.114.255', 3406590464, 3406590719, 'CN', 'China'),
(135185, '203.12.115.0', '203.12.117.255', 3406590720, 3406591487, 'AU', 'Australia'),
(135186, '203.12.118.0', '203.12.118.255', 3406591488, 3406591743, 'CN', 'China'),
(135187, '203.12.119.0', '203.12.129.255', 3406591744, 3406594559, 'AU', 'Australia'),
(135188, '203.12.130.0', '203.12.130.255', 3406594560, 3406594815, 'CN', 'China'),
(135189, '203.12.131.0', '203.12.136.255', 3406594816, 3406596351, 'AU', 'Australia'),
(135190, '203.12.137.0', '203.12.137.255', 3406596352, 3406596607, 'CN', 'China'),
(135191, '203.12.138.0', '203.12.195.255', 3406596608, 3406611455, 'AU', 'Australia'),
(135192, '203.12.196.0', '203.12.207.255', 3406611456, 3406614527, 'CN', 'China'),
(135193, '203.12.208.0', '203.12.210.255', 3406614528, 3406615295, 'AU', 'Australia'),
(135194, '203.12.211.0', '203.12.211.255', 3406615296, 3406615551, 'CN', 'China'),
(135195, '203.12.212.0', '203.12.218.255', 3406615552, 3406617343, 'AU', 'Australia'),
(135196, '203.12.219.0', '203.12.219.255', 3406617344, 3406617599, 'CN', 'China'),
(135197, '203.12.220.0', '203.12.220.255', 3406617600, 3406617855, 'MY', 'Malaysia'),
(135198, '203.12.221.0', '203.12.221.255', 3406617856, 3406618111, 'AU', 'Australia'),
(135199, '203.12.222.0', '203.12.223.255', 3406618112, 3406618623, 'IN', 'India'),
(135200, '203.12.224.0', '203.12.225.255', 3406618624, 3406619135, 'AU', 'Australia'),
(135201, '203.12.226.0', '203.12.226.255', 3406619136, 3406619391, 'CN', 'China'),
(135202, '203.12.227.0', '203.12.239.255', 3406619392, 3406622719, 'AU', 'Australia'),
(135203, '203.12.240.0', '203.12.243.255', 3406622720, 3406623743, 'CN', 'China'),
(135204, '203.12.244.0', '203.12.248.255', 3406623744, 3406625023, 'AU', 'Australia'),
(135205, '203.12.249.0', '203.12.249.255', 3406625024, 3406625279, 'NF', 'Norfolk Island'),
(135206, '203.12.250.0', '203.13.17.255', 3406625280, 3406631423, 'AU', 'Australia'),
(135207, '203.13.18.0', '203.13.18.255', 3406631424, 3406631679, 'CN', 'China'),
(135208, '203.13.19.0', '203.13.23.255', 3406631680, 3406632959, 'AU', 'Australia'),
(135209, '203.13.24.0', '203.13.24.255', 3406632960, 3406633215, 'CN', 'China'),
(135210, '203.13.25.0', '203.13.39.255', 3406633216, 3406637055, 'AU', 'Australia'),
(135211, '203.13.40.0', '203.13.40.255', 3406637056, 3406637311, 'IN', 'India'),
(135212, '203.13.41.0', '203.13.43.255', 3406637312, 3406638079, 'AU', 'Australia'),
(135213, '203.13.44.0', '203.13.45.255', 3406638080, 3406638591, 'CN', 'China'),
(135214, '203.13.46.0', '203.13.79.255', 3406638592, 3406647295, 'AU', 'Australia'),
(135215, '203.13.80.0', '203.13.89.255', 3406647296, 3406649855, 'CN', 'China'),
(135216, '203.13.90.0', '203.13.91.255', 3406649856, 3406650367, 'AU', 'Australia'),
(135217, '203.13.92.0', '203.13.95.255', 3406650368, 3406651391, 'CN', 'China'),
(135218, '203.13.96.0', '203.13.167.255', 3406651392, 3406669823, 'AU', 'Australia'),
(135219, '203.13.168.0', '203.13.171.255', 3406669824, 3406670847, 'IN', 'India'),
(135220, '203.13.172.0', '203.13.172.255', 3406670848, 3406671103, 'AU', 'Australia'),
(135221, '203.13.173.0', '203.13.173.255', 3406671104, 3406671359, 'CN', 'China'),
(135222, '203.13.174.0', '203.13.223.255', 3406671360, 3406684159, 'AU', 'Australia'),
(135223, '203.13.224.0', '203.13.225.255', 3406684160, 3406684671, 'CN', 'China'),
(135224, '203.13.226.0', '203.13.226.255', 3406684672, 3406684927, 'AU', 'Australia'),
(135225, '203.13.227.0', '203.13.227.255', 3406684928, 3406685183, 'CN', 'China'),
(135226, '203.13.228.0', '203.13.232.255', 3406685184, 3406686463, 'AU', 'Australia'),
(135227, '203.13.233.0', '203.13.233.255', 3406686464, 3406686719, 'CN', 'China'),
(135228, '203.13.234.0', '203.14.17.255', 3406686720, 3406696959, 'AU', 'Australia'),
(135229, '203.14.18.0', '203.14.18.255', 3406696960, 3406697215, 'IN', 'India'),
(135230, '203.14.19.0', '203.14.23.255', 3406697216, 3406698495, 'AU', 'Australia'),
(135231, '203.14.24.0', '203.14.27.255', 3406698496, 3406699519, 'CN', 'China'),
(135232, '203.14.28.0', '203.14.32.255', 3406699520, 3406700799, 'AU', 'Australia'),
(135233, '203.14.33.0', '203.14.33.255', 3406700800, 3406701055, 'CN', 'China'),
(135234, '203.14.34.0', '203.14.55.255', 3406701056, 3406706687, 'AU', 'Australia'),
(135235, '203.14.56.0', '203.14.56.255', 3406706688, 3406706943, 'CN', 'China'),
(135236, '203.14.57.0', '203.14.60.255', 3406706944, 3406707967, 'AU', 'Australia'),
(135237, '203.14.61.0', '203.14.62.255', 3406707968, 3406708479, 'CN', 'China'),
(135238, '203.14.63.0', '203.14.103.255', 3406708480, 3406718975, 'AU', 'Australia'),
(135239, '203.14.104.0', '203.14.104.255', 3406718976, 3406719231, 'CN', 'China'),
(135240, '203.14.105.0', '203.14.113.255', 3406719232, 3406721535, 'AU', 'Australia'),
(135241, '203.14.114.0', '203.14.115.255', 3406721536, 3406722047, 'CN', 'China'),
(135242, '203.14.116.0', '203.14.117.255', 3406722048, 3406722559, 'AU', 'Australia'),
(135243, '203.14.118.0', '203.14.118.255', 3406722560, 3406722815, 'CN', 'China'),
(135244, '203.14.119.0', '203.14.161.255', 3406722816, 3406733823, 'AU', 'Australia'),
(135245, '203.14.162.0', '203.14.162.255', 3406733824, 3406734079, 'CN', 'China'),
(135246, '203.14.163.0', '203.14.165.255', 3406734080, 3406734847, 'AU', 'Australia'),
(135247, '203.14.166.0', '203.14.166.255', 3406734848, 3406735103, 'HK', 'Hong Kong'),
(135248, '203.14.167.0', '203.14.175.255', 3406735104, 3406737407, 'AU', 'Australia'),
(135249, '203.14.176.0', '203.14.176.255', 3406737408, 3406737663, 'ID', 'Indonesia'),
(135250, '203.14.177.0', '203.14.182.255', 3406737664, 3406739199, 'AU', 'Australia'),
(135251, '203.14.183.0', '203.14.183.255', 3406739200, 3406739455, 'ID', 'Indonesia'),
(135252, '203.14.184.0', '203.14.192.255', 3406739456, 3406741759, 'CN', 'China'),
(135253, '203.14.193.0', '203.14.193.255', 3406741760, 3406742015, 'AU', 'Australia'),
(135254, '203.14.194.0', '203.14.195.255', 3406742016, 3406742527, 'CN', 'China'),
(135255, '203.14.196.0', '203.14.211.255', 3406742528, 3406746623, 'AU', 'Australia'),
(135256, '203.14.212.0', '203.14.212.255', 3406746624, 3406746879, 'JP', 'Japan'),
(135257, '203.14.213.0', '203.14.213.255', 3406746880, 3406747135, 'AU', 'Australia'),
(135258, '203.14.214.0', '203.14.214.255', 3406747136, 3406747391, 'CN', 'China'),
(135259, '203.14.215.0', '203.14.230.255', 3406747392, 3406751487, 'AU', 'Australia'),
(135260, '203.14.231.0', '203.14.231.255', 3406751488, 3406751743, 'CN', 'China'),
(135261, '203.14.232.0', '203.14.245.255', 3406751744, 3406755327, 'AU', 'Australia'),
(135262, '203.14.246.0', '203.14.246.255', 3406755328, 3406755583, 'CN', 'China'),
(135263, '203.14.247.0', '203.14.255.255', 3406755584, 3406757887, 'AU', 'Australia'),
(135264, '203.15.0.0', '203.15.15.255', 3406757888, 3406761983, 'CN', 'China'),
(135265, '203.15.16.0', '203.15.19.255', 3406761984, 3406763007, 'AU', 'Australia'),
(135266, '203.15.20.0', '203.15.22.255', 3406763008, 3406763775, 'CN', 'China'),
(135267, '203.15.23.0', '203.15.86.255', 3406763776, 3406780159, 'AU', 'Australia'),
(135268, '203.15.87.0', '203.15.89.255', 3406780160, 3406780927, 'CN', 'China'),
(135269, '203.15.90.0', '203.15.104.255', 3406780928, 3406784767, 'AU', 'Australia'),
(135270, '203.15.105.0', '203.15.105.255', 3406784768, 3406785023, 'CN', 'China'),
(135271, '203.15.106.0', '203.15.111.255', 3406785024, 3406786559, 'AU', 'Australia'),
(135272, '203.15.112.0', '203.15.119.255', 3406786560, 3406788607, 'CN', 'China'),
(135273, '203.15.120.0', '203.15.129.255', 3406788608, 3406791167, 'AU', 'Australia'),
(135274, '203.15.130.0', '203.15.131.255', 3406791168, 3406791679, 'CN', 'China'),
(135275, '203.15.132.0', '203.15.148.255', 3406791680, 3406796031, 'AU', 'Australia'),
(135276, '203.15.149.0', '203.15.149.255', 3406796032, 3406796287, 'CN', 'China'),
(135277, '203.15.150.0', '203.15.150.255', 3406796288, 3406796543, 'AU', 'Australia'),
(135278, '203.15.151.0', '203.15.151.255', 3406796544, 3406796799, 'CN', 'China'),
(135279, '203.15.152.0', '203.15.155.255', 3406796800, 3406797823, 'AU', 'Australia'),
(135280, '203.15.156.0', '203.15.159.255', 3406797824, 3406798847, 'CN', 'China'),
(135281, '203.15.160.0', '203.15.173.255', 3406798848, 3406802431, 'AU', 'Australia'),
(135282, '203.15.174.0', '203.15.174.255', 3406802432, 3406802687, 'CN', 'China'),
(135283, '203.15.175.0', '203.15.226.255', 3406802688, 3406815999, 'AU', 'Australia'),
(135284, '203.15.227.0', '203.15.227.255', 3406816000, 3406816255, 'CN', 'China'),
(135285, '203.15.228.0', '203.15.231.255', 3406816256, 3406817279, 'AU', 'Australia'),
(135286, '203.15.232.0', '203.15.241.255', 3406817280, 3406819839, 'CN', 'China'),
(135287, '203.15.242.0', '203.15.245.255', 3406819840, 3406820863, 'AU', 'Australia'),
(135288, '203.15.246.0', '203.15.246.255', 3406820864, 3406821119, 'CN', 'China');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(135289, '203.15.247.0', '203.16.9.255', 3406821120, 3406825983, 'AU', 'Australia'),
(135290, '203.16.10.0', '203.16.10.255', 3406825984, 3406826239, 'CN', 'China'),
(135291, '203.16.12.0', '203.16.13.255', 3406826496, 3406827007, 'CN', 'China'),
(135292, '203.16.14.0', '203.16.15.255', 3406827008, 3406827519, 'AU', 'Australia'),
(135293, '203.16.16.0', '203.16.23.255', 3406827520, 3406829567, 'CN', 'China'),
(135294, '203.16.24.0', '203.16.26.255', 3406829568, 3406830335, 'AU', 'Australia'),
(135295, '203.16.27.0', '203.16.27.255', 3406830336, 3406830591, 'CN', 'China'),
(135296, '203.16.28.0', '203.16.33.255', 3406830592, 3406832127, 'AU', 'Australia'),
(135297, '203.16.34.0', '203.16.34.255', 3406832128, 3406832383, 'PK', 'Pakistan'),
(135298, '203.16.35.0', '203.16.37.255', 3406832384, 3406833151, 'AU', 'Australia'),
(135299, '203.16.38.0', '203.16.38.255', 3406833152, 3406833407, 'CN', 'China'),
(135300, '203.16.39.0', '203.16.48.255', 3406833408, 3406835967, 'AU', 'Australia'),
(135301, '203.16.49.0', '203.16.51.255', 3406835968, 3406836735, 'CN', 'China'),
(135302, '203.16.52.0', '203.16.57.255', 3406836736, 3406838271, 'AU', 'Australia'),
(135303, '203.16.58.0', '203.16.58.255', 3406838272, 3406838527, 'CN', 'China'),
(135304, '203.16.59.0', '203.16.132.255', 3406838528, 3406857471, 'AU', 'Australia'),
(135305, '203.16.133.0', '203.16.133.255', 3406857472, 3406857727, 'CN', 'China'),
(135306, '203.16.134.0', '203.16.160.255', 3406857728, 3406864639, 'AU', 'Australia'),
(135307, '203.16.161.0', '203.16.162.255', 3406864640, 3406865151, 'CN', 'China'),
(135308, '203.16.163.0', '203.16.164.255', 3406865152, 3406865663, 'AU', 'Australia'),
(135309, '203.16.165.0', '203.16.165.255', 3406865664, 3406865919, 'IN', 'India'),
(135310, '203.16.166.0', '203.16.185.255', 3406865920, 3406871039, 'AU', 'Australia'),
(135311, '203.16.186.0', '203.16.187.255', 3406871040, 3406871551, 'CN', 'China'),
(135312, '203.16.188.0', '203.16.227.255', 3406871552, 3406881791, 'AU', 'Australia'),
(135313, '203.16.228.0', '203.16.228.255', 3406881792, 3406882047, 'CN', 'China'),
(135314, '203.16.229.0', '203.16.237.255', 3406882048, 3406884351, 'AU', 'Australia'),
(135315, '203.16.238.0', '203.16.238.255', 3406884352, 3406884607, 'CN', 'China'),
(135316, '203.16.239.0', '203.16.239.255', 3406884608, 3406884863, 'HK', 'Hong Kong'),
(135317, '203.16.240.0', '203.16.240.255', 3406884864, 3406885119, 'CN', 'China'),
(135318, '203.16.241.0', '203.16.244.255', 3406885120, 3406886143, 'AU', 'Australia'),
(135319, '203.16.245.0', '203.16.245.255', 3406886144, 3406886399, 'CN', 'China'),
(135320, '203.16.246.0', '203.17.1.255', 3406886400, 3406889471, 'AU', 'Australia'),
(135321, '203.17.2.0', '203.17.2.255', 3406889472, 3406889727, 'CN', 'China'),
(135322, '203.17.3.0', '203.17.17.255', 3406889728, 3406893567, 'AU', 'Australia'),
(135323, '203.17.18.0', '203.17.18.255', 3406893568, 3406893823, 'CN', 'China'),
(135324, '203.17.19.0', '203.17.20.255', 3406893824, 3406894335, 'AU', 'Australia'),
(135325, '203.17.21.0', '203.17.21.255', 3406894336, 3406894591, 'ID', 'Indonesia'),
(135326, '203.17.22.0', '203.17.27.255', 3406894592, 3406896127, 'AU', 'Australia'),
(135327, '203.17.28.0', '203.17.28.255', 3406896128, 3406896383, 'CN', 'China'),
(135328, '203.17.29.0', '203.17.30.255', 3406896384, 3406896895, 'AU', 'Australia'),
(135329, '203.17.31.0', '203.17.31.255', 3406896896, 3406897151, 'IN', 'India'),
(135330, '203.17.32.0', '203.17.38.255', 3406897152, 3406898943, 'AU', 'Australia'),
(135331, '203.17.39.0', '203.17.39.255', 3406898944, 3406899199, 'CN', 'China'),
(135332, '203.17.40.0', '203.17.55.255', 3406899200, 3406903295, 'AU', 'Australia'),
(135333, '203.17.56.0', '203.17.56.255', 3406903296, 3406903551, 'CN', 'China'),
(135334, '203.17.57.0', '203.17.73.255', 3406903552, 3406907903, 'AU', 'Australia'),
(135335, '203.17.74.0', '203.17.75.255', 3406907904, 3406908415, 'CN', 'China'),
(135336, '203.17.76.0', '203.17.87.255', 3406908416, 3406911487, 'AU', 'Australia'),
(135337, '203.17.88.0', '203.17.89.255', 3406911488, 3406911999, 'CN', 'China'),
(135338, '203.17.90.0', '203.17.135.255', 3406912000, 3406923775, 'AU', 'Australia'),
(135339, '203.17.136.0', '203.17.136.255', 3406923776, 3406924031, 'CN', 'China'),
(135340, '203.17.137.0', '203.17.163.255', 3406924032, 3406930943, 'AU', 'Australia'),
(135341, '203.17.164.0', '203.17.164.255', 3406930944, 3406931199, 'CN', 'China'),
(135342, '203.17.165.0', '203.17.186.255', 3406931200, 3406936831, 'AU', 'Australia'),
(135343, '203.17.187.0', '203.17.187.255', 3406936832, 3406937087, 'CN', 'China'),
(135344, '203.17.188.0', '203.17.189.255', 3406937088, 3406937599, 'AU', 'Australia'),
(135345, '203.17.190.0', '203.17.191.255', 3406937600, 3406938111, 'CN', 'China'),
(135346, '203.17.192.0', '203.17.193.255', 3406938112, 3406938623, 'AU', 'Australia'),
(135347, '203.17.194.0', '203.17.194.255', 3406938624, 3406938879, 'IN', 'India'),
(135348, '203.17.195.0', '203.17.225.255', 3406938880, 3406946815, 'AU', 'Australia'),
(135349, '203.17.226.0', '203.17.226.255', 3406946816, 3406947071, 'KR', 'Korea, Republic of'),
(135350, '203.17.227.0', '203.17.230.255', 3406947072, 3406948095, 'AU', 'Australia'),
(135351, '203.17.231.0', '203.17.231.255', 3406948096, 3406948351, 'CN', 'China'),
(135352, '203.17.232.0', '203.17.232.255', 3406948352, 3406948607, 'AU', 'Australia'),
(135353, '203.17.233.0', '203.17.233.255', 3406948608, 3406948863, 'CN', 'China'),
(135354, '203.17.234.0', '203.17.239.255', 3406948864, 3406950399, 'AU', 'Australia'),
(135355, '203.17.240.0', '203.17.243.255', 3406950400, 3406951423, 'NF', 'Norfolk Island'),
(135356, '203.17.244.0', '203.17.247.255', 3406951424, 3406952447, 'AU', 'Australia'),
(135357, '203.17.248.0', '203.17.248.255', 3406952448, 3406952703, 'CN', 'China'),
(135358, '203.17.249.0', '203.17.249.255', 3406952704, 3406952959, 'PH', 'Philippines'),
(135359, '203.17.250.0', '203.17.254.255', 3406952960, 3406954239, 'AU', 'Australia'),
(135360, '203.17.255.0', '203.17.255.255', 3406954240, 3406954495, 'CN', 'China'),
(135361, '203.18.0.0', '203.18.1.255', 3406954496, 3406955007, 'AU', 'Australia'),
(135362, '203.18.2.0', '203.18.4.255', 3406955008, 3406955775, 'CN', 'China'),
(135363, '203.18.5.0', '203.18.6.255', 3406955776, 3406956287, 'AU', 'Australia'),
(135364, '203.18.7.0', '203.18.7.255', 3406956288, 3406956543, 'CN', 'China'),
(135365, '203.18.8.0', '203.18.25.255', 3406956544, 3406961151, 'AU', 'Australia'),
(135366, '203.18.26.0', '203.18.26.255', 3406961152, 3406961407, 'IN', 'India'),
(135367, '203.18.27.0', '203.18.30.255', 3406961408, 3406962431, 'AU', 'Australia'),
(135368, '203.18.31.0', '203.18.31.255', 3406962432, 3406962687, 'CN', 'China'),
(135369, '203.18.32.0', '203.18.36.255', 3406962688, 3406963967, 'AU', 'Australia'),
(135370, '203.18.37.0', '203.18.37.255', 3406963968, 3406964223, 'CN', 'China'),
(135371, '203.18.38.0', '203.18.47.255', 3406964224, 3406966783, 'AU', 'Australia'),
(135372, '203.18.48.0', '203.18.50.255', 3406966784, 3406967551, 'CN', 'China'),
(135373, '203.18.51.0', '203.18.51.255', 3406967552, 3406967807, 'IN', 'India'),
(135374, '203.18.52.0', '203.18.52.255', 3406967808, 3406968063, 'CN', 'China'),
(135375, '203.18.53.0', '203.18.71.255', 3406968064, 3406972927, 'AU', 'Australia'),
(135376, '203.18.72.0', '203.18.75.255', 3406972928, 3406973951, 'CN', 'China'),
(135377, '203.18.76.0', '203.18.79.255', 3406973952, 3406974975, 'AU', 'Australia'),
(135378, '203.18.80.0', '203.18.81.255', 3406974976, 3406975487, 'CN', 'China'),
(135379, '203.18.82.0', '203.18.86.255', 3406975488, 3406976767, 'AU', 'Australia'),
(135380, '203.18.87.0', '203.18.87.255', 3406976768, 3406977023, 'CN', 'China'),
(135381, '203.18.88.0', '203.18.99.255', 3406977024, 3406980095, 'AU', 'Australia'),
(135382, '203.18.100.0', '203.18.101.255', 3406980096, 3406980607, 'CN', 'China'),
(135383, '203.18.102.0', '203.18.104.255', 3406980608, 3406981375, 'AU', 'Australia'),
(135384, '203.18.105.0', '203.18.105.255', 3406981376, 3406981631, 'CN', 'China'),
(135385, '203.18.106.0', '203.18.106.255', 3406981632, 3406981887, 'AU', 'Australia'),
(135386, '203.18.107.0', '203.18.107.255', 3406981888, 3406982143, 'CN', 'China'),
(135387, '203.18.108.0', '203.18.109.255', 3406982144, 3406982655, 'AU', 'Australia'),
(135388, '203.18.110.0', '203.18.110.255', 3406982656, 3406982911, 'CN', 'China'),
(135389, '203.18.112.0', '203.18.128.255', 3406983168, 3406987519, 'AU', 'Australia'),
(135390, '203.18.129.0', '203.18.129.255', 3406987520, 3406987775, 'CN', 'China'),
(135391, '203.18.130.0', '203.18.130.255', 3406987776, 3406988031, 'AU', 'Australia'),
(135392, '203.18.131.0', '203.18.133.255', 3406988032, 3406988799, 'CN', 'China'),
(135393, '203.18.134.0', '203.18.136.255', 3406988800, 3406989567, 'AU', 'Australia'),
(135394, '203.18.137.0', '203.18.137.255', 3406989568, 3406989823, 'IN', 'India'),
(135395, '203.18.138.0', '203.18.143.255', 3406989824, 3406991359, 'AU', 'Australia'),
(135396, '203.18.144.0', '203.18.144.255', 3406991360, 3406991615, 'CN', 'China'),
(135397, '203.18.145.0', '203.18.152.255', 3406991616, 3406993663, 'AU', 'Australia'),
(135398, '203.18.153.0', '203.18.153.255', 3406993664, 3406993919, 'CN', 'China'),
(135399, '203.18.154.0', '203.18.155.255', 3406993920, 3406994431, 'AU', 'Australia'),
(135400, '203.18.160.0', '203.18.198.255', 3406995456, 3407005439, 'AU', 'Australia'),
(135401, '203.18.199.0', '203.18.199.255', 3407005440, 3407005695, 'CN', 'China'),
(135402, '203.18.200.0', '203.18.207.255', 3407005696, 3407007743, 'AU', 'Australia'),
(135403, '203.18.208.0', '203.18.208.255', 3407007744, 3407007999, 'CN', 'China'),
(135404, '203.18.209.0', '203.18.210.255', 3407008000, 3407008511, 'AU', 'Australia'),
(135405, '203.18.211.0', '203.18.211.255', 3407008512, 3407008767, 'CN', 'China'),
(135406, '203.18.212.0', '203.18.214.255', 3407008768, 3407009535, 'AU', 'Australia'),
(135407, '203.18.215.0', '203.18.215.255', 3407009536, 3407009791, 'CN', 'China'),
(135408, '203.18.216.0', '203.19.0.255', 3407009792, 3407020287, 'AU', 'Australia'),
(135409, '203.19.2.0', '203.19.2.255', 3407020544, 3407020799, 'AU', 'Australia'),
(135410, '203.19.3.0', '203.19.3.255', 3407020800, 3407021055, 'IN', 'India'),
(135411, '203.19.4.0', '203.19.4.255', 3407021056, 3407021311, 'ID', 'Indonesia'),
(135412, '203.19.5.0', '203.19.17.255', 3407021312, 3407024639, 'AU', 'Australia'),
(135413, '203.19.18.0', '203.19.18.255', 3407024640, 3407024895, 'CN', 'China'),
(135414, '203.19.19.0', '203.19.23.255', 3407024896, 3407026175, 'AU', 'Australia'),
(135415, '203.19.24.0', '203.19.24.255', 3407026176, 3407026431, 'CN', 'China'),
(135416, '203.19.25.0', '203.19.29.255', 3407026432, 3407027711, 'AU', 'Australia'),
(135417, '203.19.30.0', '203.19.30.255', 3407027712, 3407027967, 'CN', 'China'),
(135418, '203.19.31.0', '203.19.31.255', 3407027968, 3407028223, 'AU', 'Australia'),
(135419, '203.19.32.0', '203.19.39.255', 3407028224, 3407030271, 'CN', 'China'),
(135420, '203.19.40.0', '203.19.40.255', 3407030272, 3407030527, 'AU', 'Australia'),
(135421, '203.19.41.0', '203.19.41.255', 3407030528, 3407030783, 'CN', 'China'),
(135422, '203.19.42.0', '203.19.43.255', 3407030784, 3407031295, 'AU', 'Australia'),
(135423, '203.19.44.0', '203.19.46.255', 3407031296, 3407032063, 'CN', 'China'),
(135424, '203.19.47.0', '203.19.57.255', 3407032064, 3407034879, 'AU', 'Australia'),
(135425, '203.19.58.0', '203.19.58.255', 3407034880, 3407035135, 'CN', 'China'),
(135426, '203.19.59.0', '203.19.59.255', 3407035136, 3407035391, 'AU', 'Australia'),
(135427, '203.19.60.0', '203.19.61.255', 3407035392, 3407035903, 'CN', 'China'),
(135428, '203.19.62.0', '203.19.63.255', 3407035904, 3407036415, 'AU', 'Australia'),
(135429, '203.19.64.0', '203.19.64.255', 3407036416, 3407036671, 'CN', 'China'),
(135430, '203.19.65.0', '203.19.67.255', 3407036672, 3407037439, 'AU', 'Australia'),
(135431, '203.19.68.0', '203.19.68.255', 3407037440, 3407037695, 'CN', 'China'),
(135432, '203.19.69.0', '203.19.71.255', 3407037696, 3407038463, 'AU', 'Australia'),
(135433, '203.19.72.0', '203.19.72.255', 3407038464, 3407038719, 'CN', 'China'),
(135434, '203.19.73.0', '203.19.100.255', 3407038720, 3407045887, 'AU', 'Australia'),
(135435, '203.19.101.0', '203.19.101.255', 3407045888, 3407046143, 'CN', 'China'),
(135436, '203.19.102.0', '203.19.110.255', 3407046144, 3407048447, 'AU', 'Australia'),
(135437, '203.19.111.0', '203.19.111.255', 3407048448, 3407048703, 'CN', 'China'),
(135438, '203.19.112.0', '203.19.130.255', 3407048704, 3407053567, 'AU', 'Australia'),
(135439, '203.19.131.0', '203.19.131.255', 3407053568, 3407053823, 'CN', 'China'),
(135440, '203.19.132.0', '203.19.132.255', 3407053824, 3407054079, 'AU', 'Australia'),
(135441, '203.19.133.0', '203.19.133.255', 3407054080, 3407054335, 'CN', 'China'),
(135442, '203.19.134.0', '203.19.143.255', 3407054336, 3407056895, 'AU', 'Australia'),
(135443, '203.19.144.0', '203.19.144.255', 3407056896, 3407057151, 'CN', 'China'),
(135444, '203.19.145.0', '203.19.146.255', 3407057152, 3407057663, 'AU', 'Australia'),
(135445, '203.19.148.0', '203.19.148.255', 3407057920, 3407058175, 'AU', 'Australia'),
(135446, '203.19.149.0', '203.19.149.255', 3407058176, 3407058431, 'CN', 'China'),
(135447, '203.19.150.0', '203.19.155.255', 3407058432, 3407059967, 'AU', 'Australia'),
(135448, '203.19.156.0', '203.19.156.255', 3407059968, 3407060223, 'CN', 'China'),
(135449, '203.19.157.0', '203.19.175.255', 3407060224, 3407065087, 'AU', 'Australia'),
(135450, '203.19.176.0', '203.19.176.255', 3407065088, 3407065343, 'CN', 'China'),
(135451, '203.19.177.0', '203.19.177.255', 3407065344, 3407065599, 'AU', 'Australia'),
(135452, '203.19.178.0', '203.19.179.255', 3407065600, 3407066111, 'CN', 'China'),
(135453, '203.19.180.0', '203.19.207.255', 3407066112, 3407073279, 'AU', 'Australia'),
(135454, '203.19.208.0', '203.19.208.255', 3407073280, 3407073535, 'CN', 'China'),
(135455, '203.19.209.0', '203.19.227.255', 3407073536, 3407078399, 'AU', 'Australia'),
(135456, '203.19.228.0', '203.19.231.255', 3407078400, 3407079423, 'CN', 'China'),
(135457, '203.19.232.0', '203.19.232.255', 3407079424, 3407079679, 'AU', 'Australia'),
(135458, '203.19.233.0', '203.19.233.255', 3407079680, 3407079935, 'CN', 'China'),
(135459, '203.19.234.0', '203.19.239.255', 3407079936, 3407081471, 'AU', 'Australia'),
(135460, '203.19.241.0', '203.19.241.255', 3407081728, 3407081983, 'AU', 'Australia'),
(135461, '203.19.242.0', '203.19.242.255', 3407081984, 3407082239, 'CN', 'China'),
(135462, '203.19.243.0', '203.19.247.255', 3407082240, 3407083519, 'AU', 'Australia'),
(135463, '203.19.248.0', '203.19.249.255', 3407083520, 3407084031, 'CN', 'China'),
(135464, '203.19.250.0', '203.19.254.255', 3407084032, 3407085311, 'AU', 'Australia'),
(135465, '203.19.255.0', '203.19.255.255', 3407085312, 3407085567, 'CN', 'China'),
(135466, '203.20.0.0', '203.20.16.255', 3407085568, 3407089919, 'AU', 'Australia'),
(135467, '203.20.17.0', '203.20.17.255', 3407089920, 3407090175, 'CN', 'China'),
(135468, '203.20.18.0', '203.20.39.255', 3407090176, 3407095807, 'AU', 'Australia'),
(135469, '203.20.40.0', '203.20.41.255', 3407095808, 3407096319, 'CN', 'China'),
(135470, '203.20.42.0', '203.20.47.255', 3407096320, 3407097855, 'AU', 'Australia'),
(135471, '203.20.48.0', '203.20.48.255', 3407097856, 3407098111, 'CN', 'China'),
(135472, '203.20.49.0', '203.20.60.255', 3407098112, 3407101183, 'AU', 'Australia'),
(135473, '203.20.61.0', '203.20.61.255', 3407101184, 3407101439, 'CN', 'China'),
(135474, '203.20.62.0', '203.20.62.255', 3407101440, 3407101695, 'AU', 'Australia'),
(135475, '203.20.64.0', '203.20.64.255', 3407101952, 3407102207, 'AU', 'Australia'),
(135476, '203.20.65.0', '203.20.65.255', 3407102208, 3407102463, 'CN', 'China'),
(135477, '203.20.66.0', '203.20.83.255', 3407102464, 3407107071, 'AU', 'Australia'),
(135478, '203.20.84.0', '203.20.85.255', 3407107072, 3407107583, 'CN', 'China'),
(135479, '203.20.86.0', '203.20.88.255', 3407107584, 3407108351, 'AU', 'Australia'),
(135480, '203.20.89.0', '203.20.89.255', 3407108352, 3407108607, 'CN', 'China'),
(135481, '203.20.90.0', '203.20.104.255', 3407108608, 3407112447, 'AU', 'Australia'),
(135482, '203.20.105.0', '203.20.105.255', 3407112448, 3407112703, 'AP', 'Asia/Pacific Region'),
(135483, '203.20.106.0', '203.20.107.255', 3407112704, 3407113215, 'CN', 'China'),
(135484, '203.20.108.0', '203.20.114.255', 3407113216, 3407115007, 'AU', 'Australia'),
(135485, '203.20.115.0', '203.20.115.255', 3407115008, 3407115263, 'CN', 'China'),
(135486, '203.20.116.0', '203.20.116.255', 3407115264, 3407115519, 'AU', 'Australia'),
(135487, '203.20.117.0', '203.20.119.255', 3407115520, 3407116287, 'CN', 'China'),
(135488, '203.20.120.0', '203.20.121.255', 3407116288, 3407116799, 'AU', 'Australia'),
(135489, '203.20.122.0', '203.20.122.255', 3407116800, 3407117055, 'CN', 'China'),
(135490, '203.20.123.0', '203.20.125.255', 3407117056, 3407117823, 'AU', 'Australia'),
(135491, '203.20.126.0', '203.20.127.255', 3407117824, 3407118335, 'CN', 'China'),
(135492, '203.20.128.0', '203.20.134.255', 3407118336, 3407120127, 'AU', 'Australia'),
(135493, '203.20.135.0', '203.20.143.255', 3407120128, 3407122431, 'CN', 'China'),
(135494, '203.20.144.0', '203.20.149.255', 3407122432, 3407123967, 'AU', 'Australia'),
(135495, '203.20.150.0', '203.20.150.255', 3407123968, 3407124223, 'CN', 'China'),
(135496, '203.20.151.0', '203.20.229.255', 3407124224, 3407144447, 'AU', 'Australia'),
(135497, '203.20.230.0', '203.20.230.255', 3407144448, 3407144703, 'CN', 'China'),
(135498, '203.20.231.0', '203.20.231.255', 3407144704, 3407144959, 'AU', 'Australia'),
(135499, '203.20.232.0', '203.20.232.255', 3407144960, 3407145215, 'CN', 'China'),
(135500, '203.20.233.0', '203.20.235.255', 3407145216, 3407145983, 'AU', 'Australia'),
(135501, '203.20.236.0', '203.20.236.255', 3407145984, 3407146239, 'CN', 'China'),
(135502, '203.20.237.0', '203.20.240.255', 3407146240, 3407147263, 'AU', 'Australia'),
(135503, '203.20.241.0', '203.20.241.255', 3407147264, 3407147519, 'NZ', 'New Zealand'),
(135504, '203.20.242.0', '203.20.255.255', 3407147520, 3407151103, 'AU', 'Australia'),
(135505, '203.21.0.0', '203.21.2.255', 3407151104, 3407151871, 'CN', 'China'),
(135506, '203.21.3.0', '203.21.6.255', 3407151872, 3407152895, 'AU', 'Australia'),
(135507, '203.21.7.0', '203.21.7.255', 3407152896, 3407153151, 'IN', 'India'),
(135508, '203.21.8.0', '203.21.8.255', 3407153152, 3407153407, 'CN', 'China'),
(135509, '203.21.9.0', '203.21.9.255', 3407153408, 3407153663, 'AU', 'Australia'),
(135510, '203.21.10.0', '203.21.10.255', 3407153664, 3407153919, 'CN', 'China'),
(135511, '203.21.11.0', '203.21.17.255', 3407153920, 3407155711, 'AU', 'Australia'),
(135512, '203.21.18.0', '203.21.18.255', 3407155712, 3407155967, 'CN', 'China'),
(135513, '203.21.19.0', '203.21.32.255', 3407155968, 3407159551, 'AU', 'Australia'),
(135514, '203.21.33.0', '203.21.34.255', 3407159552, 3407160063, 'CN', 'China'),
(135515, '203.21.35.0', '203.21.40.255', 3407160064, 3407161599, 'AU', 'Australia'),
(135516, '203.21.41.0', '203.21.41.255', 3407161600, 3407161855, 'CN', 'China'),
(135517, '203.21.42.0', '203.21.43.255', 3407161856, 3407162367, 'TH', 'Thailand'),
(135518, '203.21.44.0', '203.21.44.255', 3407162368, 3407162623, 'CN', 'China'),
(135519, '203.21.45.0', '203.21.67.255', 3407162624, 3407168511, 'AU', 'Australia'),
(135520, '203.21.68.0', '203.21.68.255', 3407168512, 3407168767, 'CN', 'China'),
(135521, '203.21.69.0', '203.21.73.255', 3407168768, 3407170047, 'AU', 'Australia'),
(135522, '203.21.74.0', '203.21.75.255', 3407170048, 3407170559, 'ID', 'Indonesia'),
(135523, '203.21.76.0', '203.21.81.255', 3407170560, 3407172095, 'AU', 'Australia'),
(135524, '203.21.82.0', '203.21.82.255', 3407172096, 3407172351, 'CN', 'China'),
(135525, '203.21.83.0', '203.21.95.255', 3407172352, 3407175679, 'AU', 'Australia'),
(135526, '203.21.96.0', '203.21.99.255', 3407175680, 3407176703, 'CN', 'China'),
(135527, '203.21.100.0', '203.21.123.255', 3407176704, 3407182847, 'AU', 'Australia'),
(135528, '203.21.124.0', '203.21.124.255', 3407182848, 3407183103, 'CN', 'China'),
(135529, '203.21.125.0', '203.21.135.255', 3407183104, 3407185919, 'AU', 'Australia'),
(135530, '203.21.136.0', '203.21.137.255', 3407185920, 3407186431, 'CN', 'China'),
(135531, '203.21.138.0', '203.21.144.255', 3407186432, 3407188223, 'AU', 'Australia'),
(135532, '203.21.145.0', '203.21.145.255', 3407188224, 3407188479, 'CN', 'China'),
(135533, '203.21.146.0', '203.21.205.255', 3407188480, 3407203839, 'AU', 'Australia'),
(135534, '203.21.206.0', '203.21.206.255', 3407203840, 3407204095, 'CN', 'China'),
(135535, '203.21.207.0', '203.22.23.255', 3407204096, 3407222783, 'AU', 'Australia'),
(135536, '203.22.24.0', '203.22.24.255', 3407222784, 3407223039, 'CN', 'China'),
(135537, '203.22.25.0', '203.22.27.255', 3407223040, 3407223807, 'AU', 'Australia'),
(135538, '203.22.28.0', '203.22.29.255', 3407223808, 3407224319, 'CN', 'China'),
(135539, '203.22.30.0', '203.22.30.255', 3407224320, 3407224575, 'AU', 'Australia'),
(135540, '203.22.31.0', '203.22.31.255', 3407224576, 3407224831, 'CN', 'China'),
(135541, '203.22.32.0', '203.22.67.255', 3407224832, 3407234047, 'AU', 'Australia'),
(135542, '203.22.68.0', '203.22.68.255', 3407234048, 3407234303, 'CN', 'China'),
(135543, '203.22.69.0', '203.22.75.255', 3407234304, 3407236095, 'AU', 'Australia'),
(135544, '203.22.76.0', '203.22.76.255', 3407236096, 3407236351, 'CN', 'China'),
(135545, '203.22.77.0', '203.22.77.255', 3407236352, 3407236607, 'AU', 'Australia'),
(135546, '203.22.78.0', '203.22.78.255', 3407236608, 3407236863, 'CN', 'China'),
(135547, '203.22.79.0', '203.22.83.255', 3407236864, 3407238143, 'AU', 'Australia'),
(135548, '203.22.84.0', '203.22.84.255', 3407238144, 3407238399, 'CN', 'China'),
(135549, '203.22.85.0', '203.22.86.255', 3407238400, 3407238911, 'AU', 'Australia'),
(135550, '203.22.87.0', '203.22.87.255', 3407238912, 3407239167, 'CN', 'China'),
(135551, '203.22.88.0', '203.22.91.255', 3407239168, 3407240191, 'AU', 'Australia'),
(135552, '203.22.92.0', '203.22.95.255', 3407240192, 3407241215, 'CN', 'China'),
(135553, '203.22.96.0', '203.22.98.255', 3407241216, 3407241983, 'AU', 'Australia'),
(135554, '203.22.99.0', '203.22.99.255', 3407241984, 3407242239, 'CN', 'China'),
(135555, '203.22.100.0', '203.22.105.255', 3407242240, 3407243775, 'AU', 'Australia'),
(135556, '203.22.106.0', '203.22.106.255', 3407243776, 3407244031, 'CN', 'China'),
(135557, '203.22.107.0', '203.22.121.255', 3407244032, 3407247871, 'AU', 'Australia'),
(135558, '203.22.122.0', '203.22.123.255', 3407247872, 3407248383, 'CN', 'China'),
(135559, '203.22.124.0', '203.22.130.255', 3407248384, 3407250175, 'AU', 'Australia'),
(135560, '203.22.131.0', '203.22.131.255', 3407250176, 3407250431, 'CN', 'China'),
(135561, '203.22.132.0', '203.22.162.255', 3407250432, 3407258367, 'AU', 'Australia'),
(135562, '203.22.163.0', '203.22.163.255', 3407258368, 3407258623, 'CN', 'China'),
(135563, '203.22.164.0', '203.22.165.255', 3407258624, 3407259135, 'AU', 'Australia'),
(135564, '203.22.166.0', '203.22.166.255', 3407259136, 3407259391, 'CN', 'China'),
(135565, '203.22.167.0', '203.22.169.255', 3407259392, 3407260159, 'AU', 'Australia'),
(135566, '203.22.170.0', '203.22.170.255', 3407260160, 3407260415, 'CN', 'China'),
(135567, '203.22.171.0', '203.22.175.255', 3407260416, 3407261695, 'AU', 'Australia'),
(135568, '203.22.176.0', '203.22.183.255', 3407261696, 3407263743, 'CN', 'China'),
(135569, '203.22.184.0', '203.22.193.255', 3407263744, 3407266303, 'AU', 'Australia'),
(135570, '203.22.194.0', '203.22.194.255', 3407266304, 3407266559, 'CN', 'China'),
(135571, '203.22.195.0', '203.22.241.255', 3407266560, 3407278591, 'AU', 'Australia'),
(135572, '203.22.242.0', '203.22.243.255', 3407278592, 3407279103, 'CN', 'China'),
(135573, '203.22.244.0', '203.22.244.255', 3407279104, 3407279359, 'AU', 'Australia'),
(135574, '203.22.245.0', '203.22.246.255', 3407279360, 3407279871, 'CN', 'China'),
(135575, '203.22.247.0', '203.22.251.255', 3407279872, 3407281151, 'AU', 'Australia'),
(135576, '203.22.252.0', '203.22.253.255', 3407281152, 3407281663, 'CN', 'China'),
(135577, '203.22.254.0', '203.22.255.255', 3407281664, 3407282175, 'AU', 'Australia'),
(135578, '203.23.0.0', '203.23.0.255', 3407282176, 3407282431, 'CN', 'China'),
(135579, '203.23.2.0', '203.23.46.255', 3407282688, 3407294207, 'AU', 'Australia'),
(135580, '203.23.47.0', '203.23.47.255', 3407294208, 3407294463, 'CN', 'China'),
(135581, '203.23.48.0', '203.23.60.255', 3407294464, 3407297791, 'AU', 'Australia'),
(135582, '203.23.61.0', '203.23.63.255', 3407297792, 3407298559, 'CN', 'China'),
(135583, '203.23.64.0', '203.23.72.255', 3407298560, 3407300863, 'AU', 'Australia'),
(135584, '203.23.73.0', '203.23.73.255', 3407300864, 3407301119, 'CN', 'China'),
(135585, '203.23.74.0', '203.23.84.255', 3407301120, 3407303935, 'AU', 'Australia'),
(135586, '203.23.85.0', '203.23.85.255', 3407303936, 3407304191, 'CN', 'China'),
(135587, '203.23.86.0', '203.23.91.255', 3407304192, 3407305727, 'AU', 'Australia'),
(135588, '203.23.92.0', '203.23.95.255', 3407305728, 3407306751, 'CN', 'China'),
(135589, '203.23.96.0', '203.23.97.255', 3407306752, 3407307263, 'AU', 'Australia'),
(135590, '203.23.98.0', '203.23.98.255', 3407307264, 3407307519, 'CN', 'China'),
(135591, '203.23.99.0', '203.23.106.255', 3407307520, 3407309567, 'AU', 'Australia'),
(135592, '203.23.107.0', '203.23.107.255', 3407309568, 3407309823, 'CN', 'China'),
(135593, '203.23.108.0', '203.23.111.255', 3407309824, 3407310847, 'AU', 'Australia'),
(135594, '203.23.112.0', '203.23.112.255', 3407310848, 3407311103, 'CN', 'China'),
(135595, '203.23.113.0', '203.23.129.255', 3407311104, 3407315455, 'AU', 'Australia'),
(135596, '203.23.130.0', '203.23.130.255', 3407315456, 3407315711, 'CN', 'China'),
(135597, '203.23.131.0', '203.23.139.255', 3407315712, 3407318015, 'AU', 'Australia'),
(135598, '203.23.140.0', '203.23.141.255', 3407318016, 3407318527, 'CN', 'China'),
(135599, '203.23.142.0', '203.23.171.255', 3407318528, 3407326207, 'AU', 'Australia'),
(135600, '203.23.172.0', '203.23.172.255', 3407326208, 3407326463, 'CN', 'China'),
(135601, '203.23.173.0', '203.23.181.255', 3407326464, 3407328767, 'AU', 'Australia'),
(135602, '203.23.182.0', '203.23.182.255', 3407328768, 3407329023, 'CN', 'China'),
(135603, '203.23.183.0', '203.23.185.255', 3407329024, 3407329791, 'AU', 'Australia'),
(135604, '203.23.186.0', '203.23.187.255', 3407329792, 3407330303, 'CN', 'China'),
(135605, '203.23.188.0', '203.23.191.255', 3407330304, 3407331327, 'AU', 'Australia'),
(135606, '203.23.192.0', '203.23.192.255', 3407331328, 3407331583, 'CN', 'China'),
(135607, '203.23.193.0', '203.23.196.255', 3407331584, 3407332607, 'AU', 'Australia'),
(135608, '203.23.197.0', '203.23.198.255', 3407332608, 3407333119, 'CN', 'China'),
(135609, '203.23.199.0', '203.23.203.255', 3407333120, 3407334399, 'AU', 'Australia'),
(135610, '203.23.204.0', '203.23.207.255', 3407334400, 3407335423, 'CN', 'China'),
(135611, '203.23.208.0', '203.23.223.255', 3407335424, 3407339519, 'AU', 'Australia'),
(135612, '203.23.224.0', '203.23.224.255', 3407339520, 3407339775, 'CN', 'China'),
(135613, '203.23.225.0', '203.23.227.255', 3407339776, 3407340543, 'AU', 'Australia'),
(135614, '203.23.228.0', '203.23.231.255', 3407340544, 3407341567, 'CN', 'China'),
(135615, '203.23.232.0', '203.23.248.255', 3407341568, 3407345919, 'AU', 'Australia'),
(135616, '203.23.249.0', '203.23.249.255', 3407345920, 3407346175, 'CN', 'China'),
(135617, '203.23.250.0', '203.23.250.255', 3407346176, 3407346431, 'AU', 'Australia'),
(135618, '203.23.251.0', '203.23.251.255', 3407346432, 3407346687, 'CN', 'China'),
(135619, '203.23.252.0', '203.24.12.255', 3407346688, 3407351039, 'AU', 'Australia'),
(135620, '203.24.13.0', '203.24.13.255', 3407351040, 3407351295, 'CN', 'China'),
(135621, '203.24.14.0', '203.24.17.255', 3407351296, 3407352319, 'AU', 'Australia'),
(135622, '203.24.18.0', '203.24.18.255', 3407352320, 3407352575, 'CN', 'China'),
(135623, '203.24.19.0', '203.24.26.255', 3407352576, 3407354623, 'AU', 'Australia'),
(135624, '203.24.27.0', '203.24.27.255', 3407354624, 3407354879, 'CN', 'China'),
(135625, '203.24.28.0', '203.24.42.255', 3407354880, 3407358719, 'AU', 'Australia'),
(135626, '203.24.43.0', '203.24.43.255', 3407358720, 3407358975, 'CN', 'China'),
(135627, '203.24.44.0', '203.24.49.255', 3407358976, 3407360511, 'AU', 'Australia'),
(135628, '203.24.50.0', '203.24.51.255', 3407360512, 3407361023, 'ID', 'Indonesia'),
(135629, '203.24.52.0', '203.24.55.255', 3407361024, 3407362047, 'AU', 'Australia'),
(135630, '203.24.56.0', '203.24.56.255', 3407362048, 3407362303, 'CN', 'China'),
(135631, '203.24.57.0', '203.24.57.255', 3407362304, 3407362559, 'AU', 'Australia'),
(135632, '203.24.58.0', '203.24.58.255', 3407362560, 3407362815, 'CN', 'China'),
(135633, '203.24.59.0', '203.24.66.255', 3407362816, 3407364863, 'AU', 'Australia'),
(135634, '203.24.67.0', '203.24.67.255', 3407364864, 3407365119, 'CN', 'China'),
(135635, '203.24.68.0', '203.24.73.255', 3407365120, 3407366655, 'AU', 'Australia'),
(135636, '203.24.74.0', '203.24.74.255', 3407366656, 3407366911, 'CN', 'China'),
(135637, '203.24.75.0', '203.24.75.255', 3407366912, 3407367167, 'AU', 'Australia'),
(135638, '203.24.76.0', '203.24.77.255', 3407367168, 3407367679, 'ID', 'Indonesia'),
(135639, '203.24.78.0', '203.24.78.255', 3407367680, 3407367935, 'AU', 'Australia'),
(135640, '203.24.79.0', '203.24.81.255', 3407367936, 3407368703, 'CN', 'China'),
(135641, '203.24.82.0', '203.24.83.255', 3407368704, 3407369215, 'AU', 'Australia'),
(135642, '203.24.84.0', '203.24.86.255', 3407369216, 3407369983, 'CN', 'China'),
(135643, '203.24.87.0', '203.24.87.255', 3407369984, 3407370239, 'IN', 'India'),
(135644, '203.24.88.0', '203.24.89.255', 3407370240, 3407370751, 'AU', 'Australia'),
(135645, '203.24.90.0', '203.24.90.255', 3407370752, 3407371007, 'CN', 'China'),
(135646, '203.24.91.0', '203.24.110.255', 3407371008, 3407376127, 'AU', 'Australia'),
(135647, '203.24.111.0', '203.24.112.255', 3407376128, 3407376639, 'CN', 'China'),
(135648, '203.24.113.0', '203.24.115.255', 3407376640, 3407377407, 'AU', 'Australia'),
(135649, '203.24.116.0', '203.24.116.255', 3407377408, 3407377663, 'CN', 'China'),
(135650, '203.24.117.0', '203.24.121.255', 3407377664, 3407378943, 'AU', 'Australia'),
(135651, '203.24.122.0', '203.24.123.255', 3407378944, 3407379455, 'CN', 'China'),
(135652, '203.24.124.0', '203.24.144.255', 3407379456, 3407384831, 'AU', 'Australia'),
(135653, '203.24.145.0', '203.24.145.255', 3407384832, 3407385087, 'CN', 'China'),
(135654, '203.24.146.0', '203.24.151.255', 3407385088, 3407386623, 'AU', 'Australia'),
(135655, '203.24.152.0', '203.24.153.255', 3407386624, 3407387135, 'CN', 'China'),
(135656, '203.24.154.0', '203.24.156.255', 3407387136, 3407387903, 'AU', 'Australia'),
(135657, '203.24.157.0', '203.24.157.255', 3407387904, 3407388159, 'CN', 'China'),
(135658, '203.24.158.0', '203.24.160.255', 3407388160, 3407388927, 'AU', 'Australia'),
(135659, '203.24.161.0', '203.24.161.255', 3407388928, 3407389183, 'CN', 'China'),
(135660, '203.24.162.0', '203.24.166.255', 3407389184, 3407390463, 'AU', 'Australia'),
(135661, '203.24.167.0', '203.24.167.255', 3407390464, 3407390719, 'CN', 'China'),
(135662, '203.24.168.0', '203.24.185.255', 3407390720, 3407395327, 'AU', 'Australia'),
(135663, '203.24.186.0', '203.24.187.255', 3407395328, 3407395839, 'CN', 'China'),
(135664, '203.24.188.0', '203.24.198.255', 3407395840, 3407398655, 'AU', 'Australia'),
(135665, '203.24.199.0', '203.24.199.255', 3407398656, 3407398911, 'CN', 'China'),
(135666, '203.24.200.0', '203.24.201.255', 3407398912, 3407399423, 'AU', 'Australia'),
(135667, '203.24.202.0', '203.24.202.255', 3407399424, 3407399679, 'CN', 'China'),
(135668, '203.24.203.0', '203.24.211.255', 3407399680, 3407401983, 'AU', 'Australia'),
(135669, '203.24.212.0', '203.24.213.255', 3407401984, 3407402495, 'CN', 'China'),
(135670, '203.24.214.0', '203.24.216.255', 3407402496, 3407403263, 'AU', 'Australia'),
(135671, '203.24.217.0', '203.24.217.255', 3407403264, 3407403519, 'CN', 'China'),
(135672, '203.24.218.0', '203.24.218.255', 3407403520, 3407403775, 'AU', 'Australia'),
(135673, '203.24.219.0', '203.24.219.255', 3407403776, 3407404031, 'CN', 'China'),
(135674, '203.24.220.0', '203.24.243.255', 3407404032, 3407410175, 'AU', 'Australia'),
(135675, '203.24.244.0', '203.24.244.255', 3407410176, 3407410431, 'CN', 'China'),
(135676, '203.24.245.0', '203.25.18.255', 3407410432, 3407418111, 'AU', 'Australia'),
(135677, '203.25.19.0', '203.25.21.255', 3407418112, 3407418879, 'CN', 'China'),
(135678, '203.25.22.0', '203.25.45.255', 3407418880, 3407425023, 'AU', 'Australia'),
(135679, '203.25.46.0', '203.25.46.255', 3407425024, 3407425279, 'CN', 'China'),
(135680, '203.25.47.0', '203.25.47.255', 3407425280, 3407425535, 'AU', 'Australia'),
(135681, '203.25.48.0', '203.25.55.255', 3407425536, 3407427583, 'CN', 'China'),
(135682, '203.25.56.0', '203.25.63.255', 3407427584, 3407429631, 'AU', 'Australia'),
(135683, '203.25.64.0', '203.25.65.255', 3407429632, 3407430143, 'CN', 'China'),
(135684, '203.25.66.0', '203.25.90.255', 3407430144, 3407436543, 'AU', 'Australia'),
(135685, '203.25.91.0', '203.25.91.255', 3407436544, 3407436799, 'CN', 'China'),
(135686, '203.25.92.0', '203.25.98.255', 3407436800, 3407438591, 'AU', 'Australia'),
(135687, '203.25.99.0', '203.25.100.255', 3407438592, 3407439103, 'CN', 'China'),
(135688, '203.25.101.0', '203.25.105.255', 3407439104, 3407440383, 'AU', 'Australia'),
(135689, '203.25.106.0', '203.25.106.255', 3407440384, 3407440639, 'CN', 'China'),
(135690, '203.25.107.0', '203.25.130.255', 3407440640, 3407446783, 'AU', 'Australia'),
(135691, '203.25.131.0', '203.25.131.255', 3407446784, 3407447039, 'CN', 'China'),
(135692, '203.25.132.0', '203.25.134.255', 3407447040, 3407447807, 'AU', 'Australia'),
(135693, '203.25.135.0', '203.25.135.255', 3407447808, 3407448063, 'CN', 'China'),
(135694, '203.25.137.0', '203.25.137.255', 3407448320, 3407448575, 'AU', 'Australia'),
(135695, '203.25.138.0', '203.25.138.255', 3407448576, 3407448831, 'CN', 'China'),
(135696, '203.25.139.0', '203.25.146.255', 3407448832, 3407450879, 'AU', 'Australia'),
(135697, '203.25.147.0', '203.25.147.255', 3407450880, 3407451135, 'CN', 'China'),
(135698, '203.25.148.0', '203.25.152.255', 3407451136, 3407452415, 'AU', 'Australia'),
(135699, '203.25.153.0', '203.25.155.255', 3407452416, 3407453183, 'CN', 'China'),
(135700, '203.25.156.0', '203.25.163.255', 3407453184, 3407455231, 'AU', 'Australia'),
(135701, '203.25.164.0', '203.25.164.255', 3407455232, 3407455487, 'CN', 'China'),
(135702, '203.25.165.0', '203.25.165.255', 3407455488, 3407455743, 'AU', 'Australia'),
(135703, '203.25.166.0', '203.25.166.255', 3407455744, 3407455999, 'CN', 'China'),
(135704, '203.25.167.0', '203.25.173.255', 3407456000, 3407457791, 'AU', 'Australia'),
(135705, '203.25.174.0', '203.25.175.255', 3407457792, 3407458303, 'CN', 'China'),
(135706, '203.25.176.0', '203.25.179.255', 3407458304, 3407459327, 'AU', 'Australia'),
(135707, '203.25.180.0', '203.25.180.255', 3407459328, 3407459583, 'CN', 'China'),
(135708, '203.25.181.0', '203.25.181.255', 3407459584, 3407459839, 'AU', 'Australia'),
(135709, '203.25.182.0', '203.25.182.255', 3407459840, 3407460095, 'CN', 'China'),
(135710, '203.25.183.0', '203.25.190.255', 3407460096, 3407462143, 'AU', 'Australia'),
(135711, '203.25.191.0', '203.25.191.255', 3407462144, 3407462399, 'CN', 'China'),
(135712, '203.25.192.0', '203.25.198.255', 3407462400, 3407464191, 'AU', 'Australia'),
(135713, '203.25.199.0', '203.25.200.255', 3407464192, 3407464703, 'CN', 'China'),
(135714, '203.25.201.0', '203.25.201.255', 3407464704, 3407464959, 'AU', 'Australia'),
(135715, '203.25.202.0', '203.25.203.255', 3407464960, 3407465471, 'CN', 'China'),
(135716, '203.25.204.0', '203.25.207.255', 3407465472, 3407466495, 'AU', 'Australia'),
(135717, '203.25.208.0', '203.25.223.255', 3407466496, 3407470591, 'CN', 'China'),
(135718, '203.25.224.0', '203.25.228.255', 3407470592, 3407471871, 'AU', 'Australia'),
(135719, '203.25.229.0', '203.25.229.255', 3407471872, 3407472127, 'CN', 'China'),
(135720, '203.25.230.0', '203.25.234.255', 3407472128, 3407473407, 'AU', 'Australia'),
(135721, '203.25.235.0', '203.25.236.255', 3407473408, 3407473919, 'CN', 'China'),
(135722, '203.25.237.0', '203.25.241.255', 3407473920, 3407475199, 'AU', 'Australia'),
(135723, '203.25.242.0', '203.25.242.255', 3407475200, 3407475455, 'CN', 'China'),
(135724, '203.25.243.0', '203.26.11.255', 3407475456, 3407481855, 'AU', 'Australia'),
(135725, '203.26.12.0', '203.26.12.255', 3407481856, 3407482111, 'CN', 'China'),
(135726, '203.26.13.0', '203.26.33.255', 3407482112, 3407487487, 'AU', 'Australia'),
(135727, '203.26.34.0', '203.26.34.255', 3407487488, 3407487743, 'CN', 'China'),
(135728, '203.26.35.0', '203.26.48.255', 3407487744, 3407491327, 'AU', 'Australia'),
(135729, '203.26.49.0', '203.26.50.255', 3407491328, 3407491839, 'CN', 'China'),
(135730, '203.26.51.0', '203.26.54.255', 3407491840, 3407492863, 'AU', 'Australia'),
(135731, '203.26.55.0', '203.26.57.255', 3407492864, 3407493631, 'CN', 'China'),
(135732, '203.26.58.0', '203.26.59.255', 3407493632, 3407494143, 'AU', 'Australia'),
(135733, '203.26.60.0', '203.26.60.255', 3407494144, 3407494399, 'CN', 'China'),
(135734, '203.26.61.0', '203.26.64.255', 3407494400, 3407495423, 'AU', 'Australia'),
(135735, '203.26.65.0', '203.26.65.255', 3407495424, 3407495679, 'CN', 'China'),
(135736, '203.26.66.0', '203.26.67.255', 3407495680, 3407496191, 'AU', 'Australia'),
(135737, '203.26.68.0', '203.26.68.255', 3407496192, 3407496447, 'CN', 'China'),
(135738, '203.26.69.0', '203.26.75.255', 3407496448, 3407498239, 'AU', 'Australia'),
(135739, '203.26.76.0', '203.26.76.255', 3407498240, 3407498495, 'CN', 'China'),
(135740, '203.26.77.0', '203.26.77.255', 3407498496, 3407498751, 'PK', 'Pakistan'),
(135741, '203.26.78.0', '203.26.79.255', 3407498752, 3407499263, 'AU', 'Australia'),
(135742, '203.26.80.0', '203.26.80.255', 3407499264, 3407499519, 'CN', 'China'),
(135743, '203.26.81.0', '203.26.83.255', 3407499520, 3407500287, 'AU', 'Australia'),
(135744, '203.26.84.0', '203.26.84.255', 3407500288, 3407500543, 'CN', 'China'),
(135745, '203.26.85.0', '203.26.96.255', 3407500544, 3407503615, 'AU', 'Australia'),
(135746, '203.26.97.0', '203.26.97.255', 3407503616, 3407503871, 'CN', 'China'),
(135747, '203.26.98.0', '203.26.101.255', 3407503872, 3407504895, 'AU', 'Australia'),
(135748, '203.26.102.0', '203.26.103.255', 3407504896, 3407505407, 'CN', 'China'),
(135749, '203.26.104.0', '203.26.114.255', 3407505408, 3407508223, 'AU', 'Australia'),
(135750, '203.26.115.0', '203.26.116.255', 3407508224, 3407508735, 'CN', 'China'),
(135751, '203.26.117.0', '203.26.128.255', 3407508736, 3407511807, 'AU', 'Australia'),
(135752, '203.26.129.0', '203.26.129.255', 3407511808, 3407512063, 'CN', 'China'),
(135753, '203.26.130.0', '203.26.142.255', 3407512064, 3407515391, 'AU', 'Australia'),
(135754, '203.26.143.0', '203.26.144.255', 3407515392, 3407515903, 'CN', 'China'),
(135755, '203.26.145.0', '203.26.147.255', 3407515904, 3407516671, 'AU', 'Australia'),
(135756, '203.26.148.0', '203.26.149.255', 3407516672, 3407517183, 'CN', 'China'),
(135757, '203.26.150.0', '203.26.153.255', 3407517184, 3407518207, 'AU', 'Australia'),
(135758, '203.26.154.0', '203.26.154.255', 3407518208, 3407518463, 'CN', 'China'),
(135759, '203.26.155.0', '203.26.157.255', 3407518464, 3407519231, 'AU', 'Australia'),
(135760, '203.26.158.0', '203.26.159.255', 3407519232, 3407519743, 'CN', 'China'),
(135761, '203.26.160.0', '203.26.169.255', 3407519744, 3407522303, 'AU', 'Australia'),
(135762, '203.26.170.0', '203.26.170.255', 3407522304, 3407522559, 'CN', 'China'),
(135763, '203.26.171.0', '203.26.172.255', 3407522560, 3407523071, 'AU', 'Australia'),
(135764, '203.26.173.0', '203.26.173.255', 3407523072, 3407523327, 'CN', 'China'),
(135765, '203.26.174.0', '203.26.175.255', 3407523328, 3407523839, 'AU', 'Australia'),
(135766, '203.26.176.0', '203.26.176.255', 3407523840, 3407524095, 'CN', 'China'),
(135767, '203.26.177.0', '203.26.184.255', 3407524096, 3407526143, 'AU', 'Australia'),
(135768, '203.26.185.0', '203.26.185.255', 3407526144, 3407526399, 'CN', 'China'),
(135769, '203.26.186.0', '203.26.201.255', 3407526400, 3407530495, 'AU', 'Australia'),
(135770, '203.26.202.0', '203.26.203.255', 3407530496, 3407531007, 'CN', 'China'),
(135771, '203.26.204.0', '203.26.209.255', 3407531008, 3407532543, 'AU', 'Australia'),
(135772, '203.26.210.0', '203.26.210.255', 3407532544, 3407532799, 'CN', 'China'),
(135773, '203.26.211.0', '203.26.213.255', 3407532800, 3407533567, 'AU', 'Australia'),
(135774, '203.26.214.0', '203.26.214.255', 3407533568, 3407533823, 'CN', 'China'),
(135775, '203.26.215.0', '203.26.221.255', 3407533824, 3407535615, 'AU', 'Australia'),
(135776, '203.26.222.0', '203.26.222.255', 3407535616, 3407535871, 'CN', 'China'),
(135777, '203.26.223.0', '203.26.223.255', 3407535872, 3407536127, 'AU', 'Australia'),
(135778, '203.26.224.0', '203.26.224.255', 3407536128, 3407536383, 'CN', 'China'),
(135779, '203.26.225.0', '203.26.227.255', 3407536384, 3407537151, 'AU', 'Australia'),
(135780, '203.26.228.0', '203.26.228.255', 3407537152, 3407537407, 'CN', 'China'),
(135781, '203.26.229.0', '203.26.231.255', 3407537408, 3407538175, 'AU', 'Australia'),
(135782, '203.26.232.0', '203.26.232.255', 3407538176, 3407538431, 'CN', 'China'),
(135783, '203.26.233.0', '203.26.255.255', 3407538432, 3407544319, 'AU', 'Australia'),
(135784, '203.27.0.0', '203.27.0.255', 3407544320, 3407544575, 'CN', 'China'),
(135785, '203.27.1.0', '203.27.5.255', 3407544576, 3407545855, 'AU', 'Australia'),
(135786, '203.27.6.0', '203.27.7.255', 3407545856, 3407546367, 'ID', 'Indonesia'),
(135787, '203.27.8.0', '203.27.9.255', 3407546368, 3407546879, 'AU', 'Australia'),
(135788, '203.27.10.0', '203.27.10.255', 3407546880, 3407547135, 'CN', 'China'),
(135789, '203.27.11.0', '203.27.14.255', 3407547136, 3407548159, 'AU', 'Australia'),
(135790, '203.27.15.0', '203.27.16.255', 3407548160, 3407548671, 'CN', 'China'),
(135791, '203.27.17.0', '203.27.19.255', 3407548672, 3407549439, 'AU', 'Australia'),
(135792, '203.27.20.0', '203.27.20.255', 3407549440, 3407549695, 'CN', 'China'),
(135793, '203.27.21.0', '203.27.21.255', 3407549696, 3407549951, 'AU', 'Australia'),
(135794, '203.27.22.0', '203.27.23.255', 3407549952, 3407550463, 'CN', 'China'),
(135795, '203.27.24.0', '203.27.39.255', 3407550464, 3407554559, 'AU', 'Australia'),
(135796, '203.27.40.0', '203.27.40.255', 3407554560, 3407554815, 'CN', 'China'),
(135797, '203.27.41.0', '203.27.44.255', 3407554816, 3407555839, 'AU', 'Australia'),
(135798, '203.27.45.0', '203.27.45.255', 3407555840, 3407556095, 'CN', 'China'),
(135799, '203.27.46.0', '203.27.52.255', 3407556096, 3407557887, 'AU', 'Australia'),
(135800, '203.27.53.0', '203.27.53.255', 3407557888, 3407558143, 'CN', 'China'),
(135801, '203.27.54.0', '203.27.64.255', 3407558144, 3407560959, 'AU', 'Australia'),
(135802, '203.27.65.0', '203.27.66.255', 3407560960, 3407561471, 'CN', 'China'),
(135803, '203.27.67.0', '203.27.67.255', 3407561472, 3407561727, 'NZ', 'New Zealand'),
(135804, '203.27.68.0', '203.27.80.255', 3407561728, 3407565055, 'AU', 'Australia'),
(135805, '203.27.81.0', '203.27.81.255', 3407565056, 3407565311, 'CN', 'China'),
(135806, '203.27.82.0', '203.27.87.255', 3407565312, 3407566847, 'AU', 'Australia'),
(135807, '203.27.88.0', '203.27.88.255', 3407566848, 3407567103, 'CN', 'China'),
(135808, '203.27.89.0', '203.27.101.255', 3407567104, 3407570431, 'AU', 'Australia'),
(135809, '203.27.102.0', '203.27.102.255', 3407570432, 3407570687, 'CN', 'China'),
(135810, '203.27.103.0', '203.27.108.255', 3407570688, 3407572223, 'AU', 'Australia'),
(135811, '203.27.109.0', '203.27.109.255', 3407572224, 3407572479, 'CN', 'China'),
(135812, '203.27.110.0', '203.27.116.255', 3407572480, 3407574271, 'AU', 'Australia'),
(135813, '203.27.117.0', '203.27.117.255', 3407574272, 3407574527, 'CN', 'China'),
(135814, '203.27.118.0', '203.27.120.255', 3407574528, 3407575295, 'AU', 'Australia'),
(135815, '203.27.121.0', '203.27.123.255', 3407575296, 3407576063, 'CN', 'China'),
(135816, '203.27.124.0', '203.27.124.255', 3407576064, 3407576319, 'AU', 'Australia'),
(135817, '203.27.125.0', '203.27.125.255', 3407576320, 3407576575, 'CN', 'China'),
(135818, '203.27.126.0', '203.27.199.255', 3407576576, 3407595519, 'AU', 'Australia'),
(135819, '203.27.200.0', '203.27.200.255', 3407595520, 3407595775, 'CN', 'China'),
(135820, '203.27.201.0', '203.27.201.255', 3407595776, 3407596031, 'AU', 'Australia'),
(135821, '203.27.202.0', '203.27.202.255', 3407596032, 3407596287, 'CN', 'China'),
(135822, '203.27.203.0', '203.27.232.255', 3407596288, 3407603967, 'AU', 'Australia'),
(135823, '203.27.233.0', '203.27.233.255', 3407603968, 3407604223, 'CN', 'China'),
(135824, '203.27.234.0', '203.27.234.255', 3407604224, 3407604479, 'AU', 'Australia'),
(135825, '203.27.235.0', '203.27.235.255', 3407604480, 3407604735, 'IN', 'India'),
(135826, '203.27.236.0', '203.27.240.255', 3407604736, 3407606015, 'AU', 'Australia'),
(135827, '203.27.241.0', '203.27.241.255', 3407606016, 3407606271, 'CN', 'China'),
(135828, '203.27.242.0', '203.27.249.255', 3407606272, 3407608319, 'AU', 'Australia'),
(135829, '203.27.250.0', '203.27.250.255', 3407608320, 3407608575, 'CN', 'China'),
(135830, '203.27.251.0', '203.28.9.255', 3407608576, 3407612415, 'AU', 'Australia'),
(135831, '203.28.10.0', '203.28.10.255', 3407612416, 3407612671, 'CN', 'China'),
(135832, '203.28.11.0', '203.28.11.255', 3407612672, 3407612927, 'AU', 'Australia'),
(135833, '203.28.12.0', '203.28.12.255', 3407612928, 3407613183, 'CN', 'China'),
(135834, '203.28.13.0', '203.28.32.255', 3407613184, 3407618303, 'AU', 'Australia'),
(135835, '203.28.33.0', '203.28.35.255', 3407618304, 3407619071, 'CN', 'China'),
(135836, '203.28.36.0', '203.28.42.255', 3407619072, 3407620863, 'AU', 'Australia'),
(135837, '203.28.43.0', '203.28.44.255', 3407620864, 3407621375, 'CN', 'China'),
(135838, '203.28.45.0', '203.28.53.255', 3407621376, 3407623679, 'AU', 'Australia'),
(135839, '203.28.54.0', '203.28.54.255', 3407623680, 3407623935, 'CN', 'China'),
(135840, '203.28.55.0', '203.28.55.255', 3407623936, 3407624191, 'AU', 'Australia'),
(135841, '203.28.56.0', '203.28.56.255', 3407624192, 3407624447, 'CN', 'China'),
(135842, '203.28.57.0', '203.28.72.255', 3407624448, 3407628543, 'AU', 'Australia'),
(135843, '203.28.73.0', '203.28.74.255', 3407628544, 3407629055, 'CN', 'China'),
(135844, '203.28.75.0', '203.28.75.255', 3407629056, 3407629311, 'AU', 'Australia'),
(135845, '203.28.76.0', '203.28.76.255', 3407629312, 3407629567, 'CN', 'China'),
(135846, '203.28.77.0', '203.28.85.255', 3407629568, 3407631871, 'AU', 'Australia'),
(135847, '203.28.86.0', '203.28.86.255', 3407631872, 3407632127, 'CN', 'China'),
(135848, '203.28.87.0', '203.28.87.255', 3407632128, 3407632383, 'AU', 'Australia'),
(135849, '203.28.88.0', '203.28.88.255', 3407632384, 3407632639, 'CN', 'China'),
(135850, '203.28.89.0', '203.28.111.255', 3407632640, 3407638527, 'AU', 'Australia'),
(135851, '203.28.112.0', '203.28.112.255', 3407638528, 3407638783, 'CN', 'China'),
(135852, '203.28.113.0', '203.28.127.255', 3407638784, 3407642623, 'AU', 'Australia'),
(135853, '203.28.128.0', '203.28.129.255', 3407642624, 3407643135, 'TH', 'Thailand'),
(135854, '203.28.130.0', '203.28.130.255', 3407643136, 3407643391, 'AU', 'Australia'),
(135855, '203.28.131.0', '203.28.131.255', 3407643392, 3407643647, 'CN', 'China'),
(135856, '203.28.132.0', '203.28.135.255', 3407643648, 3407644671, 'AU', 'Australia'),
(135857, '203.28.136.0', '203.28.136.255', 3407644672, 3407644927, 'CN', 'China'),
(135858, '203.28.137.0', '203.28.139.255', 3407644928, 3407645695, 'AU', 'Australia'),
(135859, '203.28.140.0', '203.28.140.255', 3407645696, 3407645951, 'CN', 'China'),
(135860, '203.28.141.0', '203.28.144.255', 3407645952, 3407646975, 'AU', 'Australia'),
(135861, '203.28.145.0', '203.28.145.255', 3407646976, 3407647231, 'CN', 'China'),
(135862, '203.28.146.0', '203.28.164.255', 3407647232, 3407652095, 'AU', 'Australia'),
(135863, '203.28.165.0', '203.28.165.255', 3407652096, 3407652351, 'CN', 'China'),
(135864, '203.28.166.0', '203.28.168.255', 3407652352, 3407653119, 'AU', 'Australia'),
(135865, '203.28.169.0', '203.28.170.255', 3407653120, 3407653631, 'CN', 'China'),
(135866, '203.28.171.0', '203.28.177.255', 3407653632, 3407655423, 'AU', 'Australia'),
(135867, '203.28.178.0', '203.28.179.255', 3407655424, 3407655935, 'CN', 'China'),
(135868, '203.28.180.0', '203.28.184.255', 3407655936, 3407657215, 'AU', 'Australia'),
(135869, '203.28.185.0', '203.28.185.255', 3407657216, 3407657471, 'CN', 'China'),
(135870, '203.28.186.0', '203.28.186.255', 3407657472, 3407657727, 'AU', 'Australia'),
(135871, '203.28.187.0', '203.28.187.255', 3407657728, 3407657983, 'CN', 'China'),
(135872, '203.28.188.0', '203.28.195.255', 3407657984, 3407660031, 'AU', 'Australia'),
(135873, '203.28.196.0', '203.28.196.255', 3407660032, 3407660287, 'CN', 'China'),
(135874, '203.28.197.0', '203.28.225.255', 3407660288, 3407667711, 'AU', 'Australia'),
(135875, '203.28.226.0', '203.28.227.255', 3407667712, 3407668223, 'CN', 'China'),
(135876, '203.28.228.0', '203.28.238.255', 3407668224, 3407671039, 'AU', 'Australia'),
(135877, '203.28.239.0', '203.28.239.255', 3407671040, 3407671295, 'CN', 'China'),
(135878, '203.28.240.0', '203.29.1.255', 3407671296, 3407675903, 'AU', 'Australia'),
(135879, '203.29.2.0', '203.29.2.255', 3407675904, 3407676159, 'CN', 'China'),
(135880, '203.29.3.0', '203.29.7.255', 3407676160, 3407677439, 'AU', 'Australia'),
(135881, '203.29.8.0', '203.29.9.255', 3407677440, 3407677951, 'CN', 'China'),
(135882, '203.29.10.0', '203.29.12.255', 3407677952, 3407678719, 'AU', 'Australia'),
(135883, '203.29.13.0', '203.29.14.255', 3407678720, 3407679231, 'CN', 'China'),
(135884, '203.29.15.0', '203.29.25.255', 3407679232, 3407682047, 'AU', 'Australia'),
(135885, '203.29.26.0', '203.29.27.255', 3407682048, 3407682559, 'ID', 'Indonesia'),
(135886, '203.29.28.0', '203.29.28.255', 3407682560, 3407682815, 'CN', 'China'),
(135887, '203.29.29.0', '203.29.45.255', 3407682816, 3407687167, 'AU', 'Australia'),
(135888, '203.29.46.0', '203.29.46.255', 3407687168, 3407687423, 'CN', 'China'),
(135889, '203.29.47.0', '203.29.56.255', 3407687424, 3407689983, 'AU', 'Australia'),
(135890, '203.29.57.0', '203.29.57.255', 3407689984, 3407690239, 'CN', 'China'),
(135891, '203.29.58.0', '203.29.60.255', 3407690240, 3407691007, 'AU', 'Australia'),
(135892, '203.29.61.0', '203.29.61.255', 3407691008, 3407691263, 'CN', 'China'),
(135893, '203.29.62.0', '203.29.62.255', 3407691264, 3407691519, 'AU', 'Australia'),
(135894, '203.29.63.0', '203.29.63.255', 3407691520, 3407691775, 'CN', 'China'),
(135895, '203.29.64.0', '203.29.68.255', 3407691776, 3407693055, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(135896, '203.29.69.0', '203.29.69.255', 3407693056, 3407693311, 'CN', 'China'),
(135897, '203.29.70.0', '203.29.72.255', 3407693312, 3407694079, 'AU', 'Australia'),
(135898, '203.29.73.0', '203.29.73.255', 3407694080, 3407694335, 'CN', 'China'),
(135899, '203.29.74.0', '203.29.80.255', 3407694336, 3407696127, 'AU', 'Australia'),
(135900, '203.29.81.0', '203.29.81.255', 3407696128, 3407696383, 'CN', 'China'),
(135901, '203.29.82.0', '203.29.89.255', 3407696384, 3407698431, 'AU', 'Australia'),
(135902, '203.29.90.0', '203.29.90.255', 3407698432, 3407698687, 'CN', 'China'),
(135903, '203.29.91.0', '203.29.94.255', 3407698688, 3407699711, 'AU', 'Australia'),
(135904, '203.29.95.0', '203.29.95.255', 3407699712, 3407699967, 'CN', 'China'),
(135905, '203.29.96.0', '203.29.99.255', 3407699968, 3407700991, 'AU', 'Australia'),
(135906, '203.29.100.0', '203.29.100.255', 3407700992, 3407701247, 'CN', 'China'),
(135907, '203.29.101.0', '203.29.102.255', 3407701248, 3407701759, 'AU', 'Australia'),
(135908, '203.29.103.0', '203.29.103.255', 3407701760, 3407702015, 'CN', 'China'),
(135909, '203.29.104.0', '203.29.111.255', 3407702016, 3407704063, 'AU', 'Australia'),
(135910, '203.29.112.0', '203.29.112.255', 3407704064, 3407704319, 'CN', 'China'),
(135911, '203.29.113.0', '203.29.119.255', 3407704320, 3407706111, 'AU', 'Australia'),
(135912, '203.29.120.0', '203.29.123.255', 3407706112, 3407707135, 'CN', 'China'),
(135913, '203.29.124.0', '203.29.181.255', 3407707136, 3407721983, 'AU', 'Australia'),
(135914, '203.29.182.0', '203.29.183.255', 3407721984, 3407722495, 'CN', 'China'),
(135915, '203.29.184.0', '203.29.186.255', 3407722496, 3407723263, 'AU', 'Australia'),
(135916, '203.29.187.0', '203.29.187.255', 3407723264, 3407723519, 'CN', 'China'),
(135917, '203.29.188.0', '203.29.188.255', 3407723520, 3407723775, 'AU', 'Australia'),
(135918, '203.29.189.0', '203.29.190.255', 3407723776, 3407724287, 'CN', 'China'),
(135919, '203.29.191.0', '203.29.204.255', 3407724288, 3407727871, 'AU', 'Australia'),
(135920, '203.29.205.0', '203.29.205.255', 3407727872, 3407728127, 'CN', 'China'),
(135921, '203.29.206.0', '203.29.209.255', 3407728128, 3407729151, 'AU', 'Australia'),
(135922, '203.29.210.0', '203.29.210.255', 3407729152, 3407729407, 'CN', 'China'),
(135923, '203.29.211.0', '203.29.216.255', 3407729408, 3407730943, 'AU', 'Australia'),
(135924, '203.29.217.0', '203.29.217.255', 3407730944, 3407731199, 'CN', 'China'),
(135925, '203.29.218.0', '203.29.221.255', 3407731200, 3407732223, 'AU', 'Australia'),
(135926, '203.29.222.0', '203.29.222.255', 3407732224, 3407732479, 'HK', 'Hong Kong'),
(135927, '203.29.223.0', '203.29.226.255', 3407732480, 3407733503, 'AU', 'Australia'),
(135928, '203.29.227.0', '203.29.227.255', 3407733504, 3407733759, 'CN', 'China'),
(135929, '203.29.228.0', '203.29.230.255', 3407733760, 3407734527, 'AU', 'Australia'),
(135930, '203.29.231.0', '203.29.231.255', 3407734528, 3407734783, 'CN', 'China'),
(135931, '203.29.232.0', '203.29.232.255', 3407734784, 3407735039, 'AU', 'Australia'),
(135932, '203.29.233.0', '203.29.234.255', 3407735040, 3407735551, 'CN', 'China'),
(135933, '203.29.235.0', '203.29.247.255', 3407735552, 3407738879, 'AU', 'Australia'),
(135934, '203.29.248.0', '203.29.248.255', 3407738880, 3407739135, 'CN', 'China'),
(135935, '203.29.249.0', '203.29.253.255', 3407739136, 3407740415, 'AU', 'Australia'),
(135936, '203.29.254.0', '203.29.255.255', 3407740416, 3407740927, 'CN', 'China'),
(135937, '203.30.0.0', '203.30.15.255', 3407740928, 3407745023, 'AU', 'Australia'),
(135938, '203.30.16.0', '203.30.17.255', 3407745024, 3407745535, 'CN', 'China'),
(135939, '203.30.18.0', '203.30.24.255', 3407745536, 3407747327, 'AU', 'Australia'),
(135940, '203.30.25.0', '203.30.25.255', 3407747328, 3407747583, 'CN', 'China'),
(135941, '203.30.26.0', '203.30.26.255', 3407747584, 3407747839, 'AU', 'Australia'),
(135942, '203.30.27.0', '203.30.27.255', 3407747840, 3407748095, 'CN', 'China'),
(135943, '203.30.28.0', '203.30.28.255', 3407748096, 3407748351, 'AU', 'Australia'),
(135944, '203.30.29.0', '203.30.29.255', 3407748352, 3407748607, 'CN', 'China'),
(135945, '203.30.30.0', '203.30.37.255', 3407748608, 3407750655, 'AU', 'Australia'),
(135946, '203.30.38.0', '203.30.39.255', 3407750656, 3407751167, 'SG', 'Singapore'),
(135947, '203.30.40.0', '203.30.47.255', 3407751168, 3407753215, 'AU', 'Australia'),
(135948, '203.30.48.0', '203.30.49.255', 3407753216, 3407753727, 'SG', 'Singapore'),
(135949, '203.30.50.0', '203.30.65.255', 3407753728, 3407757823, 'AU', 'Australia'),
(135950, '203.30.66.0', '203.30.66.255', 3407757824, 3407758079, 'CN', 'China'),
(135951, '203.30.67.0', '203.30.80.255', 3407758080, 3407761663, 'AU', 'Australia'),
(135952, '203.30.81.0', '203.30.81.255', 3407761664, 3407761919, 'CN', 'China'),
(135953, '203.30.82.0', '203.30.86.255', 3407761920, 3407763199, 'AU', 'Australia'),
(135954, '203.30.87.0', '203.30.87.255', 3407763200, 3407763455, 'CN', 'China'),
(135955, '203.30.88.0', '203.30.110.255', 3407763456, 3407769343, 'AU', 'Australia'),
(135956, '203.30.111.0', '203.30.111.255', 3407769344, 3407769599, 'CN', 'China'),
(135957, '203.30.112.0', '203.30.120.255', 3407769600, 3407771903, 'AU', 'Australia'),
(135958, '203.30.121.0', '203.30.121.255', 3407771904, 3407772159, 'CN', 'China'),
(135959, '203.30.122.0', '203.30.122.255', 3407772160, 3407772415, 'AU', 'Australia'),
(135960, '203.30.123.0', '203.30.123.255', 3407772416, 3407772671, 'CN', 'China'),
(135961, '203.30.124.0', '203.30.151.255', 3407772672, 3407779839, 'AU', 'Australia'),
(135962, '203.30.152.0', '203.30.152.255', 3407779840, 3407780095, 'CN', 'China'),
(135963, '203.30.153.0', '203.30.155.255', 3407780096, 3407780863, 'AU', 'Australia'),
(135964, '203.30.156.0', '203.30.156.255', 3407780864, 3407781119, 'CN', 'China'),
(135965, '203.30.157.0', '203.30.161.255', 3407781120, 3407782399, 'AU', 'Australia'),
(135966, '203.30.162.0', '203.30.162.255', 3407782400, 3407782655, 'CN', 'China'),
(135967, '203.30.163.0', '203.30.172.255', 3407782656, 3407785215, 'AU', 'Australia'),
(135968, '203.30.173.0', '203.30.173.255', 3407785216, 3407785471, 'CN', 'China'),
(135969, '203.30.174.0', '203.30.174.255', 3407785472, 3407785727, 'NZ', 'New Zealand'),
(135970, '203.30.175.0', '203.30.175.255', 3407785728, 3407785983, 'CN', 'China'),
(135971, '203.30.176.0', '203.30.186.255', 3407785984, 3407788799, 'AU', 'Australia'),
(135972, '203.30.187.0', '203.30.187.255', 3407788800, 3407789055, 'CN', 'China'),
(135973, '203.30.188.0', '203.30.193.255', 3407789056, 3407790591, 'AU', 'Australia'),
(135974, '203.30.194.0', '203.30.194.255', 3407790592, 3407790847, 'CN', 'China'),
(135975, '203.30.195.0', '203.30.216.255', 3407790848, 3407796479, 'AU', 'Australia'),
(135976, '203.30.217.0', '203.30.217.255', 3407796480, 3407796735, 'CN', 'China'),
(135977, '203.30.218.0', '203.30.219.255', 3407796736, 3407797247, 'AU', 'Australia'),
(135978, '203.30.220.0', '203.30.220.255', 3407797248, 3407797503, 'CN', 'China'),
(135979, '203.30.222.0', '203.30.222.255', 3407797760, 3407798015, 'CN', 'China'),
(135980, '203.30.223.0', '203.30.231.255', 3407798016, 3407800319, 'AU', 'Australia'),
(135981, '203.30.232.0', '203.30.233.255', 3407800320, 3407800831, 'CN', 'China'),
(135982, '203.30.234.0', '203.30.234.255', 3407800832, 3407801087, 'AU', 'Australia'),
(135983, '203.30.235.0', '203.30.235.255', 3407801088, 3407801343, 'CN', 'China'),
(135984, '203.30.236.0', '203.30.237.255', 3407801344, 3407801855, 'ID', 'Indonesia'),
(135985, '203.30.238.0', '203.30.239.255', 3407801856, 3407802367, 'AU', 'Australia'),
(135986, '203.30.240.0', '203.30.241.255', 3407802368, 3407802879, 'CN', 'China'),
(135987, '203.30.242.0', '203.30.245.255', 3407802880, 3407803903, 'AU', 'Australia'),
(135988, '203.30.246.0', '203.30.246.255', 3407803904, 3407804159, 'CN', 'China'),
(135989, '203.30.247.0', '203.30.249.255', 3407804160, 3407804927, 'AU', 'Australia'),
(135990, '203.30.250.0', '203.30.251.255', 3407804928, 3407805439, 'CN', 'China'),
(135991, '203.30.252.0', '203.30.253.255', 3407805440, 3407805951, 'AU', 'Australia'),
(135992, '203.30.254.0', '203.30.255.255', 3407805952, 3407806463, 'ID', 'Indonesia'),
(135993, '203.31.0.0', '203.31.7.255', 3407806464, 3407808511, 'AU', 'Australia'),
(135994, '203.31.8.0', '203.31.9.255', 3407808512, 3407809023, 'IN', 'India'),
(135995, '203.31.10.0', '203.31.31.255', 3407809024, 3407814655, 'AU', 'Australia'),
(135996, '203.31.32.0', '203.31.33.255', 3407814656, 3407815167, 'HK', 'Hong Kong'),
(135997, '203.31.34.0', '203.31.44.255', 3407815168, 3407817983, 'AU', 'Australia'),
(135998, '203.31.45.0', '203.31.46.255', 3407817984, 3407818495, 'CN', 'China'),
(135999, '203.31.47.0', '203.31.48.255', 3407818496, 3407819007, 'AU', 'Australia'),
(136000, '203.31.49.0', '203.31.49.255', 3407819008, 3407819263, 'CN', 'China'),
(136001, '203.31.50.0', '203.31.50.255', 3407819264, 3407819519, 'AU', 'Australia'),
(136002, '203.31.51.0', '203.31.51.255', 3407819520, 3407819775, 'CN', 'China'),
(136003, '203.31.52.0', '203.31.53.255', 3407819776, 3407820287, 'AU', 'Australia'),
(136004, '203.31.54.0', '203.31.55.255', 3407820288, 3407820799, 'CN', 'China'),
(136005, '203.31.56.0', '203.31.68.255', 3407820800, 3407824127, 'AU', 'Australia'),
(136006, '203.31.69.0', '203.31.69.255', 3407824128, 3407824383, 'CN', 'China'),
(136007, '203.31.70.0', '203.31.71.255', 3407824384, 3407824895, 'AU', 'Australia'),
(136008, '203.31.72.0', '203.31.72.255', 3407824896, 3407825151, 'CN', 'China'),
(136009, '203.31.73.0', '203.31.79.255', 3407825152, 3407826943, 'AU', 'Australia'),
(136010, '203.31.80.0', '203.31.80.255', 3407826944, 3407827199, 'CN', 'China'),
(136011, '203.31.81.0', '203.31.84.255', 3407827200, 3407828223, 'AU', 'Australia'),
(136012, '203.31.85.0', '203.31.85.255', 3407828224, 3407828479, 'CN', 'China'),
(136013, '203.31.86.0', '203.31.96.255', 3407828480, 3407831295, 'AU', 'Australia'),
(136014, '203.31.97.0', '203.31.97.255', 3407831296, 3407831551, 'CN', 'China'),
(136015, '203.31.98.0', '203.31.104.255', 3407831552, 3407833343, 'AU', 'Australia'),
(136016, '203.31.105.0', '203.31.106.255', 3407833344, 3407833855, 'CN', 'China'),
(136017, '203.31.107.0', '203.31.107.255', 3407833856, 3407834111, 'AU', 'Australia'),
(136018, '203.31.108.0', '203.31.109.255', 3407834112, 3407834623, 'CN', 'China'),
(136019, '203.31.110.0', '203.31.123.255', 3407834624, 3407838207, 'AU', 'Australia'),
(136020, '203.31.124.0', '203.31.124.255', 3407838208, 3407838463, 'CN', 'China'),
(136021, '203.31.125.0', '203.31.161.255', 3407838464, 3407847935, 'AU', 'Australia'),
(136022, '203.31.162.0', '203.31.162.255', 3407847936, 3407848191, 'CN', 'China'),
(136023, '203.31.163.0', '203.31.163.255', 3407848192, 3407848447, 'AU', 'Australia'),
(136024, '203.31.164.0', '203.31.165.255', 3407848448, 3407848959, 'ID', 'Indonesia'),
(136025, '203.31.166.0', '203.31.173.255', 3407848960, 3407851007, 'AU', 'Australia'),
(136026, '203.31.174.0', '203.31.174.255', 3407851008, 3407851263, 'CN', 'China'),
(136027, '203.31.175.0', '203.31.176.255', 3407851264, 3407851775, 'AU', 'Australia'),
(136028, '203.31.177.0', '203.31.177.255', 3407851776, 3407852031, 'CN', 'China'),
(136029, '203.31.178.0', '203.31.180.255', 3407852032, 3407852799, 'AU', 'Australia'),
(136030, '203.31.181.0', '203.31.181.255', 3407852800, 3407853055, 'CN', 'China'),
(136031, '203.31.182.0', '203.31.186.255', 3407853056, 3407854335, 'AU', 'Australia'),
(136032, '203.31.187.0', '203.31.187.255', 3407854336, 3407854591, 'CN', 'China'),
(136033, '203.31.188.0', '203.31.188.255', 3407854592, 3407854847, 'AU', 'Australia'),
(136034, '203.31.189.0', '203.31.189.255', 3407854848, 3407855103, 'CN', 'China'),
(136035, '203.31.190.0', '203.31.203.255', 3407855104, 3407858687, 'AU', 'Australia'),
(136036, '203.31.204.0', '203.31.204.255', 3407858688, 3407858943, 'CN', 'China'),
(136037, '203.31.205.0', '203.31.219.255', 3407858944, 3407862783, 'AU', 'Australia'),
(136038, '203.31.220.0', '203.31.220.255', 3407862784, 3407863039, 'CN', 'China'),
(136039, '203.31.221.0', '203.31.221.255', 3407863040, 3407863295, 'AU', 'Australia'),
(136040, '203.31.222.0', '203.31.223.255', 3407863296, 3407863807, 'CN', 'China'),
(136041, '203.31.224.0', '203.31.224.255', 3407863808, 3407864063, 'AU', 'Australia'),
(136042, '203.31.225.0', '203.31.225.255', 3407864064, 3407864319, 'CN', 'China'),
(136043, '203.31.226.0', '203.31.228.255', 3407864320, 3407865087, 'AU', 'Australia'),
(136044, '203.31.229.0', '203.31.229.255', 3407865088, 3407865343, 'CN', 'China'),
(136045, '203.31.230.0', '203.31.233.255', 3407865344, 3407866367, 'AU', 'Australia'),
(136046, '203.31.234.0', '203.31.234.255', 3407866368, 3407866623, 'GB', 'United Kingdom'),
(136047, '203.31.235.0', '203.31.247.255', 3407866624, 3407869951, 'AU', 'Australia'),
(136048, '203.31.248.0', '203.31.249.255', 3407869952, 3407870463, 'CN', 'China'),
(136049, '203.31.250.0', '203.31.252.255', 3407870464, 3407871231, 'AU', 'Australia'),
(136050, '203.31.253.0', '203.31.253.255', 3407871232, 3407871487, 'CN', 'China'),
(136051, '203.31.254.0', '203.32.3.255', 3407871488, 3407873023, 'AU', 'Australia'),
(136052, '203.32.4.0', '203.32.5.255', 3407873024, 3407873535, 'IN', 'India'),
(136053, '203.32.6.0', '203.32.19.255', 3407873536, 3407877119, 'AU', 'Australia'),
(136054, '203.32.20.0', '203.32.20.255', 3407877120, 3407877375, 'CN', 'China'),
(136055, '203.32.21.0', '203.32.47.255', 3407877376, 3407884287, 'AU', 'Australia'),
(136056, '203.32.48.0', '203.32.49.255', 3407884288, 3407884799, 'CN', 'China'),
(136057, '203.32.50.0', '203.32.55.255', 3407884800, 3407886335, 'AU', 'Australia'),
(136058, '203.32.56.0', '203.32.56.255', 3407886336, 3407886591, 'CN', 'China'),
(136059, '203.32.57.0', '203.32.59.255', 3407886592, 3407887359, 'AU', 'Australia'),
(136060, '203.32.60.0', '203.32.60.255', 3407887360, 3407887615, 'CN', 'China'),
(136061, '203.32.61.0', '203.32.61.255', 3407887616, 3407887871, 'AU', 'Australia'),
(136062, '203.32.62.0', '203.32.62.255', 3407887872, 3407888127, 'CN', 'China'),
(136063, '203.32.63.0', '203.32.67.255', 3407888128, 3407889407, 'AU', 'Australia'),
(136064, '203.32.68.0', '203.32.69.255', 3407889408, 3407889919, 'CN', 'China'),
(136065, '203.32.70.0', '203.32.75.255', 3407889920, 3407891455, 'AU', 'Australia'),
(136066, '203.32.76.0', '203.32.76.255', 3407891456, 3407891711, 'CN', 'China'),
(136067, '203.32.77.0', '203.32.80.255', 3407891712, 3407892735, 'AU', 'Australia'),
(136068, '203.32.81.0', '203.32.81.255', 3407892736, 3407892991, 'CN', 'China'),
(136069, '203.32.82.0', '203.32.83.255', 3407892992, 3407893503, 'AU', 'Australia'),
(136070, '203.32.84.0', '203.32.85.255', 3407893504, 3407894015, 'CN', 'China'),
(136071, '203.32.88.0', '203.32.94.255', 3407894528, 3407896319, 'AU', 'Australia'),
(136072, '203.32.95.0', '203.32.95.255', 3407896320, 3407896575, 'CN', 'China'),
(136073, '203.32.96.0', '203.32.101.255', 3407896576, 3407898111, 'AU', 'Australia'),
(136074, '203.32.102.0', '203.32.102.255', 3407898112, 3407898367, 'CN', 'China'),
(136075, '203.32.103.0', '203.32.104.255', 3407898368, 3407898879, 'AU', 'Australia'),
(136076, '203.32.105.0', '203.32.105.255', 3407898880, 3407899135, 'CN', 'China'),
(136077, '203.32.106.0', '203.32.129.255', 3407899136, 3407905279, 'AU', 'Australia'),
(136078, '203.32.130.0', '203.32.130.255', 3407905280, 3407905535, 'CN', 'China'),
(136079, '203.32.131.0', '203.32.132.255', 3407905536, 3407906047, 'AU', 'Australia'),
(136080, '203.32.133.0', '203.32.133.255', 3407906048, 3407906303, 'CN', 'China'),
(136081, '203.32.134.0', '203.32.139.255', 3407906304, 3407907839, 'AU', 'Australia'),
(136082, '203.32.140.0', '203.32.140.255', 3407907840, 3407908095, 'CN', 'China'),
(136083, '203.32.141.0', '203.32.151.255', 3407908096, 3407910911, 'AU', 'Australia'),
(136084, '203.32.152.0', '203.32.152.255', 3407910912, 3407911167, 'CN', 'China'),
(136085, '203.32.153.0', '203.32.185.255', 3407911168, 3407919615, 'AU', 'Australia'),
(136086, '203.32.186.0', '203.32.187.255', 3407919616, 3407920127, 'CN', 'China'),
(136087, '203.32.188.0', '203.32.191.255', 3407920128, 3407921151, 'AU', 'Australia'),
(136088, '203.32.192.0', '203.32.192.255', 3407921152, 3407921407, 'CN', 'China'),
(136089, '203.32.193.0', '203.32.195.255', 3407921408, 3407922175, 'AU', 'Australia'),
(136090, '203.32.196.0', '203.32.196.255', 3407922176, 3407922431, 'CN', 'China'),
(136091, '203.32.197.0', '203.32.202.255', 3407922432, 3407923967, 'AU', 'Australia'),
(136092, '203.32.203.0', '203.32.205.255', 3407923968, 3407924735, 'CN', 'China'),
(136093, '203.32.206.0', '203.32.211.255', 3407924736, 3407926271, 'AU', 'Australia'),
(136094, '203.32.212.0', '203.32.212.255', 3407926272, 3407926527, 'CN', 'China'),
(136095, '203.32.213.0', '203.32.220.255', 3407926528, 3407928575, 'AU', 'Australia'),
(136096, '203.32.221.0', '203.32.221.255', 3407928576, 3407928831, 'IN', 'India'),
(136097, '203.32.222.0', '203.33.3.255', 3407928832, 3407938559, 'AU', 'Australia'),
(136098, '203.33.4.0', '203.33.4.255', 3407938560, 3407938815, 'CN', 'China'),
(136099, '203.33.5.0', '203.33.6.255', 3407938816, 3407939327, 'AU', 'Australia'),
(136100, '203.33.7.0', '203.33.15.255', 3407939328, 3407941631, 'CN', 'China'),
(136101, '203.33.16.0', '203.33.20.255', 3407941632, 3407942911, 'AU', 'Australia'),
(136102, '203.33.21.0', '203.33.21.255', 3407942912, 3407943167, 'CN', 'China'),
(136103, '203.33.22.0', '203.33.25.255', 3407943168, 3407944191, 'AU', 'Australia'),
(136104, '203.33.26.0', '203.33.26.255', 3407944192, 3407944447, 'CN', 'China'),
(136105, '203.33.27.0', '203.33.31.255', 3407944448, 3407945727, 'AU', 'Australia'),
(136106, '203.33.32.0', '203.33.32.255', 3407945728, 3407945983, 'CN', 'China'),
(136107, '203.33.33.0', '203.33.62.255', 3407945984, 3407953663, 'AU', 'Australia'),
(136108, '203.33.63.0', '203.33.64.255', 3407953664, 3407954175, 'CN', 'China'),
(136109, '203.33.65.0', '203.33.66.255', 3407954176, 3407954687, 'AU', 'Australia'),
(136110, '203.33.67.0', '203.33.68.255', 3407954688, 3407955199, 'CN', 'China'),
(136111, '203.33.69.0', '203.33.72.255', 3407955200, 3407956223, 'AU', 'Australia'),
(136112, '203.33.73.0', '203.33.73.255', 3407956224, 3407956479, 'CN', 'China'),
(136113, '203.33.74.0', '203.33.78.255', 3407956480, 3407957759, 'AU', 'Australia'),
(136114, '203.33.79.0', '203.33.79.255', 3407957760, 3407958015, 'CN', 'China'),
(136115, '203.33.80.0', '203.33.99.255', 3407958016, 3407963135, 'AU', 'Australia'),
(136116, '203.33.100.0', '203.33.100.255', 3407963136, 3407963391, 'CN', 'China'),
(136117, '203.33.101.0', '203.33.121.255', 3407963392, 3407968767, 'AU', 'Australia'),
(136118, '203.33.122.0', '203.33.122.255', 3407968768, 3407969023, 'CN', 'China'),
(136119, '203.33.123.0', '203.33.128.255', 3407969024, 3407970559, 'AU', 'Australia'),
(136120, '203.33.129.0', '203.33.129.255', 3407970560, 3407970815, 'CN', 'China'),
(136121, '203.33.130.0', '203.33.130.255', 3407970816, 3407971071, 'AU', 'Australia'),
(136122, '203.33.131.0', '203.33.131.255', 3407971072, 3407971327, 'CN', 'China'),
(136123, '203.33.132.0', '203.33.144.255', 3407971328, 3407974655, 'AU', 'Australia'),
(136124, '203.33.145.0', '203.33.145.255', 3407974656, 3407974911, 'CN', 'China'),
(136125, '203.33.146.0', '203.33.155.255', 3407974912, 3407977471, 'AU', 'Australia'),
(136126, '203.33.156.0', '203.33.156.255', 3407977472, 3407977727, 'CN', 'China'),
(136127, '203.33.157.0', '203.33.157.255', 3407977728, 3407977983, 'AU', 'Australia'),
(136128, '203.33.158.0', '203.33.159.255', 3407977984, 3407978495, 'CN', 'China'),
(136129, '203.33.160.0', '203.33.173.255', 3407978496, 3407982079, 'AU', 'Australia'),
(136130, '203.33.174.0', '203.33.174.255', 3407982080, 3407982335, 'CN', 'China'),
(136131, '203.33.175.0', '203.33.184.255', 3407982336, 3407984895, 'AU', 'Australia'),
(136132, '203.33.185.0', '203.33.185.255', 3407984896, 3407985151, 'CN', 'China'),
(136133, '203.33.186.0', '203.33.188.255', 3407985152, 3407985919, 'AU', 'Australia'),
(136134, '203.33.189.0', '203.33.189.255', 3407985920, 3407986175, 'KH', 'Cambodia'),
(136135, '203.33.190.0', '203.33.195.255', 3407986176, 3407987711, 'AU', 'Australia'),
(136136, '203.33.196.0', '203.33.196.255', 3407987712, 3407987967, 'PH', 'Philippines'),
(136137, '203.33.197.0', '203.33.197.255', 3407987968, 3407988223, 'AU', 'Australia'),
(136138, '203.33.198.0', '203.33.199.255', 3407988224, 3407988735, 'IN', 'India'),
(136139, '203.33.200.0', '203.33.200.255', 3407988736, 3407988991, 'CN', 'China'),
(136140, '203.33.201.0', '203.33.201.255', 3407988992, 3407989247, 'AU', 'Australia'),
(136141, '203.33.202.0', '203.33.204.255', 3407989248, 3407990015, 'CN', 'China'),
(136142, '203.33.205.0', '203.33.205.255', 3407990016, 3407990271, 'AU', 'Australia'),
(136143, '203.33.206.0', '203.33.207.255', 3407990272, 3407990783, 'CN', 'China'),
(136144, '203.33.208.0', '203.33.213.255', 3407990784, 3407992319, 'AU', 'Australia'),
(136145, '203.33.214.0', '203.33.215.255', 3407992320, 3407992831, 'CN', 'China'),
(136146, '203.33.216.0', '203.33.223.255', 3407992832, 3407994879, 'AU', 'Australia'),
(136147, '203.33.224.0', '203.33.226.255', 3407994880, 3407995647, 'CN', 'China'),
(136148, '203.33.227.0', '203.33.232.255', 3407995648, 3407997183, 'AU', 'Australia'),
(136149, '203.33.233.0', '203.33.233.255', 3407997184, 3407997439, 'CN', 'China'),
(136150, '203.33.234.0', '203.33.239.255', 3407997440, 3407998975, 'AU', 'Australia'),
(136151, '203.33.240.0', '203.33.240.255', 3407998976, 3407999231, 'TH', 'Thailand'),
(136152, '203.33.241.0', '203.33.242.255', 3407999232, 3407999743, 'AU', 'Australia'),
(136153, '203.33.243.0', '203.33.243.255', 3407999744, 3407999999, 'CN', 'China'),
(136154, '203.33.244.0', '203.33.249.255', 3408000000, 3408001535, 'AU', 'Australia'),
(136155, '203.33.250.0', '203.33.250.255', 3408001536, 3408001791, 'CN', 'China'),
(136156, '203.33.251.0', '203.34.3.255', 3408001792, 3408004095, 'AU', 'Australia'),
(136157, '203.34.4.0', '203.34.4.255', 3408004096, 3408004351, 'CN', 'China'),
(136158, '203.34.5.0', '203.34.20.255', 3408004352, 3408008447, 'AU', 'Australia'),
(136159, '203.34.21.0', '203.34.21.255', 3408008448, 3408008703, 'CN', 'China'),
(136160, '203.34.22.0', '203.34.26.255', 3408008704, 3408009983, 'AU', 'Australia'),
(136161, '203.34.27.0', '203.34.27.255', 3408009984, 3408010239, 'CN', 'China'),
(136162, '203.34.28.0', '203.34.36.255', 3408010240, 3408012543, 'AU', 'Australia'),
(136163, '203.34.37.0', '203.34.37.255', 3408012544, 3408012799, 'MN', 'Mongolia'),
(136164, '203.34.38.0', '203.34.38.255', 3408012800, 3408013055, 'AU', 'Australia'),
(136165, '203.34.39.0', '203.34.39.255', 3408013056, 3408013311, 'CN', 'China'),
(136166, '203.34.40.0', '203.34.47.255', 3408013312, 3408015359, 'AU', 'Australia'),
(136167, '203.34.48.0', '203.34.49.255', 3408015360, 3408015871, 'CN', 'China'),
(136168, '203.34.50.0', '203.34.53.255', 3408015872, 3408016895, 'AU', 'Australia'),
(136169, '203.34.54.0', '203.34.54.255', 3408016896, 3408017151, 'CN', 'China'),
(136170, '203.34.55.0', '203.34.55.255', 3408017152, 3408017407, 'AU', 'Australia'),
(136171, '203.34.56.0', '203.34.57.255', 3408017408, 3408017919, 'CN', 'China'),
(136172, '203.34.58.0', '203.34.66.255', 3408017920, 3408020223, 'AU', 'Australia'),
(136173, '203.34.67.0', '203.34.67.255', 3408020224, 3408020479, 'CN', 'China'),
(136174, '203.34.68.0', '203.34.68.255', 3408020480, 3408020735, 'AU', 'Australia'),
(136175, '203.34.69.0', '203.34.69.255', 3408020736, 3408020991, 'CN', 'China'),
(136176, '203.34.70.0', '203.34.75.255', 3408020992, 3408022527, 'AU', 'Australia'),
(136177, '203.34.76.0', '203.34.76.255', 3408022528, 3408022783, 'CN', 'China'),
(136178, '203.34.77.0', '203.34.80.255', 3408022784, 3408023807, 'AU', 'Australia'),
(136179, '203.34.81.0', '203.34.81.255', 3408023808, 3408024063, 'JP', 'Japan'),
(136180, '203.34.83.0', '203.34.91.255', 3408024320, 3408026623, 'AU', 'Australia'),
(136181, '203.34.92.0', '203.34.92.255', 3408026624, 3408026879, 'CN', 'China'),
(136182, '203.34.93.0', '203.34.105.255', 3408026880, 3408030207, 'AU', 'Australia'),
(136183, '203.34.106.0', '203.34.106.255', 3408030208, 3408030463, 'CN', 'China'),
(136184, '203.34.107.0', '203.34.112.255', 3408030464, 3408031999, 'AU', 'Australia'),
(136185, '203.34.113.0', '203.34.113.255', 3408032000, 3408032255, 'CN', 'China'),
(136186, '203.34.114.0', '203.34.115.255', 3408032256, 3408032767, 'AU', 'Australia'),
(136187, '203.34.116.0', '203.34.116.255', 3408032768, 3408033023, 'LK', 'Sri Lanka'),
(136188, '203.34.117.0', '203.34.117.255', 3408033024, 3408033279, 'IN', 'India'),
(136189, '203.34.118.0', '203.34.119.255', 3408033280, 3408033791, 'ID', 'Indonesia'),
(136190, '203.34.120.0', '203.34.143.255', 3408033792, 3408039935, 'AU', 'Australia'),
(136191, '203.34.144.0', '203.34.144.255', 3408039936, 3408040191, 'VN', 'Vietnam'),
(136192, '203.34.145.0', '203.34.146.255', 3408040192, 3408040703, 'AU', 'Australia'),
(136193, '203.34.147.0', '203.34.147.255', 3408040704, 3408040959, 'CN', 'China'),
(136194, '203.34.148.0', '203.34.149.255', 3408040960, 3408041471, 'AU', 'Australia'),
(136195, '203.34.150.0', '203.34.150.255', 3408041472, 3408041727, 'CN', 'China'),
(136196, '203.34.151.0', '203.34.151.255', 3408041728, 3408041983, 'AU', 'Australia'),
(136197, '203.34.152.0', '203.34.153.255', 3408041984, 3408042495, 'CN', 'China'),
(136198, '203.34.154.0', '203.34.154.255', 3408042496, 3408042751, 'HK', 'Hong Kong'),
(136199, '203.34.155.0', '203.34.160.255', 3408042752, 3408044287, 'AU', 'Australia'),
(136200, '203.34.161.0', '203.34.162.255', 3408044288, 3408044799, 'CN', 'China'),
(136201, '203.34.163.0', '203.34.186.255', 3408044800, 3408050943, 'AU', 'Australia'),
(136202, '203.34.187.0', '203.34.187.255', 3408050944, 3408051199, 'CN', 'China'),
(136203, '203.34.188.0', '203.34.191.255', 3408051200, 3408052223, 'AU', 'Australia'),
(136204, '203.34.192.0', '203.34.199.255', 3408052224, 3408054271, 'CN', 'China'),
(136205, '203.34.200.0', '203.34.203.255', 3408054272, 3408055295, 'AU', 'Australia'),
(136206, '203.34.204.0', '203.34.207.255', 3408055296, 3408056319, 'CN', 'China'),
(136207, '203.34.208.0', '203.34.231.255', 3408056320, 3408062463, 'AU', 'Australia'),
(136208, '203.34.232.0', '203.34.232.255', 3408062464, 3408062719, 'CN', 'China'),
(136209, '203.34.233.0', '203.34.239.255', 3408062720, 3408064511, 'AU', 'Australia'),
(136210, '203.34.240.0', '203.34.240.255', 3408064512, 3408064767, 'CN', 'China'),
(136211, '203.34.242.0', '203.34.242.255', 3408065024, 3408065279, 'CN', 'China'),
(136212, '203.34.243.0', '203.34.244.255', 3408065280, 3408065791, 'AU', 'Australia'),
(136213, '203.34.245.0', '203.34.245.255', 3408065792, 3408066047, 'CN', 'China'),
(136214, '203.34.246.0', '203.34.246.255', 3408066048, 3408066303, 'PH', 'Philippines'),
(136215, '203.34.247.0', '203.34.250.255', 3408066304, 3408067327, 'AU', 'Australia'),
(136216, '203.34.251.0', '203.34.251.255', 3408067328, 3408067583, 'CN', 'China'),
(136217, '203.34.252.0', '203.55.1.255', 3408067584, 3409379839, 'AU', 'Australia'),
(136218, '203.55.2.0', '203.55.4.255', 3409379840, 3409380607, 'CN', 'China'),
(136219, '203.55.5.0', '203.55.9.255', 3409380608, 3409381887, 'AU', 'Australia'),
(136220, '203.55.10.0', '203.55.10.255', 3409381888, 3409382143, 'CN', 'China'),
(136221, '203.55.11.0', '203.55.12.255', 3409382144, 3409382655, 'AU', 'Australia'),
(136222, '203.55.13.0', '203.55.13.255', 3409382656, 3409382911, 'CN', 'China'),
(136223, '203.55.14.0', '203.55.21.255', 3409382912, 3409384959, 'AU', 'Australia'),
(136224, '203.55.22.0', '203.55.22.255', 3409384960, 3409385215, 'CN', 'China'),
(136225, '203.55.23.0', '203.55.29.255', 3409385216, 3409387007, 'AU', 'Australia'),
(136226, '203.55.30.0', '203.55.30.255', 3409387008, 3409387263, 'CN', 'China'),
(136227, '203.55.31.0', '203.55.66.255', 3409387264, 3409396479, 'AU', 'Australia'),
(136228, '203.55.67.0', '203.55.67.255', 3409396480, 3409396735, 'PH', 'Philippines'),
(136229, '203.55.68.0', '203.55.92.255', 3409396736, 3409403135, 'AU', 'Australia'),
(136230, '203.55.93.0', '203.55.93.255', 3409403136, 3409403391, 'CN', 'China'),
(136231, '203.55.94.0', '203.55.100.255', 3409403392, 3409405183, 'AU', 'Australia'),
(136232, '203.55.101.0', '203.55.101.255', 3409405184, 3409405439, 'CN', 'China'),
(136233, '203.55.102.0', '203.55.108.255', 3409405440, 3409407231, 'AU', 'Australia'),
(136234, '203.55.109.0', '203.55.110.255', 3409407232, 3409407743, 'CN', 'China'),
(136235, '203.55.111.0', '203.55.115.255', 3409407744, 3409409023, 'AU', 'Australia'),
(136236, '203.55.116.0', '203.55.117.255', 3409409024, 3409409535, 'CN', 'China'),
(136237, '203.55.118.0', '203.55.118.255', 3409409536, 3409409791, 'AU', 'Australia'),
(136238, '203.55.119.0', '203.55.119.255', 3409409792, 3409410047, 'CN', 'China'),
(136239, '203.55.120.0', '203.55.127.255', 3409410048, 3409412095, 'AU', 'Australia'),
(136240, '203.55.128.0', '203.55.129.255', 3409412096, 3409412607, 'CN', 'China'),
(136241, '203.55.130.0', '203.55.145.255', 3409412608, 3409416703, 'AU', 'Australia'),
(136242, '203.55.146.0', '203.55.147.255', 3409416704, 3409417215, 'CN', 'China'),
(136243, '203.55.148.0', '203.55.159.255', 3409417216, 3409420287, 'AU', 'Australia'),
(136244, '203.55.160.0', '203.55.160.255', 3409420288, 3409420543, 'IN', 'India'),
(136245, '203.55.161.0', '203.55.172.255', 3409420544, 3409423615, 'AU', 'Australia'),
(136246, '203.55.173.0', '203.55.173.255', 3409423616, 3409423871, 'IN', 'India'),
(136247, '203.55.174.0', '203.55.191.255', 3409423872, 3409428479, 'AU', 'Australia'),
(136248, '203.55.192.0', '203.55.192.255', 3409428480, 3409428735, 'CN', 'China'),
(136249, '203.55.193.0', '203.55.195.255', 3409428736, 3409429503, 'AU', 'Australia'),
(136250, '203.55.196.0', '203.55.196.255', 3409429504, 3409429759, 'CN', 'China'),
(136251, '203.55.197.0', '203.55.217.255', 3409429760, 3409435135, 'AU', 'Australia'),
(136252, '203.55.218.0', '203.55.219.255', 3409435136, 3409435647, 'CN', 'China'),
(136253, '203.55.220.0', '203.55.220.255', 3409435648, 3409435903, 'AU', 'Australia'),
(136254, '203.55.221.0', '203.55.221.255', 3409435904, 3409436159, 'CN', 'China'),
(136255, '203.55.222.0', '203.55.223.255', 3409436160, 3409436671, 'AU', 'Australia'),
(136256, '203.55.224.0', '203.55.224.255', 3409436672, 3409436927, 'CN', 'China'),
(136257, '203.55.225.0', '203.55.231.99', 3409436928, 3409438563, 'AU', 'Australia'),
(136258, '203.55.231.100', '203.55.231.100', 3409438564, 3409438564, 'A1', 'Anonymous Proxy'),
(136259, '203.55.231.101', '203.56.0.255', 3409438565, 3409445119, 'AU', 'Australia'),
(136260, '203.56.1.0', '203.56.1.255', 3409445120, 3409445375, 'CN', 'China'),
(136261, '203.56.2.0', '203.56.3.255', 3409445376, 3409445887, 'AU', 'Australia'),
(136262, '203.56.4.0', '203.56.4.255', 3409445888, 3409446143, 'CN', 'China'),
(136263, '203.56.5.0', '203.56.11.255', 3409446144, 3409447935, 'AU', 'Australia'),
(136264, '203.56.12.0', '203.56.12.255', 3409447936, 3409448191, 'CN', 'China'),
(136265, '203.56.13.0', '203.56.23.255', 3409448192, 3409451007, 'AU', 'Australia'),
(136266, '203.56.24.0', '203.56.24.255', 3409451008, 3409451263, 'CN', 'China'),
(136267, '203.56.25.0', '203.56.31.255', 3409451264, 3409453055, 'AU', 'Australia'),
(136268, '203.56.32.0', '203.56.33.255', 3409453056, 3409453567, 'NZ', 'New Zealand'),
(136269, '203.56.34.0', '203.56.37.255', 3409453568, 3409454591, 'AU', 'Australia'),
(136270, '203.56.38.0', '203.56.38.255', 3409454592, 3409454847, 'CN', 'China'),
(136271, '203.56.39.0', '203.56.39.255', 3409454848, 3409455103, 'AU', 'Australia'),
(136272, '203.56.40.0', '203.56.40.255', 3409455104, 3409455359, 'CN', 'China'),
(136273, '203.56.41.0', '203.56.45.255', 3409455360, 3409456639, 'AU', 'Australia'),
(136274, '203.56.46.0', '203.56.46.255', 3409456640, 3409456895, 'CN', 'China'),
(136275, '203.56.47.0', '203.56.47.255', 3409456896, 3409457151, 'AU', 'Australia'),
(136276, '203.56.48.0', '203.56.55.255', 3409457152, 3409459199, 'CN', 'China'),
(136277, '203.56.56.0', '203.56.67.255', 3409459200, 3409462271, 'AU', 'Australia'),
(136278, '203.56.68.0', '203.56.69.255', 3409462272, 3409462783, 'CN', 'China'),
(136279, '203.56.70.0', '203.56.81.255', 3409462784, 3409465855, 'AU', 'Australia'),
(136280, '203.56.82.0', '203.56.85.255', 3409465856, 3409466879, 'CN', 'China'),
(136281, '203.56.86.0', '203.56.94.255', 3409466880, 3409469183, 'AU', 'Australia'),
(136282, '203.56.95.0', '203.56.95.255', 3409469184, 3409469439, 'CN', 'China'),
(136283, '203.56.96.0', '203.56.109.255', 3409469440, 3409473023, 'AU', 'Australia'),
(136284, '203.56.110.0', '203.56.110.255', 3409473024, 3409473279, 'CN', 'China'),
(136285, '203.56.111.0', '203.56.120.255', 3409473280, 3409475839, 'AU', 'Australia'),
(136286, '203.56.121.0', '203.56.121.255', 3409475840, 3409476095, 'CN', 'China'),
(136287, '203.56.122.0', '203.56.160.255', 3409476096, 3409486079, 'AU', 'Australia'),
(136288, '203.56.161.0', '203.56.161.255', 3409486080, 3409486335, 'CN', 'China'),
(136289, '203.56.162.0', '203.56.168.255', 3409486336, 3409488127, 'AU', 'Australia'),
(136290, '203.56.169.0', '203.56.169.255', 3409488128, 3409488383, 'CN', 'China'),
(136291, '203.56.170.0', '203.56.171.255', 3409488384, 3409488895, 'AU', 'Australia'),
(136292, '203.56.172.0', '203.56.173.255', 3409488896, 3409489407, 'CN', 'China'),
(136293, '203.56.174.0', '203.56.174.255', 3409489408, 3409489663, 'AU', 'Australia'),
(136294, '203.56.175.0', '203.56.175.255', 3409489664, 3409489919, 'CN', 'China'),
(136295, '203.56.176.0', '203.56.182.255', 3409489920, 3409491711, 'AU', 'Australia'),
(136296, '203.56.183.0', '203.56.183.255', 3409491712, 3409491967, 'CN', 'China'),
(136297, '203.56.184.0', '203.56.184.255', 3409491968, 3409492223, 'AU', 'Australia'),
(136298, '203.56.185.0', '203.56.185.255', 3409492224, 3409492479, 'CN', 'China'),
(136299, '203.56.186.0', '203.56.186.255', 3409492480, 3409492735, 'AU', 'Australia'),
(136300, '203.56.187.0', '203.56.187.255', 3409492736, 3409492991, 'CN', 'China'),
(136301, '203.56.188.0', '203.56.191.255', 3409492992, 3409494015, 'AU', 'Australia'),
(136302, '203.56.192.0', '203.56.192.255', 3409494016, 3409494271, 'CN', 'China'),
(136303, '203.56.193.0', '203.56.197.255', 3409494272, 3409495551, 'AU', 'Australia'),
(136304, '203.56.198.0', '203.56.198.255', 3409495552, 3409495807, 'CN', 'China'),
(136305, '203.56.199.0', '203.56.200.255', 3409495808, 3409496319, 'AU', 'Australia'),
(136306, '203.56.201.0', '203.56.201.255', 3409496320, 3409496575, 'CN', 'China'),
(136307, '203.56.202.0', '203.56.207.255', 3409496576, 3409498111, 'AU', 'Australia'),
(136308, '203.56.208.0', '203.56.210.255', 3409498112, 3409498879, 'CN', 'China'),
(136309, '203.56.211.0', '203.56.213.255', 3409498880, 3409499647, 'AU', 'Australia'),
(136310, '203.56.214.0', '203.56.214.255', 3409499648, 3409499903, 'CN', 'China'),
(136311, '203.56.215.0', '203.56.215.255', 3409499904, 3409500159, 'AU', 'Australia'),
(136312, '203.56.216.0', '203.56.216.255', 3409500160, 3409500415, 'CN', 'China'),
(136313, '203.56.217.0', '203.56.226.255', 3409500416, 3409502975, 'AU', 'Australia'),
(136314, '203.56.227.0', '203.56.228.255', 3409502976, 3409503487, 'CN', 'China'),
(136315, '203.56.229.0', '203.56.230.255', 3409503488, 3409503999, 'AU', 'Australia'),
(136316, '203.56.232.0', '203.56.232.255', 3409504256, 3409504511, 'CN', 'China'),
(136317, '203.56.233.0', '203.56.239.255', 3409504512, 3409506303, 'AU', 'Australia'),
(136318, '203.56.240.0', '203.56.240.255', 3409506304, 3409506559, 'CN', 'China'),
(136319, '203.56.241.0', '203.56.241.255', 3409506560, 3409506815, 'PH', 'Philippines'),
(136320, '203.56.242.0', '203.56.251.255', 3409506816, 3409509375, 'AU', 'Australia'),
(136321, '203.56.252.0', '203.56.252.255', 3409509376, 3409509631, 'CN', 'China'),
(136322, '203.56.253.0', '203.56.253.255', 3409509632, 3409509887, 'HK', 'Hong Kong'),
(136323, '203.56.254.0', '203.56.254.255', 3409509888, 3409510143, 'CN', 'China'),
(136324, '203.56.255.0', '203.57.4.255', 3409510144, 3409511679, 'AU', 'Australia'),
(136325, '203.57.5.0', '203.57.6.255', 3409511680, 3409512191, 'CN', 'China'),
(136326, '203.57.7.0', '203.57.11.255', 3409512192, 3409513471, 'AU', 'Australia'),
(136327, '203.57.12.0', '203.57.13.255', 3409513472, 3409513983, 'CN', 'China'),
(136328, '203.57.14.0', '203.57.23.255', 3409513984, 3409516543, 'AU', 'Australia'),
(136329, '203.57.24.0', '203.57.25.255', 3409516544, 3409517055, 'ID', 'Indonesia'),
(136330, '203.57.26.0', '203.57.27.255', 3409517056, 3409517567, 'AU', 'Australia'),
(136331, '203.57.28.0', '203.57.28.255', 3409517568, 3409517823, 'CN', 'China'),
(136332, '203.57.29.0', '203.57.38.255', 3409517824, 3409520383, 'AU', 'Australia'),
(136333, '203.57.39.0', '203.57.39.255', 3409520384, 3409520639, 'CN', 'China'),
(136334, '203.57.40.0', '203.57.45.255', 3409520640, 3409522175, 'AU', 'Australia'),
(136335, '203.57.46.0', '203.57.46.255', 3409522176, 3409522431, 'CN', 'China'),
(136336, '203.57.47.0', '203.57.57.255', 3409522432, 3409525247, 'AU', 'Australia'),
(136337, '203.57.58.0', '203.57.58.255', 3409525248, 3409525503, 'CN', 'China'),
(136338, '203.57.59.0', '203.57.60.255', 3409525504, 3409526015, 'AU', 'Australia'),
(136339, '203.57.61.0', '203.57.61.255', 3409526016, 3409526271, 'CN', 'China'),
(136340, '203.57.62.0', '203.57.65.255', 3409526272, 3409527295, 'AU', 'Australia'),
(136341, '203.57.66.0', '203.57.66.255', 3409527296, 3409527551, 'CN', 'China'),
(136342, '203.57.67.0', '203.57.68.255', 3409527552, 3409528063, 'AU', 'Australia'),
(136343, '203.57.69.0', '203.57.71.255', 3409528064, 3409528831, 'CN', 'China'),
(136344, '203.57.72.0', '203.57.72.255', 3409528832, 3409529087, 'AU', 'Australia'),
(136345, '203.57.73.0', '203.57.73.255', 3409529088, 3409529343, 'CN', 'China'),
(136346, '203.57.74.0', '203.57.89.255', 3409529344, 3409533439, 'AU', 'Australia'),
(136347, '203.57.90.0', '203.57.90.255', 3409533440, 3409533695, 'CN', 'China'),
(136348, '203.57.91.0', '203.57.100.255', 3409533696, 3409536255, 'AU', 'Australia'),
(136349, '203.57.101.0', '203.57.101.255', 3409536256, 3409536511, 'CN', 'China'),
(136350, '203.57.102.0', '203.57.108.255', 3409536512, 3409538303, 'AU', 'Australia'),
(136351, '203.57.109.0', '203.57.109.255', 3409538304, 3409538559, 'CN', 'China'),
(136352, '203.57.110.0', '203.57.122.255', 3409538560, 3409541887, 'AU', 'Australia'),
(136353, '203.57.123.0', '203.57.123.255', 3409541888, 3409542143, 'CN', 'China'),
(136354, '203.57.124.0', '203.57.144.255', 3409542144, 3409547519, 'AU', 'Australia'),
(136355, '203.57.145.0', '203.57.145.255', 3409547520, 3409547775, 'NZ', 'New Zealand'),
(136356, '203.57.146.0', '203.57.156.255', 3409547776, 3409550591, 'AU', 'Australia'),
(136357, '203.57.157.0', '203.57.157.255', 3409550592, 3409550847, 'CN', 'China'),
(136358, '203.57.158.0', '203.57.199.255', 3409550848, 3409561599, 'AU', 'Australia'),
(136359, '203.57.200.0', '203.57.200.255', 3409561600, 3409561855, 'CN', 'China'),
(136360, '203.57.201.0', '203.57.201.255', 3409561856, 3409562111, 'AU', 'Australia'),
(136361, '203.57.202.0', '203.57.202.255', 3409562112, 3409562367, 'CN', 'China'),
(136362, '203.57.203.0', '203.57.205.255', 3409562368, 3409563135, 'AU', 'Australia'),
(136363, '203.57.206.0', '203.57.206.255', 3409563136, 3409563391, 'CN', 'China'),
(136364, '203.57.207.0', '203.57.221.255', 3409563392, 3409567231, 'AU', 'Australia'),
(136365, '203.57.222.0', '203.57.222.255', 3409567232, 3409567487, 'CN', 'China'),
(136366, '203.57.223.0', '203.57.223.255', 3409567488, 3409567743, 'AU', 'Australia'),
(136367, '203.57.224.0', '203.57.239.255', 3409567744, 3409571839, 'CN', 'China'),
(136368, '203.57.240.0', '203.57.245.255', 3409571840, 3409573375, 'AU', 'Australia'),
(136369, '203.57.246.0', '203.57.247.255', 3409573376, 3409573887, 'CN', 'China'),
(136370, '203.57.248.0', '203.57.248.255', 3409573888, 3409574143, 'AU', 'Australia'),
(136371, '203.57.249.0', '203.57.249.255', 3409574144, 3409574399, 'CN', 'China'),
(136372, '203.57.250.0', '203.57.252.255', 3409574400, 3409575167, 'AU', 'Australia'),
(136373, '203.57.253.0', '203.57.255.255', 3409575168, 3409575935, 'CN', 'China'),
(136374, '203.58.0.0', '203.62.0.255', 3409575936, 3409838335, 'AU', 'Australia'),
(136375, '203.62.1.0', '203.62.1.255', 3409838336, 3409838591, 'MY', 'Malaysia'),
(136376, '203.62.2.0', '203.62.2.255', 3409838592, 3409838847, 'CN', 'China'),
(136377, '203.62.3.0', '203.62.130.255', 3409838848, 3409871615, 'AU', 'Australia'),
(136378, '203.62.131.0', '203.62.131.255', 3409871616, 3409871871, 'CN', 'China'),
(136379, '203.62.132.0', '203.62.138.255', 3409871872, 3409873663, 'AU', 'Australia'),
(136380, '203.62.139.0', '203.62.139.255', 3409873664, 3409873919, 'CN', 'China'),
(136381, '203.62.140.0', '203.62.151.255', 3409873920, 3409876991, 'AU', 'Australia'),
(136382, '203.62.152.0', '203.62.155.255', 3409876992, 3409878015, 'TH', 'Thailand'),
(136383, '203.62.156.0', '203.62.160.255', 3409878016, 3409879295, 'AU', 'Australia'),
(136384, '203.62.161.0', '203.62.161.255', 3409879296, 3409879551, 'CN', 'China'),
(136385, '203.62.162.0', '203.62.171.255', 3409879552, 3409882111, 'AU', 'Australia'),
(136386, '203.62.172.0', '203.62.175.255', 3409882112, 3409883135, 'IN', 'India'),
(136387, '203.62.176.0', '203.62.194.255', 3409883136, 3409887999, 'AU', 'Australia'),
(136388, '203.62.195.0', '203.62.195.255', 3409888000, 3409888255, 'SG', 'Singapore'),
(136389, '203.62.196.0', '203.62.196.255', 3409888256, 3409888511, 'AU', 'Australia'),
(136390, '203.62.197.0', '203.62.197.255', 3409888512, 3409888767, 'CN', 'China'),
(136391, '203.62.198.0', '203.62.227.255', 3409888768, 3409896447, 'AU', 'Australia'),
(136392, '203.62.228.0', '203.62.231.255', 3409896448, 3409897471, 'CN', 'China'),
(136393, '203.62.232.0', '203.62.233.255', 3409897472, 3409897983, 'AU', 'Australia'),
(136394, '203.62.234.0', '203.62.234.255', 3409897984, 3409898239, 'CN', 'China'),
(136395, '203.62.235.0', '203.62.245.255', 3409898240, 3409901055, 'AU', 'Australia'),
(136396, '203.62.246.0', '203.62.246.255', 3409901056, 3409901311, 'CN', 'China'),
(136397, '203.62.247.0', '203.63.255.255', 3409901312, 3409969151, 'AU', 'Australia'),
(136398, '203.64.0.0', '203.75.255.255', 3409969152, 3410755583, 'TW', 'Taiwan'),
(136399, '203.76.0.0', '203.76.63.255', 3410755584, 3410771967, 'AU', 'Australia'),
(136400, '203.76.64.0', '203.76.95.255', 3410771968, 3410780159, 'JP', 'Japan'),
(136401, '203.76.96.0', '203.76.127.255', 3410780160, 3410788351, 'BD', 'Bangladesh'),
(136402, '203.76.128.0', '203.76.143.255', 3410788352, 3410792447, 'IN', 'India'),
(136403, '203.76.144.0', '203.76.159.255', 3410792448, 3410796543, 'BD', 'Bangladesh'),
(136404, '203.76.160.0', '203.76.163.255', 3410796544, 3410797567, 'CN', 'China'),
(136405, '203.76.164.0', '203.76.167.255', 3410797568, 3410798591, 'JP', 'Japan'),
(136406, '203.76.168.0', '203.76.171.255', 3410798592, 3410799615, 'CN', 'China'),
(136407, '203.76.172.0', '203.76.175.255', 3410799616, 3410800639, 'SG', 'Singapore'),
(136408, '203.76.176.0', '203.76.191.255', 3410800640, 3410804735, 'IN', 'India'),
(136409, '203.76.192.0', '203.76.207.255', 3410804736, 3410808831, 'PH', 'Philippines'),
(136410, '203.77.0.0', '203.77.127.255', 3410821120, 3410853887, 'TW', 'Taiwan'),
(136411, '203.77.128.0', '203.77.159.255', 3410853888, 3410862079, 'HK', 'Hong Kong'),
(136412, '203.77.160.0', '203.77.175.255', 3410862080, 3410866175, 'AU', 'Australia'),
(136413, '203.77.176.0', '203.77.176.255', 3410866176, 3410866431, 'KR', 'Korea, Republic of'),
(136414, '203.77.177.0', '203.77.177.255', 3410866432, 3410866687, 'IN', 'India'),
(136415, '203.77.178.0', '203.77.178.255', 3410866688, 3410866943, 'VN', 'Vietnam'),
(136416, '203.77.179.0', '203.77.179.255', 3410866944, 3410867199, 'AU', 'Australia'),
(136417, '203.77.180.0', '203.77.183.255', 3410867200, 3410868223, 'CN', 'China'),
(136418, '203.77.184.0', '203.77.191.255', 3410868224, 3410870271, 'JP', 'Japan'),
(136419, '203.77.192.0', '203.77.207.255', 3410870272, 3410874367, 'IN', 'India'),
(136420, '203.77.208.0', '203.77.255.255', 3410874368, 3410886655, 'ID', 'Indonesia'),
(136421, '203.78.0.0', '203.78.3.255', 3410886656, 3410887679, 'TW', 'Taiwan'),
(136422, '203.78.4.0', '203.78.4.255', 3410887680, 3410887935, 'IN', 'India'),
(136423, '203.78.5.0', '203.78.7.255', 3410887936, 3410888703, 'HK', 'Hong Kong'),
(136424, '203.78.8.0', '203.78.15.255', 3410888704, 3410890751, 'SG', 'Singapore'),
(136425, '203.78.16.0', '203.78.31.255', 3410890752, 3410894847, 'AU', 'Australia'),
(136426, '203.78.32.0', '203.78.47.255', 3410894848, 3410898943, 'HK', 'Hong Kong'),
(136427, '203.78.48.0', '203.78.63.255', 3410898944, 3410903039, 'CN', 'China'),
(136428, '203.78.64.0', '203.78.95.255', 3410903040, 3410911231, 'HK', 'Hong Kong'),
(136429, '203.78.96.0', '203.78.111.255', 3410911232, 3410915327, 'TH', 'Thailand'),
(136430, '203.78.112.0', '203.78.127.255', 3410915328, 3410919423, 'ID', 'Indonesia'),
(136431, '203.78.128.0', '203.78.159.255', 3410919424, 3410927615, 'IN', 'India'),
(136432, '203.78.160.0', '203.78.175.255', 3410927616, 3410931711, 'NP', 'Nepal'),
(136433, '203.78.176.0', '203.78.191.255', 3410931712, 3410935807, 'TW', 'Taiwan'),
(136434, '203.78.192.0', '203.78.207.255', 3410935808, 3410939903, 'MY', 'Malaysia'),
(136435, '203.78.208.0', '203.78.223.255', 3410939904, 3410943999, 'IN', 'India'),
(136436, '203.78.224.0', '203.78.255.255', 3410944000, 3410952191, 'JP', 'Japan'),
(136437, '203.79.0.0', '203.79.15.255', 3410952192, 3410956287, 'CN', 'China'),
(136438, '203.79.16.0', '203.79.23.255', 3410956288, 3410958335, 'AU', 'Australia'),
(136439, '203.79.24.0', '203.79.25.255', 3410958336, 3410958847, 'IN', 'India'),
(136440, '203.79.26.0', '203.79.27.255', 3410958848, 3410959359, 'ID', 'Indonesia'),
(136441, '203.79.28.0', '203.79.28.255', 3410959360, 3410959615, 'VN', 'Vietnam'),
(136442, '203.79.29.0', '203.79.29.255', 3410959616, 3410959871, 'ID', 'Indonesia'),
(136443, '203.79.30.0', '203.79.31.255', 3410959872, 3410960383, 'AU', 'Australia'),
(136444, '203.79.32.0', '203.79.47.255', 3410960384, 3410964479, 'CN', 'China'),
(136445, '203.79.48.0', '203.79.63.255', 3410964480, 3410968575, 'JP', 'Japan'),
(136446, '203.79.64.0', '203.79.127.255', 3410968576, 3410984959, 'NZ', 'New Zealand'),
(136447, '203.79.128.0', '203.79.255.255', 3410984960, 3411017727, 'TW', 'Taiwan'),
(136448, '203.80.0.0', '203.80.3.255', 3411017728, 3411018751, 'HK', 'Hong Kong'),
(136449, '203.80.4.0', '203.80.5.255', 3411018752, 3411019263, 'CN', 'China'),
(136450, '203.80.6.0', '203.80.7.255', 3411019264, 3411019775, 'JP', 'Japan'),
(136451, '203.80.8.0', '203.80.15.255', 3411019776, 3411021823, 'ID', 'Indonesia'),
(136452, '203.80.16.0', '203.80.23.255', 3411021824, 3411023871, 'MY', 'Malaysia'),
(136453, '203.80.24.0', '203.80.31.255', 3411023872, 3411025919, 'JP', 'Japan'),
(136454, '203.80.32.0', '203.80.47.255', 3411025920, 3411030015, 'CN', 'China'),
(136455, '203.80.48.0', '203.80.55.255', 3411030016, 3411032063, 'NC', 'New Caledonia'),
(136456, '203.80.56.0', '203.80.56.255', 3411032064, 3411032319, 'TH', 'Thailand'),
(136457, '203.80.57.0', '203.80.57.255', 3411032320, 3411032575, 'CN', 'China'),
(136458, '203.80.58.0', '203.80.59.255', 3411032576, 3411033087, 'AU', 'Australia'),
(136459, '203.80.60.0', '203.80.63.255', 3411033088, 3411034111, 'NZ', 'New Zealand'),
(136460, '203.80.64.0', '203.80.127.255', 3411034112, 3411050495, 'HK', 'Hong Kong'),
(136461, '203.80.128.0', '203.80.131.255', 3411050496, 3411051519, 'PK', 'Pakistan'),
(136462, '203.80.132.0', '203.80.159.255', 3411051520, 3411058687, 'CN', 'China'),
(136463, '203.80.160.0', '203.80.175.255', 3411058688, 3411062783, 'AU', 'Australia'),
(136464, '203.80.176.0', '203.80.183.255', 3411062784, 3411064831, 'HK', 'Hong Kong'),
(136465, '203.80.184.0', '203.80.184.255', 3411064832, 3411065087, 'BD', 'Bangladesh'),
(136466, '203.80.185.0', '203.80.255.255', 3411065088, 3411083263, 'HK', 'Hong Kong'),
(136467, '203.81.0.0', '203.81.7.255', 3411083264, 3411085311, 'CN', 'China'),
(136468, '203.81.8.0', '203.81.11.255', 3411085312, 3411086335, 'KR', 'Korea, Republic of'),
(136469, '203.81.12.0', '203.81.15.255', 3411086336, 3411087359, 'JP', 'Japan'),
(136470, '203.81.16.0', '203.81.31.255', 3411087360, 3411091455, 'CN', 'China'),
(136471, '203.81.32.0', '203.81.63.255', 3411091456, 3411099647, 'SG', 'Singapore'),
(136472, '203.81.64.0', '203.81.95.255', 3411099648, 3411107839, 'MM', 'Myanmar'),
(136473, '203.81.96.0', '203.81.111.255', 3411107840, 3411111935, 'LK', 'Sri Lanka'),
(136474, '203.81.112.0', '203.81.127.255', 3411111936, 3411116031, 'JP', 'Japan'),
(136475, '203.81.128.0', '203.81.159.255', 3411116032, 3411124223, 'KR', 'Korea, Republic of'),
(136476, '203.81.160.0', '203.81.175.255', 3411124224, 3411128319, 'MM', 'Myanmar'),
(136477, '203.81.176.0', '203.81.183.255', 3411128320, 3411130367, 'HK', 'Hong Kong'),
(136478, '203.81.184.0', '203.81.191.255', 3411130368, 3411132415, 'ID', 'Indonesia'),
(136479, '203.81.192.0', '203.81.239.255', 3411132416, 3411144703, 'PK', 'Pakistan'),
(136480, '203.81.248.0', '203.81.251.255', 3411146752, 3411147775, 'ID', 'Indonesia'),
(136481, '203.81.252.0', '203.81.255.255', 3411147776, 3411148799, 'HK', 'Hong Kong'),
(136482, '203.82.0.0', '203.82.1.255', 3411148800, 3411149311, 'CN', 'China'),
(136483, '203.82.2.0', '203.82.3.255', 3411149312, 3411149823, 'MV', 'Maldives'),
(136484, '203.82.4.0', '203.82.7.255', 3411149824, 3411150847, 'IN', 'India'),
(136485, '203.82.8.0', '203.82.15.255', 3411150848, 3411152895, 'HK', 'Hong Kong'),
(136486, '203.82.16.0', '203.82.23.255', 3411152896, 3411154943, 'CN', 'China'),
(136487, '203.82.32.0', '203.82.47.255', 3411156992, 3411161087, 'PH', 'Philippines'),
(136488, '203.82.48.0', '203.82.63.255', 3411161088, 3411165183, 'PK', 'Pakistan'),
(136489, '203.82.64.0', '203.82.95.255', 3411165184, 3411173375, 'MY', 'Malaysia'),
(136490, '203.82.96.0', '203.82.111.255', 3411173376, 3411177471, 'AU', 'Australia'),
(136491, '203.82.126.0', '203.82.126.255', 3411181056, 3411181311, 'US', 'United States'),
(136492, '203.82.128.0', '203.82.159.255', 3411181568, 3411189759, 'SG', 'Singapore'),
(136493, '203.82.160.0', '203.82.191.255', 3411189760, 3411197951, 'AU', 'Australia'),
(136494, '203.82.192.0', '203.82.207.255', 3411197952, 3411202047, 'BD', 'Bangladesh'),
(136495, '203.82.208.0', '203.82.217.255', 3411202048, 3411204607, 'AU', 'Australia'),
(136496, '203.82.218.0', '203.82.218.255', 3411204608, 3411204863, 'IN', 'India'),
(136497, '203.82.219.0', '203.82.221.255', 3411204864, 3411205631, 'KR', 'Korea, Republic of'),
(136498, '203.82.222.0', '203.82.223.255', 3411205632, 3411206143, 'HK', 'Hong Kong'),
(136499, '203.82.224.0', '203.82.239.255', 3411206144, 3411210239, 'KH', 'Cambodia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(136500, '203.82.240.0', '203.82.247.255', 3411210240, 3411212287, 'KR', 'Korea, Republic of'),
(136501, '203.82.248.0', '203.82.251.255', 3411212288, 3411213311, 'IN', 'India'),
(136502, '203.82.252.0', '203.82.255.255', 3411213312, 3411214335, 'HK', 'Hong Kong'),
(136503, '203.83.0.0', '203.83.3.255', 3411214336, 3411215359, 'CN', 'China'),
(136504, '203.83.4.0', '203.83.7.255', 3411215360, 3411216383, 'AU', 'Australia'),
(136505, '203.83.16.0', '203.83.23.255', 3411218432, 3411220479, 'PG', 'Papua New Guinea'),
(136506, '203.83.24.0', '203.83.47.255', 3411220480, 3411226623, 'ID', 'Indonesia'),
(136507, '203.83.48.0', '203.83.49.255', 3411226624, 3411227135, 'US', 'United States'),
(136508, '203.83.50.0', '203.83.55.255', 3411227136, 3411228671, 'IO', 'British Indian Ocean Territory'),
(136509, '203.83.56.0', '203.83.63.255', 3411228672, 3411230719, 'CN', 'China'),
(136510, '203.83.64.0', '203.83.127.255', 3411230720, 3411247103, 'HK', 'Hong Kong'),
(136511, '203.83.128.0', '203.83.159.255', 3411247104, 3411255295, 'KR', 'Korea, Republic of'),
(136512, '203.83.160.0', '203.83.191.255', 3411255296, 3411263487, 'BD', 'Bangladesh'),
(136513, '203.83.192.0', '203.83.215.255', 3411263488, 3411269631, 'AU', 'Australia'),
(136514, '203.83.216.0', '203.83.217.255', 3411269632, 3411270143, 'HK', 'Hong Kong'),
(136515, '203.83.218.0', '203.83.218.255', 3411270144, 3411270399, 'NZ', 'New Zealand'),
(136516, '203.83.219.0', '203.83.219.255', 3411270400, 3411270655, 'AU', 'Australia'),
(136517, '203.83.220.0', '203.83.223.255', 3411270656, 3411271679, 'SG', 'Singapore'),
(136518, '203.83.224.0', '203.83.239.255', 3411271680, 3411275775, 'CN', 'China'),
(136519, '203.83.240.0', '203.83.247.255', 3411275776, 3411277823, 'JP', 'Japan'),
(136520, '203.83.248.0', '203.83.249.255', 3411277824, 3411278335, 'IN', 'India'),
(136521, '203.83.250.0', '203.83.250.255', 3411278336, 3411278591, 'SG', 'Singapore'),
(136522, '203.83.251.0', '203.83.251.255', 3411278592, 3411278847, 'FJ', 'Fiji'),
(136523, '203.83.252.0', '203.84.63.255', 3411278848, 3411296255, 'HK', 'Hong Kong'),
(136524, '203.84.64.0', '203.84.127.255', 3411296256, 3411312639, 'AU', 'Australia'),
(136525, '203.84.128.0', '203.84.129.255', 3411312640, 3411313151, 'HK', 'Hong Kong'),
(136526, '203.84.130.0', '203.84.131.255', 3411313152, 3411313663, 'TW', 'Taiwan'),
(136527, '203.84.132.0', '203.84.132.255', 3411313664, 3411313919, 'AU', 'Australia'),
(136528, '203.84.133.0', '203.84.133.255', 3411313920, 3411314175, 'HK', 'Hong Kong'),
(136529, '203.84.134.0', '203.84.135.255', 3411314176, 3411314687, 'NZ', 'New Zealand'),
(136530, '203.84.136.0', '203.84.143.255', 3411314688, 3411316735, 'ID', 'Indonesia'),
(136531, '203.84.144.0', '203.84.151.255', 3411316736, 3411318783, 'TW', 'Taiwan'),
(136532, '203.84.152.0', '203.84.159.255', 3411318784, 3411320831, 'ID', 'Indonesia'),
(136533, '203.84.160.0', '203.84.191.255', 3411320832, 3411329023, 'PH', 'Philippines'),
(136534, '203.84.192.0', '203.84.215.255', 3411329024, 3411335167, 'HK', 'Hong Kong'),
(136535, '203.84.216.0', '203.84.217.255', 3411335168, 3411335679, 'AU', 'Australia'),
(136536, '203.84.218.0', '203.84.223.255', 3411335680, 3411337215, 'HK', 'Hong Kong'),
(136537, '203.84.224.0', '203.84.239.255', 3411337216, 3411341311, 'AU', 'Australia'),
(136538, '203.84.240.0', '203.84.255.255', 3411341312, 3411345407, 'KR', 'Korea, Republic of'),
(136539, '203.85.0.0', '203.85.255.255', 3411345408, 3411410943, 'HK', 'Hong Kong'),
(136540, '203.86.0.0', '203.86.127.255', 3411410944, 3411443711, 'CN', 'China'),
(136541, '203.86.128.0', '203.86.191.255', 3411443712, 3411460095, 'HK', 'Hong Kong'),
(136542, '203.86.192.0', '203.86.207.255', 3411460096, 3411464191, 'NZ', 'New Zealand'),
(136543, '203.86.208.0', '203.86.223.255', 3411464192, 3411468287, 'AU', 'Australia'),
(136544, '203.86.224.0', '203.86.231.255', 3411468288, 3411470335, 'JP', 'Japan'),
(136545, '203.86.232.0', '203.86.239.255', 3411470336, 3411472383, 'HK', 'Hong Kong'),
(136546, '203.86.240.0', '203.86.249.255', 3411472384, 3411474943, 'JP', 'Japan'),
(136547, '203.86.251.0', '203.86.251.255', 3411475200, 3411475455, 'AU', 'Australia'),
(136548, '203.86.252.0', '203.86.253.255', 3411475456, 3411475967, 'HK', 'Hong Kong'),
(136549, '203.86.254.0', '203.86.255.255', 3411475968, 3411476479, 'CN', 'China'),
(136550, '203.87.0.0', '203.87.127.255', 3411476480, 3411509247, 'AU', 'Australia'),
(136551, '203.87.128.0', '203.87.255.255', 3411509248, 3411542015, 'PH', 'Philippines'),
(136552, '203.88.0.0', '203.88.31.255', 3411542016, 3411550207, 'IN', 'India'),
(136553, '203.88.32.0', '203.88.63.255', 3411550208, 3411558399, 'CN', 'China'),
(136554, '203.88.64.0', '203.88.76.255', 3411558400, 3411561727, 'HK', 'Hong Kong'),
(136555, '203.88.77.0', '203.88.77.255', 3411561728, 3411561983, 'AU', 'Australia'),
(136556, '203.88.78.0', '203.88.90.201', 3411561984, 3411565257, 'HK', 'Hong Kong'),
(136557, '203.88.90.202', '203.88.90.202', 3411565258, 3411565258, 'US', 'United States'),
(136558, '203.88.90.203', '203.88.95.255', 3411565259, 3411566591, 'HK', 'Hong Kong'),
(136559, '203.88.96.0', '203.88.111.255', 3411566592, 3411570687, 'BD', 'Bangladesh'),
(136560, '203.88.112.0', '203.88.127.255', 3411570688, 3411574783, 'AU', 'Australia'),
(136561, '203.88.128.0', '203.88.159.255', 3411574784, 3411582975, 'IN', 'India'),
(136562, '203.88.160.0', '203.88.175.255', 3411582976, 3411587071, 'HK', 'Hong Kong'),
(136563, '203.88.176.0', '203.88.191.255', 3411587072, 3411591167, 'JP', 'Japan'),
(136564, '203.88.192.0', '203.88.223.255', 3411591168, 3411599359, 'CN', 'China'),
(136565, '203.88.224.0', '203.88.255.255', 3411599360, 3411607551, 'AU', 'Australia'),
(136566, '203.89.0.0', '203.89.3.255', 3411607552, 3411608575, 'CN', 'China'),
(136567, '203.89.4.0', '203.89.4.255', 3411608576, 3411608831, 'IN', 'India'),
(136568, '203.89.5.0', '203.89.5.255', 3411608832, 3411609087, 'AU', 'Australia'),
(136569, '203.89.6.0', '203.89.7.255', 3411609088, 3411609599, 'HK', 'Hong Kong'),
(136570, '203.89.8.0', '203.89.15.255', 3411609600, 3411611647, 'CN', 'China'),
(136571, '203.89.16.0', '203.89.31.255', 3411611648, 3411615743, 'ID', 'Indonesia'),
(136572, '203.89.32.0', '203.89.63.255', 3411615744, 3411623935, 'JP', 'Japan'),
(136573, '203.89.64.0', '203.89.127.255', 3411623936, 3411640319, 'AU', 'Australia'),
(136574, '203.89.128.0', '203.89.131.255', 3411640320, 3411641343, 'JP', 'Japan'),
(136575, '203.89.132.0', '203.89.132.255', 3411641344, 3411641599, 'IN', 'India'),
(136576, '203.89.133.0', '203.89.133.255', 3411641600, 3411641855, 'HK', 'Hong Kong'),
(136577, '203.89.134.0', '203.89.135.255', 3411641856, 3411642367, 'IN', 'India'),
(136578, '203.89.136.0', '203.89.139.255', 3411642368, 3411643391, 'CN', 'China'),
(136579, '203.89.140.0', '203.89.143.255', 3411643392, 3411644415, 'VN', 'Vietnam'),
(136580, '203.89.144.0', '203.89.145.255', 3411644416, 3411644927, 'AU', 'Australia'),
(136581, '203.89.146.0', '203.89.149.255', 3411644928, 3411645951, 'ID', 'Indonesia'),
(136582, '203.89.150.0', '203.89.150.255', 3411645952, 3411646207, 'SG', 'Singapore'),
(136583, '203.89.151.0', '203.89.155.255', 3411646208, 3411647487, 'IN', 'India'),
(136584, '203.89.156.0', '203.89.159.255', 3411647488, 3411648511, 'AU', 'Australia'),
(136585, '203.89.160.0', '203.89.191.255', 3411648512, 3411656703, 'NZ', 'New Zealand'),
(136586, '203.89.192.0', '203.89.255.255', 3411656704, 3411673087, 'AU', 'Australia'),
(136587, '203.90.0.0', '203.90.3.255', 3411673088, 3411674111, 'CN', 'China'),
(136588, '203.90.4.0', '203.90.5.255', 3411674112, 3411674623, 'IN', 'India'),
(136589, '203.90.6.0', '203.90.7.255', 3411674624, 3411675135, 'HK', 'Hong Kong'),
(136590, '203.90.8.0', '203.90.11.255', 3411675136, 3411676159, 'CN', 'China'),
(136591, '203.90.16.0', '203.90.23.255', 3411677184, 3411679231, 'JP', 'Japan'),
(136592, '203.90.24.0', '203.90.31.255', 3411679232, 3411681279, 'AU', 'Australia'),
(136593, '203.90.32.0', '203.90.63.255', 3411681280, 3411689471, 'KR', 'Korea, Republic of'),
(136594, '203.90.64.0', '203.90.127.255', 3411689472, 3411705855, 'IN', 'India'),
(136595, '203.90.128.0', '203.90.223.255', 3411705856, 3411730431, 'CN', 'China'),
(136596, '203.90.224.0', '203.90.255.255', 3411730432, 3411738623, 'HK', 'Hong Kong'),
(136597, '203.91.0.0', '203.91.31.255', 3411738624, 3411746815, 'TW', 'Taiwan'),
(136598, '203.91.32.0', '203.91.63.255', 3411746816, 3411755007, 'CN', 'China'),
(136599, '203.91.64.0', '203.91.95.255', 3411755008, 3411763199, 'AU', 'Australia'),
(136600, '203.91.96.0', '203.91.111.255', 3411763200, 3411767295, 'CN', 'China'),
(136601, '203.91.112.0', '203.91.119.255', 3411767296, 3411769343, 'MN', 'Mongolia'),
(136602, '203.91.120.0', '203.91.127.255', 3411769344, 3411771391, 'CN', 'China'),
(136603, '203.91.128.0', '203.91.134.255', 3411771392, 3411773183, 'HK', 'Hong Kong'),
(136604, '203.91.135.0', '203.91.135.255', 3411773184, 3411773439, 'US', 'United States'),
(136605, '203.91.136.0', '203.91.137.255', 3411773440, 3411773951, 'HK', 'Hong Kong'),
(136606, '203.91.138.0', '203.91.138.255', 3411773952, 3411774207, 'BD', 'Bangladesh'),
(136607, '203.91.139.0', '203.91.143.255', 3411774208, 3411775487, 'HK', 'Hong Kong'),
(136608, '203.91.144.0', '203.91.144.255', 3411775488, 3411775743, 'US', 'United States'),
(136609, '203.91.145.0', '203.91.145.67', 3411775744, 3411775811, 'HK', 'Hong Kong'),
(136610, '203.91.145.68', '203.91.145.69', 3411775812, 3411775813, 'US', 'United States'),
(136611, '203.91.145.70', '203.91.149.255', 3411775814, 3411777023, 'HK', 'Hong Kong'),
(136612, '203.91.150.0', '203.91.150.255', 3411777024, 3411777279, 'ID', 'Indonesia'),
(136613, '203.91.151.0', '203.91.158.255', 3411777280, 3411779327, 'HK', 'Hong Kong'),
(136614, '203.91.159.0', '203.91.159.255', 3411779328, 3411779583, 'ID', 'Indonesia'),
(136615, '203.91.160.0', '203.91.191.255', 3411779584, 3411787775, 'JP', 'Japan'),
(136616, '203.91.192.0', '203.91.223.255', 3411787776, 3411795967, 'IN', 'India'),
(136617, '203.91.224.0', '203.91.255.255', 3411795968, 3411804159, 'AU', 'Australia'),
(136618, '203.92.0.0', '203.92.3.255', 3411804160, 3411805183, 'CN', 'China'),
(136619, '203.92.4.0', '203.92.5.255', 3411805184, 3411805695, 'PK', 'Pakistan'),
(136620, '203.92.6.0', '203.92.6.255', 3411805696, 3411805951, 'JP', 'Japan'),
(136621, '203.92.7.0', '203.92.7.255', 3411805952, 3411806207, 'AU', 'Australia'),
(136622, '203.92.8.0', '203.92.15.255', 3411806208, 3411808255, 'PH', 'Philippines'),
(136623, '203.92.16.0', '203.92.23.255', 3411808256, 3411810303, 'JP', 'Japan'),
(136624, '203.92.24.0', '203.92.24.255', 3411810304, 3411810559, 'MN', 'Mongolia'),
(136625, '203.92.25.0', '203.92.25.255', 3411810560, 3411810815, 'NZ', 'New Zealand'),
(136626, '203.92.26.0', '203.92.31.255', 3411810816, 3411812351, 'AU', 'Australia'),
(136627, '203.92.32.0', '203.92.63.255', 3411812352, 3411820543, 'IN', 'India'),
(136628, '203.92.64.0', '203.92.127.255', 3411820544, 3411836927, 'SG', 'Singapore'),
(136629, '203.92.128.0', '203.92.159.255', 3411836928, 3411845119, 'MY', 'Malaysia'),
(136630, '203.92.160.0', '203.92.191.255', 3411845120, 3411853311, 'CN', 'China'),
(136631, '203.92.192.0', '203.92.207.255', 3411853312, 3411857407, 'IN', 'India'),
(136632, '203.92.208.0', '203.92.215.49', 3411857408, 3411859249, 'JP', 'Japan'),
(136633, '203.92.215.50', '203.92.215.51', 3411859250, 3411859251, 'AU', 'Australia'),
(136634, '203.92.215.52', '203.92.223.255', 3411859252, 3411861503, 'JP', 'Japan'),
(136635, '203.92.224.0', '203.92.255.255', 3411861504, 3411869695, 'AU', 'Australia'),
(136636, '203.93.0.0', '203.94.31.255', 3411869696, 3411943423, 'CN', 'China'),
(136637, '203.94.32.0', '203.94.63.255', 3411943424, 3411951615, 'AU', 'Australia'),
(136638, '203.94.64.0', '203.94.127.255', 3411951616, 3411967999, 'LK', 'Sri Lanka'),
(136639, '203.94.128.0', '203.94.191.255', 3411968000, 3411984383, 'AU', 'Australia'),
(136640, '203.94.192.0', '203.94.255.255', 3411984384, 3412000767, 'IN', 'India'),
(136641, '203.95.0.0', '203.95.7.255', 3412000768, 3412002815, 'CN', 'China'),
(136642, '203.95.8.0', '203.95.15.255', 3412002816, 3412004863, 'GU', 'Guam'),
(136643, '203.95.16.0', '203.95.63.255', 3412004864, 3412017151, 'JP', 'Japan'),
(136644, '203.95.64.0', '203.95.95.255', 3412017152, 3412025343, 'SG', 'Singapore'),
(136645, '203.95.96.0', '203.95.255.255', 3412025344, 3412066303, 'CN', 'China'),
(136646, '203.96.0.0', '203.98.63.255', 3412066304, 3412213759, 'NZ', 'New Zealand'),
(136647, '203.98.64.0', '203.98.95.255', 3412213760, 3412221951, 'AU', 'Australia'),
(136648, '203.98.96.0', '203.98.127.255', 3412221952, 3412230143, 'IN', 'India'),
(136649, '203.98.128.0', '203.98.191.255', 3412230144, 3412246527, 'HK', 'Hong Kong'),
(136650, '203.98.192.0', '203.98.223.255', 3412246528, 3412254719, 'AU', 'Australia'),
(136651, '203.98.224.0', '203.98.255.255', 3412254720, 3412262911, 'NR', 'Nauru'),
(136652, '203.99.0.0', '203.99.7.255', 3412262912, 3412264959, 'JP', 'Japan'),
(136653, '203.99.8.0', '203.99.31.255', 3412264960, 3412271103, 'CN', 'China'),
(136654, '203.99.32.0', '203.99.39.255', 3412271104, 3412273151, 'NZ', 'New Zealand'),
(136655, '203.99.40.0', '203.99.47.255', 3412273152, 3412275199, 'IN', 'India'),
(136656, '203.99.48.0', '203.99.63.255', 3412275200, 3412279295, 'PK', 'Pakistan'),
(136657, '203.99.64.0', '203.99.71.255', 3412279296, 3412281343, 'NZ', 'New Zealand'),
(136658, '203.99.72.0', '203.99.79.255', 3412281344, 3412283391, 'JP', 'Japan'),
(136659, '203.99.80.0', '203.99.95.255', 3412283392, 3412287487, 'CN', 'China'),
(136660, '203.99.96.0', '203.99.127.255', 3412287488, 3412295679, 'ID', 'Indonesia'),
(136661, '203.99.128.0', '203.99.129.255', 3412295680, 3412296191, 'NZ', 'New Zealand'),
(136662, '203.99.130.0', '203.99.131.255', 3412296192, 3412296703, 'ID', 'Indonesia'),
(136663, '203.99.132.0', '203.99.135.255', 3412296704, 3412297727, 'NZ', 'New Zealand'),
(136664, '203.99.136.0', '203.99.137.255', 3412297728, 3412298239, 'SC', 'Seychelles'),
(136665, '203.99.138.0', '203.99.139.255', 3412298240, 3412298751, 'MY', 'Malaysia'),
(136666, '203.99.142.0', '203.99.142.255', 3412299264, 3412299519, 'AU', 'Australia'),
(136667, '203.99.143.0', '203.99.143.255', 3412299520, 3412299775, 'HK', 'Hong Kong'),
(136668, '203.99.144.0', '203.99.155.255', 3412299776, 3412302847, 'AU', 'Australia'),
(136669, '203.99.156.0', '203.99.159.255', 3412302848, 3412303871, 'WS', 'Samoa'),
(136670, '203.99.160.0', '203.99.191.255', 3412303872, 3412312063, 'PK', 'Pakistan'),
(136671, '203.99.192.0', '203.99.223.255', 3412312064, 3412320255, 'IN', 'India'),
(136672, '203.99.224.0', '203.99.231.255', 3412320256, 3412322303, 'JP', 'Japan'),
(136673, '203.99.232.0', '203.99.239.255', 3412322304, 3412324351, 'PH', 'Philippines'),
(136674, '203.99.240.0', '203.99.247.255', 3412324352, 3412326399, 'JP', 'Japan'),
(136675, '203.99.248.0', '203.99.251.255', 3412326400, 3412327423, 'VN', 'Vietnam'),
(136676, '203.99.252.0', '203.99.253.255', 3412327424, 3412327935, 'TH', 'Thailand'),
(136677, '203.99.254.0', '203.99.254.255', 3412327936, 3412328191, 'HK', 'Hong Kong'),
(136678, '203.99.255.0', '203.99.255.255', 3412328192, 3412328447, 'WS', 'Samoa'),
(136679, '203.100.0.0', '203.100.31.255', 3412328448, 3412336639, 'AU', 'Australia'),
(136680, '203.100.32.0', '203.100.55.255', 3412336640, 3412342783, 'CN', 'China'),
(136681, '203.100.56.0', '203.100.56.255', 3412342784, 3412343039, 'AU', 'Australia'),
(136682, '203.100.57.0', '203.100.57.255', 3412343040, 3412343295, 'IN', 'India'),
(136683, '203.100.58.0', '203.100.59.255', 3412343296, 3412343807, 'AU', 'Australia'),
(136684, '203.100.61.0', '203.100.61.255', 3412344064, 3412344319, 'AU', 'Australia'),
(136685, '203.100.62.0', '203.100.62.255', 3412344320, 3412344575, 'SG', 'Singapore'),
(136686, '203.100.63.0', '203.100.63.255', 3412344576, 3412344831, 'CN', 'China'),
(136687, '203.100.64.0', '203.100.79.255', 3412344832, 3412348927, 'IN', 'India'),
(136688, '203.100.80.0', '203.100.127.255', 3412348928, 3412361215, 'CN', 'China'),
(136689, '203.100.128.0', '203.100.159.255', 3412361216, 3412369407, 'HK', 'Hong Kong'),
(136690, '203.100.160.0', '203.100.191.255', 3412369408, 3412377599, 'KR', 'Korea, Republic of'),
(136691, '203.100.192.0', '203.100.207.255', 3412377600, 3412381695, 'CN', 'China'),
(136692, '203.100.208.0', '203.100.223.255', 3412381696, 3412385791, 'NZ', 'New Zealand'),
(136693, '203.100.224.0', '203.100.255.255', 3412385792, 3412393983, 'AU', 'Australia'),
(136694, '203.101.0.0', '203.101.127.255', 3412393984, 3412426751, 'IN', 'India'),
(136695, '203.101.128.0', '203.101.159.255', 3412426752, 3412434943, 'HK', 'Hong Kong'),
(136696, '203.101.160.0', '203.101.191.255', 3412434944, 3412443135, 'PK', 'Pakistan'),
(136697, '203.101.192.0', '203.101.223.255', 3412443136, 3412451327, 'SG', 'Singapore'),
(136698, '203.101.224.0', '203.103.3.255', 3412451328, 3412526079, 'AU', 'Australia'),
(136699, '203.103.4.0', '203.103.4.255', 3412526080, 3412526335, 'ID', 'Indonesia'),
(136700, '203.103.5.0', '203.104.15.255', 3412526336, 3412594687, 'AU', 'Australia'),
(136701, '203.104.16.0', '203.104.23.255', 3412594688, 3412596735, 'IN', 'India'),
(136702, '203.104.24.0', '203.104.31.255', 3412596736, 3412598783, 'MV', 'Maldives'),
(136703, '203.104.32.0', '203.104.47.255', 3412598784, 3412602879, 'CN', 'China'),
(136704, '203.104.48.0', '203.104.63.255', 3412602880, 3412606975, 'NC', 'New Caledonia'),
(136705, '203.104.64.0', '203.104.95.255', 3412606976, 3412615167, 'PH', 'Philippines'),
(136706, '203.104.96.0', '203.104.255.255', 3412615168, 3412656127, 'JP', 'Japan'),
(136707, '203.105.0.0', '203.105.63.255', 3412656128, 3412672511, 'HK', 'Hong Kong'),
(136708, '203.105.64.0', '203.105.73.255', 3412672512, 3412675071, 'JP', 'Japan'),
(136709, '203.105.74.0', '203.105.74.255', 3412675072, 3412675327, 'US', 'United States'),
(136710, '203.105.75.0', '203.105.89.255', 3412675328, 3412679167, 'JP', 'Japan'),
(136711, '203.105.90.0', '203.105.95.255', 3412679168, 3412680703, 'US', 'United States'),
(136712, '203.105.96.0', '203.105.159.255', 3412680704, 3412697087, 'CN', 'China'),
(136713, '203.105.160.0', '203.105.191.255', 3412697088, 3412705279, 'IN', 'India'),
(136714, '203.105.192.0', '203.105.223.255', 3412705280, 3412713471, 'AU', 'Australia'),
(136715, '203.105.224.0', '203.105.255.255', 3412713472, 3412721663, 'TW', 'Taiwan'),
(136716, '203.106.0.0', '203.106.255.255', 3412721664, 3412787199, 'MY', 'Malaysia'),
(136717, '203.107.0.0', '203.107.127.255', 3412787200, 3412819967, 'CN', 'China'),
(136718, '203.107.128.0', '203.107.255.255', 3412819968, 3412852735, 'TH', 'Thailand'),
(136719, '203.108.0.0', '203.108.255.255', 3412852736, 3412918271, 'AU', 'Australia'),
(136720, '203.109.0.0', '203.109.31.255', 3412918272, 3412926463, 'KR', 'Korea, Republic of'),
(136721, '203.109.32.0', '203.109.63.255', 3412926464, 3412934655, 'MY', 'Malaysia'),
(136722, '203.109.64.0', '203.109.127.255', 3412934656, 3412951039, 'IN', 'India'),
(136723, '203.109.128.0', '203.110.63.255', 3412951040, 3413000191, 'NZ', 'New Zealand'),
(136724, '203.110.64.0', '203.110.79.255', 3413000192, 3413004287, 'LA', 'Lao People''s Democratic Republic'),
(136725, '203.110.80.0', '203.110.95.255', 3413004288, 3413008383, 'IN', 'India'),
(136726, '203.110.96.0', '203.110.127.255', 3413008384, 3413016575, 'JP', 'Japan'),
(136727, '203.110.128.0', '203.110.159.255', 3413016576, 3413024767, 'AU', 'Australia'),
(136728, '203.110.160.0', '203.110.191.255', 3413024768, 3413032959, 'CN', 'China'),
(136729, '203.110.192.0', '203.110.207.255', 3413032960, 3413037055, 'AU', 'Australia'),
(136730, '203.110.208.0', '203.110.223.255', 3413037056, 3413041151, 'CN', 'China'),
(136731, '203.110.224.0', '203.110.231.255', 3413041152, 3413043199, 'JP', 'Japan'),
(136732, '203.110.232.0', '203.110.234.255', 3413043200, 3413043967, 'CN', 'China'),
(136733, '203.110.235.0', '203.110.235.255', 3413043968, 3413044223, 'AU', 'Australia'),
(136734, '203.110.236.0', '203.110.239.255', 3413044224, 3413045247, 'HK', 'Hong Kong'),
(136735, '203.110.240.0', '203.110.247.255', 3413045248, 3413047295, 'IN', 'India'),
(136736, '203.110.248.0', '203.111.191.255', 3413047296, 3413098495, 'AU', 'Australia'),
(136737, '203.111.192.0', '203.111.207.255', 3413098496, 3413102591, 'JP', 'Japan'),
(136738, '203.111.208.0', '203.111.223.255', 3413102592, 3413106687, 'TW', 'Taiwan'),
(136739, '203.111.224.0', '203.111.239.255', 3413106688, 3413110783, 'PH', 'Philippines'),
(136740, '203.111.240.0', '203.111.247.255', 3413110784, 3413112831, 'JP', 'Japan'),
(136741, '203.111.248.0', '203.111.251.255', 3413112832, 3413113855, 'IN', 'India'),
(136742, '203.111.252.0', '203.112.71.255', 3413113856, 3413133311, 'JP', 'Japan'),
(136743, '203.112.72.0', '203.112.79.255', 3413133312, 3413135359, 'BD', 'Bangladesh'),
(136744, '203.112.80.0', '203.112.80.255', 3413135360, 3413135615, 'AP', 'Asia/Pacific Region'),
(136745, '203.112.81.0', '203.112.81.255', 3413135616, 3413135871, 'HK', 'Hong Kong'),
(136746, '203.112.82.0', '203.112.82.255', 3413135872, 3413136127, 'AP', 'Asia/Pacific Region'),
(136747, '203.112.83.0', '203.112.83.255', 3413136128, 3413136383, 'HK', 'Hong Kong'),
(136748, '203.112.84.0', '203.112.84.255', 3413136384, 3413136639, 'AP', 'Asia/Pacific Region'),
(136749, '203.112.85.0', '203.112.95.255', 3413136640, 3413139455, 'HK', 'Hong Kong'),
(136750, '203.112.96.0', '203.112.127.255', 3413139456, 3413147647, 'AU', 'Australia'),
(136751, '203.112.128.0', '203.112.159.255', 3413147648, 3413155839, 'IN', 'India'),
(136752, '203.112.160.0', '203.112.191.255', 3413155840, 3413164031, 'SG', 'Singapore'),
(136753, '203.112.192.0', '203.112.223.255', 3413164032, 3413172223, 'BD', 'Bangladesh'),
(136754, '203.112.224.0', '203.112.255.255', 3413172224, 3413180415, 'HK', 'Hong Kong'),
(136755, '203.113.0.0', '203.113.127.255', 3413180416, 3413213183, 'TH', 'Thailand'),
(136756, '203.113.128.0', '203.113.191.255', 3413213184, 3413229567, 'VN', 'Vietnam'),
(136757, '203.113.192.0', '203.113.255.255', 3413229568, 3413245951, 'AU', 'Australia'),
(136758, '203.114.0.0', '203.114.63.255', 3413245952, 3413262335, 'SG', 'Singapore'),
(136759, '203.114.64.0', '203.114.95.255', 3413262336, 3413270527, 'PH', 'Philippines'),
(136760, '203.114.96.0', '203.114.127.255', 3413270528, 3413278719, 'TH', 'Thailand'),
(136761, '203.114.128.0', '203.114.191.255', 3413278720, 3413295103, 'NZ', 'New Zealand'),
(136762, '203.114.192.0', '203.114.223.255', 3413295104, 3413303295, 'JP', 'Japan'),
(136763, '203.114.224.0', '203.114.227.255', 3413303296, 3413304319, 'ID', 'Indonesia'),
(136764, '203.114.228.0', '203.114.231.255', 3413304320, 3413305343, 'JP', 'Japan'),
(136765, '203.114.232.0', '203.114.235.255', 3413305344, 3413306367, 'IN', 'India'),
(136766, '203.114.236.0', '203.114.239.255', 3413306368, 3413307391, 'PH', 'Philippines'),
(136767, '203.114.240.0', '203.114.243.255', 3413307392, 3413308415, 'IN', 'India'),
(136768, '203.114.244.0', '203.114.247.255', 3413308416, 3413309439, 'CN', 'China'),
(136769, '203.114.248.0', '203.114.251.255', 3413309440, 3413310463, 'JP', 'Japan'),
(136770, '203.114.252.0', '203.114.255.255', 3413310464, 3413311487, 'HK', 'Hong Kong'),
(136771, '203.115.0.0', '203.115.63.255', 3413311488, 3413327871, 'LK', 'Sri Lanka'),
(136772, '203.115.64.0', '203.115.127.255', 3413327872, 3413344255, 'IN', 'India'),
(136773, '203.115.128.0', '203.115.191.255', 3413344256, 3413360639, 'PH', 'Philippines'),
(136774, '203.115.192.0', '203.115.255.255', 3413360640, 3413377023, 'MY', 'Malaysia'),
(136775, '203.116.0.0', '203.116.40.255', 3413377024, 3413387519, 'SG', 'Singapore'),
(136776, '203.116.41.0', '203.116.41.255', 3413387520, 3413387775, 'AP', 'Asia/Pacific Region'),
(136777, '203.116.42.0', '203.116.237.255', 3413387776, 3413437951, 'SG', 'Singapore'),
(136778, '203.116.238.0', '203.116.238.255', 3413437952, 3413438207, 'AP', 'Asia/Pacific Region'),
(136779, '203.116.239.0', '203.118.63.255', 3413438208, 3413524479, 'SG', 'Singapore'),
(136780, '203.118.64.0', '203.118.127.255', 3413524480, 3413540863, 'TH', 'Thailand'),
(136781, '203.118.128.0', '203.118.191.255', 3413540864, 3413557247, 'NZ', 'New Zealand'),
(136782, '203.118.192.0', '203.118.223.255', 3413557248, 3413565439, 'CN', 'China'),
(136783, '203.118.224.0', '203.118.239.255', 3413565440, 3413569535, 'TW', 'Taiwan'),
(136784, '203.118.240.0', '203.118.240.255', 3413569536, 3413569791, 'SG', 'Singapore'),
(136785, '203.118.241.0', '203.118.241.255', 3413569792, 3413570047, 'CN', 'China'),
(136786, '203.118.242.0', '203.118.242.255', 3413570048, 3413570303, 'KH', 'Cambodia'),
(136787, '203.118.243.0', '203.118.243.255', 3413570304, 3413570559, 'AU', 'Australia'),
(136788, '203.118.244.0', '203.118.247.255', 3413570560, 3413571583, 'PH', 'Philippines'),
(136789, '203.118.248.0', '203.118.251.255', 3413571584, 3413572607, 'CN', 'China'),
(136790, '203.118.252.0', '203.118.255.255', 3413572608, 3413573631, 'JP', 'Japan'),
(136791, '203.119.0.0', '203.119.0.255', 3413573632, 3413573887, 'AU', 'Australia'),
(136792, '203.119.1.0', '203.119.1.255', 3413573888, 3413574143, 'JP', 'Japan'),
(136793, '203.119.2.0', '203.119.2.255', 3413574144, 3413574399, 'HK', 'Hong Kong'),
(136794, '203.119.3.0', '203.119.3.255', 3413574400, 3413574655, 'TW', 'Taiwan'),
(136795, '203.119.4.0', '203.119.7.255', 3413574656, 3413575679, 'PH', 'Philippines'),
(136796, '203.119.8.0', '203.119.11.255', 3413575680, 3413576703, 'VN', 'Vietnam'),
(136797, '203.119.12.0', '203.119.12.255', 3413576704, 3413576959, 'AU', 'Australia'),
(136798, '203.119.13.0', '203.119.13.255', 3413576960, 3413577215, 'ID', 'Indonesia'),
(136799, '203.119.14.0', '203.119.15.255', 3413577216, 3413577727, 'AU', 'Australia'),
(136800, '203.119.16.0', '203.119.19.255', 3413577728, 3413578751, 'JP', 'Japan'),
(136801, '203.119.20.0', '203.119.20.255', 3413578752, 3413579007, 'PK', 'Pakistan'),
(136802, '203.119.21.0', '203.119.21.255', 3413579008, 3413579263, 'AU', 'Australia'),
(136803, '203.119.22.0', '203.119.23.255', 3413579264, 3413579775, 'JP', 'Japan'),
(136804, '203.119.24.0', '203.119.35.255', 3413579776, 3413582847, 'CN', 'China'),
(136805, '203.119.36.0', '203.119.39.255', 3413582848, 3413583871, 'VN', 'Vietnam'),
(136806, '203.119.40.0', '203.119.40.255', 3413583872, 3413584127, 'JP', 'Japan'),
(136807, '203.119.41.0', '203.119.41.255', 3413584128, 3413584383, 'ID', 'Indonesia'),
(136808, '203.119.42.0', '203.119.43.255', 3413584384, 3413584895, 'AU', 'Australia'),
(136809, '203.119.44.0', '203.119.47.255', 3413584896, 3413585919, 'VN', 'Vietnam'),
(136810, '203.119.48.0', '203.119.48.255', 3413585920, 3413586175, 'ID', 'Indonesia'),
(136811, '203.119.49.0', '203.119.50.255', 3413586176, 3413586687, 'IN', 'India'),
(136812, '203.119.51.0', '203.119.51.255', 3413586688, 3413586943, 'FJ', 'Fiji'),
(136813, '203.119.52.0', '203.119.55.255', 3413586944, 3413587967, 'ID', 'Indonesia'),
(136814, '203.119.56.0', '203.119.56.255', 3413587968, 3413588223, 'NZ', 'New Zealand'),
(136815, '203.119.57.0', '203.119.57.255', 3413588224, 3413588479, 'MY', 'Malaysia'),
(136816, '203.119.58.0', '203.119.75.255', 3413588480, 3413593087, 'VN', 'Vietnam'),
(136817, '203.119.76.0', '203.119.77.255', 3413593088, 3413593599, 'AU', 'Australia'),
(136818, '203.119.78.0', '203.119.78.255', 3413593600, 3413593855, 'SG', 'Singapore'),
(136819, '203.119.79.0', '203.119.79.255', 3413593856, 3413594111, 'KH', 'Cambodia'),
(136820, '203.119.80.0', '203.119.83.255', 3413594112, 3413595135, 'CN', 'China'),
(136821, '203.119.84.0', '203.119.84.255', 3413595136, 3413595391, 'NZ', 'New Zealand'),
(136822, '203.119.85.0', '203.119.85.255', 3413595392, 3413595647, 'CN', 'China'),
(136823, '203.119.86.0', '203.119.86.255', 3413595648, 3413595903, 'AU', 'Australia'),
(136824, '203.119.87.0', '203.119.87.255', 3413595904, 3413596159, 'HK', 'Hong Kong'),
(136825, '203.119.88.0', '203.119.91.255', 3413596160, 3413597183, 'NP', 'Nepal'),
(136826, '203.119.92.0', '203.119.93.255', 3413597184, 3413597695, 'AU', 'Australia'),
(136827, '203.119.94.0', '203.119.94.255', 3413597696, 3413597951, 'TW', 'Taiwan'),
(136828, '203.119.95.0', '203.119.111.255', 3413597952, 3413602303, 'AU', 'Australia'),
(136829, '203.119.112.0', '203.119.112.255', 3413602304, 3413602559, 'ID', 'Indonesia'),
(136830, '203.119.113.0', '203.119.255.255', 3413602560, 3413639167, 'CN', 'China'),
(136831, '203.120.0.0', '203.120.255.255', 3413639168, 3413704703, 'SG', 'Singapore'),
(136832, '203.121.0.0', '203.121.127.255', 3413704704, 3413737471, 'MY', 'Malaysia'),
(136833, '203.121.128.0', '203.121.191.255', 3413737472, 3413753855, 'TH', 'Thailand'),
(136834, '203.121.192.0', '203.121.223.255', 3413753856, 3413762047, 'AU', 'Australia'),
(136835, '203.121.224.0', '203.121.255.255', 3413762048, 3413770239, 'TW', 'Taiwan'),
(136836, '203.122.0.0', '203.122.63.255', 3413770240, 3413786623, 'IN', 'India'),
(136837, '203.122.64.0', '203.122.255.255', 3413786624, 3413835775, 'AU', 'Australia'),
(136838, '203.123.0.0', '203.123.31.255', 3413835776, 3413843967, 'SG', 'Singapore'),
(136839, '203.123.32.0', '203.123.47.255', 3413843968, 3413848063, 'IN', 'India'),
(136840, '203.123.48.0', '203.123.55.255', 3413848064, 3413850111, 'SG', 'Singapore'),
(136841, '203.123.56.0', '203.123.58.255', 3413850112, 3413850879, 'JP', 'Japan'),
(136842, '203.123.59.0', '203.123.59.255', 3413850880, 3413851135, 'AU', 'Australia'),
(136843, '203.123.60.0', '203.123.63.255', 3413851136, 3413852159, 'ID', 'Indonesia'),
(136844, '203.123.64.0', '203.123.127.255', 3413852160, 3413868543, 'AU', 'Australia'),
(136845, '203.123.128.0', '203.123.191.255', 3413868544, 3413884927, 'IN', 'India'),
(136846, '203.123.192.0', '203.123.223.255', 3413884928, 3413893119, 'KR', 'Korea, Republic of'),
(136847, '203.123.224.0', '203.123.255.255', 3413893120, 3413901311, 'ID', 'Indonesia'),
(136848, '203.124.0.0', '203.124.5.255', 3413901312, 3413902847, 'SG', 'Singapore'),
(136849, '203.124.6.0', '203.124.7.255', 3413902848, 3413903359, 'JP', 'Japan'),
(136850, '203.124.8.0', '203.124.15.255', 3413903360, 3413905407, 'HK', 'Hong Kong'),
(136851, '203.124.16.0', '203.124.23.255', 3413905408, 3413907455, 'IN', 'India'),
(136852, '203.124.24.0', '203.124.63.255', 3413907456, 3413917695, 'PK', 'Pakistan'),
(136853, '203.124.64.0', '203.124.95.255', 3413917696, 3413925887, 'JP', 'Japan'),
(136854, '203.124.96.0', '203.124.127.255', 3413925888, 3413934079, 'SG', 'Singapore'),
(136855, '203.124.128.0', '203.124.175.255', 3413934080, 3413946367, 'IN', 'India'),
(136856, '203.124.176.0', '203.124.191.255', 3413946368, 3413950463, 'AU', 'Australia'),
(136857, '203.124.192.0', '203.124.255.255', 3413950464, 3413966847, 'IN', 'India'),
(136858, '203.125.0.0', '203.126.29.255', 3413966848, 3414040063, 'SG', 'Singapore'),
(136859, '203.126.30.0', '203.126.30.255', 3414040064, 3414040319, 'AP', 'Asia/Pacific Region'),
(136860, '203.126.31.0', '203.126.135.255', 3414040320, 3414067199, 'SG', 'Singapore'),
(136861, '203.126.136.0', '203.126.136.255', 3414067200, 3414067455, 'AP', 'Asia/Pacific Region'),
(136862, '203.126.137.0', '203.127.255.255', 3414067456, 3414163455, 'SG', 'Singapore'),
(136863, '203.128.0.0', '203.128.31.255', 3414163456, 3414171647, 'PK', 'Pakistan'),
(136864, '203.128.32.0', '203.128.63.255', 3414171648, 3414179839, 'CN', 'China'),
(136865, '203.128.64.0', '203.128.95.255', 3414179840, 3414188031, 'ID', 'Indonesia'),
(136866, '203.128.96.0', '203.128.127.255', 3414188032, 3414196223, 'CN', 'China'),
(136867, '203.128.128.0', '203.128.159.255', 3414196224, 3414204415, 'AU', 'Australia'),
(136868, '203.128.160.0', '203.128.223.255', 3414204416, 3414220799, 'KR', 'Korea, Republic of'),
(136869, '203.128.224.0', '203.128.231.255', 3414220800, 3414222847, 'CN', 'China'),
(136870, '203.128.232.0', '203.128.235.255', 3414222848, 3414223871, 'AU', 'Australia'),
(136871, '203.128.236.0', '203.128.239.255', 3414223872, 3414224895, 'KR', 'Korea, Republic of'),
(136872, '203.128.240.0', '203.128.247.255', 3414224896, 3414226943, 'VN', 'Vietnam'),
(136873, '203.128.248.0', '203.128.251.255', 3414226944, 3414227967, 'ID', 'Indonesia'),
(136874, '203.128.252.0', '203.129.3.255', 3414227968, 3414230015, 'PK', 'Pakistan'),
(136875, '203.129.4.0', '203.129.5.255', 3414230016, 3414230527, 'PH', 'Philippines'),
(136876, '203.129.6.0', '203.129.7.255', 3414230528, 3414231039, 'KR', 'Korea, Republic of'),
(136877, '203.129.8.0', '203.129.15.255', 3414231040, 3414233087, 'CN', 'China'),
(136878, '203.129.16.0', '203.129.63.255', 3414233088, 3414245375, 'AU', 'Australia'),
(136879, '203.129.64.0', '203.129.95.255', 3414245376, 3414253567, 'HK', 'Hong Kong'),
(136880, '203.129.96.0', '203.129.127.255', 3414253568, 3414261759, 'JP', 'Japan'),
(136881, '203.129.128.0', '203.129.159.255', 3414261760, 3414269951, 'AU', 'Australia'),
(136882, '203.129.160.0', '203.129.191.255', 3414269952, 3414278143, 'JP', 'Japan'),
(136883, '203.129.192.0', '203.129.255.255', 3414278144, 3414294527, 'IN', 'India'),
(136884, '203.130.0.0', '203.130.31.255', 3414294528, 3414302719, 'PK', 'Pakistan'),
(136885, '203.130.32.0', '203.130.63.255', 3414302720, 3414310911, 'CN', 'China'),
(136886, '203.130.64.0', '203.130.127.255', 3414310912, 3414327295, 'KR', 'Korea, Republic of'),
(136887, '203.130.128.0', '203.130.159.255', 3414327296, 3414335487, 'TH', 'Thailand'),
(136888, '203.130.160.0', '203.130.175.255', 3414335488, 3414339583, 'AU', 'Australia'),
(136889, '203.130.176.0', '203.130.191.255', 3414339584, 3414343679, 'KR', 'Korea, Republic of'),
(136890, '203.130.192.0', '203.130.255.255', 3414343680, 3414360063, 'ID', 'Indonesia'),
(136891, '203.131.0.0', '203.131.63.255', 3414360064, 3414376447, 'AU', 'Australia'),
(136892, '203.131.64.0', '203.131.191.255', 3414376448, 3414409215, 'PH', 'Philippines'),
(136893, '203.131.192.0', '203.131.207.255', 3414409216, 3414413311, 'JP', 'Japan'),
(136894, '203.131.208.0', '203.131.223.255', 3414413312, 3414417407, 'TH', 'Thailand'),
(136895, '203.131.224.0', '203.131.255.255', 3414417408, 3414425599, 'HK', 'Hong Kong'),
(136896, '203.132.0.0', '203.132.31.255', 3414425600, 3414433791, 'AU', 'Australia'),
(136897, '203.132.32.0', '203.132.63.255', 3414433792, 3414441983, 'CN', 'China'),
(136898, '203.132.64.0', '203.132.95.255', 3414441984, 3414450175, 'AU', 'Australia'),
(136899, '203.132.96.0', '203.132.127.255', 3414450176, 3414458367, 'JP', 'Japan'),
(136900, '203.132.128.0', '203.132.159.255', 3414458368, 3414466559, 'IN', 'India'),
(136901, '203.132.160.0', '203.132.191.255', 3414466560, 3414474751, 'KR', 'Korea, Republic of'),
(136902, '203.132.192.0', '203.132.207.255', 3414474752, 3414478847, 'HK', 'Hong Kong'),
(136903, '203.132.208.0', '203.132.223.255', 3414478848, 3414482943, 'IN', 'India'),
(136904, '203.132.224.0', '203.132.255.255', 3414482944, 3414491135, 'AU', 'Australia'),
(136905, '203.133.0.0', '203.133.127.255', 3414491136, 3414523903, 'TW', 'Taiwan'),
(136906, '203.133.128.0', '203.133.159.255', 3414523904, 3414532095, 'JP', 'Japan'),
(136907, '203.133.160.0', '203.133.191.255', 3414532096, 3414540287, 'KR', 'Korea, Republic of'),
(136908, '203.133.192.0', '203.133.251.255', 3414540288, 3414555647, 'JP', 'Japan'),
(136909, '203.133.252.0', '203.133.255.255', 3414555648, 3414556671, 'PK', 'Pakistan'),
(136910, '203.134.0.0', '203.134.191.255', 3414556672, 3414605823, 'AU', 'Australia'),
(136911, '203.134.192.0', '203.134.231.255', 3414605824, 3414616063, 'IN', 'India'),
(136912, '203.134.232.0', '203.134.239.255', 3414616064, 3414618111, 'ID', 'Indonesia'),
(136913, '203.134.240.0', '203.134.247.255', 3414618112, 3414620159, 'CN', 'China'),
(136914, '203.134.250.0', '203.134.251.255', 3414620672, 3414621183, 'IN', 'India'),
(136915, '203.134.252.0', '203.135.63.255', 3414621184, 3414638591, 'PK', 'Pakistan'),
(136916, '203.135.64.0', '203.135.95.255', 3414638592, 3414646783, 'TW', 'Taiwan'),
(136917, '203.135.96.0', '203.135.127.255', 3414646784, 3414654975, 'CN', 'China'),
(136918, '203.135.128.0', '203.135.159.255', 3414654976, 3414663167, 'HK', 'Hong Kong'),
(136919, '203.135.160.0', '203.135.175.255', 3414663168, 3414667263, 'CN', 'China'),
(136920, '203.135.176.0', '203.135.183.255', 3414667264, 3414669311, 'ID', 'Indonesia'),
(136921, '203.135.184.0', '203.135.187.255', 3414669312, 3414670335, 'AU', 'Australia'),
(136922, '203.135.188.0', '203.135.188.255', 3414670336, 3414670591, 'IN', 'India'),
(136923, '203.135.189.0', '203.135.189.255', 3414670592, 3414670847, 'SG', 'Singapore'),
(136924, '203.135.190.0', '203.135.191.255', 3414670848, 3414671359, 'MY', 'Malaysia'),
(136925, '203.135.192.0', '203.141.255.255', 3414671360, 3415080959, 'JP', 'Japan'),
(136926, '203.142.0.0', '203.142.7.255', 3415080960, 3415083007, 'SG', 'Singapore'),
(136927, '203.142.8.0', '203.142.9.255', 3415083008, 3415083519, 'AU', 'Australia'),
(136928, '203.142.10.0', '203.142.11.255', 3415083520, 3415084031, 'SG', 'Singapore'),
(136929, '203.142.12.0', '203.142.12.127', 3415084032, 3415084159, 'CN', 'China'),
(136930, '203.142.12.128', '203.142.31.255', 3415084160, 3415089151, 'SG', 'Singapore'),
(136931, '203.142.32.0', '203.142.63.255', 3415089152, 3415097343, 'MY', 'Malaysia'),
(136932, '203.142.64.0', '203.142.87.255', 3415097344, 3415103487, 'ID', 'Indonesia'),
(136933, '203.142.88.0', '203.142.127.255', 3415103488, 3415113727, 'HK', 'Hong Kong'),
(136934, '203.142.128.0', '203.142.159.255', 3415113728, 3415121919, 'AU', 'Australia'),
(136935, '203.142.160.0', '203.142.191.255', 3415121920, 3415130111, 'KR', 'Korea, Republic of'),
(136936, '203.142.192.0', '203.142.215.255', 3415130112, 3415136255, 'JP', 'Japan'),
(136937, '203.142.216.0', '203.142.217.255', 3415136256, 3415136767, 'KR', 'Korea, Republic of'),
(136938, '203.142.218.0', '203.142.218.255', 3415136768, 3415137023, 'AU', 'Australia'),
(136939, '203.142.220.0', '203.142.220.255', 3415137280, 3415137535, 'IN', 'India'),
(136940, '203.142.221.0', '203.142.221.255', 3415137536, 3415137791, 'NF', 'Norfolk Island'),
(136941, '203.142.222.0', '203.142.223.255', 3415137792, 3415138303, 'AU', 'Australia'),
(136942, '203.142.224.0', '203.142.255.255', 3415138304, 3415146495, 'CN', 'China'),
(136943, '203.143.0.0', '203.143.63.255', 3415146496, 3415162879, 'LK', 'Sri Lanka'),
(136944, '203.143.64.0', '203.143.95.255', 3415162880, 3415171071, 'AU', 'Australia'),
(136945, '203.143.96.0', '203.143.127.255', 3415171072, 3415179263, 'JP', 'Japan'),
(136946, '203.143.128.0', '203.143.159.255', 3415179264, 3415187455, 'SG', 'Singapore'),
(136947, '203.143.160.0', '203.143.175.255', 3415187456, 3415191551, 'AU', 'Australia'),
(136948, '203.143.176.0', '203.143.191.255', 3415191552, 3415195647, 'IN', 'India'),
(136949, '203.143.192.0', '203.144.31.255', 3415195648, 3415220223, 'AU', 'Australia'),
(136950, '203.144.32.0', '203.144.47.255', 3415220224, 3415224319, 'NZ', 'New Zealand'),
(136951, '203.144.48.0', '203.144.63.255', 3415224320, 3415228415, 'US', 'United States'),
(136952, '203.144.64.0', '203.144.95.255', 3415228416, 3415236607, 'KH', 'Cambodia'),
(136953, '203.144.96.0', '203.144.127.255', 3415236608, 3415244799, 'CN', 'China'),
(136954, '203.144.128.0', '203.144.255.255', 3415244800, 3415277567, 'TH', 'Thailand'),
(136955, '203.145.0.0', '203.145.31.255', 3415277568, 3415285759, 'CN', 'China'),
(136956, '203.145.32.0', '203.145.63.255', 3415285760, 3415293951, 'AU', 'Australia'),
(136957, '203.145.64.0', '203.145.95.255', 3415293952, 3415302143, 'HK', 'Hong Kong'),
(136958, '203.145.96.0', '203.145.111.255', 3415302144, 3415306239, 'JP', 'Japan'),
(136959, '203.145.112.0', '203.145.119.255', 3415306240, 3415308287, 'TH', 'Thailand'),
(136960, '203.145.120.0', '203.145.127.255', 3415308288, 3415310335, 'JP', 'Japan'),
(136961, '203.145.128.0', '203.145.191.255', 3415310336, 3415326719, 'IN', 'India'),
(136962, '203.145.192.0', '203.145.223.255', 3415326720, 3415334911, 'TW', 'Taiwan'),
(136963, '203.145.224.0', '203.145.255.255', 3415334912, 3415343103, 'JP', 'Japan'),
(136964, '203.146.0.0', '203.147.63.255', 3415343104, 3415425023, 'TH', 'Thailand'),
(136965, '203.147.64.0', '203.147.87.255', 3415425024, 3415431167, 'NC', 'New Caledonia'),
(136966, '203.147.88.0', '203.147.91.255', 3415431168, 3415432191, 'IN', 'India'),
(136967, '203.147.92.0', '203.147.103.255', 3415432192, 3415435263, 'AU', 'Australia'),
(136968, '203.147.104.0', '203.147.107.255', 3415435264, 3415436287, 'PH', 'Philippines'),
(136969, '203.147.108.0', '203.147.109.255', 3415436288, 3415436799, 'AU', 'Australia'),
(136970, '203.147.110.0', '203.147.111.255', 3415436800, 3415437311, 'HK', 'Hong Kong'),
(136971, '203.147.112.0', '203.147.127.255', 3415437312, 3415441407, 'JP', 'Japan'),
(136972, '203.147.128.0', '203.147.255.255', 3415441408, 3415474175, 'AU', 'Australia'),
(136973, '203.148.0.0', '203.148.83.255', 3415474176, 3415495679, 'CN', 'China'),
(136974, '203.148.84.0', '203.148.85.255', 3415495680, 3415496191, 'ID', 'Indonesia'),
(136975, '203.148.86.0', '203.148.87.255', 3415496192, 3415496703, 'CN', 'China'),
(136976, '203.148.88.0', '203.148.91.255', 3415496704, 3415497727, 'MY', 'Malaysia'),
(136977, '203.148.92.0', '203.148.92.255', 3415497728, 3415497983, 'TW', 'Taiwan'),
(136978, '203.148.93.0', '203.148.95.255', 3415497984, 3415498751, 'AU', 'Australia'),
(136979, '203.148.96.0', '203.148.127.255', 3415498752, 3415506943, 'JP', 'Japan'),
(136980, '203.148.128.0', '203.149.63.255', 3415506944, 3415556095, 'TH', 'Thailand'),
(136981, '203.149.64.0', '203.149.91.255', 3415556096, 3415563263, 'AU', 'Australia'),
(136982, '203.149.92.0', '203.149.95.255', 3415563264, 3415564287, 'CN', 'China'),
(136983, '203.149.96.0', '203.149.111.255', 3415564288, 3415568383, 'JP', 'Japan'),
(136984, '203.149.112.0', '203.149.127.255', 3415568384, 3415572479, 'KR', 'Korea, Republic of'),
(136985, '203.149.128.0', '203.149.255.255', 3415572480, 3415605247, 'SG', 'Singapore'),
(136986, '203.150.0.0', '203.151.255.255', 3415605248, 3415736319, 'TH', 'Thailand'),
(136987, '203.152.0.0', '203.152.63.255', 3415736320, 3415752703, 'SG', 'Singapore'),
(136988, '203.152.64.0', '203.152.95.255', 3415752704, 3415760895, 'CN', 'China'),
(136989, '203.152.96.0', '203.152.127.255', 3415760896, 3415769087, 'NZ', 'New Zealand'),
(136990, '203.152.128.0', '203.152.159.255', 3415769088, 3415777279, 'CN', 'China'),
(136991, '203.152.160.0', '203.152.191.255', 3415777280, 3415785471, 'KR', 'Korea, Republic of'),
(136992, '203.152.192.0', '203.152.223.255', 3415785472, 3415793663, 'JP', 'Japan'),
(136993, '203.152.224.0', '203.152.255.255', 3415793664, 3415801855, 'AU', 'Australia'),
(136994, '203.153.0.0', '203.153.3.255', 3415801856, 3415802879, 'CN', 'China'),
(136995, '203.153.4.0', '203.153.5.255', 3415802880, 3415803391, 'HK', 'Hong Kong'),
(136996, '203.153.6.0', '203.153.15.255', 3415803392, 3415805951, 'PH', 'Philippines'),
(136997, '203.153.16.0', '203.153.23.255', 3415805952, 3415807999, 'MY', 'Malaysia'),
(136998, '203.153.24.0', '203.153.31.255', 3415808000, 3415810047, 'ID', 'Indonesia'),
(136999, '203.153.32.0', '203.153.48.255', 3415810048, 3415814399, 'IN', 'India'),
(137000, '203.153.49.0', '203.153.49.255', 3415814400, 3415814655, 'ID', 'Indonesia'),
(137001, '203.153.50.0', '203.153.51.255', 3415814656, 3415815167, 'TH', 'Thailand'),
(137002, '203.153.52.0', '203.153.55.255', 3415815168, 3415816191, 'IN', 'India'),
(137003, '203.153.56.0', '203.153.59.255', 3415816192, 3415817215, 'JP', 'Japan'),
(137004, '203.153.60.0', '203.153.61.255', 3415817216, 3415817727, 'ID', 'Indonesia'),
(137005, '203.153.64.0', '203.153.79.255', 3415818240, 3415822335, 'JP', 'Japan'),
(137006, '203.153.80.0', '203.153.95.255', 3415822336, 3415826431, 'MY', 'Malaysia'),
(137007, '203.153.96.0', '203.153.127.255', 3415826432, 3415834623, 'ID', 'Indonesia'),
(137008, '203.153.128.0', '203.153.143.255', 3415834624, 3415838719, 'TH', 'Thailand'),
(137009, '203.153.144.0', '203.153.159.255', 3415838720, 3415842815, 'KR', 'Korea, Republic of'),
(137010, '203.153.160.0', '203.153.191.255', 3415842816, 3415851007, 'TH', 'Thailand'),
(137011, '203.153.192.0', '203.153.207.255', 3415851008, 3415855103, 'AU', 'Australia'),
(137012, '203.153.208.0', '203.153.209.255', 3415855104, 3415855615, 'HK', 'Hong Kong'),
(137013, '203.153.210.0', '203.153.211.255', 3415855616, 3415856127, 'IN', 'India'),
(137014, '203.153.212.0', '203.153.219.255', 3415856128, 3415858175, 'ID', 'Indonesia'),
(137015, '203.153.220.0', '203.153.223.255', 3415858176, 3415859199, 'LK', 'Sri Lanka'),
(137016, '203.153.224.0', '203.153.255.255', 3415859200, 3415867391, 'AU', 'Australia'),
(137017, '203.154.0.0', '203.156.191.255', 3415867392, 3416047615, 'TH', 'Thailand'),
(137018, '203.156.192.0', '203.156.255.255', 3416047616, 3416063999, 'CN', 'China'),
(137019, '203.157.0.0', '203.158.7.255', 3416064000, 3416131583, 'TH', 'Thailand'),
(137020, '203.158.8.0', '203.158.15.255', 3416131584, 3416133631, 'PH', 'Philippines'),
(137021, '203.158.16.0', '203.158.23.255', 3416133632, 3416135679, 'CN', 'China'),
(137022, '203.158.24.0', '203.158.31.255', 3416135680, 3416137727, 'MY', 'Malaysia'),
(137023, '203.158.32.0', '203.158.63.255', 3416137728, 3416145919, 'AU', 'Australia'),
(137024, '203.158.64.0', '203.158.95.255', 3416145920, 3416154111, 'IN', 'India'),
(137025, '203.158.96.0', '203.159.255.255', 3416154112, 3416260607, 'TH', 'Thailand'),
(137026, '203.160.0.0', '203.160.1.255', 3416260608, 3416261119, 'VN', 'Vietnam'),
(137027, '203.160.2.0', '203.160.3.255', 3416261120, 3416261631, 'AU', 'Australia'),
(137028, '203.160.4.0', '203.160.7.255', 3416261632, 3416262655, 'TH', 'Thailand'),
(137029, '203.160.8.0', '203.160.15.255', 3416262656, 3416264703, 'AU', 'Australia'),
(137030, '203.160.16.0', '203.160.31.255', 3416264704, 3416268799, 'JP', 'Japan'),
(137031, '203.160.32.0', '203.160.47.255', 3416268800, 3416272895, 'HK', 'Hong Kong'),
(137032, '203.160.48.0', '203.160.55.255', 3416272896, 3416274943, 'MN', 'Mongolia'),
(137033, '203.160.56.0', '203.160.63.255', 3416274944, 3416276991, 'ID', 'Indonesia'),
(137034, '203.160.64.0', '203.160.95.255', 3416276992, 3416285183, 'HK', 'Hong Kong'),
(137035, '203.160.96.0', '203.160.103.255', 3416285184, 3416287231, 'VN', 'Vietnam'),
(137036, '203.160.104.0', '203.160.111.255', 3416287232, 3416289279, 'CN', 'China'),
(137037, '203.160.112.0', '203.160.127.255', 3416289280, 3416293375, 'NZ', 'New Zealand'),
(137038, '203.160.128.0', '203.160.128.255', 3416293376, 3416293631, 'ID', 'Indonesia'),
(137039, '203.160.129.0', '203.160.129.255', 3416293632, 3416293887, 'CN', 'China'),
(137040, '203.160.130.0', '203.160.131.255', 3416293888, 3416294399, 'PH', 'Philippines'),
(137041, '203.160.136.0', '203.160.136.255', 3416295424, 3416295679, 'IN', 'India'),
(137042, '203.160.137.0', '203.160.137.255', 3416295680, 3416295935, 'TH', 'Thailand'),
(137043, '203.160.138.0', '203.160.139.255', 3416295936, 3416296447, 'IN', 'India'),
(137044, '203.160.140.0', '203.160.143.255', 3416296448, 3416297471, 'KR', 'Korea, Republic of'),
(137045, '203.160.144.0', '203.160.159.255', 3416297472, 3416301567, 'TW', 'Taiwan'),
(137046, '203.160.160.0', '203.160.191.255', 3416301568, 3416309759, 'PH', 'Philippines'),
(137047, '203.160.192.0', '203.160.223.255', 3416309760, 3416317951, 'CN', 'China'),
(137048, '203.160.224.0', '203.160.255.255', 3416317952, 3416326143, 'TW', 'Taiwan'),
(137049, '203.161.0.0', '203.161.3.255', 3416326144, 3416327167, 'CN', 'China'),
(137050, '203.161.4.0', '203.161.7.255', 3416327168, 3416328191, 'HK', 'Hong Kong'),
(137051, '203.161.8.0', '203.161.15.255', 3416328192, 3416330239, 'AU', 'Australia'),
(137052, '203.161.16.0', '203.161.31.255', 3416330240, 3416334335, 'ID', 'Indonesia'),
(137053, '203.161.32.0', '203.161.63.255', 3416334336, 3416342527, 'MY', 'Malaysia'),
(137054, '203.161.64.0', '203.161.175.255', 3416342528, 3416371199, 'AU', 'Australia'),
(137055, '203.161.176.0', '203.161.177.255', 3416371200, 3416371711, 'PH', 'Philippines'),
(137056, '203.161.178.0', '203.161.178.255', 3416371712, 3416371967, 'VN', 'Vietnam'),
(137057, '203.161.179.0', '203.161.179.255', 3416371968, 3416372223, 'IN', 'India'),
(137058, '203.161.180.0', '203.161.180.255', 3416372224, 3416372479, 'CN', 'China'),
(137059, '203.161.181.0', '203.161.181.255', 3416372480, 3416372735, 'AP', 'Asia/Pacific Region'),
(137060, '203.161.182.0', '203.161.182.255', 3416372736, 3416372991, 'AU', 'Australia'),
(137061, '203.161.184.0', '203.161.184.255', 3416373248, 3416373503, 'AU', 'Australia'),
(137062, '203.161.185.0', '203.161.185.255', 3416373504, 3416373759, 'SG', 'Singapore'),
(137063, '203.161.186.0', '203.161.187.255', 3416373760, 3416374271, 'AU', 'Australia'),
(137064, '203.161.188.0', '203.161.188.255', 3416374272, 3416374527, 'PH', 'Philippines'),
(137065, '203.161.189.0', '203.161.189.255', 3416374528, 3416374783, 'IN', 'India'),
(137066, '203.161.190.0', '203.161.191.255', 3416374784, 3416375295, 'ID', 'Indonesia'),
(137067, '203.161.192.0', '203.161.223.255', 3416375296, 3416383487, 'CN', 'China'),
(137068, '203.161.224.0', '203.161.255.255', 3416383488, 3416391679, 'HK', 'Hong Kong'),
(137069, '203.162.0.0', '203.162.255.255', 3416391680, 3416457215, 'VN', 'Vietnam'),
(137070, '203.163.0.0', '203.163.125.255', 3416457216, 3416489471, 'JP', 'Japan'),
(137071, '203.163.126.0', '203.163.126.255', 3416489472, 3416489727, 'AU', 'Australia'),
(137072, '203.163.127.0', '203.163.127.255', 3416489728, 3416489983, 'JP', 'Japan'),
(137073, '203.163.128.0', '203.163.191.255', 3416489984, 3416506367, 'VN', 'Vietnam'),
(137074, '203.163.192.0', '203.163.223.255', 3416506368, 3416514559, 'TW', 'Taiwan'),
(137075, '203.163.224.0', '203.163.255.255', 3416514560, 3416522751, 'IN', 'India'),
(137076, '203.164.0.0', '203.164.255.255', 3416522752, 3416588287, 'AU', 'Australia'),
(137077, '203.165.0.0', '203.165.255.255', 3416588288, 3416653823, 'JP', 'Japan'),
(137078, '203.166.0.0', '203.166.127.255', 3416653824, 3416686591, 'AU', 'Australia'),
(137079, '203.166.128.0', '203.166.159.255', 3416686592, 3416694783, 'SG', 'Singapore'),
(137080, '203.166.160.0', '203.166.191.255', 3416694784, 3416702975, 'CN', 'China'),
(137081, '203.166.192.0', '203.166.207.255', 3416702976, 3416707071, 'ID', 'Indonesia'),
(137082, '203.166.208.0', '203.166.215.255', 3416707072, 3416709119, 'KR', 'Korea, Republic of'),
(137083, '203.166.216.0', '203.166.216.255', 3416709120, 3416709375, 'AU', 'Australia'),
(137084, '203.166.217.0', '203.166.217.255', 3416709376, 3416709631, 'ID', 'Indonesia'),
(137085, '203.166.218.0', '203.166.219.255', 3416709632, 3416710143, 'AU', 'Australia'),
(137086, '203.166.220.0', '203.166.223.255', 3416710144, 3416711167, 'HK', 'Hong Kong'),
(137087, '203.166.224.0', '203.166.255.255', 3416711168, 3416719359, 'AU', 'Australia'),
(137088, '203.167.0.0', '203.167.31.255', 3416719360, 3416727551, 'PH', 'Philippines');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(137089, '203.167.32.0', '203.167.63.255', 3416727552, 3416735743, 'JP', 'Japan'),
(137090, '203.167.64.0', '203.167.127.255', 3416735744, 3416752127, 'PH', 'Philippines'),
(137091, '203.167.128.0', '203.167.255.255', 3416752128, 3416784895, 'NZ', 'New Zealand'),
(137092, '203.168.0.0', '203.168.31.255', 3416784896, 3416793087, 'CN', 'China'),
(137093, '203.168.32.0', '203.168.63.255', 3416793088, 3416801279, 'AU', 'Australia'),
(137094, '203.168.64.0', '203.168.127.255', 3416801280, 3416817663, 'JP', 'Japan'),
(137095, '203.168.128.0', '203.168.255.255', 3416817664, 3416850431, 'HK', 'Hong Kong'),
(137096, '203.169.0.0', '203.169.3.255', 3416850432, 3416851455, 'PH', 'Philippines'),
(137097, '203.169.4.0', '203.169.5.255', 3416851456, 3416851967, 'KR', 'Korea, Republic of'),
(137098, '203.169.6.0', '203.169.7.255', 3416851968, 3416852479, 'SG', 'Singapore'),
(137099, '203.169.8.0', '203.169.15.255', 3416852480, 3416854527, 'JP', 'Japan'),
(137100, '203.169.16.0', '203.169.23.255', 3416854528, 3416856575, 'AU', 'Australia'),
(137101, '203.169.24.0', '203.169.31.255', 3416856576, 3416858623, 'BD', 'Bangladesh'),
(137102, '203.169.32.0', '203.169.47.255', 3416858624, 3416862719, 'HK', 'Hong Kong'),
(137103, '203.169.48.0', '203.169.55.255', 3416862720, 3416864767, 'MN', 'Mongolia'),
(137104, '203.169.56.0', '203.169.63.255', 3416864768, 3416866815, 'HK', 'Hong Kong'),
(137105, '203.169.64.0', '203.169.127.255', 3416866816, 3416883199, 'SG', 'Singapore'),
(137106, '203.169.128.0', '203.169.255.255', 3416883200, 3416915967, 'HK', 'Hong Kong'),
(137107, '203.170.0.0', '203.170.15.255', 3416915968, 3416920063, 'AU', 'Australia'),
(137108, '203.170.16.0', '203.170.19.255', 3416920064, 3416921087, 'TH', 'Thailand'),
(137109, '203.170.20.0', '203.170.23.255', 3416921088, 3416922111, 'PH', 'Philippines'),
(137110, '203.170.24.0', '203.170.24.255', 3416922112, 3416922367, 'AU', 'Australia'),
(137111, '203.170.25.0', '203.170.25.255', 3416922368, 3416922623, 'IN', 'India'),
(137112, '203.170.26.0', '203.170.27.255', 3416922624, 3416923135, 'VN', 'Vietnam'),
(137113, '203.170.28.0', '203.170.31.255', 3416923136, 3416924159, 'HK', 'Hong Kong'),
(137114, '203.170.32.0', '203.170.47.255', 3416924160, 3416928255, 'JP', 'Japan'),
(137115, '203.170.48.0', '203.170.48.255', 3416928256, 3416928511, 'IN', 'India'),
(137116, '203.170.49.0', '203.170.49.255', 3416928512, 3416928767, 'HK', 'Hong Kong'),
(137117, '203.170.50.0', '203.170.51.255', 3416928768, 3416929279, 'TH', 'Thailand'),
(137118, '203.170.52.0', '203.170.55.255', 3416929280, 3416930303, 'JP', 'Japan'),
(137119, '203.170.56.0', '203.170.56.255', 3416930304, 3416930559, 'NZ', 'New Zealand'),
(137120, '203.170.57.0', '203.170.57.255', 3416930560, 3416930815, 'AU', 'Australia'),
(137121, '203.170.58.0', '203.170.59.255', 3416930816, 3416931327, 'CN', 'China'),
(137122, '203.170.60.0', '203.170.63.255', 3416931328, 3416932351, 'IN', 'India'),
(137123, '203.170.64.0', '203.170.79.255', 3416932352, 3416936447, 'PK', 'Pakistan'),
(137124, '203.170.80.0', '203.170.87.255', 3416936448, 3416938495, 'AU', 'Australia'),
(137125, '203.170.90.0', '203.170.91.255', 3416939008, 3416939519, 'HK', 'Hong Kong'),
(137126, '203.170.92.0', '203.170.95.255', 3416939520, 3416940543, 'AU', 'Australia'),
(137127, '203.170.96.0', '203.170.127.255', 3416940544, 3416948735, 'KR', 'Korea, Republic of'),
(137128, '203.170.128.0', '203.170.255.255', 3416948736, 3416981503, 'TH', 'Thailand'),
(137129, '203.171.0.0', '203.171.3.255', 3416981504, 3416982527, 'CN', 'China'),
(137130, '203.171.4.0', '203.171.4.255', 3416982528, 3416982783, 'NZ', 'New Zealand'),
(137131, '203.171.5.0', '203.171.5.255', 3416982784, 3416983039, 'AU', 'Australia'),
(137132, '203.171.6.0', '203.171.7.255', 3416983040, 3416983551, 'PH', 'Philippines'),
(137133, '203.171.8.0', '203.171.15.255', 3416983552, 3416985599, 'JP', 'Japan'),
(137134, '203.171.16.0', '203.171.31.255', 3416985600, 3416989695, 'VN', 'Vietnam'),
(137135, '203.171.32.0', '203.171.63.255', 3416989696, 3416997887, 'NZ', 'New Zealand'),
(137136, '203.171.64.0', '203.171.127.255', 3416997888, 3417014271, 'AU', 'Australia'),
(137137, '203.171.128.0', '203.171.159.255', 3417014272, 3417022463, 'JP', 'Japan'),
(137138, '203.171.160.0', '203.171.191.255', 3417022464, 3417030655, 'KR', 'Korea, Republic of'),
(137139, '203.171.192.0', '203.171.207.255', 3417030656, 3417034751, 'AU', 'Australia'),
(137140, '203.171.208.0', '203.171.208.255', 3417034752, 3417035007, 'NZ', 'New Zealand'),
(137141, '203.171.209.0', '203.171.211.255', 3417035008, 3417035775, 'IN', 'India'),
(137142, '203.171.212.0', '203.171.215.255', 3417035776, 3417036799, 'JP', 'Japan'),
(137143, '203.171.216.0', '203.171.219.255', 3417036800, 3417037823, 'ID', 'Indonesia'),
(137144, '203.171.220.0', '203.171.220.255', 3417037824, 3417038079, 'AU', 'Australia'),
(137145, '203.171.221.0', '203.171.221.255', 3417038080, 3417038335, 'ID', 'Indonesia'),
(137146, '203.171.222.0', '203.171.222.255', 3417038336, 3417038591, 'IN', 'India'),
(137147, '203.171.223.0', '203.171.223.255', 3417038592, 3417038847, 'NZ', 'New Zealand'),
(137148, '203.171.224.0', '203.171.239.255', 3417038848, 3417042943, 'CN', 'China'),
(137149, '203.171.240.0', '203.171.247.255', 3417042944, 3417044991, 'IN', 'India'),
(137150, '203.171.248.0', '203.171.255.255', 3417044992, 3417047039, 'AU', 'Australia'),
(137151, '203.172.0.0', '203.172.31.255', 3417047040, 3417055231, 'PH', 'Philippines'),
(137152, '203.172.32.0', '203.172.255.255', 3417055232, 3417112575, 'TH', 'Thailand'),
(137153, '203.173.0.0', '203.173.63.255', 3417112576, 3417128959, 'AU', 'Australia'),
(137154, '203.173.64.0', '203.173.87.255', 3417128960, 3417135103, 'JP', 'Japan'),
(137155, '203.173.88.0', '203.173.95.255', 3417135104, 3417137151, 'ID', 'Indonesia'),
(137156, '203.173.96.0', '203.173.127.255', 3417137152, 3417145343, 'KR', 'Korea, Republic of'),
(137157, '203.173.128.0', '203.173.255.255', 3417145344, 3417178111, 'NZ', 'New Zealand'),
(137158, '203.174.0.0', '203.174.3.255', 3417178112, 3417179135, 'PH', 'Philippines'),
(137159, '203.174.4.0', '203.174.4.255', 3417179136, 3417179391, 'CN', 'China'),
(137160, '203.174.5.0', '203.174.5.255', 3417179392, 3417179647, 'ID', 'Indonesia'),
(137161, '203.174.6.0', '203.174.6.255', 3417179648, 3417179903, 'IN', 'India'),
(137162, '203.174.7.0', '203.174.7.255', 3417179904, 3417180159, 'CN', 'China'),
(137163, '203.174.8.0', '203.174.15.255', 3417180160, 3417182207, 'ID', 'Indonesia'),
(137164, '203.174.16.0', '203.174.25.255', 3417182208, 3417184767, 'AU', 'Australia'),
(137165, '203.174.26.0', '203.174.26.255', 3417184768, 3417185023, 'NZ', 'New Zealand'),
(137166, '203.174.27.0', '203.174.27.255', 3417185024, 3417185279, 'AF', 'Afghanistan'),
(137167, '203.174.28.0', '203.174.29.255', 3417185280, 3417185791, 'SG', 'Singapore'),
(137168, '203.174.30.0', '203.174.31.255', 3417185792, 3417186303, 'NZ', 'New Zealand'),
(137169, '203.174.32.0', '203.174.63.255', 3417186304, 3417194495, 'HK', 'Hong Kong'),
(137170, '203.174.64.0', '203.174.79.255', 3417194496, 3417198591, 'JP', 'Japan'),
(137171, '203.174.80.0', '203.174.87.255', 3417198592, 3417200639, 'SG', 'Singapore'),
(137172, '203.174.88.0', '203.174.95.255', 3417200640, 3417202687, 'JP', 'Japan'),
(137173, '203.174.96.0', '203.174.127.255', 3417202688, 3417210879, 'CN', 'China'),
(137174, '203.174.128.0', '203.174.191.255', 3417210880, 3417227263, 'AU', 'Australia'),
(137175, '203.174.192.0', '203.174.255.255', 3417227264, 3417243647, 'JP', 'Japan'),
(137176, '203.175.0.0', '203.175.3.255', 3417243648, 3417244671, 'PH', 'Philippines'),
(137177, '203.175.4.0', '203.175.7.255', 3417244672, 3417245695, 'IN', 'India'),
(137178, '203.175.8.0', '203.175.15.255', 3417245696, 3417247743, 'BT', 'Bhutan'),
(137179, '203.175.16.0', '203.175.31.255', 3417247744, 3417251839, 'JP', 'Japan'),
(137180, '203.175.32.0', '203.175.63.255', 3417251840, 3417260031, 'KR', 'Korea, Republic of'),
(137181, '203.175.64.0', '203.175.79.255', 3417260032, 3417264127, 'PK', 'Pakistan'),
(137182, '203.175.80.0', '203.175.95.255', 3417264128, 3417268223, 'JP', 'Japan'),
(137183, '203.175.112.0', '203.175.119.255', 3417272320, 3417274367, 'NZ', 'New Zealand'),
(137184, '203.175.120.0', '203.175.123.255', 3417274368, 3417275391, 'AU', 'Australia'),
(137185, '203.175.124.0', '203.175.127.255', 3417275392, 3417276415, 'PH', 'Philippines'),
(137186, '203.175.128.0', '203.175.159.255', 3417276416, 3417284607, 'CN', 'China'),
(137187, '203.175.160.0', '203.175.175.255', 3417284608, 3417288703, 'SG', 'Singapore'),
(137188, '203.175.176.0', '203.175.177.255', 3417288704, 3417289215, 'IN', 'India'),
(137189, '203.175.178.0', '203.175.179.255', 3417289216, 3417289727, 'AU', 'Australia'),
(137190, '203.175.180.0', '203.175.185.255', 3417289728, 3417291263, 'IN', 'India'),
(137191, '203.175.186.0', '203.175.187.255', 3417291264, 3417291775, 'AU', 'Australia'),
(137192, '203.175.188.0', '203.175.191.255', 3417291776, 3417292799, 'KR', 'Korea, Republic of'),
(137193, '203.175.192.0', '203.176.95.255', 3417292800, 3417333759, 'CN', 'China'),
(137194, '203.176.96.0', '203.176.111.255', 3417333760, 3417337855, 'AU', 'Australia'),
(137195, '203.176.112.0', '203.176.113.255', 3417337856, 3417338367, 'IN', 'India'),
(137196, '203.176.114.0', '203.176.115.255', 3417338368, 3417338879, 'HK', 'Hong Kong'),
(137197, '203.176.116.0', '203.176.119.255', 3417338880, 3417339903, 'PH', 'Philippines'),
(137198, '203.176.120.0', '203.176.121.255', 3417339904, 3417340415, 'AU', 'Australia'),
(137199, '203.176.122.0', '203.176.127.255', 3417340416, 3417341951, 'NZ', 'New Zealand'),
(137200, '203.176.128.0', '203.176.143.255', 3417341952, 3417346047, 'KH', 'Cambodia'),
(137201, '203.176.144.0', '203.176.151.255', 3417346048, 3417348095, 'MY', 'Malaysia'),
(137202, '203.176.152.0', '203.176.152.255', 3417348096, 3417348351, 'AU', 'Australia'),
(137203, '203.176.153.0', '203.176.153.255', 3417348352, 3417348607, 'IN', 'India'),
(137204, '203.176.154.0', '203.176.155.255', 3417348608, 3417349119, 'NZ', 'New Zealand'),
(137205, '203.176.156.0', '203.176.157.255', 3417349120, 3417349631, 'IN', 'India'),
(137206, '203.176.158.0', '203.176.159.255', 3417349632, 3417350143, 'AU', 'Australia'),
(137207, '203.176.160.0', '203.176.167.255', 3417350144, 3417352191, 'VN', 'Vietnam'),
(137208, '203.176.168.0', '203.176.175.255', 3417352192, 3417354239, 'CN', 'China'),
(137209, '203.176.176.0', '203.176.183.255', 3417354240, 3417356287, 'ID', 'Indonesia'),
(137210, '203.176.184.0', '203.176.187.255', 3417356288, 3417357311, 'AU', 'Australia'),
(137211, '203.176.188.0', '203.176.188.255', 3417357312, 3417357567, 'NZ', 'New Zealand'),
(137212, '203.176.189.0', '203.176.189.255', 3417357568, 3417357823, 'AU', 'Australia'),
(137213, '203.176.190.0', '203.176.191.255', 3417357824, 3417358335, 'PK', 'Pakistan'),
(137214, '203.176.192.0', '203.176.255.255', 3417358336, 3417374719, 'HK', 'Hong Kong'),
(137215, '203.177.0.0', '203.177.255.255', 3417374720, 3417440255, 'PH', 'Philippines'),
(137216, '203.178.0.0', '203.181.109.255', 3417440256, 3417665023, 'JP', 'Japan'),
(137217, '203.181.110.0', '203.181.110.255', 3417665024, 3417665279, 'US', 'United States'),
(137218, '203.181.111.0', '203.181.121.255', 3417665280, 3417668095, 'JP', 'Japan'),
(137219, '203.181.122.0', '203.181.122.255', 3417668096, 3417668351, 'US', 'United States'),
(137220, '203.181.123.0', '203.183.255.255', 3417668352, 3417833471, 'JP', 'Japan'),
(137221, '203.184.0.0', '203.184.63.255', 3417833472, 3417849855, 'NZ', 'New Zealand'),
(137222, '203.184.64.0', '203.184.79.255', 3417849856, 3417853951, 'AU', 'Australia'),
(137223, '203.184.80.0', '203.184.95.255', 3417853952, 3417858047, 'CN', 'China'),
(137224, '203.184.96.0', '203.184.127.255', 3417858048, 3417866239, 'JP', 'Japan'),
(137225, '203.184.128.0', '203.185.63.255', 3417866240, 3417915391, 'HK', 'Hong Kong'),
(137226, '203.185.64.0', '203.185.159.255', 3417915392, 3417939967, 'TH', 'Thailand'),
(137227, '203.185.160.0', '203.185.183.255', 3417939968, 3417946111, 'PF', 'French Polynesia'),
(137228, '203.185.184.0', '203.185.187.255', 3417946112, 3417947135, 'AU', 'Australia'),
(137229, '203.185.188.0', '203.185.188.255', 3417947136, 3417947391, 'IN', 'India'),
(137230, '203.185.189.0', '203.185.189.255', 3417947392, 3417947647, 'HK', 'Hong Kong'),
(137231, '203.185.190.0', '203.185.190.255', 3417947648, 3417947903, 'AU', 'Australia'),
(137232, '203.185.191.0', '203.185.191.255', 3417947904, 3417948159, 'IN', 'India'),
(137233, '203.185.192.0', '203.185.255.255', 3417948160, 3417964543, 'AU', 'Australia'),
(137234, '203.186.0.0', '203.186.255.255', 3417964544, 3418030079, 'HK', 'Hong Kong'),
(137235, '203.187.0.0', '203.187.127.255', 3418030080, 3418062847, 'TW', 'Taiwan'),
(137236, '203.187.128.0', '203.187.159.255', 3418062848, 3418071039, 'US', 'United States'),
(137237, '203.187.160.0', '203.187.191.255', 3418071040, 3418079231, 'CN', 'China'),
(137238, '203.187.192.0', '203.187.255.255', 3418079232, 3418095615, 'IN', 'India'),
(137239, '203.188.0.0', '203.188.63.255', 3418095616, 3418111999, 'TH', 'Thailand'),
(137240, '203.188.64.0', '203.188.127.255', 3418112000, 3418128383, 'HK', 'Hong Kong'),
(137241, '203.188.128.0', '203.188.159.255', 3418128384, 3418136575, 'AU', 'Australia'),
(137242, '203.188.160.0', '203.188.191.255', 3418136576, 3418144767, 'BD', 'Bangladesh'),
(137243, '203.188.192.0', '203.188.207.255', 3418144768, 3418148863, 'TW', 'Taiwan'),
(137244, '203.188.208.0', '203.188.215.255', 3418148864, 3418150911, 'JP', 'Japan'),
(137245, '203.188.216.0', '203.188.223.255', 3418150912, 3418152959, 'AU', 'Australia'),
(137246, '203.188.224.0', '203.188.231.255', 3418152960, 3418155007, 'IN', 'India'),
(137247, '203.188.232.0', '203.188.239.255', 3418155008, 3418157055, 'MY', 'Malaysia'),
(137248, '203.188.240.0', '203.188.255.255', 3418157056, 3418161151, 'BD', 'Bangladesh'),
(137249, '203.189.0.0', '203.189.1.255', 3418161152, 3418161663, 'CN', 'China'),
(137250, '203.189.2.0', '203.189.4.255', 3418161664, 3418162431, 'AU', 'Australia'),
(137251, '203.189.5.0', '203.189.5.255', 3418162432, 3418162687, 'IN', 'India'),
(137252, '203.189.6.0', '203.189.7.255', 3418162688, 3418163199, 'CN', 'China'),
(137253, '203.189.8.0', '203.189.15.255', 3418163200, 3418165247, 'PH', 'Philippines'),
(137254, '203.189.16.0', '203.189.23.255', 3418165248, 3418167295, 'MY', 'Malaysia'),
(137255, '203.189.24.0', '203.189.24.255', 3418167296, 3418167551, 'IN', 'India'),
(137256, '203.189.25.0', '203.189.25.255', 3418167552, 3418167807, 'AU', 'Australia'),
(137257, '203.189.26.0', '203.189.27.255', 3418167808, 3418168319, 'HK', 'Hong Kong'),
(137258, '203.189.28.0', '203.189.31.255', 3418168320, 3418169343, 'VN', 'Vietnam'),
(137259, '203.189.32.0', '203.189.63.255', 3418169344, 3418177535, 'JP', 'Japan'),
(137260, '203.189.64.0', '203.189.79.255', 3418177536, 3418181631, 'LK', 'Sri Lanka'),
(137261, '203.189.80.0', '203.189.87.255', 3418181632, 3418183679, 'AU', 'Australia'),
(137262, '203.189.88.0', '203.189.89.255', 3418183680, 3418184191, 'ID', 'Indonesia'),
(137263, '203.189.90.0', '203.189.92.255', 3418184192, 3418184959, 'IN', 'India'),
(137264, '203.189.93.0', '203.189.95.255', 3418184960, 3418185727, 'AU', 'Australia'),
(137265, '203.189.96.0', '203.189.111.255', 3418185728, 3418189823, 'JP', 'Japan'),
(137266, '203.189.112.0', '203.189.115.255', 3418189824, 3418190847, 'CN', 'China'),
(137267, '203.189.116.0', '203.189.119.255', 3418190848, 3418191871, 'TH', 'Thailand'),
(137268, '203.189.120.0', '203.189.123.255', 3418191872, 3418192895, 'ID', 'Indonesia'),
(137269, '203.189.124.0', '203.189.127.255', 3418192896, 3418193919, 'AU', 'Australia'),
(137270, '203.189.128.0', '203.189.159.255', 3418193920, 3418202111, 'KH', 'Cambodia'),
(137271, '203.189.160.0', '203.189.175.255', 3418202112, 3418206207, 'HK', 'Hong Kong'),
(137272, '203.189.176.0', '203.189.183.255', 3418206208, 3418208255, 'IN', 'India'),
(137273, '203.189.184.0', '203.189.191.255', 3418208256, 3418210303, 'LK', 'Sri Lanka'),
(137274, '203.189.192.0', '203.189.223.255', 3418210304, 3418218495, 'CN', 'China'),
(137275, '203.189.224.0', '203.189.231.255', 3418218496, 3418220543, 'BD', 'Bangladesh'),
(137276, '203.190.0.0', '203.190.3.255', 3418226688, 3418227711, 'BD', 'Bangladesh'),
(137277, '203.190.4.0', '203.190.7.255', 3418227712, 3418228735, 'KR', 'Korea, Republic of'),
(137278, '203.190.8.0', '203.190.15.255', 3418228736, 3418230783, 'BD', 'Bangladesh'),
(137279, '203.190.16.0', '203.190.23.255', 3418230784, 3418232831, 'TW', 'Taiwan'),
(137280, '203.190.24.0', '203.190.25.255', 3418232832, 3418233343, 'AU', 'Australia'),
(137281, '203.190.26.0', '203.190.27.255', 3418233344, 3418233855, 'KR', 'Korea, Republic of'),
(137282, '203.190.28.0', '203.190.31.255', 3418233856, 3418234879, 'JP', 'Japan'),
(137283, '203.190.36.0', '203.190.37.255', 3418235904, 3418236415, 'ID', 'Indonesia'),
(137284, '203.190.38.0', '203.190.39.255', 3418236416, 3418236927, 'HK', 'Hong Kong'),
(137285, '203.190.40.0', '203.190.55.255', 3418236928, 3418241023, 'ID', 'Indonesia'),
(137286, '203.190.56.0', '203.190.63.255', 3418241024, 3418243071, 'JP', 'Japan'),
(137287, '203.190.64.0', '203.190.95.255', 3418243072, 3418251263, 'HK', 'Hong Kong'),
(137288, '203.190.96.0', '203.190.111.255', 3418251264, 3418255359, 'CN', 'China'),
(137289, '203.190.112.0', '203.190.119.255', 3418255360, 3418257407, 'ID', 'Indonesia'),
(137290, '203.190.120.0', '203.190.127.255', 3418257408, 3418259455, 'HK', 'Hong Kong'),
(137291, '203.190.128.0', '203.190.159.255', 3418259456, 3418267647, 'IN', 'India'),
(137292, '203.190.160.0', '203.190.175.255', 3418267648, 3418271743, 'VN', 'Vietnam'),
(137293, '203.190.176.0', '203.190.183.255', 3418271744, 3418273791, 'SG', 'Singapore'),
(137294, '203.190.184.0', '203.190.191.255', 3418273792, 3418275839, 'ID', 'Indonesia'),
(137295, '203.190.192.0', '203.190.207.255', 3418275840, 3418279935, 'AU', 'Australia'),
(137296, '203.190.208.0', '203.190.215.255', 3418279936, 3418281983, 'NZ', 'New Zealand'),
(137297, '203.190.216.0', '203.190.216.255', 3418281984, 3418282239, 'IN', 'India'),
(137298, '203.190.217.0', '203.190.217.255', 3418282240, 3418282495, 'AU', 'Australia'),
(137299, '203.190.218.0', '203.190.221.255', 3418282496, 3418283519, 'PH', 'Philippines'),
(137300, '203.190.222.0', '203.190.223.255', 3418283520, 3418284031, 'AU', 'Australia'),
(137301, '203.190.224.0', '203.190.239.255', 3418284032, 3418288127, 'SG', 'Singapore'),
(137302, '203.190.240.0', '203.190.247.255', 3418288128, 3418290175, 'ID', 'Indonesia'),
(137303, '203.190.248.0', '203.190.248.255', 3418290176, 3418290431, 'IN', 'India'),
(137304, '203.190.249.0', '203.190.249.255', 3418290432, 3418290687, 'CN', 'China'),
(137305, '203.190.250.0', '203.190.251.255', 3418290688, 3418291199, 'TH', 'Thailand'),
(137306, '203.190.252.0', '203.190.253.255', 3418291200, 3418291711, 'AU', 'Australia'),
(137307, '203.190.254.0', '203.190.255.255', 3418291712, 3418292223, 'BD', 'Bangladesh'),
(137308, '203.191.0.0', '203.191.1.255', 3418292224, 3418292735, 'CN', 'China'),
(137309, '203.191.2.0', '203.191.2.255', 3418292736, 3418292991, 'AU', 'Australia'),
(137310, '203.191.3.0', '203.191.4.255', 3418292992, 3418293503, 'HK', 'Hong Kong'),
(137311, '203.191.5.0', '203.191.5.255', 3418293504, 3418293759, 'IN', 'India'),
(137312, '203.191.6.0', '203.191.6.255', 3418293760, 3418294015, 'AU', 'Australia'),
(137313, '203.191.8.0', '203.191.15.255', 3418294272, 3418296319, 'VN', 'Vietnam'),
(137314, '203.191.16.0', '203.191.31.255', 3418296320, 3418300415, 'CN', 'China'),
(137315, '203.191.32.0', '203.191.33.255', 3418300416, 3418300927, 'BD', 'Bangladesh'),
(137316, '203.191.34.0', '203.191.35.255', 3418300928, 3418301439, 'IN', 'India'),
(137317, '203.191.36.0', '203.191.39.255', 3418301440, 3418302463, 'AU', 'Australia'),
(137318, '203.191.40.0', '203.191.47.255', 3418302464, 3418304511, 'ID', 'Indonesia'),
(137319, '203.191.48.0', '203.191.55.255', 3418304512, 3418306559, 'VN', 'Vietnam'),
(137320, '203.191.56.0', '203.191.63.255', 3418306560, 3418308607, 'MN', 'Mongolia'),
(137321, '203.191.64.0', '203.191.127.255', 3418308608, 3418324991, 'CN', 'China'),
(137322, '203.191.128.0', '203.191.131.255', 3418324992, 3418326015, 'VU', 'Vanuatu'),
(137323, '203.191.132.0', '203.191.133.255', 3418326016, 3418326527, 'AU', 'Australia'),
(137324, '203.191.134.0', '203.191.135.255', 3418326528, 3418327039, 'PH', 'Philippines'),
(137325, '203.191.136.0', '203.191.143.255', 3418327040, 3418329087, 'JP', 'Japan'),
(137326, '203.191.144.0', '203.191.159.255', 3418329088, 3418333183, 'CN', 'China'),
(137327, '203.191.160.0', '203.191.207.255', 3418333184, 3418345471, 'AU', 'Australia'),
(137328, '203.191.208.0', '203.191.255.255', 3418345472, 3418357759, 'JP', 'Japan'),
(137329, '203.192.0.0', '203.192.31.255', 3418357760, 3418365951, 'CN', 'China'),
(137330, '203.192.32.0', '203.192.63.255', 3418365952, 3418374143, 'TH', 'Thailand'),
(137331, '203.192.64.0', '203.192.95.255', 3418374144, 3418382335, 'AU', 'Australia'),
(137332, '203.192.96.0', '203.192.127.255', 3418382336, 3418390527, 'JP', 'Japan'),
(137333, '203.192.128.0', '203.192.135.255', 3418390528, 3418392575, 'AU', 'Australia'),
(137334, '203.192.136.0', '203.192.161.255', 3418392576, 3418399231, 'AP', 'Asia/Pacific Region'),
(137335, '203.192.162.0', '203.192.162.15', 3418399232, 3418399247, 'PH', 'Philippines'),
(137336, '203.192.162.16', '203.192.191.255', 3418399248, 3418406911, 'AP', 'Asia/Pacific Region'),
(137337, '203.192.192.0', '203.192.255.255', 3418406912, 3418423295, 'IN', 'India'),
(137338, '203.193.0.0', '203.193.81.59', 3418423296, 3418444091, 'HK', 'Hong Kong'),
(137339, '203.193.81.60', '203.193.81.63', 3418444092, 3418444095, 'CN', 'China'),
(137340, '203.193.81.64', '203.193.98.255', 3418444096, 3418448639, 'HK', 'Hong Kong'),
(137341, '203.193.99.0', '203.193.99.255', 3418448640, 3418448895, 'SG', 'Singapore'),
(137342, '203.193.100.0', '203.193.127.255', 3418448896, 3418456063, 'HK', 'Hong Kong'),
(137343, '203.193.128.0', '203.193.191.255', 3418456064, 3418472447, 'IN', 'India'),
(137344, '203.193.192.0', '203.193.223.255', 3418472448, 3418480639, 'AU', 'Australia'),
(137345, '203.193.224.0', '203.193.255.255', 3418480640, 3418488831, 'CN', 'China'),
(137346, '203.194.0.0', '203.194.63.255', 3418488832, 3418505215, 'AU', 'Australia'),
(137347, '203.194.64.0', '203.194.95.255', 3418505216, 3418513407, 'JP', 'Japan'),
(137348, '203.194.96.0', '203.194.111.255', 3418513408, 3418517503, 'IN', 'India'),
(137349, '203.194.112.0', '203.194.119.255', 3418517504, 3418519551, 'MN', 'Mongolia'),
(137350, '203.194.120.0', '203.194.127.255', 3418519552, 3418521599, 'CN', 'China'),
(137351, '203.194.128.0', '203.194.255.255', 3418521600, 3418554367, 'HK', 'Hong Kong'),
(137352, '203.195.0.0', '203.195.63.255', 3418554368, 3418570751, 'VN', 'Vietnam'),
(137353, '203.195.64.0', '203.195.95.255', 3418570752, 3418578943, 'CN', 'China'),
(137354, '203.195.96.0', '203.195.111.255', 3418578944, 3418583039, 'TH', 'Thailand'),
(137355, '203.195.112.0', '203.195.119.255', 3418583040, 3418585087, 'CN', 'China'),
(137356, '203.195.120.0', '203.195.123.255', 3418585088, 3418586111, 'SG', 'Singapore'),
(137357, '203.195.124.0', '203.195.124.255', 3418586112, 3418586367, 'AU', 'Australia'),
(137358, '203.195.125.0', '203.195.126.255', 3418586368, 3418586879, 'SG', 'Singapore'),
(137359, '203.195.127.0', '203.195.127.255', 3418586880, 3418587135, 'AU', 'Australia'),
(137360, '203.195.128.0', '203.196.15.255', 3418587136, 3418623999, 'CN', 'China'),
(137361, '203.196.16.0', '203.196.23.255', 3418624000, 3418626047, 'JP', 'Japan'),
(137362, '203.196.24.0', '203.196.31.255', 3418626048, 3418628095, 'KI', 'Kiribati'),
(137363, '203.196.32.0', '203.196.63.255', 3418628096, 3418636287, 'AU', 'Australia'),
(137364, '203.196.64.0', '203.196.89.255', 3418636288, 3418642943, 'JP', 'Japan'),
(137365, '203.196.90.0', '203.196.90.255', 3418642944, 3418643199, 'ID', 'Indonesia'),
(137366, '203.196.91.0', '203.196.91.255', 3418643200, 3418643455, 'JP', 'Japan'),
(137367, '203.196.92.0', '203.196.95.255', 3418643456, 3418644479, 'AU', 'Australia'),
(137368, '203.196.96.0', '203.196.114.255', 3418644480, 3418649343, 'JP', 'Japan'),
(137369, '203.196.115.0', '203.196.115.255', 3418649344, 3418649599, 'AP', 'Asia/Pacific Region'),
(137370, '203.196.116.0', '203.196.127.255', 3418649600, 3418652671, 'JP', 'Japan'),
(137371, '203.196.128.0', '203.197.255.255', 3418652672, 3418750975, 'IN', 'India'),
(137372, '203.198.0.0', '203.198.255.255', 3418750976, 3418816511, 'HK', 'Hong Kong'),
(137373, '203.199.0.0', '203.200.255.255', 3418816512, 3418947583, 'IN', 'India'),
(137374, '203.201.0.0', '203.201.31.255', 3418947584, 3418955775, 'AU', 'Australia'),
(137375, '203.201.32.0', '203.201.47.255', 3418955776, 3418959871, 'TW', 'Taiwan'),
(137376, '203.201.48.0', '203.201.49.255', 3418959872, 3418960383, 'BD', 'Bangladesh'),
(137377, '203.201.50.0', '203.201.51.255', 3418960384, 3418960895, 'ID', 'Indonesia'),
(137378, '203.201.52.0', '203.201.55.255', 3418960896, 3418961919, 'JP', 'Japan'),
(137379, '203.201.56.0', '203.201.59.255', 3418961920, 3418962943, 'VN', 'Vietnam'),
(137380, '203.201.60.0', '203.201.63.255', 3418962944, 3418963967, 'IN', 'India'),
(137381, '203.201.64.0', '203.201.159.255', 3418963968, 3418988543, 'AU', 'Australia'),
(137382, '203.201.160.0', '203.201.175.255', 3418988544, 3418992639, 'ID', 'Indonesia'),
(137383, '203.201.176.0', '203.201.179.255', 3418992640, 3418993663, 'SG', 'Singapore'),
(137384, '203.201.180.0', '203.201.180.255', 3418993664, 3418993919, 'PH', 'Philippines'),
(137385, '203.201.183.0', '203.201.183.255', 3418994432, 3418994687, 'AU', 'Australia'),
(137386, '203.201.184.0', '203.201.187.255', 3418994688, 3418995711, 'MY', 'Malaysia'),
(137387, '203.201.188.0', '203.201.191.255', 3418995712, 3418996735, 'JP', 'Japan'),
(137388, '203.201.192.0', '203.201.255.255', 3418996736, 3419013119, 'IN', 'India'),
(137389, '203.202.0.0', '203.202.191.255', 3419013120, 3419062271, 'AU', 'Australia'),
(137390, '203.202.192.0', '203.202.223.255', 3419062272, 3419070463, 'JP', 'Japan'),
(137391, '203.202.224.0', '203.202.231.255', 3419070464, 3419072511, 'HK', 'Hong Kong'),
(137392, '203.202.234.0', '203.202.234.255', 3419073024, 3419073279, 'SG', 'Singapore'),
(137393, '203.202.235.0', '203.202.235.255', 3419073280, 3419073535, 'FJ', 'Fiji'),
(137394, '203.202.236.0', '203.202.239.255', 3419073536, 3419074559, 'CN', 'China'),
(137395, '203.202.240.0', '203.202.255.255', 3419074560, 3419078655, 'BD', 'Bangladesh'),
(137396, '203.203.0.0', '203.204.255.255', 3419078656, 3419209727, 'TW', 'Taiwan'),
(137397, '203.205.0.0', '203.205.63.255', 3419209728, 3419226111, 'VN', 'Vietnam'),
(137398, '203.205.64.0', '203.205.95.255', 3419226112, 3419234303, 'CN', 'China'),
(137399, '203.205.96.0', '203.205.111.255', 3419234304, 3419238399, 'JP', 'Japan'),
(137400, '203.205.112.0', '203.205.127.255', 3419238400, 3419242495, 'US', 'United States'),
(137401, '203.205.128.0', '203.205.255.255', 3419242496, 3419275263, 'CN', 'China'),
(137402, '203.206.0.0', '203.206.255.255', 3419275264, 3419340799, 'AU', 'Australia'),
(137403, '203.207.0.0', '203.207.15.255', 3419340800, 3419344895, 'TW', 'Taiwan'),
(137404, '203.207.16.0', '203.207.31.255', 3419344896, 3419348991, 'KR', 'Korea, Republic of'),
(137405, '203.207.32.0', '203.207.47.255', 3419348992, 3419353087, 'TW', 'Taiwan'),
(137406, '203.207.48.0', '203.207.51.255', 3419353088, 3419354111, 'JP', 'Japan'),
(137407, '203.207.52.0', '203.207.59.255', 3419354112, 3419356159, 'ID', 'Indonesia'),
(137408, '203.207.60.0', '203.207.61.255', 3419356160, 3419356671, 'NZ', 'New Zealand'),
(137409, '203.207.62.0', '203.207.63.255', 3419356672, 3419357183, 'IN', 'India'),
(137410, '203.207.64.0', '203.208.19.255', 3419357184, 3419411455, 'CN', 'China'),
(137411, '203.208.20.0', '203.208.20.255', 3419411456, 3419411711, 'HK', 'Hong Kong'),
(137412, '203.208.21.0', '203.208.21.255', 3419411712, 3419411967, 'NZ', 'New Zealand'),
(137413, '203.208.22.0', '203.208.22.255', 3419411968, 3419412223, 'PH', 'Philippines'),
(137414, '203.208.23.0', '203.208.23.255', 3419412224, 3419412479, 'JP', 'Japan'),
(137415, '203.208.24.0', '203.208.31.255', 3419412480, 3419414527, 'PH', 'Philippines'),
(137416, '203.208.32.0', '203.208.63.255', 3419414528, 3419422719, 'CN', 'China'),
(137417, '203.208.64.0', '203.208.127.255', 3419422720, 3419439103, 'AU', 'Australia'),
(137418, '203.208.128.0', '203.208.207.79', 3419439104, 3419459407, 'SG', 'Singapore'),
(137419, '203.208.207.80', '203.208.207.95', 3419459408, 3419459423, 'GB', 'United Kingdom'),
(137420, '203.208.207.96', '203.208.207.223', 3419459424, 3419459551, 'SG', 'Singapore'),
(137421, '203.208.207.224', '203.208.207.255', 3419459552, 3419459583, 'HK', 'Hong Kong'),
(137422, '203.208.208.0', '203.208.250.255', 3419459584, 3419470591, 'SG', 'Singapore'),
(137423, '203.208.251.0', '203.208.251.255', 3419470592, 3419470847, 'AP', 'Asia/Pacific Region'),
(137424, '203.208.252.0', '203.208.255.255', 3419470848, 3419471871, 'SG', 'Singapore'),
(137425, '203.209.0.0', '203.209.127.255', 3419471872, 3419504639, 'TH', 'Thailand'),
(137426, '203.209.128.0', '203.209.143.255', 3419504640, 3419508735, 'HK', 'Hong Kong'),
(137427, '203.209.144.0', '203.209.159.255', 3419508736, 3419512831, 'JP', 'Japan'),
(137428, '203.209.160.0', '203.209.175.255', 3419512832, 3419516927, 'AU', 'Australia'),
(137429, '203.209.176.0', '203.209.179.255', 3419516928, 3419517951, 'JP', 'Japan'),
(137430, '203.209.180.0', '203.209.183.255', 3419517952, 3419518975, 'VN', 'Vietnam'),
(137431, '203.209.184.0', '203.209.187.255', 3419518976, 3419519999, 'JP', 'Japan'),
(137432, '203.209.188.0', '203.209.190.255', 3419520000, 3419520767, 'ID', 'Indonesia'),
(137433, '203.209.191.0', '203.209.191.255', 3419520768, 3419521023, 'TH', 'Thailand'),
(137434, '203.209.192.0', '203.209.223.255', 3419521024, 3419529215, 'AU', 'Australia'),
(137435, '203.209.224.0', '203.209.255.255', 3419529216, 3419537407, 'CN', 'China'),
(137436, '203.210.0.0', '203.210.15.255', 3419537408, 3419541503, 'HK', 'Hong Kong'),
(137437, '203.210.16.0', '203.210.63.255', 3419541504, 3419553791, 'KR', 'Korea, Republic of'),
(137438, '203.210.64.0', '203.210.78.255', 3419553792, 3419557631, 'AU', 'Australia'),
(137439, '203.210.79.0', '203.210.79.255', 3419557632, 3419557887, 'AP', 'Asia/Pacific Region'),
(137440, '203.210.80.0', '203.210.81.255', 3419557888, 3419558399, 'ID', 'Indonesia'),
(137441, '203.210.82.0', '203.210.82.255', 3419558400, 3419558655, 'AU', 'Australia'),
(137442, '203.210.83.0', '203.210.87.255', 3419558656, 3419559935, 'ID', 'Indonesia'),
(137443, '203.210.88.0', '203.210.91.255', 3419559936, 3419560959, 'JP', 'Japan'),
(137444, '203.210.92.0', '203.210.95.255', 3419560960, 3419561983, 'IN', 'India'),
(137445, '203.210.96.0', '203.210.127.255', 3419561984, 3419570175, 'AU', 'Australia'),
(137446, '203.210.128.0', '203.210.255.255', 3419570176, 3419602943, 'VN', 'Vietnam'),
(137447, '203.211.0.0', '203.211.31.255', 3419602944, 3419611135, 'TW', 'Taiwan'),
(137448, '203.211.32.0', '203.211.55.255', 3419611136, 3419617279, 'JP', 'Japan'),
(137449, '203.211.56.0', '203.211.59.255', 3419617280, 3419618303, 'AU', 'Australia'),
(137450, '203.211.60.0', '203.211.63.255', 3419618304, 3419619327, 'SG', 'Singapore'),
(137451, '203.211.64.0', '203.211.127.255', 3419619328, 3419635711, 'NZ', 'New Zealand'),
(137452, '203.211.128.0', '203.211.159.255', 3419635712, 3419643903, 'SG', 'Singapore'),
(137453, '203.211.160.0', '203.211.255.255', 3419643904, 3419668479, 'JP', 'Japan'),
(137454, '203.212.0.0', '203.212.15.255', 3419668480, 3419672575, 'CN', 'China'),
(137455, '203.212.16.0', '203.212.23.255', 3419672576, 3419674623, 'AU', 'Australia'),
(137456, '203.212.24.0', '203.212.27.255', 3419674624, 3419675647, 'IN', 'India'),
(137457, '203.212.28.0', '203.212.31.255', 3419675648, 3419676671, 'MN', 'Mongolia'),
(137458, '203.212.32.0', '203.212.63.255', 3419676672, 3419684863, 'JP', 'Japan'),
(137459, '203.212.64.0', '203.212.79.255', 3419684864, 3419688959, 'IN', 'India'),
(137460, '203.212.80.0', '203.212.95.255', 3419688960, 3419693055, 'CN', 'China'),
(137461, '203.212.96.0', '203.212.127.255', 3419693056, 3419701247, 'KR', 'Korea, Republic of'),
(137462, '203.212.128.0', '203.212.159.255', 3419701248, 3419709439, 'AU', 'Australia'),
(137463, '203.212.160.0', '203.212.191.255', 3419709440, 3419717631, 'KR', 'Korea, Republic of'),
(137464, '203.212.192.0', '203.212.255.255', 3419717632, 3419734015, 'IN', 'India'),
(137465, '203.213.0.0', '203.213.159.255', 3419734016, 3419774975, 'AU', 'Australia'),
(137466, '203.213.160.0', '203.213.191.255', 3419774976, 3419783167, 'JP', 'Japan'),
(137467, '203.213.192.0', '203.213.223.255', 3419783168, 3419791359, 'PH', 'Philippines'),
(137468, '203.213.224.0', '203.215.31.255', 3419791360, 3419873279, 'AU', 'Australia'),
(137469, '203.215.32.0', '203.215.47.255', 3419873280, 3419877375, 'AF', 'Afghanistan'),
(137470, '203.215.48.0', '203.215.48.255', 3419877376, 3419877631, 'ID', 'Indonesia'),
(137471, '203.215.49.0', '203.215.49.255', 3419877632, 3419877887, 'KH', 'Cambodia'),
(137472, '203.215.50.0', '203.215.50.255', 3419877888, 3419878143, 'ID', 'Indonesia'),
(137473, '203.215.51.0', '203.215.51.255', 3419878144, 3419878399, 'IN', 'India'),
(137474, '203.215.52.0', '203.215.55.255', 3419878400, 3419879423, 'GU', 'Guam'),
(137475, '203.215.56.0', '203.215.59.255', 3419879424, 3419880447, 'JP', 'Japan'),
(137476, '203.215.60.0', '203.215.63.255', 3419880448, 3419881471, 'MM', 'Myanmar'),
(137477, '203.215.64.0', '203.215.127.255', 3419881472, 3419897855, 'PH', 'Philippines'),
(137478, '203.215.128.0', '203.215.135.255', 3419897856, 3419899903, 'JP', 'Japan'),
(137479, '203.215.136.0', '203.215.136.255', 3419899904, 3419900159, 'FR', 'France'),
(137480, '203.215.137.0', '203.215.137.255', 3419900160, 3419900415, 'BE', 'Belgium'),
(137481, '203.215.138.0', '203.215.141.255', 3419900416, 3419901439, 'AU', 'Australia'),
(137482, '203.215.142.0', '203.215.143.255', 3419901440, 3419901951, 'NZ', 'New Zealand'),
(137483, '203.215.144.0', '203.215.144.255', 3419901952, 3419902207, 'AU', 'Australia'),
(137484, '203.215.145.0', '203.215.145.255', 3419902208, 3419902463, 'HK', 'Hong Kong'),
(137485, '203.215.146.0', '203.215.146.255', 3419902464, 3419902719, 'CN', 'China'),
(137486, '203.215.147.0', '203.215.147.255', 3419902720, 3419902975, 'HK', 'Hong Kong'),
(137487, '203.215.148.0', '203.215.148.255', 3419902976, 3419903231, 'AU', 'Australia'),
(137488, '203.215.149.0', '203.215.149.255', 3419903232, 3419903487, 'JP', 'Japan'),
(137489, '203.215.150.0', '203.215.159.255', 3419903488, 3419906047, 'AU', 'Australia'),
(137490, '203.215.160.0', '203.215.191.255', 3419906048, 3419914239, 'PK', 'Pakistan'),
(137491, '203.215.192.0', '203.215.223.255', 3419914240, 3419922431, 'KR', 'Korea, Republic of'),
(137492, '203.215.224.0', '203.215.231.255', 3419922432, 3419924479, 'JP', 'Japan'),
(137493, '203.215.232.0', '203.215.239.255', 3419924480, 3419926527, 'CN', 'China'),
(137494, '203.215.240.0', '203.215.255.255', 3419926528, 3419930623, 'HK', 'Hong Kong'),
(137495, '203.216.0.0', '203.216.159.255', 3419930624, 3419971583, 'JP', 'Japan'),
(137496, '203.216.160.0', '203.216.191.255', 3419971584, 3419979775, 'KR', 'Korea, Republic of'),
(137497, '203.216.192.0', '203.216.255.255', 3419979776, 3419996159, 'JP', 'Japan'),
(137498, '203.217.0.0', '203.217.95.255', 3419996160, 3420020735, 'AU', 'Australia'),
(137499, '203.217.96.0', '203.217.127.255', 3420020736, 3420028927, 'TW', 'Taiwan'),
(137500, '203.217.128.0', '203.217.131.255', 3420028928, 3420029951, 'MY', 'Malaysia'),
(137501, '203.217.132.0', '203.217.135.255', 3420029952, 3420030975, 'ID', 'Indonesia'),
(137502, '203.217.136.0', '203.217.139.255', 3420030976, 3420031999, 'IN', 'India'),
(137503, '203.217.140.0', '203.217.140.255', 3420032000, 3420032255, 'ID', 'Indonesia'),
(137504, '203.217.141.0', '203.217.141.255', 3420032256, 3420032511, 'AU', 'Australia'),
(137505, '203.217.142.0', '203.217.143.255', 3420032512, 3420033023, 'NZ', 'New Zealand'),
(137506, '203.217.144.0', '203.217.147.255', 3420033024, 3420034047, 'IN', 'India'),
(137507, '203.217.148.0', '203.217.155.255', 3420034048, 3420036095, 'AU', 'Australia'),
(137508, '203.217.156.0', '203.217.159.255', 3420036096, 3420037119, 'JP', 'Japan'),
(137509, '203.217.160.0', '203.217.163.255', 3420037120, 3420038143, 'AU', 'Australia'),
(137510, '203.217.168.0', '203.217.171.255', 3420039168, 3420040191, 'KH', 'Cambodia'),
(137511, '203.217.172.0', '203.217.173.255', 3420040192, 3420040703, 'ID', 'Indonesia'),
(137512, '203.217.174.0', '203.217.174.255', 3420040704, 3420040959, 'IN', 'India'),
(137513, '203.217.175.0', '203.217.175.255', 3420040960, 3420041215, 'HK', 'Hong Kong'),
(137514, '203.217.176.0', '203.217.179.255', 3420041216, 3420042239, 'MY', 'Malaysia'),
(137515, '203.217.180.0', '203.217.183.255', 3420042240, 3420043263, 'JP', 'Japan'),
(137516, '203.217.184.0', '203.217.187.255', 3420043264, 3420044287, 'SG', 'Singapore'),
(137517, '203.217.188.0', '203.217.191.255', 3420044288, 3420045311, 'ID', 'Indonesia'),
(137518, '203.217.192.0', '203.217.255.255', 3420045312, 3420061695, 'KR', 'Korea, Republic of'),
(137519, '203.218.0.0', '203.218.255.255', 3420061696, 3420127231, 'HK', 'Hong Kong'),
(137520, '203.219.0.0', '203.221.255.255', 3420127232, 3420323839, 'AU', 'Australia'),
(137521, '203.222.0.0', '203.222.31.255', 3420323840, 3420332031, 'TW', 'Taiwan'),
(137522, '203.222.32.0', '203.222.169.255', 3420332032, 3420367359, 'AU', 'Australia'),
(137523, '203.222.170.0', '203.222.170.255', 3420367360, 3420367615, 'AP', 'Asia/Pacific Region'),
(137524, '203.222.171.0', '203.222.176.111', 3420367616, 3420369007, 'AU', 'Australia'),
(137525, '203.222.176.112', '203.222.176.127', 3420369008, 3420369023, 'HK', 'Hong Kong'),
(137526, '203.222.176.128', '203.222.191.255', 3420369024, 3420372991, 'AU', 'Australia'),
(137527, '203.222.192.0', '203.222.197.255', 3420372992, 3420374527, 'CN', 'China'),
(137528, '203.222.198.0', '203.222.198.255', 3420374528, 3420374783, 'ID', 'Indonesia'),
(137529, '203.222.199.0', '203.222.201.255', 3420374784, 3420375551, 'CN', 'China'),
(137530, '203.222.202.0', '203.222.202.255', 3420375552, 3420375807, 'ID', 'Indonesia'),
(137531, '203.222.203.0', '203.222.207.255', 3420375808, 3420377087, 'CN', 'China'),
(137532, '203.222.208.0', '203.222.255.255', 3420377088, 3420389375, 'JP', 'Japan'),
(137533, '203.223.0.0', '203.223.23.255', 3420389376, 3420395519, 'CN', 'China'),
(137534, '203.223.24.0', '203.223.31.255', 3420395520, 3420397567, 'JP', 'Japan'),
(137535, '203.223.32.0', '203.223.47.255', 3420397568, 3420401663, 'KH', 'Cambodia'),
(137536, '203.223.48.0', '203.223.87.255', 3420401664, 3420411903, 'JP', 'Japan'),
(137537, '203.223.88.0', '203.223.89.255', 3420411904, 3420412415, 'TH', 'Thailand'),
(137538, '203.223.90.0', '203.223.91.255', 3420412416, 3420412927, 'ID', 'Indonesia'),
(137539, '203.223.92.0', '203.223.95.255', 3420412928, 3420413951, 'BD', 'Bangladesh'),
(137540, '203.223.96.0', '203.223.127.255', 3420413952, 3420422143, 'KR', 'Korea, Republic of'),
(137541, '203.223.128.0', '203.223.159.255', 3420422144, 3420430335, 'MY', 'Malaysia'),
(137542, '203.223.160.0', '203.223.175.255', 3420430336, 3420434431, 'PK', 'Pakistan'),
(137543, '203.223.176.0', '203.223.176.255', 3420434432, 3420434687, 'IN', 'India'),
(137544, '203.223.177.0', '203.223.177.255', 3420434688, 3420434943, 'KR', 'Korea, Republic of'),
(137545, '203.223.178.0', '203.223.178.255', 3420434944, 3420435199, 'HK', 'Hong Kong'),
(137546, '203.223.179.0', '203.223.179.255', 3420435200, 3420435455, 'AU', 'Australia'),
(137547, '203.223.180.0', '203.223.183.255', 3420435456, 3420436479, 'JP', 'Japan'),
(137548, '203.223.184.0', '203.223.187.255', 3420436480, 3420437503, 'AU', 'Australia'),
(137549, '203.223.188.0', '203.223.191.255', 3420437504, 3420438527, 'IN', 'India'),
(137550, '203.223.192.0', '203.223.255.255', 3420438528, 3420454911, 'HK', 'Hong Kong'),
(137551, '203.224.0.0', '203.255.255.255', 3420454912, 3422552063, 'KR', 'Korea, Republic of'),
(137552, '204.0.0.0', '204.2.133.255', 3422552064, 3422717439, 'US', 'United States'),
(137553, '204.2.134.0', '204.2.134.255', 3422717440, 3422717695, 'A1', 'Anonymous Proxy'),
(137554, '204.2.135.0', '204.4.133.255', 3422717696, 3422848511, 'US', 'United States'),
(137555, '204.4.134.0', '204.4.134.255', 3422848512, 3422848767, 'GB', 'United Kingdom'),
(137556, '204.4.135.0', '204.6.39.255', 3422848768, 3422955519, 'US', 'United States'),
(137557, '204.6.40.0', '204.6.44.255', 3422955520, 3422956799, 'FR', 'France'),
(137558, '204.6.45.0', '204.8.63.255', 3422956800, 3423092735, 'US', 'United States'),
(137559, '204.8.64.0', '204.8.64.31', 3423092736, 3423092767, 'VI', 'Virgin Islands, U.S.'),
(137560, '204.8.64.32', '204.8.64.47', 3423092768, 3423092783, 'US', 'United States'),
(137561, '204.8.64.48', '204.8.64.95', 3423092784, 3423092831, 'VI', 'Virgin Islands, U.S.'),
(137562, '204.8.64.96', '204.8.64.111', 3423092832, 3423092847, 'US', 'United States'),
(137563, '204.8.64.112', '204.8.67.255', 3423092848, 3423093759, 'VI', 'Virgin Islands, U.S.'),
(137564, '204.8.68.0', '204.8.71.255', 3423093760, 3423094783, 'US', 'United States'),
(137565, '204.8.72.0', '204.8.75.255', 3423094784, 3423095807, 'CA', 'Canada'),
(137566, '204.8.76.0', '204.9.7.255', 3423095808, 3423143935, 'US', 'United States'),
(137567, '204.9.8.0', '204.9.15.255', 3423143936, 3423145983, 'CA', 'Canada'),
(137568, '204.9.16.0', '204.9.74.199', 3423145984, 3423161031, 'US', 'United States'),
(137569, '204.9.74.200', '204.9.74.207', 3423161032, 3423161039, 'CA', 'Canada'),
(137570, '204.9.74.208', '204.9.77.13', 3423161040, 3423161613, 'US', 'United States'),
(137571, '204.9.77.14', '204.9.77.21', 3423161614, 3423161621, 'CA', 'Canada'),
(137572, '204.9.77.22', '204.9.79.47', 3423161622, 3423162159, 'US', 'United States'),
(137573, '204.9.79.48', '204.9.79.55', 3423162160, 3423162167, 'MX', 'Mexico'),
(137574, '204.9.79.56', '204.9.79.255', 3423162168, 3423162367, 'US', 'United States'),
(137575, '204.9.80.0', '204.9.83.255', 3423162368, 3423163391, 'CA', 'Canada'),
(137576, '204.9.84.0', '204.9.159.255', 3423163392, 3423182847, 'US', 'United States'),
(137577, '204.9.160.0', '204.9.161.95', 3423182848, 3423183199, 'CA', 'Canada'),
(137578, '204.9.161.96', '204.9.161.127', 3423183200, 3423183231, 'BM', 'Bermuda'),
(137579, '204.9.161.128', '204.9.161.159', 3423183232, 3423183263, 'CA', 'Canada'),
(137580, '204.9.161.160', '204.9.161.175', 3423183264, 3423183279, 'EE', 'Estonia'),
(137581, '204.9.161.176', '204.9.163.127', 3423183280, 3423183743, 'CA', 'Canada'),
(137582, '204.9.163.128', '204.9.163.255', 3423183744, 3423183871, 'EE', 'Estonia'),
(137583, '204.9.164.0', '204.9.164.63', 3423183872, 3423183935, 'CA', 'Canada'),
(137584, '204.9.164.64', '204.9.164.95', 3423183936, 3423183967, 'EE', 'Estonia'),
(137585, '204.9.164.96', '204.9.165.47', 3423183968, 3423184175, 'CA', 'Canada'),
(137586, '204.9.165.48', '204.9.165.63', 3423184176, 3423184191, 'US', 'United States'),
(137587, '204.9.165.64', '204.9.165.79', 3423184192, 3423184207, 'CA', 'Canada'),
(137588, '204.9.165.80', '204.9.165.87', 3423184208, 3423184215, 'EE', 'Estonia'),
(137589, '204.9.165.88', '204.9.165.159', 3423184216, 3423184287, 'CA', 'Canada'),
(137590, '204.9.165.160', '204.9.165.191', 3423184288, 3423184319, 'AU', 'Australia'),
(137591, '204.9.165.192', '204.9.167.255', 3423184320, 3423184895, 'CA', 'Canada'),
(137592, '204.9.168.0', '204.9.242.255', 3423184896, 3423204095, 'US', 'United States'),
(137593, '204.9.243.0', '204.9.243.255', 3423204096, 3423204351, 'CA', 'Canada'),
(137594, '204.9.244.0', '204.10.55.255', 3423204352, 3423221759, 'US', 'United States'),
(137595, '204.10.56.0', '204.10.59.255', 3423221760, 3423222783, 'CA', 'Canada'),
(137596, '204.10.60.0', '204.10.109.215', 3423222784, 3423235543, 'US', 'United States'),
(137597, '204.10.109.216', '204.10.109.223', 3423235544, 3423235551, 'TR', 'Turkey'),
(137598, '204.10.109.224', '204.10.109.231', 3423235552, 3423235559, 'US', 'United States'),
(137599, '204.10.109.232', '204.10.109.235', 3423235560, 3423235563, 'TR', 'Turkey'),
(137600, '204.10.109.236', '204.10.110.127', 3423235564, 3423235711, 'US', 'United States'),
(137601, '204.10.110.128', '204.10.110.159', 3423235712, 3423235743, 'CA', 'Canada'),
(137602, '204.10.110.160', '204.10.110.223', 3423235744, 3423235807, 'US', 'United States'),
(137603, '204.10.110.224', '204.10.110.239', 3423235808, 3423235823, 'IN', 'India'),
(137604, '204.10.110.240', '204.10.111.135', 3423235824, 3423235975, 'US', 'United States'),
(137605, '204.10.111.136', '204.10.111.143', 3423235976, 3423235983, 'IL', 'Israel'),
(137606, '204.10.111.144', '204.10.111.255', 3423235984, 3423236095, 'US', 'United States'),
(137607, '204.10.112.0', '204.10.119.255', 3423236096, 3423238143, 'JM', 'Jamaica'),
(137608, '204.10.120.0', '204.10.199.255', 3423238144, 3423258623, 'US', 'United States'),
(137609, '204.10.200.0', '204.10.207.255', 3423258624, 3423260671, 'CA', 'Canada'),
(137610, '204.10.208.0', '204.10.224.63', 3423260672, 3423264831, 'US', 'United States'),
(137611, '204.10.224.64', '204.10.224.95', 3423264832, 3423264863, 'NG', 'Nigeria'),
(137612, '204.10.224.96', '204.10.225.1', 3423264864, 3423265025, 'US', 'United States'),
(137613, '204.10.225.2', '204.10.225.2', 3423265026, 3423265026, 'A2', 'Satellite Provider'),
(137614, '204.10.225.3', '204.10.225.223', 3423265027, 3423265247, 'US', 'United States'),
(137615, '204.10.225.224', '204.10.225.239', 3423265248, 3423265263, 'EC', 'Ecuador'),
(137616, '204.10.225.240', '204.10.231.255', 3423265264, 3423266815, 'US', 'United States'),
(137617, '204.10.240.0', '204.10.243.255', 3423268864, 3423269887, 'CA', 'Canada'),
(137618, '204.10.244.0', '204.11.47.255', 3423269888, 3423285247, 'US', 'United States'),
(137619, '204.11.48.0', '204.11.49.31', 3423285248, 3423285535, 'CA', 'Canada'),
(137620, '204.11.49.32', '204.11.49.39', 3423285536, 3423285543, 'JP', 'Japan'),
(137621, '204.11.49.40', '204.11.49.47', 3423285544, 3423285551, 'CA', 'Canada'),
(137622, '204.11.49.48', '204.11.49.55', 3423285552, 3423285559, 'US', 'United States'),
(137623, '204.11.49.56', '204.11.49.79', 3423285560, 3423285583, 'CA', 'Canada'),
(137624, '204.11.49.80', '204.11.49.87', 3423285584, 3423285591, 'US', 'United States'),
(137625, '204.11.49.88', '204.11.49.143', 3423285592, 3423285647, 'CA', 'Canada'),
(137626, '204.11.49.144', '204.11.49.151', 3423285648, 3423285655, 'US', 'United States'),
(137627, '204.11.49.152', '204.11.49.167', 3423285656, 3423285671, 'CA', 'Canada'),
(137628, '204.11.49.168', '204.11.49.175', 3423285672, 3423285679, 'JP', 'Japan'),
(137629, '204.11.49.176', '204.11.49.199', 3423285680, 3423285703, 'CA', 'Canada'),
(137630, '204.11.49.200', '204.11.49.207', 3423285704, 3423285711, 'TL', 'Timor-Leste'),
(137631, '204.11.49.208', '204.11.50.31', 3423285712, 3423285791, 'CA', 'Canada'),
(137632, '204.11.50.32', '204.11.50.47', 3423285792, 3423285807, 'CR', 'Costa Rica'),
(137633, '204.11.50.48', '204.11.51.159', 3423285808, 3423286175, 'CA', 'Canada'),
(137634, '204.11.51.160', '204.11.51.191', 3423286176, 3423286207, 'US', 'United States'),
(137635, '204.11.51.192', '204.11.55.255', 3423286208, 3423287295, 'CA', 'Canada'),
(137636, '204.11.56.0', '204.11.74.79', 3423287296, 3423291983, 'US', 'United States'),
(137637, '204.11.74.80', '204.11.74.87', 3423291984, 3423291991, 'IL', 'Israel'),
(137638, '204.11.74.88', '204.11.119.255', 3423291992, 3423303679, 'US', 'United States'),
(137639, '204.11.120.0', '204.11.123.255', 3423303680, 3423304703, 'CA', 'Canada'),
(137640, '204.11.124.0', '204.11.151.255', 3423304704, 3423311871, 'US', 'United States'),
(137641, '204.11.152.0', '204.11.156.255', 3423311872, 3423313151, 'VI', 'Virgin Islands, U.S.'),
(137642, '204.11.157.0', '204.11.157.255', 3423313152, 3423313407, 'US', 'United States'),
(137643, '204.11.158.0', '204.11.159.255', 3423313408, 3423313919, 'VI', 'Virgin Islands, U.S.'),
(137644, '204.11.160.0', '204.11.221.31', 3423313920, 3423329567, 'US', 'United States'),
(137645, '204.11.221.32', '204.11.221.63', 3423329568, 3423329599, 'IL', 'Israel'),
(137646, '204.11.221.64', '204.11.221.71', 3423329600, 3423329607, 'US', 'United States'),
(137647, '204.11.221.72', '204.11.221.79', 3423329608, 3423329615, 'IL', 'Israel'),
(137648, '204.11.221.80', '204.12.0.31', 3423329616, 3423338527, 'US', 'United States'),
(137649, '204.12.0.32', '204.12.0.39', 3423338528, 3423338535, 'AE', 'United Arab Emirates'),
(137650, '204.12.0.40', '204.12.1.175', 3423338536, 3423338927, 'US', 'United States'),
(137651, '204.12.1.176', '204.12.1.191', 3423338928, 3423338943, 'DE', 'Germany'),
(137652, '204.12.1.192', '204.12.3.111', 3423338944, 3423339375, 'US', 'United States'),
(137653, '204.12.3.112', '204.12.3.119', 3423339376, 3423339383, 'DE', 'Germany'),
(137654, '204.12.3.120', '204.12.7.111', 3423339384, 3423340399, 'US', 'United States'),
(137655, '204.12.7.112', '204.12.7.119', 3423340400, 3423340407, 'AU', 'Australia'),
(137656, '204.12.7.120', '204.12.9.215', 3423340408, 3423341015, 'US', 'United States'),
(137657, '204.12.9.216', '204.12.9.223', 3423341016, 3423341023, 'CA', 'Canada'),
(137658, '204.12.9.224', '204.12.11.199', 3423341024, 3423341511, 'US', 'United States'),
(137659, '204.12.11.200', '204.12.11.207', 3423341512, 3423341519, 'PE', 'Peru'),
(137660, '204.12.11.208', '204.12.11.231', 3423341520, 3423341543, 'US', 'United States'),
(137661, '204.12.11.232', '204.12.11.239', 3423341544, 3423341551, 'GB', 'United Kingdom'),
(137662, '204.12.11.240', '204.12.11.255', 3423341552, 3423341567, 'US', 'United States'),
(137663, '204.12.12.0', '204.12.12.31', 3423341568, 3423341599, 'GB', 'United Kingdom'),
(137664, '204.12.12.32', '204.12.14.199', 3423341600, 3423342279, 'US', 'United States'),
(137665, '204.12.14.200', '204.12.14.207', 3423342280, 3423342287, 'IL', 'Israel'),
(137666, '204.12.14.208', '204.12.16.39', 3423342288, 3423342631, 'US', 'United States'),
(137667, '204.12.16.40', '204.12.16.47', 3423342632, 3423342639, 'IN', 'India'),
(137668, '204.12.16.48', '204.12.16.167', 3423342640, 3423342759, 'US', 'United States'),
(137669, '204.12.16.168', '204.12.16.183', 3423342760, 3423342775, 'GB', 'United Kingdom'),
(137670, '204.12.16.184', '204.12.17.119', 3423342776, 3423342967, 'US', 'United States'),
(137671, '204.12.17.120', '204.12.17.127', 3423342968, 3423342975, 'AU', 'Australia'),
(137672, '204.12.17.128', '204.12.17.191', 3423342976, 3423343039, 'US', 'United States'),
(137673, '204.12.17.192', '204.12.17.207', 3423343040, 3423343055, 'IN', 'India'),
(137674, '204.12.17.208', '204.12.18.31', 3423343056, 3423343135, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(137675, '204.12.18.32', '204.12.18.47', 3423343136, 3423343151, 'PK', 'Pakistan'),
(137676, '204.12.18.48', '204.12.18.63', 3423343152, 3423343167, 'RO', 'Romania'),
(137677, '204.12.18.64', '204.12.18.223', 3423343168, 3423343327, 'US', 'United States'),
(137678, '204.12.18.224', '204.12.18.239', 3423343328, 3423343343, 'AU', 'Australia'),
(137679, '204.12.18.240', '204.12.21.135', 3423343344, 3423344007, 'US', 'United States'),
(137680, '204.12.21.136', '204.12.21.151', 3423344008, 3423344023, 'CA', 'Canada'),
(137681, '204.12.21.152', '204.12.24.127', 3423344024, 3423344767, 'US', 'United States'),
(137682, '204.12.24.128', '204.12.24.151', 3423344768, 3423344791, 'PK', 'Pakistan'),
(137683, '204.12.24.152', '204.12.24.167', 3423344792, 3423344807, 'CA', 'Canada'),
(137684, '204.12.24.168', '204.12.25.95', 3423344808, 3423344991, 'US', 'United States'),
(137685, '204.12.25.96', '204.12.25.103', 3423344992, 3423344999, 'IE', 'Ireland'),
(137686, '204.12.25.104', '204.12.25.191', 3423345000, 3423345087, 'US', 'United States'),
(137687, '204.12.25.192', '204.12.25.199', 3423345088, 3423345095, 'CA', 'Canada'),
(137688, '204.12.25.200', '204.12.25.215', 3423345096, 3423345111, 'US', 'United States'),
(137689, '204.12.25.216', '204.12.25.223', 3423345112, 3423345119, 'IE', 'Ireland'),
(137690, '204.12.25.224', '204.12.26.247', 3423345120, 3423345399, 'US', 'United States'),
(137691, '204.12.26.248', '204.12.26.255', 3423345400, 3423345407, 'IE', 'Ireland'),
(137692, '204.12.27.0', '204.12.27.23', 3423345408, 3423345431, 'US', 'United States'),
(137693, '204.12.27.24', '204.12.27.31', 3423345432, 3423345439, 'GT', 'Guatemala'),
(137694, '204.12.27.32', '204.12.27.95', 3423345440, 3423345503, 'US', 'United States'),
(137695, '204.12.27.96', '204.12.27.127', 3423345504, 3423345535, 'AU', 'Australia'),
(137696, '204.12.27.128', '204.12.27.143', 3423345536, 3423345551, 'CA', 'Canada'),
(137697, '204.12.27.144', '204.12.27.175', 3423345552, 3423345583, 'US', 'United States'),
(137698, '204.12.27.176', '204.12.27.183', 3423345584, 3423345591, 'JO', 'Jordan'),
(137699, '204.12.27.184', '204.12.27.215', 3423345592, 3423345623, 'US', 'United States'),
(137700, '204.12.27.216', '204.12.27.223', 3423345624, 3423345631, 'GB', 'United Kingdom'),
(137701, '204.12.27.224', '204.12.28.31', 3423345632, 3423345695, 'US', 'United States'),
(137702, '204.12.28.32', '204.12.28.55', 3423345696, 3423345719, 'CA', 'Canada'),
(137703, '204.12.28.56', '204.12.29.207', 3423345720, 3423346127, 'US', 'United States'),
(137704, '204.12.29.208', '204.12.29.223', 3423346128, 3423346143, 'CA', 'Canada'),
(137705, '204.12.29.224', '204.12.30.143', 3423346144, 3423346319, 'US', 'United States'),
(137706, '204.12.30.144', '204.12.30.151', 3423346320, 3423346327, 'DK', 'Denmark'),
(137707, '204.12.30.152', '204.12.30.255', 3423346328, 3423346431, 'US', 'United States'),
(137708, '204.12.31.0', '204.12.31.15', 3423346432, 3423346447, 'GB', 'United Kingdom'),
(137709, '204.12.31.16', '204.12.31.55', 3423346448, 3423346487, 'US', 'United States'),
(137710, '204.12.31.56', '204.12.31.63', 3423346488, 3423346495, 'AE', 'United Arab Emirates'),
(137711, '204.12.31.64', '204.12.31.71', 3423346496, 3423346503, 'SA', 'Saudi Arabia'),
(137712, '204.12.31.72', '204.12.32.143', 3423346504, 3423346831, 'US', 'United States'),
(137713, '204.12.32.144', '204.12.32.159', 3423346832, 3423346847, 'IM', 'Isle of Man'),
(137714, '204.12.32.160', '204.12.32.255', 3423346848, 3423346943, 'US', 'United States'),
(137715, '204.12.33.0', '204.12.33.7', 3423346944, 3423346951, 'CA', 'Canada'),
(137716, '204.12.33.8', '204.12.33.39', 3423346952, 3423346983, 'US', 'United States'),
(137717, '204.12.33.40', '204.12.33.47', 3423346984, 3423346991, 'AE', 'United Arab Emirates'),
(137718, '204.12.33.48', '204.12.33.55', 3423346992, 3423346999, 'AU', 'Australia'),
(137719, '204.12.33.56', '204.12.34.7', 3423347000, 3423347207, 'US', 'United States'),
(137720, '204.12.34.8', '204.12.34.31', 3423347208, 3423347231, 'CA', 'Canada'),
(137721, '204.12.34.32', '204.12.34.247', 3423347232, 3423347447, 'US', 'United States'),
(137722, '204.12.34.248', '204.12.34.255', 3423347448, 3423347455, 'CA', 'Canada'),
(137723, '204.12.35.0', '204.12.35.47', 3423347456, 3423347503, 'US', 'United States'),
(137724, '204.12.35.48', '204.12.35.63', 3423347504, 3423347519, 'DE', 'Germany'),
(137725, '204.12.35.64', '204.12.35.183', 3423347520, 3423347639, 'US', 'United States'),
(137726, '204.12.35.184', '204.12.35.207', 3423347640, 3423347663, 'GB', 'United Kingdom'),
(137727, '204.12.35.208', '204.12.36.71', 3423347664, 3423347783, 'US', 'United States'),
(137728, '204.12.36.72', '204.12.36.79', 3423347784, 3423347791, 'SA', 'Saudi Arabia'),
(137729, '204.12.36.80', '204.12.36.111', 3423347792, 3423347823, 'US', 'United States'),
(137730, '204.12.36.112', '204.12.36.119', 3423347824, 3423347831, 'FR', 'France'),
(137731, '204.12.36.120', '204.12.36.167', 3423347832, 3423347879, 'US', 'United States'),
(137732, '204.12.36.168', '204.12.36.191', 3423347880, 3423347903, 'CA', 'Canada'),
(137733, '204.12.36.192', '204.12.36.207', 3423347904, 3423347919, 'US', 'United States'),
(137734, '204.12.36.208', '204.12.36.215', 3423347920, 3423347927, 'AU', 'Australia'),
(137735, '204.12.36.216', '204.12.36.239', 3423347928, 3423347951, 'US', 'United States'),
(137736, '204.12.36.240', '204.12.36.247', 3423347952, 3423347959, 'TH', 'Thailand'),
(137737, '204.12.36.248', '204.12.37.39', 3423347960, 3423348007, 'US', 'United States'),
(137738, '204.12.37.40', '204.12.37.55', 3423348008, 3423348023, 'GB', 'United Kingdom'),
(137739, '204.12.37.56', '204.12.37.103', 3423348024, 3423348071, 'US', 'United States'),
(137740, '204.12.37.104', '204.12.37.127', 3423348072, 3423348095, 'AU', 'Australia'),
(137741, '204.12.37.128', '204.12.41.127', 3423348096, 3423349119, 'US', 'United States'),
(137742, '204.12.41.128', '204.12.41.143', 3423349120, 3423349135, 'IT', 'Italy'),
(137743, '204.12.41.144', '204.12.41.255', 3423349136, 3423349247, 'US', 'United States'),
(137744, '204.12.42.0', '204.12.42.15', 3423349248, 3423349263, 'AU', 'Australia'),
(137745, '204.12.42.16', '204.12.42.47', 3423349264, 3423349295, 'US', 'United States'),
(137746, '204.12.42.48', '204.12.42.55', 3423349296, 3423349303, 'AU', 'Australia'),
(137747, '204.12.42.56', '204.12.42.79', 3423349304, 3423349327, 'US', 'United States'),
(137748, '204.12.42.80', '204.12.42.87', 3423349328, 3423349335, 'DE', 'Germany'),
(137749, '204.12.42.88', '204.12.42.111', 3423349336, 3423349359, 'US', 'United States'),
(137750, '204.12.42.112', '204.12.42.135', 3423349360, 3423349383, 'DE', 'Germany'),
(137751, '204.12.42.136', '204.12.43.175', 3423349384, 3423349679, 'US', 'United States'),
(137752, '204.12.43.176', '204.12.43.183', 3423349680, 3423349687, 'IL', 'Israel'),
(137753, '204.12.43.184', '204.12.47.135', 3423349688, 3423350663, 'US', 'United States'),
(137754, '204.12.47.136', '204.12.47.143', 3423350664, 3423350671, 'AU', 'Australia'),
(137755, '204.12.47.144', '204.12.47.191', 3423350672, 3423350719, 'US', 'United States'),
(137756, '204.12.47.192', '204.12.47.199', 3423350720, 3423350727, 'CA', 'Canada'),
(137757, '204.12.47.200', '204.12.47.207', 3423350728, 3423350735, 'US', 'United States'),
(137758, '204.12.47.208', '204.12.47.215', 3423350736, 3423350743, 'SA', 'Saudi Arabia'),
(137759, '204.12.47.216', '204.12.50.255', 3423350744, 3423351551, 'US', 'United States'),
(137760, '204.12.51.0', '204.12.51.63', 3423351552, 3423351615, 'PR', 'Puerto Rico'),
(137761, '204.12.51.64', '204.12.52.23', 3423351616, 3423351831, 'US', 'United States'),
(137762, '204.12.52.24', '204.12.52.31', 3423351832, 3423351839, 'AU', 'Australia'),
(137763, '204.12.52.32', '204.12.52.215', 3423351840, 3423352023, 'US', 'United States'),
(137764, '204.12.52.216', '204.12.52.239', 3423352024, 3423352047, 'CA', 'Canada'),
(137765, '204.12.52.240', '204.12.52.255', 3423352048, 3423352063, 'GB', 'United Kingdom'),
(137766, '204.12.53.0', '204.12.53.7', 3423352064, 3423352071, 'US', 'United States'),
(137767, '204.12.53.8', '204.12.53.15', 3423352072, 3423352079, 'CA', 'Canada'),
(137768, '204.12.53.16', '204.12.53.191', 3423352080, 3423352255, 'US', 'United States'),
(137769, '204.12.53.192', '204.12.53.207', 3423352256, 3423352271, 'CA', 'Canada'),
(137770, '204.12.53.208', '204.12.54.119', 3423352272, 3423352439, 'US', 'United States'),
(137771, '204.12.54.120', '204.12.54.127', 3423352440, 3423352447, 'IL', 'Israel'),
(137772, '204.12.54.128', '204.12.54.175', 3423352448, 3423352495, 'US', 'United States'),
(137773, '204.12.54.176', '204.12.54.183', 3423352496, 3423352503, 'CA', 'Canada'),
(137774, '204.12.54.184', '204.12.54.191', 3423352504, 3423352511, 'IL', 'Israel'),
(137775, '204.12.54.192', '204.12.55.103', 3423352512, 3423352679, 'US', 'United States'),
(137776, '204.12.55.104', '204.12.55.111', 3423352680, 3423352687, 'NL', 'Netherlands'),
(137777, '204.12.55.112', '204.12.55.119', 3423352688, 3423352695, 'US', 'United States'),
(137778, '204.12.55.120', '204.12.55.127', 3423352696, 3423352703, 'MX', 'Mexico'),
(137779, '204.12.55.128', '204.12.55.135', 3423352704, 3423352711, 'BR', 'Brazil'),
(137780, '204.12.55.136', '204.12.56.199', 3423352712, 3423353031, 'US', 'United States'),
(137781, '204.12.56.200', '204.12.56.207', 3423353032, 3423353039, 'AU', 'Australia'),
(137782, '204.12.56.208', '204.12.57.55', 3423353040, 3423353143, 'US', 'United States'),
(137783, '204.12.57.56', '204.12.57.63', 3423353144, 3423353151, 'KH', 'Cambodia'),
(137784, '204.12.57.64', '204.12.57.207', 3423353152, 3423353295, 'US', 'United States'),
(137785, '204.12.57.208', '204.12.57.215', 3423353296, 3423353303, 'BR', 'Brazil'),
(137786, '204.12.57.216', '204.12.58.7', 3423353304, 3423353351, 'US', 'United States'),
(137787, '204.12.58.8', '204.12.58.23', 3423353352, 3423353367, 'PA', 'Panama'),
(137788, '204.12.58.24', '204.12.58.127', 3423353368, 3423353471, 'US', 'United States'),
(137789, '204.12.58.128', '204.12.58.135', 3423353472, 3423353479, 'KH', 'Cambodia'),
(137790, '204.12.58.136', '204.12.58.159', 3423353480, 3423353503, 'US', 'United States'),
(137791, '204.12.58.160', '204.12.58.167', 3423353504, 3423353511, 'GB', 'United Kingdom'),
(137792, '204.12.58.168', '204.12.58.199', 3423353512, 3423353543, 'US', 'United States'),
(137793, '204.12.58.200', '204.12.58.207', 3423353544, 3423353551, 'IN', 'India'),
(137794, '204.12.58.208', '204.12.59.191', 3423353552, 3423353791, 'US', 'United States'),
(137795, '204.12.59.192', '204.12.59.207', 3423353792, 3423353807, 'GB', 'United Kingdom'),
(137796, '204.12.59.208', '204.12.59.255', 3423353808, 3423353855, 'US', 'United States'),
(137797, '204.12.60.0', '204.12.60.15', 3423353856, 3423353871, 'CA', 'Canada'),
(137798, '204.12.60.16', '204.12.60.63', 3423353872, 3423353919, 'US', 'United States'),
(137799, '204.12.60.64', '204.12.60.71', 3423353920, 3423353927, 'BB', 'Barbados'),
(137800, '204.12.60.72', '204.12.60.175', 3423353928, 3423354031, 'US', 'United States'),
(137801, '204.12.60.176', '204.12.60.183', 3423354032, 3423354039, 'IL', 'Israel'),
(137802, '204.12.60.184', '204.12.60.191', 3423354040, 3423354047, 'PT', 'Portugal'),
(137803, '204.12.60.192', '204.12.60.207', 3423354048, 3423354063, 'PK', 'Pakistan'),
(137804, '204.12.60.208', '204.12.60.239', 3423354064, 3423354095, 'US', 'United States'),
(137805, '204.12.60.240', '204.12.60.247', 3423354096, 3423354103, 'CA', 'Canada'),
(137806, '204.12.60.248', '204.12.61.31', 3423354104, 3423354143, 'US', 'United States'),
(137807, '204.12.61.32', '204.12.61.95', 3423354144, 3423354207, 'CA', 'Canada'),
(137808, '204.12.61.96', '204.12.61.223', 3423354208, 3423354335, 'US', 'United States'),
(137809, '204.12.61.224', '204.12.61.247', 3423354336, 3423354359, 'PE', 'Peru'),
(137810, '204.12.61.248', '204.12.62.215', 3423354360, 3423354583, 'US', 'United States'),
(137811, '204.12.62.216', '204.12.62.223', 3423354584, 3423354591, 'AU', 'Australia'),
(137812, '204.12.62.224', '204.12.62.255', 3423354592, 3423354623, 'GB', 'United Kingdom'),
(137813, '204.12.63.0', '204.12.63.31', 3423354624, 3423354655, 'US', 'United States'),
(137814, '204.12.63.32', '204.12.63.39', 3423354656, 3423354663, 'AE', 'United Arab Emirates'),
(137815, '204.12.63.40', '204.12.63.95', 3423354664, 3423354719, 'US', 'United States'),
(137816, '204.12.63.96', '204.12.63.103', 3423354720, 3423354727, 'BR', 'Brazil'),
(137817, '204.12.63.104', '204.12.63.159', 3423354728, 3423354783, 'US', 'United States'),
(137818, '204.12.63.160', '204.12.63.167', 3423354784, 3423354791, 'PA', 'Panama'),
(137819, '204.12.63.168', '204.12.68.183', 3423354792, 3423356087, 'US', 'United States'),
(137820, '204.12.68.184', '204.12.68.215', 3423356088, 3423356119, 'BR', 'Brazil'),
(137821, '204.12.68.216', '204.12.69.127', 3423356120, 3423356287, 'US', 'United States'),
(137822, '204.12.69.128', '204.12.69.159', 3423356288, 3423356319, 'CA', 'Canada'),
(137823, '204.12.69.160', '204.12.69.223', 3423356320, 3423356383, 'US', 'United States'),
(137824, '204.12.69.224', '204.12.69.239', 3423356384, 3423356399, 'IN', 'India'),
(137825, '204.12.69.240', '204.12.72.183', 3423356400, 3423357111, 'US', 'United States'),
(137826, '204.12.72.184', '204.12.72.199', 3423357112, 3423357127, 'AE', 'United Arab Emirates'),
(137827, '204.12.72.200', '204.12.74.71', 3423357128, 3423357511, 'US', 'United States'),
(137828, '204.12.74.72', '204.12.74.79', 3423357512, 3423357519, 'DE', 'Germany'),
(137829, '204.12.74.80', '204.12.75.143', 3423357520, 3423357839, 'US', 'United States'),
(137830, '204.12.75.144', '204.12.75.159', 3423357840, 3423357855, 'IN', 'India'),
(137831, '204.12.75.160', '204.12.75.167', 3423357856, 3423357863, 'US', 'United States'),
(137832, '204.12.75.168', '204.12.75.175', 3423357864, 3423357871, 'AE', 'United Arab Emirates'),
(137833, '204.12.75.176', '204.12.87.255', 3423357872, 3423361023, 'US', 'United States'),
(137834, '204.12.88.0', '204.12.88.255', 3423361024, 3423361279, 'AU', 'Australia'),
(137835, '204.12.89.0', '204.12.97.135', 3423361280, 3423363463, 'US', 'United States'),
(137836, '204.12.97.136', '204.12.97.143', 3423363464, 3423363471, 'AU', 'Australia'),
(137837, '204.12.97.144', '204.12.97.159', 3423363472, 3423363487, 'CA', 'Canada'),
(137838, '204.12.97.160', '204.12.97.183', 3423363488, 3423363511, 'US', 'United States'),
(137839, '204.12.97.184', '204.12.97.191', 3423363512, 3423363519, 'MX', 'Mexico'),
(137840, '204.12.97.192', '204.12.97.239', 3423363520, 3423363567, 'US', 'United States'),
(137841, '204.12.97.240', '204.12.97.255', 3423363568, 3423363583, 'ZA', 'South Africa'),
(137842, '204.12.98.0', '204.12.98.31', 3423363584, 3423363615, 'US', 'United States'),
(137843, '204.12.98.32', '204.12.98.47', 3423363616, 3423363631, 'AU', 'Australia'),
(137844, '204.12.98.48', '204.12.106.143', 3423363632, 3423365775, 'US', 'United States'),
(137845, '204.12.106.144', '204.12.106.151', 3423365776, 3423365783, 'CA', 'Canada'),
(137846, '204.12.106.152', '204.12.107.15', 3423365784, 3423365903, 'US', 'United States'),
(137847, '204.12.107.16', '204.12.107.23', 3423365904, 3423365911, 'AE', 'United Arab Emirates'),
(137848, '204.12.107.24', '204.12.107.239', 3423365912, 3423366127, 'US', 'United States'),
(137849, '204.12.107.240', '204.12.107.247', 3423366128, 3423366135, 'SA', 'Saudi Arabia'),
(137850, '204.12.107.248', '204.12.108.79', 3423366136, 3423366223, 'US', 'United States'),
(137851, '204.12.108.80', '204.12.108.95', 3423366224, 3423366239, 'AU', 'Australia'),
(137852, '204.12.108.96', '204.12.108.151', 3423366240, 3423366295, 'US', 'United States'),
(137853, '204.12.108.152', '204.12.108.159', 3423366296, 3423366303, 'CA', 'Canada'),
(137854, '204.12.108.160', '204.12.108.207', 3423366304, 3423366351, 'US', 'United States'),
(137855, '204.12.108.208', '204.12.108.223', 3423366352, 3423366367, 'AU', 'Australia'),
(137856, '204.12.108.224', '204.12.109.79', 3423366368, 3423366479, 'US', 'United States'),
(137857, '204.12.109.80', '204.12.109.95', 3423366480, 3423366495, 'IT', 'Italy'),
(137858, '204.12.109.96', '204.12.110.47', 3423366496, 3423366703, 'US', 'United States'),
(137859, '204.12.110.48', '204.12.110.55', 3423366704, 3423366711, 'GB', 'United Kingdom'),
(137860, '204.12.110.56', '204.12.110.199', 3423366712, 3423366855, 'US', 'United States'),
(137861, '204.12.110.200', '204.12.110.215', 3423366856, 3423366871, 'BR', 'Brazil'),
(137862, '204.12.110.216', '204.12.111.79', 3423366872, 3423366991, 'US', 'United States'),
(137863, '204.12.111.80', '204.12.111.87', 3423366992, 3423366999, 'CA', 'Canada'),
(137864, '204.12.111.88', '204.12.112.55', 3423367000, 3423367223, 'US', 'United States'),
(137865, '204.12.112.56', '204.12.112.63', 3423367224, 3423367231, 'AU', 'Australia'),
(137866, '204.12.112.64', '204.12.112.111', 3423367232, 3423367279, 'US', 'United States'),
(137867, '204.12.112.112', '204.12.112.135', 3423367280, 3423367303, 'BR', 'Brazil'),
(137868, '204.12.112.136', '204.12.112.143', 3423367304, 3423367311, 'AU', 'Australia'),
(137869, '204.12.112.144', '204.12.112.175', 3423367312, 3423367343, 'US', 'United States'),
(137870, '204.12.112.176', '204.12.112.191', 3423367344, 3423367359, 'NL', 'Netherlands'),
(137871, '204.12.112.192', '204.12.112.199', 3423367360, 3423367367, 'US', 'United States'),
(137872, '204.12.112.200', '204.12.112.207', 3423367368, 3423367375, 'GB', 'United Kingdom'),
(137873, '204.12.112.208', '204.12.114.127', 3423367376, 3423367807, 'US', 'United States'),
(137874, '204.12.114.128', '204.12.114.143', 3423367808, 3423367823, 'IT', 'Italy'),
(137875, '204.12.114.144', '204.12.114.151', 3423367824, 3423367831, 'US', 'United States'),
(137876, '204.12.114.152', '204.12.114.167', 3423367832, 3423367847, 'MX', 'Mexico'),
(137877, '204.12.114.168', '204.12.114.223', 3423367848, 3423367903, 'US', 'United States'),
(137878, '204.12.114.224', '204.12.114.239', 3423367904, 3423367919, 'IL', 'Israel'),
(137879, '204.12.114.240', '204.12.115.47', 3423367920, 3423367983, 'US', 'United States'),
(137880, '204.12.115.48', '204.12.115.71', 3423367984, 3423368007, 'CA', 'Canada'),
(137881, '204.12.115.72', '204.12.115.167', 3423368008, 3423368103, 'US', 'United States'),
(137882, '204.12.115.168', '204.12.115.175', 3423368104, 3423368111, 'CA', 'Canada'),
(137883, '204.12.115.176', '204.12.115.207', 3423368112, 3423368143, 'US', 'United States'),
(137884, '204.12.115.208', '204.12.115.231', 3423368144, 3423368167, 'IL', 'Israel'),
(137885, '204.12.115.232', '204.12.116.63', 3423368168, 3423368255, 'US', 'United States'),
(137886, '204.12.116.64', '204.12.116.95', 3423368256, 3423368287, 'CA', 'Canada'),
(137887, '204.12.116.96', '204.12.116.127', 3423368288, 3423368319, 'US', 'United States'),
(137888, '204.12.116.128', '204.12.116.135', 3423368320, 3423368327, 'CA', 'Canada'),
(137889, '204.12.116.136', '204.12.119.111', 3423368328, 3423369071, 'US', 'United States'),
(137890, '204.12.119.112', '204.12.119.199', 3423369072, 3423369159, 'CA', 'Canada'),
(137891, '204.12.119.200', '204.12.120.111', 3423369160, 3423369327, 'US', 'United States'),
(137892, '204.12.120.112', '204.12.120.127', 3423369328, 3423369343, 'BR', 'Brazil'),
(137893, '204.12.120.128', '204.12.121.119', 3423369344, 3423369591, 'US', 'United States'),
(137894, '204.12.121.120', '204.12.121.127', 3423369592, 3423369599, 'BR', 'Brazil'),
(137895, '204.12.121.128', '204.12.121.247', 3423369600, 3423369719, 'US', 'United States'),
(137896, '204.12.121.248', '204.12.121.255', 3423369720, 3423369727, 'AU', 'Australia'),
(137897, '204.12.122.0', '204.12.123.7', 3423369728, 3423369991, 'US', 'United States'),
(137898, '204.12.123.8', '204.12.123.15', 3423369992, 3423369999, 'CA', 'Canada'),
(137899, '204.12.123.16', '204.12.123.31', 3423370000, 3423370015, 'US', 'United States'),
(137900, '204.12.123.32', '204.12.123.47', 3423370016, 3423370031, 'CA', 'Canada'),
(137901, '204.12.123.48', '204.12.124.63', 3423370032, 3423370303, 'US', 'United States'),
(137902, '204.12.124.64', '204.12.124.79', 3423370304, 3423370319, 'IL', 'Israel'),
(137903, '204.12.124.80', '204.12.125.55', 3423370320, 3423370551, 'US', 'United States'),
(137904, '204.12.125.56', '204.12.125.63', 3423370552, 3423370559, 'IE', 'Ireland'),
(137905, '204.12.125.64', '204.12.125.223', 3423370560, 3423370719, 'US', 'United States'),
(137906, '204.12.125.224', '204.12.125.231', 3423370720, 3423370727, 'VG', 'Virgin Islands, British'),
(137907, '204.12.125.232', '204.12.126.103', 3423370728, 3423370855, 'US', 'United States'),
(137908, '204.12.126.104', '204.12.126.111', 3423370856, 3423370863, 'BR', 'Brazil'),
(137909, '204.12.126.112', '204.12.126.119', 3423370864, 3423370871, 'US', 'United States'),
(137910, '204.12.126.120', '204.12.126.127', 3423370872, 3423370879, 'VG', 'Virgin Islands, British'),
(137911, '204.12.126.128', '204.12.127.255', 3423370880, 3423371263, 'US', 'United States'),
(137912, '204.12.128.0', '204.12.143.255', 3423371264, 3423375359, 'ZA', 'South Africa'),
(137913, '204.12.144.0', '204.12.150.255', 3423375360, 3423377151, 'CA', 'Canada'),
(137914, '204.12.151.0', '204.12.151.255', 3423377152, 3423377407, 'US', 'United States'),
(137915, '204.12.152.0', '204.12.154.255', 3423377408, 3423378175, 'CA', 'Canada'),
(137916, '204.12.155.0', '204.12.155.127', 3423378176, 3423378303, 'US', 'United States'),
(137917, '204.12.155.128', '204.12.155.255', 3423378304, 3423378431, 'CA', 'Canada'),
(137918, '204.12.156.0', '204.12.157.255', 3423378432, 3423378943, 'US', 'United States'),
(137919, '204.12.158.0', '204.12.159.255', 3423378944, 3423379455, 'CA', 'Canada'),
(137920, '204.12.160.0', '204.12.216.111', 3423379456, 3423393903, 'US', 'United States'),
(137921, '204.12.216.112', '204.12.216.119', 3423393904, 3423393911, 'RU', 'Russian Federation'),
(137922, '204.12.216.120', '204.12.226.135', 3423393912, 3423396487, 'US', 'United States'),
(137923, '204.12.226.136', '204.12.226.143', 3423396488, 3423396495, 'RU', 'Russian Federation'),
(137924, '204.12.226.144', '204.12.235.183', 3423396496, 3423398839, 'US', 'United States'),
(137925, '204.12.235.184', '204.12.235.191', 3423398840, 3423398847, 'RU', 'Russian Federation'),
(137926, '204.12.235.192', '204.12.243.151', 3423398848, 3423400855, 'US', 'United States'),
(137927, '204.12.243.152', '204.12.243.167', 3423400856, 3423400871, 'RU', 'Russian Federation'),
(137928, '204.12.243.168', '204.12.244.119', 3423400872, 3423401079, 'US', 'United States'),
(137929, '204.12.244.120', '204.12.244.127', 3423401080, 3423401087, 'RU', 'Russian Federation'),
(137930, '204.12.244.128', '204.12.244.191', 3423401088, 3423401151, 'US', 'United States'),
(137931, '204.12.244.192', '204.12.244.199', 3423401152, 3423401159, 'RU', 'Russian Federation'),
(137932, '204.12.244.200', '204.12.244.223', 3423401160, 3423401183, 'US', 'United States'),
(137933, '204.12.244.224', '204.12.244.231', 3423401184, 3423401191, 'RU', 'Russian Federation'),
(137934, '204.12.244.232', '204.12.251.191', 3423401192, 3423402943, 'US', 'United States'),
(137935, '204.12.251.192', '204.12.251.199', 3423402944, 3423402951, 'RU', 'Russian Federation'),
(137936, '204.12.251.200', '204.13.47.255', 3423402952, 3423416319, 'US', 'United States'),
(137937, '204.13.48.0', '204.13.51.255', 3423416320, 3423417343, 'CA', 'Canada'),
(137938, '204.13.52.0', '204.13.228.255', 3423417344, 3423462655, 'US', 'United States'),
(137939, '204.13.229.0', '204.13.229.15', 3423462656, 3423462671, 'CA', 'Canada'),
(137940, '204.13.229.16', '204.14.15.255', 3423462672, 3423473663, 'US', 'United States'),
(137941, '204.14.16.0', '204.14.19.223', 3423473664, 3423474655, 'CA', 'Canada'),
(137942, '204.14.19.224', '204.14.19.239', 3423474656, 3423474671, 'CY', 'Cyprus'),
(137943, '204.14.19.240', '204.14.19.255', 3423474672, 3423474687, 'CA', 'Canada'),
(137944, '204.14.20.0', '204.14.39.255', 3423474688, 3423479807, 'US', 'United States'),
(137945, '204.14.40.0', '204.14.43.255', 3423479808, 3423480831, 'A2', 'Satellite Provider'),
(137946, '204.14.44.0', '204.14.44.155', 3423480832, 3423480987, 'NG', 'Nigeria'),
(137947, '204.14.44.156', '204.14.44.156', 3423480988, 3423480988, 'US', 'United States'),
(137948, '204.14.44.157', '204.14.45.255', 3423480989, 3423481343, 'NG', 'Nigeria'),
(137949, '204.14.46.0', '204.14.47.255', 3423481344, 3423481855, 'A2', 'Satellite Provider'),
(137950, '204.14.48.0', '204.14.93.255', 3423481856, 3423493631, 'US', 'United States'),
(137951, '204.14.94.0', '204.14.94.255', 3423493632, 3423493887, 'RU', 'Russian Federation'),
(137952, '204.14.95.0', '204.14.95.15', 3423493888, 3423493903, 'ID', 'Indonesia'),
(137953, '204.14.95.16', '204.14.95.23', 3423493904, 3423493911, 'US', 'United States'),
(137954, '204.14.95.24', '204.14.95.31', 3423493912, 3423493919, 'TT', 'Trinidad and Tobago'),
(137955, '204.14.95.32', '204.14.95.79', 3423493920, 3423493967, 'US', 'United States'),
(137956, '204.14.95.80', '204.14.95.87', 3423493968, 3423493975, 'AT', 'Austria'),
(137957, '204.14.95.88', '204.14.247.255', 3423493976, 3423533055, 'US', 'United States'),
(137958, '204.14.248.0', '204.14.255.255', 3423533056, 3423535103, 'AI', 'Anguilla'),
(137959, '204.15.0.0', '204.15.19.119', 3423535104, 3423540087, 'US', 'United States'),
(137960, '204.15.19.120', '204.15.19.127', 3423540088, 3423540095, 'HN', 'Honduras'),
(137961, '204.15.19.128', '204.15.19.207', 3423540096, 3423540175, 'US', 'United States'),
(137962, '204.15.19.208', '204.15.19.215', 3423540176, 3423540183, 'HN', 'Honduras'),
(137963, '204.15.19.216', '204.15.31.255', 3423540184, 3423543295, 'US', 'United States'),
(137964, '204.15.32.0', '204.15.36.175', 3423543296, 3423544495, 'CA', 'Canada'),
(137965, '204.15.36.176', '204.15.36.191', 3423544496, 3423544511, 'US', 'United States'),
(137966, '204.15.36.192', '204.15.39.255', 3423544512, 3423545343, 'CA', 'Canada'),
(137967, '204.15.40.0', '204.15.74.135', 3423545344, 3423554183, 'US', 'United States'),
(137968, '204.15.74.136', '204.15.74.143', 3423554184, 3423554191, 'CA', 'Canada'),
(137969, '204.15.74.144', '204.15.74.223', 3423554192, 3423554271, 'US', 'United States'),
(137970, '204.15.74.224', '204.15.74.231', 3423554272, 3423554279, 'GB', 'United Kingdom'),
(137971, '204.15.74.232', '204.15.76.199', 3423554280, 3423554759, 'US', 'United States'),
(137972, '204.15.76.200', '204.15.76.207', 3423554760, 3423554767, 'CA', 'Canada'),
(137973, '204.15.76.208', '204.15.143.255', 3423554768, 3423571967, 'US', 'United States'),
(137974, '204.15.144.0', '204.15.151.255', 3423571968, 3423574015, 'PR', 'Puerto Rico'),
(137975, '204.15.152.0', '204.15.183.255', 3423574016, 3423582207, 'US', 'United States'),
(137976, '204.15.184.0', '204.15.192.15', 3423582208, 3423584271, 'CA', 'Canada'),
(137977, '204.15.192.16', '204.15.192.23', 3423584272, 3423584279, 'US', 'United States'),
(137978, '204.15.192.24', '204.15.192.79', 3423584280, 3423584335, 'CA', 'Canada'),
(137979, '204.15.192.80', '204.15.192.95', 3423584336, 3423584351, 'US', 'United States'),
(137980, '204.15.192.96', '204.15.192.103', 3423584352, 3423584359, 'AU', 'Australia'),
(137981, '204.15.192.104', '204.15.192.111', 3423584360, 3423584367, 'CA', 'Canada'),
(137982, '204.15.192.112', '204.15.192.119', 3423584368, 3423584375, 'US', 'United States'),
(137983, '204.15.192.120', '204.15.192.151', 3423584376, 3423584407, 'CA', 'Canada'),
(137984, '204.15.192.152', '204.15.192.159', 3423584408, 3423584415, 'US', 'United States'),
(137985, '204.15.192.160', '204.15.192.167', 3423584416, 3423584423, 'CA', 'Canada'),
(137986, '204.15.192.168', '204.15.192.175', 3423584424, 3423584431, 'US', 'United States'),
(137987, '204.15.192.176', '204.15.192.191', 3423584432, 3423584447, 'CA', 'Canada'),
(137988, '204.15.192.192', '204.15.192.199', 3423584448, 3423584455, 'US', 'United States'),
(137989, '204.15.192.200', '204.15.193.207', 3423584456, 3423584719, 'CA', 'Canada'),
(137990, '204.15.193.208', '204.15.193.223', 3423584720, 3423584735, 'US', 'United States'),
(137991, '204.15.193.224', '204.15.193.239', 3423584736, 3423584751, 'CA', 'Canada'),
(137992, '204.15.193.240', '204.15.193.255', 3423584752, 3423584767, 'US', 'United States'),
(137993, '204.15.194.0', '204.15.196.255', 3423584768, 3423585535, 'CA', 'Canada'),
(137994, '204.15.197.0', '204.15.197.15', 3423585536, 3423585551, 'MY', 'Malaysia'),
(137995, '204.15.197.16', '204.15.197.239', 3423585552, 3423585775, 'CA', 'Canada'),
(137996, '204.15.197.240', '204.15.197.255', 3423585776, 3423585791, 'MY', 'Malaysia'),
(137997, '204.15.198.0', '204.15.198.119', 3423585792, 3423585911, 'CA', 'Canada'),
(137998, '204.15.198.120', '204.15.198.127', 3423585912, 3423585919, 'ES', 'Spain'),
(137999, '204.15.198.128', '204.15.198.135', 3423585920, 3423585927, 'CA', 'Canada'),
(138000, '204.15.198.136', '204.15.198.143', 3423585928, 3423585935, 'NZ', 'New Zealand'),
(138001, '204.15.198.144', '204.15.198.207', 3423585936, 3423585999, 'CA', 'Canada'),
(138002, '204.15.198.208', '204.15.198.215', 3423586000, 3423586007, 'US', 'United States'),
(138003, '204.15.198.216', '204.15.198.223', 3423586008, 3423586015, 'NZ', 'New Zealand'),
(138004, '204.15.198.224', '204.15.198.239', 3423586016, 3423586031, 'US', 'United States'),
(138005, '204.15.198.240', '204.15.198.247', 3423586032, 3423586039, 'NZ', 'New Zealand'),
(138006, '204.15.198.248', '204.15.199.111', 3423586040, 3423586159, 'CA', 'Canada'),
(138007, '204.15.199.112', '204.15.199.119', 3423586160, 3423586167, 'MY', 'Malaysia'),
(138008, '204.15.199.120', '204.15.199.255', 3423586168, 3423586303, 'CA', 'Canada'),
(138009, '204.15.200.0', '204.15.211.31', 3423586304, 3423589151, 'US', 'United States'),
(138010, '204.15.211.32', '204.15.211.39', 3423589152, 3423589159, 'GB', 'United Kingdom'),
(138011, '204.15.211.40', '204.15.217.215', 3423589160, 3423590871, 'US', 'United States'),
(138012, '204.15.217.216', '204.15.217.223', 3423590872, 3423590879, 'HT', 'Haiti'),
(138013, '204.15.217.224', '204.15.218.231', 3423590880, 3423591143, 'US', 'United States'),
(138014, '204.15.218.232', '204.15.218.239', 3423591144, 3423591151, 'HN', 'Honduras'),
(138015, '204.15.218.240', '204.15.224.151', 3423591152, 3423592599, 'US', 'United States'),
(138016, '204.15.224.152', '204.15.224.159', 3423592600, 3423592607, 'ES', 'Spain'),
(138017, '204.15.224.160', '204.15.224.239', 3423592608, 3423592687, 'US', 'United States'),
(138018, '204.15.224.240', '204.15.224.255', 3423592688, 3423592703, 'CA', 'Canada'),
(138019, '204.15.225.0', '204.15.225.35', 3423592704, 3423592739, 'US', 'United States'),
(138020, '204.15.225.36', '204.15.225.51', 3423592740, 3423592755, 'CA', 'Canada'),
(138021, '204.15.225.52', '204.15.225.191', 3423592756, 3423592895, 'US', 'United States'),
(138022, '204.15.225.192', '204.15.225.207', 3423592896, 3423592911, 'IL', 'Israel'),
(138023, '204.15.225.208', '204.16.7.255', 3423592912, 3423602687, 'US', 'United States'),
(138024, '204.16.8.0', '204.16.11.255', 3423602688, 3423603711, 'KN', 'Saint Kitts and Nevis'),
(138025, '204.16.12.0', '204.16.16.231', 3423603712, 3423604967, 'US', 'United States'),
(138026, '204.16.16.232', '204.16.16.239', 3423604968, 3423604975, 'BZ', 'Belize'),
(138027, '204.16.16.240', '204.16.19.255', 3423604976, 3423605759, 'US', 'United States'),
(138028, '204.16.24.0', '204.16.99.255', 3423606784, 3423626239, 'US', 'United States'),
(138029, '204.16.100.0', '204.16.103.255', 3423626240, 3423627263, 'CA', 'Canada'),
(138030, '204.16.104.0', '204.16.111.255', 3423627264, 3423629311, 'US', 'United States'),
(138031, '204.16.124.0', '204.16.127.255', 3423632384, 3423633407, 'A2', 'Satellite Provider'),
(138032, '204.16.128.0', '204.16.143.255', 3423633408, 3423637503, 'US', 'United States'),
(138033, '204.16.144.0', '204.16.151.255', 3423637504, 3423639551, 'CA', 'Canada'),
(138034, '204.16.152.0', '204.16.199.255', 3423639552, 3423651839, 'US', 'United States'),
(138035, '204.16.200.0', '204.16.200.127', 3423651840, 3423651967, 'CA', 'Canada'),
(138036, '204.16.200.128', '204.16.200.159', 3423651968, 3423651999, 'US', 'United States'),
(138037, '204.16.200.160', '204.16.207.255', 3423652000, 3423653887, 'CA', 'Canada'),
(138038, '204.16.208.0', '204.17.153.255', 3423653888, 3423705599, 'US', 'United States'),
(138039, '204.17.154.0', '204.17.154.255', 3423705600, 3423705855, 'CA', 'Canada'),
(138040, '204.17.155.0', '204.19.0.255', 3423705856, 3423797503, 'US', 'United States'),
(138041, '204.19.1.0', '204.19.14.255', 3423797504, 3423801087, 'CA', 'Canada'),
(138042, '204.19.15.0', '204.19.15.255', 3423801088, 3423801343, 'US', 'United States'),
(138043, '204.19.16.0', '204.19.101.255', 3423801344, 3423823359, 'CA', 'Canada'),
(138044, '204.19.102.0', '204.19.103.255', 3423823360, 3423823871, 'US', 'United States'),
(138045, '204.19.104.0', '204.19.118.255', 3423823872, 3423827711, 'CA', 'Canada'),
(138046, '204.19.119.0', '204.19.119.255', 3423827712, 3423827967, 'US', 'United States'),
(138047, '204.19.120.0', '204.19.128.255', 3423827968, 3423830271, 'CA', 'Canada'),
(138048, '204.19.129.0', '204.19.129.255', 3423830272, 3423830527, 'US', 'United States'),
(138049, '204.19.130.0', '204.19.161.255', 3423830528, 3423838719, 'CA', 'Canada'),
(138050, '204.19.162.0', '204.19.162.255', 3423838720, 3423838975, 'US', 'United States'),
(138051, '204.19.163.0', '204.19.199.255', 3423838976, 3423848447, 'CA', 'Canada'),
(138052, '204.19.200.0', '204.19.203.255', 3423848448, 3423849471, 'KN', 'Saint Kitts and Nevis'),
(138053, '204.19.204.0', '204.19.205.255', 3423849472, 3423849983, 'US', 'United States'),
(138054, '204.19.206.0', '204.19.207.255', 3423849984, 3423850495, 'CA', 'Canada'),
(138055, '204.19.208.0', '204.19.208.255', 3423850496, 3423850751, 'US', 'United States'),
(138056, '204.19.209.0', '204.19.222.255', 3423850752, 3423854335, 'CA', 'Canada'),
(138057, '204.19.223.0', '204.19.223.255', 3423854336, 3423854591, 'US', 'United States'),
(138058, '204.19.224.0', '204.19.237.255', 3423854592, 3423858175, 'CA', 'Canada'),
(138059, '204.19.238.0', '204.19.239.255', 3423858176, 3423858687, 'US', 'United States'),
(138060, '204.19.240.0', '204.19.240.255', 3423858688, 3423858943, 'CA', 'Canada'),
(138061, '204.19.241.0', '204.19.242.255', 3423858944, 3423859455, 'US', 'United States'),
(138062, '204.19.243.0', '204.19.243.255', 3423859456, 3423859711, 'CA', 'Canada'),
(138063, '204.19.244.0', '204.19.244.255', 3423859712, 3423859967, 'US', 'United States'),
(138064, '204.19.245.0', '204.19.254.255', 3423859968, 3423862527, 'CA', 'Canada'),
(138065, '204.19.255.0', '204.27.51.255', 3423862528, 3424334847, 'US', 'United States'),
(138066, '204.27.52.0', '204.27.55.255', 3424334848, 3424335871, 'CA', 'Canada'),
(138067, '204.27.56.0', '204.27.223.255', 3424335872, 3424378879, 'US', 'United States'),
(138068, '204.27.224.0', '204.27.224.255', 3424378880, 3424379135, 'PR', 'Puerto Rico'),
(138069, '204.27.225.0', '204.28.98.255', 3424379136, 3424412415, 'US', 'United States'),
(138070, '204.28.99.0', '204.28.99.255', 3424412416, 3424412671, 'CA', 'Canada'),
(138071, '204.28.100.0', '204.29.160.255', 3424412672, 3424493823, 'US', 'United States'),
(138072, '204.29.161.0', '204.29.161.255', 3424493824, 3424494079, 'CA', 'Canada'),
(138073, '204.29.162.0', '204.29.212.255', 3424494080, 3424507135, 'US', 'United States'),
(138074, '204.29.213.0', '204.29.213.255', 3424507136, 3424507391, 'CA', 'Canada'),
(138075, '204.29.214.0', '204.39.255.255', 3424507392, 3425173503, 'US', 'United States'),
(138076, '204.40.0.0', '204.41.255.255', 3425173504, 3425304575, 'CA', 'Canada'),
(138077, '204.42.0.0', '204.45.110.160', 3425304576, 3425529504, 'US', 'United States'),
(138078, '204.45.110.161', '204.45.110.166', 3425529505, 3425529510, 'A1', 'Anonymous Proxy'),
(138079, '204.45.110.167', '204.45.245.255', 3425529511, 3425564159, 'US', 'United States'),
(138080, '204.45.246.0', '204.45.246.255', 3425564160, 3425564415, 'A1', 'Anonymous Proxy'),
(138081, '204.45.247.0', '204.47.255.255', 3425564416, 3425697791, 'US', 'United States'),
(138082, '204.48.0.0', '204.48.7.255', 3425697792, 3425699839, 'CA', 'Canada'),
(138083, '204.48.8.0', '204.48.63.255', 3425699840, 3425714175, 'US', 'United States'),
(138084, '204.48.64.0', '204.48.95.255', 3425714176, 3425722367, 'CA', 'Canada'),
(138085, '204.48.96.0', '204.49.255.255', 3425722368, 3425828863, 'US', 'United States'),
(138086, '204.50.0.0', '204.50.7.159', 3425828864, 3425830815, 'CA', 'Canada'),
(138087, '204.50.7.160', '204.50.7.175', 3425830816, 3425830831, 'US', 'United States'),
(138088, '204.50.7.176', '204.50.69.255', 3425830832, 3425846783, 'CA', 'Canada'),
(138089, '204.50.70.0', '204.50.70.255', 3425846784, 3425847039, 'EU', 'Europe'),
(138090, '204.50.71.0', '204.50.84.151', 3425847040, 3425850519, 'CA', 'Canada'),
(138091, '204.50.84.152', '204.50.84.159', 3425850520, 3425850527, 'US', 'United States'),
(138092, '204.50.84.160', '204.50.139.135', 3425850528, 3425864583, 'CA', 'Canada'),
(138093, '204.50.139.136', '204.50.139.143', 3425864584, 3425864591, 'US', 'United States'),
(138094, '204.50.139.144', '204.50.140.7', 3425864592, 3425864711, 'CA', 'Canada'),
(138095, '204.50.140.8', '204.50.140.15', 3425864712, 3425864719, 'US', 'United States'),
(138096, '204.50.140.16', '204.50.142.111', 3425864720, 3425865327, 'CA', 'Canada'),
(138097, '204.50.142.112', '204.50.142.119', 3425865328, 3425865335, 'US', 'United States'),
(138098, '204.50.142.120', '204.50.157.111', 3425865336, 3425869167, 'CA', 'Canada'),
(138099, '204.50.157.112', '204.50.157.127', 3425869168, 3425869183, 'US', 'United States'),
(138100, '204.50.157.128', '204.50.181.191', 3425869184, 3425875391, 'CA', 'Canada'),
(138101, '204.50.181.192', '204.50.181.207', 3425875392, 3425875407, 'US', 'United States'),
(138102, '204.50.181.208', '204.50.255.255', 3425875408, 3425894399, 'CA', 'Canada'),
(138103, '204.51.0.0', '204.51.68.159', 3425894400, 3425911967, 'US', 'United States'),
(138104, '204.51.68.160', '204.51.68.175', 3425911968, 3425911983, 'IL', 'Israel'),
(138105, '204.51.68.176', '204.51.68.191', 3425911984, 3425911999, 'US', 'United States'),
(138106, '204.51.68.192', '204.51.68.223', 3425912000, 3425912031, 'CA', 'Canada'),
(138107, '204.51.68.224', '204.51.71.239', 3425912032, 3425912815, 'US', 'United States'),
(138108, '204.51.71.240', '204.51.71.255', 3425912816, 3425912831, 'DO', 'Dominican Republic'),
(138109, '204.51.72.0', '204.51.72.15', 3425912832, 3425912847, 'US', 'United States'),
(138110, '204.51.72.16', '204.51.72.31', 3425912848, 3425912863, 'BB', 'Barbados'),
(138111, '204.51.72.32', '204.51.77.47', 3425912864, 3425914159, 'US', 'United States'),
(138112, '204.51.77.48', '204.51.77.127', 3425914160, 3425914239, 'A2', 'Satellite Provider'),
(138113, '204.51.77.128', '204.51.83.159', 3425914240, 3425915807, 'US', 'United States'),
(138114, '204.51.83.160', '204.51.83.175', 3425915808, 3425915823, 'NI', 'Nicaragua'),
(138115, '204.51.83.176', '204.51.86.63', 3425915824, 3425916479, 'US', 'United States'),
(138116, '204.51.86.64', '204.51.86.127', 3425916480, 3425916543, 'DK', 'Denmark'),
(138117, '204.51.86.128', '204.52.186.255', 3425916544, 3426007807, 'US', 'United States'),
(138118, '204.52.187.0', '204.52.187.255', 3426007808, 3426008063, 'EU', 'Europe'),
(138119, '204.52.188.0', '204.52.207.255', 3426008064, 3426013183, 'US', 'United States'),
(138120, '204.52.208.0', '204.52.208.255', 3426013184, 3426013439, 'IL', 'Israel'),
(138121, '204.52.209.0', '204.58.61.255', 3426013440, 3426369023, 'US', 'United States'),
(138122, '204.58.62.0', '204.58.63.255', 3426369024, 3426369535, 'CA', 'Canada'),
(138123, '204.58.64.0', '204.58.135.255', 3426369536, 3426387967, 'US', 'United States'),
(138124, '204.58.136.0', '204.58.139.255', 3426387968, 3426388991, 'MX', 'Mexico'),
(138125, '204.58.140.0', '204.58.183.255', 3426388992, 3426400255, 'US', 'United States'),
(138126, '204.58.184.0', '204.58.184.255', 3426400256, 3426400511, 'CA', 'Canada'),
(138127, '204.58.185.0', '204.62.9.255', 3426400512, 3426617855, 'US', 'United States'),
(138128, '204.62.10.0', '204.62.11.255', 3426617856, 3426618367, 'CA', 'Canada'),
(138129, '204.62.12.0', '204.62.12.71', 3426618368, 3426618439, 'US', 'United States'),
(138130, '204.62.12.72', '204.62.12.95', 3426618440, 3426618463, 'NZ', 'New Zealand'),
(138131, '204.62.12.96', '204.62.12.183', 3426618464, 3426618551, 'US', 'United States'),
(138132, '204.62.12.184', '204.62.12.223', 3426618552, 3426618591, 'NZ', 'New Zealand'),
(138133, '204.62.12.224', '204.62.13.63', 3426618592, 3426618687, 'US', 'United States'),
(138134, '204.62.13.64', '204.62.13.79', 3426618688, 3426618703, 'NZ', 'New Zealand'),
(138135, '204.62.13.80', '204.62.13.111', 3426618704, 3426618735, 'US', 'United States'),
(138136, '204.62.13.112', '204.62.13.127', 3426618736, 3426618751, 'NZ', 'New Zealand'),
(138137, '204.62.13.128', '204.62.13.247', 3426618752, 3426618871, 'US', 'United States'),
(138138, '204.62.13.248', '204.62.13.255', 3426618872, 3426618879, 'NZ', 'New Zealand'),
(138139, '204.62.14.0', '204.62.14.31', 3426618880, 3426618911, 'US', 'United States'),
(138140, '204.62.14.32', '204.62.14.191', 3426618912, 3426619071, 'NZ', 'New Zealand'),
(138141, '204.62.14.192', '204.62.14.223', 3426619072, 3426619103, 'US', 'United States'),
(138142, '204.62.14.224', '204.62.14.255', 3426619104, 3426619135, 'NZ', 'New Zealand'),
(138143, '204.62.15.0', '204.62.15.31', 3426619136, 3426619167, 'US', 'United States'),
(138144, '204.62.15.32', '204.62.15.111', 3426619168, 3426619247, 'NZ', 'New Zealand'),
(138145, '204.62.15.112', '204.62.15.127', 3426619248, 3426619263, 'US', 'United States'),
(138146, '204.62.15.128', '204.62.15.159', 3426619264, 3426619295, 'NZ', 'New Zealand'),
(138147, '204.62.15.160', '204.62.15.199', 3426619296, 3426619335, 'US', 'United States'),
(138148, '204.62.15.200', '204.62.15.223', 3426619336, 3426619359, 'NZ', 'New Zealand'),
(138149, '204.62.15.224', '204.62.248.255', 3426619360, 3426679039, 'US', 'United States'),
(138150, '204.62.249.0', '204.62.249.255', 3426679040, 3426679295, 'ES', 'Spain'),
(138151, '204.62.250.0', '204.63.189.255', 3426679296, 3426729471, 'US', 'United States'),
(138152, '204.63.190.0', '204.63.191.255', 3426729472, 3426729983, 'CA', 'Canada'),
(138153, '204.63.192.0', '204.63.247.255', 3426729984, 3426744319, 'US', 'United States'),
(138154, '204.63.248.0', '204.63.255.255', 3426744320, 3426746367, 'CA', 'Canada'),
(138155, '204.64.0.0', '204.69.167.255', 3426746368, 3427117055, 'US', 'United States'),
(138156, '204.69.168.0', '204.69.168.255', 3427117056, 3427117311, 'CA', 'Canada'),
(138157, '204.69.169.0', '204.69.207.255', 3427117312, 3427127295, 'US', 'United States'),
(138158, '204.69.208.0', '204.69.208.255', 3427127296, 3427127551, 'CA', 'Canada'),
(138159, '204.69.209.0', '204.69.229.255', 3427127552, 3427132927, 'US', 'United States'),
(138160, '204.69.230.0', '204.69.230.255', 3427132928, 3427133183, 'EU', 'Europe'),
(138161, '204.69.231.0', '204.74.95.255', 3427133184, 3427426303, 'US', 'United States'),
(138162, '204.74.96.0', '204.74.96.255', 3427426304, 3427426559, 'HK', 'Hong Kong'),
(138163, '204.74.97.0', '204.74.105.255', 3427426560, 3427428863, 'US', 'United States'),
(138164, '204.74.106.0', '204.74.106.255', 3427428864, 3427429119, 'GB', 'United Kingdom'),
(138165, '204.74.107.0', '204.75.79.255', 3427429120, 3427487743, 'US', 'United States'),
(138166, '204.75.80.0', '204.75.80.255', 3427487744, 3427487999, 'GB', 'United Kingdom'),
(138167, '204.75.81.0', '204.77.77.255', 3427488000, 3427618303, 'US', 'United States'),
(138168, '204.77.78.0', '204.77.78.255', 3427618304, 3427618559, 'CA', 'Canada'),
(138169, '204.77.79.0', '204.77.193.255', 3427618560, 3427647999, 'US', 'United States'),
(138170, '204.77.194.0', '204.77.195.255', 3427648000, 3427648511, 'CA', 'Canada'),
(138171, '204.77.196.0', '204.77.205.255', 3427648512, 3427651071, 'US', 'United States'),
(138172, '204.77.206.0', '204.77.206.255', 3427651072, 3427651327, 'CA', 'Canada'),
(138173, '204.77.207.0', '204.78.255.255', 3427651328, 3427729407, 'US', 'United States'),
(138174, '204.79.0.0', '204.79.0.255', 3427729408, 3427729663, 'CA', 'Canada'),
(138175, '204.79.1.0', '204.79.3.255', 3427729664, 3427730431, 'US', 'United States'),
(138176, '204.79.4.0', '204.79.4.255', 3427730432, 3427730687, 'BE', 'Belgium'),
(138177, '204.79.5.0', '204.79.5.255', 3427730688, 3427730943, 'DE', 'Germany'),
(138178, '204.79.6.0', '204.79.9.255', 3427730944, 3427731967, 'US', 'United States'),
(138179, '204.79.10.0', '204.79.10.255', 3427731968, 3427732223, 'DE', 'Germany'),
(138180, '204.79.11.0', '204.79.11.255', 3427732224, 3427732479, 'US', 'United States'),
(138181, '204.79.12.0', '204.79.12.255', 3427732480, 3427732735, 'CH', 'Switzerland'),
(138182, '204.79.13.0', '204.79.21.255', 3427732736, 3427735039, 'IE', 'Ireland'),
(138183, '204.79.22.0', '204.79.22.255', 3427735040, 3427735295, 'US', 'United States'),
(138184, '204.79.23.0', '204.79.25.255', 3427735296, 3427736063, 'HK', 'Hong Kong'),
(138185, '204.79.26.0', '204.79.26.255', 3427736064, 3427736319, 'GB', 'United Kingdom'),
(138186, '204.79.27.0', '204.79.48.255', 3427736320, 3427741951, 'US', 'United States'),
(138187, '204.79.49.0', '204.79.50.255', 3427741952, 3427742463, 'DE', 'Germany'),
(138188, '204.79.51.0', '204.79.51.255', 3427742464, 3427742719, 'AT', 'Austria'),
(138189, '204.79.52.0', '204.79.52.255', 3427742720, 3427742975, 'CH', 'Switzerland'),
(138190, '204.79.53.0', '204.79.54.255', 3427742976, 3427743487, 'GB', 'United Kingdom'),
(138191, '204.79.55.0', '204.79.55.255', 3427743488, 3427743743, 'DE', 'Germany'),
(138192, '204.79.56.0', '204.79.56.255', 3427743744, 3427743999, 'CA', 'Canada'),
(138193, '204.79.57.0', '204.79.57.255', 3427744000, 3427744255, 'SE', 'Sweden'),
(138194, '204.79.58.0', '204.79.61.255', 3427744256, 3427745279, 'DE', 'Germany'),
(138195, '204.79.62.0', '204.79.63.255', 3427745280, 3427745791, 'TW', 'Taiwan'),
(138196, '204.79.64.0', '204.79.64.255', 3427745792, 3427746047, 'GB', 'United Kingdom'),
(138197, '204.79.65.0', '204.79.65.255', 3427746048, 3427746303, 'DK', 'Denmark'),
(138198, '204.79.66.0', '204.79.66.255', 3427746304, 3427746559, 'US', 'United States'),
(138199, '204.79.67.0', '204.79.67.255', 3427746560, 3427746815, 'JP', 'Japan'),
(138200, '204.79.68.0', '204.79.68.255', 3427746816, 3427747071, 'DE', 'Germany'),
(138201, '204.79.69.0', '204.79.69.255', 3427747072, 3427747327, 'US', 'United States'),
(138202, '204.79.70.0', '204.79.70.255', 3427747328, 3427747583, 'DE', 'Germany'),
(138203, '204.79.71.0', '204.79.71.255', 3427747584, 3427747839, 'US', 'United States'),
(138204, '204.79.72.0', '204.79.72.255', 3427747840, 3427748095, 'NO', 'Norway'),
(138205, '204.79.73.0', '204.79.73.255', 3427748096, 3427748351, 'CH', 'Switzerland'),
(138206, '204.79.74.0', '204.79.74.255', 3427748352, 3427748607, 'JP', 'Japan'),
(138207, '204.79.75.0', '204.79.78.255', 3427748608, 3427749631, 'DE', 'Germany'),
(138208, '204.79.79.0', '204.79.79.255', 3427749632, 3427749887, 'NL', 'Netherlands'),
(138209, '204.79.80.0', '204.79.82.255', 3427749888, 3427750655, 'DE', 'Germany'),
(138210, '204.79.83.0', '204.79.83.255', 3427750656, 3427750911, 'GB', 'United Kingdom'),
(138211, '204.79.84.0', '204.79.85.255', 3427750912, 3427751423, 'US', 'United States'),
(138212, '204.79.86.0', '204.79.86.95', 3427751424, 3427751519, 'BE', 'Belgium'),
(138213, '204.79.86.96', '204.79.89.255', 3427751520, 3427752447, 'US', 'United States'),
(138214, '204.79.90.0', '204.79.90.255', 3427752448, 3427752703, 'EU', 'Europe'),
(138215, '204.79.91.0', '204.79.91.255', 3427752704, 3427752959, 'GB', 'United Kingdom'),
(138216, '204.79.92.0', '204.79.92.255', 3427752960, 3427753215, 'US', 'United States'),
(138217, '204.79.93.0', '204.79.93.255', 3427753216, 3427753471, 'JP', 'Japan'),
(138218, '204.79.94.0', '204.79.94.255', 3427753472, 3427753727, 'FI', 'Finland'),
(138219, '204.79.95.0', '204.79.95.255', 3427753728, 3427753983, 'IT', 'Italy'),
(138220, '204.79.96.0', '204.79.96.255', 3427753984, 3427754239, 'CH', 'Switzerland'),
(138221, '204.79.97.0', '204.79.97.255', 3427754240, 3427754495, 'GB', 'United Kingdom'),
(138222, '204.79.98.0', '204.79.98.255', 3427754496, 3427754751, 'DE', 'Germany'),
(138223, '204.79.99.0', '204.79.99.255', 3427754752, 3427755007, 'CA', 'Canada'),
(138224, '204.79.100.0', '204.79.100.255', 3427755008, 3427755263, 'IT', 'Italy'),
(138225, '204.79.101.0', '204.79.101.255', 3427755264, 3427755519, 'US', 'United States'),
(138226, '204.79.102.0', '204.79.102.255', 3427755520, 3427755775, 'DE', 'Germany'),
(138227, '204.79.103.0', '204.79.104.255', 3427755776, 3427756287, 'BE', 'Belgium'),
(138228, '204.79.105.0', '204.79.105.255', 3427756288, 3427756543, 'AU', 'Australia'),
(138229, '204.79.106.0', '204.79.106.255', 3427756544, 3427756799, 'DE', 'Germany'),
(138230, '204.79.107.0', '204.79.107.255', 3427756800, 3427757055, 'US', 'United States'),
(138231, '204.79.108.0', '204.79.108.255', 3427757056, 3427757311, 'GR', 'Greece'),
(138232, '204.79.109.0', '204.79.109.255', 3427757312, 3427757567, 'FR', 'France'),
(138233, '204.79.110.0', '204.79.110.255', 3427757568, 3427757823, 'JP', 'Japan'),
(138234, '204.79.111.0', '204.79.111.255', 3427757824, 3427758079, 'DE', 'Germany'),
(138235, '204.79.112.0', '204.79.112.255', 3427758080, 3427758335, 'BE', 'Belgium'),
(138236, '204.79.113.0', '204.79.113.255', 3427758336, 3427758591, 'US', 'United States'),
(138237, '204.79.114.0', '204.79.114.255', 3427758592, 3427758847, 'IT', 'Italy'),
(138238, '204.79.115.0', '204.79.115.255', 3427758848, 3427759103, 'US', 'United States'),
(138239, '204.79.116.0', '204.79.116.255', 3427759104, 3427759359, 'BE', 'Belgium'),
(138240, '204.79.117.0', '204.79.118.255', 3427759360, 3427759871, 'GB', 'United Kingdom'),
(138241, '204.79.119.0', '204.79.119.255', 3427759872, 3427760127, 'US', 'United States'),
(138242, '204.79.120.0', '204.79.122.255', 3427760128, 3427760895, 'CA', 'Canada'),
(138243, '204.79.123.0', '204.79.125.255', 3427760896, 3427761663, 'US', 'United States'),
(138244, '204.79.126.0', '204.79.126.255', 3427761664, 3427761919, 'JP', 'Japan'),
(138245, '204.79.127.0', '204.79.127.255', 3427761920, 3427762175, 'US', 'United States'),
(138246, '204.79.128.0', '204.79.128.255', 3427762176, 3427762431, 'DE', 'Germany'),
(138247, '204.79.129.0', '204.79.129.255', 3427762432, 3427762687, 'CA', 'Canada'),
(138248, '204.79.130.0', '204.79.132.255', 3427762688, 3427763455, 'IT', 'Italy'),
(138249, '204.79.133.0', '204.79.133.255', 3427763456, 3427763711, 'AU', 'Australia'),
(138250, '204.79.134.0', '204.79.134.255', 3427763712, 3427763967, 'GB', 'United Kingdom'),
(138251, '204.79.135.0', '204.79.135.255', 3427763968, 3427764223, 'US', 'United States'),
(138252, '204.79.136.0', '204.79.136.255', 3427764224, 3427764479, 'FR', 'France'),
(138253, '204.79.137.0', '204.79.139.125', 3427764480, 3427765117, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(138254, '204.79.139.126', '204.79.139.126', 3427765118, 3427765118, 'IE', 'Ireland'),
(138255, '204.79.139.127', '204.79.140.255', 3427765119, 3427765503, 'US', 'United States'),
(138256, '204.79.141.0', '204.79.141.255', 3427765504, 3427765759, 'GB', 'United Kingdom'),
(138257, '204.79.142.0', '204.79.143.255', 3427765760, 3427766271, 'US', 'United States'),
(138258, '204.79.144.0', '204.79.145.255', 3427766272, 3427766783, 'GB', 'United Kingdom'),
(138259, '204.79.146.0', '204.79.146.255', 3427766784, 3427767039, 'SE', 'Sweden'),
(138260, '204.79.147.0', '204.79.149.255', 3427767040, 3427767807, 'DE', 'Germany'),
(138261, '204.79.150.0', '204.79.156.255', 3427767808, 3427769599, 'US', 'United States'),
(138262, '204.79.157.0', '204.79.158.255', 3427769600, 3427770111, 'JP', 'Japan'),
(138263, '204.79.159.0', '204.79.159.255', 3427770112, 3427770367, 'NO', 'Norway'),
(138264, '204.79.160.0', '204.79.160.255', 3427770368, 3427770623, 'GB', 'United Kingdom'),
(138265, '204.79.161.0', '204.79.163.255', 3427770624, 3427771391, 'CH', 'Switzerland'),
(138266, '204.79.164.0', '204.79.164.255', 3427771392, 3427771647, 'US', 'United States'),
(138267, '204.79.165.0', '204.79.165.255', 3427771648, 3427771903, 'CA', 'Canada'),
(138268, '204.79.166.0', '204.79.167.255', 3427771904, 3427772415, 'CH', 'Switzerland'),
(138269, '204.79.168.0', '204.79.168.255', 3427772416, 3427772671, 'DE', 'Germany'),
(138270, '204.79.169.0', '204.79.169.255', 3427772672, 3427772927, 'HK', 'Hong Kong'),
(138271, '204.79.170.0', '204.79.170.255', 3427772928, 3427773183, 'BE', 'Belgium'),
(138272, '204.79.171.0', '204.79.171.255', 3427773184, 3427773439, 'DE', 'Germany'),
(138273, '204.79.172.0', '204.79.172.255', 3427773440, 3427773695, 'US', 'United States'),
(138274, '204.79.173.0', '204.79.173.255', 3427773696, 3427773951, 'FR', 'France'),
(138275, '204.79.174.0', '204.79.176.255', 3427773952, 3427774719, 'US', 'United States'),
(138276, '204.79.177.0', '204.79.178.255', 3427774720, 3427775231, 'DE', 'Germany'),
(138277, '204.79.179.0', '204.79.183.255', 3427775232, 3427776511, 'US', 'United States'),
(138278, '204.79.184.0', '204.79.184.255', 3427776512, 3427776767, 'CZ', 'Czech Republic'),
(138279, '204.79.185.0', '204.79.185.255', 3427776768, 3427777023, 'US', 'United States'),
(138280, '204.79.186.0', '204.79.186.255', 3427777024, 3427777279, 'NL', 'Netherlands'),
(138281, '204.79.187.0', '204.79.187.255', 3427777280, 3427777535, 'DE', 'Germany'),
(138282, '204.79.188.0', '204.79.188.255', 3427777536, 3427777791, 'US', 'United States'),
(138283, '204.79.189.0', '204.79.189.255', 3427777792, 3427778047, 'HK', 'Hong Kong'),
(138284, '204.79.190.0', '204.79.190.255', 3427778048, 3427778303, 'US', 'United States'),
(138285, '204.79.191.0', '204.79.191.255', 3427778304, 3427778559, 'SE', 'Sweden'),
(138286, '204.79.192.0', '204.79.193.255', 3427778560, 3427779071, 'NO', 'Norway'),
(138287, '204.79.194.0', '204.79.194.255', 3427779072, 3427779327, 'GB', 'United Kingdom'),
(138288, '204.79.195.0', '204.79.197.255', 3427779328, 3427780095, 'US', 'United States'),
(138289, '204.79.198.0', '204.79.198.255', 3427780096, 3427780351, 'GB', 'United Kingdom'),
(138290, '204.79.199.0', '204.79.200.255', 3427780352, 3427780863, 'DE', 'Germany'),
(138291, '204.79.201.0', '204.79.202.255', 3427780864, 3427781375, 'US', 'United States'),
(138292, '204.79.203.0', '204.79.203.255', 3427781376, 3427781631, 'GB', 'United Kingdom'),
(138293, '204.79.204.0', '204.79.204.255', 3427781632, 3427781887, 'BE', 'Belgium'),
(138294, '204.79.205.0', '204.79.206.255', 3427781888, 3427782399, 'US', 'United States'),
(138295, '204.79.207.0', '204.79.207.255', 3427782400, 3427782655, 'GB', 'United Kingdom'),
(138296, '204.79.208.0', '204.79.210.255', 3427782656, 3427783423, 'FR', 'France'),
(138297, '204.79.211.0', '204.79.211.255', 3427783424, 3427783679, 'GB', 'United Kingdom'),
(138298, '204.79.212.0', '204.79.212.255', 3427783680, 3427783935, 'US', 'United States'),
(138299, '204.79.213.0', '204.79.215.255', 3427783936, 3427784703, 'GB', 'United Kingdom'),
(138300, '204.79.216.0', '204.79.217.255', 3427784704, 3427785215, 'US', 'United States'),
(138301, '204.79.218.0', '204.79.218.255', 3427785216, 3427785471, 'JP', 'Japan'),
(138302, '204.79.219.0', '204.79.219.255', 3427785472, 3427785727, 'NO', 'Norway'),
(138303, '204.79.220.0', '204.79.223.255', 3427785728, 3427786751, 'US', 'United States'),
(138304, '204.79.224.0', '204.79.225.255', 3427786752, 3427787263, 'LU', 'Luxembourg'),
(138305, '204.79.226.0', '204.79.227.255', 3427787264, 3427787775, 'US', 'United States'),
(138306, '204.79.228.0', '204.79.228.255', 3427787776, 3427788031, 'FR', 'France'),
(138307, '204.79.229.0', '204.79.229.255', 3427788032, 3427788287, 'CH', 'Switzerland'),
(138308, '204.79.230.0', '204.79.231.255', 3427788288, 3427788799, 'GB', 'United Kingdom'),
(138309, '204.79.232.0', '204.79.234.255', 3427788800, 3427789567, 'NO', 'Norway'),
(138310, '204.79.235.0', '204.79.236.255', 3427789568, 3427790079, 'DE', 'Germany'),
(138311, '204.79.237.0', '204.79.239.255', 3427790080, 3427790847, 'US', 'United States'),
(138312, '204.79.240.0', '204.79.240.255', 3427790848, 3427791103, 'IT', 'Italy'),
(138313, '204.79.241.0', '204.79.242.255', 3427791104, 3427791615, 'DE', 'Germany'),
(138314, '204.79.243.0', '204.79.243.255', 3427791616, 3427791871, 'GB', 'United Kingdom'),
(138315, '204.79.244.0', '204.79.245.255', 3427791872, 3427792383, 'CA', 'Canada'),
(138316, '204.79.246.0', '204.79.246.255', 3427792384, 3427792639, 'NL', 'Netherlands'),
(138317, '204.79.247.0', '204.79.249.255', 3427792640, 3427793407, 'SG', 'Singapore'),
(138318, '204.79.250.0', '204.79.251.255', 3427793408, 3427793919, 'HK', 'Hong Kong'),
(138319, '204.79.252.0', '204.79.252.255', 3427793920, 3427794175, 'US', 'United States'),
(138320, '204.79.253.0', '204.79.255.255', 3427794176, 3427794943, 'NL', 'Netherlands'),
(138321, '204.80.0.0', '204.80.7.255', 3427794944, 3427796991, 'CA', 'Canada'),
(138322, '204.80.8.0', '204.80.142.255', 3427796992, 3427831551, 'US', 'United States'),
(138323, '204.80.143.0', '204.80.143.255', 3427831552, 3427831807, 'MX', 'Mexico'),
(138324, '204.80.144.0', '204.80.255.255', 3427831808, 3427860479, 'US', 'United States'),
(138325, '204.81.0.0', '204.83.131.255', 3427860480, 3428025343, 'CA', 'Canada'),
(138326, '204.83.132.0', '204.83.133.255', 3428025344, 3428025855, 'US', 'United States'),
(138327, '204.83.134.0', '204.83.255.255', 3428025856, 3428057087, 'CA', 'Canada'),
(138328, '204.84.0.0', '204.87.128.255', 3428057088, 3428286719, 'US', 'United States'),
(138329, '204.87.129.0', '204.87.129.255', 3428286720, 3428286975, 'CA', 'Canada'),
(138330, '204.87.130.0', '204.87.168.255', 3428286976, 3428296959, 'US', 'United States'),
(138331, '204.87.169.0', '204.87.169.255', 3428296960, 3428297215, 'CL', 'Chile'),
(138332, '204.87.170.0', '204.87.178.255', 3428297216, 3428299519, 'US', 'United States'),
(138333, '204.87.179.0', '204.87.179.255', 3428299520, 3428299775, 'ZA', 'South Africa'),
(138334, '204.87.180.0', '204.87.188.255', 3428299776, 3428302079, 'US', 'United States'),
(138335, '204.87.189.0', '204.87.189.255', 3428302080, 3428302335, 'CA', 'Canada'),
(138336, '204.87.190.0', '204.87.254.255', 3428302336, 3428318975, 'US', 'United States'),
(138337, '204.87.255.0', '204.87.255.255', 3428318976, 3428319231, 'CA', 'Canada'),
(138338, '204.88.0.0', '204.89.56.255', 3428319232, 3428399359, 'US', 'United States'),
(138339, '204.89.57.0', '204.89.57.255', 3428399360, 3428399615, 'CA', 'Canada'),
(138340, '204.89.58.0', '204.89.191.255', 3428399616, 3428433919, 'US', 'United States'),
(138341, '204.89.192.0', '204.89.192.255', 3428433920, 3428434175, 'CA', 'Canada'),
(138342, '204.89.193.0', '204.89.195.255', 3428434176, 3428434943, 'US', 'United States'),
(138343, '204.89.196.0', '204.89.196.255', 3428434944, 3428435199, 'CA', 'Canada'),
(138344, '204.89.197.0', '204.89.205.255', 3428435200, 3428437503, 'US', 'United States'),
(138345, '204.89.206.0', '204.89.206.255', 3428437504, 3428437759, 'MX', 'Mexico'),
(138346, '204.89.207.0', '204.90.180.255', 3428437760, 3428496639, 'US', 'United States'),
(138347, '204.90.181.0', '204.90.182.255', 3428496640, 3428497151, 'NL', 'Netherlands'),
(138348, '204.90.183.0', '204.91.255.255', 3428497152, 3428581375, 'US', 'United States'),
(138349, '204.92.0.0', '204.92.0.191', 3428581376, 3428581567, 'CA', 'Canada'),
(138350, '204.92.0.192', '204.92.1.63', 3428581568, 3428581695, 'US', 'United States'),
(138351, '204.92.1.64', '204.92.1.127', 3428581696, 3428581759, 'CA', 'Canada'),
(138352, '204.92.1.128', '204.92.1.191', 3428581760, 3428581823, 'US', 'United States'),
(138353, '204.92.1.192', '204.92.1.255', 3428581824, 3428581887, 'CA', 'Canada'),
(138354, '204.92.2.0', '204.92.2.63', 3428581888, 3428581951, 'US', 'United States'),
(138355, '204.92.2.64', '204.92.3.87', 3428581952, 3428582231, 'CA', 'Canada'),
(138356, '204.92.3.88', '204.92.3.95', 3428582232, 3428582239, 'US', 'United States'),
(138357, '204.92.3.96', '204.92.3.135', 3428582240, 3428582279, 'CA', 'Canada'),
(138358, '204.92.3.136', '204.92.3.143', 3428582280, 3428582287, 'DK', 'Denmark'),
(138359, '204.92.3.144', '204.92.3.159', 3428582288, 3428582303, 'CA', 'Canada'),
(138360, '204.92.3.160', '204.92.3.167', 3428582304, 3428582311, 'US', 'United States'),
(138361, '204.92.3.168', '204.92.3.175', 3428582312, 3428582319, 'CA', 'Canada'),
(138362, '204.92.3.176', '204.92.3.183', 3428582320, 3428582327, 'US', 'United States'),
(138363, '204.92.3.184', '204.92.3.255', 3428582328, 3428582399, 'CA', 'Canada'),
(138364, '204.92.4.0', '204.92.4.255', 3428582400, 3428582655, 'US', 'United States'),
(138365, '204.92.5.0', '204.92.5.255', 3428582656, 3428582911, 'CA', 'Canada'),
(138366, '204.92.6.0', '204.92.6.255', 3428582912, 3428583167, 'US', 'United States'),
(138367, '204.92.7.0', '204.92.7.63', 3428583168, 3428583231, 'CA', 'Canada'),
(138368, '204.92.7.64', '204.92.7.191', 3428583232, 3428583359, 'US', 'United States'),
(138369, '204.92.7.192', '204.92.8.31', 3428583360, 3428583455, 'CA', 'Canada'),
(138370, '204.92.8.32', '204.92.8.63', 3428583456, 3428583487, 'US', 'United States'),
(138371, '204.92.8.64', '204.92.8.127', 3428583488, 3428583551, 'CA', 'Canada'),
(138372, '204.92.8.128', '204.92.8.159', 3428583552, 3428583583, 'US', 'United States'),
(138373, '204.92.8.160', '204.92.9.63', 3428583584, 3428583743, 'CA', 'Canada'),
(138374, '204.92.9.64', '204.92.9.191', 3428583744, 3428583871, 'US', 'United States'),
(138375, '204.92.9.192', '204.92.9.255', 3428583872, 3428583935, 'CA', 'Canada'),
(138376, '204.92.10.0', '204.92.10.191', 3428583936, 3428584127, 'US', 'United States'),
(138377, '204.92.10.192', '204.92.10.255', 3428584128, 3428584191, 'CA', 'Canada'),
(138378, '204.92.11.0', '204.92.12.63', 3428584192, 3428584511, 'US', 'United States'),
(138379, '204.92.12.64', '204.92.12.255', 3428584512, 3428584703, 'CA', 'Canada'),
(138380, '204.92.13.0', '204.92.13.63', 3428584704, 3428584767, 'US', 'United States'),
(138381, '204.92.13.64', '204.92.13.191', 3428584768, 3428584895, 'CA', 'Canada'),
(138382, '204.92.13.192', '204.92.13.255', 3428584896, 3428584959, 'US', 'United States'),
(138383, '204.92.14.0', '204.92.15.255', 3428584960, 3428585471, 'CA', 'Canada'),
(138384, '204.92.16.0', '204.92.16.127', 3428585472, 3428585599, 'US', 'United States'),
(138385, '204.92.16.128', '204.92.16.255', 3428585600, 3428585727, 'CA', 'Canada'),
(138386, '204.92.17.0', '204.92.17.255', 3428585728, 3428585983, 'US', 'United States'),
(138387, '204.92.18.0', '204.92.19.255', 3428585984, 3428586495, 'CA', 'Canada'),
(138388, '204.92.20.0', '204.92.20.255', 3428586496, 3428586751, 'US', 'United States'),
(138389, '204.92.21.0', '204.92.21.127', 3428586752, 3428586879, 'CA', 'Canada'),
(138390, '204.92.21.128', '204.92.21.255', 3428586880, 3428587007, 'US', 'United States'),
(138391, '204.92.22.0', '204.92.23.255', 3428587008, 3428587519, 'CA', 'Canada'),
(138392, '204.92.24.0', '204.92.24.255', 3428587520, 3428587775, 'US', 'United States'),
(138393, '204.92.25.0', '204.92.26.255', 3428587776, 3428588287, 'CA', 'Canada'),
(138394, '204.92.27.0', '204.92.27.255', 3428588288, 3428588543, 'US', 'United States'),
(138395, '204.92.28.0', '204.92.29.255', 3428588544, 3428589055, 'CA', 'Canada'),
(138396, '204.92.30.0', '204.92.30.255', 3428589056, 3428589311, 'US', 'United States'),
(138397, '204.92.31.0', '204.92.31.255', 3428589312, 3428589567, 'CA', 'Canada'),
(138398, '204.92.32.0', '204.92.40.7', 3428589568, 3428591623, 'US', 'United States'),
(138399, '204.92.40.8', '204.92.40.47', 3428591624, 3428591663, 'CA', 'Canada'),
(138400, '204.92.40.48', '204.92.40.63', 3428591664, 3428591679, 'US', 'United States'),
(138401, '204.92.40.64', '204.92.40.79', 3428591680, 3428591695, 'CA', 'Canada'),
(138402, '204.92.40.80', '204.92.40.215', 3428591696, 3428591831, 'US', 'United States'),
(138403, '204.92.40.216', '204.92.40.231', 3428591832, 3428591847, 'CA', 'Canada'),
(138404, '204.92.40.232', '204.92.40.255', 3428591848, 3428591871, 'US', 'United States'),
(138405, '204.92.41.0', '204.92.42.7', 3428591872, 3428592135, 'CA', 'Canada'),
(138406, '204.92.42.8', '204.92.42.23', 3428592136, 3428592151, 'US', 'United States'),
(138407, '204.92.42.24', '204.92.42.63', 3428592152, 3428592191, 'CA', 'Canada'),
(138408, '204.92.42.64', '204.92.42.79', 3428592192, 3428592207, 'US', 'United States'),
(138409, '204.92.42.80', '204.92.42.119', 3428592208, 3428592247, 'CA', 'Canada'),
(138410, '204.92.42.120', '204.92.42.127', 3428592248, 3428592255, 'US', 'United States'),
(138411, '204.92.42.128', '204.92.42.143', 3428592256, 3428592271, 'CA', 'Canada'),
(138412, '204.92.42.144', '204.92.42.215', 3428592272, 3428592343, 'US', 'United States'),
(138413, '204.92.42.216', '204.92.42.231', 3428592344, 3428592359, 'CA', 'Canada'),
(138414, '204.92.42.232', '204.92.42.239', 3428592360, 3428592367, 'US', 'United States'),
(138415, '204.92.42.240', '204.92.47.255', 3428592368, 3428593663, 'CA', 'Canada'),
(138416, '204.92.48.0', '204.92.48.255', 3428593664, 3428593919, 'US', 'United States'),
(138417, '204.92.49.0', '204.92.50.127', 3428593920, 3428594303, 'CA', 'Canada'),
(138418, '204.92.50.128', '204.92.50.255', 3428594304, 3428594431, 'US', 'United States'),
(138419, '204.92.51.0', '204.92.51.63', 3428594432, 3428594495, 'CA', 'Canada'),
(138420, '204.92.51.64', '204.92.51.191', 3428594496, 3428594623, 'US', 'United States'),
(138421, '204.92.51.192', '204.92.53.255', 3428594624, 3428595199, 'CA', 'Canada'),
(138422, '204.92.54.0', '204.92.54.15', 3428595200, 3428595215, 'US', 'United States'),
(138423, '204.92.54.16', '204.92.54.47', 3428595216, 3428595247, 'CA', 'Canada'),
(138424, '204.92.54.48', '204.92.54.255', 3428595248, 3428595455, 'US', 'United States'),
(138425, '204.92.55.0', '204.92.56.31', 3428595456, 3428595743, 'CA', 'Canada'),
(138426, '204.92.56.32', '204.92.56.95', 3428595744, 3428595807, 'US', 'United States'),
(138427, '204.92.56.96', '204.92.56.159', 3428595808, 3428595871, 'CA', 'Canada'),
(138428, '204.92.56.160', '204.92.56.191', 3428595872, 3428595903, 'US', 'United States'),
(138429, '204.92.56.192', '204.92.56.255', 3428595904, 3428595967, 'CA', 'Canada'),
(138430, '204.92.57.0', '204.92.57.127', 3428595968, 3428596095, 'US', 'United States'),
(138431, '204.92.57.128', '204.92.60.47', 3428596096, 3428596783, 'CA', 'Canada'),
(138432, '204.92.60.48', '204.92.60.55', 3428596784, 3428596791, 'US', 'United States'),
(138433, '204.92.60.56', '204.92.60.63', 3428596792, 3428596799, 'CA', 'Canada'),
(138434, '204.92.60.64', '204.92.60.79', 3428596800, 3428596815, 'US', 'United States'),
(138435, '204.92.60.80', '204.92.60.87', 3428596816, 3428596823, 'CA', 'Canada'),
(138436, '204.92.60.88', '204.92.60.95', 3428596824, 3428596831, 'US', 'United States'),
(138437, '204.92.60.96', '204.92.60.103', 3428596832, 3428596839, 'CA', 'Canada'),
(138438, '204.92.60.104', '204.92.60.111', 3428596840, 3428596847, 'US', 'United States'),
(138439, '204.92.60.112', '204.92.60.151', 3428596848, 3428596887, 'CA', 'Canada'),
(138440, '204.92.60.152', '204.92.60.159', 3428596888, 3428596895, 'US', 'United States'),
(138441, '204.92.60.160', '204.92.60.255', 3428596896, 3428596991, 'CA', 'Canada'),
(138442, '204.92.61.0', '204.92.61.255', 3428596992, 3428597247, 'US', 'United States'),
(138443, '204.92.62.0', '204.92.63.7', 3428597248, 3428597511, 'CA', 'Canada'),
(138444, '204.92.63.8', '204.92.63.15', 3428597512, 3428597519, 'US', 'United States'),
(138445, '204.92.63.16', '204.92.63.47', 3428597520, 3428597551, 'CA', 'Canada'),
(138446, '204.92.63.48', '204.92.63.55', 3428597552, 3428597559, 'US', 'United States'),
(138447, '204.92.63.56', '204.92.63.71', 3428597560, 3428597575, 'CA', 'Canada'),
(138448, '204.92.63.72', '204.92.63.79', 3428597576, 3428597583, 'US', 'United States'),
(138449, '204.92.63.80', '204.92.63.119', 3428597584, 3428597623, 'CA', 'Canada'),
(138450, '204.92.63.120', '204.92.63.127', 3428597624, 3428597631, 'US', 'United States'),
(138451, '204.92.63.128', '204.92.63.151', 3428597632, 3428597655, 'CA', 'Canada'),
(138452, '204.92.63.152', '204.92.63.159', 3428597656, 3428597663, 'US', 'United States'),
(138453, '204.92.63.160', '204.92.63.223', 3428597664, 3428597727, 'CA', 'Canada'),
(138454, '204.92.63.224', '204.92.63.255', 3428597728, 3428597759, 'US', 'United States'),
(138455, '204.92.64.0', '204.92.65.255', 3428597760, 3428598271, 'CA', 'Canada'),
(138456, '204.92.66.0', '204.92.66.255', 3428598272, 3428598527, 'US', 'United States'),
(138457, '204.92.67.0', '204.92.67.159', 3428598528, 3428598687, 'CA', 'Canada'),
(138458, '204.92.67.160', '204.92.67.191', 3428598688, 3428598719, 'US', 'United States'),
(138459, '204.92.67.192', '204.92.67.223', 3428598720, 3428598751, 'CA', 'Canada'),
(138460, '204.92.67.224', '204.92.67.255', 3428598752, 3428598783, 'US', 'United States'),
(138461, '204.92.68.0', '204.92.69.63', 3428598784, 3428599103, 'CA', 'Canada'),
(138462, '204.92.69.64', '204.92.69.191', 3428599104, 3428599231, 'US', 'United States'),
(138463, '204.92.69.192', '204.92.69.255', 3428599232, 3428599295, 'CA', 'Canada'),
(138464, '204.92.70.0', '204.92.70.255', 3428599296, 3428599551, 'US', 'United States'),
(138465, '204.92.71.0', '204.92.78.255', 3428599552, 3428601599, 'CA', 'Canada'),
(138466, '204.92.79.0', '204.92.80.255', 3428601600, 3428602111, 'US', 'United States'),
(138467, '204.92.81.0', '204.92.81.255', 3428602112, 3428602367, 'CA', 'Canada'),
(138468, '204.92.82.0', '204.92.82.255', 3428602368, 3428602623, 'US', 'United States'),
(138469, '204.92.83.0', '204.92.83.63', 3428602624, 3428602687, 'CA', 'Canada'),
(138470, '204.92.83.64', '204.92.83.95', 3428602688, 3428602719, 'US', 'United States'),
(138471, '204.92.83.96', '204.92.83.223', 3428602720, 3428602847, 'CA', 'Canada'),
(138472, '204.92.83.224', '204.92.84.255', 3428602848, 3428603135, 'US', 'United States'),
(138473, '204.92.85.0', '204.92.85.63', 3428603136, 3428603199, 'CA', 'Canada'),
(138474, '204.92.85.64', '204.92.85.127', 3428603200, 3428603263, 'US', 'United States'),
(138475, '204.92.85.128', '204.92.85.191', 3428603264, 3428603327, 'CA', 'Canada'),
(138476, '204.92.85.192', '204.92.85.255', 3428603328, 3428603391, 'US', 'United States'),
(138477, '204.92.86.0', '204.92.86.127', 3428603392, 3428603519, 'CA', 'Canada'),
(138478, '204.92.86.128', '204.92.87.255', 3428603520, 3428603903, 'US', 'United States'),
(138479, '204.92.88.0', '204.92.92.255', 3428603904, 3428605183, 'CA', 'Canada'),
(138480, '204.92.93.0', '204.92.94.255', 3428605184, 3428605695, 'US', 'United States'),
(138481, '204.92.95.0', '204.92.95.127', 3428605696, 3428605823, 'CA', 'Canada'),
(138482, '204.92.95.128', '204.92.95.159', 3428605824, 3428605855, 'US', 'United States'),
(138483, '204.92.95.160', '204.92.96.71', 3428605856, 3428606023, 'CA', 'Canada'),
(138484, '204.92.96.72', '204.92.96.79', 3428606024, 3428606031, 'US', 'United States'),
(138485, '204.92.96.80', '204.92.96.87', 3428606032, 3428606039, 'CA', 'Canada'),
(138486, '204.92.96.88', '204.92.96.159', 3428606040, 3428606111, 'US', 'United States'),
(138487, '204.92.96.160', '204.92.96.167', 3428606112, 3428606119, 'CA', 'Canada'),
(138488, '204.92.96.168', '204.92.96.255', 3428606120, 3428606207, 'US', 'United States'),
(138489, '204.92.97.0', '204.92.97.63', 3428606208, 3428606271, 'CA', 'Canada'),
(138490, '204.92.97.64', '204.92.97.159', 3428606272, 3428606367, 'US', 'United States'),
(138491, '204.92.97.160', '204.92.97.175', 3428606368, 3428606383, 'CA', 'Canada'),
(138492, '204.92.97.176', '204.92.97.207', 3428606384, 3428606415, 'US', 'United States'),
(138493, '204.92.97.208', '204.92.97.223', 3428606416, 3428606431, 'CA', 'Canada'),
(138494, '204.92.97.224', '204.92.97.255', 3428606432, 3428606463, 'US', 'United States'),
(138495, '204.92.98.0', '204.92.98.127', 3428606464, 3428606591, 'CA', 'Canada'),
(138496, '204.92.98.128', '204.92.98.191', 3428606592, 3428606655, 'US', 'United States'),
(138497, '204.92.98.192', '204.92.98.223', 3428606656, 3428606687, 'CA', 'Canada'),
(138498, '204.92.98.224', '204.92.99.191', 3428606688, 3428606911, 'US', 'United States'),
(138499, '204.92.99.192', '204.92.99.255', 3428606912, 3428606975, 'IS', 'Iceland'),
(138500, '204.92.100.0', '204.92.102.255', 3428606976, 3428607743, 'US', 'United States'),
(138501, '204.92.103.0', '204.92.103.127', 3428607744, 3428607871, 'CA', 'Canada'),
(138502, '204.92.103.128', '204.92.103.255', 3428607872, 3428607999, 'US', 'United States'),
(138503, '204.92.104.0', '204.92.107.255', 3428608000, 3428609023, 'CA', 'Canada'),
(138504, '204.92.108.0', '204.92.111.255', 3428609024, 3428610047, 'US', 'United States'),
(138505, '204.92.112.0', '204.92.115.255', 3428610048, 3428611071, 'CA', 'Canada'),
(138506, '204.92.116.0', '204.92.121.255', 3428611072, 3428612607, 'US', 'United States'),
(138507, '204.92.122.0', '204.92.126.255', 3428612608, 3428613887, 'CA', 'Canada'),
(138508, '204.92.127.0', '204.92.127.255', 3428613888, 3428614143, 'US', 'United States'),
(138509, '204.92.128.0', '204.92.151.63', 3428614144, 3428620095, 'CA', 'Canada'),
(138510, '204.92.151.64', '204.92.151.255', 3428620096, 3428620287, 'US', 'United States'),
(138511, '204.92.152.0', '204.92.158.63', 3428620288, 3428621887, 'CA', 'Canada'),
(138512, '204.92.158.64', '204.92.158.223', 3428621888, 3428622047, 'US', 'United States'),
(138513, '204.92.158.224', '204.92.159.15', 3428622048, 3428622095, 'CA', 'Canada'),
(138514, '204.92.159.16', '204.92.159.255', 3428622096, 3428622335, 'US', 'United States'),
(138515, '204.92.160.0', '204.92.164.255', 3428622336, 3428623615, 'CA', 'Canada'),
(138516, '204.92.165.0', '204.92.165.255', 3428623616, 3428623871, 'US', 'United States'),
(138517, '204.92.166.0', '204.92.168.255', 3428623872, 3428624639, 'CA', 'Canada'),
(138518, '204.92.169.0', '204.92.171.255', 3428624640, 3428625407, 'US', 'United States'),
(138519, '204.92.172.0', '204.92.182.255', 3428625408, 3428628223, 'CA', 'Canada'),
(138520, '204.92.183.0', '204.92.189.255', 3428628224, 3428630015, 'US', 'United States'),
(138521, '204.92.190.0', '204.92.207.255', 3428630016, 3428634623, 'CA', 'Canada'),
(138522, '204.92.208.0', '204.92.208.255', 3428634624, 3428634879, 'US', 'United States'),
(138523, '204.92.209.0', '204.92.209.255', 3428634880, 3428635135, 'CA', 'Canada'),
(138524, '204.92.210.0', '204.92.210.255', 3428635136, 3428635391, 'US', 'United States'),
(138525, '204.92.211.0', '204.92.212.31', 3428635392, 3428635679, 'CA', 'Canada'),
(138526, '204.92.212.32', '204.92.212.63', 3428635680, 3428635711, 'US', 'United States'),
(138527, '204.92.212.64', '204.92.212.127', 3428635712, 3428635775, 'CA', 'Canada'),
(138528, '204.92.212.128', '204.92.212.223', 3428635776, 3428635871, 'US', 'United States'),
(138529, '204.92.212.224', '204.92.216.255', 3428635872, 3428636927, 'CA', 'Canada'),
(138530, '204.92.217.0', '204.92.217.63', 3428636928, 3428636991, 'US', 'United States'),
(138531, '204.92.217.64', '204.92.217.127', 3428636992, 3428637055, 'CA', 'Canada'),
(138532, '204.92.217.128', '204.92.217.191', 3428637056, 3428637119, 'US', 'United States'),
(138533, '204.92.217.192', '204.92.218.31', 3428637120, 3428637215, 'CA', 'Canada'),
(138534, '204.92.218.32', '204.92.218.63', 3428637216, 3428637247, 'US', 'United States'),
(138535, '204.92.218.64', '204.92.218.191', 3428637248, 3428637375, 'CA', 'Canada'),
(138536, '204.92.218.192', '204.92.218.223', 3428637376, 3428637407, 'US', 'United States'),
(138537, '204.92.218.224', '204.92.221.63', 3428637408, 3428638015, 'CA', 'Canada'),
(138538, '204.92.221.64', '204.92.221.127', 3428638016, 3428638079, 'US', 'United States'),
(138539, '204.92.221.128', '204.92.221.191', 3428638080, 3428638143, 'CA', 'Canada'),
(138540, '204.92.221.192', '204.92.221.255', 3428638144, 3428638207, 'US', 'United States'),
(138541, '204.92.222.0', '204.92.223.127', 3428638208, 3428638591, 'CA', 'Canada'),
(138542, '204.92.223.128', '204.92.223.255', 3428638592, 3428638719, 'US', 'United States'),
(138543, '204.92.224.0', '204.92.226.255', 3428638720, 3428639487, 'CA', 'Canada'),
(138544, '204.92.227.0', '204.92.229.255', 3428639488, 3428640255, 'US', 'United States'),
(138545, '204.92.230.0', '204.92.230.255', 3428640256, 3428640511, 'CA', 'Canada'),
(138546, '204.92.231.0', '204.92.231.255', 3428640512, 3428640767, 'US', 'United States'),
(138547, '204.92.232.0', '204.92.241.255', 3428640768, 3428643327, 'CA', 'Canada'),
(138548, '204.92.242.0', '204.92.242.255', 3428643328, 3428643583, 'US', 'United States'),
(138549, '204.92.243.0', '204.92.244.15', 3428643584, 3428643855, 'CA', 'Canada'),
(138550, '204.92.244.16', '204.92.244.31', 3428643856, 3428643871, 'US', 'United States'),
(138551, '204.92.244.32', '204.92.244.63', 3428643872, 3428643903, 'CA', 'Canada'),
(138552, '204.92.244.64', '204.92.244.79', 3428643904, 3428643919, 'US', 'United States'),
(138553, '204.92.244.80', '204.92.244.95', 3428643920, 3428643935, 'CA', 'Canada'),
(138554, '204.92.244.96', '204.92.244.111', 3428643936, 3428643951, 'US', 'United States'),
(138555, '204.92.244.112', '204.92.244.175', 3428643952, 3428644015, 'CA', 'Canada'),
(138556, '204.92.244.176', '204.92.244.207', 3428644016, 3428644047, 'US', 'United States'),
(138557, '204.92.244.208', '204.92.244.223', 3428644048, 3428644063, 'CA', 'Canada'),
(138558, '204.92.244.224', '204.92.245.255', 3428644064, 3428644351, 'US', 'United States'),
(138559, '204.92.246.0', '204.92.250.255', 3428644352, 3428645631, 'CA', 'Canada'),
(138560, '204.92.251.0', '204.92.251.63', 3428645632, 3428645695, 'US', 'United States'),
(138561, '204.92.251.64', '204.92.251.127', 3428645696, 3428645759, 'CA', 'Canada'),
(138562, '204.92.251.128', '204.92.251.159', 3428645760, 3428645791, 'US', 'United States'),
(138563, '204.92.251.160', '204.92.251.223', 3428645792, 3428645855, 'CA', 'Canada'),
(138564, '204.92.251.224', '204.92.251.255', 3428645856, 3428645887, 'US', 'United States'),
(138565, '204.92.252.0', '204.92.252.63', 3428645888, 3428645951, 'CA', 'Canada'),
(138566, '204.92.252.64', '204.92.252.127', 3428645952, 3428646015, 'US', 'United States'),
(138567, '204.92.252.128', '204.92.252.191', 3428646016, 3428646079, 'CA', 'Canada'),
(138568, '204.92.252.192', '204.92.252.255', 3428646080, 3428646143, 'US', 'United States'),
(138569, '204.92.253.0', '204.92.255.255', 3428646144, 3428646911, 'CA', 'Canada'),
(138570, '204.93.0.0', '204.93.55.255', 3428646912, 3428661247, 'US', 'United States'),
(138571, '204.93.56.0', '204.93.56.255', 3428661248, 3428661503, 'CA', 'Canada'),
(138572, '204.93.57.0', '204.93.95.255', 3428661504, 3428671487, 'US', 'United States'),
(138573, '204.93.128.0', '204.93.166.238', 3428679680, 3428689646, 'US', 'United States'),
(138574, '204.93.166.239', '204.93.166.239', 3428689647, 3428689647, 'A1', 'Anonymous Proxy'),
(138575, '204.93.166.240', '204.94.119.255', 3428689648, 3428743167, 'US', 'United States'),
(138576, '204.94.120.0', '204.94.123.255', 3428743168, 3428744191, 'CA', 'Canada'),
(138577, '204.94.124.0', '204.94.155.255', 3428744192, 3428752383, 'US', 'United States'),
(138578, '204.94.156.0', '204.94.159.255', 3428752384, 3428753407, 'GH', 'Ghana'),
(138579, '204.94.160.0', '204.94.171.255', 3428753408, 3428756479, 'US', 'United States'),
(138580, '204.94.172.0', '204.94.172.7', 3428756480, 3428756487, 'SE', 'Sweden'),
(138581, '204.94.172.8', '204.95.159.39', 3428756488, 3428818727, 'US', 'United States'),
(138582, '204.95.159.40', '204.95.159.47', 3428818728, 3428818735, 'GB', 'United Kingdom'),
(138583, '204.95.159.48', '204.96.197.87', 3428818736, 3428894039, 'US', 'United States'),
(138584, '204.96.197.88', '204.96.197.95', 3428894040, 3428894047, 'CA', 'Canada'),
(138585, '204.96.197.96', '204.97.191.255', 3428894048, 3428958207, 'US', 'United States'),
(138586, '204.97.192.0', '204.97.207.255', 3428958208, 3428962303, 'CO', 'Colombia'),
(138587, '204.97.208.0', '204.100.255.255', 3428962304, 3429171199, 'US', 'United States'),
(138588, '204.101.0.0', '204.101.249.63', 3429171200, 3429235007, 'CA', 'Canada'),
(138589, '204.101.249.64', '204.101.249.95', 3429235008, 3429235039, 'BM', 'Bermuda'),
(138590, '204.101.249.96', '204.101.255.255', 3429235040, 3429236735, 'CA', 'Canada'),
(138591, '204.102.0.0', '204.104.54.255', 3429236736, 3429381887, 'US', 'United States'),
(138592, '204.104.55.0', '204.104.55.255', 3429381888, 3429382143, 'GB', 'United Kingdom'),
(138593, '204.104.56.0', '204.104.56.255', 3429382144, 3429382399, 'DE', 'Germany'),
(138594, '204.104.57.0', '204.104.110.255', 3429382400, 3429396223, 'US', 'United States'),
(138595, '204.104.111.0', '204.104.111.255', 3429396224, 3429396479, 'DE', 'Germany'),
(138596, '204.104.112.0', '204.104.158.255', 3429396480, 3429408511, 'US', 'United States'),
(138597, '204.104.159.0', '204.104.159.255', 3429408512, 3429408767, 'DE', 'Germany'),
(138598, '204.104.160.0', '204.104.170.255', 3429408768, 3429411583, 'US', 'United States'),
(138599, '204.104.171.0', '204.104.171.255', 3429411584, 3429411839, 'DE', 'Germany'),
(138600, '204.104.172.0', '204.106.7.255', 3429411840, 3429500927, 'US', 'United States'),
(138601, '204.106.8.0', '204.106.15.255', 3429500928, 3429502975, 'A2', 'Satellite Provider'),
(138602, '204.106.16.0', '204.110.53.7', 3429502976, 3429774599, 'US', 'United States'),
(138603, '204.110.53.8', '204.110.53.15', 3429774600, 3429774607, 'BD', 'Bangladesh'),
(138604, '204.110.53.16', '204.110.55.255', 3429774608, 3429775359, 'US', 'United States'),
(138605, '204.110.56.0', '204.110.63.255', 3429775360, 3429777407, 'TC', 'Turks and Caicos Islands'),
(138606, '204.110.64.0', '204.111.255.255', 3429777408, 3429892095, 'US', 'United States'),
(138607, '204.112.0.0', '204.112.255.255', 3429892096, 3429957631, 'CA', 'Canada'),
(138608, '204.113.0.0', '204.114.195.255', 3429957632, 3430073343, 'US', 'United States'),
(138609, '204.114.196.0', '204.114.196.10', 3430073344, 3430073354, 'AP', 'Asia/Pacific Region'),
(138610, '204.114.196.11', '204.114.196.11', 3430073355, 3430073355, 'AU', 'Australia'),
(138611, '204.114.196.12', '204.114.196.255', 3430073356, 3430073599, 'AP', 'Asia/Pacific Region'),
(138612, '204.114.197.0', '204.118.23.95', 3430073600, 3430291295, 'US', 'United States'),
(138613, '204.118.23.96', '204.118.23.127', 3430291296, 3430291327, 'IS', 'Iceland'),
(138614, '204.118.23.128', '204.118.111.239', 3430291328, 3430313967, 'US', 'United States'),
(138615, '204.118.111.240', '204.118.111.255', 3430313968, 3430313983, 'CA', 'Canada'),
(138616, '204.118.112.0', '204.118.132.31', 3430313984, 3430319135, 'US', 'United States'),
(138617, '204.118.132.32', '204.118.132.39', 3430319136, 3430319143, 'SE', 'Sweden'),
(138618, '204.118.132.40', '204.118.169.255', 3430319144, 3430328831, 'US', 'United States'),
(138619, '204.118.170.0', '204.118.170.255', 3430328832, 3430329087, 'GH', 'Ghana'),
(138620, '204.118.171.0', '204.119.15.255', 3430329088, 3430354943, 'US', 'United States'),
(138621, '204.119.16.0', '204.119.23.255', 3430354944, 3430356991, 'PR', 'Puerto Rico'),
(138622, '204.119.24.0', '204.120.203.255', 3430356992, 3430468607, 'US', 'United States'),
(138623, '204.120.204.0', '204.120.204.255', 3430468608, 3430468863, 'AQ', 'Antarctica'),
(138624, '204.120.205.0', '204.124.87.255', 3430468864, 3430701055, 'US', 'United States'),
(138625, '204.124.88.0', '204.124.91.255', 3430701056, 3430702079, 'CA', 'Canada'),
(138626, '204.124.92.0', '204.124.98.255', 3430702080, 3430703871, 'US', 'United States'),
(138627, '204.124.99.0', '204.124.99.255', 3430703872, 3430704127, 'PR', 'Puerto Rico'),
(138628, '204.124.100.0', '204.124.103.255', 3430704128, 3430705151, 'US', 'United States'),
(138629, '204.124.104.0', '204.124.107.255', 3430705152, 3430706175, 'MX', 'Mexico'),
(138630, '204.124.108.0', '204.124.170.255', 3430706176, 3430722303, 'US', 'United States'),
(138631, '204.124.171.0', '204.124.171.255', 3430722304, 3430722559, 'CA', 'Canada'),
(138632, '204.124.172.0', '204.124.198.28', 3430722560, 3430729244, 'US', 'United States'),
(138633, '204.124.198.29', '204.124.198.29', 3430729245, 3430729245, 'GB', 'United Kingdom'),
(138634, '204.124.198.30', '204.124.198.255', 3430729246, 3430729471, 'US', 'United States'),
(138635, '204.124.199.0', '204.124.199.255', 3430729472, 3430729727, 'GB', 'United Kingdom'),
(138636, '204.124.200.0', '204.125.14.255', 3430729728, 3430747903, 'US', 'United States'),
(138637, '204.125.15.0', '204.125.15.255', 3430747904, 3430748159, 'CA', 'Canada'),
(138638, '204.125.16.0', '204.125.22.255', 3430748160, 3430749951, 'US', 'United States'),
(138639, '204.125.23.0', '204.125.23.255', 3430749952, 3430750207, 'CA', 'Canada'),
(138640, '204.125.24.0', '204.125.91.255', 3430750208, 3430767615, 'US', 'United States'),
(138641, '204.125.92.0', '204.125.93.255', 3430767616, 3430768127, 'CA', 'Canada'),
(138642, '204.125.94.0', '204.125.96.255', 3430768128, 3430768895, 'US', 'United States'),
(138643, '204.125.97.0', '204.125.97.255', 3430768896, 3430769151, 'CA', 'Canada'),
(138644, '204.125.98.0', '204.125.98.255', 3430769152, 3430769407, 'US', 'United States'),
(138645, '204.125.99.0', '204.125.99.255', 3430769408, 3430769663, 'CA', 'Canada'),
(138646, '204.125.100.0', '204.125.104.255', 3430769664, 3430770943, 'US', 'United States'),
(138647, '204.125.105.0', '204.125.105.255', 3430770944, 3430771199, 'CA', 'Canada'),
(138648, '204.125.106.0', '204.125.107.255', 3430771200, 3430771711, 'US', 'United States'),
(138649, '204.125.108.0', '204.125.109.255', 3430771712, 3430772223, 'CA', 'Canada'),
(138650, '204.125.110.0', '204.125.113.255', 3430772224, 3430773247, 'US', 'United States'),
(138651, '204.125.114.0', '204.125.114.255', 3430773248, 3430773503, 'CA', 'Canada'),
(138652, '204.125.115.0', '204.125.117.255', 3430773504, 3430774271, 'US', 'United States'),
(138653, '204.125.118.0', '204.125.118.255', 3430774272, 3430774527, 'CA', 'Canada'),
(138654, '204.125.119.0', '204.125.129.255', 3430774528, 3430777343, 'US', 'United States'),
(138655, '204.125.130.0', '204.125.130.255', 3430777344, 3430777599, 'CA', 'Canada'),
(138656, '204.125.131.0', '204.125.131.255', 3430777600, 3430777855, 'US', 'United States'),
(138657, '204.125.132.0', '204.125.132.255', 3430777856, 3430778111, 'CA', 'Canada'),
(138658, '204.125.133.0', '204.125.134.255', 3430778112, 3430778623, 'US', 'United States'),
(138659, '204.125.135.0', '204.125.135.255', 3430778624, 3430778879, 'CA', 'Canada'),
(138660, '204.125.136.0', '204.125.139.255', 3430778880, 3430779903, 'US', 'United States'),
(138661, '204.125.140.0', '204.125.140.255', 3430779904, 3430780159, 'CA', 'Canada'),
(138662, '204.125.141.0', '204.125.142.255', 3430780160, 3430780671, 'US', 'United States'),
(138663, '204.125.143.0', '204.125.143.255', 3430780672, 3430780927, 'CA', 'Canada'),
(138664, '204.125.144.0', '204.125.149.255', 3430780928, 3430782463, 'US', 'United States'),
(138665, '204.125.150.0', '204.125.150.255', 3430782464, 3430782719, 'CA', 'Canada'),
(138666, '204.125.151.0', '204.125.194.255', 3430782720, 3430793983, 'US', 'United States'),
(138667, '204.125.195.0', '204.125.195.255', 3430793984, 3430794239, 'PR', 'Puerto Rico'),
(138668, '204.125.196.0', '204.125.198.255', 3430794240, 3430795007, 'US', 'United States'),
(138669, '204.125.199.0', '204.125.199.255', 3430795008, 3430795263, 'CA', 'Canada'),
(138670, '204.125.200.0', '204.125.240.255', 3430795264, 3430805759, 'US', 'United States'),
(138671, '204.125.241.0', '204.125.241.255', 3430805760, 3430806015, 'CA', 'Canada'),
(138672, '204.125.242.0', '204.125.246.255', 3430806016, 3430807295, 'US', 'United States'),
(138673, '204.125.247.0', '204.125.247.255', 3430807296, 3430807551, 'CA', 'Canada'),
(138674, '204.125.248.0', '204.125.253.255', 3430807552, 3430809087, 'US', 'United States'),
(138675, '204.125.254.0', '204.125.254.255', 3430809088, 3430809343, 'CA', 'Canada'),
(138676, '204.125.255.0', '204.126.11.255', 3430809344, 3430812671, 'US', 'United States'),
(138677, '204.126.12.0', '204.126.13.255', 3430812672, 3430813183, 'MX', 'Mexico'),
(138678, '204.126.14.0', '204.126.127.255', 3430813184, 3430842367, 'US', 'United States'),
(138679, '204.126.128.0', '204.126.129.255', 3430842368, 3430842879, 'DO', 'Dominican Republic'),
(138680, '204.126.130.0', '204.126.139.255', 3430842880, 3430845439, 'US', 'United States'),
(138681, '204.126.140.0', '204.126.141.255', 3430845440, 3430845951, 'MX', 'Mexico'),
(138682, '204.126.142.0', '204.126.155.255', 3430845952, 3430849535, 'US', 'United States'),
(138683, '204.126.156.0', '204.126.157.255', 3430849536, 3430850047, 'CA', 'Canada'),
(138684, '204.126.158.0', '204.130.166.255', 3430850048, 3431114495, 'US', 'United States'),
(138685, '204.130.167.0', '204.130.167.255', 3431114496, 3431114751, 'CA', 'Canada'),
(138686, '204.130.168.0', '204.136.11.255', 3431114752, 3431468031, 'US', 'United States'),
(138687, '204.136.12.0', '204.136.15.255', 3431468032, 3431469055, 'CA', 'Canada'),
(138688, '204.136.16.0', '204.136.217.255', 3431469056, 3431520767, 'US', 'United States'),
(138689, '204.136.218.0', '204.136.218.255', 3431520768, 3431521023, 'AP', 'Asia/Pacific Region'),
(138690, '204.136.219.0', '204.136.242.9', 3431521024, 3431526921, 'US', 'United States'),
(138691, '204.136.242.10', '204.136.242.10', 3431526922, 3431526922, 'EU', 'Europe'),
(138692, '204.136.242.11', '204.138.0.255', 3431526923, 3431596287, 'US', 'United States'),
(138693, '204.138.1.0', '204.138.25.255', 3431596288, 3431602687, 'CA', 'Canada'),
(138694, '204.138.26.0', '204.138.26.255', 3431602688, 3431602943, 'US', 'United States'),
(138695, '204.138.27.0', '204.138.67.255', 3431602944, 3431613439, 'CA', 'Canada'),
(138696, '204.138.68.0', '204.138.68.255', 3431613440, 3431613695, 'US', 'United States'),
(138697, '204.138.69.0', '204.138.93.255', 3431613696, 3431620095, 'CA', 'Canada'),
(138698, '204.138.94.0', '204.138.94.255', 3431620096, 3431620351, 'US', 'United States'),
(138699, '204.138.95.0', '204.138.98.255', 3431620352, 3431621375, 'CA', 'Canada'),
(138700, '204.138.99.0', '204.138.102.255', 3431621376, 3431622399, 'US', 'United States'),
(138701, '204.138.103.0', '204.138.103.255', 3431622400, 3431622655, 'CA', 'Canada'),
(138702, '204.138.104.0', '204.138.104.255', 3431622656, 3431622911, 'US', 'United States'),
(138703, '204.138.105.0', '204.138.111.255', 3431622912, 3431624703, 'CA', 'Canada'),
(138704, '204.138.112.0', '204.138.112.255', 3431624704, 3431624959, 'US', 'United States'),
(138705, '204.138.113.0', '204.138.166.255', 3431624960, 3431638783, 'CA', 'Canada'),
(138706, '204.138.167.0', '204.138.167.255', 3431638784, 3431639039, 'US', 'United States'),
(138707, '204.138.168.0', '204.138.178.255', 3431639040, 3431641855, 'CA', 'Canada'),
(138708, '204.138.179.0', '204.138.181.255', 3431641856, 3431642623, 'US', 'United States'),
(138709, '204.138.182.0', '204.138.239.255', 3431642624, 3431657471, 'CA', 'Canada'),
(138710, '204.138.240.0', '204.138.243.255', 3431657472, 3431658495, 'US', 'United States'),
(138711, '204.138.244.0', '204.138.254.255', 3431658496, 3431661311, 'CA', 'Canada'),
(138712, '204.138.255.0', '204.140.15.255', 3431661312, 3431731199, 'US', 'United States'),
(138713, '204.140.16.0', '204.140.16.7', 3431731200, 3431731207, 'ES', 'Spain'),
(138714, '204.140.16.8', '204.140.16.11', 3431731208, 3431731211, 'CO', 'Colombia'),
(138715, '204.140.16.12', '204.140.16.15', 3431731212, 3431731215, 'US', 'United States'),
(138716, '204.140.16.16', '204.140.16.31', 3431731216, 3431731231, 'CO', 'Colombia'),
(138717, '204.140.16.32', '204.140.16.47', 3431731232, 3431731247, 'US', 'United States'),
(138718, '204.140.16.48', '204.140.16.63', 3431731248, 3431731263, 'CO', 'Colombia'),
(138719, '204.140.16.64', '204.140.22.19', 3431731264, 3431732755, 'US', 'United States'),
(138720, '204.140.22.20', '204.140.22.23', 3431732756, 3431732759, 'BE', 'Belgium'),
(138721, '204.140.22.24', '204.140.22.67', 3431732760, 3431732803, 'US', 'United States'),
(138722, '204.140.22.68', '204.140.22.71', 3431732804, 3431732807, 'RO', 'Romania'),
(138723, '204.140.22.72', '204.140.22.159', 3431732808, 3431732895, 'US', 'United States'),
(138724, '204.140.22.160', '204.140.22.191', 3431732896, 3431732927, 'RO', 'Romania'),
(138725, '204.140.22.192', '204.140.22.255', 3431732928, 3431732991, 'US', 'United States'),
(138726, '204.140.23.0', '204.140.23.255', 3431732992, 3431733247, 'CA', 'Canada'),
(138727, '204.140.24.0', '204.140.69.255', 3431733248, 3431745023, 'US', 'United States'),
(138728, '204.140.70.0', '204.140.70.255', 3431745024, 3431745279, 'BE', 'Belgium'),
(138729, '204.140.71.0', '204.140.72.255', 3431745280, 3431745791, 'US', 'United States'),
(138730, '204.140.73.0', '204.140.73.255', 3431745792, 3431746047, 'GB', 'United Kingdom'),
(138731, '204.140.74.0', '204.140.75.255', 3431746048, 3431746559, 'US', 'United States'),
(138732, '204.140.76.0', '204.140.76.255', 3431746560, 3431746815, 'DE', 'Germany'),
(138733, '204.140.77.0', '204.140.77.255', 3431746816, 3431747071, 'US', 'United States'),
(138734, '204.140.78.0', '204.140.78.255', 3431747072, 3431747327, 'LU', 'Luxembourg'),
(138735, '204.140.79.0', '204.140.83.255', 3431747328, 3431748607, 'US', 'United States'),
(138736, '204.140.84.0', '204.140.85.255', 3431748608, 3431749119, 'FR', 'France'),
(138737, '204.140.86.0', '204.140.94.255', 3431749120, 3431751423, 'US', 'United States'),
(138738, '204.140.95.0', '204.140.99.255', 3431751424, 3431752703, 'IT', 'Italy'),
(138739, '204.140.100.0', '204.140.101.255', 3431752704, 3431753215, 'US', 'United States'),
(138740, '204.140.102.0', '204.140.102.255', 3431753216, 3431753471, 'SG', 'Singapore'),
(138741, '204.140.103.0', '204.140.103.255', 3431753472, 3431753727, 'US', 'United States'),
(138742, '204.140.104.0', '204.140.108.255', 3431753728, 3431755007, 'CA', 'Canada'),
(138743, '204.140.109.0', '204.140.111.255', 3431755008, 3431755775, 'NL', 'Netherlands'),
(138744, '204.140.112.0', '204.140.126.255', 3431755776, 3431759615, 'CA', 'Canada'),
(138745, '204.140.127.0', '204.140.127.255', 3431759616, 3431759871, 'DE', 'Germany'),
(138746, '204.140.128.0', '204.140.220.7', 3431759872, 3431783431, 'US', 'United States'),
(138747, '204.140.220.8', '204.140.220.11', 3431783432, 3431783435, 'NL', 'Netherlands'),
(138748, '204.140.220.12', '204.144.59.255', 3431783436, 3432004607, 'US', 'United States'),
(138749, '204.144.60.0', '204.144.63.255', 3432004608, 3432005631, 'CA', 'Canada'),
(138750, '204.144.64.0', '204.144.77.255', 3432005632, 3432009215, 'US', 'United States'),
(138751, '204.144.78.0', '204.144.78.255', 3432009216, 3432009471, 'PR', 'Puerto Rico'),
(138752, '204.144.79.0', '204.145.200.255', 3432009472, 3432106239, 'US', 'United States'),
(138753, '204.145.201.0', '204.145.201.255', 3432106240, 3432106495, 'MX', 'Mexico'),
(138754, '204.145.202.0', '204.145.228.255', 3432106496, 3432113407, 'US', 'United States'),
(138755, '204.145.229.0', '204.145.229.255', 3432113408, 3432113663, 'CA', 'Canada'),
(138756, '204.145.230.0', '204.146.52.255', 3432113664, 3432133887, 'US', 'United States'),
(138757, '204.146.53.0', '204.146.53.255', 3432133888, 3432134143, 'GB', 'United Kingdom'),
(138758, '204.146.54.0', '204.147.75.255', 3432134144, 3432205311, 'US', 'United States'),
(138759, '204.147.76.0', '204.147.79.255', 3432205312, 3432206335, 'CA', 'Canada'),
(138760, '204.147.80.0', '204.148.7.255', 3432206336, 3432253439, 'US', 'United States'),
(138761, '204.148.8.0', '204.148.9.255', 3432253440, 3432253951, 'CA', 'Canada'),
(138762, '204.148.10.0', '204.148.56.255', 3432253952, 3432265983, 'US', 'United States'),
(138763, '204.148.57.0', '204.148.61.255', 3432265984, 3432267263, 'DE', 'Germany'),
(138764, '204.148.62.0', '204.148.111.255', 3432267264, 3432280063, 'US', 'United States'),
(138765, '204.148.112.0', '204.148.112.255', 3432280064, 3432280319, 'GB', 'United Kingdom'),
(138766, '204.148.113.0', '204.149.29.255', 3432280320, 3432324607, 'US', 'United States'),
(138767, '204.149.30.0', '204.149.30.255', 3432324608, 3432324863, 'CA', 'Canada'),
(138768, '204.149.31.0', '204.149.47.255', 3432324864, 3432329215, 'US', 'United States'),
(138769, '204.149.48.0', '204.149.51.255', 3432329216, 3432330239, 'DE', 'Germany'),
(138770, '204.149.52.0', '204.149.175.255', 3432330240, 3432361983, 'US', 'United States'),
(138771, '204.149.176.0', '204.149.191.255', 3432361984, 3432366079, 'DE', 'Germany'),
(138772, '204.149.192.0', '204.151.110.255', 3432366080, 3432476415, 'US', 'United States'),
(138773, '204.151.111.0', '204.151.111.255', 3432476416, 3432476671, 'DE', 'Germany'),
(138774, '204.151.112.0', '204.151.178.255', 3432476672, 3432493823, 'US', 'United States'),
(138775, '204.151.179.0', '204.151.183.255', 3432493824, 3432495103, 'DE', 'Germany'),
(138776, '204.151.184.0', '204.152.13.255', 3432495104, 3432517119, 'US', 'United States'),
(138777, '204.152.14.0', '204.152.15.255', 3432517120, 3432517631, 'NA', 'Namibia'),
(138778, '204.152.16.0', '204.152.27.255', 3432517632, 3432520703, 'US', 'United States'),
(138779, '204.152.28.0', '204.152.28.255', 3432520704, 3432520959, 'GB', 'United Kingdom'),
(138780, '204.152.29.0', '204.152.226.255', 3432520960, 3432571647, 'US', 'United States'),
(138781, '204.152.227.0', '204.152.227.255', 3432571648, 3432571903, 'CA', 'Canada'),
(138782, '204.152.228.0', '204.152.231.127', 3432571904, 3432572799, 'US', 'United States'),
(138783, '204.152.231.128', '204.152.231.255', 3432572800, 3432572927, 'DO', 'Dominican Republic'),
(138784, '204.152.232.0', '204.153.23.255', 3432572928, 3432585215, 'US', 'United States'),
(138785, '204.153.24.0', '204.153.25.255', 3432585216, 3432585727, 'MX', 'Mexico'),
(138786, '204.153.26.0', '204.153.134.255', 3432585728, 3432613631, 'US', 'United States'),
(138787, '204.153.135.0', '204.153.135.255', 3432613632, 3432613887, 'CA', 'Canada'),
(138788, '204.153.136.0', '204.153.214.255', 3432613888, 3432634111, 'US', 'United States'),
(138789, '204.153.215.0', '204.153.215.255', 3432634112, 3432634367, 'CA', 'Canada'),
(138790, '204.153.216.0', '204.154.63.255', 3432634368, 3432660991, 'US', 'United States'),
(138791, '204.154.64.0', '204.154.69.255', 3432660992, 3432662527, 'DE', 'Germany'),
(138792, '204.154.70.0', '204.154.70.3', 3432662528, 3432662531, 'PT', 'Portugal'),
(138793, '204.154.70.4', '204.154.71.255', 3432662532, 3432663039, 'DE', 'Germany'),
(138794, '204.154.72.0', '204.154.173.255', 3432663040, 3432689151, 'US', 'United States'),
(138795, '204.154.174.0', '204.154.175.255', 3432689152, 3432689663, 'CA', 'Canada'),
(138796, '204.154.176.0', '204.156.123.255', 3432689664, 3432807423, 'US', 'United States'),
(138797, '204.156.124.0', '204.156.127.255', 3432807424, 3432808447, 'CA', 'Canada'),
(138798, '204.156.128.0', '204.168.75.0', 3432808448, 3433581312, 'US', 'United States'),
(138799, '204.168.75.1', '204.168.75.255', 3433581313, 3433581567, 'CA', 'Canada'),
(138800, '204.168.76.0', '204.172.0.255', 3433581568, 3433824511, 'US', 'United States'),
(138801, '204.172.1.0', '204.172.1.255', 3433824512, 3433824767, 'DE', 'Germany'),
(138802, '204.172.2.0', '204.174.0.255', 3433824768, 3433955583, 'US', 'United States'),
(138803, '204.174.1.0', '204.174.36.255', 3433955584, 3433964799, 'CA', 'Canada'),
(138804, '204.174.37.0', '204.174.37.255', 3433964800, 3433965055, 'US', 'United States'),
(138805, '204.174.38.0', '204.174.46.255', 3433965056, 3433967359, 'CA', 'Canada'),
(138806, '204.174.47.0', '204.174.47.255', 3433967360, 3433967615, 'US', 'United States'),
(138807, '204.174.48.0', '204.174.103.255', 3433967616, 3433981951, 'CA', 'Canada'),
(138808, '204.174.104.0', '204.174.111.255', 3433981952, 3433983999, 'US', 'United States'),
(138809, '204.174.112.0', '204.174.223.255', 3433984000, 3434012671, 'CA', 'Canada'),
(138810, '204.174.224.0', '204.174.224.255', 3434012672, 3434012927, 'US', 'United States'),
(138811, '204.174.225.0', '204.174.231.255', 3434012928, 3434014719, 'CA', 'Canada'),
(138812, '204.174.232.0', '204.174.233.255', 3434014720, 3434015231, 'US', 'United States'),
(138813, '204.174.234.0', '204.174.254.255', 3434015232, 3434020607, 'CA', 'Canada'),
(138814, '204.174.255.0', '204.176.37.191', 3434020608, 3434096063, 'US', 'United States'),
(138815, '204.176.37.192', '204.176.37.207', 3434096064, 3434096079, 'AU', 'Australia'),
(138816, '204.176.37.208', '204.176.44.255', 3434096080, 3434097919, 'US', 'United States'),
(138817, '204.176.45.0', '204.176.45.63', 3434097920, 3434097983, 'GB', 'United Kingdom'),
(138818, '204.176.45.64', '204.176.86.223', 3434097984, 3434108639, 'US', 'United States'),
(138819, '204.176.86.224', '204.176.86.255', 3434108640, 3434108671, 'IL', 'Israel'),
(138820, '204.176.87.0', '204.176.100.239', 3434108672, 3434112239, 'US', 'United States'),
(138821, '204.176.100.240', '204.176.100.255', 3434112240, 3434112255, 'IN', 'India'),
(138822, '204.176.101.0', '204.176.121.255', 3434112256, 3434117631, 'US', 'United States'),
(138823, '204.176.122.0', '204.176.122.63', 3434117632, 3434117695, 'CA', 'Canada'),
(138824, '204.176.122.64', '204.176.184.47', 3434117696, 3434133551, 'US', 'United States'),
(138825, '204.176.184.48', '204.176.184.63', 3434133552, 3434133567, 'IL', 'Israel'),
(138826, '204.176.184.64', '204.176.184.255', 3434133568, 3434133759, 'US', 'United States'),
(138827, '204.176.185.0', '204.176.185.31', 3434133760, 3434133791, 'IL', 'Israel'),
(138828, '204.176.185.32', '204.176.185.255', 3434133792, 3434134015, 'US', 'United States'),
(138829, '204.176.186.0', '204.176.186.63', 3434134016, 3434134079, 'CA', 'Canada'),
(138830, '204.176.186.64', '204.179.63.255', 3434134080, 3434299391, 'US', 'United States'),
(138831, '204.179.64.0', '204.179.79.255', 3434299392, 3434303487, 'VE', 'Venezuela'),
(138832, '204.179.80.0', '204.181.35.255', 3434303488, 3434423295, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(138833, '204.181.36.0', '204.181.36.7', 3434423296, 3434423303, 'CA', 'Canada'),
(138834, '204.181.36.8', '204.181.51.255', 3434423304, 3434427391, 'US', 'United States'),
(138835, '204.181.52.0', '204.181.55.255', 3434427392, 3434428415, 'HR', 'Croatia'),
(138836, '204.181.56.0', '204.181.74.255', 3434428416, 3434433279, 'US', 'United States'),
(138837, '204.181.75.0', '204.181.75.255', 3434433280, 3434433535, 'PR', 'Puerto Rico'),
(138838, '204.181.76.0', '204.183.31.255', 3434433536, 3434553343, 'US', 'United States'),
(138839, '204.183.32.0', '204.183.32.255', 3434553344, 3434553599, 'ES', 'Spain'),
(138840, '204.183.33.0', '204.183.103.255', 3434553600, 3434571775, 'US', 'United States'),
(138841, '204.183.104.0', '204.183.111.255', 3434571776, 3434573823, 'CO', 'Colombia'),
(138842, '204.183.112.0', '204.183.117.255', 3434573824, 3434575359, 'US', 'United States'),
(138843, '204.183.118.0', '204.183.118.255', 3434575360, 3434575615, 'BR', 'Brazil'),
(138844, '204.183.119.0', '204.183.147.255', 3434575616, 3434583039, 'US', 'United States'),
(138845, '204.183.148.0', '204.183.151.255', 3434583040, 3434584063, 'NL', 'Netherlands'),
(138846, '204.183.152.0', '204.187.0.255', 3434584064, 3434807551, 'US', 'United States'),
(138847, '204.187.1.0', '204.187.10.255', 3434807552, 3434810111, 'CA', 'Canada'),
(138848, '204.187.11.0', '204.187.11.255', 3434810112, 3434810367, 'US', 'United States'),
(138849, '204.187.12.0', '204.187.13.46', 3434810368, 3434810670, 'CA', 'Canada'),
(138850, '204.187.13.47', '204.187.13.49', 3434810671, 3434810673, 'US', 'United States'),
(138851, '204.187.13.50', '204.187.13.255', 3434810674, 3434810879, 'CA', 'Canada'),
(138852, '204.187.14.0', '204.187.14.15', 3434810880, 3434810895, 'GB', 'United Kingdom'),
(138853, '204.187.14.16', '204.187.14.31', 3434810896, 3434810911, 'US', 'United States'),
(138854, '204.187.14.32', '204.187.14.63', 3434810912, 3434810943, 'CA', 'Canada'),
(138855, '204.187.14.64', '204.187.14.79', 3434810944, 3434810959, 'US', 'United States'),
(138856, '204.187.14.80', '204.187.14.95', 3434810960, 3434810975, 'AE', 'United Arab Emirates'),
(138857, '204.187.14.96', '204.187.14.127', 3434810976, 3434811007, 'CA', 'Canada'),
(138858, '204.187.14.128', '204.187.14.143', 3434811008, 3434811023, 'US', 'United States'),
(138859, '204.187.14.144', '204.187.14.159', 3434811024, 3434811039, 'ZA', 'South Africa'),
(138860, '204.187.14.160', '204.187.14.191', 3434811040, 3434811071, 'US', 'United States'),
(138861, '204.187.14.192', '204.187.14.255', 3434811072, 3434811135, 'CA', 'Canada'),
(138862, '204.187.15.0', '204.187.15.15', 3434811136, 3434811151, 'US', 'United States'),
(138863, '204.187.15.16', '204.187.15.31', 3434811152, 3434811167, 'CA', 'Canada'),
(138864, '204.187.15.32', '204.187.15.63', 3434811168, 3434811199, 'US', 'United States'),
(138865, '204.187.15.64', '204.187.15.79', 3434811200, 3434811215, 'AU', 'Australia'),
(138866, '204.187.15.80', '204.187.15.175', 3434811216, 3434811311, 'US', 'United States'),
(138867, '204.187.15.176', '204.187.15.191', 3434811312, 3434811327, 'GB', 'United Kingdom'),
(138868, '204.187.15.192', '204.187.15.223', 3434811328, 3434811359, 'US', 'United States'),
(138869, '204.187.15.224', '204.187.15.239', 3434811360, 3434811375, 'CA', 'Canada'),
(138870, '204.187.15.240', '204.187.15.247', 3434811376, 3434811383, 'US', 'United States'),
(138871, '204.187.15.248', '204.187.93.255', 3434811384, 3434831359, 'CA', 'Canada'),
(138872, '204.187.94.0', '204.187.94.255', 3434831360, 3434831615, 'US', 'United States'),
(138873, '204.187.95.0', '204.187.254.255', 3434831616, 3434872575, 'CA', 'Canada'),
(138874, '204.187.255.0', '204.188.135.255', 3434872576, 3434907647, 'US', 'United States'),
(138875, '204.188.136.0', '204.188.143.255', 3434907648, 3434909695, 'PA', 'Panama'),
(138876, '204.188.144.0', '204.188.159.255', 3434909696, 3434913791, 'US', 'United States'),
(138877, '204.188.160.0', '204.188.160.255', 3434913792, 3434914047, 'AG', 'Antigua and Barbuda'),
(138878, '204.188.161.0', '204.188.161.255', 3434914048, 3434914303, 'DM', 'Dominica'),
(138879, '204.188.162.0', '204.188.162.255', 3434914304, 3434914559, 'VG', 'Virgin Islands, British'),
(138880, '204.188.163.0', '204.188.163.255', 3434914560, 3434914815, 'AG', 'Antigua and Barbuda'),
(138881, '204.188.164.0', '204.188.165.255', 3434914816, 3434915327, 'VG', 'Virgin Islands, British'),
(138882, '204.188.166.0', '204.188.166.255', 3434915328, 3434915583, 'DM', 'Dominica'),
(138883, '204.188.167.0', '204.188.167.255', 3434915584, 3434915839, 'KN', 'Saint Kitts and Nevis'),
(138884, '204.188.168.0', '204.188.168.255', 3434915840, 3434916095, 'LC', 'Saint Lucia'),
(138885, '204.188.169.0', '204.188.169.255', 3434916096, 3434916351, 'AG', 'Antigua and Barbuda'),
(138886, '204.188.170.0', '204.188.170.255', 3434916352, 3434916607, 'DM', 'Dominica'),
(138887, '204.188.171.0', '204.188.172.255', 3434916608, 3434917119, 'AG', 'Antigua and Barbuda'),
(138888, '204.188.173.0', '204.188.173.255', 3434917120, 3434917375, 'LC', 'Saint Lucia'),
(138889, '204.188.174.0', '204.188.175.255', 3434917376, 3434917887, 'AG', 'Antigua and Barbuda'),
(138890, '204.188.176.0', '204.190.255.255', 3434917888, 3435069439, 'US', 'United States'),
(138891, '204.191.0.0', '204.191.255.255', 3435069440, 3435134975, 'CA', 'Canada'),
(138892, '204.192.0.0', '204.194.20.255', 3435134976, 3435271423, 'US', 'United States'),
(138893, '204.194.21.0', '204.194.21.255', 3435271424, 3435271679, 'CA', 'Canada'),
(138894, '204.194.22.0', '204.197.175.255', 3435271680, 3435507711, 'US', 'United States'),
(138895, '204.197.176.0', '204.197.191.255', 3435507712, 3435511807, 'CA', 'Canada'),
(138896, '204.197.192.0', '204.197.217.255', 3435511808, 3435518463, 'US', 'United States'),
(138897, '204.197.218.0', '204.197.218.63', 3435518464, 3435518527, 'GI', 'Gibraltar'),
(138898, '204.197.218.64', '204.209.0.255', 3435518528, 3436249343, 'US', 'United States'),
(138899, '204.209.1.0', '204.209.25.255', 3436249344, 3436255743, 'CA', 'Canada'),
(138900, '204.209.26.0', '204.209.27.255', 3436255744, 3436256255, 'US', 'United States'),
(138901, '204.209.28.0', '204.209.113.255', 3436256256, 3436278271, 'CA', 'Canada'),
(138902, '204.209.114.0', '204.209.114.255', 3436278272, 3436278527, 'US', 'United States'),
(138903, '204.209.115.0', '204.209.129.255', 3436278528, 3436282367, 'CA', 'Canada'),
(138904, '204.209.130.0', '204.209.130.255', 3436282368, 3436282623, 'US', 'United States'),
(138905, '204.209.131.0', '204.209.158.255', 3436282624, 3436289791, 'CA', 'Canada'),
(138906, '204.209.159.0', '204.209.159.255', 3436289792, 3436290047, 'US', 'United States'),
(138907, '204.209.160.0', '204.209.254.255', 3436290048, 3436314367, 'CA', 'Canada'),
(138908, '204.209.255.0', '204.212.119.255', 3436314368, 3436476415, 'US', 'United States'),
(138909, '204.212.120.0', '204.212.127.255', 3436476416, 3436478463, 'AW', 'Aruba'),
(138910, '204.212.128.0', '204.212.183.255', 3436478464, 3436492799, 'US', 'United States'),
(138911, '204.212.184.0', '204.212.184.255', 3436492800, 3436493055, 'NL', 'Netherlands'),
(138912, '204.212.185.0', '204.215.213.255', 3436493056, 3436697087, 'US', 'United States'),
(138913, '204.215.214.0', '204.215.214.255', 3436697088, 3436697343, 'VE', 'Venezuela'),
(138914, '204.215.215.0', '204.224.0.255', 3436697344, 3437232383, 'US', 'United States'),
(138915, '204.224.1.0', '204.224.1.255', 3437232384, 3437232639, 'CA', 'Canada'),
(138916, '204.224.2.0', '204.224.41.255', 3437232640, 3437242879, 'US', 'United States'),
(138917, '204.224.42.0', '204.224.42.255', 3437242880, 3437243135, 'CA', 'Canada'),
(138918, '204.224.43.0', '204.224.66.255', 3437243136, 3437249279, 'US', 'United States'),
(138919, '204.224.67.0', '204.224.67.255', 3437249280, 3437249535, 'CA', 'Canada'),
(138920, '204.224.68.0', '204.224.107.255', 3437249536, 3437259775, 'US', 'United States'),
(138921, '204.224.108.0', '204.224.108.255', 3437259776, 3437260031, 'CA', 'Canada'),
(138922, '204.224.109.0', '204.224.116.255', 3437260032, 3437262079, 'US', 'United States'),
(138923, '204.224.117.0', '204.224.117.255', 3437262080, 3437262335, 'CA', 'Canada'),
(138924, '204.224.118.0', '204.224.122.255', 3437262336, 3437263615, 'US', 'United States'),
(138925, '204.224.123.0', '204.224.123.255', 3437263616, 3437263871, 'CA', 'Canada'),
(138926, '204.224.124.0', '204.224.133.255', 3437263872, 3437266431, 'US', 'United States'),
(138927, '204.224.134.0', '204.224.134.255', 3437266432, 3437266687, 'CA', 'Canada'),
(138928, '204.224.135.0', '204.224.184.255', 3437266688, 3437279487, 'US', 'United States'),
(138929, '204.224.185.0', '204.224.185.255', 3437279488, 3437279743, 'CA', 'Canada'),
(138930, '204.224.186.0', '204.224.191.255', 3437279744, 3437281279, 'US', 'United States'),
(138931, '204.224.192.0', '204.224.192.255', 3437281280, 3437281535, 'CA', 'Canada'),
(138932, '204.224.193.0', '204.224.236.255', 3437281536, 3437292799, 'US', 'United States'),
(138933, '204.224.237.0', '204.224.237.255', 3437292800, 3437293055, 'CA', 'Canada'),
(138934, '204.224.238.0', '204.225.0.255', 3437293056, 3437297919, 'US', 'United States'),
(138935, '204.225.1.0', '204.225.37.255', 3437297920, 3437307391, 'CA', 'Canada'),
(138936, '204.225.38.0', '204.225.39.255', 3437307392, 3437307903, 'US', 'United States'),
(138937, '204.225.40.0', '204.225.51.255', 3437307904, 3437310975, 'CA', 'Canada'),
(138938, '204.225.52.0', '204.225.53.255', 3437310976, 3437311487, 'US', 'United States'),
(138939, '204.225.54.0', '204.225.132.255', 3437311488, 3437331711, 'CA', 'Canada'),
(138940, '204.225.133.0', '204.225.133.255', 3437331712, 3437331967, 'US', 'United States'),
(138941, '204.225.134.0', '204.225.135.255', 3437331968, 3437332479, 'CA', 'Canada'),
(138942, '204.225.136.0', '204.225.136.255', 3437332480, 3437332735, 'US', 'United States'),
(138943, '204.225.137.0', '204.225.141.255', 3437332736, 3437334015, 'CA', 'Canada'),
(138944, '204.225.142.0', '204.225.142.255', 3437334016, 3437334271, 'US', 'United States'),
(138945, '204.225.143.0', '204.225.144.255', 3437334272, 3437334783, 'CA', 'Canada'),
(138946, '204.225.145.0', '204.225.147.255', 3437334784, 3437335551, 'US', 'United States'),
(138947, '204.225.148.0', '204.225.149.255', 3437335552, 3437336063, 'CA', 'Canada'),
(138948, '204.225.150.0', '204.225.150.255', 3437336064, 3437336319, 'US', 'United States'),
(138949, '204.225.151.0', '204.225.171.255', 3437336320, 3437341695, 'CA', 'Canada'),
(138950, '204.225.172.0', '204.225.172.255', 3437341696, 3437341951, 'US', 'United States'),
(138951, '204.225.173.0', '204.225.177.255', 3437341952, 3437343231, 'CA', 'Canada'),
(138952, '204.225.178.0', '204.225.178.255', 3437343232, 3437343487, 'US', 'United States'),
(138953, '204.225.179.0', '204.225.207.255', 3437343488, 3437350911, 'CA', 'Canada'),
(138954, '204.225.208.0', '204.225.209.255', 3437350912, 3437351423, 'US', 'United States'),
(138955, '204.225.210.0', '204.225.238.255', 3437351424, 3437358847, 'CA', 'Canada'),
(138956, '204.225.239.0', '204.225.239.255', 3437358848, 3437359103, 'US', 'United States'),
(138957, '204.225.240.0', '204.226.255.255', 3437359104, 3437428735, 'CA', 'Canada'),
(138958, '204.227.0.0', '204.231.1.255', 3437428736, 3437691391, 'US', 'United States'),
(138959, '204.231.2.0', '204.231.2.255', 3437691392, 3437691647, 'HK', 'Hong Kong'),
(138960, '204.231.3.0', '204.231.3.255', 3437691648, 3437691903, 'JP', 'Japan'),
(138961, '204.231.4.0', '204.231.5.255', 3437691904, 3437692415, 'FR', 'France'),
(138962, '204.231.6.0', '204.231.6.255', 3437692416, 3437692671, 'US', 'United States'),
(138963, '204.231.7.0', '204.231.9.255', 3437692672, 3437693439, 'CA', 'Canada'),
(138964, '204.231.10.0', '204.231.10.255', 3437693440, 3437693695, 'HK', 'Hong Kong'),
(138965, '204.231.11.0', '204.231.11.255', 3437693696, 3437693951, 'NO', 'Norway'),
(138966, '204.231.12.0', '204.231.12.255', 3437693952, 3437694207, 'ES', 'Spain'),
(138967, '204.231.13.0', '204.231.16.255', 3437694208, 3437695231, 'AT', 'Austria'),
(138968, '204.231.17.0', '204.231.19.255', 3437695232, 3437695999, 'HK', 'Hong Kong'),
(138969, '204.231.20.0', '204.231.22.255', 3437696000, 3437696767, 'NL', 'Netherlands'),
(138970, '204.231.23.0', '204.231.46.255', 3437696768, 3437702911, 'US', 'United States'),
(138971, '204.231.47.0', '204.231.47.255', 3437702912, 3437703167, 'HK', 'Hong Kong'),
(138972, '204.231.48.0', '204.231.48.255', 3437703168, 3437703423, 'US', 'United States'),
(138973, '204.231.49.0', '204.231.49.255', 3437703424, 3437703679, 'NL', 'Netherlands'),
(138974, '204.231.50.0', '204.231.50.255', 3437703680, 3437703935, 'ES', 'Spain'),
(138975, '204.231.51.0', '204.231.51.255', 3437703936, 3437704191, 'US', 'United States'),
(138976, '204.231.52.0', '204.231.53.255', 3437704192, 3437704703, 'CH', 'Switzerland'),
(138977, '204.231.54.0', '204.231.60.255', 3437704704, 3437706495, 'US', 'United States'),
(138978, '204.231.61.0', '204.231.61.255', 3437706496, 3437706751, 'CH', 'Switzerland'),
(138979, '204.231.62.0', '204.231.63.255', 3437706752, 3437707263, 'US', 'United States'),
(138980, '204.231.64.0', '204.231.64.255', 3437707264, 3437707519, 'DE', 'Germany'),
(138981, '204.231.65.0', '204.231.65.255', 3437707520, 3437707775, 'US', 'United States'),
(138982, '204.231.66.0', '204.231.66.255', 3437707776, 3437708031, 'FR', 'France'),
(138983, '204.231.67.0', '204.231.67.255', 3437708032, 3437708287, 'US', 'United States'),
(138984, '204.231.68.0', '204.231.69.255', 3437708288, 3437708799, 'FI', 'Finland'),
(138985, '204.231.70.0', '204.231.71.255', 3437708800, 3437709311, 'CA', 'Canada'),
(138986, '204.231.72.0', '204.231.74.255', 3437709312, 3437710079, 'US', 'United States'),
(138987, '204.231.75.0', '204.231.75.255', 3437710080, 3437710335, 'GB', 'United Kingdom'),
(138988, '204.231.76.0', '204.231.84.255', 3437710336, 3437712639, 'US', 'United States'),
(138989, '204.231.85.0', '204.231.88.255', 3437712640, 3437713663, 'GB', 'United Kingdom'),
(138990, '204.231.89.0', '204.231.94.255', 3437713664, 3437715199, 'US', 'United States'),
(138991, '204.231.95.0', '204.231.95.255', 3437715200, 3437715455, 'DE', 'Germany'),
(138992, '204.231.96.0', '204.231.96.255', 3437715456, 3437715711, 'JP', 'Japan'),
(138993, '204.231.97.0', '204.231.97.255', 3437715712, 3437715967, 'IT', 'Italy'),
(138994, '204.231.98.0', '204.231.101.255', 3437715968, 3437716991, 'DE', 'Germany'),
(138995, '204.231.102.0', '204.231.102.255', 3437716992, 3437717247, 'US', 'United States'),
(138996, '204.231.103.0', '204.231.107.255', 3437717248, 3437718527, 'BE', 'Belgium'),
(138997, '204.231.108.0', '204.231.113.255', 3437718528, 3437720063, 'US', 'United States'),
(138998, '204.231.114.0', '204.231.125.255', 3437720064, 3437723135, 'SG', 'Singapore'),
(138999, '204.231.126.0', '204.231.133.255', 3437723136, 3437725183, 'US', 'United States'),
(139000, '204.231.134.0', '204.231.135.255', 3437725184, 3437725695, 'MN', 'Mongolia'),
(139001, '204.231.136.0', '204.231.137.255', 3437725696, 3437726207, 'DE', 'Germany'),
(139002, '204.231.138.0', '204.231.138.255', 3437726208, 3437726463, 'US', 'United States'),
(139003, '204.231.139.0', '204.231.140.255', 3437726464, 3437726975, 'GB', 'United Kingdom'),
(139004, '204.231.141.0', '204.231.158.255', 3437726976, 3437731583, 'US', 'United States'),
(139005, '204.231.159.0', '204.231.159.31', 3437731584, 3437731615, 'AF', 'Afghanistan'),
(139006, '204.231.159.32', '204.231.169.255', 3437731616, 3437734399, 'US', 'United States'),
(139007, '204.231.170.0', '204.231.170.255', 3437734400, 3437734655, 'SG', 'Singapore'),
(139008, '204.231.171.0', '204.231.177.255', 3437734656, 3437736447, 'US', 'United States'),
(139009, '204.231.178.0', '204.231.181.255', 3437736448, 3437737471, 'CL', 'Chile'),
(139010, '204.231.182.0', '204.231.223.255', 3437737472, 3437748223, 'US', 'United States'),
(139011, '204.231.224.0', '204.231.224.255', 3437748224, 3437748479, 'GB', 'United Kingdom'),
(139012, '204.231.225.0', '204.231.226.255', 3437748480, 3437748991, 'NL', 'Netherlands'),
(139013, '204.231.227.0', '204.231.227.255', 3437748992, 3437749247, 'US', 'United States'),
(139014, '204.231.228.0', '204.231.228.255', 3437749248, 3437749503, 'DE', 'Germany'),
(139015, '204.231.229.0', '204.231.229.255', 3437749504, 3437749759, 'US', 'United States'),
(139016, '204.231.230.0', '204.231.230.255', 3437749760, 3437750015, 'JP', 'Japan'),
(139017, '204.231.231.0', '204.231.231.255', 3437750016, 3437750271, 'BE', 'Belgium'),
(139018, '204.231.232.0', '204.231.232.255', 3437750272, 3437750527, 'GB', 'United Kingdom'),
(139019, '204.231.233.0', '204.231.236.255', 3437750528, 3437751551, 'US', 'United States'),
(139020, '204.231.237.0', '204.231.237.255', 3437751552, 3437751807, 'IT', 'Italy'),
(139021, '204.231.238.0', '204.231.238.255', 3437751808, 3437752063, 'GB', 'United Kingdom'),
(139022, '204.231.239.0', '204.231.239.255', 3437752064, 3437752319, 'ES', 'Spain'),
(139023, '204.231.240.0', '204.231.240.255', 3437752320, 3437752575, 'IE', 'Ireland'),
(139024, '204.231.241.0', '204.231.250.255', 3437752576, 3437755135, 'US', 'United States'),
(139025, '204.231.251.0', '204.231.252.255', 3437755136, 3437755647, 'JP', 'Japan'),
(139026, '204.231.253.0', '204.231.253.255', 3437755648, 3437755903, 'GB', 'United Kingdom'),
(139027, '204.231.254.0', '204.231.254.255', 3437755904, 3437756159, 'US', 'United States'),
(139028, '204.231.255.0', '204.231.255.255', 3437756160, 3437756415, 'IE', 'Ireland'),
(139029, '204.232.0.0', '204.232.63.255', 3437756416, 3437772799, 'US', 'United States'),
(139030, '204.232.64.0', '204.232.79.255', 3437772800, 3437776895, 'CA', 'Canada'),
(139031, '204.232.80.0', '204.232.130.151', 3437776896, 3437789847, 'US', 'United States'),
(139032, '204.232.130.152', '204.232.130.159', 3437789848, 3437789855, 'IN', 'India'),
(139033, '204.232.130.160', '204.232.130.167', 3437789856, 3437789863, 'US', 'United States'),
(139034, '204.232.130.168', '204.232.130.175', 3437789864, 3437789871, 'AU', 'Australia'),
(139035, '204.232.130.176', '204.232.131.191', 3437789872, 3437790143, 'US', 'United States'),
(139036, '204.232.131.192', '204.232.131.207', 3437790144, 3437790159, 'CA', 'Canada'),
(139037, '204.232.131.208', '204.232.132.7', 3437790160, 3437790215, 'US', 'United States'),
(139038, '204.232.132.8', '204.232.132.15', 3437790216, 3437790223, 'AU', 'Australia'),
(139039, '204.232.132.16', '204.232.133.151', 3437790224, 3437790615, 'US', 'United States'),
(139040, '204.232.133.152', '204.232.133.159', 3437790616, 3437790623, 'GB', 'United Kingdom'),
(139041, '204.232.133.160', '204.232.134.15', 3437790624, 3437790735, 'US', 'United States'),
(139042, '204.232.134.16', '204.232.134.23', 3437790736, 3437790743, 'SE', 'Sweden'),
(139043, '204.232.134.24', '204.232.135.223', 3437790744, 3437791199, 'US', 'United States'),
(139044, '204.232.135.224', '204.232.135.231', 3437791200, 3437791207, 'CO', 'Colombia'),
(139045, '204.232.135.232', '204.232.137.159', 3437791208, 3437791647, 'US', 'United States'),
(139046, '204.232.137.160', '204.232.137.175', 3437791648, 3437791663, 'CA', 'Canada'),
(139047, '204.232.137.176', '204.232.138.191', 3437791664, 3437791935, 'US', 'United States'),
(139048, '204.232.138.192', '204.232.138.255', 3437791936, 3437791999, 'AU', 'Australia'),
(139049, '204.232.139.0', '204.232.139.31', 3437792000, 3437792031, 'US', 'United States'),
(139050, '204.232.139.32', '204.232.139.63', 3437792032, 3437792063, 'AU', 'Australia'),
(139051, '204.232.139.64', '204.232.140.23', 3437792064, 3437792279, 'US', 'United States'),
(139052, '204.232.140.24', '204.232.140.31', 3437792280, 3437792287, 'SE', 'Sweden'),
(139053, '204.232.140.32', '204.232.140.159', 3437792288, 3437792415, 'US', 'United States'),
(139054, '204.232.140.160', '204.232.140.167', 3437792416, 3437792423, 'AU', 'Australia'),
(139055, '204.232.140.168', '204.232.141.15', 3437792424, 3437792527, 'US', 'United States'),
(139056, '204.232.141.16', '204.232.141.23', 3437792528, 3437792535, 'MX', 'Mexico'),
(139057, '204.232.141.24', '204.232.141.223', 3437792536, 3437792735, 'US', 'United States'),
(139058, '204.232.141.224', '204.232.141.231', 3437792736, 3437792743, 'CA', 'Canada'),
(139059, '204.232.141.232', '204.232.142.7', 3437792744, 3437792775, 'US', 'United States'),
(139060, '204.232.142.8', '204.232.142.15', 3437792776, 3437792783, 'CA', 'Canada'),
(139061, '204.232.142.16', '204.232.143.255', 3437792784, 3437793279, 'US', 'United States'),
(139062, '204.232.144.0', '204.232.144.255', 3437793280, 3437793535, 'BD', 'Bangladesh'),
(139063, '204.232.145.0', '204.232.145.191', 3437793536, 3437793727, 'US', 'United States'),
(139064, '204.232.145.192', '204.232.145.255', 3437793728, 3437793791, 'BD', 'Bangladesh'),
(139065, '204.232.146.0', '204.232.149.87', 3437793792, 3437794647, 'US', 'United States'),
(139066, '204.232.149.88', '204.232.149.95', 3437794648, 3437794655, 'GB', 'United Kingdom'),
(139067, '204.232.149.96', '204.232.150.15', 3437794656, 3437794831, 'US', 'United States'),
(139068, '204.232.150.16', '204.232.150.23', 3437794832, 3437794839, 'ID', 'Indonesia'),
(139069, '204.232.150.24', '204.232.150.63', 3437794840, 3437794879, 'US', 'United States'),
(139070, '204.232.150.64', '204.232.150.71', 3437794880, 3437794887, 'CA', 'Canada'),
(139071, '204.232.150.72', '204.232.151.31', 3437794888, 3437795103, 'US', 'United States'),
(139072, '204.232.151.32', '204.232.151.39', 3437795104, 3437795111, 'IN', 'India'),
(139073, '204.232.151.40', '204.232.151.175', 3437795112, 3437795247, 'US', 'United States'),
(139074, '204.232.151.176', '204.232.151.183', 3437795248, 3437795255, 'CA', 'Canada'),
(139075, '204.232.151.184', '204.232.151.231', 3437795256, 3437795303, 'US', 'United States'),
(139076, '204.232.151.232', '204.232.151.239', 3437795304, 3437795311, 'BD', 'Bangladesh'),
(139077, '204.232.151.240', '204.232.153.223', 3437795312, 3437795807, 'US', 'United States'),
(139078, '204.232.153.224', '204.232.153.231', 3437795808, 3437795815, 'AR', 'Argentina'),
(139079, '204.232.153.232', '204.232.154.79', 3437795816, 3437795919, 'US', 'United States'),
(139080, '204.232.154.80', '204.232.154.87', 3437795920, 3437795927, 'TH', 'Thailand'),
(139081, '204.232.154.88', '204.232.158.55', 3437795928, 3437796919, 'US', 'United States'),
(139082, '204.232.158.56', '204.232.158.71', 3437796920, 3437796935, 'ES', 'Spain'),
(139083, '204.232.158.72', '204.232.167.135', 3437796936, 3437799303, 'US', 'United States'),
(139084, '204.232.167.136', '204.232.167.143', 3437799304, 3437799311, 'CA', 'Canada'),
(139085, '204.232.167.144', '204.232.167.191', 3437799312, 3437799359, 'US', 'United States'),
(139086, '204.232.167.192', '204.232.167.199', 3437799360, 3437799367, 'IN', 'India'),
(139087, '204.232.167.200', '204.232.168.15', 3437799368, 3437799439, 'US', 'United States'),
(139088, '204.232.168.16', '204.232.168.23', 3437799440, 3437799447, 'CA', 'Canada'),
(139089, '204.232.168.24', '204.232.168.47', 3437799448, 3437799471, 'US', 'United States'),
(139090, '204.232.168.48', '204.232.168.55', 3437799472, 3437799479, 'CA', 'Canada'),
(139091, '204.232.168.56', '204.232.168.175', 3437799480, 3437799599, 'US', 'United States'),
(139092, '204.232.168.176', '204.232.168.183', 3437799600, 3437799607, 'MX', 'Mexico'),
(139093, '204.232.168.184', '204.232.168.239', 3437799608, 3437799663, 'US', 'United States'),
(139094, '204.232.168.240', '204.232.168.247', 3437799664, 3437799671, 'GB', 'United Kingdom'),
(139095, '204.232.168.248', '204.232.169.95', 3437799672, 3437799775, 'US', 'United States'),
(139096, '204.232.169.96', '204.232.169.103', 3437799776, 3437799783, 'CA', 'Canada'),
(139097, '204.232.169.104', '204.232.169.111', 3437799784, 3437799791, 'US', 'United States'),
(139098, '204.232.169.112', '204.232.169.119', 3437799792, 3437799799, 'IN', 'India'),
(139099, '204.232.169.120', '204.232.169.191', 3437799800, 3437799871, 'US', 'United States'),
(139100, '204.232.169.192', '204.232.169.199', 3437799872, 3437799879, 'CA', 'Canada'),
(139101, '204.232.169.200', '204.232.170.95', 3437799880, 3437800031, 'US', 'United States'),
(139102, '204.232.170.96', '204.232.170.103', 3437800032, 3437800039, 'AU', 'Australia'),
(139103, '204.232.170.104', '204.232.171.23', 3437800040, 3437800215, 'US', 'United States'),
(139104, '204.232.171.24', '204.232.171.31', 3437800216, 3437800223, 'CN', 'China'),
(139105, '204.232.171.32', '204.232.171.39', 3437800224, 3437800231, 'US', 'United States'),
(139106, '204.232.171.40', '204.232.171.47', 3437800232, 3437800239, 'CA', 'Canada'),
(139107, '204.232.171.48', '204.232.173.127', 3437800240, 3437800831, 'US', 'United States'),
(139108, '204.232.173.128', '204.232.173.143', 3437800832, 3437800847, 'PH', 'Philippines'),
(139109, '204.232.173.144', '204.232.173.255', 3437800848, 3437800959, 'US', 'United States'),
(139110, '204.232.174.0', '204.232.174.15', 3437800960, 3437800975, 'FR', 'France'),
(139111, '204.232.174.16', '204.232.176.223', 3437800976, 3437801695, 'US', 'United States'),
(139112, '204.232.176.224', '204.232.176.231', 3437801696, 3437801703, 'AU', 'Australia'),
(139113, '204.232.176.232', '204.232.176.255', 3437801704, 3437801727, 'US', 'United States'),
(139114, '204.232.177.0', '204.232.177.7', 3437801728, 3437801735, 'CO', 'Colombia'),
(139115, '204.232.177.8', '204.232.177.15', 3437801736, 3437801743, 'CA', 'Canada'),
(139116, '204.232.177.16', '204.232.178.55', 3437801744, 3437802039, 'US', 'United States'),
(139117, '204.232.178.56', '204.232.178.63', 3437802040, 3437802047, 'BR', 'Brazil'),
(139118, '204.232.178.64', '204.232.178.223', 3437802048, 3437802207, 'US', 'United States'),
(139119, '204.232.178.224', '204.232.178.239', 3437802208, 3437802223, 'BR', 'Brazil'),
(139120, '204.232.178.240', '204.232.179.255', 3437802224, 3437802495, 'US', 'United States'),
(139121, '204.232.180.0', '204.232.180.7', 3437802496, 3437802503, 'GB', 'United Kingdom'),
(139122, '204.232.180.8', '204.232.180.63', 3437802504, 3437802559, 'US', 'United States'),
(139123, '204.232.180.64', '204.232.180.71', 3437802560, 3437802567, 'SA', 'Saudi Arabia'),
(139124, '204.232.180.72', '204.232.180.231', 3437802568, 3437802727, 'US', 'United States'),
(139125, '204.232.180.232', '204.232.180.239', 3437802728, 3437802735, 'AR', 'Argentina'),
(139126, '204.232.180.240', '204.232.180.247', 3437802736, 3437802743, 'GB', 'United Kingdom'),
(139127, '204.232.180.248', '204.232.181.39', 3437802744, 3437802791, 'US', 'United States'),
(139128, '204.232.181.40', '204.232.181.47', 3437802792, 3437802799, 'CA', 'Canada'),
(139129, '204.232.181.48', '204.232.181.71', 3437802800, 3437802823, 'GB', 'United Kingdom'),
(139130, '204.232.181.72', '204.232.181.127', 3437802824, 3437802879, 'US', 'United States'),
(139131, '204.232.181.128', '204.232.181.135', 3437802880, 3437802887, 'GB', 'United Kingdom'),
(139132, '204.232.181.136', '204.232.182.47', 3437802888, 3437803055, 'US', 'United States'),
(139133, '204.232.182.48', '204.232.182.63', 3437803056, 3437803071, 'EC', 'Ecuador'),
(139134, '204.232.182.64', '204.232.183.119', 3437803072, 3437803383, 'US', 'United States'),
(139135, '204.232.183.120', '204.232.183.127', 3437803384, 3437803391, 'BR', 'Brazil'),
(139136, '204.232.183.128', '204.232.184.15', 3437803392, 3437803535, 'US', 'United States'),
(139137, '204.232.184.16', '204.232.184.23', 3437803536, 3437803543, 'GB', 'United Kingdom'),
(139138, '204.232.184.24', '204.232.184.127', 3437803544, 3437803647, 'US', 'United States'),
(139139, '204.232.184.128', '204.232.184.135', 3437803648, 3437803655, 'AU', 'Australia'),
(139140, '204.232.184.136', '204.232.184.239', 3437803656, 3437803759, 'US', 'United States'),
(139141, '204.232.184.240', '204.232.184.247', 3437803760, 3437803767, 'CA', 'Canada'),
(139142, '204.232.184.248', '204.232.185.7', 3437803768, 3437803783, 'US', 'United States'),
(139143, '204.232.185.8', '204.232.185.15', 3437803784, 3437803791, 'CA', 'Canada'),
(139144, '204.232.185.16', '204.232.185.111', 3437803792, 3437803887, 'US', 'United States'),
(139145, '204.232.185.112', '204.232.185.119', 3437803888, 3437803895, 'CA', 'Canada'),
(139146, '204.232.185.120', '204.232.185.143', 3437803896, 3437803919, 'US', 'United States'),
(139147, '204.232.185.144', '204.232.185.151', 3437803920, 3437803927, 'CA', 'Canada'),
(139148, '204.232.185.152', '204.232.185.191', 3437803928, 3437803967, 'US', 'United States'),
(139149, '204.232.185.192', '204.232.185.199', 3437803968, 3437803975, 'FR', 'France'),
(139150, '204.232.185.200', '204.232.186.31', 3437803976, 3437804063, 'US', 'United States'),
(139151, '204.232.186.32', '204.232.186.39', 3437804064, 3437804071, 'IL', 'Israel'),
(139152, '204.232.186.40', '204.232.186.127', 3437804072, 3437804159, 'US', 'United States'),
(139153, '204.232.186.128', '204.232.186.135', 3437804160, 3437804167, 'GB', 'United Kingdom'),
(139154, '204.232.186.136', '204.232.186.143', 3437804168, 3437804175, 'NZ', 'New Zealand'),
(139155, '204.232.186.144', '204.232.187.47', 3437804176, 3437804335, 'US', 'United States'),
(139156, '204.232.187.48', '204.232.187.63', 3437804336, 3437804351, 'PE', 'Peru'),
(139157, '204.232.187.64', '204.232.187.159', 3437804352, 3437804447, 'US', 'United States'),
(139158, '204.232.187.160', '204.232.187.167', 3437804448, 3437804455, 'CA', 'Canada'),
(139159, '204.232.187.168', '204.232.187.183', 3437804456, 3437804471, 'US', 'United States'),
(139160, '204.232.187.184', '204.232.187.199', 3437804472, 3437804487, 'IN', 'India'),
(139161, '204.232.187.200', '204.232.188.127', 3437804488, 3437804671, 'US', 'United States'),
(139162, '204.232.188.128', '204.232.188.159', 3437804672, 3437804703, 'CA', 'Canada'),
(139163, '204.232.188.160', '204.232.188.223', 3437804704, 3437804767, 'US', 'United States'),
(139164, '204.232.188.224', '204.232.188.255', 3437804768, 3437804799, 'PH', 'Philippines'),
(139165, '204.232.189.0', '204.232.189.7', 3437804800, 3437804807, 'US', 'United States'),
(139166, '204.232.189.8', '204.232.189.15', 3437804808, 3437804815, 'CA', 'Canada'),
(139167, '204.232.189.16', '204.232.189.103', 3437804816, 3437804903, 'US', 'United States'),
(139168, '204.232.189.104', '204.232.189.111', 3437804904, 3437804911, 'CA', 'Canada'),
(139169, '204.232.189.112', '204.232.190.103', 3437804912, 3437805159, 'US', 'United States'),
(139170, '204.232.190.104', '204.232.190.111', 3437805160, 3437805167, 'MX', 'Mexico'),
(139171, '204.232.190.112', '204.232.190.119', 3437805168, 3437805175, 'US', 'United States'),
(139172, '204.232.190.120', '204.232.190.127', 3437805176, 3437805183, 'CA', 'Canada'),
(139173, '204.232.190.128', '204.232.190.135', 3437805184, 3437805191, 'GB', 'United Kingdom'),
(139174, '204.232.190.136', '204.232.190.151', 3437805192, 3437805207, 'US', 'United States'),
(139175, '204.232.190.152', '204.232.190.159', 3437805208, 3437805215, 'GB', 'United Kingdom'),
(139176, '204.232.190.160', '204.232.190.175', 3437805216, 3437805231, 'US', 'United States'),
(139177, '204.232.190.176', '204.232.190.183', 3437805232, 3437805239, 'FR', 'France'),
(139178, '204.232.190.184', '204.232.190.215', 3437805240, 3437805271, 'US', 'United States'),
(139179, '204.232.190.216', '204.232.190.223', 3437805272, 3437805279, 'IL', 'Israel'),
(139180, '204.232.190.224', '204.232.227.95', 3437805280, 3437814623, 'US', 'United States'),
(139181, '204.232.227.96', '204.232.227.103', 3437814624, 3437814631, 'CA', 'Canada'),
(139182, '204.232.227.104', '204.232.231.255', 3437814632, 3437815807, 'US', 'United States'),
(139183, '204.232.232.0', '204.232.232.7', 3437815808, 3437815815, 'IN', 'India'),
(139184, '204.232.232.8', '204.232.232.183', 3437815816, 3437815991, 'US', 'United States'),
(139185, '204.232.232.184', '204.232.232.191', 3437815992, 3437815999, 'CA', 'Canada'),
(139186, '204.232.232.192', '204.232.232.199', 3437816000, 3437816007, 'AU', 'Australia'),
(139187, '204.232.232.200', '204.232.233.31', 3437816008, 3437816095, 'US', 'United States'),
(139188, '204.232.233.32', '204.232.233.39', 3437816096, 3437816103, 'IT', 'Italy'),
(139189, '204.232.233.40', '204.232.233.95', 3437816104, 3437816159, 'US', 'United States'),
(139190, '204.232.233.96', '204.232.233.103', 3437816160, 3437816167, 'IL', 'Israel'),
(139191, '204.232.233.104', '204.232.233.119', 3437816168, 3437816183, 'US', 'United States'),
(139192, '204.232.233.120', '204.232.233.127', 3437816184, 3437816191, 'BR', 'Brazil'),
(139193, '204.232.233.128', '204.232.233.199', 3437816192, 3437816263, 'US', 'United States'),
(139194, '204.232.233.200', '204.232.233.207', 3437816264, 3437816271, 'GB', 'United Kingdom'),
(139195, '204.232.233.208', '204.232.234.111', 3437816272, 3437816431, 'US', 'United States'),
(139196, '204.232.234.112', '204.232.234.119', 3437816432, 3437816439, 'CA', 'Canada'),
(139197, '204.232.234.120', '204.232.238.31', 3437816440, 3437817375, 'US', 'United States'),
(139198, '204.232.238.32', '204.232.238.39', 3437817376, 3437817383, 'IL', 'Israel'),
(139199, '204.232.238.40', '204.232.238.47', 3437817384, 3437817391, 'US', 'United States'),
(139200, '204.232.238.48', '204.232.238.55', 3437817392, 3437817399, 'SG', 'Singapore'),
(139201, '204.232.238.56', '204.232.239.47', 3437817400, 3437817647, 'US', 'United States'),
(139202, '204.232.239.48', '204.232.239.63', 3437817648, 3437817663, 'FR', 'France'),
(139203, '204.232.239.64', '204.232.239.255', 3437817664, 3437817855, 'US', 'United States'),
(139204, '204.232.240.0', '204.232.240.127', 3437817856, 3437817983, 'BD', 'Bangladesh'),
(139205, '204.232.240.128', '204.232.246.79', 3437817984, 3437819471, 'US', 'United States'),
(139206, '204.232.246.80', '204.232.246.87', 3437819472, 3437819479, 'IL', 'Israel'),
(139207, '204.232.246.88', '204.232.247.223', 3437819480, 3437819871, 'US', 'United States'),
(139208, '204.232.247.224', '204.232.247.239', 3437819872, 3437819887, 'FR', 'France'),
(139209, '204.232.247.240', '204.232.255.127', 3437819888, 3437821823, 'US', 'United States'),
(139210, '204.232.255.128', '204.232.255.191', 3437821824, 3437821887, 'BD', 'Bangladesh'),
(139211, '204.232.255.192', '204.235.31.255', 3437821888, 3437961215, 'US', 'United States'),
(139212, '204.235.32.0', '204.235.43.255', 3437961216, 3437964287, 'ZA', 'South Africa'),
(139213, '204.235.44.0', '204.235.207.255', 3437964288, 3438006271, 'US', 'United States'),
(139214, '204.235.208.0', '204.235.223.255', 3438006272, 3438010367, 'CA', 'Canada'),
(139215, '204.235.224.0', '204.236.63.255', 3438010368, 3438034943, 'US', 'United States'),
(139216, '204.236.64.0', '204.236.127.255', 3438034944, 3438051327, 'BS', 'Bahamas'),
(139217, '204.236.128.0', '204.236.255.255', 3438051328, 3438084095, 'US', 'United States'),
(139218, '204.237.0.0', '204.237.127.255', 3438084096, 3438116863, 'CA', 'Canada'),
(139219, '204.237.128.0', '204.239.0.255', 3438116864, 3438215423, 'US', 'United States'),
(139220, '204.239.1.0', '204.239.2.255', 3438215424, 3438215935, 'CA', 'Canada'),
(139221, '204.239.3.0', '204.239.3.255', 3438215936, 3438216191, 'US', 'United States'),
(139222, '204.239.4.0', '204.239.10.255', 3438216192, 3438217983, 'CA', 'Canada'),
(139223, '204.239.11.0', '204.239.11.255', 3438217984, 3438218239, 'US', 'United States'),
(139224, '204.239.12.0', '204.239.13.255', 3438218240, 3438218751, 'CA', 'Canada'),
(139225, '204.239.14.0', '204.239.15.255', 3438218752, 3438219263, 'US', 'United States'),
(139226, '204.239.16.0', '204.239.16.255', 3438219264, 3438219519, 'CA', 'Canada'),
(139227, '204.239.17.0', '204.239.17.255', 3438219520, 3438219775, 'US', 'United States'),
(139228, '204.239.18.0', '204.239.123.255', 3438219776, 3438246911, 'CA', 'Canada'),
(139229, '204.239.124.0', '204.239.124.255', 3438246912, 3438247167, 'US', 'United States'),
(139230, '204.239.125.0', '204.239.145.255', 3438247168, 3438252543, 'CA', 'Canada'),
(139231, '204.239.146.0', '204.239.146.255', 3438252544, 3438252799, 'US', 'United States'),
(139232, '204.239.147.0', '204.239.181.255', 3438252800, 3438261759, 'CA', 'Canada'),
(139233, '204.239.182.0', '204.239.182.255', 3438261760, 3438262015, 'US', 'United States'),
(139234, '204.239.183.0', '204.239.255.255', 3438262016, 3438280703, 'CA', 'Canada'),
(139235, '204.240.0.0', '204.243.255.255', 3438280704, 3438542847, 'US', 'United States'),
(139236, '204.244.0.0', '204.244.8.47', 3438542848, 3438544943, 'CA', 'Canada'),
(139237, '204.244.8.48', '204.244.8.63', 3438544944, 3438544959, 'TC', 'Turks and Caicos Islands'),
(139238, '204.244.8.64', '204.244.10.15', 3438544960, 3438545423, 'CA', 'Canada'),
(139239, '204.244.10.16', '204.244.10.23', 3438545424, 3438545431, 'US', 'United States'),
(139240, '204.244.10.24', '204.244.10.63', 3438545432, 3438545471, 'CA', 'Canada'),
(139241, '204.244.10.64', '204.244.10.71', 3438545472, 3438545479, 'US', 'United States'),
(139242, '204.244.10.72', '204.244.12.255', 3438545480, 3438546175, 'CA', 'Canada'),
(139243, '204.244.13.0', '204.244.13.7', 3438546176, 3438546183, 'US', 'United States'),
(139244, '204.244.13.8', '204.244.28.55', 3438546184, 3438550071, 'CA', 'Canada'),
(139245, '204.244.28.56', '204.244.28.63', 3438550072, 3438550079, 'US', 'United States'),
(139246, '204.244.28.64', '204.244.29.175', 3438550080, 3438550447, 'CA', 'Canada'),
(139247, '204.244.29.176', '204.244.29.191', 3438550448, 3438550463, 'US', 'United States'),
(139248, '204.244.29.192', '204.244.36.207', 3438550464, 3438552271, 'CA', 'Canada'),
(139249, '204.244.36.208', '204.244.36.223', 3438552272, 3438552287, 'US', 'United States'),
(139250, '204.244.36.224', '204.244.61.111', 3438552288, 3438558575, 'CA', 'Canada'),
(139251, '204.244.61.112', '204.244.61.119', 3438558576, 3438558583, 'US', 'United States'),
(139252, '204.244.61.120', '204.244.65.159', 3438558584, 3438559647, 'CA', 'Canada'),
(139253, '204.244.65.160', '204.244.65.191', 3438559648, 3438559679, 'US', 'United States'),
(139254, '204.244.65.192', '204.244.102.255', 3438559680, 3438569215, 'CA', 'Canada'),
(139255, '204.244.103.0', '204.244.103.127', 3438569216, 3438569343, 'US', 'United States'),
(139256, '204.244.103.128', '204.244.106.47', 3438569344, 3438570031, 'CA', 'Canada'),
(139257, '204.244.106.48', '204.244.106.55', 3438570032, 3438570039, 'MY', 'Malaysia'),
(139258, '204.244.106.56', '204.244.107.255', 3438570040, 3438570495, 'CA', 'Canada'),
(139259, '204.244.108.0', '204.244.108.31', 3438570496, 3438570527, 'US', 'United States'),
(139260, '204.244.108.32', '204.244.187.255', 3438570528, 3438590975, 'CA', 'Canada'),
(139261, '204.244.188.0', '204.244.188.255', 3438590976, 3438591231, 'TC', 'Turks and Caicos Islands'),
(139262, '204.244.189.0', '204.244.192.255', 3438591232, 3438592255, 'CA', 'Canada'),
(139263, '204.244.193.0', '204.244.193.7', 3438592256, 3438592263, 'US', 'United States'),
(139264, '204.244.193.8', '204.244.194.15', 3438592264, 3438592527, 'CA', 'Canada'),
(139265, '204.244.194.16', '204.244.194.23', 3438592528, 3438592535, 'US', 'United States'),
(139266, '204.244.194.24', '204.244.224.127', 3438592536, 3438600319, 'CA', 'Canada'),
(139267, '204.244.224.128', '204.244.224.159', 3438600320, 3438600351, 'US', 'United States'),
(139268, '204.244.224.160', '204.244.255.255', 3438600352, 3438608383, 'CA', 'Canada'),
(139269, '204.245.0.0', '204.245.24.79', 3438608384, 3438614607, 'US', 'United States'),
(139270, '204.245.24.80', '204.245.24.87', 3438614608, 3438614615, 'BR', 'Brazil'),
(139271, '204.245.24.88', '204.248.31.255', 3438614616, 3438813183, 'US', 'United States'),
(139272, '204.248.32.0', '204.248.35.255', 3438813184, 3438814207, 'GH', 'Ghana'),
(139273, '204.248.36.0', '204.249.95.255', 3438814208, 3438895103, 'US', 'United States'),
(139274, '204.249.96.0', '204.249.102.255', 3438895104, 3438896895, 'HN', 'Honduras'),
(139275, '204.249.103.0', '204.251.226.255', 3438896896, 3439059711, 'US', 'United States'),
(139276, '204.251.227.0', '204.251.227.255', 3439059712, 3439059967, 'PR', 'Puerto Rico'),
(139277, '204.251.228.0', '204.252.14.255', 3439059968, 3439070975, 'US', 'United States'),
(139278, '204.252.15.0', '204.252.15.159', 3439070976, 3439071135, 'MX', 'Mexico'),
(139279, '204.252.15.160', '204.253.197.255', 3439071136, 3439183359, 'US', 'United States'),
(139280, '204.253.198.0', '204.253.199.255', 3439183360, 3439183871, 'HT', 'Haiti'),
(139281, '204.253.200.0', '204.254.84.255', 3439183872, 3439219967, 'US', 'United States'),
(139282, '204.254.85.0', '204.254.85.111', 3439219968, 3439220079, 'CL', 'Chile'),
(139283, '204.254.85.112', '204.254.85.119', 3439220080, 3439220087, 'US', 'United States'),
(139284, '204.254.85.120', '204.254.85.191', 3439220088, 3439220159, 'CL', 'Chile'),
(139285, '204.254.85.192', '204.254.85.207', 3439220160, 3439220175, 'US', 'United States'),
(139286, '204.254.85.208', '204.254.85.223', 3439220176, 3439220191, 'CL', 'Chile'),
(139287, '204.254.85.224', '205.134.188.239', 3439220192, 3448159471, 'US', 'United States'),
(139288, '205.134.188.240', '205.134.188.255', 3448159472, 3448159487, 'AG', 'Antigua and Barbuda'),
(139289, '205.134.189.0', '205.134.225.127', 3448159488, 3448168831, 'US', 'United States'),
(139290, '205.134.225.128', '205.134.225.135', 3448168832, 3448168839, 'IN', 'India'),
(139291, '205.134.225.136', '205.134.227.47', 3448168840, 3448169263, 'US', 'United States'),
(139292, '205.134.227.48', '205.134.227.63', 3448169264, 3448169279, 'AE', 'United Arab Emirates'),
(139293, '205.134.227.64', '205.134.232.15', 3448169280, 3448170511, 'US', 'United States'),
(139294, '205.134.232.16', '205.134.232.31', 3448170512, 3448170527, 'UY', 'Uruguay'),
(139295, '205.134.232.32', '205.134.232.55', 3448170528, 3448170551, 'US', 'United States'),
(139296, '205.134.232.56', '205.134.232.63', 3448170552, 3448170559, 'CA', 'Canada'),
(139297, '205.134.232.64', '205.134.241.127', 3448170560, 3448172927, 'US', 'United States'),
(139298, '205.134.241.128', '205.134.241.255', 3448172928, 3448173055, 'CA', 'Canada'),
(139299, '205.134.242.0', '205.134.243.127', 3448173056, 3448173439, 'US', 'United States'),
(139300, '205.134.243.128', '205.134.243.255', 3448173440, 3448173567, 'CA', 'Canada'),
(139301, '205.134.244.0', '205.134.244.79', 3448173568, 3448173647, 'US', 'United States'),
(139302, '205.134.244.80', '205.134.244.87', 3448173648, 3448173655, 'CA', 'Canada'),
(139303, '205.134.244.88', '205.134.245.31', 3448173656, 3448173855, 'US', 'United States'),
(139304, '205.134.245.32', '205.134.245.39', 3448173856, 3448173863, 'CA', 'Canada'),
(139305, '205.134.245.40', '205.134.245.95', 3448173864, 3448173919, 'US', 'United States'),
(139306, '205.134.245.96', '205.134.245.111', 3448173920, 3448173935, 'UY', 'Uruguay'),
(139307, '205.134.245.112', '205.136.82.255', 3448173936, 3448263423, 'US', 'United States'),
(139308, '205.136.83.0', '205.136.83.7', 3448263424, 3448263431, 'AG', 'Antigua and Barbuda'),
(139309, '205.136.83.8', '205.136.83.15', 3448263432, 3448263439, 'KN', 'Saint Kitts and Nevis'),
(139310, '205.136.83.16', '205.136.83.23', 3448263440, 3448263447, 'AG', 'Antigua and Barbuda'),
(139311, '205.136.83.24', '205.136.83.47', 3448263448, 3448263471, 'KN', 'Saint Kitts and Nevis'),
(139312, '205.136.83.48', '205.136.83.63', 3448263472, 3448263487, 'AG', 'Antigua and Barbuda'),
(139313, '205.136.83.64', '205.136.83.127', 3448263488, 3448263551, 'AI', 'Anguilla'),
(139314, '205.136.83.128', '205.136.83.231', 3448263552, 3448263655, 'AG', 'Antigua and Barbuda'),
(139315, '205.136.83.232', '205.136.83.239', 3448263656, 3448263663, 'MS', 'Montserrat'),
(139316, '205.136.83.240', '205.136.84.63', 3448263664, 3448263743, 'AG', 'Antigua and Barbuda'),
(139317, '205.136.84.64', '205.136.84.191', 3448263744, 3448263871, 'VG', 'Virgin Islands, British'),
(139318, '205.136.84.192', '205.136.84.255', 3448263872, 3448263935, 'AG', 'Antigua and Barbuda'),
(139319, '205.136.85.0', '205.136.237.255', 3448263936, 3448303103, 'US', 'United States'),
(139320, '205.136.238.0', '205.136.240.255', 3448303104, 3448303871, 'KY', 'Cayman Islands'),
(139321, '205.136.241.0', '205.137.120.255', 3448303872, 3448338687, 'US', 'United States'),
(139322, '205.137.121.0', '205.137.123.255', 3448338688, 3448339455, 'GB', 'United Kingdom'),
(139323, '205.137.124.0', '205.138.15.255', 3448339456, 3448377343, 'US', 'United States'),
(139324, '205.138.16.0', '205.138.17.255', 3448377344, 3448377855, 'AG', 'Antigua and Barbuda'),
(139325, '205.138.18.0', '205.138.24.23', 3448377856, 3448379415, 'US', 'United States'),
(139326, '205.138.24.24', '205.138.24.31', 3448379416, 3448379423, 'IL', 'Israel'),
(139327, '205.138.24.32', '205.138.24.47', 3448379424, 3448379439, 'US', 'United States'),
(139328, '205.138.24.48', '205.138.24.55', 3448379440, 3448379447, 'SG', 'Singapore'),
(139329, '205.138.24.56', '205.138.24.127', 3448379448, 3448379519, 'US', 'United States'),
(139330, '205.138.24.128', '205.138.24.255', 3448379520, 3448379647, 'IN', 'India'),
(139331, '205.138.25.0', '205.138.25.255', 3448379648, 3448379903, 'SG', 'Singapore'),
(139332, '205.138.26.0', '205.138.26.159', 3448379904, 3448380063, 'US', 'United States'),
(139333, '205.138.26.160', '205.138.26.175', 3448380064, 3448380079, 'SG', 'Singapore'),
(139334, '205.138.26.176', '205.138.26.191', 3448380080, 3448380095, 'US', 'United States'),
(139335, '205.138.26.192', '205.138.27.79', 3448380096, 3448380239, 'SG', 'Singapore'),
(139336, '205.138.27.80', '205.138.27.95', 3448380240, 3448380255, 'US', 'United States'),
(139337, '205.138.27.96', '205.138.27.127', 3448380256, 3448380287, 'SG', 'Singapore'),
(139338, '205.138.27.128', '205.138.27.255', 3448380288, 3448380415, 'US', 'United States'),
(139339, '205.138.28.0', '205.138.29.47', 3448380416, 3448380719, 'SG', 'Singapore'),
(139340, '205.138.29.48', '205.138.29.63', 3448380720, 3448380735, 'US', 'United States'),
(139341, '205.138.29.64', '205.138.29.103', 3448380736, 3448380775, 'SG', 'Singapore'),
(139342, '205.138.29.104', '205.138.29.111', 3448380776, 3448380783, 'AE', 'United Arab Emirates'),
(139343, '205.138.29.112', '205.138.29.127', 3448380784, 3448380799, 'SG', 'Singapore'),
(139344, '205.138.29.128', '205.138.29.167', 3448380800, 3448380839, 'US', 'United States'),
(139345, '205.138.29.168', '205.138.29.175', 3448380840, 3448380847, 'SG', 'Singapore'),
(139346, '205.138.29.176', '205.138.29.255', 3448380848, 3448380927, 'US', 'United States'),
(139347, '205.138.30.0', '205.138.30.31', 3448380928, 3448380959, 'SG', 'Singapore'),
(139348, '205.138.30.32', '205.138.30.47', 3448380960, 3448380975, 'US', 'United States'),
(139349, '205.138.30.48', '205.138.30.63', 3448380976, 3448380991, 'AU', 'Australia'),
(139350, '205.138.30.64', '205.138.30.255', 3448380992, 3448381183, 'US', 'United States'),
(139351, '205.138.31.0', '205.138.31.255', 3448381184, 3448381439, 'SG', 'Singapore'),
(139352, '205.138.32.0', '205.138.32.255', 3448381440, 3448381695, 'GB', 'United Kingdom'),
(139353, '205.138.33.0', '205.138.35.135', 3448381696, 3448382343, 'US', 'United States'),
(139354, '205.138.35.136', '205.138.35.143', 3448382344, 3448382351, 'IE', 'Ireland'),
(139355, '205.138.35.144', '205.138.35.159', 3448382352, 3448382367, 'GB', 'United Kingdom'),
(139356, '205.138.35.160', '205.138.35.207', 3448382368, 3448382415, 'US', 'United States'),
(139357, '205.138.35.208', '205.138.35.239', 3448382416, 3448382447, 'GB', 'United Kingdom'),
(139358, '205.138.35.240', '205.138.36.103', 3448382448, 3448382567, 'US', 'United States'),
(139359, '205.138.36.104', '205.138.36.119', 3448382568, 3448382583, 'GB', 'United Kingdom'),
(139360, '205.138.36.120', '205.138.96.63', 3448382584, 3448397887, 'US', 'United States'),
(139361, '205.138.96.64', '205.138.96.143', 3448397888, 3448397967, 'CA', 'Canada'),
(139362, '205.138.96.144', '205.138.97.255', 3448397968, 3448398335, 'US', 'United States'),
(139363, '205.138.98.0', '205.138.100.255', 3448398336, 3448399103, 'CA', 'Canada'),
(139364, '205.138.101.0', '205.138.101.255', 3448399104, 3448399359, 'US', 'United States'),
(139365, '205.138.102.0', '205.138.103.255', 3448399360, 3448399871, 'CA', 'Canada'),
(139366, '205.138.104.0', '205.138.148.255', 3448399872, 3448411391, 'US', 'United States'),
(139367, '205.138.149.0', '205.138.149.63', 3448411392, 3448411455, 'CA', 'Canada'),
(139368, '205.138.149.64', '205.138.160.63', 3448411456, 3448414271, 'US', 'United States'),
(139369, '205.138.160.64', '205.138.160.87', 3448414272, 3448414295, 'JP', 'Japan'),
(139370, '205.138.160.88', '205.138.160.95', 3448414296, 3448414303, 'US', 'United States'),
(139371, '205.138.160.96', '205.138.160.127', 3448414304, 3448414335, 'JP', 'Japan'),
(139372, '205.138.160.128', '205.139.87.255', 3448414336, 3448461311, 'US', 'United States'),
(139373, '205.139.88.0', '205.139.88.79', 3448461312, 3448461391, 'GB', 'United Kingdom'),
(139374, '205.139.88.80', '205.139.88.103', 3448461392, 3448461415, 'US', 'United States'),
(139375, '205.139.88.104', '205.139.88.111', 3448461416, 3448461423, 'SG', 'Singapore'),
(139376, '205.139.88.112', '205.139.88.119', 3448461424, 3448461431, 'US', 'United States'),
(139377, '205.139.88.120', '205.139.88.127', 3448461432, 3448461439, 'GB', 'United Kingdom'),
(139378, '205.139.88.128', '205.139.88.231', 3448461440, 3448461543, 'US', 'United States'),
(139379, '205.139.88.232', '205.139.88.239', 3448461544, 3448461551, 'GB', 'United Kingdom'),
(139380, '205.139.88.240', '205.139.88.247', 3448461552, 3448461559, 'US', 'United States'),
(139381, '205.139.88.248', '205.139.88.255', 3448461560, 3448461567, 'GB', 'United Kingdom'),
(139382, '205.139.89.0', '205.139.89.31', 3448461568, 3448461599, 'SG', 'Singapore'),
(139383, '205.139.89.32', '205.139.89.63', 3448461600, 3448461631, 'US', 'United States'),
(139384, '205.139.89.64', '205.139.89.127', 3448461632, 3448461695, 'SG', 'Singapore'),
(139385, '205.139.89.128', '205.139.89.167', 3448461696, 3448461735, 'US', 'United States'),
(139386, '205.139.89.168', '205.139.89.175', 3448461736, 3448461743, 'GB', 'United Kingdom'),
(139387, '205.139.89.176', '205.139.91.31', 3448461744, 3448462111, 'US', 'United States'),
(139388, '205.139.91.32', '205.139.91.47', 3448462112, 3448462127, 'SG', 'Singapore'),
(139389, '205.139.91.48', '205.139.91.63', 3448462128, 3448462143, 'US', 'United States'),
(139390, '205.139.91.64', '205.139.91.143', 3448462144, 3448462223, 'SG', 'Singapore'),
(139391, '205.139.91.144', '205.139.91.159', 3448462224, 3448462239, 'GB', 'United Kingdom'),
(139392, '205.139.91.160', '205.139.91.175', 3448462240, 3448462255, 'US', 'United States'),
(139393, '205.139.91.176', '205.139.91.191', 3448462256, 3448462271, 'GB', 'United Kingdom'),
(139394, '205.139.91.192', '205.139.240.255', 3448462272, 3448500479, 'US', 'United States'),
(139395, '205.139.241.0', '205.139.241.255', 3448500480, 3448500735, 'SG', 'Singapore'),
(139396, '205.139.242.0', '205.140.161.63', 3448500736, 3448545599, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(139397, '205.140.161.64', '205.140.161.143', 3448545600, 3448545679, 'AU', 'Australia'),
(139398, '205.140.161.144', '205.140.161.159', 3448545680, 3448545695, 'US', 'United States'),
(139399, '205.140.161.160', '205.140.161.191', 3448545696, 3448545727, 'AU', 'Australia'),
(139400, '205.140.161.192', '205.140.161.255', 3448545728, 3448545791, 'US', 'United States'),
(139401, '205.140.162.0', '205.140.162.31', 3448545792, 3448545823, 'SG', 'Singapore'),
(139402, '205.140.162.32', '205.140.162.63', 3448545824, 3448545855, 'AU', 'Australia'),
(139403, '205.140.162.64', '205.140.162.87', 3448545856, 3448545879, 'US', 'United States'),
(139404, '205.140.162.88', '205.140.162.127', 3448545880, 3448545919, 'SG', 'Singapore'),
(139405, '205.140.162.128', '205.140.162.159', 3448545920, 3448545951, 'US', 'United States'),
(139406, '205.140.162.160', '205.140.162.175', 3448545952, 3448545967, 'SG', 'Singapore'),
(139407, '205.140.162.176', '205.140.162.183', 3448545968, 3448545975, 'MY', 'Malaysia'),
(139408, '205.140.162.184', '205.140.162.215', 3448545976, 3448546007, 'AU', 'Australia'),
(139409, '205.140.162.216', '205.140.162.255', 3448546008, 3448546047, 'US', 'United States'),
(139410, '205.140.163.0', '205.140.163.31', 3448546048, 3448546079, 'MY', 'Malaysia'),
(139411, '205.140.163.32', '205.140.163.71', 3448546080, 3448546119, 'SG', 'Singapore'),
(139412, '205.140.163.72', '205.140.163.127', 3448546120, 3448546175, 'US', 'United States'),
(139413, '205.140.163.128', '205.140.163.159', 3448546176, 3448546207, 'SG', 'Singapore'),
(139414, '205.140.163.160', '205.140.164.127', 3448546208, 3448546431, 'US', 'United States'),
(139415, '205.140.164.128', '205.140.164.151', 3448546432, 3448546455, 'AU', 'Australia'),
(139416, '205.140.164.152', '205.140.168.255', 3448546456, 3448547583, 'US', 'United States'),
(139417, '205.140.169.0', '205.140.169.15', 3448547584, 3448547599, 'SG', 'Singapore'),
(139418, '205.140.169.16', '205.140.169.31', 3448547600, 3448547615, 'US', 'United States'),
(139419, '205.140.169.32', '205.140.169.55', 3448547616, 3448547639, 'SG', 'Singapore'),
(139420, '205.140.169.56', '205.140.169.127', 3448547640, 3448547711, 'US', 'United States'),
(139421, '205.140.169.128', '205.140.169.159', 3448547712, 3448547743, 'SG', 'Singapore'),
(139422, '205.140.169.160', '205.140.204.127', 3448547744, 3448556671, 'US', 'United States'),
(139423, '205.140.204.128', '205.140.204.191', 3448556672, 3448556735, 'GB', 'United Kingdom'),
(139424, '205.140.204.192', '205.140.204.255', 3448556736, 3448556799, 'US', 'United States'),
(139425, '205.140.205.0', '205.140.205.15', 3448556800, 3448556815, 'GB', 'United Kingdom'),
(139426, '205.140.205.16', '205.140.213.63', 3448556816, 3448558911, 'US', 'United States'),
(139427, '205.140.213.64', '205.140.213.71', 3448558912, 3448558919, 'GB', 'United Kingdom'),
(139428, '205.140.213.72', '205.140.213.255', 3448558920, 3448559103, 'US', 'United States'),
(139429, '205.140.214.0', '205.140.214.255', 3448559104, 3448559359, 'GB', 'United Kingdom'),
(139430, '205.140.215.0', '205.140.229.71', 3448559360, 3448563015, 'US', 'United States'),
(139431, '205.140.229.72', '205.140.229.87', 3448563016, 3448563031, 'GB', 'United Kingdom'),
(139432, '205.140.229.88', '205.140.252.223', 3448563032, 3448569055, 'US', 'United States'),
(139433, '205.140.252.224', '205.140.252.255', 3448569056, 3448569087, 'MX', 'Mexico'),
(139434, '205.140.253.0', '205.140.255.135', 3448569088, 3448569735, 'US', 'United States'),
(139435, '205.140.255.136', '205.140.255.143', 3448569736, 3448569743, 'GB', 'United Kingdom'),
(139436, '205.140.255.144', '205.145.23.255', 3448569744, 3448838143, 'US', 'United States'),
(139437, '205.145.24.0', '205.145.24.255', 3448838144, 3448838399, 'CA', 'Canada'),
(139438, '205.145.25.0', '205.147.80.255', 3448838400, 3448983807, 'US', 'United States'),
(139439, '205.147.81.0', '205.147.81.63', 3448983808, 3448983871, 'GB', 'United Kingdom'),
(139440, '205.147.81.64', '205.147.87.255', 3448983872, 3448985599, 'US', 'United States'),
(139441, '205.147.96.0', '205.147.149.29', 3448987648, 3449001245, 'US', 'United States'),
(139442, '205.147.149.30', '205.147.149.30', 3449001246, 3449001246, 'MC', 'Monaco'),
(139443, '205.147.149.31', '205.149.255.255', 3449001247, 3449159679, 'US', 'United States'),
(139444, '205.150.0.0', '205.150.3.255', 3449159680, 3449160703, 'CA', 'Canada'),
(139445, '205.150.4.0', '205.150.6.255', 3449160704, 3449161471, 'US', 'United States'),
(139446, '205.150.7.0', '205.150.14.255', 3449161472, 3449163519, 'CA', 'Canada'),
(139447, '205.150.15.0', '205.150.15.255', 3449163520, 3449163775, 'US', 'United States'),
(139448, '205.150.16.0', '205.150.20.255', 3449163776, 3449165055, 'CA', 'Canada'),
(139449, '205.150.21.0', '205.150.21.255', 3449165056, 3449165311, 'US', 'United States'),
(139450, '205.150.22.0', '205.150.22.255', 3449165312, 3449165567, 'CA', 'Canada'),
(139451, '205.150.23.0', '205.150.24.255', 3449165568, 3449166079, 'US', 'United States'),
(139452, '205.150.25.0', '205.150.34.255', 3449166080, 3449168639, 'CA', 'Canada'),
(139453, '205.150.35.0', '205.150.35.255', 3449168640, 3449168895, 'US', 'United States'),
(139454, '205.150.36.0', '205.150.36.255', 3449168896, 3449169151, 'CA', 'Canada'),
(139455, '205.150.37.0', '205.150.38.255', 3449169152, 3449169663, 'US', 'United States'),
(139456, '205.150.39.0', '205.150.44.255', 3449169664, 3449171199, 'CA', 'Canada'),
(139457, '205.150.45.0', '205.150.46.255', 3449171200, 3449171711, 'US', 'United States'),
(139458, '205.150.47.0', '205.150.51.255', 3449171712, 3449172991, 'CA', 'Canada'),
(139459, '205.150.52.0', '205.150.52.255', 3449172992, 3449173247, 'US', 'United States'),
(139460, '205.150.53.0', '205.150.58.255', 3449173248, 3449174783, 'CA', 'Canada'),
(139461, '205.150.59.0', '205.150.59.255', 3449174784, 3449175039, 'US', 'United States'),
(139462, '205.150.60.0', '205.150.60.255', 3449175040, 3449175295, 'CA', 'Canada'),
(139463, '205.150.61.0', '205.150.61.255', 3449175296, 3449175551, 'US', 'United States'),
(139464, '205.150.62.0', '205.150.62.255', 3449175552, 3449175807, 'CA', 'Canada'),
(139465, '205.150.63.0', '205.150.63.255', 3449175808, 3449176063, 'US', 'United States'),
(139466, '205.150.64.0', '205.150.67.255', 3449176064, 3449177087, 'CA', 'Canada'),
(139467, '205.150.68.0', '205.150.68.15', 3449177088, 3449177103, 'US', 'United States'),
(139468, '205.150.68.16', '205.150.72.255', 3449177104, 3449178367, 'CA', 'Canada'),
(139469, '205.150.73.0', '205.150.73.255', 3449178368, 3449178623, 'US', 'United States'),
(139470, '205.150.74.0', '205.150.79.63', 3449178624, 3449179967, 'CA', 'Canada'),
(139471, '205.150.79.64', '205.150.79.127', 3449179968, 3449180031, 'US', 'United States'),
(139472, '205.150.79.128', '205.150.79.191', 3449180032, 3449180095, 'CA', 'Canada'),
(139473, '205.150.79.192', '205.150.81.255', 3449180096, 3449180671, 'US', 'United States'),
(139474, '205.150.82.0', '205.150.86.255', 3449180672, 3449181951, 'CA', 'Canada'),
(139475, '205.150.87.0', '205.150.87.15', 3449181952, 3449181967, 'US', 'United States'),
(139476, '205.150.87.16', '205.150.87.47', 3449181968, 3449181999, 'CA', 'Canada'),
(139477, '205.150.87.48', '205.150.87.63', 3449182000, 3449182015, 'US', 'United States'),
(139478, '205.150.87.64', '205.150.87.79', 3449182016, 3449182031, 'CA', 'Canada'),
(139479, '205.150.87.80', '205.150.87.95', 3449182032, 3449182047, 'US', 'United States'),
(139480, '205.150.87.96', '205.150.87.111', 3449182048, 3449182063, 'CA', 'Canada'),
(139481, '205.150.87.112', '205.150.87.127', 3449182064, 3449182079, 'US', 'United States'),
(139482, '205.150.87.128', '205.150.87.143', 3449182080, 3449182095, 'CA', 'Canada'),
(139483, '205.150.87.144', '205.150.87.159', 3449182096, 3449182111, 'US', 'United States'),
(139484, '205.150.87.160', '205.150.87.207', 3449182112, 3449182159, 'CA', 'Canada'),
(139485, '205.150.87.208', '205.150.87.255', 3449182160, 3449182207, 'US', 'United States'),
(139486, '205.150.88.0', '205.150.103.255', 3449182208, 3449186303, 'CA', 'Canada'),
(139487, '205.150.104.0', '205.150.104.255', 3449186304, 3449186559, 'US', 'United States'),
(139488, '205.150.105.0', '205.150.105.255', 3449186560, 3449186815, 'CA', 'Canada'),
(139489, '205.150.106.0', '205.150.106.255', 3449186816, 3449187071, 'US', 'United States'),
(139490, '205.150.107.0', '205.150.109.63', 3449187072, 3449187647, 'CA', 'Canada'),
(139491, '205.150.109.64', '205.150.109.127', 3449187648, 3449187711, 'US', 'United States'),
(139492, '205.150.109.128', '205.150.111.63', 3449187712, 3449188159, 'CA', 'Canada'),
(139493, '205.150.111.64', '205.150.111.127', 3449188160, 3449188223, 'US', 'United States'),
(139494, '205.150.111.128', '205.150.113.223', 3449188224, 3449188831, 'CA', 'Canada'),
(139495, '205.150.113.224', '205.150.113.255', 3449188832, 3449188863, 'US', 'United States'),
(139496, '205.150.114.0', '205.150.116.223', 3449188864, 3449189599, 'CA', 'Canada'),
(139497, '205.150.116.224', '205.150.116.255', 3449189600, 3449189631, 'US', 'United States'),
(139498, '205.150.117.0', '205.150.117.15', 3449189632, 3449189647, 'CA', 'Canada'),
(139499, '205.150.117.16', '205.150.117.31', 3449189648, 3449189663, 'US', 'United States'),
(139500, '205.150.117.32', '205.150.117.47', 3449189664, 3449189679, 'CA', 'Canada'),
(139501, '205.150.117.48', '205.150.117.79', 3449189680, 3449189711, 'US', 'United States'),
(139502, '205.150.117.80', '205.150.117.127', 3449189712, 3449189759, 'CA', 'Canada'),
(139503, '205.150.117.128', '205.150.117.143', 3449189760, 3449189775, 'US', 'United States'),
(139504, '205.150.117.144', '205.150.117.159', 3449189776, 3449189791, 'CA', 'Canada'),
(139505, '205.150.117.160', '205.150.117.207', 3449189792, 3449189839, 'US', 'United States'),
(139506, '205.150.117.208', '205.150.120.255', 3449189840, 3449190655, 'CA', 'Canada'),
(139507, '205.150.121.0', '205.150.121.255', 3449190656, 3449190911, 'US', 'United States'),
(139508, '205.150.122.0', '205.150.123.7', 3449190912, 3449191175, 'CA', 'Canada'),
(139509, '205.150.123.8', '205.150.123.15', 3449191176, 3449191183, 'US', 'United States'),
(139510, '205.150.123.16', '205.150.123.87', 3449191184, 3449191255, 'CA', 'Canada'),
(139511, '205.150.123.88', '205.150.123.95', 3449191256, 3449191263, 'US', 'United States'),
(139512, '205.150.123.96', '205.150.123.135', 3449191264, 3449191303, 'CA', 'Canada'),
(139513, '205.150.123.136', '205.150.123.143', 3449191304, 3449191311, 'US', 'United States'),
(139514, '205.150.123.144', '205.150.123.151', 3449191312, 3449191319, 'CA', 'Canada'),
(139515, '205.150.123.152', '205.150.123.159', 3449191320, 3449191327, 'US', 'United States'),
(139516, '205.150.123.160', '205.150.123.175', 3449191328, 3449191343, 'CA', 'Canada'),
(139517, '205.150.123.176', '205.150.123.183', 3449191344, 3449191351, 'GB', 'United Kingdom'),
(139518, '205.150.123.184', '205.150.123.199', 3449191352, 3449191367, 'CA', 'Canada'),
(139519, '205.150.123.200', '205.150.123.207', 3449191368, 3449191375, 'US', 'United States'),
(139520, '205.150.123.208', '205.150.124.255', 3449191376, 3449191679, 'CA', 'Canada'),
(139521, '205.150.125.0', '205.150.125.63', 3449191680, 3449191743, 'US', 'United States'),
(139522, '205.150.125.64', '205.150.140.255', 3449191744, 3449195775, 'CA', 'Canada'),
(139523, '205.150.141.0', '205.150.141.255', 3449195776, 3449196031, 'US', 'United States'),
(139524, '205.150.142.0', '205.150.142.255', 3449196032, 3449196287, 'CA', 'Canada'),
(139525, '205.150.143.0', '205.150.152.95', 3449196288, 3449198687, 'US', 'United States'),
(139526, '205.150.152.96', '205.150.152.191', 3449198688, 3449198783, 'CA', 'Canada'),
(139527, '205.150.152.192', '205.150.153.31', 3449198784, 3449198879, 'US', 'United States'),
(139528, '205.150.153.32', '205.150.153.255', 3449198880, 3449199103, 'CA', 'Canada'),
(139529, '205.150.154.0', '205.150.156.31', 3449199104, 3449199647, 'US', 'United States'),
(139530, '205.150.156.32', '205.150.156.79', 3449199648, 3449199695, 'CA', 'Canada'),
(139531, '205.150.156.80', '205.150.156.95', 3449199696, 3449199711, 'US', 'United States'),
(139532, '205.150.156.96', '205.150.156.255', 3449199712, 3449199871, 'CA', 'Canada'),
(139533, '205.150.157.0', '205.150.168.79', 3449199872, 3449202767, 'US', 'United States'),
(139534, '205.150.168.80', '205.150.168.159', 3449202768, 3449202847, 'CA', 'Canada'),
(139535, '205.150.168.160', '205.150.168.175', 3449202848, 3449202863, 'US', 'United States'),
(139536, '205.150.168.176', '205.150.168.223', 3449202864, 3449202911, 'CA', 'Canada'),
(139537, '205.150.168.224', '205.150.168.255', 3449202912, 3449202943, 'US', 'United States'),
(139538, '205.150.169.0', '205.150.169.15', 3449202944, 3449202959, 'CA', 'Canada'),
(139539, '205.150.169.16', '205.150.169.23', 3449202960, 3449202967, 'US', 'United States'),
(139540, '205.150.169.24', '205.150.169.79', 3449202968, 3449203023, 'CA', 'Canada'),
(139541, '205.150.169.80', '205.150.169.87', 3449203024, 3449203031, 'US', 'United States'),
(139542, '205.150.169.88', '205.150.169.95', 3449203032, 3449203039, 'CA', 'Canada'),
(139543, '205.150.169.96', '205.150.169.103', 3449203040, 3449203047, 'US', 'United States'),
(139544, '205.150.169.104', '205.150.169.151', 3449203048, 3449203095, 'CA', 'Canada'),
(139545, '205.150.169.152', '205.150.169.159', 3449203096, 3449203103, 'US', 'United States'),
(139546, '205.150.169.160', '205.150.169.175', 3449203104, 3449203119, 'CA', 'Canada'),
(139547, '205.150.169.176', '205.150.169.183', 3449203120, 3449203127, 'US', 'United States'),
(139548, '205.150.169.184', '205.150.170.63', 3449203128, 3449203263, 'CA', 'Canada'),
(139549, '205.150.170.64', '205.150.170.95', 3449203264, 3449203295, 'US', 'United States'),
(139550, '205.150.170.96', '205.150.171.23', 3449203296, 3449203479, 'CA', 'Canada'),
(139551, '205.150.171.24', '205.150.171.31', 3449203480, 3449203487, 'US', 'United States'),
(139552, '205.150.171.32', '205.150.171.71', 3449203488, 3449203527, 'CA', 'Canada'),
(139553, '205.150.171.72', '205.150.171.87', 3449203528, 3449203543, 'US', 'United States'),
(139554, '205.150.171.88', '205.150.171.143', 3449203544, 3449203599, 'CA', 'Canada'),
(139555, '205.150.171.144', '205.150.171.151', 3449203600, 3449203607, 'US', 'United States'),
(139556, '205.150.171.152', '205.150.171.167', 3449203608, 3449203623, 'CA', 'Canada'),
(139557, '205.150.171.168', '205.150.171.175', 3449203624, 3449203631, 'US', 'United States'),
(139558, '205.150.171.176', '205.150.171.199', 3449203632, 3449203655, 'CA', 'Canada'),
(139559, '205.150.171.200', '205.150.171.207', 3449203656, 3449203663, 'US', 'United States'),
(139560, '205.150.171.208', '205.150.171.231', 3449203664, 3449203687, 'CA', 'Canada'),
(139561, '205.150.171.232', '205.150.171.239', 3449203688, 3449203695, 'US', 'United States'),
(139562, '205.150.171.240', '205.150.172.63', 3449203696, 3449203775, 'CA', 'Canada'),
(139563, '205.150.172.64', '205.150.172.127', 3449203776, 3449203839, 'GB', 'United Kingdom'),
(139564, '205.150.172.128', '205.150.172.191', 3449203840, 3449203903, 'US', 'United States'),
(139565, '205.150.172.192', '205.150.172.255', 3449203904, 3449203967, 'CA', 'Canada'),
(139566, '205.150.173.0', '205.150.173.63', 3449203968, 3449204031, 'US', 'United States'),
(139567, '205.150.173.64', '205.150.174.255', 3449204032, 3449204479, 'CA', 'Canada'),
(139568, '205.150.175.0', '205.150.175.255', 3449204480, 3449204735, 'US', 'United States'),
(139569, '205.150.176.0', '205.150.179.255', 3449204736, 3449205759, 'CA', 'Canada'),
(139570, '205.150.180.0', '205.150.181.255', 3449205760, 3449206271, 'US', 'United States'),
(139571, '205.150.182.0', '205.150.182.63', 3449206272, 3449206335, 'CA', 'Canada'),
(139572, '205.150.182.64', '205.150.182.95', 3449206336, 3449206367, 'US', 'United States'),
(139573, '205.150.182.96', '205.150.183.63', 3449206368, 3449206591, 'CA', 'Canada'),
(139574, '205.150.183.64', '205.150.183.127', 3449206592, 3449206655, 'US', 'United States'),
(139575, '205.150.183.128', '205.150.184.95', 3449206656, 3449206879, 'CA', 'Canada'),
(139576, '205.150.184.96', '205.150.184.127', 3449206880, 3449206911, 'US', 'United States'),
(139577, '205.150.184.128', '205.150.184.223', 3449206912, 3449207007, 'CA', 'Canada'),
(139578, '205.150.184.224', '205.150.190.255', 3449207008, 3449208575, 'US', 'United States'),
(139579, '205.150.191.0', '205.150.191.191', 3449208576, 3449208767, 'CA', 'Canada'),
(139580, '205.150.191.192', '205.150.191.255', 3449208768, 3449208831, 'US', 'United States'),
(139581, '205.150.192.0', '205.150.192.47', 3449208832, 3449208879, 'CA', 'Canada'),
(139582, '205.150.192.48', '205.150.192.63', 3449208880, 3449208895, 'US', 'United States'),
(139583, '205.150.192.64', '205.150.192.143', 3449208896, 3449208975, 'CA', 'Canada'),
(139584, '205.150.192.144', '205.150.192.175', 3449208976, 3449209007, 'US', 'United States'),
(139585, '205.150.192.176', '205.150.192.191', 3449209008, 3449209023, 'CA', 'Canada'),
(139586, '205.150.192.192', '205.150.192.207', 3449209024, 3449209039, 'US', 'United States'),
(139587, '205.150.192.208', '205.150.194.255', 3449209040, 3449209599, 'CA', 'Canada'),
(139588, '205.150.195.0', '205.150.195.255', 3449209600, 3449209855, 'US', 'United States'),
(139589, '205.150.196.0', '205.150.196.127', 3449209856, 3449209983, 'CA', 'Canada'),
(139590, '205.150.196.128', '205.150.196.159', 3449209984, 3449210015, 'US', 'United States'),
(139591, '205.150.196.160', '205.150.196.255', 3449210016, 3449210111, 'CA', 'Canada'),
(139592, '205.150.197.0', '205.150.197.255', 3449210112, 3449210367, 'US', 'United States'),
(139593, '205.150.198.0', '205.150.205.255', 3449210368, 3449212415, 'CA', 'Canada'),
(139594, '205.150.206.0', '205.150.206.255', 3449212416, 3449212671, 'US', 'United States'),
(139595, '205.150.207.0', '205.150.207.255', 3449212672, 3449212927, 'CA', 'Canada'),
(139596, '205.150.208.0', '205.150.208.255', 3449212928, 3449213183, 'US', 'United States'),
(139597, '205.150.209.0', '205.150.210.255', 3449213184, 3449213695, 'CA', 'Canada'),
(139598, '205.150.211.0', '205.150.211.255', 3449213696, 3449213951, 'US', 'United States'),
(139599, '205.150.212.0', '205.150.212.127', 3449213952, 3449214079, 'CA', 'Canada'),
(139600, '205.150.212.128', '205.150.212.191', 3449214080, 3449214143, 'US', 'United States'),
(139601, '205.150.212.192', '205.150.214.111', 3449214144, 3449214575, 'CA', 'Canada'),
(139602, '205.150.214.112', '205.150.214.119', 3449214576, 3449214583, 'US', 'United States'),
(139603, '205.150.214.120', '205.150.214.127', 3449214584, 3449214591, 'SE', 'Sweden'),
(139604, '205.150.214.128', '205.150.214.159', 3449214592, 3449214623, 'CA', 'Canada'),
(139605, '205.150.214.160', '205.150.214.183', 3449214624, 3449214647, 'US', 'United States'),
(139606, '205.150.214.184', '205.150.214.255', 3449214648, 3449214719, 'CA', 'Canada'),
(139607, '205.150.215.0', '205.150.215.15', 3449214720, 3449214735, 'US', 'United States'),
(139608, '205.150.215.16', '205.150.215.95', 3449214736, 3449214815, 'CA', 'Canada'),
(139609, '205.150.215.96', '205.150.215.111', 3449214816, 3449214831, 'US', 'United States'),
(139610, '205.150.215.112', '205.150.215.127', 3449214832, 3449214847, 'CA', 'Canada'),
(139611, '205.150.215.128', '205.150.215.143', 3449214848, 3449214863, 'US', 'United States'),
(139612, '205.150.215.144', '205.150.219.255', 3449214864, 3449215999, 'CA', 'Canada'),
(139613, '205.150.220.0', '205.150.236.255', 3449216000, 3449220351, 'US', 'United States'),
(139614, '205.150.237.0', '205.150.240.255', 3449220352, 3449221375, 'CA', 'Canada'),
(139615, '205.150.241.0', '205.150.245.255', 3449221376, 3449222655, 'US', 'United States'),
(139616, '205.150.246.0', '205.150.254.255', 3449222656, 3449224959, 'CA', 'Canada'),
(139617, '205.150.255.0', '205.151.0.255', 3449224960, 3449225471, 'US', 'United States'),
(139618, '205.151.1.0', '205.151.112.255', 3449225472, 3449254143, 'CA', 'Canada'),
(139619, '205.151.113.0', '205.151.115.255', 3449254144, 3449254911, 'US', 'United States'),
(139620, '205.151.116.0', '205.151.188.255', 3449254912, 3449273599, 'CA', 'Canada'),
(139621, '205.151.189.0', '205.151.189.255', 3449273600, 3449273855, 'US', 'United States'),
(139622, '205.151.190.0', '205.151.209.255', 3449273856, 3449278975, 'CA', 'Canada'),
(139623, '205.151.210.0', '205.151.211.255', 3449278976, 3449279487, 'US', 'United States'),
(139624, '205.151.212.0', '205.151.254.255', 3449279488, 3449290495, 'CA', 'Canada'),
(139625, '205.151.255.0', '205.156.117.0', 3449290496, 3449582848, 'US', 'United States'),
(139626, '205.156.117.1', '205.156.117.1', 3449582849, 3449582849, 'EU', 'Europe'),
(139627, '205.156.117.2', '205.156.176.255', 3449582850, 3449598207, 'US', 'United States'),
(139628, '205.156.177.0', '205.156.177.255', 3449598208, 3449598463, 'GB', 'United Kingdom'),
(139629, '205.156.178.0', '205.157.79.255', 3449598464, 3449638911, 'US', 'United States'),
(139630, '205.157.80.0', '205.157.81.191', 3449638912, 3449639359, 'GB', 'United Kingdom'),
(139631, '205.157.81.192', '205.157.81.193', 3449639360, 3449639361, 'US', 'United States'),
(139632, '205.157.81.194', '205.157.81.194', 3449639362, 3449639362, 'BE', 'Belgium'),
(139633, '205.157.81.195', '205.157.81.195', 3449639363, 3449639363, 'CH', 'Switzerland'),
(139634, '205.157.81.196', '205.157.81.196', 3449639364, 3449639364, 'CZ', 'Czech Republic'),
(139635, '205.157.81.197', '205.157.81.197', 3449639365, 3449639365, 'US', 'United States'),
(139636, '205.157.81.198', '205.157.81.198', 3449639366, 3449639366, 'ES', 'Spain'),
(139637, '205.157.81.199', '205.157.81.199', 3449639367, 3449639367, 'FR', 'France'),
(139638, '205.157.81.200', '205.157.81.200', 3449639368, 3449639368, 'US', 'United States'),
(139639, '205.157.81.201', '205.157.81.201', 3449639369, 3449639369, 'IE', 'Ireland'),
(139640, '205.157.81.202', '205.157.81.202', 3449639370, 3449639370, 'IT', 'Italy'),
(139641, '205.157.81.203', '205.157.81.203', 3449639371, 3449639371, 'NL', 'Netherlands'),
(139642, '205.157.81.204', '205.157.81.204', 3449639372, 3449639372, 'PL', 'Poland'),
(139643, '205.157.81.205', '205.157.81.205', 3449639373, 3449639373, 'RO', 'Romania'),
(139644, '205.157.81.206', '205.157.81.255', 3449639374, 3449639423, 'US', 'United States'),
(139645, '205.157.82.0', '205.157.82.255', 3449639424, 3449639679, 'GB', 'United Kingdom'),
(139646, '205.157.83.0', '205.157.83.255', 3449639680, 3449639935, 'US', 'United States'),
(139647, '205.157.84.0', '205.157.84.255', 3449639936, 3449640191, 'GB', 'United Kingdom'),
(139648, '205.157.85.0', '205.157.85.255', 3449640192, 3449640447, 'NL', 'Netherlands'),
(139649, '205.157.86.0', '205.157.87.255', 3449640448, 3449640959, 'GB', 'United Kingdom'),
(139650, '205.157.88.0', '205.157.88.255', 3449640960, 3449641215, 'NL', 'Netherlands'),
(139651, '205.157.89.0', '205.157.89.255', 3449641216, 3449641471, 'GB', 'United Kingdom'),
(139652, '205.157.90.0', '205.159.78.255', 3449641472, 3449769727, 'US', 'United States'),
(139653, '205.159.79.0', '205.159.79.255', 3449769728, 3449769983, 'ZA', 'South Africa'),
(139654, '205.159.80.0', '205.160.31.255', 3449769984, 3449823231, 'US', 'United States'),
(139655, '205.160.32.0', '205.160.35.255', 3449823232, 3449824255, 'CO', 'Colombia'),
(139656, '205.160.36.0', '205.160.79.255', 3449824256, 3449835519, 'US', 'United States'),
(139657, '205.160.80.0', '205.160.83.255', 3449835520, 3449836543, 'ES', 'Spain'),
(139658, '205.160.84.0', '205.160.109.255', 3449836544, 3449843199, 'US', 'United States'),
(139659, '205.160.110.0', '205.160.111.255', 3449843200, 3449843711, 'YE', 'Yemen'),
(139660, '205.160.112.0', '205.160.232.255', 3449843712, 3449874687, 'US', 'United States'),
(139661, '205.160.233.0', '205.160.233.255', 3449874688, 3449874943, 'AG', 'Antigua and Barbuda'),
(139662, '205.160.234.0', '205.161.117.191', 3449874944, 3449910719, 'US', 'United States'),
(139663, '205.161.117.192', '205.161.117.255', 3449910720, 3449910783, 'CA', 'Canada'),
(139664, '205.161.118.0', '205.161.167.255', 3449910784, 3449923583, 'US', 'United States'),
(139665, '205.161.168.0', '205.161.168.255', 3449923584, 3449923839, 'ES', 'Spain'),
(139666, '205.161.169.0', '205.162.54.191', 3449923840, 3449960127, 'US', 'United States'),
(139667, '205.162.54.192', '205.162.54.223', 3449960128, 3449960159, 'CA', 'Canada'),
(139668, '205.162.54.224', '205.162.111.255', 3449960160, 3449974783, 'US', 'United States'),
(139669, '205.162.112.0', '205.162.119.255', 3449974784, 3449976831, 'CA', 'Canada'),
(139670, '205.162.120.0', '205.162.132.255', 3449976832, 3449980159, 'US', 'United States'),
(139671, '205.162.133.0', '205.162.133.255', 3449980160, 3449980415, 'AN', 'Netherlands Antilles'),
(139672, '205.162.134.0', '205.162.187.255', 3449980416, 3449994239, 'US', 'United States'),
(139673, '205.162.188.0', '205.162.188.255', 3449994240, 3449994495, 'MX', 'Mexico'),
(139674, '205.162.189.0', '205.164.4.255', 3449994496, 3450078463, 'US', 'United States'),
(139675, '205.164.5.0', '205.164.8.255', 3450078464, 3450079487, 'A1', 'Anonymous Proxy'),
(139676, '205.164.9.0', '205.166.21.255', 3450079488, 3450213887, 'US', 'United States'),
(139677, '205.166.22.0', '205.166.22.255', 3450213888, 3450214143, 'CA', 'Canada'),
(139678, '205.166.23.0', '205.166.34.255', 3450214144, 3450217215, 'US', 'United States'),
(139679, '205.166.35.0', '205.166.35.255', 3450217216, 3450217471, 'LC', 'Saint Lucia'),
(139680, '205.166.36.0', '205.166.178.255', 3450217472, 3450254079, 'US', 'United States'),
(139681, '205.166.179.0', '205.166.179.255', 3450254080, 3450254335, 'CA', 'Canada'),
(139682, '205.166.180.0', '205.166.250.255', 3450254336, 3450272511, 'US', 'United States'),
(139683, '205.166.251.0', '205.166.251.255', 3450272512, 3450272767, 'MX', 'Mexico'),
(139684, '205.166.252.0', '205.167.7.17', 3450272768, 3450275601, 'US', 'United States'),
(139685, '205.167.7.18', '205.167.7.18', 3450275602, 3450275602, 'FR', 'France'),
(139686, '205.167.7.19', '205.168.23.15', 3450275603, 3450345231, 'US', 'United States'),
(139687, '205.168.23.16', '205.168.23.31', 3450345232, 3450345247, 'FR', 'France'),
(139688, '205.168.23.32', '205.168.23.47', 3450345248, 3450345263, 'IT', 'Italy'),
(139689, '205.168.23.48', '205.168.23.63', 3450345264, 3450345279, 'US', 'United States'),
(139690, '205.168.23.64', '205.168.23.95', 3450345280, 3450345311, 'NE', 'Niger'),
(139691, '205.168.23.96', '205.168.23.111', 3450345312, 3450345327, 'GE', 'Georgia'),
(139692, '205.168.23.112', '205.168.23.127', 3450345328, 3450345343, 'DE', 'Germany'),
(139693, '205.168.23.128', '205.168.23.175', 3450345344, 3450345391, 'US', 'United States'),
(139694, '205.168.23.176', '205.168.23.183', 3450345392, 3450345399, 'BG', 'Bulgaria'),
(139695, '205.168.23.184', '205.168.23.191', 3450345400, 3450345407, 'GE', 'Georgia'),
(139696, '205.168.23.192', '205.168.23.223', 3450345408, 3450345439, 'US', 'United States'),
(139697, '205.168.23.224', '205.168.23.255', 3450345440, 3450345471, 'GE', 'Georgia'),
(139698, '205.168.24.0', '205.172.42.255', 3450345472, 3450612479, 'US', 'United States'),
(139699, '205.172.43.0', '205.172.43.255', 3450612480, 3450612735, 'CA', 'Canada'),
(139700, '205.172.44.0', '205.173.70.255', 3450612736, 3450685183, 'US', 'United States'),
(139701, '205.173.71.0', '205.173.71.255', 3450685184, 3450685439, 'CA', 'Canada'),
(139702, '205.173.72.0', '205.173.124.255', 3450685440, 3450699007, 'US', 'United States'),
(139703, '205.173.125.0', '205.173.125.255', 3450699008, 3450699263, 'CA', 'Canada'),
(139704, '205.173.128.0', '205.173.251.255', 3450699776, 3450731519, 'US', 'United States'),
(139705, '205.173.252.0', '205.173.255.255', 3450731520, 3450732543, 'CA', 'Canada'),
(139706, '205.174.0.0', '205.174.159.255', 3450732544, 3450773503, 'US', 'United States'),
(139707, '205.174.160.0', '205.174.164.255', 3450773504, 3450774783, 'CA', 'Canada'),
(139708, '205.174.165.0', '205.174.165.255', 3450774784, 3450775039, 'US', 'United States'),
(139709, '205.174.166.0', '205.174.175.255', 3450775040, 3450777599, 'CA', 'Canada'),
(139710, '205.174.176.0', '205.175.201.255', 3450777600, 3450849791, 'US', 'United States'),
(139711, '205.175.202.0', '205.175.202.255', 3450849792, 3450850047, 'EU', 'Europe'),
(139712, '205.175.203.0', '205.177.23.255', 3450850048, 3450935295, 'US', 'United States'),
(139713, '205.177.24.0', '205.177.24.255', 3450935296, 3450935551, 'MY', 'Malaysia'),
(139714, '205.177.25.0', '205.177.25.255', 3450935552, 3450935807, 'AP', 'Asia/Pacific Region'),
(139715, '205.177.26.0', '205.177.27.255', 3450935808, 3450936319, 'MY', 'Malaysia'),
(139716, '205.177.28.0', '205.177.28.31', 3450936320, 3450936351, 'HK', 'Hong Kong'),
(139717, '205.177.28.32', '205.177.43.255', 3450936352, 3450940415, 'US', 'United States'),
(139718, '205.177.44.0', '205.177.47.255', 3450940416, 3450941439, 'SG', 'Singapore'),
(139719, '205.177.48.0', '205.177.51.255', 3450941440, 3450942463, 'US', 'United States'),
(139720, '205.177.52.0', '205.177.59.255', 3450942464, 3450944511, 'SG', 'Singapore'),
(139721, '205.177.60.0', '205.177.71.255', 3450944512, 3450947583, 'US', 'United States'),
(139722, '205.177.72.0', '205.177.72.255', 3450947584, 3450947839, 'A2', 'Satellite Provider'),
(139723, '205.177.73.0', '205.177.78.255', 3450947840, 3450949375, 'US', 'United States'),
(139724, '205.177.79.0', '205.177.79.255', 3450949376, 3450949631, 'A2', 'Satellite Provider'),
(139725, '205.177.80.0', '205.177.83.255', 3450949632, 3450950655, 'US', 'United States'),
(139726, '205.177.84.0', '205.177.87.255', 3450950656, 3450951679, 'JP', 'Japan'),
(139727, '205.177.88.0', '205.177.95.255', 3450951680, 3450953727, 'US', 'United States'),
(139728, '205.177.96.0', '205.177.111.255', 3450953728, 3450957823, 'DE', 'Germany'),
(139729, '205.177.112.0', '205.177.176.47', 3450957824, 3450974255, 'US', 'United States'),
(139730, '205.177.176.48', '205.177.176.63', 3450974256, 3450974271, 'GB', 'United Kingdom'),
(139731, '205.177.176.64', '205.177.179.255', 3450974272, 3450975231, 'US', 'United States'),
(139732, '205.177.180.0', '205.177.181.255', 3450975232, 3450975743, 'LB', 'Lebanon'),
(139733, '205.177.182.0', '205.177.207.255', 3450975744, 3450982399, 'US', 'United States'),
(139734, '205.177.208.0', '205.177.215.255', 3450982400, 3450984447, 'TW', 'Taiwan'),
(139735, '205.177.216.0', '205.177.223.255', 3450984448, 3450986495, 'PH', 'Philippines'),
(139736, '205.177.224.0', '205.177.224.255', 3450986496, 3450986751, 'HK', 'Hong Kong'),
(139737, '205.177.225.0', '205.180.173.255', 3450986752, 3451170303, 'US', 'United States'),
(139738, '205.180.174.0', '205.180.174.255', 3451170304, 3451170559, 'VE', 'Venezuela'),
(139739, '205.180.175.0', '205.180.242.255', 3451170560, 3451187967, 'US', 'United States'),
(139740, '205.180.243.0', '205.180.243.255', 3451187968, 3451188223, 'AU', 'Australia'),
(139741, '205.180.244.0', '205.181.62.255', 3451188224, 3451207423, 'US', 'United States'),
(139742, '205.181.63.0', '205.181.63.255', 3451207424, 3451207679, 'CH', 'Switzerland'),
(139743, '205.181.64.0', '205.181.175.255', 3451207680, 3451236351, 'US', 'United States'),
(139744, '205.181.176.0', '205.181.176.255', 3451236352, 3451236607, 'HU', 'Hungary'),
(139745, '205.181.177.0', '205.183.191.255', 3451236608, 3451371519, 'US', 'United States'),
(139746, '205.183.192.0', '205.183.192.255', 3451371520, 3451371775, 'GB', 'United Kingdom'),
(139747, '205.183.193.0', '205.185.207.255', 3451371776, 3451506687, 'US', 'United States'),
(139748, '205.185.208.0', '205.185.211.255', 3451506688, 3451507711, 'BR', 'Brazil'),
(139749, '205.185.212.0', '205.189.0.255', 3451507712, 3451715839, 'US', 'United States'),
(139750, '205.189.1.0', '205.189.34.255', 3451715840, 3451724543, 'CA', 'Canada'),
(139751, '205.189.35.0', '205.189.35.255', 3451724544, 3451724799, 'US', 'United States'),
(139752, '205.189.38.0', '205.189.38.255', 3451725312, 3451725567, 'US', 'United States'),
(139753, '205.189.39.0', '205.189.84.255', 3451725568, 3451737343, 'CA', 'Canada'),
(139754, '205.189.85.0', '205.189.85.255', 3451737344, 3451737599, 'US', 'United States'),
(139755, '205.189.86.0', '205.189.98.255', 3451737600, 3451740927, 'CA', 'Canada'),
(139756, '205.189.99.0', '205.189.99.255', 3451740928, 3451741183, 'US', 'United States'),
(139757, '205.189.100.0', '205.189.101.255', 3451741184, 3451741695, 'CA', 'Canada'),
(139758, '205.189.102.0', '205.189.103.255', 3451741696, 3451742207, 'US', 'United States'),
(139759, '205.189.104.0', '205.189.111.255', 3451742208, 3451744255, 'CA', 'Canada'),
(139760, '205.189.112.0', '205.189.116.255', 3451744256, 3451745535, 'US', 'United States'),
(139761, '205.189.117.0', '205.189.199.255', 3451745536, 3451766783, 'CA', 'Canada'),
(139762, '205.189.200.0', '205.189.201.255', 3451766784, 3451767295, 'US', 'United States'),
(139763, '205.189.202.0', '205.189.202.255', 3451767296, 3451767551, 'CA', 'Canada'),
(139764, '205.189.203.0', '205.189.203.255', 3451767552, 3451767807, 'US', 'United States'),
(139765, '205.189.204.0', '205.189.254.255', 3451767808, 3451780863, 'CA', 'Canada'),
(139766, '205.189.255.0', '205.190.10.255', 3451780864, 3451783935, 'US', 'United States'),
(139767, '205.190.11.0', '205.190.11.255', 3451783936, 3451784191, 'CA', 'Canada'),
(139768, '205.190.12.0', '205.190.21.255', 3451784192, 3451786751, 'US', 'United States'),
(139769, '205.190.22.0', '205.190.22.255', 3451786752, 3451787007, 'CA', 'Canada'),
(139770, '205.190.23.0', '205.190.26.255', 3451787008, 3451788031, 'US', 'United States'),
(139771, '205.190.27.0', '205.190.27.255', 3451788032, 3451788287, 'CA', 'Canada'),
(139772, '205.190.28.0', '205.190.68.255', 3451788288, 3451798783, 'US', 'United States'),
(139773, '205.190.69.0', '205.190.69.255', 3451798784, 3451799039, 'CA', 'Canada'),
(139774, '205.190.70.0', '205.190.73.255', 3451799040, 3451800063, 'US', 'United States'),
(139775, '205.190.74.0', '205.190.74.255', 3451800064, 3451800319, 'CA', 'Canada'),
(139776, '205.190.75.0', '205.190.101.255', 3451800320, 3451807231, 'US', 'United States'),
(139777, '205.190.102.0', '205.190.102.255', 3451807232, 3451807487, 'CA', 'Canada'),
(139778, '205.190.103.0', '205.190.106.255', 3451807488, 3451808511, 'US', 'United States'),
(139779, '205.190.107.0', '205.190.107.255', 3451808512, 3451808767, 'CA', 'Canada'),
(139780, '205.190.108.0', '205.190.115.255', 3451808768, 3451810815, 'US', 'United States'),
(139781, '205.190.116.0', '205.190.117.255', 3451810816, 3451811327, 'CA', 'Canada'),
(139782, '205.190.118.0', '205.190.157.255', 3451811328, 3451821567, 'US', 'United States'),
(139783, '205.190.158.0', '205.190.158.255', 3451821568, 3451821823, 'PR', 'Puerto Rico'),
(139784, '205.190.159.0', '205.190.167.255', 3451821824, 3451824127, 'US', 'United States'),
(139785, '205.190.168.0', '205.190.168.255', 3451824128, 3451824383, 'CA', 'Canada'),
(139786, '205.190.169.0', '205.190.180.255', 3451824384, 3451827455, 'US', 'United States'),
(139787, '205.190.181.0', '205.190.181.255', 3451827456, 3451827711, 'PR', 'Puerto Rico'),
(139788, '205.190.182.0', '205.190.186.255', 3451827712, 3451828991, 'US', 'United States'),
(139789, '205.190.187.0', '205.190.187.255', 3451828992, 3451829247, 'CA', 'Canada'),
(139790, '205.190.188.0', '205.190.213.255', 3451829248, 3451835903, 'US', 'United States'),
(139791, '205.190.214.0', '205.190.214.255', 3451835904, 3451836159, 'CA', 'Canada'),
(139792, '205.190.215.0', '205.190.215.255', 3451836160, 3451836415, 'US', 'United States'),
(139793, '205.190.216.0', '205.190.216.255', 3451836416, 3451836671, 'CA', 'Canada'),
(139794, '205.190.217.0', '205.190.217.255', 3451836672, 3451836927, 'US', 'United States'),
(139795, '205.190.218.0', '205.190.218.255', 3451836928, 3451837183, 'CA', 'Canada'),
(139796, '205.190.219.0', '205.190.220.255', 3451837184, 3451837695, 'US', 'United States'),
(139797, '205.190.221.0', '205.190.221.255', 3451837696, 3451837951, 'CA', 'Canada'),
(139798, '205.190.222.0', '205.190.230.255', 3451837952, 3451840255, 'US', 'United States'),
(139799, '205.190.231.0', '205.190.232.255', 3451840256, 3451840767, 'CA', 'Canada'),
(139800, '205.190.233.0', '205.191.127.255', 3451840768, 3451879423, 'US', 'United States'),
(139801, '205.191.128.0', '205.191.129.255', 3451879424, 3451879935, 'DE', 'Germany'),
(139802, '205.191.130.0', '205.191.146.255', 3451879936, 3451884287, 'US', 'United States'),
(139803, '205.191.147.0', '205.191.147.255', 3451884288, 3451884543, 'DE', 'Germany'),
(139804, '205.191.148.0', '205.191.170.255', 3451884544, 3451890431, 'US', 'United States'),
(139805, '205.191.171.0', '205.191.171.255', 3451890432, 3451890687, 'AU', 'Australia'),
(139806, '205.191.172.0', '205.191.193.255', 3451890688, 3451896319, 'US', 'United States'),
(139807, '205.191.194.0', '205.191.194.255', 3451896320, 3451896575, 'DE', 'Germany'),
(139808, '205.191.195.0', '205.191.255.255', 3451896576, 3451912191, 'US', 'United States'),
(139809, '205.192.0.0', '205.195.255.255', 3451912192, 3452174335, 'CA', 'Canada'),
(139810, '205.196.0.0', '205.199.255.255', 3452174336, 3452436479, 'US', 'United States'),
(139811, '205.200.0.0', '205.200.255.255', 3452436480, 3452502015, 'CA', 'Canada'),
(139812, '205.201.0.0', '205.203.175.255', 3452502016, 3452678143, 'US', 'United States'),
(139813, '205.203.176.0', '205.203.176.255', 3452678144, 3452678399, 'EU', 'Europe'),
(139814, '205.203.177.0', '205.203.191.255', 3452678400, 3452682239, 'BE', 'Belgium'),
(139815, '205.203.192.0', '205.204.63.255', 3452682240, 3452715007, 'US', 'United States'),
(139816, '205.204.64.0', '205.204.95.255', 3452715008, 3452723199, 'CA', 'Canada'),
(139817, '205.204.96.0', '205.204.255.255', 3452723200, 3452764159, 'US', 'United States'),
(139818, '205.205.0.0', '205.205.1.23', 3452764160, 3452764439, 'CA', 'Canada'),
(139819, '205.205.1.24', '205.205.1.31', 3452764440, 3452764447, 'US', 'United States'),
(139820, '205.205.1.32', '205.205.1.71', 3452764448, 3452764487, 'CA', 'Canada'),
(139821, '205.205.1.72', '205.205.1.79', 3452764488, 3452764495, 'US', 'United States'),
(139822, '205.205.1.80', '205.205.1.199', 3452764496, 3452764615, 'CA', 'Canada'),
(139823, '205.205.1.200', '205.205.1.207', 3452764616, 3452764623, 'US', 'United States'),
(139824, '205.205.1.208', '205.205.1.223', 3452764624, 3452764639, 'CA', 'Canada'),
(139825, '205.205.1.224', '205.205.1.231', 3452764640, 3452764647, 'US', 'United States'),
(139826, '205.205.1.232', '205.205.1.239', 3452764648, 3452764655, 'CA', 'Canada'),
(139827, '205.205.1.240', '205.205.1.247', 3452764656, 3452764663, 'US', 'United States'),
(139828, '205.205.1.248', '205.205.16.143', 3452764664, 3452768399, 'CA', 'Canada'),
(139829, '205.205.16.144', '205.205.16.175', 3452768400, 3452768431, 'US', 'United States'),
(139830, '205.205.16.176', '205.205.17.239', 3452768432, 3452768751, 'CA', 'Canada'),
(139831, '205.205.17.240', '205.205.17.255', 3452768752, 3452768767, 'US', 'United States'),
(139832, '205.205.18.0', '205.205.25.31', 3452768768, 3452770591, 'CA', 'Canada'),
(139833, '205.205.25.32', '205.205.25.47', 3452770592, 3452770607, 'US', 'United States'),
(139834, '205.205.25.48', '205.205.25.223', 3452770608, 3452770783, 'CA', 'Canada'),
(139835, '205.205.25.224', '205.205.25.239', 3452770784, 3452770799, 'US', 'United States'),
(139836, '205.205.25.240', '205.205.29.63', 3452770800, 3452771647, 'CA', 'Canada'),
(139837, '205.205.29.64', '205.205.29.127', 3452771648, 3452771711, 'US', 'United States'),
(139838, '205.205.29.128', '205.205.49.191', 3452771712, 3452776895, 'CA', 'Canada'),
(139839, '205.205.49.192', '205.205.49.255', 3452776896, 3452776959, 'US', 'United States'),
(139840, '205.205.50.0', '205.205.82.247', 3452776960, 3452785399, 'CA', 'Canada'),
(139841, '205.205.82.248', '205.205.82.255', 3452785400, 3452785407, 'US', 'United States'),
(139842, '205.205.83.0', '205.205.91.63', 3452785408, 3452787519, 'CA', 'Canada'),
(139843, '205.205.91.64', '205.205.91.127', 3452787520, 3452787583, 'US', 'United States'),
(139844, '205.205.91.128', '205.205.104.255', 3452787584, 3452791039, 'CA', 'Canada'),
(139845, '205.205.105.0', '205.205.105.15', 3452791040, 3452791055, 'US', 'United States'),
(139846, '205.205.105.16', '205.205.113.127', 3452791056, 3452793215, 'CA', 'Canada'),
(139847, '205.205.113.128', '205.205.113.255', 3452793216, 3452793343, 'US', 'United States'),
(139848, '205.205.114.0', '205.205.135.231', 3452793344, 3452798951, 'CA', 'Canada'),
(139849, '205.205.135.232', '205.205.135.239', 3452798952, 3452798959, 'US', 'United States'),
(139850, '205.205.135.240', '205.205.179.255', 3452798960, 3452810239, 'CA', 'Canada'),
(139851, '205.205.180.0', '205.205.181.255', 3452810240, 3452810751, 'US', 'United States'),
(139852, '205.205.182.0', '205.205.212.95', 3452810752, 3452818527, 'CA', 'Canada'),
(139853, '205.205.212.96', '205.205.212.103', 3452818528, 3452818535, 'US', 'United States'),
(139854, '205.205.212.104', '205.205.212.167', 3452818536, 3452818599, 'CA', 'Canada'),
(139855, '205.205.212.168', '205.205.212.183', 3452818600, 3452818615, 'US', 'United States'),
(139856, '205.205.212.184', '205.205.212.207', 3452818616, 3452818639, 'CA', 'Canada'),
(139857, '205.205.212.208', '205.205.212.215', 3452818640, 3452818647, 'US', 'United States'),
(139858, '205.205.212.216', '205.205.235.255', 3452818648, 3452824575, 'CA', 'Canada'),
(139859, '205.205.236.0', '205.205.236.31', 3452824576, 3452824607, 'US', 'United States'),
(139860, '205.205.236.32', '205.206.255.255', 3452824608, 3452895231, 'CA', 'Canada'),
(139861, '205.207.0.0', '205.207.0.255', 3452895232, 3452895487, 'US', 'United States'),
(139862, '205.207.1.0', '205.207.27.255', 3452895488, 3452902399, 'CA', 'Canada'),
(139863, '205.207.28.0', '205.207.28.255', 3452902400, 3452902655, 'US', 'United States'),
(139864, '205.207.29.0', '205.207.73.255', 3452902656, 3452914175, 'CA', 'Canada'),
(139865, '205.207.74.0', '205.207.74.255', 3452914176, 3452914431, 'US', 'United States'),
(139866, '205.207.75.0', '205.207.94.255', 3452914432, 3452919551, 'CA', 'Canada'),
(139867, '205.207.95.0', '205.207.95.255', 3452919552, 3452919807, 'US', 'United States'),
(139868, '205.207.96.0', '205.207.99.255', 3452919808, 3452920831, 'CA', 'Canada'),
(139869, '205.207.100.0', '205.207.109.255', 3452920832, 3452923391, 'US', 'United States'),
(139870, '205.207.110.0', '205.207.140.255', 3452923392, 3452931327, 'CA', 'Canada'),
(139871, '205.207.141.0', '205.207.141.255', 3452931328, 3452931583, 'US', 'United States'),
(139872, '205.207.142.0', '205.207.154.255', 3452931584, 3452934911, 'CA', 'Canada'),
(139873, '205.207.155.0', '205.207.159.255', 3452934912, 3452936191, 'US', 'United States'),
(139874, '205.207.160.0', '205.207.185.255', 3452936192, 3452942847, 'CA', 'Canada'),
(139875, '205.207.186.0', '205.207.186.255', 3452942848, 3452943103, 'US', 'United States'),
(139876, '205.207.187.0', '205.207.225.255', 3452943104, 3452953087, 'CA', 'Canada'),
(139877, '205.207.226.0', '205.207.226.255', 3452953088, 3452953343, 'US', 'United States'),
(139878, '205.207.227.0', '205.207.254.255', 3452953344, 3452960511, 'CA', 'Canada'),
(139879, '205.207.255.0', '205.209.0.255', 3452960512, 3453026559, 'US', 'United States'),
(139880, '205.209.1.0', '205.209.6.255', 3453026560, 3453028095, 'CA', 'Canada'),
(139881, '205.209.7.0', '205.209.7.255', 3453028096, 3453028351, 'US', 'United States'),
(139882, '205.209.8.0', '205.209.8.255', 3453028352, 3453028607, 'CA', 'Canada'),
(139883, '205.209.9.0', '205.209.9.255', 3453028608, 3453028863, 'US', 'United States'),
(139884, '205.209.10.0', '205.209.11.255', 3453028864, 3453029375, 'CA', 'Canada'),
(139885, '205.209.12.0', '205.209.50.63', 3453029376, 3453039167, 'US', 'United States'),
(139886, '205.209.50.64', '205.209.50.79', 3453039168, 3453039183, 'AU', 'Australia'),
(139887, '205.209.50.80', '205.209.50.95', 3453039184, 3453039199, 'US', 'United States'),
(139888, '205.209.50.96', '205.209.50.111', 3453039200, 3453039215, 'CA', 'Canada'),
(139889, '205.209.50.112', '205.209.52.7', 3453039216, 3453039623, 'US', 'United States'),
(139890, '205.209.52.8', '205.209.52.15', 3453039624, 3453039631, 'AU', 'Australia'),
(139891, '205.209.52.16', '205.209.53.47', 3453039632, 3453039919, 'US', 'United States'),
(139892, '205.209.53.48', '205.209.53.63', 3453039920, 3453039935, 'AU', 'Australia'),
(139893, '205.209.53.64', '205.210.0.255', 3453039936, 3453092095, 'US', 'United States'),
(139894, '205.210.1.0', '205.210.35.255', 3453092096, 3453101055, 'CA', 'Canada'),
(139895, '205.210.36.0', '205.210.36.255', 3453101056, 3453101311, 'US', 'United States'),
(139896, '205.210.37.0', '205.210.124.255', 3453101312, 3453123839, 'CA', 'Canada'),
(139897, '205.210.125.0', '205.210.125.255', 3453123840, 3453124095, 'US', 'United States'),
(139898, '205.210.126.0', '205.210.144.255', 3453124096, 3453128959, 'CA', 'Canada'),
(139899, '205.210.145.0', '205.210.145.255', 3453128960, 3453129215, 'US', 'United States'),
(139900, '205.210.146.0', '205.210.148.255', 3453129216, 3453129983, 'CA', 'Canada'),
(139901, '205.210.149.0', '205.210.149.255', 3453129984, 3453130239, 'US', 'United States'),
(139902, '205.210.150.0', '205.210.185.255', 3453130240, 3453139455, 'CA', 'Canada'),
(139903, '205.210.186.0', '205.210.191.255', 3453139456, 3453140991, 'US', 'United States'),
(139904, '205.210.192.0', '205.210.223.255', 3453140992, 3453149183, 'CA', 'Canada'),
(139905, '205.210.224.0', '205.210.224.255', 3453149184, 3453149439, 'US', 'United States'),
(139906, '205.210.225.0', '205.210.233.255', 3453149440, 3453151743, 'CA', 'Canada'),
(139907, '205.210.234.0', '205.210.234.255', 3453151744, 3453151999, 'US', 'United States'),
(139908, '205.210.235.0', '205.210.247.255', 3453152000, 3453155327, 'CA', 'Canada'),
(139909, '205.210.248.0', '205.210.248.255', 3453155328, 3453155583, 'US', 'United States'),
(139910, '205.210.249.0', '205.210.254.255', 3453155584, 3453157119, 'CA', 'Canada'),
(139911, '205.210.255.0', '205.211.0.255', 3453157120, 3453157631, 'US', 'United States'),
(139912, '205.211.1.0', '205.211.7.255', 3453157632, 3453159423, 'CA', 'Canada'),
(139913, '205.211.8.0', '205.211.9.255', 3453159424, 3453159935, 'BM', 'Bermuda'),
(139914, '205.211.10.0', '205.211.23.255', 3453159936, 3453163519, 'CA', 'Canada'),
(139915, '205.211.24.0', '205.211.25.255', 3453163520, 3453164031, 'US', 'United States'),
(139916, '205.211.26.0', '205.211.90.255', 3453164032, 3453180671, 'CA', 'Canada'),
(139917, '205.211.91.0', '205.211.91.255', 3453180672, 3453180927, 'US', 'United States'),
(139918, '205.211.92.0', '205.211.147.255', 3453180928, 3453195263, 'CA', 'Canada'),
(139919, '205.211.148.0', '205.211.148.255', 3453195264, 3453195519, 'US', 'United States'),
(139920, '205.211.149.0', '205.211.191.255', 3453195520, 3453206527, 'CA', 'Canada'),
(139921, '205.211.192.0', '205.211.195.255', 3453206528, 3453207551, 'HN', 'Honduras'),
(139922, '205.211.196.0', '205.211.196.255', 3453207552, 3453207807, 'NI', 'Nicaragua'),
(139923, '205.211.197.0', '205.211.199.255', 3453207808, 3453208575, 'HN', 'Honduras'),
(139924, '205.211.200.0', '205.211.200.255', 3453208576, 3453208831, 'NI', 'Nicaragua'),
(139925, '205.211.201.0', '205.211.203.255', 3453208832, 3453209599, 'HN', 'Honduras'),
(139926, '205.211.204.0', '205.211.204.255', 3453209600, 3453209855, 'US', 'United States'),
(139927, '205.211.205.0', '205.211.206.255', 3453209856, 3453210367, 'HN', 'Honduras'),
(139928, '205.211.207.0', '205.211.207.255', 3453210368, 3453210623, 'SV', 'El Salvador'),
(139929, '205.211.208.0', '205.211.217.255', 3453210624, 3453213183, 'CR', 'Costa Rica'),
(139930, '205.211.218.0', '205.211.223.255', 3453213184, 3453214719, 'HN', 'Honduras'),
(139931, '205.211.224.0', '205.211.225.255', 3453214720, 3453215231, 'GT', 'Guatemala'),
(139932, '205.211.226.0', '205.211.228.255', 3453215232, 3453215999, 'SV', 'El Salvador'),
(139933, '205.211.229.0', '205.211.232.255', 3453216000, 3453217023, 'CR', 'Costa Rica'),
(139934, '205.211.233.0', '205.211.235.255', 3453217024, 3453217791, 'SV', 'El Salvador'),
(139935, '205.211.236.0', '205.211.241.255', 3453217792, 3453219327, 'CR', 'Costa Rica'),
(139936, '205.211.242.0', '205.211.242.255', 3453219328, 3453219583, 'US', 'United States'),
(139937, '205.211.243.0', '205.211.243.255', 3453219584, 3453219839, 'SV', 'El Salvador'),
(139938, '205.211.244.0', '205.211.246.255', 3453219840, 3453220607, 'US', 'United States'),
(139939, '205.211.247.0', '205.211.255.255', 3453220608, 3453222911, 'HN', 'Honduras'),
(139940, '205.212.0.0', '205.212.71.255', 3453222912, 3453241343, 'US', 'United States'),
(139941, '205.212.72.0', '205.212.79.255', 3453241344, 3453243391, 'A1', 'Anonymous Proxy'),
(139942, '205.212.80.0', '205.214.64.215', 3453243392, 3453370583, 'US', 'United States'),
(139943, '205.214.64.216', '205.214.64.239', 3453370584, 3453370607, 'CA', 'Canada'),
(139944, '205.214.64.240', '205.214.65.79', 3453370608, 3453370703, 'US', 'United States'),
(139945, '205.214.65.80', '205.214.65.95', 3453370704, 3453370719, 'CA', 'Canada'),
(139946, '205.214.65.96', '205.214.67.55', 3453370720, 3453371191, 'US', 'United States'),
(139947, '205.214.67.56', '205.214.67.63', 3453371192, 3453371199, 'CA', 'Canada'),
(139948, '205.214.67.64', '205.214.67.79', 3453371200, 3453371215, 'US', 'United States'),
(139949, '205.214.67.80', '205.214.67.87', 3453371216, 3453371223, 'MY', 'Malaysia'),
(139950, '205.214.67.88', '205.214.68.247', 3453371224, 3453371639, 'US', 'United States'),
(139951, '205.214.68.248', '205.214.69.15', 3453371640, 3453371663, 'CA', 'Canada'),
(139952, '205.214.69.16', '205.214.69.23', 3453371664, 3453371671, 'US', 'United States'),
(139953, '205.214.69.24', '205.214.69.31', 3453371672, 3453371679, 'CA', 'Canada'),
(139954, '205.214.69.32', '205.214.69.119', 3453371680, 3453371767, 'US', 'United States'),
(139955, '205.214.69.120', '205.214.69.135', 3453371768, 3453371783, 'SA', 'Saudi Arabia'),
(139956, '205.214.69.136', '205.214.69.159', 3453371784, 3453371807, 'US', 'United States'),
(139957, '205.214.69.160', '205.214.69.167', 3453371808, 3453371815, 'SA', 'Saudi Arabia'),
(139958, '205.214.69.168', '205.214.69.183', 3453371816, 3453371831, 'US', 'United States'),
(139959, '205.214.69.184', '205.214.69.191', 3453371832, 3453371839, 'JP', 'Japan'),
(139960, '205.214.69.192', '205.214.70.63', 3453371840, 3453371967, 'US', 'United States'),
(139961, '205.214.70.64', '205.214.70.71', 3453371968, 3453371975, 'AT', 'Austria'),
(139962, '205.214.70.72', '205.214.70.79', 3453371976, 3453371983, 'CA', 'Canada'),
(139963, '205.214.70.80', '205.214.70.143', 3453371984, 3453372047, 'US', 'United States'),
(139964, '205.214.70.144', '205.214.70.159', 3453372048, 3453372063, 'SA', 'Saudi Arabia'),
(139965, '205.214.70.160', '205.214.71.23', 3453372064, 3453372183, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(139966, '205.214.71.24', '205.214.71.31', 3453372184, 3453372191, 'JP', 'Japan'),
(139967, '205.214.71.32', '205.214.71.39', 3453372192, 3453372199, 'CH', 'Switzerland'),
(139968, '205.214.71.40', '205.214.71.255', 3453372200, 3453372415, 'US', 'United States'),
(139969, '205.214.72.0', '205.214.72.23', 3453372416, 3453372439, 'UA', 'Ukraine'),
(139970, '205.214.72.24', '205.214.72.119', 3453372440, 3453372535, 'US', 'United States'),
(139971, '205.214.72.120', '205.214.72.127', 3453372536, 3453372543, 'HK', 'Hong Kong'),
(139972, '205.214.72.128', '205.214.72.135', 3453372544, 3453372551, 'LB', 'Lebanon'),
(139973, '205.214.72.136', '205.214.73.39', 3453372552, 3453372711, 'US', 'United States'),
(139974, '205.214.73.40', '205.214.73.55', 3453372712, 3453372727, 'SA', 'Saudi Arabia'),
(139975, '205.214.73.56', '205.214.73.63', 3453372728, 3453372735, 'OM', 'Oman'),
(139976, '205.214.73.64', '205.214.73.95', 3453372736, 3453372767, 'US', 'United States'),
(139977, '205.214.73.96', '205.214.73.103', 3453372768, 3453372775, 'AE', 'United Arab Emirates'),
(139978, '205.214.73.104', '205.214.73.111', 3453372776, 3453372783, 'US', 'United States'),
(139979, '205.214.73.112', '205.214.73.119', 3453372784, 3453372791, 'LB', 'Lebanon'),
(139980, '205.214.73.120', '205.214.74.23', 3453372792, 3453372951, 'US', 'United States'),
(139981, '205.214.74.24', '205.214.74.39', 3453372952, 3453372967, 'IN', 'India'),
(139982, '205.214.74.40', '205.214.74.47', 3453372968, 3453372975, 'US', 'United States'),
(139983, '205.214.74.48', '205.214.74.63', 3453372976, 3453372991, 'IN', 'India'),
(139984, '205.214.74.64', '205.214.74.79', 3453372992, 3453373007, 'US', 'United States'),
(139985, '205.214.74.80', '205.214.74.95', 3453373008, 3453373023, 'IN', 'India'),
(139986, '205.214.74.96', '205.214.74.167', 3453373024, 3453373095, 'US', 'United States'),
(139987, '205.214.74.168', '205.214.74.199', 3453373096, 3453373127, 'SA', 'Saudi Arabia'),
(139988, '205.214.74.200', '205.214.80.119', 3453373128, 3453374583, 'US', 'United States'),
(139989, '205.214.80.120', '205.214.80.127', 3453374584, 3453374591, 'CY', 'Cyprus'),
(139990, '205.214.80.128', '205.214.81.151', 3453374592, 3453374871, 'US', 'United States'),
(139991, '205.214.81.152', '205.214.81.159', 3453374872, 3453374879, 'UA', 'Ukraine'),
(139992, '205.214.81.160', '205.214.82.47', 3453374880, 3453375023, 'US', 'United States'),
(139993, '205.214.82.48', '205.214.82.71', 3453375024, 3453375047, 'SA', 'Saudi Arabia'),
(139994, '205.214.82.72', '205.214.82.119', 3453375048, 3453375095, 'US', 'United States'),
(139995, '205.214.82.120', '205.214.82.159', 3453375096, 3453375135, 'SA', 'Saudi Arabia'),
(139996, '205.214.82.160', '205.214.82.167', 3453375136, 3453375143, 'TH', 'Thailand'),
(139997, '205.214.82.168', '205.214.82.191', 3453375144, 3453375167, 'US', 'United States'),
(139998, '205.214.82.192', '205.214.82.215', 3453375168, 3453375191, 'SA', 'Saudi Arabia'),
(139999, '205.214.82.216', '205.214.82.239', 3453375192, 3453375215, 'US', 'United States'),
(140000, '205.214.82.240', '205.214.82.255', 3453375216, 3453375231, 'GB', 'United Kingdom'),
(140001, '205.214.83.0', '205.214.83.23', 3453375232, 3453375255, 'US', 'United States'),
(140002, '205.214.83.24', '205.214.83.31', 3453375256, 3453375263, 'IN', 'India'),
(140003, '205.214.83.32', '205.214.83.47', 3453375264, 3453375279, 'GB', 'United Kingdom'),
(140004, '205.214.83.48', '205.214.83.87', 3453375280, 3453375319, 'TK', 'Tokelau'),
(140005, '205.214.83.88', '205.214.83.111', 3453375320, 3453375343, 'US', 'United States'),
(140006, '205.214.83.112', '205.214.83.143', 3453375344, 3453375375, 'GB', 'United Kingdom'),
(140007, '205.214.83.144', '205.214.83.151', 3453375376, 3453375383, 'US', 'United States'),
(140008, '205.214.83.152', '205.214.83.175', 3453375384, 3453375407, 'SA', 'Saudi Arabia'),
(140009, '205.214.83.176', '205.214.83.183', 3453375408, 3453375415, 'GB', 'United Kingdom'),
(140010, '205.214.83.184', '205.214.83.215', 3453375416, 3453375447, 'FR', 'France'),
(140011, '205.214.83.216', '205.214.84.87', 3453375448, 3453375575, 'US', 'United States'),
(140012, '205.214.84.88', '205.214.84.95', 3453375576, 3453375583, 'RU', 'Russian Federation'),
(140013, '205.214.84.96', '205.214.85.63', 3453375584, 3453375807, 'US', 'United States'),
(140014, '205.214.85.64', '205.214.85.143', 3453375808, 3453375887, 'SA', 'Saudi Arabia'),
(140015, '205.214.85.144', '205.214.85.255', 3453375888, 3453375999, 'US', 'United States'),
(140016, '205.214.86.0', '205.214.86.255', 3453376000, 3453376255, 'CA', 'Canada'),
(140017, '205.214.87.0', '205.214.88.207', 3453376256, 3453376719, 'US', 'United States'),
(140018, '205.214.88.208', '205.214.88.215', 3453376720, 3453376727, 'GB', 'United Kingdom'),
(140019, '205.214.88.216', '205.214.88.231', 3453376728, 3453376743, 'US', 'United States'),
(140020, '205.214.88.232', '205.214.88.239', 3453376744, 3453376751, 'GB', 'United Kingdom'),
(140021, '205.214.88.240', '205.214.88.247', 3453376752, 3453376759, 'UA', 'Ukraine'),
(140022, '205.214.88.248', '205.214.89.79', 3453376760, 3453376847, 'US', 'United States'),
(140023, '205.214.89.80', '205.214.89.119', 3453376848, 3453376887, 'KW', 'Kuwait'),
(140024, '205.214.89.120', '205.214.89.151', 3453376888, 3453376919, 'US', 'United States'),
(140025, '205.214.89.152', '205.214.89.159', 3453376920, 3453376927, 'GB', 'United Kingdom'),
(140026, '205.214.89.160', '205.214.89.183', 3453376928, 3453376951, 'US', 'United States'),
(140027, '205.214.89.184', '205.214.89.191', 3453376952, 3453376959, 'GB', 'United Kingdom'),
(140028, '205.214.89.192', '205.214.89.207', 3453376960, 3453376975, 'US', 'United States'),
(140029, '205.214.89.208', '205.214.89.215', 3453376976, 3453376983, 'SA', 'Saudi Arabia'),
(140030, '205.214.89.216', '205.214.90.135', 3453376984, 3453377159, 'US', 'United States'),
(140031, '205.214.90.136', '205.214.90.143', 3453377160, 3453377167, 'GB', 'United Kingdom'),
(140032, '205.214.90.144', '205.214.91.39', 3453377168, 3453377319, 'US', 'United States'),
(140033, '205.214.91.40', '205.214.91.47', 3453377320, 3453377327, 'GB', 'United Kingdom'),
(140034, '205.214.91.48', '205.214.93.103', 3453377328, 3453377895, 'US', 'United States'),
(140035, '205.214.93.104', '205.214.93.111', 3453377896, 3453377903, 'CA', 'Canada'),
(140036, '205.214.93.112', '205.214.93.207', 3453377904, 3453377999, 'US', 'United States'),
(140037, '205.214.93.208', '205.214.93.215', 3453378000, 3453378007, 'SA', 'Saudi Arabia'),
(140038, '205.214.93.216', '205.214.93.223', 3453378008, 3453378015, 'US', 'United States'),
(140039, '205.214.93.224', '205.214.93.231', 3453378016, 3453378023, 'GB', 'United Kingdom'),
(140040, '205.214.93.232', '205.214.94.95', 3453378024, 3453378143, 'US', 'United States'),
(140041, '205.214.94.96', '205.214.94.103', 3453378144, 3453378151, 'SA', 'Saudi Arabia'),
(140042, '205.214.94.104', '205.214.94.223', 3453378152, 3453378271, 'US', 'United States'),
(140043, '205.214.94.224', '205.214.94.231', 3453378272, 3453378279, 'DK', 'Denmark'),
(140044, '205.214.94.232', '205.214.95.199', 3453378280, 3453378503, 'US', 'United States'),
(140045, '205.214.95.200', '205.214.95.207', 3453378504, 3453378511, 'BE', 'Belgium'),
(140046, '205.214.95.208', '205.214.191.255', 3453378512, 3453403135, 'US', 'United States'),
(140047, '205.214.192.0', '205.214.202.255', 3453403136, 3453405951, 'BB', 'Barbados'),
(140048, '205.214.203.0', '205.214.203.255', 3453405952, 3453406207, 'KN', 'Saint Kitts and Nevis'),
(140049, '205.214.204.0', '205.214.204.255', 3453406208, 3453406463, 'TC', 'Turks and Caicos Islands'),
(140050, '205.214.205.0', '205.214.206.255', 3453406464, 3453406975, 'VC', 'Saint Vincent and the Grenadines'),
(140051, '205.214.207.0', '205.214.207.255', 3453406976, 3453407231, 'GD', 'Grenada'),
(140052, '205.214.208.0', '205.214.209.255', 3453407232, 3453407743, 'BB', 'Barbados'),
(140053, '205.214.210.0', '205.214.211.255', 3453407744, 3453408255, 'GD', 'Grenada'),
(140054, '205.214.212.0', '205.214.214.255', 3453408256, 3453409023, 'BB', 'Barbados'),
(140055, '205.214.215.0', '205.214.216.255', 3453409024, 3453409535, 'KN', 'Saint Kitts and Nevis'),
(140056, '205.214.217.0', '205.214.223.255', 3453409536, 3453411327, 'BB', 'Barbados'),
(140057, '205.214.224.0', '205.217.4.223', 3453411328, 3453551839, 'US', 'United States'),
(140058, '205.217.4.224', '205.217.5.7', 3453551840, 3453551879, 'GB', 'United Kingdom'),
(140059, '205.217.5.8', '205.217.5.23', 3453551880, 3453551895, 'US', 'United States'),
(140060, '205.217.5.24', '205.217.5.31', 3453551896, 3453551903, 'GB', 'United Kingdom'),
(140061, '205.217.5.32', '205.217.5.63', 3453551904, 3453551935, 'US', 'United States'),
(140062, '205.217.5.64', '205.217.5.95', 3453551936, 3453551967, 'GB', 'United Kingdom'),
(140063, '205.217.5.96', '205.217.5.167', 3453551968, 3453552039, 'US', 'United States'),
(140064, '205.217.5.168', '205.217.5.175', 3453552040, 3453552047, 'GB', 'United Kingdom'),
(140065, '205.217.5.176', '205.217.7.15', 3453552048, 3453552399, 'US', 'United States'),
(140066, '205.217.7.16', '205.217.7.23', 3453552400, 3453552407, 'GB', 'United Kingdom'),
(140067, '205.217.7.24', '205.217.7.71', 3453552408, 3453552455, 'US', 'United States'),
(140068, '205.217.7.72', '205.217.7.79', 3453552456, 3453552463, 'IE', 'Ireland'),
(140069, '205.217.7.80', '205.217.7.87', 3453552464, 3453552471, 'GB', 'United Kingdom'),
(140070, '205.217.7.88', '205.217.7.127', 3453552472, 3453552511, 'US', 'United States'),
(140071, '205.217.7.128', '205.217.7.255', 3453552512, 3453552639, 'IE', 'Ireland'),
(140072, '205.217.8.0', '205.217.8.255', 3453552640, 3453552895, 'GB', 'United Kingdom'),
(140073, '205.217.9.0', '205.217.9.255', 3453552896, 3453553151, 'US', 'United States'),
(140074, '205.217.10.0', '205.217.10.255', 3453553152, 3453553407, 'GB', 'United Kingdom'),
(140075, '205.217.11.0', '205.217.11.223', 3453553408, 3453553631, 'US', 'United States'),
(140076, '205.217.11.224', '205.217.11.231', 3453553632, 3453553639, 'GB', 'United Kingdom'),
(140077, '205.217.11.232', '205.217.12.255', 3453553640, 3453553919, 'US', 'United States'),
(140078, '205.217.13.0', '205.217.13.63', 3453553920, 3453553983, 'GB', 'United Kingdom'),
(140079, '205.217.13.64', '205.217.13.143', 3453553984, 3453554063, 'US', 'United States'),
(140080, '205.217.13.144', '205.217.13.175', 3453554064, 3453554095, 'GB', 'United Kingdom'),
(140081, '205.217.13.176', '205.217.14.31', 3453554096, 3453554207, 'US', 'United States'),
(140082, '205.217.14.32', '205.217.14.39', 3453554208, 3453554215, 'GB', 'United Kingdom'),
(140083, '205.217.14.40', '205.217.14.63', 3453554216, 3453554239, 'US', 'United States'),
(140084, '205.217.14.64', '205.217.14.79', 3453554240, 3453554255, 'GB', 'United Kingdom'),
(140085, '205.217.14.80', '205.217.14.255', 3453554256, 3453554431, 'US', 'United States'),
(140086, '205.217.15.0', '205.217.15.255', 3453554432, 3453554687, 'GB', 'United Kingdom'),
(140087, '205.217.16.0', '205.217.16.175', 3453554688, 3453554863, 'US', 'United States'),
(140088, '205.217.16.176', '205.217.16.191', 3453554864, 3453554879, 'NL', 'Netherlands'),
(140089, '205.217.16.192', '205.217.19.255', 3453554880, 3453555711, 'US', 'United States'),
(140090, '205.217.20.0', '205.217.20.55', 3453555712, 3453555767, 'GB', 'United Kingdom'),
(140091, '205.217.20.56', '205.217.128.255', 3453555768, 3453583615, 'US', 'United States'),
(140092, '205.217.129.0', '205.217.129.79', 3453583616, 3453583695, 'SG', 'Singapore'),
(140093, '205.217.129.80', '205.217.175.135', 3453583696, 3453595527, 'US', 'United States'),
(140094, '205.217.175.136', '205.217.175.159', 3453595528, 3453595551, 'CA', 'Canada'),
(140095, '205.217.175.160', '205.217.175.191', 3453595552, 3453595583, 'US', 'United States'),
(140096, '205.217.175.192', '205.217.175.231', 3453595584, 3453595623, 'CA', 'Canada'),
(140097, '205.217.175.232', '205.217.176.127', 3453595624, 3453595775, 'US', 'United States'),
(140098, '205.217.176.128', '205.217.176.159', 3453595776, 3453595807, 'CA', 'Canada'),
(140099, '205.217.176.160', '205.217.192.255', 3453595808, 3453599999, 'US', 'United States'),
(140100, '205.217.193.0', '205.217.195.255', 3453600000, 3453600767, 'GB', 'United Kingdom'),
(140101, '205.217.196.0', '205.217.200.71', 3453600768, 3453601863, 'US', 'United States'),
(140102, '205.217.200.72', '205.217.200.79', 3453601864, 3453601871, 'GB', 'United Kingdom'),
(140103, '205.217.200.80', '205.217.200.87', 3453601872, 3453601879, 'CH', 'Switzerland'),
(140104, '205.217.200.88', '205.217.201.127', 3453601880, 3453602175, 'US', 'United States'),
(140105, '205.217.201.128', '205.217.201.135', 3453602176, 3453602183, 'GB', 'United Kingdom'),
(140106, '205.217.201.136', '205.217.201.159', 3453602184, 3453602207, 'US', 'United States'),
(140107, '205.217.201.160', '205.217.201.175', 3453602208, 3453602223, 'GB', 'United Kingdom'),
(140108, '205.217.201.176', '205.217.223.255', 3453602224, 3453607935, 'US', 'United States'),
(140109, '205.217.224.0', '205.217.227.255', 3453607936, 3453608959, 'KN', 'Saint Kitts and Nevis'),
(140110, '205.217.228.0', '205.217.231.255', 3453608960, 3453609983, 'LC', 'Saint Lucia'),
(140111, '205.217.232.0', '205.217.233.255', 3453609984, 3453610495, 'AG', 'Antigua and Barbuda'),
(140112, '205.217.234.0', '205.217.234.255', 3453610496, 3453610751, 'MS', 'Montserrat'),
(140113, '205.217.235.0', '205.217.235.255', 3453610752, 3453611007, 'AG', 'Antigua and Barbuda'),
(140114, '205.217.236.0', '205.217.236.255', 3453611008, 3453611263, 'MS', 'Montserrat'),
(140115, '205.217.237.0', '205.217.241.255', 3453611264, 3453612543, 'DM', 'Dominica'),
(140116, '205.217.242.0', '205.217.243.255', 3453612544, 3453613055, 'KN', 'Saint Kitts and Nevis'),
(140117, '205.217.244.0', '205.217.249.255', 3453613056, 3453614591, 'AG', 'Antigua and Barbuda'),
(140118, '205.217.250.0', '205.217.251.255', 3453614592, 3453615103, 'DM', 'Dominica'),
(140119, '205.217.252.0', '205.217.252.255', 3453615104, 3453615359, 'AG', 'Antigua and Barbuda'),
(140120, '205.217.253.0', '205.217.253.255', 3453615360, 3453615615, 'KN', 'Saint Kitts and Nevis'),
(140121, '205.217.254.0', '205.217.255.255', 3453615616, 3453616127, 'AG', 'Antigua and Barbuda'),
(140122, '205.218.0.0', '205.219.1.23', 3453616128, 3453681943, 'US', 'United States'),
(140123, '205.219.1.24', '205.219.1.31', 3453681944, 3453681951, 'IN', 'India'),
(140124, '205.219.1.32', '205.223.231.69', 3453681952, 3454003013, 'US', 'United States'),
(140125, '205.223.231.70', '205.223.231.70', 3454003014, 3454003014, 'ES', 'Spain'),
(140126, '205.223.231.71', '205.223.239.5', 3454003015, 3454004997, 'US', 'United States'),
(140127, '205.223.239.6', '205.223.239.6', 3454004998, 3454004998, 'GB', 'United Kingdom'),
(140128, '205.223.239.7', '205.228.81.255', 3454004999, 3454292479, 'US', 'United States'),
(140129, '205.228.82.0', '205.228.82.255', 3454292480, 3454292735, 'GB', 'United Kingdom'),
(140130, '205.228.83.0', '205.230.131.255', 3454292736, 3454436351, 'US', 'United States'),
(140131, '205.230.132.0', '205.230.132.255', 3454436352, 3454436607, 'GU', 'Guam'),
(140132, '205.230.133.0', '205.231.115.255', 3454436608, 3454497791, 'US', 'United States'),
(140133, '205.231.116.0', '205.231.119.255', 3454497792, 3454498815, 'MX', 'Mexico'),
(140134, '205.231.120.0', '205.232.117.39', 3454498816, 3454563623, 'US', 'United States'),
(140135, '205.232.117.40', '205.232.117.47', 3454563624, 3454563631, 'NC', 'New Caledonia'),
(140136, '205.232.117.48', '205.233.0.255', 3454563632, 3454599423, 'US', 'United States'),
(140137, '205.233.1.0', '205.233.7.255', 3454599424, 3454601215, 'CA', 'Canada'),
(140138, '205.233.8.0', '205.233.14.255', 3454601216, 3454603007, 'US', 'United States'),
(140139, '205.233.15.0', '205.233.16.255', 3454603008, 3454603519, 'CA', 'Canada'),
(140140, '205.233.17.0', '205.233.18.255', 3454603520, 3454604031, 'US', 'United States'),
(140141, '205.233.19.0', '205.233.21.255', 3454604032, 3454604799, 'CA', 'Canada'),
(140142, '205.233.22.0', '205.233.27.255', 3454604800, 3454606335, 'US', 'United States'),
(140143, '205.233.28.0', '205.233.28.255', 3454606336, 3454606591, 'CA', 'Canada'),
(140144, '205.233.29.0', '205.233.31.255', 3454606592, 3454607359, 'US', 'United States'),
(140145, '205.233.32.0', '205.233.34.255', 3454607360, 3454608127, 'CA', 'Canada'),
(140146, '205.233.35.0', '205.233.35.255', 3454608128, 3454608383, 'US', 'United States'),
(140147, '205.233.36.0', '205.233.38.255', 3454608384, 3454609151, 'CA', 'Canada'),
(140148, '205.233.39.0', '205.233.47.255', 3454609152, 3454611455, 'US', 'United States'),
(140149, '205.233.48.0', '205.233.70.255', 3454611456, 3454617343, 'CA', 'Canada'),
(140150, '205.233.71.0', '205.233.71.255', 3454617344, 3454617599, 'US', 'United States'),
(140151, '205.233.72.0', '205.233.72.255', 3454617600, 3454617855, 'CA', 'Canada'),
(140152, '205.233.73.0', '205.233.73.255', 3454617856, 3454618111, 'US', 'United States'),
(140153, '205.233.74.0', '205.233.74.255', 3454618112, 3454618367, 'CA', 'Canada'),
(140154, '205.233.75.0', '205.233.79.255', 3454618368, 3454619647, 'US', 'United States'),
(140155, '205.233.80.0', '205.233.138.255', 3454619648, 3454634751, 'CA', 'Canada'),
(140156, '205.233.139.0', '205.233.143.255', 3454634752, 3454636031, 'US', 'United States'),
(140157, '205.233.144.0', '205.233.146.255', 3454636032, 3454636799, 'CA', 'Canada'),
(140158, '205.233.147.0', '205.233.147.255', 3454636800, 3454637055, 'US', 'United States'),
(140159, '205.233.148.0', '205.233.206.255', 3454637056, 3454652159, 'CA', 'Canada'),
(140160, '205.233.207.0', '205.233.207.255', 3454652160, 3454652415, 'US', 'United States'),
(140161, '205.233.208.0', '205.233.243.255', 3454652416, 3454661631, 'CA', 'Canada'),
(140162, '205.233.244.0', '205.233.247.255', 3454661632, 3454662655, 'US', 'United States'),
(140163, '205.233.248.0', '205.233.254.255', 3454662656, 3454664447, 'CA', 'Canada'),
(140164, '205.233.255.0', '205.234.31.255', 3454664448, 3454672895, 'US', 'United States'),
(140165, '205.234.32.0', '205.234.63.255', 3454672896, 3454681087, 'CA', 'Canada'),
(140166, '205.234.64.0', '205.234.133.71', 3454681088, 3454698823, 'US', 'United States'),
(140167, '205.234.133.72', '205.234.133.87', 3454698824, 3454698839, 'CA', 'Canada'),
(140168, '205.234.133.88', '205.234.133.135', 3454698840, 3454698887, 'US', 'United States'),
(140169, '205.234.133.136', '205.234.133.143', 3454698888, 3454698895, 'HK', 'Hong Kong'),
(140170, '205.234.133.144', '205.234.150.31', 3454698896, 3454703135, 'US', 'United States'),
(140171, '205.234.150.32', '205.234.150.39', 3454703136, 3454703143, 'IN', 'India'),
(140172, '205.234.150.40', '205.234.150.151', 3454703144, 3454703255, 'US', 'United States'),
(140173, '205.234.150.152', '205.234.150.159', 3454703256, 3454703263, 'CA', 'Canada'),
(140174, '205.234.150.160', '205.234.152.31', 3454703264, 3454703647, 'US', 'United States'),
(140175, '205.234.152.32', '205.234.152.47', 3454703648, 3454703663, 'CA', 'Canada'),
(140176, '205.234.152.48', '205.234.153.79', 3454703664, 3454703951, 'US', 'United States'),
(140177, '205.234.153.80', '205.234.153.87', 3454703952, 3454703959, 'AF', 'Afghanistan'),
(140178, '205.234.153.88', '205.234.153.175', 3454703960, 3454704047, 'US', 'United States'),
(140179, '205.234.153.176', '205.234.153.183', 3454704048, 3454704055, 'CA', 'Canada'),
(140180, '205.234.153.184', '205.234.153.191', 3454704056, 3454704063, 'US', 'United States'),
(140181, '205.234.153.192', '205.234.153.207', 3454704064, 3454704079, 'CA', 'Canada'),
(140182, '205.234.153.208', '205.234.153.215', 3454704080, 3454704087, 'AE', 'United Arab Emirates'),
(140183, '205.234.153.216', '205.234.153.231', 3454704088, 3454704103, 'US', 'United States'),
(140184, '205.234.153.232', '205.234.153.239', 3454704104, 3454704111, 'GB', 'United Kingdom'),
(140185, '205.234.153.240', '205.234.157.255', 3454704112, 3454705151, 'US', 'United States'),
(140186, '205.234.158.0', '205.234.158.63', 3454705152, 3454705215, 'GB', 'United Kingdom'),
(140187, '205.234.158.64', '205.234.159.31', 3454705216, 3454705439, 'US', 'United States'),
(140188, '205.234.159.32', '205.234.159.39', 3454705440, 3454705447, 'GB', 'United Kingdom'),
(140189, '205.234.159.40', '205.234.159.103', 3454705448, 3454705511, 'US', 'United States'),
(140190, '205.234.159.104', '205.234.159.111', 3454705512, 3454705519, 'CA', 'Canada'),
(140191, '205.234.159.112', '205.234.170.129', 3454705520, 3454708353, 'US', 'United States'),
(140192, '205.234.170.130', '205.234.170.131', 3454708354, 3454708355, 'GB', 'United Kingdom'),
(140193, '205.234.170.132', '205.234.172.191', 3454708356, 3454708927, 'US', 'United States'),
(140194, '205.234.172.192', '205.234.172.255', 3454708928, 3454708991, 'IN', 'India'),
(140195, '205.234.173.0', '205.234.179.23', 3454708992, 3454710551, 'US', 'United States'),
(140196, '205.234.179.24', '205.234.179.31', 3454710552, 3454710559, 'SO', 'Somalia'),
(140197, '205.234.179.32', '205.234.179.143', 3454710560, 3454710671, 'US', 'United States'),
(140198, '205.234.179.144', '205.234.179.151', 3454710672, 3454710679, 'IN', 'India'),
(140199, '205.234.179.152', '205.234.182.191', 3454710680, 3454711487, 'US', 'United States'),
(140200, '205.234.182.192', '205.234.182.223', 3454711488, 3454711519, 'HK', 'Hong Kong'),
(140201, '205.234.182.224', '205.234.203.63', 3454711520, 3454716735, 'US', 'United States'),
(140202, '205.234.203.64', '205.234.203.71', 3454716736, 3454716743, 'CR', 'Costa Rica'),
(140203, '205.234.203.72', '205.234.206.111', 3454716744, 3454717551, 'US', 'United States'),
(140204, '205.234.206.112', '205.234.206.119', 3454717552, 3454717559, 'CA', 'Canada'),
(140205, '205.234.206.120', '205.234.210.159', 3454717560, 3454718623, 'US', 'United States'),
(140206, '205.234.210.160', '205.234.210.191', 3454718624, 3454718655, 'HK', 'Hong Kong'),
(140207, '205.234.210.192', '205.234.211.47', 3454718656, 3454718767, 'US', 'United States'),
(140208, '205.234.211.48', '205.234.211.55', 3454718768, 3454718775, 'EG', 'Egypt'),
(140209, '205.234.211.56', '205.234.211.63', 3454718776, 3454718783, 'BE', 'Belgium'),
(140210, '205.234.211.64', '205.234.211.239', 3454718784, 3454718959, 'US', 'United States'),
(140211, '205.234.211.240', '205.234.211.247', 3454718960, 3454718967, 'TR', 'Turkey'),
(140212, '205.234.211.248', '205.234.220.159', 3454718968, 3454721183, 'US', 'United States'),
(140213, '205.234.220.160', '205.234.220.167', 3454721184, 3454721191, 'EG', 'Egypt'),
(140214, '205.234.220.168', '205.234.238.127', 3454721192, 3454725759, 'US', 'United States'),
(140215, '205.234.238.128', '205.234.238.135', 3454725760, 3454725767, 'DE', 'Germany'),
(140216, '205.234.238.136', '205.234.246.119', 3454725768, 3454727799, 'US', 'United States'),
(140217, '205.234.246.120', '205.234.246.127', 3454727800, 3454727807, 'CA', 'Canada'),
(140218, '205.234.246.128', '205.234.255.255', 3454727808, 3454730239, 'US', 'United States'),
(140219, '205.235.0.0', '205.235.7.255', 3454730240, 3454732287, 'EC', 'Ecuador'),
(140220, '205.235.8.0', '205.236.0.255', 3454732288, 3454796031, 'US', 'United States'),
(140221, '205.236.1.0', '205.236.50.255', 3454796032, 3454808831, 'CA', 'Canada'),
(140222, '205.236.51.0', '205.236.51.255', 3454808832, 3454809087, 'US', 'United States'),
(140223, '205.236.52.0', '205.236.55.255', 3454809088, 3454810111, 'CA', 'Canada'),
(140224, '205.236.56.0', '205.236.56.255', 3454810112, 3454810367, 'US', 'United States'),
(140225, '205.236.57.0', '205.236.74.255', 3454810368, 3454814975, 'CA', 'Canada'),
(140226, '205.236.75.0', '205.236.75.255', 3454814976, 3454815231, 'US', 'United States'),
(140227, '205.236.76.0', '205.236.77.255', 3454815232, 3454815743, 'CA', 'Canada'),
(140228, '205.236.78.0', '205.236.79.255', 3454815744, 3454816255, 'US', 'United States'),
(140229, '205.236.80.0', '205.236.80.255', 3454816256, 3454816511, 'CA', 'Canada'),
(140230, '205.236.81.0', '205.236.81.255', 3454816512, 3454816767, 'US', 'United States'),
(140231, '205.236.82.0', '205.236.126.255', 3454816768, 3454828287, 'CA', 'Canada'),
(140232, '205.236.127.0', '205.236.127.255', 3454828288, 3454828543, 'US', 'United States'),
(140233, '205.236.128.0', '205.236.254.255', 3454828544, 3454861055, 'CA', 'Canada'),
(140234, '205.236.255.0', '205.237.0.255', 3454861056, 3454861567, 'US', 'United States'),
(140235, '205.237.1.0', '205.237.24.255', 3454861568, 3454867711, 'CA', 'Canada'),
(140236, '205.237.25.0', '205.237.25.255', 3454867712, 3454867967, 'US', 'United States'),
(140237, '205.237.26.0', '205.237.78.255', 3454867968, 3454881535, 'CA', 'Canada'),
(140238, '205.237.79.0', '205.237.79.255', 3454881536, 3454881791, 'US', 'United States'),
(140239, '205.237.80.0', '205.237.87.255', 3454881792, 3454883839, 'CA', 'Canada'),
(140240, '205.237.88.0', '205.237.209.255', 3454883840, 3454915071, 'US', 'United States'),
(140241, '205.237.210.0', '205.237.254.255', 3454915072, 3454926591, 'CA', 'Canada'),
(140242, '205.237.255.0', '205.239.196.5', 3454926592, 3455042565, 'US', 'United States'),
(140243, '205.239.196.6', '205.239.196.6', 3455042566, 3455042566, 'CA', 'Canada'),
(140244, '205.239.196.7', '205.240.151.255', 3455042567, 3455096831, 'US', 'United States'),
(140245, '205.240.152.0', '205.240.155.255', 3455096832, 3455097855, 'EC', 'Ecuador'),
(140246, '205.240.156.0', '205.240.199.255', 3455097856, 3455109119, 'US', 'United States'),
(140247, '205.240.200.0', '205.240.207.255', 3455109120, 3455111167, 'HN', 'Honduras'),
(140248, '205.240.208.0', '205.240.223.255', 3455111168, 3455115263, 'SR', 'Suriname'),
(140249, '205.240.224.0', '205.240.253.191', 3455115264, 3455122879, 'US', 'United States'),
(140250, '205.240.253.192', '205.240.253.199', 3455122880, 3455122887, 'PR', 'Puerto Rico'),
(140251, '205.240.253.200', '205.241.11.255', 3455122888, 3455126527, 'US', 'United States'),
(140252, '205.241.12.0', '205.241.12.255', 3455126528, 3455126783, 'MX', 'Mexico'),
(140253, '205.241.13.0', '205.241.33.255', 3455126784, 3455132159, 'US', 'United States'),
(140254, '205.241.34.0', '205.241.39.255', 3455132160, 3455133695, 'BO', 'Bolivia'),
(140255, '205.241.40.0', '205.242.208.167', 3455133696, 3455242407, 'US', 'United States'),
(140256, '205.242.208.168', '205.242.208.175', 3455242408, 3455242415, 'CA', 'Canada'),
(140257, '205.242.208.176', '205.242.218.47', 3455242416, 3455244847, 'US', 'United States'),
(140258, '205.242.218.48', '205.242.218.55', 3455244848, 3455244855, 'CA', 'Canada'),
(140259, '205.242.218.56', '205.243.255.255', 3455244856, 3455320063, 'US', 'United States'),
(140260, '205.244.0.0', '205.244.7.255', 3455320064, 3455322111, 'FR', 'France'),
(140261, '205.244.8.0', '205.244.31.255', 3455322112, 3455328255, 'US', 'United States'),
(140262, '205.244.32.0', '205.244.35.255', 3455328256, 3455329279, 'DO', 'Dominican Republic'),
(140263, '205.244.36.0', '205.244.41.255', 3455329280, 3455330815, 'US', 'United States'),
(140264, '205.244.42.0', '205.244.43.255', 3455330816, 3455331327, 'ES', 'Spain'),
(140265, '205.244.44.0', '205.244.53.255', 3455331328, 3455333887, 'US', 'United States'),
(140266, '205.244.54.0', '205.244.55.255', 3455333888, 3455334399, 'NL', 'Netherlands'),
(140267, '205.244.56.0', '205.244.152.255', 3455334400, 3455359231, 'US', 'United States'),
(140268, '205.244.153.0', '205.244.153.255', 3455359232, 3455359487, 'ES', 'Spain'),
(140269, '205.244.154.0', '205.245.127.255', 3455359488, 3455418367, 'US', 'United States'),
(140270, '205.245.128.0', '205.245.129.255', 3455418368, 3455418879, 'KY', 'Cayman Islands'),
(140271, '205.245.130.0', '205.245.139.255', 3455418880, 3455421439, 'US', 'United States'),
(140272, '205.245.140.0', '205.245.141.255', 3455421440, 3455421951, 'BE', 'Belgium'),
(140273, '205.245.142.0', '205.246.8.255', 3455421952, 3455453439, 'US', 'United States'),
(140274, '205.246.9.0', '205.246.9.255', 3455453440, 3455453695, 'HT', 'Haiti'),
(140275, '205.246.10.0', '205.247.137.255', 3455453696, 3455551999, 'US', 'United States'),
(140276, '205.247.138.0', '205.247.138.255', 3455552000, 3455552255, 'EC', 'Ecuador'),
(140277, '205.247.139.0', '205.247.192.255', 3455552256, 3455566079, 'US', 'United States'),
(140278, '205.247.193.0', '205.247.193.255', 3455566080, 3455566335, 'EC', 'Ecuador'),
(140279, '205.247.194.0', '205.247.255.255', 3455566336, 3455582207, 'US', 'United States'),
(140280, '205.248.0.0', '205.248.5.255', 3455582208, 3455583743, 'SG', 'Singapore'),
(140281, '205.248.6.0', '205.248.7.255', 3455583744, 3455584255, 'NL', 'Netherlands'),
(140282, '205.248.8.0', '205.248.9.255', 3455584256, 3455584767, 'GB', 'United Kingdom'),
(140283, '205.248.10.0', '205.248.23.255', 3455584768, 3455588351, 'US', 'United States'),
(140284, '205.248.24.0', '205.248.25.255', 3455588352, 3455588863, 'BE', 'Belgium'),
(140285, '205.248.26.0', '205.248.26.255', 3455588864, 3455589119, 'FR', 'France'),
(140286, '205.248.27.0', '205.248.27.255', 3455589120, 3455589375, 'US', 'United States'),
(140287, '205.248.28.0', '205.248.28.255', 3455589376, 3455589631, 'BE', 'Belgium'),
(140288, '205.248.29.0', '205.248.38.255', 3455589632, 3455592191, 'US', 'United States'),
(140289, '205.248.39.0', '205.248.39.255', 3455592192, 3455592447, 'IE', 'Ireland'),
(140290, '205.248.40.0', '205.248.40.255', 3455592448, 3455592703, 'KR', 'Korea, Republic of'),
(140291, '205.248.41.0', '205.248.46.255', 3455592704, 3455594239, 'US', 'United States'),
(140292, '205.248.47.0', '205.248.47.255', 3455594240, 3455594495, 'DE', 'Germany'),
(140293, '205.248.48.0', '205.248.48.255', 3455594496, 3455594751, 'TW', 'Taiwan'),
(140294, '205.248.49.0', '205.248.51.255', 3455594752, 3455595519, 'US', 'United States'),
(140295, '205.248.52.0', '205.248.52.255', 3455595520, 3455595775, 'KR', 'Korea, Republic of'),
(140296, '205.248.53.0', '205.248.53.255', 3455595776, 3455596031, 'FR', 'France'),
(140297, '205.248.54.0', '205.248.55.255', 3455596032, 3455596543, 'CH', 'Switzerland'),
(140298, '205.248.56.0', '205.248.56.255', 3455596544, 3455596799, 'NL', 'Netherlands'),
(140299, '205.248.57.0', '205.248.58.255', 3455596800, 3455597311, 'US', 'United States'),
(140300, '205.248.59.0', '205.248.59.255', 3455597312, 3455597567, 'FR', 'France'),
(140301, '205.248.60.0', '205.248.64.255', 3455597568, 3455598847, 'US', 'United States'),
(140302, '205.248.65.0', '205.248.65.255', 3455598848, 3455599103, 'NO', 'Norway'),
(140303, '205.248.66.0', '205.248.66.255', 3455599104, 3455599359, 'US', 'United States'),
(140304, '205.248.67.0', '205.248.67.255', 3455599360, 3455599615, 'MX', 'Mexico'),
(140305, '205.248.68.0', '205.248.69.255', 3455599616, 3455600127, 'TW', 'Taiwan'),
(140306, '205.248.70.0', '205.248.71.255', 3455600128, 3455600639, 'GB', 'United Kingdom'),
(140307, '205.248.72.0', '205.248.72.255', 3455600640, 3455600895, 'US', 'United States'),
(140308, '205.248.73.0', '205.248.73.255', 3455600896, 3455601151, 'GB', 'United Kingdom'),
(140309, '205.248.74.0', '205.248.74.255', 3455601152, 3455601407, 'US', 'United States'),
(140310, '205.248.75.0', '205.248.76.255', 3455601408, 3455601919, 'GB', 'United Kingdom'),
(140311, '205.248.77.0', '205.248.77.255', 3455601920, 3455602175, 'US', 'United States'),
(140312, '205.248.78.0', '205.248.79.255', 3455602176, 3455602687, 'GB', 'United Kingdom'),
(140313, '205.248.80.0', '205.248.133.255', 3455602688, 3455616511, 'US', 'United States'),
(140314, '205.248.134.0', '205.248.134.255', 3455616512, 3455616767, 'CA', 'Canada'),
(140315, '205.248.135.0', '205.248.136.255', 3455616768, 3455617279, 'US', 'United States'),
(140316, '205.248.137.0', '205.248.143.255', 3455617280, 3455619071, 'GB', 'United Kingdom'),
(140317, '205.248.144.0', '205.248.144.191', 3455619072, 3455619263, 'US', 'United States'),
(140318, '205.248.144.192', '205.248.144.255', 3455619264, 3455619327, 'AR', 'Argentina'),
(140319, '205.248.145.0', '205.248.146.255', 3455619328, 3455619839, 'US', 'United States'),
(140320, '205.248.147.0', '205.248.147.255', 3455619840, 3455620095, 'GB', 'United Kingdom'),
(140321, '205.248.148.0', '205.248.148.191', 3455620096, 3455620287, 'US', 'United States'),
(140322, '205.248.148.192', '205.248.148.255', 3455620288, 3455620351, 'VE', 'Venezuela'),
(140323, '205.248.149.0', '205.248.153.255', 3455620352, 3455621631, 'US', 'United States'),
(140324, '205.248.154.0', '205.248.155.255', 3455621632, 3455622143, 'GB', 'United Kingdom'),
(140325, '205.248.156.0', '205.248.163.255', 3455622144, 3455624191, 'US', 'United States'),
(140326, '205.248.164.0', '205.248.164.255', 3455624192, 3455624447, 'FR', 'France'),
(140327, '205.248.165.0', '205.248.176.255', 3455624448, 3455627519, 'US', 'United States'),
(140328, '205.248.177.0', '205.248.179.255', 3455627520, 3455628287, 'DK', 'Denmark'),
(140329, '205.248.180.0', '205.248.180.255', 3455628288, 3455628543, 'BE', 'Belgium'),
(140330, '205.248.181.0', '205.248.181.255', 3455628544, 3455628799, 'CA', 'Canada'),
(140331, '205.248.182.0', '205.248.189.255', 3455628800, 3455630847, 'GB', 'United Kingdom'),
(140332, '205.248.190.0', '205.248.190.255', 3455630848, 3455631103, 'US', 'United States'),
(140333, '205.248.191.0', '205.248.191.255', 3455631104, 3455631359, 'GB', 'United Kingdom'),
(140334, '205.248.192.0', '205.248.196.255', 3455631360, 3455632639, 'ES', 'Spain'),
(140335, '205.248.197.0', '205.248.197.255', 3455632640, 3455632895, 'US', 'United States'),
(140336, '205.248.198.0', '205.248.199.255', 3455632896, 3455633407, 'GB', 'United Kingdom'),
(140337, '205.248.200.0', '205.248.203.255', 3455633408, 3455634431, 'US', 'United States'),
(140338, '205.248.204.0', '205.248.207.255', 3455634432, 3455635455, 'DE', 'Germany'),
(140339, '205.248.208.0', '205.248.208.255', 3455635456, 3455635711, 'US', 'United States'),
(140340, '205.248.209.0', '205.248.209.255', 3455635712, 3455635967, 'FR', 'France'),
(140341, '205.248.210.0', '205.248.210.255', 3455635968, 3455636223, 'DE', 'Germany'),
(140342, '205.248.211.0', '205.248.211.255', 3455636224, 3455636479, 'CA', 'Canada'),
(140343, '205.248.212.0', '205.248.216.255', 3455636480, 3455637759, 'US', 'United States'),
(140344, '205.248.217.0', '205.248.218.255', 3455637760, 3455638271, 'GB', 'United Kingdom'),
(140345, '205.248.219.0', '205.248.219.255', 3455638272, 3455638527, 'BE', 'Belgium'),
(140346, '205.248.220.0', '205.248.223.255', 3455638528, 3455639551, 'US', 'United States'),
(140347, '205.248.224.0', '205.248.224.255', 3455639552, 3455639807, 'IT', 'Italy'),
(140348, '205.248.225.0', '205.248.225.255', 3455639808, 3455640063, 'US', 'United States'),
(140349, '205.248.226.0', '205.248.226.255', 3455640064, 3455640319, 'CA', 'Canada'),
(140350, '205.248.227.0', '205.248.227.255', 3455640320, 3455640575, 'GB', 'United Kingdom'),
(140351, '205.248.228.0', '205.248.228.255', 3455640576, 3455640831, 'US', 'United States'),
(140352, '205.248.229.0', '205.248.229.255', 3455640832, 3455641087, 'GB', 'United Kingdom'),
(140353, '205.248.230.0', '205.248.230.255', 3455641088, 3455641343, 'NL', 'Netherlands'),
(140354, '205.248.231.0', '205.248.231.255', 3455641344, 3455641599, 'GB', 'United Kingdom'),
(140355, '205.248.232.0', '205.248.236.255', 3455641600, 3455642879, 'US', 'United States'),
(140356, '205.248.237.0', '205.248.237.255', 3455642880, 3455643135, 'FR', 'France'),
(140357, '205.248.238.0', '205.248.241.255', 3455643136, 3455644159, 'US', 'United States'),
(140358, '205.248.242.0', '205.248.242.255', 3455644160, 3455644415, 'HK', 'Hong Kong'),
(140359, '205.248.243.0', '205.248.244.255', 3455644416, 3455644927, 'US', 'United States'),
(140360, '205.248.245.0', '205.248.246.255', 3455644928, 3455645439, 'GB', 'United Kingdom'),
(140361, '205.248.247.0', '205.248.247.255', 3455645440, 3455645695, 'JP', 'Japan'),
(140362, '205.248.248.0', '205.248.248.255', 3455645696, 3455645951, 'BE', 'Belgium'),
(140363, '205.248.249.0', '205.248.251.255', 3455645952, 3455646719, 'FR', 'France'),
(140364, '205.248.252.0', '205.248.252.255', 3455646720, 3455646975, 'SE', 'Sweden'),
(140365, '205.248.253.0', '205.248.253.255', 3455646976, 3455647231, 'GB', 'United Kingdom'),
(140366, '205.248.254.0', '205.248.254.255', 3455647232, 3455647487, 'HK', 'Hong Kong'),
(140367, '205.248.255.0', '205.248.255.255', 3455647488, 3455647743, 'IT', 'Italy'),
(140368, '205.249.0.0', '205.249.255.255', 3455647744, 3455713279, 'US', 'United States'),
(140369, '205.250.0.0', '205.250.255.255', 3455713280, 3455778815, 'CA', 'Canada'),
(140370, '205.251.0.0', '205.251.72.127', 3455778816, 3455797375, 'US', 'United States'),
(140371, '205.251.72.128', '205.251.72.159', 3455797376, 3455797407, 'FR', 'France'),
(140372, '205.251.72.160', '205.252.79.255', 3455797408, 3455864831, 'US', 'United States'),
(140373, '205.252.80.0', '205.252.87.255', 3455864832, 3455866879, 'TW', 'Taiwan'),
(140374, '205.252.88.0', '205.252.107.255', 3455866880, 3455871999, 'US', 'United States'),
(140375, '205.252.108.0', '205.252.108.255', 3455872000, 3455872255, 'ZM', 'Zambia'),
(140376, '205.252.109.0', '205.252.111.255', 3455872256, 3455873023, 'GB', 'United Kingdom'),
(140377, '205.252.112.0', '205.252.167.255', 3455873024, 3455887359, 'US', 'United States'),
(140378, '205.252.168.0', '205.252.175.255', 3455887360, 3455889407, 'MY', 'Malaysia'),
(140379, '205.252.176.0', '206.2.255.255', 3455889408, 3456303103, 'US', 'United States'),
(140380, '206.3.0.0', '206.3.31.255', 3456303104, 3456311295, 'JP', 'Japan'),
(140381, '206.3.32.0', '206.11.255.255', 3456311296, 3456892927, 'US', 'United States'),
(140382, '206.12.0.0', '206.12.255.255', 3456892928, 3456958463, 'CA', 'Canada'),
(140383, '206.13.0.0', '206.17.100.159', 3456958464, 3457246367, 'US', 'United States'),
(140384, '206.17.100.160', '206.17.100.175', 3457246368, 3457246383, 'SE', 'Sweden'),
(140385, '206.17.100.176', '206.18.101.191', 3457246384, 3457312191, 'US', 'United States'),
(140386, '206.18.101.192', '206.18.101.255', 3457312192, 3457312255, 'IE', 'Ireland'),
(140387, '206.18.102.0', '206.22.13.255', 3457312256, 3457551871, 'US', 'United States'),
(140388, '206.22.14.0', '206.22.14.255', 3457551872, 3457552127, 'CA', 'Canada'),
(140389, '206.22.15.0', '206.22.18.255', 3457552128, 3457553151, 'US', 'United States'),
(140390, '206.22.19.0', '206.22.20.255', 3457553152, 3457553663, 'CA', 'Canada'),
(140391, '206.22.21.0', '206.22.22.255', 3457553664, 3457554175, 'US', 'United States'),
(140392, '206.22.23.0', '206.22.23.255', 3457554176, 3457554431, 'CA', 'Canada'),
(140393, '206.22.24.0', '206.22.28.255', 3457554432, 3457555711, 'US', 'United States'),
(140394, '206.22.29.0', '206.22.29.255', 3457555712, 3457555967, 'CA', 'Canada'),
(140395, '206.22.30.0', '206.22.64.255', 3457555968, 3457564927, 'US', 'United States'),
(140396, '206.22.65.0', '206.22.65.255', 3457564928, 3457565183, 'CA', 'Canada'),
(140397, '206.22.66.0', '206.22.104.255', 3457565184, 3457575167, 'US', 'United States'),
(140398, '206.22.105.0', '206.22.105.255', 3457575168, 3457575423, 'CA', 'Canada'),
(140399, '206.22.106.0', '206.22.114.255', 3457575424, 3457577727, 'US', 'United States'),
(140400, '206.22.115.0', '206.22.116.255', 3457577728, 3457578239, 'CA', 'Canada'),
(140401, '206.22.117.0', '206.22.125.255', 3457578240, 3457580543, 'US', 'United States'),
(140402, '206.22.126.0', '206.22.126.255', 3457580544, 3457580799, 'CA', 'Canada'),
(140403, '206.22.127.0', '206.22.133.255', 3457580800, 3457582591, 'US', 'United States'),
(140404, '206.22.134.0', '206.22.134.255', 3457582592, 3457582847, 'CA', 'Canada'),
(140405, '206.22.135.0', '206.22.171.255', 3457582848, 3457592319, 'US', 'United States'),
(140406, '206.22.172.0', '206.22.172.255', 3457592320, 3457592575, 'CA', 'Canada'),
(140407, '206.22.173.0', '206.22.183.255', 3457592576, 3457595391, 'US', 'United States'),
(140408, '206.22.184.0', '206.22.185.255', 3457595392, 3457595903, 'CA', 'Canada'),
(140409, '206.22.186.0', '206.22.188.255', 3457595904, 3457596671, 'US', 'United States'),
(140410, '206.22.189.0', '206.22.192.255', 3457596672, 3457597695, 'CA', 'Canada'),
(140411, '206.22.193.0', '206.22.194.255', 3457597696, 3457598207, 'US', 'United States'),
(140412, '206.22.195.0', '206.22.195.255', 3457598208, 3457598463, 'CA', 'Canada'),
(140413, '206.22.196.0', '206.22.203.255', 3457598464, 3457600511, 'US', 'United States'),
(140414, '206.22.204.0', '206.22.204.255', 3457600512, 3457600767, 'CA', 'Canada'),
(140415, '206.22.205.0', '206.24.17.255', 3457600768, 3457683967, 'US', 'United States'),
(140416, '206.24.18.0', '206.24.21.255', 3457683968, 3457684991, 'CA', 'Canada'),
(140417, '206.24.22.0', '206.24.172.143', 3457684992, 3457723535, 'US', 'United States'),
(140418, '206.24.172.144', '206.24.172.159', 3457723536, 3457723551, 'GB', 'United Kingdom'),
(140419, '206.24.172.160', '206.26.192.255', 3457723552, 3457859839, 'US', 'United States'),
(140420, '206.26.193.0', '206.26.193.255', 3457859840, 3457860095, 'CA', 'Canada'),
(140421, '206.26.194.0', '206.26.204.191', 3457860096, 3457862847, 'US', 'United States'),
(140422, '206.26.204.192', '206.26.204.255', 3457862848, 3457862911, 'CA', 'Canada'),
(140423, '206.26.205.0', '206.27.63.255', 3457862912, 3457892351, 'US', 'United States'),
(140424, '206.27.64.0', '206.27.65.15', 3457892352, 3457892623, 'IN', 'India'),
(140425, '206.27.65.16', '206.30.48.63', 3457892624, 3458084927, 'US', 'United States'),
(140426, '206.30.48.64', '206.30.48.71', 3458084928, 3458084935, 'CA', 'Canada'),
(140427, '206.30.48.72', '206.31.13.191', 3458084936, 3458141631, 'US', 'United States'),
(140428, '206.31.13.192', '206.31.13.215', 3458141632, 3458141655, 'GB', 'United Kingdom'),
(140429, '206.31.13.216', '206.31.22.119', 3458141656, 3458143863, 'US', 'United States'),
(140430, '206.31.22.120', '206.31.22.127', 3458143864, 3458143871, 'AE', 'United Arab Emirates'),
(140431, '206.31.22.128', '206.31.22.175', 3458143872, 3458143919, 'US', 'United States'),
(140432, '206.31.22.176', '206.31.22.191', 3458143920, 3458143935, 'AE', 'United Arab Emirates'),
(140433, '206.31.22.192', '206.31.22.255', 3458143936, 3458143999, 'US', 'United States'),
(140434, '206.31.23.0', '206.31.23.15', 3458144000, 3458144015, 'DE', 'Germany'),
(140435, '206.31.23.16', '206.31.23.31', 3458144016, 3458144031, 'US', 'United States'),
(140436, '206.31.23.32', '206.31.23.47', 3458144032, 3458144047, 'DE', 'Germany'),
(140437, '206.31.23.48', '206.31.23.111', 3458144048, 3458144111, 'US', 'United States'),
(140438, '206.31.23.112', '206.31.23.119', 3458144112, 3458144119, 'CA', 'Canada'),
(140439, '206.31.23.120', '206.31.24.159', 3458144120, 3458144415, 'US', 'United States'),
(140440, '206.31.24.160', '206.31.24.167', 3458144416, 3458144423, 'DE', 'Germany'),
(140441, '206.31.24.168', '206.31.29.191', 3458144424, 3458145727, 'US', 'United States'),
(140442, '206.31.29.192', '206.31.29.199', 3458145728, 3458145735, 'DE', 'Germany'),
(140443, '206.31.29.200', '206.31.29.207', 3458145736, 3458145743, 'US', 'United States'),
(140444, '206.31.29.208', '206.31.29.223', 3458145744, 3458145759, 'DE', 'Germany'),
(140445, '206.31.29.224', '206.31.223.255', 3458145760, 3458195455, 'US', 'United States'),
(140446, '206.31.224.0', '206.31.227.255', 3458195456, 3458196479, 'SG', 'Singapore'),
(140447, '206.31.228.0', '206.40.147.63', 3458196480, 3458765631, 'US', 'United States'),
(140448, '206.40.147.64', '206.40.147.127', 3458765632, 3458765695, 'CA', 'Canada'),
(140449, '206.40.147.128', '206.41.71.255', 3458765696, 3458811903, 'US', 'United States'),
(140450, '206.41.80.0', '206.41.95.255', 3458813952, 3458818047, 'CA', 'Canada'),
(140451, '206.41.96.0', '206.41.103.255', 3458818048, 3458820095, 'US', 'United States'),
(140452, '206.41.112.0', '206.41.117.135', 3458822144, 3458823559, 'US', 'United States'),
(140453, '206.41.117.136', '206.41.117.151', 3458823560, 3458823575, 'LB', 'Lebanon'),
(140454, '206.41.117.152', '206.41.117.159', 3458823576, 3458823583, 'US', 'United States'),
(140455, '206.41.117.160', '206.41.117.167', 3458823584, 3458823591, 'MY', 'Malaysia'),
(140456, '206.41.117.168', '206.41.118.21', 3458823592, 3458823701, 'US', 'United States'),
(140457, '206.41.118.22', '206.41.118.37', 3458823702, 3458823717, 'GB', 'United Kingdom'),
(140458, '206.41.118.38', '206.41.118.45', 3458823718, 3458823725, 'US', 'United States'),
(140459, '206.41.118.46', '206.41.118.53', 3458823726, 3458823733, 'GR', 'Greece'),
(140460, '206.41.118.54', '206.41.118.85', 3458823734, 3458823765, 'US', 'United States'),
(140461, '206.41.118.86', '206.41.118.101', 3458823766, 3458823781, 'RU', 'Russian Federation'),
(140462, '206.41.118.102', '206.41.118.109', 3458823782, 3458823789, 'US', 'United States'),
(140463, '206.41.118.110', '206.41.118.133', 3458823790, 3458823813, 'IL', 'Israel'),
(140464, '206.41.118.134', '206.41.118.166', 3458823814, 3458823846, 'US', 'United States'),
(140465, '206.41.118.167', '206.41.118.182', 3458823847, 3458823862, 'GB', 'United Kingdom'),
(140466, '206.41.118.183', '206.41.118.223', 3458823863, 3458823903, 'US', 'United States'),
(140467, '206.41.118.224', '206.41.118.239', 3458823904, 3458823919, 'JP', 'Japan'),
(140468, '206.41.118.240', '206.41.118.255', 3458823920, 3458823935, 'US', 'United States'),
(140469, '206.41.119.0', '206.41.119.31', 3458823936, 3458823967, 'CA', 'Canada'),
(140470, '206.41.119.32', '206.41.119.47', 3458823968, 3458823983, 'JP', 'Japan'),
(140471, '206.41.119.48', '206.41.119.151', 3458823984, 3458824087, 'US', 'United States'),
(140472, '206.41.119.152', '206.41.119.175', 3458824088, 3458824111, 'GB', 'United Kingdom'),
(140473, '206.41.119.176', '206.41.119.223', 3458824112, 3458824159, 'US', 'United States'),
(140474, '206.41.119.224', '206.41.119.247', 3458824160, 3458824183, 'ID', 'Indonesia'),
(140475, '206.41.119.248', '206.41.119.255', 3458824184, 3458824191, 'GB', 'United Kingdom'),
(140476, '206.41.120.0', '206.44.255.255', 3458824192, 3459055615, 'US', 'United States'),
(140477, '206.45.0.0', '206.45.255.255', 3459055616, 3459121151, 'CA', 'Canada'),
(140478, '206.46.0.0', '206.46.255.255', 3459121152, 3459186687, 'US', 'United States'),
(140479, '206.47.0.0', '206.47.255.255', 3459186688, 3459252223, 'CA', 'Canada'),
(140480, '206.48.0.0', '206.48.3.255', 3459252224, 3459253247, 'BS', 'Bahamas'),
(140481, '206.48.4.0', '206.48.17.255', 3459253248, 3459256831, 'US', 'United States'),
(140482, '206.48.18.0', '206.48.18.255', 3459256832, 3459257087, 'CO', 'Colombia'),
(140483, '206.48.19.0', '206.48.19.255', 3459257088, 3459257343, 'US', 'United States'),
(140484, '206.48.20.0', '206.48.23.255', 3459257344, 3459258367, 'AW', 'Aruba'),
(140485, '206.48.24.0', '206.48.27.255', 3459258368, 3459259391, 'CL', 'Chile'),
(140486, '206.48.28.0', '206.48.48.255', 3459259392, 3459264767, 'US', 'United States'),
(140487, '206.48.49.0', '206.48.49.255', 3459264768, 3459265023, 'VE', 'Venezuela'),
(140488, '206.48.50.0', '206.48.55.255', 3459265024, 3459266559, 'US', 'United States'),
(140489, '206.48.56.0', '206.48.56.63', 3459266560, 3459266623, 'AG', 'Antigua and Barbuda'),
(140490, '206.48.56.64', '206.48.56.95', 3459266624, 3459266655, 'KN', 'Saint Kitts and Nevis'),
(140491, '206.48.56.96', '206.48.58.255', 3459266656, 3459267327, 'AG', 'Antigua and Barbuda'),
(140492, '206.48.59.0', '206.48.59.255', 3459267328, 3459267583, 'AI', 'Anguilla'),
(140493, '206.48.60.0', '206.48.60.255', 3459267584, 3459267839, 'AG', 'Antigua and Barbuda'),
(140494, '206.48.61.0', '206.48.61.255', 3459267840, 3459268095, 'DM', 'Dominica'),
(140495, '206.48.62.0', '206.48.63.255', 3459268096, 3459268607, 'AG', 'Antigua and Barbuda'),
(140496, '206.48.64.0', '206.48.83.255', 3459268608, 3459273727, 'US', 'United States'),
(140497, '206.48.84.0', '206.48.87.255', 3459273728, 3459274751, 'CL', 'Chile'),
(140498, '206.48.88.0', '206.48.99.255', 3459274752, 3459277823, 'US', 'United States'),
(140499, '206.48.100.0', '206.48.103.255', 3459277824, 3459278847, 'AW', 'Aruba'),
(140500, '206.48.104.0', '206.48.128.255', 3459278848, 3459285247, 'US', 'United States'),
(140501, '206.48.129.0', '206.48.129.63', 3459285248, 3459285311, 'CL', 'Chile'),
(140502, '206.48.129.64', '206.48.129.127', 3459285312, 3459285375, 'US', 'United States'),
(140503, '206.48.129.128', '206.48.132.255', 3459285376, 3459286271, 'CL', 'Chile'),
(140504, '206.48.133.0', '206.48.138.255', 3459286272, 3459287807, 'US', 'United States'),
(140505, '206.48.139.0', '206.48.139.255', 3459287808, 3459288063, 'CL', 'Chile'),
(140506, '206.48.140.0', '206.48.147.255', 3459288064, 3459290111, 'US', 'United States'),
(140507, '206.48.148.0', '206.48.149.255', 3459290112, 3459290623, 'CL', 'Chile'),
(140508, '206.48.150.0', '206.48.167.255', 3459290624, 3459295231, 'US', 'United States'),
(140509, '206.48.168.0', '206.48.171.255', 3459295232, 3459296255, 'KR', 'Korea, Republic of'),
(140510, '206.48.172.0', '206.48.227.255', 3459296256, 3459310591, 'US', 'United States'),
(140511, '206.48.228.0', '206.48.228.255', 3459310592, 3459310847, 'KY', 'Cayman Islands'),
(140512, '206.48.229.0', '206.48.235.255', 3459310848, 3459312639, 'US', 'United States'),
(140513, '206.48.236.0', '206.48.236.47', 3459312640, 3459312687, 'MX', 'Mexico'),
(140514, '206.48.236.48', '206.48.236.127', 3459312688, 3459312767, 'US', 'United States'),
(140515, '206.48.236.128', '206.48.236.255', 3459312768, 3459312895, 'MX', 'Mexico'),
(140516, '206.48.237.0', '206.49.31.255', 3459312896, 3459325951, 'US', 'United States'),
(140517, '206.49.32.0', '206.49.32.255', 3459325952, 3459326207, 'VE', 'Venezuela'),
(140518, '206.49.33.0', '206.49.33.255', 3459326208, 3459326463, 'SZ', 'Swaziland'),
(140519, '206.49.34.0', '206.49.37.255', 3459326464, 3459327487, 'CA', 'Canada'),
(140520, '206.49.38.0', '206.49.39.255', 3459327488, 3459327999, 'CO', 'Colombia'),
(140521, '206.49.40.0', '206.49.43.255', 3459328000, 3459329023, 'CL', 'Chile'),
(140522, '206.49.44.0', '206.49.47.255', 3459329024, 3459330047, 'VE', 'Venezuela'),
(140523, '206.49.48.0', '206.49.49.255', 3459330048, 3459330559, 'CL', 'Chile'),
(140524, '206.49.50.0', '206.49.51.255', 3459330560, 3459331071, 'US', 'United States'),
(140525, '206.49.52.0', '206.49.53.255', 3459331072, 3459331583, 'MX', 'Mexico'),
(140526, '206.49.54.0', '206.49.57.255', 3459331584, 3459332607, 'PA', 'Panama'),
(140527, '206.49.58.0', '206.49.59.255', 3459332608, 3459333119, 'US', 'United States'),
(140528, '206.49.60.0', '206.49.61.255', 3459333120, 3459333631, 'PW', 'Palau'),
(140529, '206.49.62.0', '206.49.62.255', 3459333632, 3459333887, 'MR', 'Mauritania'),
(140530, '206.49.63.0', '206.49.64.255', 3459333888, 3459334399, 'US', 'United States'),
(140531, '206.49.65.0', '206.49.65.255', 3459334400, 3459334655, 'CA', 'Canada'),
(140532, '206.49.66.0', '206.49.68.255', 3459334656, 3459335423, 'US', 'United States'),
(140533, '206.49.69.0', '206.49.69.255', 3459335424, 3459335679, 'VE', 'Venezuela');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(140534, '206.49.70.0', '206.49.70.255', 3459335680, 3459335935, 'DO', 'Dominican Republic'),
(140535, '206.49.71.0', '206.49.71.255', 3459335936, 3459336191, 'VE', 'Venezuela'),
(140536, '206.49.72.0', '206.49.72.255', 3459336192, 3459336447, 'MX', 'Mexico'),
(140537, '206.49.73.0', '206.49.73.255', 3459336448, 3459336703, 'US', 'United States'),
(140538, '206.49.74.0', '206.49.74.255', 3459336704, 3459336959, 'LK', 'Sri Lanka'),
(140539, '206.49.75.0', '206.49.75.255', 3459336960, 3459337215, 'AW', 'Aruba'),
(140540, '206.49.76.0', '206.49.76.255', 3459337216, 3459337471, 'CO', 'Colombia'),
(140541, '206.49.77.0', '206.49.77.255', 3459337472, 3459337727, 'VE', 'Venezuela'),
(140542, '206.49.78.0', '206.49.78.255', 3459337728, 3459337983, 'MX', 'Mexico'),
(140543, '206.49.79.0', '206.49.79.255', 3459337984, 3459338239, 'US', 'United States'),
(140544, '206.49.80.0', '206.49.80.255', 3459338240, 3459338495, 'SV', 'El Salvador'),
(140545, '206.49.81.0', '206.49.83.255', 3459338496, 3459339263, 'PH', 'Philippines'),
(140546, '206.49.84.0', '206.49.84.255', 3459339264, 3459339519, 'ID', 'Indonesia'),
(140547, '206.49.85.0', '206.49.85.255', 3459339520, 3459339775, 'US', 'United States'),
(140548, '206.49.86.0', '206.49.86.255', 3459339776, 3459340031, 'ID', 'Indonesia'),
(140549, '206.49.87.0', '206.49.87.255', 3459340032, 3459340287, 'VE', 'Venezuela'),
(140550, '206.49.88.0', '206.49.88.255', 3459340288, 3459340543, 'MX', 'Mexico'),
(140551, '206.49.89.0', '206.49.89.255', 3459340544, 3459340799, 'FM', 'Micronesia, Federated States of'),
(140552, '206.49.90.0', '206.49.90.255', 3459340800, 3459341055, 'SK', 'Slovakia'),
(140553, '206.49.91.0', '206.49.91.255', 3459341056, 3459341311, 'MX', 'Mexico'),
(140554, '206.49.92.0', '206.49.92.255', 3459341312, 3459341567, 'TW', 'Taiwan'),
(140555, '206.49.93.0', '206.49.93.255', 3459341568, 3459341823, 'US', 'United States'),
(140556, '206.49.94.0', '206.49.94.255', 3459341824, 3459342079, 'IL', 'Israel'),
(140557, '206.49.95.0', '206.49.95.255', 3459342080, 3459342335, 'LK', 'Sri Lanka'),
(140558, '206.49.96.0', '206.49.96.255', 3459342336, 3459342591, 'VE', 'Venezuela'),
(140559, '206.49.97.0', '206.49.97.255', 3459342592, 3459342847, 'BY', 'Belarus'),
(140560, '206.49.98.0', '206.49.98.255', 3459342848, 3459343103, 'VE', 'Venezuela'),
(140561, '206.49.99.0', '206.49.99.255', 3459343104, 3459343359, 'BR', 'Brazil'),
(140562, '206.49.100.0', '206.49.100.79', 3459343360, 3459343439, 'CA', 'Canada'),
(140563, '206.49.100.80', '206.49.100.95', 3459343440, 3459343455, 'US', 'United States'),
(140564, '206.49.100.96', '206.49.100.231', 3459343456, 3459343591, 'CA', 'Canada'),
(140565, '206.49.100.232', '206.49.100.239', 3459343592, 3459343599, 'US', 'United States'),
(140566, '206.49.100.240', '206.49.100.255', 3459343600, 3459343615, 'CA', 'Canada'),
(140567, '206.49.101.0', '206.49.102.255', 3459343616, 3459344127, 'OM', 'Oman'),
(140568, '206.49.103.0', '206.49.108.255', 3459344128, 3459345663, 'US', 'United States'),
(140569, '206.49.109.0', '206.49.109.255', 3459345664, 3459345919, 'OM', 'Oman'),
(140570, '206.49.110.0', '206.49.111.255', 3459345920, 3459346431, 'US', 'United States'),
(140571, '206.49.112.0', '206.49.112.255', 3459346432, 3459346687, 'LK', 'Sri Lanka'),
(140572, '206.49.113.0', '206.49.113.255', 3459346688, 3459346943, 'US', 'United States'),
(140573, '206.49.114.0', '206.49.118.255', 3459346944, 3459348223, 'PR', 'Puerto Rico'),
(140574, '206.49.119.0', '206.49.119.255', 3459348224, 3459348479, 'AG', 'Antigua and Barbuda'),
(140575, '206.49.120.0', '206.49.120.255', 3459348480, 3459348735, 'CO', 'Colombia'),
(140576, '206.49.121.0', '206.49.121.255', 3459348736, 3459348991, 'BW', 'Botswana'),
(140577, '206.49.122.0', '206.49.123.255', 3459348992, 3459349503, 'IT', 'Italy'),
(140578, '206.49.124.0', '206.49.127.255', 3459349504, 3459350527, 'US', 'United States'),
(140579, '206.49.128.0', '206.49.135.255', 3459350528, 3459352575, 'VE', 'Venezuela'),
(140580, '206.49.136.0', '206.49.136.255', 3459352576, 3459352831, 'US', 'United States'),
(140581, '206.49.137.0', '206.49.137.255', 3459352832, 3459353087, 'FM', 'Micronesia, Federated States of'),
(140582, '206.49.138.0', '206.49.138.255', 3459353088, 3459353343, 'US', 'United States'),
(140583, '206.49.139.0', '206.49.143.255', 3459353344, 3459354623, 'CO', 'Colombia'),
(140584, '206.49.144.0', '206.49.153.255', 3459354624, 3459357183, 'NI', 'Nicaragua'),
(140585, '206.49.154.0', '206.49.154.255', 3459357184, 3459357439, 'VE', 'Venezuela'),
(140586, '206.49.155.0', '206.49.155.255', 3459357440, 3459357695, 'HT', 'Haiti'),
(140587, '206.49.156.0', '206.49.156.255', 3459357696, 3459357951, 'SV', 'El Salvador'),
(140588, '206.49.157.0', '206.49.157.255', 3459357952, 3459358207, 'TG', 'Togo'),
(140589, '206.49.158.0', '206.49.159.255', 3459358208, 3459358719, 'PR', 'Puerto Rico'),
(140590, '206.49.160.0', '206.49.160.255', 3459358720, 3459358975, 'VE', 'Venezuela'),
(140591, '206.49.161.0', '206.49.164.255', 3459358976, 3459359999, 'US', 'United States'),
(140592, '206.49.165.0', '206.49.166.255', 3459360000, 3459360511, 'VE', 'Venezuela'),
(140593, '206.49.167.0', '206.49.175.255', 3459360512, 3459362815, 'US', 'United States'),
(140594, '206.49.176.0', '206.49.183.255', 3459362816, 3459364863, 'CO', 'Colombia'),
(140595, '206.49.184.0', '206.49.191.255', 3459364864, 3459366911, 'AR', 'Argentina'),
(140596, '206.49.192.0', '206.49.192.255', 3459366912, 3459367167, 'VE', 'Venezuela'),
(140597, '206.49.193.0', '206.49.193.255', 3459367168, 3459367423, 'US', 'United States'),
(140598, '206.49.194.0', '206.49.194.31', 3459367424, 3459367455, 'VE', 'Venezuela'),
(140599, '206.49.194.32', '206.49.194.111', 3459367456, 3459367535, 'VN', 'Vietnam'),
(140600, '206.49.194.112', '206.49.194.127', 3459367536, 3459367551, 'VE', 'Venezuela'),
(140601, '206.49.194.128', '206.49.194.223', 3459367552, 3459367647, 'VN', 'Vietnam'),
(140602, '206.49.194.224', '206.49.195.255', 3459367648, 3459367935, 'VE', 'Venezuela'),
(140603, '206.49.196.0', '206.49.196.63', 3459367936, 3459367999, 'VN', 'Vietnam'),
(140604, '206.49.196.64', '206.49.196.127', 3459368000, 3459368063, 'VE', 'Venezuela'),
(140605, '206.49.196.128', '206.49.196.159', 3459368064, 3459368095, 'VN', 'Vietnam'),
(140606, '206.49.196.160', '206.49.198.255', 3459368096, 3459368703, 'VE', 'Venezuela'),
(140607, '206.49.199.0', '206.49.199.255', 3459368704, 3459368959, 'US', 'United States'),
(140608, '206.49.200.0', '206.49.207.255', 3459368960, 3459371007, 'MX', 'Mexico'),
(140609, '206.49.208.0', '206.49.215.255', 3459371008, 3459373055, 'PE', 'Peru'),
(140610, '206.49.216.0', '206.49.216.255', 3459373056, 3459373311, 'US', 'United States'),
(140611, '206.49.217.0', '206.49.223.255', 3459373312, 3459375103, 'CL', 'Chile'),
(140612, '206.49.224.0', '206.49.227.255', 3459375104, 3459376127, 'VE', 'Venezuela'),
(140613, '206.49.228.0', '206.50.255.255', 3459376128, 3459448831, 'US', 'United States'),
(140614, '206.51.0.0', '206.51.0.255', 3459448832, 3459449087, 'PR', 'Puerto Rico'),
(140615, '206.51.1.0', '206.51.6.255', 3459449088, 3459450623, 'CA', 'Canada'),
(140616, '206.51.7.0', '206.51.7.255', 3459450624, 3459450879, 'US', 'United States'),
(140617, '206.51.8.0', '206.51.25.255', 3459450880, 3459455487, 'CA', 'Canada'),
(140618, '206.51.26.0', '206.51.26.255', 3459455488, 3459455743, 'US', 'United States'),
(140619, '206.51.27.0', '206.51.29.255', 3459455744, 3459456511, 'CA', 'Canada'),
(140620, '206.51.30.0', '206.51.30.255', 3459456512, 3459456767, 'US', 'United States'),
(140621, '206.51.31.0', '206.51.32.255', 3459456768, 3459457279, 'CA', 'Canada'),
(140622, '206.51.33.0', '206.51.33.255', 3459457280, 3459457535, 'US', 'United States'),
(140623, '206.51.34.0', '206.51.34.255', 3459457536, 3459457791, 'CA', 'Canada'),
(140624, '206.51.35.0', '206.51.35.255', 3459457792, 3459458047, 'PR', 'Puerto Rico'),
(140625, '206.51.36.0', '206.51.247.255', 3459458048, 3459512319, 'US', 'United States'),
(140626, '206.51.248.0', '206.51.253.255', 3459512320, 3459513855, 'CA', 'Canada'),
(140627, '206.51.254.0', '206.53.47.255', 3459513856, 3459592191, 'US', 'United States'),
(140628, '206.53.48.0', '206.53.63.255', 3459592192, 3459596287, 'CA', 'Canada'),
(140629, '206.53.64.0', '206.53.135.255', 3459596288, 3459614719, 'US', 'United States'),
(140630, '206.53.144.0', '206.53.147.255', 3459616768, 3459617791, 'US', 'United States'),
(140631, '206.53.148.0', '206.53.148.207', 3459617792, 3459617999, 'AP', 'Asia/Pacific Region'),
(140632, '206.53.148.208', '206.53.148.208', 3459618000, 3459618000, 'ID', 'Indonesia'),
(140633, '206.53.148.209', '206.53.148.255', 3459618001, 3459618047, 'AP', 'Asia/Pacific Region'),
(140634, '206.53.149.0', '206.53.151.255', 3459618048, 3459618815, 'US', 'United States'),
(140635, '206.53.152.0', '206.53.152.255', 3459618816, 3459619071, 'AP', 'Asia/Pacific Region'),
(140636, '206.53.153.0', '206.53.167.255', 3459619072, 3459622911, 'US', 'United States'),
(140637, '206.53.176.0', '206.53.191.255', 3459624960, 3459629055, 'BM', 'Bermuda'),
(140638, '206.53.192.0', '206.55.79.255', 3459629056, 3459731455, 'US', 'United States'),
(140639, '206.55.80.0', '206.55.95.255', 3459731456, 3459735551, 'CA', 'Canada'),
(140640, '206.55.96.0', '206.55.134.255', 3459735552, 3459745535, 'US', 'United States'),
(140641, '206.55.135.0', '206.55.135.255', 3459745536, 3459745791, 'IT', 'Italy'),
(140642, '206.55.136.0', '206.57.26.255', 3459745792, 3459848959, 'US', 'United States'),
(140643, '206.57.27.0', '206.57.27.255', 3459848960, 3459849215, 'FR', 'France'),
(140644, '206.57.28.0', '206.57.32.191', 3459849216, 3459850431, 'US', 'United States'),
(140645, '206.57.32.192', '206.57.32.255', 3459850432, 3459850495, 'CA', 'Canada'),
(140646, '206.57.33.0', '206.57.42.191', 3459850496, 3459852991, 'US', 'United States'),
(140647, '206.57.42.192', '206.57.42.207', 3459852992, 3459853007, 'CA', 'Canada'),
(140648, '206.57.42.208', '206.57.124.15', 3459853008, 3459873807, 'US', 'United States'),
(140649, '206.57.124.16', '206.57.124.31', 3459873808, 3459873823, 'IT', 'Italy'),
(140650, '206.57.124.32', '206.61.1.255', 3459873824, 3460104703, 'US', 'United States'),
(140651, '206.61.2.0', '206.61.3.255', 3460104704, 3460105215, 'MX', 'Mexico'),
(140652, '206.61.4.0', '206.61.18.95', 3460105216, 3460108895, 'US', 'United States'),
(140653, '206.61.18.96', '206.61.18.103', 3460108896, 3460108903, 'FI', 'Finland'),
(140654, '206.61.18.104', '206.61.29.255', 3460108904, 3460111871, 'US', 'United States'),
(140655, '206.61.30.0', '206.61.30.15', 3460111872, 3460111887, 'CA', 'Canada'),
(140656, '206.61.30.16', '206.61.39.255', 3460111888, 3460114431, 'US', 'United States'),
(140657, '206.61.40.0', '206.61.47.255', 3460114432, 3460116479, 'SR', 'Suriname'),
(140658, '206.61.48.0', '206.61.223.255', 3460116480, 3460161535, 'US', 'United States'),
(140659, '206.61.224.0', '206.61.239.255', 3460161536, 3460165631, 'PR', 'Puerto Rico'),
(140660, '206.61.240.0', '206.65.31.255', 3460165632, 3460374527, 'US', 'United States'),
(140661, '206.65.32.0', '206.65.35.255', 3460374528, 3460375551, 'MX', 'Mexico'),
(140662, '206.65.36.0', '206.66.84.255', 3460375552, 3460453631, 'US', 'United States'),
(140663, '206.66.85.0', '206.66.85.255', 3460453632, 3460453887, 'BS', 'Bahamas'),
(140664, '206.66.86.0', '206.67.39.255', 3460453888, 3460507647, 'US', 'United States'),
(140665, '206.67.40.0', '206.67.40.255', 3460507648, 3460507903, 'MX', 'Mexico'),
(140666, '206.67.41.0', '206.72.116.47', 3460507904, 3460854831, 'US', 'United States'),
(140667, '206.72.116.48', '206.72.116.63', 3460854832, 3460854847, 'VE', 'Venezuela'),
(140668, '206.72.116.64', '206.72.116.127', 3460854848, 3460854911, 'US', 'United States'),
(140669, '206.72.116.128', '206.72.116.159', 3460854912, 3460854943, 'GB', 'United Kingdom'),
(140670, '206.72.116.160', '206.72.116.231', 3460854944, 3460855015, 'US', 'United States'),
(140671, '206.72.116.232', '206.72.116.247', 3460855016, 3460855031, 'AU', 'Australia'),
(140672, '206.72.116.248', '206.72.117.155', 3460855032, 3460855195, 'US', 'United States'),
(140673, '206.72.117.156', '206.72.117.159', 3460855196, 3460855199, 'AU', 'Australia'),
(140674, '206.72.117.160', '206.72.117.215', 3460855200, 3460855255, 'US', 'United States'),
(140675, '206.72.117.216', '206.72.117.223', 3460855256, 3460855263, 'VE', 'Venezuela'),
(140676, '206.72.117.224', '206.72.117.231', 3460855264, 3460855271, 'US', 'United States'),
(140677, '206.72.117.232', '206.72.117.239', 3460855272, 3460855279, 'GB', 'United Kingdom'),
(140678, '206.72.117.240', '206.72.117.247', 3460855280, 3460855287, 'CA', 'Canada'),
(140679, '206.72.117.248', '206.72.118.15', 3460855288, 3460855311, 'US', 'United States'),
(140680, '206.72.118.16', '206.72.118.23', 3460855312, 3460855319, 'NL', 'Netherlands'),
(140681, '206.72.118.24', '206.72.118.167', 3460855320, 3460855463, 'US', 'United States'),
(140682, '206.72.118.168', '206.72.118.175', 3460855464, 3460855471, 'SA', 'Saudi Arabia'),
(140683, '206.72.118.176', '206.72.118.239', 3460855472, 3460855535, 'US', 'United States'),
(140684, '206.72.118.240', '206.72.118.247', 3460855536, 3460855543, 'MX', 'Mexico'),
(140685, '206.72.118.248', '206.72.118.255', 3460855544, 3460855551, 'AU', 'Australia'),
(140686, '206.72.119.0', '206.72.119.79', 3460855552, 3460855631, 'US', 'United States'),
(140687, '206.72.119.80', '206.72.119.95', 3460855632, 3460855647, 'CA', 'Canada'),
(140688, '206.72.119.96', '206.72.119.151', 3460855648, 3460855703, 'US', 'United States'),
(140689, '206.72.119.152', '206.72.119.159', 3460855704, 3460855711, 'AU', 'Australia'),
(140690, '206.72.119.160', '206.72.119.191', 3460855712, 3460855743, 'US', 'United States'),
(140691, '206.72.119.192', '206.72.119.223', 3460855744, 3460855775, 'CA', 'Canada'),
(140692, '206.72.119.224', '206.72.119.255', 3460855776, 3460855807, 'US', 'United States'),
(140693, '206.72.120.0', '206.72.120.7', 3460855808, 3460855815, 'GB', 'United Kingdom'),
(140694, '206.72.120.8', '206.72.120.47', 3460855816, 3460855855, 'US', 'United States'),
(140695, '206.72.120.48', '206.72.120.55', 3460855856, 3460855863, 'GB', 'United Kingdom'),
(140696, '206.72.120.56', '206.72.120.63', 3460855864, 3460855871, 'US', 'United States'),
(140697, '206.72.120.64', '206.72.120.71', 3460855872, 3460855879, 'GB', 'United Kingdom'),
(140698, '206.72.120.72', '206.72.120.79', 3460855880, 3460855887, 'GU', 'Guam'),
(140699, '206.72.120.80', '206.72.120.183', 3460855888, 3460855991, 'US', 'United States'),
(140700, '206.72.120.184', '206.72.120.191', 3460855992, 3460855999, 'GB', 'United Kingdom'),
(140701, '206.72.120.192', '206.72.120.199', 3460856000, 3460856007, 'US', 'United States'),
(140702, '206.72.120.200', '206.72.120.207', 3460856008, 3460856015, 'CA', 'Canada'),
(140703, '206.72.120.208', '206.72.121.55', 3460856016, 3460856119, 'US', 'United States'),
(140704, '206.72.121.56', '206.72.121.63', 3460856120, 3460856127, 'GB', 'United Kingdom'),
(140705, '206.72.121.64', '206.72.121.71', 3460856128, 3460856135, 'JP', 'Japan'),
(140706, '206.72.121.72', '206.72.121.127', 3460856136, 3460856191, 'US', 'United States'),
(140707, '206.72.121.128', '206.72.121.135', 3460856192, 3460856199, 'ZA', 'South Africa'),
(140708, '206.72.121.136', '206.72.121.151', 3460856200, 3460856215, 'US', 'United States'),
(140709, '206.72.121.152', '206.72.121.159', 3460856216, 3460856223, 'GB', 'United Kingdom'),
(140710, '206.72.121.160', '206.72.121.223', 3460856224, 3460856287, 'US', 'United States'),
(140711, '206.72.121.224', '206.72.121.231', 3460856288, 3460856295, 'IN', 'India'),
(140712, '206.72.121.232', '206.72.122.31', 3460856296, 3460856351, 'US', 'United States'),
(140713, '206.72.122.32', '206.72.122.35', 3460856352, 3460856355, 'TZ', 'Tanzania, United Republic of'),
(140714, '206.72.122.36', '206.72.122.63', 3460856356, 3460856383, 'US', 'United States'),
(140715, '206.72.122.64', '206.72.122.79', 3460856384, 3460856399, 'GB', 'United Kingdom'),
(140716, '206.72.122.80', '206.72.122.127', 3460856400, 3460856447, 'US', 'United States'),
(140717, '206.72.122.128', '206.72.122.175', 3460856448, 3460856495, 'GB', 'United Kingdom'),
(140718, '206.72.122.176', '206.72.122.239', 3460856496, 3460856559, 'US', 'United States'),
(140719, '206.72.122.240', '206.72.122.255', 3460856560, 3460856575, 'CA', 'Canada'),
(140720, '206.72.123.0', '206.72.123.47', 3460856576, 3460856623, 'US', 'United States'),
(140721, '206.72.123.48', '206.72.123.63', 3460856624, 3460856639, 'NZ', 'New Zealand'),
(140722, '206.72.123.64', '206.72.123.239', 3460856640, 3460856815, 'US', 'United States'),
(140723, '206.72.123.240', '206.72.123.255', 3460856816, 3460856831, 'NZ', 'New Zealand'),
(140724, '206.72.124.0', '206.72.124.223', 3460856832, 3460857055, 'US', 'United States'),
(140725, '206.72.124.224', '206.72.124.255', 3460857056, 3460857087, 'NZ', 'New Zealand'),
(140726, '206.72.125.0', '206.72.125.63', 3460857088, 3460857151, 'US', 'United States'),
(140727, '206.72.125.64', '206.72.125.95', 3460857152, 3460857183, 'CA', 'Canada'),
(140728, '206.72.125.96', '206.72.125.255', 3460857184, 3460857343, 'US', 'United States'),
(140729, '206.72.126.0', '206.72.126.15', 3460857344, 3460857359, 'CA', 'Canada'),
(140730, '206.72.126.16', '206.72.126.23', 3460857360, 3460857367, 'US', 'United States'),
(140731, '206.72.126.24', '206.72.126.31', 3460857368, 3460857375, 'PL', 'Poland'),
(140732, '206.72.126.32', '206.72.126.39', 3460857376, 3460857383, 'GB', 'United Kingdom'),
(140733, '206.72.126.40', '206.72.126.87', 3460857384, 3460857431, 'US', 'United States'),
(140734, '206.72.126.88', '206.72.126.95', 3460857432, 3460857439, 'VE', 'Venezuela'),
(140735, '206.72.126.96', '206.72.126.255', 3460857440, 3460857599, 'US', 'United States'),
(140736, '206.72.127.0', '206.72.127.255', 3460857600, 3460857855, 'AU', 'Australia'),
(140737, '206.72.128.0', '206.72.207.255', 3460857856, 3460878335, 'US', 'United States'),
(140738, '206.72.208.0', '206.72.208.255', 3460878336, 3460878591, 'CA', 'Canada'),
(140739, '206.72.209.0', '206.72.209.255', 3460878592, 3460878847, 'US', 'United States'),
(140740, '206.72.224.0', '206.73.1.255', 3460882432, 3460891135, 'US', 'United States'),
(140741, '206.73.2.0', '206.73.2.63', 3460891136, 3460891199, 'CL', 'Chile'),
(140742, '206.73.2.64', '206.73.5.63', 3460891200, 3460891967, 'US', 'United States'),
(140743, '206.73.5.64', '206.73.5.95', 3460891968, 3460891999, 'BR', 'Brazil'),
(140744, '206.73.5.96', '206.73.5.127', 3460892000, 3460892031, 'CO', 'Colombia'),
(140745, '206.73.5.128', '206.73.5.191', 3460892032, 3460892095, 'VE', 'Venezuela'),
(140746, '206.73.5.192', '206.73.5.223', 3460892096, 3460892127, 'BR', 'Brazil'),
(140747, '206.73.5.224', '206.73.5.255', 3460892128, 3460892159, 'US', 'United States'),
(140748, '206.73.6.0', '206.73.6.63', 3460892160, 3460892223, 'FR', 'France'),
(140749, '206.73.6.64', '206.73.6.111', 3460892224, 3460892271, 'BR', 'Brazil'),
(140750, '206.73.6.112', '206.73.6.127', 3460892272, 3460892287, 'US', 'United States'),
(140751, '206.73.6.128', '206.73.6.255', 3460892288, 3460892415, 'FR', 'France'),
(140752, '206.73.7.0', '206.73.10.255', 3460892416, 3460893439, 'US', 'United States'),
(140753, '206.73.11.0', '206.73.11.255', 3460893440, 3460893695, 'IT', 'Italy'),
(140754, '206.73.12.0', '206.73.14.15', 3460893696, 3460894223, 'US', 'United States'),
(140755, '206.73.14.16', '206.73.14.31', 3460894224, 3460894239, 'MX', 'Mexico'),
(140756, '206.73.14.32', '206.73.14.127', 3460894240, 3460894335, 'US', 'United States'),
(140757, '206.73.14.128', '206.73.14.159', 3460894336, 3460894367, 'MX', 'Mexico'),
(140758, '206.73.14.160', '206.73.14.255', 3460894368, 3460894463, 'US', 'United States'),
(140759, '206.73.15.0', '206.73.15.255', 3460894464, 3460894719, 'JP', 'Japan'),
(140760, '206.73.16.0', '206.73.16.15', 3460894720, 3460894735, 'NL', 'Netherlands'),
(140761, '206.73.16.16', '206.73.16.31', 3460894736, 3460894751, 'CA', 'Canada'),
(140762, '206.73.16.32', '206.73.16.63', 3460894752, 3460894783, 'US', 'United States'),
(140763, '206.73.16.64', '206.73.16.255', 3460894784, 3460894975, 'NL', 'Netherlands'),
(140764, '206.73.17.0', '206.73.17.255', 3460894976, 3460895231, 'DK', 'Denmark'),
(140765, '206.73.18.0', '206.73.18.255', 3460895232, 3460895487, 'BE', 'Belgium'),
(140766, '206.73.19.0', '206.73.21.255', 3460895488, 3460896255, 'US', 'United States'),
(140767, '206.73.22.0', '206.73.22.255', 3460896256, 3460896511, 'ZA', 'South Africa'),
(140768, '206.73.23.0', '206.73.23.255', 3460896512, 3460896767, 'ES', 'Spain'),
(140769, '206.73.24.0', '206.73.24.255', 3460896768, 3460897023, 'FR', 'France'),
(140770, '206.73.25.0', '206.73.25.255', 3460897024, 3460897279, 'GB', 'United Kingdom'),
(140771, '206.73.26.0', '206.73.33.255', 3460897280, 3460899327, 'US', 'United States'),
(140772, '206.73.34.0', '206.73.34.255', 3460899328, 3460899583, 'ZA', 'South Africa'),
(140773, '206.73.35.0', '206.73.38.255', 3460899584, 3460900607, 'US', 'United States'),
(140774, '206.73.39.0', '206.73.39.63', 3460900608, 3460900671, 'PE', 'Peru'),
(140775, '206.73.39.64', '206.73.39.127', 3460900672, 3460900735, 'US', 'United States'),
(140776, '206.73.39.128', '206.73.39.191', 3460900736, 3460900799, 'PR', 'Puerto Rico'),
(140777, '206.73.39.192', '206.73.39.223', 3460900800, 3460900831, 'EC', 'Ecuador'),
(140778, '206.73.39.224', '206.73.41.255', 3460900832, 3460901375, 'US', 'United States'),
(140779, '206.73.42.0', '206.73.42.255', 3460901376, 3460901631, 'SE', 'Sweden'),
(140780, '206.73.43.0', '206.73.44.255', 3460901632, 3460902143, 'US', 'United States'),
(140781, '206.73.45.0', '206.73.45.127', 3460902144, 3460902271, 'IN', 'India'),
(140782, '206.73.45.128', '206.73.49.47', 3460902272, 3460903215, 'US', 'United States'),
(140783, '206.73.49.48', '206.73.49.63', 3460903216, 3460903231, 'AR', 'Argentina'),
(140784, '206.73.49.64', '206.73.49.71', 3460903232, 3460903239, 'BR', 'Brazil'),
(140785, '206.73.49.72', '206.73.49.95', 3460903240, 3460903263, 'US', 'United States'),
(140786, '206.73.49.96', '206.73.49.127', 3460903264, 3460903295, 'VE', 'Venezuela'),
(140787, '206.73.49.128', '206.73.49.191', 3460903296, 3460903359, 'US', 'United States'),
(140788, '206.73.49.192', '206.73.49.255', 3460903360, 3460903423, 'MX', 'Mexico'),
(140789, '206.73.50.0', '206.73.51.127', 3460903424, 3460903807, 'US', 'United States'),
(140790, '206.73.51.128', '206.73.51.191', 3460903808, 3460903871, 'BO', 'Bolivia'),
(140791, '206.73.51.192', '206.73.51.255', 3460903872, 3460903935, 'US', 'United States'),
(140792, '206.73.52.0', '206.73.52.127', 3460903936, 3460904063, 'VE', 'Venezuela'),
(140793, '206.73.52.128', '206.73.52.143', 3460904064, 3460904079, 'MX', 'Mexico'),
(140794, '206.73.52.144', '206.73.52.255', 3460904080, 3460904191, 'US', 'United States'),
(140795, '206.73.53.0', '206.73.53.31', 3460904192, 3460904223, 'FI', 'Finland'),
(140796, '206.73.53.32', '206.73.53.63', 3460904224, 3460904255, 'US', 'United States'),
(140797, '206.73.53.64', '206.73.53.127', 3460904256, 3460904319, 'DE', 'Germany'),
(140798, '206.73.53.128', '206.73.53.255', 3460904320, 3460904447, 'US', 'United States'),
(140799, '206.73.54.0', '206.73.54.31', 3460904448, 3460904479, 'FI', 'Finland'),
(140800, '206.73.54.32', '206.73.54.143', 3460904480, 3460904591, 'US', 'United States'),
(140801, '206.73.54.144', '206.73.54.159', 3460904592, 3460904607, 'CA', 'Canada'),
(140802, '206.73.54.160', '206.73.54.191', 3460904608, 3460904639, 'US', 'United States'),
(140803, '206.73.54.192', '206.73.54.255', 3460904640, 3460904703, 'BR', 'Brazil'),
(140804, '206.73.55.0', '206.73.55.31', 3460904704, 3460904735, 'US', 'United States'),
(140805, '206.73.55.32', '206.73.55.47', 3460904736, 3460904751, 'CA', 'Canada'),
(140806, '206.73.55.48', '206.73.57.39', 3460904752, 3460905255, 'US', 'United States'),
(140807, '206.73.57.40', '206.73.57.47', 3460905256, 3460905263, 'MX', 'Mexico'),
(140808, '206.73.57.48', '206.73.57.79', 3460905264, 3460905295, 'US', 'United States'),
(140809, '206.73.57.80', '206.73.57.95', 3460905296, 3460905311, 'BR', 'Brazil'),
(140810, '206.73.57.96', '206.73.57.191', 3460905312, 3460905407, 'US', 'United States'),
(140811, '206.73.57.192', '206.73.57.255', 3460905408, 3460905471, 'BR', 'Brazil'),
(140812, '206.73.58.0', '206.73.59.15', 3460905472, 3460905743, 'US', 'United States'),
(140813, '206.73.59.16', '206.73.59.31', 3460905744, 3460905759, 'BR', 'Brazil'),
(140814, '206.73.59.32', '206.73.59.63', 3460905760, 3460905791, 'US', 'United States'),
(140815, '206.73.59.64', '206.73.59.95', 3460905792, 3460905823, 'BR', 'Brazil'),
(140816, '206.73.59.96', '206.73.60.63', 3460905824, 3460906047, 'US', 'United States'),
(140817, '206.73.60.64', '206.73.60.95', 3460906048, 3460906079, 'ID', 'Indonesia'),
(140818, '206.73.60.96', '206.73.60.127', 3460906080, 3460906111, 'CN', 'China'),
(140819, '206.73.60.128', '206.73.60.159', 3460906112, 3460906143, 'HK', 'Hong Kong'),
(140820, '206.73.60.160', '206.73.61.255', 3460906144, 3460906495, 'US', 'United States'),
(140821, '206.73.62.0', '206.73.62.63', 3460906496, 3460906559, 'ID', 'Indonesia'),
(140822, '206.73.62.64', '206.73.64.255', 3460906560, 3460907263, 'US', 'United States'),
(140823, '206.73.65.0', '206.73.65.255', 3460907264, 3460907519, 'SG', 'Singapore'),
(140824, '206.73.66.0', '206.73.68.127', 3460907520, 3460908159, 'US', 'United States'),
(140825, '206.73.68.128', '206.73.68.159', 3460908160, 3460908191, 'CN', 'China'),
(140826, '206.73.68.160', '206.73.68.255', 3460908192, 3460908287, 'US', 'United States'),
(140827, '206.73.69.0', '206.73.69.255', 3460908288, 3460908543, 'FI', 'Finland'),
(140828, '206.73.70.0', '206.73.70.255', 3460908544, 3460908799, 'US', 'United States'),
(140829, '206.73.71.0', '206.73.76.255', 3460908800, 3460910335, 'IE', 'Ireland'),
(140830, '206.73.77.0', '206.73.77.255', 3460910336, 3460910591, 'US', 'United States'),
(140831, '206.73.78.0', '206.73.78.255', 3460910592, 3460910847, 'IE', 'Ireland'),
(140832, '206.73.79.0', '206.73.80.63', 3460910848, 3460911167, 'US', 'United States'),
(140833, '206.73.80.64', '206.73.80.95', 3460911168, 3460911199, 'ID', 'Indonesia'),
(140834, '206.73.80.96', '206.73.83.255', 3460911200, 3460912127, 'US', 'United States'),
(140835, '206.73.84.0', '206.73.84.255', 3460912128, 3460912383, 'IT', 'Italy'),
(140836, '206.73.85.0', '206.73.85.255', 3460912384, 3460912639, 'FR', 'France'),
(140837, '206.73.86.0', '206.73.86.255', 3460912640, 3460912895, 'ES', 'Spain'),
(140838, '206.73.87.0', '206.73.88.255', 3460912896, 3460913407, 'US', 'United States'),
(140839, '206.73.89.0', '206.73.89.31', 3460913408, 3460913439, 'FR', 'France'),
(140840, '206.73.89.32', '206.73.89.63', 3460913440, 3460913471, 'US', 'United States'),
(140841, '206.73.89.64', '206.73.89.255', 3460913472, 3460913663, 'FR', 'France'),
(140842, '206.73.90.0', '206.73.91.31', 3460913664, 3460913951, 'US', 'United States'),
(140843, '206.73.91.32', '206.73.91.95', 3460913952, 3460914015, 'CN', 'China'),
(140844, '206.73.91.96', '206.73.91.127', 3460914016, 3460914047, 'US', 'United States'),
(140845, '206.73.91.128', '206.73.91.191', 3460914048, 3460914111, 'DE', 'Germany'),
(140846, '206.73.91.192', '206.73.99.255', 3460914112, 3460916223, 'US', 'United States'),
(140847, '206.73.100.0', '206.73.100.255', 3460916224, 3460916479, 'CH', 'Switzerland'),
(140848, '206.73.101.0', '206.73.101.255', 3460916480, 3460916735, 'GB', 'United Kingdom'),
(140849, '206.73.102.0', '206.73.102.255', 3460916736, 3460916991, 'AR', 'Argentina'),
(140850, '206.73.103.0', '206.73.103.31', 3460916992, 3460917023, 'CA', 'Canada'),
(140851, '206.73.103.32', '206.73.103.143', 3460917024, 3460917135, 'US', 'United States'),
(140852, '206.73.103.144', '206.73.103.159', 3460917136, 3460917151, 'MX', 'Mexico'),
(140853, '206.73.103.160', '206.73.103.191', 3460917152, 3460917183, 'PR', 'Puerto Rico'),
(140854, '206.73.103.192', '206.73.104.31', 3460917184, 3460917279, 'US', 'United States'),
(140855, '206.73.104.32', '206.73.104.63', 3460917280, 3460917311, 'CA', 'Canada'),
(140856, '206.73.104.64', '206.73.104.95', 3460917312, 3460917343, 'US', 'United States'),
(140857, '206.73.104.96', '206.73.104.111', 3460917344, 3460917359, 'CA', 'Canada'),
(140858, '206.73.104.112', '206.73.104.175', 3460917360, 3460917423, 'US', 'United States'),
(140859, '206.73.104.176', '206.73.104.191', 3460917424, 3460917439, 'MX', 'Mexico'),
(140860, '206.73.104.192', '206.73.105.255', 3460917440, 3460917759, 'US', 'United States'),
(140861, '206.73.106.0', '206.73.106.255', 3460917760, 3460918015, 'CA', 'Canada'),
(140862, '206.73.107.0', '206.73.107.191', 3460918016, 3460918207, 'US', 'United States'),
(140863, '206.73.107.192', '206.73.107.223', 3460918208, 3460918239, 'AR', 'Argentina'),
(140864, '206.73.107.224', '206.73.107.255', 3460918240, 3460918271, 'US', 'United States'),
(140865, '206.73.108.0', '206.73.108.255', 3460918272, 3460918527, 'NL', 'Netherlands'),
(140866, '206.73.109.0', '206.73.109.159', 3460918528, 3460918687, 'US', 'United States'),
(140867, '206.73.109.160', '206.73.109.191', 3460918688, 3460918719, 'MX', 'Mexico'),
(140868, '206.73.109.192', '206.73.109.255', 3460918720, 3460918783, 'US', 'United States'),
(140869, '206.73.110.0', '206.73.110.255', 3460918784, 3460919039, 'JP', 'Japan'),
(140870, '206.73.111.0', '206.73.111.255', 3460919040, 3460919295, 'NL', 'Netherlands'),
(140871, '206.73.112.0', '206.73.112.239', 3460919296, 3460919535, 'US', 'United States'),
(140872, '206.73.112.240', '206.73.112.247', 3460919536, 3460919543, 'AR', 'Argentina'),
(140873, '206.73.112.248', '206.73.112.255', 3460919544, 3460919551, 'CO', 'Colombia'),
(140874, '206.73.113.0', '206.73.115.255', 3460919552, 3460920319, 'US', 'United States'),
(140875, '206.73.116.0', '206.73.116.255', 3460920320, 3460920575, 'IT', 'Italy'),
(140876, '206.73.117.0', '206.73.117.255', 3460920576, 3460920831, 'BE', 'Belgium'),
(140877, '206.73.118.0', '206.73.119.255', 3460920832, 3460921343, 'US', 'United States'),
(140878, '206.73.120.0', '206.73.120.255', 3460921344, 3460921599, 'DE', 'Germany'),
(140879, '206.73.121.0', '206.73.121.255', 3460921600, 3460921855, 'AU', 'Australia'),
(140880, '206.73.122.0', '206.73.127.255', 3460921856, 3460923391, 'US', 'United States'),
(140881, '206.73.128.0', '206.73.128.255', 3460923392, 3460923647, 'MX', 'Mexico'),
(140882, '206.73.129.0', '206.73.129.31', 3460923648, 3460923679, 'US', 'United States'),
(140883, '206.73.129.32', '206.73.129.63', 3460923680, 3460923711, 'FR', 'France'),
(140884, '206.73.129.64', '206.73.129.95', 3460923712, 3460923743, 'DE', 'Germany'),
(140885, '206.73.129.96', '206.73.129.127', 3460923744, 3460923775, 'CH', 'Switzerland'),
(140886, '206.73.129.128', '206.73.129.159', 3460923776, 3460923807, 'SE', 'Sweden'),
(140887, '206.73.129.160', '206.73.129.191', 3460923808, 3460923839, 'GB', 'United Kingdom'),
(140888, '206.73.129.192', '206.73.129.223', 3460923840, 3460923871, 'AT', 'Austria'),
(140889, '206.73.129.224', '206.73.130.255', 3460923872, 3460924159, 'US', 'United States'),
(140890, '206.73.131.0', '206.73.131.15', 3460924160, 3460924175, 'GB', 'United Kingdom'),
(140891, '206.73.131.16', '206.73.131.63', 3460924176, 3460924223, 'US', 'United States'),
(140892, '206.73.131.64', '206.73.131.127', 3460924224, 3460924287, 'GB', 'United Kingdom'),
(140893, '206.73.131.128', '206.73.131.255', 3460924288, 3460924415, 'DE', 'Germany'),
(140894, '206.73.132.0', '206.73.132.191', 3460924416, 3460924607, 'GB', 'United Kingdom'),
(140895, '206.73.132.192', '206.73.132.255', 3460924608, 3460924671, 'US', 'United States'),
(140896, '206.73.133.0', '206.73.134.255', 3460924672, 3460925183, 'GB', 'United Kingdom'),
(140897, '206.73.135.0', '206.73.136.255', 3460925184, 3460925695, 'US', 'United States'),
(140898, '206.73.137.0', '206.73.137.255', 3460925696, 3460925951, 'ES', 'Spain'),
(140899, '206.73.138.0', '206.73.138.255', 3460925952, 3460926207, 'US', 'United States'),
(140900, '206.73.139.0', '206.73.139.255', 3460926208, 3460926463, 'GB', 'United Kingdom'),
(140901, '206.73.140.0', '206.73.140.255', 3460926464, 3460926719, 'US', 'United States'),
(140902, '206.73.141.0', '206.73.141.255', 3460926720, 3460926975, 'DE', 'Germany'),
(140903, '206.73.142.0', '206.73.142.127', 3460926976, 3460927103, 'US', 'United States'),
(140904, '206.73.142.128', '206.73.142.255', 3460927104, 3460927231, 'ES', 'Spain'),
(140905, '206.73.143.0', '206.73.149.255', 3460927232, 3460929023, 'BE', 'Belgium'),
(140906, '206.73.150.0', '206.73.150.255', 3460929024, 3460929279, 'US', 'United States'),
(140907, '206.73.151.0', '206.73.151.255', 3460929280, 3460929535, 'DE', 'Germany'),
(140908, '206.73.152.0', '206.73.152.255', 3460929536, 3460929791, 'GB', 'United Kingdom'),
(140909, '206.73.153.0', '206.73.153.255', 3460929792, 3460930047, 'DK', 'Denmark'),
(140910, '206.73.154.0', '206.73.157.191', 3460930048, 3460931007, 'US', 'United States'),
(140911, '206.73.157.192', '206.73.157.255', 3460931008, 3460931071, 'IT', 'Italy'),
(140912, '206.73.158.0', '206.73.158.127', 3460931072, 3460931199, 'GR', 'Greece'),
(140913, '206.73.158.128', '206.73.158.175', 3460931200, 3460931247, 'US', 'United States'),
(140914, '206.73.158.176', '206.73.158.255', 3460931248, 3460931327, 'BE', 'Belgium'),
(140915, '206.73.159.0', '206.73.159.255', 3460931328, 3460931583, 'US', 'United States'),
(140916, '206.73.160.0', '206.73.160.255', 3460931584, 3460931839, 'SE', 'Sweden'),
(140917, '206.73.161.0', '206.73.161.255', 3460931840, 3460932095, 'DE', 'Germany'),
(140918, '206.73.162.0', '206.73.162.255', 3460932096, 3460932351, 'GB', 'United Kingdom'),
(140919, '206.73.163.0', '206.73.163.255', 3460932352, 3460932607, 'FR', 'France'),
(140920, '206.73.164.0', '206.73.164.255', 3460932608, 3460932863, 'US', 'United States'),
(140921, '206.73.165.0', '206.73.165.255', 3460932864, 3460933119, 'GB', 'United Kingdom'),
(140922, '206.73.166.0', '206.73.166.255', 3460933120, 3460933375, 'US', 'United States'),
(140923, '206.73.167.0', '206.73.167.63', 3460933376, 3460933439, 'DE', 'Germany'),
(140924, '206.73.167.64', '206.73.168.47', 3460933440, 3460933679, 'US', 'United States'),
(140925, '206.73.168.48', '206.73.168.63', 3460933680, 3460933695, 'SE', 'Sweden'),
(140926, '206.73.168.64', '206.73.168.191', 3460933696, 3460933823, 'US', 'United States'),
(140927, '206.73.168.192', '206.73.168.255', 3460933824, 3460933887, 'IL', 'Israel'),
(140928, '206.73.169.0', '206.73.169.255', 3460933888, 3460934143, 'DE', 'Germany'),
(140929, '206.73.170.0', '206.73.171.255', 3460934144, 3460934655, 'US', 'United States'),
(140930, '206.73.172.0', '206.73.172.127', 3460934656, 3460934783, 'CH', 'Switzerland'),
(140931, '206.73.172.128', '206.73.172.255', 3460934784, 3460934911, 'IT', 'Italy'),
(140932, '206.73.173.0', '206.73.173.255', 3460934912, 3460935167, 'SG', 'Singapore'),
(140933, '206.73.174.0', '206.73.174.31', 3460935168, 3460935199, 'US', 'United States'),
(140934, '206.73.174.32', '206.73.174.63', 3460935200, 3460935231, 'ES', 'Spain'),
(140935, '206.73.174.64', '206.73.174.127', 3460935232, 3460935295, 'US', 'United States'),
(140936, '206.73.174.128', '206.73.174.255', 3460935296, 3460935423, 'HU', 'Hungary'),
(140937, '206.73.175.0', '206.73.175.255', 3460935424, 3460935679, 'FR', 'France'),
(140938, '206.73.176.0', '206.73.176.255', 3460935680, 3460935935, 'FI', 'Finland'),
(140939, '206.73.177.0', '206.73.177.255', 3460935936, 3460936191, 'FR', 'France'),
(140940, '206.73.178.0', '206.73.178.255', 3460936192, 3460936447, 'US', 'United States'),
(140941, '206.73.179.0', '206.73.179.255', 3460936448, 3460936703, 'GB', 'United Kingdom'),
(140942, '206.73.180.0', '206.73.180.255', 3460936704, 3460936959, 'IT', 'Italy'),
(140943, '206.73.181.0', '206.73.181.255', 3460936960, 3460937215, 'DE', 'Germany'),
(140944, '206.73.182.0', '206.73.182.255', 3460937216, 3460937471, 'FR', 'France'),
(140945, '206.73.183.0', '206.73.183.255', 3460937472, 3460937727, 'US', 'United States'),
(140946, '206.73.184.0', '206.73.184.255', 3460937728, 3460937983, 'DK', 'Denmark'),
(140947, '206.73.185.0', '206.73.185.255', 3460937984, 3460938239, 'IE', 'Ireland'),
(140948, '206.73.186.0', '206.73.186.255', 3460938240, 3460938495, 'DE', 'Germany'),
(140949, '206.73.187.0', '206.73.189.31', 3460938496, 3460939039, 'US', 'United States'),
(140950, '206.73.189.32', '206.73.189.63', 3460939040, 3460939071, 'BE', 'Belgium'),
(140951, '206.73.189.64', '206.73.189.95', 3460939072, 3460939103, 'IT', 'Italy'),
(140952, '206.73.189.96', '206.73.189.255', 3460939104, 3460939263, 'US', 'United States'),
(140953, '206.73.190.0', '206.73.190.255', 3460939264, 3460939519, 'HK', 'Hong Kong'),
(140954, '206.73.191.0', '206.73.191.191', 3460939520, 3460939711, 'US', 'United States'),
(140955, '206.73.191.192', '206.73.191.255', 3460939712, 3460939775, 'CH', 'Switzerland'),
(140956, '206.73.192.0', '206.73.192.127', 3460939776, 3460939903, 'US', 'United States'),
(140957, '206.73.192.128', '206.73.192.159', 3460939904, 3460939935, 'AU', 'Australia'),
(140958, '206.73.192.160', '206.73.192.191', 3460939936, 3460939967, 'SG', 'Singapore'),
(140959, '206.73.192.192', '206.73.193.255', 3460939968, 3460940287, 'US', 'United States'),
(140960, '206.73.194.0', '206.73.194.63', 3460940288, 3460940351, 'MX', 'Mexico'),
(140961, '206.73.194.64', '206.73.194.127', 3460940352, 3460940415, 'ID', 'Indonesia'),
(140962, '206.73.194.128', '206.73.194.191', 3460940416, 3460940479, 'US', 'United States'),
(140963, '206.73.194.192', '206.73.194.223', 3460940480, 3460940511, 'HK', 'Hong Kong'),
(140964, '206.73.194.224', '206.73.194.255', 3460940512, 3460940543, 'TH', 'Thailand'),
(140965, '206.73.195.0', '206.73.195.15', 3460940544, 3460940559, 'US', 'United States'),
(140966, '206.73.195.16', '206.73.195.23', 3460940560, 3460940567, 'GB', 'United Kingdom'),
(140967, '206.73.195.24', '206.73.195.63', 3460940568, 3460940607, 'US', 'United States'),
(140968, '206.73.195.64', '206.73.195.95', 3460940608, 3460940639, 'CN', 'China'),
(140969, '206.73.195.96', '206.73.197.255', 3460940640, 3460941311, 'US', 'United States'),
(140970, '206.73.198.0', '206.73.198.63', 3460941312, 3460941375, 'MY', 'Malaysia'),
(140971, '206.73.198.64', '206.73.198.127', 3460941376, 3460941439, 'US', 'United States'),
(140972, '206.73.198.128', '206.73.198.255', 3460941440, 3460941567, 'TW', 'Taiwan'),
(140973, '206.73.199.0', '206.73.199.255', 3460941568, 3460941823, 'AU', 'Australia'),
(140974, '206.73.200.0', '206.73.200.255', 3460941824, 3460942079, 'US', 'United States'),
(140975, '206.73.201.0', '206.73.201.255', 3460942080, 3460942335, 'GB', 'United Kingdom'),
(140976, '206.73.202.0', '206.73.205.255', 3460942336, 3460943359, 'US', 'United States'),
(140977, '206.73.206.0', '206.73.206.255', 3460943360, 3460943615, 'ID', 'Indonesia'),
(140978, '206.73.207.0', '206.73.207.255', 3460943616, 3460943871, 'HK', 'Hong Kong'),
(140979, '206.73.208.0', '206.73.208.255', 3460943872, 3460944127, 'US', 'United States'),
(140980, '206.73.209.0', '206.73.209.255', 3460944128, 3460944383, 'AU', 'Australia'),
(140981, '206.73.210.0', '206.73.210.63', 3460944384, 3460944447, 'KR', 'Korea, Republic of'),
(140982, '206.73.210.64', '206.73.210.95', 3460944448, 3460944479, 'US', 'United States'),
(140983, '206.73.210.96', '206.73.210.127', 3460944480, 3460944511, 'CN', 'China'),
(140984, '206.73.210.128', '206.73.210.159', 3460944512, 3460944543, 'TH', 'Thailand'),
(140985, '206.73.210.160', '206.73.210.191', 3460944544, 3460944575, 'JP', 'Japan'),
(140986, '206.73.210.192', '206.73.211.31', 3460944576, 3460944671, 'KR', 'Korea, Republic of'),
(140987, '206.73.211.32', '206.73.211.127', 3460944672, 3460944767, 'US', 'United States'),
(140988, '206.73.211.128', '206.73.211.255', 3460944768, 3460944895, 'TH', 'Thailand'),
(140989, '206.73.212.0', '206.73.212.255', 3460944896, 3460945151, 'DE', 'Germany'),
(140990, '206.73.213.0', '206.73.214.255', 3460945152, 3460945663, 'US', 'United States'),
(140991, '206.73.215.0', '206.73.215.255', 3460945664, 3460945919, 'GB', 'United Kingdom'),
(140992, '206.73.216.0', '206.73.218.255', 3460945920, 3460946687, 'US', 'United States'),
(140993, '206.73.219.0', '206.73.219.255', 3460946688, 3460946943, 'DE', 'Germany'),
(140994, '206.73.220.0', '206.73.220.31', 3460946944, 3460946975, 'CH', 'Switzerland'),
(140995, '206.73.220.32', '206.73.221.255', 3460946976, 3460947455, 'US', 'United States'),
(140996, '206.73.222.0', '206.73.222.255', 3460947456, 3460947711, 'DE', 'Germany'),
(140997, '206.73.223.0', '206.73.223.255', 3460947712, 3460947967, 'SE', 'Sweden'),
(140998, '206.73.224.0', '206.73.224.127', 3460947968, 3460948095, 'US', 'United States'),
(140999, '206.73.224.128', '206.73.224.191', 3460948096, 3460948159, 'KR', 'Korea, Republic of'),
(141000, '206.73.224.192', '206.73.226.255', 3460948160, 3460948735, 'US', 'United States'),
(141001, '206.73.227.0', '206.73.227.63', 3460948736, 3460948799, 'PH', 'Philippines'),
(141002, '206.73.227.64', '206.73.227.127', 3460948800, 3460948863, 'CN', 'China'),
(141003, '206.73.227.128', '206.73.227.191', 3460948864, 3460948927, 'US', 'United States'),
(141004, '206.73.227.192', '206.73.227.223', 3460948928, 3460948959, 'ID', 'Indonesia'),
(141005, '206.73.227.224', '206.73.228.23', 3460948960, 3460949015, 'US', 'United States'),
(141006, '206.73.228.24', '206.73.228.31', 3460949016, 3460949023, 'CN', 'China'),
(141007, '206.73.228.32', '206.73.228.63', 3460949024, 3460949055, 'JP', 'Japan'),
(141008, '206.73.228.64', '206.73.228.191', 3460949056, 3460949183, 'ID', 'Indonesia'),
(141009, '206.73.228.192', '206.73.232.255', 3460949184, 3460950271, 'US', 'United States'),
(141010, '206.73.233.0', '206.73.233.255', 3460950272, 3460950527, 'DE', 'Germany'),
(141011, '206.73.234.0', '206.73.234.31', 3460950528, 3460950559, 'HK', 'Hong Kong'),
(141012, '206.73.234.32', '206.73.234.143', 3460950560, 3460950671, 'US', 'United States'),
(141013, '206.73.234.144', '206.73.234.159', 3460950672, 3460950687, 'JP', 'Japan'),
(141014, '206.73.234.160', '206.73.235.207', 3460950688, 3460950991, 'US', 'United States'),
(141015, '206.73.235.208', '206.73.235.223', 3460950992, 3460951007, 'JP', 'Japan'),
(141016, '206.73.235.224', '206.73.236.255', 3460951008, 3460951295, 'US', 'United States'),
(141017, '206.73.237.0', '206.73.237.255', 3460951296, 3460951551, 'GB', 'United Kingdom'),
(141018, '206.73.238.0', '206.73.238.7', 3460951552, 3460951559, 'JP', 'Japan'),
(141019, '206.73.238.8', '206.73.238.15', 3460951560, 3460951567, 'US', 'United States'),
(141020, '206.73.238.16', '206.73.238.31', 3460951568, 3460951583, 'HK', 'Hong Kong'),
(141021, '206.73.238.32', '206.73.238.191', 3460951584, 3460951743, 'US', 'United States'),
(141022, '206.73.238.192', '206.73.238.199', 3460951744, 3460951751, 'HK', 'Hong Kong'),
(141023, '206.73.238.200', '206.73.238.207', 3460951752, 3460951759, 'ID', 'Indonesia'),
(141024, '206.73.238.208', '206.73.239.15', 3460951760, 3460951823, 'US', 'United States'),
(141025, '206.73.239.16', '206.73.239.23', 3460951824, 3460951831, 'CA', 'Canada'),
(141026, '206.73.239.24', '206.73.239.47', 3460951832, 3460951855, 'US', 'United States'),
(141027, '206.73.239.48', '206.73.239.63', 3460951856, 3460951871, 'JP', 'Japan'),
(141028, '206.73.239.64', '206.73.239.79', 3460951872, 3460951887, 'CH', 'Switzerland'),
(141029, '206.73.239.80', '206.73.239.127', 3460951888, 3460951935, 'US', 'United States'),
(141030, '206.73.239.128', '206.73.239.143', 3460951936, 3460951951, 'MX', 'Mexico'),
(141031, '206.73.239.144', '206.73.239.199', 3460951952, 3460952007, 'US', 'United States'),
(141032, '206.73.239.200', '206.73.239.207', 3460952008, 3460952015, 'CA', 'Canada'),
(141033, '206.73.239.208', '206.73.240.191', 3460952016, 3460952255, 'US', 'United States'),
(141034, '206.73.240.192', '206.73.240.223', 3460952256, 3460952287, 'CA', 'Canada'),
(141035, '206.73.240.224', '206.73.240.255', 3460952288, 3460952319, 'US', 'United States'),
(141036, '206.73.241.0', '206.73.241.255', 3460952320, 3460952575, 'GB', 'United Kingdom'),
(141037, '206.73.242.0', '206.73.242.255', 3460952576, 3460952831, 'ES', 'Spain'),
(141038, '206.73.243.0', '206.73.243.63', 3460952832, 3460952895, 'US', 'United States'),
(141039, '206.73.243.64', '206.73.243.95', 3460952896, 3460952927, 'BR', 'Brazil'),
(141040, '206.73.243.96', '206.73.243.127', 3460952928, 3460952959, 'US', 'United States'),
(141041, '206.73.243.128', '206.73.243.191', 3460952960, 3460953023, 'CA', 'Canada'),
(141042, '206.73.243.192', '206.73.244.23', 3460953024, 3460953111, 'US', 'United States'),
(141043, '206.73.244.24', '206.73.244.31', 3460953112, 3460953119, 'TW', 'Taiwan'),
(141044, '206.73.244.32', '206.73.244.47', 3460953120, 3460953135, 'MX', 'Mexico'),
(141045, '206.73.244.48', '206.73.244.63', 3460953136, 3460953151, 'US', 'United States'),
(141046, '206.73.244.64', '206.73.244.79', 3460953152, 3460953167, 'TH', 'Thailand'),
(141047, '206.73.244.80', '206.73.244.95', 3460953168, 3460953183, 'JP', 'Japan'),
(141048, '206.73.244.96', '206.73.244.111', 3460953184, 3460953199, 'MX', 'Mexico'),
(141049, '206.73.244.112', '206.73.244.143', 3460953200, 3460953231, 'US', 'United States'),
(141050, '206.73.244.144', '206.73.244.159', 3460953232, 3460953247, 'ID', 'Indonesia'),
(141051, '206.73.244.160', '206.73.244.191', 3460953248, 3460953279, 'US', 'United States'),
(141052, '206.73.244.192', '206.73.244.255', 3460953280, 3460953343, 'CA', 'Canada'),
(141053, '206.73.245.0', '206.73.245.255', 3460953344, 3460953599, 'US', 'United States'),
(141054, '206.73.246.0', '206.73.246.15', 3460953600, 3460953615, 'BR', 'Brazil'),
(141055, '206.73.246.16', '206.73.246.23', 3460953616, 3460953623, 'US', 'United States'),
(141056, '206.73.246.24', '206.73.246.31', 3460953624, 3460953631, 'SG', 'Singapore'),
(141057, '206.73.246.32', '206.73.246.47', 3460953632, 3460953647, 'CN', 'China'),
(141058, '206.73.246.48', '206.73.246.63', 3460953648, 3460953663, 'SG', 'Singapore'),
(141059, '206.73.246.64', '206.73.246.127', 3460953664, 3460953727, 'US', 'United States'),
(141060, '206.73.246.128', '206.73.246.255', 3460953728, 3460953855, 'HK', 'Hong Kong'),
(141061, '206.73.247.0', '206.73.247.255', 3460953856, 3460954111, 'GB', 'United Kingdom'),
(141062, '206.73.248.0', '206.73.248.79', 3460954112, 3460954191, 'US', 'United States'),
(141063, '206.73.248.80', '206.73.248.95', 3460954192, 3460954207, 'SG', 'Singapore'),
(141064, '206.73.248.96', '206.73.248.255', 3460954208, 3460954367, 'US', 'United States'),
(141065, '206.73.249.0', '206.73.249.63', 3460954368, 3460954431, 'DO', 'Dominican Republic'),
(141066, '206.73.249.64', '206.73.249.95', 3460954432, 3460954463, 'US', 'United States'),
(141067, '206.73.249.96', '206.73.249.111', 3460954464, 3460954479, 'MY', 'Malaysia'),
(141068, '206.73.249.112', '206.73.249.159', 3460954480, 3460954527, 'US', 'United States'),
(141069, '206.73.249.160', '206.73.249.191', 3460954528, 3460954559, 'KR', 'Korea, Republic of'),
(141070, '206.73.249.192', '206.73.249.255', 3460954560, 3460954623, 'US', 'United States'),
(141071, '206.73.250.0', '206.73.250.255', 3460954624, 3460954879, 'DE', 'Germany'),
(141072, '206.73.251.0', '206.73.251.255', 3460954880, 3460955135, 'LU', 'Luxembourg'),
(141073, '206.73.252.0', '206.73.252.255', 3460955136, 3460955391, 'US', 'United States'),
(141074, '206.73.253.0', '206.73.253.31', 3460955392, 3460955423, 'JP', 'Japan'),
(141075, '206.73.253.32', '206.73.253.63', 3460955424, 3460955455, 'US', 'United States'),
(141076, '206.73.253.64', '206.73.253.95', 3460955456, 3460955487, 'BR', 'Brazil'),
(141077, '206.73.253.96', '206.73.253.127', 3460955488, 3460955519, 'CO', 'Colombia'),
(141078, '206.73.253.128', '206.73.253.191', 3460955520, 3460955583, 'BR', 'Brazil'),
(141079, '206.73.253.192', '206.74.255.255', 3460955584, 3461021695, 'US', 'United States'),
(141080, '206.75.0.0', '206.75.39.255', 3461021696, 3461031935, 'CA', 'Canada'),
(141081, '206.75.40.0', '206.75.40.255', 3461031936, 3461032191, 'US', 'United States'),
(141082, '206.75.41.0', '206.75.255.255', 3461032192, 3461087231, 'CA', 'Canada'),
(141083, '206.76.0.0', '206.79.7.255', 3461087232, 3461285887, 'US', 'United States'),
(141084, '206.79.8.0', '206.79.8.87', 3461285888, 3461285975, 'GB', 'United Kingdom'),
(141085, '206.79.8.88', '206.79.8.255', 3461285976, 3461286143, 'US', 'United States'),
(141086, '206.79.9.0', '206.79.9.191', 3461286144, 3461286335, 'FR', 'France'),
(141087, '206.79.9.192', '206.79.9.255', 3461286336, 3461286399, 'US', 'United States'),
(141088, '206.79.10.0', '206.79.10.63', 3461286400, 3461286463, 'FR', 'France'),
(141089, '206.79.10.64', '206.79.10.71', 3461286464, 3461286471, 'GB', 'United Kingdom'),
(141090, '206.79.10.72', '206.79.10.103', 3461286472, 3461286503, 'US', 'United States'),
(141091, '206.79.10.104', '206.79.10.111', 3461286504, 3461286511, 'GB', 'United Kingdom'),
(141092, '206.79.10.112', '206.79.10.119', 3461286512, 3461286519, 'US', 'United States'),
(141093, '206.79.10.120', '206.79.10.143', 3461286520, 3461286543, 'GB', 'United Kingdom'),
(141094, '206.79.10.144', '206.79.183.255', 3461286544, 3461330943, 'US', 'United States'),
(141095, '206.79.184.0', '206.79.184.255', 3461330944, 3461331199, 'SG', 'Singapore'),
(141096, '206.79.185.0', '206.79.185.47', 3461331200, 3461331247, 'US', 'United States'),
(141097, '206.79.185.48', '206.79.185.63', 3461331248, 3461331263, 'SG', 'Singapore'),
(141098, '206.79.185.64', '206.79.185.95', 3461331264, 3461331295, 'US', 'United States'),
(141099, '206.79.185.96', '206.79.185.111', 3461331296, 3461331311, 'SG', 'Singapore'),
(141100, '206.79.185.112', '206.79.185.127', 3461331312, 3461331327, 'US', 'United States'),
(141101, '206.79.185.128', '206.79.186.95', 3461331328, 3461331551, 'SG', 'Singapore'),
(141102, '206.79.186.96', '206.79.186.111', 3461331552, 3461331567, 'US', 'United States'),
(141103, '206.79.186.112', '206.79.186.127', 3461331568, 3461331583, 'SG', 'Singapore'),
(141104, '206.79.186.128', '206.79.186.255', 3461331584, 3461331711, 'US', 'United States'),
(141105, '206.79.187.0', '206.79.187.255', 3461331712, 3461331967, 'SG', 'Singapore'),
(141106, '206.79.188.0', '206.79.188.255', 3461331968, 3461332223, 'US', 'United States'),
(141107, '206.79.189.0', '206.79.190.79', 3461332224, 3461332559, 'SG', 'Singapore'),
(141108, '206.79.190.80', '206.79.190.255', 3461332560, 3461332735, 'US', 'United States'),
(141109, '206.79.191.0', '206.79.191.255', 3461332736, 3461332991, 'SG', 'Singapore'),
(141110, '206.79.192.0', '206.80.231.255', 3461332992, 3461408767, 'US', 'United States'),
(141111, '206.80.240.0', '206.80.255.255', 3461410816, 3461414911, 'CA', 'Canada'),
(141112, '206.81.0.0', '206.82.127.255', 3461414912, 3461513215, 'US', 'United States'),
(141113, '206.82.128.0', '206.82.129.255', 3461513216, 3461513727, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(141114, '206.82.130.0', '206.82.130.255', 3461513728, 3461513983, 'BF', 'Burkina Faso'),
(141115, '206.82.131.0', '206.82.132.255', 3461513984, 3461514495, 'CA', 'Canada'),
(141116, '206.82.133.0', '206.82.133.255', 3461514496, 3461514751, 'QA', 'Qatar'),
(141117, '206.82.134.0', '206.82.139.255', 3461514752, 3461516287, 'CA', 'Canada'),
(141118, '206.82.140.0', '206.82.140.255', 3461516288, 3461516543, 'IL', 'Israel'),
(141119, '206.82.141.0', '206.82.142.255', 3461516544, 3461517055, 'CA', 'Canada'),
(141120, '206.82.143.0', '206.83.31.255', 3461517056, 3461554175, 'US', 'United States'),
(141121, '206.83.32.0', '206.83.39.255', 3461554176, 3461556223, 'CA', 'Canada'),
(141122, '206.83.48.0', '206.83.202.191', 3461558272, 3461597887, 'US', 'United States'),
(141123, '206.83.202.192', '206.83.202.255', 3461597888, 3461597951, 'CO', 'Colombia'),
(141124, '206.83.203.0', '206.83.203.63', 3461597952, 3461598015, 'US', 'United States'),
(141125, '206.83.203.64', '206.83.203.127', 3461598016, 3461598079, 'CO', 'Colombia'),
(141126, '206.83.203.128', '206.86.255.255', 3461598080, 3461808127, 'US', 'United States'),
(141127, '206.87.0.0', '206.87.255.255', 3461808128, 3461873663, 'CA', 'Canada'),
(141128, '206.88.0.0', '206.88.93.255', 3461873664, 3461897727, 'US', 'United States'),
(141129, '206.88.94.0', '206.88.94.255', 3461897728, 3461897983, 'CA', 'Canada'),
(141130, '206.88.95.0', '206.88.123.255', 3461897984, 3461905407, 'US', 'United States'),
(141131, '206.88.124.0', '206.88.124.255', 3461905408, 3461905663, 'CA', 'Canada'),
(141132, '206.88.125.0', '206.89.5.255', 3461905664, 3461940735, 'US', 'United States'),
(141133, '206.89.6.0', '206.89.6.255', 3461940736, 3461940991, 'CA', 'Canada'),
(141134, '206.89.7.0', '206.89.34.255', 3461940992, 3461948159, 'US', 'United States'),
(141135, '206.89.35.0', '206.89.35.255', 3461948160, 3461948415, 'CA', 'Canada'),
(141136, '206.89.36.0', '206.89.37.255', 3461948416, 3461948927, 'US', 'United States'),
(141137, '206.89.38.0', '206.89.38.255', 3461948928, 3461949183, 'CA', 'Canada'),
(141138, '206.89.39.0', '206.89.40.255', 3461949184, 3461949695, 'US', 'United States'),
(141139, '206.89.41.0', '206.89.42.255', 3461949696, 3461950207, 'CA', 'Canada'),
(141140, '206.89.43.0', '206.89.44.255', 3461950208, 3461950719, 'US', 'United States'),
(141141, '206.89.45.0', '206.89.46.255', 3461950720, 3461951231, 'CA', 'Canada'),
(141142, '206.89.47.0', '206.89.55.255', 3461951232, 3461953535, 'US', 'United States'),
(141143, '206.89.56.0', '206.89.56.255', 3461953536, 3461953791, 'CA', 'Canada'),
(141144, '206.89.57.0', '206.89.112.255', 3461953792, 3461968127, 'US', 'United States'),
(141145, '206.89.113.0', '206.89.113.255', 3461968128, 3461968383, 'CA', 'Canada'),
(141146, '206.89.114.0', '206.89.121.255', 3461968384, 3461970431, 'US', 'United States'),
(141147, '206.89.122.0', '206.89.122.255', 3461970432, 3461970687, 'CA', 'Canada'),
(141148, '206.89.123.0', '206.89.128.255', 3461970688, 3461972223, 'US', 'United States'),
(141149, '206.89.129.0', '206.89.129.255', 3461972224, 3461972479, 'CA', 'Canada'),
(141150, '206.89.130.0', '206.89.150.255', 3461972480, 3461977855, 'US', 'United States'),
(141151, '206.89.151.0', '206.89.151.255', 3461977856, 3461978111, 'CA', 'Canada'),
(141152, '206.89.152.0', '206.89.208.255', 3461978112, 3461992703, 'US', 'United States'),
(141153, '206.89.209.0', '206.89.209.255', 3461992704, 3461992959, 'CA', 'Canada'),
(141154, '206.89.210.0', '206.89.236.255', 3461992960, 3461999871, 'US', 'United States'),
(141155, '206.89.237.0', '206.89.237.255', 3461999872, 3462000127, 'PR', 'Puerto Rico'),
(141156, '206.89.238.0', '206.89.240.255', 3462000128, 3462000895, 'US', 'United States'),
(141157, '206.89.241.0', '206.89.241.255', 3462000896, 3462001151, 'CA', 'Canada'),
(141158, '206.89.242.0', '206.89.244.255', 3462001152, 3462001919, 'US', 'United States'),
(141159, '206.89.245.0', '206.89.246.255', 3462001920, 3462002431, 'CA', 'Canada'),
(141160, '206.89.247.0', '206.92.49.255', 3462002432, 3462148607, 'US', 'United States'),
(141161, '206.92.50.0', '206.92.50.255', 3462148608, 3462148863, 'CA', 'Canada'),
(141162, '206.92.51.0', '206.92.97.255', 3462148864, 3462160895, 'US', 'United States'),
(141163, '206.92.98.0', '206.92.98.255', 3462160896, 3462161151, 'PR', 'Puerto Rico'),
(141164, '206.92.99.0', '206.92.109.255', 3462161152, 3462163967, 'US', 'United States'),
(141165, '206.92.110.0', '206.92.110.255', 3462163968, 3462164223, 'CA', 'Canada'),
(141166, '206.92.111.0', '206.92.126.255', 3462164224, 3462168319, 'US', 'United States'),
(141167, '206.92.127.0', '206.92.127.255', 3462168320, 3462168575, 'CA', 'Canada'),
(141168, '206.92.128.0', '206.92.131.255', 3462168576, 3462169599, 'US', 'United States'),
(141169, '206.92.132.0', '206.92.132.255', 3462169600, 3462169855, 'CA', 'Canada'),
(141170, '206.92.133.0', '206.92.135.255', 3462169856, 3462170623, 'US', 'United States'),
(141171, '206.92.136.0', '206.92.137.255', 3462170624, 3462171135, 'CA', 'Canada'),
(141172, '206.92.138.0', '206.92.138.255', 3462171136, 3462171391, 'US', 'United States'),
(141173, '206.92.139.0', '206.92.139.255', 3462171392, 3462171647, 'CA', 'Canada'),
(141174, '206.92.140.0', '206.92.147.255', 3462171648, 3462173695, 'US', 'United States'),
(141175, '206.92.148.0', '206.92.148.255', 3462173696, 3462173951, 'CA', 'Canada'),
(141176, '206.92.149.0', '206.92.150.255', 3462173952, 3462174463, 'US', 'United States'),
(141177, '206.92.151.0', '206.92.151.255', 3462174464, 3462174719, 'CA', 'Canada'),
(141178, '206.92.152.0', '206.92.171.255', 3462174720, 3462179839, 'US', 'United States'),
(141179, '206.92.172.0', '206.92.172.255', 3462179840, 3462180095, 'CA', 'Canada'),
(141180, '206.92.173.0', '206.92.177.255', 3462180096, 3462181375, 'US', 'United States'),
(141181, '206.92.178.0', '206.92.179.255', 3462181376, 3462181887, 'CA', 'Canada'),
(141182, '206.92.180.0', '206.92.218.255', 3462181888, 3462191871, 'US', 'United States'),
(141183, '206.92.219.0', '206.92.219.255', 3462191872, 3462192127, 'PR', 'Puerto Rico'),
(141184, '206.92.220.0', '206.92.227.255', 3462192128, 3462194175, 'US', 'United States'),
(141185, '206.92.228.0', '206.92.228.255', 3462194176, 3462194431, 'CA', 'Canada'),
(141186, '206.92.229.0', '206.93.115.255', 3462194432, 3462231039, 'US', 'United States'),
(141187, '206.93.116.0', '206.93.116.255', 3462231040, 3462231295, 'CA', 'Canada'),
(141188, '206.93.117.0', '206.93.118.255', 3462231296, 3462231807, 'US', 'United States'),
(141189, '206.93.119.0', '206.93.119.255', 3462231808, 3462232063, 'CA', 'Canada'),
(141190, '206.93.120.0', '206.94.5.255', 3462232064, 3462268415, 'US', 'United States'),
(141191, '206.94.6.0', '206.94.6.255', 3462268416, 3462268671, 'CA', 'Canada'),
(141192, '206.94.7.0', '206.94.90.255', 3462268672, 3462290175, 'US', 'United States'),
(141193, '206.94.91.0', '206.94.91.255', 3462290176, 3462290431, 'CA', 'Canada'),
(141194, '206.94.92.0', '206.94.184.255', 3462290432, 3462314239, 'US', 'United States'),
(141195, '206.94.185.0', '206.94.185.255', 3462314240, 3462314495, 'CA', 'Canada'),
(141196, '206.94.186.0', '206.94.212.255', 3462314496, 3462321407, 'US', 'United States'),
(141197, '206.94.213.0', '206.94.213.255', 3462321408, 3462321663, 'CA', 'Canada'),
(141198, '206.94.214.0', '206.94.214.255', 3462321664, 3462321919, 'US', 'United States'),
(141199, '206.94.215.0', '206.94.215.255', 3462321920, 3462322175, 'CA', 'Canada'),
(141200, '206.94.216.0', '206.94.221.255', 3462322176, 3462323711, 'US', 'United States'),
(141201, '206.94.222.0', '206.94.222.255', 3462323712, 3462323967, 'CA', 'Canada'),
(141202, '206.94.223.0', '206.95.25.255', 3462323968, 3462339071, 'US', 'United States'),
(141203, '206.95.26.0', '206.95.27.255', 3462339072, 3462339583, 'CA', 'Canada'),
(141204, '206.95.28.0', '206.95.31.255', 3462339584, 3462340607, 'US', 'United States'),
(141205, '206.95.32.0', '206.95.32.255', 3462340608, 3462340863, 'CA', 'Canada'),
(141206, '206.95.33.0', '206.95.71.255', 3462340864, 3462350847, 'US', 'United States'),
(141207, '206.95.72.0', '206.95.72.255', 3462350848, 3462351103, 'CA', 'Canada'),
(141208, '206.95.73.0', '206.98.252.255', 3462351104, 3462593791, 'US', 'United States'),
(141209, '206.98.253.0', '206.98.255.255', 3462593792, 3462594559, 'GN', 'Guinea'),
(141210, '206.99.0.0', '206.99.151.255', 3462594560, 3462633471, 'US', 'United States'),
(141211, '206.99.152.0', '206.99.152.255', 3462633472, 3462633727, 'SG', 'Singapore'),
(141212, '206.99.153.0', '206.99.153.71', 3462633728, 3462633799, 'BV', 'Bouvet Island'),
(141213, '206.99.153.72', '206.99.153.95', 3462633800, 3462633823, 'US', 'United States'),
(141214, '206.99.153.96', '206.99.153.127', 3462633824, 3462633855, 'SG', 'Singapore'),
(141215, '206.99.153.128', '206.99.153.255', 3462633856, 3462633983, 'US', 'United States'),
(141216, '206.99.154.0', '206.99.154.255', 3462633984, 3462634239, 'SG', 'Singapore'),
(141217, '206.99.155.0', '206.99.155.7', 3462634240, 3462634247, 'US', 'United States'),
(141218, '206.99.155.8', '206.99.155.31', 3462634248, 3462634271, 'SG', 'Singapore'),
(141219, '206.99.155.32', '206.99.155.127', 3462634272, 3462634367, 'AE', 'United Arab Emirates'),
(141220, '206.99.155.128', '206.99.155.255', 3462634368, 3462634495, 'SG', 'Singapore'),
(141221, '206.99.156.0', '206.99.156.255', 3462634496, 3462634751, 'US', 'United States'),
(141222, '206.99.157.0', '206.99.157.255', 3462634752, 3462635007, 'SG', 'Singapore'),
(141223, '206.99.158.0', '206.99.158.255', 3462635008, 3462635263, 'US', 'United States'),
(141224, '206.99.159.0', '206.99.159.255', 3462635264, 3462635519, 'SG', 'Singapore'),
(141225, '206.99.160.0', '206.103.128.7', 3462635520, 3462889479, 'US', 'United States'),
(141226, '206.103.128.8', '206.103.128.15', 3462889480, 3462889487, 'GB', 'United Kingdom'),
(141227, '206.103.128.16', '206.105.13.79', 3462889488, 3462991183, 'US', 'United States'),
(141228, '206.105.13.80', '206.105.13.87', 3462991184, 3462991191, 'CA', 'Canada'),
(141229, '206.105.13.88', '206.105.63.255', 3462991192, 3463004159, 'US', 'United States'),
(141230, '206.105.64.0', '206.105.71.255', 3463004160, 3463006207, 'CO', 'Colombia'),
(141231, '206.105.72.0', '206.105.173.255', 3463006208, 3463032319, 'US', 'United States'),
(141232, '206.105.174.0', '206.105.175.255', 3463032320, 3463032831, 'PR', 'Puerto Rico'),
(141233, '206.105.176.0', '206.105.215.255', 3463032832, 3463043071, 'US', 'United States'),
(141234, '206.105.216.0', '206.105.219.255', 3463043072, 3463044095, 'ES', 'Spain'),
(141235, '206.105.220.0', '206.106.139.255', 3463044096, 3463089151, 'US', 'United States'),
(141236, '206.106.140.0', '206.106.143.255', 3463089152, 3463090175, 'CA', 'Canada'),
(141237, '206.106.144.0', '206.106.247.255', 3463090176, 3463116799, 'US', 'United States'),
(141238, '206.106.248.0', '206.106.255.255', 3463116800, 3463118847, 'CO', 'Colombia'),
(141239, '206.107.0.0', '206.107.147.255', 3463118848, 3463156735, 'US', 'United States'),
(141240, '206.107.148.0', '206.107.151.255', 3463156736, 3463157759, 'BO', 'Bolivia'),
(141241, '206.107.152.0', '206.107.223.255', 3463157760, 3463176191, 'US', 'United States'),
(141242, '206.107.224.0', '206.107.225.255', 3463176192, 3463176703, 'AN', 'Netherlands Antilles'),
(141243, '206.107.226.0', '206.107.255.255', 3463176704, 3463184383, 'US', 'United States'),
(141244, '206.108.0.0', '206.108.39.255', 3463184384, 3463194623, 'CA', 'Canada'),
(141245, '206.108.40.0', '206.108.55.255', 3463194624, 3463198719, 'US', 'United States'),
(141246, '206.108.56.0', '206.108.112.255', 3463198720, 3463213311, 'CA', 'Canada'),
(141247, '206.108.113.0', '206.108.113.255', 3463213312, 3463213567, 'US', 'United States'),
(141248, '206.108.116.0', '206.108.119.255', 3463214080, 3463215103, 'US', 'United States'),
(141249, '206.108.120.0', '206.108.175.143', 3463215104, 3463229327, 'CA', 'Canada'),
(141250, '206.108.175.144', '206.108.175.151', 3463229328, 3463229335, 'US', 'United States'),
(141251, '206.108.175.152', '206.108.231.255', 3463229336, 3463243775, 'CA', 'Canada'),
(141252, '206.108.232.0', '206.108.236.255', 3463243776, 3463245055, 'US', 'United States'),
(141253, '206.108.237.0', '206.108.255.255', 3463245056, 3463249919, 'CA', 'Canada'),
(141254, '206.109.0.0', '206.112.130.255', 3463249920, 3463480063, 'US', 'United States'),
(141255, '206.112.131.0', '206.112.131.255', 3463480064, 3463480319, 'CA', 'Canada'),
(141256, '206.112.132.0', '206.112.217.255', 3463480320, 3463502335, 'US', 'United States'),
(141257, '206.112.218.0', '206.112.218.63', 3463502336, 3463502399, 'GB', 'United Kingdom'),
(141258, '206.112.218.64', '206.113.23.255', 3463502400, 3463518207, 'US', 'United States'),
(141259, '206.113.24.0', '206.113.31.255', 3463518208, 3463520255, 'NL', 'Netherlands'),
(141260, '206.113.32.0', '206.113.96.255', 3463520256, 3463536895, 'US', 'United States'),
(141261, '206.113.97.0', '206.113.97.255', 3463536896, 3463537151, 'NG', 'Nigeria'),
(141262, '206.113.98.0', '206.114.23.79', 3463537152, 3463583567, 'US', 'United States'),
(141263, '206.114.23.80', '206.114.23.95', 3463583568, 3463583583, 'UM', 'United States Minor Outlying Islands'),
(141264, '206.114.23.96', '206.114.97.255', 3463583584, 3463602687, 'US', 'United States'),
(141265, '206.114.98.0', '206.114.98.255', 3463602688, 3463602943, 'PH', 'Philippines'),
(141266, '206.114.99.0', '206.114.213.255', 3463602944, 3463632383, 'US', 'United States'),
(141267, '206.114.214.0', '206.114.214.7', 3463632384, 3463632391, 'CA', 'Canada'),
(141268, '206.114.214.8', '206.114.214.15', 3463632392, 3463632399, 'US', 'United States'),
(141269, '206.114.214.16', '206.114.214.31', 3463632400, 3463632415, 'CA', 'Canada'),
(141270, '206.114.214.32', '206.115.255.255', 3463632416, 3463708671, 'US', 'United States'),
(141271, '206.116.0.0', '206.116.255.255', 3463708672, 3463774207, 'CA', 'Canada'),
(141272, '206.117.0.0', '206.122.23.255', 3463774208, 3464108031, 'US', 'United States'),
(141273, '206.122.24.0', '206.122.24.255', 3464108032, 3464108287, 'DE', 'Germany'),
(141274, '206.122.25.0', '206.122.101.255', 3464108288, 3464127999, 'US', 'United States'),
(141275, '206.122.102.0', '206.122.102.255', 3464128000, 3464128255, 'DE', 'Germany'),
(141276, '206.122.103.0', '206.122.107.255', 3464128256, 3464129535, 'US', 'United States'),
(141277, '206.122.108.0', '206.122.109.255', 3464129536, 3464130047, 'DE', 'Germany'),
(141278, '206.122.110.0', '206.123.0.255', 3464130048, 3464167679, 'US', 'United States'),
(141279, '206.123.1.0', '206.123.6.255', 3464167680, 3464169215, 'CA', 'Canada'),
(141280, '206.123.7.0', '206.123.7.255', 3464169216, 3464169471, 'US', 'United States'),
(141281, '206.123.8.0', '206.123.16.255', 3464169472, 3464171775, 'CA', 'Canada'),
(141282, '206.123.17.0', '206.123.17.255', 3464171776, 3464172031, 'US', 'United States'),
(141283, '206.123.18.0', '206.123.51.255', 3464172032, 3464180735, 'CA', 'Canada'),
(141284, '206.123.52.0', '206.123.66.167', 3464180736, 3464184487, 'US', 'United States'),
(141285, '206.123.66.168', '206.123.66.175', 3464184488, 3464184495, 'GB', 'United Kingdom'),
(141286, '206.123.66.176', '206.123.66.191', 3464184496, 3464184511, 'CA', 'Canada'),
(141287, '206.123.66.192', '206.123.89.255', 3464184512, 3464190463, 'US', 'United States'),
(141288, '206.123.90.0', '206.123.90.255', 3464190464, 3464190719, 'CA', 'Canada'),
(141289, '206.123.91.0', '206.123.95.55', 3464190720, 3464191799, 'US', 'United States'),
(141290, '206.123.95.56', '206.123.95.63', 3464191800, 3464191807, 'AF', 'Afghanistan'),
(141291, '206.123.95.64', '206.123.95.167', 3464191808, 3464191911, 'US', 'United States'),
(141292, '206.123.95.168', '206.123.95.175', 3464191912, 3464191919, 'ES', 'Spain'),
(141293, '206.123.95.176', '206.123.109.215', 3464191920, 3464195543, 'US', 'United States'),
(141294, '206.123.109.216', '206.123.109.223', 3464195544, 3464195551, 'IT', 'Italy'),
(141295, '206.123.109.224', '206.123.111.103', 3464195552, 3464195943, 'US', 'United States'),
(141296, '206.123.111.104', '206.123.111.111', 3464195944, 3464195951, 'AU', 'Australia'),
(141297, '206.123.111.112', '206.123.111.119', 3464195952, 3464195959, 'IT', 'Italy'),
(141298, '206.123.111.120', '206.123.112.55', 3464195960, 3464196151, 'US', 'United States'),
(141299, '206.123.112.56', '206.123.112.63', 3464196152, 3464196159, 'AU', 'Australia'),
(141300, '206.123.112.64', '206.123.112.79', 3464196160, 3464196175, 'US', 'United States'),
(141301, '206.123.112.80', '206.123.112.87', 3464196176, 3464196183, 'AU', 'Australia'),
(141302, '206.123.112.88', '206.123.112.95', 3464196184, 3464196191, 'IT', 'Italy'),
(141303, '206.123.112.96', '206.123.113.138', 3464196192, 3464196490, 'US', 'United States'),
(141304, '206.123.113.139', '206.123.113.139', 3464196491, 3464196491, 'ZA', 'South Africa'),
(141305, '206.123.113.140', '206.123.127.255', 3464196492, 3464200191, 'US', 'United States'),
(141306, '206.123.160.0', '206.123.191.255', 3464208384, 3464216575, 'CA', 'Canada'),
(141307, '206.123.192.0', '206.125.44.143', 3464216576, 3464309903, 'US', 'United States'),
(141308, '206.125.44.144', '206.125.44.151', 3464309904, 3464309911, 'CA', 'Canada'),
(141309, '206.125.44.152', '206.125.46.191', 3464309912, 3464310463, 'US', 'United States'),
(141310, '206.125.46.192', '206.125.46.223', 3464310464, 3464310495, 'AU', 'Australia'),
(141311, '206.125.46.224', '206.125.47.63', 3464310496, 3464310591, 'US', 'United States'),
(141312, '206.125.47.64', '206.125.47.127', 3464310592, 3464310655, 'AU', 'Australia'),
(141313, '206.125.47.128', '206.125.163.255', 3464310656, 3464340479, 'US', 'United States'),
(141314, '206.125.164.0', '206.125.167.255', 3464340480, 3464341503, 'CA', 'Canada'),
(141315, '206.125.168.0', '206.125.168.255', 3464341504, 3464341759, 'US', 'United States'),
(141316, '206.125.169.0', '206.125.169.15', 3464341760, 3464341775, 'JP', 'Japan'),
(141317, '206.125.169.16', '206.125.169.23', 3464341776, 3464341783, 'AU', 'Australia'),
(141318, '206.125.169.24', '206.125.169.39', 3464341784, 3464341799, 'US', 'United States'),
(141319, '206.125.169.40', '206.125.169.47', 3464341800, 3464341807, 'CA', 'Canada'),
(141320, '206.125.169.48', '206.125.169.55', 3464341808, 3464341815, 'JP', 'Japan'),
(141321, '206.125.169.56', '206.125.169.63', 3464341816, 3464341823, 'US', 'United States'),
(141322, '206.125.169.64', '206.125.169.71', 3464341824, 3464341831, 'PT', 'Portugal'),
(141323, '206.125.169.72', '206.125.169.135', 3464341832, 3464341895, 'US', 'United States'),
(141324, '206.125.169.136', '206.125.169.143', 3464341896, 3464341903, 'ID', 'Indonesia'),
(141325, '206.125.169.144', '206.125.169.151', 3464341904, 3464341911, 'US', 'United States'),
(141326, '206.125.169.152', '206.125.169.159', 3464341912, 3464341919, 'IE', 'Ireland'),
(141327, '206.125.169.160', '206.125.169.167', 3464341920, 3464341927, 'US', 'United States'),
(141328, '206.125.169.168', '206.125.169.175', 3464341928, 3464341935, 'CV', 'Cape Verde'),
(141329, '206.125.169.176', '206.125.169.247', 3464341936, 3464342007, 'US', 'United States'),
(141330, '206.125.169.248', '206.125.169.255', 3464342008, 3464342015, 'PL', 'Poland'),
(141331, '206.125.170.0', '206.125.171.79', 3464342016, 3464342351, 'US', 'United States'),
(141332, '206.125.171.80', '206.125.171.87', 3464342352, 3464342359, 'TR', 'Turkey'),
(141333, '206.125.171.88', '206.125.173.95', 3464342360, 3464342879, 'US', 'United States'),
(141334, '206.125.173.96', '206.125.173.103', 3464342880, 3464342887, 'GB', 'United Kingdom'),
(141335, '206.125.173.104', '206.125.174.119', 3464342888, 3464343159, 'US', 'United States'),
(141336, '206.125.174.120', '206.125.174.127', 3464343160, 3464343167, 'MQ', 'Martinique'),
(141337, '206.125.174.128', '206.125.174.231', 3464343168, 3464343271, 'US', 'United States'),
(141338, '206.125.174.232', '206.125.174.239', 3464343272, 3464343279, 'CA', 'Canada'),
(141339, '206.125.174.240', '206.125.175.127', 3464343280, 3464343423, 'US', 'United States'),
(141340, '206.125.175.128', '206.125.175.135', 3464343424, 3464343431, 'SG', 'Singapore'),
(141341, '206.125.175.136', '206.126.71.255', 3464343432, 3464382463, 'US', 'United States'),
(141342, '206.126.80.0', '206.126.95.255', 3464384512, 3464388607, 'CA', 'Canada'),
(141343, '206.126.96.0', '206.126.119.255', 3464388608, 3464394751, 'US', 'United States'),
(141344, '206.126.120.0', '206.126.127.255', 3464394752, 3464396799, 'LC', 'Saint Lucia'),
(141345, '206.126.128.0', '206.128.207.255', 3464396800, 3464548351, 'US', 'United States'),
(141346, '206.128.208.0', '206.128.208.255', 3464548352, 3464548607, 'AG', 'Antigua and Barbuda'),
(141347, '206.128.209.0', '206.128.209.255', 3464548608, 3464548863, 'LC', 'Saint Lucia'),
(141348, '206.128.210.0', '206.128.210.255', 3464548864, 3464549119, 'KN', 'Saint Kitts and Nevis'),
(141349, '206.128.211.0', '206.128.211.255', 3464549120, 3464549375, 'VG', 'Virgin Islands, British'),
(141350, '206.128.212.0', '206.128.212.63', 3464549376, 3464549439, 'AG', 'Antigua and Barbuda'),
(141351, '206.128.212.64', '206.128.212.127', 3464549440, 3464549503, 'MS', 'Montserrat'),
(141352, '206.128.212.128', '206.128.213.95', 3464549504, 3464549727, 'AG', 'Antigua and Barbuda'),
(141353, '206.128.213.96', '206.128.213.127', 3464549728, 3464549759, 'KN', 'Saint Kitts and Nevis'),
(141354, '206.128.213.128', '206.128.214.255', 3464549760, 3464550143, 'AG', 'Antigua and Barbuda'),
(141355, '206.128.215.0', '206.128.215.255', 3464550144, 3464550399, 'LC', 'Saint Lucia'),
(141356, '206.128.216.0', '206.129.255.255', 3464550400, 3464626175, 'US', 'United States'),
(141357, '206.130.1.0', '206.130.1.255', 3464626432, 3464626687, 'CA', 'Canada'),
(141358, '206.130.2.0', '206.130.3.255', 3464626688, 3464627199, 'US', 'United States'),
(141359, '206.130.7.0', '206.130.15.255', 3464627968, 3464630271, 'CA', 'Canada'),
(141360, '206.130.16.0', '206.130.19.255', 3464630272, 3464631295, 'US', 'United States'),
(141361, '206.130.20.0', '206.130.95.255', 3464631296, 3464650751, 'CA', 'Canada'),
(141362, '206.130.96.0', '206.130.147.255', 3464650752, 3464664063, 'US', 'United States'),
(141363, '206.130.148.0', '206.130.255.255', 3464664064, 3464691711, 'CA', 'Canada'),
(141364, '206.131.0.0', '206.132.34.191', 3464691712, 3464766143, 'US', 'United States'),
(141365, '206.132.34.192', '206.132.34.255', 3464766144, 3464766207, 'IN', 'India'),
(141366, '206.132.35.0', '206.132.44.95', 3464766208, 3464768607, 'US', 'United States'),
(141367, '206.132.44.96', '206.132.44.111', 3464768608, 3464768623, 'IT', 'Italy'),
(141368, '206.132.44.112', '206.132.44.255', 3464768624, 3464768767, 'US', 'United States'),
(141369, '206.132.45.0', '206.132.45.127', 3464768768, 3464768895, 'CA', 'Canada'),
(141370, '206.132.45.128', '206.132.47.255', 3464768896, 3464769535, 'US', 'United States'),
(141371, '206.132.48.0', '206.132.63.255', 3464769536, 3464773631, 'CA', 'Canada'),
(141372, '206.132.64.0', '206.132.65.191', 3464773632, 3464774079, 'US', 'United States'),
(141373, '206.132.65.192', '206.132.65.223', 3464774080, 3464774111, 'ES', 'Spain'),
(141374, '206.132.65.224', '206.132.175.255', 3464774112, 3464802303, 'US', 'United States'),
(141375, '206.132.176.0', '206.132.191.255', 3464802304, 3464806399, 'CA', 'Canada'),
(141376, '206.132.192.0', '206.138.15.255', 3464806400, 3465154559, 'US', 'United States'),
(141377, '206.138.16.0', '206.138.31.255', 3465154560, 3465158655, 'BS', 'Bahamas'),
(141378, '206.138.32.0', '206.138.103.255', 3465158656, 3465177087, 'US', 'United States'),
(141379, '206.138.104.0', '206.138.111.255', 3465177088, 3465179135, 'PE', 'Peru'),
(141380, '206.138.112.0', '206.141.255.255', 3465179136, 3465412607, 'US', 'United States'),
(141381, '206.142.0.0', '206.142.1.7', 3465412608, 3465412871, 'HK', 'Hong Kong'),
(141382, '206.142.1.8', '206.142.1.31', 3465412872, 3465412895, 'GB', 'United Kingdom'),
(141383, '206.142.1.32', '206.142.1.63', 3465412896, 3465412927, 'US', 'United States'),
(141384, '206.142.1.64', '206.142.1.191', 3465412928, 3465413055, 'HK', 'Hong Kong'),
(141385, '206.142.1.192', '206.142.1.255', 3465413056, 3465413119, 'US', 'United States'),
(141386, '206.142.2.0', '206.142.2.7', 3465413120, 3465413127, 'HK', 'Hong Kong'),
(141387, '206.142.2.8', '206.142.2.255', 3465413128, 3465413375, 'US', 'United States'),
(141388, '206.142.3.0', '206.142.3.7', 3465413376, 3465413383, 'HK', 'Hong Kong'),
(141389, '206.142.3.8', '206.142.195.255', 3465413384, 3465462783, 'US', 'United States'),
(141390, '206.142.196.0', '206.142.196.255', 3465462784, 3465463039, 'GB', 'United Kingdom'),
(141391, '206.142.197.0', '206.142.197.239', 3465463040, 3465463279, 'US', 'United States'),
(141392, '206.142.197.240', '206.142.197.255', 3465463280, 3465463295, 'GB', 'United Kingdom'),
(141393, '206.142.198.0', '206.142.211.63', 3465463296, 3465466687, 'US', 'United States'),
(141394, '206.142.211.64', '206.142.211.79', 3465466688, 3465466703, 'GB', 'United Kingdom'),
(141395, '206.142.211.80', '206.142.211.255', 3465466704, 3465466879, 'US', 'United States'),
(141396, '206.142.212.0', '206.142.212.95', 3465466880, 3465466975, 'GB', 'United Kingdom'),
(141397, '206.142.212.96', '206.142.212.191', 3465466976, 3465467071, 'US', 'United States'),
(141398, '206.142.212.192', '206.142.212.199', 3465467072, 3465467079, 'GB', 'United Kingdom'),
(141399, '206.142.212.200', '206.142.216.175', 3465467080, 3465468079, 'US', 'United States'),
(141400, '206.142.216.176', '206.142.216.183', 3465468080, 3465468087, 'GB', 'United Kingdom'),
(141401, '206.142.216.184', '206.142.217.191', 3465468088, 3465468351, 'US', 'United States'),
(141402, '206.142.217.192', '206.142.217.207', 3465468352, 3465468367, 'FI', 'Finland'),
(141403, '206.142.217.208', '206.142.217.223', 3465468368, 3465468383, 'US', 'United States'),
(141404, '206.142.217.224', '206.142.217.239', 3465468384, 3465468399, 'GB', 'United Kingdom'),
(141405, '206.142.217.240', '206.142.219.207', 3465468400, 3465468879, 'US', 'United States'),
(141406, '206.142.219.208', '206.142.219.239', 3465468880, 3465468911, 'SG', 'Singapore'),
(141407, '206.142.219.240', '206.142.220.7', 3465468912, 3465468935, 'US', 'United States'),
(141408, '206.142.220.8', '206.142.220.15', 3465468936, 3465468943, 'SG', 'Singapore'),
(141409, '206.142.220.16', '206.142.220.255', 3465468944, 3465469183, 'US', 'United States'),
(141410, '206.142.221.0', '206.142.221.31', 3465469184, 3465469215, 'GB', 'United Kingdom'),
(141411, '206.142.221.32', '206.142.222.63', 3465469216, 3465469503, 'US', 'United States'),
(141412, '206.142.222.64', '206.142.222.79', 3465469504, 3465469519, 'GB', 'United Kingdom'),
(141413, '206.142.222.80', '206.143.127.255', 3465469520, 3465510911, 'US', 'United States'),
(141414, '206.143.128.0', '206.143.255.255', 3465510912, 3465543679, 'JP', 'Japan'),
(141415, '206.144.0.0', '206.150.64.223', 3465543680, 3465953503, 'US', 'United States'),
(141416, '206.150.64.224', '206.150.64.255', 3465953504, 3465953535, 'CA', 'Canada'),
(141417, '206.150.65.0', '206.150.67.127', 3465953536, 3465954175, 'US', 'United States'),
(141418, '206.150.67.128', '206.150.67.255', 3465954176, 3465954303, 'CA', 'Canada'),
(141419, '206.150.68.0', '206.150.68.191', 3465954304, 3465954495, 'US', 'United States'),
(141420, '206.150.68.192', '206.150.68.207', 3465954496, 3465954511, 'CA', 'Canada'),
(141421, '206.150.68.208', '206.150.68.255', 3465954512, 3465954559, 'US', 'United States'),
(141422, '206.150.69.0', '206.150.69.15', 3465954560, 3465954575, 'CA', 'Canada'),
(141423, '206.150.69.16', '206.150.96.135', 3465954576, 3465961607, 'US', 'United States'),
(141424, '206.150.96.136', '206.150.96.143', 3465961608, 3465961615, 'CA', 'Canada'),
(141425, '206.150.96.144', '206.150.96.159', 3465961616, 3465961631, 'US', 'United States'),
(141426, '206.150.96.160', '206.150.96.191', 3465961632, 3465961663, 'CA', 'Canada'),
(141427, '206.150.96.192', '206.150.97.55', 3465961664, 3465961783, 'US', 'United States'),
(141428, '206.150.97.56', '206.150.97.63', 3465961784, 3465961791, 'CA', 'Canada'),
(141429, '206.150.97.64', '206.150.97.255', 3465961792, 3465961983, 'US', 'United States'),
(141430, '206.150.98.0', '206.150.98.31', 3465961984, 3465962015, 'CA', 'Canada'),
(141431, '206.150.98.32', '206.150.180.15', 3465962016, 3465982991, 'US', 'United States'),
(141432, '206.150.180.16', '206.150.180.31', 3465982992, 3465983007, 'GB', 'United Kingdom'),
(141433, '206.150.180.32', '206.150.180.47', 3465983008, 3465983023, 'US', 'United States'),
(141434, '206.150.180.48', '206.150.180.151', 3465983024, 3465983127, 'GB', 'United Kingdom'),
(141435, '206.150.180.152', '206.150.180.191', 3465983128, 3465983167, 'US', 'United States'),
(141436, '206.150.180.192', '206.150.180.223', 3465983168, 3465983199, 'GB', 'United Kingdom'),
(141437, '206.150.180.224', '206.150.180.231', 3465983200, 3465983207, 'ZA', 'South Africa'),
(141438, '206.150.180.232', '206.150.181.31', 3465983208, 3465983263, 'GB', 'United Kingdom'),
(141439, '206.150.181.32', '206.150.181.39', 3465983264, 3465983271, 'US', 'United States'),
(141440, '206.150.181.40', '206.150.181.79', 3465983272, 3465983311, 'GB', 'United Kingdom'),
(141441, '206.150.181.80', '206.150.181.231', 3465983312, 3465983463, 'US', 'United States'),
(141442, '206.150.181.232', '206.150.181.255', 3465983464, 3465983487, 'GB', 'United Kingdom'),
(141443, '206.150.182.0', '206.151.165.231', 3465983488, 3466044903, 'US', 'United States'),
(141444, '206.151.165.232', '206.151.165.239', 3466044904, 3466044911, 'PH', 'Philippines'),
(141445, '206.151.165.240', '206.151.255.255', 3466044912, 3466067967, 'US', 'United States'),
(141446, '206.152.0.0', '206.152.1.23', 3466067968, 3466068247, 'CA', 'Canada'),
(141447, '206.152.1.24', '206.153.95.255', 3466068248, 3466158079, 'US', 'United States'),
(141448, '206.153.96.0', '206.153.127.255', 3466158080, 3466166271, 'PA', 'Panama'),
(141449, '206.153.128.0', '206.155.68.127', 3466166272, 3466282111, 'US', 'United States'),
(141450, '206.155.68.128', '206.155.68.135', 3466282112, 3466282119, 'GB', 'United Kingdom'),
(141451, '206.155.68.136', '206.155.70.231', 3466282120, 3466282727, 'US', 'United States'),
(141452, '206.155.70.232', '206.155.70.247', 3466282728, 3466282743, 'CA', 'Canada'),
(141453, '206.155.70.248', '206.155.73.63', 3466282744, 3466283327, 'US', 'United States'),
(141454, '206.155.73.64', '206.155.73.127', 3466283328, 3466283391, 'CA', 'Canada'),
(141455, '206.155.73.128', '206.155.84.23', 3466283392, 3466286103, 'US', 'United States'),
(141456, '206.155.84.24', '206.155.84.31', 3466286104, 3466286111, 'DE', 'Germany'),
(141457, '206.155.84.32', '206.155.101.255', 3466286112, 3466290687, 'US', 'United States'),
(141458, '206.155.102.0', '206.155.102.255', 3466290688, 3466290943, 'CH', 'Switzerland'),
(141459, '206.155.103.0', '206.155.115.255', 3466290944, 3466294271, 'US', 'United States'),
(141460, '206.155.116.0', '206.155.116.47', 3466294272, 3466294319, 'CA', 'Canada'),
(141461, '206.155.116.48', '206.155.119.223', 3466294320, 3466295263, 'US', 'United States'),
(141462, '206.155.119.224', '206.155.119.239', 3466295264, 3466295279, 'CA', 'Canada'),
(141463, '206.155.119.240', '206.155.121.95', 3466295280, 3466295647, 'US', 'United States'),
(141464, '206.155.121.96', '206.155.121.127', 3466295648, 3466295679, 'CA', 'Canada'),
(141465, '206.155.121.128', '206.155.191.255', 3466295680, 3466313727, 'US', 'United States'),
(141466, '206.155.192.0', '206.155.207.255', 3466313728, 3466317823, 'CA', 'Canada'),
(141467, '206.155.208.0', '206.158.111.255', 3466317824, 3466489855, 'US', 'United States'),
(141468, '206.158.112.0', '206.158.112.255', 3466489856, 3466490111, 'CA', 'Canada'),
(141469, '206.158.113.0', '206.159.111.63', 3466490112, 3466555199, 'US', 'United States'),
(141470, '206.159.111.64', '206.159.111.79', 3466555200, 3466555215, 'CA', 'Canada'),
(141471, '206.159.111.80', '206.159.122.255', 3466555216, 3466558207, 'US', 'United States'),
(141472, '206.159.123.0', '206.159.123.255', 3466558208, 3466558463, 'EC', 'Ecuador'),
(141473, '206.159.124.0', '206.159.130.255', 3466558464, 3466560255, 'US', 'United States'),
(141474, '206.159.131.0', '206.159.131.255', 3466560256, 3466560511, 'GH', 'Ghana'),
(141475, '206.159.132.0', '206.160.135.191', 3466560512, 3466627007, 'US', 'United States'),
(141476, '206.160.135.192', '206.160.135.223', 3466627008, 3466627039, 'PR', 'Puerto Rico'),
(141477, '206.160.135.224', '206.161.15.255', 3466627040, 3466661887, 'US', 'United States'),
(141478, '206.161.16.0', '206.161.23.255', 3466661888, 3466663935, 'TW', 'Taiwan'),
(141479, '206.161.24.0', '206.161.98.255', 3466663936, 3466683135, 'US', 'United States'),
(141480, '206.161.99.0', '206.161.99.255', 3466683136, 3466683391, 'A2', 'Satellite Provider'),
(141481, '206.161.100.0', '206.161.119.255', 3466683392, 3466688511, 'US', 'United States'),
(141482, '206.161.120.0', '206.161.120.255', 3466688512, 3466688767, 'A2', 'Satellite Provider'),
(141483, '206.161.121.0', '206.162.44.255', 3466688768, 3466734847, 'US', 'United States'),
(141484, '206.162.45.0', '206.162.45.255', 3466734848, 3466735103, 'RU', 'Russian Federation'),
(141485, '206.162.46.0', '206.162.127.255', 3466735104, 3466756095, 'US', 'United States'),
(141486, '206.162.128.0', '206.162.191.255', 3466756096, 3466772479, 'CA', 'Canada'),
(141487, '206.162.192.0', '206.163.223.255', 3466772480, 3466846207, 'US', 'United States'),
(141488, '206.163.224.0', '206.163.255.255', 3466846208, 3466854399, 'CA', 'Canada'),
(141489, '206.164.0.0', '206.164.191.255', 3466854400, 3466903551, 'US', 'United States'),
(141490, '206.164.192.0', '206.164.193.255', 3466903552, 3466904063, 'CH', 'Switzerland'),
(141491, '206.164.194.0', '206.165.36.255', 3466904064, 3466929407, 'US', 'United States'),
(141492, '206.165.37.0', '206.165.37.255', 3466929408, 3466929663, 'IT', 'Italy'),
(141493, '206.165.38.0', '206.165.72.76', 3466929664, 3466938444, 'US', 'United States'),
(141494, '206.165.72.77', '206.165.72.80', 3466938445, 3466938448, 'HK', 'Hong Kong'),
(141495, '206.165.72.81', '206.165.148.255', 3466938449, 3466958079, 'US', 'United States'),
(141496, '206.165.149.0', '206.165.149.255', 3466958080, 3466958335, 'CA', 'Canada'),
(141497, '206.165.150.0', '206.165.221.255', 3466958336, 3466976767, 'US', 'United States'),
(141498, '206.165.222.0', '206.165.222.255', 3466976768, 3466977023, 'A1', 'Anonymous Proxy'),
(141499, '206.165.223.0', '206.166.255.255', 3466977024, 3467051007, 'US', 'United States'),
(141500, '206.167.0.0', '206.167.255.255', 3467051008, 3467116543, 'CA', 'Canada'),
(141501, '206.168.0.0', '206.168.112.135', 3467116544, 3467145351, 'US', 'United States'),
(141502, '206.168.112.136', '206.168.112.143', 3467145352, 3467145359, 'DE', 'Germany'),
(141503, '206.168.112.144', '206.168.114.15', 3467145360, 3467145743, 'US', 'United States'),
(141504, '206.168.114.16', '206.168.114.23', 3467145744, 3467145751, 'DE', 'Germany'),
(141505, '206.168.114.24', '206.168.114.87', 3467145752, 3467145815, 'US', 'United States'),
(141506, '206.168.114.88', '206.168.114.95', 3467145816, 3467145823, 'DE', 'Germany'),
(141507, '206.168.114.96', '206.168.114.103', 3467145824, 3467145831, 'CH', 'Switzerland'),
(141508, '206.168.114.104', '206.168.114.111', 3467145832, 3467145839, 'US', 'United States'),
(141509, '206.168.114.112', '206.168.114.119', 3467145840, 3467145847, 'HK', 'Hong Kong'),
(141510, '206.168.114.120', '206.168.114.127', 3467145848, 3467145855, 'DE', 'Germany'),
(141511, '206.168.114.128', '206.168.116.255', 3467145856, 3467146495, 'US', 'United States'),
(141512, '206.168.117.0', '206.168.117.63', 3467146496, 3467146559, 'CO', 'Colombia'),
(141513, '206.168.117.64', '206.168.117.95', 3467146560, 3467146591, 'DE', 'Germany'),
(141514, '206.168.117.96', '206.168.117.159', 3467146592, 3467146655, 'US', 'United States'),
(141515, '206.168.117.160', '206.168.117.175', 3467146656, 3467146671, 'CN', 'China'),
(141516, '206.168.117.176', '206.171.255.255', 3467146672, 3467378687, 'US', 'United States'),
(141517, '206.172.0.0', '206.172.255.255', 3467378688, 3467444223, 'CA', 'Canada'),
(141518, '206.173.0.0', '206.174.175.255', 3467444224, 3467554815, 'US', 'United States'),
(141519, '206.174.176.0', '206.174.223.255', 3467554816, 3467567103, 'CA', 'Canada'),
(141520, '206.174.224.0', '206.175.174.95', 3467567104, 3467619935, 'US', 'United States'),
(141521, '206.175.174.96', '206.175.174.127', 3467619936, 3467619967, 'CA', 'Canada'),
(141522, '206.175.174.128', '206.176.255.255', 3467619968, 3467706367, 'US', 'United States'),
(141523, '206.177.0.0', '206.179.255.255', 3467706368, 3467902975, 'CA', 'Canada'),
(141524, '206.180.0.0', '206.180.239.255', 3467902976, 3467964415, 'US', 'United States'),
(141525, '206.180.240.0', '206.180.255.255', 3467964416, 3467968511, 'CA', 'Canada'),
(141526, '206.181.0.0', '206.181.255.255', 3467968512, 3468034047, 'US', 'United States'),
(141527, '206.182.0.0', '206.182.7.255', 3468034048, 3468036095, 'GB', 'United Kingdom'),
(141528, '206.182.8.0', '206.182.8.255', 3468036096, 3468036351, 'BE', 'Belgium'),
(141529, '206.182.9.0', '206.182.9.255', 3468036352, 3468036607, 'DE', 'Germany'),
(141530, '206.182.10.0', '206.182.10.255', 3468036608, 3468036863, 'ES', 'Spain'),
(141531, '206.182.11.0', '206.182.12.255', 3468036864, 3468037375, 'DE', 'Germany'),
(141532, '206.182.13.0', '206.182.14.255', 3468037376, 3468037887, 'US', 'United States'),
(141533, '206.182.15.0', '206.182.15.255', 3468037888, 3468038143, 'IE', 'Ireland'),
(141534, '206.182.16.0', '206.182.17.255', 3468038144, 3468038655, 'FR', 'France'),
(141535, '206.182.18.0', '206.182.18.255', 3468038656, 3468038911, 'NL', 'Netherlands'),
(141536, '206.182.19.0', '206.182.19.255', 3468038912, 3468039167, 'SE', 'Sweden'),
(141537, '206.182.20.0', '206.182.20.255', 3468039168, 3468039423, 'FR', 'France'),
(141538, '206.182.21.0', '206.182.27.255', 3468039424, 3468041215, 'US', 'United States'),
(141539, '206.182.28.0', '206.182.28.255', 3468041216, 3468041471, 'FI', 'Finland'),
(141540, '206.182.29.0', '206.182.29.255', 3468041472, 3468041727, 'US', 'United States'),
(141541, '206.182.30.0', '206.182.30.255', 3468041728, 3468041983, 'TW', 'Taiwan'),
(141542, '206.182.31.0', '206.182.32.127', 3468041984, 3468042367, 'US', 'United States'),
(141543, '206.182.32.128', '206.182.32.191', 3468042368, 3468042431, 'IT', 'Italy'),
(141544, '206.182.32.192', '206.182.32.255', 3468042432, 3468042495, 'US', 'United States'),
(141545, '206.182.33.0', '206.182.33.255', 3468042496, 3468042751, 'AT', 'Austria'),
(141546, '206.182.34.0', '206.182.35.127', 3468042752, 3468043135, 'US', 'United States'),
(141547, '206.182.35.128', '206.182.35.255', 3468043136, 3468043263, 'DK', 'Denmark'),
(141548, '206.182.36.0', '206.182.40.255', 3468043264, 3468044543, 'US', 'United States'),
(141549, '206.182.41.0', '206.182.41.255', 3468044544, 3468044799, 'ES', 'Spain'),
(141550, '206.182.42.0', '206.182.42.127', 3468044800, 3468044927, 'GB', 'United Kingdom'),
(141551, '206.182.42.128', '206.182.42.255', 3468044928, 3468045055, 'DK', 'Denmark'),
(141552, '206.182.43.0', '206.182.43.255', 3468045056, 3468045311, 'DE', 'Germany'),
(141553, '206.182.44.0', '206.182.45.127', 3468045312, 3468045695, 'US', 'United States'),
(141554, '206.182.45.128', '206.182.45.255', 3468045696, 3468045823, 'ZA', 'South Africa'),
(141555, '206.182.46.0', '206.182.46.255', 3468045824, 3468046079, 'NO', 'Norway'),
(141556, '206.182.47.0', '206.182.47.255', 3468046080, 3468046335, 'ZA', 'South Africa'),
(141557, '206.182.48.0', '206.182.48.255', 3468046336, 3468046591, 'FR', 'France'),
(141558, '206.182.49.0', '206.182.49.127', 3468046592, 3468046719, 'US', 'United States'),
(141559, '206.182.49.128', '206.182.49.255', 3468046720, 3468046847, 'DE', 'Germany'),
(141560, '206.182.50.0', '206.182.50.255', 3468046848, 3468047103, 'IT', 'Italy'),
(141561, '206.182.51.0', '206.182.51.255', 3468047104, 3468047359, 'US', 'United States'),
(141562, '206.182.52.0', '206.182.52.255', 3468047360, 3468047615, 'DE', 'Germany'),
(141563, '206.182.53.0', '206.182.53.127', 3468047616, 3468047743, 'US', 'United States'),
(141564, '206.182.53.128', '206.182.53.191', 3468047744, 3468047807, 'LU', 'Luxembourg'),
(141565, '206.182.53.192', '206.182.53.255', 3468047808, 3468047871, 'US', 'United States'),
(141566, '206.182.54.0', '206.182.54.15', 3468047872, 3468047887, 'ES', 'Spain'),
(141567, '206.182.54.16', '206.182.54.127', 3468047888, 3468047999, 'US', 'United States'),
(141568, '206.182.54.128', '206.182.54.255', 3468048000, 3468048127, 'DE', 'Germany'),
(141569, '206.182.55.0', '206.182.55.255', 3468048128, 3468048383, 'US', 'United States'),
(141570, '206.182.56.0', '206.182.56.255', 3468048384, 3468048639, 'FR', 'France'),
(141571, '206.182.57.0', '206.182.59.255', 3468048640, 3468049407, 'US', 'United States'),
(141572, '206.182.60.0', '206.182.60.255', 3468049408, 3468049663, 'GB', 'United Kingdom'),
(141573, '206.182.61.0', '206.182.61.255', 3468049664, 3468049919, 'US', 'United States'),
(141574, '206.182.62.0', '206.182.62.255', 3468049920, 3468050175, 'IT', 'Italy'),
(141575, '206.182.63.0', '206.182.63.255', 3468050176, 3468050431, 'US', 'United States'),
(141576, '206.182.64.0', '206.182.64.255', 3468050432, 3468050687, 'SE', 'Sweden'),
(141577, '206.182.65.0', '206.182.65.255', 3468050688, 3468050943, 'US', 'United States'),
(141578, '206.182.66.0', '206.182.66.63', 3468050944, 3468051007, 'IT', 'Italy'),
(141579, '206.182.66.64', '206.182.67.31', 3468051008, 3468051231, 'US', 'United States'),
(141580, '206.182.67.32', '206.182.67.63', 3468051232, 3468051263, 'DK', 'Denmark'),
(141581, '206.182.67.64', '206.182.67.127', 3468051264, 3468051327, 'AT', 'Austria'),
(141582, '206.182.67.128', '206.182.71.255', 3468051328, 3468052479, 'US', 'United States'),
(141583, '206.182.72.0', '206.182.72.255', 3468052480, 3468052735, 'ES', 'Spain'),
(141584, '206.182.73.0', '206.182.73.255', 3468052736, 3468052991, 'GB', 'United Kingdom'),
(141585, '206.182.74.0', '206.182.74.255', 3468052992, 3468053247, 'ES', 'Spain'),
(141586, '206.182.75.0', '206.182.75.255', 3468053248, 3468053503, 'ZA', 'South Africa'),
(141587, '206.182.76.0', '206.182.76.255', 3468053504, 3468053759, 'AU', 'Australia'),
(141588, '206.182.77.0', '206.182.77.255', 3468053760, 3468054015, 'CH', 'Switzerland'),
(141589, '206.182.78.0', '206.182.78.255', 3468054016, 3468054271, 'DE', 'Germany'),
(141590, '206.182.79.0', '206.182.82.255', 3468054272, 3468055295, 'US', 'United States'),
(141591, '206.182.83.0', '206.182.83.255', 3468055296, 3468055551, 'BE', 'Belgium'),
(141592, '206.182.84.0', '206.182.84.255', 3468055552, 3468055807, 'IT', 'Italy'),
(141593, '206.182.85.0', '206.182.85.255', 3468055808, 3468056063, 'NL', 'Netherlands'),
(141594, '206.182.86.0', '206.182.86.255', 3468056064, 3468056319, 'FR', 'France'),
(141595, '206.182.87.0', '206.182.87.255', 3468056320, 3468056575, 'CH', 'Switzerland'),
(141596, '206.182.88.0', '206.182.88.255', 3468056576, 3468056831, 'NO', 'Norway'),
(141597, '206.182.89.0', '206.182.89.127', 3468056832, 3468056959, 'DK', 'Denmark'),
(141598, '206.182.89.128', '206.182.89.191', 3468056960, 3468057023, 'IN', 'India'),
(141599, '206.182.89.192', '206.182.89.255', 3468057024, 3468057087, 'US', 'United States'),
(141600, '206.182.90.0', '206.182.90.127', 3468057088, 3468057215, 'LU', 'Luxembourg'),
(141601, '206.182.90.128', '206.182.91.31', 3468057216, 3468057375, 'GB', 'United Kingdom'),
(141602, '206.182.91.32', '206.182.91.255', 3468057376, 3468057599, 'US', 'United States'),
(141603, '206.182.92.0', '206.182.92.255', 3468057600, 3468057855, 'IL', 'Israel'),
(141604, '206.182.93.0', '206.182.93.255', 3468057856, 3468058111, 'US', 'United States'),
(141605, '206.182.94.0', '206.182.94.63', 3468058112, 3468058175, 'BE', 'Belgium'),
(141606, '206.182.94.64', '206.182.94.127', 3468058176, 3468058239, 'CH', 'Switzerland'),
(141607, '206.182.94.128', '206.182.94.255', 3468058240, 3468058367, 'GB', 'United Kingdom'),
(141608, '206.182.95.0', '206.182.95.0', 3468058368, 3468058368, 'US', 'United States'),
(141609, '206.182.95.1', '206.182.95.64', 3468058369, 3468058432, 'IT', 'Italy'),
(141610, '206.182.95.65', '206.182.95.191', 3468058433, 3468058559, 'US', 'United States'),
(141611, '206.182.95.192', '206.182.95.255', 3468058560, 3468058623, 'SG', 'Singapore'),
(141612, '206.182.96.0', '206.182.96.63', 3468058624, 3468058687, 'US', 'United States'),
(141613, '206.182.96.64', '206.182.96.95', 3468058688, 3468058719, 'ES', 'Spain'),
(141614, '206.182.96.96', '206.182.99.255', 3468058720, 3468059647, 'US', 'United States'),
(141615, '206.182.100.0', '206.182.100.255', 3468059648, 3468059903, 'FR', 'France'),
(141616, '206.182.101.0', '206.182.101.255', 3468059904, 3468060159, 'DE', 'Germany'),
(141617, '206.182.102.0', '206.182.103.255', 3468060160, 3468060671, 'FR', 'France'),
(141618, '206.182.104.0', '206.182.104.255', 3468060672, 3468060927, 'US', 'United States'),
(141619, '206.182.105.0', '206.182.105.63', 3468060928, 3468060991, 'FR', 'France'),
(141620, '206.182.105.64', '206.182.105.191', 3468060992, 3468061119, 'US', 'United States'),
(141621, '206.182.105.192', '206.182.105.255', 3468061120, 3468061183, 'CH', 'Switzerland'),
(141622, '206.182.106.0', '206.182.107.255', 3468061184, 3468061695, 'US', 'United States'),
(141623, '206.182.108.0', '206.182.108.255', 3468061696, 3468061951, 'JP', 'Japan'),
(141624, '206.182.109.0', '206.182.109.127', 3468061952, 3468062079, 'US', 'United States'),
(141625, '206.182.109.128', '206.182.109.191', 3468062080, 3468062143, 'GB', 'United Kingdom'),
(141626, '206.182.109.192', '206.182.110.127', 3468062144, 3468062335, 'US', 'United States'),
(141627, '206.182.110.128', '206.182.110.191', 3468062336, 3468062399, 'TW', 'Taiwan'),
(141628, '206.182.110.192', '206.182.110.255', 3468062400, 3468062463, 'DE', 'Germany'),
(141629, '206.182.111.0', '206.182.111.255', 3468062464, 3468062719, 'AT', 'Austria'),
(141630, '206.182.112.0', '206.182.113.255', 3468062720, 3468063231, 'NL', 'Netherlands'),
(141631, '206.182.114.0', '206.182.114.127', 3468063232, 3468063359, 'US', 'United States'),
(141632, '206.182.114.128', '206.182.114.191', 3468063360, 3468063423, 'RO', 'Romania'),
(141633, '206.182.114.192', '206.182.114.255', 3468063424, 3468063487, 'US', 'United States'),
(141634, '206.182.115.0', '206.182.115.255', 3468063488, 3468063743, 'BE', 'Belgium'),
(141635, '206.182.116.0', '206.182.116.255', 3468063744, 3468063999, 'US', 'United States'),
(141636, '206.182.117.0', '206.182.117.255', 3468064000, 3468064255, 'HK', 'Hong Kong'),
(141637, '206.182.118.0', '206.182.118.255', 3468064256, 3468064511, 'US', 'United States'),
(141638, '206.182.119.0', '206.182.119.15', 3468064512, 3468064527, 'BE', 'Belgium'),
(141639, '206.182.119.16', '206.182.119.31', 3468064528, 3468064543, 'US', 'United States'),
(141640, '206.182.119.32', '206.182.119.63', 3468064544, 3468064575, 'NO', 'Norway'),
(141641, '206.182.119.64', '206.182.119.127', 3468064576, 3468064639, 'US', 'United States'),
(141642, '206.182.119.128', '206.182.119.191', 3468064640, 3468064703, 'LU', 'Luxembourg'),
(141643, '206.182.119.192', '206.182.119.223', 3468064704, 3468064735, 'US', 'United States'),
(141644, '206.182.119.224', '206.182.119.255', 3468064736, 3468064767, 'CH', 'Switzerland'),
(141645, '206.182.120.0', '206.182.120.255', 3468064768, 3468065023, 'DE', 'Germany'),
(141646, '206.182.121.0', '206.182.121.255', 3468065024, 3468065279, 'US', 'United States'),
(141647, '206.182.122.0', '206.182.122.255', 3468065280, 3468065535, 'DE', 'Germany'),
(141648, '206.182.123.0', '206.182.123.255', 3468065536, 3468065791, 'US', 'United States'),
(141649, '206.182.124.0', '206.182.124.127', 3468065792, 3468065919, 'IT', 'Italy'),
(141650, '206.182.124.128', '206.182.124.159', 3468065920, 3468065951, 'GB', 'United Kingdom'),
(141651, '206.182.124.160', '206.182.124.191', 3468065952, 3468065983, 'LU', 'Luxembourg'),
(141652, '206.182.124.192', '206.182.124.207', 3468065984, 3468065999, 'CZ', 'Czech Republic'),
(141653, '206.182.124.208', '206.182.124.223', 3468066000, 3468066015, 'BE', 'Belgium'),
(141654, '206.182.124.224', '206.182.124.255', 3468066016, 3468066047, 'DE', 'Germany'),
(141655, '206.182.125.0', '206.182.125.191', 3468066048, 3468066239, 'US', 'United States'),
(141656, '206.182.125.192', '206.182.125.223', 3468066240, 3468066271, 'IE', 'Ireland'),
(141657, '206.182.125.224', '206.182.126.15', 3468066272, 3468066319, 'US', 'United States'),
(141658, '206.182.126.16', '206.182.126.23', 3468066320, 3468066327, 'FR', 'France'),
(141659, '206.182.126.24', '206.182.126.159', 3468066328, 3468066463, 'US', 'United States'),
(141660, '206.182.126.160', '206.182.126.191', 3468066464, 3468066495, 'SE', 'Sweden'),
(141661, '206.182.126.192', '206.182.126.223', 3468066496, 3468066527, 'CH', 'Switzerland'),
(141662, '206.182.126.224', '206.182.126.255', 3468066528, 3468066559, 'US', 'United States'),
(141663, '206.182.127.0', '206.182.127.63', 3468066560, 3468066623, 'IT', 'Italy'),
(141664, '206.182.127.64', '206.182.129.127', 3468066624, 3468067199, 'US', 'United States'),
(141665, '206.182.129.128', '206.182.129.159', 3468067200, 3468067231, 'CA', 'Canada'),
(141666, '206.182.129.160', '206.182.129.191', 3468067232, 3468067263, 'US', 'United States'),
(141667, '206.182.129.192', '206.182.129.223', 3468067264, 3468067295, 'IL', 'Israel'),
(141668, '206.182.129.224', '206.182.129.255', 3468067296, 3468067327, 'US', 'United States'),
(141669, '206.182.130.0', '206.182.130.31', 3468067328, 3468067359, 'BR', 'Brazil'),
(141670, '206.182.130.32', '206.182.130.63', 3468067360, 3468067391, 'US', 'United States'),
(141671, '206.182.130.64', '206.182.130.71', 3468067392, 3468067399, 'BR', 'Brazil'),
(141672, '206.182.130.72', '206.182.130.223', 3468067400, 3468067551, 'US', 'United States'),
(141673, '206.182.130.224', '206.182.130.239', 3468067552, 3468067567, 'GB', 'United Kingdom'),
(141674, '206.182.130.240', '206.182.131.175', 3468067568, 3468067759, 'US', 'United States'),
(141675, '206.182.131.176', '206.182.131.191', 3468067760, 3468067775, 'AR', 'Argentina'),
(141676, '206.182.131.192', '206.182.132.255', 3468067776, 3468068095, 'US', 'United States'),
(141677, '206.182.133.0', '206.182.133.255', 3468068096, 3468068351, 'MC', 'Monaco'),
(141678, '206.182.134.0', '206.182.134.175', 3468068352, 3468068527, 'US', 'United States'),
(141679, '206.182.134.176', '206.182.134.191', 3468068528, 3468068543, 'MX', 'Mexico'),
(141680, '206.182.134.192', '206.182.135.255', 3468068544, 3468068863, 'US', 'United States'),
(141681, '206.182.136.0', '206.182.138.255', 3468068864, 3468069631, 'CA', 'Canada'),
(141682, '206.182.139.0', '206.182.147.111', 3468069632, 3468071791, 'US', 'United States'),
(141683, '206.182.147.112', '206.182.147.127', 3468071792, 3468071807, 'MX', 'Mexico');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(141684, '206.182.147.128', '206.182.147.191', 3468071808, 3468071871, 'US', 'United States'),
(141685, '206.182.147.192', '206.182.147.207', 3468071872, 3468071887, 'MX', 'Mexico'),
(141686, '206.182.147.208', '206.182.149.159', 3468071888, 3468072351, 'US', 'United States'),
(141687, '206.182.149.160', '206.182.149.191', 3468072352, 3468072383, 'CA', 'Canada'),
(141688, '206.182.149.192', '206.182.152.223', 3468072384, 3468073183, 'US', 'United States'),
(141689, '206.182.152.224', '206.182.152.255', 3468073184, 3468073215, 'MX', 'Mexico'),
(141690, '206.182.153.0', '206.182.154.255', 3468073216, 3468073727, 'US', 'United States'),
(141691, '206.182.155.0', '206.182.155.63', 3468073728, 3468073791, 'CA', 'Canada'),
(141692, '206.182.155.64', '206.182.155.127', 3468073792, 3468073855, 'US', 'United States'),
(141693, '206.182.155.128', '206.182.155.191', 3468073856, 3468073919, 'CA', 'Canada'),
(141694, '206.182.155.192', '206.182.157.223', 3468073920, 3468074463, 'US', 'United States'),
(141695, '206.182.157.224', '206.182.157.239', 3468074464, 3468074479, 'GB', 'United Kingdom'),
(141696, '206.182.157.240', '206.182.163.143', 3468074480, 3468075919, 'US', 'United States'),
(141697, '206.182.163.144', '206.182.163.159', 3468075920, 3468075935, 'BR', 'Brazil'),
(141698, '206.182.163.160', '206.182.163.191', 3468075936, 3468075967, 'US', 'United States'),
(141699, '206.182.163.192', '206.182.163.223', 3468075968, 3468075999, 'MX', 'Mexico'),
(141700, '206.182.163.224', '206.182.163.255', 3468076000, 3468076031, 'PH', 'Philippines'),
(141701, '206.182.164.0', '206.182.164.159', 3468076032, 3468076191, 'US', 'United States'),
(141702, '206.182.164.160', '206.182.164.175', 3468076192, 3468076207, 'BR', 'Brazil'),
(141703, '206.182.164.176', '206.182.164.191', 3468076208, 3468076223, 'US', 'United States'),
(141704, '206.182.164.192', '206.182.164.255', 3468076224, 3468076287, 'GB', 'United Kingdom'),
(141705, '206.182.165.0', '206.182.170.63', 3468076288, 3468077631, 'US', 'United States'),
(141706, '206.182.170.64', '206.182.170.95', 3468077632, 3468077663, 'AR', 'Argentina'),
(141707, '206.182.170.96', '206.182.176.223', 3468077664, 3468079327, 'US', 'United States'),
(141708, '206.182.176.224', '206.182.176.255', 3468079328, 3468079359, 'BR', 'Brazil'),
(141709, '206.182.177.0', '206.182.177.127', 3468079360, 3468079487, 'US', 'United States'),
(141710, '206.182.177.128', '206.182.177.191', 3468079488, 3468079551, 'JP', 'Japan'),
(141711, '206.182.177.192', '206.182.184.255', 3468079552, 3468081407, 'US', 'United States'),
(141712, '206.182.185.0', '206.182.185.255', 3468081408, 3468081663, 'DE', 'Germany'),
(141713, '206.182.186.0', '206.182.186.255', 3468081664, 3468081919, 'AT', 'Austria'),
(141714, '206.182.187.0', '206.182.188.255', 3468081920, 3468082431, 'US', 'United States'),
(141715, '206.182.189.0', '206.182.189.255', 3468082432, 3468082687, 'NO', 'Norway'),
(141716, '206.182.190.0', '206.182.192.111', 3468082688, 3468083311, 'US', 'United States'),
(141717, '206.182.192.112', '206.182.192.127', 3468083312, 3468083327, 'IN', 'India'),
(141718, '206.182.192.128', '206.182.193.207', 3468083328, 3468083663, 'US', 'United States'),
(141719, '206.182.193.208', '206.182.193.223', 3468083664, 3468083679, 'ID', 'Indonesia'),
(141720, '206.182.193.224', '206.182.194.255', 3468083680, 3468083967, 'US', 'United States'),
(141721, '206.182.195.0', '206.182.195.255', 3468083968, 3468084223, 'AU', 'Australia'),
(141722, '206.182.196.0', '206.182.197.255', 3468084224, 3468084735, 'US', 'United States'),
(141723, '206.182.198.0', '206.182.198.255', 3468084736, 3468084991, 'SG', 'Singapore'),
(141724, '206.182.199.0', '206.182.199.63', 3468084992, 3468085055, 'CA', 'Canada'),
(141725, '206.182.199.64', '206.182.199.127', 3468085056, 3468085119, 'US', 'United States'),
(141726, '206.182.199.128', '206.182.199.191', 3468085120, 3468085183, 'CA', 'Canada'),
(141727, '206.182.199.192', '206.182.199.199', 3468085184, 3468085191, 'JP', 'Japan'),
(141728, '206.182.199.200', '206.182.199.207', 3468085192, 3468085199, 'PH', 'Philippines'),
(141729, '206.182.199.208', '206.182.199.215', 3468085200, 3468085207, 'CN', 'China'),
(141730, '206.182.199.216', '206.182.199.255', 3468085208, 3468085247, 'US', 'United States'),
(141731, '206.182.200.0', '206.182.200.31', 3468085248, 3468085279, 'BR', 'Brazil'),
(141732, '206.182.200.32', '206.182.200.63', 3468085280, 3468085311, 'US', 'United States'),
(141733, '206.182.200.64', '206.182.200.127', 3468085312, 3468085375, 'BR', 'Brazil'),
(141734, '206.182.200.128', '206.182.200.191', 3468085376, 3468085439, 'CN', 'China'),
(141735, '206.182.200.192', '206.182.200.255', 3468085440, 3468085503, 'BR', 'Brazil'),
(141736, '206.182.201.0', '206.182.201.31', 3468085504, 3468085535, 'JP', 'Japan'),
(141737, '206.182.201.32', '206.182.201.63', 3468085536, 3468085567, 'US', 'United States'),
(141738, '206.182.201.64', '206.182.201.95', 3468085568, 3468085599, 'HK', 'Hong Kong'),
(141739, '206.182.201.96', '206.182.201.103', 3468085600, 3468085607, 'US', 'United States'),
(141740, '206.182.201.104', '206.182.201.119', 3468085608, 3468085623, 'HK', 'Hong Kong'),
(141741, '206.182.201.120', '206.182.201.159', 3468085624, 3468085663, 'US', 'United States'),
(141742, '206.182.201.160', '206.182.201.191', 3468085664, 3468085695, 'ID', 'Indonesia'),
(141743, '206.182.201.192', '206.182.201.255', 3468085696, 3468085759, 'US', 'United States'),
(141744, '206.182.202.0', '206.182.202.255', 3468085760, 3468086015, 'ID', 'Indonesia'),
(141745, '206.182.203.0', '206.182.203.127', 3468086016, 3468086143, 'US', 'United States'),
(141746, '206.182.203.128', '206.182.203.255', 3468086144, 3468086271, 'SG', 'Singapore'),
(141747, '206.182.204.0', '206.182.205.255', 3468086272, 3468086783, 'US', 'United States'),
(141748, '206.182.206.0', '206.182.206.15', 3468086784, 3468086799, 'HK', 'Hong Kong'),
(141749, '206.182.206.16', '206.182.206.95', 3468086800, 3468086879, 'US', 'United States'),
(141750, '206.182.206.96', '206.182.206.127', 3468086880, 3468086911, 'SG', 'Singapore'),
(141751, '206.182.206.128', '206.182.209.255', 3468086912, 3468087807, 'US', 'United States'),
(141752, '206.182.210.0', '206.182.210.255', 3468087808, 3468088063, 'SG', 'Singapore'),
(141753, '206.182.211.0', '206.182.211.127', 3468088064, 3468088191, 'US', 'United States'),
(141754, '206.182.211.128', '206.182.211.143', 3468088192, 3468088207, 'HK', 'Hong Kong'),
(141755, '206.182.211.144', '206.182.211.159', 3468088208, 3468088223, 'US', 'United States'),
(141756, '206.182.211.160', '206.182.211.167', 3468088224, 3468088231, 'HK', 'Hong Kong'),
(141757, '206.182.211.168', '206.182.212.15', 3468088232, 3468088335, 'US', 'United States'),
(141758, '206.182.212.16', '206.182.212.31', 3468088336, 3468088351, 'JP', 'Japan'),
(141759, '206.182.212.32', '206.182.212.63', 3468088352, 3468088383, 'ID', 'Indonesia'),
(141760, '206.182.212.64', '206.182.212.95', 3468088384, 3468088415, 'US', 'United States'),
(141761, '206.182.212.96', '206.182.212.111', 3468088416, 3468088431, 'TW', 'Taiwan'),
(141762, '206.182.212.112', '206.182.214.127', 3468088432, 3468088959, 'US', 'United States'),
(141763, '206.182.214.128', '206.182.214.159', 3468088960, 3468088991, 'JP', 'Japan'),
(141764, '206.182.214.160', '206.182.214.191', 3468088992, 3468089023, 'US', 'United States'),
(141765, '206.182.214.192', '206.182.214.223', 3468089024, 3468089055, 'HK', 'Hong Kong'),
(141766, '206.182.214.224', '206.182.217.63', 3468089056, 3468089663, 'US', 'United States'),
(141767, '206.182.217.64', '206.182.217.95', 3468089664, 3468089695, 'JP', 'Japan'),
(141768, '206.182.217.96', '206.182.217.223', 3468089696, 3468089823, 'US', 'United States'),
(141769, '206.182.217.224', '206.182.217.255', 3468089824, 3468089855, 'SG', 'Singapore'),
(141770, '206.182.218.0', '206.182.220.255', 3468089856, 3468090623, 'US', 'United States'),
(141771, '206.182.221.0', '206.182.221.63', 3468090624, 3468090687, 'IT', 'Italy'),
(141772, '206.182.221.64', '206.182.221.95', 3468090688, 3468090719, 'MY', 'Malaysia'),
(141773, '206.182.221.96', '206.182.221.103', 3468090720, 3468090727, 'US', 'United States'),
(141774, '206.182.221.104', '206.182.221.111', 3468090728, 3468090735, 'JP', 'Japan'),
(141775, '206.182.221.112', '206.182.221.127', 3468090736, 3468090751, 'CN', 'China'),
(141776, '206.182.221.128', '206.182.221.191', 3468090752, 3468090815, 'US', 'United States'),
(141777, '206.182.221.192', '206.182.221.255', 3468090816, 3468090879, 'CN', 'China'),
(141778, '206.182.222.0', '206.182.222.255', 3468090880, 3468091135, 'US', 'United States'),
(141779, '206.182.223.0', '206.182.223.63', 3468091136, 3468091199, 'JP', 'Japan'),
(141780, '206.182.223.64', '206.182.223.255', 3468091200, 3468091391, 'US', 'United States'),
(141781, '206.182.224.0', '206.182.224.255', 3468091392, 3468091647, 'NL', 'Netherlands'),
(141782, '206.182.225.0', '206.182.225.255', 3468091648, 3468091903, 'US', 'United States'),
(141783, '206.182.226.0', '206.182.226.31', 3468091904, 3468091935, 'KR', 'Korea, Republic of'),
(141784, '206.182.226.32', '206.182.226.127', 3468091936, 3468092031, 'US', 'United States'),
(141785, '206.182.226.128', '206.182.226.159', 3468092032, 3468092063, 'TH', 'Thailand'),
(141786, '206.182.226.160', '206.182.226.223', 3468092064, 3468092127, 'US', 'United States'),
(141787, '206.182.226.224', '206.182.226.255', 3468092128, 3468092159, 'SG', 'Singapore'),
(141788, '206.182.227.0', '206.182.231.63', 3468092160, 3468093247, 'US', 'United States'),
(141789, '206.182.231.64', '206.182.231.79', 3468093248, 3468093263, 'JP', 'Japan'),
(141790, '206.182.231.80', '206.182.231.95', 3468093264, 3468093279, 'US', 'United States'),
(141791, '206.182.231.96', '206.182.231.103', 3468093280, 3468093287, 'JP', 'Japan'),
(141792, '206.182.231.104', '206.182.231.159', 3468093288, 3468093343, 'US', 'United States'),
(141793, '206.182.231.160', '206.182.231.191', 3468093344, 3468093375, 'HK', 'Hong Kong'),
(141794, '206.182.231.192', '206.182.231.207', 3468093376, 3468093391, 'SG', 'Singapore'),
(141795, '206.182.231.208', '206.182.231.223', 3468093392, 3468093407, 'ID', 'Indonesia'),
(141796, '206.182.231.224', '206.182.231.255', 3468093408, 3468093439, 'AU', 'Australia'),
(141797, '206.182.232.0', '206.182.232.255', 3468093440, 3468093695, 'US', 'United States'),
(141798, '206.182.233.0', '206.182.233.255', 3468093696, 3468093951, 'DE', 'Germany'),
(141799, '206.182.234.0', '206.182.234.255', 3468093952, 3468094207, 'US', 'United States'),
(141800, '206.182.235.0', '206.182.235.15', 3468094208, 3468094223, 'HK', 'Hong Kong'),
(141801, '206.182.235.16', '206.182.235.63', 3468094224, 3468094271, 'US', 'United States'),
(141802, '206.182.235.64', '206.182.235.95', 3468094272, 3468094303, 'KR', 'Korea, Republic of'),
(141803, '206.182.235.96', '206.182.235.127', 3468094304, 3468094335, 'ID', 'Indonesia'),
(141804, '206.182.235.128', '206.182.238.159', 3468094336, 3468095135, 'US', 'United States'),
(141805, '206.182.238.160', '206.182.238.191', 3468095136, 3468095167, 'JP', 'Japan'),
(141806, '206.182.238.192', '206.182.238.255', 3468095168, 3468095231, 'US', 'United States'),
(141807, '206.182.239.0', '206.182.239.255', 3468095232, 3468095487, 'SE', 'Sweden'),
(141808, '206.182.240.0', '206.182.242.255', 3468095488, 3468096255, 'US', 'United States'),
(141809, '206.182.243.0', '206.182.243.127', 3468096256, 3468096383, 'CA', 'Canada'),
(141810, '206.182.243.128', '206.182.243.191', 3468096384, 3468096447, 'TW', 'Taiwan'),
(141811, '206.182.243.192', '206.182.243.223', 3468096448, 3468096479, 'US', 'United States'),
(141812, '206.182.243.224', '206.182.243.255', 3468096480, 3468096511, 'MY', 'Malaysia'),
(141813, '206.182.244.0', '206.182.244.255', 3468096512, 3468096767, 'NO', 'Norway'),
(141814, '206.182.245.0', '206.182.245.127', 3468096768, 3468096895, 'PH', 'Philippines'),
(141815, '206.182.245.128', '206.182.245.255', 3468096896, 3468097023, 'AU', 'Australia'),
(141816, '206.182.246.0', '206.182.249.255', 3468097024, 3468098047, 'US', 'United States'),
(141817, '206.182.250.0', '206.182.250.31', 3468098048, 3468098079, 'JP', 'Japan'),
(141818, '206.182.250.32', '206.182.250.63', 3468098080, 3468098111, 'SG', 'Singapore'),
(141819, '206.182.250.64', '206.182.250.191', 3468098112, 3468098239, 'US', 'United States'),
(141820, '206.182.250.192', '206.182.250.223', 3468098240, 3468098271, 'SG', 'Singapore'),
(141821, '206.182.250.224', '206.182.254.255', 3468098272, 3468099327, 'US', 'United States'),
(141822, '206.182.255.0', '206.182.255.255', 3468099328, 3468099583, 'FR', 'France'),
(141823, '206.183.0.0', '206.183.110.255', 3468099584, 3468127999, 'US', 'United States'),
(141824, '206.183.111.0', '206.183.111.255', 3468128000, 3468128255, 'IN', 'India'),
(141825, '206.183.112.0', '206.185.255.255', 3468128256, 3468296191, 'US', 'United States'),
(141826, '206.186.0.0', '206.186.255.255', 3468296192, 3468361727, 'CA', 'Canada'),
(141827, '206.187.0.0', '206.188.0.95', 3468361728, 3468427359, 'US', 'United States'),
(141828, '206.188.0.96', '206.188.0.111', 3468427360, 3468427375, 'IL', 'Israel'),
(141829, '206.188.0.112', '206.188.2.159', 3468427376, 3468427935, 'US', 'United States'),
(141830, '206.188.2.160', '206.188.2.191', 3468427936, 3468427967, 'AU', 'Australia'),
(141831, '206.188.2.192', '206.188.3.159', 3468427968, 3468428191, 'US', 'United States'),
(141832, '206.188.3.160', '206.188.3.175', 3468428192, 3468428207, 'BG', 'Bulgaria'),
(141833, '206.188.3.176', '206.188.4.127', 3468428208, 3468428415, 'US', 'United States'),
(141834, '206.188.4.128', '206.188.4.159', 3468428416, 3468428447, 'GR', 'Greece'),
(141835, '206.188.4.160', '206.188.4.255', 3468428448, 3468428543, 'US', 'United States'),
(141836, '206.188.5.0', '206.188.5.15', 3468428544, 3468428559, 'CA', 'Canada'),
(141837, '206.188.5.16', '206.188.5.63', 3468428560, 3468428607, 'US', 'United States'),
(141838, '206.188.5.64', '206.188.5.127', 3468428608, 3468428671, 'CA', 'Canada'),
(141839, '206.188.5.128', '206.188.6.127', 3468428672, 3468428927, 'US', 'United States'),
(141840, '206.188.6.128', '206.188.6.191', 3468428928, 3468428991, 'SE', 'Sweden'),
(141841, '206.188.6.192', '206.188.8.31', 3468428992, 3468429343, 'US', 'United States'),
(141842, '206.188.8.32', '206.188.8.47', 3468429344, 3468429359, 'QA', 'Qatar'),
(141843, '206.188.8.48', '206.188.12.159', 3468429360, 3468430495, 'US', 'United States'),
(141844, '206.188.12.160', '206.188.12.191', 3468430496, 3468430527, 'CA', 'Canada'),
(141845, '206.188.12.192', '206.188.18.127', 3468430528, 3468431999, 'US', 'United States'),
(141846, '206.188.18.128', '206.188.18.191', 3468432000, 3468432063, 'CA', 'Canada'),
(141847, '206.188.18.192', '206.188.21.31', 3468432064, 3468432671, 'US', 'United States'),
(141848, '206.188.21.32', '206.188.21.47', 3468432672, 3468432687, 'ES', 'Spain'),
(141849, '206.188.21.48', '206.188.23.15', 3468432688, 3468433167, 'US', 'United States'),
(141850, '206.188.23.16', '206.188.23.31', 3468433168, 3468433183, 'CA', 'Canada'),
(141851, '206.188.23.32', '206.188.23.63', 3468433184, 3468433215, 'US', 'United States'),
(141852, '206.188.23.64', '206.188.23.127', 3468433216, 3468433279, 'SE', 'Sweden'),
(141853, '206.188.23.128', '206.188.24.31', 3468433280, 3468433439, 'US', 'United States'),
(141854, '206.188.24.32', '206.188.24.47', 3468433440, 3468433455, 'AU', 'Australia'),
(141855, '206.188.24.48', '206.188.24.255', 3468433456, 3468433663, 'US', 'United States'),
(141856, '206.188.25.0', '206.188.25.255', 3468433664, 3468433919, 'AU', 'Australia'),
(141857, '206.188.26.0', '206.188.31.159', 3468433920, 3468435359, 'US', 'United States'),
(141858, '206.188.31.160', '206.188.31.223', 3468435360, 3468435423, 'AU', 'Australia'),
(141859, '206.188.31.224', '206.188.63.255', 3468435424, 3468443647, 'US', 'United States'),
(141860, '206.188.64.0', '206.188.127.255', 3468443648, 3468460031, 'CA', 'Canada'),
(141861, '206.188.128.0', '206.188.159.255', 3468460032, 3468468223, 'BM', 'Bermuda'),
(141862, '206.188.160.0', '206.189.206.255', 3468468224, 3468545791, 'US', 'United States'),
(141863, '206.189.207.0', '206.189.207.255', 3468545792, 3468546047, 'SG', 'Singapore'),
(141864, '206.189.208.0', '206.190.236.255', 3468546048, 3468619007, 'US', 'United States'),
(141865, '206.190.237.0', '206.190.237.255', 3468619008, 3468619263, 'CA', 'Canada'),
(141866, '206.190.238.0', '206.190.255.255', 3468619264, 3468623871, 'US', 'United States'),
(141867, '206.191.0.0', '206.191.2.143', 3468623872, 3468624527, 'CA', 'Canada'),
(141868, '206.191.2.144', '206.191.2.159', 3468624528, 3468624543, 'US', 'United States'),
(141869, '206.191.2.160', '206.191.7.63', 3468624544, 3468625727, 'CA', 'Canada'),
(141870, '206.191.7.64', '206.191.7.79', 3468625728, 3468625743, 'US', 'United States'),
(141871, '206.191.7.80', '206.191.12.71', 3468625744, 3468627015, 'CA', 'Canada'),
(141872, '206.191.12.72', '206.191.12.79', 3468627016, 3468627023, 'US', 'United States'),
(141873, '206.191.12.80', '206.191.12.143', 3468627024, 3468627087, 'CA', 'Canada'),
(141874, '206.191.12.144', '206.191.12.159', 3468627088, 3468627103, 'US', 'United States'),
(141875, '206.191.12.160', '206.191.13.47', 3468627104, 3468627247, 'CA', 'Canada'),
(141876, '206.191.13.48', '206.191.13.63', 3468627248, 3468627263, 'US', 'United States'),
(141877, '206.191.13.64', '206.191.14.207', 3468627264, 3468627663, 'CA', 'Canada'),
(141878, '206.191.14.208', '206.191.14.223', 3468627664, 3468627679, 'US', 'United States'),
(141879, '206.191.14.224', '206.191.16.151', 3468627680, 3468628119, 'CA', 'Canada'),
(141880, '206.191.16.152', '206.191.16.159', 3468628120, 3468628127, 'GB', 'United Kingdom'),
(141881, '206.191.16.160', '206.191.16.175', 3468628128, 3468628143, 'CA', 'Canada'),
(141882, '206.191.16.176', '206.191.16.191', 3468628144, 3468628159, 'US', 'United States'),
(141883, '206.191.16.192', '206.191.16.215', 3468628160, 3468628183, 'CA', 'Canada'),
(141884, '206.191.16.216', '206.191.16.223', 3468628184, 3468628191, 'US', 'United States'),
(141885, '206.191.16.224', '206.191.18.31', 3468628192, 3468628511, 'CA', 'Canada'),
(141886, '206.191.18.32', '206.191.18.127', 3468628512, 3468628607, 'US', 'United States'),
(141887, '206.191.18.128', '206.191.19.191', 3468628608, 3468628927, 'CA', 'Canada'),
(141888, '206.191.19.192', '206.191.19.255', 3468628928, 3468628991, 'US', 'United States'),
(141889, '206.191.20.0', '206.191.30.31', 3468628992, 3468631583, 'CA', 'Canada'),
(141890, '206.191.30.32', '206.191.30.63', 3468631584, 3468631615, 'US', 'United States'),
(141891, '206.191.30.64', '206.191.30.127', 3468631616, 3468631679, 'CA', 'Canada'),
(141892, '206.191.30.128', '206.191.30.143', 3468631680, 3468631695, 'US', 'United States'),
(141893, '206.191.30.144', '206.191.32.79', 3468631696, 3468632143, 'CA', 'Canada'),
(141894, '206.191.32.80', '206.191.32.95', 3468632144, 3468632159, 'US', 'United States'),
(141895, '206.191.32.96', '206.191.34.159', 3468632160, 3468632735, 'CA', 'Canada'),
(141896, '206.191.34.160', '206.191.34.167', 3468632736, 3468632743, 'US', 'United States'),
(141897, '206.191.34.168', '206.191.35.143', 3468632744, 3468632975, 'CA', 'Canada'),
(141898, '206.191.35.144', '206.191.35.159', 3468632976, 3468632991, 'US', 'United States'),
(141899, '206.191.35.160', '206.191.38.159', 3468632992, 3468633759, 'CA', 'Canada'),
(141900, '206.191.38.160', '206.191.38.191', 3468633760, 3468633791, 'US', 'United States'),
(141901, '206.191.38.192', '206.191.41.15', 3468633792, 3468634383, 'CA', 'Canada'),
(141902, '206.191.41.16', '206.191.41.23', 3468634384, 3468634391, 'US', 'United States'),
(141903, '206.191.41.24', '206.191.41.191', 3468634392, 3468634559, 'CA', 'Canada'),
(141904, '206.191.41.192', '206.191.41.223', 3468634560, 3468634591, 'US', 'United States'),
(141905, '206.191.41.224', '206.191.45.191', 3468634592, 3468635583, 'CA', 'Canada'),
(141906, '206.191.45.192', '206.191.45.255', 3468635584, 3468635647, 'US', 'United States'),
(141907, '206.191.46.0', '206.191.47.15', 3468635648, 3468635919, 'CA', 'Canada'),
(141908, '206.191.47.16', '206.191.47.31', 3468635920, 3468635935, 'US', 'United States'),
(141909, '206.191.47.32', '206.191.54.143', 3468635936, 3468637839, 'CA', 'Canada'),
(141910, '206.191.54.144', '206.191.54.151', 3468637840, 3468637847, 'SK', 'Slovakia'),
(141911, '206.191.54.152', '206.191.55.191', 3468637848, 3468638143, 'CA', 'Canada'),
(141912, '206.191.55.192', '206.191.55.207', 3468638144, 3468638159, 'US', 'United States'),
(141913, '206.191.55.208', '206.191.62.191', 3468638160, 3468639935, 'CA', 'Canada'),
(141914, '206.191.62.192', '206.191.62.223', 3468639936, 3468639967, 'US', 'United States'),
(141915, '206.191.62.224', '206.191.127.255', 3468639968, 3468656639, 'CA', 'Canada'),
(141916, '206.191.128.0', '206.196.103.211', 3468656640, 3468978131, 'US', 'United States'),
(141917, '206.196.103.212', '206.196.103.213', 3468978132, 3468978133, 'A1', 'Anonymous Proxy'),
(141918, '206.196.103.214', '206.197.58.255', 3468978134, 3469032191, 'US', 'United States'),
(141919, '206.197.59.0', '206.197.59.255', 3469032192, 3469032447, 'AP', 'Asia/Pacific Region'),
(141920, '206.197.60.0', '206.197.150.255', 3469032448, 3469055743, 'US', 'United States'),
(141921, '206.197.151.0', '206.197.151.255', 3469055744, 3469055999, 'CA', 'Canada'),
(141922, '206.197.152.0', '206.199.109.255', 3469056000, 3469176319, 'US', 'United States'),
(141923, '206.199.110.0', '206.199.110.255', 3469176320, 3469176575, 'MX', 'Mexico'),
(141924, '206.199.111.0', '206.199.148.255', 3469176576, 3469186303, 'US', 'United States'),
(141925, '206.199.149.0', '206.199.149.255', 3469186304, 3469186559, 'MX', 'Mexico'),
(141926, '206.199.150.0', '206.210.95.255', 3469186560, 3469893631, 'US', 'United States'),
(141927, '206.210.96.0', '206.210.127.255', 3469893632, 3469901823, 'CA', 'Canada'),
(141928, '206.210.128.0', '206.213.255.255', 3469901824, 3470131199, 'US', 'United States'),
(141929, '206.214.0.0', '206.214.15.255', 3470131200, 3470135295, 'AG', 'Antigua and Barbuda'),
(141930, '206.214.16.0', '206.214.23.255', 3470135296, 3470137343, 'LC', 'Saint Lucia'),
(141931, '206.214.24.0', '206.214.31.255', 3470137344, 3470139391, 'VG', 'Virgin Islands, British'),
(141932, '206.214.32.0', '206.214.65.255', 3470139392, 3470148095, 'US', 'United States'),
(141933, '206.214.66.0', '206.214.66.255', 3470148096, 3470148351, 'CA', 'Canada'),
(141934, '206.214.67.0', '206.214.67.255', 3470148352, 3470148607, 'US', 'United States'),
(141935, '206.214.68.0', '206.214.69.255', 3470148608, 3470149119, 'CA', 'Canada'),
(141936, '206.214.70.0', '206.214.78.127', 3470149120, 3470151295, 'US', 'United States'),
(141937, '206.214.78.128', '206.214.78.191', 3470151296, 3470151359, 'CA', 'Canada'),
(141938, '206.214.78.192', '206.214.79.255', 3470151360, 3470151679, 'US', 'United States'),
(141939, '206.214.80.0', '206.214.83.255', 3470151680, 3470152703, 'CA', 'Canada'),
(141940, '206.214.84.0', '206.214.84.255', 3470152704, 3470152959, 'US', 'United States'),
(141941, '206.214.85.0', '206.214.85.15', 3470152960, 3470152975, 'CA', 'Canada'),
(141942, '206.214.85.16', '206.214.87.255', 3470152976, 3470153727, 'US', 'United States'),
(141943, '206.214.88.0', '206.214.88.255', 3470153728, 3470153983, 'CA', 'Canada'),
(141944, '206.214.89.0', '206.214.208.6', 3470153984, 3470184454, 'US', 'United States'),
(141945, '206.214.208.7', '206.214.208.10', 3470184455, 3470184458, 'LK', 'Sri Lanka'),
(141946, '206.214.208.11', '206.214.208.28', 3470184459, 3470184476, 'US', 'United States'),
(141947, '206.214.208.29', '206.214.208.32', 3470184477, 3470184480, 'CN', 'China'),
(141948, '206.214.208.33', '206.214.208.36', 3470184481, 3470184484, 'US', 'United States'),
(141949, '206.214.208.37', '206.214.208.40', 3470184485, 3470184488, 'IN', 'India'),
(141950, '206.214.208.41', '206.214.208.44', 3470184489, 3470184492, 'US', 'United States'),
(141951, '206.214.208.45', '206.214.208.48', 3470184493, 3470184496, 'ID', 'Indonesia'),
(141952, '206.214.208.49', '206.214.208.64', 3470184497, 3470184512, 'US', 'United States'),
(141953, '206.214.208.65', '206.214.208.68', 3470184513, 3470184516, 'TH', 'Thailand'),
(141954, '206.214.208.69', '206.214.208.80', 3470184517, 3470184528, 'US', 'United States'),
(141955, '206.214.208.81', '206.214.208.84', 3470184529, 3470184532, 'CA', 'Canada'),
(141956, '206.214.208.85', '206.214.208.92', 3470184533, 3470184540, 'US', 'United States'),
(141957, '206.214.208.93', '206.214.208.96', 3470184541, 3470184544, 'ID', 'Indonesia'),
(141958, '206.214.208.97', '206.214.208.97', 3470184545, 3470184545, 'MY', 'Malaysia'),
(141959, '206.214.208.98', '206.214.208.101', 3470184546, 3470184549, 'CA', 'Canada'),
(141960, '206.214.208.102', '206.214.208.105', 3470184550, 3470184553, 'SI', 'Slovenia'),
(141961, '206.214.208.106', '206.214.208.109', 3470184554, 3470184557, 'IN', 'India'),
(141962, '206.214.208.110', '206.214.208.113', 3470184558, 3470184561, 'US', 'United States'),
(141963, '206.214.208.114', '206.214.208.117', 3470184562, 3470184565, 'IN', 'India'),
(141964, '206.214.208.118', '206.214.208.126', 3470184566, 3470184574, 'US', 'United States'),
(141965, '206.214.208.127', '206.214.208.127', 3470184575, 3470184575, 'BE', 'Belgium'),
(141966, '206.214.208.128', '206.214.208.129', 3470184576, 3470184577, 'CA', 'Canada'),
(141967, '206.214.208.130', '206.214.208.133', 3470184578, 3470184581, 'MX', 'Mexico'),
(141968, '206.214.208.134', '206.214.208.137', 3470184582, 3470184585, 'CA', 'Canada'),
(141969, '206.214.208.138', '206.214.208.145', 3470184586, 3470184593, 'US', 'United States'),
(141970, '206.214.208.146', '206.214.208.149', 3470184594, 3470184597, 'JP', 'Japan'),
(141971, '206.214.208.150', '206.214.208.165', 3470184598, 3470184613, 'US', 'United States'),
(141972, '206.214.208.166', '206.214.208.169', 3470184614, 3470184617, 'IN', 'India'),
(141973, '206.214.208.170', '206.214.208.171', 3470184618, 3470184619, 'NZ', 'New Zealand'),
(141974, '206.214.208.172', '206.214.208.191', 3470184620, 3470184639, 'US', 'United States'),
(141975, '206.214.208.192', '206.214.208.195', 3470184640, 3470184643, 'TW', 'Taiwan'),
(141976, '206.214.208.196', '206.214.208.223', 3470184644, 3470184671, 'US', 'United States'),
(141977, '206.214.208.224', '206.214.208.227', 3470184672, 3470184675, 'MY', 'Malaysia'),
(141978, '206.214.208.228', '206.214.208.235', 3470184676, 3470184683, 'US', 'United States'),
(141979, '206.214.208.236', '206.214.208.239', 3470184684, 3470184687, 'BR', 'Brazil'),
(141980, '206.214.208.240', '206.214.208.243', 3470184688, 3470184691, 'CA', 'Canada'),
(141981, '206.214.208.244', '206.214.208.251', 3470184692, 3470184699, 'US', 'United States'),
(141982, '206.214.208.252', '206.214.208.253', 3470184700, 3470184701, 'AU', 'Australia'),
(141983, '206.214.208.254', '206.214.209.18', 3470184702, 3470184722, 'US', 'United States'),
(141984, '206.214.209.19', '206.214.209.19', 3470184723, 3470184723, 'MY', 'Malaysia'),
(141985, '206.214.209.20', '206.214.209.27', 3470184724, 3470184731, 'US', 'United States'),
(141986, '206.214.209.28', '206.214.209.29', 3470184732, 3470184733, 'NZ', 'New Zealand'),
(141987, '206.214.209.30', '206.214.209.33', 3470184734, 3470184737, 'US', 'United States'),
(141988, '206.214.209.34', '206.214.209.37', 3470184738, 3470184741, 'SG', 'Singapore'),
(141989, '206.214.209.38', '206.214.209.42', 3470184742, 3470184746, 'US', 'United States'),
(141990, '206.214.209.43', '206.214.209.46', 3470184747, 3470184750, 'MY', 'Malaysia'),
(141991, '206.214.209.47', '206.214.209.65', 3470184751, 3470184769, 'US', 'United States'),
(141992, '206.214.209.66', '206.214.209.69', 3470184770, 3470184773, 'ID', 'Indonesia'),
(141993, '206.214.209.70', '206.214.209.81', 3470184774, 3470184785, 'US', 'United States'),
(141994, '206.214.209.82', '206.214.209.85', 3470184786, 3470184789, 'NZ', 'New Zealand'),
(141995, '206.214.209.86', '206.214.209.97', 3470184790, 3470184801, 'US', 'United States'),
(141996, '206.214.209.98', '206.214.209.101', 3470184802, 3470184805, 'TW', 'Taiwan'),
(141997, '206.214.209.102', '206.214.209.105', 3470184806, 3470184809, 'US', 'United States'),
(141998, '206.214.209.106', '206.214.209.109', 3470184810, 3470184813, 'MY', 'Malaysia'),
(141999, '206.214.209.110', '206.214.209.113', 3470184814, 3470184817, 'CA', 'Canada'),
(142000, '206.214.209.114', '206.214.209.117', 3470184818, 3470184821, 'US', 'United States'),
(142001, '206.214.209.118', '206.214.209.121', 3470184822, 3470184825, 'AU', 'Australia'),
(142002, '206.214.209.122', '206.214.209.125', 3470184826, 3470184829, 'US', 'United States'),
(142003, '206.214.209.126', '206.214.209.129', 3470184830, 3470184833, 'JP', 'Japan'),
(142004, '206.214.209.130', '206.214.209.133', 3470184834, 3470184837, 'US', 'United States'),
(142005, '206.214.209.134', '206.214.209.137', 3470184838, 3470184841, 'GB', 'United Kingdom'),
(142006, '206.214.209.138', '206.214.209.145', 3470184842, 3470184849, 'US', 'United States'),
(142007, '206.214.209.146', '206.214.209.149', 3470184850, 3470184853, 'JP', 'Japan'),
(142008, '206.214.209.150', '206.214.209.153', 3470184854, 3470184857, 'SG', 'Singapore'),
(142009, '206.214.209.154', '206.214.209.157', 3470184858, 3470184861, 'RO', 'Romania'),
(142010, '206.214.209.158', '206.214.209.161', 3470184862, 3470184865, 'US', 'United States'),
(142011, '206.214.209.162', '206.214.209.165', 3470184866, 3470184869, 'AU', 'Australia'),
(142012, '206.214.209.166', '206.214.209.169', 3470184870, 3470184873, 'HK', 'Hong Kong'),
(142013, '206.214.209.170', '206.214.209.177', 3470184874, 3470184881, 'US', 'United States'),
(142014, '206.214.209.178', '206.214.209.180', 3470184882, 3470184884, 'AU', 'Australia'),
(142015, '206.214.209.181', '206.214.209.201', 3470184885, 3470184905, 'US', 'United States'),
(142016, '206.214.209.202', '206.214.209.203', 3470184906, 3470184907, 'SG', 'Singapore'),
(142017, '206.214.209.204', '206.214.209.215', 3470184908, 3470184919, 'US', 'United States'),
(142018, '206.214.209.216', '206.214.209.219', 3470184920, 3470184923, 'MX', 'Mexico'),
(142019, '206.214.209.220', '206.214.209.225', 3470184924, 3470184929, 'US', 'United States'),
(142020, '206.214.209.226', '206.214.209.229', 3470184930, 3470184933, 'AU', 'Australia'),
(142021, '206.214.209.230', '206.214.209.253', 3470184934, 3470184957, 'US', 'United States'),
(142022, '206.214.209.254', '206.214.209.254', 3470184958, 3470184958, 'LK', 'Sri Lanka'),
(142023, '206.214.209.255', '206.214.210.15', 3470184959, 3470184975, 'US', 'United States'),
(142024, '206.214.210.16', '206.214.210.16', 3470184976, 3470184976, 'MY', 'Malaysia'),
(142025, '206.214.210.17', '206.214.210.30', 3470184977, 3470184990, 'US', 'United States'),
(142026, '206.214.210.31', '206.214.210.34', 3470184991, 3470184994, 'NZ', 'New Zealand'),
(142027, '206.214.210.35', '206.214.210.50', 3470184995, 3470185010, 'US', 'United States'),
(142028, '206.214.210.51', '206.214.210.54', 3470185011, 3470185014, 'GB', 'United Kingdom'),
(142029, '206.214.210.55', '206.214.210.56', 3470185015, 3470185016, 'AU', 'Australia'),
(142030, '206.214.210.57', '206.214.210.60', 3470185017, 3470185020, 'US', 'United States'),
(142031, '206.214.210.61', '206.214.210.61', 3470185021, 3470185021, 'BE', 'Belgium'),
(142032, '206.214.210.62', '206.214.210.90', 3470185022, 3470185050, 'US', 'United States'),
(142033, '206.214.210.91', '206.214.210.94', 3470185051, 3470185054, 'IN', 'India'),
(142034, '206.214.210.95', '206.214.210.102', 3470185055, 3470185062, 'US', 'United States'),
(142035, '206.214.210.103', '206.214.210.106', 3470185063, 3470185066, 'BR', 'Brazil'),
(142036, '206.214.210.107', '206.214.210.110', 3470185067, 3470185070, 'PL', 'Poland'),
(142037, '206.214.210.111', '206.214.210.122', 3470185071, 3470185082, 'US', 'United States'),
(142038, '206.214.210.123', '206.214.210.126', 3470185083, 3470185086, 'AU', 'Australia'),
(142039, '206.214.210.127', '206.214.210.130', 3470185087, 3470185090, 'IN', 'India'),
(142040, '206.214.210.131', '206.214.210.178', 3470185091, 3470185138, 'US', 'United States'),
(142041, '206.214.210.179', '206.214.210.182', 3470185139, 3470185142, 'ID', 'Indonesia'),
(142042, '206.214.210.183', '206.214.210.186', 3470185143, 3470185146, 'US', 'United States'),
(142043, '206.214.210.187', '206.214.210.190', 3470185147, 3470185150, 'AR', 'Argentina'),
(142044, '206.214.210.191', '206.214.210.194', 3470185151, 3470185154, 'AU', 'Australia'),
(142045, '206.214.210.195', '206.214.210.206', 3470185155, 3470185166, 'US', 'United States'),
(142046, '206.214.210.207', '206.214.210.210', 3470185167, 3470185170, 'CN', 'China'),
(142047, '206.214.210.211', '206.214.210.239', 3470185171, 3470185199, 'US', 'United States'),
(142048, '206.214.210.240', '206.214.210.243', 3470185200, 3470185203, 'ID', 'Indonesia'),
(142049, '206.214.210.244', '206.214.210.247', 3470185204, 3470185207, 'GB', 'United Kingdom'),
(142050, '206.214.210.248', '206.214.210.253', 3470185208, 3470185213, 'US', 'United States'),
(142051, '206.214.210.254', '206.214.210.254', 3470185214, 3470185214, 'LK', 'Sri Lanka'),
(142052, '206.214.210.255', '206.214.211.18', 3470185215, 3470185234, 'US', 'United States'),
(142053, '206.214.211.19', '206.214.211.22', 3470185235, 3470185238, 'AE', 'United Arab Emirates'),
(142054, '206.214.211.23', '206.214.211.26', 3470185239, 3470185242, 'NL', 'Netherlands'),
(142055, '206.214.211.27', '206.214.211.34', 3470185243, 3470185250, 'US', 'United States'),
(142056, '206.214.211.35', '206.214.211.38', 3470185251, 3470185254, 'CA', 'Canada'),
(142057, '206.214.211.39', '206.214.211.42', 3470185255, 3470185258, 'SG', 'Singapore'),
(142058, '206.214.211.43', '206.214.211.46', 3470185259, 3470185262, 'AU', 'Australia'),
(142059, '206.214.211.47', '206.214.211.54', 3470185263, 3470185270, 'US', 'United States'),
(142060, '206.214.211.55', '206.214.211.58', 3470185271, 3470185274, 'ID', 'Indonesia'),
(142061, '206.214.211.59', '206.214.211.62', 3470185275, 3470185278, 'AU', 'Australia'),
(142062, '206.214.211.63', '206.214.211.66', 3470185279, 3470185282, 'CA', 'Canada'),
(142063, '206.214.211.67', '206.214.211.70', 3470185283, 3470185286, 'US', 'United States'),
(142064, '206.214.211.71', '206.214.211.74', 3470185287, 3470185290, 'CN', 'China'),
(142065, '206.214.211.75', '206.214.211.78', 3470185291, 3470185294, 'US', 'United States'),
(142066, '206.214.211.79', '206.214.211.79', 3470185295, 3470185295, 'MY', 'Malaysia'),
(142067, '206.214.211.80', '206.214.211.96', 3470185296, 3470185312, 'US', 'United States'),
(142068, '206.214.211.97', '206.214.211.100', 3470185313, 3470185316, 'TW', 'Taiwan'),
(142069, '206.214.211.101', '206.214.211.120', 3470185317, 3470185336, 'US', 'United States'),
(142070, '206.214.211.121', '206.214.211.124', 3470185337, 3470185340, 'AU', 'Australia'),
(142071, '206.214.211.125', '206.214.211.128', 3470185341, 3470185344, 'US', 'United States'),
(142072, '206.214.211.129', '206.214.211.132', 3470185345, 3470185348, 'EC', 'Ecuador'),
(142073, '206.214.211.133', '206.214.211.136', 3470185349, 3470185352, 'US', 'United States'),
(142074, '206.214.211.137', '206.214.211.137', 3470185353, 3470185353, 'NZ', 'New Zealand'),
(142075, '206.214.211.138', '206.214.211.149', 3470185354, 3470185365, 'US', 'United States'),
(142076, '206.214.211.150', '206.214.211.151', 3470185366, 3470185367, 'AU', 'Australia'),
(142077, '206.214.211.152', '206.214.211.155', 3470185368, 3470185371, 'PH', 'Philippines'),
(142078, '206.214.211.156', '206.214.211.163', 3470185372, 3470185379, 'US', 'United States'),
(142079, '206.214.211.164', '206.214.211.167', 3470185380, 3470185383, 'AU', 'Australia'),
(142080, '206.214.211.168', '206.214.211.183', 3470185384, 3470185399, 'US', 'United States'),
(142081, '206.214.211.184', '206.214.211.187', 3470185400, 3470185403, 'ID', 'Indonesia'),
(142082, '206.214.211.188', '206.214.211.199', 3470185404, 3470185415, 'US', 'United States'),
(142083, '206.214.211.200', '206.214.211.203', 3470185416, 3470185419, 'BE', 'Belgium'),
(142084, '206.214.211.204', '206.214.211.207', 3470185420, 3470185423, 'NL', 'Netherlands'),
(142085, '206.214.211.208', '206.214.211.211', 3470185424, 3470185427, 'CA', 'Canada'),
(142086, '206.214.211.212', '206.214.211.215', 3470185428, 3470185431, 'US', 'United States'),
(142087, '206.214.211.216', '206.214.211.219', 3470185432, 3470185435, 'CN', 'China'),
(142088, '206.214.211.220', '206.214.211.235', 3470185436, 3470185451, 'US', 'United States'),
(142089, '206.214.211.236', '206.214.211.239', 3470185452, 3470185455, 'VE', 'Venezuela'),
(142090, '206.214.211.240', '206.214.211.247', 3470185456, 3470185463, 'US', 'United States'),
(142091, '206.214.211.248', '206.214.211.251', 3470185464, 3470185467, 'NZ', 'New Zealand'),
(142092, '206.214.211.252', '206.214.211.252', 3470185468, 3470185468, 'US', 'United States'),
(142093, '206.214.211.253', '206.214.211.253', 3470185469, 3470185469, 'LK', 'Sri Lanka'),
(142094, '206.214.211.254', '206.214.214.19', 3470185470, 3470186003, 'US', 'United States'),
(142095, '206.214.214.20', '206.214.214.23', 3470186004, 3470186007, 'MX', 'Mexico'),
(142096, '206.214.214.24', '206.214.214.27', 3470186008, 3470186011, 'CA', 'Canada'),
(142097, '206.214.214.28', '206.214.214.28', 3470186012, 3470186012, 'A1', 'Anonymous Proxy'),
(142098, '206.214.214.29', '206.214.214.31', 3470186013, 3470186015, 'CA', 'Canada'),
(142099, '206.214.214.32', '206.214.214.35', 3470186016, 3470186019, 'AU', 'Australia'),
(142100, '206.214.214.36', '206.214.214.76', 3470186020, 3470186060, 'US', 'United States'),
(142101, '206.214.214.77', '206.214.214.80', 3470186061, 3470186064, 'CN', 'China'),
(142102, '206.214.214.81', '206.214.214.84', 3470186065, 3470186068, 'AU', 'Australia'),
(142103, '206.214.214.85', '206.214.214.88', 3470186069, 3470186072, 'US', 'United States'),
(142104, '206.214.214.89', '206.214.214.92', 3470186073, 3470186076, 'IN', 'India'),
(142105, '206.214.214.93', '206.214.214.100', 3470186077, 3470186084, 'US', 'United States'),
(142106, '206.214.214.101', '206.214.214.101', 3470186085, 3470186085, 'BE', 'Belgium'),
(142107, '206.214.214.102', '206.214.214.105', 3470186086, 3470186089, 'US', 'United States'),
(142108, '206.214.214.106', '206.214.214.109', 3470186090, 3470186093, 'SG', 'Singapore'),
(142109, '206.214.214.110', '206.214.214.113', 3470186094, 3470186097, 'CA', 'Canada'),
(142110, '206.214.214.114', '206.214.214.129', 3470186098, 3470186113, 'US', 'United States'),
(142111, '206.214.214.130', '206.214.214.133', 3470186114, 3470186117, 'AU', 'Australia'),
(142112, '206.214.214.134', '206.214.215.11', 3470186118, 3470186251, 'US', 'United States'),
(142113, '206.214.215.12', '206.214.215.15', 3470186252, 3470186255, 'CN', 'China'),
(142114, '206.214.215.16', '206.214.215.27', 3470186256, 3470186267, 'US', 'United States'),
(142115, '206.214.215.28', '206.214.215.31', 3470186268, 3470186271, 'MX', 'Mexico'),
(142116, '206.214.215.32', '206.214.215.35', 3470186272, 3470186275, 'SG', 'Singapore'),
(142117, '206.214.215.36', '206.214.215.43', 3470186276, 3470186283, 'US', 'United States'),
(142118, '206.214.215.44', '206.214.215.47', 3470186284, 3470186287, 'CA', 'Canada'),
(142119, '206.214.215.48', '206.214.215.66', 3470186288, 3470186306, 'US', 'United States'),
(142120, '206.214.215.67', '206.214.215.70', 3470186307, 3470186310, 'MY', 'Malaysia'),
(142121, '206.214.215.71', '206.214.215.74', 3470186311, 3470186314, 'TH', 'Thailand'),
(142122, '206.214.215.75', '206.214.215.78', 3470186315, 3470186318, 'AU', 'Australia'),
(142123, '206.214.215.79', '206.214.215.84', 3470186319, 3470186324, 'US', 'United States'),
(142124, '206.214.215.85', '206.214.215.88', 3470186325, 3470186328, 'CN', 'China'),
(142125, '206.214.215.89', '206.214.215.89', 3470186329, 3470186329, 'NZ', 'New Zealand'),
(142126, '206.214.215.90', '206.214.215.98', 3470186330, 3470186338, 'US', 'United States'),
(142127, '206.214.215.99', '206.214.215.102', 3470186339, 3470186342, 'UA', 'Ukraine'),
(142128, '206.214.215.103', '206.214.216.17', 3470186343, 3470186513, 'US', 'United States'),
(142129, '206.214.216.18', '206.214.216.21', 3470186514, 3470186517, 'CA', 'Canada'),
(142130, '206.214.216.22', '206.214.216.29', 3470186518, 3470186525, 'US', 'United States'),
(142131, '206.214.216.30', '206.214.216.33', 3470186526, 3470186529, 'ID', 'Indonesia'),
(142132, '206.214.216.34', '206.214.216.41', 3470186530, 3470186537, 'GB', 'United Kingdom'),
(142133, '206.214.216.42', '206.214.216.77', 3470186538, 3470186573, 'US', 'United States'),
(142134, '206.214.216.78', '206.214.216.81', 3470186574, 3470186577, 'CH', 'Switzerland'),
(142135, '206.214.216.82', '206.214.216.97', 3470186578, 3470186593, 'US', 'United States'),
(142136, '206.214.216.98', '206.214.216.101', 3470186594, 3470186597, 'CA', 'Canada'),
(142137, '206.214.216.102', '206.214.216.105', 3470186598, 3470186601, 'TR', 'Turkey'),
(142138, '206.214.216.106', '206.214.216.109', 3470186602, 3470186605, 'US', 'United States'),
(142139, '206.214.216.110', '206.214.216.113', 3470186606, 3470186609, 'CA', 'Canada'),
(142140, '206.214.216.114', '206.214.216.117', 3470186610, 3470186613, 'ES', 'Spain'),
(142141, '206.214.216.118', '206.214.216.121', 3470186614, 3470186617, 'US', 'United States'),
(142142, '206.214.216.122', '206.214.216.125', 3470186618, 3470186621, 'RO', 'Romania'),
(142143, '206.214.216.126', '206.214.216.129', 3470186622, 3470186625, 'BR', 'Brazil'),
(142144, '206.214.216.130', '206.214.216.141', 3470186626, 3470186637, 'US', 'United States'),
(142145, '206.214.216.142', '206.214.216.145', 3470186638, 3470186641, 'BR', 'Brazil'),
(142146, '206.214.216.146', '206.214.216.173', 3470186642, 3470186669, 'US', 'United States'),
(142147, '206.214.216.174', '206.214.216.177', 3470186670, 3470186673, 'AU', 'Australia'),
(142148, '206.214.216.178', '206.214.216.181', 3470186674, 3470186677, 'US', 'United States'),
(142149, '206.214.216.182', '206.214.216.185', 3470186678, 3470186681, 'CA', 'Canada'),
(142150, '206.214.216.186', '206.214.216.189', 3470186682, 3470186685, 'US', 'United States'),
(142151, '206.214.216.190', '206.214.216.193', 3470186686, 3470186689, 'IL', 'Israel'),
(142152, '206.214.216.194', '206.214.216.197', 3470186690, 3470186693, 'IN', 'India'),
(142153, '206.214.216.198', '206.214.216.201', 3470186694, 3470186697, 'ES', 'Spain'),
(142154, '206.214.216.202', '206.214.216.205', 3470186698, 3470186701, 'CA', 'Canada'),
(142155, '206.214.216.206', '206.214.216.209', 3470186702, 3470186705, 'AU', 'Australia'),
(142156, '206.214.216.210', '206.214.216.225', 3470186706, 3470186721, 'US', 'United States'),
(142157, '206.214.216.226', '206.214.216.229', 3470186722, 3470186725, 'IN', 'India'),
(142158, '206.214.216.230', '206.214.216.233', 3470186726, 3470186729, 'US', 'United States'),
(142159, '206.214.216.234', '206.214.216.237', 3470186730, 3470186733, 'IN', 'India'),
(142160, '206.214.216.238', '206.214.216.241', 3470186734, 3470186737, 'US', 'United States'),
(142161, '206.214.216.242', '206.214.216.245', 3470186738, 3470186741, 'CA', 'Canada'),
(142162, '206.214.216.246', '206.214.216.249', 3470186742, 3470186745, 'IL', 'Israel'),
(142163, '206.214.216.250', '206.214.217.5', 3470186746, 3470186757, 'US', 'United States'),
(142164, '206.214.217.6', '206.214.217.9', 3470186758, 3470186761, 'CA', 'Canada'),
(142165, '206.214.217.10', '206.214.217.13', 3470186762, 3470186765, 'US', 'United States'),
(142166, '206.214.217.14', '206.214.217.17', 3470186766, 3470186769, 'HU', 'Hungary'),
(142167, '206.214.217.18', '206.214.217.33', 3470186770, 3470186785, 'US', 'United States'),
(142168, '206.214.217.34', '206.214.217.37', 3470186786, 3470186789, 'GB', 'United Kingdom'),
(142169, '206.214.217.38', '206.214.217.53', 3470186790, 3470186805, 'US', 'United States'),
(142170, '206.214.217.54', '206.214.217.57', 3470186806, 3470186809, 'IN', 'India'),
(142171, '206.214.217.58', '206.214.217.61', 3470186810, 3470186813, 'US', 'United States'),
(142172, '206.214.217.62', '206.214.217.65', 3470186814, 3470186817, 'EE', 'Estonia'),
(142173, '206.214.217.66', '206.214.217.73', 3470186818, 3470186825, 'US', 'United States'),
(142174, '206.214.217.74', '206.214.217.77', 3470186826, 3470186829, 'GB', 'United Kingdom'),
(142175, '206.214.217.78', '206.214.217.81', 3470186830, 3470186833, 'IN', 'India'),
(142176, '206.214.217.82', '206.214.217.85', 3470186834, 3470186837, 'US', 'United States'),
(142177, '206.214.217.86', '206.214.217.89', 3470186838, 3470186841, 'AR', 'Argentina'),
(142178, '206.214.217.90', '206.214.217.93', 3470186842, 3470186845, 'CA', 'Canada'),
(142179, '206.214.217.94', '206.214.217.97', 3470186846, 3470186849, 'EG', 'Egypt'),
(142180, '206.214.217.98', '206.214.217.101', 3470186850, 3470186853, 'US', 'United States'),
(142181, '206.214.217.102', '206.214.217.105', 3470186854, 3470186857, 'KW', 'Kuwait'),
(142182, '206.214.217.106', '206.214.217.109', 3470186858, 3470186861, 'US', 'United States'),
(142183, '206.214.217.110', '206.214.217.113', 3470186862, 3470186865, 'AR', 'Argentina'),
(142184, '206.214.217.114', '206.214.217.121', 3470186866, 3470186873, 'US', 'United States'),
(142185, '206.214.217.122', '206.214.217.125', 3470186874, 3470186877, 'AE', 'United Arab Emirates'),
(142186, '206.214.217.126', '206.214.217.129', 3470186878, 3470186881, 'CA', 'Canada'),
(142187, '206.214.217.130', '206.214.217.133', 3470186882, 3470186885, 'US', 'United States'),
(142188, '206.214.217.134', '206.214.217.137', 3470186886, 3470186889, 'FR', 'France'),
(142189, '206.214.217.138', '206.214.217.139', 3470186890, 3470186891, 'CA', 'Canada'),
(142190, '206.214.217.140', '206.214.217.143', 3470186892, 3470186895, 'FR', 'France'),
(142191, '206.214.217.144', '206.214.217.147', 3470186896, 3470186899, 'AU', 'Australia'),
(142192, '206.214.217.148', '206.214.217.151', 3470186900, 3470186903, 'US', 'United States'),
(142193, '206.214.217.152', '206.214.217.155', 3470186904, 3470186907, 'IN', 'India'),
(142194, '206.214.217.156', '206.214.217.181', 3470186908, 3470186933, 'US', 'United States'),
(142195, '206.214.217.182', '206.214.217.183', 3470186934, 3470186935, 'BR', 'Brazil'),
(142196, '206.214.217.184', '206.214.217.191', 3470186936, 3470186943, 'US', 'United States'),
(142197, '206.214.217.192', '206.214.217.195', 3470186944, 3470186947, 'CA', 'Canada'),
(142198, '206.214.217.196', '206.214.217.211', 3470186948, 3470186963, 'US', 'United States'),
(142199, '206.214.217.212', '206.214.217.215', 3470186964, 3470186967, 'TR', 'Turkey'),
(142200, '206.214.217.216', '206.214.217.237', 3470186968, 3470186989, 'US', 'United States'),
(142201, '206.214.217.238', '206.214.217.241', 3470186990, 3470186993, 'PE', 'Peru'),
(142202, '206.214.217.242', '206.214.217.245', 3470186994, 3470186997, 'US', 'United States'),
(142203, '206.214.217.246', '206.214.217.249', 3470186998, 3470187001, 'GB', 'United Kingdom'),
(142204, '206.214.217.250', '206.214.218.33', 3470187002, 3470187041, 'US', 'United States'),
(142205, '206.214.218.34', '206.214.218.37', 3470187042, 3470187045, 'GB', 'United Kingdom'),
(142206, '206.214.218.38', '206.214.218.49', 3470187046, 3470187057, 'US', 'United States'),
(142207, '206.214.218.50', '206.214.218.53', 3470187058, 3470187061, 'MY', 'Malaysia'),
(142208, '206.214.218.54', '206.214.218.65', 3470187062, 3470187073, 'US', 'United States'),
(142209, '206.214.218.66', '206.214.218.69', 3470187074, 3470187077, 'IT', 'Italy'),
(142210, '206.214.218.70', '206.214.218.73', 3470187078, 3470187081, 'CA', 'Canada'),
(142211, '206.214.218.74', '206.214.218.77', 3470187082, 3470187085, 'CZ', 'Czech Republic'),
(142212, '206.214.218.78', '206.214.218.81', 3470187086, 3470187089, 'US', 'United States'),
(142213, '206.214.218.82', '206.214.218.85', 3470187090, 3470187093, 'TR', 'Turkey'),
(142214, '206.214.218.86', '206.214.218.89', 3470187094, 3470187097, 'GB', 'United Kingdom'),
(142215, '206.214.218.90', '206.214.218.93', 3470187098, 3470187101, 'IN', 'India'),
(142216, '206.214.218.94', '206.214.218.101', 3470187102, 3470187109, 'US', 'United States'),
(142217, '206.214.218.102', '206.214.218.105', 3470187110, 3470187113, 'BR', 'Brazil'),
(142218, '206.214.218.106', '206.214.218.109', 3470187114, 3470187117, 'VN', 'Vietnam'),
(142219, '206.214.218.110', '206.214.218.117', 3470187118, 3470187125, 'US', 'United States'),
(142220, '206.214.218.118', '206.214.218.121', 3470187126, 3470187129, 'GB', 'United Kingdom'),
(142221, '206.214.218.122', '206.214.218.125', 3470187130, 3470187133, 'AR', 'Argentina'),
(142222, '206.214.218.126', '206.214.218.129', 3470187134, 3470187137, 'BA', 'Bosnia and Herzegovina'),
(142223, '206.214.218.130', '206.214.218.133', 3470187138, 3470187141, 'US', 'United States'),
(142224, '206.214.218.134', '206.214.218.137', 3470187142, 3470187145, 'CA', 'Canada'),
(142225, '206.214.218.138', '206.214.218.145', 3470187146, 3470187153, 'IN', 'India'),
(142226, '206.214.218.146', '206.214.218.149', 3470187154, 3470187157, 'ID', 'Indonesia'),
(142227, '206.214.218.150', '206.214.218.153', 3470187158, 3470187161, 'US', 'United States'),
(142228, '206.214.218.154', '206.214.218.157', 3470187162, 3470187165, 'AU', 'Australia'),
(142229, '206.214.218.158', '206.214.218.161', 3470187166, 3470187169, 'NO', 'Norway'),
(142230, '206.214.218.162', '206.214.218.173', 3470187170, 3470187181, 'US', 'United States'),
(142231, '206.214.218.174', '206.214.218.177', 3470187182, 3470187185, 'GR', 'Greece'),
(142232, '206.214.218.178', '206.214.218.221', 3470187186, 3470187229, 'US', 'United States'),
(142233, '206.214.218.222', '206.214.218.223', 3470187230, 3470187231, 'CA', 'Canada'),
(142234, '206.214.218.224', '206.214.218.227', 3470187232, 3470187235, 'GB', 'United Kingdom'),
(142235, '206.214.218.228', '206.214.218.239', 3470187236, 3470187247, 'US', 'United States'),
(142236, '206.214.218.240', '206.214.218.243', 3470187248, 3470187251, 'GB', 'United Kingdom'),
(142237, '206.214.218.244', '206.214.218.247', 3470187252, 3470187255, 'US', 'United States'),
(142238, '206.214.218.248', '206.214.218.251', 3470187256, 3470187259, 'ES', 'Spain'),
(142239, '206.214.218.252', '206.214.219.5', 3470187260, 3470187269, 'US', 'United States'),
(142240, '206.214.219.6', '206.214.219.9', 3470187270, 3470187273, 'AU', 'Australia'),
(142241, '206.214.219.10', '206.214.219.45', 3470187274, 3470187309, 'US', 'United States'),
(142242, '206.214.219.46', '206.214.219.49', 3470187310, 3470187313, 'ES', 'Spain'),
(142243, '206.214.219.50', '206.214.219.71', 3470187314, 3470187335, 'US', 'United States'),
(142244, '206.214.219.72', '206.214.219.75', 3470187336, 3470187339, 'CA', 'Canada'),
(142245, '206.214.219.76', '206.214.219.79', 3470187340, 3470187343, 'GR', 'Greece'),
(142246, '206.214.219.80', '206.214.219.92', 3470187344, 3470187356, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(142247, '206.214.219.93', '206.214.219.96', 3470187357, 3470187360, 'GB', 'United Kingdom'),
(142248, '206.214.219.97', '206.214.219.100', 3470187361, 3470187364, 'BG', 'Bulgaria'),
(142249, '206.214.219.101', '206.214.219.104', 3470187365, 3470187368, 'US', 'United States'),
(142250, '206.214.219.105', '206.214.219.108', 3470187369, 3470187372, 'GR', 'Greece'),
(142251, '206.214.219.109', '206.214.219.116', 3470187373, 3470187380, 'US', 'United States'),
(142252, '206.214.219.117', '206.214.219.120', 3470187381, 3470187384, 'AR', 'Argentina'),
(142253, '206.214.219.121', '206.214.219.124', 3470187385, 3470187388, 'US', 'United States'),
(142254, '206.214.219.125', '206.214.219.128', 3470187389, 3470187392, 'GB', 'United Kingdom'),
(142255, '206.214.219.129', '206.214.219.132', 3470187393, 3470187396, 'IN', 'India'),
(142256, '206.214.219.133', '206.214.219.136', 3470187397, 3470187400, 'RU', 'Russian Federation'),
(142257, '206.214.219.137', '206.214.219.140', 3470187401, 3470187404, 'GB', 'United Kingdom'),
(142258, '206.214.219.141', '206.214.219.144', 3470187405, 3470187408, 'DO', 'Dominican Republic'),
(142259, '206.214.219.145', '206.214.219.152', 3470187409, 3470187416, 'US', 'United States'),
(142260, '206.214.219.153', '206.214.219.156', 3470187417, 3470187420, 'IN', 'India'),
(142261, '206.214.219.157', '206.214.219.165', 3470187421, 3470187429, 'US', 'United States'),
(142262, '206.214.219.166', '206.214.219.167', 3470187430, 3470187431, 'RU', 'Russian Federation'),
(142263, '206.214.219.168', '206.214.219.173', 3470187432, 3470187437, 'US', 'United States'),
(142264, '206.214.219.174', '206.214.219.177', 3470187438, 3470187441, 'PH', 'Philippines'),
(142265, '206.214.219.178', '206.214.219.182', 3470187442, 3470187446, 'US', 'United States'),
(142266, '206.214.219.183', '206.214.219.186', 3470187447, 3470187450, 'CA', 'Canada'),
(142267, '206.214.219.187', '206.214.219.190', 3470187451, 3470187454, 'US', 'United States'),
(142268, '206.214.219.191', '206.214.219.194', 3470187455, 3470187458, 'IT', 'Italy'),
(142269, '206.214.219.195', '206.214.219.206', 3470187459, 3470187470, 'US', 'United States'),
(142270, '206.214.219.207', '206.214.219.210', 3470187471, 3470187474, 'PT', 'Portugal'),
(142271, '206.214.219.211', '206.214.219.238', 3470187475, 3470187502, 'US', 'United States'),
(142272, '206.214.219.239', '206.214.219.239', 3470187503, 3470187503, 'JP', 'Japan'),
(142273, '206.214.219.240', '206.214.219.247', 3470187504, 3470187511, 'US', 'United States'),
(142274, '206.214.219.248', '206.214.219.251', 3470187512, 3470187515, 'UA', 'Ukraine'),
(142275, '206.214.219.252', '206.214.220.5', 3470187516, 3470187525, 'US', 'United States'),
(142276, '206.214.220.6', '206.214.220.9', 3470187526, 3470187529, 'EC', 'Ecuador'),
(142277, '206.214.220.10', '206.214.220.37', 3470187530, 3470187557, 'US', 'United States'),
(142278, '206.214.220.38', '206.214.220.41', 3470187558, 3470187561, 'AE', 'United Arab Emirates'),
(142279, '206.214.220.42', '206.214.220.49', 3470187562, 3470187569, 'US', 'United States'),
(142280, '206.214.220.50', '206.214.220.53', 3470187570, 3470187573, 'IN', 'India'),
(142281, '206.214.220.54', '206.214.220.57', 3470187574, 3470187577, 'US', 'United States'),
(142282, '206.214.220.58', '206.214.220.61', 3470187578, 3470187581, 'GB', 'United Kingdom'),
(142283, '206.214.220.62', '206.214.220.69', 3470187582, 3470187589, 'US', 'United States'),
(142284, '206.214.220.70', '206.214.220.73', 3470187590, 3470187593, 'IT', 'Italy'),
(142285, '206.214.220.74', '206.214.220.86', 3470187594, 3470187606, 'US', 'United States'),
(142286, '206.214.220.87', '206.214.220.90', 3470187607, 3470187610, 'IL', 'Israel'),
(142287, '206.214.220.91', '206.214.220.94', 3470187611, 3470187614, 'PL', 'Poland'),
(142288, '206.214.220.95', '206.214.220.98', 3470187615, 3470187618, 'US', 'United States'),
(142289, '206.214.220.99', '206.214.220.102', 3470187619, 3470187622, 'IT', 'Italy'),
(142290, '206.214.220.103', '206.214.220.114', 3470187623, 3470187634, 'US', 'United States'),
(142291, '206.214.220.115', '206.214.220.118', 3470187635, 3470187638, 'SG', 'Singapore'),
(142292, '206.214.220.119', '206.214.220.126', 3470187639, 3470187646, 'US', 'United States'),
(142293, '206.214.220.127', '206.214.220.130', 3470187647, 3470187650, 'IT', 'Italy'),
(142294, '206.214.220.131', '206.214.220.134', 3470187651, 3470187654, 'AR', 'Argentina'),
(142295, '206.214.220.135', '206.214.220.146', 3470187655, 3470187666, 'US', 'United States'),
(142296, '206.214.220.147', '206.214.220.150', 3470187667, 3470187670, 'IN', 'India'),
(142297, '206.214.220.151', '206.214.220.154', 3470187671, 3470187674, 'RS', 'Serbia'),
(142298, '206.214.220.155', '206.214.220.158', 3470187675, 3470187678, 'US', 'United States'),
(142299, '206.214.220.159', '206.214.220.162', 3470187679, 3470187682, 'PT', 'Portugal'),
(142300, '206.214.220.163', '206.214.220.166', 3470187683, 3470187686, 'US', 'United States'),
(142301, '206.214.220.167', '206.214.220.170', 3470187687, 3470187690, 'JP', 'Japan'),
(142302, '206.214.220.171', '206.214.220.182', 3470187691, 3470187702, 'US', 'United States'),
(142303, '206.214.220.183', '206.214.220.186', 3470187703, 3470187706, 'GB', 'United Kingdom'),
(142304, '206.214.220.187', '206.214.220.205', 3470187707, 3470187725, 'US', 'United States'),
(142305, '206.214.220.206', '206.214.220.209', 3470187726, 3470187729, 'GB', 'United Kingdom'),
(142306, '206.214.220.210', '206.214.220.221', 3470187730, 3470187741, 'US', 'United States'),
(142307, '206.214.220.222', '206.214.220.225', 3470187742, 3470187745, 'VN', 'Vietnam'),
(142308, '206.214.220.226', '206.214.220.235', 3470187746, 3470187755, 'US', 'United States'),
(142309, '206.214.220.236', '206.214.220.239', 3470187756, 3470187759, 'PH', 'Philippines'),
(142310, '206.214.220.240', '206.214.220.243', 3470187760, 3470187763, 'ZA', 'South Africa'),
(142311, '206.214.220.244', '206.214.221.5', 3470187764, 3470187781, 'US', 'United States'),
(142312, '206.214.221.6', '206.214.221.9', 3470187782, 3470187785, 'SI', 'Slovenia'),
(142313, '206.214.221.10', '206.214.221.25', 3470187786, 3470187801, 'US', 'United States'),
(142314, '206.214.221.26', '206.214.221.29', 3470187802, 3470187805, 'IN', 'India'),
(142315, '206.214.221.30', '206.214.221.37', 3470187806, 3470187813, 'US', 'United States'),
(142316, '206.214.221.38', '206.214.221.41', 3470187814, 3470187817, 'HK', 'Hong Kong'),
(142317, '206.214.221.42', '206.214.221.49', 3470187818, 3470187825, 'US', 'United States'),
(142318, '206.214.221.50', '206.214.221.53', 3470187826, 3470187829, 'CA', 'Canada'),
(142319, '206.214.221.54', '206.214.221.65', 3470187830, 3470187841, 'US', 'United States'),
(142320, '206.214.221.66', '206.214.221.69', 3470187842, 3470187845, 'TR', 'Turkey'),
(142321, '206.214.221.70', '206.214.221.81', 3470187846, 3470187857, 'US', 'United States'),
(142322, '206.214.221.82', '206.214.221.85', 3470187858, 3470187861, 'MX', 'Mexico'),
(142323, '206.214.221.86', '206.214.221.91', 3470187862, 3470187867, 'US', 'United States'),
(142324, '206.214.221.92', '206.214.221.95', 3470187868, 3470187871, 'IL', 'Israel'),
(142325, '206.214.221.96', '206.214.221.109', 3470187872, 3470187885, 'US', 'United States'),
(142326, '206.214.221.110', '206.214.221.113', 3470187886, 3470187889, 'IN', 'India'),
(142327, '206.214.221.114', '206.214.221.164', 3470187890, 3470187940, 'US', 'United States'),
(142328, '206.214.221.165', '206.214.221.168', 3470187941, 3470187944, 'SA', 'Saudi Arabia'),
(142329, '206.214.221.169', '206.214.221.176', 3470187945, 3470187952, 'US', 'United States'),
(142330, '206.214.221.177', '206.214.221.180', 3470187953, 3470187956, 'NO', 'Norway'),
(142331, '206.214.221.181', '206.214.221.184', 3470187957, 3470187960, 'US', 'United States'),
(142332, '206.214.221.185', '206.214.221.188', 3470187961, 3470187964, 'IN', 'India'),
(142333, '206.214.221.189', '206.214.221.200', 3470187965, 3470187976, 'US', 'United States'),
(142334, '206.214.221.201', '206.214.221.204', 3470187977, 3470187980, 'ES', 'Spain'),
(142335, '206.214.221.205', '206.214.221.212', 3470187981, 3470187988, 'US', 'United States'),
(142336, '206.214.221.213', '206.214.221.216', 3470187989, 3470187992, 'CA', 'Canada'),
(142337, '206.214.221.217', '206.214.221.228', 3470187993, 3470188004, 'US', 'United States'),
(142338, '206.214.221.229', '206.214.221.232', 3470188005, 3470188008, 'AU', 'Australia'),
(142339, '206.214.221.233', '206.214.221.240', 3470188009, 3470188016, 'SE', 'Sweden'),
(142340, '206.214.221.241', '206.214.221.248', 3470188017, 3470188024, 'US', 'United States'),
(142341, '206.214.221.249', '206.214.221.252', 3470188025, 3470188028, 'GB', 'United Kingdom'),
(142342, '206.214.221.253', '206.214.222.9', 3470188029, 3470188041, 'US', 'United States'),
(142343, '206.214.222.10', '206.214.222.13', 3470188042, 3470188045, 'TH', 'Thailand'),
(142344, '206.214.222.14', '206.214.222.17', 3470188046, 3470188049, 'GB', 'United Kingdom'),
(142345, '206.214.222.18', '206.214.222.37', 3470188050, 3470188069, 'US', 'United States'),
(142346, '206.214.222.38', '206.214.222.41', 3470188070, 3470188073, 'NZ', 'New Zealand'),
(142347, '206.214.222.42', '206.214.222.63', 3470188074, 3470188095, 'US', 'United States'),
(142348, '206.214.222.64', '206.214.222.67', 3470188096, 3470188099, 'GB', 'United Kingdom'),
(142349, '206.214.222.68', '206.214.222.71', 3470188100, 3470188103, 'US', 'United States'),
(142350, '206.214.222.72', '206.214.222.75', 3470188104, 3470188107, 'CA', 'Canada'),
(142351, '206.214.222.76', '206.214.222.79', 3470188108, 3470188111, 'US', 'United States'),
(142352, '206.214.222.80', '206.214.222.83', 3470188112, 3470188115, 'CA', 'Canada'),
(142353, '206.214.222.84', '206.214.222.99', 3470188116, 3470188131, 'US', 'United States'),
(142354, '206.214.222.100', '206.214.222.103', 3470188132, 3470188135, 'AU', 'Australia'),
(142355, '206.214.222.104', '206.214.222.119', 3470188136, 3470188151, 'US', 'United States'),
(142356, '206.214.222.120', '206.214.222.123', 3470188152, 3470188155, 'KW', 'Kuwait'),
(142357, '206.214.222.124', '206.214.222.131', 3470188156, 3470188163, 'US', 'United States'),
(142358, '206.214.222.132', '206.214.222.135', 3470188164, 3470188167, 'ID', 'Indonesia'),
(142359, '206.214.222.136', '206.214.222.139', 3470188168, 3470188171, 'US', 'United States'),
(142360, '206.214.222.140', '206.214.222.143', 3470188172, 3470188175, 'NL', 'Netherlands'),
(142361, '206.214.222.144', '206.214.222.167', 3470188176, 3470188199, 'US', 'United States'),
(142362, '206.214.222.168', '206.214.222.171', 3470188200, 3470188203, 'AR', 'Argentina'),
(142363, '206.214.222.172', '206.214.222.175', 3470188204, 3470188207, 'US', 'United States'),
(142364, '206.214.222.176', '206.214.222.179', 3470188208, 3470188211, 'ES', 'Spain'),
(142365, '206.214.222.180', '206.214.222.183', 3470188212, 3470188215, 'TR', 'Turkey'),
(142366, '206.214.222.184', '206.214.222.195', 3470188216, 3470188227, 'US', 'United States'),
(142367, '206.214.222.196', '206.214.222.199', 3470188228, 3470188231, 'GB', 'United Kingdom'),
(142368, '206.214.222.200', '206.214.222.215', 3470188232, 3470188247, 'US', 'United States'),
(142369, '206.214.222.216', '206.214.222.219', 3470188248, 3470188251, 'BE', 'Belgium'),
(142370, '206.214.222.220', '206.214.222.223', 3470188252, 3470188255, 'US', 'United States'),
(142371, '206.214.222.224', '206.214.222.227', 3470188256, 3470188259, 'CA', 'Canada'),
(142372, '206.214.222.228', '206.214.222.243', 3470188260, 3470188275, 'US', 'United States'),
(142373, '206.214.222.244', '206.214.222.247', 3470188276, 3470188279, 'IN', 'India'),
(142374, '206.214.222.248', '206.214.222.251', 3470188280, 3470188283, 'GR', 'Greece'),
(142375, '206.214.222.252', '206.214.223.5', 3470188284, 3470188293, 'US', 'United States'),
(142376, '206.214.223.6', '206.214.223.7', 3470188294, 3470188295, 'RU', 'Russian Federation'),
(142377, '206.214.223.8', '206.214.223.59', 3470188296, 3470188347, 'US', 'United States'),
(142378, '206.214.223.60', '206.214.223.63', 3470188348, 3470188351, 'HU', 'Hungary'),
(142379, '206.214.223.64', '206.214.223.105', 3470188352, 3470188393, 'US', 'United States'),
(142380, '206.214.223.106', '206.214.223.109', 3470188394, 3470188397, 'GB', 'United Kingdom'),
(142381, '206.214.223.110', '206.214.223.117', 3470188398, 3470188405, 'US', 'United States'),
(142382, '206.214.223.118', '206.214.223.121', 3470188406, 3470188409, 'GR', 'Greece'),
(142383, '206.214.223.122', '206.214.223.137', 3470188410, 3470188425, 'US', 'United States'),
(142384, '206.214.223.138', '206.214.223.145', 3470188426, 3470188433, 'ES', 'Spain'),
(142385, '206.214.223.146', '206.214.223.149', 3470188434, 3470188437, 'AR', 'Argentina'),
(142386, '206.214.223.150', '206.214.223.195', 3470188438, 3470188483, 'US', 'United States'),
(142387, '206.214.223.196', '206.214.223.199', 3470188484, 3470188487, 'PH', 'Philippines'),
(142388, '206.214.223.200', '206.214.223.203', 3470188488, 3470188491, 'ID', 'Indonesia'),
(142389, '206.214.223.204', '206.214.223.215', 3470188492, 3470188503, 'US', 'United States'),
(142390, '206.214.223.216', '206.214.223.219', 3470188504, 3470188507, 'CA', 'Canada'),
(142391, '206.214.223.220', '206.214.223.221', 3470188508, 3470188509, 'US', 'United States'),
(142392, '206.214.223.222', '206.214.223.222', 3470188510, 3470188510, 'IL', 'Israel'),
(142393, '206.214.223.223', '206.214.223.233', 3470188511, 3470188521, 'US', 'United States'),
(142394, '206.214.223.234', '206.214.223.253', 3470188522, 3470188541, 'HK', 'Hong Kong'),
(142395, '206.214.223.254', '206.214.239.255', 3470188542, 3470192639, 'US', 'United States'),
(142396, '206.214.240.0', '206.214.255.255', 3470192640, 3470196735, 'CA', 'Canada'),
(142397, '206.215.0.0', '206.217.128.47', 3470196736, 3470360623, 'US', 'United States'),
(142398, '206.217.128.48', '206.217.128.55', 3470360624, 3470360631, 'CA', 'Canada'),
(142399, '206.217.128.56', '206.217.128.111', 3470360632, 3470360687, 'US', 'United States'),
(142400, '206.217.128.112', '206.217.128.119', 3470360688, 3470360695, 'AF', 'Afghanistan'),
(142401, '206.217.128.120', '206.217.128.223', 3470360696, 3470360799, 'US', 'United States'),
(142402, '206.217.128.224', '206.217.128.231', 3470360800, 3470360807, 'CA', 'Canada'),
(142403, '206.217.128.232', '206.217.129.63', 3470360808, 3470360895, 'US', 'United States'),
(142404, '206.217.129.64', '206.217.129.79', 3470360896, 3470360911, 'CA', 'Canada'),
(142405, '206.217.129.80', '206.217.129.95', 3470360912, 3470360927, 'US', 'United States'),
(142406, '206.217.129.96', '206.217.129.103', 3470360928, 3470360935, 'CA', 'Canada'),
(142407, '206.217.129.104', '206.217.129.207', 3470360936, 3470361039, 'US', 'United States'),
(142408, '206.217.129.208', '206.217.129.223', 3470361040, 3470361055, 'SE', 'Sweden'),
(142409, '206.217.129.224', '206.217.131.127', 3470361056, 3470361471, 'US', 'United States'),
(142410, '206.217.131.128', '206.217.131.135', 3470361472, 3470361479, 'JP', 'Japan'),
(142411, '206.217.131.136', '206.217.132.63', 3470361480, 3470361663, 'US', 'United States'),
(142412, '206.217.132.64', '206.217.132.71', 3470361664, 3470361671, 'CA', 'Canada'),
(142413, '206.217.132.72', '206.217.132.103', 3470361672, 3470361703, 'US', 'United States'),
(142414, '206.217.132.104', '206.217.132.111', 3470361704, 3470361711, 'AF', 'Afghanistan'),
(142415, '206.217.132.112', '206.217.132.171', 3470361712, 3470361771, 'US', 'United States'),
(142416, '206.217.132.172', '206.217.132.175', 3470361772, 3470361775, 'AE', 'United Arab Emirates'),
(142417, '206.217.132.176', '206.217.133.243', 3470361776, 3470362099, 'US', 'United States'),
(142418, '206.217.133.244', '206.217.133.247', 3470362100, 3470362103, 'AE', 'United Arab Emirates'),
(142419, '206.217.133.248', '206.217.134.7', 3470362104, 3470362119, 'US', 'United States'),
(142420, '206.217.134.8', '206.217.134.15', 3470362120, 3470362127, 'AU', 'Australia'),
(142421, '206.217.134.16', '206.217.134.47', 3470362128, 3470362159, 'US', 'United States'),
(142422, '206.217.134.48', '206.217.134.55', 3470362160, 3470362167, 'AF', 'Afghanistan'),
(142423, '206.217.134.56', '206.217.134.151', 3470362168, 3470362263, 'US', 'United States'),
(142424, '206.217.134.152', '206.217.134.159', 3470362264, 3470362271, 'NZ', 'New Zealand'),
(142425, '206.217.134.160', '206.217.134.243', 3470362272, 3470362355, 'US', 'United States'),
(142426, '206.217.134.244', '206.217.134.247', 3470362356, 3470362359, 'AU', 'Australia'),
(142427, '206.217.134.248', '206.217.135.175', 3470362360, 3470362543, 'US', 'United States'),
(142428, '206.217.135.176', '206.217.135.191', 3470362544, 3470362559, 'SE', 'Sweden'),
(142429, '206.217.135.192', '206.217.135.255', 3470362560, 3470362623, 'CA', 'Canada'),
(142430, '206.217.136.0', '206.217.136.107', 3470362624, 3470362731, 'US', 'United States'),
(142431, '206.217.136.108', '206.217.136.111', 3470362732, 3470362735, 'AE', 'United Arab Emirates'),
(142432, '206.217.136.112', '206.217.137.15', 3470362736, 3470362895, 'US', 'United States'),
(142433, '206.217.137.16', '206.217.137.31', 3470362896, 3470362911, 'AU', 'Australia'),
(142434, '206.217.137.32', '206.217.139.143', 3470362912, 3470363535, 'US', 'United States'),
(142435, '206.217.139.144', '206.217.139.151', 3470363536, 3470363543, 'CA', 'Canada'),
(142436, '206.217.139.152', '206.217.139.159', 3470363544, 3470363551, 'US', 'United States'),
(142437, '206.217.139.160', '206.217.139.163', 3470363552, 3470363555, 'AF', 'Afghanistan'),
(142438, '206.217.139.164', '206.217.139.223', 3470363556, 3470363615, 'US', 'United States'),
(142439, '206.217.139.224', '206.217.139.239', 3470363616, 3470363631, 'ES', 'Spain'),
(142440, '206.217.139.240', '206.217.140.111', 3470363632, 3470363759, 'US', 'United States'),
(142441, '206.217.140.112', '206.217.140.119', 3470363760, 3470363767, 'CA', 'Canada'),
(142442, '206.217.140.120', '206.217.140.255', 3470363768, 3470363903, 'US', 'United States'),
(142443, '206.217.141.0', '206.217.141.15', 3470363904, 3470363919, 'CA', 'Canada'),
(142444, '206.217.141.16', '206.217.141.63', 3470363920, 3470363967, 'US', 'United States'),
(142445, '206.217.141.64', '206.217.141.79', 3470363968, 3470363983, 'CA', 'Canada'),
(142446, '206.217.141.80', '206.217.141.191', 3470363984, 3470364095, 'US', 'United States'),
(142447, '206.217.141.192', '206.217.141.199', 3470364096, 3470364103, 'AU', 'Australia'),
(142448, '206.217.141.200', '206.217.142.95', 3470364104, 3470364255, 'US', 'United States'),
(142449, '206.217.142.96', '206.217.142.127', 3470364256, 3470364287, 'IN', 'India'),
(142450, '206.217.142.128', '206.217.142.255', 3470364288, 3470364415, 'US', 'United States'),
(142451, '206.217.143.0', '206.217.143.63', 3470364416, 3470364479, 'CA', 'Canada'),
(142452, '206.217.143.64', '206.217.143.143', 3470364480, 3470364559, 'US', 'United States'),
(142453, '206.217.143.144', '206.217.143.159', 3470364560, 3470364575, 'HN', 'Honduras'),
(142454, '206.217.143.160', '206.218.255.255', 3470364576, 3470458879, 'US', 'United States'),
(142455, '206.219.0.0', '206.219.63.255', 3470458880, 3470475263, 'KR', 'Korea, Republic of'),
(142456, '206.219.64.0', '206.219.196.255', 3470475264, 3470509311, 'US', 'United States'),
(142457, '206.219.197.0', '206.219.197.255', 3470509312, 3470509567, 'CA', 'Canada'),
(142458, '206.219.198.0', '206.220.131.255', 3470509568, 3470558207, 'US', 'United States'),
(142459, '206.220.132.0', '206.220.135.255', 3470558208, 3470559231, 'HK', 'Hong Kong'),
(142460, '206.220.136.0', '206.220.191.255', 3470559232, 3470573567, 'US', 'United States'),
(142461, '206.220.192.0', '206.220.199.255', 3470573568, 3470575615, 'CA', 'Canada'),
(142462, '206.220.200.0', '206.221.79.255', 3470575616, 3470610431, 'US', 'United States'),
(142463, '206.221.80.0', '206.221.95.255', 3470610432, 3470614527, 'BR', 'Brazil'),
(142464, '206.221.96.0', '206.221.209.159', 3470614528, 3470643615, 'US', 'United States'),
(142465, '206.221.209.160', '206.221.209.175', 3470643616, 3470643631, 'CA', 'Canada'),
(142466, '206.221.209.176', '206.221.209.191', 3470643632, 3470643647, 'US', 'United States'),
(142467, '206.221.209.192', '206.221.209.255', 3470643648, 3470643711, 'CA', 'Canada'),
(142468, '206.221.210.0', '206.221.217.7', 3470643712, 3470645511, 'US', 'United States'),
(142469, '206.221.217.8', '206.221.217.15', 3470645512, 3470645519, 'GB', 'United Kingdom'),
(142470, '206.221.217.16', '206.221.217.23', 3470645520, 3470645527, 'FR', 'France'),
(142471, '206.221.217.24', '206.221.217.63', 3470645528, 3470645567, 'US', 'United States'),
(142472, '206.221.217.64', '206.221.217.71', 3470645568, 3470645575, 'CA', 'Canada'),
(142473, '206.221.217.72', '206.221.217.79', 3470645576, 3470645583, 'US', 'United States'),
(142474, '206.221.217.80', '206.221.217.87', 3470645584, 3470645591, 'FR', 'France'),
(142475, '206.221.217.88', '206.221.217.119', 3470645592, 3470645623, 'US', 'United States'),
(142476, '206.221.217.120', '206.221.217.127', 3470645624, 3470645631, 'BR', 'Brazil'),
(142477, '206.221.217.128', '206.221.217.151', 3470645632, 3470645655, 'US', 'United States'),
(142478, '206.221.217.152', '206.221.217.159', 3470645656, 3470645663, 'RU', 'Russian Federation'),
(142479, '206.221.217.160', '206.221.217.183', 3470645664, 3470645687, 'US', 'United States'),
(142480, '206.221.217.184', '206.221.217.191', 3470645688, 3470645695, 'ES', 'Spain'),
(142481, '206.221.217.192', '206.221.217.199', 3470645696, 3470645703, 'NL', 'Netherlands'),
(142482, '206.221.217.200', '206.221.217.227', 3470645704, 3470645731, 'US', 'United States'),
(142483, '206.221.217.228', '206.221.217.231', 3470645732, 3470645735, 'AU', 'Australia'),
(142484, '206.221.217.232', '206.221.217.235', 3470645736, 3470645739, 'CN', 'China'),
(142485, '206.221.217.236', '206.221.217.239', 3470645740, 3470645743, 'US', 'United States'),
(142486, '206.221.217.240', '206.221.217.243', 3470645744, 3470645747, 'ES', 'Spain'),
(142487, '206.221.217.244', '206.221.217.247', 3470645748, 3470645751, 'US', 'United States'),
(142488, '206.221.217.248', '206.221.217.255', 3470645752, 3470645759, 'BR', 'Brazil'),
(142489, '206.221.218.0', '206.221.218.31', 3470645760, 3470645791, 'US', 'United States'),
(142490, '206.221.218.32', '206.221.218.39', 3470645792, 3470645799, 'CN', 'China'),
(142491, '206.221.218.40', '206.221.218.255', 3470645800, 3470646015, 'US', 'United States'),
(142492, '206.221.219.0', '206.221.219.3', 3470646016, 3470646019, 'BR', 'Brazil'),
(142493, '206.221.219.4', '206.221.219.39', 3470646020, 3470646055, 'US', 'United States'),
(142494, '206.221.219.40', '206.221.219.47', 3470646056, 3470646063, 'ES', 'Spain'),
(142495, '206.221.219.48', '206.221.219.71', 3470646064, 3470646087, 'US', 'United States'),
(142496, '206.221.219.72', '206.221.219.79', 3470646088, 3470646095, 'ES', 'Spain'),
(142497, '206.221.219.80', '206.221.219.87', 3470646096, 3470646103, 'US', 'United States'),
(142498, '206.221.219.88', '206.221.219.103', 3470646104, 3470646119, 'BR', 'Brazil'),
(142499, '206.221.219.104', '206.221.219.119', 3470646120, 3470646135, 'US', 'United States'),
(142500, '206.221.219.120', '206.221.219.127', 3470646136, 3470646143, 'AU', 'Australia'),
(142501, '206.221.219.128', '206.221.219.135', 3470646144, 3470646151, 'CA', 'Canada'),
(142502, '206.221.219.136', '206.221.219.143', 3470646152, 3470646159, 'AU', 'Australia'),
(142503, '206.221.219.144', '206.221.219.151', 3470646160, 3470646167, 'US', 'United States'),
(142504, '206.221.219.152', '206.221.219.159', 3470646168, 3470646175, 'BR', 'Brazil'),
(142505, '206.221.219.160', '206.221.219.199', 3470646176, 3470646215, 'US', 'United States'),
(142506, '206.221.219.200', '206.221.219.207', 3470646216, 3470646223, 'BR', 'Brazil'),
(142507, '206.221.219.208', '206.221.219.215', 3470646224, 3470646231, 'IL', 'Israel'),
(142508, '206.221.219.216', '206.221.219.223', 3470646232, 3470646239, 'US', 'United States'),
(142509, '206.221.219.224', '206.221.219.231', 3470646240, 3470646247, 'IL', 'Israel'),
(142510, '206.221.219.232', '206.221.219.239', 3470646248, 3470646255, 'DE', 'Germany'),
(142511, '206.221.219.240', '206.221.219.247', 3470646256, 3470646263, 'AU', 'Australia'),
(142512, '206.221.219.248', '206.221.219.255', 3470646264, 3470646271, 'AR', 'Argentina'),
(142513, '206.221.220.0', '206.221.220.87', 3470646272, 3470646359, 'US', 'United States'),
(142514, '206.221.220.88', '206.221.220.95', 3470646360, 3470646367, 'ZA', 'South Africa'),
(142515, '206.221.220.96', '206.221.220.103', 3470646368, 3470646375, 'US', 'United States'),
(142516, '206.221.220.104', '206.221.220.111', 3470646376, 3470646383, 'BR', 'Brazil'),
(142517, '206.221.220.112', '206.221.220.143', 3470646384, 3470646415, 'US', 'United States'),
(142518, '206.221.220.144', '206.221.220.151', 3470646416, 3470646423, 'CA', 'Canada'),
(142519, '206.221.220.152', '206.221.220.159', 3470646424, 3470646431, 'FR', 'France'),
(142520, '206.221.220.160', '206.221.220.215', 3470646432, 3470646487, 'US', 'United States'),
(142521, '206.221.220.216', '206.221.220.223', 3470646488, 3470646495, 'PL', 'Poland'),
(142522, '206.221.220.224', '206.221.220.231', 3470646496, 3470646503, 'BR', 'Brazil'),
(142523, '206.221.220.232', '206.221.220.239', 3470646504, 3470646511, 'US', 'United States'),
(142524, '206.221.220.240', '206.221.220.247', 3470646512, 3470646519, 'BR', 'Brazil'),
(142525, '206.221.220.248', '206.221.220.255', 3470646520, 3470646527, 'US', 'United States'),
(142526, '206.221.221.0', '206.221.221.15', 3470646528, 3470646543, 'FR', 'France'),
(142527, '206.221.221.16', '206.221.221.39', 3470646544, 3470646567, 'US', 'United States'),
(142528, '206.221.221.40', '206.221.221.47', 3470646568, 3470646575, 'BR', 'Brazil'),
(142529, '206.221.221.48', '206.221.221.55', 3470646576, 3470646583, 'US', 'United States'),
(142530, '206.221.221.56', '206.221.221.63', 3470646584, 3470646591, 'LK', 'Sri Lanka'),
(142531, '206.221.221.64', '206.221.221.71', 3470646592, 3470646599, 'CN', 'China'),
(142532, '206.221.221.72', '206.221.221.79', 3470646600, 3470646607, 'US', 'United States'),
(142533, '206.221.221.80', '206.221.221.95', 3470646608, 3470646623, 'ZA', 'South Africa'),
(142534, '206.221.221.96', '206.221.221.103', 3470646624, 3470646631, 'DE', 'Germany'),
(142535, '206.221.221.104', '206.221.221.111', 3470646632, 3470646639, 'BR', 'Brazil'),
(142536, '206.221.221.112', '206.221.221.175', 3470646640, 3470646703, 'US', 'United States'),
(142537, '206.221.221.176', '206.221.221.183', 3470646704, 3470646711, 'CN', 'China'),
(142538, '206.221.221.184', '206.221.221.191', 3470646712, 3470646719, 'UY', 'Uruguay'),
(142539, '206.221.221.192', '206.221.221.199', 3470646720, 3470646727, 'US', 'United States'),
(142540, '206.221.221.200', '206.221.221.207', 3470646728, 3470646735, 'GB', 'United Kingdom'),
(142541, '206.221.221.208', '206.221.221.215', 3470646736, 3470646743, 'US', 'United States'),
(142542, '206.221.221.216', '206.221.221.223', 3470646744, 3470646751, 'BR', 'Brazil'),
(142543, '206.221.221.224', '206.221.221.239', 3470646752, 3470646767, 'FR', 'France'),
(142544, '206.221.221.240', '206.221.221.247', 3470646768, 3470646775, 'US', 'United States'),
(142545, '206.221.221.248', '206.221.221.255', 3470646776, 3470646783, 'IT', 'Italy'),
(142546, '206.221.222.0', '206.221.222.7', 3470646784, 3470646791, 'US', 'United States'),
(142547, '206.221.222.8', '206.221.222.15', 3470646792, 3470646799, 'CZ', 'Czech Republic'),
(142548, '206.221.222.16', '206.221.222.23', 3470646800, 3470646807, 'BR', 'Brazil'),
(142549, '206.221.222.24', '206.221.222.47', 3470646808, 3470646831, 'US', 'United States'),
(142550, '206.221.222.48', '206.221.222.63', 3470646832, 3470646847, 'IL', 'Israel'),
(142551, '206.221.222.64', '206.221.222.199', 3470646848, 3470646983, 'US', 'United States'),
(142552, '206.221.222.200', '206.221.222.207', 3470646984, 3470646991, 'AR', 'Argentina'),
(142553, '206.221.222.208', '206.221.222.215', 3470646992, 3470646999, 'CN', 'China'),
(142554, '206.221.222.216', '206.221.239.255', 3470647000, 3470651391, 'US', 'United States'),
(142555, '206.221.240.0', '206.221.255.255', 3470651392, 3470655487, 'CA', 'Canada'),
(142556, '206.222.0.0', '206.222.2.63', 3470655488, 3470656063, 'US', 'United States'),
(142557, '206.222.2.64', '206.222.2.95', 3470656064, 3470656095, 'IL', 'Israel'),
(142558, '206.222.2.96', '206.222.3.127', 3470656096, 3470656383, 'US', 'United States'),
(142559, '206.222.3.128', '206.222.3.159', 3470656384, 3470656415, 'IL', 'Israel'),
(142560, '206.222.3.160', '206.222.6.71', 3470656416, 3470657095, 'US', 'United States'),
(142561, '206.222.6.72', '206.222.6.79', 3470657096, 3470657103, 'IN', 'India'),
(142562, '206.222.6.80', '206.222.8.159', 3470657104, 3470657695, 'US', 'United States'),
(142563, '206.222.8.160', '206.222.8.175', 3470657696, 3470657711, 'RU', 'Russian Federation'),
(142564, '206.222.8.176', '206.222.12.39', 3470657712, 3470658599, 'US', 'United States'),
(142565, '206.222.12.40', '206.222.12.47', 3470658600, 3470658607, 'JP', 'Japan'),
(142566, '206.222.12.48', '206.222.12.55', 3470658608, 3470658615, 'US', 'United States'),
(142567, '206.222.12.56', '206.222.12.63', 3470658616, 3470658623, 'ZA', 'South Africa'),
(142568, '206.222.12.64', '206.222.12.191', 3470658624, 3470658751, 'US', 'United States'),
(142569, '206.222.12.192', '206.222.12.199', 3470658752, 3470658759, 'IE', 'Ireland'),
(142570, '206.222.12.200', '206.222.14.111', 3470658760, 3470659183, 'US', 'United States'),
(142571, '206.222.14.112', '206.222.14.119', 3470659184, 3470659191, 'BE', 'Belgium'),
(142572, '206.222.14.120', '206.222.14.127', 3470659192, 3470659199, 'US', 'United States'),
(142573, '206.222.14.128', '206.222.14.135', 3470659200, 3470659207, 'TR', 'Turkey'),
(142574, '206.222.14.136', '206.222.15.143', 3470659208, 3470659471, 'US', 'United States'),
(142575, '206.222.15.144', '206.222.15.159', 3470659472, 3470659487, 'ES', 'Spain'),
(142576, '206.222.15.160', '206.222.15.191', 3470659488, 3470659519, 'IL', 'Israel'),
(142577, '206.222.15.192', '206.222.15.239', 3470659520, 3470659567, 'US', 'United States'),
(142578, '206.222.15.240', '206.222.15.247', 3470659568, 3470659575, 'BR', 'Brazil'),
(142579, '206.222.15.248', '206.222.16.151', 3470659576, 3470659735, 'US', 'United States'),
(142580, '206.222.16.152', '206.222.16.159', 3470659736, 3470659743, 'AU', 'Australia'),
(142581, '206.222.16.160', '206.222.17.111', 3470659744, 3470659951, 'US', 'United States'),
(142582, '206.222.17.112', '206.222.17.119', 3470659952, 3470659959, 'MY', 'Malaysia'),
(142583, '206.222.17.120', '206.222.17.127', 3470659960, 3470659967, 'IN', 'India'),
(142584, '206.222.17.128', '206.222.17.239', 3470659968, 3470660079, 'US', 'United States'),
(142585, '206.222.17.240', '206.222.17.247', 3470660080, 3470660087, 'CA', 'Canada'),
(142586, '206.222.17.248', '206.222.18.7', 3470660088, 3470660103, 'US', 'United States'),
(142587, '206.222.18.8', '206.222.18.15', 3470660104, 3470660111, 'HK', 'Hong Kong'),
(142588, '206.222.18.16', '206.222.18.127', 3470660112, 3470660223, 'US', 'United States'),
(142589, '206.222.18.128', '206.222.18.159', 3470660224, 3470660255, 'PH', 'Philippines'),
(142590, '206.222.18.160', '206.222.20.39', 3470660256, 3470660647, 'US', 'United States'),
(142591, '206.222.20.40', '206.222.20.47', 3470660648, 3470660655, 'IE', 'Ireland'),
(142592, '206.222.20.48', '206.222.22.47', 3470660656, 3470661167, 'US', 'United States'),
(142593, '206.222.22.48', '206.222.22.55', 3470661168, 3470661175, 'IE', 'Ireland'),
(142594, '206.222.22.56', '206.222.22.71', 3470661176, 3470661191, 'US', 'United States'),
(142595, '206.222.22.72', '206.222.22.87', 3470661192, 3470661207, 'CA', 'Canada'),
(142596, '206.222.22.88', '206.222.22.95', 3470661208, 3470661215, 'US', 'United States'),
(142597, '206.222.22.96', '206.222.22.103', 3470661216, 3470661223, 'IN', 'India'),
(142598, '206.222.22.104', '206.222.22.111', 3470661224, 3470661231, 'US', 'United States'),
(142599, '206.222.22.112', '206.222.22.119', 3470661232, 3470661239, 'ES', 'Spain'),
(142600, '206.222.22.120', '206.222.22.199', 3470661240, 3470661319, 'US', 'United States'),
(142601, '206.222.22.200', '206.222.22.207', 3470661320, 3470661327, 'BD', 'Bangladesh'),
(142602, '206.222.22.208', '206.222.24.95', 3470661328, 3470661727, 'US', 'United States'),
(142603, '206.222.24.96', '206.222.24.103', 3470661728, 3470661735, 'AU', 'Australia'),
(142604, '206.222.24.104', '206.222.26.23', 3470661736, 3470662167, 'US', 'United States'),
(142605, '206.222.26.24', '206.222.26.31', 3470662168, 3470662175, 'IL', 'Israel'),
(142606, '206.222.26.32', '206.222.26.39', 3470662176, 3470662183, 'CN', 'China'),
(142607, '206.222.26.40', '206.222.28.7', 3470662184, 3470662663, 'US', 'United States'),
(142608, '206.222.28.8', '206.222.28.15', 3470662664, 3470662671, 'AE', 'United Arab Emirates'),
(142609, '206.222.28.16', '206.222.28.207', 3470662672, 3470662863, 'US', 'United States'),
(142610, '206.222.28.208', '206.222.28.215', 3470662864, 3470662871, 'IN', 'India'),
(142611, '206.222.28.216', '206.222.28.255', 3470662872, 3470662911, 'US', 'United States'),
(142612, '206.222.29.0', '206.222.29.7', 3470662912, 3470662919, 'GB', 'United Kingdom'),
(142613, '206.222.29.8', '206.222.29.143', 3470662920, 3470663055, 'US', 'United States'),
(142614, '206.222.29.144', '206.222.29.151', 3470663056, 3470663063, 'NL', 'Netherlands'),
(142615, '206.222.29.152', '206.222.29.183', 3470663064, 3470663095, 'US', 'United States'),
(142616, '206.222.29.184', '206.222.29.191', 3470663096, 3470663103, 'GB', 'United Kingdom'),
(142617, '206.222.29.192', '206.222.29.207', 3470663104, 3470663119, 'US', 'United States'),
(142618, '206.222.29.208', '206.222.29.215', 3470663120, 3470663127, 'VE', 'Venezuela'),
(142619, '206.222.29.216', '206.222.30.119', 3470663128, 3470663287, 'US', 'United States'),
(142620, '206.222.30.120', '206.222.30.127', 3470663288, 3470663295, 'TH', 'Thailand'),
(142621, '206.222.30.128', '206.222.30.143', 3470663296, 3470663311, 'IE', 'Ireland'),
(142622, '206.222.30.144', '206.222.63.255', 3470663312, 3470671871, 'US', 'United States'),
(142623, '206.222.64.0', '206.222.95.255', 3470671872, 3470680063, 'CA', 'Canada'),
(142624, '206.222.96.0', '206.223.89.255', 3470680064, 3470744063, 'US', 'United States'),
(142625, '206.223.90.0', '206.223.91.255', 3470744064, 3470744575, 'CA', 'Canada'),
(142626, '206.223.92.0', '206.223.96.255', 3470744576, 3470745855, 'US', 'United States'),
(142627, '206.223.97.0', '206.223.97.255', 3470745856, 3470746111, 'CA', 'Canada'),
(142628, '206.223.98.0', '206.223.112.255', 3470746112, 3470749951, 'US', 'United States'),
(142629, '206.223.113.0', '206.223.113.255', 3470749952, 3470750207, 'CA', 'Canada'),
(142630, '206.223.114.0', '206.223.123.255', 3470750208, 3470752767, 'US', 'United States'),
(142631, '206.223.124.0', '206.223.124.255', 3470752768, 3470753023, 'CO', 'Colombia'),
(142632, '206.223.125.0', '206.223.129.255', 3470753024, 3470754303, 'US', 'United States'),
(142633, '206.223.130.0', '206.223.130.255', 3470754304, 3470754559, 'PE', 'Peru'),
(142634, '206.223.131.0', '206.223.135.255', 3470754560, 3470755839, 'US', 'United States'),
(142635, '206.223.136.0', '206.223.136.255', 3470755840, 3470756095, 'ZA', 'South Africa'),
(142636, '206.223.137.0', '206.223.159.255', 3470756096, 3470761983, 'US', 'United States'),
(142637, '206.223.160.0', '206.223.162.255', 3470761984, 3470762751, 'CA', 'Canada'),
(142638, '206.223.163.0', '206.223.163.7', 3470762752, 3470762759, 'NL', 'Netherlands'),
(142639, '206.223.163.8', '206.223.182.255', 3470762760, 3470767871, 'CA', 'Canada'),
(142640, '206.223.183.0', '206.223.183.255', 3470767872, 3470768127, 'IE', 'Ireland'),
(142641, '206.223.184.0', '206.223.191.255', 3470768128, 3470770175, 'CA', 'Canada'),
(142642, '206.223.192.0', '206.223.223.255', 3470770176, 3470778367, 'US', 'United States'),
(142643, '206.223.224.0', '206.223.255.255', 3470778368, 3470786559, 'CA', 'Canada'),
(142644, '206.224.0.0', '206.224.31.255', 3470786560, 3470794751, 'US', 'United States'),
(142645, '206.224.32.0', '206.224.63.255', 3470794752, 3470802943, 'PA', 'Panama'),
(142646, '206.224.64.0', '206.225.82.200', 3470802944, 3470873288, 'US', 'United States'),
(142647, '206.225.82.201', '206.225.82.208', 3470873289, 3470873296, 'MX', 'Mexico'),
(142648, '206.225.82.209', '206.225.92.169', 3470873297, 3470875817, 'US', 'United States'),
(142649, '206.225.92.170', '206.225.92.179', 3470875818, 3470875827, 'JP', 'Japan'),
(142650, '206.225.92.180', '206.225.94.242', 3470875828, 3470876402, 'US', 'United States'),
(142651, '206.225.94.243', '206.225.94.250', 3470876403, 3470876410, 'IN', 'India'),
(142652, '206.225.94.251', '206.225.127.255', 3470876411, 3470884863, 'US', 'United States'),
(142653, '206.225.128.0', '206.225.131.255', 3470884864, 3470885887, 'HK', 'Hong Kong'),
(142654, '206.225.132.0', '206.228.35.255', 3470885888, 3471057919, 'US', 'United States'),
(142655, '206.228.36.0', '206.228.39.255', 3471057920, 3471058943, 'VE', 'Venezuela'),
(142656, '206.228.40.0', '206.228.41.255', 3471058944, 3471059455, 'US', 'United States'),
(142657, '206.228.42.0', '206.228.44.255', 3471059456, 3471060223, 'ES', 'Spain'),
(142658, '206.228.45.0', '206.228.47.255', 3471060224, 3471060991, 'US', 'United States'),
(142659, '206.228.48.0', '206.228.48.255', 3471060992, 3471061247, 'NL', 'Netherlands'),
(142660, '206.228.49.0', '206.228.49.255', 3471061248, 3471061503, 'US', 'United States'),
(142661, '206.228.50.0', '206.228.50.255', 3471061504, 3471061759, 'NL', 'Netherlands'),
(142662, '206.228.51.0', '206.231.67.255', 3471061760, 3471262719, 'US', 'United States'),
(142663, '206.231.68.0', '206.231.71.255', 3471262720, 3471263743, 'EC', 'Ecuador'),
(142664, '206.231.72.0', '206.231.79.255', 3471263744, 3471265791, 'CO', 'Colombia'),
(142665, '206.231.80.0', '206.235.84.255', 3471265792, 3471529215, 'US', 'United States'),
(142666, '206.235.85.0', '206.235.87.255', 3471529216, 3471529983, 'CA', 'Canada'),
(142667, '206.235.88.0', '206.235.199.255', 3471529984, 3471558655, 'US', 'United States'),
(142668, '206.235.200.0', '206.235.207.255', 3471558656, 3471560703, 'CA', 'Canada'),
(142669, '206.235.208.0', '206.235.247.255', 3471560704, 3471570943, 'US', 'United States'),
(142670, '206.235.248.0', '206.235.255.255', 3471570944, 3471572991, 'CA', 'Canada'),
(142671, '206.236.0.0', '206.248.63.255', 3471572992, 3472375807, 'US', 'United States'),
(142672, '206.248.64.0', '206.248.127.255', 3472375808, 3472392191, 'PR', 'Puerto Rico'),
(142673, '206.248.128.0', '206.248.191.255', 3472392192, 3472408575, 'CA', 'Canada'),
(142674, '206.248.192.0', '207.1.159.255', 3472408576, 3472990207, 'US', 'United States'),
(142675, '207.1.160.0', '207.1.160.255', 3472990208, 3472990463, 'AS', 'American Samoa'),
(142676, '207.1.161.0', '207.2.95.255', 3472990464, 3473039359, 'US', 'United States'),
(142677, '207.2.96.0', '207.2.100.255', 3473039360, 3473040639, 'BM', 'Bermuda'),
(142678, '207.2.101.0', '207.2.101.255', 3473040640, 3473040895, 'US', 'United States'),
(142679, '207.2.102.0', '207.2.103.255', 3473040896, 3473041407, 'BM', 'Bermuda'),
(142680, '207.2.104.0', '207.3.62.0', 3473041408, 3473096192, 'US', 'United States'),
(142681, '207.3.62.1', '207.3.62.255', 3473096193, 3473096447, 'PH', 'Philippines'),
(142682, '207.3.63.0', '207.5.255.255', 3473096448, 3473276927, 'US', 'United States'),
(142683, '207.6.0.0', '207.6.255.255', 3473276928, 3473342463, 'CA', 'Canada'),
(142684, '207.7.0.0', '207.7.129.7', 3473342464, 3473375495, 'US', 'United States'),
(142685, '207.7.129.8', '207.7.129.15', 3473375496, 3473375503, 'NZ', 'New Zealand'),
(142686, '207.7.129.16', '207.7.151.191', 3473375504, 3473381311, 'US', 'United States'),
(142687, '207.7.151.192', '207.7.151.223', 3473381312, 3473381343, 'DE', 'Germany'),
(142688, '207.7.151.224', '207.12.130.127', 3473381344, 3473703551, 'US', 'United States'),
(142689, '207.12.130.128', '207.12.130.255', 3473703552, 3473703679, 'CA', 'Canada'),
(142690, '207.12.131.0', '207.13.76.255', 3473703680, 3473755391, 'US', 'United States'),
(142691, '207.13.77.0', '207.13.77.255', 3473755392, 3473755647, 'HN', 'Honduras'),
(142692, '207.13.78.0', '207.13.117.255', 3473755648, 3473765887, 'US', 'United States'),
(142693, '207.13.118.0', '207.13.119.255', 3473765888, 3473766399, 'EC', 'Ecuador'),
(142694, '207.13.120.0', '207.13.196.255', 3473766400, 3473786111, 'US', 'United States'),
(142695, '207.13.197.0', '207.13.197.15', 3473786112, 3473786127, 'PR', 'Puerto Rico'),
(142696, '207.13.197.16', '207.14.48.63', 3473786128, 3473813567, 'US', 'United States'),
(142697, '207.14.48.64', '207.14.48.95', 3473813568, 3473813599, 'CA', 'Canada'),
(142698, '207.14.48.96', '207.15.133.255', 3473813600, 3473901055, 'US', 'United States'),
(142699, '207.15.134.0', '207.15.134.255', 3473901056, 3473901311, 'EC', 'Ecuador'),
(142700, '207.15.135.0', '207.15.197.255', 3473901312, 3473917439, 'US', 'United States'),
(142701, '207.15.198.0', '207.15.198.255', 3473917440, 3473917695, 'PR', 'Puerto Rico'),
(142702, '207.15.199.0', '207.17.189.255', 3473917696, 3474046463, 'US', 'United States'),
(142703, '207.17.190.0', '207.17.191.255', 3474046464, 3474046975, 'MX', 'Mexico'),
(142704, '207.17.192.0', '207.17.215.255', 3474046976, 3474053119, 'US', 'United States'),
(142705, '207.17.216.0', '207.17.223.255', 3474053120, 3474055167, 'PE', 'Peru'),
(142706, '207.17.224.0', '207.19.251.255', 3474055168, 3474193407, 'US', 'United States'),
(142707, '207.19.252.0', '207.19.252.255', 3474193408, 3474193663, 'PH', 'Philippines'),
(142708, '207.19.253.0', '207.19.253.255', 3474193664, 3474193919, 'US', 'United States'),
(142709, '207.19.254.0', '207.19.255.255', 3474193920, 3474194431, 'PH', 'Philippines'),
(142710, '207.20.0.0', '207.22.145.159', 3474194432, 3474362783, 'US', 'United States'),
(142711, '207.22.145.160', '207.22.145.191', 3474362784, 3474362815, 'AU', 'Australia'),
(142712, '207.22.145.192', '207.22.148.255', 3474362816, 3474363647, 'US', 'United States'),
(142713, '207.22.149.0', '207.22.149.39', 3474363648, 3474363687, 'GB', 'United Kingdom'),
(142714, '207.22.149.40', '207.22.149.47', 3474363688, 3474363695, 'US', 'United States'),
(142715, '207.22.149.48', '207.22.149.63', 3474363696, 3474363711, 'GB', 'United Kingdom'),
(142716, '207.22.149.64', '207.22.255.255', 3474363712, 3474391039, 'US', 'United States'),
(142717, '207.23.0.0', '207.23.255.255', 3474391040, 3474456575, 'CA', 'Canada'),
(142718, '207.24.0.0', '207.24.25.95', 3474456576, 3474463071, 'US', 'United States'),
(142719, '207.24.25.96', '207.24.25.111', 3474463072, 3474463087, 'GB', 'United Kingdom'),
(142720, '207.24.25.112', '207.24.25.207', 3474463088, 3474463183, 'US', 'United States'),
(142721, '207.24.25.208', '207.24.25.223', 3474463184, 3474463199, 'GB', 'United Kingdom'),
(142722, '207.24.25.224', '207.24.25.255', 3474463200, 3474463231, 'US', 'United States'),
(142723, '207.24.26.0', '207.24.26.255', 3474463232, 3474463487, 'GB', 'United Kingdom'),
(142724, '207.24.27.0', '207.24.28.47', 3474463488, 3474463791, 'US', 'United States'),
(142725, '207.24.28.48', '207.24.28.63', 3474463792, 3474463807, 'GB', 'United Kingdom'),
(142726, '207.24.28.64', '207.24.28.111', 3474463808, 3474463855, 'US', 'United States'),
(142727, '207.24.28.112', '207.24.28.127', 3474463856, 3474463871, 'GB', 'United Kingdom'),
(142728, '207.24.28.128', '207.24.28.159', 3474463872, 3474463903, 'US', 'United States'),
(142729, '207.24.28.160', '207.24.28.175', 3474463904, 3474463919, 'GB', 'United Kingdom'),
(142730, '207.24.28.176', '207.24.29.255', 3474463920, 3474464255, 'US', 'United States'),
(142731, '207.24.30.0', '207.24.31.255', 3474464256, 3474464767, 'GB', 'United Kingdom'),
(142732, '207.24.32.0', '207.25.101.255', 3474464768, 3474548223, 'US', 'United States'),
(142733, '207.25.102.0', '207.25.102.255', 3474548224, 3474548479, 'JP', 'Japan'),
(142734, '207.25.103.0', '207.26.140.111', 3474548480, 3474623599, 'US', 'United States'),
(142735, '207.26.140.112', '207.26.140.127', 3474623600, 3474623615, 'CA', 'Canada'),
(142736, '207.26.140.128', '207.34.0.255', 3474623616, 3475112191, 'US', 'United States'),
(142737, '207.34.1.0', '207.34.4.255', 3475112192, 3475113215, 'CA', 'Canada'),
(142738, '207.34.5.0', '207.34.11.255', 3475113216, 3475115007, 'US', 'United States'),
(142739, '207.34.12.0', '207.34.31.255', 3475115008, 3475120127, 'CA', 'Canada'),
(142740, '207.34.32.0', '207.34.47.255', 3475120128, 3475124223, 'US', 'United States'),
(142741, '207.34.48.0', '207.35.255.255', 3475124224, 3475243007, 'CA', 'Canada'),
(142742, '207.36.0.0', '207.36.208.205', 3475243008, 3475296461, 'US', 'United States'),
(142743, '207.36.208.206', '207.36.208.206', 3475296462, 3475296462, 'AE', 'United Arab Emirates'),
(142744, '207.36.208.207', '207.38.126.191', 3475296463, 3475406527, 'US', 'United States'),
(142745, '207.38.126.192', '207.38.126.255', 3475406528, 3475406591, 'BR', 'Brazil'),
(142746, '207.38.127.0', '207.41.74.255', 3475406592, 3475589887, 'US', 'United States'),
(142747, '207.41.75.0', '207.41.75.255', 3475589888, 3475590143, 'EC', 'Ecuador'),
(142748, '207.41.76.0', '207.42.131.255', 3475590144, 3475670015, 'US', 'United States'),
(142749, '207.42.132.0', '207.42.132.31', 3475670016, 3475670047, 'AG', 'Antigua and Barbuda'),
(142750, '207.42.132.32', '207.42.132.63', 3475670048, 3475670079, 'KN', 'Saint Kitts and Nevis'),
(142751, '207.42.132.64', '207.42.132.159', 3475670080, 3475670175, 'AG', 'Antigua and Barbuda'),
(142752, '207.42.132.160', '207.42.132.191', 3475670176, 3475670207, 'KN', 'Saint Kitts and Nevis'),
(142753, '207.42.132.192', '207.42.132.255', 3475670208, 3475670271, 'AG', 'Antigua and Barbuda'),
(142754, '207.42.133.0', '207.42.133.255', 3475670272, 3475670527, 'AI', 'Anguilla'),
(142755, '207.42.134.0', '207.42.134.255', 3475670528, 3475670783, 'LC', 'Saint Lucia'),
(142756, '207.42.135.0', '207.42.135.63', 3475670784, 3475670847, 'DM', 'Dominica'),
(142757, '207.42.135.64', '207.42.135.255', 3475670848, 3475671039, 'AG', 'Antigua and Barbuda'),
(142758, '207.42.136.0', '207.42.175.255', 3475671040, 3475681279, 'US', 'United States'),
(142759, '207.42.176.0', '207.42.191.255', 3475681280, 3475685375, 'HN', 'Honduras'),
(142760, '207.42.192.0', '207.43.68.63', 3475685376, 3475719231, 'US', 'United States'),
(142761, '207.43.68.64', '207.43.68.127', 3475719232, 3475719295, 'PR', 'Puerto Rico'),
(142762, '207.43.68.128', '207.43.170.223', 3475719296, 3475745503, 'US', 'United States'),
(142763, '207.43.170.224', '207.43.170.255', 3475745504, 3475745535, 'CA', 'Canada'),
(142764, '207.43.171.0', '207.43.198.255', 3475745536, 3475752703, 'US', 'United States'),
(142765, '207.43.199.0', '207.43.199.255', 3475752704, 3475752959, 'AN', 'Netherlands Antilles'),
(142766, '207.43.200.0', '207.44.180.47', 3475752960, 3475813423, 'US', 'United States'),
(142767, '207.44.180.48', '207.44.181.47', 3475813424, 3475813679, 'A1', 'Anonymous Proxy'),
(142768, '207.44.181.48', '207.45.191.255', 3475813680, 3475881983, 'US', 'United States'),
(142769, '207.45.192.0', '207.45.195.255', 3475881984, 3475883007, 'CA', 'Canada'),
(142770, '207.45.196.0', '207.45.196.31', 3475883008, 3475883039, 'US', 'United States'),
(142771, '207.45.196.32', '207.45.197.223', 3475883040, 3475883487, 'CA', 'Canada'),
(142772, '207.45.197.224', '207.45.197.255', 3475883488, 3475883519, 'US', 'United States'),
(142773, '207.45.198.0', '207.45.199.255', 3475883520, 3475884031, 'CA', 'Canada'),
(142774, '207.45.200.0', '207.45.200.255', 3475884032, 3475884287, 'US', 'United States'),
(142775, '207.45.201.0', '207.45.201.31', 3475884288, 3475884319, 'CA', 'Canada'),
(142776, '207.45.201.32', '207.45.201.39', 3475884320, 3475884327, 'US', 'United States'),
(142777, '207.45.201.40', '207.45.204.63', 3475884328, 3475885119, 'CA', 'Canada'),
(142778, '207.45.204.64', '207.45.204.79', 3475885120, 3475885135, 'US', 'United States'),
(142779, '207.45.204.80', '207.45.215.255', 3475885136, 3475888127, 'CA', 'Canada'),
(142780, '207.45.216.0', '207.45.216.255', 3475888128, 3475888383, 'US', 'United States'),
(142781, '207.45.217.0', '207.45.223.255', 3475888384, 3475890175, 'CA', 'Canada'),
(142782, '207.45.224.0', '207.45.247.255', 3475890176, 3475896319, 'US', 'United States'),
(142783, '207.45.248.0', '207.45.248.255', 3475896320, 3475896575, 'FR', 'France'),
(142784, '207.45.249.0', '207.45.249.255', 3475896576, 3475896831, 'EU', 'Europe'),
(142785, '207.45.250.0', '207.45.252.127', 3475896832, 3475897471, 'US', 'United States'),
(142786, '207.45.252.128', '207.45.252.159', 3475897472, 3475897503, 'FR', 'France'),
(142787, '207.45.252.160', '207.46.49.255', 3475897504, 3475911167, 'US', 'United States'),
(142788, '207.46.50.0', '207.46.50.69', 3475911168, 3475911237, 'AP', 'Asia/Pacific Region'),
(142789, '207.46.50.70', '207.46.50.71', 3475911238, 3475911239, 'IN', 'India'),
(142790, '207.46.50.72', '207.46.50.255', 3475911240, 3475911423, 'AP', 'Asia/Pacific Region'),
(142791, '207.46.51.0', '207.46.54.255', 3475911424, 3475912447, 'US', 'United States'),
(142792, '207.46.55.0', '207.46.55.255', 3475912448, 3475912703, 'IN', 'India'),
(142793, '207.46.56.0', '207.46.88.255', 3475912704, 3475921151, 'US', 'United States'),
(142794, '207.46.89.0', '207.46.89.255', 3475921152, 3475921407, 'JP', 'Japan'),
(142795, '207.46.90.0', '207.47.127.255', 3475921408, 3475996671, 'US', 'United States'),
(142796, '207.47.128.0', '207.47.255.255', 3475996672, 3476029439, 'CA', 'Canada'),
(142797, '207.48.0.0', '207.48.47.95', 3476029440, 3476041567, 'US', 'United States'),
(142798, '207.48.47.96', '207.48.47.111', 3476041568, 3476041583, 'MX', 'Mexico'),
(142799, '207.48.47.112', '207.48.183.31', 3476041584, 3476076319, 'US', 'United States'),
(142800, '207.48.183.32', '207.48.183.63', 3476076320, 3476076351, 'JO', 'Jordan'),
(142801, '207.48.183.64', '207.49.63.255', 3476076352, 3476111359, 'US', 'United States'),
(142802, '207.49.64.0', '207.49.65.255', 3476111360, 3476111871, 'CA', 'Canada'),
(142803, '207.49.66.0', '207.51.155.127', 3476111872, 3476265855, 'US', 'United States'),
(142804, '207.51.155.128', '207.51.155.191', 3476265856, 3476265919, 'EG', 'Egypt'),
(142805, '207.51.155.192', '207.52.223.255', 3476265920, 3476348927, 'US', 'United States'),
(142806, '207.52.224.0', '207.52.224.255', 3476348928, 3476349183, 'CA', 'Canada'),
(142807, '207.52.225.0', '207.53.251.255', 3476349184, 3476421631, 'US', 'United States'),
(142808, '207.53.252.0', '207.53.252.255', 3476421632, 3476421887, 'AZ', 'Azerbaijan'),
(142809, '207.53.253.0', '207.53.253.255', 3476421888, 3476422143, 'US', 'United States'),
(142810, '207.53.254.0', '207.53.255.255', 3476422144, 3476422655, 'AZ', 'Azerbaijan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(142811, '207.54.0.0', '207.54.95.255', 3476422656, 3476447231, 'US', 'United States'),
(142812, '207.54.96.0', '207.54.112.15', 3476447232, 3476451343, 'CA', 'Canada'),
(142813, '207.54.112.16', '207.54.112.47', 3476451344, 3476451375, 'US', 'United States'),
(142814, '207.54.112.48', '207.54.127.255', 3476451376, 3476455423, 'CA', 'Canada'),
(142815, '207.54.128.0', '207.58.132.24', 3476455424, 3476718616, 'US', 'United States'),
(142816, '207.58.132.25', '207.58.132.25', 3476718617, 3476718617, 'IN', 'India'),
(142817, '207.58.132.26', '207.58.137.253', 3476718618, 3476720125, 'US', 'United States'),
(142818, '207.58.137.254', '207.58.137.254', 3476720126, 3476720126, 'GB', 'United Kingdom'),
(142819, '207.58.137.255', '207.58.138.235', 3476720127, 3476720363, 'US', 'United States'),
(142820, '207.58.138.236', '207.58.138.239', 3476720364, 3476720367, 'LV', 'Latvia'),
(142821, '207.58.138.240', '207.58.142.7', 3476720368, 3476721159, 'US', 'United States'),
(142822, '207.58.142.8', '207.58.142.15', 3476721160, 3476721167, 'IT', 'Italy'),
(142823, '207.58.142.16', '207.58.142.167', 3476721168, 3476721319, 'US', 'United States'),
(142824, '207.58.142.168', '207.58.142.175', 3476721320, 3476721327, 'GB', 'United Kingdom'),
(142825, '207.58.142.176', '207.58.144.15', 3476721328, 3476721679, 'US', 'United States'),
(142826, '207.58.144.16', '207.58.144.23', 3476721680, 3476721687, 'IT', 'Italy'),
(142827, '207.58.144.24', '207.58.144.79', 3476721688, 3476721743, 'US', 'United States'),
(142828, '207.58.144.80', '207.58.144.95', 3476721744, 3476721759, 'CA', 'Canada'),
(142829, '207.58.144.96', '207.58.144.159', 3476721760, 3476721823, 'US', 'United States'),
(142830, '207.58.144.160', '207.58.144.167', 3476721824, 3476721831, 'GB', 'United Kingdom'),
(142831, '207.58.144.168', '207.58.144.231', 3476721832, 3476721895, 'US', 'United States'),
(142832, '207.58.144.232', '207.58.144.239', 3476721896, 3476721903, 'CA', 'Canada'),
(142833, '207.58.144.240', '207.58.144.247', 3476721904, 3476721911, 'AU', 'Australia'),
(142834, '207.58.144.248', '207.58.146.15', 3476721912, 3476722191, 'US', 'United States'),
(142835, '207.58.146.16', '207.58.146.31', 3476722192, 3476722207, 'BE', 'Belgium'),
(142836, '207.58.146.32', '207.58.146.63', 3476722208, 3476722239, 'IT', 'Italy'),
(142837, '207.58.146.64', '207.58.146.79', 3476722240, 3476722255, 'SA', 'Saudi Arabia'),
(142838, '207.58.146.80', '207.58.146.111', 3476722256, 3476722287, 'US', 'United States'),
(142839, '207.58.146.112', '207.58.146.143', 3476722288, 3476722319, 'IT', 'Italy'),
(142840, '207.58.146.144', '207.58.147.63', 3476722320, 3476722495, 'US', 'United States'),
(142841, '207.58.147.64', '207.58.147.79', 3476722496, 3476722511, 'AU', 'Australia'),
(142842, '207.58.147.80', '207.58.147.95', 3476722512, 3476722527, 'US', 'United States'),
(142843, '207.58.147.96', '207.58.147.111', 3476722528, 3476722543, 'AU', 'Australia'),
(142844, '207.58.147.112', '207.58.147.159', 3476722544, 3476722591, 'US', 'United States'),
(142845, '207.58.147.160', '207.58.147.175', 3476722592, 3476722607, 'GB', 'United Kingdom'),
(142846, '207.58.147.176', '207.58.148.31', 3476722608, 3476722719, 'US', 'United States'),
(142847, '207.58.148.32', '207.58.148.39', 3476722720, 3476722727, 'CO', 'Colombia'),
(142848, '207.58.148.40', '207.58.148.71', 3476722728, 3476722759, 'US', 'United States'),
(142849, '207.58.148.72', '207.58.148.79', 3476722760, 3476722767, 'IN', 'India'),
(142850, '207.58.148.80', '207.58.150.63', 3476722768, 3476723263, 'US', 'United States'),
(142851, '207.58.150.64', '207.58.150.71', 3476723264, 3476723271, 'NL', 'Netherlands'),
(142852, '207.58.150.72', '207.58.151.214', 3476723272, 3476723670, 'US', 'United States'),
(142853, '207.58.151.215', '207.58.151.218', 3476723671, 3476723674, 'GB', 'United Kingdom'),
(142854, '207.58.151.219', '207.58.157.191', 3476723675, 3476725183, 'US', 'United States'),
(142855, '207.58.157.192', '207.58.157.223', 3476725184, 3476725215, 'ZA', 'South Africa'),
(142856, '207.58.157.224', '207.58.157.255', 3476725216, 3476725247, 'US', 'United States'),
(142857, '207.58.158.0', '207.58.158.7', 3476725248, 3476725255, 'CA', 'Canada'),
(142858, '207.58.158.8', '207.58.158.47', 3476725256, 3476725295, 'US', 'United States'),
(142859, '207.58.158.48', '207.58.158.55', 3476725296, 3476725303, 'CA', 'Canada'),
(142860, '207.58.158.56', '207.58.158.103', 3476725304, 3476725351, 'US', 'United States'),
(142861, '207.58.158.104', '207.58.158.111', 3476725352, 3476725359, 'NL', 'Netherlands'),
(142862, '207.58.158.112', '207.58.158.119', 3476725360, 3476725367, 'US', 'United States'),
(142863, '207.58.158.120', '207.58.158.127', 3476725368, 3476725375, 'CA', 'Canada'),
(142864, '207.58.158.128', '207.58.158.151', 3476725376, 3476725399, 'US', 'United States'),
(142865, '207.58.158.152', '207.58.158.167', 3476725400, 3476725415, 'CA', 'Canada'),
(142866, '207.58.158.168', '207.58.158.175', 3476725416, 3476725423, 'US', 'United States'),
(142867, '207.58.158.176', '207.58.158.183', 3476725424, 3476725431, 'GB', 'United Kingdom'),
(142868, '207.58.158.184', '207.58.184.5', 3476725432, 3476731909, 'US', 'United States'),
(142869, '207.58.184.6', '207.58.184.9', 3476731910, 3476731913, 'IN', 'India'),
(142870, '207.58.184.10', '207.58.184.145', 3476731914, 3476732049, 'US', 'United States'),
(142871, '207.58.184.146', '207.58.184.149', 3476732050, 3476732053, 'IN', 'India'),
(142872, '207.58.184.150', '207.58.184.169', 3476732054, 3476732073, 'US', 'United States'),
(142873, '207.58.184.170', '207.58.184.173', 3476732074, 3476732077, 'IN', 'India'),
(142874, '207.58.184.174', '207.58.184.209', 3476732078, 3476732113, 'US', 'United States'),
(142875, '207.58.184.210', '207.58.184.213', 3476732114, 3476732117, 'IN', 'India'),
(142876, '207.58.184.214', '207.60.255.255', 3476732118, 3476881407, 'US', 'United States'),
(142877, '207.61.0.0', '207.61.255.255', 3476881408, 3476946943, 'CA', 'Canada'),
(142878, '207.62.0.0', '207.65.70.31', 3476946944, 3477161503, 'US', 'United States'),
(142879, '207.65.70.32', '207.65.70.47', 3477161504, 3477161519, 'TN', 'Tunisia'),
(142880, '207.65.70.48', '207.65.70.79', 3477161520, 3477161551, 'US', 'United States'),
(142881, '207.65.70.80', '207.65.70.95', 3477161552, 3477161567, 'TN', 'Tunisia'),
(142882, '207.65.70.96', '207.65.70.143', 3477161568, 3477161615, 'US', 'United States'),
(142883, '207.65.70.144', '207.65.70.151', 3477161616, 3477161623, 'TN', 'Tunisia'),
(142884, '207.65.70.152', '207.67.145.127', 3477161624, 3477311871, 'US', 'United States'),
(142885, '207.67.145.128', '207.67.146.255', 3477311872, 3477312255, 'A1', 'Anonymous Proxy'),
(142886, '207.67.147.0', '207.67.147.255', 3477312256, 3477312511, 'US', 'United States'),
(142887, '207.67.148.0', '207.67.149.255', 3477312512, 3477313023, 'A1', 'Anonymous Proxy'),
(142888, '207.67.150.0', '207.67.150.255', 3477313024, 3477313279, 'US', 'United States'),
(142889, '207.67.151.0', '207.67.151.255', 3477313280, 3477313535, 'A1', 'Anonymous Proxy'),
(142890, '207.67.152.0', '207.79.207.255', 3477313536, 3478114303, 'US', 'United States'),
(142891, '207.79.208.0', '207.79.223.255', 3478114304, 3478118399, 'PE', 'Peru'),
(142892, '207.79.224.0', '207.80.255.255', 3478118400, 3478192127, 'US', 'United States'),
(142893, '207.81.0.0', '207.81.255.255', 3478192128, 3478257663, 'CA', 'Canada'),
(142894, '207.82.0.0', '207.82.16.95', 3478257664, 3478261855, 'US', 'United States'),
(142895, '207.82.16.96', '207.82.16.127', 3478261856, 3478261887, 'SG', 'Singapore'),
(142896, '207.82.16.128', '207.82.16.143', 3478261888, 3478261903, 'US', 'United States'),
(142897, '207.82.16.144', '207.82.16.175', 3478261904, 3478261935, 'SG', 'Singapore'),
(142898, '207.82.16.176', '207.82.17.255', 3478261936, 3478262271, 'US', 'United States'),
(142899, '207.82.18.0', '207.82.18.7', 3478262272, 3478262279, 'SG', 'Singapore'),
(142900, '207.82.18.8', '207.82.19.127', 3478262280, 3478262655, 'US', 'United States'),
(142901, '207.82.19.128', '207.82.19.143', 3478262656, 3478262671, 'SG', 'Singapore'),
(142902, '207.82.19.144', '207.82.143.255', 3478262672, 3478294527, 'US', 'United States'),
(142903, '207.82.144.0', '207.82.144.15', 3478294528, 3478294543, 'GB', 'United Kingdom'),
(142904, '207.82.144.16', '207.83.0.191', 3478294544, 3478323391, 'US', 'United States'),
(142905, '207.83.0.192', '207.83.0.199', 3478323392, 3478323399, 'CA', 'Canada'),
(142906, '207.83.0.200', '207.83.32.127', 3478323400, 3478331519, 'US', 'United States'),
(142907, '207.83.32.128', '207.83.32.255', 3478331520, 3478331647, 'GB', 'United Kingdom'),
(142908, '207.83.33.0', '207.83.38.63', 3478331648, 3478332991, 'US', 'United States'),
(142909, '207.83.38.64', '207.83.38.71', 3478332992, 3478332999, 'CA', 'Canada'),
(142910, '207.83.38.72', '207.83.96.127', 3478333000, 3478347903, 'US', 'United States'),
(142911, '207.83.96.128', '207.83.96.255', 3478347904, 3478348031, 'MX', 'Mexico'),
(142912, '207.83.97.0', '207.83.112.79', 3478348032, 3478351951, 'US', 'United States'),
(142913, '207.83.112.80', '207.83.112.95', 3478351952, 3478351967, 'GB', 'United Kingdom'),
(142914, '207.83.112.96', '207.83.112.239', 3478351968, 3478352111, 'US', 'United States'),
(142915, '207.83.112.240', '207.83.112.247', 3478352112, 3478352119, 'GB', 'United Kingdom'),
(142916, '207.83.112.248', '207.83.159.255', 3478352120, 3478364159, 'US', 'United States'),
(142917, '207.83.160.0', '207.83.160.7', 3478364160, 3478364167, 'BR', 'Brazil'),
(142918, '207.83.160.8', '207.83.160.31', 3478364168, 3478364191, 'US', 'United States'),
(142919, '207.83.160.32', '207.83.160.63', 3478364192, 3478364223, 'BR', 'Brazil'),
(142920, '207.83.160.64', '207.83.160.95', 3478364224, 3478364255, 'US', 'United States'),
(142921, '207.83.160.96', '207.83.160.111', 3478364256, 3478364271, 'BR', 'Brazil'),
(142922, '207.83.160.112', '207.83.191.255', 3478364272, 3478372351, 'US', 'United States'),
(142923, '207.83.192.0', '207.83.223.255', 3478372352, 3478380543, 'MX', 'Mexico'),
(142924, '207.83.224.0', '207.96.127.255', 3478380544, 3479207935, 'US', 'United States'),
(142925, '207.96.128.0', '207.96.255.255', 3479207936, 3479240703, 'CA', 'Canada'),
(142926, '207.97.0.0', '207.97.192.63', 3479240704, 3479289919, 'US', 'United States'),
(142927, '207.97.192.64', '207.97.192.95', 3479289920, 3479289951, 'BD', 'Bangladesh'),
(142928, '207.97.192.96', '207.97.192.207', 3479289952, 3479290063, 'US', 'United States'),
(142929, '207.97.192.208', '207.97.192.215', 3479290064, 3479290071, 'MX', 'Mexico'),
(142930, '207.97.192.216', '207.97.192.231', 3479290072, 3479290087, 'US', 'United States'),
(142931, '207.97.192.232', '207.97.192.239', 3479290088, 3479290095, 'LC', 'Saint Lucia'),
(142932, '207.97.192.240', '207.97.193.95', 3479290096, 3479290207, 'US', 'United States'),
(142933, '207.97.193.96', '207.97.193.127', 3479290208, 3479290239, 'BD', 'Bangladesh'),
(142934, '207.97.193.128', '207.97.193.239', 3479290240, 3479290351, 'US', 'United States'),
(142935, '207.97.193.240', '207.97.193.247', 3479290352, 3479290359, 'IN', 'India'),
(142936, '207.97.193.248', '207.97.193.255', 3479290360, 3479290367, 'US', 'United States'),
(142937, '207.97.194.0', '207.97.194.63', 3479290368, 3479290431, 'BD', 'Bangladesh'),
(142938, '207.97.194.64', '207.97.194.119', 3479290432, 3479290487, 'US', 'United States'),
(142939, '207.97.194.120', '207.97.194.127', 3479290488, 3479290495, 'GB', 'United Kingdom'),
(142940, '207.97.194.128', '207.97.195.7', 3479290496, 3479290631, 'US', 'United States'),
(142941, '207.97.195.8', '207.97.195.15', 3479290632, 3479290639, 'GB', 'United Kingdom'),
(142942, '207.97.195.16', '207.97.195.119', 3479290640, 3479290743, 'US', 'United States'),
(142943, '207.97.195.120', '207.97.195.127', 3479290744, 3479290751, 'EC', 'Ecuador'),
(142944, '207.97.195.128', '207.97.195.143', 3479290752, 3479290767, 'US', 'United States'),
(142945, '207.97.195.144', '207.97.195.159', 3479290768, 3479290783, 'CA', 'Canada'),
(142946, '207.97.195.160', '207.97.195.245', 3479290784, 3479290869, 'US', 'United States'),
(142947, '207.97.195.246', '207.97.195.247', 3479290870, 3479290871, 'CA', 'Canada'),
(142948, '207.97.195.248', '207.97.196.191', 3479290872, 3479291071, 'US', 'United States'),
(142949, '207.97.196.192', '207.97.196.207', 3479291072, 3479291087, 'CA', 'Canada'),
(142950, '207.97.196.208', '207.97.197.127', 3479291088, 3479291263, 'US', 'United States'),
(142951, '207.97.197.128', '207.97.197.151', 3479291264, 3479291287, 'CA', 'Canada'),
(142952, '207.97.197.152', '207.97.199.23', 3479291288, 3479291671, 'US', 'United States'),
(142953, '207.97.199.24', '207.97.199.31', 3479291672, 3479291679, 'CA', 'Canada'),
(142954, '207.97.199.32', '207.97.199.39', 3479291680, 3479291687, 'AU', 'Australia'),
(142955, '207.97.199.40', '207.97.199.47', 3479291688, 3479291695, 'US', 'United States'),
(142956, '207.97.199.48', '207.97.199.55', 3479291696, 3479291703, 'AU', 'Australia'),
(142957, '207.97.199.56', '207.97.199.183', 3479291704, 3479291831, 'US', 'United States'),
(142958, '207.97.199.184', '207.97.199.199', 3479291832, 3479291847, 'AU', 'Australia'),
(142959, '207.97.199.200', '207.97.199.207', 3479291848, 3479291855, 'JM', 'Jamaica'),
(142960, '207.97.199.208', '207.97.199.223', 3479291856, 3479291871, 'US', 'United States'),
(142961, '207.97.199.224', '207.97.199.231', 3479291872, 3479291879, 'CA', 'Canada'),
(142962, '207.97.199.232', '207.97.200.103', 3479291880, 3479292007, 'US', 'United States'),
(142963, '207.97.200.104', '207.97.200.111', 3479292008, 3479292015, 'CA', 'Canada'),
(142964, '207.97.200.112', '207.97.201.63', 3479292016, 3479292223, 'US', 'United States'),
(142965, '207.97.201.64', '207.97.201.71', 3479292224, 3479292231, 'UY', 'Uruguay'),
(142966, '207.97.201.72', '207.97.201.79', 3479292232, 3479292239, 'IN', 'India'),
(142967, '207.97.201.80', '207.97.202.255', 3479292240, 3479292671, 'US', 'United States'),
(142968, '207.97.203.0', '207.97.203.15', 3479292672, 3479292687, 'AU', 'Australia'),
(142969, '207.97.203.16', '207.97.203.63', 3479292688, 3479292735, 'US', 'United States'),
(142970, '207.97.203.64', '207.97.203.79', 3479292736, 3479292751, 'BD', 'Bangladesh'),
(142971, '207.97.203.80', '207.97.203.143', 3479292752, 3479292815, 'US', 'United States'),
(142972, '207.97.203.144', '207.97.203.151', 3479292816, 3479292823, 'IL', 'Israel'),
(142973, '207.97.203.152', '207.97.204.79', 3479292824, 3479293007, 'US', 'United States'),
(142974, '207.97.204.80', '207.97.204.95', 3479293008, 3479293023, 'AU', 'Australia'),
(142975, '207.97.204.96', '207.97.205.127', 3479293024, 3479293311, 'US', 'United States'),
(142976, '207.97.205.128', '207.97.205.135', 3479293312, 3479293319, 'CA', 'Canada'),
(142977, '207.97.205.136', '207.97.206.143', 3479293320, 3479293583, 'US', 'United States'),
(142978, '207.97.206.144', '207.97.206.151', 3479293584, 3479293591, 'GB', 'United Kingdom'),
(142979, '207.97.206.152', '207.97.208.79', 3479293592, 3479294031, 'US', 'United States'),
(142980, '207.97.208.80', '207.97.208.87', 3479294032, 3479294039, 'BD', 'Bangladesh'),
(142981, '207.97.208.88', '207.97.209.15', 3479294040, 3479294223, 'US', 'United States'),
(142982, '207.97.209.16', '207.97.209.23', 3479294224, 3479294231, 'TH', 'Thailand'),
(142983, '207.97.209.24', '207.97.209.193', 3479294232, 3479294401, 'US', 'United States'),
(142984, '207.97.209.194', '207.97.209.195', 3479294402, 3479294403, 'BG', 'Bulgaria'),
(142985, '207.97.209.196', '207.97.209.211', 3479294404, 3479294419, 'US', 'United States'),
(142986, '207.97.209.212', '207.97.209.215', 3479294420, 3479294423, 'CA', 'Canada'),
(142987, '207.97.209.216', '207.97.209.217', 3479294424, 3479294425, 'US', 'United States'),
(142988, '207.97.209.218', '207.97.209.219', 3479294426, 3479294427, 'CA', 'Canada'),
(142989, '207.97.209.220', '207.97.210.23', 3479294428, 3479294487, 'US', 'United States'),
(142990, '207.97.210.24', '207.97.210.31', 3479294488, 3479294495, 'MX', 'Mexico'),
(142991, '207.97.210.32', '207.97.210.63', 3479294496, 3479294527, 'US', 'United States'),
(142992, '207.97.210.64', '207.97.210.79', 3479294528, 3479294543, 'BD', 'Bangladesh'),
(142993, '207.97.210.80', '207.97.210.199', 3479294544, 3479294663, 'US', 'United States'),
(142994, '207.97.210.200', '207.97.210.207', 3479294664, 3479294671, 'AU', 'Australia'),
(142995, '207.97.210.208', '207.97.211.55', 3479294672, 3479294775, 'US', 'United States'),
(142996, '207.97.211.56', '207.97.211.63', 3479294776, 3479294783, 'CA', 'Canada'),
(142997, '207.97.211.64', '207.97.212.39', 3479294784, 3479295015, 'US', 'United States'),
(142998, '207.97.212.40', '207.97.212.47', 3479295016, 3479295023, 'MY', 'Malaysia'),
(142999, '207.97.212.48', '207.97.212.95', 3479295024, 3479295071, 'US', 'United States'),
(143000, '207.97.212.96', '207.97.212.103', 3479295072, 3479295079, 'CR', 'Costa Rica'),
(143001, '207.97.212.104', '207.97.212.127', 3479295080, 3479295103, 'US', 'United States'),
(143002, '207.97.212.128', '207.97.212.135', 3479295104, 3479295111, 'CA', 'Canada'),
(143003, '207.97.212.136', '207.97.213.127', 3479295112, 3479295359, 'US', 'United States'),
(143004, '207.97.213.128', '207.97.213.135', 3479295360, 3479295367, 'AU', 'Australia'),
(143005, '207.97.213.136', '207.97.214.31', 3479295368, 3479295519, 'US', 'United States'),
(143006, '207.97.214.32', '207.97.214.39', 3479295520, 3479295527, 'CA', 'Canada'),
(143007, '207.97.214.40', '207.97.214.95', 3479295528, 3479295583, 'US', 'United States'),
(143008, '207.97.214.96', '207.97.214.103', 3479295584, 3479295591, 'NL', 'Netherlands'),
(143009, '207.97.214.104', '207.97.214.215', 3479295592, 3479295703, 'US', 'United States'),
(143010, '207.97.214.216', '207.97.214.247', 3479295704, 3479295735, 'MY', 'Malaysia'),
(143011, '207.97.214.248', '207.97.215.23', 3479295736, 3479295767, 'US', 'United States'),
(143012, '207.97.215.24', '207.97.215.31', 3479295768, 3479295775, 'MY', 'Malaysia'),
(143013, '207.97.215.32', '207.97.216.7', 3479295776, 3479296007, 'US', 'United States'),
(143014, '207.97.216.8', '207.97.216.15', 3479296008, 3479296015, 'CA', 'Canada'),
(143015, '207.97.216.16', '207.97.216.79', 3479296016, 3479296079, 'US', 'United States'),
(143016, '207.97.216.80', '207.97.216.95', 3479296080, 3479296095, 'MY', 'Malaysia'),
(143017, '207.97.216.96', '207.97.217.63', 3479296096, 3479296319, 'US', 'United States'),
(143018, '207.97.217.64', '207.97.217.79', 3479296320, 3479296335, 'BD', 'Bangladesh'),
(143019, '207.97.217.80', '207.97.218.95', 3479296336, 3479296607, 'US', 'United States'),
(143020, '207.97.218.96', '207.97.218.103', 3479296608, 3479296615, 'BM', 'Bermuda'),
(143021, '207.97.218.104', '207.97.218.119', 3479296616, 3479296631, 'US', 'United States'),
(143022, '207.97.218.120', '207.97.218.127', 3479296632, 3479296639, 'JP', 'Japan'),
(143023, '207.97.218.128', '207.97.218.159', 3479296640, 3479296671, 'US', 'United States'),
(143024, '207.97.218.160', '207.97.218.167', 3479296672, 3479296679, 'NL', 'Netherlands'),
(143025, '207.97.218.168', '207.97.218.247', 3479296680, 3479296759, 'US', 'United States'),
(143026, '207.97.218.248', '207.97.218.251', 3479296760, 3479296763, 'IL', 'Israel'),
(143027, '207.97.218.252', '207.97.222.79', 3479296764, 3479297615, 'US', 'United States'),
(143028, '207.97.222.80', '207.97.222.87', 3479297616, 3479297623, 'CA', 'Canada'),
(143029, '207.97.222.88', '207.97.223.255', 3479297624, 3479298047, 'US', 'United States'),
(143030, '207.97.224.0', '207.97.224.15', 3479298048, 3479298063, 'IS', 'Iceland'),
(143031, '207.97.224.16', '207.97.224.31', 3479298064, 3479298079, 'GB', 'United Kingdom'),
(143032, '207.97.224.32', '207.97.224.55', 3479298080, 3479298103, 'US', 'United States'),
(143033, '207.97.224.56', '207.97.224.63', 3479298104, 3479298111, 'BM', 'Bermuda'),
(143034, '207.97.224.64', '207.97.224.151', 3479298112, 3479298199, 'US', 'United States'),
(143035, '207.97.224.152', '207.97.224.159', 3479298200, 3479298207, 'BM', 'Bermuda'),
(143036, '207.97.224.160', '207.97.225.15', 3479298208, 3479298319, 'US', 'United States'),
(143037, '207.97.225.16', '207.97.225.23', 3479298320, 3479298327, 'IN', 'India'),
(143038, '207.97.225.24', '207.97.225.95', 3479298328, 3479298399, 'US', 'United States'),
(143039, '207.97.225.96', '207.97.225.103', 3479298400, 3479298407, 'IN', 'India'),
(143040, '207.97.225.104', '207.97.225.159', 3479298408, 3479298463, 'US', 'United States'),
(143041, '207.97.225.160', '207.97.225.167', 3479298464, 3479298471, 'CA', 'Canada'),
(143042, '207.97.225.168', '207.97.226.31', 3479298472, 3479298591, 'US', 'United States'),
(143043, '207.97.226.32', '207.97.226.39', 3479298592, 3479298599, 'AU', 'Australia'),
(143044, '207.97.226.40', '207.97.226.199', 3479298600, 3479298759, 'US', 'United States'),
(143045, '207.97.226.200', '207.97.226.207', 3479298760, 3479298767, 'CA', 'Canada'),
(143046, '207.97.226.208', '207.97.236.7', 3479298768, 3479301127, 'US', 'United States'),
(143047, '207.97.236.8', '207.97.236.15', 3479301128, 3479301135, 'GB', 'United Kingdom'),
(143048, '207.97.236.16', '207.97.236.63', 3479301136, 3479301183, 'US', 'United States'),
(143049, '207.97.236.64', '207.97.236.71', 3479301184, 3479301191, 'GB', 'United Kingdom'),
(143050, '207.97.236.72', '207.97.236.167', 3479301192, 3479301287, 'US', 'United States'),
(143051, '207.97.236.168', '207.97.236.175', 3479301288, 3479301295, 'IL', 'Israel'),
(143052, '207.97.236.176', '207.97.237.79', 3479301296, 3479301455, 'US', 'United States'),
(143053, '207.97.237.80', '207.97.237.87', 3479301456, 3479301463, 'IN', 'India'),
(143054, '207.97.237.88', '207.97.237.143', 3479301464, 3479301519, 'US', 'United States'),
(143055, '207.97.237.144', '207.97.237.159', 3479301520, 3479301535, 'TH', 'Thailand'),
(143056, '207.97.237.160', '207.97.237.175', 3479301536, 3479301551, 'CA', 'Canada'),
(143057, '207.97.237.176', '207.97.237.203', 3479301552, 3479301579, 'US', 'United States'),
(143058, '207.97.237.204', '207.97.237.207', 3479301580, 3479301583, 'IN', 'India'),
(143059, '207.97.237.208', '207.97.238.31', 3479301584, 3479301663, 'US', 'United States'),
(143060, '207.97.238.32', '207.97.238.47', 3479301664, 3479301679, 'NL', 'Netherlands'),
(143061, '207.97.238.48', '207.97.238.55', 3479301680, 3479301687, 'US', 'United States'),
(143062, '207.97.238.56', '207.97.238.63', 3479301688, 3479301695, 'NZ', 'New Zealand'),
(143063, '207.97.238.64', '207.97.238.143', 3479301696, 3479301775, 'US', 'United States'),
(143064, '207.97.238.144', '207.97.238.151', 3479301776, 3479301783, 'IN', 'India'),
(143065, '207.97.238.152', '207.97.246.79', 3479301784, 3479303759, 'US', 'United States'),
(143066, '207.97.246.80', '207.97.246.87', 3479303760, 3479303767, 'ZA', 'South Africa'),
(143067, '207.97.246.88', '207.97.247.15', 3479303768, 3479303951, 'US', 'United States'),
(143068, '207.97.247.16', '207.97.247.23', 3479303952, 3479303959, 'NL', 'Netherlands'),
(143069, '207.97.247.24', '207.97.247.31', 3479303960, 3479303967, 'US', 'United States'),
(143070, '207.97.247.32', '207.97.247.39', 3479303968, 3479303975, 'NL', 'Netherlands'),
(143071, '207.97.247.40', '207.97.247.47', 3479303976, 3479303983, 'US', 'United States'),
(143072, '207.97.247.48', '207.97.247.55', 3479303984, 3479303991, 'CA', 'Canada'),
(143073, '207.97.247.56', '207.97.248.127', 3479303992, 3479304319, 'US', 'United States'),
(143074, '207.97.248.128', '207.97.248.135', 3479304320, 3479304327, 'JM', 'Jamaica'),
(143075, '207.97.248.136', '207.97.248.255', 3479304328, 3479304447, 'US', 'United States'),
(143076, '207.97.249.0', '207.97.249.7', 3479304448, 3479304455, 'IL', 'Israel'),
(143077, '207.97.249.8', '207.97.249.15', 3479304456, 3479304463, 'MX', 'Mexico'),
(143078, '207.97.249.16', '207.97.250.159', 3479304464, 3479304863, 'US', 'United States'),
(143079, '207.97.250.160', '207.97.250.167', 3479304864, 3479304871, 'PK', 'Pakistan'),
(143080, '207.97.250.168', '207.97.251.215', 3479304872, 3479305175, 'US', 'United States'),
(143081, '207.97.251.216', '207.97.251.223', 3479305176, 3479305183, 'BM', 'Bermuda'),
(143082, '207.97.251.224', '207.97.251.255', 3479305184, 3479305215, 'US', 'United States'),
(143083, '207.97.252.0', '207.97.252.15', 3479305216, 3479305231, 'EG', 'Egypt'),
(143084, '207.97.252.16', '207.97.252.55', 3479305232, 3479305271, 'US', 'United States'),
(143085, '207.97.252.56', '207.97.252.63', 3479305272, 3479305279, 'IN', 'India'),
(143086, '207.97.252.64', '207.97.253.111', 3479305280, 3479305583, 'US', 'United States'),
(143087, '207.97.253.112', '207.97.253.127', 3479305584, 3479305599, 'BD', 'Bangladesh'),
(143088, '207.97.253.128', '207.97.254.255', 3479305600, 3479305983, 'US', 'United States'),
(143089, '207.97.255.0', '207.97.255.31', 3479305984, 3479306015, 'CA', 'Canada'),
(143090, '207.97.255.32', '207.97.255.47', 3479306016, 3479306031, 'US', 'United States'),
(143091, '207.97.255.48', '207.97.255.55', 3479306032, 3479306039, 'PK', 'Pakistan'),
(143092, '207.97.255.56', '207.97.255.95', 3479306040, 3479306079, 'US', 'United States'),
(143093, '207.97.255.96', '207.97.255.103', 3479306080, 3479306087, 'BD', 'Bangladesh'),
(143094, '207.97.255.104', '207.101.255.255', 3479306088, 3479568383, 'US', 'United States'),
(143095, '207.102.0.0', '207.102.255.255', 3479568384, 3479633919, 'CA', 'Canada'),
(143096, '207.103.0.0', '207.105.95.31', 3479633920, 3479789343, 'US', 'United States'),
(143097, '207.105.95.32', '207.105.95.48', 3479789344, 3479789360, 'UY', 'Uruguay'),
(143098, '207.105.95.49', '207.106.255.255', 3479789361, 3479896063, 'US', 'United States'),
(143099, '207.107.0.0', '207.107.235.255', 3479896064, 3479956479, 'CA', 'Canada'),
(143100, '207.107.236.0', '207.107.236.255', 3479956480, 3479956735, 'US', 'United States'),
(143101, '207.107.237.0', '207.107.255.255', 3479956736, 3479961599, 'CA', 'Canada'),
(143102, '207.108.0.0', '207.111.255.255', 3479961600, 3480223743, 'US', 'United States'),
(143103, '207.112.0.0', '207.112.10.111', 3480223744, 3480226415, 'CA', 'Canada'),
(143104, '207.112.10.112', '207.112.10.119', 3480226416, 3480226423, 'US', 'United States'),
(143105, '207.112.10.120', '207.112.12.143', 3480226424, 3480226959, 'CA', 'Canada'),
(143106, '207.112.12.144', '207.112.12.151', 3480226960, 3480226967, 'US', 'United States'),
(143107, '207.112.12.152', '207.112.14.127', 3480226968, 3480227455, 'CA', 'Canada'),
(143108, '207.112.14.128', '207.112.14.135', 3480227456, 3480227463, 'US', 'United States'),
(143109, '207.112.14.136', '207.112.106.127', 3480227464, 3480251007, 'CA', 'Canada'),
(143110, '207.112.106.128', '207.112.106.191', 3480251008, 3480251071, 'US', 'United States'),
(143111, '207.112.106.192', '207.112.127.255', 3480251072, 3480256511, 'CA', 'Canada'),
(143112, '207.112.128.0', '207.112.235.255', 3480256512, 3480284159, 'US', 'United States'),
(143113, '207.112.236.0', '207.112.237.255', 3480284160, 3480284671, 'CA', 'Canada'),
(143114, '207.112.238.0', '207.115.95.255', 3480284672, 3480444927, 'US', 'United States'),
(143115, '207.115.96.0', '207.115.101.23', 3480444928, 3480446231, 'CA', 'Canada'),
(143116, '207.115.101.24', '207.115.101.31', 3480446232, 3480446239, 'US', 'United States'),
(143117, '207.115.101.32', '207.115.101.127', 3480446240, 3480446335, 'CA', 'Canada'),
(143118, '207.115.101.128', '207.115.101.255', 3480446336, 3480446463, 'US', 'United States'),
(143119, '207.115.102.0', '207.115.102.111', 3480446464, 3480446575, 'CA', 'Canada'),
(143120, '207.115.102.112', '207.115.102.119', 3480446576, 3480446583, 'ES', 'Spain'),
(143121, '207.115.102.120', '207.115.111.255', 3480446584, 3480449023, 'CA', 'Canada'),
(143122, '207.115.112.0', '207.116.255.255', 3480449024, 3480551423, 'US', 'United States'),
(143123, '207.117.0.0', '207.117.0.255', 3480551424, 3480551679, 'JP', 'Japan'),
(143124, '207.117.1.0', '207.117.1.255', 3480551680, 3480551935, 'DE', 'Germany'),
(143125, '207.117.2.0', '207.117.2.255', 3480551936, 3480552191, 'GB', 'United Kingdom'),
(143126, '207.117.3.0', '207.117.3.255', 3480552192, 3480552447, 'US', 'United States'),
(143127, '207.117.4.0', '207.117.4.255', 3480552448, 3480552703, 'CH', 'Switzerland'),
(143128, '207.117.5.0', '207.117.5.255', 3480552704, 3480552959, 'US', 'United States'),
(143129, '207.117.6.0', '207.117.6.255', 3480552960, 3480553215, 'AT', 'Austria'),
(143130, '207.117.7.0', '207.117.7.127', 3480553216, 3480553343, 'US', 'United States'),
(143131, '207.117.7.128', '207.117.7.254', 3480553344, 3480553470, 'MX', 'Mexico'),
(143132, '207.117.7.255', '207.117.7.255', 3480553471, 3480553471, 'US', 'United States'),
(143133, '207.117.8.0', '207.117.8.255', 3480553472, 3480553727, 'SG', 'Singapore'),
(143134, '207.117.9.0', '207.117.9.255', 3480553728, 3480553983, 'HK', 'Hong Kong'),
(143135, '207.117.10.0', '207.117.10.255', 3480553984, 3480554239, 'US', 'United States'),
(143136, '207.117.11.0', '207.117.11.255', 3480554240, 3480554495, 'GB', 'United Kingdom'),
(143137, '207.117.12.0', '207.117.12.255', 3480554496, 3480554751, 'SG', 'Singapore'),
(143138, '207.117.13.0', '207.117.14.255', 3480554752, 3480555263, 'US', 'United States'),
(143139, '207.117.15.0', '207.117.15.255', 3480555264, 3480555519, 'NO', 'Norway'),
(143140, '207.117.16.0', '207.117.16.255', 3480555520, 3480555775, 'FR', 'France'),
(143141, '207.117.17.0', '207.117.18.255', 3480555776, 3480556287, 'SG', 'Singapore'),
(143142, '207.117.19.0', '207.117.19.255', 3480556288, 3480556543, 'HK', 'Hong Kong'),
(143143, '207.117.20.0', '207.117.21.255', 3480556544, 3480557055, 'US', 'United States'),
(143144, '207.117.22.0', '207.117.22.255', 3480557056, 3480557311, 'HK', 'Hong Kong'),
(143145, '207.117.23.0', '207.117.23.255', 3480557312, 3480557567, 'US', 'United States'),
(143146, '207.117.24.0', '207.117.24.255', 3480557568, 3480557823, 'JP', 'Japan'),
(143147, '207.117.25.0', '207.117.25.255', 3480557824, 3480558079, 'CA', 'Canada'),
(143148, '207.117.26.0', '207.117.27.255', 3480558080, 3480558591, 'US', 'United States'),
(143149, '207.117.28.0', '207.117.28.255', 3480558592, 3480558847, 'DO', 'Dominican Republic'),
(143150, '207.117.29.0', '207.117.30.255', 3480558848, 3480559359, 'US', 'United States'),
(143151, '207.117.31.0', '207.117.31.255', 3480559360, 3480559615, 'IT', 'Italy'),
(143152, '207.117.32.0', '207.117.36.255', 3480559616, 3480560895, 'US', 'United States'),
(143153, '207.117.37.0', '207.117.37.255', 3480560896, 3480561151, 'BR', 'Brazil'),
(143154, '207.117.38.0', '207.117.40.255', 3480561152, 3480561919, 'US', 'United States'),
(143155, '207.117.41.0', '207.117.41.255', 3480561920, 3480562175, 'JP', 'Japan'),
(143156, '207.117.42.0', '207.117.44.63', 3480562176, 3480562751, 'US', 'United States'),
(143157, '207.117.44.64', '207.117.44.127', 3480562752, 3480562815, 'PR', 'Puerto Rico'),
(143158, '207.117.44.128', '207.117.51.255', 3480562816, 3480564735, 'US', 'United States'),
(143159, '207.117.52.0', '207.117.52.255', 3480564736, 3480564991, 'DE', 'Germany'),
(143160, '207.117.53.0', '207.117.60.255', 3480564992, 3480567039, 'US', 'United States'),
(143161, '207.117.61.0', '207.117.62.255', 3480567040, 3480567551, 'GB', 'United Kingdom'),
(143162, '207.117.63.0', '207.117.65.255', 3480567552, 3480568319, 'US', 'United States'),
(143163, '207.117.66.0', '207.117.66.255', 3480568320, 3480568575, 'HK', 'Hong Kong'),
(143164, '207.117.67.0', '207.117.67.95', 3480568576, 3480568671, 'IT', 'Italy'),
(143165, '207.117.67.96', '207.117.67.127', 3480568672, 3480568703, 'GB', 'United Kingdom'),
(143166, '207.117.67.128', '207.117.67.255', 3480568704, 3480568831, 'FR', 'France'),
(143167, '207.117.68.0', '207.117.70.255', 3480568832, 3480569599, 'US', 'United States'),
(143168, '207.117.71.0', '207.117.71.255', 3480569600, 3480569855, 'HK', 'Hong Kong'),
(143169, '207.117.72.0', '207.117.72.255', 3480569856, 3480570111, 'US', 'United States'),
(143170, '207.117.73.0', '207.117.73.255', 3480570112, 3480570367, 'FR', 'France'),
(143171, '207.117.74.0', '207.117.74.255', 3480570368, 3480570623, 'ES', 'Spain'),
(143172, '207.117.75.0', '207.117.75.255', 3480570624, 3480570879, 'JP', 'Japan'),
(143173, '207.117.76.0', '207.117.77.255', 3480570880, 3480571391, 'CH', 'Switzerland'),
(143174, '207.117.78.0', '207.117.78.255', 3480571392, 3480571647, 'BE', 'Belgium'),
(143175, '207.117.79.0', '207.117.79.127', 3480571648, 3480571775, 'FI', 'Finland'),
(143176, '207.117.79.128', '207.117.86.127', 3480571776, 3480573567, 'US', 'United States'),
(143177, '207.117.86.128', '207.117.86.191', 3480573568, 3480573631, 'IT', 'Italy'),
(143178, '207.117.86.192', '207.117.86.255', 3480573632, 3480573695, 'DE', 'Germany'),
(143179, '207.117.87.0', '207.117.90.63', 3480573696, 3480574527, 'US', 'United States'),
(143180, '207.117.90.64', '207.117.90.127', 3480574528, 3480574591, 'NL', 'Netherlands'),
(143181, '207.117.90.128', '207.117.92.255', 3480574592, 3480575231, 'US', 'United States'),
(143182, '207.117.93.0', '207.117.93.255', 3480575232, 3480575487, 'IL', 'Israel'),
(143183, '207.117.94.0', '207.117.94.255', 3480575488, 3480575743, 'US', 'United States'),
(143184, '207.117.95.0', '207.117.99.255', 3480575744, 3480577023, 'IT', 'Italy'),
(143185, '207.117.100.0', '207.117.110.127', 3480577024, 3480579711, 'US', 'United States'),
(143186, '207.117.110.128', '207.117.110.191', 3480579712, 3480579775, 'BG', 'Bulgaria'),
(143187, '207.117.110.192', '207.117.110.255', 3480579776, 3480579839, 'AU', 'Australia'),
(143188, '207.117.111.0', '207.117.113.255', 3480579840, 3480580607, 'US', 'United States'),
(143189, '207.117.114.0', '207.117.114.255', 3480580608, 3480580863, 'SE', 'Sweden'),
(143190, '207.117.115.0', '207.117.115.255', 3480580864, 3480581119, 'DK', 'Denmark'),
(143191, '207.117.116.0', '207.117.116.127', 3480581120, 3480581247, 'US', 'United States'),
(143192, '207.117.116.128', '207.117.116.255', 3480581248, 3480581375, 'NL', 'Netherlands'),
(143193, '207.117.117.0', '207.117.117.255', 3480581376, 3480581631, 'US', 'United States'),
(143194, '207.117.118.0', '207.117.118.255', 3480581632, 3480581887, 'CL', 'Chile'),
(143195, '207.117.119.0', '207.117.119.255', 3480581888, 3480582143, 'NO', 'Norway'),
(143196, '207.117.120.0', '207.117.120.255', 3480582144, 3480582399, 'US', 'United States'),
(143197, '207.117.121.0', '207.117.121.255', 3480582400, 3480582655, 'RU', 'Russian Federation'),
(143198, '207.117.122.0', '207.117.124.255', 3480582656, 3480583423, 'MX', 'Mexico'),
(143199, '207.117.125.0', '207.117.133.127', 3480583424, 3480585599, 'US', 'United States'),
(143200, '207.117.133.128', '207.117.133.191', 3480585600, 3480585663, 'ES', 'Spain'),
(143201, '207.117.133.192', '207.117.141.127', 3480585664, 3480587647, 'US', 'United States'),
(143202, '207.117.141.128', '207.117.141.255', 3480587648, 3480587775, 'PT', 'Portugal'),
(143203, '207.117.142.0', '207.117.145.255', 3480587776, 3480588799, 'US', 'United States'),
(143204, '207.117.146.0', '207.117.146.255', 3480588800, 3480589055, 'SE', 'Sweden'),
(143205, '207.117.147.0', '207.117.152.127', 3480589056, 3480590463, 'US', 'United States'),
(143206, '207.117.152.128', '207.117.152.255', 3480590464, 3480590591, 'FR', 'France'),
(143207, '207.117.153.0', '207.117.154.255', 3480590592, 3480591103, 'US', 'United States'),
(143208, '207.117.155.0', '207.117.155.255', 3480591104, 3480591359, 'ZA', 'South Africa'),
(143209, '207.117.156.0', '207.117.156.63', 3480591360, 3480591423, 'US', 'United States'),
(143210, '207.117.156.64', '207.117.156.127', 3480591424, 3480591487, 'GR', 'Greece'),
(143211, '207.117.156.128', '207.117.156.255', 3480591488, 3480591615, 'US', 'United States'),
(143212, '207.117.157.0', '207.117.158.255', 3480591616, 3480592127, 'ID', 'Indonesia'),
(143213, '207.117.159.0', '207.117.159.255', 3480592128, 3480592383, 'NO', 'Norway'),
(143214, '207.117.160.0', '207.117.160.255', 3480592384, 3480592639, 'CH', 'Switzerland'),
(143215, '207.117.161.0', '207.117.161.255', 3480592640, 3480592895, 'IE', 'Ireland'),
(143216, '207.117.162.0', '207.117.162.255', 3480592896, 3480593151, 'SG', 'Singapore'),
(143217, '207.117.163.0', '207.117.163.255', 3480593152, 3480593407, 'DK', 'Denmark'),
(143218, '207.117.164.0', '207.117.164.255', 3480593408, 3480593663, 'SG', 'Singapore'),
(143219, '207.117.165.0', '207.117.165.255', 3480593664, 3480593919, 'CN', 'China'),
(143220, '207.117.166.0', '207.117.166.255', 3480593920, 3480594175, 'ZA', 'South Africa'),
(143221, '207.117.167.0', '207.117.167.255', 3480594176, 3480594431, 'BE', 'Belgium'),
(143222, '207.117.168.0', '207.117.172.255', 3480594432, 3480595711, 'US', 'United States'),
(143223, '207.117.173.0', '207.117.173.255', 3480595712, 3480595967, 'TH', 'Thailand'),
(143224, '207.117.174.0', '207.117.177.255', 3480595968, 3480596991, 'SG', 'Singapore'),
(143225, '207.117.178.0', '207.117.178.255', 3480596992, 3480597247, 'US', 'United States'),
(143226, '207.117.179.0', '207.117.182.255', 3480597248, 3480598271, 'AU', 'Australia'),
(143227, '207.117.183.0', '207.117.183.255', 3480598272, 3480598527, 'FR', 'France'),
(143228, '207.117.184.0', '207.117.185.255', 3480598528, 3480599039, 'AU', 'Australia'),
(143229, '207.117.186.0', '207.117.186.255', 3480599040, 3480599295, 'JP', 'Japan'),
(143230, '207.117.187.0', '207.117.187.255', 3480599296, 3480599551, 'CA', 'Canada'),
(143231, '207.117.188.0', '207.117.188.255', 3480599552, 3480599807, 'SG', 'Singapore'),
(143232, '207.117.189.0', '207.117.191.255', 3480599808, 3480600575, 'US', 'United States'),
(143233, '207.117.192.0', '207.117.193.255', 3480600576, 3480601087, 'DE', 'Germany'),
(143234, '207.117.194.0', '207.117.194.255', 3480601088, 3480601343, 'BE', 'Belgium'),
(143235, '207.117.195.0', '207.117.195.255', 3480601344, 3480601599, 'AU', 'Australia'),
(143236, '207.117.196.0', '207.117.196.255', 3480601600, 3480601855, 'GB', 'United Kingdom'),
(143237, '207.117.197.0', '207.117.197.255', 3480601856, 3480602111, 'FR', 'France'),
(143238, '207.117.198.0', '207.117.200.255', 3480602112, 3480602879, 'US', 'United States'),
(143239, '207.117.201.0', '207.117.203.255', 3480602880, 3480603647, 'IT', 'Italy'),
(143240, '207.117.204.0', '207.117.204.255', 3480603648, 3480603903, 'BE', 'Belgium'),
(143241, '207.117.205.0', '207.117.205.255', 3480603904, 3480604159, 'HK', 'Hong Kong'),
(143242, '207.117.206.0', '207.117.207.255', 3480604160, 3480604671, 'ES', 'Spain'),
(143243, '207.117.208.0', '207.117.208.255', 3480604672, 3480604927, 'IL', 'Israel'),
(143244, '207.117.209.0', '207.117.209.255', 3480604928, 3480605183, 'GB', 'United Kingdom'),
(143245, '207.117.210.0', '207.117.210.255', 3480605184, 3480605439, 'MX', 'Mexico'),
(143246, '207.117.211.0', '207.117.211.255', 3480605440, 3480605695, 'PH', 'Philippines'),
(143247, '207.117.212.0', '207.117.212.255', 3480605696, 3480605951, 'MX', 'Mexico'),
(143248, '207.117.213.0', '207.117.213.255', 3480605952, 3480606207, 'PH', 'Philippines'),
(143249, '207.117.214.0', '207.117.214.255', 3480606208, 3480606463, 'MX', 'Mexico'),
(143250, '207.117.215.0', '207.117.215.255', 3480606464, 3480606719, 'BE', 'Belgium'),
(143251, '207.117.216.0', '207.117.216.255', 3480606720, 3480606975, 'GR', 'Greece'),
(143252, '207.117.217.0', '207.117.217.255', 3480606976, 3480607231, 'US', 'United States'),
(143253, '207.117.218.0', '207.117.218.255', 3480607232, 3480607487, 'IT', 'Italy'),
(143254, '207.117.219.0', '207.117.229.255', 3480607488, 3480610303, 'US', 'United States'),
(143255, '207.117.230.0', '207.117.230.255', 3480610304, 3480610559, 'ES', 'Spain'),
(143256, '207.117.231.0', '207.117.231.255', 3480610560, 3480610815, 'US', 'United States'),
(143257, '207.117.232.0', '207.117.232.127', 3480610816, 3480610943, 'AU', 'Australia'),
(143258, '207.117.232.128', '207.117.232.255', 3480610944, 3480611071, 'HU', 'Hungary'),
(143259, '207.117.233.0', '207.117.233.255', 3480611072, 3480611327, 'US', 'United States'),
(143260, '207.117.234.0', '207.117.234.255', 3480611328, 3480611583, 'JP', 'Japan'),
(143261, '207.117.235.0', '207.117.235.255', 3480611584, 3480611839, 'MX', 'Mexico'),
(143262, '207.117.236.0', '207.117.236.255', 3480611840, 3480612095, 'BR', 'Brazil'),
(143263, '207.117.237.0', '207.117.237.255', 3480612096, 3480612351, 'LU', 'Luxembourg'),
(143264, '207.117.238.0', '207.117.242.255', 3480612352, 3480613631, 'DE', 'Germany'),
(143265, '207.117.243.0', '207.121.100.255', 3480613632, 3480839423, 'US', 'United States'),
(143266, '207.121.101.0', '207.121.102.255', 3480839424, 3480839935, 'GB', 'United Kingdom'),
(143267, '207.121.103.0', '207.122.109.255', 3480839936, 3480907263, 'US', 'United States'),
(143268, '207.122.110.0', '207.122.111.255', 3480907264, 3480907775, 'FR', 'France'),
(143269, '207.122.112.0', '207.123.91.255', 3480907776, 3480968191, 'US', 'United States'),
(143270, '207.123.92.0', '207.123.92.255', 3480968192, 3480968447, 'AU', 'Australia'),
(143271, '207.123.93.0', '207.126.161.39', 3480968448, 3481182503, 'US', 'United States'),
(143272, '207.126.161.40', '207.126.161.47', 3481182504, 3481182511, 'CA', 'Canada'),
(143273, '207.126.161.48', '207.133.255.255', 3481182512, 3481665535, 'US', 'United States'),
(143274, '207.134.0.0', '207.134.255.255', 3481665536, 3481731071, 'CA', 'Canada'),
(143275, '207.135.0.0', '207.136.63.255', 3481731072, 3481812991, 'US', 'United States'),
(143276, '207.136.64.0', '207.136.99.111', 3481812992, 3481822063, 'CA', 'Canada'),
(143277, '207.136.99.112', '207.136.99.127', 3481822064, 3481822079, 'US', 'United States'),
(143278, '207.136.99.128', '207.136.127.255', 3481822080, 3481829375, 'CA', 'Canada'),
(143279, '207.136.128.0', '207.138.92.163', 3481829376, 3481951395, 'US', 'United States'),
(143280, '207.138.92.164', '207.138.92.167', 3481951396, 3481951399, 'GB', 'United Kingdom'),
(143281, '207.138.92.168', '207.138.144.31', 3481951400, 3481964575, 'US', 'United States'),
(143282, '207.138.144.32', '207.138.144.35', 3481964576, 3481964579, 'IE', 'Ireland'),
(143283, '207.138.144.36', '207.138.255.255', 3481964580, 3481993215, 'US', 'United States'),
(143284, '207.139.0.0', '207.139.2.55', 3481993216, 3481993783, 'CA', 'Canada'),
(143285, '207.139.2.56', '207.139.2.63', 3481993784, 3481993791, 'US', 'United States'),
(143286, '207.139.2.64', '207.139.8.15', 3481993792, 3481995279, 'CA', 'Canada'),
(143287, '207.139.8.16', '207.139.8.23', 3481995280, 3481995287, 'US', 'United States'),
(143288, '207.139.8.24', '207.139.8.39', 3481995288, 3481995303, 'CA', 'Canada'),
(143289, '207.139.8.40', '207.139.8.47', 3481995304, 3481995311, 'US', 'United States'),
(143290, '207.139.8.48', '207.139.8.255', 3481995312, 3481995519, 'CA', 'Canada'),
(143291, '207.139.9.0', '207.139.9.7', 3481995520, 3481995527, 'US', 'United States'),
(143292, '207.139.9.8', '207.139.9.23', 3481995528, 3481995543, 'CA', 'Canada'),
(143293, '207.139.9.24', '207.139.9.31', 3481995544, 3481995551, 'US', 'United States'),
(143294, '207.139.9.32', '207.139.20.255', 3481995552, 3481998591, 'CA', 'Canada'),
(143295, '207.139.21.0', '207.139.21.255', 3481998592, 3481998847, 'AG', 'Antigua and Barbuda'),
(143296, '207.139.22.0', '207.139.81.127', 3481998848, 3482014079, 'CA', 'Canada'),
(143297, '207.139.81.128', '207.139.81.255', 3482014080, 3482014207, 'AG', 'Antigua and Barbuda'),
(143298, '207.139.82.0', '207.139.99.255', 3482014208, 3482018815, 'CA', 'Canada'),
(143299, '207.139.100.0', '207.139.100.255', 3482018816, 3482019071, 'US', 'United States'),
(143300, '207.139.101.0', '207.139.115.127', 3482019072, 3482022783, 'CA', 'Canada'),
(143301, '207.139.115.128', '207.139.115.191', 3482022784, 3482022847, 'US', 'United States'),
(143302, '207.139.115.192', '207.139.197.87', 3482022848, 3482043735, 'CA', 'Canada'),
(143303, '207.139.197.88', '207.139.197.95', 3482043736, 3482043743, 'US', 'United States'),
(143304, '207.139.197.96', '207.139.214.191', 3482043744, 3482048191, 'CA', 'Canada'),
(143305, '207.139.214.192', '207.139.214.255', 3482048192, 3482048255, 'US', 'United States'),
(143306, '207.139.215.0', '207.139.255.255', 3482048256, 3482058751, 'CA', 'Canada'),
(143307, '207.140.0.0', '207.147.255.255', 3482058752, 3482583039, 'US', 'United States'),
(143308, '207.148.0.0', '207.148.191.255', 3482583040, 3482632191, 'CA', 'Canada'),
(143309, '207.148.192.0', '207.150.239.255', 3482632192, 3482775551, 'US', 'United States'),
(143310, '207.150.240.0', '207.150.251.7', 3482775552, 3482778375, 'PR', 'Puerto Rico'),
(143311, '207.150.251.8', '207.150.251.15', 3482778376, 3482778383, 'US', 'United States'),
(143312, '207.150.251.16', '207.150.255.255', 3482778384, 3482779647, 'PR', 'Puerto Rico'),
(143313, '207.151.0.0', '207.152.255.255', 3482779648, 3482910719, 'US', 'United States'),
(143314, '207.153.0.0', '207.153.63.255', 3482910720, 3482927103, 'CA', 'Canada'),
(143315, '207.153.64.0', '207.158.3.255', 3482927104, 3483239423, 'US', 'United States'),
(143316, '207.158.4.0', '207.158.4.255', 3483239424, 3483239679, 'A1', 'Anonymous Proxy'),
(143317, '207.158.5.0', '207.158.8.255', 3483239680, 3483240703, 'US', 'United States'),
(143318, '207.158.9.0', '207.158.9.255', 3483240704, 3483240959, 'A1', 'Anonymous Proxy'),
(143319, '207.158.10.0', '207.158.34.255', 3483240960, 3483247359, 'US', 'United States'),
(143320, '207.158.35.0', '207.158.36.255', 3483247360, 3483247871, 'A1', 'Anonymous Proxy'),
(143321, '207.158.37.0', '207.158.225.4', 3483247872, 3483296004, 'US', 'United States'),
(143322, '207.158.225.5', '207.158.225.5', 3483296005, 3483296005, 'BE', 'Belgium'),
(143323, '207.158.225.6', '207.160.255.255', 3483296006, 3483435007, 'US', 'United States'),
(143324, '207.161.0.0', '207.162.127.255', 3483435008, 3483533311, 'CA', 'Canada'),
(143325, '207.162.128.0', '207.162.202.255', 3483533312, 3483552511, 'US', 'United States'),
(143326, '207.162.203.0', '207.162.203.95', 3483552512, 3483552607, 'GB', 'United Kingdom'),
(143327, '207.162.203.96', '207.163.255.255', 3483552608, 3483631615, 'US', 'United States'),
(143328, '207.164.0.0', '207.164.255.255', 3483631616, 3483697151, 'CA', 'Canada'),
(143329, '207.165.0.0', '207.166.112.15', 3483697152, 3483791375, 'US', 'United States'),
(143330, '207.166.112.16', '207.166.112.47', 3483791376, 3483791407, 'PR', 'Puerto Rico'),
(143331, '207.166.112.48', '207.166.112.63', 3483791408, 3483791423, 'US', 'United States'),
(143332, '207.166.112.64', '207.166.112.71', 3483791424, 3483791431, 'PR', 'Puerto Rico'),
(143333, '207.166.112.72', '207.166.112.111', 3483791432, 3483791471, 'US', 'United States'),
(143334, '207.166.112.112', '207.166.112.119', 3483791472, 3483791479, 'PR', 'Puerto Rico'),
(143335, '207.166.112.120', '207.166.112.135', 3483791480, 3483791495, 'US', 'United States'),
(143336, '207.166.112.136', '207.166.112.143', 3483791496, 3483791503, 'PR', 'Puerto Rico'),
(143337, '207.166.112.144', '207.166.112.151', 3483791504, 3483791511, 'US', 'United States'),
(143338, '207.166.112.152', '207.166.112.159', 3483791512, 3483791519, 'PR', 'Puerto Rico'),
(143339, '207.166.112.160', '207.166.112.175', 3483791520, 3483791535, 'US', 'United States'),
(143340, '207.166.112.176', '207.166.112.183', 3483791536, 3483791543, 'PR', 'Puerto Rico'),
(143341, '207.166.112.184', '207.166.112.191', 3483791544, 3483791551, 'US', 'United States'),
(143342, '207.166.112.192', '207.166.112.239', 3483791552, 3483791599, 'PR', 'Puerto Rico'),
(143343, '207.166.112.240', '207.166.112.247', 3483791600, 3483791607, 'US', 'United States'),
(143344, '207.166.112.248', '207.166.113.7', 3483791608, 3483791623, 'PR', 'Puerto Rico'),
(143345, '207.166.113.8', '207.166.113.15', 3483791624, 3483791631, 'US', 'United States'),
(143346, '207.166.113.16', '207.166.113.23', 3483791632, 3483791639, 'PR', 'Puerto Rico'),
(143347, '207.166.113.24', '207.166.113.31', 3483791640, 3483791647, 'US', 'United States'),
(143348, '207.166.113.32', '207.166.113.47', 3483791648, 3483791663, 'PR', 'Puerto Rico'),
(143349, '207.166.113.48', '207.166.113.63', 3483791664, 3483791679, 'US', 'United States'),
(143350, '207.166.113.64', '207.166.113.79', 3483791680, 3483791695, 'PR', 'Puerto Rico'),
(143351, '207.166.113.80', '207.166.113.127', 3483791696, 3483791743, 'US', 'United States'),
(143352, '207.166.113.128', '207.166.113.135', 3483791744, 3483791751, 'PR', 'Puerto Rico'),
(143353, '207.166.113.136', '207.166.113.151', 3483791752, 3483791767, 'US', 'United States'),
(143354, '207.166.113.152', '207.166.113.183', 3483791768, 3483791799, 'PR', 'Puerto Rico'),
(143355, '207.166.113.184', '207.166.113.207', 3483791800, 3483791823, 'US', 'United States'),
(143356, '207.166.113.208', '207.166.113.215', 3483791824, 3483791831, 'PR', 'Puerto Rico'),
(143357, '207.166.113.216', '207.166.113.239', 3483791832, 3483791855, 'US', 'United States'),
(143358, '207.166.113.240', '207.166.114.15', 3483791856, 3483791887, 'PR', 'Puerto Rico'),
(143359, '207.166.114.16', '207.166.114.23', 3483791888, 3483791895, 'US', 'United States'),
(143360, '207.166.114.24', '207.166.114.79', 3483791896, 3483791951, 'PR', 'Puerto Rico'),
(143361, '207.166.114.80', '207.166.114.95', 3483791952, 3483791967, 'US', 'United States'),
(143362, '207.166.114.96', '207.166.114.111', 3483791968, 3483791983, 'PR', 'Puerto Rico'),
(143363, '207.166.114.112', '207.166.114.127', 3483791984, 3483791999, 'US', 'United States'),
(143364, '207.166.114.128', '207.166.114.143', 3483792000, 3483792015, 'PR', 'Puerto Rico'),
(143365, '207.166.114.144', '207.166.114.159', 3483792016, 3483792031, 'IL', 'Israel'),
(143366, '207.166.114.160', '207.166.114.175', 3483792032, 3483792047, 'PR', 'Puerto Rico'),
(143367, '207.166.114.176', '207.166.114.207', 3483792048, 3483792079, 'US', 'United States'),
(143368, '207.166.114.208', '207.166.114.239', 3483792080, 3483792111, 'PR', 'Puerto Rico'),
(143369, '207.166.114.240', '207.166.114.247', 3483792112, 3483792119, 'US', 'United States'),
(143370, '207.166.114.248', '207.166.127.255', 3483792120, 3483795455, 'PR', 'Puerto Rico'),
(143371, '207.166.128.0', '207.166.255.255', 3483795456, 3483828223, 'US', 'United States'),
(143372, '207.167.0.0', '207.167.31.255', 3483828224, 3483836415, 'CA', 'Canada'),
(143373, '207.167.32.0', '207.167.191.255', 3483836416, 3483877375, 'US', 'United States'),
(143374, '207.167.192.0', '207.167.255.255', 3483877376, 3483893759, 'CA', 'Canada'),
(143375, '207.168.0.0', '207.169.185.255', 3483893760, 3484006911, 'US', 'United States'),
(143376, '207.169.186.0', '207.169.186.255', 3484006912, 3484007167, 'AU', 'Australia'),
(143377, '207.169.187.0', '207.169.209.255', 3484007168, 3484013055, 'US', 'United States'),
(143378, '207.169.210.0', '207.169.211.255', 3484013056, 3484013567, 'DE', 'Germany'),
(143379, '207.169.212.0', '207.174.127.255', 3484013568, 3484319743, 'US', 'United States'),
(143380, '207.174.130.0', '207.174.130.255', 3484320256, 3484320511, 'US', 'United States'),
(143381, '207.174.136.0', '207.174.136.255', 3484321792, 3484322047, 'PR', 'Puerto Rico');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(143382, '207.174.137.0', '207.174.143.255', 3484322048, 3484323839, 'US', 'United States'),
(143383, '207.174.156.0', '207.174.157.255', 3484326912, 3484327423, 'US', 'United States'),
(143384, '207.174.160.0', '207.176.5.255', 3484327936, 3484419583, 'US', 'United States'),
(143385, '207.176.6.0', '207.176.6.255', 3484419584, 3484419839, 'A2', 'Satellite Provider'),
(143386, '207.176.7.0', '207.176.7.7', 3484419840, 3484419847, 'DM', 'Dominica'),
(143387, '207.176.7.8', '207.176.7.15', 3484419848, 3484419855, 'US', 'United States'),
(143388, '207.176.7.16', '207.176.7.127', 3484419856, 3484419967, 'DM', 'Dominica'),
(143389, '207.176.7.128', '207.176.7.143', 3484419968, 3484419983, 'US', 'United States'),
(143390, '207.176.7.144', '207.176.7.191', 3484419984, 3484420031, 'DM', 'Dominica'),
(143391, '207.176.7.192', '207.176.24.63', 3484420032, 3484424255, 'US', 'United States'),
(143392, '207.176.24.64', '207.176.24.95', 3484424256, 3484424287, 'DM', 'Dominica'),
(143393, '207.176.24.96', '207.176.24.127', 3484424288, 3484424319, 'US', 'United States'),
(143394, '207.176.24.128', '207.176.24.255', 3484424320, 3484424447, 'DM', 'Dominica'),
(143395, '207.176.25.0', '207.176.75.255', 3484424448, 3484437503, 'US', 'United States'),
(143396, '207.176.76.0', '207.176.95.255', 3484437504, 3484442623, 'GB', 'United Kingdom'),
(143397, '207.176.96.0', '207.176.127.255', 3484442624, 3484450815, 'US', 'United States'),
(143398, '207.176.128.0', '207.176.131.255', 3484450816, 3484451839, 'CA', 'Canada'),
(143399, '207.176.132.0', '207.176.132.31', 3484451840, 3484451871, 'US', 'United States'),
(143400, '207.176.132.32', '207.176.139.63', 3484451872, 3484453695, 'CA', 'Canada'),
(143401, '207.176.139.64', '207.176.139.127', 3484453696, 3484453759, 'US', 'United States'),
(143402, '207.176.139.128', '207.176.145.95', 3484453760, 3484455263, 'CA', 'Canada'),
(143403, '207.176.145.96', '207.176.145.127', 3484455264, 3484455295, 'US', 'United States'),
(143404, '207.176.145.128', '207.176.147.127', 3484455296, 3484455807, 'CA', 'Canada'),
(143405, '207.176.147.128', '207.176.147.191', 3484455808, 3484455871, 'US', 'United States'),
(143406, '207.176.147.192', '207.176.148.255', 3484455872, 3484456191, 'CA', 'Canada'),
(143407, '207.176.149.0', '207.176.150.255', 3484456192, 3484456703, 'US', 'United States'),
(143408, '207.176.151.0', '207.176.154.255', 3484456704, 3484457727, 'CA', 'Canada'),
(143409, '207.176.155.0', '207.176.155.255', 3484457728, 3484457983, 'US', 'United States'),
(143410, '207.176.156.0', '207.176.159.31', 3484457984, 3484458783, 'CA', 'Canada'),
(143411, '207.176.159.32', '207.176.159.39', 3484458784, 3484458791, 'US', 'United States'),
(143412, '207.176.159.40', '207.176.159.55', 3484458792, 3484458807, 'CA', 'Canada'),
(143413, '207.176.159.56', '207.176.159.63', 3484458808, 3484458815, 'US', 'United States'),
(143414, '207.176.159.64', '207.176.159.135', 3484458816, 3484458887, 'CA', 'Canada'),
(143415, '207.176.159.136', '207.176.159.151', 3484458888, 3484458903, 'US', 'United States'),
(143416, '207.176.159.152', '207.176.159.159', 3484458904, 3484458911, 'CA', 'Canada'),
(143417, '207.176.159.160', '207.176.159.167', 3484458912, 3484458919, 'US', 'United States'),
(143418, '207.176.159.168', '207.176.159.207', 3484458920, 3484458959, 'CA', 'Canada'),
(143419, '207.176.159.208', '207.176.159.215', 3484458960, 3484458967, 'US', 'United States'),
(143420, '207.176.159.216', '207.176.163.15', 3484458968, 3484459791, 'CA', 'Canada'),
(143421, '207.176.163.16', '207.176.163.31', 3484459792, 3484459807, 'US', 'United States'),
(143422, '207.176.163.32', '207.176.163.47', 3484459808, 3484459823, 'CA', 'Canada'),
(143423, '207.176.163.48', '207.176.163.63', 3484459824, 3484459839, 'US', 'United States'),
(143424, '207.176.163.64', '207.176.163.79', 3484459840, 3484459855, 'CA', 'Canada'),
(143425, '207.176.163.80', '207.176.163.95', 3484459856, 3484459871, 'US', 'United States'),
(143426, '207.176.163.96', '207.176.163.111', 3484459872, 3484459887, 'CA', 'Canada'),
(143427, '207.176.163.112', '207.176.163.143', 3484459888, 3484459919, 'US', 'United States'),
(143428, '207.176.163.144', '207.176.163.191', 3484459920, 3484459967, 'CA', 'Canada'),
(143429, '207.176.163.192', '207.176.163.223', 3484459968, 3484459999, 'US', 'United States'),
(143430, '207.176.163.224', '207.176.163.239', 3484460000, 3484460015, 'CA', 'Canada'),
(143431, '207.176.163.240', '207.176.163.255', 3484460016, 3484460031, 'US', 'United States'),
(143432, '207.176.164.0', '207.176.164.255', 3484460032, 3484460287, 'CA', 'Canada'),
(143433, '207.176.165.0', '207.176.165.255', 3484460288, 3484460543, 'US', 'United States'),
(143434, '207.176.166.0', '207.176.166.31', 3484460544, 3484460575, 'CA', 'Canada'),
(143435, '207.176.166.32', '207.176.166.47', 3484460576, 3484460591, 'US', 'United States'),
(143436, '207.176.166.48', '207.176.166.159', 3484460592, 3484460703, 'CA', 'Canada'),
(143437, '207.176.166.160', '207.176.166.175', 3484460704, 3484460719, 'US', 'United States'),
(143438, '207.176.166.176', '207.176.166.239', 3484460720, 3484460783, 'CA', 'Canada'),
(143439, '207.176.166.240', '207.176.166.255', 3484460784, 3484460799, 'US', 'United States'),
(143440, '207.176.167.0', '207.176.168.23', 3484460800, 3484461079, 'CA', 'Canada'),
(143441, '207.176.168.24', '207.176.168.39', 3484461080, 3484461095, 'US', 'United States'),
(143442, '207.176.168.40', '207.176.168.47', 3484461096, 3484461103, 'CA', 'Canada'),
(143443, '207.176.168.48', '207.176.168.55', 3484461104, 3484461111, 'US', 'United States'),
(143444, '207.176.168.56', '207.176.168.63', 3484461112, 3484461119, 'CA', 'Canada'),
(143445, '207.176.168.64', '207.176.168.79', 3484461120, 3484461135, 'US', 'United States'),
(143446, '207.176.168.80', '207.176.168.87', 3484461136, 3484461143, 'CA', 'Canada'),
(143447, '207.176.168.88', '207.176.168.143', 3484461144, 3484461199, 'US', 'United States'),
(143448, '207.176.168.144', '207.176.168.175', 3484461200, 3484461231, 'CA', 'Canada'),
(143449, '207.176.168.176', '207.176.168.207', 3484461232, 3484461263, 'US', 'United States'),
(143450, '207.176.168.208', '207.176.168.215', 3484461264, 3484461271, 'CA', 'Canada'),
(143451, '207.176.168.216', '207.176.168.223', 3484461272, 3484461279, 'US', 'United States'),
(143452, '207.176.168.224', '207.176.169.63', 3484461280, 3484461375, 'CA', 'Canada'),
(143453, '207.176.169.64', '207.176.169.127', 3484461376, 3484461439, 'US', 'United States'),
(143454, '207.176.169.128', '207.176.169.191', 3484461440, 3484461503, 'CA', 'Canada'),
(143455, '207.176.169.192', '207.176.170.63', 3484461504, 3484461631, 'US', 'United States'),
(143456, '207.176.170.64', '207.176.170.191', 3484461632, 3484461759, 'CA', 'Canada'),
(143457, '207.176.170.192', '207.176.170.255', 3484461760, 3484461823, 'US', 'United States'),
(143458, '207.176.171.0', '207.176.172.23', 3484461824, 3484462103, 'CA', 'Canada'),
(143459, '207.176.172.24', '207.176.172.63', 3484462104, 3484462143, 'US', 'United States'),
(143460, '207.176.172.64', '207.176.172.79', 3484462144, 3484462159, 'CA', 'Canada'),
(143461, '207.176.172.80', '207.176.172.95', 3484462160, 3484462175, 'US', 'United States'),
(143462, '207.176.172.96', '207.176.172.127', 3484462176, 3484462207, 'CA', 'Canada'),
(143463, '207.176.172.128', '207.176.172.135', 3484462208, 3484462215, 'US', 'United States'),
(143464, '207.176.172.136', '207.176.172.199', 3484462216, 3484462279, 'CA', 'Canada'),
(143465, '207.176.172.200', '207.176.172.215', 3484462280, 3484462295, 'US', 'United States'),
(143466, '207.176.172.216', '207.176.175.127', 3484462296, 3484462975, 'CA', 'Canada'),
(143467, '207.176.175.128', '207.176.175.191', 3484462976, 3484463039, 'US', 'United States'),
(143468, '207.176.175.192', '207.176.176.47', 3484463040, 3484463151, 'CA', 'Canada'),
(143469, '207.176.176.48', '207.176.176.79', 3484463152, 3484463183, 'US', 'United States'),
(143470, '207.176.176.80', '207.176.180.15', 3484463184, 3484464143, 'CA', 'Canada'),
(143471, '207.176.180.16', '207.176.180.31', 3484464144, 3484464159, 'US', 'United States'),
(143472, '207.176.180.32', '207.176.180.47', 3484464160, 3484464175, 'CA', 'Canada'),
(143473, '207.176.180.48', '207.176.180.63', 3484464176, 3484464191, 'US', 'United States'),
(143474, '207.176.180.64', '207.176.180.95', 3484464192, 3484464223, 'CA', 'Canada'),
(143475, '207.176.180.96', '207.176.180.159', 3484464224, 3484464287, 'US', 'United States'),
(143476, '207.176.180.160', '207.176.180.175', 3484464288, 3484464303, 'CA', 'Canada'),
(143477, '207.176.180.176', '207.176.180.191', 3484464304, 3484464319, 'US', 'United States'),
(143478, '207.176.180.192', '207.176.180.207', 3484464320, 3484464335, 'CA', 'Canada'),
(143479, '207.176.180.208', '207.176.180.255', 3484464336, 3484464383, 'US', 'United States'),
(143480, '207.176.181.0', '207.176.182.63', 3484464384, 3484464703, 'CA', 'Canada'),
(143481, '207.176.182.64', '207.176.182.95', 3484464704, 3484464735, 'US', 'United States'),
(143482, '207.176.182.96', '207.176.183.255', 3484464736, 3484465151, 'CA', 'Canada'),
(143483, '207.176.184.0', '207.176.184.255', 3484465152, 3484465407, 'US', 'United States'),
(143484, '207.176.185.0', '207.176.188.255', 3484465408, 3484466431, 'CA', 'Canada'),
(143485, '207.176.189.0', '207.176.189.255', 3484466432, 3484466687, 'US', 'United States'),
(143486, '207.176.190.0', '207.176.196.63', 3484466688, 3484468287, 'CA', 'Canada'),
(143487, '207.176.196.64', '207.176.196.255', 3484468288, 3484468479, 'US', 'United States'),
(143488, '207.176.197.0', '207.176.199.127', 3484468480, 3484469119, 'CA', 'Canada'),
(143489, '207.176.199.128', '207.176.199.255', 3484469120, 3484469247, 'US', 'United States'),
(143490, '207.176.200.0', '207.176.201.255', 3484469248, 3484469759, 'CA', 'Canada'),
(143491, '207.176.202.0', '207.176.202.31', 3484469760, 3484469791, 'US', 'United States'),
(143492, '207.176.202.32', '207.176.202.127', 3484469792, 3484469887, 'CA', 'Canada'),
(143493, '207.176.202.128', '207.176.202.191', 3484469888, 3484469951, 'US', 'United States'),
(143494, '207.176.202.192', '207.176.204.255', 3484469952, 3484470527, 'CA', 'Canada'),
(143495, '207.176.205.0', '207.176.207.255', 3484470528, 3484471295, 'US', 'United States'),
(143496, '207.176.208.0', '207.176.208.255', 3484471296, 3484471551, 'CA', 'Canada'),
(143497, '207.176.209.0', '207.176.209.255', 3484471552, 3484471807, 'US', 'United States'),
(143498, '207.176.210.0', '207.176.211.71', 3484471808, 3484472135, 'CA', 'Canada'),
(143499, '207.176.211.72', '207.176.211.103', 3484472136, 3484472167, 'US', 'United States'),
(143500, '207.176.211.104', '207.176.211.119', 3484472168, 3484472183, 'CA', 'Canada'),
(143501, '207.176.211.120', '207.176.211.135', 3484472184, 3484472199, 'US', 'United States'),
(143502, '207.176.211.136', '207.176.211.159', 3484472200, 3484472223, 'CA', 'Canada'),
(143503, '207.176.211.160', '207.176.211.215', 3484472224, 3484472279, 'US', 'United States'),
(143504, '207.176.211.216', '207.176.214.7', 3484472280, 3484472839, 'CA', 'Canada'),
(143505, '207.176.214.8', '207.176.214.23', 3484472840, 3484472855, 'US', 'United States'),
(143506, '207.176.214.24', '207.176.214.175', 3484472856, 3484473007, 'CA', 'Canada'),
(143507, '207.176.214.176', '207.176.214.183', 3484473008, 3484473015, 'US', 'United States'),
(143508, '207.176.214.184', '207.176.214.191', 3484473016, 3484473023, 'CA', 'Canada'),
(143509, '207.176.214.192', '207.176.214.199', 3484473024, 3484473031, 'US', 'United States'),
(143510, '207.176.214.200', '207.176.214.215', 3484473032, 3484473047, 'CA', 'Canada'),
(143511, '207.176.214.216', '207.176.214.223', 3484473048, 3484473055, 'US', 'United States'),
(143512, '207.176.214.224', '207.176.214.255', 3484473056, 3484473087, 'CA', 'Canada'),
(143513, '207.176.215.0', '207.176.215.63', 3484473088, 3484473151, 'US', 'United States'),
(143514, '207.176.215.64', '207.176.216.255', 3484473152, 3484473599, 'CA', 'Canada'),
(143515, '207.176.217.0', '207.176.217.127', 3484473600, 3484473727, 'US', 'United States'),
(143516, '207.176.217.128', '207.176.217.191', 3484473728, 3484473791, 'CA', 'Canada'),
(143517, '207.176.217.192', '207.176.217.255', 3484473792, 3484473855, 'US', 'United States'),
(143518, '207.176.218.0', '207.176.230.255', 3484473856, 3484477183, 'CA', 'Canada'),
(143519, '207.176.231.0', '207.176.232.255', 3484477184, 3484477695, 'US', 'United States'),
(143520, '207.176.233.0', '207.176.234.255', 3484477696, 3484478207, 'CA', 'Canada'),
(143521, '207.176.235.0', '207.176.236.255', 3484478208, 3484478719, 'US', 'United States'),
(143522, '207.176.237.0', '207.176.237.255', 3484478720, 3484478975, 'CA', 'Canada'),
(143523, '207.176.238.0', '207.176.238.255', 3484478976, 3484479231, 'US', 'United States'),
(143524, '207.176.239.0', '207.176.239.255', 3484479232, 3484479487, 'CA', 'Canada'),
(143525, '207.176.240.0', '207.176.240.255', 3484479488, 3484479743, 'US', 'United States'),
(143526, '207.176.241.0', '207.176.241.255', 3484479744, 3484479999, 'CA', 'Canada'),
(143527, '207.176.242.0', '207.176.242.255', 3484480000, 3484480255, 'US', 'United States'),
(143528, '207.176.243.0', '207.176.246.255', 3484480256, 3484481279, 'CA', 'Canada'),
(143529, '207.176.247.0', '207.176.247.63', 3484481280, 3484481343, 'US', 'United States'),
(143530, '207.176.247.64', '207.176.249.255', 3484481344, 3484482047, 'CA', 'Canada'),
(143531, '207.176.250.0', '207.176.251.255', 3484482048, 3484482559, 'US', 'United States'),
(143532, '207.176.252.0', '207.176.255.255', 3484482560, 3484483583, 'CA', 'Canada'),
(143533, '207.177.0.0', '207.178.214.135', 3484483584, 3484604039, 'US', 'United States'),
(143534, '207.178.214.136', '207.178.214.143', 3484604040, 3484604047, 'AU', 'Australia'),
(143535, '207.178.214.144', '207.179.127.255', 3484604048, 3484647423, 'US', 'United States'),
(143536, '207.179.128.0', '207.179.191.255', 3484647424, 3484663807, 'CA', 'Canada'),
(143537, '207.179.192.0', '207.181.4.63', 3484663808, 3484746815, 'US', 'United States'),
(143538, '207.181.4.64', '207.181.4.191', 3484746816, 3484746943, 'GB', 'United Kingdom'),
(143539, '207.181.4.192', '207.181.63.255', 3484746944, 3484762111, 'US', 'United States'),
(143540, '207.181.64.0', '207.181.117.63', 3484762112, 3484775743, 'CA', 'Canada'),
(143541, '207.181.117.64', '207.181.117.95', 3484775744, 3484775775, 'US', 'United States'),
(143542, '207.181.117.96', '207.181.124.191', 3484775776, 3484777663, 'CA', 'Canada'),
(143543, '207.181.124.192', '207.181.124.223', 3484777664, 3484777695, 'US', 'United States'),
(143544, '207.181.124.224', '207.181.127.255', 3484777696, 3484778495, 'CA', 'Canada'),
(143545, '207.181.128.0', '207.183.31.255', 3484778496, 3484884991, 'US', 'United States'),
(143546, '207.183.32.0', '207.183.63.255', 3484884992, 3484893183, 'CA', 'Canada'),
(143547, '207.183.64.0', '207.183.235.143', 3484893184, 3484937103, 'US', 'United States'),
(143548, '207.183.235.144', '207.183.235.151', 3484937104, 3484937111, 'SE', 'Sweden'),
(143549, '207.183.235.152', '207.188.63.255', 3484937112, 3485220863, 'US', 'United States'),
(143550, '207.188.64.0', '207.188.95.255', 3485220864, 3485229055, 'CA', 'Canada'),
(143551, '207.188.96.0', '207.189.79.223', 3485229056, 3485290463, 'US', 'United States'),
(143552, '207.189.79.224', '207.189.79.239', 3485290464, 3485290479, 'GB', 'United Kingdom'),
(143553, '207.189.79.240', '207.189.223.255', 3485290480, 3485327359, 'US', 'United States'),
(143554, '207.189.224.0', '207.189.255.255', 3485327360, 3485335551, 'CA', 'Canada'),
(143555, '207.190.0.0', '207.191.225.159', 3485335552, 3485458847, 'US', 'United States'),
(143556, '207.191.225.160', '207.191.225.175', 3485458848, 3485458863, 'FR', 'France'),
(143557, '207.191.225.176', '207.191.232.79', 3485458864, 3485460559, 'US', 'United States'),
(143558, '207.191.232.80', '207.191.232.95', 3485460560, 3485460575, 'IN', 'India'),
(143559, '207.191.232.96', '207.191.239.255', 3485460576, 3485462527, 'US', 'United States'),
(143560, '207.191.240.0', '207.191.247.255', 3485462528, 3485464575, 'VC', 'Saint Vincent and the Grenadines'),
(143561, '207.191.248.0', '207.191.255.255', 3485464576, 3485466623, 'LC', 'Saint Lucia'),
(143562, '207.192.0.0', '207.193.255.255', 3485466624, 3485597695, 'US', 'United States'),
(143563, '207.194.0.0', '207.195.32.159', 3485597696, 3485671583, 'CA', 'Canada'),
(143564, '207.195.32.160', '207.195.32.191', 3485671584, 3485671615, 'US', 'United States'),
(143565, '207.195.32.192', '207.195.36.95', 3485671616, 3485672543, 'CA', 'Canada'),
(143566, '207.195.36.96', '207.195.36.103', 3485672544, 3485672551, 'US', 'United States'),
(143567, '207.195.36.104', '207.195.127.255', 3485672552, 3485695999, 'CA', 'Canada'),
(143568, '207.195.128.0', '207.195.225.224', 3485696000, 3485721056, 'US', 'United States'),
(143569, '207.195.225.225', '207.195.225.225', 3485721057, 3485721057, 'AE', 'United Arab Emirates'),
(143570, '207.195.225.226', '207.195.239.255', 3485721058, 3485724671, 'US', 'United States'),
(143571, '207.195.240.0', '207.195.255.255', 3485724672, 3485728767, 'A1', 'Anonymous Proxy'),
(143572, '207.196.0.0', '207.198.98.199', 3485728768, 3485885127, 'US', 'United States'),
(143573, '207.198.98.200', '207.198.98.213', 3485885128, 3485885141, 'CA', 'Canada'),
(143574, '207.198.98.214', '207.198.105.197', 3485885142, 3485886917, 'US', 'United States'),
(143575, '207.198.105.198', '207.198.105.211', 3485886918, 3485886931, 'IN', 'India'),
(143576, '207.198.105.212', '207.198.109.3', 3485886932, 3485887747, 'US', 'United States'),
(143577, '207.198.109.4', '207.198.109.33', 3485887748, 3485887777, 'AU', 'Australia'),
(143578, '207.198.109.34', '207.200.127.255', 3485887778, 3486023679, 'US', 'United States'),
(143579, '207.200.128.0', '207.200.159.255', 3486023680, 3486031871, 'CA', 'Canada'),
(143580, '207.200.160.0', '207.204.63.255', 3486031872, 3486269439, 'US', 'United States'),
(143581, '207.204.64.0', '207.204.127.255', 3486269440, 3486285823, 'JM', 'Jamaica'),
(143582, '207.204.128.0', '207.204.191.255', 3486285824, 3486302207, 'PR', 'Puerto Rico'),
(143583, '207.204.192.0', '207.204.223.255', 3486302208, 3486310399, 'CA', 'Canada'),
(143584, '207.204.224.0', '207.207.204.63', 3486310400, 3486501951, 'US', 'United States'),
(143585, '207.207.204.64', '207.207.204.79', 3486501952, 3486501967, 'DE', 'Germany'),
(143586, '207.207.204.80', '207.208.255.255', 3486501968, 3486580735, 'US', 'United States'),
(143587, '207.209.0.0', '207.209.0.255', 3486580736, 3486580991, 'GB', 'United Kingdom'),
(143588, '207.209.1.0', '207.209.2.255', 3486580992, 3486581503, 'DE', 'Germany'),
(143589, '207.209.3.0', '207.209.3.255', 3486581504, 3486581759, 'TW', 'Taiwan'),
(143590, '207.209.4.0', '207.209.4.255', 3486581760, 3486582015, 'GB', 'United Kingdom'),
(143591, '207.209.5.0', '207.209.5.255', 3486582016, 3486582271, 'NO', 'Norway'),
(143592, '207.209.6.0', '207.209.6.255', 3486582272, 3486582527, 'BE', 'Belgium'),
(143593, '207.209.7.0', '207.209.7.255', 3486582528, 3486582783, 'AU', 'Australia'),
(143594, '207.209.8.0', '207.209.8.255', 3486582784, 3486583039, 'DE', 'Germany'),
(143595, '207.209.9.0', '207.209.9.255', 3486583040, 3486583295, 'CH', 'Switzerland'),
(143596, '207.209.10.0', '207.209.11.255', 3486583296, 3486583807, 'US', 'United States'),
(143597, '207.209.12.0', '207.209.12.255', 3486583808, 3486584063, 'KR', 'Korea, Republic of'),
(143598, '207.209.13.0', '207.209.13.255', 3486584064, 3486584319, 'US', 'United States'),
(143599, '207.209.14.0', '207.209.15.255', 3486584320, 3486584831, 'CA', 'Canada'),
(143600, '207.209.16.0', '207.209.17.255', 3486584832, 3486585343, 'US', 'United States'),
(143601, '207.209.18.0', '207.209.18.255', 3486585344, 3486585599, 'PT', 'Portugal'),
(143602, '207.209.19.0', '207.209.21.255', 3486585600, 3486586367, 'FR', 'France'),
(143603, '207.209.22.0', '207.209.22.255', 3486586368, 3486586623, 'NZ', 'New Zealand'),
(143604, '207.209.23.0', '207.209.23.255', 3486586624, 3486586879, 'US', 'United States'),
(143605, '207.209.24.0', '207.209.24.255', 3486586880, 3486587135, 'AU', 'Australia'),
(143606, '207.209.25.0', '207.209.25.255', 3486587136, 3486587391, 'FR', 'France'),
(143607, '207.209.26.0', '207.209.26.255', 3486587392, 3486587647, 'NL', 'Netherlands'),
(143608, '207.209.27.0', '207.209.27.255', 3486587648, 3486587903, 'CL', 'Chile'),
(143609, '207.209.28.0', '207.209.29.255', 3486587904, 3486588415, 'GB', 'United Kingdom'),
(143610, '207.209.30.0', '207.209.30.255', 3486588416, 3486588671, 'FR', 'France'),
(143611, '207.209.31.0', '207.209.32.191', 3486588672, 3486589119, 'US', 'United States'),
(143612, '207.209.32.192', '207.209.32.223', 3486589120, 3486589151, 'NL', 'Netherlands'),
(143613, '207.209.32.224', '207.209.33.63', 3486589152, 3486589247, 'US', 'United States'),
(143614, '207.209.33.64', '207.209.33.95', 3486589248, 3486589279, 'ZA', 'South Africa'),
(143615, '207.209.33.96', '207.209.35.255', 3486589280, 3486589951, 'US', 'United States'),
(143616, '207.209.36.0', '207.209.36.255', 3486589952, 3486590207, 'IT', 'Italy'),
(143617, '207.209.37.0', '207.209.37.255', 3486590208, 3486590463, 'US', 'United States'),
(143618, '207.209.38.0', '207.209.42.255', 3486590464, 3486591743, 'GB', 'United Kingdom'),
(143619, '207.209.43.0', '207.209.43.255', 3486591744, 3486591999, 'CH', 'Switzerland'),
(143620, '207.209.44.0', '207.209.44.63', 3486592000, 3486592063, 'FI', 'Finland'),
(143621, '207.209.44.64', '207.209.44.255', 3486592064, 3486592255, 'US', 'United States'),
(143622, '207.209.45.0', '207.209.45.255', 3486592256, 3486592511, 'NL', 'Netherlands'),
(143623, '207.209.46.0', '207.209.47.255', 3486592512, 3486593023, 'NO', 'Norway'),
(143624, '207.209.48.0', '207.209.48.255', 3486593024, 3486593279, 'NL', 'Netherlands'),
(143625, '207.209.49.0', '207.209.50.255', 3486593280, 3486593791, 'DE', 'Germany'),
(143626, '207.209.51.0', '207.209.51.255', 3486593792, 3486594047, 'FR', 'France'),
(143627, '207.209.52.0', '207.209.52.255', 3486594048, 3486594303, 'DE', 'Germany'),
(143628, '207.209.53.0', '207.209.53.255', 3486594304, 3486594559, 'BE', 'Belgium'),
(143629, '207.209.54.0', '207.209.54.159', 3486594560, 3486594719, 'US', 'United States'),
(143630, '207.209.54.160', '207.209.54.191', 3486594720, 3486594751, 'LU', 'Luxembourg'),
(143631, '207.209.54.192', '207.209.54.223', 3486594752, 3486594783, 'GB', 'United Kingdom'),
(143632, '207.209.54.224', '207.209.54.255', 3486594784, 3486594815, 'US', 'United States'),
(143633, '207.209.55.0', '207.209.55.127', 3486594816, 3486594943, 'AR', 'Argentina'),
(143634, '207.209.55.128', '207.209.55.255', 3486594944, 3486595071, 'US', 'United States'),
(143635, '207.209.56.0', '207.209.56.255', 3486595072, 3486595327, 'DK', 'Denmark'),
(143636, '207.209.57.0', '207.209.57.255', 3486595328, 3486595583, 'ID', 'Indonesia'),
(143637, '207.209.58.0', '207.209.58.255', 3486595584, 3486595839, 'PR', 'Puerto Rico'),
(143638, '207.209.59.0', '207.209.59.255', 3486595840, 3486596095, 'DK', 'Denmark'),
(143639, '207.209.60.0', '207.209.60.255', 3486596096, 3486596351, 'NL', 'Netherlands'),
(143640, '207.209.61.0', '207.209.61.255', 3486596352, 3486596607, 'NO', 'Norway'),
(143641, '207.209.62.0', '207.209.62.127', 3486596608, 3486596735, 'US', 'United States'),
(143642, '207.209.62.128', '207.209.62.191', 3486596736, 3486596799, 'CH', 'Switzerland'),
(143643, '207.209.62.192', '207.209.62.255', 3486596800, 3486596863, 'FR', 'France'),
(143644, '207.209.63.0', '207.209.63.255', 3486596864, 3486597119, 'GB', 'United Kingdom'),
(143645, '207.209.64.0', '207.209.64.255', 3486597120, 3486597375, 'IE', 'Ireland'),
(143646, '207.209.65.0', '207.209.65.255', 3486597376, 3486597631, 'IT', 'Italy'),
(143647, '207.209.66.0', '207.209.66.255', 3486597632, 3486597887, 'GB', 'United Kingdom'),
(143648, '207.209.67.0', '207.209.69.191', 3486597888, 3486598591, 'US', 'United States'),
(143649, '207.209.69.192', '207.209.69.255', 3486598592, 3486598655, 'FR', 'France'),
(143650, '207.209.70.0', '207.209.70.255', 3486598656, 3486598911, 'BR', 'Brazil'),
(143651, '207.209.71.0', '207.209.71.255', 3486598912, 3486599167, 'NO', 'Norway'),
(143652, '207.209.72.0', '207.209.72.255', 3486599168, 3486599423, 'SE', 'Sweden'),
(143653, '207.209.73.0', '207.209.73.255', 3486599424, 3486599679, 'BR', 'Brazil'),
(143654, '207.209.74.0', '207.209.74.255', 3486599680, 3486599935, 'US', 'United States'),
(143655, '207.209.75.0', '207.209.76.255', 3486599936, 3486600447, 'BR', 'Brazil'),
(143656, '207.209.77.0', '207.209.79.255', 3486600448, 3486601215, 'US', 'United States'),
(143657, '207.209.80.0', '207.209.80.255', 3486601216, 3486601471, 'BE', 'Belgium'),
(143658, '207.209.81.0', '207.209.81.63', 3486601472, 3486601535, 'TR', 'Turkey'),
(143659, '207.209.81.64', '207.209.81.255', 3486601536, 3486601727, 'US', 'United States'),
(143660, '207.209.82.0', '207.209.82.255', 3486601728, 3486601983, 'BE', 'Belgium'),
(143661, '207.209.83.0', '207.209.83.255', 3486601984, 3486602239, 'NZ', 'New Zealand'),
(143662, '207.209.84.0', '207.209.84.191', 3486602240, 3486602431, 'US', 'United States'),
(143663, '207.209.84.192', '207.209.84.255', 3486602432, 3486602495, 'CO', 'Colombia'),
(143664, '207.209.85.0', '207.209.86.255', 3486602496, 3486603007, 'US', 'United States'),
(143665, '207.209.87.0', '207.209.87.255', 3486603008, 3486603263, 'SG', 'Singapore'),
(143666, '207.209.88.0', '207.209.88.31', 3486603264, 3486603295, 'US', 'United States'),
(143667, '207.209.88.32', '207.209.88.63', 3486603296, 3486603327, 'BR', 'Brazil'),
(143668, '207.209.88.64', '207.209.88.127', 3486603328, 3486603391, 'CL', 'Chile'),
(143669, '207.209.88.128', '207.209.88.143', 3486603392, 3486603407, 'US', 'United States'),
(143670, '207.209.88.144', '207.209.88.159', 3486603408, 3486603423, 'AR', 'Argentina'),
(143671, '207.209.88.160', '207.209.88.191', 3486603424, 3486603455, 'US', 'United States'),
(143672, '207.209.88.192', '207.209.88.255', 3486603456, 3486603519, 'AR', 'Argentina'),
(143673, '207.209.89.0', '207.209.89.255', 3486603520, 3486603775, 'JP', 'Japan'),
(143674, '207.209.90.0', '207.209.91.255', 3486603776, 3486604287, 'US', 'United States'),
(143675, '207.209.92.0', '207.209.92.255', 3486604288, 3486604543, 'BE', 'Belgium'),
(143676, '207.209.93.0', '207.209.93.31', 3486604544, 3486604575, 'US', 'United States'),
(143677, '207.209.93.32', '207.209.93.63', 3486604576, 3486604607, 'SG', 'Singapore'),
(143678, '207.209.93.64', '207.209.93.71', 3486604608, 3486604615, 'MY', 'Malaysia'),
(143679, '207.209.93.72', '207.209.93.127', 3486604616, 3486604671, 'US', 'United States'),
(143680, '207.209.93.128', '207.209.93.191', 3486604672, 3486604735, 'CO', 'Colombia'),
(143681, '207.209.93.192', '207.209.94.255', 3486604736, 3486605055, 'US', 'United States'),
(143682, '207.209.95.0', '207.209.95.255', 3486605056, 3486605311, 'ES', 'Spain'),
(143683, '207.209.96.0', '207.209.96.255', 3486605312, 3486605567, 'NL', 'Netherlands'),
(143684, '207.209.97.0', '207.209.98.255', 3486605568, 3486606079, 'US', 'United States'),
(143685, '207.209.99.0', '207.209.99.255', 3486606080, 3486606335, 'MY', 'Malaysia'),
(143686, '207.209.100.0', '207.209.100.255', 3486606336, 3486606591, 'US', 'United States'),
(143687, '207.209.101.0', '207.209.101.255', 3486606592, 3486606847, 'FI', 'Finland'),
(143688, '207.209.102.0', '207.209.103.255', 3486606848, 3486607359, 'US', 'United States'),
(143689, '207.209.104.0', '207.209.104.255', 3486607360, 3486607615, 'JP', 'Japan'),
(143690, '207.209.105.0', '207.209.105.255', 3486607616, 3486607871, 'US', 'United States'),
(143691, '207.209.106.0', '207.209.106.255', 3486607872, 3486608127, 'PH', 'Philippines'),
(143692, '207.209.107.0', '207.209.107.255', 3486608128, 3486608383, 'GB', 'United Kingdom'),
(143693, '207.209.108.0', '207.209.110.255', 3486608384, 3486609151, 'US', 'United States'),
(143694, '207.209.111.0', '207.209.112.255', 3486609152, 3486609663, 'HK', 'Hong Kong'),
(143695, '207.209.113.0', '207.209.113.255', 3486609664, 3486609919, 'AU', 'Australia'),
(143696, '207.209.114.0', '207.209.114.255', 3486609920, 3486610175, 'SG', 'Singapore'),
(143697, '207.209.115.0', '207.209.115.255', 3486610176, 3486610431, 'US', 'United States'),
(143698, '207.209.116.0', '207.209.116.255', 3486610432, 3486610687, 'SE', 'Sweden'),
(143699, '207.209.117.0', '207.209.117.255', 3486610688, 3486610943, 'NL', 'Netherlands'),
(143700, '207.209.118.0', '207.209.118.255', 3486610944, 3486611199, 'US', 'United States'),
(143701, '207.209.119.0', '207.209.119.15', 3486611200, 3486611215, 'BR', 'Brazil'),
(143702, '207.209.119.16', '207.209.119.255', 3486611216, 3486611455, 'US', 'United States'),
(143703, '207.209.120.0', '207.209.120.255', 3486611456, 3486611711, 'SG', 'Singapore'),
(143704, '207.209.121.0', '207.209.121.63', 3486611712, 3486611775, 'EC', 'Ecuador'),
(143705, '207.209.121.64', '207.209.121.255', 3486611776, 3486611967, 'US', 'United States'),
(143706, '207.209.122.0', '207.209.122.255', 3486611968, 3486612223, 'HK', 'Hong Kong'),
(143707, '207.209.123.0', '207.209.123.255', 3486612224, 3486612479, 'SG', 'Singapore'),
(143708, '207.209.124.0', '207.209.124.127', 3486612480, 3486612607, 'US', 'United States'),
(143709, '207.209.124.128', '207.209.124.255', 3486612608, 3486612735, 'FR', 'France'),
(143710, '207.209.125.0', '207.209.125.255', 3486612736, 3486612991, 'DE', 'Germany'),
(143711, '207.209.126.0', '207.209.126.255', 3486612992, 3486613247, 'US', 'United States'),
(143712, '207.209.127.0', '207.209.128.255', 3486613248, 3486613759, 'GB', 'United Kingdom'),
(143713, '207.209.129.0', '207.209.129.255', 3486613760, 3486614015, 'ES', 'Spain'),
(143714, '207.209.130.0', '207.209.130.255', 3486614016, 3486614271, 'US', 'United States'),
(143715, '207.209.131.0', '207.209.131.255', 3486614272, 3486614527, 'GB', 'United Kingdom'),
(143716, '207.209.132.0', '207.209.132.255', 3486614528, 3486614783, 'US', 'United States'),
(143717, '207.209.133.0', '207.209.133.255', 3486614784, 3486615039, 'FR', 'France'),
(143718, '207.209.134.0', '207.209.134.255', 3486615040, 3486615295, 'BE', 'Belgium'),
(143719, '207.209.135.0', '207.209.135.255', 3486615296, 3486615551, 'PH', 'Philippines'),
(143720, '207.209.136.0', '207.209.137.63', 3486615552, 3486615871, 'US', 'United States'),
(143721, '207.209.137.64', '207.209.137.95', 3486615872, 3486615903, 'LU', 'Luxembourg'),
(143722, '207.209.137.96', '207.209.137.127', 3486615904, 3486615935, 'US', 'United States'),
(143723, '207.209.137.128', '207.209.137.159', 3486615936, 3486615967, 'CH', 'Switzerland'),
(143724, '207.209.137.160', '207.209.138.255', 3486615968, 3486616319, 'US', 'United States'),
(143725, '207.209.139.0', '207.209.140.255', 3486616320, 3486616831, 'NO', 'Norway'),
(143726, '207.209.141.0', '207.209.142.127', 3486616832, 3486617215, 'US', 'United States'),
(143727, '207.209.142.128', '207.209.142.255', 3486617216, 3486617343, 'SE', 'Sweden'),
(143728, '207.209.143.0', '207.209.143.255', 3486617344, 3486617599, 'US', 'United States'),
(143729, '207.209.144.0', '207.209.144.255', 3486617600, 3486617855, 'CH', 'Switzerland'),
(143730, '207.209.145.0', '207.209.145.255', 3486617856, 3486618111, 'AU', 'Australia'),
(143731, '207.209.146.0', '207.209.146.255', 3486618112, 3486618367, 'NO', 'Norway'),
(143732, '207.209.147.0', '207.209.147.255', 3486618368, 3486618623, 'ES', 'Spain'),
(143733, '207.209.148.0', '207.209.148.255', 3486618624, 3486618879, 'BE', 'Belgium'),
(143734, '207.209.149.0', '207.209.149.255', 3486618880, 3486619135, 'FR', 'France'),
(143735, '207.209.150.0', '207.209.150.255', 3486619136, 3486619391, 'SG', 'Singapore'),
(143736, '207.209.151.0', '207.209.151.255', 3486619392, 3486619647, 'BE', 'Belgium'),
(143737, '207.209.152.0', '207.209.152.255', 3486619648, 3486619903, 'CA', 'Canada'),
(143738, '207.209.153.0', '207.209.153.255', 3486619904, 3486620159, 'US', 'United States'),
(143739, '207.209.154.0', '207.209.154.255', 3486620160, 3486620415, 'SE', 'Sweden'),
(143740, '207.209.155.0', '207.209.155.255', 3486620416, 3486620671, 'HK', 'Hong Kong'),
(143741, '207.209.156.0', '207.209.156.255', 3486620672, 3486620927, 'US', 'United States'),
(143742, '207.209.157.0', '207.209.157.255', 3486620928, 3486621183, 'NL', 'Netherlands'),
(143743, '207.209.158.0', '207.209.158.255', 3486621184, 3486621439, 'US', 'United States'),
(143744, '207.209.159.0', '207.209.159.255', 3486621440, 3486621695, 'NL', 'Netherlands'),
(143745, '207.209.160.0', '207.209.160.255', 3486621696, 3486621951, 'FI', 'Finland'),
(143746, '207.209.161.0', '207.209.161.255', 3486621952, 3486622207, 'ES', 'Spain'),
(143747, '207.209.162.0', '207.209.162.255', 3486622208, 3486622463, 'ZA', 'South Africa'),
(143748, '207.209.163.0', '207.209.163.255', 3486622464, 3486622719, 'GB', 'United Kingdom'),
(143749, '207.209.164.0', '207.209.164.255', 3486622720, 3486622975, 'MX', 'Mexico'),
(143750, '207.209.165.0', '207.209.165.255', 3486622976, 3486623231, 'DE', 'Germany'),
(143751, '207.209.166.0', '207.209.166.255', 3486623232, 3486623487, 'JP', 'Japan'),
(143752, '207.209.167.0', '207.209.167.255', 3486623488, 3486623743, 'DE', 'Germany'),
(143753, '207.209.168.0', '207.209.168.255', 3486623744, 3486623999, 'US', 'United States'),
(143754, '207.209.169.0', '207.209.169.255', 3486624000, 3486624255, 'PH', 'Philippines'),
(143755, '207.209.170.0', '207.209.170.255', 3486624256, 3486624511, 'SG', 'Singapore'),
(143756, '207.209.171.0', '207.209.171.255', 3486624512, 3486624767, 'SE', 'Sweden'),
(143757, '207.209.172.0', '207.209.172.255', 3486624768, 3486625023, 'ES', 'Spain'),
(143758, '207.209.173.0', '207.209.173.31', 3486625024, 3486625055, 'US', 'United States'),
(143759, '207.209.173.32', '207.209.173.63', 3486625056, 3486625087, 'MX', 'Mexico'),
(143760, '207.209.173.64', '207.209.173.127', 3486625088, 3486625151, 'US', 'United States'),
(143761, '207.209.173.128', '207.209.173.159', 3486625152, 3486625183, 'MX', 'Mexico'),
(143762, '207.209.173.160', '207.209.173.255', 3486625184, 3486625279, 'US', 'United States'),
(143763, '207.209.174.0', '207.209.174.255', 3486625280, 3486625535, 'SE', 'Sweden'),
(143764, '207.209.175.0', '207.209.175.255', 3486625536, 3486625791, 'NO', 'Norway'),
(143765, '207.209.176.0', '207.209.176.255', 3486625792, 3486626047, 'NL', 'Netherlands'),
(143766, '207.209.177.0', '207.209.177.255', 3486626048, 3486626303, 'FI', 'Finland'),
(143767, '207.209.178.0', '207.209.178.255', 3486626304, 3486626559, 'IL', 'Israel'),
(143768, '207.209.179.0', '207.209.179.7', 3486626560, 3486626567, 'CH', 'Switzerland'),
(143769, '207.209.179.8', '207.209.179.31', 3486626568, 3486626591, 'US', 'United States'),
(143770, '207.209.179.32', '207.209.179.63', 3486626592, 3486626623, 'FI', 'Finland'),
(143771, '207.209.179.64', '207.209.180.255', 3486626624, 3486627071, 'US', 'United States'),
(143772, '207.209.181.0', '207.209.181.255', 3486627072, 3486627327, 'JP', 'Japan'),
(143773, '207.209.182.0', '207.209.182.255', 3486627328, 3486627583, 'US', 'United States'),
(143774, '207.209.183.0', '207.209.183.255', 3486627584, 3486627839, 'BE', 'Belgium'),
(143775, '207.209.184.0', '207.209.184.255', 3486627840, 3486628095, 'BW', 'Botswana'),
(143776, '207.209.185.0', '207.209.185.255', 3486628096, 3486628351, 'ZA', 'South Africa'),
(143777, '207.209.186.0', '207.209.186.255', 3486628352, 3486628607, 'US', 'United States'),
(143778, '207.209.187.0', '207.209.187.255', 3486628608, 3486628863, 'NO', 'Norway'),
(143779, '207.209.188.0', '207.209.189.255', 3486628864, 3486629375, 'PT', 'Portugal'),
(143780, '207.209.190.0', '207.209.190.255', 3486629376, 3486629631, 'US', 'United States'),
(143781, '207.209.191.0', '207.209.191.255', 3486629632, 3486629887, 'CL', 'Chile'),
(143782, '207.209.192.0', '207.209.192.255', 3486629888, 3486630143, 'SE', 'Sweden'),
(143783, '207.209.193.0', '207.209.198.255', 3486630144, 3486631679, 'JP', 'Japan'),
(143784, '207.209.199.0', '207.209.199.255', 3486631680, 3486631935, 'ID', 'Indonesia'),
(143785, '207.209.200.0', '207.209.201.255', 3486631936, 3486632447, 'JP', 'Japan'),
(143786, '207.209.202.0', '207.209.202.255', 3486632448, 3486632703, 'US', 'United States'),
(143787, '207.209.203.0', '207.209.203.255', 3486632704, 3486632959, 'JP', 'Japan'),
(143788, '207.209.204.0', '207.209.204.255', 3486632960, 3486633215, 'IT', 'Italy'),
(143789, '207.209.205.0', '207.209.205.255', 3486633216, 3486633471, 'GB', 'United Kingdom'),
(143790, '207.209.206.0', '207.209.206.127', 3486633472, 3486633599, 'US', 'United States'),
(143791, '207.209.206.128', '207.209.206.255', 3486633600, 3486633727, 'CN', 'China'),
(143792, '207.209.207.0', '207.209.207.255', 3486633728, 3486633983, 'US', 'United States'),
(143793, '207.209.208.0', '207.209.208.255', 3486633984, 3486634239, 'HK', 'Hong Kong'),
(143794, '207.209.209.0', '207.209.209.255', 3486634240, 3486634495, 'US', 'United States'),
(143795, '207.209.210.0', '207.209.210.255', 3486634496, 3486634751, 'KR', 'Korea, Republic of'),
(143796, '207.209.211.0', '207.209.211.255', 3486634752, 3486635007, 'CH', 'Switzerland'),
(143797, '207.209.212.0', '207.209.212.255', 3486635008, 3486635263, 'DK', 'Denmark'),
(143798, '207.209.213.0', '207.209.213.255', 3486635264, 3486635519, 'FR', 'France'),
(143799, '207.209.214.0', '207.209.214.255', 3486635520, 3486635775, 'ES', 'Spain'),
(143800, '207.209.215.0', '207.209.215.255', 3486635776, 3486636031, 'IL', 'Israel'),
(143801, '207.209.216.0', '207.209.216.255', 3486636032, 3486636287, 'ES', 'Spain'),
(143802, '207.209.217.0', '207.209.217.255', 3486636288, 3486636543, 'NL', 'Netherlands'),
(143803, '207.209.218.0', '207.209.218.255', 3486636544, 3486636799, 'TW', 'Taiwan'),
(143804, '207.209.219.0', '207.209.219.255', 3486636800, 3486637055, 'DE', 'Germany'),
(143805, '207.209.220.0', '207.209.220.255', 3486637056, 3486637311, 'US', 'United States'),
(143806, '207.209.221.0', '207.209.222.255', 3486637312, 3486637823, 'BE', 'Belgium'),
(143807, '207.209.223.0', '207.209.224.255', 3486637824, 3486638335, 'SE', 'Sweden'),
(143808, '207.209.225.0', '207.209.225.255', 3486638336, 3486638591, 'FR', 'France'),
(143809, '207.209.226.0', '207.209.226.31', 3486638592, 3486638623, 'US', 'United States'),
(143810, '207.209.226.32', '207.209.226.47', 3486638624, 3486638639, 'CN', 'China'),
(143811, '207.209.226.48', '207.209.226.255', 3486638640, 3486638847, 'US', 'United States'),
(143812, '207.209.227.0', '207.209.227.255', 3486638848, 3486639103, 'DK', 'Denmark'),
(143813, '207.209.228.0', '207.209.228.255', 3486639104, 3486639359, 'BE', 'Belgium'),
(143814, '207.209.229.0', '207.209.229.255', 3486639360, 3486639615, 'SG', 'Singapore'),
(143815, '207.209.230.0', '207.209.231.255', 3486639616, 3486640127, 'US', 'United States'),
(143816, '207.209.232.0', '207.209.232.255', 3486640128, 3486640383, 'BE', 'Belgium'),
(143817, '207.209.233.0', '207.209.233.255', 3486640384, 3486640639, 'GB', 'United Kingdom'),
(143818, '207.209.234.0', '207.209.239.255', 3486640640, 3486642175, 'US', 'United States'),
(143819, '207.209.240.0', '207.209.240.255', 3486642176, 3486642431, 'BR', 'Brazil'),
(143820, '207.209.241.0', '207.209.241.255', 3486642432, 3486642687, 'PT', 'Portugal'),
(143821, '207.209.242.0', '207.209.242.255', 3486642688, 3486642943, 'DK', 'Denmark'),
(143822, '207.209.243.0', '207.209.254.255', 3486642944, 3486646015, 'US', 'United States'),
(143823, '207.209.255.0', '207.209.255.127', 3486646016, 3486646143, 'JP', 'Japan'),
(143824, '207.209.255.128', '207.209.255.255', 3486646144, 3486646271, 'US', 'United States'),
(143825, '207.210.0.0', '207.210.63.255', 3486646272, 3486662655, 'CA', 'Canada'),
(143826, '207.210.64.0', '207.210.120.63', 3486662656, 3486677055, 'US', 'United States'),
(143827, '207.210.120.64', '207.210.120.79', 3486677056, 3486677071, 'CA', 'Canada'),
(143828, '207.210.120.80', '207.210.163.255', 3486677072, 3486688255, 'US', 'United States'),
(143829, '207.210.164.0', '207.210.164.255', 3486688256, 3486688511, 'GB', 'United Kingdom'),
(143830, '207.210.165.0', '207.210.207.255', 3486688512, 3486699519, 'US', 'United States'),
(143831, '207.210.208.0', '207.210.208.255', 3486699520, 3486699775, 'CA', 'Canada'),
(143832, '207.210.209.0', '207.210.211.111', 3486699776, 3486700399, 'US', 'United States'),
(143833, '207.210.211.112', '207.210.211.119', 3486700400, 3486700407, 'CA', 'Canada'),
(143834, '207.210.211.120', '207.210.211.151', 3486700408, 3486700439, 'US', 'United States'),
(143835, '207.210.211.152', '207.210.211.159', 3486700440, 3486700447, 'IT', 'Italy'),
(143836, '207.210.211.160', '207.210.214.255', 3486700448, 3486701311, 'US', 'United States'),
(143837, '207.210.215.0', '207.210.215.255', 3486701312, 3486701567, 'CA', 'Canada'),
(143838, '207.210.216.0', '207.210.239.63', 3486701568, 3486707519, 'US', 'United States'),
(143839, '207.210.239.64', '207.210.239.79', 3486707520, 3486707535, 'SE', 'Sweden'),
(143840, '207.210.239.80', '207.210.239.103', 3486707536, 3486707559, 'US', 'United States'),
(143841, '207.210.239.104', '207.210.239.111', 3486707560, 3486707567, 'HN', 'Honduras'),
(143842, '207.210.239.112', '207.210.254.255', 3486707568, 3486711551, 'US', 'United States'),
(143843, '207.210.255.0', '207.210.255.255', 3486711552, 3486711807, 'CA', 'Canada'),
(143844, '207.211.0.0', '207.215.255.255', 3486711808, 3487039487, 'US', 'United States'),
(143845, '207.216.0.0', '207.216.255.255', 3487039488, 3487105023, 'CA', 'Canada'),
(143846, '207.217.0.0', '207.218.42.47', 3487105024, 3487181359, 'US', 'United States'),
(143847, '207.218.42.48', '207.218.42.63', 3487181360, 3487181375, 'GB', 'United Kingdom'),
(143848, '207.218.42.64', '207.218.72.255', 3487181376, 3487189247, 'US', 'United States'),
(143849, '207.218.73.0', '207.218.73.255', 3487189248, 3487189503, 'DK', 'Denmark'),
(143850, '207.218.74.0', '207.218.103.255', 3487189504, 3487197183, 'US', 'United States'),
(143851, '207.218.104.0', '207.218.104.255', 3487197184, 3487197439, 'DK', 'Denmark'),
(143852, '207.218.105.0', '207.218.178.255', 3487197440, 3487216383, 'US', 'United States'),
(143853, '207.218.179.0', '207.218.179.255', 3487216384, 3487216639, 'SE', 'Sweden'),
(143854, '207.218.180.0', '207.218.255.255', 3487216640, 3487236095, 'US', 'United States'),
(143855, '207.219.0.0', '207.219.7.135', 3487236096, 3487238023, 'CA', 'Canada'),
(143856, '207.219.7.136', '207.219.7.136', 3487238024, 3487238024, 'A1', 'Anonymous Proxy'),
(143857, '207.219.7.137', '207.219.255.255', 3487238025, 3487301631, 'CA', 'Canada'),
(143858, '207.220.0.0', '207.223.35.127', 3487301632, 3487507327, 'US', 'United States'),
(143859, '207.223.35.128', '207.223.35.135', 3487507328, 3487507335, 'CA', 'Canada'),
(143860, '207.223.35.136', '207.223.35.143', 3487507336, 3487507343, 'US', 'United States'),
(143861, '207.223.35.144', '207.223.35.159', 3487507344, 3487507359, 'CA', 'Canada'),
(143862, '207.223.35.160', '207.223.35.175', 3487507360, 3487507375, 'US', 'United States'),
(143863, '207.223.35.176', '207.223.35.191', 3487507376, 3487507391, 'CA', 'Canada'),
(143864, '207.223.35.192', '207.223.240.39', 3487507392, 3487559719, 'US', 'United States'),
(143865, '207.223.240.40', '207.223.240.47', 3487559720, 3487559727, 'AU', 'Australia'),
(143866, '207.223.240.48', '207.223.240.159', 3487559728, 3487559839, 'US', 'United States'),
(143867, '207.223.240.160', '207.223.240.191', 3487559840, 3487559871, 'AU', 'Australia'),
(143868, '207.223.240.192', '207.223.241.231', 3487559872, 3487560167, 'US', 'United States'),
(143869, '207.223.241.232', '207.223.241.247', 3487560168, 3487560183, 'AU', 'Australia'),
(143870, '207.223.241.248', '207.223.246.255', 3487560184, 3487561471, 'US', 'United States'),
(143871, '207.223.247.0', '207.223.247.255', 3487561472, 3487561727, 'AU', 'Australia'),
(143872, '207.223.248.0', '207.226.31.255', 3487561728, 3487703039, 'US', 'United States'),
(143873, '207.226.32.0', '207.226.32.33', 3487703040, 3487703073, 'DE', 'Germany'),
(143874, '207.226.32.34', '207.226.32.34', 3487703074, 3487703074, 'A2', 'Satellite Provider'),
(143875, '207.226.32.35', '207.226.39.17', 3487703075, 3487704849, 'DE', 'Germany'),
(143876, '207.226.39.18', '207.226.39.18', 3487704850, 3487704850, 'NG', 'Nigeria'),
(143877, '207.226.39.19', '207.226.39.19', 3487704851, 3487704851, 'DE', 'Germany'),
(143878, '207.226.39.20', '207.226.39.21', 3487704852, 3487704853, 'NG', 'Nigeria'),
(143879, '207.226.39.22', '207.226.42.255', 3487704854, 3487705855, 'DE', 'Germany'),
(143880, '207.226.43.0', '207.226.44.255', 3487705856, 3487706367, 'A2', 'Satellite Provider'),
(143881, '207.226.45.0', '207.226.45.255', 3487706368, 3487706623, 'RU', 'Russian Federation'),
(143882, '207.226.46.0', '207.226.47.255', 3487706624, 3487707135, 'A2', 'Satellite Provider'),
(143883, '207.226.48.0', '207.226.119.255', 3487707136, 3487725567, 'US', 'United States'),
(143884, '207.226.120.0', '207.226.127.255', 3487725568, 3487727615, 'TW', 'Taiwan'),
(143885, '207.226.128.0', '207.227.23.255', 3487727616, 3487766527, 'US', 'United States'),
(143886, '207.227.24.0', '207.227.31.255', 3487766528, 3487768575, 'CA', 'Canada'),
(143887, '207.227.32.0', '207.228.63.255', 3487768576, 3487842303, 'US', 'United States'),
(143888, '207.228.64.0', '207.228.127.255', 3487842304, 3487858687, 'CA', 'Canada'),
(143889, '207.228.128.0', '207.228.129.255', 3487858688, 3487859199, 'KY', 'Cayman Islands'),
(143890, '207.228.130.0', '207.228.139.255', 3487859200, 3487861759, 'BM', 'Bermuda'),
(143891, '207.228.140.0', '207.228.140.255', 3487861760, 3487862015, 'KY', 'Cayman Islands'),
(143892, '207.228.141.0', '207.228.191.255', 3487862016, 3487875071, 'BM', 'Bermuda'),
(143893, '207.228.192.0', '207.228.255.255', 3487875072, 3487891455, 'US', 'United States'),
(143894, '207.229.0.0', '207.229.63.255', 3487891456, 3487907839, 'CA', 'Canada'),
(143895, '207.229.64.0', '207.229.83.255', 3487907840, 3487912959, 'US', 'United States'),
(143896, '207.229.84.0', '207.229.84.255', 3487912960, 3487913215, 'CA', 'Canada'),
(143897, '207.229.85.0', '207.230.49.255', 3487913216, 3487969791, 'US', 'United States'),
(143898, '207.230.50.0', '207.230.50.255', 3487969792, 3487970047, 'KW', 'Kuwait'),
(143899, '207.230.51.0', '207.230.223.255', 3487970048, 3488014335, 'US', 'United States'),
(143900, '207.230.224.0', '207.230.255.255', 3488014336, 3488022527, 'CA', 'Canada'),
(143901, '207.231.0.0', '207.231.191.255', 3488022528, 3488071679, 'US', 'United States'),
(143902, '207.231.192.0', '207.231.195.255', 3488071680, 3488072703, 'CA', 'Canada'),
(143903, '207.231.196.0', '207.231.223.255', 3488072704, 3488079871, 'US', 'United States'),
(143904, '207.231.224.0', '207.231.239.255', 3488079872, 3488083967, 'CA', 'Canada'),
(143905, '207.231.240.0', '207.231.255.255', 3488083968, 3488088063, 'US', 'United States'),
(143906, '207.232.0.0', '207.232.63.255', 3488088064, 3488104447, 'IL', 'Israel'),
(143907, '207.232.64.0', '207.232.95.255', 3488104448, 3488112639, 'US', 'United States'),
(143908, '207.232.96.0', '207.232.100.175', 3488112640, 3488113839, 'CA', 'Canada'),
(143909, '207.232.100.176', '207.232.100.183', 3488113840, 3488113847, 'US', 'United States'),
(143910, '207.232.100.184', '207.232.112.127', 3488113848, 3488116863, 'CA', 'Canada'),
(143911, '207.232.112.128', '207.232.112.135', 3488116864, 3488116871, 'US', 'United States'),
(143912, '207.232.112.136', '207.232.119.31', 3488116872, 3488118559, 'CA', 'Canada'),
(143913, '207.232.119.32', '207.232.119.39', 3488118560, 3488118567, 'US', 'United States'),
(143914, '207.232.119.40', '207.232.127.255', 3488118568, 3488120831, 'CA', 'Canada'),
(143915, '207.232.128.0', '207.235.60.255', 3488120832, 3488300287, 'US', 'United States'),
(143916, '207.235.61.0', '207.235.61.255', 3488300288, 3488300543, 'A2', 'Satellite Provider'),
(143917, '207.235.62.0', '207.235.255.255', 3488300544, 3488350207, 'US', 'United States'),
(143918, '207.236.0.0', '207.236.42.255', 3488350208, 3488361215, 'CA', 'Canada'),
(143919, '207.236.43.0', '207.236.43.255', 3488361216, 3488361471, 'US', 'United States'),
(143920, '207.236.44.0', '207.236.255.255', 3488361472, 3488415743, 'CA', 'Canada'),
(143921, '207.237.0.0', '207.240.13.255', 3488415744, 3488615935, 'US', 'United States'),
(143922, '207.240.14.0', '207.240.14.255', 3488615936, 3488616191, 'AU', 'Australia'),
(143923, '207.240.15.0', '207.241.159.255', 3488616192, 3488718847, 'US', 'United States'),
(143924, '207.241.160.0', '207.241.162.255', 3488718848, 3488719615, 'A2', 'Satellite Provider'),
(143925, '207.241.163.0', '207.241.163.255', 3488719616, 3488719871, 'US', 'United States'),
(143926, '207.241.164.0', '207.241.164.127', 3488719872, 3488719999, 'A2', 'Satellite Provider'),
(143927, '207.241.164.128', '207.241.164.191', 3488720000, 3488720063, 'US', 'United States'),
(143928, '207.241.164.192', '207.241.164.223', 3488720064, 3488720095, 'BG', 'Bulgaria'),
(143929, '207.241.164.224', '207.241.164.239', 3488720096, 3488720111, 'BY', 'Belarus'),
(143930, '207.241.164.240', '207.241.166.255', 3488720112, 3488720639, 'A2', 'Satellite Provider'),
(143931, '207.241.167.0', '207.241.167.255', 3488720640, 3488720895, 'US', 'United States'),
(143932, '207.241.168.0', '207.241.168.255', 3488720896, 3488721151, 'AL', 'Albania'),
(143933, '207.241.169.0', '207.241.169.255', 3488721152, 3488721407, 'A2', 'Satellite Provider'),
(143934, '207.241.170.0', '207.241.172.255', 3488721408, 3488722175, 'BA', 'Bosnia and Herzegovina'),
(143935, '207.241.173.0', '207.241.173.255', 3488722176, 3488722431, 'RO', 'Romania'),
(143936, '207.241.174.0', '207.241.174.255', 3488722432, 3488722687, 'AL', 'Albania'),
(143937, '207.241.175.0', '207.241.176.255', 3488722688, 3488723199, 'JM', 'Jamaica'),
(143938, '207.241.177.0', '207.241.191.255', 3488723200, 3488727039, 'A2', 'Satellite Provider'),
(143939, '207.241.192.0', '207.244.106.255', 3488727040, 3488901887, 'US', 'United States'),
(143940, '207.244.107.0', '207.244.107.255', 3488901888, 3488902143, 'CA', 'Canada'),
(143941, '207.244.108.0', '207.244.255.255', 3488902144, 3488940031, 'US', 'United States'),
(143942, '207.245.0.0', '207.245.63.255', 3488940032, 3488956415, 'CA', 'Canada'),
(143943, '207.245.64.0', '207.245.191.255', 3488956416, 3488989183, 'US', 'United States'),
(143944, '207.245.192.0', '207.245.255.255', 3488989184, 3489005567, 'CA', 'Canada'),
(143945, '207.246.0.0', '207.247.255.255', 3489005568, 3489136639, 'US', 'United States'),
(143946, '207.248.0.0', '207.249.255.255', 3489136640, 3489267711, 'MX', 'Mexico'),
(143947, '207.250.0.0', '207.251.31.255', 3489267712, 3489341439, 'US', 'United States'),
(143948, '207.251.32.0', '207.251.47.255', 3489341440, 3489345535, 'CA', 'Canada'),
(143949, '207.251.48.0', '207.251.255.255', 3489345536, 3489398783, 'US', 'United States'),
(143950, '207.252.0.0', '207.252.0.255', 3489398784, 3489399039, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(143951, '207.252.1.0', '207.252.255.255', 3489399040, 3489464319, 'US', 'United States'),
(143952, '207.253.0.0', '207.253.255.255', 3489464320, 3489529855, 'CA', 'Canada'),
(143953, '207.254.0.0', '207.254.127.255', 3489529856, 3489562623, 'US', 'United States'),
(143954, '207.254.128.0', '207.254.143.255', 3489562624, 3489566719, 'JM', 'Jamaica'),
(143955, '207.254.144.0', '207.254.177.255', 3489566720, 3489575423, 'US', 'United States'),
(143956, '207.254.178.0', '207.254.178.127', 3489575424, 3489575551, 'CN', 'China'),
(143957, '207.254.178.128', '207.254.178.255', 3489575552, 3489575679, 'US', 'United States'),
(143958, '207.254.179.0', '207.254.179.127', 3489575680, 3489575807, 'CN', 'China'),
(143959, '207.254.179.128', '207.254.179.255', 3489575808, 3489575935, 'US', 'United States'),
(143960, '207.254.180.0', '207.254.184.48', 3489575936, 3489577008, 'CN', 'China'),
(143961, '207.254.184.49', '207.254.184.255', 3489577009, 3489577215, 'US', 'United States'),
(143962, '207.254.185.0', '207.254.188.255', 3489577216, 3489578239, 'CN', 'China'),
(143963, '207.254.189.0', '208.0.48.255', 3489578240, 3489673471, 'US', 'United States'),
(143964, '208.0.49.0', '208.0.49.255', 3489673472, 3489673727, 'PR', 'Puerto Rico'),
(143965, '208.0.50.0', '208.0.221.255', 3489673728, 3489717759, 'US', 'United States'),
(143966, '208.0.222.0', '208.0.222.255', 3489717760, 3489718015, 'PR', 'Puerto Rico'),
(143967, '208.0.223.0', '208.0.223.255', 3489718016, 3489718271, 'US', 'United States'),
(143968, '208.0.224.0', '208.0.224.255', 3489718272, 3489718527, 'DM', 'Dominica'),
(143969, '208.0.225.0', '208.0.226.255', 3489718528, 3489719039, 'LC', 'Saint Lucia'),
(143970, '208.0.227.0', '208.0.227.151', 3489719040, 3489719191, 'AG', 'Antigua and Barbuda'),
(143971, '208.0.227.152', '208.0.227.159', 3489719192, 3489719199, 'VG', 'Virgin Islands, British'),
(143972, '208.0.227.160', '208.0.228.255', 3489719200, 3489719551, 'AG', 'Antigua and Barbuda'),
(143973, '208.0.229.0', '208.0.229.255', 3489719552, 3489719807, 'VG', 'Virgin Islands, British'),
(143974, '208.0.230.0', '208.0.230.255', 3489719808, 3489720063, 'DM', 'Dominica'),
(143975, '208.0.231.0', '208.0.231.255', 3489720064, 3489720319, 'LC', 'Saint Lucia'),
(143976, '208.0.232.0', '208.1.47.255', 3489720320, 3489738751, 'US', 'United States'),
(143977, '208.1.48.0', '208.1.55.255', 3489738752, 3489740799, 'PH', 'Philippines'),
(143978, '208.1.56.0', '208.1.59.215', 3489740800, 3489741783, 'US', 'United States'),
(143979, '208.1.59.216', '208.1.59.223', 3489741784, 3489741791, 'CA', 'Canada'),
(143980, '208.1.59.224', '208.1.89.255', 3489741792, 3489749503, 'US', 'United States'),
(143981, '208.1.90.0', '208.1.90.15', 3489749504, 3489749519, 'CA', 'Canada'),
(143982, '208.1.90.16', '208.1.115.215', 3489749520, 3489756119, 'US', 'United States'),
(143983, '208.1.115.216', '208.1.115.223', 3489756120, 3489756127, 'DE', 'Germany'),
(143984, '208.1.115.224', '208.1.137.207', 3489756128, 3489761743, 'US', 'United States'),
(143985, '208.1.137.208', '208.1.137.223', 3489761744, 3489761759, 'CA', 'Canada'),
(143986, '208.1.137.224', '208.1.188.239', 3489761760, 3489774831, 'US', 'United States'),
(143987, '208.1.188.240', '208.1.188.247', 3489774832, 3489774839, 'GB', 'United Kingdom'),
(143988, '208.1.188.248', '208.1.189.255', 3489774840, 3489775103, 'US', 'United States'),
(143989, '208.1.190.0', '208.1.190.255', 3489775104, 3489775359, 'BO', 'Bolivia'),
(143990, '208.1.191.0', '208.4.179.255', 3489775360, 3489969151, 'US', 'United States'),
(143991, '208.4.180.0', '208.4.181.255', 3489969152, 3489969663, 'PR', 'Puerto Rico'),
(143992, '208.4.182.0', '208.5.206.159', 3489969664, 3490041503, 'US', 'United States'),
(143993, '208.5.206.160', '208.5.206.191', 3490041504, 3490041535, 'CA', 'Canada'),
(143994, '208.5.206.192', '208.8.169.255', 3490041536, 3490228735, 'US', 'United States'),
(143995, '208.8.170.0', '208.8.171.255', 3490228736, 3490229247, 'CO', 'Colombia'),
(143996, '208.8.172.0', '208.9.47.255', 3490229248, 3490263039, 'US', 'United States'),
(143997, '208.9.48.0', '208.9.55.255', 3490263040, 3490265087, 'CO', 'Colombia'),
(143998, '208.9.56.0', '208.9.56.255', 3490265088, 3490265343, 'EC', 'Ecuador'),
(143999, '208.9.57.0', '208.9.63.255', 3490265344, 3490267135, 'CO', 'Colombia'),
(144000, '208.9.64.0', '208.12.159.255', 3490267136, 3490488319, 'US', 'United States'),
(144001, '208.12.160.0', '208.12.163.255', 3490488320, 3490489343, 'PR', 'Puerto Rico'),
(144002, '208.12.164.0', '208.15.38.175', 3490489344, 3490653871, 'US', 'United States'),
(144003, '208.15.38.176', '208.15.38.191', 3490653872, 3490653887, 'CA', 'Canada'),
(144004, '208.15.38.192', '208.15.229.255', 3490653888, 3490702847, 'US', 'United States'),
(144005, '208.15.230.0', '208.15.230.255', 3490702848, 3490703103, 'AS', 'American Samoa'),
(144006, '208.15.231.0', '208.15.232.255', 3490703104, 3490703615, 'US', 'United States'),
(144007, '208.15.233.0', '208.15.233.255', 3490703616, 3490703871, 'PR', 'Puerto Rico'),
(144008, '208.15.234.0', '208.16.89.143', 3490703872, 3490732431, 'US', 'United States'),
(144009, '208.16.89.144', '208.16.89.159', 3490732432, 3490732447, 'CA', 'Canada'),
(144010, '208.16.89.160', '208.17.42.255', 3490732448, 3490786047, 'US', 'United States'),
(144011, '208.17.43.0', '208.17.43.255', 3490786048, 3490786303, 'PR', 'Puerto Rico'),
(144012, '208.17.44.0', '208.18.150.255', 3490786304, 3490879231, 'US', 'United States'),
(144013, '208.18.151.0', '208.18.151.255', 3490879232, 3490879487, 'PR', 'Puerto Rico'),
(144014, '208.18.152.0', '208.20.11.255', 3490879488, 3490974719, 'US', 'United States'),
(144015, '208.20.12.0', '208.20.15.255', 3490974720, 3490975743, 'PR', 'Puerto Rico'),
(144016, '208.20.16.0', '208.23.198.239', 3490975744, 3491219183, 'US', 'United States'),
(144017, '208.23.198.240', '208.23.198.247', 3491219184, 3491219191, 'PR', 'Puerto Rico'),
(144018, '208.23.198.248', '208.23.228.63', 3491219192, 3491226687, 'US', 'United States'),
(144019, '208.23.228.64', '208.23.228.95', 3491226688, 3491226719, 'CA', 'Canada'),
(144020, '208.23.228.96', '208.23.248.63', 3491226720, 3491231807, 'US', 'United States'),
(144021, '208.23.248.64', '208.23.248.79', 3491231808, 3491231823, 'PR', 'Puerto Rico'),
(144022, '208.23.248.80', '208.25.203.159', 3491231824, 3491351455, 'US', 'United States'),
(144023, '208.25.203.160', '208.25.203.167', 3491351456, 3491351463, 'HR', 'Croatia'),
(144024, '208.25.203.168', '208.25.229.231', 3491351464, 3491358183, 'US', 'United States'),
(144025, '208.25.229.232', '208.25.229.239', 3491358184, 3491358191, 'PR', 'Puerto Rico'),
(144026, '208.25.229.240', '208.26.63.255', 3491358192, 3491381247, 'US', 'United States'),
(144027, '208.26.64.0', '208.26.95.255', 3491381248, 3491389439, 'BM', 'Bermuda'),
(144028, '208.26.96.0', '208.27.181.255', 3491389440, 3491476991, 'US', 'United States'),
(144029, '208.27.182.0', '208.27.187.255', 3491476992, 3491478527, 'VI', 'Virgin Islands, U.S.'),
(144030, '208.27.188.0', '208.27.188.63', 3491478528, 3491478591, 'US', 'United States'),
(144031, '208.27.188.64', '208.27.188.71', 3491478592, 3491478599, 'PR', 'Puerto Rico'),
(144032, '208.27.188.72', '208.28.41.199', 3491478600, 3491506631, 'US', 'United States'),
(144033, '208.28.41.200', '208.28.41.207', 3491506632, 3491506639, 'DK', 'Denmark'),
(144034, '208.28.41.208', '208.28.47.255', 3491506640, 3491508223, 'US', 'United States'),
(144035, '208.28.48.0', '208.28.63.255', 3491508224, 3491512319, 'CA', 'Canada'),
(144036, '208.28.64.0', '208.30.39.255', 3491512320, 3491637247, 'US', 'United States'),
(144037, '208.30.40.0', '208.30.41.255', 3491637248, 3491637759, 'CO', 'Colombia'),
(144038, '208.30.42.0', '208.30.49.255', 3491637760, 3491639807, 'US', 'United States'),
(144039, '208.30.50.0', '208.30.50.15', 3491639808, 3491639823, 'DK', 'Denmark'),
(144040, '208.30.50.16', '208.30.95.255', 3491639824, 3491651583, 'US', 'United States'),
(144041, '208.30.96.0', '208.30.127.255', 3491651584, 3491659775, 'VI', 'Virgin Islands, U.S.'),
(144042, '208.30.128.0', '208.31.79.159', 3491659776, 3491712927, 'US', 'United States'),
(144043, '208.31.79.160', '208.31.79.191', 3491712928, 3491712959, 'TW', 'Taiwan'),
(144044, '208.31.79.192', '208.31.169.255', 3491712960, 3491736063, 'US', 'United States'),
(144045, '208.31.170.0', '208.31.170.255', 3491736064, 3491736319, 'PR', 'Puerto Rico'),
(144046, '208.31.171.0', '208.31.199.255', 3491736320, 3491743743, 'US', 'United States'),
(144047, '208.31.200.0', '208.31.207.255', 3491743744, 3491745791, 'CO', 'Colombia'),
(144048, '208.31.208.0', '208.32.26.47', 3491745792, 3491764783, 'US', 'United States'),
(144049, '208.32.26.48', '208.32.26.55', 3491764784, 3491764791, 'PR', 'Puerto Rico'),
(144050, '208.32.26.56', '208.33.11.255', 3491764792, 3491826687, 'US', 'United States'),
(144051, '208.33.12.0', '208.33.12.255', 3491826688, 3491826943, 'AN', 'Netherlands Antilles'),
(144052, '208.33.13.0', '208.34.72.7', 3491826944, 3491907591, 'US', 'United States'),
(144053, '208.34.72.8', '208.34.72.8', 3491907592, 3491907592, 'A1', 'Anonymous Proxy'),
(144054, '208.34.72.9', '208.34.126.255', 3491907593, 3491921663, 'US', 'United States'),
(144055, '208.34.127.0', '208.34.127.255', 3491921664, 3491921919, 'PR', 'Puerto Rico'),
(144056, '208.34.128.0', '208.34.243.135', 3491921920, 3491951495, 'US', 'United States'),
(144057, '208.34.243.136', '208.34.243.143', 3491951496, 3491951503, 'GB', 'United Kingdom'),
(144058, '208.34.243.144', '208.34.243.159', 3491951504, 3491951519, 'US', 'United States'),
(144059, '208.34.243.160', '208.34.243.167', 3491951520, 3491951527, 'GB', 'United Kingdom'),
(144060, '208.34.243.168', '208.35.53.167', 3491951528, 3491968423, 'US', 'United States'),
(144061, '208.35.53.168', '208.35.53.175', 3491968424, 3491968431, 'PR', 'Puerto Rico'),
(144062, '208.35.53.176', '208.35.53.191', 3491968432, 3491968447, 'AF', 'Afghanistan'),
(144063, '208.35.53.192', '208.35.55.255', 3491968448, 3491969023, 'US', 'United States'),
(144064, '208.35.56.0', '208.35.59.255', 3491969024, 3491970047, 'PR', 'Puerto Rico'),
(144065, '208.35.60.0', '208.35.66.23', 3491970048, 3491971607, 'US', 'United States'),
(144066, '208.35.66.24', '208.35.66.31', 3491971608, 3491971615, 'IT', 'Italy'),
(144067, '208.35.66.32', '208.35.66.167', 3491971616, 3491971751, 'US', 'United States'),
(144068, '208.35.66.168', '208.35.66.175', 3491971752, 3491971759, 'AU', 'Australia'),
(144069, '208.35.66.176', '208.35.67.111', 3491971760, 3491971951, 'US', 'United States'),
(144070, '208.35.67.112', '208.35.67.127', 3491971952, 3491971967, 'HK', 'Hong Kong'),
(144071, '208.35.67.128', '208.35.72.31', 3491971968, 3491973151, 'US', 'United States'),
(144072, '208.35.72.32', '208.35.72.39', 3491973152, 3491973159, 'VE', 'Venezuela'),
(144073, '208.35.72.40', '208.35.197.255', 3491973160, 3492005375, 'US', 'United States'),
(144074, '208.35.198.0', '208.35.198.15', 3492005376, 3492005391, 'DK', 'Denmark'),
(144075, '208.35.198.16', '208.35.198.63', 3492005392, 3492005439, 'US', 'United States'),
(144076, '208.35.198.64', '208.35.198.71', 3492005440, 3492005447, 'DK', 'Denmark'),
(144077, '208.35.198.72', '208.35.198.87', 3492005448, 3492005463, 'US', 'United States'),
(144078, '208.35.198.88', '208.35.198.111', 3492005464, 3492005487, 'AU', 'Australia'),
(144079, '208.35.198.112', '208.37.255.255', 3492005488, 3492151295, 'US', 'United States'),
(144080, '208.38.0.0', '208.38.63.255', 3492151296, 3492167679, 'CA', 'Canada'),
(144081, '208.38.64.0', '208.38.146.127', 3492167680, 3492188799, 'US', 'United States'),
(144082, '208.38.146.128', '208.38.146.159', 3492188800, 3492188831, 'CH', 'Switzerland'),
(144083, '208.38.146.160', '208.42.228.231', 3492188832, 3492472039, 'US', 'United States'),
(144084, '208.42.228.232', '208.42.228.239', 3492472040, 3492472047, 'GB', 'United Kingdom'),
(144085, '208.42.228.240', '208.44.123.143', 3492472048, 3492576143, 'US', 'United States'),
(144086, '208.44.123.144', '208.44.123.151', 3492576144, 3492576151, 'CN', 'China'),
(144087, '208.44.123.152', '208.45.142.223', 3492576152, 3492646623, 'US', 'United States'),
(144088, '208.45.142.224', '208.45.142.239', 3492646624, 3492646639, 'IL', 'Israel'),
(144089, '208.45.142.240', '208.45.232.255', 3492646640, 3492669695, 'US', 'United States'),
(144090, '208.45.233.0', '208.45.239.255', 3492669696, 3492671487, 'PA', 'Panama'),
(144091, '208.45.240.0', '208.46.214.47', 3492671488, 3492730415, 'US', 'United States'),
(144092, '208.46.214.48', '208.46.214.63', 3492730416, 3492730431, 'CA', 'Canada'),
(144093, '208.46.214.64', '208.47.213.127', 3492730432, 3492795775, 'US', 'United States'),
(144094, '208.47.213.128', '208.47.213.255', 3492795776, 3492795903, 'AR', 'Argentina'),
(144095, '208.47.214.0', '208.48.80.255', 3492795904, 3492827391, 'US', 'United States'),
(144096, '208.48.81.0', '208.48.81.31', 3492827392, 3492827423, 'CA', 'Canada'),
(144097, '208.48.81.32', '208.48.81.39', 3492827424, 3492827431, 'US', 'United States'),
(144098, '208.48.81.40', '208.48.81.47', 3492827432, 3492827439, 'DE', 'Germany'),
(144099, '208.48.81.48', '208.48.81.63', 3492827440, 3492827455, 'AU', 'Australia'),
(144100, '208.48.81.64', '208.48.81.127', 3492827456, 3492827519, 'US', 'United States'),
(144101, '208.48.81.128', '208.48.81.255', 3492827520, 3492827647, 'AU', 'Australia'),
(144102, '208.48.82.0', '208.48.82.255', 3492827648, 3492827903, 'US', 'United States'),
(144103, '208.48.83.0', '208.48.83.63', 3492827904, 3492827967, 'AU', 'Australia'),
(144104, '208.48.83.64', '208.48.245.255', 3492827968, 3492869631, 'US', 'United States'),
(144105, '208.48.246.0', '208.48.246.255', 3492869632, 3492869887, 'BR', 'Brazil'),
(144106, '208.48.247.0', '208.49.88.255', 3492869888, 3492894975, 'US', 'United States'),
(144107, '208.49.89.0', '208.49.89.255', 3492894976, 3492895231, 'BE', 'Belgium'),
(144108, '208.49.90.0', '208.49.133.255', 3492895232, 3492906495, 'US', 'United States'),
(144109, '208.49.134.0', '208.49.134.255', 3492906496, 3492906751, 'EU', 'Europe'),
(144110, '208.49.135.0', '208.49.155.255', 3492906752, 3492912127, 'US', 'United States'),
(144111, '208.49.156.0', '208.49.156.23', 3492912128, 3492912151, 'GB', 'United Kingdom'),
(144112, '208.49.156.24', '208.49.156.31', 3492912152, 3492912159, 'US', 'United States'),
(144113, '208.49.156.32', '208.49.156.255', 3492912160, 3492912383, 'GB', 'United Kingdom'),
(144114, '208.49.157.0', '208.49.175.255', 3492912384, 3492917247, 'US', 'United States'),
(144115, '208.49.176.0', '208.49.176.255', 3492917248, 3492917503, 'VI', 'Virgin Islands, U.S.'),
(144116, '208.49.177.0', '208.49.206.63', 3492917504, 3492924991, 'US', 'United States'),
(144117, '208.49.206.64', '208.49.206.79', 3492924992, 3492925007, 'DE', 'Germany'),
(144118, '208.49.206.80', '208.49.210.127', 3492925008, 3492926079, 'US', 'United States'),
(144119, '208.49.210.128', '208.49.210.143', 3492926080, 3492926095, 'EU', 'Europe'),
(144120, '208.49.210.144', '208.49.241.223', 3492926096, 3492934111, 'US', 'United States'),
(144121, '208.49.241.224', '208.49.241.255', 3492934112, 3492934143, 'GB', 'United Kingdom'),
(144122, '208.49.242.0', '208.50.36.143', 3492934144, 3492947087, 'US', 'United States'),
(144123, '208.50.36.144', '208.50.36.159', 3492947088, 3492947103, 'DE', 'Germany'),
(144124, '208.50.36.160', '208.50.51.79', 3492947104, 3492950863, 'US', 'United States'),
(144125, '208.50.51.80', '208.50.51.95', 3492950864, 3492950879, 'DE', 'Germany'),
(144126, '208.50.51.96', '208.50.99.15', 3492950880, 3492963087, 'US', 'United States'),
(144127, '208.50.99.16', '208.50.99.31', 3492963088, 3492963103, 'FR', 'France'),
(144128, '208.50.99.32', '208.50.228.31', 3492963104, 3492996127, 'US', 'United States'),
(144129, '208.50.228.32', '208.50.228.40', 3492996128, 3492996136, 'GB', 'United Kingdom'),
(144130, '208.50.228.41', '208.51.44.99', 3492996137, 3493014627, 'US', 'United States'),
(144131, '208.51.44.100', '208.51.44.100', 3493014628, 3493014628, 'GB', 'United Kingdom'),
(144132, '208.51.44.101', '208.51.60.15', 3493014629, 3493018639, 'US', 'United States'),
(144133, '208.51.60.16', '208.51.60.31', 3493018640, 3493018655, 'AE', 'United Arab Emirates'),
(144134, '208.51.60.32', '208.51.101.221', 3493018656, 3493029341, 'US', 'United States'),
(144135, '208.51.101.222', '208.51.101.222', 3493029342, 3493029342, 'GB', 'United Kingdom'),
(144136, '208.51.101.223', '208.51.140.255', 3493029343, 3493039359, 'US', 'United States'),
(144137, '208.51.141.0', '208.51.141.255', 3493039360, 3493039615, 'AR', 'Argentina'),
(144138, '208.51.142.0', '208.51.225.255', 3493039616, 3493061119, 'US', 'United States'),
(144139, '208.51.226.0', '208.51.226.255', 3493061120, 3493061375, 'BR', 'Brazil'),
(144140, '208.51.227.0', '208.52.0.255', 3493061376, 3493069055, 'US', 'United States'),
(144141, '208.52.1.0', '208.52.1.255', 3493069056, 3493069311, 'A2', 'Satellite Provider'),
(144142, '208.52.2.0', '208.52.7.255', 3493069312, 3493070847, 'US', 'United States'),
(144143, '208.52.8.0', '208.52.11.255', 3493070848, 3493071871, 'HT', 'Haiti'),
(144144, '208.52.12.0', '208.52.16.255', 3493071872, 3493073151, 'US', 'United States'),
(144145, '208.52.17.0', '208.52.17.255', 3493073152, 3493073407, 'BO', 'Bolivia'),
(144146, '208.52.18.0', '208.52.18.255', 3493073408, 3493073663, 'US', 'United States'),
(144147, '208.52.19.0', '208.52.19.255', 3493073664, 3493073919, 'BO', 'Bolivia'),
(144148, '208.52.20.0', '208.52.20.255', 3493073920, 3493074175, 'US', 'United States'),
(144149, '208.52.21.0', '208.52.21.255', 3493074176, 3493074431, 'BO', 'Bolivia'),
(144150, '208.52.22.0', '208.52.37.255', 3493074432, 3493078527, 'HT', 'Haiti'),
(144151, '208.52.38.0', '208.52.39.255', 3493078528, 3493079039, 'US', 'United States'),
(144152, '208.52.40.0', '208.52.47.255', 3493079040, 3493081087, 'HT', 'Haiti'),
(144153, '208.52.48.0', '208.52.49.255', 3493081088, 3493081599, 'US', 'United States'),
(144154, '208.52.50.0', '208.52.53.255', 3493081600, 3493082623, 'PY', 'Paraguay'),
(144155, '208.52.54.0', '208.52.78.255', 3493082624, 3493089023, 'US', 'United States'),
(144156, '208.52.79.0', '208.52.79.255', 3493089024, 3493089279, 'CM', 'Cameroon'),
(144157, '208.52.80.0', '208.53.8.255', 3493089280, 3493136639, 'US', 'United States'),
(144158, '208.53.9.0', '208.53.9.255', 3493136640, 3493136895, 'GB', 'United Kingdom'),
(144159, '208.53.10.0', '208.53.12.255', 3493136896, 3493137663, 'US', 'United States'),
(144160, '208.53.13.0', '208.53.13.255', 3493137664, 3493137919, 'CH', 'Switzerland'),
(144161, '208.53.14.0', '208.53.19.255', 3493137920, 3493139455, 'US', 'United States'),
(144162, '208.53.20.0', '208.53.20.255', 3493139456, 3493139711, 'AU', 'Australia'),
(144163, '208.53.21.0', '208.53.21.255', 3493139712, 3493139967, 'US', 'United States'),
(144164, '208.53.22.0', '208.53.22.255', 3493139968, 3493140223, 'JM', 'Jamaica'),
(144165, '208.53.23.0', '208.53.23.255', 3493140224, 3493140479, 'DE', 'Germany'),
(144166, '208.53.24.0', '208.53.27.255', 3493140480, 3493141503, 'US', 'United States'),
(144167, '208.53.28.0', '208.53.28.255', 3493141504, 3493141759, 'GB', 'United Kingdom'),
(144168, '208.53.29.0', '208.53.30.255', 3493141760, 3493142271, 'US', 'United States'),
(144169, '208.53.31.0', '208.53.31.255', 3493142272, 3493142527, 'ID', 'Indonesia'),
(144170, '208.53.32.0', '208.53.158.93', 3493142528, 3493174877, 'US', 'United States'),
(144171, '208.53.158.94', '208.53.158.94', 3493174878, 3493174878, 'A1', 'Anonymous Proxy'),
(144172, '208.53.158.95', '208.54.175.255', 3493174879, 3493244927, 'US', 'United States'),
(144173, '208.54.176.0', '208.54.191.255', 3493244928, 3493249023, 'PR', 'Puerto Rico'),
(144174, '208.54.192.0', '208.64.43.255', 3493249024, 3493866495, 'US', 'United States'),
(144175, '208.64.44.0', '208.64.47.255', 3493866496, 3493867519, 'VG', 'Virgin Islands, British'),
(144176, '208.64.48.0', '208.64.75.255', 3493867520, 3493874687, 'US', 'United States'),
(144177, '208.64.76.0', '208.64.79.255', 3493874688, 3493875711, 'BM', 'Bermuda'),
(144178, '208.64.80.0', '208.64.103.255', 3493875712, 3493881855, 'US', 'United States'),
(144179, '208.64.104.0', '208.64.107.255', 3493881856, 3493882879, 'CA', 'Canada'),
(144180, '208.64.108.0', '208.64.122.251', 3493882880, 3493886715, 'US', 'United States'),
(144181, '208.64.122.252', '208.64.122.255', 3493886716, 3493886719, 'BZ', 'Belize'),
(144182, '208.64.123.0', '208.64.178.223', 3493886720, 3493901023, 'US', 'United States'),
(144183, '208.64.178.224', '208.64.178.231', 3493901024, 3493901031, 'HK', 'Hong Kong'),
(144184, '208.64.178.232', '208.64.179.255', 3493901032, 3493901311, 'US', 'United States'),
(144185, '208.64.180.0', '208.64.180.255', 3493901312, 3493901567, 'AE', 'United Arab Emirates'),
(144186, '208.64.181.0', '208.64.181.11', 3493901568, 3493901579, 'US', 'United States'),
(144187, '208.64.181.12', '208.64.181.15', 3493901580, 3493901583, 'TT', 'Trinidad and Tobago'),
(144188, '208.64.181.16', '208.64.181.31', 3493901584, 3493901599, 'VG', 'Virgin Islands, British'),
(144189, '208.64.181.32', '208.64.181.191', 3493901600, 3493901759, 'US', 'United States'),
(144190, '208.64.181.192', '208.64.181.199', 3493901760, 3493901767, 'AE', 'United Arab Emirates'),
(144191, '208.64.181.200', '208.64.181.223', 3493901768, 3493901791, 'US', 'United States'),
(144192, '208.64.181.224', '208.64.181.255', 3493901792, 3493901823, 'AE', 'United Arab Emirates'),
(144193, '208.64.182.0', '208.64.182.23', 3493901824, 3493901847, 'US', 'United States'),
(144194, '208.64.182.24', '208.64.182.27', 3493901848, 3493901851, 'CA', 'Canada'),
(144195, '208.64.182.28', '208.64.182.127', 3493901852, 3493901951, 'US', 'United States'),
(144196, '208.64.182.128', '208.64.182.159', 3493901952, 3493901983, 'CA', 'Canada'),
(144197, '208.64.182.160', '208.64.183.135', 3493901984, 3493902215, 'US', 'United States'),
(144198, '208.64.183.136', '208.64.183.143', 3493902216, 3493902223, 'CA', 'Canada'),
(144199, '208.64.183.144', '208.64.183.215', 3493902224, 3493902295, 'US', 'United States'),
(144200, '208.64.183.216', '208.64.183.223', 3493902296, 3493902303, 'NG', 'Nigeria'),
(144201, '208.64.183.224', '208.64.188.191', 3493902304, 3493903551, 'US', 'United States'),
(144202, '208.64.188.192', '208.64.188.207', 3493903552, 3493903567, 'KW', 'Kuwait'),
(144203, '208.64.188.208', '208.64.230.127', 3493903568, 3493914239, 'US', 'United States'),
(144204, '208.64.230.128', '208.64.230.255', 3493914240, 3493914367, 'CA', 'Canada'),
(144205, '208.64.231.0', '208.64.239.255', 3493914368, 3493916671, 'US', 'United States'),
(144206, '208.64.248.0', '208.65.59.255', 3493918720, 3493936127, 'US', 'United States'),
(144207, '208.65.60.0', '208.65.63.255', 3493936128, 3493937151, 'CA', 'Canada'),
(144208, '208.65.64.0', '208.65.231.255', 3493937152, 3493980159, 'US', 'United States'),
(144209, '208.65.232.0', '208.65.233.31', 3493980160, 3493980447, 'CA', 'Canada'),
(144210, '208.65.233.32', '208.65.233.39', 3493980448, 3493980455, 'US', 'United States'),
(144211, '208.65.233.40', '208.65.235.255', 3493980456, 3493981183, 'CA', 'Canada'),
(144212, '208.65.236.0', '208.65.239.255', 3493981184, 3493982207, 'US', 'United States'),
(144213, '208.65.240.0', '208.65.247.255', 3493982208, 3493984255, 'CA', 'Canada'),
(144214, '208.65.248.0', '208.65.255.255', 3493984256, 3493986303, 'US', 'United States'),
(144215, '208.66.0.0', '208.66.1.63', 3493986304, 3493986623, 'CA', 'Canada'),
(144216, '208.66.1.64', '208.66.1.127', 3493986624, 3493986687, 'US', 'United States'),
(144217, '208.66.1.128', '208.66.3.255', 3493986688, 3493987327, 'CA', 'Canada'),
(144218, '208.66.4.0', '208.66.15.255', 3493987328, 3493990399, 'US', 'United States'),
(144219, '208.66.16.0', '208.66.19.255', 3493990400, 3493991423, 'CA', 'Canada'),
(144220, '208.66.20.0', '208.66.47.255', 3493991424, 3493998591, 'US', 'United States'),
(144221, '208.66.48.0', '208.66.55.255', 3493998592, 3494000639, 'AI', 'Anguilla'),
(144222, '208.66.56.0', '208.66.67.255', 3494000640, 3494003711, 'US', 'United States'),
(144223, '208.66.68.0', '208.66.71.255', 3494003712, 3494004735, 'CA', 'Canada'),
(144224, '208.66.72.0', '208.66.91.255', 3494004736, 3494009855, 'US', 'United States'),
(144225, '208.66.92.0', '208.66.95.255', 3494009856, 3494010879, 'CA', 'Canada'),
(144226, '208.66.96.0', '208.66.97.95', 3494010880, 3494011231, 'US', 'United States'),
(144227, '208.66.97.96', '208.66.97.111', 3494011232, 3494011247, 'HK', 'Hong Kong'),
(144228, '208.66.97.112', '208.66.111.255', 3494011248, 3494014975, 'US', 'United States'),
(144229, '208.66.112.0', '208.66.119.255', 3494014976, 3494017023, 'CA', 'Canada'),
(144230, '208.66.120.0', '208.66.227.255', 3494017024, 3494044671, 'US', 'United States'),
(144231, '208.66.228.0', '208.66.231.255', 3494044672, 3494045695, 'CA', 'Canada'),
(144232, '208.66.232.0', '208.66.247.255', 3494045696, 3494049791, 'US', 'United States'),
(144233, '208.66.248.0', '208.66.255.255', 3494049792, 3494051839, 'CA', 'Canada'),
(144234, '208.67.0.0', '208.67.91.255', 3494051840, 3494075391, 'US', 'United States'),
(144235, '208.67.92.0', '208.67.95.255', 3494075392, 3494076415, 'CA', 'Canada'),
(144236, '208.67.96.0', '208.67.143.255', 3494076416, 3494088703, 'US', 'United States'),
(144237, '208.67.144.0', '208.67.151.255', 3494088704, 3494090751, 'CA', 'Canada'),
(144238, '208.67.152.0', '208.67.167.255', 3494090752, 3494094847, 'US', 'United States'),
(144239, '208.67.168.0', '208.67.171.255', 3494094848, 3494095871, 'CA', 'Canada'),
(144240, '208.67.172.0', '208.67.193.71', 3494095872, 3494101319, 'US', 'United States'),
(144241, '208.67.193.72', '208.67.193.79', 3494101320, 3494101327, 'GB', 'United Kingdom'),
(144242, '208.67.193.80', '208.67.193.129', 3494101328, 3494101377, 'US', 'United States'),
(144243, '208.67.193.130', '208.67.193.137', 3494101378, 3494101385, 'JM', 'Jamaica'),
(144244, '208.67.193.138', '208.67.193.159', 3494101386, 3494101407, 'US', 'United States'),
(144245, '208.67.193.160', '208.67.193.167', 3494101408, 3494101415, 'CO', 'Colombia'),
(144246, '208.67.193.168', '208.67.193.181', 3494101416, 3494101429, 'US', 'United States'),
(144247, '208.67.193.182', '208.67.193.189', 3494101430, 3494101437, 'GB', 'United Kingdom'),
(144248, '208.67.193.190', '208.67.197.209', 3494101438, 3494102481, 'US', 'United States'),
(144249, '208.67.197.210', '208.67.197.217', 3494102482, 3494102489, 'CA', 'Canada'),
(144250, '208.67.197.218', '208.67.198.95', 3494102490, 3494102623, 'US', 'United States'),
(144251, '208.67.198.96', '208.67.198.111', 3494102624, 3494102639, 'SB', 'Solomon Islands'),
(144252, '208.67.198.112', '208.67.198.159', 3494102640, 3494102687, 'US', 'United States'),
(144253, '208.67.198.160', '208.67.198.173', 3494102688, 3494102701, 'PE', 'Peru'),
(144254, '208.67.198.174', '208.67.198.207', 3494102702, 3494102735, 'US', 'United States'),
(144255, '208.67.198.208', '208.67.198.215', 3494102736, 3494102743, 'VI', 'Virgin Islands, U.S.'),
(144256, '208.67.198.216', '208.67.226.229', 3494102744, 3494109925, 'US', 'United States'),
(144257, '208.67.226.230', '208.67.226.246', 3494109926, 3494109942, 'CA', 'Canada'),
(144258, '208.67.226.247', '208.67.227.139', 3494109943, 3494110091, 'US', 'United States'),
(144259, '208.67.227.140', '208.67.227.157', 3494110092, 3494110109, 'CA', 'Canada'),
(144260, '208.67.227.158', '208.67.227.193', 3494110110, 3494110145, 'US', 'United States'),
(144261, '208.67.227.194', '208.67.227.209', 3494110146, 3494110161, 'CA', 'Canada'),
(144262, '208.67.227.210', '208.67.248.143', 3494110162, 3494115471, 'US', 'United States'),
(144263, '208.67.248.144', '208.67.248.159', 3494115472, 3494115487, 'AU', 'Australia'),
(144264, '208.67.248.160', '208.67.248.167', 3494115488, 3494115495, 'US', 'United States'),
(144265, '208.67.248.168', '208.67.248.175', 3494115496, 3494115503, 'CA', 'Canada'),
(144266, '208.67.248.176', '208.67.250.143', 3494115504, 3494115983, 'US', 'United States'),
(144267, '208.67.250.144', '208.67.250.151', 3494115984, 3494115991, 'AU', 'Australia'),
(144268, '208.67.250.152', '208.67.250.167', 3494115992, 3494116007, 'US', 'United States'),
(144269, '208.67.250.168', '208.67.250.175', 3494116008, 3494116015, 'GB', 'United Kingdom'),
(144270, '208.67.250.176', '208.67.252.23', 3494116016, 3494116375, 'US', 'United States'),
(144271, '208.67.252.24', '208.67.252.31', 3494116376, 3494116383, 'GB', 'United Kingdom'),
(144272, '208.67.252.32', '208.67.252.55', 3494116384, 3494116407, 'US', 'United States'),
(144273, '208.67.252.56', '208.67.252.63', 3494116408, 3494116415, 'CA', 'Canada'),
(144274, '208.67.252.64', '208.67.252.79', 3494116416, 3494116431, 'US', 'United States'),
(144275, '208.67.252.80', '208.67.252.87', 3494116432, 3494116439, 'GB', 'United Kingdom'),
(144276, '208.67.252.88', '208.67.252.159', 3494116440, 3494116511, 'US', 'United States'),
(144277, '208.67.252.160', '208.67.252.167', 3494116512, 3494116519, 'NL', 'Netherlands'),
(144278, '208.67.252.168', '208.68.15.255', 3494116520, 3494121471, 'US', 'United States'),
(144279, '208.68.16.0', '208.68.19.255', 3494121472, 3494122495, 'CA', 'Canada'),
(144280, '208.68.20.0', '208.68.71.255', 3494122496, 3494135807, 'US', 'United States'),
(144281, '208.68.72.0', '208.68.75.255', 3494135808, 3494136831, 'CA', 'Canada'),
(144282, '208.68.76.0', '208.68.87.255', 3494136832, 3494139903, 'US', 'United States'),
(144283, '208.68.88.0', '208.68.95.255', 3494139904, 3494141951, 'CA', 'Canada'),
(144284, '208.68.96.0', '208.68.103.255', 3494141952, 3494143999, 'US', 'United States'),
(144285, '208.68.104.0', '208.68.107.255', 3494144000, 3494145023, 'CA', 'Canada'),
(144286, '208.68.108.0', '208.68.162.191', 3494145024, 3494159039, 'US', 'United States'),
(144287, '208.68.162.192', '208.68.162.223', 3494159040, 3494159071, 'CH', 'Switzerland'),
(144288, '208.68.162.224', '208.68.199.255', 3494159072, 3494168575, 'US', 'United States'),
(144289, '208.68.200.0', '208.68.207.255', 3494168576, 3494170623, 'CA', 'Canada'),
(144290, '208.68.208.0', '208.68.250.255', 3494170624, 3494181631, 'US', 'United States'),
(144291, '208.68.251.0', '208.68.251.255', 3494181632, 3494181887, 'SN', 'Senegal'),
(144292, '208.68.252.0', '208.69.7.255', 3494181888, 3494184959, 'US', 'United States'),
(144293, '208.69.8.0', '208.69.15.255', 3494184960, 3494187007, 'CA', 'Canada'),
(144294, '208.69.16.0', '208.69.32.255', 3494187008, 3494191359, 'US', 'United States'),
(144295, '208.69.33.0', '208.69.33.255', 3494191360, 3494191615, 'DE', 'Germany'),
(144296, '208.69.34.0', '208.69.34.255', 3494191616, 3494191871, 'GB', 'United Kingdom'),
(144297, '208.69.35.0', '208.69.35.255', 3494191872, 3494192127, 'NL', 'Netherlands'),
(144298, '208.69.36.0', '208.69.55.255', 3494192128, 3494197247, 'US', 'United States'),
(144299, '208.69.56.0', '208.69.56.143', 3494197248, 3494197391, 'CA', 'Canada'),
(144300, '208.69.56.144', '208.69.56.164', 3494197392, 3494197412, 'FR', 'France'),
(144301, '208.69.56.165', '208.69.56.200', 3494197413, 3494197448, 'CA', 'Canada'),
(144302, '208.69.56.201', '208.69.56.208', 3494197449, 3494197456, 'AE', 'United Arab Emirates'),
(144303, '208.69.56.209', '208.69.56.245', 3494197457, 3494197493, 'CA', 'Canada'),
(144304, '208.69.56.246', '208.69.56.254', 3494197494, 3494197502, 'FR', 'France'),
(144305, '208.69.56.255', '208.69.57.32', 3494197503, 3494197536, 'CA', 'Canada'),
(144306, '208.69.57.33', '208.69.57.56', 3494197537, 3494197560, 'AE', 'United Arab Emirates'),
(144307, '208.69.57.57', '208.69.57.65', 3494197561, 3494197569, 'FR', 'France'),
(144308, '208.69.57.66', '208.69.57.100', 3494197570, 3494197604, 'CA', 'Canada'),
(144309, '208.69.57.101', '208.69.57.110', 3494197605, 3494197614, 'US', 'United States'),
(144310, '208.69.57.111', '208.69.58.0', 3494197615, 3494197760, 'CA', 'Canada'),
(144311, '208.69.58.1', '208.69.58.17', 3494197761, 3494197777, 'AE', 'United Arab Emirates'),
(144312, '208.69.58.18', '208.69.58.193', 3494197778, 3494197953, 'CA', 'Canada'),
(144313, '208.69.58.194', '208.69.58.207', 3494197954, 3494197967, 'US', 'United States'),
(144314, '208.69.58.208', '208.69.59.243', 3494197968, 3494198259, 'CA', 'Canada'),
(144315, '208.69.59.244', '208.69.59.244', 3494198260, 3494198260, 'US', 'United States'),
(144316, '208.69.59.245', '208.69.59.255', 3494198261, 3494198271, 'CA', 'Canada'),
(144317, '208.69.60.0', '208.69.93.127', 3494198272, 3494206847, 'US', 'United States'),
(144318, '208.69.93.128', '208.69.93.167', 3494206848, 3494206887, 'CA', 'Canada'),
(144319, '208.69.93.168', '208.69.93.191', 3494206888, 3494206911, 'US', 'United States'),
(144320, '208.69.93.192', '208.69.93.223', 3494206912, 3494206943, 'CA', 'Canada'),
(144321, '208.69.93.224', '208.69.176.63', 3494206944, 3494228031, 'US', 'United States'),
(144322, '208.69.176.64', '208.69.176.127', 3494228032, 3494228095, 'AU', 'Australia'),
(144323, '208.69.176.128', '208.69.177.95', 3494228096, 3494228319, 'US', 'United States'),
(144324, '208.69.177.96', '208.69.177.111', 3494228320, 3494228335, 'RU', 'Russian Federation'),
(144325, '208.69.177.112', '208.69.179.127', 3494228336, 3494228863, 'US', 'United States'),
(144326, '208.69.179.128', '208.69.179.191', 3494228864, 3494228927, 'IN', 'India'),
(144327, '208.69.179.192', '208.69.181.127', 3494228928, 3494229375, 'US', 'United States'),
(144328, '208.69.181.128', '208.69.181.159', 3494229376, 3494229407, 'BZ', 'Belize'),
(144329, '208.69.181.160', '208.69.183.239', 3494229408, 3494229999, 'US', 'United States'),
(144330, '208.69.183.240', '208.69.183.255', 3494230000, 3494230015, 'CA', 'Canada'),
(144331, '208.69.184.0', '208.69.230.135', 3494230016, 3494241927, 'US', 'United States'),
(144332, '208.69.230.136', '208.69.230.143', 3494241928, 3494241935, 'AU', 'Australia'),
(144333, '208.69.230.144', '208.69.230.159', 3494241936, 3494241951, 'US', 'United States'),
(144334, '208.69.230.160', '208.69.230.167', 3494241952, 3494241959, 'IN', 'India'),
(144335, '208.69.230.168', '208.69.231.199', 3494241960, 3494242247, 'US', 'United States'),
(144336, '208.69.231.200', '208.69.231.207', 3494242248, 3494242255, 'CO', 'Colombia'),
(144337, '208.69.231.208', '208.69.239.255', 3494242256, 3494244351, 'US', 'United States'),
(144338, '208.69.240.0', '208.69.247.255', 3494244352, 3494246399, 'CA', 'Canada'),
(144339, '208.69.248.0', '208.69.251.255', 3494246400, 3494247423, 'US', 'United States'),
(144340, '208.69.252.0', '208.70.7.255', 3494247424, 3494250495, 'CA', 'Canada'),
(144341, '208.70.8.0', '208.70.55.255', 3494250496, 3494262783, 'US', 'United States'),
(144342, '208.70.56.0', '208.70.63.255', 3494262784, 3494264831, 'CA', 'Canada'),
(144343, '208.70.64.0', '208.70.72.127', 3494264832, 3494267007, 'US', 'United States'),
(144344, '208.70.72.128', '208.70.72.143', 3494267008, 3494267023, 'AE', 'United Arab Emirates'),
(144345, '208.70.72.144', '208.70.72.207', 3494267024, 3494267087, 'US', 'United States'),
(144346, '208.70.72.208', '208.70.72.223', 3494267088, 3494267103, 'PK', 'Pakistan'),
(144347, '208.70.72.224', '208.70.74.31', 3494267104, 3494267423, 'US', 'United States'),
(144348, '208.70.74.32', '208.70.74.47', 3494267424, 3494267439, 'GB', 'United Kingdom'),
(144349, '208.70.74.48', '208.70.77.127', 3494267440, 3494268287, 'US', 'United States'),
(144350, '208.70.77.128', '208.70.77.159', 3494268288, 3494268319, 'TH', 'Thailand'),
(144351, '208.70.77.160', '208.70.77.175', 3494268320, 3494268335, 'UA', 'Ukraine'),
(144352, '208.70.77.176', '208.70.79.143', 3494268336, 3494268815, 'US', 'United States'),
(144353, '208.70.79.144', '208.70.79.159', 3494268816, 3494268831, 'UA', 'Ukraine'),
(144354, '208.70.79.160', '208.70.91.255', 3494268832, 3494271999, 'US', 'United States'),
(144355, '208.70.92.0', '208.70.95.255', 3494272000, 3494273023, 'KN', 'Saint Kitts and Nevis'),
(144356, '208.70.96.0', '208.70.103.255', 3494273024, 3494275071, 'US', 'United States'),
(144357, '208.70.104.0', '208.70.111.255', 3494275072, 3494277119, 'CA', 'Canada'),
(144358, '208.70.112.0', '208.70.169.31', 3494277120, 3494291743, 'US', 'United States'),
(144359, '208.70.169.32', '208.70.169.39', 3494291744, 3494291751, 'GB', 'United Kingdom'),
(144360, '208.70.169.40', '208.70.200.15', 3494291752, 3494299663, 'US', 'United States'),
(144361, '208.70.200.16', '208.70.200.31', 3494299664, 3494299679, 'TH', 'Thailand'),
(144362, '208.70.200.32', '208.70.200.39', 3494299680, 3494299687, 'US', 'United States'),
(144363, '208.70.200.40', '208.70.200.47', 3494299688, 3494299695, 'SC', 'Seychelles'),
(144364, '208.70.200.48', '208.70.200.79', 3494299696, 3494299727, 'US', 'United States'),
(144365, '208.70.200.80', '208.70.200.87', 3494299728, 3494299735, 'SC', 'Seychelles'),
(144366, '208.70.200.88', '208.70.202.207', 3494299736, 3494300367, 'US', 'United States'),
(144367, '208.70.202.208', '208.70.202.223', 3494300368, 3494300383, 'TW', 'Taiwan'),
(144368, '208.70.202.224', '208.70.206.63', 3494300384, 3494301247, 'US', 'United States'),
(144369, '208.70.206.64', '208.70.206.127', 3494301248, 3494301311, 'SG', 'Singapore'),
(144370, '208.70.206.128', '208.70.206.255', 3494301312, 3494301439, 'US', 'United States'),
(144371, '208.70.207.0', '208.70.207.255', 3494301440, 3494301695, 'TW', 'Taiwan'),
(144372, '208.70.208.0', '208.70.211.255', 3494301696, 3494302719, 'US', 'United States'),
(144373, '208.70.212.0', '208.70.215.255', 3494302720, 3494303743, 'CA', 'Canada'),
(144374, '208.70.216.0', '208.70.243.255', 3494303744, 3494310911, 'US', 'United States'),
(144375, '208.70.244.0', '208.70.247.255', 3494310912, 3494311935, 'CA', 'Canada'),
(144376, '208.70.248.0', '208.70.252.175', 3494311936, 3494313135, 'US', 'United States'),
(144377, '208.70.252.176', '208.70.252.183', 3494313136, 3494313143, 'GB', 'United Kingdom'),
(144378, '208.70.252.184', '208.70.253.111', 3494313144, 3494313327, 'US', 'United States'),
(144379, '208.70.253.112', '208.70.253.127', 3494313328, 3494313343, 'CO', 'Colombia'),
(144380, '208.70.253.128', '208.70.253.143', 3494313344, 3494313359, 'US', 'United States'),
(144381, '208.70.253.144', '208.70.253.159', 3494313360, 3494313375, 'MX', 'Mexico'),
(144382, '208.70.253.160', '208.71.7.255', 3494313376, 3494316031, 'US', 'United States'),
(144383, '208.71.8.0', '208.71.11.255', 3494316032, 3494317055, 'CA', 'Canada'),
(144384, '208.71.12.0', '208.71.87.255', 3494317056, 3494336511, 'US', 'United States'),
(144385, '208.71.88.0', '208.71.89.255', 3494336512, 3494337023, 'CA', 'Canada'),
(144386, '208.71.90.0', '208.71.90.63', 3494337024, 3494337087, 'US', 'United States'),
(144387, '208.71.90.64', '208.71.90.111', 3494337088, 3494337135, 'CA', 'Canada'),
(144388, '208.71.90.112', '208.71.90.127', 3494337136, 3494337151, 'US', 'United States'),
(144389, '208.71.90.128', '208.71.91.255', 3494337152, 3494337535, 'CA', 'Canada'),
(144390, '208.71.92.0', '208.71.111.255', 3494337536, 3494342655, 'US', 'United States'),
(144391, '208.71.112.0', '208.71.119.255', 3494342656, 3494344703, 'CA', 'Canada'),
(144392, '208.71.120.0', '208.71.137.167', 3494344704, 3494349223, 'US', 'United States'),
(144393, '208.71.137.168', '208.71.137.175', 3494349224, 3494349231, 'GB', 'United Kingdom'),
(144394, '208.71.137.176', '208.71.141.15', 3494349232, 3494350095, 'US', 'United States'),
(144395, '208.71.141.16', '208.71.141.23', 3494350096, 3494350103, 'CA', 'Canada'),
(144396, '208.71.141.24', '208.71.175.255', 3494350104, 3494359039, 'US', 'United States'),
(144397, '208.71.176.0', '208.71.179.255', 3494359040, 3494360063, 'CA', 'Canada'),
(144398, '208.71.180.0', '208.71.183.255', 3494360064, 3494361087, 'US', 'United States'),
(144399, '208.71.184.0', '208.71.187.255', 3494361088, 3494362111, 'CA', 'Canada'),
(144400, '208.71.188.0', '208.72.3.255', 3494362112, 3494380543, 'US', 'United States'),
(144401, '208.72.4.0', '208.72.7.255', 3494380544, 3494381567, 'CA', 'Canada'),
(144402, '208.72.8.0', '208.72.89.255', 3494381568, 3494402559, 'US', 'United States'),
(144403, '208.72.90.0', '208.72.90.255', 3494402560, 3494402815, 'GB', 'United Kingdom'),
(144404, '208.72.91.0', '208.72.119.255', 3494402816, 3494410239, 'US', 'United States'),
(144405, '208.72.120.0', '208.72.127.255', 3494410240, 3494412287, 'CA', 'Canada'),
(144406, '208.72.128.0', '208.72.159.191', 3494412288, 3494420415, 'US', 'United States'),
(144407, '208.72.159.192', '208.72.159.223', 3494420416, 3494420447, 'CA', 'Canada'),
(144408, '208.72.159.224', '208.72.167.255', 3494420448, 3494422527, 'US', 'United States'),
(144409, '208.72.168.0', '208.72.179.255', 3494422528, 3494425599, 'CA', 'Canada'),
(144410, '208.72.180.0', '208.72.186.63', 3494425600, 3494427199, 'US', 'United States'),
(144411, '208.72.186.64', '208.72.186.79', 3494427200, 3494427215, 'CA', 'Canada'),
(144412, '208.72.186.80', '208.72.190.63', 3494427216, 3494428223, 'US', 'United States'),
(144413, '208.72.190.64', '208.72.190.79', 3494428224, 3494428239, 'CA', 'Canada'),
(144414, '208.72.190.80', '208.72.207.255', 3494428240, 3494432767, 'US', 'United States'),
(144415, '208.72.208.0', '208.72.211.255', 3494432768, 3494433791, 'CA', 'Canada'),
(144416, '208.72.212.0', '208.72.227.255', 3494433792, 3494437887, 'US', 'United States'),
(144417, '208.72.228.0', '208.72.228.95', 3494437888, 3494437983, 'GP', 'Guadeloupe'),
(144418, '208.72.228.96', '208.72.228.111', 3494437984, 3494437999, 'KN', 'Saint Kitts and Nevis'),
(144419, '208.72.228.112', '208.72.228.135', 3494438000, 3494438023, 'GP', 'Guadeloupe'),
(144420, '208.72.228.136', '208.72.228.143', 3494438024, 3494438031, 'KN', 'Saint Kitts and Nevis'),
(144421, '208.72.228.144', '208.72.228.175', 3494438032, 3494438063, 'GP', 'Guadeloupe'),
(144422, '208.72.228.176', '208.72.228.183', 3494438064, 3494438071, 'KN', 'Saint Kitts and Nevis'),
(144423, '208.72.228.184', '208.72.228.255', 3494438072, 3494438143, 'GP', 'Guadeloupe'),
(144424, '208.72.229.0', '208.72.229.255', 3494438144, 3494438399, 'DM', 'Dominica'),
(144425, '208.72.230.0', '208.72.230.255', 3494438400, 3494438655, 'KN', 'Saint Kitts and Nevis'),
(144426, '208.72.231.0', '208.72.231.255', 3494438656, 3494438911, 'DM', 'Dominica'),
(144427, '208.72.232.0', '208.73.15.255', 3494438912, 3494449151, 'US', 'United States'),
(144428, '208.73.16.0', '208.73.23.255', 3494449152, 3494451199, 'CA', 'Canada'),
(144429, '208.73.24.0', '208.73.39.255', 3494451200, 3494455295, 'US', 'United States'),
(144430, '208.73.40.0', '208.73.43.255', 3494455296, 3494456319, 'CA', 'Canada'),
(144431, '208.73.44.0', '208.73.49.179', 3494456320, 3494457779, 'US', 'United States'),
(144432, '208.73.49.180', '208.73.49.187', 3494457780, 3494457787, 'GB', 'United Kingdom'),
(144433, '208.73.49.188', '208.73.55.255', 3494457788, 3494459391, 'US', 'United States'),
(144434, '208.73.56.0', '208.73.59.255', 3494459392, 3494460415, 'CA', 'Canada'),
(144435, '208.73.60.0', '208.73.75.255', 3494460416, 3494464511, 'US', 'United States'),
(144436, '208.73.76.0', '208.73.79.255', 3494464512, 3494465535, 'CA', 'Canada'),
(144437, '208.73.80.0', '208.73.218.159', 3494465536, 3494501023, 'US', 'United States'),
(144438, '208.73.218.160', '208.73.218.175', 3494501024, 3494501039, 'AU', 'Australia'),
(144439, '208.73.218.176', '208.73.255.255', 3494501040, 3494510591, 'US', 'United States'),
(144440, '208.74.0.0', '208.74.7.255', 3494510592, 3494512639, 'CA', 'Canada'),
(144441, '208.74.8.0', '208.74.8.255', 3494512640, 3494512895, 'US', 'United States'),
(144442, '208.74.9.0', '208.74.9.255', 3494512896, 3494513151, 'NO', 'Norway'),
(144443, '208.74.10.0', '208.74.23.255', 3494513152, 3494516735, 'US', 'United States'),
(144444, '208.74.24.0', '208.74.27.255', 3494516736, 3494517759, 'CA', 'Canada'),
(144445, '208.74.28.0', '208.74.111.255', 3494517760, 3494539263, 'US', 'United States'),
(144446, '208.74.112.0', '208.74.114.255', 3494539264, 3494540031, 'A2', 'Satellite Provider'),
(144447, '208.74.115.0', '208.74.115.255', 3494540032, 3494540287, 'UG', 'Uganda'),
(144448, '208.74.116.0', '208.74.171.85', 3494540288, 3494554453, 'US', 'United States'),
(144449, '208.74.171.86', '208.74.171.93', 3494554454, 3494554461, 'ES', 'Spain'),
(144450, '208.74.171.94', '208.74.171.186', 3494554462, 3494554554, 'US', 'United States'),
(144451, '208.74.171.187', '208.74.171.194', 3494554555, 3494554562, 'ES', 'Spain'),
(144452, '208.74.171.195', '208.74.172.31', 3494554563, 3494554655, 'US', 'United States'),
(144453, '208.74.172.32', '208.74.172.63', 3494554656, 3494554687, 'TR', 'Turkey'),
(144454, '208.74.172.64', '208.74.174.31', 3494554688, 3494555167, 'US', 'United States'),
(144455, '208.74.174.32', '208.74.174.63', 3494555168, 3494555199, 'TR', 'Turkey'),
(144456, '208.74.174.64', '208.74.174.127', 3494555200, 3494555263, 'US', 'United States'),
(144457, '208.74.174.128', '208.74.174.159', 3494555264, 3494555295, 'TR', 'Turkey'),
(144458, '208.74.174.160', '208.74.175.0', 3494555296, 3494555392, 'US', 'United States'),
(144459, '208.74.175.1', '208.74.175.31', 3494555393, 3494555423, 'CN', 'China'),
(144460, '208.74.175.32', '208.74.207.255', 3494555424, 3494563839, 'US', 'United States'),
(144461, '208.74.208.0', '208.74.215.255', 3494563840, 3494565887, 'CA', 'Canada'),
(144462, '208.74.216.0', '208.75.71.255', 3494565888, 3494594559, 'US', 'United States'),
(144463, '208.75.72.0', '208.75.75.255', 3494594560, 3494595583, 'CA', 'Canada'),
(144464, '208.75.76.0', '208.75.115.255', 3494595584, 3494605823, 'US', 'United States'),
(144465, '208.75.116.0', '208.75.119.255', 3494605824, 3494606847, 'CA', 'Canada'),
(144466, '208.75.120.0', '208.75.135.255', 3494606848, 3494610943, 'US', 'United States'),
(144467, '208.75.136.0', '208.75.139.255', 3494610944, 3494611967, 'CA', 'Canada'),
(144468, '208.75.140.0', '208.75.187.255', 3494611968, 3494624255, 'US', 'United States'),
(144469, '208.75.188.0', '208.75.191.255', 3494624256, 3494625279, 'CA', 'Canada'),
(144470, '208.75.192.0', '208.75.199.255', 3494625280, 3494627327, 'US', 'United States'),
(144471, '208.75.200.0', '208.75.203.255', 3494627328, 3494628351, 'BM', 'Bermuda'),
(144472, '208.75.204.0', '208.76.39.255', 3494628352, 3494651903, 'US', 'United States'),
(144473, '208.76.40.0', '208.76.43.255', 3494651904, 3494652927, 'CA', 'Canada'),
(144474, '208.76.44.0', '208.76.55.63', 3494652928, 3494655807, 'US', 'United States'),
(144475, '208.76.55.64', '208.76.55.127', 3494655808, 3494655871, 'GB', 'United Kingdom'),
(144476, '208.76.55.128', '208.76.71.255', 3494655872, 3494660095, 'US', 'United States'),
(144477, '208.76.72.0', '208.76.75.255', 3494660096, 3494661119, 'CA', 'Canada'),
(144478, '208.76.76.0', '208.76.103.255', 3494661120, 3494668287, 'US', 'United States'),
(144479, '208.76.104.0', '208.76.108.63', 3494668288, 3494669375, 'CA', 'Canada'),
(144480, '208.76.108.64', '208.76.108.127', 3494669376, 3494669439, 'US', 'United States'),
(144481, '208.76.108.128', '208.76.111.127', 3494669440, 3494670207, 'CA', 'Canada'),
(144482, '208.76.111.128', '208.76.111.135', 3494670208, 3494670215, 'US', 'United States'),
(144483, '208.76.111.136', '208.76.111.255', 3494670216, 3494670335, 'CA', 'Canada'),
(144484, '208.76.112.0', '208.76.227.255', 3494670336, 3494700031, 'US', 'United States'),
(144485, '208.76.228.0', '208.76.231.255', 3494700032, 3494701055, 'CA', 'Canada'),
(144486, '208.76.232.0', '208.76.248.167', 3494701056, 3494705319, 'US', 'United States'),
(144487, '208.76.248.168', '208.76.248.175', 3494705320, 3494705327, 'MX', 'Mexico'),
(144488, '208.76.248.176', '208.77.19.255', 3494705328, 3494712319, 'US', 'United States'),
(144489, '208.77.20.0', '208.77.20.255', 3494712320, 3494712575, 'CA', 'Canada'),
(144490, '208.77.21.0', '208.77.23.3', 3494712576, 3494713091, 'US', 'United States'),
(144491, '208.77.23.4', '208.77.23.4', 3494713092, 3494713092, 'A1', 'Anonymous Proxy'),
(144492, '208.77.23.5', '208.77.79.255', 3494713093, 3494727679, 'US', 'United States'),
(144493, '208.77.80.0', '208.77.87.255', 3494727680, 3494729727, 'CA', 'Canada'),
(144494, '208.77.88.0', '208.77.91.255', 3494729728, 3494730751, 'US', 'United States'),
(144495, '208.77.92.0', '208.77.95.255', 3494730752, 3494731775, 'CA', 'Canada'),
(144496, '208.77.96.0', '208.77.139.255', 3494731776, 3494743039, 'US', 'United States'),
(144497, '208.77.140.0', '208.77.143.255', 3494743040, 3494744063, 'CA', 'Canada'),
(144498, '208.77.144.0', '208.77.145.79', 3494744064, 3494744399, 'US', 'United States'),
(144499, '208.77.145.80', '208.77.145.87', 3494744400, 3494744407, 'AU', 'Australia'),
(144500, '208.77.145.88', '208.77.146.127', 3494744408, 3494744703, 'US', 'United States'),
(144501, '208.77.146.128', '208.77.146.135', 3494744704, 3494744711, 'DE', 'Germany'),
(144502, '208.77.146.136', '208.77.148.63', 3494744712, 3494745151, 'US', 'United States'),
(144503, '208.77.148.64', '208.77.148.71', 3494745152, 3494745159, 'AU', 'Australia'),
(144504, '208.77.148.72', '208.77.148.215', 3494745160, 3494745303, 'US', 'United States'),
(144505, '208.77.148.216', '208.77.148.223', 3494745304, 3494745311, 'AU', 'Australia'),
(144506, '208.77.148.224', '208.77.151.95', 3494745312, 3494745951, 'US', 'United States'),
(144507, '208.77.151.96', '208.77.151.103', 3494745952, 3494745959, 'GB', 'United Kingdom'),
(144508, '208.77.151.104', '208.77.151.163', 3494745960, 3494746019, 'US', 'United States'),
(144509, '208.77.151.164', '208.77.151.167', 3494746020, 3494746023, 'AU', 'Australia'),
(144510, '208.77.151.168', '208.77.155.255', 3494746024, 3494747135, 'US', 'United States'),
(144511, '208.77.156.0', '208.77.159.255', 3494747136, 3494748159, 'CA', 'Canada'),
(144512, '208.77.160.0', '208.77.195.255', 3494748160, 3494757375, 'US', 'United States'),
(144513, '208.77.196.0', '208.77.199.255', 3494757376, 3494758399, 'CA', 'Canada'),
(144514, '208.77.200.0', '208.77.218.39', 3494758400, 3494763047, 'US', 'United States'),
(144515, '208.77.218.40', '208.77.218.47', 3494763048, 3494763055, 'JP', 'Japan'),
(144516, '208.77.218.48', '208.77.218.55', 3494763056, 3494763063, 'AU', 'Australia'),
(144517, '208.77.218.56', '208.77.218.63', 3494763064, 3494763071, 'MX', 'Mexico'),
(144518, '208.77.218.64', '208.77.218.111', 3494763072, 3494763119, 'US', 'United States'),
(144519, '208.77.218.112', '208.77.218.119', 3494763120, 3494763127, 'DE', 'Germany'),
(144520, '208.77.218.120', '208.77.218.191', 3494763128, 3494763199, 'US', 'United States'),
(144521, '208.77.218.192', '208.77.218.199', 3494763200, 3494763207, 'KY', 'Cayman Islands'),
(144522, '208.77.218.200', '208.77.221.127', 3494763208, 3494763903, 'US', 'United States'),
(144523, '208.77.221.128', '208.77.221.143', 3494763904, 3494763919, 'AU', 'Australia'),
(144524, '208.77.221.144', '208.77.221.207', 3494763920, 3494763983, 'US', 'United States'),
(144525, '208.77.221.208', '208.77.221.223', 3494763984, 3494763999, 'AU', 'Australia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(144526, '208.77.221.224', '208.77.223.7', 3494764000, 3494764295, 'US', 'United States'),
(144527, '208.77.223.8', '208.77.223.15', 3494764296, 3494764303, 'CA', 'Canada'),
(144528, '208.77.223.16', '208.77.223.55', 3494764304, 3494764343, 'US', 'United States'),
(144529, '208.77.223.56', '208.77.223.63', 3494764344, 3494764351, 'GB', 'United Kingdom'),
(144530, '208.77.223.64', '208.77.223.87', 3494764352, 3494764375, 'US', 'United States'),
(144531, '208.77.223.88', '208.77.223.95', 3494764376, 3494764383, 'AU', 'Australia'),
(144532, '208.77.223.96', '208.77.223.159', 3494764384, 3494764447, 'US', 'United States'),
(144533, '208.77.223.160', '208.77.223.167', 3494764448, 3494764455, 'GB', 'United Kingdom'),
(144534, '208.77.223.168', '208.77.223.239', 3494764456, 3494764527, 'US', 'United States'),
(144535, '208.77.223.240', '208.77.223.247', 3494764528, 3494764535, 'ES', 'Spain'),
(144536, '208.77.223.248', '208.78.15.255', 3494764536, 3494776831, 'US', 'United States'),
(144537, '208.78.16.0', '208.78.19.255', 3494776832, 3494777855, 'CA', 'Canada'),
(144538, '208.78.20.0', '208.78.47.255', 3494777856, 3494785023, 'US', 'United States'),
(144539, '208.78.48.0', '208.78.55.255', 3494785024, 3494787071, 'MF', 'Saint Martin'),
(144540, '208.78.56.0', '208.78.56.127', 3494787072, 3494787199, 'A2', 'Satellite Provider'),
(144541, '208.78.56.128', '208.78.56.159', 3494787200, 3494787231, 'GB', 'United Kingdom'),
(144542, '208.78.56.160', '208.78.56.255', 3494787232, 3494787327, 'A2', 'Satellite Provider'),
(144543, '208.78.57.0', '208.78.57.255', 3494787328, 3494787583, 'NG', 'Nigeria'),
(144544, '208.78.58.0', '208.78.59.255', 3494787584, 3494788095, 'A2', 'Satellite Provider'),
(144545, '208.78.60.0', '208.78.60.255', 3494788096, 3494788351, 'NG', 'Nigeria'),
(144546, '208.78.61.0', '208.78.61.255', 3494788352, 3494788607, 'LY', 'Libyan Arab Jamahiriya'),
(144547, '208.78.62.0', '208.78.63.255', 3494788608, 3494789119, 'A2', 'Satellite Provider'),
(144548, '208.78.64.0', '208.79.55.255', 3494789120, 3494852607, 'US', 'United States'),
(144549, '208.79.56.0', '208.79.63.255', 3494852608, 3494854655, 'CA', 'Canada'),
(144550, '208.79.64.0', '208.79.89.31', 3494854656, 3494861087, 'US', 'United States'),
(144551, '208.79.89.32', '208.79.89.39', 3494861088, 3494861095, 'CA', 'Canada'),
(144552, '208.79.89.40', '208.79.90.95', 3494861096, 3494861407, 'US', 'United States'),
(144553, '208.79.90.96', '208.79.90.103', 3494861408, 3494861415, 'CN', 'China'),
(144554, '208.79.90.104', '208.79.91.7', 3494861416, 3494861575, 'US', 'United States'),
(144555, '208.79.91.8', '208.79.91.15', 3494861576, 3494861583, 'CH', 'Switzerland'),
(144556, '208.79.91.16', '208.79.91.47', 3494861584, 3494861615, 'US', 'United States'),
(144557, '208.79.91.48', '208.79.91.55', 3494861616, 3494861623, 'AU', 'Australia'),
(144558, '208.79.91.56', '208.79.92.167', 3494861624, 3494861991, 'US', 'United States'),
(144559, '208.79.92.168', '208.79.92.175', 3494861992, 3494861999, 'GB', 'United Kingdom'),
(144560, '208.79.92.176', '208.79.92.183', 3494862000, 3494862007, 'CA', 'Canada'),
(144561, '208.79.92.184', '208.79.93.15', 3494862008, 3494862095, 'US', 'United States'),
(144562, '208.79.93.16', '208.79.93.23', 3494862096, 3494862103, 'DO', 'Dominican Republic'),
(144563, '208.79.93.24', '208.79.93.63', 3494862104, 3494862143, 'US', 'United States'),
(144564, '208.79.93.64', '208.79.93.71', 3494862144, 3494862151, 'FR', 'France'),
(144565, '208.79.93.72', '208.79.95.47', 3494862152, 3494862639, 'US', 'United States'),
(144566, '208.79.95.48', '208.79.95.55', 3494862640, 3494862647, 'JP', 'Japan'),
(144567, '208.79.95.56', '208.79.95.255', 3494862648, 3494862847, 'US', 'United States'),
(144568, '208.79.96.0', '208.79.99.255', 3494862848, 3494863871, 'DM', 'Dominica'),
(144569, '208.79.100.0', '208.79.111.255', 3494863872, 3494866943, 'US', 'United States'),
(144570, '208.79.112.0', '208.79.115.255', 3494866944, 3494867967, 'CA', 'Canada'),
(144571, '208.79.116.0', '208.79.139.255', 3494867968, 3494874111, 'US', 'United States'),
(144572, '208.79.140.0', '208.79.140.255', 3494874112, 3494874367, 'ES', 'Spain'),
(144573, '208.79.141.0', '208.79.142.255', 3494874368, 3494874879, 'US', 'United States'),
(144574, '208.79.143.0', '208.79.143.31', 3494874880, 3494874911, 'ES', 'Spain'),
(144575, '208.79.143.32', '208.79.215.255', 3494874912, 3494893567, 'US', 'United States'),
(144576, '208.79.216.0', '208.79.219.255', 3494893568, 3494894591, 'CA', 'Canada'),
(144577, '208.79.220.0', '208.80.10.87', 3494894592, 3494906455, 'US', 'United States'),
(144578, '208.80.10.88', '208.80.10.95', 3494906456, 3494906463, 'GB', 'United Kingdom'),
(144579, '208.80.10.96', '208.80.51.255', 3494906464, 3494917119, 'US', 'United States'),
(144580, '208.80.52.0', '208.80.53.255', 3494917120, 3494917631, 'CA', 'Canada'),
(144581, '208.80.54.0', '208.80.95.255', 3494917632, 3494928383, 'US', 'United States'),
(144582, '208.80.96.0', '208.80.103.255', 3494928384, 3494930431, 'CA', 'Canada'),
(144583, '208.80.104.0', '208.80.124.132', 3494930432, 3494935684, 'US', 'United States'),
(144584, '208.80.124.133', '208.80.124.133', 3494935685, 3494935685, 'AU', 'Australia'),
(144585, '208.80.124.134', '208.80.124.194', 3494935686, 3494935746, 'US', 'United States'),
(144586, '208.80.124.195', '208.80.124.195', 3494935747, 3494935747, 'GB', 'United Kingdom'),
(144587, '208.80.124.196', '208.80.125.132', 3494935748, 3494935940, 'US', 'United States'),
(144588, '208.80.125.133', '208.80.125.133', 3494935941, 3494935941, 'AU', 'Australia'),
(144589, '208.80.125.134', '208.80.125.194', 3494935942, 3494936002, 'US', 'United States'),
(144590, '208.80.125.195', '208.80.125.195', 3494936003, 3494936003, 'GB', 'United Kingdom'),
(144591, '208.80.125.196', '208.80.126.132', 3494936004, 3494936196, 'US', 'United States'),
(144592, '208.80.126.133', '208.80.126.133', 3494936197, 3494936197, 'AU', 'Australia'),
(144593, '208.80.126.134', '208.80.126.194', 3494936198, 3494936258, 'US', 'United States'),
(144594, '208.80.126.195', '208.80.126.195', 3494936259, 3494936259, 'GB', 'United Kingdom'),
(144595, '208.80.126.196', '208.80.127.132', 3494936260, 3494936452, 'US', 'United States'),
(144596, '208.80.127.133', '208.80.127.133', 3494936453, 3494936453, 'AU', 'Australia'),
(144597, '208.80.127.134', '208.80.127.194', 3494936454, 3494936514, 'US', 'United States'),
(144598, '208.80.127.195', '208.80.127.195', 3494936515, 3494936515, 'GB', 'United Kingdom'),
(144599, '208.80.127.196', '208.80.135.255', 3494936516, 3494938623, 'US', 'United States'),
(144600, '208.80.136.0', '208.80.139.255', 3494938624, 3494939647, 'CA', 'Canada'),
(144601, '208.80.140.0', '208.80.180.1', 3494939648, 3494949889, 'US', 'United States'),
(144602, '208.80.180.2', '208.80.180.254', 3494949890, 3494950142, 'GB', 'United Kingdom'),
(144603, '208.80.180.255', '208.80.182.255', 3494950143, 3494950655, 'US', 'United States'),
(144604, '208.80.183.0', '208.80.183.255', 3494950656, 3494950911, 'PH', 'Philippines'),
(144605, '208.80.184.0', '208.80.235.255', 3494950912, 3494964223, 'US', 'United States'),
(144606, '208.80.236.0', '208.80.239.255', 3494964224, 3494965247, 'PR', 'Puerto Rico'),
(144607, '208.80.240.0', '208.80.251.255', 3494965248, 3494968319, 'US', 'United States'),
(144608, '208.80.252.0', '208.81.11.255', 3494968320, 3494972415, 'CA', 'Canada'),
(144609, '208.81.12.0', '208.81.39.255', 3494972416, 3494979583, 'US', 'United States'),
(144610, '208.81.40.0', '208.81.47.255', 3494979584, 3494981631, 'CA', 'Canada'),
(144611, '208.81.48.0', '208.81.119.255', 3494981632, 3495000063, 'US', 'United States'),
(144612, '208.81.120.0', '208.81.123.255', 3495000064, 3495001087, 'CA', 'Canada'),
(144613, '208.81.124.0', '208.81.143.255', 3495001088, 3495006207, 'US', 'United States'),
(144614, '208.81.144.0', '208.81.147.255', 3495006208, 3495007231, 'CA', 'Canada'),
(144615, '208.81.148.0', '208.81.159.255', 3495007232, 3495010303, 'US', 'United States'),
(144616, '208.81.160.0', '208.81.163.255', 3495010304, 3495011327, 'KN', 'Saint Kitts and Nevis'),
(144617, '208.81.164.0', '208.81.167.255', 3495011328, 3495012351, 'US', 'United States'),
(144618, '208.81.168.0', '208.81.175.255', 3495012352, 3495014399, 'PR', 'Puerto Rico'),
(144619, '208.81.176.0', '208.81.176.48', 3495014400, 3495014448, 'US', 'United States'),
(144620, '208.81.176.49', '208.81.176.56', 3495014449, 3495014456, 'SG', 'Singapore'),
(144621, '208.81.176.57', '208.81.211.255', 3495014457, 3495023615, 'US', 'United States'),
(144622, '208.81.212.0', '208.81.215.255', 3495023616, 3495024639, 'CA', 'Canada'),
(144623, '208.81.216.0', '208.82.87.255', 3495024640, 3495057407, 'US', 'United States'),
(144624, '208.82.88.0', '208.82.95.255', 3495057408, 3495059455, 'CA', 'Canada'),
(144625, '208.82.96.0', '208.82.119.255', 3495059456, 3495065599, 'US', 'United States'),
(144626, '208.82.120.0', '208.82.123.255', 3495065600, 3495066623, 'CA', 'Canada'),
(144627, '208.82.124.0', '208.82.129.127', 3495066624, 3495068031, 'US', 'United States'),
(144628, '208.82.129.128', '208.82.129.143', 3495068032, 3495068047, 'PL', 'Poland'),
(144629, '208.82.129.144', '208.82.130.63', 3495068048, 3495068223, 'US', 'United States'),
(144630, '208.82.130.64', '208.82.130.79', 3495068224, 3495068239, 'PL', 'Poland'),
(144631, '208.82.130.80', '208.82.131.239', 3495068240, 3495068655, 'US', 'United States'),
(144632, '208.82.131.240', '208.82.131.255', 3495068656, 3495068671, 'PL', 'Poland'),
(144633, '208.82.132.0', '208.82.163.255', 3495068672, 3495076863, 'US', 'United States'),
(144634, '208.82.164.0', '208.82.167.255', 3495076864, 3495077887, 'BM', 'Bermuda'),
(144635, '208.82.168.0', '208.82.215.255', 3495077888, 3495090175, 'US', 'United States'),
(144636, '208.82.216.0', '208.82.219.255', 3495090176, 3495091199, 'KY', 'Cayman Islands'),
(144637, '208.82.220.0', '208.82.247.255', 3495091200, 3495098367, 'US', 'United States'),
(144638, '208.82.248.0', '208.82.255.255', 3495098368, 3495100415, 'CA', 'Canada'),
(144639, '208.83.0.0', '208.83.79.255', 3495100416, 3495120895, 'US', 'United States'),
(144640, '208.83.80.0', '208.83.87.255', 3495120896, 3495122943, 'AG', 'Antigua and Barbuda'),
(144641, '208.83.88.0', '208.83.89.223', 3495122944, 3495123423, 'US', 'United States'),
(144642, '208.83.89.224', '208.83.89.239', 3495123424, 3495123439, 'IN', 'India'),
(144643, '208.83.89.240', '208.83.89.255', 3495123440, 3495123455, 'US', 'United States'),
(144644, '208.83.90.0', '208.83.91.255', 3495123456, 3495123967, 'GB', 'United Kingdom'),
(144645, '208.83.92.0', '208.83.106.63', 3495123968, 3495127615, 'US', 'United States'),
(144646, '208.83.106.64', '208.83.106.95', 3495127616, 3495127647, 'CA', 'Canada'),
(144647, '208.83.106.96', '208.83.111.159', 3495127648, 3495128991, 'US', 'United States'),
(144648, '208.83.111.160', '208.83.111.175', 3495128992, 3495129007, 'AE', 'United Arab Emirates'),
(144649, '208.83.111.176', '208.83.140.215', 3495129008, 3495136471, 'US', 'United States'),
(144650, '208.83.140.216', '208.83.140.223', 3495136472, 3495136479, 'AR', 'Argentina'),
(144651, '208.83.140.224', '208.83.140.239', 3495136480, 3495136495, 'US', 'United States'),
(144652, '208.83.140.240', '208.83.140.247', 3495136496, 3495136503, 'IN', 'India'),
(144653, '208.83.140.248', '208.83.142.79', 3495136504, 3495136847, 'US', 'United States'),
(144654, '208.83.142.80', '208.83.142.87', 3495136848, 3495136855, 'PR', 'Puerto Rico'),
(144655, '208.83.142.88', '208.83.207.255', 3495136856, 3495153663, 'US', 'United States'),
(144656, '208.83.208.0', '208.83.215.255', 3495153664, 3495155711, 'CA', 'Canada'),
(144657, '208.83.216.0', '208.83.221.47', 3495155712, 3495157039, 'US', 'United States'),
(144658, '208.83.221.48', '208.83.221.55', 3495157040, 3495157047, 'SE', 'Sweden'),
(144659, '208.83.221.56', '208.83.249.31', 3495157048, 3495164191, 'US', 'United States'),
(144660, '208.83.249.32', '208.83.249.39', 3495164192, 3495164199, 'CA', 'Canada'),
(144661, '208.83.249.40', '208.83.249.79', 3495164200, 3495164239, 'US', 'United States'),
(144662, '208.83.249.80', '208.83.249.87', 3495164240, 3495164247, 'CA', 'Canada'),
(144663, '208.83.249.88', '208.83.249.175', 3495164248, 3495164335, 'US', 'United States'),
(144664, '208.83.249.176', '208.83.249.183', 3495164336, 3495164343, 'CO', 'Colombia'),
(144665, '208.83.249.184', '208.84.82.255', 3495164344, 3495187199, 'US', 'United States'),
(144666, '208.84.83.0', '208.84.83.255', 3495187200, 3495187455, 'IM', 'Isle of Man'),
(144667, '208.84.84.0', '208.84.103.255', 3495187456, 3495192575, 'US', 'United States'),
(144668, '208.84.104.0', '208.84.107.255', 3495192576, 3495193599, 'CA', 'Canada'),
(144669, '208.84.108.0', '208.84.191.255', 3495193600, 3495215103, 'US', 'United States'),
(144670, '208.84.192.0', '208.84.199.255', 3495215104, 3495217151, 'VI', 'Virgin Islands, U.S.'),
(144671, '208.84.200.0', '208.84.207.255', 3495217152, 3495219199, 'VC', 'Saint Vincent and the Grenadines'),
(144672, '208.84.208.0', '208.85.79.255', 3495219200, 3495251967, 'US', 'United States'),
(144673, '208.85.80.0', '208.85.87.255', 3495251968, 3495254015, 'CA', 'Canada'),
(144674, '208.85.88.0', '208.85.111.255', 3495254016, 3495260159, 'US', 'United States'),
(144675, '208.85.112.0', '208.85.115.255', 3495260160, 3495261183, 'CA', 'Canada'),
(144676, '208.85.116.0', '208.85.174.255', 3495261184, 3495276287, 'US', 'United States'),
(144677, '208.85.175.0', '208.85.175.63', 3495276288, 3495276351, 'IN', 'India'),
(144678, '208.85.175.64', '208.85.215.255', 3495276352, 3495286783, 'US', 'United States'),
(144679, '208.85.216.0', '208.85.223.255', 3495286784, 3495288831, 'CA', 'Canada'),
(144680, '208.85.224.0', '208.86.44.159', 3495288832, 3495308447, 'US', 'United States'),
(144681, '208.86.44.160', '208.86.44.175', 3495308448, 3495308463, 'HK', 'Hong Kong'),
(144682, '208.86.44.176', '208.86.45.63', 3495308464, 3495308607, 'US', 'United States'),
(144683, '208.86.45.64', '208.86.45.127', 3495308608, 3495308671, 'IL', 'Israel'),
(144684, '208.86.45.128', '208.86.135.255', 3495308672, 3495331839, 'US', 'United States'),
(144685, '208.86.136.0', '208.86.139.255', 3495331840, 3495332863, 'A2', 'Satellite Provider'),
(144686, '208.86.140.0', '208.86.143.255', 3495332864, 3495333887, 'CA', 'Canada'),
(144687, '208.86.144.0', '208.86.203.255', 3495333888, 3495349247, 'US', 'United States'),
(144688, '208.86.204.0', '208.86.207.255', 3495349248, 3495350271, 'CA', 'Canada'),
(144689, '208.86.208.0', '208.86.239.255', 3495350272, 3495358463, 'US', 'United States'),
(144690, '208.86.240.0', '208.86.243.255', 3495358464, 3495359487, 'CA', 'Canada'),
(144691, '208.86.244.0', '208.86.249.255', 3495359488, 3495361023, 'US', 'United States'),
(144692, '208.86.250.0', '208.86.250.31', 3495361024, 3495361055, 'CA', 'Canada'),
(144693, '208.86.250.32', '208.87.0.63', 3495361056, 3495362623, 'US', 'United States'),
(144694, '208.87.0.64', '208.87.0.71', 3495362624, 3495362631, 'BD', 'Bangladesh'),
(144695, '208.87.0.72', '208.87.0.79', 3495362632, 3495362639, 'AR', 'Argentina'),
(144696, '208.87.0.80', '208.87.0.151', 3495362640, 3495362711, 'US', 'United States'),
(144697, '208.87.0.152', '208.87.0.159', 3495362712, 3495362719, 'AR', 'Argentina'),
(144698, '208.87.0.160', '208.87.0.167', 3495362720, 3495362727, 'US', 'United States'),
(144699, '208.87.0.168', '208.87.0.175', 3495362728, 3495362735, 'A2', 'Satellite Provider'),
(144700, '208.87.0.176', '208.87.0.191', 3495362736, 3495362751, 'SG', 'Singapore'),
(144701, '208.87.0.192', '208.87.1.203', 3495362752, 3495363019, 'US', 'United States'),
(144702, '208.87.1.204', '208.87.1.207', 3495363020, 3495363023, 'AR', 'Argentina'),
(144703, '208.87.1.208', '208.87.3.71', 3495363024, 3495363399, 'US', 'United States'),
(144704, '208.87.3.72', '208.87.3.79', 3495363400, 3495363407, 'BD', 'Bangladesh'),
(144705, '208.87.3.80', '208.87.3.111', 3495363408, 3495363439, 'US', 'United States'),
(144706, '208.87.3.112', '208.87.3.127', 3495363440, 3495363455, 'BD', 'Bangladesh'),
(144707, '208.87.3.128', '208.87.19.255', 3495363456, 3495367679, 'US', 'United States'),
(144708, '208.87.20.0', '208.87.23.255', 3495367680, 3495368703, 'CA', 'Canada'),
(144709, '208.87.24.0', '208.87.29.255', 3495368704, 3495370239, 'US', 'United States'),
(144710, '208.87.30.0', '208.87.30.255', 3495370240, 3495370495, 'CA', 'Canada'),
(144711, '208.87.31.0', '208.87.31.255', 3495370496, 3495370751, 'US', 'United States'),
(144712, '208.87.32.0', '208.87.39.255', 3495370752, 3495372799, 'BS', 'Bahamas'),
(144713, '208.87.40.0', '208.87.51.255', 3495372800, 3495375871, 'US', 'United States'),
(144714, '208.87.52.0', '208.87.55.255', 3495375872, 3495376895, 'CA', 'Canada'),
(144715, '208.87.56.0', '208.87.143.255', 3495376896, 3495399423, 'US', 'United States'),
(144716, '208.87.144.0', '208.87.147.255', 3495399424, 3495400447, 'KN', 'Saint Kitts and Nevis'),
(144717, '208.87.148.0', '208.87.151.255', 3495400448, 3495401471, 'US', 'United States'),
(144718, '208.87.160.0', '208.87.195.255', 3495403520, 3495412735, 'US', 'United States'),
(144719, '208.87.196.0', '208.87.199.255', 3495412736, 3495413759, 'CA', 'Canada'),
(144720, '208.87.200.0', '208.87.240.33', 3495413760, 3495424033, 'US', 'United States'),
(144721, '208.87.240.34', '208.87.240.42', 3495424034, 3495424042, 'IN', 'India'),
(144722, '208.87.240.43', '208.87.241.30', 3495424043, 3495424286, 'US', 'United States'),
(144723, '208.87.241.31', '208.87.241.52', 3495424287, 3495424308, 'IN', 'India'),
(144724, '208.87.241.53', '208.87.241.65', 3495424309, 3495424321, 'US', 'United States'),
(144725, '208.87.241.66', '208.87.241.90', 3495424322, 3495424346, 'IN', 'India'),
(144726, '208.87.241.91', '208.87.241.99', 3495424347, 3495424355, 'US', 'United States'),
(144727, '208.87.241.100', '208.87.241.125', 3495424356, 3495424381, 'IN', 'India'),
(144728, '208.87.241.126', '208.87.242.117', 3495424382, 3495424629, 'US', 'United States'),
(144729, '208.87.242.118', '208.87.242.125', 3495424630, 3495424637, 'IN', 'India'),
(144730, '208.87.242.126', '208.87.243.21', 3495424638, 3495424789, 'US', 'United States'),
(144731, '208.87.243.22', '208.87.243.29', 3495424790, 3495424797, 'IN', 'India'),
(144732, '208.87.243.30', '208.87.243.97', 3495424798, 3495424865, 'US', 'United States'),
(144733, '208.87.243.98', '208.87.243.110', 3495424866, 3495424878, 'IN', 'India'),
(144734, '208.87.243.111', '208.87.243.145', 3495424879, 3495424913, 'US', 'United States'),
(144735, '208.87.243.146', '208.87.243.151', 3495424914, 3495424919, 'IN', 'India'),
(144736, '208.87.243.152', '208.88.3.255', 3495424920, 3495429119, 'US', 'United States'),
(144737, '208.88.4.0', '208.88.7.255', 3495429120, 3495430143, 'CA', 'Canada'),
(144738, '208.88.8.0', '208.88.49.159', 3495430144, 3495440799, 'US', 'United States'),
(144739, '208.88.49.160', '208.88.49.175', 3495440800, 3495440815, 'PL', 'Poland'),
(144740, '208.88.49.176', '208.88.49.191', 3495440816, 3495440831, 'US', 'United States'),
(144741, '208.88.49.192', '208.88.49.207', 3495440832, 3495440847, 'IN', 'India'),
(144742, '208.88.49.208', '208.88.49.255', 3495440848, 3495440895, 'US', 'United States'),
(144743, '208.88.50.0', '208.88.50.15', 3495440896, 3495440911, 'PL', 'Poland'),
(144744, '208.88.50.16', '208.88.50.255', 3495440912, 3495441151, 'US', 'United States'),
(144745, '208.88.51.0', '208.88.51.15', 3495441152, 3495441167, 'PL', 'Poland'),
(144746, '208.88.51.16', '208.88.51.255', 3495441168, 3495441407, 'US', 'United States'),
(144747, '208.88.52.0', '208.88.52.15', 3495441408, 3495441423, 'PL', 'Poland'),
(144748, '208.88.52.16', '208.88.52.255', 3495441424, 3495441663, 'US', 'United States'),
(144749, '208.88.53.0', '208.88.53.15', 3495441664, 3495441679, 'PL', 'Poland'),
(144750, '208.88.53.16', '208.88.53.255', 3495441680, 3495441919, 'US', 'United States'),
(144751, '208.88.54.0', '208.88.54.15', 3495441920, 3495441935, 'PL', 'Poland'),
(144752, '208.88.54.16', '208.88.55.143', 3495441936, 3495442319, 'US', 'United States'),
(144753, '208.88.55.144', '208.88.55.159', 3495442320, 3495442335, 'PL', 'Poland'),
(144754, '208.88.55.160', '208.88.107.255', 3495442336, 3495455743, 'US', 'United States'),
(144755, '208.88.108.0', '208.88.111.255', 3495455744, 3495456767, 'CA', 'Canada'),
(144756, '208.88.112.0', '208.88.139.255', 3495456768, 3495463935, 'US', 'United States'),
(144757, '208.88.140.0', '208.88.143.255', 3495463936, 3495464959, 'CA', 'Canada'),
(144758, '208.88.144.0', '208.88.183.255', 3495464960, 3495475199, 'US', 'United States'),
(144759, '208.88.184.0', '208.88.185.255', 3495475200, 3495475711, 'CA', 'Canada'),
(144760, '208.88.186.0', '208.88.187.255', 3495475712, 3495476223, 'EE', 'Estonia'),
(144761, '208.88.188.0', '208.88.191.255', 3495476224, 3495477247, 'CA', 'Canada'),
(144762, '208.88.192.0', '208.88.195.255', 3495477248, 3495478271, 'US', 'United States'),
(144763, '208.88.196.0', '208.88.199.255', 3495478272, 3495479295, 'CA', 'Canada'),
(144764, '208.88.200.0', '208.88.224.159', 3495479296, 3495485599, 'US', 'United States'),
(144765, '208.88.224.160', '208.88.224.175', 3495485600, 3495485615, 'GB', 'United Kingdom'),
(144766, '208.88.224.176', '208.88.224.191', 3495485616, 3495485631, 'US', 'United States'),
(144767, '208.88.224.192', '208.88.224.223', 3495485632, 3495485663, 'VG', 'Virgin Islands, British'),
(144768, '208.88.224.224', '208.88.226.127', 3495485664, 3495486079, 'US', 'United States'),
(144769, '208.88.226.128', '208.88.226.191', 3495486080, 3495486143, 'PA', 'Panama'),
(144770, '208.88.226.192', '208.88.226.255', 3495486144, 3495486207, 'US', 'United States'),
(144771, '208.88.227.0', '208.88.227.31', 3495486208, 3495486239, 'AI', 'Anguilla'),
(144772, '208.88.227.32', '208.88.227.127', 3495486240, 3495486335, 'US', 'United States'),
(144773, '208.88.227.128', '208.88.227.191', 3495486336, 3495486399, 'VG', 'Virgin Islands, British'),
(144774, '208.88.227.192', '208.89.47.255', 3495486400, 3495505919, 'US', 'United States'),
(144775, '208.89.48.0', '208.89.55.255', 3495505920, 3495507967, 'CA', 'Canada'),
(144776, '208.89.56.0', '208.89.83.255', 3495507968, 3495515135, 'US', 'United States'),
(144777, '208.89.84.0', '208.89.87.255', 3495515136, 3495516159, 'CA', 'Canada'),
(144778, '208.89.88.0', '208.89.104.119', 3495516160, 3495520375, 'US', 'United States'),
(144779, '208.89.104.120', '208.89.104.123', 3495520376, 3495520379, 'SG', 'Singapore'),
(144780, '208.89.104.124', '208.89.105.59', 3495520380, 3495520571, 'US', 'United States'),
(144781, '208.89.105.60', '208.89.105.67', 3495520572, 3495520579, 'KE', 'Kenya'),
(144782, '208.89.105.68', '208.89.105.155', 3495520580, 3495520667, 'US', 'United States'),
(144783, '208.89.105.156', '208.89.105.194', 3495520668, 3495520706, 'BR', 'Brazil'),
(144784, '208.89.105.195', '208.89.127.255', 3495520707, 3495526399, 'US', 'United States'),
(144785, '208.89.128.0', '208.89.131.255', 3495526400, 3495527423, 'CA', 'Canada'),
(144786, '208.89.132.0', '208.89.191.255', 3495527424, 3495542783, 'US', 'United States'),
(144787, '208.89.192.0', '208.89.196.255', 3495542784, 3495544063, 'A2', 'Satellite Provider'),
(144788, '208.89.197.0', '208.89.197.255', 3495544064, 3495544319, 'NG', 'Nigeria'),
(144789, '208.89.198.0', '208.89.199.255', 3495544320, 3495544831, 'A2', 'Satellite Provider'),
(144790, '208.89.200.0', '208.89.208.212', 3495544832, 3495547092, 'US', 'United States'),
(144791, '208.89.208.213', '208.89.208.213', 3495547093, 3495547093, 'BD', 'Bangladesh'),
(144792, '208.89.208.214', '208.89.208.222', 3495547094, 3495547102, 'US', 'United States'),
(144793, '208.89.208.223', '208.89.208.223', 3495547103, 3495547103, 'BD', 'Bangladesh'),
(144794, '208.89.208.224', '208.89.210.34', 3495547104, 3495547426, 'US', 'United States'),
(144795, '208.89.210.35', '208.89.210.35', 3495547427, 3495547427, 'BD', 'Bangladesh'),
(144796, '208.89.210.36', '208.89.210.53', 3495547428, 3495547445, 'US', 'United States'),
(144797, '208.89.210.54', '208.89.210.55', 3495547446, 3495547447, 'BD', 'Bangladesh'),
(144798, '208.89.210.56', '208.89.210.213', 3495547448, 3495547605, 'US', 'United States'),
(144799, '208.89.210.214', '208.89.210.214', 3495547606, 3495547606, 'BD', 'Bangladesh'),
(144800, '208.89.210.215', '208.89.210.241', 3495547607, 3495547633, 'US', 'United States'),
(144801, '208.89.210.242', '208.89.210.243', 3495547634, 3495547635, 'CO', 'Colombia'),
(144802, '208.89.210.244', '208.89.212.222', 3495547636, 3495548126, 'US', 'United States'),
(144803, '208.89.212.223', '208.89.212.225', 3495548127, 3495548129, 'NO', 'Norway'),
(144804, '208.89.212.226', '208.89.213.45', 3495548130, 3495548205, 'US', 'United States'),
(144805, '208.89.213.46', '208.89.213.47', 3495548206, 3495548207, 'ID', 'Indonesia'),
(144806, '208.89.213.48', '208.89.214.21', 3495548208, 3495548437, 'US', 'United States'),
(144807, '208.89.214.22', '208.89.214.22', 3495548438, 3495548438, 'ES', 'Spain'),
(144808, '208.89.214.23', '208.89.214.128', 3495548439, 3495548544, 'US', 'United States'),
(144809, '208.89.214.129', '208.89.214.129', 3495548545, 3495548545, 'BD', 'Bangladesh'),
(144810, '208.89.214.130', '208.89.214.132', 3495548546, 3495548548, 'US', 'United States'),
(144811, '208.89.214.133', '208.89.214.133', 3495548549, 3495548549, 'ES', 'Spain'),
(144812, '208.89.214.134', '208.89.214.134', 3495548550, 3495548550, 'BD', 'Bangladesh'),
(144813, '208.89.214.135', '208.89.214.142', 3495548551, 3495548558, 'US', 'United States'),
(144814, '208.89.214.143', '208.89.214.143', 3495548559, 3495548559, 'ES', 'Spain'),
(144815, '208.89.214.144', '208.89.214.170', 3495548560, 3495548586, 'US', 'United States'),
(144816, '208.89.214.171', '208.89.214.172', 3495548587, 3495548588, 'LK', 'Sri Lanka'),
(144817, '208.89.214.173', '208.89.214.219', 3495548589, 3495548635, 'US', 'United States'),
(144818, '208.89.214.220', '208.89.214.221', 3495548636, 3495548637, 'BD', 'Bangladesh'),
(144819, '208.89.214.222', '208.89.214.224', 3495548638, 3495548640, 'US', 'United States'),
(144820, '208.89.214.225', '208.89.214.232', 3495548641, 3495548648, 'BD', 'Bangladesh'),
(144821, '208.89.214.233', '208.89.219.113', 3495548649, 3495549809, 'US', 'United States'),
(144822, '208.89.219.114', '208.89.219.117', 3495549810, 3495549813, 'IN', 'India'),
(144823, '208.89.219.118', '208.89.219.221', 3495549814, 3495549917, 'US', 'United States'),
(144824, '208.89.219.222', '208.89.219.227', 3495549918, 3495549923, 'CA', 'Canada'),
(144825, '208.89.219.228', '208.89.220.255', 3495549924, 3495550207, 'US', 'United States'),
(144826, '208.89.221.0', '208.89.221.255', 3495550208, 3495550463, 'CA', 'Canada'),
(144827, '208.89.222.0', '208.89.227.255', 3495550464, 3495551999, 'US', 'United States'),
(144828, '208.89.228.0', '208.89.231.255', 3495552000, 3495553023, 'BM', 'Bermuda'),
(144829, '208.89.232.0', '208.90.79.255', 3495553024, 3495579647, 'US', 'United States'),
(144830, '208.90.80.0', '208.90.87.255', 3495579648, 3495581695, 'CA', 'Canada'),
(144831, '208.90.88.0', '208.90.95.255', 3495581696, 3495583743, 'US', 'United States'),
(144832, '208.90.96.0', '208.90.103.255', 3495583744, 3495585791, 'CA', 'Canada'),
(144833, '208.90.104.0', '208.90.111.255', 3495585792, 3495587839, 'US', 'United States'),
(144834, '208.90.112.0', '208.90.115.255', 3495587840, 3495588863, 'MS', 'Montserrat'),
(144835, '208.90.116.0', '208.90.231.255', 3495588864, 3495618559, 'US', 'United States'),
(144836, '208.90.232.0', '208.90.235.255', 3495618560, 3495619583, 'CA', 'Canada'),
(144837, '208.90.236.0', '208.90.239.255', 3495619584, 3495620607, 'US', 'United States'),
(144838, '208.90.240.0', '208.90.247.255', 3495620608, 3495622655, 'CA', 'Canada'),
(144839, '208.90.248.0', '208.91.111.255', 3495622656, 3495653375, 'US', 'United States'),
(144840, '208.91.112.0', '208.91.115.255', 3495653376, 3495654399, 'CA', 'Canada'),
(144841, '208.91.116.0', '208.91.128.79', 3495654400, 3495657551, 'US', 'United States'),
(144842, '208.91.128.80', '208.91.128.95', 3495657552, 3495657567, 'GB', 'United Kingdom'),
(144843, '208.91.128.96', '208.91.132.31', 3495657568, 3495658527, 'US', 'United States'),
(144844, '208.91.132.32', '208.91.132.63', 3495658528, 3495658559, 'FR', 'France'),
(144845, '208.91.132.64', '208.91.191.255', 3495658560, 3495673855, 'US', 'United States'),
(144846, '208.91.192.0', '208.91.194.255', 3495673856, 3495674623, 'GP', 'Guadeloupe'),
(144847, '208.91.195.0', '208.91.195.255', 3495674624, 3495674879, 'MF', 'Saint Martin'),
(144848, '208.91.196.0', '208.91.199.255', 3495674880, 3495675903, 'VG', 'Virgin Islands, British'),
(144849, '208.91.200.0', '208.91.247.255', 3495675904, 3495688191, 'US', 'United States'),
(144850, '208.91.248.0', '208.91.251.255', 3495688192, 3495689215, 'CA', 'Canada'),
(144851, '208.91.252.0', '208.92.15.255', 3495689216, 3495694335, 'US', 'United States'),
(144852, '208.92.16.0', '208.92.23.255', 3495694336, 3495696383, 'CA', 'Canada'),
(144853, '208.92.32.0', '208.92.51.255', 3495698432, 3495703551, 'US', 'United States'),
(144854, '208.92.52.0', '208.92.53.255', 3495703552, 3495704063, 'GB', 'United Kingdom'),
(144855, '208.92.54.0', '208.92.55.255', 3495704064, 3495704575, 'CA', 'Canada'),
(144856, '208.92.56.0', '208.92.111.255', 3495704576, 3495718911, 'US', 'United States'),
(144857, '208.92.112.0', '208.92.112.239', 3495718912, 3495719151, 'A2', 'Satellite Provider'),
(144858, '208.92.112.240', '208.92.113.255', 3495719152, 3495719423, 'CA', 'Canada'),
(144859, '208.92.114.0', '208.92.119.255', 3495719424, 3495720959, 'A2', 'Satellite Provider'),
(144860, '208.92.120.0', '208.92.131.255', 3495720960, 3495724031, 'US', 'United States'),
(144861, '208.92.132.0', '208.92.134.191', 3495724032, 3495724735, 'CA', 'Canada'),
(144862, '208.92.134.192', '208.92.134.255', 3495724736, 3495724799, 'US', 'United States'),
(144863, '208.92.135.0', '208.92.143.255', 3495724800, 3495727103, 'CA', 'Canada'),
(144864, '208.92.144.0', '208.92.195.255', 3495727104, 3495740415, 'US', 'United States'),
(144865, '208.92.196.0', '208.92.199.255', 3495740416, 3495741439, 'CA', 'Canada'),
(144866, '208.92.200.0', '208.92.231.255', 3495741440, 3495749631, 'US', 'United States'),
(144867, '208.92.232.0', '208.92.232.135', 3495749632, 3495749767, 'CA', 'Canada'),
(144868, '208.92.232.136', '208.92.232.141', 3495749768, 3495749773, 'US', 'United States'),
(144869, '208.92.232.142', '208.92.232.205', 3495749774, 3495749837, 'CA', 'Canada'),
(144870, '208.92.232.206', '208.92.232.209', 3495749838, 3495749841, 'IT', 'Italy'),
(144871, '208.92.232.210', '208.92.232.214', 3495749842, 3495749846, 'CA', 'Canada'),
(144872, '208.92.232.215', '208.92.232.224', 3495749847, 3495749856, 'US', 'United States'),
(144873, '208.92.232.225', '208.92.232.229', 3495749857, 3495749861, 'RU', 'Russian Federation'),
(144874, '208.92.232.230', '208.92.232.230', 3495749862, 3495749862, 'CA', 'Canada'),
(144875, '208.92.232.231', '208.92.232.235', 3495749863, 3495749867, 'HK', 'Hong Kong'),
(144876, '208.92.232.236', '208.92.233.20', 3495749868, 3495749908, 'CA', 'Canada'),
(144877, '208.92.233.21', '208.92.233.30', 3495749909, 3495749918, 'US', 'United States'),
(144878, '208.92.233.31', '208.92.233.51', 3495749919, 3495749939, 'CA', 'Canada'),
(144879, '208.92.233.52', '208.92.233.56', 3495749940, 3495749944, 'US', 'United States'),
(144880, '208.92.233.57', '208.92.233.66', 3495749945, 3495749954, 'CA', 'Canada'),
(144881, '208.92.233.67', '208.92.233.71', 3495749955, 3495749959, 'US', 'United States'),
(144882, '208.92.233.72', '208.92.233.138', 3495749960, 3495750026, 'CA', 'Canada'),
(144883, '208.92.233.139', '208.92.233.163', 3495750027, 3495750051, 'US', 'United States'),
(144884, '208.92.233.164', '208.92.233.214', 3495750052, 3495750102, 'CA', 'Canada'),
(144885, '208.92.233.215', '208.92.233.239', 3495750103, 3495750127, 'GB', 'United Kingdom'),
(144886, '208.92.233.240', '208.92.234.45', 3495750128, 3495750189, 'CA', 'Canada'),
(144887, '208.92.234.46', '208.92.234.60', 3495750190, 3495750204, 'PA', 'Panama'),
(144888, '208.92.234.61', '208.92.234.118', 3495750205, 3495750262, 'CA', 'Canada'),
(144889, '208.92.234.119', '208.92.234.133', 3495750263, 3495750277, 'US', 'United States'),
(144890, '208.92.234.134', '208.92.234.134', 3495750278, 3495750278, 'CA', 'Canada'),
(144891, '208.92.234.135', '208.92.234.139', 3495750279, 3495750283, 'ZA', 'South Africa'),
(144892, '208.92.234.140', '208.92.234.199', 3495750284, 3495750343, 'CA', 'Canada'),
(144893, '208.92.234.200', '208.92.234.234', 3495750344, 3495750378, 'AU', 'Australia'),
(144894, '208.92.234.235', '208.92.235.4', 3495750379, 3495750404, 'CA', 'Canada'),
(144895, '208.92.235.5', '208.92.235.8', 3495750405, 3495750408, 'US', 'United States'),
(144896, '208.92.235.9', '208.92.235.34', 3495750409, 3495750434, 'CA', 'Canada'),
(144897, '208.92.235.35', '208.92.235.44', 3495750435, 3495750444, 'AU', 'Australia'),
(144898, '208.92.235.45', '208.92.235.50', 3495750445, 3495750450, 'CA', 'Canada'),
(144899, '208.92.235.51', '208.92.235.55', 3495750451, 3495750455, 'US', 'United States'),
(144900, '208.92.235.56', '208.92.235.94', 3495750456, 3495750494, 'CA', 'Canada'),
(144901, '208.92.235.95', '208.92.235.99', 3495750495, 3495750499, 'BR', 'Brazil'),
(144902, '208.92.235.100', '208.92.235.255', 3495750500, 3495750655, 'CA', 'Canada'),
(144903, '208.92.236.0', '208.93.99.191', 3495750656, 3495781311, 'US', 'United States'),
(144904, '208.93.99.192', '208.93.99.255', 3495781312, 3495781375, 'CA', 'Canada'),
(144905, '208.93.100.0', '208.93.231.255', 3495781376, 3495815167, 'US', 'United States'),
(144906, '208.93.232.0', '208.93.232.239', 3495815168, 3495815407, 'CA', 'Canada'),
(144907, '208.93.232.240', '208.93.232.243', 3495815408, 3495815411, 'US', 'United States'),
(144908, '208.93.232.244', '208.93.233.191', 3495815412, 3495815615, 'CA', 'Canada'),
(144909, '208.93.233.192', '208.93.233.195', 3495815616, 3495815619, 'US', 'United States'),
(144910, '208.93.233.196', '208.93.239.255', 3495815620, 3495817215, 'CA', 'Canada'),
(144911, '208.93.240.0', '208.94.27.255', 3495817216, 3495828479, 'US', 'United States'),
(144912, '208.94.28.0', '208.94.31.255', 3495828480, 3495829503, 'CA', 'Canada'),
(144913, '208.94.32.0', '208.94.63.255', 3495829504, 3495837695, 'US', 'United States'),
(144914, '208.94.64.0', '208.94.66.255', 3495837696, 3495838463, 'CA', 'Canada'),
(144915, '208.94.67.0', '208.94.103.255', 3495838464, 3495847935, 'US', 'United States'),
(144916, '208.94.104.0', '208.94.111.255', 3495847936, 3495849983, 'CA', 'Canada'),
(144917, '208.94.112.0', '208.94.148.132', 3495849984, 3495859332, 'US', 'United States'),
(144918, '208.94.148.133', '208.94.148.133', 3495859333, 3495859333, 'AU', 'Australia'),
(144919, '208.94.148.134', '208.94.148.194', 3495859334, 3495859394, 'US', 'United States'),
(144920, '208.94.148.195', '208.94.148.195', 3495859395, 3495859395, 'GB', 'United Kingdom'),
(144921, '208.94.148.196', '208.94.149.132', 3495859396, 3495859588, 'US', 'United States'),
(144922, '208.94.149.133', '208.94.149.133', 3495859589, 3495859589, 'AU', 'Australia'),
(144923, '208.94.149.134', '208.94.149.194', 3495859590, 3495859650, 'US', 'United States'),
(144924, '208.94.149.195', '208.94.149.195', 3495859651, 3495859651, 'GB', 'United Kingdom'),
(144925, '208.94.149.196', '208.94.159.255', 3495859652, 3495862271, 'US', 'United States'),
(144926, '208.94.160.0', '208.94.167.255', 3495862272, 3495864319, 'CA', 'Canada'),
(144927, '208.94.168.0', '208.94.169.255', 3495864320, 3495864831, 'DM', 'Dominica'),
(144928, '208.94.170.0', '208.94.171.255', 3495864832, 3495865343, 'MF', 'Saint Martin'),
(144929, '208.94.172.0', '208.94.172.95', 3495865344, 3495865439, 'CA', 'Canada'),
(144930, '208.94.172.96', '208.94.172.127', 3495865440, 3495865471, 'BD', 'Bangladesh'),
(144931, '208.94.172.128', '208.94.174.191', 3495865472, 3495866047, 'CA', 'Canada'),
(144932, '208.94.174.192', '208.94.174.223', 3495866048, 3495866079, 'US', 'United States'),
(144933, '208.94.174.224', '208.94.175.247', 3495866080, 3495866359, 'CA', 'Canada'),
(144934, '208.94.175.248', '208.94.175.251', 3495866360, 3495866363, 'US', 'United States'),
(144935, '208.94.175.252', '208.94.175.255', 3495866364, 3495866367, 'CA', 'Canada'),
(144936, '208.94.176.0', '208.94.183.255', 3495866368, 3495868415, 'LC', 'Saint Lucia'),
(144937, '208.94.184.0', '208.94.195.255', 3495868416, 3495871487, 'US', 'United States'),
(144938, '208.94.196.0', '208.94.199.255', 3495871488, 3495872511, 'CA', 'Canada'),
(144939, '208.94.200.0', '208.94.233.159', 3495872512, 3495881119, 'US', 'United States'),
(144940, '208.94.233.160', '208.94.233.191', 3495881120, 3495881151, 'PA', 'Panama'),
(144941, '208.94.233.192', '208.94.234.255', 3495881152, 3495881471, 'US', 'United States'),
(144942, '208.94.235.0', '208.94.235.255', 3495881472, 3495881727, 'PA', 'Panama'),
(144943, '208.94.236.0', '208.95.35.255', 3495881728, 3495896063, 'US', 'United States'),
(144944, '208.95.36.0', '208.95.39.255', 3495896064, 3495897087, 'PR', 'Puerto Rico'),
(144945, '208.95.40.0', '208.95.114.255', 3495897088, 3495916287, 'US', 'United States'),
(144946, '208.95.115.0', '208.95.115.255', 3495916288, 3495916543, 'SL', 'Sierra Leone'),
(144947, '208.95.116.0', '208.95.171.255', 3495916544, 3495930879, 'US', 'United States'),
(144948, '208.95.172.0', '208.95.175.255', 3495930880, 3495931903, 'CA', 'Canada'),
(144949, '208.95.176.0', '208.96.63.255', 3495931904, 3495968767, 'US', 'United States'),
(144950, '208.96.64.0', '208.96.127.255', 3495968768, 3495985151, 'CA', 'Canada'),
(144951, '208.96.128.0', '208.96.139.255', 3495985152, 3495988223, 'NI', 'Nicaragua'),
(144952, '208.96.140.0', '208.96.143.255', 3495988224, 3495989247, 'GT', 'Guatemala'),
(144953, '208.96.144.0', '208.97.63.255', 3495989248, 3496034303, 'US', 'United States'),
(144954, '208.97.64.0', '208.97.127.255', 3496034304, 3496050687, 'CA', 'Canada'),
(144955, '208.97.128.0', '208.98.191.255', 3496050688, 3496132607, 'US', 'United States'),
(144956, '208.98.192.0', '208.98.244.31', 3496132608, 3496145951, 'CA', 'Canada'),
(144957, '208.98.244.32', '208.98.244.63', 3496145952, 3496145983, 'US', 'United States'),
(144958, '208.98.244.64', '208.98.255.255', 3496145984, 3496148991, 'CA', 'Canada'),
(144959, '208.99.0.0', '208.99.127.255', 3496148992, 3496181759, 'US', 'United States'),
(144960, '208.99.128.0', '208.99.159.255', 3496181760, 3496189951, 'CA', 'Canada'),
(144961, '208.99.160.0', '208.99.161.255', 3496189952, 3496190463, 'US', 'United States'),
(144962, '208.99.162.0', '208.99.163.255', 3496190464, 3496190975, 'CA', 'Canada'),
(144963, '208.99.164.0', '208.99.207.255', 3496190976, 3496202239, 'US', 'United States'),
(144964, '208.99.208.0', '208.99.208.63', 3496202240, 3496202303, 'CA', 'Canada'),
(144965, '208.99.208.64', '208.99.222.15', 3496202304, 3496205839, 'US', 'United States'),
(144966, '208.99.222.16', '208.99.222.31', 3496205840, 3496205855, 'ID', 'Indonesia'),
(144967, '208.99.222.32', '208.99.222.47', 3496205856, 3496205871, 'CA', 'Canada'),
(144968, '208.99.222.48', '208.100.25.86', 3496205872, 3496221014, 'US', 'United States'),
(144969, '208.100.25.87', '208.100.25.88', 3496221015, 3496221016, 'GB', 'United Kingdom'),
(144970, '208.100.25.89', '208.101.63.255', 3496221017, 3496296447, 'US', 'United States'),
(144971, '208.101.64.0', '208.101.127.255', 3496296448, 3496312831, 'CA', 'Canada'),
(144972, '208.101.128.0', '208.103.223.255', 3496312832, 3496468479, 'US', 'United States'),
(144973, '208.103.224.0', '208.103.255.255', 3496468480, 3496476671, 'CA', 'Canada'),
(144974, '208.104.0.0', '208.110.15.255', 3496476672, 3496873983, 'US', 'United States'),
(144975, '208.110.16.0', '208.110.20.255', 3496873984, 3496875263, 'A2', 'Satellite Provider'),
(144976, '208.110.21.0', '208.110.21.255', 3496875264, 3496875519, 'BD', 'Bangladesh'),
(144977, '208.110.22.0', '208.110.31.255', 3496875520, 3496878079, 'A2', 'Satellite Provider'),
(144978, '208.110.32.0', '208.110.47.255', 3496878080, 3496882175, 'CA', 'Canada'),
(144979, '208.110.48.0', '208.110.64.127', 3496882176, 3496886399, 'US', 'United States'),
(144980, '208.110.64.128', '208.110.64.135', 3496886400, 3496886407, 'TR', 'Turkey'),
(144981, '208.110.64.136', '208.110.64.151', 3496886408, 3496886423, 'US', 'United States'),
(144982, '208.110.64.152', '208.110.64.191', 3496886424, 3496886463, 'TR', 'Turkey'),
(144983, '208.110.64.192', '208.110.64.223', 3496886464, 3496886495, 'US', 'United States'),
(144984, '208.110.64.224', '208.110.64.231', 3496886496, 3496886503, 'CA', 'Canada'),
(144985, '208.110.64.232', '208.110.65.87', 3496886504, 3496886615, 'US', 'United States'),
(144986, '208.110.65.88', '208.110.65.95', 3496886616, 3496886623, 'CA', 'Canada'),
(144987, '208.110.65.96', '208.110.65.127', 3496886624, 3496886655, 'US', 'United States'),
(144988, '208.110.65.128', '208.110.65.143', 3496886656, 3496886671, 'IN', 'India'),
(144989, '208.110.65.144', '208.110.65.183', 3496886672, 3496886711, 'US', 'United States'),
(144990, '208.110.65.184', '208.110.65.199', 3496886712, 3496886727, 'AU', 'Australia'),
(144991, '208.110.65.200', '208.110.66.39', 3496886728, 3496886823, 'US', 'United States'),
(144992, '208.110.66.40', '208.110.66.47', 3496886824, 3496886831, 'IN', 'India'),
(144993, '208.110.66.48', '208.110.66.151', 3496886832, 3496886935, 'US', 'United States'),
(144994, '208.110.66.152', '208.110.66.159', 3496886936, 3496886943, 'PK', 'Pakistan'),
(144995, '208.110.66.160', '208.110.67.95', 3496886944, 3496887135, 'US', 'United States'),
(144996, '208.110.67.96', '208.110.67.127', 3496887136, 3496887167, 'AU', 'Australia'),
(144997, '208.110.67.128', '208.110.68.103', 3496887168, 3496887399, 'US', 'United States'),
(144998, '208.110.68.104', '208.110.68.111', 3496887400, 3496887407, 'PK', 'Pakistan'),
(144999, '208.110.68.112', '208.110.68.175', 3496887408, 3496887471, 'US', 'United States'),
(145000, '208.110.68.176', '208.110.68.207', 3496887472, 3496887503, 'AU', 'Australia'),
(145001, '208.110.68.208', '208.110.68.215', 3496887504, 3496887511, 'US', 'United States'),
(145002, '208.110.68.216', '208.110.68.223', 3496887512, 3496887519, 'CA', 'Canada'),
(145003, '208.110.68.224', '208.110.68.231', 3496887520, 3496887527, 'AU', 'Australia'),
(145004, '208.110.68.232', '208.110.68.239', 3496887528, 3496887535, 'US', 'United States'),
(145005, '208.110.68.240', '208.110.68.247', 3496887536, 3496887543, 'PK', 'Pakistan'),
(145006, '208.110.68.248', '208.110.68.255', 3496887544, 3496887551, 'US', 'United States'),
(145007, '208.110.69.0', '208.110.69.7', 3496887552, 3496887559, 'TR', 'Turkey'),
(145008, '208.110.69.8', '208.110.69.23', 3496887560, 3496887575, 'US', 'United States'),
(145009, '208.110.69.24', '208.110.69.31', 3496887576, 3496887583, 'AU', 'Australia'),
(145010, '208.110.69.32', '208.110.69.79', 3496887584, 3496887631, 'US', 'United States'),
(145011, '208.110.69.80', '208.110.69.87', 3496887632, 3496887639, 'RU', 'Russian Federation'),
(145012, '208.110.69.88', '208.110.69.103', 3496887640, 3496887655, 'US', 'United States'),
(145013, '208.110.69.104', '208.110.69.111', 3496887656, 3496887663, 'AU', 'Australia'),
(145014, '208.110.69.112', '208.110.69.151', 3496887664, 3496887703, 'US', 'United States'),
(145015, '208.110.69.152', '208.110.69.175', 3496887704, 3496887727, 'AU', 'Australia'),
(145016, '208.110.69.176', '208.110.69.255', 3496887728, 3496887807, 'US', 'United States'),
(145017, '208.110.70.0', '208.110.70.127', 3496887808, 3496887935, 'AU', 'Australia'),
(145018, '208.110.70.128', '208.110.70.167', 3496887936, 3496887975, 'US', 'United States'),
(145019, '208.110.70.168', '208.110.70.175', 3496887976, 3496887983, 'AU', 'Australia'),
(145020, '208.110.70.176', '208.110.70.255', 3496887984, 3496888063, 'US', 'United States'),
(145021, '208.110.71.0', '208.110.71.31', 3496888064, 3496888095, 'AU', 'Australia'),
(145022, '208.110.71.32', '208.110.71.63', 3496888096, 3496888127, 'US', 'United States'),
(145023, '208.110.71.64', '208.110.71.95', 3496888128, 3496888159, 'TR', 'Turkey'),
(145024, '208.110.71.96', '208.110.71.143', 3496888160, 3496888207, 'US', 'United States'),
(145025, '208.110.71.144', '208.110.71.159', 3496888208, 3496888223, 'AU', 'Australia'),
(145026, '208.110.71.160', '208.110.71.167', 3496888224, 3496888231, 'US', 'United States'),
(145027, '208.110.71.168', '208.110.71.175', 3496888232, 3496888239, 'BR', 'Brazil'),
(145028, '208.110.71.176', '208.110.71.255', 3496888240, 3496888319, 'US', 'United States'),
(145029, '208.110.72.0', '208.110.72.15', 3496888320, 3496888335, 'AU', 'Australia'),
(145030, '208.110.72.16', '208.110.72.23', 3496888336, 3496888343, 'US', 'United States'),
(145031, '208.110.72.24', '208.110.72.31', 3496888344, 3496888351, 'AU', 'Australia'),
(145032, '208.110.72.32', '208.110.72.47', 3496888352, 3496888367, 'US', 'United States'),
(145033, '208.110.72.48', '208.110.72.63', 3496888368, 3496888383, 'AU', 'Australia'),
(145034, '208.110.72.64', '208.110.72.79', 3496888384, 3496888399, 'US', 'United States'),
(145035, '208.110.72.80', '208.110.72.95', 3496888400, 3496888415, 'AU', 'Australia'),
(145036, '208.110.72.96', '208.110.72.111', 3496888416, 3496888431, 'US', 'United States'),
(145037, '208.110.72.112', '208.110.72.119', 3496888432, 3496888439, 'AU', 'Australia'),
(145038, '208.110.72.120', '208.110.73.7', 3496888440, 3496888583, 'US', 'United States'),
(145039, '208.110.73.8', '208.110.73.15', 3496888584, 3496888591, 'AU', 'Australia'),
(145040, '208.110.73.16', '208.110.73.23', 3496888592, 3496888599, 'US', 'United States'),
(145041, '208.110.73.24', '208.110.73.31', 3496888600, 3496888607, 'PK', 'Pakistan'),
(145042, '208.110.73.32', '208.110.73.47', 3496888608, 3496888623, 'US', 'United States'),
(145043, '208.110.73.48', '208.110.73.79', 3496888624, 3496888655, 'AU', 'Australia'),
(145044, '208.110.73.80', '208.110.73.95', 3496888656, 3496888671, 'US', 'United States'),
(145045, '208.110.73.96', '208.110.73.103', 3496888672, 3496888679, 'NO', 'Norway'),
(145046, '208.110.73.104', '208.110.92.255', 3496888680, 3496893695, 'US', 'United States'),
(145047, '208.110.93.0', '208.110.93.7', 3496893696, 3496893703, 'RU', 'Russian Federation'),
(145048, '208.110.93.8', '208.110.94.39', 3496893704, 3496893991, 'US', 'United States'),
(145049, '208.110.94.40', '208.110.94.47', 3496893992, 3496893999, 'TR', 'Turkey'),
(145050, '208.110.94.48', '208.110.95.255', 3496894000, 3496894463, 'US', 'United States'),
(145051, '208.110.96.0', '208.110.127.255', 3496894464, 3496902655, 'CA', 'Canada'),
(145052, '208.110.128.0', '208.111.41.255', 3496902656, 3496946175, 'US', 'United States'),
(145053, '208.111.42.0', '208.111.42.255', 3496946176, 3496946431, 'HK', 'Hong Kong'),
(145054, '208.111.43.0', '208.111.44.255', 3496946432, 3496946943, 'US', 'United States'),
(145055, '208.111.45.0', '208.111.45.255', 3496946944, 3496947199, 'IN', 'India'),
(145056, '208.111.46.0', '208.111.47.255', 3496947200, 3496947711, 'US', 'United States'),
(145057, '208.111.48.0', '208.111.63.255', 3496947712, 3496951807, 'JP', 'Japan'),
(145058, '208.111.64.0', '208.111.95.255', 3496951808, 3496959999, 'CA', 'Canada'),
(145059, '208.111.96.0', '208.112.1.31', 3496960000, 3497001247, 'US', 'United States'),
(145060, '208.112.1.32', '208.112.1.47', 3497001248, 3497001263, 'AU', 'Australia'),
(145061, '208.112.1.48', '208.112.1.111', 3497001264, 3497001327, 'US', 'United States'),
(145062, '208.112.1.112', '208.112.1.127', 3497001328, 3497001343, 'DE', 'Germany'),
(145063, '208.112.1.128', '208.112.19.63', 3497001344, 3497005887, 'US', 'United States'),
(145064, '208.112.19.64', '208.112.19.127', 3497005888, 3497005951, 'CA', 'Canada'),
(145065, '208.112.19.128', '208.112.27.199', 3497005952, 3497008071, 'US', 'United States'),
(145066, '208.112.27.200', '208.112.27.207', 3497008072, 3497008079, 'CA', 'Canada'),
(145067, '208.112.27.208', '208.112.30.31', 3497008080, 3497008671, 'US', 'United States'),
(145068, '208.112.30.32', '208.112.30.47', 3497008672, 3497008687, 'CA', 'Canada'),
(145069, '208.112.30.48', '208.112.32.247', 3497008688, 3497009399, 'US', 'United States'),
(145070, '208.112.32.248', '208.112.32.255', 3497009400, 3497009407, 'AE', 'United Arab Emirates'),
(145071, '208.112.33.0', '208.112.38.15', 3497009408, 3497010703, 'US', 'United States'),
(145072, '208.112.38.16', '208.112.38.23', 3497010704, 3497010711, 'PK', 'Pakistan'),
(145073, '208.112.38.24', '208.112.38.31', 3497010712, 3497010719, 'US', 'United States'),
(145074, '208.112.38.32', '208.112.38.39', 3497010720, 3497010727, 'AE', 'United Arab Emirates'),
(145075, '208.112.38.40', '208.112.38.47', 3497010728, 3497010735, 'US', 'United States'),
(145076, '208.112.38.48', '208.112.38.63', 3497010736, 3497010751, 'CA', 'Canada'),
(145077, '208.112.38.64', '208.112.53.159', 3497010752, 3497014687, 'US', 'United States'),
(145078, '208.112.53.160', '208.112.53.167', 3497014688, 3497014695, 'GB', 'United Kingdom'),
(145079, '208.112.53.168', '208.112.63.255', 3497014696, 3497017343, 'US', 'United States'),
(145080, '208.112.64.0', '208.112.64.31', 3497017344, 3497017375, 'GB', 'United Kingdom'),
(145081, '208.112.64.32', '208.112.64.55', 3497017376, 3497017399, 'US', 'United States'),
(145082, '208.112.64.56', '208.112.64.95', 3497017400, 3497017439, 'GB', 'United Kingdom'),
(145083, '208.112.64.96', '208.112.68.231', 3497017440, 3497018599, 'US', 'United States'),
(145084, '208.112.68.232', '208.112.68.239', 3497018600, 3497018607, 'IL', 'Israel'),
(145085, '208.112.68.240', '208.112.71.95', 3497018608, 3497019231, 'US', 'United States'),
(145086, '208.112.71.96', '208.112.71.111', 3497019232, 3497019247, 'PK', 'Pakistan'),
(145087, '208.112.71.112', '208.112.75.255', 3497019248, 3497020415, 'US', 'United States'),
(145088, '208.112.76.0', '208.112.76.255', 3497020416, 3497020671, 'IL', 'Israel'),
(145089, '208.112.77.0', '208.112.78.15', 3497020672, 3497020943, 'US', 'United States'),
(145090, '208.112.78.16', '208.112.78.31', 3497020944, 3497020959, 'CA', 'Canada'),
(145091, '208.112.78.32', '208.112.83.159', 3497020960, 3497022367, 'US', 'United States'),
(145092, '208.112.83.160', '208.112.83.191', 3497022368, 3497022399, 'AU', 'Australia'),
(145093, '208.112.83.192', '208.112.87.215', 3497022400, 3497023447, 'US', 'United States'),
(145094, '208.112.87.216', '208.112.87.223', 3497023448, 3497023455, 'CA', 'Canada'),
(145095, '208.112.87.224', '208.112.92.127', 3497023456, 3497024639, 'US', 'United States'),
(145096, '208.112.92.128', '208.112.92.143', 3497024640, 3497024655, 'AU', 'Australia'),
(145097, '208.112.92.144', '208.112.92.223', 3497024656, 3497024735, 'US', 'United States'),
(145098, '208.112.92.224', '208.112.92.239', 3497024736, 3497024751, 'GB', 'United Kingdom'),
(145099, '208.112.92.240', '208.112.93.223', 3497024752, 3497024991, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(145100, '208.112.93.224', '208.112.93.239', 3497024992, 3497025007, 'JP', 'Japan'),
(145101, '208.112.93.240', '208.112.94.103', 3497025008, 3497025127, 'US', 'United States'),
(145102, '208.112.94.104', '208.112.94.111', 3497025128, 3497025135, 'PK', 'Pakistan'),
(145103, '208.112.94.112', '208.112.100.255', 3497025136, 3497026815, 'US', 'United States'),
(145104, '208.112.101.0', '208.112.101.31', 3497026816, 3497026847, 'ES', 'Spain'),
(145105, '208.112.101.32', '208.112.101.103', 3497026848, 3497026919, 'US', 'United States'),
(145106, '208.112.101.104', '208.112.101.111', 3497026920, 3497026927, 'CA', 'Canada'),
(145107, '208.112.101.112', '208.112.103.47', 3497026928, 3497027375, 'US', 'United States'),
(145108, '208.112.103.48', '208.112.103.55', 3497027376, 3497027383, 'AE', 'United Arab Emirates'),
(145109, '208.112.103.56', '208.112.107.31', 3497027384, 3497028383, 'US', 'United States'),
(145110, '208.112.107.32', '208.112.107.39', 3497028384, 3497028391, 'MX', 'Mexico'),
(145111, '208.112.107.40', '208.112.107.79', 3497028392, 3497028431, 'US', 'United States'),
(145112, '208.112.107.80', '208.112.107.87', 3497028432, 3497028439, 'MX', 'Mexico'),
(145113, '208.112.107.88', '208.112.107.127', 3497028440, 3497028479, 'US', 'United States'),
(145114, '208.112.107.128', '208.112.107.143', 3497028480, 3497028495, 'AE', 'United Arab Emirates'),
(145115, '208.112.107.144', '208.112.109.119', 3497028496, 3497028983, 'US', 'United States'),
(145116, '208.112.109.120', '208.112.109.191', 3497028984, 3497029055, 'CA', 'Canada'),
(145117, '208.112.109.192', '208.112.109.207', 3497029056, 3497029071, 'US', 'United States'),
(145118, '208.112.109.208', '208.112.109.223', 3497029072, 3497029087, 'TH', 'Thailand'),
(145119, '208.112.109.224', '208.112.109.231', 3497029088, 3497029095, 'GB', 'United Kingdom'),
(145120, '208.112.109.232', '208.112.110.31', 3497029096, 3497029151, 'US', 'United States'),
(145121, '208.112.110.32', '208.112.110.47', 3497029152, 3497029167, 'TH', 'Thailand'),
(145122, '208.112.110.48', '208.112.110.111', 3497029168, 3497029231, 'US', 'United States'),
(145123, '208.112.110.112', '208.112.110.119', 3497029232, 3497029239, 'GB', 'United Kingdom'),
(145124, '208.112.110.120', '208.112.115.15', 3497029240, 3497030415, 'US', 'United States'),
(145125, '208.112.115.16', '208.112.115.23', 3497030416, 3497030423, 'IN', 'India'),
(145126, '208.112.115.24', '208.112.115.95', 3497030424, 3497030495, 'US', 'United States'),
(145127, '208.112.115.96', '208.112.115.111', 3497030496, 3497030511, 'AU', 'Australia'),
(145128, '208.112.115.112', '208.112.116.111', 3497030512, 3497030767, 'US', 'United States'),
(145129, '208.112.116.112', '208.112.116.119', 3497030768, 3497030775, 'CH', 'Switzerland'),
(145130, '208.112.116.120', '208.112.116.255', 3497030776, 3497030911, 'US', 'United States'),
(145131, '208.112.117.0', '208.112.117.31', 3497030912, 3497030943, 'CH', 'Switzerland'),
(145132, '208.112.117.32', '208.112.117.159', 3497030944, 3497031071, 'US', 'United States'),
(145133, '208.112.117.160', '208.112.117.167', 3497031072, 3497031079, 'CA', 'Canada'),
(145134, '208.112.117.168', '208.112.121.175', 3497031080, 3497032111, 'US', 'United States'),
(145135, '208.112.121.176', '208.112.121.183', 3497032112, 3497032119, 'CA', 'Canada'),
(145136, '208.112.121.184', '208.112.126.167', 3497032120, 3497033383, 'US', 'United States'),
(145137, '208.112.126.168', '208.112.126.175', 3497033384, 3497033391, 'CH', 'Switzerland'),
(145138, '208.112.126.176', '208.112.126.223', 3497033392, 3497033439, 'US', 'United States'),
(145139, '208.112.126.224', '208.112.126.231', 3497033440, 3497033447, 'PK', 'Pakistan'),
(145140, '208.112.126.232', '208.112.255.255', 3497033448, 3497066495, 'US', 'United States'),
(145141, '208.113.0.0', '208.113.63.255', 3497066496, 3497082879, 'CA', 'Canada'),
(145142, '208.113.64.0', '208.114.96.255', 3497082880, 3497156863, 'US', 'United States'),
(145143, '208.114.97.0', '208.114.97.15', 3497156864, 3497156879, 'NL', 'Netherlands'),
(145144, '208.114.97.16', '208.114.97.119', 3497156880, 3497156983, 'US', 'United States'),
(145145, '208.114.97.120', '208.114.97.142', 3497156984, 3497157006, 'DZ', 'Algeria'),
(145146, '208.114.97.143', '208.114.98.255', 3497157007, 3497157375, 'US', 'United States'),
(145147, '208.114.99.0', '208.114.103.255', 3497157376, 3497158655, 'A2', 'Satellite Provider'),
(145148, '208.114.104.0', '208.114.109.255', 3497158656, 3497160191, 'US', 'United States'),
(145149, '208.114.110.0', '208.114.110.159', 3497160192, 3497160351, 'NL', 'Netherlands'),
(145150, '208.114.110.160', '208.114.113.255', 3497160352, 3497161215, 'US', 'United States'),
(145151, '208.114.114.0', '208.114.114.127', 3497161216, 3497161343, 'HK', 'Hong Kong'),
(145152, '208.114.114.128', '208.114.114.159', 3497161344, 3497161375, 'US', 'United States'),
(145153, '208.114.114.160', '208.114.114.191', 3497161376, 3497161407, 'HK', 'Hong Kong'),
(145154, '208.114.114.192', '208.114.115.135', 3497161408, 3497161607, 'US', 'United States'),
(145155, '208.114.115.136', '208.114.115.143', 3497161608, 3497161615, 'NO', 'Norway'),
(145156, '208.114.115.144', '208.114.115.231', 3497161616, 3497161703, 'US', 'United States'),
(145157, '208.114.115.232', '208.114.115.239', 3497161704, 3497161711, 'GB', 'United Kingdom'),
(145158, '208.114.115.240', '208.114.116.7', 3497161712, 3497161735, 'US', 'United States'),
(145159, '208.114.116.8', '208.114.116.15', 3497161736, 3497161743, 'MT', 'Malta'),
(145160, '208.114.116.16', '208.114.116.23', 3497161744, 3497161751, 'US', 'United States'),
(145161, '208.114.116.24', '208.114.116.31', 3497161752, 3497161759, 'GB', 'United Kingdom'),
(145162, '208.114.116.32', '208.114.116.39', 3497161760, 3497161767, 'PT', 'Portugal'),
(145163, '208.114.116.40', '208.114.116.47', 3497161768, 3497161775, 'MT', 'Malta'),
(145164, '208.114.116.48', '208.114.116.167', 3497161776, 3497161895, 'US', 'United States'),
(145165, '208.114.116.168', '208.114.116.175', 3497161896, 3497161903, 'MT', 'Malta'),
(145166, '208.114.116.176', '208.114.116.183', 3497161904, 3497161911, 'US', 'United States'),
(145167, '208.114.116.184', '208.114.116.191', 3497161912, 3497161919, 'TN', 'Tunisia'),
(145168, '208.114.116.192', '208.114.116.199', 3497161920, 3497161927, 'US', 'United States'),
(145169, '208.114.116.200', '208.114.116.207', 3497161928, 3497161935, 'GB', 'United Kingdom'),
(145170, '208.114.116.208', '208.114.116.215', 3497161936, 3497161943, 'MT', 'Malta'),
(145171, '208.114.116.216', '208.114.118.255', 3497161944, 3497162495, 'US', 'United States'),
(145172, '208.114.119.0', '208.114.119.255', 3497162496, 3497162751, 'GB', 'United Kingdom'),
(145173, '208.114.120.0', '208.114.120.255', 3497162752, 3497163007, 'NL', 'Netherlands'),
(145174, '208.114.121.0', '208.114.121.31', 3497163008, 3497163039, 'US', 'United States'),
(145175, '208.114.121.32', '208.114.121.39', 3497163040, 3497163047, 'ES', 'Spain'),
(145176, '208.114.121.40', '208.114.121.95', 3497163048, 3497163103, 'US', 'United States'),
(145177, '208.114.121.96', '208.114.121.103', 3497163104, 3497163111, 'NO', 'Norway'),
(145178, '208.114.121.104', '208.114.121.159', 3497163112, 3497163167, 'US', 'United States'),
(145179, '208.114.121.160', '208.114.121.167', 3497163168, 3497163175, 'GB', 'United Kingdom'),
(145180, '208.114.121.168', '208.114.122.47', 3497163176, 3497163311, 'US', 'United States'),
(145181, '208.114.122.48', '208.114.122.55', 3497163312, 3497163319, 'NO', 'Norway'),
(145182, '208.114.122.56', '208.114.122.87', 3497163320, 3497163351, 'US', 'United States'),
(145183, '208.114.122.88', '208.114.122.95', 3497163352, 3497163359, 'ES', 'Spain'),
(145184, '208.114.122.96', '208.114.122.119', 3497163360, 3497163383, 'GB', 'United Kingdom'),
(145185, '208.114.122.120', '208.114.122.135', 3497163384, 3497163399, 'US', 'United States'),
(145186, '208.114.122.136', '208.114.122.143', 3497163400, 3497163407, 'NO', 'Norway'),
(145187, '208.114.122.144', '208.114.122.183', 3497163408, 3497163447, 'US', 'United States'),
(145188, '208.114.122.184', '208.114.122.191', 3497163448, 3497163455, 'ES', 'Spain'),
(145189, '208.114.122.192', '208.114.122.199', 3497163456, 3497163463, 'US', 'United States'),
(145190, '208.114.122.200', '208.114.122.207', 3497163464, 3497163471, 'ES', 'Spain'),
(145191, '208.114.122.208', '208.114.122.255', 3497163472, 3497163519, 'US', 'United States'),
(145192, '208.114.123.0', '208.114.123.135', 3497163520, 3497163655, 'DK', 'Denmark'),
(145193, '208.114.123.136', '208.114.123.143', 3497163656, 3497163663, 'NO', 'Norway'),
(145194, '208.114.123.144', '208.114.123.159', 3497163664, 3497163679, 'DK', 'Denmark'),
(145195, '208.114.123.160', '208.114.123.175', 3497163680, 3497163695, 'US', 'United States'),
(145196, '208.114.123.176', '208.114.123.183', 3497163696, 3497163703, 'DK', 'Denmark'),
(145197, '208.114.123.184', '208.114.123.191', 3497163704, 3497163711, 'ES', 'Spain'),
(145198, '208.114.123.192', '208.114.125.255', 3497163712, 3497164287, 'US', 'United States'),
(145199, '208.114.126.0', '208.114.126.7', 3497164288, 3497164295, 'GB', 'United Kingdom'),
(145200, '208.114.126.8', '208.114.126.175', 3497164296, 3497164463, 'US', 'United States'),
(145201, '208.114.126.176', '208.114.126.191', 3497164464, 3497164479, 'ES', 'Spain'),
(145202, '208.114.126.192', '208.114.126.199', 3497164480, 3497164487, 'US', 'United States'),
(145203, '208.114.126.200', '208.114.126.207', 3497164488, 3497164495, 'ES', 'Spain'),
(145204, '208.114.126.208', '208.114.127.255', 3497164496, 3497164799, 'US', 'United States'),
(145205, '208.114.128.0', '208.114.191.255', 3497164800, 3497181183, 'CA', 'Canada'),
(145206, '208.114.192.0', '208.115.112.55', 3497181184, 3497226295, 'US', 'United States'),
(145207, '208.115.112.56', '208.115.112.63', 3497226296, 3497226303, 'SG', 'Singapore'),
(145208, '208.115.112.64', '208.115.112.151', 3497226304, 3497226391, 'US', 'United States'),
(145209, '208.115.112.152', '208.115.112.159', 3497226392, 3497226399, 'IR', 'Iran, Islamic Republic of'),
(145210, '208.115.112.160', '208.115.113.191', 3497226400, 3497226687, 'US', 'United States'),
(145211, '208.115.113.192', '208.115.113.223', 3497226688, 3497226719, 'GB', 'United Kingdom'),
(145212, '208.115.113.224', '208.115.114.191', 3497226720, 3497226943, 'US', 'United States'),
(145213, '208.115.114.192', '208.115.114.223', 3497226944, 3497226975, 'CA', 'Canada'),
(145214, '208.115.114.224', '208.115.116.47', 3497226976, 3497227311, 'US', 'United States'),
(145215, '208.115.116.48', '208.115.116.63', 3497227312, 3497227327, 'CA', 'Canada'),
(145216, '208.115.116.64', '208.115.117.79', 3497227328, 3497227599, 'US', 'United States'),
(145217, '208.115.117.80', '208.115.117.95', 3497227600, 3497227615, 'CA', 'Canada'),
(145218, '208.115.117.96', '208.115.139.255', 3497227616, 3497233407, 'US', 'United States'),
(145219, '208.115.140.0', '208.115.140.255', 3497233408, 3497233663, 'CN', 'China'),
(145220, '208.115.141.0', '208.115.212.75', 3497233664, 3497251915, 'US', 'United States'),
(145221, '208.115.212.76', '208.115.212.76', 3497251916, 3497251916, 'A1', 'Anonymous Proxy'),
(145222, '208.115.212.77', '208.116.2.199', 3497251917, 3497263815, 'US', 'United States'),
(145223, '208.116.2.200', '208.116.2.207', 3497263816, 3497263823, 'GB', 'United Kingdom'),
(145224, '208.116.2.208', '208.116.3.255', 3497263824, 3497264127, 'US', 'United States'),
(145225, '208.116.4.0', '208.116.4.31', 3497264128, 3497264159, 'CA', 'Canada'),
(145226, '208.116.4.32', '208.116.7.17', 3497264160, 3497264913, 'US', 'United States'),
(145227, '208.116.7.18', '208.116.7.54', 3497264914, 3497264950, 'GB', 'United Kingdom'),
(145228, '208.116.7.55', '208.116.13.95', 3497264951, 3497266527, 'US', 'United States'),
(145229, '208.116.13.96', '208.116.13.103', 3497266528, 3497266535, 'GB', 'United Kingdom'),
(145230, '208.116.13.104', '208.116.19.255', 3497266536, 3497268223, 'US', 'United States'),
(145231, '208.116.20.0', '208.116.20.63', 3497268224, 3497268287, 'GB', 'United Kingdom'),
(145232, '208.116.20.64', '208.116.21.223', 3497268288, 3497268703, 'US', 'United States'),
(145233, '208.116.21.224', '208.116.21.239', 3497268704, 3497268719, 'CA', 'Canada'),
(145234, '208.116.21.240', '208.116.22.79', 3497268720, 3497268815, 'US', 'United States'),
(145235, '208.116.22.80', '208.116.22.95', 3497268816, 3497268831, 'CA', 'Canada'),
(145236, '208.116.22.96', '208.116.42.63', 3497268832, 3497273919, 'US', 'United States'),
(145237, '208.116.42.64', '208.116.42.71', 3497273920, 3497273927, 'CA', 'Canada'),
(145238, '208.116.42.72', '208.116.43.63', 3497273928, 3497274175, 'US', 'United States'),
(145239, '208.116.43.64', '208.116.43.95', 3497274176, 3497274207, 'CA', 'Canada'),
(145240, '208.116.43.96', '208.118.63.255', 3497274208, 3497410559, 'US', 'United States'),
(145241, '208.118.64.0', '208.118.143.255', 3497410560, 3497431039, 'CA', 'Canada'),
(145242, '208.118.144.0', '208.118.207.255', 3497431040, 3497447423, 'US', 'United States'),
(145243, '208.118.208.0', '208.118.223.255', 3497447424, 3497451519, 'CA', 'Canada'),
(145244, '208.118.224.0', '208.118.228.175', 3497451520, 3497452719, 'US', 'United States'),
(145245, '208.118.228.176', '208.118.228.191', 3497452720, 3497452735, 'GB', 'United Kingdom'),
(145246, '208.118.228.192', '208.118.230.63', 3497452736, 3497453119, 'US', 'United States'),
(145247, '208.118.230.64', '208.118.230.79', 3497453120, 3497453135, 'GB', 'United Kingdom'),
(145248, '208.118.230.80', '208.118.232.127', 3497453136, 3497453695, 'US', 'United States'),
(145249, '208.118.232.128', '208.118.232.143', 3497453696, 3497453711, 'GB', 'United Kingdom'),
(145250, '208.118.232.144', '208.118.233.95', 3497453712, 3497453919, 'US', 'United States'),
(145251, '208.118.233.96', '208.118.233.255', 3497453920, 3497454079, 'GB', 'United Kingdom'),
(145252, '208.118.234.0', '208.118.234.63', 3497454080, 3497454143, 'US', 'United States'),
(145253, '208.118.234.64', '208.118.234.95', 3497454144, 3497454175, 'GB', 'United Kingdom'),
(145254, '208.118.234.96', '208.122.223.7', 3497454176, 3497713415, 'US', 'United States'),
(145255, '208.122.223.8', '208.122.223.15', 3497713416, 3497713423, 'EC', 'Ecuador'),
(145256, '208.122.223.16', '208.122.239.255', 3497713424, 3497717759, 'US', 'United States'),
(145257, '208.122.240.0', '208.122.247.255', 3497717760, 3497719807, 'A2', 'Satellite Provider'),
(145258, '208.122.248.0', '208.122.248.31', 3497719808, 3497719839, 'MR', 'Mauritania'),
(145259, '208.122.248.32', '208.122.253.255', 3497719840, 3497721343, 'A2', 'Satellite Provider'),
(145260, '208.122.254.0', '208.122.254.255', 3497721344, 3497721599, 'NG', 'Nigeria'),
(145261, '208.122.255.0', '208.122.255.255', 3497721600, 3497721855, 'A2', 'Satellite Provider'),
(145262, '208.123.0.0', '208.123.69.159', 3497721856, 3497739679, 'US', 'United States'),
(145263, '208.123.69.160', '208.123.69.167', 3497739680, 3497739687, 'CA', 'Canada'),
(145264, '208.123.69.168', '208.124.127.255', 3497739688, 3497820159, 'US', 'United States'),
(145265, '208.124.128.0', '208.124.255.255', 3497820160, 3497852927, 'CA', 'Canada'),
(145266, '208.125.0.0', '208.131.31.255', 3497852928, 3498254335, 'US', 'United States'),
(145267, '208.131.32.0', '208.131.32.31', 3498254336, 3498254367, 'JM', 'Jamaica'),
(145268, '208.131.32.32', '208.131.32.95', 3498254368, 3498254431, 'US', 'United States'),
(145269, '208.131.32.96', '208.131.32.111', 3498254432, 3498254447, 'JM', 'Jamaica'),
(145270, '208.131.32.112', '208.131.32.255', 3498254448, 3498254591, 'US', 'United States'),
(145271, '208.131.33.0', '208.131.33.255', 3498254592, 3498254847, 'JM', 'Jamaica'),
(145272, '208.131.34.0', '208.131.159.255', 3498254848, 3498287103, 'US', 'United States'),
(145273, '208.131.160.0', '208.131.181.63', 3498287104, 3498292543, 'JM', 'Jamaica'),
(145274, '208.131.181.64', '208.131.181.71', 3498292544, 3498292551, 'US', 'United States'),
(145275, '208.131.181.72', '208.131.191.255', 3498292552, 3498295295, 'JM', 'Jamaica'),
(145276, '208.131.192.0', '208.133.199.255', 3498295296, 3498428415, 'US', 'United States'),
(145277, '208.133.200.0', '208.133.203.255', 3498428416, 3498429439, 'CR', 'Costa Rica'),
(145278, '208.133.204.0', '208.133.205.255', 3498429440, 3498429951, 'US', 'United States'),
(145279, '208.133.206.0', '208.133.206.255', 3498429952, 3498430207, 'CR', 'Costa Rica'),
(145280, '208.133.207.0', '208.134.244.127', 3498430208, 3498505343, 'US', 'United States'),
(145281, '208.134.244.128', '208.134.244.159', 3498505344, 3498505375, 'SG', 'Singapore'),
(145282, '208.134.244.160', '208.135.2.255', 3498505376, 3498509055, 'US', 'United States'),
(145283, '208.135.3.0', '208.135.7.255', 3498509056, 3498510335, 'PR', 'Puerto Rico'),
(145284, '208.135.8.0', '208.135.18.255', 3498510336, 3498513151, 'US', 'United States'),
(145285, '208.135.19.0', '208.135.19.255', 3498513152, 3498513407, 'CL', 'Chile'),
(145286, '208.135.20.0', '208.135.21.255', 3498513408, 3498513919, 'US', 'United States'),
(145287, '208.135.22.0', '208.135.23.255', 3498513920, 3498514431, 'CL', 'Chile'),
(145288, '208.135.24.0', '208.136.51.255', 3498514432, 3498587135, 'US', 'United States'),
(145289, '208.136.52.0', '208.136.55.255', 3498587136, 3498588159, 'NL', 'Netherlands'),
(145290, '208.136.56.0', '208.136.101.255', 3498588160, 3498599935, 'US', 'United States'),
(145291, '208.136.102.0', '208.136.102.255', 3498599936, 3498600191, 'WS', 'Samoa'),
(145292, '208.136.103.0', '208.138.15.255', 3498600192, 3498708991, 'US', 'United States'),
(145293, '208.138.16.0', '208.138.47.255', 3498708992, 3498717183, 'JM', 'Jamaica'),
(145294, '208.138.48.0', '208.138.215.255', 3498717184, 3498760191, 'US', 'United States'),
(145295, '208.138.216.0', '208.138.223.255', 3498760192, 3498762239, 'PR', 'Puerto Rico'),
(145296, '208.138.224.0', '208.139.163.255', 3498762240, 3498812415, 'US', 'United States'),
(145297, '208.139.164.0', '208.139.164.255', 3498812416, 3498812671, 'PF', 'French Polynesia'),
(145298, '208.139.165.0', '208.145.89.159', 3498812672, 3499186591, 'US', 'United States'),
(145299, '208.145.89.160', '208.145.89.191', 3499186592, 3499186623, 'MX', 'Mexico'),
(145300, '208.145.89.192', '208.147.17.255', 3499186624, 3499299327, 'US', 'United States'),
(145301, '208.147.18.0', '208.147.18.255', 3499299328, 3499299583, 'WS', 'Samoa'),
(145302, '208.147.19.0', '208.148.167.255', 3499299584, 3499403263, 'US', 'United States'),
(145303, '208.148.168.0', '208.148.169.255', 3499403264, 3499403775, 'MW', 'Malawi'),
(145304, '208.148.170.0', '208.149.39.255', 3499403776, 3499436031, 'US', 'United States'),
(145305, '208.149.40.0', '208.149.40.255', 3499436032, 3499436287, 'DE', 'Germany'),
(145306, '208.149.41.0', '208.149.43.255', 3499436288, 3499437055, 'US', 'United States'),
(145307, '208.149.44.0', '208.149.44.95', 3499437056, 3499437151, 'DE', 'Germany'),
(145308, '208.149.44.96', '208.149.45.111', 3499437152, 3499437423, 'US', 'United States'),
(145309, '208.149.45.112', '208.149.45.119', 3499437424, 3499437431, 'IT', 'Italy'),
(145310, '208.149.45.120', '208.149.95.255', 3499437432, 3499450367, 'US', 'United States'),
(145311, '208.149.96.0', '208.149.99.255', 3499450368, 3499451391, 'IN', 'India'),
(145312, '208.149.100.0', '208.153.67.255', 3499451392, 3499705343, 'US', 'United States'),
(145313, '208.153.68.0', '208.153.69.255', 3499705344, 3499705855, 'TZ', 'Tanzania, United Republic of'),
(145314, '208.153.70.0', '208.153.71.255', 3499705856, 3499706367, 'MG', 'Madagascar'),
(145315, '208.153.72.0', '208.157.143.255', 3499706368, 3499986943, 'US', 'United States'),
(145316, '208.157.144.0', '208.157.151.255', 3499986944, 3499988991, 'KY', 'Cayman Islands'),
(145317, '208.157.152.0', '208.157.255.255', 3499988992, 3500015615, 'US', 'United States'),
(145318, '208.158.0.0', '208.158.2.255', 3500015616, 3500016383, 'AG', 'Antigua and Barbuda'),
(145319, '208.158.3.0', '208.158.3.255', 3500016384, 3500016639, 'KN', 'Saint Kitts and Nevis'),
(145320, '208.158.4.0', '208.158.4.255', 3500016640, 3500016895, 'AG', 'Antigua and Barbuda'),
(145321, '208.158.5.0', '208.158.5.255', 3500016896, 3500017151, 'DM', 'Dominica'),
(145322, '208.158.6.0', '208.158.6.255', 3500017152, 3500017407, 'AG', 'Antigua and Barbuda'),
(145323, '208.158.7.0', '208.158.7.255', 3500017408, 3500017663, 'VG', 'Virgin Islands, British'),
(145324, '208.158.8.0', '208.158.12.255', 3500017664, 3500018943, 'AG', 'Antigua and Barbuda'),
(145325, '208.158.13.0', '208.158.13.255', 3500018944, 3500019199, 'LC', 'Saint Lucia'),
(145326, '208.158.14.0', '208.158.14.255', 3500019200, 3500019455, 'AG', 'Antigua and Barbuda'),
(145327, '208.158.15.0', '208.158.15.255', 3500019456, 3500019711, 'LC', 'Saint Lucia'),
(145328, '208.158.16.0', '208.158.237.127', 3500019712, 3500076415, 'US', 'United States'),
(145329, '208.158.237.128', '208.158.237.255', 3500076416, 3500076543, 'SG', 'Singapore'),
(145330, '208.158.238.0', '208.159.175.255', 3500076544, 3500126207, 'US', 'United States'),
(145331, '208.159.176.0', '208.159.176.255', 3500126208, 3500126463, 'SE', 'Sweden'),
(145332, '208.159.177.0', '208.159.177.255', 3500126464, 3500126719, 'GB', 'United Kingdom'),
(145333, '208.159.178.0', '208.159.247.255', 3500126720, 3500144639, 'US', 'United States'),
(145334, '208.159.248.0', '208.159.248.255', 3500144640, 3500144895, 'IT', 'Italy'),
(145335, '208.159.249.0', '208.161.241.255', 3500144896, 3500274175, 'US', 'United States'),
(145336, '208.161.242.0', '208.161.242.63', 3500274176, 3500274239, 'IE', 'Ireland'),
(145337, '208.161.242.64', '208.163.31.255', 3500274240, 3500351487, 'US', 'United States'),
(145338, '208.163.32.0', '208.163.35.59', 3500351488, 3500352315, 'JM', 'Jamaica'),
(145339, '208.163.35.60', '208.163.35.63', 3500352316, 3500352319, 'US', 'United States'),
(145340, '208.163.35.64', '208.163.35.71', 3500352320, 3500352327, 'JM', 'Jamaica'),
(145341, '208.163.35.72', '208.163.35.75', 3500352328, 3500352331, 'US', 'United States'),
(145342, '208.163.35.76', '208.163.35.171', 3500352332, 3500352427, 'JM', 'Jamaica'),
(145343, '208.163.35.172', '208.163.35.175', 3500352428, 3500352431, 'US', 'United States'),
(145344, '208.163.35.176', '208.163.63.255', 3500352432, 3500359679, 'JM', 'Jamaica'),
(145345, '208.163.64.0', '208.163.110.127', 3500359680, 3500371583, 'US', 'United States'),
(145346, '208.163.110.128', '208.163.110.143', 3500371584, 3500371599, 'GB', 'United Kingdom'),
(145347, '208.163.110.144', '208.163.209.31', 3500371600, 3500396831, 'US', 'United States'),
(145348, '208.163.209.32', '208.163.209.63', 3500396832, 3500396863, 'GB', 'United Kingdom'),
(145349, '208.163.209.64', '208.165.47.255', 3500396864, 3500486655, 'US', 'United States'),
(145350, '208.165.48.0', '208.165.63.255', 3500486656, 3500490751, 'CR', 'Costa Rica'),
(145351, '208.165.64.0', '208.167.31.255', 3500490752, 3500613631, 'US', 'United States'),
(145352, '208.167.32.0', '208.167.35.255', 3500613632, 3500614655, 'MZ', 'Mozambique'),
(145353, '208.167.36.0', '208.167.229.198', 3500614656, 3500664262, 'US', 'United States'),
(145354, '208.167.229.199', '208.167.229.199', 3500664263, 3500664263, 'A1', 'Anonymous Proxy'),
(145355, '208.167.229.200', '208.167.230.255', 3500664264, 3500664575, 'US', 'United States'),
(145356, '208.167.231.0', '208.167.231.255', 3500664576, 3500664831, 'A1', 'Anonymous Proxy'),
(145357, '208.167.232.0', '208.167.232.38', 3500664832, 3500664870, 'US', 'United States'),
(145358, '208.167.232.39', '208.167.232.39', 3500664871, 3500664871, 'CA', 'Canada'),
(145359, '208.167.232.40', '208.167.239.127', 3500664872, 3500666751, 'US', 'United States'),
(145360, '208.167.239.128', '208.167.239.255', 3500666752, 3500666879, 'A1', 'Anonymous Proxy'),
(145361, '208.167.240.0', '208.168.71.255', 3500666880, 3500689407, 'US', 'United States'),
(145362, '208.168.72.0', '208.168.73.255', 3500689408, 3500689919, 'CL', 'Chile'),
(145363, '208.168.74.0', '208.168.141.255', 3500689920, 3500707327, 'US', 'United States'),
(145364, '208.168.142.0', '208.168.143.255', 3500707328, 3500707839, 'CA', 'Canada'),
(145365, '208.168.144.0', '208.168.210.255', 3500707840, 3500724991, 'US', 'United States'),
(145366, '208.168.211.0', '208.168.212.255', 3500724992, 3500725503, 'EC', 'Ecuador'),
(145367, '208.168.213.0', '208.168.213.255', 3500725504, 3500725759, 'HT', 'Haiti'),
(145368, '208.168.214.0', '208.168.214.255', 3500725760, 3500726015, 'EC', 'Ecuador'),
(145369, '208.168.215.0', '208.168.215.255', 3500726016, 3500726271, 'HT', 'Haiti'),
(145370, '208.168.216.0', '208.168.223.255', 3500726272, 3500728319, 'US', 'United States'),
(145371, '208.168.224.0', '208.168.255.255', 3500728320, 3500736511, 'KY', 'Cayman Islands'),
(145372, '208.169.0.0', '208.169.63.255', 3500736512, 3500752895, 'US', 'United States'),
(145373, '208.169.64.0', '208.169.95.255', 3500752896, 3500761087, 'KY', 'Cayman Islands'),
(145374, '208.169.96.0', '208.170.31.7', 3500761088, 3500809991, 'US', 'United States'),
(145375, '208.170.31.8', '208.170.31.15', 3500809992, 3500809999, 'CA', 'Canada'),
(145376, '208.170.31.16', '208.170.32.7', 3500810000, 3500810247, 'US', 'United States'),
(145377, '208.170.32.8', '208.170.32.15', 3500810248, 3500810255, 'CA', 'Canada'),
(145378, '208.170.32.16', '208.170.37.47', 3500810256, 3500811567, 'US', 'United States'),
(145379, '208.170.37.48', '208.170.37.63', 3500811568, 3500811583, 'AU', 'Australia'),
(145380, '208.170.37.64', '208.170.37.71', 3500811584, 3500811591, 'US', 'United States'),
(145381, '208.170.37.72', '208.170.37.111', 3500811592, 3500811631, 'AU', 'Australia'),
(145382, '208.170.37.112', '208.170.39.143', 3500811632, 3500812175, 'US', 'United States'),
(145383, '208.170.39.144', '208.170.39.151', 3500812176, 3500812183, 'GB', 'United Kingdom'),
(145384, '208.170.39.152', '208.171.209.191', 3500812184, 3500921279, 'US', 'United States'),
(145385, '208.171.209.192', '208.171.209.223', 3500921280, 3500921311, 'AU', 'Australia'),
(145386, '208.171.209.224', '208.175.67.71', 3500921312, 3501146951, 'US', 'United States'),
(145387, '208.175.67.72', '208.175.67.79', 3501146952, 3501146959, 'CA', 'Canada'),
(145388, '208.175.67.80', '208.175.67.95', 3501146960, 3501146975, 'GB', 'United Kingdom'),
(145389, '208.175.67.96', '208.175.67.159', 3501146976, 3501147039, 'US', 'United States'),
(145390, '208.175.67.160', '208.175.67.191', 3501147040, 3501147071, 'CA', 'Canada'),
(145391, '208.175.67.192', '208.175.203.7', 3501147072, 3501181703, 'US', 'United States'),
(145392, '208.175.203.8', '208.175.203.15', 3501181704, 3501181711, 'AU', 'Australia'),
(145393, '208.175.203.16', '208.175.203.31', 3501181712, 3501181727, 'KR', 'Korea, Republic of'),
(145394, '208.175.203.32', '208.175.203.47', 3501181728, 3501181743, 'US', 'United States'),
(145395, '208.175.203.48', '208.175.203.95', 3501181744, 3501181791, 'JP', 'Japan'),
(145396, '208.175.203.96', '208.175.207.255', 3501181792, 3501182975, 'US', 'United States'),
(145397, '208.175.208.0', '208.175.208.31', 3501182976, 3501183007, 'SG', 'Singapore'),
(145398, '208.175.208.32', '208.175.208.47', 3501183008, 3501183023, 'US', 'United States'),
(145399, '208.175.208.48', '208.175.208.71', 3501183024, 3501183047, 'SG', 'Singapore'),
(145400, '208.175.208.72', '208.175.208.191', 3501183048, 3501183167, 'US', 'United States'),
(145401, '208.175.208.192', '208.175.208.255', 3501183168, 3501183231, 'SG', 'Singapore'),
(145402, '208.175.209.0', '208.175.209.255', 3501183232, 3501183487, 'US', 'United States'),
(145403, '208.175.210.0', '208.175.210.255', 3501183488, 3501183743, 'GB', 'United Kingdom'),
(145404, '208.175.211.0', '208.175.211.215', 3501183744, 3501183959, 'US', 'United States'),
(145405, '208.175.211.216', '208.175.211.223', 3501183960, 3501183967, 'IL', 'Israel'),
(145406, '208.175.211.224', '208.175.211.255', 3501183968, 3501183999, 'SG', 'Singapore'),
(145407, '208.175.212.0', '208.178.165.255', 3501184000, 3501368831, 'US', 'United States'),
(145408, '208.178.166.0', '208.178.166.255', 3501368832, 3501369087, 'NL', 'Netherlands'),
(145409, '208.178.167.0', '208.178.194.147', 3501369088, 3501376147, 'US', 'United States'),
(145410, '208.178.194.148', '208.178.194.151', 3501376148, 3501376151, 'NL', 'Netherlands'),
(145411, '208.178.194.152', '208.178.201.255', 3501376152, 3501378047, 'US', 'United States'),
(145412, '208.178.202.0', '208.178.202.255', 3501378048, 3501378303, 'DE', 'Germany'),
(145413, '208.178.203.0', '208.180.255.255', 3501378304, 3501522943, 'US', 'United States'),
(145414, '208.181.0.0', '208.181.255.255', 3501522944, 3501588479, 'CA', 'Canada'),
(145415, '208.182.0.0', '208.184.6.99', 3501588480, 3501721187, 'US', 'United States'),
(145416, '208.184.6.100', '208.184.6.100', 3501721188, 3501721188, 'A1', 'Anonymous Proxy'),
(145417, '208.184.6.101', '208.184.36.63', 3501721189, 3501728831, 'US', 'United States'),
(145418, '208.184.36.64', '208.184.36.95', 3501728832, 3501728863, 'AU', 'Australia'),
(145419, '208.184.36.96', '208.184.48.231', 3501728864, 3501732071, 'US', 'United States'),
(145420, '208.184.48.232', '208.184.48.247', 3501732072, 3501732087, 'AU', 'Australia'),
(145421, '208.184.48.248', '208.184.110.255', 3501732088, 3501747967, 'US', 'United States'),
(145422, '208.184.111.0', '208.184.111.63', 3501747968, 3501748031, 'CA', 'Canada'),
(145423, '208.184.111.64', '208.185.17.2', 3501748032, 3501789442, 'US', 'United States'),
(145424, '208.185.17.3', '208.185.17.3', 3501789443, 3501789443, 'A1', 'Anonymous Proxy'),
(145425, '208.185.17.4', '208.185.93.255', 3501789444, 3501809151, 'US', 'United States'),
(145426, '208.185.94.0', '208.185.94.255', 3501809152, 3501809407, 'CA', 'Canada'),
(145427, '208.185.95.0', '208.185.128.127', 3501809408, 3501817983, 'US', 'United States'),
(145428, '208.185.128.128', '208.185.128.159', 3501817984, 3501818015, 'HK', 'Hong Kong'),
(145429, '208.185.128.160', '208.194.250.255', 3501818016, 3502439167, 'US', 'United States'),
(145430, '208.194.251.0', '208.194.251.255', 3502439168, 3502439423, 'PK', 'Pakistan'),
(145431, '208.194.252.0', '208.195.115.255', 3502439424, 3502470143, 'US', 'United States'),
(145432, '208.195.116.0', '208.195.119.255', 3502470144, 3502471167, 'MX', 'Mexico'),
(145433, '208.195.120.0', '208.196.49.255', 3502471168, 3502518783, 'US', 'United States'),
(145434, '208.196.50.0', '208.196.51.255', 3502518784, 3502519295, 'LK', 'Sri Lanka'),
(145435, '208.196.52.0', '208.196.136.255', 3502519296, 3502541055, 'US', 'United States'),
(145436, '208.196.137.0', '208.196.137.255', 3502541056, 3502541311, 'CA', 'Canada'),
(145437, '208.196.138.0', '208.196.154.255', 3502541312, 3502545663, 'US', 'United States'),
(145438, '208.196.155.0', '208.196.155.255', 3502545664, 3502545919, 'BS', 'Bahamas'),
(145439, '208.196.156.0', '208.198.179.255', 3502545920, 3502683135, 'US', 'United States'),
(145440, '208.198.180.0', '208.198.180.255', 3502683136, 3502683391, 'MC', 'Monaco'),
(145441, '208.198.181.0', '208.203.111.255', 3502683392, 3502993407, 'US', 'United States'),
(145442, '208.203.112.0', '208.203.113.255', 3502993408, 3502993919, 'NL', 'Netherlands'),
(145443, '208.203.114.0', '208.203.244.127', 3502993920, 3503027327, 'US', 'United States'),
(145444, '208.203.244.128', '208.203.244.159', 3503027328, 3503027359, 'GB', 'United Kingdom'),
(145445, '208.203.244.160', '208.204.109.255', 3503027360, 3503058431, 'US', 'United States'),
(145446, '208.204.110.0', '208.204.110.15', 3503058432, 3503058447, 'CA', 'Canada'),
(145447, '208.204.110.16', '208.206.175.255', 3503058448, 3503206399, 'US', 'United States'),
(145448, '208.206.176.0', '208.206.177.255', 3503206400, 3503206911, 'CR', 'Costa Rica'),
(145449, '208.206.178.0', '208.206.212.7', 3503206912, 3503215623, 'US', 'United States'),
(145450, '208.206.212.8', '208.206.212.23', 3503215624, 3503215639, 'NL', 'Netherlands'),
(145451, '208.206.212.24', '208.206.239.167', 3503215640, 3503222695, 'US', 'United States'),
(145452, '208.206.239.168', '208.206.239.175', 3503222696, 3503222703, 'CA', 'Canada'),
(145453, '208.206.239.176', '208.207.1.255', 3503222704, 3503227391, 'US', 'United States'),
(145454, '208.207.2.0', '208.207.2.15', 3503227392, 3503227407, 'CA', 'Canada'),
(145455, '208.207.2.16', '208.207.91.255', 3503227408, 3503250431, 'US', 'United States'),
(145456, '208.207.92.0', '208.207.93.255', 3503250432, 3503250943, 'PK', 'Pakistan'),
(145457, '208.207.94.0', '208.208.119.255', 3503250944, 3503323135, 'US', 'United States'),
(145458, '208.208.120.0', '208.208.121.255', 3503323136, 3503323647, 'KE', 'Kenya'),
(145459, '208.208.122.0', '208.209.109.255', 3503323648, 3503386111, 'US', 'United States'),
(145460, '208.209.110.0', '208.209.110.255', 3503386112, 3503386367, 'CH', 'Switzerland'),
(145461, '208.209.111.0', '208.210.121.255', 3503386368, 3503454719, 'US', 'United States'),
(145462, '208.210.122.0', '208.210.122.255', 3503454720, 3503454975, 'AZ', 'Azerbaijan'),
(145463, '208.210.123.0', '208.210.215.255', 3503454976, 3503478783, 'US', 'United States'),
(145464, '208.210.216.0', '208.210.216.255', 3503478784, 3503479039, 'DE', 'Germany'),
(145465, '208.210.217.0', '208.214.207.255', 3503479040, 3503738879, 'US', 'United States'),
(145466, '208.214.208.0', '208.214.215.255', 3503738880, 3503740927, 'CO', 'Colombia'),
(145467, '208.214.216.0', '208.216.36.167', 3503740928, 3503826087, 'US', 'United States'),
(145468, '208.216.36.168', '208.216.36.175', 3503826088, 3503826095, 'PR', 'Puerto Rico'),
(145469, '208.216.36.176', '208.217.31.255', 3503826096, 3503890431, 'US', 'United States'),
(145470, '208.217.32.0', '208.217.47.255', 3503890432, 3503894527, 'CO', 'Colombia'),
(145471, '208.217.48.0', '208.218.167.255', 3503894528, 3503990783, 'US', 'United States'),
(145472, '208.218.168.0', '208.218.175.255', 3503990784, 3503992831, 'AE', 'United Arab Emirates'),
(145473, '208.218.176.0', '208.220.27.255', 3503992832, 3504086015, 'US', 'United States'),
(145474, '208.220.28.0', '208.220.29.255', 3504086016, 3504086527, 'LI', 'Liechtenstein'),
(145475, '208.220.30.0', '208.220.223.255', 3504086528, 3504136191, 'US', 'United States'),
(145476, '208.220.224.0', '208.220.231.255', 3504136192, 3504138239, 'AZ', 'Azerbaijan'),
(145477, '208.220.232.0', '208.221.191.255', 3504138240, 3504193535, 'US', 'United States'),
(145478, '208.221.192.0', '208.221.195.255', 3504193536, 3504194559, 'EC', 'Ecuador'),
(145479, '208.221.196.0', '208.221.247.255', 3504194560, 3504207871, 'US', 'United States'),
(145480, '208.221.248.0', '208.221.248.255', 3504207872, 3504208127, 'CA', 'Canada'),
(145481, '208.221.249.0', '208.222.53.255', 3504208128, 3504223743, 'US', 'United States'),
(145482, '208.222.54.0', '208.222.54.255', 3504223744, 3504223999, 'RO', 'Romania'),
(145483, '208.222.55.0', '208.232.93.255', 3504224000, 3504889343, 'US', 'United States'),
(145484, '208.232.94.0', '208.232.95.255', 3504889344, 3504889855, 'PK', 'Pakistan'),
(145485, '208.232.96.0', '208.232.223.255', 3504889856, 3504922623, 'US', 'United States'),
(145486, '208.232.224.0', '208.232.226.255', 3504922624, 3504923391, 'PH', 'Philippines'),
(145487, '208.232.227.0', '208.232.247.175', 3504923392, 3504928687, 'US', 'United States'),
(145488, '208.232.247.176', '208.232.247.183', 3504928688, 3504928695, 'IT', 'Italy'),
(145489, '208.232.247.184', '208.233.5.255', 3504928696, 3504932351, 'US', 'United States'),
(145490, '208.233.6.0', '208.233.7.255', 3504932352, 3504932863, 'BD', 'Bangladesh'),
(145491, '208.233.8.0', '208.234.31.255', 3504932864, 3505004543, 'US', 'United States'),
(145492, '208.234.32.0', '208.234.36.255', 3505004544, 3505005823, 'PR', 'Puerto Rico'),
(145493, '208.234.37.0', '208.234.37.255', 3505005824, 3505006079, 'DO', 'Dominican Republic'),
(145494, '208.234.38.0', '208.234.63.255', 3505006080, 3505012735, 'PR', 'Puerto Rico'),
(145495, '208.234.64.0', '208.235.195.255', 3505012736, 3505112063, 'US', 'United States'),
(145496, '208.235.196.0', '208.235.196.255', 3505112064, 3505112319, 'EC', 'Ecuador'),
(145497, '208.235.197.0', '208.235.197.15', 3505112320, 3505112335, 'US', 'United States'),
(145498, '208.235.197.16', '208.235.199.255', 3505112336, 3505113087, 'EC', 'Ecuador'),
(145499, '208.235.200.0', '208.235.223.255', 3505113088, 3505119231, 'US', 'United States'),
(145500, '208.235.224.0', '208.235.224.255', 3505119232, 3505119487, 'PH', 'Philippines'),
(145501, '208.235.225.0', '208.235.230.255', 3505119488, 3505121023, 'US', 'United States'),
(145502, '208.235.231.0', '208.235.231.255', 3505121024, 3505121279, 'PH', 'Philippines'),
(145503, '208.235.232.0', '208.237.31.255', 3505121280, 3505201151, 'US', 'United States'),
(145504, '208.237.32.0', '208.237.32.255', 3505201152, 3505201407, 'JO', 'Jordan'),
(145505, '208.237.33.0', '208.237.106.255', 3505201408, 3505220351, 'US', 'United States'),
(145506, '208.237.107.0', '208.237.107.127', 3505220352, 3505220479, 'CA', 'Canada'),
(145507, '208.237.107.128', '208.237.133.239', 3505220480, 3505227247, 'US', 'United States'),
(145508, '208.237.133.240', '208.237.133.247', 3505227248, 3505227255, 'GB', 'United Kingdom'),
(145509, '208.237.133.248', '208.238.45.255', 3505227256, 3505270271, 'US', 'United States'),
(145510, '208.238.46.0', '208.238.46.255', 3505270272, 3505270527, 'JM', 'Jamaica'),
(145511, '208.238.47.0', '208.238.47.255', 3505270528, 3505270783, 'HT', 'Haiti'),
(145512, '208.238.48.0', '208.240.105.255', 3505270784, 3505416703, 'US', 'United States'),
(145513, '208.240.106.0', '208.240.108.255', 3505416704, 3505417471, 'MX', 'Mexico'),
(145514, '208.240.109.0', '208.240.135.255', 3505417472, 3505424383, 'US', 'United States'),
(145515, '208.240.136.0', '208.240.139.255', 3505424384, 3505425407, 'PK', 'Pakistan'),
(145516, '208.240.140.0', '208.240.166.95', 3505425408, 3505432159, 'US', 'United States'),
(145517, '208.240.166.96', '208.240.166.127', 3505432160, 3505432191, 'A2', 'Satellite Provider'),
(145518, '208.240.166.128', '208.240.221.127', 3505432192, 3505446271, 'US', 'United States'),
(145519, '208.240.221.128', '208.240.221.255', 3505446272, 3505446399, 'CA', 'Canada'),
(145520, '208.240.222.0', '208.241.75.255', 3505446400, 3505474559, 'US', 'United States'),
(145521, '208.241.76.0', '208.241.76.255', 3505474560, 3505474815, 'GU', 'Guam'),
(145522, '208.241.77.0', '208.241.220.255', 3505474816, 3505511679, 'US', 'United States'),
(145523, '208.241.221.0', '208.241.221.255', 3505511680, 3505511935, 'RO', 'Romania'),
(145524, '208.241.222.0', '208.244.39.255', 3505511936, 3505661951, 'US', 'United States'),
(145525, '208.244.40.0', '208.244.41.255', 3505661952, 3505662463, 'JM', 'Jamaica'),
(145526, '208.244.42.0', '208.244.51.31', 3505662464, 3505664799, 'US', 'United States'),
(145527, '208.244.51.32', '208.244.51.63', 3505664800, 3505664831, 'UA', 'Ukraine'),
(145528, '208.244.51.64', '208.246.139.255', 3505664832, 3505818623, 'US', 'United States'),
(145529, '208.246.140.0', '208.246.143.255', 3505818624, 3505819647, 'BS', 'Bahamas'),
(145530, '208.246.144.0', '208.249.77.255', 3505819648, 3505999359, 'US', 'United States'),
(145531, '208.249.78.0', '208.249.80.255', 3505999360, 3506000127, 'PR', 'Puerto Rico'),
(145532, '208.249.81.0', '208.249.248.255', 3506000128, 3506043135, 'US', 'United States'),
(145533, '208.249.249.0', '208.249.255.255', 3506043136, 3506044927, 'PA', 'Panama'),
(145534, '208.250.0.0', '208.250.29.191', 3506044928, 3506052543, 'US', 'United States'),
(145535, '208.250.29.192', '208.250.29.207', 3506052544, 3506052559, 'DE', 'Germany'),
(145536, '208.250.29.208', '208.250.54.63', 3506052560, 3506058815, 'US', 'United States'),
(145537, '208.250.54.64', '208.250.54.71', 3506058816, 3506058823, 'AF', 'Afghanistan'),
(145538, '208.250.54.72', '208.251.96.223', 3506058824, 3506135263, 'US', 'United States'),
(145539, '208.251.96.224', '208.251.96.255', 3506135264, 3506135295, 'GB', 'United Kingdom'),
(145540, '208.251.97.0', '208.251.201.55', 3506135296, 3506161975, 'US', 'United States'),
(145541, '208.251.201.56', '208.251.201.63', 3506161976, 3506161983, 'AF', 'Afghanistan'),
(145542, '208.251.201.64', '208.252.64.255', 3506161984, 3506192639, 'US', 'United States'),
(145543, '208.252.65.0', '208.252.65.255', 3506192640, 3506192895, 'A2', 'Satellite Provider'),
(145544, '208.252.66.0', '208.252.72.103', 3506192896, 3506194535, 'US', 'United States'),
(145545, '208.252.72.104', '208.252.72.111', 3506194536, 3506194543, 'AU', 'Australia'),
(145546, '208.252.72.112', '208.252.85.247', 3506194544, 3506198007, 'US', 'United States'),
(145547, '208.252.85.248', '208.252.85.255', 3506198008, 3506198015, 'NO', 'Norway'),
(145548, '208.252.86.0', '208.252.149.15', 3506198016, 3506214159, 'US', 'United States'),
(145549, '208.252.149.16', '208.252.149.31', 3506214160, 3506214175, 'CA', 'Canada'),
(145550, '208.252.149.32', '208.252.217.255', 3506214176, 3506231807, 'US', 'United States'),
(145551, '208.252.218.0', '208.252.218.255', 3506231808, 3506232063, 'IN', 'India'),
(145552, '208.252.219.0', '208.254.2.47', 3506232064, 3506307631, 'US', 'United States'),
(145553, '208.254.2.48', '208.254.2.63', 3506307632, 3506307647, 'GB', 'United Kingdom'),
(145554, '208.254.2.64', '208.255.44.127', 3506307648, 3506383999, 'US', 'United States'),
(145555, '208.255.44.128', '208.255.44.159', 3506384000, 3506384031, 'CA', 'Canada'),
(145556, '208.255.44.160', '208.255.192.223', 3506384032, 3506421983, 'US', 'United States'),
(145557, '208.255.192.224', '208.255.192.255', 3506421984, 3506422015, 'PR', 'Puerto Rico'),
(145558, '208.255.193.0', '209.2.45.127', 3506422016, 3506580863, 'US', 'United States'),
(145559, '209.2.45.128', '209.2.45.191', 3506580864, 3506580927, 'PL', 'Poland'),
(145560, '209.2.45.192', '209.4.255.255', 3506580928, 3506765823, 'US', 'United States'),
(145561, '209.5.0.0', '209.5.112.7', 3506765824, 3506794503, 'CA', 'Canada'),
(145562, '209.5.112.8', '209.5.112.15', 3506794504, 3506794511, 'US', 'United States'),
(145563, '209.5.112.16', '209.5.159.191', 3506794512, 3506806719, 'CA', 'Canada'),
(145564, '209.5.159.192', '209.5.159.199', 3506806720, 3506806727, 'US', 'United States'),
(145565, '209.5.159.200', '209.5.255.255', 3506806728, 3506831359, 'CA', 'Canada'),
(145566, '209.6.0.0', '209.8.7.255', 3506831360, 3506964479, 'US', 'United States'),
(145567, '209.8.8.0', '209.8.15.255', 3506964480, 3506966527, 'TW', 'Taiwan'),
(145568, '209.8.16.0', '209.8.40.255', 3506966528, 3506972927, 'US', 'United States'),
(145569, '209.8.41.0', '209.8.41.255', 3506972928, 3506973183, 'A2', 'Satellite Provider'),
(145570, '209.8.42.0', '209.8.59.255', 3506973184, 3506977791, 'US', 'United States'),
(145571, '209.8.60.0', '209.8.63.255', 3506977792, 3506978815, 'NL', 'Netherlands'),
(145572, '209.8.64.0', '209.8.94.255', 3506978816, 3506986751, 'US', 'United States'),
(145573, '209.8.95.0', '209.8.95.255', 3506986752, 3506987007, 'DE', 'Germany'),
(145574, '209.8.96.0', '209.8.199.255', 3506987008, 3507013631, 'US', 'United States'),
(145575, '209.8.200.0', '209.8.207.255', 3507013632, 3507015679, 'DE', 'Germany'),
(145576, '209.8.208.0', '209.8.223.255', 3507015680, 3507019775, 'US', 'United States'),
(145577, '209.8.224.0', '209.8.231.255', 3507019776, 3507021823, 'GB', 'United Kingdom'),
(145578, '209.8.232.0', '209.8.232.255', 3507021824, 3507022079, 'US', 'United States'),
(145579, '209.8.233.0', '209.8.233.255', 3507022080, 3507022335, 'A2', 'Satellite Provider'),
(145580, '209.8.234.0', '209.8.239.255', 3507022336, 3507023871, 'US', 'United States'),
(145581, '209.8.240.0', '209.8.241.255', 3507023872, 3507024383, 'GB', 'United Kingdom'),
(145582, '209.8.242.0', '209.8.242.255', 3507024384, 3507024639, 'AU', 'Australia'),
(145583, '209.8.243.0', '209.8.247.255', 3507024640, 3507025919, 'GB', 'United Kingdom'),
(145584, '209.8.248.0', '209.9.39.255', 3507025920, 3507038207, 'US', 'United States'),
(145585, '209.9.40.0', '209.9.47.255', 3507038208, 3507040255, 'TW', 'Taiwan'),
(145586, '209.9.48.0', '209.10.32.223', 3507040256, 3507101919, 'US', 'United States'),
(145587, '209.10.32.224', '209.10.32.239', 3507101920, 3507101935, 'IL', 'Israel'),
(145588, '209.10.32.240', '209.12.255.255', 3507101936, 3507290111, 'US', 'United States'),
(145589, '209.13.0.0', '209.13.255.255', 3507290112, 3507355647, 'AR', 'Argentina'),
(145590, '209.14.0.0', '209.15.191.255', 3507355648, 3507470335, 'US', 'United States'),
(145591, '209.15.192.0', '209.15.255.255', 3507470336, 3507486719, 'CA', 'Canada'),
(145592, '209.16.0.0', '209.16.208.47', 3507486720, 3507540015, 'US', 'United States'),
(145593, '209.16.208.48', '209.16.208.63', 3507540016, 3507540031, 'IN', 'India'),
(145594, '209.16.208.64', '209.17.127.255', 3507540032, 3507585023, 'US', 'United States'),
(145595, '209.17.128.0', '209.17.182.63', 3507585024, 3507598911, 'CA', 'Canada'),
(145596, '209.17.182.64', '209.17.182.95', 3507598912, 3507598943, 'US', 'United States'),
(145597, '209.17.182.96', '209.17.191.255', 3507598944, 3507601407, 'CA', 'Canada'),
(145598, '209.17.192.0', '209.18.64.159', 3507601408, 3507634335, 'US', 'United States'),
(145599, '209.18.64.160', '209.18.64.175', 3507634336, 3507634351, 'IQ', 'Iraq'),
(145600, '209.18.64.176', '209.18.64.207', 3507634352, 3507634383, 'US', 'United States'),
(145601, '209.18.64.208', '209.18.64.223', 3507634384, 3507634399, 'ES', 'Spain'),
(145602, '209.18.64.224', '209.18.65.191', 3507634400, 3507634623, 'US', 'United States'),
(145603, '209.18.65.192', '209.18.65.223', 3507634624, 3507634655, 'CA', 'Canada'),
(145604, '209.18.65.224', '209.18.68.191', 3507634656, 3507635391, 'US', 'United States'),
(145605, '209.18.68.192', '209.18.68.207', 3507635392, 3507635407, 'AU', 'Australia'),
(145606, '209.18.68.208', '209.18.74.223', 3507635408, 3507636959, 'US', 'United States'),
(145607, '209.18.74.224', '209.18.74.239', 3507636960, 3507636975, 'CA', 'Canada'),
(145608, '209.18.74.240', '209.18.77.47', 3507636976, 3507637551, 'US', 'United States'),
(145609, '209.18.77.48', '209.18.77.63', 3507637552, 3507637567, 'IL', 'Israel'),
(145610, '209.18.77.64', '209.18.83.149', 3507637568, 3507639189, 'US', 'United States'),
(145611, '209.18.83.150', '209.18.83.159', 3507639190, 3507639199, 'IT', 'Italy'),
(145612, '209.18.83.160', '209.18.84.89', 3507639200, 3507639385, 'US', 'United States'),
(145613, '209.18.84.90', '209.18.84.99', 3507639386, 3507639395, 'BE', 'Belgium'),
(145614, '209.18.84.100', '209.18.85.119', 3507639396, 3507639671, 'US', 'United States'),
(145615, '209.18.85.120', '209.18.85.129', 3507639672, 3507639681, 'SY', 'Syrian Arab Republic'),
(145616, '209.18.85.130', '209.18.85.159', 3507639682, 3507639711, 'US', 'United States'),
(145617, '209.18.85.160', '209.18.85.169', 3507639712, 3507639721, 'BE', 'Belgium'),
(145618, '209.18.85.170', '209.18.85.189', 3507639722, 3507639741, 'US', 'United States'),
(145619, '209.18.85.190', '209.18.85.199', 3507639742, 3507639751, 'NZ', 'New Zealand'),
(145620, '209.18.85.200', '209.18.96.159', 3507639752, 3507642527, 'US', 'United States'),
(145621, '209.18.96.160', '209.18.96.191', 3507642528, 3507642559, 'IL', 'Israel'),
(145622, '209.18.96.192', '209.18.96.223', 3507642560, 3507642591, 'CA', 'Canada'),
(145623, '209.18.96.224', '209.18.98.127', 3507642592, 3507643007, 'US', 'United States'),
(145624, '209.18.98.128', '209.18.98.159', 3507643008, 3507643039, 'GB', 'United Kingdom'),
(145625, '209.18.98.160', '209.18.99.39', 3507643040, 3507643175, 'US', 'United States'),
(145626, '209.18.99.40', '209.18.99.49', 3507643176, 3507643185, 'FR', 'France'),
(145627, '209.18.99.50', '209.18.99.129', 3507643186, 3507643265, 'US', 'United States'),
(145628, '209.18.99.130', '209.18.99.139', 3507643266, 3507643275, 'IQ', 'Iraq'),
(145629, '209.18.99.140', '209.18.99.149', 3507643276, 3507643285, 'US', 'United States'),
(145630, '209.18.99.150', '209.18.99.159', 3507643286, 3507643295, 'ES', 'Spain'),
(145631, '209.18.99.160', '209.18.99.179', 3507643296, 3507643315, 'US', 'United States'),
(145632, '209.18.99.180', '209.18.99.189', 3507643316, 3507643325, 'JP', 'Japan'),
(145633, '209.18.99.190', '209.18.100.69', 3507643326, 3507643461, 'US', 'United States'),
(145634, '209.18.100.70', '209.18.100.79', 3507643462, 3507643471, 'AU', 'Australia'),
(145635, '209.18.100.80', '209.18.100.209', 3507643472, 3507643601, 'US', 'United States'),
(145636, '209.18.100.210', '209.18.100.219', 3507643602, 3507643611, 'IT', 'Italy'),
(145637, '209.18.100.220', '209.18.102.127', 3507643612, 3507644031, 'US', 'United States'),
(145638, '209.18.102.128', '209.18.102.159', 3507644032, 3507644063, 'IL', 'Israel'),
(145639, '209.18.102.160', '209.18.102.223', 3507644064, 3507644127, 'US', 'United States'),
(145640, '209.18.102.224', '209.18.102.255', 3507644128, 3507644159, 'FR', 'France'),
(145641, '209.18.103.0', '209.18.104.95', 3507644160, 3507644511, 'US', 'United States'),
(145642, '209.18.104.96', '209.18.104.127', 3507644512, 3507644543, 'NO', 'Norway'),
(145643, '209.18.104.128', '209.18.104.175', 3507644544, 3507644591, 'US', 'United States'),
(145644, '209.18.104.176', '209.18.104.191', 3507644592, 3507644607, 'GB', 'United Kingdom'),
(145645, '209.18.104.192', '209.18.106.89', 3507644608, 3507645017, 'US', 'United States'),
(145646, '209.18.106.90', '209.18.106.99', 3507645018, 3507645027, 'AU', 'Australia'),
(145647, '209.18.106.100', '209.18.106.109', 3507645028, 3507645037, 'UA', 'Ukraine'),
(145648, '209.18.106.110', '209.18.106.189', 3507645038, 3507645117, 'US', 'United States'),
(145649, '209.18.106.190', '209.18.106.199', 3507645118, 3507645127, 'NZ', 'New Zealand'),
(145650, '209.18.106.200', '209.18.107.9', 3507645128, 3507645193, 'US', 'United States'),
(145651, '209.18.107.10', '209.18.107.19', 3507645194, 3507645203, 'NZ', 'New Zealand'),
(145652, '209.18.107.20', '209.18.107.39', 3507645204, 3507645223, 'US', 'United States'),
(145653, '209.18.107.40', '209.18.107.49', 3507645224, 3507645233, 'AU', 'Australia'),
(145654, '209.18.107.50', '209.18.107.149', 3507645234, 3507645333, 'US', 'United States'),
(145655, '209.18.107.150', '209.18.107.159', 3507645334, 3507645343, 'IR', 'Iran, Islamic Republic of'),
(145656, '209.18.107.160', '209.18.107.169', 3507645344, 3507645353, 'UA', 'Ukraine'),
(145657, '209.18.107.170', '209.18.107.239', 3507645354, 3507645423, 'US', 'United States'),
(145658, '209.18.107.240', '209.18.107.249', 3507645424, 3507645433, 'GB', 'United Kingdom'),
(145659, '209.18.107.250', '209.18.108.39', 3507645434, 3507645479, 'US', 'United States'),
(145660, '209.18.108.40', '209.18.108.49', 3507645480, 3507645489, 'GR', 'Greece'),
(145661, '209.18.108.50', '209.18.110.175', 3507645490, 3507646127, 'US', 'United States'),
(145662, '209.18.110.176', '209.18.110.191', 3507646128, 3507646143, 'ES', 'Spain'),
(145663, '209.18.110.192', '209.18.117.63', 3507646144, 3507647807, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(145664, '209.18.117.64', '209.18.117.127', 3507647808, 3507647871, 'AU', 'Australia'),
(145665, '209.18.117.128', '209.18.122.239', 3507647872, 3507649263, 'US', 'United States'),
(145666, '209.18.122.240', '209.18.122.255', 3507649264, 3507649279, 'QA', 'Qatar'),
(145667, '209.18.123.0', '209.18.125.255', 3507649280, 3507650047, 'US', 'United States'),
(145668, '209.18.126.0', '209.18.126.63', 3507650048, 3507650111, 'BV', 'Bouvet Island'),
(145669, '209.18.126.64', '209.18.127.31', 3507650112, 3507650335, 'US', 'United States'),
(145670, '209.18.127.32', '209.18.127.63', 3507650336, 3507650367, 'PA', 'Panama'),
(145671, '209.18.127.64', '209.18.127.127', 3507650368, 3507650431, 'US', 'United States'),
(145672, '209.18.127.128', '209.18.127.191', 3507650432, 3507650495, 'AU', 'Australia'),
(145673, '209.18.127.192', '209.19.255.255', 3507650496, 3507748863, 'US', 'United States'),
(145674, '209.20.0.0', '209.20.1.255', 3507748864, 3507749375, 'CA', 'Canada'),
(145675, '209.20.2.0', '209.20.2.255', 3507749376, 3507749631, 'US', 'United States'),
(145676, '209.20.3.0', '209.20.63.255', 3507749632, 3507765247, 'CA', 'Canada'),
(145677, '209.20.64.0', '209.20.235.255', 3507765248, 3507809279, 'US', 'United States'),
(145678, '209.20.236.0', '209.20.236.255', 3507809280, 3507809535, 'BG', 'Bulgaria'),
(145679, '209.20.237.0', '209.25.130.191', 3507809536, 3508110015, 'US', 'United States'),
(145680, '209.25.130.192', '209.25.130.223', 3508110016, 3508110047, 'CA', 'Canada'),
(145681, '209.25.130.224', '209.25.131.127', 3508110048, 3508110207, 'US', 'United States'),
(145682, '209.25.131.128', '209.25.131.159', 3508110208, 3508110239, 'ES', 'Spain'),
(145683, '209.25.131.160', '209.25.135.255', 3508110240, 3508111359, 'US', 'United States'),
(145684, '209.25.136.0', '209.25.136.255', 3508111360, 3508111615, 'CA', 'Canada'),
(145685, '209.25.137.0', '209.25.147.255', 3508111616, 3508114431, 'US', 'United States'),
(145686, '209.25.148.0', '209.25.148.255', 3508114432, 3508114687, 'ID', 'Indonesia'),
(145687, '209.25.149.0', '209.25.153.95', 3508114688, 3508115807, 'US', 'United States'),
(145688, '209.25.153.96', '209.25.153.127', 3508115808, 3508115839, 'RU', 'Russian Federation'),
(145689, '209.25.153.128', '209.25.159.191', 3508115840, 3508117439, 'US', 'United States'),
(145690, '209.25.159.192', '209.25.159.255', 3508117440, 3508117503, 'CA', 'Canada'),
(145691, '209.25.160.0', '209.25.163.255', 3508117504, 3508118527, 'US', 'United States'),
(145692, '209.25.164.0', '209.25.164.31', 3508118528, 3508118559, 'AU', 'Australia'),
(145693, '209.25.164.32', '209.25.165.127', 3508118560, 3508118911, 'US', 'United States'),
(145694, '209.25.165.128', '209.25.165.159', 3508118912, 3508118943, 'CA', 'Canada'),
(145695, '209.25.165.160', '209.25.185.31', 3508118944, 3508123935, 'US', 'United States'),
(145696, '209.25.185.32', '209.25.185.47', 3508123936, 3508123951, 'CA', 'Canada'),
(145697, '209.25.185.48', '209.25.194.31', 3508123952, 3508126239, 'US', 'United States'),
(145698, '209.25.194.32', '209.25.194.47', 3508126240, 3508126255, 'GB', 'United Kingdom'),
(145699, '209.25.194.48', '209.25.211.255', 3508126256, 3508130815, 'US', 'United States'),
(145700, '209.25.212.0', '209.25.212.15', 3508130816, 3508130831, 'RU', 'Russian Federation'),
(145701, '209.25.212.16', '209.25.213.63', 3508130832, 3508131135, 'US', 'United States'),
(145702, '209.25.213.64', '209.25.213.127', 3508131136, 3508131199, 'CA', 'Canada'),
(145703, '209.25.213.128', '209.25.220.255', 3508131200, 3508133119, 'US', 'United States'),
(145704, '209.25.221.0', '209.25.221.127', 3508133120, 3508133247, 'GB', 'United Kingdom'),
(145705, '209.25.221.128', '209.25.238.159', 3508133248, 3508137631, 'US', 'United States'),
(145706, '209.25.238.160', '209.25.238.175', 3508137632, 3508137647, 'SK', 'Slovakia'),
(145707, '209.25.238.176', '209.25.238.223', 3508137648, 3508137695, 'US', 'United States'),
(145708, '209.25.238.224', '209.25.238.239', 3508137696, 3508137711, 'ID', 'Indonesia'),
(145709, '209.25.238.240', '209.27.47.255', 3508137712, 3508219903, 'US', 'United States'),
(145710, '209.27.48.0', '209.27.51.255', 3508219904, 3508220927, 'CA', 'Canada'),
(145711, '209.27.52.0', '209.27.55.255', 3508220928, 3508221951, 'KY', 'Cayman Islands'),
(145712, '209.27.56.0', '209.27.59.255', 3508221952, 3508222975, 'US', 'United States'),
(145713, '209.27.60.0', '209.27.63.255', 3508222976, 3508223999, 'KY', 'Cayman Islands'),
(145714, '209.27.64.0', '209.27.64.255', 3508224000, 3508224255, 'BM', 'Bermuda'),
(145715, '209.27.65.0', '209.27.141.255', 3508224256, 3508243967, 'US', 'United States'),
(145716, '209.27.142.0', '209.27.142.255', 3508243968, 3508244223, 'BM', 'Bermuda'),
(145717, '209.27.143.0', '209.28.0.255', 3508244224, 3508273407, 'US', 'United States'),
(145718, '209.28.1.0', '209.28.1.255', 3508273408, 3508273663, 'MX', 'Mexico'),
(145719, '209.28.2.0', '209.28.6.31', 3508273664, 3508274719, 'US', 'United States'),
(145720, '209.28.6.32', '209.28.6.63', 3508274720, 3508274751, 'AR', 'Argentina'),
(145721, '209.28.6.64', '209.28.7.255', 3508274752, 3508275199, 'US', 'United States'),
(145722, '209.28.8.0', '209.28.8.127', 3508275200, 3508275327, 'IT', 'Italy'),
(145723, '209.28.8.128', '209.28.8.255', 3508275328, 3508275455, 'US', 'United States'),
(145724, '209.28.9.0', '209.28.9.31', 3508275456, 3508275487, 'ZA', 'South Africa'),
(145725, '209.28.9.32', '209.28.14.255', 3508275488, 3508276991, 'US', 'United States'),
(145726, '209.28.15.0', '209.28.15.255', 3508276992, 3508277247, 'MX', 'Mexico'),
(145727, '209.28.16.0', '209.28.16.95', 3508277248, 3508277343, 'US', 'United States'),
(145728, '209.28.16.96', '209.28.16.127', 3508277344, 3508277375, 'CA', 'Canada'),
(145729, '209.28.16.128', '209.28.16.239', 3508277376, 3508277487, 'US', 'United States'),
(145730, '209.28.16.240', '209.28.16.255', 3508277488, 3508277503, 'PR', 'Puerto Rico'),
(145731, '209.28.17.0', '209.28.20.255', 3508277504, 3508278527, 'US', 'United States'),
(145732, '209.28.21.0', '209.28.21.255', 3508278528, 3508278783, 'AU', 'Australia'),
(145733, '209.28.22.0', '209.28.22.255', 3508278784, 3508279039, 'US', 'United States'),
(145734, '209.28.23.0', '209.28.23.255', 3508279040, 3508279295, 'VE', 'Venezuela'),
(145735, '209.28.24.0', '209.28.24.255', 3508279296, 3508279551, 'US', 'United States'),
(145736, '209.28.25.0', '209.28.25.255', 3508279552, 3508279807, 'CO', 'Colombia'),
(145737, '209.28.26.0', '209.28.26.255', 3508279808, 3508280063, 'JP', 'Japan'),
(145738, '209.28.27.0', '209.28.27.255', 3508280064, 3508280319, 'TH', 'Thailand'),
(145739, '209.28.28.0', '209.28.28.255', 3508280320, 3508280575, 'JP', 'Japan'),
(145740, '209.28.29.0', '209.28.29.255', 3508280576, 3508280831, 'TW', 'Taiwan'),
(145741, '209.28.30.0', '209.28.30.255', 3508280832, 3508281087, 'JP', 'Japan'),
(145742, '209.28.31.0', '209.28.31.255', 3508281088, 3508281343, 'KR', 'Korea, Republic of'),
(145743, '209.28.32.0', '209.28.32.255', 3508281344, 3508281599, 'PH', 'Philippines'),
(145744, '209.28.33.0', '209.28.33.255', 3508281600, 3508281855, 'NZ', 'New Zealand'),
(145745, '209.28.34.0', '209.28.34.191', 3508281856, 3508282047, 'US', 'United States'),
(145746, '209.28.34.192', '209.28.34.255', 3508282048, 3508282111, 'SG', 'Singapore'),
(145747, '209.28.35.0', '209.28.35.255', 3508282112, 3508282367, 'HK', 'Hong Kong'),
(145748, '209.28.36.0', '209.28.36.223', 3508282368, 3508282591, 'US', 'United States'),
(145749, '209.28.36.224', '209.28.36.255', 3508282592, 3508282623, 'IT', 'Italy'),
(145750, '209.28.37.0', '209.28.37.255', 3508282624, 3508282879, 'AU', 'Australia'),
(145751, '209.28.38.0', '209.28.38.7', 3508282880, 3508282887, 'KP', 'Korea, Democratic People''s Republic of'),
(145752, '209.28.38.8', '209.28.38.255', 3508282888, 3508283135, 'US', 'United States'),
(145753, '209.28.39.0', '209.28.39.255', 3508283136, 3508283391, 'HK', 'Hong Kong'),
(145754, '209.28.40.0', '209.28.40.255', 3508283392, 3508283647, 'US', 'United States'),
(145755, '209.28.41.0', '209.28.41.255', 3508283648, 3508283903, 'AU', 'Australia'),
(145756, '209.28.42.0', '209.28.42.255', 3508283904, 3508284159, 'MY', 'Malaysia'),
(145757, '209.28.43.0', '209.28.43.255', 3508284160, 3508284415, 'SG', 'Singapore'),
(145758, '209.28.44.0', '209.28.44.255', 3508284416, 3508284671, 'AU', 'Australia'),
(145759, '209.28.45.0', '209.28.45.63', 3508284672, 3508284735, 'JP', 'Japan'),
(145760, '209.28.45.64', '209.28.45.255', 3508284736, 3508284927, 'US', 'United States'),
(145761, '209.28.46.0', '209.28.46.63', 3508284928, 3508284991, 'ES', 'Spain'),
(145762, '209.28.46.64', '209.28.46.159', 3508284992, 3508285087, 'US', 'United States'),
(145763, '209.28.46.160', '209.28.46.167', 3508285088, 3508285095, 'ES', 'Spain'),
(145764, '209.28.46.168', '209.28.46.191', 3508285096, 3508285119, 'US', 'United States'),
(145765, '209.28.46.192', '209.28.46.223', 3508285120, 3508285151, 'ES', 'Spain'),
(145766, '209.28.46.224', '209.28.49.127', 3508285152, 3508285823, 'US', 'United States'),
(145767, '209.28.49.128', '209.28.49.159', 3508285824, 3508285855, 'ES', 'Spain'),
(145768, '209.28.49.160', '209.28.49.191', 3508285856, 3508285887, 'US', 'United States'),
(145769, '209.28.49.192', '209.28.49.255', 3508285888, 3508285951, 'GB', 'United Kingdom'),
(145770, '209.28.50.0', '209.28.50.63', 3508285952, 3508286015, 'NL', 'Netherlands'),
(145771, '209.28.50.64', '209.28.50.127', 3508286016, 3508286079, 'US', 'United States'),
(145772, '209.28.50.128', '209.28.50.159', 3508286080, 3508286111, 'NL', 'Netherlands'),
(145773, '209.28.50.160', '209.28.50.255', 3508286112, 3508286207, 'US', 'United States'),
(145774, '209.28.51.0', '209.28.51.255', 3508286208, 3508286463, 'SE', 'Sweden'),
(145775, '209.28.52.0', '209.28.52.255', 3508286464, 3508286719, 'HK', 'Hong Kong'),
(145776, '209.28.53.0', '209.28.53.127', 3508286720, 3508286847, 'US', 'United States'),
(145777, '209.28.53.128', '209.28.53.143', 3508286848, 3508286863, 'TW', 'Taiwan'),
(145778, '209.28.53.144', '209.28.53.191', 3508286864, 3508286911, 'US', 'United States'),
(145779, '209.28.53.192', '209.28.53.207', 3508286912, 3508286927, 'PH', 'Philippines'),
(145780, '209.28.53.208', '209.28.53.223', 3508286928, 3508286943, 'US', 'United States'),
(145781, '209.28.53.224', '209.28.53.255', 3508286944, 3508286975, 'ID', 'Indonesia'),
(145782, '209.28.54.0', '209.28.54.63', 3508286976, 3508287039, 'TH', 'Thailand'),
(145783, '209.28.54.64', '209.28.54.79', 3508287040, 3508287055, 'US', 'United States'),
(145784, '209.28.54.80', '209.28.54.87', 3508287056, 3508287063, 'TH', 'Thailand'),
(145785, '209.28.54.88', '209.28.54.127', 3508287064, 3508287103, 'US', 'United States'),
(145786, '209.28.54.128', '209.28.54.191', 3508287104, 3508287167, 'HK', 'Hong Kong'),
(145787, '209.28.54.192', '209.28.54.255', 3508287168, 3508287231, 'US', 'United States'),
(145788, '209.28.55.0', '209.28.55.31', 3508287232, 3508287263, 'HK', 'Hong Kong'),
(145789, '209.28.55.32', '209.28.55.63', 3508287264, 3508287295, 'US', 'United States'),
(145790, '209.28.55.64', '209.28.55.127', 3508287296, 3508287359, 'HK', 'Hong Kong'),
(145791, '209.28.55.128', '209.28.57.255', 3508287360, 3508287999, 'US', 'United States'),
(145792, '209.28.58.0', '209.28.58.127', 3508288000, 3508288127, 'MY', 'Malaysia'),
(145793, '209.28.58.128', '209.28.58.255', 3508288128, 3508288255, 'SG', 'Singapore'),
(145794, '209.28.59.0', '209.28.59.255', 3508288256, 3508288511, 'JP', 'Japan'),
(145795, '209.28.60.0', '209.28.60.255', 3508288512, 3508288767, 'US', 'United States'),
(145796, '209.28.61.0', '209.28.61.255', 3508288768, 3508289023, 'BR', 'Brazil'),
(145797, '209.28.62.0', '209.28.62.255', 3508289024, 3508289279, 'AU', 'Australia'),
(145798, '209.28.63.0', '209.28.63.63', 3508289280, 3508289343, 'BR', 'Brazil'),
(145799, '209.28.63.64', '209.28.63.127', 3508289344, 3508289407, 'US', 'United States'),
(145800, '209.28.63.128', '209.28.63.191', 3508289408, 3508289471, 'BR', 'Brazil'),
(145801, '209.28.63.192', '209.28.63.255', 3508289472, 3508289535, 'US', 'United States'),
(145802, '209.28.64.0', '209.28.64.255', 3508289536, 3508289791, 'CA', 'Canada'),
(145803, '209.28.65.0', '209.28.69.31', 3508289792, 3508290847, 'US', 'United States'),
(145804, '209.28.69.32', '209.28.69.63', 3508290848, 3508290879, 'MX', 'Mexico'),
(145805, '209.28.69.64', '209.28.69.79', 3508290880, 3508290895, 'US', 'United States'),
(145806, '209.28.69.80', '209.28.69.95', 3508290896, 3508290911, 'BR', 'Brazil'),
(145807, '209.28.69.96', '209.28.69.111', 3508290912, 3508290927, 'US', 'United States'),
(145808, '209.28.69.112', '209.28.69.127', 3508290928, 3508290943, 'BR', 'Brazil'),
(145809, '209.28.69.128', '209.28.70.191', 3508290944, 3508291263, 'US', 'United States'),
(145810, '209.28.70.192', '209.28.70.255', 3508291264, 3508291327, 'IT', 'Italy'),
(145811, '209.28.71.0', '209.28.73.255', 3508291328, 3508292095, 'GB', 'United Kingdom'),
(145812, '209.28.74.0', '209.28.74.255', 3508292096, 3508292351, 'CH', 'Switzerland'),
(145813, '209.28.75.0', '209.28.75.63', 3508292352, 3508292415, 'US', 'United States'),
(145814, '209.28.75.64', '209.28.75.95', 3508292416, 3508292447, 'CL', 'Chile'),
(145815, '209.28.75.96', '209.28.76.255', 3508292448, 3508292863, 'US', 'United States'),
(145816, '209.28.77.0', '209.28.81.255', 3508292864, 3508294143, 'DE', 'Germany'),
(145817, '209.28.82.0', '209.28.87.15', 3508294144, 3508295439, 'US', 'United States'),
(145818, '209.28.87.16', '209.28.87.63', 3508295440, 3508295487, 'BR', 'Brazil'),
(145819, '209.28.87.64', '209.28.87.95', 3508295488, 3508295519, 'GB', 'United Kingdom'),
(145820, '209.28.87.96', '209.28.87.127', 3508295520, 3508295551, 'US', 'United States'),
(145821, '209.28.87.128', '209.28.87.191', 3508295552, 3508295615, 'BR', 'Brazil'),
(145822, '209.28.87.192', '209.28.87.207', 3508295616, 3508295631, 'ES', 'Spain'),
(145823, '209.28.87.208', '209.28.87.255', 3508295632, 3508295679, 'US', 'United States'),
(145824, '209.28.88.0', '209.28.88.255', 3508295680, 3508295935, 'GB', 'United Kingdom'),
(145825, '209.28.89.0', '209.28.89.63', 3508295936, 3508295999, 'US', 'United States'),
(145826, '209.28.89.64', '209.28.89.79', 3508296000, 3508296015, 'BR', 'Brazil'),
(145827, '209.28.89.80', '209.28.89.159', 3508296016, 3508296095, 'US', 'United States'),
(145828, '209.28.89.160', '209.28.89.191', 3508296096, 3508296127, 'BR', 'Brazil'),
(145829, '209.28.89.192', '209.28.89.255', 3508296128, 3508296191, 'US', 'United States'),
(145830, '209.28.90.0', '209.28.90.127', 3508296192, 3508296319, 'GB', 'United Kingdom'),
(145831, '209.28.90.128', '209.28.90.255', 3508296320, 3508296447, 'US', 'United States'),
(145832, '209.28.91.0', '209.28.91.31', 3508296448, 3508296479, 'GB', 'United Kingdom'),
(145833, '209.28.91.32', '209.28.91.47', 3508296480, 3508296495, 'BE', 'Belgium'),
(145834, '209.28.91.48', '209.28.91.95', 3508296496, 3508296543, 'US', 'United States'),
(145835, '209.28.91.96', '209.28.91.111', 3508296544, 3508296559, 'SE', 'Sweden'),
(145836, '209.28.91.112', '209.28.91.223', 3508296560, 3508296671, 'US', 'United States'),
(145837, '209.28.91.224', '209.28.91.255', 3508296672, 3508296703, 'GB', 'United Kingdom'),
(145838, '209.28.92.0', '209.28.92.63', 3508296704, 3508296767, 'FR', 'France'),
(145839, '209.28.92.64', '209.28.92.127', 3508296768, 3508296831, 'US', 'United States'),
(145840, '209.28.92.128', '209.28.92.255', 3508296832, 3508296959, 'NO', 'Norway'),
(145841, '209.28.93.0', '209.28.93.255', 3508296960, 3508297215, 'CH', 'Switzerland'),
(145842, '209.28.94.0', '209.28.94.191', 3508297216, 3508297407, 'GB', 'United Kingdom'),
(145843, '209.28.94.192', '209.28.94.255', 3508297408, 3508297471, 'SG', 'Singapore'),
(145844, '209.28.95.0', '209.28.95.255', 3508297472, 3508297727, 'IT', 'Italy'),
(145845, '209.28.96.0', '209.28.96.63', 3508297728, 3508297791, 'CH', 'Switzerland'),
(145846, '209.28.96.64', '209.28.97.63', 3508297792, 3508298047, 'US', 'United States'),
(145847, '209.28.97.64', '209.28.97.95', 3508298048, 3508298079, 'BE', 'Belgium'),
(145848, '209.28.97.96', '209.28.97.127', 3508298080, 3508298111, 'US', 'United States'),
(145849, '209.28.97.128', '209.28.97.175', 3508298112, 3508298159, 'BE', 'Belgium'),
(145850, '209.28.97.176', '209.28.97.223', 3508298160, 3508298207, 'US', 'United States'),
(145851, '209.28.97.224', '209.28.97.239', 3508298208, 3508298223, 'BE', 'Belgium'),
(145852, '209.28.97.240', '209.28.97.255', 3508298224, 3508298239, 'US', 'United States'),
(145853, '209.28.98.0', '209.28.98.255', 3508298240, 3508298495, 'DE', 'Germany'),
(145854, '209.28.99.0', '209.28.99.63', 3508298496, 3508298559, 'DK', 'Denmark'),
(145855, '209.28.99.64', '209.28.99.127', 3508298560, 3508298623, 'US', 'United States'),
(145856, '209.28.99.128', '209.28.99.159', 3508298624, 3508298655, 'DK', 'Denmark'),
(145857, '209.28.99.160', '209.28.99.191', 3508298656, 3508298687, 'US', 'United States'),
(145858, '209.28.99.192', '209.28.99.255', 3508298688, 3508298751, 'DK', 'Denmark'),
(145859, '209.28.100.0', '209.28.100.255', 3508298752, 3508299007, 'ES', 'Spain'),
(145860, '209.28.101.0', '209.28.101.255', 3508299008, 3508299263, 'BE', 'Belgium'),
(145861, '209.28.102.0', '209.28.102.255', 3508299264, 3508299519, 'GB', 'United Kingdom'),
(145862, '209.28.103.0', '209.28.103.127', 3508299520, 3508299647, 'US', 'United States'),
(145863, '209.28.103.128', '209.28.103.159', 3508299648, 3508299679, 'CH', 'Switzerland'),
(145864, '209.28.103.160', '209.28.103.255', 3508299680, 3508299775, 'US', 'United States'),
(145865, '209.28.104.0', '209.28.104.255', 3508299776, 3508300031, 'SE', 'Sweden'),
(145866, '209.28.105.0', '209.28.105.255', 3508300032, 3508300287, 'DE', 'Germany'),
(145867, '209.28.106.0', '209.28.106.255', 3508300288, 3508300543, 'US', 'United States'),
(145868, '209.28.107.0', '209.28.107.255', 3508300544, 3508300799, 'FR', 'France'),
(145869, '209.28.108.0', '209.28.108.63', 3508300800, 3508300863, 'US', 'United States'),
(145870, '209.28.108.64', '209.28.108.79', 3508300864, 3508300879, 'GB', 'United Kingdom'),
(145871, '209.28.108.80', '209.28.108.95', 3508300880, 3508300895, 'US', 'United States'),
(145872, '209.28.108.96', '209.28.108.111', 3508300896, 3508300911, 'GB', 'United Kingdom'),
(145873, '209.28.108.112', '209.28.111.63', 3508300912, 3508301631, 'US', 'United States'),
(145874, '209.28.111.64', '209.28.111.95', 3508301632, 3508301663, 'BR', 'Brazil'),
(145875, '209.28.111.96', '209.28.111.255', 3508301664, 3508301823, 'US', 'United States'),
(145876, '209.28.112.0', '209.28.112.127', 3508301824, 3508301951, 'GB', 'United Kingdom'),
(145877, '209.28.112.128', '209.28.112.159', 3508301952, 3508301983, 'DK', 'Denmark'),
(145878, '209.28.112.160', '209.28.112.175', 3508301984, 3508301999, 'IT', 'Italy'),
(145879, '209.28.112.176', '209.28.112.255', 3508302000, 3508302079, 'US', 'United States'),
(145880, '209.28.113.0', '209.28.113.31', 3508302080, 3508302111, 'DE', 'Germany'),
(145881, '209.28.113.32', '209.28.113.127', 3508302112, 3508302207, 'US', 'United States'),
(145882, '209.28.113.128', '209.28.113.143', 3508302208, 3508302223, 'DE', 'Germany'),
(145883, '209.28.113.144', '209.28.113.159', 3508302224, 3508302239, 'US', 'United States'),
(145884, '209.28.113.160', '209.28.113.175', 3508302240, 3508302255, 'GB', 'United Kingdom'),
(145885, '209.28.113.176', '209.28.113.255', 3508302256, 3508302335, 'US', 'United States'),
(145886, '209.28.114.0', '209.28.114.127', 3508302336, 3508302463, 'SG', 'Singapore'),
(145887, '209.28.114.128', '209.28.114.191', 3508302464, 3508302527, 'BE', 'Belgium'),
(145888, '209.28.114.192', '209.28.115.31', 3508302528, 3508302623, 'US', 'United States'),
(145889, '209.28.115.32', '209.28.115.95', 3508302624, 3508302687, 'BE', 'Belgium'),
(145890, '209.28.115.96', '209.28.117.255', 3508302688, 3508303359, 'US', 'United States'),
(145891, '209.28.118.0', '209.28.118.31', 3508303360, 3508303391, 'BE', 'Belgium'),
(145892, '209.28.118.32', '209.28.118.63', 3508303392, 3508303423, 'US', 'United States'),
(145893, '209.28.118.64', '209.28.118.79', 3508303424, 3508303439, 'BE', 'Belgium'),
(145894, '209.28.118.80', '209.28.118.95', 3508303440, 3508303455, 'US', 'United States'),
(145895, '209.28.118.96', '209.28.118.111', 3508303456, 3508303471, 'BE', 'Belgium'),
(145896, '209.28.118.112', '209.28.118.127', 3508303472, 3508303487, 'US', 'United States'),
(145897, '209.28.118.128', '209.28.118.191', 3508303488, 3508303551, 'ES', 'Spain'),
(145898, '209.28.118.192', '209.28.118.255', 3508303552, 3508303615, 'US', 'United States'),
(145899, '209.28.119.0', '209.28.119.255', 3508303616, 3508303871, 'DE', 'Germany'),
(145900, '209.28.120.0', '209.28.120.31', 3508303872, 3508303903, 'US', 'United States'),
(145901, '209.28.120.32', '209.28.120.63', 3508303904, 3508303935, 'CL', 'Chile'),
(145902, '209.28.120.64', '209.28.120.79', 3508303936, 3508303951, 'US', 'United States'),
(145903, '209.28.120.80', '209.28.120.95', 3508303952, 3508303967, 'CO', 'Colombia'),
(145904, '209.28.120.96', '209.28.120.111', 3508303968, 3508303983, 'US', 'United States'),
(145905, '209.28.120.112', '209.28.120.127', 3508303984, 3508303999, 'BR', 'Brazil'),
(145906, '209.28.120.128', '209.28.121.255', 3508304000, 3508304383, 'US', 'United States'),
(145907, '209.28.122.0', '209.28.122.255', 3508304384, 3508304639, 'DE', 'Germany'),
(145908, '209.28.123.0', '209.28.123.63', 3508304640, 3508304703, 'IR', 'Iran, Islamic Republic of'),
(145909, '209.28.123.64', '209.28.124.31', 3508304704, 3508304927, 'US', 'United States'),
(145910, '209.28.124.32', '209.28.124.47', 3508304928, 3508304943, 'DE', 'Germany'),
(145911, '209.28.124.48', '209.28.124.255', 3508304944, 3508305151, 'US', 'United States'),
(145912, '209.28.125.0', '209.28.125.63', 3508305152, 3508305215, 'NL', 'Netherlands'),
(145913, '209.28.125.64', '209.28.125.95', 3508305216, 3508305247, 'US', 'United States'),
(145914, '209.28.125.96', '209.28.125.111', 3508305248, 3508305263, 'NL', 'Netherlands'),
(145915, '209.28.125.112', '209.28.127.127', 3508305264, 3508305791, 'US', 'United States'),
(145916, '209.28.127.128', '209.28.127.159', 3508305792, 3508305823, 'CO', 'Colombia'),
(145917, '209.28.127.160', '209.28.127.191', 3508305824, 3508305855, 'US', 'United States'),
(145918, '209.28.127.192', '209.28.127.207', 3508305856, 3508305871, 'BE', 'Belgium'),
(145919, '209.28.127.208', '209.28.129.255', 3508305872, 3508306431, 'US', 'United States'),
(145920, '209.28.130.0', '209.28.130.255', 3508306432, 3508306687, 'EC', 'Ecuador'),
(145921, '209.28.131.0', '209.28.131.255', 3508306688, 3508306943, 'US', 'United States'),
(145922, '209.28.132.0', '209.28.132.255', 3508306944, 3508307199, 'CH', 'Switzerland'),
(145923, '209.28.133.0', '209.28.133.255', 3508307200, 3508307455, 'US', 'United States'),
(145924, '209.28.134.0', '209.28.134.255', 3508307456, 3508307711, 'AR', 'Argentina'),
(145925, '209.28.135.0', '209.28.139.255', 3508307712, 3508308991, 'US', 'United States'),
(145926, '209.28.140.0', '209.28.140.255', 3508308992, 3508309247, 'BE', 'Belgium'),
(145927, '209.28.141.0', '209.28.145.255', 3508309248, 3508310527, 'SE', 'Sweden'),
(145928, '209.28.146.0', '209.28.146.255', 3508310528, 3508310783, 'DE', 'Germany'),
(145929, '209.28.147.0', '209.28.147.255', 3508310784, 3508311039, 'BE', 'Belgium'),
(145930, '209.28.148.0', '209.28.148.255', 3508311040, 3508311295, 'NL', 'Netherlands'),
(145931, '209.28.149.0', '209.28.150.255', 3508311296, 3508311807, 'IE', 'Ireland'),
(145932, '209.28.151.0', '209.28.151.159', 3508311808, 3508311967, 'US', 'United States'),
(145933, '209.28.151.160', '209.28.151.175', 3508311968, 3508311983, 'DE', 'Germany'),
(145934, '209.28.151.176', '209.28.151.255', 3508311984, 3508312063, 'US', 'United States'),
(145935, '209.28.152.0', '209.28.152.255', 3508312064, 3508312319, 'NL', 'Netherlands'),
(145936, '209.28.153.0', '209.28.153.255', 3508312320, 3508312575, 'CH', 'Switzerland'),
(145937, '209.28.154.0', '209.28.154.15', 3508312576, 3508312591, 'ES', 'Spain'),
(145938, '209.28.154.16', '209.28.154.255', 3508312592, 3508312831, 'US', 'United States'),
(145939, '209.28.155.0', '209.28.156.255', 3508312832, 3508313343, 'DE', 'Germany'),
(145940, '209.28.157.0', '209.28.157.255', 3508313344, 3508313599, 'SE', 'Sweden'),
(145941, '209.28.158.0', '209.28.158.255', 3508313600, 3508313855, 'DK', 'Denmark'),
(145942, '209.28.159.0', '209.28.160.255', 3508313856, 3508314367, 'GB', 'United Kingdom'),
(145943, '209.28.161.0', '209.28.161.255', 3508314368, 3508314623, 'IT', 'Italy'),
(145944, '209.28.162.0', '209.28.162.255', 3508314624, 3508314879, 'DK', 'Denmark'),
(145945, '209.28.163.0', '209.28.163.31', 3508314880, 3508314911, 'US', 'United States'),
(145946, '209.28.163.32', '209.28.163.47', 3508314912, 3508314927, 'FR', 'France'),
(145947, '209.28.163.48', '209.28.163.63', 3508314928, 3508314943, 'US', 'United States'),
(145948, '209.28.163.64', '209.28.163.79', 3508314944, 3508314959, 'CH', 'Switzerland'),
(145949, '209.28.163.80', '209.28.163.95', 3508314960, 3508314975, 'PT', 'Portugal'),
(145950, '209.28.163.96', '209.28.163.255', 3508314976, 3508315135, 'US', 'United States'),
(145951, '209.28.164.0', '209.28.164.255', 3508315136, 3508315391, 'NO', 'Norway'),
(145952, '209.28.165.0', '209.28.165.255', 3508315392, 3508315647, 'US', 'United States'),
(145953, '209.28.166.0', '209.28.166.255', 3508315648, 3508315903, 'FR', 'France'),
(145954, '209.28.167.0', '209.28.167.255', 3508315904, 3508316159, 'US', 'United States'),
(145955, '209.28.168.0', '209.28.168.255', 3508316160, 3508316415, 'PT', 'Portugal'),
(145956, '209.28.169.0', '209.28.169.255', 3508316416, 3508316671, 'GB', 'United Kingdom'),
(145957, '209.28.170.0', '209.28.170.255', 3508316672, 3508316927, 'RU', 'Russian Federation'),
(145958, '209.28.171.0', '209.28.171.255', 3508316928, 3508317183, 'SE', 'Sweden'),
(145959, '209.28.172.0', '209.28.172.15', 3508317184, 3508317199, 'US', 'United States'),
(145960, '209.28.172.16', '209.28.172.23', 3508317200, 3508317207, 'RU', 'Russian Federation'),
(145961, '209.28.172.24', '209.28.172.47', 3508317208, 3508317231, 'US', 'United States'),
(145962, '209.28.172.48', '209.28.172.63', 3508317232, 3508317247, 'AT', 'Austria'),
(145963, '209.28.172.64', '209.28.172.191', 3508317248, 3508317375, 'US', 'United States'),
(145964, '209.28.172.192', '209.28.172.255', 3508317376, 3508317439, 'FR', 'France'),
(145965, '209.28.173.0', '209.28.173.255', 3508317440, 3508317695, 'DE', 'Germany'),
(145966, '209.28.174.0', '209.28.174.255', 3508317696, 3508317951, 'US', 'United States'),
(145967, '209.28.175.0', '209.28.176.255', 3508317952, 3508318463, 'FI', 'Finland'),
(145968, '209.28.177.0', '209.28.177.255', 3508318464, 3508318719, 'LU', 'Luxembourg'),
(145969, '209.28.178.0', '209.28.178.255', 3508318720, 3508318975, 'IT', 'Italy'),
(145970, '209.28.179.0', '209.28.180.255', 3508318976, 3508319487, 'IL', 'Israel'),
(145971, '209.28.181.0', '209.28.181.255', 3508319488, 3508319743, 'RU', 'Russian Federation'),
(145972, '209.28.182.0', '209.28.182.255', 3508319744, 3508319999, 'CH', 'Switzerland'),
(145973, '209.28.183.0', '209.28.183.255', 3508320000, 3508320255, 'SE', 'Sweden'),
(145974, '209.28.184.0', '209.28.184.127', 3508320256, 3508320383, 'PT', 'Portugal'),
(145975, '209.28.184.128', '209.28.184.255', 3508320384, 3508320511, 'US', 'United States'),
(145976, '209.28.185.0', '209.28.185.15', 3508320512, 3508320527, 'DE', 'Germany'),
(145977, '209.28.185.16', '209.28.185.31', 3508320528, 3508320543, 'PT', 'Portugal'),
(145978, '209.28.185.32', '209.28.185.255', 3508320544, 3508320767, 'US', 'United States'),
(145979, '209.28.186.0', '209.28.189.255', 3508320768, 3508321791, 'BE', 'Belgium'),
(145980, '209.28.190.0', '209.28.190.31', 3508321792, 3508321823, 'NL', 'Netherlands'),
(145981, '209.28.190.32', '209.28.190.63', 3508321824, 3508321855, 'ZA', 'South Africa'),
(145982, '209.28.190.64', '209.28.190.79', 3508321856, 3508321871, 'FR', 'France'),
(145983, '209.28.190.80', '209.28.190.95', 3508321872, 3508321887, 'SE', 'Sweden'),
(145984, '209.28.190.96', '209.28.191.63', 3508321888, 3508322111, 'US', 'United States'),
(145985, '209.28.191.64', '209.28.191.95', 3508322112, 3508322143, 'PL', 'Poland'),
(145986, '209.28.191.96', '209.28.191.127', 3508322144, 3508322175, 'US', 'United States'),
(145987, '209.28.191.128', '209.28.191.143', 3508322176, 3508322191, 'CH', 'Switzerland'),
(145988, '209.28.191.144', '209.28.191.191', 3508322192, 3508322239, 'US', 'United States'),
(145989, '209.28.191.192', '209.28.191.255', 3508322240, 3508322303, 'CH', 'Switzerland'),
(145990, '209.28.192.0', '209.28.192.255', 3508322304, 3508322559, 'GB', 'United Kingdom'),
(145991, '209.28.193.0', '209.28.193.255', 3508322560, 3508322815, 'FI', 'Finland'),
(145992, '209.28.194.0', '209.28.194.255', 3508322816, 3508323071, 'NO', 'Norway'),
(145993, '209.28.195.0', '209.28.195.63', 3508323072, 3508323135, 'DE', 'Germany'),
(145994, '209.28.195.64', '209.28.195.255', 3508323136, 3508323327, 'US', 'United States'),
(145995, '209.28.196.0', '209.28.196.255', 3508323328, 3508323583, 'NO', 'Norway'),
(145996, '209.28.197.0', '209.28.197.255', 3508323584, 3508323839, 'DE', 'Germany'),
(145997, '209.28.198.0', '209.28.198.255', 3508323840, 3508324095, 'FI', 'Finland'),
(145998, '209.28.199.0', '209.28.199.255', 3508324096, 3508324351, 'IT', 'Italy'),
(145999, '209.28.200.0', '209.28.200.255', 3508324352, 3508324607, 'CH', 'Switzerland'),
(146000, '209.28.201.0', '209.28.201.255', 3508324608, 3508324863, 'NO', 'Norway'),
(146001, '209.28.202.0', '209.28.202.255', 3508324864, 3508325119, 'GB', 'United Kingdom'),
(146002, '209.28.203.0', '209.28.203.255', 3508325120, 3508325375, 'DE', 'Germany'),
(146003, '209.28.204.0', '209.28.204.95', 3508325376, 3508325471, 'GR', 'Greece'),
(146004, '209.28.204.96', '209.28.204.127', 3508325472, 3508325503, 'US', 'United States'),
(146005, '209.28.204.128', '209.28.204.191', 3508325504, 3508325567, 'GB', 'United Kingdom'),
(146006, '209.28.204.192', '209.28.204.255', 3508325568, 3508325631, 'US', 'United States'),
(146007, '209.28.205.0', '209.28.205.255', 3508325632, 3508325887, 'ZA', 'South Africa'),
(146008, '209.28.206.0', '209.28.207.255', 3508325888, 3508326399, 'SE', 'Sweden'),
(146009, '209.28.208.0', '209.28.208.255', 3508326400, 3508326655, 'GB', 'United Kingdom'),
(146010, '209.28.209.0', '209.28.209.255', 3508326656, 3508326911, 'ZA', 'South Africa'),
(146011, '209.28.210.0', '209.28.210.255', 3508326912, 3508327167, 'IT', 'Italy'),
(146012, '209.28.211.0', '209.28.212.255', 3508327168, 3508327679, 'ES', 'Spain'),
(146013, '209.28.213.0', '209.28.213.255', 3508327680, 3508327935, 'US', 'United States'),
(146014, '209.28.214.0', '209.28.215.255', 3508327936, 3508328447, 'NE', 'Niger'),
(146015, '209.28.216.0', '209.28.216.255', 3508328448, 3508328703, 'BE', 'Belgium'),
(146016, '209.28.217.0', '209.28.219.255', 3508328704, 3508329471, 'IL', 'Israel'),
(146017, '209.28.220.0', '209.28.220.255', 3508329472, 3508329727, 'NL', 'Netherlands'),
(146018, '209.28.221.0', '209.28.221.255', 3508329728, 3508329983, 'FR', 'France'),
(146019, '209.28.222.0', '209.28.223.255', 3508329984, 3508330495, 'SE', 'Sweden'),
(146020, '209.28.224.0', '209.28.226.255', 3508330496, 3508331263, 'GB', 'United Kingdom'),
(146021, '209.28.227.0', '209.28.227.255', 3508331264, 3508331519, 'BE', 'Belgium'),
(146022, '209.28.228.0', '209.28.228.63', 3508331520, 3508331583, 'FR', 'France'),
(146023, '209.28.228.64', '209.28.228.191', 3508331584, 3508331711, 'US', 'United States'),
(146024, '209.28.228.192', '209.28.228.223', 3508331712, 3508331743, 'FR', 'France'),
(146025, '209.28.228.224', '209.28.228.255', 3508331744, 3508331775, 'US', 'United States'),
(146026, '209.28.229.0', '209.28.229.31', 3508331776, 3508331807, 'IT', 'Italy'),
(146027, '209.28.229.32', '209.28.229.63', 3508331808, 3508331839, 'US', 'United States'),
(146028, '209.28.229.64', '209.28.229.95', 3508331840, 3508331871, 'AT', 'Austria'),
(146029, '209.28.229.96', '209.28.229.255', 3508331872, 3508332031, 'US', 'United States'),
(146030, '209.28.230.0', '209.28.230.255', 3508332032, 3508332287, 'GB', 'United Kingdom'),
(146031, '209.28.231.0', '209.28.231.255', 3508332288, 3508332543, 'GR', 'Greece'),
(146032, '209.28.232.0', '209.28.232.255', 3508332544, 3508332799, 'IE', 'Ireland'),
(146033, '209.28.233.0', '209.28.233.255', 3508332800, 3508333055, 'NO', 'Norway'),
(146034, '209.28.234.0', '209.28.234.127', 3508333056, 3508333183, 'GB', 'United Kingdom'),
(146035, '209.28.234.128', '209.28.234.255', 3508333184, 3508333311, 'US', 'United States'),
(146036, '209.28.235.0', '209.28.236.255', 3508333312, 3508333823, 'CH', 'Switzerland'),
(146037, '209.28.237.0', '209.28.237.127', 3508333824, 3508333951, 'GB', 'United Kingdom'),
(146038, '209.28.237.128', '209.28.237.255', 3508333952, 3508334079, 'US', 'United States'),
(146039, '209.28.238.0', '209.28.238.127', 3508334080, 3508334207, 'GB', 'United Kingdom'),
(146040, '209.28.238.128', '209.28.238.255', 3508334208, 3508334335, 'US', 'United States'),
(146041, '209.28.239.0', '209.28.239.127', 3508334336, 3508334463, 'DE', 'Germany'),
(146042, '209.28.239.128', '209.28.239.191', 3508334464, 3508334527, 'GB', 'United Kingdom'),
(146043, '209.28.239.192', '209.28.239.255', 3508334528, 3508334591, 'US', 'United States'),
(146044, '209.28.240.0', '209.28.240.255', 3508334592, 3508334847, 'AU', 'Australia'),
(146045, '209.28.241.0', '209.28.241.255', 3508334848, 3508335103, 'SG', 'Singapore'),
(146046, '209.28.242.0', '209.28.242.255', 3508335104, 3508335359, 'MY', 'Malaysia'),
(146047, '209.28.243.0', '209.28.243.255', 3508335360, 3508335615, 'AU', 'Australia'),
(146048, '209.28.244.0', '209.28.245.255', 3508335616, 3508336127, 'JP', 'Japan'),
(146049, '209.28.246.0', '209.28.246.255', 3508336128, 3508336383, 'SG', 'Singapore'),
(146050, '209.28.247.0', '209.28.247.255', 3508336384, 3508336639, 'HK', 'Hong Kong'),
(146051, '209.28.248.0', '209.28.248.255', 3508336640, 3508336895, 'AU', 'Australia'),
(146052, '209.28.249.0', '209.28.249.255', 3508336896, 3508337151, 'JP', 'Japan'),
(146053, '209.28.250.0', '209.28.251.255', 3508337152, 3508337663, 'PH', 'Philippines'),
(146054, '209.28.252.0', '209.28.252.255', 3508337664, 3508337919, 'KR', 'Korea, Republic of'),
(146055, '209.28.253.0', '209.28.253.255', 3508337920, 3508338175, 'JP', 'Japan'),
(146056, '209.28.254.0', '209.28.254.127', 3508338176, 3508338303, 'HK', 'Hong Kong'),
(146057, '209.28.254.128', '209.28.254.159', 3508338304, 3508338335, 'ID', 'Indonesia'),
(146058, '209.28.254.160', '209.28.254.191', 3508338336, 3508338367, 'US', 'United States'),
(146059, '209.28.254.192', '209.28.254.223', 3508338368, 3508338399, 'SG', 'Singapore'),
(146060, '209.28.254.224', '209.28.254.255', 3508338400, 3508338431, 'US', 'United States'),
(146061, '209.28.255.0', '209.28.255.255', 3508338432, 3508338687, 'KR', 'Korea, Republic of'),
(146062, '209.29.0.0', '209.29.255.255', 3508338688, 3508404223, 'CA', 'Canada'),
(146063, '209.30.0.0', '209.34.95.255', 3508404224, 3508690943, 'US', 'United States'),
(146064, '209.34.96.0', '209.34.111.255', 3508690944, 3508695039, 'CA', 'Canada'),
(146065, '209.34.112.0', '209.34.248.79', 3508695040, 3508729935, 'US', 'United States'),
(146066, '209.34.248.80', '209.34.248.95', 3508729936, 3508729951, 'GB', 'United Kingdom'),
(146067, '209.34.248.96', '209.35.114.32', 3508729952, 3508761120, 'US', 'United States'),
(146068, '209.35.114.33', '209.35.114.48', 3508761121, 3508761136, 'BE', 'Belgium'),
(146069, '209.35.114.49', '209.35.114.96', 3508761137, 3508761184, 'US', 'United States'),
(146070, '209.35.114.97', '209.35.114.112', 3508761185, 3508761200, 'BE', 'Belgium'),
(146071, '209.35.114.113', '209.35.188.47', 3508761201, 3508780079, 'US', 'United States'),
(146072, '209.35.188.48', '209.35.188.79', 3508780080, 3508780111, 'NL', 'Netherlands'),
(146073, '209.35.188.80', '209.35.190.79', 3508780112, 3508780623, 'US', 'United States'),
(146074, '209.35.190.80', '209.35.190.95', 3508780624, 3508780639, 'IT', 'Italy'),
(146075, '209.35.190.96', '209.41.102.143', 3508780640, 3509151375, 'US', 'United States'),
(146076, '209.41.102.144', '209.41.102.159', 3509151376, 3509151391, 'CA', 'Canada'),
(146077, '209.41.102.160', '209.41.102.175', 3509151392, 3509151407, 'US', 'United States'),
(146078, '209.41.102.176', '209.41.102.191', 3509151408, 3509151423, 'CA', 'Canada'),
(146079, '209.41.102.192', '209.41.102.207', 3509151424, 3509151439, 'US', 'United States'),
(146080, '209.41.102.208', '209.41.102.223', 3509151440, 3509151455, 'CA', 'Canada'),
(146081, '209.41.102.224', '209.41.103.175', 3509151456, 3509151663, 'US', 'United States'),
(146082, '209.41.103.176', '209.41.103.191', 3509151664, 3509151679, 'PA', 'Panama'),
(146083, '209.41.103.192', '209.41.103.207', 3509151680, 3509151695, 'US', 'United States'),
(146084, '209.41.103.208', '209.41.103.239', 3509151696, 3509151727, 'MX', 'Mexico'),
(146085, '209.41.103.240', '209.41.127.255', 3509151728, 3509157887, 'US', 'United States'),
(146086, '209.41.128.0', '209.41.159.255', 3509157888, 3509166079, 'CA', 'Canada'),
(146087, '209.41.160.0', '209.42.95.255', 3509166080, 3509215231, 'US', 'United States'),
(146088, '209.42.96.0', '209.42.127.255', 3509215232, 3509223423, 'CA', 'Canada'),
(146089, '209.42.128.0', '209.43.192.255', 3509223424, 3509305599, 'US', 'United States'),
(146090, '209.43.193.0', '209.43.193.15', 3509305600, 3509305615, 'GB', 'United Kingdom'),
(146091, '209.43.193.16', '209.44.16.255', 3509305616, 3509326079, 'US', 'United States'),
(146092, '209.44.17.0', '209.44.17.7', 3509326080, 3509326087, 'CA', 'Canada'),
(146093, '209.44.17.8', '209.44.23.79', 3509326088, 3509327695, 'US', 'United States'),
(146094, '209.44.23.80', '209.44.23.95', 3509327696, 3509327711, 'CA', 'Canada'),
(146095, '209.44.23.96', '209.44.23.191', 3509327712, 3509327807, 'US', 'United States'),
(146096, '209.44.23.192', '209.44.23.255', 3509327808, 3509327871, 'CA', 'Canada'),
(146097, '209.44.24.0', '209.44.95.255', 3509327872, 3509346303, 'US', 'United States'),
(146098, '209.44.96.0', '209.44.101.31', 3509346304, 3509347615, 'CA', 'Canada'),
(146099, '209.44.101.32', '209.44.101.39', 3509347616, 3509347623, 'A1', 'Anonymous Proxy'),
(146100, '209.44.101.40', '209.44.113.55', 3509347624, 3509350711, 'CA', 'Canada'),
(146101, '209.44.113.56', '209.44.113.63', 3509350712, 3509350719, 'US', 'United States'),
(146102, '209.44.113.64', '209.44.127.255', 3509350720, 3509354495, 'CA', 'Canada'),
(146103, '209.44.128.0', '209.44.255.255', 3509354496, 3509387263, 'US', 'United States'),
(146104, '209.45.0.0', '209.45.127.255', 3509387264, 3509420031, 'PE', 'Peru'),
(146105, '209.45.128.0', '209.47.0.255', 3509420032, 3509518591, 'US', 'United States'),
(146106, '209.47.1.0', '209.47.1.223', 3509518592, 3509518815, 'CA', 'Canada'),
(146107, '209.47.1.224', '209.47.1.239', 3509518816, 3509518831, 'US', 'United States'),
(146108, '209.47.1.240', '209.47.3.255', 3509518832, 3509519359, 'CA', 'Canada'),
(146109, '209.47.4.0', '209.47.4.63', 3509519360, 3509519423, 'US', 'United States'),
(146110, '209.47.4.64', '209.47.5.31', 3509519424, 3509519647, 'CA', 'Canada'),
(146111, '209.47.5.32', '209.47.5.63', 3509519648, 3509519679, 'US', 'United States'),
(146112, '209.47.5.64', '209.47.5.95', 3509519680, 3509519711, 'CA', 'Canada'),
(146113, '209.47.5.96', '209.47.5.111', 3509519712, 3509519727, 'US', 'United States'),
(146114, '209.47.5.112', '209.47.8.127', 3509519728, 3509520511, 'CA', 'Canada'),
(146115, '209.47.8.128', '209.47.8.255', 3509520512, 3509520639, 'US', 'United States'),
(146116, '209.47.9.0', '209.47.9.191', 3509520640, 3509520831, 'CA', 'Canada'),
(146117, '209.47.9.192', '209.47.9.255', 3509520832, 3509520895, 'US', 'United States'),
(146118, '209.47.10.0', '209.47.10.255', 3509520896, 3509521151, 'CA', 'Canada'),
(146119, '209.47.11.0', '209.47.11.255', 3509521152, 3509521407, 'US', 'United States'),
(146120, '209.47.12.0', '209.47.13.127', 3509521408, 3509521791, 'CA', 'Canada'),
(146121, '209.47.13.128', '209.47.13.255', 3509521792, 3509521919, 'US', 'United States'),
(146122, '209.47.14.0', '209.47.15.255', 3509521920, 3509522431, 'CA', 'Canada'),
(146123, '209.47.16.0', '209.47.16.255', 3509522432, 3509522687, 'KW', 'Kuwait'),
(146124, '209.47.17.0', '209.47.18.127', 3509522688, 3509523071, 'CA', 'Canada'),
(146125, '209.47.18.128', '209.47.18.255', 3509523072, 3509523199, 'US', 'United States'),
(146126, '209.47.19.0', '209.47.19.127', 3509523200, 3509523327, 'CA', 'Canada'),
(146127, '209.47.19.128', '209.47.19.191', 3509523328, 3509523391, 'US', 'United States'),
(146128, '209.47.19.192', '209.47.19.255', 3509523392, 3509523455, 'CA', 'Canada'),
(146129, '209.47.20.0', '209.47.20.15', 3509523456, 3509523471, 'US', 'United States'),
(146130, '209.47.20.16', '209.47.21.63', 3509523472, 3509523775, 'CA', 'Canada'),
(146131, '209.47.21.64', '209.47.21.127', 3509523776, 3509523839, 'US', 'United States'),
(146132, '209.47.21.128', '209.47.21.191', 3509523840, 3509523903, 'CA', 'Canada'),
(146133, '209.47.21.192', '209.47.22.255', 3509523904, 3509524223, 'US', 'United States'),
(146134, '209.47.23.0', '209.47.24.255', 3509524224, 3509524735, 'CA', 'Canada'),
(146135, '209.47.25.0', '209.47.25.255', 3509524736, 3509524991, 'US', 'United States'),
(146136, '209.47.26.0', '209.47.29.63', 3509524992, 3509525823, 'CA', 'Canada'),
(146137, '209.47.29.64', '209.47.29.127', 3509525824, 3509525887, 'US', 'United States'),
(146138, '209.47.29.128', '209.47.33.31', 3509525888, 3509526815, 'CA', 'Canada'),
(146139, '209.47.33.32', '209.47.33.95', 3509526816, 3509526879, 'US', 'United States'),
(146140, '209.47.33.96', '209.47.34.31', 3509526880, 3509527071, 'CA', 'Canada'),
(146141, '209.47.34.32', '209.47.34.79', 3509527072, 3509527119, 'US', 'United States'),
(146142, '209.47.34.80', '209.47.34.159', 3509527120, 3509527199, 'CA', 'Canada'),
(146143, '209.47.34.160', '209.47.34.175', 3509527200, 3509527215, 'US', 'United States'),
(146144, '209.47.34.176', '209.47.35.255', 3509527216, 3509527551, 'CA', 'Canada'),
(146145, '209.47.36.0', '209.47.36.255', 3509527552, 3509527807, 'US', 'United States'),
(146146, '209.47.37.0', '209.47.38.143', 3509527808, 3509528207, 'CA', 'Canada'),
(146147, '209.47.38.144', '209.47.38.159', 3509528208, 3509528223, 'US', 'United States'),
(146148, '209.47.38.160', '209.47.38.255', 3509528224, 3509528319, 'CA', 'Canada'),
(146149, '209.47.39.0', '209.47.40.255', 3509528320, 3509528831, 'US', 'United States'),
(146150, '209.47.41.0', '209.47.42.255', 3509528832, 3509529343, 'CA', 'Canada'),
(146151, '209.47.43.0', '209.47.43.255', 3509529344, 3509529599, 'US', 'United States'),
(146152, '209.47.44.0', '209.47.44.127', 3509529600, 3509529727, 'CA', 'Canada'),
(146153, '209.47.44.128', '209.47.44.223', 3509529728, 3509529823, 'US', 'United States'),
(146154, '209.47.44.224', '209.47.45.31', 3509529824, 3509529887, 'CA', 'Canada'),
(146155, '209.47.45.32', '209.47.45.95', 3509529888, 3509529951, 'US', 'United States'),
(146156, '209.47.45.96', '209.47.46.127', 3509529952, 3509530239, 'CA', 'Canada'),
(146157, '209.47.46.128', '209.47.46.255', 3509530240, 3509530367, 'US', 'United States'),
(146158, '209.47.47.0', '209.47.47.191', 3509530368, 3509530559, 'CA', 'Canada'),
(146159, '209.47.47.192', '209.47.47.255', 3509530560, 3509530623, 'US', 'United States'),
(146160, '209.47.48.0', '209.47.55.255', 3509530624, 3509532671, 'CA', 'Canada'),
(146161, '209.47.56.0', '209.47.56.255', 3509532672, 3509532927, 'US', 'United States'),
(146162, '209.47.57.0', '209.47.59.31', 3509532928, 3509533471, 'CA', 'Canada'),
(146163, '209.47.59.32', '209.47.59.95', 3509533472, 3509533535, 'US', 'United States'),
(146164, '209.47.59.96', '209.47.59.127', 3509533536, 3509533567, 'CA', 'Canada'),
(146165, '209.47.59.128', '209.47.59.159', 3509533568, 3509533599, 'US', 'United States'),
(146166, '209.47.59.160', '209.47.60.127', 3509533600, 3509533823, 'CA', 'Canada'),
(146167, '209.47.60.128', '209.47.62.127', 3509533824, 3509534335, 'US', 'United States'),
(146168, '209.47.62.128', '209.47.62.159', 3509534336, 3509534367, 'CA', 'Canada'),
(146169, '209.47.62.160', '209.47.63.255', 3509534368, 3509534719, 'US', 'United States'),
(146170, '209.47.64.0', '209.47.67.47', 3509534720, 3509535535, 'CA', 'Canada'),
(146171, '209.47.67.48', '209.47.67.63', 3509535536, 3509535551, 'US', 'United States'),
(146172, '209.47.67.64', '209.47.67.175', 3509535552, 3509535663, 'CA', 'Canada'),
(146173, '209.47.67.176', '209.47.67.191', 3509535664, 3509535679, 'US', 'United States'),
(146174, '209.47.67.192', '209.47.72.127', 3509535680, 3509536895, 'CA', 'Canada'),
(146175, '209.47.72.128', '209.47.72.255', 3509536896, 3509537023, 'US', 'United States'),
(146176, '209.47.73.0', '209.47.78.31', 3509537024, 3509538335, 'CA', 'Canada'),
(146177, '209.47.78.32', '209.47.78.47', 3509538336, 3509538351, 'US', 'United States'),
(146178, '209.47.78.48', '209.47.78.95', 3509538352, 3509538399, 'CA', 'Canada'),
(146179, '209.47.78.96', '209.47.78.111', 3509538400, 3509538415, 'US', 'United States'),
(146180, '209.47.78.112', '209.47.78.143', 3509538416, 3509538447, 'CA', 'Canada'),
(146181, '209.47.78.144', '209.47.78.159', 3509538448, 3509538463, 'NO', 'Norway'),
(146182, '209.47.78.160', '209.47.79.255', 3509538464, 3509538815, 'CA', 'Canada'),
(146183, '209.47.80.0', '209.47.80.255', 3509538816, 3509539071, 'US', 'United States'),
(146184, '209.47.81.0', '209.47.81.255', 3509539072, 3509539327, 'CA', 'Canada'),
(146185, '209.47.82.0', '209.47.82.255', 3509539328, 3509539583, 'US', 'United States'),
(146186, '209.47.83.0', '209.47.83.95', 3509539584, 3509539679, 'CA', 'Canada'),
(146187, '209.47.83.96', '209.47.83.111', 3509539680, 3509539695, 'US', 'United States'),
(146188, '209.47.83.112', '209.47.83.143', 3509539696, 3509539727, 'CA', 'Canada'),
(146189, '209.47.83.144', '209.47.83.159', 3509539728, 3509539743, 'US', 'United States'),
(146190, '209.47.83.160', '209.47.83.239', 3509539744, 3509539823, 'CA', 'Canada'),
(146191, '209.47.83.240', '209.47.83.255', 3509539824, 3509539839, 'US', 'United States'),
(146192, '209.47.84.0', '209.47.84.63', 3509539840, 3509539903, 'CA', 'Canada'),
(146193, '209.47.84.64', '209.47.84.127', 3509539904, 3509539967, 'US', 'United States'),
(146194, '209.47.84.128', '209.47.84.255', 3509539968, 3509540095, 'CA', 'Canada'),
(146195, '209.47.85.0', '209.47.85.31', 3509540096, 3509540127, 'US', 'United States'),
(146196, '209.47.85.32', '209.47.85.255', 3509540128, 3509540351, 'CA', 'Canada'),
(146197, '209.47.86.0', '209.47.86.255', 3509540352, 3509540607, 'US', 'United States'),
(146198, '209.47.87.0', '209.47.91.31', 3509540608, 3509541663, 'CA', 'Canada'),
(146199, '209.47.91.32', '209.47.91.63', 3509541664, 3509541695, 'US', 'United States'),
(146200, '209.47.91.64', '209.47.92.63', 3509541696, 3509541951, 'CA', 'Canada'),
(146201, '209.47.92.64', '209.47.92.111', 3509541952, 3509541999, 'US', 'United States'),
(146202, '209.47.92.112', '209.47.92.175', 3509542000, 3509542063, 'CA', 'Canada'),
(146203, '209.47.92.176', '209.47.92.191', 3509542064, 3509542079, 'US', 'United States'),
(146204, '209.47.92.192', '209.47.93.255', 3509542080, 3509542399, 'CA', 'Canada'),
(146205, '209.47.94.0', '209.47.94.255', 3509542400, 3509542655, 'US', 'United States'),
(146206, '209.47.95.0', '209.47.101.255', 3509542656, 3509544447, 'CA', 'Canada'),
(146207, '209.47.102.0', '209.47.102.255', 3509544448, 3509544703, 'US', 'United States'),
(146208, '209.47.103.0', '209.47.104.191', 3509544704, 3509545151, 'CA', 'Canada'),
(146209, '209.47.104.192', '209.47.105.255', 3509545152, 3509545471, 'US', 'United States'),
(146210, '209.47.106.0', '209.47.108.15', 3509545472, 3509545999, 'CA', 'Canada'),
(146211, '209.47.108.16', '209.47.108.31', 3509546000, 3509546015, 'US', 'United States'),
(146212, '209.47.108.32', '209.47.108.47', 3509546016, 3509546031, 'CA', 'Canada'),
(146213, '209.47.108.48', '209.47.108.79', 3509546032, 3509546063, 'US', 'United States'),
(146214, '209.47.108.80', '209.47.108.175', 3509546064, 3509546159, 'CA', 'Canada'),
(146215, '209.47.108.176', '209.47.108.191', 3509546160, 3509546175, 'US', 'United States'),
(146216, '209.47.108.192', '209.47.108.223', 3509546176, 3509546207, 'CA', 'Canada'),
(146217, '209.47.108.224', '209.47.108.239', 3509546208, 3509546223, 'US', 'United States'),
(146218, '209.47.108.240', '209.47.122.255', 3509546224, 3509549823, 'CA', 'Canada'),
(146219, '209.47.123.0', '209.47.123.255', 3509549824, 3509550079, 'US', 'United States'),
(146220, '209.47.124.0', '209.47.135.255', 3509550080, 3509553151, 'CA', 'Canada'),
(146221, '209.47.136.0', '209.47.136.255', 3509553152, 3509553407, 'US', 'United States'),
(146222, '209.47.137.0', '209.47.138.191', 3509553408, 3509553855, 'CA', 'Canada'),
(146223, '209.47.138.192', '209.47.138.255', 3509553856, 3509553919, 'US', 'United States'),
(146224, '209.47.139.0', '209.47.139.127', 3509553920, 3509554047, 'CA', 'Canada'),
(146225, '209.47.139.128', '209.47.139.191', 3509554048, 3509554111, 'US', 'United States'),
(146226, '209.47.139.192', '209.47.143.175', 3509554112, 3509555119, 'CA', 'Canada'),
(146227, '209.47.143.176', '209.47.143.191', 3509555120, 3509555135, 'US', 'United States'),
(146228, '209.47.143.192', '209.47.152.191', 3509555136, 3509557439, 'CA', 'Canada'),
(146229, '209.47.152.192', '209.47.153.255', 3509557440, 3509557759, 'US', 'United States'),
(146230, '209.47.154.0', '209.47.156.95', 3509557760, 3509558367, 'CA', 'Canada'),
(146231, '209.47.156.96', '209.47.156.127', 3509558368, 3509558399, 'US', 'United States'),
(146232, '209.47.156.128', '209.47.156.191', 3509558400, 3509558463, 'CA', 'Canada'),
(146233, '209.47.156.192', '209.47.156.223', 3509558464, 3509558495, 'US', 'United States'),
(146234, '209.47.156.224', '209.47.156.255', 3509558496, 3509558527, 'CA', 'Canada'),
(146235, '209.47.157.0', '209.47.157.31', 3509558528, 3509558559, 'US', 'United States'),
(146236, '209.47.157.32', '209.47.157.255', 3509558560, 3509558783, 'CA', 'Canada'),
(146237, '209.47.158.0', '209.47.158.255', 3509558784, 3509559039, 'US', 'United States'),
(146238, '209.47.159.0', '209.47.159.255', 3509559040, 3509559295, 'KW', 'Kuwait'),
(146239, '209.47.160.0', '209.47.163.255', 3509559296, 3509560319, 'CA', 'Canada'),
(146240, '209.47.164.0', '209.47.165.127', 3509560320, 3509560703, 'US', 'United States'),
(146241, '209.47.165.128', '209.47.167.127', 3509560704, 3509561215, 'CA', 'Canada'),
(146242, '209.47.167.128', '209.47.167.191', 3509561216, 3509561279, 'US', 'United States'),
(146243, '209.47.167.192', '209.47.172.255', 3509561280, 3509562623, 'CA', 'Canada'),
(146244, '209.47.173.0', '209.47.173.127', 3509562624, 3509562751, 'US', 'United States'),
(146245, '209.47.173.128', '209.47.173.255', 3509562752, 3509562879, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(146246, '209.47.174.0', '209.47.175.31', 3509562880, 3509563167, 'US', 'United States'),
(146247, '209.47.175.32', '209.47.182.159', 3509563168, 3509565087, 'CA', 'Canada'),
(146248, '209.47.182.160', '209.47.182.191', 3509565088, 3509565119, 'US', 'United States'),
(146249, '209.47.182.192', '209.47.189.79', 3509565120, 3509566799, 'CA', 'Canada'),
(146250, '209.47.189.80', '209.47.189.95', 3509566800, 3509566815, 'US', 'United States'),
(146251, '209.47.189.96', '209.47.189.127', 3509566816, 3509566847, 'CA', 'Canada'),
(146252, '209.47.189.128', '209.47.189.143', 3509566848, 3509566863, 'US', 'United States'),
(146253, '209.47.189.144', '209.47.189.207', 3509566864, 3509566927, 'CA', 'Canada'),
(146254, '209.47.189.208', '209.47.189.223', 3509566928, 3509566943, 'US', 'United States'),
(146255, '209.47.189.224', '209.47.190.175', 3509566944, 3509567151, 'CA', 'Canada'),
(146256, '209.47.190.176', '209.47.190.191', 3509567152, 3509567167, 'US', 'United States'),
(146257, '209.47.190.192', '209.47.190.223', 3509567168, 3509567199, 'CA', 'Canada'),
(146258, '209.47.190.224', '209.47.190.255', 3509567200, 3509567231, 'US', 'United States'),
(146259, '209.47.191.0', '209.47.197.255', 3509567232, 3509569023, 'CA', 'Canada'),
(146260, '209.47.198.0', '209.47.199.255', 3509569024, 3509569535, 'US', 'United States'),
(146261, '209.47.200.0', '209.47.200.127', 3509569536, 3509569663, 'CA', 'Canada'),
(146262, '209.47.200.128', '209.47.200.255', 3509569664, 3509569791, 'US', 'United States'),
(146263, '209.47.201.0', '209.47.201.127', 3509569792, 3509569919, 'CA', 'Canada'),
(146264, '209.47.201.128', '209.47.201.255', 3509569920, 3509570047, 'US', 'United States'),
(146265, '209.47.202.0', '209.47.202.31', 3509570048, 3509570079, 'CA', 'Canada'),
(146266, '209.47.202.32', '209.47.202.63', 3509570080, 3509570111, 'US', 'United States'),
(146267, '209.47.202.64', '209.47.203.127', 3509570112, 3509570431, 'CA', 'Canada'),
(146268, '209.47.203.128', '209.47.204.127', 3509570432, 3509570687, 'US', 'United States'),
(146269, '209.47.204.128', '209.47.206.255', 3509570688, 3509571327, 'CA', 'Canada'),
(146270, '209.47.207.0', '209.47.208.63', 3509571328, 3509571647, 'US', 'United States'),
(146271, '209.47.208.64', '209.47.208.79', 3509571648, 3509571663, 'CA', 'Canada'),
(146272, '209.47.208.80', '209.47.208.255', 3509571664, 3509571839, 'US', 'United States'),
(146273, '209.47.209.0', '209.47.209.255', 3509571840, 3509572095, 'CA', 'Canada'),
(146274, '209.47.210.0', '209.47.210.127', 3509572096, 3509572223, 'US', 'United States'),
(146275, '209.47.210.128', '209.47.215.111', 3509572224, 3509573487, 'CA', 'Canada'),
(146276, '209.47.215.112', '209.47.215.127', 3509573488, 3509573503, 'US', 'United States'),
(146277, '209.47.215.128', '209.47.216.255', 3509573504, 3509573887, 'CA', 'Canada'),
(146278, '209.47.217.0', '209.47.217.31', 3509573888, 3509573919, 'US', 'United States'),
(146279, '209.47.217.32', '209.47.224.15', 3509573920, 3509575695, 'CA', 'Canada'),
(146280, '209.47.224.16', '209.47.225.63', 3509575696, 3509575999, 'US', 'United States'),
(146281, '209.47.225.64', '209.47.225.127', 3509576000, 3509576063, 'CA', 'Canada'),
(146282, '209.47.225.128', '209.47.225.255', 3509576064, 3509576191, 'US', 'United States'),
(146283, '209.47.226.0', '209.47.226.63', 3509576192, 3509576255, 'CA', 'Canada'),
(146284, '209.47.226.64', '209.47.226.79', 3509576256, 3509576271, 'US', 'United States'),
(146285, '209.47.226.80', '209.47.227.255', 3509576272, 3509576703, 'CA', 'Canada'),
(146286, '209.47.228.0', '209.47.228.255', 3509576704, 3509576959, 'US', 'United States'),
(146287, '209.47.229.0', '209.47.230.191', 3509576960, 3509577407, 'CA', 'Canada'),
(146288, '209.47.230.192', '209.47.230.255', 3509577408, 3509577471, 'US', 'United States'),
(146289, '209.47.231.0', '209.47.231.63', 3509577472, 3509577535, 'CA', 'Canada'),
(146290, '209.47.231.64', '209.47.231.79', 3509577536, 3509577551, 'US', 'United States'),
(146291, '209.47.231.80', '209.47.231.159', 3509577552, 3509577631, 'CA', 'Canada'),
(146292, '209.47.231.160', '209.47.231.175', 3509577632, 3509577647, 'US', 'United States'),
(146293, '209.47.231.176', '209.47.231.223', 3509577648, 3509577695, 'CA', 'Canada'),
(146294, '209.47.231.224', '209.47.231.239', 3509577696, 3509577711, 'US', 'United States'),
(146295, '209.47.231.240', '209.47.231.255', 3509577712, 3509577727, 'CA', 'Canada'),
(146296, '209.47.232.0', '209.47.232.255', 3509577728, 3509577983, 'US', 'United States'),
(146297, '209.47.233.0', '209.47.234.127', 3509577984, 3509578367, 'CA', 'Canada'),
(146298, '209.47.234.128', '209.47.234.255', 3509578368, 3509578495, 'US', 'United States'),
(146299, '209.47.235.0', '209.47.237.255', 3509578496, 3509579263, 'CA', 'Canada'),
(146300, '209.47.238.0', '209.47.238.63', 3509579264, 3509579327, 'US', 'United States'),
(146301, '209.47.238.64', '209.47.238.191', 3509579328, 3509579455, 'CA', 'Canada'),
(146302, '209.47.238.192', '209.47.238.255', 3509579456, 3509579519, 'US', 'United States'),
(146303, '209.47.239.0', '209.47.239.255', 3509579520, 3509579775, 'CA', 'Canada'),
(146304, '209.47.240.0', '209.47.240.255', 3509579776, 3509580031, 'US', 'United States'),
(146305, '209.47.241.0', '209.47.241.255', 3509580032, 3509580287, 'CA', 'Canada'),
(146306, '209.47.242.0', '209.47.243.127', 3509580288, 3509580671, 'US', 'United States'),
(146307, '209.47.243.128', '209.47.245.31', 3509580672, 3509581087, 'CA', 'Canada'),
(146308, '209.47.245.32', '209.47.245.63', 3509581088, 3509581119, 'US', 'United States'),
(146309, '209.47.245.64', '209.47.245.143', 3509581120, 3509581199, 'CA', 'Canada'),
(146310, '209.47.245.144', '209.47.245.159', 3509581200, 3509581215, 'US', 'United States'),
(146311, '209.47.245.160', '209.47.245.175', 3509581216, 3509581231, 'CA', 'Canada'),
(146312, '209.47.245.176', '209.47.245.191', 3509581232, 3509581247, 'US', 'United States'),
(146313, '209.47.245.192', '209.47.245.207', 3509581248, 3509581263, 'CA', 'Canada'),
(146314, '209.47.245.208', '209.47.245.223', 3509581264, 3509581279, 'US', 'United States'),
(146315, '209.47.245.224', '209.47.246.63', 3509581280, 3509581375, 'CA', 'Canada'),
(146316, '209.47.246.64', '209.47.246.95', 3509581376, 3509581407, 'US', 'United States'),
(146317, '209.47.246.96', '209.47.246.191', 3509581408, 3509581503, 'CA', 'Canada'),
(146318, '209.47.246.192', '209.47.246.255', 3509581504, 3509581567, 'US', 'United States'),
(146319, '209.47.247.0', '209.47.247.255', 3509581568, 3509581823, 'CA', 'Canada'),
(146320, '209.47.248.0', '209.47.249.255', 3509581824, 3509582335, 'US', 'United States'),
(146321, '209.47.250.0', '209.47.251.255', 3509582336, 3509582847, 'CA', 'Canada'),
(146322, '209.47.252.0', '209.47.254.255', 3509582848, 3509583615, 'US', 'United States'),
(146323, '209.47.255.0', '209.47.255.255', 3509583616, 3509583871, 'CA', 'Canada'),
(146324, '209.48.0.0', '209.50.63.255', 3509583872, 3509731327, 'US', 'United States'),
(146325, '209.50.64.0', '209.50.95.255', 3509731328, 3509739519, 'CA', 'Canada'),
(146326, '209.50.96.0', '209.50.230.167', 3509739520, 3509773991, 'US', 'United States'),
(146327, '209.50.230.168', '209.50.230.179', 3509773992, 3509774003, 'GR', 'Greece'),
(146328, '209.50.230.180', '209.50.230.189', 3509774004, 3509774013, 'US', 'United States'),
(146329, '209.50.230.190', '209.50.230.209', 3509774014, 3509774033, 'GB', 'United Kingdom'),
(146330, '209.50.230.210', '209.50.231.40', 3509774034, 3509774120, 'US', 'United States'),
(146331, '209.50.231.41', '209.50.231.55', 3509774121, 3509774135, 'GB', 'United Kingdom'),
(146332, '209.50.231.56', '209.50.231.58', 3509774136, 3509774138, 'US', 'United States'),
(146333, '209.50.231.59', '209.50.231.83', 3509774139, 3509774163, 'GB', 'United Kingdom'),
(146334, '209.50.231.84', '209.50.231.183', 3509774164, 3509774263, 'US', 'United States'),
(146335, '209.50.231.184', '209.50.231.215', 3509774264, 3509774295, 'HR', 'Croatia'),
(146336, '209.50.231.216', '209.50.232.239', 3509774296, 3509774575, 'US', 'United States'),
(146337, '209.50.232.240', '209.50.232.255', 3509774576, 3509774591, 'GR', 'Greece'),
(146338, '209.50.233.0', '209.50.235.0', 3509774592, 3509775104, 'US', 'United States'),
(146339, '209.50.235.1', '209.50.235.16', 3509775105, 3509775120, 'CA', 'Canada'),
(146340, '209.50.235.17', '209.50.235.192', 3509775121, 3509775296, 'US', 'United States'),
(146341, '209.50.235.193', '209.50.235.208', 3509775297, 3509775312, 'GB', 'United Kingdom'),
(146342, '209.50.235.209', '209.50.236.84', 3509775313, 3509775444, 'US', 'United States'),
(146343, '209.50.236.85', '209.50.236.94', 3509775445, 3509775454, 'TH', 'Thailand'),
(146344, '209.50.236.95', '209.50.236.117', 3509775455, 3509775477, 'US', 'United States'),
(146345, '209.50.236.118', '209.50.236.132', 3509775478, 3509775492, 'CA', 'Canada'),
(146346, '209.50.236.133', '209.50.236.144', 3509775493, 3509775504, 'US', 'United States'),
(146347, '209.50.236.145', '209.50.236.160', 3509775505, 3509775520, 'NL', 'Netherlands'),
(146348, '209.50.236.161', '209.50.236.176', 3509775521, 3509775536, 'US', 'United States'),
(146349, '209.50.236.177', '209.50.236.192', 3509775537, 3509775552, 'DK', 'Denmark'),
(146350, '209.50.236.193', '209.50.236.224', 3509775553, 3509775584, 'US', 'United States'),
(146351, '209.50.236.225', '209.50.236.254', 3509775585, 3509775614, 'DE', 'Germany'),
(146352, '209.50.236.255', '209.50.237.0', 3509775615, 3509775616, 'US', 'United States'),
(146353, '209.50.237.1', '209.50.237.32', 3509775617, 3509775648, 'DE', 'Germany'),
(146354, '209.50.237.33', '209.50.237.48', 3509775649, 3509775664, 'CA', 'Canada'),
(146355, '209.50.237.49', '209.50.237.176', 3509775665, 3509775792, 'US', 'United States'),
(146356, '209.50.237.177', '209.50.237.254', 3509775793, 3509775870, 'CA', 'Canada'),
(146357, '209.50.237.255', '209.50.238.31', 3509775871, 3509775903, 'US', 'United States'),
(146358, '209.50.238.32', '209.50.238.47', 3509775904, 3509775919, 'AU', 'Australia'),
(146359, '209.50.238.48', '209.50.238.71', 3509775920, 3509775943, 'US', 'United States'),
(146360, '209.50.238.72', '209.50.238.79', 3509775944, 3509775951, 'IT', 'Italy'),
(146361, '209.50.238.80', '209.50.238.151', 3509775952, 3509776023, 'US', 'United States'),
(146362, '209.50.238.152', '209.50.238.159', 3509776024, 3509776031, 'CA', 'Canada'),
(146363, '209.50.238.160', '209.50.238.175', 3509776032, 3509776047, 'US', 'United States'),
(146364, '209.50.238.176', '209.50.238.183', 3509776048, 3509776055, 'SA', 'Saudi Arabia'),
(146365, '209.50.238.184', '209.50.238.223', 3509776056, 3509776095, 'US', 'United States'),
(146366, '209.50.238.224', '209.50.238.231', 3509776096, 3509776103, 'AU', 'Australia'),
(146367, '209.50.238.232', '209.50.238.239', 3509776104, 3509776111, 'US', 'United States'),
(146368, '209.50.238.240', '209.50.238.247', 3509776112, 3509776119, 'IT', 'Italy'),
(146369, '209.50.238.248', '209.50.243.7', 3509776120, 3509777159, 'US', 'United States'),
(146370, '209.50.243.8', '209.50.243.15', 3509777160, 3509777167, 'CN', 'China'),
(146371, '209.50.243.16', '209.50.243.23', 3509777168, 3509777175, 'RU', 'Russian Federation'),
(146372, '209.50.243.24', '209.50.243.63', 3509777176, 3509777215, 'US', 'United States'),
(146373, '209.50.243.64', '209.50.243.71', 3509777216, 3509777223, 'TH', 'Thailand'),
(146374, '209.50.243.72', '209.50.243.119', 3509777224, 3509777271, 'US', 'United States'),
(146375, '209.50.243.120', '209.50.243.127', 3509777272, 3509777279, 'IT', 'Italy'),
(146376, '209.50.243.128', '209.50.244.41', 3509777280, 3509777449, 'US', 'United States'),
(146377, '209.50.244.42', '209.50.244.137', 3509777450, 3509777545, 'ID', 'Indonesia'),
(146378, '209.50.244.138', '209.50.244.176', 3509777546, 3509777584, 'US', 'United States'),
(146379, '209.50.244.177', '209.50.244.240', 3509777585, 3509777648, 'ID', 'Indonesia'),
(146380, '209.50.244.241', '209.50.247.63', 3509777649, 3509778239, 'US', 'United States'),
(146381, '209.50.247.64', '209.50.247.95', 3509778240, 3509778271, 'IN', 'India'),
(146382, '209.50.247.96', '209.50.249.15', 3509778272, 3509778703, 'US', 'United States'),
(146383, '209.50.249.16', '209.50.249.23', 3509778704, 3509778711, 'CA', 'Canada'),
(146384, '209.50.249.24', '209.50.249.159', 3509778712, 3509778847, 'US', 'United States'),
(146385, '209.50.249.160', '209.50.249.167', 3509778848, 3509778855, 'CO', 'Colombia'),
(146386, '209.50.249.168', '209.50.249.215', 3509778856, 3509778903, 'US', 'United States'),
(146387, '209.50.249.216', '209.50.249.223', 3509778904, 3509778911, 'RU', 'Russian Federation'),
(146388, '209.50.249.224', '209.50.249.231', 3509778912, 3509778919, 'US', 'United States'),
(146389, '209.50.249.232', '209.50.249.239', 3509778920, 3509778927, 'GB', 'United Kingdom'),
(146390, '209.50.249.240', '209.50.250.63', 3509778928, 3509779007, 'US', 'United States'),
(146391, '209.50.250.64', '209.50.250.95', 3509779008, 3509779039, 'IN', 'India'),
(146392, '209.50.250.96', '209.51.163.127', 3509779040, 3509822335, 'US', 'United States'),
(146393, '209.51.163.128', '209.51.163.143', 3509822336, 3509822351, 'DE', 'Germany'),
(146394, '209.51.163.144', '209.51.191.127', 3509822352, 3509829503, 'US', 'United States'),
(146395, '209.51.191.128', '209.51.191.159', 3509829504, 3509829535, 'GB', 'United Kingdom'),
(146396, '209.51.191.160', '209.51.194.143', 3509829536, 3509830287, 'US', 'United States'),
(146397, '209.51.194.144', '209.51.194.151', 3509830288, 3509830295, 'BE', 'Belgium'),
(146398, '209.51.194.152', '209.51.195.7', 3509830296, 3509830407, 'US', 'United States'),
(146399, '209.51.195.8', '209.51.195.15', 3509830408, 3509830415, 'GB', 'United Kingdom'),
(146400, '209.51.195.16', '209.51.197.31', 3509830416, 3509830943, 'US', 'United States'),
(146401, '209.51.197.32', '209.51.197.39', 3509830944, 3509830951, 'BE', 'Belgium'),
(146402, '209.51.197.40', '209.51.197.223', 3509830952, 3509831135, 'US', 'United States'),
(146403, '209.51.197.224', '209.51.197.231', 3509831136, 3509831143, 'IN', 'India'),
(146404, '209.51.197.232', '209.51.199.111', 3509831144, 3509831535, 'US', 'United States'),
(146405, '209.51.199.112', '209.51.199.127', 3509831536, 3509831551, 'LB', 'Lebanon'),
(146406, '209.51.199.128', '209.51.199.191', 3509831552, 3509831615, 'US', 'United States'),
(146407, '209.51.199.192', '209.51.199.223', 3509831616, 3509831647, 'IL', 'Israel'),
(146408, '209.51.199.224', '209.51.200.55', 3509831648, 3509831735, 'US', 'United States'),
(146409, '209.51.200.56', '209.51.200.63', 3509831736, 3509831743, 'AT', 'Austria'),
(146410, '209.51.200.64', '209.51.200.127', 3509831744, 3509831807, 'US', 'United States'),
(146411, '209.51.200.128', '209.51.200.135', 3509831808, 3509831815, 'IN', 'India'),
(146412, '209.51.200.136', '209.51.200.143', 3509831816, 3509831823, 'CA', 'Canada'),
(146413, '209.51.200.144', '209.51.205.143', 3509831824, 3509833103, 'US', 'United States'),
(146414, '209.51.205.144', '209.51.205.151', 3509833104, 3509833111, 'IN', 'India'),
(146415, '209.51.205.152', '209.51.207.63', 3509833112, 3509833535, 'US', 'United States'),
(146416, '209.51.207.64', '209.51.207.71', 3509833536, 3509833543, 'CA', 'Canada'),
(146417, '209.51.207.72', '209.51.207.79', 3509833544, 3509833551, 'IN', 'India'),
(146418, '209.51.207.80', '209.51.207.231', 3509833552, 3509833703, 'US', 'United States'),
(146419, '209.51.207.232', '209.51.207.239', 3509833704, 3509833711, 'ZA', 'South Africa'),
(146420, '209.51.207.240', '209.51.209.127', 3509833712, 3509834111, 'US', 'United States'),
(146421, '209.51.209.128', '209.51.209.159', 3509834112, 3509834143, 'IL', 'Israel'),
(146422, '209.51.209.160', '209.51.210.255', 3509834144, 3509834495, 'US', 'United States'),
(146423, '209.51.211.0', '209.51.211.7', 3509834496, 3509834503, 'NO', 'Norway'),
(146424, '209.51.211.8', '209.51.211.23', 3509834504, 3509834519, 'US', 'United States'),
(146425, '209.51.211.24', '209.51.211.31', 3509834520, 3509834527, 'BD', 'Bangladesh'),
(146426, '209.51.211.32', '209.51.211.95', 3509834528, 3509834591, 'US', 'United States'),
(146427, '209.51.211.96', '209.51.211.103', 3509834592, 3509834599, 'IN', 'India'),
(146428, '209.51.211.104', '209.51.212.79', 3509834600, 3509834831, 'US', 'United States'),
(146429, '209.51.212.80', '209.51.212.95', 3509834832, 3509834847, 'CO', 'Colombia'),
(146430, '209.51.212.96', '209.51.213.95', 3509834848, 3509835103, 'US', 'United States'),
(146431, '209.51.213.96', '209.51.213.103', 3509835104, 3509835111, 'GB', 'United Kingdom'),
(146432, '209.51.213.104', '209.51.221.111', 3509835112, 3509837167, 'US', 'United States'),
(146433, '209.51.221.112', '209.51.221.119', 3509837168, 3509837175, 'GB', 'United Kingdom'),
(146434, '209.51.221.120', '209.51.223.55', 3509837176, 3509837623, 'US', 'United States'),
(146435, '209.51.223.56', '209.51.223.71', 3509837624, 3509837639, 'GB', 'United Kingdom'),
(146436, '209.51.223.72', '209.51.223.183', 3509837640, 3509837751, 'US', 'United States'),
(146437, '209.51.223.184', '209.51.223.191', 3509837752, 3509837759, 'GB', 'United Kingdom'),
(146438, '209.51.223.192', '209.51.255.255', 3509837760, 3509846015, 'US', 'United States'),
(146439, '209.52.0.0', '209.53.255.255', 3509846016, 3509977087, 'CA', 'Canada'),
(146440, '209.54.0.0', '209.54.46.0', 3509977088, 3509988864, 'US', 'United States'),
(146441, '209.54.46.1', '209.54.46.255', 3509988865, 3509989119, 'IN', 'India'),
(146442, '209.54.47.0', '209.54.47.0', 3509989120, 3509989120, 'US', 'United States'),
(146443, '209.54.47.1', '209.54.47.255', 3509989121, 3509989375, 'IN', 'India'),
(146444, '209.54.48.0', '209.54.63.255', 3509989376, 3509993471, 'US', 'United States'),
(146445, '209.54.64.0', '209.54.79.255', 3509993472, 3509997567, 'CA', 'Canada'),
(146446, '209.54.80.0', '209.54.111.255', 3509997568, 3510005759, 'US', 'United States'),
(146447, '209.54.112.0', '209.54.127.255', 3510005760, 3510009855, 'CA', 'Canada'),
(146448, '209.54.128.0', '209.54.129.199', 3510009856, 3510010311, 'US', 'United States'),
(146449, '209.54.129.200', '209.54.129.207', 3510010312, 3510010319, 'CA', 'Canada'),
(146450, '209.54.129.208', '209.57.255.255', 3510010320, 3510239231, 'US', 'United States'),
(146451, '209.58.0.0', '209.58.5.95', 3510239232, 3510240607, 'CA', 'Canada'),
(146452, '209.58.5.96', '209.58.5.127', 3510240608, 3510240639, 'US', 'United States'),
(146453, '209.58.5.128', '209.58.5.191', 3510240640, 3510240703, 'CA', 'Canada'),
(146454, '209.58.5.192', '209.58.5.223', 3510240704, 3510240735, 'AM', 'Armenia'),
(146455, '209.58.5.224', '209.58.5.255', 3510240736, 3510240767, 'CA', 'Canada'),
(146456, '209.58.6.0', '209.58.6.255', 3510240768, 3510241023, 'US', 'United States'),
(146457, '209.58.7.0', '209.58.7.39', 3510241024, 3510241063, 'CA', 'Canada'),
(146458, '209.58.7.40', '209.58.7.47', 3510241064, 3510241071, 'US', 'United States'),
(146459, '209.58.7.48', '209.58.11.255', 3510241072, 3510242303, 'CA', 'Canada'),
(146460, '209.58.12.0', '209.58.12.255', 3510242304, 3510242559, 'OM', 'Oman'),
(146461, '209.58.13.0', '209.58.23.255', 3510242560, 3510245375, 'CA', 'Canada'),
(146462, '209.58.24.0', '209.58.24.255', 3510245376, 3510245631, 'BD', 'Bangladesh'),
(146463, '209.58.25.0', '209.58.29.72', 3510245632, 3510246728, 'CA', 'Canada'),
(146464, '209.58.29.73', '209.58.29.73', 3510246729, 3510246729, 'US', 'United States'),
(146465, '209.58.29.74', '209.58.29.79', 3510246730, 3510246735, 'CA', 'Canada'),
(146466, '209.58.29.80', '209.58.29.119', 3510246736, 3510246775, 'US', 'United States'),
(146467, '209.58.29.120', '209.58.39.255', 3510246776, 3510249471, 'CA', 'Canada'),
(146468, '209.58.40.0', '209.58.41.255', 3510249472, 3510249983, 'QA', 'Qatar'),
(146469, '209.58.42.0', '209.58.47.255', 3510249984, 3510251519, 'CA', 'Canada'),
(146470, '209.58.48.0', '209.58.52.255', 3510251520, 3510252799, 'DO', 'Dominican Republic'),
(146471, '209.58.53.0', '209.58.54.255', 3510252800, 3510253311, 'CA', 'Canada'),
(146472, '209.58.55.0', '209.58.55.255', 3510253312, 3510253567, 'NC', 'New Caledonia'),
(146473, '209.58.56.0', '209.58.56.63', 3510253568, 3510253631, 'US', 'United States'),
(146474, '209.58.56.64', '209.58.56.191', 3510253632, 3510253759, 'CA', 'Canada'),
(146475, '209.58.56.192', '209.58.56.207', 3510253760, 3510253775, 'US', 'United States'),
(146476, '209.58.56.208', '209.58.63.63', 3510253776, 3510255423, 'CA', 'Canada'),
(146477, '209.58.63.64', '209.58.63.87', 3510255424, 3510255447, 'US', 'United States'),
(146478, '209.58.63.88', '209.58.86.255', 3510255448, 3510261503, 'CA', 'Canada'),
(146479, '209.58.87.0', '209.58.87.255', 3510261504, 3510261759, 'ZM', 'Zambia'),
(146480, '209.58.88.0', '209.58.91.255', 3510261760, 3510262783, 'CA', 'Canada'),
(146481, '209.58.92.0', '209.58.92.255', 3510262784, 3510263039, 'US', 'United States'),
(146482, '209.58.93.0', '209.58.96.255', 3510263040, 3510264063, 'CA', 'Canada'),
(146483, '209.58.97.0', '209.58.97.255', 3510264064, 3510264319, 'UG', 'Uganda'),
(146484, '209.58.98.0', '209.58.114.255', 3510264320, 3510268671, 'CA', 'Canada'),
(146485, '209.58.115.0', '209.58.115.255', 3510268672, 3510268927, 'SY', 'Syrian Arab Republic'),
(146486, '209.58.116.0', '209.58.119.127', 3510268928, 3510269823, 'CA', 'Canada'),
(146487, '209.58.119.128', '209.58.119.255', 3510269824, 3510269951, 'CO', 'Colombia'),
(146488, '209.58.120.0', '209.58.122.255', 3510269952, 3510270719, 'LY', 'Libyan Arab Jamahiriya'),
(146489, '209.58.123.0', '209.58.123.255', 3510270720, 3510270975, 'SY', 'Syrian Arab Republic'),
(146490, '209.58.124.0', '209.58.127.255', 3510270976, 3510271999, 'CA', 'Canada'),
(146491, '209.58.128.0', '209.58.176.135', 3510272000, 3510284423, 'US', 'United States'),
(146492, '209.58.176.136', '209.58.176.143', 3510284424, 3510284431, 'CA', 'Canada'),
(146493, '209.58.176.144', '209.59.31.255', 3510284432, 3510312959, 'US', 'United States'),
(146494, '209.59.32.0', '209.59.63.255', 3510312960, 3510321151, 'A1', 'Anonymous Proxy'),
(146495, '209.59.64.0', '209.59.65.255', 3510321152, 3510321663, 'VG', 'Virgin Islands, British'),
(146496, '209.59.66.0', '209.59.66.255', 3510321664, 3510321919, 'AG', 'Antigua and Barbuda'),
(146497, '209.59.67.0', '209.59.67.255', 3510321920, 3510322175, 'KN', 'Saint Kitts and Nevis'),
(146498, '209.59.68.0', '209.59.71.255', 3510322176, 3510323199, 'AG', 'Antigua and Barbuda'),
(146499, '209.59.72.0', '209.59.75.255', 3510323200, 3510324223, 'KN', 'Saint Kitts and Nevis'),
(146500, '209.59.76.0', '209.59.79.255', 3510324224, 3510325247, 'AI', 'Anguilla'),
(146501, '209.59.80.0', '209.59.83.255', 3510325248, 3510326271, 'AG', 'Antigua and Barbuda'),
(146502, '209.59.84.0', '209.59.87.255', 3510326272, 3510327295, 'VG', 'Virgin Islands, British'),
(146503, '209.59.88.0', '209.59.91.255', 3510327296, 3510328319, 'AG', 'Antigua and Barbuda'),
(146504, '209.59.92.0', '209.59.92.255', 3510328320, 3510328575, 'KN', 'Saint Kitts and Nevis'),
(146505, '209.59.93.0', '209.59.93.255', 3510328576, 3510328831, 'MS', 'Montserrat'),
(146506, '209.59.94.0', '209.59.95.191', 3510328832, 3510329279, 'AG', 'Antigua and Barbuda'),
(146507, '209.59.95.192', '209.59.95.207', 3510329280, 3510329295, 'MS', 'Montserrat'),
(146508, '209.59.95.208', '209.59.95.215', 3510329296, 3510329303, 'AG', 'Antigua and Barbuda'),
(146509, '209.59.95.216', '209.59.95.223', 3510329304, 3510329311, 'MS', 'Montserrat'),
(146510, '209.59.95.224', '209.59.96.255', 3510329312, 3510329599, 'AG', 'Antigua and Barbuda'),
(146511, '209.59.97.0', '209.59.97.255', 3510329600, 3510329855, 'MS', 'Montserrat'),
(146512, '209.59.98.0', '209.59.103.255', 3510329856, 3510331391, 'AG', 'Antigua and Barbuda'),
(146513, '209.59.104.0', '209.59.107.255', 3510331392, 3510332415, 'DM', 'Dominica'),
(146514, '209.59.108.0', '209.59.109.255', 3510332416, 3510332927, 'KN', 'Saint Kitts and Nevis'),
(146515, '209.59.110.0', '209.59.110.255', 3510332928, 3510333183, 'LC', 'Saint Lucia'),
(146516, '209.59.111.0', '209.59.111.255', 3510333184, 3510333439, 'MS', 'Montserrat'),
(146517, '209.59.112.0', '209.59.113.255', 3510333440, 3510333951, 'KN', 'Saint Kitts and Nevis'),
(146518, '209.59.114.0', '209.59.117.255', 3510333952, 3510334975, 'AG', 'Antigua and Barbuda'),
(146519, '209.59.118.0', '209.59.118.255', 3510334976, 3510335231, 'KN', 'Saint Kitts and Nevis'),
(146520, '209.59.119.0', '209.59.120.255', 3510335232, 3510335743, 'AI', 'Anguilla'),
(146521, '209.59.121.0', '209.59.121.255', 3510335744, 3510335999, 'VG', 'Virgin Islands, British'),
(146522, '209.59.122.0', '209.59.126.255', 3510336000, 3510337279, 'AG', 'Antigua and Barbuda'),
(146523, '209.59.127.0', '209.59.127.255', 3510337280, 3510337535, 'LC', 'Saint Lucia'),
(146524, '209.59.128.0', '209.61.128.23', 3510337536, 3510468631, 'US', 'United States'),
(146525, '209.61.128.24', '209.61.128.31', 3510468632, 3510468639, 'GB', 'United Kingdom'),
(146526, '209.61.128.32', '209.61.128.111', 3510468640, 3510468719, 'US', 'United States'),
(146527, '209.61.128.112', '209.61.128.119', 3510468720, 3510468727, 'MX', 'Mexico'),
(146528, '209.61.128.120', '209.61.128.239', 3510468728, 3510468847, 'US', 'United States'),
(146529, '209.61.128.240', '209.61.128.247', 3510468848, 3510468855, 'MX', 'Mexico'),
(146530, '209.61.128.248', '209.61.129.31', 3510468856, 3510468895, 'US', 'United States'),
(146531, '209.61.129.32', '209.61.129.39', 3510468896, 3510468903, 'CA', 'Canada'),
(146532, '209.61.129.40', '209.61.129.47', 3510468904, 3510468911, 'ID', 'Indonesia'),
(146533, '209.61.129.48', '209.61.129.159', 3510468912, 3510469023, 'US', 'United States'),
(146534, '209.61.129.160', '209.61.129.175', 3510469024, 3510469039, 'AG', 'Antigua and Barbuda'),
(146535, '209.61.129.176', '209.61.129.191', 3510469040, 3510469055, 'US', 'United States'),
(146536, '209.61.129.192', '209.61.129.199', 3510469056, 3510469063, 'CA', 'Canada'),
(146537, '209.61.129.200', '209.61.129.207', 3510469064, 3510469071, 'US', 'United States'),
(146538, '209.61.129.208', '209.61.129.223', 3510469072, 3510469087, 'AU', 'Australia'),
(146539, '209.61.129.224', '209.61.129.231', 3510469088, 3510469095, 'RU', 'Russian Federation'),
(146540, '209.61.129.232', '209.61.129.239', 3510469096, 3510469103, 'CA', 'Canada'),
(146541, '209.61.129.240', '209.61.129.255', 3510469104, 3510469119, 'BS', 'Bahamas'),
(146542, '209.61.130.0', '209.61.130.47', 3510469120, 3510469167, 'US', 'United States'),
(146543, '209.61.130.48', '209.61.130.55', 3510469168, 3510469175, 'FR', 'France'),
(146544, '209.61.130.56', '209.61.130.63', 3510469176, 3510469183, 'BE', 'Belgium'),
(146545, '209.61.130.64', '209.61.130.71', 3510469184, 3510469191, 'US', 'United States'),
(146546, '209.61.130.72', '209.61.130.79', 3510469192, 3510469199, 'AU', 'Australia'),
(146547, '209.61.130.80', '209.61.130.103', 3510469200, 3510469223, 'US', 'United States'),
(146548, '209.61.130.104', '209.61.130.111', 3510469224, 3510469231, 'AU', 'Australia'),
(146549, '209.61.130.112', '209.61.130.127', 3510469232, 3510469247, 'US', 'United States'),
(146550, '209.61.130.128', '209.61.130.143', 3510469248, 3510469263, 'ID', 'Indonesia'),
(146551, '209.61.130.144', '209.61.130.159', 3510469264, 3510469279, 'US', 'United States'),
(146552, '209.61.130.160', '209.61.130.175', 3510469280, 3510469295, 'MY', 'Malaysia'),
(146553, '209.61.130.176', '209.61.130.223', 3510469296, 3510469343, 'US', 'United States'),
(146554, '209.61.130.224', '209.61.130.231', 3510469344, 3510469351, 'GB', 'United Kingdom'),
(146555, '209.61.130.232', '209.61.130.239', 3510469352, 3510469359, 'US', 'United States'),
(146556, '209.61.130.240', '209.61.130.247', 3510469360, 3510469367, 'CH', 'Switzerland'),
(146557, '209.61.130.248', '209.61.130.255', 3510469368, 3510469375, 'GR', 'Greece'),
(146558, '209.61.131.0', '209.61.131.23', 3510469376, 3510469399, 'US', 'United States'),
(146559, '209.61.131.24', '209.61.131.31', 3510469400, 3510469407, 'BE', 'Belgium'),
(146560, '209.61.131.32', '209.61.131.111', 3510469408, 3510469487, 'US', 'United States'),
(146561, '209.61.131.112', '209.61.131.119', 3510469488, 3510469495, 'CA', 'Canada'),
(146562, '209.61.131.120', '209.61.131.143', 3510469496, 3510469519, 'US', 'United States'),
(146563, '209.61.131.144', '209.61.131.151', 3510469520, 3510469527, 'IN', 'India'),
(146564, '209.61.131.152', '209.61.131.223', 3510469528, 3510469599, 'US', 'United States'),
(146565, '209.61.131.224', '209.61.131.231', 3510469600, 3510469607, 'CA', 'Canada'),
(146566, '209.61.131.232', '209.61.131.239', 3510469608, 3510469615, 'VG', 'Virgin Islands, British'),
(146567, '209.61.131.240', '209.61.131.247', 3510469616, 3510469623, 'US', 'United States'),
(146568, '209.61.131.248', '209.61.131.255', 3510469624, 3510469631, 'DE', 'Germany'),
(146569, '209.61.132.0', '209.61.132.87', 3510469632, 3510469719, 'US', 'United States'),
(146570, '209.61.132.88', '209.61.132.95', 3510469720, 3510469727, 'CA', 'Canada'),
(146571, '209.61.132.96', '209.61.132.111', 3510469728, 3510469743, 'AU', 'Australia'),
(146572, '209.61.132.112', '209.61.132.119', 3510469744, 3510469751, 'CH', 'Switzerland'),
(146573, '209.61.132.120', '209.61.132.135', 3510469752, 3510469767, 'US', 'United States'),
(146574, '209.61.132.136', '209.61.132.143', 3510469768, 3510469775, 'IN', 'India'),
(146575, '209.61.132.144', '209.61.132.183', 3510469776, 3510469815, 'US', 'United States'),
(146576, '209.61.132.184', '209.61.132.199', 3510469816, 3510469831, 'CA', 'Canada'),
(146577, '209.61.132.200', '209.61.132.223', 3510469832, 3510469855, 'US', 'United States'),
(146578, '209.61.132.224', '209.61.132.231', 3510469856, 3510469863, 'UM', 'United States Minor Outlying Islands'),
(146579, '209.61.132.232', '209.61.132.239', 3510469864, 3510469871, 'CA', 'Canada'),
(146580, '209.61.132.240', '209.61.132.255', 3510469872, 3510469887, 'IN', 'India'),
(146581, '209.61.133.0', '209.61.133.7', 3510469888, 3510469895, 'US', 'United States'),
(146582, '209.61.133.8', '209.61.133.15', 3510469896, 3510469903, 'IN', 'India'),
(146583, '209.61.133.16', '209.61.133.31', 3510469904, 3510469919, 'US', 'United States'),
(146584, '209.61.133.32', '209.61.133.39', 3510469920, 3510469927, 'GB', 'United Kingdom'),
(146585, '209.61.133.40', '209.61.133.87', 3510469928, 3510469975, 'US', 'United States'),
(146586, '209.61.133.88', '209.61.133.95', 3510469976, 3510469983, 'IN', 'India'),
(146587, '209.61.133.96', '209.61.133.103', 3510469984, 3510469991, 'CA', 'Canada'),
(146588, '209.61.133.104', '209.61.133.111', 3510469992, 3510469999, 'GB', 'United Kingdom'),
(146589, '209.61.133.112', '209.61.133.143', 3510470000, 3510470031, 'US', 'United States'),
(146590, '209.61.133.144', '209.61.133.151', 3510470032, 3510470039, 'CA', 'Canada'),
(146591, '209.61.133.152', '209.61.133.159', 3510470040, 3510470047, 'RU', 'Russian Federation'),
(146592, '209.61.133.160', '209.61.133.167', 3510470048, 3510470055, 'CA', 'Canada'),
(146593, '209.61.133.168', '209.61.133.175', 3510470056, 3510470063, 'MX', 'Mexico'),
(146594, '209.61.133.176', '209.61.133.255', 3510470064, 3510470143, 'US', 'United States'),
(146595, '209.61.134.0', '209.61.134.7', 3510470144, 3510470151, 'DK', 'Denmark'),
(146596, '209.61.134.8', '209.61.134.15', 3510470152, 3510470159, 'US', 'United States'),
(146597, '209.61.134.16', '209.61.134.31', 3510470160, 3510470175, 'DK', 'Denmark'),
(146598, '209.61.134.32', '209.61.134.39', 3510470176, 3510470183, 'CA', 'Canada'),
(146599, '209.61.134.40', '209.61.134.151', 3510470184, 3510470295, 'US', 'United States'),
(146600, '209.61.134.152', '209.61.134.175', 3510470296, 3510470319, 'CA', 'Canada'),
(146601, '209.61.134.176', '209.61.134.183', 3510470320, 3510470327, 'TW', 'Taiwan'),
(146602, '209.61.134.184', '209.61.134.215', 3510470328, 3510470359, 'US', 'United States'),
(146603, '209.61.134.216', '209.61.134.223', 3510470360, 3510470367, 'TH', 'Thailand'),
(146604, '209.61.134.224', '209.61.134.231', 3510470368, 3510470375, 'US', 'United States'),
(146605, '209.61.134.232', '209.61.134.239', 3510470376, 3510470383, 'CH', 'Switzerland'),
(146606, '209.61.134.240', '209.61.135.55', 3510470384, 3510470455, 'US', 'United States'),
(146607, '209.61.135.56', '209.61.135.63', 3510470456, 3510470463, 'GB', 'United Kingdom'),
(146608, '209.61.135.64', '209.61.135.71', 3510470464, 3510470471, 'NL', 'Netherlands'),
(146609, '209.61.135.72', '209.61.135.223', 3510470472, 3510470623, 'US', 'United States'),
(146610, '209.61.135.224', '209.61.135.231', 3510470624, 3510470631, 'BR', 'Brazil'),
(146611, '209.61.135.232', '209.61.135.247', 3510470632, 3510470647, 'US', 'United States'),
(146612, '209.61.135.248', '209.61.135.255', 3510470648, 3510470655, 'IN', 'India'),
(146613, '209.61.136.0', '209.61.136.119', 3510470656, 3510470775, 'US', 'United States'),
(146614, '209.61.136.120', '209.61.136.127', 3510470776, 3510470783, 'GR', 'Greece'),
(146615, '209.61.136.128', '209.61.136.143', 3510470784, 3510470799, 'US', 'United States'),
(146616, '209.61.136.144', '209.61.136.151', 3510470800, 3510470807, 'GB', 'United Kingdom'),
(146617, '209.61.136.152', '209.61.136.159', 3510470808, 3510470815, 'US', 'United States'),
(146618, '209.61.136.160', '209.61.136.175', 3510470816, 3510470831, 'GB', 'United Kingdom'),
(146619, '209.61.136.176', '209.61.136.199', 3510470832, 3510470855, 'US', 'United States'),
(146620, '209.61.136.200', '209.61.136.207', 3510470856, 3510470863, 'FR', 'France'),
(146621, '209.61.136.208', '209.61.136.215', 3510470864, 3510470871, 'US', 'United States'),
(146622, '209.61.136.216', '209.61.136.223', 3510470872, 3510470879, 'AR', 'Argentina'),
(146623, '209.61.136.224', '209.61.137.15', 3510470880, 3510470927, 'US', 'United States'),
(146624, '209.61.137.16', '209.61.137.23', 3510470928, 3510470935, 'IL', 'Israel'),
(146625, '209.61.137.24', '209.61.137.47', 3510470936, 3510470959, 'US', 'United States'),
(146626, '209.61.137.48', '209.61.137.63', 3510470960, 3510470975, 'IN', 'India'),
(146627, '209.61.137.64', '209.61.137.87', 3510470976, 3510470999, 'US', 'United States'),
(146628, '209.61.137.88', '209.61.137.95', 3510471000, 3510471007, 'CH', 'Switzerland'),
(146629, '209.61.137.96', '209.61.137.127', 3510471008, 3510471039, 'BH', 'Bahrain'),
(146630, '209.61.137.128', '209.61.137.207', 3510471040, 3510471119, 'US', 'United States'),
(146631, '209.61.137.208', '209.61.137.223', 3510471120, 3510471135, 'GB', 'United Kingdom'),
(146632, '209.61.137.224', '209.61.138.15', 3510471136, 3510471183, 'US', 'United States'),
(146633, '209.61.138.16', '209.61.138.31', 3510471184, 3510471199, 'CA', 'Canada'),
(146634, '209.61.138.32', '209.61.138.55', 3510471200, 3510471223, 'US', 'United States'),
(146635, '209.61.138.56', '209.61.138.63', 3510471224, 3510471231, 'DE', 'Germany'),
(146636, '209.61.138.64', '209.61.138.143', 3510471232, 3510471311, 'US', 'United States'),
(146637, '209.61.138.144', '209.61.138.151', 3510471312, 3510471319, 'IE', 'Ireland'),
(146638, '209.61.138.152', '209.61.138.239', 3510471320, 3510471407, 'US', 'United States'),
(146639, '209.61.138.240', '209.61.138.247', 3510471408, 3510471415, 'GR', 'Greece'),
(146640, '209.61.138.248', '209.61.139.7', 3510471416, 3510471431, 'US', 'United States'),
(146641, '209.61.139.8', '209.61.139.15', 3510471432, 3510471439, 'AU', 'Australia'),
(146642, '209.61.139.16', '209.61.139.31', 3510471440, 3510471455, 'US', 'United States'),
(146643, '209.61.139.32', '209.61.139.63', 3510471456, 3510471487, 'FR', 'France'),
(146644, '209.61.139.64', '209.61.139.87', 3510471488, 3510471511, 'US', 'United States'),
(146645, '209.61.139.88', '209.61.139.95', 3510471512, 3510471519, 'HK', 'Hong Kong'),
(146646, '209.61.139.96', '209.61.139.111', 3510471520, 3510471535, 'FR', 'France'),
(146647, '209.61.139.112', '209.61.139.183', 3510471536, 3510471607, 'US', 'United States'),
(146648, '209.61.139.184', '209.61.139.191', 3510471608, 3510471615, 'DE', 'Germany'),
(146649, '209.61.139.192', '209.61.139.215', 3510471616, 3510471639, 'US', 'United States'),
(146650, '209.61.139.216', '209.61.139.223', 3510471640, 3510471647, 'IN', 'India'),
(146651, '209.61.139.224', '209.61.140.23', 3510471648, 3510471703, 'US', 'United States'),
(146652, '209.61.140.24', '209.61.140.31', 3510471704, 3510471711, 'JP', 'Japan'),
(146653, '209.61.140.32', '209.61.140.71', 3510471712, 3510471751, 'US', 'United States'),
(146654, '209.61.140.72', '209.61.140.79', 3510471752, 3510471759, 'CA', 'Canada'),
(146655, '209.61.140.80', '209.61.140.111', 3510471760, 3510471791, 'US', 'United States'),
(146656, '209.61.140.112', '209.61.140.119', 3510471792, 3510471799, 'IN', 'India'),
(146657, '209.61.140.120', '209.61.140.159', 3510471800, 3510471839, 'US', 'United States'),
(146658, '209.61.140.160', '209.61.140.167', 3510471840, 3510471847, 'MX', 'Mexico'),
(146659, '209.61.140.168', '209.61.140.191', 3510471848, 3510471871, 'US', 'United States'),
(146660, '209.61.140.192', '209.61.140.207', 3510471872, 3510471887, 'VE', 'Venezuela'),
(146661, '209.61.140.208', '209.61.140.231', 3510471888, 3510471911, 'US', 'United States'),
(146662, '209.61.140.232', '209.61.140.239', 3510471912, 3510471919, 'IN', 'India'),
(146663, '209.61.140.240', '209.61.141.15', 3510471920, 3510471951, 'US', 'United States'),
(146664, '209.61.141.16', '209.61.141.23', 3510471952, 3510471959, 'ID', 'Indonesia'),
(146665, '209.61.141.24', '209.61.141.55', 3510471960, 3510471991, 'US', 'United States'),
(146666, '209.61.141.56', '209.61.141.63', 3510471992, 3510471999, 'AR', 'Argentina'),
(146667, '209.61.141.64', '209.61.141.71', 3510472000, 3510472007, 'IN', 'India'),
(146668, '209.61.141.72', '209.61.141.175', 3510472008, 3510472111, 'US', 'United States'),
(146669, '209.61.141.176', '209.61.141.183', 3510472112, 3510472119, 'GB', 'United Kingdom'),
(146670, '209.61.141.184', '209.61.141.255', 3510472120, 3510472191, 'US', 'United States'),
(146671, '209.61.142.0', '209.61.142.15', 3510472192, 3510472207, 'IN', 'India'),
(146672, '209.61.142.16', '209.61.142.23', 3510472208, 3510472215, 'FR', 'France'),
(146673, '209.61.142.24', '209.61.142.31', 3510472216, 3510472223, 'CA', 'Canada'),
(146674, '209.61.142.32', '209.61.142.39', 3510472224, 3510472231, 'IT', 'Italy'),
(146675, '209.61.142.40', '209.61.142.47', 3510472232, 3510472239, 'SG', 'Singapore'),
(146676, '209.61.142.48', '209.61.142.103', 3510472240, 3510472295, 'US', 'United States'),
(146677, '209.61.142.104', '209.61.142.111', 3510472296, 3510472303, 'AE', 'United Arab Emirates'),
(146678, '209.61.142.112', '209.61.142.255', 3510472304, 3510472447, 'US', 'United States'),
(146679, '209.61.143.0', '209.61.143.15', 3510472448, 3510472463, 'IN', 'India'),
(146680, '209.61.143.16', '209.61.143.23', 3510472464, 3510472471, 'US', 'United States'),
(146681, '209.61.143.24', '209.61.143.31', 3510472472, 3510472479, 'EG', 'Egypt'),
(146682, '209.61.143.32', '209.61.143.63', 3510472480, 3510472511, 'US', 'United States'),
(146683, '209.61.143.64', '209.61.143.127', 3510472512, 3510472575, 'AG', 'Antigua and Barbuda'),
(146684, '209.61.143.128', '209.61.144.31', 3510472576, 3510472735, 'US', 'United States'),
(146685, '209.61.144.32', '209.61.144.39', 3510472736, 3510472743, 'AR', 'Argentina'),
(146686, '209.61.144.40', '209.61.144.47', 3510472744, 3510472751, 'US', 'United States'),
(146687, '209.61.144.48', '209.61.144.63', 3510472752, 3510472767, 'AR', 'Argentina'),
(146688, '209.61.144.64', '209.61.144.96', 3510472768, 3510472800, 'US', 'United States'),
(146689, '209.61.144.97', '209.61.144.127', 3510472801, 3510472831, 'DE', 'Germany'),
(146690, '209.61.144.128', '209.61.144.215', 3510472832, 3510472919, 'US', 'United States'),
(146691, '209.61.144.216', '209.61.144.223', 3510472920, 3510472927, 'NL', 'Netherlands'),
(146692, '209.61.144.224', '209.61.145.127', 3510472928, 3510473087, 'US', 'United States'),
(146693, '209.61.145.128', '209.61.145.135', 3510473088, 3510473095, 'TR', 'Turkey'),
(146694, '209.61.145.136', '209.61.145.143', 3510473096, 3510473103, 'US', 'United States'),
(146695, '209.61.145.144', '209.61.145.159', 3510473104, 3510473119, 'VE', 'Venezuela'),
(146696, '209.61.145.160', '209.61.145.175', 3510473120, 3510473135, 'US', 'United States'),
(146697, '209.61.145.176', '209.61.145.183', 3510473136, 3510473143, 'NZ', 'New Zealand'),
(146698, '209.61.145.184', '209.61.145.191', 3510473144, 3510473151, 'US', 'United States'),
(146699, '209.61.145.192', '209.61.145.199', 3510473152, 3510473159, 'DE', 'Germany'),
(146700, '209.61.145.200', '209.61.145.215', 3510473160, 3510473175, 'US', 'United States'),
(146701, '209.61.145.216', '209.61.145.223', 3510473176, 3510473183, 'FR', 'France'),
(146702, '209.61.145.224', '209.61.145.239', 3510473184, 3510473199, 'IE', 'Ireland'),
(146703, '209.61.145.240', '209.61.145.255', 3510473200, 3510473215, 'US', 'United States'),
(146704, '209.61.146.0', '209.61.146.7', 3510473216, 3510473223, 'IN', 'India'),
(146705, '209.61.146.8', '209.61.146.15', 3510473224, 3510473231, 'US', 'United States'),
(146706, '209.61.146.16', '209.61.146.23', 3510473232, 3510473239, 'FR', 'France'),
(146707, '209.61.146.24', '209.61.146.127', 3510473240, 3510473343, 'US', 'United States'),
(146708, '209.61.146.128', '209.61.146.167', 3510473344, 3510473383, 'DE', 'Germany'),
(146709, '209.61.146.168', '209.61.146.191', 3510473384, 3510473407, 'US', 'United States'),
(146710, '209.61.146.192', '209.61.146.231', 3510473408, 3510473447, 'DE', 'Germany'),
(146711, '209.61.146.232', '209.61.146.247', 3510473448, 3510473463, 'US', 'United States'),
(146712, '209.61.146.248', '209.61.146.255', 3510473464, 3510473471, 'NL', 'Netherlands'),
(146713, '209.61.147.0', '209.61.147.39', 3510473472, 3510473511, 'DE', 'Germany'),
(146714, '209.61.147.40', '209.61.147.135', 3510473512, 3510473607, 'US', 'United States'),
(146715, '209.61.147.136', '209.61.147.143', 3510473608, 3510473615, 'ID', 'Indonesia'),
(146716, '209.61.147.144', '209.61.147.151', 3510473616, 3510473623, 'AU', 'Australia'),
(146717, '209.61.147.152', '209.61.150.191', 3510473624, 3510474431, 'US', 'United States'),
(146718, '209.61.150.192', '209.61.150.207', 3510474432, 3510474447, 'TC', 'Turks and Caicos Islands'),
(146719, '209.61.150.208', '209.61.150.239', 3510474448, 3510474479, 'US', 'United States'),
(146720, '209.61.150.240', '209.61.150.255', 3510474480, 3510474495, 'AU', 'Australia'),
(146721, '209.61.151.0', '209.61.153.143', 3510474496, 3510475151, 'US', 'United States'),
(146722, '209.61.153.144', '209.61.153.151', 3510475152, 3510475159, 'AU', 'Australia'),
(146723, '209.61.153.152', '209.61.153.159', 3510475160, 3510475167, 'SE', 'Sweden'),
(146724, '209.61.153.160', '209.61.161.7', 3510475168, 3510477063, 'US', 'United States'),
(146725, '209.61.161.8', '209.61.161.15', 3510477064, 3510477071, 'GB', 'United Kingdom'),
(146726, '209.61.161.16', '209.61.161.31', 3510477072, 3510477087, 'US', 'United States'),
(146727, '209.61.161.32', '209.61.161.55', 3510477088, 3510477111, 'GB', 'United Kingdom'),
(146728, '209.61.161.56', '209.61.161.255', 3510477112, 3510477311, 'US', 'United States'),
(146729, '209.61.162.0', '209.61.162.7', 3510477312, 3510477319, 'IN', 'India'),
(146730, '209.61.162.8', '209.61.162.15', 3510477320, 3510477327, 'US', 'United States'),
(146731, '209.61.162.16', '209.61.162.23', 3510477328, 3510477335, 'GB', 'United Kingdom'),
(146732, '209.61.162.24', '209.61.162.31', 3510477336, 3510477343, 'MO', 'Macau'),
(146733, '209.61.162.32', '209.61.162.63', 3510477344, 3510477375, 'AG', 'Antigua and Barbuda'),
(146734, '209.61.162.64', '209.61.162.175', 3510477376, 3510477487, 'US', 'United States'),
(146735, '209.61.162.176', '209.61.162.183', 3510477488, 3510477495, 'IN', 'India'),
(146736, '209.61.162.184', '209.61.162.191', 3510477496, 3510477503, 'US', 'United States'),
(146737, '209.61.162.192', '209.61.162.207', 3510477504, 3510477519, 'GB', 'United Kingdom'),
(146738, '209.61.162.208', '209.61.162.223', 3510477520, 3510477535, 'US', 'United States'),
(146739, '209.61.162.224', '209.61.162.231', 3510477536, 3510477543, 'GB', 'United Kingdom'),
(146740, '209.61.162.232', '209.61.163.247', 3510477544, 3510477815, 'US', 'United States'),
(146741, '209.61.163.248', '209.61.163.255', 3510477816, 3510477823, 'GB', 'United Kingdom'),
(146742, '209.61.164.0', '209.61.164.79', 3510477824, 3510477903, 'US', 'United States'),
(146743, '209.61.164.80', '209.61.164.87', 3510477904, 3510477911, 'IT', 'Italy'),
(146744, '209.61.164.88', '209.61.164.95', 3510477912, 3510477919, 'US', 'United States'),
(146745, '209.61.164.96', '209.61.164.103', 3510477920, 3510477927, 'NL', 'Netherlands'),
(146746, '209.61.164.104', '209.61.164.151', 3510477928, 3510477975, 'US', 'United States'),
(146747, '209.61.164.152', '209.61.164.159', 3510477976, 3510477983, 'AR', 'Argentina'),
(146748, '209.61.164.160', '209.61.164.183', 3510477984, 3510478007, 'US', 'United States'),
(146749, '209.61.164.184', '209.61.164.191', 3510478008, 3510478015, 'IN', 'India'),
(146750, '209.61.164.192', '209.61.164.199', 3510478016, 3510478023, 'CA', 'Canada'),
(146751, '209.61.164.200', '209.61.165.47', 3510478024, 3510478127, 'US', 'United States'),
(146752, '209.61.165.48', '209.61.165.55', 3510478128, 3510478135, 'GB', 'United Kingdom'),
(146753, '209.61.165.56', '209.61.165.63', 3510478136, 3510478143, 'US', 'United States'),
(146754, '209.61.165.64', '209.61.165.95', 3510478144, 3510478175, 'FI', 'Finland'),
(146755, '209.61.165.96', '209.61.165.151', 3510478176, 3510478231, 'US', 'United States'),
(146756, '209.61.165.152', '209.61.165.159', 3510478232, 3510478239, 'IN', 'India'),
(146757, '209.61.165.160', '209.61.165.191', 3510478240, 3510478271, 'US', 'United States'),
(146758, '209.61.165.192', '209.61.165.199', 3510478272, 3510478279, 'MT', 'Malta'),
(146759, '209.61.165.200', '209.61.165.231', 3510478280, 3510478311, 'US', 'United States'),
(146760, '209.61.165.232', '209.61.165.239', 3510478312, 3510478319, 'FI', 'Finland'),
(146761, '209.61.165.240', '209.61.166.159', 3510478320, 3510478495, 'US', 'United States'),
(146762, '209.61.166.160', '209.61.166.191', 3510478496, 3510478527, 'FR', 'France'),
(146763, '209.61.166.192', '209.61.166.199', 3510478528, 3510478535, 'US', 'United States'),
(146764, '209.61.166.200', '209.61.166.207', 3510478536, 3510478543, 'GB', 'United Kingdom'),
(146765, '209.61.166.208', '209.61.166.215', 3510478544, 3510478551, 'US', 'United States'),
(146766, '209.61.166.216', '209.61.166.223', 3510478552, 3510478559, 'VE', 'Venezuela'),
(146767, '209.61.166.224', '209.61.166.231', 3510478560, 3510478567, 'NL', 'Netherlands'),
(146768, '209.61.166.232', '209.61.166.255', 3510478568, 3510478591, 'US', 'United States'),
(146769, '209.61.167.0', '209.61.167.7', 3510478592, 3510478599, 'MX', 'Mexico'),
(146770, '209.61.167.8', '209.61.167.39', 3510478600, 3510478631, 'US', 'United States'),
(146771, '209.61.167.40', '209.61.167.47', 3510478632, 3510478639, 'GB', 'United Kingdom'),
(146772, '209.61.167.48', '209.61.167.63', 3510478640, 3510478655, 'US', 'United States'),
(146773, '209.61.167.64', '209.61.167.71', 3510478656, 3510478663, 'GB', 'United Kingdom'),
(146774, '209.61.167.72', '209.61.167.79', 3510478664, 3510478671, 'US', 'United States'),
(146775, '209.61.167.80', '209.61.167.127', 3510478672, 3510478719, 'AU', 'Australia'),
(146776, '209.61.167.128', '209.61.167.143', 3510478720, 3510478735, 'US', 'United States'),
(146777, '209.61.167.144', '209.61.167.159', 3510478736, 3510478751, 'LB', 'Lebanon'),
(146778, '209.61.167.160', '209.61.167.183', 3510478752, 3510478775, 'US', 'United States'),
(146779, '209.61.167.184', '209.61.167.191', 3510478776, 3510478783, 'CR', 'Costa Rica'),
(146780, '209.61.167.192', '209.61.168.7', 3510478784, 3510478855, 'US', 'United States'),
(146781, '209.61.168.8', '209.61.168.15', 3510478856, 3510478863, 'IN', 'India'),
(146782, '209.61.168.16', '209.61.168.55', 3510478864, 3510478903, 'US', 'United States'),
(146783, '209.61.168.56', '209.61.168.71', 3510478904, 3510478919, 'GB', 'United Kingdom'),
(146784, '209.61.168.72', '209.61.168.95', 3510478920, 3510478943, 'US', 'United States'),
(146785, '209.61.168.96', '209.61.168.103', 3510478944, 3510478951, 'IN', 'India'),
(146786, '209.61.168.104', '209.61.168.247', 3510478952, 3510479095, 'US', 'United States'),
(146787, '209.61.168.248', '209.61.168.255', 3510479096, 3510479103, 'GB', 'United Kingdom'),
(146788, '209.61.169.0', '209.61.169.255', 3510479104, 3510479359, 'GU', 'Guam'),
(146789, '209.61.170.0', '209.61.170.47', 3510479360, 3510479407, 'US', 'United States'),
(146790, '209.61.170.48', '209.61.170.55', 3510479408, 3510479415, 'CA', 'Canada'),
(146791, '209.61.170.56', '209.61.170.79', 3510479416, 3510479439, 'US', 'United States'),
(146792, '209.61.170.80', '209.61.170.87', 3510479440, 3510479447, 'CA', 'Canada'),
(146793, '209.61.170.88', '209.61.170.95', 3510479448, 3510479455, 'GI', 'Gibraltar'),
(146794, '209.61.170.96', '209.61.170.143', 3510479456, 3510479503, 'US', 'United States'),
(146795, '209.61.170.144', '209.61.170.151', 3510479504, 3510479511, 'AU', 'Australia'),
(146796, '209.61.170.152', '209.61.170.159', 3510479512, 3510479519, 'US', 'United States'),
(146797, '209.61.170.160', '209.61.170.175', 3510479520, 3510479535, 'LB', 'Lebanon'),
(146798, '209.61.170.176', '209.61.170.215', 3510479536, 3510479575, 'US', 'United States'),
(146799, '209.61.170.216', '209.61.170.223', 3510479576, 3510479583, 'GI', 'Gibraltar'),
(146800, '209.61.170.224', '209.61.171.175', 3510479584, 3510479791, 'US', 'United States'),
(146801, '209.61.171.176', '209.61.171.183', 3510479792, 3510479799, 'IE', 'Ireland'),
(146802, '209.61.171.184', '209.61.171.215', 3510479800, 3510479831, 'US', 'United States'),
(146803, '209.61.171.216', '209.61.171.223', 3510479832, 3510479839, 'DE', 'Germany'),
(146804, '209.61.171.224', '209.61.171.239', 3510479840, 3510479855, 'US', 'United States'),
(146805, '209.61.171.240', '209.61.171.247', 3510479856, 3510479863, 'DE', 'Germany'),
(146806, '209.61.171.248', '209.61.172.7', 3510479864, 3510479879, 'US', 'United States'),
(146807, '209.61.172.8', '209.61.172.15', 3510479880, 3510479887, 'DE', 'Germany'),
(146808, '209.61.172.16', '209.61.172.31', 3510479888, 3510479903, 'US', 'United States'),
(146809, '209.61.172.32', '209.61.172.47', 3510479904, 3510479919, 'ES', 'Spain'),
(146810, '209.61.172.48', '209.61.172.63', 3510479920, 3510479935, 'US', 'United States'),
(146811, '209.61.172.64', '209.61.172.71', 3510479936, 3510479943, 'MY', 'Malaysia'),
(146812, '209.61.172.72', '209.61.172.79', 3510479944, 3510479951, 'US', 'United States'),
(146813, '209.61.172.80', '209.61.172.87', 3510479952, 3510479959, 'AU', 'Australia'),
(146814, '209.61.172.88', '209.61.172.95', 3510479960, 3510479967, 'US', 'United States'),
(146815, '209.61.172.96', '209.61.172.103', 3510479968, 3510479975, 'AE', 'United Arab Emirates'),
(146816, '209.61.172.104', '209.61.172.119', 3510479976, 3510479991, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(146817, '209.61.172.120', '209.61.172.127', 3510479992, 3510479999, 'SG', 'Singapore'),
(146818, '209.61.172.128', '209.61.172.175', 3510480000, 3510480047, 'US', 'United States'),
(146819, '209.61.172.176', '209.61.172.183', 3510480048, 3510480055, 'FR', 'France'),
(146820, '209.61.172.184', '209.61.172.231', 3510480056, 3510480103, 'US', 'United States'),
(146821, '209.61.172.232', '209.61.172.239', 3510480104, 3510480111, 'CA', 'Canada'),
(146822, '209.61.172.240', '209.61.172.247', 3510480112, 3510480119, 'MX', 'Mexico'),
(146823, '209.61.172.248', '209.61.174.31', 3510480120, 3510480415, 'US', 'United States'),
(146824, '209.61.174.32', '209.61.174.39', 3510480416, 3510480423, 'GB', 'United Kingdom'),
(146825, '209.61.174.40', '209.61.174.47', 3510480424, 3510480431, 'VE', 'Venezuela'),
(146826, '209.61.174.48', '209.61.174.55', 3510480432, 3510480439, 'US', 'United States'),
(146827, '209.61.174.56', '209.61.174.63', 3510480440, 3510480447, 'BZ', 'Belize'),
(146828, '209.61.174.64', '209.61.174.143', 3510480448, 3510480527, 'US', 'United States'),
(146829, '209.61.174.144', '209.61.174.151', 3510480528, 3510480535, 'GB', 'United Kingdom'),
(146830, '209.61.174.152', '209.61.174.159', 3510480536, 3510480543, 'US', 'United States'),
(146831, '209.61.174.160', '209.61.174.176', 3510480544, 3510480560, 'AT', 'Austria'),
(146832, '209.61.174.177', '209.61.174.177', 3510480561, 3510480561, 'US', 'United States'),
(146833, '209.61.174.178', '209.61.174.191', 3510480562, 3510480575, 'AT', 'Austria'),
(146834, '209.61.174.192', '209.61.175.15', 3510480576, 3510480655, 'US', 'United States'),
(146835, '209.61.175.16', '209.61.175.23', 3510480656, 3510480663, 'IN', 'India'),
(146836, '209.61.175.24', '209.61.175.31', 3510480664, 3510480671, 'US', 'United States'),
(146837, '209.61.175.32', '209.61.175.95', 3510480672, 3510480735, 'AU', 'Australia'),
(146838, '209.61.175.96', '209.61.175.175', 3510480736, 3510480815, 'US', 'United States'),
(146839, '209.61.175.176', '209.61.175.183', 3510480816, 3510480823, 'IN', 'India'),
(146840, '209.61.175.184', '209.61.175.199', 3510480824, 3510480839, 'US', 'United States'),
(146841, '209.61.175.200', '209.61.175.207', 3510480840, 3510480847, 'IN', 'India'),
(146842, '209.61.175.208', '209.61.176.63', 3510480848, 3510480959, 'US', 'United States'),
(146843, '209.61.176.64', '209.61.176.71', 3510480960, 3510480967, 'GB', 'United Kingdom'),
(146844, '209.61.176.72', '209.61.176.95', 3510480968, 3510480991, 'US', 'United States'),
(146845, '209.61.176.96', '209.61.176.127', 3510480992, 3510481023, 'CR', 'Costa Rica'),
(146846, '209.61.176.128', '209.61.177.39', 3510481024, 3510481191, 'US', 'United States'),
(146847, '209.61.177.40', '209.61.177.47', 3510481192, 3510481199, 'GB', 'United Kingdom'),
(146848, '209.61.177.48', '209.61.177.63', 3510481200, 3510481215, 'US', 'United States'),
(146849, '209.61.177.64', '209.61.177.79', 3510481216, 3510481231, 'CA', 'Canada'),
(146850, '209.61.177.80', '209.61.177.143', 3510481232, 3510481295, 'US', 'United States'),
(146851, '209.61.177.144', '209.61.177.159', 3510481296, 3510481311, 'AU', 'Australia'),
(146852, '209.61.177.160', '209.61.177.167', 3510481312, 3510481319, 'FR', 'France'),
(146853, '209.61.177.168', '209.61.177.207', 3510481320, 3510481359, 'US', 'United States'),
(146854, '209.61.177.208', '209.61.177.223', 3510481360, 3510481375, 'ES', 'Spain'),
(146855, '209.61.177.224', '209.61.177.255', 3510481376, 3510481407, 'US', 'United States'),
(146856, '209.61.178.0', '209.61.178.7', 3510481408, 3510481415, 'MY', 'Malaysia'),
(146857, '209.61.178.8', '209.61.179.15', 3510481416, 3510481679, 'US', 'United States'),
(146858, '209.61.179.16', '209.61.179.23', 3510481680, 3510481687, 'AU', 'Australia'),
(146859, '209.61.179.24', '209.61.179.47', 3510481688, 3510481711, 'US', 'United States'),
(146860, '209.61.179.48', '209.61.179.55', 3510481712, 3510481719, 'CA', 'Canada'),
(146861, '209.61.179.56', '209.61.179.63', 3510481720, 3510481727, 'JP', 'Japan'),
(146862, '209.61.179.64', '209.61.179.79', 3510481728, 3510481743, 'AU', 'Australia'),
(146863, '209.61.179.80', '209.61.179.199', 3510481744, 3510481863, 'US', 'United States'),
(146864, '209.61.179.200', '209.61.179.207', 3510481864, 3510481871, 'CA', 'Canada'),
(146865, '209.61.179.208', '209.61.179.255', 3510481872, 3510481919, 'US', 'United States'),
(146866, '209.61.180.0', '209.61.180.7', 3510481920, 3510481927, 'MX', 'Mexico'),
(146867, '209.61.180.8', '209.61.180.191', 3510481928, 3510482111, 'US', 'United States'),
(146868, '209.61.180.192', '209.61.180.223', 3510482112, 3510482143, 'CA', 'Canada'),
(146869, '209.61.180.224', '209.61.180.231', 3510482144, 3510482151, 'AR', 'Argentina'),
(146870, '209.61.180.232', '209.66.97.95', 3510482152, 3510788447, 'US', 'United States'),
(146871, '209.66.97.96', '209.66.97.127', 3510788448, 3510788479, 'GB', 'United Kingdom'),
(146872, '209.66.97.128', '209.67.9.167', 3510788480, 3510831527, 'US', 'United States'),
(146873, '209.67.9.168', '209.67.9.175', 3510831528, 3510831535, 'GB', 'United Kingdom'),
(146874, '209.67.9.176', '209.67.17.15', 3510831536, 3510833423, 'US', 'United States'),
(146875, '209.67.17.16', '209.67.17.31', 3510833424, 3510833439, 'CA', 'Canada'),
(146876, '209.67.17.32', '209.67.29.191', 3510833440, 3510836671, 'US', 'United States'),
(146877, '209.67.29.192', '209.67.29.207', 3510836672, 3510836687, 'CA', 'Canada'),
(146878, '209.67.29.208', '209.67.39.95', 3510836688, 3510839135, 'US', 'United States'),
(146879, '209.67.39.96', '209.67.39.111', 3510839136, 3510839151, 'GB', 'United Kingdom'),
(146880, '209.67.39.112', '209.67.39.175', 3510839152, 3510839215, 'US', 'United States'),
(146881, '209.67.39.176', '209.67.39.191', 3510839216, 3510839231, 'GB', 'United Kingdom'),
(146882, '209.67.39.192', '209.67.40.15', 3510839232, 3510839311, 'US', 'United States'),
(146883, '209.67.40.16', '209.67.40.31', 3510839312, 3510839327, 'IN', 'India'),
(146884, '209.67.40.32', '209.67.54.207', 3510839328, 3510843087, 'US', 'United States'),
(146885, '209.67.54.208', '209.67.54.215', 3510843088, 3510843095, 'CA', 'Canada'),
(146886, '209.67.54.216', '209.67.54.223', 3510843096, 3510843103, 'GB', 'United Kingdom'),
(146887, '209.67.54.224', '209.67.59.255', 3510843104, 3510844415, 'US', 'United States'),
(146888, '209.67.60.0', '209.67.61.255', 3510844416, 3510844927, 'CA', 'Canada'),
(146889, '209.67.62.0', '209.67.68.63', 3510844928, 3510846527, 'US', 'United States'),
(146890, '209.67.68.64', '209.67.68.95', 3510846528, 3510846559, 'CA', 'Canada'),
(146891, '209.67.68.96', '209.68.11.34', 3510846560, 3510897442, 'US', 'United States'),
(146892, '209.68.11.35', '209.68.11.35', 3510897443, 3510897443, 'IE', 'Ireland'),
(146893, '209.68.11.36', '209.68.159.255', 3510897444, 3510935551, 'US', 'United States'),
(146894, '209.68.160.0', '209.68.191.255', 3510935552, 3510943743, 'CA', 'Canada'),
(146895, '209.68.192.0', '209.71.147.255', 3510943744, 3511129087, 'US', 'United States'),
(146896, '209.71.148.0', '209.71.155.255', 3511129088, 3511131135, 'CA', 'Canada'),
(146897, '209.71.156.0', '209.71.191.255', 3511131136, 3511140351, 'US', 'United States'),
(146898, '209.71.192.0', '209.71.255.255', 3511140352, 3511156735, 'CA', 'Canada'),
(146899, '209.72.0.0', '209.74.169.127', 3511156736, 3511331199, 'US', 'United States'),
(146900, '209.74.169.128', '209.74.169.159', 3511331200, 3511331231, 'CA', 'Canada'),
(146901, '209.74.169.160', '209.74.185.63', 3511331232, 3511335231, 'US', 'United States'),
(146902, '209.74.185.64', '209.74.185.95', 3511335232, 3511335263, 'RU', 'Russian Federation'),
(146903, '209.74.185.96', '209.74.185.127', 3511335264, 3511335295, 'US', 'United States'),
(146904, '209.74.185.128', '209.74.185.255', 3511335296, 3511335423, 'RU', 'Russian Federation'),
(146905, '209.74.186.0', '209.76.4.47', 3511335424, 3511419951, 'US', 'United States'),
(146906, '209.76.4.48', '209.76.4.55', 3511419952, 3511419959, 'UA', 'Ukraine'),
(146907, '209.76.4.56', '209.81.255.255', 3511419960, 3511812095, 'US', 'United States'),
(146908, '209.82.0.0', '209.82.127.255', 3511812096, 3511844863, 'CA', 'Canada'),
(146909, '209.82.128.0', '209.85.10.47', 3511844864, 3512011311, 'US', 'United States'),
(146910, '209.85.10.48', '209.85.10.63', 3512011312, 3512011327, 'UM', 'United States Minor Outlying Islands'),
(146911, '209.85.10.64', '209.85.10.95', 3512011328, 3512011359, 'US', 'United States'),
(146912, '209.85.10.96', '209.85.10.111', 3512011360, 3512011375, 'TR', 'Turkey'),
(146913, '209.85.10.112', '209.85.12.31', 3512011376, 3512011807, 'US', 'United States'),
(146914, '209.85.12.32', '209.85.12.47', 3512011808, 3512011823, 'TW', 'Taiwan'),
(146915, '209.85.12.48', '209.85.12.79', 3512011824, 3512011855, 'US', 'United States'),
(146916, '209.85.12.80', '209.85.12.95', 3512011856, 3512011871, 'SE', 'Sweden'),
(146917, '209.85.12.96', '209.85.13.63', 3512011872, 3512012095, 'US', 'United States'),
(146918, '209.85.13.64', '209.85.13.127', 3512012096, 3512012159, 'GB', 'United Kingdom'),
(146919, '209.85.13.128', '209.85.13.143', 3512012160, 3512012175, 'MX', 'Mexico'),
(146920, '209.85.13.144', '209.85.13.223', 3512012176, 3512012255, 'US', 'United States'),
(146921, '209.85.13.224', '209.85.13.255', 3512012256, 3512012287, 'GB', 'United Kingdom'),
(146922, '209.85.14.0', '209.85.19.15', 3512012288, 3512013583, 'US', 'United States'),
(146923, '209.85.19.16', '209.85.19.31', 3512013584, 3512013599, 'CA', 'Canada'),
(146924, '209.85.19.32', '209.85.19.79', 3512013600, 3512013647, 'US', 'United States'),
(146925, '209.85.19.80', '209.85.19.95', 3512013648, 3512013663, 'CA', 'Canada'),
(146926, '209.85.19.96', '209.85.19.111', 3512013664, 3512013679, 'US', 'United States'),
(146927, '209.85.19.112', '209.85.19.127', 3512013680, 3512013695, 'GR', 'Greece'),
(146928, '209.85.19.128', '209.85.30.159', 3512013696, 3512016543, 'US', 'United States'),
(146929, '209.85.30.160', '209.85.30.175', 3512016544, 3512016559, 'IT', 'Italy'),
(146930, '209.85.30.176', '209.85.30.191', 3512016560, 3512016575, 'US', 'United States'),
(146931, '209.85.30.192', '209.85.30.207', 3512016576, 3512016591, 'TW', 'Taiwan'),
(146932, '209.85.30.208', '209.85.30.223', 3512016592, 3512016607, 'US', 'United States'),
(146933, '209.85.30.224', '209.85.30.239', 3512016608, 3512016623, 'CA', 'Canada'),
(146934, '209.85.30.240', '209.85.31.127', 3512016624, 3512016767, 'GB', 'United Kingdom'),
(146935, '209.85.31.128', '209.85.31.191', 3512016768, 3512016831, 'US', 'United States'),
(146936, '209.85.31.192', '209.85.31.255', 3512016832, 3512016895, 'JO', 'Jordan'),
(146937, '209.85.32.0', '209.85.33.31', 3512016896, 3512017183, 'US', 'United States'),
(146938, '209.85.33.32', '209.85.33.47', 3512017184, 3512017199, 'AR', 'Argentina'),
(146939, '209.85.33.48', '209.85.33.79', 3512017200, 3512017231, 'US', 'United States'),
(146940, '209.85.33.80', '209.85.33.95', 3512017232, 3512017247, 'ES', 'Spain'),
(146941, '209.85.33.96', '209.85.33.111', 3512017248, 3512017263, 'MX', 'Mexico'),
(146942, '209.85.33.112', '209.85.33.127', 3512017264, 3512017279, 'GB', 'United Kingdom'),
(146943, '209.85.33.128', '209.85.33.207', 3512017280, 3512017359, 'US', 'United States'),
(146944, '209.85.33.208', '209.85.33.223', 3512017360, 3512017375, 'RU', 'Russian Federation'),
(146945, '209.85.33.224', '209.85.33.255', 3512017376, 3512017407, 'GB', 'United Kingdom'),
(146946, '209.85.34.0', '209.85.34.255', 3512017408, 3512017663, 'BR', 'Brazil'),
(146947, '209.85.35.0', '209.85.35.31', 3512017664, 3512017695, 'CA', 'Canada'),
(146948, '209.85.35.32', '209.85.35.63', 3512017696, 3512017727, 'RU', 'Russian Federation'),
(146949, '209.85.35.64', '209.85.35.79', 3512017728, 3512017743, 'US', 'United States'),
(146950, '209.85.35.80', '209.85.35.95', 3512017744, 3512017759, 'IT', 'Italy'),
(146951, '209.85.35.96', '209.85.35.127', 3512017760, 3512017791, 'US', 'United States'),
(146952, '209.85.35.128', '209.85.35.143', 3512017792, 3512017807, 'LT', 'Lithuania'),
(146953, '209.85.35.144', '209.85.35.159', 3512017808, 3512017823, 'US', 'United States'),
(146954, '209.85.35.160', '209.85.35.191', 3512017824, 3512017855, 'JO', 'Jordan'),
(146955, '209.85.35.192', '209.85.40.127', 3512017856, 3512019071, 'US', 'United States'),
(146956, '209.85.40.128', '209.85.40.191', 3512019072, 3512019135, 'GB', 'United Kingdom'),
(146957, '209.85.40.192', '209.85.40.207', 3512019136, 3512019151, 'MX', 'Mexico'),
(146958, '209.85.40.208', '209.85.40.255', 3512019152, 3512019199, 'US', 'United States'),
(146959, '209.85.41.0', '209.85.41.63', 3512019200, 3512019263, 'ES', 'Spain'),
(146960, '209.85.41.64', '209.85.41.95', 3512019264, 3512019295, 'US', 'United States'),
(146961, '209.85.41.96', '209.85.41.111', 3512019296, 3512019311, 'CA', 'Canada'),
(146962, '209.85.41.112', '209.85.41.127', 3512019312, 3512019327, 'US', 'United States'),
(146963, '209.85.41.128', '209.85.41.159', 3512019328, 3512019359, 'CA', 'Canada'),
(146964, '209.85.41.160', '209.85.44.127', 3512019360, 3512020095, 'US', 'United States'),
(146965, '209.85.44.128', '209.85.44.255', 3512020096, 3512020223, 'ES', 'Spain'),
(146966, '209.85.45.0', '209.85.45.255', 3512020224, 3512020479, 'US', 'United States'),
(146967, '209.85.46.0', '209.85.46.31', 3512020480, 3512020511, 'GB', 'United Kingdom'),
(146968, '209.85.46.32', '209.85.49.255', 3512020512, 3512021503, 'US', 'United States'),
(146969, '209.85.50.0', '209.85.50.255', 3512021504, 3512021759, 'GB', 'United Kingdom'),
(146970, '209.85.51.0', '209.85.53.63', 3512021760, 3512022335, 'US', 'United States'),
(146971, '209.85.53.64', '209.85.53.127', 3512022336, 3512022399, 'ES', 'Spain'),
(146972, '209.85.53.128', '209.85.53.159', 3512022400, 3512022431, 'US', 'United States'),
(146973, '209.85.53.160', '209.85.53.175', 3512022432, 3512022447, 'IN', 'India'),
(146974, '209.85.53.176', '209.85.53.191', 3512022448, 3512022463, 'GB', 'United Kingdom'),
(146975, '209.85.53.192', '209.85.58.255', 3512022464, 3512023807, 'US', 'United States'),
(146976, '209.85.59.0', '209.85.59.31', 3512023808, 3512023839, 'CA', 'Canada'),
(146977, '209.85.59.32', '209.85.59.47', 3512023840, 3512023855, 'GB', 'United Kingdom'),
(146978, '209.85.59.48', '209.85.59.79', 3512023856, 3512023887, 'US', 'United States'),
(146979, '209.85.59.80', '209.85.59.95', 3512023888, 3512023903, 'MX', 'Mexico'),
(146980, '209.85.59.96', '209.85.59.191', 3512023904, 3512023999, 'US', 'United States'),
(146981, '209.85.59.192', '209.85.59.255', 3512024000, 3512024063, 'BR', 'Brazil'),
(146982, '209.85.60.0', '209.85.60.255', 3512024064, 3512024319, 'US', 'United States'),
(146983, '209.85.61.0', '209.85.61.255', 3512024320, 3512024575, 'AU', 'Australia'),
(146984, '209.85.62.0', '209.85.62.15', 3512024576, 3512024591, 'CA', 'Canada'),
(146985, '209.85.62.16', '209.85.63.255', 3512024592, 3512025087, 'US', 'United States'),
(146986, '209.85.64.0', '209.85.64.15', 3512025088, 3512025103, 'CA', 'Canada'),
(146987, '209.85.64.16', '209.85.64.95', 3512025104, 3512025183, 'US', 'United States'),
(146988, '209.85.64.96', '209.85.64.127', 3512025184, 3512025215, 'CA', 'Canada'),
(146989, '209.85.64.128', '209.85.64.255', 3512025216, 3512025343, 'US', 'United States'),
(146990, '209.85.65.0', '209.85.65.15', 3512025344, 3512025359, 'CA', 'Canada'),
(146991, '209.85.65.16', '209.85.72.255', 3512025360, 3512027391, 'US', 'United States'),
(146992, '209.85.73.0', '209.85.73.127', 3512027392, 3512027519, 'AU', 'Australia'),
(146993, '209.85.73.128', '209.85.76.111', 3512027520, 3512028271, 'US', 'United States'),
(146994, '209.85.76.112', '209.85.76.127', 3512028272, 3512028287, 'GB', 'United Kingdom'),
(146995, '209.85.76.128', '209.85.79.191', 3512028288, 3512029119, 'US', 'United States'),
(146996, '209.85.79.192', '209.85.79.207', 3512029120, 3512029135, 'CA', 'Canada'),
(146997, '209.85.79.208', '209.85.80.79', 3512029136, 3512029263, 'US', 'United States'),
(146998, '209.85.80.80', '209.85.80.95', 3512029264, 3512029279, 'CA', 'Canada'),
(146999, '209.85.80.96', '209.85.88.63', 3512029280, 3512031295, 'US', 'United States'),
(147000, '209.85.88.64', '209.85.88.127', 3512031296, 3512031359, 'JO', 'Jordan'),
(147001, '209.85.88.128', '209.85.88.143', 3512031360, 3512031375, 'CA', 'Canada'),
(147002, '209.85.88.144', '209.85.89.47', 3512031376, 3512031535, 'US', 'United States'),
(147003, '209.85.89.48', '209.85.89.63', 3512031536, 3512031551, 'CA', 'Canada'),
(147004, '209.85.89.64', '209.85.90.15', 3512031552, 3512031759, 'US', 'United States'),
(147005, '209.85.90.16', '209.85.90.31', 3512031760, 3512031775, 'CA', 'Canada'),
(147006, '209.85.90.32', '209.85.111.127', 3512031776, 3512037247, 'US', 'United States'),
(147007, '209.85.111.128', '209.85.111.191', 3512037248, 3512037311, 'AU', 'Australia'),
(147008, '209.85.111.192', '209.85.117.207', 3512037312, 3512038863, 'US', 'United States'),
(147009, '209.85.117.208', '209.85.117.223', 3512038864, 3512038879, 'CA', 'Canada'),
(147010, '209.85.117.224', '209.85.122.207', 3512038880, 3512040143, 'US', 'United States'),
(147011, '209.85.122.208', '209.85.122.223', 3512040144, 3512040159, 'CA', 'Canada'),
(147012, '209.85.122.224', '209.85.135.255', 3512040160, 3512043519, 'US', 'United States'),
(147013, '209.85.136.0', '209.85.136.255', 3512043520, 3512043775, 'FI', 'Finland'),
(147014, '209.85.137.0', '209.85.141.255', 3512043776, 3512045055, 'US', 'United States'),
(147015, '209.85.142.0', '209.85.142.255', 3512045056, 3512045311, 'IE', 'Ireland'),
(147016, '209.85.143.0', '209.85.171.255', 3512045312, 3512052735, 'US', 'United States'),
(147017, '209.85.172.0', '209.85.172.255', 3512052736, 3512052991, 'FI', 'Finland'),
(147018, '209.85.173.0', '209.85.173.255', 3512052992, 3512053247, 'US', 'United States'),
(147019, '209.85.174.0', '209.85.174.255', 3512053248, 3512053503, 'MY', 'Malaysia'),
(147020, '209.85.175.0', '209.85.225.255', 3512053504, 3512066559, 'US', 'United States'),
(147021, '209.85.226.0', '209.85.226.255', 3512066560, 3512066815, 'BE', 'Belgium'),
(147022, '209.85.227.0', '209.85.227.255', 3512066816, 3512067071, 'US', 'United States'),
(147023, '209.85.228.0', '209.85.228.255', 3512067072, 3512067327, 'BE', 'Belgium'),
(147024, '209.85.229.0', '209.86.255.255', 3512067328, 3512139775, 'US', 'United States'),
(147025, '209.87.0.0', '209.87.63.255', 3512139776, 3512156159, 'CA', 'Canada'),
(147026, '209.87.64.0', '209.87.127.255', 3512156160, 3512172543, 'US', 'United States'),
(147027, '209.87.128.0', '209.87.143.255', 3512172544, 3512176639, 'CA', 'Canada'),
(147028, '209.87.144.0', '209.87.223.255', 3512176640, 3512197119, 'US', 'United States'),
(147029, '209.87.224.0', '209.87.255.255', 3512197120, 3512205311, 'CA', 'Canada'),
(147030, '209.88.0.0', '209.88.0.255', 3512205312, 3512205567, 'US', 'United States'),
(147031, '209.88.1.0', '209.88.1.255', 3512205568, 3512205823, 'CL', 'Chile'),
(147032, '209.88.2.0', '209.88.2.255', 3512205824, 3512206079, 'AW', 'Aruba'),
(147033, '209.88.3.0', '209.88.3.255', 3512206080, 3512206335, 'CL', 'Chile'),
(147034, '209.88.4.0', '209.88.6.255', 3512206336, 3512207103, 'HN', 'Honduras'),
(147035, '209.88.7.0', '209.88.7.127', 3512207104, 3512207231, 'NI', 'Nicaragua'),
(147036, '209.88.7.128', '209.88.7.255', 3512207232, 3512207359, 'US', 'United States'),
(147037, '209.88.8.0', '209.88.15.255', 3512207360, 3512209407, 'CO', 'Colombia'),
(147038, '209.88.16.0', '209.88.21.255', 3512209408, 3512210943, 'US', 'United States'),
(147039, '209.88.22.0', '209.88.22.255', 3512210944, 3512211199, 'CL', 'Chile'),
(147040, '209.88.23.0', '209.88.23.255', 3512211200, 3512211455, 'AR', 'Argentina'),
(147041, '209.88.24.0', '209.88.62.255', 3512211456, 3512221439, 'US', 'United States'),
(147042, '209.88.63.0', '209.88.63.31', 3512221440, 3512221471, 'CO', 'Colombia'),
(147043, '209.88.63.32', '209.88.63.255', 3512221472, 3512221695, 'US', 'United States'),
(147044, '209.88.64.0', '209.88.64.63', 3512221696, 3512221759, 'AG', 'Antigua and Barbuda'),
(147045, '209.88.64.64', '209.88.64.95', 3512221760, 3512221791, 'GP', 'Guadeloupe'),
(147046, '209.88.64.96', '209.88.64.255', 3512221792, 3512221951, 'AG', 'Antigua and Barbuda'),
(147047, '209.88.65.0', '209.88.65.255', 3512221952, 3512222207, 'VG', 'Virgin Islands, British'),
(147048, '209.88.66.0', '209.88.66.31', 3512222208, 3512222239, 'AG', 'Antigua and Barbuda'),
(147049, '209.88.66.32', '209.88.66.63', 3512222240, 3512222271, 'VG', 'Virgin Islands, British'),
(147050, '209.88.66.64', '209.88.66.127', 3512222272, 3512222335, 'KN', 'Saint Kitts and Nevis'),
(147051, '209.88.66.128', '209.88.66.255', 3512222336, 3512222463, 'AG', 'Antigua and Barbuda'),
(147052, '209.88.67.0', '209.88.68.255', 3512222464, 3512222975, 'AI', 'Anguilla'),
(147053, '209.88.69.0', '209.88.71.255', 3512222976, 3512223743, 'AG', 'Antigua and Barbuda'),
(147054, '209.88.72.0', '209.88.79.255', 3512223744, 3512225791, 'ZA', 'South Africa'),
(147055, '209.88.80.0', '209.88.87.255', 3512225792, 3512227839, 'PR', 'Puerto Rico'),
(147056, '209.88.88.0', '209.88.95.255', 3512227840, 3512229887, 'ZW', 'Zimbabwe'),
(147057, '209.88.96.0', '209.88.96.255', 3512229888, 3512230143, 'VE', 'Venezuela'),
(147058, '209.88.97.0', '209.88.97.127', 3512230144, 3512230271, 'US', 'United States'),
(147059, '209.88.97.128', '209.88.97.143', 3512230272, 3512230287, 'CA', 'Canada'),
(147060, '209.88.97.144', '209.88.97.255', 3512230288, 3512230399, 'US', 'United States'),
(147061, '209.88.98.0', '209.88.98.31', 3512230400, 3512230431, 'CO', 'Colombia'),
(147062, '209.88.98.32', '209.88.99.255', 3512230432, 3512230911, 'US', 'United States'),
(147063, '209.88.100.0', '209.88.100.255', 3512230912, 3512231167, 'CL', 'Chile'),
(147064, '209.88.101.0', '209.88.101.31', 3512231168, 3512231199, 'VE', 'Venezuela'),
(147065, '209.88.101.32', '209.88.101.127', 3512231200, 3512231295, 'US', 'United States'),
(147066, '209.88.101.128', '209.88.101.255', 3512231296, 3512231423, 'VE', 'Venezuela'),
(147067, '209.88.102.0', '209.88.102.255', 3512231424, 3512231679, 'CL', 'Chile'),
(147068, '209.88.103.0', '209.88.103.255', 3512231680, 3512231935, 'VE', 'Venezuela'),
(147069, '209.88.104.0', '209.88.104.31', 3512231936, 3512231967, 'CO', 'Colombia'),
(147070, '209.88.104.32', '209.88.104.127', 3512231968, 3512232063, 'US', 'United States'),
(147071, '209.88.104.128', '209.88.104.191', 3512232064, 3512232127, 'CO', 'Colombia'),
(147072, '209.88.104.192', '209.88.104.255', 3512232128, 3512232191, 'US', 'United States'),
(147073, '209.88.105.0', '209.88.105.31', 3512232192, 3512232223, 'CO', 'Colombia'),
(147074, '209.88.105.32', '209.88.105.127', 3512232224, 3512232319, 'US', 'United States'),
(147075, '209.88.105.128', '209.88.105.159', 3512232320, 3512232351, 'CO', 'Colombia'),
(147076, '209.88.105.160', '209.88.108.255', 3512232352, 3512233215, 'US', 'United States'),
(147077, '209.88.109.0', '209.88.109.255', 3512233216, 3512233471, 'CL', 'Chile'),
(147078, '209.88.110.0', '209.88.110.31', 3512233472, 3512233503, 'VE', 'Venezuela'),
(147079, '209.88.110.32', '209.88.110.127', 3512233504, 3512233599, 'US', 'United States'),
(147080, '209.88.110.128', '209.88.110.159', 3512233600, 3512233631, 'CO', 'Colombia'),
(147081, '209.88.110.160', '209.88.110.255', 3512233632, 3512233727, 'US', 'United States'),
(147082, '209.88.111.0', '209.88.111.255', 3512233728, 3512233983, 'HN', 'Honduras'),
(147083, '209.88.112.0', '209.88.119.255', 3512233984, 3512236031, 'ZA', 'South Africa'),
(147084, '209.88.120.0', '209.88.120.255', 3512236032, 3512236287, 'US', 'United States'),
(147085, '209.88.121.0', '209.88.124.255', 3512236288, 3512237311, 'MR', 'Mauritania'),
(147086, '209.88.125.0', '209.88.126.255', 3512237312, 3512237823, 'US', 'United States'),
(147087, '209.88.127.0', '209.88.127.255', 3512237824, 3512238079, 'HN', 'Honduras'),
(147088, '209.88.128.0', '209.88.135.255', 3512238080, 3512240127, 'AW', 'Aruba'),
(147089, '209.88.136.0', '209.88.141.255', 3512240128, 3512241663, 'BS', 'Bahamas'),
(147090, '209.88.142.0', '209.88.143.255', 3512241664, 3512242175, 'CO', 'Colombia'),
(147091, '209.88.144.0', '209.88.144.255', 3512242176, 3512242431, 'CL', 'Chile'),
(147092, '209.88.145.0', '209.88.145.255', 3512242432, 3512242687, 'VE', 'Venezuela'),
(147093, '209.88.146.0', '209.88.154.255', 3512242688, 3512244991, 'EG', 'Egypt'),
(147094, '209.88.155.0', '209.88.158.255', 3512244992, 3512246015, 'IL', 'Israel'),
(147095, '209.88.159.0', '209.88.161.255', 3512246016, 3512246783, 'CL', 'Chile'),
(147096, '209.88.162.0', '209.88.162.255', 3512246784, 3512247039, 'US', 'United States'),
(147097, '209.88.163.0', '209.88.163.255', 3512247040, 3512247295, 'NG', 'Nigeria'),
(147098, '209.88.164.0', '209.88.167.255', 3512247296, 3512248319, 'US', 'United States'),
(147099, '209.88.168.0', '209.88.170.31', 3512248320, 3512248863, 'CO', 'Colombia'),
(147100, '209.88.170.32', '209.88.170.95', 3512248864, 3512248927, 'US', 'United States'),
(147101, '209.88.170.96', '209.88.170.127', 3512248928, 3512248959, 'CO', 'Colombia'),
(147102, '209.88.170.128', '209.88.170.191', 3512248960, 3512249023, 'US', 'United States'),
(147103, '209.88.170.192', '209.88.170.223', 3512249024, 3512249055, 'CO', 'Colombia'),
(147104, '209.88.170.224', '209.88.170.255', 3512249056, 3512249087, 'US', 'United States'),
(147105, '209.88.171.0', '209.88.171.255', 3512249088, 3512249343, 'CO', 'Colombia'),
(147106, '209.88.172.0', '209.88.199.255', 3512249344, 3512256511, 'IL', 'Israel'),
(147107, '209.88.200.0', '209.88.207.255', 3512256512, 3512258559, 'CL', 'Chile'),
(147108, '209.88.208.0', '209.88.215.255', 3512258560, 3512260607, 'US', 'United States'),
(147109, '209.88.216.0', '209.88.219.255', 3512260608, 3512261631, 'GU', 'Guam'),
(147110, '209.88.220.0', '209.88.223.255', 3512261632, 3512262655, 'US', 'United States'),
(147111, '209.88.224.0', '209.88.227.255', 3512262656, 3512263679, 'GT', 'Guatemala'),
(147112, '209.88.228.0', '209.88.231.255', 3512263680, 3512264703, 'VE', 'Venezuela'),
(147113, '209.88.232.0', '209.88.241.255', 3512264704, 3512267263, 'US', 'United States'),
(147114, '209.88.242.0', '209.88.244.255', 3512267264, 3512268031, 'TG', 'Togo'),
(147115, '209.88.245.0', '209.88.246.255', 3512268032, 3512268543, 'US', 'United States'),
(147116, '209.88.247.0', '209.88.247.255', 3512268544, 3512268799, 'PR', 'Puerto Rico'),
(147117, '209.88.248.0', '209.88.248.255', 3512268800, 3512269055, 'US', 'United States'),
(147118, '209.88.249.0', '209.88.249.255', 3512269056, 3512269311, 'PR', 'Puerto Rico'),
(147119, '209.88.250.0', '209.88.250.255', 3512269312, 3512269567, 'US', 'United States'),
(147120, '209.88.251.0', '209.88.251.255', 3512269568, 3512269823, 'HN', 'Honduras'),
(147121, '209.88.252.0', '209.88.255.255', 3512269824, 3512270847, 'US', 'United States'),
(147122, '209.89.0.0', '209.89.255.255', 3512270848, 3512336383, 'CA', 'Canada'),
(147123, '209.90.0.0', '209.90.127.255', 3512336384, 3512369151, 'US', 'United States'),
(147124, '209.90.128.0', '209.90.136.143', 3512369152, 3512371343, 'CA', 'Canada'),
(147125, '209.90.136.144', '209.90.136.151', 3512371344, 3512371351, 'US', 'United States'),
(147126, '209.90.136.152', '209.90.159.143', 3512371352, 3512377231, 'CA', 'Canada'),
(147127, '209.90.159.144', '209.90.159.151', 3512377232, 3512377239, 'US', 'United States'),
(147128, '209.90.159.152', '209.90.164.67', 3512377240, 3512378435, 'CA', 'Canada'),
(147129, '209.90.164.68', '209.90.164.68', 3512378436, 3512378436, 'US', 'United States'),
(147130, '209.90.164.69', '209.90.166.103', 3512378437, 3512378983, 'CA', 'Canada'),
(147131, '209.90.166.104', '209.90.166.111', 3512378984, 3512378991, 'US', 'United States'),
(147132, '209.90.166.112', '209.90.175.127', 3512378992, 3512381311, 'CA', 'Canada'),
(147133, '209.90.175.128', '209.90.175.135', 3512381312, 3512381319, 'US', 'United States'),
(147134, '209.90.175.136', '209.90.176.143', 3512381320, 3512381583, 'CA', 'Canada'),
(147135, '209.90.176.144', '209.90.176.151', 3512381584, 3512381591, 'US', 'United States'),
(147136, '209.90.176.152', '209.90.191.255', 3512381592, 3512385535, 'CA', 'Canada'),
(147137, '209.90.192.0', '209.90.239.255', 3512385536, 3512397823, 'US', 'United States'),
(147138, '209.90.240.0', '209.90.246.15', 3512397824, 3512399375, 'CA', 'Canada'),
(147139, '209.90.246.16', '209.90.246.23', 3512399376, 3512399383, 'US', 'United States'),
(147140, '209.90.246.24', '209.90.255.255', 3512399384, 3512401919, 'CA', 'Canada'),
(147141, '209.91.0.0', '209.91.63.255', 3512401920, 3512418303, 'US', 'United States'),
(147142, '209.91.64.0', '209.91.191.255', 3512418304, 3512451071, 'CA', 'Canada'),
(147143, '209.91.192.0', '209.91.255.255', 3512451072, 3512467455, 'PR', 'Puerto Rico'),
(147144, '209.92.0.0', '209.93.3.255', 3512467456, 3512534015, 'US', 'United States'),
(147145, '209.93.4.0', '209.93.4.63', 3512534016, 3512534079, 'BR', 'Brazil'),
(147146, '209.93.4.64', '209.93.10.127', 3512534080, 3512535679, 'US', 'United States'),
(147147, '209.93.10.128', '209.93.10.191', 3512535680, 3512535743, 'CA', 'Canada'),
(147148, '209.93.10.192', '209.93.11.127', 3512535744, 3512535935, 'US', 'United States'),
(147149, '209.93.11.128', '209.93.11.255', 3512535936, 3512536063, 'DE', 'Germany'),
(147150, '209.93.12.0', '209.93.12.127', 3512536064, 3512536191, 'US', 'United States'),
(147151, '209.93.12.128', '209.93.12.255', 3512536192, 3512536319, 'HK', 'Hong Kong'),
(147152, '209.93.13.0', '209.93.13.63', 3512536320, 3512536383, 'CO', 'Colombia'),
(147153, '209.93.13.64', '209.93.13.127', 3512536384, 3512536447, 'US', 'United States'),
(147154, '209.93.13.128', '209.93.13.191', 3512536448, 3512536511, 'ES', 'Spain'),
(147155, '209.93.13.192', '209.93.13.255', 3512536512, 3512536575, 'US', 'United States'),
(147156, '209.93.14.0', '209.93.14.127', 3512536576, 3512536703, 'MX', 'Mexico'),
(147157, '209.93.14.128', '209.93.15.255', 3512536704, 3512537087, 'US', 'United States'),
(147158, '209.93.16.0', '209.93.16.63', 3512537088, 3512537151, 'CL', 'Chile'),
(147159, '209.93.16.64', '209.93.16.127', 3512537152, 3512537215, 'DK', 'Denmark'),
(147160, '209.93.16.128', '209.93.17.255', 3512537216, 3512537599, 'US', 'United States'),
(147161, '209.93.18.0', '209.93.18.255', 3512537600, 3512537855, 'CA', 'Canada'),
(147162, '209.93.19.0', '209.93.19.127', 3512537856, 3512537983, 'US', 'United States'),
(147163, '209.93.19.128', '209.93.19.255', 3512537984, 3512538111, 'BR', 'Brazil'),
(147164, '209.93.20.0', '209.93.21.127', 3512538112, 3512538495, 'US', 'United States'),
(147165, '209.93.21.128', '209.93.21.255', 3512538496, 3512538623, 'VE', 'Venezuela'),
(147166, '209.93.22.0', '209.93.23.127', 3512538624, 3512539007, 'US', 'United States'),
(147167, '209.93.23.128', '209.93.23.255', 3512539008, 3512539135, 'ID', 'Indonesia'),
(147168, '209.93.24.0', '209.93.24.191', 3512539136, 3512539327, 'US', 'United States'),
(147169, '209.93.24.192', '209.93.24.255', 3512539328, 3512539391, 'CO', 'Colombia'),
(147170, '209.93.25.0', '209.93.26.255', 3512539392, 3512539903, 'US', 'United States'),
(147171, '209.93.27.0', '209.93.27.127', 3512539904, 3512540031, 'MX', 'Mexico'),
(147172, '209.93.27.128', '209.93.28.127', 3512540032, 3512540287, 'US', 'United States'),
(147173, '209.93.28.128', '209.93.28.135', 3512540288, 3512540295, 'TH', 'Thailand'),
(147174, '209.93.28.136', '209.93.28.191', 3512540296, 3512540351, 'US', 'United States'),
(147175, '209.93.28.192', '209.93.28.255', 3512540352, 3512540415, 'CO', 'Colombia'),
(147176, '209.93.29.0', '209.93.31.127', 3512540416, 3512541055, 'US', 'United States'),
(147177, '209.93.31.128', '209.93.31.191', 3512541056, 3512541119, 'CO', 'Colombia'),
(147178, '209.93.31.192', '209.93.32.47', 3512541120, 3512541231, 'US', 'United States'),
(147179, '209.93.32.48', '209.93.32.63', 3512541232, 3512541247, 'SE', 'Sweden'),
(147180, '209.93.32.64', '209.93.32.95', 3512541248, 3512541279, 'US', 'United States'),
(147181, '209.93.32.96', '209.93.32.111', 3512541280, 3512541295, 'IT', 'Italy'),
(147182, '209.93.32.112', '209.93.32.255', 3512541296, 3512541439, 'US', 'United States'),
(147183, '209.93.33.0', '209.93.33.143', 3512541440, 3512541583, 'IT', 'Italy'),
(147184, '209.93.33.144', '209.93.33.159', 3512541584, 3512541599, 'US', 'United States'),
(147185, '209.93.33.160', '209.93.33.175', 3512541600, 3512541615, 'IT', 'Italy'),
(147186, '209.93.33.176', '209.93.33.191', 3512541616, 3512541631, 'US', 'United States'),
(147187, '209.93.33.192', '209.93.33.255', 3512541632, 3512541695, 'IT', 'Italy'),
(147188, '209.93.34.0', '209.93.34.225', 3512541696, 3512541921, 'NO', 'Norway'),
(147189, '209.93.34.226', '209.93.35.255', 3512541922, 3512542207, 'US', 'United States'),
(147190, '209.93.36.0', '209.93.36.31', 3512542208, 3512542239, 'SE', 'Sweden'),
(147191, '209.93.36.32', '209.93.37.255', 3512542240, 3512542719, 'US', 'United States'),
(147192, '209.93.38.0', '209.93.38.31', 3512542720, 3512542751, 'DE', 'Germany'),
(147193, '209.93.38.32', '209.93.38.255', 3512542752, 3512542975, 'US', 'United States'),
(147194, '209.93.39.0', '209.93.39.47', 3512542976, 3512543023, 'IL', 'Israel'),
(147195, '209.93.39.48', '209.93.41.255', 3512543024, 3512543743, 'US', 'United States'),
(147196, '209.93.42.0', '209.93.42.159', 3512543744, 3512543903, 'FI', 'Finland'),
(147197, '209.93.42.160', '209.93.42.255', 3512543904, 3512543999, 'US', 'United States'),
(147198, '209.93.43.0', '209.93.43.63', 3512544000, 3512544063, 'DE', 'Germany'),
(147199, '209.93.43.64', '209.93.43.71', 3512544064, 3512544071, 'ID', 'Indonesia'),
(147200, '209.93.43.72', '209.93.43.79', 3512544072, 3512544079, 'TW', 'Taiwan'),
(147201, '209.93.43.80', '209.93.43.87', 3512544080, 3512544087, 'MY', 'Malaysia'),
(147202, '209.93.43.88', '209.93.43.95', 3512544088, 3512544095, 'US', 'United States'),
(147203, '209.93.43.96', '209.93.43.103', 3512544096, 3512544103, 'HK', 'Hong Kong'),
(147204, '209.93.43.104', '209.93.43.111', 3512544104, 3512544111, 'JP', 'Japan'),
(147205, '209.93.43.112', '209.93.43.255', 3512544112, 3512544255, 'US', 'United States'),
(147206, '209.93.44.0', '209.93.44.79', 3512544256, 3512544335, 'GB', 'United Kingdom'),
(147207, '209.93.44.80', '209.93.44.127', 3512544336, 3512544383, 'US', 'United States'),
(147208, '209.93.44.128', '209.93.44.191', 3512544384, 3512544447, 'GB', 'United Kingdom'),
(147209, '209.93.44.192', '209.93.44.255', 3512544448, 3512544511, 'US', 'United States'),
(147210, '209.93.45.0', '209.93.45.15', 3512544512, 3512544527, 'DE', 'Germany'),
(147211, '209.93.45.16', '209.93.45.63', 3512544528, 3512544575, 'US', 'United States'),
(147212, '209.93.45.64', '209.93.45.127', 3512544576, 3512544639, 'DE', 'Germany'),
(147213, '209.93.45.128', '209.93.45.255', 3512544640, 3512544767, 'US', 'United States'),
(147214, '209.93.46.0', '209.93.46.31', 3512544768, 3512544799, 'NO', 'Norway'),
(147215, '209.93.46.32', '209.93.46.63', 3512544800, 3512544831, 'US', 'United States'),
(147216, '209.93.46.64', '209.93.46.143', 3512544832, 3512544911, 'NO', 'Norway'),
(147217, '209.93.46.144', '209.93.46.255', 3512544912, 3512545023, 'US', 'United States'),
(147218, '209.93.47.0', '209.93.47.127', 3512545024, 3512545151, 'TW', 'Taiwan'),
(147219, '209.93.47.128', '209.93.48.127', 3512545152, 3512545407, 'US', 'United States'),
(147220, '209.93.48.128', '209.93.48.159', 3512545408, 3512545439, 'GB', 'United Kingdom'),
(147221, '209.93.48.160', '209.93.48.191', 3512545440, 3512545471, 'US', 'United States'),
(147222, '209.93.48.192', '209.93.49.127', 3512545472, 3512545663, 'GB', 'United Kingdom'),
(147223, '209.93.49.128', '209.93.49.223', 3512545664, 3512545759, 'US', 'United States'),
(147224, '209.93.49.224', '209.93.49.255', 3512545760, 3512545791, 'GB', 'United Kingdom'),
(147225, '209.93.50.0', '209.93.50.143', 3512545792, 3512545935, 'IT', 'Italy'),
(147226, '209.93.50.144', '209.93.50.191', 3512545936, 3512545983, 'US', 'United States'),
(147227, '209.93.50.192', '209.93.50.255', 3512545984, 3512546047, 'IT', 'Italy'),
(147228, '209.93.51.0', '209.93.51.127', 3512546048, 3512546175, 'GB', 'United Kingdom'),
(147229, '209.93.51.128', '209.93.51.255', 3512546176, 3512546303, 'US', 'United States'),
(147230, '209.93.52.0', '209.93.52.159', 3512546304, 3512546463, 'FR', 'France'),
(147231, '209.93.52.160', '209.93.52.255', 3512546464, 3512546559, 'US', 'United States'),
(147232, '209.93.53.0', '209.93.53.31', 3512546560, 3512546591, 'IT', 'Italy'),
(147233, '209.93.53.32', '209.93.53.47', 3512546592, 3512546607, 'SG', 'Singapore'),
(147234, '209.93.53.48', '209.93.53.63', 3512546608, 3512546623, 'JP', 'Japan'),
(147235, '209.93.53.64', '209.93.53.71', 3512546624, 3512546631, 'KR', 'Korea, Republic of'),
(147236, '209.93.53.72', '209.93.53.127', 3512546632, 3512546687, 'US', 'United States'),
(147237, '209.93.53.128', '209.93.53.255', 3512546688, 3512546815, 'BE', 'Belgium'),
(147238, '209.93.54.0', '209.93.54.63', 3512546816, 3512546879, 'DE', 'Germany'),
(147239, '209.93.54.64', '209.93.54.127', 3512546880, 3512546943, 'US', 'United States'),
(147240, '209.93.54.128', '209.93.54.255', 3512546944, 3512547071, 'DE', 'Germany'),
(147241, '209.93.55.0', '209.93.55.31', 3512547072, 3512547103, 'LU', 'Luxembourg'),
(147242, '209.93.55.32', '209.93.55.159', 3512547104, 3512547231, 'BE', 'Belgium'),
(147243, '209.93.55.160', '209.93.55.191', 3512547232, 3512547263, 'US', 'United States'),
(147244, '209.93.55.192', '209.93.55.255', 3512547264, 3512547327, 'ES', 'Spain'),
(147245, '209.93.56.0', '209.93.56.31', 3512547328, 3512547359, 'SE', 'Sweden'),
(147246, '209.93.56.32', '209.93.56.63', 3512547360, 3512547391, 'US', 'United States'),
(147247, '209.93.56.64', '209.93.56.127', 3512547392, 3512547455, 'ZA', 'South Africa'),
(147248, '209.93.56.128', '209.93.57.255', 3512547456, 3512547839, 'US', 'United States'),
(147249, '209.93.58.0', '209.93.58.31', 3512547840, 3512547871, 'PT', 'Portugal'),
(147250, '209.93.58.32', '209.93.58.255', 3512547872, 3512548095, 'US', 'United States'),
(147251, '209.93.59.0', '209.93.59.47', 3512548096, 3512548143, 'CH', 'Switzerland'),
(147252, '209.93.59.48', '209.93.61.63', 3512548144, 3512548671, 'US', 'United States'),
(147253, '209.93.61.64', '209.93.61.95', 3512548672, 3512548703, 'NL', 'Netherlands'),
(147254, '209.93.61.96', '209.93.61.127', 3512548704, 3512548735, 'US', 'United States'),
(147255, '209.93.61.128', '209.93.61.255', 3512548736, 3512548863, 'NL', 'Netherlands'),
(147256, '209.93.62.0', '209.93.62.127', 3512548864, 3512548991, 'CH', 'Switzerland'),
(147257, '209.93.62.128', '209.93.62.223', 3512548992, 3512549087, 'US', 'United States'),
(147258, '209.93.62.224', '209.93.62.255', 3512549088, 3512549119, 'GR', 'Greece'),
(147259, '209.93.63.0', '209.93.63.127', 3512549120, 3512549247, 'FR', 'France'),
(147260, '209.93.63.128', '209.93.63.191', 3512549248, 3512549311, 'US', 'United States'),
(147261, '209.93.63.192', '209.93.63.255', 3512549312, 3512549375, 'FR', 'France'),
(147262, '209.93.64.0', '209.93.64.191', 3512549376, 3512549567, 'US', 'United States'),
(147263, '209.93.64.192', '209.93.64.255', 3512549568, 3512549631, 'BE', 'Belgium'),
(147264, '209.93.65.0', '209.93.65.63', 3512549632, 3512549695, 'DE', 'Germany'),
(147265, '209.93.65.64', '209.93.65.95', 3512549696, 3512549727, 'TW', 'Taiwan'),
(147266, '209.93.65.96', '209.93.65.127', 3512549728, 3512549759, 'US', 'United States'),
(147267, '209.93.65.128', '209.93.65.255', 3512549760, 3512549887, 'TH', 'Thailand'),
(147268, '209.93.66.0', '209.93.66.127', 3512549888, 3512550015, 'US', 'United States'),
(147269, '209.93.66.128', '209.93.66.143', 3512550016, 3512550031, 'DE', 'Germany'),
(147270, '209.93.66.144', '209.93.66.255', 3512550032, 3512550143, 'US', 'United States'),
(147271, '209.93.67.0', '209.93.67.31', 3512550144, 3512550175, 'AT', 'Austria'),
(147272, '209.93.67.32', '209.93.67.111', 3512550176, 3512550255, 'US', 'United States'),
(147273, '209.93.67.112', '209.93.67.127', 3512550256, 3512550271, 'AT', 'Austria'),
(147274, '209.93.67.128', '209.93.67.255', 3512550272, 3512550399, 'US', 'United States'),
(147275, '209.93.68.0', '209.93.68.15', 3512550400, 3512550415, 'CH', 'Switzerland'),
(147276, '209.93.68.16', '209.93.69.255', 3512550416, 3512550911, 'US', 'United States'),
(147277, '209.93.70.0', '209.93.70.255', 3512550912, 3512551167, 'GB', 'United Kingdom'),
(147278, '209.93.71.0', '209.93.71.255', 3512551168, 3512551423, 'DE', 'Germany'),
(147279, '209.93.72.0', '209.93.72.127', 3512551424, 3512551551, 'IL', 'Israel'),
(147280, '209.93.72.128', '209.93.74.255', 3512551552, 3512552191, 'US', 'United States'),
(147281, '209.93.75.0', '209.93.75.255', 3512552192, 3512552447, 'NL', 'Netherlands'),
(147282, '209.93.76.0', '209.93.76.111', 3512552448, 3512552559, 'US', 'United States'),
(147283, '209.93.76.112', '209.93.76.255', 3512552560, 3512552703, 'DE', 'Germany'),
(147284, '209.93.77.0', '209.93.77.255', 3512552704, 3512552959, 'US', 'United States'),
(147285, '209.93.78.0', '209.93.78.151', 3512552960, 3512553111, 'GR', 'Greece'),
(147286, '209.93.78.152', '209.93.79.255', 3512553112, 3512553471, 'US', 'United States'),
(147287, '209.93.80.0', '209.93.80.191', 3512553472, 3512553663, 'AT', 'Austria'),
(147288, '209.93.80.192', '209.93.80.255', 3512553664, 3512553727, 'US', 'United States'),
(147289, '209.93.81.0', '209.93.81.127', 3512553728, 3512553855, 'CH', 'Switzerland'),
(147290, '209.93.81.128', '209.93.81.255', 3512553856, 3512553983, 'US', 'United States'),
(147291, '209.93.82.0', '209.93.84.255', 3512553984, 3512554751, 'GB', 'United Kingdom'),
(147292, '209.93.85.0', '209.93.85.15', 3512554752, 3512554767, 'DK', 'Denmark'),
(147293, '209.93.85.16', '209.93.88.255', 3512554768, 3512555775, 'US', 'United States'),
(147294, '209.93.89.0', '209.93.90.255', 3512555776, 3512556287, 'IE', 'Ireland'),
(147295, '209.93.91.0', '209.93.91.127', 3512556288, 3512556415, 'SE', 'Sweden'),
(147296, '209.93.91.128', '209.93.91.191', 3512556416, 3512556479, 'DE', 'Germany'),
(147297, '209.93.91.192', '209.93.91.255', 3512556480, 3512556543, 'US', 'United States'),
(147298, '209.93.92.0', '209.93.92.255', 3512556544, 3512556799, 'FR', 'France'),
(147299, '209.93.93.0', '209.93.93.31', 3512556800, 3512556831, 'US', 'United States'),
(147300, '209.93.93.32', '209.93.93.47', 3512556832, 3512556847, 'BE', 'Belgium'),
(147301, '209.93.93.48', '209.93.93.63', 3512556848, 3512556863, 'US', 'United States'),
(147302, '209.93.93.64', '209.93.93.127', 3512556864, 3512556927, 'BE', 'Belgium'),
(147303, '209.93.93.128', '209.93.93.255', 3512556928, 3512557055, 'US', 'United States'),
(147304, '209.93.94.0', '209.93.94.255', 3512557056, 3512557311, 'DE', 'Germany'),
(147305, '209.93.95.0', '209.93.95.255', 3512557312, 3512557567, 'GB', 'United Kingdom'),
(147306, '209.93.96.0', '209.93.97.87', 3512557568, 3512557911, 'US', 'United States'),
(147307, '209.93.97.88', '209.93.97.95', 3512557912, 3512557919, 'JP', 'Japan'),
(147308, '209.93.97.96', '209.93.97.127', 3512557920, 3512557951, 'US', 'United States'),
(147309, '209.93.97.128', '209.93.97.191', 3512557952, 3512558015, 'ID', 'Indonesia'),
(147310, '209.93.97.192', '209.93.97.255', 3512558016, 3512558079, 'HK', 'Hong Kong'),
(147311, '209.93.98.0', '209.93.99.255', 3512558080, 3512558591, 'US', 'United States'),
(147312, '209.93.100.0', '209.93.100.127', 3512558592, 3512558719, 'JP', 'Japan'),
(147313, '209.93.100.128', '209.93.100.191', 3512558720, 3512558783, 'MY', 'Malaysia'),
(147314, '209.93.100.192', '209.93.100.255', 3512558784, 3512558847, 'US', 'United States'),
(147315, '209.93.101.0', '209.93.101.63', 3512558848, 3512558911, 'JP', 'Japan'),
(147316, '209.93.101.64', '209.93.101.111', 3512558912, 3512558959, 'SG', 'Singapore'),
(147317, '209.93.101.112', '209.93.101.127', 3512558960, 3512558975, 'US', 'United States'),
(147318, '209.93.101.128', '209.93.101.191', 3512558976, 3512559039, 'JP', 'Japan'),
(147319, '209.93.101.192', '209.93.101.223', 3512559040, 3512559071, 'AU', 'Australia'),
(147320, '209.93.101.224', '209.93.101.255', 3512559072, 3512559103, 'US', 'United States'),
(147321, '209.93.102.0', '209.93.102.31', 3512559104, 3512559135, 'SG', 'Singapore'),
(147322, '209.93.102.32', '209.93.102.127', 3512559136, 3512559231, 'US', 'United States'),
(147323, '209.93.102.128', '209.93.102.255', 3512559232, 3512559359, 'ID', 'Indonesia'),
(147324, '209.93.103.0', '209.93.105.255', 3512559360, 3512560127, 'US', 'United States'),
(147325, '209.93.106.0', '209.93.106.129', 3512560128, 3512560257, 'TH', 'Thailand'),
(147326, '209.93.106.130', '209.93.106.255', 3512560258, 3512560383, 'US', 'United States'),
(147327, '209.93.107.0', '209.93.107.127', 3512560384, 3512560511, 'JP', 'Japan'),
(147328, '209.93.107.128', '209.93.109.255', 3512560512, 3512561151, 'US', 'United States'),
(147329, '209.93.110.0', '209.93.110.127', 3512561152, 3512561279, 'CN', 'China'),
(147330, '209.93.110.128', '209.93.110.255', 3512561280, 3512561407, 'US', 'United States'),
(147331, '209.93.111.0', '209.93.111.127', 3512561408, 3512561535, 'HK', 'Hong Kong'),
(147332, '209.93.111.128', '209.93.111.255', 3512561536, 3512561663, 'US', 'United States'),
(147333, '209.93.112.0', '209.93.112.63', 3512561664, 3512561727, 'AU', 'Australia'),
(147334, '209.93.112.64', '209.93.112.127', 3512561728, 3512561791, 'JP', 'Japan'),
(147335, '209.93.112.128', '209.93.112.255', 3512561792, 3512561919, 'CN', 'China'),
(147336, '209.93.113.0', '209.93.113.255', 3512561920, 3512562175, 'JP', 'Japan'),
(147337, '209.93.114.0', '209.93.114.63', 3512562176, 3512562239, 'CH', 'Switzerland'),
(147338, '209.93.114.64', '209.93.114.95', 3512562240, 3512562271, 'HK', 'Hong Kong'),
(147339, '209.93.114.96', '209.93.114.127', 3512562272, 3512562303, 'US', 'United States'),
(147340, '209.93.114.128', '209.93.114.191', 3512562304, 3512562367, 'CN', 'China'),
(147341, '209.93.114.192', '209.93.114.255', 3512562368, 3512562431, 'HK', 'Hong Kong'),
(147342, '209.93.115.0', '209.93.115.31', 3512562432, 3512562463, 'TH', 'Thailand'),
(147343, '209.93.115.32', '209.93.115.111', 3512562464, 3512562543, 'US', 'United States'),
(147344, '209.93.115.112', '209.93.115.127', 3512562544, 3512562559, 'TH', 'Thailand'),
(147345, '209.93.115.128', '209.93.116.255', 3512562560, 3512562943, 'US', 'United States'),
(147346, '209.93.117.0', '209.93.117.127', 3512562944, 3512563071, 'PH', 'Philippines'),
(147347, '209.93.117.128', '209.93.117.191', 3512563072, 3512563135, 'US', 'United States'),
(147348, '209.93.117.192', '209.93.117.255', 3512563136, 3512563199, 'SG', 'Singapore'),
(147349, '209.93.118.0', '209.93.118.191', 3512563200, 3512563391, 'US', 'United States'),
(147350, '209.93.118.192', '209.93.118.255', 3512563392, 3512563455, 'ID', 'Indonesia'),
(147351, '209.93.119.0', '209.93.119.255', 3512563456, 3512563711, 'US', 'United States'),
(147352, '209.93.120.0', '209.93.120.15', 3512563712, 3512563727, 'MY', 'Malaysia'),
(147353, '209.93.120.16', '209.93.120.31', 3512563728, 3512563743, 'US', 'United States'),
(147354, '209.93.120.32', '209.93.120.63', 3512563744, 3512563775, 'AU', 'Australia'),
(147355, '209.93.120.64', '209.93.120.95', 3512563776, 3512563807, 'JP', 'Japan'),
(147356, '209.93.120.96', '209.93.120.255', 3512563808, 3512563967, 'US', 'United States'),
(147357, '209.93.121.0', '209.93.121.127', 3512563968, 3512564095, 'PH', 'Philippines'),
(147358, '209.93.121.128', '209.93.121.255', 3512564096, 3512564223, 'US', 'United States'),
(147359, '209.93.122.0', '209.93.122.255', 3512564224, 3512564479, 'SG', 'Singapore'),
(147360, '209.93.123.0', '209.93.125.127', 3512564480, 3512565119, 'US', 'United States'),
(147361, '209.93.125.128', '209.93.125.255', 3512565120, 3512565247, 'HK', 'Hong Kong'),
(147362, '209.93.126.0', '209.93.126.255', 3512565248, 3512565503, 'PH', 'Philippines'),
(147363, '209.93.127.0', '209.93.130.255', 3512565504, 3512566527, 'US', 'United States'),
(147364, '209.93.131.0', '209.93.131.127', 3512566528, 3512566655, 'BR', 'Brazil'),
(147365, '209.93.131.128', '209.93.133.159', 3512566656, 3512567199, 'US', 'United States'),
(147366, '209.93.133.160', '209.93.133.191', 3512567200, 3512567231, 'CA', 'Canada'),
(147367, '209.93.133.192', '209.93.133.255', 3512567232, 3512567295, 'US', 'United States'),
(147368, '209.93.134.0', '209.93.134.127', 3512567296, 3512567423, 'GB', 'United Kingdom'),
(147369, '209.93.134.128', '209.93.136.127', 3512567424, 3512567935, 'US', 'United States'),
(147370, '209.93.136.128', '209.93.136.255', 3512567936, 3512568063, 'BR', 'Brazil'),
(147371, '209.93.137.0', '209.93.140.255', 3512568064, 3512569087, 'US', 'United States'),
(147372, '209.93.141.0', '209.93.141.127', 3512569088, 3512569215, 'CA', 'Canada'),
(147373, '209.93.141.128', '209.93.144.127', 3512569216, 3512569983, 'US', 'United States'),
(147374, '209.93.144.128', '209.93.144.143', 3512569984, 3512569999, 'VE', 'Venezuela'),
(147375, '209.93.144.144', '209.93.144.159', 3512570000, 3512570015, 'CA', 'Canada'),
(147376, '209.93.144.160', '209.93.145.127', 3512570016, 3512570239, 'US', 'United States'),
(147377, '209.93.145.128', '209.93.145.255', 3512570240, 3512570367, 'MX', 'Mexico'),
(147378, '209.93.146.0', '209.93.151.127', 3512570368, 3512571775, 'US', 'United States'),
(147379, '209.93.151.128', '209.93.151.255', 3512571776, 3512571903, 'CL', 'Chile'),
(147380, '209.93.152.0', '209.93.152.63', 3512571904, 3512571967, 'VE', 'Venezuela'),
(147381, '209.93.152.64', '209.93.155.255', 3512571968, 3512572927, 'US', 'United States'),
(147382, '209.93.156.0', '209.93.156.127', 3512572928, 3512573055, 'MX', 'Mexico'),
(147383, '209.93.156.128', '209.93.156.223', 3512573056, 3512573151, 'US', 'United States'),
(147384, '209.93.156.224', '209.93.156.255', 3512573152, 3512573183, 'BR', 'Brazil'),
(147385, '209.93.157.0', '209.93.157.127', 3512573184, 3512573311, 'US', 'United States'),
(147386, '209.93.157.128', '209.93.157.191', 3512573312, 3512573375, 'CL', 'Chile'),
(147387, '209.93.157.192', '209.93.157.255', 3512573376, 3512573439, 'US', 'United States'),
(147388, '209.93.158.0', '209.93.158.255', 3512573440, 3512573695, 'CL', 'Chile'),
(147389, '209.93.159.0', '209.93.159.31', 3512573696, 3512573727, 'KR', 'Korea, Republic of'),
(147390, '209.93.159.32', '209.93.159.63', 3512573728, 3512573759, 'HK', 'Hong Kong'),
(147391, '209.93.159.64', '209.93.159.95', 3512573760, 3512573791, 'TW', 'Taiwan'),
(147392, '209.93.159.96', '209.93.159.127', 3512573792, 3512573823, 'ID', 'Indonesia'),
(147393, '209.93.159.128', '209.93.159.159', 3512573824, 3512573855, 'SG', 'Singapore'),
(147394, '209.93.159.160', '209.93.159.191', 3512573856, 3512573887, 'US', 'United States'),
(147395, '209.93.159.192', '209.93.160.255', 3512573888, 3512574207, 'ID', 'Indonesia'),
(147396, '209.93.161.0', '209.93.162.255', 3512574208, 3512574719, 'US', 'United States'),
(147397, '209.93.163.0', '209.93.163.255', 3512574720, 3512574975, 'SG', 'Singapore');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(147398, '209.93.164.0', '209.93.166.63', 3512574976, 3512575551, 'US', 'United States'),
(147399, '209.93.166.64', '209.93.166.127', 3512575552, 3512575615, 'MY', 'Malaysia'),
(147400, '209.93.166.128', '209.93.166.255', 3512575616, 3512575743, 'JP', 'Japan'),
(147401, '209.93.167.0', '209.93.167.255', 3512575744, 3512575999, 'US', 'United States'),
(147402, '209.93.168.0', '209.93.168.31', 3512576000, 3512576031, 'KR', 'Korea, Republic of'),
(147403, '209.93.168.32', '209.93.168.63', 3512576032, 3512576063, 'US', 'United States'),
(147404, '209.93.168.64', '209.93.168.127', 3512576064, 3512576127, 'KR', 'Korea, Republic of'),
(147405, '209.93.168.128', '209.93.168.255', 3512576128, 3512576255, 'US', 'United States'),
(147406, '209.93.169.0', '209.93.169.255', 3512576256, 3512576511, 'HK', 'Hong Kong'),
(147407, '209.93.170.0', '209.93.170.255', 3512576512, 3512576767, 'US', 'United States'),
(147408, '209.93.171.0', '209.93.171.127', 3512576768, 3512576895, 'KR', 'Korea, Republic of'),
(147409, '209.93.171.128', '209.93.171.255', 3512576896, 3512577023, 'US', 'United States'),
(147410, '209.93.172.0', '209.93.172.63', 3512577024, 3512577087, 'JP', 'Japan'),
(147411, '209.93.172.64', '209.93.172.255', 3512577088, 3512577279, 'US', 'United States'),
(147412, '209.93.173.0', '209.93.173.63', 3512577280, 3512577343, 'TW', 'Taiwan'),
(147413, '209.93.173.64', '209.93.173.127', 3512577344, 3512577407, 'SG', 'Singapore'),
(147414, '209.93.173.128', '209.93.173.159', 3512577408, 3512577439, 'TH', 'Thailand'),
(147415, '209.93.173.160', '209.93.173.255', 3512577440, 3512577535, 'US', 'United States'),
(147416, '209.93.174.0', '209.93.174.63', 3512577536, 3512577599, 'AU', 'Australia'),
(147417, '209.93.174.64', '209.93.174.95', 3512577600, 3512577631, 'PH', 'Philippines'),
(147418, '209.93.174.96', '209.93.174.127', 3512577632, 3512577663, 'US', 'United States'),
(147419, '209.93.174.128', '209.93.174.191', 3512577664, 3512577727, 'TH', 'Thailand'),
(147420, '209.93.174.192', '209.93.174.255', 3512577728, 3512577791, 'US', 'United States'),
(147421, '209.93.175.0', '209.93.175.63', 3512577792, 3512577855, 'JP', 'Japan'),
(147422, '209.93.175.64', '209.93.175.255', 3512577856, 3512578047, 'US', 'United States'),
(147423, '209.93.176.0', '209.93.176.63', 3512578048, 3512578111, 'KR', 'Korea, Republic of'),
(147424, '209.93.176.64', '209.93.177.255', 3512578112, 3512578559, 'US', 'United States'),
(147425, '209.93.178.0', '209.93.178.160', 3512578560, 3512578720, 'CN', 'China'),
(147426, '209.93.178.161', '209.93.178.255', 3512578721, 3512578815, 'US', 'United States'),
(147427, '209.93.179.0', '209.93.179.127', 3512578816, 3512578943, 'TH', 'Thailand'),
(147428, '209.93.179.128', '209.93.179.255', 3512578944, 3512579071, 'US', 'United States'),
(147429, '209.93.180.0', '209.93.180.127', 3512579072, 3512579199, 'ID', 'Indonesia'),
(147430, '209.93.180.128', '209.93.180.255', 3512579200, 3512579327, 'HK', 'Hong Kong'),
(147431, '209.93.181.0', '209.93.181.127', 3512579328, 3512579455, 'KR', 'Korea, Republic of'),
(147432, '209.93.181.128', '209.93.181.255', 3512579456, 3512579583, 'NZ', 'New Zealand'),
(147433, '209.93.182.0', '209.93.182.255', 3512579584, 3512579839, 'ID', 'Indonesia'),
(147434, '209.93.183.0', '209.93.183.127', 3512579840, 3512579967, 'SG', 'Singapore'),
(147435, '209.93.183.128', '209.93.183.191', 3512579968, 3512580031, 'KR', 'Korea, Republic of'),
(147436, '209.93.183.192', '209.93.183.255', 3512580032, 3512580095, 'TW', 'Taiwan'),
(147437, '209.93.184.0', '209.93.184.127', 3512580096, 3512580223, 'JP', 'Japan'),
(147438, '209.93.184.128', '209.93.184.191', 3512580224, 3512580287, 'US', 'United States'),
(147439, '209.93.184.192', '209.93.184.255', 3512580288, 3512580351, 'CN', 'China'),
(147440, '209.93.185.0', '209.93.185.15', 3512580352, 3512580367, 'CH', 'Switzerland'),
(147441, '209.93.185.16', '209.93.185.63', 3512580368, 3512580415, 'US', 'United States'),
(147442, '209.93.185.64', '209.93.185.127', 3512580416, 3512580479, 'SG', 'Singapore'),
(147443, '209.93.185.128', '209.93.186.255', 3512580480, 3512580863, 'HK', 'Hong Kong'),
(147444, '209.93.187.0', '209.93.187.127', 3512580864, 3512580991, 'ID', 'Indonesia'),
(147445, '209.93.187.128', '209.93.187.191', 3512580992, 3512581055, 'SG', 'Singapore'),
(147446, '209.93.187.192', '209.93.187.255', 3512581056, 3512581119, 'KR', 'Korea, Republic of'),
(147447, '209.93.188.0', '209.93.188.127', 3512581120, 3512581247, 'NZ', 'New Zealand'),
(147448, '209.93.188.128', '209.93.188.255', 3512581248, 3512581375, 'TW', 'Taiwan'),
(147449, '209.93.189.0', '209.93.191.255', 3512581376, 3512582143, 'CN', 'China'),
(147450, '209.93.192.0', '209.93.192.63', 3512582144, 3512582207, 'US', 'United States'),
(147451, '209.93.192.64', '209.93.192.79', 3512582208, 3512582223, 'BR', 'Brazil'),
(147452, '209.93.192.80', '209.93.193.63', 3512582224, 3512582463, 'US', 'United States'),
(147453, '209.93.193.64', '209.93.193.127', 3512582464, 3512582527, 'BR', 'Brazil'),
(147454, '209.93.193.128', '209.93.193.255', 3512582528, 3512582655, 'PE', 'Peru'),
(147455, '209.93.194.0', '209.93.194.63', 3512582656, 3512582719, 'BR', 'Brazil'),
(147456, '209.93.194.64', '209.93.194.127', 3512582720, 3512582783, 'CN', 'China'),
(147457, '209.93.194.128', '209.93.194.255', 3512582784, 3512582911, 'BR', 'Brazil'),
(147458, '209.93.195.0', '209.93.196.127', 3512582912, 3512583295, 'US', 'United States'),
(147459, '209.93.196.128', '209.93.197.255', 3512583296, 3512583679, 'BR', 'Brazil'),
(147460, '209.93.198.0', '209.93.200.255', 3512583680, 3512584447, 'US', 'United States'),
(147461, '209.93.201.0', '209.93.201.31', 3512584448, 3512584479, 'BR', 'Brazil'),
(147462, '209.93.201.32', '209.93.204.191', 3512584480, 3512585407, 'US', 'United States'),
(147463, '209.93.204.192', '209.93.204.223', 3512585408, 3512585439, 'BR', 'Brazil'),
(147464, '209.93.204.224', '209.93.206.159', 3512585440, 3512585887, 'US', 'United States'),
(147465, '209.93.206.160', '209.93.206.191', 3512585888, 3512585919, 'PE', 'Peru'),
(147466, '209.93.206.192', '209.93.206.255', 3512585920, 3512585983, 'CO', 'Colombia'),
(147467, '209.93.207.0', '209.93.207.191', 3512585984, 3512586175, 'US', 'United States'),
(147468, '209.93.207.192', '209.93.207.255', 3512586176, 3512586239, 'VE', 'Venezuela'),
(147469, '209.93.208.0', '209.93.208.255', 3512586240, 3512586495, 'US', 'United States'),
(147470, '209.93.209.0', '209.93.209.191', 3512586496, 3512586687, 'BR', 'Brazil'),
(147471, '209.93.209.192', '209.93.209.255', 3512586688, 3512586751, 'AR', 'Argentina'),
(147472, '209.93.210.0', '209.93.212.31', 3512586752, 3512587295, 'US', 'United States'),
(147473, '209.93.212.32', '209.93.212.63', 3512587296, 3512587327, 'CH', 'Switzerland'),
(147474, '209.93.212.64', '209.93.213.127', 3512587328, 3512587647, 'US', 'United States'),
(147475, '209.93.213.128', '209.93.213.255', 3512587648, 3512587775, 'CO', 'Colombia'),
(147476, '209.93.214.0', '209.93.214.127', 3512587776, 3512587903, 'US', 'United States'),
(147477, '209.93.214.128', '209.93.214.255', 3512587904, 3512588031, 'CO', 'Colombia'),
(147478, '209.93.215.0', '209.93.215.127', 3512588032, 3512588159, 'US', 'United States'),
(147479, '209.93.215.128', '209.93.215.159', 3512588160, 3512588191, 'PE', 'Peru'),
(147480, '209.93.215.160', '209.93.215.191', 3512588192, 3512588223, 'US', 'United States'),
(147481, '209.93.215.192', '209.93.215.255', 3512588224, 3512588287, 'BR', 'Brazil'),
(147482, '209.93.216.0', '209.93.216.127', 3512588288, 3512588415, 'US', 'United States'),
(147483, '209.93.216.128', '209.93.216.255', 3512588416, 3512588543, 'MX', 'Mexico'),
(147484, '209.93.217.0', '209.93.220.95', 3512588544, 3512589407, 'US', 'United States'),
(147485, '209.93.220.96', '209.93.220.255', 3512589408, 3512589567, 'BR', 'Brazil'),
(147486, '209.93.221.0', '209.93.222.63', 3512589568, 3512589887, 'US', 'United States'),
(147487, '209.93.222.64', '209.93.222.127', 3512589888, 3512589951, 'CO', 'Colombia'),
(147488, '209.93.222.128', '209.93.222.191', 3512589952, 3512590015, 'US', 'United States'),
(147489, '209.93.222.192', '209.93.222.255', 3512590016, 3512590079, 'CO', 'Colombia'),
(147490, '209.93.223.0', '209.93.223.63', 3512590080, 3512590143, 'MX', 'Mexico'),
(147491, '209.93.223.64', '209.93.223.127', 3512590144, 3512590207, 'CH', 'Switzerland'),
(147492, '209.93.223.128', '209.93.225.255', 3512590208, 3512590847, 'US', 'United States'),
(147493, '209.93.226.0', '209.93.226.127', 3512590848, 3512590975, 'TH', 'Thailand'),
(147494, '209.93.226.128', '209.93.226.255', 3512590976, 3512591103, 'PH', 'Philippines'),
(147495, '209.93.227.0', '209.93.227.255', 3512591104, 3512591359, 'JP', 'Japan'),
(147496, '209.93.228.0', '209.93.231.255', 3512591360, 3512592383, 'US', 'United States'),
(147497, '209.93.232.0', '209.93.233.255', 3512592384, 3512592895, 'GB', 'United Kingdom'),
(147498, '209.93.234.0', '209.93.234.255', 3512592896, 3512593151, 'PH', 'Philippines'),
(147499, '209.93.235.0', '209.93.235.127', 3512593152, 3512593279, 'GB', 'United Kingdom'),
(147500, '209.93.235.128', '209.93.235.255', 3512593280, 3512593407, 'SG', 'Singapore'),
(147501, '209.93.236.0', '209.93.236.63', 3512593408, 3512593471, 'TH', 'Thailand'),
(147502, '209.93.236.64', '209.93.236.103', 3512593472, 3512593511, 'US', 'United States'),
(147503, '209.93.236.104', '209.93.236.111', 3512593512, 3512593519, 'CN', 'China'),
(147504, '209.93.236.112', '209.93.236.255', 3512593520, 3512593663, 'US', 'United States'),
(147505, '209.93.237.0', '209.93.237.127', 3512593664, 3512593791, 'JP', 'Japan'),
(147506, '209.93.237.128', '209.93.237.223', 3512593792, 3512593887, 'US', 'United States'),
(147507, '209.93.237.224', '209.93.237.255', 3512593888, 3512593919, 'DE', 'Germany'),
(147508, '209.93.238.0', '209.93.238.255', 3512593920, 3512594175, 'AP', 'Asia/Pacific Region'),
(147509, '209.93.239.0', '209.93.239.255', 3512594176, 3512594431, 'MY', 'Malaysia'),
(147510, '209.93.240.0', '209.93.240.63', 3512594432, 3512594495, 'HK', 'Hong Kong'),
(147511, '209.93.240.64', '209.93.240.127', 3512594496, 3512594559, 'US', 'United States'),
(147512, '209.93.240.128', '209.93.240.255', 3512594560, 3512594687, 'CN', 'China'),
(147513, '209.93.241.0', '209.93.241.255', 3512594688, 3512594943, 'US', 'United States'),
(147514, '209.93.242.0', '209.93.242.63', 3512594944, 3512595007, 'TH', 'Thailand'),
(147515, '209.93.242.64', '209.93.242.255', 3512595008, 3512595199, 'US', 'United States'),
(147516, '209.93.243.0', '209.93.243.255', 3512595200, 3512595455, 'TW', 'Taiwan'),
(147517, '209.93.244.0', '209.93.244.255', 3512595456, 3512595711, 'US', 'United States'),
(147518, '209.93.245.0', '209.93.245.31', 3512595712, 3512595743, 'KR', 'Korea, Republic of'),
(147519, '209.93.245.32', '209.93.245.63', 3512595744, 3512595775, 'US', 'United States'),
(147520, '209.93.245.64', '209.93.245.127', 3512595776, 3512595839, 'KR', 'Korea, Republic of'),
(147521, '209.93.245.128', '209.93.246.255', 3512595840, 3512596223, 'US', 'United States'),
(147522, '209.93.247.0', '209.93.247.255', 3512596224, 3512596479, 'JP', 'Japan'),
(147523, '209.93.248.0', '209.93.249.255', 3512596480, 3512596991, 'US', 'United States'),
(147524, '209.93.250.0', '209.93.250.255', 3512596992, 3512597247, 'TH', 'Thailand'),
(147525, '209.93.251.0', '209.93.252.255', 3512597248, 3512597759, 'US', 'United States'),
(147526, '209.93.253.0', '209.93.253.255', 3512597760, 3512598015, 'JP', 'Japan'),
(147527, '209.93.254.0', '209.93.254.63', 3512598016, 3512598079, 'KR', 'Korea, Republic of'),
(147528, '209.93.254.64', '209.93.254.127', 3512598080, 3512598143, 'US', 'United States'),
(147529, '209.93.254.128', '209.93.254.255', 3512598144, 3512598271, 'TH', 'Thailand'),
(147530, '209.93.255.0', '209.93.255.255', 3512598272, 3512598527, 'PH', 'Philippines'),
(147531, '209.94.0.0', '209.94.191.255', 3512598528, 3512647679, 'US', 'United States'),
(147532, '209.94.192.0', '209.94.223.255', 3512647680, 3512655871, 'TT', 'Trinidad and Tobago'),
(147533, '209.94.224.0', '209.95.103.159', 3512655872, 3512690591, 'US', 'United States'),
(147534, '209.95.103.160', '209.95.103.191', 3512690592, 3512690623, 'IN', 'India'),
(147535, '209.95.103.192', '209.95.124.31', 3512690624, 3512695839, 'US', 'United States'),
(147536, '209.95.124.32', '209.95.124.63', 3512695840, 3512695871, 'GB', 'United Kingdom'),
(147537, '209.95.124.64', '209.95.127.255', 3512695872, 3512696831, 'US', 'United States'),
(147538, '209.95.128.0', '209.95.138.255', 3512696832, 3512699647, 'SE', 'Sweden'),
(147539, '209.95.139.0', '209.95.139.255', 3512699648, 3512699903, 'US', 'United States'),
(147540, '209.95.140.0', '209.95.159.255', 3512699904, 3512705023, 'SE', 'Sweden'),
(147541, '209.95.160.0', '209.97.191.255', 3512705024, 3512844287, 'US', 'United States'),
(147542, '209.97.192.0', '209.97.223.255', 3512844288, 3512852479, 'CA', 'Canada'),
(147543, '209.97.224.0', '209.98.118.255', 3512852480, 3512891135, 'US', 'United States'),
(147544, '209.98.119.0', '209.98.119.31', 3512891136, 3512891167, 'BE', 'Belgium'),
(147545, '209.98.119.32', '209.98.119.63', 3512891168, 3512891199, 'AU', 'Australia'),
(147546, '209.98.119.64', '209.98.119.95', 3512891200, 3512891231, 'FR', 'France'),
(147547, '209.98.119.96', '209.98.119.127', 3512891232, 3512891263, 'KW', 'Kuwait'),
(147548, '209.98.119.128', '209.98.119.191', 3512891264, 3512891327, 'US', 'United States'),
(147549, '209.98.119.192', '209.98.119.223', 3512891328, 3512891359, 'CA', 'Canada'),
(147550, '209.98.119.224', '209.99.2.255', 3512891360, 3512926975, 'US', 'United States'),
(147551, '209.99.3.0', '209.99.3.255', 3512926976, 3512927231, 'A1', 'Anonymous Proxy'),
(147552, '209.99.4.0', '209.99.56.255', 3512927232, 3512940799, 'US', 'United States'),
(147553, '209.99.57.0', '209.99.57.255', 3512940800, 3512941055, 'A1', 'Anonymous Proxy'),
(147554, '209.99.58.0', '209.99.223.255', 3512941056, 3512983551, 'US', 'United States'),
(147555, '209.99.224.0', '209.99.239.255', 3512983552, 3512987647, 'AR', 'Argentina'),
(147556, '209.99.240.0', '209.102.255.255', 3512987648, 3513188351, 'US', 'United States'),
(147557, '209.103.0.0', '209.103.63.255', 3513188352, 3513204735, 'CA', 'Canada'),
(147558, '209.103.64.0', '209.104.63.255', 3513204736, 3513270271, 'US', 'United States'),
(147559, '209.104.64.0', '209.104.127.255', 3513270272, 3513286655, 'CA', 'Canada'),
(147560, '209.104.128.0', '209.104.159.255', 3513286656, 3513294847, 'US', 'United States'),
(147561, '209.104.160.0', '209.104.191.255', 3513294848, 3513303039, 'CA', 'Canada'),
(147562, '209.104.192.0', '209.105.191.255', 3513303040, 3513368575, 'US', 'United States'),
(147563, '209.105.192.0', '209.105.223.255', 3513368576, 3513376767, 'CA', 'Canada'),
(147564, '209.105.224.0', '209.107.95.255', 3513376768, 3513475071, 'US', 'United States'),
(147565, '209.107.96.0', '209.107.127.255', 3513475072, 3513483263, 'CA', 'Canada'),
(147566, '209.107.128.0', '209.107.197.255', 3513483264, 3513501183, 'US', 'United States'),
(147567, '209.107.198.0', '209.107.198.255', 3513501184, 3513501439, 'PH', 'Philippines'),
(147568, '209.107.199.0', '209.107.199.127', 3513501440, 3513501567, 'US', 'United States'),
(147569, '209.107.199.128', '209.107.199.191', 3513501568, 3513501631, 'AZ', 'Azerbaijan'),
(147570, '209.107.199.192', '209.107.203.255', 3513501632, 3513502719, 'US', 'United States'),
(147571, '209.107.204.0', '209.107.204.255', 3513502720, 3513502975, 'A1', 'Anonymous Proxy'),
(147572, '209.107.205.0', '209.107.216.255', 3513502976, 3513506047, 'US', 'United States'),
(147573, '209.107.217.0', '209.107.217.255', 3513506048, 3513506303, 'A1', 'Anonymous Proxy'),
(147574, '209.107.218.0', '209.107.218.255', 3513506304, 3513506559, 'US', 'United States'),
(147575, '209.107.219.0', '209.107.219.255', 3513506560, 3513506815, 'CA', 'Canada'),
(147576, '209.107.220.0', '209.110.92.255', 3513506816, 3513670911, 'US', 'United States'),
(147577, '209.110.93.0', '209.110.93.255', 3513670912, 3513671167, 'A2', 'Satellite Provider'),
(147578, '209.110.94.0', '209.111.255.255', 3513671168, 3513778175, 'US', 'United States'),
(147579, '209.112.0.0', '209.112.63.255', 3513778176, 3513794559, 'CA', 'Canada'),
(147580, '209.112.64.0', '209.115.127.255', 3513794560, 3514007551, 'US', 'United States'),
(147581, '209.115.128.0', '209.115.255.255', 3514007552, 3514040319, 'CA', 'Canada'),
(147582, '209.116.0.0', '209.120.255.255', 3514040320, 3514367999, 'US', 'United States'),
(147583, '209.121.0.0', '209.121.255.255', 3514368000, 3514433535, 'CA', 'Canada'),
(147584, '209.122.0.0', '209.124.73.239', 3514433536, 3514583535, 'US', 'United States'),
(147585, '209.124.73.240', '209.124.73.247', 3514583536, 3514583543, 'JE', 'Jersey'),
(147586, '209.124.73.248', '209.124.81.15', 3514583544, 3514585359, 'US', 'United States'),
(147587, '209.124.81.16', '209.124.81.31', 3514585360, 3514585375, 'GB', 'United Kingdom'),
(147588, '209.124.81.32', '209.124.96.255', 3514585376, 3514589439, 'US', 'United States'),
(147589, '209.124.97.0', '209.124.97.255', 3514589440, 3514589695, 'GT', 'Guatemala'),
(147590, '209.124.98.0', '209.124.99.255', 3514589696, 3514590207, 'SV', 'El Salvador'),
(147591, '209.124.100.0', '209.124.101.255', 3514590208, 3514590719, 'NI', 'Nicaragua'),
(147592, '209.124.102.0', '209.124.103.127', 3514590720, 3514591103, 'SV', 'El Salvador'),
(147593, '209.124.103.128', '209.124.104.255', 3514591104, 3514591487, 'US', 'United States'),
(147594, '209.124.105.0', '209.124.107.255', 3514591488, 3514592255, 'NI', 'Nicaragua'),
(147595, '209.124.108.0', '209.124.111.255', 3514592256, 3514593279, 'SV', 'El Salvador'),
(147596, '209.124.112.0', '209.124.125.255', 3514593280, 3514596863, 'US', 'United States'),
(147597, '209.124.126.0', '209.124.127.255', 3514596864, 3514597375, 'SV', 'El Salvador'),
(147598, '209.124.128.0', '209.127.255.255', 3514597376, 3514826751, 'US', 'United States'),
(147599, '209.128.0.0', '209.128.63.255', 3514826752, 3514843135, 'CA', 'Canada'),
(147600, '209.128.64.0', '209.130.140.255', 3514843136, 3514993919, 'US', 'United States'),
(147601, '209.130.141.0', '209.130.141.129', 3514993920, 3514994049, 'GB', 'United Kingdom'),
(147602, '209.130.141.130', '209.130.141.130', 3514994050, 3514994050, 'EU', 'Europe'),
(147603, '209.130.141.131', '209.130.141.255', 3514994051, 3514994175, 'GB', 'United Kingdom'),
(147604, '209.130.142.0', '209.130.172.13', 3514994176, 3515001869, 'US', 'United States'),
(147605, '209.130.172.14', '209.130.172.17', 3515001870, 3515001873, 'GB', 'United Kingdom'),
(147606, '209.130.172.18', '209.130.195.125', 3515001874, 3515007869, 'US', 'United States'),
(147607, '209.130.195.126', '209.130.195.126', 3515007870, 3515007870, 'GB', 'United Kingdom'),
(147608, '209.130.195.127', '209.132.99.7', 3515007871, 3515114247, 'US', 'United States'),
(147609, '209.132.99.8', '209.132.99.15', 3515114248, 3515114255, 'AU', 'Australia'),
(147610, '209.132.99.16', '209.132.236.255', 3515114256, 3515149567, 'US', 'United States'),
(147611, '209.132.237.0', '209.132.237.15', 3515149568, 3515149583, 'AU', 'Australia'),
(147612, '209.132.237.16', '209.133.64.175', 3515149584, 3515170991, 'US', 'United States'),
(147613, '209.133.64.176', '209.133.64.183', 3515170992, 3515170999, 'KR', 'Korea, Republic of'),
(147614, '209.133.64.184', '209.135.63.255', 3515171000, 3515301887, 'US', 'United States'),
(147615, '209.135.64.0', '209.135.127.255', 3515301888, 3515318271, 'CA', 'Canada'),
(147616, '209.135.128.0', '209.136.30.255', 3515318272, 3515358975, 'US', 'United States'),
(147617, '209.136.31.0', '209.136.31.255', 3515358976, 3515359231, 'MX', 'Mexico'),
(147618, '209.136.32.0', '209.137.140.223', 3515359232, 3515452639, 'US', 'United States'),
(147619, '209.137.140.224', '209.137.140.239', 3515452640, 3515452655, 'KR', 'Korea, Republic of'),
(147620, '209.137.140.240', '209.137.142.127', 3515452656, 3515453055, 'US', 'United States'),
(147621, '209.137.142.128', '209.137.142.143', 3515453056, 3515453071, 'JP', 'Japan'),
(147622, '209.137.142.144', '209.137.144.239', 3515453072, 3515453679, 'US', 'United States'),
(147623, '209.137.144.240', '209.137.144.247', 3515453680, 3515453687, 'JP', 'Japan'),
(147624, '209.137.144.248', '209.137.146.191', 3515453688, 3515454143, 'US', 'United States'),
(147625, '209.137.146.192', '209.137.146.255', 3515454144, 3515454207, 'JP', 'Japan'),
(147626, '209.137.147.0', '209.137.147.191', 3515454208, 3515454399, 'US', 'United States'),
(147627, '209.137.147.192', '209.137.147.255', 3515454400, 3515454463, 'JP', 'Japan'),
(147628, '209.137.148.0', '209.137.151.79', 3515454464, 3515455311, 'US', 'United States'),
(147629, '209.137.151.80', '209.137.151.87', 3515455312, 3515455319, 'JP', 'Japan'),
(147630, '209.137.151.88', '209.137.153.255', 3515455320, 3515455999, 'US', 'United States'),
(147631, '209.137.154.0', '209.137.154.15', 3515456000, 3515456015, 'JP', 'Japan'),
(147632, '209.137.154.16', '209.137.156.191', 3515456016, 3515456703, 'US', 'United States'),
(147633, '209.137.156.192', '209.137.156.255', 3515456704, 3515456767, 'JP', 'Japan'),
(147634, '209.137.157.0', '209.139.191.255', 3515456768, 3515596799, 'US', 'United States'),
(147635, '209.139.192.0', '209.139.255.255', 3515596800, 3515613183, 'CA', 'Canada'),
(147636, '209.140.0.0', '209.141.127.255', 3515613184, 3515711487, 'US', 'United States'),
(147637, '209.141.128.0', '209.141.207.255', 3515711488, 3515731967, 'CA', 'Canada'),
(147638, '209.141.208.0', '209.142.191.199', 3515731968, 3515793351, 'US', 'United States'),
(147639, '209.142.191.200', '209.142.191.207', 3515793352, 3515793359, 'MO', 'Macau'),
(147640, '209.142.191.208', '209.143.197.127', 3515793360, 3515860351, 'US', 'United States'),
(147641, '209.143.197.128', '209.143.197.207', 3515860352, 3515860431, 'IN', 'India'),
(147642, '209.143.197.208', '209.143.224.15', 3515860432, 3515867151, 'US', 'United States'),
(147643, '209.143.224.16', '209.143.224.31', 3515867152, 3515867167, 'AU', 'Australia'),
(147644, '209.143.224.32', '209.143.224.255', 3515867168, 3515867391, 'US', 'United States'),
(147645, '209.143.225.0', '209.143.225.127', 3515867392, 3515867519, 'AU', 'Australia'),
(147646, '209.143.225.128', '209.143.229.47', 3515867520, 3515868463, 'US', 'United States'),
(147647, '209.143.229.48', '209.143.229.63', 3515868464, 3515868479, 'IT', 'Italy'),
(147648, '209.143.229.64', '209.144.27.79', 3515868480, 3515882319, 'US', 'United States'),
(147649, '209.144.27.80', '209.144.27.87', 3515882320, 3515882327, 'MX', 'Mexico'),
(147650, '209.144.27.88', '209.144.27.135', 3515882328, 3515882375, 'US', 'United States'),
(147651, '209.144.27.136', '209.144.27.143', 3515882376, 3515882383, 'AU', 'Australia'),
(147652, '209.144.27.144', '209.144.27.151', 3515882384, 3515882391, 'US', 'United States'),
(147653, '209.144.27.152', '209.144.27.159', 3515882392, 3515882399, 'GB', 'United Kingdom'),
(147654, '209.144.27.160', '209.144.149.159', 3515882400, 3515913631, 'US', 'United States'),
(147655, '209.144.149.160', '209.144.149.191', 3515913632, 3515913663, 'CA', 'Canada'),
(147656, '209.144.149.192', '209.144.160.231', 3515913664, 3515916519, 'US', 'United States'),
(147657, '209.144.160.232', '209.144.160.239', 3515916520, 3515916527, 'AU', 'Australia'),
(147658, '209.144.160.240', '209.144.224.223', 3515916528, 3515932895, 'US', 'United States'),
(147659, '209.144.224.224', '209.144.224.231', 3515932896, 3515932903, 'CA', 'Canada'),
(147660, '209.144.224.232', '209.145.56.175', 3515932904, 3515955375, 'US', 'United States'),
(147661, '209.145.56.176', '209.145.56.191', 3515955376, 3515955391, 'GB', 'United Kingdom'),
(147662, '209.145.56.192', '209.145.57.95', 3515955392, 3515955551, 'US', 'United States'),
(147663, '209.145.57.96', '209.145.57.111', 3515955552, 3515955567, 'ES', 'Spain'),
(147664, '209.145.57.112', '209.145.60.95', 3515955568, 3515956319, 'US', 'United States'),
(147665, '209.145.60.96', '209.145.60.111', 3515956320, 3515956335, 'NL', 'Netherlands'),
(147666, '209.145.60.112', '209.145.95.255', 3515956336, 3515965439, 'US', 'United States'),
(147667, '209.145.96.0', '209.145.127.255', 3515965440, 3515973631, 'CA', 'Canada'),
(147668, '209.145.128.0', '209.145.191.255', 3515973632, 3515990015, 'US', 'United States'),
(147669, '209.145.192.0', '209.145.255.255', 3515990016, 3516006399, 'CA', 'Canada'),
(147670, '209.146.0.0', '209.146.127.255', 3516006400, 3516039167, 'US', 'United States'),
(147671, '209.146.128.0', '209.146.255.255', 3516039168, 3516071935, 'CA', 'Canada'),
(147672, '209.147.0.0', '209.148.5.255', 3516071936, 3516139007, 'US', 'United States'),
(147673, '209.148.6.0', '209.148.6.255', 3516139008, 3516139263, 'GB', 'United Kingdom'),
(147674, '209.148.7.0', '209.148.63.255', 3516139264, 3516153855, 'US', 'United States'),
(147675, '209.148.96.0', '209.148.127.255', 3516162048, 3516170239, 'US', 'United States'),
(147676, '209.148.128.0', '209.148.220.151', 3516170240, 3516193943, 'CA', 'Canada'),
(147677, '209.148.220.152', '209.148.220.159', 3516193944, 3516193951, 'US', 'United States'),
(147678, '209.148.220.160', '209.148.255.255', 3516193952, 3516203007, 'CA', 'Canada'),
(147679, '209.149.0.0', '209.150.255.255', 3516203008, 3516334079, 'US', 'United States'),
(147680, '209.151.0.0', '209.151.31.255', 3516334080, 3516342271, 'CA', 'Canada'),
(147681, '209.151.32.0', '209.151.66.79', 3516342272, 3516351055, 'US', 'United States'),
(147682, '209.151.66.80', '209.151.66.111', 3516351056, 3516351087, 'TR', 'Turkey'),
(147683, '209.151.66.112', '209.151.66.119', 3516351088, 3516351095, 'US', 'United States'),
(147684, '209.151.66.120', '209.151.66.127', 3516351096, 3516351103, 'MY', 'Malaysia'),
(147685, '209.151.66.128', '209.151.67.23', 3516351104, 3516351255, 'US', 'United States'),
(147686, '209.151.67.24', '209.151.67.39', 3516351256, 3516351271, 'AE', 'United Arab Emirates'),
(147687, '209.151.67.40', '209.151.84.79', 3516351272, 3516355663, 'US', 'United States'),
(147688, '209.151.84.80', '209.151.84.95', 3516355664, 3516355679, 'CA', 'Canada'),
(147689, '209.151.84.96', '209.151.91.255', 3516355680, 3516357631, 'US', 'United States'),
(147690, '209.151.92.0', '209.151.92.255', 3516357632, 3516357887, 'MY', 'Malaysia'),
(147691, '209.151.93.0', '209.151.93.255', 3516357888, 3516358143, 'CA', 'Canada'),
(147692, '209.151.94.0', '209.151.127.255', 3516358144, 3516366847, 'US', 'United States'),
(147693, '209.151.128.0', '209.151.143.255', 3516366848, 3516370943, 'CA', 'Canada'),
(147694, '209.151.144.0', '209.151.234.255', 3516370944, 3516394239, 'US', 'United States'),
(147695, '209.151.235.0', '209.151.235.7', 3516394240, 3516394247, 'IS', 'Iceland'),
(147696, '209.151.235.8', '209.153.191.255', 3516394248, 3516514303, 'US', 'United States'),
(147697, '209.153.192.0', '209.153.255.255', 3516514304, 3516530687, 'CA', 'Canada'),
(147698, '209.154.0.0', '209.159.159.255', 3516530688, 3516899327, 'US', 'United States'),
(147699, '209.159.160.0', '209.159.161.255', 3516899328, 3516899839, 'A2', 'Satellite Provider'),
(147700, '209.159.162.0', '209.159.162.255', 3516899840, 3516900095, 'NG', 'Nigeria'),
(147701, '209.159.163.0', '209.159.163.255', 3516900096, 3516900351, 'A2', 'Satellite Provider'),
(147702, '209.159.164.0', '209.159.164.255', 3516900352, 3516900607, 'NG', 'Nigeria'),
(147703, '209.159.165.0', '209.159.165.255', 3516900608, 3516900863, 'A2', 'Satellite Provider'),
(147704, '209.159.166.0', '209.159.166.255', 3516900864, 3516901119, 'NG', 'Nigeria'),
(147705, '209.159.167.0', '209.159.171.255', 3516901120, 3516902399, 'US', 'United States'),
(147706, '209.159.172.0', '209.159.172.255', 3516902400, 3516902655, 'A2', 'Satellite Provider'),
(147707, '209.159.173.0', '209.159.173.255', 3516902656, 3516902911, 'NG', 'Nigeria'),
(147708, '209.159.174.0', '209.159.174.255', 3516902912, 3516903167, 'A2', 'Satellite Provider'),
(147709, '209.159.175.0', '209.159.175.255', 3516903168, 3516903423, 'NG', 'Nigeria'),
(147710, '209.159.176.0', '209.159.191.255', 3516903424, 3516907519, 'CA', 'Canada'),
(147711, '209.159.192.0', '209.161.115.255', 3516907520, 3517019135, 'US', 'United States'),
(147712, '209.161.116.0', '209.161.116.255', 3517019136, 3517019391, 'HN', 'Honduras'),
(147713, '209.161.117.0', '209.161.124.255', 3517019392, 3517021439, 'US', 'United States'),
(147714, '209.161.125.0', '209.161.125.255', 3517021440, 3517021695, 'NI', 'Nicaragua'),
(147715, '209.161.126.0', '209.161.191.255', 3517021696, 3517038591, 'US', 'United States'),
(147716, '209.161.192.0', '209.161.255.255', 3517038592, 3517054975, 'CA', 'Canada'),
(147717, '209.162.0.0', '209.162.159.255', 3517054976, 3517095935, 'US', 'United States'),
(147718, '209.162.160.0', '209.162.175.255', 3517095936, 3517100031, 'CA', 'Canada'),
(147719, '209.162.176.0', '209.162.176.181', 3517100032, 3517100213, 'US', 'United States'),
(147720, '209.162.176.182', '209.162.176.191', 3517100214, 3517100223, 'NZ', 'New Zealand'),
(147721, '209.162.176.192', '209.162.178.176', 3517100224, 3517100720, 'US', 'United States'),
(147722, '209.162.178.177', '209.162.178.186', 3517100721, 3517100730, 'CA', 'Canada'),
(147723, '209.162.178.187', '209.162.188.212', 3517100731, 3517103316, 'US', 'United States'),
(147724, '209.162.188.213', '209.162.188.226', 3517103317, 3517103330, 'NZ', 'New Zealand'),
(147725, '209.162.188.227', '209.162.223.255', 3517103331, 3517112319, 'US', 'United States'),
(147726, '209.162.224.0', '209.162.238.255', 3517112320, 3517116159, 'CA', 'Canada'),
(147727, '209.162.239.0', '209.162.239.255', 3517116160, 3517116415, 'US', 'United States'),
(147728, '209.162.240.0', '209.162.255.255', 3517116416, 3517120511, 'CA', 'Canada'),
(147729, '209.163.0.0', '209.164.183.255', 3517120512, 3517233151, 'US', 'United States'),
(147730, '209.164.184.0', '209.164.191.255', 3517233152, 3517235199, 'GU', 'Guam'),
(147731, '209.164.192.0', '209.166.255.255', 3517235200, 3517382655, 'US', 'United States'),
(147732, '209.167.0.0', '209.167.7.255', 3517382656, 3517384703, 'CA', 'Canada'),
(147733, '209.167.8.0', '209.167.9.255', 3517384704, 3517385215, 'US', 'United States'),
(147734, '209.167.10.0', '209.167.10.95', 3517385216, 3517385311, 'CA', 'Canada'),
(147735, '209.167.10.96', '209.167.10.159', 3517385312, 3517385375, 'US', 'United States'),
(147736, '209.167.10.160', '209.167.19.255', 3517385376, 3517387775, 'CA', 'Canada'),
(147737, '209.167.20.0', '209.167.20.255', 3517387776, 3517388031, 'US', 'United States'),
(147738, '209.167.21.0', '209.167.21.191', 3517388032, 3517388223, 'CA', 'Canada'),
(147739, '209.167.21.192', '209.167.21.207', 3517388224, 3517388239, 'US', 'United States'),
(147740, '209.167.21.208', '209.167.21.223', 3517388240, 3517388255, 'CA', 'Canada'),
(147741, '209.167.21.224', '209.167.21.239', 3517388256, 3517388271, 'US', 'United States'),
(147742, '209.167.21.240', '209.167.23.255', 3517388272, 3517388799, 'CA', 'Canada'),
(147743, '209.167.24.0', '209.167.25.255', 3517388800, 3517389311, 'US', 'United States'),
(147744, '209.167.26.0', '209.167.26.255', 3517389312, 3517389567, 'CA', 'Canada'),
(147745, '209.167.27.0', '209.167.27.255', 3517389568, 3517389823, 'US', 'United States'),
(147746, '209.167.28.0', '209.167.29.255', 3517389824, 3517390335, 'CA', 'Canada'),
(147747, '209.167.30.0', '209.167.30.255', 3517390336, 3517390591, 'US', 'United States'),
(147748, '209.167.31.0', '209.167.34.111', 3517390592, 3517391471, 'CA', 'Canada'),
(147749, '209.167.34.112', '209.167.34.127', 3517391472, 3517391487, 'US', 'United States'),
(147750, '209.167.34.128', '209.167.34.175', 3517391488, 3517391535, 'CA', 'Canada'),
(147751, '209.167.34.176', '209.167.34.191', 3517391536, 3517391551, 'US', 'United States'),
(147752, '209.167.34.192', '209.167.36.255', 3517391552, 3517392127, 'CA', 'Canada'),
(147753, '209.167.37.0', '209.167.37.255', 3517392128, 3517392383, 'US', 'United States'),
(147754, '209.167.38.0', '209.167.38.255', 3517392384, 3517392639, 'CA', 'Canada'),
(147755, '209.167.39.0', '209.167.39.15', 3517392640, 3517392655, 'US', 'United States'),
(147756, '209.167.39.16', '209.167.39.79', 3517392656, 3517392719, 'CA', 'Canada'),
(147757, '209.167.39.80', '209.167.39.95', 3517392720, 3517392735, 'US', 'United States'),
(147758, '209.167.39.96', '209.167.39.175', 3517392736, 3517392815, 'CA', 'Canada'),
(147759, '209.167.39.176', '209.167.39.191', 3517392816, 3517392831, 'US', 'United States'),
(147760, '209.167.39.192', '209.167.39.207', 3517392832, 3517392847, 'CA', 'Canada'),
(147761, '209.167.39.208', '209.167.39.239', 3517392848, 3517392879, 'US', 'United States'),
(147762, '209.167.39.240', '209.167.41.255', 3517392880, 3517393407, 'CA', 'Canada'),
(147763, '209.167.42.0', '209.167.42.31', 3517393408, 3517393439, 'US', 'United States'),
(147764, '209.167.42.32', '209.167.42.63', 3517393440, 3517393471, 'CA', 'Canada'),
(147765, '209.167.42.64', '209.167.42.95', 3517393472, 3517393503, 'US', 'United States'),
(147766, '209.167.42.96', '209.167.50.207', 3517393504, 3517395663, 'CA', 'Canada'),
(147767, '209.167.50.208', '209.167.50.223', 3517395664, 3517395679, 'US', 'United States'),
(147768, '209.167.50.224', '209.167.50.239', 3517395680, 3517395695, 'CA', 'Canada'),
(147769, '209.167.50.240', '209.167.51.31', 3517395696, 3517395743, 'US', 'United States'),
(147770, '209.167.51.32', '209.167.51.95', 3517395744, 3517395807, 'CA', 'Canada'),
(147771, '209.167.51.96', '209.167.51.127', 3517395808, 3517395839, 'US', 'United States'),
(147772, '209.167.51.128', '209.167.51.159', 3517395840, 3517395871, 'CA', 'Canada'),
(147773, '209.167.51.160', '209.167.51.191', 3517395872, 3517395903, 'US', 'United States'),
(147774, '209.167.51.192', '209.167.52.127', 3517395904, 3517396095, 'CA', 'Canada'),
(147775, '209.167.52.128', '209.167.52.143', 3517396096, 3517396111, 'US', 'United States'),
(147776, '209.167.52.144', '209.167.52.159', 3517396112, 3517396127, 'CA', 'Canada'),
(147777, '209.167.52.160', '209.167.52.207', 3517396128, 3517396175, 'US', 'United States'),
(147778, '209.167.52.208', '209.167.55.175', 3517396176, 3517396911, 'CA', 'Canada'),
(147779, '209.167.55.176', '209.167.55.191', 3517396912, 3517396927, 'US', 'United States'),
(147780, '209.167.55.192', '209.167.57.255', 3517396928, 3517397503, 'CA', 'Canada'),
(147781, '209.167.58.0', '209.167.58.255', 3517397504, 3517397759, 'US', 'United States'),
(147782, '209.167.59.0', '209.167.59.255', 3517397760, 3517398015, 'CA', 'Canada'),
(147783, '209.167.60.0', '209.167.61.255', 3517398016, 3517398527, 'US', 'United States'),
(147784, '209.167.62.0', '209.167.65.255', 3517398528, 3517399551, 'CA', 'Canada'),
(147785, '209.167.66.0', '209.167.66.255', 3517399552, 3517399807, 'US', 'United States'),
(147786, '209.167.67.0', '209.167.67.63', 3517399808, 3517399871, 'CA', 'Canada'),
(147787, '209.167.67.64', '209.167.67.127', 3517399872, 3517399935, 'IL', 'Israel'),
(147788, '209.167.67.128', '209.167.70.255', 3517399936, 3517400831, 'CA', 'Canada'),
(147789, '209.167.71.0', '209.167.71.15', 3517400832, 3517400847, 'US', 'United States'),
(147790, '209.167.71.16', '209.167.72.95', 3517400848, 3517401183, 'CA', 'Canada'),
(147791, '209.167.72.96', '209.167.72.111', 3517401184, 3517401199, 'US', 'United States'),
(147792, '209.167.72.112', '209.167.72.191', 3517401200, 3517401279, 'CA', 'Canada'),
(147793, '209.167.72.192', '209.167.72.255', 3517401280, 3517401343, 'US', 'United States'),
(147794, '209.167.73.0', '209.167.73.255', 3517401344, 3517401599, 'CA', 'Canada'),
(147795, '209.167.74.0', '209.167.74.255', 3517401600, 3517401855, 'US', 'United States'),
(147796, '209.167.75.0', '209.167.78.255', 3517401856, 3517402879, 'CA', 'Canada'),
(147797, '209.167.79.0', '209.167.80.255', 3517402880, 3517403391, 'US', 'United States'),
(147798, '209.167.81.0', '209.167.81.63', 3517403392, 3517403455, 'CA', 'Canada'),
(147799, '209.167.81.64', '209.167.81.127', 3517403456, 3517403519, 'US', 'United States'),
(147800, '209.167.81.128', '209.167.83.255', 3517403520, 3517404159, 'CA', 'Canada'),
(147801, '209.167.84.0', '209.167.84.255', 3517404160, 3517404415, 'US', 'United States'),
(147802, '209.167.85.0', '209.167.86.255', 3517404416, 3517404927, 'CA', 'Canada'),
(147803, '209.167.87.0', '209.167.87.255', 3517404928, 3517405183, 'US', 'United States'),
(147804, '209.167.88.0', '209.167.94.31', 3517405184, 3517406751, 'CA', 'Canada'),
(147805, '209.167.94.32', '209.167.94.63', 3517406752, 3517406783, 'US', 'United States'),
(147806, '209.167.94.64', '209.167.96.127', 3517406784, 3517407359, 'CA', 'Canada'),
(147807, '209.167.96.128', '209.167.96.255', 3517407360, 3517407487, 'US', 'United States'),
(147808, '209.167.97.0', '209.167.98.255', 3517407488, 3517407999, 'CA', 'Canada'),
(147809, '209.167.99.0', '209.167.99.255', 3517408000, 3517408255, 'US', 'United States'),
(147810, '209.167.100.0', '209.167.101.71', 3517408256, 3517408583, 'CA', 'Canada'),
(147811, '209.167.101.72', '209.167.101.79', 3517408584, 3517408591, 'US', 'United States'),
(147812, '209.167.101.80', '209.167.101.191', 3517408592, 3517408703, 'CA', 'Canada'),
(147813, '209.167.101.192', '209.167.101.199', 3517408704, 3517408711, 'US', 'United States'),
(147814, '209.167.101.200', '209.167.101.215', 3517408712, 3517408727, 'CA', 'Canada'),
(147815, '209.167.101.216', '209.167.101.223', 3517408728, 3517408735, 'US', 'United States'),
(147816, '209.167.101.224', '209.167.101.231', 3517408736, 3517408743, 'CA', 'Canada'),
(147817, '209.167.101.232', '209.167.101.255', 3517408744, 3517408767, 'US', 'United States'),
(147818, '209.167.102.0', '209.167.102.31', 3517408768, 3517408799, 'CA', 'Canada'),
(147819, '209.167.102.32', '209.167.102.47', 3517408800, 3517408815, 'US', 'United States'),
(147820, '209.167.102.48', '209.167.102.127', 3517408816, 3517408895, 'CA', 'Canada'),
(147821, '209.167.102.128', '209.167.102.143', 3517408896, 3517408911, 'US', 'United States'),
(147822, '209.167.102.144', '209.167.102.223', 3517408912, 3517408991, 'CA', 'Canada'),
(147823, '209.167.102.224', '209.167.102.239', 3517408992, 3517409007, 'US', 'United States'),
(147824, '209.167.102.240', '209.167.103.255', 3517409008, 3517409279, 'CA', 'Canada'),
(147825, '209.167.104.0', '209.167.105.255', 3517409280, 3517409791, 'US', 'United States'),
(147826, '209.167.106.0', '209.167.110.255', 3517409792, 3517411071, 'CA', 'Canada'),
(147827, '209.167.111.0', '209.167.111.255', 3517411072, 3517411327, 'US', 'United States'),
(147828, '209.167.112.0', '209.167.124.63', 3517411328, 3517414463, 'CA', 'Canada'),
(147829, '209.167.124.64', '209.167.124.95', 3517414464, 3517414495, 'US', 'United States'),
(147830, '209.167.124.96', '209.167.130.47', 3517414496, 3517415983, 'CA', 'Canada'),
(147831, '209.167.130.48', '209.167.130.63', 3517415984, 3517415999, 'GB', 'United Kingdom'),
(147832, '209.167.130.64', '209.167.130.127', 3517416000, 3517416063, 'CA', 'Canada'),
(147833, '209.167.130.128', '209.167.130.143', 3517416064, 3517416079, 'US', 'United States'),
(147834, '209.167.130.144', '209.167.130.175', 3517416080, 3517416111, 'CA', 'Canada'),
(147835, '209.167.130.176', '209.167.130.191', 3517416112, 3517416127, 'US', 'United States'),
(147836, '209.167.130.192', '209.167.130.207', 3517416128, 3517416143, 'CA', 'Canada'),
(147837, '209.167.130.208', '209.167.130.223', 3517416144, 3517416159, 'US', 'United States'),
(147838, '209.167.130.224', '209.167.132.143', 3517416160, 3517416591, 'CA', 'Canada'),
(147839, '209.167.132.144', '209.167.132.159', 3517416592, 3517416607, 'US', 'United States'),
(147840, '209.167.132.160', '209.167.133.7', 3517416608, 3517416711, 'CA', 'Canada'),
(147841, '209.167.133.8', '209.167.133.23', 3517416712, 3517416727, 'US', 'United States'),
(147842, '209.167.133.24', '209.167.133.31', 3517416728, 3517416735, 'CA', 'Canada'),
(147843, '209.167.133.32', '209.167.133.39', 3517416736, 3517416743, 'US', 'United States'),
(147844, '209.167.133.40', '209.167.133.63', 3517416744, 3517416767, 'CA', 'Canada'),
(147845, '209.167.133.64', '209.167.133.79', 3517416768, 3517416783, 'US', 'United States'),
(147846, '209.167.133.80', '209.167.133.87', 3517416784, 3517416791, 'CA', 'Canada'),
(147847, '209.167.133.88', '209.167.133.95', 3517416792, 3517416799, 'US', 'United States'),
(147848, '209.167.133.96', '209.167.133.119', 3517416800, 3517416823, 'CA', 'Canada'),
(147849, '209.167.133.120', '209.167.133.135', 3517416824, 3517416839, 'US', 'United States'),
(147850, '209.167.133.136', '209.167.133.167', 3517416840, 3517416871, 'CA', 'Canada'),
(147851, '209.167.133.168', '209.167.133.175', 3517416872, 3517416879, 'US', 'United States'),
(147852, '209.167.133.176', '209.167.136.63', 3517416880, 3517417535, 'CA', 'Canada'),
(147853, '209.167.136.64', '209.167.136.95', 3517417536, 3517417567, 'US', 'United States'),
(147854, '209.167.136.96', '209.167.136.159', 3517417568, 3517417631, 'CA', 'Canada'),
(147855, '209.167.136.160', '209.167.136.191', 3517417632, 3517417663, 'US', 'United States'),
(147856, '209.167.136.192', '209.167.136.223', 3517417664, 3517417695, 'CA', 'Canada'),
(147857, '209.167.136.224', '209.167.137.127', 3517417696, 3517417855, 'US', 'United States'),
(147858, '209.167.137.128', '209.167.139.127', 3517417856, 3517418367, 'CA', 'Canada'),
(147859, '209.167.139.128', '209.167.139.159', 3517418368, 3517418399, 'US', 'United States'),
(147860, '209.167.139.160', '209.167.142.95', 3517418400, 3517419103, 'CA', 'Canada'),
(147861, '209.167.142.96', '209.167.142.127', 3517419104, 3517419135, 'US', 'United States'),
(147862, '209.167.142.128', '209.167.146.127', 3517419136, 3517420159, 'CA', 'Canada'),
(147863, '209.167.146.128', '209.167.146.255', 3517420160, 3517420287, 'US', 'United States'),
(147864, '209.167.147.0', '209.167.147.15', 3517420288, 3517420303, 'CA', 'Canada'),
(147865, '209.167.147.16', '209.167.147.23', 3517420304, 3517420311, 'US', 'United States'),
(147866, '209.167.147.24', '209.167.147.39', 3517420312, 3517420327, 'CA', 'Canada'),
(147867, '209.167.147.40', '209.167.147.47', 3517420328, 3517420335, 'US', 'United States'),
(147868, '209.167.147.48', '209.167.147.63', 3517420336, 3517420351, 'CA', 'Canada'),
(147869, '209.167.147.64', '209.167.147.71', 3517420352, 3517420359, 'US', 'United States'),
(147870, '209.167.147.72', '209.167.147.95', 3517420360, 3517420383, 'CA', 'Canada'),
(147871, '209.167.147.96', '209.167.147.111', 3517420384, 3517420399, 'US', 'United States'),
(147872, '209.167.147.112', '209.167.147.119', 3517420400, 3517420407, 'CA', 'Canada'),
(147873, '209.167.147.120', '209.167.147.143', 3517420408, 3517420431, 'US', 'United States'),
(147874, '209.167.147.144', '209.167.147.151', 3517420432, 3517420439, 'CA', 'Canada'),
(147875, '209.167.147.152', '209.167.147.159', 3517420440, 3517420447, 'US', 'United States'),
(147876, '209.167.147.160', '209.167.147.183', 3517420448, 3517420471, 'CA', 'Canada'),
(147877, '209.167.147.184', '209.167.147.191', 3517420472, 3517420479, 'US', 'United States'),
(147878, '209.167.147.192', '209.167.147.199', 3517420480, 3517420487, 'CA', 'Canada'),
(147879, '209.167.147.200', '209.167.147.207', 3517420488, 3517420495, 'US', 'United States'),
(147880, '209.167.147.208', '209.167.155.255', 3517420496, 3517422591, 'CA', 'Canada'),
(147881, '209.167.156.0', '209.167.156.7', 3517422592, 3517422599, 'US', 'United States'),
(147882, '209.167.156.8', '209.167.156.71', 3517422600, 3517422663, 'CA', 'Canada'),
(147883, '209.167.156.72', '209.167.156.95', 3517422664, 3517422687, 'US', 'United States'),
(147884, '209.167.156.96', '209.167.156.103', 3517422688, 3517422695, 'CA', 'Canada'),
(147885, '209.167.156.104', '209.167.156.111', 3517422696, 3517422703, 'US', 'United States'),
(147886, '209.167.156.112', '209.167.156.127', 3517422704, 3517422719, 'CA', 'Canada'),
(147887, '209.167.156.128', '209.167.156.167', 3517422720, 3517422759, 'US', 'United States'),
(147888, '209.167.156.168', '209.167.156.191', 3517422760, 3517422783, 'CA', 'Canada'),
(147889, '209.167.156.192', '209.167.156.199', 3517422784, 3517422791, 'US', 'United States'),
(147890, '209.167.156.200', '209.167.162.191', 3517422792, 3517424319, 'CA', 'Canada'),
(147891, '209.167.162.192', '209.167.162.207', 3517424320, 3517424335, 'SE', 'Sweden'),
(147892, '209.167.162.208', '209.167.163.127', 3517424336, 3517424511, 'CA', 'Canada'),
(147893, '209.167.163.128', '209.167.163.159', 3517424512, 3517424543, 'US', 'United States'),
(147894, '209.167.163.160', '209.167.163.239', 3517424544, 3517424623, 'CA', 'Canada'),
(147895, '209.167.163.240', '209.167.163.255', 3517424624, 3517424639, 'US', 'United States'),
(147896, '209.167.164.0', '209.167.165.127', 3517424640, 3517425023, 'CA', 'Canada'),
(147897, '209.167.165.128', '209.167.165.191', 3517425024, 3517425087, 'US', 'United States'),
(147898, '209.167.165.192', '209.167.169.127', 3517425088, 3517426047, 'CA', 'Canada'),
(147899, '209.167.169.128', '209.167.169.191', 3517426048, 3517426111, 'US', 'United States'),
(147900, '209.167.169.192', '209.167.171.255', 3517426112, 3517426687, 'CA', 'Canada'),
(147901, '209.167.172.0', '209.167.172.63', 3517426688, 3517426751, 'US', 'United States'),
(147902, '209.167.172.64', '209.167.175.255', 3517426752, 3517427711, 'CA', 'Canada'),
(147903, '209.167.176.0', '209.167.176.15', 3517427712, 3517427727, 'US', 'United States'),
(147904, '209.167.176.16', '209.167.177.95', 3517427728, 3517428063, 'CA', 'Canada'),
(147905, '209.167.177.96', '209.167.177.127', 3517428064, 3517428095, 'US', 'United States'),
(147906, '209.167.177.128', '209.167.178.207', 3517428096, 3517428431, 'CA', 'Canada'),
(147907, '209.167.178.208', '209.167.178.223', 3517428432, 3517428447, 'US', 'United States'),
(147908, '209.167.178.224', '209.167.183.255', 3517428448, 3517429759, 'CA', 'Canada'),
(147909, '209.167.184.0', '209.167.184.31', 3517429760, 3517429791, 'US', 'United States'),
(147910, '209.167.184.32', '209.167.184.255', 3517429792, 3517430015, 'CA', 'Canada'),
(147911, '209.167.185.0', '209.167.185.15', 3517430016, 3517430031, 'US', 'United States'),
(147912, '209.167.185.16', '209.167.185.111', 3517430032, 3517430127, 'CA', 'Canada'),
(147913, '209.167.185.112', '209.167.185.127', 3517430128, 3517430143, 'US', 'United States'),
(147914, '209.167.185.128', '209.167.185.159', 3517430144, 3517430175, 'CA', 'Canada'),
(147915, '209.167.185.160', '209.167.185.175', 3517430176, 3517430191, 'US', 'United States'),
(147916, '209.167.185.176', '209.167.185.191', 3517430192, 3517430207, 'CA', 'Canada'),
(147917, '209.167.185.192', '209.167.185.207', 3517430208, 3517430223, 'US', 'United States'),
(147918, '209.167.185.208', '209.167.185.223', 3517430224, 3517430239, 'CA', 'Canada'),
(147919, '209.167.185.224', '209.167.185.239', 3517430240, 3517430255, 'US', 'United States'),
(147920, '209.167.185.240', '209.167.187.255', 3517430256, 3517430783, 'CA', 'Canada'),
(147921, '209.167.188.0', '209.167.188.255', 3517430784, 3517431039, 'US', 'United States'),
(147922, '209.167.189.0', '209.167.191.47', 3517431040, 3517431599, 'CA', 'Canada'),
(147923, '209.167.191.48', '209.167.191.63', 3517431600, 3517431615, 'US', 'United States'),
(147924, '209.167.191.64', '209.167.191.111', 3517431616, 3517431663, 'CA', 'Canada'),
(147925, '209.167.191.112', '209.167.191.127', 3517431664, 3517431679, 'US', 'United States'),
(147926, '209.167.191.128', '209.167.191.143', 3517431680, 3517431695, 'CA', 'Canada'),
(147927, '209.167.191.144', '209.167.191.159', 3517431696, 3517431711, 'NL', 'Netherlands'),
(147928, '209.167.191.160', '209.167.191.175', 3517431712, 3517431727, 'CA', 'Canada'),
(147929, '209.167.191.176', '209.167.191.191', 3517431728, 3517431743, 'US', 'United States'),
(147930, '209.167.191.192', '209.167.191.207', 3517431744, 3517431759, 'CA', 'Canada'),
(147931, '209.167.191.208', '209.167.191.223', 3517431760, 3517431775, 'US', 'United States'),
(147932, '209.167.191.224', '209.167.191.255', 3517431776, 3517431807, 'CA', 'Canada'),
(147933, '209.167.192.0', '209.167.192.15', 3517431808, 3517431823, 'US', 'United States'),
(147934, '209.167.192.16', '209.167.192.111', 3517431824, 3517431919, 'CA', 'Canada'),
(147935, '209.167.192.112', '209.167.192.143', 3517431920, 3517431951, 'US', 'United States'),
(147936, '209.167.192.144', '209.167.192.159', 3517431952, 3517431967, 'CA', 'Canada'),
(147937, '209.167.192.160', '209.167.192.175', 3517431968, 3517431983, 'US', 'United States'),
(147938, '209.167.192.176', '209.167.193.127', 3517431984, 3517432191, 'CA', 'Canada'),
(147939, '209.167.193.128', '209.167.193.255', 3517432192, 3517432319, 'US', 'United States'),
(147940, '209.167.194.0', '209.167.200.63', 3517432320, 3517433919, 'CA', 'Canada'),
(147941, '209.167.200.64', '209.167.200.127', 3517433920, 3517433983, 'US', 'United States'),
(147942, '209.167.200.128', '209.167.201.255', 3517433984, 3517434367, 'CA', 'Canada'),
(147943, '209.167.202.0', '209.167.202.7', 3517434368, 3517434375, 'US', 'United States'),
(147944, '209.167.202.8', '209.167.202.135', 3517434376, 3517434503, 'CA', 'Canada'),
(147945, '209.167.202.136', '209.167.202.159', 3517434504, 3517434527, 'US', 'United States'),
(147946, '209.167.202.160', '209.167.202.199', 3517434528, 3517434567, 'CA', 'Canada'),
(147947, '209.167.202.200', '209.167.202.215', 3517434568, 3517434583, 'US', 'United States'),
(147948, '209.167.202.216', '209.167.202.231', 3517434584, 3517434599, 'CA', 'Canada'),
(147949, '209.167.202.232', '209.167.202.247', 3517434600, 3517434615, 'US', 'United States'),
(147950, '209.167.202.248', '209.167.204.127', 3517434616, 3517435007, 'CA', 'Canada'),
(147951, '209.167.204.128', '209.167.204.255', 3517435008, 3517435135, 'US', 'United States'),
(147952, '209.167.205.0', '209.167.212.7', 3517435136, 3517436935, 'CA', 'Canada'),
(147953, '209.167.212.8', '209.167.212.15', 3517436936, 3517436943, 'US', 'United States'),
(147954, '209.167.212.16', '209.167.212.47', 3517436944, 3517436975, 'CA', 'Canada'),
(147955, '209.167.212.48', '209.167.212.55', 3517436976, 3517436983, 'US', 'United States'),
(147956, '209.167.212.56', '209.167.212.63', 3517436984, 3517436991, 'CA', 'Canada'),
(147957, '209.167.212.64', '209.167.212.71', 3517436992, 3517436999, 'US', 'United States'),
(147958, '209.167.212.72', '209.167.212.79', 3517437000, 3517437007, 'CA', 'Canada'),
(147959, '209.167.212.80', '209.167.212.87', 3517437008, 3517437015, 'US', 'United States'),
(147960, '209.167.212.88', '209.167.212.111', 3517437016, 3517437039, 'CA', 'Canada'),
(147961, '209.167.212.112', '209.167.212.127', 3517437040, 3517437055, 'US', 'United States'),
(147962, '209.167.212.128', '209.167.212.143', 3517437056, 3517437071, 'CA', 'Canada'),
(147963, '209.167.212.144', '209.167.212.151', 3517437072, 3517437079, 'US', 'United States'),
(147964, '209.167.212.152', '209.167.212.159', 3517437080, 3517437087, 'CA', 'Canada'),
(147965, '209.167.212.160', '209.167.212.167', 3517437088, 3517437095, 'NO', 'Norway');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(147966, '209.167.212.168', '209.167.212.207', 3517437096, 3517437135, 'CA', 'Canada'),
(147967, '209.167.212.208', '209.167.212.215', 3517437136, 3517437143, 'US', 'United States'),
(147968, '209.167.212.216', '209.167.212.223', 3517437144, 3517437151, 'CA', 'Canada'),
(147969, '209.167.212.224', '209.167.212.247', 3517437152, 3517437175, 'US', 'United States'),
(147970, '209.167.212.248', '209.167.216.191', 3517437176, 3517438143, 'CA', 'Canada'),
(147971, '209.167.216.192', '209.167.216.255', 3517438144, 3517438207, 'US', 'United States'),
(147972, '209.167.217.0', '209.167.217.255', 3517438208, 3517438463, 'CA', 'Canada'),
(147973, '209.167.218.0', '209.167.218.63', 3517438464, 3517438527, 'US', 'United States'),
(147974, '209.167.218.64', '209.167.218.127', 3517438528, 3517438591, 'CA', 'Canada'),
(147975, '209.167.218.128', '209.167.218.191', 3517438592, 3517438655, 'US', 'United States'),
(147976, '209.167.218.192', '209.167.219.31', 3517438656, 3517438751, 'CA', 'Canada'),
(147977, '209.167.219.32', '209.167.219.63', 3517438752, 3517438783, 'US', 'United States'),
(147978, '209.167.219.64', '209.167.219.159', 3517438784, 3517438879, 'CA', 'Canada'),
(147979, '209.167.219.160', '209.167.219.191', 3517438880, 3517438911, 'KW', 'Kuwait'),
(147980, '209.167.219.192', '209.167.221.255', 3517438912, 3517439487, 'CA', 'Canada'),
(147981, '209.167.222.0', '209.167.222.127', 3517439488, 3517439615, 'US', 'United States'),
(147982, '209.167.222.128', '209.167.232.191', 3517439616, 3517442239, 'CA', 'Canada'),
(147983, '209.167.232.192', '209.167.232.255', 3517442240, 3517442303, 'US', 'United States'),
(147984, '209.167.233.0', '209.167.233.15', 3517442304, 3517442319, 'CA', 'Canada'),
(147985, '209.167.233.16', '209.167.233.31', 3517442320, 3517442335, 'US', 'United States'),
(147986, '209.167.233.32', '209.167.233.79', 3517442336, 3517442383, 'CA', 'Canada'),
(147987, '209.167.233.80', '209.167.233.95', 3517442384, 3517442399, 'US', 'United States'),
(147988, '209.167.233.96', '209.167.233.127', 3517442400, 3517442431, 'CA', 'Canada'),
(147989, '209.167.233.128', '209.167.233.143', 3517442432, 3517442447, 'US', 'United States'),
(147990, '209.167.233.144', '209.167.238.63', 3517442448, 3517443647, 'CA', 'Canada'),
(147991, '209.167.238.64', '209.167.238.95', 3517443648, 3517443679, 'US', 'United States'),
(147992, '209.167.238.96', '209.167.240.127', 3517443680, 3517444223, 'CA', 'Canada'),
(147993, '209.167.240.128', '209.167.240.255', 3517444224, 3517444351, 'US', 'United States'),
(147994, '209.167.241.0', '209.167.242.63', 3517444352, 3517444671, 'CA', 'Canada'),
(147995, '209.167.242.64', '209.167.242.127', 3517444672, 3517444735, 'US', 'United States'),
(147996, '209.167.242.128', '209.167.242.191', 3517444736, 3517444799, 'CA', 'Canada'),
(147997, '209.167.242.192', '209.167.242.255', 3517444800, 3517444863, 'US', 'United States'),
(147998, '209.167.243.0', '209.167.244.79', 3517444864, 3517445199, 'CA', 'Canada'),
(147999, '209.167.244.80', '209.167.244.255', 3517445200, 3517445375, 'US', 'United States'),
(148000, '209.167.245.0', '209.167.245.127', 3517445376, 3517445503, 'CA', 'Canada'),
(148001, '209.167.245.128', '209.167.245.191', 3517445504, 3517445567, 'US', 'United States'),
(148002, '209.167.245.192', '209.167.246.255', 3517445568, 3517445887, 'CA', 'Canada'),
(148003, '209.167.247.0', '209.167.247.127', 3517445888, 3517446015, 'US', 'United States'),
(148004, '209.167.247.128', '209.167.250.255', 3517446016, 3517446911, 'CA', 'Canada'),
(148005, '209.167.251.0', '209.167.251.255', 3517446912, 3517447167, 'US', 'United States'),
(148006, '209.167.252.0', '209.167.254.47', 3517447168, 3517447727, 'CA', 'Canada'),
(148007, '209.167.254.48', '209.167.254.63', 3517447728, 3517447743, 'US', 'United States'),
(148008, '209.167.254.64', '209.167.254.103', 3517447744, 3517447783, 'CA', 'Canada'),
(148009, '209.167.254.104', '209.167.254.111', 3517447784, 3517447791, 'US', 'United States'),
(148010, '209.167.254.112', '209.167.254.167', 3517447792, 3517447847, 'CA', 'Canada'),
(148011, '209.167.254.168', '209.167.254.183', 3517447848, 3517447863, 'US', 'United States'),
(148012, '209.167.254.184', '209.167.255.255', 3517447864, 3517448191, 'CA', 'Canada'),
(148013, '209.168.0.0', '209.169.36.223', 3517448192, 3517523167, 'US', 'United States'),
(148014, '209.169.36.224', '209.169.36.239', 3517523168, 3517523183, 'BS', 'Bahamas'),
(148015, '209.169.36.240', '209.169.38.215', 3517523184, 3517523671, 'US', 'United States'),
(148016, '209.169.38.216', '209.169.38.223', 3517523672, 3517523679, 'KY', 'Cayman Islands'),
(148017, '209.169.38.224', '209.169.40.215', 3517523680, 3517524183, 'US', 'United States'),
(148018, '209.169.40.216', '209.169.40.223', 3517524184, 3517524191, 'VI', 'Virgin Islands, U.S.'),
(148019, '209.169.40.224', '209.169.127.255', 3517524192, 3517546495, 'US', 'United States'),
(148020, '209.169.128.0', '209.169.191.255', 3517546496, 3517562879, 'CA', 'Canada'),
(148021, '209.169.192.0', '209.170.63.255', 3517562880, 3517595647, 'US', 'United States'),
(148022, '209.170.64.0', '209.170.67.255', 3517595648, 3517596671, 'SE', 'Sweden'),
(148023, '209.170.68.0', '209.170.68.255', 3517596672, 3517596927, 'US', 'United States'),
(148024, '209.170.69.0', '209.170.69.255', 3517596928, 3517597183, 'IE', 'Ireland'),
(148025, '209.170.70.0', '209.170.71.255', 3517597184, 3517597695, 'US', 'United States'),
(148026, '209.170.72.0', '209.170.72.255', 3517597696, 3517597951, 'IE', 'Ireland'),
(148027, '209.170.73.0', '209.170.73.255', 3517597952, 3517598207, 'DE', 'Germany'),
(148028, '209.170.74.0', '209.170.74.255', 3517598208, 3517598463, 'IE', 'Ireland'),
(148029, '209.170.75.0', '209.170.75.63', 3517598464, 3517598527, 'SE', 'Sweden'),
(148030, '209.170.75.64', '209.170.75.95', 3517598528, 3517598559, 'FR', 'France'),
(148031, '209.170.75.96', '209.170.75.127', 3517598560, 3517598591, 'SE', 'Sweden'),
(148032, '209.170.75.128', '209.170.75.255', 3517598592, 3517598719, 'US', 'United States'),
(148033, '209.170.76.0', '209.170.78.127', 3517598720, 3517599359, 'SE', 'Sweden'),
(148034, '209.170.78.128', '209.170.78.255', 3517599360, 3517599487, 'US', 'United States'),
(148035, '209.170.79.0', '209.170.83.255', 3517599488, 3517600767, 'SE', 'Sweden'),
(148036, '209.170.84.0', '209.170.85.255', 3517600768, 3517601279, 'US', 'United States'),
(148037, '209.170.86.0', '209.170.88.255', 3517601280, 3517602047, 'SE', 'Sweden'),
(148038, '209.170.89.0', '209.170.89.255', 3517602048, 3517602303, 'DE', 'Germany'),
(148039, '209.170.90.0', '209.170.90.255', 3517602304, 3517602559, 'US', 'United States'),
(148040, '209.170.91.0', '209.170.91.15', 3517602560, 3517602575, 'SE', 'Sweden'),
(148041, '209.170.91.16', '209.170.91.31', 3517602576, 3517602591, 'US', 'United States'),
(148042, '209.170.91.32', '209.170.91.127', 3517602592, 3517602687, 'SE', 'Sweden'),
(148043, '209.170.91.128', '209.170.91.255', 3517602688, 3517602815, 'US', 'United States'),
(148044, '209.170.92.0', '209.170.92.255', 3517602816, 3517603071, 'SE', 'Sweden'),
(148045, '209.170.93.0', '209.170.95.31', 3517603072, 3517603615, 'US', 'United States'),
(148046, '209.170.95.32', '209.170.95.63', 3517603616, 3517603647, 'DE', 'Germany'),
(148047, '209.170.95.64', '209.170.95.127', 3517603648, 3517603711, 'US', 'United States'),
(148048, '209.170.95.128', '209.170.96.127', 3517603712, 3517603967, 'SE', 'Sweden'),
(148049, '209.170.96.128', '209.170.96.191', 3517603968, 3517604031, 'DE', 'Germany'),
(148050, '209.170.96.192', '209.170.96.255', 3517604032, 3517604095, 'SE', 'Sweden'),
(148051, '209.170.97.0', '209.170.97.255', 3517604096, 3517604351, 'US', 'United States'),
(148052, '209.170.98.0', '209.170.100.255', 3517604352, 3517605119, 'SE', 'Sweden'),
(148053, '209.170.101.0', '209.170.101.255', 3517605120, 3517605375, 'US', 'United States'),
(148054, '209.170.102.0', '209.170.103.143', 3517605376, 3517605775, 'SE', 'Sweden'),
(148055, '209.170.103.144', '209.170.103.159', 3517605776, 3517605791, 'US', 'United States'),
(148056, '209.170.103.160', '209.170.103.255', 3517605792, 3517605887, 'SE', 'Sweden'),
(148057, '209.170.104.0', '209.170.104.255', 3517605888, 3517606143, 'US', 'United States'),
(148058, '209.170.105.0', '209.170.105.127', 3517606144, 3517606271, 'SE', 'Sweden'),
(148059, '209.170.105.128', '209.170.105.255', 3517606272, 3517606399, 'US', 'United States'),
(148060, '209.170.106.0', '209.170.107.255', 3517606400, 3517606911, 'SE', 'Sweden'),
(148061, '209.170.108.0', '209.170.111.255', 3517606912, 3517607935, 'US', 'United States'),
(148062, '209.170.112.0', '209.170.112.255', 3517607936, 3517608191, 'DE', 'Germany'),
(148063, '209.170.113.0', '209.170.113.255', 3517608192, 3517608447, 'US', 'United States'),
(148064, '209.170.114.0', '209.170.114.255', 3517608448, 3517608703, 'GB', 'United Kingdom'),
(148065, '209.170.115.0', '209.170.119.15', 3517608704, 3517609743, 'US', 'United States'),
(148066, '209.170.119.16', '209.170.119.31', 3517609744, 3517609759, 'SE', 'Sweden'),
(148067, '209.170.119.32', '209.170.119.63', 3517609760, 3517609791, 'US', 'United States'),
(148068, '209.170.119.64', '209.170.119.127', 3517609792, 3517609855, 'SE', 'Sweden'),
(148069, '209.170.119.128', '209.170.120.31', 3517609856, 3517610015, 'US', 'United States'),
(148070, '209.170.120.32', '209.170.120.127', 3517610016, 3517610111, 'SE', 'Sweden'),
(148071, '209.170.120.128', '209.170.120.159', 3517610112, 3517610143, 'NO', 'Norway'),
(148072, '209.170.120.160', '209.170.120.191', 3517610144, 3517610175, 'SE', 'Sweden'),
(148073, '209.170.120.192', '209.170.120.199', 3517610176, 3517610183, 'US', 'United States'),
(148074, '209.170.120.200', '209.170.120.207', 3517610184, 3517610191, 'SE', 'Sweden'),
(148075, '209.170.120.208', '209.170.120.215', 3517610192, 3517610199, 'US', 'United States'),
(148076, '209.170.120.216', '209.170.121.255', 3517610200, 3517610495, 'SE', 'Sweden'),
(148077, '209.170.122.0', '209.170.124.255', 3517610496, 3517611263, 'IE', 'Ireland'),
(148078, '209.170.125.0', '209.170.125.31', 3517611264, 3517611295, 'SE', 'Sweden'),
(148079, '209.170.125.32', '209.170.125.39', 3517611296, 3517611303, 'DE', 'Germany'),
(148080, '209.170.125.40', '209.170.125.47', 3517611304, 3517611311, 'CA', 'Canada'),
(148081, '209.170.125.48', '209.170.125.103', 3517611312, 3517611367, 'SE', 'Sweden'),
(148082, '209.170.125.104', '209.170.125.119', 3517611368, 3517611383, 'US', 'United States'),
(148083, '209.170.125.120', '209.170.125.199', 3517611384, 3517611463, 'SE', 'Sweden'),
(148084, '209.170.125.200', '209.170.125.207', 3517611464, 3517611471, 'IL', 'Israel'),
(148085, '209.170.125.208', '209.170.127.255', 3517611472, 3517612031, 'SE', 'Sweden'),
(148086, '209.170.128.0', '209.170.255.255', 3517612032, 3517644799, 'US', 'United States'),
(148087, '209.171.0.0', '209.171.255.255', 3517644800, 3517710335, 'CA', 'Canada'),
(148088, '209.172.0.0', '209.172.31.255', 3517710336, 3517718527, 'US', 'United States'),
(148089, '209.172.32.0', '209.172.63.255', 3517718528, 3517726719, 'CA', 'Canada'),
(148090, '209.172.64.0', '209.173.246.79', 3517726720, 3517838927, 'US', 'United States'),
(148091, '209.173.246.80', '209.173.246.90', 3517838928, 3517838938, 'LB', 'Lebanon'),
(148092, '209.173.246.91', '209.176.25.223', 3517838939, 3517979103, 'US', 'United States'),
(148093, '209.176.25.224', '209.176.25.231', 3517979104, 3517979111, 'CA', 'Canada'),
(148094, '209.176.25.232', '209.176.66.111', 3517979112, 3517989487, 'US', 'United States'),
(148095, '209.176.66.112', '209.176.66.127', 3517989488, 3517989503, 'CA', 'Canada'),
(148096, '209.176.66.128', '209.176.67.63', 3517989504, 3517989695, 'US', 'United States'),
(148097, '209.176.67.64', '209.176.67.95', 3517989696, 3517989727, 'CA', 'Canada'),
(148098, '209.176.67.96', '209.176.68.135', 3517989728, 3517990023, 'US', 'United States'),
(148099, '209.176.68.136', '209.176.68.143', 3517990024, 3517990031, 'CA', 'Canada'),
(148100, '209.176.68.144', '209.176.71.255', 3517990032, 3517990911, 'US', 'United States'),
(148101, '209.176.72.0', '209.176.73.255', 3517990912, 3517991423, 'CA', 'Canada'),
(148102, '209.176.74.0', '209.177.95.255', 3517991424, 3518062591, 'US', 'United States'),
(148103, '209.177.96.0', '209.177.111.255', 3518062592, 3518066687, 'CA', 'Canada'),
(148104, '209.177.112.0', '209.177.146.63', 3518066688, 3518075455, 'US', 'United States'),
(148105, '209.177.146.64', '209.177.146.127', 3518075456, 3518075519, 'AR', 'Argentina'),
(148106, '209.177.146.128', '209.177.146.191', 3518075520, 3518075583, 'US', 'United States'),
(148107, '209.177.146.192', '209.177.146.255', 3518075584, 3518075647, 'MX', 'Mexico'),
(148108, '209.177.147.0', '209.177.147.255', 3518075648, 3518075903, 'AU', 'Australia'),
(148109, '209.177.148.0', '209.177.148.175', 3518075904, 3518076079, 'US', 'United States'),
(148110, '209.177.148.176', '209.177.148.183', 3518076080, 3518076087, 'AU', 'Australia'),
(148111, '209.177.148.184', '209.177.150.255', 3518076088, 3518076671, 'US', 'United States'),
(148112, '209.177.151.0', '209.177.151.255', 3518076672, 3518076927, 'PA', 'Panama'),
(148113, '209.177.152.0', '209.182.35.63', 3518076928, 3518374719, 'US', 'United States'),
(148114, '209.182.35.64', '209.182.35.127', 3518374720, 3518374783, 'IN', 'India'),
(148115, '209.182.35.128', '209.182.56.191', 3518374784, 3518380223, 'US', 'United States'),
(148116, '209.182.56.192', '209.182.56.255', 3518380224, 3518380287, 'DE', 'Germany'),
(148117, '209.182.57.0', '209.182.59.255', 3518380288, 3518381055, 'US', 'United States'),
(148118, '209.182.60.0', '209.182.60.255', 3518381056, 3518381311, 'IN', 'India'),
(148119, '209.182.61.0', '209.182.61.127', 3518381312, 3518381439, 'US', 'United States'),
(148120, '209.182.61.128', '209.182.61.255', 3518381440, 3518381567, 'IN', 'India'),
(148121, '209.182.62.0', '209.182.62.63', 3518381568, 3518381631, 'DE', 'Germany'),
(148122, '209.182.62.64', '209.182.255.255', 3518381632, 3518431231, 'US', 'United States'),
(148123, '209.183.0.0', '209.183.31.255', 3518431232, 3518439423, 'CA', 'Canada'),
(148124, '209.183.32.0', '209.183.127.255', 3518439424, 3518463999, 'US', 'United States'),
(148125, '209.183.128.0', '209.183.159.255', 3518464000, 3518472191, 'CA', 'Canada'),
(148126, '209.183.160.0', '209.188.1.239', 3518472192, 3518759407, 'US', 'United States'),
(148127, '209.188.1.240', '209.188.1.255', 3518759408, 3518759423, 'CY', 'Cyprus'),
(148128, '209.188.2.0', '209.188.6.63', 3518759424, 3518760511, 'US', 'United States'),
(148129, '209.188.6.64', '209.188.6.127', 3518760512, 3518760575, 'AU', 'Australia'),
(148130, '209.188.6.128', '209.188.13.255', 3518760576, 3518762495, 'US', 'United States'),
(148131, '209.188.14.0', '209.188.14.255', 3518762496, 3518762751, 'GB', 'United Kingdom'),
(148132, '209.188.15.0', '209.188.22.127', 3518762752, 3518764671, 'US', 'United States'),
(148133, '209.188.22.128', '209.188.22.159', 3518764672, 3518764703, 'NL', 'Netherlands'),
(148134, '209.188.22.160', '209.188.24.255', 3518764704, 3518765311, 'US', 'United States'),
(148135, '209.188.25.0', '209.188.25.255', 3518765312, 3518765567, 'CA', 'Canada'),
(148136, '209.188.26.0', '209.188.31.31', 3518765568, 3518766879, 'US', 'United States'),
(148137, '209.188.31.32', '209.188.31.63', 3518766880, 3518766911, 'TH', 'Thailand'),
(148138, '209.188.31.64', '209.190.9.127', 3518766912, 3518892415, 'US', 'United States'),
(148139, '209.190.9.128', '209.190.9.135', 3518892416, 3518892423, 'GB', 'United Kingdom'),
(148140, '209.190.9.136', '209.190.17.103', 3518892424, 3518894439, 'US', 'United States'),
(148141, '209.190.17.104', '209.190.17.111', 3518894440, 3518894447, 'TR', 'Turkey'),
(148142, '209.190.17.112', '209.190.22.167', 3518894448, 3518895783, 'US', 'United States'),
(148143, '209.190.22.168', '209.190.22.175', 3518895784, 3518895791, 'TH', 'Thailand'),
(148144, '209.190.22.176', '209.190.24.87', 3518895792, 3518896215, 'US', 'United States'),
(148145, '209.190.24.88', '209.190.24.95', 3518896216, 3518896223, 'CA', 'Canada'),
(148146, '209.190.24.96', '209.190.24.103', 3518896224, 3518896231, 'US', 'United States'),
(148147, '209.190.24.104', '209.190.24.111', 3518896232, 3518896239, 'CN', 'China'),
(148148, '209.190.24.112', '209.190.27.223', 3518896240, 3518897119, 'US', 'United States'),
(148149, '209.190.27.224', '209.190.27.231', 3518897120, 3518897127, 'IT', 'Italy'),
(148150, '209.190.27.232', '209.190.51.151', 3518897128, 3518903191, 'US', 'United States'),
(148151, '209.190.51.152', '209.190.51.159', 3518903192, 3518903199, 'JP', 'Japan'),
(148152, '209.190.51.160', '209.190.60.255', 3518903200, 3518905599, 'US', 'United States'),
(148153, '209.190.61.0', '209.190.61.255', 3518905600, 3518905855, 'GB', 'United Kingdom'),
(148154, '209.190.62.0', '209.190.84.255', 3518905856, 3518911743, 'US', 'United States'),
(148155, '209.190.85.0', '209.190.85.255', 3518911744, 3518911999, 'GB', 'United Kingdom'),
(148156, '209.190.86.0', '209.190.87.255', 3518912000, 3518912511, 'US', 'United States'),
(148157, '209.190.88.0', '209.190.88.255', 3518912512, 3518912767, 'IN', 'India'),
(148158, '209.190.89.0', '209.190.154.127', 3518912768, 3518929535, 'US', 'United States'),
(148159, '209.190.154.128', '209.190.154.191', 3518929536, 3518929599, 'CA', 'Canada'),
(148160, '209.190.154.192', '209.191.156.239', 3518929600, 3518995695, 'US', 'United States'),
(148161, '209.191.156.240', '209.191.156.247', 3518995696, 3518995703, 'GB', 'United Kingdom'),
(148162, '209.191.156.248', '209.195.63.255', 3518995704, 3519234047, 'US', 'United States'),
(148163, '209.195.64.0', '209.195.127.255', 3519234048, 3519250431, 'CA', 'Canada'),
(148164, '209.195.128.0', '209.196.147.143', 3519250432, 3519320975, 'US', 'United States'),
(148165, '209.196.147.144', '209.196.147.151', 3519320976, 3519320983, 'GR', 'Greece'),
(148166, '209.196.147.152', '209.196.223.255', 3519320984, 3519340543, 'US', 'United States'),
(148167, '209.196.224.0', '209.196.239.255', 3519340544, 3519344639, 'CA', 'Canada'),
(148168, '209.196.240.0', '209.197.5.63', 3519344640, 3519350079, 'US', 'United States'),
(148169, '209.197.5.64', '209.197.5.71', 3519350080, 3519350087, 'NL', 'Netherlands'),
(148170, '209.197.5.72', '209.197.5.255', 3519350088, 3519350271, 'US', 'United States'),
(148171, '209.197.6.0', '209.197.6.127', 3519350272, 3519350399, 'A1', 'Anonymous Proxy'),
(148172, '209.197.6.128', '209.197.10.31', 3519350400, 3519351327, 'US', 'United States'),
(148173, '209.197.10.32', '209.197.10.63', 3519351328, 3519351359, 'GB', 'United Kingdom'),
(148174, '209.197.10.64', '209.197.10.127', 3519351360, 3519351423, 'US', 'United States'),
(148175, '209.197.10.128', '209.197.10.159', 3519351424, 3519351455, 'GB', 'United Kingdom'),
(148176, '209.197.10.160', '209.197.10.255', 3519351456, 3519351551, 'US', 'United States'),
(148177, '209.197.11.0', '209.197.11.255', 3519351552, 3519351807, 'GB', 'United Kingdom'),
(148178, '209.197.12.0', '209.197.15.255', 3519351808, 3519352831, 'US', 'United States'),
(148179, '209.197.16.0', '209.197.16.127', 3519352832, 3519352959, 'A1', 'Anonymous Proxy'),
(148180, '209.197.16.128', '209.197.20.191', 3519352960, 3519354047, 'US', 'United States'),
(148181, '209.197.20.192', '209.197.20.255', 3519354048, 3519354111, 'A1', 'Anonymous Proxy'),
(148182, '209.197.21.0', '209.197.25.255', 3519354112, 3519355391, 'US', 'United States'),
(148183, '209.197.26.0', '209.197.26.127', 3519355392, 3519355519, 'A1', 'Anonymous Proxy'),
(148184, '209.197.26.128', '209.197.127.255', 3519355520, 3519381503, 'US', 'United States'),
(148185, '209.197.128.0', '209.197.191.255', 3519381504, 3519397887, 'CA', 'Canada'),
(148186, '209.197.192.0', '209.197.223.255', 3519397888, 3519406079, 'US', 'United States'),
(148187, '209.197.224.0', '209.197.224.63', 3519406080, 3519406143, 'IT', 'Italy'),
(148188, '209.197.224.64', '209.197.224.175', 3519406144, 3519406255, 'US', 'United States'),
(148189, '209.197.224.176', '209.197.224.183', 3519406256, 3519406263, 'SA', 'Saudi Arabia'),
(148190, '209.197.224.184', '209.197.225.39', 3519406264, 3519406375, 'US', 'United States'),
(148191, '209.197.225.40', '209.197.225.47', 3519406376, 3519406383, 'IT', 'Italy'),
(148192, '209.197.225.48', '209.197.225.55', 3519406384, 3519406391, 'IN', 'India'),
(148193, '209.197.225.56', '209.197.225.71', 3519406392, 3519406407, 'GB', 'United Kingdom'),
(148194, '209.197.225.72', '209.197.225.167', 3519406408, 3519406503, 'US', 'United States'),
(148195, '209.197.225.168', '209.197.225.175', 3519406504, 3519406511, 'CA', 'Canada'),
(148196, '209.197.225.176', '209.197.226.103', 3519406512, 3519406695, 'US', 'United States'),
(148197, '209.197.226.104', '209.197.226.239', 3519406696, 3519406831, 'SA', 'Saudi Arabia'),
(148198, '209.197.226.240', '209.197.228.47', 3519406832, 3519407151, 'US', 'United States'),
(148199, '209.197.228.48', '209.197.228.95', 3519407152, 3519407199, 'MY', 'Malaysia'),
(148200, '209.197.228.96', '209.197.228.111', 3519407200, 3519407215, 'US', 'United States'),
(148201, '209.197.228.112', '209.197.228.247', 3519407216, 3519407351, 'AE', 'United Arab Emirates'),
(148202, '209.197.228.248', '209.197.229.231', 3519407352, 3519407591, 'US', 'United States'),
(148203, '209.197.229.232', '209.197.229.239', 3519407592, 3519407599, 'AE', 'United Arab Emirates'),
(148204, '209.197.229.240', '209.197.229.247', 3519407600, 3519407607, 'US', 'United States'),
(148205, '209.197.229.248', '209.197.229.255', 3519407608, 3519407615, 'RU', 'Russian Federation'),
(148206, '209.197.230.0', '209.197.235.215', 3519407616, 3519409111, 'US', 'United States'),
(148207, '209.197.235.216', '209.197.235.223', 3519409112, 3519409119, 'MY', 'Malaysia'),
(148208, '209.197.235.224', '209.197.235.239', 3519409120, 3519409135, 'OM', 'Oman'),
(148209, '209.197.235.240', '209.197.236.143', 3519409136, 3519409295, 'US', 'United States'),
(148210, '209.197.236.144', '209.197.236.151', 3519409296, 3519409303, 'CA', 'Canada'),
(148211, '209.197.236.152', '209.197.236.255', 3519409304, 3519409407, 'US', 'United States'),
(148212, '209.197.237.0', '209.197.237.15', 3519409408, 3519409423, 'AE', 'United Arab Emirates'),
(148213, '209.197.237.16', '209.197.237.47', 3519409424, 3519409455, 'US', 'United States'),
(148214, '209.197.237.48', '209.197.237.191', 3519409456, 3519409599, 'MY', 'Malaysia'),
(148215, '209.197.237.192', '209.197.238.143', 3519409600, 3519409807, 'US', 'United States'),
(148216, '209.197.238.144', '209.197.238.151', 3519409808, 3519409815, 'GB', 'United Kingdom'),
(148217, '209.197.238.152', '209.197.239.7', 3519409816, 3519409927, 'US', 'United States'),
(148218, '209.197.239.8', '209.197.239.23', 3519409928, 3519409943, 'MY', 'Malaysia'),
(148219, '209.197.239.24', '209.197.239.31', 3519409944, 3519409951, 'US', 'United States'),
(148220, '209.197.239.32', '209.197.239.255', 3519409952, 3519410175, 'MY', 'Malaysia'),
(148221, '209.197.240.0', '209.197.240.103', 3519410176, 3519410279, 'US', 'United States'),
(148222, '209.197.240.104', '209.197.240.111', 3519410280, 3519410287, 'AU', 'Australia'),
(148223, '209.197.240.112', '209.197.244.127', 3519410288, 3519411327, 'US', 'United States'),
(148224, '209.197.244.128', '209.197.244.191', 3519411328, 3519411391, 'RU', 'Russian Federation'),
(148225, '209.197.244.192', '209.197.249.39', 3519411392, 3519412519, 'US', 'United States'),
(148226, '209.197.249.40', '209.197.249.47', 3519412520, 3519412527, 'RU', 'Russian Federation'),
(148227, '209.197.249.48', '209.197.249.255', 3519412528, 3519412735, 'US', 'United States'),
(148228, '209.197.250.0', '209.197.250.15', 3519412736, 3519412751, 'RU', 'Russian Federation'),
(148229, '209.197.250.16', '209.197.250.63', 3519412752, 3519412799, 'US', 'United States'),
(148230, '209.197.250.64', '209.197.250.79', 3519412800, 3519412815, 'RU', 'Russian Federation'),
(148231, '209.197.250.80', '209.197.251.7', 3519412816, 3519412999, 'US', 'United States'),
(148232, '209.197.251.8', '209.197.251.15', 3519413000, 3519413007, 'CY', 'Cyprus'),
(148233, '209.197.251.16', '209.198.10.255', 3519413008, 3519417087, 'US', 'United States'),
(148234, '209.198.11.0', '209.198.11.63', 3519417088, 3519417151, 'IT', 'Italy'),
(148235, '209.198.11.64', '209.198.199.31', 3519417152, 3519465247, 'US', 'United States'),
(148236, '209.198.199.32', '209.198.199.47', 3519465248, 3519465263, 'CO', 'Colombia'),
(148237, '209.198.199.48', '209.198.205.143', 3519465264, 3519466895, 'US', 'United States'),
(148238, '209.198.205.144', '209.198.205.159', 3519466896, 3519466911, 'SZ', 'Swaziland'),
(148239, '209.198.205.160', '209.198.207.255', 3519466912, 3519467519, 'US', 'United States'),
(148240, '209.198.216.0', '209.198.239.255', 3519469568, 3519475711, 'US', 'United States'),
(148241, '209.198.240.0', '209.198.241.255', 3519475712, 3519476223, 'BH', 'Bahrain'),
(148242, '209.198.242.0', '209.198.247.255', 3519476224, 3519477759, 'A2', 'Satellite Provider'),
(148243, '209.198.248.0', '209.200.33.255', 3519477760, 3519554047, 'US', 'United States'),
(148244, '209.200.34.0', '209.200.34.127', 3519554048, 3519554175, 'A1', 'Anonymous Proxy'),
(148245, '209.200.34.128', '209.200.128.255', 3519554176, 3519578367, 'US', 'United States'),
(148246, '209.200.129.0', '209.200.129.255', 3519578368, 3519578623, 'NA', 'Namibia'),
(148247, '209.200.130.0', '209.200.130.255', 3519578624, 3519578879, 'US', 'United States'),
(148248, '209.200.131.0', '209.200.131.255', 3519578880, 3519579135, 'CA', 'Canada'),
(148249, '209.200.132.0', '209.200.135.63', 3519579136, 3519579967, 'US', 'United States'),
(148250, '209.200.135.64', '209.200.135.79', 3519579968, 3519579983, 'CY', 'Cyprus'),
(148251, '209.200.135.80', '209.200.159.255', 3519579984, 3519586303, 'US', 'United States'),
(148252, '209.200.160.0', '209.200.160.255', 3519586304, 3519586559, 'GB', 'United Kingdom'),
(148253, '209.200.161.0', '209.200.162.223', 3519586560, 3519587039, 'US', 'United States'),
(148254, '209.200.162.224', '209.200.162.255', 3519587040, 3519587071, 'AG', 'Antigua and Barbuda'),
(148255, '209.200.163.0', '209.200.169.31', 3519587072, 3519588639, 'US', 'United States'),
(148256, '209.200.169.32', '209.200.169.63', 3519588640, 3519588671, 'GB', 'United Kingdom'),
(148257, '209.200.169.64', '209.200.176.255', 3519588672, 3519590655, 'US', 'United States'),
(148258, '209.200.177.0', '209.200.177.255', 3519590656, 3519590911, 'CA', 'Canada'),
(148259, '209.200.178.0', '209.200.226.4', 3519590912, 3519603204, 'US', 'United States'),
(148260, '209.200.226.5', '209.200.226.12', 3519603205, 3519603212, 'VN', 'Vietnam'),
(148261, '209.200.226.13', '209.200.226.71', 3519603213, 3519603271, 'US', 'United States'),
(148262, '209.200.226.72', '209.200.226.86', 3519603272, 3519603286, 'CA', 'Canada'),
(148263, '209.200.226.87', '209.200.228.60', 3519603287, 3519603772, 'US', 'United States'),
(148264, '209.200.228.61', '209.200.228.69', 3519603773, 3519603781, 'IN', 'India'),
(148265, '209.200.228.70', '209.201.255.255', 3519603782, 3519676415, 'US', 'United States'),
(148266, '209.202.0.0', '209.202.94.79', 3519676416, 3519700559, 'CA', 'Canada'),
(148267, '209.202.94.80', '209.202.94.87', 3519700560, 3519700567, 'US', 'United States'),
(148268, '209.202.94.88', '209.202.94.95', 3519700568, 3519700575, 'CA', 'Canada'),
(148269, '209.202.94.96', '209.202.94.127', 3519700576, 3519700607, 'US', 'United States'),
(148270, '209.202.94.128', '209.202.101.47', 3519700608, 3519702319, 'CA', 'Canada'),
(148271, '209.202.101.48', '209.202.101.55', 3519702320, 3519702327, 'US', 'United States'),
(148272, '209.202.101.56', '209.202.127.255', 3519702328, 3519709183, 'CA', 'Canada'),
(148273, '209.202.128.0', '209.202.140.191', 3519709184, 3519712447, 'US', 'United States'),
(148274, '209.202.140.192', '209.202.140.255', 3519712448, 3519712511, 'CA', 'Canada'),
(148275, '209.202.141.0', '209.202.151.223', 3519712512, 3519715295, 'US', 'United States'),
(148276, '209.202.151.224', '209.202.151.255', 3519715296, 3519715327, 'GB', 'United Kingdom'),
(148277, '209.202.152.0', '209.202.157.255', 3519715328, 3519716863, 'US', 'United States'),
(148278, '209.202.158.0', '209.202.158.135', 3519716864, 3519716999, 'CA', 'Canada'),
(148279, '209.202.158.136', '209.202.183.255', 3519717000, 3519723519, 'US', 'United States'),
(148280, '209.202.184.0', '209.202.185.255', 3519723520, 3519724031, 'CA', 'Canada'),
(148281, '209.202.186.0', '209.202.255.255', 3519724032, 3519741951, 'US', 'United States'),
(148282, '209.203.0.0', '209.203.63.255', 3519741952, 3519758335, 'ZA', 'South Africa'),
(148283, '209.203.64.0', '209.203.226.63', 3519758336, 3519799871, 'US', 'United States'),
(148284, '209.203.226.64', '209.203.226.95', 3519799872, 3519799903, 'IN', 'India'),
(148285, '209.203.226.96', '209.203.246.191', 3519799904, 3519805119, 'US', 'United States'),
(148286, '209.203.246.192', '209.203.246.255', 3519805120, 3519805183, 'GB', 'United Kingdom'),
(148287, '209.203.247.0', '209.204.255.255', 3519805184, 3519873023, 'US', 'United States'),
(148288, '209.205.0.0', '209.205.16.175', 3519873024, 3519877295, 'CA', 'Canada'),
(148289, '209.205.16.176', '209.205.16.191', 3519877296, 3519877311, 'US', 'United States'),
(148290, '209.205.16.192', '209.205.25.255', 3519877312, 3519879679, 'CA', 'Canada'),
(148291, '209.205.26.0', '209.205.26.7', 3519879680, 3519879687, 'US', 'United States'),
(148292, '209.205.26.8', '209.205.26.87', 3519879688, 3519879767, 'CA', 'Canada'),
(148293, '209.205.26.88', '209.205.26.95', 3519879768, 3519879775, 'US', 'United States'),
(148294, '209.205.26.96', '209.205.26.127', 3519879776, 3519879807, 'CA', 'Canada'),
(148295, '209.205.26.128', '209.205.26.135', 3519879808, 3519879815, 'US', 'United States'),
(148296, '209.205.26.136', '209.205.30.63', 3519879816, 3519880767, 'CA', 'Canada'),
(148297, '209.205.30.64', '209.205.30.127', 3519880768, 3519880831, 'DE', 'Germany'),
(148298, '209.205.30.128', '209.205.32.159', 3519880832, 3519881375, 'CA', 'Canada'),
(148299, '209.205.32.160', '209.205.32.191', 3519881376, 3519881407, 'US', 'United States'),
(148300, '209.205.32.192', '209.205.33.95', 3519881408, 3519881567, 'CA', 'Canada'),
(148301, '209.205.33.96', '209.205.33.127', 3519881568, 3519881599, 'US', 'United States'),
(148302, '209.205.33.128', '209.205.111.255', 3519881600, 3519901695, 'CA', 'Canada'),
(148303, '209.205.112.0', '209.205.239.255', 3519901696, 3519934463, 'US', 'United States'),
(148304, '209.205.240.0', '209.205.255.255', 3519934464, 3519938559, 'CA', 'Canada'),
(148305, '209.206.0.0', '209.207.63.255', 3519938560, 3520020479, 'US', 'United States'),
(148306, '209.207.64.0', '209.207.64.79', 3520020480, 3520020559, 'CA', 'Canada'),
(148307, '209.207.64.80', '209.207.64.87', 3520020560, 3520020567, 'US', 'United States'),
(148308, '209.207.64.88', '209.207.64.175', 3520020568, 3520020655, 'CA', 'Canada'),
(148309, '209.207.64.176', '209.207.64.183', 3520020656, 3520020663, 'US', 'United States'),
(148310, '209.207.64.184', '209.207.64.239', 3520020664, 3520020719, 'CA', 'Canada'),
(148311, '209.207.64.240', '209.207.64.247', 3520020720, 3520020727, 'US', 'United States'),
(148312, '209.207.64.248', '209.207.65.255', 3520020728, 3520020991, 'CA', 'Canada'),
(148313, '209.207.66.0', '209.207.66.23', 3520020992, 3520021015, 'US', 'United States'),
(148314, '209.207.66.24', '209.207.66.63', 3520021016, 3520021055, 'CA', 'Canada'),
(148315, '209.207.66.64', '209.207.66.79', 3520021056, 3520021071, 'US', 'United States'),
(148316, '209.207.66.80', '209.207.66.191', 3520021072, 3520021183, 'CA', 'Canada'),
(148317, '209.207.66.192', '209.207.66.199', 3520021184, 3520021191, 'US', 'United States'),
(148318, '209.207.66.200', '209.207.67.71', 3520021192, 3520021319, 'CA', 'Canada'),
(148319, '209.207.67.72', '209.207.67.111', 3520021320, 3520021359, 'US', 'United States'),
(148320, '209.207.67.112', '209.207.67.135', 3520021360, 3520021383, 'CA', 'Canada'),
(148321, '209.207.67.136', '209.207.67.167', 3520021384, 3520021415, 'US', 'United States'),
(148322, '209.207.67.168', '209.207.67.223', 3520021416, 3520021471, 'CA', 'Canada'),
(148323, '209.207.67.224', '209.207.67.231', 3520021472, 3520021479, 'US', 'United States'),
(148324, '209.207.67.232', '209.207.67.247', 3520021480, 3520021495, 'CA', 'Canada'),
(148325, '209.207.67.248', '209.207.67.255', 3520021496, 3520021503, 'US', 'United States'),
(148326, '209.207.68.0', '209.207.68.183', 3520021504, 3520021687, 'CA', 'Canada'),
(148327, '209.207.68.184', '209.207.68.191', 3520021688, 3520021695, 'US', 'United States'),
(148328, '209.207.68.192', '209.207.69.79', 3520021696, 3520021839, 'CA', 'Canada'),
(148329, '209.207.69.80', '209.207.69.87', 3520021840, 3520021847, 'US', 'United States'),
(148330, '209.207.69.88', '209.207.69.135', 3520021848, 3520021895, 'CA', 'Canada'),
(148331, '209.207.69.136', '209.207.69.143', 3520021896, 3520021903, 'US', 'United States'),
(148332, '209.207.69.144', '209.207.69.151', 3520021904, 3520021911, 'CA', 'Canada'),
(148333, '209.207.69.152', '209.207.69.159', 3520021912, 3520021919, 'US', 'United States'),
(148334, '209.207.69.160', '209.207.69.167', 3520021920, 3520021927, 'CA', 'Canada'),
(148335, '209.207.69.168', '209.207.69.175', 3520021928, 3520021935, 'US', 'United States'),
(148336, '209.207.69.176', '209.207.69.207', 3520021936, 3520021967, 'CA', 'Canada'),
(148337, '209.207.69.208', '209.207.69.215', 3520021968, 3520021975, 'US', 'United States'),
(148338, '209.207.69.216', '209.207.69.223', 3520021976, 3520021983, 'CA', 'Canada'),
(148339, '209.207.69.224', '209.207.69.231', 3520021984, 3520021991, 'US', 'United States'),
(148340, '209.207.69.232', '209.207.69.239', 3520021992, 3520021999, 'CA', 'Canada'),
(148341, '209.207.69.240', '209.207.69.247', 3520022000, 3520022007, 'US', 'United States'),
(148342, '209.207.69.248', '209.207.69.255', 3520022008, 3520022015, 'CA', 'Canada'),
(148343, '209.207.70.0', '209.207.70.7', 3520022016, 3520022023, 'US', 'United States'),
(148344, '209.207.70.8', '209.207.70.55', 3520022024, 3520022071, 'CA', 'Canada'),
(148345, '209.207.70.56', '209.207.70.71', 3520022072, 3520022087, 'US', 'United States'),
(148346, '209.207.70.72', '209.207.70.127', 3520022088, 3520022143, 'CA', 'Canada'),
(148347, '209.207.70.128', '209.207.70.135', 3520022144, 3520022151, 'US', 'United States'),
(148348, '209.207.70.136', '209.207.70.191', 3520022152, 3520022207, 'CA', 'Canada'),
(148349, '209.207.70.192', '209.207.70.199', 3520022208, 3520022215, 'US', 'United States'),
(148350, '209.207.70.200', '209.207.70.255', 3520022216, 3520022271, 'CA', 'Canada'),
(148351, '209.207.71.0', '209.207.71.7', 3520022272, 3520022279, 'US', 'United States'),
(148352, '209.207.71.8', '209.207.71.103', 3520022280, 3520022375, 'CA', 'Canada'),
(148353, '209.207.71.104', '209.207.71.111', 3520022376, 3520022383, 'US', 'United States'),
(148354, '209.207.71.112', '209.207.71.119', 3520022384, 3520022391, 'CA', 'Canada'),
(148355, '209.207.71.120', '209.207.71.127', 3520022392, 3520022399, 'US', 'United States'),
(148356, '209.207.71.128', '209.207.73.79', 3520022400, 3520022863, 'CA', 'Canada'),
(148357, '209.207.73.80', '209.207.73.87', 3520022864, 3520022871, 'US', 'United States'),
(148358, '209.207.73.88', '209.207.73.143', 3520022872, 3520022927, 'CA', 'Canada'),
(148359, '209.207.73.144', '209.207.73.151', 3520022928, 3520022935, 'US', 'United States'),
(148360, '209.207.73.152', '209.207.74.7', 3520022936, 3520023047, 'CA', 'Canada'),
(148361, '209.207.74.8', '209.207.74.23', 3520023048, 3520023063, 'US', 'United States'),
(148362, '209.207.74.24', '209.207.74.47', 3520023064, 3520023087, 'CA', 'Canada'),
(148363, '209.207.74.48', '209.207.74.63', 3520023088, 3520023103, 'US', 'United States'),
(148364, '209.207.74.64', '209.207.74.71', 3520023104, 3520023111, 'CA', 'Canada'),
(148365, '209.207.74.72', '209.207.74.79', 3520023112, 3520023119, 'US', 'United States'),
(148366, '209.207.74.80', '209.207.74.87', 3520023120, 3520023127, 'CA', 'Canada'),
(148367, '209.207.74.88', '209.207.74.95', 3520023128, 3520023135, 'US', 'United States'),
(148368, '209.207.74.96', '209.207.74.111', 3520023136, 3520023151, 'CA', 'Canada'),
(148369, '209.207.74.112', '209.207.74.119', 3520023152, 3520023159, 'US', 'United States'),
(148370, '209.207.74.120', '209.207.75.87', 3520023160, 3520023383, 'CA', 'Canada'),
(148371, '209.207.75.88', '209.207.75.119', 3520023384, 3520023415, 'US', 'United States'),
(148372, '209.207.75.120', '209.207.77.71', 3520023416, 3520023879, 'CA', 'Canada'),
(148373, '209.207.77.72', '209.207.77.79', 3520023880, 3520023887, 'US', 'United States'),
(148374, '209.207.77.80', '209.207.77.103', 3520023888, 3520023911, 'CA', 'Canada'),
(148375, '209.207.77.104', '209.207.77.111', 3520023912, 3520023919, 'US', 'United States'),
(148376, '209.207.77.112', '209.207.79.167', 3520023920, 3520024487, 'CA', 'Canada'),
(148377, '209.207.79.168', '209.207.79.175', 3520024488, 3520024495, 'US', 'United States'),
(148378, '209.207.79.176', '209.207.80.231', 3520024496, 3520024807, 'CA', 'Canada'),
(148379, '209.207.80.232', '209.207.80.239', 3520024808, 3520024815, 'US', 'United States'),
(148380, '209.207.80.240', '209.207.82.103', 3520024816, 3520025191, 'CA', 'Canada'),
(148381, '209.207.82.104', '209.207.82.111', 3520025192, 3520025199, 'US', 'United States'),
(148382, '209.207.82.112', '209.207.82.207', 3520025200, 3520025295, 'CA', 'Canada'),
(148383, '209.207.82.208', '209.207.82.215', 3520025296, 3520025303, 'US', 'United States'),
(148384, '209.207.82.216', '209.207.83.159', 3520025304, 3520025503, 'CA', 'Canada'),
(148385, '209.207.83.160', '209.207.83.167', 3520025504, 3520025511, 'US', 'United States'),
(148386, '209.207.83.168', '209.207.83.247', 3520025512, 3520025591, 'CA', 'Canada'),
(148387, '209.207.83.248', '209.207.83.255', 3520025592, 3520025599, 'NL', 'Netherlands'),
(148388, '209.207.84.0', '209.207.84.23', 3520025600, 3520025623, 'CA', 'Canada'),
(148389, '209.207.84.24', '209.207.84.31', 3520025624, 3520025631, 'US', 'United States'),
(148390, '209.207.84.32', '209.207.84.39', 3520025632, 3520025639, 'CA', 'Canada'),
(148391, '209.207.84.40', '209.207.84.47', 3520025640, 3520025647, 'US', 'United States'),
(148392, '209.207.84.48', '209.207.84.191', 3520025648, 3520025791, 'CA', 'Canada'),
(148393, '209.207.84.192', '209.207.84.199', 3520025792, 3520025799, 'US', 'United States'),
(148394, '209.207.84.200', '209.207.88.47', 3520025800, 3520026671, 'CA', 'Canada'),
(148395, '209.207.88.48', '209.207.88.55', 3520026672, 3520026679, 'US', 'United States'),
(148396, '209.207.88.56', '209.207.88.79', 3520026680, 3520026703, 'CA', 'Canada'),
(148397, '209.207.88.80', '209.207.88.87', 3520026704, 3520026711, 'US', 'United States'),
(148398, '209.207.88.88', '209.207.88.159', 3520026712, 3520026783, 'CA', 'Canada'),
(148399, '209.207.88.160', '209.207.88.167', 3520026784, 3520026791, 'US', 'United States'),
(148400, '209.207.88.168', '209.207.89.111', 3520026792, 3520026991, 'CA', 'Canada'),
(148401, '209.207.89.112', '209.207.89.119', 3520026992, 3520026999, 'US', 'United States'),
(148402, '209.207.89.120', '209.207.89.167', 3520027000, 3520027047, 'CA', 'Canada'),
(148403, '209.207.89.168', '209.207.89.175', 3520027048, 3520027055, 'US', 'United States'),
(148404, '209.207.89.176', '209.207.89.231', 3520027056, 3520027111, 'CA', 'Canada'),
(148405, '209.207.89.232', '209.207.89.239', 3520027112, 3520027119, 'US', 'United States'),
(148406, '209.207.89.240', '209.207.90.95', 3520027120, 3520027231, 'CA', 'Canada'),
(148407, '209.207.90.96', '209.207.90.103', 3520027232, 3520027239, 'US', 'United States'),
(148408, '209.207.90.104', '209.207.90.135', 3520027240, 3520027271, 'CA', 'Canada'),
(148409, '209.207.90.136', '209.207.90.143', 3520027272, 3520027279, 'US', 'United States'),
(148410, '209.207.90.144', '209.207.91.47', 3520027280, 3520027439, 'CA', 'Canada'),
(148411, '209.207.91.48', '209.207.91.55', 3520027440, 3520027447, 'US', 'United States'),
(148412, '209.207.91.56', '209.207.92.63', 3520027448, 3520027711, 'CA', 'Canada'),
(148413, '209.207.92.64', '209.207.92.79', 3520027712, 3520027727, 'US', 'United States'),
(148414, '209.207.92.80', '209.207.92.167', 3520027728, 3520027815, 'CA', 'Canada'),
(148415, '209.207.92.168', '209.207.92.175', 3520027816, 3520027823, 'US', 'United States'),
(148416, '209.207.92.176', '209.207.92.191', 3520027824, 3520027839, 'CA', 'Canada'),
(148417, '209.207.92.192', '209.207.92.239', 3520027840, 3520027887, 'US', 'United States'),
(148418, '209.207.92.240', '209.207.93.47', 3520027888, 3520027951, 'CA', 'Canada'),
(148419, '209.207.93.48', '209.207.93.87', 3520027952, 3520027991, 'US', 'United States'),
(148420, '209.207.93.88', '209.207.93.143', 3520027992, 3520028047, 'CA', 'Canada'),
(148421, '209.207.93.144', '209.207.93.151', 3520028048, 3520028055, 'US', 'United States'),
(148422, '209.207.93.152', '209.207.93.191', 3520028056, 3520028095, 'CA', 'Canada'),
(148423, '209.207.93.192', '209.207.93.199', 3520028096, 3520028103, 'US', 'United States'),
(148424, '209.207.93.200', '209.207.94.31', 3520028104, 3520028191, 'CA', 'Canada'),
(148425, '209.207.94.32', '209.207.94.39', 3520028192, 3520028199, 'US', 'United States'),
(148426, '209.207.94.40', '209.207.95.71', 3520028200, 3520028487, 'CA', 'Canada'),
(148427, '209.207.95.72', '209.207.95.119', 3520028488, 3520028535, 'US', 'United States'),
(148428, '209.207.95.120', '209.207.95.127', 3520028536, 3520028543, 'CA', 'Canada'),
(148429, '209.207.95.128', '209.207.95.135', 3520028544, 3520028551, 'US', 'United States'),
(148430, '209.207.95.136', '209.207.95.239', 3520028552, 3520028655, 'CA', 'Canada'),
(148431, '209.207.95.240', '209.207.95.255', 3520028656, 3520028671, 'US', 'United States'),
(148432, '209.207.96.0', '209.207.96.23', 3520028672, 3520028695, 'CA', 'Canada'),
(148433, '209.207.96.24', '209.207.96.39', 3520028696, 3520028711, 'US', 'United States'),
(148434, '209.207.96.40', '209.207.97.239', 3520028712, 3520029167, 'CA', 'Canada'),
(148435, '209.207.97.240', '209.207.97.247', 3520029168, 3520029175, 'IL', 'Israel'),
(148436, '209.207.97.248', '209.207.104.79', 3520029176, 3520030799, 'CA', 'Canada'),
(148437, '209.207.104.80', '209.207.104.87', 3520030800, 3520030807, 'US', 'United States'),
(148438, '209.207.104.88', '209.207.104.231', 3520030808, 3520030951, 'CA', 'Canada'),
(148439, '209.207.104.232', '209.207.104.239', 3520030952, 3520030959, 'US', 'United States'),
(148440, '209.207.104.240', '209.207.104.255', 3520030960, 3520030975, 'CA', 'Canada'),
(148441, '209.207.105.0', '209.207.105.7', 3520030976, 3520030983, 'NL', 'Netherlands'),
(148442, '209.207.105.8', '209.207.105.167', 3520030984, 3520031143, 'CA', 'Canada'),
(148443, '209.207.105.168', '209.207.105.175', 3520031144, 3520031151, 'US', 'United States'),
(148444, '209.207.105.176', '209.207.107.39', 3520031152, 3520031527, 'CA', 'Canada'),
(148445, '209.207.107.40', '209.207.107.47', 3520031528, 3520031535, 'US', 'United States'),
(148446, '209.207.107.48', '209.207.107.55', 3520031536, 3520031543, 'CA', 'Canada'),
(148447, '209.207.107.56', '209.207.107.63', 3520031544, 3520031551, 'US', 'United States'),
(148448, '209.207.107.64', '209.207.107.119', 3520031552, 3520031607, 'CA', 'Canada'),
(148449, '209.207.107.120', '209.207.107.167', 3520031608, 3520031655, 'US', 'United States'),
(148450, '209.207.107.168', '209.207.109.39', 3520031656, 3520032039, 'CA', 'Canada'),
(148451, '209.207.109.40', '209.207.109.87', 3520032040, 3520032087, 'US', 'United States'),
(148452, '209.207.109.88', '209.207.109.103', 3520032088, 3520032103, 'CA', 'Canada'),
(148453, '209.207.109.104', '209.207.109.111', 3520032104, 3520032111, 'US', 'United States'),
(148454, '209.207.109.112', '209.207.109.119', 3520032112, 3520032119, 'CA', 'Canada'),
(148455, '209.207.109.120', '209.207.109.127', 3520032120, 3520032127, 'US', 'United States'),
(148456, '209.207.109.128', '209.207.109.159', 3520032128, 3520032159, 'CA', 'Canada'),
(148457, '209.207.109.160', '209.207.109.191', 3520032160, 3520032191, 'US', 'United States'),
(148458, '209.207.109.192', '209.207.109.199', 3520032192, 3520032199, 'CA', 'Canada'),
(148459, '209.207.109.200', '209.207.109.223', 3520032200, 3520032223, 'US', 'United States'),
(148460, '209.207.109.224', '209.207.110.47', 3520032224, 3520032303, 'CA', 'Canada'),
(148461, '209.207.110.48', '209.207.110.55', 3520032304, 3520032311, 'US', 'United States'),
(148462, '209.207.110.56', '209.207.110.143', 3520032312, 3520032399, 'CA', 'Canada'),
(148463, '209.207.110.144', '209.207.110.151', 3520032400, 3520032407, 'US', 'United States'),
(148464, '209.207.110.152', '209.207.111.79', 3520032408, 3520032591, 'CA', 'Canada'),
(148465, '209.207.111.80', '209.207.111.87', 3520032592, 3520032599, 'US', 'United States'),
(148466, '209.207.111.88', '209.207.111.175', 3520032600, 3520032687, 'CA', 'Canada'),
(148467, '209.207.111.176', '209.207.111.199', 3520032688, 3520032711, 'US', 'United States'),
(148468, '209.207.111.200', '209.207.111.223', 3520032712, 3520032735, 'CA', 'Canada'),
(148469, '209.207.111.224', '209.207.111.247', 3520032736, 3520032759, 'US', 'United States'),
(148470, '209.207.111.248', '209.207.111.255', 3520032760, 3520032767, 'CA', 'Canada'),
(148471, '209.207.112.0', '209.207.112.23', 3520032768, 3520032791, 'US', 'United States'),
(148472, '209.207.112.24', '209.207.112.39', 3520032792, 3520032807, 'CA', 'Canada'),
(148473, '209.207.112.40', '209.207.112.79', 3520032808, 3520032847, 'US', 'United States'),
(148474, '209.207.112.80', '209.207.112.87', 3520032848, 3520032855, 'CA', 'Canada'),
(148475, '209.207.112.88', '209.207.112.95', 3520032856, 3520032863, 'US', 'United States'),
(148476, '209.207.112.96', '209.207.113.7', 3520032864, 3520033031, 'CA', 'Canada'),
(148477, '209.207.113.8', '209.207.113.23', 3520033032, 3520033047, 'US', 'United States'),
(148478, '209.207.113.24', '209.207.113.31', 3520033048, 3520033055, 'CA', 'Canada'),
(148479, '209.207.113.32', '209.207.113.39', 3520033056, 3520033063, 'US', 'United States'),
(148480, '209.207.113.40', '209.207.113.111', 3520033064, 3520033135, 'CA', 'Canada'),
(148481, '209.207.113.112', '209.207.113.135', 3520033136, 3520033159, 'US', 'United States'),
(148482, '209.207.113.136', '209.207.114.111', 3520033160, 3520033391, 'CA', 'Canada'),
(148483, '209.207.114.112', '209.207.114.127', 3520033392, 3520033407, 'US', 'United States'),
(148484, '209.207.114.128', '209.207.115.47', 3520033408, 3520033583, 'CA', 'Canada'),
(148485, '209.207.115.48', '209.207.115.55', 3520033584, 3520033591, 'US', 'United States'),
(148486, '209.207.115.56', '209.207.115.95', 3520033592, 3520033631, 'CA', 'Canada'),
(148487, '209.207.115.96', '209.207.115.103', 3520033632, 3520033639, 'US', 'United States'),
(148488, '209.207.115.104', '209.207.115.135', 3520033640, 3520033671, 'CA', 'Canada'),
(148489, '209.207.115.136', '209.207.115.143', 3520033672, 3520033679, 'US', 'United States'),
(148490, '209.207.115.144', '209.207.115.159', 3520033680, 3520033695, 'CA', 'Canada'),
(148491, '209.207.115.160', '209.207.115.167', 3520033696, 3520033703, 'US', 'United States'),
(148492, '209.207.115.168', '209.207.115.223', 3520033704, 3520033759, 'CA', 'Canada'),
(148493, '209.207.115.224', '209.207.115.231', 3520033760, 3520033767, 'US', 'United States'),
(148494, '209.207.115.232', '209.207.117.103', 3520033768, 3520034151, 'CA', 'Canada'),
(148495, '209.207.117.104', '209.207.117.111', 3520034152, 3520034159, 'US', 'United States'),
(148496, '209.207.117.112', '209.207.117.119', 3520034160, 3520034167, 'CA', 'Canada'),
(148497, '209.207.117.120', '209.207.117.127', 3520034168, 3520034175, 'US', 'United States'),
(148498, '209.207.117.128', '209.207.117.215', 3520034176, 3520034263, 'CA', 'Canada'),
(148499, '209.207.117.216', '209.207.117.223', 3520034264, 3520034271, 'US', 'United States'),
(148500, '209.207.117.224', '209.207.118.183', 3520034272, 3520034487, 'CA', 'Canada'),
(148501, '209.207.118.184', '209.207.118.191', 3520034488, 3520034495, 'US', 'United States'),
(148502, '209.207.118.192', '209.207.118.255', 3520034496, 3520034559, 'CA', 'Canada'),
(148503, '209.207.119.0', '209.207.119.7', 3520034560, 3520034567, 'US', 'United States'),
(148504, '209.207.119.8', '209.207.119.79', 3520034568, 3520034639, 'CA', 'Canada'),
(148505, '209.207.119.80', '209.207.119.87', 3520034640, 3520034647, 'GH', 'Ghana'),
(148506, '209.207.119.88', '209.207.119.215', 3520034648, 3520034775, 'CA', 'Canada'),
(148507, '209.207.119.216', '209.207.119.231', 3520034776, 3520034791, 'US', 'United States'),
(148508, '209.207.119.232', '209.207.120.135', 3520034792, 3520034951, 'CA', 'Canada'),
(148509, '209.207.120.136', '209.207.120.143', 3520034952, 3520034959, 'US', 'United States'),
(148510, '209.207.120.144', '209.207.120.239', 3520034960, 3520035055, 'CA', 'Canada'),
(148511, '209.207.120.240', '209.207.120.255', 3520035056, 3520035071, 'US', 'United States'),
(148512, '209.207.121.0', '209.207.121.63', 3520035072, 3520035135, 'CA', 'Canada'),
(148513, '209.207.121.64', '209.207.121.191', 3520035136, 3520035263, 'US', 'United States'),
(148514, '209.207.121.192', '209.207.121.207', 3520035264, 3520035279, 'CA', 'Canada'),
(148515, '209.207.121.208', '209.207.121.215', 3520035280, 3520035287, 'US', 'United States'),
(148516, '209.207.121.216', '209.207.121.255', 3520035288, 3520035327, 'CA', 'Canada'),
(148517, '209.207.122.0', '209.207.122.7', 3520035328, 3520035335, 'US', 'United States'),
(148518, '209.207.122.8', '209.207.122.167', 3520035336, 3520035495, 'CA', 'Canada'),
(148519, '209.207.122.168', '209.207.122.175', 3520035496, 3520035503, 'US', 'United States'),
(148520, '209.207.122.176', '209.207.122.191', 3520035504, 3520035519, 'CA', 'Canada'),
(148521, '209.207.122.192', '209.207.122.215', 3520035520, 3520035543, 'US', 'United States'),
(148522, '209.207.122.216', '209.207.125.95', 3520035544, 3520036191, 'CA', 'Canada'),
(148523, '209.207.125.96', '209.207.125.103', 3520036192, 3520036199, 'US', 'United States'),
(148524, '209.207.125.104', '209.207.125.191', 3520036200, 3520036287, 'CA', 'Canada'),
(148525, '209.207.125.192', '209.207.125.199', 3520036288, 3520036295, 'US', 'United States'),
(148526, '209.207.125.200', '209.207.125.231', 3520036296, 3520036327, 'CA', 'Canada'),
(148527, '209.207.125.232', '209.207.125.247', 3520036328, 3520036343, 'US', 'United States'),
(148528, '209.207.125.248', '209.207.125.255', 3520036344, 3520036351, 'CA', 'Canada'),
(148529, '209.207.126.0', '209.207.126.7', 3520036352, 3520036359, 'US', 'United States'),
(148530, '209.207.126.8', '209.207.127.255', 3520036360, 3520036863, 'CA', 'Canada'),
(148531, '209.207.128.0', '209.208.12.47', 3520036864, 3520072751, 'US', 'United States'),
(148532, '209.208.12.48', '209.208.12.63', 3520072752, 3520072767, 'AR', 'Argentina');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(148533, '209.208.12.64', '209.208.13.79', 3520072768, 3520073039, 'US', 'United States'),
(148534, '209.208.13.80', '209.208.13.95', 3520073040, 3520073055, 'CA', 'Canada'),
(148535, '209.208.13.96', '209.208.19.175', 3520073056, 3520074671, 'US', 'United States'),
(148536, '209.208.19.176', '209.208.19.191', 3520074672, 3520074687, 'GB', 'United Kingdom'),
(148537, '209.208.19.192', '209.208.20.31', 3520074688, 3520074783, 'US', 'United States'),
(148538, '209.208.20.32', '209.208.20.63', 3520074784, 3520074815, 'NL', 'Netherlands'),
(148539, '209.208.20.64', '209.208.20.95', 3520074816, 3520074847, 'US', 'United States'),
(148540, '209.208.20.96', '209.208.20.111', 3520074848, 3520074863, 'GB', 'United Kingdom'),
(148541, '209.208.20.112', '209.208.22.47', 3520074864, 3520075311, 'US', 'United States'),
(148542, '209.208.22.48', '209.208.22.63', 3520075312, 3520075327, 'BR', 'Brazil'),
(148543, '209.208.22.64', '209.208.22.191', 3520075328, 3520075455, 'US', 'United States'),
(148544, '209.208.22.192', '209.208.22.207', 3520075456, 3520075471, 'CA', 'Canada'),
(148545, '209.208.22.208', '209.208.23.223', 3520075472, 3520075743, 'US', 'United States'),
(148546, '209.208.23.224', '209.208.23.255', 3520075744, 3520075775, 'NL', 'Netherlands'),
(148547, '209.208.24.0', '209.208.32.207', 3520075776, 3520078031, 'US', 'United States'),
(148548, '209.208.32.208', '209.208.32.223', 3520078032, 3520078047, 'BS', 'Bahamas'),
(148549, '209.208.32.224', '209.208.36.63', 3520078048, 3520078911, 'US', 'United States'),
(148550, '209.208.36.64', '209.208.36.79', 3520078912, 3520078927, 'AU', 'Australia'),
(148551, '209.208.36.80', '209.208.36.95', 3520078928, 3520078943, 'EC', 'Ecuador'),
(148552, '209.208.36.96', '209.208.46.47', 3520078944, 3520081455, 'US', 'United States'),
(148553, '209.208.46.48', '209.208.46.63', 3520081456, 3520081471, 'BR', 'Brazil'),
(148554, '209.208.46.64', '209.208.48.231', 3520081472, 3520082151, 'US', 'United States'),
(148555, '209.208.48.232', '209.208.48.247', 3520082152, 3520082167, 'CA', 'Canada'),
(148556, '209.208.48.248', '209.208.64.255', 3520082168, 3520086271, 'US', 'United States'),
(148557, '209.208.65.0', '209.208.65.255', 3520086272, 3520086527, 'CA', 'Canada'),
(148558, '209.208.66.0', '209.208.67.175', 3520086528, 3520086959, 'US', 'United States'),
(148559, '209.208.67.176', '209.208.67.191', 3520086960, 3520086975, 'CA', 'Canada'),
(148560, '209.208.67.192', '209.208.69.31', 3520086976, 3520087327, 'US', 'United States'),
(148561, '209.208.69.32', '209.208.69.63', 3520087328, 3520087359, 'DE', 'Germany'),
(148562, '209.208.69.64', '209.208.73.127', 3520087360, 3520088447, 'US', 'United States'),
(148563, '209.208.73.128', '209.208.73.143', 3520088448, 3520088463, 'ES', 'Spain'),
(148564, '209.208.73.144', '209.208.100.223', 3520088464, 3520095455, 'US', 'United States'),
(148565, '209.208.100.224', '209.208.100.239', 3520095456, 3520095471, 'NL', 'Netherlands'),
(148566, '209.208.100.240', '209.208.107.111', 3520095472, 3520097135, 'US', 'United States'),
(148567, '209.208.107.112', '209.208.107.127', 3520097136, 3520097151, 'CA', 'Canada'),
(148568, '209.208.107.128', '209.208.109.255', 3520097152, 3520097791, 'US', 'United States'),
(148569, '209.208.110.0', '209.208.110.255', 3520097792, 3520098047, 'CA', 'Canada'),
(148570, '209.208.111.0', '209.208.118.191', 3520098048, 3520100031, 'US', 'United States'),
(148571, '209.208.118.192', '209.208.118.199', 3520100032, 3520100039, 'LB', 'Lebanon'),
(148572, '209.208.118.200', '209.208.125.207', 3520100040, 3520101839, 'US', 'United States'),
(148573, '209.208.125.208', '209.208.125.223', 3520101840, 3520101855, 'CA', 'Canada'),
(148574, '209.208.125.224', '209.208.126.31', 3520101856, 3520101919, 'US', 'United States'),
(148575, '209.208.126.32', '209.208.126.39', 3520101920, 3520101927, 'BR', 'Brazil'),
(148576, '209.208.126.40', '209.208.169.79', 3520101928, 3520112975, 'US', 'United States'),
(148577, '209.208.169.80', '209.208.169.95', 3520112976, 3520112991, 'ES', 'Spain'),
(148578, '209.208.169.96', '209.208.174.223', 3520112992, 3520114399, 'US', 'United States'),
(148579, '209.208.174.224', '209.208.174.231', 3520114400, 3520114407, 'VG', 'Virgin Islands, British'),
(148580, '209.208.174.232', '209.208.202.175', 3520114408, 3520121519, 'US', 'United States'),
(148581, '209.208.202.176', '209.208.202.191', 3520121520, 3520121535, 'GB', 'United Kingdom'),
(148582, '209.208.202.192', '209.212.95.255', 3520121536, 3520356351, 'US', 'United States'),
(148583, '209.212.96.0', '209.212.127.255', 3520356352, 3520364543, 'ZA', 'South Africa'),
(148584, '209.212.128.0', '209.212.145.200', 3520364544, 3520369096, 'US', 'United States'),
(148585, '209.212.145.201', '209.212.145.201', 3520369097, 3520369097, 'A1', 'Anonymous Proxy'),
(148586, '209.212.145.202', '209.213.209.127', 3520369098, 3520450943, 'US', 'United States'),
(148587, '209.213.209.128', '209.213.209.143', 3520450944, 3520450959, 'GB', 'United Kingdom'),
(148588, '209.213.209.144', '209.213.223.255', 3520450960, 3520454655, 'US', 'United States'),
(148589, '209.213.224.0', '209.213.255.255', 3520454656, 3520462847, 'CA', 'Canada'),
(148590, '209.214.0.0', '209.214.253.255', 3520462848, 3520527871, 'US', 'United States'),
(148591, '209.214.254.0', '209.214.255.255', 3520527872, 3520528383, 'A2', 'Satellite Provider'),
(148592, '209.215.0.0', '209.216.127.255', 3520528384, 3520626687, 'US', 'United States'),
(148593, '209.216.128.0', '209.216.159.255', 3520626688, 3520634879, 'CA', 'Canada'),
(148594, '209.216.160.0', '209.216.197.255', 3520634880, 3520644607, 'US', 'United States'),
(148595, '209.216.198.0', '209.216.198.255', 3520644608, 3520644863, 'A1', 'Anonymous Proxy'),
(148596, '209.216.199.0', '209.216.227.255', 3520644864, 3520652287, 'US', 'United States'),
(148597, '209.216.228.0', '209.216.228.255', 3520652288, 3520652543, 'A1', 'Anonymous Proxy'),
(148598, '209.216.229.0', '209.216.243.255', 3520652544, 3520656383, 'US', 'United States'),
(148599, '209.216.244.0', '209.216.244.255', 3520656384, 3520656639, 'A1', 'Anonymous Proxy'),
(148600, '209.216.245.0', '209.217.63.255', 3520656640, 3520675839, 'US', 'United States'),
(148601, '209.217.64.0', '209.217.64.151', 3520675840, 3520675991, 'CA', 'Canada'),
(148602, '209.217.64.152', '209.217.64.159', 3520675992, 3520675999, 'US', 'United States'),
(148603, '209.217.64.160', '209.217.68.55', 3520676000, 3520676919, 'CA', 'Canada'),
(148604, '209.217.68.56', '209.217.68.63', 3520676920, 3520676927, 'US', 'United States'),
(148605, '209.217.68.64', '209.217.78.15', 3520676928, 3520679439, 'CA', 'Canada'),
(148606, '209.217.78.16', '209.217.78.23', 3520679440, 3520679447, 'US', 'United States'),
(148607, '209.217.78.24', '209.217.92.239', 3520679448, 3520683247, 'CA', 'Canada'),
(148608, '209.217.92.240', '209.217.92.255', 3520683248, 3520683263, 'US', 'United States'),
(148609, '209.217.93.0', '209.217.94.223', 3520683264, 3520683743, 'CA', 'Canada'),
(148610, '209.217.94.224', '209.217.94.239', 3520683744, 3520683759, 'US', 'United States'),
(148611, '209.217.94.240', '209.217.113.15', 3520683760, 3520688399, 'CA', 'Canada'),
(148612, '209.217.113.16', '209.217.113.47', 3520688400, 3520688431, 'US', 'United States'),
(148613, '209.217.113.48', '209.217.118.135', 3520688432, 3520689799, 'CA', 'Canada'),
(148614, '209.217.118.136', '209.217.118.143', 3520689800, 3520689807, 'US', 'United States'),
(148615, '209.217.118.144', '209.217.125.127', 3520689808, 3520691583, 'CA', 'Canada'),
(148616, '209.217.125.128', '209.217.125.135', 3520691584, 3520691591, 'US', 'United States'),
(148617, '209.217.125.136', '209.217.126.95', 3520691592, 3520691807, 'CA', 'Canada'),
(148618, '209.217.126.96', '209.217.126.127', 3520691808, 3520691839, 'US', 'United States'),
(148619, '209.217.126.128', '209.217.127.255', 3520691840, 3520692223, 'CA', 'Canada'),
(148620, '209.217.128.0', '209.218.97.47', 3520692224, 3520749871, 'US', 'United States'),
(148621, '209.218.97.48', '209.218.97.55', 3520749872, 3520749879, 'CA', 'Canada'),
(148622, '209.218.97.56', '209.221.63.255', 3520749880, 3520937983, 'US', 'United States'),
(148623, '209.221.64.0', '209.221.127.255', 3520937984, 3520954367, 'CA', 'Canada'),
(148624, '209.221.128.0', '209.221.134.251', 3520954368, 3520956155, 'US', 'United States'),
(148625, '209.221.134.252', '209.221.134.255', 3520956156, 3520956159, 'CH', 'Switzerland'),
(148626, '209.221.135.0', '209.221.223.255', 3520956160, 3520978943, 'US', 'United States'),
(148627, '209.221.224.0', '209.221.226.255', 3520978944, 3520979711, 'BZ', 'Belize'),
(148628, '209.221.227.0', '209.221.230.255', 3520979712, 3520980735, 'GB', 'United Kingdom'),
(148629, '209.221.231.0', '209.221.232.255', 3520980736, 3520981247, 'NL', 'Netherlands'),
(148630, '209.221.233.0', '209.222.2.255', 3520981248, 3520987903, 'US', 'United States'),
(148631, '209.222.3.0', '209.222.3.31', 3520987904, 3520987935, 'A1', 'Anonymous Proxy'),
(148632, '209.222.3.32', '209.222.29.255', 3520987936, 3520994815, 'US', 'United States'),
(148633, '209.222.30.0', '209.222.31.255', 3520994816, 3520995327, 'ES', 'Spain'),
(148634, '209.222.32.0', '209.222.47.255', 3520995328, 3520999423, 'US', 'United States'),
(148635, '209.222.48.0', '209.222.63.255', 3520999424, 3521003519, 'CA', 'Canada'),
(148636, '209.222.64.0', '209.222.159.255', 3521003520, 3521028095, 'US', 'United States'),
(148637, '209.222.160.0', '209.222.175.255', 3521028096, 3521032191, 'CA', 'Canada'),
(148638, '209.222.176.0', '209.222.223.255', 3521032192, 3521044479, 'US', 'United States'),
(148639, '209.222.224.0', '209.222.239.255', 3521044480, 3521048575, 'CA', 'Canada'),
(148640, '209.222.240.0', '209.222.243.255', 3521048576, 3521049599, 'US', 'United States'),
(148641, '209.223.0.0', '209.223.85.255', 3521052672, 3521074687, 'US', 'United States'),
(148642, '209.223.86.0', '209.223.86.7', 3521074688, 3521074695, 'CA', 'Canada'),
(148643, '209.223.86.8', '209.223.86.47', 3521074696, 3521074735, 'US', 'United States'),
(148644, '209.223.86.48', '209.223.86.63', 3521074736, 3521074751, 'AU', 'Australia'),
(148645, '209.223.86.64', '209.223.130.255', 3521074752, 3521086207, 'US', 'United States'),
(148646, '209.223.131.0', '209.223.131.255', 3521086208, 3521086463, 'AU', 'Australia'),
(148647, '209.223.132.0', '209.223.179.55', 3521086464, 3521098551, 'US', 'United States'),
(148648, '209.223.179.56', '209.223.179.63', 3521098552, 3521098559, 'MX', 'Mexico'),
(148649, '209.223.179.64', '209.223.197.127', 3521098560, 3521103231, 'US', 'United States'),
(148650, '209.223.197.128', '209.223.197.159', 3521103232, 3521103263, 'CA', 'Canada'),
(148651, '209.223.197.160', '209.223.210.95', 3521103264, 3521106527, 'US', 'United States'),
(148652, '209.223.210.96', '209.223.210.111', 3521106528, 3521106543, 'CA', 'Canada'),
(148653, '209.223.210.112', '209.225.11.63', 3521106544, 3521186623, 'US', 'United States'),
(148654, '209.225.11.64', '209.225.11.127', 3521186624, 3521186687, 'AR', 'Argentina'),
(148655, '209.225.11.128', '209.225.34.255', 3521186688, 3521192703, 'US', 'United States'),
(148656, '209.225.35.0', '209.225.35.31', 3521192704, 3521192735, 'FR', 'France'),
(148657, '209.225.35.32', '209.225.48.255', 3521192736, 3521196287, 'US', 'United States'),
(148658, '209.225.49.0', '209.225.49.255', 3521196288, 3521196543, 'AR', 'Argentina'),
(148659, '209.225.50.0', '209.225.59.255', 3521196544, 3521199103, 'US', 'United States'),
(148660, '209.225.60.0', '209.225.60.63', 3521199104, 3521199167, 'CA', 'Canada'),
(148661, '209.225.60.64', '209.225.60.111', 3521199168, 3521199215, 'US', 'United States'),
(148662, '209.225.60.112', '209.225.60.119', 3521199216, 3521199223, 'CA', 'Canada'),
(148663, '209.225.60.120', '209.225.60.127', 3521199224, 3521199231, 'US', 'United States'),
(148664, '209.225.60.128', '209.225.60.135', 3521199232, 3521199239, 'CA', 'Canada'),
(148665, '209.225.60.136', '209.225.255.255', 3521199240, 3521249279, 'US', 'United States'),
(148666, '209.226.0.0', '209.226.255.255', 3521249280, 3521314815, 'CA', 'Canada'),
(148667, '209.227.0.0', '209.227.194.255', 3521314816, 3521364735, 'US', 'United States'),
(148668, '209.227.195.0', '209.227.195.79', 3521364736, 3521364815, 'IT', 'Italy'),
(148669, '209.227.195.80', '209.227.202.255', 3521364816, 3521366783, 'US', 'United States'),
(148670, '209.227.203.0', '209.227.203.255', 3521366784, 3521367039, 'CY', 'Cyprus'),
(148671, '209.227.204.0', '209.227.221.31', 3521367040, 3521371423, 'US', 'United States'),
(148672, '209.227.221.32', '209.227.221.63', 3521371424, 3521371455, 'IT', 'Italy'),
(148673, '209.227.221.64', '209.227.221.71', 3521371456, 3521371463, 'US', 'United States'),
(148674, '209.227.221.72', '209.227.221.103', 3521371464, 3521371495, 'IT', 'Italy'),
(148675, '209.227.221.104', '209.227.221.255', 3521371496, 3521371647, 'US', 'United States'),
(148676, '209.227.222.0', '209.227.222.31', 3521371648, 3521371679, 'CA', 'Canada'),
(148677, '209.227.222.32', '209.227.222.63', 3521371680, 3521371711, 'US', 'United States'),
(148678, '209.227.222.64', '209.227.222.111', 3521371712, 3521371759, 'CA', 'Canada'),
(148679, '209.227.222.112', '209.227.222.255', 3521371760, 3521371903, 'US', 'United States'),
(148680, '209.227.223.0', '209.227.223.7', 3521371904, 3521371911, 'IT', 'Italy'),
(148681, '209.227.223.8', '209.227.223.15', 3521371912, 3521371919, 'US', 'United States'),
(148682, '209.227.223.16', '209.227.223.79', 3521371920, 3521371983, 'IT', 'Italy'),
(148683, '209.227.223.80', '209.227.223.95', 3521371984, 3521371999, 'US', 'United States'),
(148684, '209.227.223.96', '209.227.223.127', 3521372000, 3521372031, 'IT', 'Italy'),
(148685, '209.227.223.128', '209.227.223.159', 3521372032, 3521372063, 'US', 'United States'),
(148686, '209.227.223.160', '209.227.223.175', 3521372064, 3521372079, 'IN', 'India'),
(148687, '209.227.223.176', '209.227.223.191', 3521372080, 3521372095, 'IT', 'Italy'),
(148688, '209.227.223.192', '209.227.223.255', 3521372096, 3521372159, 'CA', 'Canada'),
(148689, '209.227.224.0', '209.227.244.127', 3521372160, 3521377407, 'US', 'United States'),
(148690, '209.227.244.128', '209.227.244.159', 3521377408, 3521377439, 'IT', 'Italy'),
(148691, '209.227.244.160', '209.234.243.127', 3521377440, 3521835903, 'US', 'United States'),
(148692, '209.234.243.128', '209.234.243.191', 3521835904, 3521835967, 'CA', 'Canada'),
(148693, '209.234.243.192', '209.235.255.255', 3521835968, 3521904639, 'US', 'United States'),
(148694, '209.236.0.0', '209.236.63.255', 3521904640, 3521921023, 'JM', 'Jamaica'),
(148695, '209.236.64.0', '209.236.112.9', 3521921024, 3521933321, 'US', 'United States'),
(148696, '209.236.112.10', '209.236.112.17', 3521933322, 3521933329, 'PK', 'Pakistan'),
(148697, '209.236.112.18', '209.236.112.33', 3521933330, 3521933345, 'MA', 'Morocco'),
(148698, '209.236.112.34', '209.236.112.45', 3521933346, 3521933357, 'US', 'United States'),
(148699, '209.236.112.46', '209.236.112.53', 3521933358, 3521933365, 'VE', 'Venezuela'),
(148700, '209.236.112.54', '209.236.112.77', 3521933366, 3521933389, 'US', 'United States'),
(148701, '209.236.112.78', '209.236.112.85', 3521933390, 3521933397, 'AE', 'United Arab Emirates'),
(148702, '209.236.112.86', '209.236.112.93', 3521933398, 3521933405, 'US', 'United States'),
(148703, '209.236.112.94', '209.236.112.101', 3521933406, 3521933413, 'VE', 'Venezuela'),
(148704, '209.236.112.102', '209.236.112.109', 3521933414, 3521933421, 'IN', 'India'),
(148705, '209.236.112.110', '209.236.112.117', 3521933422, 3521933429, 'US', 'United States'),
(148706, '209.236.112.118', '209.236.112.125', 3521933430, 3521933437, 'EG', 'Egypt'),
(148707, '209.236.112.126', '209.236.112.133', 3521933438, 3521933445, 'VE', 'Venezuela'),
(148708, '209.236.112.134', '209.236.112.185', 3521933446, 3521933497, 'US', 'United States'),
(148709, '209.236.112.186', '209.236.112.193', 3521933498, 3521933505, 'EG', 'Egypt'),
(148710, '209.236.112.194', '209.236.112.225', 3521933506, 3521933537, 'GB', 'United Kingdom'),
(148711, '209.236.112.226', '209.236.113.9', 3521933538, 3521933577, 'US', 'United States'),
(148712, '209.236.113.10', '209.236.113.17', 3521933578, 3521933585, 'EG', 'Egypt'),
(148713, '209.236.113.18', '209.236.113.37', 3521933586, 3521933605, 'US', 'United States'),
(148714, '209.236.113.38', '209.236.113.45', 3521933606, 3521933613, 'AE', 'United Arab Emirates'),
(148715, '209.236.113.46', '209.236.113.53', 3521933614, 3521933621, 'US', 'United States'),
(148716, '209.236.113.54', '209.236.113.61', 3521933622, 3521933629, 'IN', 'India'),
(148717, '209.236.113.62', '209.236.113.157', 3521933630, 3521933725, 'US', 'United States'),
(148718, '209.236.113.158', '209.236.113.165', 3521933726, 3521933733, 'GB', 'United Kingdom'),
(148719, '209.236.113.166', '209.236.113.173', 3521933734, 3521933741, 'US', 'United States'),
(148720, '209.236.113.174', '209.236.113.217', 3521933742, 3521933785, 'GB', 'United Kingdom'),
(148721, '209.236.113.218', '209.236.114.9', 3521933786, 3521933833, 'US', 'United States'),
(148722, '209.236.114.10', '209.236.114.17', 3521933834, 3521933841, 'EG', 'Egypt'),
(148723, '209.236.114.18', '209.236.114.105', 3521933842, 3521933929, 'US', 'United States'),
(148724, '209.236.114.106', '209.236.114.113', 3521933930, 3521933937, 'IN', 'India'),
(148725, '209.236.114.114', '209.236.114.121', 3521933938, 3521933945, 'US', 'United States'),
(148726, '209.236.114.122', '209.236.114.129', 3521933946, 3521933953, 'EG', 'Egypt'),
(148727, '209.236.114.130', '209.236.114.157', 3521933954, 3521933981, 'US', 'United States'),
(148728, '209.236.114.158', '209.236.114.165', 3521933982, 3521933989, 'IN', 'India'),
(148729, '209.236.114.166', '209.236.114.173', 3521933990, 3521933997, 'EG', 'Egypt'),
(148730, '209.236.114.174', '209.236.114.237', 3521933998, 3521934061, 'US', 'United States'),
(148731, '209.236.114.238', '209.236.114.245', 3521934062, 3521934069, 'EG', 'Egypt'),
(148732, '209.236.114.246', '209.236.115.9', 3521934070, 3521934089, 'US', 'United States'),
(148733, '209.236.115.10', '209.236.115.17', 3521934090, 3521934097, 'EG', 'Egypt'),
(148734, '209.236.115.18', '209.236.115.33', 3521934098, 3521934113, 'US', 'United States'),
(148735, '209.236.115.34', '209.236.115.41', 3521934114, 3521934121, 'EG', 'Egypt'),
(148736, '209.236.115.42', '209.236.115.49', 3521934122, 3521934129, 'ID', 'Indonesia'),
(148737, '209.236.115.50', '209.236.115.57', 3521934130, 3521934137, 'US', 'United States'),
(148738, '209.236.115.58', '209.236.115.65', 3521934138, 3521934145, 'GR', 'Greece'),
(148739, '209.236.115.66', '209.236.115.81', 3521934146, 3521934161, 'ID', 'Indonesia'),
(148740, '209.236.115.82', '209.236.115.105', 3521934162, 3521934185, 'US', 'United States'),
(148741, '209.236.115.106', '209.236.115.121', 3521934186, 3521934201, 'LK', 'Sri Lanka'),
(148742, '209.236.115.122', '209.236.115.153', 3521934202, 3521934233, 'US', 'United States'),
(148743, '209.236.115.154', '209.236.115.161', 3521934234, 3521934241, 'ID', 'Indonesia'),
(148744, '209.236.115.162', '209.236.115.209', 3521934242, 3521934289, 'US', 'United States'),
(148745, '209.236.115.210', '209.236.115.217', 3521934290, 3521934297, 'EG', 'Egypt'),
(148746, '209.236.115.218', '209.236.115.234', 3521934298, 3521934314, 'US', 'United States'),
(148747, '209.236.115.235', '209.236.115.242', 3521934315, 3521934322, 'EG', 'Egypt'),
(148748, '209.236.115.243', '209.236.116.85', 3521934323, 3521934421, 'US', 'United States'),
(148749, '209.236.116.86', '209.236.116.93', 3521934422, 3521934429, 'EG', 'Egypt'),
(148750, '209.236.116.94', '209.236.116.101', 3521934430, 3521934437, 'US', 'United States'),
(148751, '209.236.116.102', '209.236.116.109', 3521934438, 3521934445, 'IN', 'India'),
(148752, '209.236.116.110', '209.236.116.173', 3521934446, 3521934509, 'US', 'United States'),
(148753, '209.236.116.174', '209.236.116.181', 3521934510, 3521934517, 'IN', 'India'),
(148754, '209.236.116.182', '209.236.117.135', 3521934518, 3521934727, 'US', 'United States'),
(148755, '209.236.117.136', '209.236.117.151', 3521934728, 3521934743, 'EG', 'Egypt'),
(148756, '209.236.117.152', '209.236.117.176', 3521934744, 3521934768, 'US', 'United States'),
(148757, '209.236.117.177', '209.236.117.184', 3521934769, 3521934776, 'MA', 'Morocco'),
(148758, '209.236.117.185', '209.236.119.206', 3521934777, 3521935310, 'US', 'United States'),
(148759, '209.236.119.207', '209.236.119.214', 3521935311, 3521935318, 'EG', 'Egypt'),
(148760, '209.236.119.215', '209.236.120.193', 3521935319, 3521935553, 'US', 'United States'),
(148761, '209.236.120.194', '209.236.120.201', 3521935554, 3521935561, 'VE', 'Venezuela'),
(148762, '209.236.120.202', '209.236.121.69', 3521935562, 3521935685, 'US', 'United States'),
(148763, '209.236.121.70', '209.236.121.77', 3521935686, 3521935693, 'EG', 'Egypt'),
(148764, '209.236.121.78', '209.236.121.93', 3521935694, 3521935709, 'US', 'United States'),
(148765, '209.236.121.94', '209.236.121.109', 3521935710, 3521935725, 'IN', 'India'),
(148766, '209.236.121.110', '209.236.121.125', 3521935726, 3521935741, 'US', 'United States'),
(148767, '209.236.121.126', '209.236.121.133', 3521935742, 3521935749, 'VE', 'Venezuela'),
(148768, '209.236.121.134', '209.236.122.121', 3521935750, 3521935993, 'US', 'United States'),
(148769, '209.236.122.122', '209.236.122.153', 3521935994, 3521936025, 'EG', 'Egypt'),
(148770, '209.236.122.154', '209.236.123.115', 3521936026, 3521936243, 'US', 'United States'),
(148771, '209.236.123.116', '209.236.123.123', 3521936244, 3521936251, 'IN', 'India'),
(148772, '209.236.123.124', '209.236.123.163', 3521936252, 3521936291, 'US', 'United States'),
(148773, '209.236.123.164', '209.236.123.171', 3521936292, 3521936299, 'IN', 'India'),
(148774, '209.236.123.172', '209.236.124.9', 3521936300, 3521936393, 'US', 'United States'),
(148775, '209.236.124.10', '209.236.124.28', 3521936394, 3521936412, 'EG', 'Egypt'),
(148776, '209.236.124.29', '209.236.124.29', 3521936413, 3521936413, 'US', 'United States'),
(148777, '209.236.124.30', '209.236.124.41', 3521936414, 3521936425, 'EG', 'Egypt'),
(148778, '209.236.124.42', '209.236.125.99', 3521936426, 3521936739, 'US', 'United States'),
(148779, '209.236.125.100', '209.236.125.107', 3521936740, 3521936747, 'ID', 'Indonesia'),
(148780, '209.236.125.108', '209.236.125.118', 3521936748, 3521936758, 'US', 'United States'),
(148781, '209.236.125.119', '209.236.125.126', 3521936759, 3521936766, 'IN', 'India'),
(148782, '209.236.125.127', '209.236.125.187', 3521936767, 3521936827, 'US', 'United States'),
(148783, '209.236.125.188', '209.236.125.220', 3521936828, 3521936860, 'EG', 'Egypt'),
(148784, '209.236.125.221', '209.236.125.234', 3521936861, 3521936874, 'US', 'United States'),
(148785, '209.236.125.235', '209.236.125.242', 3521936875, 3521936882, 'IN', 'India'),
(148786, '209.236.125.243', '209.236.126.97', 3521936883, 3521936993, 'US', 'United States'),
(148787, '209.236.126.98', '209.236.126.105', 3521936994, 3521937001, 'LK', 'Sri Lanka'),
(148788, '209.236.126.106', '209.236.126.121', 3521937002, 3521937017, 'US', 'United States'),
(148789, '209.236.126.122', '209.236.126.129', 3521937018, 3521937025, 'SG', 'Singapore'),
(148790, '209.236.126.130', '209.236.127.9', 3521937026, 3521937161, 'US', 'United States'),
(148791, '209.236.127.10', '209.236.127.100', 3521937162, 3521937252, 'EG', 'Egypt'),
(148792, '209.236.127.101', '209.236.127.108', 3521937253, 3521937260, 'US', 'United States'),
(148793, '209.236.127.109', '209.236.127.254', 3521937261, 3521937406, 'EG', 'Egypt'),
(148794, '209.236.127.255', '209.236.235.255', 3521937407, 3521965055, 'US', 'United States'),
(148795, '209.236.236.0', '209.236.239.255', 3521965056, 3521966079, 'DE', 'Germany'),
(148796, '209.236.240.0', '209.237.75.255', 3521966080, 3521989631, 'US', 'United States'),
(148797, '209.237.76.0', '209.237.76.255', 3521989632, 3521989887, 'A2', 'Satellite Provider'),
(148798, '209.237.77.0', '209.237.231.127', 3521989888, 3522029439, 'US', 'United States'),
(148799, '209.237.231.128', '209.237.231.191', 3522029440, 3522029503, 'FI', 'Finland'),
(148800, '209.237.231.192', '209.237.231.255', 3522029504, 3522029567, 'CA', 'Canada'),
(148801, '209.237.232.0', '209.237.251.15', 3522029568, 3522034447, 'US', 'United States'),
(148802, '209.237.251.16', '209.237.251.31', 3522034448, 3522034463, 'GB', 'United Kingdom'),
(148803, '209.237.251.32', '209.238.255.255', 3522034464, 3522101247, 'US', 'United States'),
(148804, '209.239.0.0', '209.239.31.255', 3522101248, 3522109439, 'CA', 'Canada'),
(148805, '209.239.32.0', '209.239.65.255', 3522109440, 3522118143, 'US', 'United States'),
(148806, '209.239.66.0', '209.239.71.255', 3522118144, 3522119679, 'GB', 'United Kingdom'),
(148807, '209.239.72.0', '209.239.72.255', 3522119680, 3522119935, 'US', 'United States'),
(148808, '209.239.73.0', '209.239.73.255', 3522119936, 3522120191, 'LY', 'Libyan Arab Jamahiriya'),
(148809, '209.239.74.0', '209.239.74.255', 3522120192, 3522120447, 'US', 'United States'),
(148810, '209.239.75.0', '209.239.77.255', 3522120448, 3522121215, 'LY', 'Libyan Arab Jamahiriya'),
(148811, '209.239.78.0', '209.239.78.255', 3522121216, 3522121471, 'US', 'United States'),
(148812, '209.239.79.0', '209.239.80.255', 3522121472, 3522121983, 'LY', 'Libyan Arab Jamahiriya'),
(148813, '209.239.81.0', '209.239.81.255', 3522121984, 3522122239, 'AW', 'Aruba'),
(148814, '209.239.82.0', '209.239.86.255', 3522122240, 3522123519, 'US', 'United States'),
(148815, '209.239.87.0', '209.239.87.255', 3522123520, 3522123775, 'GB', 'United Kingdom'),
(148816, '209.239.88.0', '209.239.92.255', 3522123776, 3522125055, 'US', 'United States'),
(148817, '209.239.93.0', '209.239.93.255', 3522125056, 3522125311, 'GB', 'United Kingdom'),
(148818, '209.239.94.0', '209.239.113.76', 3522125312, 3522130252, 'US', 'United States'),
(148819, '209.239.113.77', '209.239.113.77', 3522130253, 3522130253, 'BR', 'Brazil'),
(148820, '209.239.113.78', '209.239.113.100', 3522130254, 3522130276, 'US', 'United States'),
(148821, '209.239.113.101', '209.239.113.101', 3522130277, 3522130277, 'EC', 'Ecuador'),
(148822, '209.239.113.102', '209.239.113.113', 3522130278, 3522130289, 'US', 'United States'),
(148823, '209.239.113.114', '209.239.113.114', 3522130290, 3522130290, 'AR', 'Argentina'),
(148824, '209.239.113.115', '209.239.113.115', 3522130291, 3522130291, 'BR', 'Brazil'),
(148825, '209.239.113.116', '209.239.113.117', 3522130292, 3522130293, 'US', 'United States'),
(148826, '209.239.113.118', '209.239.113.118', 3522130294, 3522130294, 'GT', 'Guatemala'),
(148827, '209.239.113.119', '209.239.113.120', 3522130295, 3522130296, 'US', 'United States'),
(148828, '209.239.113.121', '209.239.113.121', 3522130297, 3522130297, 'CA', 'Canada'),
(148829, '209.239.113.122', '209.239.113.122', 3522130298, 3522130298, 'US', 'United States'),
(148830, '209.239.113.123', '209.239.113.123', 3522130299, 3522130299, 'CA', 'Canada'),
(148831, '209.239.113.124', '209.239.113.132', 3522130300, 3522130308, 'US', 'United States'),
(148832, '209.239.113.133', '209.239.113.133', 3522130309, 3522130309, 'AZ', 'Azerbaijan'),
(148833, '209.239.113.134', '209.239.113.136', 3522130310, 3522130312, 'CA', 'Canada'),
(148834, '209.239.113.137', '209.239.113.137', 3522130313, 3522130313, 'US', 'United States'),
(148835, '209.239.113.138', '209.239.113.138', 3522130314, 3522130314, 'BR', 'Brazil'),
(148836, '209.239.113.139', '209.239.113.149', 3522130315, 3522130325, 'US', 'United States'),
(148837, '209.239.113.150', '209.239.113.150', 3522130326, 3522130326, 'EE', 'Estonia'),
(148838, '209.239.113.151', '209.239.113.153', 3522130327, 3522130329, 'US', 'United States'),
(148839, '209.239.113.154', '209.239.113.154', 3522130330, 3522130330, 'EC', 'Ecuador'),
(148840, '209.239.113.155', '209.239.113.155', 3522130331, 3522130331, 'BR', 'Brazil'),
(148841, '209.239.113.156', '209.239.113.163', 3522130332, 3522130339, 'US', 'United States'),
(148842, '209.239.113.164', '209.239.113.165', 3522130340, 3522130341, 'DO', 'Dominican Republic'),
(148843, '209.239.113.166', '209.239.113.166', 3522130342, 3522130342, 'PK', 'Pakistan'),
(148844, '209.239.113.167', '209.239.113.169', 3522130343, 3522130345, 'TH', 'Thailand'),
(148845, '209.239.113.170', '209.239.113.170', 3522130346, 3522130346, 'US', 'United States'),
(148846, '209.239.113.171', '209.239.113.172', 3522130347, 3522130348, 'CA', 'Canada'),
(148847, '209.239.113.173', '209.239.117.255', 3522130349, 3522131455, 'US', 'United States'),
(148848, '209.239.118.0', '209.239.118.31', 3522131456, 3522131487, 'CY', 'Cyprus'),
(148849, '209.239.118.32', '209.239.118.63', 3522131488, 3522131519, 'DE', 'Germany'),
(148850, '209.239.118.64', '209.239.118.159', 3522131520, 3522131615, 'US', 'United States'),
(148851, '209.239.118.160', '209.239.118.191', 3522131616, 3522131647, 'BR', 'Brazil'),
(148852, '209.239.118.192', '209.239.118.255', 3522131648, 3522131711, 'US', 'United States'),
(148853, '209.239.119.0', '209.239.119.31', 3522131712, 3522131743, 'GB', 'United Kingdom'),
(148854, '209.239.119.32', '209.239.119.63', 3522131744, 3522131775, 'US', 'United States'),
(148855, '209.239.119.64', '209.239.119.95', 3522131776, 3522131807, 'TR', 'Turkey'),
(148856, '209.239.119.96', '209.239.119.143', 3522131808, 3522131855, 'US', 'United States'),
(148857, '209.239.119.144', '209.239.119.145', 3522131856, 3522131857, 'DO', 'Dominican Republic'),
(148858, '209.239.119.146', '209.239.119.174', 3522131858, 3522131886, 'US', 'United States'),
(148859, '209.239.119.175', '209.239.119.179', 3522131887, 3522131891, 'BR', 'Brazil'),
(148860, '209.239.119.180', '209.239.119.180', 3522131892, 3522131892, 'AU', 'Australia'),
(148861, '209.239.119.181', '209.239.119.185', 3522131893, 3522131897, 'US', 'United States'),
(148862, '209.239.119.186', '209.239.119.186', 3522131898, 3522131898, 'RU', 'Russian Federation'),
(148863, '209.239.119.187', '209.239.119.187', 3522131899, 3522131899, 'BD', 'Bangladesh'),
(148864, '209.239.119.188', '209.239.119.189', 3522131900, 3522131901, 'BR', 'Brazil'),
(148865, '209.239.119.190', '209.239.119.192', 3522131902, 3522131904, 'US', 'United States'),
(148866, '209.239.119.193', '209.239.119.193', 3522131905, 3522131905, 'BR', 'Brazil'),
(148867, '209.239.119.194', '209.239.119.194', 3522131906, 3522131906, 'PK', 'Pakistan'),
(148868, '209.239.119.195', '209.239.119.195', 3522131907, 3522131907, 'DE', 'Germany'),
(148869, '209.239.119.196', '209.239.119.197', 3522131908, 3522131909, 'US', 'United States'),
(148870, '209.239.119.198', '209.239.119.199', 3522131910, 3522131911, 'DE', 'Germany'),
(148871, '209.239.119.200', '209.239.119.201', 3522131912, 3522131913, 'IN', 'India'),
(148872, '209.239.119.202', '209.239.119.204', 3522131914, 3522131916, 'US', 'United States'),
(148873, '209.239.119.205', '209.239.119.205', 3522131917, 3522131917, 'RO', 'Romania'),
(148874, '209.239.119.206', '209.239.119.207', 3522131918, 3522131919, 'GB', 'United Kingdom'),
(148875, '209.239.119.208', '209.239.119.210', 3522131920, 3522131922, 'US', 'United States'),
(148876, '209.239.119.211', '209.239.119.211', 3522131923, 3522131923, 'GB', 'United Kingdom'),
(148877, '209.239.119.212', '209.239.119.214', 3522131924, 3522131926, 'BR', 'Brazil'),
(148878, '209.239.119.215', '209.239.122.95', 3522131927, 3522132575, 'US', 'United States'),
(148879, '209.239.122.96', '209.239.122.127', 3522132576, 3522132607, 'BR', 'Brazil'),
(148880, '209.239.122.128', '209.239.122.159', 3522132608, 3522132639, 'CA', 'Canada'),
(148881, '209.239.122.160', '209.239.122.191', 3522132640, 3522132671, 'BO', 'Bolivia'),
(148882, '209.239.122.192', '209.239.122.223', 3522132672, 3522132703, 'BR', 'Brazil'),
(148883, '209.239.122.224', '209.239.122.255', 3522132704, 3522132735, 'LK', 'Sri Lanka'),
(148884, '209.239.123.0', '209.239.124.31', 3522132736, 3522133023, 'US', 'United States'),
(148885, '209.239.124.32', '209.239.124.63', 3522133024, 3522133055, 'BR', 'Brazil'),
(148886, '209.239.124.64', '209.239.126.31', 3522133056, 3522133535, 'US', 'United States'),
(148887, '209.239.126.32', '209.239.126.63', 3522133536, 3522133567, 'TR', 'Turkey'),
(148888, '209.239.126.64', '209.239.126.95', 3522133568, 3522133599, 'BR', 'Brazil'),
(148889, '209.239.126.96', '209.239.126.135', 3522133600, 3522133639, 'US', 'United States'),
(148890, '209.239.126.136', '209.239.126.143', 3522133640, 3522133647, 'DE', 'Germany'),
(148891, '209.239.126.144', '209.239.126.159', 3522133648, 3522133663, 'US', 'United States'),
(148892, '209.239.126.160', '209.239.126.191', 3522133664, 3522133695, 'DE', 'Germany'),
(148893, '209.239.126.192', '209.239.126.255', 3522133696, 3522133759, 'US', 'United States'),
(148894, '209.239.127.0', '209.239.127.31', 3522133760, 3522133791, 'TR', 'Turkey'),
(148895, '209.239.127.32', '209.240.31.255', 3522133792, 3522174975, 'US', 'United States'),
(148896, '209.240.32.0', '209.240.47.255', 3522174976, 3522179071, 'BM', 'Bermuda'),
(148897, '209.240.48.0', '209.240.111.255', 3522179072, 3522195455, 'US', 'United States'),
(148898, '209.240.112.0', '209.240.127.255', 3522195456, 3522199551, 'CA', 'Canada'),
(148899, '209.240.128.0', '209.249.11.167', 3522199552, 3522759591, 'US', 'United States'),
(148900, '209.249.11.168', '209.249.11.175', 3522759592, 3522759599, 'CA', 'Canada'),
(148901, '209.249.11.176', '209.249.65.255', 3522759600, 3522773503, 'US', 'United States'),
(148902, '209.249.66.0', '209.249.66.255', 3522773504, 3522773759, 'A1', 'Anonymous Proxy'),
(148903, '209.249.67.0', '209.250.127.255', 3522773760, 3522854911, 'US', 'United States'),
(148904, '209.250.128.0', '209.250.147.223', 3522854912, 3522859999, 'CA', 'Canada'),
(148905, '209.250.147.224', '209.250.147.255', 3522860000, 3522860031, 'IN', 'India'),
(148906, '209.250.148.0', '209.250.152.223', 3522860032, 3522861279, 'CA', 'Canada'),
(148907, '209.250.152.224', '209.250.152.231', 3522861280, 3522861287, 'US', 'United States'),
(148908, '209.250.152.232', '209.250.191.255', 3522861288, 3522871295, 'CA', 'Canada'),
(148909, '209.250.192.0', '209.251.55.255', 3522871296, 3522902015, 'US', 'United States'),
(148910, '209.251.56.0', '209.251.59.255', 3522902016, 3522903039, 'CA', 'Canada'),
(148911, '209.251.60.0', '209.251.195.255', 3522903040, 3522937855, 'US', 'United States'),
(148912, '209.251.196.0', '209.251.197.255', 3522937856, 3522938367, 'GB', 'United Kingdom'),
(148913, '209.251.198.0', '209.255.255.255', 3522938368, 3523215359, 'US', 'United States'),
(148914, '210.0.0.0', '210.0.31.255', 3523215360, 3523223551, 'AU', 'Australia'),
(148915, '210.0.32.0', '210.0.63.255', 3523223552, 3523231743, 'KR', 'Korea, Republic of'),
(148916, '210.0.64.0', '210.0.127.255', 3523231744, 3523248127, 'AU', 'Australia'),
(148917, '210.0.128.0', '210.0.255.255', 3523248128, 3523280895, 'HK', 'Hong Kong'),
(148918, '210.1.0.0', '210.1.63.255', 3523280896, 3523297279, 'TH', 'Thailand'),
(148919, '210.1.64.0', '210.1.66.255', 3523297280, 3523298047, 'PH', 'Philippines'),
(148920, '210.1.67.0', '210.1.67.255', 3523298048, 3523298303, 'US', 'United States'),
(148921, '210.1.68.0', '210.1.143.255', 3523298304, 3523317759, 'PH', 'Philippines'),
(148922, '210.1.144.0', '210.1.191.255', 3523317760, 3523330047, 'JP', 'Japan'),
(148923, '210.1.192.0', '210.1.223.255', 3523330048, 3523338239, 'AU', 'Australia'),
(148924, '210.1.224.0', '210.1.231.255', 3523338240, 3523340287, 'MY', 'Malaysia'),
(148925, '210.1.232.0', '210.1.235.255', 3523340288, 3523341311, 'AU', 'Australia'),
(148926, '210.1.236.0', '210.1.239.255', 3523341312, 3523342335, 'JP', 'Japan'),
(148927, '210.1.240.0', '210.1.255.255', 3523342336, 3523346431, 'BD', 'Bangladesh'),
(148928, '210.2.0.0', '210.2.31.255', 3523346432, 3523354623, 'CN', 'China'),
(148929, '210.2.32.0', '210.2.63.255', 3523354624, 3523362815, 'KR', 'Korea, Republic of'),
(148930, '210.2.64.0', '210.2.127.255', 3523362816, 3523379199, 'VN', 'Vietnam'),
(148931, '210.2.128.0', '210.2.191.255', 3523379200, 3523395583, 'PK', 'Pakistan'),
(148932, '210.2.192.0', '210.2.255.255', 3523395584, 3523411967, 'JP', 'Japan'),
(148933, '210.3.0.0', '210.3.255.255', 3523411968, 3523477503, 'HK', 'Hong Kong'),
(148934, '210.4.0.0', '210.4.63.255', 3523477504, 3523493887, 'PH', 'Philippines'),
(148935, '210.4.64.0', '210.4.79.255', 3523493888, 3523497983, 'BD', 'Bangladesh'),
(148936, '210.4.80.0', '210.4.87.255', 3523497984, 3523500031, 'AU', 'Australia'),
(148937, '210.4.88.0', '210.4.95.255', 3523500032, 3523502079, 'KR', 'Korea, Republic of'),
(148938, '210.4.96.0', '210.4.127.255', 3523502080, 3523510271, 'PH', 'Philippines'),
(148939, '210.4.128.0', '210.4.159.255', 3523510272, 3523518463, 'TH', 'Thailand'),
(148940, '210.4.160.0', '210.4.191.255', 3523518464, 3523526655, 'JP', 'Japan'),
(148941, '210.4.192.0', '210.4.207.255', 3523526656, 3523530751, 'US', 'United States'),
(148942, '210.4.208.0', '210.4.215.255', 3523530752, 3523532799, 'NZ', 'New Zealand'),
(148943, '210.4.216.0', '210.4.223.255', 3523532800, 3523534847, 'KR', 'Korea, Republic of'),
(148944, '210.4.224.0', '210.4.239.255', 3523534848, 3523538943, 'AU', 'Australia'),
(148945, '210.4.240.0', '210.4.255.255', 3523538944, 3523543039, 'JP', 'Japan'),
(148946, '210.5.0.0', '210.5.31.255', 3523543040, 3523551231, 'CN', 'China'),
(148947, '210.5.32.0', '210.5.39.255', 3523551232, 3523553279, 'AU', 'Australia'),
(148948, '210.5.40.0', '210.5.47.255', 3523553280, 3523555327, 'MY', 'Malaysia'),
(148949, '210.5.48.0', '210.5.55.255', 3523555328, 3523557375, 'NZ', 'New Zealand'),
(148950, '210.5.56.0', '210.5.63.255', 3523557376, 3523559423, 'CN', 'China'),
(148951, '210.5.64.0', '210.5.127.255', 3523559424, 3523575807, 'PH', 'Philippines'),
(148952, '210.5.128.0', '210.5.159.255', 3523575808, 3523583999, 'CN', 'China'),
(148953, '210.5.160.0', '210.5.193.47', 3523584000, 3523592495, 'HK', 'Hong Kong'),
(148954, '210.5.193.48', '210.5.193.55', 3523592496, 3523592503, 'IQ', 'Iraq'),
(148955, '210.5.193.56', '210.5.193.255', 3523592504, 3523592703, 'HK', 'Hong Kong'),
(148956, '210.5.194.0', '210.5.194.255', 3523592704, 3523592959, 'US', 'United States'),
(148957, '210.5.195.0', '210.5.196.21', 3523592960, 3523593237, 'HK', 'Hong Kong'),
(148958, '210.5.196.22', '210.5.196.22', 3523593238, 3523593238, 'US', 'United States'),
(148959, '210.5.196.23', '210.5.220.255', 3523593239, 3523599615, 'HK', 'Hong Kong'),
(148960, '210.5.221.0', '210.5.223.255', 3523599616, 3523600383, 'US', 'United States'),
(148961, '210.5.224.0', '210.5.228.255', 3523600384, 3523601663, 'HK', 'Hong Kong'),
(148962, '210.5.229.0', '210.5.229.255', 3523601664, 3523601919, 'SA', 'Saudi Arabia'),
(148963, '210.5.230.0', '210.5.234.255', 3523601920, 3523603199, 'HK', 'Hong Kong'),
(148964, '210.5.235.0', '210.5.236.255', 3523603200, 3523603711, 'US', 'United States'),
(148965, '210.5.237.0', '210.5.237.255', 3523603712, 3523603967, 'EU', 'Europe'),
(148966, '210.5.238.0', '210.5.241.255', 3523603968, 3523604991, 'HK', 'Hong Kong'),
(148967, '210.5.242.0', '210.5.242.255', 3523604992, 3523605247, 'US', 'United States'),
(148968, '210.5.243.0', '210.6.255.255', 3523605248, 3523674111, 'HK', 'Hong Kong'),
(148969, '210.7.0.0', '210.7.31.255', 3523674112, 3523682303, 'FJ', 'Fiji'),
(148970, '210.7.32.0', '210.7.47.255', 3523682304, 3523686399, 'NZ', 'New Zealand'),
(148971, '210.7.48.0', '210.7.63.255', 3523686400, 3523690495, 'AU', 'Australia'),
(148972, '210.7.64.0', '210.7.95.255', 3523690496, 3523698687, 'IN', 'India'),
(148973, '210.7.96.0', '210.7.97.255', 3523698688, 3523699199, 'JP', 'Japan'),
(148974, '210.7.98.0', '210.7.99.255', 3523699200, 3523699711, 'US', 'United States'),
(148975, '210.7.100.0', '210.7.136.255', 3523699712, 3523709183, 'JP', 'Japan'),
(148976, '210.7.137.0', '210.7.139.255', 3523709184, 3523709951, 'CN', 'China'),
(148977, '210.7.140.0', '210.7.152.255', 3523709952, 3523713279, 'JP', 'Japan'),
(148978, '210.7.153.0', '210.7.153.255', 3523713280, 3523713535, 'NL', 'Netherlands'),
(148979, '210.7.154.0', '210.7.255.255', 3523713536, 3523739647, 'JP', 'Japan'),
(148980, '210.8.0.0', '210.11.255.255', 3523739648, 3524001791, 'AU', 'Australia'),
(148981, '210.12.0.0', '210.13.255.255', 3524001792, 3524132863, 'CN', 'China'),
(148982, '210.14.0.0', '210.14.47.255', 3524132864, 3524145151, 'PH', 'Philippines'),
(148983, '210.14.48.0', '210.14.63.255', 3524145152, 3524149247, 'JP', 'Japan'),
(148984, '210.14.64.0', '210.14.95.255', 3524149248, 3524157439, 'CN', 'China'),
(148985, '210.14.96.0', '210.14.111.255', 3524157440, 3524161535, 'AU', 'Australia'),
(148986, '210.14.112.0', '210.15.191.255', 3524161536, 3524247551, 'CN', 'China'),
(148987, '210.15.192.0', '210.15.255.255', 3524247552, 3524263935, 'AU', 'Australia'),
(148988, '210.16.0.0', '210.16.63.255', 3524263936, 3524280319, 'PH', 'Philippines'),
(148989, '210.16.128.0', '210.16.191.255', 3524296704, 3524313087, 'CN', 'China'),
(148990, '210.16.192.0', '210.16.255.255', 3524313088, 3524329471, 'KR', 'Korea, Republic of'),
(148991, '210.17.0.0', '210.17.127.255', 3524329472, 3524362239, 'TW', 'Taiwan'),
(148992, '210.17.128.0', '210.17.255.255', 3524362240, 3524395007, 'HK', 'Hong Kong'),
(148993, '210.18.0.0', '210.18.191.255', 3524395008, 3524444159, 'IN', 'India'),
(148994, '210.18.192.0', '210.18.255.255', 3524444160, 3524460543, 'AU', 'Australia'),
(148995, '210.19.0.0', '210.19.255.255', 3524460544, 3524526079, 'MY', 'Malaysia'),
(148996, '210.20.0.0', '210.20.255.255', 3524526080, 3524591615, 'JP', 'Japan'),
(148997, '210.21.0.0', '210.22.255.255', 3524591616, 3524722687, 'CN', 'China'),
(148998, '210.23.0.0', '210.23.31.255', 3524722688, 3524730879, 'SG', 'Singapore'),
(148999, '210.23.32.0', '210.23.63.255', 3524730880, 3524739071, 'CN', 'China'),
(149000, '210.23.64.0', '210.23.79.255', 3524739072, 3524743167, 'ID', 'Indonesia'),
(149001, '210.23.80.0', '210.23.95.255', 3524743168, 3524747263, 'MP', 'Northern Mariana Islands'),
(149002, '210.23.96.0', '210.23.127.255', 3524747264, 3524755455, 'PH', 'Philippines'),
(149003, '210.23.128.0', '210.23.159.255', 3524755456, 3524763647, 'SG', 'Singapore'),
(149004, '210.23.160.0', '210.23.255.255', 3524763648, 3524788223, 'PH', 'Philippines'),
(149005, '210.24.0.0', '210.24.255.255', 3524788224, 3524853759, 'SG', 'Singapore'),
(149006, '210.25.0.0', '210.47.255.255', 3524853760, 3526361087, 'CN', 'China'),
(149007, '210.48.0.0', '210.48.127.255', 3526361088, 3526393855, 'NZ', 'New Zealand'),
(149008, '210.48.128.0', '210.48.135.255', 3526393856, 3526395903, 'JP', 'Japan'),
(149009, '210.48.136.0', '210.48.143.255', 3526395904, 3526397951, 'CN', 'China'),
(149010, '210.48.144.0', '210.48.159.255', 3526397952, 3526402047, 'MY', 'Malaysia'),
(149011, '210.48.160.0', '210.48.191.255', 3526402048, 3526410239, 'NZ', 'New Zealand'),
(149012, '210.48.192.0', '210.48.207.255', 3526410240, 3526414335, 'MY', 'Malaysia'),
(149013, '210.48.208.0', '210.48.215.255', 3526414336, 3526416383, 'AU', 'Australia'),
(149014, '210.48.216.0', '210.48.223.255', 3526416384, 3526418431, 'MY', 'Malaysia'),
(149015, '210.48.224.0', '210.48.255.255', 3526418432, 3526426623, 'JP', 'Japan'),
(149016, '210.49.0.0', '210.50.255.255', 3526426624, 3526557695, 'AU', 'Australia'),
(149017, '210.51.0.0', '210.52.108.255', 3526557696, 3526651135, 'CN', 'China'),
(149018, '210.52.109.0', '210.52.109.255', 3526651136, 3526651391, 'KP', 'Korea, Democratic People''s Republic of'),
(149019, '210.52.110.0', '210.53.255.255', 3526651392, 3526754303, 'CN', 'China'),
(149020, '210.54.0.0', '210.55.255.255', 3526754304, 3526885375, 'NZ', 'New Zealand'),
(149021, '210.56.0.0', '210.56.31.255', 3526885376, 3526893567, 'PK', 'Pakistan'),
(149022, '210.56.32.0', '210.56.47.255', 3526893568, 3526897663, 'NZ', 'New Zealand'),
(149023, '210.56.48.0', '210.56.63.255', 3526897664, 3526901759, 'HK', 'Hong Kong'),
(149024, '210.56.64.0', '210.56.95.255', 3526901760, 3526909951, 'AU', 'Australia'),
(149025, '210.56.96.0', '210.56.127.255', 3526909952, 3526918143, 'IN', 'India'),
(149026, '210.56.128.0', '210.56.143.255', 3526918144, 3526922239, 'SG', 'Singapore'),
(149027, '210.56.144.0', '210.56.151.255', 3526922240, 3526924287, 'IN', 'India'),
(149028, '210.56.152.0', '210.56.159.255', 3526924288, 3526926335, 'AU', 'Australia'),
(149029, '210.56.160.0', '210.56.191.255', 3526926336, 3526934527, 'JP', 'Japan'),
(149030, '210.56.192.0', '210.56.223.255', 3526934528, 3526942719, 'CN', 'China'),
(149031, '210.56.224.0', '210.56.255.255', 3526942720, 3526950911, 'AU', 'Australia'),
(149032, '210.57.0.0', '210.57.19.128', 3526950912, 3526955904, 'HK', 'Hong Kong'),
(149033, '210.57.19.129', '210.57.19.129', 3526955905, 3526955905, 'JP', 'Japan'),
(149034, '210.57.19.130', '210.57.63.255', 3526955906, 3526967295, 'HK', 'Hong Kong'),
(149035, '210.57.64.0', '210.57.127.255', 3526967296, 3526983679, 'JP', 'Japan'),
(149036, '210.57.128.0', '210.57.207.255', 3526983680, 3527004159, 'HK', 'Hong Kong'),
(149037, '210.57.208.0', '210.57.223.255', 3527004160, 3527008255, 'ID', 'Indonesia'),
(149038, '210.57.224.0', '210.57.255.255', 3527008256, 3527016447, 'KR', 'Korea, Republic of'),
(149039, '210.58.0.0', '210.71.255.255', 3527016448, 3527933951, 'TW', 'Taiwan'),
(149040, '210.72.0.0', '210.78.255.255', 3527933952, 3528392703, 'CN', 'China'),
(149041, '210.79.0.0', '210.79.15.255', 3528392704, 3528396799, 'JP', 'Japan'),
(149042, '210.79.16.0', '210.79.31.255', 3528396800, 3528400895, 'AU', 'Australia'),
(149043, '210.79.32.0', '210.79.47.255', 3528400896, 3528404991, 'JP', 'Japan'),
(149044, '210.79.48.0', '210.79.55.255', 3528404992, 3528407039, 'NZ', 'New Zealand'),
(149045, '210.79.56.0', '210.79.63.255', 3528407040, 3528409087, 'AU', 'Australia'),
(149046, '210.79.64.0', '210.79.127.255', 3528409088, 3528425471, 'CN', 'China'),
(149047, '210.79.128.0', '210.79.191.255', 3528425472, 3528441855, 'US', 'United States'),
(149048, '210.79.192.0', '210.79.207.255', 3528441856, 3528445951, 'JP', 'Japan'),
(149049, '210.79.208.0', '210.79.223.255', 3528445952, 3528450047, 'ID', 'Indonesia'),
(149050, '210.79.224.0', '210.79.255.255', 3528450048, 3528458239, 'CN', 'China'),
(149051, '210.80.0.0', '210.80.63.255', 3528458240, 3528474623, 'AF', 'Afghanistan'),
(149052, '210.80.64.0', '210.80.95.255', 3528474624, 3528482815, 'TW', 'Taiwan'),
(149053, '210.80.96.0', '210.80.127.255', 3528482816, 3528491007, 'KR', 'Korea, Republic of'),
(149054, '210.80.128.0', '210.80.191.255', 3528491008, 3528507391, 'AU', 'Australia'),
(149055, '210.80.192.0', '210.80.205.255', 3528507392, 3528510975, 'JP', 'Japan'),
(149056, '210.80.206.0', '210.80.206.255', 3528510976, 3528511231, 'US', 'United States'),
(149057, '210.80.207.0', '210.80.215.255', 3528511232, 3528513535, 'JP', 'Japan'),
(149058, '210.80.216.0', '210.80.219.255', 3528513536, 3528514559, 'US', 'United States'),
(149059, '210.80.220.0', '210.81.206.255', 3528514560, 3528576767, 'JP', 'Japan'),
(149060, '210.81.207.0', '210.81.207.255', 3528576768, 3528577023, 'AP', 'Asia/Pacific Region'),
(149061, '210.81.208.0', '210.81.255.255', 3528577024, 3528589311, 'JP', 'Japan'),
(149062, '210.82.0.0', '210.83.255.255', 3528589312, 3528720383, 'CN', 'China'),
(149063, '210.84.0.0', '210.84.255.255', 3528720384, 3528785919, 'AU', 'Australia'),
(149064, '210.85.0.0', '210.85.255.255', 3528785920, 3528851455, 'TW', 'Taiwan'),
(149065, '210.86.0.0', '210.86.127.255', 3528851456, 3528884223, 'NZ', 'New Zealand'),
(149066, '210.86.128.0', '210.86.223.255', 3528884224, 3528908799, 'TH', 'Thailand'),
(149067, '210.86.224.0', '210.86.239.255', 3528908800, 3528912895, 'VN', 'Vietnam'),
(149068, '210.86.240.0', '210.87.63.255', 3528912896, 3528933375, 'AU', 'Australia'),
(149069, '210.87.128.0', '210.87.191.255', 3528949760, 3528966143, 'CN', 'China'),
(149070, '210.87.192.0', '210.87.223.255', 3528966144, 3528974335, 'KR', 'Korea, Republic of'),
(149071, '210.87.224.0', '210.87.239.255', 3528974336, 3528978431, 'JP', 'Japan'),
(149072, '210.87.240.0', '210.87.255.255', 3528978432, 3528982527, 'HK', 'Hong Kong'),
(149073, '210.88.0.0', '210.89.31.255', 3528982528, 3529056255, 'JP', 'Japan'),
(149074, '210.89.32.0', '210.89.63.255', 3529056256, 3529064447, 'IN', 'India'),
(149075, '210.89.64.0', '210.89.95.255', 3529064448, 3529072639, 'HK', 'Hong Kong'),
(149076, '210.89.96.0', '210.89.127.255', 3529072640, 3529080831, 'JP', 'Japan'),
(149077, '210.89.128.0', '210.89.159.255', 3529080832, 3529089023, 'AU', 'Australia'),
(149078, '210.89.160.0', '210.89.191.255', 3529089024, 3529097215, 'KR', 'Korea, Republic of'),
(149079, '210.89.192.0', '210.89.255.255', 3529097216, 3529113599, 'JP', 'Japan'),
(149080, '210.90.0.0', '210.127.255.255', 3529113600, 3531603967, 'KR', 'Korea, Republic of'),
(149081, '210.128.0.0', '210.146.35.255', 3531603968, 3532792831, 'JP', 'Japan'),
(149082, '210.146.36.0', '210.146.36.255', 3532792832, 3532793087, 'US', 'United States'),
(149083, '210.146.37.0', '210.148.56.255', 3532793088, 3532929279, 'JP', 'Japan'),
(149084, '210.148.57.0', '210.148.57.255', 3532929280, 3532929535, 'AP', 'Asia/Pacific Region'),
(149085, '210.148.58.0', '210.164.154.255', 3532929536, 3534002943, 'JP', 'Japan'),
(149086, '210.164.155.0', '210.164.155.255', 3534002944, 3534003199, 'US', 'United States'),
(149087, '210.164.156.0', '210.175.255.255', 3534003200, 3534749695, 'JP', 'Japan'),
(149088, '210.176.0.0', '210.176.54.255', 3534749696, 3534763775, 'HK', 'Hong Kong'),
(149089, '210.176.55.0', '210.176.55.255', 3534763776, 3534764031, 'AP', 'Asia/Pacific Region'),
(149090, '210.176.56.0', '210.177.204.255', 3534764032, 3534867711, 'HK', 'Hong Kong'),
(149091, '210.177.205.0', '210.177.205.255', 3534867712, 3534867967, 'AP', 'Asia/Pacific Region'),
(149092, '210.177.206.0', '210.177.255.255', 3534867968, 3534880767, 'HK', 'Hong Kong'),
(149093, '210.178.0.0', '210.183.255.255', 3534880768, 3535273983, 'KR', 'Korea, Republic of'),
(149094, '210.184.0.0', '210.184.255.255', 3535273984, 3535339519, 'HK', 'Hong Kong'),
(149095, '210.185.0.0', '210.185.63.255', 3535339520, 3535355903, 'NZ', 'New Zealand'),
(149096, '210.185.64.0', '210.185.127.255', 3535355904, 3535372287, 'AU', 'Australia'),
(149097, '210.185.128.0', '210.185.159.255', 3535372288, 3535380479, 'JP', 'Japan'),
(149098, '210.185.160.0', '210.185.191.255', 3535380480, 3535388671, 'PH', 'Philippines'),
(149099, '210.185.192.0', '210.185.255.255', 3535388672, 3535405055, 'CN', 'China'),
(149100, '210.186.0.0', '210.187.255.255', 3535405056, 3535536127, 'MY', 'Malaysia'),
(149101, '210.188.0.0', '210.191.255.255', 3535536128, 3535798271, 'JP', 'Japan'),
(149102, '210.192.0.0', '210.192.63.255', 3535798272, 3535814655, 'TW', 'Taiwan'),
(149103, '210.192.64.0', '210.192.95.255', 3535814656, 3535822847, 'KR', 'Korea, Republic of'),
(149104, '210.192.96.0', '210.192.127.255', 3535822848, 3535831039, 'CN', 'China'),
(149105, '210.192.128.0', '210.192.255.255', 3535831040, 3535863807, 'TW', 'Taiwan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(149106, '210.193.0.0', '210.193.63.255', 3535863808, 3535880191, 'SG', 'Singapore'),
(149107, '210.193.64.0', '210.193.127.255', 3535880192, 3535896575, 'JP', 'Japan'),
(149108, '210.193.128.0', '210.193.255.255', 3535896576, 3535929343, 'AU', 'Australia'),
(149109, '210.194.0.0', '210.194.255.255', 3535929344, 3535994879, 'JP', 'Japan'),
(149110, '210.195.0.0', '210.195.255.255', 3535994880, 3536060415, 'MY', 'Malaysia'),
(149111, '210.196.0.0', '210.197.98.255', 3536060416, 3536151295, 'JP', 'Japan'),
(149112, '210.197.99.0', '210.197.99.255', 3536151296, 3536151551, 'US', 'United States'),
(149113, '210.197.100.0', '210.199.255.255', 3536151552, 3536322559, 'JP', 'Japan'),
(149114, '210.200.0.0', '210.203.127.255', 3536322560, 3536551935, 'TW', 'Taiwan'),
(149115, '210.203.128.0', '210.203.191.255', 3536551936, 3536568319, 'TH', 'Thailand'),
(149116, '210.203.192.0', '210.203.255.255', 3536568320, 3536584703, 'JP', 'Japan'),
(149117, '210.204.0.0', '210.207.255.255', 3536584704, 3536846847, 'KR', 'Korea, Republic of'),
(149118, '210.208.0.0', '210.209.63.255', 3536846848, 3536928767, 'TW', 'Taiwan'),
(149119, '210.209.64.0', '210.209.127.255', 3536928768, 3536945151, 'HK', 'Hong Kong'),
(149120, '210.209.128.0', '210.209.255.255', 3536945152, 3536977919, 'TW', 'Taiwan'),
(149121, '210.210.0.0', '210.210.127.255', 3536977920, 3537010687, 'IN', 'India'),
(149122, '210.210.128.0', '210.210.191.255', 3537010688, 3537027071, 'ID', 'Indonesia'),
(149123, '210.210.192.0', '210.211.15.255', 3537027072, 3537047551, 'KR', 'Korea, Republic of'),
(149124, '210.211.16.0', '210.211.23.255', 3537047552, 3537049599, 'ID', 'Indonesia'),
(149125, '210.211.24.0', '210.211.31.255', 3537049600, 3537051647, 'HK', 'Hong Kong'),
(149126, '210.211.32.0', '210.211.63.255', 3537051648, 3537059839, 'JP', 'Japan'),
(149127, '210.211.64.0', '210.211.95.255', 3537059840, 3537068031, 'KR', 'Korea, Republic of'),
(149128, '210.211.96.0', '210.211.127.255', 3537068032, 3537076223, 'VN', 'Vietnam'),
(149129, '210.211.128.0', '210.212.255.255', 3537076224, 3537174527, 'IN', 'India'),
(149130, '210.213.0.0', '210.213.63.255', 3537174528, 3537190911, 'TH', 'Thailand'),
(149131, '210.213.64.0', '210.213.255.255', 3537190912, 3537240063, 'PH', 'Philippines'),
(149132, '210.214.0.0', '210.214.255.255', 3537240064, 3537305599, 'IN', 'India'),
(149133, '210.215.0.0', '210.215.77.255', 3537305600, 3537325567, 'AU', 'Australia'),
(149134, '210.215.78.0', '210.215.78.255', 3537325568, 3537325823, 'AP', 'Asia/Pacific Region'),
(149135, '210.215.79.0', '210.215.255.255', 3537325824, 3537371135, 'AU', 'Australia'),
(149136, '210.216.0.0', '210.223.255.255', 3537371136, 3537895423, 'KR', 'Korea, Republic of'),
(149137, '210.224.0.0', '210.233.193.255', 3537895424, 3538534911, 'JP', 'Japan'),
(149138, '210.233.194.0', '210.233.215.255', 3538534912, 3538540543, 'US', 'United States'),
(149139, '210.233.216.0', '210.239.255.255', 3538540544, 3538943999, 'JP', 'Japan'),
(149140, '210.240.0.0', '210.244.255.255', 3538944000, 3539271679, 'TW', 'Taiwan'),
(149141, '210.245.0.0', '210.245.127.255', 3539271680, 3539304447, 'VN', 'Vietnam'),
(149142, '210.245.128.0', '210.245.255.255', 3539304448, 3539337215, 'HK', 'Hong Kong'),
(149143, '210.246.0.0', '210.246.63.255', 3539337216, 3539353599, 'NZ', 'New Zealand'),
(149144, '210.246.64.0', '210.246.255.255', 3539353600, 3539402751, 'TH', 'Thailand'),
(149145, '210.247.0.0', '210.247.127.255', 3539402752, 3539435519, 'JP', 'Japan'),
(149146, '210.247.128.0', '210.247.239.255', 3539435520, 3539464191, 'AU', 'Australia'),
(149147, '210.247.240.0', '210.247.255.255', 3539464192, 3539468287, 'ID', 'Indonesia'),
(149148, '210.248.0.0', '210.248.163.255', 3539468288, 3539510271, 'JP', 'Japan'),
(149149, '210.248.164.0', '210.248.164.255', 3539510272, 3539510527, 'AP', 'Asia/Pacific Region'),
(149150, '210.248.165.0', '211.19.255.255', 3539510528, 3541303295, 'JP', 'Japan'),
(149151, '211.20.0.0', '211.23.255.255', 3541303296, 3541565439, 'TW', 'Taiwan'),
(149152, '211.24.0.0', '211.25.255.255', 3541565440, 3541696511, 'MY', 'Malaysia'),
(149153, '211.26.0.0', '211.31.255.255', 3541696512, 3542089727, 'AU', 'Australia'),
(149154, '211.32.0.0', '211.63.255.255', 3542089728, 3544186879, 'KR', 'Korea, Republic of'),
(149155, '211.64.0.0', '211.71.255.255', 3544186880, 3544711167, 'CN', 'China'),
(149156, '211.72.0.0', '211.79.255.255', 3544711168, 3545235455, 'TW', 'Taiwan'),
(149157, '211.80.0.0', '211.103.255.255', 3545235456, 3546808319, 'CN', 'China'),
(149158, '211.104.0.0', '211.119.255.255', 3546808320, 3547856895, 'KR', 'Korea, Republic of'),
(149159, '211.120.0.0', '211.120.236.255', 3547856896, 3547917567, 'JP', 'Japan'),
(149160, '211.120.237.0', '211.120.237.255', 3547917568, 3547917823, 'US', 'United States'),
(149161, '211.120.238.0', '211.135.255.255', 3547917824, 3548905471, 'JP', 'Japan'),
(149162, '211.136.0.0', '211.167.255.255', 3548905472, 3551002623, 'CN', 'China'),
(149163, '211.168.0.0', '211.255.255.255', 3551002624, 3556769791, 'KR', 'Korea, Republic of'),
(149164, '212.0.0.0', '212.0.17.255', 3556769792, 3556774399, 'DE', 'Germany'),
(149165, '212.0.18.0', '212.0.63.255', 3556774400, 3556786175, 'EU', 'Europe'),
(149166, '212.0.64.0', '212.0.95.255', 3556786176, 3556794367, 'RU', 'Russian Federation'),
(149167, '212.0.96.0', '212.0.109.71', 3556794368, 3556797767, 'ES', 'Spain'),
(149168, '212.0.109.72', '212.0.109.79', 3556797768, 3556797775, 'GB', 'United Kingdom'),
(149169, '212.0.109.80', '212.0.109.143', 3556797776, 3556797839, 'ES', 'Spain'),
(149170, '212.0.109.144', '212.0.109.151', 3556797840, 3556797847, 'PT', 'Portugal'),
(149171, '212.0.109.152', '212.0.118.79', 3556797848, 3556800079, 'ES', 'Spain'),
(149172, '212.0.118.80', '212.0.118.87', 3556800080, 3556800087, 'FR', 'France'),
(149173, '212.0.118.88', '212.0.121.31', 3556800088, 3556800799, 'ES', 'Spain'),
(149174, '212.0.121.32', '212.0.121.39', 3556800800, 3556800807, 'FR', 'France'),
(149175, '212.0.121.40', '212.0.127.255', 3556800808, 3556802559, 'ES', 'Spain'),
(149176, '212.0.128.0', '212.0.159.255', 3556802560, 3556810751, 'SD', 'Sudan'),
(149177, '212.0.160.0', '212.0.191.255', 3556810752, 3556818943, 'PT', 'Portugal'),
(149178, '212.0.192.0', '212.0.223.255', 3556818944, 3556827135, 'MD', 'Moldova, Republic of'),
(149179, '212.0.224.0', '212.1.9.255', 3556827136, 3556837887, 'NL', 'Netherlands'),
(149180, '212.1.10.0', '212.1.10.255', 3556837888, 3556838143, 'EU', 'Europe'),
(149181, '212.1.11.0', '212.1.31.255', 3556838144, 3556843519, 'NL', 'Netherlands'),
(149182, '212.1.32.0', '212.1.49.63', 3556843520, 3556847935, 'DE', 'Germany'),
(149183, '212.1.49.64', '212.1.49.95', 3556847936, 3556847967, 'US', 'United States'),
(149184, '212.1.49.96', '212.1.63.255', 3556847968, 3556851711, 'DE', 'Germany'),
(149185, '212.1.64.0', '212.1.127.255', 3556851712, 3556868095, 'UA', 'Ukraine'),
(149186, '212.1.128.0', '212.1.159.255', 3556868096, 3556876287, 'GB', 'United Kingdom'),
(149187, '212.1.160.0', '212.1.191.255', 3556876288, 3556884479, 'NL', 'Netherlands'),
(149188, '212.1.192.0', '212.1.199.255', 3556884480, 3556886527, 'IR', 'Iran, Islamic Republic of'),
(149189, '212.1.200.0', '212.1.207.255', 3556886528, 3556888575, 'GB', 'United Kingdom'),
(149190, '212.1.208.0', '212.1.215.255', 3556888576, 3556890623, 'US', 'United States'),
(149191, '212.1.216.0', '212.1.223.255', 3556890624, 3556892671, 'GB', 'United Kingdom'),
(149192, '212.1.224.0', '212.1.255.255', 3556892672, 3556900863, 'RU', 'Russian Federation'),
(149193, '212.2.0.0', '212.2.31.255', 3556900864, 3556909055, 'GB', 'United Kingdom'),
(149194, '212.2.32.0', '212.2.95.255', 3556909056, 3556925439, 'DE', 'Germany'),
(149195, '212.2.96.0', '212.2.127.255', 3556925440, 3556933631, 'PL', 'Poland'),
(149196, '212.2.128.0', '212.2.159.255', 3556933632, 3556941823, 'UA', 'Ukraine'),
(149197, '212.2.160.0', '212.2.191.255', 3556941824, 3556950015, 'IE', 'Ireland'),
(149198, '212.2.192.0', '212.2.223.255', 3556950016, 3556958207, 'TR', 'Turkey'),
(149199, '212.2.224.0', '212.2.255.255', 3556958208, 3556966399, 'KG', 'Kyrgyzstan'),
(149200, '212.3.0.0', '212.3.31.255', 3556966400, 3556974591, 'SE', 'Sweden'),
(149201, '212.3.32.0', '212.3.63.255', 3556974592, 3556982783, 'ES', 'Spain'),
(149202, '212.3.64.0', '212.3.71.47', 3556982784, 3556984623, 'DE', 'Germany'),
(149203, '212.3.71.48', '212.3.71.63', 3556984624, 3556984639, 'FR', 'France'),
(149204, '212.3.71.64', '212.3.71.71', 3556984640, 3556984647, 'DE', 'Germany'),
(149205, '212.3.71.72', '212.3.71.75', 3556984648, 3556984651, 'FR', 'France'),
(149206, '212.3.71.76', '212.3.71.79', 3556984652, 3556984655, 'DE', 'Germany'),
(149207, '212.3.71.80', '212.3.71.167', 3556984656, 3556984743, 'FR', 'France'),
(149208, '212.3.71.168', '212.3.71.171', 3556984744, 3556984747, 'DE', 'Germany'),
(149209, '212.3.71.172', '212.3.71.175', 3556984748, 3556984751, 'FR', 'France'),
(149210, '212.3.71.176', '212.3.73.31', 3556984752, 3556985119, 'DE', 'Germany'),
(149211, '212.3.73.32', '212.3.73.47', 3556985120, 3556985135, 'ES', 'Spain'),
(149212, '212.3.73.48', '212.3.73.55', 3556985136, 3556985143, 'DE', 'Germany'),
(149213, '212.3.73.56', '212.3.73.63', 3556985144, 3556985151, 'ES', 'Spain'),
(149214, '212.3.73.64', '212.3.73.67', 3556985152, 3556985155, 'DE', 'Germany'),
(149215, '212.3.73.68', '212.3.73.71', 3556985156, 3556985159, 'ES', 'Spain'),
(149216, '212.3.73.72', '212.3.73.119', 3556985160, 3556985207, 'DE', 'Germany'),
(149217, '212.3.73.120', '212.3.73.127', 3556985208, 3556985215, 'ES', 'Spain'),
(149218, '212.3.73.128', '212.3.75.63', 3556985216, 3556985663, 'DE', 'Germany'),
(149219, '212.3.75.64', '212.3.75.71', 3556985664, 3556985671, 'HU', 'Hungary'),
(149220, '212.3.75.72', '212.3.77.31', 3556985672, 3556986143, 'DE', 'Germany'),
(149221, '212.3.77.32', '212.3.77.43', 3556986144, 3556986155, 'DK', 'Denmark'),
(149222, '212.3.77.44', '212.3.95.255', 3556986156, 3556990975, 'DE', 'Germany'),
(149223, '212.3.96.0', '212.3.127.255', 3556990976, 3556999167, 'UA', 'Ukraine'),
(149224, '212.3.128.0', '212.3.159.255', 3556999168, 3557007359, 'RU', 'Russian Federation'),
(149225, '212.3.160.0', '212.3.191.255', 3557007360, 3557015551, 'IT', 'Italy'),
(149226, '212.3.192.0', '212.3.223.255', 3557015552, 3557023743, 'DE', 'Germany'),
(149227, '212.3.224.0', '212.3.224.135', 3557023744, 3557023879, 'BE', 'Belgium'),
(149228, '212.3.224.136', '212.3.224.159', 3557023880, 3557023903, 'GB', 'United Kingdom'),
(149229, '212.3.224.160', '212.3.224.255', 3557023904, 3557023999, 'BE', 'Belgium'),
(149230, '212.3.225.0', '212.3.225.255', 3557024000, 3557024255, 'GB', 'United Kingdom'),
(149231, '212.3.226.0', '212.3.227.255', 3557024256, 3557024767, 'BE', 'Belgium'),
(149232, '212.3.228.0', '212.3.231.255', 3557024768, 3557025791, 'GB', 'United Kingdom'),
(149233, '212.3.232.0', '212.3.232.255', 3557025792, 3557026047, 'BE', 'Belgium'),
(149234, '212.3.233.0', '212.3.233.255', 3557026048, 3557026303, 'GB', 'United Kingdom'),
(149235, '212.3.234.0', '212.3.235.255', 3557026304, 3557026815, 'BE', 'Belgium'),
(149236, '212.3.236.0', '212.3.236.255', 3557026816, 3557027071, 'GB', 'United Kingdom'),
(149237, '212.3.237.0', '212.3.239.255', 3557027072, 3557027839, 'BE', 'Belgium'),
(149238, '212.3.240.0', '212.3.240.23', 3557027840, 3557027863, 'GB', 'United Kingdom'),
(149239, '212.3.240.24', '212.3.240.31', 3557027864, 3557027871, 'BE', 'Belgium'),
(149240, '212.3.240.32', '212.3.240.47', 3557027872, 3557027887, 'GB', 'United Kingdom'),
(149241, '212.3.240.48', '212.3.240.191', 3557027888, 3557028031, 'BE', 'Belgium'),
(149242, '212.3.240.192', '212.3.240.223', 3557028032, 3557028063, 'GB', 'United Kingdom'),
(149243, '212.3.240.224', '212.3.240.255', 3557028064, 3557028095, 'BE', 'Belgium'),
(149244, '212.3.241.0', '212.3.241.255', 3557028096, 3557028351, 'GB', 'United Kingdom'),
(149245, '212.3.242.0', '212.3.243.127', 3557028352, 3557028735, 'BE', 'Belgium'),
(149246, '212.3.243.128', '212.3.243.191', 3557028736, 3557028799, 'GB', 'United Kingdom'),
(149247, '212.3.243.192', '212.3.244.47', 3557028800, 3557028911, 'BE', 'Belgium'),
(149248, '212.3.244.48', '212.3.244.63', 3557028912, 3557028927, 'GB', 'United Kingdom'),
(149249, '212.3.244.64', '212.3.244.195', 3557028928, 3557029059, 'BE', 'Belgium'),
(149250, '212.3.244.196', '212.3.244.207', 3557029060, 3557029071, 'GB', 'United Kingdom'),
(149251, '212.3.244.208', '212.3.247.255', 3557029072, 3557029887, 'BE', 'Belgium'),
(149252, '212.3.248.0', '212.3.248.63', 3557029888, 3557029951, 'GB', 'United Kingdom'),
(149253, '212.3.248.64', '212.3.248.191', 3557029952, 3557030079, 'BE', 'Belgium'),
(149254, '212.3.248.192', '212.3.248.255', 3557030080, 3557030143, 'GB', 'United Kingdom'),
(149255, '212.3.249.0', '212.3.251.63', 3557030144, 3557030719, 'BE', 'Belgium'),
(149256, '212.3.251.64', '212.3.251.95', 3557030720, 3557030751, 'GB', 'United Kingdom'),
(149257, '212.3.251.96', '212.3.251.111', 3557030752, 3557030767, 'BE', 'Belgium'),
(149258, '212.3.251.112', '212.3.251.127', 3557030768, 3557030783, 'GB', 'United Kingdom'),
(149259, '212.3.251.128', '212.3.255.127', 3557030784, 3557031807, 'BE', 'Belgium'),
(149260, '212.3.255.128', '212.3.255.255', 3557031808, 3557031935, 'GB', 'United Kingdom'),
(149261, '212.4.0.0', '212.4.6.103', 3557031936, 3557033575, 'IT', 'Italy'),
(149262, '212.4.6.104', '212.4.6.111', 3557033576, 3557033583, 'GB', 'United Kingdom'),
(149263, '212.4.6.112', '212.4.31.255', 3557033584, 3557040127, 'IT', 'Italy'),
(149264, '212.4.32.0', '212.4.63.255', 3557040128, 3557048319, 'NO', 'Norway'),
(149265, '212.4.64.0', '212.4.95.255', 3557048320, 3557056511, 'CH', 'Switzerland'),
(149266, '212.4.96.0', '212.4.127.255', 3557056512, 3557064703, 'ES', 'Spain'),
(149267, '212.4.128.0', '212.4.159.255', 3557064704, 3557072895, 'CZ', 'Czech Republic'),
(149268, '212.4.160.0', '212.4.191.255', 3557072896, 3557081087, 'DE', 'Germany'),
(149269, '212.4.192.0', '212.4.211.63', 3557081088, 3557086015, 'NL', 'Netherlands'),
(149270, '212.4.211.64', '212.4.211.95', 3557086016, 3557086047, 'DE', 'Germany'),
(149271, '212.4.211.96', '212.4.211.127', 3557086048, 3557086079, 'GB', 'United Kingdom'),
(149272, '212.4.211.128', '212.4.213.255', 3557086080, 3557086719, 'NL', 'Netherlands'),
(149273, '212.4.214.0', '212.4.214.63', 3557086720, 3557086783, 'CH', 'Switzerland'),
(149274, '212.4.214.64', '212.4.214.127', 3557086784, 3557086847, 'IT', 'Italy'),
(149275, '212.4.214.128', '212.4.223.255', 3557086848, 3557089279, 'NL', 'Netherlands'),
(149276, '212.4.224.0', '212.5.31.255', 3557089280, 3557105663, 'DE', 'Germany'),
(149277, '212.5.32.0', '212.5.63.255', 3557105664, 3557113855, 'BG', 'Bulgaria'),
(149278, '212.5.64.0', '212.5.127.255', 3557113856, 3557130239, 'RU', 'Russian Federation'),
(149279, '212.5.128.0', '212.5.159.255', 3557130240, 3557138431, 'BG', 'Bulgaria'),
(149280, '212.5.160.0', '212.5.191.255', 3557138432, 3557146623, 'RU', 'Russian Federation'),
(149281, '212.5.192.0', '212.5.223.255', 3557146624, 3557154815, 'SK', 'Slovakia'),
(149282, '212.5.224.0', '212.6.31.255', 3557154816, 3557171199, 'RU', 'Russian Federation'),
(149283, '212.6.32.0', '212.6.36.255', 3557171200, 3557172479, 'A2', 'Satellite Provider'),
(149284, '212.6.37.0', '212.6.38.255', 3557172480, 3557172991, 'IR', 'Iran, Islamic Republic of'),
(149285, '212.6.39.0', '212.6.40.255', 3557172992, 3557173503, 'IQ', 'Iraq'),
(149286, '212.6.41.0', '212.6.41.127', 3557173504, 3557173631, 'IR', 'Iran, Islamic Republic of'),
(149287, '212.6.41.128', '212.6.41.191', 3557173632, 3557173695, 'IQ', 'Iraq'),
(149288, '212.6.41.192', '212.6.41.199', 3557173696, 3557173703, 'AE', 'United Arab Emirates'),
(149289, '212.6.41.200', '212.6.41.255', 3557173704, 3557173759, 'A2', 'Satellite Provider'),
(149290, '212.6.42.0', '212.6.42.255', 3557173760, 3557174015, 'IR', 'Iran, Islamic Republic of'),
(149291, '212.6.43.0', '212.6.44.255', 3557174016, 3557174527, 'A2', 'Satellite Provider'),
(149292, '212.6.45.0', '212.6.45.255', 3557174528, 3557174783, 'IR', 'Iran, Islamic Republic of'),
(149293, '212.6.46.0', '212.6.46.255', 3557174784, 3557175039, 'AE', 'United Arab Emirates'),
(149294, '212.6.47.0', '212.6.50.255', 3557175040, 3557176063, 'IR', 'Iran, Islamic Republic of'),
(149295, '212.6.51.0', '212.6.52.255', 3557176064, 3557176575, 'A2', 'Satellite Provider'),
(149296, '212.6.53.0', '212.6.53.43', 3557176576, 3557176619, 'NE', 'Niger'),
(149297, '212.6.53.44', '212.6.53.255', 3557176620, 3557176831, 'A2', 'Satellite Provider'),
(149298, '212.6.54.0', '212.6.54.191', 3557176832, 3557177023, 'IQ', 'Iraq'),
(149299, '212.6.54.192', '212.6.55.255', 3557177024, 3557177343, 'A2', 'Satellite Provider'),
(149300, '212.6.56.0', '212.6.56.255', 3557177344, 3557177599, 'IT', 'Italy'),
(149301, '212.6.57.0', '212.6.62.255', 3557177600, 3557179135, 'A2', 'Satellite Provider'),
(149302, '212.6.63.0', '212.6.63.255', 3557179136, 3557179391, 'IT', 'Italy'),
(149303, '212.6.64.0', '212.6.196.167', 3557179392, 3557213351, 'DE', 'Germany'),
(149304, '212.6.196.168', '212.6.196.175', 3557213352, 3557213359, 'US', 'United States'),
(149305, '212.6.196.176', '212.6.255.255', 3557213360, 3557228543, 'DE', 'Germany'),
(149306, '212.7.0.0', '212.7.31.255', 3557228544, 3557236735, 'EE', 'Estonia'),
(149307, '212.7.32.0', '212.7.63.255', 3557236736, 3557244927, 'ES', 'Spain'),
(149308, '212.7.64.0', '212.7.95.255', 3557244928, 3557253119, 'IT', 'Italy'),
(149309, '212.7.96.0', '212.7.127.255', 3557253120, 3557261311, 'RU', 'Russian Federation'),
(149310, '212.7.128.0', '212.7.191.255', 3557261312, 3557277695, 'DE', 'Germany'),
(149311, '212.7.192.0', '212.7.195.246', 3557277696, 3557278710, 'NL', 'Netherlands'),
(149312, '212.7.195.247', '212.7.195.250', 3557278711, 3557278714, 'CH', 'Switzerland'),
(149313, '212.7.195.251', '212.7.202.78', 3557278715, 3557280334, 'NL', 'Netherlands'),
(149314, '212.7.202.79', '212.7.202.80', 3557280335, 3557280336, 'IN', 'India'),
(149315, '212.7.202.81', '212.7.223.255', 3557280337, 3557285887, 'NL', 'Netherlands'),
(149316, '212.7.224.0', '212.7.255.255', 3557285888, 3557294079, 'RU', 'Russian Federation'),
(149317, '212.8.0.0', '212.8.31.255', 3557294080, 3557302271, 'DE', 'Germany'),
(149318, '212.8.32.0', '212.8.63.255', 3557302272, 3557310463, 'UA', 'Ukraine'),
(149319, '212.8.64.0', '212.8.127.255', 3557310464, 3557326847, 'ES', 'Spain'),
(149320, '212.8.128.0', '212.8.159.255', 3557326848, 3557335039, 'DE', 'Germany'),
(149321, '212.8.160.0', '212.8.161.15', 3557335040, 3557335311, 'BE', 'Belgium'),
(149322, '212.8.161.16', '212.8.161.31', 3557335312, 3557335327, 'EU', 'Europe'),
(149323, '212.8.161.32', '212.8.161.95', 3557335328, 3557335391, 'BE', 'Belgium'),
(149324, '212.8.161.96', '212.8.161.159', 3557335392, 3557335455, 'EU', 'Europe'),
(149325, '212.8.161.160', '212.8.161.223', 3557335456, 3557335519, 'BE', 'Belgium'),
(149326, '212.8.161.224', '212.8.161.239', 3557335520, 3557335535, 'EU', 'Europe'),
(149327, '212.8.161.240', '212.8.162.255', 3557335536, 3557335807, 'BE', 'Belgium'),
(149328, '212.8.163.0', '212.8.164.63', 3557335808, 3557336127, 'EU', 'Europe'),
(149329, '212.8.164.64', '212.8.164.127', 3557336128, 3557336191, 'BE', 'Belgium'),
(149330, '212.8.164.128', '212.8.164.191', 3557336192, 3557336255, 'EU', 'Europe'),
(149331, '212.8.164.192', '212.8.164.255', 3557336256, 3557336319, 'BE', 'Belgium'),
(149332, '212.8.165.0', '212.8.165.255', 3557336320, 3557336575, 'EU', 'Europe'),
(149333, '212.8.166.0', '212.8.166.71', 3557336576, 3557336647, 'BE', 'Belgium'),
(149334, '212.8.166.72', '212.8.166.79', 3557336648, 3557336655, 'EU', 'Europe'),
(149335, '212.8.166.80', '212.8.166.255', 3557336656, 3557336831, 'BE', 'Belgium'),
(149336, '212.8.167.0', '212.8.171.255', 3557336832, 3557338111, 'EU', 'Europe'),
(149337, '212.8.172.0', '212.8.172.255', 3557338112, 3557338367, 'BE', 'Belgium'),
(149338, '212.8.173.0', '212.8.173.127', 3557338368, 3557338495, 'EU', 'Europe'),
(149339, '212.8.173.128', '212.8.173.247', 3557338496, 3557338615, 'BE', 'Belgium'),
(149340, '212.8.173.248', '212.8.174.255', 3557338616, 3557338879, 'EU', 'Europe'),
(149341, '212.8.175.0', '212.8.176.39', 3557338880, 3557339175, 'BE', 'Belgium'),
(149342, '212.8.176.40', '212.8.176.47', 3557339176, 3557339183, 'EU', 'Europe'),
(149343, '212.8.176.48', '212.8.176.55', 3557339184, 3557339191, 'BE', 'Belgium'),
(149344, '212.8.176.56', '212.8.176.79', 3557339192, 3557339215, 'EU', 'Europe'),
(149345, '212.8.176.80', '212.8.176.87', 3557339216, 3557339223, 'BE', 'Belgium'),
(149346, '212.8.176.88', '212.8.176.103', 3557339224, 3557339239, 'EU', 'Europe'),
(149347, '212.8.176.104', '212.8.176.111', 3557339240, 3557339247, 'BE', 'Belgium'),
(149348, '212.8.176.112', '212.8.176.123', 3557339248, 3557339259, 'EU', 'Europe'),
(149349, '212.8.176.124', '212.8.176.131', 3557339260, 3557339267, 'BE', 'Belgium'),
(149350, '212.8.176.132', '212.8.176.135', 3557339268, 3557339271, 'EU', 'Europe'),
(149351, '212.8.176.136', '212.8.179.255', 3557339272, 3557340159, 'BE', 'Belgium'),
(149352, '212.8.180.0', '212.8.180.31', 3557340160, 3557340191, 'EU', 'Europe'),
(149353, '212.8.180.32', '212.8.182.255', 3557340192, 3557340927, 'BE', 'Belgium'),
(149354, '212.8.183.0', '212.8.183.255', 3557340928, 3557341183, 'EU', 'Europe'),
(149355, '212.8.184.0', '212.8.185.87', 3557341184, 3557341527, 'BE', 'Belgium'),
(149356, '212.8.185.88', '212.8.185.95', 3557341528, 3557341535, 'EU', 'Europe'),
(149357, '212.8.185.96', '212.8.185.111', 3557341536, 3557341551, 'BE', 'Belgium'),
(149358, '212.8.185.112', '212.8.185.119', 3557341552, 3557341559, 'EU', 'Europe'),
(149359, '212.8.185.120', '212.8.185.127', 3557341560, 3557341567, 'BE', 'Belgium'),
(149360, '212.8.185.128', '212.8.185.223', 3557341568, 3557341663, 'EU', 'Europe'),
(149361, '212.8.185.224', '212.8.185.255', 3557341664, 3557341695, 'BE', 'Belgium'),
(149362, '212.8.186.0', '212.8.186.255', 3557341696, 3557341951, 'EU', 'Europe'),
(149363, '212.8.187.0', '212.8.189.39', 3557341952, 3557342503, 'BE', 'Belgium'),
(149364, '212.8.189.40', '212.8.189.95', 3557342504, 3557342559, 'EU', 'Europe'),
(149365, '212.8.189.96', '212.8.189.159', 3557342560, 3557342623, 'BE', 'Belgium'),
(149366, '212.8.189.160', '212.8.189.255', 3557342624, 3557342719, 'EU', 'Europe'),
(149367, '212.8.190.0', '212.8.191.255', 3557342720, 3557343231, 'BE', 'Belgium'),
(149368, '212.8.192.0', '212.8.223.255', 3557343232, 3557351423, 'DE', 'Germany'),
(149369, '212.8.224.0', '212.8.255.255', 3557351424, 3557359615, 'RU', 'Russian Federation'),
(149370, '212.9.0.0', '212.9.0.39', 3557359616, 3557359655, 'JE', 'Jersey'),
(149371, '212.9.0.40', '212.9.0.55', 3557359656, 3557359671, 'GB', 'United Kingdom'),
(149372, '212.9.0.56', '212.9.0.79', 3557359672, 3557359695, 'JE', 'Jersey'),
(149373, '212.9.0.80', '212.9.0.87', 3557359696, 3557359703, 'GB', 'United Kingdom'),
(149374, '212.9.0.88', '212.9.0.255', 3557359704, 3557359871, 'JE', 'Jersey'),
(149375, '212.9.1.0', '212.9.1.163', 3557359872, 3557360035, 'GB', 'United Kingdom'),
(149376, '212.9.1.164', '212.9.1.167', 3557360036, 3557360039, 'JE', 'Jersey'),
(149377, '212.9.1.168', '212.9.1.173', 3557360040, 3557360045, 'GB', 'United Kingdom'),
(149378, '212.9.1.174', '212.9.1.175', 3557360046, 3557360047, 'JE', 'Jersey'),
(149379, '212.9.1.176', '212.9.1.183', 3557360048, 3557360055, 'GB', 'United Kingdom'),
(149380, '212.9.1.184', '212.9.1.191', 3557360056, 3557360063, 'JE', 'Jersey'),
(149381, '212.9.1.192', '212.9.2.103', 3557360064, 3557360231, 'GB', 'United Kingdom'),
(149382, '212.9.2.104', '212.9.2.119', 3557360232, 3557360247, 'JE', 'Jersey'),
(149383, '212.9.2.120', '212.9.3.7', 3557360248, 3557360391, 'GB', 'United Kingdom'),
(149384, '212.9.3.8', '212.9.3.55', 3557360392, 3557360439, 'JE', 'Jersey'),
(149385, '212.9.3.56', '212.9.3.71', 3557360440, 3557360455, 'GB', 'United Kingdom'),
(149386, '212.9.3.72', '212.9.3.79', 3557360456, 3557360463, 'JE', 'Jersey'),
(149387, '212.9.3.80', '212.9.3.87', 3557360464, 3557360471, 'GB', 'United Kingdom'),
(149388, '212.9.3.88', '212.9.3.159', 3557360472, 3557360543, 'JE', 'Jersey'),
(149389, '212.9.3.160', '212.9.3.175', 3557360544, 3557360559, 'GB', 'United Kingdom'),
(149390, '212.9.3.176', '212.9.3.191', 3557360560, 3557360575, 'JE', 'Jersey'),
(149391, '212.9.3.192', '212.9.4.40', 3557360576, 3557360680, 'GB', 'United Kingdom'),
(149392, '212.9.4.41', '212.9.4.47', 3557360681, 3557360687, 'JE', 'Jersey'),
(149393, '212.9.4.48', '212.9.5.31', 3557360688, 3557360927, 'GB', 'United Kingdom'),
(149394, '212.9.5.32', '212.9.5.47', 3557360928, 3557360943, 'JE', 'Jersey'),
(149395, '212.9.5.48', '212.9.5.63', 3557360944, 3557360959, 'GB', 'United Kingdom'),
(149396, '212.9.5.64', '212.9.5.71', 3557360960, 3557360967, 'JE', 'Jersey'),
(149397, '212.9.5.72', '212.9.5.159', 3557360968, 3557361055, 'GB', 'United Kingdom'),
(149398, '212.9.5.160', '212.9.5.191', 3557361056, 3557361087, 'JE', 'Jersey'),
(149399, '212.9.5.192', '212.9.6.7', 3557361088, 3557361159, 'GB', 'United Kingdom'),
(149400, '212.9.6.8', '212.9.6.127', 3557361160, 3557361279, 'JE', 'Jersey'),
(149401, '212.9.6.128', '212.9.6.143', 3557361280, 3557361295, 'GB', 'United Kingdom'),
(149402, '212.9.6.144', '212.9.6.159', 3557361296, 3557361311, 'JE', 'Jersey'),
(149403, '212.9.6.160', '212.9.6.191', 3557361312, 3557361343, 'GB', 'United Kingdom'),
(149404, '212.9.6.192', '212.9.6.207', 3557361344, 3557361359, 'JE', 'Jersey'),
(149405, '212.9.6.208', '212.9.6.223', 3557361360, 3557361375, 'GB', 'United Kingdom'),
(149406, '212.9.6.224', '212.9.6.239', 3557361376, 3557361391, 'JE', 'Jersey'),
(149407, '212.9.6.240', '212.9.7.7', 3557361392, 3557361415, 'GB', 'United Kingdom'),
(149408, '212.9.7.8', '212.9.7.15', 3557361416, 3557361423, 'JE', 'Jersey'),
(149409, '212.9.7.16', '212.9.7.71', 3557361424, 3557361479, 'GB', 'United Kingdom'),
(149410, '212.9.7.72', '212.9.7.79', 3557361480, 3557361487, 'JE', 'Jersey'),
(149411, '212.9.7.80', '212.9.7.199', 3557361488, 3557361607, 'GB', 'United Kingdom'),
(149412, '212.9.7.200', '212.9.7.207', 3557361608, 3557361615, 'JE', 'Jersey'),
(149413, '212.9.7.208', '212.9.7.255', 3557361616, 3557361663, 'GB', 'United Kingdom'),
(149414, '212.9.8.0', '212.9.9.63', 3557361664, 3557361983, 'JE', 'Jersey'),
(149415, '212.9.9.64', '212.9.9.127', 3557361984, 3557362047, 'GB', 'United Kingdom'),
(149416, '212.9.9.128', '212.9.10.255', 3557362048, 3557362431, 'JE', 'Jersey'),
(149417, '212.9.11.0', '212.9.11.7', 3557362432, 3557362439, 'GB', 'United Kingdom'),
(149418, '212.9.11.8', '212.9.14.255', 3557362440, 3557363455, 'JE', 'Jersey'),
(149419, '212.9.15.0', '212.9.15.15', 3557363456, 3557363471, 'GB', 'United Kingdom'),
(149420, '212.9.15.16', '212.9.15.23', 3557363472, 3557363479, 'JE', 'Jersey'),
(149421, '212.9.15.24', '212.9.15.199', 3557363480, 3557363655, 'GB', 'United Kingdom'),
(149422, '212.9.15.200', '212.9.15.207', 3557363656, 3557363663, 'JE', 'Jersey'),
(149423, '212.9.15.208', '212.9.15.215', 3557363664, 3557363671, 'GB', 'United Kingdom'),
(149424, '212.9.15.216', '212.9.15.223', 3557363672, 3557363679, 'JE', 'Jersey'),
(149425, '212.9.15.224', '212.9.15.255', 3557363680, 3557363711, 'GB', 'United Kingdom'),
(149426, '212.9.16.0', '212.9.17.127', 3557363712, 3557364095, 'JE', 'Jersey'),
(149427, '212.9.17.128', '212.9.17.135', 3557364096, 3557364103, 'GB', 'United Kingdom'),
(149428, '212.9.17.136', '212.9.17.139', 3557364104, 3557364107, 'JE', 'Jersey'),
(149429, '212.9.17.140', '212.9.17.219', 3557364108, 3557364187, 'GB', 'United Kingdom'),
(149430, '212.9.17.220', '212.9.17.231', 3557364188, 3557364199, 'JE', 'Jersey'),
(149431, '212.9.17.232', '212.9.17.255', 3557364200, 3557364223, 'GB', 'United Kingdom'),
(149432, '212.9.18.0', '212.9.19.15', 3557364224, 3557364495, 'JE', 'Jersey'),
(149433, '212.9.19.16', '212.9.19.47', 3557364496, 3557364527, 'GB', 'United Kingdom'),
(149434, '212.9.19.48', '212.9.19.71', 3557364528, 3557364551, 'JE', 'Jersey'),
(149435, '212.9.19.72', '212.9.19.79', 3557364552, 3557364559, 'GB', 'United Kingdom'),
(149436, '212.9.19.80', '212.9.19.135', 3557364560, 3557364615, 'JE', 'Jersey'),
(149437, '212.9.19.136', '212.9.19.151', 3557364616, 3557364631, 'GB', 'United Kingdom'),
(149438, '212.9.19.152', '212.9.19.175', 3557364632, 3557364655, 'JE', 'Jersey'),
(149439, '212.9.19.176', '212.9.19.191', 3557364656, 3557364671, 'GB', 'United Kingdom'),
(149440, '212.9.19.192', '212.9.19.255', 3557364672, 3557364735, 'JE', 'Jersey'),
(149441, '212.9.20.0', '212.9.20.15', 3557364736, 3557364751, 'GB', 'United Kingdom'),
(149442, '212.9.20.16', '212.9.20.23', 3557364752, 3557364759, 'JE', 'Jersey'),
(149443, '212.9.20.24', '212.9.20.55', 3557364760, 3557364791, 'GB', 'United Kingdom'),
(149444, '212.9.20.56', '212.9.20.111', 3557364792, 3557364847, 'JE', 'Jersey'),
(149445, '212.9.20.112', '212.9.20.159', 3557364848, 3557364895, 'GB', 'United Kingdom'),
(149446, '212.9.20.160', '212.9.20.191', 3557364896, 3557364927, 'JE', 'Jersey'),
(149447, '212.9.20.192', '212.9.20.223', 3557364928, 3557364959, 'GB', 'United Kingdom'),
(149448, '212.9.20.224', '212.9.20.255', 3557364960, 3557364991, 'JE', 'Jersey'),
(149449, '212.9.21.0', '212.9.21.95', 3557364992, 3557365087, 'GB', 'United Kingdom'),
(149450, '212.9.21.96', '212.9.21.111', 3557365088, 3557365103, 'JE', 'Jersey'),
(149451, '212.9.21.112', '212.9.21.119', 3557365104, 3557365111, 'GB', 'United Kingdom'),
(149452, '212.9.21.120', '212.9.21.127', 3557365112, 3557365119, 'JE', 'Jersey'),
(149453, '212.9.21.128', '212.9.21.191', 3557365120, 3557365183, 'GB', 'United Kingdom'),
(149454, '212.9.21.192', '212.9.22.127', 3557365184, 3557365375, 'JE', 'Jersey'),
(149455, '212.9.22.128', '212.9.22.167', 3557365376, 3557365415, 'GB', 'United Kingdom'),
(149456, '212.9.22.168', '212.9.22.255', 3557365416, 3557365503, 'JE', 'Jersey'),
(149457, '212.9.23.0', '212.9.23.7', 3557365504, 3557365511, 'GB', 'United Kingdom'),
(149458, '212.9.23.8', '212.9.23.15', 3557365512, 3557365519, 'JE', 'Jersey'),
(149459, '212.9.23.16', '212.9.23.31', 3557365520, 3557365535, 'GB', 'United Kingdom'),
(149460, '212.9.23.32', '212.9.23.63', 3557365536, 3557365567, 'JE', 'Jersey'),
(149461, '212.9.23.64', '212.9.23.127', 3557365568, 3557365631, 'GB', 'United Kingdom'),
(149462, '212.9.23.128', '212.9.23.191', 3557365632, 3557365695, 'JE', 'Jersey'),
(149463, '212.9.23.192', '212.9.24.47', 3557365696, 3557365807, 'GB', 'United Kingdom'),
(149464, '212.9.24.48', '212.9.24.63', 3557365808, 3557365823, 'JE', 'Jersey'),
(149465, '212.9.24.64', '212.9.24.87', 3557365824, 3557365847, 'GB', 'United Kingdom'),
(149466, '212.9.24.88', '212.9.24.111', 3557365848, 3557365871, 'JE', 'Jersey'),
(149467, '212.9.24.112', '212.9.24.127', 3557365872, 3557365887, 'GB', 'United Kingdom'),
(149468, '212.9.24.128', '212.9.24.135', 3557365888, 3557365895, 'JE', 'Jersey'),
(149469, '212.9.24.136', '212.9.24.151', 3557365896, 3557365911, 'GB', 'United Kingdom'),
(149470, '212.9.24.152', '212.9.24.159', 3557365912, 3557365919, 'JE', 'Jersey'),
(149471, '212.9.24.160', '212.9.24.167', 3557365920, 3557365927, 'GB', 'United Kingdom'),
(149472, '212.9.24.168', '212.9.24.255', 3557365928, 3557366015, 'JE', 'Jersey'),
(149473, '212.9.25.0', '212.9.25.39', 3557366016, 3557366055, 'GB', 'United Kingdom'),
(149474, '212.9.25.40', '212.9.25.47', 3557366056, 3557366063, 'JE', 'Jersey'),
(149475, '212.9.25.48', '212.9.25.247', 3557366064, 3557366263, 'GB', 'United Kingdom'),
(149476, '212.9.25.248', '212.9.25.255', 3557366264, 3557366271, 'JE', 'Jersey'),
(149477, '212.9.26.0', '212.9.26.255', 3557366272, 3557366527, 'GB', 'United Kingdom'),
(149478, '212.9.27.0', '212.9.31.255', 3557366528, 3557367807, 'JE', 'Jersey'),
(149479, '212.9.32.0', '212.9.63.255', 3557367808, 3557375999, 'DE', 'Germany'),
(149480, '212.9.64.0', '212.9.95.255', 3557376000, 3557384191, 'ES', 'Spain'),
(149481, '212.9.96.0', '212.9.127.255', 3557384192, 3557392383, 'GB', 'United Kingdom'),
(149482, '212.9.128.0', '212.9.159.255', 3557392384, 3557400575, 'AT', 'Austria'),
(149483, '212.9.160.0', '212.9.176.31', 3557400576, 3557404703, 'DE', 'Germany'),
(149484, '212.9.176.32', '212.9.176.47', 3557404704, 3557404719, 'CH', 'Switzerland'),
(149485, '212.9.176.48', '212.9.176.63', 3557404720, 3557404735, 'DE', 'Germany'),
(149486, '212.9.176.64', '212.9.176.127', 3557404736, 3557404799, 'CH', 'Switzerland'),
(149487, '212.9.176.128', '212.9.191.255', 3557404800, 3557408767, 'DE', 'Germany'),
(149488, '212.9.192.0', '212.9.223.255', 3557408768, 3557416959, 'GB', 'United Kingdom'),
(149489, '212.9.224.0', '212.9.255.255', 3557416960, 3557425151, 'UA', 'Ukraine'),
(149490, '212.10.0.0', '212.10.255.255', 3557425152, 3557490687, 'DK', 'Denmark'),
(149491, '212.11.0.0', '212.11.26.87', 3557490688, 3557497431, 'FR', 'France'),
(149492, '212.11.26.88', '212.11.26.95', 3557497432, 3557497439, 'A2', 'Satellite Provider'),
(149493, '212.11.26.96', '212.11.63.255', 3557497440, 3557507071, 'FR', 'France'),
(149494, '212.11.64.0', '212.11.95.255', 3557507072, 3557515263, 'GB', 'United Kingdom'),
(149495, '212.11.96.0', '212.11.127.255', 3557515264, 3557523455, 'CZ', 'Czech Republic'),
(149496, '212.11.128.0', '212.11.159.255', 3557523456, 3557531647, 'RU', 'Russian Federation'),
(149497, '212.11.160.0', '212.11.191.255', 3557531648, 3557539839, 'SA', 'Saudi Arabia'),
(149498, '212.11.192.0', '212.11.223.255', 3557539840, 3557548031, 'SY', 'Syrian Arab Republic'),
(149499, '212.11.224.0', '212.11.255.255', 3557548032, 3557556223, 'DE', 'Germany'),
(149500, '212.12.0.0', '212.12.31.255', 3557556224, 3557564415, 'RU', 'Russian Federation'),
(149501, '212.12.32.0', '212.12.55.15', 3557564416, 3557570319, 'DE', 'Germany'),
(149502, '212.12.55.16', '212.12.55.31', 3557570320, 3557570335, 'ES', 'Spain'),
(149503, '212.12.55.32', '212.12.58.223', 3557570336, 3557571295, 'DE', 'Germany'),
(149504, '212.12.58.224', '212.12.58.243', 3557571296, 3557571315, 'GB', 'United Kingdom'),
(149505, '212.12.58.244', '212.12.63.255', 3557571316, 3557572607, 'DE', 'Germany'),
(149506, '212.12.64.0', '212.12.95.255', 3557572608, 3557580799, 'RU', 'Russian Federation'),
(149507, '212.12.96.0', '212.12.109.159', 3557580800, 3557584287, 'DE', 'Germany'),
(149508, '212.12.109.160', '212.12.109.191', 3557584288, 3557584319, 'GB', 'United Kingdom'),
(149509, '212.12.109.192', '212.12.112.255', 3557584320, 3557585151, 'DE', 'Germany'),
(149510, '212.12.113.0', '212.12.113.127', 3557585152, 3557585279, 'CH', 'Switzerland'),
(149511, '212.12.113.128', '212.12.115.31', 3557585280, 3557585695, 'DE', 'Germany'),
(149512, '212.12.115.32', '212.12.115.47', 3557585696, 3557585711, 'CH', 'Switzerland'),
(149513, '212.12.115.48', '212.12.115.223', 3557585712, 3557585887, 'DE', 'Germany'),
(149514, '212.12.115.224', '212.12.115.239', 3557585888, 3557585903, 'CH', 'Switzerland'),
(149515, '212.12.115.240', '212.12.127.255', 3557585904, 3557588991, 'DE', 'Germany'),
(149516, '212.12.128.0', '212.12.159.255', 3557588992, 3557597183, 'TR', 'Turkey'),
(149517, '212.12.160.0', '212.12.162.15', 3557597184, 3557597711, 'SA', 'Saudi Arabia'),
(149518, '212.12.162.16', '212.12.162.23', 3557597712, 3557597719, 'AS', 'American Samoa'),
(149519, '212.12.162.24', '212.12.191.255', 3557597720, 3557605375, 'SA', 'Saudi Arabia'),
(149520, '212.12.192.0', '212.12.223.255', 3557605376, 3557613567, 'LT', 'Lithuania'),
(149521, '212.12.224.0', '212.12.255.255', 3557613568, 3557621759, 'EG', 'Egypt'),
(149522, '212.13.0.0', '212.13.31.255', 3557621760, 3557629951, 'RU', 'Russian Federation'),
(149523, '212.13.32.0', '212.13.63.255', 3557629952, 3557638143, 'PT', 'Portugal'),
(149524, '212.13.64.0', '212.13.95.255', 3557638144, 3557646335, 'MK', 'Macedonia'),
(149525, '212.13.96.0', '212.13.127.255', 3557646336, 3557654527, 'RU', 'Russian Federation'),
(149526, '212.13.128.0', '212.13.191.255', 3557654528, 3557670911, 'KZ', 'Kazakhstan'),
(149527, '212.13.192.0', '212.13.223.255', 3557670912, 3557679103, 'GB', 'United Kingdom'),
(149528, '212.13.224.0', '212.13.255.255', 3557679104, 3557687295, 'SI', 'Slovenia'),
(149529, '212.14.0.0', '212.14.63.255', 3557687296, 3557703679, 'PL', 'Poland'),
(149530, '212.14.64.0', '212.14.95.255', 3557703680, 3557711871, 'DE', 'Germany'),
(149531, '212.14.96.0', '212.14.127.255', 3557711872, 3557720063, 'ES', 'Spain'),
(149532, '212.14.128.0', '212.14.159.255', 3557720064, 3557728255, 'IT', 'Italy'),
(149533, '212.14.160.0', '212.14.223.255', 3557728256, 3557744639, 'RU', 'Russian Federation'),
(149534, '212.14.224.0', '212.14.255.255', 3557744640, 3557752831, 'PS', 'Palestinian Territory, Occupied'),
(149535, '212.15.0.0', '212.15.31.255', 3557752832, 3557761023, 'TR', 'Turkey'),
(149536, '212.15.32.0', '212.15.63.255', 3557761024, 3557769215, 'RU', 'Russian Federation'),
(149537, '212.15.64.0', '212.15.95.255', 3557769216, 3557777407, 'GB', 'United Kingdom'),
(149538, '212.15.96.0', '212.15.127.255', 3557777408, 3557785599, 'RU', 'Russian Federation'),
(149539, '212.15.128.0', '212.15.159.255', 3557785600, 3557793791, 'UA', 'Ukraine'),
(149540, '212.15.160.0', '212.15.191.255', 3557793792, 3557801983, 'HR', 'Croatia'),
(149541, '212.15.192.0', '212.15.223.255', 3557801984, 3557810175, 'DE', 'Germany'),
(149542, '212.15.224.0', '212.15.255.255', 3557810176, 3557818367, 'ES', 'Spain'),
(149543, '212.16.0.0', '212.16.31.255', 3557818368, 3557826559, 'RU', 'Russian Federation'),
(149544, '212.16.32.0', '212.16.63.255', 3557826560, 3557834751, 'AT', 'Austria'),
(149545, '212.16.64.0', '212.16.69.255', 3557834752, 3557836287, 'GB', 'United Kingdom'),
(149546, '212.16.70.0', '212.16.70.255', 3557836288, 3557836543, 'IR', 'Iran, Islamic Republic of'),
(149547, '212.16.71.0', '212.16.72.255', 3557836544, 3557837055, 'GB', 'United Kingdom'),
(149548, '212.16.73.0', '212.16.95.255', 3557837056, 3557842943, 'IR', 'Iran, Islamic Republic of'),
(149549, '212.16.96.0', '212.16.127.255', 3557842944, 3557851135, 'FI', 'Finland'),
(149550, '212.16.128.0', '212.16.159.255', 3557851136, 3557859327, 'HU', 'Hungary'),
(149551, '212.16.160.0', '212.16.161.255', 3557859328, 3557859839, 'SE', 'Sweden'),
(149552, '212.16.162.0', '212.16.162.255', 3557859840, 3557860095, 'NO', 'Norway'),
(149553, '212.16.163.0', '212.16.163.63', 3557860096, 3557860159, 'SE', 'Sweden'),
(149554, '212.16.163.64', '212.16.163.71', 3557860160, 3557860167, 'DK', 'Denmark'),
(149555, '212.16.163.72', '212.16.164.255', 3557860168, 3557860607, 'SE', 'Sweden'),
(149556, '212.16.165.0', '212.16.165.15', 3557860608, 3557860623, 'FI', 'Finland'),
(149557, '212.16.165.16', '212.16.165.223', 3557860624, 3557860831, 'SE', 'Sweden'),
(149558, '212.16.165.224', '212.16.165.239', 3557860832, 3557860847, 'FI', 'Finland'),
(149559, '212.16.165.240', '212.16.165.255', 3557860848, 3557860863, 'SE', 'Sweden'),
(149560, '212.16.166.0', '212.16.166.255', 3557860864, 3557861119, 'NO', 'Norway'),
(149561, '212.16.167.0', '212.16.170.55', 3557861120, 3557861943, 'SE', 'Sweden'),
(149562, '212.16.170.56', '212.16.170.59', 3557861944, 3557861947, 'FI', 'Finland'),
(149563, '212.16.170.60', '212.16.170.127', 3557861948, 3557862015, 'SE', 'Sweden'),
(149564, '212.16.170.128', '212.16.170.143', 3557862016, 3557862031, 'BE', 'Belgium'),
(149565, '212.16.170.144', '212.16.171.255', 3557862032, 3557862399, 'SE', 'Sweden'),
(149566, '212.16.172.0', '212.16.173.255', 3557862400, 3557862911, 'FI', 'Finland'),
(149567, '212.16.174.0', '212.16.175.127', 3557862912, 3557863295, 'SE', 'Sweden'),
(149568, '212.16.175.128', '212.16.175.159', 3557863296, 3557863327, 'FI', 'Finland'),
(149569, '212.16.175.160', '212.16.175.183', 3557863328, 3557863351, 'SE', 'Sweden'),
(149570, '212.16.175.184', '212.16.175.191', 3557863352, 3557863359, 'FI', 'Finland'),
(149571, '212.16.175.192', '212.16.175.223', 3557863360, 3557863391, 'SE', 'Sweden'),
(149572, '212.16.175.224', '212.16.175.231', 3557863392, 3557863399, 'FI', 'Finland'),
(149573, '212.16.175.232', '212.16.176.63', 3557863400, 3557863487, 'SE', 'Sweden'),
(149574, '212.16.176.64', '212.16.176.79', 3557863488, 3557863503, 'NO', 'Norway'),
(149575, '212.16.176.80', '212.16.176.95', 3557863504, 3557863519, 'DK', 'Denmark'),
(149576, '212.16.176.96', '212.16.177.207', 3557863520, 3557863887, 'SE', 'Sweden'),
(149577, '212.16.177.208', '212.16.177.223', 3557863888, 3557863903, 'NO', 'Norway'),
(149578, '212.16.177.224', '212.16.177.239', 3557863904, 3557863919, 'FI', 'Finland'),
(149579, '212.16.177.240', '212.16.179.95', 3557863920, 3557864287, 'SE', 'Sweden'),
(149580, '212.16.179.96', '212.16.179.111', 3557864288, 3557864303, 'DK', 'Denmark'),
(149581, '212.16.179.112', '212.16.179.119', 3557864304, 3557864311, 'SE', 'Sweden'),
(149582, '212.16.179.120', '212.16.179.127', 3557864312, 3557864319, 'FI', 'Finland'),
(149583, '212.16.179.128', '212.16.181.95', 3557864320, 3557864799, 'SE', 'Sweden'),
(149584, '212.16.181.96', '212.16.181.127', 3557864800, 3557864831, 'FI', 'Finland'),
(149585, '212.16.181.128', '212.16.191.255', 3557864832, 3557867519, 'SE', 'Sweden'),
(149586, '212.16.192.0', '212.16.223.255', 3557867520, 3557875711, 'RU', 'Russian Federation'),
(149587, '212.16.224.0', '212.16.255.255', 3557875712, 3557883903, 'DE', 'Germany'),
(149588, '212.17.0.0', '212.17.31.255', 3557883904, 3557892095, 'RU', 'Russian Federation'),
(149589, '212.17.32.0', '212.17.63.255', 3557892096, 3557900287, 'IE', 'Ireland'),
(149590, '212.17.64.0', '212.17.127.255', 3557900288, 3557916671, 'AT', 'Austria'),
(149591, '212.17.128.0', '212.17.141.55', 3557916672, 3557920055, 'NO', 'Norway'),
(149592, '212.17.141.56', '212.17.141.56', 3557920056, 3557920056, 'DK', 'Denmark'),
(149593, '212.17.141.57', '212.17.159.255', 3557920057, 3557924863, 'NO', 'Norway'),
(149594, '212.17.160.0', '212.17.191.255', 3557924864, 3557933055, 'FI', 'Finland'),
(149595, '212.17.192.0', '212.17.223.255', 3557933056, 3557941247, 'IT', 'Italy'),
(149596, '212.17.224.0', '212.17.239.95', 3557941248, 3557945183, 'DE', 'Germany'),
(149597, '212.17.239.96', '212.17.239.111', 3557945184, 3557945199, 'GB', 'United Kingdom'),
(149598, '212.17.239.112', '212.18.31.255', 3557945200, 3557957631, 'DE', 'Germany'),
(149599, '212.18.32.0', '212.18.63.255', 3557957632, 3557965823, 'SI', 'Slovenia'),
(149600, '212.18.64.0', '212.18.77.255', 3557965824, 3557969407, 'DE', 'Germany'),
(149601, '212.18.78.0', '212.18.78.255', 3557969408, 3557969663, 'EU', 'Europe'),
(149602, '212.18.79.0', '212.18.95.255', 3557969664, 3557974015, 'DE', 'Germany'),
(149603, '212.18.96.0', '212.18.127.255', 3557974016, 3557982207, 'CH', 'Switzerland'),
(149604, '212.18.128.0', '212.18.159.255', 3557982208, 3557990399, 'NO', 'Norway'),
(149605, '212.18.160.0', '212.18.191.255', 3557990400, 3557998591, 'PT', 'Portugal'),
(149606, '212.18.192.0', '212.18.223.255', 3557998592, 3558006783, 'DE', 'Germany'),
(149607, '212.18.224.0', '212.18.255.255', 3558006784, 3558014975, 'GB', 'United Kingdom'),
(149608, '212.19.0.0', '212.19.31.255', 3558014976, 3558023167, 'RU', 'Russian Federation'),
(149609, '212.19.32.0', '212.19.32.31', 3558023168, 3558023199, 'GB', 'United Kingdom'),
(149610, '212.19.32.32', '212.19.32.175', 3558023200, 3558023343, 'DE', 'Germany'),
(149611, '212.19.32.176', '212.19.32.191', 3558023344, 3558023359, 'GB', 'United Kingdom'),
(149612, '212.19.32.192', '212.19.36.191', 3558023360, 3558024383, 'DE', 'Germany'),
(149613, '212.19.36.192', '212.19.36.223', 3558024384, 3558024415, 'GB', 'United Kingdom'),
(149614, '212.19.36.224', '212.19.51.31', 3558024416, 3558028063, 'DE', 'Germany'),
(149615, '212.19.51.32', '212.19.51.39', 3558028064, 3558028071, 'CH', 'Switzerland'),
(149616, '212.19.51.40', '212.19.61.63', 3558028072, 3558030655, 'DE', 'Germany'),
(149617, '212.19.61.64', '212.19.61.67', 3558030656, 3558030659, 'CH', 'Switzerland'),
(149618, '212.19.61.68', '212.19.63.255', 3558030660, 3558031359, 'DE', 'Germany'),
(149619, '212.19.64.0', '212.19.95.255', 3558031360, 3558039551, 'GB', 'United Kingdom'),
(149620, '212.19.96.0', '212.19.127.255', 3558039552, 3558047743, 'IT', 'Italy'),
(149621, '212.19.128.0', '212.19.159.255', 3558047744, 3558055935, 'KZ', 'Kazakhstan'),
(149622, '212.19.160.0', '212.19.191.255', 3558055936, 3558064127, 'FR', 'France'),
(149623, '212.19.192.0', '212.19.206.127', 3558064128, 3558067839, 'NL', 'Netherlands'),
(149624, '212.19.206.128', '212.19.206.143', 3558067840, 3558067855, 'US', 'United States'),
(149625, '212.19.206.144', '212.19.255.255', 3558067856, 3558080511, 'NL', 'Netherlands'),
(149626, '212.20.0.0', '212.20.63.255', 3558080512, 3558096895, 'RU', 'Russian Federation'),
(149627, '212.20.64.0', '212.20.127.255', 3558096896, 3558113279, 'CZ', 'Czech Republic'),
(149628, '212.20.128.0', '212.20.165.15', 3558113280, 3558122767, 'DE', 'Germany'),
(149629, '212.20.165.16', '212.20.165.31', 3558122768, 3558122783, 'CH', 'Switzerland'),
(149630, '212.20.165.32', '212.20.191.255', 3558122784, 3558129663, 'DE', 'Germany'),
(149631, '212.20.192.0', '212.20.223.255', 3558129664, 3558137855, 'NO', 'Norway'),
(149632, '212.20.224.0', '212.20.255.255', 3558137856, 3558146047, 'GB', 'United Kingdom'),
(149633, '212.21.0.0', '212.21.31.255', 3558146048, 3558154239, 'RU', 'Russian Federation'),
(149634, '212.21.32.0', '212.21.32.127', 3558154240, 3558154367, 'NG', 'Nigeria'),
(149635, '212.21.32.128', '212.21.32.255', 3558154368, 3558154495, 'SD', 'Sudan'),
(149636, '212.21.33.0', '212.21.33.127', 3558154496, 3558154623, 'MZ', 'Mozambique'),
(149637, '212.21.33.128', '212.21.33.255', 3558154624, 3558154751, 'CI', 'Cote D''Ivoire'),
(149638, '212.21.34.0', '212.21.34.127', 3558154752, 3558154879, 'CM', 'Cameroon'),
(149639, '212.21.34.128', '212.21.34.255', 3558154880, 3558155007, 'SD', 'Sudan'),
(149640, '212.21.35.0', '212.21.35.255', 3558155008, 3558155263, 'US', 'United States'),
(149641, '212.21.36.0', '212.21.36.127', 3558155264, 3558155391, 'ET', 'Ethiopia'),
(149642, '212.21.36.128', '212.21.36.135', 3558155392, 3558155399, 'A2', 'Satellite Provider'),
(149643, '212.21.36.136', '212.21.36.143', 3558155400, 3558155407, 'KE', 'Kenya'),
(149644, '212.21.36.144', '212.21.36.159', 3558155408, 3558155423, 'A2', 'Satellite Provider'),
(149645, '212.21.36.160', '212.21.36.167', 3558155424, 3558155431, 'MM', 'Myanmar'),
(149646, '212.21.36.168', '212.21.36.223', 3558155432, 3558155487, 'A2', 'Satellite Provider'),
(149647, '212.21.36.224', '212.21.36.239', 3558155488, 3558155503, 'SO', 'Somalia'),
(149648, '212.21.36.240', '212.21.36.247', 3558155504, 3558155511, 'A2', 'Satellite Provider'),
(149649, '212.21.36.248', '212.21.36.251', 3558155512, 3558155515, 'DE', 'Germany'),
(149650, '212.21.36.252', '212.21.36.255', 3558155516, 3558155519, 'A2', 'Satellite Provider'),
(149651, '212.21.37.0', '212.21.38.255', 3558155520, 3558156031, 'SD', 'Sudan'),
(149652, '212.21.39.0', '212.21.39.255', 3558156032, 3558156287, 'KG', 'Kyrgyzstan'),
(149653, '212.21.40.0', '212.21.40.87', 3558156288, 3558156375, 'GB', 'United Kingdom'),
(149654, '212.21.40.88', '212.21.40.95', 3558156376, 3558156383, 'AF', 'Afghanistan'),
(149655, '212.21.40.96', '212.21.40.103', 3558156384, 3558156391, 'A2', 'Satellite Provider'),
(149656, '212.21.40.104', '212.21.40.111', 3558156392, 3558156399, 'DK', 'Denmark'),
(149657, '212.21.40.112', '212.21.40.167', 3558156400, 3558156455, 'AF', 'Afghanistan'),
(149658, '212.21.40.168', '212.21.40.183', 3558156456, 3558156471, 'KE', 'Kenya'),
(149659, '212.21.40.184', '212.21.40.191', 3558156472, 3558156479, 'A2', 'Satellite Provider'),
(149660, '212.21.40.192', '212.21.40.223', 3558156480, 3558156511, 'GB', 'United Kingdom'),
(149661, '212.21.40.224', '212.21.40.239', 3558156512, 3558156527, 'NP', 'Nepal'),
(149662, '212.21.40.240', '212.21.40.255', 3558156528, 3558156543, 'A2', 'Satellite Provider'),
(149663, '212.21.41.0', '212.21.41.127', 3558156544, 3558156671, 'KN', 'Saint Kitts and Nevis'),
(149664, '212.21.41.128', '212.21.42.127', 3558156672, 3558156927, 'SM', 'San Marino'),
(149665, '212.21.42.128', '212.21.43.127', 3558156928, 3558157183, 'AF', 'Afghanistan'),
(149666, '212.21.43.128', '212.21.43.255', 3558157184, 3558157311, 'SM', 'San Marino'),
(149667, '212.21.44.0', '212.21.44.7', 3558157312, 3558157319, 'A2', 'Satellite Provider'),
(149668, '212.21.44.8', '212.21.44.15', 3558157320, 3558157327, 'DE', 'Germany'),
(149669, '212.21.44.16', '212.21.44.23', 3558157328, 3558157335, 'SL', 'Sierra Leone'),
(149670, '212.21.44.24', '212.21.44.63', 3558157336, 3558157375, 'A2', 'Satellite Provider'),
(149671, '212.21.44.64', '212.21.44.79', 3558157376, 3558157391, 'UG', 'Uganda'),
(149672, '212.21.44.80', '212.21.44.95', 3558157392, 3558157407, 'AF', 'Afghanistan'),
(149673, '212.21.44.96', '212.21.44.127', 3558157408, 3558157439, 'SD', 'Sudan'),
(149674, '212.21.44.128', '212.21.44.255', 3558157440, 3558157567, 'SZ', 'Swaziland'),
(149675, '212.21.45.0', '212.21.45.15', 3558157568, 3558157583, 'A2', 'Satellite Provider'),
(149676, '212.21.45.16', '212.21.45.31', 3558157584, 3558157599, 'MM', 'Myanmar'),
(149677, '212.21.45.32', '212.21.45.159', 3558157600, 3558157727, 'SD', 'Sudan'),
(149678, '212.21.45.160', '212.21.45.191', 3558157728, 3558157759, 'SO', 'Somalia'),
(149679, '212.21.45.192', '212.21.45.223', 3558157760, 3558157791, 'A2', 'Satellite Provider'),
(149680, '212.21.45.224', '212.21.46.255', 3558157792, 3558158079, 'SL', 'Sierra Leone'),
(149681, '212.21.47.0', '212.21.47.127', 3558158080, 3558158207, 'GB', 'United Kingdom'),
(149682, '212.21.47.128', '212.21.47.159', 3558158208, 3558158239, 'SC', 'Seychelles'),
(149683, '212.21.47.160', '212.21.47.247', 3558158240, 3558158327, 'A2', 'Satellite Provider'),
(149684, '212.21.47.248', '212.21.47.251', 3558158328, 3558158331, 'SC', 'Seychelles'),
(149685, '212.21.47.252', '212.21.47.255', 3558158332, 3558158335, 'A2', 'Satellite Provider'),
(149686, '212.21.48.0', '212.21.49.255', 3558158336, 3558158847, 'SE', 'Sweden'),
(149687, '212.21.50.0', '212.21.51.255', 3558158848, 3558159359, 'DE', 'Germany'),
(149688, '212.21.52.0', '212.21.52.255', 3558159360, 3558159615, 'US', 'United States'),
(149689, '212.21.53.0', '212.21.53.131', 3558159616, 3558159747, 'A2', 'Satellite Provider'),
(149690, '212.21.53.132', '212.21.53.132', 3558159748, 3558159748, 'US', 'United States'),
(149691, '212.21.53.133', '212.21.53.191', 3558159749, 3558159807, 'A2', 'Satellite Provider'),
(149692, '212.21.53.192', '212.21.53.223', 3558159808, 3558159839, 'DE', 'Germany'),
(149693, '212.21.53.224', '212.21.53.255', 3558159840, 3558159871, 'A2', 'Satellite Provider'),
(149694, '212.21.54.0', '212.21.54.255', 3558159872, 3558160127, 'SL', 'Sierra Leone'),
(149695, '212.21.55.0', '212.21.55.255', 3558160128, 3558160383, 'DE', 'Germany'),
(149696, '212.21.56.0', '212.21.58.255', 3558160384, 3558161151, 'A2', 'Satellite Provider'),
(149697, '212.21.59.0', '212.21.59.255', 3558161152, 3558161407, 'AF', 'Afghanistan'),
(149698, '212.21.60.0', '212.21.62.223', 3558161408, 3558162143, 'A2', 'Satellite Provider');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(149699, '212.21.62.224', '212.21.62.255', 3558162144, 3558162175, 'SO', 'Somalia'),
(149700, '212.21.63.0', '212.21.63.31', 3558162176, 3558162207, 'BI', 'Burundi'),
(149701, '212.21.63.32', '212.21.63.127', 3558162208, 3558162303, 'A2', 'Satellite Provider'),
(149702, '212.21.63.128', '212.21.63.255', 3558162304, 3558162431, 'BI', 'Burundi'),
(149703, '212.21.64.0', '212.21.95.255', 3558162432, 3558170623, 'DE', 'Germany'),
(149704, '212.21.96.0', '212.21.127.255', 3558170624, 3558178815, 'GB', 'United Kingdom'),
(149705, '212.21.128.0', '212.21.159.255', 3558178816, 3558187007, 'BG', 'Bulgaria'),
(149706, '212.21.160.0', '212.21.191.255', 3558187008, 3558195199, 'DE', 'Germany'),
(149707, '212.21.192.0', '212.21.192.255', 3558195200, 3558195455, 'BE', 'Belgium'),
(149708, '212.21.193.0', '212.21.195.63', 3558195456, 3558196031, 'ES', 'Spain'),
(149709, '212.21.195.64', '212.21.195.67', 3558196032, 3558196035, 'IT', 'Italy'),
(149710, '212.21.195.68', '212.21.195.71', 3558196036, 3558196039, 'ES', 'Spain'),
(149711, '212.21.195.72', '212.21.195.79', 3558196040, 3558196047, 'IT', 'Italy'),
(149712, '212.21.195.80', '212.21.195.151', 3558196048, 3558196119, 'ES', 'Spain'),
(149713, '212.21.195.152', '212.21.195.159', 3558196120, 3558196127, 'IT', 'Italy'),
(149714, '212.21.195.160', '212.21.195.191', 3558196128, 3558196159, 'ES', 'Spain'),
(149715, '212.21.195.192', '212.21.195.199', 3558196160, 3558196167, 'IT', 'Italy'),
(149716, '212.21.195.200', '212.21.195.207', 3558196168, 3558196175, 'ES', 'Spain'),
(149717, '212.21.195.208', '212.21.195.223', 3558196176, 3558196191, 'IT', 'Italy'),
(149718, '212.21.195.224', '212.21.195.231', 3558196192, 3558196199, 'ES', 'Spain'),
(149719, '212.21.195.232', '212.21.196.47', 3558196200, 3558196271, 'IT', 'Italy'),
(149720, '212.21.196.48', '212.21.196.127', 3558196272, 3558196351, 'ES', 'Spain'),
(149721, '212.21.196.128', '212.21.196.135', 3558196352, 3558196359, 'IT', 'Italy'),
(149722, '212.21.196.136', '212.21.196.143', 3558196360, 3558196367, 'ES', 'Spain'),
(149723, '212.21.196.144', '212.21.196.191', 3558196368, 3558196415, 'IT', 'Italy'),
(149724, '212.21.196.192', '212.21.197.63', 3558196416, 3558196543, 'ES', 'Spain'),
(149725, '212.21.197.64', '212.21.197.119', 3558196544, 3558196599, 'IT', 'Italy'),
(149726, '212.21.197.120', '212.21.197.255', 3558196600, 3558196735, 'ES', 'Spain'),
(149727, '212.21.198.0', '212.21.206.255', 3558196736, 3558199039, 'US', 'United States'),
(149728, '212.21.207.0', '212.21.207.255', 3558199040, 3558199295, 'ES', 'Spain'),
(149729, '212.21.208.0', '212.21.223.255', 3558199296, 3558203391, 'US', 'United States'),
(149730, '212.21.224.0', '212.21.255.255', 3558203392, 3558211583, 'ES', 'Spain'),
(149731, '212.22.0.0', '212.22.31.255', 3558211584, 3558219775, 'GB', 'United Kingdom'),
(149732, '212.22.32.0', '212.22.63.255', 3558219776, 3558227967, 'ES', 'Spain'),
(149733, '212.22.64.0', '212.22.95.255', 3558227968, 3558236159, 'RU', 'Russian Federation'),
(149734, '212.22.96.0', '212.22.127.255', 3558236160, 3558244351, 'GB', 'United Kingdom'),
(149735, '212.22.128.0', '212.22.159.255', 3558244352, 3558252543, 'IT', 'Italy'),
(149736, '212.22.160.0', '212.22.191.255', 3558252544, 3558260735, 'KE', 'Kenya'),
(149737, '212.22.192.0', '212.22.223.255', 3558260736, 3558268927, 'UA', 'Ukraine'),
(149738, '212.22.224.0', '212.22.255.255', 3558268928, 3558277119, 'GI', 'Gibraltar'),
(149739, '212.23.0.0', '212.23.32.255', 3558277120, 3558285567, 'GB', 'United Kingdom'),
(149740, '212.23.33.0', '212.23.33.255', 3558285568, 3558285823, 'DE', 'Germany'),
(149741, '212.23.34.0', '212.23.34.127', 3558285824, 3558285951, 'GB', 'United Kingdom'),
(149742, '212.23.34.128', '212.23.34.255', 3558285952, 3558286079, 'DE', 'Germany'),
(149743, '212.23.35.0', '212.23.36.255', 3558286080, 3558286591, 'GB', 'United Kingdom'),
(149744, '212.23.37.0', '212.23.37.63', 3558286592, 3558286655, 'FR', 'France'),
(149745, '212.23.37.64', '212.23.37.127', 3558286656, 3558286719, 'GB', 'United Kingdom'),
(149746, '212.23.37.128', '212.23.37.255', 3558286720, 3558286847, 'FR', 'France'),
(149747, '212.23.38.0', '212.23.41.63', 3558286848, 3558287679, 'GB', 'United Kingdom'),
(149748, '212.23.41.64', '212.23.41.127', 3558287680, 3558287743, 'BE', 'Belgium'),
(149749, '212.23.41.128', '212.23.41.255', 3558287744, 3558287871, 'NL', 'Netherlands'),
(149750, '212.23.42.0', '212.23.42.63', 3558287872, 3558287935, 'FR', 'France'),
(149751, '212.23.42.64', '212.23.42.127', 3558287936, 3558287999, 'IT', 'Italy'),
(149752, '212.23.42.128', '212.23.42.191', 3558288000, 3558288063, 'DE', 'Germany'),
(149753, '212.23.42.192', '212.23.42.255', 3558288064, 3558288127, 'ES', 'Spain'),
(149754, '212.23.43.0', '212.23.43.63', 3558288128, 3558288191, 'AT', 'Austria'),
(149755, '212.23.43.64', '212.23.43.127', 3558288192, 3558288255, 'SE', 'Sweden'),
(149756, '212.23.43.128', '212.23.43.191', 3558288256, 3558288319, 'US', 'United States'),
(149757, '212.23.43.192', '212.23.43.255', 3558288320, 3558288383, 'CH', 'Switzerland'),
(149758, '212.23.44.0', '212.23.44.39', 3558288384, 3558288423, 'US', 'United States'),
(149759, '212.23.44.40', '212.23.44.63', 3558288424, 3558288447, 'GB', 'United Kingdom'),
(149760, '212.23.44.64', '212.23.44.99', 3558288448, 3558288483, 'US', 'United States'),
(149761, '212.23.44.100', '212.23.44.103', 3558288484, 3558288487, 'GB', 'United Kingdom'),
(149762, '212.23.44.104', '212.23.44.255', 3558288488, 3558288639, 'US', 'United States'),
(149763, '212.23.45.0', '212.23.45.255', 3558288640, 3558288895, 'EU', 'Europe'),
(149764, '212.23.46.0', '212.23.46.207', 3558288896, 3558289103, 'FR', 'France'),
(149765, '212.23.46.208', '212.23.46.215', 3558289104, 3558289111, 'IT', 'Italy'),
(149766, '212.23.46.216', '212.23.46.223', 3558289112, 3558289119, 'GB', 'United Kingdom'),
(149767, '212.23.46.224', '212.23.46.255', 3558289120, 3558289151, 'FR', 'France'),
(149768, '212.23.47.0', '212.23.47.255', 3558289152, 3558289407, 'GB', 'United Kingdom'),
(149769, '212.23.48.0', '212.23.48.95', 3558289408, 3558289503, 'NL', 'Netherlands'),
(149770, '212.23.48.96', '212.23.48.127', 3558289504, 3558289535, 'GB', 'United Kingdom'),
(149771, '212.23.48.128', '212.23.48.255', 3558289536, 3558289663, 'NL', 'Netherlands'),
(149772, '212.23.49.0', '212.23.49.83', 3558289664, 3558289747, 'IT', 'Italy'),
(149773, '212.23.49.84', '212.23.49.87', 3558289748, 3558289751, 'GB', 'United Kingdom'),
(149774, '212.23.49.88', '212.23.49.111', 3558289752, 3558289775, 'IT', 'Italy'),
(149775, '212.23.49.112', '212.23.49.119', 3558289776, 3558289783, 'GB', 'United Kingdom'),
(149776, '212.23.49.120', '212.23.49.255', 3558289784, 3558289919, 'IT', 'Italy'),
(149777, '212.23.50.0', '212.23.50.255', 3558289920, 3558290175, 'CZ', 'Czech Republic'),
(149778, '212.23.51.0', '212.23.51.255', 3558290176, 3558290431, 'GB', 'United Kingdom'),
(149779, '212.23.52.0', '212.23.52.143', 3558290432, 3558290575, 'BE', 'Belgium'),
(149780, '212.23.52.144', '212.23.52.159', 3558290576, 3558290591, 'GB', 'United Kingdom'),
(149781, '212.23.52.160', '212.23.52.167', 3558290592, 3558290599, 'BE', 'Belgium'),
(149782, '212.23.52.168', '212.23.52.183', 3558290600, 3558290615, 'GB', 'United Kingdom'),
(149783, '212.23.52.184', '212.23.52.231', 3558290616, 3558290663, 'BE', 'Belgium'),
(149784, '212.23.52.232', '212.23.52.247', 3558290664, 3558290679, 'GB', 'United Kingdom'),
(149785, '212.23.52.248', '212.23.52.255', 3558290680, 3558290687, 'BE', 'Belgium'),
(149786, '212.23.53.0', '212.23.53.183', 3558290688, 3558290871, 'ES', 'Spain'),
(149787, '212.23.53.184', '212.23.53.191', 3558290872, 3558290879, 'GB', 'United Kingdom'),
(149788, '212.23.53.192', '212.23.53.223', 3558290880, 3558290911, 'ES', 'Spain'),
(149789, '212.23.53.224', '212.23.53.255', 3558290912, 3558290943, 'GB', 'United Kingdom'),
(149790, '212.23.54.0', '212.23.54.15', 3558290944, 3558290959, 'DE', 'Germany'),
(149791, '212.23.54.16', '212.23.54.23', 3558290960, 3558290967, 'NL', 'Netherlands'),
(149792, '212.23.54.24', '212.23.54.31', 3558290968, 3558290975, 'GB', 'United Kingdom'),
(149793, '212.23.54.32', '212.23.54.47', 3558290976, 3558290991, 'NL', 'Netherlands'),
(149794, '212.23.54.48', '212.23.54.79', 3558290992, 3558291023, 'DE', 'Germany'),
(149795, '212.23.54.80', '212.23.54.87', 3558291024, 3558291031, 'SE', 'Sweden'),
(149796, '212.23.54.88', '212.23.54.191', 3558291032, 3558291135, 'DE', 'Germany'),
(149797, '212.23.54.192', '212.23.55.15', 3558291136, 3558291215, 'GB', 'United Kingdom'),
(149798, '212.23.55.16', '212.23.55.31', 3558291216, 3558291231, 'AT', 'Austria'),
(149799, '212.23.55.32', '212.23.55.39', 3558291232, 3558291239, 'CH', 'Switzerland'),
(149800, '212.23.55.40', '212.23.55.47', 3558291240, 3558291247, 'GB', 'United Kingdom'),
(149801, '212.23.55.48', '212.23.55.63', 3558291248, 3558291263, 'CH', 'Switzerland'),
(149802, '212.23.55.64', '212.23.55.79', 3558291264, 3558291279, 'AT', 'Austria'),
(149803, '212.23.55.80', '212.23.55.95', 3558291280, 3558291295, 'GB', 'United Kingdom'),
(149804, '212.23.55.96', '212.23.55.255', 3558291296, 3558291455, 'CH', 'Switzerland'),
(149805, '212.23.56.0', '212.23.56.3', 3558291456, 3558291459, 'DE', 'Germany'),
(149806, '212.23.56.4', '212.23.56.7', 3558291460, 3558291463, 'GB', 'United Kingdom'),
(149807, '212.23.56.8', '212.23.56.15', 3558291464, 3558291471, 'DE', 'Germany'),
(149808, '212.23.56.16', '212.23.58.255', 3558291472, 3558292223, 'GB', 'United Kingdom'),
(149809, '212.23.59.0', '212.23.59.63', 3558292224, 3558292287, 'SE', 'Sweden'),
(149810, '212.23.59.64', '212.23.59.255', 3558292288, 3558292479, 'NL', 'Netherlands'),
(149811, '212.23.60.0', '212.23.60.255', 3558292480, 3558292735, 'EU', 'Europe'),
(149812, '212.23.61.0', '212.23.61.127', 3558292736, 3558292863, 'GB', 'United Kingdom'),
(149813, '212.23.61.128', '212.23.61.135', 3558292864, 3558292871, 'CH', 'Switzerland'),
(149814, '212.23.61.136', '212.23.61.143', 3558292872, 3558292879, 'GB', 'United Kingdom'),
(149815, '212.23.61.144', '212.23.62.127', 3558292880, 3558293119, 'NL', 'Netherlands'),
(149816, '212.23.62.128', '212.23.62.151', 3558293120, 3558293143, 'CH', 'Switzerland'),
(149817, '212.23.62.152', '212.23.62.159', 3558293144, 3558293151, 'GB', 'United Kingdom'),
(149818, '212.23.62.160', '212.23.62.255', 3558293152, 3558293247, 'NL', 'Netherlands'),
(149819, '212.23.63.0', '212.23.63.255', 3558293248, 3558293503, 'GB', 'United Kingdom'),
(149820, '212.23.64.0', '212.23.95.255', 3558293504, 3558301695, 'RU', 'Russian Federation'),
(149821, '212.23.96.0', '212.23.129.175', 3558301696, 3558310319, 'DE', 'Germany'),
(149822, '212.23.129.176', '212.23.129.183', 3558310320, 3558310327, 'CH', 'Switzerland'),
(149823, '212.23.129.184', '212.23.130.111', 3558310328, 3558310511, 'DE', 'Germany'),
(149824, '212.23.130.112', '212.23.130.119', 3558310512, 3558310519, 'CH', 'Switzerland'),
(149825, '212.23.130.120', '212.23.139.87', 3558310520, 3558312791, 'DE', 'Germany'),
(149826, '212.23.139.88', '212.23.139.95', 3558312792, 3558312799, 'CH', 'Switzerland'),
(149827, '212.23.139.96', '212.23.159.255', 3558312800, 3558318079, 'DE', 'Germany'),
(149828, '212.23.160.0', '212.23.167.17', 3558318080, 3558319889, 'FR', 'France'),
(149829, '212.23.167.18', '212.23.167.19', 3558319890, 3558319891, 'ES', 'Spain'),
(149830, '212.23.167.20', '212.23.223.255', 3558319892, 3558334463, 'FR', 'France'),
(149831, '212.23.224.0', '212.23.225.215', 3558334464, 3558334935, 'CH', 'Switzerland'),
(149832, '212.23.225.216', '212.23.225.223', 3558334936, 3558334943, 'FR', 'France'),
(149833, '212.23.225.224', '212.23.228.11', 3558334944, 3558335499, 'CH', 'Switzerland'),
(149834, '212.23.228.12', '212.23.228.15', 3558335500, 3558335503, 'DE', 'Germany'),
(149835, '212.23.228.16', '212.23.228.23', 3558335504, 3558335511, 'CH', 'Switzerland'),
(149836, '212.23.228.24', '212.23.228.31', 3558335512, 3558335519, 'DE', 'Germany'),
(149837, '212.23.228.32', '212.23.235.235', 3558335520, 3558337515, 'CH', 'Switzerland'),
(149838, '212.23.235.236', '212.23.235.239', 3558337516, 3558337519, 'ES', 'Spain'),
(149839, '212.23.235.240', '212.23.236.247', 3558337520, 3558337783, 'CH', 'Switzerland'),
(149840, '212.23.236.248', '212.23.236.251', 3558337784, 3558337787, 'DE', 'Germany'),
(149841, '212.23.236.252', '212.23.236.253', 3558337788, 3558337789, 'CH', 'Switzerland'),
(149842, '212.23.236.254', '212.23.236.254', 3558337790, 3558337790, 'GB', 'United Kingdom'),
(149843, '212.23.236.255', '212.23.243.31', 3558337791, 3558339359, 'CH', 'Switzerland'),
(149844, '212.23.243.32', '212.23.243.39', 3558339360, 3558339367, 'ES', 'Spain'),
(149845, '212.23.243.40', '212.23.244.115', 3558339368, 3558339699, 'CH', 'Switzerland'),
(149846, '212.23.244.116', '212.23.244.119', 3558339700, 3558339703, 'DE', 'Germany'),
(149847, '212.23.244.120', '212.23.245.199', 3558339704, 3558340039, 'CH', 'Switzerland'),
(149848, '212.23.245.200', '212.23.245.203', 3558340040, 3558340043, 'DE', 'Germany'),
(149849, '212.23.245.204', '212.23.248.47', 3558340044, 3558340655, 'CH', 'Switzerland'),
(149850, '212.23.248.48', '212.23.248.55', 3558340656, 3558340663, 'CG', 'Congo'),
(149851, '212.23.248.56', '212.23.255.255', 3558340664, 3558342655, 'CH', 'Switzerland'),
(149852, '212.24.0.0', '212.24.31.255', 3558342656, 3558350847, 'IT', 'Italy'),
(149853, '212.24.32.0', '212.24.63.255', 3558350848, 3558359039, 'RU', 'Russian Federation'),
(149854, '212.24.64.0', '212.24.95.255', 3558359040, 3558367231, 'GB', 'United Kingdom'),
(149855, '212.24.96.0', '212.24.96.39', 3558367232, 3558367271, 'AT', 'Austria'),
(149856, '212.24.96.40', '212.24.96.47', 3558367272, 3558367279, 'GI', 'Gibraltar'),
(149857, '212.24.96.48', '212.24.99.15', 3558367280, 3558368015, 'AT', 'Austria'),
(149858, '212.24.99.16', '212.24.99.31', 3558368016, 3558368031, 'AR', 'Argentina'),
(149859, '212.24.99.32', '212.24.99.63', 3558368032, 3558368063, 'CL', 'Chile'),
(149860, '212.24.99.64', '212.24.99.79', 3558368064, 3558368079, 'ES', 'Spain'),
(149861, '212.24.99.80', '212.24.99.95', 3558368080, 3558368095, 'DE', 'Germany'),
(149862, '212.24.99.96', '212.24.99.111', 3558368096, 3558368111, 'US', 'United States'),
(149863, '212.24.99.112', '212.24.99.127', 3558368112, 3558368127, 'GB', 'United Kingdom'),
(149864, '212.24.99.128', '212.24.99.159', 3558368128, 3558368159, 'AT', 'Austria'),
(149865, '212.24.99.160', '212.24.99.191', 3558368160, 3558368191, 'DE', 'Germany'),
(149866, '212.24.99.192', '212.24.99.207', 3558368192, 3558368207, 'US', 'United States'),
(149867, '212.24.99.208', '212.24.99.223', 3558368208, 3558368223, 'GB', 'United Kingdom'),
(149868, '212.24.99.224', '212.24.99.239', 3558368224, 3558368239, 'ES', 'Spain'),
(149869, '212.24.99.240', '212.24.99.255', 3558368240, 3558368255, 'AR', 'Argentina'),
(149870, '212.24.100.0', '212.24.100.15', 3558368256, 3558368271, 'AT', 'Austria'),
(149871, '212.24.100.16', '212.24.100.31', 3558368272, 3558368287, 'GB', 'United Kingdom'),
(149872, '212.24.100.32', '212.24.100.63', 3558368288, 3558368319, 'CL', 'Chile'),
(149873, '212.24.100.64', '212.24.100.127', 3558368320, 3558368383, 'AR', 'Argentina'),
(149874, '212.24.100.128', '212.24.100.191', 3558368384, 3558368447, 'AT', 'Austria'),
(149875, '212.24.100.192', '212.24.100.223', 3558368448, 3558368479, 'DE', 'Germany'),
(149876, '212.24.100.224', '212.24.100.239', 3558368480, 3558368495, 'ES', 'Spain'),
(149877, '212.24.100.240', '212.24.100.255', 3558368496, 3558368511, 'US', 'United States'),
(149878, '212.24.101.0', '212.24.104.207', 3558368512, 3558369487, 'AT', 'Austria'),
(149879, '212.24.104.208', '212.24.104.223', 3558369488, 3558369503, 'CH', 'Switzerland'),
(149880, '212.24.104.224', '212.24.104.239', 3558369504, 3558369519, 'FR', 'France'),
(149881, '212.24.104.240', '212.24.115.255', 3558369520, 3558372351, 'AT', 'Austria'),
(149882, '212.24.116.0', '212.24.116.255', 3558372352, 3558372607, 'BG', 'Bulgaria'),
(149883, '212.24.117.0', '212.24.117.127', 3558372608, 3558372735, 'AT', 'Austria'),
(149884, '212.24.117.128', '212.24.117.255', 3558372736, 3558372863, 'ES', 'Spain'),
(149885, '212.24.118.0', '212.24.127.255', 3558372864, 3558375423, 'AT', 'Austria'),
(149886, '212.24.128.0', '212.24.159.255', 3558375424, 3558383615, 'CZ', 'Czech Republic'),
(149887, '212.24.160.0', '212.24.191.255', 3558383616, 3558391807, 'HU', 'Hungary'),
(149888, '212.24.192.0', '212.24.223.255', 3558391808, 3558399999, 'LU', 'Luxembourg'),
(149889, '212.24.224.0', '212.24.255.255', 3558400000, 3558408191, 'SA', 'Saudi Arabia'),
(149890, '212.25.0.0', '212.25.15.63', 3558408192, 3558412095, 'CH', 'Switzerland'),
(149891, '212.25.15.64', '212.25.15.71', 3558412096, 3558412103, 'GB', 'United Kingdom'),
(149892, '212.25.15.72', '212.25.31.255', 3558412104, 3558416383, 'CH', 'Switzerland'),
(149893, '212.25.32.0', '212.25.63.255', 3558416384, 3558424575, 'BG', 'Bulgaria'),
(149894, '212.25.64.0', '212.25.127.255', 3558424576, 3558440959, 'IL', 'Israel'),
(149895, '212.25.128.0', '212.25.159.255', 3558440960, 3558449151, 'SE', 'Sweden'),
(149896, '212.25.160.0', '212.25.191.255', 3558449152, 3558457343, 'IT', 'Italy'),
(149897, '212.25.192.0', '212.25.192.63', 3558457344, 3558457407, 'BE', 'Belgium'),
(149898, '212.25.192.64', '212.25.192.255', 3558457408, 3558457599, 'GB', 'United Kingdom'),
(149899, '212.25.193.0', '212.25.193.127', 3558457600, 3558457727, 'FR', 'France'),
(149900, '212.25.193.128', '212.25.223.255', 3558457728, 3558465535, 'NL', 'Netherlands'),
(149901, '212.25.224.0', '212.25.235.255', 3558465536, 3558468607, 'GB', 'United Kingdom'),
(149902, '212.25.236.0', '212.25.237.255', 3558468608, 3558469119, 'US', 'United States'),
(149903, '212.25.238.0', '212.25.255.255', 3558469120, 3558473727, 'GB', 'United Kingdom'),
(149904, '212.26.0.0', '212.26.127.255', 3558473728, 3558506495, 'SA', 'Saudi Arabia'),
(149905, '212.26.128.0', '212.26.159.255', 3558506496, 3558514687, 'UA', 'Ukraine'),
(149906, '212.26.160.0', '212.26.191.255', 3558514688, 3558522879, 'SK', 'Slovakia'),
(149907, '212.26.192.0', '212.26.223.255', 3558522880, 3558531071, 'NL', 'Netherlands'),
(149908, '212.26.224.0', '212.26.255.255', 3558531072, 3558539263, 'RU', 'Russian Federation'),
(149909, '212.27.0.0', '212.27.31.255', 3558539264, 3558547455, 'DK', 'Denmark'),
(149910, '212.27.32.0', '212.27.63.255', 3558547456, 3558555647, 'FR', 'France'),
(149911, '212.27.64.0', '212.27.127.255', 3558555648, 3558572031, 'AT', 'Austria'),
(149912, '212.27.128.0', '212.27.159.255', 3558572032, 3558580223, 'DE', 'Germany'),
(149913, '212.27.160.0', '212.27.164.175', 3558580224, 3558581423, 'CH', 'Switzerland'),
(149914, '212.27.164.176', '212.27.164.191', 3558581424, 3558581439, 'DE', 'Germany'),
(149915, '212.27.164.192', '212.27.191.255', 3558581440, 3558588415, 'CH', 'Switzerland'),
(149916, '212.27.192.0', '212.27.223.255', 3558588416, 3558596607, 'CZ', 'Czech Republic'),
(149917, '212.27.224.0', '212.27.255.255', 3558596608, 3558604799, 'EE', 'Estonia'),
(149918, '212.28.0.0', '212.28.31.255', 3558604800, 3558612991, 'GB', 'United Kingdom'),
(149919, '212.28.32.0', '212.28.63.255', 3558612992, 3558621183, 'DE', 'Germany'),
(149920, '212.28.64.0', '212.28.95.255', 3558621184, 3558629375, 'MD', 'Moldova, Republic of'),
(149921, '212.28.96.0', '212.28.127.255', 3558629376, 3558637567, 'DE', 'Germany'),
(149922, '212.28.128.0', '212.28.159.255', 3558637568, 3558645759, 'CH', 'Switzerland'),
(149923, '212.28.160.0', '212.28.191.255', 3558645760, 3558653951, 'IT', 'Italy'),
(149924, '212.28.192.0', '212.28.223.255', 3558653952, 3558662143, 'SE', 'Sweden'),
(149925, '212.28.224.0', '212.28.255.255', 3558662144, 3558670335, 'LB', 'Lebanon'),
(149926, '212.29.0.0', '212.29.63.255', 3558670336, 3558686719, 'DE', 'Germany'),
(149927, '212.29.64.0', '212.29.127.255', 3558686720, 3558703103, 'TR', 'Turkey'),
(149928, '212.29.128.0', '212.29.159.255', 3558703104, 3558711295, 'IT', 'Italy'),
(149929, '212.29.160.0', '212.29.184.255', 3558711296, 3558717695, 'NL', 'Netherlands'),
(149930, '212.29.185.0', '212.29.185.255', 3558717696, 3558717951, 'EU', 'Europe'),
(149931, '212.29.186.0', '212.29.186.255', 3558717952, 3558718207, 'NL', 'Netherlands'),
(149932, '212.29.187.0', '212.29.187.255', 3558718208, 3558718463, 'EU', 'Europe'),
(149933, '212.29.188.0', '212.29.191.255', 3558718464, 3558719487, 'NL', 'Netherlands'),
(149934, '212.29.192.0', '212.29.255.255', 3558719488, 3558735871, 'IL', 'Israel'),
(149935, '212.30.0.0', '212.30.0.255', 3558735872, 3558736127, 'GB', 'United Kingdom'),
(149936, '212.30.1.0', '212.30.2.255', 3558736128, 3558736639, 'GG', 'Guernsey'),
(149937, '212.30.3.0', '212.30.4.159', 3558736640, 3558737055, 'GB', 'United Kingdom'),
(149938, '212.30.4.160', '212.30.4.255', 3558737056, 3558737151, 'GG', 'Guernsey'),
(149939, '212.30.5.0', '212.30.5.127', 3558737152, 3558737279, 'GB', 'United Kingdom'),
(149940, '212.30.5.128', '212.30.7.255', 3558737280, 3558737919, 'GG', 'Guernsey'),
(149941, '212.30.8.0', '212.30.11.63', 3558737920, 3558738751, 'GB', 'United Kingdom'),
(149942, '212.30.11.64', '212.30.11.255', 3558738752, 3558738943, 'GG', 'Guernsey'),
(149943, '212.30.12.0', '212.30.12.47', 3558738944, 3558738991, 'GB', 'United Kingdom'),
(149944, '212.30.12.48', '212.30.12.63', 3558738992, 3558739007, 'GG', 'Guernsey'),
(149945, '212.30.12.64', '212.30.12.95', 3558739008, 3558739039, 'GB', 'United Kingdom'),
(149946, '212.30.12.96', '212.30.12.111', 3558739040, 3558739055, 'GG', 'Guernsey'),
(149947, '212.30.12.112', '212.30.12.255', 3558739056, 3558739199, 'GB', 'United Kingdom'),
(149948, '212.30.13.0', '212.30.13.31', 3558739200, 3558739231, 'GG', 'Guernsey'),
(149949, '212.30.13.32', '212.30.13.95', 3558739232, 3558739295, 'GB', 'United Kingdom'),
(149950, '212.30.13.96', '212.30.14.255', 3558739296, 3558739711, 'GG', 'Guernsey'),
(149951, '212.30.15.0', '212.30.16.7', 3558739712, 3558739975, 'GB', 'United Kingdom'),
(149952, '212.30.16.8', '212.30.16.15', 3558739976, 3558739983, 'GG', 'Guernsey'),
(149953, '212.30.16.16', '212.30.16.47', 3558739984, 3558740015, 'GB', 'United Kingdom'),
(149954, '212.30.16.48', '212.30.16.55', 3558740016, 3558740023, 'GG', 'Guernsey'),
(149955, '212.30.16.56', '212.30.16.63', 3558740024, 3558740031, 'GB', 'United Kingdom'),
(149956, '212.30.16.64', '212.30.16.71', 3558740032, 3558740039, 'GG', 'Guernsey'),
(149957, '212.30.16.72', '212.30.16.95', 3558740040, 3558740063, 'GB', 'United Kingdom'),
(149958, '212.30.16.96', '212.30.16.111', 3558740064, 3558740079, 'GG', 'Guernsey'),
(149959, '212.30.16.112', '212.30.16.119', 3558740080, 3558740087, 'GB', 'United Kingdom'),
(149960, '212.30.16.120', '212.30.16.127', 3558740088, 3558740095, 'GG', 'Guernsey'),
(149961, '212.30.16.128', '212.30.16.215', 3558740096, 3558740183, 'GB', 'United Kingdom'),
(149962, '212.30.16.216', '212.30.16.231', 3558740184, 3558740199, 'GG', 'Guernsey'),
(149963, '212.30.16.232', '212.30.16.239', 3558740200, 3558740207, 'GB', 'United Kingdom'),
(149964, '212.30.16.240', '212.30.16.247', 3558740208, 3558740215, 'GG', 'Guernsey'),
(149965, '212.30.16.248', '212.30.16.254', 3558740216, 3558740222, 'GB', 'United Kingdom'),
(149966, '212.30.16.255', '212.30.16.255', 3558740223, 3558740223, 'GG', 'Guernsey'),
(149967, '212.30.17.0', '212.30.17.31', 3558740224, 3558740255, 'GB', 'United Kingdom'),
(149968, '212.30.17.32', '212.30.17.47', 3558740256, 3558740271, 'GG', 'Guernsey'),
(149969, '212.30.17.48', '212.30.17.63', 3558740272, 3558740287, 'GB', 'United Kingdom'),
(149970, '212.30.17.64', '212.30.17.71', 3558740288, 3558740295, 'GG', 'Guernsey'),
(149971, '212.30.17.72', '212.30.17.119', 3558740296, 3558740343, 'GB', 'United Kingdom'),
(149972, '212.30.17.120', '212.30.17.127', 3558740344, 3558740351, 'GG', 'Guernsey'),
(149973, '212.30.17.128', '212.30.17.135', 3558740352, 3558740359, 'GB', 'United Kingdom'),
(149974, '212.30.17.136', '212.30.17.143', 3558740360, 3558740367, 'GG', 'Guernsey'),
(149975, '212.30.17.144', '212.30.17.159', 3558740368, 3558740383, 'GB', 'United Kingdom'),
(149976, '212.30.17.160', '212.30.18.127', 3558740384, 3558740607, 'GG', 'Guernsey'),
(149977, '212.30.18.128', '212.30.18.207', 3558740608, 3558740687, 'GB', 'United Kingdom'),
(149978, '212.30.18.208', '212.30.21.7', 3558740688, 3558741255, 'GG', 'Guernsey'),
(149979, '212.30.21.8', '212.30.21.23', 3558741256, 3558741271, 'GB', 'United Kingdom'),
(149980, '212.30.21.24', '212.30.21.31', 3558741272, 3558741279, 'GG', 'Guernsey'),
(149981, '212.30.21.32', '212.30.21.39', 3558741280, 3558741287, 'GB', 'United Kingdom'),
(149982, '212.30.21.40', '212.30.21.47', 3558741288, 3558741295, 'GG', 'Guernsey'),
(149983, '212.30.21.48', '212.30.21.63', 3558741296, 3558741311, 'GB', 'United Kingdom'),
(149984, '212.30.21.64', '212.30.21.87', 3558741312, 3558741335, 'GG', 'Guernsey'),
(149985, '212.30.21.88', '212.30.21.111', 3558741336, 3558741359, 'GB', 'United Kingdom'),
(149986, '212.30.21.112', '212.30.21.119', 3558741360, 3558741367, 'GG', 'Guernsey'),
(149987, '212.30.21.120', '212.30.21.143', 3558741368, 3558741391, 'GB', 'United Kingdom'),
(149988, '212.30.21.144', '212.30.21.151', 3558741392, 3558741399, 'GG', 'Guernsey'),
(149989, '212.30.21.152', '212.30.21.175', 3558741400, 3558741423, 'GB', 'United Kingdom'),
(149990, '212.30.21.176', '212.30.21.183', 3558741424, 3558741431, 'GG', 'Guernsey'),
(149991, '212.30.21.184', '212.30.21.191', 3558741432, 3558741439, 'GB', 'United Kingdom'),
(149992, '212.30.21.192', '212.30.21.199', 3558741440, 3558741447, 'GG', 'Guernsey'),
(149993, '212.30.21.200', '212.30.21.223', 3558741448, 3558741471, 'GB', 'United Kingdom'),
(149994, '212.30.21.224', '212.30.21.239', 3558741472, 3558741487, 'GG', 'Guernsey'),
(149995, '212.30.21.240', '212.30.21.255', 3558741488, 3558741503, 'GB', 'United Kingdom'),
(149996, '212.30.22.0', '212.30.23.255', 3558741504, 3558742015, 'GG', 'Guernsey'),
(149997, '212.30.24.0', '212.30.24.23', 3558742016, 3558742039, 'GB', 'United Kingdom'),
(149998, '212.30.24.24', '212.30.24.31', 3558742040, 3558742047, 'GG', 'Guernsey'),
(149999, '212.30.24.32', '212.30.24.39', 3558742048, 3558742055, 'GB', 'United Kingdom'),
(150000, '212.30.24.40', '212.30.24.55', 3558742056, 3558742071, 'GG', 'Guernsey'),
(150001, '212.30.24.56', '212.30.24.63', 3558742072, 3558742079, 'GB', 'United Kingdom'),
(150002, '212.30.24.64', '212.30.24.71', 3558742080, 3558742087, 'GG', 'Guernsey'),
(150003, '212.30.24.72', '212.30.24.87', 3558742088, 3558742103, 'GB', 'United Kingdom'),
(150004, '212.30.24.88', '212.30.24.119', 3558742104, 3558742135, 'GG', 'Guernsey'),
(150005, '212.30.24.120', '212.30.24.143', 3558742136, 3558742159, 'GB', 'United Kingdom'),
(150006, '212.30.24.144', '212.30.24.175', 3558742160, 3558742191, 'GG', 'Guernsey'),
(150007, '212.30.24.176', '212.30.24.199', 3558742192, 3558742215, 'GB', 'United Kingdom'),
(150008, '212.30.24.200', '212.30.24.207', 3558742216, 3558742223, 'GG', 'Guernsey'),
(150009, '212.30.24.208', '212.30.24.223', 3558742224, 3558742239, 'GB', 'United Kingdom'),
(150010, '212.30.24.224', '212.30.24.231', 3558742240, 3558742247, 'GG', 'Guernsey'),
(150011, '212.30.24.232', '212.30.24.239', 3558742248, 3558742255, 'GB', 'United Kingdom'),
(150012, '212.30.24.240', '212.30.25.255', 3558742256, 3558742527, 'GG', 'Guernsey'),
(150013, '212.30.26.0', '212.30.26.15', 3558742528, 3558742543, 'GB', 'United Kingdom'),
(150014, '212.30.26.16', '212.30.26.23', 3558742544, 3558742551, 'GG', 'Guernsey'),
(150015, '212.30.26.24', '212.30.26.39', 3558742552, 3558742567, 'GB', 'United Kingdom'),
(150016, '212.30.26.40', '212.30.26.55', 3558742568, 3558742583, 'GG', 'Guernsey'),
(150017, '212.30.26.56', '212.30.26.95', 3558742584, 3558742623, 'GB', 'United Kingdom'),
(150018, '212.30.26.96', '212.30.26.103', 3558742624, 3558742631, 'GG', 'Guernsey'),
(150019, '212.30.26.104', '212.30.26.127', 3558742632, 3558742655, 'GB', 'United Kingdom'),
(150020, '212.30.26.128', '212.30.26.135', 3558742656, 3558742663, 'GG', 'Guernsey'),
(150021, '212.30.26.136', '212.30.26.151', 3558742664, 3558742679, 'GB', 'United Kingdom'),
(150022, '212.30.26.152', '212.30.26.167', 3558742680, 3558742695, 'GG', 'Guernsey'),
(150023, '212.30.26.168', '212.30.26.199', 3558742696, 3558742727, 'GB', 'United Kingdom'),
(150024, '212.30.26.200', '212.30.26.207', 3558742728, 3558742735, 'GG', 'Guernsey'),
(150025, '212.30.26.208', '212.30.26.215', 3558742736, 3558742743, 'GB', 'United Kingdom'),
(150026, '212.30.26.216', '212.30.26.223', 3558742744, 3558742751, 'GG', 'Guernsey'),
(150027, '212.30.26.224', '212.30.26.247', 3558742752, 3558742775, 'GB', 'United Kingdom'),
(150028, '212.30.26.248', '212.30.27.255', 3558742776, 3558743039, 'GG', 'Guernsey'),
(150029, '212.30.28.0', '212.30.28.7', 3558743040, 3558743047, 'GB', 'United Kingdom'),
(150030, '212.30.28.8', '212.30.28.11', 3558743048, 3558743051, 'GG', 'Guernsey'),
(150031, '212.30.28.12', '212.30.28.35', 3558743052, 3558743075, 'GB', 'United Kingdom'),
(150032, '212.30.28.36', '212.30.28.51', 3558743076, 3558743091, 'GG', 'Guernsey'),
(150033, '212.30.28.52', '212.30.28.67', 3558743092, 3558743107, 'GB', 'United Kingdom'),
(150034, '212.30.28.68', '212.30.28.71', 3558743108, 3558743111, 'GG', 'Guernsey'),
(150035, '212.30.28.72', '212.30.28.75', 3558743112, 3558743115, 'GB', 'United Kingdom'),
(150036, '212.30.28.76', '212.30.28.79', 3558743116, 3558743119, 'GG', 'Guernsey'),
(150037, '212.30.28.80', '212.30.28.91', 3558743120, 3558743131, 'GB', 'United Kingdom'),
(150038, '212.30.28.92', '212.30.28.95', 3558743132, 3558743135, 'GG', 'Guernsey'),
(150039, '212.30.28.96', '212.30.28.107', 3558743136, 3558743147, 'GB', 'United Kingdom'),
(150040, '212.30.28.108', '212.30.28.111', 3558743148, 3558743151, 'GG', 'Guernsey'),
(150041, '212.30.28.112', '212.30.28.127', 3558743152, 3558743167, 'GB', 'United Kingdom'),
(150042, '212.30.28.128', '212.30.28.131', 3558743168, 3558743171, 'GG', 'Guernsey'),
(150043, '212.30.28.132', '212.30.28.143', 3558743172, 3558743183, 'GB', 'United Kingdom'),
(150044, '212.30.28.144', '212.30.28.151', 3558743184, 3558743191, 'GG', 'Guernsey'),
(150045, '212.30.28.152', '212.30.28.163', 3558743192, 3558743203, 'GB', 'United Kingdom'),
(150046, '212.30.28.164', '212.30.28.167', 3558743204, 3558743207, 'GG', 'Guernsey'),
(150047, '212.30.28.168', '212.30.28.179', 3558743208, 3558743219, 'GB', 'United Kingdom'),
(150048, '212.30.28.180', '212.30.28.183', 3558743220, 3558743223, 'GG', 'Guernsey'),
(150049, '212.30.28.184', '212.30.28.195', 3558743224, 3558743235, 'GB', 'United Kingdom'),
(150050, '212.30.28.196', '212.30.28.199', 3558743236, 3558743239, 'GG', 'Guernsey'),
(150051, '212.30.28.200', '212.30.28.203', 3558743240, 3558743243, 'GB', 'United Kingdom'),
(150052, '212.30.28.204', '212.30.28.215', 3558743244, 3558743255, 'GG', 'Guernsey'),
(150053, '212.30.28.216', '212.30.28.223', 3558743256, 3558743263, 'GB', 'United Kingdom'),
(150054, '212.30.28.224', '212.30.28.255', 3558743264, 3558743295, 'GG', 'Guernsey'),
(150055, '212.30.29.0', '212.30.29.7', 3558743296, 3558743303, 'GB', 'United Kingdom'),
(150056, '212.30.29.8', '212.30.29.15', 3558743304, 3558743311, 'GG', 'Guernsey'),
(150057, '212.30.29.16', '212.30.29.23', 3558743312, 3558743319, 'GB', 'United Kingdom'),
(150058, '212.30.29.24', '212.30.29.31', 3558743320, 3558743327, 'GG', 'Guernsey'),
(150059, '212.30.29.32', '212.30.29.55', 3558743328, 3558743351, 'GB', 'United Kingdom'),
(150060, '212.30.29.56', '212.30.29.63', 3558743352, 3558743359, 'GG', 'Guernsey'),
(150061, '212.30.29.64', '212.30.29.87', 3558743360, 3558743383, 'GB', 'United Kingdom'),
(150062, '212.30.29.88', '212.30.29.95', 3558743384, 3558743391, 'GG', 'Guernsey'),
(150063, '212.30.29.96', '212.30.29.103', 3558743392, 3558743399, 'GB', 'United Kingdom'),
(150064, '212.30.29.104', '212.30.29.111', 3558743400, 3558743407, 'GG', 'Guernsey'),
(150065, '212.30.29.112', '212.30.29.143', 3558743408, 3558743439, 'GB', 'United Kingdom'),
(150066, '212.30.29.144', '212.30.29.151', 3558743440, 3558743447, 'GG', 'Guernsey'),
(150067, '212.30.29.152', '212.30.29.167', 3558743448, 3558743463, 'GB', 'United Kingdom'),
(150068, '212.30.29.168', '212.30.29.199', 3558743464, 3558743495, 'GG', 'Guernsey'),
(150069, '212.30.29.200', '212.30.29.211', 3558743496, 3558743507, 'GB', 'United Kingdom'),
(150070, '212.30.29.212', '212.30.29.215', 3558743508, 3558743511, 'GG', 'Guernsey'),
(150071, '212.30.29.216', '212.30.29.239', 3558743512, 3558743535, 'GB', 'United Kingdom'),
(150072, '212.30.29.240', '212.30.29.255', 3558743536, 3558743551, 'GG', 'Guernsey'),
(150073, '212.30.30.0', '212.30.31.31', 3558743552, 3558743839, 'GB', 'United Kingdom'),
(150074, '212.30.31.32', '212.30.31.255', 3558743840, 3558744063, 'GG', 'Guernsey'),
(150075, '212.30.32.0', '212.30.63.255', 3558744064, 3558752255, 'LB', 'Lebanon'),
(150076, '212.30.64.0', '212.30.95.255', 3558752256, 3558760447, 'SI', 'Slovenia'),
(150077, '212.30.96.0', '212.30.127.255', 3558760448, 3558768639, 'FR', 'France'),
(150078, '212.30.128.0', '212.30.191.255', 3558768640, 3558785023, 'RU', 'Russian Federation'),
(150079, '212.30.192.0', '212.30.255.255', 3558785024, 3558801407, 'IS', 'Iceland'),
(150080, '212.31.0.0', '212.31.31.255', 3558801408, 3558809599, 'TR', 'Turkey'),
(150081, '212.31.32.0', '212.31.63.255', 3558809600, 3558817791, 'ES', 'Spain'),
(150082, '212.31.64.0', '212.31.95.255', 3558817792, 3558825983, 'AT', 'Austria'),
(150083, '212.31.96.0', '212.31.103.31', 3558825984, 3558827807, 'CY', 'Cyprus'),
(150084, '212.31.103.32', '212.31.103.39', 3558827808, 3558827815, 'A2', 'Satellite Provider'),
(150085, '212.31.103.40', '212.31.104.255', 3558827816, 3558828287, 'CY', 'Cyprus'),
(150086, '212.31.105.0', '212.31.105.15', 3558828288, 3558828303, 'A2', 'Satellite Provider'),
(150087, '212.31.105.16', '212.31.120.255', 3558828304, 3558832383, 'CY', 'Cyprus'),
(150088, '212.31.121.0', '212.31.121.255', 3558832384, 3558832639, 'LB', 'Lebanon'),
(150089, '212.31.122.0', '212.31.127.255', 3558832640, 3558834175, 'CY', 'Cyprus'),
(150090, '212.31.128.0', '212.31.159.255', 3558834176, 3558842367, 'FR', 'France'),
(150091, '212.31.160.0', '212.31.191.255', 3558842368, 3558850559, 'SE', 'Sweden'),
(150092, '212.31.192.0', '212.31.192.255', 3558850560, 3558850815, 'ES', 'Spain'),
(150093, '212.31.193.0', '212.31.194.255', 3558850816, 3558851327, 'US', 'United States'),
(150094, '212.31.195.0', '212.31.195.143', 3558851328, 3558851471, 'ES', 'Spain'),
(150095, '212.31.195.144', '212.31.195.151', 3558851472, 3558851479, 'NO', 'Norway'),
(150096, '212.31.195.152', '212.31.201.255', 3558851480, 3558853119, 'ES', 'Spain'),
(150097, '212.31.202.0', '212.31.202.255', 3558853120, 3558853375, 'BE', 'Belgium'),
(150098, '212.31.203.0', '212.31.203.23', 3558853376, 3558853399, 'ES', 'Spain'),
(150099, '212.31.203.24', '212.31.203.31', 3558853400, 3558853407, 'DE', 'Germany'),
(150100, '212.31.203.32', '212.31.203.63', 3558853408, 3558853439, 'ES', 'Spain'),
(150101, '212.31.203.64', '212.31.203.79', 3558853440, 3558853455, 'DE', 'Germany'),
(150102, '212.31.203.80', '212.31.203.87', 3558853456, 3558853463, 'ES', 'Spain'),
(150103, '212.31.203.88', '212.31.203.91', 3558853464, 3558853467, 'DE', 'Germany'),
(150104, '212.31.203.92', '212.31.203.127', 3558853468, 3558853503, 'ES', 'Spain'),
(150105, '212.31.203.128', '212.31.203.135', 3558853504, 3558853511, 'DE', 'Germany'),
(150106, '212.31.203.136', '212.31.203.159', 3558853512, 3558853535, 'ES', 'Spain'),
(150107, '212.31.203.160', '212.31.203.171', 3558853536, 3558853547, 'DE', 'Germany'),
(150108, '212.31.203.172', '212.31.207.255', 3558853548, 3558854655, 'ES', 'Spain'),
(150109, '212.31.208.0', '212.31.208.255', 3558854656, 3558854911, 'US', 'United States'),
(150110, '212.31.209.0', '212.31.209.63', 3558854912, 3558854975, 'ES', 'Spain'),
(150111, '212.31.209.64', '212.31.209.127', 3558854976, 3558855039, 'US', 'United States'),
(150112, '212.31.209.128', '212.31.209.255', 3558855040, 3558855167, 'GB', 'United Kingdom'),
(150113, '212.31.210.0', '212.31.210.15', 3558855168, 3558855183, 'US', 'United States'),
(150114, '212.31.210.16', '212.31.210.255', 3558855184, 3558855423, 'ES', 'Spain'),
(150115, '212.31.211.0', '212.31.211.7', 3558855424, 3558855431, 'NL', 'Netherlands'),
(150116, '212.31.211.8', '212.31.212.255', 3558855432, 3558855935, 'ES', 'Spain'),
(150117, '212.31.213.0', '212.31.213.255', 3558855936, 3558856191, 'US', 'United States'),
(150118, '212.31.214.0', '212.31.215.127', 3558856192, 3558856575, 'GB', 'United Kingdom'),
(150119, '212.31.215.128', '212.31.215.191', 3558856576, 3558856639, 'ES', 'Spain'),
(150120, '212.31.215.192', '212.31.215.255', 3558856640, 3558856703, 'NL', 'Netherlands'),
(150121, '212.31.216.0', '212.31.223.255', 3558856704, 3558858751, 'US', 'United States'),
(150122, '212.31.224.0', '212.31.247.55', 3558858752, 3558864695, 'IT', 'Italy'),
(150123, '212.31.247.56', '212.31.247.63', 3558864696, 3558864703, 'GB', 'United Kingdom'),
(150124, '212.31.247.64', '212.31.255.255', 3558864704, 3558866943, 'IT', 'Italy'),
(150125, '212.32.0.0', '212.32.127.255', 3558866944, 3558899711, 'GB', 'United Kingdom'),
(150126, '212.32.128.0', '212.32.191.255', 3558899712, 3558916095, 'SE', 'Sweden'),
(150127, '212.32.192.0', '212.32.223.255', 3558916096, 3558924287, 'RU', 'Russian Federation'),
(150128, '212.32.224.0', '212.32.255.255', 3558924288, 3558932479, 'NL', 'Netherlands'),
(150129, '212.33.0.0', '212.33.31.255', 3558932480, 3558940671, 'RU', 'Russian Federation'),
(150130, '212.33.32.0', '212.33.63.255', 3558940672, 3558948863, 'AT', 'Austria'),
(150131, '212.33.64.0', '212.33.95.255', 3558948864, 3558957055, 'PL', 'Poland'),
(150132, '212.33.96.0', '212.33.127.255', 3558957056, 3558965247, 'PS', 'Palestinian Territory, Occupied'),
(150133, '212.33.128.0', '212.33.159.255', 3558965248, 3558973439, 'NO', 'Norway'),
(150134, '212.33.160.0', '212.33.191.255', 3558973440, 3558981631, 'SA', 'Saudi Arabia'),
(150135, '212.33.192.0', '212.33.223.255', 3558981632, 3558989823, 'IR', 'Iran, Islamic Republic of'),
(150136, '212.33.224.0', '212.33.255.255', 3558989824, 3558998015, 'RU', 'Russian Federation'),
(150137, '212.34.0.0', '212.34.31.255', 3558998016, 3559006207, 'JO', 'Jordan'),
(150138, '212.34.32.0', '212.34.63.255', 3559006208, 3559014399, 'RU', 'Russian Federation'),
(150139, '212.34.64.0', '212.34.70.255', 3559014400, 3559016191, 'DE', 'Germany'),
(150140, '212.34.71.0', '212.34.71.15', 3559016192, 3559016207, 'GB', 'United Kingdom'),
(150141, '212.34.71.16', '212.34.71.23', 3559016208, 3559016215, 'JP', 'Japan'),
(150142, '212.34.71.24', '212.34.95.255', 3559016216, 3559022591, 'DE', 'Germany'),
(150143, '212.34.96.0', '212.34.127.255', 3559022592, 3559030783, 'RU', 'Russian Federation'),
(150144, '212.34.128.0', '212.34.159.0', 3559030784, 3559038720, 'ES', 'Spain'),
(150145, '212.34.159.1', '212.34.159.255', 3559038721, 3559038975, 'US', 'United States'),
(150146, '212.34.160.0', '212.34.191.255', 3559038976, 3559047167, 'DE', 'Germany'),
(150147, '212.34.192.0', '212.34.223.255', 3559047168, 3559055359, 'IT', 'Italy'),
(150148, '212.34.224.0', '212.34.255.255', 3559055360, 3559063551, 'AM', 'Armenia'),
(150149, '212.35.0.0', '212.35.63.255', 3559063552, 3559079935, 'CH', 'Switzerland'),
(150150, '212.35.64.0', '212.35.95.255', 3559079936, 3559088127, 'JO', 'Jordan'),
(150151, '212.35.96.0', '212.35.96.135', 3559088128, 3559088263, 'BE', 'Belgium'),
(150152, '212.35.96.136', '212.35.96.139', 3559088264, 3559088267, 'GB', 'United Kingdom'),
(150153, '212.35.96.140', '212.35.96.179', 3559088268, 3559088307, 'BE', 'Belgium'),
(150154, '212.35.96.180', '212.35.96.183', 3559088308, 3559088311, 'GB', 'United Kingdom'),
(150155, '212.35.96.184', '212.35.96.215', 3559088312, 3559088343, 'BE', 'Belgium'),
(150156, '212.35.96.216', '212.35.96.219', 3559088344, 3559088347, 'GB', 'United Kingdom'),
(150157, '212.35.96.220', '212.35.96.239', 3559088348, 3559088367, 'BE', 'Belgium'),
(150158, '212.35.96.240', '212.35.96.243', 3559088368, 3559088371, 'GB', 'United Kingdom'),
(150159, '212.35.96.244', '212.35.96.247', 3559088372, 3559088375, 'BE', 'Belgium'),
(150160, '212.35.96.248', '212.35.96.251', 3559088376, 3559088379, 'GB', 'United Kingdom'),
(150161, '212.35.96.252', '212.35.97.247', 3559088380, 3559088631, 'BE', 'Belgium'),
(150162, '212.35.97.248', '212.35.97.255', 3559088632, 3559088639, 'DE', 'Germany'),
(150163, '212.35.98.0', '212.35.99.127', 3559088640, 3559089023, 'BE', 'Belgium'),
(150164, '212.35.99.128', '212.35.99.131', 3559089024, 3559089027, 'GB', 'United Kingdom'),
(150165, '212.35.99.132', '212.35.99.183', 3559089028, 3559089079, 'BE', 'Belgium'),
(150166, '212.35.99.184', '212.35.99.191', 3559089080, 3559089087, 'GB', 'United Kingdom'),
(150167, '212.35.99.192', '212.35.100.199', 3559089088, 3559089351, 'BE', 'Belgium'),
(150168, '212.35.100.200', '212.35.100.207', 3559089352, 3559089359, 'GB', 'United Kingdom'),
(150169, '212.35.100.208', '212.35.100.255', 3559089360, 3559089407, 'BE', 'Belgium'),
(150170, '212.35.101.0', '212.35.101.3', 3559089408, 3559089411, 'GB', 'United Kingdom'),
(150171, '212.35.101.4', '212.35.101.31', 3559089412, 3559089439, 'BE', 'Belgium'),
(150172, '212.35.101.32', '212.35.101.35', 3559089440, 3559089443, 'GB', 'United Kingdom'),
(150173, '212.35.101.36', '212.35.101.39', 3559089444, 3559089447, 'BE', 'Belgium'),
(150174, '212.35.101.40', '212.35.101.43', 3559089448, 3559089451, 'GB', 'United Kingdom'),
(150175, '212.35.101.44', '212.35.101.55', 3559089452, 3559089463, 'BE', 'Belgium'),
(150176, '212.35.101.56', '212.35.101.59', 3559089464, 3559089467, 'GB', 'United Kingdom'),
(150177, '212.35.101.60', '212.35.101.127', 3559089468, 3559089535, 'BE', 'Belgium'),
(150178, '212.35.101.128', '212.35.101.135', 3559089536, 3559089543, 'GB', 'United Kingdom'),
(150179, '212.35.101.136', '212.35.101.139', 3559089544, 3559089547, 'BE', 'Belgium'),
(150180, '212.35.101.140', '212.35.101.143', 3559089548, 3559089551, 'GB', 'United Kingdom'),
(150181, '212.35.101.144', '212.35.101.199', 3559089552, 3559089607, 'BE', 'Belgium'),
(150182, '212.35.101.200', '212.35.101.203', 3559089608, 3559089611, 'GB', 'United Kingdom'),
(150183, '212.35.101.204', '212.35.101.215', 3559089612, 3559089623, 'BE', 'Belgium'),
(150184, '212.35.101.216', '212.35.101.219', 3559089624, 3559089627, 'GB', 'United Kingdom'),
(150185, '212.35.101.220', '212.35.101.231', 3559089628, 3559089639, 'BE', 'Belgium'),
(150186, '212.35.101.232', '212.35.101.235', 3559089640, 3559089643, 'GB', 'United Kingdom'),
(150187, '212.35.101.236', '212.35.101.247', 3559089644, 3559089655, 'BE', 'Belgium'),
(150188, '212.35.101.248', '212.35.101.251', 3559089656, 3559089659, 'GB', 'United Kingdom'),
(150189, '212.35.101.252', '212.35.103.151', 3559089660, 3559090071, 'BE', 'Belgium'),
(150190, '212.35.103.152', '212.35.103.159', 3559090072, 3559090079, 'NL', 'Netherlands'),
(150191, '212.35.103.160', '212.35.105.7', 3559090080, 3559090439, 'BE', 'Belgium'),
(150192, '212.35.105.8', '212.35.105.11', 3559090440, 3559090443, 'GB', 'United Kingdom'),
(150193, '212.35.105.12', '212.35.105.31', 3559090444, 3559090463, 'BE', 'Belgium'),
(150194, '212.35.105.32', '212.35.105.35', 3559090464, 3559090467, 'GB', 'United Kingdom'),
(150195, '212.35.105.36', '212.35.105.51', 3559090468, 3559090483, 'BE', 'Belgium'),
(150196, '212.35.105.52', '212.35.105.55', 3559090484, 3559090487, 'GB', 'United Kingdom'),
(150197, '212.35.105.56', '212.35.105.155', 3559090488, 3559090587, 'BE', 'Belgium'),
(150198, '212.35.105.156', '212.35.105.159', 3559090588, 3559090591, 'GB', 'United Kingdom'),
(150199, '212.35.105.160', '212.35.106.87', 3559090592, 3559090775, 'BE', 'Belgium'),
(150200, '212.35.106.88', '212.35.106.91', 3559090776, 3559090779, 'GB', 'United Kingdom'),
(150201, '212.35.106.92', '212.35.106.115', 3559090780, 3559090803, 'BE', 'Belgium'),
(150202, '212.35.106.116', '212.35.106.119', 3559090804, 3559090807, 'GB', 'United Kingdom'),
(150203, '212.35.106.120', '212.35.106.175', 3559090808, 3559090863, 'BE', 'Belgium'),
(150204, '212.35.106.176', '212.35.106.191', 3559090864, 3559090879, 'GB', 'United Kingdom'),
(150205, '212.35.106.192', '212.35.106.199', 3559090880, 3559090887, 'BE', 'Belgium'),
(150206, '212.35.106.200', '212.35.106.211', 3559090888, 3559090899, 'GB', 'United Kingdom'),
(150207, '212.35.106.212', '212.35.106.215', 3559090900, 3559090903, 'BE', 'Belgium'),
(150208, '212.35.106.216', '212.35.106.219', 3559090904, 3559090907, 'GB', 'United Kingdom'),
(150209, '212.35.106.220', '212.35.106.235', 3559090908, 3559090923, 'BE', 'Belgium'),
(150210, '212.35.106.236', '212.35.106.239', 3559090924, 3559090927, 'GB', 'United Kingdom'),
(150211, '212.35.106.240', '212.35.107.67', 3559090928, 3559091011, 'BE', 'Belgium'),
(150212, '212.35.107.68', '212.35.107.71', 3559091012, 3559091015, 'GB', 'United Kingdom'),
(150213, '212.35.107.72', '212.35.107.143', 3559091016, 3559091087, 'BE', 'Belgium'),
(150214, '212.35.107.144', '212.35.107.147', 3559091088, 3559091091, 'GB', 'United Kingdom'),
(150215, '212.35.107.148', '212.35.107.231', 3559091092, 3559091175, 'BE', 'Belgium'),
(150216, '212.35.107.232', '212.35.107.239', 3559091176, 3559091183, 'GB', 'United Kingdom'),
(150217, '212.35.107.240', '212.35.108.3', 3559091184, 3559091203, 'BE', 'Belgium'),
(150218, '212.35.108.4', '212.35.108.7', 3559091204, 3559091207, 'GB', 'United Kingdom'),
(150219, '212.35.108.8', '212.35.108.11', 3559091208, 3559091211, 'BE', 'Belgium'),
(150220, '212.35.108.12', '212.35.108.15', 3559091212, 3559091215, 'GB', 'United Kingdom'),
(150221, '212.35.108.16', '212.35.108.23', 3559091216, 3559091223, 'BE', 'Belgium'),
(150222, '212.35.108.24', '212.35.108.31', 3559091224, 3559091231, 'GB', 'United Kingdom'),
(150223, '212.35.108.32', '212.35.108.223', 3559091232, 3559091423, 'BE', 'Belgium'),
(150224, '212.35.108.224', '212.35.108.227', 3559091424, 3559091427, 'GB', 'United Kingdom'),
(150225, '212.35.108.228', '212.35.108.239', 3559091428, 3559091439, 'BE', 'Belgium'),
(150226, '212.35.108.240', '212.35.108.247', 3559091440, 3559091447, 'ES', 'Spain'),
(150227, '212.35.108.248', '212.35.108.255', 3559091448, 3559091455, 'BE', 'Belgium'),
(150228, '212.35.109.0', '212.35.109.31', 3559091456, 3559091487, 'DE', 'Germany'),
(150229, '212.35.109.32', '212.35.109.39', 3559091488, 3559091495, 'BE', 'Belgium'),
(150230, '212.35.109.40', '212.35.109.47', 3559091496, 3559091503, 'GB', 'United Kingdom'),
(150231, '212.35.109.48', '212.35.109.51', 3559091504, 3559091507, 'BE', 'Belgium'),
(150232, '212.35.109.52', '212.35.109.55', 3559091508, 3559091511, 'GB', 'United Kingdom'),
(150233, '212.35.109.56', '212.35.109.71', 3559091512, 3559091527, 'BE', 'Belgium'),
(150234, '212.35.109.72', '212.35.109.87', 3559091528, 3559091543, 'GB', 'United Kingdom'),
(150235, '212.35.109.88', '212.35.109.115', 3559091544, 3559091571, 'BE', 'Belgium'),
(150236, '212.35.109.116', '212.35.109.119', 3559091572, 3559091575, 'GB', 'United Kingdom'),
(150237, '212.35.109.120', '212.35.109.135', 3559091576, 3559091591, 'BE', 'Belgium'),
(150238, '212.35.109.136', '212.35.109.159', 3559091592, 3559091615, 'GB', 'United Kingdom'),
(150239, '212.35.109.160', '212.35.109.175', 3559091616, 3559091631, 'BE', 'Belgium'),
(150240, '212.35.109.176', '212.35.109.183', 3559091632, 3559091639, 'LU', 'Luxembourg'),
(150241, '212.35.109.184', '212.35.110.103', 3559091640, 3559091815, 'BE', 'Belgium'),
(150242, '212.35.110.104', '212.35.110.111', 3559091816, 3559091823, 'GB', 'United Kingdom'),
(150243, '212.35.110.112', '212.35.110.223', 3559091824, 3559091935, 'BE', 'Belgium'),
(150244, '212.35.110.224', '212.35.110.239', 3559091936, 3559091951, 'GB', 'United Kingdom'),
(150245, '212.35.110.240', '212.35.111.191', 3559091952, 3559092159, 'BE', 'Belgium'),
(150246, '212.35.111.192', '212.35.111.192', 3559092160, 3559092160, 'GB', 'United Kingdom'),
(150247, '212.35.111.193', '212.35.111.254', 3559092161, 3559092222, 'BE', 'Belgium'),
(150248, '212.35.111.255', '212.35.111.255', 3559092223, 3559092223, 'GB', 'United Kingdom'),
(150249, '212.35.112.0', '212.35.112.15', 3559092224, 3559092239, 'BE', 'Belgium'),
(150250, '212.35.112.16', '212.35.112.23', 3559092240, 3559092247, 'GB', 'United Kingdom'),
(150251, '212.35.112.24', '212.35.112.135', 3559092248, 3559092359, 'BE', 'Belgium'),
(150252, '212.35.112.136', '212.35.112.143', 3559092360, 3559092367, 'GB', 'United Kingdom'),
(150253, '212.35.112.144', '212.35.112.183', 3559092368, 3559092407, 'BE', 'Belgium'),
(150254, '212.35.112.184', '212.35.112.191', 3559092408, 3559092415, 'GB', 'United Kingdom'),
(150255, '212.35.112.192', '212.35.113.255', 3559092416, 3559092735, 'BE', 'Belgium'),
(150256, '212.35.114.0', '212.35.114.3', 3559092736, 3559092739, 'GB', 'United Kingdom'),
(150257, '212.35.114.4', '212.35.114.63', 3559092740, 3559092799, 'BE', 'Belgium'),
(150258, '212.35.114.64', '212.35.114.67', 3559092800, 3559092803, 'GB', 'United Kingdom'),
(150259, '212.35.114.68', '212.35.114.111', 3559092804, 3559092847, 'BE', 'Belgium'),
(150260, '212.35.114.112', '212.35.114.127', 3559092848, 3559092863, 'GB', 'United Kingdom'),
(150261, '212.35.114.128', '212.35.114.135', 3559092864, 3559092871, 'BE', 'Belgium'),
(150262, '212.35.114.136', '212.35.114.159', 3559092872, 3559092895, 'GB', 'United Kingdom'),
(150263, '212.35.114.160', '212.35.114.203', 3559092896, 3559092939, 'BE', 'Belgium'),
(150264, '212.35.114.204', '212.35.114.207', 3559092940, 3559092943, 'GB', 'United Kingdom'),
(150265, '212.35.114.208', '212.35.114.223', 3559092944, 3559092959, 'BE', 'Belgium'),
(150266, '212.35.114.224', '212.35.114.239', 3559092960, 3559092975, 'GB', 'United Kingdom'),
(150267, '212.35.114.240', '212.35.115.3', 3559092976, 3559092995, 'BE', 'Belgium'),
(150268, '212.35.115.4', '212.35.115.7', 3559092996, 3559092999, 'GB', 'United Kingdom'),
(150269, '212.35.115.8', '212.35.115.15', 3559093000, 3559093007, 'BE', 'Belgium'),
(150270, '212.35.115.16', '212.35.115.23', 3559093008, 3559093015, 'GB', 'United Kingdom'),
(150271, '212.35.115.24', '212.35.115.31', 3559093016, 3559093023, 'FR', 'France'),
(150272, '212.35.115.32', '212.35.115.39', 3559093024, 3559093031, 'BE', 'Belgium'),
(150273, '212.35.115.40', '212.35.115.47', 3559093032, 3559093039, 'GB', 'United Kingdom'),
(150274, '212.35.115.48', '212.35.115.55', 3559093040, 3559093047, 'BE', 'Belgium'),
(150275, '212.35.115.56', '212.35.115.63', 3559093048, 3559093055, 'GB', 'United Kingdom'),
(150276, '212.35.115.64', '212.35.115.71', 3559093056, 3559093063, 'BE', 'Belgium'),
(150277, '212.35.115.72', '212.35.115.79', 3559093064, 3559093071, 'FR', 'France'),
(150278, '212.35.115.80', '212.35.115.83', 3559093072, 3559093075, 'BE', 'Belgium'),
(150279, '212.35.115.84', '212.35.115.87', 3559093076, 3559093079, 'GB', 'United Kingdom'),
(150280, '212.35.115.88', '212.35.115.91', 3559093080, 3559093083, 'BE', 'Belgium'),
(150281, '212.35.115.92', '212.35.115.95', 3559093084, 3559093087, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(150282, '212.35.115.96', '212.35.115.111', 3559093088, 3559093103, 'BE', 'Belgium'),
(150283, '212.35.115.112', '212.35.115.127', 3559093104, 3559093119, 'FR', 'France'),
(150284, '212.35.115.128', '212.35.115.143', 3559093120, 3559093135, 'BE', 'Belgium'),
(150285, '212.35.115.144', '212.35.115.167', 3559093136, 3559093159, 'FR', 'France'),
(150286, '212.35.115.168', '212.35.115.171', 3559093160, 3559093163, 'GB', 'United Kingdom'),
(150287, '212.35.115.172', '212.35.115.175', 3559093164, 3559093167, 'BE', 'Belgium'),
(150288, '212.35.115.176', '212.35.115.179', 3559093168, 3559093171, 'GB', 'United Kingdom'),
(150289, '212.35.115.180', '212.35.115.203', 3559093172, 3559093195, 'BE', 'Belgium'),
(150290, '212.35.115.204', '212.35.115.211', 3559093196, 3559093203, 'GB', 'United Kingdom'),
(150291, '212.35.115.212', '212.35.115.223', 3559093204, 3559093215, 'BE', 'Belgium'),
(150292, '212.35.115.224', '212.35.115.227', 3559093216, 3559093219, 'GB', 'United Kingdom'),
(150293, '212.35.115.228', '212.35.115.247', 3559093220, 3559093239, 'BE', 'Belgium'),
(150294, '212.35.115.248', '212.35.115.251', 3559093240, 3559093243, 'GB', 'United Kingdom'),
(150295, '212.35.115.252', '212.35.117.15', 3559093244, 3559093519, 'BE', 'Belgium'),
(150296, '212.35.117.16', '212.35.117.31', 3559093520, 3559093535, 'GB', 'United Kingdom'),
(150297, '212.35.117.32', '212.35.117.159', 3559093536, 3559093663, 'BE', 'Belgium'),
(150298, '212.35.117.160', '212.35.117.167', 3559093664, 3559093671, 'GB', 'United Kingdom'),
(150299, '212.35.117.168', '212.35.117.183', 3559093672, 3559093687, 'BE', 'Belgium'),
(150300, '212.35.117.184', '212.35.117.195', 3559093688, 3559093699, 'GB', 'United Kingdom'),
(150301, '212.35.117.196', '212.35.117.199', 3559093700, 3559093703, 'BE', 'Belgium'),
(150302, '212.35.117.200', '212.35.117.207', 3559093704, 3559093711, 'GB', 'United Kingdom'),
(150303, '212.35.117.208', '212.35.117.239', 3559093712, 3559093743, 'BE', 'Belgium'),
(150304, '212.35.117.240', '212.35.117.255', 3559093744, 3559093759, 'GB', 'United Kingdom'),
(150305, '212.35.118.0', '212.35.118.215', 3559093760, 3559093975, 'BE', 'Belgium'),
(150306, '212.35.118.216', '212.35.118.223', 3559093976, 3559093983, 'GB', 'United Kingdom'),
(150307, '212.35.118.224', '212.35.119.3', 3559093984, 3559094019, 'BE', 'Belgium'),
(150308, '212.35.119.4', '212.35.119.7', 3559094020, 3559094023, 'GB', 'United Kingdom'),
(150309, '212.35.119.8', '212.35.119.15', 3559094024, 3559094031, 'BE', 'Belgium'),
(150310, '212.35.119.16', '212.35.119.23', 3559094032, 3559094039, 'FR', 'France'),
(150311, '212.35.119.24', '212.35.119.31', 3559094040, 3559094047, 'BE', 'Belgium'),
(150312, '212.35.119.32', '212.35.119.39', 3559094048, 3559094055, 'FR', 'France'),
(150313, '212.35.119.40', '212.35.119.67', 3559094056, 3559094083, 'BE', 'Belgium'),
(150314, '212.35.119.68', '212.35.119.71', 3559094084, 3559094087, 'GB', 'United Kingdom'),
(150315, '212.35.119.72', '212.35.119.79', 3559094088, 3559094095, 'FR', 'France'),
(150316, '212.35.119.80', '212.35.119.83', 3559094096, 3559094099, 'GB', 'United Kingdom'),
(150317, '212.35.119.84', '212.35.119.87', 3559094100, 3559094103, 'BE', 'Belgium'),
(150318, '212.35.119.88', '212.35.119.95', 3559094104, 3559094111, 'GB', 'United Kingdom'),
(150319, '212.35.119.96', '212.35.119.127', 3559094112, 3559094143, 'BE', 'Belgium'),
(150320, '212.35.119.128', '212.35.119.131', 3559094144, 3559094147, 'GB', 'United Kingdom'),
(150321, '212.35.119.132', '212.35.119.135', 3559094148, 3559094151, 'BE', 'Belgium'),
(150322, '212.35.119.136', '212.35.119.143', 3559094152, 3559094159, 'GB', 'United Kingdom'),
(150323, '212.35.119.144', '212.35.119.159', 3559094160, 3559094175, 'BE', 'Belgium'),
(150324, '212.35.119.160', '212.35.119.163', 3559094176, 3559094179, 'GB', 'United Kingdom'),
(150325, '212.35.119.164', '212.35.119.167', 3559094180, 3559094183, 'BE', 'Belgium'),
(150326, '212.35.119.168', '212.35.119.175', 3559094184, 3559094191, 'GB', 'United Kingdom'),
(150327, '212.35.119.176', '212.35.119.195', 3559094192, 3559094211, 'BE', 'Belgium'),
(150328, '212.35.119.196', '212.35.119.199', 3559094212, 3559094215, 'GB', 'United Kingdom'),
(150329, '212.35.119.200', '212.35.119.203', 3559094216, 3559094219, 'BE', 'Belgium'),
(150330, '212.35.119.204', '212.35.119.207', 3559094220, 3559094223, 'GB', 'United Kingdom'),
(150331, '212.35.119.208', '212.35.119.215', 3559094224, 3559094231, 'BE', 'Belgium'),
(150332, '212.35.119.216', '212.35.119.219', 3559094232, 3559094235, 'GB', 'United Kingdom'),
(150333, '212.35.119.220', '212.35.119.223', 3559094236, 3559094239, 'BE', 'Belgium'),
(150334, '212.35.119.224', '212.35.119.227', 3559094240, 3559094243, 'GB', 'United Kingdom'),
(150335, '212.35.119.228', '212.35.119.231', 3559094244, 3559094247, 'BE', 'Belgium'),
(150336, '212.35.119.232', '212.35.119.235', 3559094248, 3559094251, 'GB', 'United Kingdom'),
(150337, '212.35.119.236', '212.35.120.47', 3559094252, 3559094319, 'BE', 'Belgium'),
(150338, '212.35.120.48', '212.35.120.63', 3559094320, 3559094335, 'GB', 'United Kingdom'),
(150339, '212.35.120.64', '212.35.120.151', 3559094336, 3559094423, 'BE', 'Belgium'),
(150340, '212.35.120.152', '212.35.120.175', 3559094424, 3559094447, 'GB', 'United Kingdom'),
(150341, '212.35.120.176', '212.35.120.183', 3559094448, 3559094455, 'ES', 'Spain'),
(150342, '212.35.120.184', '212.35.120.255', 3559094456, 3559094527, 'BE', 'Belgium'),
(150343, '212.35.121.0', '212.35.122.255', 3559094528, 3559095039, 'GB', 'United Kingdom'),
(150344, '212.35.123.0', '212.35.123.15', 3559095040, 3559095055, 'BE', 'Belgium'),
(150345, '212.35.123.16', '212.35.123.23', 3559095056, 3559095063, 'GB', 'United Kingdom'),
(150346, '212.35.123.24', '212.35.123.127', 3559095064, 3559095167, 'BE', 'Belgium'),
(150347, '212.35.123.128', '212.35.123.191', 3559095168, 3559095231, 'GB', 'United Kingdom'),
(150348, '212.35.123.192', '212.35.123.223', 3559095232, 3559095263, 'BE', 'Belgium'),
(150349, '212.35.123.224', '212.35.124.7', 3559095264, 3559095303, 'GB', 'United Kingdom'),
(150350, '212.35.124.8', '212.35.124.63', 3559095304, 3559095359, 'BE', 'Belgium'),
(150351, '212.35.124.64', '212.35.124.127', 3559095360, 3559095423, 'GB', 'United Kingdom'),
(150352, '212.35.124.128', '212.35.124.143', 3559095424, 3559095439, 'BE', 'Belgium'),
(150353, '212.35.124.144', '212.35.124.159', 3559095440, 3559095455, 'GB', 'United Kingdom'),
(150354, '212.35.124.160', '212.35.124.191', 3559095456, 3559095487, 'BE', 'Belgium'),
(150355, '212.35.124.192', '212.35.124.255', 3559095488, 3559095551, 'GB', 'United Kingdom'),
(150356, '212.35.125.0', '212.35.125.39', 3559095552, 3559095591, 'BE', 'Belgium'),
(150357, '212.35.125.40', '212.35.125.71', 3559095592, 3559095623, 'GB', 'United Kingdom'),
(150358, '212.35.125.72', '212.35.125.79', 3559095624, 3559095631, 'BE', 'Belgium'),
(150359, '212.35.125.80', '212.35.125.95', 3559095632, 3559095647, 'GB', 'United Kingdom'),
(150360, '212.35.125.96', '212.35.126.63', 3559095648, 3559095871, 'BE', 'Belgium'),
(150361, '212.35.126.64', '212.35.126.79', 3559095872, 3559095887, 'GB', 'United Kingdom'),
(150362, '212.35.126.80', '212.35.126.111', 3559095888, 3559095919, 'BE', 'Belgium'),
(150363, '212.35.126.112', '212.35.126.119', 3559095920, 3559095927, 'GB', 'United Kingdom'),
(150364, '212.35.126.120', '212.35.126.127', 3559095928, 3559095935, 'BE', 'Belgium'),
(150365, '212.35.126.128', '212.35.126.191', 3559095936, 3559095999, 'GB', 'United Kingdom'),
(150366, '212.35.126.192', '212.35.126.239', 3559096000, 3559096047, 'BE', 'Belgium'),
(150367, '212.35.126.240', '212.35.126.255', 3559096048, 3559096063, 'GB', 'United Kingdom'),
(150368, '212.35.127.0', '212.35.127.59', 3559096064, 3559096123, 'BE', 'Belgium'),
(150369, '212.35.127.60', '212.35.127.63', 3559096124, 3559096127, 'GB', 'United Kingdom'),
(150370, '212.35.127.64', '212.35.127.135', 3559096128, 3559096199, 'BE', 'Belgium'),
(150371, '212.35.127.136', '212.35.127.143', 3559096200, 3559096207, 'DE', 'Germany'),
(150372, '212.35.127.144', '212.35.127.151', 3559096208, 3559096215, 'BE', 'Belgium'),
(150373, '212.35.127.152', '212.35.127.159', 3559096216, 3559096223, 'NL', 'Netherlands'),
(150374, '212.35.127.160', '212.35.127.183', 3559096224, 3559096247, 'BE', 'Belgium'),
(150375, '212.35.127.184', '212.35.127.191', 3559096248, 3559096255, 'GB', 'United Kingdom'),
(150376, '212.35.127.192', '212.35.127.255', 3559096256, 3559096319, 'BE', 'Belgium'),
(150377, '212.35.128.0', '212.35.154.255', 3559096320, 3559103231, 'RO', 'Romania'),
(150378, '212.35.155.0', '212.35.155.255', 3559103232, 3559103487, 'GB', 'United Kingdom'),
(150379, '212.35.156.0', '212.35.159.255', 3559103488, 3559104511, 'RO', 'Romania'),
(150380, '212.35.160.0', '212.35.191.255', 3559104512, 3559112703, 'RU', 'Russian Federation'),
(150381, '212.35.192.0', '212.35.223.255', 3559112704, 3559120895, 'IT', 'Italy'),
(150382, '212.35.224.0', '212.35.255.255', 3559120896, 3559129087, 'GB', 'United Kingdom'),
(150383, '212.36.0.0', '212.36.31.255', 3559129088, 3559137279, 'BG', 'Bulgaria'),
(150384, '212.36.32.0', '212.36.63.255', 3559137280, 3559145471, 'GB', 'United Kingdom'),
(150385, '212.36.64.0', '212.36.95.255', 3559145472, 3559153663, 'ES', 'Spain'),
(150386, '212.36.96.0', '212.36.127.255', 3559153664, 3559161855, 'GB', 'United Kingdom'),
(150387, '212.36.128.0', '212.36.128.31', 3559161856, 3559161887, 'FR', 'France'),
(150388, '212.36.128.32', '212.36.128.191', 3559161888, 3559162047, 'GB', 'United Kingdom'),
(150389, '212.36.128.192', '212.36.128.223', 3559162048, 3559162079, 'BE', 'Belgium'),
(150390, '212.36.128.224', '212.36.135.255', 3559162080, 3559163903, 'GB', 'United Kingdom'),
(150391, '212.36.136.0', '212.36.136.31', 3559163904, 3559163935, 'FR', 'France'),
(150392, '212.36.136.32', '212.36.136.95', 3559163936, 3559163999, 'GB', 'United Kingdom'),
(150393, '212.36.136.96', '212.36.136.127', 3559164000, 3559164031, 'NL', 'Netherlands'),
(150394, '212.36.136.128', '212.36.136.247', 3559164032, 3559164151, 'GB', 'United Kingdom'),
(150395, '212.36.136.248', '212.36.136.255', 3559164152, 3559164159, 'IT', 'Italy'),
(150396, '212.36.137.0', '212.36.145.127', 3559164160, 3559166335, 'GB', 'United Kingdom'),
(150397, '212.36.145.128', '212.36.145.143', 3559166336, 3559166351, 'CH', 'Switzerland'),
(150398, '212.36.145.144', '212.36.155.255', 3559166352, 3559169023, 'GB', 'United Kingdom'),
(150399, '212.36.156.0', '212.36.156.31', 3559169024, 3559169055, 'CH', 'Switzerland'),
(150400, '212.36.156.32', '212.36.178.47', 3559169056, 3559174703, 'GB', 'United Kingdom'),
(150401, '212.36.178.48', '212.36.178.55', 3559174704, 3559174711, 'IT', 'Italy'),
(150402, '212.36.178.56', '212.36.178.87', 3559174712, 3559174743, 'GB', 'United Kingdom'),
(150403, '212.36.178.88', '212.36.178.95', 3559174744, 3559174751, 'DE', 'Germany'),
(150404, '212.36.178.96', '212.36.178.111', 3559174752, 3559174767, 'GB', 'United Kingdom'),
(150405, '212.36.178.112', '212.36.178.119', 3559174768, 3559174775, 'DE', 'Germany'),
(150406, '212.36.178.120', '212.36.178.127', 3559174776, 3559174783, 'GB', 'United Kingdom'),
(150407, '212.36.178.128', '212.36.178.135', 3559174784, 3559174791, 'DK', 'Denmark'),
(150408, '212.36.178.136', '212.36.178.143', 3559174792, 3559174799, 'GB', 'United Kingdom'),
(150409, '212.36.178.144', '212.36.178.151', 3559174800, 3559174807, 'NO', 'Norway'),
(150410, '212.36.178.152', '212.36.179.31', 3559174808, 3559174943, 'GB', 'United Kingdom'),
(150411, '212.36.179.32', '212.36.179.39', 3559174944, 3559174951, 'IT', 'Italy'),
(150412, '212.36.179.40', '212.36.179.63', 3559174952, 3559174975, 'GB', 'United Kingdom'),
(150413, '212.36.179.64', '212.36.179.71', 3559174976, 3559174983, 'DE', 'Germany'),
(150414, '212.36.179.72', '212.36.179.167', 3559174984, 3559175079, 'GB', 'United Kingdom'),
(150415, '212.36.179.168', '212.36.179.183', 3559175080, 3559175095, 'FR', 'France'),
(150416, '212.36.179.184', '212.36.179.215', 3559175096, 3559175127, 'GB', 'United Kingdom'),
(150417, '212.36.179.216', '212.36.179.223', 3559175128, 3559175135, 'DE', 'Germany'),
(150418, '212.36.179.224', '212.36.179.231', 3559175136, 3559175143, 'FR', 'France'),
(150419, '212.36.179.232', '212.36.179.239', 3559175144, 3559175151, 'GB', 'United Kingdom'),
(150420, '212.36.179.240', '212.36.179.255', 3559175152, 3559175167, 'FR', 'France'),
(150421, '212.36.180.0', '212.36.187.255', 3559175168, 3559177215, 'GB', 'United Kingdom'),
(150422, '212.36.188.0', '212.36.188.255', 3559177216, 3559177471, 'DE', 'Germany'),
(150423, '212.36.189.0', '212.36.189.255', 3559177472, 3559177727, 'GB', 'United Kingdom'),
(150424, '212.36.190.0', '212.36.191.255', 3559177728, 3559178239, 'DE', 'Germany'),
(150425, '212.36.192.0', '212.36.223.255', 3559178240, 3559186431, 'LB', 'Lebanon'),
(150426, '212.36.224.0', '212.36.255.255', 3559186432, 3559194623, 'RU', 'Russian Federation'),
(150427, '212.37.0.0', '212.37.31.255', 3559194624, 3559202815, 'SE', 'Sweden'),
(150428, '212.37.32.0', '212.37.63.255', 3559202816, 3559211007, 'DE', 'Germany'),
(150429, '212.37.64.0', '212.37.95.255', 3559211008, 3559219199, 'SK', 'Slovakia'),
(150430, '212.37.96.0', '212.37.127.255', 3559219200, 3559227391, 'SE', 'Sweden'),
(150431, '212.37.128.0', '212.37.159.255', 3559227392, 3559235583, 'DK', 'Denmark'),
(150432, '212.37.160.0', '212.37.191.255', 3559235584, 3559243775, 'DE', 'Germany'),
(150433, '212.37.192.0', '212.37.223.255', 3559243776, 3559251967, 'FR', 'France'),
(150434, '212.37.224.0', '212.37.255.255', 3559251968, 3559260159, 'NO', 'Norway'),
(150435, '212.38.0.0', '212.38.31.255', 3559260160, 3559268351, 'DE', 'Germany'),
(150436, '212.38.32.0', '212.38.63.255', 3559268352, 3559276543, 'IT', 'Italy'),
(150437, '212.38.64.0', '212.38.95.255', 3559276544, 3559284735, 'GB', 'United Kingdom'),
(150438, '212.38.96.0', '212.38.96.159', 3559284736, 3559284895, 'RU', 'Russian Federation'),
(150439, '212.38.96.160', '212.38.96.175', 3559284896, 3559284911, 'UA', 'Ukraine'),
(150440, '212.38.96.176', '212.38.109.111', 3559284912, 3559288175, 'RU', 'Russian Federation'),
(150441, '212.38.109.112', '212.38.109.127', 3559288176, 3559288191, 'UA', 'Ukraine'),
(150442, '212.38.109.128', '212.38.109.143', 3559288192, 3559288207, 'AZ', 'Azerbaijan'),
(150443, '212.38.109.144', '212.38.111.255', 3559288208, 3559288831, 'RU', 'Russian Federation'),
(150444, '212.38.112.0', '212.38.115.255', 3559288832, 3559289855, 'AZ', 'Azerbaijan'),
(150445, '212.38.116.0', '212.38.121.255', 3559289856, 3559291391, 'RU', 'Russian Federation'),
(150446, '212.38.122.0', '212.38.122.255', 3559291392, 3559291647, 'AZ', 'Azerbaijan'),
(150447, '212.38.123.0', '212.38.127.255', 3559291648, 3559292927, 'RU', 'Russian Federation'),
(150448, '212.38.128.0', '212.38.159.255', 3559292928, 3559301119, 'JO', 'Jordan'),
(150449, '212.38.160.0', '212.38.167.255', 3559301120, 3559303167, 'DE', 'Germany'),
(150450, '212.38.168.0', '212.38.191.255', 3559303168, 3559309311, 'US', 'United States'),
(150451, '212.38.192.0', '212.38.223.255', 3559309312, 3559317503, 'PL', 'Poland'),
(150452, '212.38.224.0', '212.38.255.255', 3559317504, 3559325695, 'FI', 'Finland'),
(150453, '212.39.0.0', '212.39.31.255', 3559325696, 3559333887, 'IT', 'Italy'),
(150454, '212.39.32.0', '212.39.41.255', 3559333888, 3559336447, 'SE', 'Sweden'),
(150455, '212.39.42.0', '212.39.42.255', 3559336448, 3559336703, 'US', 'United States'),
(150456, '212.39.43.0', '212.39.63.255', 3559336704, 3559342079, 'SE', 'Sweden'),
(150457, '212.39.64.0', '212.39.95.255', 3559342080, 3559350271, 'BG', 'Bulgaria'),
(150458, '212.39.96.0', '212.39.127.255', 3559350272, 3559358463, 'BA', 'Bosnia and Herzegovina'),
(150459, '212.39.128.0', '212.39.159.255', 3559358464, 3559366655, 'FR', 'France'),
(150460, '212.39.160.0', '212.39.168.255', 3559366656, 3559368959, 'GB', 'United Kingdom'),
(150461, '212.39.169.0', '212.39.169.255', 3559368960, 3559369215, 'AO', 'Angola'),
(150462, '212.39.170.0', '212.39.191.255', 3559369216, 3559374847, 'GB', 'United Kingdom'),
(150463, '212.39.192.0', '212.39.223.255', 3559374848, 3559383039, 'AT', 'Austria'),
(150464, '212.39.224.0', '212.39.255.255', 3559383040, 3559391231, 'GB', 'United Kingdom'),
(150465, '212.40.0.0', '212.40.31.255', 3559391232, 3559399423, 'CH', 'Switzerland'),
(150466, '212.40.32.0', '212.40.63.255', 3559399424, 3559407615, 'UA', 'Ukraine'),
(150467, '212.40.64.0', '212.40.127.255', 3559407616, 3559423999, 'HU', 'Hungary'),
(150468, '212.40.128.0', '212.40.159.255', 3559424000, 3559432191, 'LB', 'Lebanon'),
(150469, '212.40.160.0', '212.40.191.255', 3559432192, 3559440383, 'DE', 'Germany'),
(150470, '212.40.192.0', '212.40.223.255', 3559440384, 3559448575, 'RU', 'Russian Federation'),
(150471, '212.40.224.0', '212.40.255.255', 3559448576, 3559456767, 'ES', 'Spain'),
(150472, '212.41.0.0', '212.41.63.255', 3559456768, 3559473151, 'RU', 'Russian Federation'),
(150473, '212.41.64.0', '212.41.127.255', 3559473152, 3559489535, 'CH', 'Switzerland'),
(150474, '212.41.128.0', '212.41.132.31', 3559489536, 3559490591, 'NL', 'Netherlands'),
(150475, '212.41.132.32', '212.41.132.63', 3559490592, 3559490623, 'DE', 'Germany'),
(150476, '212.41.132.64', '212.41.132.127', 3559490624, 3559490687, 'NL', 'Netherlands'),
(150477, '212.41.132.128', '212.41.132.159', 3559490688, 3559490719, 'ES', 'Spain'),
(150478, '212.41.132.160', '212.41.132.191', 3559490720, 3559490751, 'NL', 'Netherlands'),
(150479, '212.41.132.192', '212.41.132.223', 3559490752, 3559490783, 'ES', 'Spain'),
(150480, '212.41.132.224', '212.41.132.231', 3559490784, 3559490791, 'NL', 'Netherlands'),
(150481, '212.41.132.232', '212.41.132.239', 3559490792, 3559490799, 'BE', 'Belgium'),
(150482, '212.41.132.240', '212.41.132.255', 3559490800, 3559490815, 'NL', 'Netherlands'),
(150483, '212.41.133.0', '212.41.133.255', 3559490816, 3559491071, 'ES', 'Spain'),
(150484, '212.41.134.0', '212.41.134.63', 3559491072, 3559491135, 'NL', 'Netherlands'),
(150485, '212.41.134.64', '212.41.134.95', 3559491136, 3559491167, 'ES', 'Spain'),
(150486, '212.41.134.96', '212.41.135.111', 3559491168, 3559491439, 'NL', 'Netherlands'),
(150487, '212.41.135.112', '212.41.135.127', 3559491440, 3559491455, 'ES', 'Spain'),
(150488, '212.41.135.128', '212.41.136.63', 3559491456, 3559491647, 'NL', 'Netherlands'),
(150489, '212.41.136.64', '212.41.136.127', 3559491648, 3559491711, 'ES', 'Spain'),
(150490, '212.41.136.128', '212.41.137.31', 3559491712, 3559491871, 'NL', 'Netherlands'),
(150491, '212.41.137.32', '212.41.137.63', 3559491872, 3559491903, 'GB', 'United Kingdom'),
(150492, '212.41.137.64', '212.41.137.95', 3559491904, 3559491935, 'BE', 'Belgium'),
(150493, '212.41.137.96', '212.41.137.159', 3559491936, 3559491999, 'ES', 'Spain'),
(150494, '212.41.137.160', '212.41.137.173', 3559492000, 3559492013, 'NL', 'Netherlands'),
(150495, '212.41.137.174', '212.41.137.175', 3559492014, 3559492015, 'ES', 'Spain'),
(150496, '212.41.137.176', '212.41.137.183', 3559492016, 3559492023, 'NL', 'Netherlands'),
(150497, '212.41.137.184', '212.41.137.191', 3559492024, 3559492031, 'ES', 'Spain'),
(150498, '212.41.137.192', '212.41.142.127', 3559492032, 3559493247, 'NL', 'Netherlands'),
(150499, '212.41.142.128', '212.41.142.159', 3559493248, 3559493279, 'ES', 'Spain'),
(150500, '212.41.142.160', '212.41.142.191', 3559493280, 3559493311, 'GB', 'United Kingdom'),
(150501, '212.41.142.192', '212.41.142.229', 3559493312, 3559493349, 'NL', 'Netherlands'),
(150502, '212.41.142.230', '212.41.142.239', 3559493350, 3559493359, 'ES', 'Spain'),
(150503, '212.41.142.240', '212.41.159.255', 3559493360, 3559497727, 'NL', 'Netherlands'),
(150504, '212.41.160.0', '212.41.191.255', 3559497728, 3559505919, 'GB', 'United Kingdom'),
(150505, '212.41.192.0', '212.41.223.255', 3559505920, 3559514111, 'CH', 'Switzerland'),
(150506, '212.41.224.0', '212.41.255.255', 3559514112, 3559522303, 'AT', 'Austria'),
(150507, '212.42.0.0', '212.42.31.255', 3559522304, 3559530495, 'GB', 'United Kingdom'),
(150508, '212.42.32.0', '212.42.63.255', 3559530496, 3559538687, 'RU', 'Russian Federation'),
(150509, '212.42.64.0', '212.42.95.255', 3559538688, 3559546879, 'UA', 'Ukraine'),
(150510, '212.42.96.0', '212.42.127.255', 3559546880, 3559555071, 'KG', 'Kyrgyzstan'),
(150511, '212.42.128.0', '212.42.159.255', 3559555072, 3559563263, 'CH', 'Switzerland'),
(150512, '212.42.160.0', '212.42.191.255', 3559563264, 3559571455, 'GB', 'United Kingdom'),
(150513, '212.42.192.0', '212.42.223.255', 3559571456, 3559579647, 'AM', 'Armenia'),
(150514, '212.42.224.0', '212.42.249.223', 3559579648, 3559586271, 'DE', 'Germany'),
(150515, '212.42.249.224', '212.42.249.255', 3559586272, 3559586303, 'US', 'United States'),
(150516, '212.42.250.0', '212.42.255.255', 3559586304, 3559587839, 'DE', 'Germany'),
(150517, '212.43.0.0', '212.43.31.255', 3559587840, 3559596031, 'KW', 'Kuwait'),
(150518, '212.43.32.0', '212.43.63.255', 3559596032, 3559604223, 'BG', 'Bulgaria'),
(150519, '212.43.64.0', '212.43.78.175', 3559604224, 3559607983, 'DE', 'Germany'),
(150520, '212.43.78.176', '212.43.78.191', 3559607984, 3559607999, 'LU', 'Luxembourg'),
(150521, '212.43.78.192', '212.43.79.15', 3559608000, 3559608079, 'DE', 'Germany'),
(150522, '212.43.79.16', '212.43.79.31', 3559608080, 3559608095, 'LU', 'Luxembourg'),
(150523, '212.43.79.32', '212.43.79.71', 3559608096, 3559608135, 'DE', 'Germany'),
(150524, '212.43.79.72', '212.43.79.79', 3559608136, 3559608143, 'LU', 'Luxembourg'),
(150525, '212.43.79.80', '212.43.90.255', 3559608144, 3559611135, 'DE', 'Germany'),
(150526, '212.43.91.0', '212.43.91.255', 3559611136, 3559611391, 'GB', 'United Kingdom'),
(150527, '212.43.92.0', '212.43.92.191', 3559611392, 3559611583, 'DE', 'Germany'),
(150528, '212.43.92.192', '212.43.92.255', 3559611584, 3559611647, 'LU', 'Luxembourg'),
(150529, '212.43.93.0', '212.43.93.83', 3559611648, 3559611731, 'DE', 'Germany'),
(150530, '212.43.93.84', '212.43.93.87', 3559611732, 3559611735, 'NL', 'Netherlands'),
(150531, '212.43.93.88', '212.43.95.255', 3559611736, 3559612415, 'DE', 'Germany'),
(150532, '212.43.96.0', '212.43.127.255', 3559612416, 3559620607, 'IT', 'Italy'),
(150533, '212.43.128.0', '212.43.159.255', 3559620608, 3559628799, 'CH', 'Switzerland'),
(150534, '212.43.160.0', '212.43.191.255', 3559628800, 3559636991, 'GB', 'United Kingdom'),
(150535, '212.43.192.0', '212.43.255.255', 3559636992, 3559653375, 'FR', 'France'),
(150536, '212.44.0.0', '212.44.63.255', 3559653376, 3559669759, 'GB', 'United Kingdom'),
(150537, '212.44.64.0', '212.44.95.255', 3559669760, 3559677951, 'RU', 'Russian Federation'),
(150538, '212.44.96.0', '212.44.127.255', 3559677952, 3559686143, 'SI', 'Slovenia'),
(150539, '212.44.128.0', '212.44.159.255', 3559686144, 3559694335, 'RU', 'Russian Federation'),
(150540, '212.44.160.0', '212.44.192.127', 3559694336, 3559702655, 'DE', 'Germany'),
(150541, '212.44.192.128', '212.44.192.191', 3559702656, 3559702719, 'RU', 'Russian Federation'),
(150542, '212.44.192.192', '212.44.223.255', 3559702720, 3559710719, 'DE', 'Germany'),
(150543, '212.44.224.0', '212.44.255.255', 3559710720, 3559718911, 'FR', 'France'),
(150544, '212.45.0.0', '212.45.31.255', 3559718912, 3559727103, 'RU', 'Russian Federation'),
(150545, '212.45.32.0', '212.45.63.255', 3559727104, 3559735295, 'NL', 'Netherlands'),
(150546, '212.45.64.0', '212.45.95.255', 3559735296, 3559743487, 'BG', 'Bulgaria'),
(150547, '212.45.96.0', '212.45.103.255', 3559743488, 3559745535, 'IT', 'Italy'),
(150548, '212.45.104.0', '212.45.106.51', 3559745536, 3559746099, 'DE', 'Germany'),
(150549, '212.45.106.52', '212.45.106.55', 3559746100, 3559746103, 'GB', 'United Kingdom'),
(150550, '212.45.106.56', '212.45.111.255', 3559746104, 3559747583, 'DE', 'Germany'),
(150551, '212.45.112.0', '212.45.127.255', 3559747584, 3559751679, 'DK', 'Denmark'),
(150552, '212.45.128.0', '212.45.159.255', 3559751680, 3559759871, 'IT', 'Italy'),
(150553, '212.45.160.0', '212.45.191.255', 3559759872, 3559768063, 'NO', 'Norway'),
(150554, '212.45.192.0', '212.45.223.255', 3559768064, 3559776255, 'CH', 'Switzerland'),
(150555, '212.45.224.0', '212.46.31.255', 3559776256, 3559792639, 'RU', 'Russian Federation'),
(150556, '212.46.32.0', '212.46.63.255', 3559792640, 3559800831, 'SA', 'Saudi Arabia'),
(150557, '212.46.64.0', '212.46.95.255', 3559800832, 3559809023, 'IT', 'Italy'),
(150558, '212.46.96.0', '212.46.121.3', 3559809024, 3559815427, 'DE', 'Germany'),
(150559, '212.46.121.4', '212.46.121.7', 3559815428, 3559815431, 'AT', 'Austria'),
(150560, '212.46.121.8', '212.46.121.171', 3559815432, 3559815595, 'DE', 'Germany'),
(150561, '212.46.121.172', '212.46.121.175', 3559815596, 3559815599, 'NL', 'Netherlands'),
(150562, '212.46.121.176', '212.46.127.255', 3559815600, 3559817215, 'DE', 'Germany'),
(150563, '212.46.128.0', '212.46.159.255', 3559817216, 3559825407, 'GB', 'United Kingdom'),
(150564, '212.46.160.0', '212.46.191.255', 3559825408, 3559833599, 'IT', 'Italy'),
(150565, '212.46.192.0', '212.46.255.255', 3559833600, 3559849983, 'RU', 'Russian Federation'),
(150566, '212.47.0.0', '212.47.31.255', 3559849984, 3559858175, 'CZ', 'Czech Republic'),
(150567, '212.47.32.0', '212.47.63.255', 3559858176, 3559866367, 'IT', 'Italy'),
(150568, '212.47.64.0', '212.47.95.255', 3559866368, 3559874559, 'GB', 'United Kingdom'),
(150569, '212.47.96.0', '212.47.109.63', 3559874560, 3559877951, 'LT', 'Lithuania'),
(150570, '212.47.109.64', '212.47.109.79', 3559877952, 3559877967, 'CH', 'Switzerland'),
(150571, '212.47.109.80', '212.47.127.255', 3559877968, 3559882751, 'LT', 'Lithuania'),
(150572, '212.47.128.0', '212.47.159.255', 3559882752, 3559890943, 'AZ', 'Azerbaijan'),
(150573, '212.47.160.0', '212.47.191.255', 3559890944, 3559899135, 'CH', 'Switzerland'),
(150574, '212.47.192.0', '212.47.193.95', 3559899136, 3559899487, 'UA', 'Ukraine'),
(150575, '212.47.193.96', '212.47.193.127', 3559899488, 3559899519, 'EE', 'Estonia'),
(150576, '212.47.193.128', '212.47.196.115', 3559899520, 3559900275, 'UA', 'Ukraine'),
(150577, '212.47.196.116', '212.47.196.119', 3559900276, 3559900279, 'EE', 'Estonia'),
(150578, '212.47.196.120', '212.47.197.15', 3559900280, 3559900431, 'UA', 'Ukraine'),
(150579, '212.47.197.16', '212.47.197.16', 3559900432, 3559900432, 'EE', 'Estonia'),
(150580, '212.47.197.17', '212.47.197.23', 3559900433, 3559900439, 'UA', 'Ukraine'),
(150581, '212.47.197.24', '212.47.197.31', 3559900440, 3559900447, 'EE', 'Estonia'),
(150582, '212.47.197.32', '212.47.197.67', 3559900448, 3559900483, 'UA', 'Ukraine'),
(150583, '212.47.197.68', '212.47.197.71', 3559900484, 3559900487, 'EE', 'Estonia'),
(150584, '212.47.197.72', '212.47.197.76', 3559900488, 3559900492, 'UA', 'Ukraine'),
(150585, '212.47.197.77', '212.47.197.77', 3559900493, 3559900493, 'EE', 'Estonia'),
(150586, '212.47.197.78', '212.47.197.87', 3559900494, 3559900503, 'UA', 'Ukraine'),
(150587, '212.47.197.88', '212.47.197.95', 3559900504, 3559900511, 'EE', 'Estonia'),
(150588, '212.47.197.96', '212.47.197.195', 3559900512, 3559900611, 'UA', 'Ukraine'),
(150589, '212.47.197.196', '212.47.197.208', 3559900612, 3559900624, 'EE', 'Estonia'),
(150590, '212.47.197.209', '212.47.197.255', 3559900625, 3559900671, 'UA', 'Ukraine'),
(150591, '212.47.198.0', '212.47.199.23', 3559900672, 3559900951, 'EE', 'Estonia'),
(150592, '212.47.199.24', '212.47.199.31', 3559900952, 3559900959, 'DE', 'Germany'),
(150593, '212.47.199.32', '212.47.199.47', 3559900960, 3559900975, 'SE', 'Sweden'),
(150594, '212.47.199.48', '212.47.199.55', 3559900976, 3559900983, 'PL', 'Poland'),
(150595, '212.47.199.56', '212.47.199.63', 3559900984, 3559900991, 'GB', 'United Kingdom'),
(150596, '212.47.199.64', '212.47.199.79', 3559900992, 3559901007, 'RU', 'Russian Federation'),
(150597, '212.47.199.80', '212.47.199.255', 3559901008, 3559901183, 'UA', 'Ukraine'),
(150598, '212.47.200.0', '212.47.203.59', 3559901184, 3559902011, 'EE', 'Estonia'),
(150599, '212.47.203.60', '212.47.203.63', 3559902012, 3559902015, 'UA', 'Ukraine'),
(150600, '212.47.203.64', '212.47.203.79', 3559902016, 3559902031, 'EE', 'Estonia'),
(150601, '212.47.203.80', '212.47.203.95', 3559902032, 3559902047, 'UA', 'Ukraine'),
(150602, '212.47.203.96', '212.47.203.103', 3559902048, 3559902055, 'EE', 'Estonia'),
(150603, '212.47.203.104', '212.47.203.119', 3559902056, 3559902071, 'UA', 'Ukraine'),
(150604, '212.47.203.120', '212.47.203.127', 3559902072, 3559902079, 'EE', 'Estonia'),
(150605, '212.47.203.128', '212.47.203.199', 3559902080, 3559902151, 'UA', 'Ukraine'),
(150606, '212.47.203.200', '212.47.203.207', 3559902152, 3559902159, 'EE', 'Estonia'),
(150607, '212.47.203.208', '212.47.203.223', 3559902160, 3559902175, 'UA', 'Ukraine'),
(150608, '212.47.203.224', '212.47.204.7', 3559902176, 3559902215, 'EE', 'Estonia'),
(150609, '212.47.204.8', '212.47.204.15', 3559902216, 3559902223, 'UA', 'Ukraine'),
(150610, '212.47.204.16', '212.47.204.63', 3559902224, 3559902271, 'EE', 'Estonia'),
(150611, '212.47.204.64', '212.47.204.191', 3559902272, 3559902399, 'UA', 'Ukraine'),
(150612, '212.47.204.192', '212.47.205.127', 3559902400, 3559902591, 'EE', 'Estonia'),
(150613, '212.47.205.128', '212.47.206.255', 3559902592, 3559902975, 'UA', 'Ukraine'),
(150614, '212.47.207.0', '212.47.211.3', 3559902976, 3559904003, 'EE', 'Estonia'),
(150615, '212.47.211.4', '212.47.211.7', 3559904004, 3559904007, 'UA', 'Ukraine'),
(150616, '212.47.211.8', '212.47.211.43', 3559904008, 3559904043, 'EE', 'Estonia'),
(150617, '212.47.211.44', '212.47.211.47', 3559904044, 3559904047, 'UA', 'Ukraine'),
(150618, '212.47.211.48', '212.47.214.7', 3559904048, 3559904775, 'EE', 'Estonia'),
(150619, '212.47.214.8', '212.47.214.31', 3559904776, 3559904799, 'UA', 'Ukraine'),
(150620, '212.47.214.32', '212.47.214.47', 3559904800, 3559904815, 'EE', 'Estonia'),
(150621, '212.47.214.48', '212.47.214.63', 3559904816, 3559904831, 'UA', 'Ukraine'),
(150622, '212.47.214.64', '212.47.215.3', 3559904832, 3559905027, 'EE', 'Estonia'),
(150623, '212.47.215.4', '212.47.215.5', 3559905028, 3559905029, 'UA', 'Ukraine'),
(150624, '212.47.215.6', '212.47.215.27', 3559905030, 3559905051, 'EE', 'Estonia'),
(150625, '212.47.215.28', '212.47.215.31', 3559905052, 3559905055, 'UA', 'Ukraine'),
(150626, '212.47.215.32', '212.47.215.115', 3559905056, 3559905139, 'EE', 'Estonia'),
(150627, '212.47.215.116', '212.47.215.119', 3559905140, 3559905143, 'DE', 'Germany'),
(150628, '212.47.215.120', '212.47.215.127', 3559905144, 3559905151, 'UA', 'Ukraine'),
(150629, '212.47.215.128', '212.47.215.131', 3559905152, 3559905155, 'EE', 'Estonia'),
(150630, '212.47.215.132', '212.47.215.135', 3559905156, 3559905159, 'UA', 'Ukraine'),
(150631, '212.47.215.136', '212.47.215.201', 3559905160, 3559905225, 'EE', 'Estonia'),
(150632, '212.47.215.202', '212.47.215.207', 3559905226, 3559905231, 'UA', 'Ukraine'),
(150633, '212.47.215.208', '212.47.215.223', 3559905232, 3559905247, 'EE', 'Estonia'),
(150634, '212.47.215.224', '212.47.215.231', 3559905248, 3559905255, 'UA', 'Ukraine'),
(150635, '212.47.215.232', '212.47.215.239', 3559905256, 3559905263, 'EE', 'Estonia'),
(150636, '212.47.215.240', '212.47.215.247', 3559905264, 3559905271, 'UA', 'Ukraine'),
(150637, '212.47.215.248', '212.47.216.17', 3559905272, 3559905297, 'EE', 'Estonia'),
(150638, '212.47.216.18', '212.47.216.19', 3559905298, 3559905299, 'UA', 'Ukraine'),
(150639, '212.47.216.20', '212.47.216.37', 3559905300, 3559905317, 'EE', 'Estonia'),
(150640, '212.47.216.38', '212.47.216.39', 3559905318, 3559905319, 'LT', 'Lithuania'),
(150641, '212.47.216.40', '212.47.216.43', 3559905320, 3559905323, 'UA', 'Ukraine'),
(150642, '212.47.216.44', '212.47.216.51', 3559905324, 3559905331, 'EE', 'Estonia'),
(150643, '212.47.216.52', '212.47.216.67', 3559905332, 3559905347, 'UA', 'Ukraine'),
(150644, '212.47.216.68', '212.47.216.69', 3559905348, 3559905349, 'EE', 'Estonia'),
(150645, '212.47.216.70', '212.47.216.255', 3559905350, 3559905535, 'UA', 'Ukraine'),
(150646, '212.47.217.0', '212.47.219.209', 3559905536, 3559906257, 'EE', 'Estonia'),
(150647, '212.47.219.210', '212.47.219.215', 3559906258, 3559906263, 'UA', 'Ukraine'),
(150648, '212.47.219.216', '212.47.219.219', 3559906264, 3559906267, 'EE', 'Estonia'),
(150649, '212.47.219.220', '212.47.219.223', 3559906268, 3559906271, 'UA', 'Ukraine'),
(150650, '212.47.219.224', '212.47.221.255', 3559906272, 3559906815, 'EE', 'Estonia'),
(150651, '212.47.222.0', '212.47.222.255', 3559906816, 3559907071, 'UA', 'Ukraine'),
(150652, '212.47.223.0', '212.47.223.255', 3559907072, 3559907327, 'EE', 'Estonia'),
(150653, '212.47.224.0', '212.47.255.255', 3559907328, 3559915519, 'FR', 'France'),
(150654, '212.48.0.0', '212.48.31.255', 3559915520, 3559923711, 'IT', 'Italy'),
(150655, '212.48.32.0', '212.48.63.255', 3559923712, 3559931903, 'RU', 'Russian Federation'),
(150656, '212.48.64.0', '212.48.95.255', 3559931904, 3559940095, 'IL', 'Israel'),
(150657, '212.48.96.0', '212.48.116.255', 3559940096, 3559945471, 'DE', 'Germany'),
(150658, '212.48.117.0', '212.48.117.255', 3559945472, 3559945727, 'US', 'United States'),
(150659, '212.48.118.0', '212.48.127.255', 3559945728, 3559948287, 'DE', 'Germany'),
(150660, '212.48.128.0', '212.48.159.255', 3559948288, 3559956479, 'RU', 'Russian Federation'),
(150661, '212.48.160.0', '212.48.164.63', 3559956480, 3559957567, 'IT', 'Italy'),
(150662, '212.48.164.64', '212.48.164.95', 3559957568, 3559957599, 'NL', 'Netherlands'),
(150663, '212.48.164.96', '212.48.189.255', 3559957600, 3559964159, 'IT', 'Italy'),
(150664, '212.48.190.0', '212.48.190.255', 3559964160, 3559964415, 'HU', 'Hungary'),
(150665, '212.48.191.0', '212.48.191.255', 3559964416, 3559964671, 'IT', 'Italy'),
(150666, '212.48.192.0', '212.48.255.255', 3559964672, 3559981055, 'RU', 'Russian Federation'),
(150667, '212.49.0.0', '212.49.31.255', 3559981056, 3559989247, 'EE', 'Estonia'),
(150668, '212.49.32.0', '212.49.63.255', 3559989248, 3559997439, 'PL', 'Poland'),
(150669, '212.49.64.0', '212.49.95.255', 3559997440, 3560005631, 'KE', 'Kenya'),
(150670, '212.49.96.0', '212.49.127.255', 3560005632, 3560013823, 'RU', 'Russian Federation'),
(150671, '212.49.128.0', '212.49.191.255', 3560013824, 3560030207, 'ES', 'Spain'),
(150672, '212.49.192.0', '212.49.255.255', 3560030208, 3560046591, 'GB', 'United Kingdom'),
(150673, '212.50.0.0', '212.50.31.255', 3560046592, 3560054783, 'BG', 'Bulgaria'),
(150674, '212.50.32.0', '212.50.63.255', 3560054784, 3560062975, 'TR', 'Turkey'),
(150675, '212.50.64.0', '212.50.95.255', 3560062976, 3560071167, 'BG', 'Bulgaria'),
(150676, '212.50.96.0', '212.50.127.255', 3560071168, 3560079359, 'CY', 'Cyprus'),
(150677, '212.50.128.0', '212.50.159.255', 3560079360, 3560087551, 'FI', 'Finland'),
(150678, '212.50.160.0', '212.50.191.255', 3560087552, 3560095743, 'GB', 'United Kingdom'),
(150679, '212.50.192.0', '212.50.223.255', 3560095744, 3560103935, 'FI', 'Finland'),
(150680, '212.50.224.0', '212.50.255.255', 3560103936, 3560112127, 'IR', 'Iran, Islamic Republic of'),
(150681, '212.51.0.0', '212.51.31.255', 3560112128, 3560120319, 'DE', 'Germany'),
(150682, '212.51.32.0', '212.51.63.255', 3560120320, 3560128511, 'ES', 'Spain'),
(150683, '212.51.64.0', '212.51.127.255', 3560128512, 3560144895, 'HU', 'Hungary'),
(150684, '212.51.128.0', '212.51.159.255', 3560144896, 3560153087, 'CH', 'Switzerland'),
(150685, '212.51.160.0', '212.51.191.255', 3560153088, 3560161279, 'FR', 'France'),
(150686, '212.51.192.0', '212.51.223.255', 3560161280, 3560169471, 'PL', 'Poland'),
(150687, '212.51.224.0', '212.51.255.255', 3560169472, 3560177663, 'AT', 'Austria'),
(150688, '212.52.0.0', '212.52.31.255', 3560177664, 3560185855, 'NL', 'Netherlands'),
(150689, '212.52.32.0', '212.52.63.255', 3560185856, 3560194047, 'LT', 'Lithuania'),
(150690, '212.52.64.0', '212.52.127.255', 3560194048, 3560210431, 'IT', 'Italy'),
(150691, '212.52.128.0', '212.52.159.255', 3560210432, 3560218623, 'BF', 'Burkina Faso'),
(150692, '212.52.160.0', '212.52.191.255', 3560218624, 3560226815, 'HU', 'Hungary'),
(150693, '212.52.192.0', '212.52.223.255', 3560226816, 3560235007, 'AT', 'Austria'),
(150694, '212.52.224.0', '212.52.255.255', 3560235008, 3560243199, 'DE', 'Germany'),
(150695, '212.53.0.0', '212.53.15.255', 3560243200, 3560247295, 'BE', 'Belgium'),
(150696, '212.53.16.0', '212.53.31.255', 3560247296, 3560251391, 'NL', 'Netherlands'),
(150697, '212.53.32.0', '212.53.34.255', 3560251392, 3560252159, 'RU', 'Russian Federation'),
(150698, '212.53.35.0', '212.53.35.255', 3560252160, 3560252415, 'CZ', 'Czech Republic'),
(150699, '212.53.36.0', '212.53.39.255', 3560252416, 3560253439, 'RU', 'Russian Federation'),
(150700, '212.53.40.0', '212.53.40.255', 3560253440, 3560253695, 'CZ', 'Czech Republic'),
(150701, '212.53.41.0', '212.53.63.255', 3560253696, 3560259583, 'RU', 'Russian Federation'),
(150702, '212.53.64.0', '212.53.95.255', 3560259584, 3560267775, 'GB', 'United Kingdom'),
(150703, '212.53.96.0', '212.53.127.255', 3560267776, 3560275967, 'CH', 'Switzerland'),
(150704, '212.53.128.0', '212.53.255.255', 3560275968, 3560308735, 'DE', 'Germany'),
(150705, '212.54.0.0', '212.54.31.255', 3560308736, 3560316927, 'FI', 'Finland'),
(150706, '212.54.32.0', '212.54.63.255', 3560316928, 3560325119, 'NL', 'Netherlands'),
(150707, '212.54.64.0', '212.54.95.255', 3560325120, 3560333311, 'DK', 'Denmark'),
(150708, '212.54.96.0', '212.54.127.255', 3560333312, 3560341503, 'RO', 'Romania'),
(150709, '212.54.128.0', '212.54.143.255', 3560341504, 3560345599, 'GB', 'United Kingdom'),
(150710, '212.54.144.0', '212.54.145.255', 3560345600, 3560346111, 'US', 'United States'),
(150711, '212.54.146.0', '212.54.191.255', 3560346112, 3560357887, 'GB', 'United Kingdom'),
(150712, '212.54.192.0', '212.54.223.255', 3560357888, 3560366079, 'GR', 'Greece'),
(150713, '212.54.224.0', '212.54.226.95', 3560366080, 3560366687, 'CH', 'Switzerland'),
(150714, '212.54.226.96', '212.54.226.103', 3560366688, 3560366695, 'IT', 'Italy'),
(150715, '212.54.226.104', '212.54.226.111', 3560366696, 3560366703, 'CH', 'Switzerland'),
(150716, '212.54.226.112', '212.54.226.127', 3560366704, 3560366719, 'IT', 'Italy'),
(150717, '212.54.226.128', '212.54.255.255', 3560366720, 3560374271, 'CH', 'Switzerland'),
(150718, '212.55.0.0', '212.55.31.255', 3560374272, 3560382463, 'ES', 'Spain'),
(150719, '212.55.32.0', '212.55.50.31', 3560382464, 3560387103, 'FO', 'Faroe Islands'),
(150720, '212.55.50.32', '212.55.50.39', 3560387104, 3560387111, 'DK', 'Denmark'),
(150721, '212.55.50.40', '212.55.63.255', 3560387112, 3560390655, 'FO', 'Faroe Islands'),
(150722, '212.55.64.0', '212.55.127.255', 3560390656, 3560407039, 'RU', 'Russian Federation'),
(150723, '212.55.128.0', '212.55.191.255', 3560407040, 3560423423, 'PT', 'Portugal'),
(150724, '212.55.192.0', '212.55.223.255', 3560423424, 3560431615, 'CH', 'Switzerland'),
(150725, '212.55.224.0', '212.55.255.255', 3560431616, 3560439807, 'SK', 'Slovakia'),
(150726, '212.56.0.0', '212.56.31.255', 3560439808, 3560447999, 'BG', 'Bulgaria'),
(150727, '212.56.32.0', '212.56.38.255', 3560448000, 3560449791, 'GB', 'United Kingdom'),
(150728, '212.56.39.0', '212.56.39.255', 3560449792, 3560450047, 'US', 'United States'),
(150729, '212.56.40.0', '212.56.127.255', 3560450048, 3560472575, 'GB', 'United Kingdom'),
(150730, '212.56.128.0', '212.56.159.255', 3560472576, 3560480767, 'MT', 'Malta'),
(150731, '212.56.160.0', '212.56.191.255', 3560480768, 3560488959, 'IT', 'Italy'),
(150732, '212.56.192.0', '212.56.223.255', 3560488960, 3560497151, 'MD', 'Moldova, Republic of'),
(150733, '212.56.224.0', '212.56.239.255', 3560497152, 3560501247, 'LU', 'Luxembourg'),
(150734, '212.56.240.0', '212.56.240.255', 3560501248, 3560501503, 'EU', 'Europe'),
(150735, '212.56.241.0', '212.56.244.255', 3560501504, 3560502527, 'DE', 'Germany'),
(150736, '212.56.245.0', '212.56.245.255', 3560502528, 3560502783, 'LU', 'Luxembourg'),
(150737, '212.56.246.0', '212.56.246.255', 3560502784, 3560503039, 'DE', 'Germany'),
(150738, '212.56.247.0', '212.56.255.255', 3560503040, 3560505343, 'LU', 'Luxembourg'),
(150739, '212.57.0.0', '212.57.31.255', 3560505344, 3560513535, 'TR', 'Turkey'),
(150740, '212.57.32.0', '212.57.39.255', 3560513536, 3560515583, 'SK', 'Slovakia'),
(150741, '212.57.40.0', '212.57.47.255', 3560515584, 3560517631, 'RS', 'Serbia'),
(150742, '212.57.48.0', '212.57.63.255', 3560517632, 3560521727, 'NL', 'Netherlands'),
(150743, '212.57.64.0', '212.57.95.255', 3560521728, 3560529919, 'PT', 'Portugal'),
(150744, '212.57.96.0', '212.57.191.255', 3560529920, 3560554495, 'RU', 'Russian Federation'),
(150745, '212.57.192.0', '212.57.223.255', 3560554496, 3560562687, 'SA', 'Saudi Arabia'),
(150746, '212.57.224.0', '212.57.255.255', 3560562688, 3560570879, 'GB', 'United Kingdom'),
(150747, '212.58.0.0', '212.58.31.255', 3560570880, 3560579071, 'TR', 'Turkey'),
(150748, '212.58.32.0', '212.58.63.255', 3560579072, 3560587263, 'GB', 'United Kingdom'),
(150749, '212.58.64.0', '212.58.95.255', 3560587264, 3560595455, 'DE', 'Germany'),
(150750, '212.58.96.0', '212.58.127.255', 3560595456, 3560603647, 'GE', 'Georgia'),
(150751, '212.58.128.0', '212.58.159.255', 3560603648, 3560611839, 'GB', 'United Kingdom'),
(150752, '212.58.160.0', '212.58.191.255', 3560611840, 3560620031, 'UA', 'Ukraine'),
(150753, '212.58.192.0', '212.58.223.255', 3560620032, 3560628223, 'RU', 'Russian Federation'),
(150754, '212.58.224.0', '212.58.239.143', 3560628224, 3560632207, 'GB', 'United Kingdom'),
(150755, '212.58.239.144', '212.58.239.151', 3560632208, 3560632215, 'NL', 'Netherlands'),
(150756, '212.58.239.152', '212.58.255.255', 3560632216, 3560636415, 'GB', 'United Kingdom'),
(150757, '212.59.0.0', '212.59.31.255', 3560636416, 3560644607, 'LT', 'Lithuania'),
(150758, '212.59.32.0', '212.59.63.255', 3560644608, 3560652799, 'DE', 'Germany'),
(150759, '212.59.64.0', '212.59.95.255', 3560652800, 3560660991, 'GB', 'United Kingdom'),
(150760, '212.59.96.0', '212.59.127.255', 3560660992, 3560669183, 'RU', 'Russian Federation'),
(150761, '212.59.128.0', '212.59.191.255', 3560669184, 3560685567, 'CH', 'Switzerland'),
(150762, '212.59.192.0', '212.59.223.255', 3560685568, 3560693759, 'ES', 'Spain'),
(150763, '212.59.224.0', '212.59.255.255', 3560693760, 3560701951, 'PL', 'Poland'),
(150764, '212.60.0.0', '212.60.31.255', 3560701952, 3560710143, 'DE', 'Germany'),
(150765, '212.60.32.0', '212.60.63.255', 3560710144, 3560718335, 'CH', 'Switzerland'),
(150766, '212.60.64.0', '212.60.95.255', 3560718336, 3560726527, 'GM', 'Gambia'),
(150767, '212.60.96.0', '212.60.127.255', 3560726528, 3560734719, 'DK', 'Denmark'),
(150768, '212.60.128.0', '212.60.159.255', 3560734720, 3560742911, 'DE', 'Germany'),
(150769, '212.60.160.0', '212.60.191.255', 3560742912, 3560751103, 'AT', 'Austria'),
(150770, '212.60.192.0', '212.60.234.0', 3560751104, 3560761856, 'DE', 'Germany'),
(150771, '212.60.234.1', '212.60.234.1', 3560761857, 3560761857, 'A2', 'Satellite Provider'),
(150772, '212.60.234.2', '212.60.255.255', 3560761858, 3560767487, 'DE', 'Germany'),
(150773, '212.61.0.0', '212.61.255.23', 3560767488, 3560832791, 'NL', 'Netherlands'),
(150774, '212.61.255.24', '212.61.255.31', 3560832792, 3560832799, 'BE', 'Belgium'),
(150775, '212.61.255.32', '212.61.255.255', 3560832800, 3560833023, 'NL', 'Netherlands'),
(150776, '212.62.0.0', '212.62.31.255', 3560833024, 3560841215, 'GB', 'United Kingdom'),
(150777, '212.62.32.0', '212.62.63.255', 3560841216, 3560849407, 'RS', 'Serbia'),
(150778, '212.62.64.0', '212.62.64.255', 3560849408, 3560849663, 'DE', 'Germany'),
(150779, '212.62.65.0', '212.62.65.63', 3560849664, 3560849727, 'NL', 'Netherlands'),
(150780, '212.62.65.64', '212.62.77.223', 3560849728, 3560852959, 'DE', 'Germany'),
(150781, '212.62.77.224', '212.62.77.231', 3560852960, 3560852967, 'GB', 'United Kingdom'),
(150782, '212.62.77.232', '212.62.95.255', 3560852968, 3560857599, 'DE', 'Germany'),
(150783, '212.62.96.0', '212.62.127.255', 3560857600, 3560865791, 'SA', 'Saudi Arabia'),
(150784, '212.62.128.0', '212.62.191.255', 3560865792, 3560882175, 'FR', 'France'),
(150785, '212.62.192.0', '212.62.223.255', 3560882176, 3560890367, 'DE', 'Germany'),
(150786, '212.62.224.0', '212.62.255.255', 3560890368, 3560898559, 'NO', 'Norway'),
(150787, '212.63.0.0', '212.63.31.255', 3560898560, 3560906751, 'FI', 'Finland'),
(150788, '212.63.32.0', '212.63.69.159', 3560906752, 3560916383, 'DE', 'Germany'),
(150789, '212.63.69.160', '212.63.69.167', 3560916384, 3560916391, 'CH', 'Switzerland'),
(150790, '212.63.69.168', '212.63.80.7', 3560916392, 3560919047, 'DE', 'Germany'),
(150791, '212.63.80.8', '212.63.80.15', 3560919048, 3560919055, 'CH', 'Switzerland'),
(150792, '212.63.80.16', '212.63.95.255', 3560919056, 3560923135, 'DE', 'Germany'),
(150793, '212.63.96.0', '212.63.127.255', 3560923136, 3560931327, 'ES', 'Spain'),
(150794, '212.63.128.0', '212.63.160.3', 3560931328, 3560939523, 'DE', 'Germany'),
(150795, '212.63.160.4', '212.63.160.7', 3560939524, 3560939527, 'AT', 'Austria'),
(150796, '212.63.160.8', '212.63.160.15', 3560939528, 3560939535, 'DE', 'Germany'),
(150797, '212.63.160.16', '212.63.160.19', 3560939536, 3560939539, 'PT', 'Portugal'),
(150798, '212.63.160.20', '212.63.160.23', 3560939540, 3560939543, 'IT', 'Italy'),
(150799, '212.63.160.24', '212.63.160.35', 3560939544, 3560939555, 'DE', 'Germany'),
(150800, '212.63.160.36', '212.63.160.39', 3560939556, 3560939559, 'ES', 'Spain'),
(150801, '212.63.160.40', '212.63.160.47', 3560939560, 3560939567, 'DE', 'Germany'),
(150802, '212.63.160.48', '212.63.160.51', 3560939568, 3560939571, 'NL', 'Netherlands'),
(150803, '212.63.160.52', '212.63.160.59', 3560939572, 3560939579, 'ES', 'Spain'),
(150804, '212.63.160.60', '212.63.160.63', 3560939580, 3560939583, 'BE', 'Belgium'),
(150805, '212.63.160.64', '212.63.160.67', 3560939584, 3560939587, 'DE', 'Germany'),
(150806, '212.63.160.68', '212.63.160.71', 3560939588, 3560939591, 'BE', 'Belgium'),
(150807, '212.63.160.72', '212.63.160.87', 3560939592, 3560939607, 'DE', 'Germany'),
(150808, '212.63.160.88', '212.63.160.91', 3560939608, 3560939611, 'IT', 'Italy'),
(150809, '212.63.160.92', '212.63.160.123', 3560939612, 3560939643, 'DE', 'Germany'),
(150810, '212.63.160.124', '212.63.160.127', 3560939644, 3560939647, 'BE', 'Belgium'),
(150811, '212.63.160.128', '212.63.160.135', 3560939648, 3560939655, 'DE', 'Germany'),
(150812, '212.63.160.136', '212.63.160.139', 3560939656, 3560939659, 'CH', 'Switzerland'),
(150813, '212.63.160.140', '212.63.160.143', 3560939660, 3560939663, 'DE', 'Germany'),
(150814, '212.63.160.144', '212.63.160.147', 3560939664, 3560939667, 'DK', 'Denmark'),
(150815, '212.63.160.148', '212.63.160.159', 3560939668, 3560939679, 'DE', 'Germany'),
(150816, '212.63.160.160', '212.63.160.163', 3560939680, 3560939683, 'IT', 'Italy'),
(150817, '212.63.160.164', '212.63.160.167', 3560939684, 3560939687, 'AT', 'Austria'),
(150818, '212.63.160.168', '212.63.160.171', 3560939688, 3560939691, 'ES', 'Spain'),
(150819, '212.63.160.172', '212.63.160.175', 3560939692, 3560939695, 'FR', 'France'),
(150820, '212.63.160.176', '212.63.160.183', 3560939696, 3560939703, 'DE', 'Germany'),
(150821, '212.63.160.184', '212.63.160.187', 3560939704, 3560939707, 'ES', 'Spain'),
(150822, '212.63.160.188', '212.63.160.199', 3560939708, 3560939719, 'DE', 'Germany'),
(150823, '212.63.160.200', '212.63.160.207', 3560939720, 3560939727, 'GR', 'Greece'),
(150824, '212.63.160.208', '212.63.160.215', 3560939728, 3560939735, 'NL', 'Netherlands'),
(150825, '212.63.160.216', '212.63.160.231', 3560939736, 3560939751, 'FR', 'France'),
(150826, '212.63.160.232', '212.63.160.235', 3560939752, 3560939755, 'IT', 'Italy'),
(150827, '212.63.160.236', '212.63.160.239', 3560939756, 3560939759, 'DE', 'Germany'),
(150828, '212.63.160.240', '212.63.160.243', 3560939760, 3560939763, 'IT', 'Italy'),
(150829, '212.63.160.244', '212.63.160.247', 3560939764, 3560939767, 'DE', 'Germany'),
(150830, '212.63.160.248', '212.63.160.251', 3560939768, 3560939771, 'IE', 'Ireland'),
(150831, '212.63.160.252', '212.63.160.255', 3560939772, 3560939775, 'CZ', 'Czech Republic'),
(150832, '212.63.161.0', '212.63.161.3', 3560939776, 3560939779, 'BE', 'Belgium'),
(150833, '212.63.161.4', '212.63.161.15', 3560939780, 3560939791, 'DE', 'Germany'),
(150834, '212.63.161.16', '212.63.161.19', 3560939792, 3560939795, 'FR', 'France'),
(150835, '212.63.161.20', '212.63.161.23', 3560939796, 3560939799, 'GB', 'United Kingdom'),
(150836, '212.63.161.24', '212.63.161.27', 3560939800, 3560939803, 'DE', 'Germany'),
(150837, '212.63.161.28', '212.63.161.31', 3560939804, 3560939807, 'IT', 'Italy'),
(150838, '212.63.161.32', '212.63.161.35', 3560939808, 3560939811, 'FR', 'France'),
(150839, '212.63.161.36', '212.63.161.39', 3560939812, 3560939815, 'DE', 'Germany'),
(150840, '212.63.161.40', '212.63.161.43', 3560939816, 3560939819, 'CH', 'Switzerland'),
(150841, '212.63.161.44', '212.63.161.47', 3560939820, 3560939823, 'DE', 'Germany'),
(150842, '212.63.161.48', '212.63.161.51', 3560939824, 3560939827, 'LI', 'Liechtenstein'),
(150843, '212.63.161.52', '212.63.161.55', 3560939828, 3560939831, 'FR', 'France'),
(150844, '212.63.161.56', '212.63.161.63', 3560939832, 3560939839, 'DE', 'Germany'),
(150845, '212.63.161.64', '212.63.161.67', 3560939840, 3560939843, 'GB', 'United Kingdom'),
(150846, '212.63.161.68', '212.63.161.71', 3560939844, 3560939847, 'ES', 'Spain'),
(150847, '212.63.161.72', '212.63.161.75', 3560939848, 3560939851, 'BE', 'Belgium'),
(150848, '212.63.161.76', '212.63.161.79', 3560939852, 3560939855, 'ES', 'Spain'),
(150849, '212.63.161.80', '212.63.161.83', 3560939856, 3560939859, 'FR', 'France'),
(150850, '212.63.161.84', '212.63.161.87', 3560939860, 3560939863, 'HU', 'Hungary'),
(150851, '212.63.161.88', '212.63.161.91', 3560939864, 3560939867, 'ES', 'Spain'),
(150852, '212.63.161.92', '212.63.161.99', 3560939868, 3560939875, 'DE', 'Germany'),
(150853, '212.63.161.100', '212.63.161.103', 3560939876, 3560939879, 'CH', 'Switzerland'),
(150854, '212.63.161.104', '212.63.161.111', 3560939880, 3560939887, 'DE', 'Germany'),
(150855, '212.63.161.112', '212.63.161.115', 3560939888, 3560939891, 'CH', 'Switzerland'),
(150856, '212.63.161.116', '212.63.161.119', 3560939892, 3560939895, 'DE', 'Germany'),
(150857, '212.63.161.120', '212.63.161.123', 3560939896, 3560939899, 'ES', 'Spain'),
(150858, '212.63.161.124', '212.63.161.127', 3560939900, 3560939903, 'GB', 'United Kingdom'),
(150859, '212.63.161.128', '212.63.161.131', 3560939904, 3560939907, 'BR', 'Brazil'),
(150860, '212.63.161.132', '212.63.161.135', 3560939908, 3560939911, 'NL', 'Netherlands'),
(150861, '212.63.161.136', '212.63.161.139', 3560939912, 3560939915, 'RE', 'Reunion'),
(150862, '212.63.161.140', '212.63.161.143', 3560939916, 3560939919, 'ES', 'Spain'),
(150863, '212.63.161.144', '212.63.161.151', 3560939920, 3560939927, 'DE', 'Germany'),
(150864, '212.63.161.152', '212.63.161.155', 3560939928, 3560939931, 'NL', 'Netherlands'),
(150865, '212.63.161.156', '212.63.161.159', 3560939932, 3560939935, 'IT', 'Italy');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(150866, '212.63.161.160', '212.63.161.163', 3560939936, 3560939939, 'DE', 'Germany'),
(150867, '212.63.161.164', '212.63.161.167', 3560939940, 3560939943, 'AT', 'Austria'),
(150868, '212.63.161.168', '212.63.161.175', 3560939944, 3560939951, 'FR', 'France'),
(150869, '212.63.161.176', '212.63.161.179', 3560939952, 3560939955, 'DE', 'Germany'),
(150870, '212.63.161.180', '212.63.161.183', 3560939956, 3560939959, 'AT', 'Austria'),
(150871, '212.63.161.184', '212.63.161.191', 3560939960, 3560939967, 'DE', 'Germany'),
(150872, '212.63.161.192', '212.63.161.195', 3560939968, 3560939971, 'ES', 'Spain'),
(150873, '212.63.161.196', '212.63.161.199', 3560939972, 3560939975, 'DE', 'Germany'),
(150874, '212.63.161.200', '212.63.161.207', 3560939976, 3560939983, 'BE', 'Belgium'),
(150875, '212.63.161.208', '212.63.161.211', 3560939984, 3560939987, 'FR', 'France'),
(150876, '212.63.161.212', '212.63.161.215', 3560939988, 3560939991, 'ES', 'Spain'),
(150877, '212.63.161.216', '212.63.161.219', 3560939992, 3560939995, 'IT', 'Italy'),
(150878, '212.63.161.220', '212.63.161.223', 3560939996, 3560939999, 'DE', 'Germany'),
(150879, '212.63.161.224', '212.63.161.231', 3560940000, 3560940007, 'ES', 'Spain'),
(150880, '212.63.161.232', '212.63.161.239', 3560940008, 3560940015, 'DE', 'Germany'),
(150881, '212.63.161.240', '212.63.161.243', 3560940016, 3560940019, 'BE', 'Belgium'),
(150882, '212.63.161.244', '212.63.161.247', 3560940020, 3560940023, 'GB', 'United Kingdom'),
(150883, '212.63.161.248', '212.63.161.251', 3560940024, 3560940027, 'GR', 'Greece'),
(150884, '212.63.161.252', '212.63.162.11', 3560940028, 3560940043, 'DE', 'Germany'),
(150885, '212.63.162.12', '212.63.162.15', 3560940044, 3560940047, 'GB', 'United Kingdom'),
(150886, '212.63.162.16', '212.63.162.19', 3560940048, 3560940051, 'ES', 'Spain'),
(150887, '212.63.162.20', '212.63.162.23', 3560940052, 3560940055, 'BE', 'Belgium'),
(150888, '212.63.162.24', '212.63.162.27', 3560940056, 3560940059, 'NL', 'Netherlands'),
(150889, '212.63.162.28', '212.63.162.31', 3560940060, 3560940063, 'LU', 'Luxembourg'),
(150890, '212.63.162.32', '212.63.162.35', 3560940064, 3560940067, 'CH', 'Switzerland'),
(150891, '212.63.162.36', '212.63.162.39', 3560940068, 3560940071, 'FR', 'France'),
(150892, '212.63.162.40', '212.63.162.43', 3560940072, 3560940075, 'DE', 'Germany'),
(150893, '212.63.162.44', '212.63.162.47', 3560940076, 3560940079, 'ES', 'Spain'),
(150894, '212.63.162.48', '212.63.162.55', 3560940080, 3560940087, 'DE', 'Germany'),
(150895, '212.63.162.56', '212.63.162.59', 3560940088, 3560940091, 'IT', 'Italy'),
(150896, '212.63.162.60', '212.63.162.63', 3560940092, 3560940095, 'CH', 'Switzerland'),
(150897, '212.63.162.64', '212.63.162.67', 3560940096, 3560940099, 'IT', 'Italy'),
(150898, '212.63.162.68', '212.63.162.71', 3560940100, 3560940103, 'FR', 'France'),
(150899, '212.63.162.72', '212.63.162.83', 3560940104, 3560940115, 'DE', 'Germany'),
(150900, '212.63.162.84', '212.63.162.87', 3560940116, 3560940119, 'FR', 'France'),
(150901, '212.63.162.88', '212.63.162.91', 3560940120, 3560940123, 'GB', 'United Kingdom'),
(150902, '212.63.162.92', '212.63.162.95', 3560940124, 3560940127, 'DE', 'Germany'),
(150903, '212.63.162.96', '212.63.162.103', 3560940128, 3560940135, 'IT', 'Italy'),
(150904, '212.63.162.104', '212.63.162.107', 3560940136, 3560940139, 'AT', 'Austria'),
(150905, '212.63.162.108', '212.63.162.111', 3560940140, 3560940143, 'HU', 'Hungary'),
(150906, '212.63.162.112', '212.63.162.115', 3560940144, 3560940147, 'DE', 'Germany'),
(150907, '212.63.162.116', '212.63.162.119', 3560940148, 3560940151, 'IT', 'Italy'),
(150908, '212.63.162.120', '212.63.162.123', 3560940152, 3560940155, 'FR', 'France'),
(150909, '212.63.162.124', '212.63.162.127', 3560940156, 3560940159, 'ES', 'Spain'),
(150910, '212.63.162.128', '212.63.162.131', 3560940160, 3560940163, 'IT', 'Italy'),
(150911, '212.63.162.132', '212.63.162.139', 3560940164, 3560940171, 'FR', 'France'),
(150912, '212.63.162.140', '212.63.162.143', 3560940172, 3560940175, 'DE', 'Germany'),
(150913, '212.63.162.144', '212.63.162.147', 3560940176, 3560940179, 'FR', 'France'),
(150914, '212.63.162.148', '212.63.162.151', 3560940180, 3560940183, 'BE', 'Belgium'),
(150915, '212.63.162.152', '212.63.162.155', 3560940184, 3560940187, 'FR', 'France'),
(150916, '212.63.162.156', '212.63.162.159', 3560940188, 3560940191, 'IT', 'Italy'),
(150917, '212.63.162.160', '212.63.162.163', 3560940192, 3560940195, 'AT', 'Austria'),
(150918, '212.63.162.164', '212.63.162.167', 3560940196, 3560940199, 'DE', 'Germany'),
(150919, '212.63.162.168', '212.63.162.171', 3560940200, 3560940203, 'CY', 'Cyprus'),
(150920, '212.63.162.172', '212.63.162.175', 3560940204, 3560940207, 'DE', 'Germany'),
(150921, '212.63.162.176', '212.63.162.179', 3560940208, 3560940211, 'ES', 'Spain'),
(150922, '212.63.162.180', '212.63.162.183', 3560940212, 3560940215, 'FR', 'France'),
(150923, '212.63.162.184', '212.63.162.187', 3560940216, 3560940219, 'IE', 'Ireland'),
(150924, '212.63.162.188', '212.63.162.195', 3560940220, 3560940227, 'DE', 'Germany'),
(150925, '212.63.162.196', '212.63.162.199', 3560940228, 3560940231, 'CH', 'Switzerland'),
(150926, '212.63.162.200', '212.63.162.203', 3560940232, 3560940235, 'IT', 'Italy'),
(150927, '212.63.162.204', '212.63.162.207', 3560940236, 3560940239, 'DE', 'Germany'),
(150928, '212.63.162.208', '212.63.162.211', 3560940240, 3560940243, 'PT', 'Portugal'),
(150929, '212.63.162.212', '212.63.162.215', 3560940244, 3560940247, 'GB', 'United Kingdom'),
(150930, '212.63.162.216', '212.63.162.219', 3560940248, 3560940251, 'DE', 'Germany'),
(150931, '212.63.162.220', '212.63.162.223', 3560940252, 3560940255, 'CH', 'Switzerland'),
(150932, '212.63.162.224', '212.63.162.231', 3560940256, 3560940263, 'DE', 'Germany'),
(150933, '212.63.162.232', '212.63.162.235', 3560940264, 3560940267, 'AT', 'Austria'),
(150934, '212.63.162.236', '212.63.162.243', 3560940268, 3560940275, 'GB', 'United Kingdom'),
(150935, '212.63.162.244', '212.63.162.247', 3560940276, 3560940279, 'FR', 'France'),
(150936, '212.63.162.248', '212.63.162.251', 3560940280, 3560940283, 'AT', 'Austria'),
(150937, '212.63.162.252', '212.63.162.255', 3560940284, 3560940287, 'DE', 'Germany'),
(150938, '212.63.163.0', '212.63.163.3', 3560940288, 3560940291, 'FR', 'France'),
(150939, '212.63.163.4', '212.63.163.19', 3560940292, 3560940307, 'DE', 'Germany'),
(150940, '212.63.163.20', '212.63.163.23', 3560940308, 3560940311, 'BE', 'Belgium'),
(150941, '212.63.163.24', '212.63.163.39', 3560940312, 3560940327, 'DE', 'Germany'),
(150942, '212.63.163.40', '212.63.163.43', 3560940328, 3560940331, 'ES', 'Spain'),
(150943, '212.63.163.44', '212.63.163.51', 3560940332, 3560940339, 'DE', 'Germany'),
(150944, '212.63.163.52', '212.63.163.55', 3560940340, 3560940343, 'CH', 'Switzerland'),
(150945, '212.63.163.56', '212.63.163.59', 3560940344, 3560940347, 'NL', 'Netherlands'),
(150946, '212.63.163.60', '212.63.163.79', 3560940348, 3560940367, 'DE', 'Germany'),
(150947, '212.63.163.80', '212.63.163.83', 3560940368, 3560940371, 'FR', 'France'),
(150948, '212.63.163.84', '212.63.163.91', 3560940372, 3560940379, 'CH', 'Switzerland'),
(150949, '212.63.163.92', '212.63.163.99', 3560940380, 3560940387, 'DE', 'Germany'),
(150950, '212.63.163.100', '212.63.163.103', 3560940388, 3560940391, 'ES', 'Spain'),
(150951, '212.63.163.104', '212.63.163.107', 3560940392, 3560940395, 'DE', 'Germany'),
(150952, '212.63.163.108', '212.63.163.111', 3560940396, 3560940399, 'IL', 'Israel'),
(150953, '212.63.163.112', '212.63.163.115', 3560940400, 3560940403, 'CH', 'Switzerland'),
(150954, '212.63.163.116', '212.63.163.119', 3560940404, 3560940407, 'DE', 'Germany'),
(150955, '212.63.163.120', '212.63.163.123', 3560940408, 3560940411, 'IT', 'Italy'),
(150956, '212.63.163.124', '212.63.163.131', 3560940412, 3560940419, 'DE', 'Germany'),
(150957, '212.63.163.132', '212.63.163.135', 3560940420, 3560940423, 'GR', 'Greece'),
(150958, '212.63.163.136', '212.63.163.143', 3560940424, 3560940431, 'DE', 'Germany'),
(150959, '212.63.163.144', '212.63.163.147', 3560940432, 3560940435, 'FR', 'France'),
(150960, '212.63.163.148', '212.63.163.151', 3560940436, 3560940439, 'DE', 'Germany'),
(150961, '212.63.163.152', '212.63.163.155', 3560940440, 3560940443, 'BE', 'Belgium'),
(150962, '212.63.163.156', '212.63.163.159', 3560940444, 3560940447, 'SL', 'Sierra Leone'),
(150963, '212.63.163.160', '212.63.163.163', 3560940448, 3560940451, 'DE', 'Germany'),
(150964, '212.63.163.164', '212.63.163.167', 3560940452, 3560940455, 'NL', 'Netherlands'),
(150965, '212.63.163.168', '212.63.163.171', 3560940456, 3560940459, 'DE', 'Germany'),
(150966, '212.63.163.172', '212.63.163.175', 3560940460, 3560940463, 'HU', 'Hungary'),
(150967, '212.63.163.176', '212.63.163.179', 3560940464, 3560940467, 'CY', 'Cyprus'),
(150968, '212.63.163.180', '212.63.163.183', 3560940468, 3560940471, 'DE', 'Germany'),
(150969, '212.63.163.184', '212.63.163.187', 3560940472, 3560940475, 'FR', 'France'),
(150970, '212.63.163.188', '212.63.163.191', 3560940476, 3560940479, 'CH', 'Switzerland'),
(150971, '212.63.163.192', '212.63.163.199', 3560940480, 3560940487, 'ES', 'Spain'),
(150972, '212.63.163.200', '212.63.163.203', 3560940488, 3560940491, 'CZ', 'Czech Republic'),
(150973, '212.63.163.204', '212.63.163.207', 3560940492, 3560940495, 'ES', 'Spain'),
(150974, '212.63.163.208', '212.63.163.211', 3560940496, 3560940499, 'IT', 'Italy'),
(150975, '212.63.163.212', '212.63.163.215', 3560940500, 3560940503, 'DE', 'Germany'),
(150976, '212.63.163.216', '212.63.163.219', 3560940504, 3560940507, 'GB', 'United Kingdom'),
(150977, '212.63.163.220', '212.63.163.223', 3560940508, 3560940511, 'IT', 'Italy'),
(150978, '212.63.163.224', '212.63.163.235', 3560940512, 3560940523, 'DE', 'Germany'),
(150979, '212.63.163.236', '212.63.163.239', 3560940524, 3560940527, 'FR', 'France'),
(150980, '212.63.163.240', '212.63.163.243', 3560940528, 3560940531, 'DE', 'Germany'),
(150981, '212.63.163.244', '212.63.163.247', 3560940532, 3560940535, 'FR', 'France'),
(150982, '212.63.163.248', '212.63.163.251', 3560940536, 3560940539, 'HU', 'Hungary'),
(150983, '212.63.163.252', '212.63.163.255', 3560940540, 3560940543, 'IT', 'Italy'),
(150984, '212.63.164.0', '212.63.164.3', 3560940544, 3560940547, 'DE', 'Germany'),
(150985, '212.63.164.4', '212.63.164.7', 3560940548, 3560940551, 'IE', 'Ireland'),
(150986, '212.63.164.8', '212.63.164.19', 3560940552, 3560940563, 'DE', 'Germany'),
(150987, '212.63.164.20', '212.63.164.23', 3560940564, 3560940567, 'GB', 'United Kingdom'),
(150988, '212.63.164.24', '212.63.164.27', 3560940568, 3560940571, 'DE', 'Germany'),
(150989, '212.63.164.28', '212.63.164.31', 3560940572, 3560940575, 'DK', 'Denmark'),
(150990, '212.63.164.32', '212.63.164.35', 3560940576, 3560940579, 'ES', 'Spain'),
(150991, '212.63.164.36', '212.63.164.39', 3560940580, 3560940583, 'IT', 'Italy'),
(150992, '212.63.164.40', '212.63.164.43', 3560940584, 3560940587, 'FR', 'France'),
(150993, '212.63.164.44', '212.63.164.47', 3560940588, 3560940591, 'IT', 'Italy'),
(150994, '212.63.164.48', '212.63.164.51', 3560940592, 3560940595, 'GR', 'Greece'),
(150995, '212.63.164.52', '212.63.164.55', 3560940596, 3560940599, 'CH', 'Switzerland'),
(150996, '212.63.164.56', '212.63.164.59', 3560940600, 3560940603, 'MA', 'Morocco'),
(150997, '212.63.164.60', '212.63.164.63', 3560940604, 3560940607, 'GB', 'United Kingdom'),
(150998, '212.63.164.64', '212.63.164.67', 3560940608, 3560940611, 'FR', 'France'),
(150999, '212.63.164.68', '212.63.164.71', 3560940612, 3560940615, 'CH', 'Switzerland'),
(151000, '212.63.164.72', '212.63.164.75', 3560940616, 3560940619, 'DE', 'Germany'),
(151001, '212.63.164.76', '212.63.164.79', 3560940620, 3560940623, 'AT', 'Austria'),
(151002, '212.63.164.80', '212.63.164.83', 3560940624, 3560940627, 'SM', 'San Marino'),
(151003, '212.63.164.84', '212.63.164.87', 3560940628, 3560940631, 'PL', 'Poland'),
(151004, '212.63.164.88', '212.63.164.91', 3560940632, 3560940635, 'AT', 'Austria'),
(151005, '212.63.164.92', '212.63.164.95', 3560940636, 3560940639, 'DE', 'Germany'),
(151006, '212.63.164.96', '212.63.164.103', 3560940640, 3560940647, 'GB', 'United Kingdom'),
(151007, '212.63.164.104', '212.63.164.111', 3560940648, 3560940655, 'DE', 'Germany'),
(151008, '212.63.164.112', '212.63.164.119', 3560940656, 3560940663, 'IT', 'Italy'),
(151009, '212.63.164.120', '212.63.164.139', 3560940664, 3560940683, 'DE', 'Germany'),
(151010, '212.63.164.140', '212.63.164.143', 3560940684, 3560940687, 'DK', 'Denmark'),
(151011, '212.63.164.144', '212.63.164.147', 3560940688, 3560940691, 'IT', 'Italy'),
(151012, '212.63.164.148', '212.63.164.151', 3560940692, 3560940695, 'NO', 'Norway'),
(151013, '212.63.164.152', '212.63.164.155', 3560940696, 3560940699, 'FR', 'France'),
(151014, '212.63.164.156', '212.63.164.159', 3560940700, 3560940703, 'GB', 'United Kingdom'),
(151015, '212.63.164.160', '212.63.164.163', 3560940704, 3560940707, 'ES', 'Spain'),
(151016, '212.63.164.164', '212.63.164.167', 3560940708, 3560940711, 'BE', 'Belgium'),
(151017, '212.63.164.168', '212.63.164.171', 3560940712, 3560940715, 'DE', 'Germany'),
(151018, '212.63.164.172', '212.63.164.175', 3560940716, 3560940719, 'ES', 'Spain'),
(151019, '212.63.164.176', '212.63.164.179', 3560940720, 3560940723, 'PL', 'Poland'),
(151020, '212.63.164.180', '212.63.164.183', 3560940724, 3560940727, 'DE', 'Germany'),
(151021, '212.63.164.184', '212.63.164.187', 3560940728, 3560940731, 'FR', 'France'),
(151022, '212.63.164.188', '212.63.164.191', 3560940732, 3560940735, 'DE', 'Germany'),
(151023, '212.63.164.192', '212.63.164.195', 3560940736, 3560940739, 'DK', 'Denmark'),
(151024, '212.63.164.196', '212.63.164.199', 3560940740, 3560940743, 'IT', 'Italy'),
(151025, '212.63.164.200', '212.63.164.207', 3560940744, 3560940751, 'DE', 'Germany'),
(151026, '212.63.164.208', '212.63.164.211', 3560940752, 3560940755, 'IE', 'Ireland'),
(151027, '212.63.164.212', '212.63.164.219', 3560940756, 3560940763, 'FR', 'France'),
(151028, '212.63.164.220', '212.63.164.223', 3560940764, 3560940767, 'CH', 'Switzerland'),
(151029, '212.63.164.224', '212.63.164.235', 3560940768, 3560940779, 'DE', 'Germany'),
(151030, '212.63.164.236', '212.63.164.239', 3560940780, 3560940783, 'IT', 'Italy'),
(151031, '212.63.164.240', '212.63.164.243', 3560940784, 3560940787, 'NL', 'Netherlands'),
(151032, '212.63.164.244', '212.63.164.247', 3560940788, 3560940791, 'GB', 'United Kingdom'),
(151033, '212.63.164.248', '212.63.164.255', 3560940792, 3560940799, 'ES', 'Spain'),
(151034, '212.63.165.0', '212.63.165.3', 3560940800, 3560940803, 'DE', 'Germany'),
(151035, '212.63.165.4', '212.63.165.7', 3560940804, 3560940807, 'GB', 'United Kingdom'),
(151036, '212.63.165.8', '212.63.165.11', 3560940808, 3560940811, 'IT', 'Italy'),
(151037, '212.63.165.12', '212.63.165.15', 3560940812, 3560940815, 'DE', 'Germany'),
(151038, '212.63.165.16', '212.63.165.19', 3560940816, 3560940819, 'FR', 'France'),
(151039, '212.63.165.20', '212.63.165.23', 3560940820, 3560940823, 'NL', 'Netherlands'),
(151040, '212.63.165.24', '212.63.165.27', 3560940824, 3560940827, 'IT', 'Italy'),
(151041, '212.63.165.28', '212.63.165.31', 3560940828, 3560940831, 'ES', 'Spain'),
(151042, '212.63.165.32', '212.63.165.39', 3560940832, 3560940839, 'DE', 'Germany'),
(151043, '212.63.165.40', '212.63.165.43', 3560940840, 3560940843, 'IT', 'Italy'),
(151044, '212.63.165.44', '212.63.165.51', 3560940844, 3560940851, 'ES', 'Spain'),
(151045, '212.63.165.52', '212.63.165.59', 3560940852, 3560940859, 'DE', 'Germany'),
(151046, '212.63.165.60', '212.63.165.63', 3560940860, 3560940863, 'PT', 'Portugal'),
(151047, '212.63.165.64', '212.63.165.67', 3560940864, 3560940867, 'IT', 'Italy'),
(151048, '212.63.165.68', '212.63.165.75', 3560940868, 3560940875, 'DE', 'Germany'),
(151049, '212.63.165.76', '212.63.165.79', 3560940876, 3560940879, 'FR', 'France'),
(151050, '212.63.165.80', '212.63.165.83', 3560940880, 3560940883, 'IT', 'Italy'),
(151051, '212.63.165.84', '212.63.165.87', 3560940884, 3560940887, 'NL', 'Netherlands'),
(151052, '212.63.165.88', '212.63.165.91', 3560940888, 3560940891, 'LU', 'Luxembourg'),
(151053, '212.63.165.92', '212.63.165.95', 3560940892, 3560940895, 'ES', 'Spain'),
(151054, '212.63.165.96', '212.63.165.99', 3560940896, 3560940899, 'DE', 'Germany'),
(151055, '212.63.165.100', '212.63.165.103', 3560940900, 3560940903, 'NL', 'Netherlands'),
(151056, '212.63.165.104', '212.63.165.107', 3560940904, 3560940907, 'DE', 'Germany'),
(151057, '212.63.165.108', '212.63.165.115', 3560940908, 3560940915, 'GB', 'United Kingdom'),
(151058, '212.63.165.116', '212.63.165.123', 3560940916, 3560940923, 'DE', 'Germany'),
(151059, '212.63.165.124', '212.63.165.127', 3560940924, 3560940927, 'ES', 'Spain'),
(151060, '212.63.165.128', '212.63.165.131', 3560940928, 3560940931, 'GR', 'Greece'),
(151061, '212.63.165.132', '212.63.165.135', 3560940932, 3560940935, 'CH', 'Switzerland'),
(151062, '212.63.165.136', '212.63.165.139', 3560940936, 3560940939, 'IT', 'Italy'),
(151063, '212.63.165.140', '212.63.165.151', 3560940940, 3560940951, 'DE', 'Germany'),
(151064, '212.63.165.152', '212.63.165.155', 3560940952, 3560940955, 'AT', 'Austria'),
(151065, '212.63.165.156', '212.63.165.163', 3560940956, 3560940963, 'NL', 'Netherlands'),
(151066, '212.63.165.164', '212.63.165.167', 3560940964, 3560940967, 'DE', 'Germany'),
(151067, '212.63.165.168', '212.63.165.171', 3560940968, 3560940971, 'NL', 'Netherlands'),
(151068, '212.63.165.172', '212.63.165.175', 3560940972, 3560940975, 'DE', 'Germany'),
(151069, '212.63.165.176', '212.63.165.179', 3560940976, 3560940979, 'FR', 'France'),
(151070, '212.63.165.180', '212.63.165.183', 3560940980, 3560940983, 'LU', 'Luxembourg'),
(151071, '212.63.165.184', '212.63.165.187', 3560940984, 3560940987, 'IT', 'Italy'),
(151072, '212.63.165.188', '212.63.165.195', 3560940988, 3560940995, 'DE', 'Germany'),
(151073, '212.63.165.196', '212.63.165.199', 3560940996, 3560940999, 'DK', 'Denmark'),
(151074, '212.63.165.200', '212.63.165.203', 3560941000, 3560941003, 'ES', 'Spain'),
(151075, '212.63.165.204', '212.63.165.207', 3560941004, 3560941007, 'PL', 'Poland'),
(151076, '212.63.165.208', '212.63.165.219', 3560941008, 3560941019, 'DE', 'Germany'),
(151077, '212.63.165.220', '212.63.165.223', 3560941020, 3560941023, 'IT', 'Italy'),
(151078, '212.63.165.224', '212.63.165.227', 3560941024, 3560941027, 'FR', 'France'),
(151079, '212.63.165.228', '212.63.165.231', 3560941028, 3560941031, 'CH', 'Switzerland'),
(151080, '212.63.165.232', '212.63.165.235', 3560941032, 3560941035, 'FR', 'France'),
(151081, '212.63.165.236', '212.63.165.239', 3560941036, 3560941039, 'DE', 'Germany'),
(151082, '212.63.165.240', '212.63.165.243', 3560941040, 3560941043, 'FR', 'France'),
(151083, '212.63.165.244', '212.63.165.247', 3560941044, 3560941047, 'DE', 'Germany'),
(151084, '212.63.165.248', '212.63.165.251', 3560941048, 3560941051, 'GR', 'Greece'),
(151085, '212.63.165.252', '212.63.166.3', 3560941052, 3560941059, 'FR', 'France'),
(151086, '212.63.166.4', '212.63.166.7', 3560941060, 3560941063, 'GB', 'United Kingdom'),
(151087, '212.63.166.8', '212.63.166.15', 3560941064, 3560941071, 'FR', 'France'),
(151088, '212.63.166.16', '212.63.166.19', 3560941072, 3560941075, 'NL', 'Netherlands'),
(151089, '212.63.166.20', '212.63.166.23', 3560941076, 3560941079, 'GB', 'United Kingdom'),
(151090, '212.63.166.24', '212.63.166.27', 3560941080, 3560941083, 'BE', 'Belgium'),
(151091, '212.63.166.28', '212.63.166.31', 3560941084, 3560941087, 'IT', 'Italy'),
(151092, '212.63.166.32', '212.63.166.35', 3560941088, 3560941091, 'DE', 'Germany'),
(151093, '212.63.166.36', '212.63.166.39', 3560941092, 3560941095, 'BE', 'Belgium'),
(151094, '212.63.166.40', '212.63.166.43', 3560941096, 3560941099, 'AT', 'Austria'),
(151095, '212.63.166.44', '212.63.166.47', 3560941100, 3560941103, 'IT', 'Italy'),
(151096, '212.63.166.48', '212.63.166.51', 3560941104, 3560941107, 'FR', 'France'),
(151097, '212.63.166.52', '212.63.166.63', 3560941108, 3560941119, 'DE', 'Germany'),
(151098, '212.63.166.64', '212.63.166.67', 3560941120, 3560941123, 'BE', 'Belgium'),
(151099, '212.63.166.68', '212.63.166.71', 3560941124, 3560941127, 'FR', 'France'),
(151100, '212.63.166.72', '212.63.166.75', 3560941128, 3560941131, 'DE', 'Germany'),
(151101, '212.63.166.76', '212.63.166.79', 3560941132, 3560941135, 'GB', 'United Kingdom'),
(151102, '212.63.166.80', '212.63.166.91', 3560941136, 3560941147, 'DE', 'Germany'),
(151103, '212.63.166.92', '212.63.166.95', 3560941148, 3560941151, 'IT', 'Italy'),
(151104, '212.63.166.96', '212.63.166.99', 3560941152, 3560941155, 'DK', 'Denmark'),
(151105, '212.63.166.100', '212.63.166.103', 3560941156, 3560941159, 'ES', 'Spain'),
(151106, '212.63.166.104', '212.63.166.107', 3560941160, 3560941163, 'IT', 'Italy'),
(151107, '212.63.166.108', '212.63.166.111', 3560941164, 3560941167, 'DE', 'Germany'),
(151108, '212.63.166.112', '212.63.166.115', 3560941168, 3560941171, 'NL', 'Netherlands'),
(151109, '212.63.166.116', '212.63.166.119', 3560941172, 3560941175, 'DE', 'Germany'),
(151110, '212.63.166.120', '212.63.166.123', 3560941176, 3560941179, 'ES', 'Spain'),
(151111, '212.63.166.124', '212.63.166.127', 3560941180, 3560941183, 'GB', 'United Kingdom'),
(151112, '212.63.166.128', '212.63.166.131', 3560941184, 3560941187, 'IT', 'Italy'),
(151113, '212.63.166.132', '212.63.166.135', 3560941188, 3560941191, 'ES', 'Spain'),
(151114, '212.63.166.136', '212.63.166.139', 3560941192, 3560941195, 'CH', 'Switzerland'),
(151115, '212.63.166.140', '212.63.166.143', 3560941196, 3560941199, 'FR', 'France'),
(151116, '212.63.166.144', '212.63.166.147', 3560941200, 3560941203, 'DE', 'Germany'),
(151117, '212.63.166.148', '212.63.166.151', 3560941204, 3560941207, 'IT', 'Italy'),
(151118, '212.63.166.152', '212.63.166.155', 3560941208, 3560941211, 'MA', 'Morocco'),
(151119, '212.63.166.156', '212.63.166.159', 3560941212, 3560941215, 'DE', 'Germany'),
(151120, '212.63.166.160', '212.63.166.163', 3560941216, 3560941219, 'NL', 'Netherlands'),
(151121, '212.63.166.164', '212.63.166.167', 3560941220, 3560941223, 'GB', 'United Kingdom'),
(151122, '212.63.166.168', '212.63.166.171', 3560941224, 3560941227, 'DE', 'Germany'),
(151123, '212.63.166.172', '212.63.166.175', 3560941228, 3560941231, 'SE', 'Sweden'),
(151124, '212.63.166.176', '212.63.166.179', 3560941232, 3560941235, 'FR', 'France'),
(151125, '212.63.166.180', '212.63.166.187', 3560941236, 3560941243, 'DE', 'Germany'),
(151126, '212.63.166.188', '212.63.166.195', 3560941244, 3560941251, 'IT', 'Italy'),
(151127, '212.63.166.196', '212.63.166.199', 3560941252, 3560941255, 'FR', 'France'),
(151128, '212.63.166.200', '212.63.166.203', 3560941256, 3560941259, 'AT', 'Austria'),
(151129, '212.63.166.204', '212.63.166.207', 3560941260, 3560941263, 'GB', 'United Kingdom'),
(151130, '212.63.166.208', '212.63.166.215', 3560941264, 3560941271, 'ES', 'Spain'),
(151131, '212.63.166.216', '212.63.166.219', 3560941272, 3560941275, 'DK', 'Denmark'),
(151132, '212.63.166.220', '212.63.166.223', 3560941276, 3560941279, 'GR', 'Greece'),
(151133, '212.63.166.224', '212.63.166.227', 3560941280, 3560941283, 'NL', 'Netherlands'),
(151134, '212.63.166.228', '212.63.166.231', 3560941284, 3560941287, 'DE', 'Germany'),
(151135, '212.63.166.232', '212.63.166.235', 3560941288, 3560941291, 'ES', 'Spain'),
(151136, '212.63.166.236', '212.63.166.239', 3560941292, 3560941295, 'DE', 'Germany'),
(151137, '212.63.166.240', '212.63.166.247', 3560941296, 3560941303, 'IT', 'Italy'),
(151138, '212.63.166.248', '212.63.166.251', 3560941304, 3560941307, 'FR', 'France'),
(151139, '212.63.166.252', '212.63.167.3', 3560941308, 3560941315, 'DE', 'Germany'),
(151140, '212.63.167.4', '212.63.167.7', 3560941316, 3560941319, 'SE', 'Sweden'),
(151141, '212.63.167.8', '212.63.167.11', 3560941320, 3560941323, 'ES', 'Spain'),
(151142, '212.63.167.12', '212.63.167.19', 3560941324, 3560941331, 'IT', 'Italy'),
(151143, '212.63.167.20', '212.63.167.23', 3560941332, 3560941335, 'PT', 'Portugal'),
(151144, '212.63.167.24', '212.63.167.27', 3560941336, 3560941339, 'BE', 'Belgium'),
(151145, '212.63.167.28', '212.63.167.31', 3560941340, 3560941343, 'GB', 'United Kingdom'),
(151146, '212.63.167.32', '212.63.167.35', 3560941344, 3560941347, 'FR', 'France'),
(151147, '212.63.167.36', '212.63.167.39', 3560941348, 3560941351, 'IE', 'Ireland'),
(151148, '212.63.167.40', '212.63.167.43', 3560941352, 3560941355, 'NL', 'Netherlands'),
(151149, '212.63.167.44', '212.63.167.47', 3560941356, 3560941359, 'ES', 'Spain'),
(151150, '212.63.167.48', '212.63.167.55', 3560941360, 3560941367, 'DE', 'Germany'),
(151151, '212.63.167.56', '212.63.167.59', 3560941368, 3560941371, 'DK', 'Denmark'),
(151152, '212.63.167.60', '212.63.167.67', 3560941372, 3560941379, 'DE', 'Germany'),
(151153, '212.63.167.68', '212.63.167.71', 3560941380, 3560941383, 'CH', 'Switzerland'),
(151154, '212.63.167.72', '212.63.167.75', 3560941384, 3560941387, 'IE', 'Ireland'),
(151155, '212.63.167.76', '212.63.167.79', 3560941388, 3560941391, 'SE', 'Sweden'),
(151156, '212.63.167.80', '212.63.167.83', 3560941392, 3560941395, 'DK', 'Denmark'),
(151157, '212.63.167.84', '212.63.167.87', 3560941396, 3560941399, 'IS', 'Iceland'),
(151158, '212.63.167.88', '212.63.167.95', 3560941400, 3560941407, 'DE', 'Germany'),
(151159, '212.63.167.96', '212.63.167.99', 3560941408, 3560941411, 'CH', 'Switzerland'),
(151160, '212.63.167.100', '212.63.167.103', 3560941412, 3560941415, 'IT', 'Italy'),
(151161, '212.63.167.104', '212.63.167.107', 3560941416, 3560941419, 'DE', 'Germany'),
(151162, '212.63.167.108', '212.63.167.111', 3560941420, 3560941423, 'FR', 'France'),
(151163, '212.63.167.112', '212.63.167.115', 3560941424, 3560941427, 'DE', 'Germany'),
(151164, '212.63.167.116', '212.63.167.119', 3560941428, 3560941431, 'FR', 'France'),
(151165, '212.63.167.120', '212.63.167.123', 3560941432, 3560941435, 'DE', 'Germany'),
(151166, '212.63.167.124', '212.63.167.127', 3560941436, 3560941439, 'IN', 'India'),
(151167, '212.63.167.128', '212.63.167.131', 3560941440, 3560941443, 'DE', 'Germany'),
(151168, '212.63.167.132', '212.63.167.135', 3560941444, 3560941447, 'ES', 'Spain'),
(151169, '212.63.167.136', '212.63.167.147', 3560941448, 3560941459, 'GB', 'United Kingdom'),
(151170, '212.63.167.148', '212.63.167.155', 3560941460, 3560941467, 'DE', 'Germany'),
(151171, '212.63.167.156', '212.63.167.159', 3560941468, 3560941471, 'CH', 'Switzerland'),
(151172, '212.63.167.160', '212.63.167.163', 3560941472, 3560941475, 'BE', 'Belgium'),
(151173, '212.63.167.164', '212.63.167.167', 3560941476, 3560941479, 'ES', 'Spain'),
(151174, '212.63.167.168', '212.63.167.171', 3560941480, 3560941483, 'DE', 'Germany'),
(151175, '212.63.167.172', '212.63.167.175', 3560941484, 3560941487, 'ES', 'Spain'),
(151176, '212.63.167.176', '212.63.167.179', 3560941488, 3560941491, 'DE', 'Germany'),
(151177, '212.63.167.180', '212.63.167.183', 3560941492, 3560941495, 'GB', 'United Kingdom'),
(151178, '212.63.167.184', '212.63.167.187', 3560941496, 3560941499, 'FR', 'France'),
(151179, '212.63.167.188', '212.63.167.191', 3560941500, 3560941503, 'ES', 'Spain'),
(151180, '212.63.167.192', '212.63.167.195', 3560941504, 3560941507, 'DE', 'Germany'),
(151181, '212.63.167.196', '212.63.167.199', 3560941508, 3560941511, 'IT', 'Italy'),
(151182, '212.63.167.200', '212.63.167.203', 3560941512, 3560941515, 'AT', 'Austria'),
(151183, '212.63.167.204', '212.63.167.207', 3560941516, 3560941519, 'SE', 'Sweden'),
(151184, '212.63.167.208', '212.63.167.211', 3560941520, 3560941523, 'NO', 'Norway'),
(151185, '212.63.167.212', '212.63.167.223', 3560941524, 3560941535, 'DE', 'Germany'),
(151186, '212.63.167.224', '212.63.167.227', 3560941536, 3560941539, 'DK', 'Denmark'),
(151187, '212.63.167.228', '212.63.167.231', 3560941540, 3560941543, 'FR', 'France'),
(151188, '212.63.167.232', '212.63.167.235', 3560941544, 3560941547, 'GB', 'United Kingdom'),
(151189, '212.63.167.236', '212.63.167.239', 3560941548, 3560941551, 'DE', 'Germany'),
(151190, '212.63.167.240', '212.63.167.243', 3560941552, 3560941555, 'IT', 'Italy'),
(151191, '212.63.167.244', '212.63.167.247', 3560941556, 3560941559, 'DE', 'Germany'),
(151192, '212.63.167.248', '212.63.167.251', 3560941560, 3560941563, 'GB', 'United Kingdom'),
(151193, '212.63.167.252', '212.63.167.255', 3560941564, 3560941567, 'GR', 'Greece'),
(151194, '212.63.168.0', '212.63.168.19', 3560941568, 3560941587, 'DE', 'Germany'),
(151195, '212.63.168.20', '212.63.168.23', 3560941588, 3560941591, 'ES', 'Spain'),
(151196, '212.63.168.24', '212.63.168.31', 3560941592, 3560941599, 'DE', 'Germany'),
(151197, '212.63.168.32', '212.63.168.35', 3560941600, 3560941603, 'FR', 'France'),
(151198, '212.63.168.36', '212.63.168.39', 3560941604, 3560941607, 'CH', 'Switzerland'),
(151199, '212.63.168.40', '212.63.168.43', 3560941608, 3560941611, 'GB', 'United Kingdom'),
(151200, '212.63.168.44', '212.63.168.55', 3560941612, 3560941623, 'DE', 'Germany'),
(151201, '212.63.168.56', '212.63.168.59', 3560941624, 3560941627, 'GB', 'United Kingdom'),
(151202, '212.63.168.60', '212.63.168.63', 3560941628, 3560941631, 'ES', 'Spain'),
(151203, '212.63.168.64', '212.63.168.67', 3560941632, 3560941635, 'NL', 'Netherlands'),
(151204, '212.63.168.68', '212.63.168.71', 3560941636, 3560941639, 'BE', 'Belgium'),
(151205, '212.63.168.72', '212.63.168.75', 3560941640, 3560941643, 'GB', 'United Kingdom'),
(151206, '212.63.168.76', '212.63.168.79', 3560941644, 3560941647, 'BE', 'Belgium'),
(151207, '212.63.168.80', '212.63.168.83', 3560941648, 3560941651, 'NO', 'Norway'),
(151208, '212.63.168.84', '212.63.168.87', 3560941652, 3560941655, 'DE', 'Germany'),
(151209, '212.63.168.88', '212.63.168.91', 3560941656, 3560941659, 'GB', 'United Kingdom'),
(151210, '212.63.168.92', '212.63.168.95', 3560941660, 3560941663, 'NL', 'Netherlands'),
(151211, '212.63.168.96', '212.63.168.103', 3560941664, 3560941671, 'DE', 'Germany'),
(151212, '212.63.168.104', '212.63.168.111', 3560941672, 3560941679, 'FR', 'France'),
(151213, '212.63.168.112', '212.63.168.115', 3560941680, 3560941683, 'GB', 'United Kingdom'),
(151214, '212.63.168.116', '212.63.168.119', 3560941684, 3560941687, 'IT', 'Italy'),
(151215, '212.63.168.120', '212.63.168.123', 3560941688, 3560941691, 'DE', 'Germany'),
(151216, '212.63.168.124', '212.63.168.127', 3560941692, 3560941695, 'IT', 'Italy'),
(151217, '212.63.168.128', '212.63.168.131', 3560941696, 3560941699, 'FR', 'France'),
(151218, '212.63.168.132', '212.63.168.135', 3560941700, 3560941703, 'GB', 'United Kingdom'),
(151219, '212.63.168.136', '212.63.168.143', 3560941704, 3560941711, 'DE', 'Germany'),
(151220, '212.63.168.144', '212.63.168.147', 3560941712, 3560941715, 'FR', 'France'),
(151221, '212.63.168.148', '212.63.168.155', 3560941716, 3560941723, 'DE', 'Germany'),
(151222, '212.63.168.156', '212.63.168.159', 3560941724, 3560941727, 'FR', 'France'),
(151223, '212.63.168.160', '212.63.168.167', 3560941728, 3560941735, 'DE', 'Germany'),
(151224, '212.63.168.168', '212.63.168.171', 3560941736, 3560941739, 'NL', 'Netherlands'),
(151225, '212.63.168.172', '212.63.168.175', 3560941740, 3560941743, 'NO', 'Norway'),
(151226, '212.63.168.176', '212.63.168.179', 3560941744, 3560941747, 'FR', 'France'),
(151227, '212.63.168.180', '212.63.168.183', 3560941748, 3560941751, 'ES', 'Spain'),
(151228, '212.63.168.184', '212.63.168.187', 3560941752, 3560941755, 'BE', 'Belgium'),
(151229, '212.63.168.188', '212.63.168.203', 3560941756, 3560941771, 'DE', 'Germany'),
(151230, '212.63.168.204', '212.63.168.219', 3560941772, 3560941787, 'GB', 'United Kingdom'),
(151231, '212.63.168.220', '212.63.168.223', 3560941788, 3560941791, 'DE', 'Germany'),
(151232, '212.63.168.224', '212.63.168.227', 3560941792, 3560941795, 'ES', 'Spain'),
(151233, '212.63.168.228', '212.63.168.231', 3560941796, 3560941799, 'FR', 'France'),
(151234, '212.63.168.232', '212.63.168.235', 3560941800, 3560941803, 'NL', 'Netherlands'),
(151235, '212.63.168.236', '212.63.168.239', 3560941804, 3560941807, 'ES', 'Spain'),
(151236, '212.63.168.240', '212.63.168.243', 3560941808, 3560941811, 'FR', 'France'),
(151237, '212.63.168.244', '212.63.168.247', 3560941812, 3560941815, 'NO', 'Norway'),
(151238, '212.63.168.248', '212.63.168.251', 3560941816, 3560941819, 'FR', 'France'),
(151239, '212.63.168.252', '212.63.168.255', 3560941820, 3560941823, 'NL', 'Netherlands'),
(151240, '212.63.169.0', '212.63.169.3', 3560941824, 3560941827, 'DE', 'Germany'),
(151241, '212.63.169.4', '212.63.169.7', 3560941828, 3560941831, 'ES', 'Spain'),
(151242, '212.63.169.8', '212.63.169.11', 3560941832, 3560941835, 'GB', 'United Kingdom'),
(151243, '212.63.169.12', '212.63.169.19', 3560941836, 3560941843, 'DE', 'Germany'),
(151244, '212.63.169.20', '212.63.169.23', 3560941844, 3560941847, 'IT', 'Italy'),
(151245, '212.63.169.24', '212.63.169.27', 3560941848, 3560941851, 'BE', 'Belgium'),
(151246, '212.63.169.28', '212.63.169.31', 3560941852, 3560941855, 'CH', 'Switzerland'),
(151247, '212.63.169.32', '212.63.169.35', 3560941856, 3560941859, 'BE', 'Belgium'),
(151248, '212.63.169.36', '212.63.169.43', 3560941860, 3560941867, 'DE', 'Germany'),
(151249, '212.63.169.44', '212.63.169.47', 3560941868, 3560941871, 'AT', 'Austria'),
(151250, '212.63.169.48', '212.63.169.51', 3560941872, 3560941875, 'GB', 'United Kingdom'),
(151251, '212.63.169.52', '212.63.169.55', 3560941876, 3560941879, 'NL', 'Netherlands'),
(151252, '212.63.169.56', '212.63.169.59', 3560941880, 3560941883, 'BG', 'Bulgaria'),
(151253, '212.63.169.60', '212.63.169.63', 3560941884, 3560941887, 'DE', 'Germany'),
(151254, '212.63.169.64', '212.63.169.67', 3560941888, 3560941891, 'ES', 'Spain'),
(151255, '212.63.169.68', '212.63.169.71', 3560941892, 3560941895, 'IT', 'Italy'),
(151256, '212.63.169.72', '212.63.169.75', 3560941896, 3560941899, 'ES', 'Spain'),
(151257, '212.63.169.76', '212.63.169.79', 3560941900, 3560941903, 'DE', 'Germany'),
(151258, '212.63.169.80', '212.63.169.83', 3560941904, 3560941907, 'GB', 'United Kingdom'),
(151259, '212.63.169.84', '212.63.169.87', 3560941908, 3560941911, 'DE', 'Germany'),
(151260, '212.63.169.88', '212.63.169.95', 3560941912, 3560941919, 'FR', 'France'),
(151261, '212.63.169.96', '212.63.169.107', 3560941920, 3560941931, 'DE', 'Germany'),
(151262, '212.63.169.108', '212.63.169.111', 3560941932, 3560941935, 'CH', 'Switzerland'),
(151263, '212.63.169.112', '212.63.169.123', 3560941936, 3560941947, 'DE', 'Germany'),
(151264, '212.63.169.124', '212.63.169.127', 3560941948, 3560941951, 'DK', 'Denmark'),
(151265, '212.63.169.128', '212.63.169.131', 3560941952, 3560941955, 'IT', 'Italy'),
(151266, '212.63.169.132', '212.63.169.135', 3560941956, 3560941959, 'DE', 'Germany'),
(151267, '212.63.169.136', '212.63.169.139', 3560941960, 3560941963, 'LU', 'Luxembourg'),
(151268, '212.63.169.140', '212.63.169.143', 3560941964, 3560941967, 'FR', 'France'),
(151269, '212.63.169.144', '212.63.169.147', 3560941968, 3560941971, 'DE', 'Germany'),
(151270, '212.63.169.148', '212.63.169.151', 3560941972, 3560941975, 'DK', 'Denmark'),
(151271, '212.63.169.152', '212.63.169.159', 3560941976, 3560941983, 'DE', 'Germany'),
(151272, '212.63.169.160', '212.63.169.163', 3560941984, 3560941987, 'NL', 'Netherlands'),
(151273, '212.63.169.164', '212.63.169.167', 3560941988, 3560941991, 'DE', 'Germany'),
(151274, '212.63.169.168', '212.63.169.171', 3560941992, 3560941995, 'GB', 'United Kingdom'),
(151275, '212.63.169.172', '212.63.169.175', 3560941996, 3560941999, 'BE', 'Belgium'),
(151276, '212.63.169.176', '212.63.169.179', 3560942000, 3560942003, 'FR', 'France'),
(151277, '212.63.169.180', '212.63.169.183', 3560942004, 3560942007, 'GB', 'United Kingdom'),
(151278, '212.63.169.184', '212.63.169.187', 3560942008, 3560942011, 'IT', 'Italy'),
(151279, '212.63.169.188', '212.63.169.191', 3560942012, 3560942015, 'DE', 'Germany'),
(151280, '212.63.169.192', '212.63.169.195', 3560942016, 3560942019, 'NL', 'Netherlands'),
(151281, '212.63.169.196', '212.63.169.199', 3560942020, 3560942023, 'ES', 'Spain'),
(151282, '212.63.169.200', '212.63.169.203', 3560942024, 3560942027, 'CH', 'Switzerland'),
(151283, '212.63.169.204', '212.63.169.211', 3560942028, 3560942035, 'DE', 'Germany'),
(151284, '212.63.169.212', '212.63.169.215', 3560942036, 3560942039, 'GB', 'United Kingdom'),
(151285, '212.63.169.216', '212.63.169.223', 3560942040, 3560942047, 'DE', 'Germany'),
(151286, '212.63.169.224', '212.63.169.227', 3560942048, 3560942051, 'IT', 'Italy'),
(151287, '212.63.169.228', '212.63.169.231', 3560942052, 3560942055, 'DE', 'Germany'),
(151288, '212.63.169.232', '212.63.169.235', 3560942056, 3560942059, 'IS', 'Iceland'),
(151289, '212.63.169.236', '212.63.169.239', 3560942060, 3560942063, 'GB', 'United Kingdom'),
(151290, '212.63.169.240', '212.63.169.243', 3560942064, 3560942067, 'ES', 'Spain'),
(151291, '212.63.169.244', '212.63.169.247', 3560942068, 3560942071, 'BE', 'Belgium'),
(151292, '212.63.169.248', '212.63.170.3', 3560942072, 3560942083, 'DE', 'Germany'),
(151293, '212.63.170.4', '212.63.170.7', 3560942084, 3560942087, 'FR', 'France'),
(151294, '212.63.170.8', '212.63.170.15', 3560942088, 3560942095, 'DE', 'Germany'),
(151295, '212.63.170.16', '212.63.170.19', 3560942096, 3560942099, 'FR', 'France'),
(151296, '212.63.170.20', '212.63.170.23', 3560942100, 3560942103, 'DE', 'Germany'),
(151297, '212.63.170.24', '212.63.170.27', 3560942104, 3560942107, 'NL', 'Netherlands'),
(151298, '212.63.170.28', '212.63.170.35', 3560942108, 3560942115, 'DE', 'Germany'),
(151299, '212.63.170.36', '212.63.170.39', 3560942116, 3560942119, 'HU', 'Hungary'),
(151300, '212.63.170.40', '212.63.170.43', 3560942120, 3560942123, 'AT', 'Austria'),
(151301, '212.63.170.44', '212.63.170.47', 3560942124, 3560942127, 'BE', 'Belgium'),
(151302, '212.63.170.48', '212.63.170.51', 3560942128, 3560942131, 'DE', 'Germany'),
(151303, '212.63.170.52', '212.63.170.55', 3560942132, 3560942135, 'ES', 'Spain'),
(151304, '212.63.170.56', '212.63.170.63', 3560942136, 3560942143, 'DE', 'Germany'),
(151305, '212.63.170.64', '212.63.170.67', 3560942144, 3560942147, 'GB', 'United Kingdom'),
(151306, '212.63.170.68', '212.63.170.71', 3560942148, 3560942151, 'DE', 'Germany'),
(151307, '212.63.170.72', '212.63.170.75', 3560942152, 3560942155, 'IT', 'Italy'),
(151308, '212.63.170.76', '212.63.170.79', 3560942156, 3560942159, 'ES', 'Spain'),
(151309, '212.63.170.80', '212.63.170.83', 3560942160, 3560942163, 'DE', 'Germany'),
(151310, '212.63.170.84', '212.63.170.91', 3560942164, 3560942171, 'ES', 'Spain'),
(151311, '212.63.170.92', '212.63.170.95', 3560942172, 3560942175, 'SE', 'Sweden'),
(151312, '212.63.170.96', '212.63.170.99', 3560942176, 3560942179, 'BE', 'Belgium'),
(151313, '212.63.170.100', '212.63.170.103', 3560942180, 3560942183, 'ES', 'Spain'),
(151314, '212.63.170.104', '212.63.170.111', 3560942184, 3560942191, 'DE', 'Germany'),
(151315, '212.63.170.112', '212.63.170.115', 3560942192, 3560942195, 'HU', 'Hungary'),
(151316, '212.63.170.116', '212.63.170.119', 3560942196, 3560942199, 'ES', 'Spain'),
(151317, '212.63.170.120', '212.63.170.123', 3560942200, 3560942203, 'FR', 'France'),
(151318, '212.63.170.124', '212.63.170.131', 3560942204, 3560942211, 'DE', 'Germany'),
(151319, '212.63.170.132', '212.63.170.139', 3560942212, 3560942219, 'IT', 'Italy'),
(151320, '212.63.170.140', '212.63.170.147', 3560942220, 3560942227, 'FR', 'France'),
(151321, '212.63.170.148', '212.63.170.151', 3560942228, 3560942231, 'IT', 'Italy'),
(151322, '212.63.170.152', '212.63.170.163', 3560942232, 3560942243, 'DE', 'Germany'),
(151323, '212.63.170.164', '212.63.170.167', 3560942244, 3560942247, 'IT', 'Italy'),
(151324, '212.63.170.168', '212.63.170.171', 3560942248, 3560942251, 'TR', 'Turkey'),
(151325, '212.63.170.172', '212.63.170.175', 3560942252, 3560942255, 'GB', 'United Kingdom'),
(151326, '212.63.170.176', '212.63.170.179', 3560942256, 3560942259, 'DE', 'Germany'),
(151327, '212.63.170.180', '212.63.170.183', 3560942260, 3560942263, 'ES', 'Spain'),
(151328, '212.63.170.184', '212.63.170.187', 3560942264, 3560942267, 'NL', 'Netherlands'),
(151329, '212.63.170.188', '212.63.170.191', 3560942268, 3560942271, 'DE', 'Germany'),
(151330, '212.63.170.192', '212.63.170.195', 3560942272, 3560942275, 'PL', 'Poland'),
(151331, '212.63.170.196', '212.63.170.199', 3560942276, 3560942279, 'IT', 'Italy'),
(151332, '212.63.170.200', '212.63.170.203', 3560942280, 3560942283, 'NL', 'Netherlands'),
(151333, '212.63.170.204', '212.63.170.207', 3560942284, 3560942287, 'DK', 'Denmark'),
(151334, '212.63.170.208', '212.63.170.211', 3560942288, 3560942291, 'FR', 'France'),
(151335, '212.63.170.212', '212.63.170.215', 3560942292, 3560942295, 'BH', 'Bahrain'),
(151336, '212.63.170.216', '212.63.170.219', 3560942296, 3560942299, 'MA', 'Morocco'),
(151337, '212.63.170.220', '212.63.170.227', 3560942300, 3560942307, 'DE', 'Germany'),
(151338, '212.63.170.228', '212.63.170.239', 3560942308, 3560942319, 'ES', 'Spain'),
(151339, '212.63.170.240', '212.63.170.243', 3560942320, 3560942323, 'DE', 'Germany'),
(151340, '212.63.170.244', '212.63.170.247', 3560942324, 3560942327, 'IT', 'Italy'),
(151341, '212.63.170.248', '212.63.171.3', 3560942328, 3560942339, 'PT', 'Portugal'),
(151342, '212.63.171.4', '212.63.171.7', 3560942340, 3560942343, 'DE', 'Germany'),
(151343, '212.63.171.8', '212.63.171.11', 3560942344, 3560942347, 'FR', 'France'),
(151344, '212.63.171.12', '212.63.171.15', 3560942348, 3560942351, 'DE', 'Germany'),
(151345, '212.63.171.16', '212.63.171.19', 3560942352, 3560942355, 'ES', 'Spain'),
(151346, '212.63.171.20', '212.63.171.23', 3560942356, 3560942359, 'IT', 'Italy'),
(151347, '212.63.171.24', '212.63.171.27', 3560942360, 3560942363, 'AT', 'Austria'),
(151348, '212.63.171.28', '212.63.171.31', 3560942364, 3560942367, 'DE', 'Germany'),
(151349, '212.63.171.32', '212.63.171.39', 3560942368, 3560942375, 'FR', 'France'),
(151350, '212.63.171.40', '212.63.171.43', 3560942376, 3560942379, 'DE', 'Germany'),
(151351, '212.63.171.44', '212.63.171.47', 3560942380, 3560942383, 'GB', 'United Kingdom'),
(151352, '212.63.171.48', '212.63.171.51', 3560942384, 3560942387, 'DE', 'Germany'),
(151353, '212.63.171.52', '212.63.171.55', 3560942388, 3560942391, 'IT', 'Italy'),
(151354, '212.63.171.56', '212.63.171.71', 3560942392, 3560942407, 'DE', 'Germany'),
(151355, '212.63.171.72', '212.63.171.75', 3560942408, 3560942411, 'GB', 'United Kingdom'),
(151356, '212.63.171.76', '212.63.171.79', 3560942412, 3560942415, 'DE', 'Germany'),
(151357, '212.63.171.80', '212.63.171.83', 3560942416, 3560942419, 'IT', 'Italy'),
(151358, '212.63.171.84', '212.63.171.87', 3560942420, 3560942423, 'FR', 'France'),
(151359, '212.63.171.88', '212.63.171.91', 3560942424, 3560942427, 'NO', 'Norway'),
(151360, '212.63.171.92', '212.63.171.111', 3560942428, 3560942447, 'DE', 'Germany'),
(151361, '212.63.171.112', '212.63.171.119', 3560942448, 3560942455, 'CH', 'Switzerland'),
(151362, '212.63.171.120', '212.63.171.123', 3560942456, 3560942459, 'ES', 'Spain'),
(151363, '212.63.171.124', '212.63.171.127', 3560942460, 3560942463, 'RU', 'Russian Federation'),
(151364, '212.63.171.128', '212.63.171.131', 3560942464, 3560942467, 'BE', 'Belgium'),
(151365, '212.63.171.132', '212.63.171.135', 3560942468, 3560942471, 'ES', 'Spain'),
(151366, '212.63.171.136', '212.63.171.139', 3560942472, 3560942475, 'DE', 'Germany'),
(151367, '212.63.171.140', '212.63.171.143', 3560942476, 3560942479, 'CH', 'Switzerland'),
(151368, '212.63.171.144', '212.63.171.147', 3560942480, 3560942483, 'ES', 'Spain'),
(151369, '212.63.171.148', '212.63.171.151', 3560942484, 3560942487, 'HU', 'Hungary'),
(151370, '212.63.171.152', '212.63.171.159', 3560942488, 3560942495, 'FR', 'France'),
(151371, '212.63.171.160', '212.63.171.163', 3560942496, 3560942499, 'ES', 'Spain'),
(151372, '212.63.171.164', '212.63.171.167', 3560942500, 3560942503, 'DE', 'Germany'),
(151373, '212.63.171.168', '212.63.171.175', 3560942504, 3560942511, 'ES', 'Spain'),
(151374, '212.63.171.176', '212.63.171.179', 3560942512, 3560942515, 'IT', 'Italy'),
(151375, '212.63.171.180', '212.63.171.187', 3560942516, 3560942523, 'DE', 'Germany'),
(151376, '212.63.171.188', '212.63.171.191', 3560942524, 3560942527, 'NL', 'Netherlands'),
(151377, '212.63.171.192', '212.63.171.199', 3560942528, 3560942535, 'DE', 'Germany'),
(151378, '212.63.171.200', '212.63.171.203', 3560942536, 3560942539, 'FR', 'France'),
(151379, '212.63.171.204', '212.63.171.207', 3560942540, 3560942543, 'DE', 'Germany'),
(151380, '212.63.171.208', '212.63.171.211', 3560942544, 3560942547, 'CH', 'Switzerland'),
(151381, '212.63.171.212', '212.63.171.215', 3560942548, 3560942551, 'DK', 'Denmark'),
(151382, '212.63.171.216', '212.63.171.219', 3560942552, 3560942555, 'DE', 'Germany'),
(151383, '212.63.171.220', '212.63.171.223', 3560942556, 3560942559, 'FR', 'France'),
(151384, '212.63.171.224', '212.63.171.227', 3560942560, 3560942563, 'IT', 'Italy'),
(151385, '212.63.171.228', '212.63.171.231', 3560942564, 3560942567, 'ES', 'Spain'),
(151386, '212.63.171.232', '212.63.171.235', 3560942568, 3560942571, 'DE', 'Germany'),
(151387, '212.63.171.236', '212.63.171.243', 3560942572, 3560942579, 'FR', 'France'),
(151388, '212.63.171.244', '212.63.171.247', 3560942580, 3560942583, 'DE', 'Germany'),
(151389, '212.63.171.248', '212.63.171.251', 3560942584, 3560942587, 'GB', 'United Kingdom'),
(151390, '212.63.171.252', '212.63.171.254', 3560942588, 3560942590, 'ES', 'Spain'),
(151391, '212.63.171.255', '212.63.172.7', 3560942591, 3560942599, 'DE', 'Germany'),
(151392, '212.63.172.8', '212.63.172.11', 3560942600, 3560942603, 'DK', 'Denmark'),
(151393, '212.63.172.12', '212.63.172.27', 3560942604, 3560942619, 'DE', 'Germany'),
(151394, '212.63.172.28', '212.63.172.31', 3560942620, 3560942623, 'BE', 'Belgium'),
(151395, '212.63.172.32', '212.63.172.35', 3560942624, 3560942627, 'IT', 'Italy'),
(151396, '212.63.172.36', '212.63.172.39', 3560942628, 3560942631, 'GB', 'United Kingdom'),
(151397, '212.63.172.40', '212.63.172.43', 3560942632, 3560942635, 'FR', 'France'),
(151398, '212.63.172.44', '212.63.172.51', 3560942636, 3560942643, 'DE', 'Germany'),
(151399, '212.63.172.52', '212.63.172.55', 3560942644, 3560942647, 'FR', 'France'),
(151400, '212.63.172.56', '212.63.172.59', 3560942648, 3560942651, 'DE', 'Germany'),
(151401, '212.63.172.60', '212.63.172.63', 3560942652, 3560942655, 'GR', 'Greece'),
(151402, '212.63.172.64', '212.63.172.71', 3560942656, 3560942663, 'ES', 'Spain'),
(151403, '212.63.172.72', '212.63.172.75', 3560942664, 3560942667, 'NL', 'Netherlands'),
(151404, '212.63.172.76', '212.63.172.83', 3560942668, 3560942675, 'IT', 'Italy'),
(151405, '212.63.172.84', '212.63.172.87', 3560942676, 3560942679, 'BE', 'Belgium'),
(151406, '212.63.172.88', '212.63.172.91', 3560942680, 3560942683, 'DE', 'Germany'),
(151407, '212.63.172.92', '212.63.172.95', 3560942684, 3560942687, 'BE', 'Belgium'),
(151408, '212.63.172.96', '212.63.172.99', 3560942688, 3560942691, 'NL', 'Netherlands'),
(151409, '212.63.172.100', '212.63.172.103', 3560942692, 3560942695, 'LU', 'Luxembourg'),
(151410, '212.63.172.104', '212.63.172.107', 3560942696, 3560942699, 'DE', 'Germany'),
(151411, '212.63.172.108', '212.63.172.111', 3560942700, 3560942703, 'ES', 'Spain'),
(151412, '212.63.172.112', '212.63.172.115', 3560942704, 3560942707, 'DE', 'Germany'),
(151413, '212.63.172.116', '212.63.172.119', 3560942708, 3560942711, 'IT', 'Italy'),
(151414, '212.63.172.120', '212.63.172.123', 3560942712, 3560942715, 'LU', 'Luxembourg'),
(151415, '212.63.172.124', '212.63.172.127', 3560942716, 3560942719, 'BE', 'Belgium'),
(151416, '212.63.172.128', '212.63.172.135', 3560942720, 3560942727, 'IT', 'Italy'),
(151417, '212.63.172.136', '212.63.172.139', 3560942728, 3560942731, 'GB', 'United Kingdom'),
(151418, '212.63.172.140', '212.63.172.143', 3560942732, 3560942735, 'DE', 'Germany'),
(151419, '212.63.172.144', '212.63.172.147', 3560942736, 3560942739, 'CH', 'Switzerland'),
(151420, '212.63.172.148', '212.63.172.151', 3560942740, 3560942743, 'ES', 'Spain'),
(151421, '212.63.172.152', '212.63.172.159', 3560942744, 3560942751, 'GB', 'United Kingdom'),
(151422, '212.63.172.160', '212.63.172.171', 3560942752, 3560942763, 'DE', 'Germany'),
(151423, '212.63.172.172', '212.63.172.175', 3560942764, 3560942767, 'FR', 'France'),
(151424, '212.63.172.176', '212.63.172.187', 3560942768, 3560942779, 'DE', 'Germany'),
(151425, '212.63.172.188', '212.63.172.191', 3560942780, 3560942783, 'CH', 'Switzerland'),
(151426, '212.63.172.192', '212.63.172.195', 3560942784, 3560942787, 'DE', 'Germany'),
(151427, '212.63.172.196', '212.63.172.199', 3560942788, 3560942791, 'HU', 'Hungary'),
(151428, '212.63.172.200', '212.63.172.203', 3560942792, 3560942795, 'DE', 'Germany'),
(151429, '212.63.172.204', '212.63.172.207', 3560942796, 3560942799, 'FR', 'France'),
(151430, '212.63.172.208', '212.63.172.211', 3560942800, 3560942803, 'AT', 'Austria'),
(151431, '212.63.172.212', '212.63.172.215', 3560942804, 3560942807, 'TR', 'Turkey'),
(151432, '212.63.172.216', '212.63.172.219', 3560942808, 3560942811, 'AT', 'Austria'),
(151433, '212.63.172.220', '212.63.172.223', 3560942812, 3560942815, 'FR', 'France'),
(151434, '212.63.172.224', '212.63.172.227', 3560942816, 3560942819, 'TR', 'Turkey'),
(151435, '212.63.172.228', '212.63.172.231', 3560942820, 3560942823, 'ES', 'Spain'),
(151436, '212.63.172.232', '212.63.172.235', 3560942824, 3560942827, 'GB', 'United Kingdom'),
(151437, '212.63.172.236', '212.63.172.239', 3560942828, 3560942831, 'AT', 'Austria'),
(151438, '212.63.172.240', '212.63.172.243', 3560942832, 3560942835, 'IT', 'Italy'),
(151439, '212.63.172.244', '212.63.172.247', 3560942836, 3560942839, 'CH', 'Switzerland'),
(151440, '212.63.172.248', '212.63.172.251', 3560942840, 3560942843, 'BE', 'Belgium'),
(151441, '212.63.172.252', '212.63.172.255', 3560942844, 3560942847, 'ES', 'Spain'),
(151442, '212.63.173.0', '212.63.173.3', 3560942848, 3560942851, 'IT', 'Italy'),
(151443, '212.63.173.4', '212.63.173.7', 3560942852, 3560942855, 'ES', 'Spain'),
(151444, '212.63.173.8', '212.63.173.11', 3560942856, 3560942859, 'DE', 'Germany'),
(151445, '212.63.173.12', '212.63.173.15', 3560942860, 3560942863, 'IT', 'Italy'),
(151446, '212.63.173.16', '212.63.173.23', 3560942864, 3560942871, 'DE', 'Germany'),
(151447, '212.63.173.24', '212.63.173.27', 3560942872, 3560942875, 'IT', 'Italy'),
(151448, '212.63.173.28', '212.63.173.31', 3560942876, 3560942879, 'PL', 'Poland'),
(151449, '212.63.173.32', '212.63.173.35', 3560942880, 3560942883, 'GB', 'United Kingdom'),
(151450, '212.63.173.36', '212.63.173.39', 3560942884, 3560942887, 'DE', 'Germany'),
(151451, '212.63.173.40', '212.63.173.43', 3560942888, 3560942891, 'FR', 'France'),
(151452, '212.63.173.44', '212.63.173.47', 3560942892, 3560942895, 'DE', 'Germany'),
(151453, '212.63.173.48', '212.63.173.51', 3560942896, 3560942899, 'ES', 'Spain'),
(151454, '212.63.173.52', '212.63.173.55', 3560942900, 3560942903, 'DE', 'Germany');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(151455, '212.63.173.56', '212.63.173.59', 3560942904, 3560942907, 'CH', 'Switzerland'),
(151456, '212.63.173.60', '212.63.173.67', 3560942908, 3560942915, 'DE', 'Germany'),
(151457, '212.63.173.68', '212.63.173.71', 3560942916, 3560942919, 'BE', 'Belgium'),
(151458, '212.63.173.72', '212.63.173.75', 3560942920, 3560942923, 'DE', 'Germany'),
(151459, '212.63.173.76', '212.63.173.79', 3560942924, 3560942927, 'IT', 'Italy'),
(151460, '212.63.173.80', '212.63.173.83', 3560942928, 3560942931, 'SE', 'Sweden'),
(151461, '212.63.173.84', '212.63.173.87', 3560942932, 3560942935, 'AT', 'Austria'),
(151462, '212.63.173.88', '212.63.173.91', 3560942936, 3560942939, 'DE', 'Germany'),
(151463, '212.63.173.92', '212.63.173.95', 3560942940, 3560942943, 'AE', 'United Arab Emirates'),
(151464, '212.63.173.96', '212.63.173.103', 3560942944, 3560942951, 'DE', 'Germany'),
(151465, '212.63.173.104', '212.63.173.107', 3560942952, 3560942955, 'ES', 'Spain'),
(151466, '212.63.173.108', '212.63.173.111', 3560942956, 3560942959, 'DE', 'Germany'),
(151467, '212.63.173.112', '212.63.173.115', 3560942960, 3560942963, 'GB', 'United Kingdom'),
(151468, '212.63.173.116', '212.63.173.135', 3560942964, 3560942983, 'DE', 'Germany'),
(151469, '212.63.173.136', '212.63.173.139', 3560942984, 3560942987, 'BE', 'Belgium'),
(151470, '212.63.173.140', '212.63.173.151', 3560942988, 3560942999, 'IT', 'Italy'),
(151471, '212.63.173.152', '212.63.173.155', 3560943000, 3560943003, 'PL', 'Poland'),
(151472, '212.63.173.156', '212.63.173.159', 3560943004, 3560943007, 'DK', 'Denmark'),
(151473, '212.63.173.160', '212.63.173.163', 3560943008, 3560943011, 'CH', 'Switzerland'),
(151474, '212.63.173.164', '212.63.173.167', 3560943012, 3560943015, 'IT', 'Italy'),
(151475, '212.63.173.168', '212.63.173.171', 3560943016, 3560943019, 'ES', 'Spain'),
(151476, '212.63.173.172', '212.63.173.175', 3560943020, 3560943023, 'DE', 'Germany'),
(151477, '212.63.173.176', '212.63.173.179', 3560943024, 3560943027, 'GR', 'Greece'),
(151478, '212.63.173.180', '212.63.173.183', 3560943028, 3560943031, 'DE', 'Germany'),
(151479, '212.63.173.184', '212.63.173.187', 3560943032, 3560943035, 'FR', 'France'),
(151480, '212.63.173.188', '212.63.173.191', 3560943036, 3560943039, 'PL', 'Poland'),
(151481, '212.63.173.192', '212.63.173.195', 3560943040, 3560943043, 'NO', 'Norway'),
(151482, '212.63.173.196', '212.63.173.199', 3560943044, 3560943047, 'ES', 'Spain'),
(151483, '212.63.173.200', '212.63.173.203', 3560943048, 3560943051, 'HR', 'Croatia'),
(151484, '212.63.173.204', '212.63.173.207', 3560943052, 3560943055, 'CY', 'Cyprus'),
(151485, '212.63.173.208', '212.63.173.211', 3560943056, 3560943059, 'BE', 'Belgium'),
(151486, '212.63.173.212', '212.63.173.227', 3560943060, 3560943075, 'DE', 'Germany'),
(151487, '212.63.173.228', '212.63.173.231', 3560943076, 3560943079, 'ES', 'Spain'),
(151488, '212.63.173.232', '212.63.173.247', 3560943080, 3560943095, 'DE', 'Germany'),
(151489, '212.63.173.248', '212.63.173.251', 3560943096, 3560943099, 'PL', 'Poland'),
(151490, '212.63.173.252', '212.63.174.6', 3560943100, 3560943110, 'DE', 'Germany'),
(151491, '212.63.174.7', '212.63.174.7', 3560943111, 3560943111, 'ES', 'Spain'),
(151492, '212.63.174.8', '212.63.174.9', 3560943112, 3560943113, 'DE', 'Germany'),
(151493, '212.63.174.10', '212.63.174.11', 3560943114, 3560943115, 'ES', 'Spain'),
(151494, '212.63.174.12', '212.63.174.12', 3560943116, 3560943116, 'DK', 'Denmark'),
(151495, '212.63.174.13', '212.63.174.13', 3560943117, 3560943117, 'IL', 'Israel'),
(151496, '212.63.174.14', '212.63.174.14', 3560943118, 3560943118, 'DE', 'Germany'),
(151497, '212.63.174.15', '212.63.174.15', 3560943119, 3560943119, 'IT', 'Italy'),
(151498, '212.63.174.16', '212.63.174.16', 3560943120, 3560943120, 'DE', 'Germany'),
(151499, '212.63.174.17', '212.63.174.17', 3560943121, 3560943121, 'CH', 'Switzerland'),
(151500, '212.63.174.18', '212.63.174.18', 3560943122, 3560943122, 'ES', 'Spain'),
(151501, '212.63.174.19', '212.63.174.21', 3560943123, 3560943125, 'DE', 'Germany'),
(151502, '212.63.174.22', '212.63.174.22', 3560943126, 3560943126, 'FR', 'France'),
(151503, '212.63.174.23', '212.63.174.23', 3560943127, 3560943127, 'HU', 'Hungary'),
(151504, '212.63.174.24', '212.63.174.25', 3560943128, 3560943129, 'DE', 'Germany'),
(151505, '212.63.174.26', '212.63.174.26', 3560943130, 3560943130, 'BE', 'Belgium'),
(151506, '212.63.174.27', '212.63.174.27', 3560943131, 3560943131, 'RU', 'Russian Federation'),
(151507, '212.63.174.28', '212.63.174.28', 3560943132, 3560943132, 'BE', 'Belgium'),
(151508, '212.63.174.29', '212.63.174.29', 3560943133, 3560943133, 'ES', 'Spain'),
(151509, '212.63.174.30', '212.63.174.32', 3560943134, 3560943136, 'DE', 'Germany'),
(151510, '212.63.174.33', '212.63.174.33', 3560943137, 3560943137, 'ES', 'Spain'),
(151511, '212.63.174.34', '212.63.174.34', 3560943138, 3560943138, 'CH', 'Switzerland'),
(151512, '212.63.174.35', '212.63.174.35', 3560943139, 3560943139, 'DE', 'Germany'),
(151513, '212.63.174.36', '212.63.174.36', 3560943140, 3560943140, 'ES', 'Spain'),
(151514, '212.63.174.37', '212.63.174.37', 3560943141, 3560943141, 'CH', 'Switzerland'),
(151515, '212.63.174.38', '212.63.174.38', 3560943142, 3560943142, 'DE', 'Germany'),
(151516, '212.63.174.39', '212.63.174.41', 3560943143, 3560943145, 'HU', 'Hungary'),
(151517, '212.63.174.42', '212.63.174.42', 3560943146, 3560943146, 'IE', 'Ireland'),
(151518, '212.63.174.43', '212.63.174.43', 3560943147, 3560943147, 'CH', 'Switzerland'),
(151519, '212.63.174.44', '212.63.174.45', 3560943148, 3560943149, 'DE', 'Germany'),
(151520, '212.63.174.46', '212.63.174.46', 3560943150, 3560943150, 'ES', 'Spain'),
(151521, '212.63.174.47', '212.63.174.47', 3560943151, 3560943151, 'IT', 'Italy'),
(151522, '212.63.174.48', '212.63.174.48', 3560943152, 3560943152, 'HU', 'Hungary'),
(151523, '212.63.174.49', '212.63.174.50', 3560943153, 3560943154, 'DE', 'Germany'),
(151524, '212.63.174.51', '212.63.174.51', 3560943155, 3560943155, 'FR', 'France'),
(151525, '212.63.174.52', '212.63.174.53', 3560943156, 3560943157, 'DE', 'Germany'),
(151526, '212.63.174.54', '212.63.174.54', 3560943158, 3560943158, 'FR', 'France'),
(151527, '212.63.174.55', '212.63.174.55', 3560943159, 3560943159, 'IT', 'Italy'),
(151528, '212.63.174.56', '212.63.174.56', 3560943160, 3560943160, 'NO', 'Norway'),
(151529, '212.63.174.57', '212.63.174.57', 3560943161, 3560943161, 'BE', 'Belgium'),
(151530, '212.63.174.58', '212.63.174.58', 3560943162, 3560943162, 'GR', 'Greece'),
(151531, '212.63.174.59', '212.63.174.59', 3560943163, 3560943163, 'DE', 'Germany'),
(151532, '212.63.174.60', '212.63.174.60', 3560943164, 3560943164, 'PL', 'Poland'),
(151533, '212.63.174.61', '212.63.174.61', 3560943165, 3560943165, 'FR', 'France'),
(151534, '212.63.174.62', '212.63.174.62', 3560943166, 3560943166, 'GB', 'United Kingdom'),
(151535, '212.63.174.63', '212.63.174.63', 3560943167, 3560943167, 'FR', 'France'),
(151536, '212.63.174.64', '212.63.174.64', 3560943168, 3560943168, 'ES', 'Spain'),
(151537, '212.63.174.65', '212.63.174.65', 3560943169, 3560943169, 'DE', 'Germany'),
(151538, '212.63.174.66', '212.63.174.66', 3560943170, 3560943170, 'ES', 'Spain'),
(151539, '212.63.174.67', '212.63.174.67', 3560943171, 3560943171, 'IT', 'Italy'),
(151540, '212.63.174.68', '212.63.174.68', 3560943172, 3560943172, 'ES', 'Spain'),
(151541, '212.63.174.69', '212.63.174.69', 3560943173, 3560943173, 'BE', 'Belgium'),
(151542, '212.63.174.70', '212.63.174.71', 3560943174, 3560943175, 'DE', 'Germany'),
(151543, '212.63.174.72', '212.63.174.73', 3560943176, 3560943177, 'CH', 'Switzerland'),
(151544, '212.63.174.74', '212.63.174.74', 3560943178, 3560943178, 'IT', 'Italy'),
(151545, '212.63.174.75', '212.63.174.75', 3560943179, 3560943179, 'PL', 'Poland'),
(151546, '212.63.174.76', '212.63.174.76', 3560943180, 3560943180, 'GB', 'United Kingdom'),
(151547, '212.63.174.77', '212.63.174.77', 3560943181, 3560943181, 'DE', 'Germany'),
(151548, '212.63.174.78', '212.63.174.79', 3560943182, 3560943183, 'ES', 'Spain'),
(151549, '212.63.174.80', '212.63.174.80', 3560943184, 3560943184, 'IT', 'Italy'),
(151550, '212.63.174.81', '212.63.174.81', 3560943185, 3560943185, 'DK', 'Denmark'),
(151551, '212.63.174.82', '212.63.174.82', 3560943186, 3560943186, 'ES', 'Spain'),
(151552, '212.63.174.83', '212.63.174.83', 3560943187, 3560943187, 'PT', 'Portugal'),
(151553, '212.63.174.84', '212.63.174.84', 3560943188, 3560943188, 'IT', 'Italy'),
(151554, '212.63.174.85', '212.63.174.88', 3560943189, 3560943192, 'DE', 'Germany'),
(151555, '212.63.174.89', '212.63.174.89', 3560943193, 3560943193, 'ES', 'Spain'),
(151556, '212.63.174.90', '212.63.174.90', 3560943194, 3560943194, 'AT', 'Austria'),
(151557, '212.63.174.91', '212.63.174.91', 3560943195, 3560943195, 'DE', 'Germany'),
(151558, '212.63.174.92', '212.63.174.93', 3560943196, 3560943197, 'IT', 'Italy'),
(151559, '212.63.174.94', '212.63.174.94', 3560943198, 3560943198, 'DE', 'Germany'),
(151560, '212.63.174.95', '212.63.174.95', 3560943199, 3560943199, 'PT', 'Portugal'),
(151561, '212.63.174.96', '212.63.174.96', 3560943200, 3560943200, 'AT', 'Austria'),
(151562, '212.63.174.97', '212.63.174.97', 3560943201, 3560943201, 'IT', 'Italy'),
(151563, '212.63.174.98', '212.63.174.98', 3560943202, 3560943202, 'IL', 'Israel'),
(151564, '212.63.174.99', '212.63.174.100', 3560943203, 3560943204, 'DE', 'Germany'),
(151565, '212.63.174.101', '212.63.174.101', 3560943205, 3560943205, 'IT', 'Italy'),
(151566, '212.63.174.102', '212.63.174.103', 3560943206, 3560943207, 'DE', 'Germany'),
(151567, '212.63.174.104', '212.63.174.104', 3560943208, 3560943208, 'AT', 'Austria'),
(151568, '212.63.174.105', '212.63.174.106', 3560943209, 3560943210, 'ES', 'Spain'),
(151569, '212.63.174.107', '212.63.174.107', 3560943211, 3560943211, 'FR', 'France'),
(151570, '212.63.174.108', '212.63.174.108', 3560943212, 3560943212, 'DE', 'Germany'),
(151571, '212.63.174.109', '212.63.174.109', 3560943213, 3560943213, 'FR', 'France'),
(151572, '212.63.174.110', '212.63.174.110', 3560943214, 3560943214, 'PL', 'Poland'),
(151573, '212.63.174.111', '212.63.174.114', 3560943215, 3560943218, 'DE', 'Germany'),
(151574, '212.63.174.115', '212.63.174.115', 3560943219, 3560943219, 'ES', 'Spain'),
(151575, '212.63.174.116', '212.63.174.117', 3560943220, 3560943221, 'DE', 'Germany'),
(151576, '212.63.174.118', '212.63.174.118', 3560943222, 3560943222, 'ES', 'Spain'),
(151577, '212.63.174.119', '212.63.174.119', 3560943223, 3560943223, 'FR', 'France'),
(151578, '212.63.174.120', '212.63.174.120', 3560943224, 3560943224, 'DE', 'Germany'),
(151579, '212.63.174.121', '212.63.174.122', 3560943225, 3560943226, 'GR', 'Greece'),
(151580, '212.63.174.123', '212.63.174.123', 3560943227, 3560943227, 'DE', 'Germany'),
(151581, '212.63.174.124', '212.63.174.126', 3560943228, 3560943230, 'NL', 'Netherlands'),
(151582, '212.63.174.127', '212.63.174.128', 3560943231, 3560943232, 'FR', 'France'),
(151583, '212.63.174.129', '212.63.174.129', 3560943233, 3560943233, 'PL', 'Poland'),
(151584, '212.63.174.130', '212.63.174.130', 3560943234, 3560943234, 'EE', 'Estonia'),
(151585, '212.63.174.131', '212.63.174.131', 3560943235, 3560943235, 'CH', 'Switzerland'),
(151586, '212.63.174.132', '212.63.174.133', 3560943236, 3560943237, 'NL', 'Netherlands'),
(151587, '212.63.174.134', '212.63.174.134', 3560943238, 3560943238, 'ES', 'Spain'),
(151588, '212.63.174.135', '212.63.174.135', 3560943239, 3560943239, 'FR', 'France'),
(151589, '212.63.174.136', '212.63.174.136', 3560943240, 3560943240, 'GB', 'United Kingdom'),
(151590, '212.63.174.137', '212.63.174.137', 3560943241, 3560943241, 'FR', 'France'),
(151591, '212.63.174.138', '212.63.174.138', 3560943242, 3560943242, 'DE', 'Germany'),
(151592, '212.63.174.139', '212.63.174.139', 3560943243, 3560943243, 'FR', 'France'),
(151593, '212.63.174.140', '212.63.174.140', 3560943244, 3560943244, 'PL', 'Poland'),
(151594, '212.63.174.141', '212.63.174.141', 3560943245, 3560943245, 'CH', 'Switzerland'),
(151595, '212.63.174.142', '212.63.174.143', 3560943246, 3560943247, 'DE', 'Germany'),
(151596, '212.63.174.144', '212.63.174.144', 3560943248, 3560943248, 'GR', 'Greece'),
(151597, '212.63.174.145', '212.63.174.145', 3560943249, 3560943249, 'CH', 'Switzerland'),
(151598, '212.63.174.146', '212.63.174.146', 3560943250, 3560943250, 'AT', 'Austria'),
(151599, '212.63.174.147', '212.63.174.147', 3560943251, 3560943251, 'GB', 'United Kingdom'),
(151600, '212.63.174.148', '212.63.174.148', 3560943252, 3560943252, 'BE', 'Belgium'),
(151601, '212.63.174.149', '212.63.174.149', 3560943253, 3560943253, 'DE', 'Germany'),
(151602, '212.63.174.150', '212.63.174.150', 3560943254, 3560943254, 'ES', 'Spain'),
(151603, '212.63.174.151', '212.63.174.151', 3560943255, 3560943255, 'GB', 'United Kingdom'),
(151604, '212.63.174.152', '212.63.174.152', 3560943256, 3560943256, 'DE', 'Germany'),
(151605, '212.63.174.153', '212.63.174.153', 3560943257, 3560943257, 'ES', 'Spain'),
(151606, '212.63.174.154', '212.63.174.154', 3560943258, 3560943258, 'FR', 'France'),
(151607, '212.63.174.155', '212.63.174.155', 3560943259, 3560943259, 'DE', 'Germany'),
(151608, '212.63.174.156', '212.63.174.156', 3560943260, 3560943260, 'ES', 'Spain'),
(151609, '212.63.174.157', '212.63.174.157', 3560943261, 3560943261, 'IE', 'Ireland'),
(151610, '212.63.174.158', '212.63.174.158', 3560943262, 3560943262, 'DE', 'Germany'),
(151611, '212.63.174.159', '212.63.174.159', 3560943263, 3560943263, 'IT', 'Italy'),
(151612, '212.63.174.160', '212.63.174.160', 3560943264, 3560943264, 'CZ', 'Czech Republic'),
(151613, '212.63.174.161', '212.63.174.161', 3560943265, 3560943265, 'DE', 'Germany'),
(151614, '212.63.174.162', '212.63.174.162', 3560943266, 3560943266, 'GB', 'United Kingdom'),
(151615, '212.63.174.163', '212.63.174.163', 3560943267, 3560943267, 'DE', 'Germany'),
(151616, '212.63.174.164', '212.63.174.165', 3560943268, 3560943269, 'IT', 'Italy'),
(151617, '212.63.174.166', '212.63.174.166', 3560943270, 3560943270, 'GB', 'United Kingdom'),
(151618, '212.63.174.167', '212.63.174.167', 3560943271, 3560943271, 'IT', 'Italy'),
(151619, '212.63.174.168', '212.63.174.168', 3560943272, 3560943272, 'ES', 'Spain'),
(151620, '212.63.174.169', '212.63.174.169', 3560943273, 3560943273, 'FR', 'France'),
(151621, '212.63.174.170', '212.63.174.170', 3560943274, 3560943274, 'GB', 'United Kingdom'),
(151622, '212.63.174.171', '212.63.174.171', 3560943275, 3560943275, 'DE', 'Germany'),
(151623, '212.63.174.172', '212.63.174.172', 3560943276, 3560943276, 'FR', 'France'),
(151624, '212.63.174.173', '212.63.174.173', 3560943277, 3560943277, 'IT', 'Italy'),
(151625, '212.63.174.174', '212.63.174.174', 3560943278, 3560943278, 'DE', 'Germany'),
(151626, '212.63.174.175', '212.63.174.175', 3560943279, 3560943279, 'FR', 'France'),
(151627, '212.63.174.176', '212.63.174.176', 3560943280, 3560943280, 'DE', 'Germany'),
(151628, '212.63.174.177', '212.63.174.177', 3560943281, 3560943281, 'ES', 'Spain'),
(151629, '212.63.174.178', '212.63.174.178', 3560943282, 3560943282, 'FR', 'France'),
(151630, '212.63.174.179', '212.63.174.179', 3560943283, 3560943283, 'ES', 'Spain'),
(151631, '212.63.174.180', '212.63.174.182', 3560943284, 3560943286, 'DE', 'Germany'),
(151632, '212.63.174.183', '212.63.174.183', 3560943287, 3560943287, 'NL', 'Netherlands'),
(151633, '212.63.174.184', '212.63.174.186', 3560943288, 3560943290, 'FR', 'France'),
(151634, '212.63.174.187', '212.63.174.188', 3560943291, 3560943292, 'IT', 'Italy'),
(151635, '212.63.174.189', '212.63.174.189', 3560943293, 3560943293, 'ES', 'Spain'),
(151636, '212.63.174.190', '212.63.174.190', 3560943294, 3560943294, 'IT', 'Italy'),
(151637, '212.63.174.191', '212.63.174.191', 3560943295, 3560943295, 'DE', 'Germany'),
(151638, '212.63.174.192', '212.63.174.192', 3560943296, 3560943296, 'RU', 'Russian Federation'),
(151639, '212.63.174.193', '212.63.174.193', 3560943297, 3560943297, 'ES', 'Spain'),
(151640, '212.63.174.194', '212.63.174.194', 3560943298, 3560943298, 'FR', 'France'),
(151641, '212.63.174.195', '212.63.174.195', 3560943299, 3560943299, 'GB', 'United Kingdom'),
(151642, '212.63.174.196', '212.63.174.196', 3560943300, 3560943300, 'DE', 'Germany'),
(151643, '212.63.174.197', '212.63.174.197', 3560943301, 3560943301, 'FR', 'France'),
(151644, '212.63.174.198', '212.63.174.198', 3560943302, 3560943302, 'ES', 'Spain'),
(151645, '212.63.174.199', '212.63.174.199', 3560943303, 3560943303, 'IT', 'Italy'),
(151646, '212.63.174.200', '212.63.174.200', 3560943304, 3560943304, 'FR', 'France'),
(151647, '212.63.174.201', '212.63.174.202', 3560943305, 3560943306, 'DE', 'Germany'),
(151648, '212.63.174.203', '212.63.174.203', 3560943307, 3560943307, 'ES', 'Spain'),
(151649, '212.63.174.204', '212.63.174.205', 3560943308, 3560943309, 'DE', 'Germany'),
(151650, '212.63.174.206', '212.63.174.207', 3560943310, 3560943311, 'IT', 'Italy'),
(151651, '212.63.174.208', '212.63.174.208', 3560943312, 3560943312, 'PL', 'Poland'),
(151652, '212.63.174.209', '212.63.174.209', 3560943313, 3560943313, 'DE', 'Germany'),
(151653, '212.63.174.210', '212.63.174.210', 3560943314, 3560943314, 'ES', 'Spain'),
(151654, '212.63.174.211', '212.63.174.211', 3560943315, 3560943315, 'IT', 'Italy'),
(151655, '212.63.174.212', '212.63.174.212', 3560943316, 3560943316, 'GB', 'United Kingdom'),
(151656, '212.63.174.213', '212.63.174.213', 3560943317, 3560943317, 'IT', 'Italy'),
(151657, '212.63.174.214', '212.63.174.214', 3560943318, 3560943318, 'CH', 'Switzerland'),
(151658, '212.63.174.215', '212.63.174.215', 3560943319, 3560943319, 'ES', 'Spain'),
(151659, '212.63.174.216', '212.63.174.216', 3560943320, 3560943320, 'IT', 'Italy'),
(151660, '212.63.174.217', '212.63.174.217', 3560943321, 3560943321, 'GB', 'United Kingdom'),
(151661, '212.63.174.218', '212.63.174.218', 3560943322, 3560943322, 'DE', 'Germany'),
(151662, '212.63.174.219', '212.63.174.219', 3560943323, 3560943323, 'NL', 'Netherlands'),
(151663, '212.63.174.220', '212.63.174.220', 3560943324, 3560943324, 'DE', 'Germany'),
(151664, '212.63.174.221', '212.63.174.221', 3560943325, 3560943325, 'CH', 'Switzerland'),
(151665, '212.63.174.222', '212.63.174.222', 3560943326, 3560943326, 'RU', 'Russian Federation'),
(151666, '212.63.174.223', '212.63.174.225', 3560943327, 3560943329, 'DE', 'Germany'),
(151667, '212.63.174.226', '212.63.174.227', 3560943330, 3560943331, 'IT', 'Italy'),
(151668, '212.63.174.228', '212.63.174.231', 3560943332, 3560943335, 'DE', 'Germany'),
(151669, '212.63.174.232', '212.63.174.232', 3560943336, 3560943336, 'ES', 'Spain'),
(151670, '212.63.174.233', '212.63.174.233', 3560943337, 3560943337, 'IT', 'Italy'),
(151671, '212.63.174.234', '212.63.174.234', 3560943338, 3560943338, 'BE', 'Belgium'),
(151672, '212.63.174.235', '212.63.174.235', 3560943339, 3560943339, 'NL', 'Netherlands'),
(151673, '212.63.174.236', '212.63.174.237', 3560943340, 3560943341, 'DE', 'Germany'),
(151674, '212.63.174.238', '212.63.174.238', 3560943342, 3560943342, 'ES', 'Spain'),
(151675, '212.63.174.239', '212.63.174.239', 3560943343, 3560943343, 'FR', 'France'),
(151676, '212.63.174.240', '212.63.174.240', 3560943344, 3560943344, 'NL', 'Netherlands'),
(151677, '212.63.174.241', '212.63.174.241', 3560943345, 3560943345, 'CH', 'Switzerland'),
(151678, '212.63.174.242', '212.63.174.242', 3560943346, 3560943346, 'IT', 'Italy'),
(151679, '212.63.174.243', '212.63.174.243', 3560943347, 3560943347, 'ES', 'Spain'),
(151680, '212.63.174.244', '212.63.174.244', 3560943348, 3560943348, 'FR', 'France'),
(151681, '212.63.174.245', '212.63.174.245', 3560943349, 3560943349, 'DE', 'Germany'),
(151682, '212.63.174.246', '212.63.174.246', 3560943350, 3560943350, 'BE', 'Belgium'),
(151683, '212.63.174.247', '212.63.174.247', 3560943351, 3560943351, 'SE', 'Sweden'),
(151684, '212.63.174.248', '212.63.174.248', 3560943352, 3560943352, 'IT', 'Italy'),
(151685, '212.63.174.249', '212.63.174.250', 3560943353, 3560943354, 'DE', 'Germany'),
(151686, '212.63.174.251', '212.63.174.251', 3560943355, 3560943355, 'IT', 'Italy'),
(151687, '212.63.174.252', '212.63.174.252', 3560943356, 3560943356, 'DE', 'Germany'),
(151688, '212.63.174.253', '212.63.174.253', 3560943357, 3560943357, 'ES', 'Spain'),
(151689, '212.63.174.254', '212.63.174.254', 3560943358, 3560943358, 'BE', 'Belgium'),
(151690, '212.63.174.255', '212.63.175.1', 3560943359, 3560943361, 'DE', 'Germany'),
(151691, '212.63.175.2', '212.63.175.2', 3560943362, 3560943362, 'GB', 'United Kingdom'),
(151692, '212.63.175.3', '212.63.175.5', 3560943363, 3560943365, 'DE', 'Germany'),
(151693, '212.63.175.6', '212.63.175.7', 3560943366, 3560943367, 'IT', 'Italy'),
(151694, '212.63.175.8', '212.63.175.8', 3560943368, 3560943368, 'DE', 'Germany'),
(151695, '212.63.175.9', '212.63.175.9', 3560943369, 3560943369, 'GR', 'Greece'),
(151696, '212.63.175.10', '212.63.175.10', 3560943370, 3560943370, 'DE', 'Germany'),
(151697, '212.63.175.11', '212.63.175.11', 3560943371, 3560943371, 'AT', 'Austria'),
(151698, '212.63.175.12', '212.63.175.12', 3560943372, 3560943372, 'FR', 'France'),
(151699, '212.63.175.13', '212.63.175.15', 3560943373, 3560943375, 'DE', 'Germany'),
(151700, '212.63.175.16', '212.63.175.16', 3560943376, 3560943376, 'ES', 'Spain'),
(151701, '212.63.175.17', '212.63.175.17', 3560943377, 3560943377, 'GB', 'United Kingdom'),
(151702, '212.63.175.18', '212.63.175.18', 3560943378, 3560943378, 'DE', 'Germany'),
(151703, '212.63.175.19', '212.63.175.20', 3560943379, 3560943380, 'ES', 'Spain'),
(151704, '212.63.175.21', '212.63.175.23', 3560943381, 3560943383, 'DE', 'Germany'),
(151705, '212.63.175.24', '212.63.175.24', 3560943384, 3560943384, 'FR', 'France'),
(151706, '212.63.175.25', '212.63.175.25', 3560943385, 3560943385, 'ES', 'Spain'),
(151707, '212.63.175.26', '212.63.175.26', 3560943386, 3560943386, 'CH', 'Switzerland'),
(151708, '212.63.175.27', '212.63.175.27', 3560943387, 3560943387, 'GB', 'United Kingdom'),
(151709, '212.63.175.28', '212.63.175.31', 3560943388, 3560943391, 'DE', 'Germany'),
(151710, '212.63.175.32', '212.63.175.32', 3560943392, 3560943392, 'GB', 'United Kingdom'),
(151711, '212.63.175.33', '212.63.175.33', 3560943393, 3560943393, 'DE', 'Germany'),
(151712, '212.63.175.34', '212.63.175.34', 3560943394, 3560943394, 'ES', 'Spain'),
(151713, '212.63.175.35', '212.63.175.35', 3560943395, 3560943395, 'NL', 'Netherlands'),
(151714, '212.63.175.36', '212.63.175.36', 3560943396, 3560943396, 'BE', 'Belgium'),
(151715, '212.63.175.37', '212.63.175.37', 3560943397, 3560943397, 'DE', 'Germany'),
(151716, '212.63.175.38', '212.63.175.38', 3560943398, 3560943398, 'BE', 'Belgium'),
(151717, '212.63.175.39', '212.63.175.39', 3560943399, 3560943399, 'CH', 'Switzerland'),
(151718, '212.63.175.40', '212.63.175.40', 3560943400, 3560943400, 'IT', 'Italy'),
(151719, '212.63.175.41', '212.63.175.41', 3560943401, 3560943401, 'DE', 'Germany'),
(151720, '212.63.175.42', '212.63.175.42', 3560943402, 3560943402, 'NL', 'Netherlands'),
(151721, '212.63.175.43', '212.63.175.43', 3560943403, 3560943403, 'DE', 'Germany'),
(151722, '212.63.175.44', '212.63.175.44', 3560943404, 3560943404, 'BE', 'Belgium'),
(151723, '212.63.175.45', '212.63.175.45', 3560943405, 3560943405, 'DE', 'Germany'),
(151724, '212.63.175.46', '212.63.175.47', 3560943406, 3560943407, 'ES', 'Spain'),
(151725, '212.63.175.48', '212.63.175.48', 3560943408, 3560943408, 'IT', 'Italy'),
(151726, '212.63.175.49', '212.63.175.49', 3560943409, 3560943409, 'ES', 'Spain'),
(151727, '212.63.175.50', '212.63.175.50', 3560943410, 3560943410, 'NL', 'Netherlands'),
(151728, '212.63.175.51', '212.63.175.51', 3560943411, 3560943411, 'DE', 'Germany'),
(151729, '212.63.175.52', '212.63.175.52', 3560943412, 3560943412, 'IT', 'Italy'),
(151730, '212.63.175.53', '212.63.175.53', 3560943413, 3560943413, 'ES', 'Spain'),
(151731, '212.63.175.54', '212.63.175.55', 3560943414, 3560943415, 'DE', 'Germany'),
(151732, '212.63.175.56', '212.63.175.56', 3560943416, 3560943416, 'FR', 'France'),
(151733, '212.63.175.57', '212.63.175.57', 3560943417, 3560943417, 'DE', 'Germany'),
(151734, '212.63.175.58', '212.63.175.58', 3560943418, 3560943418, 'GB', 'United Kingdom'),
(151735, '212.63.175.59', '212.63.175.59', 3560943419, 3560943419, 'FR', 'France'),
(151736, '212.63.175.60', '212.63.175.60', 3560943420, 3560943420, 'DE', 'Germany'),
(151737, '212.63.175.61', '212.63.175.61', 3560943421, 3560943421, 'HU', 'Hungary'),
(151738, '212.63.175.62', '212.63.175.62', 3560943422, 3560943422, 'DE', 'Germany'),
(151739, '212.63.175.63', '212.63.175.63', 3560943423, 3560943423, 'FR', 'France'),
(151740, '212.63.175.64', '212.63.175.64', 3560943424, 3560943424, 'DE', 'Germany'),
(151741, '212.63.175.65', '212.63.175.65', 3560943425, 3560943425, 'ES', 'Spain'),
(151742, '212.63.175.66', '212.63.175.66', 3560943426, 3560943426, 'IT', 'Italy'),
(151743, '212.63.175.67', '212.63.175.67', 3560943427, 3560943427, 'FR', 'France'),
(151744, '212.63.175.68', '212.63.175.68', 3560943428, 3560943428, 'NO', 'Norway'),
(151745, '212.63.175.69', '212.63.175.70', 3560943429, 3560943430, 'NL', 'Netherlands'),
(151746, '212.63.175.71', '212.63.175.72', 3560943431, 3560943432, 'DE', 'Germany'),
(151747, '212.63.175.73', '212.63.175.73', 3560943433, 3560943433, 'GB', 'United Kingdom'),
(151748, '212.63.175.74', '212.63.175.74', 3560943434, 3560943434, 'SE', 'Sweden'),
(151749, '212.63.175.75', '212.63.175.75', 3560943435, 3560943435, 'DE', 'Germany'),
(151750, '212.63.175.76', '212.63.175.76', 3560943436, 3560943436, 'FR', 'France'),
(151751, '212.63.175.77', '212.63.175.77', 3560943437, 3560943437, 'ES', 'Spain'),
(151752, '212.63.175.78', '212.63.175.78', 3560943438, 3560943438, 'FR', 'France'),
(151753, '212.63.175.79', '212.63.175.79', 3560943439, 3560943439, 'NO', 'Norway'),
(151754, '212.63.175.80', '212.63.175.80', 3560943440, 3560943440, 'FR', 'France'),
(151755, '212.63.175.81', '212.63.175.81', 3560943441, 3560943441, 'DE', 'Germany'),
(151756, '212.63.175.82', '212.63.175.82', 3560943442, 3560943442, 'ES', 'Spain'),
(151757, '212.63.175.83', '212.63.175.83', 3560943443, 3560943443, 'BE', 'Belgium'),
(151758, '212.63.175.84', '212.63.175.84', 3560943444, 3560943444, 'CH', 'Switzerland'),
(151759, '212.63.175.85', '212.63.175.85', 3560943445, 3560943445, 'PT', 'Portugal'),
(151760, '212.63.175.86', '212.63.175.86', 3560943446, 3560943446, 'DE', 'Germany'),
(151761, '212.63.175.87', '212.63.175.87', 3560943447, 3560943447, 'GB', 'United Kingdom'),
(151762, '212.63.175.88', '212.63.175.90', 3560943448, 3560943450, 'DE', 'Germany'),
(151763, '212.63.175.91', '212.63.175.91', 3560943451, 3560943451, 'PL', 'Poland'),
(151764, '212.63.175.92', '212.63.175.92', 3560943452, 3560943452, 'GB', 'United Kingdom'),
(151765, '212.63.175.93', '212.63.175.94', 3560943453, 3560943454, 'DE', 'Germany'),
(151766, '212.63.175.95', '212.63.175.96', 3560943455, 3560943456, 'GB', 'United Kingdom'),
(151767, '212.63.175.97', '212.63.175.97', 3560943457, 3560943457, 'ES', 'Spain'),
(151768, '212.63.175.98', '212.63.175.99', 3560943458, 3560943459, 'IT', 'Italy'),
(151769, '212.63.175.100', '212.63.175.100', 3560943460, 3560943460, 'ES', 'Spain'),
(151770, '212.63.175.101', '212.63.175.101', 3560943461, 3560943461, 'CH', 'Switzerland'),
(151771, '212.63.175.102', '212.63.175.102', 3560943462, 3560943462, 'FR', 'France'),
(151772, '212.63.175.103', '212.63.175.103', 3560943463, 3560943463, 'NL', 'Netherlands'),
(151773, '212.63.175.104', '212.63.175.104', 3560943464, 3560943464, 'ES', 'Spain'),
(151774, '212.63.175.105', '212.63.175.105', 3560943465, 3560943465, 'FR', 'France'),
(151775, '212.63.175.106', '212.63.175.106', 3560943466, 3560943466, 'NO', 'Norway'),
(151776, '212.63.175.107', '212.63.175.107', 3560943467, 3560943467, 'IT', 'Italy'),
(151777, '212.63.175.108', '212.63.175.108', 3560943468, 3560943468, 'CH', 'Switzerland'),
(151778, '212.63.175.109', '212.63.175.109', 3560943469, 3560943469, 'IT', 'Italy'),
(151779, '212.63.175.110', '212.63.175.111', 3560943470, 3560943471, 'DE', 'Germany'),
(151780, '212.63.175.112', '212.63.175.112', 3560943472, 3560943472, 'BE', 'Belgium'),
(151781, '212.63.175.113', '212.63.175.113', 3560943473, 3560943473, 'AT', 'Austria'),
(151782, '212.63.175.114', '212.63.175.114', 3560943474, 3560943474, 'CH', 'Switzerland'),
(151783, '212.63.175.115', '212.63.175.115', 3560943475, 3560943475, 'ES', 'Spain'),
(151784, '212.63.175.116', '212.63.175.116', 3560943476, 3560943476, 'BE', 'Belgium'),
(151785, '212.63.175.117', '212.63.175.117', 3560943477, 3560943477, 'DE', 'Germany'),
(151786, '212.63.175.118', '212.63.175.118', 3560943478, 3560943478, 'IT', 'Italy'),
(151787, '212.63.175.119', '212.63.175.119', 3560943479, 3560943479, 'GB', 'United Kingdom'),
(151788, '212.63.175.120', '212.63.175.120', 3560943480, 3560943480, 'NL', 'Netherlands'),
(151789, '212.63.175.121', '212.63.175.121', 3560943481, 3560943481, 'BG', 'Bulgaria'),
(151790, '212.63.175.122', '212.63.175.122', 3560943482, 3560943482, 'DE', 'Germany'),
(151791, '212.63.175.123', '212.63.175.126', 3560943483, 3560943486, 'ES', 'Spain'),
(151792, '212.63.175.127', '212.63.175.127', 3560943487, 3560943487, 'DE', 'Germany'),
(151793, '212.63.175.128', '212.63.175.128', 3560943488, 3560943488, 'ES', 'Spain'),
(151794, '212.63.175.129', '212.63.175.129', 3560943489, 3560943489, 'DE', 'Germany'),
(151795, '212.63.175.130', '212.63.175.130', 3560943490, 3560943490, 'GB', 'United Kingdom'),
(151796, '212.63.175.131', '212.63.175.131', 3560943491, 3560943491, 'DE', 'Germany'),
(151797, '212.63.175.132', '212.63.175.133', 3560943492, 3560943493, 'FR', 'France'),
(151798, '212.63.175.134', '212.63.175.134', 3560943494, 3560943494, 'GB', 'United Kingdom'),
(151799, '212.63.175.135', '212.63.175.135', 3560943495, 3560943495, 'IT', 'Italy'),
(151800, '212.63.175.136', '212.63.175.139', 3560943496, 3560943499, 'DE', 'Germany'),
(151801, '212.63.175.140', '212.63.175.140', 3560943500, 3560943500, 'CH', 'Switzerland'),
(151802, '212.63.175.141', '212.63.175.141', 3560943501, 3560943501, 'ES', 'Spain'),
(151803, '212.63.175.142', '212.63.175.147', 3560943502, 3560943507, 'DE', 'Germany'),
(151804, '212.63.175.148', '212.63.175.148', 3560943508, 3560943508, 'DK', 'Denmark'),
(151805, '212.63.175.149', '212.63.175.150', 3560943509, 3560943510, 'DE', 'Germany'),
(151806, '212.63.175.151', '212.63.175.151', 3560943511, 3560943511, 'IT', 'Italy'),
(151807, '212.63.175.152', '212.63.175.152', 3560943512, 3560943512, 'DE', 'Germany'),
(151808, '212.63.175.153', '212.63.175.153', 3560943513, 3560943513, 'LU', 'Luxembourg'),
(151809, '212.63.175.154', '212.63.175.155', 3560943514, 3560943515, 'ES', 'Spain'),
(151810, '212.63.175.156', '212.63.175.157', 3560943516, 3560943517, 'DE', 'Germany'),
(151811, '212.63.175.158', '212.63.175.158', 3560943518, 3560943518, 'LU', 'Luxembourg'),
(151812, '212.63.175.159', '212.63.175.159', 3560943519, 3560943519, 'DE', 'Germany'),
(151813, '212.63.175.160', '212.63.175.160', 3560943520, 3560943520, 'DK', 'Denmark'),
(151814, '212.63.175.161', '212.63.175.161', 3560943521, 3560943521, 'DE', 'Germany'),
(151815, '212.63.175.162', '212.63.175.162', 3560943522, 3560943522, 'GB', 'United Kingdom'),
(151816, '212.63.175.163', '212.63.175.164', 3560943523, 3560943524, 'DE', 'Germany'),
(151817, '212.63.175.165', '212.63.175.165', 3560943525, 3560943525, 'NL', 'Netherlands'),
(151818, '212.63.175.166', '212.63.175.166', 3560943526, 3560943526, 'IT', 'Italy'),
(151819, '212.63.175.167', '212.63.175.167', 3560943527, 3560943527, 'DE', 'Germany'),
(151820, '212.63.175.168', '212.63.175.168', 3560943528, 3560943528, 'FR', 'France'),
(151821, '212.63.175.169', '212.63.175.169', 3560943529, 3560943529, 'DE', 'Germany'),
(151822, '212.63.175.170', '212.63.175.170', 3560943530, 3560943530, 'CH', 'Switzerland'),
(151823, '212.63.175.171', '212.63.175.172', 3560943531, 3560943532, 'DE', 'Germany'),
(151824, '212.63.175.173', '212.63.175.173', 3560943533, 3560943533, 'HU', 'Hungary'),
(151825, '212.63.175.174', '212.63.175.174', 3560943534, 3560943534, 'BY', 'Belarus'),
(151826, '212.63.175.175', '212.63.175.175', 3560943535, 3560943535, 'FR', 'France'),
(151827, '212.63.175.176', '212.63.175.176', 3560943536, 3560943536, 'BE', 'Belgium'),
(151828, '212.63.175.177', '212.63.175.177', 3560943537, 3560943537, 'DE', 'Germany'),
(151829, '212.63.175.178', '212.63.175.178', 3560943538, 3560943538, 'GB', 'United Kingdom'),
(151830, '212.63.175.179', '212.63.175.179', 3560943539, 3560943539, 'DE', 'Germany'),
(151831, '212.63.175.180', '212.63.175.180', 3560943540, 3560943540, 'BE', 'Belgium'),
(151832, '212.63.175.181', '212.63.175.181', 3560943541, 3560943541, 'NL', 'Netherlands'),
(151833, '212.63.175.182', '212.63.175.182', 3560943542, 3560943542, 'DE', 'Germany'),
(151834, '212.63.175.183', '212.63.175.183', 3560943543, 3560943543, 'NL', 'Netherlands'),
(151835, '212.63.175.184', '212.63.175.184', 3560943544, 3560943544, 'ES', 'Spain'),
(151836, '212.63.175.185', '212.63.175.186', 3560943545, 3560943546, 'DE', 'Germany'),
(151837, '212.63.175.187', '212.63.175.187', 3560943547, 3560943547, 'SI', 'Slovenia'),
(151838, '212.63.175.188', '212.63.175.188', 3560943548, 3560943548, 'GB', 'United Kingdom'),
(151839, '212.63.175.189', '212.63.175.189', 3560943549, 3560943549, 'DE', 'Germany'),
(151840, '212.63.175.190', '212.63.175.190', 3560943550, 3560943550, 'HU', 'Hungary'),
(151841, '212.63.175.191', '212.63.175.191', 3560943551, 3560943551, 'FR', 'France'),
(151842, '212.63.175.192', '212.63.175.192', 3560943552, 3560943552, 'IT', 'Italy'),
(151843, '212.63.175.193', '212.63.175.193', 3560943553, 3560943553, 'DE', 'Germany'),
(151844, '212.63.175.194', '212.63.175.194', 3560943554, 3560943554, 'IS', 'Iceland'),
(151845, '212.63.175.195', '212.63.175.195', 3560943555, 3560943555, 'FR', 'France'),
(151846, '212.63.175.196', '212.63.175.196', 3560943556, 3560943556, 'DE', 'Germany'),
(151847, '212.63.175.197', '212.63.175.197', 3560943557, 3560943557, 'ES', 'Spain'),
(151848, '212.63.175.198', '212.63.175.198', 3560943558, 3560943558, 'DE', 'Germany'),
(151849, '212.63.175.199', '212.63.175.199', 3560943559, 3560943559, 'GB', 'United Kingdom'),
(151850, '212.63.175.200', '212.63.175.202', 3560943560, 3560943562, 'IT', 'Italy'),
(151851, '212.63.175.203', '212.63.175.203', 3560943563, 3560943563, 'HU', 'Hungary'),
(151852, '212.63.175.204', '212.63.175.204', 3560943564, 3560943564, 'DE', 'Germany'),
(151853, '212.63.175.205', '212.63.175.205', 3560943565, 3560943565, 'GB', 'United Kingdom'),
(151854, '212.63.175.206', '212.63.175.206', 3560943566, 3560943566, 'DE', 'Germany'),
(151855, '212.63.175.207', '212.63.175.207', 3560943567, 3560943567, 'FR', 'France'),
(151856, '212.63.175.208', '212.63.175.208', 3560943568, 3560943568, 'GB', 'United Kingdom'),
(151857, '212.63.175.209', '212.63.175.210', 3560943569, 3560943570, 'FR', 'France'),
(151858, '212.63.175.211', '212.63.175.212', 3560943571, 3560943572, 'DE', 'Germany'),
(151859, '212.63.175.213', '212.63.175.213', 3560943573, 3560943573, 'FR', 'France'),
(151860, '212.63.175.214', '212.63.175.214', 3560943574, 3560943574, 'NO', 'Norway'),
(151861, '212.63.175.215', '212.63.175.215', 3560943575, 3560943575, 'BE', 'Belgium'),
(151862, '212.63.175.216', '212.63.175.216', 3560943576, 3560943576, 'IT', 'Italy'),
(151863, '212.63.175.217', '212.63.175.217', 3560943577, 3560943577, 'DK', 'Denmark'),
(151864, '212.63.175.218', '212.63.175.218', 3560943578, 3560943578, 'ES', 'Spain'),
(151865, '212.63.175.219', '212.63.175.220', 3560943579, 3560943580, 'DE', 'Germany'),
(151866, '212.63.175.221', '212.63.175.221', 3560943581, 3560943581, 'NL', 'Netherlands'),
(151867, '212.63.175.222', '212.63.175.222', 3560943582, 3560943582, 'DE', 'Germany'),
(151868, '212.63.175.223', '212.63.175.223', 3560943583, 3560943583, 'ES', 'Spain'),
(151869, '212.63.175.224', '212.63.175.224', 3560943584, 3560943584, 'IT', 'Italy'),
(151870, '212.63.175.225', '212.63.175.225', 3560943585, 3560943585, 'FR', 'France'),
(151871, '212.63.175.226', '212.63.175.226', 3560943586, 3560943586, 'ES', 'Spain'),
(151872, '212.63.175.227', '212.63.175.227', 3560943587, 3560943587, 'DE', 'Germany'),
(151873, '212.63.175.228', '212.63.175.228', 3560943588, 3560943588, 'IT', 'Italy'),
(151874, '212.63.175.229', '212.63.175.229', 3560943589, 3560943589, 'NL', 'Netherlands'),
(151875, '212.63.175.230', '212.63.175.230', 3560943590, 3560943590, 'HU', 'Hungary'),
(151876, '212.63.175.231', '212.63.175.231', 3560943591, 3560943591, 'AT', 'Austria'),
(151877, '212.63.175.232', '212.63.175.232', 3560943592, 3560943592, 'SK', 'Slovakia'),
(151878, '212.63.175.233', '212.63.175.233', 3560943593, 3560943593, 'PL', 'Poland'),
(151879, '212.63.175.234', '212.63.175.234', 3560943594, 3560943594, 'FR', 'France'),
(151880, '212.63.175.235', '212.63.175.236', 3560943595, 3560943596, 'ES', 'Spain'),
(151881, '212.63.175.237', '212.63.175.239', 3560943597, 3560943599, 'DE', 'Germany'),
(151882, '212.63.175.240', '212.63.175.240', 3560943600, 3560943600, 'AT', 'Austria'),
(151883, '212.63.175.241', '212.63.175.242', 3560943601, 3560943602, 'IT', 'Italy'),
(151884, '212.63.175.243', '212.63.175.243', 3560943603, 3560943603, 'CH', 'Switzerland'),
(151885, '212.63.175.244', '212.63.175.244', 3560943604, 3560943604, 'ES', 'Spain'),
(151886, '212.63.175.245', '212.63.175.245', 3560943605, 3560943605, 'GB', 'United Kingdom'),
(151887, '212.63.175.246', '212.63.175.247', 3560943606, 3560943607, 'DE', 'Germany'),
(151888, '212.63.175.248', '212.63.175.248', 3560943608, 3560943608, 'IT', 'Italy'),
(151889, '212.63.175.249', '212.63.175.250', 3560943609, 3560943610, 'DE', 'Germany'),
(151890, '212.63.175.251', '212.63.175.251', 3560943611, 3560943611, 'FR', 'France'),
(151891, '212.63.175.252', '212.63.175.252', 3560943612, 3560943612, 'DE', 'Germany'),
(151892, '212.63.175.253', '212.63.175.253', 3560943613, 3560943613, 'ES', 'Spain'),
(151893, '212.63.175.254', '212.63.176.1', 3560943614, 3560943617, 'DE', 'Germany'),
(151894, '212.63.176.2', '212.63.176.2', 3560943618, 3560943618, 'FR', 'France'),
(151895, '212.63.176.3', '212.63.176.4', 3560943619, 3560943620, 'ES', 'Spain'),
(151896, '212.63.176.5', '212.63.176.5', 3560943621, 3560943621, 'SE', 'Sweden'),
(151897, '212.63.176.6', '212.63.176.6', 3560943622, 3560943622, 'BE', 'Belgium'),
(151898, '212.63.176.7', '212.63.176.7', 3560943623, 3560943623, 'DE', 'Germany'),
(151899, '212.63.176.8', '212.63.176.8', 3560943624, 3560943624, 'ES', 'Spain'),
(151900, '212.63.176.9', '212.63.176.9', 3560943625, 3560943625, 'DE', 'Germany'),
(151901, '212.63.176.10', '212.63.176.10', 3560943626, 3560943626, 'ES', 'Spain'),
(151902, '212.63.176.11', '212.63.176.11', 3560943627, 3560943627, 'DK', 'Denmark'),
(151903, '212.63.176.12', '212.63.176.12', 3560943628, 3560943628, 'DE', 'Germany'),
(151904, '212.63.176.13', '212.63.176.13', 3560943629, 3560943629, 'IT', 'Italy'),
(151905, '212.63.176.14', '212.63.176.14', 3560943630, 3560943630, 'DE', 'Germany'),
(151906, '212.63.176.15', '212.63.176.15', 3560943631, 3560943631, 'HU', 'Hungary'),
(151907, '212.63.176.16', '212.63.176.16', 3560943632, 3560943632, 'CH', 'Switzerland'),
(151908, '212.63.176.17', '212.63.176.17', 3560943633, 3560943633, 'ES', 'Spain'),
(151909, '212.63.176.18', '212.63.176.18', 3560943634, 3560943634, 'FR', 'France'),
(151910, '212.63.176.19', '212.63.176.19', 3560943635, 3560943635, 'ES', 'Spain'),
(151911, '212.63.176.20', '212.63.176.20', 3560943636, 3560943636, 'DE', 'Germany'),
(151912, '212.63.176.21', '212.63.176.21', 3560943637, 3560943637, 'PL', 'Poland'),
(151913, '212.63.176.22', '212.63.176.22', 3560943638, 3560943638, 'IT', 'Italy'),
(151914, '212.63.176.23', '212.63.176.23', 3560943639, 3560943639, 'ES', 'Spain'),
(151915, '212.63.176.24', '212.63.176.24', 3560943640, 3560943640, 'FR', 'France'),
(151916, '212.63.176.25', '212.63.176.25', 3560943641, 3560943641, 'DE', 'Germany'),
(151917, '212.63.176.26', '212.63.176.27', 3560943642, 3560943643, 'IT', 'Italy'),
(151918, '212.63.176.28', '212.63.176.28', 3560943644, 3560943644, 'DE', 'Germany'),
(151919, '212.63.176.29', '212.63.176.29', 3560943645, 3560943645, 'GB', 'United Kingdom'),
(151920, '212.63.176.30', '212.63.176.30', 3560943646, 3560943646, 'DE', 'Germany'),
(151921, '212.63.176.31', '212.63.176.31', 3560943647, 3560943647, 'ES', 'Spain'),
(151922, '212.63.176.32', '212.63.176.32', 3560943648, 3560943648, 'DE', 'Germany'),
(151923, '212.63.176.33', '212.63.176.33', 3560943649, 3560943649, 'NL', 'Netherlands'),
(151924, '212.63.176.34', '212.63.176.35', 3560943650, 3560943651, 'DE', 'Germany'),
(151925, '212.63.176.36', '212.63.176.36', 3560943652, 3560943652, 'AT', 'Austria'),
(151926, '212.63.176.37', '212.63.176.37', 3560943653, 3560943653, 'DE', 'Germany'),
(151927, '212.63.176.38', '212.63.176.38', 3560943654, 3560943654, 'IT', 'Italy'),
(151928, '212.63.176.39', '212.63.176.39', 3560943655, 3560943655, 'DE', 'Germany'),
(151929, '212.63.176.40', '212.63.176.40', 3560943656, 3560943656, 'IT', 'Italy'),
(151930, '212.63.176.41', '212.63.176.41', 3560943657, 3560943657, 'DE', 'Germany'),
(151931, '212.63.176.42', '212.63.176.42', 3560943658, 3560943658, 'GB', 'United Kingdom'),
(151932, '212.63.176.43', '212.63.176.43', 3560943659, 3560943659, 'DE', 'Germany'),
(151933, '212.63.176.44', '212.63.176.44', 3560943660, 3560943660, 'PT', 'Portugal'),
(151934, '212.63.176.45', '212.63.176.45', 3560943661, 3560943661, 'DK', 'Denmark'),
(151935, '212.63.176.46', '212.63.176.46', 3560943662, 3560943662, 'DE', 'Germany'),
(151936, '212.63.176.47', '212.63.176.48', 3560943663, 3560943664, 'NL', 'Netherlands'),
(151937, '212.63.176.49', '212.63.176.50', 3560943665, 3560943666, 'DE', 'Germany'),
(151938, '212.63.176.51', '212.63.176.51', 3560943667, 3560943667, 'PL', 'Poland'),
(151939, '212.63.176.52', '212.63.176.52', 3560943668, 3560943668, 'DK', 'Denmark'),
(151940, '212.63.176.53', '212.63.176.53', 3560943669, 3560943669, 'FR', 'France'),
(151941, '212.63.176.54', '212.63.176.55', 3560943670, 3560943671, 'DE', 'Germany'),
(151942, '212.63.176.56', '212.63.176.56', 3560943672, 3560943672, 'BH', 'Bahrain'),
(151943, '212.63.176.57', '212.63.176.57', 3560943673, 3560943673, 'SE', 'Sweden'),
(151944, '212.63.176.58', '212.63.176.58', 3560943674, 3560943674, 'MA', 'Morocco'),
(151945, '212.63.176.59', '212.63.176.59', 3560943675, 3560943675, 'FR', 'France'),
(151946, '212.63.176.60', '212.63.176.61', 3560943676, 3560943677, 'DE', 'Germany'),
(151947, '212.63.176.62', '212.63.176.64', 3560943678, 3560943680, 'ES', 'Spain'),
(151948, '212.63.176.65', '212.63.176.66', 3560943681, 3560943682, 'DE', 'Germany'),
(151949, '212.63.176.67', '212.63.176.67', 3560943683, 3560943683, 'GR', 'Greece'),
(151950, '212.63.176.68', '212.63.176.68', 3560943684, 3560943684, 'NL', 'Netherlands'),
(151951, '212.63.176.69', '212.63.176.69', 3560943685, 3560943685, 'IT', 'Italy'),
(151952, '212.63.176.70', '212.63.176.70', 3560943686, 3560943686, 'FR', 'France'),
(151953, '212.63.176.71', '212.63.176.71', 3560943687, 3560943687, 'PT', 'Portugal'),
(151954, '212.63.176.72', '212.63.176.72', 3560943688, 3560943688, 'DE', 'Germany'),
(151955, '212.63.176.73', '212.63.176.73', 3560943689, 3560943689, 'PT', 'Portugal'),
(151956, '212.63.176.74', '212.63.176.74', 3560943690, 3560943690, 'IT', 'Italy'),
(151957, '212.63.176.75', '212.63.176.75', 3560943691, 3560943691, 'DE', 'Germany'),
(151958, '212.63.176.76', '212.63.176.76', 3560943692, 3560943692, 'SE', 'Sweden'),
(151959, '212.63.176.77', '212.63.176.77', 3560943693, 3560943693, 'DE', 'Germany'),
(151960, '212.63.176.78', '212.63.176.78', 3560943694, 3560943694, 'FR', 'France'),
(151961, '212.63.176.79', '212.63.176.79', 3560943695, 3560943695, 'DE', 'Germany'),
(151962, '212.63.176.80', '212.63.176.81', 3560943696, 3560943697, 'CH', 'Switzerland'),
(151963, '212.63.176.82', '212.63.176.82', 3560943698, 3560943698, 'DE', 'Germany'),
(151964, '212.63.176.83', '212.63.176.83', 3560943699, 3560943699, 'IT', 'Italy'),
(151965, '212.63.176.84', '212.63.176.84', 3560943700, 3560943700, 'DE', 'Germany'),
(151966, '212.63.176.85', '212.63.176.85', 3560943701, 3560943701, 'AT', 'Austria'),
(151967, '212.63.176.86', '212.63.176.86', 3560943702, 3560943702, 'DE', 'Germany'),
(151968, '212.63.176.87', '212.63.176.87', 3560943703, 3560943703, 'FR', 'France'),
(151969, '212.63.176.88', '212.63.176.88', 3560943704, 3560943704, 'DE', 'Germany'),
(151970, '212.63.176.89', '212.63.176.89', 3560943705, 3560943705, 'CH', 'Switzerland'),
(151971, '212.63.176.90', '212.63.176.90', 3560943706, 3560943706, 'LI', 'Liechtenstein'),
(151972, '212.63.176.91', '212.63.176.93', 3560943707, 3560943709, 'DE', 'Germany'),
(151973, '212.63.176.94', '212.63.176.94', 3560943710, 3560943710, 'NL', 'Netherlands'),
(151974, '212.63.176.95', '212.63.176.95', 3560943711, 3560943711, 'DE', 'Germany'),
(151975, '212.63.176.96', '212.63.176.96', 3560943712, 3560943712, 'IT', 'Italy'),
(151976, '212.63.176.97', '212.63.176.97', 3560943713, 3560943713, 'PL', 'Poland'),
(151977, '212.63.176.98', '212.63.176.98', 3560943714, 3560943714, 'NL', 'Netherlands'),
(151978, '212.63.176.99', '212.63.176.99', 3560943715, 3560943715, 'DE', 'Germany'),
(151979, '212.63.176.100', '212.63.176.100', 3560943716, 3560943716, 'GB', 'United Kingdom'),
(151980, '212.63.176.101', '212.63.176.101', 3560943717, 3560943717, 'FR', 'France'),
(151981, '212.63.176.102', '212.63.176.103', 3560943718, 3560943719, 'DE', 'Germany'),
(151982, '212.63.176.104', '212.63.176.105', 3560943720, 3560943721, 'IT', 'Italy'),
(151983, '212.63.176.106', '212.63.176.110', 3560943722, 3560943726, 'DE', 'Germany'),
(151984, '212.63.176.111', '212.63.176.111', 3560943727, 3560943727, 'ES', 'Spain'),
(151985, '212.63.176.112', '212.63.176.112', 3560943728, 3560943728, 'GB', 'United Kingdom'),
(151986, '212.63.176.113', '212.63.176.113', 3560943729, 3560943729, 'DE', 'Germany'),
(151987, '212.63.176.114', '212.63.176.114', 3560943730, 3560943730, 'NL', 'Netherlands'),
(151988, '212.63.176.115', '212.63.176.115', 3560943731, 3560943731, 'IT', 'Italy'),
(151989, '212.63.176.116', '212.63.176.116', 3560943732, 3560943732, 'FR', 'France'),
(151990, '212.63.176.117', '212.63.176.117', 3560943733, 3560943733, 'NO', 'Norway'),
(151991, '212.63.176.118', '212.63.176.120', 3560943734, 3560943736, 'DE', 'Germany'),
(151992, '212.63.176.121', '212.63.176.121', 3560943737, 3560943737, 'GR', 'Greece'),
(151993, '212.63.176.122', '212.63.176.122', 3560943738, 3560943738, 'PT', 'Portugal'),
(151994, '212.63.176.123', '212.63.176.124', 3560943739, 3560943740, 'DE', 'Germany'),
(151995, '212.63.176.125', '212.63.176.125', 3560943741, 3560943741, 'FR', 'France'),
(151996, '212.63.176.126', '212.63.176.126', 3560943742, 3560943742, 'DE', 'Germany'),
(151997, '212.63.176.127', '212.63.176.127', 3560943743, 3560943743, 'PL', 'Poland'),
(151998, '212.63.176.128', '212.63.176.128', 3560943744, 3560943744, 'DE', 'Germany'),
(151999, '212.63.176.129', '212.63.176.129', 3560943745, 3560943745, 'PL', 'Poland'),
(152000, '212.63.176.130', '212.63.176.132', 3560943746, 3560943748, 'DE', 'Germany'),
(152001, '212.63.176.133', '212.63.176.133', 3560943749, 3560943749, 'GB', 'United Kingdom'),
(152002, '212.63.176.134', '212.63.176.134', 3560943750, 3560943750, 'DE', 'Germany'),
(152003, '212.63.176.135', '212.63.176.135', 3560943751, 3560943751, 'IT', 'Italy'),
(152004, '212.63.176.136', '212.63.176.136', 3560943752, 3560943752, 'DE', 'Germany'),
(152005, '212.63.176.137', '212.63.176.137', 3560943753, 3560943753, 'ES', 'Spain'),
(152006, '212.63.176.138', '212.63.176.138', 3560943754, 3560943754, 'HU', 'Hungary'),
(152007, '212.63.176.139', '212.63.176.139', 3560943755, 3560943755, 'BE', 'Belgium'),
(152008, '212.63.176.140', '212.63.176.140', 3560943756, 3560943756, 'IT', 'Italy'),
(152009, '212.63.176.141', '212.63.176.141', 3560943757, 3560943757, 'DE', 'Germany'),
(152010, '212.63.176.142', '212.63.176.142', 3560943758, 3560943758, 'CZ', 'Czech Republic'),
(152011, '212.63.176.143', '212.63.176.143', 3560943759, 3560943759, 'IE', 'Ireland'),
(152012, '212.63.176.144', '212.63.176.144', 3560943760, 3560943760, 'NO', 'Norway'),
(152013, '212.63.176.145', '212.63.176.145', 3560943761, 3560943761, 'GB', 'United Kingdom'),
(152014, '212.63.176.146', '212.63.176.146', 3560943762, 3560943762, 'IT', 'Italy'),
(152015, '212.63.176.147', '212.63.176.147', 3560943763, 3560943763, 'FR', 'France'),
(152016, '212.63.176.148', '212.63.176.148', 3560943764, 3560943764, 'DE', 'Germany'),
(152017, '212.63.176.149', '212.63.176.149', 3560943765, 3560943765, 'SE', 'Sweden'),
(152018, '212.63.176.150', '212.63.176.150', 3560943766, 3560943766, 'CY', 'Cyprus'),
(152019, '212.63.176.151', '212.63.176.152', 3560943767, 3560943768, 'DE', 'Germany'),
(152020, '212.63.176.153', '212.63.176.153', 3560943769, 3560943769, 'FR', 'France'),
(152021, '212.63.176.154', '212.63.176.154', 3560943770, 3560943770, 'NL', 'Netherlands'),
(152022, '212.63.176.155', '212.63.176.155', 3560943771, 3560943771, 'IT', 'Italy'),
(152023, '212.63.176.156', '212.63.176.158', 3560943772, 3560943774, 'DE', 'Germany'),
(152024, '212.63.176.159', '212.63.176.159', 3560943775, 3560943775, 'FR', 'France'),
(152025, '212.63.176.160', '212.63.176.164', 3560943776, 3560943780, 'DE', 'Germany'),
(152026, '212.63.176.165', '212.63.176.165', 3560943781, 3560943781, 'ES', 'Spain'),
(152027, '212.63.176.166', '212.63.176.166', 3560943782, 3560943782, 'DE', 'Germany'),
(152028, '212.63.176.167', '212.63.176.167', 3560943783, 3560943783, 'BE', 'Belgium'),
(152029, '212.63.176.168', '212.63.176.170', 3560943784, 3560943786, 'DE', 'Germany'),
(152030, '212.63.176.171', '212.63.176.171', 3560943787, 3560943787, 'ES', 'Spain'),
(152031, '212.63.176.172', '212.63.176.172', 3560943788, 3560943788, 'DK', 'Denmark'),
(152032, '212.63.176.173', '212.63.176.173', 3560943789, 3560943789, 'IT', 'Italy'),
(152033, '212.63.176.174', '212.63.176.174', 3560943790, 3560943790, 'DE', 'Germany'),
(152034, '212.63.176.175', '212.63.176.175', 3560943791, 3560943791, 'IT', 'Italy'),
(152035, '212.63.176.176', '212.63.176.177', 3560943792, 3560943793, 'DE', 'Germany'),
(152036, '212.63.176.178', '212.63.176.178', 3560943794, 3560943794, 'FR', 'France'),
(152037, '212.63.176.179', '212.63.176.179', 3560943795, 3560943795, 'DE', 'Germany'),
(152038, '212.63.176.180', '212.63.176.180', 3560943796, 3560943796, 'IT', 'Italy'),
(152039, '212.63.176.181', '212.63.176.181', 3560943797, 3560943797, 'DE', 'Germany'),
(152040, '212.63.176.182', '212.63.176.182', 3560943798, 3560943798, 'DK', 'Denmark'),
(152041, '212.63.176.183', '212.63.176.183', 3560943799, 3560943799, 'DE', 'Germany'),
(152042, '212.63.176.184', '212.63.176.184', 3560943800, 3560943800, 'CH', 'Switzerland'),
(152043, '212.63.176.185', '212.63.176.185', 3560943801, 3560943801, 'FR', 'France'),
(152044, '212.63.176.186', '212.63.176.186', 3560943802, 3560943802, 'IT', 'Italy'),
(152045, '212.63.176.187', '212.63.176.187', 3560943803, 3560943803, 'HU', 'Hungary');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(152046, '212.63.176.188', '212.63.176.188', 3560943804, 3560943804, 'ES', 'Spain'),
(152047, '212.63.176.189', '212.63.176.189', 3560943805, 3560943805, 'DE', 'Germany'),
(152048, '212.63.176.190', '212.63.176.190', 3560943806, 3560943806, 'ES', 'Spain'),
(152049, '212.63.176.191', '212.63.176.191', 3560943807, 3560943807, 'DK', 'Denmark'),
(152050, '212.63.176.192', '212.63.176.194', 3560943808, 3560943810, 'DE', 'Germany'),
(152051, '212.63.176.195', '212.63.176.195', 3560943811, 3560943811, 'ES', 'Spain'),
(152052, '212.63.176.196', '212.63.176.196', 3560943812, 3560943812, 'IT', 'Italy'),
(152053, '212.63.176.197', '212.63.176.197', 3560943813, 3560943813, 'CH', 'Switzerland'),
(152054, '212.63.176.198', '212.63.176.198', 3560943814, 3560943814, 'DE', 'Germany'),
(152055, '212.63.176.199', '212.63.176.199', 3560943815, 3560943815, 'IT', 'Italy'),
(152056, '212.63.176.200', '212.63.176.201', 3560943816, 3560943817, 'FR', 'France'),
(152057, '212.63.176.202', '212.63.176.202', 3560943818, 3560943818, 'PT', 'Portugal'),
(152058, '212.63.176.203', '212.63.176.203', 3560943819, 3560943819, 'DE', 'Germany'),
(152059, '212.63.176.204', '212.63.176.204', 3560943820, 3560943820, 'FR', 'France'),
(152060, '212.63.176.205', '212.63.176.205', 3560943821, 3560943821, 'IT', 'Italy'),
(152061, '212.63.176.206', '212.63.176.206', 3560943822, 3560943822, 'DE', 'Germany'),
(152062, '212.63.176.207', '212.63.176.207', 3560943823, 3560943823, 'GR', 'Greece'),
(152063, '212.63.176.208', '212.63.176.211', 3560943824, 3560943827, 'DE', 'Germany'),
(152064, '212.63.176.212', '212.63.176.212', 3560943828, 3560943828, 'ES', 'Spain'),
(152065, '212.63.176.213', '212.63.176.213', 3560943829, 3560943829, 'NL', 'Netherlands'),
(152066, '212.63.176.214', '212.63.176.214', 3560943830, 3560943830, 'DK', 'Denmark'),
(152067, '212.63.176.215', '212.63.176.217', 3560943831, 3560943833, 'FR', 'France'),
(152068, '212.63.176.218', '212.63.176.220', 3560943834, 3560943836, 'DE', 'Germany'),
(152069, '212.63.176.221', '212.63.176.221', 3560943837, 3560943837, 'CH', 'Switzerland'),
(152070, '212.63.176.222', '212.63.176.222', 3560943838, 3560943838, 'DE', 'Germany'),
(152071, '212.63.176.223', '212.63.176.223', 3560943839, 3560943839, 'NO', 'Norway'),
(152072, '212.63.176.224', '212.63.176.224', 3560943840, 3560943840, 'DE', 'Germany'),
(152073, '212.63.176.225', '212.63.176.225', 3560943841, 3560943841, 'GB', 'United Kingdom'),
(152074, '212.63.176.226', '212.63.176.226', 3560943842, 3560943842, 'DE', 'Germany'),
(152075, '212.63.176.227', '212.63.176.227', 3560943843, 3560943843, 'GB', 'United Kingdom'),
(152076, '212.63.176.228', '212.63.176.228', 3560943844, 3560943844, 'BE', 'Belgium'),
(152077, '212.63.176.229', '212.63.176.229', 3560943845, 3560943845, 'CZ', 'Czech Republic'),
(152078, '212.63.176.230', '212.63.176.230', 3560943846, 3560943846, 'LU', 'Luxembourg'),
(152079, '212.63.176.231', '212.63.176.231', 3560943847, 3560943847, 'CZ', 'Czech Republic'),
(152080, '212.63.176.232', '212.63.176.232', 3560943848, 3560943848, 'FR', 'France'),
(152081, '212.63.176.233', '212.63.176.233', 3560943849, 3560943849, 'DE', 'Germany'),
(152082, '212.63.176.234', '212.63.176.234', 3560943850, 3560943850, 'NL', 'Netherlands'),
(152083, '212.63.176.235', '212.63.176.241', 3560943851, 3560943857, 'DE', 'Germany'),
(152084, '212.63.176.242', '212.63.176.242', 3560943858, 3560943858, 'GB', 'United Kingdom'),
(152085, '212.63.176.243', '212.63.176.243', 3560943859, 3560943859, 'DE', 'Germany'),
(152086, '212.63.176.244', '212.63.176.244', 3560943860, 3560943860, 'GB', 'United Kingdom'),
(152087, '212.63.176.245', '212.63.176.249', 3560943861, 3560943865, 'DE', 'Germany'),
(152088, '212.63.176.250', '212.63.176.250', 3560943866, 3560943866, 'BE', 'Belgium'),
(152089, '212.63.176.251', '212.63.176.251', 3560943867, 3560943867, 'ES', 'Spain'),
(152090, '212.63.176.252', '212.63.176.252', 3560943868, 3560943868, 'DE', 'Germany'),
(152091, '212.63.176.253', '212.63.176.253', 3560943869, 3560943869, 'LU', 'Luxembourg'),
(152092, '212.63.176.254', '212.63.176.255', 3560943870, 3560943871, 'DE', 'Germany'),
(152093, '212.63.177.0', '212.63.177.3', 3560943872, 3560943875, 'BR', 'Brazil'),
(152094, '212.63.177.4', '212.63.177.7', 3560943876, 3560943879, 'DE', 'Germany'),
(152095, '212.63.177.8', '212.63.177.15', 3560943880, 3560943887, 'US', 'United States'),
(152096, '212.63.177.16', '212.63.177.19', 3560943888, 3560943891, 'CA', 'Canada'),
(152097, '212.63.177.20', '212.63.177.23', 3560943892, 3560943895, 'DE', 'Germany'),
(152098, '212.63.177.24', '212.63.177.27', 3560943896, 3560943899, 'CL', 'Chile'),
(152099, '212.63.177.28', '212.63.177.31', 3560943900, 3560943903, 'DE', 'Germany'),
(152100, '212.63.177.32', '212.63.177.43', 3560943904, 3560943915, 'US', 'United States'),
(152101, '212.63.177.44', '212.63.177.47', 3560943916, 3560943919, 'CA', 'Canada'),
(152102, '212.63.177.48', '212.63.177.51', 3560943920, 3560943923, 'US', 'United States'),
(152103, '212.63.177.52', '212.63.177.55', 3560943924, 3560943927, 'MX', 'Mexico'),
(152104, '212.63.177.56', '212.63.177.63', 3560943928, 3560943935, 'US', 'United States'),
(152105, '212.63.177.64', '212.63.177.67', 3560943936, 3560943939, 'PE', 'Peru'),
(152106, '212.63.177.68', '212.63.177.71', 3560943940, 3560943943, 'DE', 'Germany'),
(152107, '212.63.177.72', '212.63.177.75', 3560943944, 3560943947, 'US', 'United States'),
(152108, '212.63.177.76', '212.63.177.103', 3560943948, 3560943975, 'DE', 'Germany'),
(152109, '212.63.177.104', '212.63.177.107', 3560943976, 3560943979, 'US', 'United States'),
(152110, '212.63.177.108', '212.63.177.111', 3560943980, 3560943983, 'DE', 'Germany'),
(152111, '212.63.177.112', '212.63.177.115', 3560943984, 3560943987, 'US', 'United States'),
(152112, '212.63.177.116', '212.63.177.119', 3560943988, 3560943991, 'DE', 'Germany'),
(152113, '212.63.177.120', '212.63.177.127', 3560943992, 3560943999, 'US', 'United States'),
(152114, '212.63.177.128', '212.63.177.151', 3560944000, 3560944023, 'DE', 'Germany'),
(152115, '212.63.177.152', '212.63.177.159', 3560944024, 3560944031, 'US', 'United States'),
(152116, '212.63.177.160', '212.63.177.163', 3560944032, 3560944035, 'MX', 'Mexico'),
(152117, '212.63.177.164', '212.63.177.167', 3560944036, 3560944039, 'US', 'United States'),
(152118, '212.63.177.168', '212.63.177.171', 3560944040, 3560944043, 'MX', 'Mexico'),
(152119, '212.63.177.172', '212.63.177.187', 3560944044, 3560944059, 'DE', 'Germany'),
(152120, '212.63.177.188', '212.63.177.191', 3560944060, 3560944063, 'US', 'United States'),
(152121, '212.63.177.192', '212.63.177.195', 3560944064, 3560944067, 'DE', 'Germany'),
(152122, '212.63.177.196', '212.63.177.199', 3560944068, 3560944071, 'US', 'United States'),
(152123, '212.63.177.200', '212.63.177.207', 3560944072, 3560944079, 'DE', 'Germany'),
(152124, '212.63.177.208', '212.63.177.211', 3560944080, 3560944083, 'US', 'United States'),
(152125, '212.63.177.212', '212.63.177.215', 3560944084, 3560944087, 'CL', 'Chile'),
(152126, '212.63.177.216', '212.63.177.231', 3560944088, 3560944103, 'DE', 'Germany'),
(152127, '212.63.177.232', '212.63.177.235', 3560944104, 3560944107, 'US', 'United States'),
(152128, '212.63.177.236', '212.63.177.247', 3560944108, 3560944119, 'DE', 'Germany'),
(152129, '212.63.177.248', '212.63.178.7', 3560944120, 3560944135, 'US', 'United States'),
(152130, '212.63.178.8', '212.63.178.11', 3560944136, 3560944139, 'DE', 'Germany'),
(152131, '212.63.178.12', '212.63.178.15', 3560944140, 3560944143, 'US', 'United States'),
(152132, '212.63.178.16', '212.63.178.19', 3560944144, 3560944147, 'DE', 'Germany'),
(152133, '212.63.178.20', '212.63.178.31', 3560944148, 3560944159, 'US', 'United States'),
(152134, '212.63.178.32', '212.63.178.35', 3560944160, 3560944163, 'MX', 'Mexico'),
(152135, '212.63.178.36', '212.63.178.39', 3560944164, 3560944167, 'AR', 'Argentina'),
(152136, '212.63.178.40', '212.63.178.47', 3560944168, 3560944175, 'US', 'United States'),
(152137, '212.63.178.48', '212.63.178.51', 3560944176, 3560944179, 'BR', 'Brazil'),
(152138, '212.63.178.52', '212.63.178.55', 3560944180, 3560944183, 'PA', 'Panama'),
(152139, '212.63.178.56', '212.63.178.59', 3560944184, 3560944187, 'US', 'United States'),
(152140, '212.63.178.60', '212.63.178.63', 3560944188, 3560944191, 'CA', 'Canada'),
(152141, '212.63.178.64', '212.63.178.67', 3560944192, 3560944195, 'US', 'United States'),
(152142, '212.63.178.68', '212.63.178.71', 3560944196, 3560944199, 'DE', 'Germany'),
(152143, '212.63.178.72', '212.63.178.75', 3560944200, 3560944203, 'BO', 'Bolivia'),
(152144, '212.63.178.76', '212.63.178.79', 3560944204, 3560944207, 'DE', 'Germany'),
(152145, '212.63.178.80', '212.63.178.83', 3560944208, 3560944211, 'CA', 'Canada'),
(152146, '212.63.178.84', '212.63.178.87', 3560944212, 3560944215, 'DE', 'Germany'),
(152147, '212.63.178.88', '212.63.178.91', 3560944216, 3560944219, 'BR', 'Brazil'),
(152148, '212.63.178.92', '212.63.178.99', 3560944220, 3560944227, 'US', 'United States'),
(152149, '212.63.178.100', '212.63.178.103', 3560944228, 3560944231, 'IT', 'Italy'),
(152150, '212.63.178.104', '212.63.178.107', 3560944232, 3560944235, 'US', 'United States'),
(152151, '212.63.178.108', '212.63.178.111', 3560944236, 3560944239, 'CA', 'Canada'),
(152152, '212.63.178.112', '212.63.178.115', 3560944240, 3560944243, 'US', 'United States'),
(152153, '212.63.178.116', '212.63.178.119', 3560944244, 3560944247, 'MX', 'Mexico'),
(152154, '212.63.178.120', '212.63.178.139', 3560944248, 3560944267, 'US', 'United States'),
(152155, '212.63.178.140', '212.63.178.143', 3560944268, 3560944271, 'CO', 'Colombia'),
(152156, '212.63.178.144', '212.63.178.147', 3560944272, 3560944275, 'BR', 'Brazil'),
(152157, '212.63.178.148', '212.63.178.151', 3560944276, 3560944279, 'PE', 'Peru'),
(152158, '212.63.178.152', '212.63.178.155', 3560944280, 3560944283, 'DE', 'Germany'),
(152159, '212.63.178.156', '212.63.178.167', 3560944284, 3560944295, 'US', 'United States'),
(152160, '212.63.178.168', '212.63.178.171', 3560944296, 3560944299, 'CO', 'Colombia'),
(152161, '212.63.178.172', '212.63.178.179', 3560944300, 3560944307, 'US', 'United States'),
(152162, '212.63.178.180', '212.63.178.183', 3560944308, 3560944311, 'MX', 'Mexico'),
(152163, '212.63.178.184', '212.63.178.187', 3560944312, 3560944315, 'US', 'United States'),
(152164, '212.63.178.188', '212.63.178.195', 3560944316, 3560944323, 'AR', 'Argentina'),
(152165, '212.63.178.196', '212.63.178.211', 3560944324, 3560944339, 'US', 'United States'),
(152166, '212.63.178.212', '212.63.178.215', 3560944340, 3560944343, 'CO', 'Colombia'),
(152167, '212.63.178.216', '212.63.178.223', 3560944344, 3560944351, 'US', 'United States'),
(152168, '212.63.178.224', '212.63.178.227', 3560944352, 3560944355, 'GT', 'Guatemala'),
(152169, '212.63.178.228', '212.63.178.231', 3560944356, 3560944359, 'CA', 'Canada'),
(152170, '212.63.178.232', '212.63.178.235', 3560944360, 3560944363, 'DO', 'Dominican Republic'),
(152171, '212.63.178.236', '212.63.178.239', 3560944364, 3560944367, 'AR', 'Argentina'),
(152172, '212.63.178.240', '212.63.178.243', 3560944368, 3560944371, 'BR', 'Brazil'),
(152173, '212.63.178.244', '212.63.178.247', 3560944372, 3560944375, 'DE', 'Germany'),
(152174, '212.63.178.248', '212.63.178.251', 3560944376, 3560944379, 'AR', 'Argentina'),
(152175, '212.63.178.252', '212.63.178.255', 3560944380, 3560944383, 'DE', 'Germany'),
(152176, '212.63.179.0', '212.63.179.11', 3560944384, 3560944395, 'US', 'United States'),
(152177, '212.63.179.12', '212.63.179.15', 3560944396, 3560944399, 'PR', 'Puerto Rico'),
(152178, '212.63.179.16', '212.63.179.19', 3560944400, 3560944403, 'CA', 'Canada'),
(152179, '212.63.179.20', '212.63.179.27', 3560944404, 3560944411, 'DE', 'Germany'),
(152180, '212.63.179.28', '212.63.179.31', 3560944412, 3560944415, 'US', 'United States'),
(152181, '212.63.179.32', '212.63.179.35', 3560944416, 3560944419, 'SG', 'Singapore'),
(152182, '212.63.179.36', '212.63.179.47', 3560944420, 3560944431, 'US', 'United States'),
(152183, '212.63.179.48', '212.63.179.51', 3560944432, 3560944435, 'DE', 'Germany'),
(152184, '212.63.179.52', '212.63.179.63', 3560944436, 3560944447, 'US', 'United States'),
(152185, '212.63.179.64', '212.63.179.67', 3560944448, 3560944451, 'DE', 'Germany'),
(152186, '212.63.179.68', '212.63.179.75', 3560944452, 3560944459, 'US', 'United States'),
(152187, '212.63.179.76', '212.63.179.76', 3560944460, 3560944460, 'AR', 'Argentina'),
(152188, '212.63.179.77', '212.63.179.79', 3560944461, 3560944463, 'DE', 'Germany'),
(152189, '212.63.179.80', '212.63.179.83', 3560944464, 3560944467, 'CA', 'Canada'),
(152190, '212.63.179.84', '212.63.179.87', 3560944468, 3560944471, 'BR', 'Brazil'),
(152191, '212.63.179.88', '212.63.179.91', 3560944472, 3560944475, 'US', 'United States'),
(152192, '212.63.179.92', '212.63.179.95', 3560944476, 3560944479, 'AR', 'Argentina'),
(152193, '212.63.179.96', '212.63.179.103', 3560944480, 3560944487, 'US', 'United States'),
(152194, '212.63.179.104', '212.63.179.107', 3560944488, 3560944491, 'CA', 'Canada'),
(152195, '212.63.179.108', '212.63.179.135', 3560944492, 3560944519, 'US', 'United States'),
(152196, '212.63.179.136', '212.63.179.139', 3560944520, 3560944523, 'DE', 'Germany'),
(152197, '212.63.179.140', '212.63.179.147', 3560944524, 3560944531, 'US', 'United States'),
(152198, '212.63.179.148', '212.63.179.151', 3560944532, 3560944535, 'MX', 'Mexico'),
(152199, '212.63.179.152', '212.63.179.167', 3560944536, 3560944551, 'US', 'United States'),
(152200, '212.63.179.168', '212.63.179.171', 3560944552, 3560944555, 'BR', 'Brazil'),
(152201, '212.63.179.172', '212.63.179.175', 3560944556, 3560944559, 'MX', 'Mexico'),
(152202, '212.63.179.176', '212.63.179.179', 3560944560, 3560944563, 'US', 'United States'),
(152203, '212.63.179.180', '212.63.179.183', 3560944564, 3560944567, 'ES', 'Spain'),
(152204, '212.63.179.184', '212.63.179.191', 3560944568, 3560944575, 'US', 'United States'),
(152205, '212.63.179.192', '212.63.179.195', 3560944576, 3560944579, 'BR', 'Brazil'),
(152206, '212.63.179.196', '212.63.179.219', 3560944580, 3560944603, 'US', 'United States'),
(152207, '212.63.179.220', '212.63.179.223', 3560944604, 3560944607, 'CA', 'Canada'),
(152208, '212.63.179.224', '212.63.179.231', 3560944608, 3560944615, 'US', 'United States'),
(152209, '212.63.179.232', '212.63.179.235', 3560944616, 3560944619, 'EC', 'Ecuador'),
(152210, '212.63.179.236', '212.63.179.239', 3560944620, 3560944623, 'US', 'United States'),
(152211, '212.63.179.240', '212.63.179.243', 3560944624, 3560944627, 'CL', 'Chile'),
(152212, '212.63.179.244', '212.63.179.247', 3560944628, 3560944631, 'DE', 'Germany'),
(152213, '212.63.179.248', '212.63.179.251', 3560944632, 3560944635, 'CA', 'Canada'),
(152214, '212.63.179.252', '212.63.179.255', 3560944636, 3560944639, 'DE', 'Germany'),
(152215, '212.63.180.0', '212.63.180.3', 3560944640, 3560944643, 'TR', 'Turkey'),
(152216, '212.63.180.4', '212.63.180.7', 3560944644, 3560944647, 'ES', 'Spain'),
(152217, '212.63.180.8', '212.63.180.11', 3560944648, 3560944651, 'TR', 'Turkey'),
(152218, '212.63.180.12', '212.63.180.15', 3560944652, 3560944655, 'HU', 'Hungary'),
(152219, '212.63.180.16', '212.63.180.19', 3560944656, 3560944659, 'TR', 'Turkey'),
(152220, '212.63.180.20', '212.63.180.23', 3560944660, 3560944663, 'DE', 'Germany'),
(152221, '212.63.180.24', '212.63.180.27', 3560944664, 3560944667, 'FR', 'France'),
(152222, '212.63.180.28', '212.63.180.31', 3560944668, 3560944671, 'TR', 'Turkey'),
(152223, '212.63.180.32', '212.63.180.35', 3560944672, 3560944675, 'KZ', 'Kazakhstan'),
(152224, '212.63.180.36', '212.63.180.39', 3560944676, 3560944679, 'GR', 'Greece'),
(152225, '212.63.180.40', '212.63.180.47', 3560944680, 3560944687, 'TR', 'Turkey'),
(152226, '212.63.180.48', '212.63.180.55', 3560944688, 3560944695, 'DE', 'Germany'),
(152227, '212.63.180.56', '212.63.180.59', 3560944696, 3560944699, 'TR', 'Turkey'),
(152228, '212.63.180.60', '212.63.180.63', 3560944700, 3560944703, 'CU', 'Cuba'),
(152229, '212.63.180.64', '212.63.180.67', 3560944704, 3560944707, 'ZW', 'Zimbabwe'),
(152230, '212.63.180.68', '212.63.180.71', 3560944708, 3560944711, 'TR', 'Turkey'),
(152231, '212.63.180.72', '212.63.180.75', 3560944712, 3560944715, 'IL', 'Israel'),
(152232, '212.63.180.76', '212.63.180.79', 3560944716, 3560944719, 'ZW', 'Zimbabwe'),
(152233, '212.63.180.80', '212.63.180.83', 3560944720, 3560944723, 'SK', 'Slovakia'),
(152234, '212.63.180.84', '212.63.180.87', 3560944724, 3560944727, 'TR', 'Turkey'),
(152235, '212.63.180.88', '212.63.180.91', 3560944728, 3560944731, 'KZ', 'Kazakhstan'),
(152236, '212.63.180.92', '212.63.180.95', 3560944732, 3560944735, 'TR', 'Turkey'),
(152237, '212.63.180.96', '212.63.180.103', 3560944736, 3560944743, 'FR', 'France'),
(152238, '212.63.180.104', '212.63.180.107', 3560944744, 3560944747, 'GR', 'Greece'),
(152239, '212.63.180.108', '212.63.180.115', 3560944748, 3560944755, 'TR', 'Turkey'),
(152240, '212.63.180.116', '212.63.180.119', 3560944756, 3560944759, 'MZ', 'Mozambique'),
(152241, '212.63.180.120', '212.63.180.127', 3560944760, 3560944767, 'TR', 'Turkey'),
(152242, '212.63.180.128', '212.63.180.131', 3560944768, 3560944771, 'MZ', 'Mozambique'),
(152243, '212.63.180.132', '212.63.180.139', 3560944772, 3560944779, 'DE', 'Germany'),
(152244, '212.63.180.140', '212.63.180.143', 3560944780, 3560944783, 'ES', 'Spain'),
(152245, '212.63.180.144', '212.63.180.147', 3560944784, 3560944787, 'FR', 'France'),
(152246, '212.63.180.148', '212.63.180.151', 3560944788, 3560944791, 'NL', 'Netherlands'),
(152247, '212.63.180.152', '212.63.180.155', 3560944792, 3560944795, 'ES', 'Spain'),
(152248, '212.63.180.156', '212.63.180.159', 3560944796, 3560944799, 'GB', 'United Kingdom'),
(152249, '212.63.180.160', '212.63.180.163', 3560944800, 3560944803, 'ES', 'Spain'),
(152250, '212.63.180.164', '212.63.180.167', 3560944804, 3560944807, 'FR', 'France'),
(152251, '212.63.180.168', '212.63.180.171', 3560944808, 3560944811, 'DE', 'Germany'),
(152252, '212.63.180.172', '212.63.180.175', 3560944812, 3560944815, 'ES', 'Spain'),
(152253, '212.63.180.176', '212.63.180.183', 3560944816, 3560944823, 'IT', 'Italy'),
(152254, '212.63.180.184', '212.63.180.187', 3560944824, 3560944827, 'DE', 'Germany'),
(152255, '212.63.180.188', '212.63.180.191', 3560944828, 3560944831, 'IE', 'Ireland'),
(152256, '212.63.180.192', '212.63.180.195', 3560944832, 3560944835, 'DE', 'Germany'),
(152257, '212.63.180.196', '212.63.180.199', 3560944836, 3560944839, 'IT', 'Italy'),
(152258, '212.63.180.200', '212.63.180.203', 3560944840, 3560944843, 'TR', 'Turkey'),
(152259, '212.63.180.204', '212.63.180.207', 3560944844, 3560944847, 'DE', 'Germany'),
(152260, '212.63.180.208', '212.63.180.215', 3560944848, 3560944855, 'FR', 'France'),
(152261, '212.63.180.216', '212.63.180.219', 3560944856, 3560944859, 'NL', 'Netherlands'),
(152262, '212.63.180.220', '212.63.180.223', 3560944860, 3560944863, 'DK', 'Denmark'),
(152263, '212.63.180.224', '212.63.180.231', 3560944864, 3560944871, 'FR', 'France'),
(152264, '212.63.180.232', '212.63.180.235', 3560944872, 3560944875, 'DE', 'Germany'),
(152265, '212.63.180.236', '212.63.180.239', 3560944876, 3560944879, 'ES', 'Spain'),
(152266, '212.63.180.240', '212.63.180.243', 3560944880, 3560944883, 'SA', 'Saudi Arabia'),
(152267, '212.63.180.244', '212.63.180.247', 3560944884, 3560944887, 'ES', 'Spain'),
(152268, '212.63.180.248', '212.63.180.251', 3560944888, 3560944891, 'CH', 'Switzerland'),
(152269, '212.63.180.252', '212.63.180.255', 3560944892, 3560944895, 'DE', 'Germany'),
(152270, '212.63.181.0', '212.63.181.3', 3560944896, 3560944899, 'TW', 'Taiwan'),
(152271, '212.63.181.4', '212.63.181.7', 3560944900, 3560944903, 'SG', 'Singapore'),
(152272, '212.63.181.8', '212.63.181.11', 3560944904, 3560944907, 'MY', 'Malaysia'),
(152273, '212.63.181.12', '212.63.181.23', 3560944908, 3560944919, 'SG', 'Singapore'),
(152274, '212.63.181.24', '212.63.181.27', 3560944920, 3560944923, 'MY', 'Malaysia'),
(152275, '212.63.181.28', '212.63.181.31', 3560944924, 3560944927, 'CN', 'China'),
(152276, '212.63.181.32', '212.63.181.35', 3560944928, 3560944931, 'MY', 'Malaysia'),
(152277, '212.63.181.36', '212.63.181.39', 3560944932, 3560944935, 'SG', 'Singapore'),
(152278, '212.63.181.40', '212.63.181.47', 3560944936, 3560944943, 'CN', 'China'),
(152279, '212.63.181.48', '212.63.181.51', 3560944944, 3560944947, 'MY', 'Malaysia'),
(152280, '212.63.181.52', '212.63.181.55', 3560944948, 3560944951, 'SG', 'Singapore'),
(152281, '212.63.181.56', '212.63.181.59', 3560944952, 3560944955, 'TW', 'Taiwan'),
(152282, '212.63.181.60', '212.63.181.63', 3560944956, 3560944959, 'SG', 'Singapore'),
(152283, '212.63.181.64', '212.63.181.67', 3560944960, 3560944963, 'IN', 'India'),
(152284, '212.63.181.68', '212.63.181.71', 3560944964, 3560944967, 'MY', 'Malaysia'),
(152285, '212.63.181.72', '212.63.181.75', 3560944968, 3560944971, 'SG', 'Singapore'),
(152286, '212.63.181.76', '212.63.181.79', 3560944972, 3560944975, 'CN', 'China'),
(152287, '212.63.181.80', '212.63.181.91', 3560944976, 3560944987, 'IN', 'India'),
(152288, '212.63.181.92', '212.63.181.95', 3560944988, 3560944991, 'SG', 'Singapore'),
(152289, '212.63.181.96', '212.63.181.99', 3560944992, 3560944995, 'MY', 'Malaysia'),
(152290, '212.63.181.100', '212.63.181.103', 3560944996, 3560944999, 'SG', 'Singapore'),
(152291, '212.63.181.104', '212.63.181.107', 3560945000, 3560945003, 'MY', 'Malaysia'),
(152292, '212.63.181.108', '212.63.181.111', 3560945004, 3560945007, 'IN', 'India'),
(152293, '212.63.181.112', '212.63.181.115', 3560945008, 3560945011, 'SG', 'Singapore'),
(152294, '212.63.181.116', '212.63.181.119', 3560945012, 3560945015, 'DE', 'Germany'),
(152295, '212.63.181.120', '212.63.181.131', 3560945016, 3560945027, 'IN', 'India'),
(152296, '212.63.181.132', '212.63.181.135', 3560945028, 3560945031, 'MY', 'Malaysia'),
(152297, '212.63.181.136', '212.63.181.139', 3560945032, 3560945035, 'IN', 'India'),
(152298, '212.63.181.140', '212.63.181.143', 3560945036, 3560945039, 'CN', 'China'),
(152299, '212.63.181.144', '212.63.181.147', 3560945040, 3560945043, 'SG', 'Singapore'),
(152300, '212.63.181.148', '212.63.181.151', 3560945044, 3560945047, 'TW', 'Taiwan'),
(152301, '212.63.181.152', '212.63.181.163', 3560945048, 3560945059, 'IN', 'India'),
(152302, '212.63.181.164', '212.63.181.167', 3560945060, 3560945063, 'SG', 'Singapore'),
(152303, '212.63.181.168', '212.63.181.171', 3560945064, 3560945067, 'MY', 'Malaysia'),
(152304, '212.63.181.172', '212.63.181.179', 3560945068, 3560945075, 'IN', 'India'),
(152305, '212.63.181.180', '212.63.181.187', 3560945076, 3560945083, 'CN', 'China'),
(152306, '212.63.181.188', '212.63.181.191', 3560945084, 3560945087, 'IN', 'India'),
(152307, '212.63.181.192', '212.63.181.195', 3560945088, 3560945091, 'DE', 'Germany'),
(152308, '212.63.181.196', '212.63.181.199', 3560945092, 3560945095, 'SG', 'Singapore'),
(152309, '212.63.181.200', '212.63.181.203', 3560945096, 3560945099, 'CN', 'China'),
(152310, '212.63.181.204', '212.63.181.207', 3560945100, 3560945103, 'SG', 'Singapore'),
(152311, '212.63.181.208', '212.63.181.211', 3560945104, 3560945107, 'MY', 'Malaysia'),
(152312, '212.63.181.212', '212.63.181.215', 3560945108, 3560945111, 'TW', 'Taiwan'),
(152313, '212.63.181.216', '212.63.181.219', 3560945112, 3560945115, 'SG', 'Singapore'),
(152314, '212.63.181.220', '212.63.181.223', 3560945116, 3560945119, 'IN', 'India'),
(152315, '212.63.181.224', '212.63.181.227', 3560945120, 3560945123, 'CN', 'China'),
(152316, '212.63.181.228', '212.63.181.235', 3560945124, 3560945131, 'SG', 'Singapore'),
(152317, '212.63.181.236', '212.63.181.239', 3560945132, 3560945135, 'TW', 'Taiwan'),
(152318, '212.63.181.240', '212.63.181.243', 3560945136, 3560945139, 'MY', 'Malaysia'),
(152319, '212.63.181.244', '212.63.181.247', 3560945140, 3560945143, 'SG', 'Singapore'),
(152320, '212.63.181.248', '212.63.181.251', 3560945144, 3560945147, 'IN', 'India'),
(152321, '212.63.181.252', '212.63.181.255', 3560945148, 3560945151, 'SG', 'Singapore'),
(152322, '212.63.182.0', '212.63.182.1', 3560945152, 3560945153, 'DE', 'Germany'),
(152323, '212.63.182.2', '212.63.182.4', 3560945154, 3560945156, 'AU', 'Australia'),
(152324, '212.63.182.5', '212.63.182.5', 3560945157, 3560945157, 'NZ', 'New Zealand'),
(152325, '212.63.182.6', '212.63.182.15', 3560945158, 3560945167, 'AU', 'Australia'),
(152326, '212.63.182.16', '212.63.182.16', 3560945168, 3560945168, 'DE', 'Germany'),
(152327, '212.63.182.17', '212.63.182.17', 3560945169, 3560945169, 'AU', 'Australia'),
(152328, '212.63.182.18', '212.63.182.39', 3560945170, 3560945191, 'DE', 'Germany'),
(152329, '212.63.182.40', '212.63.182.40', 3560945192, 3560945192, 'AU', 'Australia'),
(152330, '212.63.182.41', '212.63.182.42', 3560945193, 3560945194, 'DE', 'Germany'),
(152331, '212.63.182.43', '212.63.182.43', 3560945195, 3560945195, 'AU', 'Australia'),
(152332, '212.63.182.44', '212.63.182.52', 3560945196, 3560945204, 'DE', 'Germany'),
(152333, '212.63.182.53', '212.63.182.53', 3560945205, 3560945205, 'AU', 'Australia'),
(152334, '212.63.182.54', '212.63.182.54', 3560945206, 3560945206, 'IN', 'India'),
(152335, '212.63.182.55', '212.63.182.57', 3560945207, 3560945209, 'AU', 'Australia'),
(152336, '212.63.182.58', '212.63.182.75', 3560945210, 3560945227, 'DE', 'Germany'),
(152337, '212.63.182.76', '212.63.182.79', 3560945228, 3560945231, 'IN', 'India'),
(152338, '212.63.182.80', '212.63.182.115', 3560945232, 3560945267, 'DE', 'Germany'),
(152339, '212.63.182.116', '212.63.182.119', 3560945268, 3560945271, 'AU', 'Australia'),
(152340, '212.63.182.120', '212.63.182.123', 3560945272, 3560945275, 'DE', 'Germany'),
(152341, '212.63.182.124', '212.63.182.127', 3560945276, 3560945279, 'AU', 'Australia'),
(152342, '212.63.182.128', '212.63.182.203', 3560945280, 3560945355, 'JP', 'Japan'),
(152343, '212.63.182.204', '212.63.182.207', 3560945356, 3560945359, 'TH', 'Thailand'),
(152344, '212.63.182.208', '212.63.182.251', 3560945360, 3560945403, 'JP', 'Japan'),
(152345, '212.63.182.252', '212.63.182.255', 3560945404, 3560945407, 'TH', 'Thailand'),
(152346, '212.63.183.0', '212.63.183.1', 3560945408, 3560945409, 'DE', 'Germany'),
(152347, '212.63.183.2', '212.63.183.2', 3560945410, 3560945410, 'MY', 'Malaysia'),
(152348, '212.63.183.3', '212.63.183.3', 3560945411, 3560945411, 'TW', 'Taiwan'),
(152349, '212.63.183.4', '212.63.183.4', 3560945412, 3560945412, 'CN', 'China'),
(152350, '212.63.183.5', '212.63.183.5', 3560945413, 3560945413, 'SG', 'Singapore'),
(152351, '212.63.183.6', '212.63.183.6', 3560945414, 3560945414, 'IN', 'India'),
(152352, '212.63.183.7', '212.63.183.8', 3560945415, 3560945416, 'SG', 'Singapore'),
(152353, '212.63.183.9', '212.63.183.10', 3560945417, 3560945418, 'CN', 'China'),
(152354, '212.63.183.11', '212.63.183.11', 3560945419, 3560945419, 'MY', 'Malaysia'),
(152355, '212.63.183.12', '212.63.183.12', 3560945420, 3560945420, 'DE', 'Germany'),
(152356, '212.63.183.13', '212.63.183.14', 3560945421, 3560945422, 'SG', 'Singapore'),
(152357, '212.63.183.15', '212.63.183.15', 3560945423, 3560945423, 'CN', 'China'),
(152358, '212.63.183.16', '212.63.183.16', 3560945424, 3560945424, 'MY', 'Malaysia'),
(152359, '212.63.183.17', '212.63.183.17', 3560945425, 3560945425, 'IN', 'India'),
(152360, '212.63.183.18', '212.63.183.18', 3560945426, 3560945426, 'MY', 'Malaysia'),
(152361, '212.63.183.19', '212.63.183.19', 3560945427, 3560945427, 'CN', 'China'),
(152362, '212.63.183.20', '212.63.183.20', 3560945428, 3560945428, 'SG', 'Singapore'),
(152363, '212.63.183.21', '212.63.183.21', 3560945429, 3560945429, 'TW', 'Taiwan'),
(152364, '212.63.183.22', '212.63.183.22', 3560945430, 3560945430, 'MY', 'Malaysia'),
(152365, '212.63.183.23', '212.63.183.23', 3560945431, 3560945431, 'CN', 'China'),
(152366, '212.63.183.24', '212.63.183.25', 3560945432, 3560945433, 'IN', 'India'),
(152367, '212.63.183.26', '212.63.183.26', 3560945434, 3560945434, 'TW', 'Taiwan'),
(152368, '212.63.183.27', '212.63.183.27', 3560945435, 3560945435, 'MY', 'Malaysia'),
(152369, '212.63.183.28', '212.63.183.28', 3560945436, 3560945436, 'CN', 'China'),
(152370, '212.63.183.29', '212.63.183.29', 3560945437, 3560945437, 'SG', 'Singapore'),
(152371, '212.63.183.30', '212.63.183.30', 3560945438, 3560945438, 'TW', 'Taiwan'),
(152372, '212.63.183.31', '212.63.183.31', 3560945439, 3560945439, 'SG', 'Singapore'),
(152373, '212.63.183.32', '212.63.183.32', 3560945440, 3560945440, 'ID', 'Indonesia'),
(152374, '212.63.183.33', '212.63.183.33', 3560945441, 3560945441, 'SG', 'Singapore'),
(152375, '212.63.183.34', '212.63.183.35', 3560945442, 3560945443, 'IN', 'India'),
(152376, '212.63.183.36', '212.63.183.39', 3560945444, 3560945447, 'SG', 'Singapore'),
(152377, '212.63.183.40', '212.63.183.40', 3560945448, 3560945448, 'DE', 'Germany'),
(152378, '212.63.183.41', '212.63.183.41', 3560945449, 3560945449, 'IN', 'India'),
(152379, '212.63.183.42', '212.63.183.42', 3560945450, 3560945450, 'SG', 'Singapore'),
(152380, '212.63.183.43', '212.63.183.43', 3560945451, 3560945451, 'IN', 'India'),
(152381, '212.63.183.44', '212.63.183.44', 3560945452, 3560945452, 'DE', 'Germany'),
(152382, '212.63.183.45', '212.63.183.45', 3560945453, 3560945453, 'IN', 'India'),
(152383, '212.63.183.46', '212.63.183.50', 3560945454, 3560945458, 'SG', 'Singapore'),
(152384, '212.63.183.51', '212.63.183.51', 3560945459, 3560945459, 'TW', 'Taiwan'),
(152385, '212.63.183.52', '212.63.183.53', 3560945460, 3560945461, 'SG', 'Singapore'),
(152386, '212.63.183.54', '212.63.183.54', 3560945462, 3560945462, 'IN', 'India'),
(152387, '212.63.183.55', '212.63.183.57', 3560945463, 3560945465, 'SG', 'Singapore'),
(152388, '212.63.183.58', '212.63.183.58', 3560945466, 3560945466, 'CN', 'China'),
(152389, '212.63.183.59', '212.63.183.59', 3560945467, 3560945467, 'MY', 'Malaysia'),
(152390, '212.63.183.60', '212.63.183.61', 3560945468, 3560945469, 'SG', 'Singapore'),
(152391, '212.63.183.62', '212.63.183.62', 3560945470, 3560945470, 'CN', 'China'),
(152392, '212.63.183.63', '212.63.183.63', 3560945471, 3560945471, 'SG', 'Singapore'),
(152393, '212.63.183.64', '212.63.183.64', 3560945472, 3560945472, 'CN', 'China'),
(152394, '212.63.183.65', '212.63.183.65', 3560945473, 3560945473, 'TW', 'Taiwan'),
(152395, '212.63.183.66', '212.63.183.67', 3560945474, 3560945475, 'SG', 'Singapore'),
(152396, '212.63.183.68', '212.63.183.68', 3560945476, 3560945476, 'CN', 'China'),
(152397, '212.63.183.69', '212.63.183.69', 3560945477, 3560945477, 'TW', 'Taiwan'),
(152398, '212.63.183.70', '212.63.183.70', 3560945478, 3560945478, 'IN', 'India'),
(152399, '212.63.183.71', '212.63.183.71', 3560945479, 3560945479, 'SG', 'Singapore'),
(152400, '212.63.183.72', '212.63.183.73', 3560945480, 3560945481, 'IN', 'India'),
(152401, '212.63.183.74', '212.63.183.74', 3560945482, 3560945482, 'DE', 'Germany'),
(152402, '212.63.183.75', '212.63.183.77', 3560945483, 3560945485, 'MY', 'Malaysia'),
(152403, '212.63.183.78', '212.63.183.79', 3560945486, 3560945487, 'IN', 'India'),
(152404, '212.63.183.80', '212.63.183.80', 3560945488, 3560945488, 'DE', 'Germany'),
(152405, '212.63.183.81', '212.63.183.81', 3560945489, 3560945489, 'MY', 'Malaysia'),
(152406, '212.63.183.82', '212.63.183.82', 3560945490, 3560945490, 'TH', 'Thailand'),
(152407, '212.63.183.83', '212.63.183.84', 3560945491, 3560945492, 'IN', 'India'),
(152408, '212.63.183.85', '212.63.183.87', 3560945493, 3560945495, 'DE', 'Germany'),
(152409, '212.63.183.88', '212.63.183.88', 3560945496, 3560945496, 'IN', 'India'),
(152410, '212.63.183.89', '212.63.183.89', 3560945497, 3560945497, 'DE', 'Germany'),
(152411, '212.63.183.90', '212.63.183.91', 3560945498, 3560945499, 'IN', 'India'),
(152412, '212.63.183.92', '212.63.183.92', 3560945500, 3560945500, 'SG', 'Singapore'),
(152413, '212.63.183.93', '212.63.183.93', 3560945501, 3560945501, 'US', 'United States'),
(152414, '212.63.183.94', '212.63.183.94', 3560945502, 3560945502, 'IN', 'India'),
(152415, '212.63.183.95', '212.63.183.131', 3560945503, 3560945539, 'DE', 'Germany'),
(152416, '212.63.183.132', '212.63.183.135', 3560945540, 3560945543, 'SG', 'Singapore'),
(152417, '212.63.183.136', '212.63.183.143', 3560945544, 3560945551, 'IN', 'India'),
(152418, '212.63.183.144', '212.63.183.147', 3560945552, 3560945555, 'DE', 'Germany'),
(152419, '212.63.183.148', '212.63.183.151', 3560945556, 3560945559, 'IN', 'India'),
(152420, '212.63.183.152', '212.63.183.155', 3560945560, 3560945563, 'DE', 'Germany'),
(152421, '212.63.183.156', '212.63.183.159', 3560945564, 3560945567, 'SG', 'Singapore'),
(152422, '212.63.183.160', '212.63.183.163', 3560945568, 3560945571, 'DE', 'Germany'),
(152423, '212.63.183.164', '212.63.183.167', 3560945572, 3560945575, 'IN', 'India'),
(152424, '212.63.183.168', '212.63.183.171', 3560945576, 3560945579, 'SG', 'Singapore'),
(152425, '212.63.183.172', '212.63.183.175', 3560945580, 3560945583, 'MY', 'Malaysia'),
(152426, '212.63.183.176', '212.63.183.179', 3560945584, 3560945587, 'SG', 'Singapore'),
(152427, '212.63.183.180', '212.63.183.183', 3560945588, 3560945591, 'TW', 'Taiwan'),
(152428, '212.63.183.184', '212.63.183.195', 3560945592, 3560945603, 'SG', 'Singapore'),
(152429, '212.63.183.196', '212.63.183.199', 3560945604, 3560945607, 'US', 'United States'),
(152430, '212.63.183.200', '212.63.183.203', 3560945608, 3560945611, 'IN', 'India'),
(152431, '212.63.183.204', '212.63.183.211', 3560945612, 3560945619, 'SG', 'Singapore'),
(152432, '212.63.183.212', '212.63.183.219', 3560945620, 3560945627, 'CN', 'China'),
(152433, '212.63.183.220', '212.63.183.227', 3560945628, 3560945635, 'SG', 'Singapore'),
(152434, '212.63.183.228', '212.63.183.231', 3560945636, 3560945639, 'CN', 'China'),
(152435, '212.63.183.232', '212.63.183.235', 3560945640, 3560945643, 'SG', 'Singapore'),
(152436, '212.63.183.236', '212.63.183.239', 3560945644, 3560945647, 'MY', 'Malaysia'),
(152437, '212.63.183.240', '212.63.183.243', 3560945648, 3560945651, 'IN', 'India'),
(152438, '212.63.183.244', '212.63.183.251', 3560945652, 3560945659, 'DE', 'Germany'),
(152439, '212.63.183.252', '212.63.183.255', 3560945660, 3560945663, 'IN', 'India'),
(152440, '212.63.184.0', '212.63.184.3', 3560945664, 3560945667, 'US', 'United States'),
(152441, '212.63.184.4', '212.63.184.7', 3560945668, 3560945671, 'BR', 'Brazil'),
(152442, '212.63.184.8', '212.63.184.11', 3560945672, 3560945675, 'US', 'United States'),
(152443, '212.63.184.12', '212.63.184.15', 3560945676, 3560945679, 'PE', 'Peru'),
(152444, '212.63.184.16', '212.63.184.19', 3560945680, 3560945683, 'BR', 'Brazil'),
(152445, '212.63.184.20', '212.63.184.27', 3560945684, 3560945691, 'CO', 'Colombia'),
(152446, '212.63.184.28', '212.63.184.35', 3560945692, 3560945699, 'US', 'United States'),
(152447, '212.63.184.36', '212.63.184.39', 3560945700, 3560945703, 'CO', 'Colombia'),
(152448, '212.63.184.40', '212.63.184.43', 3560945704, 3560945707, 'US', 'United States'),
(152449, '212.63.184.44', '212.63.184.47', 3560945708, 3560945711, 'CO', 'Colombia'),
(152450, '212.63.184.48', '212.63.184.63', 3560945712, 3560945727, 'US', 'United States'),
(152451, '212.63.184.64', '212.63.184.67', 3560945728, 3560945731, 'AR', 'Argentina'),
(152452, '212.63.184.68', '212.63.184.75', 3560945732, 3560945739, 'US', 'United States'),
(152453, '212.63.184.76', '212.63.184.79', 3560945740, 3560945743, 'BR', 'Brazil'),
(152454, '212.63.184.80', '212.63.184.83', 3560945744, 3560945747, 'US', 'United States'),
(152455, '212.63.184.84', '212.63.184.87', 3560945748, 3560945751, 'AR', 'Argentina'),
(152456, '212.63.184.88', '212.63.184.99', 3560945752, 3560945763, 'US', 'United States'),
(152457, '212.63.184.100', '212.63.184.103', 3560945764, 3560945767, 'AR', 'Argentina'),
(152458, '212.63.184.104', '212.63.184.107', 3560945768, 3560945771, 'BR', 'Brazil'),
(152459, '212.63.184.108', '212.63.184.111', 3560945772, 3560945775, 'CA', 'Canada'),
(152460, '212.63.184.112', '212.63.184.123', 3560945776, 3560945787, 'US', 'United States'),
(152461, '212.63.184.124', '212.63.184.127', 3560945788, 3560945791, 'CO', 'Colombia'),
(152462, '212.63.184.128', '212.63.184.131', 3560945792, 3560945795, 'AR', 'Argentina'),
(152463, '212.63.184.132', '212.63.184.135', 3560945796, 3560945799, 'US', 'United States'),
(152464, '212.63.184.136', '212.63.184.139', 3560945800, 3560945803, 'BR', 'Brazil'),
(152465, '212.63.184.140', '212.63.184.143', 3560945804, 3560945807, 'US', 'United States'),
(152466, '212.63.184.144', '212.63.184.147', 3560945808, 3560945811, 'CO', 'Colombia'),
(152467, '212.63.184.148', '212.63.184.151', 3560945812, 3560945815, 'US', 'United States'),
(152468, '212.63.184.152', '212.63.184.155', 3560945816, 3560945819, 'AR', 'Argentina'),
(152469, '212.63.184.156', '212.63.184.159', 3560945820, 3560945823, 'US', 'United States'),
(152470, '212.63.184.160', '212.63.184.163', 3560945824, 3560945827, 'BR', 'Brazil'),
(152471, '212.63.184.164', '212.63.184.171', 3560945828, 3560945835, 'US', 'United States'),
(152472, '212.63.184.172', '212.63.184.175', 3560945836, 3560945839, 'CL', 'Chile'),
(152473, '212.63.184.176', '212.63.184.179', 3560945840, 3560945843, 'BR', 'Brazil'),
(152474, '212.63.184.180', '212.63.184.187', 3560945844, 3560945851, 'US', 'United States'),
(152475, '212.63.184.188', '212.63.184.191', 3560945852, 3560945855, 'DE', 'Germany'),
(152476, '212.63.184.192', '212.63.184.195', 3560945856, 3560945859, 'US', 'United States'),
(152477, '212.63.184.196', '212.63.184.199', 3560945860, 3560945863, 'DE', 'Germany'),
(152478, '212.63.184.200', '212.63.184.203', 3560945864, 3560945867, 'US', 'United States'),
(152479, '212.63.184.204', '212.63.184.207', 3560945868, 3560945871, 'DE', 'Germany'),
(152480, '212.63.184.208', '212.63.184.211', 3560945872, 3560945875, 'CA', 'Canada'),
(152481, '212.63.184.212', '212.63.184.247', 3560945876, 3560945911, 'US', 'United States'),
(152482, '212.63.184.248', '212.63.184.251', 3560945912, 3560945915, 'CA', 'Canada'),
(152483, '212.63.184.252', '212.63.184.255', 3560945916, 3560945919, 'US', 'United States'),
(152484, '212.63.185.0', '212.63.185.97', 3560945920, 3560946017, 'DE', 'Germany'),
(152485, '212.63.185.98', '212.63.185.98', 3560946018, 3560946018, 'FI', 'Finland'),
(152486, '212.63.185.99', '212.63.185.99', 3560946019, 3560946019, 'CZ', 'Czech Republic'),
(152487, '212.63.185.100', '212.63.186.0', 3560946020, 3560946176, 'DE', 'Germany'),
(152488, '212.63.186.1', '212.63.186.13', 3560946177, 3560946189, 'US', 'United States'),
(152489, '212.63.186.14', '212.63.186.14', 3560946190, 3560946190, 'AR', 'Argentina'),
(152490, '212.63.186.15', '212.63.186.18', 3560946191, 3560946194, 'US', 'United States'),
(152491, '212.63.186.19', '212.63.186.19', 3560946195, 3560946195, 'PE', 'Peru'),
(152492, '212.63.186.20', '212.63.186.20', 3560946196, 3560946196, 'CA', 'Canada'),
(152493, '212.63.186.21', '212.63.186.21', 3560946197, 3560946197, 'US', 'United States'),
(152494, '212.63.186.22', '212.63.186.22', 3560946198, 3560946198, 'CA', 'Canada'),
(152495, '212.63.186.23', '212.63.186.23', 3560946199, 3560946199, 'AR', 'Argentina'),
(152496, '212.63.186.24', '212.63.186.24', 3560946200, 3560946200, 'US', 'United States'),
(152497, '212.63.186.25', '212.63.186.25', 3560946201, 3560946201, 'CA', 'Canada'),
(152498, '212.63.186.26', '212.63.186.26', 3560946202, 3560946202, 'DE', 'Germany'),
(152499, '212.63.186.27', '212.63.186.27', 3560946203, 3560946203, 'CA', 'Canada'),
(152500, '212.63.186.28', '212.63.186.28', 3560946204, 3560946204, 'US', 'United States'),
(152501, '212.63.186.29', '212.63.186.29', 3560946205, 3560946205, 'PE', 'Peru'),
(152502, '212.63.186.30', '212.63.186.32', 3560946206, 3560946208, 'US', 'United States'),
(152503, '212.63.186.33', '212.63.186.33', 3560946209, 3560946209, 'CA', 'Canada'),
(152504, '212.63.186.34', '212.63.186.36', 3560946210, 3560946212, 'US', 'United States'),
(152505, '212.63.186.37', '212.63.186.37', 3560946213, 3560946213, 'CO', 'Colombia'),
(152506, '212.63.186.38', '212.63.186.38', 3560946214, 3560946214, 'CA', 'Canada'),
(152507, '212.63.186.39', '212.63.186.39', 3560946215, 3560946215, 'PE', 'Peru'),
(152508, '212.63.186.40', '212.63.186.53', 3560946216, 3560946229, 'US', 'United States'),
(152509, '212.63.186.54', '212.63.186.54', 3560946230, 3560946230, 'AR', 'Argentina'),
(152510, '212.63.186.55', '212.63.186.55', 3560946231, 3560946231, 'US', 'United States'),
(152511, '212.63.186.56', '212.63.186.56', 3560946232, 3560946232, 'CA', 'Canada'),
(152512, '212.63.186.57', '212.63.186.58', 3560946233, 3560946234, 'US', 'United States'),
(152513, '212.63.186.59', '212.63.186.59', 3560946235, 3560946235, 'CL', 'Chile'),
(152514, '212.63.186.60', '212.63.186.61', 3560946236, 3560946237, 'US', 'United States'),
(152515, '212.63.186.62', '212.63.186.62', 3560946238, 3560946238, 'AR', 'Argentina'),
(152516, '212.63.186.63', '212.63.186.77', 3560946239, 3560946253, 'US', 'United States'),
(152517, '212.63.186.78', '212.63.186.78', 3560946254, 3560946254, 'SG', 'Singapore'),
(152518, '212.63.186.79', '212.63.186.80', 3560946255, 3560946256, 'US', 'United States'),
(152519, '212.63.186.81', '212.63.186.81', 3560946257, 3560946257, 'MX', 'Mexico'),
(152520, '212.63.186.82', '212.63.186.83', 3560946258, 3560946259, 'US', 'United States'),
(152521, '212.63.186.84', '212.63.186.84', 3560946260, 3560946260, 'AR', 'Argentina'),
(152522, '212.63.186.85', '212.63.186.86', 3560946261, 3560946262, 'US', 'United States'),
(152523, '212.63.186.87', '212.63.186.87', 3560946263, 3560946263, 'AR', 'Argentina'),
(152524, '212.63.186.88', '212.63.186.90', 3560946264, 3560946266, 'US', 'United States'),
(152525, '212.63.186.91', '212.63.186.91', 3560946267, 3560946267, 'CA', 'Canada'),
(152526, '212.63.186.92', '212.63.186.95', 3560946268, 3560946271, 'US', 'United States'),
(152527, '212.63.186.96', '212.63.186.96', 3560946272, 3560946272, 'DE', 'Germany'),
(152528, '212.63.186.97', '212.63.186.97', 3560946273, 3560946273, 'CA', 'Canada'),
(152529, '212.63.186.98', '212.63.186.103', 3560946274, 3560946279, 'US', 'United States'),
(152530, '212.63.186.104', '212.63.186.104', 3560946280, 3560946280, 'ES', 'Spain'),
(152531, '212.63.186.105', '212.63.186.106', 3560946281, 3560946282, 'US', 'United States'),
(152532, '212.63.186.107', '212.63.186.107', 3560946283, 3560946283, 'CL', 'Chile'),
(152533, '212.63.186.108', '212.63.186.108', 3560946284, 3560946284, 'US', 'United States'),
(152534, '212.63.186.109', '212.63.186.109', 3560946285, 3560946285, 'CO', 'Colombia'),
(152535, '212.63.186.110', '212.63.186.114', 3560946286, 3560946290, 'US', 'United States'),
(152536, '212.63.186.115', '212.63.186.115', 3560946291, 3560946291, 'CA', 'Canada'),
(152537, '212.63.186.116', '212.63.186.119', 3560946292, 3560946295, 'US', 'United States'),
(152538, '212.63.186.120', '212.63.186.120', 3560946296, 3560946296, 'CL', 'Chile'),
(152539, '212.63.186.121', '212.63.186.121', 3560946297, 3560946297, 'DE', 'Germany'),
(152540, '212.63.186.122', '212.63.186.122', 3560946298, 3560946298, 'US', 'United States'),
(152541, '212.63.186.123', '212.63.186.123', 3560946299, 3560946299, 'DE', 'Germany'),
(152542, '212.63.186.124', '212.63.186.124', 3560946300, 3560946300, 'CL', 'Chile'),
(152543, '212.63.186.125', '212.63.186.135', 3560946301, 3560946311, 'DE', 'Germany'),
(152544, '212.63.186.136', '212.63.186.136', 3560946312, 3560946312, 'US', 'United States'),
(152545, '212.63.186.137', '212.63.186.141', 3560946313, 3560946317, 'DE', 'Germany'),
(152546, '212.63.186.142', '212.63.186.143', 3560946318, 3560946319, 'US', 'United States'),
(152547, '212.63.186.144', '212.63.186.144', 3560946320, 3560946320, 'DE', 'Germany'),
(152548, '212.63.186.145', '212.63.186.150', 3560946321, 3560946326, 'US', 'United States'),
(152549, '212.63.186.151', '212.63.186.151', 3560946327, 3560946327, 'CA', 'Canada'),
(152550, '212.63.186.152', '212.63.186.152', 3560946328, 3560946328, 'US', 'United States'),
(152551, '212.63.186.153', '212.63.186.153', 3560946329, 3560946329, 'DO', 'Dominican Republic'),
(152552, '212.63.186.154', '212.63.186.154', 3560946330, 3560946330, 'US', 'United States'),
(152553, '212.63.186.155', '212.63.186.155', 3560946331, 3560946331, 'DO', 'Dominican Republic'),
(152554, '212.63.186.156', '212.63.186.157', 3560946332, 3560946333, 'CA', 'Canada'),
(152555, '212.63.186.158', '212.63.186.159', 3560946334, 3560946335, 'US', 'United States'),
(152556, '212.63.186.160', '212.63.186.160', 3560946336, 3560946336, 'CA', 'Canada'),
(152557, '212.63.186.161', '212.63.186.161', 3560946337, 3560946337, 'DE', 'Germany'),
(152558, '212.63.186.162', '212.63.186.162', 3560946338, 3560946338, 'CA', 'Canada'),
(152559, '212.63.186.163', '212.63.186.163', 3560946339, 3560946339, 'US', 'United States'),
(152560, '212.63.186.164', '212.63.186.164', 3560946340, 3560946340, 'CL', 'Chile'),
(152561, '212.63.186.165', '212.63.186.166', 3560946341, 3560946342, 'CA', 'Canada'),
(152562, '212.63.186.167', '212.63.186.167', 3560946343, 3560946343, 'DO', 'Dominican Republic'),
(152563, '212.63.186.168', '212.63.186.168', 3560946344, 3560946344, 'AR', 'Argentina'),
(152564, '212.63.186.169', '212.63.186.169', 3560946345, 3560946345, 'US', 'United States'),
(152565, '212.63.186.170', '212.63.186.170', 3560946346, 3560946346, 'PE', 'Peru'),
(152566, '212.63.186.171', '212.63.186.171', 3560946347, 3560946347, 'US', 'United States'),
(152567, '212.63.186.172', '212.63.186.185', 3560946348, 3560946361, 'DE', 'Germany'),
(152568, '212.63.186.186', '212.63.186.187', 3560946362, 3560946363, 'US', 'United States'),
(152569, '212.63.186.188', '212.63.186.191', 3560946364, 3560946367, 'DE', 'Germany'),
(152570, '212.63.186.192', '212.63.186.192', 3560946368, 3560946368, 'US', 'United States'),
(152571, '212.63.186.193', '212.63.186.196', 3560946369, 3560946372, 'DE', 'Germany'),
(152572, '212.63.186.197', '212.63.186.197', 3560946373, 3560946373, 'US', 'United States'),
(152573, '212.63.186.198', '212.63.186.198', 3560946374, 3560946374, 'DE', 'Germany'),
(152574, '212.63.186.199', '212.63.186.199', 3560946375, 3560946375, 'US', 'United States'),
(152575, '212.63.186.200', '212.63.186.222', 3560946376, 3560946398, 'DE', 'Germany'),
(152576, '212.63.186.223', '212.63.186.223', 3560946399, 3560946399, 'US', 'United States'),
(152577, '212.63.186.224', '212.63.186.232', 3560946400, 3560946408, 'DE', 'Germany'),
(152578, '212.63.186.233', '212.63.186.233', 3560946409, 3560946409, 'US', 'United States'),
(152579, '212.63.186.234', '212.63.186.243', 3560946410, 3560946419, 'DE', 'Germany'),
(152580, '212.63.186.244', '212.63.186.244', 3560946420, 3560946420, 'US', 'United States'),
(152581, '212.63.186.245', '212.63.186.255', 3560946421, 3560946431, 'DE', 'Germany'),
(152582, '212.63.187.0', '212.63.187.11', 3560946432, 3560946443, 'US', 'United States'),
(152583, '212.63.187.12', '212.63.187.15', 3560946444, 3560946447, 'BR', 'Brazil'),
(152584, '212.63.187.16', '212.63.187.19', 3560946448, 3560946451, 'DE', 'Germany'),
(152585, '212.63.187.20', '212.63.187.23', 3560946452, 3560946455, 'BO', 'Bolivia'),
(152586, '212.63.187.24', '212.63.187.35', 3560946456, 3560946467, 'US', 'United States'),
(152587, '212.63.187.36', '212.63.187.39', 3560946468, 3560946471, 'BR', 'Brazil'),
(152588, '212.63.187.40', '212.63.187.51', 3560946472, 3560946483, 'US', 'United States'),
(152589, '212.63.187.52', '212.63.187.55', 3560946484, 3560946487, 'MX', 'Mexico'),
(152590, '212.63.187.56', '212.63.187.59', 3560946488, 3560946491, 'US', 'United States'),
(152591, '212.63.187.60', '212.63.187.63', 3560946492, 3560946495, 'BR', 'Brazil'),
(152592, '212.63.187.64', '212.63.187.67', 3560946496, 3560946499, 'VE', 'Venezuela'),
(152593, '212.63.187.68', '212.63.187.71', 3560946500, 3560946503, 'AR', 'Argentina'),
(152594, '212.63.187.72', '212.63.187.75', 3560946504, 3560946507, 'US', 'United States'),
(152595, '212.63.187.76', '212.63.187.79', 3560946508, 3560946511, 'MX', 'Mexico'),
(152596, '212.63.187.80', '212.63.187.91', 3560946512, 3560946523, 'US', 'United States'),
(152597, '212.63.187.92', '212.63.187.95', 3560946524, 3560946527, 'MX', 'Mexico'),
(152598, '212.63.187.96', '212.63.187.99', 3560946528, 3560946531, 'US', 'United States'),
(152599, '212.63.187.100', '212.63.187.103', 3560946532, 3560946535, 'CA', 'Canada'),
(152600, '212.63.187.104', '212.63.187.107', 3560946536, 3560946539, 'PE', 'Peru'),
(152601, '212.63.187.108', '212.63.187.111', 3560946540, 3560946543, 'US', 'United States'),
(152602, '212.63.187.112', '212.63.187.115', 3560946544, 3560946547, 'CA', 'Canada'),
(152603, '212.63.187.116', '212.63.187.119', 3560946548, 3560946551, 'US', 'United States'),
(152604, '212.63.187.120', '212.63.187.123', 3560946552, 3560946555, 'PE', 'Peru'),
(152605, '212.63.187.124', '212.63.187.127', 3560946556, 3560946559, 'US', 'United States'),
(152606, '212.63.187.128', '212.63.187.131', 3560946560, 3560946563, 'BR', 'Brazil'),
(152607, '212.63.187.132', '212.63.187.135', 3560946564, 3560946567, 'US', 'United States'),
(152608, '212.63.187.136', '212.63.187.139', 3560946568, 3560946571, 'BR', 'Brazil'),
(152609, '212.63.187.140', '212.63.187.147', 3560946572, 3560946579, 'US', 'United States'),
(152610, '212.63.187.148', '212.63.187.151', 3560946580, 3560946583, 'CA', 'Canada'),
(152611, '212.63.187.152', '212.63.187.155', 3560946584, 3560946587, 'US', 'United States'),
(152612, '212.63.187.156', '212.63.187.159', 3560946588, 3560946591, 'AR', 'Argentina'),
(152613, '212.63.187.160', '212.63.187.171', 3560946592, 3560946603, 'US', 'United States'),
(152614, '212.63.187.172', '212.63.187.175', 3560946604, 3560946607, 'AR', 'Argentina'),
(152615, '212.63.187.176', '212.63.187.179', 3560946608, 3560946611, 'BR', 'Brazil'),
(152616, '212.63.187.180', '212.63.187.191', 3560946612, 3560946623, 'US', 'United States'),
(152617, '212.63.187.192', '212.63.187.203', 3560946624, 3560946635, 'MX', 'Mexico'),
(152618, '212.63.187.204', '212.63.187.211', 3560946636, 3560946643, 'US', 'United States'),
(152619, '212.63.187.212', '212.63.187.215', 3560946644, 3560946647, 'AR', 'Argentina'),
(152620, '212.63.187.216', '212.63.187.219', 3560946648, 3560946651, 'MX', 'Mexico'),
(152621, '212.63.187.220', '212.63.187.223', 3560946652, 3560946655, 'CL', 'Chile'),
(152622, '212.63.187.224', '212.63.187.227', 3560946656, 3560946659, 'BR', 'Brazil'),
(152623, '212.63.187.228', '212.63.187.231', 3560946660, 3560946663, 'MX', 'Mexico'),
(152624, '212.63.187.232', '212.63.187.235', 3560946664, 3560946667, 'US', 'United States'),
(152625, '212.63.187.236', '212.63.187.239', 3560946668, 3560946671, 'MX', 'Mexico'),
(152626, '212.63.187.240', '212.63.187.247', 3560946672, 3560946679, 'BR', 'Brazil'),
(152627, '212.63.187.248', '212.63.187.255', 3560946680, 3560946687, 'US', 'United States'),
(152628, '212.63.188.0', '212.63.188.1', 3560946688, 3560946689, 'DE', 'Germany'),
(152629, '212.63.188.2', '212.63.188.7', 3560946690, 3560946695, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(152630, '212.63.188.8', '212.63.188.8', 3560946696, 3560946696, 'BR', 'Brazil'),
(152631, '212.63.188.9', '212.63.188.10', 3560946697, 3560946698, 'US', 'United States'),
(152632, '212.63.188.11', '212.63.188.12', 3560946699, 3560946700, 'DE', 'Germany'),
(152633, '212.63.188.13', '212.63.188.13', 3560946701, 3560946701, 'CO', 'Colombia'),
(152634, '212.63.188.14', '212.63.188.18', 3560946702, 3560946706, 'US', 'United States'),
(152635, '212.63.188.19', '212.63.188.19', 3560946707, 3560946707, 'VE', 'Venezuela'),
(152636, '212.63.188.20', '212.63.188.20', 3560946708, 3560946708, 'BR', 'Brazil'),
(152637, '212.63.188.21', '212.63.188.22', 3560946709, 3560946710, 'VE', 'Venezuela'),
(152638, '212.63.188.23', '212.63.188.23', 3560946711, 3560946711, 'US', 'United States'),
(152639, '212.63.188.24', '212.63.188.24', 3560946712, 3560946712, 'VE', 'Venezuela'),
(152640, '212.63.188.25', '212.63.188.26', 3560946713, 3560946714, 'US', 'United States'),
(152641, '212.63.188.27', '212.63.188.27', 3560946715, 3560946715, 'CO', 'Colombia'),
(152642, '212.63.188.28', '212.63.188.28', 3560946716, 3560946716, 'US', 'United States'),
(152643, '212.63.188.29', '212.63.188.29', 3560946717, 3560946717, 'AR', 'Argentina'),
(152644, '212.63.188.30', '212.63.188.30', 3560946718, 3560946718, 'US', 'United States'),
(152645, '212.63.188.31', '212.63.188.32', 3560946719, 3560946720, 'BR', 'Brazil'),
(152646, '212.63.188.33', '212.63.188.35', 3560946721, 3560946723, 'CO', 'Colombia'),
(152647, '212.63.188.36', '212.63.188.36', 3560946724, 3560946724, 'MX', 'Mexico'),
(152648, '212.63.188.37', '212.63.188.41', 3560946725, 3560946729, 'US', 'United States'),
(152649, '212.63.188.42', '212.63.188.42', 3560946730, 3560946730, 'MX', 'Mexico'),
(152650, '212.63.188.43', '212.63.188.45', 3560946731, 3560946733, 'US', 'United States'),
(152651, '212.63.188.46', '212.63.188.46', 3560946734, 3560946734, 'PR', 'Puerto Rico'),
(152652, '212.63.188.47', '212.63.188.59', 3560946735, 3560946747, 'US', 'United States'),
(152653, '212.63.188.60', '212.63.188.60', 3560946748, 3560946748, 'DE', 'Germany'),
(152654, '212.63.188.61', '212.63.188.72', 3560946749, 3560946760, 'US', 'United States'),
(152655, '212.63.188.73', '212.63.188.73', 3560946761, 3560946761, 'DE', 'Germany'),
(152656, '212.63.188.74', '212.63.188.79', 3560946762, 3560946767, 'US', 'United States'),
(152657, '212.63.188.80', '212.63.188.80', 3560946768, 3560946768, 'CA', 'Canada'),
(152658, '212.63.188.81', '212.63.188.81', 3560946769, 3560946769, 'US', 'United States'),
(152659, '212.63.188.82', '212.63.188.137', 3560946770, 3560946825, 'DE', 'Germany'),
(152660, '212.63.188.138', '212.63.188.138', 3560946826, 3560946826, 'US', 'United States'),
(152661, '212.63.188.139', '212.63.188.147', 3560946827, 3560946835, 'DE', 'Germany'),
(152662, '212.63.188.148', '212.63.188.148', 3560946836, 3560946836, 'US', 'United States'),
(152663, '212.63.188.149', '212.63.188.151', 3560946837, 3560946839, 'DE', 'Germany'),
(152664, '212.63.188.152', '212.63.188.152', 3560946840, 3560946840, 'US', 'United States'),
(152665, '212.63.188.153', '212.63.188.255', 3560946841, 3560946943, 'DE', 'Germany'),
(152666, '212.63.189.0', '212.63.189.3', 3560946944, 3560946947, 'US', 'United States'),
(152667, '212.63.189.4', '212.63.189.7', 3560946948, 3560946951, 'BR', 'Brazil'),
(152668, '212.63.189.8', '212.63.189.11', 3560946952, 3560946955, 'MX', 'Mexico'),
(152669, '212.63.189.12', '212.63.189.15', 3560946956, 3560946959, 'CO', 'Colombia'),
(152670, '212.63.189.16', '212.63.189.19', 3560946960, 3560946963, 'MX', 'Mexico'),
(152671, '212.63.189.20', '212.63.189.23', 3560946964, 3560946967, 'AR', 'Argentina'),
(152672, '212.63.189.24', '212.63.189.35', 3560946968, 3560946979, 'US', 'United States'),
(152673, '212.63.189.36', '212.63.189.43', 3560946980, 3560946987, 'DE', 'Germany'),
(152674, '212.63.189.44', '212.63.189.47', 3560946988, 3560946991, 'US', 'United States'),
(152675, '212.63.189.48', '212.63.189.51', 3560946992, 3560946995, 'DE', 'Germany'),
(152676, '212.63.189.52', '212.63.189.55', 3560946996, 3560946999, 'UY', 'Uruguay'),
(152677, '212.63.189.56', '212.63.189.71', 3560947000, 3560947015, 'US', 'United States'),
(152678, '212.63.189.72', '212.63.189.75', 3560947016, 3560947019, 'AR', 'Argentina'),
(152679, '212.63.189.76', '212.63.189.83', 3560947020, 3560947027, 'US', 'United States'),
(152680, '212.63.189.84', '212.63.189.87', 3560947028, 3560947031, 'CO', 'Colombia'),
(152681, '212.63.189.88', '212.63.189.95', 3560947032, 3560947039, 'US', 'United States'),
(152682, '212.63.189.96', '212.63.189.99', 3560947040, 3560947043, 'BR', 'Brazil'),
(152683, '212.63.189.100', '212.63.189.123', 3560947044, 3560947067, 'US', 'United States'),
(152684, '212.63.189.124', '212.63.189.127', 3560947068, 3560947071, 'AR', 'Argentina'),
(152685, '212.63.189.128', '212.63.189.131', 3560947072, 3560947075, 'BR', 'Brazil'),
(152686, '212.63.189.132', '212.63.189.151', 3560947076, 3560947095, 'US', 'United States'),
(152687, '212.63.189.152', '212.63.189.155', 3560947096, 3560947099, 'MX', 'Mexico'),
(152688, '212.63.189.156', '212.63.189.163', 3560947100, 3560947107, 'US', 'United States'),
(152689, '212.63.189.164', '212.63.189.167', 3560947108, 3560947111, 'DE', 'Germany'),
(152690, '212.63.189.168', '212.63.189.179', 3560947112, 3560947123, 'US', 'United States'),
(152691, '212.63.189.180', '212.63.189.183', 3560947124, 3560947127, 'CO', 'Colombia'),
(152692, '212.63.189.184', '212.63.189.199', 3560947128, 3560947143, 'US', 'United States'),
(152693, '212.63.189.200', '212.63.189.203', 3560947144, 3560947147, 'DE', 'Germany'),
(152694, '212.63.189.204', '212.63.189.215', 3560947148, 3560947159, 'US', 'United States'),
(152695, '212.63.189.216', '212.63.189.219', 3560947160, 3560947163, 'PR', 'Puerto Rico'),
(152696, '212.63.189.220', '212.63.189.247', 3560947164, 3560947191, 'US', 'United States'),
(152697, '212.63.189.248', '212.63.189.251', 3560947192, 3560947195, 'VE', 'Venezuela'),
(152698, '212.63.189.252', '212.63.189.255', 3560947196, 3560947199, 'DE', 'Germany'),
(152699, '212.63.190.0', '212.63.190.3', 3560947200, 3560947203, 'CA', 'Canada'),
(152700, '212.63.190.4', '212.63.190.7', 3560947204, 3560947207, 'US', 'United States'),
(152701, '212.63.190.8', '212.63.190.11', 3560947208, 3560947211, 'DE', 'Germany'),
(152702, '212.63.190.12', '212.63.190.31', 3560947212, 3560947231, 'US', 'United States'),
(152703, '212.63.190.32', '212.63.190.35', 3560947232, 3560947235, 'CA', 'Canada'),
(152704, '212.63.190.36', '212.63.190.39', 3560947236, 3560947239, 'CO', 'Colombia'),
(152705, '212.63.190.40', '212.63.190.47', 3560947240, 3560947247, 'US', 'United States'),
(152706, '212.63.190.48', '212.63.190.51', 3560947248, 3560947251, 'CA', 'Canada'),
(152707, '212.63.190.52', '212.63.190.67', 3560947252, 3560947267, 'US', 'United States'),
(152708, '212.63.190.68', '212.63.190.71', 3560947268, 3560947271, 'CO', 'Colombia'),
(152709, '212.63.190.72', '212.63.190.75', 3560947272, 3560947275, 'US', 'United States'),
(152710, '212.63.190.76', '212.63.190.79', 3560947276, 3560947279, 'AR', 'Argentina'),
(152711, '212.63.190.80', '212.63.190.83', 3560947280, 3560947283, 'MX', 'Mexico'),
(152712, '212.63.190.84', '212.63.190.87', 3560947284, 3560947287, 'US', 'United States'),
(152713, '212.63.190.88', '212.63.190.91', 3560947288, 3560947291, 'BR', 'Brazil'),
(152714, '212.63.190.92', '212.63.190.131', 3560947292, 3560947331, 'US', 'United States'),
(152715, '212.63.190.132', '212.63.190.135', 3560947332, 3560947335, 'MX', 'Mexico'),
(152716, '212.63.190.136', '212.63.190.143', 3560947336, 3560947343, 'US', 'United States'),
(152717, '212.63.190.144', '212.63.190.147', 3560947344, 3560947347, 'MX', 'Mexico'),
(152718, '212.63.190.148', '212.63.190.151', 3560947348, 3560947351, 'CO', 'Colombia'),
(152719, '212.63.190.152', '212.63.190.155', 3560947352, 3560947355, 'US', 'United States'),
(152720, '212.63.190.156', '212.63.190.159', 3560947356, 3560947359, 'AN', 'Netherlands Antilles'),
(152721, '212.63.190.160', '212.63.190.163', 3560947360, 3560947363, 'US', 'United States'),
(152722, '212.63.190.164', '212.63.190.167', 3560947364, 3560947367, 'HN', 'Honduras'),
(152723, '212.63.190.168', '212.63.190.171', 3560947368, 3560947371, 'BR', 'Brazil'),
(152724, '212.63.190.172', '212.63.190.175', 3560947372, 3560947375, 'CA', 'Canada'),
(152725, '212.63.190.176', '212.63.190.183', 3560947376, 3560947383, 'US', 'United States'),
(152726, '212.63.190.184', '212.63.190.191', 3560947384, 3560947391, 'CO', 'Colombia'),
(152727, '212.63.190.192', '212.63.190.195', 3560947392, 3560947395, 'MX', 'Mexico'),
(152728, '212.63.190.196', '212.63.190.199', 3560947396, 3560947399, 'US', 'United States'),
(152729, '212.63.190.200', '212.63.190.207', 3560947400, 3560947407, 'AR', 'Argentina'),
(152730, '212.63.190.208', '212.63.190.211', 3560947408, 3560947411, 'US', 'United States'),
(152731, '212.63.190.212', '212.63.190.215', 3560947412, 3560947415, 'AR', 'Argentina'),
(152732, '212.63.190.216', '212.63.190.231', 3560947416, 3560947431, 'US', 'United States'),
(152733, '212.63.190.232', '212.63.190.235', 3560947432, 3560947435, 'MX', 'Mexico'),
(152734, '212.63.190.236', '212.63.190.239', 3560947436, 3560947439, 'DE', 'Germany'),
(152735, '212.63.190.240', '212.63.190.243', 3560947440, 3560947443, 'BR', 'Brazil'),
(152736, '212.63.190.244', '212.63.190.255', 3560947444, 3560947455, 'US', 'United States'),
(152737, '212.63.191.0', '212.63.191.39', 3560947456, 3560947495, 'JP', 'Japan'),
(152738, '212.63.191.40', '212.63.191.43', 3560947496, 3560947499, 'KR', 'Korea, Republic of'),
(152739, '212.63.191.44', '212.63.191.207', 3560947500, 3560947663, 'JP', 'Japan'),
(152740, '212.63.191.208', '212.63.191.211', 3560947664, 3560947667, 'DE', 'Germany'),
(152741, '212.63.191.212', '212.63.191.230', 3560947668, 3560947686, 'JP', 'Japan'),
(152742, '212.63.191.231', '212.63.191.231', 3560947687, 3560947687, 'DE', 'Germany'),
(152743, '212.63.191.232', '212.63.191.255', 3560947688, 3560947711, 'JP', 'Japan'),
(152744, '212.63.192.0', '212.63.204.55', 3560947712, 3560950839, 'SE', 'Sweden'),
(152745, '212.63.204.56', '212.63.204.59', 3560950840, 3560950843, 'CZ', 'Czech Republic'),
(152746, '212.63.204.60', '212.63.204.63', 3560950844, 3560950847, 'FI', 'Finland'),
(152747, '212.63.204.64', '212.63.204.79', 3560950848, 3560950863, 'SE', 'Sweden'),
(152748, '212.63.204.80', '212.63.204.83', 3560950864, 3560950867, 'DK', 'Denmark'),
(152749, '212.63.204.84', '212.63.204.87', 3560950868, 3560950871, 'ES', 'Spain'),
(152750, '212.63.204.88', '212.63.204.172', 3560950872, 3560950956, 'SE', 'Sweden'),
(152751, '212.63.204.173', '212.63.204.174', 3560950957, 3560950958, 'PL', 'Poland'),
(152752, '212.63.204.175', '212.63.204.243', 3560950959, 3560951027, 'SE', 'Sweden'),
(152753, '212.63.204.244', '212.63.204.247', 3560951028, 3560951031, 'DK', 'Denmark'),
(152754, '212.63.204.248', '212.63.204.255', 3560951032, 3560951039, 'SE', 'Sweden'),
(152755, '212.63.205.0', '212.63.205.3', 3560951040, 3560951043, 'NO', 'Norway'),
(152756, '212.63.205.4', '212.63.205.43', 3560951044, 3560951083, 'SE', 'Sweden'),
(152757, '212.63.205.44', '212.63.205.47', 3560951084, 3560951087, 'DK', 'Denmark'),
(152758, '212.63.205.48', '212.63.205.48', 3560951088, 3560951088, 'SE', 'Sweden'),
(152759, '212.63.205.49', '212.63.205.50', 3560951089, 3560951090, 'PL', 'Poland'),
(152760, '212.63.205.51', '212.63.205.51', 3560951091, 3560951091, 'SE', 'Sweden'),
(152761, '212.63.205.52', '212.63.205.55', 3560951092, 3560951095, 'IT', 'Italy'),
(152762, '212.63.205.56', '212.63.205.63', 3560951096, 3560951103, 'SE', 'Sweden'),
(152763, '212.63.205.64', '212.63.205.67', 3560951104, 3560951107, 'DE', 'Germany'),
(152764, '212.63.205.68', '212.63.205.71', 3560951108, 3560951111, 'DK', 'Denmark'),
(152765, '212.63.205.72', '212.63.205.75', 3560951112, 3560951115, 'FR', 'France'),
(152766, '212.63.205.76', '212.63.205.79', 3560951116, 3560951119, 'SE', 'Sweden'),
(152767, '212.63.205.80', '212.63.205.83', 3560951120, 3560951123, 'CZ', 'Czech Republic'),
(152768, '212.63.205.84', '212.63.205.87', 3560951124, 3560951127, 'GB', 'United Kingdom'),
(152769, '212.63.205.88', '212.63.205.91', 3560951128, 3560951131, 'SE', 'Sweden'),
(152770, '212.63.205.92', '212.63.205.95', 3560951132, 3560951135, 'ES', 'Spain'),
(152771, '212.63.205.96', '212.63.205.103', 3560951136, 3560951143, 'SE', 'Sweden'),
(152772, '212.63.205.104', '212.63.205.107', 3560951144, 3560951147, 'BR', 'Brazil'),
(152773, '212.63.205.108', '212.63.205.115', 3560951148, 3560951155, 'SE', 'Sweden'),
(152774, '212.63.205.116', '212.63.205.119', 3560951156, 3560951159, 'US', 'United States'),
(152775, '212.63.205.120', '212.63.205.155', 3560951160, 3560951195, 'SE', 'Sweden'),
(152776, '212.63.205.156', '212.63.205.159', 3560951196, 3560951199, 'DK', 'Denmark'),
(152777, '212.63.205.160', '212.63.205.163', 3560951200, 3560951203, 'SE', 'Sweden'),
(152778, '212.63.205.164', '212.63.205.167', 3560951204, 3560951207, 'AE', 'United Arab Emirates'),
(152779, '212.63.205.168', '212.63.205.171', 3560951208, 3560951211, 'DK', 'Denmark'),
(152780, '212.63.205.172', '212.63.205.175', 3560951212, 3560951215, 'IT', 'Italy'),
(152781, '212.63.205.176', '212.63.206.11', 3560951216, 3560951307, 'SE', 'Sweden'),
(152782, '212.63.206.12', '212.63.206.15', 3560951308, 3560951311, 'IT', 'Italy'),
(152783, '212.63.206.16', '212.63.206.80', 3560951312, 3560951376, 'SE', 'Sweden'),
(152784, '212.63.206.81', '212.63.206.82', 3560951377, 3560951378, 'PL', 'Poland'),
(152785, '212.63.206.83', '212.63.206.84', 3560951379, 3560951380, 'SE', 'Sweden'),
(152786, '212.63.206.85', '212.63.206.86', 3560951381, 3560951382, 'FI', 'Finland'),
(152787, '212.63.206.87', '212.63.206.87', 3560951383, 3560951383, 'SE', 'Sweden'),
(152788, '212.63.206.88', '212.63.206.91', 3560951384, 3560951387, 'NO', 'Norway'),
(152789, '212.63.206.92', '212.63.206.92', 3560951388, 3560951388, 'SE', 'Sweden'),
(152790, '212.63.206.93', '212.63.206.94', 3560951389, 3560951390, 'PT', 'Portugal'),
(152791, '212.63.206.95', '212.63.206.95', 3560951391, 3560951391, 'SE', 'Sweden'),
(152792, '212.63.206.96', '212.63.206.99', 3560951392, 3560951395, 'IT', 'Italy'),
(152793, '212.63.206.100', '212.63.206.103', 3560951396, 3560951399, 'DE', 'Germany'),
(152794, '212.63.206.104', '212.63.206.107', 3560951400, 3560951403, 'SE', 'Sweden'),
(152795, '212.63.206.108', '212.63.206.111', 3560951404, 3560951407, 'NO', 'Norway'),
(152796, '212.63.206.112', '212.63.206.127', 3560951408, 3560951423, 'SE', 'Sweden'),
(152797, '212.63.206.128', '212.63.206.131', 3560951424, 3560951427, 'NL', 'Netherlands'),
(152798, '212.63.206.132', '212.63.206.135', 3560951428, 3560951431, 'DK', 'Denmark'),
(152799, '212.63.206.136', '212.63.206.139', 3560951432, 3560951435, 'SE', 'Sweden'),
(152800, '212.63.206.140', '212.63.206.143', 3560951436, 3560951439, 'DK', 'Denmark'),
(152801, '212.63.206.144', '212.63.206.144', 3560951440, 3560951440, 'SE', 'Sweden'),
(152802, '212.63.206.145', '212.63.206.146', 3560951441, 3560951442, 'JP', 'Japan'),
(152803, '212.63.206.147', '212.63.206.148', 3560951443, 3560951444, 'SE', 'Sweden'),
(152804, '212.63.206.149', '212.63.206.150', 3560951445, 3560951446, 'HU', 'Hungary'),
(152805, '212.63.206.151', '212.63.206.151', 3560951447, 3560951447, 'SE', 'Sweden'),
(152806, '212.63.206.152', '212.63.206.155', 3560951448, 3560951451, 'FR', 'France'),
(152807, '212.63.206.156', '212.63.206.163', 3560951452, 3560951459, 'SE', 'Sweden'),
(152808, '212.63.206.164', '212.63.206.167', 3560951460, 3560951463, 'FI', 'Finland'),
(152809, '212.63.206.168', '212.63.206.255', 3560951464, 3560951551, 'SE', 'Sweden'),
(152810, '212.63.207.0', '212.63.207.3', 3560951552, 3560951555, 'ES', 'Spain'),
(152811, '212.63.207.4', '212.63.207.7', 3560951556, 3560951559, 'NO', 'Norway'),
(152812, '212.63.207.8', '212.63.207.31', 3560951560, 3560951583, 'SE', 'Sweden'),
(152813, '212.63.207.32', '212.63.207.35', 3560951584, 3560951587, 'FI', 'Finland'),
(152814, '212.63.207.36', '212.63.207.39', 3560951588, 3560951591, 'SE', 'Sweden'),
(152815, '212.63.207.40', '212.63.207.43', 3560951592, 3560951595, 'NO', 'Norway'),
(152816, '212.63.207.44', '212.63.207.47', 3560951596, 3560951599, 'CZ', 'Czech Republic'),
(152817, '212.63.207.48', '212.63.207.127', 3560951600, 3560951679, 'SE', 'Sweden'),
(152818, '212.63.207.128', '212.63.207.131', 3560951680, 3560951683, 'DE', 'Germany'),
(152819, '212.63.207.132', '212.63.207.207', 3560951684, 3560951759, 'SE', 'Sweden'),
(152820, '212.63.207.208', '212.63.207.211', 3560951760, 3560951763, 'DK', 'Denmark'),
(152821, '212.63.207.212', '212.63.207.215', 3560951764, 3560951767, 'HU', 'Hungary'),
(152822, '212.63.207.216', '212.63.207.255', 3560951768, 3560951807, 'SE', 'Sweden'),
(152823, '212.63.208.0', '212.63.208.3', 3560951808, 3560951811, 'US', 'United States'),
(152824, '212.63.208.4', '212.63.208.8', 3560951812, 3560951816, 'SE', 'Sweden'),
(152825, '212.63.208.9', '212.63.208.10', 3560951817, 3560951818, 'ES', 'Spain'),
(152826, '212.63.208.11', '212.63.208.12', 3560951819, 3560951820, 'SE', 'Sweden'),
(152827, '212.63.208.13', '212.63.208.14', 3560951821, 3560951822, 'IT', 'Italy'),
(152828, '212.63.208.15', '212.63.208.23', 3560951823, 3560951831, 'SE', 'Sweden'),
(152829, '212.63.208.24', '212.63.208.27', 3560951832, 3560951835, 'DE', 'Germany'),
(152830, '212.63.208.28', '212.63.208.107', 3560951836, 3560951915, 'SE', 'Sweden'),
(152831, '212.63.208.108', '212.63.208.111', 3560951916, 3560951919, 'PL', 'Poland'),
(152832, '212.63.208.112', '212.63.208.127', 3560951920, 3560951935, 'SE', 'Sweden'),
(152833, '212.63.208.128', '212.63.208.131', 3560951936, 3560951939, 'NL', 'Netherlands'),
(152834, '212.63.208.132', '212.63.208.135', 3560951940, 3560951943, 'SE', 'Sweden'),
(152835, '212.63.208.136', '212.63.208.139', 3560951944, 3560951947, 'NO', 'Norway'),
(152836, '212.63.208.140', '212.63.208.187', 3560951948, 3560951995, 'SE', 'Sweden'),
(152837, '212.63.208.188', '212.63.208.191', 3560951996, 3560951999, 'US', 'United States'),
(152838, '212.63.208.192', '212.63.208.231', 3560952000, 3560952039, 'SE', 'Sweden'),
(152839, '212.63.208.232', '212.63.208.235', 3560952040, 3560952043, 'FI', 'Finland'),
(152840, '212.63.208.236', '212.63.209.159', 3560952044, 3560952223, 'SE', 'Sweden'),
(152841, '212.63.209.160', '212.63.209.163', 3560952224, 3560952227, 'CZ', 'Czech Republic'),
(152842, '212.63.209.164', '212.63.209.167', 3560952228, 3560952231, 'SE', 'Sweden'),
(152843, '212.63.209.168', '212.63.209.171', 3560952232, 3560952235, 'US', 'United States'),
(152844, '212.63.209.172', '212.63.209.175', 3560952236, 3560952239, 'PT', 'Portugal'),
(152845, '212.63.209.176', '212.63.209.191', 3560952240, 3560952255, 'SE', 'Sweden'),
(152846, '212.63.209.192', '212.63.209.195', 3560952256, 3560952259, 'PL', 'Poland'),
(152847, '212.63.209.196', '212.63.209.231', 3560952260, 3560952295, 'SE', 'Sweden'),
(152848, '212.63.209.232', '212.63.209.235', 3560952296, 3560952299, 'NL', 'Netherlands'),
(152849, '212.63.209.236', '212.63.210.111', 3560952300, 3560952431, 'SE', 'Sweden'),
(152850, '212.63.210.112', '212.63.210.115', 3560952432, 3560952435, 'DK', 'Denmark'),
(152851, '212.63.210.116', '212.63.213.15', 3560952436, 3560953103, 'SE', 'Sweden'),
(152852, '212.63.213.16', '212.63.213.31', 3560953104, 3560953119, 'JP', 'Japan'),
(152853, '212.63.213.32', '212.63.223.255', 3560953120, 3560955903, 'SE', 'Sweden'),
(152854, '212.63.224.0', '212.63.255.255', 3560955904, 3560964095, 'BE', 'Belgium'),
(152855, '212.64.0.0', '212.64.127.255', 3560964096, 3560996863, 'NL', 'Netherlands'),
(152856, '212.64.128.0', '212.64.159.255', 3560996864, 3561005055, 'GB', 'United Kingdom'),
(152857, '212.64.160.0', '212.64.191.255', 3561005056, 3561013247, 'ES', 'Spain'),
(152858, '212.64.192.0', '212.64.223.255', 3561013248, 3561021439, 'TR', 'Turkey'),
(152859, '212.64.224.0', '212.64.224.255', 3561021440, 3561021695, 'EU', 'Europe'),
(152860, '212.64.225.0', '212.64.227.255', 3561021696, 3561022463, 'DE', 'Germany'),
(152861, '212.64.228.0', '212.64.228.255', 3561022464, 3561022719, 'EU', 'Europe'),
(152862, '212.64.229.0', '212.64.229.255', 3561022720, 3561022975, 'AT', 'Austria'),
(152863, '212.64.230.0', '212.65.31.255', 3561022976, 3561037823, 'DE', 'Germany'),
(152864, '212.65.32.0', '212.65.37.127', 3561037824, 3561039231, 'BE', 'Belgium'),
(152865, '212.65.37.128', '212.65.37.159', 3561039232, 3561039263, 'NL', 'Netherlands'),
(152866, '212.65.37.160', '212.65.37.223', 3561039264, 3561039327, 'BE', 'Belgium'),
(152867, '212.65.37.224', '212.65.37.226', 3561039328, 3561039330, 'NL', 'Netherlands'),
(152868, '212.65.37.227', '212.65.63.255', 3561039331, 3561046015, 'BE', 'Belgium'),
(152869, '212.65.64.0', '212.65.95.255', 3561046016, 3561054207, 'RU', 'Russian Federation'),
(152870, '212.65.96.0', '212.65.127.255', 3561054208, 3561062399, 'MT', 'Malta'),
(152871, '212.65.128.0', '212.65.159.255', 3561062400, 3561070591, 'TR', 'Turkey'),
(152872, '212.65.160.0', '212.65.160.255', 3561070592, 3561070847, 'DE', 'Germany'),
(152873, '212.65.161.0', '212.65.191.255', 3561070848, 3561078783, 'CH', 'Switzerland'),
(152874, '212.65.192.0', '212.65.255.255', 3561078784, 3561095167, 'CZ', 'Czech Republic'),
(152875, '212.66.0.0', '212.66.31.255', 3561095168, 3561103359, 'DE', 'Germany'),
(152876, '212.66.32.0', '212.66.63.255', 3561103360, 3561111551, 'UA', 'Ukraine'),
(152877, '212.66.64.0', '212.66.72.255', 3561111552, 3561113855, 'LU', 'Luxembourg'),
(152878, '212.66.73.0', '212.66.73.255', 3561113856, 3561114111, 'EU', 'Europe'),
(152879, '212.66.74.0', '212.66.95.255', 3561114112, 3561119743, 'LU', 'Luxembourg'),
(152880, '212.66.96.0', '212.66.127.255', 3561119744, 3561127935, 'IT', 'Italy'),
(152881, '212.66.128.0', '212.66.159.255', 3561127936, 3561136127, 'DE', 'Germany'),
(152882, '212.66.160.0', '212.66.191.255', 3561136128, 3561144319, 'ES', 'Spain'),
(152883, '212.66.192.0', '212.66.223.255', 3561144320, 3561152511, 'FI', 'Finland'),
(152884, '212.66.224.0', '212.66.255.255', 3561152512, 3561160703, 'IT', 'Italy'),
(152885, '212.67.0.0', '212.67.31.255', 3561160704, 3561168895, 'RU', 'Russian Federation'),
(152886, '212.67.32.0', '212.67.63.255', 3561168896, 3561177087, 'FR', 'France'),
(152887, '212.67.64.0', '212.67.95.255', 3561177088, 3561185279, 'CZ', 'Czech Republic'),
(152888, '212.67.96.0', '212.67.127.255', 3561185280, 3561193471, 'GB', 'United Kingdom'),
(152889, '212.67.128.0', '212.67.159.255', 3561193472, 3561201663, 'PL', 'Poland'),
(152890, '212.67.160.0', '212.67.179.127', 3561201664, 3561206655, 'NL', 'Netherlands'),
(152891, '212.67.179.128', '212.67.179.135', 3561206656, 3561206663, 'BE', 'Belgium'),
(152892, '212.67.179.136', '212.67.191.255', 3561206664, 3561209855, 'NL', 'Netherlands'),
(152893, '212.67.192.0', '212.67.211.255', 3561209856, 3561214975, 'GB', 'United Kingdom'),
(152894, '212.67.212.0', '212.67.212.255', 3561214976, 3561215231, 'ES', 'Spain'),
(152895, '212.67.213.0', '212.67.223.255', 3561215232, 3561218047, 'GB', 'United Kingdom'),
(152896, '212.67.224.0', '212.67.255.255', 3561218048, 3561226239, 'AT', 'Austria'),
(152897, '212.68.0.0', '212.68.31.255', 3561226240, 3561234431, 'FI', 'Finland'),
(152898, '212.68.32.0', '212.68.63.255', 3561234432, 3561242623, 'TR', 'Turkey'),
(152899, '212.68.64.0', '212.68.127.255', 3561242624, 3561259007, 'DE', 'Germany'),
(152900, '212.68.128.0', '212.68.159.255', 3561259008, 3561267199, 'IL', 'Israel'),
(152901, '212.68.160.0', '212.68.191.255', 3561267200, 3561275391, 'UA', 'Ukraine'),
(152902, '212.68.192.0', '212.68.255.255', 3561275392, 3561291775, 'BE', 'Belgium'),
(152903, '212.69.0.0', '212.69.31.255', 3561291776, 3561299967, 'RS', 'Serbia'),
(152904, '212.69.32.0', '212.69.63.255', 3561299968, 3561308159, 'GB', 'United Kingdom'),
(152905, '212.69.64.0', '212.69.95.255', 3561308160, 3561316351, 'PL', 'Poland'),
(152906, '212.69.96.0', '212.69.127.255', 3561316352, 3561324543, 'RU', 'Russian Federation'),
(152907, '212.69.128.0', '212.69.159.255', 3561324544, 3561332735, 'IT', 'Italy'),
(152908, '212.69.160.0', '212.69.191.255', 3561332736, 3561340927, 'AT', 'Austria'),
(152909, '212.69.192.0', '212.69.255.255', 3561340928, 3561357311, 'GB', 'United Kingdom'),
(152910, '212.70.0.0', '212.70.31.255', 3561357312, 3561365503, 'DK', 'Denmark'),
(152911, '212.70.32.0', '212.70.63.255', 3561365504, 3561373695, 'SA', 'Saudi Arabia'),
(152912, '212.70.64.0', '212.70.95.255', 3561373696, 3561381887, 'GB', 'United Kingdom'),
(152913, '212.70.96.0', '212.70.98.79', 3561381888, 3561382479, 'AT', 'Austria'),
(152914, '212.70.98.80', '212.70.98.95', 3561382480, 3561382495, 'DE', 'Germany'),
(152915, '212.70.98.96', '212.70.127.255', 3561382496, 3561390079, 'AT', 'Austria'),
(152916, '212.70.128.0', '212.70.148.255', 3561390080, 3561395455, 'BG', 'Bulgaria'),
(152917, '212.70.149.0', '212.70.149.255', 3561395456, 3561395711, 'GR', 'Greece'),
(152918, '212.70.150.0', '212.70.151.255', 3561395712, 3561396223, 'BG', 'Bulgaria'),
(152919, '212.70.152.0', '212.70.153.0', 3561396224, 3561396480, 'MK', 'Macedonia'),
(152920, '212.70.153.1', '212.70.159.255', 3561396481, 3561398271, 'BG', 'Bulgaria'),
(152921, '212.70.160.0', '212.70.191.255', 3561398272, 3561406463, 'LV', 'Latvia'),
(152922, '212.70.192.0', '212.70.223.255', 3561406464, 3561414655, 'GR', 'Greece'),
(152923, '212.70.224.0', '212.70.255.255', 3561414656, 3561422847, 'IT', 'Italy'),
(152924, '212.71.0.0', '212.71.17.7', 3561422848, 3561427207, 'BE', 'Belgium'),
(152925, '212.71.17.8', '212.71.17.11', 3561427208, 3561427211, 'NL', 'Netherlands'),
(152926, '212.71.17.12', '212.71.20.167', 3561427212, 3561428135, 'BE', 'Belgium'),
(152927, '212.71.20.168', '212.71.20.175', 3561428136, 3561428143, 'NL', 'Netherlands'),
(152928, '212.71.20.176', '212.71.25.31', 3561428144, 3561429279, 'BE', 'Belgium'),
(152929, '212.71.25.32', '212.71.25.39', 3561429280, 3561429287, 'NL', 'Netherlands'),
(152930, '212.71.25.40', '212.71.31.255', 3561429288, 3561431039, 'BE', 'Belgium'),
(152931, '212.71.32.0', '212.71.63.255', 3561431040, 3561439231, 'SA', 'Saudi Arabia'),
(152932, '212.71.64.0', '212.71.95.255', 3561439232, 3561447423, 'NO', 'Norway'),
(152933, '212.71.96.0', '212.71.127.255', 3561447424, 3561455615, 'CH', 'Switzerland'),
(152934, '212.71.128.0', '212.71.191.255', 3561455616, 3561471999, 'CZ', 'Czech Republic'),
(152935, '212.71.192.0', '212.71.223.255', 3561472000, 3561480191, 'DE', 'Germany'),
(152936, '212.71.224.0', '212.71.255.255', 3561480192, 3561488383, 'GB', 'United Kingdom'),
(152937, '212.72.0.0', '212.72.31.255', 3561488384, 3561496575, 'OM', 'Oman'),
(152938, '212.72.32.0', '212.72.32.255', 3561496576, 3561496831, 'NL', 'Netherlands'),
(152939, '212.72.33.0', '212.72.33.55', 3561496832, 3561496887, 'GB', 'United Kingdom'),
(152940, '212.72.33.56', '212.72.33.59', 3561496888, 3561496891, 'NL', 'Netherlands'),
(152941, '212.72.33.60', '212.72.33.123', 3561496892, 3561496955, 'GB', 'United Kingdom'),
(152942, '212.72.33.124', '212.72.33.127', 3561496956, 3561496959, 'NL', 'Netherlands'),
(152943, '212.72.33.128', '212.72.33.255', 3561496960, 3561497087, 'GB', 'United Kingdom'),
(152944, '212.72.34.0', '212.72.34.31', 3561497088, 3561497119, 'NL', 'Netherlands'),
(152945, '212.72.34.32', '212.72.34.127', 3561497120, 3561497215, 'GB', 'United Kingdom'),
(152946, '212.72.34.128', '212.72.34.223', 3561497216, 3561497311, 'NL', 'Netherlands'),
(152947, '212.72.34.224', '212.72.34.239', 3561497312, 3561497327, 'GB', 'United Kingdom'),
(152948, '212.72.34.240', '212.72.35.79', 3561497328, 3561497423, 'NL', 'Netherlands'),
(152949, '212.72.35.80', '212.72.35.127', 3561497424, 3561497471, 'GB', 'United Kingdom'),
(152950, '212.72.35.128', '212.72.35.191', 3561497472, 3561497535, 'NL', 'Netherlands'),
(152951, '212.72.35.192', '212.72.35.255', 3561497536, 3561497599, 'GB', 'United Kingdom'),
(152952, '212.72.36.0', '212.72.37.255', 3561497600, 3561498111, 'NL', 'Netherlands'),
(152953, '212.72.38.0', '212.72.39.31', 3561498112, 3561498399, 'GB', 'United Kingdom'),
(152954, '212.72.39.32', '212.72.39.63', 3561498400, 3561498431, 'NL', 'Netherlands'),
(152955, '212.72.39.64', '212.72.39.119', 3561498432, 3561498487, 'GB', 'United Kingdom'),
(152956, '212.72.39.120', '212.72.39.123', 3561498488, 3561498491, 'NL', 'Netherlands'),
(152957, '212.72.39.124', '212.72.39.127', 3561498492, 3561498495, 'GB', 'United Kingdom'),
(152958, '212.72.39.128', '212.72.39.191', 3561498496, 3561498559, 'NL', 'Netherlands'),
(152959, '212.72.39.192', '212.72.39.239', 3561498560, 3561498607, 'GB', 'United Kingdom'),
(152960, '212.72.39.240', '212.72.39.247', 3561498608, 3561498615, 'NL', 'Netherlands'),
(152961, '212.72.39.248', '212.72.39.255', 3561498616, 3561498623, 'GB', 'United Kingdom'),
(152962, '212.72.40.0', '212.72.46.255', 3561498624, 3561500415, 'NL', 'Netherlands'),
(152963, '212.72.47.0', '212.72.47.255', 3561500416, 3561500671, 'GB', 'United Kingdom'),
(152964, '212.72.48.0', '212.72.48.31', 3561500672, 3561500703, 'NL', 'Netherlands'),
(152965, '212.72.48.32', '212.72.48.47', 3561500704, 3561500719, 'GB', 'United Kingdom'),
(152966, '212.72.48.48', '212.72.48.79', 3561500720, 3561500751, 'NL', 'Netherlands'),
(152967, '212.72.48.80', '212.72.48.91', 3561500752, 3561500763, 'GB', 'United Kingdom'),
(152968, '212.72.48.92', '212.72.48.95', 3561500764, 3561500767, 'NL', 'Netherlands'),
(152969, '212.72.48.96', '212.72.48.103', 3561500768, 3561500775, 'GB', 'United Kingdom'),
(152970, '212.72.48.104', '212.72.50.127', 3561500776, 3561501311, 'NL', 'Netherlands'),
(152971, '212.72.50.128', '212.72.50.159', 3561501312, 3561501343, 'GB', 'United Kingdom'),
(152972, '212.72.50.160', '212.72.50.191', 3561501344, 3561501375, 'NL', 'Netherlands'),
(152973, '212.72.50.192', '212.72.50.223', 3561501376, 3561501407, 'GB', 'United Kingdom'),
(152974, '212.72.50.224', '212.72.51.3', 3561501408, 3561501443, 'NL', 'Netherlands'),
(152975, '212.72.51.4', '212.72.51.47', 3561501444, 3561501487, 'GB', 'United Kingdom'),
(152976, '212.72.51.48', '212.72.51.63', 3561501488, 3561501503, 'NL', 'Netherlands'),
(152977, '212.72.51.64', '212.72.51.95', 3561501504, 3561501535, 'GB', 'United Kingdom'),
(152978, '212.72.51.96', '212.72.51.191', 3561501536, 3561501631, 'NL', 'Netherlands'),
(152979, '212.72.51.192', '212.72.51.255', 3561501632, 3561501695, 'GB', 'United Kingdom'),
(152980, '212.72.52.0', '212.72.53.95', 3561501696, 3561502047, 'NL', 'Netherlands'),
(152981, '212.72.53.96', '212.72.53.127', 3561502048, 3561502079, 'GB', 'United Kingdom'),
(152982, '212.72.53.128', '212.72.53.191', 3561502080, 3561502143, 'NL', 'Netherlands'),
(152983, '212.72.53.192', '212.72.53.255', 3561502144, 3561502207, 'GB', 'United Kingdom'),
(152984, '212.72.54.0', '212.72.55.167', 3561502208, 3561502631, 'NL', 'Netherlands'),
(152985, '212.72.55.168', '212.72.55.191', 3561502632, 3561502655, 'GB', 'United Kingdom'),
(152986, '212.72.55.192', '212.72.61.255', 3561502656, 3561504255, 'NL', 'Netherlands'),
(152987, '212.72.62.0', '212.72.62.127', 3561504256, 3561504383, 'GB', 'United Kingdom'),
(152988, '212.72.62.128', '212.72.63.255', 3561504384, 3561504767, 'NL', 'Netherlands'),
(152989, '212.72.64.0', '212.72.95.255', 3561504768, 3561512959, 'DE', 'Germany'),
(152990, '212.72.96.0', '212.72.127.255', 3561512960, 3561521151, 'SI', 'Slovenia'),
(152991, '212.72.128.0', '212.72.159.255', 3561521152, 3561529343, 'GE', 'Georgia'),
(152992, '212.72.160.0', '212.72.180.95', 3561529344, 3561534559, 'DE', 'Germany'),
(152993, '212.72.180.96', '212.72.180.111', 3561534560, 3561534575, 'US', 'United States'),
(152994, '212.72.180.112', '212.72.191.255', 3561534576, 3561537535, 'DE', 'Germany'),
(152995, '212.72.192.0', '212.72.223.255', 3561537536, 3561545727, 'BG', 'Bulgaria'),
(152996, '212.72.224.0', '212.72.255.255', 3561545728, 3561553919, 'NL', 'Netherlands'),
(152997, '212.73.0.0', '212.73.31.255', 3561553920, 3561562111, 'SE', 'Sweden'),
(152998, '212.73.32.0', '212.73.63.255', 3561562112, 3561570303, 'ES', 'Spain'),
(152999, '212.73.64.0', '212.73.95.255', 3561570304, 3561578495, 'AM', 'Armenia'),
(153000, '212.73.96.0', '212.73.127.255', 3561578496, 3561586687, 'RU', 'Russian Federation'),
(153001, '212.73.128.0', '212.73.143.63', 3561586688, 3561590591, 'BG', 'Bulgaria'),
(153002, '212.73.143.64', '212.73.143.95', 3561590592, 3561590623, 'CY', 'Cyprus'),
(153003, '212.73.143.96', '212.73.159.255', 3561590624, 3561594879, 'BG', 'Bulgaria'),
(153004, '212.73.160.0', '212.73.160.55', 3561594880, 3561594935, 'SE', 'Sweden'),
(153005, '212.73.160.56', '212.73.160.59', 3561594936, 3561594939, 'DK', 'Denmark'),
(153006, '212.73.160.60', '212.73.160.95', 3561594940, 3561594975, 'SE', 'Sweden'),
(153007, '212.73.160.96', '212.73.160.127', 3561594976, 3561595007, 'DK', 'Denmark'),
(153008, '212.73.160.128', '212.73.191.255', 3561595008, 3561603071, 'SE', 'Sweden'),
(153009, '212.73.192.0', '212.73.192.191', 3561603072, 3561603263, 'FR', 'France'),
(153010, '212.73.192.192', '212.73.192.223', 3561603264, 3561603295, 'GB', 'United Kingdom'),
(153011, '212.73.192.224', '212.73.197.255', 3561603296, 3561604607, 'FR', 'France'),
(153012, '212.73.198.0', '212.73.199.31', 3561604608, 3561604895, 'GB', 'United Kingdom'),
(153013, '212.73.199.32', '212.73.199.47', 3561604896, 3561604911, 'FR', 'France'),
(153014, '212.73.199.48', '212.73.199.255', 3561604912, 3561605119, 'GB', 'United Kingdom'),
(153015, '212.73.200.0', '212.73.208.63', 3561605120, 3561607231, 'FR', 'France'),
(153016, '212.73.208.64', '212.73.208.67', 3561607232, 3561607235, 'GB', 'United Kingdom'),
(153017, '212.73.208.68', '212.73.208.71', 3561607236, 3561607239, 'FR', 'France'),
(153018, '212.73.208.72', '212.73.208.79', 3561607240, 3561607247, 'GB', 'United Kingdom'),
(153019, '212.73.208.80', '212.73.208.175', 3561607248, 3561607343, 'FR', 'France'),
(153020, '212.73.208.176', '212.73.208.191', 3561607344, 3561607359, 'GB', 'United Kingdom'),
(153021, '212.73.208.192', '212.73.209.255', 3561607360, 3561607679, 'FR', 'France'),
(153022, '212.73.210.0', '212.73.210.31', 3561607680, 3561607711, 'GB', 'United Kingdom'),
(153023, '212.73.210.32', '212.73.210.79', 3561607712, 3561607759, 'FR', 'France'),
(153024, '212.73.210.80', '212.73.210.95', 3561607760, 3561607775, 'GB', 'United Kingdom'),
(153025, '212.73.210.96', '212.73.219.255', 3561607776, 3561610239, 'FR', 'France'),
(153026, '212.73.220.0', '212.73.220.255', 3561610240, 3561610495, 'US', 'United States'),
(153027, '212.73.221.0', '212.73.221.31', 3561610496, 3561610527, 'FR', 'France'),
(153028, '212.73.221.32', '212.73.221.63', 3561610528, 3561610559, 'GB', 'United Kingdom'),
(153029, '212.73.221.64', '212.73.221.79', 3561610560, 3561610575, 'FR', 'France'),
(153030, '212.73.221.80', '212.73.221.95', 3561610576, 3561610591, 'GB', 'United Kingdom'),
(153031, '212.73.221.96', '212.73.221.159', 3561610592, 3561610655, 'FR', 'France'),
(153032, '212.73.221.160', '212.73.221.223', 3561610656, 3561610719, 'GB', 'United Kingdom'),
(153033, '212.73.221.224', '212.73.224.47', 3561610720, 3561611311, 'FR', 'France'),
(153034, '212.73.224.48', '212.73.225.39', 3561611312, 3561611559, 'GB', 'United Kingdom'),
(153035, '212.73.225.40', '212.73.225.47', 3561611560, 3561611567, 'FR', 'France'),
(153036, '212.73.225.48', '212.73.227.255', 3561611568, 3561612287, 'GB', 'United Kingdom'),
(153037, '212.73.228.0', '212.73.228.127', 3561612288, 3561612415, 'FR', 'France'),
(153038, '212.73.228.128', '212.73.231.255', 3561612416, 3561613311, 'GB', 'United Kingdom'),
(153039, '212.73.232.0', '212.73.232.7', 3561613312, 3561613319, 'FR', 'France'),
(153040, '212.73.232.8', '212.73.232.31', 3561613320, 3561613343, 'GB', 'United Kingdom'),
(153041, '212.73.232.32', '212.73.232.95', 3561613344, 3561613407, 'FR', 'France'),
(153042, '212.73.232.96', '212.73.232.127', 3561613408, 3561613439, 'GB', 'United Kingdom'),
(153043, '212.73.232.128', '212.73.232.159', 3561613440, 3561613471, 'FR', 'France'),
(153044, '212.73.232.160', '212.73.235.95', 3561613472, 3561614175, 'GB', 'United Kingdom'),
(153045, '212.73.235.96', '212.73.235.119', 3561614176, 3561614199, 'FR', 'France'),
(153046, '212.73.235.120', '212.73.235.255', 3561614200, 3561614335, 'GB', 'United Kingdom'),
(153047, '212.73.236.0', '212.73.236.255', 3561614336, 3561614591, 'FR', 'France'),
(153048, '212.73.237.0', '212.73.239.255', 3561614592, 3561615359, 'GB', 'United Kingdom'),
(153049, '212.73.240.0', '212.73.240.255', 3561615360, 3561615615, 'FR', 'France'),
(153050, '212.73.241.0', '212.73.241.255', 3561615616, 3561615871, 'IT', 'Italy'),
(153051, '212.73.242.0', '212.73.244.47', 3561615872, 3561616431, 'FR', 'France'),
(153052, '212.73.244.48', '212.73.244.111', 3561616432, 3561616495, 'GB', 'United Kingdom'),
(153053, '212.73.244.112', '212.73.244.159', 3561616496, 3561616543, 'FR', 'France'),
(153054, '212.73.244.160', '212.73.244.175', 3561616544, 3561616559, 'GB', 'United Kingdom'),
(153055, '212.73.244.176', '212.73.244.191', 3561616560, 3561616575, 'FR', 'France'),
(153056, '212.73.244.192', '212.73.245.255', 3561616576, 3561616895, 'GB', 'United Kingdom'),
(153057, '212.73.246.0', '212.73.246.63', 3561616896, 3561616959, 'FR', 'France'),
(153058, '212.73.246.64', '212.73.246.255', 3561616960, 3561617151, 'GB', 'United Kingdom'),
(153059, '212.73.247.0', '212.73.247.255', 3561617152, 3561617407, 'FR', 'France'),
(153060, '212.73.248.0', '212.73.248.255', 3561617408, 3561617663, 'FI', 'Finland'),
(153061, '212.73.249.0', '212.73.249.255', 3561617664, 3561617919, 'LU', 'Luxembourg'),
(153062, '212.73.250.0', '212.73.250.255', 3561617920, 3561618175, 'SE', 'Sweden'),
(153063, '212.73.251.0', '212.73.251.255', 3561618176, 3561618431, 'IE', 'Ireland'),
(153064, '212.73.252.0', '212.73.252.255', 3561618432, 3561618687, 'DK', 'Denmark'),
(153065, '212.73.253.0', '212.73.253.127', 3561618688, 3561618815, 'FR', 'France'),
(153066, '212.73.253.128', '212.73.253.255', 3561618816, 3561618943, 'PL', 'Poland'),
(153067, '212.73.254.0', '212.73.255.255', 3561618944, 3561619455, 'ES', 'Spain'),
(153068, '212.74.0.0', '212.74.82.127', 3561619456, 3561640575, 'GB', 'United Kingdom'),
(153069, '212.74.82.128', '212.74.83.127', 3561640576, 3561640831, 'FR', 'France'),
(153070, '212.74.83.128', '212.74.85.234', 3561640832, 3561641450, 'GB', 'United Kingdom'),
(153071, '212.74.85.235', '212.74.85.235', 3561641451, 3561641451, 'FR', 'France'),
(153072, '212.74.85.236', '212.74.127.255', 3561641452, 3561652223, 'GB', 'United Kingdom'),
(153073, '212.74.128.0', '212.74.191.255', 3561652224, 3561668607, 'CH', 'Switzerland'),
(153074, '212.74.192.0', '212.74.233.255', 3561668608, 3561679359, 'RU', 'Russian Federation'),
(153075, '212.74.234.0', '212.74.234.255', 3561679360, 3561679615, 'UA', 'Ukraine'),
(153076, '212.74.235.0', '212.74.255.255', 3561679616, 3561684991, 'RU', 'Russian Federation'),
(153077, '212.75.0.0', '212.75.31.255', 3561684992, 3561693183, 'BG', 'Bulgaria'),
(153078, '212.75.32.0', '212.75.37.23', 3561693184, 3561694487, 'DE', 'Germany'),
(153079, '212.75.37.24', '212.75.37.31', 3561694488, 3561694495, 'CH', 'Switzerland'),
(153080, '212.75.37.32', '212.75.63.255', 3561694496, 3561701375, 'DE', 'Germany'),
(153081, '212.75.64.0', '212.75.82.47', 3561701376, 3561706031, 'SE', 'Sweden'),
(153082, '212.75.82.48', '212.75.82.63', 3561706032, 3561706047, 'DK', 'Denmark'),
(153083, '212.75.82.64', '212.75.95.255', 3561706048, 3561709567, 'SE', 'Sweden'),
(153084, '212.75.96.0', '212.75.127.255', 3561709568, 3561717759, 'PL', 'Poland'),
(153085, '212.75.128.0', '212.75.159.255', 3561717760, 3561725951, 'RU', 'Russian Federation'),
(153086, '212.75.160.0', '212.75.191.255', 3561725952, 3561734143, 'ES', 'Spain'),
(153087, '212.75.192.0', '212.75.255.255', 3561734144, 3561750527, 'RU', 'Russian Federation'),
(153088, '212.76.0.0', '212.76.31.255', 3561750528, 3561758719, 'KZ', 'Kazakhstan'),
(153089, '212.76.32.0', '212.76.63.255', 3561758720, 3561766911, 'PL', 'Poland'),
(153090, '212.76.64.0', '212.76.95.255', 3561766912, 3561775103, 'SA', 'Saudi Arabia'),
(153091, '212.76.96.0', '212.76.127.255', 3561775104, 3561783295, 'IL', 'Israel'),
(153092, '212.76.128.0', '212.76.191.255', 3561783296, 3561799679, 'RU', 'Russian Federation'),
(153093, '212.76.192.0', '212.76.223.255', 3561799680, 3561807871, 'DE', 'Germany'),
(153094, '212.76.224.0', '212.76.255.255', 3561807872, 3561816063, 'BE', 'Belgium'),
(153095, '212.77.0.0', '212.77.30.255', 3561816064, 3561823999, 'VA', 'Holy See (Vatican City State)'),
(153096, '212.77.31.0', '212.77.31.255', 3561824000, 3561824255, 'IT', 'Italy'),
(153097, '212.77.32.0', '212.77.63.255', 3561824256, 3561832447, 'LI', 'Liechtenstein'),
(153098, '212.77.64.0', '212.77.95.255', 3561832448, 3561840639, 'IT', 'Italy'),
(153099, '212.77.96.0', '212.77.127.255', 3561840640, 3561848831, 'PL', 'Poland'),
(153100, '212.77.128.0', '212.77.159.255', 3561848832, 3561857023, 'RU', 'Russian Federation'),
(153101, '212.77.160.0', '212.77.191.255', 3561857024, 3561865215, 'DE', 'Germany'),
(153102, '212.77.192.0', '212.77.223.255', 3561865216, 3561873407, 'QA', 'Qatar'),
(153103, '212.77.224.0', '212.77.255.255', 3561873408, 3561881599, 'DE', 'Germany'),
(153104, '212.78.0.0', '212.78.31.255', 3561881600, 3561889791, 'IT', 'Italy'),
(153105, '212.78.32.0', '212.78.63.255', 3561889792, 3561897983, 'FR', 'France'),
(153106, '212.78.64.0', '212.78.95.255', 3561897984, 3561906175, 'GB', 'United Kingdom'),
(153107, '212.78.96.0', '212.78.102.47', 3561906176, 3561907759, 'DE', 'Germany'),
(153108, '212.78.102.48', '212.78.102.51', 3561907760, 3561907763, 'GB', 'United Kingdom'),
(153109, '212.78.102.52', '212.78.110.131', 3561907764, 3561909891, 'DE', 'Germany'),
(153110, '212.78.110.132', '212.78.110.135', 3561909892, 3561909895, 'GB', 'United Kingdom'),
(153111, '212.78.110.136', '212.78.111.191', 3561909896, 3561910207, 'DE', 'Germany'),
(153112, '212.78.111.192', '212.78.111.207', 3561910208, 3561910223, 'GB', 'United Kingdom'),
(153113, '212.78.111.208', '212.78.127.255', 3561910224, 3561914367, 'DE', 'Germany'),
(153114, '212.78.128.0', '212.78.159.255', 3561914368, 3561922559, 'ES', 'Spain'),
(153115, '212.78.160.0', '212.78.160.255', 3561922560, 3561922815, 'NL', 'Netherlands'),
(153116, '212.78.161.0', '212.78.161.31', 3561922816, 3561922847, 'GB', 'United Kingdom'),
(153117, '212.78.161.32', '212.78.161.47', 3561922848, 3561922863, 'NL', 'Netherlands'),
(153118, '212.78.161.48', '212.78.161.55', 3561922864, 3561922871, 'FR', 'France'),
(153119, '212.78.161.56', '212.78.161.111', 3561922872, 3561922927, 'GB', 'United Kingdom'),
(153120, '212.78.161.112', '212.78.161.159', 3561922928, 3561922975, 'NL', 'Netherlands'),
(153121, '212.78.161.160', '212.78.161.175', 3561922976, 3561922991, 'GB', 'United Kingdom'),
(153122, '212.78.161.176', '212.78.161.199', 3561922992, 3561923015, 'NL', 'Netherlands'),
(153123, '212.78.161.200', '212.78.161.247', 3561923016, 3561923063, 'GB', 'United Kingdom'),
(153124, '212.78.161.248', '212.78.161.251', 3561923064, 3561923067, 'NL', 'Netherlands'),
(153125, '212.78.161.252', '212.78.161.255', 3561923068, 3561923071, 'GB', 'United Kingdom'),
(153126, '212.78.162.0', '212.78.162.255', 3561923072, 3561923327, 'NL', 'Netherlands'),
(153127, '212.78.163.0', '212.78.163.75', 3561923328, 3561923403, 'GB', 'United Kingdom'),
(153128, '212.78.163.76', '212.78.163.79', 3561923404, 3561923407, 'NL', 'Netherlands'),
(153129, '212.78.163.80', '212.78.163.95', 3561923408, 3561923423, 'GB', 'United Kingdom'),
(153130, '212.78.163.96', '212.78.163.223', 3561923424, 3561923551, 'NL', 'Netherlands'),
(153131, '212.78.163.224', '212.78.164.63', 3561923552, 3561923647, 'GB', 'United Kingdom'),
(153132, '212.78.164.64', '212.78.164.95', 3561923648, 3561923679, 'NL', 'Netherlands'),
(153133, '212.78.164.96', '212.78.164.255', 3561923680, 3561923839, 'GB', 'United Kingdom'),
(153134, '212.78.165.0', '212.78.166.255', 3561923840, 3561924351, 'NL', 'Netherlands'),
(153135, '212.78.167.0', '212.78.167.255', 3561924352, 3561924607, 'GB', 'United Kingdom'),
(153136, '212.78.168.0', '212.78.168.31', 3561924608, 3561924639, 'NL', 'Netherlands'),
(153137, '212.78.168.32', '212.78.168.47', 3561924640, 3561924655, 'GB', 'United Kingdom'),
(153138, '212.78.168.48', '212.78.168.55', 3561924656, 3561924663, 'NL', 'Netherlands'),
(153139, '212.78.168.56', '212.78.168.71', 3561924664, 3561924679, 'GB', 'United Kingdom'),
(153140, '212.78.168.72', '212.78.168.79', 3561924680, 3561924687, 'NL', 'Netherlands'),
(153141, '212.78.168.80', '212.78.168.95', 3561924688, 3561924703, 'GB', 'United Kingdom'),
(153142, '212.78.168.96', '212.78.168.111', 3561924704, 3561924719, 'NL', 'Netherlands'),
(153143, '212.78.168.112', '212.78.169.31', 3561924720, 3561924895, 'GB', 'United Kingdom'),
(153144, '212.78.169.32', '212.78.169.39', 3561924896, 3561924903, 'FR', 'France'),
(153145, '212.78.169.40', '212.78.169.47', 3561924904, 3561924911, 'GB', 'United Kingdom'),
(153146, '212.78.169.48', '212.78.169.63', 3561924912, 3561924927, 'NL', 'Netherlands'),
(153147, '212.78.169.64', '212.78.169.79', 3561924928, 3561924943, 'GB', 'United Kingdom'),
(153148, '212.78.169.80', '212.78.169.175', 3561924944, 3561925039, 'NL', 'Netherlands'),
(153149, '212.78.169.176', '212.78.169.223', 3561925040, 3561925087, 'GB', 'United Kingdom'),
(153150, '212.78.169.224', '212.78.170.71', 3561925088, 3561925191, 'NL', 'Netherlands'),
(153151, '212.78.170.72', '212.78.170.255', 3561925192, 3561925375, 'GB', 'United Kingdom'),
(153152, '212.78.171.0', '212.78.171.255', 3561925376, 3561925631, 'NL', 'Netherlands'),
(153153, '212.78.172.0', '212.78.177.31', 3561925632, 3561926943, 'GB', 'United Kingdom'),
(153154, '212.78.177.32', '212.78.177.63', 3561926944, 3561926975, 'NL', 'Netherlands'),
(153155, '212.78.177.64', '212.78.177.71', 3561926976, 3561926983, 'GB', 'United Kingdom'),
(153156, '212.78.177.72', '212.78.177.87', 3561926984, 3561926999, 'NL', 'Netherlands'),
(153157, '212.78.177.88', '212.78.177.103', 3561927000, 3561927015, 'GB', 'United Kingdom'),
(153158, '212.78.177.104', '212.78.177.127', 3561927016, 3561927039, 'NL', 'Netherlands'),
(153159, '212.78.177.128', '212.78.177.191', 3561927040, 3561927103, 'GB', 'United Kingdom'),
(153160, '212.78.177.192', '212.78.177.255', 3561927104, 3561927167, 'NL', 'Netherlands'),
(153161, '212.78.178.0', '212.78.179.127', 3561927168, 3561927551, 'GB', 'United Kingdom'),
(153162, '212.78.179.128', '212.78.179.223', 3561927552, 3561927647, 'NL', 'Netherlands'),
(153163, '212.78.179.224', '212.78.179.239', 3561927648, 3561927663, 'GB', 'United Kingdom'),
(153164, '212.78.179.240', '212.78.187.255', 3561927664, 3561929727, 'NL', 'Netherlands'),
(153165, '212.78.188.0', '212.78.188.15', 3561929728, 3561929743, 'GB', 'United Kingdom'),
(153166, '212.78.188.16', '212.78.188.95', 3561929744, 3561929823, 'NL', 'Netherlands'),
(153167, '212.78.188.96', '212.78.188.127', 3561929824, 3561929855, 'CH', 'Switzerland'),
(153168, '212.78.188.128', '212.78.188.151', 3561929856, 3561929879, 'GB', 'United Kingdom'),
(153169, '212.78.188.152', '212.78.188.191', 3561929880, 3561929919, 'NL', 'Netherlands'),
(153170, '212.78.188.192', '212.78.188.239', 3561929920, 3561929967, 'GB', 'United Kingdom'),
(153171, '212.78.188.240', '212.78.189.255', 3561929968, 3561930239, 'NL', 'Netherlands'),
(153172, '212.78.190.0', '212.78.190.255', 3561930240, 3561930495, 'GB', 'United Kingdom'),
(153173, '212.78.191.0', '212.78.191.15', 3561930496, 3561930511, 'NL', 'Netherlands'),
(153174, '212.78.191.16', '212.78.191.23', 3561930512, 3561930519, 'BE', 'Belgium'),
(153175, '212.78.191.24', '212.78.191.31', 3561930520, 3561930527, 'FR', 'France'),
(153176, '212.78.191.32', '212.78.191.39', 3561930528, 3561930535, 'CH', 'Switzerland'),
(153177, '212.78.191.40', '212.78.191.47', 3561930536, 3561930543, 'GB', 'United Kingdom'),
(153178, '212.78.191.48', '212.78.191.55', 3561930544, 3561930551, 'FR', 'France'),
(153179, '212.78.191.56', '212.78.191.79', 3561930552, 3561930575, 'NL', 'Netherlands'),
(153180, '212.78.191.80', '212.78.191.87', 3561930576, 3561930583, 'DE', 'Germany'),
(153181, '212.78.191.88', '212.78.191.103', 3561930584, 3561930599, 'NL', 'Netherlands'),
(153182, '212.78.191.104', '212.78.191.119', 3561930600, 3561930615, 'GB', 'United Kingdom'),
(153183, '212.78.191.120', '212.78.191.175', 3561930616, 3561930671, 'NL', 'Netherlands'),
(153184, '212.78.191.176', '212.78.191.183', 3561930672, 3561930679, 'GB', 'United Kingdom'),
(153185, '212.78.191.184', '212.78.191.223', 3561930680, 3561930719, 'NL', 'Netherlands'),
(153186, '212.78.191.224', '212.78.191.231', 3561930720, 3561930727, 'GB', 'United Kingdom'),
(153187, '212.78.191.232', '212.78.223.255', 3561930728, 3561938943, 'NL', 'Netherlands'),
(153188, '212.78.224.0', '212.78.227.120', 3561938944, 3561939832, 'IE', 'Ireland'),
(153189, '212.78.227.121', '212.78.227.123', 3561939833, 3561939835, 'GB', 'United Kingdom'),
(153190, '212.78.227.124', '212.78.231.255', 3561939836, 3561940991, 'IE', 'Ireland'),
(153191, '212.78.232.0', '212.78.235.255', 3561940992, 3561942015, 'GB', 'United Kingdom'),
(153192, '212.78.236.0', '212.78.239.63', 3561942016, 3561942847, 'IE', 'Ireland'),
(153193, '212.78.239.64', '212.78.239.127', 3561942848, 3561942911, 'GB', 'United Kingdom'),
(153194, '212.78.239.128', '212.78.255.255', 3561942912, 3561947135, 'IE', 'Ireland'),
(153195, '212.79.0.0', '212.79.63.255', 3561947136, 3561963519, 'DE', 'Germany'),
(153196, '212.79.64.0', '212.79.95.255', 3561963520, 3561971711, 'BE', 'Belgium'),
(153197, '212.79.96.0', '212.79.111.255', 3561971712, 3561975807, 'CZ', 'Czech Republic'),
(153198, '212.79.112.0', '212.79.127.255', 3561975808, 3561979903, 'UA', 'Ukraine'),
(153199, '212.79.128.0', '212.79.159.255', 3561979904, 3561988095, 'ES', 'Spain'),
(153200, '212.79.160.0', '212.79.223.255', 3561988096, 3562004479, 'DE', 'Germany'),
(153201, '212.79.224.0', '212.79.247.127', 3562004480, 3562010495, 'NL', 'Netherlands'),
(153202, '212.79.247.128', '212.79.247.255', 3562010496, 3562010623, 'DE', 'Germany'),
(153203, '212.79.248.0', '212.79.255.255', 3562010624, 3562012671, 'NL', 'Netherlands'),
(153204, '212.80.0.0', '212.80.28.255', 3562012672, 3562020095, 'IR', 'Iran, Islamic Republic of'),
(153205, '212.80.29.0', '212.80.29.255', 3562020096, 3562020351, 'AE', 'United Arab Emirates'),
(153206, '212.80.30.0', '212.80.31.255', 3562020352, 3562020863, 'IR', 'Iran, Islamic Republic of'),
(153207, '212.80.32.0', '212.80.63.255', 3562020864, 3562029055, 'UA', 'Ukraine'),
(153208, '212.80.64.0', '212.80.95.255', 3562029056, 3562037247, 'CZ', 'Czech Republic'),
(153209, '212.80.96.0', '212.80.127.255', 3562037248, 3562045439, 'CH', 'Switzerland'),
(153210, '212.80.128.0', '212.80.172.7', 3562045440, 3562056711, 'ES', 'Spain'),
(153211, '212.80.172.8', '212.80.172.15', 3562056712, 3562056719, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(153212, '212.80.172.16', '212.80.172.207', 3562056720, 3562056911, 'ES', 'Spain'),
(153213, '212.80.172.208', '212.80.172.223', 3562056912, 3562056927, 'FR', 'France'),
(153214, '212.80.172.224', '212.80.173.255', 3562056928, 3562057215, 'ES', 'Spain'),
(153215, '212.80.174.0', '212.80.174.31', 3562057216, 3562057247, 'NL', 'Netherlands'),
(153216, '212.80.174.32', '212.80.174.47', 3562057248, 3562057263, 'BE', 'Belgium'),
(153217, '212.80.174.48', '212.80.174.255', 3562057264, 3562057471, 'ES', 'Spain'),
(153218, '212.80.175.0', '212.80.175.255', 3562057472, 3562057727, 'DE', 'Germany'),
(153219, '212.80.176.0', '212.80.176.247', 3562057728, 3562057975, 'ES', 'Spain'),
(153220, '212.80.176.248', '212.80.176.255', 3562057976, 3562057983, 'FR', 'France'),
(153221, '212.80.177.0', '212.80.178.63', 3562057984, 3562058303, 'ES', 'Spain'),
(153222, '212.80.178.64', '212.80.178.127', 3562058304, 3562058367, 'IT', 'Italy'),
(153223, '212.80.178.128', '212.80.182.63', 3562058368, 3562059327, 'ES', 'Spain'),
(153224, '212.80.182.64', '212.80.182.71', 3562059328, 3562059335, 'CH', 'Switzerland'),
(153225, '212.80.182.72', '212.80.182.127', 3562059336, 3562059391, 'ES', 'Spain'),
(153226, '212.80.182.128', '212.80.183.255', 3562059392, 3562059775, 'CH', 'Switzerland'),
(153227, '212.80.184.0', '212.80.191.255', 3562059776, 3562061823, 'ES', 'Spain'),
(153228, '212.80.192.0', '212.80.223.255', 3562061824, 3562070015, 'IT', 'Italy'),
(153229, '212.80.224.0', '212.80.255.255', 3562070016, 3562078207, 'DE', 'Germany'),
(153230, '212.81.0.0', '212.81.31.255', 3562078208, 3562086399, 'SK', 'Slovakia'),
(153231, '212.81.32.0', '212.81.35.255', 3562086400, 3562087423, 'SE', 'Sweden'),
(153232, '212.81.36.0', '212.81.39.255', 3562087424, 3562088447, 'GB', 'United Kingdom'),
(153233, '212.81.40.0', '212.81.63.255', 3562088448, 3562094591, 'SE', 'Sweden'),
(153234, '212.81.64.0', '212.81.67.247', 3562094592, 3562095607, 'GB', 'United Kingdom'),
(153235, '212.81.67.248', '212.81.67.255', 3562095608, 3562095615, 'FR', 'France'),
(153236, '212.81.68.0', '212.81.69.191', 3562095616, 3562096063, 'GB', 'United Kingdom'),
(153237, '212.81.69.192', '212.81.69.255', 3562096064, 3562096127, 'FR', 'France'),
(153238, '212.81.70.0', '212.81.78.191', 3562096128, 3562098367, 'GB', 'United Kingdom'),
(153239, '212.81.78.192', '212.81.78.199', 3562098368, 3562098375, 'FR', 'France'),
(153240, '212.81.78.200', '212.81.90.223', 3562098376, 3562101471, 'GB', 'United Kingdom'),
(153241, '212.81.90.224', '212.81.90.231', 3562101472, 3562101479, 'FR', 'France'),
(153242, '212.81.90.232', '212.81.91.127', 3562101480, 3562101631, 'GB', 'United Kingdom'),
(153243, '212.81.91.128', '212.81.91.135', 3562101632, 3562101639, 'FR', 'France'),
(153244, '212.81.91.136', '212.81.104.159', 3562101640, 3562104991, 'GB', 'United Kingdom'),
(153245, '212.81.104.160', '212.81.104.167', 3562104992, 3562104999, 'FR', 'France'),
(153246, '212.81.104.168', '212.81.106.255', 3562105000, 3562105599, 'GB', 'United Kingdom'),
(153247, '212.81.107.0', '212.81.107.255', 3562105600, 3562105855, 'FR', 'France'),
(153248, '212.81.108.0', '212.81.111.255', 3562105856, 3562106879, 'GB', 'United Kingdom'),
(153249, '212.81.112.0', '212.81.112.31', 3562106880, 3562106911, 'FR', 'France'),
(153250, '212.81.112.32', '212.81.112.63', 3562106912, 3562106943, 'GB', 'United Kingdom'),
(153251, '212.81.112.64', '212.81.112.79', 3562106944, 3562106959, 'FR', 'France'),
(153252, '212.81.112.80', '212.81.112.191', 3562106960, 3562107071, 'GB', 'United Kingdom'),
(153253, '212.81.112.192', '212.81.112.223', 3562107072, 3562107103, 'FR', 'France'),
(153254, '212.81.112.224', '212.81.113.95', 3562107104, 3562107231, 'GB', 'United Kingdom'),
(153255, '212.81.113.96', '212.81.113.127', 3562107232, 3562107263, 'FR', 'France'),
(153256, '212.81.113.128', '212.81.114.127', 3562107264, 3562107519, 'GB', 'United Kingdom'),
(153257, '212.81.114.128', '212.81.114.191', 3562107520, 3562107583, 'FR', 'France'),
(153258, '212.81.114.192', '212.81.120.31', 3562107584, 3562108959, 'GB', 'United Kingdom'),
(153259, '212.81.120.32', '212.81.120.47', 3562108960, 3562108975, 'FR', 'France'),
(153260, '212.81.120.48', '212.81.122.127', 3562108976, 3562109567, 'GB', 'United Kingdom'),
(153261, '212.81.122.128', '212.81.122.143', 3562109568, 3562109583, 'FR', 'France'),
(153262, '212.81.122.144', '212.81.125.191', 3562109584, 3562110399, 'GB', 'United Kingdom'),
(153263, '212.81.125.192', '212.81.125.223', 3562110400, 3562110431, 'FR', 'France'),
(153264, '212.81.125.224', '212.81.125.255', 3562110432, 3562110463, 'GB', 'United Kingdom'),
(153265, '212.81.126.0', '212.81.126.255', 3562110464, 3562110719, 'FR', 'France'),
(153266, '212.81.127.0', '212.81.127.255', 3562110720, 3562110975, 'GB', 'United Kingdom'),
(153267, '212.81.128.0', '212.81.255.255', 3562110976, 3562143743, 'ES', 'Spain'),
(153268, '212.82.0.0', '212.82.31.255', 3562143744, 3562151935, 'GB', 'United Kingdom'),
(153269, '212.82.32.0', '212.82.63.255', 3562151936, 3562160127, 'DE', 'Germany'),
(153270, '212.82.64.0', '212.82.67.255', 3562160128, 3562161151, 'GB', 'United Kingdom'),
(153271, '212.82.68.0', '212.82.68.31', 3562161152, 3562161183, 'NL', 'Netherlands'),
(153272, '212.82.68.32', '212.82.99.255', 3562161184, 3562169343, 'GB', 'United Kingdom'),
(153273, '212.82.100.0', '212.82.103.255', 3562169344, 3562170367, 'CH', 'Switzerland'),
(153274, '212.82.104.0', '212.82.111.255', 3562170368, 3562172415, 'IE', 'Ireland'),
(153275, '212.82.112.0', '212.82.117.255', 3562172416, 3562173951, 'CH', 'Switzerland'),
(153276, '212.82.118.0', '212.82.119.255', 3562173952, 3562174463, 'GB', 'United Kingdom'),
(153277, '212.82.120.0', '212.82.127.255', 3562174464, 3562176511, 'CH', 'Switzerland'),
(153278, '212.82.128.0', '212.82.159.255', 3562176512, 3562184703, 'FR', 'France'),
(153279, '212.82.160.0', '212.82.191.255', 3562184704, 3562192895, 'DE', 'Germany'),
(153280, '212.82.192.0', '212.82.223.255', 3562192896, 3562201087, 'UA', 'Ukraine'),
(153281, '212.82.224.0', '212.82.255.255', 3562201088, 3562209279, 'DE', 'Germany'),
(153282, '212.83.0.0', '212.83.31.255', 3562209280, 3562217471, 'RU', 'Russian Federation'),
(153283, '212.83.32.0', '212.83.61.255', 3562217472, 3562225151, 'DE', 'Germany'),
(153284, '212.83.62.0', '212.83.62.7', 3562225152, 3562225159, 'CH', 'Switzerland'),
(153285, '212.83.62.8', '212.83.63.255', 3562225160, 3562225663, 'DE', 'Germany'),
(153286, '212.83.64.0', '212.83.95.255', 3562225664, 3562233855, 'NL', 'Netherlands'),
(153287, '212.83.96.0', '212.83.127.255', 3562233856, 3562242047, 'FI', 'Finland'),
(153288, '212.83.128.0', '212.83.191.255', 3562242048, 3562258431, 'FR', 'France'),
(153289, '212.83.192.0', '212.83.213.167', 3562258432, 3562263975, 'NL', 'Netherlands'),
(153290, '212.83.213.168', '212.83.213.175', 3562263976, 3562263983, 'BE', 'Belgium'),
(153291, '212.83.213.176', '212.84.31.255', 3562263984, 3562283007, 'NL', 'Netherlands'),
(153292, '212.84.32.0', '212.84.39.255', 3562283008, 3562285055, 'IT', 'Italy'),
(153293, '212.84.40.0', '212.84.47.255', 3562285056, 3562287103, 'IE', 'Ireland'),
(153294, '212.84.48.0', '212.84.55.255', 3562287104, 3562289151, 'IT', 'Italy'),
(153295, '212.84.56.0', '212.84.63.255', 3562289152, 3562291199, 'FR', 'France'),
(153296, '212.84.64.0', '212.84.127.255', 3562291200, 3562307583, 'GB', 'United Kingdom'),
(153297, '212.84.128.0', '212.84.159.255', 3562307584, 3562315775, 'NL', 'Netherlands'),
(153298, '212.84.160.0', '212.84.181.79', 3562315776, 3562321231, 'GB', 'United Kingdom'),
(153299, '212.84.181.80', '212.84.181.87', 3562321232, 3562321239, 'BE', 'Belgium'),
(153300, '212.84.181.88', '212.84.187.55', 3562321240, 3562322743, 'GB', 'United Kingdom'),
(153301, '212.84.187.56', '212.84.187.63', 3562322744, 3562322751, 'GG', 'Guernsey'),
(153302, '212.84.187.64', '212.84.188.191', 3562322752, 3562323135, 'GB', 'United Kingdom'),
(153303, '212.84.188.192', '212.84.188.199', 3562323136, 3562323143, 'BE', 'Belgium'),
(153304, '212.84.188.200', '212.84.191.239', 3562323144, 3562323951, 'GB', 'United Kingdom'),
(153305, '212.84.191.240', '212.84.191.247', 3562323952, 3562323959, 'GG', 'Guernsey'),
(153306, '212.84.191.248', '212.84.191.255', 3562323960, 3562323967, 'GB', 'United Kingdom'),
(153307, '212.84.192.0', '212.84.255.255', 3562323968, 3562340351, 'DE', 'Germany'),
(153308, '212.85.0.0', '212.85.31.255', 3562340352, 3562348543, 'GB', 'United Kingdom'),
(153309, '212.85.32.0', '212.85.63.255', 3562348544, 3562356735, 'ES', 'Spain'),
(153310, '212.85.64.0', '212.85.95.255', 3562356736, 3562364927, 'SE', 'Sweden'),
(153311, '212.85.96.0', '212.85.127.255', 3562364928, 3562373119, 'PL', 'Poland'),
(153312, '212.85.128.0', '212.85.159.255', 3562373120, 3562381311, 'FR', 'France'),
(153313, '212.85.160.0', '212.85.191.255', 3562381312, 3562389503, 'SI', 'Slovenia'),
(153314, '212.85.192.0', '212.85.215.255', 3562389504, 3562395647, 'GH', 'Ghana'),
(153315, '212.85.216.0', '212.85.216.255', 3562395648, 3562395903, 'BR', 'Brazil'),
(153316, '212.85.217.0', '212.85.217.255', 3562395904, 3562396159, 'TZ', 'Tanzania, United Republic of'),
(153317, '212.85.218.0', '212.85.220.255', 3562396160, 3562396927, 'SZ', 'Swaziland'),
(153318, '212.85.221.0', '212.85.221.255', 3562396928, 3562397183, 'GH', 'Ghana'),
(153319, '212.85.222.0', '212.85.223.255', 3562397184, 3562397695, 'SZ', 'Swaziland'),
(153320, '212.85.224.0', '212.85.255.255', 3562397696, 3562405887, 'GB', 'United Kingdom'),
(153321, '212.86.0.0', '212.86.31.255', 3562405888, 3562414079, 'FI', 'Finland'),
(153322, '212.86.32.0', '212.86.63.255', 3562414080, 3562422271, 'DE', 'Germany'),
(153323, '212.86.64.0', '212.86.95.255', 3562422272, 3562430463, 'IR', 'Iran, Islamic Republic of'),
(153324, '212.86.96.0', '212.86.127.255', 3562430464, 3562438655, 'UA', 'Ukraine'),
(153325, '212.86.128.0', '212.86.223.255', 3562438656, 3562463231, 'DE', 'Germany'),
(153326, '212.86.224.0', '212.86.255.255', 3562463232, 3562471423, 'UA', 'Ukraine'),
(153327, '212.87.0.0', '212.87.31.255', 3562471424, 3562479615, 'PL', 'Poland'),
(153328, '212.87.32.0', '212.87.63.255', 3562479616, 3562487807, 'DE', 'Germany'),
(153329, '212.87.64.0', '212.87.95.255', 3562487808, 3562495999, 'GB', 'United Kingdom'),
(153330, '212.87.96.0', '212.87.127.255', 3562496000, 3562504191, 'BE', 'Belgium'),
(153331, '212.87.128.0', '212.87.159.255', 3562504192, 3562512383, 'DE', 'Germany'),
(153332, '212.87.160.0', '212.87.191.255', 3562512384, 3562520575, 'UA', 'Ukraine'),
(153333, '212.87.192.0', '212.87.223.255', 3562520576, 3562528767, 'ES', 'Spain'),
(153334, '212.87.224.0', '212.87.255.255', 3562528768, 3562536959, 'PL', 'Poland'),
(153335, '212.88.0.0', '212.88.31.255', 3562536960, 3562545151, 'AT', 'Austria'),
(153336, '212.88.32.0', '212.88.63.255', 3562545152, 3562553343, 'GB', 'United Kingdom'),
(153337, '212.88.64.0', '212.88.95.255', 3562553344, 3562561535, 'DK', 'Denmark'),
(153338, '212.88.96.0', '212.88.127.255', 3562561536, 3562569727, 'UG', 'Uganda'),
(153339, '212.88.128.0', '212.88.137.191', 3562569728, 3562572223, 'DE', 'Germany'),
(153340, '212.88.137.192', '212.88.137.207', 3562572224, 3562572239, 'US', 'United States'),
(153341, '212.88.137.208', '212.88.138.255', 3562572240, 3562572543, 'DE', 'Germany'),
(153342, '212.88.139.0', '212.88.139.255', 3562572544, 3562572799, 'LU', 'Luxembourg'),
(153343, '212.88.140.0', '212.88.159.255', 3562572800, 3562577919, 'DE', 'Germany'),
(153344, '212.88.160.0', '212.88.191.255', 3562577920, 3562586111, 'AT', 'Austria'),
(153345, '212.88.192.0', '212.88.223.255', 3562586112, 3562594303, 'DE', 'Germany'),
(153346, '212.88.224.0', '212.88.228.95', 3562594304, 3562595423, 'BE', 'Belgium'),
(153347, '212.88.228.96', '212.88.228.127', 3562595424, 3562595455, 'LU', 'Luxembourg'),
(153348, '212.88.228.128', '212.88.239.63', 3562595456, 3562598207, 'BE', 'Belgium'),
(153349, '212.88.239.64', '212.88.239.79', 3562598208, 3562598223, 'LU', 'Luxembourg'),
(153350, '212.88.239.80', '212.88.255.255', 3562598224, 3562602495, 'BE', 'Belgium'),
(153351, '212.89.0.0', '212.89.31.255', 3562602496, 3562610687, 'ES', 'Spain'),
(153352, '212.89.32.0', '212.89.63.255', 3562610688, 3562618879, 'NO', 'Norway'),
(153353, '212.89.64.0', '212.89.95.255', 3562618880, 3562627071, 'GB', 'United Kingdom'),
(153354, '212.89.96.0', '212.89.159.255', 3562627072, 3562643455, 'DE', 'Germany'),
(153355, '212.89.160.0', '212.89.191.255', 3562643456, 3562651647, 'AT', 'Austria'),
(153356, '212.89.192.0', '212.89.223.255', 3562651648, 3562659839, 'DE', 'Germany'),
(153357, '212.89.224.0', '212.89.255.255', 3562659840, 3562668031, 'SK', 'Slovakia'),
(153358, '212.90.0.0', '212.90.31.255', 3562668032, 3562676223, 'IT', 'Italy'),
(153359, '212.90.32.0', '212.90.63.255', 3562676224, 3562684415, 'UA', 'Ukraine'),
(153360, '212.90.64.0', '212.90.95.255', 3562684416, 3562692607, 'FI', 'Finland'),
(153361, '212.90.96.0', '212.90.127.255', 3562692608, 3562700799, 'UA', 'Ukraine'),
(153362, '212.90.128.0', '212.90.159.255', 3562700800, 3562708991, 'DE', 'Germany'),
(153363, '212.90.160.0', '212.90.191.255', 3562708992, 3562717183, 'UA', 'Ukraine'),
(153364, '212.90.192.0', '212.90.223.255', 3562717184, 3562725375, 'CH', 'Switzerland'),
(153365, '212.90.224.0', '212.90.255.255', 3562725376, 3562733567, 'CZ', 'Czech Republic'),
(153366, '212.91.0.0', '212.91.31.255', 3562733568, 3562741759, 'PL', 'Poland'),
(153367, '212.91.32.0', '212.91.95.255', 3562741760, 3562758143, 'IT', 'Italy'),
(153368, '212.91.96.0', '212.91.127.255', 3562758144, 3562766335, 'HR', 'Croatia'),
(153369, '212.91.128.0', '212.91.159.255', 3562766336, 3562774527, 'SE', 'Sweden'),
(153370, '212.91.160.0', '212.91.191.255', 3562774528, 3562782719, 'BG', 'Bulgaria'),
(153371, '212.91.192.0', '212.91.223.255', 3562782720, 3562790911, 'RU', 'Russian Federation'),
(153372, '212.91.224.0', '212.91.251.127', 3562790912, 3562797951, 'DE', 'Germany'),
(153373, '212.91.251.128', '212.91.251.143', 3562797952, 3562797967, 'CH', 'Switzerland'),
(153374, '212.91.251.144', '212.91.255.255', 3562797968, 3562799103, 'DE', 'Germany'),
(153375, '212.92.0.0', '212.92.17.15', 3562799104, 3562803471, 'HU', 'Hungary'),
(153376, '212.92.17.16', '212.92.17.23', 3562803472, 3562803479, 'UA', 'Ukraine'),
(153377, '212.92.17.24', '212.92.31.255', 3562803480, 3562807295, 'HU', 'Hungary'),
(153378, '212.92.32.0', '212.92.63.255', 3562807296, 3562815487, 'ES', 'Spain'),
(153379, '212.92.64.0', '212.92.95.255', 3562815488, 3562823679, 'NL', 'Netherlands'),
(153380, '212.92.96.0', '212.92.191.255', 3562823680, 3562848255, 'RU', 'Russian Federation'),
(153381, '212.92.192.0', '212.92.223.255', 3562848256, 3562856447, 'HR', 'Croatia'),
(153382, '212.92.224.0', '212.92.255.255', 3562856448, 3562864639, 'UA', 'Ukraine'),
(153383, '212.93.0.0', '212.93.31.255', 3562864640, 3562872831, 'DE', 'Germany'),
(153384, '212.93.32.0', '212.93.63.255', 3562872832, 3562881023, 'DK', 'Denmark'),
(153385, '212.93.64.0', '212.93.95.255', 3562881024, 3562889215, 'GB', 'United Kingdom'),
(153386, '212.93.96.0', '212.93.127.255', 3562889216, 3562897407, 'LV', 'Latvia'),
(153387, '212.93.128.0', '212.93.159.255', 3562897408, 3562905599, 'RO', 'Romania'),
(153388, '212.93.160.0', '212.93.223.255', 3562905600, 3562921983, 'SA', 'Saudi Arabia'),
(153389, '212.93.224.0', '212.93.255.255', 3562921984, 3562930175, 'SI', 'Slovenia'),
(153390, '212.94.0.0', '212.94.31.255', 3562930176, 3562938367, 'RU', 'Russian Federation'),
(153391, '212.94.32.0', '212.94.63.255', 3562938368, 3562946559, 'CH', 'Switzerland'),
(153392, '212.94.64.0', '212.94.95.255', 3562946560, 3562954751, 'FI', 'Finland'),
(153393, '212.94.96.0', '212.94.127.255', 3562954752, 3562962943, 'RU', 'Russian Federation'),
(153394, '212.94.128.0', '212.94.159.255', 3562962944, 3562971135, 'IT', 'Italy'),
(153395, '212.94.160.0', '212.94.223.255', 3562971136, 3562987519, 'FR', 'France'),
(153396, '212.94.224.0', '212.94.255.255', 3562987520, 3562995711, 'DE', 'Germany'),
(153397, '212.95.0.0', '212.95.31.255', 3562995712, 3563003903, 'AT', 'Austria'),
(153398, '212.95.32.0', '212.95.36.255', 3563003904, 3563005183, 'DE', 'Germany'),
(153399, '212.95.37.0', '212.95.37.127', 3563005184, 3563005311, 'KZ', 'Kazakhstan'),
(153400, '212.95.37.128', '212.95.37.255', 3563005312, 3563005439, 'DE', 'Germany'),
(153401, '212.95.38.0', '212.95.38.255', 3563005440, 3563005695, 'TR', 'Turkey'),
(153402, '212.95.39.0', '212.95.39.255', 3563005696, 3563005951, 'DE', 'Germany'),
(153403, '212.95.40.0', '212.95.41.255', 3563005952, 3563006463, 'TR', 'Turkey'),
(153404, '212.95.42.0', '212.95.42.127', 3563006464, 3563006591, 'DE', 'Germany'),
(153405, '212.95.42.128', '212.95.42.255', 3563006592, 3563006719, 'CA', 'Canada'),
(153406, '212.95.43.0', '212.95.45.255', 3563006720, 3563007487, 'DE', 'Germany'),
(153407, '212.95.46.0', '212.95.47.255', 3563007488, 3563007999, 'TR', 'Turkey'),
(153408, '212.95.48.0', '212.95.48.255', 3563008000, 3563008255, 'DE', 'Germany'),
(153409, '212.95.49.0', '212.95.49.255', 3563008256, 3563008511, 'PL', 'Poland'),
(153410, '212.95.50.0', '212.95.52.255', 3563008512, 3563009279, 'DE', 'Germany'),
(153411, '212.95.53.0', '212.95.53.255', 3563009280, 3563009535, 'LT', 'Lithuania'),
(153412, '212.95.54.0', '212.95.54.255', 3563009536, 3563009791, 'DE', 'Germany'),
(153413, '212.95.55.0', '212.95.55.255', 3563009792, 3563010047, 'HK', 'Hong Kong'),
(153414, '212.95.56.0', '212.95.58.255', 3563010048, 3563010815, 'DE', 'Germany'),
(153415, '212.95.59.0', '212.95.59.255', 3563010816, 3563011071, 'PL', 'Poland'),
(153416, '212.95.60.0', '212.95.61.255', 3563011072, 3563011583, 'DE', 'Germany'),
(153417, '212.95.62.0', '212.95.62.255', 3563011584, 3563011839, 'ES', 'Spain'),
(153418, '212.95.63.0', '212.95.63.255', 3563011840, 3563012095, 'DE', 'Germany'),
(153419, '212.95.64.0', '212.95.95.255', 3563012096, 3563020287, 'FR', 'France'),
(153420, '212.95.96.0', '212.95.127.255', 3563020288, 3563028479, 'DE', 'Germany'),
(153421, '212.95.128.0', '212.95.159.255', 3563028480, 3563036671, 'IR', 'Iran, Islamic Republic of'),
(153422, '212.95.160.0', '212.95.191.255', 3563036672, 3563044863, 'BG', 'Bulgaria'),
(153423, '212.95.192.0', '212.95.223.255', 3563044864, 3563053055, 'ES', 'Spain'),
(153424, '212.95.224.0', '212.95.255.255', 3563053056, 3563061247, 'GB', 'United Kingdom'),
(153425, '212.96.0.0', '212.96.15.255', 3563061248, 3563065343, 'GH', 'Ghana'),
(153426, '212.96.16.0', '212.96.23.255', 3563065344, 3563067391, 'NG', 'Nigeria'),
(153427, '212.96.24.0', '212.96.27.255', 3563067392, 3563068415, 'MZ', 'Mozambique'),
(153428, '212.96.28.0', '212.96.31.255', 3563068416, 3563069439, 'NG', 'Nigeria'),
(153429, '212.96.32.0', '212.96.63.255', 3563069440, 3563077631, 'HU', 'Hungary'),
(153430, '212.96.64.0', '212.96.95.255', 3563077632, 3563085823, 'KZ', 'Kazakhstan'),
(153431, '212.96.96.0', '212.96.127.255', 3563085824, 3563094015, 'RU', 'Russian Federation'),
(153432, '212.96.128.0', '212.96.136.191', 3563094016, 3563096255, 'DE', 'Germany'),
(153433, '212.96.136.192', '212.96.136.223', 3563096256, 3563096287, 'GB', 'United Kingdom'),
(153434, '212.96.136.224', '212.96.139.255', 3563096288, 3563097087, 'DE', 'Germany'),
(153435, '212.96.140.0', '212.96.140.31', 3563097088, 3563097119, 'GB', 'United Kingdom'),
(153436, '212.96.140.32', '212.96.140.63', 3563097120, 3563097151, 'DE', 'Germany'),
(153437, '212.96.140.64', '212.96.140.95', 3563097152, 3563097183, 'GB', 'United Kingdom'),
(153438, '212.96.140.96', '212.96.140.127', 3563097184, 3563097215, 'DE', 'Germany'),
(153439, '212.96.140.128', '212.96.140.159', 3563097216, 3563097247, 'GB', 'United Kingdom'),
(153440, '212.96.140.160', '212.96.140.223', 3563097248, 3563097311, 'DE', 'Germany'),
(153441, '212.96.140.224', '212.96.140.255', 3563097312, 3563097343, 'GB', 'United Kingdom'),
(153442, '212.96.141.0', '212.96.159.255', 3563097344, 3563102207, 'DE', 'Germany'),
(153443, '212.96.160.0', '212.96.191.255', 3563102208, 3563110399, 'CZ', 'Czech Republic'),
(153444, '212.96.192.0', '212.96.223.255', 3563110400, 3563118591, 'RU', 'Russian Federation'),
(153445, '212.96.224.0', '212.96.255.255', 3563118592, 3563126783, 'PL', 'Poland'),
(153446, '212.97.0.0', '212.97.31.255', 3563126784, 3563134975, 'KG', 'Kyrgyzstan'),
(153447, '212.97.32.0', '212.97.63.255', 3563134976, 3563143167, 'IT', 'Italy'),
(153448, '212.97.64.0', '212.97.95.255', 3563143168, 3563151359, 'GB', 'United Kingdom'),
(153449, '212.97.96.0', '212.97.127.255', 3563151360, 3563159551, 'DE', 'Germany'),
(153450, '212.97.128.0', '212.97.143.255', 3563159552, 3563163647, 'DK', 'Denmark'),
(153451, '212.97.144.0', '212.97.145.255', 3563163648, 3563164159, 'SE', 'Sweden'),
(153452, '212.97.146.0', '212.97.159.255', 3563164160, 3563167743, 'DK', 'Denmark'),
(153453, '212.97.160.0', '212.97.191.255', 3563167744, 3563175935, 'ES', 'Spain'),
(153454, '212.97.192.0', '212.97.255.255', 3563175936, 3563192319, 'DK', 'Denmark'),
(153455, '212.98.0.0', '212.98.31.255', 3563192320, 3563200511, 'TR', 'Turkey'),
(153456, '212.98.32.0', '212.98.63.255', 3563200512, 3563208703, 'CH', 'Switzerland'),
(153457, '212.98.64.0', '212.98.71.255', 3563208704, 3563210751, 'DK', 'Denmark'),
(153458, '212.98.72.0', '212.98.72.255', 3563210752, 3563211007, 'DE', 'Germany'),
(153459, '212.98.73.0', '212.98.108.155', 3563211008, 3563220123, 'DK', 'Denmark'),
(153460, '212.98.108.156', '212.98.108.159', 3563220124, 3563220127, 'A2', 'Satellite Provider'),
(153461, '212.98.108.160', '212.98.127.255', 3563220128, 3563225087, 'DK', 'Denmark'),
(153462, '212.98.128.0', '212.98.159.255', 3563225088, 3563233279, 'LB', 'Lebanon'),
(153463, '212.98.160.0', '212.98.191.255', 3563233280, 3563241471, 'BY', 'Belarus'),
(153464, '212.98.192.0', '212.98.255.255', 3563241472, 3563257855, 'TR', 'Turkey'),
(153465, '212.99.0.0', '212.99.127.255', 3563257856, 3563290623, 'FR', 'France'),
(153466, '212.99.128.0', '212.99.223.255', 3563290624, 3563315199, 'DE', 'Germany'),
(153467, '212.99.224.0', '212.99.255.255', 3563315200, 3563323391, 'DK', 'Denmark'),
(153468, '212.100.0.0', '212.100.24.255', 3563323392, 3563329791, 'GB', 'United Kingdom'),
(153469, '212.100.25.0', '212.100.31.255', 3563329792, 3563331583, 'EU', 'Europe'),
(153470, '212.100.32.0', '212.100.63.255', 3563331584, 3563339775, 'DE', 'Germany'),
(153471, '212.100.64.0', '212.100.95.255', 3563339776, 3563347967, 'NG', 'Nigeria'),
(153472, '212.100.96.0', '212.100.127.255', 3563347968, 3563356159, 'GB', 'United Kingdom'),
(153473, '212.100.128.0', '212.100.159.255', 3563356160, 3563364351, 'RU', 'Russian Federation'),
(153474, '212.100.160.0', '212.100.191.255', 3563364352, 3563372543, 'BE', 'Belgium'),
(153475, '212.100.192.0', '212.100.223.255', 3563372544, 3563380735, 'SA', 'Saudi Arabia'),
(153476, '212.100.224.0', '212.100.231.55', 3563380736, 3563382583, 'GB', 'United Kingdom'),
(153477, '212.100.231.56', '212.100.231.59', 3563382584, 3563382587, 'AT', 'Austria'),
(153478, '212.100.231.60', '212.100.231.61', 3563382588, 3563382589, 'DE', 'Germany'),
(153479, '212.100.231.62', '212.100.231.239', 3563382590, 3563382767, 'GB', 'United Kingdom'),
(153480, '212.100.231.240', '212.100.231.247', 3563382768, 3563382775, 'IE', 'Ireland'),
(153481, '212.100.231.248', '212.100.255.255', 3563382776, 3563388927, 'GB', 'United Kingdom'),
(153482, '212.101.0.0', '212.101.31.255', 3563388928, 3563397119, 'CH', 'Switzerland'),
(153483, '212.101.32.0', '212.101.63.255', 3563397120, 3563405311, 'DE', 'Germany'),
(153484, '212.101.64.0', '212.101.73.255', 3563405312, 3563407871, 'ES', 'Spain'),
(153485, '212.101.74.0', '212.101.74.31', 3563407872, 3563407903, 'US', 'United States'),
(153486, '212.101.74.32', '212.101.95.255', 3563407904, 3563413503, 'ES', 'Spain'),
(153487, '212.101.96.0', '212.101.127.255', 3563413504, 3563421695, 'TR', 'Turkey'),
(153488, '212.101.128.0', '212.101.191.255', 3563421696, 3563438079, 'SI', 'Slovenia'),
(153489, '212.101.192.0', '212.101.223.255', 3563438080, 3563446271, 'DE', 'Germany'),
(153490, '212.101.224.0', '212.101.255.255', 3563446272, 3563454463, 'LB', 'Lebanon'),
(153491, '212.102.0.0', '212.102.31.255', 3563454464, 3563462655, 'SA', 'Saudi Arabia'),
(153492, '212.102.32.0', '212.102.95.255', 3563462656, 3563479039, 'IT', 'Italy'),
(153493, '212.102.96.0', '212.102.127.255', 3563479040, 3563487231, 'GB', 'United Kingdom'),
(153494, '212.102.128.0', '212.102.159.255', 3563487232, 3563495423, 'RS', 'Serbia'),
(153495, '212.102.160.0', '212.102.191.255', 3563495424, 3563503615, 'DE', 'Germany'),
(153496, '212.102.192.0', '212.102.223.255', 3563503616, 3563511807, 'GB', 'United Kingdom'),
(153497, '212.102.224.0', '212.102.255.255', 3563511808, 3563519999, 'DE', 'Germany'),
(153498, '212.103.0.0', '212.103.31.255', 3563520000, 3563528191, 'FR', 'France'),
(153499, '212.103.32.0', '212.103.63.255', 3563528192, 3563536383, 'DE', 'Germany'),
(153500, '212.103.64.0', '212.103.74.143', 3563536384, 3563539087, 'CH', 'Switzerland'),
(153501, '212.103.74.144', '212.103.74.151', 3563539088, 3563539095, 'US', 'United States'),
(153502, '212.103.74.152', '212.103.74.175', 3563539096, 3563539119, 'CH', 'Switzerland'),
(153503, '212.103.74.176', '212.103.74.191', 3563539120, 3563539135, 'DE', 'Germany'),
(153504, '212.103.74.192', '212.103.95.255', 3563539136, 3563544575, 'CH', 'Switzerland'),
(153505, '212.103.96.0', '212.103.127.255', 3563544576, 3563552767, 'RU', 'Russian Federation'),
(153506, '212.103.128.0', '212.103.159.255', 3563552768, 3563560959, 'SI', 'Slovenia'),
(153507, '212.103.160.0', '212.103.191.255', 3563560960, 3563569151, 'EG', 'Egypt'),
(153508, '212.103.192.0', '212.103.223.255', 3563569152, 3563577343, 'IT', 'Italy'),
(153509, '212.103.224.0', '212.103.255.255', 3563577344, 3563585535, 'GB', 'United Kingdom'),
(153510, '212.104.0.0', '212.104.63.255', 3563585536, 3563601919, 'IT', 'Italy'),
(153511, '212.104.64.0', '212.104.95.255', 3563601920, 3563610111, 'RU', 'Russian Federation'),
(153512, '212.104.96.0', '212.104.127.255', 3563610112, 3563618303, 'BG', 'Bulgaria'),
(153513, '212.104.128.0', '212.104.159.255', 3563618304, 3563626495, 'GB', 'United Kingdom'),
(153514, '212.104.160.0', '212.104.191.255', 3563626496, 3563634687, 'ES', 'Spain'),
(153515, '212.104.192.0', '212.104.255.255', 3563634688, 3563651071, 'NL', 'Netherlands'),
(153516, '212.105.0.0', '212.105.127.255', 3563651072, 3563683839, 'SE', 'Sweden'),
(153517, '212.105.128.0', '212.105.159.255', 3563683840, 3563692031, 'BE', 'Belgium'),
(153518, '212.105.160.0', '212.105.191.255', 3563692032, 3563700223, 'GB', 'United Kingdom'),
(153519, '212.105.192.0', '212.105.223.255', 3563700224, 3563708415, 'DE', 'Germany'),
(153520, '212.105.224.0', '212.105.255.255', 3563708416, 3563716607, 'HU', 'Hungary'),
(153521, '212.106.0.0', '212.106.31.255', 3563716608, 3563724799, 'PL', 'Poland'),
(153522, '212.106.32.0', '212.106.63.255', 3563724800, 3563732991, 'RU', 'Russian Federation'),
(153523, '212.106.64.0', '212.106.95.255', 3563732992, 3563741183, 'PS', 'Palestinian Territory, Occupied'),
(153524, '212.106.96.0', '212.106.127.255', 3563741184, 3563749375, 'GB', 'United Kingdom'),
(153525, '212.106.128.0', '212.106.191.255', 3563749376, 3563765759, 'PL', 'Poland'),
(153526, '212.106.192.0', '212.106.255.255', 3563765760, 3563782143, 'ES', 'Spain'),
(153527, '212.107.0.0', '212.107.31.255', 3563782144, 3563790335, 'GR', 'Greece'),
(153528, '212.107.32.0', '212.107.63.255', 3563790336, 3563798527, 'EE', 'Estonia'),
(153529, '212.107.64.0', '212.107.71.127', 3563798528, 3563800447, 'FR', 'France'),
(153530, '212.107.71.128', '212.107.71.143', 3563800448, 3563800463, 'GB', 'United Kingdom'),
(153531, '212.107.71.144', '212.107.71.175', 3563800464, 3563800495, 'FR', 'France'),
(153532, '212.107.71.176', '212.107.71.191', 3563800496, 3563800511, 'GB', 'United Kingdom'),
(153533, '212.107.71.192', '212.107.72.31', 3563800512, 3563800607, 'FR', 'France'),
(153534, '212.107.72.32', '212.107.72.47', 3563800608, 3563800623, 'GB', 'United Kingdom'),
(153535, '212.107.72.48', '212.107.72.191', 3563800624, 3563800767, 'FR', 'France'),
(153536, '212.107.72.192', '212.107.72.207', 3563800768, 3563800783, 'GB', 'United Kingdom'),
(153537, '212.107.72.208', '212.107.73.79', 3563800784, 3563800911, 'FR', 'France'),
(153538, '212.107.73.80', '212.107.73.95', 3563800912, 3563800927, 'GB', 'United Kingdom'),
(153539, '212.107.73.96', '212.107.73.111', 3563800928, 3563800943, 'FR', 'France'),
(153540, '212.107.73.112', '212.107.73.159', 3563800944, 3563800991, 'GB', 'United Kingdom'),
(153541, '212.107.73.160', '212.107.74.47', 3563800992, 3563801135, 'FR', 'France'),
(153542, '212.107.74.48', '212.107.74.63', 3563801136, 3563801151, 'DE', 'Germany'),
(153543, '212.107.74.64', '212.107.74.95', 3563801152, 3563801183, 'FR', 'France'),
(153544, '212.107.74.96', '212.107.74.111', 3563801184, 3563801199, 'DE', 'Germany'),
(153545, '212.107.74.112', '212.107.74.191', 3563801200, 3563801279, 'FR', 'France'),
(153546, '212.107.74.192', '212.107.74.207', 3563801280, 3563801295, 'NL', 'Netherlands'),
(153547, '212.107.74.208', '212.107.75.31', 3563801296, 3563801375, 'FR', 'France'),
(153548, '212.107.75.32', '212.107.75.47', 3563801376, 3563801391, 'GB', 'United Kingdom'),
(153549, '212.107.75.48', '212.107.75.63', 3563801392, 3563801407, 'IT', 'Italy'),
(153550, '212.107.75.64', '212.107.75.79', 3563801408, 3563801423, 'DE', 'Germany'),
(153551, '212.107.75.80', '212.107.75.111', 3563801424, 3563801455, 'FR', 'France'),
(153552, '212.107.75.112', '212.107.75.175', 3563801456, 3563801519, 'GB', 'United Kingdom'),
(153553, '212.107.75.176', '212.107.75.207', 3563801520, 3563801551, 'FR', 'France'),
(153554, '212.107.75.208', '212.107.75.223', 3563801552, 3563801567, 'GB', 'United Kingdom'),
(153555, '212.107.75.224', '212.107.75.255', 3563801568, 3563801599, 'FR', 'France'),
(153556, '212.107.76.0', '212.107.76.31', 3563801600, 3563801631, 'GB', 'United Kingdom'),
(153557, '212.107.76.32', '212.107.76.47', 3563801632, 3563801647, 'FR', 'France'),
(153558, '212.107.76.48', '212.107.76.143', 3563801648, 3563801743, 'GB', 'United Kingdom'),
(153559, '212.107.76.144', '212.107.76.175', 3563801744, 3563801775, 'FR', 'France'),
(153560, '212.107.76.176', '212.107.76.191', 3563801776, 3563801791, 'BE', 'Belgium'),
(153561, '212.107.76.192', '212.107.76.239', 3563801792, 3563801839, 'FR', 'France'),
(153562, '212.107.76.240', '212.107.76.255', 3563801840, 3563801855, 'GB', 'United Kingdom'),
(153563, '212.107.77.0', '212.107.77.15', 3563801856, 3563801871, 'FR', 'France'),
(153564, '212.107.77.16', '212.107.77.31', 3563801872, 3563801887, 'GB', 'United Kingdom'),
(153565, '212.107.77.32', '212.107.77.66', 3563801888, 3563801922, 'FR', 'France'),
(153566, '212.107.77.67', '212.107.77.79', 3563801923, 3563801935, 'GB', 'United Kingdom'),
(153567, '212.107.77.80', '212.107.77.159', 3563801936, 3563802015, 'FR', 'France'),
(153568, '212.107.77.160', '212.107.77.175', 3563802016, 3563802031, 'BE', 'Belgium'),
(153569, '212.107.77.176', '212.107.77.191', 3563802032, 3563802047, 'FR', 'France'),
(153570, '212.107.77.192', '212.107.77.207', 3563802048, 3563802063, 'IT', 'Italy'),
(153571, '212.107.77.208', '212.107.78.95', 3563802064, 3563802207, 'FR', 'France'),
(153572, '212.107.78.96', '212.107.78.111', 3563802208, 3563802223, 'GB', 'United Kingdom'),
(153573, '212.107.78.112', '212.107.78.143', 3563802224, 3563802255, 'FR', 'France'),
(153574, '212.107.78.144', '212.107.78.159', 3563802256, 3563802271, 'GB', 'United Kingdom'),
(153575, '212.107.78.160', '212.107.78.191', 3563802272, 3563802303, 'FR', 'France'),
(153576, '212.107.78.192', '212.107.78.207', 3563802304, 3563802319, 'IT', 'Italy'),
(153577, '212.107.78.208', '212.107.79.79', 3563802320, 3563802447, 'FR', 'France'),
(153578, '212.107.79.80', '212.107.79.95', 3563802448, 3563802463, 'GB', 'United Kingdom'),
(153579, '212.107.79.96', '212.107.79.255', 3563802464, 3563802623, 'FR', 'France'),
(153580, '212.107.80.0', '212.107.80.31', 3563802624, 3563802655, 'GB', 'United Kingdom'),
(153581, '212.107.80.32', '212.107.80.111', 3563802656, 3563802735, 'FR', 'France'),
(153582, '212.107.80.112', '212.107.80.127', 3563802736, 3563802751, 'US', 'United States'),
(153583, '212.107.80.128', '212.107.80.159', 3563802752, 3563802783, 'GB', 'United Kingdom'),
(153584, '212.107.80.160', '212.107.81.127', 3563802784, 3563803007, 'FR', 'France'),
(153585, '212.107.81.128', '212.107.81.143', 3563803008, 3563803023, 'GB', 'United Kingdom'),
(153586, '212.107.81.144', '212.107.81.159', 3563803024, 3563803039, 'FR', 'France'),
(153587, '212.107.81.160', '212.107.81.175', 3563803040, 3563803055, 'GB', 'United Kingdom'),
(153588, '212.107.81.176', '212.107.81.239', 3563803056, 3563803119, 'FR', 'France'),
(153589, '212.107.81.240', '212.107.81.255', 3563803120, 3563803135, 'NL', 'Netherlands'),
(153590, '212.107.82.0', '212.107.82.15', 3563803136, 3563803151, 'FR', 'France'),
(153591, '212.107.82.16', '212.107.82.31', 3563803152, 3563803167, 'GB', 'United Kingdom'),
(153592, '212.107.82.32', '212.107.82.47', 3563803168, 3563803183, 'FR', 'France'),
(153593, '212.107.82.48', '212.107.82.79', 3563803184, 3563803215, 'GB', 'United Kingdom'),
(153594, '212.107.82.80', '212.107.82.111', 3563803216, 3563803247, 'FR', 'France'),
(153595, '212.107.82.112', '212.107.82.127', 3563803248, 3563803263, 'GB', 'United Kingdom'),
(153596, '212.107.82.128', '212.107.82.143', 3563803264, 3563803279, 'FR', 'France'),
(153597, '212.107.82.144', '212.107.82.159', 3563803280, 3563803295, 'GB', 'United Kingdom'),
(153598, '212.107.82.160', '212.107.82.175', 3563803296, 3563803311, 'FR', 'France'),
(153599, '212.107.82.176', '212.107.82.191', 3563803312, 3563803327, 'GB', 'United Kingdom'),
(153600, '212.107.82.192', '212.107.82.223', 3563803328, 3563803359, 'FR', 'France'),
(153601, '212.107.82.224', '212.107.83.31', 3563803360, 3563803423, 'GB', 'United Kingdom'),
(153602, '212.107.83.32', '212.107.83.47', 3563803424, 3563803439, 'FR', 'France'),
(153603, '212.107.83.48', '212.107.83.63', 3563803440, 3563803455, 'DE', 'Germany'),
(153604, '212.107.83.64', '212.107.83.95', 3563803456, 3563803487, 'GB', 'United Kingdom'),
(153605, '212.107.83.96', '212.107.83.111', 3563803488, 3563803503, 'US', 'United States'),
(153606, '212.107.83.112', '212.107.83.127', 3563803504, 3563803519, 'GB', 'United Kingdom'),
(153607, '212.107.83.128', '212.107.83.239', 3563803520, 3563803631, 'FR', 'France'),
(153608, '212.107.83.240', '212.107.83.255', 3563803632, 3563803647, 'GB', 'United Kingdom'),
(153609, '212.107.84.0', '212.107.85.63', 3563803648, 3563803967, 'FR', 'France'),
(153610, '212.107.85.64', '212.107.85.79', 3563803968, 3563803983, 'BE', 'Belgium'),
(153611, '212.107.85.80', '212.107.88.23', 3563803984, 3563804695, 'FR', 'France'),
(153612, '212.107.88.24', '212.107.88.31', 3563804696, 3563804703, 'GB', 'United Kingdom'),
(153613, '212.107.88.32', '212.107.88.47', 3563804704, 3563804719, 'FR', 'France'),
(153614, '212.107.88.48', '212.107.88.55', 3563804720, 3563804727, 'GB', 'United Kingdom'),
(153615, '212.107.88.56', '212.107.95.79', 3563804728, 3563806543, 'FR', 'France'),
(153616, '212.107.95.80', '212.107.95.95', 3563806544, 3563806559, 'DE', 'Germany'),
(153617, '212.107.95.96', '212.107.95.223', 3563806560, 3563806687, 'FR', 'France'),
(153618, '212.107.95.224', '212.107.95.239', 3563806688, 3563806703, 'DE', 'Germany'),
(153619, '212.107.95.240', '212.107.95.255', 3563806704, 3563806719, 'FR', 'France'),
(153620, '212.107.96.0', '212.107.127.255', 3563806720, 3563814911, 'SA', 'Saudi Arabia'),
(153621, '212.107.128.0', '212.107.159.255', 3563814912, 3563823103, 'SE', 'Sweden'),
(153622, '212.107.160.0', '212.107.191.255', 3563823104, 3563831295, 'DE', 'Germany'),
(153623, '212.107.192.0', '212.107.255.255', 3563831296, 3563847679, 'RU', 'Russian Federation'),
(153624, '212.108.0.0', '212.108.2.39', 3563847680, 3563848231, 'NL', 'Netherlands'),
(153625, '212.108.2.40', '212.108.2.47', 3563848232, 3563848239, 'GB', 'United Kingdom'),
(153626, '212.108.2.48', '212.108.2.127', 3563848240, 3563848319, 'NL', 'Netherlands'),
(153627, '212.108.2.128', '212.108.2.135', 3563848320, 3563848327, 'ES', 'Spain'),
(153628, '212.108.2.136', '212.108.2.191', 3563848328, 3563848383, 'NL', 'Netherlands'),
(153629, '212.108.2.192', '212.108.2.255', 3563848384, 3563848447, 'ES', 'Spain'),
(153630, '212.108.3.0', '212.108.3.127', 3563848448, 3563848575, 'NL', 'Netherlands'),
(153631, '212.108.3.128', '212.108.3.135', 3563848576, 3563848583, 'ES', 'Spain'),
(153632, '212.108.3.136', '212.108.3.223', 3563848584, 3563848671, 'NL', 'Netherlands'),
(153633, '212.108.3.224', '212.108.3.255', 3563848672, 3563848703, 'ES', 'Spain'),
(153634, '212.108.4.0', '212.108.5.19', 3563848704, 3563848979, 'NL', 'Netherlands'),
(153635, '212.108.5.20', '212.108.5.23', 3563848980, 3563848983, 'ES', 'Spain'),
(153636, '212.108.5.24', '212.108.5.27', 3563848984, 3563848987, 'NL', 'Netherlands'),
(153637, '212.108.5.28', '212.108.5.31', 3563848988, 3563848991, 'ES', 'Spain'),
(153638, '212.108.5.32', '212.108.5.191', 3563848992, 3563849151, 'NL', 'Netherlands'),
(153639, '212.108.5.192', '212.108.5.223', 3563849152, 3563849183, 'ES', 'Spain'),
(153640, '212.108.5.224', '212.108.5.231', 3563849184, 3563849191, 'NL', 'Netherlands'),
(153641, '212.108.5.232', '212.108.5.255', 3563849192, 3563849215, 'ES', 'Spain'),
(153642, '212.108.6.0', '212.108.7.255', 3563849216, 3563849727, 'GB', 'United Kingdom'),
(153643, '212.108.8.0', '212.108.9.15', 3563849728, 3563849999, 'NL', 'Netherlands'),
(153644, '212.108.9.16', '212.108.9.23', 3563850000, 3563850007, 'FI', 'Finland'),
(153645, '212.108.9.24', '212.108.9.63', 3563850008, 3563850047, 'NL', 'Netherlands'),
(153646, '212.108.9.64', '212.108.9.127', 3563850048, 3563850111, 'ES', 'Spain'),
(153647, '212.108.9.128', '212.108.9.255', 3563850112, 3563850239, 'NL', 'Netherlands'),
(153648, '212.108.10.0', '212.108.11.255', 3563850240, 3563850751, 'GB', 'United Kingdom'),
(153649, '212.108.12.0', '212.108.16.255', 3563850752, 3563852031, 'NL', 'Netherlands'),
(153650, '212.108.17.0', '212.108.17.39', 3563852032, 3563852071, 'ES', 'Spain'),
(153651, '212.108.17.40', '212.108.17.47', 3563852072, 3563852079, 'NL', 'Netherlands'),
(153652, '212.108.17.48', '212.108.17.63', 3563852080, 3563852095, 'ES', 'Spain'),
(153653, '212.108.17.64', '212.108.17.159', 3563852096, 3563852191, 'NL', 'Netherlands'),
(153654, '212.108.17.160', '212.108.17.175', 3563852192, 3563852207, 'GB', 'United Kingdom'),
(153655, '212.108.17.176', '212.108.17.184', 3563852208, 3563852216, 'NL', 'Netherlands'),
(153656, '212.108.17.185', '212.108.17.191', 3563852217, 3563852223, 'ES', 'Spain'),
(153657, '212.108.17.192', '212.108.18.255', 3563852224, 3563852543, 'NL', 'Netherlands'),
(153658, '212.108.19.0', '212.108.19.255', 3563852544, 3563852799, 'ES', 'Spain'),
(153659, '212.108.20.0', '212.108.22.7', 3563852800, 3563853319, 'NL', 'Netherlands'),
(153660, '212.108.22.8', '212.108.22.15', 3563853320, 3563853327, 'ES', 'Spain'),
(153661, '212.108.22.16', '212.108.22.255', 3563853328, 3563853567, 'NL', 'Netherlands'),
(153662, '212.108.23.0', '212.108.24.255', 3563853568, 3563854079, 'ES', 'Spain'),
(153663, '212.108.25.0', '212.108.25.15', 3563854080, 3563854095, 'NL', 'Netherlands'),
(153664, '212.108.25.16', '212.108.25.23', 3563854096, 3563854103, 'ES', 'Spain'),
(153665, '212.108.25.24', '212.108.25.111', 3563854104, 3563854191, 'NL', 'Netherlands'),
(153666, '212.108.25.112', '212.108.25.159', 3563854192, 3563854239, 'ES', 'Spain'),
(153667, '212.108.25.160', '212.108.25.179', 3563854240, 3563854259, 'NL', 'Netherlands'),
(153668, '212.108.25.180', '212.108.26.255', 3563854260, 3563854591, 'ES', 'Spain'),
(153669, '212.108.27.0', '212.108.27.255', 3563854592, 3563854847, 'NL', 'Netherlands'),
(153670, '212.108.28.0', '212.108.29.255', 3563854848, 3563855359, 'ES', 'Spain'),
(153671, '212.108.30.0', '212.108.30.127', 3563855360, 3563855487, 'NL', 'Netherlands'),
(153672, '212.108.30.128', '212.108.30.191', 3563855488, 3563855551, 'ES', 'Spain'),
(153673, '212.108.30.192', '212.108.30.223', 3563855552, 3563855583, 'NL', 'Netherlands'),
(153674, '212.108.30.224', '212.108.30.255', 3563855584, 3563855615, 'ES', 'Spain'),
(153675, '212.108.31.0', '212.108.31.255', 3563855616, 3563855871, 'US', 'United States'),
(153676, '212.108.32.0', '212.108.63.255', 3563855872, 3563864063, 'AT', 'Austria'),
(153677, '212.108.64.0', '212.108.95.255', 3563864064, 3563872255, 'GB', 'United Kingdom'),
(153678, '212.108.96.0', '212.108.127.255', 3563872256, 3563880447, 'RU', 'Russian Federation'),
(153679, '212.108.128.0', '212.108.128.255', 3563880448, 3563880703, 'TR', 'Turkey'),
(153680, '212.108.129.0', '212.108.144.107', 3563880704, 3563884651, 'CY', 'Cyprus'),
(153681, '212.108.144.108', '212.108.144.108', 3563884652, 3563884652, 'TR', 'Turkey'),
(153682, '212.108.144.109', '212.108.159.255', 3563884653, 3563888639, 'CY', 'Cyprus'),
(153683, '212.108.160.0', '212.108.191.255', 3563888640, 3563896831, 'DE', 'Germany'),
(153684, '212.108.192.0', '212.108.203.255', 3563896832, 3563899903, 'HU', 'Hungary'),
(153685, '212.108.204.0', '212.108.204.255', 3563899904, 3563900159, 'SK', 'Slovakia'),
(153686, '212.108.205.0', '212.108.205.255', 3563900160, 3563900415, 'HU', 'Hungary'),
(153687, '212.108.206.0', '212.108.206.255', 3563900416, 3563900671, 'SK', 'Slovakia'),
(153688, '212.108.207.0', '212.108.255.255', 3563900672, 3563913215, 'HU', 'Hungary'),
(153689, '212.109.0.0', '212.109.31.255', 3563913216, 3563921407, 'RU', 'Russian Federation'),
(153690, '212.109.32.0', '212.109.63.255', 3563921408, 3563929599, 'UA', 'Ukraine'),
(153691, '212.109.64.0', '212.109.95.255', 3563929600, 3563937791, 'CH', 'Switzerland'),
(153692, '212.109.96.0', '212.109.127.255', 3563937792, 3563945983, 'TR', 'Turkey'),
(153693, '212.109.128.0', '212.109.167.255', 3563945984, 3563956223, 'PL', 'Poland'),
(153694, '212.109.168.0', '212.109.175.255', 3563956224, 3563958271, 'RU', 'Russian Federation'),
(153695, '212.109.176.0', '212.109.191.255', 3563958272, 3563962367, 'CZ', 'Czech Republic'),
(153696, '212.109.192.0', '212.109.223.255', 3563962368, 3563970559, 'RU', 'Russian Federation'),
(153697, '212.109.224.0', '212.109.255.255', 3563970560, 3563978751, 'TR', 'Turkey'),
(153698, '212.110.0.0', '212.110.63.255', 3563978752, 3563995135, 'IT', 'Italy'),
(153699, '212.110.64.0', '212.110.95.255', 3563995136, 3564003327, 'MK', 'Macedonia'),
(153700, '212.110.96.0', '212.110.114.255', 3564003328, 3564008191, 'DE', 'Germany'),
(153701, '212.110.115.0', '212.110.115.31', 3564008192, 3564008223, 'CH', 'Switzerland'),
(153702, '212.110.115.32', '212.110.127.255', 3564008224, 3564011519, 'DE', 'Germany'),
(153703, '212.110.128.0', '212.110.159.255', 3564011520, 3564019711, 'UA', 'Ukraine'),
(153704, '212.110.160.0', '212.110.165.255', 3564019712, 3564021247, 'GB', 'United Kingdom'),
(153705, '212.110.166.0', '212.110.166.31', 3564021248, 3564021279, 'IT', 'Italy'),
(153706, '212.110.166.32', '212.110.177.31', 3564021280, 3564024095, 'GB', 'United Kingdom'),
(153707, '212.110.177.32', '212.110.177.39', 3564024096, 3564024103, 'IT', 'Italy'),
(153708, '212.110.177.40', '212.110.177.71', 3564024104, 3564024135, 'GB', 'United Kingdom'),
(153709, '212.110.177.72', '212.110.177.79', 3564024136, 3564024143, 'IT', 'Italy'),
(153710, '212.110.177.80', '212.110.191.255', 3564024144, 3564027903, 'GB', 'United Kingdom'),
(153711, '212.110.192.0', '212.110.224.255', 3564027904, 3564036351, 'DE', 'Germany'),
(153712, '212.110.225.0', '212.110.236.255', 3564036352, 3564039423, 'A2', 'Satellite Provider'),
(153713, '212.110.237.0', '212.110.237.255', 3564039424, 3564039679, 'DE', 'Germany'),
(153714, '212.110.238.0', '212.110.243.255', 3564039680, 3564041215, 'A2', 'Satellite Provider'),
(153715, '212.110.244.0', '212.110.245.255', 3564041216, 3564041727, 'RU', 'Russian Federation'),
(153716, '212.110.246.0', '212.110.251.255', 3564041728, 3564043263, 'A2', 'Satellite Provider'),
(153717, '212.110.252.0', '212.110.252.255', 3564043264, 3564043519, 'DE', 'Germany'),
(153718, '212.110.253.0', '212.110.255.255', 3564043520, 3564044287, 'A2', 'Satellite Provider'),
(153719, '212.111.0.0', '212.111.31.255', 3564044288, 3564052479, 'CZ', 'Czech Republic'),
(153720, '212.111.32.0', '212.111.63.255', 3564052480, 3564060671, 'GB', 'United Kingdom'),
(153721, '212.111.64.0', '212.111.95.255', 3564060672, 3564068863, 'RU', 'Russian Federation'),
(153722, '212.111.96.0', '212.111.127.255', 3564068864, 3564077055, 'ES', 'Spain'),
(153723, '212.111.128.0', '212.111.191.255', 3564077056, 3564093439, 'GB', 'United Kingdom'),
(153724, '212.111.192.0', '212.111.223.255', 3564093440, 3564101631, 'UA', 'Ukraine'),
(153725, '212.111.224.0', '212.111.232.63', 3564101632, 3564103743, 'DE', 'Germany'),
(153726, '212.111.232.64', '212.111.232.79', 3564103744, 3564103759, 'A2', 'Satellite Provider'),
(153727, '212.111.232.80', '212.111.255.255', 3564103760, 3564109823, 'DE', 'Germany'),
(153728, '212.112.0.0', '212.112.63.255', 3564109824, 3564126207, 'SE', 'Sweden'),
(153729, '212.112.64.0', '212.112.72.31', 3564126208, 3564128287, 'IT', 'Italy'),
(153730, '212.112.72.32', '212.112.72.47', 3564128288, 3564128303, 'BG', 'Bulgaria'),
(153731, '212.112.72.48', '212.112.77.191', 3564128304, 3564129727, 'IT', 'Italy'),
(153732, '212.112.77.192', '212.112.77.207', 3564129728, 3564129743, 'PH', 'Philippines'),
(153733, '212.112.77.208', '212.112.81.95', 3564129744, 3564130655, 'IT', 'Italy'),
(153734, '212.112.81.96', '212.112.81.111', 3564130656, 3564130671, 'IN', 'India'),
(153735, '212.112.81.112', '212.112.95.255', 3564130672, 3564134399, 'IT', 'Italy'),
(153736, '212.112.96.0', '212.112.127.255', 3564134400, 3564142591, 'KG', 'Kyrgyzstan'),
(153737, '212.112.128.0', '212.112.141.255', 3564142592, 3564146175, 'DE', 'Germany'),
(153738, '212.112.142.0', '212.112.159.255', 3564146176, 3564150783, 'DK', 'Denmark'),
(153739, '212.112.160.0', '212.112.167.31', 3564150784, 3564152607, 'SE', 'Sweden'),
(153740, '212.112.167.32', '212.112.167.63', 3564152608, 3564152639, 'NO', 'Norway'),
(153741, '212.112.167.64', '212.112.168.255', 3564152640, 3564153087, 'SE', 'Sweden'),
(153742, '212.112.169.0', '212.112.169.63', 3564153088, 3564153151, 'NO', 'Norway'),
(153743, '212.112.169.64', '212.112.169.111', 3564153152, 3564153199, 'SE', 'Sweden'),
(153744, '212.112.169.112', '212.112.169.119', 3564153200, 3564153207, 'NL', 'Netherlands'),
(153745, '212.112.169.120', '212.112.179.47', 3564153208, 3564155695, 'SE', 'Sweden'),
(153746, '212.112.179.48', '212.112.179.63', 3564155696, 3564155711, 'FI', 'Finland'),
(153747, '212.112.179.64', '212.112.181.255', 3564155712, 3564156415, 'SE', 'Sweden'),
(153748, '212.112.182.0', '212.112.182.3', 3564156416, 3564156419, 'NO', 'Norway'),
(153749, '212.112.182.4', '212.112.183.247', 3564156420, 3564156919, 'SE', 'Sweden'),
(153750, '212.112.183.248', '212.112.183.255', 3564156920, 3564156927, 'FI', 'Finland'),
(153751, '212.112.184.0', '212.112.185.23', 3564156928, 3564157207, 'SE', 'Sweden'),
(153752, '212.112.185.24', '212.112.185.31', 3564157208, 3564157215, 'NO', 'Norway'),
(153753, '212.112.185.32', '212.112.191.111', 3564157216, 3564158831, 'SE', 'Sweden'),
(153754, '212.112.191.112', '212.112.191.119', 3564158832, 3564158839, 'FI', 'Finland'),
(153755, '212.112.191.120', '212.112.191.231', 3564158840, 3564158951, 'SE', 'Sweden'),
(153756, '212.112.191.232', '212.112.191.235', 3564158952, 3564158955, 'NO', 'Norway'),
(153757, '212.112.191.236', '212.112.191.255', 3564158956, 3564158975, 'SE', 'Sweden'),
(153758, '212.112.192.0', '212.112.203.63', 3564158976, 3564161855, 'DE', 'Germany'),
(153759, '212.112.203.64', '212.112.203.99', 3564161856, 3564161891, 'NL', 'Netherlands'),
(153760, '212.112.203.100', '212.112.215.255', 3564161892, 3564165119, 'DE', 'Germany'),
(153761, '212.112.216.0', '212.112.217.63', 3564165120, 3564165439, 'NL', 'Netherlands'),
(153762, '212.112.217.64', '212.112.255.255', 3564165440, 3564175359, 'DE', 'Germany'),
(153763, '212.113.0.0', '212.113.31.255', 3564175360, 3564183551, 'GB', 'United Kingdom'),
(153764, '212.113.32.0', '212.113.37.255', 3564183552, 3564185087, 'UA', 'Ukraine'),
(153765, '212.113.38.0', '212.113.38.255', 3564185088, 3564185343, 'DE', 'Germany'),
(153766, '212.113.39.0', '212.113.63.255', 3564185344, 3564191743, 'UA', 'Ukraine'),
(153767, '212.113.64.0', '212.113.95.255', 3564191744, 3564199935, 'BE', 'Belgium'),
(153768, '212.113.96.0', '212.113.127.255', 3564199936, 3564208127, 'RU', 'Russian Federation'),
(153769, '212.113.128.0', '212.113.145.255', 3564208128, 3564212735, 'GB', 'United Kingdom'),
(153770, '212.113.146.0', '212.113.147.15', 3564212736, 3564213007, 'IE', 'Ireland'),
(153771, '212.113.147.16', '212.113.159.255', 3564213008, 3564216319, 'GB', 'United Kingdom'),
(153772, '212.113.160.0', '212.113.191.255', 3564216320, 3564224511, 'PT', 'Portugal'),
(153773, '212.113.192.0', '212.113.223.255', 3564224512, 3564232703, 'GB', 'United Kingdom'),
(153774, '212.113.224.0', '212.113.255.255', 3564232704, 3564240895, 'RU', 'Russian Federation'),
(153775, '212.114.0.0', '212.114.1.255', 3564240896, 3564241407, 'TJ', 'Tajikistan'),
(153776, '212.114.2.0', '212.114.31.255', 3564241408, 3564249087, 'RU', 'Russian Federation'),
(153777, '212.114.32.0', '212.114.77.127', 3564249088, 3564260735, 'DE', 'Germany'),
(153778, '212.114.77.128', '212.114.77.255', 3564260736, 3564260863, 'NL', 'Netherlands'),
(153779, '212.114.78.0', '212.114.95.255', 3564260864, 3564265471, 'DE', 'Germany'),
(153780, '212.114.96.0', '212.114.127.255', 3564265472, 3564273663, 'NL', 'Netherlands'),
(153781, '212.114.128.0', '212.114.200.55', 3564273664, 3564292151, 'DE', 'Germany'),
(153782, '212.114.200.56', '212.114.200.63', 3564292152, 3564292159, 'AT', 'Austria'),
(153783, '212.114.200.64', '212.114.241.63', 3564292160, 3564302655, 'DE', 'Germany'),
(153784, '212.114.241.64', '212.114.241.95', 3564302656, 3564302687, 'BE', 'Belgium'),
(153785, '212.114.241.96', '212.114.255.255', 3564302688, 3564306431, 'DE', 'Germany'),
(153786, '212.115.0.0', '212.115.31.255', 3564306432, 3564314623, 'TR', 'Turkey'),
(153787, '212.115.32.0', '212.115.63.255', 3564314624, 3564322815, 'GB', 'United Kingdom'),
(153788, '212.115.64.0', '212.115.95.255', 3564322816, 3564331007, 'IT', 'Italy'),
(153789, '212.115.96.0', '212.115.127.255', 3564331008, 3564339199, 'ES', 'Spain'),
(153790, '212.115.128.0', '212.115.131.23', 3564339200, 3564339991, 'GB', 'United Kingdom'),
(153791, '212.115.131.24', '212.115.131.31', 3564339992, 3564339999, 'NL', 'Netherlands'),
(153792, '212.115.131.32', '212.115.146.223', 3564340000, 3564344031, 'GB', 'United Kingdom'),
(153793, '212.115.146.224', '212.115.146.239', 3564344032, 3564344047, 'NL', 'Netherlands'),
(153794, '212.115.146.240', '212.115.151.55', 3564344048, 3564345143, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(153795, '212.115.151.56', '212.115.151.63', 3564345144, 3564345151, 'NL', 'Netherlands'),
(153796, '212.115.151.64', '212.115.168.175', 3564345152, 3564349615, 'GB', 'United Kingdom'),
(153797, '212.115.168.176', '212.115.168.191', 3564349616, 3564349631, 'NL', 'Netherlands'),
(153798, '212.115.168.192', '212.115.171.191', 3564349632, 3564350399, 'GB', 'United Kingdom'),
(153799, '212.115.171.192', '212.115.171.223', 3564350400, 3564350431, 'NL', 'Netherlands'),
(153800, '212.115.171.224', '212.115.176.63', 3564350432, 3564351551, 'GB', 'United Kingdom'),
(153801, '212.115.176.64', '212.115.176.127', 3564351552, 3564351615, 'NL', 'Netherlands'),
(153802, '212.115.176.128', '212.115.182.183', 3564351616, 3564353207, 'GB', 'United Kingdom'),
(153803, '212.115.182.184', '212.115.182.191', 3564353208, 3564353215, 'NL', 'Netherlands'),
(153804, '212.115.182.192', '212.115.191.255', 3564353216, 3564355583, 'GB', 'United Kingdom'),
(153805, '212.115.192.0', '212.115.223.255', 3564355584, 3564363775, 'NL', 'Netherlands'),
(153806, '212.115.224.0', '212.115.255.255', 3564363776, 3564371967, 'UA', 'Ukraine'),
(153807, '212.116.0.0', '212.116.31.255', 3564371968, 3564380159, 'DE', 'Germany'),
(153808, '212.116.32.0', '212.116.63.255', 3564380160, 3564388351, 'FI', 'Finland'),
(153809, '212.116.64.0', '212.116.95.255', 3564388352, 3564396543, 'SE', 'Sweden'),
(153810, '212.116.96.0', '212.116.127.255', 3564396544, 3564404735, 'RU', 'Russian Federation'),
(153811, '212.116.128.0', '212.116.159.255', 3564404736, 3564412927, 'BG', 'Bulgaria'),
(153812, '212.116.160.0', '212.116.191.255', 3564412928, 3564421119, 'IL', 'Israel'),
(153813, '212.116.192.0', '212.116.219.153', 3564421120, 3564428185, 'SA', 'Saudi Arabia'),
(153814, '212.116.219.154', '212.116.219.154', 3564428186, 3564428186, 'A2', 'Satellite Provider'),
(153815, '212.116.219.155', '212.116.223.255', 3564428187, 3564429311, 'SA', 'Saudi Arabia'),
(153816, '212.116.224.0', '212.116.232.207', 3564429312, 3564431567, 'KZ', 'Kazakhstan'),
(153817, '212.116.232.208', '212.116.232.223', 3564431568, 3564431583, 'AF', 'Afghanistan'),
(153818, '212.116.232.224', '212.116.255.255', 3564431584, 3564437503, 'KZ', 'Kazakhstan'),
(153819, '212.117.0.0', '212.117.31.255', 3564437504, 3564445695, 'LT', 'Lithuania'),
(153820, '212.117.32.0', '212.117.63.255', 3564445696, 3564453887, 'BG', 'Bulgaria'),
(153821, '212.117.64.0', '212.117.95.255', 3564453888, 3564462079, 'DE', 'Germany'),
(153822, '212.117.96.0', '212.117.127.255', 3564462080, 3564470271, 'CH', 'Switzerland'),
(153823, '212.117.128.0', '212.117.140.95', 3564470272, 3564473439, 'IL', 'Israel'),
(153824, '212.117.140.96', '212.117.140.111', 3564473440, 3564473455, 'A2', 'Satellite Provider'),
(153825, '212.117.140.112', '212.117.159.255', 3564473456, 3564478463, 'IL', 'Israel'),
(153826, '212.117.160.0', '212.117.191.255', 3564478464, 3564486655, 'LU', 'Luxembourg'),
(153827, '212.117.192.0', '212.117.223.255', 3564486656, 3564494847, 'CH', 'Switzerland'),
(153828, '212.117.224.0', '212.117.224.59', 3564494848, 3564494907, 'GB', 'United Kingdom'),
(153829, '212.117.224.60', '212.117.224.63', 3564494908, 3564494911, 'FR', 'France'),
(153830, '212.117.224.64', '212.117.224.255', 3564494912, 3564495103, 'GB', 'United Kingdom'),
(153831, '212.117.225.0', '212.117.225.63', 3564495104, 3564495167, 'DE', 'Germany'),
(153832, '212.117.225.64', '212.117.225.99', 3564495168, 3564495203, 'GB', 'United Kingdom'),
(153833, '212.117.225.100', '212.117.226.255', 3564495204, 3564495615, 'EU', 'Europe'),
(153834, '212.117.227.0', '212.117.227.127', 3564495616, 3564495743, 'GB', 'United Kingdom'),
(153835, '212.117.227.128', '212.117.227.255', 3564495744, 3564495871, 'EU', 'Europe'),
(153836, '212.117.228.0', '212.117.228.55', 3564495872, 3564495927, 'GB', 'United Kingdom'),
(153837, '212.117.228.56', '212.117.228.63', 3564495928, 3564495935, 'EU', 'Europe'),
(153838, '212.117.228.64', '212.117.228.239', 3564495936, 3564496111, 'GB', 'United Kingdom'),
(153839, '212.117.228.240', '212.117.228.255', 3564496112, 3564496127, 'EU', 'Europe'),
(153840, '212.117.229.0', '212.117.229.47', 3564496128, 3564496175, 'GB', 'United Kingdom'),
(153841, '212.117.229.48', '212.117.229.55', 3564496176, 3564496183, 'EU', 'Europe'),
(153842, '212.117.229.56', '212.117.229.71', 3564496184, 3564496199, 'GB', 'United Kingdom'),
(153843, '212.117.229.72', '212.117.229.79', 3564496200, 3564496207, 'EU', 'Europe'),
(153844, '212.117.229.80', '212.117.229.87', 3564496208, 3564496215, 'GB', 'United Kingdom'),
(153845, '212.117.229.88', '212.117.229.95', 3564496216, 3564496223, 'EU', 'Europe'),
(153846, '212.117.229.96', '212.117.229.135', 3564496224, 3564496263, 'GB', 'United Kingdom'),
(153847, '212.117.229.136', '212.117.229.143', 3564496264, 3564496271, 'EU', 'Europe'),
(153848, '212.117.229.144', '212.117.229.191', 3564496272, 3564496319, 'GB', 'United Kingdom'),
(153849, '212.117.229.192', '212.117.229.199', 3564496320, 3564496327, 'FR', 'France'),
(153850, '212.117.229.200', '212.117.229.207', 3564496328, 3564496335, 'EU', 'Europe'),
(153851, '212.117.229.208', '212.117.230.223', 3564496336, 3564496607, 'GB', 'United Kingdom'),
(153852, '212.117.230.224', '212.117.230.255', 3564496608, 3564496639, 'EU', 'Europe'),
(153853, '212.117.231.0', '212.117.231.15', 3564496640, 3564496655, 'GB', 'United Kingdom'),
(153854, '212.117.231.16', '212.117.231.31', 3564496656, 3564496671, 'EU', 'Europe'),
(153855, '212.117.231.32', '212.117.231.207', 3564496672, 3564496847, 'GB', 'United Kingdom'),
(153856, '212.117.231.208', '212.117.231.223', 3564496848, 3564496863, 'FR', 'France'),
(153857, '212.117.231.224', '212.117.231.255', 3564496864, 3564496895, 'GB', 'United Kingdom'),
(153858, '212.117.232.0', '212.117.239.255', 3564496896, 3564498943, 'EU', 'Europe'),
(153859, '212.117.240.0', '212.117.240.63', 3564498944, 3564499007, 'NL', 'Netherlands'),
(153860, '212.117.240.64', '212.117.240.111', 3564499008, 3564499055, 'GB', 'United Kingdom'),
(153861, '212.117.240.112', '212.117.240.255', 3564499056, 3564499199, 'EU', 'Europe'),
(153862, '212.117.241.0', '212.117.241.15', 3564499200, 3564499215, 'NL', 'Netherlands'),
(153863, '212.117.241.16', '212.117.241.31', 3564499216, 3564499231, 'DK', 'Denmark'),
(153864, '212.117.241.32', '212.117.241.39', 3564499232, 3564499239, 'NL', 'Netherlands'),
(153865, '212.117.241.40', '212.117.241.47', 3564499240, 3564499247, 'EU', 'Europe'),
(153866, '212.117.241.48', '212.117.241.135', 3564499248, 3564499335, 'GB', 'United Kingdom'),
(153867, '212.117.241.136', '212.117.241.255', 3564499336, 3564499455, 'EU', 'Europe'),
(153868, '212.117.242.0', '212.117.242.95', 3564499456, 3564499551, 'NL', 'Netherlands'),
(153869, '212.117.242.96', '212.117.242.255', 3564499552, 3564499711, 'GB', 'United Kingdom'),
(153870, '212.117.243.0', '212.117.247.255', 3564499712, 3564500991, 'EU', 'Europe'),
(153871, '212.117.248.0', '212.117.248.7', 3564500992, 3564500999, 'SE', 'Sweden'),
(153872, '212.117.248.8', '212.117.248.255', 3564501000, 3564501247, 'EU', 'Europe'),
(153873, '212.117.249.0', '212.117.249.15', 3564501248, 3564501263, 'DE', 'Germany'),
(153874, '212.117.249.16', '212.117.249.31', 3564501264, 3564501279, 'SE', 'Sweden'),
(153875, '212.117.249.32', '212.117.249.63', 3564501280, 3564501311, 'GB', 'United Kingdom'),
(153876, '212.117.249.64', '212.117.249.255', 3564501312, 3564501503, 'EU', 'Europe'),
(153877, '212.117.250.0', '212.117.250.3', 3564501504, 3564501507, 'SE', 'Sweden'),
(153878, '212.117.250.4', '212.117.250.7', 3564501508, 3564501511, 'DE', 'Germany'),
(153879, '212.117.250.8', '212.117.250.255', 3564501512, 3564501759, 'EU', 'Europe'),
(153880, '212.117.251.0', '212.117.251.127', 3564501760, 3564501887, 'DE', 'Germany'),
(153881, '212.117.251.128', '212.117.253.255', 3564501888, 3564502527, 'EU', 'Europe'),
(153882, '212.117.254.0', '212.117.254.31', 3564502528, 3564502559, 'DE', 'Germany'),
(153883, '212.117.254.32', '212.117.254.63', 3564502560, 3564502591, 'GB', 'United Kingdom'),
(153884, '212.117.254.64', '212.117.255.255', 3564502592, 3564503039, 'EU', 'Europe'),
(153885, '212.118.0.0', '212.118.31.255', 3564503040, 3564511231, 'JO', 'Jordan'),
(153886, '212.118.32.0', '212.118.63.255', 3564511232, 3564519423, 'RU', 'Russian Federation'),
(153887, '212.118.64.0', '212.118.95.255', 3564519424, 3564527615, 'SI', 'Slovenia'),
(153888, '212.118.96.0', '212.118.159.255', 3564527616, 3564543999, 'SA', 'Saudi Arabia'),
(153889, '212.118.160.0', '212.118.223.255', 3564544000, 3564560383, 'DE', 'Germany'),
(153890, '212.118.224.0', '212.118.224.7', 3564560384, 3564560391, 'US', 'United States'),
(153891, '212.118.224.8', '212.118.224.15', 3564560392, 3564560399, 'CA', 'Canada'),
(153892, '212.118.224.16', '212.118.224.71', 3564560400, 3564560455, 'US', 'United States'),
(153893, '212.118.224.72', '212.118.224.79', 3564560456, 3564560463, 'GB', 'United Kingdom'),
(153894, '212.118.224.80', '212.118.224.95', 3564560464, 3564560479, 'US', 'United States'),
(153895, '212.118.224.96', '212.118.224.127', 3564560480, 3564560511, 'GB', 'United Kingdom'),
(153896, '212.118.224.128', '212.118.224.143', 3564560512, 3564560527, 'US', 'United States'),
(153897, '212.118.224.144', '212.118.224.191', 3564560528, 3564560575, 'GB', 'United Kingdom'),
(153898, '212.118.224.192', '212.118.224.223', 3564560576, 3564560607, 'US', 'United States'),
(153899, '212.118.224.224', '212.118.225.255', 3564560608, 3564560895, 'GB', 'United Kingdom'),
(153900, '212.118.226.0', '212.118.226.7', 3564560896, 3564560903, 'US', 'United States'),
(153901, '212.118.226.8', '212.118.226.255', 3564560904, 3564561151, 'GB', 'United Kingdom'),
(153902, '212.118.227.0', '212.118.227.255', 3564561152, 3564561407, 'US', 'United States'),
(153903, '212.118.228.0', '212.118.228.255', 3564561408, 3564561663, 'GB', 'United Kingdom'),
(153904, '212.118.229.0', '212.118.229.7', 3564561664, 3564561671, 'US', 'United States'),
(153905, '212.118.229.8', '212.118.229.15', 3564561672, 3564561679, 'GB', 'United Kingdom'),
(153906, '212.118.229.16', '212.118.229.23', 3564561680, 3564561687, 'US', 'United States'),
(153907, '212.118.229.24', '212.118.229.31', 3564561688, 3564561695, 'GB', 'United Kingdom'),
(153908, '212.118.229.32', '212.118.229.255', 3564561696, 3564561919, 'US', 'United States'),
(153909, '212.118.230.0', '212.118.231.255', 3564561920, 3564562431, 'CH', 'Switzerland'),
(153910, '212.118.232.0', '212.118.232.255', 3564562432, 3564562687, 'A1', 'Anonymous Proxy'),
(153911, '212.118.233.0', '212.118.233.143', 3564562688, 3564562831, 'US', 'United States'),
(153912, '212.118.233.144', '212.118.233.159', 3564562832, 3564562847, 'GB', 'United Kingdom'),
(153913, '212.118.233.160', '212.118.233.255', 3564562848, 3564562943, 'US', 'United States'),
(153914, '212.118.234.0', '212.118.236.255', 3564562944, 3564563711, 'GB', 'United Kingdom'),
(153915, '212.118.237.0', '212.118.237.255', 3564563712, 3564563967, 'A1', 'Anonymous Proxy'),
(153916, '212.118.238.0', '212.118.238.255', 3564563968, 3564564223, 'GB', 'United Kingdom'),
(153917, '212.118.239.0', '212.118.239.15', 3564564224, 3564564239, 'US', 'United States'),
(153918, '212.118.239.16', '212.118.239.127', 3564564240, 3564564351, 'GB', 'United Kingdom'),
(153919, '212.118.239.128', '212.118.239.191', 3564564352, 3564564415, 'US', 'United States'),
(153920, '212.118.239.192', '212.118.239.195', 3564564416, 3564564419, 'GB', 'United Kingdom'),
(153921, '212.118.239.196', '212.118.239.203', 3564564420, 3564564427, 'US', 'United States'),
(153922, '212.118.239.204', '212.118.242.239', 3564564428, 3564565231, 'GB', 'United Kingdom'),
(153923, '212.118.242.240', '212.118.242.247', 3564565232, 3564565239, 'US', 'United States'),
(153924, '212.118.242.248', '212.118.242.255', 3564565240, 3564565247, 'GB', 'United Kingdom'),
(153925, '212.118.243.0', '212.118.243.31', 3564565248, 3564565279, 'US', 'United States'),
(153926, '212.118.243.32', '212.118.243.79', 3564565280, 3564565327, 'GB', 'United Kingdom'),
(153927, '212.118.243.80', '212.118.243.136', 3564565328, 3564565384, 'US', 'United States'),
(153928, '212.118.243.137', '212.118.243.137', 3564565385, 3564565385, 'GB', 'United Kingdom'),
(153929, '212.118.243.138', '212.118.243.191', 3564565386, 3564565439, 'US', 'United States'),
(153930, '212.118.243.192', '212.118.244.63', 3564565440, 3564565567, 'GB', 'United Kingdom'),
(153931, '212.118.244.64', '212.118.244.127', 3564565568, 3564565631, 'US', 'United States'),
(153932, '212.118.244.128', '212.118.244.159', 3564565632, 3564565663, 'GB', 'United Kingdom'),
(153933, '212.118.244.160', '212.118.244.175', 3564565664, 3564565679, 'US', 'United States'),
(153934, '212.118.244.176', '212.118.244.191', 3564565680, 3564565695, 'GB', 'United Kingdom'),
(153935, '212.118.244.192', '212.118.244.207', 3564565696, 3564565711, 'US', 'United States'),
(153936, '212.118.244.208', '212.118.246.31', 3564565712, 3564566047, 'GB', 'United Kingdom'),
(153937, '212.118.246.32', '212.118.246.63', 3564566048, 3564566079, 'US', 'United States'),
(153938, '212.118.246.64', '212.118.246.127', 3564566080, 3564566143, 'GB', 'United Kingdom'),
(153939, '212.118.246.128', '212.118.246.159', 3564566144, 3564566175, 'US', 'United States'),
(153940, '212.118.246.160', '212.118.246.223', 3564566176, 3564566239, 'GB', 'United Kingdom'),
(153941, '212.118.246.224', '212.118.247.255', 3564566240, 3564566527, 'US', 'United States'),
(153942, '212.118.248.0', '212.118.250.7', 3564566528, 3564567047, 'GB', 'United Kingdom'),
(153943, '212.118.250.8', '212.118.250.15', 3564567048, 3564567055, 'US', 'United States'),
(153944, '212.118.250.16', '212.118.250.39', 3564567056, 3564567079, 'GB', 'United Kingdom'),
(153945, '212.118.250.40', '212.118.250.55', 3564567080, 3564567095, 'US', 'United States'),
(153946, '212.118.250.56', '212.118.250.103', 3564567096, 3564567143, 'GB', 'United Kingdom'),
(153947, '212.118.250.104', '212.118.250.111', 3564567144, 3564567151, 'US', 'United States'),
(153948, '212.118.250.112', '212.118.250.143', 3564567152, 3564567183, 'GB', 'United Kingdom'),
(153949, '212.118.250.144', '212.118.250.159', 3564567184, 3564567199, 'US', 'United States'),
(153950, '212.118.250.160', '212.118.250.207', 3564567200, 3564567247, 'GB', 'United Kingdom'),
(153951, '212.118.250.208', '212.118.250.215', 3564567248, 3564567255, 'US', 'United States'),
(153952, '212.118.250.216', '212.118.250.255', 3564567256, 3564567295, 'GB', 'United Kingdom'),
(153953, '212.118.251.0', '212.118.251.255', 3564567296, 3564567551, 'US', 'United States'),
(153954, '212.118.252.0', '212.118.252.255', 3564567552, 3564567807, 'GB', 'United Kingdom'),
(153955, '212.118.253.0', '212.118.253.127', 3564567808, 3564567935, 'US', 'United States'),
(153956, '212.118.253.128', '212.118.253.231', 3564567936, 3564568039, 'GB', 'United Kingdom'),
(153957, '212.118.253.232', '212.118.253.255', 3564568040, 3564568063, 'US', 'United States'),
(153958, '212.118.254.0', '212.118.254.159', 3564568064, 3564568223, 'GB', 'United Kingdom'),
(153959, '212.118.254.160', '212.118.254.167', 3564568224, 3564568231, 'US', 'United States'),
(153960, '212.118.254.168', '212.118.254.191', 3564568232, 3564568255, 'GB', 'United Kingdom'),
(153961, '212.118.254.192', '212.118.254.255', 3564568256, 3564568319, 'US', 'United States'),
(153962, '212.118.255.0', '212.119.9.175', 3564568320, 3564571055, 'GB', 'United Kingdom'),
(153963, '212.119.9.176', '212.119.9.191', 3564571056, 3564571071, 'DE', 'Germany'),
(153964, '212.119.9.192', '212.119.9.255', 3564571072, 3564571135, 'GB', 'United Kingdom'),
(153965, '212.119.10.0', '212.119.11.63', 3564571136, 3564571455, 'FR', 'France'),
(153966, '212.119.11.64', '212.119.11.87', 3564571456, 3564571479, 'GB', 'United Kingdom'),
(153967, '212.119.11.88', '212.119.11.95', 3564571480, 3564571487, 'FR', 'France'),
(153968, '212.119.11.96', '212.119.11.119', 3564571488, 3564571511, 'GB', 'United Kingdom'),
(153969, '212.119.11.120', '212.119.11.127', 3564571512, 3564571519, 'FR', 'France'),
(153970, '212.119.11.128', '212.119.11.175', 3564571520, 3564571567, 'GB', 'United Kingdom'),
(153971, '212.119.11.176', '212.119.11.191', 3564571568, 3564571583, 'FR', 'France'),
(153972, '212.119.11.192', '212.119.11.199', 3564571584, 3564571591, 'GB', 'United Kingdom'),
(153973, '212.119.11.200', '212.119.11.207', 3564571592, 3564571599, 'FR', 'France'),
(153974, '212.119.11.208', '212.119.14.111', 3564571600, 3564572271, 'GB', 'United Kingdom'),
(153975, '212.119.14.112', '212.119.14.127', 3564572272, 3564572287, 'DE', 'Germany'),
(153976, '212.119.14.128', '212.119.14.255', 3564572288, 3564572415, 'GB', 'United Kingdom'),
(153977, '212.119.15.0', '212.119.15.127', 3564572416, 3564572543, 'DE', 'Germany'),
(153978, '212.119.15.128', '212.119.19.255', 3564572544, 3564573695, 'GB', 'United Kingdom'),
(153979, '212.119.20.0', '212.119.21.127', 3564573696, 3564574079, 'DE', 'Germany'),
(153980, '212.119.21.128', '212.119.31.255', 3564574080, 3564576767, 'GB', 'United Kingdom'),
(153981, '212.119.32.0', '212.119.63.255', 3564576768, 3564584959, 'RU', 'Russian Federation'),
(153982, '212.119.64.0', '212.119.95.255', 3564584960, 3564593151, 'SA', 'Saudi Arabia'),
(153983, '212.119.96.0', '212.119.127.255', 3564593152, 3564601343, 'RU', 'Russian Federation'),
(153984, '212.119.128.0', '212.119.159.255', 3564601344, 3564609535, 'AT', 'Austria'),
(153985, '212.119.160.0', '212.119.255.255', 3564609536, 3564634111, 'RU', 'Russian Federation'),
(153986, '212.120.0.0', '212.120.31.255', 3564634112, 3564642303, 'MK', 'Macedonia'),
(153987, '212.120.32.0', '212.120.63.255', 3564642304, 3564650495, 'CH', 'Switzerland'),
(153988, '212.120.64.0', '212.120.127.255', 3564650496, 3564666879, 'NL', 'Netherlands'),
(153989, '212.120.128.0', '212.120.135.255', 3564666880, 3564668927, 'IE', 'Ireland'),
(153990, '212.120.136.0', '212.120.136.255', 3564668928, 3564669183, 'EU', 'Europe'),
(153991, '212.120.137.0', '212.120.137.223', 3564669184, 3564669407, 'IE', 'Ireland'),
(153992, '212.120.137.224', '212.120.137.255', 3564669408, 3564669439, 'GB', 'United Kingdom'),
(153993, '212.120.138.0', '212.120.140.255', 3564669440, 3564670207, 'IE', 'Ireland'),
(153994, '212.120.141.0', '212.120.141.31', 3564670208, 3564670239, 'GB', 'United Kingdom'),
(153995, '212.120.141.32', '212.120.151.255', 3564670240, 3564673023, 'IE', 'Ireland'),
(153996, '212.120.152.0', '212.120.152.31', 3564673024, 3564673055, 'GB', 'United Kingdom'),
(153997, '212.120.152.32', '212.120.152.111', 3564673056, 3564673135, 'IE', 'Ireland'),
(153998, '212.120.152.112', '212.120.152.191', 3564673136, 3564673215, 'GB', 'United Kingdom'),
(153999, '212.120.152.192', '212.120.153.255', 3564673216, 3564673535, 'IE', 'Ireland'),
(154000, '212.120.154.0', '212.120.154.127', 3564673536, 3564673663, 'GB', 'United Kingdom'),
(154001, '212.120.154.128', '212.120.154.255', 3564673664, 3564673791, 'IE', 'Ireland'),
(154002, '212.120.155.0', '212.120.155.15', 3564673792, 3564673807, 'GB', 'United Kingdom'),
(154003, '212.120.155.16', '212.120.155.31', 3564673808, 3564673823, 'IE', 'Ireland'),
(154004, '212.120.155.32', '212.120.155.47', 3564673824, 3564673839, 'GB', 'United Kingdom'),
(154005, '212.120.155.48', '212.120.155.255', 3564673840, 3564674047, 'IE', 'Ireland'),
(154006, '212.120.156.0', '212.120.157.127', 3564674048, 3564674431, 'GB', 'United Kingdom'),
(154007, '212.120.157.128', '212.120.159.255', 3564674432, 3564675071, 'IE', 'Ireland'),
(154008, '212.120.160.0', '212.120.191.255', 3564675072, 3564683263, 'RU', 'Russian Federation'),
(154009, '212.120.192.0', '212.120.223.255', 3564683264, 3564691455, 'IR', 'Iran, Islamic Republic of'),
(154010, '212.120.224.0', '212.120.255.255', 3564691456, 3564699647, 'GI', 'Gibraltar'),
(154011, '212.121.0.0', '212.121.63.255', 3564699648, 3564716031, 'GB', 'United Kingdom'),
(154012, '212.121.64.0', '212.121.95.255', 3564716032, 3564724223, 'IT', 'Italy'),
(154013, '212.121.96.0', '212.121.127.255', 3564724224, 3564732415, 'NL', 'Netherlands'),
(154014, '212.121.128.0', '212.121.130.255', 3564732416, 3564733183, 'DE', 'Germany'),
(154015, '212.121.131.0', '212.121.131.255', 3564733184, 3564733439, 'GB', 'United Kingdom'),
(154016, '212.121.132.0', '212.121.134.255', 3564733440, 3564734207, 'DE', 'Germany'),
(154017, '212.121.135.0', '212.121.135.255', 3564734208, 3564734463, 'EU', 'Europe'),
(154018, '212.121.136.0', '212.121.137.95', 3564734464, 3564734815, 'DE', 'Germany'),
(154019, '212.121.137.96', '212.121.137.103', 3564734816, 3564734823, 'GB', 'United Kingdom'),
(154020, '212.121.137.104', '212.121.137.127', 3564734824, 3564734847, 'DE', 'Germany'),
(154021, '212.121.137.128', '212.121.137.255', 3564734848, 3564734975, 'GB', 'United Kingdom'),
(154022, '212.121.138.0', '212.121.143.255', 3564734976, 3564736511, 'DE', 'Germany'),
(154023, '212.121.144.0', '212.121.144.15', 3564736512, 3564736527, 'GB', 'United Kingdom'),
(154024, '212.121.144.16', '212.121.144.71', 3564736528, 3564736583, 'DE', 'Germany'),
(154025, '212.121.144.72', '212.121.144.91', 3564736584, 3564736603, 'GB', 'United Kingdom'),
(154026, '212.121.144.92', '212.121.144.95', 3564736604, 3564736607, 'DE', 'Germany'),
(154027, '212.121.144.96', '212.121.144.99', 3564736608, 3564736611, 'GB', 'United Kingdom'),
(154028, '212.121.144.100', '212.121.144.111', 3564736612, 3564736623, 'DE', 'Germany'),
(154029, '212.121.144.112', '212.121.144.119', 3564736624, 3564736631, 'GB', 'United Kingdom'),
(154030, '212.121.144.120', '212.121.145.103', 3564736632, 3564736871, 'DE', 'Germany'),
(154031, '212.121.145.104', '212.121.145.119', 3564736872, 3564736887, 'GB', 'United Kingdom'),
(154032, '212.121.145.120', '212.121.145.127', 3564736888, 3564736895, 'DE', 'Germany'),
(154033, '212.121.145.128', '212.121.145.135', 3564736896, 3564736903, 'GB', 'United Kingdom'),
(154034, '212.121.145.136', '212.121.145.159', 3564736904, 3564736927, 'DE', 'Germany'),
(154035, '212.121.145.160', '212.121.145.191', 3564736928, 3564736959, 'GB', 'United Kingdom'),
(154036, '212.121.145.192', '212.121.145.199', 3564736960, 3564736967, 'DE', 'Germany'),
(154037, '212.121.145.200', '212.121.145.207', 3564736968, 3564736975, 'GB', 'United Kingdom'),
(154038, '212.121.145.208', '212.121.145.223', 3564736976, 3564736991, 'DE', 'Germany'),
(154039, '212.121.145.224', '212.121.145.255', 3564736992, 3564737023, 'GB', 'United Kingdom'),
(154040, '212.121.146.0', '212.121.155.7', 3564737024, 3564739335, 'DE', 'Germany'),
(154041, '212.121.155.8', '212.121.155.15', 3564739336, 3564739343, 'GB', 'United Kingdom'),
(154042, '212.121.155.16', '212.121.155.55', 3564739344, 3564739383, 'DE', 'Germany'),
(154043, '212.121.155.56', '212.121.155.63', 3564739384, 3564739391, 'ES', 'Spain'),
(154044, '212.121.155.64', '212.121.155.167', 3564739392, 3564739495, 'DE', 'Germany'),
(154045, '212.121.155.168', '212.121.155.175', 3564739496, 3564739503, 'GB', 'United Kingdom'),
(154046, '212.121.155.176', '212.121.155.191', 3564739504, 3564739519, 'AT', 'Austria'),
(154047, '212.121.155.192', '212.121.156.223', 3564739520, 3564739807, 'GB', 'United Kingdom'),
(154048, '212.121.156.224', '212.121.156.231', 3564739808, 3564739815, 'DE', 'Germany'),
(154049, '212.121.156.232', '212.121.156.239', 3564739816, 3564739823, 'GB', 'United Kingdom'),
(154050, '212.121.156.240', '212.121.158.255', 3564739824, 3564740351, 'DE', 'Germany'),
(154051, '212.121.159.0', '212.121.159.31', 3564740352, 3564740383, 'GB', 'United Kingdom'),
(154052, '212.121.159.32', '212.121.159.103', 3564740384, 3564740455, 'DE', 'Germany'),
(154053, '212.121.159.104', '212.121.159.107', 3564740456, 3564740459, 'GB', 'United Kingdom'),
(154054, '212.121.159.108', '212.121.159.127', 3564740460, 3564740479, 'DE', 'Germany'),
(154055, '212.121.159.128', '212.121.159.143', 3564740480, 3564740495, 'GB', 'United Kingdom'),
(154056, '212.121.159.144', '212.121.159.151', 3564740496, 3564740503, 'DE', 'Germany'),
(154057, '212.121.159.152', '212.121.159.175', 3564740504, 3564740527, 'GB', 'United Kingdom'),
(154058, '212.121.159.176', '212.121.159.239', 3564740528, 3564740591, 'DE', 'Germany'),
(154059, '212.121.159.240', '212.121.159.243', 3564740592, 3564740595, 'GB', 'United Kingdom'),
(154060, '212.121.159.244', '212.121.159.247', 3564740596, 3564740599, 'DE', 'Germany'),
(154061, '212.121.159.248', '212.121.159.251', 3564740600, 3564740603, 'GB', 'United Kingdom'),
(154062, '212.121.159.252', '212.121.159.255', 3564740604, 3564740607, 'DE', 'Germany'),
(154063, '212.121.160.0', '212.121.191.255', 3564740608, 3564748799, 'FR', 'France'),
(154064, '212.121.192.0', '212.121.223.255', 3564748800, 3564756991, 'GB', 'United Kingdom'),
(154065, '212.121.224.0', '212.121.255.255', 3564756992, 3564765183, 'ES', 'Spain'),
(154066, '212.122.0.0', '212.122.31.255', 3564765184, 3564773375, 'RU', 'Russian Federation'),
(154067, '212.122.32.0', '212.122.63.255', 3564773376, 3564781567, 'DE', 'Germany'),
(154068, '212.122.64.0', '212.122.95.255', 3564781568, 3564789759, 'LT', 'Lithuania'),
(154069, '212.122.96.0', '212.122.127.255', 3564789760, 3564797951, 'ES', 'Spain'),
(154070, '212.122.128.0', '212.122.159.255', 3564797952, 3564806143, 'DE', 'Germany'),
(154071, '212.122.160.0', '212.122.191.255', 3564806144, 3564814335, 'BG', 'Bulgaria'),
(154072, '212.122.192.0', '212.122.223.255', 3564814336, 3564822527, 'PL', 'Poland'),
(154073, '212.122.224.0', '212.122.255.255', 3564822528, 3564830719, 'EG', 'Egypt'),
(154074, '212.123.0.0', '212.123.2.255', 3564830720, 3564831487, 'BE', 'Belgium'),
(154075, '212.123.3.0', '212.123.3.255', 3564831488, 3564831743, 'EU', 'Europe'),
(154076, '212.123.4.0', '212.123.6.255', 3564831744, 3564832511, 'BE', 'Belgium'),
(154077, '212.123.7.0', '212.123.7.255', 3564832512, 3564832767, 'EU', 'Europe'),
(154078, '212.123.8.0', '212.123.31.255', 3564832768, 3564838911, 'BE', 'Belgium'),
(154079, '212.123.32.0', '212.123.63.255', 3564838912, 3564847103, 'DE', 'Germany'),
(154080, '212.123.64.0', '212.123.95.255', 3564847104, 3564855295, 'IT', 'Italy'),
(154081, '212.123.96.0', '212.123.125.143', 3564855296, 3564862863, 'DE', 'Germany'),
(154082, '212.123.125.144', '212.123.125.151', 3564862864, 3564862871, 'AE', 'United Arab Emirates'),
(154083, '212.123.125.152', '212.123.127.255', 3564862872, 3564863487, 'DE', 'Germany'),
(154084, '212.123.128.0', '212.123.196.31', 3564863488, 3564880927, 'NL', 'Netherlands'),
(154085, '212.123.196.32', '212.123.196.47', 3564880928, 3564880943, 'GB', 'United Kingdom'),
(154086, '212.123.196.48', '212.123.196.55', 3564880944, 3564880951, 'NL', 'Netherlands'),
(154087, '212.123.196.56', '212.123.196.71', 3564880952, 3564880967, 'FR', 'France'),
(154088, '212.123.196.72', '212.123.196.79', 3564880968, 3564880975, 'NL', 'Netherlands'),
(154089, '212.123.196.80', '212.123.196.95', 3564880976, 3564880991, 'GB', 'United Kingdom'),
(154090, '212.123.196.96', '212.123.196.111', 3564880992, 3564881007, 'NL', 'Netherlands'),
(154091, '212.123.196.112', '212.123.196.207', 3564881008, 3564881103, 'GB', 'United Kingdom'),
(154092, '212.123.196.208', '212.123.197.7', 3564881104, 3564881159, 'NL', 'Netherlands'),
(154093, '212.123.197.8', '212.123.197.47', 3564881160, 3564881199, 'GB', 'United Kingdom'),
(154094, '212.123.197.48', '212.123.197.51', 3564881200, 3564881203, 'FR', 'France'),
(154095, '212.123.197.52', '212.123.197.79', 3564881204, 3564881231, 'GB', 'United Kingdom'),
(154096, '212.123.197.80', '212.123.197.95', 3564881232, 3564881247, 'NL', 'Netherlands'),
(154097, '212.123.197.96', '212.123.197.191', 3564881248, 3564881343, 'GB', 'United Kingdom'),
(154098, '212.123.197.192', '212.123.197.207', 3564881344, 3564881359, 'NL', 'Netherlands'),
(154099, '212.123.197.208', '212.123.197.239', 3564881360, 3564881391, 'GB', 'United Kingdom'),
(154100, '212.123.197.240', '212.123.198.31', 3564881392, 3564881439, 'NL', 'Netherlands'),
(154101, '212.123.198.32', '212.123.198.47', 3564881440, 3564881455, 'GB', 'United Kingdom'),
(154102, '212.123.198.48', '212.123.198.55', 3564881456, 3564881463, 'NL', 'Netherlands'),
(154103, '212.123.198.56', '212.123.198.63', 3564881464, 3564881471, 'GB', 'United Kingdom'),
(154104, '212.123.198.64', '212.123.198.143', 3564881472, 3564881551, 'NL', 'Netherlands'),
(154105, '212.123.198.144', '212.123.198.191', 3564881552, 3564881599, 'GB', 'United Kingdom'),
(154106, '212.123.198.192', '212.123.198.207', 3564881600, 3564881615, 'NL', 'Netherlands'),
(154107, '212.123.198.208', '212.123.198.255', 3564881616, 3564881663, 'GB', 'United Kingdom'),
(154108, '212.123.199.0', '212.123.199.63', 3564881664, 3564881727, 'NL', 'Netherlands'),
(154109, '212.123.199.64', '212.123.200.15', 3564881728, 3564881935, 'GB', 'United Kingdom'),
(154110, '212.123.200.16', '212.123.200.19', 3564881936, 3564881939, 'NL', 'Netherlands'),
(154111, '212.123.200.20', '212.123.200.79', 3564881940, 3564881999, 'GB', 'United Kingdom'),
(154112, '212.123.200.80', '212.123.200.159', 3564882000, 3564882079, 'NL', 'Netherlands'),
(154113, '212.123.200.160', '212.123.200.175', 3564882080, 3564882095, 'GB', 'United Kingdom'),
(154114, '212.123.200.176', '212.123.200.199', 3564882096, 3564882119, 'NL', 'Netherlands'),
(154115, '212.123.200.200', '212.123.200.223', 3564882120, 3564882143, 'GB', 'United Kingdom'),
(154116, '212.123.200.224', '212.123.201.63', 3564882144, 3564882239, 'NL', 'Netherlands'),
(154117, '212.123.201.64', '212.123.201.255', 3564882240, 3564882431, 'GB', 'United Kingdom'),
(154118, '212.123.202.0', '212.123.202.255', 3564882432, 3564882687, 'EU', 'Europe'),
(154119, '212.123.203.0', '212.123.204.63', 3564882688, 3564883007, 'GB', 'United Kingdom'),
(154120, '212.123.204.64', '212.123.204.95', 3564883008, 3564883039, 'NL', 'Netherlands'),
(154121, '212.123.204.96', '212.123.204.127', 3564883040, 3564883071, 'GB', 'United Kingdom'),
(154122, '212.123.204.128', '212.123.204.143', 3564883072, 3564883087, 'NL', 'Netherlands'),
(154123, '212.123.204.144', '212.123.204.255', 3564883088, 3564883199, 'GB', 'United Kingdom'),
(154124, '212.123.205.0', '212.123.206.255', 3564883200, 3564883711, 'NL', 'Netherlands'),
(154125, '212.123.207.0', '212.123.208.255', 3564883712, 3564884223, 'GB', 'United Kingdom'),
(154126, '212.123.209.0', '212.123.209.31', 3564884224, 3564884255, 'NL', 'Netherlands'),
(154127, '212.123.209.32', '212.123.209.79', 3564884256, 3564884303, 'GB', 'United Kingdom'),
(154128, '212.123.209.80', '212.123.209.95', 3564884304, 3564884319, 'NL', 'Netherlands'),
(154129, '212.123.209.96', '212.123.209.111', 3564884320, 3564884335, 'GB', 'United Kingdom'),
(154130, '212.123.209.112', '212.123.209.119', 3564884336, 3564884343, 'NL', 'Netherlands'),
(154131, '212.123.209.120', '212.123.209.135', 3564884344, 3564884359, 'GB', 'United Kingdom'),
(154132, '212.123.209.136', '212.123.209.143', 3564884360, 3564884367, 'NL', 'Netherlands'),
(154133, '212.123.209.144', '212.123.209.183', 3564884368, 3564884407, 'GB', 'United Kingdom'),
(154134, '212.123.209.184', '212.123.209.191', 3564884408, 3564884415, 'NL', 'Netherlands'),
(154135, '212.123.209.192', '212.123.209.207', 3564884416, 3564884431, 'GB', 'United Kingdom'),
(154136, '212.123.209.208', '212.123.209.215', 3564884432, 3564884439, 'NL', 'Netherlands'),
(154137, '212.123.209.216', '212.123.210.7', 3564884440, 3564884487, 'GB', 'United Kingdom'),
(154138, '212.123.210.8', '212.123.210.39', 3564884488, 3564884519, 'NL', 'Netherlands'),
(154139, '212.123.210.40', '212.123.210.47', 3564884520, 3564884527, 'FR', 'France'),
(154140, '212.123.210.48', '212.123.210.72', 3564884528, 3564884552, 'NL', 'Netherlands'),
(154141, '212.123.210.73', '212.123.210.79', 3564884553, 3564884559, 'GB', 'United Kingdom'),
(154142, '212.123.210.80', '212.123.210.87', 3564884560, 3564884567, 'NL', 'Netherlands'),
(154143, '212.123.210.88', '212.123.210.255', 3564884568, 3564884735, 'GB', 'United Kingdom'),
(154144, '212.123.211.0', '212.123.212.47', 3564884736, 3564885039, 'NL', 'Netherlands'),
(154145, '212.123.212.48', '212.123.212.223', 3564885040, 3564885215, 'GB', 'United Kingdom'),
(154146, '212.123.212.224', '212.123.213.95', 3564885216, 3564885343, 'NL', 'Netherlands'),
(154147, '212.123.213.96', '212.123.213.111', 3564885344, 3564885359, 'GB', 'United Kingdom'),
(154148, '212.123.213.112', '212.123.213.119', 3564885360, 3564885367, 'NL', 'Netherlands'),
(154149, '212.123.213.120', '212.123.213.239', 3564885368, 3564885487, 'GB', 'United Kingdom'),
(154150, '212.123.213.240', '212.123.213.247', 3564885488, 3564885495, 'NL', 'Netherlands'),
(154151, '212.123.213.248', '212.123.213.255', 3564885496, 3564885503, 'GB', 'United Kingdom'),
(154152, '212.123.214.0', '212.123.214.39', 3564885504, 3564885543, 'NL', 'Netherlands'),
(154153, '212.123.214.40', '212.123.214.47', 3564885544, 3564885551, 'BE', 'Belgium'),
(154154, '212.123.214.48', '212.123.214.55', 3564885552, 3564885559, 'NL', 'Netherlands'),
(154155, '212.123.214.56', '212.123.214.63', 3564885560, 3564885567, 'GB', 'United Kingdom'),
(154156, '212.123.214.64', '212.123.214.95', 3564885568, 3564885599, 'NL', 'Netherlands'),
(154157, '212.123.214.96', '212.123.214.111', 3564885600, 3564885615, 'GB', 'United Kingdom'),
(154158, '212.123.214.112', '212.123.214.127', 3564885616, 3564885631, 'NL', 'Netherlands'),
(154159, '212.123.214.128', '212.123.214.143', 3564885632, 3564885647, 'GB', 'United Kingdom'),
(154160, '212.123.214.144', '212.123.214.159', 3564885648, 3564885663, 'NL', 'Netherlands'),
(154161, '212.123.214.160', '212.123.214.223', 3564885664, 3564885727, 'FR', 'France'),
(154162, '212.123.214.224', '212.123.214.239', 3564885728, 3564885743, 'NL', 'Netherlands'),
(154163, '212.123.214.240', '212.123.214.255', 3564885744, 3564885759, 'GB', 'United Kingdom'),
(154164, '212.123.215.0', '212.123.215.15', 3564885760, 3564885775, 'NL', 'Netherlands'),
(154165, '212.123.215.16', '212.123.215.31', 3564885776, 3564885791, 'GB', 'United Kingdom'),
(154166, '212.123.215.32', '212.123.215.39', 3564885792, 3564885799, 'NL', 'Netherlands'),
(154167, '212.123.215.40', '212.123.215.79', 3564885800, 3564885839, 'GB', 'United Kingdom'),
(154168, '212.123.215.80', '212.123.215.95', 3564885840, 3564885855, 'NL', 'Netherlands'),
(154169, '212.123.215.96', '212.123.215.111', 3564885856, 3564885871, 'GB', 'United Kingdom'),
(154170, '212.123.215.112', '212.123.215.127', 3564885872, 3564885887, 'NL', 'Netherlands'),
(154171, '212.123.215.128', '212.123.215.159', 3564885888, 3564885919, 'GB', 'United Kingdom'),
(154172, '212.123.215.160', '212.123.215.175', 3564885920, 3564885935, 'NL', 'Netherlands'),
(154173, '212.123.215.176', '212.123.215.191', 3564885936, 3564885951, 'GB', 'United Kingdom'),
(154174, '212.123.215.192', '212.123.215.207', 3564885952, 3564885967, 'NL', 'Netherlands'),
(154175, '212.123.215.208', '212.123.215.239', 3564885968, 3564885999, 'GB', 'United Kingdom'),
(154176, '212.123.215.240', '212.123.216.15', 3564886000, 3564886031, 'NL', 'Netherlands'),
(154177, '212.123.216.16', '212.123.216.47', 3564886032, 3564886063, 'GB', 'United Kingdom'),
(154178, '212.123.216.48', '212.123.216.63', 3564886064, 3564886079, 'NL', 'Netherlands'),
(154179, '212.123.216.64', '212.123.216.111', 3564886080, 3564886127, 'GB', 'United Kingdom'),
(154180, '212.123.216.112', '212.123.216.127', 3564886128, 3564886143, 'NL', 'Netherlands'),
(154181, '212.123.216.128', '212.123.216.159', 3564886144, 3564886175, 'GB', 'United Kingdom'),
(154182, '212.123.216.160', '212.123.216.191', 3564886176, 3564886207, 'NL', 'Netherlands'),
(154183, '212.123.216.192', '212.123.216.255', 3564886208, 3564886271, 'GB', 'United Kingdom'),
(154184, '212.123.217.0', '212.123.217.7', 3564886272, 3564886279, 'NL', 'Netherlands'),
(154185, '212.123.217.8', '212.123.217.15', 3564886280, 3564886287, 'GB', 'United Kingdom'),
(154186, '212.123.217.16', '212.123.217.23', 3564886288, 3564886295, 'NL', 'Netherlands'),
(154187, '212.123.217.24', '212.123.217.31', 3564886296, 3564886303, 'GB', 'United Kingdom'),
(154188, '212.123.217.32', '212.123.217.95', 3564886304, 3564886367, 'NL', 'Netherlands'),
(154189, '212.123.217.96', '212.123.217.111', 3564886368, 3564886383, 'GB', 'United Kingdom'),
(154190, '212.123.217.112', '212.123.217.143', 3564886384, 3564886415, 'NL', 'Netherlands'),
(154191, '212.123.217.144', '212.123.217.159', 3564886416, 3564886431, 'GB', 'United Kingdom'),
(154192, '212.123.217.160', '212.123.217.255', 3564886432, 3564886527, 'NL', 'Netherlands'),
(154193, '212.123.218.0', '212.123.218.127', 3564886528, 3564886655, 'GB', 'United Kingdom'),
(154194, '212.123.218.128', '212.123.218.223', 3564886656, 3564886751, 'NL', 'Netherlands'),
(154195, '212.123.218.224', '212.123.219.159', 3564886752, 3564886943, 'GB', 'United Kingdom'),
(154196, '212.123.219.160', '212.123.219.167', 3564886944, 3564886951, 'NL', 'Netherlands'),
(154197, '212.123.219.168', '212.123.219.255', 3564886952, 3564887039, 'GB', 'United Kingdom'),
(154198, '212.123.220.0', '212.123.223.255', 3564887040, 3564888063, 'NL', 'Netherlands'),
(154199, '212.123.224.0', '212.123.224.15', 3564888064, 3564888079, 'GB', 'United Kingdom'),
(154200, '212.123.224.16', '212.123.224.31', 3564888080, 3564888095, 'CH', 'Switzerland'),
(154201, '212.123.224.32', '212.123.224.143', 3564888096, 3564888207, 'NL', 'Netherlands'),
(154202, '212.123.224.144', '212.123.224.159', 3564888208, 3564888223, 'GB', 'United Kingdom'),
(154203, '212.123.224.160', '212.123.225.7', 3564888224, 3564888327, 'NL', 'Netherlands'),
(154204, '212.123.225.8', '212.123.225.15', 3564888328, 3564888335, 'GB', 'United Kingdom'),
(154205, '212.123.225.16', '212.123.225.47', 3564888336, 3564888367, 'NL', 'Netherlands'),
(154206, '212.123.225.48', '212.123.225.63', 3564888368, 3564888383, 'FR', 'France'),
(154207, '212.123.225.64', '212.123.225.143', 3564888384, 3564888463, 'NL', 'Netherlands'),
(154208, '212.123.225.144', '212.123.225.159', 3564888464, 3564888479, 'DE', 'Germany'),
(154209, '212.123.225.160', '212.123.225.183', 3564888480, 3564888503, 'NL', 'Netherlands'),
(154210, '212.123.225.184', '212.123.225.191', 3564888504, 3564888511, 'GB', 'United Kingdom'),
(154211, '212.123.225.192', '212.123.225.207', 3564888512, 3564888527, 'DE', 'Germany'),
(154212, '212.123.225.208', '212.123.226.15', 3564888528, 3564888591, 'NL', 'Netherlands'),
(154213, '212.123.226.16', '212.123.226.31', 3564888592, 3564888607, 'GB', 'United Kingdom'),
(154214, '212.123.226.32', '212.123.226.79', 3564888608, 3564888655, 'NL', 'Netherlands'),
(154215, '212.123.226.80', '212.123.226.87', 3564888656, 3564888663, 'BE', 'Belgium'),
(154216, '212.123.226.88', '212.123.226.95', 3564888664, 3564888671, 'NL', 'Netherlands'),
(154217, '212.123.226.96', '212.123.226.159', 3564888672, 3564888735, 'BE', 'Belgium'),
(154218, '212.123.226.160', '212.123.226.239', 3564888736, 3564888815, 'NL', 'Netherlands'),
(154219, '212.123.226.240', '212.123.226.247', 3564888816, 3564888823, 'GB', 'United Kingdom'),
(154220, '212.123.226.248', '212.123.227.127', 3564888824, 3564888959, 'NL', 'Netherlands'),
(154221, '212.123.227.128', '212.123.227.159', 3564888960, 3564888991, 'GB', 'United Kingdom'),
(154222, '212.123.227.160', '212.123.227.191', 3564888992, 3564889023, 'FR', 'France'),
(154223, '212.123.227.192', '212.123.227.255', 3564889024, 3564889087, 'NL', 'Netherlands'),
(154224, '212.123.228.0', '212.123.228.31', 3564889088, 3564889119, 'GB', 'United Kingdom'),
(154225, '212.123.228.32', '212.123.228.79', 3564889120, 3564889167, 'NL', 'Netherlands'),
(154226, '212.123.228.80', '212.123.228.127', 3564889168, 3564889215, 'GB', 'United Kingdom'),
(154227, '212.123.228.128', '212.123.228.223', 3564889216, 3564889311, 'NL', 'Netherlands'),
(154228, '212.123.228.224', '212.123.229.31', 3564889312, 3564889375, 'GB', 'United Kingdom'),
(154229, '212.123.229.32', '212.123.230.15', 3564889376, 3564889615, 'NL', 'Netherlands'),
(154230, '212.123.230.16', '212.123.230.23', 3564889616, 3564889623, 'DE', 'Germany'),
(154231, '212.123.230.24', '212.123.230.39', 3564889624, 3564889639, 'NL', 'Netherlands'),
(154232, '212.123.230.40', '212.123.230.47', 3564889640, 3564889647, 'GB', 'United Kingdom'),
(154233, '212.123.230.48', '212.123.230.95', 3564889648, 3564889695, 'NL', 'Netherlands'),
(154234, '212.123.230.96', '212.123.230.127', 3564889696, 3564889727, 'DE', 'Germany'),
(154235, '212.123.230.128', '212.123.230.191', 3564889728, 3564889791, 'NL', 'Netherlands'),
(154236, '212.123.230.192', '212.123.230.207', 3564889792, 3564889807, 'GB', 'United Kingdom'),
(154237, '212.123.230.208', '212.123.230.239', 3564889808, 3564889839, 'BE', 'Belgium'),
(154238, '212.123.230.240', '212.123.230.247', 3564889840, 3564889847, 'NL', 'Netherlands'),
(154239, '212.123.230.248', '212.123.230.255', 3564889848, 3564889855, 'GB', 'United Kingdom'),
(154240, '212.123.231.0', '212.123.231.63', 3564889856, 3564889919, 'NL', 'Netherlands'),
(154241, '212.123.231.64', '212.123.231.127', 3564889920, 3564889983, 'GB', 'United Kingdom'),
(154242, '212.123.231.128', '212.123.231.255', 3564889984, 3564890111, 'NL', 'Netherlands'),
(154243, '212.123.232.0', '212.123.232.31', 3564890112, 3564890143, 'GB', 'United Kingdom'),
(154244, '212.123.232.32', '212.123.232.39', 3564890144, 3564890151, 'NL', 'Netherlands'),
(154245, '212.123.232.40', '212.123.232.47', 3564890152, 3564890159, 'GB', 'United Kingdom'),
(154246, '212.123.232.48', '212.123.232.71', 3564890160, 3564890183, 'BE', 'Belgium'),
(154247, '212.123.232.72', '212.123.232.79', 3564890184, 3564890191, 'GB', 'United Kingdom'),
(154248, '212.123.232.80', '212.123.232.95', 3564890192, 3564890207, 'NL', 'Netherlands'),
(154249, '212.123.232.96', '212.123.232.119', 3564890208, 3564890231, 'GB', 'United Kingdom'),
(154250, '212.123.232.120', '212.123.232.159', 3564890232, 3564890271, 'NL', 'Netherlands'),
(154251, '212.123.232.160', '212.123.232.191', 3564890272, 3564890303, 'GB', 'United Kingdom'),
(154252, '212.123.232.192', '212.123.232.255', 3564890304, 3564890367, 'NL', 'Netherlands'),
(154253, '212.123.233.0', '212.123.233.31', 3564890368, 3564890399, 'FR', 'France'),
(154254, '212.123.233.32', '212.123.233.159', 3564890400, 3564890527, 'NL', 'Netherlands'),
(154255, '212.123.233.160', '212.123.233.167', 3564890528, 3564890535, 'BE', 'Belgium'),
(154256, '212.123.233.168', '212.123.233.211', 3564890536, 3564890579, 'NL', 'Netherlands'),
(154257, '212.123.233.212', '212.123.233.223', 3564890580, 3564890591, 'GB', 'United Kingdom'),
(154258, '212.123.233.224', '212.123.233.255', 3564890592, 3564890623, 'NL', 'Netherlands'),
(154259, '212.123.234.0', '212.123.234.15', 3564890624, 3564890639, 'BE', 'Belgium'),
(154260, '212.123.234.16', '212.123.234.31', 3564890640, 3564890655, 'NL', 'Netherlands'),
(154261, '212.123.234.32', '212.123.234.39', 3564890656, 3564890663, 'IE', 'Ireland'),
(154262, '212.123.234.40', '212.123.234.79', 3564890664, 3564890703, 'NL', 'Netherlands'),
(154263, '212.123.234.80', '212.123.234.111', 3564890704, 3564890735, 'GB', 'United Kingdom'),
(154264, '212.123.234.112', '212.123.234.159', 3564890736, 3564890783, 'NL', 'Netherlands'),
(154265, '212.123.234.160', '212.123.234.175', 3564890784, 3564890799, 'GB', 'United Kingdom'),
(154266, '212.123.234.176', '212.123.234.207', 3564890800, 3564890831, 'NL', 'Netherlands'),
(154267, '212.123.234.208', '212.123.234.223', 3564890832, 3564890847, 'BE', 'Belgium'),
(154268, '212.123.234.224', '212.123.234.239', 3564890848, 3564890863, 'GB', 'United Kingdom'),
(154269, '212.123.234.240', '212.123.234.255', 3564890864, 3564890879, 'BE', 'Belgium'),
(154270, '212.123.235.0', '212.123.235.63', 3564890880, 3564890943, 'NL', 'Netherlands'),
(154271, '212.123.235.64', '212.123.235.111', 3564890944, 3564890991, 'BE', 'Belgium'),
(154272, '212.123.235.112', '212.123.235.143', 3564890992, 3564891023, 'NL', 'Netherlands'),
(154273, '212.123.235.144', '212.123.236.255', 3564891024, 3564891391, 'GB', 'United Kingdom'),
(154274, '212.123.237.0', '212.123.238.255', 3564891392, 3564891903, 'NL', 'Netherlands'),
(154275, '212.123.239.0', '212.123.240.255', 3564891904, 3564892415, 'GB', 'United Kingdom'),
(154276, '212.123.241.0', '212.123.241.127', 3564892416, 3564892543, 'NL', 'Netherlands'),
(154277, '212.123.241.128', '212.123.241.159', 3564892544, 3564892575, 'GB', 'United Kingdom'),
(154278, '212.123.241.160', '212.123.242.39', 3564892576, 3564892711, 'NL', 'Netherlands'),
(154279, '212.123.242.40', '212.123.242.63', 3564892712, 3564892735, 'GB', 'United Kingdom'),
(154280, '212.123.242.64', '212.123.242.79', 3564892736, 3564892751, 'NL', 'Netherlands'),
(154281, '212.123.242.80', '212.123.242.95', 3564892752, 3564892767, 'GB', 'United Kingdom'),
(154282, '212.123.242.96', '212.123.242.127', 3564892768, 3564892799, 'NL', 'Netherlands'),
(154283, '212.123.242.128', '212.123.243.111', 3564892800, 3564893039, 'GB', 'United Kingdom'),
(154284, '212.123.243.112', '212.123.243.127', 3564893040, 3564893055, 'NL', 'Netherlands'),
(154285, '212.123.243.128', '212.123.244.191', 3564893056, 3564893375, 'GB', 'United Kingdom'),
(154286, '212.123.244.192', '212.123.246.63', 3564893376, 3564893759, 'NL', 'Netherlands'),
(154287, '212.123.246.64', '212.123.246.255', 3564893760, 3564893951, 'GB', 'United Kingdom'),
(154288, '212.123.247.0', '212.123.253.255', 3564893952, 3564895743, 'NL', 'Netherlands'),
(154289, '212.123.254.0', '212.123.255.255', 3564895744, 3564896255, 'GB', 'United Kingdom'),
(154290, '212.124.0.0', '212.124.31.255', 3564896256, 3564904447, 'RU', 'Russian Federation'),
(154291, '212.124.32.0', '212.124.63.255', 3564904448, 3564912639, 'DE', 'Germany'),
(154292, '212.124.64.0', '212.124.95.255', 3564912640, 3564920831, 'BG', 'Bulgaria'),
(154293, '212.124.96.0', '212.124.99.255', 3564920832, 3564921855, 'ES', 'Spain'),
(154294, '212.124.100.0', '212.124.127.255', 3564921856, 3564929023, 'US', 'United States'),
(154295, '212.124.128.0', '212.124.159.255', 3564929024, 3564937215, 'AT', 'Austria'),
(154296, '212.124.160.0', '212.124.191.255', 3564937216, 3564945407, 'RS', 'Serbia'),
(154297, '212.124.192.0', '212.124.198.231', 3564945408, 3564947175, 'GB', 'United Kingdom'),
(154298, '212.124.198.232', '212.124.198.239', 3564947176, 3564947183, 'FR', 'France'),
(154299, '212.124.198.240', '212.124.202.95', 3564947184, 3564948063, 'GB', 'United Kingdom'),
(154300, '212.124.202.96', '212.124.202.103', 3564948064, 3564948071, 'IE', 'Ireland'),
(154301, '212.124.202.104', '212.124.203.95', 3564948072, 3564948319, 'GB', 'United Kingdom'),
(154302, '212.124.203.96', '212.124.203.127', 3564948320, 3564948351, 'IE', 'Ireland'),
(154303, '212.124.203.128', '212.124.224.47', 3564948352, 3564953647, 'GB', 'United Kingdom'),
(154304, '212.124.224.48', '212.124.224.51', 3564953648, 3564953651, 'CH', 'Switzerland'),
(154305, '212.124.224.52', '212.124.224.127', 3564953652, 3564953727, 'GB', 'United Kingdom'),
(154306, '212.124.224.128', '212.124.224.143', 3564953728, 3564953743, 'AT', 'Austria'),
(154307, '212.124.224.144', '212.124.224.144', 3564953744, 3564953744, 'GB', 'United Kingdom'),
(154308, '212.124.224.145', '212.124.224.159', 3564953745, 3564953759, 'AT', 'Austria'),
(154309, '212.124.224.160', '212.124.224.191', 3564953760, 3564953791, 'GB', 'United Kingdom'),
(154310, '212.124.224.192', '212.124.225.63', 3564953792, 3564953919, 'AT', 'Austria'),
(154311, '212.124.225.64', '212.124.225.255', 3564953920, 3564954111, 'GB', 'United Kingdom'),
(154312, '212.124.226.0', '212.124.226.19', 3564954112, 3564954131, 'AT', 'Austria'),
(154313, '212.124.226.20', '212.124.226.27', 3564954132, 3564954139, 'GB', 'United Kingdom'),
(154314, '212.124.226.28', '212.124.226.31', 3564954140, 3564954143, 'AT', 'Austria'),
(154315, '212.124.226.32', '212.124.226.43', 3564954144, 3564954155, 'GB', 'United Kingdom'),
(154316, '212.124.226.44', '212.124.226.47', 3564954156, 3564954159, 'AT', 'Austria'),
(154317, '212.124.226.48', '212.124.226.63', 3564954160, 3564954175, 'DE', 'Germany'),
(154318, '212.124.226.64', '212.124.226.71', 3564954176, 3564954183, 'AT', 'Austria'),
(154319, '212.124.226.72', '212.124.226.79', 3564954184, 3564954191, 'CH', 'Switzerland'),
(154320, '212.124.226.80', '212.124.226.99', 3564954192, 3564954211, 'AT', 'Austria'),
(154321, '212.124.226.100', '212.124.226.119', 3564954212, 3564954231, 'GB', 'United Kingdom'),
(154322, '212.124.226.120', '212.124.226.127', 3564954232, 3564954239, 'AT', 'Austria'),
(154323, '212.124.226.128', '212.124.226.191', 3564954240, 3564954303, 'GB', 'United Kingdom'),
(154324, '212.124.226.192', '212.124.226.199', 3564954304, 3564954311, 'AT', 'Austria'),
(154325, '212.124.226.200', '212.124.226.255', 3564954312, 3564954367, 'GB', 'United Kingdom'),
(154326, '212.124.227.0', '212.124.227.15', 3564954368, 3564954383, 'AT', 'Austria'),
(154327, '212.124.227.16', '212.124.227.47', 3564954384, 3564954415, 'GB', 'United Kingdom'),
(154328, '212.124.227.48', '212.124.227.63', 3564954416, 3564954431, 'DE', 'Germany'),
(154329, '212.124.227.64', '212.124.234.0', 3564954432, 3564956160, 'GB', 'United Kingdom'),
(154330, '212.124.234.1', '212.124.235.255', 3564956161, 3564956671, 'AT', 'Austria'),
(154331, '212.124.236.0', '212.124.236.15', 3564956672, 3564956687, 'GB', 'United Kingdom'),
(154332, '212.124.236.16', '212.124.236.47', 3564956688, 3564956719, 'AT', 'Austria'),
(154333, '212.124.236.48', '212.124.236.63', 3564956720, 3564956735, 'GB', 'United Kingdom'),
(154334, '212.124.236.64', '212.124.236.79', 3564956736, 3564956751, 'AT', 'Austria'),
(154335, '212.124.236.80', '212.124.236.95', 3564956752, 3564956767, 'US', 'United States'),
(154336, '212.124.236.96', '212.124.236.159', 3564956768, 3564956831, 'AT', 'Austria'),
(154337, '212.124.236.160', '212.124.236.167', 3564956832, 3564956839, 'GB', 'United Kingdom'),
(154338, '212.124.236.168', '212.124.236.183', 3564956840, 3564956855, 'AT', 'Austria'),
(154339, '212.124.236.184', '212.124.236.231', 3564956856, 3564956903, 'GB', 'United Kingdom'),
(154340, '212.124.236.232', '212.124.236.235', 3564956904, 3564956907, 'AT', 'Austria'),
(154341, '212.124.236.236', '212.124.236.239', 3564956908, 3564956911, 'CH', 'Switzerland'),
(154342, '212.124.236.240', '212.124.236.255', 3564956912, 3564956927, 'AT', 'Austria'),
(154343, '212.124.237.0', '212.124.237.39', 3564956928, 3564956967, 'GB', 'United Kingdom'),
(154344, '212.124.237.40', '212.124.237.43', 3564956968, 3564956971, 'CH', 'Switzerland'),
(154345, '212.124.237.44', '212.124.237.47', 3564956972, 3564956975, 'US', 'United States'),
(154346, '212.124.237.48', '212.124.237.51', 3564956976, 3564956979, 'GB', 'United Kingdom'),
(154347, '212.124.237.52', '212.124.237.63', 3564956980, 3564956991, 'AT', 'Austria'),
(154348, '212.124.237.64', '212.124.237.71', 3564956992, 3564956999, 'GB', 'United Kingdom'),
(154349, '212.124.237.72', '212.124.237.79', 3564957000, 3564957007, 'AT', 'Austria'),
(154350, '212.124.237.80', '212.124.237.95', 3564957008, 3564957023, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(154351, '212.124.237.96', '212.124.237.111', 3564957024, 3564957039, 'AT', 'Austria'),
(154352, '212.124.237.112', '212.124.237.159', 3564957040, 3564957087, 'GB', 'United Kingdom'),
(154353, '212.124.237.160', '212.124.238.71', 3564957088, 3564957255, 'AT', 'Austria'),
(154354, '212.124.238.72', '212.124.238.79', 3564957256, 3564957263, 'GB', 'United Kingdom'),
(154355, '212.124.238.80', '212.124.238.255', 3564957264, 3564957439, 'AT', 'Austria'),
(154356, '212.124.239.0', '212.124.239.7', 3564957440, 3564957447, 'GB', 'United Kingdom'),
(154357, '212.124.239.8', '212.124.239.15', 3564957448, 3564957455, 'CH', 'Switzerland'),
(154358, '212.124.239.16', '212.124.239.19', 3564957456, 3564957459, 'AT', 'Austria'),
(154359, '212.124.239.20', '212.124.239.31', 3564957460, 3564957471, 'GB', 'United Kingdom'),
(154360, '212.124.239.32', '212.124.239.59', 3564957472, 3564957499, 'AT', 'Austria'),
(154361, '212.124.239.60', '212.124.239.63', 3564957500, 3564957503, 'GB', 'United Kingdom'),
(154362, '212.124.239.64', '212.124.239.67', 3564957504, 3564957507, 'AT', 'Austria'),
(154363, '212.124.239.68', '212.124.239.71', 3564957508, 3564957511, 'GB', 'United Kingdom'),
(154364, '212.124.239.72', '212.124.239.79', 3564957512, 3564957519, 'AT', 'Austria'),
(154365, '212.124.239.80', '212.124.239.87', 3564957520, 3564957527, 'GB', 'United Kingdom'),
(154366, '212.124.239.88', '212.124.239.91', 3564957528, 3564957531, 'AT', 'Austria'),
(154367, '212.124.239.92', '212.124.239.107', 3564957532, 3564957547, 'GB', 'United Kingdom'),
(154368, '212.124.239.108', '212.124.239.111', 3564957548, 3564957551, 'AT', 'Austria'),
(154369, '212.124.239.112', '212.124.239.119', 3564957552, 3564957559, 'GB', 'United Kingdom'),
(154370, '212.124.239.120', '212.124.239.151', 3564957560, 3564957591, 'AT', 'Austria'),
(154371, '212.124.239.152', '212.124.239.155', 3564957592, 3564957595, 'GB', 'United Kingdom'),
(154372, '212.124.239.156', '212.124.239.159', 3564957596, 3564957599, 'AT', 'Austria'),
(154373, '212.124.239.160', '212.124.239.167', 3564957600, 3564957607, 'GB', 'United Kingdom'),
(154374, '212.124.239.168', '212.124.239.175', 3564957608, 3564957615, 'AT', 'Austria'),
(154375, '212.124.239.176', '212.124.239.179', 3564957616, 3564957619, 'GB', 'United Kingdom'),
(154376, '212.124.239.180', '212.124.239.191', 3564957620, 3564957631, 'AT', 'Austria'),
(154377, '212.124.239.192', '212.124.239.223', 3564957632, 3564957663, 'GB', 'United Kingdom'),
(154378, '212.124.239.224', '212.124.239.231', 3564957664, 3564957671, 'AT', 'Austria'),
(154379, '212.124.239.232', '212.124.239.239', 3564957672, 3564957679, 'GB', 'United Kingdom'),
(154380, '212.124.239.240', '212.124.239.255', 3564957680, 3564957695, 'AT', 'Austria'),
(154381, '212.124.240.0', '212.124.240.159', 3564957696, 3564957855, 'GB', 'United Kingdom'),
(154382, '212.124.240.160', '212.124.240.163', 3564957856, 3564957859, 'ES', 'Spain'),
(154383, '212.124.240.164', '212.124.240.167', 3564957860, 3564957863, 'AT', 'Austria'),
(154384, '212.124.240.168', '212.124.240.171', 3564957864, 3564957867, 'IT', 'Italy'),
(154385, '212.124.240.172', '212.124.240.175', 3564957868, 3564957871, 'AT', 'Austria'),
(154386, '212.124.240.176', '212.124.240.195', 3564957872, 3564957891, 'GB', 'United Kingdom'),
(154387, '212.124.240.196', '212.124.240.207', 3564957892, 3564957903, 'AT', 'Austria'),
(154388, '212.124.240.208', '212.124.240.215', 3564957904, 3564957911, 'GB', 'United Kingdom'),
(154389, '212.124.240.216', '212.124.240.223', 3564957912, 3564957919, 'AT', 'Austria'),
(154390, '212.124.240.224', '212.124.240.255', 3564957920, 3564957951, 'GB', 'United Kingdom'),
(154391, '212.124.241.0', '212.124.241.15', 3564957952, 3564957967, 'AT', 'Austria'),
(154392, '212.124.241.16', '212.124.241.35', 3564957968, 3564957987, 'GB', 'United Kingdom'),
(154393, '212.124.241.36', '212.124.241.63', 3564957988, 3564958015, 'AT', 'Austria'),
(154394, '212.124.241.64', '212.124.241.159', 3564958016, 3564958111, 'GB', 'United Kingdom'),
(154395, '212.124.241.160', '212.124.241.191', 3564958112, 3564958143, 'AT', 'Austria'),
(154396, '212.124.241.192', '212.124.241.195', 3564958144, 3564958147, 'GB', 'United Kingdom'),
(154397, '212.124.241.196', '212.124.241.203', 3564958148, 3564958155, 'AT', 'Austria'),
(154398, '212.124.241.204', '212.124.241.207', 3564958156, 3564958159, 'GB', 'United Kingdom'),
(154399, '212.124.241.208', '212.124.241.227', 3564958160, 3564958179, 'AT', 'Austria'),
(154400, '212.124.241.228', '212.124.241.231', 3564958180, 3564958183, 'US', 'United States'),
(154401, '212.124.241.232', '212.124.241.239', 3564958184, 3564958191, 'AT', 'Austria'),
(154402, '212.124.241.240', '212.124.241.255', 3564958192, 3564958207, 'GB', 'United Kingdom'),
(154403, '212.124.242.0', '212.124.242.255', 3564958208, 3564958463, 'AT', 'Austria'),
(154404, '212.124.243.0', '212.124.243.23', 3564958464, 3564958487, 'GB', 'United Kingdom'),
(154405, '212.124.243.24', '212.124.243.127', 3564958488, 3564958591, 'AT', 'Austria'),
(154406, '212.124.243.128', '212.124.243.255', 3564958592, 3564958719, 'GB', 'United Kingdom'),
(154407, '212.124.244.0', '212.124.244.79', 3564958720, 3564958799, 'AT', 'Austria'),
(154408, '212.124.244.80', '212.124.244.87', 3564958800, 3564958807, 'GB', 'United Kingdom'),
(154409, '212.124.244.88', '212.124.244.127', 3564958808, 3564958847, 'AT', 'Austria'),
(154410, '212.124.244.128', '212.124.244.191', 3564958848, 3564958911, 'GB', 'United Kingdom'),
(154411, '212.124.244.192', '212.124.244.255', 3564958912, 3564958975, 'AT', 'Austria'),
(154412, '212.124.245.0', '212.124.245.31', 3564958976, 3564959007, 'NL', 'Netherlands'),
(154413, '212.124.245.32', '212.124.245.79', 3564959008, 3564959055, 'AT', 'Austria'),
(154414, '212.124.245.80', '212.124.245.99', 3564959056, 3564959075, 'GB', 'United Kingdom'),
(154415, '212.124.245.100', '212.124.245.115', 3564959076, 3564959091, 'AT', 'Austria'),
(154416, '212.124.245.116', '212.124.245.119', 3564959092, 3564959095, 'GB', 'United Kingdom'),
(154417, '212.124.245.120', '212.124.245.127', 3564959096, 3564959103, 'AT', 'Austria'),
(154418, '212.124.245.128', '212.124.245.143', 3564959104, 3564959119, 'GB', 'United Kingdom'),
(154419, '212.124.245.144', '212.124.245.151', 3564959120, 3564959127, 'AT', 'Austria'),
(154420, '212.124.245.152', '212.124.245.159', 3564959128, 3564959135, 'GB', 'United Kingdom'),
(154421, '212.124.245.160', '212.124.245.179', 3564959136, 3564959155, 'AT', 'Austria'),
(154422, '212.124.245.180', '212.124.245.215', 3564959156, 3564959191, 'GB', 'United Kingdom'),
(154423, '212.124.245.216', '212.124.245.219', 3564959192, 3564959195, 'AT', 'Austria'),
(154424, '212.124.245.220', '212.124.245.223', 3564959196, 3564959199, 'GB', 'United Kingdom'),
(154425, '212.124.245.224', '212.124.245.251', 3564959200, 3564959227, 'AT', 'Austria'),
(154426, '212.124.245.252', '212.124.245.255', 3564959228, 3564959231, 'GB', 'United Kingdom'),
(154427, '212.124.246.0', '212.124.246.127', 3564959232, 3564959359, 'AT', 'Austria'),
(154428, '212.124.246.128', '212.124.246.151', 3564959360, 3564959383, 'GB', 'United Kingdom'),
(154429, '212.124.246.152', '212.124.246.159', 3564959384, 3564959391, 'AT', 'Austria'),
(154430, '212.124.246.160', '212.124.246.167', 3564959392, 3564959399, 'SA', 'Saudi Arabia'),
(154431, '212.124.246.168', '212.124.246.175', 3564959400, 3564959407, 'AT', 'Austria'),
(154432, '212.124.246.176', '212.124.246.191', 3564959408, 3564959423, 'CH', 'Switzerland'),
(154433, '212.124.246.192', '212.124.246.211', 3564959424, 3564959443, 'GB', 'United Kingdom'),
(154434, '212.124.246.212', '212.124.246.219', 3564959444, 3564959451, 'AT', 'Austria'),
(154435, '212.124.246.220', '212.124.246.223', 3564959452, 3564959455, 'FR', 'France'),
(154436, '212.124.246.224', '212.124.246.239', 3564959456, 3564959471, 'GB', 'United Kingdom'),
(154437, '212.124.246.240', '212.124.246.247', 3564959472, 3564959479, 'AT', 'Austria'),
(154438, '212.124.246.248', '212.124.246.255', 3564959480, 3564959487, 'GB', 'United Kingdom'),
(154439, '212.124.247.0', '212.124.247.7', 3564959488, 3564959495, 'AT', 'Austria'),
(154440, '212.124.247.8', '212.124.247.11', 3564959496, 3564959499, 'GB', 'United Kingdom'),
(154441, '212.124.247.12', '212.124.247.31', 3564959500, 3564959519, 'AT', 'Austria'),
(154442, '212.124.247.32', '212.124.247.47', 3564959520, 3564959535, 'GB', 'United Kingdom'),
(154443, '212.124.247.48', '212.124.247.63', 3564959536, 3564959551, 'AT', 'Austria'),
(154444, '212.124.247.64', '212.124.247.79', 3564959552, 3564959567, 'GB', 'United Kingdom'),
(154445, '212.124.247.80', '212.124.247.91', 3564959568, 3564959579, 'AT', 'Austria'),
(154446, '212.124.247.92', '212.124.247.95', 3564959580, 3564959583, 'GB', 'United Kingdom'),
(154447, '212.124.247.96', '212.124.247.127', 3564959584, 3564959615, 'AT', 'Austria'),
(154448, '212.124.247.128', '212.124.247.135', 3564959616, 3564959623, 'GB', 'United Kingdom'),
(154449, '212.124.247.136', '212.124.247.151', 3564959624, 3564959639, 'AT', 'Austria'),
(154450, '212.124.247.152', '212.124.247.167', 3564959640, 3564959655, 'GB', 'United Kingdom'),
(154451, '212.124.247.168', '212.124.247.175', 3564959656, 3564959663, 'CH', 'Switzerland'),
(154452, '212.124.247.176', '212.124.247.191', 3564959664, 3564959679, 'AT', 'Austria'),
(154453, '212.124.247.192', '212.124.247.207', 3564959680, 3564959695, 'GB', 'United Kingdom'),
(154454, '212.124.247.208', '212.124.247.223', 3564959696, 3564959711, 'AT', 'Austria'),
(154455, '212.124.247.224', '212.124.248.11', 3564959712, 3564959755, 'GB', 'United Kingdom'),
(154456, '212.124.248.12', '212.124.248.15', 3564959756, 3564959759, 'AT', 'Austria'),
(154457, '212.124.248.16', '212.124.248.31', 3564959760, 3564959775, 'GB', 'United Kingdom'),
(154458, '212.124.248.32', '212.124.248.63', 3564959776, 3564959807, 'AT', 'Austria'),
(154459, '212.124.248.64', '212.124.248.95', 3564959808, 3564959839, 'GB', 'United Kingdom'),
(154460, '212.124.248.96', '212.124.248.159', 3564959840, 3564959903, 'AT', 'Austria'),
(154461, '212.124.248.160', '212.124.248.160', 3564959904, 3564959904, 'GB', 'United Kingdom'),
(154462, '212.124.248.161', '212.124.248.223', 3564959905, 3564959967, 'AT', 'Austria'),
(154463, '212.124.248.224', '212.124.248.255', 3564959968, 3564959999, 'GB', 'United Kingdom'),
(154464, '212.124.249.0', '212.124.249.127', 3564960000, 3564960127, 'AT', 'Austria'),
(154465, '212.124.249.128', '212.124.249.135', 3564960128, 3564960135, 'DE', 'Germany'),
(154466, '212.124.249.136', '212.124.249.159', 3564960136, 3564960159, 'GB', 'United Kingdom'),
(154467, '212.124.249.160', '212.124.249.195', 3564960160, 3564960195, 'AT', 'Austria'),
(154468, '212.124.249.196', '212.124.249.211', 3564960196, 3564960211, 'GB', 'United Kingdom'),
(154469, '212.124.249.212', '212.124.249.223', 3564960212, 3564960223, 'AT', 'Austria'),
(154470, '212.124.249.224', '212.124.249.231', 3564960224, 3564960231, 'GB', 'United Kingdom'),
(154471, '212.124.249.232', '212.124.250.255', 3564960232, 3564960511, 'AT', 'Austria'),
(154472, '212.124.251.0', '212.124.251.31', 3564960512, 3564960543, 'GB', 'United Kingdom'),
(154473, '212.124.251.32', '212.124.251.47', 3564960544, 3564960559, 'AT', 'Austria'),
(154474, '212.124.251.48', '212.124.251.103', 3564960560, 3564960615, 'GB', 'United Kingdom'),
(154475, '212.124.251.104', '212.124.251.111', 3564960616, 3564960623, 'FR', 'France'),
(154476, '212.124.251.112', '212.124.251.119', 3564960624, 3564960631, 'GB', 'United Kingdom'),
(154477, '212.124.251.120', '212.124.251.127', 3564960632, 3564960639, 'AT', 'Austria'),
(154478, '212.124.251.128', '212.124.251.255', 3564960640, 3564960767, 'GB', 'United Kingdom'),
(154479, '212.124.252.0', '212.124.252.111', 3564960768, 3564960879, 'AT', 'Austria'),
(154480, '212.124.252.112', '212.124.252.159', 3564960880, 3564960927, 'GB', 'United Kingdom'),
(154481, '212.124.252.160', '212.124.252.191', 3564960928, 3564960959, 'AT', 'Austria'),
(154482, '212.124.252.192', '212.124.252.223', 3564960960, 3564960991, 'GB', 'United Kingdom'),
(154483, '212.124.252.224', '212.124.252.239', 3564960992, 3564961007, 'AT', 'Austria'),
(154484, '212.124.252.240', '212.124.252.255', 3564961008, 3564961023, 'GB', 'United Kingdom'),
(154485, '212.124.253.0', '212.124.253.55', 3564961024, 3564961079, 'AT', 'Austria'),
(154486, '212.124.253.56', '212.124.253.127', 3564961080, 3564961151, 'GB', 'United Kingdom'),
(154487, '212.124.253.128', '212.124.254.31', 3564961152, 3564961311, 'AT', 'Austria'),
(154488, '212.124.254.32', '212.124.254.39', 3564961312, 3564961319, 'GB', 'United Kingdom'),
(154489, '212.124.254.40', '212.124.255.255', 3564961320, 3564961791, 'AT', 'Austria'),
(154490, '212.125.0.0', '212.125.31.255', 3564961792, 3564969983, 'TR', 'Turkey'),
(154491, '212.125.32.0', '212.125.42.63', 3564969984, 3564972607, 'DE', 'Germany'),
(154492, '212.125.42.64', '212.125.42.79', 3564972608, 3564972623, 'AT', 'Austria'),
(154493, '212.125.42.80', '212.125.42.87', 3564972624, 3564972631, 'DE', 'Germany'),
(154494, '212.125.42.88', '212.125.42.95', 3564972632, 3564972639, 'LI', 'Liechtenstein'),
(154495, '212.125.42.96', '212.125.63.255', 3564972640, 3564978175, 'DE', 'Germany'),
(154496, '212.125.64.0', '212.125.95.255', 3564978176, 3564986367, 'GB', 'United Kingdom'),
(154497, '212.125.96.0', '212.125.127.255', 3564986368, 3564994559, 'DE', 'Germany'),
(154498, '212.125.128.0', '212.125.159.255', 3564994560, 3565002751, 'NL', 'Netherlands'),
(154499, '212.125.160.0', '212.125.177.143', 3565002752, 3565007247, 'NO', 'Norway'),
(154500, '212.125.177.144', '212.125.177.147', 3565007248, 3565007251, 'SE', 'Sweden'),
(154501, '212.125.177.148', '212.125.198.183', 3565007252, 3565012663, 'NO', 'Norway'),
(154502, '212.125.198.184', '212.125.198.187', 3565012664, 3565012667, 'SE', 'Sweden'),
(154503, '212.125.198.188', '212.125.255.255', 3565012668, 3565027327, 'NO', 'Norway'),
(154504, '212.126.0.0', '212.126.31.255', 3565027328, 3565035519, 'PL', 'Poland'),
(154505, '212.126.32.0', '212.126.34.255', 3565035520, 3565036287, 'IE', 'Ireland'),
(154506, '212.126.35.0', '212.126.35.255', 3565036288, 3565036543, 'GB', 'United Kingdom'),
(154507, '212.126.36.0', '212.126.38.63', 3565036544, 3565037119, 'IE', 'Ireland'),
(154508, '212.126.38.64', '212.126.38.79', 3565037120, 3565037135, 'GB', 'United Kingdom'),
(154509, '212.126.38.80', '212.126.38.255', 3565037136, 3565037311, 'IE', 'Ireland'),
(154510, '212.126.39.0', '212.126.39.255', 3565037312, 3565037567, 'GB', 'United Kingdom'),
(154511, '212.126.40.0', '212.126.40.255', 3565037568, 3565037823, 'IE', 'Ireland'),
(154512, '212.126.41.0', '212.126.43.255', 3565037824, 3565038591, 'GB', 'United Kingdom'),
(154513, '212.126.44.0', '212.126.44.71', 3565038592, 3565038663, 'IE', 'Ireland'),
(154514, '212.126.44.72', '212.126.44.95', 3565038664, 3565038687, 'GB', 'United Kingdom'),
(154515, '212.126.44.96', '212.126.44.127', 3565038688, 3565038719, 'IE', 'Ireland'),
(154516, '212.126.44.128', '212.126.44.135', 3565038720, 3565038727, 'GB', 'United Kingdom'),
(154517, '212.126.44.136', '212.126.45.11', 3565038728, 3565038859, 'IE', 'Ireland'),
(154518, '212.126.45.12', '212.126.45.15', 3565038860, 3565038863, 'GB', 'United Kingdom'),
(154519, '212.126.45.16', '212.126.45.95', 3565038864, 3565038943, 'IE', 'Ireland'),
(154520, '212.126.45.96', '212.126.47.255', 3565038944, 3565039615, 'GB', 'United Kingdom'),
(154521, '212.126.48.0', '212.126.58.15', 3565039616, 3565042191, 'IE', 'Ireland'),
(154522, '212.126.58.16', '212.126.63.255', 3565042192, 3565043711, 'GB', 'United Kingdom'),
(154523, '212.126.64.0', '212.126.70.15', 3565043712, 3565045263, 'AT', 'Austria'),
(154524, '212.126.70.16', '212.126.70.31', 3565045264, 3565045279, 'SK', 'Slovakia'),
(154525, '212.126.70.32', '212.126.79.255', 3565045280, 3565047807, 'AT', 'Austria'),
(154526, '212.126.80.0', '212.126.80.255', 3565047808, 3565048063, 'LI', 'Liechtenstein'),
(154527, '212.126.81.0', '212.126.95.255', 3565048064, 3565051903, 'AT', 'Austria'),
(154528, '212.126.96.0', '212.126.127.255', 3565051904, 3565060095, 'IQ', 'Iraq'),
(154529, '212.126.128.0', '212.126.159.255', 3565060096, 3565068287, 'GB', 'United Kingdom'),
(154530, '212.126.160.0', '212.126.191.255', 3565068288, 3565076479, 'CH', 'Switzerland'),
(154531, '212.126.192.0', '212.126.223.255', 3565076480, 3565084671, 'DE', 'Germany'),
(154532, '212.126.224.0', '212.126.255.255', 3565084672, 3565092863, 'IS', 'Iceland'),
(154533, '212.127.0.0', '212.127.15.55', 3565092864, 3565096759, 'GB', 'United Kingdom'),
(154534, '212.127.15.56', '212.127.15.63', 3565096760, 3565096767, 'IE', 'Ireland'),
(154535, '212.127.15.64', '212.127.16.191', 3565096768, 3565097151, 'GB', 'United Kingdom'),
(154536, '212.127.16.192', '212.127.16.207', 3565097152, 3565097167, 'TZ', 'Tanzania, United Republic of'),
(154537, '212.127.16.208', '212.127.31.255', 3565097168, 3565101055, 'GB', 'United Kingdom'),
(154538, '212.127.32.0', '212.127.63.255', 3565101056, 3565109247, 'DE', 'Germany'),
(154539, '212.127.64.0', '212.127.95.255', 3565109248, 3565117439, 'PL', 'Poland'),
(154540, '212.127.96.0', '212.127.127.255', 3565117440, 3565125631, 'TR', 'Turkey'),
(154541, '212.127.128.0', '212.127.255.255', 3565125632, 3565158399, 'NL', 'Netherlands'),
(154542, '212.128.0.0', '212.128.255.255', 3565158400, 3565223935, 'ES', 'Spain'),
(154543, '212.129.0.0', '212.129.63.255', 3565223936, 3565240319, 'FR', 'France'),
(154544, '212.129.64.0', '212.129.95.255', 3565240320, 3565248511, 'IE', 'Ireland'),
(154545, '212.129.96.0', '212.129.127.255', 3565248512, 3565256703, 'RU', 'Russian Federation'),
(154546, '212.129.128.0', '212.129.255.255', 3565256704, 3565289471, 'NL', 'Netherlands'),
(154547, '212.130.0.0', '212.130.255.255', 3565289472, 3565355007, 'DK', 'Denmark'),
(154548, '212.131.0.0', '212.131.255.255', 3565355008, 3565420543, 'IT', 'Italy'),
(154549, '212.132.0.0', '212.132.255.255', 3565420544, 3565486079, 'GB', 'United Kingdom'),
(154550, '212.133.0.0', '212.133.0.255', 3565486080, 3565486335, 'IE', 'Ireland'),
(154551, '212.133.1.0', '212.133.3.127', 3565486336, 3565486975, 'FR', 'France'),
(154552, '212.133.3.128', '212.133.5.255', 3565486976, 3565487615, 'NL', 'Netherlands'),
(154553, '212.133.6.0', '212.133.6.255', 3565487616, 3565487871, 'SE', 'Sweden'),
(154554, '212.133.7.0', '212.133.7.255', 3565487872, 3565488127, 'SK', 'Slovakia'),
(154555, '212.133.8.0', '212.133.8.255', 3565488128, 3565488383, 'GB', 'United Kingdom'),
(154556, '212.133.9.0', '212.133.9.255', 3565488384, 3565488639, 'ES', 'Spain'),
(154557, '212.133.10.0', '212.133.10.255', 3565488640, 3565488895, 'GB', 'United Kingdom'),
(154558, '212.133.11.0', '212.133.13.127', 3565488896, 3565489535, 'DE', 'Germany'),
(154559, '212.133.13.128', '212.133.14.127', 3565489536, 3565489791, 'GB', 'United Kingdom'),
(154560, '212.133.14.128', '212.133.14.159', 3565489792, 3565489823, 'DE', 'Germany'),
(154561, '212.133.14.160', '212.133.15.255', 3565489824, 3565490175, 'GB', 'United Kingdom'),
(154562, '212.133.16.0', '212.133.16.255', 3565490176, 3565490431, 'NL', 'Netherlands'),
(154563, '212.133.17.0', '212.133.19.255', 3565490432, 3565491199, 'GB', 'United Kingdom'),
(154564, '212.133.20.0', '212.133.20.15', 3565491200, 3565491215, 'FR', 'France'),
(154565, '212.133.20.16', '212.133.20.255', 3565491216, 3565491455, 'GB', 'United Kingdom'),
(154566, '212.133.21.0', '212.133.21.255', 3565491456, 3565491711, 'IT', 'Italy'),
(154567, '212.133.22.0', '212.133.22.127', 3565491712, 3565491839, 'GB', 'United Kingdom'),
(154568, '212.133.22.128', '212.133.22.191', 3565491840, 3565491903, 'IT', 'Italy'),
(154569, '212.133.22.192', '212.133.22.255', 3565491904, 3565491967, 'NL', 'Netherlands'),
(154570, '212.133.23.0', '212.133.24.71', 3565491968, 3565492295, 'GB', 'United Kingdom'),
(154571, '212.133.24.72', '212.133.24.79', 3565492296, 3565492303, 'IE', 'Ireland'),
(154572, '212.133.24.80', '212.133.24.95', 3565492304, 3565492319, 'GB', 'United Kingdom'),
(154573, '212.133.24.96', '212.133.24.103', 3565492320, 3565492327, 'DE', 'Germany'),
(154574, '212.133.24.104', '212.133.24.111', 3565492328, 3565492335, 'GB', 'United Kingdom'),
(154575, '212.133.24.112', '212.133.24.127', 3565492336, 3565492351, 'FR', 'France'),
(154576, '212.133.24.128', '212.133.24.255', 3565492352, 3565492479, 'GB', 'United Kingdom'),
(154577, '212.133.25.0', '212.133.25.127', 3565492480, 3565492607, 'NL', 'Netherlands'),
(154578, '212.133.25.128', '212.133.25.159', 3565492608, 3565492639, 'GB', 'United Kingdom'),
(154579, '212.133.25.160', '212.133.25.175', 3565492640, 3565492655, 'FR', 'France'),
(154580, '212.133.25.176', '212.133.25.191', 3565492656, 3565492671, 'GB', 'United Kingdom'),
(154581, '212.133.25.192', '212.133.25.255', 3565492672, 3565492735, 'IT', 'Italy'),
(154582, '212.133.26.0', '212.133.26.255', 3565492736, 3565492991, 'CH', 'Switzerland'),
(154583, '212.133.27.0', '212.133.27.255', 3565492992, 3565493247, 'NL', 'Netherlands'),
(154584, '212.133.28.0', '212.133.29.79', 3565493248, 3565493583, 'GB', 'United Kingdom'),
(154585, '212.133.29.80', '212.133.29.87', 3565493584, 3565493591, 'DE', 'Germany'),
(154586, '212.133.29.88', '212.133.29.175', 3565493592, 3565493679, 'GB', 'United Kingdom'),
(154587, '212.133.29.176', '212.133.29.183', 3565493680, 3565493687, 'FR', 'France'),
(154588, '212.133.29.184', '212.133.29.255', 3565493688, 3565493759, 'GB', 'United Kingdom'),
(154589, '212.133.30.0', '212.133.30.15', 3565493760, 3565493775, 'NL', 'Netherlands'),
(154590, '212.133.30.16', '212.133.30.223', 3565493776, 3565493983, 'GB', 'United Kingdom'),
(154591, '212.133.30.224', '212.133.31.39', 3565493984, 3565494055, 'DE', 'Germany'),
(154592, '212.133.31.40', '212.133.31.47', 3565494056, 3565494063, 'GB', 'United Kingdom'),
(154593, '212.133.31.48', '212.133.31.63', 3565494064, 3565494079, 'NL', 'Netherlands'),
(154594, '212.133.31.64', '212.133.31.127', 3565494080, 3565494143, 'GB', 'United Kingdom'),
(154595, '212.133.31.128', '212.133.31.255', 3565494144, 3565494271, 'DE', 'Germany'),
(154596, '212.133.32.0', '212.133.32.255', 3565494272, 3565494527, 'IS', 'Iceland'),
(154597, '212.133.33.0', '212.133.33.15', 3565494528, 3565494543, 'GB', 'United Kingdom'),
(154598, '212.133.33.16', '212.133.33.23', 3565494544, 3565494551, 'IT', 'Italy'),
(154599, '212.133.33.24', '212.133.33.31', 3565494552, 3565494559, 'DE', 'Germany'),
(154600, '212.133.33.32', '212.133.33.63', 3565494560, 3565494591, 'GB', 'United Kingdom'),
(154601, '212.133.33.64', '212.133.33.127', 3565494592, 3565494655, 'FR', 'France'),
(154602, '212.133.33.128', '212.133.33.143', 3565494656, 3565494671, 'SE', 'Sweden'),
(154603, '212.133.33.144', '212.133.33.159', 3565494672, 3565494687, 'DE', 'Germany'),
(154604, '212.133.33.160', '212.133.33.175', 3565494688, 3565494703, 'SE', 'Sweden'),
(154605, '212.133.33.176', '212.133.33.191', 3565494704, 3565494719, 'DK', 'Denmark'),
(154606, '212.133.33.192', '212.133.33.207', 3565494720, 3565494735, 'GB', 'United Kingdom'),
(154607, '212.133.33.208', '212.133.33.215', 3565494736, 3565494743, 'CA', 'Canada'),
(154608, '212.133.33.216', '212.133.35.255', 3565494744, 3565495295, 'GB', 'United Kingdom'),
(154609, '212.133.36.0', '212.133.40.127', 3565495296, 3565496447, 'FR', 'France'),
(154610, '212.133.40.128', '212.133.40.191', 3565496448, 3565496511, 'DE', 'Germany'),
(154611, '212.133.40.192', '212.133.40.255', 3565496512, 3565496575, 'US', 'United States'),
(154612, '212.133.41.0', '212.133.41.255', 3565496576, 3565496831, 'GB', 'United Kingdom'),
(154613, '212.133.42.0', '212.133.42.255', 3565496832, 3565497087, 'IT', 'Italy'),
(154614, '212.133.43.0', '212.133.43.15', 3565497088, 3565497103, 'GB', 'United Kingdom'),
(154615, '212.133.43.16', '212.133.43.31', 3565497104, 3565497119, 'IE', 'Ireland'),
(154616, '212.133.43.32', '212.133.43.63', 3565497120, 3565497151, 'DE', 'Germany'),
(154617, '212.133.43.64', '212.133.43.71', 3565497152, 3565497159, 'IE', 'Ireland'),
(154618, '212.133.43.72', '212.133.43.79', 3565497160, 3565497167, 'US', 'United States'),
(154619, '212.133.43.80', '212.133.43.111', 3565497168, 3565497199, 'GB', 'United Kingdom'),
(154620, '212.133.43.112', '212.133.43.119', 3565497200, 3565497207, 'IT', 'Italy'),
(154621, '212.133.43.120', '212.133.43.127', 3565497208, 3565497215, 'GB', 'United Kingdom'),
(154622, '212.133.43.128', '212.133.43.191', 3565497216, 3565497279, 'CZ', 'Czech Republic'),
(154623, '212.133.43.192', '212.133.43.199', 3565497280, 3565497287, 'NL', 'Netherlands'),
(154624, '212.133.43.200', '212.133.43.255', 3565497288, 3565497343, 'GB', 'United Kingdom'),
(154625, '212.133.44.0', '212.133.44.255', 3565497344, 3565497599, 'US', 'United States'),
(154626, '212.133.45.0', '212.133.46.15', 3565497600, 3565497871, 'GB', 'United Kingdom'),
(154627, '212.133.46.16', '212.133.46.31', 3565497872, 3565497887, 'DE', 'Germany'),
(154628, '212.133.46.32', '212.133.46.47', 3565497888, 3565497903, 'GB', 'United Kingdom'),
(154629, '212.133.46.48', '212.133.46.55', 3565497904, 3565497911, 'IE', 'Ireland'),
(154630, '212.133.46.56', '212.133.46.63', 3565497912, 3565497919, 'DE', 'Germany'),
(154631, '212.133.46.64', '212.133.46.71', 3565497920, 3565497927, 'PR', 'Puerto Rico'),
(154632, '212.133.46.72', '212.133.46.95', 3565497928, 3565497951, 'GB', 'United Kingdom'),
(154633, '212.133.46.96', '212.133.46.111', 3565497952, 3565497967, 'US', 'United States'),
(154634, '212.133.46.112', '212.133.46.255', 3565497968, 3565498111, 'GB', 'United Kingdom'),
(154635, '212.133.47.0', '212.133.47.255', 3565498112, 3565498367, 'NL', 'Netherlands'),
(154636, '212.133.48.0', '212.133.48.63', 3565498368, 3565498431, 'FR', 'France'),
(154637, '212.133.48.64', '212.133.48.111', 3565498432, 3565498479, 'US', 'United States'),
(154638, '212.133.48.112', '212.133.48.151', 3565498480, 3565498519, 'GB', 'United Kingdom'),
(154639, '212.133.48.152', '212.133.48.159', 3565498520, 3565498527, 'ZA', 'South Africa'),
(154640, '212.133.48.160', '212.133.53.167', 3565498528, 3565499815, 'GB', 'United Kingdom'),
(154641, '212.133.53.168', '212.133.53.175', 3565499816, 3565499823, 'FR', 'France'),
(154642, '212.133.53.176', '212.133.56.63', 3565499824, 3565500479, 'GB', 'United Kingdom'),
(154643, '212.133.56.64', '212.133.56.127', 3565500480, 3565500543, 'DE', 'Germany'),
(154644, '212.133.56.128', '212.133.56.151', 3565500544, 3565500567, 'GB', 'United Kingdom'),
(154645, '212.133.56.152', '212.133.56.159', 3565500568, 3565500575, 'IE', 'Ireland'),
(154646, '212.133.56.160', '212.133.56.175', 3565500576, 3565500591, 'GB', 'United Kingdom'),
(154647, '212.133.56.176', '212.133.56.183', 3565500592, 3565500599, 'DE', 'Germany'),
(154648, '212.133.56.184', '212.133.56.191', 3565500600, 3565500607, 'GB', 'United Kingdom'),
(154649, '212.133.56.192', '212.133.56.207', 3565500608, 3565500623, 'FR', 'France'),
(154650, '212.133.56.208', '212.133.58.167', 3565500624, 3565501095, 'GB', 'United Kingdom'),
(154651, '212.133.58.168', '212.133.58.175', 3565501096, 3565501103, 'FR', 'France'),
(154652, '212.133.58.176', '212.133.58.191', 3565501104, 3565501119, 'FI', 'Finland'),
(154653, '212.133.58.192', '212.133.59.47', 3565501120, 3565501231, 'GB', 'United Kingdom'),
(154654, '212.133.59.48', '212.133.59.63', 3565501232, 3565501247, 'DE', 'Germany'),
(154655, '212.133.59.64', '212.133.59.127', 3565501248, 3565501311, 'GB', 'United Kingdom'),
(154656, '212.133.59.128', '212.133.59.255', 3565501312, 3565501439, 'DE', 'Germany'),
(154657, '212.133.60.0', '212.133.60.239', 3565501440, 3565501679, 'GB', 'United Kingdom'),
(154658, '212.133.60.240', '212.133.60.255', 3565501680, 3565501695, 'IE', 'Ireland'),
(154659, '212.133.61.0', '212.133.62.255', 3565501696, 3565502207, 'GB', 'United Kingdom'),
(154660, '212.133.63.0', '212.133.63.31', 3565502208, 3565502239, 'IT', 'Italy'),
(154661, '212.133.63.32', '212.133.63.255', 3565502240, 3565502463, 'GB', 'United Kingdom'),
(154662, '212.133.64.0', '212.133.67.255', 3565502464, 3565503487, 'NL', 'Netherlands'),
(154663, '212.133.68.0', '212.133.69.255', 3565503488, 3565503999, 'GB', 'United Kingdom'),
(154664, '212.133.70.0', '212.133.71.255', 3565504000, 3565504511, 'NL', 'Netherlands'),
(154665, '212.133.72.0', '212.133.95.255', 3565504512, 3565510655, 'GB', 'United Kingdom'),
(154666, '212.133.96.0', '212.133.99.255', 3565510656, 3565511679, 'NL', 'Netherlands'),
(154667, '212.133.100.0', '212.133.101.255', 3565511680, 3565512191, 'CH', 'Switzerland'),
(154668, '212.133.102.0', '212.133.103.255', 3565512192, 3565512703, 'DE', 'Germany'),
(154669, '212.133.104.0', '212.133.104.63', 3565512704, 3565512767, 'GB', 'United Kingdom'),
(154670, '212.133.104.64', '212.133.104.255', 3565512768, 3565512959, 'DE', 'Germany'),
(154671, '212.133.105.0', '212.133.109.127', 3565512960, 3565514111, 'GB', 'United Kingdom'),
(154672, '212.133.109.128', '212.133.109.255', 3565514112, 3565514239, 'DE', 'Germany'),
(154673, '212.133.110.0', '212.133.110.255', 3565514240, 3565514495, 'DK', 'Denmark'),
(154674, '212.133.111.0', '212.133.127.255', 3565514496, 3565518847, 'GB', 'United Kingdom'),
(154675, '212.133.128.0', '212.133.255.255', 3565518848, 3565551615, 'TR', 'Turkey'),
(154676, '212.134.0.0', '212.134.104.255', 3565551616, 3565578495, 'GB', 'United Kingdom'),
(154677, '212.134.105.0', '212.134.105.255', 3565578496, 3565578751, 'CA', 'Canada'),
(154678, '212.134.106.0', '212.135.95.15', 3565578752, 3565641487, 'GB', 'United Kingdom'),
(154679, '212.135.95.16', '212.135.95.31', 3565641488, 3565641503, 'DE', 'Germany'),
(154680, '212.135.95.32', '212.135.255.255', 3565641504, 3565682687, 'GB', 'United Kingdom'),
(154681, '212.136.0.0', '212.136.20.255', 3565682688, 3565688063, 'NL', 'Netherlands'),
(154682, '212.136.21.0', '212.136.21.255', 3565688064, 3565688319, 'GB', 'United Kingdom'),
(154683, '212.136.22.0', '212.136.255.255', 3565688320, 3565748223, 'NL', 'Netherlands'),
(154684, '212.137.0.0', '212.137.18.7', 3565748224, 3565752839, 'GB', 'United Kingdom'),
(154685, '212.137.18.8', '212.137.18.23', 3565752840, 3565752855, 'EU', 'Europe'),
(154686, '212.137.18.24', '212.137.18.47', 3565752856, 3565752879, 'GB', 'United Kingdom'),
(154687, '212.137.18.48', '212.137.18.55', 3565752880, 3565752887, 'EU', 'Europe'),
(154688, '212.137.18.56', '212.137.18.151', 3565752888, 3565752983, 'GB', 'United Kingdom'),
(154689, '212.137.18.152', '212.137.18.159', 3565752984, 3565752991, 'EU', 'Europe'),
(154690, '212.137.18.160', '212.137.18.167', 3565752992, 3565752999, 'GB', 'United Kingdom'),
(154691, '212.137.18.168', '212.137.18.183', 3565753000, 3565753015, 'EU', 'Europe'),
(154692, '212.137.18.184', '212.137.18.199', 3565753016, 3565753031, 'GB', 'United Kingdom'),
(154693, '212.137.18.200', '212.137.18.207', 3565753032, 3565753039, 'EU', 'Europe'),
(154694, '212.137.18.208', '212.137.18.239', 3565753040, 3565753071, 'GB', 'United Kingdom'),
(154695, '212.137.18.240', '212.137.18.247', 3565753072, 3565753079, 'EU', 'Europe'),
(154696, '212.137.18.248', '212.137.19.95', 3565753080, 3565753183, 'GB', 'United Kingdom'),
(154697, '212.137.19.96', '212.137.19.159', 3565753184, 3565753247, 'EU', 'Europe'),
(154698, '212.137.19.160', '212.137.19.191', 3565753248, 3565753279, 'GB', 'United Kingdom'),
(154699, '212.137.19.192', '212.137.19.255', 3565753280, 3565753343, 'EU', 'Europe'),
(154700, '212.137.20.0', '212.137.21.191', 3565753344, 3565753791, 'GB', 'United Kingdom'),
(154701, '212.137.21.192', '212.137.21.199', 3565753792, 3565753799, 'EU', 'Europe'),
(154702, '212.137.21.200', '212.137.21.215', 3565753800, 3565753815, 'GB', 'United Kingdom'),
(154703, '212.137.21.216', '212.137.21.223', 3565753816, 3565753823, 'EU', 'Europe'),
(154704, '212.137.21.224', '212.137.21.231', 3565753824, 3565753831, 'GB', 'United Kingdom'),
(154705, '212.137.21.232', '212.137.21.239', 3565753832, 3565753839, 'EU', 'Europe'),
(154706, '212.137.21.240', '212.137.21.247', 3565753840, 3565753847, 'GB', 'United Kingdom'),
(154707, '212.137.21.248', '212.137.22.127', 3565753848, 3565753983, 'EU', 'Europe'),
(154708, '212.137.22.128', '212.137.23.255', 3565753984, 3565754367, 'GB', 'United Kingdom'),
(154709, '212.137.24.0', '212.137.24.127', 3565754368, 3565754495, 'EU', 'Europe'),
(154710, '212.137.24.128', '212.137.24.143', 3565754496, 3565754511, 'GB', 'United Kingdom'),
(154711, '212.137.24.144', '212.137.24.255', 3565754512, 3565754623, 'EU', 'Europe'),
(154712, '212.137.25.0', '212.137.27.127', 3565754624, 3565755263, 'GB', 'United Kingdom'),
(154713, '212.137.27.128', '212.137.27.143', 3565755264, 3565755279, 'EU', 'Europe'),
(154714, '212.137.27.144', '212.137.27.223', 3565755280, 3565755359, 'GB', 'United Kingdom'),
(154715, '212.137.27.224', '212.137.27.239', 3565755360, 3565755375, 'EU', 'Europe'),
(154716, '212.137.27.240', '212.137.28.191', 3565755376, 3565755583, 'GB', 'United Kingdom'),
(154717, '212.137.28.192', '212.137.28.255', 3565755584, 3565755647, 'EU', 'Europe'),
(154718, '212.137.29.0', '212.137.29.47', 3565755648, 3565755695, 'GB', 'United Kingdom'),
(154719, '212.137.29.48', '212.137.29.55', 3565755696, 3565755703, 'EU', 'Europe'),
(154720, '212.137.29.56', '212.137.29.79', 3565755704, 3565755727, 'GB', 'United Kingdom'),
(154721, '212.137.29.80', '212.137.29.87', 3565755728, 3565755735, 'EU', 'Europe'),
(154722, '212.137.29.88', '212.137.29.183', 3565755736, 3565755831, 'GB', 'United Kingdom'),
(154723, '212.137.29.184', '212.137.29.191', 3565755832, 3565755839, 'EU', 'Europe'),
(154724, '212.137.29.192', '212.137.29.199', 3565755840, 3565755847, 'GB', 'United Kingdom'),
(154725, '212.137.29.200', '212.137.29.207', 3565755848, 3565755855, 'EU', 'Europe'),
(154726, '212.137.29.208', '212.137.29.223', 3565755856, 3565755871, 'GB', 'United Kingdom'),
(154727, '212.137.29.224', '212.137.29.231', 3565755872, 3565755879, 'EU', 'Europe'),
(154728, '212.137.29.232', '212.137.30.15', 3565755880, 3565755919, 'GB', 'United Kingdom'),
(154729, '212.137.30.16', '212.137.30.23', 3565755920, 3565755927, 'EU', 'Europe'),
(154730, '212.137.30.24', '212.137.30.31', 3565755928, 3565755935, 'GB', 'United Kingdom'),
(154731, '212.137.30.32', '212.137.30.39', 3565755936, 3565755943, 'EU', 'Europe'),
(154732, '212.137.30.40', '212.137.30.55', 3565755944, 3565755959, 'GB', 'United Kingdom'),
(154733, '212.137.30.56', '212.137.30.63', 3565755960, 3565755967, 'EU', 'Europe'),
(154734, '212.137.30.64', '212.137.30.95', 3565755968, 3565755999, 'GB', 'United Kingdom'),
(154735, '212.137.30.96', '212.137.30.103', 3565756000, 3565756007, 'EU', 'Europe'),
(154736, '212.137.30.104', '212.137.30.159', 3565756008, 3565756063, 'GB', 'United Kingdom'),
(154737, '212.137.30.160', '212.137.30.167', 3565756064, 3565756071, 'EU', 'Europe'),
(154738, '212.137.30.168', '212.137.30.183', 3565756072, 3565756087, 'GB', 'United Kingdom'),
(154739, '212.137.30.184', '212.137.30.191', 3565756088, 3565756095, 'EU', 'Europe'),
(154740, '212.137.30.192', '212.137.30.215', 3565756096, 3565756119, 'GB', 'United Kingdom'),
(154741, '212.137.30.216', '212.137.30.231', 3565756120, 3565756135, 'EU', 'Europe'),
(154742, '212.137.30.232', '212.137.30.255', 3565756136, 3565756159, 'GB', 'United Kingdom'),
(154743, '212.137.31.0', '212.137.31.127', 3565756160, 3565756287, 'EU', 'Europe'),
(154744, '212.137.31.128', '212.137.49.15', 3565756288, 3565760783, 'GB', 'United Kingdom'),
(154745, '212.137.49.16', '212.137.49.23', 3565760784, 3565760791, 'EU', 'Europe'),
(154746, '212.137.49.24', '212.137.49.31', 3565760792, 3565760799, 'GB', 'United Kingdom'),
(154747, '212.137.49.32', '212.137.49.39', 3565760800, 3565760807, 'EU', 'Europe'),
(154748, '212.137.49.40', '212.137.49.55', 3565760808, 3565760823, 'GB', 'United Kingdom'),
(154749, '212.137.49.56', '212.137.49.63', 3565760824, 3565760831, 'EU', 'Europe'),
(154750, '212.137.49.64', '212.137.49.87', 3565760832, 3565760855, 'GB', 'United Kingdom'),
(154751, '212.137.49.88', '212.137.49.95', 3565760856, 3565760863, 'EU', 'Europe'),
(154752, '212.137.49.96', '212.137.49.167', 3565760864, 3565760935, 'GB', 'United Kingdom'),
(154753, '212.137.49.168', '212.137.49.175', 3565760936, 3565760943, 'EU', 'Europe'),
(154754, '212.137.49.176', '212.137.49.199', 3565760944, 3565760967, 'GB', 'United Kingdom'),
(154755, '212.137.49.200', '212.137.49.207', 3565760968, 3565760975, 'EU', 'Europe'),
(154756, '212.137.49.208', '212.137.49.239', 3565760976, 3565761007, 'GB', 'United Kingdom'),
(154757, '212.137.49.240', '212.137.49.247', 3565761008, 3565761015, 'EU', 'Europe'),
(154758, '212.137.49.248', '212.137.50.255', 3565761016, 3565761279, 'GB', 'United Kingdom'),
(154759, '212.137.51.0', '212.137.51.63', 3565761280, 3565761343, 'EU', 'Europe'),
(154760, '212.137.51.64', '212.137.51.255', 3565761344, 3565761535, 'GB', 'United Kingdom'),
(154761, '212.137.52.0', '212.137.52.7', 3565761536, 3565761543, 'EU', 'Europe'),
(154762, '212.137.52.8', '212.137.52.63', 3565761544, 3565761599, 'GB', 'United Kingdom'),
(154763, '212.137.52.64', '212.137.52.79', 3565761600, 3565761615, 'EU', 'Europe'),
(154764, '212.137.52.80', '212.137.52.95', 3565761616, 3565761631, 'GB', 'United Kingdom'),
(154765, '212.137.52.96', '212.137.52.103', 3565761632, 3565761639, 'EU', 'Europe'),
(154766, '212.137.52.104', '212.137.52.111', 3565761640, 3565761647, 'GB', 'United Kingdom'),
(154767, '212.137.52.112', '212.137.52.119', 3565761648, 3565761655, 'EU', 'Europe'),
(154768, '212.137.52.120', '212.137.52.151', 3565761656, 3565761687, 'GB', 'United Kingdom'),
(154769, '212.137.52.152', '212.137.52.167', 3565761688, 3565761703, 'EU', 'Europe'),
(154770, '212.137.52.168', '212.137.52.191', 3565761704, 3565761727, 'GB', 'United Kingdom'),
(154771, '212.137.52.192', '212.137.52.215', 3565761728, 3565761751, 'EU', 'Europe'),
(154772, '212.137.52.216', '212.137.52.247', 3565761752, 3565761783, 'GB', 'United Kingdom'),
(154773, '212.137.52.248', '212.137.52.255', 3565761784, 3565761791, 'EU', 'Europe'),
(154774, '212.137.53.0', '212.137.53.255', 3565761792, 3565762047, 'GB', 'United Kingdom'),
(154775, '212.137.54.0', '212.137.54.255', 3565762048, 3565762303, 'ZA', 'South Africa'),
(154776, '212.137.55.0', '212.137.55.255', 3565762304, 3565762559, 'EU', 'Europe'),
(154777, '212.137.56.0', '212.137.56.255', 3565762560, 3565762815, 'GB', 'United Kingdom'),
(154778, '212.137.57.0', '212.137.57.255', 3565762816, 3565763071, 'EU', 'Europe'),
(154779, '212.137.58.0', '212.137.59.127', 3565763072, 3565763455, 'GB', 'United Kingdom'),
(154780, '212.137.59.128', '212.137.59.159', 3565763456, 3565763487, 'EU', 'Europe'),
(154781, '212.137.59.160', '212.137.60.15', 3565763488, 3565763599, 'GB', 'United Kingdom'),
(154782, '212.137.60.16', '212.137.60.31', 3565763600, 3565763615, 'EU', 'Europe'),
(154783, '212.137.60.32', '212.137.60.87', 3565763616, 3565763671, 'GB', 'United Kingdom'),
(154784, '212.137.60.88', '212.137.60.95', 3565763672, 3565763679, 'EU', 'Europe'),
(154785, '212.137.60.96', '212.137.60.119', 3565763680, 3565763703, 'GB', 'United Kingdom'),
(154786, '212.137.60.120', '212.137.60.135', 3565763704, 3565763719, 'EU', 'Europe'),
(154787, '212.137.60.136', '212.137.60.151', 3565763720, 3565763735, 'GB', 'United Kingdom'),
(154788, '212.137.60.152', '212.137.60.159', 3565763736, 3565763743, 'EU', 'Europe'),
(154789, '212.137.60.160', '212.137.60.167', 3565763744, 3565763751, 'GB', 'United Kingdom'),
(154790, '212.137.60.168', '212.137.60.175', 3565763752, 3565763759, 'EU', 'Europe'),
(154791, '212.137.60.176', '212.137.60.215', 3565763760, 3565763799, 'GB', 'United Kingdom'),
(154792, '212.137.60.216', '212.137.60.223', 3565763800, 3565763807, 'EU', 'Europe'),
(154793, '212.137.60.224', '212.137.60.231', 3565763808, 3565763815, 'GB', 'United Kingdom'),
(154794, '212.137.60.232', '212.137.60.247', 3565763816, 3565763831, 'EU', 'Europe'),
(154795, '212.137.60.248', '212.137.60.255', 3565763832, 3565763839, 'GB', 'United Kingdom'),
(154796, '212.137.61.0', '212.137.61.43', 3565763840, 3565763883, 'EU', 'Europe'),
(154797, '212.137.61.44', '212.137.61.51', 3565763884, 3565763891, 'GB', 'United Kingdom'),
(154798, '212.137.61.52', '212.137.61.255', 3565763892, 3565764095, 'EU', 'Europe'),
(154799, '212.137.62.0', '212.137.62.87', 3565764096, 3565764183, 'GB', 'United Kingdom'),
(154800, '212.137.62.88', '212.137.62.95', 3565764184, 3565764191, 'EU', 'Europe'),
(154801, '212.137.62.96', '212.137.62.111', 3565764192, 3565764207, 'GB', 'United Kingdom'),
(154802, '212.137.62.112', '212.137.62.159', 3565764208, 3565764255, 'EU', 'Europe'),
(154803, '212.137.62.160', '212.137.63.15', 3565764256, 3565764367, 'GB', 'United Kingdom'),
(154804, '212.137.63.16', '212.137.63.23', 3565764368, 3565764375, 'EU', 'Europe'),
(154805, '212.137.63.24', '212.137.63.87', 3565764376, 3565764439, 'GB', 'United Kingdom'),
(154806, '212.137.63.88', '212.137.63.95', 3565764440, 3565764447, 'EU', 'Europe'),
(154807, '212.137.63.96', '212.137.63.103', 3565764448, 3565764455, 'GB', 'United Kingdom'),
(154808, '212.137.63.104', '212.137.63.111', 3565764456, 3565764463, 'EU', 'Europe'),
(154809, '212.137.63.112', '212.137.63.199', 3565764464, 3565764551, 'GB', 'United Kingdom'),
(154810, '212.137.63.200', '212.137.63.223', 3565764552, 3565764575, 'EU', 'Europe'),
(154811, '212.137.63.224', '212.137.71.255', 3565764576, 3565766655, 'GB', 'United Kingdom'),
(154812, '212.137.72.0', '212.137.72.255', 3565766656, 3565766911, 'EU', 'Europe'),
(154813, '212.137.73.0', '212.137.73.255', 3565766912, 3565767167, 'GB', 'United Kingdom'),
(154814, '212.137.74.0', '212.137.74.7', 3565767168, 3565767175, 'EU', 'Europe'),
(154815, '212.137.74.8', '212.137.74.87', 3565767176, 3565767255, 'GB', 'United Kingdom'),
(154816, '212.137.74.88', '212.137.74.103', 3565767256, 3565767271, 'EU', 'Europe'),
(154817, '212.137.74.104', '212.137.74.119', 3565767272, 3565767287, 'GB', 'United Kingdom'),
(154818, '212.137.74.120', '212.137.74.127', 3565767288, 3565767295, 'EU', 'Europe'),
(154819, '212.137.74.128', '212.137.74.183', 3565767296, 3565767351, 'GB', 'United Kingdom'),
(154820, '212.137.74.184', '212.137.74.191', 3565767352, 3565767359, 'EU', 'Europe'),
(154821, '212.137.74.192', '212.137.74.231', 3565767360, 3565767399, 'GB', 'United Kingdom'),
(154822, '212.137.74.232', '212.137.74.239', 3565767400, 3565767407, 'EU', 'Europe'),
(154823, '212.137.74.240', '212.137.75.15', 3565767408, 3565767439, 'GB', 'United Kingdom'),
(154824, '212.137.75.16', '212.137.75.31', 3565767440, 3565767455, 'EU', 'Europe'),
(154825, '212.137.75.32', '212.137.75.63', 3565767456, 3565767487, 'GB', 'United Kingdom'),
(154826, '212.137.75.64', '212.137.75.79', 3565767488, 3565767503, 'EU', 'Europe'),
(154827, '212.137.75.80', '212.137.75.175', 3565767504, 3565767599, 'GB', 'United Kingdom'),
(154828, '212.137.75.176', '212.137.75.191', 3565767600, 3565767615, 'EU', 'Europe'),
(154829, '212.137.75.192', '212.137.75.207', 3565767616, 3565767631, 'GB', 'United Kingdom'),
(154830, '212.137.75.208', '212.137.75.255', 3565767632, 3565767679, 'EU', 'Europe'),
(154831, '212.137.76.0', '212.137.77.63', 3565767680, 3565767999, 'GB', 'United Kingdom'),
(154832, '212.137.77.64', '212.137.78.15', 3565768000, 3565768207, 'EU', 'Europe'),
(154833, '212.137.78.16', '212.137.78.79', 3565768208, 3565768271, 'GB', 'United Kingdom'),
(154834, '212.137.78.80', '212.137.78.87', 3565768272, 3565768279, 'EU', 'Europe'),
(154835, '212.137.78.88', '212.137.78.103', 3565768280, 3565768295, 'GB', 'United Kingdom'),
(154836, '212.137.78.104', '212.137.78.119', 3565768296, 3565768311, 'EU', 'Europe'),
(154837, '212.137.78.120', '212.137.78.143', 3565768312, 3565768335, 'GB', 'United Kingdom'),
(154838, '212.137.78.144', '212.137.78.255', 3565768336, 3565768447, 'EU', 'Europe'),
(154839, '212.137.79.0', '212.137.79.127', 3565768448, 3565768575, 'GB', 'United Kingdom'),
(154840, '212.137.79.128', '212.137.79.255', 3565768576, 3565768703, 'EU', 'Europe'),
(154841, '212.137.80.0', '212.137.81.23', 3565768704, 3565768983, 'GB', 'United Kingdom'),
(154842, '212.137.81.24', '212.137.81.255', 3565768984, 3565769215, 'EU', 'Europe'),
(154843, '212.137.82.0', '212.137.82.255', 3565769216, 3565769471, 'GB', 'United Kingdom'),
(154844, '212.137.83.0', '212.137.115.255', 3565769472, 3565777919, 'EU', 'Europe'),
(154845, '212.137.116.0', '212.137.255.255', 3565777920, 3565813759, 'GB', 'United Kingdom'),
(154846, '212.138.0.0', '212.138.255.255', 3565813760, 3565879295, 'SA', 'Saudi Arabia'),
(154847, '212.139.0.0', '212.140.255.255', 3565879296, 3566010367, 'GB', 'United Kingdom'),
(154848, '212.141.0.0', '212.141.255.255', 3566010368, 3566075903, 'IT', 'Italy'),
(154849, '212.142.0.0', '212.142.63.255', 3566075904, 3566092287, 'NL', 'Netherlands'),
(154850, '212.142.64.0', '212.142.127.255', 3566092288, 3566108671, 'LV', 'Latvia'),
(154851, '212.142.128.0', '212.142.255.255', 3566108672, 3566141439, 'ES', 'Spain'),
(154852, '212.143.0.0', '212.143.255.255', 3566141440, 3566206975, 'IL', 'Israel'),
(154853, '212.144.0.0', '212.144.255.255', 3566206976, 3566272511, 'DE', 'Germany'),
(154854, '212.145.0.0', '212.145.255.255', 3566272512, 3566338047, 'ES', 'Spain'),
(154855, '212.146.0.0', '212.146.63.255', 3566338048, 3566354431, 'FI', 'Finland'),
(154856, '212.146.64.0', '212.146.127.255', 3566354432, 3566370815, 'RO', 'Romania'),
(154857, '212.146.128.0', '212.146.255.255', 3566370816, 3566403583, 'TR', 'Turkey'),
(154858, '212.147.0.0', '212.147.127.255', 3566403584, 3566436351, 'CH', 'Switzerland'),
(154859, '212.147.128.0', '212.147.136.146', 3566436352, 3566438546, 'IE', 'Ireland'),
(154860, '212.147.136.147', '212.147.136.147', 3566438547, 3566438547, 'EU', 'Europe'),
(154861, '212.147.136.148', '212.147.140.191', 3566438548, 3566439615, 'IE', 'Ireland'),
(154862, '212.147.140.192', '212.147.140.207', 3566439616, 3566439631, 'GB', 'United Kingdom'),
(154863, '212.147.140.208', '212.147.255.255', 3566439632, 3566469119, 'IE', 'Ireland'),
(154864, '212.148.0.0', '212.148.255.255', 3566469120, 3566534655, 'GB', 'United Kingdom'),
(154865, '212.149.0.0', '212.149.63.255', 3566534656, 3566551039, 'DE', 'Germany'),
(154866, '212.149.64.0', '212.149.156.155', 3566551040, 3566574747, 'FI', 'Finland'),
(154867, '212.149.156.156', '212.149.156.159', 3566574748, 3566574751, 'SE', 'Sweden'),
(154868, '212.149.156.160', '212.149.255.255', 3566574752, 3566600191, 'FI', 'Finland'),
(154869, '212.150.0.0', '212.150.27.255', 3566600192, 3566607359, 'IL', 'Israel'),
(154870, '212.150.28.0', '212.150.28.255', 3566607360, 3566607615, 'GN', 'Guinea'),
(154871, '212.150.29.0', '212.150.184.107', 3566607616, 3566647403, 'IL', 'Israel'),
(154872, '212.150.184.108', '212.150.184.108', 3566647404, 3566647404, 'A1', 'Anonymous Proxy'),
(154873, '212.150.184.109', '212.150.255.255', 3566647405, 3566665727, 'IL', 'Israel'),
(154874, '212.151.0.0', '212.151.223.255', 3566665728, 3566723071, 'SE', 'Sweden'),
(154875, '212.151.224.0', '212.151.224.255', 3566723072, 3566723327, 'RU', 'Russian Federation'),
(154876, '212.151.225.0', '212.152.31.255', 3566723328, 3566739455, 'SE', 'Sweden'),
(154877, '212.152.32.0', '212.152.63.255', 3566739456, 3566747647, 'RU', 'Russian Federation'),
(154878, '212.152.64.0', '212.152.127.255', 3566747648, 3566764031, 'GR', 'Greece'),
(154879, '212.152.128.0', '212.152.255.255', 3566764032, 3566796799, 'AT', 'Austria'),
(154880, '212.153.0.0', '212.153.76.255', 3566796800, 3566816511, 'NL', 'Netherlands'),
(154881, '212.153.77.0', '212.153.77.255', 3566816512, 3566816767, 'US', 'United States'),
(154882, '212.153.78.0', '212.153.255.255', 3566816768, 3566862335, 'NL', 'Netherlands'),
(154883, '212.154.0.0', '212.154.127.255', 3566862336, 3566895103, 'TR', 'Turkey'),
(154884, '212.154.128.0', '212.154.255.255', 3566895104, 3566927871, 'KZ', 'Kazakhstan'),
(154885, '212.155.0.0', '212.155.190.255', 3566927872, 3566976767, 'FR', 'France'),
(154886, '212.155.191.0', '212.155.191.255', 3566976768, 3566977023, 'EU', 'Europe'),
(154887, '212.155.192.0', '212.155.255.255', 3566977024, 3566993407, 'FR', 'France'),
(154888, '212.156.0.0', '212.156.255.255', 3566993408, 3567058943, 'TR', 'Turkey'),
(154889, '212.157.0.0', '212.157.172.71', 3567058944, 3567103047, 'FR', 'France'),
(154890, '212.157.172.72', '212.157.172.79', 3567103048, 3567103055, 'IT', 'Italy'),
(154891, '212.157.172.80', '212.157.255.255', 3567103056, 3567124479, 'FR', 'France'),
(154892, '212.158.0.0', '212.158.1.255', 3567124480, 3567124991, 'EU', 'Europe'),
(154893, '212.158.2.0', '212.158.2.31', 3567124992, 3567125023, 'GB', 'United Kingdom'),
(154894, '212.158.2.32', '212.158.2.255', 3567125024, 3567125247, 'EU', 'Europe'),
(154895, '212.158.3.0', '212.158.3.255', 3567125248, 3567125503, 'GB', 'United Kingdom'),
(154896, '212.158.4.0', '212.158.8.159', 3567125504, 3567126687, 'EU', 'Europe'),
(154897, '212.158.8.160', '212.158.8.231', 3567126688, 3567126759, 'GB', 'United Kingdom'),
(154898, '212.158.8.232', '212.158.11.255', 3567126760, 3567127551, 'EU', 'Europe'),
(154899, '212.158.12.0', '212.158.12.255', 3567127552, 3567127807, 'GB', 'United Kingdom'),
(154900, '212.158.13.0', '212.158.20.255', 3567127808, 3567129855, 'EU', 'Europe'),
(154901, '212.158.21.0', '212.158.21.31', 3567129856, 3567129887, 'GB', 'United Kingdom'),
(154902, '212.158.21.32', '212.158.21.159', 3567129888, 3567130015, 'EU', 'Europe'),
(154903, '212.158.21.160', '212.158.21.223', 3567130016, 3567130079, 'GB', 'United Kingdom'),
(154904, '212.158.21.224', '212.158.26.247', 3567130080, 3567131383, 'EU', 'Europe'),
(154905, '212.158.26.248', '212.158.27.255', 3567131384, 3567131647, 'GB', 'United Kingdom'),
(154906, '212.158.28.0', '212.158.34.31', 3567131648, 3567133215, 'EU', 'Europe'),
(154907, '212.158.34.32', '212.158.34.63', 3567133216, 3567133247, 'GB', 'United Kingdom'),
(154908, '212.158.34.64', '212.158.34.183', 3567133248, 3567133367, 'EU', 'Europe'),
(154909, '212.158.34.184', '212.158.34.191', 3567133368, 3567133375, 'GB', 'United Kingdom'),
(154910, '212.158.34.192', '212.158.37.255', 3567133376, 3567134207, 'EU', 'Europe'),
(154911, '212.158.38.0', '212.158.38.127', 3567134208, 3567134335, 'GB', 'United Kingdom'),
(154912, '212.158.38.128', '212.158.40.127', 3567134336, 3567134847, 'EU', 'Europe'),
(154913, '212.158.40.128', '212.158.40.255', 3567134848, 3567134975, 'GB', 'United Kingdom'),
(154914, '212.158.41.0', '212.158.44.255', 3567134976, 3567135999, 'EU', 'Europe'),
(154915, '212.158.45.0', '212.158.45.255', 3567136000, 3567136255, 'GB', 'United Kingdom'),
(154916, '212.158.46.0', '212.158.46.255', 3567136256, 3567136511, 'EU', 'Europe'),
(154917, '212.158.47.0', '212.158.47.63', 3567136512, 3567136575, 'GB', 'United Kingdom'),
(154918, '212.158.47.64', '212.158.47.127', 3567136576, 3567136639, 'EU', 'Europe'),
(154919, '212.158.47.128', '212.158.47.159', 3567136640, 3567136671, 'GB', 'United Kingdom'),
(154920, '212.158.47.160', '212.158.47.255', 3567136672, 3567136767, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(154921, '212.158.48.0', '212.158.48.127', 3567136768, 3567136895, 'GB', 'United Kingdom'),
(154922, '212.158.48.128', '212.158.48.255', 3567136896, 3567137023, 'EU', 'Europe'),
(154923, '212.158.49.0', '212.158.49.255', 3567137024, 3567137279, 'GB', 'United Kingdom'),
(154924, '212.158.50.0', '212.158.51.63', 3567137280, 3567137599, 'EU', 'Europe'),
(154925, '212.158.51.64', '212.158.51.127', 3567137600, 3567137663, 'GB', 'United Kingdom'),
(154926, '212.158.51.128', '212.158.52.195', 3567137664, 3567137987, 'EU', 'Europe'),
(154927, '212.158.52.196', '212.158.52.199', 3567137988, 3567137991, 'GB', 'United Kingdom'),
(154928, '212.158.52.200', '212.158.52.207', 3567137992, 3567137999, 'EU', 'Europe'),
(154929, '212.158.52.208', '212.158.52.211', 3567138000, 3567138003, 'GB', 'United Kingdom'),
(154930, '212.158.52.212', '212.158.52.247', 3567138004, 3567138039, 'EU', 'Europe'),
(154931, '212.158.52.248', '212.158.52.255', 3567138040, 3567138047, 'GB', 'United Kingdom'),
(154932, '212.158.53.0', '212.158.60.255', 3567138048, 3567140095, 'EU', 'Europe'),
(154933, '212.158.61.0', '212.158.61.255', 3567140096, 3567140351, 'GB', 'United Kingdom'),
(154934, '212.158.62.0', '212.158.63.255', 3567140352, 3567140863, 'EU', 'Europe'),
(154935, '212.158.64.0', '212.158.64.63', 3567140864, 3567140927, 'GB', 'United Kingdom'),
(154936, '212.158.64.64', '212.158.66.255', 3567140928, 3567141631, 'EU', 'Europe'),
(154937, '212.158.67.0', '212.158.67.255', 3567141632, 3567141887, 'GB', 'United Kingdom'),
(154938, '212.158.68.0', '212.158.69.127', 3567141888, 3567142271, 'EU', 'Europe'),
(154939, '212.158.69.128', '212.158.69.255', 3567142272, 3567142399, 'GB', 'United Kingdom'),
(154940, '212.158.70.0', '212.158.74.7', 3567142400, 3567143431, 'EU', 'Europe'),
(154941, '212.158.74.8', '212.158.74.15', 3567143432, 3567143439, 'GB', 'United Kingdom'),
(154942, '212.158.74.16', '212.158.74.95', 3567143440, 3567143519, 'EU', 'Europe'),
(154943, '212.158.74.96', '212.158.74.127', 3567143520, 3567143551, 'GB', 'United Kingdom'),
(154944, '212.158.74.128', '212.158.74.255', 3567143552, 3567143679, 'EU', 'Europe'),
(154945, '212.158.75.0', '212.158.75.7', 3567143680, 3567143687, 'GB', 'United Kingdom'),
(154946, '212.158.75.8', '212.158.75.191', 3567143688, 3567143871, 'EU', 'Europe'),
(154947, '212.158.75.192', '212.158.75.255', 3567143872, 3567143935, 'GB', 'United Kingdom'),
(154948, '212.158.76.0', '212.158.76.15', 3567143936, 3567143951, 'EU', 'Europe'),
(154949, '212.158.76.16', '212.158.76.31', 3567143952, 3567143967, 'GB', 'United Kingdom'),
(154950, '212.158.76.32', '212.158.76.235', 3567143968, 3567144171, 'EU', 'Europe'),
(154951, '212.158.76.236', '212.158.76.239', 3567144172, 3567144175, 'GB', 'United Kingdom'),
(154952, '212.158.76.240', '212.158.77.127', 3567144176, 3567144319, 'EU', 'Europe'),
(154953, '212.158.77.128', '212.158.77.255', 3567144320, 3567144447, 'GB', 'United Kingdom'),
(154954, '212.158.78.0', '212.158.79.63', 3567144448, 3567144767, 'EU', 'Europe'),
(154955, '212.158.79.64', '212.158.79.127', 3567144768, 3567144831, 'GB', 'United Kingdom'),
(154956, '212.158.79.128', '212.158.90.7', 3567144832, 3567147527, 'EU', 'Europe'),
(154957, '212.158.90.8', '212.158.90.15', 3567147528, 3567147535, 'GB', 'United Kingdom'),
(154958, '212.158.90.16', '212.158.90.31', 3567147536, 3567147551, 'EU', 'Europe'),
(154959, '212.158.90.32', '212.158.90.39', 3567147552, 3567147559, 'GB', 'United Kingdom'),
(154960, '212.158.90.40', '212.158.93.231', 3567147560, 3567148519, 'EU', 'Europe'),
(154961, '212.158.93.232', '212.158.93.239', 3567148520, 3567148527, 'GB', 'United Kingdom'),
(154962, '212.158.93.240', '212.158.94.255', 3567148528, 3567148799, 'EU', 'Europe'),
(154963, '212.158.95.0', '212.158.95.255', 3567148800, 3567149055, 'GB', 'United Kingdom'),
(154964, '212.158.96.0', '212.158.96.31', 3567149056, 3567149087, 'EU', 'Europe'),
(154965, '212.158.96.32', '212.158.96.63', 3567149088, 3567149119, 'GB', 'United Kingdom'),
(154966, '212.158.96.64', '212.158.99.79', 3567149120, 3567149903, 'EU', 'Europe'),
(154967, '212.158.99.80', '212.158.99.87', 3567149904, 3567149911, 'GB', 'United Kingdom'),
(154968, '212.158.99.88', '212.158.99.95', 3567149912, 3567149919, 'EU', 'Europe'),
(154969, '212.158.99.96', '212.158.99.111', 3567149920, 3567149935, 'GB', 'United Kingdom'),
(154970, '212.158.99.112', '212.158.104.31', 3567149936, 3567151135, 'EU', 'Europe'),
(154971, '212.158.104.32', '212.158.104.95', 3567151136, 3567151199, 'GB', 'United Kingdom'),
(154972, '212.158.104.96', '212.158.104.127', 3567151200, 3567151231, 'EU', 'Europe'),
(154973, '212.158.104.128', '212.158.104.159', 3567151232, 3567151263, 'GB', 'United Kingdom'),
(154974, '212.158.104.160', '212.158.107.127', 3567151264, 3567151999, 'EU', 'Europe'),
(154975, '212.158.107.128', '212.158.107.255', 3567152000, 3567152127, 'GB', 'United Kingdom'),
(154976, '212.158.108.0', '212.158.108.31', 3567152128, 3567152159, 'EU', 'Europe'),
(154977, '212.158.108.32', '212.158.108.63', 3567152160, 3567152191, 'GB', 'United Kingdom'),
(154978, '212.158.108.64', '212.158.108.127', 3567152192, 3567152255, 'EU', 'Europe'),
(154979, '212.158.108.128', '212.158.108.255', 3567152256, 3567152383, 'GB', 'United Kingdom'),
(154980, '212.158.109.0', '212.158.109.7', 3567152384, 3567152391, 'EU', 'Europe'),
(154981, '212.158.109.8', '212.158.109.23', 3567152392, 3567152407, 'GB', 'United Kingdom'),
(154982, '212.158.109.24', '212.158.109.255', 3567152408, 3567152639, 'EU', 'Europe'),
(154983, '212.158.110.0', '212.158.110.7', 3567152640, 3567152647, 'GB', 'United Kingdom'),
(154984, '212.158.110.8', '212.158.110.23', 3567152648, 3567152663, 'EU', 'Europe'),
(154985, '212.158.110.24', '212.158.110.31', 3567152664, 3567152671, 'GB', 'United Kingdom'),
(154986, '212.158.110.32', '212.158.110.103', 3567152672, 3567152743, 'EU', 'Europe'),
(154987, '212.158.110.104', '212.158.110.111', 3567152744, 3567152751, 'GB', 'United Kingdom'),
(154988, '212.158.110.112', '212.158.110.191', 3567152752, 3567152831, 'EU', 'Europe'),
(154989, '212.158.110.192', '212.158.110.223', 3567152832, 3567152863, 'GB', 'United Kingdom'),
(154990, '212.158.110.224', '212.158.111.63', 3567152864, 3567152959, 'EU', 'Europe'),
(154991, '212.158.111.64', '212.158.111.95', 3567152960, 3567152991, 'GB', 'United Kingdom'),
(154992, '212.158.111.96', '212.158.111.127', 3567152992, 3567153023, 'EU', 'Europe'),
(154993, '212.158.111.128', '212.158.111.159', 3567153024, 3567153055, 'GB', 'United Kingdom'),
(154994, '212.158.111.160', '212.158.113.191', 3567153056, 3567153599, 'EU', 'Europe'),
(154995, '212.158.113.192', '212.158.113.199', 3567153600, 3567153607, 'GB', 'United Kingdom'),
(154996, '212.158.113.200', '212.158.113.207', 3567153608, 3567153615, 'EU', 'Europe'),
(154997, '212.158.113.208', '212.158.113.215', 3567153616, 3567153623, 'GB', 'United Kingdom'),
(154998, '212.158.113.216', '212.158.113.239', 3567153624, 3567153647, 'EU', 'Europe'),
(154999, '212.158.113.240', '212.158.113.255', 3567153648, 3567153663, 'GB', 'United Kingdom'),
(155000, '212.158.114.0', '212.158.114.23', 3567153664, 3567153687, 'EU', 'Europe'),
(155001, '212.158.114.24', '212.158.114.39', 3567153688, 3567153703, 'GB', 'United Kingdom'),
(155002, '212.158.114.40', '212.158.114.55', 3567153704, 3567153719, 'EU', 'Europe'),
(155003, '212.158.114.56', '212.158.114.63', 3567153720, 3567153727, 'GB', 'United Kingdom'),
(155004, '212.158.114.64', '212.158.114.159', 3567153728, 3567153823, 'EU', 'Europe'),
(155005, '212.158.114.160', '212.158.114.183', 3567153824, 3567153847, 'GB', 'United Kingdom'),
(155006, '212.158.114.184', '212.158.116.127', 3567153848, 3567154303, 'EU', 'Europe'),
(155007, '212.158.116.128', '212.158.116.191', 3567154304, 3567154367, 'GB', 'United Kingdom'),
(155008, '212.158.116.192', '212.158.119.255', 3567154368, 3567155199, 'EU', 'Europe'),
(155009, '212.158.120.0', '212.158.122.255', 3567155200, 3567155967, 'GB', 'United Kingdom'),
(155010, '212.158.123.0', '212.158.124.191', 3567155968, 3567156415, 'EU', 'Europe'),
(155011, '212.158.124.192', '212.158.125.127', 3567156416, 3567156607, 'GB', 'United Kingdom'),
(155012, '212.158.125.128', '212.158.127.255', 3567156608, 3567157247, 'EU', 'Europe'),
(155013, '212.158.128.0', '212.158.159.255', 3567157248, 3567165439, 'CZ', 'Czech Republic'),
(155014, '212.158.160.0', '212.158.175.255', 3567165440, 3567169535, 'RU', 'Russian Federation'),
(155015, '212.158.176.0', '212.158.191.255', 3567169536, 3567173631, 'MK', 'Macedonia'),
(155016, '212.158.192.0', '212.159.191.255', 3567173632, 3567239167, 'GB', 'United Kingdom'),
(155017, '212.159.192.0', '212.159.199.255', 3567239168, 3567241215, 'NL', 'Netherlands'),
(155018, '212.159.200.0', '212.159.200.255', 3567241216, 3567241471, 'EU', 'Europe'),
(155019, '212.159.201.0', '212.159.255.255', 3567241472, 3567255551, 'NL', 'Netherlands'),
(155020, '212.160.0.0', '212.160.255.255', 3567255552, 3567321087, 'PL', 'Poland'),
(155021, '212.161.0.0', '212.161.7.127', 3567321088, 3567323007, 'GB', 'United Kingdom'),
(155022, '212.161.7.128', '212.161.7.143', 3567323008, 3567323023, 'CH', 'Switzerland'),
(155023, '212.161.7.144', '212.161.7.255', 3567323024, 3567323135, 'GB', 'United Kingdom'),
(155024, '212.161.8.0', '212.161.8.255', 3567323136, 3567323391, 'IE', 'Ireland'),
(155025, '212.161.9.0', '212.161.13.63', 3567323392, 3567324479, 'GB', 'United Kingdom'),
(155026, '212.161.13.64', '212.161.13.127', 3567324480, 3567324543, 'ES', 'Spain'),
(155027, '212.161.13.128', '212.161.13.143', 3567324544, 3567324559, 'GB', 'United Kingdom'),
(155028, '212.161.13.144', '212.161.13.159', 3567324560, 3567324575, 'ES', 'Spain'),
(155029, '212.161.13.160', '212.161.13.191', 3567324576, 3567324607, 'GB', 'United Kingdom'),
(155030, '212.161.13.192', '212.161.13.255', 3567324608, 3567324671, 'ES', 'Spain'),
(155031, '212.161.14.0', '212.161.15.191', 3567324672, 3567325119, 'GB', 'United Kingdom'),
(155032, '212.161.15.192', '212.161.15.207', 3567325120, 3567325135, 'ES', 'Spain'),
(155033, '212.161.15.208', '212.161.33.175', 3567325136, 3567329711, 'GB', 'United Kingdom'),
(155034, '212.161.33.176', '212.161.33.191', 3567329712, 3567329727, 'IE', 'Ireland'),
(155035, '212.161.33.192', '212.161.41.159', 3567329728, 3567331743, 'GB', 'United Kingdom'),
(155036, '212.161.41.160', '212.161.41.191', 3567331744, 3567331775, 'IE', 'Ireland'),
(155037, '212.161.41.192', '212.161.116.23', 3567331776, 3567350807, 'GB', 'United Kingdom'),
(155038, '212.161.116.24', '212.161.116.31', 3567350808, 3567350815, 'US', 'United States'),
(155039, '212.161.116.32', '212.161.116.55', 3567350816, 3567350839, 'GB', 'United Kingdom'),
(155040, '212.161.116.56', '212.161.116.63', 3567350840, 3567350847, 'CH', 'Switzerland'),
(155041, '212.161.116.64', '212.161.116.151', 3567350848, 3567350935, 'GB', 'United Kingdom'),
(155042, '212.161.116.152', '212.161.116.159', 3567350936, 3567350943, 'CH', 'Switzerland'),
(155043, '212.161.116.160', '212.161.122.159', 3567350944, 3567352479, 'GB', 'United Kingdom'),
(155044, '212.161.122.160', '212.161.122.167', 3567352480, 3567352487, 'NL', 'Netherlands'),
(155045, '212.161.122.168', '212.161.122.191', 3567352488, 3567352511, 'GB', 'United Kingdom'),
(155046, '212.161.122.192', '212.161.122.199', 3567352512, 3567352519, 'FR', 'France'),
(155047, '212.161.122.200', '212.161.123.183', 3567352520, 3567352759, 'GB', 'United Kingdom'),
(155048, '212.161.123.184', '212.161.123.191', 3567352760, 3567352767, 'NL', 'Netherlands'),
(155049, '212.161.123.192', '212.161.127.255', 3567352768, 3567353855, 'GB', 'United Kingdom'),
(155050, '212.161.128.0', '212.161.255.255', 3567353856, 3567386623, 'CH', 'Switzerland'),
(155051, '212.162.0.0', '212.162.0.47', 3567386624, 3567386671, 'GB', 'United Kingdom'),
(155052, '212.162.0.48', '212.162.0.63', 3567386672, 3567386687, 'DE', 'Germany'),
(155053, '212.162.0.64', '212.162.0.127', 3567386688, 3567386751, 'GB', 'United Kingdom'),
(155054, '212.162.0.128', '212.162.0.191', 3567386752, 3567386815, 'DE', 'Germany'),
(155055, '212.162.0.192', '212.162.0.255', 3567386816, 3567386879, 'GB', 'United Kingdom'),
(155056, '212.162.1.0', '212.162.1.3', 3567386880, 3567386883, 'DE', 'Germany'),
(155057, '212.162.1.4', '212.162.1.95', 3567386884, 3567386975, 'GB', 'United Kingdom'),
(155058, '212.162.1.96', '212.162.1.127', 3567386976, 3567387007, 'DE', 'Germany'),
(155059, '212.162.1.128', '212.162.1.191', 3567387008, 3567387071, 'GB', 'United Kingdom'),
(155060, '212.162.1.192', '212.162.2.255', 3567387072, 3567387391, 'DE', 'Germany'),
(155061, '212.162.3.0', '212.162.3.47', 3567387392, 3567387439, 'GB', 'United Kingdom'),
(155062, '212.162.3.48', '212.162.3.63', 3567387440, 3567387455, 'DE', 'Germany'),
(155063, '212.162.3.64', '212.162.3.95', 3567387456, 3567387487, 'GB', 'United Kingdom'),
(155064, '212.162.3.96', '212.162.3.147', 3567387488, 3567387539, 'DE', 'Germany'),
(155065, '212.162.3.148', '212.162.3.151', 3567387540, 3567387543, 'GB', 'United Kingdom'),
(155066, '212.162.3.152', '212.162.3.155', 3567387544, 3567387547, 'DE', 'Germany'),
(155067, '212.162.3.156', '212.162.3.191', 3567387548, 3567387583, 'GB', 'United Kingdom'),
(155068, '212.162.3.192', '212.162.5.127', 3567387584, 3567388031, 'DE', 'Germany'),
(155069, '212.162.5.128', '212.162.5.255', 3567388032, 3567388159, 'GB', 'United Kingdom'),
(155070, '212.162.6.0', '212.162.6.239', 3567388160, 3567388399, 'DE', 'Germany'),
(155071, '212.162.6.240', '212.162.6.255', 3567388400, 3567388415, 'GB', 'United Kingdom'),
(155072, '212.162.7.0', '212.162.7.191', 3567388416, 3567388607, 'DE', 'Germany'),
(155073, '212.162.7.192', '212.162.7.223', 3567388608, 3567388639, 'GB', 'United Kingdom'),
(155074, '212.162.7.224', '212.162.7.231', 3567388640, 3567388647, 'DE', 'Germany'),
(155075, '212.162.7.232', '212.162.7.255', 3567388648, 3567388671, 'GB', 'United Kingdom'),
(155076, '212.162.8.0', '212.162.8.255', 3567388672, 3567388927, 'CZ', 'Czech Republic'),
(155077, '212.162.9.0', '212.162.9.255', 3567388928, 3567389183, 'DE', 'Germany'),
(155078, '212.162.10.0', '212.162.10.127', 3567389184, 3567389311, 'GB', 'United Kingdom'),
(155079, '212.162.10.128', '212.162.10.191', 3567389312, 3567389375, 'DE', 'Germany'),
(155080, '212.162.10.192', '212.162.11.255', 3567389376, 3567389695, 'GB', 'United Kingdom'),
(155081, '212.162.12.0', '212.162.16.255', 3567389696, 3567390975, 'DE', 'Germany'),
(155082, '212.162.17.0', '212.162.17.131', 3567390976, 3567391107, 'GB', 'United Kingdom'),
(155083, '212.162.17.132', '212.162.17.135', 3567391108, 3567391111, 'DE', 'Germany'),
(155084, '212.162.17.136', '212.162.17.171', 3567391112, 3567391147, 'GB', 'United Kingdom'),
(155085, '212.162.17.172', '212.162.17.175', 3567391148, 3567391151, 'DE', 'Germany'),
(155086, '212.162.17.176', '212.162.17.255', 3567391152, 3567391231, 'GB', 'United Kingdom'),
(155087, '212.162.18.0', '212.162.19.255', 3567391232, 3567391743, 'DE', 'Germany'),
(155088, '212.162.20.0', '212.162.20.23', 3567391744, 3567391767, 'PL', 'Poland'),
(155089, '212.162.20.24', '212.162.20.63', 3567391768, 3567391807, 'GB', 'United Kingdom'),
(155090, '212.162.20.64', '212.162.20.95', 3567391808, 3567391839, 'DE', 'Germany'),
(155091, '212.162.20.96', '212.162.23.255', 3567391840, 3567392767, 'GB', 'United Kingdom'),
(155092, '212.162.24.0', '212.162.24.255', 3567392768, 3567393023, 'DE', 'Germany'),
(155093, '212.162.25.0', '212.162.25.255', 3567393024, 3567393279, 'FR', 'France'),
(155094, '212.162.26.0', '212.162.26.255', 3567393280, 3567393535, 'HU', 'Hungary'),
(155095, '212.162.27.0', '212.162.27.255', 3567393536, 3567393791, 'GB', 'United Kingdom'),
(155096, '212.162.28.0', '212.162.28.255', 3567393792, 3567394047, 'SI', 'Slovenia'),
(155097, '212.162.29.0', '212.162.29.127', 3567394048, 3567394175, 'HR', 'Croatia'),
(155098, '212.162.29.128', '212.162.32.159', 3567394176, 3567394975, 'GB', 'United Kingdom'),
(155099, '212.162.32.160', '212.162.32.191', 3567394976, 3567395007, 'DE', 'Germany'),
(155100, '212.162.32.192', '212.162.32.255', 3567395008, 3567395071, 'GB', 'United Kingdom'),
(155101, '212.162.33.0', '212.162.33.255', 3567395072, 3567395327, 'DE', 'Germany'),
(155102, '212.162.34.0', '212.162.39.255', 3567395328, 3567396863, 'GB', 'United Kingdom'),
(155103, '212.162.40.0', '212.162.40.255', 3567396864, 3567397119, 'DE', 'Germany'),
(155104, '212.162.41.0', '212.162.41.255', 3567397120, 3567397375, 'GB', 'United Kingdom'),
(155105, '212.162.42.0', '212.162.42.127', 3567397376, 3567397503, 'ES', 'Spain'),
(155106, '212.162.42.128', '212.162.43.255', 3567397504, 3567397887, 'GB', 'United Kingdom'),
(155107, '212.162.44.0', '212.162.44.255', 3567397888, 3567398143, 'DE', 'Germany'),
(155108, '212.162.45.0', '212.162.45.47', 3567398144, 3567398191, 'RO', 'Romania'),
(155109, '212.162.45.48', '212.162.45.55', 3567398192, 3567398199, 'DE', 'Germany'),
(155110, '212.162.45.56', '212.162.45.255', 3567398200, 3567398399, 'RO', 'Romania'),
(155111, '212.162.46.0', '212.162.46.255', 3567398400, 3567398655, 'GB', 'United Kingdom'),
(155112, '212.162.47.0', '212.162.47.255', 3567398656, 3567398911, 'DE', 'Germany'),
(155113, '212.162.48.0', '212.162.48.79', 3567398912, 3567398991, 'GB', 'United Kingdom'),
(155114, '212.162.48.80', '212.162.48.119', 3567398992, 3567399031, 'DE', 'Germany'),
(155115, '212.162.48.120', '212.162.48.127', 3567399032, 3567399039, 'GB', 'United Kingdom'),
(155116, '212.162.48.128', '212.162.48.135', 3567399040, 3567399047, 'DE', 'Germany'),
(155117, '212.162.48.136', '212.162.48.159', 3567399048, 3567399071, 'GB', 'United Kingdom'),
(155118, '212.162.48.160', '212.162.48.223', 3567399072, 3567399135, 'DE', 'Germany'),
(155119, '212.162.48.224', '212.162.48.255', 3567399136, 3567399167, 'GB', 'United Kingdom'),
(155120, '212.162.49.0', '212.162.49.127', 3567399168, 3567399295, 'DE', 'Germany'),
(155121, '212.162.49.128', '212.162.49.191', 3567399296, 3567399359, 'GB', 'United Kingdom'),
(155122, '212.162.49.192', '212.162.49.223', 3567399360, 3567399391, 'DE', 'Germany'),
(155123, '212.162.49.224', '212.162.49.255', 3567399392, 3567399423, 'GB', 'United Kingdom'),
(155124, '212.162.50.0', '212.162.50.15', 3567399424, 3567399439, 'DE', 'Germany'),
(155125, '212.162.50.16', '212.162.50.63', 3567399440, 3567399487, 'GB', 'United Kingdom'),
(155126, '212.162.50.64', '212.162.50.223', 3567399488, 3567399647, 'DE', 'Germany'),
(155127, '212.162.50.224', '212.162.50.255', 3567399648, 3567399679, 'GB', 'United Kingdom'),
(155128, '212.162.51.0', '212.162.51.127', 3567399680, 3567399807, 'DE', 'Germany'),
(155129, '212.162.51.128', '212.162.51.255', 3567399808, 3567399935, 'GB', 'United Kingdom'),
(155130, '212.162.52.0', '212.162.57.255', 3567399936, 3567401471, 'DE', 'Germany'),
(155131, '212.162.58.0', '212.162.58.31', 3567401472, 3567401503, 'GB', 'United Kingdom'),
(155132, '212.162.58.32', '212.162.58.47', 3567401504, 3567401519, 'DE', 'Germany'),
(155133, '212.162.58.48', '212.162.58.71', 3567401520, 3567401543, 'GB', 'United Kingdom'),
(155134, '212.162.58.72', '212.162.58.79', 3567401544, 3567401551, 'DE', 'Germany'),
(155135, '212.162.58.80', '212.162.58.255', 3567401552, 3567401727, 'GB', 'United Kingdom'),
(155136, '212.162.59.0', '212.162.60.255', 3567401728, 3567402239, 'DE', 'Germany'),
(155137, '212.162.61.0', '212.162.61.255', 3567402240, 3567402495, 'GB', 'United Kingdom'),
(155138, '212.162.62.0', '212.162.63.255', 3567402496, 3567403007, 'DE', 'Germany'),
(155139, '212.162.64.0', '212.162.127.255', 3567403008, 3567419391, 'IT', 'Italy'),
(155140, '212.162.128.0', '212.162.159.255', 3567419392, 3567427583, 'SA', 'Saudi Arabia'),
(155141, '212.162.160.0', '212.162.191.255', 3567427584, 3567435775, 'SE', 'Sweden'),
(155142, '212.162.192.0', '212.162.213.223', 3567435776, 3567441375, 'GB', 'United Kingdom'),
(155143, '212.162.213.224', '212.162.213.255', 3567441376, 3567441407, 'NL', 'Netherlands'),
(155144, '212.162.214.0', '212.162.224.255', 3567441408, 3567444223, 'GB', 'United Kingdom'),
(155145, '212.162.225.0', '212.162.225.255', 3567444224, 3567444479, 'TZ', 'Tanzania, United Republic of'),
(155146, '212.162.226.0', '212.162.231.191', 3567444480, 3567445951, 'GB', 'United Kingdom'),
(155147, '212.162.231.192', '212.162.231.223', 3567445952, 3567445983, 'NL', 'Netherlands'),
(155148, '212.162.231.224', '212.162.255.255', 3567445984, 3567452159, 'GB', 'United Kingdom'),
(155149, '212.163.0.0', '212.163.42.223', 3567452160, 3567463135, 'ES', 'Spain'),
(155150, '212.163.42.224', '212.163.42.239', 3567463136, 3567463151, 'IT', 'Italy'),
(155151, '212.163.42.240', '212.163.215.255', 3567463152, 3567507455, 'ES', 'Spain'),
(155152, '212.163.216.0', '212.163.223.255', 3567507456, 3567509503, 'NL', 'Netherlands'),
(155153, '212.163.224.0', '212.163.235.255', 3567509504, 3567512575, 'ES', 'Spain'),
(155154, '212.163.236.0', '212.163.239.255', 3567512576, 3567513599, 'NL', 'Netherlands'),
(155155, '212.163.240.0', '212.163.255.255', 3567513600, 3567517695, 'ES', 'Spain'),
(155156, '212.164.0.0', '212.164.255.255', 3567517696, 3567583231, 'RU', 'Russian Federation'),
(155157, '212.165.0.0', '212.165.0.255', 3567583232, 3567583487, 'AT', 'Austria'),
(155158, '212.165.1.0', '212.165.1.255', 3567583488, 3567583743, 'EU', 'Europe'),
(155159, '212.165.2.0', '212.165.2.127', 3567583744, 3567583871, 'AT', 'Austria'),
(155160, '212.165.2.128', '212.165.2.191', 3567583872, 3567583935, 'EU', 'Europe'),
(155161, '212.165.2.192', '212.165.2.255', 3567583936, 3567583999, 'AT', 'Austria'),
(155162, '212.165.3.0', '212.165.3.255', 3567584000, 3567584255, 'EU', 'Europe'),
(155163, '212.165.4.0', '212.165.4.127', 3567584256, 3567584383, 'AT', 'Austria'),
(155164, '212.165.4.128', '212.165.4.143', 3567584384, 3567584399, 'EU', 'Europe'),
(155165, '212.165.4.144', '212.165.4.151', 3567584400, 3567584407, 'AT', 'Austria'),
(155166, '212.165.4.152', '212.165.4.255', 3567584408, 3567584511, 'EU', 'Europe'),
(155167, '212.165.5.0', '212.165.5.127', 3567584512, 3567584639, 'AT', 'Austria'),
(155168, '212.165.5.128', '212.165.9.255', 3567584640, 3567585791, 'EU', 'Europe'),
(155169, '212.165.10.0', '212.165.11.255', 3567585792, 3567586303, 'GB', 'United Kingdom'),
(155170, '212.165.12.0', '212.165.15.255', 3567586304, 3567587327, 'EU', 'Europe'),
(155171, '212.165.16.0', '212.165.31.255', 3567587328, 3567591423, 'GB', 'United Kingdom'),
(155172, '212.165.32.0', '212.165.63.255', 3567591424, 3567599615, 'IT', 'Italy'),
(155173, '212.165.64.0', '212.165.127.255', 3567599616, 3567615999, 'NL', 'Netherlands'),
(155174, '212.165.128.0', '212.165.128.255', 3567616000, 3567616255, 'CG', 'Congo'),
(155175, '212.165.129.0', '212.165.129.7', 3567616256, 3567616263, 'CD', 'Congo, The Democratic Republic of the'),
(155176, '212.165.129.8', '212.165.129.95', 3567616264, 3567616351, 'A2', 'Satellite Provider'),
(155177, '212.165.129.96', '212.165.129.127', 3567616352, 3567616383, 'GQ', 'Equatorial Guinea'),
(155178, '212.165.129.128', '212.165.130.13', 3567616384, 3567616525, 'A2', 'Satellite Provider'),
(155179, '212.165.130.14', '212.165.130.14', 3567616526, 3567616526, 'KE', 'Kenya'),
(155180, '212.165.130.15', '212.165.130.15', 3567616527, 3567616527, 'A2', 'Satellite Provider'),
(155181, '212.165.130.16', '212.165.130.23', 3567616528, 3567616535, 'GB', 'United Kingdom'),
(155182, '212.165.130.24', '212.165.130.63', 3567616536, 3567616575, 'A2', 'Satellite Provider'),
(155183, '212.165.130.64', '212.165.130.71', 3567616576, 3567616583, 'GB', 'United Kingdom'),
(155184, '212.165.130.72', '212.165.130.255', 3567616584, 3567616767, 'A2', 'Satellite Provider'),
(155185, '212.165.131.0', '212.165.131.255', 3567616768, 3567617023, 'US', 'United States'),
(155186, '212.165.132.0', '212.165.132.63', 3567617024, 3567617087, 'A2', 'Satellite Provider'),
(155187, '212.165.132.64', '212.165.132.95', 3567617088, 3567617119, 'NG', 'Nigeria'),
(155188, '212.165.132.96', '212.165.132.127', 3567617120, 3567617151, 'A2', 'Satellite Provider'),
(155189, '212.165.132.128', '212.165.132.255', 3567617152, 3567617279, 'NG', 'Nigeria'),
(155190, '212.165.133.0', '212.165.133.255', 3567617280, 3567617535, 'IN', 'India'),
(155191, '212.165.134.0', '212.165.134.255', 3567617536, 3567617791, 'A2', 'Satellite Provider'),
(155192, '212.165.135.0', '212.165.135.255', 3567617792, 3567618047, 'CD', 'Congo, The Democratic Republic of the'),
(155193, '212.165.136.0', '212.165.139.255', 3567618048, 3567619071, 'IN', 'India'),
(155194, '212.165.140.0', '212.165.140.3', 3567619072, 3567619075, 'NG', 'Nigeria'),
(155195, '212.165.140.4', '212.165.140.15', 3567619076, 3567619087, 'A2', 'Satellite Provider'),
(155196, '212.165.140.16', '212.165.140.23', 3567619088, 3567619095, 'NG', 'Nigeria'),
(155197, '212.165.140.24', '212.165.140.31', 3567619096, 3567619103, 'A2', 'Satellite Provider'),
(155198, '212.165.140.32', '212.165.140.39', 3567619104, 3567619111, 'KE', 'Kenya'),
(155199, '212.165.140.40', '212.165.140.63', 3567619112, 3567619135, 'A2', 'Satellite Provider'),
(155200, '212.165.140.64', '212.165.142.255', 3567619136, 3567619839, 'NG', 'Nigeria'),
(155201, '212.165.143.0', '212.165.143.255', 3567619840, 3567620095, 'TZ', 'Tanzania, United Republic of'),
(155202, '212.165.144.0', '212.165.144.255', 3567620096, 3567620351, 'IN', 'India'),
(155203, '212.165.145.0', '212.165.145.127', 3567620352, 3567620479, 'TZ', 'Tanzania, United Republic of'),
(155204, '212.165.145.128', '212.165.146.15', 3567620480, 3567620623, 'A2', 'Satellite Provider'),
(155205, '212.165.146.16', '212.165.146.23', 3567620624, 3567620631, 'PK', 'Pakistan'),
(155206, '212.165.146.24', '212.165.146.31', 3567620632, 3567620639, 'IN', 'India'),
(155207, '212.165.146.32', '212.165.146.71', 3567620640, 3567620679, 'PK', 'Pakistan'),
(155208, '212.165.146.72', '212.165.146.87', 3567620680, 3567620695, 'A2', 'Satellite Provider'),
(155209, '212.165.146.88', '212.165.146.111', 3567620696, 3567620719, 'PK', 'Pakistan'),
(155210, '212.165.146.112', '212.165.146.119', 3567620720, 3567620727, 'A2', 'Satellite Provider'),
(155211, '212.165.146.120', '212.165.146.127', 3567620728, 3567620735, 'IN', 'India'),
(155212, '212.165.146.128', '212.165.146.255', 3567620736, 3567620863, 'A2', 'Satellite Provider'),
(155213, '212.165.147.0', '212.165.147.63', 3567620864, 3567620927, 'NG', 'Nigeria'),
(155214, '212.165.147.64', '212.165.147.67', 3567620928, 3567620931, 'A2', 'Satellite Provider'),
(155215, '212.165.147.68', '212.165.147.71', 3567620932, 3567620935, 'TZ', 'Tanzania, United Republic of'),
(155216, '212.165.147.72', '212.165.147.95', 3567620936, 3567620959, 'KE', 'Kenya'),
(155217, '212.165.147.96', '212.165.147.127', 3567620960, 3567620991, 'A2', 'Satellite Provider'),
(155218, '212.165.147.128', '212.165.147.191', 3567620992, 3567621055, 'NG', 'Nigeria'),
(155219, '212.165.147.192', '212.165.147.255', 3567621056, 3567621119, 'KE', 'Kenya'),
(155220, '212.165.148.0', '212.165.148.143', 3567621120, 3567621263, 'GB', 'United Kingdom'),
(155221, '212.165.148.144', '212.165.148.159', 3567621264, 3567621279, 'CG', 'Congo'),
(155222, '212.165.148.160', '212.165.148.255', 3567621280, 3567621375, 'GB', 'United Kingdom'),
(155223, '212.165.149.0', '212.165.149.15', 3567621376, 3567621391, 'A2', 'Satellite Provider'),
(155224, '212.165.149.16', '212.165.149.23', 3567621392, 3567621399, 'CG', 'Congo'),
(155225, '212.165.149.24', '212.165.149.31', 3567621400, 3567621407, 'A2', 'Satellite Provider'),
(155226, '212.165.149.32', '212.165.149.47', 3567621408, 3567621423, 'CG', 'Congo'),
(155227, '212.165.149.48', '212.165.149.255', 3567621424, 3567621631, 'A2', 'Satellite Provider'),
(155228, '212.165.150.0', '212.165.150.255', 3567621632, 3567621887, 'ID', 'Indonesia'),
(155229, '212.165.151.0', '212.165.151.7', 3567621888, 3567621895, 'TZ', 'Tanzania, United Republic of'),
(155230, '212.165.151.8', '212.165.151.15', 3567621896, 3567621903, 'KE', 'Kenya'),
(155231, '212.165.151.16', '212.165.151.23', 3567621904, 3567621911, 'NG', 'Nigeria'),
(155232, '212.165.151.24', '212.165.151.31', 3567621912, 3567621919, 'TZ', 'Tanzania, United Republic of'),
(155233, '212.165.151.32', '212.165.151.63', 3567621920, 3567621951, 'NG', 'Nigeria'),
(155234, '212.165.151.64', '212.165.153.255', 3567621952, 3567622655, 'A2', 'Satellite Provider'),
(155235, '212.165.154.0', '212.165.155.15', 3567622656, 3567622927, 'KE', 'Kenya'),
(155236, '212.165.155.16', '212.165.155.31', 3567622928, 3567622943, 'A2', 'Satellite Provider'),
(155237, '212.165.155.32', '212.165.155.39', 3567622944, 3567622951, 'KE', 'Kenya'),
(155238, '212.165.155.40', '212.165.155.47', 3567622952, 3567622959, 'A2', 'Satellite Provider'),
(155239, '212.165.155.48', '212.165.155.51', 3567622960, 3567622963, 'TZ', 'Tanzania, United Republic of'),
(155240, '212.165.155.52', '212.165.155.55', 3567622964, 3567622967, 'NG', 'Nigeria'),
(155241, '212.165.155.56', '212.165.155.63', 3567622968, 3567622975, 'A2', 'Satellite Provider'),
(155242, '212.165.155.64', '212.165.155.127', 3567622976, 3567623039, 'TZ', 'Tanzania, United Republic of'),
(155243, '212.165.155.128', '212.165.155.143', 3567623040, 3567623055, 'GA', 'Gabon'),
(155244, '212.165.155.144', '212.165.155.159', 3567623056, 3567623071, 'NG', 'Nigeria'),
(155245, '212.165.155.160', '212.165.155.175', 3567623072, 3567623087, 'TZ', 'Tanzania, United Republic of'),
(155246, '212.165.155.176', '212.165.155.183', 3567623088, 3567623095, 'A2', 'Satellite Provider'),
(155247, '212.165.155.184', '212.165.155.191', 3567623096, 3567623103, 'GA', 'Gabon'),
(155248, '212.165.155.192', '212.165.155.223', 3567623104, 3567623135, 'TZ', 'Tanzania, United Republic of'),
(155249, '212.165.155.224', '212.165.155.231', 3567623136, 3567623143, 'A2', 'Satellite Provider'),
(155250, '212.165.155.232', '212.165.155.239', 3567623144, 3567623151, 'TZ', 'Tanzania, United Republic of'),
(155251, '212.165.155.240', '212.165.155.255', 3567623152, 3567623167, 'A2', 'Satellite Provider'),
(155252, '212.165.156.0', '212.165.156.255', 3567623168, 3567623423, 'KE', 'Kenya'),
(155253, '212.165.157.0', '212.165.157.47', 3567623424, 3567623471, 'A2', 'Satellite Provider'),
(155254, '212.165.157.48', '212.165.157.55', 3567623472, 3567623479, 'KE', 'Kenya'),
(155255, '212.165.157.56', '212.165.158.47', 3567623480, 3567623727, 'A2', 'Satellite Provider'),
(155256, '212.165.158.48', '212.165.158.79', 3567623728, 3567623759, 'PK', 'Pakistan'),
(155257, '212.165.158.80', '212.165.158.87', 3567623760, 3567623767, 'A2', 'Satellite Provider'),
(155258, '212.165.158.88', '212.165.158.95', 3567623768, 3567623775, 'PK', 'Pakistan'),
(155259, '212.165.158.96', '212.165.158.111', 3567623776, 3567623791, 'A2', 'Satellite Provider'),
(155260, '212.165.158.112', '212.165.158.159', 3567623792, 3567623839, 'PK', 'Pakistan'),
(155261, '212.165.158.160', '212.165.158.255', 3567623840, 3567623935, 'A2', 'Satellite Provider'),
(155262, '212.165.159.0', '212.165.159.255', 3567623936, 3567624191, 'PK', 'Pakistan'),
(155263, '212.165.160.0', '212.165.160.255', 3567624192, 3567624447, 'GB', 'United Kingdom'),
(155264, '212.165.161.0', '212.165.165.255', 3567624448, 3567625727, 'TZ', 'Tanzania, United Republic of'),
(155265, '212.165.166.0', '212.165.166.255', 3567625728, 3567625983, 'CG', 'Congo'),
(155266, '212.165.167.0', '212.165.167.255', 3567625984, 3567626239, 'KE', 'Kenya'),
(155267, '212.165.168.0', '212.165.169.255', 3567626240, 3567626751, 'TZ', 'Tanzania, United Republic of'),
(155268, '212.165.170.0', '212.165.171.0', 3567626752, 3567627008, 'NG', 'Nigeria'),
(155269, '212.165.171.1', '212.165.179.255', 3567627009, 3567629311, 'A2', 'Satellite Provider'),
(155270, '212.165.180.0', '212.165.183.127', 3567629312, 3567630207, 'TJ', 'Tajikistan'),
(155271, '212.165.183.128', '212.165.204.255', 3567630208, 3567635711, 'A2', 'Satellite Provider'),
(155272, '212.165.205.0', '212.165.205.127', 3567635712, 3567635839, 'CG', 'Congo'),
(155273, '212.165.205.128', '212.165.205.255', 3567635840, 3567635967, 'CD', 'Congo, The Democratic Republic of the'),
(155274, '212.165.206.0', '212.165.225.255', 3567635968, 3567641087, 'A2', 'Satellite Provider'),
(155275, '212.165.226.0', '212.165.226.255', 3567641088, 3567641343, 'US', 'United States'),
(155276, '212.165.227.0', '212.165.250.255', 3567641344, 3567647487, 'A2', 'Satellite Provider'),
(155277, '212.165.251.0', '212.165.255.255', 3567647488, 3567648767, 'GB', 'United Kingdom'),
(155278, '212.166.0.0', '212.166.63.255', 3567648768, 3567665151, 'BE', 'Belgium'),
(155279, '212.166.64.0', '212.166.95.255', 3567665152, 3567673343, 'ES', 'Spain'),
(155280, '212.166.96.0', '212.166.97.47', 3567673344, 3567673647, 'AT', 'Austria'),
(155281, '212.166.97.48', '212.166.97.55', 3567673648, 3567673655, 'GI', 'Gibraltar'),
(155282, '212.166.97.56', '212.166.127.255', 3567673656, 3567681535, 'AT', 'Austria'),
(155283, '212.166.128.0', '212.166.255.255', 3567681536, 3567714303, 'ES', 'Spain'),
(155284, '212.167.0.0', '212.167.3.255', 3567714304, 3567715327, 'GB', 'United Kingdom'),
(155285, '212.167.4.0', '212.167.4.255', 3567715328, 3567715583, 'EU', 'Europe'),
(155286, '212.167.5.0', '212.167.5.255', 3567715584, 3567715839, 'GB', 'United Kingdom'),
(155287, '212.167.6.0', '212.167.7.255', 3567715840, 3567716351, 'EU', 'Europe'),
(155288, '212.167.8.0', '212.167.8.31', 3567716352, 3567716383, 'GB', 'United Kingdom'),
(155289, '212.167.8.32', '212.167.8.255', 3567716384, 3567716607, 'EU', 'Europe'),
(155290, '212.167.9.0', '212.167.9.31', 3567716608, 3567716639, 'IL', 'Israel'),
(155291, '212.167.9.32', '212.167.10.79', 3567716640, 3567716943, 'EU', 'Europe'),
(155292, '212.167.10.80', '212.167.10.255', 3567716944, 3567717119, 'GB', 'United Kingdom'),
(155293, '212.167.11.0', '212.167.11.255', 3567717120, 3567717375, 'DE', 'Germany'),
(155294, '212.167.12.0', '212.167.12.255', 3567717376, 3567717631, 'GB', 'United Kingdom'),
(155295, '212.167.13.0', '212.167.13.47', 3567717632, 3567717679, 'DE', 'Germany'),
(155296, '212.167.13.48', '212.167.13.127', 3567717680, 3567717759, 'EU', 'Europe'),
(155297, '212.167.13.128', '212.167.13.255', 3567717760, 3567717887, 'DE', 'Germany'),
(155298, '212.167.14.0', '212.167.14.127', 3567717888, 3567718015, 'GB', 'United Kingdom'),
(155299, '212.167.14.128', '212.167.14.255', 3567718016, 3567718143, 'EU', 'Europe'),
(155300, '212.167.15.0', '212.167.15.255', 3567718144, 3567718399, 'CH', 'Switzerland'),
(155301, '212.167.16.0', '212.167.19.255', 3567718400, 3567719423, 'US', 'United States'),
(155302, '212.167.20.0', '212.167.20.255', 3567719424, 3567719679, 'GB', 'United Kingdom'),
(155303, '212.167.21.0', '212.167.255.255', 3567719680, 3567779839, 'EU', 'Europe'),
(155304, '212.168.0.0', '212.168.255.255', 3567779840, 3567845375, 'DE', 'Germany'),
(155305, '212.169.0.0', '212.169.63.255', 3567845376, 3567861759, 'GB', 'United Kingdom'),
(155306, '212.169.64.0', '212.169.127.255', 3567861760, 3567878143, 'NO', 'Norway'),
(155307, '212.169.128.0', '212.170.255.255', 3567878144, 3567976447, 'ES', 'Spain'),
(155308, '212.171.0.0', '212.171.255.255', 3567976448, 3568041983, 'IT', 'Italy'),
(155309, '212.172.0.0', '212.172.255.255', 3568041984, 3568107519, 'DE', 'Germany'),
(155310, '212.173.0.0', '212.173.180.159', 3568107520, 3568153759, 'GB', 'United Kingdom'),
(155311, '212.173.180.160', '212.173.180.167', 3568153760, 3568153767, 'CH', 'Switzerland'),
(155312, '212.173.180.168', '212.173.255.255', 3568153768, 3568173055, 'GB', 'United Kingdom'),
(155313, '212.174.0.0', '212.174.235.255', 3568173056, 3568233471, 'TR', 'Turkey'),
(155314, '212.174.236.0', '212.174.239.255', 3568233472, 3568234495, 'US', 'United States'),
(155315, '212.174.240.0', '212.175.223.255', 3568234496, 3568295935, 'TR', 'Turkey'),
(155316, '212.175.224.0', '212.175.224.255', 3568295936, 3568296191, 'US', 'United States'),
(155317, '212.175.225.0', '212.175.255.255', 3568296192, 3568304127, 'TR', 'Turkey'),
(155318, '212.176.0.0', '212.176.22.15', 3568304128, 3568309775, 'RU', 'Russian Federation'),
(155319, '212.176.22.16', '212.176.22.31', 3568309776, 3568309791, 'UZ', 'Uzbekistan'),
(155320, '212.176.22.32', '212.176.22.159', 3568309792, 3568309919, 'BY', 'Belarus'),
(155321, '212.176.22.160', '212.176.22.191', 3568309920, 3568309951, 'RU', 'Russian Federation'),
(155322, '212.176.22.192', '212.176.22.255', 3568309952, 3568310015, 'BY', 'Belarus'),
(155323, '212.176.23.0', '212.176.255.255', 3568310016, 3568369663, 'RU', 'Russian Federation'),
(155324, '212.177.0.0', '212.177.255.255', 3568369664, 3568435199, 'IT', 'Italy'),
(155325, '212.178.0.0', '212.178.31.255', 3568435200, 3568443391, 'UA', 'Ukraine'),
(155326, '212.178.32.0', '212.178.159.255', 3568443392, 3568476159, 'NL', 'Netherlands'),
(155327, '212.178.160.0', '212.178.191.255', 3568476160, 3568484351, 'DK', 'Denmark'),
(155328, '212.178.192.0', '212.178.200.255', 3568484352, 3568486655, 'NL', 'Netherlands'),
(155329, '212.178.201.0', '212.178.201.255', 3568486656, 3568486911, 'EU', 'Europe'),
(155330, '212.178.202.0', '212.178.223.255', 3568486912, 3568492543, 'NL', 'Netherlands'),
(155331, '212.178.224.0', '212.178.255.255', 3568492544, 3568500735, 'RS', 'Serbia'),
(155332, '212.179.0.0', '212.179.49.255', 3568500736, 3568513535, 'IL', 'Israel'),
(155333, '212.179.50.0', '212.179.50.255', 3568513536, 3568513791, 'US', 'United States'),
(155334, '212.179.51.0', '212.179.255.255', 3568513792, 3568566271, 'IL', 'Israel'),
(155335, '212.180.0.0', '212.180.33.247', 3568566272, 3568574967, 'FR', 'France'),
(155336, '212.180.33.248', '212.180.33.255', 3568574968, 3568574975, 'A2', 'Satellite Provider'),
(155337, '212.180.34.0', '212.180.42.127', 3568574976, 3568577151, 'FR', 'France'),
(155338, '212.180.42.128', '212.180.42.143', 3568577152, 3568577167, 'A2', 'Satellite Provider'),
(155339, '212.180.42.144', '212.180.42.207', 3568577168, 3568577231, 'FR', 'France'),
(155340, '212.180.42.208', '212.180.42.215', 3568577232, 3568577239, 'A2', 'Satellite Provider'),
(155341, '212.180.42.216', '212.180.68.103', 3568577240, 3568583783, 'FR', 'France'),
(155342, '212.180.68.104', '212.180.68.111', 3568583784, 3568583791, 'A2', 'Satellite Provider'),
(155343, '212.180.68.112', '212.180.74.255', 3568583792, 3568585471, 'FR', 'France'),
(155344, '212.180.75.0', '212.180.75.255', 3568585472, 3568585727, 'EU', 'Europe'),
(155345, '212.180.76.0', '212.180.112.135', 3568585728, 3568595079, 'FR', 'France'),
(155346, '212.180.112.136', '212.180.112.143', 3568595080, 3568595087, 'A2', 'Satellite Provider'),
(155347, '212.180.112.144', '212.180.127.255', 3568595088, 3568599039, 'FR', 'France'),
(155348, '212.180.128.0', '212.180.255.255', 3568599040, 3568631807, 'PL', 'Poland'),
(155349, '212.181.0.0', '212.181.255.255', 3568631808, 3568697343, 'SE', 'Sweden'),
(155350, '212.182.0.0', '212.182.127.255', 3568697344, 3568730111, 'PL', 'Poland'),
(155351, '212.182.128.0', '212.182.191.255', 3568730112, 3568746495, 'NL', 'Netherlands'),
(155352, '212.182.192.0', '212.182.255.255', 3568746496, 3568762879, 'FI', 'Finland'),
(155353, '212.183.0.0', '212.183.127.255', 3568762880, 3568795647, 'AT', 'Austria'),
(155354, '212.183.128.0', '212.183.159.255', 3568795648, 3568803839, 'GB', 'United Kingdom'),
(155355, '212.183.160.0', '212.183.191.255', 3568803840, 3568812031, 'IT', 'Italy'),
(155356, '212.183.192.0', '212.183.255.255', 3568812032, 3568828415, 'ES', 'Spain'),
(155357, '212.184.0.0', '212.184.4.191', 3568828416, 3568829631, 'DE', 'Germany'),
(155358, '212.184.4.192', '212.184.4.199', 3568829632, 3568829639, 'CH', 'Switzerland'),
(155359, '212.184.4.200', '212.184.79.151', 3568829640, 3568848791, 'DE', 'Germany'),
(155360, '212.184.79.152', '212.184.79.159', 3568848792, 3568848799, 'PL', 'Poland'),
(155361, '212.184.79.160', '212.184.79.231', 3568848800, 3568848871, 'DE', 'Germany'),
(155362, '212.184.79.232', '212.184.79.239', 3568848872, 3568848879, 'GB', 'United Kingdom'),
(155363, '212.184.79.240', '212.185.39.255', 3568848880, 3568904191, 'DE', 'Germany'),
(155364, '212.185.40.0', '212.185.40.255', 3568904192, 3568904447, 'EU', 'Europe'),
(155365, '212.185.41.0', '212.185.85.79', 3568904448, 3568915791, 'DE', 'Germany'),
(155366, '212.185.85.80', '212.185.85.95', 3568915792, 3568915807, 'LU', 'Luxembourg'),
(155367, '212.185.85.96', '212.185.173.71', 3568915808, 3568938311, 'DE', 'Germany'),
(155368, '212.185.173.72', '212.185.173.79', 3568938312, 3568938319, 'FI', 'Finland'),
(155369, '212.185.173.80', '212.185.177.255', 3568938320, 3568939519, 'DE', 'Germany'),
(155370, '212.185.178.0', '212.185.178.7', 3568939520, 3568939527, 'IT', 'Italy'),
(155371, '212.185.178.8', '212.185.192.95', 3568939528, 3568943199, 'DE', 'Germany'),
(155372, '212.185.192.96', '212.185.192.103', 3568943200, 3568943207, 'A2', 'Satellite Provider'),
(155373, '212.185.192.104', '212.185.255.255', 3568943208, 3568959487, 'DE', 'Germany'),
(155374, '212.186.0.0', '212.186.255.255', 3568959488, 3569025023, 'AT', 'Austria'),
(155375, '212.187.0.0', '212.187.127.255', 3569025024, 3569057791, 'NL', 'Netherlands'),
(155376, '212.187.128.0', '212.187.139.255', 3569057792, 3569060863, 'GB', 'United Kingdom'),
(155377, '212.187.140.0', '212.187.140.15', 3569060864, 3569060879, 'IE', 'Ireland'),
(155378, '212.187.140.16', '212.187.169.255', 3569060880, 3569068543, 'GB', 'United Kingdom'),
(155379, '212.187.170.0', '212.187.170.127', 3569068544, 3569068671, 'BG', 'Bulgaria'),
(155380, '212.187.170.128', '212.187.171.151', 3569068672, 3569068951, 'GB', 'United Kingdom'),
(155381, '212.187.171.152', '212.187.171.191', 3569068952, 3569068991, 'DE', 'Germany'),
(155382, '212.187.171.192', '212.187.193.255', 3569068992, 3569074687, 'GB', 'United Kingdom'),
(155383, '212.187.194.0', '212.187.194.255', 3569074688, 3569074943, 'IE', 'Ireland'),
(155384, '212.187.195.0', '212.187.196.255', 3569074944, 3569075455, 'GB', 'United Kingdom'),
(155385, '212.187.197.0', '212.187.197.255', 3569075456, 3569075711, 'IE', 'Ireland'),
(155386, '212.187.198.0', '212.187.198.127', 3569075712, 3569075839, 'FR', 'France'),
(155387, '212.187.198.128', '212.187.229.255', 3569075840, 3569083903, 'GB', 'United Kingdom'),
(155388, '212.187.230.0', '212.187.230.255', 3569083904, 3569084159, 'US', 'United States'),
(155389, '212.187.231.0', '212.187.255.255', 3569084160, 3569090559, 'GB', 'United Kingdom'),
(155390, '212.188.0.0', '212.188.127.255', 3569090560, 3569123327, 'RU', 'Russian Federation'),
(155391, '212.188.128.0', '212.188.255.255', 3569123328, 3569156095, 'GB', 'United Kingdom'),
(155392, '212.189.0.0', '212.189.0.255', 3569156096, 3569156351, 'NL', 'Netherlands'),
(155393, '212.189.1.0', '212.189.1.255', 3569156352, 3569156607, 'EU', 'Europe'),
(155394, '212.189.2.0', '212.189.35.255', 3569156608, 3569165311, 'NL', 'Netherlands'),
(155395, '212.189.36.0', '212.189.36.255', 3569165312, 3569165567, 'EU', 'Europe'),
(155396, '212.189.37.0', '212.189.45.255', 3569165568, 3569167871, 'NL', 'Netherlands'),
(155397, '212.189.46.0', '212.189.46.255', 3569167872, 3569168127, 'EU', 'Europe'),
(155398, '212.189.47.0', '212.189.127.255', 3569168128, 3569188863, 'NL', 'Netherlands'),
(155399, '212.189.128.0', '212.189.255.255', 3569188864, 3569221631, 'IT', 'Italy'),
(155400, '212.190.0.0', '212.190.65.127', 3569221632, 3569238399, 'BE', 'Belgium'),
(155401, '212.190.65.128', '212.190.65.255', 3569238400, 3569238527, 'AT', 'Austria'),
(155402, '212.190.66.0', '212.190.68.31', 3569238528, 3569239071, 'BE', 'Belgium'),
(155403, '212.190.68.32', '212.190.68.63', 3569239072, 3569239103, 'LU', 'Luxembourg'),
(155404, '212.190.68.64', '212.190.69.223', 3569239104, 3569239519, 'BE', 'Belgium'),
(155405, '212.190.69.224', '212.190.69.255', 3569239520, 3569239551, 'LU', 'Luxembourg'),
(155406, '212.190.70.0', '212.190.71.175', 3569239552, 3569239983, 'BE', 'Belgium'),
(155407, '212.190.71.176', '212.190.71.191', 3569239984, 3569239999, 'BN', 'Brunei Darussalam'),
(155408, '212.190.71.192', '212.190.71.223', 3569240000, 3569240031, 'BE', 'Belgium'),
(155409, '212.190.71.224', '212.190.71.255', 3569240032, 3569240063, 'FR', 'France'),
(155410, '212.190.72.0', '212.190.77.239', 3569240064, 3569241583, 'BE', 'Belgium'),
(155411, '212.190.77.240', '212.190.77.255', 3569241584, 3569241599, 'LU', 'Luxembourg'),
(155412, '212.190.78.0', '212.190.79.31', 3569241600, 3569241887, 'BE', 'Belgium'),
(155413, '212.190.79.32', '212.190.79.47', 3569241888, 3569241903, 'LU', 'Luxembourg'),
(155414, '212.190.79.48', '212.190.79.51', 3569241904, 3569241907, 'BE', 'Belgium'),
(155415, '212.190.79.52', '212.190.79.55', 3569241908, 3569241911, 'LU', 'Luxembourg'),
(155416, '212.190.79.56', '212.190.79.191', 3569241912, 3569242047, 'BE', 'Belgium'),
(155417, '212.190.79.192', '212.190.79.255', 3569242048, 3569242111, 'LU', 'Luxembourg'),
(155418, '212.190.80.0', '212.190.86.255', 3569242112, 3569243903, 'BE', 'Belgium'),
(155419, '212.190.87.0', '212.190.87.127', 3569243904, 3569244031, 'NL', 'Netherlands'),
(155420, '212.190.87.128', '212.190.88.143', 3569244032, 3569244303, 'BE', 'Belgium'),
(155421, '212.190.88.144', '212.190.88.159', 3569244304, 3569244319, 'LU', 'Luxembourg'),
(155422, '212.190.88.160', '212.190.93.255', 3569244320, 3569245695, 'BE', 'Belgium'),
(155423, '212.190.94.0', '212.190.94.31', 3569245696, 3569245727, 'LU', 'Luxembourg'),
(155424, '212.190.94.32', '212.190.114.63', 3569245728, 3569250879, 'BE', 'Belgium'),
(155425, '212.190.114.64', '212.190.114.79', 3569250880, 3569250895, 'LU', 'Luxembourg'),
(155426, '212.190.114.80', '212.190.114.255', 3569250896, 3569251071, 'BE', 'Belgium'),
(155427, '212.190.115.0', '212.190.115.255', 3569251072, 3569251327, 'LU', 'Luxembourg'),
(155428, '212.190.116.0', '212.190.117.255', 3569251328, 3569251839, 'US', 'United States'),
(155429, '212.190.118.0', '212.190.122.127', 3569251840, 3569252991, 'BE', 'Belgium'),
(155430, '212.190.122.128', '212.190.122.143', 3569252992, 3569253007, 'LU', 'Luxembourg'),
(155431, '212.190.122.144', '212.190.122.231', 3569253008, 3569253095, 'BE', 'Belgium'),
(155432, '212.190.122.232', '212.190.122.239', 3569253096, 3569253103, 'LU', 'Luxembourg'),
(155433, '212.190.122.240', '212.190.130.95', 3569253104, 3569255007, 'BE', 'Belgium'),
(155434, '212.190.130.96', '212.190.130.127', 3569255008, 3569255039, 'LU', 'Luxembourg'),
(155435, '212.190.130.128', '212.190.130.159', 3569255040, 3569255071, 'BE', 'Belgium'),
(155436, '212.190.130.160', '212.190.130.191', 3569255072, 3569255103, 'LU', 'Luxembourg'),
(155437, '212.190.130.192', '212.190.145.223', 3569255104, 3569258975, 'BE', 'Belgium'),
(155438, '212.190.145.224', '212.190.145.255', 3569258976, 3569259007, 'LU', 'Luxembourg'),
(155439, '212.190.146.0', '212.190.196.103', 3569259008, 3569271911, 'BE', 'Belgium'),
(155440, '212.190.196.104', '212.190.196.111', 3569271912, 3569271919, 'DE', 'Germany'),
(155441, '212.190.196.112', '212.190.196.127', 3569271920, 3569271935, 'BE', 'Belgium'),
(155442, '212.190.196.128', '212.190.196.135', 3569271936, 3569271943, 'IT', 'Italy'),
(155443, '212.190.196.136', '212.190.201.79', 3569271944, 3569273167, 'BE', 'Belgium'),
(155444, '212.190.201.80', '212.190.201.95', 3569273168, 3569273183, 'LU', 'Luxembourg'),
(155445, '212.190.201.96', '212.190.203.191', 3569273184, 3569273791, 'BE', 'Belgium'),
(155446, '212.190.203.192', '212.190.203.223', 3569273792, 3569273823, 'LU', 'Luxembourg'),
(155447, '212.190.203.224', '212.190.205.191', 3569273824, 3569274303, 'BE', 'Belgium'),
(155448, '212.190.205.192', '212.190.205.199', 3569274304, 3569274311, 'LU', 'Luxembourg'),
(155449, '212.190.205.200', '212.190.205.255', 3569274312, 3569274367, 'BE', 'Belgium'),
(155450, '212.190.206.0', '212.190.206.15', 3569274368, 3569274383, 'LU', 'Luxembourg'),
(155451, '212.190.206.16', '212.190.206.127', 3569274384, 3569274495, 'BE', 'Belgium'),
(155452, '212.190.206.128', '212.190.206.191', 3569274496, 3569274559, 'LU', 'Luxembourg'),
(155453, '212.190.206.192', '212.190.207.63', 3569274560, 3569274687, 'BE', 'Belgium'),
(155454, '212.190.207.64', '212.190.207.95', 3569274688, 3569274719, 'LU', 'Luxembourg'),
(155455, '212.190.207.96', '212.190.216.255', 3569274720, 3569277183, 'BE', 'Belgium'),
(155456, '212.190.217.0', '212.190.217.255', 3569277184, 3569277439, 'LU', 'Luxembourg'),
(155457, '212.190.218.0', '212.190.222.239', 3569277440, 3569278703, 'BE', 'Belgium'),
(155458, '212.190.222.240', '212.190.222.255', 3569278704, 3569278719, 'NL', 'Netherlands'),
(155459, '212.190.223.0', '212.190.223.159', 3569278720, 3569278879, 'BE', 'Belgium'),
(155460, '212.190.223.160', '212.190.223.191', 3569278880, 3569278911, 'LU', 'Luxembourg'),
(155461, '212.190.223.192', '212.190.224.63', 3569278912, 3569279039, 'BE', 'Belgium'),
(155462, '212.190.224.64', '212.190.224.95', 3569279040, 3569279071, 'LU', 'Luxembourg'),
(155463, '212.190.224.96', '212.190.224.247', 3569279072, 3569279223, 'BE', 'Belgium'),
(155464, '212.190.224.248', '212.190.224.255', 3569279224, 3569279231, 'US', 'United States'),
(155465, '212.190.225.0', '212.190.225.31', 3569279232, 3569279263, 'LU', 'Luxembourg'),
(155466, '212.190.225.32', '212.190.225.47', 3569279264, 3569279279, 'US', 'United States'),
(155467, '212.190.225.48', '212.190.255.255', 3569279280, 3569287167, 'BE', 'Belgium'),
(155468, '212.191.0.0', '212.191.255.255', 3569287168, 3569352703, 'PL', 'Poland'),
(155469, '212.192.0.0', '212.193.255.255', 3569352704, 3569483775, 'RU', 'Russian Federation'),
(155470, '212.194.0.0', '212.195.255.255', 3569483776, 3569614847, 'FR', 'France'),
(155471, '212.196.0.0', '212.196.255.255', 3569614848, 3569680383, 'GB', 'United Kingdom'),
(155472, '212.197.0.0', '212.197.12.255', 3569680384, 3569683711, 'SK', 'Slovakia'),
(155473, '212.197.13.0', '212.197.13.7', 3569683712, 3569683719, 'IQ', 'Iraq'),
(155474, '212.197.13.8', '212.197.119.111', 3569683720, 3569710959, 'SK', 'Slovakia'),
(155475, '212.197.119.112', '212.197.119.127', 3569710960, 3569710975, 'NL', 'Netherlands'),
(155476, '212.197.119.128', '212.197.127.255', 3569710976, 3569713151, 'SK', 'Slovakia'),
(155477, '212.197.128.0', '212.197.191.255', 3569713152, 3569729535, 'AT', 'Austria'),
(155478, '212.197.192.0', '212.197.198.95', 3569729536, 3569731167, 'FR', 'France'),
(155479, '212.197.198.96', '212.197.198.111', 3569731168, 3569731183, 'IT', 'Italy'),
(155480, '212.197.198.112', '212.197.198.143', 3569731184, 3569731215, 'GB', 'United Kingdom'),
(155481, '212.197.198.144', '212.197.198.159', 3569731216, 3569731231, 'FR', 'France'),
(155482, '212.197.198.160', '212.197.198.175', 3569731232, 3569731247, 'DE', 'Germany'),
(155483, '212.197.198.176', '212.197.198.191', 3569731248, 3569731263, 'GB', 'United Kingdom'),
(155484, '212.197.198.192', '212.197.198.239', 3569731264, 3569731311, 'FR', 'France'),
(155485, '212.197.198.240', '212.197.198.255', 3569731312, 3569731327, 'GB', 'United Kingdom'),
(155486, '212.197.199.0', '212.197.199.47', 3569731328, 3569731375, 'FR', 'France'),
(155487, '212.197.199.48', '212.197.199.63', 3569731376, 3569731391, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(155488, '212.197.199.64', '212.197.199.95', 3569731392, 3569731423, 'FR', 'France'),
(155489, '212.197.199.96', '212.197.199.111', 3569731424, 3569731439, 'GB', 'United Kingdom'),
(155490, '212.197.199.112', '212.197.199.127', 3569731440, 3569731455, 'FR', 'France'),
(155491, '212.197.199.128', '212.197.199.143', 3569731456, 3569731471, 'GB', 'United Kingdom'),
(155492, '212.197.199.144', '212.197.199.159', 3569731472, 3569731487, 'FR', 'France'),
(155493, '212.197.199.160', '212.197.199.175', 3569731488, 3569731503, 'GB', 'United Kingdom'),
(155494, '212.197.199.176', '212.197.199.191', 3569731504, 3569731519, 'IT', 'Italy'),
(155495, '212.197.199.192', '212.197.199.223', 3569731520, 3569731551, 'GB', 'United Kingdom'),
(155496, '212.197.199.224', '212.197.199.255', 3569731552, 3569731583, 'FR', 'France'),
(155497, '212.197.200.0', '212.197.200.15', 3569731584, 3569731599, 'GB', 'United Kingdom'),
(155498, '212.197.200.16', '212.197.200.31', 3569731600, 3569731615, 'FR', 'France'),
(155499, '212.197.200.32', '212.197.200.47', 3569731616, 3569731631, 'DE', 'Germany'),
(155500, '212.197.200.48', '212.197.200.63', 3569731632, 3569731647, 'IT', 'Italy'),
(155501, '212.197.200.64', '212.197.200.143', 3569731648, 3569731727, 'FR', 'France'),
(155502, '212.197.200.144', '212.197.200.159', 3569731728, 3569731743, 'GB', 'United Kingdom'),
(155503, '212.197.200.160', '212.197.200.207', 3569731744, 3569731791, 'FR', 'France'),
(155504, '212.197.200.208', '212.197.200.223', 3569731792, 3569731807, 'GB', 'United Kingdom'),
(155505, '212.197.200.224', '212.197.200.255', 3569731808, 3569731839, 'FR', 'France'),
(155506, '212.197.201.0', '212.197.201.31', 3569731840, 3569731871, 'GB', 'United Kingdom'),
(155507, '212.197.201.32', '212.197.201.63', 3569731872, 3569731903, 'FR', 'France'),
(155508, '212.197.201.64', '212.197.201.79', 3569731904, 3569731919, 'BE', 'Belgium'),
(155509, '212.197.201.80', '212.197.201.111', 3569731920, 3569731951, 'FR', 'France'),
(155510, '212.197.201.112', '212.197.201.127', 3569731952, 3569731967, 'NL', 'Netherlands'),
(155511, '212.197.201.128', '212.197.201.143', 3569731968, 3569731983, 'GB', 'United Kingdom'),
(155512, '212.197.201.144', '212.197.201.191', 3569731984, 3569732031, 'FR', 'France'),
(155513, '212.197.201.192', '212.197.201.207', 3569732032, 3569732047, 'DE', 'Germany'),
(155514, '212.197.201.208', '212.197.201.223', 3569732048, 3569732063, 'GB', 'United Kingdom'),
(155515, '212.197.201.224', '212.197.201.239', 3569732064, 3569732079, 'FR', 'France'),
(155516, '212.197.201.240', '212.197.201.255', 3569732080, 3569732095, 'GB', 'United Kingdom'),
(155517, '212.197.202.0', '212.197.202.47', 3569732096, 3569732143, 'FR', 'France'),
(155518, '212.197.202.48', '212.197.202.95', 3569732144, 3569732191, 'GB', 'United Kingdom'),
(155519, '212.197.202.96', '212.197.202.111', 3569732192, 3569732207, 'DE', 'Germany'),
(155520, '212.197.202.112', '212.197.202.191', 3569732208, 3569732287, 'FR', 'France'),
(155521, '212.197.202.192', '212.197.202.207', 3569732288, 3569732303, 'GB', 'United Kingdom'),
(155522, '212.197.202.208', '212.197.202.223', 3569732304, 3569732319, 'DE', 'Germany'),
(155523, '212.197.202.224', '212.197.202.239', 3569732320, 3569732335, 'FR', 'France'),
(155524, '212.197.202.240', '212.197.202.255', 3569732336, 3569732351, 'GB', 'United Kingdom'),
(155525, '212.197.203.0', '212.197.203.31', 3569732352, 3569732383, 'FR', 'France'),
(155526, '212.197.203.32', '212.197.203.47', 3569732384, 3569732399, 'US', 'United States'),
(155527, '212.197.203.48', '212.197.203.95', 3569732400, 3569732447, 'FR', 'France'),
(155528, '212.197.203.96', '212.197.203.127', 3569732448, 3569732479, 'US', 'United States'),
(155529, '212.197.203.128', '212.197.203.143', 3569732480, 3569732495, 'GB', 'United Kingdom'),
(155530, '212.197.203.144', '212.197.203.191', 3569732496, 3569732543, 'FR', 'France'),
(155531, '212.197.203.192', '212.197.203.223', 3569732544, 3569732575, 'GB', 'United Kingdom'),
(155532, '212.197.203.224', '212.197.203.255', 3569732576, 3569732607, 'FR', 'France'),
(155533, '212.197.204.0', '212.197.204.31', 3569732608, 3569732639, 'GB', 'United Kingdom'),
(155534, '212.197.204.32', '212.197.204.63', 3569732640, 3569732671, 'FR', 'France'),
(155535, '212.197.204.64', '212.197.204.95', 3569732672, 3569732703, 'GB', 'United Kingdom'),
(155536, '212.197.204.96', '212.197.204.111', 3569732704, 3569732719, 'FR', 'France'),
(155537, '212.197.204.112', '212.197.204.127', 3569732720, 3569732735, 'GB', 'United Kingdom'),
(155538, '212.197.204.128', '212.197.204.143', 3569732736, 3569732751, 'FR', 'France'),
(155539, '212.197.204.144', '212.197.204.159', 3569732752, 3569732767, 'GB', 'United Kingdom'),
(155540, '212.197.204.160', '212.197.204.175', 3569732768, 3569732783, 'FR', 'France'),
(155541, '212.197.204.176', '212.197.204.239', 3569732784, 3569732847, 'GB', 'United Kingdom'),
(155542, '212.197.204.240', '212.197.204.255', 3569732848, 3569732863, 'FR', 'France'),
(155543, '212.197.205.0', '212.197.205.15', 3569732864, 3569732879, 'GB', 'United Kingdom'),
(155544, '212.197.205.16', '212.197.205.31', 3569732880, 3569732895, 'FR', 'France'),
(155545, '212.197.205.32', '212.197.205.47', 3569732896, 3569732911, 'IT', 'Italy'),
(155546, '212.197.205.48', '212.197.205.143', 3569732912, 3569733007, 'FR', 'France'),
(155547, '212.197.205.144', '212.197.205.159', 3569733008, 3569733023, 'IE', 'Ireland'),
(155548, '212.197.205.160', '212.197.205.191', 3569733024, 3569733055, 'FR', 'France'),
(155549, '212.197.205.192', '212.197.205.223', 3569733056, 3569733087, 'GB', 'United Kingdom'),
(155550, '212.197.205.224', '212.197.205.239', 3569733088, 3569733103, 'IT', 'Italy'),
(155551, '212.197.205.240', '212.197.206.63', 3569733104, 3569733183, 'FR', 'France'),
(155552, '212.197.206.64', '212.197.206.79', 3569733184, 3569733199, 'GB', 'United Kingdom'),
(155553, '212.197.206.80', '212.197.206.143', 3569733200, 3569733263, 'FR', 'France'),
(155554, '212.197.206.144', '212.197.206.159', 3569733264, 3569733279, 'US', 'United States'),
(155555, '212.197.206.160', '212.197.206.175', 3569733280, 3569733295, 'DE', 'Germany'),
(155556, '212.197.206.176', '212.197.206.191', 3569733296, 3569733311, 'GB', 'United Kingdom'),
(155557, '212.197.206.192', '212.197.206.207', 3569733312, 3569733327, 'FR', 'France'),
(155558, '212.197.206.208', '212.197.206.223', 3569733328, 3569733343, 'GB', 'United Kingdom'),
(155559, '212.197.206.224', '212.197.207.47', 3569733344, 3569733423, 'FR', 'France'),
(155560, '212.197.207.48', '212.197.207.63', 3569733424, 3569733439, 'GB', 'United Kingdom'),
(155561, '212.197.207.64', '212.197.207.95', 3569733440, 3569733471, 'FR', 'France'),
(155562, '212.197.207.96', '212.197.207.111', 3569733472, 3569733487, 'GB', 'United Kingdom'),
(155563, '212.197.207.112', '212.197.207.143', 3569733488, 3569733519, 'FR', 'France'),
(155564, '212.197.207.144', '212.197.207.159', 3569733520, 3569733535, 'GB', 'United Kingdom'),
(155565, '212.197.207.160', '212.197.207.175', 3569733536, 3569733551, 'NL', 'Netherlands'),
(155566, '212.197.207.176', '212.197.207.191', 3569733552, 3569733567, 'FR', 'France'),
(155567, '212.197.207.192', '212.197.207.207', 3569733568, 3569733583, 'GB', 'United Kingdom'),
(155568, '212.197.207.208', '212.197.207.223', 3569733584, 3569733599, 'FR', 'France'),
(155569, '212.197.207.224', '212.197.207.239', 3569733600, 3569733615, 'GB', 'United Kingdom'),
(155570, '212.197.207.240', '212.197.208.15', 3569733616, 3569733647, 'FR', 'France'),
(155571, '212.197.208.16', '212.197.208.31', 3569733648, 3569733663, 'GB', 'United Kingdom'),
(155572, '212.197.208.32', '212.197.208.47', 3569733664, 3569733679, 'FR', 'France'),
(155573, '212.197.208.48', '212.197.208.63', 3569733680, 3569733695, 'GB', 'United Kingdom'),
(155574, '212.197.208.64', '212.197.208.143', 3569733696, 3569733775, 'FR', 'France'),
(155575, '212.197.208.144', '212.197.208.159', 3569733776, 3569733791, 'IE', 'Ireland'),
(155576, '212.197.208.160', '212.197.208.175', 3569733792, 3569733807, 'FR', 'France'),
(155577, '212.197.208.176', '212.197.208.191', 3569733808, 3569733823, 'GB', 'United Kingdom'),
(155578, '212.197.208.192', '212.197.208.255', 3569733824, 3569733887, 'FR', 'France'),
(155579, '212.197.209.0', '212.197.209.31', 3569733888, 3569733919, 'GB', 'United Kingdom'),
(155580, '212.197.209.32', '212.197.209.47', 3569733920, 3569733935, 'FR', 'France'),
(155581, '212.197.209.48', '212.197.209.63', 3569733936, 3569733951, 'GB', 'United Kingdom'),
(155582, '212.197.209.64', '212.197.209.79', 3569733952, 3569733967, 'FR', 'France'),
(155583, '212.197.209.80', '212.197.209.95', 3569733968, 3569733983, 'ES', 'Spain'),
(155584, '212.197.209.96', '212.197.209.111', 3569733984, 3569733999, 'GB', 'United Kingdom'),
(155585, '212.197.209.112', '212.197.209.159', 3569734000, 3569734047, 'FR', 'France'),
(155586, '212.197.209.160', '212.197.209.191', 3569734048, 3569734079, 'GB', 'United Kingdom'),
(155587, '212.197.209.192', '212.197.209.255', 3569734080, 3569734143, 'FR', 'France'),
(155588, '212.197.210.0', '212.197.210.15', 3569734144, 3569734159, 'GB', 'United Kingdom'),
(155589, '212.197.210.16', '212.197.210.47', 3569734160, 3569734191, 'FR', 'France'),
(155590, '212.197.210.48', '212.197.210.63', 3569734192, 3569734207, 'GB', 'United Kingdom'),
(155591, '212.197.210.64', '212.197.210.223', 3569734208, 3569734367, 'FR', 'France'),
(155592, '212.197.210.224', '212.197.210.255', 3569734368, 3569734399, 'GB', 'United Kingdom'),
(155593, '212.197.211.0', '212.197.211.47', 3569734400, 3569734447, 'BE', 'Belgium'),
(155594, '212.197.211.48', '212.197.211.63', 3569734448, 3569734463, 'FR', 'France'),
(155595, '212.197.211.64', '212.197.211.111', 3569734464, 3569734511, 'BE', 'Belgium'),
(155596, '212.197.211.112', '212.197.217.111', 3569734512, 3569736047, 'FR', 'France'),
(155597, '212.197.217.112', '212.197.217.127', 3569736048, 3569736063, 'GB', 'United Kingdom'),
(155598, '212.197.217.128', '212.197.217.135', 3569736064, 3569736071, 'FR', 'France'),
(155599, '212.197.217.136', '212.197.217.143', 3569736072, 3569736079, 'ES', 'Spain'),
(155600, '212.197.217.144', '212.197.217.255', 3569736080, 3569736191, 'FR', 'France'),
(155601, '212.197.218.0', '212.197.218.31', 3569736192, 3569736223, 'NL', 'Netherlands'),
(155602, '212.197.218.32', '212.197.218.47', 3569736224, 3569736239, 'FR', 'France'),
(155603, '212.197.218.48', '212.197.218.191', 3569736240, 3569736383, 'NL', 'Netherlands'),
(155604, '212.197.218.192', '212.197.218.207', 3569736384, 3569736399, 'SE', 'Sweden'),
(155605, '212.197.218.208', '212.197.219.207', 3569736400, 3569736655, 'NL', 'Netherlands'),
(155606, '212.197.219.208', '212.197.219.223', 3569736656, 3569736671, 'FR', 'France'),
(155607, '212.197.219.224', '212.197.219.255', 3569736672, 3569736703, 'NL', 'Netherlands'),
(155608, '212.197.220.0', '212.197.229.255', 3569736704, 3569739263, 'FR', 'France'),
(155609, '212.197.230.0', '212.197.230.31', 3569739264, 3569739295, 'NL', 'Netherlands'),
(155610, '212.197.230.32', '212.197.230.63', 3569739296, 3569739327, 'FR', 'France'),
(155611, '212.197.230.64', '212.197.230.207', 3569739328, 3569739471, 'NL', 'Netherlands'),
(155612, '212.197.230.208', '212.197.230.223', 3569739472, 3569739487, 'FR', 'France'),
(155613, '212.197.230.224', '212.197.231.79', 3569739488, 3569739599, 'NL', 'Netherlands'),
(155614, '212.197.231.80', '212.197.231.111', 3569739600, 3569739631, 'FR', 'France'),
(155615, '212.197.231.112', '212.197.231.127', 3569739632, 3569739647, 'NL', 'Netherlands'),
(155616, '212.197.231.128', '212.197.231.143', 3569739648, 3569739663, 'FR', 'France'),
(155617, '212.197.231.144', '212.197.231.159', 3569739664, 3569739679, 'NL', 'Netherlands'),
(155618, '212.197.231.160', '212.197.231.175', 3569739680, 3569739695, 'FR', 'France'),
(155619, '212.197.231.176', '212.197.232.63', 3569739696, 3569739839, 'NL', 'Netherlands'),
(155620, '212.197.232.64', '212.197.232.79', 3569739840, 3569739855, 'FR', 'France'),
(155621, '212.197.232.80', '212.197.232.127', 3569739856, 3569739903, 'NL', 'Netherlands'),
(155622, '212.197.232.128', '212.197.232.143', 3569739904, 3569739919, 'FR', 'France'),
(155623, '212.197.232.144', '212.197.232.159', 3569739920, 3569739935, 'NL', 'Netherlands'),
(155624, '212.197.232.160', '212.197.232.175', 3569739936, 3569739951, 'FR', 'France'),
(155625, '212.197.232.176', '212.197.233.15', 3569739952, 3569740047, 'NL', 'Netherlands'),
(155626, '212.197.233.16', '212.197.233.31', 3569740048, 3569740063, 'FR', 'France'),
(155627, '212.197.233.32', '212.197.233.79', 3569740064, 3569740111, 'NL', 'Netherlands'),
(155628, '212.197.233.80', '212.197.233.95', 3569740112, 3569740127, 'FR', 'France'),
(155629, '212.197.233.96', '212.197.233.223', 3569740128, 3569740255, 'NL', 'Netherlands'),
(155630, '212.197.233.224', '212.197.233.239', 3569740256, 3569740271, 'FR', 'France'),
(155631, '212.197.233.240', '212.197.234.15', 3569740272, 3569740303, 'NL', 'Netherlands'),
(155632, '212.197.234.16', '212.197.234.31', 3569740304, 3569740319, 'FR', 'France'),
(155633, '212.197.234.32', '212.197.234.79', 3569740320, 3569740367, 'NL', 'Netherlands'),
(155634, '212.197.234.80', '212.197.234.95', 3569740368, 3569740383, 'FR', 'France'),
(155635, '212.197.234.96', '212.197.234.127', 3569740384, 3569740415, 'NL', 'Netherlands'),
(155636, '212.197.234.128', '212.197.234.143', 3569740416, 3569740431, 'FR', 'France'),
(155637, '212.197.234.144', '212.197.234.175', 3569740432, 3569740463, 'NL', 'Netherlands'),
(155638, '212.197.234.176', '212.197.234.191', 3569740464, 3569740479, 'FR', 'France'),
(155639, '212.197.234.192', '212.197.234.207', 3569740480, 3569740495, 'NL', 'Netherlands'),
(155640, '212.197.234.208', '212.197.234.223', 3569740496, 3569740511, 'FR', 'France'),
(155641, '212.197.234.224', '212.197.234.255', 3569740512, 3569740543, 'NL', 'Netherlands'),
(155642, '212.197.235.0', '212.197.235.15', 3569740544, 3569740559, 'FR', 'France'),
(155643, '212.197.235.16', '212.197.235.111', 3569740560, 3569740655, 'NL', 'Netherlands'),
(155644, '212.197.235.112', '212.197.235.127', 3569740656, 3569740671, 'FR', 'France'),
(155645, '212.197.235.128', '212.197.235.143', 3569740672, 3569740687, 'NL', 'Netherlands'),
(155646, '212.197.235.144', '212.197.235.159', 3569740688, 3569740703, 'FR', 'France'),
(155647, '212.197.235.160', '212.197.235.255', 3569740704, 3569740799, 'NL', 'Netherlands'),
(155648, '212.197.236.0', '212.197.237.255', 3569740800, 3569741311, 'FR', 'France'),
(155649, '212.197.238.0', '212.197.239.255', 3569741312, 3569741823, 'BE', 'Belgium'),
(155650, '212.197.240.0', '212.197.241.255', 3569741824, 3569742335, 'FR', 'France'),
(155651, '212.197.242.0', '212.197.242.15', 3569742336, 3569742351, 'BE', 'Belgium'),
(155652, '212.197.242.16', '212.197.242.47', 3569742352, 3569742383, 'FR', 'France'),
(155653, '212.197.242.48', '212.197.242.63', 3569742384, 3569742399, 'BE', 'Belgium'),
(155654, '212.197.242.64', '212.197.242.79', 3569742400, 3569742415, 'FR', 'France'),
(155655, '212.197.242.80', '212.197.242.175', 3569742416, 3569742511, 'BE', 'Belgium'),
(155656, '212.197.242.176', '212.197.242.191', 3569742512, 3569742527, 'FR', 'France'),
(155657, '212.197.242.192', '212.197.243.31', 3569742528, 3569742623, 'BE', 'Belgium'),
(155658, '212.197.243.32', '212.197.243.47', 3569742624, 3569742639, 'FR', 'France'),
(155659, '212.197.243.48', '212.197.243.79', 3569742640, 3569742671, 'BE', 'Belgium'),
(155660, '212.197.243.80', '212.197.243.95', 3569742672, 3569742687, 'FR', 'France'),
(155661, '212.197.243.96', '212.197.243.143', 3569742688, 3569742735, 'BE', 'Belgium'),
(155662, '212.197.243.144', '212.197.243.159', 3569742736, 3569742751, 'FR', 'France'),
(155663, '212.197.243.160', '212.197.243.175', 3569742752, 3569742767, 'BE', 'Belgium'),
(155664, '212.197.243.176', '212.197.243.191', 3569742768, 3569742783, 'FR', 'France'),
(155665, '212.197.243.192', '212.197.244.79', 3569742784, 3569742927, 'BE', 'Belgium'),
(155666, '212.197.244.80', '212.197.244.95', 3569742928, 3569742943, 'FR', 'France'),
(155667, '212.197.244.96', '212.197.244.239', 3569742944, 3569743087, 'BE', 'Belgium'),
(155668, '212.197.244.240', '212.197.244.255', 3569743088, 3569743103, 'FR', 'France'),
(155669, '212.197.245.0', '212.197.245.31', 3569743104, 3569743135, 'BE', 'Belgium'),
(155670, '212.197.245.32', '212.197.245.95', 3569743136, 3569743199, 'FR', 'France'),
(155671, '212.197.245.96', '212.197.245.111', 3569743200, 3569743215, 'BE', 'Belgium'),
(155672, '212.197.245.112', '212.197.245.255', 3569743216, 3569743359, 'FR', 'France'),
(155673, '212.197.246.0', '212.197.246.31', 3569743360, 3569743391, 'BE', 'Belgium'),
(155674, '212.197.246.32', '212.197.246.47', 3569743392, 3569743407, 'FR', 'France'),
(155675, '212.197.246.48', '212.197.246.63', 3569743408, 3569743423, 'BE', 'Belgium'),
(155676, '212.197.246.64', '212.197.246.95', 3569743424, 3569743455, 'FR', 'France'),
(155677, '212.197.246.96', '212.197.246.223', 3569743456, 3569743583, 'BE', 'Belgium'),
(155678, '212.197.246.224', '212.197.246.239', 3569743584, 3569743599, 'NL', 'Netherlands'),
(155679, '212.197.246.240', '212.197.246.255', 3569743600, 3569743615, 'FR', 'France'),
(155680, '212.197.247.0', '212.197.247.15', 3569743616, 3569743631, 'BE', 'Belgium'),
(155681, '212.197.247.16', '212.197.247.31', 3569743632, 3569743647, 'FR', 'France'),
(155682, '212.197.247.32', '212.197.247.63', 3569743648, 3569743679, 'BE', 'Belgium'),
(155683, '212.197.247.64', '212.197.247.95', 3569743680, 3569743711, 'FR', 'France'),
(155684, '212.197.247.96', '212.197.247.159', 3569743712, 3569743775, 'BE', 'Belgium'),
(155685, '212.197.247.160', '212.197.247.175', 3569743776, 3569743791, 'FR', 'France'),
(155686, '212.197.247.176', '212.197.247.255', 3569743792, 3569743871, 'BE', 'Belgium'),
(155687, '212.197.248.0', '212.197.248.111', 3569743872, 3569743983, 'NL', 'Netherlands'),
(155688, '212.197.248.112', '212.197.248.127', 3569743984, 3569743999, 'FR', 'France'),
(155689, '212.197.248.128', '212.197.248.175', 3569744000, 3569744047, 'NL', 'Netherlands'),
(155690, '212.197.248.176', '212.197.248.191', 3569744048, 3569744063, 'FR', 'France'),
(155691, '212.197.248.192', '212.197.248.255', 3569744064, 3569744127, 'NL', 'Netherlands'),
(155692, '212.197.249.0', '212.197.249.15', 3569744128, 3569744143, 'FR', 'France'),
(155693, '212.197.249.16', '212.197.250.159', 3569744144, 3569744543, 'NL', 'Netherlands'),
(155694, '212.197.250.160', '212.197.250.175', 3569744544, 3569744559, 'FR', 'France'),
(155695, '212.197.250.176', '212.197.250.191', 3569744560, 3569744575, 'NL', 'Netherlands'),
(155696, '212.197.250.192', '212.197.250.239', 3569744576, 3569744623, 'FR', 'France'),
(155697, '212.197.250.240', '212.197.251.175', 3569744624, 3569744815, 'NL', 'Netherlands'),
(155698, '212.197.251.176', '212.197.251.191', 3569744816, 3569744831, 'FR', 'France'),
(155699, '212.197.251.192', '212.197.252.15', 3569744832, 3569744911, 'NL', 'Netherlands'),
(155700, '212.197.252.16', '212.197.252.31', 3569744912, 3569744927, 'FR', 'France'),
(155701, '212.197.252.32', '212.197.252.79', 3569744928, 3569744975, 'NL', 'Netherlands'),
(155702, '212.197.252.80', '212.197.252.95', 3569744976, 3569744991, 'FR', 'France'),
(155703, '212.197.252.96', '212.197.252.111', 3569744992, 3569745007, 'NL', 'Netherlands'),
(155704, '212.197.252.112', '212.197.252.127', 3569745008, 3569745023, 'FR', 'France'),
(155705, '212.197.252.128', '212.197.252.143', 3569745024, 3569745039, 'NL', 'Netherlands'),
(155706, '212.197.252.144', '212.197.252.159', 3569745040, 3569745055, 'FR', 'France'),
(155707, '212.197.252.160', '212.197.252.207', 3569745056, 3569745103, 'NL', 'Netherlands'),
(155708, '212.197.252.208', '212.197.252.223', 3569745104, 3569745119, 'FR', 'France'),
(155709, '212.197.252.224', '212.197.253.15', 3569745120, 3569745167, 'NL', 'Netherlands'),
(155710, '212.197.253.16', '212.197.253.31', 3569745168, 3569745183, 'FR', 'France'),
(155711, '212.197.253.32', '212.197.253.63', 3569745184, 3569745215, 'NL', 'Netherlands'),
(155712, '212.197.253.64', '212.197.253.79', 3569745216, 3569745231, 'FR', 'France'),
(155713, '212.197.253.80', '212.197.253.95', 3569745232, 3569745247, 'NL', 'Netherlands'),
(155714, '212.197.253.96', '212.197.253.127', 3569745248, 3569745279, 'FR', 'France'),
(155715, '212.197.253.128', '212.197.253.159', 3569745280, 3569745311, 'NL', 'Netherlands'),
(155716, '212.197.253.160', '212.197.253.175', 3569745312, 3569745327, 'FR', 'France'),
(155717, '212.197.253.176', '212.197.253.207', 3569745328, 3569745359, 'NL', 'Netherlands'),
(155718, '212.197.253.208', '212.197.253.223', 3569745360, 3569745375, 'FR', 'France'),
(155719, '212.197.253.224', '212.197.253.255', 3569745376, 3569745407, 'NL', 'Netherlands'),
(155720, '212.197.254.0', '212.197.254.255', 3569745408, 3569745663, 'FR', 'France'),
(155721, '212.197.255.0', '212.197.255.63', 3569745664, 3569745727, 'NL', 'Netherlands'),
(155722, '212.197.255.64', '212.197.255.79', 3569745728, 3569745743, 'FR', 'France'),
(155723, '212.197.255.80', '212.197.255.149', 3569745744, 3569745813, 'NL', 'Netherlands'),
(155724, '212.197.255.150', '212.197.255.159', 3569745814, 3569745823, 'FR', 'France'),
(155725, '212.197.255.160', '212.197.255.175', 3569745824, 3569745839, 'NL', 'Netherlands'),
(155726, '212.197.255.176', '212.197.255.207', 3569745840, 3569745871, 'FR', 'France'),
(155727, '212.197.255.208', '212.197.255.223', 3569745872, 3569745887, 'NL', 'Netherlands'),
(155728, '212.197.255.224', '212.197.255.239', 3569745888, 3569745903, 'FR', 'France'),
(155729, '212.197.255.240', '212.197.255.255', 3569745904, 3569745919, 'NL', 'Netherlands'),
(155730, '212.198.0.0', '212.198.255.255', 3569745920, 3569811455, 'FR', 'France'),
(155731, '212.199.0.0', '212.199.74.63', 3569811456, 3569830463, 'IL', 'Israel'),
(155732, '212.199.74.64', '212.199.74.127', 3569830464, 3569830527, 'GB', 'United Kingdom'),
(155733, '212.199.74.128', '212.199.108.83', 3569830528, 3569839187, 'IL', 'Israel'),
(155734, '212.199.108.84', '212.199.108.87', 3569839188, 3569839191, 'A2', 'Satellite Provider'),
(155735, '212.199.108.88', '212.199.108.255', 3569839192, 3569839359, 'IL', 'Israel'),
(155736, '212.199.109.0', '212.199.109.115', 3569839360, 3569839475, 'A2', 'Satellite Provider'),
(155737, '212.199.109.116', '212.199.109.119', 3569839476, 3569839479, 'IL', 'Israel'),
(155738, '212.199.109.120', '212.199.109.248', 3569839480, 3569839608, 'A2', 'Satellite Provider'),
(155739, '212.199.109.249', '212.199.109.250', 3569839609, 3569839610, 'IL', 'Israel'),
(155740, '212.199.109.251', '212.199.109.255', 3569839611, 3569839615, 'A2', 'Satellite Provider'),
(155741, '212.199.110.0', '212.199.136.255', 3569839616, 3569846527, 'IL', 'Israel'),
(155742, '212.199.137.0', '212.199.137.255', 3569846528, 3569846783, 'A2', 'Satellite Provider'),
(155743, '212.199.138.0', '212.199.158.31', 3569846784, 3569851935, 'IL', 'Israel'),
(155744, '212.199.158.32', '212.199.158.47', 3569851936, 3569851951, 'A2', 'Satellite Provider'),
(155745, '212.199.158.48', '212.199.158.63', 3569851952, 3569851967, 'IL', 'Israel'),
(155746, '212.199.158.64', '212.199.158.95', 3569851968, 3569851999, 'A2', 'Satellite Provider'),
(155747, '212.199.158.96', '212.199.158.127', 3569852000, 3569852031, 'IL', 'Israel'),
(155748, '212.199.158.128', '212.199.158.143', 3569852032, 3569852047, 'A2', 'Satellite Provider'),
(155749, '212.199.158.144', '212.199.197.255', 3569852048, 3569862143, 'IL', 'Israel'),
(155750, '212.199.198.0', '212.199.198.15', 3569862144, 3569862159, 'A2', 'Satellite Provider'),
(155751, '212.199.198.16', '212.199.241.127', 3569862160, 3569873279, 'IL', 'Israel'),
(155752, '212.199.241.128', '212.199.241.255', 3569873280, 3569873407, 'A2', 'Satellite Provider'),
(155753, '212.199.242.0', '212.199.255.255', 3569873408, 3569876991, 'IL', 'Israel'),
(155754, '212.200.0.0', '212.200.255.255', 3569876992, 3569942527, 'RS', 'Serbia'),
(155755, '212.201.0.0', '212.202.118.191', 3569942528, 3570038463, 'DE', 'Germany'),
(155756, '212.202.118.192', '212.202.118.192', 3570038464, 3570038464, 'A2', 'Satellite Provider'),
(155757, '212.202.118.193', '212.202.255.255', 3570038465, 3570073599, 'DE', 'Germany'),
(155758, '212.203.0.0', '212.203.31.255', 3570073600, 3570081791, 'NL', 'Netherlands'),
(155759, '212.203.32.0', '212.203.97.255', 3570081792, 3570098687, 'CH', 'Switzerland'),
(155760, '212.203.98.0', '212.203.98.255', 3570098688, 3570098943, 'EU', 'Europe'),
(155761, '212.203.99.0', '212.203.127.255', 3570098944, 3570106367, 'CH', 'Switzerland'),
(155762, '212.203.128.0', '212.203.255.255', 3570106368, 3570139135, 'PL', 'Poland'),
(155763, '212.204.0.0', '212.204.120.223', 3570139136, 3570170079, 'DE', 'Germany'),
(155764, '212.204.120.224', '212.204.120.255', 3570170080, 3570170111, 'BE', 'Belgium'),
(155765, '212.204.121.0', '212.204.127.7', 3570170112, 3570171655, 'DE', 'Germany'),
(155766, '212.204.127.8', '212.204.127.15', 3570171656, 3570171663, 'AU', 'Australia'),
(155767, '212.204.127.16', '212.204.127.255', 3570171664, 3570171903, 'DE', 'Germany'),
(155768, '212.204.128.0', '212.204.255.255', 3570171904, 3570204671, 'NL', 'Netherlands'),
(155769, '212.205.0.0', '212.205.42.255', 3570204672, 3570215679, 'GR', 'Greece'),
(155770, '212.205.43.0', '212.205.43.127', 3570215680, 3570215807, 'DE', 'Germany'),
(155771, '212.205.43.128', '212.205.71.255', 3570215808, 3570223103, 'GR', 'Greece'),
(155772, '212.205.72.0', '212.205.72.127', 3570223104, 3570223231, 'DE', 'Germany'),
(155773, '212.205.72.128', '212.205.122.255', 3570223232, 3570236159, 'GR', 'Greece'),
(155774, '212.205.123.0', '212.205.123.255', 3570236160, 3570236415, 'DE', 'Germany'),
(155775, '212.205.124.0', '212.205.125.255', 3570236416, 3570236927, 'GR', 'Greece'),
(155776, '212.205.126.0', '212.205.126.255', 3570236928, 3570237183, 'DE', 'Germany'),
(155777, '212.205.127.0', '212.205.144.255', 3570237184, 3570241791, 'GR', 'Greece'),
(155778, '212.205.145.0', '212.205.145.255', 3570241792, 3570242047, 'DE', 'Germany'),
(155779, '212.205.146.0', '212.205.255.255', 3570242048, 3570270207, 'GR', 'Greece'),
(155780, '212.206.0.0', '212.206.255.255', 3570270208, 3570335743, 'NL', 'Netherlands'),
(155781, '212.207.0.0', '212.207.255.255', 3570335744, 3570401279, 'GB', 'United Kingdom'),
(155782, '212.208.0.0', '212.208.255.255', 3570401280, 3570466815, 'FR', 'France'),
(155783, '212.209.0.0', '212.209.158.175', 3570466816, 3570507439, 'SE', 'Sweden'),
(155784, '212.209.158.176', '212.209.158.191', 3570507440, 3570507455, 'CH', 'Switzerland'),
(155785, '212.209.158.192', '212.209.255.255', 3570507456, 3570532351, 'SE', 'Sweden'),
(155786, '212.210.0.0', '212.210.255.255', 3570532352, 3570597887, 'IT', 'Italy'),
(155787, '212.211.0.0', '212.211.35.255', 3570597888, 3570607103, 'GB', 'United Kingdom'),
(155788, '212.211.36.0', '212.211.39.255', 3570607104, 3570608127, 'DE', 'Germany'),
(155789, '212.211.40.0', '212.211.51.255', 3570608128, 3570611199, 'GB', 'United Kingdom'),
(155790, '212.211.52.0', '212.211.52.255', 3570611200, 3570611455, 'FR', 'France'),
(155791, '212.211.53.0', '212.211.63.255', 3570611456, 3570614271, 'GB', 'United Kingdom'),
(155792, '212.211.64.0', '212.211.75.255', 3570614272, 3570617343, 'DE', 'Germany'),
(155793, '212.211.76.0', '212.211.77.255', 3570617344, 3570617855, 'GB', 'United Kingdom'),
(155794, '212.211.78.0', '212.211.95.255', 3570617856, 3570622463, 'DE', 'Germany'),
(155795, '212.211.96.0', '212.211.127.255', 3570622464, 3570630655, 'GB', 'United Kingdom'),
(155796, '212.211.128.0', '212.211.165.255', 3570630656, 3570640383, 'DE', 'Germany'),
(155797, '212.211.166.0', '212.211.166.31', 3570640384, 3570640415, 'CH', 'Switzerland'),
(155798, '212.211.166.32', '212.211.255.255', 3570640416, 3570663423, 'DE', 'Germany'),
(155799, '212.212.0.0', '212.212.255.255', 3570663424, 3570728959, 'GB', 'United Kingdom'),
(155800, '212.213.0.0', '212.213.3.255', 3570728960, 3570729983, 'FI', 'Finland'),
(155801, '212.213.4.0', '212.213.7.255', 3570729984, 3570731007, 'SE', 'Sweden'),
(155802, '212.213.8.0', '212.213.106.95', 3570731008, 3570756191, 'FI', 'Finland'),
(155803, '212.213.106.96', '212.213.106.127', 3570756192, 3570756223, 'RU', 'Russian Federation'),
(155804, '212.213.106.128', '212.213.123.95', 3570756224, 3570760543, 'FI', 'Finland'),
(155805, '212.213.123.96', '212.213.123.127', 3570760544, 3570760575, 'RU', 'Russian Federation'),
(155806, '212.213.123.128', '212.213.255.255', 3570760576, 3570794495, 'FI', 'Finland'),
(155807, '212.214.0.0', '212.214.255.255', 3570794496, 3570860031, 'SE', 'Sweden'),
(155808, '212.215.0.0', '212.215.127.255', 3570860032, 3570892799, 'CH', 'Switzerland'),
(155809, '212.215.128.0', '212.215.255.255', 3570892800, 3570925567, 'SA', 'Saudi Arabia'),
(155810, '212.216.0.0', '212.216.255.255', 3570925568, 3570991103, 'IT', 'Italy'),
(155811, '212.217.0.0', '212.217.127.255', 3570991104, 3571023871, 'MA', 'Morocco'),
(155812, '212.217.128.0', '212.217.255.255', 3571023872, 3571056639, 'SE', 'Sweden'),
(155813, '212.218.0.0', '212.218.255.255', 3571056640, 3571122175, 'DE', 'Germany'),
(155814, '212.219.0.0', '212.219.255.255', 3571122176, 3571187711, 'GB', 'United Kingdom'),
(155815, '212.220.0.0', '212.220.255.255', 3571187712, 3571253247, 'RU', 'Russian Federation'),
(155816, '212.221.0.0', '212.221.44.95', 3571253248, 3571264607, 'BE', 'Belgium'),
(155817, '212.221.44.96', '212.221.44.127', 3571264608, 3571264639, 'FR', 'France'),
(155818, '212.221.44.128', '212.221.59.255', 3571264640, 3571268607, 'BE', 'Belgium'),
(155819, '212.221.60.0', '212.221.60.31', 3571268608, 3571268639, 'LU', 'Luxembourg'),
(155820, '212.221.60.32', '212.221.127.255', 3571268640, 3571286015, 'BE', 'Belgium'),
(155821, '212.221.128.0', '212.221.255.255', 3571286016, 3571318783, 'DE', 'Germany'),
(155822, '212.222.0.0', '212.222.3.255', 3571318784, 3571319807, 'GB', 'United Kingdom'),
(155823, '212.222.4.0', '212.222.4.127', 3571319808, 3571319935, 'DE', 'Germany'),
(155824, '212.222.4.128', '212.222.8.23', 3571319936, 3571320855, 'GB', 'United Kingdom'),
(155825, '212.222.8.24', '212.222.8.31', 3571320856, 3571320863, 'DE', 'Germany'),
(155826, '212.222.8.32', '212.222.8.111', 3571320864, 3571320943, 'GB', 'United Kingdom'),
(155827, '212.222.8.112', '212.222.8.127', 3571320944, 3571320959, 'DE', 'Germany'),
(155828, '212.222.8.128', '212.222.10.255', 3571320960, 3571321599, 'GB', 'United Kingdom'),
(155829, '212.222.11.0', '212.222.11.127', 3571321600, 3571321727, 'DE', 'Germany'),
(155830, '212.222.11.128', '212.222.11.223', 3571321728, 3571321823, 'GB', 'United Kingdom'),
(155831, '212.222.11.224', '212.222.11.255', 3571321824, 3571321855, 'DE', 'Germany'),
(155832, '212.222.12.0', '212.222.12.127', 3571321856, 3571321983, 'GB', 'United Kingdom'),
(155833, '212.222.12.128', '212.222.12.143', 3571321984, 3571321999, 'DE', 'Germany'),
(155834, '212.222.12.144', '212.222.20.63', 3571322000, 3571323967, 'GB', 'United Kingdom'),
(155835, '212.222.20.64', '212.222.20.127', 3571323968, 3571324031, 'DE', 'Germany'),
(155836, '212.222.20.128', '212.222.28.255', 3571324032, 3571326207, 'GB', 'United Kingdom'),
(155837, '212.222.29.0', '212.222.29.7', 3571326208, 3571326215, 'DE', 'Germany'),
(155838, '212.222.29.8', '212.222.29.23', 3571326216, 3571326231, 'GB', 'United Kingdom'),
(155839, '212.222.29.24', '212.222.29.39', 3571326232, 3571326247, 'DE', 'Germany'),
(155840, '212.222.29.40', '212.222.32.7', 3571326248, 3571326983, 'GB', 'United Kingdom'),
(155841, '212.222.32.8', '212.222.32.15', 3571326984, 3571326991, 'DE', 'Germany'),
(155842, '212.222.32.16', '212.222.37.255', 3571326992, 3571328511, 'GB', 'United Kingdom'),
(155843, '212.222.38.0', '212.222.38.31', 3571328512, 3571328543, 'DE', 'Germany'),
(155844, '212.222.38.32', '212.222.39.95', 3571328544, 3571328863, 'GB', 'United Kingdom'),
(155845, '212.222.39.96', '212.222.39.111', 3571328864, 3571328879, 'DE', 'Germany'),
(155846, '212.222.39.112', '212.222.40.191', 3571328880, 3571329215, 'GB', 'United Kingdom'),
(155847, '212.222.40.192', '212.222.40.223', 3571329216, 3571329247, 'DE', 'Germany'),
(155848, '212.222.40.224', '212.222.50.63', 3571329248, 3571331647, 'GB', 'United Kingdom'),
(155849, '212.222.50.64', '212.222.50.95', 3571331648, 3571331679, 'DE', 'Germany'),
(155850, '212.222.50.96', '212.222.50.255', 3571331680, 3571331839, 'GB', 'United Kingdom'),
(155851, '212.222.51.0', '212.222.52.255', 3571331840, 3571332351, 'DE', 'Germany'),
(155852, '212.222.53.0', '212.222.66.127', 3571332352, 3571335807, 'GB', 'United Kingdom'),
(155853, '212.222.66.128', '212.222.66.255', 3571335808, 3571335935, 'DE', 'Germany'),
(155854, '212.222.67.0', '212.222.84.127', 3571335936, 3571340415, 'GB', 'United Kingdom'),
(155855, '212.222.84.128', '212.222.84.159', 3571340416, 3571340447, 'DE', 'Germany'),
(155856, '212.222.84.160', '212.222.90.255', 3571340448, 3571342079, 'GB', 'United Kingdom'),
(155857, '212.222.91.0', '212.222.91.255', 3571342080, 3571342335, 'DE', 'Germany'),
(155858, '212.222.92.0', '212.222.96.31', 3571342336, 3571343391, 'GB', 'United Kingdom'),
(155859, '212.222.96.32', '212.222.96.95', 3571343392, 3571343455, 'DE', 'Germany'),
(155860, '212.222.96.96', '212.222.111.255', 3571343456, 3571347455, 'GB', 'United Kingdom'),
(155861, '212.222.112.0', '212.222.112.255', 3571347456, 3571347711, 'BE', 'Belgium'),
(155862, '212.222.113.0', '212.222.115.163', 3571347712, 3571348387, 'GB', 'United Kingdom'),
(155863, '212.222.115.164', '212.222.115.167', 3571348388, 3571348391, 'DE', 'Germany'),
(155864, '212.222.115.168', '212.222.118.95', 3571348392, 3571349087, 'GB', 'United Kingdom'),
(155865, '212.222.118.96', '212.222.118.127', 3571349088, 3571349119, 'DE', 'Germany'),
(155866, '212.222.118.128', '212.222.127.255', 3571349120, 3571351551, 'GB', 'United Kingdom'),
(155867, '212.222.128.0', '212.222.128.255', 3571351552, 3571351807, 'DE', 'Germany'),
(155868, '212.222.129.0', '212.222.139.95', 3571351808, 3571354463, 'GB', 'United Kingdom'),
(155869, '212.222.139.96', '212.222.139.127', 3571354464, 3571354495, 'DE', 'Germany'),
(155870, '212.222.139.128', '212.222.141.191', 3571354496, 3571355071, 'GB', 'United Kingdom'),
(155871, '212.222.141.192', '212.222.141.255', 3571355072, 3571355135, 'DE', 'Germany'),
(155872, '212.222.142.0', '212.222.142.255', 3571355136, 3571355391, 'GB', 'United Kingdom'),
(155873, '212.222.143.0', '212.222.144.255', 3571355392, 3571355903, 'DE', 'Germany'),
(155874, '212.222.145.0', '212.222.145.95', 3571355904, 3571355999, 'GB', 'United Kingdom'),
(155875, '212.222.145.96', '212.222.145.127', 3571356000, 3571356031, 'DE', 'Germany'),
(155876, '212.222.145.128', '212.222.149.255', 3571356032, 3571357183, 'GB', 'United Kingdom'),
(155877, '212.222.150.0', '212.222.151.255', 3571357184, 3571357695, 'DE', 'Germany'),
(155878, '212.222.152.0', '212.222.152.175', 3571357696, 3571357871, 'GB', 'United Kingdom'),
(155879, '212.222.152.176', '212.222.152.223', 3571357872, 3571357919, 'DE', 'Germany'),
(155880, '212.222.152.224', '212.222.154.31', 3571357920, 3571358239, 'GB', 'United Kingdom'),
(155881, '212.222.154.32', '212.222.154.47', 3571358240, 3571358255, 'DE', 'Germany'),
(155882, '212.222.154.48', '212.222.157.23', 3571358256, 3571358999, 'GB', 'United Kingdom'),
(155883, '212.222.157.24', '212.222.157.31', 3571359000, 3571359007, 'DE', 'Germany'),
(155884, '212.222.157.32', '212.222.157.35', 3571359008, 3571359011, 'GB', 'United Kingdom'),
(155885, '212.222.157.36', '212.222.157.39', 3571359012, 3571359015, 'DE', 'Germany'),
(155886, '212.222.157.40', '212.222.157.167', 3571359016, 3571359143, 'GB', 'United Kingdom'),
(155887, '212.222.157.168', '212.222.157.175', 3571359144, 3571359151, 'DE', 'Germany'),
(155888, '212.222.157.176', '212.222.157.215', 3571359152, 3571359191, 'GB', 'United Kingdom'),
(155889, '212.222.157.216', '212.222.157.223', 3571359192, 3571359199, 'DE', 'Germany'),
(155890, '212.222.157.224', '212.222.158.71', 3571359200, 3571359303, 'GB', 'United Kingdom'),
(155891, '212.222.158.72', '212.222.158.79', 3571359304, 3571359311, 'DE', 'Germany'),
(155892, '212.222.158.80', '212.222.158.175', 3571359312, 3571359407, 'GB', 'United Kingdom'),
(155893, '212.222.158.176', '212.222.158.183', 3571359408, 3571359415, 'DE', 'Germany'),
(155894, '212.222.158.184', '212.222.158.215', 3571359416, 3571359447, 'GB', 'United Kingdom'),
(155895, '212.222.158.216', '212.222.158.223', 3571359448, 3571359455, 'DE', 'Germany'),
(155896, '212.222.158.224', '212.222.165.255', 3571359456, 3571361279, 'GB', 'United Kingdom'),
(155897, '212.222.166.0', '212.222.166.127', 3571361280, 3571361407, 'DE', 'Germany'),
(155898, '212.222.166.128', '212.222.166.191', 3571361408, 3571361471, 'GB', 'United Kingdom'),
(155899, '212.222.166.192', '212.222.166.255', 3571361472, 3571361535, 'DE', 'Germany'),
(155900, '212.222.167.0', '212.222.168.207', 3571361536, 3571361999, 'GB', 'United Kingdom'),
(155901, '212.222.168.208', '212.222.168.223', 3571362000, 3571362015, 'DE', 'Germany'),
(155902, '212.222.168.224', '212.222.171.255', 3571362016, 3571362815, 'GB', 'United Kingdom'),
(155903, '212.222.172.0', '212.222.172.63', 3571362816, 3571362879, 'DE', 'Germany'),
(155904, '212.222.172.64', '212.222.174.255', 3571362880, 3571363583, 'GB', 'United Kingdom'),
(155905, '212.222.175.0', '212.222.176.255', 3571363584, 3571364095, 'DE', 'Germany'),
(155906, '212.222.177.0', '212.222.194.175', 3571364096, 3571368623, 'GB', 'United Kingdom'),
(155907, '212.222.194.176', '212.222.194.191', 3571368624, 3571368639, 'DE', 'Germany'),
(155908, '212.222.194.192', '212.222.194.255', 3571368640, 3571368703, 'GB', 'United Kingdom'),
(155909, '212.222.195.0', '212.222.195.255', 3571368704, 3571368959, 'DE', 'Germany'),
(155910, '212.222.196.0', '212.222.205.63', 3571368960, 3571371327, 'GB', 'United Kingdom'),
(155911, '212.222.205.64', '212.222.205.95', 3571371328, 3571371359, 'DE', 'Germany'),
(155912, '212.222.205.96', '212.222.236.143', 3571371360, 3571379343, 'GB', 'United Kingdom'),
(155913, '212.222.236.144', '212.222.236.151', 3571379344, 3571379351, 'DE', 'Germany'),
(155914, '212.222.236.152', '212.222.236.159', 3571379352, 3571379359, 'GB', 'United Kingdom'),
(155915, '212.222.236.160', '212.222.236.167', 3571379360, 3571379367, 'DE', 'Germany'),
(155916, '212.222.236.168', '212.222.236.175', 3571379368, 3571379375, 'GB', 'United Kingdom'),
(155917, '212.222.236.176', '212.222.236.191', 3571379376, 3571379391, 'DE', 'Germany'),
(155918, '212.222.236.192', '212.222.237.79', 3571379392, 3571379535, 'GB', 'United Kingdom'),
(155919, '212.222.237.80', '212.222.237.103', 3571379536, 3571379559, 'DE', 'Germany'),
(155920, '212.222.237.104', '212.222.238.175', 3571379560, 3571379887, 'GB', 'United Kingdom'),
(155921, '212.222.238.176', '212.222.238.183', 3571379888, 3571379895, 'DE', 'Germany'),
(155922, '212.222.238.184', '212.222.249.95', 3571379896, 3571382623, 'GB', 'United Kingdom'),
(155923, '212.222.249.96', '212.222.249.127', 3571382624, 3571382655, 'DE', 'Germany'),
(155924, '212.222.249.128', '212.222.255.255', 3571382656, 3571384319, 'GB', 'United Kingdom'),
(155925, '212.223.0.0', '212.223.3.63', 3571384320, 3571385151, 'DE', 'Germany'),
(155926, '212.223.3.64', '212.223.3.95', 3571385152, 3571385183, 'GB', 'United Kingdom'),
(155927, '212.223.3.96', '212.223.5.31', 3571385184, 3571385631, 'DE', 'Germany'),
(155928, '212.223.5.32', '212.223.5.63', 3571385632, 3571385663, 'GB', 'United Kingdom'),
(155929, '212.223.5.64', '212.223.20.63', 3571385664, 3571389503, 'DE', 'Germany'),
(155930, '212.223.20.64', '212.223.20.79', 3571389504, 3571389519, 'HU', 'Hungary'),
(155931, '212.223.20.80', '212.223.115.255', 3571389520, 3571414015, 'DE', 'Germany'),
(155932, '212.223.116.0', '212.223.116.255', 3571414016, 3571414271, 'IE', 'Ireland'),
(155933, '212.223.117.0', '212.223.118.255', 3571414272, 3571414783, 'DE', 'Germany'),
(155934, '212.223.119.0', '212.223.119.15', 3571414784, 3571414799, 'IE', 'Ireland'),
(155935, '212.223.119.16', '212.223.119.159', 3571414800, 3571414943, 'DE', 'Germany'),
(155936, '212.223.119.160', '212.223.119.175', 3571414944, 3571414959, 'GB', 'United Kingdom'),
(155937, '212.223.119.176', '212.223.119.255', 3571414960, 3571415039, 'DE', 'Germany'),
(155938, '212.223.120.0', '212.223.120.255', 3571415040, 3571415295, 'GB', 'United Kingdom'),
(155939, '212.223.121.0', '212.223.121.15', 3571415296, 3571415311, 'DE', 'Germany'),
(155940, '212.223.121.16', '212.223.121.31', 3571415312, 3571415327, 'AT', 'Austria'),
(155941, '212.223.121.32', '212.223.153.255', 3571415328, 3571423743, 'DE', 'Germany'),
(155942, '212.223.154.0', '212.223.154.255', 3571423744, 3571423999, 'US', 'United States'),
(155943, '212.223.155.0', '212.223.161.159', 3571424000, 3571425695, 'DE', 'Germany'),
(155944, '212.223.161.160', '212.223.161.191', 3571425696, 3571425727, 'ES', 'Spain'),
(155945, '212.223.161.192', '212.223.166.79', 3571425728, 3571426895, 'DE', 'Germany'),
(155946, '212.223.166.80', '212.223.166.83', 3571426896, 3571426899, 'ES', 'Spain'),
(155947, '212.223.166.84', '212.224.26.63', 3571426900, 3571456575, 'DE', 'Germany'),
(155948, '212.224.26.64', '212.224.26.79', 3571456576, 3571456591, 'GB', 'United Kingdom'),
(155949, '212.224.26.80', '212.224.72.79', 3571456592, 3571468367, 'DE', 'Germany'),
(155950, '212.224.72.80', '212.224.72.95', 3571468368, 3571468383, 'ES', 'Spain'),
(155951, '212.224.72.96', '212.224.90.255', 3571468384, 3571473151, 'DE', 'Germany'),
(155952, '212.224.91.0', '212.224.91.255', 3571473152, 3571473407, 'NL', 'Netherlands'),
(155953, '212.224.92.0', '212.224.126.255', 3571473408, 3571482367, 'DE', 'Germany'),
(155954, '212.224.127.0', '212.224.127.255', 3571482368, 3571482623, 'CH', 'Switzerland'),
(155955, '212.224.128.0', '212.224.138.7', 3571482624, 3571485191, 'BE', 'Belgium'),
(155956, '212.224.138.8', '212.224.138.11', 3571485192, 3571485195, 'NL', 'Netherlands'),
(155957, '212.224.138.12', '212.224.255.255', 3571485196, 3571515391, 'BE', 'Belgium'),
(155958, '212.225.0.0', '212.225.127.255', 3571515392, 3571548159, 'GB', 'United Kingdom'),
(155959, '212.225.128.0', '212.225.255.255', 3571548160, 3571580927, 'ES', 'Spain'),
(155960, '212.226.0.0', '212.226.255.255', 3571580928, 3571646463, 'FI', 'Finland'),
(155961, '212.227.0.0', '212.227.35.136', 3571646464, 3571655560, 'DE', 'Germany'),
(155962, '212.227.35.137', '212.227.35.137', 3571655561, 3571655561, 'RO', 'Romania'),
(155963, '212.227.35.138', '212.227.114.31', 3571655562, 3571675679, 'DE', 'Germany'),
(155964, '212.227.114.32', '212.227.114.39', 3571675680, 3571675687, 'GB', 'United Kingdom'),
(155965, '212.227.114.40', '212.227.248.255', 3571675688, 3571710207, 'DE', 'Germany'),
(155966, '212.227.249.0', '212.227.249.255', 3571710208, 3571710463, 'GB', 'United Kingdom'),
(155967, '212.227.250.0', '212.227.255.255', 3571710464, 3571711999, 'DE', 'Germany'),
(155968, '212.228.0.0', '212.229.255.255', 3571712000, 3571843071, 'GB', 'United Kingdom'),
(155969, '212.230.0.0', '212.231.255.255', 3571843072, 3571974143, 'ES', 'Spain'),
(155970, '212.232.0.0', '212.232.15.255', 3571974144, 3571978239, 'RU', 'Russian Federation'),
(155971, '212.232.16.0', '212.232.23.255', 3571978240, 3571980287, 'SK', 'Slovakia'),
(155972, '212.232.24.0', '212.232.31.255', 3571980288, 3571982335, 'AT', 'Austria'),
(155973, '212.232.32.0', '212.232.127.255', 3571982336, 3572006911, 'RU', 'Russian Federation'),
(155974, '212.232.128.0', '212.232.255.255', 3572006912, 3572039679, 'CH', 'Switzerland'),
(155975, '212.233.0.0', '212.233.31.255', 3572039680, 3572047871, 'BE', 'Belgium'),
(155976, '212.233.32.0', '212.233.62.191', 3572047872, 3572055743, 'LU', 'Luxembourg'),
(155977, '212.233.62.192', '212.233.62.255', 3572055744, 3572055807, 'BE', 'Belgium'),
(155978, '212.233.63.0', '212.233.63.255', 3572055808, 3572056063, 'LU', 'Luxembourg'),
(155979, '212.233.64.0', '212.233.127.255', 3572056064, 3572072447, 'RU', 'Russian Federation'),
(155980, '212.233.128.0', '212.233.255.255', 3572072448, 3572105215, 'BG', 'Bulgaria'),
(155981, '212.234.0.0', '212.234.3.111', 3572105216, 3572106095, 'FR', 'France'),
(155982, '212.234.3.112', '212.234.3.127', 3572106096, 3572106111, 'A2', 'Satellite Provider'),
(155983, '212.234.3.128', '212.234.44.47', 3572106112, 3572116527, 'FR', 'France'),
(155984, '212.234.44.48', '212.234.44.55', 3572116528, 3572116535, 'A2', 'Satellite Provider'),
(155985, '212.234.44.56', '212.234.255.255', 3572116536, 3572170751, 'FR', 'France'),
(155986, '212.235.0.0', '212.235.97.207', 3572170752, 3572195791, 'IL', 'Israel'),
(155987, '212.235.97.208', '212.235.97.223', 3572195792, 3572195807, 'GB', 'United Kingdom'),
(155988, '212.235.97.224', '212.235.127.255', 3572195808, 3572203519, 'IL', 'Israel'),
(155989, '212.235.128.0', '212.235.255.255', 3572203520, 3572236287, 'SI', 'Slovenia'),
(155990, '212.236.0.0', '212.236.255.255', 3572236288, 3572301823, 'AT', 'Austria'),
(155991, '212.237.0.0', '212.237.255.255', 3572301824, 3572367359, 'DK', 'Denmark'),
(155992, '212.238.0.0', '212.238.255.255', 3572367360, 3572432895, 'NL', 'Netherlands'),
(155993, '212.239.0.0', '212.239.12.79', 3572432896, 3572436047, 'IT', 'Italy'),
(155994, '212.239.12.80', '212.239.12.95', 3572436048, 3572436063, 'GB', 'United Kingdom'),
(155995, '212.239.12.96', '212.239.37.127', 3572436064, 3572442495, 'IT', 'Italy'),
(155996, '212.239.37.128', '212.239.37.143', 3572442496, 3572442511, 'NL', 'Netherlands'),
(155997, '212.239.37.144', '212.239.55.255', 3572442512, 3572447231, 'IT', 'Italy'),
(155998, '212.239.56.0', '212.239.56.7', 3572447232, 3572447239, 'AT', 'Austria'),
(155999, '212.239.56.8', '212.239.56.15', 3572447240, 3572447247, 'FR', 'France'),
(156000, '212.239.56.16', '212.239.56.23', 3572447248, 3572447255, 'GB', 'United Kingdom'),
(156001, '212.239.56.24', '212.239.56.31', 3572447256, 3572447263, 'ES', 'Spain'),
(156002, '212.239.56.32', '212.239.127.255', 3572447264, 3572465663, 'IT', 'Italy'),
(156003, '212.239.128.0', '212.239.255.255', 3572465664, 3572498431, 'BE', 'Belgium'),
(156004, '212.240.0.0', '212.240.255.255', 3572498432, 3572563967, 'GB', 'United Kingdom'),
(156005, '212.241.0.0', '212.241.31.255', 3572563968, 3572572159, 'KG', 'Kyrgyzstan'),
(156006, '212.241.32.0', '212.241.63.255', 3572572160, 3572580351, 'NL', 'Netherlands'),
(156007, '212.241.64.0', '212.241.127.255', 3572580352, 3572596735, 'AT', 'Austria'),
(156008, '212.241.128.0', '212.241.255.255', 3572596736, 3572629503, 'GB', 'United Kingdom'),
(156009, '212.242.0.0', '212.242.255.255', 3572629504, 3572695039, 'DK', 'Denmark'),
(156010, '212.243.0.0', '212.243.38.183', 3572695040, 3572704951, 'CH', 'Switzerland'),
(156011, '212.243.38.184', '212.243.38.191', 3572704952, 3572704959, 'DE', 'Germany'),
(156012, '212.243.38.192', '212.243.79.255', 3572704960, 3572715519, 'CH', 'Switzerland'),
(156013, '212.243.80.0', '212.243.80.255', 3572715520, 3572715775, 'GB', 'United Kingdom'),
(156014, '212.243.81.0', '212.243.255.255', 3572715776, 3572760575, 'CH', 'Switzerland'),
(156015, '212.244.0.0', '212.244.255.255', 3572760576, 3572826111, 'PL', 'Poland'),
(156016, '212.245.0.0', '212.245.255.255', 3572826112, 3572891647, 'IT', 'Italy'),
(156017, '212.246.0.0', '212.246.255.255', 3572891648, 3572957183, 'FI', 'Finland'),
(156018, '212.247.0.0', '212.247.182.61', 3572957184, 3573003837, 'SE', 'Sweden'),
(156019, '212.247.182.62', '212.247.182.62', 3573003838, 3573003838, 'NO', 'Norway'),
(156020, '212.247.182.63', '212.247.255.255', 3573003839, 3573022719, 'SE', 'Sweden'),
(156021, '212.248.0.0', '212.248.127.255', 3573022720, 3573055487, 'RU', 'Russian Federation'),
(156022, '212.248.128.0', '212.248.255.255', 3573055488, 3573088255, 'GB', 'United Kingdom'),
(156023, '212.249.0.0', '212.249.0.7', 3573088256, 3573088263, 'CH', 'Switzerland'),
(156024, '212.249.0.8', '212.249.0.15', 3573088264, 3573088271, 'DE', 'Germany'),
(156025, '212.249.0.16', '212.249.5.223', 3573088272, 3573089759, 'CH', 'Switzerland'),
(156026, '212.249.5.224', '212.249.5.255', 3573089760, 3573089791, 'AT', 'Austria'),
(156027, '212.249.6.0', '212.249.7.7', 3573089792, 3573090055, 'CH', 'Switzerland'),
(156028, '212.249.7.8', '212.249.7.15', 3573090056, 3573090063, 'CD', 'Congo, The Democratic Republic of the'),
(156029, '212.249.7.16', '212.249.49.255', 3573090064, 3573101055, 'CH', 'Switzerland'),
(156030, '212.249.50.0', '212.249.50.255', 3573101056, 3573101311, 'EU', 'Europe'),
(156031, '212.249.51.0', '212.249.209.255', 3573101312, 3573142015, 'CH', 'Switzerland'),
(156032, '212.249.210.0', '212.249.210.255', 3573142016, 3573142271, 'AT', 'Austria'),
(156033, '212.249.211.0', '212.249.255.255', 3573142272, 3573153791, 'CH', 'Switzerland'),
(156034, '212.250.0.0', '212.250.85.159', 3573153792, 3573175711, 'GB', 'United Kingdom'),
(156035, '212.250.85.160', '212.250.85.175', 3573175712, 3573175727, 'IE', 'Ireland'),
(156036, '212.250.85.176', '212.250.213.191', 3573175728, 3573208511, 'GB', 'United Kingdom'),
(156037, '212.250.213.192', '212.250.213.223', 3573208512, 3573208543, 'IE', 'Ireland'),
(156038, '212.250.213.224', '212.250.255.255', 3573208544, 3573219327, 'GB', 'United Kingdom'),
(156039, '212.251.0.0', '212.251.127.255', 3573219328, 3573252095, 'GR', 'Greece'),
(156040, '212.251.128.0', '212.251.255.255', 3573252096, 3573284863, 'NO', 'Norway'),
(156041, '212.252.0.0', '212.253.255.255', 3573284864, 3573415935, 'TR', 'Turkey'),
(156042, '212.254.0.0', '212.254.255.255', 3573415936, 3573481471, 'CH', 'Switzerland'),
(156043, '212.255.0.0', '212.255.255.255', 3573481472, 3573547007, 'DE', 'Germany'),
(156044, '213.0.0.0', '213.0.255.255', 3573547008, 3573612543, 'ES', 'Spain'),
(156045, '213.1.0.0', '213.2.255.255', 3573612544, 3573743615, 'GB', 'United Kingdom'),
(156046, '213.3.0.0', '213.3.255.255', 3573743616, 3573809151, 'CH', 'Switzerland'),
(156047, '213.4.0.0', '213.4.255.255', 3573809152, 3573874687, 'ES', 'Spain'),
(156048, '213.5.0.0', '213.5.15.255', 3573874688, 3573878783, 'PL', 'Poland'),
(156049, '213.5.16.0', '213.5.31.255', 3573878784, 3573882879, 'RU', 'Russian Federation'),
(156050, '213.5.32.0', '213.5.39.255', 3573882880, 3573884927, 'DK', 'Denmark'),
(156051, '213.5.40.0', '213.5.47.255', 3573884928, 3573886975, 'PL', 'Poland'),
(156052, '213.5.48.0', '213.5.55.255', 3573886976, 3573889023, 'RU', 'Russian Federation'),
(156053, '213.5.56.0', '213.5.63.255', 3573889024, 3573891071, 'HR', 'Croatia'),
(156054, '213.5.64.0', '213.5.71.255', 3573891072, 3573893119, 'NL', 'Netherlands'),
(156055, '213.5.72.0', '213.5.87.255', 3573893120, 3573897215, 'RU', 'Russian Federation'),
(156056, '213.5.88.0', '213.5.95.255', 3573897216, 3573899263, 'GB', 'United Kingdom'),
(156057, '213.5.96.0', '213.5.111.255', 3573899264, 3573903359, 'RU', 'Russian Federation'),
(156058, '213.5.112.0', '213.5.119.255', 3573903360, 3573905407, 'SI', 'Slovenia');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(156059, '213.5.120.0', '213.5.135.255', 3573905408, 3573909503, 'RU', 'Russian Federation'),
(156060, '213.5.136.0', '213.5.151.255', 3573909504, 3573913599, 'PL', 'Poland'),
(156061, '213.5.152.0', '213.5.159.255', 3573913600, 3573915647, 'CH', 'Switzerland'),
(156062, '213.5.160.0', '213.5.167.255', 3573915648, 3573917695, 'RU', 'Russian Federation'),
(156063, '213.5.168.0', '213.5.175.255', 3573917696, 3573919743, 'SA', 'Saudi Arabia'),
(156064, '213.5.176.0', '213.5.183.255', 3573919744, 3573921791, 'GB', 'United Kingdom'),
(156065, '213.5.184.0', '213.5.191.255', 3573921792, 3573923839, 'RU', 'Russian Federation'),
(156066, '213.5.192.0', '213.5.199.255', 3573923840, 3573925887, 'UA', 'Ukraine'),
(156067, '213.5.200.0', '213.5.215.255', 3573925888, 3573929983, 'PL', 'Poland'),
(156068, '213.5.216.0', '213.5.247.255', 3573929984, 3573938175, 'RU', 'Russian Federation'),
(156069, '213.5.248.0', '213.5.255.255', 3573938176, 3573940223, 'PL', 'Poland'),
(156070, '213.6.0.0', '213.6.255.255', 3573940224, 3574005759, 'PS', 'Palestinian Territory, Occupied'),
(156071, '213.7.0.0', '213.7.255.255', 3574005760, 3574071295, 'CY', 'Cyprus'),
(156072, '213.8.0.0', '213.8.255.255', 3574071296, 3574136831, 'IL', 'Israel'),
(156073, '213.9.0.0', '213.9.3.223', 3574136832, 3574137823, 'DE', 'Germany'),
(156074, '213.9.3.224', '213.9.3.255', 3574137824, 3574137855, 'NL', 'Netherlands'),
(156075, '213.9.4.0', '213.9.6.191', 3574137856, 3574138559, 'DE', 'Germany'),
(156076, '213.9.6.192', '213.9.6.255', 3574138560, 3574138623, 'NL', 'Netherlands'),
(156077, '213.9.7.0', '213.9.7.111', 3574138624, 3574138735, 'DE', 'Germany'),
(156078, '213.9.7.112', '213.9.7.127', 3574138736, 3574138751, 'NL', 'Netherlands'),
(156079, '213.9.7.128', '213.9.7.143', 3574138752, 3574138767, 'DE', 'Germany'),
(156080, '213.9.7.144', '213.9.7.151', 3574138768, 3574138775, 'NL', 'Netherlands'),
(156081, '213.9.7.152', '213.9.58.143', 3574138776, 3574151823, 'DE', 'Germany'),
(156082, '213.9.58.144', '213.9.58.151', 3574151824, 3574151831, 'AT', 'Austria'),
(156083, '213.9.58.152', '213.9.65.143', 3574151832, 3574153615, 'DE', 'Germany'),
(156084, '213.9.65.144', '213.9.65.151', 3574153616, 3574153623, 'AT', 'Austria'),
(156085, '213.9.65.152', '213.9.73.107', 3574153624, 3574155627, 'DE', 'Germany'),
(156086, '213.9.73.108', '213.9.73.111', 3574155628, 3574155631, 'NL', 'Netherlands'),
(156087, '213.9.73.112', '213.9.73.207', 3574155632, 3574155727, 'DE', 'Germany'),
(156088, '213.9.73.208', '213.9.73.211', 3574155728, 3574155731, 'AT', 'Austria'),
(156089, '213.9.73.212', '213.9.73.219', 3574155732, 3574155739, 'DE', 'Germany'),
(156090, '213.9.73.220', '213.9.73.223', 3574155740, 3574155743, 'AT', 'Austria'),
(156091, '213.9.73.224', '213.9.74.107', 3574155744, 3574155883, 'DE', 'Germany'),
(156092, '213.9.74.108', '213.9.74.111', 3574155884, 3574155887, 'NL', 'Netherlands'),
(156093, '213.9.74.112', '213.9.90.47', 3574155888, 3574159919, 'DE', 'Germany'),
(156094, '213.9.90.48', '213.9.90.55', 3574159920, 3574159927, 'NL', 'Netherlands'),
(156095, '213.9.90.56', '213.9.94.35', 3574159928, 3574160931, 'DE', 'Germany'),
(156096, '213.9.94.36', '213.9.94.39', 3574160932, 3574160935, 'NL', 'Netherlands'),
(156097, '213.9.94.40', '213.9.94.143', 3574160936, 3574161039, 'DE', 'Germany'),
(156098, '213.9.94.144', '213.9.94.147', 3574161040, 3574161043, 'NL', 'Netherlands'),
(156099, '213.9.94.148', '213.9.94.159', 3574161044, 3574161055, 'DE', 'Germany'),
(156100, '213.9.94.160', '213.9.94.191', 3574161056, 3574161087, 'NL', 'Netherlands'),
(156101, '213.9.94.192', '213.9.94.211', 3574161088, 3574161107, 'DE', 'Germany'),
(156102, '213.9.94.212', '213.9.94.215', 3574161108, 3574161111, 'NL', 'Netherlands'),
(156103, '213.9.94.216', '213.9.95.183', 3574161112, 3574161335, 'DE', 'Germany'),
(156104, '213.9.95.184', '213.9.95.187', 3574161336, 3574161339, 'AI', 'Anguilla'),
(156105, '213.9.95.188', '213.9.127.255', 3574161340, 3574169599, 'DE', 'Germany'),
(156106, '213.9.128.0', '213.9.209.255', 3574169600, 3574190591, 'ES', 'Spain'),
(156107, '213.9.210.0', '213.9.210.255', 3574190592, 3574190847, 'EU', 'Europe'),
(156108, '213.9.211.0', '213.9.255.255', 3574190848, 3574202367, 'ES', 'Spain'),
(156109, '213.10.0.0', '213.10.255.255', 3574202368, 3574267903, 'NL', 'Netherlands'),
(156110, '213.11.0.0', '213.11.255.255', 3574267904, 3574333439, 'FR', 'France'),
(156111, '213.12.0.0', '213.12.31.255', 3574333440, 3574341631, 'GB', 'United Kingdom'),
(156112, '213.12.32.0', '213.12.57.255', 3574341632, 3574348287, 'EU', 'Europe'),
(156113, '213.12.58.0', '213.12.58.255', 3574348288, 3574348543, 'GB', 'United Kingdom'),
(156114, '213.12.59.0', '213.12.255.255', 3574348544, 3574398975, 'EU', 'Europe'),
(156115, '213.13.0.0', '213.13.255.255', 3574398976, 3574464511, 'PT', 'Portugal'),
(156116, '213.14.0.0', '213.14.255.255', 3574464512, 3574530047, 'TR', 'Turkey'),
(156117, '213.15.0.0', '213.15.131.223', 3574530048, 3574563807, 'SE', 'Sweden'),
(156118, '213.15.131.224', '213.15.131.239', 3574563808, 3574563823, 'FI', 'Finland'),
(156119, '213.15.131.240', '213.15.251.255', 3574563824, 3574594559, 'SE', 'Sweden'),
(156120, '213.15.252.0', '213.15.255.255', 3574594560, 3574595583, 'GB', 'United Kingdom'),
(156121, '213.16.0.0', '213.16.0.255', 3574595584, 3574595839, 'GP', 'Guadeloupe'),
(156122, '213.16.1.0', '213.16.1.255', 3574595840, 3574596095, 'MQ', 'Martinique'),
(156123, '213.16.2.0', '213.16.2.255', 3574596096, 3574596351, 'FR', 'France'),
(156124, '213.16.3.0', '213.16.3.255', 3574596352, 3574596607, 'MQ', 'Martinique'),
(156125, '213.16.4.0', '213.16.4.255', 3574596608, 3574596863, 'GP', 'Guadeloupe'),
(156126, '213.16.5.0', '213.16.5.255', 3574596864, 3574597119, 'GF', 'French Guiana'),
(156127, '213.16.6.0', '213.16.7.255', 3574597120, 3574597631, 'MQ', 'Martinique'),
(156128, '213.16.8.0', '213.16.9.255', 3574597632, 3574598143, 'GP', 'Guadeloupe'),
(156129, '213.16.10.0', '213.16.10.255', 3574598144, 3574598399, 'MQ', 'Martinique'),
(156130, '213.16.11.0', '213.16.11.255', 3574598400, 3574598655, 'GP', 'Guadeloupe'),
(156131, '213.16.12.0', '213.16.15.255', 3574598656, 3574599679, 'MQ', 'Martinique'),
(156132, '213.16.16.0', '213.16.16.255', 3574599680, 3574599935, 'GP', 'Guadeloupe'),
(156133, '213.16.17.0', '213.16.20.255', 3574599936, 3574600959, 'MQ', 'Martinique'),
(156134, '213.16.21.0', '213.16.22.255', 3574600960, 3574601471, 'GP', 'Guadeloupe'),
(156135, '213.16.23.0', '213.16.24.255', 3574601472, 3574601983, 'MQ', 'Martinique'),
(156136, '213.16.25.0', '213.16.26.255', 3574601984, 3574602495, 'GF', 'French Guiana'),
(156137, '213.16.27.0', '213.16.29.255', 3574602496, 3574603263, 'MQ', 'Martinique'),
(156138, '213.16.30.0', '213.16.30.255', 3574603264, 3574603519, 'GP', 'Guadeloupe'),
(156139, '213.16.31.0', '213.16.31.255', 3574603520, 3574603775, 'GF', 'French Guiana'),
(156140, '213.16.32.0', '213.16.63.255', 3574603776, 3574611967, 'BG', 'Bulgaria'),
(156141, '213.16.64.0', '213.16.127.255', 3574611968, 3574628351, 'HU', 'Hungary'),
(156142, '213.16.128.0', '213.16.255.255', 3574628352, 3574661119, 'GR', 'Greece'),
(156143, '213.17.0.0', '213.17.127.255', 3574661120, 3574693887, 'NL', 'Netherlands'),
(156144, '213.17.128.0', '213.17.255.255', 3574693888, 3574726655, 'PL', 'Poland'),
(156145, '213.18.0.0', '213.18.255.255', 3574726656, 3574792191, 'GB', 'United Kingdom'),
(156146, '213.19.0.0', '213.19.127.255', 3574792192, 3574824959, 'CZ', 'Czech Republic'),
(156147, '213.19.128.0', '213.19.128.63', 3574824960, 3574825023, 'NL', 'Netherlands'),
(156148, '213.19.128.64', '213.19.129.63', 3574825024, 3574825279, 'GB', 'United Kingdom'),
(156149, '213.19.129.64', '213.19.129.191', 3574825280, 3574825407, 'NL', 'Netherlands'),
(156150, '213.19.129.192', '213.19.129.255', 3574825408, 3574825471, 'GB', 'United Kingdom'),
(156151, '213.19.130.0', '213.19.132.127', 3574825472, 3574826111, 'NL', 'Netherlands'),
(156152, '213.19.132.128', '213.19.132.255', 3574826112, 3574826239, 'GB', 'United Kingdom'),
(156153, '213.19.133.0', '213.19.134.255', 3574826240, 3574826751, 'NL', 'Netherlands'),
(156154, '213.19.135.0', '213.19.135.255', 3574826752, 3574827007, 'GB', 'United Kingdom'),
(156155, '213.19.136.0', '213.19.144.255', 3574827008, 3574829311, 'NL', 'Netherlands'),
(156156, '213.19.145.0', '213.19.145.255', 3574829312, 3574829567, 'GB', 'United Kingdom'),
(156157, '213.19.146.0', '213.19.146.255', 3574829568, 3574829823, 'NL', 'Netherlands'),
(156158, '213.19.147.0', '213.19.147.255', 3574829824, 3574830079, 'GB', 'United Kingdom'),
(156159, '213.19.148.0', '213.19.152.255', 3574830080, 3574831359, 'NL', 'Netherlands'),
(156160, '213.19.153.0', '213.19.160.127', 3574831360, 3574833279, 'GB', 'United Kingdom'),
(156161, '213.19.160.128', '213.19.160.159', 3574833280, 3574833311, 'NL', 'Netherlands'),
(156162, '213.19.160.160', '213.19.160.191', 3574833312, 3574833343, 'GB', 'United Kingdom'),
(156163, '213.19.160.192', '213.19.160.207', 3574833344, 3574833359, 'NL', 'Netherlands'),
(156164, '213.19.160.208', '213.19.160.255', 3574833360, 3574833407, 'GB', 'United Kingdom'),
(156165, '213.19.161.0', '213.19.161.31', 3574833408, 3574833439, 'NL', 'Netherlands'),
(156166, '213.19.161.32', '213.19.164.255', 3574833440, 3574834431, 'GB', 'United Kingdom'),
(156167, '213.19.165.0', '213.19.165.127', 3574834432, 3574834559, 'NL', 'Netherlands'),
(156168, '213.19.165.128', '213.19.166.255', 3574834560, 3574834943, 'GB', 'United Kingdom'),
(156169, '213.19.167.0', '213.19.167.255', 3574834944, 3574835199, 'NL', 'Netherlands'),
(156170, '213.19.168.0', '213.19.172.127', 3574835200, 3574836351, 'GB', 'United Kingdom'),
(156171, '213.19.172.128', '213.19.178.255', 3574836352, 3574838015, 'NL', 'Netherlands'),
(156172, '213.19.179.0', '213.19.179.255', 3574838016, 3574838271, 'GB', 'United Kingdom'),
(156173, '213.19.180.0', '213.19.180.255', 3574838272, 3574838527, 'NL', 'Netherlands'),
(156174, '213.19.181.0', '213.19.255.255', 3574838528, 3574857727, 'GB', 'United Kingdom'),
(156175, '213.20.0.0', '213.20.225.127', 3574857728, 3574915455, 'DE', 'Germany'),
(156176, '213.20.225.128', '213.20.225.159', 3574915456, 3574915487, 'CH', 'Switzerland'),
(156177, '213.20.225.160', '213.20.232.255', 3574915488, 3574917375, 'DE', 'Germany'),
(156178, '213.20.233.0', '213.20.233.255', 3574917376, 3574917631, 'CH', 'Switzerland'),
(156179, '213.20.234.0', '213.20.238.95', 3574917632, 3574918751, 'DE', 'Germany'),
(156180, '213.20.238.96', '213.20.238.127', 3574918752, 3574918783, 'CH', 'Switzerland'),
(156181, '213.20.238.128', '213.20.240.191', 3574918784, 3574919359, 'DE', 'Germany'),
(156182, '213.20.240.192', '213.20.240.223', 3574919360, 3574919391, 'FR', 'France'),
(156183, '213.20.240.224', '213.20.244.31', 3574919392, 3574920223, 'DE', 'Germany'),
(156184, '213.20.244.32', '213.20.244.47', 3574920224, 3574920239, 'LU', 'Luxembourg'),
(156185, '213.20.244.48', '213.20.245.55', 3574920240, 3574920503, 'DE', 'Germany'),
(156186, '213.20.245.56', '213.20.245.63', 3574920504, 3574920511, 'LU', 'Luxembourg'),
(156187, '213.20.245.64', '213.20.255.255', 3574920512, 3574923263, 'DE', 'Germany'),
(156188, '213.21.0.0', '213.21.63.255', 3574923264, 3574939647, 'RU', 'Russian Federation'),
(156189, '213.21.64.0', '213.21.127.255', 3574939648, 3574956031, 'SE', 'Sweden'),
(156190, '213.21.128.0', '213.21.191.255', 3574956032, 3574972415, 'IT', 'Italy'),
(156191, '213.21.192.0', '213.21.255.255', 3574972416, 3574988799, 'LV', 'Latvia'),
(156192, '213.22.0.0', '213.22.255.255', 3574988800, 3575054335, 'PT', 'Portugal'),
(156193, '213.23.0.0', '213.23.255.255', 3575054336, 3575119871, 'DE', 'Germany'),
(156194, '213.24.0.0', '213.24.255.255', 3575119872, 3575185407, 'RU', 'Russian Federation'),
(156195, '213.25.0.0', '213.25.255.255', 3575185408, 3575250943, 'PL', 'Poland'),
(156196, '213.26.0.0', '213.26.151.255', 3575250944, 3575289855, 'IT', 'Italy'),
(156197, '213.26.152.0', '213.26.152.255', 3575289856, 3575290111, 'US', 'United States'),
(156198, '213.26.153.0', '213.26.255.255', 3575290112, 3575316479, 'IT', 'Italy'),
(156199, '213.27.0.0', '213.27.127.255', 3575316480, 3575349247, 'RU', 'Russian Federation'),
(156200, '213.27.128.0', '213.27.137.127', 3575349248, 3575351679, 'ES', 'Spain'),
(156201, '213.27.137.128', '213.27.137.135', 3575351680, 3575351687, 'NL', 'Netherlands'),
(156202, '213.27.137.136', '213.27.138.135', 3575351688, 3575351943, 'ES', 'Spain'),
(156203, '213.27.138.136', '213.27.138.143', 3575351944, 3575351951, 'FR', 'France'),
(156204, '213.27.138.144', '213.27.145.103', 3575351952, 3575353703, 'ES', 'Spain'),
(156205, '213.27.145.104', '213.27.145.111', 3575353704, 3575353711, 'GB', 'United Kingdom'),
(156206, '213.27.145.112', '213.27.148.231', 3575353712, 3575354599, 'ES', 'Spain'),
(156207, '213.27.148.232', '213.27.148.239', 3575354600, 3575354607, 'GB', 'United Kingdom'),
(156208, '213.27.148.240', '213.27.151.95', 3575354608, 3575355231, 'ES', 'Spain'),
(156209, '213.27.151.96', '213.27.151.111', 3575355232, 3575355247, 'GB', 'United Kingdom'),
(156210, '213.27.151.112', '213.27.165.79', 3575355248, 3575358799, 'ES', 'Spain'),
(156211, '213.27.165.80', '213.27.165.95', 3575358800, 3575358815, 'FR', 'France'),
(156212, '213.27.165.96', '213.27.170.199', 3575358816, 3575360199, 'ES', 'Spain'),
(156213, '213.27.170.200', '213.27.170.207', 3575360200, 3575360207, 'FR', 'France'),
(156214, '213.27.170.208', '213.27.193.247', 3575360208, 3575366135, 'ES', 'Spain'),
(156215, '213.27.193.248', '213.27.193.255', 3575366136, 3575366143, 'GB', 'United Kingdom'),
(156216, '213.27.194.0', '213.27.197.199', 3575366144, 3575367111, 'ES', 'Spain'),
(156217, '213.27.197.200', '213.27.197.207', 3575367112, 3575367119, 'DE', 'Germany'),
(156218, '213.27.197.208', '213.27.217.207', 3575367120, 3575372239, 'ES', 'Spain'),
(156219, '213.27.217.208', '213.27.217.215', 3575372240, 3575372247, 'PT', 'Portugal'),
(156220, '213.27.217.216', '213.27.221.127', 3575372248, 3575373183, 'ES', 'Spain'),
(156221, '213.27.221.128', '213.27.221.135', 3575373184, 3575373191, 'GB', 'United Kingdom'),
(156222, '213.27.221.136', '213.27.225.239', 3575373192, 3575374319, 'ES', 'Spain'),
(156223, '213.27.225.240', '213.27.225.247', 3575374320, 3575374327, 'GB', 'United Kingdom'),
(156224, '213.27.225.248', '213.27.233.63', 3575374328, 3575376191, 'ES', 'Spain'),
(156225, '213.27.233.64', '213.27.233.71', 3575376192, 3575376199, 'US', 'United States'),
(156226, '213.27.233.72', '213.27.255.255', 3575376200, 3575382015, 'ES', 'Spain'),
(156227, '213.28.0.0', '213.28.120.255', 3575382016, 3575412991, 'FI', 'Finland'),
(156228, '213.28.121.0', '213.28.121.127', 3575412992, 3575413119, 'RU', 'Russian Federation'),
(156229, '213.28.121.128', '213.28.255.255', 3575413120, 3575447551, 'FI', 'Finland'),
(156230, '213.29.0.0', '213.29.255.255', 3575447552, 3575513087, 'CZ', 'Czech Republic'),
(156231, '213.30.0.0', '213.30.127.255', 3575513088, 3575545855, 'PT', 'Portugal'),
(156232, '213.30.128.0', '213.30.191.255', 3575545856, 3575562239, 'FR', 'France'),
(156233, '213.30.192.0', '213.30.255.255', 3575562240, 3575578623, 'DE', 'Germany'),
(156234, '213.31.0.0', '213.31.0.255', 3575578624, 3575578879, 'BE', 'Belgium'),
(156235, '213.31.1.0', '213.31.1.255', 3575578880, 3575579135, 'AU', 'Australia'),
(156236, '213.31.2.0', '213.31.3.255', 3575579136, 3575579647, 'BE', 'Belgium'),
(156237, '213.31.4.0', '213.31.4.255', 3575579648, 3575579903, 'AU', 'Australia'),
(156238, '213.31.5.0', '213.31.10.255', 3575579904, 3575581439, 'BE', 'Belgium'),
(156239, '213.31.11.0', '213.31.11.255', 3575581440, 3575581695, 'EU', 'Europe'),
(156240, '213.31.12.0', '213.31.13.255', 3575581696, 3575582207, 'BE', 'Belgium'),
(156241, '213.31.14.0', '213.31.14.255', 3575582208, 3575582463, 'CH', 'Switzerland'),
(156242, '213.31.15.0', '213.31.15.255', 3575582464, 3575582719, 'FR', 'France'),
(156243, '213.31.16.0', '213.31.17.127', 3575582720, 3575583103, 'BE', 'Belgium'),
(156244, '213.31.17.128', '213.31.17.135', 3575583104, 3575583111, 'HU', 'Hungary'),
(156245, '213.31.17.136', '213.31.17.139', 3575583112, 3575583115, 'GB', 'United Kingdom'),
(156246, '213.31.17.140', '213.31.17.143', 3575583116, 3575583119, 'FR', 'France'),
(156247, '213.31.17.144', '213.31.17.255', 3575583120, 3575583231, 'BE', 'Belgium'),
(156248, '213.31.18.0', '213.31.18.255', 3575583232, 3575583487, 'IT', 'Italy'),
(156249, '213.31.19.0', '213.31.27.255', 3575583488, 3575585791, 'BE', 'Belgium'),
(156250, '213.31.28.0', '213.31.28.255', 3575585792, 3575586047, 'EG', 'Egypt'),
(156251, '213.31.29.0', '213.31.29.255', 3575586048, 3575586303, 'IT', 'Italy'),
(156252, '213.31.30.0', '213.31.31.255', 3575586304, 3575586815, 'BE', 'Belgium'),
(156253, '213.31.32.0', '213.31.32.255', 3575586816, 3575587071, 'GB', 'United Kingdom'),
(156254, '213.31.33.0', '213.31.33.159', 3575587072, 3575587231, 'BE', 'Belgium'),
(156255, '213.31.33.160', '213.31.33.175', 3575587232, 3575587247, 'NL', 'Netherlands'),
(156256, '213.31.33.176', '213.31.33.183', 3575587248, 3575587255, 'FR', 'France'),
(156257, '213.31.33.184', '213.31.33.191', 3575587256, 3575587263, 'BE', 'Belgium'),
(156258, '213.31.33.192', '213.31.33.199', 3575587264, 3575587271, 'CH', 'Switzerland'),
(156259, '213.31.33.200', '213.31.33.215', 3575587272, 3575587287, 'BE', 'Belgium'),
(156260, '213.31.33.216', '213.31.33.223', 3575587288, 3575587295, 'PL', 'Poland'),
(156261, '213.31.33.224', '213.31.33.247', 3575587296, 3575587319, 'BE', 'Belgium'),
(156262, '213.31.33.248', '213.31.33.251', 3575587320, 3575587323, 'PL', 'Poland'),
(156263, '213.31.33.252', '213.31.35.255', 3575587324, 3575587839, 'BE', 'Belgium'),
(156264, '213.31.36.0', '213.31.37.255', 3575587840, 3575588351, 'GB', 'United Kingdom'),
(156265, '213.31.38.0', '213.31.39.255', 3575588352, 3575588863, 'BE', 'Belgium'),
(156266, '213.31.40.0', '213.31.41.255', 3575588864, 3575589375, 'A2', 'Satellite Provider'),
(156267, '213.31.42.0', '213.31.42.255', 3575589376, 3575589631, 'US', 'United States'),
(156268, '213.31.43.0', '213.31.43.255', 3575589632, 3575589887, 'CY', 'Cyprus'),
(156269, '213.31.44.0', '213.31.45.255', 3575589888, 3575590399, 'BE', 'Belgium'),
(156270, '213.31.46.0', '213.31.46.255', 3575590400, 3575590655, 'A2', 'Satellite Provider'),
(156271, '213.31.47.0', '213.31.47.255', 3575590656, 3575590911, 'GB', 'United Kingdom'),
(156272, '213.31.48.0', '213.31.63.255', 3575590912, 3575595007, 'BE', 'Belgium'),
(156273, '213.31.64.0', '213.31.65.255', 3575595008, 3575595519, 'GB', 'United Kingdom'),
(156274, '213.31.66.0', '213.31.68.255', 3575595520, 3575596287, 'BE', 'Belgium'),
(156275, '213.31.69.0', '213.31.69.127', 3575596288, 3575596415, 'GB', 'United Kingdom'),
(156276, '213.31.69.128', '213.31.69.255', 3575596416, 3575596543, 'BE', 'Belgium'),
(156277, '213.31.70.0', '213.31.70.255', 3575596544, 3575596799, 'FR', 'France'),
(156278, '213.31.71.0', '213.31.171.207', 3575596800, 3575622607, 'BE', 'Belgium'),
(156279, '213.31.171.208', '213.31.171.211', 3575622608, 3575622611, 'GB', 'United Kingdom'),
(156280, '213.31.171.212', '213.31.171.255', 3575622612, 3575622655, 'BE', 'Belgium'),
(156281, '213.31.172.0', '213.31.172.159', 3575622656, 3575622815, 'GB', 'United Kingdom'),
(156282, '213.31.172.160', '213.31.172.191', 3575622816, 3575622847, 'BE', 'Belgium'),
(156283, '213.31.172.192', '213.31.172.223', 3575622848, 3575622879, 'IT', 'Italy'),
(156284, '213.31.172.224', '213.31.172.255', 3575622880, 3575622911, 'FI', 'Finland'),
(156285, '213.31.173.0', '213.31.173.255', 3575622912, 3575623167, 'GB', 'United Kingdom'),
(156286, '213.31.174.0', '213.31.179.255', 3575623168, 3575624703, 'BE', 'Belgium'),
(156287, '213.31.180.0', '213.31.180.255', 3575624704, 3575624959, 'EU', 'Europe'),
(156288, '213.31.181.0', '213.31.181.31', 3575624960, 3575624991, 'GB', 'United Kingdom'),
(156289, '213.31.181.32', '213.31.181.39', 3575624992, 3575624999, 'IT', 'Italy'),
(156290, '213.31.181.40', '213.31.181.47', 3575625000, 3575625007, 'GB', 'United Kingdom'),
(156291, '213.31.181.48', '213.31.181.63', 3575625008, 3575625023, 'NL', 'Netherlands'),
(156292, '213.31.181.64', '213.31.181.67', 3575625024, 3575625027, 'EG', 'Egypt'),
(156293, '213.31.181.68', '213.31.181.75', 3575625028, 3575625035, 'BE', 'Belgium'),
(156294, '213.31.181.76', '213.31.181.79', 3575625036, 3575625039, 'GB', 'United Kingdom'),
(156295, '213.31.181.80', '213.31.181.87', 3575625040, 3575625047, 'BE', 'Belgium'),
(156296, '213.31.181.88', '213.31.181.95', 3575625048, 3575625055, 'FI', 'Finland'),
(156297, '213.31.181.96', '213.31.181.111', 3575625056, 3575625071, 'BE', 'Belgium'),
(156298, '213.31.181.112', '213.31.181.127', 3575625072, 3575625087, 'PL', 'Poland'),
(156299, '213.31.181.128', '213.31.181.143', 3575625088, 3575625103, 'BE', 'Belgium'),
(156300, '213.31.181.144', '213.31.181.191', 3575625104, 3575625151, 'GB', 'United Kingdom'),
(156301, '213.31.181.192', '213.31.182.135', 3575625152, 3575625351, 'BE', 'Belgium'),
(156302, '213.31.182.136', '213.31.182.143', 3575625352, 3575625359, 'GB', 'United Kingdom'),
(156303, '213.31.182.144', '213.31.182.159', 3575625360, 3575625375, 'BE', 'Belgium'),
(156304, '213.31.182.160', '213.31.182.191', 3575625376, 3575625407, 'IT', 'Italy'),
(156305, '213.31.182.192', '213.31.182.223', 3575625408, 3575625439, 'BE', 'Belgium'),
(156306, '213.31.182.224', '213.31.182.239', 3575625440, 3575625455, 'ES', 'Spain'),
(156307, '213.31.182.240', '213.31.182.255', 3575625456, 3575625471, 'BE', 'Belgium'),
(156308, '213.31.183.0', '213.31.183.31', 3575625472, 3575625503, 'NO', 'Norway'),
(156309, '213.31.183.32', '213.31.184.255', 3575625504, 3575625983, 'BE', 'Belgium'),
(156310, '213.31.185.0', '213.31.185.7', 3575625984, 3575625991, 'SE', 'Sweden'),
(156311, '213.31.185.8', '213.31.185.63', 3575625992, 3575626047, 'BE', 'Belgium'),
(156312, '213.31.185.64', '213.31.185.127', 3575626048, 3575626111, 'FR', 'France'),
(156313, '213.31.185.128', '213.31.186.79', 3575626112, 3575626319, 'BE', 'Belgium'),
(156314, '213.31.186.80', '213.31.186.95', 3575626320, 3575626335, 'GB', 'United Kingdom'),
(156315, '213.31.186.96', '213.31.186.111', 3575626336, 3575626351, 'ES', 'Spain'),
(156316, '213.31.186.112', '213.31.186.127', 3575626352, 3575626367, 'DE', 'Germany'),
(156317, '213.31.186.128', '213.31.187.7', 3575626368, 3575626503, 'BE', 'Belgium'),
(156318, '213.31.187.8', '213.31.187.15', 3575626504, 3575626511, 'CH', 'Switzerland'),
(156319, '213.31.187.16', '213.31.187.23', 3575626512, 3575626519, 'BE', 'Belgium'),
(156320, '213.31.187.24', '213.31.187.31', 3575626520, 3575626527, 'FR', 'France'),
(156321, '213.31.187.32', '213.31.187.71', 3575626528, 3575626567, 'BE', 'Belgium'),
(156322, '213.31.187.72', '213.31.187.79', 3575626568, 3575626575, 'RO', 'Romania'),
(156323, '213.31.187.80', '213.31.187.103', 3575626576, 3575626599, 'BE', 'Belgium'),
(156324, '213.31.187.104', '213.31.187.111', 3575626600, 3575626607, 'IE', 'Ireland'),
(156325, '213.31.187.112', '213.31.187.135', 3575626608, 3575626631, 'BE', 'Belgium'),
(156326, '213.31.187.136', '213.31.187.143', 3575626632, 3575626639, 'GB', 'United Kingdom'),
(156327, '213.31.187.144', '213.31.187.151', 3575626640, 3575626647, 'DE', 'Germany'),
(156328, '213.31.187.152', '213.31.187.159', 3575626648, 3575626655, 'IT', 'Italy'),
(156329, '213.31.187.160', '213.31.187.255', 3575626656, 3575626751, 'BE', 'Belgium'),
(156330, '213.31.188.0', '213.31.188.255', 3575626752, 3575627007, 'A2', 'Satellite Provider'),
(156331, '213.31.189.0', '213.31.190.47', 3575627008, 3575627311, 'BE', 'Belgium'),
(156332, '213.31.190.48', '213.31.190.63', 3575627312, 3575627327, 'ES', 'Spain'),
(156333, '213.31.190.64', '213.31.190.71', 3575627328, 3575627335, 'SE', 'Sweden'),
(156334, '213.31.190.72', '213.31.190.95', 3575627336, 3575627359, 'BE', 'Belgium'),
(156335, '213.31.190.96', '213.31.190.103', 3575627360, 3575627367, 'ES', 'Spain'),
(156336, '213.31.190.104', '213.31.190.159', 3575627368, 3575627423, 'BE', 'Belgium'),
(156337, '213.31.190.160', '213.31.190.167', 3575627424, 3575627431, 'DE', 'Germany'),
(156338, '213.31.190.168', '213.31.190.223', 3575627432, 3575627487, 'BE', 'Belgium'),
(156339, '213.31.190.224', '213.31.190.239', 3575627488, 3575627503, 'GB', 'United Kingdom'),
(156340, '213.31.190.240', '213.31.191.191', 3575627504, 3575627711, 'BE', 'Belgium'),
(156341, '213.31.191.192', '213.31.191.255', 3575627712, 3575627775, 'GB', 'United Kingdom'),
(156342, '213.31.192.0', '213.31.194.255', 3575627776, 3575628543, 'NL', 'Netherlands'),
(156343, '213.31.195.0', '213.31.195.87', 3575628544, 3575628631, 'BE', 'Belgium'),
(156344, '213.31.195.88', '213.31.195.95', 3575628632, 3575628639, 'GB', 'United Kingdom'),
(156345, '213.31.195.96', '213.31.196.15', 3575628640, 3575628815, 'BE', 'Belgium'),
(156346, '213.31.196.16', '213.31.196.23', 3575628816, 3575628823, 'ES', 'Spain'),
(156347, '213.31.196.24', '213.31.196.31', 3575628824, 3575628831, 'FR', 'France'),
(156348, '213.31.196.32', '213.31.197.127', 3575628832, 3575629183, 'BE', 'Belgium'),
(156349, '213.31.197.128', '213.31.197.191', 3575629184, 3575629247, 'NL', 'Netherlands'),
(156350, '213.31.197.192', '213.31.197.223', 3575629248, 3575629279, 'BE', 'Belgium'),
(156351, '213.31.197.224', '213.31.197.231', 3575629280, 3575629287, 'GB', 'United Kingdom'),
(156352, '213.31.197.232', '213.31.197.239', 3575629288, 3575629295, 'BE', 'Belgium'),
(156353, '213.31.197.240', '213.31.197.247', 3575629296, 3575629303, 'NL', 'Netherlands'),
(156354, '213.31.197.248', '213.31.199.255', 3575629304, 3575629823, 'BE', 'Belgium'),
(156355, '213.31.200.0', '213.31.200.31', 3575629824, 3575629855, 'GR', 'Greece'),
(156356, '213.31.200.32', '213.31.200.47', 3575629856, 3575629871, 'DE', 'Germany'),
(156357, '213.31.200.48', '213.31.200.111', 3575629872, 3575629935, 'BE', 'Belgium'),
(156358, '213.31.200.112', '213.31.200.127', 3575629936, 3575629951, 'FR', 'France'),
(156359, '213.31.200.128', '213.31.200.191', 3575629952, 3575630015, 'BE', 'Belgium'),
(156360, '213.31.200.192', '213.31.200.199', 3575630016, 3575630023, 'GR', 'Greece'),
(156361, '213.31.200.200', '213.31.200.239', 3575630024, 3575630063, 'BE', 'Belgium'),
(156362, '213.31.200.240', '213.31.200.255', 3575630064, 3575630079, 'ZA', 'South Africa'),
(156363, '213.31.201.0', '213.31.201.255', 3575630080, 3575630335, 'BE', 'Belgium'),
(156364, '213.31.202.0', '213.31.202.127', 3575630336, 3575630463, 'IT', 'Italy'),
(156365, '213.31.202.128', '213.31.202.255', 3575630464, 3575630591, 'CH', 'Switzerland'),
(156366, '213.31.203.0', '213.31.203.255', 3575630592, 3575630847, 'IL', 'Israel'),
(156367, '213.31.204.0', '213.31.204.127', 3575630848, 3575630975, 'BE', 'Belgium'),
(156368, '213.31.204.128', '213.31.204.143', 3575630976, 3575630991, 'FR', 'France'),
(156369, '213.31.204.144', '213.31.204.255', 3575630992, 3575631103, 'BE', 'Belgium'),
(156370, '213.31.205.0', '213.31.205.255', 3575631104, 3575631359, 'EU', 'Europe'),
(156371, '213.31.206.0', '213.31.206.255', 3575631360, 3575631615, 'BE', 'Belgium'),
(156372, '213.31.207.0', '213.31.207.15', 3575631616, 3575631631, 'SE', 'Sweden'),
(156373, '213.31.207.16', '213.31.207.23', 3575631632, 3575631639, 'BE', 'Belgium'),
(156374, '213.31.207.24', '213.31.207.31', 3575631640, 3575631647, 'CH', 'Switzerland'),
(156375, '213.31.207.32', '213.31.207.47', 3575631648, 3575631663, 'SE', 'Sweden'),
(156376, '213.31.207.48', '213.31.207.63', 3575631664, 3575631679, 'DE', 'Germany'),
(156377, '213.31.207.64', '213.31.207.79', 3575631680, 3575631695, 'SE', 'Sweden'),
(156378, '213.31.207.80', '213.31.207.95', 3575631696, 3575631711, 'IT', 'Italy'),
(156379, '213.31.207.96', '213.31.207.143', 3575631712, 3575631759, 'BE', 'Belgium'),
(156380, '213.31.207.144', '213.31.207.159', 3575631760, 3575631775, 'ZA', 'South Africa'),
(156381, '213.31.207.160', '213.31.207.175', 3575631776, 3575631791, 'BE', 'Belgium'),
(156382, '213.31.207.176', '213.31.207.183', 3575631792, 3575631799, 'ES', 'Spain'),
(156383, '213.31.207.184', '213.31.207.191', 3575631800, 3575631807, 'CZ', 'Czech Republic'),
(156384, '213.31.207.192', '213.31.207.239', 3575631808, 3575631855, 'BE', 'Belgium'),
(156385, '213.31.207.240', '213.31.207.247', 3575631856, 3575631863, 'ZA', 'South Africa'),
(156386, '213.31.207.248', '213.31.207.255', 3575631864, 3575631871, 'BE', 'Belgium'),
(156387, '213.31.208.0', '213.31.208.255', 3575631872, 3575632127, 'IL', 'Israel'),
(156388, '213.31.209.0', '213.31.210.255', 3575632128, 3575632639, 'BE', 'Belgium'),
(156389, '213.31.211.0', '213.31.211.15', 3575632640, 3575632655, 'NO', 'Norway'),
(156390, '213.31.211.16', '213.31.211.63', 3575632656, 3575632703, 'BE', 'Belgium'),
(156391, '213.31.211.64', '213.31.211.71', 3575632704, 3575632711, 'GB', 'United Kingdom'),
(156392, '213.31.211.72', '213.31.211.143', 3575632712, 3575632783, 'BE', 'Belgium'),
(156393, '213.31.211.144', '213.31.211.151', 3575632784, 3575632791, 'GB', 'United Kingdom'),
(156394, '213.31.211.152', '213.31.211.207', 3575632792, 3575632847, 'BE', 'Belgium'),
(156395, '213.31.211.208', '213.31.211.223', 3575632848, 3575632863, 'CH', 'Switzerland'),
(156396, '213.31.211.224', '213.31.211.239', 3575632864, 3575632879, 'BE', 'Belgium'),
(156397, '213.31.211.240', '213.31.211.255', 3575632880, 3575632895, 'DE', 'Germany'),
(156398, '213.31.212.0', '213.31.212.71', 3575632896, 3575632967, 'BE', 'Belgium'),
(156399, '213.31.212.72', '213.31.212.79', 3575632968, 3575632975, 'GB', 'United Kingdom'),
(156400, '213.31.212.80', '213.31.212.95', 3575632976, 3575632991, 'BE', 'Belgium'),
(156401, '213.31.212.96', '213.31.212.103', 3575632992, 3575632999, 'IT', 'Italy'),
(156402, '213.31.212.104', '213.31.212.143', 3575633000, 3575633039, 'BE', 'Belgium'),
(156403, '213.31.212.144', '213.31.212.159', 3575633040, 3575633055, 'DE', 'Germany'),
(156404, '213.31.212.160', '213.31.212.167', 3575633056, 3575633063, 'SE', 'Sweden'),
(156405, '213.31.212.168', '213.31.212.175', 3575633064, 3575633071, 'NL', 'Netherlands'),
(156406, '213.31.212.176', '213.31.212.191', 3575633072, 3575633087, 'BE', 'Belgium'),
(156407, '213.31.212.192', '213.31.212.223', 3575633088, 3575633119, 'GB', 'United Kingdom'),
(156408, '213.31.212.224', '213.31.212.239', 3575633120, 3575633135, 'BE', 'Belgium'),
(156409, '213.31.212.240', '213.31.212.247', 3575633136, 3575633143, 'GB', 'United Kingdom'),
(156410, '213.31.212.248', '213.31.214.191', 3575633144, 3575633599, 'BE', 'Belgium'),
(156411, '213.31.214.192', '213.31.214.255', 3575633600, 3575633663, 'NL', 'Netherlands'),
(156412, '213.31.215.0', '213.31.215.63', 3575633664, 3575633727, 'BE', 'Belgium'),
(156413, '213.31.215.64', '213.31.215.71', 3575633728, 3575633735, 'AT', 'Austria'),
(156414, '213.31.215.72', '213.31.215.79', 3575633736, 3575633743, 'IT', 'Italy'),
(156415, '213.31.215.80', '213.31.215.119', 3575633744, 3575633783, 'BE', 'Belgium'),
(156416, '213.31.215.120', '213.31.215.127', 3575633784, 3575633791, 'DE', 'Germany'),
(156417, '213.31.215.128', '213.31.215.223', 3575633792, 3575633887, 'BE', 'Belgium'),
(156418, '213.31.215.224', '213.31.215.231', 3575633888, 3575633895, 'SE', 'Sweden'),
(156419, '213.31.215.232', '213.31.215.255', 3575633896, 3575633919, 'BE', 'Belgium'),
(156420, '213.31.216.0', '213.31.216.63', 3575633920, 3575633983, 'CH', 'Switzerland'),
(156421, '213.31.216.64', '213.31.216.71', 3575633984, 3575633991, 'DE', 'Germany'),
(156422, '213.31.216.72', '213.31.216.79', 3575633992, 3575633999, 'BE', 'Belgium'),
(156423, '213.31.216.80', '213.31.216.87', 3575634000, 3575634007, 'PT', 'Portugal'),
(156424, '213.31.216.88', '213.31.216.95', 3575634008, 3575634015, 'DK', 'Denmark'),
(156425, '213.31.216.96', '213.31.216.127', 3575634016, 3575634047, 'GB', 'United Kingdom'),
(156426, '213.31.216.128', '213.31.217.7', 3575634048, 3575634183, 'BE', 'Belgium'),
(156427, '213.31.217.8', '213.31.217.15', 3575634184, 3575634191, 'AT', 'Austria'),
(156428, '213.31.217.16', '213.31.217.79', 3575634192, 3575634255, 'BE', 'Belgium'),
(156429, '213.31.217.80', '213.31.217.95', 3575634256, 3575634271, 'IT', 'Italy'),
(156430, '213.31.217.96', '213.31.217.191', 3575634272, 3575634367, 'BE', 'Belgium'),
(156431, '213.31.217.192', '213.31.217.223', 3575634368, 3575634399, 'NO', 'Norway'),
(156432, '213.31.217.224', '213.31.217.255', 3575634400, 3575634431, 'GB', 'United Kingdom'),
(156433, '213.31.218.0', '213.31.218.23', 3575634432, 3575634455, 'BE', 'Belgium'),
(156434, '213.31.218.24', '213.31.218.31', 3575634456, 3575634463, 'DE', 'Germany'),
(156435, '213.31.218.32', '213.31.218.63', 3575634464, 3575634495, 'BE', 'Belgium'),
(156436, '213.31.218.64', '213.31.218.79', 3575634496, 3575634511, 'FI', 'Finland'),
(156437, '213.31.218.80', '213.31.218.159', 3575634512, 3575634591, 'BE', 'Belgium'),
(156438, '213.31.218.160', '213.31.218.167', 3575634592, 3575634599, 'ES', 'Spain'),
(156439, '213.31.218.168', '213.31.218.175', 3575634600, 3575634607, 'BE', 'Belgium'),
(156440, '213.31.218.176', '213.31.218.183', 3575634608, 3575634615, 'GB', 'United Kingdom'),
(156441, '213.31.218.184', '213.31.218.191', 3575634616, 3575634623, 'DE', 'Germany'),
(156442, '213.31.218.192', '213.31.219.7', 3575634624, 3575634695, 'BE', 'Belgium'),
(156443, '213.31.219.8', '213.31.219.15', 3575634696, 3575634703, 'FI', 'Finland'),
(156444, '213.31.219.16', '213.31.219.23', 3575634704, 3575634711, 'BE', 'Belgium'),
(156445, '213.31.219.24', '213.31.219.31', 3575634712, 3575634719, 'DE', 'Germany'),
(156446, '213.31.219.32', '213.31.219.79', 3575634720, 3575634767, 'BE', 'Belgium'),
(156447, '213.31.219.80', '213.31.219.87', 3575634768, 3575634775, 'NO', 'Norway'),
(156448, '213.31.219.88', '213.31.219.95', 3575634776, 3575634783, 'BE', 'Belgium'),
(156449, '213.31.219.96', '213.31.219.103', 3575634784, 3575634791, 'FR', 'France'),
(156450, '213.31.219.104', '213.31.219.111', 3575634792, 3575634799, 'ES', 'Spain'),
(156451, '213.31.219.112', '213.31.219.119', 3575634800, 3575634807, 'BE', 'Belgium'),
(156452, '213.31.219.120', '213.31.219.127', 3575634808, 3575634815, 'SE', 'Sweden'),
(156453, '213.31.219.128', '213.31.219.191', 3575634816, 3575634879, 'BE', 'Belgium'),
(156454, '213.31.219.192', '213.31.219.223', 3575634880, 3575634911, 'GB', 'United Kingdom'),
(156455, '213.31.219.224', '213.31.219.231', 3575634912, 3575634919, 'SE', 'Sweden'),
(156456, '213.31.219.232', '213.31.219.239', 3575634920, 3575634927, 'GB', 'United Kingdom'),
(156457, '213.31.219.240', '213.31.219.247', 3575634928, 3575634935, 'IT', 'Italy'),
(156458, '213.31.219.248', '213.31.220.71', 3575634936, 3575635015, 'BE', 'Belgium'),
(156459, '213.31.220.72', '213.31.220.79', 3575635016, 3575635023, 'CH', 'Switzerland'),
(156460, '213.31.220.80', '213.31.220.95', 3575635024, 3575635039, 'ES', 'Spain'),
(156461, '213.31.220.96', '213.31.220.111', 3575635040, 3575635055, 'BE', 'Belgium'),
(156462, '213.31.220.112', '213.31.220.119', 3575635056, 3575635063, 'CH', 'Switzerland'),
(156463, '213.31.220.120', '213.31.220.127', 3575635064, 3575635071, 'BE', 'Belgium'),
(156464, '213.31.220.128', '213.31.220.143', 3575635072, 3575635087, 'SE', 'Sweden'),
(156465, '213.31.220.144', '213.31.220.159', 3575635088, 3575635103, 'BE', 'Belgium'),
(156466, '213.31.220.160', '213.31.220.175', 3575635104, 3575635119, 'PT', 'Portugal'),
(156467, '213.31.220.176', '213.31.220.191', 3575635120, 3575635135, 'PL', 'Poland'),
(156468, '213.31.220.192', '213.31.220.207', 3575635136, 3575635151, 'DE', 'Germany'),
(156469, '213.31.220.208', '213.31.220.215', 3575635152, 3575635159, 'PT', 'Portugal'),
(156470, '213.31.220.216', '213.31.220.223', 3575635160, 3575635167, 'DE', 'Germany'),
(156471, '213.31.220.224', '213.31.220.231', 3575635168, 3575635175, 'GB', 'United Kingdom'),
(156472, '213.31.220.232', '213.31.220.255', 3575635176, 3575635199, 'BE', 'Belgium'),
(156473, '213.31.221.0', '213.31.221.255', 3575635200, 3575635455, 'NO', 'Norway'),
(156474, '213.31.222.0', '213.31.222.7', 3575635456, 3575635463, 'RU', 'Russian Federation'),
(156475, '213.31.222.8', '213.31.222.15', 3575635464, 3575635471, 'GB', 'United Kingdom'),
(156476, '213.31.222.16', '213.31.222.127', 3575635472, 3575635583, 'BE', 'Belgium'),
(156477, '213.31.222.128', '213.31.222.159', 3575635584, 3575635615, 'EG', 'Egypt'),
(156478, '213.31.222.160', '213.31.222.175', 3575635616, 3575635631, 'FI', 'Finland'),
(156479, '213.31.222.176', '213.31.222.191', 3575635632, 3575635647, 'BE', 'Belgium'),
(156480, '213.31.222.192', '213.31.222.223', 3575635648, 3575635679, 'GB', 'United Kingdom'),
(156481, '213.31.222.224', '213.31.222.239', 3575635680, 3575635695, 'BE', 'Belgium'),
(156482, '213.31.222.240', '213.31.222.247', 3575635696, 3575635703, 'GB', 'United Kingdom'),
(156483, '213.31.222.248', '213.31.223.63', 3575635704, 3575635775, 'BE', 'Belgium'),
(156484, '213.31.223.64', '213.31.223.127', 3575635776, 3575635839, 'CH', 'Switzerland'),
(156485, '213.31.223.128', '213.31.223.135', 3575635840, 3575635847, 'GB', 'United Kingdom'),
(156486, '213.31.223.136', '213.31.223.143', 3575635848, 3575635855, 'BE', 'Belgium'),
(156487, '213.31.223.144', '213.31.223.159', 3575635856, 3575635871, 'TR', 'Turkey'),
(156488, '213.31.223.160', '213.31.224.15', 3575635872, 3575635983, 'BE', 'Belgium'),
(156489, '213.31.224.16', '213.31.224.31', 3575635984, 3575635999, 'DE', 'Germany'),
(156490, '213.31.224.32', '213.31.224.175', 3575636000, 3575636143, 'BE', 'Belgium'),
(156491, '213.31.224.176', '213.31.224.183', 3575636144, 3575636151, 'HU', 'Hungary'),
(156492, '213.31.224.184', '213.31.226.127', 3575636152, 3575636607, 'BE', 'Belgium'),
(156493, '213.31.226.128', '213.31.226.255', 3575636608, 3575636735, 'FR', 'France'),
(156494, '213.31.227.0', '213.31.227.71', 3575636736, 3575636807, 'BE', 'Belgium'),
(156495, '213.31.227.72', '213.31.227.79', 3575636808, 3575636815, 'GB', 'United Kingdom'),
(156496, '213.31.227.80', '213.31.227.87', 3575636816, 3575636823, 'BE', 'Belgium'),
(156497, '213.31.227.88', '213.31.227.95', 3575636824, 3575636831, 'RU', 'Russian Federation'),
(156498, '213.31.227.96', '213.31.227.119', 3575636832, 3575636855, 'BE', 'Belgium'),
(156499, '213.31.227.120', '213.31.227.127', 3575636856, 3575636863, 'DE', 'Germany'),
(156500, '213.31.227.128', '213.31.227.135', 3575636864, 3575636871, 'BE', 'Belgium'),
(156501, '213.31.227.136', '213.31.227.143', 3575636872, 3575636879, 'CZ', 'Czech Republic'),
(156502, '213.31.227.144', '213.31.227.159', 3575636880, 3575636895, 'BE', 'Belgium'),
(156503, '213.31.227.160', '213.31.227.167', 3575636896, 3575636903, 'PL', 'Poland'),
(156504, '213.31.227.168', '213.31.227.175', 3575636904, 3575636911, 'CZ', 'Czech Republic'),
(156505, '213.31.227.176', '213.31.227.191', 3575636912, 3575636927, 'BE', 'Belgium'),
(156506, '213.31.227.192', '213.31.227.223', 3575636928, 3575636959, 'DE', 'Germany'),
(156507, '213.31.227.224', '213.31.227.247', 3575636960, 3575636983, 'BE', 'Belgium'),
(156508, '213.31.227.248', '213.31.227.255', 3575636984, 3575636991, 'FR', 'France'),
(156509, '213.31.228.0', '213.31.228.47', 3575636992, 3575637039, 'BE', 'Belgium'),
(156510, '213.31.228.48', '213.31.228.63', 3575637040, 3575637055, 'DE', 'Germany'),
(156511, '213.31.228.64', '213.31.228.159', 3575637056, 3575637151, 'BE', 'Belgium'),
(156512, '213.31.228.160', '213.31.228.191', 3575637152, 3575637183, 'GB', 'United Kingdom'),
(156513, '213.31.228.192', '213.31.229.159', 3575637184, 3575637407, 'BE', 'Belgium'),
(156514, '213.31.229.160', '213.31.229.191', 3575637408, 3575637439, 'LU', 'Luxembourg'),
(156515, '213.31.229.192', '213.31.229.223', 3575637440, 3575637471, 'GB', 'United Kingdom'),
(156516, '213.31.229.224', '213.31.232.87', 3575637472, 3575638103, 'BE', 'Belgium'),
(156517, '213.31.232.88', '213.31.232.95', 3575638104, 3575638111, 'GB', 'United Kingdom'),
(156518, '213.31.232.96', '213.31.232.159', 3575638112, 3575638175, 'BE', 'Belgium'),
(156519, '213.31.232.160', '213.31.232.165', 3575638176, 3575638181, 'GB', 'United Kingdom'),
(156520, '213.31.232.166', '213.31.232.166', 3575638182, 3575638182, 'EU', 'Europe'),
(156521, '213.31.232.167', '213.31.232.223', 3575638183, 3575638239, 'GB', 'United Kingdom'),
(156522, '213.31.232.224', '213.31.232.247', 3575638240, 3575638263, 'BE', 'Belgium'),
(156523, '213.31.232.248', '213.31.232.255', 3575638264, 3575638271, 'PL', 'Poland'),
(156524, '213.31.233.0', '213.31.233.7', 3575638272, 3575638279, 'BE', 'Belgium'),
(156525, '213.31.233.8', '213.31.233.15', 3575638280, 3575638287, 'RU', 'Russian Federation'),
(156526, '213.31.233.16', '213.31.233.31', 3575638288, 3575638303, 'BE', 'Belgium'),
(156527, '213.31.233.32', '213.31.233.63', 3575638304, 3575638335, 'NO', 'Norway'),
(156528, '213.31.233.64', '213.31.233.255', 3575638336, 3575638527, 'BE', 'Belgium'),
(156529, '213.31.234.0', '213.31.234.15', 3575638528, 3575638543, 'DE', 'Germany'),
(156530, '213.31.234.16', '213.31.234.31', 3575638544, 3575638559, 'BE', 'Belgium'),
(156531, '213.31.234.32', '213.31.234.63', 3575638560, 3575638591, 'GB', 'United Kingdom'),
(156532, '213.31.234.64', '213.31.234.95', 3575638592, 3575638623, 'BE', 'Belgium'),
(156533, '213.31.234.96', '213.31.234.111', 3575638624, 3575638639, 'PL', 'Poland'),
(156534, '213.31.234.112', '213.31.234.191', 3575638640, 3575638719, 'BE', 'Belgium'),
(156535, '213.31.234.192', '213.31.234.207', 3575638720, 3575638735, 'NL', 'Netherlands'),
(156536, '213.31.234.208', '213.31.234.223', 3575638736, 3575638751, 'GR', 'Greece'),
(156537, '213.31.234.224', '213.31.234.239', 3575638752, 3575638767, 'BE', 'Belgium'),
(156538, '213.31.234.240', '213.31.234.255', 3575638768, 3575638783, 'SE', 'Sweden'),
(156539, '213.31.235.0', '213.31.235.127', 3575638784, 3575638911, 'BE', 'Belgium'),
(156540, '213.31.235.128', '213.31.235.159', 3575638912, 3575638943, 'FR', 'France'),
(156541, '213.31.235.160', '213.31.235.191', 3575638944, 3575638975, 'GB', 'United Kingdom'),
(156542, '213.31.235.192', '213.31.235.223', 3575638976, 3575639007, 'BE', 'Belgium'),
(156543, '213.31.235.224', '213.31.235.227', 3575639008, 3575639011, 'GB', 'United Kingdom'),
(156544, '213.31.235.228', '213.31.235.239', 3575639012, 3575639023, 'IE', 'Ireland'),
(156545, '213.31.235.240', '213.31.235.255', 3575639024, 3575639039, 'PL', 'Poland'),
(156546, '213.31.236.0', '213.31.239.255', 3575639040, 3575640063, 'BE', 'Belgium'),
(156547, '213.31.240.0', '213.31.255.255', 3575640064, 3575644159, 'TR', 'Turkey'),
(156548, '213.32.0.0', '213.32.255.255', 3575644160, 3575709695, 'DK', 'Denmark'),
(156549, '213.33.0.0', '213.33.79.255', 3575709696, 3575730175, 'AT', 'Austria'),
(156550, '213.33.80.0', '213.33.80.15', 3575730176, 3575730191, 'SA', 'Saudi Arabia'),
(156551, '213.33.80.16', '213.33.89.255', 3575730192, 3575732735, 'AT', 'Austria'),
(156552, '213.33.90.0', '213.33.90.255', 3575732736, 3575732991, 'LI', 'Liechtenstein'),
(156553, '213.33.91.0', '213.33.103.255', 3575732992, 3575736319, 'AT', 'Austria'),
(156554, '213.33.104.0', '213.33.106.63', 3575736320, 3575736895, 'LI', 'Liechtenstein'),
(156555, '213.33.106.64', '213.33.112.39', 3575736896, 3575738407, 'AT', 'Austria'),
(156556, '213.33.112.40', '213.33.112.47', 3575738408, 3575738415, 'SA', 'Saudi Arabia'),
(156557, '213.33.112.48', '213.33.112.63', 3575738416, 3575738431, 'AT', 'Austria'),
(156558, '213.33.112.64', '213.33.112.95', 3575738432, 3575738463, 'SA', 'Saudi Arabia'),
(156559, '213.33.112.96', '213.33.113.127', 3575738464, 3575738751, 'AT', 'Austria'),
(156560, '213.33.113.128', '213.33.113.135', 3575738752, 3575738759, 'SA', 'Saudi Arabia'),
(156561, '213.33.113.136', '213.33.127.255', 3575738760, 3575742463, 'AT', 'Austria'),
(156562, '213.33.128.0', '213.33.255.255', 3575742464, 3575775231, 'RU', 'Russian Federation'),
(156563, '213.34.0.0', '213.34.0.63', 3575775232, 3575775295, 'AT', 'Austria'),
(156564, '213.34.0.64', '213.34.0.255', 3575775296, 3575775487, 'NL', 'Netherlands'),
(156565, '213.34.1.0', '213.34.1.255', 3575775488, 3575775743, 'AT', 'Austria'),
(156566, '213.34.2.0', '213.34.191.255', 3575775744, 3575824383, 'NL', 'Netherlands'),
(156567, '213.34.192.0', '213.34.223.255', 3575824384, 3575832575, 'KW', 'Kuwait'),
(156568, '213.34.224.0', '213.34.255.255', 3575832576, 3575840767, 'NL', 'Netherlands'),
(156569, '213.35.0.0', '213.35.32.31', 3575840768, 3575848991, 'GB', 'United Kingdom'),
(156570, '213.35.32.32', '213.35.32.47', 3575848992, 3575849007, 'NL', 'Netherlands'),
(156571, '213.35.32.48', '213.35.37.15', 3575849008, 3575850255, 'GB', 'United Kingdom'),
(156572, '213.35.37.16', '213.35.37.23', 3575850256, 3575850263, 'NL', 'Netherlands'),
(156573, '213.35.37.24', '213.35.38.47', 3575850264, 3575850543, 'GB', 'United Kingdom'),
(156574, '213.35.38.48', '213.35.38.63', 3575850544, 3575850559, 'NL', 'Netherlands'),
(156575, '213.35.38.64', '213.35.39.31', 3575850560, 3575850783, 'GB', 'United Kingdom'),
(156576, '213.35.39.32', '213.35.39.63', 3575850784, 3575850815, 'NL', 'Netherlands'),
(156577, '213.35.39.64', '213.35.46.255', 3575850816, 3575852799, 'GB', 'United Kingdom'),
(156578, '213.35.47.0', '213.35.47.255', 3575852800, 3575853055, 'NL', 'Netherlands'),
(156579, '213.35.48.0', '213.35.48.255', 3575853056, 3575853311, 'GB', 'United Kingdom'),
(156580, '213.35.49.0', '213.35.49.63', 3575853312, 3575853375, 'NL', 'Netherlands'),
(156581, '213.35.49.64', '213.35.49.127', 3575853376, 3575853439, 'GB', 'United Kingdom'),
(156582, '213.35.49.128', '213.35.49.191', 3575853440, 3575853503, 'NL', 'Netherlands'),
(156583, '213.35.49.192', '213.35.49.255', 3575853504, 3575853567, 'GB', 'United Kingdom'),
(156584, '213.35.50.0', '213.35.50.11', 3575853568, 3575853579, 'NL', 'Netherlands'),
(156585, '213.35.50.12', '213.35.50.19', 3575853580, 3575853587, 'GB', 'United Kingdom'),
(156586, '213.35.50.20', '213.35.50.23', 3575853588, 3575853591, 'NL', 'Netherlands'),
(156587, '213.35.50.24', '213.35.50.51', 3575853592, 3575853619, 'GB', 'United Kingdom'),
(156588, '213.35.50.52', '213.35.50.63', 3575853620, 3575853631, 'NL', 'Netherlands'),
(156589, '213.35.50.64', '213.35.50.67', 3575853632, 3575853635, 'GB', 'United Kingdom'),
(156590, '213.35.50.68', '213.35.50.79', 3575853636, 3575853647, 'NL', 'Netherlands'),
(156591, '213.35.50.80', '213.35.50.87', 3575853648, 3575853655, 'GB', 'United Kingdom'),
(156592, '213.35.50.88', '213.35.50.95', 3575853656, 3575853663, 'NL', 'Netherlands'),
(156593, '213.35.50.96', '213.35.50.123', 3575853664, 3575853691, 'GB', 'United Kingdom'),
(156594, '213.35.50.124', '213.35.50.127', 3575853692, 3575853695, 'NL', 'Netherlands'),
(156595, '213.35.50.128', '213.35.50.151', 3575853696, 3575853719, 'GB', 'United Kingdom'),
(156596, '213.35.50.152', '213.35.50.155', 3575853720, 3575853723, 'NL', 'Netherlands'),
(156597, '213.35.50.156', '213.35.50.171', 3575853724, 3575853739, 'GB', 'United Kingdom'),
(156598, '213.35.50.172', '213.35.50.175', 3575853740, 3575853743, 'NL', 'Netherlands'),
(156599, '213.35.50.176', '213.35.50.195', 3575853744, 3575853763, 'GB', 'United Kingdom'),
(156600, '213.35.50.196', '213.35.50.199', 3575853764, 3575853767, 'NL', 'Netherlands'),
(156601, '213.35.50.200', '213.35.50.231', 3575853768, 3575853799, 'GB', 'United Kingdom'),
(156602, '213.35.50.232', '213.35.50.239', 3575853800, 3575853807, 'NL', 'Netherlands'),
(156603, '213.35.50.240', '213.35.50.247', 3575853808, 3575853815, 'GB', 'United Kingdom'),
(156604, '213.35.50.248', '213.35.50.255', 3575853816, 3575853823, 'NL', 'Netherlands'),
(156605, '213.35.51.0', '213.35.51.7', 3575853824, 3575853831, 'GB', 'United Kingdom'),
(156606, '213.35.51.8', '213.35.51.39', 3575853832, 3575853863, 'NL', 'Netherlands'),
(156607, '213.35.51.40', '213.35.51.47', 3575853864, 3575853871, 'GB', 'United Kingdom'),
(156608, '213.35.51.48', '213.35.51.55', 3575853872, 3575853879, 'NL', 'Netherlands'),
(156609, '213.35.51.56', '213.35.51.71', 3575853880, 3575853895, 'GB', 'United Kingdom'),
(156610, '213.35.51.72', '213.35.51.103', 3575853896, 3575853927, 'NL', 'Netherlands'),
(156611, '213.35.51.104', '213.35.51.119', 3575853928, 3575853943, 'GB', 'United Kingdom'),
(156612, '213.35.51.120', '213.35.51.127', 3575853944, 3575853951, 'NL', 'Netherlands'),
(156613, '213.35.51.128', '213.35.51.135', 3575853952, 3575853959, 'GB', 'United Kingdom'),
(156614, '213.35.51.136', '213.35.51.151', 3575853960, 3575853975, 'NL', 'Netherlands'),
(156615, '213.35.51.152', '213.35.51.175', 3575853976, 3575853999, 'GB', 'United Kingdom'),
(156616, '213.35.51.176', '213.35.51.191', 3575854000, 3575854015, 'NL', 'Netherlands'),
(156617, '213.35.51.192', '213.35.51.207', 3575854016, 3575854031, 'GB', 'United Kingdom'),
(156618, '213.35.51.208', '213.35.51.215', 3575854032, 3575854039, 'NL', 'Netherlands'),
(156619, '213.35.51.216', '213.35.63.255', 3575854040, 3575857151, 'GB', 'United Kingdom'),
(156620, '213.35.64.0', '213.35.64.255', 3575857152, 3575857407, 'BE', 'Belgium'),
(156621, '213.35.65.0', '213.35.69.97', 3575857408, 3575858529, 'GB', 'United Kingdom'),
(156622, '213.35.69.98', '213.35.69.111', 3575858530, 3575858543, 'US', 'United States'),
(156623, '213.35.69.112', '213.35.76.75', 3575858544, 3575860299, 'GB', 'United Kingdom'),
(156624, '213.35.76.76', '213.35.76.79', 3575860300, 3575860303, 'BE', 'Belgium'),
(156625, '213.35.76.80', '213.35.77.255', 3575860304, 3575860735, 'GB', 'United Kingdom'),
(156626, '213.35.78.0', '213.35.78.127', 3575860736, 3575860863, 'NL', 'Netherlands'),
(156627, '213.35.78.128', '213.35.78.255', 3575860864, 3575860991, 'GB', 'United Kingdom'),
(156628, '213.35.79.0', '213.35.79.255', 3575860992, 3575861247, 'NL', 'Netherlands'),
(156629, '213.35.80.0', '213.35.80.255', 3575861248, 3575861503, 'GB', 'United Kingdom'),
(156630, '213.35.81.0', '213.35.81.15', 3575861504, 3575861519, 'NL', 'Netherlands'),
(156631, '213.35.81.16', '213.35.92.7', 3575861520, 3575864327, 'GB', 'United Kingdom'),
(156632, '213.35.92.8', '213.35.92.11', 3575864328, 3575864331, 'NL', 'Netherlands'),
(156633, '213.35.92.12', '213.35.92.23', 3575864332, 3575864343, 'GB', 'United Kingdom'),
(156634, '213.35.92.24', '213.35.92.27', 3575864344, 3575864347, 'NL', 'Netherlands'),
(156635, '213.35.92.28', '213.35.92.39', 3575864348, 3575864359, 'GB', 'United Kingdom'),
(156636, '213.35.92.40', '213.35.92.43', 3575864360, 3575864363, 'NL', 'Netherlands'),
(156637, '213.35.92.44', '213.35.92.60', 3575864364, 3575864380, 'GB', 'United Kingdom'),
(156638, '213.35.92.61', '213.35.92.62', 3575864381, 3575864382, 'NL', 'Netherlands'),
(156639, '213.35.92.63', '213.35.92.67', 3575864383, 3575864387, 'GB', 'United Kingdom'),
(156640, '213.35.92.68', '213.35.92.71', 3575864388, 3575864391, 'NL', 'Netherlands'),
(156641, '213.35.92.72', '213.35.92.75', 3575864392, 3575864395, 'GB', 'United Kingdom'),
(156642, '213.35.92.76', '213.35.92.83', 3575864396, 3575864403, 'NL', 'Netherlands'),
(156643, '213.35.92.84', '213.35.93.7', 3575864404, 3575864583, 'GB', 'United Kingdom'),
(156644, '213.35.93.8', '213.35.93.23', 3575864584, 3575864599, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(156645, '213.35.93.24', '213.35.93.31', 3575864600, 3575864607, 'GB', 'United Kingdom'),
(156646, '213.35.93.32', '213.35.93.39', 3575864608, 3575864615, 'NL', 'Netherlands'),
(156647, '213.35.93.40', '213.35.93.55', 3575864616, 3575864631, 'GB', 'United Kingdom'),
(156648, '213.35.93.56', '213.35.93.63', 3575864632, 3575864639, 'NL', 'Netherlands'),
(156649, '213.35.93.64', '213.35.93.87', 3575864640, 3575864663, 'GB', 'United Kingdom'),
(156650, '213.35.93.88', '213.35.93.95', 3575864664, 3575864671, 'NL', 'Netherlands'),
(156651, '213.35.93.96', '213.35.93.111', 3575864672, 3575864687, 'GB', 'United Kingdom'),
(156652, '213.35.93.112', '213.35.93.127', 3575864688, 3575864703, 'NL', 'Netherlands'),
(156653, '213.35.93.128', '213.35.93.199', 3575864704, 3575864775, 'GB', 'United Kingdom'),
(156654, '213.35.93.200', '213.35.93.207', 3575864776, 3575864783, 'NL', 'Netherlands'),
(156655, '213.35.93.208', '213.35.94.255', 3575864784, 3575865087, 'GB', 'United Kingdom'),
(156656, '213.35.95.0', '213.35.95.127', 3575865088, 3575865215, 'NL', 'Netherlands'),
(156657, '213.35.95.128', '213.35.99.255', 3575865216, 3575866367, 'GB', 'United Kingdom'),
(156658, '213.35.100.0', '213.35.102.255', 3575866368, 3575867135, 'US', 'United States'),
(156659, '213.35.103.0', '213.35.122.47', 3575867136, 3575872047, 'GB', 'United Kingdom'),
(156660, '213.35.122.48', '213.35.122.63', 3575872048, 3575872063, 'NL', 'Netherlands'),
(156661, '213.35.122.64', '213.35.122.79', 3575872064, 3575872079, 'GB', 'United Kingdom'),
(156662, '213.35.122.80', '213.35.122.95', 3575872080, 3575872095, 'NL', 'Netherlands'),
(156663, '213.35.122.96', '213.35.122.255', 3575872096, 3575872255, 'GB', 'United Kingdom'),
(156664, '213.35.123.0', '213.35.124.255', 3575872256, 3575872767, 'NL', 'Netherlands'),
(156665, '213.35.125.0', '213.35.127.255', 3575872768, 3575873535, 'GB', 'United Kingdom'),
(156666, '213.35.128.0', '213.35.255.255', 3575873536, 3575906303, 'EE', 'Estonia'),
(156667, '213.36.0.0', '213.36.255.255', 3575906304, 3575971839, 'FR', 'France'),
(156668, '213.37.0.0', '213.37.255.255', 3575971840, 3576037375, 'ES', 'Spain'),
(156669, '213.38.0.0', '213.38.3.63', 3576037376, 3576038207, 'EU', 'Europe'),
(156670, '213.38.3.64', '213.38.3.127', 3576038208, 3576038271, 'GB', 'United Kingdom'),
(156671, '213.38.3.128', '213.38.3.191', 3576038272, 3576038335, 'EU', 'Europe'),
(156672, '213.38.3.192', '213.38.4.63', 3576038336, 3576038463, 'GB', 'United Kingdom'),
(156673, '213.38.4.64', '213.38.4.127', 3576038464, 3576038527, 'EU', 'Europe'),
(156674, '213.38.4.128', '213.38.4.191', 3576038528, 3576038591, 'GB', 'United Kingdom'),
(156675, '213.38.4.192', '213.38.5.255', 3576038592, 3576038911, 'EU', 'Europe'),
(156676, '213.38.6.0', '213.38.6.63', 3576038912, 3576038975, 'GB', 'United Kingdom'),
(156677, '213.38.6.64', '213.38.6.255', 3576038976, 3576039167, 'EU', 'Europe'),
(156678, '213.38.7.0', '213.38.7.63', 3576039168, 3576039231, 'GB', 'United Kingdom'),
(156679, '213.38.7.64', '213.38.7.191', 3576039232, 3576039359, 'EU', 'Europe'),
(156680, '213.38.7.192', '213.38.7.215', 3576039360, 3576039383, 'GB', 'United Kingdom'),
(156681, '213.38.7.216', '213.38.7.223', 3576039384, 3576039391, 'EU', 'Europe'),
(156682, '213.38.7.224', '213.38.8.31', 3576039392, 3576039455, 'GB', 'United Kingdom'),
(156683, '213.38.8.32', '213.38.8.95', 3576039456, 3576039519, 'EU', 'Europe'),
(156684, '213.38.8.96', '213.38.8.127', 3576039520, 3576039551, 'GB', 'United Kingdom'),
(156685, '213.38.8.128', '213.38.8.159', 3576039552, 3576039583, 'EU', 'Europe'),
(156686, '213.38.8.160', '213.38.8.223', 3576039584, 3576039647, 'GB', 'United Kingdom'),
(156687, '213.38.8.224', '213.38.9.127', 3576039648, 3576039807, 'EU', 'Europe'),
(156688, '213.38.9.128', '213.38.9.159', 3576039808, 3576039839, 'GB', 'United Kingdom'),
(156689, '213.38.9.160', '213.38.9.223', 3576039840, 3576039903, 'EU', 'Europe'),
(156690, '213.38.9.224', '213.38.9.255', 3576039904, 3576039935, 'GB', 'United Kingdom'),
(156691, '213.38.10.0', '213.38.10.127', 3576039936, 3576040063, 'EU', 'Europe'),
(156692, '213.38.10.128', '213.38.10.191', 3576040064, 3576040127, 'GB', 'United Kingdom'),
(156693, '213.38.10.192', '213.38.11.23', 3576040128, 3576040215, 'EU', 'Europe'),
(156694, '213.38.11.24', '213.38.11.31', 3576040216, 3576040223, 'GB', 'United Kingdom'),
(156695, '213.38.11.32', '213.38.11.79', 3576040224, 3576040271, 'EU', 'Europe'),
(156696, '213.38.11.80', '213.38.11.95', 3576040272, 3576040287, 'GB', 'United Kingdom'),
(156697, '213.38.11.96', '213.38.11.159', 3576040288, 3576040351, 'EU', 'Europe'),
(156698, '213.38.11.160', '213.38.11.191', 3576040352, 3576040383, 'GB', 'United Kingdom'),
(156699, '213.38.11.192', '213.38.13.127', 3576040384, 3576040831, 'EU', 'Europe'),
(156700, '213.38.13.128', '213.38.13.255', 3576040832, 3576040959, 'GB', 'United Kingdom'),
(156701, '213.38.14.0', '213.38.15.255', 3576040960, 3576041471, 'EU', 'Europe'),
(156702, '213.38.16.0', '213.38.16.63', 3576041472, 3576041535, 'GB', 'United Kingdom'),
(156703, '213.38.16.64', '213.38.16.255', 3576041536, 3576041727, 'EU', 'Europe'),
(156704, '213.38.17.0', '213.38.17.71', 3576041728, 3576041799, 'GB', 'United Kingdom'),
(156705, '213.38.17.72', '213.38.17.103', 3576041800, 3576041831, 'EU', 'Europe'),
(156706, '213.38.17.104', '213.38.17.119', 3576041832, 3576041847, 'GB', 'United Kingdom'),
(156707, '213.38.17.120', '213.38.17.135', 3576041848, 3576041863, 'EU', 'Europe'),
(156708, '213.38.17.136', '213.38.17.143', 3576041864, 3576041871, 'GB', 'United Kingdom'),
(156709, '213.38.17.144', '213.38.17.151', 3576041872, 3576041879, 'EU', 'Europe'),
(156710, '213.38.17.152', '213.38.17.159', 3576041880, 3576041887, 'GB', 'United Kingdom'),
(156711, '213.38.17.160', '213.38.17.175', 3576041888, 3576041903, 'EU', 'Europe'),
(156712, '213.38.17.176', '213.38.17.191', 3576041904, 3576041919, 'GB', 'United Kingdom'),
(156713, '213.38.17.192', '213.38.17.207', 3576041920, 3576041935, 'EU', 'Europe'),
(156714, '213.38.17.208', '213.38.17.215', 3576041936, 3576041943, 'GB', 'United Kingdom'),
(156715, '213.38.17.216', '213.38.17.223', 3576041944, 3576041951, 'EU', 'Europe'),
(156716, '213.38.17.224', '213.38.17.247', 3576041952, 3576041975, 'GB', 'United Kingdom'),
(156717, '213.38.17.248', '213.38.18.127', 3576041976, 3576042111, 'EU', 'Europe'),
(156718, '213.38.18.128', '213.38.18.255', 3576042112, 3576042239, 'GB', 'United Kingdom'),
(156719, '213.38.19.0', '213.38.19.255', 3576042240, 3576042495, 'EU', 'Europe'),
(156720, '213.38.20.0', '213.38.20.127', 3576042496, 3576042623, 'GB', 'United Kingdom'),
(156721, '213.38.20.128', '213.38.20.191', 3576042624, 3576042687, 'EU', 'Europe'),
(156722, '213.38.20.192', '213.38.20.199', 3576042688, 3576042695, 'GB', 'United Kingdom'),
(156723, '213.38.20.200', '213.38.20.255', 3576042696, 3576042751, 'EU', 'Europe'),
(156724, '213.38.21.0', '213.38.21.63', 3576042752, 3576042815, 'GB', 'United Kingdom'),
(156725, '213.38.21.64', '213.38.32.15', 3576042816, 3576045583, 'EU', 'Europe'),
(156726, '213.38.32.16', '213.38.32.31', 3576045584, 3576045599, 'GB', 'United Kingdom'),
(156727, '213.38.32.32', '213.38.32.95', 3576045600, 3576045663, 'EU', 'Europe'),
(156728, '213.38.32.96', '213.38.32.111', 3576045664, 3576045679, 'GB', 'United Kingdom'),
(156729, '213.38.32.112', '213.38.32.143', 3576045680, 3576045711, 'EU', 'Europe'),
(156730, '213.38.32.144', '213.38.32.167', 3576045712, 3576045735, 'GB', 'United Kingdom'),
(156731, '213.38.32.168', '213.38.32.231', 3576045736, 3576045799, 'EU', 'Europe'),
(156732, '213.38.32.232', '213.38.32.239', 3576045800, 3576045807, 'GB', 'United Kingdom'),
(156733, '213.38.32.240', '213.38.32.247', 3576045808, 3576045815, 'EU', 'Europe'),
(156734, '213.38.32.248', '213.38.32.255', 3576045816, 3576045823, 'GB', 'United Kingdom'),
(156735, '213.38.33.0', '213.38.43.255', 3576045824, 3576048639, 'EU', 'Europe'),
(156736, '213.38.44.0', '213.38.44.127', 3576048640, 3576048767, 'GB', 'United Kingdom'),
(156737, '213.38.44.128', '213.38.45.63', 3576048768, 3576048959, 'EU', 'Europe'),
(156738, '213.38.45.64', '213.38.45.127', 3576048960, 3576049023, 'GB', 'United Kingdom'),
(156739, '213.38.45.128', '213.38.45.255', 3576049024, 3576049151, 'EU', 'Europe'),
(156740, '213.38.46.0', '213.38.49.127', 3576049152, 3576050047, 'GB', 'United Kingdom'),
(156741, '213.38.49.128', '213.38.63.255', 3576050048, 3576053759, 'EU', 'Europe'),
(156742, '213.38.64.0', '213.38.68.127', 3576053760, 3576054911, 'GB', 'United Kingdom'),
(156743, '213.38.68.128', '213.38.69.63', 3576054912, 3576055103, 'EU', 'Europe'),
(156744, '213.38.69.64', '213.38.69.71', 3576055104, 3576055111, 'GB', 'United Kingdom'),
(156745, '213.38.69.72', '213.38.69.79', 3576055112, 3576055119, 'EU', 'Europe'),
(156746, '213.38.69.80', '213.38.69.87', 3576055120, 3576055127, 'GB', 'United Kingdom'),
(156747, '213.38.69.88', '213.38.69.111', 3576055128, 3576055151, 'EU', 'Europe'),
(156748, '213.38.69.112', '213.38.69.127', 3576055152, 3576055167, 'GB', 'United Kingdom'),
(156749, '213.38.69.128', '213.38.69.143', 3576055168, 3576055183, 'EU', 'Europe'),
(156750, '213.38.69.144', '213.38.69.159', 3576055184, 3576055199, 'GB', 'United Kingdom'),
(156751, '213.38.69.160', '213.38.69.167', 3576055200, 3576055207, 'EU', 'Europe'),
(156752, '213.38.69.168', '213.38.69.175', 3576055208, 3576055215, 'GB', 'United Kingdom'),
(156753, '213.38.69.176', '213.38.69.239', 3576055216, 3576055279, 'EU', 'Europe'),
(156754, '213.38.69.240', '213.38.70.255', 3576055280, 3576055551, 'GB', 'United Kingdom'),
(156755, '213.38.71.0', '213.38.71.255', 3576055552, 3576055807, 'EU', 'Europe'),
(156756, '213.38.72.0', '213.38.72.63', 3576055808, 3576055871, 'GB', 'United Kingdom'),
(156757, '213.38.72.64', '213.38.72.127', 3576055872, 3576055935, 'EU', 'Europe'),
(156758, '213.38.72.128', '213.38.72.191', 3576055936, 3576055999, 'GB', 'United Kingdom'),
(156759, '213.38.72.192', '213.38.73.127', 3576056000, 3576056191, 'EU', 'Europe'),
(156760, '213.38.73.128', '213.38.73.191', 3576056192, 3576056255, 'GB', 'United Kingdom'),
(156761, '213.38.73.192', '213.38.73.255', 3576056256, 3576056319, 'EU', 'Europe'),
(156762, '213.38.74.0', '213.38.74.127', 3576056320, 3576056447, 'GB', 'United Kingdom'),
(156763, '213.38.74.128', '213.38.75.127', 3576056448, 3576056703, 'EU', 'Europe'),
(156764, '213.38.75.128', '213.38.75.191', 3576056704, 3576056767, 'GB', 'United Kingdom'),
(156765, '213.38.75.192', '213.38.76.23', 3576056768, 3576056855, 'EU', 'Europe'),
(156766, '213.38.76.24', '213.38.76.39', 3576056856, 3576056871, 'GB', 'United Kingdom'),
(156767, '213.38.76.40', '213.38.76.47', 3576056872, 3576056879, 'EU', 'Europe'),
(156768, '213.38.76.48', '213.38.76.55', 3576056880, 3576056887, 'GB', 'United Kingdom'),
(156769, '213.38.76.56', '213.38.76.63', 3576056888, 3576056895, 'EU', 'Europe'),
(156770, '213.38.76.64', '213.38.76.71', 3576056896, 3576056903, 'GB', 'United Kingdom'),
(156771, '213.38.76.72', '213.38.76.87', 3576056904, 3576056919, 'EU', 'Europe'),
(156772, '213.38.76.88', '213.38.76.95', 3576056920, 3576056927, 'GB', 'United Kingdom'),
(156773, '213.38.76.96', '213.38.76.103', 3576056928, 3576056935, 'EU', 'Europe'),
(156774, '213.38.76.104', '213.38.76.111', 3576056936, 3576056943, 'GB', 'United Kingdom'),
(156775, '213.38.76.112', '213.38.76.119', 3576056944, 3576056951, 'EU', 'Europe'),
(156776, '213.38.76.120', '213.38.76.143', 3576056952, 3576056975, 'GB', 'United Kingdom'),
(156777, '213.38.76.144', '213.38.76.159', 3576056976, 3576056991, 'EU', 'Europe'),
(156778, '213.38.76.160', '213.38.76.167', 3576056992, 3576056999, 'GB', 'United Kingdom'),
(156779, '213.38.76.168', '213.38.76.207', 3576057000, 3576057039, 'EU', 'Europe'),
(156780, '213.38.76.208', '213.38.76.223', 3576057040, 3576057055, 'GB', 'United Kingdom'),
(156781, '213.38.76.224', '213.38.79.31', 3576057056, 3576057631, 'EU', 'Europe'),
(156782, '213.38.79.32', '213.38.79.47', 3576057632, 3576057647, 'GB', 'United Kingdom'),
(156783, '213.38.79.48', '213.38.79.111', 3576057648, 3576057711, 'EU', 'Europe'),
(156784, '213.38.79.112', '213.38.79.143', 3576057712, 3576057743, 'GB', 'United Kingdom'),
(156785, '213.38.79.144', '213.38.79.223', 3576057744, 3576057823, 'EU', 'Europe'),
(156786, '213.38.79.224', '213.38.79.239', 3576057824, 3576057839, 'GB', 'United Kingdom'),
(156787, '213.38.79.240', '213.38.83.255', 3576057840, 3576058879, 'EU', 'Europe'),
(156788, '213.38.84.0', '213.38.84.127', 3576058880, 3576059007, 'GB', 'United Kingdom'),
(156789, '213.38.84.128', '213.38.86.255', 3576059008, 3576059647, 'EU', 'Europe'),
(156790, '213.38.87.0', '213.38.87.31', 3576059648, 3576059679, 'GB', 'United Kingdom'),
(156791, '213.38.87.32', '213.38.87.63', 3576059680, 3576059711, 'EU', 'Europe'),
(156792, '213.38.87.64', '213.38.87.95', 3576059712, 3576059743, 'GB', 'United Kingdom'),
(156793, '213.38.87.96', '213.38.87.127', 3576059744, 3576059775, 'EU', 'Europe'),
(156794, '213.38.87.128', '213.38.87.159', 3576059776, 3576059807, 'GB', 'United Kingdom'),
(156795, '213.38.87.160', '213.38.88.191', 3576059808, 3576060095, 'EU', 'Europe'),
(156796, '213.38.88.192', '213.38.88.255', 3576060096, 3576060159, 'GB', 'United Kingdom'),
(156797, '213.38.89.0', '213.38.89.127', 3576060160, 3576060287, 'EU', 'Europe'),
(156798, '213.38.89.128', '213.38.89.191', 3576060288, 3576060351, 'GB', 'United Kingdom'),
(156799, '213.38.89.192', '213.38.92.111', 3576060352, 3576061039, 'EU', 'Europe'),
(156800, '213.38.92.112', '213.38.92.127', 3576061040, 3576061055, 'GB', 'United Kingdom'),
(156801, '213.38.92.128', '213.38.92.191', 3576061056, 3576061119, 'EU', 'Europe'),
(156802, '213.38.92.192', '213.38.92.207', 3576061120, 3576061135, 'GB', 'United Kingdom'),
(156803, '213.38.92.208', '213.38.92.255', 3576061136, 3576061183, 'EU', 'Europe'),
(156804, '213.38.93.0', '213.38.93.63', 3576061184, 3576061247, 'GB', 'United Kingdom'),
(156805, '213.38.93.64', '213.38.93.127', 3576061248, 3576061311, 'EU', 'Europe'),
(156806, '213.38.93.128', '213.38.93.255', 3576061312, 3576061439, 'GB', 'United Kingdom'),
(156807, '213.38.94.0', '213.38.94.143', 3576061440, 3576061583, 'EU', 'Europe'),
(156808, '213.38.94.144', '213.38.94.151', 3576061584, 3576061591, 'GB', 'United Kingdom'),
(156809, '213.38.94.152', '213.38.94.179', 3576061592, 3576061619, 'EU', 'Europe'),
(156810, '213.38.94.180', '213.38.94.191', 3576061620, 3576061631, 'GB', 'United Kingdom'),
(156811, '213.38.94.192', '213.38.94.199', 3576061632, 3576061639, 'EU', 'Europe'),
(156812, '213.38.94.200', '213.38.94.207', 3576061640, 3576061647, 'GB', 'United Kingdom'),
(156813, '213.38.94.208', '213.38.94.247', 3576061648, 3576061687, 'EU', 'Europe'),
(156814, '213.38.94.248', '213.38.94.255', 3576061688, 3576061695, 'GB', 'United Kingdom'),
(156815, '213.38.95.0', '213.38.97.255', 3576061696, 3576062463, 'EU', 'Europe'),
(156816, '213.38.98.0', '213.38.98.15', 3576062464, 3576062479, 'GB', 'United Kingdom'),
(156817, '213.38.98.16', '213.38.105.63', 3576062480, 3576064319, 'EU', 'Europe'),
(156818, '213.38.105.64', '213.38.105.192', 3576064320, 3576064448, 'GB', 'United Kingdom'),
(156819, '213.38.105.193', '213.38.106.31', 3576064449, 3576064543, 'EU', 'Europe'),
(156820, '213.38.106.32', '213.38.106.47', 3576064544, 3576064559, 'GB', 'United Kingdom'),
(156821, '213.38.106.48', '213.38.109.127', 3576064560, 3576065407, 'EU', 'Europe'),
(156822, '213.38.109.128', '213.38.109.255', 3576065408, 3576065535, 'GB', 'United Kingdom'),
(156823, '213.38.110.0', '213.38.111.63', 3576065536, 3576065855, 'EU', 'Europe'),
(156824, '213.38.111.64', '213.38.111.95', 3576065856, 3576065887, 'GB', 'United Kingdom'),
(156825, '213.38.111.96', '213.38.112.239', 3576065888, 3576066287, 'EU', 'Europe'),
(156826, '213.38.112.240', '213.38.112.247', 3576066288, 3576066295, 'GB', 'United Kingdom'),
(156827, '213.38.112.248', '213.38.112.255', 3576066296, 3576066303, 'EU', 'Europe'),
(156828, '213.38.113.0', '213.38.113.127', 3576066304, 3576066431, 'GB', 'United Kingdom'),
(156829, '213.38.113.128', '213.38.115.255', 3576066432, 3576067071, 'EU', 'Europe'),
(156830, '213.38.116.0', '213.38.116.127', 3576067072, 3576067199, 'GB', 'United Kingdom'),
(156831, '213.38.116.128', '213.38.116.175', 3576067200, 3576067247, 'EU', 'Europe'),
(156832, '213.38.116.176', '213.38.116.183', 3576067248, 3576067255, 'GB', 'United Kingdom'),
(156833, '213.38.116.184', '213.38.120.255', 3576067256, 3576068351, 'EU', 'Europe'),
(156834, '213.38.121.0', '213.38.121.127', 3576068352, 3576068479, 'GB', 'United Kingdom'),
(156835, '213.38.121.128', '213.38.122.255', 3576068480, 3576068863, 'EU', 'Europe'),
(156836, '213.38.123.0', '213.38.123.63', 3576068864, 3576068927, 'GB', 'United Kingdom'),
(156837, '213.38.123.64', '213.38.123.191', 3576068928, 3576069055, 'EU', 'Europe'),
(156838, '213.38.123.192', '213.38.123.255', 3576069056, 3576069119, 'GB', 'United Kingdom'),
(156839, '213.38.124.0', '213.38.124.127', 3576069120, 3576069247, 'EU', 'Europe'),
(156840, '213.38.124.128', '213.38.124.159', 3576069248, 3576069279, 'GB', 'United Kingdom'),
(156841, '213.38.124.160', '213.38.124.191', 3576069280, 3576069311, 'EU', 'Europe'),
(156842, '213.38.124.192', '213.38.124.223', 3576069312, 3576069343, 'GB', 'United Kingdom'),
(156843, '213.38.124.224', '213.38.130.39', 3576069344, 3576070695, 'EU', 'Europe'),
(156844, '213.38.130.40', '213.38.130.47', 3576070696, 3576070703, 'GB', 'United Kingdom'),
(156845, '213.38.130.48', '213.38.130.55', 3576070704, 3576070711, 'EU', 'Europe'),
(156846, '213.38.130.56', '213.38.130.63', 3576070712, 3576070719, 'GB', 'United Kingdom'),
(156847, '213.38.130.64', '213.38.130.71', 3576070720, 3576070727, 'EU', 'Europe'),
(156848, '213.38.130.72', '213.38.130.79', 3576070728, 3576070735, 'GB', 'United Kingdom'),
(156849, '213.38.130.80', '213.38.130.119', 3576070736, 3576070775, 'EU', 'Europe'),
(156850, '213.38.130.120', '213.38.130.127', 3576070776, 3576070783, 'GB', 'United Kingdom'),
(156851, '213.38.130.128', '213.38.132.127', 3576070784, 3576071295, 'EU', 'Europe'),
(156852, '213.38.132.128', '213.38.132.255', 3576071296, 3576071423, 'GB', 'United Kingdom'),
(156853, '213.38.133.0', '213.38.133.127', 3576071424, 3576071551, 'EU', 'Europe'),
(156854, '213.38.133.128', '213.38.133.255', 3576071552, 3576071679, 'GB', 'United Kingdom'),
(156855, '213.38.134.0', '213.38.134.255', 3576071680, 3576071935, 'EU', 'Europe'),
(156856, '213.38.135.0', '213.38.135.15', 3576071936, 3576071951, 'GB', 'United Kingdom'),
(156857, '213.38.135.16', '213.38.135.127', 3576071952, 3576072063, 'EU', 'Europe'),
(156858, '213.38.135.128', '213.38.135.143', 3576072064, 3576072079, 'GB', 'United Kingdom'),
(156859, '213.38.135.144', '213.38.136.95', 3576072080, 3576072287, 'EU', 'Europe'),
(156860, '213.38.136.96', '213.38.136.127', 3576072288, 3576072319, 'GB', 'United Kingdom'),
(156861, '213.38.136.128', '213.38.136.223', 3576072320, 3576072415, 'EU', 'Europe'),
(156862, '213.38.136.224', '213.38.137.63', 3576072416, 3576072511, 'GB', 'United Kingdom'),
(156863, '213.38.137.64', '213.38.139.255', 3576072512, 3576073215, 'EU', 'Europe'),
(156864, '213.38.140.0', '213.38.140.63', 3576073216, 3576073279, 'GB', 'United Kingdom'),
(156865, '213.38.140.64', '213.38.145.255', 3576073280, 3576074751, 'EU', 'Europe'),
(156866, '213.38.146.0', '213.38.146.127', 3576074752, 3576074879, 'GB', 'United Kingdom'),
(156867, '213.38.146.128', '213.38.147.255', 3576074880, 3576075263, 'EU', 'Europe'),
(156868, '213.38.148.0', '213.38.148.63', 3576075264, 3576075327, 'GB', 'United Kingdom'),
(156869, '213.38.148.64', '213.38.149.127', 3576075328, 3576075647, 'EU', 'Europe'),
(156870, '213.38.149.128', '213.38.149.191', 3576075648, 3576075711, 'GB', 'United Kingdom'),
(156871, '213.38.149.192', '213.38.149.255', 3576075712, 3576075775, 'EU', 'Europe'),
(156872, '213.38.150.0', '213.38.150.127', 3576075776, 3576075903, 'GB', 'United Kingdom'),
(156873, '213.38.150.128', '213.38.151.239', 3576075904, 3576076271, 'EU', 'Europe'),
(156874, '213.38.151.240', '213.38.152.63', 3576076272, 3576076351, 'GB', 'United Kingdom'),
(156875, '213.38.152.64', '213.38.153.23', 3576076352, 3576076567, 'EU', 'Europe'),
(156876, '213.38.153.24', '213.38.153.31', 3576076568, 3576076575, 'GB', 'United Kingdom'),
(156877, '213.38.153.32', '213.38.153.79', 3576076576, 3576076623, 'EU', 'Europe'),
(156878, '213.38.153.80', '213.38.153.87', 3576076624, 3576076631, 'GB', 'United Kingdom'),
(156879, '213.38.153.88', '213.38.153.159', 3576076632, 3576076703, 'EU', 'Europe'),
(156880, '213.38.153.160', '213.38.153.175', 3576076704, 3576076719, 'GB', 'United Kingdom'),
(156881, '213.38.153.176', '213.38.153.239', 3576076720, 3576076783, 'EU', 'Europe'),
(156882, '213.38.153.240', '213.38.153.247', 3576076784, 3576076791, 'GB', 'United Kingdom'),
(156883, '213.38.153.248', '213.38.156.127', 3576076792, 3576077439, 'EU', 'Europe'),
(156884, '213.38.156.128', '213.38.156.159', 3576077440, 3576077471, 'GB', 'United Kingdom'),
(156885, '213.38.156.160', '213.38.156.255', 3576077472, 3576077567, 'EU', 'Europe'),
(156886, '213.38.157.0', '213.38.157.127', 3576077568, 3576077695, 'GB', 'United Kingdom'),
(156887, '213.38.157.128', '213.38.158.111', 3576077696, 3576077935, 'EU', 'Europe'),
(156888, '213.38.158.112', '213.38.158.143', 3576077936, 3576077967, 'GB', 'United Kingdom'),
(156889, '213.38.158.144', '213.38.159.63', 3576077968, 3576078143, 'EU', 'Europe'),
(156890, '213.38.159.64', '213.38.159.95', 3576078144, 3576078175, 'GB', 'United Kingdom'),
(156891, '213.38.159.96', '213.38.160.127', 3576078176, 3576078463, 'EU', 'Europe'),
(156892, '213.38.160.128', '213.38.160.255', 3576078464, 3576078591, 'GB', 'United Kingdom'),
(156893, '213.38.161.0', '213.38.166.127', 3576078592, 3576079999, 'EU', 'Europe'),
(156894, '213.38.166.128', '213.38.166.255', 3576080000, 3576080127, 'GB', 'United Kingdom'),
(156895, '213.38.167.0', '213.38.167.95', 3576080128, 3576080223, 'EU', 'Europe'),
(156896, '213.38.167.96', '213.38.167.127', 3576080224, 3576080255, 'GB', 'United Kingdom'),
(156897, '213.38.167.128', '213.38.169.135', 3576080256, 3576080775, 'EU', 'Europe'),
(156898, '213.38.169.136', '213.38.169.159', 3576080776, 3576080799, 'GB', 'United Kingdom'),
(156899, '213.38.169.160', '213.38.169.167', 3576080800, 3576080807, 'EU', 'Europe'),
(156900, '213.38.169.168', '213.38.169.175', 3576080808, 3576080815, 'GB', 'United Kingdom'),
(156901, '213.38.169.176', '213.38.169.183', 3576080816, 3576080823, 'EU', 'Europe'),
(156902, '213.38.169.184', '213.38.169.191', 3576080824, 3576080831, 'GB', 'United Kingdom'),
(156903, '213.38.169.192', '213.38.174.159', 3576080832, 3576082079, 'EU', 'Europe'),
(156904, '213.38.174.160', '213.38.174.191', 3576082080, 3576082111, 'GB', 'United Kingdom'),
(156905, '213.38.174.192', '213.38.175.15', 3576082112, 3576082191, 'EU', 'Europe'),
(156906, '213.38.175.16', '213.38.175.47', 3576082192, 3576082223, 'GB', 'United Kingdom'),
(156907, '213.38.175.48', '213.38.176.255', 3576082224, 3576082687, 'EU', 'Europe'),
(156908, '213.38.177.0', '213.38.177.255', 3576082688, 3576082943, 'GB', 'United Kingdom'),
(156909, '213.38.178.0', '213.38.181.255', 3576082944, 3576083967, 'EU', 'Europe'),
(156910, '213.38.182.0', '213.38.182.63', 3576083968, 3576084031, 'GB', 'United Kingdom'),
(156911, '213.38.182.64', '213.38.183.255', 3576084032, 3576084479, 'EU', 'Europe'),
(156912, '213.38.184.0', '213.38.184.63', 3576084480, 3576084543, 'GB', 'United Kingdom'),
(156913, '213.38.184.64', '213.38.184.127', 3576084544, 3576084607, 'EU', 'Europe'),
(156914, '213.38.184.128', '213.38.184.191', 3576084608, 3576084671, 'GB', 'United Kingdom'),
(156915, '213.38.184.192', '213.38.184.223', 3576084672, 3576084703, 'EU', 'Europe'),
(156916, '213.38.184.224', '213.38.184.255', 3576084704, 3576084735, 'GB', 'United Kingdom'),
(156917, '213.38.185.0', '213.38.185.127', 3576084736, 3576084863, 'EU', 'Europe'),
(156918, '213.38.185.128', '213.38.185.191', 3576084864, 3576084927, 'GB', 'United Kingdom'),
(156919, '213.38.185.192', '213.38.186.191', 3576084928, 3576085183, 'EU', 'Europe'),
(156920, '213.38.186.192', '213.38.186.223', 3576085184, 3576085215, 'GB', 'United Kingdom'),
(156921, '213.38.186.224', '213.38.188.191', 3576085216, 3576085695, 'EU', 'Europe'),
(156922, '213.38.188.192', '213.38.188.207', 3576085696, 3576085711, 'GB', 'United Kingdom'),
(156923, '213.38.188.208', '213.38.189.255', 3576085712, 3576086015, 'EU', 'Europe'),
(156924, '213.38.190.0', '213.38.190.127', 3576086016, 3576086143, 'GB', 'United Kingdom'),
(156925, '213.38.190.128', '213.38.191.95', 3576086144, 3576086367, 'EU', 'Europe'),
(156926, '213.38.191.96', '213.38.191.159', 3576086368, 3576086431, 'GB', 'United Kingdom'),
(156927, '213.38.191.160', '213.38.191.223', 3576086432, 3576086495, 'EU', 'Europe'),
(156928, '213.38.191.224', '213.38.191.255', 3576086496, 3576086527, 'GB', 'United Kingdom'),
(156929, '213.38.192.0', '213.38.192.39', 3576086528, 3576086567, 'EU', 'Europe'),
(156930, '213.38.192.40', '213.38.192.43', 3576086568, 3576086571, 'GB', 'United Kingdom'),
(156931, '213.38.192.44', '213.38.192.47', 3576086572, 3576086575, 'EU', 'Europe'),
(156932, '213.38.192.48', '213.38.192.63', 3576086576, 3576086591, 'GB', 'United Kingdom'),
(156933, '213.38.192.64', '213.38.192.71', 3576086592, 3576086599, 'EU', 'Europe'),
(156934, '213.38.192.72', '213.38.192.75', 3576086600, 3576086603, 'GB', 'United Kingdom'),
(156935, '213.38.192.76', '213.38.196.255', 3576086604, 3576087807, 'EU', 'Europe'),
(156936, '213.38.197.0', '213.38.197.15', 3576087808, 3576087823, 'GB', 'United Kingdom'),
(156937, '213.38.197.16', '213.38.197.143', 3576087824, 3576087951, 'EU', 'Europe'),
(156938, '213.38.197.144', '213.38.197.159', 3576087952, 3576087967, 'GB', 'United Kingdom'),
(156939, '213.38.197.160', '213.38.197.223', 3576087968, 3576088031, 'EU', 'Europe'),
(156940, '213.38.197.224', '213.38.197.239', 3576088032, 3576088047, 'GB', 'United Kingdom'),
(156941, '213.38.197.240', '213.38.198.159', 3576088048, 3576088223, 'EU', 'Europe'),
(156942, '213.38.198.160', '213.38.198.167', 3576088224, 3576088231, 'GB', 'United Kingdom'),
(156943, '213.38.198.168', '213.38.199.55', 3576088232, 3576088375, 'EU', 'Europe'),
(156944, '213.38.199.56', '213.38.199.63', 3576088376, 3576088383, 'GB', 'United Kingdom'),
(156945, '213.38.199.64', '213.38.199.159', 3576088384, 3576088479, 'EU', 'Europe'),
(156946, '213.38.199.160', '213.38.199.191', 3576088480, 3576088511, 'GB', 'United Kingdom'),
(156947, '213.38.199.192', '213.38.201.127', 3576088512, 3576088959, 'EU', 'Europe'),
(156948, '213.38.201.128', '213.38.201.135', 3576088960, 3576088967, 'GB', 'United Kingdom'),
(156949, '213.38.201.136', '213.38.201.191', 3576088968, 3576089023, 'EU', 'Europe'),
(156950, '213.38.201.192', '213.38.201.207', 3576089024, 3576089039, 'GB', 'United Kingdom'),
(156951, '213.38.201.208', '213.38.203.95', 3576089040, 3576089439, 'EU', 'Europe'),
(156952, '213.38.203.96', '213.38.203.127', 3576089440, 3576089471, 'GB', 'United Kingdom'),
(156953, '213.38.203.128', '213.38.204.175', 3576089472, 3576089775, 'EU', 'Europe'),
(156954, '213.38.204.176', '213.38.204.191', 3576089776, 3576089791, 'GB', 'United Kingdom'),
(156955, '213.38.204.192', '213.38.211.15', 3576089792, 3576091407, 'EU', 'Europe'),
(156956, '213.38.211.16', '213.38.211.31', 3576091408, 3576091423, 'GB', 'United Kingdom'),
(156957, '213.38.211.32', '213.38.211.63', 3576091424, 3576091455, 'EU', 'Europe'),
(156958, '213.38.211.64', '213.38.211.87', 3576091456, 3576091479, 'GB', 'United Kingdom'),
(156959, '213.38.211.88', '213.38.213.63', 3576091480, 3576091967, 'EU', 'Europe'),
(156960, '213.38.213.64', '213.38.213.79', 3576091968, 3576091983, 'GB', 'United Kingdom'),
(156961, '213.38.213.80', '213.38.213.95', 3576091984, 3576091999, 'EU', 'Europe'),
(156962, '213.38.213.96', '213.38.213.127', 3576092000, 3576092031, 'GB', 'United Kingdom'),
(156963, '213.38.213.128', '213.38.213.223', 3576092032, 3576092127, 'EU', 'Europe'),
(156964, '213.38.213.224', '213.38.213.255', 3576092128, 3576092159, 'GB', 'United Kingdom'),
(156965, '213.38.214.0', '213.38.216.191', 3576092160, 3576092863, 'EU', 'Europe'),
(156966, '213.38.216.192', '213.38.216.223', 3576092864, 3576092895, 'GB', 'United Kingdom'),
(156967, '213.38.216.224', '213.38.217.135', 3576092896, 3576093063, 'EU', 'Europe'),
(156968, '213.38.217.136', '213.38.217.143', 3576093064, 3576093071, 'GB', 'United Kingdom'),
(156969, '213.38.217.144', '213.38.217.255', 3576093072, 3576093183, 'EU', 'Europe'),
(156970, '213.38.218.0', '213.38.218.63', 3576093184, 3576093247, 'GB', 'United Kingdom'),
(156971, '213.38.218.64', '213.38.225.255', 3576093248, 3576095231, 'EU', 'Europe'),
(156972, '213.38.226.0', '213.38.231.255', 3576095232, 3576096767, 'GB', 'United Kingdom'),
(156973, '213.38.232.0', '213.38.240.255', 3576096768, 3576099071, 'EU', 'Europe'),
(156974, '213.38.241.0', '213.38.247.255', 3576099072, 3576100863, 'GB', 'United Kingdom'),
(156975, '213.38.248.0', '213.38.249.255', 3576100864, 3576101375, 'EU', 'Europe'),
(156976, '213.38.250.0', '213.39.1.207', 3576101376, 3576103375, 'GB', 'United Kingdom'),
(156977, '213.39.1.208', '213.39.1.255', 3576103376, 3576103423, 'FR', 'France'),
(156978, '213.39.2.0', '213.39.11.63', 3576103424, 3576105791, 'GB', 'United Kingdom'),
(156979, '213.39.11.64', '213.39.11.127', 3576105792, 3576105855, 'FR', 'France'),
(156980, '213.39.11.128', '213.39.18.191', 3576105856, 3576107711, 'GB', 'United Kingdom'),
(156981, '213.39.18.192', '213.39.18.223', 3576107712, 3576107743, 'FR', 'France'),
(156982, '213.39.18.224', '213.39.20.255', 3576107744, 3576108287, 'GB', 'United Kingdom'),
(156983, '213.39.21.0', '213.39.21.15', 3576108288, 3576108303, 'FR', 'France'),
(156984, '213.39.21.16', '213.39.23.31', 3576108304, 3576108831, 'GB', 'United Kingdom'),
(156985, '213.39.23.32', '213.39.23.47', 3576108832, 3576108847, 'FR', 'France'),
(156986, '213.39.23.48', '213.39.33.63', 3576108848, 3576111423, 'GB', 'United Kingdom'),
(156987, '213.39.33.64', '213.39.33.191', 3576111424, 3576111551, 'FR', 'France'),
(156988, '213.39.33.192', '213.39.64.175', 3576111552, 3576119471, 'GB', 'United Kingdom'),
(156989, '213.39.64.176', '213.39.64.191', 3576119472, 3576119487, 'CH', 'Switzerland'),
(156990, '213.39.64.192', '213.39.71.255', 3576119488, 3576121343, 'GB', 'United Kingdom'),
(156991, '213.39.72.0', '213.39.72.127', 3576121344, 3576121471, 'CH', 'Switzerland'),
(156992, '213.39.72.128', '213.39.73.255', 3576121472, 3576121855, 'GB', 'United Kingdom'),
(156993, '213.39.74.0', '213.39.74.255', 3576121856, 3576122111, 'CH', 'Switzerland'),
(156994, '213.39.75.0', '213.39.76.175', 3576122112, 3576122543, 'GB', 'United Kingdom'),
(156995, '213.39.76.176', '213.39.76.183', 3576122544, 3576122551, 'CH', 'Switzerland'),
(156996, '213.39.76.184', '213.39.77.71', 3576122552, 3576122695, 'GB', 'United Kingdom'),
(156997, '213.39.77.72', '213.39.77.79', 3576122696, 3576122703, 'CH', 'Switzerland'),
(156998, '213.39.77.80', '213.39.117.79', 3576122704, 3576132943, 'GB', 'United Kingdom'),
(156999, '213.39.117.80', '213.39.117.95', 3576132944, 3576132959, 'CH', 'Switzerland'),
(157000, '213.39.117.96', '213.39.120.127', 3576132960, 3576133759, 'GB', 'United Kingdom'),
(157001, '213.39.120.128', '213.39.120.143', 3576133760, 3576133775, 'CH', 'Switzerland'),
(157002, '213.39.120.144', '213.39.122.255', 3576133776, 3576134399, 'GB', 'United Kingdom'),
(157003, '213.39.123.0', '213.39.123.255', 3576134400, 3576134655, 'CH', 'Switzerland'),
(157004, '213.39.124.0', '213.39.126.127', 3576134656, 3576135295, 'GB', 'United Kingdom'),
(157005, '213.39.126.128', '213.39.126.191', 3576135296, 3576135359, 'CH', 'Switzerland'),
(157006, '213.39.126.192', '213.39.127.255', 3576135360, 3576135679, 'GB', 'United Kingdom'),
(157007, '213.39.128.0', '213.39.255.255', 3576135680, 3576168447, 'DE', 'Germany'),
(157008, '213.40.0.0', '213.40.255.255', 3576168448, 3576233983, 'GB', 'United Kingdom'),
(157009, '213.41.0.0', '213.41.10.159', 3576233984, 3576236703, 'FR', 'France'),
(157010, '213.41.10.160', '213.41.10.175', 3576236704, 3576236719, 'GB', 'United Kingdom'),
(157011, '213.41.10.176', '213.41.10.199', 3576236720, 3576236743, 'FR', 'France'),
(157012, '213.41.10.200', '213.41.10.207', 3576236744, 3576236751, 'GB', 'United Kingdom'),
(157013, '213.41.10.208', '213.41.10.231', 3576236752, 3576236775, 'FR', 'France'),
(157014, '213.41.10.232', '213.41.10.239', 3576236776, 3576236783, 'GB', 'United Kingdom'),
(157015, '213.41.10.240', '213.41.11.95', 3576236784, 3576236895, 'FR', 'France'),
(157016, '213.41.11.96', '213.41.11.127', 3576236896, 3576236927, 'GB', 'United Kingdom'),
(157017, '213.41.11.128', '213.41.12.7', 3576236928, 3576237063, 'FR', 'France'),
(157018, '213.41.12.8', '213.41.12.15', 3576237064, 3576237071, 'GB', 'United Kingdom'),
(157019, '213.41.12.16', '213.41.12.31', 3576237072, 3576237087, 'FR', 'France'),
(157020, '213.41.12.32', '213.41.12.63', 3576237088, 3576237119, 'GB', 'United Kingdom'),
(157021, '213.41.12.64', '213.41.12.175', 3576237120, 3576237231, 'FR', 'France'),
(157022, '213.41.12.176', '213.41.12.255', 3576237232, 3576237311, 'GB', 'United Kingdom'),
(157023, '213.41.13.0', '213.41.13.143', 3576237312, 3576237455, 'FR', 'France'),
(157024, '213.41.13.144', '213.41.13.191', 3576237456, 3576237503, 'GB', 'United Kingdom'),
(157025, '213.41.13.192', '213.41.14.31', 3576237504, 3576237599, 'FR', 'France'),
(157026, '213.41.14.32', '213.41.14.63', 3576237600, 3576237631, 'GB', 'United Kingdom'),
(157027, '213.41.14.64', '213.41.14.95', 3576237632, 3576237663, 'FR', 'France'),
(157028, '213.41.14.96', '213.41.14.111', 3576237664, 3576237679, 'GB', 'United Kingdom'),
(157029, '213.41.14.112', '213.41.14.143', 3576237680, 3576237711, 'FR', 'France'),
(157030, '213.41.14.144', '213.41.14.175', 3576237712, 3576237743, 'GB', 'United Kingdom'),
(157031, '213.41.14.176', '213.41.15.95', 3576237744, 3576237919, 'FR', 'France'),
(157032, '213.41.15.96', '213.41.15.111', 3576237920, 3576237935, 'GB', 'United Kingdom'),
(157033, '213.41.15.112', '213.41.16.71', 3576237936, 3576238151, 'FR', 'France'),
(157034, '213.41.16.72', '213.41.16.79', 3576238152, 3576238159, 'GB', 'United Kingdom'),
(157035, '213.41.16.80', '213.41.16.225', 3576238160, 3576238305, 'FR', 'France'),
(157036, '213.41.16.226', '213.41.16.255', 3576238306, 3576238335, 'GB', 'United Kingdom'),
(157037, '213.41.17.0', '213.41.17.207', 3576238336, 3576238543, 'FR', 'France'),
(157038, '213.41.17.208', '213.41.17.215', 3576238544, 3576238551, 'GB', 'United Kingdom'),
(157039, '213.41.17.216', '213.41.19.15', 3576238552, 3576238863, 'FR', 'France'),
(157040, '213.41.19.16', '213.41.19.31', 3576238864, 3576238879, 'GB', 'United Kingdom'),
(157041, '213.41.19.32', '213.41.19.47', 3576238880, 3576238895, 'FR', 'France'),
(157042, '213.41.19.48', '213.41.19.63', 3576238896, 3576238911, 'GB', 'United Kingdom'),
(157043, '213.41.19.64', '213.41.19.79', 3576238912, 3576238927, 'FR', 'France'),
(157044, '213.41.19.80', '213.41.19.127', 3576238928, 3576238975, 'GB', 'United Kingdom'),
(157045, '213.41.19.128', '213.41.19.159', 3576238976, 3576239007, 'FR', 'France'),
(157046, '213.41.19.160', '213.41.19.175', 3576239008, 3576239023, 'GB', 'United Kingdom'),
(157047, '213.41.19.176', '213.41.19.191', 3576239024, 3576239039, 'FR', 'France'),
(157048, '213.41.19.192', '213.41.19.223', 3576239040, 3576239071, 'GB', 'United Kingdom'),
(157049, '213.41.19.224', '213.41.19.239', 3576239072, 3576239087, 'FR', 'France'),
(157050, '213.41.19.240', '213.41.19.255', 3576239088, 3576239103, 'GB', 'United Kingdom'),
(157051, '213.41.20.0', '213.41.23.167', 3576239104, 3576240039, 'FR', 'France'),
(157052, '213.41.23.168', '213.41.23.175', 3576240040, 3576240047, 'GB', 'United Kingdom'),
(157053, '213.41.23.176', '213.41.23.239', 3576240048, 3576240111, 'FR', 'France'),
(157054, '213.41.23.240', '213.41.23.255', 3576240112, 3576240127, 'GB', 'United Kingdom'),
(157055, '213.41.24.0', '213.41.25.91', 3576240128, 3576240475, 'FR', 'France'),
(157056, '213.41.25.92', '213.41.25.127', 3576240476, 3576240511, 'GB', 'United Kingdom'),
(157057, '213.41.25.128', '213.41.25.191', 3576240512, 3576240575, 'FR', 'France'),
(157058, '213.41.25.192', '213.41.26.255', 3576240576, 3576240895, 'GB', 'United Kingdom'),
(157059, '213.41.27.0', '213.41.28.31', 3576240896, 3576241183, 'FR', 'France'),
(157060, '213.41.28.32', '213.41.28.63', 3576241184, 3576241215, 'GB', 'United Kingdom'),
(157061, '213.41.28.64', '213.41.28.135', 3576241216, 3576241287, 'FR', 'France'),
(157062, '213.41.28.136', '213.41.28.143', 3576241288, 3576241295, 'GB', 'United Kingdom'),
(157063, '213.41.28.144', '213.41.28.191', 3576241296, 3576241343, 'FR', 'France'),
(157064, '213.41.28.192', '213.41.28.199', 3576241344, 3576241351, 'GB', 'United Kingdom'),
(157065, '213.41.28.200', '213.41.28.231', 3576241352, 3576241383, 'FR', 'France'),
(157066, '213.41.28.232', '213.41.28.247', 3576241384, 3576241399, 'GB', 'United Kingdom'),
(157067, '213.41.28.248', '213.41.30.191', 3576241400, 3576241855, 'FR', 'France'),
(157068, '213.41.30.192', '213.41.30.223', 3576241856, 3576241887, 'GB', 'United Kingdom'),
(157069, '213.41.30.224', '213.41.31.31', 3576241888, 3576241951, 'FR', 'France'),
(157070, '213.41.31.32', '213.41.31.71', 3576241952, 3576241991, 'GB', 'United Kingdom'),
(157071, '213.41.31.72', '213.41.31.87', 3576241992, 3576242007, 'FR', 'France'),
(157072, '213.41.31.88', '213.41.31.111', 3576242008, 3576242031, 'GB', 'United Kingdom'),
(157073, '213.41.31.112', '213.41.31.119', 3576242032, 3576242039, 'FR', 'France'),
(157074, '213.41.31.120', '213.41.31.127', 3576242040, 3576242047, 'GB', 'United Kingdom'),
(157075, '213.41.31.128', '213.41.31.191', 3576242048, 3576242111, 'FR', 'France'),
(157076, '213.41.31.192', '213.41.31.223', 3576242112, 3576242143, 'GB', 'United Kingdom'),
(157077, '213.41.31.224', '213.41.32.7', 3576242144, 3576242183, 'FR', 'France'),
(157078, '213.41.32.8', '213.41.32.23', 3576242184, 3576242199, 'GB', 'United Kingdom'),
(157079, '213.41.32.24', '213.41.32.143', 3576242200, 3576242319, 'FR', 'France'),
(157080, '213.41.32.144', '213.41.32.151', 3576242320, 3576242327, 'GB', 'United Kingdom'),
(157081, '213.41.32.152', '213.41.32.159', 3576242328, 3576242335, 'FR', 'France'),
(157082, '213.41.32.160', '213.41.32.167', 3576242336, 3576242343, 'GB', 'United Kingdom'),
(157083, '213.41.32.168', '213.41.32.239', 3576242344, 3576242415, 'FR', 'France'),
(157084, '213.41.32.240', '213.41.32.247', 3576242416, 3576242423, 'GB', 'United Kingdom'),
(157085, '213.41.32.248', '213.41.39.135', 3576242424, 3576244103, 'FR', 'France'),
(157086, '213.41.39.136', '213.41.39.143', 3576244104, 3576244111, 'GB', 'United Kingdom'),
(157087, '213.41.39.144', '213.41.39.159', 3576244112, 3576244127, 'FR', 'France'),
(157088, '213.41.39.160', '213.41.39.175', 3576244128, 3576244143, 'GB', 'United Kingdom'),
(157089, '213.41.39.176', '213.41.48.135', 3576244144, 3576246407, 'FR', 'France'),
(157090, '213.41.48.136', '213.41.48.191', 3576246408, 3576246463, 'GB', 'United Kingdom'),
(157091, '213.41.48.192', '213.41.49.128', 3576246464, 3576246656, 'FR', 'France'),
(157092, '213.41.49.129', '213.41.49.199', 3576246657, 3576246727, 'GB', 'United Kingdom'),
(157093, '213.41.49.200', '213.41.49.215', 3576246728, 3576246743, 'FR', 'France'),
(157094, '213.41.49.216', '213.41.49.223', 3576246744, 3576246751, 'GB', 'United Kingdom'),
(157095, '213.41.49.224', '213.41.60.15', 3576246752, 3576249359, 'FR', 'France'),
(157096, '213.41.60.16', '213.41.60.23', 3576249360, 3576249367, 'GB', 'United Kingdom'),
(157097, '213.41.60.24', '213.41.60.119', 3576249368, 3576249463, 'FR', 'France'),
(157098, '213.41.60.120', '213.41.60.127', 3576249464, 3576249471, 'GB', 'United Kingdom'),
(157099, '213.41.60.128', '213.41.60.159', 3576249472, 3576249503, 'FR', 'France'),
(157100, '213.41.60.160', '213.41.60.167', 3576249504, 3576249511, 'GB', 'United Kingdom'),
(157101, '213.41.60.168', '213.41.60.183', 3576249512, 3576249527, 'FR', 'France'),
(157102, '213.41.60.184', '213.41.60.223', 3576249528, 3576249567, 'GB', 'United Kingdom'),
(157103, '213.41.60.224', '213.41.61.143', 3576249568, 3576249743, 'FR', 'France'),
(157104, '213.41.61.144', '213.41.61.191', 3576249744, 3576249791, 'GB', 'United Kingdom'),
(157105, '213.41.61.192', '213.41.61.207', 3576249792, 3576249807, 'FR', 'France'),
(157106, '213.41.61.208', '213.41.61.223', 3576249808, 3576249823, 'GB', 'United Kingdom'),
(157107, '213.41.61.224', '213.41.61.231', 3576249824, 3576249831, 'FR', 'France'),
(157108, '213.41.61.232', '213.41.61.239', 3576249832, 3576249839, 'GB', 'United Kingdom'),
(157109, '213.41.61.240', '213.41.64.255', 3576249840, 3576250623, 'FR', 'France'),
(157110, '213.41.65.0', '213.41.66.127', 3576250624, 3576251007, 'GB', 'United Kingdom'),
(157111, '213.41.66.128', '213.41.66.159', 3576251008, 3576251039, 'FR', 'France'),
(157112, '213.41.66.160', '213.41.66.255', 3576251040, 3576251135, 'GB', 'United Kingdom'),
(157113, '213.41.67.0', '213.41.68.15', 3576251136, 3576251407, 'FR', 'France'),
(157114, '213.41.68.16', '213.41.68.127', 3576251408, 3576251519, 'GB', 'United Kingdom'),
(157115, '213.41.68.128', '213.41.68.191', 3576251520, 3576251583, 'FR', 'France'),
(157116, '213.41.68.192', '213.41.68.207', 3576251584, 3576251599, 'GB', 'United Kingdom'),
(157117, '213.41.68.208', '213.41.68.223', 3576251600, 3576251615, 'FR', 'France'),
(157118, '213.41.68.224', '213.41.68.255', 3576251616, 3576251647, 'GB', 'United Kingdom'),
(157119, '213.41.69.0', '213.41.71.255', 3576251648, 3576252415, 'FR', 'France'),
(157120, '213.41.72.0', '213.41.72.255', 3576252416, 3576252671, 'GB', 'United Kingdom'),
(157121, '213.41.73.0', '213.41.80.79', 3576252672, 3576254543, 'FR', 'France'),
(157122, '213.41.80.80', '213.41.80.87', 3576254544, 3576254551, 'GB', 'United Kingdom'),
(157123, '213.41.80.88', '213.41.80.143', 3576254552, 3576254607, 'FR', 'France'),
(157124, '213.41.80.144', '213.41.80.151', 3576254608, 3576254615, 'GB', 'United Kingdom'),
(157125, '213.41.80.152', '213.41.80.159', 3576254616, 3576254623, 'FR', 'France'),
(157126, '213.41.80.160', '213.41.80.183', 3576254624, 3576254647, 'GB', 'United Kingdom'),
(157127, '213.41.80.184', '213.41.81.127', 3576254648, 3576254847, 'FR', 'France'),
(157128, '213.41.81.128', '213.41.81.135', 3576254848, 3576254855, 'GB', 'United Kingdom'),
(157129, '213.41.81.136', '213.41.81.143', 3576254856, 3576254863, 'FR', 'France'),
(157130, '213.41.81.144', '213.41.81.159', 3576254864, 3576254879, 'GB', 'United Kingdom'),
(157131, '213.41.81.160', '213.41.81.175', 3576254880, 3576254895, 'FR', 'France'),
(157132, '213.41.81.176', '213.41.81.191', 3576254896, 3576254911, 'GB', 'United Kingdom'),
(157133, '213.41.81.192', '213.41.82.175', 3576254912, 3576255151, 'FR', 'France'),
(157134, '213.41.82.176', '213.41.82.223', 3576255152, 3576255199, 'GB', 'United Kingdom'),
(157135, '213.41.82.224', '213.41.82.239', 3576255200, 3576255215, 'FR', 'France'),
(157136, '213.41.82.240', '213.41.82.255', 3576255216, 3576255231, 'GB', 'United Kingdom'),
(157137, '213.41.83.0', '213.41.83.143', 3576255232, 3576255375, 'FR', 'France'),
(157138, '213.41.83.144', '213.41.83.151', 3576255376, 3576255383, 'GB', 'United Kingdom'),
(157139, '213.41.83.152', '213.41.83.175', 3576255384, 3576255407, 'FR', 'France'),
(157140, '213.41.83.176', '213.41.83.191', 3576255408, 3576255423, 'GB', 'United Kingdom'),
(157141, '213.41.83.192', '213.41.83.199', 3576255424, 3576255431, 'FR', 'France'),
(157142, '213.41.83.200', '213.41.83.207', 3576255432, 3576255439, 'GB', 'United Kingdom'),
(157143, '213.41.83.208', '213.41.83.215', 3576255440, 3576255447, 'FR', 'France'),
(157144, '213.41.83.216', '213.41.83.223', 3576255448, 3576255455, 'GB', 'United Kingdom'),
(157145, '213.41.83.224', '213.41.83.239', 3576255456, 3576255471, 'FR', 'France'),
(157146, '213.41.83.240', '213.41.83.247', 3576255472, 3576255479, 'GB', 'United Kingdom'),
(157147, '213.41.83.248', '213.41.84.31', 3576255480, 3576255519, 'FR', 'France'),
(157148, '213.41.84.32', '213.41.84.39', 3576255520, 3576255527, 'GB', 'United Kingdom'),
(157149, '213.41.84.40', '213.41.84.55', 3576255528, 3576255543, 'FR', 'France'),
(157150, '213.41.84.56', '213.41.84.63', 3576255544, 3576255551, 'GB', 'United Kingdom'),
(157151, '213.41.84.64', '213.41.84.87', 3576255552, 3576255575, 'FR', 'France'),
(157152, '213.41.84.88', '213.41.84.95', 3576255576, 3576255583, 'GB', 'United Kingdom'),
(157153, '213.41.84.96', '213.41.84.127', 3576255584, 3576255615, 'FR', 'France'),
(157154, '213.41.84.128', '213.41.84.135', 3576255616, 3576255623, 'GB', 'United Kingdom'),
(157155, '213.41.84.136', '213.41.84.143', 3576255624, 3576255631, 'FR', 'France'),
(157156, '213.41.84.144', '213.41.84.159', 3576255632, 3576255647, 'GB', 'United Kingdom'),
(157157, '213.41.84.160', '213.41.84.183', 3576255648, 3576255671, 'FR', 'France'),
(157158, '213.41.84.184', '213.41.84.191', 3576255672, 3576255679, 'GB', 'United Kingdom'),
(157159, '213.41.84.192', '213.41.84.215', 3576255680, 3576255703, 'FR', 'France'),
(157160, '213.41.84.216', '213.41.84.231', 3576255704, 3576255719, 'GB', 'United Kingdom'),
(157161, '213.41.84.232', '213.41.84.255', 3576255720, 3576255743, 'FR', 'France'),
(157162, '213.41.85.0', '213.41.85.7', 3576255744, 3576255751, 'GB', 'United Kingdom'),
(157163, '213.41.85.8', '213.41.85.143', 3576255752, 3576255887, 'FR', 'France'),
(157164, '213.41.85.144', '213.41.85.175', 3576255888, 3576255919, 'GB', 'United Kingdom'),
(157165, '213.41.85.176', '213.41.85.239', 3576255920, 3576255983, 'FR', 'France'),
(157166, '213.41.85.240', '213.41.85.255', 3576255984, 3576255999, 'GB', 'United Kingdom'),
(157167, '213.41.86.0', '213.41.86.127', 3576256000, 3576256127, 'FR', 'France'),
(157168, '213.41.86.128', '213.41.86.143', 3576256128, 3576256143, 'GB', 'United Kingdom'),
(157169, '213.41.86.144', '213.41.86.239', 3576256144, 3576256239, 'FR', 'France'),
(157170, '213.41.86.240', '213.41.86.255', 3576256240, 3576256255, 'GB', 'United Kingdom'),
(157171, '213.41.87.0', '213.41.87.95', 3576256256, 3576256351, 'FR', 'France'),
(157172, '213.41.87.96', '213.41.87.111', 3576256352, 3576256367, 'GB', 'United Kingdom'),
(157173, '213.41.87.112', '213.41.87.127', 3576256368, 3576256383, 'FR', 'France'),
(157174, '213.41.87.128', '213.41.87.159', 3576256384, 3576256415, 'GB', 'United Kingdom'),
(157175, '213.41.87.160', '213.41.87.175', 3576256416, 3576256431, 'FR', 'France'),
(157176, '213.41.87.176', '213.41.87.255', 3576256432, 3576256511, 'GB', 'United Kingdom'),
(157177, '213.41.88.0', '213.41.89.127', 3576256512, 3576256895, 'FR', 'France'),
(157178, '213.41.89.128', '213.41.89.191', 3576256896, 3576256959, 'GB', 'United Kingdom'),
(157179, '213.41.89.192', '213.41.89.223', 3576256960, 3576256991, 'FR', 'France'),
(157180, '213.41.89.224', '213.41.89.239', 3576256992, 3576257007, 'GB', 'United Kingdom'),
(157181, '213.41.89.240', '213.41.90.79', 3576257008, 3576257103, 'FR', 'France'),
(157182, '213.41.90.80', '213.41.90.95', 3576257104, 3576257119, 'GB', 'United Kingdom'),
(157183, '213.41.90.96', '213.41.90.111', 3576257120, 3576257135, 'FR', 'France'),
(157184, '213.41.90.112', '213.41.90.127', 3576257136, 3576257151, 'GB', 'United Kingdom'),
(157185, '213.41.90.128', '213.41.90.135', 3576257152, 3576257159, 'FR', 'France'),
(157186, '213.41.90.136', '213.41.90.143', 3576257160, 3576257167, 'GB', 'United Kingdom'),
(157187, '213.41.90.144', '213.41.90.191', 3576257168, 3576257215, 'FR', 'France'),
(157188, '213.41.90.192', '213.41.90.255', 3576257216, 3576257279, 'GB', 'United Kingdom'),
(157189, '213.41.91.0', '213.41.91.7', 3576257280, 3576257287, 'FR', 'France'),
(157190, '213.41.91.8', '213.41.91.15', 3576257288, 3576257295, 'GB', 'United Kingdom'),
(157191, '213.41.91.16', '213.41.91.47', 3576257296, 3576257327, 'FR', 'France'),
(157192, '213.41.91.48', '213.41.91.79', 3576257328, 3576257359, 'GB', 'United Kingdom'),
(157193, '213.41.91.80', '213.41.91.87', 3576257360, 3576257367, 'FR', 'France'),
(157194, '213.41.91.88', '213.41.91.95', 3576257368, 3576257375, 'GB', 'United Kingdom'),
(157195, '213.41.91.96', '213.41.91.159', 3576257376, 3576257439, 'FR', 'France'),
(157196, '213.41.91.160', '213.41.91.191', 3576257440, 3576257471, 'GB', 'United Kingdom'),
(157197, '213.41.91.192', '213.41.91.207', 3576257472, 3576257487, 'FR', 'France'),
(157198, '213.41.91.208', '213.41.91.255', 3576257488, 3576257535, 'GB', 'United Kingdom'),
(157199, '213.41.92.0', '213.41.92.15', 3576257536, 3576257551, 'FR', 'France'),
(157200, '213.41.92.16', '213.41.92.79', 3576257552, 3576257615, 'GB', 'United Kingdom'),
(157201, '213.41.92.80', '213.41.92.95', 3576257616, 3576257631, 'FR', 'France'),
(157202, '213.41.92.96', '213.41.92.111', 3576257632, 3576257647, 'GB', 'United Kingdom'),
(157203, '213.41.92.112', '213.41.92.191', 3576257648, 3576257727, 'FR', 'France'),
(157204, '213.41.92.192', '213.41.93.15', 3576257728, 3576257807, 'GB', 'United Kingdom'),
(157205, '213.41.93.16', '213.41.93.31', 3576257808, 3576257823, 'FR', 'France'),
(157206, '213.41.93.32', '213.41.93.47', 3576257824, 3576257839, 'GB', 'United Kingdom'),
(157207, '213.41.93.48', '213.41.93.63', 3576257840, 3576257855, 'FR', 'France'),
(157208, '213.41.93.64', '213.41.93.79', 3576257856, 3576257871, 'GB', 'United Kingdom'),
(157209, '213.41.93.80', '213.41.93.95', 3576257872, 3576257887, 'FR', 'France'),
(157210, '213.41.93.96', '213.41.93.111', 3576257888, 3576257903, 'GB', 'United Kingdom'),
(157211, '213.41.93.112', '213.41.93.183', 3576257904, 3576257975, 'FR', 'France'),
(157212, '213.41.93.184', '213.41.93.223', 3576257976, 3576258015, 'GB', 'United Kingdom'),
(157213, '213.41.93.224', '213.41.94.119', 3576258016, 3576258167, 'FR', 'France'),
(157214, '213.41.94.120', '213.41.94.127', 3576258168, 3576258175, 'GB', 'United Kingdom'),
(157215, '213.41.94.128', '213.41.95.47', 3576258176, 3576258351, 'FR', 'France'),
(157216, '213.41.95.48', '213.41.95.95', 3576258352, 3576258399, 'GB', 'United Kingdom'),
(157217, '213.41.95.96', '213.41.95.111', 3576258400, 3576258415, 'FR', 'France'),
(157218, '213.41.95.112', '213.41.95.127', 3576258416, 3576258431, 'GB', 'United Kingdom'),
(157219, '213.41.95.128', '213.41.95.143', 3576258432, 3576258447, 'FR', 'France'),
(157220, '213.41.95.144', '213.41.95.175', 3576258448, 3576258479, 'GB', 'United Kingdom'),
(157221, '213.41.95.176', '213.41.95.191', 3576258480, 3576258495, 'FR', 'France'),
(157222, '213.41.95.192', '213.41.95.207', 3576258496, 3576258511, 'GB', 'United Kingdom'),
(157223, '213.41.95.208', '213.41.95.223', 3576258512, 3576258527, 'FR', 'France'),
(157224, '213.41.95.224', '213.41.96.15', 3576258528, 3576258575, 'GB', 'United Kingdom'),
(157225, '213.41.96.16', '213.41.96.31', 3576258576, 3576258591, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(157226, '213.41.96.32', '213.41.96.63', 3576258592, 3576258623, 'GB', 'United Kingdom'),
(157227, '213.41.96.64', '213.41.96.111', 3576258624, 3576258671, 'FR', 'France'),
(157228, '213.41.96.112', '213.41.96.127', 3576258672, 3576258687, 'GB', 'United Kingdom'),
(157229, '213.41.96.128', '213.41.96.143', 3576258688, 3576258703, 'FR', 'France'),
(157230, '213.41.96.144', '213.41.96.223', 3576258704, 3576258783, 'GB', 'United Kingdom'),
(157231, '213.41.96.224', '213.41.97.47', 3576258784, 3576258863, 'FR', 'France'),
(157232, '213.41.97.48', '213.41.97.79', 3576258864, 3576258895, 'GB', 'United Kingdom'),
(157233, '213.41.97.80', '213.41.97.127', 3576258896, 3576258943, 'FR', 'France'),
(157234, '213.41.97.128', '213.41.97.191', 3576258944, 3576259007, 'GB', 'United Kingdom'),
(157235, '213.41.97.192', '213.41.97.207', 3576259008, 3576259023, 'FR', 'France'),
(157236, '213.41.97.208', '213.41.97.223', 3576259024, 3576259039, 'GB', 'United Kingdom'),
(157237, '213.41.97.224', '213.41.98.7', 3576259040, 3576259079, 'FR', 'France'),
(157238, '213.41.98.8', '213.41.98.15', 3576259080, 3576259087, 'GB', 'United Kingdom'),
(157239, '213.41.98.16', '213.41.98.31', 3576259088, 3576259103, 'FR', 'France'),
(157240, '213.41.98.32', '213.41.98.127', 3576259104, 3576259199, 'GB', 'United Kingdom'),
(157241, '213.41.98.128', '213.41.98.143', 3576259200, 3576259215, 'FR', 'France'),
(157242, '213.41.98.144', '213.41.98.175', 3576259216, 3576259247, 'GB', 'United Kingdom'),
(157243, '213.41.98.176', '213.41.98.207', 3576259248, 3576259279, 'FR', 'France'),
(157244, '213.41.98.208', '213.41.98.223', 3576259280, 3576259295, 'GB', 'United Kingdom'),
(157245, '213.41.98.224', '213.41.98.239', 3576259296, 3576259311, 'FR', 'France'),
(157246, '213.41.98.240', '213.41.98.255', 3576259312, 3576259327, 'GB', 'United Kingdom'),
(157247, '213.41.99.0', '213.41.99.15', 3576259328, 3576259343, 'FR', 'France'),
(157248, '213.41.99.16', '213.41.99.63', 3576259344, 3576259391, 'GB', 'United Kingdom'),
(157249, '213.41.99.64', '213.41.99.95', 3576259392, 3576259423, 'FR', 'France'),
(157250, '213.41.99.96', '213.41.99.111', 3576259424, 3576259439, 'GB', 'United Kingdom'),
(157251, '213.41.99.112', '213.41.99.143', 3576259440, 3576259471, 'FR', 'France'),
(157252, '213.41.99.144', '213.41.99.159', 3576259472, 3576259487, 'GB', 'United Kingdom'),
(157253, '213.41.99.160', '213.41.99.191', 3576259488, 3576259519, 'FR', 'France'),
(157254, '213.41.99.192', '213.41.99.255', 3576259520, 3576259583, 'GB', 'United Kingdom'),
(157255, '213.41.100.0', '213.41.101.111', 3576259584, 3576259951, 'FR', 'France'),
(157256, '213.41.101.112', '213.41.101.135', 3576259952, 3576259975, 'GB', 'United Kingdom'),
(157257, '213.41.101.136', '213.41.101.151', 3576259976, 3576259991, 'FR', 'France'),
(157258, '213.41.101.152', '213.41.101.159', 3576259992, 3576259999, 'GB', 'United Kingdom'),
(157259, '213.41.101.160', '213.41.101.175', 3576260000, 3576260015, 'FR', 'France'),
(157260, '213.41.101.176', '213.41.101.207', 3576260016, 3576260047, 'GB', 'United Kingdom'),
(157261, '213.41.101.208', '213.41.101.239', 3576260048, 3576260079, 'FR', 'France'),
(157262, '213.41.101.240', '213.41.102.15', 3576260080, 3576260111, 'GB', 'United Kingdom'),
(157263, '213.41.102.16', '213.41.102.79', 3576260112, 3576260175, 'FR', 'France'),
(157264, '213.41.102.80', '213.41.102.95', 3576260176, 3576260191, 'GB', 'United Kingdom'),
(157265, '213.41.102.96', '213.41.102.111', 3576260192, 3576260207, 'FR', 'France'),
(157266, '213.41.102.112', '213.41.102.127', 3576260208, 3576260223, 'GB', 'United Kingdom'),
(157267, '213.41.102.128', '213.41.102.143', 3576260224, 3576260239, 'FR', 'France'),
(157268, '213.41.102.144', '213.41.102.159', 3576260240, 3576260255, 'GB', 'United Kingdom'),
(157269, '213.41.102.160', '213.41.102.175', 3576260256, 3576260271, 'FR', 'France'),
(157270, '213.41.102.176', '213.41.102.191', 3576260272, 3576260287, 'GB', 'United Kingdom'),
(157271, '213.41.102.192', '213.41.102.207', 3576260288, 3576260303, 'FR', 'France'),
(157272, '213.41.102.208', '213.41.102.239', 3576260304, 3576260335, 'GB', 'United Kingdom'),
(157273, '213.41.102.240', '213.41.103.63', 3576260336, 3576260415, 'FR', 'France'),
(157274, '213.41.103.64', '213.41.103.95', 3576260416, 3576260447, 'GB', 'United Kingdom'),
(157275, '213.41.103.96', '213.41.103.111', 3576260448, 3576260463, 'FR', 'France'),
(157276, '213.41.103.112', '213.41.103.191', 3576260464, 3576260543, 'GB', 'United Kingdom'),
(157277, '213.41.103.192', '213.41.103.207', 3576260544, 3576260559, 'FR', 'France'),
(157278, '213.41.103.208', '213.41.103.255', 3576260560, 3576260607, 'GB', 'United Kingdom'),
(157279, '213.41.104.0', '213.41.104.47', 3576260608, 3576260655, 'FR', 'France'),
(157280, '213.41.104.48', '213.41.104.55', 3576260656, 3576260663, 'GB', 'United Kingdom'),
(157281, '213.41.104.56', '213.41.104.63', 3576260664, 3576260671, 'FR', 'France'),
(157282, '213.41.104.64', '213.41.104.71', 3576260672, 3576260679, 'GB', 'United Kingdom'),
(157283, '213.41.104.72', '213.41.104.95', 3576260680, 3576260703, 'FR', 'France'),
(157284, '213.41.104.96', '213.41.104.127', 3576260704, 3576260735, 'GB', 'United Kingdom'),
(157285, '213.41.104.128', '213.41.105.39', 3576260736, 3576260903, 'FR', 'France'),
(157286, '213.41.105.40', '213.41.105.63', 3576260904, 3576260927, 'GB', 'United Kingdom'),
(157287, '213.41.105.64', '213.41.105.95', 3576260928, 3576260959, 'FR', 'France'),
(157288, '213.41.105.96', '213.41.105.135', 3576260960, 3576260999, 'GB', 'United Kingdom'),
(157289, '213.41.105.136', '213.41.105.151', 3576261000, 3576261015, 'FR', 'France'),
(157290, '213.41.105.152', '213.41.105.159', 3576261016, 3576261023, 'GB', 'United Kingdom'),
(157291, '213.41.105.160', '213.41.105.183', 3576261024, 3576261047, 'FR', 'France'),
(157292, '213.41.105.184', '213.41.105.191', 3576261048, 3576261055, 'GB', 'United Kingdom'),
(157293, '213.41.105.192', '213.41.105.199', 3576261056, 3576261063, 'FR', 'France'),
(157294, '213.41.105.200', '213.41.105.207', 3576261064, 3576261071, 'GB', 'United Kingdom'),
(157295, '213.41.105.208', '213.41.105.215', 3576261072, 3576261079, 'FR', 'France'),
(157296, '213.41.105.216', '213.41.105.231', 3576261080, 3576261095, 'GB', 'United Kingdom'),
(157297, '213.41.105.232', '213.41.105.239', 3576261096, 3576261103, 'FR', 'France'),
(157298, '213.41.105.240', '213.41.105.247', 3576261104, 3576261111, 'GB', 'United Kingdom'),
(157299, '213.41.105.248', '213.41.107.15', 3576261112, 3576261391, 'FR', 'France'),
(157300, '213.41.107.16', '213.41.107.255', 3576261392, 3576261631, 'GB', 'United Kingdom'),
(157301, '213.41.108.0', '213.41.115.39', 3576261632, 3576263463, 'FR', 'France'),
(157302, '213.41.115.40', '213.41.115.47', 3576263464, 3576263471, 'GB', 'United Kingdom'),
(157303, '213.41.115.48', '213.41.115.95', 3576263472, 3576263519, 'FR', 'France'),
(157304, '213.41.115.96', '213.41.115.103', 3576263520, 3576263527, 'GB', 'United Kingdom'),
(157305, '213.41.115.104', '213.41.115.143', 3576263528, 3576263567, 'FR', 'France'),
(157306, '213.41.115.144', '213.41.115.151', 3576263568, 3576263575, 'GB', 'United Kingdom'),
(157307, '213.41.115.152', '213.41.115.159', 3576263576, 3576263583, 'FR', 'France'),
(157308, '213.41.115.160', '213.41.115.199', 3576263584, 3576263623, 'GB', 'United Kingdom'),
(157309, '213.41.115.200', '213.41.115.255', 3576263624, 3576263679, 'FR', 'France'),
(157310, '213.41.116.0', '213.41.116.15', 3576263680, 3576263695, 'ES', 'Spain'),
(157311, '213.41.116.16', '213.41.116.95', 3576263696, 3576263775, 'FR', 'France'),
(157312, '213.41.116.96', '213.41.116.223', 3576263776, 3576263903, 'GB', 'United Kingdom'),
(157313, '213.41.116.224', '213.41.116.231', 3576263904, 3576263911, 'FR', 'France'),
(157314, '213.41.116.232', '213.41.116.239', 3576263912, 3576263919, 'GB', 'United Kingdom'),
(157315, '213.41.116.240', '213.41.118.103', 3576263920, 3576264295, 'FR', 'France'),
(157316, '213.41.118.104', '213.41.118.127', 3576264296, 3576264319, 'GB', 'United Kingdom'),
(157317, '213.41.118.128', '213.41.118.191', 3576264320, 3576264383, 'FR', 'France'),
(157318, '213.41.118.192', '213.41.118.207', 3576264384, 3576264399, 'GB', 'United Kingdom'),
(157319, '213.41.118.208', '213.41.118.239', 3576264400, 3576264431, 'FR', 'France'),
(157320, '213.41.118.240', '213.41.118.247', 3576264432, 3576264439, 'GB', 'United Kingdom'),
(157321, '213.41.118.248', '213.41.119.103', 3576264440, 3576264551, 'FR', 'France'),
(157322, '213.41.119.104', '213.41.119.111', 3576264552, 3576264559, 'GB', 'United Kingdom'),
(157323, '213.41.119.112', '213.41.119.191', 3576264560, 3576264639, 'FR', 'France'),
(157324, '213.41.119.192', '213.41.119.239', 3576264640, 3576264687, 'GB', 'United Kingdom'),
(157325, '213.41.119.240', '213.41.122.103', 3576264688, 3576265319, 'FR', 'France'),
(157326, '213.41.122.104', '213.41.122.111', 3576265320, 3576265327, 'GB', 'United Kingdom'),
(157327, '213.41.122.112', '213.41.122.207', 3576265328, 3576265423, 'FR', 'France'),
(157328, '213.41.122.208', '213.41.122.215', 3576265424, 3576265431, 'GB', 'United Kingdom'),
(157329, '213.41.122.216', '213.41.122.247', 3576265432, 3576265463, 'FR', 'France'),
(157330, '213.41.122.248', '213.41.122.255', 3576265464, 3576265471, 'GB', 'United Kingdom'),
(157331, '213.41.123.0', '213.41.255.255', 3576265472, 3576299519, 'FR', 'France'),
(157332, '213.42.0.0', '213.42.255.255', 3576299520, 3576365055, 'AE', 'United Arab Emirates'),
(157333, '213.43.0.0', '213.43.255.255', 3576365056, 3576430591, 'TR', 'Turkey'),
(157334, '213.44.0.0', '213.44.255.255', 3576430592, 3576496127, 'FR', 'France'),
(157335, '213.45.0.0', '213.45.255.255', 3576496128, 3576561663, 'IT', 'Italy'),
(157336, '213.46.0.0', '213.46.161.255', 3576561664, 3576603135, 'NL', 'Netherlands'),
(157337, '213.46.162.0', '213.46.162.255', 3576603136, 3576603391, 'BE', 'Belgium'),
(157338, '213.46.163.0', '213.46.163.255', 3576603392, 3576603647, 'FR', 'France'),
(157339, '213.46.164.0', '213.46.165.255', 3576603648, 3576604159, 'NL', 'Netherlands'),
(157340, '213.46.166.0', '213.46.166.255', 3576604160, 3576604415, 'HU', 'Hungary'),
(157341, '213.46.167.0', '213.46.169.255', 3576604416, 3576605183, 'NL', 'Netherlands'),
(157342, '213.46.170.0', '213.46.170.255', 3576605184, 3576605439, 'RO', 'Romania'),
(157343, '213.46.171.0', '213.46.171.255', 3576605440, 3576605695, 'NL', 'Netherlands'),
(157344, '213.46.172.0', '213.46.172.255', 3576605696, 3576605951, 'CZ', 'Czech Republic'),
(157345, '213.46.173.0', '213.46.173.255', 3576605952, 3576606207, 'AT', 'Austria'),
(157346, '213.46.174.0', '213.46.174.255', 3576606208, 3576606463, 'GB', 'United Kingdom'),
(157347, '213.46.175.0', '213.46.175.255', 3576606464, 3576606719, 'NL', 'Netherlands'),
(157348, '213.46.176.0', '213.46.176.255', 3576606720, 3576606975, 'SE', 'Sweden'),
(157349, '213.46.177.0', '213.46.177.255', 3576606976, 3576607231, 'NO', 'Norway'),
(157350, '213.46.178.0', '213.46.178.255', 3576607232, 3576607487, 'PL', 'Poland'),
(157351, '213.46.179.0', '213.46.179.255', 3576607488, 3576607743, 'DE', 'Germany'),
(157352, '213.46.180.0', '213.46.227.255', 3576607744, 3576620031, 'NL', 'Netherlands'),
(157353, '213.46.228.0', '213.46.229.255', 3576620032, 3576620543, 'SE', 'Sweden'),
(157354, '213.46.230.0', '213.46.230.255', 3576620544, 3576620799, 'GB', 'United Kingdom'),
(157355, '213.46.231.0', '213.46.235.255', 3576620800, 3576622079, 'NL', 'Netherlands'),
(157356, '213.46.236.0', '213.46.237.255', 3576622080, 3576622591, 'GB', 'United Kingdom'),
(157357, '213.46.238.0', '213.46.242.255', 3576622592, 3576623871, 'NL', 'Netherlands'),
(157358, '213.46.243.0', '213.46.243.255', 3576623872, 3576624127, 'AT', 'Austria'),
(157359, '213.46.244.0', '213.46.254.255', 3576624128, 3576626943, 'NL', 'Netherlands'),
(157360, '213.46.255.0', '213.47.255.255', 3576626944, 3576692735, 'AT', 'Austria'),
(157361, '213.48.0.0', '213.48.255.255', 3576692736, 3576758271, 'GB', 'United Kingdom'),
(157362, '213.49.0.0', '213.49.255.255', 3576758272, 3576823807, 'BE', 'Belgium'),
(157363, '213.50.0.0', '213.50.255.255', 3576823808, 3576889343, 'SE', 'Sweden'),
(157364, '213.51.0.0', '213.51.255.255', 3576889344, 3576954879, 'NL', 'Netherlands'),
(157365, '213.52.0.0', '213.52.127.255', 3576954880, 3576987647, 'NO', 'Norway'),
(157366, '213.52.128.0', '213.52.179.255', 3576987648, 3577000959, 'GB', 'United Kingdom'),
(157367, '213.52.180.0', '213.52.180.255', 3577000960, 3577001215, 'A2', 'Satellite Provider'),
(157368, '213.52.181.0', '213.52.181.127', 3577001216, 3577001343, 'NL', 'Netherlands'),
(157369, '213.52.181.128', '213.52.183.255', 3577001344, 3577001983, 'GB', 'United Kingdom'),
(157370, '213.52.184.0', '213.52.186.255', 3577001984, 3577002751, 'NL', 'Netherlands'),
(157371, '213.52.187.0', '213.52.189.255', 3577002752, 3577003519, 'A2', 'Satellite Provider'),
(157372, '213.52.190.0', '213.52.190.123', 3577003520, 3577003643, 'NL', 'Netherlands'),
(157373, '213.52.190.124', '213.52.190.127', 3577003644, 3577003647, 'GB', 'United Kingdom'),
(157374, '213.52.190.128', '213.52.191.255', 3577003648, 3577004031, 'NL', 'Netherlands'),
(157375, '213.52.192.0', '213.52.255.255', 3577004032, 3577020415, 'GB', 'United Kingdom'),
(157376, '213.53.0.0', '213.53.255.255', 3577020416, 3577085951, 'NL', 'Netherlands'),
(157377, '213.54.0.0', '213.54.255.255', 3577085952, 3577151487, 'DE', 'Germany'),
(157378, '213.55.0.0', '213.55.63.255', 3577151488, 3577167871, 'FR', 'France'),
(157379, '213.55.64.0', '213.55.127.255', 3577167872, 3577184255, 'ET', 'Ethiopia'),
(157380, '213.55.128.0', '213.55.255.255', 3577184256, 3577217023, 'CH', 'Switzerland'),
(157381, '213.56.0.0', '213.56.255.255', 3577217024, 3577282559, 'FR', 'France'),
(157382, '213.57.0.0', '213.57.255.255', 3577282560, 3577348095, 'IL', 'Israel'),
(157383, '213.58.0.0', '213.58.174.127', 3577348096, 3577392767, 'PT', 'Portugal'),
(157384, '213.58.174.128', '213.58.174.143', 3577392768, 3577392783, 'DE', 'Germany'),
(157385, '213.58.174.144', '213.58.255.255', 3577392784, 3577413631, 'PT', 'Portugal'),
(157386, '213.59.0.0', '213.59.15.47', 3577413632, 3577417519, 'RU', 'Russian Federation'),
(157387, '213.59.15.48', '213.59.15.63', 3577417520, 3577417535, 'KZ', 'Kazakhstan'),
(157388, '213.59.15.64', '213.59.255.255', 3577417536, 3577479167, 'RU', 'Russian Federation'),
(157389, '213.60.0.0', '213.60.255.255', 3577479168, 3577544703, 'ES', 'Spain'),
(157390, '213.61.0.0', '213.61.4.135', 3577544704, 3577545863, 'DE', 'Germany'),
(157391, '213.61.4.136', '213.61.4.143', 3577545864, 3577545871, 'US', 'United States'),
(157392, '213.61.4.144', '213.61.4.255', 3577545872, 3577545983, 'DE', 'Germany'),
(157393, '213.61.5.0', '213.61.5.127', 3577545984, 3577546111, 'SE', 'Sweden'),
(157394, '213.61.5.128', '213.61.5.255', 3577546112, 3577546239, 'DE', 'Germany'),
(157395, '213.61.6.0', '213.61.6.127', 3577546240, 3577546367, 'US', 'United States'),
(157396, '213.61.6.128', '213.61.10.223', 3577546368, 3577547487, 'DE', 'Germany'),
(157397, '213.61.10.224', '213.61.10.255', 3577547488, 3577547519, 'FR', 'France'),
(157398, '213.61.11.0', '213.61.24.135', 3577547520, 3577550983, 'DE', 'Germany'),
(157399, '213.61.24.136', '213.61.24.143', 3577550984, 3577550991, 'CH', 'Switzerland'),
(157400, '213.61.24.144', '213.61.26.47', 3577550992, 3577551407, 'DE', 'Germany'),
(157401, '213.61.26.48', '213.61.26.51', 3577551408, 3577551411, 'US', 'United States'),
(157402, '213.61.26.52', '213.61.34.191', 3577551412, 3577553599, 'DE', 'Germany'),
(157403, '213.61.34.192', '213.61.34.199', 3577553600, 3577553607, 'DK', 'Denmark'),
(157404, '213.61.34.200', '213.61.48.223', 3577553608, 3577557215, 'DE', 'Germany'),
(157405, '213.61.48.224', '213.61.48.239', 3577557216, 3577557231, 'US', 'United States'),
(157406, '213.61.48.240', '213.61.58.223', 3577557232, 3577559775, 'DE', 'Germany'),
(157407, '213.61.58.224', '213.61.58.231', 3577559776, 3577559783, 'FR', 'France'),
(157408, '213.61.58.232', '213.61.69.23', 3577559784, 3577562391, 'DE', 'Germany'),
(157409, '213.61.69.24', '213.61.69.31', 3577562392, 3577562399, 'GB', 'United Kingdom'),
(157410, '213.61.69.32', '213.61.72.151', 3577562400, 3577563287, 'DE', 'Germany'),
(157411, '213.61.72.152', '213.61.72.159', 3577563288, 3577563295, 'FR', 'France'),
(157412, '213.61.72.160', '213.61.77.215', 3577563296, 3577564631, 'DE', 'Germany'),
(157413, '213.61.77.216', '213.61.77.223', 3577564632, 3577564639, 'GB', 'United Kingdom'),
(157414, '213.61.77.224', '213.61.104.63', 3577564640, 3577571391, 'DE', 'Germany'),
(157415, '213.61.104.64', '213.61.104.71', 3577571392, 3577571399, 'DK', 'Denmark'),
(157416, '213.61.104.72', '213.61.127.15', 3577571400, 3577577231, 'DE', 'Germany'),
(157417, '213.61.127.16', '213.61.127.31', 3577577232, 3577577247, 'US', 'United States'),
(157418, '213.61.127.32', '213.61.153.47', 3577577248, 3577583919, 'DE', 'Germany'),
(157419, '213.61.153.48', '213.61.153.63', 3577583920, 3577583935, 'BE', 'Belgium'),
(157420, '213.61.153.64', '213.61.162.167', 3577583936, 3577586343, 'DE', 'Germany'),
(157421, '213.61.162.168', '213.61.162.175', 3577586344, 3577586351, 'US', 'United States'),
(157422, '213.61.162.176', '213.61.186.111', 3577586352, 3577592431, 'DE', 'Germany'),
(157423, '213.61.186.112', '213.61.186.127', 3577592432, 3577592447, 'FR', 'France'),
(157424, '213.61.186.128', '213.61.187.167', 3577592448, 3577592743, 'DE', 'Germany'),
(157425, '213.61.187.168', '213.61.187.175', 3577592744, 3577592751, 'IE', 'Ireland'),
(157426, '213.61.187.176', '213.61.245.135', 3577592752, 3577607559, 'DE', 'Germany'),
(157427, '213.61.245.136', '213.61.245.143', 3577607560, 3577607567, 'NL', 'Netherlands'),
(157428, '213.61.245.144', '213.62.0.127', 3577607568, 3577610367, 'DE', 'Germany'),
(157429, '213.62.0.128', '213.62.0.255', 3577610368, 3577610495, 'GB', 'United Kingdom'),
(157430, '213.62.1.0', '213.62.1.255', 3577610496, 3577610751, 'DE', 'Germany'),
(157431, '213.62.2.0', '213.62.3.191', 3577610752, 3577611199, 'CH', 'Switzerland'),
(157432, '213.62.3.192', '213.62.3.255', 3577611200, 3577611263, 'EU', 'Europe'),
(157433, '213.62.4.0', '213.62.7.255', 3577611264, 3577612287, 'DE', 'Germany'),
(157434, '213.62.8.0', '213.62.8.31', 3577612288, 3577612319, 'EU', 'Europe'),
(157435, '213.62.8.32', '213.62.8.95', 3577612320, 3577612383, 'DE', 'Germany'),
(157436, '213.62.8.96', '213.62.8.127', 3577612384, 3577612415, 'EU', 'Europe'),
(157437, '213.62.8.128', '213.62.8.255', 3577612416, 3577612543, 'NO', 'Norway'),
(157438, '213.62.9.0', '213.62.9.255', 3577612544, 3577612799, 'HU', 'Hungary'),
(157439, '213.62.10.0', '213.62.10.255', 3577612800, 3577613055, 'FI', 'Finland'),
(157440, '213.62.11.0', '213.62.11.255', 3577613056, 3577613311, 'EU', 'Europe'),
(157441, '213.62.12.0', '213.62.12.255', 3577613312, 3577613567, 'DE', 'Germany'),
(157442, '213.62.13.0', '213.62.14.255', 3577613568, 3577614079, 'EU', 'Europe'),
(157443, '213.62.15.0', '213.62.15.31', 3577614080, 3577614111, 'DE', 'Germany'),
(157444, '213.62.15.32', '213.62.15.63', 3577614112, 3577614143, 'EU', 'Europe'),
(157445, '213.62.15.64', '213.62.15.127', 3577614144, 3577614207, 'DE', 'Germany'),
(157446, '213.62.15.128', '213.62.31.255', 3577614208, 3577618431, 'EU', 'Europe'),
(157447, '213.62.32.0', '213.62.32.15', 3577618432, 3577618447, 'GB', 'United Kingdom'),
(157448, '213.62.32.16', '213.62.32.31', 3577618448, 3577618463, 'NL', 'Netherlands'),
(157449, '213.62.32.32', '213.62.32.127', 3577618464, 3577618559, 'GB', 'United Kingdom'),
(157450, '213.62.32.128', '213.62.32.191', 3577618560, 3577618623, 'BE', 'Belgium'),
(157451, '213.62.32.192', '213.62.32.223', 3577618624, 3577618655, 'EU', 'Europe'),
(157452, '213.62.32.224', '213.62.32.239', 3577618656, 3577618671, 'AT', 'Austria'),
(157453, '213.62.32.240', '213.62.32.255', 3577618672, 3577618687, 'EU', 'Europe'),
(157454, '213.62.33.0', '213.62.37.223', 3577618688, 3577619935, 'GB', 'United Kingdom'),
(157455, '213.62.37.224', '213.62.37.255', 3577619936, 3577619967, 'EU', 'Europe'),
(157456, '213.62.38.0', '213.62.40.95', 3577619968, 3577620575, 'GB', 'United Kingdom'),
(157457, '213.62.40.96', '213.62.40.143', 3577620576, 3577620623, 'EU', 'Europe'),
(157458, '213.62.40.144', '213.62.40.191', 3577620624, 3577620671, 'GB', 'United Kingdom'),
(157459, '213.62.40.192', '213.62.40.255', 3577620672, 3577620735, 'TR', 'Turkey'),
(157460, '213.62.41.0', '213.62.41.255', 3577620736, 3577620991, 'EU', 'Europe'),
(157461, '213.62.42.0', '213.62.42.63', 3577620992, 3577621055, 'GB', 'United Kingdom'),
(157462, '213.62.42.64', '213.62.42.127', 3577621056, 3577621119, 'EU', 'Europe'),
(157463, '213.62.42.128', '213.62.42.159', 3577621120, 3577621151, 'GB', 'United Kingdom'),
(157464, '213.62.42.160', '213.62.42.223', 3577621152, 3577621215, 'EU', 'Europe'),
(157465, '213.62.42.224', '213.62.42.231', 3577621216, 3577621223, 'SK', 'Slovakia'),
(157466, '213.62.42.232', '213.62.42.255', 3577621224, 3577621247, 'EU', 'Europe'),
(157467, '213.62.43.0', '213.62.46.127', 3577621248, 3577622143, 'GB', 'United Kingdom'),
(157468, '213.62.46.128', '213.62.46.255', 3577622144, 3577622271, 'DE', 'Germany'),
(157469, '213.62.47.0', '213.62.47.255', 3577622272, 3577622527, 'GB', 'United Kingdom'),
(157470, '213.62.48.0', '213.62.48.63', 3577622528, 3577622591, 'EU', 'Europe'),
(157471, '213.62.48.64', '213.62.49.143', 3577622592, 3577622927, 'GB', 'United Kingdom'),
(157472, '213.62.49.144', '213.62.49.255', 3577622928, 3577623039, 'EU', 'Europe'),
(157473, '213.62.50.0', '213.62.52.255', 3577623040, 3577623807, 'GB', 'United Kingdom'),
(157474, '213.62.53.0', '213.62.53.255', 3577623808, 3577624063, 'EU', 'Europe'),
(157475, '213.62.54.0', '213.62.54.255', 3577624064, 3577624319, 'GB', 'United Kingdom'),
(157476, '213.62.55.0', '213.62.55.127', 3577624320, 3577624447, 'EU', 'Europe'),
(157477, '213.62.55.128', '213.62.57.47', 3577624448, 3577624879, 'GB', 'United Kingdom'),
(157478, '213.62.57.48', '213.62.57.63', 3577624880, 3577624895, 'EU', 'Europe'),
(157479, '213.62.57.64', '213.62.58.111', 3577624896, 3577625199, 'GB', 'United Kingdom'),
(157480, '213.62.58.112', '213.62.58.119', 3577625200, 3577625207, 'EU', 'Europe'),
(157481, '213.62.58.120', '213.62.58.127', 3577625208, 3577625215, 'GB', 'United Kingdom'),
(157482, '213.62.58.128', '213.62.58.143', 3577625216, 3577625231, 'EU', 'Europe'),
(157483, '213.62.58.144', '213.62.59.255', 3577625232, 3577625599, 'GB', 'United Kingdom'),
(157484, '213.62.60.0', '213.62.60.191', 3577625600, 3577625791, 'EU', 'Europe'),
(157485, '213.62.60.192', '213.62.63.255', 3577625792, 3577626623, 'GB', 'United Kingdom'),
(157486, '213.62.64.0', '213.62.65.255', 3577626624, 3577627135, 'FR', 'France'),
(157487, '213.62.66.0', '213.62.66.255', 3577627136, 3577627391, 'EU', 'Europe'),
(157488, '213.62.67.0', '213.62.67.255', 3577627392, 3577627647, 'GB', 'United Kingdom'),
(157489, '213.62.68.0', '213.62.69.63', 3577627648, 3577627967, 'FR', 'France'),
(157490, '213.62.69.64', '213.62.69.95', 3577627968, 3577627999, 'EU', 'Europe'),
(157491, '213.62.69.96', '213.62.71.255', 3577628000, 3577628671, 'FR', 'France'),
(157492, '213.62.72.0', '213.62.79.255', 3577628672, 3577630719, 'CH', 'Switzerland'),
(157493, '213.62.80.0', '213.62.85.255', 3577630720, 3577632255, 'GB', 'United Kingdom'),
(157494, '213.62.86.0', '213.62.86.255', 3577632256, 3577632511, 'EU', 'Europe'),
(157495, '213.62.87.0', '213.62.87.255', 3577632512, 3577632767, 'GB', 'United Kingdom'),
(157496, '213.62.88.0', '213.62.91.255', 3577632768, 3577633791, 'EU', 'Europe'),
(157497, '213.62.92.0', '213.62.92.159', 3577633792, 3577633951, 'CZ', 'Czech Republic'),
(157498, '213.62.92.160', '213.62.92.167', 3577633952, 3577633959, 'EU', 'Europe'),
(157499, '213.62.92.168', '213.62.92.175', 3577633960, 3577633967, 'CZ', 'Czech Republic'),
(157500, '213.62.92.176', '213.62.92.255', 3577633968, 3577634047, 'EU', 'Europe'),
(157501, '213.62.93.0', '213.62.93.191', 3577634048, 3577634239, 'CZ', 'Czech Republic'),
(157502, '213.62.93.192', '213.62.95.255', 3577634240, 3577634815, 'EU', 'Europe'),
(157503, '213.62.96.0', '213.62.98.127', 3577634816, 3577635455, 'FR', 'France'),
(157504, '213.62.98.128', '213.62.98.191', 3577635456, 3577635519, 'EU', 'Europe'),
(157505, '213.62.98.192', '213.62.99.255', 3577635520, 3577635839, 'FR', 'France'),
(157506, '213.62.100.0', '213.62.103.255', 3577635840, 3577636863, 'DE', 'Germany'),
(157507, '213.62.104.0', '213.62.108.255', 3577636864, 3577638143, 'GB', 'United Kingdom'),
(157508, '213.62.109.0', '213.62.109.255', 3577638144, 3577638399, 'BE', 'Belgium'),
(157509, '213.62.110.0', '213.62.111.255', 3577638400, 3577638911, 'GB', 'United Kingdom'),
(157510, '213.62.112.0', '213.62.112.47', 3577638912, 3577638959, 'FR', 'France'),
(157511, '213.62.112.48', '213.62.112.55', 3577638960, 3577638967, 'EU', 'Europe'),
(157512, '213.62.112.56', '213.62.113.71', 3577638968, 3577639239, 'FR', 'France'),
(157513, '213.62.113.72', '213.62.113.79', 3577639240, 3577639247, 'EU', 'Europe'),
(157514, '213.62.113.80', '213.62.115.63', 3577639248, 3577639743, 'FR', 'France'),
(157515, '213.62.115.64', '213.62.115.87', 3577639744, 3577639767, 'EU', 'Europe'),
(157516, '213.62.115.88', '213.62.115.103', 3577639768, 3577639783, 'FR', 'France'),
(157517, '213.62.115.104', '213.62.115.119', 3577639784, 3577639799, 'EU', 'Europe'),
(157518, '213.62.115.120', '213.62.115.127', 3577639800, 3577639807, 'FR', 'France'),
(157519, '213.62.115.128', '213.62.115.159', 3577639808, 3577639839, 'EU', 'Europe'),
(157520, '213.62.115.160', '213.62.115.167', 3577639840, 3577639847, 'FR', 'France'),
(157521, '213.62.115.168', '213.62.115.183', 3577639848, 3577639863, 'EU', 'Europe'),
(157522, '213.62.115.184', '213.62.115.191', 3577639864, 3577639871, 'FR', 'France'),
(157523, '213.62.115.192', '213.62.115.255', 3577639872, 3577639935, 'EU', 'Europe'),
(157524, '213.62.116.0', '213.62.119.15', 3577639936, 3577640719, 'FR', 'France'),
(157525, '213.62.119.16', '213.62.119.31', 3577640720, 3577640735, 'EU', 'Europe'),
(157526, '213.62.119.32', '213.62.120.191', 3577640736, 3577641151, 'FR', 'France'),
(157527, '213.62.120.192', '213.62.120.199', 3577641152, 3577641159, 'EU', 'Europe'),
(157528, '213.62.120.200', '213.62.121.175', 3577641160, 3577641391, 'FR', 'France'),
(157529, '213.62.121.176', '213.62.121.183', 3577641392, 3577641399, 'EU', 'Europe'),
(157530, '213.62.121.184', '213.62.121.223', 3577641400, 3577641439, 'FR', 'France'),
(157531, '213.62.121.224', '213.62.123.255', 3577641440, 3577641983, 'EU', 'Europe'),
(157532, '213.62.124.0', '213.62.124.71', 3577641984, 3577642055, 'GB', 'United Kingdom'),
(157533, '213.62.124.72', '213.62.124.79', 3577642056, 3577642063, 'EU', 'Europe'),
(157534, '213.62.124.80', '213.62.124.255', 3577642064, 3577642239, 'GB', 'United Kingdom'),
(157535, '213.62.125.0', '213.62.125.255', 3577642240, 3577642495, 'EU', 'Europe'),
(157536, '213.62.126.0', '213.62.127.255', 3577642496, 3577643007, 'FR', 'France'),
(157537, '213.62.128.0', '213.62.128.223', 3577643008, 3577643231, 'NL', 'Netherlands'),
(157538, '213.62.128.224', '213.62.128.239', 3577643232, 3577643247, 'GB', 'United Kingdom'),
(157539, '213.62.128.240', '213.62.128.255', 3577643248, 3577643263, 'NL', 'Netherlands'),
(157540, '213.62.129.0', '213.62.137.119', 3577643264, 3577645431, 'EU', 'Europe'),
(157541, '213.62.137.120', '213.62.137.135', 3577645432, 3577645447, 'NL', 'Netherlands'),
(157542, '213.62.137.136', '213.62.137.143', 3577645448, 3577645455, 'EU', 'Europe'),
(157543, '213.62.137.144', '213.62.137.191', 3577645456, 3577645503, 'NL', 'Netherlands'),
(157544, '213.62.137.192', '213.62.137.255', 3577645504, 3577645567, 'SK', 'Slovakia'),
(157545, '213.62.138.0', '213.62.138.255', 3577645568, 3577645823, 'EU', 'Europe'),
(157546, '213.62.139.0', '213.62.139.63', 3577645824, 3577645887, 'NL', 'Netherlands'),
(157547, '213.62.139.64', '213.62.139.79', 3577645888, 3577645903, 'EU', 'Europe'),
(157548, '213.62.139.80', '213.62.139.127', 3577645904, 3577645951, 'NL', 'Netherlands'),
(157549, '213.62.139.128', '213.62.139.255', 3577645952, 3577646079, 'EU', 'Europe'),
(157550, '213.62.140.0', '213.62.140.127', 3577646080, 3577646207, 'NL', 'Netherlands'),
(157551, '213.62.140.128', '213.62.140.255', 3577646208, 3577646335, 'NO', 'Norway'),
(157552, '213.62.141.0', '213.62.141.71', 3577646336, 3577646407, 'NL', 'Netherlands'),
(157553, '213.62.141.72', '213.62.141.79', 3577646408, 3577646415, 'EU', 'Europe'),
(157554, '213.62.141.80', '213.62.141.191', 3577646416, 3577646527, 'NL', 'Netherlands'),
(157555, '213.62.141.192', '213.62.141.255', 3577646528, 3577646591, 'EU', 'Europe'),
(157556, '213.62.142.0', '213.62.142.255', 3577646592, 3577646847, 'NL', 'Netherlands'),
(157557, '213.62.143.0', '213.62.143.255', 3577646848, 3577647103, 'EU', 'Europe'),
(157558, '213.62.144.0', '213.62.147.39', 3577647104, 3577647911, 'DK', 'Denmark'),
(157559, '213.62.147.40', '213.62.147.63', 3577647912, 3577647935, 'EU', 'Europe'),
(157560, '213.62.147.64', '213.62.147.95', 3577647936, 3577647967, 'DK', 'Denmark'),
(157561, '213.62.147.96', '213.62.147.127', 3577647968, 3577647999, 'EU', 'Europe'),
(157562, '213.62.147.128', '213.62.147.255', 3577648000, 3577648127, 'DK', 'Denmark'),
(157563, '213.62.148.0', '213.62.150.255', 3577648128, 3577648895, 'EU', 'Europe'),
(157564, '213.62.151.0', '213.62.151.255', 3577648896, 3577649151, 'NL', 'Netherlands'),
(157565, '213.62.152.0', '213.62.155.127', 3577649152, 3577650047, 'EU', 'Europe'),
(157566, '213.62.155.128', '213.62.155.143', 3577650048, 3577650063, 'NL', 'Netherlands'),
(157567, '213.62.155.144', '213.62.159.255', 3577650064, 3577651199, 'EU', 'Europe'),
(157568, '213.62.160.0', '213.62.160.255', 3577651200, 3577651455, 'GB', 'United Kingdom'),
(157569, '213.62.161.0', '213.62.163.255', 3577651456, 3577652223, 'EU', 'Europe'),
(157570, '213.62.164.0', '213.62.165.191', 3577652224, 3577652671, 'IT', 'Italy'),
(157571, '213.62.165.192', '213.62.165.255', 3577652672, 3577652735, 'EU', 'Europe'),
(157572, '213.62.166.0', '213.62.166.7', 3577652736, 3577652743, 'NO', 'Norway'),
(157573, '213.62.166.8', '213.62.166.15', 3577652744, 3577652751, 'EU', 'Europe'),
(157574, '213.62.166.16', '213.62.166.31', 3577652752, 3577652767, 'NO', 'Norway'),
(157575, '213.62.166.32', '213.62.166.127', 3577652768, 3577652863, 'EU', 'Europe'),
(157576, '213.62.166.128', '213.62.166.207', 3577652864, 3577652943, 'NO', 'Norway'),
(157577, '213.62.166.208', '213.62.166.255', 3577652944, 3577652991, 'EU', 'Europe'),
(157578, '213.62.167.0', '213.62.167.127', 3577652992, 3577653119, 'NO', 'Norway'),
(157579, '213.62.167.128', '213.62.167.255', 3577653120, 3577653247, 'EU', 'Europe'),
(157580, '213.62.168.0', '213.62.175.255', 3577653248, 3577655295, 'IT', 'Italy'),
(157581, '213.62.176.0', '213.62.176.223', 3577655296, 3577655519, 'AT', 'Austria'),
(157582, '213.62.176.224', '213.62.176.255', 3577655520, 3577655551, 'EU', 'Europe'),
(157583, '213.62.177.0', '213.62.177.95', 3577655552, 3577655647, 'AT', 'Austria'),
(157584, '213.62.177.96', '213.62.177.111', 3577655648, 3577655663, 'EU', 'Europe'),
(157585, '213.62.177.112', '213.62.177.127', 3577655664, 3577655679, 'AT', 'Austria'),
(157586, '213.62.177.128', '213.62.177.159', 3577655680, 3577655711, 'EU', 'Europe'),
(157587, '213.62.177.160', '213.62.177.191', 3577655712, 3577655743, 'AT', 'Austria'),
(157588, '213.62.177.192', '213.62.177.255', 3577655744, 3577655807, 'EU', 'Europe'),
(157589, '213.62.178.0', '213.62.180.127', 3577655808, 3577656447, 'AT', 'Austria'),
(157590, '213.62.180.128', '213.62.183.255', 3577656448, 3577657343, 'EU', 'Europe'),
(157591, '213.62.184.0', '213.62.184.255', 3577657344, 3577657599, 'GB', 'United Kingdom'),
(157592, '213.62.185.0', '213.62.185.63', 3577657600, 3577657663, 'EU', 'Europe'),
(157593, '213.62.185.64', '213.62.191.255', 3577657664, 3577659391, 'GB', 'United Kingdom'),
(157594, '213.62.192.0', '213.62.193.31', 3577659392, 3577659679, 'GR', 'Greece'),
(157595, '213.62.193.32', '213.62.193.63', 3577659680, 3577659711, 'EU', 'Europe'),
(157596, '213.62.193.64', '213.62.193.95', 3577659712, 3577659743, 'GR', 'Greece'),
(157597, '213.62.193.96', '213.62.193.255', 3577659744, 3577659903, 'EU', 'Europe'),
(157598, '213.62.194.0', '213.62.194.255', 3577659904, 3577660159, 'GB', 'United Kingdom'),
(157599, '213.62.195.0', '213.62.196.191', 3577660160, 3577660607, 'BE', 'Belgium'),
(157600, '213.62.196.192', '213.62.196.255', 3577660608, 3577660671, 'EU', 'Europe'),
(157601, '213.62.197.0', '213.62.199.255', 3577660672, 3577661439, 'BE', 'Belgium'),
(157602, '213.62.200.0', '213.62.207.255', 3577661440, 3577663487, 'EU', 'Europe'),
(157603, '213.62.208.0', '213.62.214.191', 3577663488, 3577665215, 'SE', 'Sweden'),
(157604, '213.62.214.192', '213.62.214.223', 3577665216, 3577665247, 'EU', 'Europe'),
(157605, '213.62.214.224', '213.62.215.31', 3577665248, 3577665311, 'SE', 'Sweden'),
(157606, '213.62.215.32', '213.62.215.63', 3577665312, 3577665343, 'EU', 'Europe'),
(157607, '213.62.215.64', '213.62.215.95', 3577665344, 3577665375, 'SE', 'Sweden'),
(157608, '213.62.215.96', '213.62.215.127', 3577665376, 3577665407, 'EU', 'Europe'),
(157609, '213.62.215.128', '213.62.215.175', 3577665408, 3577665455, 'SE', 'Sweden'),
(157610, '213.62.215.176', '213.62.215.255', 3577665456, 3577665535, 'EU', 'Europe'),
(157611, '213.62.216.0', '213.62.216.55', 3577665536, 3577665591, 'ES', 'Spain'),
(157612, '213.62.216.56', '213.62.216.63', 3577665592, 3577665599, 'EU', 'Europe'),
(157613, '213.62.216.64', '213.62.216.71', 3577665600, 3577665607, 'ES', 'Spain'),
(157614, '213.62.216.72', '213.62.216.79', 3577665608, 3577665615, 'EU', 'Europe'),
(157615, '213.62.216.80', '213.62.216.143', 3577665616, 3577665679, 'ES', 'Spain'),
(157616, '213.62.216.144', '213.62.216.255', 3577665680, 3577665791, 'EU', 'Europe'),
(157617, '213.62.217.0', '213.62.217.31', 3577665792, 3577665823, 'BE', 'Belgium'),
(157618, '213.62.217.32', '213.62.217.63', 3577665824, 3577665855, 'RO', 'Romania'),
(157619, '213.62.217.64', '213.62.217.127', 3577665856, 3577665919, 'LU', 'Luxembourg'),
(157620, '213.62.217.128', '213.62.217.255', 3577665920, 3577666047, 'EU', 'Europe'),
(157621, '213.62.218.0', '213.62.218.127', 3577666048, 3577666175, 'ES', 'Spain'),
(157622, '213.62.218.128', '213.62.223.255', 3577666176, 3577667583, 'EU', 'Europe'),
(157623, '213.62.224.0', '213.62.224.159', 3577667584, 3577667743, 'PL', 'Poland'),
(157624, '213.62.224.160', '213.62.228.31', 3577667744, 3577668639, 'EU', 'Europe'),
(157625, '213.62.228.32', '213.62.228.63', 3577668640, 3577668671, 'IE', 'Ireland'),
(157626, '213.62.228.64', '213.62.228.127', 3577668672, 3577668735, 'EU', 'Europe'),
(157627, '213.62.228.128', '213.62.228.191', 3577668736, 3577668799, 'IE', 'Ireland'),
(157628, '213.62.228.192', '213.62.229.255', 3577668800, 3577669119, 'EU', 'Europe'),
(157629, '213.62.230.0', '213.62.231.7', 3577669120, 3577669383, 'HU', 'Hungary'),
(157630, '213.62.231.8', '213.62.231.127', 3577669384, 3577669503, 'EU', 'Europe'),
(157631, '213.62.231.128', '213.62.231.255', 3577669504, 3577669631, 'HU', 'Hungary'),
(157632, '213.62.232.0', '213.62.239.255', 3577669632, 3577671679, 'BE', 'Belgium'),
(157633, '213.62.240.0', '213.62.241.255', 3577671680, 3577672191, 'ZA', 'South Africa'),
(157634, '213.62.242.0', '213.62.247.255', 3577672192, 3577673727, 'DE', 'Germany'),
(157635, '213.62.248.0', '213.62.255.255', 3577673728, 3577675775, 'EU', 'Europe'),
(157636, '213.63.0.0', '213.63.255.255', 3577675776, 3577741311, 'PT', 'Portugal'),
(157637, '213.64.0.0', '213.67.255.255', 3577741312, 3578003455, 'SE', 'Sweden'),
(157638, '213.68.0.0', '213.68.143.255', 3578003456, 3578040319, 'DE', 'Germany'),
(157639, '213.68.144.0', '213.68.144.255', 3578040320, 3578040575, 'EU', 'Europe'),
(157640, '213.68.145.0', '213.68.177.255', 3578040576, 3578049023, 'DE', 'Germany'),
(157641, '213.68.178.0', '213.68.178.31', 3578049024, 3578049055, 'CH', 'Switzerland'),
(157642, '213.68.178.32', '213.70.97.255', 3578049056, 3578159615, 'DE', 'Germany'),
(157643, '213.70.98.0', '213.70.98.255', 3578159616, 3578159871, 'EU', 'Europe'),
(157644, '213.70.99.0', '213.71.31.127', 3578159872, 3578208127, 'DE', 'Germany'),
(157645, '213.71.31.128', '213.71.31.191', 3578208128, 3578208191, 'PK', 'Pakistan'),
(157646, '213.71.31.192', '213.71.134.255', 3578208192, 3578234623, 'DE', 'Germany'),
(157647, '213.71.135.0', '213.71.135.255', 3578234624, 3578234879, 'EU', 'Europe'),
(157648, '213.71.136.0', '213.71.255.255', 3578234880, 3578265599, 'DE', 'Germany'),
(157649, '213.72.0.0', '213.72.255.255', 3578265600, 3578331135, 'GB', 'United Kingdom'),
(157650, '213.73.0.0', '213.73.31.255', 3578331136, 3578339327, 'PL', 'Poland'),
(157651, '213.73.32.0', '213.73.63.255', 3578339328, 3578347519, 'ES', 'Spain'),
(157652, '213.73.64.0', '213.73.127.255', 3578347520, 3578363903, 'DE', 'Germany'),
(157653, '213.73.128.0', '213.73.255.255', 3578363904, 3578396671, 'NL', 'Netherlands'),
(157654, '213.74.0.0', '213.74.255.255', 3578396672, 3578462207, 'TR', 'Turkey'),
(157655, '213.75.0.0', '213.75.255.255', 3578462208, 3578527743, 'NL', 'Netherlands'),
(157656, '213.76.0.0', '213.77.255.255', 3578527744, 3578658815, 'PL', 'Poland'),
(157657, '213.78.0.0', '213.78.255.255', 3578658816, 3578724351, 'GB', 'United Kingdom'),
(157658, '213.79.0.0', '213.79.31.255', 3578724352, 3578732543, 'RU', 'Russian Federation'),
(157659, '213.79.32.0', '213.79.63.255', 3578732544, 3578740735, 'IE', 'Ireland'),
(157660, '213.79.64.0', '213.79.127.255', 3578740736, 3578757119, 'RU', 'Russian Federation'),
(157661, '213.79.128.0', '213.80.127.255', 3578757120, 3578822655, 'SE', 'Sweden'),
(157662, '213.80.128.0', '213.80.255.255', 3578822656, 3578855423, 'RU', 'Russian Federation'),
(157663, '213.81.0.0', '213.81.127.255', 3578855424, 3578888191, 'GB', 'United Kingdom'),
(157664, '213.81.128.0', '213.81.255.255', 3578888192, 3578920959, 'SK', 'Slovakia'),
(157665, '213.82.0.0', '213.82.255.255', 3578920960, 3578986495, 'IT', 'Italy'),
(157666, '213.83.0.0', '213.83.6.63', 3578986496, 3578988095, 'DE', 'Germany'),
(157667, '213.83.6.64', '213.83.6.67', 3578988096, 3578988099, 'CH', 'Switzerland'),
(157668, '213.83.6.68', '213.83.24.255', 3578988100, 3578992895, 'DE', 'Germany'),
(157669, '213.83.25.0', '213.83.25.31', 3578992896, 3578992927, 'CH', 'Switzerland'),
(157670, '213.83.25.32', '213.83.25.63', 3578992928, 3578992959, 'DE', 'Germany'),
(157671, '213.83.25.64', '213.83.25.79', 3578992960, 3578992975, 'GB', 'United Kingdom'),
(157672, '213.83.25.80', '213.83.33.71', 3578992976, 3578995015, 'DE', 'Germany'),
(157673, '213.83.33.72', '213.83.33.79', 3578995016, 3578995023, 'BE', 'Belgium'),
(157674, '213.83.33.80', '213.83.41.7', 3578995024, 3578996999, 'DE', 'Germany'),
(157675, '213.83.41.8', '213.83.41.15', 3578997000, 3578997007, 'CH', 'Switzerland'),
(157676, '213.83.41.16', '213.83.44.175', 3578997008, 3578997935, 'DE', 'Germany'),
(157677, '213.83.44.176', '213.83.44.183', 3578997936, 3578997943, 'FR', 'France'),
(157678, '213.83.44.184', '213.83.47.47', 3578997944, 3578998575, 'DE', 'Germany'),
(157679, '213.83.47.48', '213.83.47.55', 3578998576, 3578998583, 'GB', 'United Kingdom'),
(157680, '213.83.47.56', '213.83.51.95', 3578998584, 3578999647, 'DE', 'Germany'),
(157681, '213.83.51.96', '213.83.51.99', 3578999648, 3578999651, 'CH', 'Switzerland'),
(157682, '213.83.51.100', '213.83.63.255', 3578999652, 3579002879, 'DE', 'Germany'),
(157683, '213.83.64.0', '213.83.127.255', 3579002880, 3579019263, 'GB', 'United Kingdom'),
(157684, '213.83.128.0', '213.83.255.255', 3579019264, 3579052031, 'DK', 'Denmark'),
(157685, '213.84.0.0', '213.84.255.255', 3579052032, 3579117567, 'NL', 'Netherlands'),
(157686, '213.85.0.0', '213.85.56.255', 3579117568, 3579132159, 'RU', 'Russian Federation'),
(157687, '213.85.57.0', '213.85.57.255', 3579132160, 3579132415, 'BY', 'Belarus'),
(157688, '213.85.58.0', '213.85.255.255', 3579132416, 3579183103, 'RU', 'Russian Federation'),
(157689, '213.86.0.0', '213.86.0.143', 3579183104, 3579183247, 'GB', 'United Kingdom'),
(157690, '213.86.0.144', '213.86.0.159', 3579183248, 3579183263, 'DE', 'Germany'),
(157691, '213.86.0.160', '213.86.0.223', 3579183264, 3579183327, 'GB', 'United Kingdom'),
(157692, '213.86.0.224', '213.86.0.239', 3579183328, 3579183343, 'IE', 'Ireland'),
(157693, '213.86.0.240', '213.86.20.15', 3579183344, 3579188239, 'GB', 'United Kingdom'),
(157694, '213.86.20.16', '213.86.20.31', 3579188240, 3579188255, 'BE', 'Belgium'),
(157695, '213.86.20.32', '213.86.20.191', 3579188256, 3579188415, 'GB', 'United Kingdom'),
(157696, '213.86.20.192', '213.86.20.207', 3579188416, 3579188431, 'IS', 'Iceland'),
(157697, '213.86.20.208', '213.86.23.79', 3579188432, 3579189071, 'GB', 'United Kingdom'),
(157698, '213.86.23.80', '213.86.23.95', 3579189072, 3579189087, 'CH', 'Switzerland'),
(157699, '213.86.23.96', '213.86.33.207', 3579189088, 3579191759, 'GB', 'United Kingdom'),
(157700, '213.86.33.208', '213.86.33.223', 3579191760, 3579191775, 'DE', 'Germany'),
(157701, '213.86.33.224', '213.86.40.255', 3579191776, 3579193599, 'GB', 'United Kingdom'),
(157702, '213.86.41.0', '213.86.41.103', 3579193600, 3579193703, 'NL', 'Netherlands'),
(157703, '213.86.41.104', '213.86.41.104', 3579193704, 3579193704, 'GB', 'United Kingdom'),
(157704, '213.86.41.105', '213.86.41.105', 3579193705, 3579193705, 'NL', 'Netherlands'),
(157705, '213.86.41.106', '213.86.41.111', 3579193706, 3579193711, 'GB', 'United Kingdom'),
(157706, '213.86.41.112', '213.86.41.127', 3579193712, 3579193727, 'BE', 'Belgium'),
(157707, '213.86.41.128', '213.86.41.207', 3579193728, 3579193807, 'NL', 'Netherlands'),
(157708, '213.86.41.208', '213.86.41.215', 3579193808, 3579193815, 'GB', 'United Kingdom'),
(157709, '213.86.41.216', '213.86.41.223', 3579193816, 3579193823, 'ES', 'Spain'),
(157710, '213.86.41.224', '213.86.41.255', 3579193824, 3579193855, 'NL', 'Netherlands'),
(157711, '213.86.42.0', '213.86.42.247', 3579193856, 3579194103, 'GB', 'United Kingdom'),
(157712, '213.86.42.248', '213.86.42.255', 3579194104, 3579194111, 'US', 'United States'),
(157713, '213.86.43.0', '213.86.54.127', 3579194112, 3579197055, 'GB', 'United Kingdom'),
(157714, '213.86.54.128', '213.86.54.255', 3579197056, 3579197183, 'US', 'United States'),
(157715, '213.86.55.0', '213.86.55.127', 3579197184, 3579197311, 'GB', 'United Kingdom'),
(157716, '213.86.55.128', '213.86.55.255', 3579197312, 3579197439, 'US', 'United States'),
(157717, '213.86.56.0', '213.86.57.191', 3579197440, 3579197887, 'GB', 'United Kingdom'),
(157718, '213.86.57.192', '213.86.57.207', 3579197888, 3579197903, 'IT', 'Italy'),
(157719, '213.86.57.208', '213.86.82.31', 3579197904, 3579204127, 'GB', 'United Kingdom'),
(157720, '213.86.82.32', '213.86.82.47', 3579204128, 3579204143, 'BE', 'Belgium'),
(157721, '213.86.82.48', '213.86.82.135', 3579204144, 3579204231, 'GB', 'United Kingdom'),
(157722, '213.86.82.136', '213.86.82.143', 3579204232, 3579204239, 'IE', 'Ireland'),
(157723, '213.86.82.144', '213.86.82.175', 3579204240, 3579204271, 'GB', 'United Kingdom'),
(157724, '213.86.82.176', '213.86.82.191', 3579204272, 3579204287, 'DE', 'Germany'),
(157725, '213.86.82.192', '213.86.87.255', 3579204288, 3579205631, 'GB', 'United Kingdom'),
(157726, '213.86.88.0', '213.86.88.255', 3579205632, 3579205887, 'IE', 'Ireland'),
(157727, '213.86.89.0', '213.86.105.95', 3579205888, 3579210079, 'GB', 'United Kingdom'),
(157728, '213.86.105.96', '213.86.105.103', 3579210080, 3579210087, 'BE', 'Belgium'),
(157729, '213.86.105.104', '213.86.117.191', 3579210088, 3579213247, 'GB', 'United Kingdom'),
(157730, '213.86.117.192', '213.86.117.255', 3579213248, 3579213311, 'IT', 'Italy'),
(157731, '213.86.118.0', '213.86.148.31', 3579213312, 3579221023, 'GB', 'United Kingdom'),
(157732, '213.86.148.32', '213.86.148.47', 3579221024, 3579221039, 'FR', 'France'),
(157733, '213.86.148.48', '213.86.148.79', 3579221040, 3579221071, 'GB', 'United Kingdom'),
(157734, '213.86.148.80', '213.86.148.95', 3579221072, 3579221087, 'DE', 'Germany'),
(157735, '213.86.148.96', '213.86.148.111', 3579221088, 3579221103, 'GB', 'United Kingdom'),
(157736, '213.86.148.112', '213.86.148.127', 3579221104, 3579221119, 'IT', 'Italy'),
(157737, '213.86.148.128', '213.86.149.223', 3579221120, 3579221471, 'GB', 'United Kingdom'),
(157738, '213.86.149.224', '213.86.149.255', 3579221472, 3579221503, 'ES', 'Spain'),
(157739, '213.86.150.0', '213.86.156.31', 3579221504, 3579223071, 'GB', 'United Kingdom'),
(157740, '213.86.156.32', '213.86.156.47', 3579223072, 3579223087, 'BE', 'Belgium'),
(157741, '213.86.156.48', '213.86.156.63', 3579223088, 3579223103, 'FR', 'France'),
(157742, '213.86.156.64', '213.86.168.31', 3579223104, 3579226143, 'GB', 'United Kingdom'),
(157743, '213.86.168.32', '213.86.168.39', 3579226144, 3579226151, 'DE', 'Germany'),
(157744, '213.86.168.40', '213.86.168.215', 3579226152, 3579226327, 'GB', 'United Kingdom'),
(157745, '213.86.168.216', '213.86.168.239', 3579226328, 3579226351, 'FR', 'France'),
(157746, '213.86.168.240', '213.86.176.31', 3579226352, 3579228191, 'GB', 'United Kingdom'),
(157747, '213.86.176.32', '213.86.176.47', 3579228192, 3579228207, 'IT', 'Italy'),
(157748, '213.86.176.48', '213.86.176.63', 3579228208, 3579228223, 'ES', 'Spain'),
(157749, '213.86.176.64', '213.86.177.255', 3579228224, 3579228671, 'GB', 'United Kingdom'),
(157750, '213.86.178.0', '213.86.178.127', 3579228672, 3579228799, 'US', 'United States'),
(157751, '213.86.178.128', '213.86.190.71', 3579228800, 3579231815, 'GB', 'United Kingdom'),
(157752, '213.86.190.72', '213.86.190.87', 3579231816, 3579231831, 'FR', 'France'),
(157753, '213.86.190.88', '213.86.190.175', 3579231832, 3579231919, 'GB', 'United Kingdom'),
(157754, '213.86.190.176', '213.86.190.183', 3579231920, 3579231927, 'US', 'United States'),
(157755, '213.86.190.184', '213.86.211.63', 3579231928, 3579237183, 'GB', 'United Kingdom'),
(157756, '213.86.211.64', '213.86.211.95', 3579237184, 3579237215, 'DE', 'Germany'),
(157757, '213.86.211.96', '213.86.211.127', 3579237216, 3579237247, 'NL', 'Netherlands'),
(157758, '213.86.211.128', '213.86.222.207', 3579237248, 3579240143, 'GB', 'United Kingdom'),
(157759, '213.86.222.208', '213.86.222.223', 3579240144, 3579240159, 'CH', 'Switzerland'),
(157760, '213.86.222.224', '213.86.226.191', 3579240160, 3579241151, 'GB', 'United Kingdom'),
(157761, '213.86.226.192', '213.86.226.255', 3579241152, 3579241215, 'IE', 'Ireland'),
(157762, '213.86.227.0', '213.86.239.87', 3579241216, 3579244375, 'GB', 'United Kingdom'),
(157763, '213.86.239.88', '213.86.239.95', 3579244376, 3579244383, 'CH', 'Switzerland'),
(157764, '213.86.239.96', '213.86.250.95', 3579244384, 3579247199, 'GB', 'United Kingdom'),
(157765, '213.86.250.96', '213.86.250.103', 3579247200, 3579247207, 'DE', 'Germany'),
(157766, '213.86.250.104', '213.86.250.119', 3579247208, 3579247223, 'GB', 'United Kingdom'),
(157767, '213.86.250.120', '213.86.250.127', 3579247224, 3579247231, 'FR', 'France'),
(157768, '213.86.250.128', '213.86.250.167', 3579247232, 3579247271, 'GB', 'United Kingdom'),
(157769, '213.86.250.168', '213.86.250.175', 3579247272, 3579247279, 'US', 'United States'),
(157770, '213.86.250.176', '213.86.250.207', 3579247280, 3579247311, 'GB', 'United Kingdom'),
(157771, '213.86.250.208', '213.86.250.215', 3579247312, 3579247319, 'FR', 'France'),
(157772, '213.86.250.216', '213.86.251.31', 3579247320, 3579247391, 'GB', 'United Kingdom'),
(157773, '213.86.251.32', '213.86.251.39', 3579247392, 3579247399, 'US', 'United States'),
(157774, '213.86.251.40', '213.86.251.47', 3579247400, 3579247407, 'GB', 'United Kingdom'),
(157775, '213.86.251.48', '213.86.251.55', 3579247408, 3579247415, 'US', 'United States'),
(157776, '213.86.251.56', '213.86.251.175', 3579247416, 3579247535, 'GB', 'United Kingdom'),
(157777, '213.86.251.176', '213.86.251.183', 3579247536, 3579247543, 'IE', 'Ireland'),
(157778, '213.86.251.184', '213.86.251.207', 3579247544, 3579247567, 'GB', 'United Kingdom'),
(157779, '213.86.251.208', '213.86.251.215', 3579247568, 3579247575, 'DE', 'Germany'),
(157780, '213.86.251.216', '213.86.251.223', 3579247576, 3579247583, 'GB', 'United Kingdom'),
(157781, '213.86.251.224', '213.86.251.255', 3579247584, 3579247615, 'US', 'United States'),
(157782, '213.86.252.0', '213.86.254.7', 3579247616, 3579248135, 'GB', 'United Kingdom'),
(157783, '213.86.254.8', '213.86.254.15', 3579248136, 3579248143, 'DE', 'Germany'),
(157784, '213.86.254.16', '213.86.255.255', 3579248144, 3579248639, 'GB', 'United Kingdom'),
(157785, '213.87.0.0', '213.88.127.255', 3579248640, 3579346943, 'RU', 'Russian Federation'),
(157786, '213.88.128.0', '213.88.184.255', 3579346944, 3579361535, 'SE', 'Sweden'),
(157787, '213.88.185.0', '213.88.185.255', 3579361536, 3579361791, 'NO', 'Norway'),
(157788, '213.88.186.0', '213.88.186.255', 3579361792, 3579362047, 'SE', 'Sweden'),
(157789, '213.88.187.0', '213.88.187.15', 3579362048, 3579362063, 'NO', 'Norway'),
(157790, '213.88.187.16', '213.88.187.255', 3579362064, 3579362303, 'SE', 'Sweden'),
(157791, '213.88.188.0', '213.88.188.255', 3579362304, 3579362559, 'NO', 'Norway'),
(157792, '213.88.189.0', '213.88.189.255', 3579362560, 3579362815, 'SE', 'Sweden'),
(157793, '213.88.190.0', '213.88.191.255', 3579362816, 3579363327, 'NO', 'Norway'),
(157794, '213.88.192.0', '213.89.255.255', 3579363328, 3579445247, 'SE', 'Sweden'),
(157795, '213.90.0.0', '213.90.71.255', 3579445248, 3579463679, 'AT', 'Austria'),
(157796, '213.90.72.0', '213.90.72.3', 3579463680, 3579463683, 'US', 'United States'),
(157797, '213.90.72.4', '213.90.127.255', 3579463684, 3579478015, 'AT', 'Austria'),
(157798, '213.90.128.0', '213.90.139.15', 3579478016, 3579480847, 'FR', 'France'),
(157799, '213.90.139.16', '213.90.139.23', 3579480848, 3579480855, 'NL', 'Netherlands'),
(157800, '213.90.139.24', '213.90.139.31', 3579480856, 3579480863, 'FR', 'France'),
(157801, '213.90.139.32', '213.90.139.39', 3579480864, 3579480871, 'NL', 'Netherlands'),
(157802, '213.90.139.40', '213.90.140.7', 3579480872, 3579481095, 'FR', 'France'),
(157803, '213.90.140.8', '213.90.140.15', 3579481096, 3579481103, 'CH', 'Switzerland'),
(157804, '213.90.140.16', '213.90.140.31', 3579481104, 3579481119, 'FR', 'France'),
(157805, '213.90.140.32', '213.90.140.39', 3579481120, 3579481127, 'GB', 'United Kingdom'),
(157806, '213.90.140.40', '213.90.140.55', 3579481128, 3579481143, 'FR', 'France'),
(157807, '213.90.140.56', '213.90.140.63', 3579481144, 3579481151, 'CH', 'Switzerland'),
(157808, '213.90.140.64', '213.90.140.71', 3579481152, 3579481159, 'FR', 'France'),
(157809, '213.90.140.72', '213.90.140.79', 3579481160, 3579481167, 'GB', 'United Kingdom'),
(157810, '213.90.140.80', '213.90.140.103', 3579481168, 3579481191, 'FR', 'France'),
(157811, '213.90.140.104', '213.90.140.111', 3579481192, 3579481199, 'CH', 'Switzerland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(157812, '213.90.140.112', '213.90.140.159', 3579481200, 3579481247, 'FR', 'France'),
(157813, '213.90.140.160', '213.90.140.167', 3579481248, 3579481255, 'GB', 'United Kingdom'),
(157814, '213.90.140.168', '213.90.140.175', 3579481256, 3579481263, 'CH', 'Switzerland'),
(157815, '213.90.140.176', '213.90.140.191', 3579481264, 3579481279, 'FR', 'France'),
(157816, '213.90.140.192', '213.90.140.199', 3579481280, 3579481287, 'GB', 'United Kingdom'),
(157817, '213.90.140.200', '213.90.145.255', 3579481288, 3579482623, 'FR', 'France'),
(157818, '213.90.146.0', '213.90.146.159', 3579482624, 3579482783, 'NL', 'Netherlands'),
(157819, '213.90.146.160', '213.90.146.175', 3579482784, 3579482799, 'FR', 'France'),
(157820, '213.90.146.176', '213.90.147.47', 3579482800, 3579482927, 'NL', 'Netherlands'),
(157821, '213.90.147.48', '213.90.147.63', 3579482928, 3579482943, 'FR', 'France'),
(157822, '213.90.147.64', '213.90.147.111', 3579482944, 3579482991, 'NL', 'Netherlands'),
(157823, '213.90.147.112', '213.90.148.15', 3579482992, 3579483151, 'FR', 'France'),
(157824, '213.90.148.16', '213.90.148.127', 3579483152, 3579483263, 'NL', 'Netherlands'),
(157825, '213.90.148.128', '213.90.148.159', 3579483264, 3579483295, 'FR', 'France'),
(157826, '213.90.148.160', '213.90.148.175', 3579483296, 3579483311, 'NL', 'Netherlands'),
(157827, '213.90.148.176', '213.90.148.223', 3579483312, 3579483359, 'FR', 'France'),
(157828, '213.90.148.224', '213.90.148.239', 3579483360, 3579483375, 'NL', 'Netherlands'),
(157829, '213.90.148.240', '213.90.154.79', 3579483376, 3579484751, 'FR', 'France'),
(157830, '213.90.154.80', '213.90.154.95', 3579484752, 3579484767, 'BE', 'Belgium'),
(157831, '213.90.154.96', '213.90.156.79', 3579484768, 3579485263, 'FR', 'France'),
(157832, '213.90.156.80', '213.90.156.95', 3579485264, 3579485279, 'BE', 'Belgium'),
(157833, '213.90.156.96', '213.90.157.255', 3579485280, 3579485695, 'FR', 'France'),
(157834, '213.90.158.0', '213.90.158.15', 3579485696, 3579485711, 'GB', 'United Kingdom'),
(157835, '213.90.158.16', '213.90.158.18', 3579485712, 3579485714, 'FR', 'France'),
(157836, '213.90.158.19', '213.90.158.31', 3579485715, 3579485727, 'GB', 'United Kingdom'),
(157837, '213.90.158.32', '213.90.158.111', 3579485728, 3579485807, 'FR', 'France'),
(157838, '213.90.158.112', '213.90.158.127', 3579485808, 3579485823, 'GB', 'United Kingdom'),
(157839, '213.90.158.128', '213.90.158.191', 3579485824, 3579485887, 'FR', 'France'),
(157840, '213.90.158.192', '213.90.158.192', 3579485888, 3579485888, 'GB', 'United Kingdom'),
(157841, '213.90.158.193', '213.90.158.207', 3579485889, 3579485903, 'FR', 'France'),
(157842, '213.90.158.208', '213.90.158.223', 3579485904, 3579485919, 'DE', 'Germany'),
(157843, '213.90.158.224', '213.90.159.31', 3579485920, 3579485983, 'FR', 'France'),
(157844, '213.90.159.32', '213.90.159.47', 3579485984, 3579485999, 'CH', 'Switzerland'),
(157845, '213.90.159.48', '213.90.159.63', 3579486000, 3579486015, 'FR', 'France'),
(157846, '213.90.159.64', '213.90.159.79', 3579486016, 3579486031, 'GB', 'United Kingdom'),
(157847, '213.90.159.80', '213.90.159.95', 3579486032, 3579486047, 'DE', 'Germany'),
(157848, '213.90.159.96', '213.90.159.143', 3579486048, 3579486095, 'GB', 'United Kingdom'),
(157849, '213.90.159.144', '213.90.159.191', 3579486096, 3579486143, 'FR', 'France'),
(157850, '213.90.159.192', '213.90.159.223', 3579486144, 3579486175, 'GB', 'United Kingdom'),
(157851, '213.90.159.224', '213.90.159.239', 3579486176, 3579486191, 'FR', 'France'),
(157852, '213.90.159.240', '213.90.159.255', 3579486192, 3579486207, 'GB', 'United Kingdom'),
(157853, '213.90.160.0', '213.90.160.63', 3579486208, 3579486271, 'FR', 'France'),
(157854, '213.90.160.64', '213.90.160.79', 3579486272, 3579486287, 'GB', 'United Kingdom'),
(157855, '213.90.160.80', '213.90.160.95', 3579486288, 3579486303, 'FR', 'France'),
(157856, '213.90.160.96', '213.90.160.111', 3579486304, 3579486319, 'GB', 'United Kingdom'),
(157857, '213.90.160.112', '213.90.160.127', 3579486320, 3579486335, 'FR', 'France'),
(157858, '213.90.160.128', '213.90.160.143', 3579486336, 3579486351, 'GB', 'United Kingdom'),
(157859, '213.90.160.144', '213.90.160.159', 3579486352, 3579486367, 'FR', 'France'),
(157860, '213.90.160.160', '213.90.160.175', 3579486368, 3579486383, 'IT', 'Italy'),
(157861, '213.90.160.176', '213.90.160.191', 3579486384, 3579486399, 'DE', 'Germany'),
(157862, '213.90.160.192', '213.90.160.207', 3579486400, 3579486415, 'FR', 'France'),
(157863, '213.90.160.208', '213.90.160.223', 3579486416, 3579486431, 'DE', 'Germany'),
(157864, '213.90.160.224', '213.90.160.239', 3579486432, 3579486447, 'GB', 'United Kingdom'),
(157865, '213.90.160.240', '213.90.162.15', 3579486448, 3579486735, 'FR', 'France'),
(157866, '213.90.162.16', '213.90.162.31', 3579486736, 3579486751, 'DE', 'Germany'),
(157867, '213.90.162.32', '213.90.162.111', 3579486752, 3579486831, 'FR', 'France'),
(157868, '213.90.162.112', '213.90.162.127', 3579486832, 3579486847, 'BE', 'Belgium'),
(157869, '213.90.162.128', '213.90.162.143', 3579486848, 3579486863, 'FR', 'France'),
(157870, '213.90.162.144', '213.90.162.159', 3579486864, 3579486879, 'GB', 'United Kingdom'),
(157871, '213.90.162.160', '213.90.163.31', 3579486880, 3579487007, 'FR', 'France'),
(157872, '213.90.163.32', '213.90.163.63', 3579487008, 3579487039, 'GB', 'United Kingdom'),
(157873, '213.90.163.64', '213.90.163.79', 3579487040, 3579487055, 'DE', 'Germany'),
(157874, '213.90.163.80', '213.90.163.127', 3579487056, 3579487103, 'FR', 'France'),
(157875, '213.90.163.128', '213.90.163.143', 3579487104, 3579487119, 'GB', 'United Kingdom'),
(157876, '213.90.163.144', '213.90.163.239', 3579487120, 3579487215, 'FR', 'France'),
(157877, '213.90.163.240', '213.90.163.255', 3579487216, 3579487231, 'GB', 'United Kingdom'),
(157878, '213.90.164.0', '213.90.164.15', 3579487232, 3579487247, 'FR', 'France'),
(157879, '213.90.164.16', '213.90.164.31', 3579487248, 3579487263, 'GB', 'United Kingdom'),
(157880, '213.90.164.32', '213.90.164.239', 3579487264, 3579487471, 'FR', 'France'),
(157881, '213.90.164.240', '213.90.164.255', 3579487472, 3579487487, 'ES', 'Spain'),
(157882, '213.90.165.0', '213.90.165.31', 3579487488, 3579487519, 'FR', 'France'),
(157883, '213.90.165.32', '213.90.165.43', 3579487520, 3579487531, 'IT', 'Italy'),
(157884, '213.90.165.44', '213.90.165.47', 3579487532, 3579487535, 'FR', 'France'),
(157885, '213.90.165.48', '213.90.165.63', 3579487536, 3579487551, 'GB', 'United Kingdom'),
(157886, '213.90.165.64', '213.90.165.79', 3579487552, 3579487567, 'FR', 'France'),
(157887, '213.90.165.80', '213.90.165.95', 3579487568, 3579487583, 'GB', 'United Kingdom'),
(157888, '213.90.165.96', '213.90.165.111', 3579487584, 3579487599, 'FR', 'France'),
(157889, '213.90.165.112', '213.90.165.127', 3579487600, 3579487615, 'IT', 'Italy'),
(157890, '213.90.165.128', '213.90.165.175', 3579487616, 3579487663, 'FR', 'France'),
(157891, '213.90.165.176', '213.90.165.223', 3579487664, 3579487711, 'DE', 'Germany'),
(157892, '213.90.165.224', '213.90.165.239', 3579487712, 3579487727, 'SE', 'Sweden'),
(157893, '213.90.165.240', '213.90.165.255', 3579487728, 3579487743, 'GB', 'United Kingdom'),
(157894, '213.90.166.0', '213.90.166.63', 3579487744, 3579487807, 'FR', 'France'),
(157895, '213.90.166.64', '213.90.166.79', 3579487808, 3579487823, 'GB', 'United Kingdom'),
(157896, '213.90.166.80', '213.90.166.111', 3579487824, 3579487855, 'FR', 'France'),
(157897, '213.90.166.112', '213.90.166.127', 3579487856, 3579487871, 'GB', 'United Kingdom'),
(157898, '213.90.166.128', '213.90.166.143', 3579487872, 3579487887, 'IE', 'Ireland'),
(157899, '213.90.166.144', '213.90.166.159', 3579487888, 3579487903, 'DE', 'Germany'),
(157900, '213.90.166.160', '213.90.166.207', 3579487904, 3579487951, 'FR', 'France'),
(157901, '213.90.166.208', '213.90.166.223', 3579487952, 3579487967, 'GB', 'United Kingdom'),
(157902, '213.90.166.224', '213.90.166.239', 3579487968, 3579487983, 'IT', 'Italy'),
(157903, '213.90.166.240', '213.90.166.255', 3579487984, 3579487999, 'GB', 'United Kingdom'),
(157904, '213.90.167.0', '213.90.167.47', 3579488000, 3579488047, 'FR', 'France'),
(157905, '213.90.167.48', '213.90.167.79', 3579488048, 3579488079, 'GB', 'United Kingdom'),
(157906, '213.90.167.80', '213.90.176.255', 3579488080, 3579490559, 'FR', 'France'),
(157907, '213.90.177.0', '213.90.177.95', 3579490560, 3579490655, 'PT', 'Portugal'),
(157908, '213.90.177.96', '213.90.177.111', 3579490656, 3579490671, 'FR', 'France'),
(157909, '213.90.177.112', '213.90.177.159', 3579490672, 3579490719, 'PT', 'Portugal'),
(157910, '213.90.177.160', '213.90.177.175', 3579490720, 3579490735, 'NL', 'Netherlands'),
(157911, '213.90.177.176', '213.90.177.191', 3579490736, 3579490751, 'FR', 'France'),
(157912, '213.90.177.192', '213.90.177.239', 3579490752, 3579490799, 'PT', 'Portugal'),
(157913, '213.90.177.240', '213.90.178.15', 3579490800, 3579490831, 'FR', 'France'),
(157914, '213.90.178.16', '213.90.178.127', 3579490832, 3579490943, 'PT', 'Portugal'),
(157915, '213.90.178.128', '213.90.178.143', 3579490944, 3579490959, 'FR', 'France'),
(157916, '213.90.178.144', '213.90.178.159', 3579490960, 3579490975, 'PT', 'Portugal'),
(157917, '213.90.178.160', '213.90.178.191', 3579490976, 3579491007, 'FR', 'France'),
(157918, '213.90.178.192', '213.90.178.207', 3579491008, 3579491023, 'PT', 'Portugal'),
(157919, '213.90.178.208', '213.90.179.159', 3579491024, 3579491231, 'FR', 'France'),
(157920, '213.90.179.160', '213.90.179.175', 3579491232, 3579491247, 'PT', 'Portugal'),
(157921, '213.90.179.176', '213.90.179.191', 3579491248, 3579491263, 'NL', 'Netherlands'),
(157922, '213.90.179.192', '213.90.180.143', 3579491264, 3579491471, 'FR', 'France'),
(157923, '213.90.180.144', '213.90.180.159', 3579491472, 3579491487, 'PT', 'Portugal'),
(157924, '213.90.180.160', '213.90.205.255', 3579491488, 3579497983, 'FR', 'France'),
(157925, '213.90.206.0', '213.90.206.7', 3579497984, 3579497991, 'NL', 'Netherlands'),
(157926, '213.90.206.8', '213.91.63.255', 3579497992, 3579527167, 'FR', 'France'),
(157927, '213.91.64.0', '213.91.127.255', 3579527168, 3579543551, 'BA', 'Bosnia and Herzegovina'),
(157928, '213.91.128.0', '213.91.163.255', 3579543552, 3579552767, 'BG', 'Bulgaria'),
(157929, '213.91.164.0', '213.91.164.255', 3579552768, 3579553023, 'A2', 'Satellite Provider'),
(157930, '213.91.165.0', '213.91.166.255', 3579553024, 3579553535, 'BG', 'Bulgaria'),
(157931, '213.91.167.0', '213.91.167.255', 3579553536, 3579553791, 'A2', 'Satellite Provider'),
(157932, '213.91.168.0', '213.91.255.255', 3579553792, 3579576319, 'BG', 'Bulgaria'),
(157933, '213.92.0.0', '213.92.21.125', 3579576320, 3579581821, 'IT', 'Italy'),
(157934, '213.92.21.126', '213.92.21.126', 3579581822, 3579581822, 'EU', 'Europe'),
(157935, '213.92.21.127', '213.92.76.191', 3579581823, 3579595967, 'IT', 'Italy'),
(157936, '213.92.76.192', '213.92.76.207', 3579595968, 3579595983, 'A2', 'Satellite Provider'),
(157937, '213.92.76.208', '213.92.79.255', 3579595984, 3579596799, 'IT', 'Italy'),
(157938, '213.92.80.0', '213.92.80.255', 3579596800, 3579597055, 'EU', 'Europe'),
(157939, '213.92.81.0', '213.92.93.63', 3579597056, 3579600191, 'IT', 'Italy'),
(157940, '213.92.93.64', '213.92.93.79', 3579600192, 3579600207, 'US', 'United States'),
(157941, '213.92.93.80', '213.92.98.63', 3579600208, 3579601471, 'IT', 'Italy'),
(157942, '213.92.98.64', '213.92.98.79', 3579601472, 3579601487, 'US', 'United States'),
(157943, '213.92.98.80', '213.92.113.239', 3579601488, 3579605487, 'IT', 'Italy'),
(157944, '213.92.113.240', '213.92.113.255', 3579605488, 3579605503, 'DE', 'Germany'),
(157945, '213.92.114.0', '213.92.121.255', 3579605504, 3579607551, 'IT', 'Italy'),
(157946, '213.92.122.0', '213.92.122.255', 3579607552, 3579607807, 'US', 'United States'),
(157947, '213.92.123.0', '213.92.127.255', 3579607808, 3579609087, 'IT', 'Italy'),
(157948, '213.92.128.0', '213.92.255.255', 3579609088, 3579641855, 'PL', 'Poland'),
(157949, '213.93.0.0', '213.93.255.255', 3579641856, 3579707391, 'NL', 'Netherlands'),
(157950, '213.94.0.0', '213.94.63.255', 3579707392, 3579723775, 'ES', 'Spain'),
(157951, '213.94.64.0', '213.94.127.255', 3579723776, 3579740159, 'AT', 'Austria'),
(157952, '213.94.128.0', '213.94.255.255', 3579740160, 3579772927, 'IE', 'Ireland'),
(157953, '213.95.0.0', '213.95.255.255', 3579772928, 3579838463, 'DE', 'Germany'),
(157954, '213.96.0.0', '213.96.161.255', 3579838464, 3579879935, 'ES', 'Spain'),
(157955, '213.96.162.0', '213.96.162.255', 3579879936, 3579880191, 'US', 'United States'),
(157956, '213.96.163.0', '213.99.255.255', 3579880192, 3580100607, 'ES', 'Spain'),
(157957, '213.100.0.0', '213.100.195.255', 3580100608, 3580150783, 'SE', 'Sweden'),
(157958, '213.100.196.0', '213.100.196.255', 3580150784, 3580151039, 'NL', 'Netherlands'),
(157959, '213.100.197.0', '213.100.239.255', 3580151040, 3580162047, 'SE', 'Sweden'),
(157960, '213.100.240.0', '213.100.247.255', 3580162048, 3580164095, 'EE', 'Estonia'),
(157961, '213.100.248.0', '213.100.254.255', 3580164096, 3580165887, 'SE', 'Sweden'),
(157962, '213.100.255.0', '213.100.255.255', 3580165888, 3580166143, 'NL', 'Netherlands'),
(157963, '213.101.0.0', '213.101.127.255', 3580166144, 3580198911, 'SE', 'Sweden'),
(157964, '213.101.128.0', '213.101.129.255', 3580198912, 3580199423, 'LV', 'Latvia'),
(157965, '213.101.130.0', '213.101.135.255', 3580199424, 3580200959, 'EE', 'Estonia'),
(157966, '213.101.136.0', '213.101.143.255', 3580200960, 3580203007, 'LT', 'Lithuania'),
(157967, '213.101.144.0', '213.101.144.127', 3580203008, 3580203135, 'HR', 'Croatia'),
(157968, '213.101.144.128', '213.101.145.255', 3580203136, 3580203519, 'SE', 'Sweden'),
(157969, '213.101.146.0', '213.101.149.255', 3580203520, 3580204543, 'RU', 'Russian Federation'),
(157970, '213.101.150.0', '213.101.151.255', 3580204544, 3580205055, 'NL', 'Netherlands'),
(157971, '213.101.152.0', '213.101.159.255', 3580205056, 3580207103, 'HR', 'Croatia'),
(157972, '213.101.160.0', '213.101.163.255', 3580207104, 3580208127, 'LV', 'Latvia'),
(157973, '213.101.164.0', '213.101.167.255', 3580208128, 3580209151, 'EE', 'Estonia'),
(157974, '213.101.168.0', '213.101.175.255', 3580209152, 3580211199, 'SE', 'Sweden'),
(157975, '213.101.176.0', '213.101.183.255', 3580211200, 3580213247, 'HR', 'Croatia'),
(157976, '213.101.184.0', '213.101.187.255', 3580213248, 3580214271, 'CH', 'Switzerland'),
(157977, '213.101.188.0', '213.101.189.255', 3580214272, 3580214783, 'LV', 'Latvia'),
(157978, '213.101.190.0', '213.101.191.255', 3580214784, 3580215295, 'HR', 'Croatia'),
(157979, '213.101.192.0', '213.101.199.255', 3580215296, 3580217343, 'EE', 'Estonia'),
(157980, '213.101.200.0', '213.101.215.255', 3580217344, 3580221439, 'SE', 'Sweden'),
(157981, '213.101.216.0', '213.101.217.255', 3580221440, 3580221951, 'HR', 'Croatia'),
(157982, '213.101.218.0', '213.101.218.255', 3580221952, 3580222207, 'EE', 'Estonia'),
(157983, '213.101.219.0', '213.101.219.127', 3580222208, 3580222335, 'SE', 'Sweden'),
(157984, '213.101.219.128', '213.101.220.255', 3580222336, 3580222719, 'HR', 'Croatia'),
(157985, '213.101.221.0', '213.101.221.255', 3580222720, 3580222975, 'SE', 'Sweden'),
(157986, '213.101.222.0', '213.101.223.255', 3580222976, 3580223487, 'HR', 'Croatia'),
(157987, '213.101.224.0', '213.101.255.255', 3580223488, 3580231679, 'DE', 'Germany'),
(157988, '213.102.0.0', '213.102.0.255', 3580231680, 3580231935, 'LT', 'Lithuania'),
(157989, '213.102.1.0', '213.102.2.255', 3580231936, 3580232447, 'LV', 'Latvia'),
(157990, '213.102.3.0', '213.102.7.255', 3580232448, 3580233727, 'LT', 'Lithuania'),
(157991, '213.102.8.0', '213.102.11.255', 3580233728, 3580234751, 'NO', 'Norway'),
(157992, '213.102.12.0', '213.102.13.255', 3580234752, 3580235263, 'SE', 'Sweden'),
(157993, '213.102.14.0', '213.102.19.255', 3580235264, 3580236799, 'LT', 'Lithuania'),
(157994, '213.102.20.0', '213.102.22.255', 3580236800, 3580237567, 'LV', 'Latvia'),
(157995, '213.102.23.0', '213.102.23.255', 3580237568, 3580237823, 'LT', 'Lithuania'),
(157996, '213.102.24.0', '213.102.25.255', 3580237824, 3580238335, 'SE', 'Sweden'),
(157997, '213.102.26.0', '213.102.31.255', 3580238336, 3580239871, 'LV', 'Latvia'),
(157998, '213.102.32.0', '213.102.39.255', 3580239872, 3580241919, 'EE', 'Estonia'),
(157999, '213.102.40.0', '213.102.47.255', 3580241920, 3580243967, 'SE', 'Sweden'),
(158000, '213.102.48.0', '213.102.51.255', 3580243968, 3580244991, 'EE', 'Estonia'),
(158001, '213.102.52.0', '213.102.55.255', 3580244992, 3580246015, 'LT', 'Lithuania'),
(158002, '213.102.56.0', '213.102.63.255', 3580246016, 3580248063, 'LV', 'Latvia'),
(158003, '213.102.64.0', '213.102.87.255', 3580248064, 3580254207, 'EE', 'Estonia'),
(158004, '213.102.88.0', '213.102.111.255', 3580254208, 3580260351, 'DE', 'Germany'),
(158005, '213.102.112.0', '213.102.132.255', 3580260352, 3580265727, 'AT', 'Austria'),
(158006, '213.102.133.0', '213.102.143.255', 3580265728, 3580268543, 'EE', 'Estonia'),
(158007, '213.102.144.0', '213.102.159.255', 3580268544, 3580272639, 'LV', 'Latvia'),
(158008, '213.102.160.0', '213.102.175.255', 3580272640, 3580276735, 'SE', 'Sweden'),
(158009, '213.102.176.0', '213.102.191.255', 3580276736, 3580280831, 'NL', 'Netherlands'),
(158010, '213.102.192.0', '213.103.127.255', 3580280832, 3580329983, 'RU', 'Russian Federation'),
(158011, '213.103.128.0', '213.103.159.255', 3580329984, 3580338175, 'SE', 'Sweden'),
(158012, '213.103.160.0', '213.103.165.255', 3580338176, 3580339711, 'HR', 'Croatia'),
(158013, '213.103.166.0', '213.103.167.255', 3580339712, 3580340223, 'EE', 'Estonia'),
(158014, '213.103.168.0', '213.103.183.255', 3580340224, 3580344319, 'LT', 'Lithuania'),
(158015, '213.103.184.0', '213.103.187.255', 3580344320, 3580345343, 'SE', 'Sweden'),
(158016, '213.103.188.0', '213.103.189.255', 3580345344, 3580345855, 'EE', 'Estonia'),
(158017, '213.103.190.0', '213.103.223.255', 3580345856, 3580354559, 'SE', 'Sweden'),
(158018, '213.103.224.0', '213.103.255.255', 3580354560, 3580362751, 'LT', 'Lithuania'),
(158019, '213.104.0.0', '213.105.176.31', 3580362752, 3580473375, 'GB', 'United Kingdom'),
(158020, '213.105.176.32', '213.105.176.47', 3580473376, 3580473391, 'IE', 'Ireland'),
(158021, '213.105.176.48', '213.105.176.159', 3580473392, 3580473503, 'GB', 'United Kingdom'),
(158022, '213.105.176.160', '213.105.176.167', 3580473504, 3580473511, 'IE', 'Ireland'),
(158023, '213.105.176.168', '213.105.176.175', 3580473512, 3580473519, 'GB', 'United Kingdom'),
(158024, '213.105.176.176', '213.105.176.183', 3580473520, 3580473527, 'IE', 'Ireland'),
(158025, '213.105.176.184', '213.105.177.95', 3580473528, 3580473695, 'GB', 'United Kingdom'),
(158026, '213.105.177.96', '213.105.177.127', 3580473696, 3580473727, 'IE', 'Ireland'),
(158027, '213.105.177.128', '213.105.177.159', 3580473728, 3580473759, 'GB', 'United Kingdom'),
(158028, '213.105.177.160', '213.105.178.31', 3580473760, 3580473887, 'IE', 'Ireland'),
(158029, '213.105.178.32', '213.105.178.95', 3580473888, 3580473951, 'GB', 'United Kingdom'),
(158030, '213.105.178.96', '213.105.178.103', 3580473952, 3580473959, 'IE', 'Ireland'),
(158031, '213.105.178.104', '213.105.178.111', 3580473960, 3580473967, 'GB', 'United Kingdom'),
(158032, '213.105.178.112', '213.105.178.127', 3580473968, 3580473983, 'IE', 'Ireland'),
(158033, '213.105.178.128', '213.105.178.143', 3580473984, 3580473999, 'GB', 'United Kingdom'),
(158034, '213.105.178.144', '213.105.178.151', 3580474000, 3580474007, 'IE', 'Ireland'),
(158035, '213.105.178.152', '213.105.178.239', 3580474008, 3580474095, 'GB', 'United Kingdom'),
(158036, '213.105.178.240', '213.105.178.255', 3580474096, 3580474111, 'IE', 'Ireland'),
(158037, '213.105.179.0', '213.105.180.127', 3580474112, 3580474495, 'GB', 'United Kingdom'),
(158038, '213.105.180.128', '213.105.180.191', 3580474496, 3580474559, 'IE', 'Ireland'),
(158039, '213.105.180.192', '213.105.181.15', 3580474560, 3580474639, 'GB', 'United Kingdom'),
(158040, '213.105.181.16', '213.105.181.23', 3580474640, 3580474647, 'IE', 'Ireland'),
(158041, '213.105.181.24', '213.105.181.31', 3580474648, 3580474655, 'GB', 'United Kingdom'),
(158042, '213.105.181.32', '213.105.181.47', 3580474656, 3580474671, 'IE', 'Ireland'),
(158043, '213.105.181.48', '213.105.181.63', 3580474672, 3580474687, 'GB', 'United Kingdom'),
(158044, '213.105.181.64', '213.105.181.79', 3580474688, 3580474703, 'IE', 'Ireland'),
(158045, '213.105.181.80', '213.105.181.95', 3580474704, 3580474719, 'GB', 'United Kingdom'),
(158046, '213.105.181.96', '213.105.181.111', 3580474720, 3580474735, 'IE', 'Ireland'),
(158047, '213.105.181.112', '213.105.181.183', 3580474736, 3580474807, 'GB', 'United Kingdom'),
(158048, '213.105.181.184', '213.105.181.255', 3580474808, 3580474879, 'IE', 'Ireland'),
(158049, '213.105.182.0', '213.105.182.175', 3580474880, 3580475055, 'GB', 'United Kingdom'),
(158050, '213.105.182.176', '213.105.182.183', 3580475056, 3580475063, 'IE', 'Ireland'),
(158051, '213.105.182.184', '213.105.182.243', 3580475064, 3580475123, 'GB', 'United Kingdom'),
(158052, '213.105.182.244', '213.105.182.247', 3580475124, 3580475127, 'IE', 'Ireland'),
(158053, '213.105.182.248', '213.105.183.207', 3580475128, 3580475343, 'GB', 'United Kingdom'),
(158054, '213.105.183.208', '213.105.183.215', 3580475344, 3580475351, 'IE', 'Ireland'),
(158055, '213.105.183.216', '213.107.255.255', 3580475352, 3580624895, 'GB', 'United Kingdom'),
(158056, '213.108.0.0', '213.108.7.255', 3580624896, 3580626943, 'RU', 'Russian Federation'),
(158057, '213.108.8.0', '213.108.15.255', 3580626944, 3580628991, 'PL', 'Poland'),
(158058, '213.108.16.0', '213.108.23.255', 3580628992, 3580631039, 'RU', 'Russian Federation'),
(158059, '213.108.24.0', '213.108.30.255', 3580631040, 3580632831, 'NL', 'Netherlands'),
(158060, '213.108.31.0', '213.108.31.255', 3580632832, 3580633087, 'GB', 'United Kingdom'),
(158061, '213.108.32.0', '213.108.39.255', 3580633088, 3580635135, 'RU', 'Russian Federation'),
(158062, '213.108.40.0', '213.108.47.255', 3580635136, 3580637183, 'UA', 'Ukraine'),
(158063, '213.108.48.0', '213.108.55.255', 3580637184, 3580639231, 'KZ', 'Kazakhstan'),
(158064, '213.108.56.0', '213.108.63.255', 3580639232, 3580641279, 'PL', 'Poland'),
(158065, '213.108.64.0', '213.108.71.255', 3580641280, 3580643327, 'FR', 'France'),
(158066, '213.108.72.0', '213.108.79.255', 3580643328, 3580645375, 'UA', 'Ukraine'),
(158067, '213.108.80.0', '213.108.87.255', 3580645376, 3580647423, 'PL', 'Poland'),
(158068, '213.108.88.0', '213.108.95.255', 3580647424, 3580649471, 'DE', 'Germany'),
(158069, '213.108.96.0', '213.108.103.255', 3580649472, 3580651519, 'SE', 'Sweden'),
(158070, '213.108.104.0', '213.108.111.255', 3580651520, 3580653567, 'NL', 'Netherlands'),
(158071, '213.108.112.0', '213.108.119.255', 3580653568, 3580655615, 'PL', 'Poland'),
(158072, '213.108.120.0', '213.108.127.255', 3580655616, 3580657663, 'SK', 'Slovakia'),
(158073, '213.108.128.0', '213.108.151.255', 3580657664, 3580663807, 'RU', 'Russian Federation'),
(158074, '213.108.152.0', '213.108.159.255', 3580663808, 3580665855, 'PL', 'Poland'),
(158075, '213.108.160.0', '213.108.167.255', 3580665856, 3580667903, 'CZ', 'Czech Republic'),
(158076, '213.108.168.0', '213.108.175.255', 3580667904, 3580669951, 'RU', 'Russian Federation'),
(158077, '213.108.176.0', '213.108.183.255', 3580669952, 3580671999, 'UA', 'Ukraine'),
(158078, '213.108.184.0', '213.108.223.255', 3580672000, 3580682239, 'RU', 'Russian Federation'),
(158079, '213.108.224.0', '213.108.231.255', 3580682240, 3580684287, 'PL', 'Poland'),
(158080, '213.108.232.0', '213.108.239.255', 3580684288, 3580686335, 'FR', 'France'),
(158081, '213.108.240.0', '213.108.247.255', 3580686336, 3580688383, 'BG', 'Bulgaria'),
(158082, '213.108.248.0', '213.109.31.255', 3580688384, 3580698623, 'RU', 'Russian Federation'),
(158083, '213.109.32.0', '213.109.47.255', 3580698624, 3580702719, 'PL', 'Poland'),
(158084, '213.109.48.0', '213.109.79.255', 3580702720, 3580710911, 'RU', 'Russian Federation'),
(158085, '213.109.80.0', '213.109.95.255', 3580710912, 3580715007, 'UA', 'Ukraine'),
(158086, '213.109.96.0', '213.109.111.255', 3580715008, 3580719103, 'RU', 'Russian Federation'),
(158087, '213.109.112.0', '213.109.127.255', 3580719104, 3580723199, 'NL', 'Netherlands'),
(158088, '213.109.128.0', '213.109.143.255', 3580723200, 3580727295, 'UA', 'Ukraine'),
(158089, '213.109.144.0', '213.109.159.255', 3580727296, 3580731391, 'RU', 'Russian Federation'),
(158090, '213.109.160.0', '213.109.191.255', 3580731392, 3580739583, 'RO', 'Romania'),
(158091, '213.109.192.0', '213.109.207.255', 3580739584, 3580743679, 'RU', 'Russian Federation'),
(158092, '213.109.208.0', '213.109.239.255', 3580743680, 3580751871, 'UA', 'Ukraine'),
(158093, '213.109.240.0', '213.109.255.255', 3580751872, 3580755967, 'IR', 'Iran, Islamic Republic of'),
(158094, '213.110.0.0', '213.110.63.255', 3580755968, 3580772351, 'RU', 'Russian Federation'),
(158095, '213.110.64.0', '213.110.95.255', 3580772352, 3580780543, 'LV', 'Latvia'),
(158096, '213.110.96.0', '213.110.191.255', 3580780544, 3580805119, 'UA', 'Ukraine'),
(158097, '213.110.192.0', '213.110.255.255', 3580805120, 3580821503, 'RU', 'Russian Federation'),
(158098, '213.111.0.0', '213.111.63.255', 3580821504, 3580837887, 'FR', 'France'),
(158099, '213.111.64.0', '213.111.255.255', 3580837888, 3580887039, 'UA', 'Ukraine'),
(158100, '213.112.0.0', '213.115.255.255', 3580887040, 3581149183, 'SE', 'Sweden'),
(158101, '213.116.0.0', '213.116.4.159', 3581149184, 3581150367, 'EU', 'Europe'),
(158102, '213.116.4.160', '213.116.4.255', 3581150368, 3581150463, 'IE', 'Ireland'),
(158103, '213.116.5.0', '213.116.5.127', 3581150464, 3581150591, 'EU', 'Europe'),
(158104, '213.116.5.128', '213.116.5.255', 3581150592, 3581150719, 'NL', 'Netherlands'),
(158105, '213.116.6.0', '213.116.6.63', 3581150720, 3581150783, 'SE', 'Sweden'),
(158106, '213.116.6.64', '213.116.6.255', 3581150784, 3581150975, 'EU', 'Europe'),
(158107, '213.116.7.0', '213.116.7.63', 3581150976, 3581151039, 'SE', 'Sweden'),
(158108, '213.116.7.64', '213.116.7.255', 3581151040, 3581151231, 'EU', 'Europe'),
(158109, '213.116.8.0', '213.116.8.63', 3581151232, 3581151295, 'SE', 'Sweden'),
(158110, '213.116.8.64', '213.116.18.255', 3581151296, 3581154047, 'EU', 'Europe'),
(158111, '213.116.19.0', '213.116.19.255', 3581154048, 3581154303, 'NL', 'Netherlands'),
(158112, '213.116.20.0', '213.116.30.255', 3581154304, 3581157119, 'EU', 'Europe'),
(158113, '213.116.31.0', '213.116.36.255', 3581157120, 3581158655, 'AT', 'Austria'),
(158114, '213.116.37.0', '213.116.38.255', 3581158656, 3581159167, 'EU', 'Europe'),
(158115, '213.116.39.0', '213.116.39.127', 3581159168, 3581159295, 'AT', 'Austria'),
(158116, '213.116.39.128', '213.116.39.255', 3581159296, 3581159423, 'EU', 'Europe'),
(158117, '213.116.40.0', '213.116.47.255', 3581159424, 3581161471, 'IE', 'Ireland'),
(158118, '213.116.48.0', '213.116.95.255', 3581161472, 3581173759, 'EU', 'Europe'),
(158119, '213.116.96.0', '213.116.185.255', 3581173760, 3581196799, 'NL', 'Netherlands'),
(158120, '213.116.186.0', '213.116.187.255', 3581196800, 3581197311, 'EU', 'Europe'),
(158121, '213.116.188.0', '213.116.188.255', 3581197312, 3581197567, 'IE', 'Ireland'),
(158122, '213.116.189.0', '213.116.189.255', 3581197568, 3581197823, 'EU', 'Europe'),
(158123, '213.116.190.0', '213.116.191.255', 3581197824, 3581198335, 'GB', 'United Kingdom'),
(158124, '213.116.192.0', '213.116.198.255', 3581198336, 3581200127, 'NL', 'Netherlands'),
(158125, '213.116.199.0', '213.116.213.255', 3581200128, 3581203967, 'EU', 'Europe'),
(158126, '213.116.214.0', '213.116.255.255', 3581203968, 3581214719, 'SE', 'Sweden'),
(158127, '213.117.0.0', '213.117.63.255', 3581214720, 3581231103, 'NL', 'Netherlands'),
(158128, '213.117.64.0', '213.117.95.255', 3581231104, 3581239295, 'EU', 'Europe'),
(158129, '213.117.96.0', '213.117.103.255', 3581239296, 3581241343, 'NL', 'Netherlands'),
(158130, '213.117.104.0', '213.117.108.255', 3581241344, 3581242623, 'EU', 'Europe'),
(158131, '213.117.109.0', '213.117.119.255', 3581242624, 3581245439, 'FR', 'France'),
(158132, '213.117.120.0', '213.117.159.255', 3581245440, 3581255679, 'EU', 'Europe'),
(158133, '213.117.160.0', '213.117.173.255', 3581255680, 3581259263, 'FR', 'France'),
(158134, '213.117.174.0', '213.117.181.255', 3581259264, 3581261311, 'EU', 'Europe'),
(158135, '213.117.182.0', '213.117.182.127', 3581261312, 3581261439, 'FR', 'France'),
(158136, '213.117.182.128', '213.117.251.127', 3581261440, 3581279103, 'EU', 'Europe'),
(158137, '213.117.251.128', '213.117.251.223', 3581279104, 3581279199, 'NL', 'Netherlands'),
(158138, '213.117.251.224', '213.117.255.255', 3581279200, 3581280255, 'EU', 'Europe'),
(158139, '213.118.0.0', '213.119.255.255', 3581280256, 3581411327, 'BE', 'Belgium'),
(158140, '213.120.0.0', '213.123.255.255', 3581411328, 3581673471, 'GB', 'United Kingdom'),
(158141, '213.124.0.0', '213.127.255.255', 3581673472, 3581935615, 'NL', 'Netherlands'),
(158142, '213.128.0.0', '213.128.31.255', 3581935616, 3581943807, 'RU', 'Russian Federation'),
(158143, '213.128.32.0', '213.128.63.255', 3581943808, 3581951999, 'FR', 'France'),
(158144, '213.128.64.0', '213.128.95.255', 3581952000, 3581960191, 'TR', 'Turkey'),
(158145, '213.128.96.0', '213.128.122.1', 3581960192, 3581966849, 'DE', 'Germany'),
(158146, '213.128.122.2', '213.128.122.2', 3581966850, 3581966850, 'EU', 'Europe'),
(158147, '213.128.122.3', '213.128.159.255', 3581966851, 3581976575, 'DE', 'Germany'),
(158148, '213.128.160.0', '213.128.191.255', 3581976576, 3581984767, 'NO', 'Norway'),
(158149, '213.128.192.0', '213.128.223.255', 3581984768, 3581992959, 'RU', 'Russian Federation'),
(158150, '213.128.224.0', '213.128.255.255', 3581992960, 3582001151, 'GB', 'United Kingdom'),
(158151, '213.129.0.0', '213.129.31.255', 3582001152, 3582009343, 'DK', 'Denmark'),
(158152, '213.129.32.0', '213.129.63.255', 3582009344, 3582017535, 'RU', 'Russian Federation'),
(158153, '213.129.64.0', '213.129.95.255', 3582017536, 3582025727, 'GB', 'United Kingdom'),
(158154, '213.129.96.0', '213.129.127.255', 3582025728, 3582033919, 'RU', 'Russian Federation'),
(158155, '213.129.128.0', '213.129.159.255', 3582033920, 3582042111, 'CZ', 'Czech Republic'),
(158156, '213.129.160.0', '213.129.191.255', 3582042112, 3582050303, 'ES', 'Spain'),
(158157, '213.129.192.0', '213.129.223.255', 3582050304, 3582058495, 'NL', 'Netherlands'),
(158158, '213.129.224.0', '213.129.255.255', 3582058496, 3582066687, 'AT', 'Austria'),
(158159, '213.130.0.0', '213.130.31.255', 3582066688, 3582074879, 'UA', 'Ukraine'),
(158160, '213.130.32.0', '213.130.36.175', 3582074880, 3582076079, 'GB', 'United Kingdom'),
(158161, '213.130.36.176', '213.130.36.191', 3582076080, 3582076095, 'AE', 'United Arab Emirates'),
(158162, '213.130.36.192', '213.130.39.191', 3582076096, 3582076863, 'GB', 'United Kingdom'),
(158163, '213.130.39.192', '213.130.39.223', 3582076864, 3582076895, 'DE', 'Germany'),
(158164, '213.130.39.224', '213.130.39.255', 3582076896, 3582076927, 'GB', 'United Kingdom'),
(158165, '213.130.40.0', '213.130.40.183', 3582076928, 3582077111, 'ES', 'Spain'),
(158166, '213.130.40.184', '213.130.41.255', 3582077112, 3582077439, 'GB', 'United Kingdom'),
(158167, '213.130.42.0', '213.130.42.31', 3582077440, 3582077471, 'DE', 'Germany'),
(158168, '213.130.42.32', '213.130.42.63', 3582077472, 3582077503, 'GB', 'United Kingdom'),
(158169, '213.130.42.64', '213.130.43.95', 3582077504, 3582077791, 'DE', 'Germany'),
(158170, '213.130.43.96', '213.130.44.138', 3582077792, 3582078090, 'GB', 'United Kingdom'),
(158171, '213.130.44.139', '213.130.44.139', 3582078091, 3582078091, 'CH', 'Switzerland'),
(158172, '213.130.44.140', '213.130.46.167', 3582078092, 3582078631, 'GB', 'United Kingdom'),
(158173, '213.130.46.168', '213.130.46.175', 3582078632, 3582078639, 'DE', 'Germany'),
(158174, '213.130.46.176', '213.130.56.31', 3582078640, 3582081055, 'GB', 'United Kingdom'),
(158175, '213.130.56.32', '213.130.56.63', 3582081056, 3582081087, 'ES', 'Spain'),
(158176, '213.130.56.64', '213.130.57.255', 3582081088, 3582081535, 'GB', 'United Kingdom'),
(158177, '213.130.58.0', '213.130.58.255', 3582081536, 3582081791, 'DE', 'Germany'),
(158178, '213.130.59.0', '213.130.63.255', 3582081792, 3582083071, 'GB', 'United Kingdom'),
(158179, '213.130.64.0', '213.130.95.255', 3582083072, 3582091263, 'BG', 'Bulgaria'),
(158180, '213.130.96.0', '213.130.127.255', 3582091264, 3582099455, 'QA', 'Qatar'),
(158181, '213.130.128.0', '213.130.159.255', 3582099456, 3582107647, 'GB', 'United Kingdom'),
(158182, '213.130.160.0', '213.130.191.255', 3582107648, 3582115839, 'NL', 'Netherlands'),
(158183, '213.130.192.0', '213.130.192.255', 3582115840, 3582116095, 'SE', 'Sweden'),
(158184, '213.130.193.0', '213.130.193.255', 3582116096, 3582116351, 'EE', 'Estonia'),
(158185, '213.130.194.0', '213.130.195.255', 3582116352, 3582116863, 'NO', 'Norway'),
(158186, '213.130.196.0', '213.130.199.255', 3582116864, 3582117887, 'EE', 'Estonia'),
(158187, '213.130.200.0', '213.130.209.255', 3582117888, 3582120447, 'LT', 'Lithuania'),
(158188, '213.130.210.0', '213.130.211.255', 3582120448, 3582120959, 'NO', 'Norway'),
(158189, '213.130.212.0', '213.130.215.255', 3582120960, 3582121983, 'EE', 'Estonia'),
(158190, '213.130.216.0', '213.130.223.255', 3582121984, 3582124031, 'LT', 'Lithuania'),
(158191, '213.130.224.0', '213.130.255.255', 3582124032, 3582132223, 'FI', 'Finland'),
(158192, '213.131.0.0', '213.131.31.255', 3582132224, 3582140415, 'RU', 'Russian Federation'),
(158193, '213.131.32.0', '213.131.63.255', 3582140416, 3582148607, 'GE', 'Georgia'),
(158194, '213.131.64.0', '213.131.95.255', 3582148608, 3582156799, 'EG', 'Egypt'),
(158195, '213.131.96.0', '213.131.127.255', 3582156800, 3582164991, 'GB', 'United Kingdom'),
(158196, '213.131.128.0', '213.131.159.255', 3582164992, 3582173183, 'SE', 'Sweden'),
(158197, '213.131.160.0', '213.131.191.255', 3582173184, 3582181375, 'GB', 'United Kingdom'),
(158198, '213.131.192.0', '213.131.229.79', 3582181376, 3582190927, 'DE', 'Germany'),
(158199, '213.131.229.80', '213.131.229.83', 3582190928, 3582190931, 'FR', 'France'),
(158200, '213.131.229.84', '213.131.233.255', 3582190932, 3582192127, 'DE', 'Germany'),
(158201, '213.131.234.0', '213.131.234.15', 3582192128, 3582192143, 'NL', 'Netherlands'),
(158202, '213.131.234.16', '213.131.237.255', 3582192144, 3582193151, 'DE', 'Germany'),
(158203, '213.131.238.0', '213.131.238.255', 3582193152, 3582193407, 'EU', 'Europe'),
(158204, '213.131.239.0', '213.131.244.87', 3582193408, 3582194775, 'DE', 'Germany'),
(158205, '213.131.244.88', '213.131.244.95', 3582194776, 3582194783, 'CY', 'Cyprus'),
(158206, '213.131.244.96', '213.131.253.135', 3582194784, 3582197127, 'DE', 'Germany'),
(158207, '213.131.253.136', '213.131.253.143', 3582197128, 3582197135, 'BZ', 'Belize'),
(158208, '213.131.253.144', '213.131.255.255', 3582197136, 3582197759, 'DE', 'Germany'),
(158209, '213.132.0.0', '213.132.31.255', 3582197760, 3582205951, 'DK', 'Denmark'),
(158210, '213.132.32.0', '213.132.63.255', 3582205952, 3582214143, 'AE', 'United Arab Emirates'),
(158211, '213.132.64.0', '213.132.95.255', 3582214144, 3582222335, 'RU', 'Russian Federation'),
(158212, '213.132.96.0', '213.132.96.47', 3582222336, 3582222383, 'SE', 'Sweden'),
(158213, '213.132.96.48', '213.132.96.55', 3582222384, 3582222391, 'NO', 'Norway'),
(158214, '213.132.96.56', '213.132.96.175', 3582222392, 3582222511, 'SE', 'Sweden'),
(158215, '213.132.96.176', '213.132.96.191', 3582222512, 3582222527, 'DK', 'Denmark'),
(158216, '213.132.96.192', '213.132.98.15', 3582222528, 3582222863, 'SE', 'Sweden'),
(158217, '213.132.98.16', '213.132.98.31', 3582222864, 3582222879, 'NO', 'Norway'),
(158218, '213.132.98.32', '213.132.98.239', 3582222880, 3582223087, 'SE', 'Sweden'),
(158219, '213.132.98.240', '213.132.98.247', 3582223088, 3582223095, 'NL', 'Netherlands'),
(158220, '213.132.98.248', '213.132.103.247', 3582223096, 3582224375, 'SE', 'Sweden'),
(158221, '213.132.103.248', '213.132.103.251', 3582224376, 3582224379, 'FI', 'Finland'),
(158222, '213.132.103.252', '213.132.109.55', 3582224380, 3582225719, 'SE', 'Sweden'),
(158223, '213.132.109.56', '213.132.109.63', 3582225720, 3582225727, 'FI', 'Finland'),
(158224, '213.132.109.64', '213.132.115.191', 3582225728, 3582227391, 'SE', 'Sweden'),
(158225, '213.132.115.192', '213.132.115.255', 3582227392, 3582227455, 'FI', 'Finland'),
(158226, '213.132.116.0', '213.132.127.255', 3582227456, 3582230527, 'SE', 'Sweden'),
(158227, '213.132.128.0', '213.132.159.255', 3582230528, 3582238719, 'BE', 'Belgium'),
(158228, '213.132.160.0', '213.132.209.55', 3582238720, 3582251319, 'NL', 'Netherlands'),
(158229, '213.132.209.56', '213.132.209.63', 3582251320, 3582251327, 'FI', 'Finland'),
(158230, '213.132.209.64', '213.132.223.255', 3582251328, 3582255103, 'NL', 'Netherlands'),
(158231, '213.132.224.0', '213.132.254.255', 3582255104, 3582263039, 'KW', 'Kuwait'),
(158232, '213.132.255.0', '213.132.255.255', 3582263040, 3582263295, 'A2', 'Satellite Provider'),
(158233, '213.133.0.0', '213.133.31.255', 3582263296, 3582271487, 'ME', 'Montenegro'),
(158234, '213.133.32.0', '213.133.63.255', 3582271488, 3582279679, 'NL', 'Netherlands'),
(158235, '213.133.64.0', '213.133.95.255', 3582279680, 3582287871, 'GB', 'United Kingdom'),
(158236, '213.133.96.0', '213.133.127.255', 3582287872, 3582296063, 'DE', 'Germany'),
(158237, '213.133.128.0', '213.133.159.255', 3582296064, 3582304255, 'GB', 'United Kingdom'),
(158238, '213.133.160.0', '213.133.191.255', 3582304256, 3582312447, 'UA', 'Ukraine'),
(158239, '213.133.192.0', '213.133.195.33', 3582312448, 3582313249, 'JE', 'Jersey'),
(158240, '213.133.195.34', '213.133.195.34', 3582313250, 3582313250, 'GB', 'United Kingdom'),
(158241, '213.133.195.35', '213.133.195.40', 3582313251, 3582313256, 'JE', 'Jersey'),
(158242, '213.133.195.41', '213.133.195.44', 3582313257, 3582313260, 'GB', 'United Kingdom'),
(158243, '213.133.195.45', '213.133.195.55', 3582313261, 3582313271, 'JE', 'Jersey'),
(158244, '213.133.195.56', '213.133.195.126', 3582313272, 3582313342, 'GB', 'United Kingdom'),
(158245, '213.133.195.127', '213.133.195.127', 3582313343, 3582313343, 'JE', 'Jersey'),
(158246, '213.133.195.128', '213.133.195.254', 3582313344, 3582313470, 'GB', 'United Kingdom'),
(158247, '213.133.195.255', '213.133.195.255', 3582313471, 3582313471, 'JE', 'Jersey'),
(158248, '213.133.196.0', '213.133.196.87', 3582313472, 3582313559, 'GB', 'United Kingdom'),
(158249, '213.133.196.88', '213.133.196.95', 3582313560, 3582313567, 'JE', 'Jersey'),
(158250, '213.133.196.96', '213.133.196.127', 3582313568, 3582313599, 'GB', 'United Kingdom'),
(158251, '213.133.196.128', '213.133.196.223', 3582313600, 3582313695, 'JE', 'Jersey'),
(158252, '213.133.196.224', '213.133.196.254', 3582313696, 3582313726, 'GB', 'United Kingdom'),
(158253, '213.133.196.255', '213.133.196.255', 3582313727, 3582313727, 'JE', 'Jersey'),
(158254, '213.133.197.0', '213.133.197.15', 3582313728, 3582313743, 'GB', 'United Kingdom'),
(158255, '213.133.197.16', '213.133.197.31', 3582313744, 3582313759, 'JE', 'Jersey'),
(158256, '213.133.197.32', '213.133.197.47', 3582313760, 3582313775, 'GB', 'United Kingdom'),
(158257, '213.133.197.48', '213.133.197.63', 3582313776, 3582313791, 'JE', 'Jersey'),
(158258, '213.133.197.64', '213.133.197.71', 3582313792, 3582313799, 'GB', 'United Kingdom'),
(158259, '213.133.197.72', '213.133.197.79', 3582313800, 3582313807, 'JE', 'Jersey'),
(158260, '213.133.197.80', '213.133.197.143', 3582313808, 3582313871, 'GB', 'United Kingdom'),
(158261, '213.133.197.144', '213.133.197.239', 3582313872, 3582313967, 'JE', 'Jersey'),
(158262, '213.133.197.240', '213.133.197.254', 3582313968, 3582313982, 'GB', 'United Kingdom'),
(158263, '213.133.197.255', '213.133.198.7', 3582313983, 3582313991, 'JE', 'Jersey'),
(158264, '213.133.198.8', '213.133.198.23', 3582313992, 3582314007, 'GB', 'United Kingdom'),
(158265, '213.133.198.24', '213.133.198.31', 3582314008, 3582314015, 'JE', 'Jersey'),
(158266, '213.133.198.32', '213.133.198.95', 3582314016, 3582314079, 'GB', 'United Kingdom'),
(158267, '213.133.198.96', '213.133.198.111', 3582314080, 3582314095, 'JE', 'Jersey'),
(158268, '213.133.198.112', '213.133.198.135', 3582314096, 3582314119, 'GB', 'United Kingdom'),
(158269, '213.133.198.136', '213.133.198.143', 3582314120, 3582314127, 'JE', 'Jersey'),
(158270, '213.133.198.144', '213.133.198.183', 3582314128, 3582314167, 'GB', 'United Kingdom'),
(158271, '213.133.198.184', '213.133.198.191', 3582314168, 3582314175, 'JE', 'Jersey'),
(158272, '213.133.198.192', '213.133.198.203', 3582314176, 3582314187, 'GB', 'United Kingdom'),
(158273, '213.133.198.204', '213.133.198.211', 3582314188, 3582314195, 'JE', 'Jersey'),
(158274, '213.133.198.212', '213.133.198.215', 3582314196, 3582314199, 'GB', 'United Kingdom'),
(158275, '213.133.198.216', '213.133.198.223', 3582314200, 3582314207, 'JE', 'Jersey'),
(158276, '213.133.198.224', '213.133.198.251', 3582314208, 3582314235, 'GB', 'United Kingdom'),
(158277, '213.133.198.252', '213.133.198.255', 3582314236, 3582314239, 'JE', 'Jersey'),
(158278, '213.133.199.0', '213.133.199.23', 3582314240, 3582314263, 'GB', 'United Kingdom'),
(158279, '213.133.199.24', '213.133.199.31', 3582314264, 3582314271, 'JE', 'Jersey'),
(158280, '213.133.199.32', '213.133.199.63', 3582314272, 3582314303, 'GB', 'United Kingdom'),
(158281, '213.133.199.64', '213.133.199.71', 3582314304, 3582314311, 'JE', 'Jersey'),
(158282, '213.133.199.72', '213.133.199.103', 3582314312, 3582314343, 'GB', 'United Kingdom'),
(158283, '213.133.199.104', '213.133.199.143', 3582314344, 3582314383, 'JE', 'Jersey'),
(158284, '213.133.199.144', '213.133.199.159', 3582314384, 3582314399, 'GB', 'United Kingdom'),
(158285, '213.133.199.160', '213.133.199.175', 3582314400, 3582314415, 'JE', 'Jersey'),
(158286, '213.133.199.176', '213.133.199.203', 3582314416, 3582314443, 'GB', 'United Kingdom'),
(158287, '213.133.199.204', '213.133.199.207', 3582314444, 3582314447, 'JE', 'Jersey'),
(158288, '213.133.199.208', '213.133.199.211', 3582314448, 3582314451, 'GB', 'United Kingdom'),
(158289, '213.133.199.212', '213.133.199.215', 3582314452, 3582314455, 'JE', 'Jersey'),
(158290, '213.133.199.216', '213.133.199.251', 3582314456, 3582314491, 'GB', 'United Kingdom'),
(158291, '213.133.199.252', '213.133.201.31', 3582314492, 3582314783, 'JE', 'Jersey'),
(158292, '213.133.201.32', '213.133.201.127', 3582314784, 3582314879, 'GB', 'United Kingdom'),
(158293, '213.133.201.128', '213.133.201.159', 3582314880, 3582314911, 'JE', 'Jersey'),
(158294, '213.133.201.160', '213.133.201.191', 3582314912, 3582314943, 'GB', 'United Kingdom'),
(158295, '213.133.201.192', '213.133.201.239', 3582314944, 3582314991, 'JE', 'Jersey'),
(158296, '213.133.201.240', '213.133.201.247', 3582314992, 3582314999, 'GB', 'United Kingdom'),
(158297, '213.133.201.248', '213.133.202.15', 3582315000, 3582315023, 'JE', 'Jersey'),
(158298, '213.133.202.16', '213.133.202.55', 3582315024, 3582315063, 'GB', 'United Kingdom'),
(158299, '213.133.202.56', '213.133.202.71', 3582315064, 3582315079, 'JE', 'Jersey'),
(158300, '213.133.202.72', '213.133.202.87', 3582315080, 3582315095, 'GB', 'United Kingdom'),
(158301, '213.133.202.88', '213.133.202.127', 3582315096, 3582315135, 'JE', 'Jersey'),
(158302, '213.133.202.128', '213.133.202.183', 3582315136, 3582315191, 'GB', 'United Kingdom'),
(158303, '213.133.202.184', '213.133.203.7', 3582315192, 3582315271, 'JE', 'Jersey'),
(158304, '213.133.203.8', '213.133.203.15', 3582315272, 3582315279, 'GB', 'United Kingdom'),
(158305, '213.133.203.16', '213.133.203.23', 3582315280, 3582315287, 'JE', 'Jersey'),
(158306, '213.133.203.24', '213.133.203.38', 3582315288, 3582315302, 'GB', 'United Kingdom'),
(158307, '213.133.203.39', '213.133.203.39', 3582315303, 3582315303, 'JE', 'Jersey'),
(158308, '213.133.203.40', '213.133.203.63', 3582315304, 3582315327, 'GB', 'United Kingdom'),
(158309, '213.133.203.64', '213.133.203.71', 3582315328, 3582315335, 'JE', 'Jersey'),
(158310, '213.133.203.72', '213.133.203.79', 3582315336, 3582315343, 'GB', 'United Kingdom'),
(158311, '213.133.203.80', '213.133.203.87', 3582315344, 3582315351, 'JE', 'Jersey'),
(158312, '213.133.203.88', '213.133.203.119', 3582315352, 3582315383, 'GB', 'United Kingdom'),
(158313, '213.133.203.120', '213.133.203.127', 3582315384, 3582315391, 'JE', 'Jersey'),
(158314, '213.133.203.128', '213.133.203.199', 3582315392, 3582315463, 'GB', 'United Kingdom'),
(158315, '213.133.203.200', '213.133.203.255', 3582315464, 3582315519, 'JE', 'Jersey'),
(158316, '213.133.204.0', '213.133.204.255', 3582315520, 3582315775, 'GB', 'United Kingdom'),
(158317, '213.133.205.0', '213.133.207.255', 3582315776, 3582316543, 'JE', 'Jersey'),
(158318, '213.133.208.0', '213.133.209.63', 3582316544, 3582316863, 'GB', 'United Kingdom'),
(158319, '213.133.209.64', '213.133.209.71', 3582316864, 3582316871, 'JE', 'Jersey'),
(158320, '213.133.209.72', '213.133.209.255', 3582316872, 3582317055, 'GB', 'United Kingdom'),
(158321, '213.133.210.0', '213.133.210.255', 3582317056, 3582317311, 'JE', 'Jersey'),
(158322, '213.133.211.0', '213.133.211.167', 3582317312, 3582317479, 'GB', 'United Kingdom'),
(158323, '213.133.211.168', '213.133.211.175', 3582317480, 3582317487, 'JE', 'Jersey'),
(158324, '213.133.211.176', '213.133.211.255', 3582317488, 3582317567, 'GB', 'United Kingdom'),
(158325, '213.133.212.0', '213.133.213.255', 3582317568, 3582318079, 'JE', 'Jersey'),
(158326, '213.133.214.0', '213.133.215.63', 3582318080, 3582318399, 'GB', 'United Kingdom'),
(158327, '213.133.215.64', '213.133.215.71', 3582318400, 3582318407, 'JE', 'Jersey'),
(158328, '213.133.215.72', '213.133.215.175', 3582318408, 3582318511, 'GB', 'United Kingdom'),
(158329, '213.133.215.176', '213.133.215.183', 3582318512, 3582318519, 'JE', 'Jersey'),
(158330, '213.133.215.184', '213.133.215.255', 3582318520, 3582318591, 'GB', 'United Kingdom'),
(158331, '213.133.216.0', '213.133.216.255', 3582318592, 3582318847, 'JE', 'Jersey'),
(158332, '213.133.217.0', '213.133.217.87', 3582318848, 3582318935, 'GB', 'United Kingdom'),
(158333, '213.133.217.88', '213.133.217.95', 3582318936, 3582318943, 'JE', 'Jersey'),
(158334, '213.133.217.96', '213.133.217.151', 3582318944, 3582318999, 'GB', 'United Kingdom'),
(158335, '213.133.217.152', '213.133.217.159', 3582319000, 3582319007, 'JE', 'Jersey'),
(158336, '213.133.217.160', '213.133.217.255', 3582319008, 3582319103, 'GB', 'United Kingdom'),
(158337, '213.133.218.0', '213.133.218.7', 3582319104, 3582319111, 'JE', 'Jersey'),
(158338, '213.133.218.8', '213.133.218.255', 3582319112, 3582319359, 'GB', 'United Kingdom'),
(158339, '213.133.219.0', '213.133.219.127', 3582319360, 3582319487, 'JE', 'Jersey'),
(158340, '213.133.219.128', '213.133.220.254', 3582319488, 3582319870, 'GB', 'United Kingdom'),
(158341, '213.133.220.255', '213.133.220.255', 3582319871, 3582319871, 'JE', 'Jersey'),
(158342, '213.133.221.0', '213.133.221.7', 3582319872, 3582319879, 'GB', 'United Kingdom'),
(158343, '213.133.221.8', '213.133.221.15', 3582319880, 3582319887, 'JE', 'Jersey'),
(158344, '213.133.221.16', '213.133.221.23', 3582319888, 3582319895, 'GB', 'United Kingdom'),
(158345, '213.133.221.24', '213.133.221.31', 3582319896, 3582319903, 'JE', 'Jersey'),
(158346, '213.133.221.32', '213.133.221.55', 3582319904, 3582319927, 'GB', 'United Kingdom'),
(158347, '213.133.221.56', '213.133.221.63', 3582319928, 3582319935, 'JE', 'Jersey'),
(158348, '213.133.221.64', '213.133.222.79', 3582319936, 3582320207, 'GB', 'United Kingdom'),
(158349, '213.133.222.80', '213.133.222.239', 3582320208, 3582320367, 'JE', 'Jersey'),
(158350, '213.133.222.240', '213.133.222.247', 3582320368, 3582320375, 'GB', 'United Kingdom'),
(158351, '213.133.222.248', '213.133.223.255', 3582320376, 3582320639, 'JE', 'Jersey'),
(158352, '213.133.224.0', '213.133.255.255', 3582320640, 3582328831, 'CH', 'Switzerland'),
(158353, '213.134.0.0', '213.134.31.255', 3582328832, 3582337023, 'HU', 'Hungary'),
(158354, '213.134.32.0', '213.134.47.255', 3582337024, 3582341119, 'ES', 'Spain'),
(158355, '213.134.48.0', '213.134.55.255', 3582341120, 3582343167, 'PT', 'Portugal'),
(158356, '213.134.56.0', '213.134.63.255', 3582343168, 3582345215, 'ES', 'Spain'),
(158357, '213.134.64.0', '213.134.95.255', 3582345216, 3582353407, 'IT', 'Italy'),
(158358, '213.134.96.0', '213.134.127.255', 3582353408, 3582361599, 'SE', 'Sweden'),
(158359, '213.134.128.0', '213.134.191.255', 3582361600, 3582377983, 'PL', 'Poland'),
(158360, '213.134.192.0', '213.134.223.255', 3582377984, 3582386175, 'RU', 'Russian Federation'),
(158361, '213.134.224.0', '213.134.255.255', 3582386176, 3582394367, 'NL', 'Netherlands'),
(158362, '213.135.0.0', '213.135.31.255', 3582394368, 3582402559, 'DE', 'Germany'),
(158363, '213.135.32.0', '213.135.63.255', 3582402560, 3582410751, 'PL', 'Poland'),
(158364, '213.135.64.0', '213.135.159.255', 3582410752, 3582435327, 'RU', 'Russian Federation'),
(158365, '213.135.160.0', '213.135.191.255', 3582435328, 3582443519, 'MK', 'Macedonia'),
(158366, '213.135.192.0', '213.135.223.255', 3582443520, 3582451711, 'DE', 'Germany'),
(158367, '213.135.224.0', '213.135.255.255', 3582451712, 3582459903, 'LU', 'Luxembourg'),
(158368, '213.136.0.0', '213.136.8.191', 3582459904, 3582462143, 'NL', 'Netherlands'),
(158369, '213.136.8.192', '213.136.8.255', 3582462144, 3582462207, 'DE', 'Germany'),
(158370, '213.136.9.0', '213.136.28.63', 3582462208, 3582467135, 'NL', 'Netherlands'),
(158371, '213.136.28.64', '213.136.28.127', 3582467136, 3582467199, 'DE', 'Germany'),
(158372, '213.136.28.128', '213.136.31.255', 3582467200, 3582468095, 'NL', 'Netherlands'),
(158373, '213.136.32.0', '213.136.63.255', 3582468096, 3582476287, 'SE', 'Sweden'),
(158374, '213.136.64.0', '213.136.95.255', 3582476288, 3582484479, 'DE', 'Germany'),
(158375, '213.136.96.0', '213.136.127.255', 3582484480, 3582492671, 'CI', 'Cote D''Ivoire'),
(158376, '213.136.128.0', '213.136.191.255', 3582492672, 3582509055, 'IT', 'Italy'),
(158377, '213.136.192.0', '213.136.223.255', 3582509056, 3582517247, 'SA', 'Saudi Arabia'),
(158378, '213.136.224.0', '213.136.255.255', 3582517248, 3582525439, 'PL', 'Poland'),
(158379, '213.137.0.0', '213.137.0.255', 3582525440, 3582525695, 'IM', 'Isle of Man'),
(158380, '213.137.1.0', '213.137.1.47', 3582525696, 3582525743, 'GB', 'United Kingdom'),
(158381, '213.137.1.48', '213.137.1.51', 3582525744, 3582525747, 'IM', 'Isle of Man'),
(158382, '213.137.1.52', '213.137.1.183', 3582525748, 3582525879, 'GB', 'United Kingdom'),
(158383, '213.137.1.184', '213.137.1.199', 3582525880, 3582525895, 'IM', 'Isle of Man'),
(158384, '213.137.1.200', '213.137.2.107', 3582525896, 3582526059, 'GB', 'United Kingdom'),
(158385, '213.137.2.108', '213.137.2.111', 3582526060, 3582526063, 'IM', 'Isle of Man'),
(158386, '213.137.2.112', '213.137.2.183', 3582526064, 3582526135, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(158387, '213.137.2.184', '213.137.2.191', 3582526136, 3582526143, 'IM', 'Isle of Man'),
(158388, '213.137.2.192', '213.137.2.199', 3582526144, 3582526151, 'GB', 'United Kingdom'),
(158389, '213.137.2.200', '213.137.2.207', 3582526152, 3582526159, 'IM', 'Isle of Man'),
(158390, '213.137.2.208', '213.137.3.255', 3582526160, 3582526463, 'GB', 'United Kingdom'),
(158391, '213.137.4.0', '213.137.4.39', 3582526464, 3582526503, 'IM', 'Isle of Man'),
(158392, '213.137.4.40', '213.137.4.159', 3582526504, 3582526623, 'GB', 'United Kingdom'),
(158393, '213.137.4.160', '213.137.4.167', 3582526624, 3582526631, 'IM', 'Isle of Man'),
(158394, '213.137.4.168', '213.137.4.207', 3582526632, 3582526671, 'GB', 'United Kingdom'),
(158395, '213.137.4.208', '213.137.4.215', 3582526672, 3582526679, 'IM', 'Isle of Man'),
(158396, '213.137.4.216', '213.137.4.255', 3582526680, 3582526719, 'GB', 'United Kingdom'),
(158397, '213.137.5.0', '213.137.5.7', 3582526720, 3582526727, 'IM', 'Isle of Man'),
(158398, '213.137.5.8', '213.137.5.95', 3582526728, 3582526815, 'GB', 'United Kingdom'),
(158399, '213.137.5.96', '213.137.5.99', 3582526816, 3582526819, 'IM', 'Isle of Man'),
(158400, '213.137.5.100', '213.137.5.191', 3582526820, 3582526911, 'GB', 'United Kingdom'),
(158401, '213.137.5.192', '213.137.5.207', 3582526912, 3582526927, 'IM', 'Isle of Man'),
(158402, '213.137.5.208', '213.137.5.215', 3582526928, 3582526935, 'GB', 'United Kingdom'),
(158403, '213.137.5.216', '213.137.5.223', 3582526936, 3582526943, 'IM', 'Isle of Man'),
(158404, '213.137.5.224', '213.137.6.255', 3582526944, 3582527231, 'GB', 'United Kingdom'),
(158405, '213.137.7.0', '213.137.7.39', 3582527232, 3582527271, 'IM', 'Isle of Man'),
(158406, '213.137.7.40', '213.137.7.71', 3582527272, 3582527303, 'GB', 'United Kingdom'),
(158407, '213.137.7.72', '213.137.7.79', 3582527304, 3582527311, 'IM', 'Isle of Man'),
(158408, '213.137.7.80', '213.137.7.95', 3582527312, 3582527327, 'GB', 'United Kingdom'),
(158409, '213.137.7.96', '213.137.7.103', 3582527328, 3582527335, 'IM', 'Isle of Man'),
(158410, '213.137.7.104', '213.137.7.247', 3582527336, 3582527479, 'GB', 'United Kingdom'),
(158411, '213.137.7.248', '213.137.8.255', 3582527480, 3582527743, 'IM', 'Isle of Man'),
(158412, '213.137.9.0', '213.137.13.255', 3582527744, 3582529023, 'GB', 'United Kingdom'),
(158413, '213.137.14.0', '213.137.18.255', 3582529024, 3582530303, 'IM', 'Isle of Man'),
(158414, '213.137.19.0', '213.137.19.95', 3582530304, 3582530399, 'GB', 'United Kingdom'),
(158415, '213.137.19.96', '213.137.20.255', 3582530400, 3582530815, 'IM', 'Isle of Man'),
(158416, '213.137.21.0', '213.137.21.135', 3582530816, 3582530951, 'GB', 'United Kingdom'),
(158417, '213.137.21.136', '213.137.21.143', 3582530952, 3582530959, 'IM', 'Isle of Man'),
(158418, '213.137.21.144', '213.137.21.163', 3582530960, 3582530979, 'GB', 'United Kingdom'),
(158419, '213.137.21.164', '213.137.21.167', 3582530980, 3582530983, 'IM', 'Isle of Man'),
(158420, '213.137.21.168', '213.137.21.175', 3582530984, 3582530991, 'GB', 'United Kingdom'),
(158421, '213.137.21.176', '213.137.21.183', 3582530992, 3582530999, 'IM', 'Isle of Man'),
(158422, '213.137.21.184', '213.137.21.215', 3582531000, 3582531031, 'GB', 'United Kingdom'),
(158423, '213.137.21.216', '213.137.21.223', 3582531032, 3582531039, 'IM', 'Isle of Man'),
(158424, '213.137.21.224', '213.137.22.63', 3582531040, 3582531135, 'GB', 'United Kingdom'),
(158425, '213.137.22.64', '213.137.23.111', 3582531136, 3582531439, 'IM', 'Isle of Man'),
(158426, '213.137.23.112', '213.137.23.143', 3582531440, 3582531471, 'GB', 'United Kingdom'),
(158427, '213.137.23.144', '213.137.23.159', 3582531472, 3582531487, 'IM', 'Isle of Man'),
(158428, '213.137.23.160', '213.137.23.175', 3582531488, 3582531503, 'GB', 'United Kingdom'),
(158429, '213.137.23.176', '213.137.23.207', 3582531504, 3582531535, 'IM', 'Isle of Man'),
(158430, '213.137.23.208', '213.137.23.223', 3582531536, 3582531551, 'GB', 'United Kingdom'),
(158431, '213.137.23.224', '213.137.23.231', 3582531552, 3582531559, 'IM', 'Isle of Man'),
(158432, '213.137.23.232', '213.137.23.255', 3582531560, 3582531583, 'GB', 'United Kingdom'),
(158433, '213.137.24.0', '213.137.24.47', 3582531584, 3582531631, 'IM', 'Isle of Man'),
(158434, '213.137.24.48', '213.137.24.67', 3582531632, 3582531651, 'GB', 'United Kingdom'),
(158435, '213.137.24.68', '213.137.24.79', 3582531652, 3582531663, 'IM', 'Isle of Man'),
(158436, '213.137.24.80', '213.137.24.87', 3582531664, 3582531671, 'GB', 'United Kingdom'),
(158437, '213.137.24.88', '213.137.24.111', 3582531672, 3582531695, 'IM', 'Isle of Man'),
(158438, '213.137.24.112', '213.137.24.183', 3582531696, 3582531767, 'GB', 'United Kingdom'),
(158439, '213.137.24.184', '213.137.24.191', 3582531768, 3582531775, 'IM', 'Isle of Man'),
(158440, '213.137.24.192', '213.137.24.199', 3582531776, 3582531783, 'GB', 'United Kingdom'),
(158441, '213.137.24.200', '213.137.24.207', 3582531784, 3582531791, 'IM', 'Isle of Man'),
(158442, '213.137.24.208', '213.137.24.215', 3582531792, 3582531799, 'GB', 'United Kingdom'),
(158443, '213.137.24.216', '213.137.24.223', 3582531800, 3582531807, 'IM', 'Isle of Man'),
(158444, '213.137.24.224', '213.137.24.239', 3582531808, 3582531823, 'GB', 'United Kingdom'),
(158445, '213.137.24.240', '213.137.27.255', 3582531824, 3582532607, 'IM', 'Isle of Man'),
(158446, '213.137.28.0', '213.137.29.63', 3582532608, 3582532927, 'GB', 'United Kingdom'),
(158447, '213.137.29.64', '213.137.29.119', 3582532928, 3582532983, 'IM', 'Isle of Man'),
(158448, '213.137.29.120', '213.137.29.127', 3582532984, 3582532991, 'GB', 'United Kingdom'),
(158449, '213.137.29.128', '213.137.29.255', 3582532992, 3582533119, 'IM', 'Isle of Man'),
(158450, '213.137.30.0', '213.137.31.255', 3582533120, 3582533631, 'GB', 'United Kingdom'),
(158451, '213.137.32.0', '213.137.49.199', 3582533632, 3582538183, 'BG', 'Bulgaria'),
(158452, '213.137.49.200', '213.137.49.207', 3582538184, 3582538191, 'GB', 'United Kingdom'),
(158453, '213.137.49.208', '213.137.63.255', 3582538192, 3582541823, 'BG', 'Bulgaria'),
(158454, '213.137.64.0', '213.137.95.255', 3582541824, 3582550015, 'US', 'United States'),
(158455, '213.137.96.0', '213.137.127.255', 3582550016, 3582558207, 'RS', 'Serbia'),
(158456, '213.137.128.0', '213.137.159.255', 3582558208, 3582566399, 'MC', 'Monaco'),
(158457, '213.137.160.0', '213.137.160.31', 3582566400, 3582566431, 'EU', 'Europe'),
(158458, '213.137.160.32', '213.137.160.79', 3582566432, 3582566479, 'BE', 'Belgium'),
(158459, '213.137.160.80', '213.137.160.127', 3582566480, 3582566527, 'EU', 'Europe'),
(158460, '213.137.160.128', '213.137.160.191', 3582566528, 3582566591, 'BE', 'Belgium'),
(158461, '213.137.160.192', '213.137.161.79', 3582566592, 3582566735, 'EU', 'Europe'),
(158462, '213.137.161.80', '213.137.161.87', 3582566736, 3582566743, 'BE', 'Belgium'),
(158463, '213.137.161.88', '213.137.161.95', 3582566744, 3582566751, 'EU', 'Europe'),
(158464, '213.137.161.96', '213.137.161.111', 3582566752, 3582566767, 'BE', 'Belgium'),
(158465, '213.137.161.112', '213.137.161.127', 3582566768, 3582566783, 'EU', 'Europe'),
(158466, '213.137.161.128', '213.137.161.191', 3582566784, 3582566847, 'BE', 'Belgium'),
(158467, '213.137.161.192', '213.137.161.255', 3582566848, 3582566911, 'EU', 'Europe'),
(158468, '213.137.162.0', '213.137.162.107', 3582566912, 3582567019, 'BE', 'Belgium'),
(158469, '213.137.162.108', '213.137.162.111', 3582567020, 3582567023, 'EU', 'Europe'),
(158470, '213.137.162.112', '213.137.162.127', 3582567024, 3582567039, 'BE', 'Belgium'),
(158471, '213.137.162.128', '213.137.162.223', 3582567040, 3582567135, 'EU', 'Europe'),
(158472, '213.137.162.224', '213.137.162.239', 3582567136, 3582567151, 'BE', 'Belgium'),
(158473, '213.137.162.240', '213.137.163.63', 3582567152, 3582567231, 'EU', 'Europe'),
(158474, '213.137.163.64', '213.137.163.127', 3582567232, 3582567295, 'BE', 'Belgium'),
(158475, '213.137.163.128', '213.137.163.223', 3582567296, 3582567391, 'EU', 'Europe'),
(158476, '213.137.163.224', '213.137.163.231', 3582567392, 3582567399, 'BE', 'Belgium'),
(158477, '213.137.163.232', '213.137.163.255', 3582567400, 3582567423, 'EU', 'Europe'),
(158478, '213.137.164.0', '213.137.165.127', 3582567424, 3582567807, 'US', 'United States'),
(158479, '213.137.165.128', '213.137.165.223', 3582567808, 3582567903, 'EU', 'Europe'),
(158480, '213.137.165.224', '213.137.165.255', 3582567904, 3582567935, 'US', 'United States'),
(158481, '213.137.166.0', '213.137.167.23', 3582567936, 3582568215, 'EU', 'Europe'),
(158482, '213.137.167.24', '213.137.167.31', 3582568216, 3582568223, 'SE', 'Sweden'),
(158483, '213.137.167.32', '213.137.167.55', 3582568224, 3582568247, 'EU', 'Europe'),
(158484, '213.137.167.56', '213.137.167.71', 3582568248, 3582568263, 'SE', 'Sweden'),
(158485, '213.137.167.72', '213.137.167.143', 3582568264, 3582568335, 'EU', 'Europe'),
(158486, '213.137.167.144', '213.137.167.147', 3582568336, 3582568339, 'SE', 'Sweden'),
(158487, '213.137.167.148', '213.137.167.247', 3582568340, 3582568439, 'EU', 'Europe'),
(158488, '213.137.167.248', '213.137.167.255', 3582568440, 3582568447, 'SE', 'Sweden'),
(158489, '213.137.168.0', '213.137.168.255', 3582568448, 3582568703, 'US', 'United States'),
(158490, '213.137.169.0', '213.137.169.127', 3582568704, 3582568831, 'EU', 'Europe'),
(158491, '213.137.169.128', '213.137.169.255', 3582568832, 3582568959, 'US', 'United States'),
(158492, '213.137.170.0', '213.137.170.7', 3582568960, 3582568967, 'HU', 'Hungary'),
(158493, '213.137.170.8', '213.137.170.31', 3582568968, 3582568991, 'EU', 'Europe'),
(158494, '213.137.170.32', '213.137.170.63', 3582568992, 3582569023, 'CZ', 'Czech Republic'),
(158495, '213.137.170.64', '213.137.170.71', 3582569024, 3582569031, 'EU', 'Europe'),
(158496, '213.137.170.72', '213.137.170.75', 3582569032, 3582569035, 'AT', 'Austria'),
(158497, '213.137.170.76', '213.137.170.79', 3582569036, 3582569039, 'DE', 'Germany'),
(158498, '213.137.170.80', '213.137.170.83', 3582569040, 3582569043, 'AT', 'Austria'),
(158499, '213.137.170.84', '213.137.170.119', 3582569044, 3582569079, 'EU', 'Europe'),
(158500, '213.137.170.120', '213.137.170.127', 3582569080, 3582569087, 'HU', 'Hungary'),
(158501, '213.137.170.128', '213.137.170.135', 3582569088, 3582569095, 'EU', 'Europe'),
(158502, '213.137.170.136', '213.137.170.143', 3582569096, 3582569103, 'HU', 'Hungary'),
(158503, '213.137.170.144', '213.137.170.247', 3582569104, 3582569207, 'EU', 'Europe'),
(158504, '213.137.170.248', '213.137.170.255', 3582569208, 3582569215, 'AT', 'Austria'),
(158505, '213.137.171.0', '213.137.171.63', 3582569216, 3582569279, 'EU', 'Europe'),
(158506, '213.137.171.64', '213.137.171.87', 3582569280, 3582569303, 'AT', 'Austria'),
(158507, '213.137.171.88', '213.137.171.255', 3582569304, 3582569471, 'EU', 'Europe'),
(158508, '213.137.172.0', '213.137.172.63', 3582569472, 3582569535, 'FR', 'France'),
(158509, '213.137.172.64', '213.137.173.255', 3582569536, 3582569983, 'EU', 'Europe'),
(158510, '213.137.174.0', '213.137.174.255', 3582569984, 3582570239, 'FR', 'France'),
(158511, '213.137.175.0', '213.137.175.159', 3582570240, 3582570399, 'GB', 'United Kingdom'),
(158512, '213.137.175.160', '213.137.175.191', 3582570400, 3582570431, 'FR', 'France'),
(158513, '213.137.175.192', '213.137.175.223', 3582570432, 3582570463, 'EU', 'Europe'),
(158514, '213.137.175.224', '213.137.175.247', 3582570464, 3582570487, 'FR', 'France'),
(158515, '213.137.175.248', '213.137.176.255', 3582570488, 3582570751, 'EU', 'Europe'),
(158516, '213.137.177.0', '213.137.177.71', 3582570752, 3582570823, 'FR', 'France'),
(158517, '213.137.177.72', '213.137.177.95', 3582570824, 3582570847, 'EU', 'Europe'),
(158518, '213.137.177.96', '213.137.177.103', 3582570848, 3582570855, 'FR', 'France'),
(158519, '213.137.177.104', '213.137.177.127', 3582570856, 3582570879, 'EU', 'Europe'),
(158520, '213.137.177.128', '213.137.177.131', 3582570880, 3582570883, 'FR', 'France'),
(158521, '213.137.177.132', '213.137.177.135', 3582570884, 3582570887, 'EU', 'Europe'),
(158522, '213.137.177.136', '213.137.177.143', 3582570888, 3582570895, 'FR', 'France'),
(158523, '213.137.177.144', '213.137.177.151', 3582570896, 3582570903, 'EU', 'Europe'),
(158524, '213.137.177.152', '213.137.177.223', 3582570904, 3582570975, 'FR', 'France'),
(158525, '213.137.177.224', '213.137.177.231', 3582570976, 3582570983, 'EU', 'Europe'),
(158526, '213.137.177.232', '213.137.178.23', 3582570984, 3582571031, 'FR', 'France'),
(158527, '213.137.178.24', '213.137.178.127', 3582571032, 3582571135, 'EU', 'Europe'),
(158528, '213.137.178.128', '213.137.178.255', 3582571136, 3582571263, 'FR', 'France'),
(158529, '213.137.179.0', '213.137.179.39', 3582571264, 3582571303, 'EU', 'Europe'),
(158530, '213.137.179.40', '213.137.179.43', 3582571304, 3582571307, 'CH', 'Switzerland'),
(158531, '213.137.179.44', '213.137.179.111', 3582571308, 3582571375, 'EU', 'Europe'),
(158532, '213.137.179.112', '213.137.179.127', 3582571376, 3582571391, 'FR', 'France'),
(158533, '213.137.179.128', '213.137.179.143', 3582571392, 3582571407, 'EU', 'Europe'),
(158534, '213.137.179.144', '213.137.179.159', 3582571408, 3582571423, 'FR', 'France'),
(158535, '213.137.179.160', '213.137.179.191', 3582571424, 3582571455, 'EU', 'Europe'),
(158536, '213.137.179.192', '213.137.179.223', 3582571456, 3582571487, 'FR', 'France'),
(158537, '213.137.179.224', '213.137.180.127', 3582571488, 3582571647, 'EU', 'Europe'),
(158538, '213.137.180.128', '213.137.180.167', 3582571648, 3582571687, 'IE', 'Ireland'),
(158539, '213.137.180.168', '213.137.180.187', 3582571688, 3582571707, 'EU', 'Europe'),
(158540, '213.137.180.188', '213.137.180.199', 3582571708, 3582571719, 'IE', 'Ireland'),
(158541, '213.137.180.200', '213.137.180.231', 3582571720, 3582571751, 'EU', 'Europe'),
(158542, '213.137.180.232', '213.137.181.63', 3582571752, 3582571839, 'IE', 'Ireland'),
(158543, '213.137.181.64', '213.137.181.223', 3582571840, 3582571999, 'EU', 'Europe'),
(158544, '213.137.181.224', '213.137.181.239', 3582572000, 3582572015, 'IE', 'Ireland'),
(158545, '213.137.181.240', '213.137.183.127', 3582572016, 3582572415, 'EU', 'Europe'),
(158546, '213.137.183.128', '213.137.183.143', 3582572416, 3582572431, 'CH', 'Switzerland'),
(158547, '213.137.183.144', '213.137.183.159', 3582572432, 3582572447, 'EU', 'Europe'),
(158548, '213.137.183.160', '213.137.183.163', 3582572448, 3582572451, 'CH', 'Switzerland'),
(158549, '213.137.183.164', '213.137.183.167', 3582572452, 3582572455, 'EU', 'Europe'),
(158550, '213.137.183.168', '213.137.183.171', 3582572456, 3582572459, 'CH', 'Switzerland'),
(158551, '213.137.183.172', '213.137.183.191', 3582572460, 3582572479, 'EU', 'Europe'),
(158552, '213.137.183.192', '213.137.183.255', 3582572480, 3582572543, 'CH', 'Switzerland'),
(158553, '213.137.184.0', '213.137.184.15', 3582572544, 3582572559, 'EU', 'Europe'),
(158554, '213.137.184.16', '213.137.184.23', 3582572560, 3582572567, 'DE', 'Germany'),
(158555, '213.137.184.24', '213.137.184.255', 3582572568, 3582572799, 'EU', 'Europe'),
(158556, '213.137.185.0', '213.137.185.63', 3582572800, 3582572863, 'DE', 'Germany'),
(158557, '213.137.185.64', '213.137.185.143', 3582572864, 3582572943, 'EU', 'Europe'),
(158558, '213.137.185.144', '213.137.185.151', 3582572944, 3582572951, 'DE', 'Germany'),
(158559, '213.137.185.152', '213.137.185.175', 3582572952, 3582572975, 'EU', 'Europe'),
(158560, '213.137.185.176', '213.137.185.183', 3582572976, 3582572983, 'DE', 'Germany'),
(158561, '213.137.185.184', '213.137.185.223', 3582572984, 3582573023, 'EU', 'Europe'),
(158562, '213.137.185.224', '213.137.185.255', 3582573024, 3582573055, 'DE', 'Germany'),
(158563, '213.137.186.0', '213.137.186.31', 3582573056, 3582573087, 'EU', 'Europe'),
(158564, '213.137.186.32', '213.137.186.39', 3582573088, 3582573095, 'DE', 'Germany'),
(158565, '213.137.186.40', '213.137.186.47', 3582573096, 3582573103, 'EU', 'Europe'),
(158566, '213.137.186.48', '213.137.186.55', 3582573104, 3582573111, 'DE', 'Germany'),
(158567, '213.137.186.56', '213.137.186.71', 3582573112, 3582573127, 'EU', 'Europe'),
(158568, '213.137.186.72', '213.137.186.79', 3582573128, 3582573135, 'DE', 'Germany'),
(158569, '213.137.186.80', '213.137.186.127', 3582573136, 3582573183, 'EU', 'Europe'),
(158570, '213.137.186.128', '213.137.186.159', 3582573184, 3582573215, 'DE', 'Germany'),
(158571, '213.137.186.160', '213.137.187.95', 3582573216, 3582573407, 'EU', 'Europe'),
(158572, '213.137.187.96', '213.137.187.111', 3582573408, 3582573423, 'DE', 'Germany'),
(158573, '213.137.187.112', '213.137.187.119', 3582573424, 3582573431, 'EU', 'Europe'),
(158574, '213.137.187.120', '213.137.187.127', 3582573432, 3582573439, 'DE', 'Germany'),
(158575, '213.137.187.128', '213.137.187.199', 3582573440, 3582573511, 'EU', 'Europe'),
(158576, '213.137.187.200', '213.137.187.207', 3582573512, 3582573519, 'DE', 'Germany'),
(158577, '213.137.187.208', '213.137.187.239', 3582573520, 3582573551, 'EU', 'Europe'),
(158578, '213.137.187.240', '213.137.187.255', 3582573552, 3582573567, 'DE', 'Germany'),
(158579, '213.137.188.0', '213.137.188.31', 3582573568, 3582573599, 'EU', 'Europe'),
(158580, '213.137.188.32', '213.137.188.47', 3582573600, 3582573615, 'CH', 'Switzerland'),
(158581, '213.137.188.48', '213.137.188.255', 3582573616, 3582573823, 'EU', 'Europe'),
(158582, '213.137.189.0', '213.137.189.63', 3582573824, 3582573887, 'CH', 'Switzerland'),
(158583, '213.137.189.64', '213.137.189.71', 3582573888, 3582573895, 'EU', 'Europe'),
(158584, '213.137.189.72', '213.137.189.79', 3582573896, 3582573903, 'CH', 'Switzerland'),
(158585, '213.137.189.80', '213.137.189.95', 3582573904, 3582573919, 'EU', 'Europe'),
(158586, '213.137.189.96', '213.137.189.127', 3582573920, 3582573951, 'CH', 'Switzerland'),
(158587, '213.137.189.128', '213.137.191.95', 3582573952, 3582574431, 'EU', 'Europe'),
(158588, '213.137.191.96', '213.137.191.99', 3582574432, 3582574435, 'CH', 'Switzerland'),
(158589, '213.137.191.100', '213.137.191.119', 3582574436, 3582574455, 'EU', 'Europe'),
(158590, '213.137.191.120', '213.137.191.127', 3582574456, 3582574463, 'CH', 'Switzerland'),
(158591, '213.137.191.128', '213.137.191.255', 3582574464, 3582574591, 'EU', 'Europe'),
(158592, '213.137.192.0', '213.137.223.255', 3582574592, 3582582783, 'DE', 'Germany'),
(158593, '213.137.224.0', '213.137.255.255', 3582582784, 3582590975, 'RU', 'Russian Federation'),
(158594, '213.138.0.0', '213.138.31.255', 3582590976, 3582599167, 'FR', 'France'),
(158595, '213.138.32.0', '213.138.63.255', 3582599168, 3582607359, 'DE', 'Germany'),
(158596, '213.138.64.0', '213.138.95.255', 3582607360, 3582615551, 'RU', 'Russian Federation'),
(158597, '213.138.96.0', '213.138.127.255', 3582615552, 3582623743, 'GB', 'United Kingdom'),
(158598, '213.138.128.0', '213.138.159.255', 3582623744, 3582631935, 'FI', 'Finland'),
(158599, '213.138.160.0', '213.138.171.255', 3582631936, 3582635007, 'NO', 'Norway'),
(158600, '213.138.172.0', '213.138.172.255', 3582635008, 3582635263, 'SE', 'Sweden'),
(158601, '213.138.173.0', '213.138.191.255', 3582635264, 3582640127, 'NO', 'Norway'),
(158602, '213.138.192.0', '213.138.223.255', 3582640128, 3582648319, 'RU', 'Russian Federation'),
(158603, '213.138.224.0', '213.138.255.255', 3582648320, 3582656511, 'PT', 'Portugal'),
(158604, '213.139.0.0', '213.139.29.111', 3582656512, 3582664047, 'ES', 'Spain'),
(158605, '213.139.29.112', '213.139.29.119', 3582664048, 3582664055, 'FR', 'France'),
(158606, '213.139.29.120', '213.139.31.255', 3582664056, 3582664703, 'ES', 'Spain'),
(158607, '213.139.32.0', '213.139.63.255', 3582664704, 3582672895, 'JO', 'Jordan'),
(158608, '213.139.64.0', '213.139.95.255', 3582672896, 3582681087, 'DE', 'Germany'),
(158609, '213.139.96.0', '213.139.127.255', 3582681088, 3582689279, 'FR', 'France'),
(158610, '213.139.128.0', '213.139.159.255', 3582689280, 3582697471, 'DE', 'Germany'),
(158611, '213.139.160.0', '213.139.191.255', 3582697472, 3582705663, 'FI', 'Finland'),
(158612, '213.139.192.0', '213.139.255.255', 3582705664, 3582722047, 'TR', 'Turkey'),
(158613, '213.140.0.0', '213.140.31.255', 3582722048, 3582730239, 'IT', 'Italy'),
(158614, '213.140.32.0', '213.140.55.255', 3582730240, 3582736383, 'ES', 'Spain'),
(158615, '213.140.56.0', '213.140.59.255', 3582736384, 3582737407, 'DZ', 'Algeria'),
(158616, '213.140.60.0', '213.140.63.255', 3582737408, 3582738431, 'ES', 'Spain'),
(158617, '213.140.64.0', '213.140.95.255', 3582738432, 3582746623, 'DK', 'Denmark'),
(158618, '213.140.96.0', '213.140.127.255', 3582746624, 3582754815, 'RU', 'Russian Federation'),
(158619, '213.140.128.0', '213.140.159.255', 3582754816, 3582763007, 'GR', 'Greece'),
(158620, '213.140.160.0', '213.140.191.255', 3582763008, 3582771199, 'FI', 'Finland'),
(158621, '213.140.192.0', '213.140.196.255', 3582771200, 3582772479, 'CY', 'Cyprus'),
(158622, '213.140.197.0', '213.140.197.255', 3582772480, 3582772735, 'GB', 'United Kingdom'),
(158623, '213.140.198.0', '213.140.223.255', 3582772736, 3582779391, 'CY', 'Cyprus'),
(158624, '213.140.224.0', '213.140.255.255', 3582779392, 3582787583, 'RU', 'Russian Federation'),
(158625, '213.141.0.0', '213.141.31.255', 3582787584, 3582795775, 'PT', 'Portugal'),
(158626, '213.141.32.0', '213.141.63.255', 3582795776, 3582803967, 'ES', 'Spain'),
(158627, '213.141.64.0', '213.141.95.255', 3582803968, 3582812159, 'SE', 'Sweden'),
(158628, '213.141.96.0', '213.141.127.255', 3582812160, 3582820351, 'FI', 'Finland'),
(158629, '213.141.128.0', '213.141.159.255', 3582820352, 3582828543, 'RU', 'Russian Federation'),
(158630, '213.141.160.0', '213.141.191.255', 3582828544, 3582836735, 'KZ', 'Kazakhstan'),
(158631, '213.141.192.0', '213.141.255.255', 3582836736, 3582853119, 'RU', 'Russian Federation'),
(158632, '213.142.0.0', '213.142.31.255', 3582853120, 3582861311, 'SE', 'Sweden'),
(158633, '213.142.32.0', '213.142.63.255', 3582861312, 3582869503, 'RU', 'Russian Federation'),
(158634, '213.142.64.0', '213.142.95.255', 3582869504, 3582877695, 'NO', 'Norway'),
(158635, '213.142.96.0', '213.142.127.255', 3582877696, 3582885887, 'AT', 'Austria'),
(158636, '213.142.128.0', '213.142.159.255', 3582885888, 3582894079, 'TR', 'Turkey'),
(158637, '213.142.160.0', '213.142.191.255', 3582894080, 3582902271, 'CH', 'Switzerland'),
(158638, '213.142.192.0', '213.142.223.255', 3582902272, 3582910463, 'RU', 'Russian Federation'),
(158639, '213.142.224.0', '213.142.251.255', 3582910464, 3582917631, 'SI', 'Slovenia'),
(158640, '213.142.252.0', '213.142.255.255', 3582917632, 3582918655, 'LU', 'Luxembourg'),
(158641, '213.143.0.0', '213.143.31.255', 3582918656, 3582926847, 'GB', 'United Kingdom'),
(158642, '213.143.32.0', '213.143.63.255', 3582926848, 3582935039, 'ES', 'Spain'),
(158643, '213.143.64.0', '213.143.95.255', 3582935040, 3582943231, 'SI', 'Slovenia'),
(158644, '213.143.96.0', '213.143.127.255', 3582943232, 3582951423, 'AT', 'Austria'),
(158645, '213.143.128.0', '213.143.159.255', 3582951424, 3582959615, 'GB', 'United Kingdom'),
(158646, '213.143.160.0', '213.143.191.255', 3582959616, 3582967807, 'FI', 'Finland'),
(158647, '213.143.192.0', '213.143.223.255', 3582967808, 3582975999, 'DE', 'Germany'),
(158648, '213.143.224.0', '213.143.255.255', 3582976000, 3582984191, 'TR', 'Turkey'),
(158649, '213.144.0.0', '213.144.31.255', 3582984192, 3582992383, 'DE', 'Germany'),
(158650, '213.144.32.0', '213.144.63.255', 3582992384, 3583000575, 'ES', 'Spain'),
(158651, '213.144.64.0', '213.144.95.255', 3583000576, 3583008767, 'IT', 'Italy'),
(158652, '213.144.96.0', '213.144.127.255', 3583008768, 3583016959, 'TR', 'Turkey'),
(158653, '213.144.128.0', '213.144.137.103', 3583016960, 3583019367, 'CH', 'Switzerland'),
(158654, '213.144.137.104', '213.144.137.111', 3583019368, 3583019375, 'DE', 'Germany'),
(158655, '213.144.137.112', '213.144.152.111', 3583019376, 3583023215, 'CH', 'Switzerland'),
(158656, '213.144.152.112', '213.144.152.119', 3583023216, 3583023223, 'DE', 'Germany'),
(158657, '213.144.152.120', '213.144.159.255', 3583023224, 3583025151, 'CH', 'Switzerland'),
(158658, '213.144.160.0', '213.144.181.255', 3583025152, 3583030783, 'A2', 'Satellite Provider'),
(158659, '213.144.182.0', '213.144.182.255', 3583030784, 3583031039, 'DZ', 'Algeria'),
(158660, '213.144.183.0', '213.144.185.255', 3583031040, 3583031807, 'A2', 'Satellite Provider'),
(158661, '213.144.186.0', '213.144.186.255', 3583031808, 3583032063, 'GR', 'Greece'),
(158662, '213.144.187.0', '213.144.191.255', 3583032064, 3583033343, 'A2', 'Satellite Provider'),
(158663, '213.144.192.0', '213.144.223.255', 3583033344, 3583041535, 'FR', 'France'),
(158664, '213.144.224.0', '213.144.255.255', 3583041536, 3583049727, 'NL', 'Netherlands'),
(158665, '213.145.0.0', '213.145.63.255', 3583049728, 3583066111, 'RU', 'Russian Federation'),
(158666, '213.145.64.0', '213.145.95.255', 3583066112, 3583074303, 'DE', 'Germany'),
(158667, '213.145.96.0', '213.145.127.255', 3583074304, 3583082495, 'BG', 'Bulgaria'),
(158668, '213.145.128.0', '213.145.159.255', 3583082496, 3583090687, 'KG', 'Kyrgyzstan'),
(158669, '213.145.160.0', '213.145.191.255', 3583090688, 3583098879, 'NO', 'Norway'),
(158670, '213.145.192.0', '213.145.223.255', 3583098880, 3583107071, 'FI', 'Finland'),
(158671, '213.145.224.0', '213.145.255.255', 3583107072, 3583115263, 'AT', 'Austria'),
(158672, '213.146.0.0', '213.146.31.255', 3583115264, 3583123455, 'CH', 'Switzerland'),
(158673, '213.146.32.0', '213.146.63.255', 3583123456, 3583131647, 'PL', 'Poland'),
(158674, '213.146.64.0', '213.146.95.255', 3583131648, 3583139839, 'SE', 'Sweden'),
(158675, '213.146.96.0', '213.146.103.95', 3583139840, 3583141727, 'DE', 'Germany'),
(158676, '213.146.103.96', '213.146.103.103', 3583141728, 3583141735, 'AT', 'Austria'),
(158677, '213.146.103.104', '213.146.127.255', 3583141736, 3583148031, 'DE', 'Germany'),
(158678, '213.146.128.0', '213.146.163.255', 3583148032, 3583157247, 'GB', 'United Kingdom'),
(158679, '213.146.164.0', '213.146.164.31', 3583157248, 3583157279, 'IE', 'Ireland'),
(158680, '213.146.164.32', '213.146.164.191', 3583157280, 3583157439, 'GB', 'United Kingdom'),
(158681, '213.146.164.192', '213.146.164.223', 3583157440, 3583157471, 'IE', 'Ireland'),
(158682, '213.146.164.224', '213.146.164.239', 3583157472, 3583157487, 'GB', 'United Kingdom'),
(158683, '213.146.164.240', '213.146.166.255', 3583157488, 3583158015, 'IE', 'Ireland'),
(158684, '213.146.167.0', '213.146.168.239', 3583158016, 3583158511, 'GB', 'United Kingdom'),
(158685, '213.146.168.240', '213.146.168.255', 3583158512, 3583158527, 'IE', 'Ireland'),
(158686, '213.146.169.0', '213.146.169.255', 3583158528, 3583158783, 'GB', 'United Kingdom'),
(158687, '213.146.170.0', '213.146.170.255', 3583158784, 3583159039, 'DE', 'Germany'),
(158688, '213.146.171.0', '213.146.175.255', 3583159040, 3583160319, 'GB', 'United Kingdom'),
(158689, '213.146.176.0', '213.146.179.255', 3583160320, 3583161343, 'DE', 'Germany'),
(158690, '213.146.180.0', '213.146.183.159', 3583161344, 3583162271, 'GB', 'United Kingdom'),
(158691, '213.146.183.160', '213.146.183.191', 3583162272, 3583162303, 'IE', 'Ireland'),
(158692, '213.146.183.192', '213.146.183.255', 3583162304, 3583162367, 'GB', 'United Kingdom'),
(158693, '213.146.184.0', '213.146.184.255', 3583162368, 3583162623, 'DE', 'Germany'),
(158694, '213.146.185.0', '213.146.187.255', 3583162624, 3583163391, 'GB', 'United Kingdom'),
(158695, '213.146.188.0', '213.146.189.255', 3583163392, 3583163903, 'IE', 'Ireland'),
(158696, '213.146.190.0', '213.146.191.255', 3583163904, 3583164415, 'GB', 'United Kingdom'),
(158697, '213.146.192.0', '213.146.223.255', 3583164416, 3583172607, 'PT', 'Portugal'),
(158698, '213.146.224.0', '213.147.31.255', 3583172608, 3583188991, 'DE', 'Germany'),
(158699, '213.147.32.0', '213.147.63.255', 3583188992, 3583197183, 'RU', 'Russian Federation'),
(158700, '213.147.64.0', '213.147.95.255', 3583197184, 3583205375, 'KE', 'Kenya'),
(158701, '213.147.96.0', '213.147.127.255', 3583205376, 3583213567, 'HR', 'Croatia'),
(158702, '213.147.128.0', '213.147.159.255', 3583213568, 3583221759, 'IR', 'Iran, Islamic Republic of'),
(158703, '213.147.160.0', '213.147.191.255', 3583221760, 3583229951, 'AT', 'Austria'),
(158704, '213.147.192.0', '213.147.223.255', 3583229952, 3583238143, 'RU', 'Russian Federation'),
(158705, '213.147.224.0', '213.147.255.255', 3583238144, 3583246335, 'GB', 'United Kingdom'),
(158706, '213.148.0.0', '213.148.31.255', 3583246336, 3583254527, 'RU', 'Russian Federation'),
(158707, '213.148.32.0', '213.148.63.255', 3583254528, 3583262719, 'GB', 'United Kingdom'),
(158708, '213.148.64.0', '213.148.95.255', 3583262720, 3583270911, 'TR', 'Turkey'),
(158709, '213.148.96.0', '213.148.146.31', 3583270912, 3583283743, 'DE', 'Germany'),
(158710, '213.148.146.32', '213.148.146.35', 3583283744, 3583283747, 'A2', 'Satellite Provider'),
(158711, '213.148.146.36', '213.148.146.155', 3583283748, 3583283867, 'DE', 'Germany'),
(158712, '213.148.146.156', '213.148.146.159', 3583283868, 3583283871, 'A2', 'Satellite Provider'),
(158713, '213.148.146.160', '213.148.159.255', 3583283872, 3583287295, 'DE', 'Germany'),
(158714, '213.148.160.0', '213.148.191.255', 3583287296, 3583295487, 'RU', 'Russian Federation'),
(158715, '213.148.192.0', '213.148.223.255', 3583295488, 3583303679, 'ES', 'Spain'),
(158716, '213.148.224.0', '213.148.255.255', 3583303680, 3583311871, 'NL', 'Netherlands'),
(158717, '213.149.0.0', '213.149.31.255', 3583311872, 3583320063, 'RU', 'Russian Federation'),
(158718, '213.149.32.0', '213.149.63.255', 3583320064, 3583328255, 'HR', 'Croatia'),
(158719, '213.149.64.0', '213.149.95.255', 3583328256, 3583336447, 'DE', 'Germany'),
(158720, '213.149.96.0', '213.149.100.255', 3583336448, 3583337727, 'ME', 'Montenegro'),
(158721, '213.149.101.0', '213.149.101.255', 3583337728, 3583337983, 'AL', 'Albania'),
(158722, '213.149.102.0', '213.149.127.255', 3583337984, 3583344639, 'ME', 'Montenegro'),
(158723, '213.149.128.0', '213.149.131.255', 3583344640, 3583345663, 'BG', 'Bulgaria'),
(158724, '213.149.132.0', '213.149.133.255', 3583345664, 3583346175, 'MK', 'Macedonia'),
(158725, '213.149.134.0', '213.149.135.255', 3583346176, 3583346687, 'BG', 'Bulgaria'),
(158726, '213.149.136.0', '213.149.136.255', 3583346688, 3583346943, 'MK', 'Macedonia'),
(158727, '213.149.137.0', '213.149.149.255', 3583346944, 3583350271, 'BG', 'Bulgaria'),
(158728, '213.149.150.0', '213.149.152.255', 3583350272, 3583351039, 'MK', 'Macedonia'),
(158729, '213.149.153.0', '213.149.155.255', 3583351040, 3583351807, 'BG', 'Bulgaria'),
(158730, '213.149.156.0', '213.149.156.255', 3583351808, 3583352063, 'MK', 'Macedonia'),
(158731, '213.149.157.0', '213.149.157.255', 3583352064, 3583352319, 'BG', 'Bulgaria'),
(158732, '213.149.158.0', '213.149.159.255', 3583352320, 3583352831, 'MK', 'Macedonia'),
(158733, '213.149.160.0', '213.149.191.255', 3583352832, 3583361023, 'CY', 'Cyprus'),
(158734, '213.149.192.0', '213.149.223.255', 3583361024, 3583369215, 'IT', 'Italy'),
(158735, '213.149.224.0', '213.149.255.255', 3583369216, 3583377407, 'ES', 'Spain'),
(158736, '213.150.0.0', '213.150.31.255', 3583377408, 3583385599, 'AT', 'Austria'),
(158737, '213.150.32.0', '213.150.63.255', 3583385600, 3583393791, 'DK', 'Denmark'),
(158738, '213.150.64.0', '213.150.95.255', 3583393792, 3583401983, 'RU', 'Russian Federation'),
(158739, '213.150.96.0', '213.150.127.255', 3583401984, 3583410175, 'KE', 'Kenya'),
(158740, '213.150.128.0', '213.150.159.255', 3583410176, 3583418367, 'SE', 'Sweden'),
(158741, '213.150.160.0', '213.150.191.255', 3583418368, 3583426559, 'TN', 'Tunisia'),
(158742, '213.150.192.0', '213.150.223.255', 3583426560, 3583434751, 'CI', 'Cote D''Ivoire'),
(158743, '213.150.224.0', '213.150.255.255', 3583434752, 3583442943, 'AT', 'Austria'),
(158744, '213.151.0.0', '213.151.31.255', 3583442944, 3583451135, 'UA', 'Ukraine'),
(158745, '213.151.32.0', '213.151.63.255', 3583451136, 3583459327, 'IL', 'Israel'),
(158746, '213.151.64.0', '213.151.81.211', 3583459328, 3583463891, 'CZ', 'Czech Republic'),
(158747, '213.151.81.212', '213.151.81.215', 3583463892, 3583463895, 'PL', 'Poland'),
(158748, '213.151.81.216', '213.151.94.103', 3583463896, 3583467111, 'CZ', 'Czech Republic'),
(158749, '213.151.94.104', '213.151.94.111', 3583467112, 3583467119, 'PL', 'Poland'),
(158750, '213.151.94.112', '213.151.95.255', 3583467120, 3583467519, 'CZ', 'Czech Republic'),
(158751, '213.151.96.0', '213.151.127.255', 3583467520, 3583475711, 'ES', 'Spain'),
(158752, '213.151.128.0', '213.151.159.255', 3583475712, 3583483903, 'NO', 'Norway'),
(158753, '213.151.160.0', '213.151.191.255', 3583483904, 3583492095, 'FR', 'France'),
(158754, '213.151.192.0', '213.151.255.255', 3583492096, 3583508479, 'SK', 'Slovakia'),
(158755, '213.152.0.0', '213.152.31.255', 3583508480, 3583516671, 'FR', 'France'),
(158756, '213.152.32.0', '213.152.63.255', 3583516672, 3583524863, 'GB', 'United Kingdom'),
(158757, '213.152.64.0', '213.152.95.255', 3583524864, 3583533055, 'EG', 'Egypt'),
(158758, '213.152.96.0', '213.152.127.255', 3583533056, 3583541247, 'DE', 'Germany'),
(158759, '213.152.128.0', '213.152.159.255', 3583541248, 3583549439, 'RU', 'Russian Federation'),
(158760, '213.152.160.0', '213.152.191.255', 3583549440, 3583557631, 'NL', 'Netherlands'),
(158761, '213.152.192.0', '213.152.206.255', 3583557632, 3583561471, 'IT', 'Italy'),
(158762, '213.152.207.0', '213.152.207.31', 3583561472, 3583561503, 'SM', 'San Marino'),
(158763, '213.152.207.32', '213.152.223.255', 3583561504, 3583565823, 'IT', 'Italy'),
(158764, '213.152.224.0', '213.152.255.255', 3583565824, 3583574015, 'GB', 'United Kingdom'),
(158765, '213.153.0.0', '213.153.31.255', 3583574016, 3583582207, 'NO', 'Norway'),
(158766, '213.153.32.0', '213.153.63.255', 3583582208, 3583590399, 'AT', 'Austria'),
(158767, '213.153.64.0', '213.153.95.255', 3583590400, 3583598591, 'DE', 'Germany'),
(158768, '213.153.96.0', '213.153.127.255', 3583598592, 3583606783, 'SE', 'Sweden'),
(158769, '213.153.128.0', '213.153.255.255', 3583606784, 3583639551, 'TR', 'Turkey'),
(158770, '213.154.0.0', '213.154.31.255', 3583639552, 3583647743, 'AZ', 'Azerbaijan'),
(158771, '213.154.32.0', '213.154.63.255', 3583647744, 3583655935, 'EG', 'Egypt'),
(158772, '213.154.64.0', '213.154.95.255', 3583655936, 3583664127, 'SN', 'Senegal'),
(158773, '213.154.96.0', '213.154.159.255', 3583664128, 3583680511, 'RO', 'Romania'),
(158774, '213.154.160.0', '213.154.191.255', 3583680512, 3583688703, 'RU', 'Russian Federation'),
(158775, '213.154.192.0', '213.154.223.255', 3583688704, 3583696895, 'UA', 'Ukraine'),
(158776, '213.154.224.0', '213.154.255.255', 3583696896, 3583705087, 'NL', 'Netherlands'),
(158777, '213.155.0.0', '213.155.0.167', 3583705088, 3583705255, 'UA', 'Ukraine'),
(158778, '213.155.0.168', '213.155.0.175', 3583705256, 3583705263, 'NA', 'Namibia'),
(158779, '213.155.0.176', '213.155.0.215', 3583705264, 3583705303, 'UA', 'Ukraine'),
(158780, '213.155.0.216', '213.155.0.231', 3583705304, 3583705319, 'NA', 'Namibia'),
(158781, '213.155.0.232', '213.155.0.247', 3583705320, 3583705335, 'UA', 'Ukraine'),
(158782, '213.155.0.248', '213.155.0.255', 3583705336, 3583705343, 'NA', 'Namibia'),
(158783, '213.155.1.0', '213.155.1.127', 3583705344, 3583705471, 'UA', 'Ukraine'),
(158784, '213.155.1.128', '213.155.1.143', 3583705472, 3583705487, 'NA', 'Namibia'),
(158785, '213.155.1.144', '213.155.1.151', 3583705488, 3583705495, 'UA', 'Ukraine'),
(158786, '213.155.1.152', '213.155.1.159', 3583705496, 3583705503, 'NA', 'Namibia'),
(158787, '213.155.1.160', '213.155.2.3', 3583705504, 3583705603, 'UA', 'Ukraine'),
(158788, '213.155.2.4', '213.155.2.7', 3583705604, 3583705607, 'NA', 'Namibia'),
(158789, '213.155.2.8', '213.155.2.47', 3583705608, 3583705647, 'UA', 'Ukraine'),
(158790, '213.155.2.48', '213.155.2.63', 3583705648, 3583705663, 'NA', 'Namibia'),
(158791, '213.155.2.64', '213.155.2.127', 3583705664, 3583705727, 'UA', 'Ukraine'),
(158792, '213.155.2.128', '213.155.2.191', 3583705728, 3583705791, 'NA', 'Namibia'),
(158793, '213.155.2.192', '213.155.2.231', 3583705792, 3583705831, 'UA', 'Ukraine'),
(158794, '213.155.2.232', '213.155.2.239', 3583705832, 3583705839, 'NA', 'Namibia'),
(158795, '213.155.2.240', '213.155.2.247', 3583705840, 3583705847, 'UA', 'Ukraine'),
(158796, '213.155.2.248', '213.155.2.255', 3583705848, 3583705855, 'NA', 'Namibia'),
(158797, '213.155.3.0', '213.155.3.3', 3583705856, 3583705859, 'UA', 'Ukraine'),
(158798, '213.155.3.4', '213.155.3.7', 3583705860, 3583705863, 'NA', 'Namibia'),
(158799, '213.155.3.8', '213.155.3.167', 3583705864, 3583706023, 'UA', 'Ukraine'),
(158800, '213.155.3.168', '213.155.3.175', 3583706024, 3583706031, 'NA', 'Namibia'),
(158801, '213.155.3.176', '213.155.3.199', 3583706032, 3583706055, 'UA', 'Ukraine'),
(158802, '213.155.3.200', '213.155.3.207', 3583706056, 3583706063, 'RU', 'Russian Federation'),
(158803, '213.155.3.208', '213.155.3.247', 3583706064, 3583706103, 'UA', 'Ukraine'),
(158804, '213.155.3.248', '213.155.3.251', 3583706104, 3583706107, 'NA', 'Namibia'),
(158805, '213.155.3.252', '213.155.4.79', 3583706108, 3583706191, 'UA', 'Ukraine'),
(158806, '213.155.4.80', '213.155.4.87', 3583706192, 3583706199, 'NA', 'Namibia'),
(158807, '213.155.4.88', '213.155.4.183', 3583706200, 3583706295, 'UA', 'Ukraine'),
(158808, '213.155.4.184', '213.155.4.207', 3583706296, 3583706319, 'NA', 'Namibia'),
(158809, '213.155.4.208', '213.155.5.95', 3583706320, 3583706463, 'UA', 'Ukraine'),
(158810, '213.155.5.96', '213.155.5.103', 3583706464, 3583706471, 'NA', 'Namibia'),
(158811, '213.155.5.104', '213.155.5.127', 3583706472, 3583706495, 'UA', 'Ukraine'),
(158812, '213.155.5.128', '213.155.5.143', 3583706496, 3583706511, 'NA', 'Namibia'),
(158813, '213.155.5.144', '213.155.5.151', 3583706512, 3583706519, 'UA', 'Ukraine'),
(158814, '213.155.5.152', '213.155.5.159', 3583706520, 3583706527, 'NA', 'Namibia'),
(158815, '213.155.5.160', '213.155.5.207', 3583706528, 3583706575, 'UA', 'Ukraine'),
(158816, '213.155.5.208', '213.155.5.215', 3583706576, 3583706583, 'NA', 'Namibia'),
(158817, '213.155.5.216', '213.155.5.223', 3583706584, 3583706591, 'UA', 'Ukraine'),
(158818, '213.155.5.224', '213.155.5.239', 3583706592, 3583706607, 'NA', 'Namibia'),
(158819, '213.155.5.240', '213.155.5.247', 3583706608, 3583706615, 'UA', 'Ukraine'),
(158820, '213.155.5.248', '213.155.5.255', 3583706616, 3583706623, 'NA', 'Namibia'),
(158821, '213.155.6.0', '213.155.6.71', 3583706624, 3583706695, 'UA', 'Ukraine'),
(158822, '213.155.6.72', '213.155.6.87', 3583706696, 3583706711, 'NA', 'Namibia'),
(158823, '213.155.6.88', '213.155.6.119', 3583706712, 3583706743, 'UA', 'Ukraine'),
(158824, '213.155.6.120', '213.155.6.143', 3583706744, 3583706767, 'NA', 'Namibia'),
(158825, '213.155.6.144', '213.155.6.151', 3583706768, 3583706775, 'UA', 'Ukraine'),
(158826, '213.155.6.152', '213.155.6.167', 3583706776, 3583706791, 'NA', 'Namibia'),
(158827, '213.155.6.168', '213.155.6.183', 3583706792, 3583706807, 'UA', 'Ukraine'),
(158828, '213.155.6.184', '213.155.6.191', 3583706808, 3583706815, 'NA', 'Namibia'),
(158829, '213.155.6.192', '213.155.6.239', 3583706816, 3583706863, 'UA', 'Ukraine'),
(158830, '213.155.6.240', '213.155.6.255', 3583706864, 3583706879, 'NA', 'Namibia'),
(158831, '213.155.7.0', '213.155.7.3', 3583706880, 3583706883, 'UA', 'Ukraine'),
(158832, '213.155.7.4', '213.155.7.7', 3583706884, 3583706887, 'NA', 'Namibia'),
(158833, '213.155.7.8', '213.155.7.23', 3583706888, 3583706903, 'UA', 'Ukraine'),
(158834, '213.155.7.24', '213.155.7.31', 3583706904, 3583706911, 'NA', 'Namibia'),
(158835, '213.155.7.32', '213.155.7.47', 3583706912, 3583706927, 'UA', 'Ukraine'),
(158836, '213.155.7.48', '213.155.7.63', 3583706928, 3583706943, 'NA', 'Namibia'),
(158837, '213.155.7.64', '213.155.7.79', 3583706944, 3583706959, 'UA', 'Ukraine'),
(158838, '213.155.7.80', '213.155.7.87', 3583706960, 3583706967, 'NA', 'Namibia'),
(158839, '213.155.7.88', '213.155.7.111', 3583706968, 3583706991, 'UA', 'Ukraine'),
(158840, '213.155.7.112', '213.155.7.119', 3583706992, 3583706999, 'NA', 'Namibia'),
(158841, '213.155.7.120', '213.155.7.135', 3583707000, 3583707015, 'UA', 'Ukraine'),
(158842, '213.155.7.136', '213.155.7.143', 3583707016, 3583707023, 'NA', 'Namibia'),
(158843, '213.155.7.144', '213.155.7.151', 3583707024, 3583707031, 'UA', 'Ukraine'),
(158844, '213.155.7.152', '213.155.7.159', 3583707032, 3583707039, 'NA', 'Namibia'),
(158845, '213.155.7.160', '213.155.7.191', 3583707040, 3583707071, 'UA', 'Ukraine'),
(158846, '213.155.7.192', '213.155.7.231', 3583707072, 3583707111, 'NA', 'Namibia'),
(158847, '213.155.7.232', '213.155.7.247', 3583707112, 3583707127, 'UA', 'Ukraine'),
(158848, '213.155.7.248', '213.155.7.255', 3583707128, 3583707135, 'NA', 'Namibia'),
(158849, '213.155.8.0', '213.155.8.79', 3583707136, 3583707215, 'UA', 'Ukraine'),
(158850, '213.155.8.80', '213.155.8.87', 3583707216, 3583707223, 'NA', 'Namibia'),
(158851, '213.155.8.88', '213.155.9.127', 3583707224, 3583707519, 'UA', 'Ukraine'),
(158852, '213.155.9.128', '213.155.9.143', 3583707520, 3583707535, 'NA', 'Namibia'),
(158853, '213.155.9.144', '213.155.10.103', 3583707536, 3583707751, 'UA', 'Ukraine'),
(158854, '213.155.10.104', '213.155.10.111', 3583707752, 3583707759, 'NA', 'Namibia'),
(158855, '213.155.10.112', '213.155.10.159', 3583707760, 3583707807, 'UA', 'Ukraine'),
(158856, '213.155.10.160', '213.155.10.167', 3583707808, 3583707815, 'NA', 'Namibia'),
(158857, '213.155.10.168', '213.155.10.191', 3583707816, 3583707839, 'UA', 'Ukraine'),
(158858, '213.155.10.192', '213.155.10.207', 3583707840, 3583707855, 'NA', 'Namibia'),
(158859, '213.155.10.208', '213.155.11.127', 3583707856, 3583708031, 'UA', 'Ukraine'),
(158860, '213.155.11.128', '213.155.11.128', 3583708032, 3583708032, 'NA', 'Namibia'),
(158861, '213.155.11.129', '213.155.11.136', 3583708033, 3583708040, 'UA', 'Ukraine'),
(158862, '213.155.11.137', '213.155.11.191', 3583708041, 3583708095, 'NA', 'Namibia'),
(158863, '213.155.11.192', '213.155.12.7', 3583708096, 3583708167, 'UA', 'Ukraine'),
(158864, '213.155.12.8', '213.155.12.15', 3583708168, 3583708175, 'NA', 'Namibia'),
(158865, '213.155.12.16', '213.155.12.71', 3583708176, 3583708231, 'UA', 'Ukraine'),
(158866, '213.155.12.72', '213.155.12.79', 3583708232, 3583708239, 'NA', 'Namibia'),
(158867, '213.155.12.80', '213.155.13.7', 3583708240, 3583708423, 'UA', 'Ukraine'),
(158868, '213.155.13.8', '213.155.13.15', 3583708424, 3583708431, 'NA', 'Namibia'),
(158869, '213.155.13.16', '213.155.13.63', 3583708432, 3583708479, 'UA', 'Ukraine'),
(158870, '213.155.13.64', '213.155.13.127', 3583708480, 3583708543, 'NA', 'Namibia'),
(158871, '213.155.13.128', '213.155.13.159', 3583708544, 3583708575, 'UA', 'Ukraine'),
(158872, '213.155.13.160', '213.155.13.167', 3583708576, 3583708583, 'NA', 'Namibia'),
(158873, '213.155.13.168', '213.155.13.191', 3583708584, 3583708607, 'UA', 'Ukraine'),
(158874, '213.155.13.192', '213.155.13.207', 3583708608, 3583708623, 'NA', 'Namibia'),
(158875, '213.155.13.208', '213.155.17.7', 3583708624, 3583709447, 'UA', 'Ukraine'),
(158876, '213.155.17.8', '213.155.17.15', 3583709448, 3583709455, 'NA', 'Namibia'),
(158877, '213.155.17.16', '213.155.17.63', 3583709456, 3583709503, 'UA', 'Ukraine'),
(158878, '213.155.17.64', '213.155.17.71', 3583709504, 3583709511, 'RU', 'Russian Federation'),
(158879, '213.155.17.72', '213.155.17.167', 3583709512, 3583709607, 'UA', 'Ukraine'),
(158880, '213.155.17.168', '213.155.17.175', 3583709608, 3583709615, 'RU', 'Russian Federation'),
(158881, '213.155.17.176', '213.155.18.3', 3583709616, 3583709699, 'UA', 'Ukraine'),
(158882, '213.155.18.4', '213.155.18.7', 3583709700, 3583709703, 'NA', 'Namibia'),
(158883, '213.155.18.8', '213.155.18.63', 3583709704, 3583709759, 'UA', 'Ukraine'),
(158884, '213.155.18.64', '213.155.18.71', 3583709760, 3583709767, 'NA', 'Namibia'),
(158885, '213.155.18.72', '213.155.18.151', 3583709768, 3583709847, 'UA', 'Ukraine'),
(158886, '213.155.18.152', '213.155.18.159', 3583709848, 3583709855, 'NA', 'Namibia'),
(158887, '213.155.18.160', '213.155.18.167', 3583709856, 3583709863, 'UA', 'Ukraine'),
(158888, '213.155.18.168', '213.155.18.175', 3583709864, 3583709871, 'RU', 'Russian Federation'),
(158889, '213.155.18.176', '213.155.18.191', 3583709872, 3583709887, 'UA', 'Ukraine'),
(158890, '213.155.18.192', '213.155.18.215', 3583709888, 3583709911, 'NA', 'Namibia'),
(158891, '213.155.18.216', '213.155.18.231', 3583709912, 3583709927, 'UA', 'Ukraine'),
(158892, '213.155.18.232', '213.155.18.247', 3583709928, 3583709943, 'NA', 'Namibia'),
(158893, '213.155.18.248', '213.155.19.103', 3583709944, 3583710055, 'UA', 'Ukraine'),
(158894, '213.155.19.104', '213.155.19.120', 3583710056, 3583710072, 'NA', 'Namibia'),
(158895, '213.155.19.121', '213.155.19.127', 3583710073, 3583710079, 'UA', 'Ukraine'),
(158896, '213.155.19.128', '213.155.19.135', 3583710080, 3583710087, 'NA', 'Namibia'),
(158897, '213.155.19.136', '213.155.19.151', 3583710088, 3583710103, 'UA', 'Ukraine'),
(158898, '213.155.19.152', '213.155.19.159', 3583710104, 3583710111, 'NA', 'Namibia'),
(158899, '213.155.19.160', '213.155.19.167', 3583710112, 3583710119, 'UA', 'Ukraine'),
(158900, '213.155.19.168', '213.155.19.183', 3583710120, 3583710135, 'NA', 'Namibia'),
(158901, '213.155.19.184', '213.155.20.3', 3583710136, 3583710211, 'UA', 'Ukraine'),
(158902, '213.155.20.4', '213.155.20.7', 3583710212, 3583710215, 'NA', 'Namibia'),
(158903, '213.155.20.8', '213.155.20.111', 3583710216, 3583710319, 'UA', 'Ukraine'),
(158904, '213.155.20.112', '213.155.20.119', 3583710320, 3583710327, 'NA', 'Namibia'),
(158905, '213.155.20.120', '213.155.20.159', 3583710328, 3583710367, 'UA', 'Ukraine'),
(158906, '213.155.20.160', '213.155.20.167', 3583710368, 3583710375, 'AQ', 'Antarctica'),
(158907, '213.155.20.168', '213.155.20.175', 3583710376, 3583710383, 'NA', 'Namibia'),
(158908, '213.155.20.176', '213.155.20.199', 3583710384, 3583710407, 'UA', 'Ukraine'),
(158909, '213.155.20.200', '213.155.20.207', 3583710408, 3583710415, 'NA', 'Namibia'),
(158910, '213.155.20.208', '213.155.20.247', 3583710416, 3583710455, 'UA', 'Ukraine'),
(158911, '213.155.20.248', '213.155.20.251', 3583710456, 3583710459, 'NA', 'Namibia'),
(158912, '213.155.20.252', '213.155.21.167', 3583710460, 3583710631, 'UA', 'Ukraine'),
(158913, '213.155.21.168', '213.155.21.175', 3583710632, 3583710639, 'NA', 'Namibia'),
(158914, '213.155.21.176', '213.155.21.239', 3583710640, 3583710703, 'UA', 'Ukraine'),
(158915, '213.155.21.240', '213.155.21.247', 3583710704, 3583710711, 'NA', 'Namibia'),
(158916, '213.155.21.248', '213.155.22.23', 3583710712, 3583710743, 'UA', 'Ukraine'),
(158917, '213.155.22.24', '213.155.22.31', 3583710744, 3583710751, 'BE', 'Belgium'),
(158918, '213.155.22.32', '213.155.22.167', 3583710752, 3583710887, 'UA', 'Ukraine'),
(158919, '213.155.22.168', '213.155.22.175', 3583710888, 3583710895, 'NA', 'Namibia'),
(158920, '213.155.22.176', '213.155.24.15', 3583710896, 3583711247, 'UA', 'Ukraine'),
(158921, '213.155.24.16', '213.155.24.23', 3583711248, 3583711255, 'NA', 'Namibia'),
(158922, '213.155.24.24', '213.155.24.95', 3583711256, 3583711327, 'UA', 'Ukraine'),
(158923, '213.155.24.96', '213.155.24.103', 3583711328, 3583711335, 'NA', 'Namibia'),
(158924, '213.155.24.104', '213.155.24.127', 3583711336, 3583711359, 'UA', 'Ukraine'),
(158925, '213.155.24.128', '213.155.24.135', 3583711360, 3583711367, 'NA', 'Namibia'),
(158926, '213.155.24.136', '213.155.24.143', 3583711368, 3583711375, 'UA', 'Ukraine'),
(158927, '213.155.24.144', '213.155.24.151', 3583711376, 3583711383, 'NA', 'Namibia'),
(158928, '213.155.24.152', '213.155.25.223', 3583711384, 3583711711, 'UA', 'Ukraine'),
(158929, '213.155.25.224', '213.155.25.231', 3583711712, 3583711719, 'NA', 'Namibia'),
(158930, '213.155.25.232', '213.155.26.39', 3583711720, 3583711783, 'UA', 'Ukraine'),
(158931, '213.155.26.40', '213.155.26.55', 3583711784, 3583711799, 'NA', 'Namibia'),
(158932, '213.155.26.56', '213.155.26.71', 3583711800, 3583711815, 'UA', 'Ukraine'),
(158933, '213.155.26.72', '213.155.26.79', 3583711816, 3583711823, 'NA', 'Namibia'),
(158934, '213.155.26.80', '213.155.27.15', 3583711824, 3583712015, 'UA', 'Ukraine'),
(158935, '213.155.27.16', '213.155.27.23', 3583712016, 3583712023, 'NA', 'Namibia'),
(158936, '213.155.27.24', '213.155.27.119', 3583712024, 3583712119, 'UA', 'Ukraine'),
(158937, '213.155.27.120', '213.155.27.127', 3583712120, 3583712127, 'NA', 'Namibia'),
(158938, '213.155.27.128', '213.155.27.159', 3583712128, 3583712159, 'UA', 'Ukraine'),
(158939, '213.155.27.160', '213.155.27.191', 3583712160, 3583712191, 'NA', 'Namibia'),
(158940, '213.155.27.192', '213.155.28.199', 3583712192, 3583712455, 'UA', 'Ukraine'),
(158941, '213.155.28.200', '213.155.28.207', 3583712456, 3583712463, 'NA', 'Namibia'),
(158942, '213.155.28.208', '213.155.28.215', 3583712464, 3583712471, 'UA', 'Ukraine'),
(158943, '213.155.28.216', '213.155.28.223', 3583712472, 3583712479, 'NA', 'Namibia'),
(158944, '213.155.28.224', '213.155.29.15', 3583712480, 3583712527, 'UA', 'Ukraine'),
(158945, '213.155.29.16', '213.155.29.23', 3583712528, 3583712535, 'IN', 'India'),
(158946, '213.155.29.24', '213.155.29.95', 3583712536, 3583712607, 'UA', 'Ukraine'),
(158947, '213.155.29.96', '213.155.29.103', 3583712608, 3583712615, 'HU', 'Hungary'),
(158948, '213.155.29.104', '213.155.30.239', 3583712616, 3583713007, 'UA', 'Ukraine'),
(158949, '213.155.30.240', '213.155.30.247', 3583713008, 3583713015, 'RU', 'Russian Federation'),
(158950, '213.155.30.248', '213.155.31.255', 3583713016, 3583713279, 'UA', 'Ukraine'),
(158951, '213.155.32.0', '213.155.63.255', 3583713280, 3583721471, 'CZ', 'Czech Republic'),
(158952, '213.155.64.0', '213.155.95.255', 3583721472, 3583729663, 'DE', 'Germany'),
(158953, '213.155.96.0', '213.155.127.255', 3583729664, 3583737855, 'TR', 'Turkey'),
(158954, '213.155.128.0', '213.155.138.255', 3583737856, 3583740671, 'EU', 'Europe'),
(158955, '213.155.139.0', '213.155.140.255', 3583740672, 3583741183, 'GB', 'United Kingdom'),
(158956, '213.155.141.0', '213.155.141.255', 3583741184, 3583741439, 'EU', 'Europe'),
(158957, '213.155.142.0', '213.155.142.255', 3583741440, 3583741695, 'GB', 'United Kingdom'),
(158958, '213.155.143.0', '213.155.143.255', 3583741696, 3583741951, 'NL', 'Netherlands'),
(158959, '213.155.144.0', '213.155.146.255', 3583741952, 3583742719, 'EU', 'Europe'),
(158960, '213.155.147.0', '213.155.149.255', 3583742720, 3583743487, 'DE', 'Germany'),
(158961, '213.155.150.0', '213.155.150.15', 3583743488, 3583743503, 'FR', 'France'),
(158962, '213.155.150.16', '213.155.150.31', 3583743504, 3583743519, 'EU', 'Europe'),
(158963, '213.155.150.32', '213.155.150.63', 3583743520, 3583743551, 'FR', 'France'),
(158964, '213.155.150.64', '213.155.150.127', 3583743552, 3583743615, 'EU', 'Europe'),
(158965, '213.155.150.128', '213.155.150.255', 3583743616, 3583743743, 'GB', 'United Kingdom'),
(158966, '213.155.151.0', '213.155.151.31', 3583743744, 3583743775, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(158967, '213.155.151.32', '213.155.151.63', 3583743776, 3583743807, 'NL', 'Netherlands'),
(158968, '213.155.151.64', '213.155.151.231', 3583743808, 3583743975, 'EU', 'Europe'),
(158969, '213.155.151.232', '213.155.151.232', 3583743976, 3583743976, 'GB', 'United Kingdom'),
(158970, '213.155.151.233', '213.155.151.233', 3583743977, 3583743977, 'IE', 'Ireland'),
(158971, '213.155.151.234', '213.155.151.239', 3583743978, 3583743983, 'GB', 'United Kingdom'),
(158972, '213.155.151.240', '213.155.152.63', 3583743984, 3583744063, 'EU', 'Europe'),
(158973, '213.155.152.64', '213.155.152.67', 3583744064, 3583744067, 'FR', 'France'),
(158974, '213.155.152.68', '213.155.152.71', 3583744068, 3583744071, 'GB', 'United Kingdom'),
(158975, '213.155.152.72', '213.155.152.95', 3583744072, 3583744095, 'EU', 'Europe'),
(158976, '213.155.152.96', '213.155.152.99', 3583744096, 3583744099, 'DE', 'Germany'),
(158977, '213.155.152.100', '213.155.152.103', 3583744100, 3583744103, 'FR', 'France'),
(158978, '213.155.152.104', '213.155.152.111', 3583744104, 3583744111, 'GB', 'United Kingdom'),
(158979, '213.155.152.112', '213.155.152.127', 3583744112, 3583744127, 'EU', 'Europe'),
(158980, '213.155.152.128', '213.155.152.255', 3583744128, 3583744255, 'PL', 'Poland'),
(158981, '213.155.153.0', '213.155.153.31', 3583744256, 3583744287, 'EU', 'Europe'),
(158982, '213.155.153.32', '213.155.153.47', 3583744288, 3583744303, 'GB', 'United Kingdom'),
(158983, '213.155.153.48', '213.155.153.63', 3583744304, 3583744319, 'EU', 'Europe'),
(158984, '213.155.153.64', '213.155.153.191', 3583744320, 3583744447, 'GB', 'United Kingdom'),
(158985, '213.155.153.192', '213.155.153.215', 3583744448, 3583744471, 'EU', 'Europe'),
(158986, '213.155.153.216', '213.155.153.223', 3583744472, 3583744479, 'FR', 'France'),
(158987, '213.155.153.224', '213.155.153.231', 3583744480, 3583744487, 'GB', 'United Kingdom'),
(158988, '213.155.153.232', '213.155.153.255', 3583744488, 3583744511, 'EU', 'Europe'),
(158989, '213.155.154.0', '213.155.154.255', 3583744512, 3583744767, 'GB', 'United Kingdom'),
(158990, '213.155.155.0', '213.155.155.63', 3583744768, 3583744831, 'DE', 'Germany'),
(158991, '213.155.155.64', '213.155.155.159', 3583744832, 3583744927, 'EU', 'Europe'),
(158992, '213.155.155.160', '213.155.155.191', 3583744928, 3583744959, 'DE', 'Germany'),
(158993, '213.155.155.192', '213.155.155.223', 3583744960, 3583744991, 'GB', 'United Kingdom'),
(158994, '213.155.155.224', '213.155.155.231', 3583744992, 3583744999, 'EU', 'Europe'),
(158995, '213.155.155.232', '213.155.155.235', 3583745000, 3583745003, 'NL', 'Netherlands'),
(158996, '213.155.155.236', '213.155.156.191', 3583745004, 3583745215, 'EU', 'Europe'),
(158997, '213.155.156.192', '213.155.156.255', 3583745216, 3583745279, 'SE', 'Sweden'),
(158998, '213.155.157.0', '213.155.157.255', 3583745280, 3583745535, 'GB', 'United Kingdom'),
(158999, '213.155.158.0', '213.155.158.127', 3583745536, 3583745663, 'SE', 'Sweden'),
(159000, '213.155.158.128', '213.155.158.183', 3583745664, 3583745719, 'EU', 'Europe'),
(159001, '213.155.158.184', '213.155.158.187', 3583745720, 3583745723, 'FR', 'France'),
(159002, '213.155.158.188', '213.155.159.7', 3583745724, 3583745799, 'EU', 'Europe'),
(159003, '213.155.159.8', '213.155.159.15', 3583745800, 3583745807, 'NL', 'Netherlands'),
(159004, '213.155.159.16', '213.155.159.31', 3583745808, 3583745823, 'GB', 'United Kingdom'),
(159005, '213.155.159.32', '213.155.159.63', 3583745824, 3583745855, 'EU', 'Europe'),
(159006, '213.155.159.64', '213.155.159.127', 3583745856, 3583745919, 'SE', 'Sweden'),
(159007, '213.155.159.128', '213.155.159.159', 3583745920, 3583745951, 'GB', 'United Kingdom'),
(159008, '213.155.159.160', '213.155.159.191', 3583745952, 3583745983, 'EU', 'Europe'),
(159009, '213.155.159.192', '213.155.159.255', 3583745984, 3583746047, 'CH', 'Switzerland'),
(159010, '213.155.160.0', '213.155.191.255', 3583746048, 3583754239, 'PL', 'Poland'),
(159011, '213.155.192.0', '213.155.223.255', 3583754240, 3583762431, 'RU', 'Russian Federation'),
(159012, '213.155.224.0', '213.155.255.255', 3583762432, 3583770623, 'CZ', 'Czech Republic'),
(159013, '213.156.0.0', '213.156.6.191', 3583770624, 3583772351, 'NL', 'Netherlands'),
(159014, '213.156.6.192', '213.156.6.207', 3583772352, 3583772367, 'IT', 'Italy'),
(159015, '213.156.6.208', '213.156.31.255', 3583772368, 3583778815, 'NL', 'Netherlands'),
(159016, '213.156.32.0', '213.156.63.255', 3583778816, 3583787007, 'IT', 'Italy'),
(159017, '213.156.64.0', '213.156.95.255', 3583787008, 3583795199, 'UA', 'Ukraine'),
(159018, '213.156.96.0', '213.156.127.255', 3583795200, 3583803391, 'PL', 'Poland'),
(159019, '213.156.128.0', '213.156.140.255', 3583803392, 3583806719, 'RU', 'Russian Federation'),
(159020, '213.156.141.0', '213.156.141.255', 3583806720, 3583806975, 'BY', 'Belarus'),
(159021, '213.156.142.0', '213.156.159.255', 3583806976, 3583811583, 'RU', 'Russian Federation'),
(159022, '213.156.160.0', '213.156.160.255', 3583811584, 3583811839, 'GB', 'United Kingdom'),
(159023, '213.156.161.0', '213.156.191.255', 3583811840, 3583819775, 'DE', 'Germany'),
(159024, '213.156.192.0', '213.156.223.255', 3583819776, 3583827967, 'RU', 'Russian Federation'),
(159025, '213.156.224.0', '213.156.255.255', 3583827968, 3583836159, 'CH', 'Switzerland'),
(159026, '213.157.0.0', '213.157.31.255', 3583836160, 3583844351, 'DE', 'Germany'),
(159027, '213.157.32.0', '213.157.63.255', 3583844352, 3583852543, 'KZ', 'Kazakhstan'),
(159028, '213.157.64.0', '213.157.65.255', 3583852544, 3583853055, 'SG', 'Singapore'),
(159029, '213.157.66.0', '213.157.71.255', 3583853056, 3583854591, 'FI', 'Finland'),
(159030, '213.157.72.0', '213.157.72.134', 3583854592, 3583854726, 'GB', 'United Kingdom'),
(159031, '213.157.72.135', '213.157.72.135', 3583854727, 3583854727, 'FI', 'Finland'),
(159032, '213.157.72.136', '213.157.73.23', 3583854728, 3583854871, 'GB', 'United Kingdom'),
(159033, '213.157.73.24', '213.157.73.31', 3583854872, 3583854879, 'FI', 'Finland'),
(159034, '213.157.73.32', '213.157.73.79', 3583854880, 3583854927, 'GB', 'United Kingdom'),
(159035, '213.157.73.80', '213.157.73.95', 3583854928, 3583854943, 'FI', 'Finland'),
(159036, '213.157.73.96', '213.157.73.255', 3583854944, 3583855103, 'GB', 'United Kingdom'),
(159037, '213.157.74.0', '213.157.74.63', 3583855104, 3583855167, 'US', 'United States'),
(159038, '213.157.74.64', '213.157.74.71', 3583855168, 3583855175, 'FI', 'Finland'),
(159039, '213.157.74.72', '213.157.74.79', 3583855176, 3583855183, 'US', 'United States'),
(159040, '213.157.74.80', '213.157.74.87', 3583855184, 3583855191, 'FI', 'Finland'),
(159041, '213.157.74.88', '213.157.74.95', 3583855192, 3583855199, 'US', 'United States'),
(159042, '213.157.74.96', '213.157.74.103', 3583855200, 3583855207, 'FI', 'Finland'),
(159043, '213.157.74.104', '213.157.74.143', 3583855208, 3583855247, 'US', 'United States'),
(159044, '213.157.74.144', '213.157.74.207', 3583855248, 3583855311, 'FI', 'Finland'),
(159045, '213.157.74.208', '213.157.74.223', 3583855312, 3583855327, 'US', 'United States'),
(159046, '213.157.74.224', '213.157.78.255', 3583855328, 3583856383, 'FI', 'Finland'),
(159047, '213.157.79.0', '213.157.79.126', 3583856384, 3583856510, 'SG', 'Singapore'),
(159048, '213.157.79.127', '213.157.79.127', 3583856511, 3583856511, 'FI', 'Finland'),
(159049, '213.157.79.128', '213.157.79.206', 3583856512, 3583856590, 'SG', 'Singapore'),
(159050, '213.157.79.207', '213.157.79.231', 3583856591, 3583856615, 'FI', 'Finland'),
(159051, '213.157.79.232', '213.157.79.255', 3583856616, 3583856639, 'SG', 'Singapore'),
(159052, '213.157.80.0', '213.157.95.255', 3583856640, 3583860735, 'FI', 'Finland'),
(159053, '213.157.96.0', '213.157.127.255', 3583860736, 3583868927, 'HU', 'Hungary'),
(159054, '213.157.128.0', '213.157.159.255', 3583868928, 3583877119, 'AT', 'Austria'),
(159055, '213.157.160.0', '213.157.179.255', 3583877120, 3583882239, 'RO', 'Romania'),
(159056, '213.157.180.0', '213.157.181.255', 3583882240, 3583882751, 'HU', 'Hungary'),
(159057, '213.157.182.0', '213.157.191.255', 3583882752, 3583885311, 'RO', 'Romania'),
(159058, '213.157.192.0', '213.157.223.255', 3583885312, 3583893503, 'GE', 'Georgia'),
(159059, '213.157.224.0', '213.157.255.255', 3583893504, 3583901695, 'SI', 'Slovenia'),
(159060, '213.158.0.0', '213.158.31.255', 3583901696, 3583909887, 'RU', 'Russian Federation'),
(159061, '213.158.32.0', '213.158.63.255', 3583909888, 3583918079, 'SE', 'Sweden'),
(159062, '213.158.64.0', '213.158.95.255', 3583918080, 3583926271, 'IT', 'Italy'),
(159063, '213.158.96.0', '213.158.127.255', 3583926272, 3583934463, 'DE', 'Germany'),
(159064, '213.158.128.0', '213.158.159.255', 3583934464, 3583942655, 'CH', 'Switzerland'),
(159065, '213.158.160.0', '213.158.191.255', 3583942656, 3583950847, 'EG', 'Egypt'),
(159066, '213.158.192.0', '213.158.223.255', 3583950848, 3583959039, 'PL', 'Poland'),
(159067, '213.158.224.0', '213.158.255.255', 3583959040, 3583967231, 'NO', 'Norway'),
(159068, '213.159.0.0', '213.159.31.255', 3583967232, 3583975423, 'NL', 'Netherlands'),
(159069, '213.159.32.0', '213.159.63.255', 3583975424, 3583983615, 'LT', 'Lithuania'),
(159070, '213.159.64.0', '213.159.127.255', 3583983616, 3583999999, 'RU', 'Russian Federation'),
(159071, '213.159.128.0', '213.159.159.255', 3584000000, 3584008191, 'IE', 'Ireland'),
(159072, '213.159.160.0', '213.159.191.255', 3584008192, 3584016383, 'SE', 'Sweden'),
(159073, '213.159.192.0', '213.159.223.255', 3584016384, 3584024575, 'RU', 'Russian Federation'),
(159074, '213.159.224.0', '213.159.255.255', 3584024576, 3584032767, 'UA', 'Ukraine'),
(159075, '213.160.0.0', '213.160.31.255', 3584032768, 3584040959, 'DE', 'Germany'),
(159076, '213.160.32.0', '213.160.63.255', 3584040960, 3584049151, 'CH', 'Switzerland'),
(159077, '213.160.64.0', '213.160.90.103', 3584049152, 3584055911, 'DE', 'Germany'),
(159078, '213.160.90.104', '213.160.90.111', 3584055912, 3584055919, 'TR', 'Turkey'),
(159079, '213.160.90.112', '213.160.95.255', 3584055920, 3584057343, 'DE', 'Germany'),
(159080, '213.160.96.0', '213.160.127.255', 3584057344, 3584065535, 'GB', 'United Kingdom'),
(159081, '213.160.128.0', '213.160.159.255', 3584065536, 3584073727, 'UA', 'Ukraine'),
(159082, '213.160.160.0', '213.160.191.255', 3584073728, 3584081919, 'SK', 'Slovakia'),
(159083, '213.160.192.0', '213.160.192.31', 3584081920, 3584081951, 'AT', 'Austria'),
(159084, '213.160.192.32', '213.160.192.39', 3584081952, 3584081959, 'NL', 'Netherlands'),
(159085, '213.160.192.40', '213.160.192.223', 3584081960, 3584082143, 'AT', 'Austria'),
(159086, '213.160.192.224', '213.160.192.255', 3584082144, 3584082175, 'NL', 'Netherlands'),
(159087, '213.160.193.0', '213.160.193.103', 3584082176, 3584082279, 'AT', 'Austria'),
(159088, '213.160.193.104', '213.160.193.111', 3584082280, 3584082287, 'NL', 'Netherlands'),
(159089, '213.160.193.112', '213.160.195.255', 3584082288, 3584082943, 'AT', 'Austria'),
(159090, '213.160.196.0', '213.160.219.255', 3584082944, 3584089087, 'NL', 'Netherlands'),
(159091, '213.160.220.0', '213.160.222.255', 3584089088, 3584089855, 'AT', 'Austria'),
(159092, '213.160.223.0', '213.160.223.15', 3584089856, 3584089871, 'NL', 'Netherlands'),
(159093, '213.160.223.16', '213.160.223.47', 3584089872, 3584089903, 'AT', 'Austria'),
(159094, '213.160.223.48', '213.160.223.63', 3584089904, 3584089919, 'NL', 'Netherlands'),
(159095, '213.160.223.64', '213.160.223.255', 3584089920, 3584090111, 'AT', 'Austria'),
(159096, '213.160.224.0', '213.160.225.255', 3584090112, 3584090623, 'NO', 'Norway'),
(159097, '213.160.226.0', '213.160.226.255', 3584090624, 3584090879, 'NL', 'Netherlands'),
(159098, '213.160.227.0', '213.160.227.7', 3584090880, 3584090887, 'NO', 'Norway'),
(159099, '213.160.227.8', '213.160.227.15', 3584090888, 3584090895, 'NL', 'Netherlands'),
(159100, '213.160.227.16', '213.160.227.63', 3584090896, 3584090943, 'NO', 'Norway'),
(159101, '213.160.227.64', '213.160.227.79', 3584090944, 3584090959, 'NL', 'Netherlands'),
(159102, '213.160.227.80', '213.160.227.255', 3584090960, 3584091135, 'NO', 'Norway'),
(159103, '213.160.228.0', '213.160.228.255', 3584091136, 3584091391, 'NL', 'Netherlands'),
(159104, '213.160.229.0', '213.160.238.87', 3584091392, 3584093783, 'NO', 'Norway'),
(159105, '213.160.238.88', '213.160.238.95', 3584093784, 3584093791, 'NL', 'Netherlands'),
(159106, '213.160.238.96', '213.160.242.173', 3584093792, 3584094893, 'NO', 'Norway'),
(159107, '213.160.242.174', '213.160.242.175', 3584094894, 3584094895, 'NL', 'Netherlands'),
(159108, '213.160.242.176', '213.160.246.63', 3584094896, 3584095807, 'NO', 'Norway'),
(159109, '213.160.246.64', '213.160.246.111', 3584095808, 3584095855, 'NL', 'Netherlands'),
(159110, '213.160.246.112', '213.160.246.191', 3584095856, 3584095935, 'NO', 'Norway'),
(159111, '213.160.246.192', '213.160.246.255', 3584095936, 3584095999, 'NL', 'Netherlands'),
(159112, '213.160.247.0', '213.160.247.255', 3584096000, 3584096255, 'NO', 'Norway'),
(159113, '213.160.248.0', '213.160.255.255', 3584096256, 3584098303, 'NL', 'Netherlands'),
(159114, '213.161.0.0', '213.161.31.255', 3584098304, 3584106495, 'SI', 'Slovenia'),
(159115, '213.161.32.0', '213.161.63.255', 3584106496, 3584114687, 'FI', 'Finland'),
(159116, '213.161.64.0', '213.161.84.255', 3584114688, 3584120063, 'GB', 'United Kingdom'),
(159117, '213.161.85.0', '213.161.85.255', 3584120064, 3584120319, 'EU', 'Europe'),
(159118, '213.161.86.0', '213.161.95.255', 3584120320, 3584122879, 'GB', 'United Kingdom'),
(159119, '213.161.96.0', '213.161.127.255', 3584122880, 3584131071, 'PL', 'Poland'),
(159120, '213.161.128.0', '213.161.159.255', 3584131072, 3584139263, 'TR', 'Turkey'),
(159121, '213.161.160.0', '213.161.191.255', 3584139264, 3584147455, 'NO', 'Norway'),
(159122, '213.161.192.0', '213.161.223.255', 3584147456, 3584155647, 'FR', 'France'),
(159123, '213.161.224.0', '213.161.255.255', 3584155648, 3584163839, 'NO', 'Norway'),
(159124, '213.162.0.0', '213.162.31.255', 3584163840, 3584172031, 'CH', 'Switzerland'),
(159125, '213.162.32.0', '213.162.63.255', 3584172032, 3584180223, 'FR', 'France'),
(159126, '213.162.64.0', '213.162.95.255', 3584180224, 3584188415, 'AT', 'Austria'),
(159127, '213.162.96.0', '213.162.127.255', 3584188416, 3584196607, 'GB', 'United Kingdom'),
(159128, '213.162.128.0', '213.162.159.255', 3584196608, 3584204799, 'DE', 'Germany'),
(159129, '213.162.160.0', '213.162.191.255', 3584204800, 3584212991, 'NL', 'Netherlands'),
(159130, '213.162.192.0', '213.162.223.255', 3584212992, 3584221183, 'ES', 'Spain'),
(159131, '213.162.224.0', '213.162.255.255', 3584221184, 3584229375, 'NO', 'Norway'),
(159132, '213.163.0.0', '213.163.63.255', 3584229376, 3584245759, 'HU', 'Hungary'),
(159133, '213.163.64.0', '213.163.64.42', 3584245760, 3584245802, 'NL', 'Netherlands'),
(159134, '213.163.64.43', '213.163.64.43', 3584245803, 3584245803, 'A1', 'Anonymous Proxy'),
(159135, '213.163.64.44', '213.163.65.49', 3584245804, 3584246065, 'NL', 'Netherlands'),
(159136, '213.163.65.50', '213.163.65.50', 3584246066, 3584246066, 'A1', 'Anonymous Proxy'),
(159137, '213.163.65.51', '213.163.71.99', 3584246067, 3584247651, 'NL', 'Netherlands'),
(159138, '213.163.71.100', '213.163.71.100', 3584247652, 3584247652, 'A1', 'Anonymous Proxy'),
(159139, '213.163.71.101', '213.163.72.148', 3584247653, 3584247956, 'NL', 'Netherlands'),
(159140, '213.163.72.149', '213.163.72.149', 3584247957, 3584247957, 'A1', 'Anonymous Proxy'),
(159141, '213.163.72.150', '213.163.95.255', 3584247958, 3584253951, 'NL', 'Netherlands'),
(159142, '213.163.96.0', '213.163.105.17', 3584253952, 3584256273, 'AL', 'Albania'),
(159143, '213.163.105.18', '213.163.105.18', 3584256274, 3584256274, 'US', 'United States'),
(159144, '213.163.105.19', '213.163.119.255', 3584256275, 3584260095, 'AL', 'Albania'),
(159145, '213.163.120.0', '213.163.120.39', 3584260096, 3584260135, 'ME', 'Montenegro'),
(159146, '213.163.120.40', '213.163.120.43', 3584260136, 3584260139, 'RS', 'Serbia'),
(159147, '213.163.120.44', '213.163.120.55', 3584260140, 3584260151, 'ME', 'Montenegro'),
(159148, '213.163.120.56', '213.163.120.59', 3584260152, 3584260155, 'RS', 'Serbia'),
(159149, '213.163.120.60', '213.163.120.135', 3584260156, 3584260231, 'ME', 'Montenegro'),
(159150, '213.163.120.136', '213.163.120.143', 3584260232, 3584260239, 'RS', 'Serbia'),
(159151, '213.163.120.144', '213.163.120.151', 3584260240, 3584260247, 'ME', 'Montenegro'),
(159152, '213.163.120.152', '213.163.120.159', 3584260248, 3584260255, 'RS', 'Serbia'),
(159153, '213.163.120.160', '213.163.120.255', 3584260256, 3584260351, 'ME', 'Montenegro'),
(159154, '213.163.121.0', '213.163.121.63', 3584260352, 3584260415, 'RS', 'Serbia'),
(159155, '213.163.121.64', '213.163.121.159', 3584260416, 3584260511, 'ME', 'Montenegro'),
(159156, '213.163.121.160', '213.163.121.255', 3584260512, 3584260607, 'AL', 'Albania'),
(159157, '213.163.122.0', '213.163.122.255', 3584260608, 3584260863, 'ME', 'Montenegro'),
(159158, '213.163.123.0', '213.163.123.127', 3584260864, 3584260991, 'RS', 'Serbia'),
(159159, '213.163.123.128', '213.163.123.255', 3584260992, 3584261119, 'AL', 'Albania'),
(159160, '213.163.124.0', '213.163.124.255', 3584261120, 3584261375, 'ME', 'Montenegro'),
(159161, '213.163.125.0', '213.163.127.255', 3584261376, 3584262143, 'AL', 'Albania'),
(159162, '213.163.128.0', '213.163.159.255', 3584262144, 3584270335, 'SE', 'Sweden'),
(159163, '213.163.160.0', '213.163.191.255', 3584270336, 3584278527, 'FR', 'France'),
(159164, '213.163.192.0', '213.163.223.255', 3584278528, 3584286719, 'GB', 'United Kingdom'),
(159165, '213.163.224.0', '213.164.3.79', 3584286720, 3584295759, 'AT', 'Austria'),
(159166, '213.164.3.80', '213.164.3.87', 3584295760, 3584295767, 'PT', 'Portugal'),
(159167, '213.164.3.88', '213.164.3.127', 3584295768, 3584295807, 'AT', 'Austria'),
(159168, '213.164.3.128', '213.164.3.135', 3584295808, 3584295815, 'PT', 'Portugal'),
(159169, '213.164.3.136', '213.164.31.255', 3584295816, 3584303103, 'AT', 'Austria'),
(159170, '213.164.32.0', '213.164.63.255', 3584303104, 3584311295, 'ES', 'Spain'),
(159171, '213.164.64.0', '213.164.95.255', 3584311296, 3584319487, 'DE', 'Germany'),
(159172, '213.164.96.0', '213.164.127.255', 3584319488, 3584327679, 'LT', 'Lithuania'),
(159173, '213.164.128.0', '213.164.146.231', 3584327680, 3584332519, 'DE', 'Germany'),
(159174, '213.164.146.232', '213.164.146.239', 3584332520, 3584332527, 'NL', 'Netherlands'),
(159175, '213.164.146.240', '213.164.159.255', 3584332528, 3584335871, 'DE', 'Germany'),
(159176, '213.164.160.0', '213.164.191.255', 3584335872, 3584344063, 'ES', 'Spain'),
(159177, '213.164.192.0', '213.164.223.255', 3584344064, 3584352255, 'SE', 'Sweden'),
(159178, '213.164.224.0', '213.164.255.255', 3584352256, 3584360447, 'RO', 'Romania'),
(159179, '213.165.0.0', '213.165.31.255', 3584360448, 3584368639, 'GB', 'United Kingdom'),
(159180, '213.165.32.0', '213.165.63.255', 3584368640, 3584376831, 'SA', 'Saudi Arabia'),
(159181, '213.165.64.0', '213.165.72.255', 3584376832, 3584379135, 'DE', 'Germany'),
(159182, '213.165.73.0', '213.165.73.255', 3584379136, 3584379391, 'IT', 'Italy'),
(159183, '213.165.74.0', '213.165.127.255', 3584379392, 3584393215, 'DE', 'Germany'),
(159184, '213.165.128.0', '213.165.159.255', 3584393216, 3584401407, 'GB', 'United Kingdom'),
(159185, '213.165.160.0', '213.165.191.255', 3584401408, 3584409599, 'MT', 'Malta'),
(159186, '213.165.192.0', '213.165.206.255', 3584409600, 3584413439, 'RU', 'Russian Federation'),
(159187, '213.165.207.0', '213.165.207.255', 3584413440, 3584413695, 'DE', 'Germany'),
(159188, '213.165.208.0', '213.165.209.255', 3584413696, 3584414207, 'GB', 'United Kingdom'),
(159189, '213.165.210.0', '213.165.211.255', 3584414208, 3584414719, 'RU', 'Russian Federation'),
(159190, '213.165.212.0', '213.165.212.255', 3584414720, 3584414975, 'DE', 'Germany'),
(159191, '213.165.213.0', '213.165.217.255', 3584414976, 3584416255, 'RU', 'Russian Federation'),
(159192, '213.165.218.0', '213.165.219.255', 3584416256, 3584416767, 'GB', 'United Kingdom'),
(159193, '213.165.220.0', '213.165.223.255', 3584416768, 3584417791, 'RU', 'Russian Federation'),
(159194, '213.165.224.0', '213.166.31.255', 3584417792, 3584434175, 'GB', 'United Kingdom'),
(159195, '213.166.32.0', '213.166.63.255', 3584434176, 3584442367, 'LU', 'Luxembourg'),
(159196, '213.166.64.0', '213.166.95.255', 3584442368, 3584450559, 'GB', 'United Kingdom'),
(159197, '213.166.96.0', '213.166.127.255', 3584450560, 3584458751, 'EU', 'Europe'),
(159198, '213.166.128.0', '213.166.159.255', 3584458752, 3584466943, 'SA', 'Saudi Arabia'),
(159199, '213.166.160.0', '213.166.191.255', 3584466944, 3584475135, 'NO', 'Norway'),
(159200, '213.166.192.0', '213.166.223.255', 3584475136, 3584483327, 'FR', 'France'),
(159201, '213.166.224.0', '213.166.255.255', 3584483328, 3584491519, 'DE', 'Germany'),
(159202, '213.167.0.0', '213.167.31.255', 3584491520, 3584499711, 'BG', 'Bulgaria'),
(159203, '213.167.32.0', '213.167.63.255', 3584499712, 3584507903, 'RU', 'Russian Federation'),
(159204, '213.167.64.0', '213.167.67.255', 3584507904, 3584508927, 'GB', 'United Kingdom'),
(159205, '213.167.68.0', '213.167.68.15', 3584508928, 3584508943, 'CY', 'Cyprus'),
(159206, '213.167.68.16', '213.167.68.23', 3584508944, 3584508951, 'KY', 'Cayman Islands'),
(159207, '213.167.68.24', '213.167.69.47', 3584508952, 3584509231, 'GB', 'United Kingdom'),
(159208, '213.167.69.48', '213.167.69.55', 3584509232, 3584509239, 'AW', 'Aruba'),
(159209, '213.167.69.56', '213.167.76.23', 3584509240, 3584510999, 'GB', 'United Kingdom'),
(159210, '213.167.76.24', '213.167.76.31', 3584511000, 3584511007, 'KY', 'Cayman Islands'),
(159211, '213.167.76.32', '213.167.76.47', 3584511008, 3584511023, 'GB', 'United Kingdom'),
(159212, '213.167.76.48', '213.167.76.63', 3584511024, 3584511039, 'KY', 'Cayman Islands'),
(159213, '213.167.76.64', '213.167.76.79', 3584511040, 3584511055, 'GB', 'United Kingdom'),
(159214, '213.167.76.80', '213.167.76.95', 3584511056, 3584511071, 'NL', 'Netherlands'),
(159215, '213.167.76.96', '213.167.79.63', 3584511072, 3584511807, 'GB', 'United Kingdom'),
(159216, '213.167.79.64', '213.167.79.127', 3584511808, 3584511871, 'MT', 'Malta'),
(159217, '213.167.79.128', '213.167.85.255', 3584511872, 3584513535, 'GB', 'United Kingdom'),
(159218, '213.167.86.0', '213.167.86.31', 3584513536, 3584513567, 'US', 'United States'),
(159219, '213.167.86.32', '213.167.95.231', 3584513568, 3584516071, 'GB', 'United Kingdom'),
(159220, '213.167.95.232', '213.167.95.239', 3584516072, 3584516079, 'BB', 'Barbados'),
(159221, '213.167.95.240', '213.167.95.255', 3584516080, 3584516095, 'GB', 'United Kingdom'),
(159222, '213.167.96.0', '213.167.127.255', 3584516096, 3584524287, 'NO', 'Norway'),
(159223, '213.167.128.0', '213.167.159.255', 3584524288, 3584532479, 'IS', 'Iceland'),
(159224, '213.167.160.0', '213.167.191.255', 3584532480, 3584540671, 'DE', 'Germany'),
(159225, '213.167.192.0', '213.167.223.255', 3584540672, 3584548863, 'RU', 'Russian Federation'),
(159226, '213.167.224.0', '213.167.255.255', 3584548864, 3584557055, 'ES', 'Spain'),
(159227, '213.168.0.0', '213.168.31.255', 3584557056, 3584565247, 'EE', 'Estonia'),
(159228, '213.168.32.0', '213.168.63.255', 3584565248, 3584573439, 'RU', 'Russian Federation'),
(159229, '213.168.64.0', '213.168.127.255', 3584573440, 3584589823, 'DE', 'Germany'),
(159230, '213.168.128.0', '213.168.159.255', 3584589824, 3584598015, 'RU', 'Russian Federation'),
(159231, '213.168.160.0', '213.168.191.255', 3584598016, 3584606207, 'CZ', 'Czech Republic'),
(159232, '213.168.192.0', '213.168.223.255', 3584606208, 3584614399, 'DE', 'Germany'),
(159233, '213.168.224.0', '213.168.224.95', 3584614400, 3584614495, 'GB', 'United Kingdom'),
(159234, '213.168.224.96', '213.168.224.127', 3584614496, 3584614527, 'IE', 'Ireland'),
(159235, '213.168.224.128', '213.168.224.191', 3584614528, 3584614591, 'GB', 'United Kingdom'),
(159236, '213.168.224.192', '213.168.224.223', 3584614592, 3584614623, 'IE', 'Ireland'),
(159237, '213.168.224.224', '213.168.224.255', 3584614624, 3584614655, 'GB', 'United Kingdom'),
(159238, '213.168.225.0', '213.168.225.95', 3584614656, 3584614751, 'IE', 'Ireland'),
(159239, '213.168.225.96', '213.168.225.103', 3584614752, 3584614759, 'GB', 'United Kingdom'),
(159240, '213.168.225.104', '213.168.225.107', 3584614760, 3584614763, 'IE', 'Ireland'),
(159241, '213.168.225.108', '213.168.225.111', 3584614764, 3584614767, 'GB', 'United Kingdom'),
(159242, '213.168.225.112', '213.168.226.255', 3584614768, 3584615167, 'IE', 'Ireland'),
(159243, '213.168.227.0', '213.168.227.159', 3584615168, 3584615327, 'GB', 'United Kingdom'),
(159244, '213.168.227.160', '213.168.254.255', 3584615328, 3584622335, 'IE', 'Ireland'),
(159245, '213.168.255.0', '213.168.255.255', 3584622336, 3584622591, 'GB', 'United Kingdom'),
(159246, '213.169.0.0', '213.169.31.255', 3584622592, 3584630783, 'FI', 'Finland'),
(159247, '213.169.32.0', '213.169.51.151', 3584630784, 3584635799, 'BG', 'Bulgaria'),
(159248, '213.169.51.152', '213.169.51.152', 3584635800, 3584635800, 'A1', 'Anonymous Proxy'),
(159249, '213.169.51.153', '213.169.63.255', 3584635801, 3584638975, 'BG', 'Bulgaria'),
(159250, '213.169.64.0', '213.169.95.255', 3584638976, 3584647167, 'UA', 'Ukraine'),
(159251, '213.169.96.0', '213.169.99.255', 3584647168, 3584648191, 'LU', 'Luxembourg'),
(159252, '213.169.100.0', '213.169.100.255', 3584648192, 3584648447, 'IT', 'Italy'),
(159253, '213.169.101.0', '213.169.106.255', 3584648448, 3584649983, 'LU', 'Luxembourg'),
(159254, '213.169.107.0', '213.169.107.255', 3584649984, 3584650239, 'EU', 'Europe'),
(159255, '213.169.108.0', '213.169.127.255', 3584650240, 3584655359, 'LU', 'Luxembourg'),
(159256, '213.169.128.0', '213.169.159.255', 3584655360, 3584663551, 'CY', 'Cyprus'),
(159257, '213.169.160.0', '213.169.191.255', 3584663552, 3584671743, 'FR', 'France'),
(159258, '213.169.192.0', '213.169.255.255', 3584671744, 3584688127, 'NL', 'Netherlands'),
(159259, '213.170.0.0', '213.170.31.255', 3584688128, 3584696319, 'GB', 'United Kingdom'),
(159260, '213.170.32.0', '213.170.53.55', 3584696320, 3584701751, 'ES', 'Spain'),
(159261, '213.170.53.56', '213.170.53.127', 3584701752, 3584701823, 'NL', 'Netherlands'),
(159262, '213.170.53.128', '213.170.54.39', 3584701824, 3584701991, 'ES', 'Spain'),
(159263, '213.170.54.40', '213.170.54.55', 3584701992, 3584702007, 'CH', 'Switzerland'),
(159264, '213.170.54.56', '213.170.58.119', 3584702008, 3584703095, 'ES', 'Spain'),
(159265, '213.170.58.120', '213.170.58.127', 3584703096, 3584703103, 'BE', 'Belgium'),
(159266, '213.170.58.128', '213.170.63.255', 3584703104, 3584704511, 'ES', 'Spain'),
(159267, '213.170.64.0', '213.170.127.255', 3584704512, 3584720895, 'RU', 'Russian Federation'),
(159268, '213.170.128.0', '213.170.159.255', 3584720896, 3584729087, 'GB', 'United Kingdom'),
(159269, '213.170.160.0', '213.170.191.255', 3584729088, 3584737279, 'DE', 'Germany'),
(159270, '213.170.192.0', '213.170.223.255', 3584737280, 3584745471, 'GR', 'Greece'),
(159271, '213.170.224.0', '213.170.255.255', 3584745472, 3584753663, 'DK', 'Denmark'),
(159272, '213.171.0.0', '213.171.63.255', 3584753664, 3584770047, 'RU', 'Russian Federation'),
(159273, '213.171.64.0', '213.171.95.255', 3584770048, 3584778239, 'NL', 'Netherlands'),
(159274, '213.171.96.0', '213.171.127.255', 3584778240, 3584786431, 'IT', 'Italy'),
(159275, '213.171.128.0', '213.171.159.255', 3584786432, 3584794623, 'NL', 'Netherlands'),
(159276, '213.171.160.0', '213.171.191.255', 3584794624, 3584802815, 'IT', 'Italy'),
(159277, '213.171.192.0', '213.171.223.255', 3584802816, 3584811007, 'GB', 'United Kingdom'),
(159278, '213.171.224.0', '213.171.255.255', 3584811008, 3584819199, 'ES', 'Spain'),
(159279, '213.172.0.0', '213.172.31.255', 3584819200, 3584827391, 'RU', 'Russian Federation'),
(159280, '213.172.32.0', '213.172.63.255', 3584827392, 3584835583, 'ES', 'Spain'),
(159281, '213.172.64.0', '213.172.95.255', 3584835584, 3584843775, 'AZ', 'Azerbaijan'),
(159282, '213.172.96.0', '213.172.123.185', 3584843776, 3584850873, 'DE', 'Germany'),
(159283, '213.172.123.186', '213.172.123.186', 3584850874, 3584850874, 'US', 'United States'),
(159284, '213.172.123.187', '213.172.127.255', 3584850875, 3584851967, 'DE', 'Germany'),
(159285, '213.172.160.0', '213.172.191.255', 3584860160, 3584868351, 'PL', 'Poland'),
(159286, '213.172.192.0', '213.172.223.255', 3584868352, 3584876543, 'NO', 'Norway'),
(159287, '213.172.224.0', '213.172.255.255', 3584876544, 3584884735, 'SI', 'Slovenia'),
(159288, '213.173.0.0', '213.173.31.255', 3584884736, 3584892927, 'DE', 'Germany'),
(159289, '213.173.32.0', '213.173.63.255', 3584892928, 3584901119, 'IL', 'Israel'),
(159290, '213.173.64.0', '213.173.95.255', 3584901120, 3584909311, 'AT', 'Austria'),
(159291, '213.173.96.0', '213.173.127.255', 3584909312, 3584917503, 'IT', 'Italy'),
(159292, '213.173.128.0', '213.173.159.255', 3584917504, 3584925695, 'FI', 'Finland'),
(159293, '213.173.160.0', '213.173.165.63', 3584925696, 3584927039, 'CH', 'Switzerland'),
(159294, '213.173.165.64', '213.173.165.71', 3584927040, 3584927047, 'DE', 'Germany'),
(159295, '213.173.165.72', '213.173.170.19', 3584927048, 3584928275, 'CH', 'Switzerland'),
(159296, '213.173.170.20', '213.173.170.23', 3584928276, 3584928279, 'IT', 'Italy'),
(159297, '213.173.170.24', '213.173.175.63', 3584928280, 3584929599, 'CH', 'Switzerland'),
(159298, '213.173.175.64', '213.173.175.191', 3584929600, 3584929727, 'DE', 'Germany'),
(159299, '213.173.175.192', '213.173.182.47', 3584929728, 3584931375, 'CH', 'Switzerland'),
(159300, '213.173.182.48', '213.173.182.63', 3584931376, 3584931391, 'ES', 'Spain'),
(159301, '213.173.182.64', '213.173.185.199', 3584931392, 3584932295, 'CH', 'Switzerland'),
(159302, '213.173.185.200', '213.173.185.207', 3584932296, 3584932303, 'DE', 'Germany'),
(159303, '213.173.185.208', '213.173.191.255', 3584932304, 3584933887, 'CH', 'Switzerland'),
(159304, '213.173.192.0', '213.173.223.255', 3584933888, 3584942079, 'NO', 'Norway'),
(159305, '213.173.224.0', '213.173.255.255', 3584942080, 3584950271, 'DK', 'Denmark'),
(159306, '213.174.0.0', '213.174.31.255', 3584950272, 3584958463, 'UA', 'Ukraine'),
(159307, '213.174.32.0', '213.174.63.255', 3584958464, 3584966655, 'DE', 'Germany'),
(159308, '213.174.64.0', '213.174.87.255', 3584966656, 3584972799, 'DK', 'Denmark'),
(159309, '213.174.88.0', '213.174.91.255', 3584972800, 3584973823, 'SE', 'Sweden'),
(159310, '213.174.92.0', '213.174.94.255', 3584973824, 3584974591, 'DK', 'Denmark'),
(159311, '213.174.95.0', '213.174.95.255', 3584974592, 3584974847, 'SE', 'Sweden'),
(159312, '213.174.96.0', '213.174.127.255', 3584974848, 3584983039, 'FR', 'France'),
(159313, '213.174.128.0', '213.174.159.255', 3584983040, 3584991231, 'US', 'United States'),
(159314, '213.174.160.0', '213.174.191.255', 3584991232, 3584999423, 'IT', 'Italy'),
(159315, '213.174.192.0', '213.174.223.255', 3584999424, 3585007615, 'GB', 'United Kingdom'),
(159316, '213.174.224.0', '213.174.255.255', 3585007616, 3585015807, 'AT', 'Austria'),
(159317, '213.175.0.0', '213.175.31.255', 3585015808, 3585023999, 'IT', 'Italy'),
(159318, '213.175.32.0', '213.175.63.255', 3585024000, 3585032191, 'CZ', 'Czech Republic'),
(159319, '213.175.64.0', '213.175.127.255', 3585032192, 3585048575, 'LV', 'Latvia'),
(159320, '213.175.128.0', '213.175.136.255', 3585048576, 3585050879, 'GB', 'United Kingdom'),
(159321, '213.175.137.0', '213.175.138.255', 3585050880, 3585051391, 'A2', 'Satellite Provider'),
(159322, '213.175.139.0', '213.175.159.255', 3585051392, 3585056767, 'GB', 'United Kingdom'),
(159323, '213.175.160.0', '213.175.191.255', 3585056768, 3585064959, 'LB', 'Lebanon'),
(159324, '213.175.192.0', '213.175.255.255', 3585064960, 3585081343, 'GB', 'United Kingdom'),
(159325, '213.176.0.0', '213.176.127.255', 3585081344, 3585114111, 'IR', 'Iran, Islamic Republic of'),
(159326, '213.176.128.0', '213.176.159.255', 3585114112, 3585122303, 'IS', 'Iceland'),
(159327, '213.176.160.0', '213.176.191.255', 3585122304, 3585130495, 'ES', 'Spain'),
(159328, '213.176.192.0', '213.176.223.255', 3585130496, 3585138687, 'FR', 'France'),
(159329, '213.176.224.0', '213.176.255.255', 3585138688, 3585146879, 'RU', 'Russian Federation'),
(159330, '213.177.0.0', '213.177.31.255', 3585146880, 3585155071, 'RO', 'Romania'),
(159331, '213.177.32.0', '213.177.63.255', 3585155072, 3585163263, 'GB', 'United Kingdom'),
(159332, '213.177.64.0', '213.177.95.255', 3585163264, 3585171455, 'BE', 'Belgium'),
(159333, '213.177.96.0', '213.177.127.255', 3585171456, 3585179647, 'RU', 'Russian Federation'),
(159334, '213.177.128.0', '213.177.159.255', 3585179648, 3585187839, 'BE', 'Belgium'),
(159335, '213.177.160.0', '213.177.160.255', 3585187840, 3585188095, 'DZ', 'Algeria'),
(159336, '213.177.161.0', '213.177.163.255', 3585188096, 3585188863, 'BE', 'Belgium'),
(159337, '213.177.164.0', '213.177.164.255', 3585188864, 3585189119, 'DZ', 'Algeria'),
(159338, '213.177.165.0', '213.177.167.255', 3585189120, 3585189887, 'BE', 'Belgium'),
(159339, '213.177.168.0', '213.177.169.255', 3585189888, 3585190399, 'DZ', 'Algeria'),
(159340, '213.177.170.0', '213.177.170.127', 3585190400, 3585190527, 'BE', 'Belgium'),
(159341, '213.177.170.128', '213.177.170.255', 3585190528, 3585190655, 'DZ', 'Algeria'),
(159342, '213.177.171.0', '213.177.191.255', 3585190656, 3585196031, 'BE', 'Belgium'),
(159343, '213.177.192.0', '213.177.223.255', 3585196032, 3585204223, 'ES', 'Spain'),
(159344, '213.177.224.0', '213.177.255.255', 3585204224, 3585212415, 'GB', 'United Kingdom'),
(159345, '213.178.0.0', '213.178.31.255', 3585212416, 3585220607, 'DE', 'Germany'),
(159346, '213.178.32.0', '213.178.63.255', 3585220608, 3585228799, 'RU', 'Russian Federation'),
(159347, '213.178.64.0', '213.178.95.255', 3585228800, 3585236991, 'DE', 'Germany'),
(159348, '213.178.96.0', '213.178.127.255', 3585236992, 3585245183, 'HU', 'Hungary'),
(159349, '213.178.128.0', '213.178.159.255', 3585245184, 3585253375, 'GB', 'United Kingdom'),
(159350, '213.178.160.0', '213.178.191.255', 3585253376, 3585261567, 'DE', 'Germany'),
(159351, '213.178.192.0', '213.178.223.255', 3585261568, 3585269759, 'IT', 'Italy'),
(159352, '213.178.224.0', '213.178.255.255', 3585269760, 3585277951, 'SY', 'Syrian Arab Republic'),
(159353, '213.179.0.0', '213.179.31.255', 3585277952, 3585286143, 'SE', 'Sweden'),
(159354, '213.179.32.0', '213.179.43.135', 3585286144, 3585289095, 'NO', 'Norway'),
(159355, '213.179.43.136', '213.179.43.255', 3585289096, 3585289215, 'GB', 'United Kingdom'),
(159356, '213.179.44.0', '213.179.45.80', 3585289216, 3585289552, 'NO', 'Norway'),
(159357, '213.179.45.81', '213.179.45.127', 3585289553, 3585289599, 'GB', 'United Kingdom'),
(159358, '213.179.45.128', '213.179.45.159', 3585289600, 3585289631, 'NO', 'Norway'),
(159359, '213.179.45.160', '213.179.49.255', 3585289632, 3585290751, 'GB', 'United Kingdom'),
(159360, '213.179.50.0', '213.179.50.7', 3585290752, 3585290759, 'NO', 'Norway'),
(159361, '213.179.50.8', '213.179.50.31', 3585290760, 3585290783, 'GB', 'United Kingdom'),
(159362, '213.179.50.32', '213.179.50.223', 3585290784, 3585290975, 'NO', 'Norway'),
(159363, '213.179.50.224', '213.179.50.255', 3585290976, 3585291007, 'GB', 'United Kingdom'),
(159364, '213.179.51.0', '213.179.58.223', 3585291008, 3585293023, 'NO', 'Norway'),
(159365, '213.179.58.224', '213.179.58.255', 3585293024, 3585293055, 'GB', 'United Kingdom'),
(159366, '213.179.59.0', '213.179.59.159', 3585293056, 3585293215, 'NO', 'Norway'),
(159367, '213.179.59.160', '213.179.59.207', 3585293216, 3585293263, 'GB', 'United Kingdom'),
(159368, '213.179.59.208', '213.179.59.215', 3585293264, 3585293271, 'ZA', 'South Africa'),
(159369, '213.179.59.216', '213.179.60.15', 3585293272, 3585293327, 'GB', 'United Kingdom'),
(159370, '213.179.60.16', '213.179.60.23', 3585293328, 3585293335, 'SE', 'Sweden'),
(159371, '213.179.60.24', '213.179.60.31', 3585293336, 3585293343, 'NL', 'Netherlands'),
(159372, '213.179.60.32', '213.179.63.255', 3585293344, 3585294335, 'GB', 'United Kingdom'),
(159373, '213.179.64.0', '213.179.95.255', 3585294336, 3585302527, 'DE', 'Germany'),
(159374, '213.179.96.0', '213.179.127.255', 3585302528, 3585310719, 'ES', 'Spain'),
(159375, '213.179.128.0', '213.179.159.255', 3585310720, 3585318911, 'DE', 'Germany'),
(159376, '213.179.160.0', '213.179.191.255', 3585318912, 3585327103, 'DZ', 'Algeria'),
(159377, '213.179.192.0', '213.179.211.255', 3585327104, 3585332223, 'NL', 'Netherlands'),
(159378, '213.179.212.0', '213.179.212.127', 3585332224, 3585332351, 'A1', 'Anonymous Proxy'),
(159379, '213.179.212.128', '213.179.223.255', 3585332352, 3585335295, 'NL', 'Netherlands'),
(159380, '213.179.224.0', '213.179.255.255', 3585335296, 3585343487, 'UA', 'Ukraine'),
(159381, '213.180.0.0', '213.180.31.255', 3585343488, 3585351679, 'EE', 'Estonia'),
(159382, '213.180.32.0', '213.180.63.255', 3585351680, 3585359871, 'CZ', 'Czech Republic'),
(159383, '213.180.64.0', '213.180.95.255', 3585359872, 3585368063, 'SE', 'Sweden'),
(159384, '213.180.96.0', '213.180.127.255', 3585368064, 3585376255, 'LV', 'Latvia'),
(159385, '213.180.128.0', '213.180.159.255', 3585376256, 3585384447, 'PL', 'Poland'),
(159386, '213.180.160.0', '213.180.191.255', 3585384448, 3585392639, 'CH', 'Switzerland'),
(159387, '213.180.192.0', '213.180.223.255', 3585392640, 3585400831, 'RU', 'Russian Federation'),
(159388, '213.180.224.0', '213.180.255.255', 3585400832, 3585409023, 'A2', 'Satellite Provider'),
(159389, '213.181.0.0', '213.181.31.255', 3585409024, 3585417215, 'RU', 'Russian Federation'),
(159390, '213.181.32.0', '213.181.63.255', 3585417216, 3585425407, 'BE', 'Belgium'),
(159391, '213.181.64.0', '213.181.95.255', 3585425408, 3585433599, 'ES', 'Spain'),
(159392, '213.181.96.0', '213.181.127.255', 3585433600, 3585441791, 'IS', 'Iceland'),
(159393, '213.181.128.0', '213.181.159.255', 3585441792, 3585449983, 'SK', 'Slovakia'),
(159394, '213.181.160.0', '213.181.191.255', 3585449984, 3585458175, 'SA', 'Saudi Arabia'),
(159395, '213.181.192.0', '213.181.223.255', 3585458176, 3585466367, 'HU', 'Hungary'),
(159396, '213.181.224.0', '213.181.255.255', 3585466368, 3585474559, 'EG', 'Egypt'),
(159397, '213.182.0.0', '213.182.31.255', 3585474560, 3585482751, 'DE', 'Germany'),
(159398, '213.182.32.0', '213.182.63.255', 3585482752, 3585490943, 'FR', 'France'),
(159399, '213.182.64.0', '213.182.95.255', 3585490944, 3585499135, 'IT', 'Italy'),
(159400, '213.182.96.0', '213.182.159.255', 3585499136, 3585515519, 'DE', 'Germany'),
(159401, '213.182.160.0', '213.182.191.255', 3585515520, 3585523711, 'RU', 'Russian Federation'),
(159402, '213.182.192.0', '213.182.223.255', 3585523712, 3585531903, 'LV', 'Latvia'),
(159403, '213.182.224.0', '213.182.255.255', 3585531904, 3585540095, 'AT', 'Austria'),
(159404, '213.183.0.0', '213.183.8.191', 3585540096, 3585542335, 'DE', 'Germany'),
(159405, '213.183.8.192', '213.183.8.207', 3585542336, 3585542351, 'TR', 'Turkey'),
(159406, '213.183.8.208', '213.183.18.199', 3585542352, 3585544903, 'DE', 'Germany'),
(159407, '213.183.18.200', '213.183.18.207', 3585544904, 3585544911, 'CH', 'Switzerland'),
(159408, '213.183.18.208', '213.183.18.223', 3585544912, 3585544927, 'TR', 'Turkey'),
(159409, '213.183.18.224', '213.183.31.255', 3585544928, 3585548287, 'DE', 'Germany'),
(159410, '213.183.32.0', '213.183.63.255', 3585548288, 3585556479, 'RU', 'Russian Federation'),
(159411, '213.183.64.0', '213.183.72.255', 3585556480, 3585558783, 'DE', 'Germany'),
(159412, '213.183.73.0', '213.183.73.255', 3585558784, 3585559039, 'US', 'United States'),
(159413, '213.183.74.0', '213.183.95.255', 3585559040, 3585564671, 'DE', 'Germany'),
(159414, '213.183.96.0', '213.183.127.255', 3585564672, 3585572863, 'RU', 'Russian Federation'),
(159415, '213.183.128.0', '213.183.159.255', 3585572864, 3585581055, 'IT', 'Italy'),
(159416, '213.183.160.0', '213.183.223.255', 3585581056, 3585597439, 'DE', 'Germany'),
(159417, '213.183.224.0', '213.183.255.255', 3585597440, 3585605631, 'RU', 'Russian Federation'),
(159418, '213.184.0.0', '213.184.31.255', 3585605632, 3585613823, 'PL', 'Poland'),
(159419, '213.184.32.0', '213.184.63.255', 3585613824, 3585622015, 'EE', 'Estonia'),
(159420, '213.184.64.0', '213.184.95.255', 3585622016, 3585630207, 'RU', 'Russian Federation'),
(159421, '213.184.96.0', '213.184.127.255', 3585630208, 3585638399, 'RS', 'Serbia'),
(159422, '213.184.128.0', '213.184.159.255', 3585638400, 3585646591, 'RU', 'Russian Federation'),
(159423, '213.184.160.0', '213.184.191.255', 3585646592, 3585654783, 'SA', 'Saudi Arabia'),
(159424, '213.184.192.0', '213.184.195.79', 3585654784, 3585655631, 'NO', 'Norway'),
(159425, '213.184.195.80', '213.184.195.87', 3585655632, 3585655639, 'US', 'United States'),
(159426, '213.184.195.88', '213.184.223.255', 3585655640, 3585662975, 'NO', 'Norway'),
(159427, '213.184.224.0', '213.184.255.255', 3585662976, 3585671167, 'BY', 'Belarus'),
(159428, '213.185.0.0', '213.185.3.255', 3585671168, 3585672191, 'SE', 'Sweden'),
(159429, '213.185.4.0', '213.185.4.255', 3585672192, 3585672447, 'DK', 'Denmark'),
(159430, '213.185.5.0', '213.185.6.255', 3585672448, 3585672959, 'SE', 'Sweden'),
(159431, '213.185.7.0', '213.185.10.255', 3585672960, 3585673983, 'DK', 'Denmark'),
(159432, '213.185.11.0', '213.185.11.255', 3585673984, 3585674239, 'SE', 'Sweden'),
(159433, '213.185.12.0', '213.185.17.255', 3585674240, 3585675775, 'DK', 'Denmark'),
(159434, '213.185.18.0', '213.185.19.255', 3585675776, 3585676287, 'SE', 'Sweden'),
(159435, '213.185.20.0', '213.185.22.255', 3585676288, 3585677055, 'DK', 'Denmark'),
(159436, '213.185.23.0', '213.185.23.255', 3585677056, 3585677311, 'SE', 'Sweden'),
(159437, '213.185.24.0', '213.185.24.255', 3585677312, 3585677567, 'DK', 'Denmark'),
(159438, '213.185.25.0', '213.185.31.255', 3585677568, 3585679359, 'SE', 'Sweden'),
(159439, '213.185.32.0', '213.185.63.255', 3585679360, 3585687551, 'FI', 'Finland'),
(159440, '213.185.64.0', '213.185.95.255', 3585687552, 3585695743, 'DE', 'Germany'),
(159441, '213.185.96.0', '213.185.96.255', 3585695744, 3585695999, 'CM', 'Cameroon'),
(159442, '213.185.97.0', '213.185.97.63', 3585696000, 3585696063, 'BD', 'Bangladesh'),
(159443, '213.185.97.64', '213.185.98.255', 3585696064, 3585696511, 'A2', 'Satellite Provider'),
(159444, '213.185.99.0', '213.185.99.255', 3585696512, 3585696767, 'LB', 'Lebanon'),
(159445, '213.185.100.0', '213.185.100.31', 3585696768, 3585696799, 'NO', 'Norway'),
(159446, '213.185.100.32', '213.185.100.63', 3585696800, 3585696831, 'LR', 'Liberia'),
(159447, '213.185.100.64', '213.185.100.79', 3585696832, 3585696847, 'GB', 'United Kingdom'),
(159448, '213.185.100.80', '213.185.100.255', 3585696848, 3585697023, 'A2', 'Satellite Provider'),
(159449, '213.185.101.0', '213.185.101.255', 3585697024, 3585697279, 'GB', 'United Kingdom'),
(159450, '213.185.102.0', '213.185.102.255', 3585697280, 3585697535, 'NO', 'Norway'),
(159451, '213.185.103.0', '213.185.103.255', 3585697536, 3585697791, 'A2', 'Satellite Provider'),
(159452, '213.185.104.0', '213.185.104.255', 3585697792, 3585698047, 'NG', 'Nigeria'),
(159453, '213.185.105.0', '213.185.105.255', 3585698048, 3585698303, 'A2', 'Satellite Provider'),
(159454, '213.185.106.0', '213.185.106.255', 3585698304, 3585698559, 'US', 'United States'),
(159455, '213.185.107.0', '213.185.107.255', 3585698560, 3585698815, 'A2', 'Satellite Provider'),
(159456, '213.185.108.0', '213.185.108.255', 3585698816, 3585699071, 'GB', 'United Kingdom'),
(159457, '213.185.109.0', '213.185.110.255', 3585699072, 3585699583, 'A2', 'Satellite Provider'),
(159458, '213.185.111.0', '213.185.111.127', 3585699584, 3585699711, 'US', 'United States'),
(159459, '213.185.111.128', '213.185.111.255', 3585699712, 3585699839, 'AU', 'Australia'),
(159460, '213.185.112.0', '213.185.112.255', 3585699840, 3585700095, 'IQ', 'Iraq'),
(159461, '213.185.113.0', '213.185.113.63', 3585700096, 3585700159, 'NG', 'Nigeria'),
(159462, '213.185.113.64', '213.185.113.95', 3585700160, 3585700191, 'A2', 'Satellite Provider'),
(159463, '213.185.113.96', '213.185.113.127', 3585700192, 3585700223, 'NG', 'Nigeria'),
(159464, '213.185.113.128', '213.185.113.135', 3585700224, 3585700231, 'A2', 'Satellite Provider'),
(159465, '213.185.113.136', '213.185.113.143', 3585700232, 3585700239, 'US', 'United States'),
(159466, '213.185.113.144', '213.185.113.159', 3585700240, 3585700255, 'ZA', 'South Africa'),
(159467, '213.185.113.160', '213.185.113.175', 3585700256, 3585700271, 'A2', 'Satellite Provider'),
(159468, '213.185.113.176', '213.185.113.191', 3585700272, 3585700287, 'NG', 'Nigeria'),
(159469, '213.185.113.192', '213.185.113.207', 3585700288, 3585700303, 'A2', 'Satellite Provider'),
(159470, '213.185.113.208', '213.185.113.223', 3585700304, 3585700319, 'NG', 'Nigeria'),
(159471, '213.185.113.224', '213.185.113.247', 3585700320, 3585700343, 'AU', 'Australia'),
(159472, '213.185.113.248', '213.185.113.255', 3585700344, 3585700351, 'ZA', 'South Africa'),
(159473, '213.185.114.0', '213.185.114.255', 3585700352, 3585700607, 'NG', 'Nigeria'),
(159474, '213.185.115.0', '213.185.115.255', 3585700608, 3585700863, 'TZ', 'Tanzania, United Republic of'),
(159475, '213.185.116.0', '213.185.116.255', 3585700864, 3585701119, 'IQ', 'Iraq'),
(159476, '213.185.117.0', '213.185.117.255', 3585701120, 3585701375, 'US', 'United States'),
(159477, '213.185.118.0', '213.185.118.63', 3585701376, 3585701439, 'MW', 'Malawi'),
(159478, '213.185.118.64', '213.185.118.127', 3585701440, 3585701503, 'A2', 'Satellite Provider'),
(159479, '213.185.118.128', '213.185.118.143', 3585701504, 3585701519, 'NG', 'Nigeria'),
(159480, '213.185.118.144', '213.185.118.159', 3585701520, 3585701535, 'CA', 'Canada'),
(159481, '213.185.118.160', '213.185.118.255', 3585701536, 3585701631, 'NG', 'Nigeria'),
(159482, '213.185.119.0', '213.185.119.255', 3585701632, 3585701887, 'A2', 'Satellite Provider'),
(159483, '213.185.120.0', '213.185.120.255', 3585701888, 3585702143, 'FR', 'France'),
(159484, '213.185.121.0', '213.185.121.255', 3585702144, 3585702399, 'LR', 'Liberia'),
(159485, '213.185.122.0', '213.185.122.127', 3585702400, 3585702527, 'US', 'United States'),
(159486, '213.185.122.128', '213.185.122.255', 3585702528, 3585702655, 'TZ', 'Tanzania, United Republic of'),
(159487, '213.185.123.0', '213.185.123.255', 3585702656, 3585702911, 'TG', 'Togo'),
(159488, '213.185.124.0', '213.185.124.255', 3585702912, 3585703167, 'NG', 'Nigeria'),
(159489, '213.185.125.0', '213.185.125.255', 3585703168, 3585703423, 'FR', 'France'),
(159490, '213.185.126.0', '213.185.127.255', 3585703424, 3585703935, 'A2', 'Satellite Provider'),
(159491, '213.185.128.0', '213.185.159.255', 3585703936, 3585712127, 'DE', 'Germany'),
(159492, '213.185.160.0', '213.185.176.111', 3585712128, 3585716335, 'AT', 'Austria'),
(159493, '213.185.176.112', '213.185.176.127', 3585716336, 3585716351, 'DE', 'Germany'),
(159494, '213.185.176.128', '213.185.191.255', 3585716352, 3585720319, 'AT', 'Austria'),
(159495, '213.185.192.0', '213.185.223.255', 3585720320, 3585728511, 'GB', 'United Kingdom'),
(159496, '213.185.224.0', '213.185.255.255', 3585728512, 3585736703, 'SE', 'Sweden'),
(159497, '213.186.0.0', '213.186.31.255', 3585736704, 3585744895, 'HR', 'Croatia'),
(159498, '213.186.32.0', '213.186.49.47', 3585744896, 3585749295, 'FR', 'France'),
(159499, '213.186.49.48', '213.186.49.63', 3585749296, 3585749311, 'ES', 'Spain'),
(159500, '213.186.49.64', '213.186.51.255', 3585749312, 3585750015, 'FR', 'France'),
(159501, '213.186.52.0', '213.186.52.15', 3585750016, 3585750031, 'GB', 'United Kingdom'),
(159502, '213.186.52.16', '213.186.52.255', 3585750032, 3585750271, 'FR', 'France'),
(159503, '213.186.53.0', '213.186.53.15', 3585750272, 3585750287, 'ES', 'Spain'),
(159504, '213.186.53.16', '213.186.53.63', 3585750288, 3585750335, 'FR', 'France'),
(159505, '213.186.53.64', '213.186.53.79', 3585750336, 3585750351, 'GB', 'United Kingdom'),
(159506, '213.186.53.80', '213.186.53.95', 3585750352, 3585750367, 'DE', 'Germany'),
(159507, '213.186.53.96', '213.186.53.111', 3585750368, 3585750383, 'ES', 'Spain'),
(159508, '213.186.53.112', '213.186.53.127', 3585750384, 3585750399, 'PT', 'Portugal'),
(159509, '213.186.53.128', '213.186.53.175', 3585750400, 3585750447, 'FR', 'France'),
(159510, '213.186.53.176', '213.186.53.191', 3585750448, 3585750463, 'DE', 'Germany'),
(159511, '213.186.53.192', '213.186.63.255', 3585750464, 3585753087, 'FR', 'France'),
(159512, '213.186.64.0', '213.186.95.255', 3585753088, 3585761279, 'PL', 'Poland'),
(159513, '213.186.96.0', '213.186.127.255', 3585761280, 3585769471, 'UA', 'Ukraine'),
(159514, '213.186.128.0', '213.186.159.255', 3585769472, 3585777663, 'TR', 'Turkey'),
(159515, '213.186.160.0', '213.186.191.255', 3585777664, 3585785855, 'JO', 'Jordan'),
(159516, '213.186.192.0', '213.186.223.255', 3585785856, 3585794047, 'UA', 'Ukraine'),
(159517, '213.186.224.0', '213.186.255.255', 3585794048, 3585802239, 'FI', 'Finland'),
(159518, '213.187.0.0', '213.187.31.255', 3585802240, 3585810431, 'IT', 'Italy'),
(159519, '213.187.32.0', '213.187.63.255', 3585810432, 3585818623, 'GB', 'United Kingdom'),
(159520, '213.187.64.0', '213.187.95.255', 3585818624, 3585826815, 'DE', 'Germany'),
(159521, '213.187.96.0', '213.187.127.255', 3585826816, 3585835007, 'RU', 'Russian Federation'),
(159522, '213.187.128.0', '213.187.128.15', 3585835008, 3585835023, 'GB', 'United Kingdom'),
(159523, '213.187.128.16', '213.187.130.255', 3585835024, 3585835775, 'NL', 'Netherlands'),
(159524, '213.187.131.0', '213.187.131.63', 3585835776, 3585835839, 'GQ', 'Equatorial Guinea'),
(159525, '213.187.131.64', '213.187.131.71', 3585835840, 3585835847, 'AO', 'Angola'),
(159526, '213.187.131.72', '213.187.131.95', 3585835848, 3585835871, 'NL', 'Netherlands'),
(159527, '213.187.131.96', '213.187.131.103', 3585835872, 3585835879, 'IQ', 'Iraq'),
(159528, '213.187.131.104', '213.187.131.119', 3585835880, 3585835895, 'NL', 'Netherlands'),
(159529, '213.187.131.120', '213.187.131.127', 3585835896, 3585835903, 'IQ', 'Iraq'),
(159530, '213.187.131.128', '213.187.131.135', 3585835904, 3585835911, 'NL', 'Netherlands'),
(159531, '213.187.131.136', '213.187.131.143', 3585835912, 3585835919, 'KE', 'Kenya'),
(159532, '213.187.131.144', '213.187.132.255', 3585835920, 3585836287, 'NL', 'Netherlands'),
(159533, '213.187.133.0', '213.187.133.255', 3585836288, 3585836543, 'CH', 'Switzerland'),
(159534, '213.187.134.0', '213.187.135.255', 3585836544, 3585837055, 'DZ', 'Algeria'),
(159535, '213.187.136.0', '213.187.137.255', 3585837056, 3585837567, 'IQ', 'Iraq'),
(159536, '213.187.138.0', '213.187.140.63', 3585837568, 3585838143, 'AO', 'Angola'),
(159537, '213.187.140.64', '213.187.140.127', 3585838144, 3585838207, 'NA', 'Namibia'),
(159538, '213.187.140.128', '213.187.140.167', 3585838208, 3585838247, 'NL', 'Netherlands'),
(159539, '213.187.140.168', '213.187.140.175', 3585838248, 3585838255, 'AO', 'Angola');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(159540, '213.187.140.176', '213.187.140.191', 3585838256, 3585838271, 'NL', 'Netherlands'),
(159541, '213.187.140.192', '213.187.140.199', 3585838272, 3585838279, 'AO', 'Angola'),
(159542, '213.187.140.200', '213.187.140.215', 3585838280, 3585838295, 'NL', 'Netherlands'),
(159543, '213.187.140.216', '213.187.140.223', 3585838296, 3585838303, 'AO', 'Angola'),
(159544, '213.187.140.224', '213.187.142.127', 3585838304, 3585838719, 'NL', 'Netherlands'),
(159545, '213.187.142.128', '213.187.142.255', 3585838720, 3585838847, 'NG', 'Nigeria'),
(159546, '213.187.143.0', '213.187.143.31', 3585838848, 3585838879, 'NL', 'Netherlands'),
(159547, '213.187.143.32', '213.187.143.63', 3585838880, 3585838911, 'IQ', 'Iraq'),
(159548, '213.187.143.64', '213.187.143.127', 3585838912, 3585838975, 'NG', 'Nigeria'),
(159549, '213.187.143.128', '213.187.143.255', 3585838976, 3585839103, 'DZ', 'Algeria'),
(159550, '213.187.144.0', '213.187.147.255', 3585839104, 3585840127, 'NL', 'Netherlands'),
(159551, '213.187.148.0', '213.187.151.255', 3585840128, 3585841151, 'US', 'United States'),
(159552, '213.187.152.0', '213.187.152.255', 3585841152, 3585841407, 'NL', 'Netherlands'),
(159553, '213.187.153.0', '213.187.153.3', 3585841408, 3585841411, 'NG', 'Nigeria'),
(159554, '213.187.153.4', '213.187.154.255', 3585841412, 3585841919, 'NL', 'Netherlands'),
(159555, '213.187.155.0', '213.187.155.255', 3585841920, 3585842175, 'NG', 'Nigeria'),
(159556, '213.187.156.0', '213.187.156.23', 3585842176, 3585842199, 'IQ', 'Iraq'),
(159557, '213.187.156.24', '213.187.156.31', 3585842200, 3585842207, 'NL', 'Netherlands'),
(159558, '213.187.156.32', '213.187.157.255', 3585842208, 3585842687, 'IQ', 'Iraq'),
(159559, '213.187.158.0', '213.187.158.255', 3585842688, 3585842943, 'US', 'United States'),
(159560, '213.187.159.0', '213.187.159.255', 3585842944, 3585843199, 'NL', 'Netherlands'),
(159561, '213.187.160.0', '213.187.191.255', 3585843200, 3585851391, 'NO', 'Norway'),
(159562, '213.187.192.0', '213.187.223.255', 3585851392, 3585859583, 'SE', 'Sweden'),
(159563, '213.187.224.0', '213.187.227.255', 3585859584, 3585860607, 'RU', 'Russian Federation'),
(159564, '213.187.228.0', '213.187.239.255', 3585860608, 3585863679, 'DE', 'Germany'),
(159565, '213.187.240.0', '213.187.243.255', 3585863680, 3585864703, 'RU', 'Russian Federation'),
(159566, '213.187.244.0', '213.187.246.255', 3585864704, 3585865471, 'DE', 'Germany'),
(159567, '213.187.247.0', '213.187.247.255', 3585865472, 3585865727, 'LB', 'Lebanon'),
(159568, '213.187.248.0', '213.187.255.255', 3585865728, 3585867775, 'RU', 'Russian Federation'),
(159569, '213.188.0.0', '213.188.31.255', 3585867776, 3585875967, 'NO', 'Norway'),
(159570, '213.188.32.0', '213.188.63.255', 3585875968, 3585884159, 'CH', 'Switzerland'),
(159571, '213.188.64.0', '213.188.95.255', 3585884160, 3585892351, 'IQ', 'Iraq'),
(159572, '213.188.96.0', '213.188.127.255', 3585892352, 3585900543, 'DE', 'Germany'),
(159573, '213.188.128.0', '213.188.134.159', 3585900544, 3585902239, 'NO', 'Norway'),
(159574, '213.188.134.160', '213.188.134.191', 3585902240, 3585902271, 'GB', 'United Kingdom'),
(159575, '213.188.134.192', '213.188.135.111', 3585902272, 3585902447, 'NO', 'Norway'),
(159576, '213.188.135.112', '213.188.135.127', 3585902448, 3585902463, 'GB', 'United Kingdom'),
(159577, '213.188.135.128', '213.188.159.255', 3585902464, 3585908735, 'NO', 'Norway'),
(159578, '213.188.160.0', '213.188.160.255', 3585908736, 3585908991, 'GP', 'Guadeloupe'),
(159579, '213.188.161.0', '213.188.163.255', 3585908992, 3585909759, 'GF', 'French Guiana'),
(159580, '213.188.164.0', '213.188.164.255', 3585909760, 3585910015, 'GP', 'Guadeloupe'),
(159581, '213.188.165.0', '213.188.165.255', 3585910016, 3585910271, 'MQ', 'Martinique'),
(159582, '213.188.166.0', '213.188.166.255', 3585910272, 3585910527, 'GP', 'Guadeloupe'),
(159583, '213.188.167.0', '213.188.167.255', 3585910528, 3585910783, 'FR', 'France'),
(159584, '213.188.168.0', '213.188.168.255', 3585910784, 3585911039, 'GP', 'Guadeloupe'),
(159585, '213.188.169.0', '213.188.169.255', 3585911040, 3585911295, 'FR', 'France'),
(159586, '213.188.170.0', '213.188.176.255', 3585911296, 3585913087, 'GP', 'Guadeloupe'),
(159587, '213.188.177.0', '213.188.177.255', 3585913088, 3585913343, 'FR', 'France'),
(159588, '213.188.178.0', '213.188.182.255', 3585913344, 3585914623, 'GP', 'Guadeloupe'),
(159589, '213.188.183.0', '213.188.183.255', 3585914624, 3585914879, 'GF', 'French Guiana'),
(159590, '213.188.184.0', '213.188.184.255', 3585914880, 3585915135, 'MQ', 'Martinique'),
(159591, '213.188.185.0', '213.188.186.255', 3585915136, 3585915647, 'GP', 'Guadeloupe'),
(159592, '213.188.187.0', '213.188.187.255', 3585915648, 3585915903, 'FR', 'France'),
(159593, '213.188.188.0', '213.188.188.255', 3585915904, 3585916159, 'GP', 'Guadeloupe'),
(159594, '213.188.189.0', '213.188.190.255', 3585916160, 3585916671, 'FR', 'France'),
(159595, '213.188.191.0', '213.188.191.255', 3585916672, 3585916927, 'MQ', 'Martinique'),
(159596, '213.188.192.0', '213.188.223.255', 3585916928, 3585925119, 'IT', 'Italy'),
(159597, '213.188.224.0', '213.188.255.255', 3585925120, 3585933311, 'CH', 'Switzerland'),
(159598, '213.189.0.0', '213.189.10.255', 3585933312, 3585936127, 'NL', 'Netherlands'),
(159599, '213.189.11.0', '213.189.15.255', 3585936128, 3585937407, 'US', 'United States'),
(159600, '213.189.16.0', '213.189.27.255', 3585937408, 3585940479, 'NL', 'Netherlands'),
(159601, '213.189.28.0', '213.189.28.255', 3585940480, 3585940735, 'BE', 'Belgium'),
(159602, '213.189.29.0', '213.189.31.255', 3585940736, 3585941503, 'NL', 'Netherlands'),
(159603, '213.189.32.0', '213.189.38.95', 3585941504, 3585943135, 'PL', 'Poland'),
(159604, '213.189.38.96', '213.189.38.127', 3585943136, 3585943167, 'HU', 'Hungary'),
(159605, '213.189.38.128', '213.189.63.255', 3585943168, 3585949695, 'PL', 'Poland'),
(159606, '213.189.64.0', '213.189.95.255', 3585949696, 3585957887, 'KW', 'Kuwait'),
(159607, '213.189.96.0', '213.189.127.255', 3585957888, 3585966079, 'SE', 'Sweden'),
(159608, '213.189.128.0', '213.189.159.255', 3585966080, 3585974271, 'CH', 'Switzerland'),
(159609, '213.189.160.0', '213.189.191.255', 3585974272, 3585982463, 'BE', 'Belgium'),
(159610, '213.189.192.0', '213.189.255.255', 3585982464, 3585998847, 'RU', 'Russian Federation'),
(159611, '213.190.0.0', '213.190.31.255', 3585998848, 3586007039, 'ES', 'Spain'),
(159612, '213.190.32.0', '213.190.63.255', 3586007040, 3586015231, 'LT', 'Lithuania'),
(159613, '213.190.64.0', '213.190.95.255', 3586015232, 3586023423, 'FR', 'France'),
(159614, '213.190.96.0', '213.190.127.255', 3586023424, 3586031615, 'IS', 'Iceland'),
(159615, '213.190.128.0', '213.190.159.255', 3586031616, 3586039807, 'IE', 'Ireland'),
(159616, '213.190.160.0', '213.190.191.255', 3586039808, 3586047999, 'GB', 'United Kingdom'),
(159617, '213.190.192.0', '213.190.223.255', 3586048000, 3586056191, 'PT', 'Portugal'),
(159618, '213.190.224.0', '213.191.31.255', 3586056192, 3586072575, 'RU', 'Russian Federation'),
(159619, '213.191.32.0', '213.191.95.255', 3586072576, 3586088959, 'DE', 'Germany'),
(159620, '213.191.96.0', '213.191.127.255', 3586088960, 3586097151, 'CZ', 'Czech Republic'),
(159621, '213.191.128.0', '213.191.159.255', 3586097152, 3586105343, 'HR', 'Croatia'),
(159622, '213.191.160.0', '213.191.160.255', 3586105344, 3586105599, 'A2', 'Satellite Provider'),
(159623, '213.191.161.0', '213.191.161.127', 3586105600, 3586105727, 'ER', 'Eritrea'),
(159624, '213.191.161.128', '213.191.191.255', 3586105728, 3586113535, 'A2', 'Satellite Provider'),
(159625, '213.191.192.0', '213.191.223.255', 3586113536, 3586121727, 'BG', 'Bulgaria'),
(159626, '213.191.224.0', '213.191.255.255', 3586121728, 3586129919, 'IE', 'Ireland'),
(159627, '213.192.0.0', '213.192.63.255', 3586129920, 3586146303, 'CZ', 'Czech Republic'),
(159628, '213.192.64.0', '213.192.127.255', 3586146304, 3586162687, 'PL', 'Poland'),
(159629, '213.192.128.0', '213.192.191.255', 3586162688, 3586179071, 'FI', 'Finland'),
(159630, '213.192.192.0', '213.192.241.255', 3586179072, 3586191871, 'ES', 'Spain'),
(159631, '213.192.242.0', '213.192.242.15', 3586191872, 3586191887, 'FR', 'France'),
(159632, '213.192.242.16', '213.192.255.255', 3586191888, 3586195455, 'ES', 'Spain'),
(159633, '213.193.0.0', '213.193.31.255', 3586195456, 3586203647, 'RU', 'Russian Federation'),
(159634, '213.193.32.0', '213.193.33.255', 3586203648, 3586204159, 'ZM', 'Zambia'),
(159635, '213.193.34.0', '213.193.39.255', 3586204160, 3586205695, 'KE', 'Kenya'),
(159636, '213.193.40.0', '213.193.47.255', 3586205696, 3586207743, 'BW', 'Botswana'),
(159637, '213.193.48.0', '213.193.48.255', 3586207744, 3586207999, 'ZA', 'South Africa'),
(159638, '213.193.49.0', '213.193.49.255', 3586208000, 3586208255, 'A2', 'Satellite Provider'),
(159639, '213.193.50.0', '213.193.51.255', 3586208256, 3586208767, 'ZA', 'South Africa'),
(159640, '213.193.52.0', '213.193.60.255', 3586208768, 3586211071, 'KE', 'Kenya'),
(159641, '213.193.61.0', '213.193.61.255', 3586211072, 3586211327, 'BW', 'Botswana'),
(159642, '213.193.62.0', '213.193.63.255', 3586211328, 3586211839, 'KE', 'Kenya'),
(159643, '213.193.64.0', '213.193.96.255', 3586211840, 3586220287, 'CH', 'Switzerland'),
(159644, '213.193.97.0', '213.193.97.15', 3586220288, 3586220303, 'FR', 'France'),
(159645, '213.193.97.16', '213.193.116.143', 3586220304, 3586225295, 'CH', 'Switzerland'),
(159646, '213.193.116.144', '213.193.116.159', 3586225296, 3586225311, 'FR', 'France'),
(159647, '213.193.116.160', '213.193.127.255', 3586225312, 3586228223, 'CH', 'Switzerland'),
(159648, '213.193.128.0', '213.193.164.255', 3586228224, 3586237695, 'BE', 'Belgium'),
(159649, '213.193.165.0', '213.193.165.255', 3586237696, 3586237951, 'NL', 'Netherlands'),
(159650, '213.193.166.0', '213.193.191.255', 3586237952, 3586244607, 'BE', 'Belgium'),
(159651, '213.193.192.0', '213.193.193.255', 3586244608, 3586245119, 'NL', 'Netherlands'),
(159652, '213.193.194.0', '213.193.199.255', 3586245120, 3586246655, 'GB', 'United Kingdom'),
(159653, '213.193.200.0', '213.193.207.255', 3586246656, 3586248703, 'BE', 'Belgium'),
(159654, '213.193.208.0', '213.193.214.209', 3586248704, 3586250449, 'NL', 'Netherlands'),
(159655, '213.193.214.210', '213.193.214.217', 3586250450, 3586250457, 'BE', 'Belgium'),
(159656, '213.193.214.218', '213.193.223.255', 3586250458, 3586252799, 'NL', 'Netherlands'),
(159657, '213.193.224.0', '213.193.231.255', 3586252800, 3586254847, 'BE', 'Belgium'),
(159658, '213.193.232.0', '213.193.247.255', 3586254848, 3586258943, 'NL', 'Netherlands'),
(159659, '213.193.248.0', '213.193.249.255', 3586258944, 3586259455, 'BE', 'Belgium'),
(159660, '213.193.250.0', '213.194.32.63', 3586259456, 3586269247, 'NL', 'Netherlands'),
(159661, '213.194.32.64', '213.194.32.79', 3586269248, 3586269263, 'ES', 'Spain'),
(159662, '213.194.32.80', '213.194.32.191', 3586269264, 3586269375, 'NL', 'Netherlands'),
(159663, '213.194.32.192', '213.194.32.231', 3586269376, 3586269415, 'ES', 'Spain'),
(159664, '213.194.32.232', '213.194.32.239', 3586269416, 3586269423, 'NL', 'Netherlands'),
(159665, '213.194.32.240', '213.194.32.255', 3586269424, 3586269439, 'ES', 'Spain'),
(159666, '213.194.33.0', '213.194.33.31', 3586269440, 3586269471, 'NL', 'Netherlands'),
(159667, '213.194.33.32', '213.194.33.63', 3586269472, 3586269503, 'ES', 'Spain'),
(159668, '213.194.33.64', '213.194.33.95', 3586269504, 3586269535, 'NL', 'Netherlands'),
(159669, '213.194.33.96', '213.194.33.167', 3586269536, 3586269607, 'GB', 'United Kingdom'),
(159670, '213.194.33.168', '213.194.33.255', 3586269608, 3586269695, 'ES', 'Spain'),
(159671, '213.194.34.0', '213.194.34.63', 3586269696, 3586269759, 'NL', 'Netherlands'),
(159672, '213.194.34.64', '213.194.34.127', 3586269760, 3586269823, 'ES', 'Spain'),
(159673, '213.194.34.128', '213.194.34.159', 3586269824, 3586269855, 'NL', 'Netherlands'),
(159674, '213.194.34.160', '213.194.34.191', 3586269856, 3586269887, 'ES', 'Spain'),
(159675, '213.194.34.192', '213.194.34.223', 3586269888, 3586269919, 'NL', 'Netherlands'),
(159676, '213.194.34.224', '213.194.35.127', 3586269920, 3586270079, 'ES', 'Spain'),
(159677, '213.194.35.128', '213.194.35.255', 3586270080, 3586270207, 'NL', 'Netherlands'),
(159678, '213.194.36.0', '213.194.39.255', 3586270208, 3586271231, 'ES', 'Spain'),
(159679, '213.194.40.0', '213.194.40.255', 3586271232, 3586271487, 'NL', 'Netherlands'),
(159680, '213.194.41.0', '213.194.42.79', 3586271488, 3586271823, 'ES', 'Spain'),
(159681, '213.194.42.80', '213.194.42.95', 3586271824, 3586271839, 'IT', 'Italy'),
(159682, '213.194.42.96', '213.194.43.255', 3586271840, 3586272255, 'ES', 'Spain'),
(159683, '213.194.44.0', '213.194.44.127', 3586272256, 3586272383, 'NL', 'Netherlands'),
(159684, '213.194.44.128', '213.194.46.47', 3586272384, 3586272815, 'ES', 'Spain'),
(159685, '213.194.46.48', '213.194.46.55', 3586272816, 3586272823, 'IT', 'Italy'),
(159686, '213.194.46.56', '213.194.46.95', 3586272824, 3586272863, 'ES', 'Spain'),
(159687, '213.194.46.96', '213.194.46.127', 3586272864, 3586272895, 'NL', 'Netherlands'),
(159688, '213.194.46.128', '213.194.46.191', 3586272896, 3586272959, 'IT', 'Italy'),
(159689, '213.194.46.192', '213.194.46.223', 3586272960, 3586272991, 'ES', 'Spain'),
(159690, '213.194.46.224', '213.194.46.239', 3586272992, 3586273007, 'IT', 'Italy'),
(159691, '213.194.46.240', '213.194.46.247', 3586273008, 3586273015, 'ES', 'Spain'),
(159692, '213.194.46.248', '213.194.46.255', 3586273016, 3586273023, 'IT', 'Italy'),
(159693, '213.194.47.0', '213.194.59.255', 3586273024, 3586276351, 'NL', 'Netherlands'),
(159694, '213.194.60.0', '213.194.61.255', 3586276352, 3586276863, 'ES', 'Spain'),
(159695, '213.194.62.0', '213.194.63.255', 3586276864, 3586277375, 'NL', 'Netherlands'),
(159696, '213.194.64.0', '213.194.99.255', 3586277376, 3586286591, 'TR', 'Turkey'),
(159697, '213.194.100.0', '213.194.100.15', 3586286592, 3586286607, 'A2', 'Satellite Provider'),
(159698, '213.194.100.16', '213.194.127.255', 3586286608, 3586293759, 'TR', 'Turkey'),
(159699, '213.194.128.0', '213.194.191.255', 3586293760, 3586310143, 'ES', 'Spain'),
(159700, '213.194.192.0', '213.194.255.255', 3586310144, 3586326527, 'CZ', 'Czech Republic'),
(159701, '213.195.0.0', '213.195.63.255', 3586326528, 3586342911, 'IR', 'Iran, Islamic Republic of'),
(159702, '213.195.64.0', '213.195.127.255', 3586342912, 3586359295, 'ES', 'Spain'),
(159703, '213.195.128.0', '213.195.191.255', 3586359296, 3586375679, 'PL', 'Poland'),
(159704, '213.195.192.0', '213.195.255.255', 3586375680, 3586392063, 'CZ', 'Czech Republic'),
(159705, '213.196.0.0', '213.196.63.255', 3586392064, 3586408447, 'NL', 'Netherlands'),
(159706, '213.196.64.0', '213.196.127.255', 3586408448, 3586424831, 'BA', 'Bosnia and Herzegovina'),
(159707, '213.196.128.0', '213.196.191.255', 3586424832, 3586441215, 'CH', 'Switzerland'),
(159708, '213.196.192.0', '213.196.255.255', 3586441216, 3586457599, 'DE', 'Germany'),
(159709, '213.197.0.0', '213.197.63.255', 3586457600, 3586473983, 'NL', 'Netherlands'),
(159710, '213.197.64.0', '213.197.64.3', 3586473984, 3586473987, 'SK', 'Slovakia'),
(159711, '213.197.64.4', '213.197.71.255', 3586473988, 3586476031, 'HU', 'Hungary'),
(159712, '213.197.72.0', '213.197.72.31', 3586476032, 3586476063, 'TR', 'Turkey'),
(159713, '213.197.72.32', '213.197.72.255', 3586476064, 3586476287, 'HU', 'Hungary'),
(159714, '213.197.73.0', '213.197.73.15', 3586476288, 3586476303, 'SK', 'Slovakia'),
(159715, '213.197.73.16', '213.197.73.63', 3586476304, 3586476351, 'HU', 'Hungary'),
(159716, '213.197.73.64', '213.197.73.95', 3586476352, 3586476383, 'AT', 'Austria'),
(159717, '213.197.73.96', '213.197.73.119', 3586476384, 3586476407, 'UA', 'Ukraine'),
(159718, '213.197.73.120', '213.197.73.143', 3586476408, 3586476431, 'HU', 'Hungary'),
(159719, '213.197.73.144', '213.197.73.151', 3586476432, 3586476439, 'SK', 'Slovakia'),
(159720, '213.197.73.152', '213.197.79.255', 3586476440, 3586478079, 'HU', 'Hungary'),
(159721, '213.197.80.0', '213.197.81.255', 3586478080, 3586478591, 'SK', 'Slovakia'),
(159722, '213.197.82.0', '213.197.82.255', 3586478592, 3586478847, 'HU', 'Hungary'),
(159723, '213.197.83.0', '213.197.83.255', 3586478848, 3586479103, 'SK', 'Slovakia'),
(159724, '213.197.84.0', '213.197.84.255', 3586479104, 3586479359, 'TR', 'Turkey'),
(159725, '213.197.85.0', '213.197.85.255', 3586479360, 3586479615, 'SK', 'Slovakia'),
(159726, '213.197.86.0', '213.197.127.255', 3586479616, 3586490367, 'HU', 'Hungary'),
(159727, '213.197.128.0', '213.197.191.255', 3586490368, 3586506751, 'LT', 'Lithuania'),
(159728, '213.197.192.0', '213.197.255.255', 3586506752, 3586523135, 'NL', 'Netherlands'),
(159729, '213.198.0.0', '213.198.75.223', 3586523136, 3586542559, 'DE', 'Germany'),
(159730, '213.198.75.224', '213.198.75.231', 3586542560, 3586542567, 'AE', 'United Arab Emirates'),
(159731, '213.198.75.232', '213.198.79.159', 3586542568, 3586543519, 'DE', 'Germany'),
(159732, '213.198.79.160', '213.198.79.167', 3586543520, 3586543527, 'GB', 'United Kingdom'),
(159733, '213.198.79.168', '213.198.80.143', 3586543528, 3586543759, 'DE', 'Germany'),
(159734, '213.198.80.144', '213.198.80.175', 3586543760, 3586543791, 'GB', 'United Kingdom'),
(159735, '213.198.80.176', '213.198.84.63', 3586543792, 3586544703, 'DE', 'Germany'),
(159736, '213.198.84.64', '213.198.84.79', 3586544704, 3586544719, 'AE', 'United Arab Emirates'),
(159737, '213.198.84.80', '213.198.85.223', 3586544720, 3586545119, 'DE', 'Germany'),
(159738, '213.198.85.224', '213.198.85.231', 3586545120, 3586545127, 'GB', 'United Kingdom'),
(159739, '213.198.85.232', '213.198.88.15', 3586545128, 3586545679, 'DE', 'Germany'),
(159740, '213.198.88.16', '213.198.88.39', 3586545680, 3586545703, 'GB', 'United Kingdom'),
(159741, '213.198.88.40', '213.198.90.111', 3586545704, 3586546287, 'DE', 'Germany'),
(159742, '213.198.90.112', '213.198.90.127', 3586546288, 3586546303, 'GB', 'United Kingdom'),
(159743, '213.198.90.128', '213.198.90.135', 3586546304, 3586546311, 'DE', 'Germany'),
(159744, '213.198.90.136', '213.198.90.143', 3586546312, 3586546319, 'GB', 'United Kingdom'),
(159745, '213.198.90.144', '213.198.90.199', 3586546320, 3586546375, 'DE', 'Germany'),
(159746, '213.198.90.200', '213.198.90.207', 3586546376, 3586546383, 'GB', 'United Kingdom'),
(159747, '213.198.90.208', '213.198.90.239', 3586546384, 3586546415, 'DE', 'Germany'),
(159748, '213.198.90.240', '213.198.90.247', 3586546416, 3586546423, 'GB', 'United Kingdom'),
(159749, '213.198.90.248', '213.198.93.143', 3586546424, 3586547087, 'DE', 'Germany'),
(159750, '213.198.93.144', '213.198.93.151', 3586547088, 3586547095, 'GB', 'United Kingdom'),
(159751, '213.198.93.152', '213.198.127.255', 3586547096, 3586555903, 'DE', 'Germany'),
(159752, '213.198.128.0', '213.198.191.255', 3586555904, 3586572287, 'IT', 'Italy'),
(159753, '213.198.192.0', '213.198.255.255', 3586572288, 3586588671, 'RS', 'Serbia'),
(159754, '213.199.0.0', '213.199.31.255', 3586588672, 3586596863, 'IT', 'Italy'),
(159755, '213.199.32.0', '213.199.63.255', 3586596864, 3586605055, 'GB', 'United Kingdom'),
(159756, '213.199.64.0', '213.199.127.255', 3586605056, 3586621439, 'SE', 'Sweden'),
(159757, '213.199.128.0', '213.199.128.255', 3586621440, 3586621695, 'EU', 'Europe'),
(159758, '213.199.129.0', '213.199.143.255', 3586621696, 3586625535, 'IE', 'Ireland'),
(159759, '213.199.144.0', '213.199.159.255', 3586625536, 3586629631, 'GB', 'United Kingdom'),
(159760, '213.199.160.0', '213.199.191.255', 3586629632, 3586637823, 'IE', 'Ireland'),
(159761, '213.199.192.0', '213.199.255.255', 3586637824, 3586654207, 'PL', 'Poland'),
(159762, '213.200.0.0', '213.200.31.255', 3586654208, 3586662399, 'GE', 'Georgia'),
(159763, '213.200.32.0', '213.200.63.255', 3586662400, 3586670591, 'UA', 'Ukraine'),
(159764, '213.200.64.0', '213.200.89.191', 3586670592, 3586677183, 'DE', 'Germany'),
(159765, '213.200.89.192', '213.200.89.255', 3586677184, 3586677247, 'FR', 'France'),
(159766, '213.200.90.0', '213.200.90.63', 3586677248, 3586677311, 'DE', 'Germany'),
(159767, '213.200.90.64', '213.200.90.79', 3586677312, 3586677327, 'FR', 'France'),
(159768, '213.200.90.80', '213.200.90.127', 3586677328, 3586677375, 'DE', 'Germany'),
(159769, '213.200.90.128', '213.200.90.186', 3586677376, 3586677434, 'FR', 'France'),
(159770, '213.200.90.187', '213.200.90.187', 3586677435, 3586677435, 'DE', 'Germany'),
(159771, '213.200.90.188', '213.200.90.239', 3586677436, 3586677487, 'FR', 'France'),
(159772, '213.200.90.240', '213.200.91.255', 3586677488, 3586677759, 'DE', 'Germany'),
(159773, '213.200.92.0', '213.200.92.255', 3586677760, 3586678015, 'GR', 'Greece'),
(159774, '213.200.93.0', '213.200.93.255', 3586678016, 3586678271, 'DE', 'Germany'),
(159775, '213.200.94.0', '213.200.94.127', 3586678272, 3586678399, 'FR', 'France'),
(159776, '213.200.94.128', '213.200.94.143', 3586678400, 3586678415, 'GB', 'United Kingdom'),
(159777, '213.200.94.144', '213.200.94.159', 3586678416, 3586678431, 'FR', 'France'),
(159778, '213.200.94.160', '213.200.94.167', 3586678432, 3586678439, 'IE', 'Ireland'),
(159779, '213.200.94.168', '213.200.94.175', 3586678440, 3586678447, 'FR', 'France'),
(159780, '213.200.94.176', '213.200.94.255', 3586678448, 3586678527, 'IE', 'Ireland'),
(159781, '213.200.95.0', '213.200.95.127', 3586678528, 3586678655, 'FR', 'France'),
(159782, '213.200.95.128', '213.200.95.143', 3586678656, 3586678671, 'CY', 'Cyprus'),
(159783, '213.200.95.144', '213.200.95.151', 3586678672, 3586678679, 'GB', 'United Kingdom'),
(159784, '213.200.95.152', '213.200.95.159', 3586678680, 3586678687, 'MU', 'Mauritius'),
(159785, '213.200.95.160', '213.200.95.255', 3586678688, 3586678783, 'GB', 'United Kingdom'),
(159786, '213.200.96.0', '213.200.96.255', 3586678784, 3586679039, 'IT', 'Italy'),
(159787, '213.200.97.0', '213.200.97.63', 3586679040, 3586679103, 'FR', 'France'),
(159788, '213.200.97.64', '213.200.97.127', 3586679104, 3586679167, 'DE', 'Germany'),
(159789, '213.200.97.128', '213.200.97.255', 3586679168, 3586679295, 'FR', 'France'),
(159790, '213.200.98.0', '213.200.98.31', 3586679296, 3586679327, 'BE', 'Belgium'),
(159791, '213.200.98.32', '213.200.98.47', 3586679328, 3586679343, 'DK', 'Denmark'),
(159792, '213.200.98.48', '213.200.98.63', 3586679344, 3586679359, 'BE', 'Belgium'),
(159793, '213.200.98.64', '213.200.98.127', 3586679360, 3586679423, 'DE', 'Germany'),
(159794, '213.200.98.128', '213.200.99.31', 3586679424, 3586679583, 'FR', 'France'),
(159795, '213.200.99.32', '213.200.99.47', 3586679584, 3586679599, 'IT', 'Italy'),
(159796, '213.200.99.48', '213.200.99.95', 3586679600, 3586679647, 'FR', 'France'),
(159797, '213.200.99.96', '213.200.99.159', 3586679648, 3586679711, 'IT', 'Italy'),
(159798, '213.200.99.160', '213.200.99.175', 3586679712, 3586679727, 'FR', 'France'),
(159799, '213.200.99.176', '213.200.99.255', 3586679728, 3586679807, 'IT', 'Italy'),
(159800, '213.200.100.0', '213.200.101.255', 3586679808, 3586680319, 'FR', 'France'),
(159801, '213.200.102.0', '213.200.102.255', 3586680320, 3586680575, 'ES', 'Spain'),
(159802, '213.200.103.0', '213.200.103.31', 3586680576, 3586680607, 'FR', 'France'),
(159803, '213.200.103.32', '213.200.103.39', 3586680608, 3586680615, 'ES', 'Spain'),
(159804, '213.200.103.40', '213.200.103.127', 3586680616, 3586680703, 'FR', 'France'),
(159805, '213.200.103.128', '213.200.103.255', 3586680704, 3586680831, 'ES', 'Spain'),
(159806, '213.200.104.0', '213.200.109.127', 3586680832, 3586682239, 'FR', 'France'),
(159807, '213.200.109.128', '213.200.109.255', 3586682240, 3586682367, 'US', 'United States'),
(159808, '213.200.110.0', '213.200.110.31', 3586682368, 3586682399, 'AT', 'Austria'),
(159809, '213.200.110.32', '213.200.111.255', 3586682400, 3586682879, 'FR', 'France'),
(159810, '213.200.112.0', '213.200.127.255', 3586682880, 3586686975, 'US', 'United States'),
(159811, '213.200.128.0', '213.200.191.255', 3586686976, 3586703359, 'SE', 'Sweden'),
(159812, '213.200.192.0', '213.200.255.255', 3586703360, 3586719743, 'CH', 'Switzerland'),
(159813, '213.201.0.0', '213.201.127.255', 3586719744, 3586752511, 'ES', 'Spain'),
(159814, '213.201.128.0', '213.201.255.255', 3586752512, 3586785279, 'NL', 'Netherlands'),
(159815, '213.202.0.0', '213.202.31.255', 3586785280, 3586793471, 'OM', 'Oman'),
(159816, '213.202.32.0', '213.202.63.255', 3586793472, 3586801663, 'CH', 'Switzerland'),
(159817, '213.202.64.0', '213.202.71.31', 3586801664, 3586803487, 'HR', 'Croatia'),
(159818, '213.202.71.32', '213.202.71.63', 3586803488, 3586803519, 'DE', 'Germany'),
(159819, '213.202.71.64', '213.202.76.15', 3586803520, 3586804751, 'HR', 'Croatia'),
(159820, '213.202.76.16', '213.202.76.31', 3586804752, 3586804767, 'HU', 'Hungary'),
(159821, '213.202.76.32', '213.202.127.255', 3586804768, 3586818047, 'HR', 'Croatia'),
(159822, '213.202.128.0', '213.202.191.255', 3586818048, 3586834431, 'IE', 'Ireland'),
(159823, '213.202.192.0', '213.202.254.191', 3586834432, 3586850495, 'DE', 'Germany'),
(159824, '213.202.254.192', '213.202.254.207', 3586850496, 3586850511, 'US', 'United States'),
(159825, '213.202.254.208', '213.202.255.255', 3586850512, 3586850815, 'DE', 'Germany'),
(159826, '213.203.0.0', '213.203.63.255', 3586850816, 3586867199, 'NO', 'Norway'),
(159827, '213.203.64.0', '213.203.127.255', 3586867200, 3586883583, 'FR', 'France'),
(159828, '213.203.128.0', '213.203.191.255', 3586883584, 3586899967, 'IT', 'Italy'),
(159829, '213.203.192.0', '213.203.197.63', 3586899968, 3586901311, 'DE', 'Germany'),
(159830, '213.203.197.64', '213.203.197.127', 3586901312, 3586901375, 'ES', 'Spain'),
(159831, '213.203.197.128', '213.203.210.255', 3586901376, 3586904831, 'DE', 'Germany'),
(159832, '213.203.211.0', '213.203.211.7', 3586904832, 3586904839, 'VG', 'Virgin Islands, British'),
(159833, '213.203.211.8', '213.203.212.111', 3586904840, 3586905199, 'DE', 'Germany'),
(159834, '213.203.212.112', '213.203.212.127', 3586905200, 3586905215, 'GB', 'United Kingdom'),
(159835, '213.203.212.128', '213.203.212.199', 3586905216, 3586905287, 'DE', 'Germany'),
(159836, '213.203.212.200', '213.203.212.207', 3586905288, 3586905295, 'CY', 'Cyprus'),
(159837, '213.203.212.208', '213.203.216.113', 3586905296, 3586906225, 'DE', 'Germany'),
(159838, '213.203.216.114', '213.203.216.114', 3586906226, 3586906226, 'A1', 'Anonymous Proxy'),
(159839, '213.203.216.115', '213.203.233.95', 3586906227, 3586910559, 'DE', 'Germany'),
(159840, '213.203.233.96', '213.203.233.103', 3586910560, 3586910567, 'NL', 'Netherlands'),
(159841, '213.203.233.104', '213.203.233.111', 3586910568, 3586910575, 'CY', 'Cyprus'),
(159842, '213.203.233.112', '213.203.233.119', 3586910576, 3586910583, 'DE', 'Germany'),
(159843, '213.203.233.120', '213.203.233.123', 3586910584, 3586910587, 'NL', 'Netherlands'),
(159844, '213.203.233.124', '213.203.233.127', 3586910588, 3586910591, 'DE', 'Germany'),
(159845, '213.203.233.128', '213.203.233.159', 3586910592, 3586910623, 'NL', 'Netherlands'),
(159846, '213.203.233.160', '213.203.233.191', 3586910624, 3586910655, 'DE', 'Germany'),
(159847, '213.203.233.192', '213.203.233.223', 3586910656, 3586910687, 'NL', 'Netherlands'),
(159848, '213.203.233.224', '213.203.233.247', 3586910688, 3586910711, 'DE', 'Germany'),
(159849, '213.203.233.248', '213.203.233.255', 3586910712, 3586910719, 'NL', 'Netherlands'),
(159850, '213.203.234.0', '213.203.235.15', 3586910720, 3586910991, 'DE', 'Germany'),
(159851, '213.203.235.16', '213.203.235.63', 3586910992, 3586911039, 'BE', 'Belgium'),
(159852, '213.203.235.64', '213.203.235.127', 3586911040, 3586911103, 'DE', 'Germany'),
(159853, '213.203.235.128', '213.203.235.191', 3586911104, 3586911167, 'NL', 'Netherlands'),
(159854, '213.203.235.192', '213.203.241.209', 3586911168, 3586912721, 'DE', 'Germany'),
(159855, '213.203.241.210', '213.203.241.210', 3586912722, 3586912722, 'FR', 'France'),
(159856, '213.203.241.211', '213.203.255.255', 3586912723, 3586916351, 'DE', 'Germany'),
(159857, '213.204.0.0', '213.204.29.255', 3586916352, 3586924031, 'IT', 'Italy'),
(159858, '213.204.30.0', '213.204.30.15', 3586924032, 3586924047, 'US', 'United States'),
(159859, '213.204.30.16', '213.204.31.255', 3586924048, 3586924543, 'IT', 'Italy'),
(159860, '213.204.32.0', '213.204.32.199', 3586924544, 3586924743, 'FI', 'Finland'),
(159861, '213.204.32.200', '213.204.32.207', 3586924744, 3586924751, 'AX', 'Aland Islands'),
(159862, '213.204.32.208', '213.204.32.223', 3586924752, 3586924767, 'FI', 'Finland'),
(159863, '213.204.32.224', '213.204.32.255', 3586924768, 3586924799, 'AX', 'Aland Islands'),
(159864, '213.204.33.0', '213.204.33.71', 3586924800, 3586924871, 'FI', 'Finland'),
(159865, '213.204.33.72', '213.204.33.79', 3586924872, 3586924879, 'AX', 'Aland Islands'),
(159866, '213.204.33.80', '213.204.33.119', 3586924880, 3586924919, 'FI', 'Finland'),
(159867, '213.204.33.120', '213.204.33.127', 3586924920, 3586924927, 'AX', 'Aland Islands'),
(159868, '213.204.33.128', '213.204.33.143', 3586924928, 3586924943, 'FI', 'Finland'),
(159869, '213.204.33.144', '213.204.33.159', 3586924944, 3586924959, 'AX', 'Aland Islands'),
(159870, '213.204.33.160', '213.204.33.183', 3586924960, 3586924983, 'FI', 'Finland'),
(159871, '213.204.33.184', '213.204.33.255', 3586924984, 3586925055, 'AX', 'Aland Islands'),
(159872, '213.204.34.0', '213.204.34.47', 3586925056, 3586925103, 'FI', 'Finland'),
(159873, '213.204.34.48', '213.204.34.79', 3586925104, 3586925135, 'AX', 'Aland Islands'),
(159874, '213.204.34.80', '213.204.35.159', 3586925136, 3586925471, 'FI', 'Finland'),
(159875, '213.204.35.160', '213.204.35.191', 3586925472, 3586925503, 'AX', 'Aland Islands'),
(159876, '213.204.35.192', '213.204.35.223', 3586925504, 3586925535, 'FI', 'Finland'),
(159877, '213.204.35.224', '213.204.35.255', 3586925536, 3586925567, 'AX', 'Aland Islands'),
(159878, '213.204.36.0', '213.204.36.127', 3586925568, 3586925695, 'FI', 'Finland'),
(159879, '213.204.36.128', '213.204.36.191', 3586925696, 3586925759, 'AX', 'Aland Islands'),
(159880, '213.204.36.192', '213.204.36.223', 3586925760, 3586925791, 'FI', 'Finland'),
(159881, '213.204.36.224', '213.204.36.255', 3586925792, 3586925823, 'AX', 'Aland Islands'),
(159882, '213.204.37.0', '213.204.37.7', 3586925824, 3586925831, 'FI', 'Finland'),
(159883, '213.204.37.8', '213.204.37.31', 3586925832, 3586925855, 'AX', 'Aland Islands'),
(159884, '213.204.37.32', '213.204.37.63', 3586925856, 3586925887, 'FI', 'Finland'),
(159885, '213.204.37.64', '213.204.37.95', 3586925888, 3586925919, 'AX', 'Aland Islands'),
(159886, '213.204.37.96', '213.204.37.159', 3586925920, 3586925983, 'FI', 'Finland'),
(159887, '213.204.37.160', '213.204.37.179', 3586925984, 3586926003, 'AX', 'Aland Islands'),
(159888, '213.204.37.180', '213.204.37.191', 3586926004, 3586926015, 'FI', 'Finland'),
(159889, '213.204.37.192', '213.204.37.223', 3586926016, 3586926047, 'AX', 'Aland Islands'),
(159890, '213.204.37.224', '213.204.37.255', 3586926048, 3586926079, 'FI', 'Finland'),
(159891, '213.204.38.0', '213.204.39.255', 3586926080, 3586926591, 'AX', 'Aland Islands'),
(159892, '213.204.40.0', '213.204.40.255', 3586926592, 3586926847, 'SE', 'Sweden'),
(159893, '213.204.41.0', '213.204.41.255', 3586926848, 3586927103, 'FI', 'Finland'),
(159894, '213.204.42.0', '213.204.45.127', 3586927104, 3586927999, 'AX', 'Aland Islands'),
(159895, '213.204.45.128', '213.204.46.31', 3586928000, 3586928159, 'FI', 'Finland'),
(159896, '213.204.46.32', '213.204.46.47', 3586928160, 3586928175, 'AX', 'Aland Islands'),
(159897, '213.204.46.48', '213.204.46.175', 3586928176, 3586928303, 'FI', 'Finland'),
(159898, '213.204.46.176', '213.204.46.191', 3586928304, 3586928319, 'AX', 'Aland Islands'),
(159899, '213.204.46.192', '213.204.47.255', 3586928320, 3586928639, 'FI', 'Finland'),
(159900, '213.204.48.0', '213.204.63.255', 3586928640, 3586932735, 'AX', 'Aland Islands'),
(159901, '213.204.64.0', '213.204.127.255', 3586932736, 3586949119, 'LB', 'Lebanon'),
(159902, '213.204.128.0', '213.204.191.255', 3586949120, 3586965503, 'SE', 'Sweden'),
(159903, '213.204.192.0', '213.204.255.255', 3586965504, 3586981887, 'NL', 'Netherlands'),
(159904, '213.205.0.0', '213.205.63.255', 3586981888, 3586998271, 'IT', 'Italy'),
(159905, '213.205.64.0', '213.205.95.255', 3586998272, 3587006463, 'PT', 'Portugal'),
(159906, '213.205.96.0', '213.205.127.255', 3587006464, 3587014655, 'FR', 'France'),
(159907, '213.205.128.0', '213.206.13.255', 3587014656, 3587051007, 'GB', 'United Kingdom'),
(159908, '213.206.14.0', '213.206.16.255', 3587051008, 3587051775, 'DE', 'Germany'),
(159909, '213.206.17.0', '213.206.17.255', 3587051776, 3587052031, 'GB', 'United Kingdom'),
(159910, '213.206.18.0', '213.206.20.255', 3587052032, 3587052799, 'NL', 'Netherlands'),
(159911, '213.206.21.0', '213.206.21.255', 3587052800, 3587053055, 'GB', 'United Kingdom'),
(159912, '213.206.22.0', '213.206.24.255', 3587053056, 3587053823, 'FR', 'France'),
(159913, '213.206.25.0', '213.206.31.255', 3587053824, 3587055615, 'GB', 'United Kingdom'),
(159914, '213.206.32.0', '213.206.63.255', 3587055616, 3587063807, 'UZ', 'Uzbekistan'),
(159915, '213.206.64.0', '213.206.127.255', 3587063808, 3587080191, 'NL', 'Netherlands'),
(159916, '213.206.128.0', '213.206.136.127', 3587080192, 3587082367, 'GB', 'United Kingdom'),
(159917, '213.206.136.128', '213.206.136.191', 3587082368, 3587082431, 'US', 'United States'),
(159918, '213.206.136.192', '213.206.159.255', 3587082432, 3587088383, 'GB', 'United Kingdom'),
(159919, '213.206.160.0', '213.206.191.255', 3587088384, 3587096575, 'DE', 'Germany'),
(159920, '213.206.192.0', '213.206.247.207', 3587096576, 3587110863, 'NL', 'Netherlands'),
(159921, '213.206.247.208', '213.206.247.215', 3587110864, 3587110871, 'BE', 'Belgium'),
(159922, '213.206.247.216', '213.207.31.255', 3587110872, 3587121151, 'NL', 'Netherlands'),
(159923, '213.207.32.0', '213.207.63.255', 3587121152, 3587129343, 'AL', 'Albania'),
(159924, '213.207.64.0', '213.207.83.255', 3587129344, 3587134463, 'NL', 'Netherlands'),
(159925, '213.207.84.0', '213.207.84.127', 3587134464, 3587134591, 'ES', 'Spain'),
(159926, '213.207.84.128', '213.207.127.255', 3587134592, 3587145727, 'NL', 'Netherlands'),
(159927, '213.207.128.0', '213.207.191.255', 3587145728, 3587162111, 'CY', 'Cyprus'),
(159928, '213.207.192.0', '213.207.255.255', 3587162112, 3587178495, 'IR', 'Iran, Islamic Republic of'),
(159929, '213.208.0.0', '213.208.1.43', 3587178496, 3587178795, 'AT', 'Austria'),
(159930, '213.208.1.44', '213.208.1.47', 3587178796, 3587178799, 'US', 'United States'),
(159931, '213.208.1.48', '213.208.3.175', 3587178800, 3587179439, 'AT', 'Austria'),
(159932, '213.208.3.176', '213.208.3.191', 3587179440, 3587179455, 'GB', 'United Kingdom'),
(159933, '213.208.3.192', '213.208.31.255', 3587179456, 3587186687, 'AT', 'Austria'),
(159934, '213.208.32.0', '213.208.33.255', 3587186688, 3587187199, 'A2', 'Satellite Provider'),
(159935, '213.208.34.0', '213.208.34.255', 3587187200, 3587187455, 'GB', 'United Kingdom'),
(159936, '213.208.35.0', '213.208.37.255', 3587187456, 3587188223, 'A2', 'Satellite Provider'),
(159937, '213.208.38.0', '213.208.38.255', 3587188224, 3587188479, 'AM', 'Armenia'),
(159938, '213.208.39.0', '213.208.39.255', 3587188480, 3587188735, 'DE', 'Germany'),
(159939, '213.208.40.0', '213.208.55.255', 3587188736, 3587192831, 'A2', 'Satellite Provider'),
(159940, '213.208.56.0', '213.208.56.255', 3587192832, 3587193087, 'DE', 'Germany'),
(159941, '213.208.57.0', '213.208.57.255', 3587193088, 3587193343, 'A2', 'Satellite Provider'),
(159942, '213.208.58.0', '213.208.58.255', 3587193344, 3587193599, 'GB', 'United Kingdom'),
(159943, '213.208.59.0', '213.208.62.127', 3587193600, 3587194495, 'A2', 'Satellite Provider'),
(159944, '213.208.62.128', '213.208.62.143', 3587194496, 3587194511, 'RU', 'Russian Federation'),
(159945, '213.208.62.144', '213.208.63.255', 3587194512, 3587194879, 'A2', 'Satellite Provider'),
(159946, '213.208.64.0', '213.208.127.255', 3587194880, 3587211263, 'GB', 'United Kingdom'),
(159947, '213.208.128.0', '213.208.129.11', 3587211264, 3587211531, 'AT', 'Austria'),
(159948, '213.208.129.12', '213.208.129.15', 3587211532, 3587211535, 'DE', 'Germany'),
(159949, '213.208.129.16', '213.208.138.87', 3587211536, 3587213911, 'AT', 'Austria'),
(159950, '213.208.138.88', '213.208.138.95', 3587213912, 3587213919, 'UY', 'Uruguay'),
(159951, '213.208.138.96', '213.208.150.255', 3587213920, 3587217151, 'AT', 'Austria'),
(159952, '213.208.151.0', '213.208.151.255', 3587217152, 3587217407, 'CN', 'China'),
(159953, '213.208.152.0', '213.208.159.255', 3587217408, 3587219455, 'AT', 'Austria'),
(159954, '213.208.160.0', '213.208.191.255', 3587219456, 3587227647, 'RU', 'Russian Federation'),
(159955, '213.208.192.0', '213.208.192.15', 3587227648, 3587227663, 'NL', 'Netherlands'),
(159956, '213.208.192.16', '213.208.192.31', 3587227664, 3587227679, 'GB', 'United Kingdom'),
(159957, '213.208.192.32', '213.208.192.111', 3587227680, 3587227759, 'NL', 'Netherlands'),
(159958, '213.208.192.112', '213.208.192.127', 3587227760, 3587227775, 'GB', 'United Kingdom'),
(159959, '213.208.192.128', '213.208.192.255', 3587227776, 3587227903, 'NL', 'Netherlands'),
(159960, '213.208.193.0', '213.208.193.143', 3587227904, 3587228047, 'GB', 'United Kingdom'),
(159961, '213.208.193.144', '213.208.193.183', 3587228048, 3587228087, 'NL', 'Netherlands'),
(159962, '213.208.193.184', '213.208.193.223', 3587228088, 3587228127, 'GB', 'United Kingdom'),
(159963, '213.208.193.224', '213.208.194.111', 3587228128, 3587228271, 'NL', 'Netherlands'),
(159964, '213.208.194.112', '213.208.194.127', 3587228272, 3587228287, 'GB', 'United Kingdom'),
(159965, '213.208.194.128', '213.208.194.191', 3587228288, 3587228351, 'NL', 'Netherlands'),
(159966, '213.208.194.192', '213.208.194.207', 3587228352, 3587228367, 'GB', 'United Kingdom'),
(159967, '213.208.194.208', '213.208.195.31', 3587228368, 3587228447, 'NL', 'Netherlands'),
(159968, '213.208.195.32', '213.208.195.47', 3587228448, 3587228463, 'GB', 'United Kingdom'),
(159969, '213.208.195.48', '213.208.195.175', 3587228464, 3587228591, 'NL', 'Netherlands'),
(159970, '213.208.195.176', '213.208.195.191', 3587228592, 3587228607, 'GB', 'United Kingdom'),
(159971, '213.208.195.192', '213.208.195.224', 3587228608, 3587228640, 'NL', 'Netherlands'),
(159972, '213.208.195.225', '213.208.195.231', 3587228641, 3587228647, 'GB', 'United Kingdom'),
(159973, '213.208.195.232', '213.208.196.255', 3587228648, 3587228927, 'NL', 'Netherlands'),
(159974, '213.208.197.0', '213.208.199.15', 3587228928, 3587229455, 'GB', 'United Kingdom'),
(159975, '213.208.199.16', '213.208.199.207', 3587229456, 3587229647, 'NL', 'Netherlands'),
(159976, '213.208.199.208', '213.208.199.223', 3587229648, 3587229663, 'GB', 'United Kingdom'),
(159977, '213.208.199.224', '213.208.200.127', 3587229664, 3587229823, 'NL', 'Netherlands'),
(159978, '213.208.200.128', '213.208.200.143', 3587229824, 3587229839, 'GB', 'United Kingdom'),
(159979, '213.208.200.144', '213.208.200.159', 3587229840, 3587229855, 'ES', 'Spain'),
(159980, '213.208.200.160', '213.208.200.175', 3587229856, 3587229871, 'NL', 'Netherlands'),
(159981, '213.208.200.176', '213.208.200.191', 3587229872, 3587229887, 'GB', 'United Kingdom'),
(159982, '213.208.200.192', '213.208.200.224', 3587229888, 3587229920, 'NL', 'Netherlands'),
(159983, '213.208.200.225', '213.208.200.239', 3587229921, 3587229935, 'GB', 'United Kingdom'),
(159984, '213.208.200.240', '213.208.201.207', 3587229936, 3587230159, 'NL', 'Netherlands'),
(159985, '213.208.201.208', '213.208.201.255', 3587230160, 3587230207, 'GB', 'United Kingdom'),
(159986, '213.208.202.0', '213.208.202.191', 3587230208, 3587230399, 'NL', 'Netherlands'),
(159987, '213.208.202.192', '213.208.202.207', 3587230400, 3587230415, 'GB', 'United Kingdom'),
(159988, '213.208.202.208', '213.208.202.223', 3587230416, 3587230431, 'NL', 'Netherlands'),
(159989, '213.208.202.224', '213.208.202.239', 3587230432, 3587230447, 'GB', 'United Kingdom'),
(159990, '213.208.202.240', '213.208.202.255', 3587230448, 3587230463, 'NL', 'Netherlands'),
(159991, '213.208.203.0', '213.208.203.47', 3587230464, 3587230511, 'GB', 'United Kingdom'),
(159992, '213.208.203.48', '213.208.203.55', 3587230512, 3587230519, 'NL', 'Netherlands'),
(159993, '213.208.203.56', '213.208.203.63', 3587230520, 3587230527, 'GB', 'United Kingdom'),
(159994, '213.208.203.64', '213.208.203.79', 3587230528, 3587230543, 'NL', 'Netherlands'),
(159995, '213.208.203.80', '213.208.203.143', 3587230544, 3587230607, 'GB', 'United Kingdom'),
(159996, '213.208.203.144', '213.208.203.159', 3587230608, 3587230623, 'NL', 'Netherlands'),
(159997, '213.208.203.160', '213.208.204.71', 3587230624, 3587230791, 'GB', 'United Kingdom'),
(159998, '213.208.204.72', '213.208.204.79', 3587230792, 3587230799, 'NL', 'Netherlands'),
(159999, '213.208.204.80', '213.208.204.127', 3587230800, 3587230847, 'GB', 'United Kingdom'),
(160000, '213.208.204.128', '213.208.204.191', 3587230848, 3587230911, 'NL', 'Netherlands'),
(160001, '213.208.204.192', '213.208.204.223', 3587230912, 3587230943, 'GB', 'United Kingdom'),
(160002, '213.208.204.224', '213.208.204.247', 3587230944, 3587230967, 'DE', 'Germany'),
(160003, '213.208.204.248', '213.208.204.255', 3587230968, 3587230975, 'GB', 'United Kingdom'),
(160004, '213.208.205.0', '213.208.205.15', 3587230976, 3587230991, 'NL', 'Netherlands'),
(160005, '213.208.205.16', '213.208.206.127', 3587230992, 3587231359, 'GB', 'United Kingdom'),
(160006, '213.208.206.128', '213.208.211.23', 3587231360, 3587232535, 'NL', 'Netherlands'),
(160007, '213.208.211.24', '213.208.211.199', 3587232536, 3587232711, 'GB', 'United Kingdom'),
(160008, '213.208.211.200', '213.208.211.207', 3587232712, 3587232719, 'NL', 'Netherlands'),
(160009, '213.208.211.208', '213.208.211.255', 3587232720, 3587232767, 'GB', 'United Kingdom'),
(160010, '213.208.212.0', '213.208.212.143', 3587232768, 3587232911, 'NL', 'Netherlands'),
(160011, '213.208.212.144', '213.208.212.159', 3587232912, 3587232927, 'GB', 'United Kingdom'),
(160012, '213.208.212.160', '213.208.213.79', 3587232928, 3587233103, 'NL', 'Netherlands'),
(160013, '213.208.213.80', '213.208.213.95', 3587233104, 3587233119, 'GB', 'United Kingdom'),
(160014, '213.208.213.96', '213.208.213.143', 3587233120, 3587233167, 'NL', 'Netherlands'),
(160015, '213.208.213.144', '213.208.213.151', 3587233168, 3587233175, 'GB', 'United Kingdom'),
(160016, '213.208.213.152', '213.208.214.15', 3587233176, 3587233295, 'NL', 'Netherlands'),
(160017, '213.208.214.16', '213.208.214.39', 3587233296, 3587233319, 'GB', 'United Kingdom'),
(160018, '213.208.214.40', '213.208.214.63', 3587233320, 3587233343, 'NL', 'Netherlands'),
(160019, '213.208.214.64', '213.208.214.79', 3587233344, 3587233359, 'GB', 'United Kingdom'),
(160020, '213.208.214.80', '213.208.214.127', 3587233360, 3587233407, 'NL', 'Netherlands'),
(160021, '213.208.214.128', '213.208.214.191', 3587233408, 3587233471, 'GB', 'United Kingdom'),
(160022, '213.208.214.192', '213.208.214.239', 3587233472, 3587233519, 'NL', 'Netherlands'),
(160023, '213.208.214.240', '213.208.214.255', 3587233520, 3587233535, 'GB', 'United Kingdom'),
(160024, '213.208.215.0', '213.208.215.7', 3587233536, 3587233543, 'NL', 'Netherlands'),
(160025, '213.208.215.8', '213.208.215.63', 3587233544, 3587233599, 'GB', 'United Kingdom'),
(160026, '213.208.215.64', '213.208.216.15', 3587233600, 3587233807, 'NL', 'Netherlands'),
(160027, '213.208.216.16', '213.208.216.31', 3587233808, 3587233823, 'GB', 'United Kingdom'),
(160028, '213.208.216.32', '213.208.216.47', 3587233824, 3587233839, 'NL', 'Netherlands'),
(160029, '213.208.216.48', '213.208.216.127', 3587233840, 3587233919, 'GB', 'United Kingdom'),
(160030, '213.208.216.128', '213.208.216.143', 3587233920, 3587233935, 'NL', 'Netherlands'),
(160031, '213.208.216.144', '213.208.216.159', 3587233936, 3587233951, 'GB', 'United Kingdom'),
(160032, '213.208.216.160', '213.208.216.175', 3587233952, 3587233967, 'NL', 'Netherlands'),
(160033, '213.208.216.176', '213.208.216.191', 3587233968, 3587233983, 'GB', 'United Kingdom'),
(160034, '213.208.216.192', '213.208.216.207', 3587233984, 3587233999, 'NL', 'Netherlands'),
(160035, '213.208.216.208', '213.208.216.255', 3587234000, 3587234047, 'GB', 'United Kingdom'),
(160036, '213.208.217.0', '213.208.217.31', 3587234048, 3587234079, 'NL', 'Netherlands'),
(160037, '213.208.217.32', '213.208.217.47', 3587234080, 3587234095, 'GB', 'United Kingdom'),
(160038, '213.208.217.48', '213.208.217.63', 3587234096, 3587234111, 'NL', 'Netherlands'),
(160039, '213.208.217.64', '213.208.217.79', 3587234112, 3587234127, 'GB', 'United Kingdom'),
(160040, '213.208.217.80', '213.208.217.95', 3587234128, 3587234143, 'NL', 'Netherlands'),
(160041, '213.208.217.96', '213.208.217.111', 3587234144, 3587234159, 'GB', 'United Kingdom'),
(160042, '213.208.217.112', '213.208.217.159', 3587234160, 3587234207, 'NL', 'Netherlands'),
(160043, '213.208.217.160', '213.208.219.255', 3587234208, 3587234815, 'GB', 'United Kingdom'),
(160044, '213.208.220.0', '213.208.225.255', 3587234816, 3587236351, 'NL', 'Netherlands'),
(160045, '213.208.226.0', '213.208.226.31', 3587236352, 3587236383, 'GB', 'United Kingdom'),
(160046, '213.208.226.32', '213.208.226.95', 3587236384, 3587236447, 'NL', 'Netherlands'),
(160047, '213.208.226.96', '213.208.226.127', 3587236448, 3587236479, 'GB', 'United Kingdom'),
(160048, '213.208.226.128', '213.208.226.159', 3587236480, 3587236511, 'NL', 'Netherlands'),
(160049, '213.208.226.160', '213.208.226.191', 3587236512, 3587236543, 'GB', 'United Kingdom'),
(160050, '213.208.226.192', '213.208.226.255', 3587236544, 3587236607, 'NL', 'Netherlands'),
(160051, '213.208.227.0', '213.208.227.255', 3587236608, 3587236863, 'GB', 'United Kingdom'),
(160052, '213.208.228.0', '213.208.229.255', 3587236864, 3587237375, 'NL', 'Netherlands'),
(160053, '213.208.230.0', '213.208.230.15', 3587237376, 3587237391, 'GB', 'United Kingdom'),
(160054, '213.208.230.16', '213.208.230.23', 3587237392, 3587237399, 'NL', 'Netherlands'),
(160055, '213.208.230.24', '213.208.230.31', 3587237400, 3587237407, 'GB', 'United Kingdom'),
(160056, '213.208.230.32', '213.208.230.71', 3587237408, 3587237447, 'NL', 'Netherlands'),
(160057, '213.208.230.72', '213.208.230.79', 3587237448, 3587237455, 'GB', 'United Kingdom'),
(160058, '213.208.230.80', '213.208.230.95', 3587237456, 3587237471, 'NL', 'Netherlands'),
(160059, '213.208.230.96', '213.208.230.111', 3587237472, 3587237487, 'GB', 'United Kingdom'),
(160060, '213.208.230.112', '213.208.230.119', 3587237488, 3587237495, 'NL', 'Netherlands'),
(160061, '213.208.230.120', '213.208.230.143', 3587237496, 3587237519, 'GB', 'United Kingdom'),
(160062, '213.208.230.144', '213.208.230.159', 3587237520, 3587237535, 'NL', 'Netherlands'),
(160063, '213.208.230.160', '213.208.230.175', 3587237536, 3587237551, 'GB', 'United Kingdom'),
(160064, '213.208.230.176', '213.208.230.191', 3587237552, 3587237567, 'NL', 'Netherlands'),
(160065, '213.208.230.192', '213.208.231.255', 3587237568, 3587237887, 'GB', 'United Kingdom'),
(160066, '213.208.232.0', '213.208.234.63', 3587237888, 3587238463, 'NL', 'Netherlands'),
(160067, '213.208.234.64', '213.208.234.79', 3587238464, 3587238479, 'GB', 'United Kingdom'),
(160068, '213.208.234.80', '213.208.234.111', 3587238480, 3587238511, 'NL', 'Netherlands'),
(160069, '213.208.234.112', '213.208.234.119', 3587238512, 3587238519, 'GB', 'United Kingdom'),
(160070, '213.208.234.120', '213.208.234.127', 3587238520, 3587238527, 'NL', 'Netherlands'),
(160071, '213.208.234.128', '213.208.234.143', 3587238528, 3587238543, 'GB', 'United Kingdom'),
(160072, '213.208.234.144', '213.208.234.167', 3587238544, 3587238567, 'NL', 'Netherlands'),
(160073, '213.208.234.168', '213.208.234.183', 3587238568, 3587238583, 'GB', 'United Kingdom'),
(160074, '213.208.234.184', '213.208.234.207', 3587238584, 3587238607, 'NL', 'Netherlands'),
(160075, '213.208.234.208', '213.208.235.255', 3587238608, 3587238911, 'GB', 'United Kingdom'),
(160076, '213.208.236.0', '213.208.237.111', 3587238912, 3587239279, 'NL', 'Netherlands'),
(160077, '213.208.237.112', '213.208.237.119', 3587239280, 3587239287, 'GB', 'United Kingdom'),
(160078, '213.208.237.120', '213.208.237.135', 3587239288, 3587239303, 'NL', 'Netherlands'),
(160079, '213.208.237.136', '213.208.237.151', 3587239304, 3587239319, 'GB', 'United Kingdom'),
(160080, '213.208.237.152', '213.208.237.207', 3587239320, 3587239375, 'NL', 'Netherlands'),
(160081, '213.208.237.208', '213.208.237.223', 3587239376, 3587239391, 'GB', 'United Kingdom'),
(160082, '213.208.237.224', '213.208.238.207', 3587239392, 3587239631, 'NL', 'Netherlands'),
(160083, '213.208.238.208', '213.208.238.215', 3587239632, 3587239639, 'GB', 'United Kingdom'),
(160084, '213.208.238.216', '213.208.239.231', 3587239640, 3587239911, 'NL', 'Netherlands'),
(160085, '213.208.239.232', '213.208.239.239', 3587239912, 3587239919, 'GB', 'United Kingdom'),
(160086, '213.208.239.240', '213.208.240.127', 3587239920, 3587240063, 'NL', 'Netherlands'),
(160087, '213.208.240.128', '213.208.240.135', 3587240064, 3587240071, 'BE', 'Belgium'),
(160088, '213.208.240.136', '213.208.240.143', 3587240072, 3587240079, 'GB', 'United Kingdom'),
(160089, '213.208.240.144', '213.208.240.167', 3587240080, 3587240103, 'NL', 'Netherlands'),
(160090, '213.208.240.168', '213.208.240.171', 3587240104, 3587240107, 'GB', 'United Kingdom'),
(160091, '213.208.240.172', '213.208.241.79', 3587240108, 3587240271, 'NL', 'Netherlands'),
(160092, '213.208.241.80', '213.208.241.87', 3587240272, 3587240279, 'GB', 'United Kingdom'),
(160093, '213.208.241.88', '213.208.241.167', 3587240280, 3587240359, 'NL', 'Netherlands'),
(160094, '213.208.241.168', '213.208.241.175', 3587240360, 3587240367, 'GB', 'United Kingdom'),
(160095, '213.208.241.176', '213.208.242.71', 3587240368, 3587240519, 'NL', 'Netherlands'),
(160096, '213.208.242.72', '213.208.242.79', 3587240520, 3587240527, 'GB', 'United Kingdom'),
(160097, '213.208.242.80', '213.208.242.95', 3587240528, 3587240543, 'NL', 'Netherlands'),
(160098, '213.208.242.96', '213.208.242.111', 3587240544, 3587240559, 'IE', 'Ireland'),
(160099, '213.208.242.112', '213.208.242.119', 3587240560, 3587240567, 'BE', 'Belgium'),
(160100, '213.208.242.120', '213.208.242.127', 3587240568, 3587240575, 'GB', 'United Kingdom'),
(160101, '213.208.242.128', '213.208.242.167', 3587240576, 3587240615, 'NL', 'Netherlands'),
(160102, '213.208.242.168', '213.208.242.175', 3587240616, 3587240623, 'GB', 'United Kingdom'),
(160103, '213.208.242.176', '213.208.244.183', 3587240624, 3587241143, 'NL', 'Netherlands'),
(160104, '213.208.244.184', '213.208.244.191', 3587241144, 3587241151, 'GB', 'United Kingdom'),
(160105, '213.208.244.192', '213.208.245.7', 3587241152, 3587241223, 'NL', 'Netherlands'),
(160106, '213.208.245.8', '213.208.245.31', 3587241224, 3587241247, 'GB', 'United Kingdom'),
(160107, '213.208.245.32', '213.208.245.47', 3587241248, 3587241263, 'NL', 'Netherlands');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(160108, '213.208.245.48', '213.208.245.55', 3587241264, 3587241271, 'GB', 'United Kingdom'),
(160109, '213.208.245.56', '213.208.245.127', 3587241272, 3587241343, 'NL', 'Netherlands'),
(160110, '213.208.245.128', '213.208.245.255', 3587241344, 3587241471, 'GB', 'United Kingdom'),
(160111, '213.208.246.0', '213.208.248.87', 3587241472, 3587242071, 'NL', 'Netherlands'),
(160112, '213.208.248.88', '213.208.248.95', 3587242072, 3587242079, 'GB', 'United Kingdom'),
(160113, '213.208.248.96', '213.208.248.111', 3587242080, 3587242095, 'NL', 'Netherlands'),
(160114, '213.208.248.112', '213.208.248.127', 3587242096, 3587242111, 'GB', 'United Kingdom'),
(160115, '213.208.248.128', '213.208.249.31', 3587242112, 3587242271, 'NL', 'Netherlands'),
(160116, '213.208.249.32', '213.208.249.47', 3587242272, 3587242287, 'GB', 'United Kingdom'),
(160117, '213.208.249.48', '213.208.249.223', 3587242288, 3587242463, 'NL', 'Netherlands'),
(160118, '213.208.249.224', '213.208.249.255', 3587242464, 3587242495, 'GB', 'United Kingdom'),
(160119, '213.208.250.0', '213.208.253.47', 3587242496, 3587243311, 'NL', 'Netherlands'),
(160120, '213.208.253.48', '213.208.253.63', 3587243312, 3587243327, 'GB', 'United Kingdom'),
(160121, '213.208.253.64', '213.208.253.143', 3587243328, 3587243407, 'NL', 'Netherlands'),
(160122, '213.208.253.144', '213.208.253.151', 3587243408, 3587243415, 'GB', 'United Kingdom'),
(160123, '213.208.253.152', '213.208.253.167', 3587243416, 3587243431, 'NL', 'Netherlands'),
(160124, '213.208.253.168', '213.208.253.175', 3587243432, 3587243439, 'GB', 'United Kingdom'),
(160125, '213.208.253.176', '213.208.253.191', 3587243440, 3587243455, 'NL', 'Netherlands'),
(160126, '213.208.253.192', '213.208.253.207', 3587243456, 3587243471, 'GB', 'United Kingdom'),
(160127, '213.208.253.208', '213.208.253.231', 3587243472, 3587243495, 'NL', 'Netherlands'),
(160128, '213.208.253.232', '213.208.253.239', 3587243496, 3587243503, 'GB', 'United Kingdom'),
(160129, '213.208.253.240', '213.208.255.127', 3587243504, 3587243903, 'NL', 'Netherlands'),
(160130, '213.208.255.128', '213.208.255.143', 3587243904, 3587243919, 'GB', 'United Kingdom'),
(160131, '213.208.255.144', '213.208.255.159', 3587243920, 3587243935, 'NL', 'Netherlands'),
(160132, '213.208.255.160', '213.208.255.175', 3587243936, 3587243951, 'GB', 'United Kingdom'),
(160133, '213.208.255.176', '213.208.255.191', 3587243952, 3587243967, 'NL', 'Netherlands'),
(160134, '213.208.255.192', '213.208.255.199', 3587243968, 3587243975, 'GB', 'United Kingdom'),
(160135, '213.208.255.200', '213.208.255.207', 3587243976, 3587243983, 'NL', 'Netherlands'),
(160136, '213.208.255.208', '213.208.255.215', 3587243984, 3587243991, 'GB', 'United Kingdom'),
(160137, '213.208.255.216', '213.208.255.231', 3587243992, 3587244007, 'NL', 'Netherlands'),
(160138, '213.208.255.232', '213.208.255.239', 3587244008, 3587244015, 'GB', 'United Kingdom'),
(160139, '213.208.255.240', '213.208.255.247', 3587244016, 3587244023, 'NL', 'Netherlands'),
(160140, '213.208.255.248', '213.208.255.255', 3587244024, 3587244031, 'GB', 'United Kingdom'),
(160141, '213.209.0.0', '213.209.63.255', 3587244032, 3587260415, 'IT', 'Italy'),
(160142, '213.209.64.0', '213.209.159.255', 3587260416, 3587284991, 'DE', 'Germany'),
(160143, '213.209.160.0', '213.209.160.143', 3587284992, 3587285135, 'A2', 'Satellite Provider'),
(160144, '213.209.160.144', '213.209.160.167', 3587285136, 3587285159, 'HK', 'Hong Kong'),
(160145, '213.209.160.168', '213.209.160.224', 3587285160, 3587285216, 'A2', 'Satellite Provider'),
(160146, '213.209.160.225', '213.209.160.225', 3587285217, 3587285217, 'US', 'United States'),
(160147, '213.209.160.226', '213.209.165.255', 3587285218, 3587286527, 'A2', 'Satellite Provider'),
(160148, '213.209.166.0', '213.209.166.255', 3587286528, 3587286783, 'EU', 'Europe'),
(160149, '213.209.167.0', '213.209.168.3', 3587286784, 3587287043, 'A2', 'Satellite Provider'),
(160150, '213.209.168.4', '213.209.168.7', 3587287044, 3587287047, 'LY', 'Libyan Arab Jamahiriya'),
(160151, '213.209.168.8', '213.209.168.15', 3587287048, 3587287055, 'A2', 'Satellite Provider'),
(160152, '213.209.168.16', '213.209.168.19', 3587287056, 3587287059, 'LY', 'Libyan Arab Jamahiriya'),
(160153, '213.209.168.20', '213.209.168.255', 3587287060, 3587287295, 'A2', 'Satellite Provider'),
(160154, '213.209.169.0', '213.209.169.11', 3587287296, 3587287307, 'GE', 'Georgia'),
(160155, '213.209.169.12', '213.209.169.15', 3587287308, 3587287311, 'DE', 'Germany'),
(160156, '213.209.169.16', '213.209.169.23', 3587287312, 3587287319, 'GE', 'Georgia'),
(160157, '213.209.169.24', '213.209.169.31', 3587287320, 3587287327, 'FR', 'France'),
(160158, '213.209.169.32', '213.209.169.39', 3587287328, 3587287335, 'GB', 'United Kingdom'),
(160159, '213.209.169.40', '213.209.169.43', 3587287336, 3587287339, 'DE', 'Germany'),
(160160, '213.209.169.44', '213.209.169.47', 3587287340, 3587287343, 'PL', 'Poland'),
(160161, '213.209.169.48', '213.209.169.55', 3587287344, 3587287351, 'GE', 'Georgia'),
(160162, '213.209.169.56', '213.209.169.63', 3587287352, 3587287359, 'IS', 'Iceland'),
(160163, '213.209.169.64', '213.209.169.67', 3587287360, 3587287363, 'NL', 'Netherlands'),
(160164, '213.209.169.68', '213.209.169.71', 3587287364, 3587287367, 'IT', 'Italy'),
(160165, '213.209.169.72', '213.209.169.91', 3587287368, 3587287387, 'NL', 'Netherlands'),
(160166, '213.209.169.92', '213.209.169.95', 3587287388, 3587287391, 'CZ', 'Czech Republic'),
(160167, '213.209.169.96', '213.209.169.99', 3587287392, 3587287395, 'DE', 'Germany'),
(160168, '213.209.169.100', '213.209.169.107', 3587287396, 3587287403, 'IS', 'Iceland'),
(160169, '213.209.169.108', '213.209.169.115', 3587287404, 3587287411, 'PL', 'Poland'),
(160170, '213.209.169.116', '213.209.169.119', 3587287412, 3587287415, 'DE', 'Germany'),
(160171, '213.209.169.120', '213.209.169.123', 3587287416, 3587287419, 'IQ', 'Iraq'),
(160172, '213.209.169.124', '213.209.169.127', 3587287420, 3587287423, 'DE', 'Germany'),
(160173, '213.209.169.128', '213.209.169.131', 3587287424, 3587287427, 'SE', 'Sweden'),
(160174, '213.209.169.132', '213.209.169.135', 3587287428, 3587287431, 'DE', 'Germany'),
(160175, '213.209.169.136', '213.209.169.139', 3587287432, 3587287435, 'IT', 'Italy'),
(160176, '213.209.169.140', '213.209.169.143', 3587287436, 3587287439, 'DE', 'Germany'),
(160177, '213.209.169.144', '213.209.169.151', 3587287440, 3587287447, 'TR', 'Turkey'),
(160178, '213.209.169.152', '213.209.169.155', 3587287448, 3587287451, 'DE', 'Germany'),
(160179, '213.209.169.156', '213.209.169.159', 3587287452, 3587287455, 'IT', 'Italy'),
(160180, '213.209.169.160', '213.209.169.163', 3587287456, 3587287459, 'DE', 'Germany'),
(160181, '213.209.169.164', '213.209.169.167', 3587287460, 3587287463, 'IT', 'Italy'),
(160182, '213.209.169.168', '213.209.169.179', 3587287464, 3587287475, 'SE', 'Sweden'),
(160183, '213.209.169.180', '213.209.169.183', 3587287476, 3587287479, 'PL', 'Poland'),
(160184, '213.209.169.184', '213.209.169.191', 3587287480, 3587287487, 'A2', 'Satellite Provider'),
(160185, '213.209.169.192', '213.209.169.239', 3587287488, 3587287535, 'IT', 'Italy'),
(160186, '213.209.169.240', '213.209.169.247', 3587287536, 3587287543, 'DE', 'Germany'),
(160187, '213.209.169.248', '213.209.169.255', 3587287544, 3587287551, 'PL', 'Poland'),
(160188, '213.209.170.0', '213.209.170.7', 3587287552, 3587287559, 'GB', 'United Kingdom'),
(160189, '213.209.170.8', '213.209.170.11', 3587287560, 3587287563, 'FR', 'France'),
(160190, '213.209.170.12', '213.209.170.19', 3587287564, 3587287571, 'PL', 'Poland'),
(160191, '213.209.170.20', '213.209.170.23', 3587287572, 3587287575, 'DE', 'Germany'),
(160192, '213.209.170.24', '213.209.170.27', 3587287576, 3587287579, 'FR', 'France'),
(160193, '213.209.170.28', '213.209.170.31', 3587287580, 3587287583, 'DE', 'Germany'),
(160194, '213.209.170.32', '213.209.170.39', 3587287584, 3587287591, 'FR', 'France'),
(160195, '213.209.170.40', '213.209.170.47', 3587287592, 3587287599, 'GB', 'United Kingdom'),
(160196, '213.209.170.48', '213.209.170.127', 3587287600, 3587287679, 'IT', 'Italy'),
(160197, '213.209.170.128', '213.209.170.135', 3587287680, 3587287687, 'NL', 'Netherlands'),
(160198, '213.209.170.136', '213.209.170.159', 3587287688, 3587287711, 'IS', 'Iceland'),
(160199, '213.209.170.160', '213.209.170.167', 3587287712, 3587287719, 'GE', 'Georgia'),
(160200, '213.209.170.168', '213.209.170.171', 3587287720, 3587287723, 'IT', 'Italy'),
(160201, '213.209.170.172', '213.209.170.175', 3587287724, 3587287727, 'SE', 'Sweden'),
(160202, '213.209.170.176', '213.209.170.255', 3587287728, 3587287807, 'IT', 'Italy'),
(160203, '213.209.171.0', '213.209.171.7', 3587287808, 3587287815, 'IS', 'Iceland'),
(160204, '213.209.171.8', '213.209.171.15', 3587287816, 3587287823, 'GB', 'United Kingdom'),
(160205, '213.209.171.16', '213.209.171.27', 3587287824, 3587287835, 'FR', 'France'),
(160206, '213.209.171.28', '213.209.171.39', 3587287836, 3587287847, 'GB', 'United Kingdom'),
(160207, '213.209.171.40', '213.209.171.43', 3587287848, 3587287851, 'SE', 'Sweden'),
(160208, '213.209.171.44', '213.209.171.71', 3587287852, 3587287879, 'IQ', 'Iraq'),
(160209, '213.209.171.72', '213.209.171.79', 3587287880, 3587287887, 'FR', 'France'),
(160210, '213.209.171.80', '213.209.171.127', 3587287888, 3587287935, 'IT', 'Italy'),
(160211, '213.209.171.128', '213.209.171.135', 3587287936, 3587287943, 'FR', 'France'),
(160212, '213.209.171.136', '213.209.171.139', 3587287944, 3587287947, 'DE', 'Germany'),
(160213, '213.209.171.140', '213.209.171.151', 3587287948, 3587287959, 'IT', 'Italy'),
(160214, '213.209.171.152', '213.209.171.155', 3587287960, 3587287963, 'FR', 'France'),
(160215, '213.209.171.156', '213.209.171.159', 3587287964, 3587287967, 'GB', 'United Kingdom'),
(160216, '213.209.171.160', '213.209.171.175', 3587287968, 3587287983, 'DE', 'Germany'),
(160217, '213.209.171.176', '213.209.171.255', 3587287984, 3587288063, 'IT', 'Italy'),
(160218, '213.209.172.0', '213.209.172.255', 3587288064, 3587288319, 'A2', 'Satellite Provider'),
(160219, '213.209.173.0', '213.209.173.255', 3587288320, 3587288575, 'IT', 'Italy'),
(160220, '213.209.174.0', '213.209.174.127', 3587288576, 3587288703, 'AE', 'United Arab Emirates'),
(160221, '213.209.174.128', '213.209.174.131', 3587288704, 3587288707, 'DE', 'Germany'),
(160222, '213.209.174.132', '213.209.174.183', 3587288708, 3587288759, 'NL', 'Netherlands'),
(160223, '213.209.174.184', '213.209.175.127', 3587288760, 3587288959, 'A2', 'Satellite Provider'),
(160224, '213.209.175.128', '213.209.175.255', 3587288960, 3587289087, 'DE', 'Germany'),
(160225, '213.209.176.0', '213.209.176.255', 3587289088, 3587289343, 'FR', 'France'),
(160226, '213.209.177.0', '213.209.177.3', 3587289344, 3587289347, 'ES', 'Spain'),
(160227, '213.209.177.4', '213.209.177.7', 3587289348, 3587289351, 'FR', 'France'),
(160228, '213.209.177.8', '213.209.177.15', 3587289352, 3587289359, 'PT', 'Portugal'),
(160229, '213.209.177.16', '213.209.177.23', 3587289360, 3587289367, 'ES', 'Spain'),
(160230, '213.209.177.24', '213.209.177.31', 3587289368, 3587289375, 'FR', 'France'),
(160231, '213.209.177.32', '213.209.177.39', 3587289376, 3587289383, 'A2', 'Satellite Provider'),
(160232, '213.209.177.40', '213.209.177.43', 3587289384, 3587289387, 'GB', 'United Kingdom'),
(160233, '213.209.177.44', '213.209.177.47', 3587289388, 3587289391, 'ES', 'Spain'),
(160234, '213.209.177.48', '213.209.177.55', 3587289392, 3587289399, 'GB', 'United Kingdom'),
(160235, '213.209.177.56', '213.209.177.63', 3587289400, 3587289407, 'ES', 'Spain'),
(160236, '213.209.177.64', '213.209.177.67', 3587289408, 3587289411, 'A2', 'Satellite Provider'),
(160237, '213.209.177.68', '213.209.177.71', 3587289412, 3587289415, 'FR', 'France'),
(160238, '213.209.177.72', '213.209.177.79', 3587289416, 3587289423, 'A2', 'Satellite Provider'),
(160239, '213.209.177.80', '213.209.177.123', 3587289424, 3587289467, 'GB', 'United Kingdom'),
(160240, '213.209.177.124', '213.209.177.255', 3587289468, 3587289599, 'A2', 'Satellite Provider'),
(160241, '213.209.178.0', '213.209.179.255', 3587289600, 3587290111, 'EU', 'Europe'),
(160242, '213.209.180.0', '213.209.180.255', 3587290112, 3587290367, 'IT', 'Italy'),
(160243, '213.209.181.0', '213.209.181.254', 3587290368, 3587290622, 'GB', 'United Kingdom'),
(160244, '213.209.181.255', '213.209.181.255', 3587290623, 3587290623, 'A2', 'Satellite Provider'),
(160245, '213.209.182.0', '213.209.182.255', 3587290624, 3587290879, 'FR', 'France'),
(160246, '213.209.183.0', '213.209.183.255', 3587290880, 3587291135, 'A2', 'Satellite Provider'),
(160247, '213.209.184.0', '213.209.184.3', 3587291136, 3587291139, 'NL', 'Netherlands'),
(160248, '213.209.184.4', '213.209.185.255', 3587291140, 3587291647, 'A2', 'Satellite Provider'),
(160249, '213.209.186.0', '213.209.187.63', 3587291648, 3587291967, 'IT', 'Italy'),
(160250, '213.209.187.64', '213.209.187.127', 3587291968, 3587292031, 'AL', 'Albania'),
(160251, '213.209.187.128', '213.209.187.255', 3587292032, 3587292159, 'IT', 'Italy'),
(160252, '213.209.188.0', '213.209.188.63', 3587292160, 3587292223, 'A2', 'Satellite Provider'),
(160253, '213.209.188.64', '213.209.188.255', 3587292224, 3587292415, 'IT', 'Italy'),
(160254, '213.209.189.0', '213.209.189.3', 3587292416, 3587292419, 'ES', 'Spain'),
(160255, '213.209.189.4', '213.209.189.255', 3587292420, 3587292671, 'A2', 'Satellite Provider'),
(160256, '213.209.190.0', '213.209.190.127', 3587292672, 3587292799, 'IT', 'Italy'),
(160257, '213.209.190.128', '213.209.190.191', 3587292800, 3587292863, 'AT', 'Austria'),
(160258, '213.209.190.192', '213.209.255.255', 3587292864, 3587309567, 'IT', 'Italy'),
(160259, '213.210.0.0', '213.210.63.255', 3587309568, 3587325951, 'GB', 'United Kingdom'),
(160260, '213.210.64.0', '213.210.127.255', 3587325952, 3587342335, 'RU', 'Russian Federation'),
(160261, '213.210.128.0', '213.210.191.255', 3587342336, 3587358719, 'CZ', 'Czech Republic'),
(160262, '213.210.192.0', '213.210.255.255', 3587358720, 3587375103, 'SA', 'Saudi Arabia'),
(160263, '213.211.0.0', '213.211.31.255', 3587375104, 3587383295, 'TR', 'Turkey'),
(160264, '213.211.32.0', '213.211.63.255', 3587383296, 3587391487, 'CZ', 'Czech Republic'),
(160265, '213.211.64.0', '213.211.127.255', 3587391488, 3587407871, 'KZ', 'Kazakhstan'),
(160266, '213.211.128.0', '213.211.129.255', 3587407872, 3587408383, 'NL', 'Netherlands'),
(160267, '213.211.130.0', '213.211.131.255', 3587408384, 3587408895, 'BE', 'Belgium'),
(160268, '213.211.132.0', '213.211.133.255', 3587408896, 3587409407, 'RU', 'Russian Federation'),
(160269, '213.211.134.0', '213.211.137.255', 3587409408, 3587410431, 'BE', 'Belgium'),
(160270, '213.211.138.0', '213.211.138.255', 3587410432, 3587410687, 'NL', 'Netherlands'),
(160271, '213.211.139.0', '213.211.144.255', 3587410688, 3587412223, 'BE', 'Belgium'),
(160272, '213.211.145.0', '213.211.150.255', 3587412224, 3587413759, 'NL', 'Netherlands'),
(160273, '213.211.151.0', '213.211.151.255', 3587413760, 3587414015, 'BE', 'Belgium'),
(160274, '213.211.152.0', '213.211.191.255', 3587414016, 3587424255, 'NL', 'Netherlands'),
(160275, '213.211.192.0', '213.211.255.255', 3587424256, 3587440639, 'DE', 'Germany'),
(160276, '213.212.0.0', '213.212.16.164', 3587440640, 3587444900, 'SE', 'Sweden'),
(160277, '213.212.16.165', '213.212.16.180', 3587444901, 3587444916, 'FI', 'Finland'),
(160278, '213.212.16.181', '213.212.63.255', 3587444917, 3587457023, 'SE', 'Sweden'),
(160279, '213.212.64.0', '213.212.72.191', 3587457024, 3587459263, 'GB', 'United Kingdom'),
(160280, '213.212.72.192', '213.212.72.223', 3587459264, 3587459295, 'DE', 'Germany'),
(160281, '213.212.72.224', '213.212.127.255', 3587459296, 3587473407, 'GB', 'United Kingdom'),
(160282, '213.212.128.0', '213.212.191.255', 3587473408, 3587489791, 'IT', 'Italy'),
(160283, '213.212.192.0', '213.212.255.255', 3587489792, 3587506175, 'EG', 'Egypt'),
(160284, '213.213.0.0', '213.213.127.255', 3587506176, 3587538943, 'IT', 'Italy'),
(160285, '213.213.128.0', '213.213.159.255', 3587538944, 3587547135, 'IS', 'Iceland'),
(160286, '213.213.160.0', '213.213.191.255', 3587547136, 3587555327, 'CH', 'Switzerland'),
(160287, '213.213.192.0', '213.213.255.255', 3587555328, 3587571711, 'BE', 'Belgium'),
(160288, '213.214.0.0', '213.214.31.255', 3587571712, 3587579903, 'DE', 'Germany'),
(160289, '213.214.32.0', '213.214.63.255', 3587579904, 3587588095, 'BE', 'Belgium'),
(160290, '213.214.64.0', '213.214.95.255', 3587588096, 3587596287, 'BG', 'Bulgaria'),
(160291, '213.214.96.0', '213.214.127.255', 3587596288, 3587604479, 'NL', 'Netherlands'),
(160292, '213.214.128.0', '213.214.191.255', 3587604480, 3587620863, 'FI', 'Finland'),
(160293, '213.214.192.0', '213.214.255.255', 3587620864, 3587637247, 'SE', 'Sweden'),
(160294, '213.215.0.0', '213.215.37.255', 3587637248, 3587646975, 'FR', 'France'),
(160295, '213.215.38.0', '213.215.38.255', 3587646976, 3587647231, 'MC', 'Monaco'),
(160296, '213.215.39.0', '213.215.63.255', 3587647232, 3587653631, 'FR', 'France'),
(160297, '213.215.64.0', '213.215.127.255', 3587653632, 3587670015, 'SK', 'Slovakia'),
(160298, '213.215.128.0', '213.215.190.143', 3587670016, 3587686031, 'IT', 'Italy'),
(160299, '213.215.190.144', '213.215.190.151', 3587686032, 3587686039, 'FR', 'France'),
(160300, '213.215.190.152', '213.215.196.167', 3587686040, 3587687591, 'IT', 'Italy'),
(160301, '213.215.196.168', '213.215.196.175', 3587687592, 3587687599, 'NL', 'Netherlands'),
(160302, '213.215.196.176', '213.215.202.191', 3587687600, 3587689151, 'IT', 'Italy'),
(160303, '213.215.202.192', '213.215.202.199', 3587689152, 3587689159, 'FR', 'France'),
(160304, '213.215.202.200', '213.215.202.207', 3587689160, 3587689167, 'GB', 'United Kingdom'),
(160305, '213.215.202.208', '213.215.211.135', 3587689168, 3587691399, 'IT', 'Italy'),
(160306, '213.215.211.136', '213.215.211.143', 3587691400, 3587691407, 'DE', 'Germany'),
(160307, '213.215.211.144', '213.215.242.55', 3587691408, 3587699255, 'IT', 'Italy'),
(160308, '213.215.242.56', '213.215.242.63', 3587699256, 3587699263, 'A2', 'Satellite Provider'),
(160309, '213.215.242.64', '213.215.243.103', 3587699264, 3587699559, 'IT', 'Italy'),
(160310, '213.215.243.104', '213.215.243.111', 3587699560, 3587699567, 'GB', 'United Kingdom'),
(160311, '213.215.243.112', '213.215.245.63', 3587699568, 3587700031, 'IT', 'Italy'),
(160312, '213.215.245.64', '213.215.245.71', 3587700032, 3587700039, 'GB', 'United Kingdom'),
(160313, '213.215.245.72', '213.215.250.47', 3587700040, 3587701295, 'IT', 'Italy'),
(160314, '213.215.250.48', '213.215.250.55', 3587701296, 3587701303, 'FR', 'France'),
(160315, '213.215.250.56', '213.215.255.255', 3587701304, 3587702783, 'IT', 'Italy'),
(160316, '213.216.0.0', '213.216.31.255', 3587702784, 3587710975, 'DE', 'Germany'),
(160317, '213.216.32.0', '213.216.63.255', 3587710976, 3587719167, 'CZ', 'Czech Republic'),
(160318, '213.216.64.0', '213.216.127.255', 3587719168, 3587735551, 'PL', 'Poland'),
(160319, '213.216.128.0', '213.216.191.255', 3587735552, 3587751935, 'GB', 'United Kingdom'),
(160320, '213.216.192.0', '213.216.255.255', 3587751936, 3587768319, 'FI', 'Finland'),
(160321, '213.217.0.0', '213.217.31.255', 3587768320, 3587776511, 'DE', 'Germany'),
(160322, '213.217.32.0', '213.217.63.255', 3587776512, 3587784703, 'IR', 'Iran, Islamic Republic of'),
(160323, '213.217.64.0', '213.217.127.255', 3587784704, 3587801087, 'DE', 'Germany'),
(160324, '213.217.128.0', '213.217.191.255', 3587801088, 3587817471, 'IT', 'Italy'),
(160325, '213.217.192.0', '213.217.255.255', 3587817472, 3587833855, 'MT', 'Malta'),
(160326, '213.218.0.0', '213.218.31.255', 3587833856, 3587842047, 'DE', 'Germany'),
(160327, '213.218.32.0', '213.218.63.255', 3587842048, 3587850239, 'IT', 'Italy'),
(160328, '213.218.64.0', '213.218.79.255', 3587850240, 3587854335, 'NL', 'Netherlands'),
(160329, '213.218.80.0', '213.218.127.255', 3587854336, 3587866623, 'PL', 'Poland'),
(160330, '213.218.128.0', '213.218.159.255', 3587866624, 3587874815, 'FR', 'France'),
(160331, '213.218.160.0', '213.218.170.31', 3587874816, 3587877407, 'DE', 'Germany'),
(160332, '213.218.170.32', '213.218.170.63', 3587877408, 3587877439, 'NL', 'Netherlands'),
(160333, '213.218.170.64', '213.218.173.191', 3587877440, 3587878335, 'DE', 'Germany'),
(160334, '213.218.173.192', '213.218.173.255', 3587878336, 3587878399, 'BA', 'Bosnia and Herzegovina'),
(160335, '213.218.174.0', '213.218.174.127', 3587878400, 3587878527, 'DE', 'Germany'),
(160336, '213.218.174.128', '213.218.174.159', 3587878528, 3587878559, 'AT', 'Austria'),
(160337, '213.218.174.160', '213.218.191.255', 3587878560, 3587883007, 'DE', 'Germany'),
(160338, '213.218.192.0', '213.219.63.255', 3587883008, 3587915775, 'GB', 'United Kingdom'),
(160339, '213.219.64.0', '213.219.127.255', 3587915776, 3587932159, 'EE', 'Estonia'),
(160340, '213.219.128.0', '213.219.128.255', 3587932160, 3587932415, 'NL', 'Netherlands'),
(160341, '213.219.129.0', '213.219.175.255', 3587932416, 3587944447, 'BE', 'Belgium'),
(160342, '213.219.176.0', '213.219.179.255', 3587944448, 3587945471, 'NL', 'Netherlands'),
(160343, '213.219.180.0', '213.219.189.255', 3587945472, 3587948031, 'BE', 'Belgium'),
(160344, '213.219.190.0', '213.219.191.255', 3587948032, 3587948543, 'NL', 'Netherlands'),
(160345, '213.219.192.0', '213.219.255.255', 3587948544, 3587964927, 'RU', 'Russian Federation'),
(160346, '213.220.0.0', '213.220.63.255', 3587964928, 3587981311, 'ES', 'Spain'),
(160347, '213.220.64.0', '213.220.127.255', 3587981312, 3587997695, 'IS', 'Iceland'),
(160348, '213.220.128.0', '213.220.191.255', 3587997696, 3588014079, 'DE', 'Germany'),
(160349, '213.220.192.0', '213.220.255.255', 3588014080, 3588030463, 'CZ', 'Czech Republic'),
(160350, '213.221.0.0', '213.221.4.127', 3588030464, 3588031615, 'RU', 'Russian Federation'),
(160351, '213.221.4.128', '213.221.4.135', 3588031616, 3588031623, 'LV', 'Latvia'),
(160352, '213.221.4.136', '213.221.63.255', 3588031624, 3588046847, 'RU', 'Russian Federation'),
(160353, '213.221.64.0', '213.221.116.191', 3588046848, 3588060351, 'DE', 'Germany'),
(160354, '213.221.116.192', '213.221.116.199', 3588060352, 3588060359, 'CH', 'Switzerland'),
(160355, '213.221.116.200', '213.221.127.255', 3588060360, 3588063231, 'DE', 'Germany'),
(160356, '213.221.128.0', '213.221.159.255', 3588063232, 3588071423, 'CH', 'Switzerland'),
(160357, '213.221.160.0', '213.221.191.255', 3588071424, 3588079615, 'GB', 'United Kingdom'),
(160358, '213.221.192.0', '213.221.255.255', 3588079616, 3588095999, 'CH', 'Switzerland'),
(160359, '213.222.0.0', '213.222.31.255', 3588096000, 3588104191, 'NL', 'Netherlands'),
(160360, '213.222.32.0', '213.222.63.255', 3588104192, 3588112383, 'BG', 'Bulgaria'),
(160361, '213.222.64.0', '213.222.127.255', 3588112384, 3588128767, 'FR', 'France'),
(160362, '213.222.128.0', '213.222.191.255', 3588128768, 3588145151, 'HU', 'Hungary'),
(160363, '213.222.192.0', '213.222.223.255', 3588145152, 3588153343, 'PL', 'Poland'),
(160364, '213.222.224.0', '213.222.255.255', 3588153344, 3588161535, 'RU', 'Russian Federation'),
(160365, '213.223.0.0', '213.223.255.255', 3588161536, 3588227071, 'FR', 'France'),
(160366, '213.224.0.0', '213.224.255.255', 3588227072, 3588292607, 'BE', 'Belgium'),
(160367, '213.225.0.0', '213.225.63.255', 3588292608, 3588308991, 'AT', 'Austria'),
(160368, '213.225.64.0', '213.225.127.255', 3588308992, 3588325375, 'NO', 'Norway'),
(160369, '213.225.128.0', '213.225.138.255', 3588325376, 3588328191, 'GB', 'United Kingdom'),
(160370, '213.225.139.0', '213.225.139.255', 3588328192, 3588328447, 'EU', 'Europe'),
(160371, '213.225.140.0', '213.225.159.255', 3588328448, 3588333567, 'GB', 'United Kingdom'),
(160372, '213.225.160.0', '213.225.191.255', 3588333568, 3588341759, 'FR', 'France'),
(160373, '213.225.192.0', '213.225.255.255', 3588341760, 3588358143, 'IT', 'Italy'),
(160374, '213.226.0.0', '213.226.63.255', 3588358144, 3588374527, 'BG', 'Bulgaria'),
(160375, '213.226.64.0', '213.226.127.255', 3588374528, 3588390911, 'SE', 'Sweden'),
(160376, '213.226.128.0', '213.226.139.255', 3588390912, 3588393983, 'LT', 'Lithuania'),
(160377, '213.226.140.0', '213.226.141.255', 3588393984, 3588394495, 'LV', 'Latvia'),
(160378, '213.226.142.0', '213.226.191.255', 3588394496, 3588407295, 'LT', 'Lithuania'),
(160379, '213.226.192.0', '213.226.255.255', 3588407296, 3588423679, 'CZ', 'Czech Republic'),
(160380, '213.227.0.0', '213.227.63.255', 3588423680, 3588440063, 'ES', 'Spain'),
(160381, '213.227.64.0', '213.227.127.255', 3588440064, 3588456447, 'PL', 'Poland'),
(160382, '213.227.128.0', '213.227.159.255', 3588456448, 3588464639, 'NL', 'Netherlands'),
(160383, '213.227.160.0', '213.227.191.255', 3588464640, 3588472831, 'AT', 'Austria'),
(160384, '213.227.192.0', '213.227.255.255', 3588472832, 3588489215, 'UA', 'Ukraine'),
(160385, '213.228.0.0', '213.228.63.255', 3588489216, 3588505599, 'FR', 'France'),
(160386, '213.228.64.0', '213.228.127.255', 3588505600, 3588521983, 'RU', 'Russian Federation'),
(160387, '213.228.128.0', '213.228.191.255', 3588521984, 3588538367, 'PT', 'Portugal'),
(160388, '213.228.192.0', '213.228.215.127', 3588538368, 3588544383, 'GB', 'United Kingdom'),
(160389, '213.228.215.128', '213.228.215.135', 3588544384, 3588544391, 'IE', 'Ireland'),
(160390, '213.228.215.136', '213.228.252.255', 3588544392, 3588553983, 'GB', 'United Kingdom'),
(160391, '213.228.253.0', '213.228.253.255', 3588553984, 3588554239, 'IE', 'Ireland'),
(160392, '213.228.254.0', '213.228.255.191', 3588554240, 3588554687, 'GB', 'United Kingdom'),
(160393, '213.228.255.192', '213.228.255.255', 3588554688, 3588554751, 'IE', 'Ireland'),
(160394, '213.229.0.0', '213.229.63.255', 3588554752, 3588571135, 'AT', 'Austria'),
(160395, '213.229.64.0', '213.229.127.255', 3588571136, 3588587519, 'GB', 'United Kingdom'),
(160396, '213.229.128.0', '213.229.132.23', 3588587520, 3588588567, 'ES', 'Spain'),
(160397, '213.229.132.24', '213.229.132.31', 3588588568, 3588588575, 'IT', 'Italy'),
(160398, '213.229.132.32', '213.229.139.255', 3588588576, 3588590591, 'ES', 'Spain'),
(160399, '213.229.140.0', '213.229.140.255', 3588590592, 3588590847, 'FR', 'France'),
(160400, '213.229.141.0', '213.229.157.255', 3588590848, 3588595199, 'ES', 'Spain'),
(160401, '213.229.158.0', '213.229.158.255', 3588595200, 3588595455, 'FR', 'France'),
(160402, '213.229.159.0', '213.229.171.79', 3588595456, 3588598607, 'ES', 'Spain'),
(160403, '213.229.171.80', '213.229.171.87', 3588598608, 3588598615, 'IT', 'Italy'),
(160404, '213.229.171.88', '213.229.191.255', 3588598616, 3588603903, 'ES', 'Spain'),
(160405, '213.229.192.0', '213.229.255.255', 3588603904, 3588620287, 'SI', 'Slovenia'),
(160406, '213.230.0.0', '213.230.31.255', 3588620288, 3588628479, 'SA', 'Saudi Arabia'),
(160407, '213.230.32.0', '213.230.63.255', 3588628480, 3588636671, 'CH', 'Switzerland'),
(160408, '213.230.64.0', '213.230.127.255', 3588636672, 3588653055, 'UZ', 'Uzbekistan'),
(160409, '213.230.128.0', '213.230.159.255', 3588653056, 3588661247, 'IT', 'Italy'),
(160410, '213.230.160.0', '213.230.183.255', 3588661248, 3588667391, 'NO', 'Norway'),
(160411, '213.230.184.0', '213.230.187.255', 3588667392, 3588668415, 'SG', 'Singapore'),
(160412, '213.230.188.0', '213.230.191.255', 3588668416, 3588669439, 'HK', 'Hong Kong'),
(160413, '213.230.192.0', '213.230.255.255', 3588669440, 3588685823, 'GB', 'United Kingdom'),
(160414, '213.231.0.0', '213.231.63.255', 3588685824, 3588702207, 'UA', 'Ukraine'),
(160415, '213.231.64.0', '213.231.127.255', 3588702208, 3588718591, 'ES', 'Spain'),
(160416, '213.231.128.0', '213.231.191.255', 3588718592, 3588734975, 'BG', 'Bulgaria'),
(160417, '213.231.192.0', '213.231.255.255', 3588734976, 3588751359, 'PL', 'Poland'),
(160418, '213.232.0.0', '213.232.63.255', 3588751360, 3588767743, 'TR', 'Turkey'),
(160419, '213.232.64.0', '213.232.87.127', 3588767744, 3588773759, 'GB', 'United Kingdom'),
(160420, '213.232.87.128', '213.232.87.255', 3588773760, 3588773887, 'SL', 'Sierra Leone'),
(160421, '213.232.88.0', '213.232.95.255', 3588773888, 3588775935, 'GB', 'United Kingdom'),
(160422, '213.232.96.0', '213.232.96.255', 3588775936, 3588776191, 'NG', 'Nigeria'),
(160423, '213.232.97.0', '213.232.120.191', 3588776192, 3588782271, 'GB', 'United Kingdom'),
(160424, '213.232.120.192', '213.232.120.199', 3588782272, 3588782279, 'A2', 'Satellite Provider'),
(160425, '213.232.120.200', '213.232.127.255', 3588782280, 3588784127, 'GB', 'United Kingdom'),
(160426, '213.232.128.0', '213.232.191.255', 3588784128, 3588800511, 'CH', 'Switzerland'),
(160427, '213.232.192.0', '213.232.255.255', 3588800512, 3588816895, 'RU', 'Russian Federation'),
(160428, '213.233.0.0', '213.233.63.255', 3588816896, 3588833279, 'IT', 'Italy'),
(160429, '213.233.64.0', '213.233.124.127', 3588833280, 3588848767, 'RO', 'Romania'),
(160430, '213.233.124.128', '213.233.124.135', 3588848768, 3588848775, 'FR', 'France'),
(160431, '213.233.124.136', '213.233.127.255', 3588848776, 3588849663, 'RO', 'Romania'),
(160432, '213.233.128.0', '213.233.159.255', 3588849664, 3588857855, 'IE', 'Ireland'),
(160433, '213.233.160.0', '213.233.191.255', 3588857856, 3588866047, 'IR', 'Iran, Islamic Republic of'),
(160434, '213.233.192.0', '213.233.255.255', 3588866048, 3588882431, 'NL', 'Netherlands'),
(160435, '213.234.0.0', '213.234.31.255', 3588882432, 3588890623, 'RU', 'Russian Federation'),
(160436, '213.234.32.0', '213.234.63.255', 3588890624, 3588898815, 'GB', 'United Kingdom'),
(160437, '213.234.64.0', '213.234.127.255', 3588898816, 3588915199, 'NO', 'Norway'),
(160438, '213.234.128.0', '213.234.191.255', 3588915200, 3588931583, 'IT', 'Italy'),
(160439, '213.234.192.0', '213.234.255.255', 3588931584, 3588947967, 'RU', 'Russian Federation'),
(160440, '213.235.0.0', '213.235.63.255', 3588947968, 3588964351, 'GB', 'United Kingdom'),
(160441, '213.235.64.0', '213.235.191.255', 3588964352, 3588997119, 'CZ', 'Czech Republic'),
(160442, '213.235.192.0', '213.235.255.255', 3588997120, 3589013503, 'AT', 'Austria'),
(160443, '213.236.0.0', '213.236.31.255', 3589013504, 3589021695, 'ES', 'Spain'),
(160444, '213.236.32.0', '213.236.63.255', 3589021696, 3589029887, 'SA', 'Saudi Arabia'),
(160445, '213.236.64.0', '213.236.65.159', 3589029888, 3589030303, 'NL', 'Netherlands'),
(160446, '213.236.65.160', '213.236.65.191', 3589030304, 3589030335, 'FR', 'France'),
(160447, '213.236.65.192', '213.236.80.159', 3589030336, 3589034143, 'NL', 'Netherlands'),
(160448, '213.236.80.160', '213.236.80.175', 3589034144, 3589034159, 'ES', 'Spain'),
(160449, '213.236.80.176', '213.236.80.183', 3589034160, 3589034167, 'GB', 'United Kingdom'),
(160450, '213.236.80.184', '213.236.80.199', 3589034168, 3589034183, 'NL', 'Netherlands'),
(160451, '213.236.80.200', '213.236.80.207', 3589034184, 3589034191, 'GB', 'United Kingdom'),
(160452, '213.236.80.208', '213.236.80.223', 3589034192, 3589034207, 'DE', 'Germany'),
(160453, '213.236.80.224', '213.236.80.255', 3589034208, 3589034239, 'NL', 'Netherlands'),
(160454, '213.236.81.0', '213.236.81.255', 3589034240, 3589034495, 'EU', 'Europe'),
(160455, '213.236.82.0', '213.236.91.255', 3589034496, 3589037055, 'ES', 'Spain'),
(160456, '213.236.92.0', '213.236.92.255', 3589037056, 3589037311, 'EU', 'Europe'),
(160457, '213.236.93.0', '213.236.93.31', 3589037312, 3589037343, 'NL', 'Netherlands'),
(160458, '213.236.93.32', '213.236.93.63', 3589037344, 3589037375, 'SE', 'Sweden'),
(160459, '213.236.93.64', '213.236.93.111', 3589037376, 3589037423, 'NL', 'Netherlands'),
(160460, '213.236.93.112', '213.236.93.127', 3589037424, 3589037439, 'ES', 'Spain'),
(160461, '213.236.93.128', '213.236.93.175', 3589037440, 3589037487, 'NL', 'Netherlands'),
(160462, '213.236.93.176', '213.236.93.183', 3589037488, 3589037495, 'IT', 'Italy'),
(160463, '213.236.93.184', '213.236.93.191', 3589037496, 3589037503, 'CH', 'Switzerland'),
(160464, '213.236.93.192', '213.236.93.239', 3589037504, 3589037551, 'NL', 'Netherlands'),
(160465, '213.236.93.240', '213.236.93.247', 3589037552, 3589037559, 'BE', 'Belgium'),
(160466, '213.236.93.248', '213.236.93.255', 3589037560, 3589037567, 'NL', 'Netherlands'),
(160467, '213.236.94.0', '213.236.95.255', 3589037568, 3589038079, 'ES', 'Spain'),
(160468, '213.236.96.0', '213.236.127.255', 3589038080, 3589046271, 'NL', 'Netherlands'),
(160469, '213.236.128.0', '213.236.207.31', 3589046272, 3589066527, 'NO', 'Norway'),
(160470, '213.236.207.32', '213.236.207.35', 3589066528, 3589066531, 'SE', 'Sweden'),
(160471, '213.236.207.36', '213.236.207.207', 3589066532, 3589066703, 'NO', 'Norway'),
(160472, '213.236.207.208', '213.236.207.215', 3589066704, 3589066711, 'SE', 'Sweden'),
(160473, '213.236.207.216', '213.236.255.255', 3589066712, 3589079039, 'NO', 'Norway'),
(160474, '213.237.0.0', '213.237.51.127', 3589079040, 3589092223, 'DK', 'Denmark'),
(160475, '213.237.51.128', '213.237.51.131', 3589092224, 3589092227, 'SE', 'Sweden'),
(160476, '213.237.51.132', '213.237.191.255', 3589092228, 3589128191, 'DK', 'Denmark'),
(160477, '213.237.192.0', '213.237.255.255', 3589128192, 3589144575, 'GB', 'United Kingdom'),
(160478, '213.238.0.0', '213.238.31.255', 3589144576, 3589152767, 'UA', 'Ukraine'),
(160479, '213.238.32.0', '213.238.32.159', 3589152768, 3589152927, 'DE', 'Germany'),
(160480, '213.238.32.160', '213.238.32.167', 3589152928, 3589152935, 'CH', 'Switzerland'),
(160481, '213.238.32.168', '213.238.33.3', 3589152936, 3589153027, 'DE', 'Germany'),
(160482, '213.238.33.4', '213.238.33.7', 3589153028, 3589153031, 'ES', 'Spain'),
(160483, '213.238.33.8', '213.238.46.239', 3589153032, 3589156591, 'DE', 'Germany'),
(160484, '213.238.46.240', '213.238.46.255', 3589156592, 3589156607, 'CH', 'Switzerland'),
(160485, '213.238.47.0', '213.238.63.255', 3589156608, 3589160959, 'DE', 'Germany'),
(160486, '213.238.64.0', '213.238.127.255', 3589160960, 3589177343, 'PL', 'Poland'),
(160487, '213.238.128.0', '213.238.191.255', 3589177344, 3589193727, 'TR', 'Turkey'),
(160488, '213.238.192.0', '213.238.255.255', 3589193728, 3589210111, 'SE', 'Sweden'),
(160489, '213.239.0.0', '213.239.63.255', 3589210112, 3589226495, 'NL', 'Netherlands'),
(160490, '213.239.64.0', '213.239.79.79', 3589226496, 3589230415, 'NO', 'Norway'),
(160491, '213.239.79.80', '213.239.79.95', 3589230416, 3589230431, 'DK', 'Denmark'),
(160492, '213.239.79.96', '213.239.80.167', 3589230432, 3589230759, 'NO', 'Norway'),
(160493, '213.239.80.168', '213.239.80.183', 3589230760, 3589230775, 'GB', 'United Kingdom'),
(160494, '213.239.80.184', '213.239.127.255', 3589230776, 3589242879, 'NO', 'Norway'),
(160495, '213.239.128.0', '213.239.149.255', 3589242880, 3589248511, 'NL', 'Netherlands'),
(160496, '213.239.150.0', '213.239.150.255', 3589248512, 3589248767, 'GB', 'United Kingdom'),
(160497, '213.239.151.0', '213.239.179.255', 3589248768, 3589256191, 'NL', 'Netherlands'),
(160498, '213.239.180.0', '213.239.180.255', 3589256192, 3589256447, 'GR', 'Greece'),
(160499, '213.239.181.0', '213.239.188.255', 3589256448, 3589258495, 'NL', 'Netherlands'),
(160500, '213.239.189.0', '213.239.189.255', 3589258496, 3589258751, 'GB', 'United Kingdom'),
(160501, '213.239.190.0', '213.239.191.255', 3589258752, 3589259263, 'NL', 'Netherlands'),
(160502, '213.239.192.0', '213.239.231.207', 3589259264, 3589269455, 'DE', 'Germany'),
(160503, '213.239.231.208', '213.239.231.223', 3589269456, 3589269471, 'AT', 'Austria'),
(160504, '213.239.231.224', '213.239.255.255', 3589269472, 3589275647, 'DE', 'Germany'),
(160505, '213.240.0.0', '213.240.63.255', 3589275648, 3589292031, 'RS', 'Serbia'),
(160506, '213.240.64.0', '213.240.127.255', 3589292032, 3589308415, 'AT', 'Austria'),
(160507, '213.240.128.0', '213.240.191.255', 3589308416, 3589324799, 'DE', 'Germany'),
(160508, '213.240.192.0', '213.240.255.255', 3589324800, 3589341183, 'BG', 'Bulgaria'),
(160509, '213.241.0.0', '213.241.127.255', 3589341184, 3589373951, 'PL', 'Poland'),
(160510, '213.241.128.0', '213.241.134.7', 3589373952, 3589375495, 'DE', 'Germany'),
(160511, '213.241.134.8', '213.241.134.15', 3589375496, 3589375503, 'CI', 'Cote D''Ivoire'),
(160512, '213.241.134.16', '213.241.191.255', 3589375504, 3589390335, 'DE', 'Germany'),
(160513, '213.241.192.0', '213.242.63.255', 3589390336, 3589423103, 'RU', 'Russian Federation'),
(160514, '213.242.64.0', '213.242.65.255', 3589423104, 3589423615, 'IT', 'Italy'),
(160515, '213.242.66.0', '213.242.67.255', 3589423616, 3589424127, 'CH', 'Switzerland'),
(160516, '213.242.68.0', '213.242.69.255', 3589424128, 3589424639, 'SE', 'Sweden'),
(160517, '213.242.70.0', '213.242.71.255', 3589424640, 3589425151, 'ES', 'Spain'),
(160518, '213.242.72.0', '213.242.73.255', 3589425152, 3589425663, 'CH', 'Switzerland'),
(160519, '213.242.74.0', '213.242.75.255', 3589425664, 3589426175, 'GB', 'United Kingdom'),
(160520, '213.242.76.0', '213.242.76.63', 3589426176, 3589426239, 'FR', 'France'),
(160521, '213.242.76.64', '213.242.76.127', 3589426240, 3589426303, 'IT', 'Italy'),
(160522, '213.242.76.128', '213.242.79.255', 3589426304, 3589427199, 'GB', 'United Kingdom'),
(160523, '213.242.80.0', '213.242.80.47', 3589427200, 3589427247, 'FR', 'France'),
(160524, '213.242.80.48', '213.242.83.255', 3589427248, 3589428223, 'GB', 'United Kingdom'),
(160525, '213.242.84.0', '213.242.84.31', 3589428224, 3589428255, 'CH', 'Switzerland'),
(160526, '213.242.84.32', '213.242.84.63', 3589428256, 3589428287, 'GB', 'United Kingdom'),
(160527, '213.242.84.64', '213.242.84.95', 3589428288, 3589428319, 'CH', 'Switzerland'),
(160528, '213.242.84.96', '213.242.87.255', 3589428320, 3589429247, 'GB', 'United Kingdom'),
(160529, '213.242.88.0', '213.242.88.255', 3589429248, 3589429503, 'FR', 'France'),
(160530, '213.242.89.0', '213.242.91.255', 3589429504, 3589430271, 'GB', 'United Kingdom'),
(160531, '213.242.92.0', '213.242.93.15', 3589430272, 3589430543, 'FR', 'France'),
(160532, '213.242.93.16', '213.242.93.31', 3589430544, 3589430559, 'ES', 'Spain'),
(160533, '213.242.93.32', '213.242.94.255', 3589430560, 3589431039, 'GB', 'United Kingdom'),
(160534, '213.242.95.0', '213.242.95.255', 3589431040, 3589431295, 'ES', 'Spain'),
(160535, '213.242.96.0', '213.242.96.47', 3589431296, 3589431343, 'FR', 'France'),
(160536, '213.242.96.48', '213.242.97.255', 3589431344, 3589431807, 'GB', 'United Kingdom'),
(160537, '213.242.98.0', '213.242.99.47', 3589431808, 3589432111, 'CH', 'Switzerland'),
(160538, '213.242.99.48', '213.242.99.255', 3589432112, 3589432319, 'GB', 'United Kingdom'),
(160539, '213.242.100.0', '213.242.100.255', 3589432320, 3589432575, 'CH', 'Switzerland'),
(160540, '213.242.101.0', '213.242.102.63', 3589432576, 3589432895, 'FR', 'France'),
(160541, '213.242.102.64', '213.242.102.95', 3589432896, 3589432927, 'CH', 'Switzerland'),
(160542, '213.242.102.96', '213.242.103.255', 3589432928, 3589433343, 'GB', 'United Kingdom'),
(160543, '213.242.104.0', '213.242.104.31', 3589433344, 3589433375, 'IT', 'Italy'),
(160544, '213.242.104.32', '213.242.104.63', 3589433376, 3589433407, 'CH', 'Switzerland'),
(160545, '213.242.104.64', '213.242.104.95', 3589433408, 3589433439, 'SE', 'Sweden'),
(160546, '213.242.104.96', '213.242.104.127', 3589433440, 3589433471, 'ES', 'Spain'),
(160547, '213.242.104.128', '213.242.104.159', 3589433472, 3589433503, 'CH', 'Switzerland'),
(160548, '213.242.104.160', '213.242.104.191', 3589433504, 3589433535, 'IE', 'Ireland'),
(160549, '213.242.104.192', '213.242.104.223', 3589433536, 3589433567, 'DK', 'Denmark'),
(160550, '213.242.104.224', '213.242.104.255', 3589433568, 3589433599, 'GB', 'United Kingdom'),
(160551, '213.242.105.0', '213.242.106.255', 3589433600, 3589434111, 'IE', 'Ireland'),
(160552, '213.242.107.0', '213.242.108.255', 3589434112, 3589434623, 'DK', 'Denmark'),
(160553, '213.242.109.0', '213.242.109.127', 3589434624, 3589434751, 'GB', 'United Kingdom'),
(160554, '213.242.109.128', '213.242.109.255', 3589434752, 3589434879, 'ES', 'Spain'),
(160555, '213.242.110.0', '213.242.111.255', 3589434880, 3589435391, 'FR', 'France'),
(160556, '213.242.112.0', '213.242.112.127', 3589435392, 3589435519, 'PL', 'Poland'),
(160557, '213.242.112.128', '213.242.113.127', 3589435520, 3589435775, 'ES', 'Spain'),
(160558, '213.242.113.128', '213.242.113.255', 3589435776, 3589435903, 'GB', 'United Kingdom'),
(160559, '213.242.114.0', '213.242.114.255', 3589435904, 3589436159, 'ES', 'Spain'),
(160560, '213.242.115.0', '213.242.115.255', 3589436160, 3589436415, 'GB', 'United Kingdom'),
(160561, '213.242.116.0', '213.242.116.255', 3589436416, 3589436671, 'FR', 'France'),
(160562, '213.242.117.0', '213.242.117.127', 3589436672, 3589436799, 'PL', 'Poland'),
(160563, '213.242.117.128', '213.242.117.255', 3589436800, 3589436927, 'GB', 'United Kingdom'),
(160564, '213.242.118.0', '213.242.118.255', 3589436928, 3589437183, 'PL', 'Poland'),
(160565, '213.242.119.0', '213.242.119.127', 3589437184, 3589437311, 'FR', 'France'),
(160566, '213.242.119.128', '213.242.127.255', 3589437312, 3589439487, 'GB', 'United Kingdom'),
(160567, '213.242.128.0', '213.242.148.23', 3589439488, 3589444631, 'SE', 'Sweden'),
(160568, '213.242.148.24', '213.242.148.31', 3589444632, 3589444639, 'NO', 'Norway'),
(160569, '213.242.148.32', '213.242.191.255', 3589444640, 3589455871, 'SE', 'Sweden'),
(160570, '213.242.192.0', '213.242.255.255', 3589455872, 3589472255, 'RU', 'Russian Federation'),
(160571, '213.243.0.0', '213.243.63.255', 3589472256, 3589488639, 'TR', 'Turkey'),
(160572, '213.243.64.0', '213.243.75.255', 3589488640, 3589491711, 'RU', 'Russian Federation'),
(160573, '213.243.76.0', '213.243.76.31', 3589491712, 3589491743, 'TJ', 'Tajikistan'),
(160574, '213.243.76.32', '213.243.127.255', 3589491744, 3589505023, 'RU', 'Russian Federation'),
(160575, '213.243.128.0', '213.243.191.255', 3589505024, 3589521407, 'FI', 'Finland'),
(160576, '213.243.192.0', '213.243.255.255', 3589521408, 3589537791, 'IT', 'Italy'),
(160577, '213.244.0.0', '213.244.31.255', 3589537792, 3589545983, 'FR', 'France'),
(160578, '213.244.32.0', '213.244.63.255', 3589545984, 3589554175, 'DE', 'Germany'),
(160579, '213.244.64.0', '213.244.127.255', 3589554176, 3589570559, 'PS', 'Palestinian Territory, Occupied'),
(160580, '213.244.128.0', '213.244.128.95', 3589570560, 3589570655, 'NL', 'Netherlands'),
(160581, '213.244.128.96', '213.244.128.111', 3589570656, 3589570671, 'GB', 'United Kingdom'),
(160582, '213.244.128.112', '213.244.128.119', 3589570672, 3589570679, 'NL', 'Netherlands'),
(160583, '213.244.128.120', '213.244.128.223', 3589570680, 3589570783, 'GB', 'United Kingdom'),
(160584, '213.244.128.224', '213.244.128.255', 3589570784, 3589570815, 'NL', 'Netherlands'),
(160585, '213.244.129.0', '213.244.129.255', 3589570816, 3589571071, 'GB', 'United Kingdom'),
(160586, '213.244.130.0', '213.244.130.63', 3589571072, 3589571135, 'NL', 'Netherlands'),
(160587, '213.244.130.64', '213.244.131.255', 3589571136, 3589571583, 'GB', 'United Kingdom'),
(160588, '213.244.132.0', '213.244.132.255', 3589571584, 3589571839, 'NL', 'Netherlands'),
(160589, '213.244.133.0', '213.244.159.255', 3589571840, 3589578751, 'GB', 'United Kingdom'),
(160590, '213.244.160.0', '213.244.162.127', 3589578752, 3589579391, 'NL', 'Netherlands'),
(160591, '213.244.162.128', '213.244.163.255', 3589579392, 3589579775, 'GB', 'United Kingdom'),
(160592, '213.244.164.0', '213.244.167.255', 3589579776, 3589580799, 'NL', 'Netherlands'),
(160593, '213.244.168.0', '213.244.168.95', 3589580800, 3589580895, 'GB', 'United Kingdom'),
(160594, '213.244.168.96', '213.244.168.255', 3589580896, 3589581055, 'NL', 'Netherlands'),
(160595, '213.244.169.0', '213.244.169.143', 3589581056, 3589581199, 'GB', 'United Kingdom'),
(160596, '213.244.169.144', '213.244.169.159', 3589581200, 3589581215, 'NL', 'Netherlands'),
(160597, '213.244.169.160', '213.244.170.15', 3589581216, 3589581327, 'GB', 'United Kingdom'),
(160598, '213.244.170.16', '213.244.170.127', 3589581328, 3589581439, 'NL', 'Netherlands'),
(160599, '213.244.170.128', '213.244.170.255', 3589581440, 3589581567, 'GB', 'United Kingdom'),
(160600, '213.244.171.0', '213.244.171.223', 3589581568, 3589581791, 'NL', 'Netherlands'),
(160601, '213.244.171.224', '213.244.171.255', 3589581792, 3589581823, 'GB', 'United Kingdom'),
(160602, '213.244.172.0', '213.244.175.47', 3589581824, 3589582639, 'NL', 'Netherlands'),
(160603, '213.244.175.48', '213.244.175.63', 3589582640, 3589582655, 'GB', 'United Kingdom'),
(160604, '213.244.175.64', '213.244.177.255', 3589582656, 3589583359, 'NL', 'Netherlands'),
(160605, '213.244.178.0', '213.244.179.31', 3589583360, 3589583647, 'GB', 'United Kingdom'),
(160606, '213.244.179.32', '213.244.179.47', 3589583648, 3589583663, 'NL', 'Netherlands'),
(160607, '213.244.179.48', '213.244.179.127', 3589583664, 3589583743, 'GB', 'United Kingdom'),
(160608, '213.244.179.128', '213.244.180.255', 3589583744, 3589584127, 'NL', 'Netherlands'),
(160609, '213.244.181.0', '213.244.181.127', 3589584128, 3589584255, 'GB', 'United Kingdom'),
(160610, '213.244.181.128', '213.244.181.143', 3589584256, 3589584271, 'NL', 'Netherlands'),
(160611, '213.244.181.144', '213.244.182.255', 3589584272, 3589584639, 'GB', 'United Kingdom'),
(160612, '213.244.183.0', '213.244.185.127', 3589584640, 3589585279, 'NL', 'Netherlands'),
(160613, '213.244.185.128', '213.244.185.255', 3589585280, 3589585407, 'GB', 'United Kingdom'),
(160614, '213.244.186.0', '213.244.188.63', 3589585408, 3589585983, 'NL', 'Netherlands'),
(160615, '213.244.188.64', '213.244.189.255', 3589585984, 3589586431, 'GB', 'United Kingdom'),
(160616, '213.244.190.0', '213.244.190.255', 3589586432, 3589586687, 'NL', 'Netherlands'),
(160617, '213.244.191.0', '213.244.191.255', 3589586688, 3589586943, 'GB', 'United Kingdom'),
(160618, '213.244.192.0', '213.244.255.255', 3589586944, 3589603327, 'RS', 'Serbia'),
(160619, '213.245.0.0', '213.245.255.255', 3589603328, 3589668863, 'FR', 'France'),
(160620, '213.246.0.0', '213.246.31.255', 3589668864, 3589677055, 'RU', 'Russian Federation'),
(160621, '213.246.32.0', '213.246.44.159', 3589677056, 3589680287, 'FR', 'France'),
(160622, '213.246.44.160', '213.246.44.175', 3589680288, 3589680303, 'MQ', 'Martinique'),
(160623, '213.246.44.176', '213.246.45.216', 3589680304, 3589680600, 'FR', 'France'),
(160624, '213.246.45.217', '213.246.45.217', 3589680601, 3589680601, 'A1', 'Anonymous Proxy'),
(160625, '213.246.45.218', '213.246.46.111', 3589680602, 3589680751, 'FR', 'France'),
(160626, '213.246.46.112', '213.246.46.127', 3589680752, 3589680767, 'MQ', 'Martinique'),
(160627, '213.246.46.128', '213.246.63.255', 3589680768, 3589685247, 'FR', 'France'),
(160628, '213.246.64.0', '213.246.191.255', 3589685248, 3589718015, 'GB', 'United Kingdom'),
(160629, '213.246.192.0', '213.246.196.239', 3589718016, 3589719279, 'BE', 'Belgium'),
(160630, '213.246.196.240', '213.246.196.247', 3589719280, 3589719287, 'FR', 'France'),
(160631, '213.246.196.248', '213.246.197.47', 3589719288, 3589719343, 'BE', 'Belgium'),
(160632, '213.246.197.48', '213.246.197.51', 3589719344, 3589719347, 'LU', 'Luxembourg'),
(160633, '213.246.197.52', '213.246.197.87', 3589719348, 3589719383, 'BE', 'Belgium'),
(160634, '213.246.197.88', '213.246.197.95', 3589719384, 3589719391, 'GB', 'United Kingdom'),
(160635, '213.246.197.96', '213.246.199.39', 3589719392, 3589719847, 'BE', 'Belgium'),
(160636, '213.246.199.40', '213.246.199.47', 3589719848, 3589719855, 'AT', 'Austria'),
(160637, '213.246.199.48', '213.246.199.159', 3589719856, 3589719967, 'BE', 'Belgium'),
(160638, '213.246.199.160', '213.246.199.167', 3589719968, 3589719975, 'GB', 'United Kingdom'),
(160639, '213.246.199.168', '213.246.200.7', 3589719976, 3589720071, 'BE', 'Belgium'),
(160640, '213.246.200.8', '213.246.200.15', 3589720072, 3589720079, 'FR', 'France'),
(160641, '213.246.200.16', '213.246.200.71', 3589720080, 3589720135, 'BE', 'Belgium'),
(160642, '213.246.200.72', '213.246.200.79', 3589720136, 3589720143, 'GB', 'United Kingdom'),
(160643, '213.246.200.80', '213.246.200.199', 3589720144, 3589720263, 'BE', 'Belgium'),
(160644, '213.246.200.200', '213.246.200.207', 3589720264, 3589720271, 'GB', 'United Kingdom'),
(160645, '213.246.200.208', '213.246.200.215', 3589720272, 3589720279, 'FR', 'France'),
(160646, '213.246.200.216', '213.246.200.239', 3589720280, 3589720303, 'BE', 'Belgium'),
(160647, '213.246.200.240', '213.246.200.247', 3589720304, 3589720311, 'FR', 'France'),
(160648, '213.246.200.248', '213.246.201.255', 3589720312, 3589720575, 'BE', 'Belgium'),
(160649, '213.246.202.0', '213.246.202.7', 3589720576, 3589720583, 'ES', 'Spain'),
(160650, '213.246.202.8', '213.246.202.23', 3589720584, 3589720599, 'FR', 'France'),
(160651, '213.246.202.24', '213.246.202.47', 3589720600, 3589720623, 'BE', 'Belgium'),
(160652, '213.246.202.48', '213.246.202.55', 3589720624, 3589720631, 'GB', 'United Kingdom'),
(160653, '213.246.202.56', '213.246.202.63', 3589720632, 3589720639, 'FR', 'France'),
(160654, '213.246.202.64', '213.246.202.79', 3589720640, 3589720655, 'BE', 'Belgium'),
(160655, '213.246.202.80', '213.246.202.87', 3589720656, 3589720663, 'ES', 'Spain'),
(160656, '213.246.202.88', '213.246.202.111', 3589720664, 3589720687, 'BE', 'Belgium'),
(160657, '213.246.202.112', '213.246.202.119', 3589720688, 3589720695, 'GB', 'United Kingdom'),
(160658, '213.246.202.120', '213.246.202.127', 3589720696, 3589720703, 'ES', 'Spain'),
(160659, '213.246.202.128', '213.246.202.151', 3589720704, 3589720727, 'BE', 'Belgium'),
(160660, '213.246.202.152', '213.246.202.159', 3589720728, 3589720735, 'GB', 'United Kingdom'),
(160661, '213.246.202.160', '213.246.202.167', 3589720736, 3589720743, 'BE', 'Belgium'),
(160662, '213.246.202.168', '213.246.202.191', 3589720744, 3589720767, 'GB', 'United Kingdom'),
(160663, '213.246.202.192', '213.246.202.207', 3589720768, 3589720783, 'BE', 'Belgium'),
(160664, '213.246.202.208', '213.246.202.223', 3589720784, 3589720799, 'GB', 'United Kingdom'),
(160665, '213.246.202.224', '213.246.202.239', 3589720800, 3589720815, 'BE', 'Belgium'),
(160666, '213.246.202.240', '213.246.202.247', 3589720816, 3589720823, 'GB', 'United Kingdom'),
(160667, '213.246.202.248', '213.246.203.7', 3589720824, 3589720839, 'BE', 'Belgium'),
(160668, '213.246.203.8', '213.246.203.15', 3589720840, 3589720847, 'GB', 'United Kingdom'),
(160669, '213.246.203.16', '213.246.203.47', 3589720848, 3589720879, 'BE', 'Belgium'),
(160670, '213.246.203.48', '213.246.203.55', 3589720880, 3589720887, 'FR', 'France'),
(160671, '213.246.203.56', '213.246.203.63', 3589720888, 3589720895, 'BE', 'Belgium'),
(160672, '213.246.203.64', '213.246.203.71', 3589720896, 3589720903, 'IT', 'Italy'),
(160673, '213.246.203.72', '213.246.203.103', 3589720904, 3589720935, 'BE', 'Belgium'),
(160674, '213.246.203.104', '213.246.203.111', 3589720936, 3589720943, 'GB', 'United Kingdom'),
(160675, '213.246.203.112', '213.246.203.119', 3589720944, 3589720951, 'FR', 'France'),
(160676, '213.246.203.120', '213.246.203.151', 3589720952, 3589720983, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(160677, '213.246.203.152', '213.246.203.163', 3589720984, 3589720995, 'BE', 'Belgium'),
(160678, '213.246.203.164', '213.246.203.171', 3589720996, 3589721003, 'GB', 'United Kingdom'),
(160679, '213.246.203.172', '213.246.203.183', 3589721004, 3589721015, 'BE', 'Belgium'),
(160680, '213.246.203.184', '213.246.203.199', 3589721016, 3589721031, 'GB', 'United Kingdom'),
(160681, '213.246.203.200', '213.246.203.207', 3589721032, 3589721039, 'BE', 'Belgium'),
(160682, '213.246.203.208', '213.246.203.215', 3589721040, 3589721047, 'GB', 'United Kingdom'),
(160683, '213.246.203.216', '213.246.203.223', 3589721048, 3589721055, 'ES', 'Spain'),
(160684, '213.246.203.224', '213.246.203.231', 3589721056, 3589721063, 'BE', 'Belgium'),
(160685, '213.246.203.232', '213.246.203.239', 3589721064, 3589721071, 'GB', 'United Kingdom'),
(160686, '213.246.203.240', '213.246.204.71', 3589721072, 3589721159, 'BE', 'Belgium'),
(160687, '213.246.204.72', '213.246.204.79', 3589721160, 3589721167, 'GB', 'United Kingdom'),
(160688, '213.246.204.80', '213.246.204.143', 3589721168, 3589721231, 'BE', 'Belgium'),
(160689, '213.246.204.144', '213.246.204.159', 3589721232, 3589721247, 'GB', 'United Kingdom'),
(160690, '213.246.204.160', '213.246.204.167', 3589721248, 3589721255, 'FR', 'France'),
(160691, '213.246.204.168', '213.246.204.191', 3589721256, 3589721279, 'GB', 'United Kingdom'),
(160692, '213.246.204.192', '213.246.204.207', 3589721280, 3589721295, 'BE', 'Belgium'),
(160693, '213.246.204.208', '213.246.204.223', 3589721296, 3589721311, 'FR', 'France'),
(160694, '213.246.204.224', '213.246.205.55', 3589721312, 3589721399, 'BE', 'Belgium'),
(160695, '213.246.205.56', '213.246.205.63', 3589721400, 3589721407, 'GB', 'United Kingdom'),
(160696, '213.246.205.64', '213.246.206.255', 3589721408, 3589721855, 'BE', 'Belgium'),
(160697, '213.246.207.0', '213.246.207.7', 3589721856, 3589721863, 'GB', 'United Kingdom'),
(160698, '213.246.207.8', '213.246.207.11', 3589721864, 3589721867, 'BE', 'Belgium'),
(160699, '213.246.207.12', '213.246.207.27', 3589721868, 3589721883, 'GB', 'United Kingdom'),
(160700, '213.246.207.28', '213.246.207.47', 3589721884, 3589721903, 'BE', 'Belgium'),
(160701, '213.246.207.48', '213.246.207.55', 3589721904, 3589721911, 'GB', 'United Kingdom'),
(160702, '213.246.207.56', '213.246.207.95', 3589721912, 3589721951, 'BE', 'Belgium'),
(160703, '213.246.207.96', '213.246.207.111', 3589721952, 3589721967, 'GB', 'United Kingdom'),
(160704, '213.246.207.112', '213.246.207.167', 3589721968, 3589722023, 'BE', 'Belgium'),
(160705, '213.246.207.168', '213.246.207.175', 3589722024, 3589722031, 'FR', 'France'),
(160706, '213.246.207.176', '213.246.207.255', 3589722032, 3589722111, 'BE', 'Belgium'),
(160707, '213.246.208.0', '213.246.208.31', 3589722112, 3589722143, 'GB', 'United Kingdom'),
(160708, '213.246.208.32', '213.246.208.47', 3589722144, 3589722159, 'BE', 'Belgium'),
(160709, '213.246.208.48', '213.246.208.55', 3589722160, 3589722167, 'FR', 'France'),
(160710, '213.246.208.56', '213.246.208.63', 3589722168, 3589722175, 'BE', 'Belgium'),
(160711, '213.246.208.64', '213.246.208.79', 3589722176, 3589722191, 'GB', 'United Kingdom'),
(160712, '213.246.208.80', '213.246.208.87', 3589722192, 3589722199, 'BE', 'Belgium'),
(160713, '213.246.208.88', '213.246.208.95', 3589722200, 3589722207, 'FR', 'France'),
(160714, '213.246.208.96', '213.246.208.151', 3589722208, 3589722263, 'BE', 'Belgium'),
(160715, '213.246.208.152', '213.246.208.159', 3589722264, 3589722271, 'GB', 'United Kingdom'),
(160716, '213.246.208.160', '213.246.208.167', 3589722272, 3589722279, 'BE', 'Belgium'),
(160717, '213.246.208.168', '213.246.208.175', 3589722280, 3589722287, 'FR', 'France'),
(160718, '213.246.208.176', '213.246.208.191', 3589722288, 3589722303, 'BE', 'Belgium'),
(160719, '213.246.208.192', '213.246.208.199', 3589722304, 3589722311, 'FR', 'France'),
(160720, '213.246.208.200', '213.246.208.207', 3589722312, 3589722319, 'GB', 'United Kingdom'),
(160721, '213.246.208.208', '213.246.208.223', 3589722320, 3589722335, 'FR', 'France'),
(160722, '213.246.208.224', '213.246.208.231', 3589722336, 3589722343, 'BE', 'Belgium'),
(160723, '213.246.208.232', '213.246.208.247', 3589722344, 3589722359, 'FR', 'France'),
(160724, '213.246.208.248', '213.246.209.15', 3589722360, 3589722383, 'BE', 'Belgium'),
(160725, '213.246.209.16', '213.246.209.23', 3589722384, 3589722391, 'DE', 'Germany'),
(160726, '213.246.209.24', '213.246.209.63', 3589722392, 3589722431, 'BE', 'Belgium'),
(160727, '213.246.209.64', '213.246.209.71', 3589722432, 3589722439, 'ES', 'Spain'),
(160728, '213.246.209.72', '213.246.209.79', 3589722440, 3589722447, 'GB', 'United Kingdom'),
(160729, '213.246.209.80', '213.246.209.255', 3589722448, 3589722623, 'BE', 'Belgium'),
(160730, '213.246.210.0', '213.246.210.7', 3589722624, 3589722631, 'GB', 'United Kingdom'),
(160731, '213.246.210.8', '213.246.210.15', 3589722632, 3589722639, 'BE', 'Belgium'),
(160732, '213.246.210.16', '213.246.210.23', 3589722640, 3589722647, 'GB', 'United Kingdom'),
(160733, '213.246.210.24', '213.246.210.79', 3589722648, 3589722703, 'BE', 'Belgium'),
(160734, '213.246.210.80', '213.246.210.87', 3589722704, 3589722711, 'FR', 'France'),
(160735, '213.246.210.88', '213.246.210.167', 3589722712, 3589722791, 'BE', 'Belgium'),
(160736, '213.246.210.168', '213.246.210.175', 3589722792, 3589722799, 'GB', 'United Kingdom'),
(160737, '213.246.210.176', '213.246.210.211', 3589722800, 3589722835, 'BE', 'Belgium'),
(160738, '213.246.210.212', '213.246.210.219', 3589722836, 3589722843, 'GB', 'United Kingdom'),
(160739, '213.246.210.220', '213.246.211.63', 3589722844, 3589722943, 'BE', 'Belgium'),
(160740, '213.246.211.64', '213.246.211.71', 3589722944, 3589722951, 'GB', 'United Kingdom'),
(160741, '213.246.211.72', '213.246.211.79', 3589722952, 3589722959, 'FR', 'France'),
(160742, '213.246.211.80', '213.246.211.103', 3589722960, 3589722983, 'BE', 'Belgium'),
(160743, '213.246.211.104', '213.246.211.111', 3589722984, 3589722991, 'GB', 'United Kingdom'),
(160744, '213.246.211.112', '213.246.211.143', 3589722992, 3589723023, 'BE', 'Belgium'),
(160745, '213.246.211.144', '213.246.211.151', 3589723024, 3589723031, 'FR', 'France'),
(160746, '213.246.211.152', '213.246.215.71', 3589723032, 3589723975, 'BE', 'Belgium'),
(160747, '213.246.215.72', '213.246.215.79', 3589723976, 3589723983, 'FR', 'France'),
(160748, '213.246.215.80', '213.246.215.127', 3589723984, 3589724031, 'BE', 'Belgium'),
(160749, '213.246.215.128', '213.246.215.135', 3589724032, 3589724039, 'ES', 'Spain'),
(160750, '213.246.215.136', '213.246.216.39', 3589724040, 3589724199, 'BE', 'Belgium'),
(160751, '213.246.216.40', '213.246.216.47', 3589724200, 3589724207, 'ES', 'Spain'),
(160752, '213.246.216.48', '213.246.216.111', 3589724208, 3589724271, 'BE', 'Belgium'),
(160753, '213.246.216.112', '213.246.216.127', 3589724272, 3589724287, 'NL', 'Netherlands'),
(160754, '213.246.216.128', '213.246.216.191', 3589724288, 3589724351, 'BE', 'Belgium'),
(160755, '213.246.216.192', '213.246.216.207', 3589724352, 3589724367, 'ES', 'Spain'),
(160756, '213.246.216.208', '213.246.217.255', 3589724368, 3589724671, 'BE', 'Belgium'),
(160757, '213.246.218.0', '213.246.218.7', 3589724672, 3589724679, 'FR', 'France'),
(160758, '213.246.218.8', '213.246.218.23', 3589724680, 3589724695, 'GB', 'United Kingdom'),
(160759, '213.246.218.24', '213.246.218.31', 3589724696, 3589724703, 'BE', 'Belgium'),
(160760, '213.246.218.32', '213.246.218.47', 3589724704, 3589724719, 'FR', 'France'),
(160761, '213.246.218.48', '213.246.218.55', 3589724720, 3589724727, 'GB', 'United Kingdom'),
(160762, '213.246.218.56', '213.246.218.119', 3589724728, 3589724791, 'BE', 'Belgium'),
(160763, '213.246.218.120', '213.246.218.135', 3589724792, 3589724807, 'GB', 'United Kingdom'),
(160764, '213.246.218.136', '213.246.220.63', 3589724808, 3589725247, 'BE', 'Belgium'),
(160765, '213.246.220.64', '213.246.220.79', 3589725248, 3589725263, 'GB', 'United Kingdom'),
(160766, '213.246.220.80', '213.246.221.55', 3589725264, 3589725495, 'BE', 'Belgium'),
(160767, '213.246.221.56', '213.246.221.63', 3589725496, 3589725503, 'PT', 'Portugal'),
(160768, '213.246.221.64', '213.246.221.223', 3589725504, 3589725663, 'BE', 'Belgium'),
(160769, '213.246.221.224', '213.246.221.255', 3589725664, 3589725695, 'GB', 'United Kingdom'),
(160770, '213.246.222.0', '213.246.222.103', 3589725696, 3589725799, 'BE', 'Belgium'),
(160771, '213.246.222.104', '213.246.222.111', 3589725800, 3589725807, 'IE', 'Ireland'),
(160772, '213.246.222.112', '213.246.222.151', 3589725808, 3589725847, 'BE', 'Belgium'),
(160773, '213.246.222.152', '213.246.222.159', 3589725848, 3589725855, 'IE', 'Ireland'),
(160774, '213.246.222.160', '213.246.222.215', 3589725856, 3589725911, 'BE', 'Belgium'),
(160775, '213.246.222.216', '213.246.222.223', 3589725912, 3589725919, 'GB', 'United Kingdom'),
(160776, '213.246.222.224', '213.246.223.7', 3589725920, 3589725959, 'BE', 'Belgium'),
(160777, '213.246.223.8', '213.246.223.15', 3589725960, 3589725967, 'LU', 'Luxembourg'),
(160778, '213.246.223.16', '213.246.223.47', 3589725968, 3589725999, 'BE', 'Belgium'),
(160779, '213.246.223.48', '213.246.223.55', 3589726000, 3589726007, 'FR', 'France'),
(160780, '213.246.223.56', '213.246.223.95', 3589726008, 3589726047, 'BE', 'Belgium'),
(160781, '213.246.223.96', '213.246.223.103', 3589726048, 3589726055, 'FR', 'France'),
(160782, '213.246.223.104', '213.246.223.159', 3589726056, 3589726111, 'BE', 'Belgium'),
(160783, '213.246.223.160', '213.246.223.167', 3589726112, 3589726119, 'GB', 'United Kingdom'),
(160784, '213.246.223.168', '213.246.224.159', 3589726120, 3589726367, 'BE', 'Belgium'),
(160785, '213.246.224.160', '213.246.224.167', 3589726368, 3589726375, 'FR', 'France'),
(160786, '213.246.224.168', '213.246.224.215', 3589726376, 3589726423, 'BE', 'Belgium'),
(160787, '213.246.224.216', '213.246.224.223', 3589726424, 3589726431, 'FR', 'France'),
(160788, '213.246.224.224', '213.246.224.247', 3589726432, 3589726455, 'BE', 'Belgium'),
(160789, '213.246.224.248', '213.246.224.255', 3589726456, 3589726463, 'FR', 'France'),
(160790, '213.246.225.0', '213.246.225.7', 3589726464, 3589726471, 'BE', 'Belgium'),
(160791, '213.246.225.8', '213.246.225.15', 3589726472, 3589726479, 'GB', 'United Kingdom'),
(160792, '213.246.225.16', '213.246.225.23', 3589726480, 3589726487, 'BE', 'Belgium'),
(160793, '213.246.225.24', '213.246.225.31', 3589726488, 3589726495, 'GB', 'United Kingdom'),
(160794, '213.246.225.32', '213.246.225.71', 3589726496, 3589726535, 'BE', 'Belgium'),
(160795, '213.246.225.72', '213.246.225.79', 3589726536, 3589726543, 'GB', 'United Kingdom'),
(160796, '213.246.225.80', '213.246.227.31', 3589726544, 3589727007, 'BE', 'Belgium'),
(160797, '213.246.227.32', '213.246.227.39', 3589727008, 3589727015, 'FR', 'France'),
(160798, '213.246.227.40', '213.246.237.199', 3589727016, 3589729735, 'BE', 'Belgium'),
(160799, '213.246.237.200', '213.246.237.207', 3589729736, 3589729743, 'ES', 'Spain'),
(160800, '213.246.237.208', '213.246.237.215', 3589729744, 3589729751, 'GB', 'United Kingdom'),
(160801, '213.246.237.216', '213.246.239.39', 3589729752, 3589730087, 'BE', 'Belgium'),
(160802, '213.246.239.40', '213.246.239.47', 3589730088, 3589730095, 'GB', 'United Kingdom'),
(160803, '213.246.239.48', '213.246.239.63', 3589730096, 3589730111, 'BE', 'Belgium'),
(160804, '213.246.239.64', '213.246.239.71', 3589730112, 3589730119, 'GB', 'United Kingdom'),
(160805, '213.246.239.72', '213.246.249.63', 3589730120, 3589732671, 'BE', 'Belgium'),
(160806, '213.246.249.64', '213.246.249.79', 3589732672, 3589732687, 'DE', 'Germany'),
(160807, '213.246.249.80', '213.246.251.255', 3589732688, 3589733375, 'BE', 'Belgium'),
(160808, '213.246.252.0', '213.246.252.63', 3589733376, 3589733439, 'LU', 'Luxembourg'),
(160809, '213.246.252.64', '213.246.255.23', 3589733440, 3589734167, 'BE', 'Belgium'),
(160810, '213.246.255.24', '213.246.255.31', 3589734168, 3589734175, 'DE', 'Germany'),
(160811, '213.246.255.32', '213.246.255.255', 3589734176, 3589734399, 'BE', 'Belgium'),
(160812, '213.247.0.0', '213.247.31.255', 3589734400, 3589742591, 'EG', 'Egypt'),
(160813, '213.247.32.0', '213.247.32.95', 3589742592, 3589742687, 'NL', 'Netherlands'),
(160814, '213.247.32.96', '213.247.32.103', 3589742688, 3589742695, 'AT', 'Austria'),
(160815, '213.247.32.104', '213.247.33.127', 3589742696, 3589742975, 'NL', 'Netherlands'),
(160816, '213.247.33.128', '213.247.33.191', 3589742976, 3589743039, 'IE', 'Ireland'),
(160817, '213.247.33.192', '213.247.35.98', 3589743040, 3589743458, 'NL', 'Netherlands'),
(160818, '213.247.35.99', '213.247.35.100', 3589743459, 3589743460, 'US', 'United States'),
(160819, '213.247.35.101', '213.247.40.255', 3589743461, 3589744895, 'NL', 'Netherlands'),
(160820, '213.247.41.0', '213.247.41.63', 3589744896, 3589744959, 'BE', 'Belgium'),
(160821, '213.247.41.64', '213.247.41.223', 3589744960, 3589745119, 'NL', 'Netherlands'),
(160822, '213.247.41.224', '213.247.41.255', 3589745120, 3589745151, 'BE', 'Belgium'),
(160823, '213.247.42.0', '213.247.45.167', 3589745152, 3589746087, 'NL', 'Netherlands'),
(160824, '213.247.45.168', '213.247.45.175', 3589746088, 3589746095, 'DE', 'Germany'),
(160825, '213.247.45.176', '213.247.45.255', 3589746096, 3589746175, 'NL', 'Netherlands'),
(160826, '213.247.46.0', '213.247.47.255', 3589746176, 3589746687, 'US', 'United States'),
(160827, '213.247.48.0', '213.247.49.127', 3589746688, 3589747071, 'NL', 'Netherlands'),
(160828, '213.247.49.128', '213.247.49.159', 3589747072, 3589747103, 'ES', 'Spain'),
(160829, '213.247.49.160', '213.247.127.255', 3589747104, 3589767167, 'NL', 'Netherlands'),
(160830, '213.247.128.0', '213.248.63.255', 3589767168, 3589816319, 'RU', 'Russian Federation'),
(160831, '213.248.64.0', '213.248.100.255', 3589816320, 3589825791, 'EU', 'Europe'),
(160832, '213.248.101.0', '213.248.101.255', 3589825792, 3589826047, 'DE', 'Germany'),
(160833, '213.248.102.0', '213.248.105.255', 3589826048, 3589827071, 'EU', 'Europe'),
(160834, '213.248.106.0', '213.248.106.255', 3589827072, 3589827327, 'SE', 'Sweden'),
(160835, '213.248.107.0', '213.248.107.255', 3589827328, 3589827583, 'FR', 'France'),
(160836, '213.248.108.0', '213.248.108.63', 3589827584, 3589827647, 'EU', 'Europe'),
(160837, '213.248.108.64', '213.248.108.95', 3589827648, 3589827679, 'DE', 'Germany'),
(160838, '213.248.108.96', '213.248.108.127', 3589827680, 3589827711, 'EU', 'Europe'),
(160839, '213.248.108.128', '213.248.109.255', 3589827712, 3589828095, 'DE', 'Germany'),
(160840, '213.248.110.0', '213.248.110.15', 3589828096, 3589828111, 'FR', 'France'),
(160841, '213.248.110.16', '213.248.110.31', 3589828112, 3589828127, 'EU', 'Europe'),
(160842, '213.248.110.32', '213.248.110.63', 3589828128, 3589828159, 'DE', 'Germany'),
(160843, '213.248.110.64', '213.248.111.255', 3589828160, 3589828607, 'FR', 'France'),
(160844, '213.248.112.0', '213.248.112.31', 3589828608, 3589828639, 'SE', 'Sweden'),
(160845, '213.248.112.32', '213.248.112.63', 3589828640, 3589828671, 'NL', 'Netherlands'),
(160846, '213.248.112.64', '213.248.112.127', 3589828672, 3589828735, 'SE', 'Sweden'),
(160847, '213.248.112.128', '213.248.113.127', 3589828736, 3589828991, 'NL', 'Netherlands'),
(160848, '213.248.113.128', '213.248.113.255', 3589828992, 3589829119, 'ES', 'Spain'),
(160849, '213.248.114.0', '213.248.114.63', 3589829120, 3589829183, 'GB', 'United Kingdom'),
(160850, '213.248.114.64', '213.248.114.255', 3589829184, 3589829375, 'EU', 'Europe'),
(160851, '213.248.115.0', '213.248.115.127', 3589829376, 3589829503, 'FR', 'France'),
(160852, '213.248.115.128', '213.248.115.255', 3589829504, 3589829631, 'EU', 'Europe'),
(160853, '213.248.116.0', '213.248.119.255', 3589829632, 3589830655, 'GB', 'United Kingdom'),
(160854, '213.248.120.0', '213.248.121.255', 3589830656, 3589831167, 'DE', 'Germany'),
(160855, '213.248.122.0', '213.248.123.255', 3589831168, 3589831679, 'US', 'United States'),
(160856, '213.248.124.0', '213.248.127.255', 3589831680, 3589832703, 'FR', 'France'),
(160857, '213.248.128.0', '213.248.191.255', 3589832704, 3589849087, 'TR', 'Turkey'),
(160858, '213.248.192.0', '213.248.255.255', 3589849088, 3589865471, 'GB', 'United Kingdom'),
(160859, '213.249.0.0', '213.249.63.255', 3589865472, 3589881855, 'GR', 'Greece'),
(160860, '213.249.64.0', '213.249.95.255', 3589881856, 3589890047, 'NL', 'Netherlands'),
(160861, '213.249.96.0', '213.249.96.143', 3589890048, 3589890191, 'BE', 'Belgium'),
(160862, '213.249.96.144', '213.249.96.255', 3589890192, 3589890303, 'GB', 'United Kingdom'),
(160863, '213.249.97.0', '213.249.97.63', 3589890304, 3589890367, 'BE', 'Belgium'),
(160864, '213.249.97.64', '213.249.97.127', 3589890368, 3589890431, 'GB', 'United Kingdom'),
(160865, '213.249.97.128', '213.249.97.255', 3589890432, 3589890559, 'BE', 'Belgium'),
(160866, '213.249.98.0', '213.249.98.127', 3589890560, 3589890687, 'GB', 'United Kingdom'),
(160867, '213.249.98.128', '213.249.100.255', 3589890688, 3589891327, 'BE', 'Belgium'),
(160868, '213.249.101.0', '213.249.102.31', 3589891328, 3589891615, 'GB', 'United Kingdom'),
(160869, '213.249.102.32', '213.249.102.47', 3589891616, 3589891631, 'BE', 'Belgium'),
(160870, '213.249.102.48', '213.249.255.255', 3589891632, 3589931007, 'GB', 'United Kingdom'),
(160871, '213.250.0.0', '213.250.25.239', 3589931008, 3589937647, 'SI', 'Slovenia'),
(160872, '213.250.25.240', '213.250.25.255', 3589937648, 3589937663, 'AT', 'Austria'),
(160873, '213.250.26.0', '213.250.63.255', 3589937664, 3589947391, 'SI', 'Slovenia'),
(160874, '213.250.64.0', '213.250.127.255', 3589947392, 3589963775, 'FI', 'Finland'),
(160875, '213.250.128.0', '213.250.157.31', 3589963776, 3589971231, 'ES', 'Spain'),
(160876, '213.250.157.32', '213.250.157.47', 3589971232, 3589971247, 'CA', 'Canada'),
(160877, '213.250.157.48', '213.250.191.255', 3589971248, 3589980159, 'ES', 'Spain'),
(160878, '213.250.192.0', '213.250.255.255', 3589980160, 3589996543, 'CZ', 'Czech Republic'),
(160879, '213.251.0.0', '213.251.1.255', 3589996544, 3589997055, 'GB', 'United Kingdom'),
(160880, '213.251.2.0', '213.251.2.255', 3589997056, 3589997311, 'NL', 'Netherlands'),
(160881, '213.251.3.0', '213.251.3.247', 3589997312, 3589997559, 'GB', 'United Kingdom'),
(160882, '213.251.3.248', '213.251.3.255', 3589997560, 3589997567, 'NL', 'Netherlands'),
(160883, '213.251.4.0', '213.251.63.255', 3589997568, 3590012927, 'GB', 'United Kingdom'),
(160884, '213.251.64.0', '213.251.127.255', 3590012928, 3590029311, 'BE', 'Belgium'),
(160885, '213.251.128.0', '213.251.145.95', 3590029312, 3590033759, 'FR', 'France'),
(160886, '213.251.145.96', '213.251.145.111', 3590033760, 3590033775, 'AU', 'Australia'),
(160887, '213.251.145.112', '213.251.191.255', 3590033776, 3590045695, 'FR', 'France'),
(160888, '213.251.192.0', '213.251.255.255', 3590045696, 3590062079, 'RU', 'Russian Federation'),
(160889, '213.252.0.0', '213.252.63.255', 3590062080, 3590078463, 'DE', 'Germany'),
(160890, '213.252.64.0', '213.252.127.255', 3590078464, 3590094847, 'RU', 'Russian Federation'),
(160891, '213.252.128.0', '213.252.191.255', 3590094848, 3590111231, 'DE', 'Germany'),
(160892, '213.252.192.0', '213.252.198.255', 3590111232, 3590113023, 'LT', 'Lithuania'),
(160893, '213.252.199.0', '213.252.199.255', 3590113024, 3590113279, 'LV', 'Latvia'),
(160894, '213.252.200.0', '213.252.255.255', 3590113280, 3590127615, 'LT', 'Lithuania'),
(160895, '213.253.0.0', '213.253.63.255', 3590127616, 3590143999, 'GB', 'United Kingdom'),
(160896, '213.253.64.0', '213.253.91.231', 3590144000, 3590151143, 'SI', 'Slovenia'),
(160897, '213.253.91.232', '213.253.91.239', 3590151144, 3590151151, 'HR', 'Croatia'),
(160898, '213.253.91.240', '213.253.109.255', 3590151152, 3590155775, 'SI', 'Slovenia'),
(160899, '213.253.110.0', '213.253.110.31', 3590155776, 3590155807, 'HR', 'Croatia'),
(160900, '213.253.110.32', '213.253.110.39', 3590155808, 3590155815, 'SI', 'Slovenia'),
(160901, '213.253.110.40', '213.253.110.47', 3590155816, 3590155823, 'HR', 'Croatia'),
(160902, '213.253.110.48', '213.253.110.95', 3590155824, 3590155871, 'SI', 'Slovenia'),
(160903, '213.253.110.96', '213.253.112.119', 3590155872, 3590156407, 'HR', 'Croatia'),
(160904, '213.253.112.120', '213.253.112.127', 3590156408, 3590156415, 'RS', 'Serbia'),
(160905, '213.253.112.128', '213.253.112.143', 3590156416, 3590156431, 'HR', 'Croatia'),
(160906, '213.253.112.144', '213.253.112.159', 3590156432, 3590156447, 'SI', 'Slovenia'),
(160907, '213.253.112.160', '213.253.113.55', 3590156448, 3590156599, 'HR', 'Croatia'),
(160908, '213.253.113.56', '213.253.113.63', 3590156600, 3590156607, 'SI', 'Slovenia'),
(160909, '213.253.113.64', '213.253.113.127', 3590156608, 3590156671, 'HR', 'Croatia'),
(160910, '213.253.113.128', '213.253.113.143', 3590156672, 3590156687, 'SI', 'Slovenia'),
(160911, '213.253.113.144', '213.253.113.175', 3590156688, 3590156719, 'HR', 'Croatia'),
(160912, '213.253.113.176', '213.253.113.191', 3590156720, 3590156735, 'SI', 'Slovenia'),
(160913, '213.253.113.192', '213.253.114.143', 3590156736, 3590156943, 'HR', 'Croatia'),
(160914, '213.253.114.144', '213.253.114.151', 3590156944, 3590156951, 'SI', 'Slovenia'),
(160915, '213.253.114.152', '213.253.114.159', 3590156952, 3590156959, 'HR', 'Croatia'),
(160916, '213.253.114.160', '213.253.114.239', 3590156960, 3590157039, 'SI', 'Slovenia'),
(160917, '213.253.114.240', '213.253.115.255', 3590157040, 3590157311, 'HR', 'Croatia'),
(160918, '213.253.116.0', '213.253.116.31', 3590157312, 3590157343, 'RS', 'Serbia'),
(160919, '213.253.116.32', '213.253.116.39', 3590157344, 3590157351, 'SI', 'Slovenia'),
(160920, '213.253.116.40', '213.253.116.47', 3590157352, 3590157359, 'RS', 'Serbia'),
(160921, '213.253.116.48', '213.253.116.127', 3590157360, 3590157439, 'SI', 'Slovenia'),
(160922, '213.253.116.128', '213.253.116.159', 3590157440, 3590157471, 'RS', 'Serbia'),
(160923, '213.253.116.160', '213.253.116.175', 3590157472, 3590157487, 'SI', 'Slovenia'),
(160924, '213.253.116.176', '213.253.116.255', 3590157488, 3590157567, 'RS', 'Serbia'),
(160925, '213.253.117.0', '213.253.117.63', 3590157568, 3590157631, 'SI', 'Slovenia'),
(160926, '213.253.117.64', '213.253.117.159', 3590157632, 3590157727, 'RS', 'Serbia'),
(160927, '213.253.117.160', '213.253.117.175', 3590157728, 3590157743, 'SI', 'Slovenia'),
(160928, '213.253.117.176', '213.253.117.183', 3590157744, 3590157751, 'RS', 'Serbia'),
(160929, '213.253.117.184', '213.253.117.191', 3590157752, 3590157759, 'SI', 'Slovenia'),
(160930, '213.253.117.192', '213.253.117.215', 3590157760, 3590157783, 'RS', 'Serbia'),
(160931, '213.253.117.216', '213.253.117.223', 3590157784, 3590157791, 'SI', 'Slovenia'),
(160932, '213.253.117.224', '213.253.118.15', 3590157792, 3590157839, 'RS', 'Serbia'),
(160933, '213.253.118.16', '213.253.118.31', 3590157840, 3590157855, 'SI', 'Slovenia'),
(160934, '213.253.118.32', '213.253.118.127', 3590157856, 3590157951, 'RS', 'Serbia'),
(160935, '213.253.118.128', '213.253.118.255', 3590157952, 3590158079, 'SI', 'Slovenia'),
(160936, '213.253.119.0', '213.253.120.7', 3590158080, 3590158343, 'RS', 'Serbia'),
(160937, '213.253.120.8', '213.253.120.23', 3590158344, 3590158359, 'SI', 'Slovenia'),
(160938, '213.253.120.24', '213.253.120.31', 3590158360, 3590158367, 'RS', 'Serbia'),
(160939, '213.253.120.32', '213.253.120.71', 3590158368, 3590158407, 'SI', 'Slovenia'),
(160940, '213.253.120.72', '213.253.120.79', 3590158408, 3590158415, 'RS', 'Serbia'),
(160941, '213.253.120.80', '213.253.120.95', 3590158416, 3590158431, 'ME', 'Montenegro'),
(160942, '213.253.120.96', '213.253.120.167', 3590158432, 3590158503, 'RS', 'Serbia'),
(160943, '213.253.120.168', '213.253.120.183', 3590158504, 3590158519, 'SI', 'Slovenia'),
(160944, '213.253.120.184', '213.253.123.255', 3590158520, 3590159359, 'RS', 'Serbia'),
(160945, '213.253.124.0', '213.253.127.255', 3590159360, 3590160383, 'SI', 'Slovenia'),
(160946, '213.253.128.0', '213.253.191.255', 3590160384, 3590176767, 'GB', 'United Kingdom'),
(160947, '213.253.192.0', '213.253.199.55', 3590176768, 3590178615, 'HU', 'Hungary'),
(160948, '213.253.199.56', '213.253.199.63', 3590178616, 3590178623, 'MK', 'Macedonia'),
(160949, '213.253.199.64', '213.253.255.255', 3590178624, 3590193151, 'HU', 'Hungary'),
(160950, '213.254.0.0', '213.254.31.255', 3590193152, 3590201343, 'IT', 'Italy'),
(160951, '213.254.32.0', '213.254.63.255', 3590201344, 3590209535, 'DE', 'Germany'),
(160952, '213.254.64.0', '213.254.127.255', 3590209536, 3590225919, 'ES', 'Spain'),
(160953, '213.254.128.0', '213.254.129.255', 3590225920, 3590226431, 'TR', 'Turkey'),
(160954, '213.254.130.0', '213.254.131.255', 3590226432, 3590226943, 'US', 'United States'),
(160955, '213.254.132.0', '213.254.140.255', 3590226944, 3590229247, 'TR', 'Turkey'),
(160956, '213.254.141.0', '213.254.144.255', 3590229248, 3590230271, 'US', 'United States'),
(160957, '213.254.145.0', '213.254.147.255', 3590230272, 3590231039, 'TR', 'Turkey'),
(160958, '213.254.148.0', '213.254.148.255', 3590231040, 3590231295, 'US', 'United States'),
(160959, '213.254.149.0', '213.254.159.255', 3590231296, 3590234111, 'TR', 'Turkey'),
(160960, '213.254.160.0', '213.254.191.255', 3590234112, 3590242303, 'GB', 'United Kingdom'),
(160961, '213.254.192.0', '213.254.199.255', 3590242304, 3590244351, 'US', 'United States'),
(160962, '213.254.200.0', '213.254.200.255', 3590244352, 3590244607, 'DE', 'Germany'),
(160963, '213.254.201.0', '213.254.201.255', 3590244608, 3590244863, 'IT', 'Italy'),
(160964, '213.254.202.0', '213.254.202.255', 3590244864, 3590245119, 'US', 'United States'),
(160965, '213.254.203.0', '213.254.203.15', 3590245120, 3590245135, 'BE', 'Belgium'),
(160966, '213.254.203.16', '213.254.203.23', 3590245136, 3590245143, 'FR', 'France'),
(160967, '213.254.203.24', '213.254.203.63', 3590245144, 3590245183, 'BE', 'Belgium'),
(160968, '213.254.203.64', '213.254.203.191', 3590245184, 3590245311, 'FR', 'France'),
(160969, '213.254.203.192', '213.254.204.63', 3590245312, 3590245439, 'US', 'United States'),
(160970, '213.254.204.64', '213.254.204.127', 3590245440, 3590245503, 'FR', 'France'),
(160971, '213.254.204.128', '213.254.204.191', 3590245504, 3590245567, 'GB', 'United Kingdom'),
(160972, '213.254.204.192', '213.254.207.31', 3590245568, 3590246175, 'FR', 'France'),
(160973, '213.254.207.32', '213.254.207.63', 3590246176, 3590246207, 'AU', 'Australia'),
(160974, '213.254.207.64', '213.254.207.127', 3590246208, 3590246271, 'FR', 'France'),
(160975, '213.254.207.128', '213.254.207.143', 3590246272, 3590246287, 'DE', 'Germany'),
(160976, '213.254.207.144', '213.254.207.255', 3590246288, 3590246399, 'FR', 'France'),
(160977, '213.254.208.0', '213.254.209.255', 3590246400, 3590246911, 'US', 'United States'),
(160978, '213.254.210.0', '213.254.210.127', 3590246912, 3590247039, 'DE', 'Germany'),
(160979, '213.254.210.128', '213.254.210.143', 3590247040, 3590247055, 'IT', 'Italy'),
(160980, '213.254.210.144', '213.254.210.151', 3590247056, 3590247063, 'DE', 'Germany'),
(160981, '213.254.210.152', '213.254.210.159', 3590247064, 3590247071, 'FR', 'France'),
(160982, '213.254.210.160', '213.254.210.191', 3590247072, 3590247103, 'IT', 'Italy'),
(160983, '213.254.210.192', '213.254.210.255', 3590247104, 3590247167, 'FR', 'France'),
(160984, '213.254.211.0', '213.254.211.63', 3590247168, 3590247231, 'US', 'United States'),
(160985, '213.254.211.64', '213.254.211.127', 3590247232, 3590247295, 'IT', 'Italy'),
(160986, '213.254.211.128', '213.254.211.255', 3590247296, 3590247423, 'US', 'United States'),
(160987, '213.254.212.0', '213.254.212.63', 3590247424, 3590247487, 'IT', 'Italy'),
(160988, '213.254.212.64', '213.254.212.127', 3590247488, 3590247551, 'US', 'United States'),
(160989, '213.254.212.128', '213.254.212.255', 3590247552, 3590247679, 'IT', 'Italy'),
(160990, '213.254.213.0', '213.254.213.7', 3590247680, 3590247687, 'GB', 'United Kingdom'),
(160991, '213.254.213.8', '213.254.213.31', 3590247688, 3590247711, 'FR', 'France'),
(160992, '213.254.213.32', '213.254.213.63', 3590247712, 3590247743, 'A1', 'Anonymous Proxy'),
(160993, '213.254.213.64', '213.254.215.255', 3590247744, 3590248447, 'FR', 'France'),
(160994, '213.254.216.0', '213.254.217.255', 3590248448, 3590248959, 'US', 'United States'),
(160995, '213.254.218.0', '213.254.219.255', 3590248960, 3590249471, 'ES', 'Spain'),
(160996, '213.254.220.0', '213.254.221.255', 3590249472, 3590249983, 'IE', 'Ireland'),
(160997, '213.254.222.0', '213.254.222.255', 3590249984, 3590250239, 'FR', 'France'),
(160998, '213.254.223.0', '213.254.223.255', 3590250240, 3590250495, 'GR', 'Greece'),
(160999, '213.254.224.0', '213.254.224.255', 3590250496, 3590250751, 'IE', 'Ireland'),
(161000, '213.254.225.0', '213.254.226.255', 3590250752, 3590251263, 'FR', 'France'),
(161001, '213.254.227.0', '213.254.227.255', 3590251264, 3590251519, 'DE', 'Germany'),
(161002, '213.254.228.0', '213.254.228.63', 3590251520, 3590251583, 'FR', 'France'),
(161003, '213.254.228.64', '213.254.228.127', 3590251584, 3590251647, 'US', 'United States'),
(161004, '213.254.228.128', '213.254.228.255', 3590251648, 3590251775, 'NL', 'Netherlands'),
(161005, '213.254.229.0', '213.254.229.191', 3590251776, 3590251967, 'FR', 'France'),
(161006, '213.254.229.192', '213.254.230.255', 3590251968, 3590252287, 'ES', 'Spain'),
(161007, '213.254.231.0', '213.254.231.255', 3590252288, 3590252543, 'FR', 'France'),
(161008, '213.254.232.0', '213.254.233.255', 3590252544, 3590253055, 'LB', 'Lebanon'),
(161009, '213.254.234.0', '213.254.234.255', 3590253056, 3590253311, 'DE', 'Germany'),
(161010, '213.254.235.0', '213.254.235.63', 3590253312, 3590253375, 'FR', 'France'),
(161011, '213.254.235.64', '213.254.235.95', 3590253376, 3590253407, 'US', 'United States'),
(161012, '213.254.235.96', '213.254.237.255', 3590253408, 3590254079, 'FR', 'France'),
(161013, '213.254.238.0', '213.254.238.31', 3590254080, 3590254111, 'DE', 'Germany'),
(161014, '213.254.238.32', '213.254.238.47', 3590254112, 3590254127, 'FR', 'France'),
(161015, '213.254.238.48', '213.254.238.55', 3590254128, 3590254135, 'RU', 'Russian Federation'),
(161016, '213.254.238.56', '213.254.238.63', 3590254136, 3590254143, 'FR', 'France'),
(161017, '213.254.238.64', '213.254.238.191', 3590254144, 3590254271, 'US', 'United States'),
(161018, '213.254.238.192', '213.254.239.127', 3590254272, 3590254463, 'FR', 'France'),
(161019, '213.254.239.128', '213.254.239.255', 3590254464, 3590254591, 'ES', 'Spain'),
(161020, '213.254.240.0', '213.254.241.63', 3590254592, 3590254911, 'FR', 'France'),
(161021, '213.254.241.64', '213.254.241.127', 3590254912, 3590254975, 'ES', 'Spain'),
(161022, '213.254.241.128', '213.254.241.191', 3590254976, 3590255039, 'DE', 'Germany'),
(161023, '213.254.241.192', '213.254.241.199', 3590255040, 3590255047, 'FR', 'France'),
(161024, '213.254.241.200', '213.254.241.223', 3590255048, 3590255071, 'ES', 'Spain'),
(161025, '213.254.241.224', '213.254.241.255', 3590255072, 3590255103, 'DE', 'Germany'),
(161026, '213.254.242.0', '213.254.242.255', 3590255104, 3590255359, 'ES', 'Spain'),
(161027, '213.254.243.0', '213.254.244.255', 3590255360, 3590255871, 'FR', 'France'),
(161028, '213.254.245.0', '213.254.245.255', 3590255872, 3590256127, 'US', 'United States'),
(161029, '213.254.246.0', '213.254.246.255', 3590256128, 3590256383, 'ES', 'Spain'),
(161030, '213.254.247.0', '213.254.247.255', 3590256384, 3590256639, 'FR', 'France'),
(161031, '213.254.248.0', '213.254.248.63', 3590256640, 3590256703, 'US', 'United States'),
(161032, '213.254.248.64', '213.254.248.79', 3590256704, 3590256719, 'BE', 'Belgium'),
(161033, '213.254.248.80', '213.254.248.95', 3590256720, 3590256735, 'FR', 'France'),
(161034, '213.254.248.96', '213.254.248.127', 3590256736, 3590256767, 'BE', 'Belgium'),
(161035, '213.254.248.128', '213.254.249.255', 3590256768, 3590257151, 'US', 'United States'),
(161036, '213.254.250.0', '213.254.253.255', 3590257152, 3590258175, 'DE', 'Germany'),
(161037, '213.254.254.0', '213.254.254.211', 3590258176, 3590258387, 'FR', 'France'),
(161038, '213.254.254.212', '213.254.254.215', 3590258388, 3590258391, 'DE', 'Germany'),
(161039, '213.254.254.216', '213.254.254.255', 3590258392, 3590258431, 'FR', 'France'),
(161040, '213.254.255.0', '213.254.255.15', 3590258432, 3590258447, 'GB', 'United Kingdom'),
(161041, '213.254.255.16', '213.254.255.31', 3590258448, 3590258463, 'FR', 'France'),
(161042, '213.254.255.32', '213.254.255.63', 3590258464, 3590258495, 'US', 'United States'),
(161043, '213.254.255.64', '213.254.255.127', 3590258496, 3590258559, 'FR', 'France'),
(161044, '213.254.255.128', '213.254.255.255', 3590258560, 3590258687, 'US', 'United States'),
(161045, '213.255.0.0', '213.255.127.255', 3590258688, 3590291455, 'IT', 'Italy'),
(161046, '213.255.128.0', '213.255.159.255', 3590291456, 3590299647, 'EG', 'Egypt'),
(161047, '213.255.160.0', '213.255.191.255', 3590299648, 3590307839, 'FI', 'Finland'),
(161048, '213.255.192.0', '213.255.192.63', 3590307840, 3590307903, 'GB', 'United Kingdom'),
(161049, '213.255.192.64', '213.255.192.95', 3590307904, 3590307935, 'UA', 'Ukraine'),
(161050, '213.255.192.96', '213.255.192.111', 3590307936, 3590307951, 'GB', 'United Kingdom'),
(161051, '213.255.192.112', '213.255.192.127', 3590307952, 3590307967, 'NG', 'Nigeria'),
(161052, '213.255.192.128', '213.255.192.151', 3590307968, 3590307991, 'GB', 'United Kingdom'),
(161053, '213.255.192.152', '213.255.192.155', 3590307992, 3590307995, 'SO', 'Somalia'),
(161054, '213.255.192.156', '213.255.192.191', 3590307996, 3590308031, 'GB', 'United Kingdom'),
(161055, '213.255.192.192', '213.255.192.207', 3590308032, 3590308047, 'UG', 'Uganda'),
(161056, '213.255.192.208', '213.255.192.215', 3590308048, 3590308055, 'NG', 'Nigeria'),
(161057, '213.255.192.216', '213.255.192.223', 3590308056, 3590308063, 'GB', 'United Kingdom'),
(161058, '213.255.192.224', '213.255.192.231', 3590308064, 3590308071, 'SO', 'Somalia'),
(161059, '213.255.192.232', '213.255.192.239', 3590308072, 3590308079, 'RW', 'Rwanda'),
(161060, '213.255.192.240', '213.255.192.247', 3590308080, 3590308087, 'IQ', 'Iraq'),
(161061, '213.255.192.248', '213.255.192.255', 3590308088, 3590308095, 'GB', 'United Kingdom'),
(161062, '213.255.193.0', '213.255.193.7', 3590308096, 3590308103, 'IQ', 'Iraq'),
(161063, '213.255.193.8', '213.255.193.23', 3590308104, 3590308119, 'GB', 'United Kingdom'),
(161064, '213.255.193.24', '213.255.193.31', 3590308120, 3590308127, 'IQ', 'Iraq'),
(161065, '213.255.193.32', '213.255.193.39', 3590308128, 3590308135, 'GB', 'United Kingdom'),
(161066, '213.255.193.40', '213.255.193.47', 3590308136, 3590308143, 'IQ', 'Iraq'),
(161067, '213.255.193.48', '213.255.193.79', 3590308144, 3590308175, 'GB', 'United Kingdom'),
(161068, '213.255.193.80', '213.255.193.95', 3590308176, 3590308191, 'IQ', 'Iraq'),
(161069, '213.255.193.96', '213.255.193.103', 3590308192, 3590308199, 'GB', 'United Kingdom'),
(161070, '213.255.193.104', '213.255.193.142', 3590308200, 3590308238, 'IQ', 'Iraq'),
(161071, '213.255.193.143', '213.255.193.151', 3590308239, 3590308247, 'GB', 'United Kingdom'),
(161072, '213.255.193.152', '213.255.193.191', 3590308248, 3590308287, 'IQ', 'Iraq'),
(161073, '213.255.193.192', '213.255.193.207', 3590308288, 3590308303, 'GB', 'United Kingdom'),
(161074, '213.255.193.208', '213.255.193.215', 3590308304, 3590308311, 'SO', 'Somalia'),
(161075, '213.255.193.216', '213.255.193.223', 3590308312, 3590308319, 'IQ', 'Iraq'),
(161076, '213.255.193.224', '213.255.193.231', 3590308320, 3590308327, 'GB', 'United Kingdom'),
(161077, '213.255.193.232', '213.255.193.247', 3590308328, 3590308343, 'IQ', 'Iraq'),
(161078, '213.255.193.248', '213.255.193.255', 3590308344, 3590308351, 'GB', 'United Kingdom'),
(161079, '213.255.194.0', '213.255.194.15', 3590308352, 3590308367, 'IQ', 'Iraq'),
(161080, '213.255.194.16', '213.255.194.23', 3590308368, 3590308375, 'GB', 'United Kingdom'),
(161081, '213.255.194.24', '213.255.194.39', 3590308376, 3590308391, 'IQ', 'Iraq'),
(161082, '213.255.194.40', '213.255.194.47', 3590308392, 3590308399, 'GB', 'United Kingdom'),
(161083, '213.255.194.48', '213.255.194.55', 3590308400, 3590308407, 'IQ', 'Iraq'),
(161084, '213.255.194.56', '213.255.194.63', 3590308408, 3590308415, 'GB', 'United Kingdom'),
(161085, '213.255.194.64', '213.255.194.79', 3590308416, 3590308431, 'IQ', 'Iraq'),
(161086, '213.255.194.80', '213.255.194.87', 3590308432, 3590308439, 'GB', 'United Kingdom'),
(161087, '213.255.194.88', '213.255.194.103', 3590308440, 3590308455, 'IQ', 'Iraq'),
(161088, '213.255.194.104', '213.255.194.127', 3590308456, 3590308479, 'GB', 'United Kingdom'),
(161089, '213.255.194.128', '213.255.194.135', 3590308480, 3590308487, 'IQ', 'Iraq'),
(161090, '213.255.194.136', '213.255.194.167', 3590308488, 3590308519, 'GB', 'United Kingdom'),
(161091, '213.255.194.168', '213.255.194.175', 3590308520, 3590308527, 'IQ', 'Iraq'),
(161092, '213.255.194.176', '213.255.194.183', 3590308528, 3590308535, 'GB', 'United Kingdom'),
(161093, '213.255.194.184', '213.255.194.191', 3590308536, 3590308543, 'IQ', 'Iraq'),
(161094, '213.255.194.192', '213.255.194.199', 3590308544, 3590308551, 'GB', 'United Kingdom'),
(161095, '213.255.194.200', '213.255.194.207', 3590308552, 3590308559, 'IQ', 'Iraq'),
(161096, '213.255.194.208', '213.255.194.215', 3590308560, 3590308567, 'GB', 'United Kingdom'),
(161097, '213.255.194.216', '213.255.194.231', 3590308568, 3590308583, 'IQ', 'Iraq'),
(161098, '213.255.194.232', '213.255.194.255', 3590308584, 3590308607, 'GB', 'United Kingdom'),
(161099, '213.255.195.0', '213.255.195.31', 3590308608, 3590308639, 'AF', 'Afghanistan'),
(161100, '213.255.195.32', '213.255.195.135', 3590308640, 3590308743, 'GB', 'United Kingdom'),
(161101, '213.255.195.136', '213.255.195.139', 3590308744, 3590308747, 'SO', 'Somalia'),
(161102, '213.255.195.140', '213.255.195.159', 3590308748, 3590308767, 'GB', 'United Kingdom'),
(161103, '213.255.195.160', '213.255.195.167', 3590308768, 3590308775, 'RW', 'Rwanda'),
(161104, '213.255.195.168', '213.255.195.175', 3590308776, 3590308783, 'ZA', 'South Africa'),
(161105, '213.255.195.176', '213.255.195.191', 3590308784, 3590308799, 'ZW', 'Zimbabwe'),
(161106, '213.255.195.192', '213.255.195.199', 3590308800, 3590308807, 'GB', 'United Kingdom'),
(161107, '213.255.195.200', '213.255.195.207', 3590308808, 3590308815, 'ZM', 'Zambia'),
(161108, '213.255.195.208', '213.255.195.215', 3590308816, 3590308823, 'KE', 'Kenya'),
(161109, '213.255.195.216', '213.255.195.223', 3590308824, 3590308831, 'SO', 'Somalia'),
(161110, '213.255.195.224', '213.255.195.247', 3590308832, 3590308855, 'GB', 'United Kingdom'),
(161111, '213.255.195.248', '213.255.195.255', 3590308856, 3590308863, 'NG', 'Nigeria'),
(161112, '213.255.196.0', '213.255.196.255', 3590308864, 3590309119, 'ZM', 'Zambia'),
(161113, '213.255.197.0', '213.255.197.131', 3590309120, 3590309251, 'GB', 'United Kingdom'),
(161114, '213.255.197.132', '213.255.197.135', 3590309252, 3590309255, 'SO', 'Somalia'),
(161115, '213.255.197.136', '213.255.198.135', 3590309256, 3590309511, 'GB', 'United Kingdom'),
(161116, '213.255.198.136', '213.255.198.143', 3590309512, 3590309519, 'AO', 'Angola'),
(161117, '213.255.198.144', '213.255.198.151', 3590309520, 3590309527, 'NG', 'Nigeria'),
(161118, '213.255.198.152', '213.255.198.159', 3590309528, 3590309535, 'CM', 'Cameroon'),
(161119, '213.255.198.160', '213.255.198.167', 3590309536, 3590309543, 'SO', 'Somalia'),
(161120, '213.255.198.168', '213.255.198.175', 3590309544, 3590309551, 'AM', 'Armenia'),
(161121, '213.255.198.176', '213.255.198.199', 3590309552, 3590309575, 'GB', 'United Kingdom'),
(161122, '213.255.198.200', '213.255.198.207', 3590309576, 3590309583, 'US', 'United States'),
(161123, '213.255.198.208', '213.255.198.239', 3590309584, 3590309615, 'GB', 'United Kingdom'),
(161124, '213.255.198.240', '213.255.198.247', 3590309616, 3590309623, 'UG', 'Uganda'),
(161125, '213.255.198.248', '213.255.198.255', 3590309624, 3590309631, 'GB', 'United Kingdom'),
(161126, '213.255.199.0', '213.255.199.15', 3590309632, 3590309647, 'IQ', 'Iraq'),
(161127, '213.255.199.16', '213.255.199.39', 3590309648, 3590309671, 'GB', 'United Kingdom'),
(161128, '213.255.199.40', '213.255.199.55', 3590309672, 3590309687, 'IQ', 'Iraq'),
(161129, '213.255.199.56', '213.255.199.79', 3590309688, 3590309711, 'GB', 'United Kingdom'),
(161130, '213.255.199.80', '213.255.199.87', 3590309712, 3590309719, 'IQ', 'Iraq'),
(161131, '213.255.199.88', '213.255.199.95', 3590309720, 3590309727, 'GB', 'United Kingdom'),
(161132, '213.255.199.96', '213.255.199.127', 3590309728, 3590309759, 'IQ', 'Iraq'),
(161133, '213.255.199.128', '213.255.199.143', 3590309760, 3590309775, 'GB', 'United Kingdom'),
(161134, '213.255.199.144', '213.255.199.159', 3590309776, 3590309791, 'IQ', 'Iraq'),
(161135, '213.255.199.160', '213.255.199.167', 3590309792, 3590309799, 'GB', 'United Kingdom'),
(161136, '213.255.199.168', '213.255.199.175', 3590309800, 3590309807, 'IQ', 'Iraq'),
(161137, '213.255.199.176', '213.255.199.183', 3590309808, 3590309815, 'GB', 'United Kingdom'),
(161138, '213.255.199.184', '213.255.199.207', 3590309816, 3590309839, 'IQ', 'Iraq'),
(161139, '213.255.199.208', '213.255.199.231', 3590309840, 3590309863, 'GB', 'United Kingdom'),
(161140, '213.255.199.232', '213.255.199.239', 3590309864, 3590309871, 'IQ', 'Iraq'),
(161141, '213.255.199.240', '213.255.199.247', 3590309872, 3590309879, 'GB', 'United Kingdom'),
(161142, '213.255.199.248', '213.255.199.255', 3590309880, 3590309887, 'IQ', 'Iraq'),
(161143, '213.255.200.0', '213.255.200.255', 3590309888, 3590310143, 'BF', 'Burkina Faso'),
(161144, '213.255.201.0', '213.255.201.31', 3590310144, 3590310175, 'IQ', 'Iraq'),
(161145, '213.255.201.32', '213.255.201.39', 3590310176, 3590310183, 'LR', 'Liberia'),
(161146, '213.255.201.40', '213.255.201.47', 3590310184, 3590310191, 'GB', 'United Kingdom'),
(161147, '213.255.201.48', '213.255.201.71', 3590310192, 3590310215, 'IQ', 'Iraq'),
(161148, '213.255.201.72', '213.255.201.79', 3590310216, 3590310223, 'GB', 'United Kingdom'),
(161149, '213.255.201.80', '213.255.201.111', 3590310224, 3590310255, 'IQ', 'Iraq'),
(161150, '213.255.201.112', '213.255.201.127', 3590310256, 3590310271, 'GB', 'United Kingdom'),
(161151, '213.255.201.128', '213.255.201.135', 3590310272, 3590310279, 'IQ', 'Iraq'),
(161152, '213.255.201.136', '213.255.201.143', 3590310280, 3590310287, 'GB', 'United Kingdom'),
(161153, '213.255.201.144', '213.255.201.159', 3590310288, 3590310303, 'IQ', 'Iraq'),
(161154, '213.255.201.160', '213.255.201.167', 3590310304, 3590310311, 'GB', 'United Kingdom'),
(161155, '213.255.201.168', '213.255.201.175', 3590310312, 3590310319, 'IQ', 'Iraq'),
(161156, '213.255.201.176', '213.255.201.183', 3590310320, 3590310327, 'GB', 'United Kingdom'),
(161157, '213.255.201.184', '213.255.201.191', 3590310328, 3590310335, 'NG', 'Nigeria'),
(161158, '213.255.201.192', '213.255.201.215', 3590310336, 3590310359, 'GB', 'United Kingdom'),
(161159, '213.255.201.216', '213.255.201.223', 3590310360, 3590310367, 'IQ', 'Iraq'),
(161160, '213.255.201.224', '213.255.201.239', 3590310368, 3590310383, 'GB', 'United Kingdom'),
(161161, '213.255.201.240', '213.255.201.247', 3590310384, 3590310391, 'IQ', 'Iraq'),
(161162, '213.255.201.248', '213.255.203.255', 3590310392, 3590310911, 'GB', 'United Kingdom'),
(161163, '213.255.204.0', '213.255.204.7', 3590310912, 3590310919, 'IQ', 'Iraq'),
(161164, '213.255.204.8', '213.255.204.39', 3590310920, 3590310951, 'GB', 'United Kingdom'),
(161165, '213.255.204.40', '213.255.204.47', 3590310952, 3590310959, 'IQ', 'Iraq'),
(161166, '213.255.204.48', '213.255.204.55', 3590310960, 3590310967, 'GB', 'United Kingdom'),
(161167, '213.255.204.56', '213.255.204.95', 3590310968, 3590311007, 'IQ', 'Iraq'),
(161168, '213.255.204.96', '213.255.204.119', 3590311008, 3590311031, 'GB', 'United Kingdom'),
(161169, '213.255.204.120', '213.255.204.127', 3590311032, 3590311039, 'IQ', 'Iraq'),
(161170, '213.255.204.128', '213.255.204.143', 3590311040, 3590311055, 'GB', 'United Kingdom'),
(161171, '213.255.204.144', '213.255.204.151', 3590311056, 3590311063, 'IQ', 'Iraq'),
(161172, '213.255.204.152', '213.255.204.167', 3590311064, 3590311079, 'GB', 'United Kingdom'),
(161173, '213.255.204.168', '213.255.204.175', 3590311080, 3590311087, 'IQ', 'Iraq'),
(161174, '213.255.204.176', '213.255.204.191', 3590311088, 3590311103, 'GB', 'United Kingdom'),
(161175, '213.255.204.192', '213.255.204.199', 3590311104, 3590311111, 'IQ', 'Iraq'),
(161176, '213.255.204.200', '213.255.204.207', 3590311112, 3590311119, 'GB', 'United Kingdom'),
(161177, '213.255.204.208', '213.255.204.223', 3590311120, 3590311135, 'IQ', 'Iraq'),
(161178, '213.255.204.224', '213.255.204.231', 3590311136, 3590311143, 'GB', 'United Kingdom'),
(161179, '213.255.204.232', '213.255.204.255', 3590311144, 3590311167, 'IQ', 'Iraq'),
(161180, '213.255.205.0', '213.255.205.7', 3590311168, 3590311175, 'GB', 'United Kingdom'),
(161181, '213.255.205.8', '213.255.205.15', 3590311176, 3590311183, 'CD', 'Congo, The Democratic Republic of the'),
(161182, '213.255.205.16', '213.255.205.31', 3590311184, 3590311199, 'GB', 'United Kingdom'),
(161183, '213.255.205.32', '213.255.205.39', 3590311200, 3590311207, 'SD', 'Sudan'),
(161184, '213.255.205.40', '213.255.205.47', 3590311208, 3590311215, 'CD', 'Congo, The Democratic Republic of the'),
(161185, '213.255.205.48', '213.255.205.55', 3590311216, 3590311223, 'GB', 'United Kingdom'),
(161186, '213.255.205.56', '213.255.205.63', 3590311224, 3590311231, 'CD', 'Congo, The Democratic Republic of the'),
(161187, '213.255.205.64', '213.255.205.87', 3590311232, 3590311255, 'GB', 'United Kingdom'),
(161188, '213.255.205.88', '213.255.205.95', 3590311256, 3590311263, 'ZW', 'Zimbabwe'),
(161189, '213.255.205.96', '213.255.205.103', 3590311264, 3590311271, 'GB', 'United Kingdom'),
(161190, '213.255.205.104', '213.255.205.111', 3590311272, 3590311279, 'SD', 'Sudan'),
(161191, '213.255.205.112', '213.255.205.119', 3590311280, 3590311287, 'NG', 'Nigeria'),
(161192, '213.255.205.120', '213.255.205.127', 3590311288, 3590311295, 'GB', 'United Kingdom'),
(161193, '213.255.205.128', '213.255.205.135', 3590311296, 3590311303, 'LR', 'Liberia'),
(161194, '213.255.205.136', '213.255.205.143', 3590311304, 3590311311, 'GB', 'United Kingdom'),
(161195, '213.255.205.144', '213.255.205.151', 3590311312, 3590311319, 'CD', 'Congo, The Democratic Republic of the'),
(161196, '213.255.205.152', '213.255.205.159', 3590311320, 3590311327, 'CI', 'Cote D''Ivoire'),
(161197, '213.255.205.160', '213.255.205.167', 3590311328, 3590311335, 'CD', 'Congo, The Democratic Republic of the'),
(161198, '213.255.205.168', '213.255.205.175', 3590311336, 3590311343, 'SD', 'Sudan'),
(161199, '213.255.205.176', '213.255.205.183', 3590311344, 3590311351, 'LY', 'Libyan Arab Jamahiriya'),
(161200, '213.255.205.184', '213.255.205.191', 3590311352, 3590311359, 'CD', 'Congo, The Democratic Republic of the'),
(161201, '213.255.205.192', '213.255.205.199', 3590311360, 3590311367, 'LY', 'Libyan Arab Jamahiriya'),
(161202, '213.255.205.200', '213.255.205.215', 3590311368, 3590311383, 'CD', 'Congo, The Democratic Republic of the'),
(161203, '213.255.205.216', '213.255.205.223', 3590311384, 3590311391, 'NG', 'Nigeria'),
(161204, '213.255.205.224', '213.255.206.255', 3590311392, 3590311679, 'GB', 'United Kingdom'),
(161205, '213.255.207.0', '213.255.207.255', 3590311680, 3590311935, 'YT', 'Mayotte'),
(161206, '213.255.208.0', '213.255.209.255', 3590311936, 3590312447, 'GB', 'United Kingdom'),
(161207, '213.255.210.0', '213.255.210.255', 3590312448, 3590312703, 'MW', 'Malawi'),
(161208, '213.255.211.0', '213.255.211.95', 3590312704, 3590312799, 'GB', 'United Kingdom'),
(161209, '213.255.211.96', '213.255.211.103', 3590312800, 3590312807, 'KE', 'Kenya'),
(161210, '213.255.211.104', '213.255.211.191', 3590312808, 3590312895, 'GB', 'United Kingdom'),
(161211, '213.255.211.192', '213.255.211.199', 3590312896, 3590312903, 'ZA', 'South Africa'),
(161212, '213.255.211.200', '213.255.211.207', 3590312904, 3590312911, 'AO', 'Angola'),
(161213, '213.255.211.208', '213.255.211.215', 3590312912, 3590312919, 'NG', 'Nigeria'),
(161214, '213.255.211.216', '213.255.211.223', 3590312920, 3590312927, 'GB', 'United Kingdom'),
(161215, '213.255.211.224', '213.255.211.239', 3590312928, 3590312943, 'UG', 'Uganda'),
(161216, '213.255.211.240', '213.255.211.247', 3590312944, 3590312951, 'GB', 'United Kingdom'),
(161217, '213.255.211.248', '213.255.211.255', 3590312952, 3590312959, 'KE', 'Kenya'),
(161218, '213.255.212.0', '213.255.218.127', 3590312960, 3590314623, 'GB', 'United Kingdom'),
(161219, '213.255.218.128', '213.255.218.143', 3590314624, 3590314639, 'ET', 'Ethiopia'),
(161220, '213.255.218.144', '213.255.218.159', 3590314640, 3590314655, 'GH', 'Ghana'),
(161221, '213.255.218.160', '213.255.218.175', 3590314656, 3590314671, 'GB', 'United Kingdom'),
(161222, '213.255.218.176', '213.255.218.183', 3590314672, 3590314679, 'UG', 'Uganda'),
(161223, '213.255.218.184', '213.255.218.223', 3590314680, 3590314719, 'GB', 'United Kingdom'),
(161224, '213.255.218.224', '213.255.218.231', 3590314720, 3590314727, 'TG', 'Togo'),
(161225, '213.255.218.232', '213.255.218.239', 3590314728, 3590314735, 'UG', 'Uganda'),
(161226, '213.255.218.240', '213.255.218.247', 3590314736, 3590314743, 'NG', 'Nigeria'),
(161227, '213.255.218.248', '213.255.219.135', 3590314744, 3590314887, 'GB', 'United Kingdom'),
(161228, '213.255.219.136', '213.255.219.143', 3590314888, 3590314895, 'NG', 'Nigeria'),
(161229, '213.255.219.144', '213.255.219.151', 3590314896, 3590314903, 'GB', 'United Kingdom'),
(161230, '213.255.219.152', '213.255.219.159', 3590314904, 3590314911, 'KE', 'Kenya'),
(161231, '213.255.219.160', '213.255.219.175', 3590314912, 3590314927, 'GB', 'United Kingdom'),
(161232, '213.255.219.176', '213.255.219.191', 3590314928, 3590314943, 'NG', 'Nigeria'),
(161233, '213.255.219.192', '213.255.219.215', 3590314944, 3590314967, 'GB', 'United Kingdom'),
(161234, '213.255.219.216', '213.255.219.221', 3590314968, 3590314973, 'YT', 'Mayotte'),
(161235, '213.255.219.222', '213.255.219.223', 3590314974, 3590314975, 'GB', 'United Kingdom'),
(161236, '213.255.219.224', '213.255.219.231', 3590314976, 3590314983, 'UG', 'Uganda'),
(161237, '213.255.219.232', '213.255.223.255', 3590314984, 3590316031, 'GB', 'United Kingdom'),
(161238, '213.255.224.0', '213.255.224.7', 3590316032, 3590316039, 'TZ', 'Tanzania, United Republic of'),
(161239, '213.255.224.8', '213.255.224.15', 3590316040, 3590316047, 'GB', 'United Kingdom'),
(161240, '213.255.224.16', '213.255.224.23', 3590316048, 3590316055, 'GH', 'Ghana'),
(161241, '213.255.224.24', '213.255.224.39', 3590316056, 3590316071, 'IQ', 'Iraq'),
(161242, '213.255.224.40', '213.255.224.47', 3590316072, 3590316079, 'GB', 'United Kingdom'),
(161243, '213.255.224.48', '213.255.224.55', 3590316080, 3590316087, 'LB', 'Lebanon');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(161244, '213.255.224.56', '213.255.224.95', 3590316088, 3590316127, 'GB', 'United Kingdom'),
(161245, '213.255.224.96', '213.255.224.119', 3590316128, 3590316151, 'NG', 'Nigeria'),
(161246, '213.255.224.120', '213.255.224.159', 3590316152, 3590316191, 'GB', 'United Kingdom'),
(161247, '213.255.224.160', '213.255.224.167', 3590316192, 3590316199, 'IQ', 'Iraq'),
(161248, '213.255.224.168', '213.255.224.199', 3590316200, 3590316231, 'GB', 'United Kingdom'),
(161249, '213.255.224.200', '213.255.224.207', 3590316232, 3590316239, 'LB', 'Lebanon'),
(161250, '213.255.224.208', '213.255.224.239', 3590316240, 3590316271, 'GB', 'United Kingdom'),
(161251, '213.255.224.240', '213.255.224.247', 3590316272, 3590316279, 'IQ', 'Iraq'),
(161252, '213.255.224.248', '213.255.224.250', 3590316280, 3590316282, 'GB', 'United Kingdom'),
(161253, '213.255.224.251', '213.255.224.251', 3590316283, 3590316283, 'US', 'United States'),
(161254, '213.255.224.252', '213.255.226.23', 3590316284, 3590316567, 'GB', 'United Kingdom'),
(161255, '213.255.226.24', '213.255.226.31', 3590316568, 3590316575, 'IQ', 'Iraq'),
(161256, '213.255.226.32', '213.255.226.47', 3590316576, 3590316591, 'GB', 'United Kingdom'),
(161257, '213.255.226.48', '213.255.226.55', 3590316592, 3590316599, 'IQ', 'Iraq'),
(161258, '213.255.226.56', '213.255.226.119', 3590316600, 3590316663, 'GB', 'United Kingdom'),
(161259, '213.255.226.120', '213.255.226.127', 3590316664, 3590316671, 'LY', 'Libyan Arab Jamahiriya'),
(161260, '213.255.226.128', '213.255.226.183', 3590316672, 3590316727, 'GB', 'United Kingdom'),
(161261, '213.255.226.184', '213.255.226.191', 3590316728, 3590316735, 'LB', 'Lebanon'),
(161262, '213.255.226.192', '213.255.227.255', 3590316736, 3590317055, 'GB', 'United Kingdom'),
(161263, '213.255.228.0', '213.255.228.255', 3590317056, 3590317311, 'NG', 'Nigeria'),
(161264, '213.255.229.0', '213.255.229.31', 3590317312, 3590317343, 'AO', 'Angola'),
(161265, '213.255.229.32', '213.255.229.127', 3590317344, 3590317439, 'GB', 'United Kingdom'),
(161266, '213.255.229.128', '213.255.229.135', 3590317440, 3590317447, 'AM', 'Armenia'),
(161267, '213.255.229.136', '213.255.229.143', 3590317448, 3590317455, 'LB', 'Lebanon'),
(161268, '213.255.229.144', '213.255.229.151', 3590317456, 3590317463, 'IQ', 'Iraq'),
(161269, '213.255.229.152', '213.255.229.159', 3590317464, 3590317471, 'GB', 'United Kingdom'),
(161270, '213.255.229.160', '213.255.229.167', 3590317472, 3590317479, 'MW', 'Malawi'),
(161271, '213.255.229.168', '213.255.229.183', 3590317480, 3590317495, 'GB', 'United Kingdom'),
(161272, '213.255.229.184', '213.255.229.191', 3590317496, 3590317503, 'LB', 'Lebanon'),
(161273, '213.255.229.192', '213.255.229.215', 3590317504, 3590317527, 'GB', 'United Kingdom'),
(161274, '213.255.229.216', '213.255.229.231', 3590317528, 3590317543, 'IQ', 'Iraq'),
(161275, '213.255.229.232', '213.255.229.255', 3590317544, 3590317567, 'GB', 'United Kingdom'),
(161276, '213.255.230.0', '213.255.230.255', 3590317568, 3590317823, 'US', 'United States'),
(161277, '213.255.231.0', '213.255.231.127', 3590317824, 3590317951, 'GB', 'United Kingdom'),
(161278, '213.255.231.128', '213.255.231.223', 3590317952, 3590318047, 'UA', 'Ukraine'),
(161279, '213.255.231.224', '213.255.236.63', 3590318048, 3590319167, 'GB', 'United Kingdom'),
(161280, '213.255.236.64', '213.255.236.127', 3590319168, 3590319231, 'AE', 'United Arab Emirates'),
(161281, '213.255.236.128', '213.255.236.231', 3590319232, 3590319335, 'GB', 'United Kingdom'),
(161282, '213.255.236.232', '213.255.236.255', 3590319336, 3590319359, 'AE', 'United Arab Emirates'),
(161283, '213.255.237.0', '213.255.237.63', 3590319360, 3590319423, 'GB', 'United Kingdom'),
(161284, '213.255.237.64', '213.255.237.95', 3590319424, 3590319455, 'AE', 'United Arab Emirates'),
(161285, '213.255.237.96', '213.255.239.95', 3590319456, 3590319967, 'GB', 'United Kingdom'),
(161286, '213.255.239.96', '213.255.239.127', 3590319968, 3590319999, 'AE', 'United Arab Emirates'),
(161287, '213.255.239.128', '213.255.240.71', 3590320000, 3590320199, 'GB', 'United Kingdom'),
(161288, '213.255.240.72', '213.255.240.79', 3590320200, 3590320207, 'IQ', 'Iraq'),
(161289, '213.255.240.80', '213.255.240.103', 3590320208, 3590320231, 'GB', 'United Kingdom'),
(161290, '213.255.240.104', '213.255.240.111', 3590320232, 3590320239, 'IQ', 'Iraq'),
(161291, '213.255.240.112', '213.255.240.175', 3590320240, 3590320303, 'GB', 'United Kingdom'),
(161292, '213.255.240.176', '213.255.240.191', 3590320304, 3590320319, 'IQ', 'Iraq'),
(161293, '213.255.240.192', '213.255.240.207', 3590320320, 3590320335, 'GB', 'United Kingdom'),
(161294, '213.255.240.208', '213.255.240.215', 3590320336, 3590320343, 'UG', 'Uganda'),
(161295, '213.255.240.216', '213.255.240.223', 3590320344, 3590320351, 'GB', 'United Kingdom'),
(161296, '213.255.240.224', '213.255.240.231', 3590320352, 3590320359, 'IQ', 'Iraq'),
(161297, '213.255.240.232', '213.255.240.247', 3590320360, 3590320375, 'GB', 'United Kingdom'),
(161298, '213.255.240.248', '213.255.240.255', 3590320376, 3590320383, 'IQ', 'Iraq'),
(161299, '213.255.241.0', '213.255.246.15', 3590320384, 3590321679, 'GB', 'United Kingdom'),
(161300, '213.255.246.16', '213.255.246.23', 3590321680, 3590321687, 'CM', 'Cameroon'),
(161301, '213.255.246.24', '213.255.246.31', 3590321688, 3590321695, 'GB', 'United Kingdom'),
(161302, '213.255.246.32', '213.255.246.47', 3590321696, 3590321711, 'ZW', 'Zimbabwe'),
(161303, '213.255.246.48', '213.255.247.23', 3590321712, 3590321943, 'GB', 'United Kingdom'),
(161304, '213.255.247.24', '213.255.247.39', 3590321944, 3590321959, 'IQ', 'Iraq'),
(161305, '213.255.247.40', '213.255.247.47', 3590321960, 3590321967, 'GB', 'United Kingdom'),
(161306, '213.255.247.48', '213.255.247.63', 3590321968, 3590321983, 'TR', 'Turkey'),
(161307, '213.255.247.64', '213.255.247.87', 3590321984, 3590322007, 'GB', 'United Kingdom'),
(161308, '213.255.247.88', '213.255.247.95', 3590322008, 3590322015, 'IQ', 'Iraq'),
(161309, '213.255.247.96', '213.255.247.143', 3590322016, 3590322063, 'GB', 'United Kingdom'),
(161310, '213.255.247.144', '213.255.247.151', 3590322064, 3590322071, 'IQ', 'Iraq'),
(161311, '213.255.247.152', '213.255.247.191', 3590322072, 3590322111, 'GB', 'United Kingdom'),
(161312, '213.255.247.192', '213.255.247.199', 3590322112, 3590322119, 'BJ', 'Benin'),
(161313, '213.255.247.200', '213.255.247.231', 3590322120, 3590322151, 'GB', 'United Kingdom'),
(161314, '213.255.247.232', '213.255.247.239', 3590322152, 3590322159, 'LY', 'Libyan Arab Jamahiriya'),
(161315, '213.255.247.240', '213.255.247.255', 3590322160, 3590322175, 'GB', 'United Kingdom'),
(161316, '213.255.248.0', '213.255.248.255', 3590322176, 3590322431, 'A2', 'Satellite Provider'),
(161317, '213.255.249.0', '213.255.249.127', 3590322432, 3590322559, 'LB', 'Lebanon'),
(161318, '213.255.249.128', '213.255.249.175', 3590322560, 3590322607, 'GB', 'United Kingdom'),
(161319, '213.255.249.176', '213.255.249.255', 3590322608, 3590322687, 'LB', 'Lebanon'),
(161320, '213.255.250.0', '213.255.251.255', 3590322688, 3590323199, 'IQ', 'Iraq'),
(161321, '213.255.252.0', '213.255.253.255', 3590323200, 3590323711, 'MW', 'Malawi'),
(161322, '213.255.254.0', '213.255.254.191', 3590323712, 3590323903, 'GB', 'United Kingdom'),
(161323, '213.255.254.192', '213.255.254.199', 3590323904, 3590323911, 'CD', 'Congo, The Democratic Republic of the'),
(161324, '213.255.254.200', '213.255.255.15', 3590323912, 3590323983, 'GB', 'United Kingdom'),
(161325, '213.255.255.16', '213.255.255.23', 3590323984, 3590323991, 'NG', 'Nigeria'),
(161326, '213.255.255.24', '213.255.255.31', 3590323992, 3590323999, 'GB', 'United Kingdom'),
(161327, '213.255.255.32', '213.255.255.39', 3590324000, 3590324007, 'LR', 'Liberia'),
(161328, '213.255.255.40', '213.255.255.47', 3590324008, 3590324015, 'GB', 'United Kingdom'),
(161329, '213.255.255.48', '213.255.255.55', 3590324016, 3590324023, 'NG', 'Nigeria'),
(161330, '213.255.255.56', '213.255.255.63', 3590324024, 3590324031, 'ZW', 'Zimbabwe'),
(161331, '213.255.255.64', '213.255.255.199', 3590324032, 3590324167, 'GB', 'United Kingdom'),
(161332, '213.255.255.200', '213.255.255.207', 3590324168, 3590324175, 'BW', 'Botswana'),
(161333, '213.255.255.208', '213.255.255.215', 3590324176, 3590324183, 'LR', 'Liberia'),
(161334, '213.255.255.216', '213.255.255.223', 3590324184, 3590324191, 'SD', 'Sudan'),
(161335, '213.255.255.224', '213.255.255.231', 3590324192, 3590324199, 'VG', 'Virgin Islands, British'),
(161336, '213.255.255.232', '213.255.255.239', 3590324200, 3590324207, 'TZ', 'Tanzania, United Republic of'),
(161337, '213.255.255.240', '213.255.255.247', 3590324208, 3590324215, 'CD', 'Congo, The Democratic Republic of the'),
(161338, '213.255.255.248', '213.255.255.255', 3590324216, 3590324223, 'NG', 'Nigeria'),
(161339, '214.0.0.0', '216.0.47.255', 3590324224, 3623890943, 'US', 'United States'),
(161340, '216.0.48.0', '216.0.48.255', 3623890944, 3623891199, 'ZA', 'South Africa'),
(161341, '216.0.49.0', '216.0.49.255', 3623891200, 3623891455, 'US', 'United States'),
(161342, '216.0.50.0', '216.0.50.255', 3623891456, 3623891711, 'ZA', 'South Africa'),
(161343, '216.0.51.0', '216.0.51.255', 3623891712, 3623891967, 'US', 'United States'),
(161344, '216.0.52.0', '216.0.53.255', 3623891968, 3623892479, 'ZA', 'South Africa'),
(161345, '216.0.54.0', '216.2.175.255', 3623892480, 3624054783, 'US', 'United States'),
(161346, '216.2.176.0', '216.2.183.255', 3624054784, 3624056831, 'ZA', 'South Africa'),
(161347, '216.2.184.0', '216.4.159.255', 3624056832, 3624181759, 'US', 'United States'),
(161348, '216.4.160.0', '216.4.163.255', 3624181760, 3624182783, 'ZA', 'South Africa'),
(161349, '216.4.164.0', '216.4.255.255', 3624182784, 3624206335, 'US', 'United States'),
(161350, '216.5.0.0', '216.5.7.255', 3624206336, 3624208383, 'ZA', 'South Africa'),
(161351, '216.5.8.0', '216.5.191.255', 3624208384, 3624255487, 'US', 'United States'),
(161352, '216.5.192.0', '216.5.199.255', 3624255488, 3624257535, 'ZA', 'South Africa'),
(161353, '216.5.200.0', '216.5.255.255', 3624257536, 3624271871, 'US', 'United States'),
(161354, '216.6.0.0', '216.6.1.255', 3624271872, 3624272383, 'SY', 'Syrian Arab Republic'),
(161355, '216.6.2.0', '216.6.2.31', 3624272384, 3624272415, 'US', 'United States'),
(161356, '216.6.2.32', '216.6.2.255', 3624272416, 3624272639, 'CA', 'Canada'),
(161357, '216.6.3.0', '216.6.3.255', 3624272640, 3624272895, 'DZ', 'Algeria'),
(161358, '216.6.4.0', '216.6.15.255', 3624272896, 3624275967, 'CA', 'Canada'),
(161359, '216.6.16.0', '216.6.16.255', 3624275968, 3624276223, 'US', 'United States'),
(161360, '216.6.17.0', '216.6.28.31', 3624276224, 3624279071, 'CA', 'Canada'),
(161361, '216.6.28.32', '216.6.28.47', 3624279072, 3624279087, 'BD', 'Bangladesh'),
(161362, '216.6.28.48', '216.6.35.255', 3624279088, 3624281087, 'CA', 'Canada'),
(161363, '216.6.36.0', '216.6.36.255', 3624281088, 3624281343, 'HT', 'Haiti'),
(161364, '216.6.37.0', '216.6.43.255', 3624281344, 3624283135, 'CA', 'Canada'),
(161365, '216.6.44.0', '216.6.47.255', 3624283136, 3624284159, 'US', 'United States'),
(161366, '216.6.48.0', '216.6.55.241', 3624284160, 3624286193, 'CA', 'Canada'),
(161367, '216.6.55.242', '216.6.55.242', 3624286194, 3624286194, 'ZA', 'South Africa'),
(161368, '216.6.55.243', '216.6.63.255', 3624286195, 3624288255, 'CA', 'Canada'),
(161369, '216.6.64.0', '216.6.71.255', 3624288256, 3624290303, 'IN', 'India'),
(161370, '216.6.72.0', '216.6.79.255', 3624290304, 3624292351, 'CA', 'Canada'),
(161371, '216.6.80.0', '216.6.80.255', 3624292352, 3624292607, 'MF', 'Saint Martin'),
(161372, '216.6.81.0', '216.6.81.255', 3624292608, 3624292863, 'US', 'United States'),
(161373, '216.6.82.0', '216.6.86.255', 3624292864, 3624294143, 'CA', 'Canada'),
(161374, '216.6.87.0', '216.6.87.255', 3624294144, 3624294399, 'US', 'United States'),
(161375, '216.6.88.0', '216.6.89.255', 3624294400, 3624294911, 'CA', 'Canada'),
(161376, '216.6.90.0', '216.6.90.255', 3624294912, 3624295167, 'US', 'United States'),
(161377, '216.6.91.0', '216.6.93.255', 3624295168, 3624295935, 'CA', 'Canada'),
(161378, '216.6.94.0', '216.6.94.255', 3624295936, 3624296191, 'LY', 'Libyan Arab Jamahiriya'),
(161379, '216.6.95.0', '216.6.98.255', 3624296192, 3624297215, 'CA', 'Canada'),
(161380, '216.6.99.0', '216.6.99.255', 3624297216, 3624297471, 'US', 'United States'),
(161381, '216.6.100.0', '216.6.103.255', 3624297472, 3624298495, 'CO', 'Colombia'),
(161382, '216.6.104.0', '216.6.107.255', 3624298496, 3624299519, 'PH', 'Philippines'),
(161383, '216.6.108.0', '216.6.109.255', 3624299520, 3624300031, 'CA', 'Canada'),
(161384, '216.6.110.0', '216.6.110.255', 3624300032, 3624300287, 'LY', 'Libyan Arab Jamahiriya'),
(161385, '216.6.111.0', '216.6.120.255', 3624300288, 3624302847, 'CA', 'Canada'),
(161386, '216.6.121.0', '216.6.121.255', 3624302848, 3624303103, 'MY', 'Malaysia'),
(161387, '216.6.122.0', '216.6.122.255', 3624303104, 3624303359, 'CA', 'Canada'),
(161388, '216.6.123.0', '216.6.123.255', 3624303360, 3624303615, 'US', 'United States'),
(161389, '216.6.124.0', '216.6.124.127', 3624303616, 3624303743, 'CA', 'Canada'),
(161390, '216.6.124.128', '216.6.124.143', 3624303744, 3624303759, 'ZA', 'South Africa'),
(161391, '216.6.124.144', '216.6.127.255', 3624303760, 3624304639, 'CA', 'Canada'),
(161392, '216.6.128.0', '216.6.191.255', 3624304640, 3624321023, 'US', 'United States'),
(161393, '216.6.192.0', '216.6.207.255', 3624321024, 3624325119, 'CA', 'Canada'),
(161394, '216.6.208.0', '216.6.229.15', 3624325120, 3624330511, 'US', 'United States'),
(161395, '216.6.229.16', '216.6.229.23', 3624330512, 3624330519, 'CA', 'Canada'),
(161396, '216.6.229.24', '216.7.79.255', 3624330520, 3624357887, 'US', 'United States'),
(161397, '216.7.80.0', '216.7.80.255', 3624357888, 3624358143, 'KN', 'Saint Kitts and Nevis'),
(161398, '216.7.81.0', '216.7.86.255', 3624358144, 3624359679, 'US', 'United States'),
(161399, '216.7.87.0', '216.7.90.255', 3624359680, 3624360703, 'AN', 'Netherlands Antilles'),
(161400, '216.7.91.0', '216.7.144.159', 3624360704, 3624374431, 'US', 'United States'),
(161401, '216.7.144.160', '216.7.144.167', 3624374432, 3624374439, 'GB', 'United Kingdom'),
(161402, '216.7.144.168', '216.7.144.175', 3624374440, 3624374447, 'US', 'United States'),
(161403, '216.7.144.176', '216.7.144.183', 3624374448, 3624374455, 'ES', 'Spain'),
(161404, '216.7.144.184', '216.7.144.191', 3624374456, 3624374463, 'DE', 'Germany'),
(161405, '216.7.144.192', '216.7.145.15', 3624374464, 3624374543, 'US', 'United States'),
(161406, '216.7.145.16', '216.7.145.23', 3624374544, 3624374551, 'ES', 'Spain'),
(161407, '216.7.145.24', '216.7.145.31', 3624374552, 3624374559, 'US', 'United States'),
(161408, '216.7.145.32', '216.7.145.71', 3624374560, 3624374599, 'ES', 'Spain'),
(161409, '216.7.145.72', '216.7.150.63', 3624374600, 3624375871, 'US', 'United States'),
(161410, '216.7.150.64', '216.7.150.71', 3624375872, 3624375879, 'NL', 'Netherlands'),
(161411, '216.7.150.72', '216.7.150.215', 3624375880, 3624376023, 'US', 'United States'),
(161412, '216.7.150.216', '216.7.150.223', 3624376024, 3624376031, 'GB', 'United Kingdom'),
(161413, '216.7.150.224', '216.7.151.183', 3624376032, 3624376247, 'US', 'United States'),
(161414, '216.7.151.184', '216.7.151.199', 3624376248, 3624376263, 'ES', 'Spain'),
(161415, '216.7.151.200', '216.7.151.215', 3624376264, 3624376279, 'US', 'United States'),
(161416, '216.7.151.216', '216.7.151.239', 3624376280, 3624376303, 'GB', 'United Kingdom'),
(161417, '216.7.151.240', '216.7.152.15', 3624376304, 3624376335, 'US', 'United States'),
(161418, '216.7.152.16', '216.7.152.23', 3624376336, 3624376343, 'AU', 'Australia'),
(161419, '216.7.152.24', '216.7.152.31', 3624376344, 3624376351, 'US', 'United States'),
(161420, '216.7.152.32', '216.7.152.39', 3624376352, 3624376359, 'PT', 'Portugal'),
(161421, '216.7.152.40', '216.7.152.247', 3624376360, 3624376567, 'US', 'United States'),
(161422, '216.7.152.248', '216.7.152.255', 3624376568, 3624376575, 'NL', 'Netherlands'),
(161423, '216.7.153.0', '216.7.153.79', 3624376576, 3624376655, 'US', 'United States'),
(161424, '216.7.153.80', '216.7.153.103', 3624376656, 3624376679, 'GB', 'United Kingdom'),
(161425, '216.7.153.104', '216.7.155.231', 3624376680, 3624377319, 'US', 'United States'),
(161426, '216.7.155.232', '216.7.155.235', 3624377320, 3624377323, 'GB', 'United Kingdom'),
(161427, '216.7.155.236', '216.7.156.255', 3624377324, 3624377599, 'US', 'United States'),
(161428, '216.7.157.0', '216.7.157.255', 3624377600, 3624377855, 'A2', 'Satellite Provider'),
(161429, '216.7.158.0', '216.7.158.7', 3624377856, 3624377863, 'US', 'United States'),
(161430, '216.7.158.8', '216.7.158.15', 3624377864, 3624377871, 'GB', 'United Kingdom'),
(161431, '216.7.158.16', '216.7.158.23', 3624377872, 3624377879, 'US', 'United States'),
(161432, '216.7.158.24', '216.7.158.31', 3624377880, 3624377887, 'GB', 'United Kingdom'),
(161433, '216.7.158.32', '216.7.158.47', 3624377888, 3624377903, 'US', 'United States'),
(161434, '216.7.158.48', '216.7.158.55', 3624377904, 3624377911, 'GB', 'United Kingdom'),
(161435, '216.7.158.56', '216.7.158.63', 3624377912, 3624377919, 'US', 'United States'),
(161436, '216.7.158.64', '216.7.158.79', 3624377920, 3624377935, 'ES', 'Spain'),
(161437, '216.7.158.80', '216.7.158.143', 3624377936, 3624377999, 'US', 'United States'),
(161438, '216.7.158.144', '216.7.158.151', 3624378000, 3624378007, 'ES', 'Spain'),
(161439, '216.7.158.152', '216.7.158.183', 3624378008, 3624378039, 'US', 'United States'),
(161440, '216.7.158.184', '216.7.158.191', 3624378040, 3624378047, 'GB', 'United Kingdom'),
(161441, '216.7.158.192', '216.7.169.159', 3624378048, 3624380831, 'US', 'United States'),
(161442, '216.7.169.160', '216.7.169.167', 3624380832, 3624380839, 'OM', 'Oman'),
(161443, '216.7.169.168', '216.7.170.7', 3624380840, 3624380935, 'US', 'United States'),
(161444, '216.7.170.8', '216.7.170.15', 3624380936, 3624380943, 'SA', 'Saudi Arabia'),
(161445, '216.7.170.16', '216.7.172.127', 3624380944, 3624381567, 'US', 'United States'),
(161446, '216.7.172.128', '216.7.172.143', 3624381568, 3624381583, 'MY', 'Malaysia'),
(161447, '216.7.172.144', '216.7.172.191', 3624381584, 3624381631, 'US', 'United States'),
(161448, '216.7.172.192', '216.7.172.207', 3624381632, 3624381647, 'GB', 'United Kingdom'),
(161449, '216.7.172.208', '216.7.173.111', 3624381648, 3624381807, 'US', 'United States'),
(161450, '216.7.173.112', '216.7.173.127', 3624381808, 3624381823, 'IN', 'India'),
(161451, '216.7.173.128', '216.7.173.207', 3624381824, 3624381903, 'US', 'United States'),
(161452, '216.7.173.208', '216.7.173.223', 3624381904, 3624381919, 'CA', 'Canada'),
(161453, '216.7.173.224', '216.7.174.79', 3624381920, 3624382031, 'US', 'United States'),
(161454, '216.7.174.80', '216.7.174.95', 3624382032, 3624382047, 'RO', 'Romania'),
(161455, '216.7.174.96', '216.7.178.95', 3624382048, 3624383071, 'US', 'United States'),
(161456, '216.7.178.96', '216.7.178.111', 3624383072, 3624383087, 'GB', 'United Kingdom'),
(161457, '216.7.178.112', '216.7.179.55', 3624383088, 3624383287, 'US', 'United States'),
(161458, '216.7.179.56', '216.7.179.63', 3624383288, 3624383295, 'AU', 'Australia'),
(161459, '216.7.179.64', '216.7.191.255', 3624383296, 3624386559, 'US', 'United States'),
(161460, '216.7.192.0', '216.7.223.255', 3624386560, 3624394751, 'CA', 'Canada'),
(161461, '216.7.224.0', '216.8.127.255', 3624394752, 3624435711, 'US', 'United States'),
(161462, '216.8.128.0', '216.8.139.136', 3624435712, 3624438664, 'CA', 'Canada'),
(161463, '216.8.139.137', '216.8.139.137', 3624438665, 3624438665, 'US', 'United States'),
(161464, '216.8.139.138', '216.8.159.223', 3624438666, 3624443871, 'CA', 'Canada'),
(161465, '216.8.159.224', '216.8.159.231', 3624443872, 3624443879, 'US', 'United States'),
(161466, '216.8.159.232', '216.8.159.255', 3624443880, 3624443903, 'CA', 'Canada'),
(161467, '216.8.160.0', '216.8.160.15', 3624443904, 3624443919, 'US', 'United States'),
(161468, '216.8.160.16', '216.8.161.143', 3624443920, 3624444303, 'CA', 'Canada'),
(161469, '216.8.161.144', '216.8.161.159', 3624444304, 3624444319, 'US', 'United States'),
(161470, '216.8.161.160', '216.8.161.183', 3624444320, 3624444343, 'CA', 'Canada'),
(161471, '216.8.161.184', '216.8.161.191', 3624444344, 3624444351, 'US', 'United States'),
(161472, '216.8.161.192', '216.8.161.199', 3624444352, 3624444359, 'CA', 'Canada'),
(161473, '216.8.161.200', '216.8.161.207', 3624444360, 3624444367, 'US', 'United States'),
(161474, '216.8.161.208', '216.8.191.255', 3624444368, 3624452095, 'CA', 'Canada'),
(161475, '216.8.192.0', '216.9.47.255', 3624452096, 3624480767, 'US', 'United States'),
(161476, '216.9.48.0', '216.9.63.255', 3624480768, 3624484863, 'CA', 'Canada'),
(161477, '216.9.64.0', '216.9.255.255', 3624484864, 3624534015, 'US', 'United States'),
(161478, '216.10.0.0', '216.10.0.255', 3624534016, 3624534271, 'PA', 'Panama'),
(161479, '216.10.1.0', '216.10.7.255', 3624534272, 3624536063, 'CA', 'Canada'),
(161480, '216.10.8.0', '216.10.48.255', 3624536064, 3624546559, 'US', 'United States'),
(161481, '216.10.49.0', '216.10.49.127', 3624546560, 3624546687, 'A2', 'Satellite Provider'),
(161482, '216.10.49.128', '216.10.49.135', 3624546688, 3624546695, 'CA', 'Canada'),
(161483, '216.10.49.136', '216.10.49.255', 3624546696, 3624546815, 'A2', 'Satellite Provider'),
(161484, '216.10.50.0', '216.10.51.255', 3624546816, 3624547327, 'US', 'United States'),
(161485, '216.10.52.0', '216.10.53.63', 3624547328, 3624547647, 'A2', 'Satellite Provider'),
(161486, '216.10.53.64', '216.10.53.127', 3624547648, 3624547711, 'US', 'United States'),
(161487, '216.10.53.128', '216.10.53.159', 3624547712, 3624547743, 'A2', 'Satellite Provider'),
(161488, '216.10.53.160', '216.10.53.255', 3624547744, 3624547839, 'US', 'United States'),
(161489, '216.10.54.0', '216.10.54.7', 3624547840, 3624547847, 'A2', 'Satellite Provider'),
(161490, '216.10.54.8', '216.10.54.23', 3624547848, 3624547863, 'US', 'United States'),
(161491, '216.10.54.24', '216.10.54.31', 3624547864, 3624547871, 'A2', 'Satellite Provider'),
(161492, '216.10.54.32', '216.10.54.55', 3624547872, 3624547895, 'US', 'United States'),
(161493, '216.10.54.56', '216.10.54.79', 3624547896, 3624547919, 'A2', 'Satellite Provider'),
(161494, '216.10.54.80', '216.10.54.127', 3624547920, 3624547967, 'US', 'United States'),
(161495, '216.10.54.128', '216.10.54.167', 3624547968, 3624548007, 'A2', 'Satellite Provider'),
(161496, '216.10.54.168', '216.10.54.191', 3624548008, 3624548031, 'US', 'United States'),
(161497, '216.10.54.192', '216.10.54.199', 3624548032, 3624548039, 'A2', 'Satellite Provider'),
(161498, '216.10.54.200', '216.10.54.223', 3624548040, 3624548063, 'US', 'United States'),
(161499, '216.10.54.224', '216.10.54.247', 3624548064, 3624548087, 'A2', 'Satellite Provider'),
(161500, '216.10.54.248', '216.10.54.255', 3624548088, 3624548095, 'US', 'United States'),
(161501, '216.10.55.0', '216.10.55.255', 3624548096, 3624548351, 'A2', 'Satellite Provider'),
(161502, '216.10.56.0', '216.10.56.7', 3624548352, 3624548359, 'US', 'United States'),
(161503, '216.10.56.8', '216.10.57.71', 3624548360, 3624548679, 'A2', 'Satellite Provider'),
(161504, '216.10.57.72', '216.10.57.79', 3624548680, 3624548687, 'US', 'United States'),
(161505, '216.10.57.80', '216.10.57.95', 3624548688, 3624548703, 'A2', 'Satellite Provider'),
(161506, '216.10.57.96', '216.10.57.103', 3624548704, 3624548711, 'US', 'United States'),
(161507, '216.10.57.104', '216.10.57.127', 3624548712, 3624548735, 'A2', 'Satellite Provider'),
(161508, '216.10.57.128', '216.10.58.71', 3624548736, 3624548935, 'US', 'United States'),
(161509, '216.10.58.72', '216.10.58.95', 3624548936, 3624548959, 'A2', 'Satellite Provider'),
(161510, '216.10.58.96', '216.10.58.111', 3624548960, 3624548975, 'US', 'United States'),
(161511, '216.10.58.112', '216.10.58.159', 3624548976, 3624549023, 'A2', 'Satellite Provider'),
(161512, '216.10.58.160', '216.10.58.183', 3624549024, 3624549047, 'US', 'United States'),
(161513, '216.10.58.184', '216.10.58.199', 3624549048, 3624549063, 'A2', 'Satellite Provider'),
(161514, '216.10.58.200', '216.10.58.215', 3624549064, 3624549079, 'US', 'United States'),
(161515, '216.10.58.216', '216.10.58.223', 3624549080, 3624549087, 'A2', 'Satellite Provider'),
(161516, '216.10.58.224', '216.10.58.239', 3624549088, 3624549103, 'US', 'United States'),
(161517, '216.10.58.240', '216.10.58.247', 3624549104, 3624549111, 'A2', 'Satellite Provider'),
(161518, '216.10.58.248', '216.10.58.255', 3624549112, 3624549119, 'US', 'United States'),
(161519, '216.10.59.0', '216.10.59.191', 3624549120, 3624549311, 'A2', 'Satellite Provider'),
(161520, '216.10.59.192', '216.10.59.207', 3624549312, 3624549327, 'US', 'United States'),
(161521, '216.10.59.208', '216.10.59.215', 3624549328, 3624549335, 'A2', 'Satellite Provider'),
(161522, '216.10.59.216', '216.10.59.223', 3624549336, 3624549343, 'US', 'United States'),
(161523, '216.10.59.224', '216.10.59.255', 3624549344, 3624549375, 'A2', 'Satellite Provider'),
(161524, '216.10.60.0', '216.10.60.7', 3624549376, 3624549383, 'US', 'United States'),
(161525, '216.10.60.8', '216.10.60.95', 3624549384, 3624549471, 'A2', 'Satellite Provider'),
(161526, '216.10.60.96', '216.10.60.103', 3624549472, 3624549479, 'US', 'United States'),
(161527, '216.10.60.104', '216.10.60.207', 3624549480, 3624549583, 'A2', 'Satellite Provider'),
(161528, '216.10.60.208', '216.10.60.239', 3624549584, 3624549615, 'US', 'United States'),
(161529, '216.10.60.240', '216.10.62.255', 3624549616, 3624550143, 'A2', 'Satellite Provider'),
(161530, '216.10.63.0', '216.10.207.255', 3624550144, 3624587263, 'US', 'United States'),
(161531, '216.10.208.0', '216.10.223.255', 3624587264, 3624591359, 'JM', 'Jamaica'),
(161532, '216.10.224.0', '216.12.191.255', 3624591360, 3624714239, 'US', 'United States'),
(161533, '216.12.192.0', '216.12.198.151', 3624714240, 3624715927, 'SG', 'Singapore'),
(161534, '216.12.198.152', '216.12.198.159', 3624715928, 3624715935, 'GB', 'United Kingdom'),
(161535, '216.12.198.160', '216.12.199.191', 3624715936, 3624716223, 'SG', 'Singapore'),
(161536, '216.12.199.192', '216.12.199.223', 3624716224, 3624716255, 'AU', 'Australia'),
(161537, '216.12.199.224', '216.12.203.255', 3624716256, 3624717311, 'SG', 'Singapore'),
(161538, '216.12.204.0', '216.12.207.255', 3624717312, 3624718335, 'US', 'United States'),
(161539, '216.12.208.0', '216.12.215.255', 3624718336, 3624720383, 'SG', 'Singapore'),
(161540, '216.12.216.0', '216.12.217.255', 3624720384, 3624720895, 'US', 'United States'),
(161541, '216.12.218.0', '216.12.221.255', 3624720896, 3624721919, 'SG', 'Singapore'),
(161542, '216.12.222.0', '216.12.255.255', 3624721920, 3624730623, 'US', 'United States'),
(161543, '216.13.0.0', '216.13.255.255', 3624730624, 3624796159, 'CA', 'Canada'),
(161544, '216.14.0.0', '216.14.95.255', 3624796160, 3624820735, 'US', 'United States'),
(161545, '216.14.96.0', '216.14.96.63', 3624820736, 3624820799, 'CY', 'Cyprus'),
(161546, '216.14.96.64', '216.14.99.191', 3624820800, 3624821695, 'US', 'United States'),
(161547, '216.14.99.192', '216.14.99.199', 3624821696, 3624821703, 'GB', 'United Kingdom'),
(161548, '216.14.99.200', '216.14.127.255', 3624821704, 3624828927, 'US', 'United States'),
(161549, '216.14.128.0', '216.14.143.255', 3624828928, 3624833023, 'CA', 'Canada'),
(161550, '216.14.144.0', '216.14.191.255', 3624833024, 3624845311, 'US', 'United States'),
(161551, '216.14.192.0', '216.14.207.255', 3624845312, 3624849407, 'AU', 'Australia'),
(161552, '216.14.208.0', '216.15.130.79', 3624849408, 3624895055, 'US', 'United States'),
(161553, '216.15.130.80', '216.15.130.95', 3624895056, 3624895071, 'TZ', 'Tanzania, United Republic of'),
(161554, '216.15.130.96', '216.15.130.127', 3624895072, 3624895103, 'US', 'United States'),
(161555, '216.15.130.128', '216.15.130.143', 3624895104, 3624895119, 'DE', 'Germany'),
(161556, '216.15.130.144', '216.15.130.159', 3624895120, 3624895135, 'US', 'United States'),
(161557, '216.15.130.160', '216.15.130.175', 3624895136, 3624895151, 'IN', 'India'),
(161558, '216.15.130.176', '216.15.130.191', 3624895152, 3624895167, 'US', 'United States'),
(161559, '216.15.130.192', '216.15.130.207', 3624895168, 3624895183, 'VE', 'Venezuela'),
(161560, '216.15.130.208', '216.15.133.31', 3624895184, 3624895775, 'US', 'United States'),
(161561, '216.15.133.32', '216.15.133.63', 3624895776, 3624895807, 'MY', 'Malaysia'),
(161562, '216.15.133.64', '216.15.133.191', 3624895808, 3624895935, 'US', 'United States'),
(161563, '216.15.133.192', '216.15.133.223', 3624895936, 3624895967, 'IN', 'India'),
(161564, '216.15.133.224', '216.15.133.255', 3624895968, 3624895999, 'US', 'United States'),
(161565, '216.15.134.0', '216.15.134.255', 3624896000, 3624896255, 'CA', 'Canada'),
(161566, '216.15.135.0', '216.15.135.127', 3624896256, 3624896383, 'US', 'United States'),
(161567, '216.15.135.128', '216.15.135.159', 3624896384, 3624896415, 'IN', 'India'),
(161568, '216.15.135.160', '216.15.136.255', 3624896416, 3624896767, 'US', 'United States'),
(161569, '216.15.137.0', '216.15.137.63', 3624896768, 3624896831, 'IN', 'India'),
(161570, '216.15.137.64', '216.15.138.255', 3624896832, 3624897279, 'US', 'United States'),
(161571, '216.15.139.0', '216.15.139.127', 3624897280, 3624897407, 'CA', 'Canada'),
(161572, '216.15.139.128', '216.15.139.255', 3624897408, 3624897535, 'US', 'United States'),
(161573, '216.15.140.0', '216.15.140.127', 3624897536, 3624897663, 'CA', 'Canada'),
(161574, '216.15.140.128', '216.15.140.255', 3624897664, 3624897791, 'US', 'United States'),
(161575, '216.15.141.0', '216.15.141.255', 3624897792, 3624898047, 'IN', 'India'),
(161576, '216.15.142.0', '216.15.142.255', 3624898048, 3624898303, 'US', 'United States'),
(161577, '216.15.143.0', '216.15.143.255', 3624898304, 3624898559, 'CA', 'Canada'),
(161578, '216.15.144.0', '216.15.144.255', 3624898560, 3624898815, 'US', 'United States'),
(161579, '216.15.145.0', '216.15.145.255', 3624898816, 3624899071, 'AU', 'Australia'),
(161580, '216.15.146.0', '216.15.146.255', 3624899072, 3624899327, 'CA', 'Canada'),
(161581, '216.15.147.0', '216.15.147.255', 3624899328, 3624899583, 'US', 'United States'),
(161582, '216.15.148.0', '216.15.148.255', 3624899584, 3624899839, 'AU', 'Australia'),
(161583, '216.15.149.0', '216.15.151.255', 3624899840, 3624900607, 'US', 'United States'),
(161584, '216.15.152.0', '216.15.152.31', 3624900608, 3624900639, 'AU', 'Australia'),
(161585, '216.15.152.32', '216.15.152.63', 3624900640, 3624900671, 'BE', 'Belgium'),
(161586, '216.15.152.64', '216.15.152.127', 3624900672, 3624900735, 'US', 'United States'),
(161587, '216.15.152.128', '216.15.152.159', 3624900736, 3624900767, 'CA', 'Canada'),
(161588, '216.15.152.160', '216.15.152.223', 3624900768, 3624900831, 'US', 'United States'),
(161589, '216.15.152.224', '216.15.152.255', 3624900832, 3624900863, 'DE', 'Germany'),
(161590, '216.15.153.0', '216.15.153.39', 3624900864, 3624900903, 'US', 'United States'),
(161591, '216.15.153.40', '216.15.153.47', 3624900904, 3624900911, 'CA', 'Canada'),
(161592, '216.15.153.48', '216.15.153.87', 3624900912, 3624900951, 'US', 'United States'),
(161593, '216.15.153.88', '216.15.153.95', 3624900952, 3624900959, 'FR', 'France'),
(161594, '216.15.153.96', '216.15.153.103', 3624900960, 3624900967, 'US', 'United States'),
(161595, '216.15.153.104', '216.15.153.111', 3624900968, 3624900975, 'CA', 'Canada'),
(161596, '216.15.153.112', '216.15.153.239', 3624900976, 3624901103, 'US', 'United States'),
(161597, '216.15.153.240', '216.15.153.247', 3624901104, 3624901111, 'IN', 'India'),
(161598, '216.15.153.248', '216.15.154.159', 3624901112, 3624901279, 'US', 'United States'),
(161599, '216.15.154.160', '216.15.154.191', 3624901280, 3624901311, 'CA', 'Canada'),
(161600, '216.15.154.192', '216.15.154.223', 3624901312, 3624901343, 'BE', 'Belgium'),
(161601, '216.15.154.224', '216.15.156.255', 3624901344, 3624901887, 'US', 'United States'),
(161602, '216.15.157.0', '216.15.157.31', 3624901888, 3624901919, 'IN', 'India'),
(161603, '216.15.157.32', '216.15.157.63', 3624901920, 3624901951, 'MY', 'Malaysia'),
(161604, '216.15.157.64', '216.15.157.223', 3624901952, 3624902111, 'US', 'United States'),
(161605, '216.15.157.224', '216.15.157.255', 3624902112, 3624902143, 'IN', 'India'),
(161606, '216.15.158.0', '216.15.158.127', 3624902144, 3624902271, 'US', 'United States'),
(161607, '216.15.158.128', '216.15.158.255', 3624902272, 3624902399, 'MY', 'Malaysia'),
(161608, '216.15.159.0', '216.15.159.255', 3624902400, 3624902655, 'US', 'United States'),
(161609, '216.15.160.0', '216.15.160.127', 3624902656, 3624902783, 'IN', 'India'),
(161610, '216.15.160.128', '216.15.160.255', 3624902784, 3624902911, 'CA', 'Canada'),
(161611, '216.15.161.0', '216.15.161.31', 3624902912, 3624902943, 'US', 'United States'),
(161612, '216.15.161.32', '216.15.161.63', 3624902944, 3624902975, 'CA', 'Canada'),
(161613, '216.15.161.64', '216.15.161.159', 3624902976, 3624903071, 'US', 'United States'),
(161614, '216.15.161.160', '216.15.161.191', 3624903072, 3624903103, 'HK', 'Hong Kong'),
(161615, '216.15.161.192', '216.15.163.31', 3624903104, 3624903455, 'US', 'United States'),
(161616, '216.15.163.32', '216.15.163.63', 3624903456, 3624903487, 'CA', 'Canada'),
(161617, '216.15.163.64', '216.15.163.95', 3624903488, 3624903519, 'US', 'United States'),
(161618, '216.15.163.96', '216.15.163.159', 3624903520, 3624903583, 'CA', 'Canada'),
(161619, '216.15.163.160', '216.15.163.255', 3624903584, 3624903679, 'US', 'United States'),
(161620, '216.15.164.0', '216.15.164.127', 3624903680, 3624903807, 'CA', 'Canada'),
(161621, '216.15.164.128', '216.15.164.255', 3624903808, 3624903935, 'US', 'United States'),
(161622, '216.15.165.0', '216.15.167.255', 3624903936, 3624904703, 'CA', 'Canada'),
(161623, '216.15.168.0', '216.15.168.63', 3624904704, 3624904767, 'IN', 'India'),
(161624, '216.15.168.64', '216.15.168.127', 3624904768, 3624904831, 'US', 'United States'),
(161625, '216.15.168.128', '216.15.168.191', 3624904832, 3624904895, 'CA', 'Canada'),
(161626, '216.15.168.192', '216.15.169.63', 3624904896, 3624905023, 'IN', 'India'),
(161627, '216.15.169.64', '216.15.169.127', 3624905024, 3624905087, 'US', 'United States'),
(161628, '216.15.169.128', '216.15.169.255', 3624905088, 3624905215, 'CA', 'Canada'),
(161629, '216.15.170.0', '216.15.170.255', 3624905216, 3624905471, 'US', 'United States'),
(161630, '216.15.171.0', '216.15.171.255', 3624905472, 3624905727, 'CA', 'Canada'),
(161631, '216.15.172.0', '216.15.173.255', 3624905728, 3624906239, 'US', 'United States'),
(161632, '216.15.174.0', '216.15.174.255', 3624906240, 3624906495, 'CA', 'Canada'),
(161633, '216.15.175.0', '216.15.175.255', 3624906496, 3624906751, 'US', 'United States'),
(161634, '216.15.176.0', '216.15.176.127', 3624906752, 3624906879, 'CA', 'Canada'),
(161635, '216.15.176.128', '216.15.176.255', 3624906880, 3624907007, 'TW', 'Taiwan'),
(161636, '216.15.177.0', '216.15.177.31', 3624907008, 3624907039, 'FR', 'France'),
(161637, '216.15.177.32', '216.15.177.63', 3624907040, 3624907071, 'US', 'United States'),
(161638, '216.15.177.64', '216.15.177.95', 3624907072, 3624907103, 'CA', 'Canada'),
(161639, '216.15.177.96', '216.15.178.127', 3624907104, 3624907391, 'US', 'United States'),
(161640, '216.15.178.128', '216.15.178.191', 3624907392, 3624907455, 'IN', 'India'),
(161641, '216.15.178.192', '216.15.178.254', 3624907456, 3624907518, 'MY', 'Malaysia'),
(161642, '216.15.178.255', '216.15.178.255', 3624907519, 3624907519, 'US', 'United States'),
(161643, '216.15.179.0', '216.15.179.31', 3624907520, 3624907551, 'IN', 'India'),
(161644, '216.15.179.32', '216.15.179.63', 3624907552, 3624907583, 'US', 'United States'),
(161645, '216.15.179.64', '216.15.179.95', 3624907584, 3624907615, 'CA', 'Canada'),
(161646, '216.15.179.96', '216.15.179.159', 3624907616, 3624907679, 'US', 'United States'),
(161647, '216.15.179.160', '216.15.179.191', 3624907680, 3624907711, 'IN', 'India'),
(161648, '216.15.179.192', '216.15.179.225', 3624907712, 3624907745, 'US', 'United States'),
(161649, '216.15.179.226', '216.15.179.255', 3624907746, 3624907775, 'IN', 'India'),
(161650, '216.15.180.0', '216.15.180.127', 3624907776, 3624907903, 'US', 'United States'),
(161651, '216.15.180.128', '216.15.180.255', 3624907904, 3624908031, 'SG', 'Singapore'),
(161652, '216.15.181.0', '216.15.181.127', 3624908032, 3624908159, 'CA', 'Canada'),
(161653, '216.15.181.128', '216.15.181.255', 3624908160, 3624908287, 'US', 'United States'),
(161654, '216.15.182.0', '216.15.182.31', 3624908288, 3624908319, 'CA', 'Canada'),
(161655, '216.15.182.32', '216.15.182.95', 3624908320, 3624908383, 'US', 'United States'),
(161656, '216.15.182.96', '216.15.182.127', 3624908384, 3624908415, 'IN', 'India'),
(161657, '216.15.182.128', '216.15.182.159', 3624908416, 3624908447, 'CA', 'Canada'),
(161658, '216.15.182.160', '216.15.182.191', 3624908448, 3624908479, 'US', 'United States'),
(161659, '216.15.182.192', '216.15.182.223', 3624908480, 3624908511, 'CA', 'Canada'),
(161660, '216.15.182.224', '216.15.183.15', 3624908512, 3624908559, 'US', 'United States'),
(161661, '216.15.183.16', '216.15.183.31', 3624908560, 3624908575, 'MY', 'Malaysia'),
(161662, '216.15.183.32', '216.15.183.63', 3624908576, 3624908607, 'US', 'United States'),
(161663, '216.15.183.64', '216.15.183.78', 3624908608, 3624908622, 'CA', 'Canada'),
(161664, '216.15.183.79', '216.15.183.95', 3624908623, 3624908639, 'US', 'United States'),
(161665, '216.15.183.96', '216.15.183.143', 3624908640, 3624908687, 'CA', 'Canada'),
(161666, '216.15.183.144', '216.15.183.239', 3624908688, 3624908783, 'US', 'United States'),
(161667, '216.15.183.240', '216.15.183.255', 3624908784, 3624908799, 'CA', 'Canada'),
(161668, '216.15.184.0', '216.15.186.159', 3624908800, 3624909471, 'US', 'United States'),
(161669, '216.15.186.160', '216.15.186.191', 3624909472, 3624909503, 'AU', 'Australia'),
(161670, '216.15.186.192', '216.15.186.255', 3624909504, 3624909567, 'US', 'United States'),
(161671, '216.15.187.0', '216.15.187.254', 3624909568, 3624909822, 'MY', 'Malaysia'),
(161672, '216.15.187.255', '216.15.187.255', 3624909823, 3624909823, 'US', 'United States'),
(161673, '216.15.188.0', '216.15.188.127', 3624909824, 3624909951, 'CA', 'Canada'),
(161674, '216.15.188.128', '216.15.188.255', 3624909952, 3624910079, 'US', 'United States'),
(161675, '216.15.189.0', '216.15.189.31', 3624910080, 3624910111, 'CA', 'Canada'),
(161676, '216.15.189.32', '216.15.189.63', 3624910112, 3624910143, 'US', 'United States'),
(161677, '216.15.189.64', '216.15.189.95', 3624910144, 3624910175, 'CA', 'Canada'),
(161678, '216.15.189.96', '216.15.189.127', 3624910176, 3624910207, 'BE', 'Belgium'),
(161679, '216.15.189.128', '216.15.189.191', 3624910208, 3624910271, 'US', 'United States'),
(161680, '216.15.189.192', '216.15.189.223', 3624910272, 3624910303, 'FR', 'France'),
(161681, '216.15.189.224', '216.15.190.255', 3624910304, 3624910591, 'US', 'United States'),
(161682, '216.15.191.0', '216.15.191.31', 3624910592, 3624910623, 'CA', 'Canada'),
(161683, '216.15.191.32', '216.15.191.95', 3624910624, 3624910687, 'US', 'United States'),
(161684, '216.15.191.96', '216.15.191.127', 3624910688, 3624910719, 'CA', 'Canada'),
(161685, '216.15.191.128', '216.15.191.159', 3624910720, 3624910751, 'US', 'United States'),
(161686, '216.15.191.160', '216.15.191.191', 3624910752, 3624910783, 'TZ', 'Tanzania, United Republic of'),
(161687, '216.15.191.192', '216.15.191.223', 3624910784, 3624910815, 'US', 'United States'),
(161688, '216.15.191.224', '216.15.191.255', 3624910816, 3624910847, 'AU', 'Australia'),
(161689, '216.15.192.0', '216.15.192.63', 3624910848, 3624910911, 'US', 'United States'),
(161690, '216.15.192.64', '216.15.192.127', 3624910912, 3624910975, 'IN', 'India'),
(161691, '216.15.192.128', '216.15.192.159', 3624910976, 3624911007, 'FR', 'France'),
(161692, '216.15.192.160', '216.15.192.191', 3624911008, 3624911039, 'CA', 'Canada'),
(161693, '216.15.192.192', '216.15.192.255', 3624911040, 3624911103, 'US', 'United States'),
(161694, '216.15.193.0', '216.15.193.31', 3624911104, 3624911135, 'CA', 'Canada'),
(161695, '216.15.193.32', '216.15.193.63', 3624911136, 3624911167, 'US', 'United States'),
(161696, '216.15.193.64', '216.15.193.95', 3624911168, 3624911199, 'MY', 'Malaysia'),
(161697, '216.15.193.96', '216.15.193.127', 3624911200, 3624911231, 'BE', 'Belgium'),
(161698, '216.15.193.128', '216.15.193.159', 3624911232, 3624911263, 'CA', 'Canada'),
(161699, '216.15.193.160', '216.15.193.223', 3624911264, 3624911327, 'US', 'United States'),
(161700, '216.15.193.224', '216.15.194.255', 3624911328, 3624911615, 'CA', 'Canada'),
(161701, '216.15.195.0', '216.15.195.31', 3624911616, 3624911647, 'US', 'United States'),
(161702, '216.15.195.32', '216.15.195.35', 3624911648, 3624911651, 'RU', 'Russian Federation'),
(161703, '216.15.195.36', '216.15.196.127', 3624911652, 3624911999, 'US', 'United States'),
(161704, '216.15.196.128', '216.15.196.255', 3624912000, 3624912127, 'CA', 'Canada'),
(161705, '216.15.197.0', '216.15.199.39', 3624912128, 3624912679, 'US', 'United States'),
(161706, '216.15.199.40', '216.15.199.47', 3624912680, 3624912687, 'IN', 'India'),
(161707, '216.15.199.48', '216.15.199.87', 3624912688, 3624912727, 'US', 'United States'),
(161708, '216.15.199.88', '216.15.199.95', 3624912728, 3624912735, 'TT', 'Trinidad and Tobago'),
(161709, '216.15.199.96', '216.15.199.119', 3624912736, 3624912759, 'US', 'United States'),
(161710, '216.15.199.120', '216.15.199.127', 3624912760, 3624912767, 'MY', 'Malaysia'),
(161711, '216.15.199.128', '216.15.199.223', 3624912768, 3624912863, 'US', 'United States'),
(161712, '216.15.199.224', '216.15.199.231', 3624912864, 3624912871, 'MX', 'Mexico'),
(161713, '216.15.199.232', '216.15.200.63', 3624912872, 3624912959, 'US', 'United States'),
(161714, '216.15.200.64', '216.15.200.191', 3624912960, 3624913087, 'IN', 'India'),
(161715, '216.15.200.192', '216.15.201.95', 3624913088, 3624913247, 'US', 'United States'),
(161716, '216.15.201.96', '216.15.201.127', 3624913248, 3624913279, 'CA', 'Canada'),
(161717, '216.15.201.128', '216.15.201.159', 3624913280, 3624913311, 'US', 'United States'),
(161718, '216.15.201.160', '216.15.201.191', 3624913312, 3624913343, 'CA', 'Canada'),
(161719, '216.15.201.192', '216.15.201.223', 3624913344, 3624913375, 'PK', 'Pakistan'),
(161720, '216.15.201.224', '216.15.201.255', 3624913376, 3624913407, 'US', 'United States'),
(161721, '216.15.202.0', '216.15.202.127', 3624913408, 3624913535, 'CA', 'Canada'),
(161722, '216.15.202.128', '216.15.202.255', 3624913536, 3624913663, 'IN', 'India'),
(161723, '216.15.203.0', '216.15.204.127', 3624913664, 3624914047, 'US', 'United States'),
(161724, '216.15.204.128', '216.15.204.159', 3624914048, 3624914079, 'IN', 'India'),
(161725, '216.15.204.160', '216.15.204.223', 3624914080, 3624914143, 'US', 'United States'),
(161726, '216.15.204.224', '216.15.204.255', 3624914144, 3624914175, 'GB', 'United Kingdom'),
(161727, '216.15.205.0', '216.15.205.95', 3624914176, 3624914271, 'US', 'United States'),
(161728, '216.15.205.96', '216.15.205.127', 3624914272, 3624914303, 'CA', 'Canada'),
(161729, '216.15.205.128', '216.15.205.159', 3624914304, 3624914335, 'US', 'United States'),
(161730, '216.15.205.160', '216.15.205.191', 3624914336, 3624914367, 'CA', 'Canada'),
(161731, '216.15.205.192', '216.15.205.223', 3624914368, 3624914399, 'IN', 'India'),
(161732, '216.15.205.224', '216.15.206.255', 3624914400, 3624914687, 'US', 'United States'),
(161733, '216.15.207.0', '216.15.207.255', 3624914688, 3624914943, 'BE', 'Belgium'),
(161734, '216.15.208.0', '216.15.208.127', 3624914944, 3624915071, 'CA', 'Canada'),
(161735, '216.15.208.128', '216.15.209.255', 3624915072, 3624915455, 'US', 'United States'),
(161736, '216.15.210.0', '216.15.210.31', 3624915456, 3624915487, 'CA', 'Canada'),
(161737, '216.15.210.32', '216.15.211.191', 3624915488, 3624915903, 'US', 'United States'),
(161738, '216.15.211.192', '216.15.211.223', 3624915904, 3624915935, 'HK', 'Hong Kong'),
(161739, '216.15.211.224', '216.15.212.255', 3624915936, 3624916223, 'US', 'United States'),
(161740, '216.15.213.0', '216.15.214.255', 3624916224, 3624916735, 'CA', 'Canada'),
(161741, '216.15.215.0', '216.15.216.255', 3624916736, 3624917247, 'US', 'United States'),
(161742, '216.15.217.0', '216.15.217.255', 3624917248, 3624917503, 'AU', 'Australia'),
(161743, '216.15.218.0', '216.15.219.159', 3624917504, 3624917919, 'US', 'United States'),
(161744, '216.15.219.160', '216.15.219.191', 3624917920, 3624917951, 'CA', 'Canada'),
(161745, '216.15.219.192', '216.15.219.223', 3624917952, 3624917983, 'US', 'United States'),
(161746, '216.15.219.224', '216.15.219.255', 3624917984, 3624918015, 'CA', 'Canada'),
(161747, '216.15.220.0', '216.15.221.255', 3624918016, 3624918527, 'US', 'United States'),
(161748, '216.15.222.0', '216.15.223.31', 3624918528, 3624918815, 'CA', 'Canada'),
(161749, '216.15.223.32', '216.15.223.63', 3624918816, 3624918847, 'US', 'United States'),
(161750, '216.15.223.64', '216.15.223.91', 3624918848, 3624918875, 'IN', 'India'),
(161751, '216.15.223.92', '216.15.223.159', 3624918876, 3624918943, 'US', 'United States'),
(161752, '216.15.223.160', '216.15.223.191', 3624918944, 3624918975, 'CA', 'Canada'),
(161753, '216.15.223.192', '216.15.223.223', 3624918976, 3624919007, 'US', 'United States'),
(161754, '216.15.223.224', '216.15.223.255', 3624919008, 3624919039, 'MY', 'Malaysia'),
(161755, '216.15.224.0', '216.15.224.31', 3624919040, 3624919071, 'US', 'United States'),
(161756, '216.15.224.32', '216.15.224.63', 3624919072, 3624919103, 'BE', 'Belgium'),
(161757, '216.15.224.64', '216.15.224.255', 3624919104, 3624919295, 'US', 'United States'),
(161758, '216.15.225.0', '216.15.225.127', 3624919296, 3624919423, 'CA', 'Canada'),
(161759, '216.15.225.128', '216.15.225.255', 3624919424, 3624919551, 'IN', 'India'),
(161760, '216.15.226.0', '216.15.227.159', 3624919552, 3624919967, 'US', 'United States'),
(161761, '216.15.227.160', '216.15.227.191', 3624919968, 3624919999, 'BE', 'Belgium'),
(161762, '216.15.227.192', '216.15.227.223', 3624920000, 3624920031, 'CA', 'Canada'),
(161763, '216.15.227.224', '216.15.227.255', 3624920032, 3624920063, 'TZ', 'Tanzania, United Republic of'),
(161764, '216.15.228.0', '216.15.228.127', 3624920064, 3624920191, 'CA', 'Canada'),
(161765, '216.15.228.128', '216.15.228.255', 3624920192, 3624920319, 'IN', 'India'),
(161766, '216.15.229.0', '216.15.230.127', 3624920320, 3624920703, 'CA', 'Canada'),
(161767, '216.15.230.128', '216.15.230.255', 3624920704, 3624920831, 'IN', 'India'),
(161768, '216.15.231.0', '216.15.231.127', 3624920832, 3624920959, 'CA', 'Canada'),
(161769, '216.15.231.128', '216.15.231.255', 3624920960, 3624921087, 'IN', 'India'),
(161770, '216.15.232.0', '216.15.232.127', 3624921088, 3624921215, 'PK', 'Pakistan'),
(161771, '216.15.232.128', '216.15.232.255', 3624921216, 3624921343, 'CA', 'Canada'),
(161772, '216.15.233.0', '216.15.234.255', 3624921344, 3624921855, 'US', 'United States'),
(161773, '216.15.235.0', '216.15.235.255', 3624921856, 3624922111, 'CA', 'Canada'),
(161774, '216.15.236.0', '216.15.236.31', 3624922112, 3624922143, 'US', 'United States'),
(161775, '216.15.236.32', '216.15.236.63', 3624922144, 3624922175, 'FR', 'France'),
(161776, '216.15.236.64', '216.15.236.95', 3624922176, 3624922207, 'MY', 'Malaysia'),
(161777, '216.15.236.96', '216.15.236.127', 3624922208, 3624922239, 'FR', 'France'),
(161778, '216.15.236.128', '216.15.236.223', 3624922240, 3624922335, 'US', 'United States'),
(161779, '216.15.236.224', '216.15.236.255', 3624922336, 3624922367, 'FR', 'France'),
(161780, '216.15.237.0', '216.15.237.127', 3624922368, 3624922495, 'IN', 'India'),
(161781, '216.15.237.128', '216.15.237.255', 3624922496, 3624922623, 'BE', 'Belgium'),
(161782, '216.15.238.0', '216.15.238.63', 3624922624, 3624922687, 'CA', 'Canada'),
(161783, '216.15.238.64', '216.15.238.159', 3624922688, 3624922783, 'US', 'United States'),
(161784, '216.15.238.160', '216.15.238.191', 3624922784, 3624922815, 'CN', 'China'),
(161785, '216.15.238.192', '216.15.238.223', 3624922816, 3624922847, 'FR', 'France'),
(161786, '216.15.238.224', '216.15.238.255', 3624922848, 3624922879, 'US', 'United States'),
(161787, '216.15.239.0', '216.15.239.255', 3624922880, 3624923135, 'IN', 'India'),
(161788, '216.15.240.0', '216.15.240.127', 3624923136, 3624923263, 'CA', 'Canada'),
(161789, '216.15.240.128', '216.15.240.255', 3624923264, 3624923391, 'US', 'United States'),
(161790, '216.15.241.0', '216.15.241.127', 3624923392, 3624923519, 'CA', 'Canada'),
(161791, '216.15.241.128', '216.15.241.255', 3624923520, 3624923647, 'US', 'United States'),
(161792, '216.15.242.0', '216.15.242.127', 3624923648, 3624923775, 'CA', 'Canada'),
(161793, '216.15.242.128', '216.15.242.255', 3624923776, 3624923903, 'US', 'United States'),
(161794, '216.15.243.0', '216.15.243.31', 3624923904, 3624923935, 'CA', 'Canada'),
(161795, '216.15.243.32', '216.15.243.63', 3624923936, 3624923967, 'US', 'United States'),
(161796, '216.15.243.64', '216.15.243.95', 3624923968, 3624923999, 'IN', 'India'),
(161797, '216.15.243.96', '216.15.243.191', 3624924000, 3624924095, 'US', 'United States'),
(161798, '216.15.243.192', '216.15.243.223', 3624924096, 3624924127, 'CA', 'Canada'),
(161799, '216.15.243.224', '216.15.244.127', 3624924128, 3624924287, 'US', 'United States'),
(161800, '216.15.244.128', '216.15.246.31', 3624924288, 3624924703, 'CA', 'Canada'),
(161801, '216.15.246.32', '216.15.246.223', 3624924704, 3624924895, 'US', 'United States'),
(161802, '216.15.246.224', '216.15.246.255', 3624924896, 3624924927, 'CA', 'Canada'),
(161803, '216.15.247.0', '216.15.247.126', 3624924928, 3624925054, 'US', 'United States'),
(161804, '216.15.247.127', '216.15.249.255', 3624925055, 3624925695, 'CA', 'Canada'),
(161805, '216.15.250.0', '216.15.252.127', 3624925696, 3624926335, 'US', 'United States'),
(161806, '216.15.252.128', '216.15.252.255', 3624926336, 3624926463, 'TZ', 'Tanzania, United Republic of'),
(161807, '216.15.253.0', '216.15.253.63', 3624926464, 3624926527, 'CA', 'Canada'),
(161808, '216.15.253.64', '216.15.253.127', 3624926528, 3624926591, 'US', 'United States'),
(161809, '216.15.253.128', '216.15.253.191', 3624926592, 3624926655, 'IN', 'India'),
(161810, '216.15.253.192', '216.15.254.255', 3624926656, 3624926975, 'CA', 'Canada'),
(161811, '216.15.255.0', '216.15.255.63', 3624926976, 3624927039, 'US', 'United States'),
(161812, '216.15.255.64', '216.15.255.95', 3624927040, 3624927071, 'HK', 'Hong Kong'),
(161813, '216.15.255.96', '216.15.255.191', 3624927072, 3624927167, 'US', 'United States'),
(161814, '216.15.255.192', '216.15.255.223', 3624927168, 3624927199, 'TH', 'Thailand'),
(161815, '216.15.255.224', '216.16.223.255', 3624927200, 3624984575, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(161816, '216.16.224.0', '216.16.230.255', 3624984576, 3624986367, 'CA', 'Canada'),
(161817, '216.16.231.0', '216.16.231.31', 3624986368, 3624986399, 'US', 'United States'),
(161818, '216.16.231.32', '216.16.246.223', 3624986400, 3624990431, 'CA', 'Canada'),
(161819, '216.16.246.224', '216.16.246.255', 3624990432, 3624990463, 'US', 'United States'),
(161820, '216.16.247.0', '216.16.249.247', 3624990464, 3624991223, 'CA', 'Canada'),
(161821, '216.16.249.248', '216.16.249.255', 3624991224, 3624991231, 'US', 'United States'),
(161822, '216.16.250.0', '216.16.255.255', 3624991232, 3624992767, 'CA', 'Canada'),
(161823, '216.17.0.0', '216.17.37.111', 3624992768, 3625002351, 'US', 'United States'),
(161824, '216.17.37.112', '216.17.37.127', 3625002352, 3625002367, 'CA', 'Canada'),
(161825, '216.17.37.128', '216.17.193.151', 3625002368, 3625042327, 'US', 'United States'),
(161826, '216.17.193.152', '216.17.193.159', 3625042328, 3625042335, 'IT', 'Italy'),
(161827, '216.17.193.160', '216.17.255.255', 3625042336, 3625058303, 'US', 'United States'),
(161828, '216.18.0.0', '216.18.127.255', 3625058304, 3625091071, 'CA', 'Canada'),
(161829, '216.18.128.0', '216.18.227.255', 3625091072, 3625116671, 'US', 'United States'),
(161830, '216.18.228.0', '216.18.228.95', 3625116672, 3625116767, 'CA', 'Canada'),
(161831, '216.18.228.96', '216.18.228.255', 3625116768, 3625116927, 'US', 'United States'),
(161832, '216.18.229.0', '216.18.229.255', 3625116928, 3625117183, 'SE', 'Sweden'),
(161833, '216.18.230.0', '216.18.232.79', 3625117184, 3625117775, 'US', 'United States'),
(161834, '216.18.232.80', '216.18.232.87', 3625117776, 3625117783, 'CA', 'Canada'),
(161835, '216.18.232.88', '216.18.232.95', 3625117784, 3625117791, 'US', 'United States'),
(161836, '216.18.232.96', '216.18.232.103', 3625117792, 3625117799, 'CA', 'Canada'),
(161837, '216.18.232.104', '216.18.232.111', 3625117800, 3625117807, 'US', 'United States'),
(161838, '216.18.232.112', '216.18.232.143', 3625117808, 3625117839, 'CA', 'Canada'),
(161839, '216.18.232.144', '216.18.234.25', 3625117840, 3625118233, 'US', 'United States'),
(161840, '216.18.234.26', '216.18.234.33', 3625118234, 3625118241, 'CA', 'Canada'),
(161841, '216.18.234.34', '216.18.234.63', 3625118242, 3625118271, 'US', 'United States'),
(161842, '216.18.234.64', '216.18.234.79', 3625118272, 3625118287, 'CA', 'Canada'),
(161843, '216.18.234.80', '216.18.236.255', 3625118288, 3625118975, 'US', 'United States'),
(161844, '216.18.237.0', '216.18.237.80', 3625118976, 3625119056, 'PL', 'Poland'),
(161845, '216.18.237.81', '216.19.63.255', 3625119057, 3625140223, 'US', 'United States'),
(161846, '216.19.64.0', '216.19.95.255', 3625140224, 3625148415, 'CA', 'Canada'),
(161847, '216.19.96.0', '216.19.175.255', 3625148416, 3625168895, 'US', 'United States'),
(161848, '216.19.176.0', '216.19.191.255', 3625168896, 3625172991, 'CA', 'Canada'),
(161849, '216.19.192.0', '216.19.206.191', 3625172992, 3625176767, 'US', 'United States'),
(161850, '216.19.206.192', '216.19.206.255', 3625176768, 3625176831, 'NZ', 'New Zealand'),
(161851, '216.19.207.0', '216.20.210.79', 3625176832, 3625243215, 'US', 'United States'),
(161852, '216.20.210.80', '216.20.210.87', 3625243216, 3625243223, 'CA', 'Canada'),
(161853, '216.20.210.88', '216.20.218.255', 3625243224, 3625245439, 'US', 'United States'),
(161854, '216.20.219.0', '216.20.220.71', 3625245440, 3625245767, 'MX', 'Mexico'),
(161855, '216.20.220.72', '216.20.220.207', 3625245768, 3625245903, 'US', 'United States'),
(161856, '216.20.220.208', '216.20.220.215', 3625245904, 3625245911, 'BZ', 'Belize'),
(161857, '216.20.220.216', '216.20.220.255', 3625245912, 3625245951, 'US', 'United States'),
(161858, '216.20.221.0', '216.20.222.47', 3625245952, 3625246255, 'MX', 'Mexico'),
(161859, '216.20.222.48', '216.20.222.55', 3625246256, 3625246263, 'US', 'United States'),
(161860, '216.20.222.56', '216.20.222.63', 3625246264, 3625246271, 'MX', 'Mexico'),
(161861, '216.20.222.64', '216.20.222.71', 3625246272, 3625246279, 'US', 'United States'),
(161862, '216.20.222.72', '216.20.222.79', 3625246280, 3625246287, 'MX', 'Mexico'),
(161863, '216.20.222.80', '216.20.222.87', 3625246288, 3625246295, 'US', 'United States'),
(161864, '216.20.222.88', '216.20.222.167', 3625246296, 3625246375, 'MX', 'Mexico'),
(161865, '216.20.222.168', '216.20.222.191', 3625246376, 3625246399, 'US', 'United States'),
(161866, '216.20.222.192', '216.20.223.71', 3625246400, 3625246535, 'MX', 'Mexico'),
(161867, '216.20.223.72', '216.20.223.79', 3625246536, 3625246543, 'US', 'United States'),
(161868, '216.20.223.80', '216.20.223.255', 3625246544, 3625246719, 'MX', 'Mexico'),
(161869, '216.20.224.0', '216.21.127.255', 3625246720, 3625287679, 'US', 'United States'),
(161870, '216.21.128.0', '216.21.132.183', 3625287680, 3625288887, 'CA', 'Canada'),
(161871, '216.21.132.184', '216.21.132.191', 3625288888, 3625288895, 'US', 'United States'),
(161872, '216.21.132.192', '216.21.136.231', 3625288896, 3625289959, 'CA', 'Canada'),
(161873, '216.21.136.232', '216.21.136.239', 3625289960, 3625289967, 'US', 'United States'),
(161874, '216.21.136.240', '216.21.147.31', 3625289968, 3625292575, 'CA', 'Canada'),
(161875, '216.21.147.32', '216.21.147.39', 3625292576, 3625292583, 'US', 'United States'),
(161876, '216.21.147.40', '216.21.147.127', 3625292584, 3625292671, 'CA', 'Canada'),
(161877, '216.21.147.128', '216.21.147.135', 3625292672, 3625292679, 'US', 'United States'),
(161878, '216.21.147.136', '216.21.148.127', 3625292680, 3625292927, 'CA', 'Canada'),
(161879, '216.21.148.128', '216.21.148.135', 3625292928, 3625292935, 'US', 'United States'),
(161880, '216.21.148.136', '216.21.151.39', 3625292936, 3625293607, 'CA', 'Canada'),
(161881, '216.21.151.40', '216.21.151.47', 3625293608, 3625293615, 'US', 'United States'),
(161882, '216.21.151.48', '216.21.159.255', 3625293616, 3625295871, 'CA', 'Canada'),
(161883, '216.21.160.0', '216.21.255.255', 3625295872, 3625320447, 'US', 'United States'),
(161884, '216.22.0.0', '216.22.0.19', 3625320448, 3625320467, 'CA', 'Canada'),
(161885, '216.22.0.20', '216.22.17.255', 3625320468, 3625325055, 'US', 'United States'),
(161886, '216.22.18.0', '216.22.18.31', 3625325056, 3625325087, 'RU', 'Russian Federation'),
(161887, '216.22.18.32', '216.22.24.40', 3625325088, 3625326632, 'US', 'United States'),
(161888, '216.22.24.41', '216.22.24.50', 3625326633, 3625326642, 'GB', 'United Kingdom'),
(161889, '216.22.24.51', '216.22.28.132', 3625326643, 3625327748, 'US', 'United States'),
(161890, '216.22.28.133', '216.22.28.196', 3625327749, 3625327812, 'ID', 'Indonesia'),
(161891, '216.22.28.197', '216.22.28.198', 3625327813, 3625327814, 'US', 'United States'),
(161892, '216.22.28.199', '216.22.28.208', 3625327815, 3625327824, 'GB', 'United Kingdom'),
(161893, '216.22.28.209', '216.22.50.135', 3625327825, 3625333383, 'US', 'United States'),
(161894, '216.22.50.136', '216.22.50.143', 3625333384, 3625333391, 'GB', 'United Kingdom'),
(161895, '216.22.50.144', '216.22.50.207', 3625333392, 3625333455, 'US', 'United States'),
(161896, '216.22.50.208', '216.22.50.215', 3625333456, 3625333463, 'GB', 'United Kingdom'),
(161897, '216.22.50.216', '216.22.99.255', 3625333464, 3625346047, 'US', 'United States'),
(161898, '216.22.100.0', '216.22.100.255', 3625346048, 3625346303, 'AR', 'Argentina'),
(161899, '216.22.101.0', '216.22.145.63', 3625346304, 3625357631, 'US', 'United States'),
(161900, '216.22.145.64', '216.22.145.71', 3625357632, 3625357639, 'CA', 'Canada'),
(161901, '216.22.145.72', '216.22.146.231', 3625357640, 3625358055, 'US', 'United States'),
(161902, '216.22.146.232', '216.22.146.239', 3625358056, 3625358063, 'CH', 'Switzerland'),
(161903, '216.22.146.240', '216.22.171.127', 3625358064, 3625364351, 'US', 'United States'),
(161904, '216.22.171.128', '216.22.171.255', 3625364352, 3625364479, 'DE', 'Germany'),
(161905, '216.22.172.0', '216.22.172.127', 3625364480, 3625364607, 'NL', 'Netherlands'),
(161906, '216.22.172.128', '216.22.172.253', 3625364608, 3625364733, 'DE', 'Germany'),
(161907, '216.22.172.254', '216.22.173.159', 3625364734, 3625364895, 'US', 'United States'),
(161908, '216.22.173.160', '216.22.173.175', 3625364896, 3625364911, 'NO', 'Norway'),
(161909, '216.22.173.176', '216.22.173.215', 3625364912, 3625364951, 'US', 'United States'),
(161910, '216.22.173.216', '216.22.173.223', 3625364952, 3625364959, 'NL', 'Netherlands'),
(161911, '216.22.173.224', '216.22.173.231', 3625364960, 3625364967, 'ZA', 'South Africa'),
(161912, '216.22.173.232', '216.22.208.15', 3625364968, 3625373711, 'US', 'United States'),
(161913, '216.22.208.16', '216.22.208.23', 3625373712, 3625373719, 'GB', 'United Kingdom'),
(161914, '216.22.208.24', '216.22.208.39', 3625373720, 3625373735, 'US', 'United States'),
(161915, '216.22.208.40', '216.22.208.47', 3625373736, 3625373743, 'CA', 'Canada'),
(161916, '216.22.208.48', '216.22.208.55', 3625373744, 3625373751, 'GB', 'United Kingdom'),
(161917, '216.22.208.56', '216.22.208.127', 3625373752, 3625373823, 'US', 'United States'),
(161918, '216.22.208.128', '216.22.208.135', 3625373824, 3625373831, 'CA', 'Canada'),
(161919, '216.22.208.136', '216.22.208.191', 3625373832, 3625373887, 'US', 'United States'),
(161920, '216.22.208.192', '216.22.208.199', 3625373888, 3625373895, 'GB', 'United Kingdom'),
(161921, '216.22.208.200', '216.22.209.1', 3625373896, 3625373953, 'US', 'United States'),
(161922, '216.22.209.2', '216.22.209.31', 3625373954, 3625373983, 'CA', 'Canada'),
(161923, '216.22.209.32', '216.22.209.79', 3625373984, 3625374031, 'US', 'United States'),
(161924, '216.22.209.80', '216.22.209.92', 3625374032, 3625374044, 'GB', 'United Kingdom'),
(161925, '216.22.209.93', '216.22.209.95', 3625374045, 3625374047, 'US', 'United States'),
(161926, '216.22.209.96', '216.22.209.111', 3625374048, 3625374063, 'CA', 'Canada'),
(161927, '216.22.209.112', '216.22.209.191', 3625374064, 3625374143, 'US', 'United States'),
(161928, '216.22.209.192', '216.22.209.207', 3625374144, 3625374159, 'CA', 'Canada'),
(161929, '216.22.209.208', '216.22.212.159', 3625374160, 3625374879, 'US', 'United States'),
(161930, '216.22.212.160', '216.22.212.191', 3625374880, 3625374911, 'MX', 'Mexico'),
(161931, '216.22.212.192', '216.22.213.63', 3625374912, 3625375039, 'US', 'United States'),
(161932, '216.22.213.64', '216.22.213.95', 3625375040, 3625375071, 'CA', 'Canada'),
(161933, '216.22.213.96', '216.22.213.159', 3625375072, 3625375135, 'US', 'United States'),
(161934, '216.22.213.160', '216.22.213.191', 3625375136, 3625375167, 'RU', 'Russian Federation'),
(161935, '216.22.213.192', '216.22.214.15', 3625375168, 3625375247, 'US', 'United States'),
(161936, '216.22.214.16', '216.22.214.23', 3625375248, 3625375255, 'CA', 'Canada'),
(161937, '216.22.214.24', '216.22.214.127', 3625375256, 3625375359, 'US', 'United States'),
(161938, '216.22.214.128', '216.22.214.135', 3625375360, 3625375367, 'SE', 'Sweden'),
(161939, '216.22.214.136', '216.22.214.167', 3625375368, 3625375399, 'US', 'United States'),
(161940, '216.22.214.168', '216.22.214.175', 3625375400, 3625375407, 'MT', 'Malta'),
(161941, '216.22.214.176', '216.22.215.31', 3625375408, 3625375519, 'US', 'United States'),
(161942, '216.22.215.32', '216.22.215.39', 3625375520, 3625375527, 'JM', 'Jamaica'),
(161943, '216.22.215.40', '216.22.215.111', 3625375528, 3625375599, 'US', 'United States'),
(161944, '216.22.215.112', '216.22.215.119', 3625375600, 3625375607, 'JM', 'Jamaica'),
(161945, '216.22.215.120', '216.22.216.191', 3625375608, 3625375935, 'US', 'United States'),
(161946, '216.22.216.192', '216.22.216.238', 3625375936, 3625375982, 'SG', 'Singapore'),
(161947, '216.22.216.239', '216.22.217.31', 3625375983, 3625376031, 'US', 'United States'),
(161948, '216.22.217.32', '216.22.217.63', 3625376032, 3625376063, 'AR', 'Argentina'),
(161949, '216.22.217.64', '216.22.217.159', 3625376064, 3625376159, 'US', 'United States'),
(161950, '216.22.217.160', '216.22.217.191', 3625376160, 3625376191, 'LB', 'Lebanon'),
(161951, '216.22.217.192', '216.22.217.223', 3625376192, 3625376223, 'TR', 'Turkey'),
(161952, '216.22.217.224', '216.22.220.255', 3625376224, 3625377023, 'US', 'United States'),
(161953, '216.22.221.0', '216.22.222.255', 3625377024, 3625377535, 'TH', 'Thailand'),
(161954, '216.22.223.0', '216.22.223.47', 3625377536, 3625377583, 'US', 'United States'),
(161955, '216.22.223.48', '216.22.223.63', 3625377584, 3625377599, 'CA', 'Canada'),
(161956, '216.22.223.64', '216.22.240.23', 3625377600, 3625381911, 'US', 'United States'),
(161957, '216.22.240.24', '216.22.240.31', 3625381912, 3625381919, 'CA', 'Canada'),
(161958, '216.22.240.32', '216.22.240.191', 3625381920, 3625382079, 'US', 'United States'),
(161959, '216.22.240.192', '216.22.240.223', 3625382080, 3625382111, 'CA', 'Canada'),
(161960, '216.22.240.224', '216.23.127.255', 3625382112, 3625418751, 'US', 'United States'),
(161961, '216.23.128.0', '216.23.132.255', 3625418752, 3625420031, 'CA', 'Canada'),
(161962, '216.23.133.0', '216.23.134.255', 3625420032, 3625420543, 'US', 'United States'),
(161963, '216.23.135.0', '216.23.142.255', 3625420544, 3625422591, 'CA', 'Canada'),
(161964, '216.23.143.0', '216.23.144.255', 3625422592, 3625423103, 'US', 'United States'),
(161965, '216.23.145.0', '216.23.159.255', 3625423104, 3625426943, 'CA', 'Canada'),
(161966, '216.23.160.0', '216.24.223.255', 3625426944, 3625508863, 'US', 'United States'),
(161967, '216.24.224.0', '216.24.239.255', 3625508864, 3625512959, 'CA', 'Canada'),
(161968, '216.24.240.0', '216.24.245.63', 3625512960, 3625514303, 'US', 'United States'),
(161969, '216.24.245.64', '216.24.245.127', 3625514304, 3625514367, 'GB', 'United Kingdom'),
(161970, '216.24.245.128', '216.25.44.221', 3625514368, 3625528541, 'US', 'United States'),
(161971, '216.25.44.222', '216.25.44.231', 3625528542, 3625528551, 'AU', 'Australia'),
(161972, '216.25.44.232', '216.25.223.255', 3625528552, 3625574399, 'US', 'United States'),
(161973, '216.25.224.0', '216.25.237.255', 3625574400, 3625577983, 'A2', 'Satellite Provider'),
(161974, '216.25.238.0', '216.25.252.63', 3625577984, 3625581631, 'US', 'United States'),
(161975, '216.25.252.64', '216.25.252.79', 3625581632, 3625581647, 'NL', 'Netherlands'),
(161976, '216.25.252.80', '216.26.191.255', 3625581648, 3625631743, 'US', 'United States'),
(161977, '216.26.192.0', '216.26.223.255', 3625631744, 3625639935, 'CA', 'Canada'),
(161978, '216.26.224.0', '216.31.191.255', 3625639936, 3625959423, 'US', 'United States'),
(161979, '216.31.192.0', '216.31.199.255', 3625959424, 3625961471, 'GB', 'United Kingdom'),
(161980, '216.31.200.0', '216.32.195.191', 3625961472, 3626025919, 'US', 'United States'),
(161981, '216.32.195.192', '216.32.195.223', 3626025920, 3626025951, 'LT', 'Lithuania'),
(161982, '216.32.195.224', '216.33.75.191', 3626025952, 3626060735, 'US', 'United States'),
(161983, '216.33.75.192', '216.33.75.199', 3626060736, 3626060743, 'BM', 'Bermuda'),
(161984, '216.33.75.200', '216.33.80.79', 3626060744, 3626061903, 'US', 'United States'),
(161985, '216.33.80.80', '216.33.80.87', 3626061904, 3626061911, 'BM', 'Bermuda'),
(161986, '216.33.80.88', '216.33.109.31', 3626061912, 3626069279, 'US', 'United States'),
(161987, '216.33.109.32', '216.33.109.63', 3626069280, 3626069311, 'NL', 'Netherlands'),
(161988, '216.33.109.64', '216.33.123.127', 3626069312, 3626072959, 'US', 'United States'),
(161989, '216.33.123.128', '216.33.123.159', 3626072960, 3626072991, 'AE', 'United Arab Emirates'),
(161990, '216.33.123.160', '216.33.125.95', 3626072992, 3626073439, 'US', 'United States'),
(161991, '216.33.125.96', '216.33.125.111', 3626073440, 3626073455, 'AE', 'United Arab Emirates'),
(161992, '216.33.125.112', '216.33.195.255', 3626073456, 3626091519, 'US', 'United States'),
(161993, '216.33.196.0', '216.33.197.255', 3626091520, 3626092031, 'AR', 'Argentina'),
(161994, '216.33.198.0', '216.34.7.223', 3626092032, 3626108895, 'US', 'United States'),
(161995, '216.34.7.224', '216.34.7.255', 3626108896, 3626108927, 'AU', 'Australia'),
(161996, '216.34.8.0', '216.34.91.239', 3626108928, 3626130415, 'US', 'United States'),
(161997, '216.34.91.240', '216.34.91.255', 3626130416, 3626130431, 'CA', 'Canada'),
(161998, '216.34.92.0', '216.34.131.63', 3626130432, 3626140479, 'US', 'United States'),
(161999, '216.34.131.64', '216.34.131.255', 3626140480, 3626140671, 'AU', 'Australia'),
(162000, '216.34.132.0', '216.34.139.159', 3626140672, 3626142623, 'US', 'United States'),
(162001, '216.34.139.160', '216.34.139.175', 3626142624, 3626142639, 'AU', 'Australia'),
(162002, '216.34.139.176', '216.35.45.255', 3626142640, 3626184191, 'US', 'United States'),
(162003, '216.35.46.0', '216.35.46.31', 3626184192, 3626184223, 'LT', 'Lithuania'),
(162004, '216.35.46.32', '216.35.66.47', 3626184224, 3626189359, 'US', 'United States'),
(162005, '216.35.66.48', '216.35.66.55', 3626189360, 3626189367, 'NO', 'Norway'),
(162006, '216.35.66.56', '216.35.66.63', 3626189368, 3626189375, 'US', 'United States'),
(162007, '216.35.66.64', '216.35.66.71', 3626189376, 3626189383, 'IL', 'Israel'),
(162008, '216.35.66.72', '216.35.66.119', 3626189384, 3626189431, 'US', 'United States'),
(162009, '216.35.66.120', '216.35.66.127', 3626189432, 3626189439, 'IL', 'Israel'),
(162010, '216.35.66.128', '216.35.73.15', 3626189440, 3626191119, 'US', 'United States'),
(162011, '216.35.73.16', '216.35.73.31', 3626191120, 3626191135, 'GB', 'United Kingdom'),
(162012, '216.35.73.32', '216.35.78.255', 3626191136, 3626192639, 'US', 'United States'),
(162013, '216.35.79.0', '216.35.79.63', 3626192640, 3626192703, 'CY', 'Cyprus'),
(162014, '216.35.79.64', '216.35.79.127', 3626192704, 3626192767, 'US', 'United States'),
(162015, '216.35.79.128', '216.35.79.159', 3626192768, 3626192799, 'CH', 'Switzerland'),
(162016, '216.35.79.160', '216.35.160.63', 3626192800, 3626213439, 'US', 'United States'),
(162017, '216.35.160.64', '216.35.160.95', 3626213440, 3626213471, 'GB', 'United Kingdom'),
(162018, '216.35.160.96', '216.35.196.61', 3626213472, 3626222653, 'US', 'United States'),
(162019, '216.35.196.62', '216.35.196.62', 3626222654, 3626222654, 'CA', 'Canada'),
(162020, '216.35.196.63', '216.35.206.255', 3626222655, 3626225407, 'US', 'United States'),
(162021, '216.35.207.0', '216.35.207.255', 3626225408, 3626225663, 'HK', 'Hong Kong'),
(162022, '216.35.208.0', '216.35.213.223', 3626225664, 3626227167, 'US', 'United States'),
(162023, '216.35.213.224', '216.35.213.255', 3626227168, 3626227199, 'AR', 'Argentina'),
(162024, '216.35.214.0', '216.35.218.239', 3626227200, 3626228463, 'US', 'United States'),
(162025, '216.35.218.240', '216.35.218.255', 3626228464, 3626228479, 'AE', 'United Arab Emirates'),
(162026, '216.35.219.0', '216.35.228.31', 3626228480, 3626230815, 'US', 'United States'),
(162027, '216.35.228.32', '216.35.228.63', 3626230816, 3626230847, 'DE', 'Germany'),
(162028, '216.35.228.64', '216.35.231.255', 3626230848, 3626231807, 'US', 'United States'),
(162029, '216.35.232.0', '216.35.232.159', 3626231808, 3626231967, 'GB', 'United Kingdom'),
(162030, '216.35.232.160', '216.36.127.255', 3626231968, 3626270719, 'US', 'United States'),
(162031, '216.36.128.0', '216.36.191.255', 3626270720, 3626287103, 'CA', 'Canada'),
(162032, '216.36.192.0', '216.37.111.255', 3626287104, 3626332159, 'US', 'United States'),
(162033, '216.37.112.0', '216.37.119.255', 3626332160, 3626334207, 'CA', 'Canada'),
(162034, '216.37.120.0', '216.37.120.255', 3626334208, 3626334463, 'US', 'United States'),
(162035, '216.37.121.0', '216.37.127.255', 3626334464, 3626336255, 'CA', 'Canada'),
(162036, '216.37.128.0', '216.38.48.5', 3626336256, 3626381317, 'US', 'United States'),
(162037, '216.38.48.6', '216.38.48.9', 3626381318, 3626381321, 'AU', 'Australia'),
(162038, '216.38.48.10', '216.38.48.13', 3626381322, 3626381325, 'CR', 'Costa Rica'),
(162039, '216.38.48.14', '216.38.48.17', 3626381326, 3626381329, 'IT', 'Italy'),
(162040, '216.38.48.18', '216.38.48.25', 3626381330, 3626381337, 'US', 'United States'),
(162041, '216.38.48.26', '216.38.48.29', 3626381338, 3626381341, 'IL', 'Israel'),
(162042, '216.38.48.30', '216.38.48.37', 3626381342, 3626381349, 'US', 'United States'),
(162043, '216.38.48.38', '216.38.48.41', 3626381350, 3626381353, 'QA', 'Qatar'),
(162044, '216.38.48.42', '216.38.48.61', 3626381354, 3626381373, 'US', 'United States'),
(162045, '216.38.48.62', '216.38.48.65', 3626381374, 3626381377, 'AU', 'Australia'),
(162046, '216.38.48.66', '216.38.48.89', 3626381378, 3626381401, 'US', 'United States'),
(162047, '216.38.48.90', '216.38.48.93', 3626381402, 3626381405, 'MX', 'Mexico'),
(162048, '216.38.48.94', '216.38.48.97', 3626381406, 3626381409, 'US', 'United States'),
(162049, '216.38.48.98', '216.38.48.107', 3626381410, 3626381419, 'MX', 'Mexico'),
(162050, '216.38.48.108', '216.38.48.111', 3626381420, 3626381423, 'GB', 'United Kingdom'),
(162051, '216.38.48.112', '216.38.48.123', 3626381424, 3626381435, 'US', 'United States'),
(162052, '216.38.48.124', '216.38.48.127', 3626381436, 3626381439, 'TR', 'Turkey'),
(162053, '216.38.48.128', '216.38.48.139', 3626381440, 3626381451, 'US', 'United States'),
(162054, '216.38.48.140', '216.38.48.144', 3626381452, 3626381456, 'GB', 'United Kingdom'),
(162055, '216.38.48.145', '216.38.48.148', 3626381457, 3626381460, 'CA', 'Canada'),
(162056, '216.38.48.149', '216.38.48.168', 3626381461, 3626381480, 'US', 'United States'),
(162057, '216.38.48.169', '216.38.48.172', 3626381481, 3626381484, 'VE', 'Venezuela'),
(162058, '216.38.48.173', '216.38.48.180', 3626381485, 3626381492, 'US', 'United States'),
(162059, '216.38.48.181', '216.38.48.184', 3626381493, 3626381496, 'CO', 'Colombia'),
(162060, '216.38.48.185', '216.38.48.196', 3626381497, 3626381508, 'US', 'United States'),
(162061, '216.38.48.197', '216.38.48.198', 3626381509, 3626381510, 'RU', 'Russian Federation'),
(162062, '216.38.48.199', '216.38.48.200', 3626381511, 3626381512, 'BE', 'Belgium'),
(162063, '216.38.48.201', '216.38.48.204', 3626381513, 3626381516, 'US', 'United States'),
(162064, '216.38.48.205', '216.38.48.208', 3626381517, 3626381520, 'GB', 'United Kingdom'),
(162065, '216.38.48.209', '216.38.48.212', 3626381521, 3626381524, 'IN', 'India'),
(162066, '216.38.48.213', '216.38.48.216', 3626381525, 3626381528, 'US', 'United States'),
(162067, '216.38.48.217', '216.38.48.220', 3626381529, 3626381532, 'IT', 'Italy'),
(162068, '216.38.48.221', '216.38.48.229', 3626381533, 3626381541, 'US', 'United States'),
(162069, '216.38.48.230', '216.38.48.233', 3626381542, 3626381545, 'CL', 'Chile'),
(162070, '216.38.48.234', '216.38.48.237', 3626381546, 3626381549, 'US', 'United States'),
(162071, '216.38.48.238', '216.38.48.241', 3626381550, 3626381553, 'GB', 'United Kingdom'),
(162072, '216.38.48.242', '216.38.48.243', 3626381554, 3626381555, 'US', 'United States'),
(162073, '216.38.48.244', '216.38.48.247', 3626381556, 3626381559, 'RU', 'Russian Federation'),
(162074, '216.38.48.248', '216.38.48.252', 3626381560, 3626381564, 'US', 'United States'),
(162075, '216.38.48.253', '216.38.48.254', 3626381565, 3626381566, 'GR', 'Greece'),
(162076, '216.38.48.255', '216.38.49.5', 3626381567, 3626381573, 'US', 'United States'),
(162077, '216.38.49.6', '216.38.49.9', 3626381574, 3626381577, 'ID', 'Indonesia'),
(162078, '216.38.49.10', '216.38.49.29', 3626381578, 3626381597, 'US', 'United States'),
(162079, '216.38.49.30', '216.38.49.33', 3626381598, 3626381601, 'VE', 'Venezuela'),
(162080, '216.38.49.34', '216.38.49.37', 3626381602, 3626381605, 'IL', 'Israel'),
(162081, '216.38.49.38', '216.38.49.41', 3626381606, 3626381609, 'US', 'United States'),
(162082, '216.38.49.42', '216.38.49.45', 3626381610, 3626381613, 'DE', 'Germany'),
(162083, '216.38.49.46', '216.38.49.53', 3626381614, 3626381621, 'US', 'United States'),
(162084, '216.38.49.54', '216.38.49.57', 3626381622, 3626381625, 'FR', 'France'),
(162085, '216.38.49.58', '216.38.49.73', 3626381626, 3626381641, 'US', 'United States'),
(162086, '216.38.49.74', '216.38.49.77', 3626381642, 3626381645, 'VI', 'Virgin Islands, U.S.'),
(162087, '216.38.49.78', '216.38.49.81', 3626381646, 3626381649, 'US', 'United States'),
(162088, '216.38.49.82', '216.38.49.85', 3626381650, 3626381653, 'AU', 'Australia'),
(162089, '216.38.49.86', '216.38.49.89', 3626381654, 3626381657, 'US', 'United States'),
(162090, '216.38.49.90', '216.38.49.93', 3626381658, 3626381661, 'BE', 'Belgium'),
(162091, '216.38.49.94', '216.38.49.107', 3626381662, 3626381675, 'US', 'United States'),
(162092, '216.38.49.108', '216.38.49.111', 3626381676, 3626381679, 'GB', 'United Kingdom'),
(162093, '216.38.49.112', '216.38.49.134', 3626381680, 3626381702, 'US', 'United States'),
(162094, '216.38.49.135', '216.38.49.138', 3626381703, 3626381706, 'LB', 'Lebanon'),
(162095, '216.38.49.139', '216.38.49.142', 3626381707, 3626381710, 'GB', 'United Kingdom'),
(162096, '216.38.49.143', '216.38.49.147', 3626381711, 3626381715, 'US', 'United States'),
(162097, '216.38.49.148', '216.38.49.151', 3626381716, 3626381719, 'NL', 'Netherlands'),
(162098, '216.38.49.152', '216.38.49.164', 3626381720, 3626381732, 'US', 'United States'),
(162099, '216.38.49.165', '216.38.49.168', 3626381733, 3626381736, 'EG', 'Egypt'),
(162100, '216.38.49.169', '216.38.49.172', 3626381737, 3626381740, 'FR', 'France'),
(162101, '216.38.49.173', '216.38.49.174', 3626381741, 3626381742, 'RU', 'Russian Federation'),
(162102, '216.38.49.175', '216.38.49.176', 3626381743, 3626381744, 'US', 'United States'),
(162103, '216.38.49.177', '216.38.49.180', 3626381745, 3626381748, 'IE', 'Ireland'),
(162104, '216.38.49.181', '216.38.49.182', 3626381749, 3626381750, 'CA', 'Canada'),
(162105, '216.38.49.183', '216.38.49.184', 3626381751, 3626381752, 'US', 'United States'),
(162106, '216.38.49.185', '216.38.49.187', 3626381753, 3626381755, 'GB', 'United Kingdom'),
(162107, '216.38.49.188', '216.38.49.191', 3626381756, 3626381759, 'CA', 'Canada'),
(162108, '216.38.49.192', '216.38.49.195', 3626381760, 3626381763, 'SA', 'Saudi Arabia'),
(162109, '216.38.49.196', '216.38.49.199', 3626381764, 3626381767, 'US', 'United States'),
(162110, '216.38.49.200', '216.38.49.203', 3626381768, 3626381771, 'RU', 'Russian Federation'),
(162111, '216.38.49.204', '216.38.49.211', 3626381772, 3626381779, 'US', 'United States'),
(162112, '216.38.49.212', '216.38.49.215', 3626381780, 3626381783, 'AU', 'Australia'),
(162113, '216.38.49.216', '216.38.49.229', 3626381784, 3626381797, 'US', 'United States'),
(162114, '216.38.49.230', '216.38.49.233', 3626381798, 3626381801, 'MX', 'Mexico'),
(162115, '216.38.49.234', '216.38.49.235', 3626381802, 3626381803, 'US', 'United States'),
(162116, '216.38.49.236', '216.38.49.248', 3626381804, 3626381816, 'RU', 'Russian Federation'),
(162117, '216.38.49.249', '216.38.50.18', 3626381817, 3626381842, 'US', 'United States'),
(162118, '216.38.50.19', '216.38.50.22', 3626381843, 3626381846, 'CA', 'Canada'),
(162119, '216.38.50.23', '216.38.50.38', 3626381847, 3626381862, 'US', 'United States'),
(162120, '216.38.50.39', '216.38.50.42', 3626381863, 3626381866, 'GB', 'United Kingdom'),
(162121, '216.38.50.43', '216.38.50.50', 3626381867, 3626381874, 'US', 'United States'),
(162122, '216.38.50.51', '216.38.50.58', 3626381875, 3626381882, 'IN', 'India'),
(162123, '216.38.50.59', '216.38.50.70', 3626381883, 3626381894, 'US', 'United States'),
(162124, '216.38.50.71', '216.38.50.74', 3626381895, 3626381898, 'CA', 'Canada'),
(162125, '216.38.50.75', '216.38.50.96', 3626381899, 3626381920, 'US', 'United States'),
(162126, '216.38.50.97', '216.38.50.100', 3626381921, 3626381924, 'NL', 'Netherlands'),
(162127, '216.38.50.101', '216.38.50.112', 3626381925, 3626381936, 'US', 'United States'),
(162128, '216.38.50.113', '216.38.50.116', 3626381937, 3626381940, 'GB', 'United Kingdom'),
(162129, '216.38.50.117', '216.38.50.120', 3626381941, 3626381944, 'US', 'United States'),
(162130, '216.38.50.121', '216.38.50.124', 3626381945, 3626381948, 'CA', 'Canada'),
(162131, '216.38.50.125', '216.38.50.148', 3626381949, 3626381972, 'US', 'United States'),
(162132, '216.38.50.149', '216.38.50.152', 3626381973, 3626381976, 'GB', 'United Kingdom'),
(162133, '216.38.50.153', '216.38.50.156', 3626381977, 3626381980, 'VN', 'Vietnam'),
(162134, '216.38.50.157', '216.38.50.160', 3626381981, 3626381984, 'RU', 'Russian Federation'),
(162135, '216.38.50.161', '216.38.50.164', 3626381985, 3626381988, 'US', 'United States'),
(162136, '216.38.50.165', '216.38.50.168', 3626381989, 3626381992, 'LK', 'Sri Lanka'),
(162137, '216.38.50.169', '216.38.50.169', 3626381993, 3626381993, 'US', 'United States'),
(162138, '216.38.50.170', '216.38.50.173', 3626381994, 3626381997, 'NZ', 'New Zealand'),
(162139, '216.38.50.174', '216.38.50.177', 3626381998, 3626382001, 'SA', 'Saudi Arabia'),
(162140, '216.38.50.178', '216.38.50.201', 3626382002, 3626382025, 'US', 'United States'),
(162141, '216.38.50.202', '216.38.50.205', 3626382026, 3626382029, 'CO', 'Colombia'),
(162142, '216.38.50.206', '216.38.50.209', 3626382030, 3626382033, 'RO', 'Romania'),
(162143, '216.38.50.210', '216.38.50.245', 3626382034, 3626382069, 'US', 'United States'),
(162144, '216.38.50.246', '216.38.50.249', 3626382070, 3626382073, 'CA', 'Canada'),
(162145, '216.38.50.250', '216.38.50.250', 3626382074, 3626382074, 'US', 'United States'),
(162146, '216.38.50.251', '216.38.50.254', 3626382075, 3626382078, 'IN', 'India'),
(162147, '216.38.50.255', '216.38.51.5', 3626382079, 3626382085, 'US', 'United States'),
(162148, '216.38.51.6', '216.38.51.7', 3626382086, 3626382087, 'GB', 'United Kingdom'),
(162149, '216.38.51.8', '216.38.51.21', 3626382088, 3626382101, 'US', 'United States'),
(162150, '216.38.51.22', '216.38.51.25', 3626382102, 3626382105, 'GB', 'United Kingdom'),
(162151, '216.38.51.26', '216.38.51.29', 3626382106, 3626382109, 'US', 'United States'),
(162152, '216.38.51.30', '216.38.51.33', 3626382110, 3626382113, 'IN', 'India'),
(162153, '216.38.51.34', '216.38.51.37', 3626382114, 3626382117, 'CH', 'Switzerland'),
(162154, '216.38.51.38', '216.38.51.41', 3626382118, 3626382121, 'SG', 'Singapore'),
(162155, '216.38.51.42', '216.38.51.53', 3626382122, 3626382133, 'US', 'United States'),
(162156, '216.38.51.54', '216.38.51.57', 3626382134, 3626382137, 'CA', 'Canada'),
(162157, '216.38.51.58', '216.38.51.65', 3626382138, 3626382145, 'US', 'United States'),
(162158, '216.38.51.66', '216.38.51.69', 3626382146, 3626382149, 'CA', 'Canada'),
(162159, '216.38.51.70', '216.38.51.89', 3626382150, 3626382169, 'US', 'United States'),
(162160, '216.38.51.90', '216.38.51.93', 3626382170, 3626382173, 'CA', 'Canada'),
(162161, '216.38.51.94', '216.38.51.97', 3626382174, 3626382177, 'NZ', 'New Zealand'),
(162162, '216.38.51.98', '216.38.51.101', 3626382178, 3626382181, 'US', 'United States'),
(162163, '216.38.51.102', '216.38.51.105', 3626382182, 3626382185, 'ES', 'Spain'),
(162164, '216.38.51.106', '216.38.51.113', 3626382186, 3626382193, 'US', 'United States'),
(162165, '216.38.51.114', '216.38.51.117', 3626382194, 3626382197, 'IN', 'India'),
(162166, '216.38.51.118', '216.38.51.127', 3626382198, 3626382207, 'US', 'United States'),
(162167, '216.38.51.128', '216.38.51.131', 3626382208, 3626382211, 'IN', 'India'),
(162168, '216.38.51.132', '216.38.51.143', 3626382212, 3626382223, 'US', 'United States'),
(162169, '216.38.51.144', '216.38.51.147', 3626382224, 3626382227, 'CN', 'China'),
(162170, '216.38.51.148', '216.38.51.159', 3626382228, 3626382239, 'US', 'United States'),
(162171, '216.38.51.160', '216.38.51.163', 3626382240, 3626382243, 'NL', 'Netherlands'),
(162172, '216.38.51.164', '216.38.51.167', 3626382244, 3626382247, 'US', 'United States'),
(162173, '216.38.51.168', '216.38.51.171', 3626382248, 3626382251, 'IN', 'India'),
(162174, '216.38.51.172', '216.38.51.183', 3626382252, 3626382263, 'US', 'United States'),
(162175, '216.38.51.184', '216.38.51.187', 3626382264, 3626382267, 'CA', 'Canada'),
(162176, '216.38.51.188', '216.38.51.191', 3626382268, 3626382271, 'IT', 'Italy'),
(162177, '216.38.51.192', '216.38.51.195', 3626382272, 3626382275, 'US', 'United States'),
(162178, '216.38.51.196', '216.38.51.199', 3626382276, 3626382279, 'GB', 'United Kingdom'),
(162179, '216.38.51.200', '216.38.51.203', 3626382280, 3626382283, 'DK', 'Denmark'),
(162180, '216.38.51.204', '216.38.51.215', 3626382284, 3626382295, 'US', 'United States'),
(162181, '216.38.51.216', '216.38.51.219', 3626382296, 3626382299, 'AR', 'Argentina'),
(162182, '216.38.51.220', '216.38.51.227', 3626382300, 3626382307, 'US', 'United States'),
(162183, '216.38.51.228', '216.38.51.231', 3626382308, 3626382311, 'RS', 'Serbia'),
(162184, '216.38.51.232', '216.38.51.235', 3626382312, 3626382315, 'US', 'United States'),
(162185, '216.38.51.236', '216.38.51.239', 3626382316, 3626382319, 'IN', 'India'),
(162186, '216.38.51.240', '216.38.51.244', 3626382320, 3626382324, 'US', 'United States'),
(162187, '216.38.51.245', '216.38.51.248', 3626382325, 3626382328, 'CA', 'Canada'),
(162188, '216.38.51.249', '216.38.51.252', 3626382329, 3626382332, 'US', 'United States'),
(162189, '216.38.51.253', '216.38.51.254', 3626382333, 3626382334, 'IN', 'India'),
(162190, '216.38.51.255', '216.38.52.17', 3626382335, 3626382353, 'US', 'United States'),
(162191, '216.38.52.18', '216.38.52.21', 3626382354, 3626382357, 'GB', 'United Kingdom'),
(162192, '216.38.52.22', '216.38.52.25', 3626382358, 3626382361, 'RU', 'Russian Federation'),
(162193, '216.38.52.26', '216.38.52.29', 3626382362, 3626382365, 'TH', 'Thailand'),
(162194, '216.38.52.30', '216.38.52.42', 3626382366, 3626382378, 'US', 'United States'),
(162195, '216.38.52.43', '216.38.52.47', 3626382379, 3626382383, 'IN', 'India'),
(162196, '216.38.52.48', '216.38.52.51', 3626382384, 3626382387, 'US', 'United States'),
(162197, '216.38.52.52', '216.38.52.55', 3626382388, 3626382391, 'SR', 'Suriname'),
(162198, '216.38.52.56', '216.38.52.59', 3626382392, 3626382395, 'IT', 'Italy'),
(162199, '216.38.52.60', '216.38.52.63', 3626382396, 3626382399, 'US', 'United States'),
(162200, '216.38.52.64', '216.38.52.67', 3626382400, 3626382403, 'AU', 'Australia'),
(162201, '216.38.52.68', '216.38.52.75', 3626382404, 3626382411, 'US', 'United States'),
(162202, '216.38.52.76', '216.38.52.79', 3626382412, 3626382415, 'CN', 'China'),
(162203, '216.38.52.80', '216.38.52.83', 3626382416, 3626382419, 'GB', 'United Kingdom'),
(162204, '216.38.52.84', '216.38.52.98', 3626382420, 3626382434, 'US', 'United States'),
(162205, '216.38.52.99', '216.38.52.102', 3626382435, 3626382438, 'BR', 'Brazil'),
(162206, '216.38.52.103', '216.38.52.106', 3626382439, 3626382442, 'ZA', 'South Africa'),
(162207, '216.38.52.107', '216.38.52.114', 3626382443, 3626382450, 'US', 'United States'),
(162208, '216.38.52.115', '216.38.52.118', 3626382451, 3626382454, 'GR', 'Greece'),
(162209, '216.38.52.119', '216.38.52.122', 3626382455, 3626382458, 'FR', 'France'),
(162210, '216.38.52.123', '216.38.52.134', 3626382459, 3626382470, 'US', 'United States'),
(162211, '216.38.52.135', '216.38.52.138', 3626382471, 3626382474, 'AU', 'Australia'),
(162212, '216.38.52.139', '216.38.52.142', 3626382475, 3626382478, 'US', 'United States'),
(162213, '216.38.52.143', '216.38.52.146', 3626382479, 3626382482, 'JP', 'Japan'),
(162214, '216.38.52.147', '216.38.52.150', 3626382483, 3626382486, 'US', 'United States'),
(162215, '216.38.52.151', '216.38.52.154', 3626382487, 3626382490, 'IL', 'Israel'),
(162216, '216.38.52.155', '216.38.52.158', 3626382491, 3626382494, 'MY', 'Malaysia'),
(162217, '216.38.52.159', '216.38.52.162', 3626382495, 3626382498, 'GB', 'United Kingdom'),
(162218, '216.38.52.163', '216.38.52.166', 3626382499, 3626382502, 'US', 'United States'),
(162219, '216.38.52.167', '216.38.52.170', 3626382503, 3626382506, 'BR', 'Brazil'),
(162220, '216.38.52.171', '216.38.52.182', 3626382507, 3626382518, 'US', 'United States'),
(162221, '216.38.52.183', '216.38.52.186', 3626382519, 3626382522, 'GR', 'Greece'),
(162222, '216.38.52.187', '216.38.52.190', 3626382523, 3626382526, 'SG', 'Singapore'),
(162223, '216.38.52.191', '216.38.52.198', 3626382527, 3626382534, 'US', 'United States'),
(162224, '216.38.52.199', '216.38.52.202', 3626382535, 3626382538, 'BR', 'Brazil'),
(162225, '216.38.52.203', '216.38.52.210', 3626382539, 3626382546, 'US', 'United States'),
(162226, '216.38.52.211', '216.38.52.214', 3626382547, 3626382550, 'IN', 'India'),
(162227, '216.38.52.215', '216.38.52.234', 3626382551, 3626382570, 'US', 'United States'),
(162228, '216.38.52.235', '216.38.52.238', 3626382571, 3626382574, 'IT', 'Italy'),
(162229, '216.38.52.239', '216.38.52.242', 3626382575, 3626382578, 'US', 'United States'),
(162230, '216.38.52.243', '216.38.52.246', 3626382579, 3626382582, 'IN', 'India'),
(162231, '216.38.52.247', '216.38.53.5', 3626382583, 3626382597, 'US', 'United States'),
(162232, '216.38.53.6', '216.38.53.9', 3626382598, 3626382601, 'IN', 'India'),
(162233, '216.38.53.10', '216.38.53.43', 3626382602, 3626382635, 'US', 'United States'),
(162234, '216.38.53.44', '216.38.53.47', 3626382636, 3626382639, 'TH', 'Thailand'),
(162235, '216.38.53.48', '216.38.53.78', 3626382640, 3626382670, 'US', 'United States'),
(162236, '216.38.53.79', '216.38.53.82', 3626382671, 3626382674, 'AU', 'Australia'),
(162237, '216.38.53.83', '216.38.53.86', 3626382675, 3626382678, 'US', 'United States'),
(162238, '216.38.53.87', '216.38.53.90', 3626382679, 3626382682, 'UA', 'Ukraine'),
(162239, '216.38.53.91', '216.38.53.94', 3626382683, 3626382686, 'US', 'United States'),
(162240, '216.38.53.95', '216.38.53.98', 3626382687, 3626382690, 'TR', 'Turkey'),
(162241, '216.38.53.99', '216.38.53.102', 3626382691, 3626382694, 'US', 'United States'),
(162242, '216.38.53.103', '216.38.53.106', 3626382695, 3626382698, 'BR', 'Brazil'),
(162243, '216.38.53.107', '216.38.53.163', 3626382699, 3626382755, 'US', 'United States'),
(162244, '216.38.53.164', '216.38.53.167', 3626382756, 3626382759, 'GB', 'United Kingdom'),
(162245, '216.38.53.168', '216.38.53.171', 3626382760, 3626382763, 'US', 'United States'),
(162246, '216.38.53.172', '216.38.53.175', 3626382764, 3626382767, 'CA', 'Canada'),
(162247, '216.38.53.176', '216.38.53.179', 3626382768, 3626382771, 'US', 'United States'),
(162248, '216.38.53.180', '216.38.53.183', 3626382772, 3626382775, 'IN', 'India'),
(162249, '216.38.53.184', '216.38.53.195', 3626382776, 3626382787, 'US', 'United States'),
(162250, '216.38.53.196', '216.38.53.199', 3626382788, 3626382791, 'IT', 'Italy'),
(162251, '216.38.53.200', '216.38.53.203', 3626382792, 3626382795, 'PT', 'Portugal'),
(162252, '216.38.53.204', '216.38.53.223', 3626382796, 3626382815, 'US', 'United States'),
(162253, '216.38.53.224', '216.38.53.227', 3626382816, 3626382819, 'AU', 'Australia'),
(162254, '216.38.53.228', '216.38.53.243', 3626382820, 3626382835, 'US', 'United States'),
(162255, '216.38.53.244', '216.38.53.247', 3626382836, 3626382839, 'NL', 'Netherlands'),
(162256, '216.38.53.248', '216.38.53.251', 3626382840, 3626382843, 'US', 'United States'),
(162257, '216.38.53.252', '216.38.53.253', 3626382844, 3626382845, 'IN', 'India'),
(162258, '216.38.53.254', '216.38.54.14', 3626382846, 3626382862, 'US', 'United States'),
(162259, '216.38.54.15', '216.38.54.18', 3626382863, 3626382866, 'RU', 'Russian Federation'),
(162260, '216.38.54.19', '216.38.54.22', 3626382867, 3626382870, 'IT', 'Italy'),
(162261, '216.38.54.23', '216.38.54.30', 3626382871, 3626382878, 'US', 'United States'),
(162262, '216.38.54.31', '216.38.54.34', 3626382879, 3626382882, 'GB', 'United Kingdom'),
(162263, '216.38.54.35', '216.38.54.44', 3626382883, 3626382892, 'US', 'United States'),
(162264, '216.38.54.45', '216.38.54.48', 3626382893, 3626382896, 'BR', 'Brazil'),
(162265, '216.38.54.49', '216.38.54.53', 3626382897, 3626382901, 'US', 'United States'),
(162266, '216.38.54.54', '216.38.54.57', 3626382902, 3626382905, 'SG', 'Singapore'),
(162267, '216.38.54.58', '216.38.54.61', 3626382906, 3626382909, 'CA', 'Canada'),
(162268, '216.38.54.62', '216.38.54.65', 3626382910, 3626382913, 'IN', 'India'),
(162269, '216.38.54.66', '216.38.54.69', 3626382914, 3626382917, 'SG', 'Singapore'),
(162270, '216.38.54.70', '216.38.54.77', 3626382918, 3626382925, 'US', 'United States'),
(162271, '216.38.54.78', '216.38.54.82', 3626382926, 3626382930, 'HN', 'Honduras'),
(162272, '216.38.54.83', '216.38.54.89', 3626382931, 3626382937, 'US', 'United States'),
(162273, '216.38.54.90', '216.38.54.93', 3626382938, 3626382941, 'PL', 'Poland'),
(162274, '216.38.54.94', '216.38.54.117', 3626382942, 3626382965, 'US', 'United States'),
(162275, '216.38.54.118', '216.38.54.121', 3626382966, 3626382969, 'GR', 'Greece'),
(162276, '216.38.54.122', '216.38.54.125', 3626382970, 3626382973, 'US', 'United States'),
(162277, '216.38.54.126', '216.38.54.129', 3626382974, 3626382977, 'AU', 'Australia'),
(162278, '216.38.54.130', '216.38.54.133', 3626382978, 3626382981, 'IT', 'Italy'),
(162279, '216.38.54.134', '216.38.54.145', 3626382982, 3626382993, 'GB', 'United Kingdom'),
(162280, '216.38.54.146', '216.38.54.178', 3626382994, 3626383026, 'US', 'United States'),
(162281, '216.38.54.179', '216.38.54.182', 3626383027, 3626383030, 'SG', 'Singapore'),
(162282, '216.38.54.183', '216.38.54.186', 3626383031, 3626383034, 'CN', 'China'),
(162283, '216.38.54.187', '216.38.54.190', 3626383035, 3626383038, 'AU', 'Australia'),
(162284, '216.38.54.191', '216.38.54.194', 3626383039, 3626383042, 'US', 'United States'),
(162285, '216.38.54.195', '216.38.54.198', 3626383043, 3626383046, 'DE', 'Germany'),
(162286, '216.38.54.199', '216.38.54.202', 3626383047, 3626383050, 'US', 'United States'),
(162287, '216.38.54.203', '216.38.54.206', 3626383051, 3626383054, 'CN', 'China'),
(162288, '216.38.54.207', '216.38.54.226', 3626383055, 3626383074, 'US', 'United States'),
(162289, '216.38.54.227', '216.38.54.230', 3626383075, 3626383078, 'AU', 'Australia'),
(162290, '216.38.54.231', '216.38.54.234', 3626383079, 3626383082, 'US', 'United States'),
(162291, '216.38.54.235', '216.38.54.238', 3626383083, 3626383086, 'IN', 'India'),
(162292, '216.38.54.239', '216.38.54.242', 3626383087, 3626383090, 'GR', 'Greece'),
(162293, '216.38.54.243', '216.38.54.246', 3626383091, 3626383094, 'CN', 'China'),
(162294, '216.38.54.247', '216.38.55.23', 3626383095, 3626383127, 'US', 'United States'),
(162295, '216.38.55.24', '216.38.55.27', 3626383128, 3626383131, 'IN', 'India'),
(162296, '216.38.55.28', '216.38.55.31', 3626383132, 3626383135, 'US', 'United States'),
(162297, '216.38.55.32', '216.38.55.35', 3626383136, 3626383139, 'CO', 'Colombia'),
(162298, '216.38.55.36', '216.38.55.43', 3626383140, 3626383147, 'US', 'United States'),
(162299, '216.38.55.44', '216.38.55.47', 3626383148, 3626383151, 'BR', 'Brazil'),
(162300, '216.38.55.48', '216.38.55.100', 3626383152, 3626383204, 'US', 'United States'),
(162301, '216.38.55.101', '216.38.55.104', 3626383205, 3626383208, 'AE', 'United Arab Emirates'),
(162302, '216.38.55.105', '216.38.55.116', 3626383209, 3626383220, 'US', 'United States'),
(162303, '216.38.55.117', '216.38.55.121', 3626383221, 3626383225, 'TR', 'Turkey'),
(162304, '216.38.55.122', '216.38.55.125', 3626383226, 3626383229, 'IN', 'India'),
(162305, '216.38.55.126', '216.38.55.129', 3626383230, 3626383233, 'US', 'United States'),
(162306, '216.38.55.130', '216.38.55.133', 3626383234, 3626383237, 'IN', 'India'),
(162307, '216.38.55.134', '216.38.55.141', 3626383238, 3626383245, 'US', 'United States'),
(162308, '216.38.55.142', '216.38.55.145', 3626383246, 3626383249, 'MX', 'Mexico'),
(162309, '216.38.55.146', '216.38.55.153', 3626383250, 3626383257, 'US', 'United States'),
(162310, '216.38.55.154', '216.38.55.157', 3626383258, 3626383261, 'CO', 'Colombia'),
(162311, '216.38.55.158', '216.38.55.166', 3626383262, 3626383270, 'US', 'United States'),
(162312, '216.38.55.167', '216.38.55.174', 3626383271, 3626383278, 'GB', 'United Kingdom'),
(162313, '216.38.55.175', '216.38.55.178', 3626383279, 3626383282, 'US', 'United States'),
(162314, '216.38.55.179', '216.38.55.182', 3626383283, 3626383286, 'DE', 'Germany'),
(162315, '216.38.55.183', '216.38.55.186', 3626383287, 3626383290, 'GR', 'Greece'),
(162316, '216.38.55.187', '216.38.55.190', 3626383291, 3626383294, 'CA', 'Canada'),
(162317, '216.38.55.191', '216.38.55.194', 3626383295, 3626383298, 'MX', 'Mexico'),
(162318, '216.38.55.195', '216.38.56.15', 3626383299, 3626383375, 'US', 'United States'),
(162319, '216.38.56.16', '216.38.56.23', 3626383376, 3626383383, 'RU', 'Russian Federation'),
(162320, '216.38.56.24', '216.38.56.31', 3626383384, 3626383391, 'CA', 'Canada'),
(162321, '216.38.56.32', '216.38.56.39', 3626383392, 3626383399, 'US', 'United States'),
(162322, '216.38.56.40', '216.38.56.47', 3626383400, 3626383407, 'IN', 'India'),
(162323, '216.38.56.48', '216.38.56.63', 3626383408, 3626383423, 'US', 'United States'),
(162324, '216.38.56.64', '216.38.56.71', 3626383424, 3626383431, 'GB', 'United Kingdom'),
(162325, '216.38.56.72', '216.38.56.79', 3626383432, 3626383439, 'AU', 'Australia'),
(162326, '216.38.56.80', '216.38.56.87', 3626383440, 3626383447, 'GR', 'Greece'),
(162327, '216.38.56.88', '216.38.56.95', 3626383448, 3626383455, 'IN', 'India'),
(162328, '216.38.56.96', '216.38.56.143', 3626383456, 3626383503, 'US', 'United States'),
(162329, '216.38.56.144', '216.38.56.159', 3626383504, 3626383519, 'GB', 'United Kingdom'),
(162330, '216.38.56.160', '216.38.56.167', 3626383520, 3626383527, 'US', 'United States'),
(162331, '216.38.56.168', '216.38.56.175', 3626383528, 3626383535, 'GB', 'United Kingdom'),
(162332, '216.38.56.176', '216.38.56.183', 3626383536, 3626383543, 'US', 'United States'),
(162333, '216.38.56.184', '216.38.56.191', 3626383544, 3626383551, 'GB', 'United Kingdom'),
(162334, '216.38.56.192', '216.38.56.223', 3626383552, 3626383583, 'US', 'United States'),
(162335, '216.38.56.224', '216.38.56.239', 3626383584, 3626383599, 'CA', 'Canada'),
(162336, '216.38.56.240', '216.38.56.255', 3626383600, 3626383615, 'IN', 'India'),
(162337, '216.38.57.0', '216.38.57.31', 3626383616, 3626383647, 'US', 'United States'),
(162338, '216.38.57.32', '216.38.57.63', 3626383648, 3626383679, 'CH', 'Switzerland'),
(162339, '216.38.57.64', '216.38.57.111', 3626383680, 3626383727, 'US', 'United States'),
(162340, '216.38.57.112', '216.38.57.143', 3626383728, 3626383759, 'CA', 'Canada'),
(162341, '216.38.57.144', '216.38.57.159', 3626383760, 3626383775, 'GB', 'United Kingdom'),
(162342, '216.38.57.160', '216.38.57.255', 3626383776, 3626383871, 'US', 'United States'),
(162343, '216.38.58.0', '216.38.58.31', 3626383872, 3626383903, 'NL', 'Netherlands'),
(162344, '216.38.58.32', '216.38.58.223', 3626383904, 3626384095, 'US', 'United States'),
(162345, '216.38.58.224', '216.38.58.255', 3626384096, 3626384127, 'NL', 'Netherlands'),
(162346, '216.38.59.0', '216.38.60.97', 3626384128, 3626384481, 'US', 'United States'),
(162347, '216.38.60.98', '216.38.60.101', 3626384482, 3626384485, 'IN', 'India'),
(162348, '216.38.60.102', '216.38.62.5', 3626384486, 3626384901, 'US', 'United States'),
(162349, '216.38.62.6', '216.38.62.9', 3626384902, 3626384905, 'MX', 'Mexico'),
(162350, '216.38.62.10', '216.38.62.25', 3626384906, 3626384921, 'US', 'United States'),
(162351, '216.38.62.26', '216.38.62.29', 3626384922, 3626384925, 'IN', 'India'),
(162352, '216.38.62.30', '216.38.62.45', 3626384926, 3626384941, 'US', 'United States'),
(162353, '216.38.62.46', '216.38.62.49', 3626384942, 3626384945, 'CA', 'Canada'),
(162354, '216.38.62.50', '216.38.62.53', 3626384946, 3626384949, 'US', 'United States'),
(162355, '216.38.62.54', '216.38.62.57', 3626384950, 3626384953, 'IN', 'India'),
(162356, '216.38.62.58', '216.38.62.61', 3626384954, 3626384957, 'US', 'United States'),
(162357, '216.38.62.62', '216.38.62.65', 3626384958, 3626384961, 'GB', 'United Kingdom'),
(162358, '216.38.62.66', '216.38.62.81', 3626384962, 3626384977, 'US', 'United States'),
(162359, '216.38.62.82', '216.38.62.85', 3626384978, 3626384981, 'SG', 'Singapore'),
(162360, '216.38.62.86', '216.38.62.89', 3626384982, 3626384985, 'US', 'United States'),
(162361, '216.38.62.90', '216.38.62.93', 3626384986, 3626384989, 'CA', 'Canada'),
(162362, '216.38.62.94', '216.38.62.97', 3626384990, 3626384993, 'NZ', 'New Zealand'),
(162363, '216.38.62.98', '216.38.62.101', 3626384994, 3626384997, 'US', 'United States'),
(162364, '216.38.62.102', '216.38.62.105', 3626384998, 3626385001, 'IT', 'Italy'),
(162365, '216.38.62.106', '216.38.62.109', 3626385002, 3626385005, 'ID', 'Indonesia'),
(162366, '216.38.62.110', '216.38.62.129', 3626385006, 3626385025, 'US', 'United States'),
(162367, '216.38.62.130', '216.38.62.133', 3626385026, 3626385029, 'CN', 'China'),
(162368, '216.38.62.134', '216.38.62.137', 3626385030, 3626385033, 'ID', 'Indonesia'),
(162369, '216.38.62.138', '216.38.62.141', 3626385034, 3626385037, 'IN', 'India'),
(162370, '216.38.62.142', '216.38.62.145', 3626385038, 3626385041, 'US', 'United States'),
(162371, '216.38.62.146', '216.38.62.149', 3626385042, 3626385045, 'MX', 'Mexico'),
(162372, '216.38.62.150', '216.38.62.153', 3626385046, 3626385049, 'CA', 'Canada'),
(162373, '216.38.62.154', '216.38.62.161', 3626385050, 3626385057, 'US', 'United States'),
(162374, '216.38.62.162', '216.38.62.165', 3626385058, 3626385061, 'IN', 'India'),
(162375, '216.38.62.166', '216.38.62.177', 3626385062, 3626385073, 'US', 'United States'),
(162376, '216.38.62.178', '216.38.62.181', 3626385074, 3626385077, 'IE', 'Ireland'),
(162377, '216.38.62.182', '216.38.62.201', 3626385078, 3626385097, 'US', 'United States'),
(162378, '216.38.62.202', '216.38.62.205', 3626385098, 3626385101, 'IN', 'India'),
(162379, '216.38.62.206', '216.38.62.217', 3626385102, 3626385113, 'US', 'United States'),
(162380, '216.38.62.218', '216.38.62.221', 3626385114, 3626385117, 'JP', 'Japan'),
(162381, '216.38.62.222', '216.38.62.225', 3626385118, 3626385121, 'US', 'United States'),
(162382, '216.38.62.226', '216.38.62.229', 3626385122, 3626385125, 'IN', 'India'),
(162383, '216.38.62.230', '216.38.62.233', 3626385126, 3626385129, 'ID', 'Indonesia'),
(162384, '216.38.62.234', '216.38.62.237', 3626385130, 3626385133, 'IN', 'India'),
(162385, '216.38.62.238', '216.38.62.241', 3626385134, 3626385137, 'CA', 'Canada'),
(162386, '216.38.62.242', '216.38.62.245', 3626385138, 3626385141, 'GB', 'United Kingdom'),
(162387, '216.38.62.246', '216.38.62.249', 3626385142, 3626385145, 'IN', 'India'),
(162388, '216.38.62.250', '216.38.62.253', 3626385146, 3626385149, 'RO', 'Romania'),
(162389, '216.38.62.254', '216.38.63.35', 3626385150, 3626385187, 'US', 'United States'),
(162390, '216.38.63.36', '216.38.63.39', 3626385188, 3626385191, 'CA', 'Canada'),
(162391, '216.38.63.40', '216.38.63.55', 3626385192, 3626385207, 'US', 'United States'),
(162392, '216.38.63.56', '216.38.63.57', 3626385208, 3626385209, 'NZ', 'New Zealand'),
(162393, '216.38.63.58', '216.38.63.65', 3626385210, 3626385217, 'US', 'United States'),
(162394, '216.38.63.66', '216.38.63.69', 3626385218, 3626385221, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(162395, '216.38.63.70', '216.38.63.73', 3626385222, 3626385225, 'US', 'United States'),
(162396, '216.38.63.74', '216.38.63.77', 3626385226, 3626385229, 'CA', 'Canada'),
(162397, '216.38.63.78', '216.38.63.85', 3626385230, 3626385237, 'US', 'United States'),
(162398, '216.38.63.86', '216.38.63.89', 3626385238, 3626385241, 'BE', 'Belgium'),
(162399, '216.38.63.90', '216.38.63.93', 3626385242, 3626385245, 'US', 'United States'),
(162400, '216.38.63.94', '216.38.63.97', 3626385246, 3626385249, 'ID', 'Indonesia'),
(162401, '216.38.63.98', '216.38.63.101', 3626385250, 3626385253, 'CN', 'China'),
(162402, '216.38.63.102', '216.38.63.109', 3626385254, 3626385261, 'US', 'United States'),
(162403, '216.38.63.110', '216.38.63.113', 3626385262, 3626385265, 'GR', 'Greece'),
(162404, '216.38.63.114', '216.38.63.133', 3626385266, 3626385285, 'US', 'United States'),
(162405, '216.38.63.134', '216.38.63.137', 3626385286, 3626385289, 'IN', 'India'),
(162406, '216.38.63.138', '216.38.63.169', 3626385290, 3626385321, 'US', 'United States'),
(162407, '216.38.63.170', '216.38.63.173', 3626385322, 3626385325, 'FR', 'France'),
(162408, '216.38.63.174', '216.38.63.177', 3626385326, 3626385329, 'CA', 'Canada'),
(162409, '216.38.63.178', '216.38.63.181', 3626385330, 3626385333, 'US', 'United States'),
(162410, '216.38.63.182', '216.38.63.185', 3626385334, 3626385337, 'CA', 'Canada'),
(162411, '216.38.63.186', '216.38.63.197', 3626385338, 3626385349, 'US', 'United States'),
(162412, '216.38.63.198', '216.38.63.201', 3626385350, 3626385353, 'IN', 'India'),
(162413, '216.38.63.202', '216.38.63.205', 3626385354, 3626385357, 'MX', 'Mexico'),
(162414, '216.38.63.206', '216.38.63.209', 3626385358, 3626385361, 'CA', 'Canada'),
(162415, '216.38.63.210', '216.38.63.213', 3626385362, 3626385365, 'US', 'United States'),
(162416, '216.38.63.214', '216.38.63.217', 3626385366, 3626385369, 'IL', 'Israel'),
(162417, '216.38.63.218', '216.38.63.221', 3626385370, 3626385373, 'US', 'United States'),
(162418, '216.38.63.222', '216.38.63.225', 3626385374, 3626385377, 'SI', 'Slovenia'),
(162419, '216.38.63.226', '216.38.63.229', 3626385378, 3626385381, 'US', 'United States'),
(162420, '216.38.63.230', '216.38.63.237', 3626385382, 3626385389, 'IN', 'India'),
(162421, '216.38.63.238', '216.38.63.241', 3626385390, 3626385393, 'GB', 'United Kingdom'),
(162422, '216.38.63.242', '216.40.31.255', 3626385394, 3626508287, 'US', 'United States'),
(162423, '216.40.32.0', '216.40.47.255', 3626508288, 3626512383, 'CA', 'Canada'),
(162424, '216.40.48.0', '216.40.52.19', 3626512384, 3626513427, 'US', 'United States'),
(162425, '216.40.52.20', '216.40.52.20', 3626513428, 3626513428, 'EU', 'Europe'),
(162426, '216.40.52.21', '216.40.95.255', 3626513429, 3626524671, 'US', 'United States'),
(162427, '216.40.96.0', '216.40.96.255', 3626524672, 3626524927, 'CA', 'Canada'),
(162428, '216.40.97.0', '216.40.97.15', 3626524928, 3626524943, 'US', 'United States'),
(162429, '216.40.97.16', '216.40.97.39', 3626524944, 3626524967, 'CA', 'Canada'),
(162430, '216.40.97.40', '216.40.97.47', 3626524968, 3626524975, 'US', 'United States'),
(162431, '216.40.97.48', '216.40.100.87', 3626524976, 3626525783, 'CA', 'Canada'),
(162432, '216.40.100.88', '216.40.100.103', 3626525784, 3626525799, 'US', 'United States'),
(162433, '216.40.100.104', '216.40.100.111', 3626525800, 3626525807, 'IN', 'India'),
(162434, '216.40.100.112', '216.40.101.79', 3626525808, 3626526031, 'CA', 'Canada'),
(162435, '216.40.101.80', '216.40.101.87', 3626526032, 3626526039, 'US', 'United States'),
(162436, '216.40.101.88', '216.40.102.31', 3626526040, 3626526239, 'CA', 'Canada'),
(162437, '216.40.102.32', '216.40.102.39', 3626526240, 3626526247, 'US', 'United States'),
(162438, '216.40.102.40', '216.40.102.47', 3626526248, 3626526255, 'CA', 'Canada'),
(162439, '216.40.102.48', '216.40.102.55', 3626526256, 3626526263, 'US', 'United States'),
(162440, '216.40.102.56', '216.40.102.71', 3626526264, 3626526279, 'CA', 'Canada'),
(162441, '216.40.102.72', '216.40.102.79', 3626526280, 3626526287, 'US', 'United States'),
(162442, '216.40.102.80', '216.40.102.87', 3626526288, 3626526295, 'CA', 'Canada'),
(162443, '216.40.102.88', '216.40.102.95', 3626526296, 3626526303, 'US', 'United States'),
(162444, '216.40.102.96', '216.40.102.223', 3626526304, 3626526431, 'CA', 'Canada'),
(162445, '216.40.102.224', '216.40.102.255', 3626526432, 3626526463, 'CR', 'Costa Rica'),
(162446, '216.40.103.0', '216.40.103.103', 3626526464, 3626526567, 'CA', 'Canada'),
(162447, '216.40.103.104', '216.40.103.111', 3626526568, 3626526575, 'US', 'United States'),
(162448, '216.40.103.112', '216.40.103.159', 3626526576, 3626526623, 'CA', 'Canada'),
(162449, '216.40.103.160', '216.40.103.167', 3626526624, 3626526631, 'US', 'United States'),
(162450, '216.40.103.168', '216.40.103.247', 3626526632, 3626526711, 'CA', 'Canada'),
(162451, '216.40.103.248', '216.40.103.255', 3626526712, 3626526719, 'US', 'United States'),
(162452, '216.40.104.0', '216.40.105.7', 3626526720, 3626526983, 'CA', 'Canada'),
(162453, '216.40.105.8', '216.40.105.47', 3626526984, 3626527023, 'US', 'United States'),
(162454, '216.40.105.48', '216.40.105.159', 3626527024, 3626527135, 'CA', 'Canada'),
(162455, '216.40.105.160', '216.40.105.183', 3626527136, 3626527159, 'US', 'United States'),
(162456, '216.40.105.184', '216.40.105.191', 3626527160, 3626527167, 'CA', 'Canada'),
(162457, '216.40.105.192', '216.40.105.207', 3626527168, 3626527183, 'US', 'United States'),
(162458, '216.40.105.208', '216.40.106.191', 3626527184, 3626527423, 'CA', 'Canada'),
(162459, '216.40.106.192', '216.40.106.231', 3626527424, 3626527463, 'US', 'United States'),
(162460, '216.40.106.232', '216.40.106.239', 3626527464, 3626527471, 'CA', 'Canada'),
(162461, '216.40.106.240', '216.40.106.247', 3626527472, 3626527479, 'US', 'United States'),
(162462, '216.40.106.248', '216.40.106.255', 3626527480, 3626527487, 'CA', 'Canada'),
(162463, '216.40.107.0', '216.40.107.7', 3626527488, 3626527495, 'US', 'United States'),
(162464, '216.40.107.8', '216.40.107.63', 3626527496, 3626527551, 'CA', 'Canada'),
(162465, '216.40.107.64', '216.40.107.71', 3626527552, 3626527559, 'US', 'United States'),
(162466, '216.40.107.72', '216.40.108.159', 3626527560, 3626527903, 'CA', 'Canada'),
(162467, '216.40.108.160', '216.40.108.167', 3626527904, 3626527911, 'US', 'United States'),
(162468, '216.40.108.168', '216.40.109.239', 3626527912, 3626528239, 'CA', 'Canada'),
(162469, '216.40.109.240', '216.40.109.247', 3626528240, 3626528247, 'US', 'United States'),
(162470, '216.40.109.248', '216.40.110.71', 3626528248, 3626528327, 'CA', 'Canada'),
(162471, '216.40.110.72', '216.40.110.79', 3626528328, 3626528335, 'US', 'United States'),
(162472, '216.40.110.80', '216.40.111.23', 3626528336, 3626528535, 'CA', 'Canada'),
(162473, '216.40.111.24', '216.40.111.31', 3626528536, 3626528543, 'US', 'United States'),
(162474, '216.40.111.32', '216.40.111.119', 3626528544, 3626528631, 'CA', 'Canada'),
(162475, '216.40.111.120', '216.40.111.127', 3626528632, 3626528639, 'US', 'United States'),
(162476, '216.40.111.128', '216.40.111.167', 3626528640, 3626528679, 'CA', 'Canada'),
(162477, '216.40.111.168', '216.40.111.191', 3626528680, 3626528703, 'US', 'United States'),
(162478, '216.40.111.192', '216.40.113.159', 3626528704, 3626529183, 'CA', 'Canada'),
(162479, '216.40.113.160', '216.40.113.167', 3626529184, 3626529191, 'US', 'United States'),
(162480, '216.40.113.168', '216.40.115.103', 3626529192, 3626529639, 'CA', 'Canada'),
(162481, '216.40.115.104', '216.40.115.111', 3626529640, 3626529647, 'US', 'United States'),
(162482, '216.40.115.112', '216.40.115.199', 3626529648, 3626529735, 'CA', 'Canada'),
(162483, '216.40.115.200', '216.40.115.215', 3626529736, 3626529751, 'US', 'United States'),
(162484, '216.40.115.216', '216.40.116.15', 3626529752, 3626529807, 'CA', 'Canada'),
(162485, '216.40.116.16', '216.40.116.71', 3626529808, 3626529863, 'US', 'United States'),
(162486, '216.40.116.72', '216.40.116.127', 3626529864, 3626529919, 'CA', 'Canada'),
(162487, '216.40.116.128', '216.40.116.135', 3626529920, 3626529927, 'US', 'United States'),
(162488, '216.40.116.136', '216.40.116.159', 3626529928, 3626529951, 'CA', 'Canada'),
(162489, '216.40.116.160', '216.40.116.167', 3626529952, 3626529959, 'US', 'United States'),
(162490, '216.40.116.168', '216.40.116.247', 3626529960, 3626530039, 'CA', 'Canada'),
(162491, '216.40.116.248', '216.40.117.7', 3626530040, 3626530055, 'US', 'United States'),
(162492, '216.40.117.8', '216.40.117.103', 3626530056, 3626530151, 'CA', 'Canada'),
(162493, '216.40.117.104', '216.40.117.111', 3626530152, 3626530159, 'US', 'United States'),
(162494, '216.40.117.112', '216.40.117.159', 3626530160, 3626530207, 'CA', 'Canada'),
(162495, '216.40.117.160', '216.40.117.167', 3626530208, 3626530215, 'US', 'United States'),
(162496, '216.40.117.168', '216.40.117.239', 3626530216, 3626530287, 'CA', 'Canada'),
(162497, '216.40.117.240', '216.40.117.247', 3626530288, 3626530295, 'US', 'United States'),
(162498, '216.40.117.248', '216.40.118.23', 3626530296, 3626530327, 'CA', 'Canada'),
(162499, '216.40.118.24', '216.40.118.39', 3626530328, 3626530343, 'US', 'United States'),
(162500, '216.40.118.40', '216.40.118.87', 3626530344, 3626530391, 'CA', 'Canada'),
(162501, '216.40.118.88', '216.40.118.103', 3626530392, 3626530407, 'US', 'United States'),
(162502, '216.40.118.104', '216.40.118.135', 3626530408, 3626530439, 'CA', 'Canada'),
(162503, '216.40.118.136', '216.40.118.151', 3626530440, 3626530455, 'US', 'United States'),
(162504, '216.40.118.152', '216.40.118.167', 3626530456, 3626530471, 'CA', 'Canada'),
(162505, '216.40.118.168', '216.40.118.175', 3626530472, 3626530479, 'US', 'United States'),
(162506, '216.40.118.176', '216.40.118.183', 3626530480, 3626530487, 'CA', 'Canada'),
(162507, '216.40.118.184', '216.40.118.191', 3626530488, 3626530495, 'US', 'United States'),
(162508, '216.40.118.192', '216.40.118.239', 3626530496, 3626530543, 'CA', 'Canada'),
(162509, '216.40.118.240', '216.40.118.255', 3626530544, 3626530559, 'US', 'United States'),
(162510, '216.40.119.0', '216.40.119.255', 3626530560, 3626530815, 'CA', 'Canada'),
(162511, '216.40.120.0', '216.40.120.15', 3626530816, 3626530831, 'US', 'United States'),
(162512, '216.40.120.16', '216.40.120.95', 3626530832, 3626530911, 'CA', 'Canada'),
(162513, '216.40.120.96', '216.40.120.103', 3626530912, 3626530919, 'US', 'United States'),
(162514, '216.40.120.104', '216.40.120.127', 3626530920, 3626530943, 'CA', 'Canada'),
(162515, '216.40.120.128', '216.40.120.135', 3626530944, 3626530951, 'US', 'United States'),
(162516, '216.40.120.136', '216.40.120.175', 3626530952, 3626530991, 'CA', 'Canada'),
(162517, '216.40.120.176', '216.40.120.191', 3626530992, 3626531007, 'US', 'United States'),
(162518, '216.40.120.192', '216.40.120.199', 3626531008, 3626531015, 'CA', 'Canada'),
(162519, '216.40.120.200', '216.40.120.207', 3626531016, 3626531023, 'US', 'United States'),
(162520, '216.40.120.208', '216.40.120.215', 3626531024, 3626531031, 'CA', 'Canada'),
(162521, '216.40.120.216', '216.40.120.231', 3626531032, 3626531047, 'US', 'United States'),
(162522, '216.40.120.232', '216.40.121.71', 3626531048, 3626531143, 'CA', 'Canada'),
(162523, '216.40.121.72', '216.40.121.79', 3626531144, 3626531151, 'US', 'United States'),
(162524, '216.40.121.80', '216.40.121.127', 3626531152, 3626531199, 'CA', 'Canada'),
(162525, '216.40.121.128', '216.40.121.135', 3626531200, 3626531207, 'US', 'United States'),
(162526, '216.40.121.136', '216.40.121.207', 3626531208, 3626531279, 'CA', 'Canada'),
(162527, '216.40.121.208', '216.40.121.215', 3626531280, 3626531287, 'US', 'United States'),
(162528, '216.40.121.216', '216.40.122.135', 3626531288, 3626531463, 'CA', 'Canada'),
(162529, '216.40.122.136', '216.40.122.143', 3626531464, 3626531471, 'US', 'United States'),
(162530, '216.40.122.144', '216.40.122.191', 3626531472, 3626531519, 'CA', 'Canada'),
(162531, '216.40.122.192', '216.40.122.207', 3626531520, 3626531535, 'US', 'United States'),
(162532, '216.40.122.208', '216.40.122.223', 3626531536, 3626531551, 'CA', 'Canada'),
(162533, '216.40.122.224', '216.40.122.231', 3626531552, 3626531559, 'US', 'United States'),
(162534, '216.40.122.232', '216.40.122.247', 3626531560, 3626531575, 'CA', 'Canada'),
(162535, '216.40.122.248', '216.40.122.255', 3626531576, 3626531583, 'US', 'United States'),
(162536, '216.40.123.0', '216.40.123.23', 3626531584, 3626531607, 'CA', 'Canada'),
(162537, '216.40.123.24', '216.40.123.31', 3626531608, 3626531615, 'US', 'United States'),
(162538, '216.40.123.32', '216.40.123.55', 3626531616, 3626531639, 'CA', 'Canada'),
(162539, '216.40.123.56', '216.40.123.63', 3626531640, 3626531647, 'US', 'United States'),
(162540, '216.40.123.64', '216.40.123.119', 3626531648, 3626531703, 'CA', 'Canada'),
(162541, '216.40.123.120', '216.40.123.127', 3626531704, 3626531711, 'US', 'United States'),
(162542, '216.40.123.128', '216.40.123.215', 3626531712, 3626531799, 'CA', 'Canada'),
(162543, '216.40.123.216', '216.40.123.223', 3626531800, 3626531807, 'US', 'United States'),
(162544, '216.40.123.224', '216.40.123.255', 3626531808, 3626531839, 'CA', 'Canada'),
(162545, '216.40.124.0', '216.40.124.7', 3626531840, 3626531847, 'US', 'United States'),
(162546, '216.40.124.8', '216.40.124.15', 3626531848, 3626531855, 'CA', 'Canada'),
(162547, '216.40.124.16', '216.40.124.23', 3626531856, 3626531863, 'US', 'United States'),
(162548, '216.40.124.24', '216.40.124.31', 3626531864, 3626531871, 'CA', 'Canada'),
(162549, '216.40.124.32', '216.40.124.39', 3626531872, 3626531879, 'US', 'United States'),
(162550, '216.40.124.40', '216.40.124.47', 3626531880, 3626531887, 'CA', 'Canada'),
(162551, '216.40.124.48', '216.40.124.55', 3626531888, 3626531895, 'US', 'United States'),
(162552, '216.40.124.56', '216.40.125.191', 3626531896, 3626532287, 'CA', 'Canada'),
(162553, '216.40.125.192', '216.40.125.215', 3626532288, 3626532311, 'US', 'United States'),
(162554, '216.40.125.216', '216.40.125.223', 3626532312, 3626532319, 'CA', 'Canada'),
(162555, '216.40.125.224', '216.40.125.231', 3626532320, 3626532327, 'US', 'United States'),
(162556, '216.40.125.232', '216.40.126.39', 3626532328, 3626532391, 'CA', 'Canada'),
(162557, '216.40.126.40', '216.40.126.167', 3626532392, 3626532519, 'US', 'United States'),
(162558, '216.40.126.168', '216.40.126.183', 3626532520, 3626532535, 'CA', 'Canada'),
(162559, '216.40.126.184', '216.40.126.191', 3626532536, 3626532543, 'US', 'United States'),
(162560, '216.40.126.192', '216.40.126.199', 3626532544, 3626532551, 'CA', 'Canada'),
(162561, '216.40.126.200', '216.40.126.239', 3626532552, 3626532591, 'US', 'United States'),
(162562, '216.40.126.240', '216.40.126.255', 3626532592, 3626532607, 'CA', 'Canada'),
(162563, '216.40.127.0', '216.40.127.7', 3626532608, 3626532615, 'US', 'United States'),
(162564, '216.40.127.8', '216.40.127.15', 3626532616, 3626532623, 'CA', 'Canada'),
(162565, '216.40.127.16', '216.40.127.95', 3626532624, 3626532703, 'US', 'United States'),
(162566, '216.40.127.96', '216.40.127.119', 3626532704, 3626532727, 'CA', 'Canada'),
(162567, '216.40.127.120', '216.40.127.127', 3626532728, 3626532735, 'US', 'United States'),
(162568, '216.40.127.128', '216.40.127.151', 3626532736, 3626532759, 'CA', 'Canada'),
(162569, '216.40.127.152', '216.40.127.159', 3626532760, 3626532767, 'US', 'United States'),
(162570, '216.40.127.160', '216.40.127.247', 3626532768, 3626532855, 'CA', 'Canada'),
(162571, '216.40.127.248', '216.45.95.255', 3626532856, 3626852351, 'US', 'United States'),
(162572, '216.45.96.0', '216.45.127.255', 3626852352, 3626860543, 'CA', 'Canada'),
(162573, '216.45.128.0', '216.45.255.255', 3626860544, 3626893311, 'US', 'United States'),
(162574, '216.46.0.0', '216.46.11.47', 3626893312, 3626896175, 'CA', 'Canada'),
(162575, '216.46.11.48', '216.46.11.55', 3626896176, 3626896183, 'US', 'United States'),
(162576, '216.46.11.56', '216.46.47.255', 3626896184, 3626905599, 'CA', 'Canada'),
(162577, '216.46.48.0', '216.46.127.255', 3626905600, 3626926079, 'US', 'United States'),
(162578, '216.46.128.0', '216.46.159.255', 3626926080, 3626934271, 'CA', 'Canada'),
(162579, '216.46.160.0', '216.48.79.255', 3626934272, 3627044863, 'US', 'United States'),
(162580, '216.48.80.0', '216.48.95.255', 3627044864, 3627048959, 'CA', 'Canada'),
(162581, '216.48.96.0', '216.48.159.255', 3627048960, 3627065343, 'US', 'United States'),
(162582, '216.48.160.0', '216.48.175.255', 3627065344, 3627069439, 'CA', 'Canada'),
(162583, '216.48.176.0', '216.52.7.255', 3627069440, 3627288575, 'US', 'United States'),
(162584, '216.52.8.0', '216.52.8.31', 3627288576, 3627288607, 'GB', 'United Kingdom'),
(162585, '216.52.8.32', '216.52.48.255', 3627288608, 3627299071, 'US', 'United States'),
(162586, '216.52.49.0', '216.52.49.255', 3627299072, 3627299327, 'IN', 'India'),
(162587, '216.52.50.0', '216.52.89.143', 3627299328, 3627309455, 'US', 'United States'),
(162588, '216.52.89.144', '216.52.89.159', 3627309456, 3627309471, 'IL', 'Israel'),
(162589, '216.52.89.160', '216.52.90.127', 3627309472, 3627309695, 'US', 'United States'),
(162590, '216.52.90.128', '216.52.90.255', 3627309696, 3627309823, 'AE', 'United Arab Emirates'),
(162591, '216.52.91.0', '216.52.93.135', 3627309824, 3627310471, 'US', 'United States'),
(162592, '216.52.93.136', '216.52.93.143', 3627310472, 3627310479, 'BM', 'Bermuda'),
(162593, '216.52.93.144', '216.52.119.95', 3627310480, 3627317087, 'US', 'United States'),
(162594, '216.52.119.96', '216.52.119.127', 3627317088, 3627317119, 'GB', 'United Kingdom'),
(162595, '216.52.119.128', '216.52.119.199', 3627317120, 3627317191, 'US', 'United States'),
(162596, '216.52.119.200', '216.52.119.207', 3627317192, 3627317199, 'CA', 'Canada'),
(162597, '216.52.119.208', '216.52.162.55', 3627317200, 3627328055, 'US', 'United States'),
(162598, '216.52.162.56', '216.52.162.63', 3627328056, 3627328063, 'SR', 'Suriname'),
(162599, '216.52.162.64', '216.52.171.223', 3627328064, 3627330527, 'US', 'United States'),
(162600, '216.52.171.224', '216.52.171.255', 3627330528, 3627330559, 'SE', 'Sweden'),
(162601, '216.52.172.0', '216.52.248.111', 3627330560, 3627350127, 'US', 'United States'),
(162602, '216.52.248.112', '216.52.248.119', 3627350128, 3627350135, 'IL', 'Israel'),
(162603, '216.52.248.120', '216.53.186.255', 3627350136, 3627399935, 'US', 'United States'),
(162604, '216.53.187.0', '216.53.187.31', 3627399936, 3627399967, 'GE', 'Georgia'),
(162605, '216.53.187.32', '216.53.187.63', 3627399968, 3627399999, 'US', 'United States'),
(162606, '216.53.187.64', '216.53.187.127', 3627400000, 3627400063, 'DE', 'Germany'),
(162607, '216.53.187.128', '216.53.187.215', 3627400064, 3627400151, 'US', 'United States'),
(162608, '216.53.187.216', '216.53.187.255', 3627400152, 3627400191, 'DE', 'Germany'),
(162609, '216.53.188.0', '216.53.188.127', 3627400192, 3627400319, 'US', 'United States'),
(162610, '216.53.188.128', '216.53.188.159', 3627400320, 3627400351, 'BR', 'Brazil'),
(162611, '216.53.188.160', '216.53.189.191', 3627400352, 3627400639, 'US', 'United States'),
(162612, '216.53.189.192', '216.53.189.223', 3627400640, 3627400671, 'CA', 'Canada'),
(162613, '216.53.189.224', '216.53.190.255', 3627400672, 3627400959, 'US', 'United States'),
(162614, '216.53.191.0', '216.53.191.143', 3627400960, 3627401103, 'DE', 'Germany'),
(162615, '216.53.191.144', '216.53.191.191', 3627401104, 3627401151, 'US', 'United States'),
(162616, '216.53.191.192', '216.53.191.255', 3627401152, 3627401215, 'BR', 'Brazil'),
(162617, '216.53.192.0', '216.55.95.255', 3627401216, 3627507711, 'US', 'United States'),
(162618, '216.55.96.0', '216.55.111.255', 3627507712, 3627511807, 'CA', 'Canada'),
(162619, '216.55.112.0', '216.55.142.128', 3627511808, 3627519616, 'US', 'United States'),
(162620, '216.55.142.129', '216.55.142.138', 3627519617, 3627519626, 'CA', 'Canada'),
(162621, '216.55.142.139', '216.55.163.115', 3627519627, 3627524979, 'US', 'United States'),
(162622, '216.55.163.116', '216.55.163.123', 3627524980, 3627524987, 'IR', 'Iran, Islamic Republic of'),
(162623, '216.55.163.124', '216.55.191.255', 3627524988, 3627532287, 'US', 'United States'),
(162624, '216.55.192.0', '216.55.239.255', 3627532288, 3627544575, 'CA', 'Canada'),
(162625, '216.55.240.0', '216.57.175.255', 3627544576, 3627659263, 'US', 'United States'),
(162626, '216.57.176.0', '216.57.186.127', 3627659264, 3627661951, 'CA', 'Canada'),
(162627, '216.57.186.128', '216.57.186.191', 3627661952, 3627662015, 'US', 'United States'),
(162628, '216.57.186.192', '216.57.191.255', 3627662016, 3627663359, 'CA', 'Canada'),
(162629, '216.57.192.0', '216.57.199.255', 3627663360, 3627665407, 'US', 'United States'),
(162630, '216.57.200.0', '216.57.200.31', 3627665408, 3627665439, 'CA', 'Canada'),
(162631, '216.57.200.32', '216.57.203.63', 3627665440, 3627666239, 'US', 'United States'),
(162632, '216.57.203.64', '216.57.203.95', 3627666240, 3627666271, 'CA', 'Canada'),
(162633, '216.57.203.96', '216.57.205.31', 3627666272, 3627666719, 'US', 'United States'),
(162634, '216.57.205.32', '216.57.205.63', 3627666720, 3627666751, 'CA', 'Canada'),
(162635, '216.57.205.64', '216.57.208.63', 3627666752, 3627667519, 'US', 'United States'),
(162636, '216.57.208.64', '216.57.208.127', 3627667520, 3627667583, 'CA', 'Canada'),
(162637, '216.57.208.128', '216.57.217.71', 3627667584, 3627669831, 'US', 'United States'),
(162638, '216.57.217.72', '216.57.217.79', 3627669832, 3627669839, 'CA', 'Canada'),
(162639, '216.57.217.80', '216.57.255.255', 3627669840, 3627679743, 'US', 'United States'),
(162640, '216.58.0.0', '216.58.127.255', 3627679744, 3627712511, 'CA', 'Canada'),
(162641, '216.58.128.0', '216.59.0.63', 3627712512, 3627745343, 'US', 'United States'),
(162642, '216.59.0.64', '216.59.0.95', 3627745344, 3627745375, 'BE', 'Belgium'),
(162643, '216.59.0.96', '216.59.0.159', 3627745376, 3627745439, 'US', 'United States'),
(162644, '216.59.0.160', '216.59.0.191', 3627745440, 3627745471, 'IN', 'India'),
(162645, '216.59.0.192', '216.59.0.223', 3627745472, 3627745503, 'CA', 'Canada'),
(162646, '216.59.0.224', '216.59.4.95', 3627745504, 3627746399, 'US', 'United States'),
(162647, '216.59.4.96', '216.59.4.127', 3627746400, 3627746431, 'CA', 'Canada'),
(162648, '216.59.4.128', '216.59.7.87', 3627746432, 3627747159, 'US', 'United States'),
(162649, '216.59.7.88', '216.59.7.95', 3627747160, 3627747167, 'IN', 'India'),
(162650, '216.59.7.96', '216.59.26.255', 3627747168, 3627752191, 'US', 'United States'),
(162651, '216.59.27.0', '216.59.27.127', 3627752192, 3627752319, 'A1', 'Anonymous Proxy'),
(162652, '216.59.27.128', '216.59.31.255', 3627752320, 3627753471, 'US', 'United States'),
(162653, '216.59.32.0', '216.59.32.255', 3627753472, 3627753727, 'AR', 'Argentina'),
(162654, '216.59.33.0', '216.59.37.255', 3627753728, 3627755007, 'US', 'United States'),
(162655, '216.59.38.0', '216.59.38.127', 3627755008, 3627755135, 'IE', 'Ireland'),
(162656, '216.59.38.128', '216.59.38.255', 3627755136, 3627755263, 'US', 'United States'),
(162657, '216.59.39.0', '216.59.39.127', 3627755264, 3627755391, 'IE', 'Ireland'),
(162658, '216.59.39.128', '216.59.52.255', 3627755392, 3627758847, 'US', 'United States'),
(162659, '216.59.53.0', '216.59.53.15', 3627758848, 3627758863, 'GB', 'United Kingdom'),
(162660, '216.59.53.16', '216.59.53.223', 3627758864, 3627759071, 'US', 'United States'),
(162661, '216.59.53.224', '216.59.53.255', 3627759072, 3627759103, 'GB', 'United Kingdom'),
(162662, '216.59.54.0', '216.59.54.255', 3627759104, 3627759359, 'US', 'United States'),
(162663, '216.59.55.0', '216.59.55.255', 3627759360, 3627759615, 'NL', 'Netherlands'),
(162664, '216.59.56.0', '216.59.56.255', 3627759616, 3627759871, 'US', 'United States'),
(162665, '216.59.57.0', '216.59.57.255', 3627759872, 3627760127, 'NL', 'Netherlands'),
(162666, '216.59.58.0', '216.59.223.255', 3627760128, 3627802623, 'US', 'United States'),
(162667, '216.59.224.0', '216.59.255.255', 3627802624, 3627810815, 'CA', 'Canada'),
(162668, '216.60.0.0', '216.60.121.255', 3627810816, 3627842047, 'US', 'United States'),
(162669, '216.60.122.0', '216.60.122.255', 3627842048, 3627842303, 'IS', 'Iceland'),
(162670, '216.60.123.0', '216.64.197.223', 3627842304, 3628123615, 'US', 'United States'),
(162671, '216.64.197.224', '216.64.197.255', 3628123616, 3628123647, 'CA', 'Canada'),
(162672, '216.64.198.0', '216.64.198.63', 3628123648, 3628123711, 'BM', 'Bermuda'),
(162673, '216.64.198.64', '216.64.198.255', 3628123712, 3628123903, 'US', 'United States'),
(162674, '216.64.199.0', '216.64.199.31', 3628123904, 3628123935, 'GB', 'United Kingdom'),
(162675, '216.64.199.32', '216.64.217.191', 3628123936, 3628128703, 'US', 'United States'),
(162676, '216.64.217.192', '216.64.217.207', 3628128704, 3628128719, 'CA', 'Canada'),
(162677, '216.64.217.208', '216.64.219.63', 3628128720, 3628129087, 'US', 'United States'),
(162678, '216.64.219.64', '216.64.219.79', 3628129088, 3628129103, 'CA', 'Canada'),
(162679, '216.64.219.80', '216.65.3.47', 3628129104, 3628139311, 'US', 'United States'),
(162680, '216.65.3.48', '216.65.3.63', 3628139312, 3628139327, 'SG', 'Singapore'),
(162681, '216.65.3.64', '216.65.3.79', 3628139328, 3628139343, 'GB', 'United Kingdom'),
(162682, '216.65.3.80', '216.65.3.223', 3628139344, 3628139487, 'US', 'United States'),
(162683, '216.65.3.224', '216.65.3.239', 3628139488, 3628139503, 'NZ', 'New Zealand'),
(162684, '216.65.3.240', '216.65.3.255', 3628139504, 3628139519, 'US', 'United States'),
(162685, '216.65.4.0', '216.65.4.15', 3628139520, 3628139535, 'RU', 'Russian Federation'),
(162686, '216.65.4.16', '216.65.4.175', 3628139536, 3628139695, 'US', 'United States'),
(162687, '216.65.4.176', '216.65.4.191', 3628139696, 3628139711, 'VI', 'Virgin Islands, U.S.'),
(162688, '216.65.4.192', '216.65.5.191', 3628139712, 3628139967, 'US', 'United States'),
(162689, '216.65.5.192', '216.65.5.223', 3628139968, 3628139999, 'AU', 'Australia'),
(162690, '216.65.5.224', '216.65.7.63', 3628140000, 3628140351, 'US', 'United States'),
(162691, '216.65.7.64', '216.65.7.127', 3628140352, 3628140415, 'RU', 'Russian Federation'),
(162692, '216.65.7.128', '216.65.28.255', 3628140416, 3628145919, 'US', 'United States'),
(162693, '216.65.29.0', '216.65.29.255', 3628145920, 3628146175, 'AU', 'Australia'),
(162694, '216.65.30.0', '216.65.31.95', 3628146176, 3628146527, 'US', 'United States'),
(162695, '216.65.31.96', '216.65.31.127', 3628146528, 3628146559, 'GB', 'United Kingdom'),
(162696, '216.65.31.128', '216.65.38.223', 3628146560, 3628148447, 'US', 'United States'),
(162697, '216.65.38.224', '216.65.38.255', 3628148448, 3628148479, 'SK', 'Slovakia'),
(162698, '216.65.39.0', '216.65.40.79', 3628148480, 3628148815, 'US', 'United States'),
(162699, '216.65.40.80', '216.65.40.95', 3628148816, 3628148831, 'NL', 'Netherlands'),
(162700, '216.65.40.96', '216.65.40.111', 3628148832, 3628148847, 'IT', 'Italy'),
(162701, '216.65.40.112', '216.65.40.135', 3628148848, 3628148871, 'US', 'United States'),
(162702, '216.65.40.136', '216.65.40.143', 3628148872, 3628148879, 'CA', 'Canada'),
(162703, '216.65.40.144', '216.65.50.127', 3628148880, 3628151423, 'US', 'United States'),
(162704, '216.65.50.128', '216.65.50.255', 3628151424, 3628151551, 'DE', 'Germany'),
(162705, '216.65.51.0', '216.65.52.63', 3628151552, 3628151871, 'US', 'United States'),
(162706, '216.65.52.64', '216.65.52.127', 3628151872, 3628151935, 'DO', 'Dominican Republic'),
(162707, '216.65.52.128', '216.65.52.255', 3628151936, 3628152063, 'ID', 'Indonesia'),
(162708, '216.65.53.0', '216.65.56.255', 3628152064, 3628153087, 'US', 'United States'),
(162709, '216.65.57.0', '216.65.57.255', 3628153088, 3628153343, 'KW', 'Kuwait'),
(162710, '216.65.58.0', '216.65.61.127', 3628153344, 3628154239, 'US', 'United States'),
(162711, '216.65.61.128', '216.65.61.191', 3628154240, 3628154303, 'PH', 'Philippines'),
(162712, '216.65.61.192', '216.65.62.95', 3628154304, 3628154463, 'US', 'United States'),
(162713, '216.65.62.96', '216.65.62.127', 3628154464, 3628154495, 'GB', 'United Kingdom'),
(162714, '216.65.62.128', '216.65.64.143', 3628154496, 3628155023, 'US', 'United States'),
(162715, '216.65.64.144', '216.65.64.159', 3628155024, 3628155039, 'ID', 'Indonesia'),
(162716, '216.65.64.160', '216.65.64.223', 3628155040, 3628155103, 'US', 'United States'),
(162717, '216.65.64.224', '216.65.64.239', 3628155104, 3628155119, 'NZ', 'New Zealand'),
(162718, '216.65.64.240', '216.65.66.255', 3628155120, 3628155647, 'US', 'United States'),
(162719, '216.65.67.0', '216.65.67.255', 3628155648, 3628155903, 'CA', 'Canada'),
(162720, '216.65.68.0', '216.65.87.255', 3628155904, 3628161023, 'US', 'United States'),
(162721, '216.65.88.0', '216.65.88.255', 3628161024, 3628161279, 'CA', 'Canada'),
(162722, '216.65.89.0', '216.65.103.63', 3628161280, 3628164927, 'US', 'United States'),
(162723, '216.65.103.64', '216.65.103.79', 3628164928, 3628164943, 'IE', 'Ireland'),
(162724, '216.65.103.80', '216.65.103.95', 3628164944, 3628164959, 'ES', 'Spain'),
(162725, '216.65.103.96', '216.65.103.255', 3628164960, 3628165119, 'US', 'United States'),
(162726, '216.65.104.0', '216.65.104.63', 3628165120, 3628165183, 'CA', 'Canada'),
(162727, '216.65.104.64', '216.65.104.191', 3628165184, 3628165311, 'US', 'United States'),
(162728, '216.65.104.192', '216.65.104.255', 3628165312, 3628165375, 'DO', 'Dominican Republic'),
(162729, '216.65.105.0', '216.65.106.15', 3628165376, 3628165647, 'US', 'United States'),
(162730, '216.65.106.16', '216.65.106.31', 3628165648, 3628165663, 'VI', 'Virgin Islands, U.S.'),
(162731, '216.65.106.32', '216.65.106.127', 3628165664, 3628165759, 'US', 'United States'),
(162732, '216.65.106.128', '216.65.106.143', 3628165760, 3628165775, 'A1', 'Anonymous Proxy'),
(162733, '216.65.106.144', '216.65.120.255', 3628165776, 3628169471, 'US', 'United States'),
(162734, '216.65.121.0', '216.65.121.127', 3628169472, 3628169599, 'IT', 'Italy'),
(162735, '216.65.121.128', '216.65.159.255', 3628169600, 3628179455, 'US', 'United States'),
(162736, '216.65.160.0', '216.65.191.255', 3628179456, 3628187647, 'CA', 'Canada'),
(162737, '216.65.192.0', '216.66.43.151', 3628187648, 3628215191, 'US', 'United States'),
(162738, '216.66.43.152', '216.66.43.159', 3628215192, 3628215199, 'ES', 'Spain'),
(162739, '216.66.43.160', '216.66.77.239', 3628215200, 3628223983, 'US', 'United States'),
(162740, '216.66.77.240', '216.66.77.255', 3628223984, 3628223999, 'CA', 'Canada'),
(162741, '216.66.78.0', '216.66.80.223', 3628224000, 3628224735, 'US', 'United States'),
(162742, '216.66.80.224', '216.66.80.231', 3628224736, 3628224743, 'IT', 'Italy'),
(162743, '216.66.80.232', '216.66.127.255', 3628224744, 3628236799, 'US', 'United States'),
(162744, '216.66.128.0', '216.66.207.255', 3628236800, 3628257279, 'CA', 'Canada'),
(162745, '216.66.208.0', '216.67.230.111', 3628257280, 3628328559, 'US', 'United States'),
(162746, '216.67.230.112', '216.67.230.119', 3628328560, 3628328567, 'MY', 'Malaysia'),
(162747, '216.67.230.120', '216.72.3.255', 3628328568, 3628598271, 'US', 'United States'),
(162748, '216.72.4.0', '216.72.7.255', 3628598272, 3628599295, 'CO', 'Colombia'),
(162749, '216.72.8.0', '216.72.23.255', 3628599296, 3628603391, 'CL', 'Chile'),
(162750, '216.72.24.0', '216.72.27.255', 3628603392, 3628604415, 'US', 'United States'),
(162751, '216.72.28.0', '216.72.31.255', 3628604416, 3628605439, 'GT', 'Guatemala'),
(162752, '216.72.32.0', '216.72.43.255', 3628605440, 3628608511, 'IL', 'Israel'),
(162753, '216.72.44.0', '216.72.45.255', 3628608512, 3628609023, 'VE', 'Venezuela'),
(162754, '216.72.46.0', '216.72.46.127', 3628609024, 3628609151, 'US', 'United States'),
(162755, '216.72.46.128', '216.72.46.191', 3628609152, 3628609215, 'VE', 'Venezuela'),
(162756, '216.72.46.192', '216.72.62.255', 3628609216, 3628613375, 'US', 'United States'),
(162757, '216.72.63.0', '216.72.63.255', 3628613376, 3628613631, 'HN', 'Honduras'),
(162758, '216.72.64.0', '216.72.66.255', 3628613632, 3628614399, 'ID', 'Indonesia'),
(162759, '216.72.67.0', '216.72.68.255', 3628614400, 3628614911, 'CO', 'Colombia'),
(162760, '216.72.69.0', '216.72.69.255', 3628614912, 3628615167, 'US', 'United States'),
(162761, '216.72.70.0', '216.72.71.255', 3628615168, 3628615679, 'IL', 'Israel'),
(162762, '216.72.72.0', '216.72.73.255', 3628615680, 3628616191, 'US', 'United States'),
(162763, '216.72.74.0', '216.72.77.255', 3628616192, 3628617215, 'PR', 'Puerto Rico'),
(162764, '216.72.78.0', '216.72.78.255', 3628617216, 3628617471, 'HN', 'Honduras'),
(162765, '216.72.79.0', '216.72.79.255', 3628617472, 3628617727, 'US', 'United States'),
(162766, '216.72.80.0', '216.72.81.255', 3628617728, 3628618239, 'CO', 'Colombia'),
(162767, '216.72.82.0', '216.72.87.255', 3628618240, 3628619775, 'HN', 'Honduras'),
(162768, '216.72.88.0', '216.72.99.255', 3628619776, 3628622847, 'US', 'United States'),
(162769, '216.72.100.0', '216.72.103.255', 3628622848, 3628623871, 'PR', 'Puerto Rico'),
(162770, '216.72.104.0', '216.72.111.255', 3628623872, 3628625919, 'NG', 'Nigeria'),
(162771, '216.72.112.0', '216.72.112.255', 3628625920, 3628626175, 'PA', 'Panama'),
(162772, '216.72.113.0', '216.72.115.255', 3628626176, 3628626943, 'HN', 'Honduras'),
(162773, '216.72.116.0', '216.72.116.255', 3628626944, 3628627199, 'CO', 'Colombia'),
(162774, '216.72.117.0', '216.72.117.255', 3628627200, 3628627455, 'IL', 'Israel'),
(162775, '216.72.118.0', '216.72.118.255', 3628627456, 3628627711, 'HN', 'Honduras'),
(162776, '216.72.119.0', '216.72.123.255', 3628627712, 3628628991, 'SV', 'El Salvador'),
(162777, '216.72.124.0', '216.72.124.255', 3628628992, 3628629247, 'GT', 'Guatemala'),
(162778, '216.72.125.0', '216.72.125.255', 3628629248, 3628629503, 'US', 'United States'),
(162779, '216.72.126.0', '216.72.134.255', 3628629504, 3628631807, 'VE', 'Venezuela'),
(162780, '216.72.135.0', '216.72.142.255', 3628631808, 3628633855, 'US', 'United States'),
(162781, '216.72.143.0', '216.72.143.255', 3628633856, 3628634111, 'CO', 'Colombia'),
(162782, '216.72.144.0', '216.72.151.255', 3628634112, 3628636159, 'AR', 'Argentina'),
(162783, '216.72.152.0', '216.72.153.255', 3628636160, 3628636671, 'VE', 'Venezuela'),
(162784, '216.72.154.0', '216.72.154.255', 3628636672, 3628636927, 'US', 'United States'),
(162785, '216.72.155.0', '216.72.155.255', 3628636928, 3628637183, 'VE', 'Venezuela'),
(162786, '216.72.156.0', '216.72.157.255', 3628637184, 3628637695, 'CO', 'Colombia'),
(162787, '216.72.158.0', '216.72.159.255', 3628637696, 3628638207, 'US', 'United States'),
(162788, '216.72.160.0', '216.72.191.255', 3628638208, 3628646399, 'CL', 'Chile'),
(162789, '216.72.192.0', '216.72.193.255', 3628646400, 3628646911, 'US', 'United States'),
(162790, '216.72.194.0', '216.72.195.255', 3628646912, 3628647423, 'HN', 'Honduras'),
(162791, '216.72.196.0', '216.72.196.255', 3628647424, 3628647679, 'SZ', 'Swaziland'),
(162792, '216.72.197.0', '216.72.201.255', 3628647680, 3628648959, 'CO', 'Colombia'),
(162793, '216.72.202.0', '216.72.202.255', 3628648960, 3628649215, 'US', 'United States'),
(162794, '216.72.203.0', '216.72.204.255', 3628649216, 3628649727, 'CO', 'Colombia'),
(162795, '216.72.205.0', '216.72.221.255', 3628649728, 3628654079, 'US', 'United States'),
(162796, '216.72.222.0', '216.72.223.255', 3628654080, 3628654591, 'PA', 'Panama'),
(162797, '216.72.224.0', '216.72.224.255', 3628654592, 3628654847, 'US', 'United States'),
(162798, '216.72.225.0', '216.72.225.255', 3628654848, 3628655103, 'CR', 'Costa Rica'),
(162799, '216.72.226.0', '216.72.226.255', 3628655104, 3628655359, 'VE', 'Venezuela'),
(162800, '216.72.227.0', '216.72.230.255', 3628655360, 3628656383, 'CO', 'Colombia'),
(162801, '216.72.231.0', '216.72.231.255', 3628656384, 3628656639, 'EC', 'Ecuador'),
(162802, '216.72.232.0', '216.72.234.255', 3628656640, 3628657407, 'CO', 'Colombia'),
(162803, '216.72.235.0', '216.72.235.255', 3628657408, 3628657663, 'US', 'United States'),
(162804, '216.72.236.0', '216.72.236.255', 3628657664, 3628657919, 'VE', 'Venezuela'),
(162805, '216.72.237.0', '216.72.237.255', 3628657920, 3628658175, 'BS', 'Bahamas'),
(162806, '216.72.238.0', '216.73.63.255', 3628658176, 3628679167, 'US', 'United States'),
(162807, '216.73.64.0', '216.73.79.255', 3628679168, 3628683263, 'CA', 'Canada'),
(162808, '216.73.80.0', '216.74.132.223', 3628683264, 3628762335, 'US', 'United States'),
(162809, '216.74.132.224', '216.74.132.255', 3628762336, 3628762367, 'IL', 'Israel'),
(162810, '216.74.133.0', '216.74.133.151', 3628762368, 3628762519, 'US', 'United States'),
(162811, '216.74.133.152', '216.74.133.159', 3628762520, 3628762527, 'CY', 'Cyprus'),
(162812, '216.74.133.160', '216.74.147.191', 3628762528, 3628766143, 'US', 'United States'),
(162813, '216.74.147.192', '216.74.147.199', 3628766144, 3628766151, 'GB', 'United Kingdom'),
(162814, '216.74.147.200', '216.74.151.63', 3628766152, 3628767039, 'US', 'United States'),
(162815, '216.74.151.64', '216.74.151.79', 3628767040, 3628767055, 'IE', 'Ireland'),
(162816, '216.74.151.80', '216.74.151.159', 3628767056, 3628767135, 'US', 'United States'),
(162817, '216.74.151.160', '216.74.151.191', 3628767136, 3628767167, 'GB', 'United Kingdom'),
(162818, '216.74.151.192', '216.74.153.207', 3628767168, 3628767695, 'US', 'United States'),
(162819, '216.74.153.208', '216.74.153.215', 3628767696, 3628767703, 'NO', 'Norway'),
(162820, '216.74.153.216', '216.74.155.223', 3628767704, 3628768223, 'US', 'United States'),
(162821, '216.74.155.224', '216.74.155.239', 3628768224, 3628768239, 'NO', 'Norway'),
(162822, '216.74.155.240', '216.74.159.63', 3628768240, 3628769087, 'US', 'United States'),
(162823, '216.74.159.64', '216.74.159.95', 3628769088, 3628769119, 'AU', 'Australia'),
(162824, '216.74.159.96', '216.74.163.159', 3628769120, 3628770207, 'US', 'United States'),
(162825, '216.74.163.160', '216.74.163.167', 3628770208, 3628770215, 'NO', 'Norway'),
(162826, '216.74.163.168', '216.74.164.63', 3628770216, 3628770367, 'US', 'United States'),
(162827, '216.74.164.64', '216.74.164.79', 3628770368, 3628770383, 'CY', 'Cyprus'),
(162828, '216.74.164.80', '216.74.168.127', 3628770384, 3628771455, 'US', 'United States'),
(162829, '216.74.168.128', '216.74.169.63', 3628771456, 3628771647, 'GB', 'United Kingdom'),
(162830, '216.74.169.64', '216.74.169.255', 3628771648, 3628771839, 'US', 'United States'),
(162831, '216.74.170.0', '216.74.170.255', 3628771840, 3628772095, 'NO', 'Norway'),
(162832, '216.74.171.0', '216.74.172.79', 3628772096, 3628772431, 'US', 'United States'),
(162833, '216.74.172.80', '216.74.172.95', 3628772432, 3628772447, 'GB', 'United Kingdom'),
(162834, '216.74.172.96', '216.75.159.255', 3628772448, 3628834815, 'US', 'United States'),
(162835, '216.75.160.0', '216.75.191.255', 3628834816, 3628843007, 'CA', 'Canada'),
(162836, '216.75.192.0', '216.75.213.255', 3628843008, 3628848639, 'US', 'United States'),
(162837, '216.75.214.0', '216.75.214.255', 3628848640, 3628848895, 'EU', 'Europe'),
(162838, '216.75.215.0', '216.77.148.191', 3628848896, 3628963007, 'US', 'United States'),
(162839, '216.77.148.192', '216.77.148.223', 3628963008, 3628963039, 'PA', 'Panama'),
(162840, '216.77.148.224', '216.80.255.255', 3628963040, 3629187071, 'US', 'United States'),
(162841, '216.81.0.0', '216.81.31.255', 3629187072, 3629195263, 'CA', 'Canada'),
(162842, '216.81.32.0', '216.81.47.255', 3629195264, 3629199359, 'US', 'United States'),
(162843, '216.81.48.0', '216.81.56.55', 3629199360, 3629201463, 'CA', 'Canada'),
(162844, '216.81.56.56', '216.81.56.59', 3629201464, 3629201467, 'US', 'United States'),
(162845, '216.81.56.60', '216.81.56.79', 3629201468, 3629201487, 'CA', 'Canada'),
(162846, '216.81.56.80', '216.81.56.107', 3629201488, 3629201515, 'US', 'United States'),
(162847, '216.81.56.108', '216.81.56.131', 3629201516, 3629201539, 'CA', 'Canada'),
(162848, '216.81.56.132', '216.81.56.135', 3629201540, 3629201543, 'US', 'United States'),
(162849, '216.81.56.136', '216.81.56.143', 3629201544, 3629201551, 'CA', 'Canada'),
(162850, '216.81.56.144', '216.81.56.151', 3629201552, 3629201559, 'US', 'United States'),
(162851, '216.81.56.152', '216.81.56.155', 3629201560, 3629201563, 'CA', 'Canada'),
(162852, '216.81.56.156', '216.81.56.191', 3629201564, 3629201599, 'US', 'United States'),
(162853, '216.81.56.192', '216.81.56.207', 3629201600, 3629201615, 'CA', 'Canada'),
(162854, '216.81.56.208', '216.81.56.215', 3629201616, 3629201623, 'US', 'United States'),
(162855, '216.81.56.216', '216.81.56.219', 3629201624, 3629201627, 'CA', 'Canada'),
(162856, '216.81.56.220', '216.81.57.79', 3629201628, 3629201743, 'US', 'United States'),
(162857, '216.81.57.80', '216.81.57.83', 3629201744, 3629201747, 'CA', 'Canada'),
(162858, '216.81.57.84', '216.81.57.87', 3629201748, 3629201751, 'US', 'United States'),
(162859, '216.81.57.88', '216.81.57.91', 3629201752, 3629201755, 'CA', 'Canada'),
(162860, '216.81.57.92', '216.81.57.111', 3629201756, 3629201775, 'US', 'United States'),
(162861, '216.81.57.112', '216.81.57.127', 3629201776, 3629201791, 'CA', 'Canada'),
(162862, '216.81.57.128', '216.81.57.223', 3629201792, 3629201887, 'US', 'United States'),
(162863, '216.81.57.224', '216.81.57.239', 3629201888, 3629201903, 'CA', 'Canada'),
(162864, '216.81.57.240', '216.81.59.255', 3629201904, 3629202431, 'US', 'United States'),
(162865, '216.81.60.0', '216.81.62.255', 3629202432, 3629203199, 'CA', 'Canada'),
(162866, '216.81.63.0', '216.82.255.255', 3629203200, 3629318143, 'US', 'United States'),
(162867, '216.83.0.0', '216.83.31.255', 3629318144, 3629326335, 'CA', 'Canada'),
(162868, '216.83.32.0', '216.86.77.193', 3629326336, 3629534657, 'US', 'United States'),
(162869, '216.86.77.194', '216.86.77.194', 3629534658, 3629534658, 'A1', 'Anonymous Proxy'),
(162870, '216.86.77.195', '216.86.95.255', 3629534659, 3629539327, 'US', 'United States'),
(162871, '216.86.96.0', '216.86.127.255', 3629539328, 3629547519, 'CA', 'Canada'),
(162872, '216.86.128.0', '216.88.63.255', 3629547520, 3629662207, 'US', 'United States'),
(162873, '216.88.64.0', '216.88.64.255', 3629662208, 3629662463, 'GB', 'United Kingdom'),
(162874, '216.88.65.0', '216.89.96.7', 3629662464, 3629735943, 'US', 'United States'),
(162875, '216.89.96.8', '216.89.96.15', 3629735944, 3629735951, 'CA', 'Canada'),
(162876, '216.89.96.16', '216.89.96.183', 3629735952, 3629736119, 'US', 'United States'),
(162877, '216.89.96.184', '216.89.96.191', 3629736120, 3629736127, 'CA', 'Canada'),
(162878, '216.89.96.192', '216.89.100.255', 3629736128, 3629737215, 'US', 'United States'),
(162879, '216.89.101.0', '216.89.101.255', 3629737216, 3629737471, 'CA', 'Canada'),
(162880, '216.89.102.0', '216.89.196.15', 3629737472, 3629761551, 'US', 'United States'),
(162881, '216.89.196.16', '216.89.196.31', 3629761552, 3629761567, 'CA', 'Canada'),
(162882, '216.89.196.32', '216.89.196.111', 3629761568, 3629761647, 'US', 'United States'),
(162883, '216.89.196.112', '216.89.196.127', 3629761648, 3629761663, 'CA', 'Canada'),
(162884, '216.89.196.128', '216.89.220.255', 3629761664, 3629767935, 'US', 'United States'),
(162885, '216.89.221.0', '216.89.221.255', 3629767936, 3629768191, 'CA', 'Canada'),
(162886, '216.89.222.0', '216.90.33.31', 3629768192, 3629785375, 'US', 'United States'),
(162887, '216.90.33.32', '216.90.33.63', 3629785376, 3629785407, 'CA', 'Canada'),
(162888, '216.90.33.64', '216.90.48.255', 3629785408, 3629789439, 'US', 'United States'),
(162889, '216.90.49.0', '216.90.49.255', 3629789440, 3629789695, 'CA', 'Canada'),
(162890, '216.90.50.0', '216.90.50.255', 3629789696, 3629789951, 'US', 'United States'),
(162891, '216.90.51.0', '216.90.51.255', 3629789952, 3629790207, 'CA', 'Canada'),
(162892, '216.90.52.0', '216.90.121.223', 3629790208, 3629808095, 'US', 'United States'),
(162893, '216.90.121.224', '216.90.121.255', 3629808096, 3629808127, 'CA', 'Canada'),
(162894, '216.90.122.0', '216.90.240.215', 3629808128, 3629838551, 'US', 'United States'),
(162895, '216.90.240.216', '216.90.240.223', 3629838552, 3629838559, 'CA', 'Canada'),
(162896, '216.90.240.224', '216.90.240.247', 3629838560, 3629838583, 'US', 'United States'),
(162897, '216.90.240.248', '216.90.240.255', 3629838584, 3629838591, 'CA', 'Canada'),
(162898, '216.90.241.0', '216.90.242.255', 3629838592, 3629839103, 'US', 'United States'),
(162899, '216.90.243.0', '216.90.243.255', 3629839104, 3629839359, 'CA', 'Canada'),
(162900, '216.90.244.0', '216.90.254.31', 3629839360, 3629841951, 'US', 'United States'),
(162901, '216.90.254.32', '216.90.254.63', 3629841952, 3629841983, 'CA', 'Canada'),
(162902, '216.90.254.64', '216.91.66.223', 3629841984, 3629859551, 'US', 'United States'),
(162903, '216.91.66.224', '216.91.66.255', 3629859552, 3629859583, 'CA', 'Canada'),
(162904, '216.91.67.0', '216.91.130.63', 3629859584, 3629875775, 'US', 'United States'),
(162905, '216.91.130.64', '216.91.130.95', 3629875776, 3629875807, 'CA', 'Canada'),
(162906, '216.91.130.96', '216.91.132.31', 3629875808, 3629876255, 'US', 'United States'),
(162907, '216.91.132.32', '216.91.132.39', 3629876256, 3629876263, 'CA', 'Canada'),
(162908, '216.91.132.40', '216.91.132.55', 3629876264, 3629876279, 'US', 'United States'),
(162909, '216.91.132.56', '216.91.132.63', 3629876280, 3629876287, 'CA', 'Canada'),
(162910, '216.91.132.64', '216.93.191.239', 3629876288, 3630022639, 'US', 'United States'),
(162911, '216.93.191.240', '216.93.191.243', 3630022640, 3630022643, 'A1', 'Anonymous Proxy'),
(162912, '216.93.191.244', '216.93.241.31', 3630022644, 3630035231, 'US', 'United States'),
(162913, '216.93.241.32', '216.93.241.47', 3630035232, 3630035247, 'GB', 'United Kingdom'),
(162914, '216.93.241.48', '216.93.242.239', 3630035248, 3630035695, 'US', 'United States'),
(162915, '216.93.242.240', '216.93.242.255', 3630035696, 3630035711, 'GB', 'United Kingdom'),
(162916, '216.93.243.0', '216.93.244.127', 3630035712, 3630036095, 'US', 'United States'),
(162917, '216.93.244.128', '216.93.244.143', 3630036096, 3630036111, 'GB', 'United Kingdom'),
(162918, '216.93.244.144', '216.93.249.31', 3630036112, 3630037279, 'US', 'United States'),
(162919, '216.93.249.32', '216.93.249.47', 3630037280, 3630037295, 'GB', 'United Kingdom'),
(162920, '216.93.249.48', '216.93.251.31', 3630037296, 3630037791, 'US', 'United States'),
(162921, '216.93.251.32', '216.93.251.63', 3630037792, 3630037823, 'GB', 'United Kingdom'),
(162922, '216.93.251.64', '216.93.253.63', 3630037824, 3630038335, 'US', 'United States'),
(162923, '216.93.253.64', '216.93.253.79', 3630038336, 3630038351, 'GB', 'United Kingdom'),
(162924, '216.93.253.80', '216.93.253.95', 3630038352, 3630038367, 'US', 'United States'),
(162925, '216.93.253.96', '216.93.253.127', 3630038368, 3630038399, 'GB', 'United Kingdom'),
(162926, '216.93.253.128', '216.93.255.255', 3630038400, 3630039039, 'US', 'United States'),
(162927, '216.94.0.0', '216.94.1.63', 3630039040, 3630039359, 'CA', 'Canada'),
(162928, '216.94.1.64', '216.94.1.95', 3630039360, 3630039391, 'US', 'United States'),
(162929, '216.94.1.96', '216.94.1.159', 3630039392, 3630039455, 'CA', 'Canada'),
(162930, '216.94.1.160', '216.94.1.191', 3630039456, 3630039487, 'US', 'United States'),
(162931, '216.94.1.192', '216.94.1.255', 3630039488, 3630039551, 'CA', 'Canada'),
(162932, '216.94.2.0', '216.94.2.31', 3630039552, 3630039583, 'US', 'United States'),
(162933, '216.94.2.32', '216.94.2.47', 3630039584, 3630039599, 'CA', 'Canada'),
(162934, '216.94.2.48', '216.94.2.63', 3630039600, 3630039615, 'US', 'United States'),
(162935, '216.94.2.64', '216.94.2.255', 3630039616, 3630039807, 'CA', 'Canada'),
(162936, '216.94.3.0', '216.94.3.7', 3630039808, 3630039815, 'US', 'United States'),
(162937, '216.94.3.8', '216.94.3.15', 3630039816, 3630039823, 'CA', 'Canada'),
(162938, '216.94.3.16', '216.94.3.23', 3630039824, 3630039831, 'US', 'United States'),
(162939, '216.94.3.24', '216.94.3.31', 3630039832, 3630039839, 'CA', 'Canada'),
(162940, '216.94.3.32', '216.94.3.255', 3630039840, 3630040063, 'US', 'United States'),
(162941, '216.94.4.0', '216.94.5.15', 3630040064, 3630040335, 'CA', 'Canada'),
(162942, '216.94.5.16', '216.94.5.31', 3630040336, 3630040351, 'US', 'United States'),
(162943, '216.94.5.32', '216.94.5.63', 3630040352, 3630040383, 'CA', 'Canada'),
(162944, '216.94.5.64', '216.94.5.79', 3630040384, 3630040399, 'US', 'United States'),
(162945, '216.94.5.80', '216.94.5.127', 3630040400, 3630040447, 'CA', 'Canada'),
(162946, '216.94.5.128', '216.94.5.143', 3630040448, 3630040463, 'US', 'United States'),
(162947, '216.94.5.144', '216.94.5.159', 3630040464, 3630040479, 'CA', 'Canada'),
(162948, '216.94.5.160', '216.94.5.175', 3630040480, 3630040495, 'US', 'United States'),
(162949, '216.94.5.176', '216.94.5.207', 3630040496, 3630040527, 'CA', 'Canada'),
(162950, '216.94.5.208', '216.94.5.223', 3630040528, 3630040543, 'US', 'United States'),
(162951, '216.94.5.224', '216.94.6.255', 3630040544, 3630040831, 'CA', 'Canada'),
(162952, '216.94.7.0', '216.94.7.63', 3630040832, 3630040895, 'US', 'United States'),
(162953, '216.94.7.64', '216.94.7.191', 3630040896, 3630041023, 'CA', 'Canada'),
(162954, '216.94.7.192', '216.94.7.255', 3630041024, 3630041087, 'US', 'United States'),
(162955, '216.94.8.0', '216.94.8.127', 3630041088, 3630041215, 'CA', 'Canada'),
(162956, '216.94.8.128', '216.94.8.191', 3630041216, 3630041279, 'US', 'United States'),
(162957, '216.94.8.192', '216.94.11.39', 3630041280, 3630041895, 'CA', 'Canada'),
(162958, '216.94.11.40', '216.94.11.55', 3630041896, 3630041911, 'US', 'United States'),
(162959, '216.94.11.56', '216.94.11.71', 3630041912, 3630041927, 'CA', 'Canada'),
(162960, '216.94.11.72', '216.94.11.79', 3630041928, 3630041935, 'US', 'United States'),
(162961, '216.94.11.80', '216.94.11.159', 3630041936, 3630042015, 'CA', 'Canada'),
(162962, '216.94.11.160', '216.94.11.167', 3630042016, 3630042023, 'US', 'United States'),
(162963, '216.94.11.168', '216.94.13.31', 3630042024, 3630042399, 'CA', 'Canada'),
(162964, '216.94.13.32', '216.94.13.39', 3630042400, 3630042407, 'US', 'United States'),
(162965, '216.94.13.40', '216.94.13.63', 3630042408, 3630042431, 'CA', 'Canada'),
(162966, '216.94.13.64', '216.94.13.71', 3630042432, 3630042439, 'US', 'United States'),
(162967, '216.94.13.72', '216.94.14.31', 3630042440, 3630042655, 'CA', 'Canada'),
(162968, '216.94.14.32', '216.94.14.63', 3630042656, 3630042687, 'US', 'United States'),
(162969, '216.94.14.64', '216.94.14.127', 3630042688, 3630042751, 'CA', 'Canada'),
(162970, '216.94.14.128', '216.94.14.159', 3630042752, 3630042783, 'US', 'United States'),
(162971, '216.94.14.160', '216.94.14.223', 3630042784, 3630042847, 'CA', 'Canada'),
(162972, '216.94.14.224', '216.94.15.95', 3630042848, 3630042975, 'US', 'United States'),
(162973, '216.94.15.96', '216.94.15.127', 3630042976, 3630043007, 'CA', 'Canada'),
(162974, '216.94.15.128', '216.94.15.159', 3630043008, 3630043039, 'US', 'United States'),
(162975, '216.94.15.160', '216.94.15.223', 3630043040, 3630043103, 'CA', 'Canada');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(162976, '216.94.15.224', '216.94.15.255', 3630043104, 3630043135, 'US', 'United States'),
(162977, '216.94.16.0', '216.94.16.255', 3630043136, 3630043391, 'CA', 'Canada'),
(162978, '216.94.17.0', '216.94.18.255', 3630043392, 3630043903, 'US', 'United States'),
(162979, '216.94.19.0', '216.94.19.15', 3630043904, 3630043919, 'CA', 'Canada'),
(162980, '216.94.19.16', '216.94.19.31', 3630043920, 3630043935, 'US', 'United States'),
(162981, '216.94.19.32', '216.94.19.63', 3630043936, 3630043967, 'CA', 'Canada'),
(162982, '216.94.19.64', '216.94.19.79', 3630043968, 3630043983, 'US', 'United States'),
(162983, '216.94.19.80', '216.94.19.95', 3630043984, 3630043999, 'CA', 'Canada'),
(162984, '216.94.19.96', '216.94.19.111', 3630044000, 3630044015, 'US', 'United States'),
(162985, '216.94.19.112', '216.94.19.159', 3630044016, 3630044063, 'CA', 'Canada'),
(162986, '216.94.19.160', '216.94.19.175', 3630044064, 3630044079, 'US', 'United States'),
(162987, '216.94.19.176', '216.94.19.207', 3630044080, 3630044111, 'CA', 'Canada'),
(162988, '216.94.19.208', '216.94.19.223', 3630044112, 3630044127, 'US', 'United States'),
(162989, '216.94.19.224', '216.94.20.127', 3630044128, 3630044287, 'CA', 'Canada'),
(162990, '216.94.20.128', '216.94.20.191', 3630044288, 3630044351, 'US', 'United States'),
(162991, '216.94.20.192', '216.94.20.255', 3630044352, 3630044415, 'CA', 'Canada'),
(162992, '216.94.21.0', '216.94.21.255', 3630044416, 3630044671, 'US', 'United States'),
(162993, '216.94.22.0', '216.94.28.159', 3630044672, 3630046367, 'CA', 'Canada'),
(162994, '216.94.28.160', '216.94.28.191', 3630046368, 3630046399, 'US', 'United States'),
(162995, '216.94.28.192', '216.94.34.47', 3630046400, 3630047791, 'CA', 'Canada'),
(162996, '216.94.34.48', '216.94.34.63', 3630047792, 3630047807, 'US', 'United States'),
(162997, '216.94.34.64', '216.94.41.255', 3630047808, 3630049791, 'CA', 'Canada'),
(162998, '216.94.42.0', '216.94.42.255', 3630049792, 3630050047, 'US', 'United States'),
(162999, '216.94.43.0', '216.94.44.87', 3630050048, 3630050391, 'CA', 'Canada'),
(163000, '216.94.44.88', '216.94.44.95', 3630050392, 3630050399, 'US', 'United States'),
(163001, '216.94.44.96', '216.94.44.183', 3630050400, 3630050487, 'CA', 'Canada'),
(163002, '216.94.44.184', '216.94.44.191', 3630050488, 3630050495, 'US', 'United States'),
(163003, '216.94.44.192', '216.94.44.239', 3630050496, 3630050543, 'CA', 'Canada'),
(163004, '216.94.44.240', '216.94.44.255', 3630050544, 3630050559, 'US', 'United States'),
(163005, '216.94.45.0', '216.94.47.63', 3630050560, 3630051135, 'CA', 'Canada'),
(163006, '216.94.47.64', '216.94.47.255', 3630051136, 3630051327, 'US', 'United States'),
(163007, '216.94.48.0', '216.94.48.255', 3630051328, 3630051583, 'CA', 'Canada'),
(163008, '216.94.49.0', '216.94.49.15', 3630051584, 3630051599, 'US', 'United States'),
(163009, '216.94.49.16', '216.94.53.255', 3630051600, 3630052863, 'CA', 'Canada'),
(163010, '216.94.54.0', '216.94.54.63', 3630052864, 3630052927, 'US', 'United States'),
(163011, '216.94.54.64', '216.94.55.63', 3630052928, 3630053183, 'CA', 'Canada'),
(163012, '216.94.55.64', '216.94.55.127', 3630053184, 3630053247, 'US', 'United States'),
(163013, '216.94.55.128', '216.94.56.255', 3630053248, 3630053631, 'CA', 'Canada'),
(163014, '216.94.57.0', '216.94.57.63', 3630053632, 3630053695, 'IL', 'Israel'),
(163015, '216.94.57.64', '216.94.57.127', 3630053696, 3630053759, 'CA', 'Canada'),
(163016, '216.94.57.128', '216.94.57.255', 3630053760, 3630053887, 'US', 'United States'),
(163017, '216.94.58.0', '216.94.59.95', 3630053888, 3630054239, 'CA', 'Canada'),
(163018, '216.94.59.96', '216.94.59.191', 3630054240, 3630054335, 'US', 'United States'),
(163019, '216.94.59.192', '216.94.60.95', 3630054336, 3630054495, 'CA', 'Canada'),
(163020, '216.94.60.96', '216.94.60.111', 3630054496, 3630054511, 'US', 'United States'),
(163021, '216.94.60.112', '216.94.64.95', 3630054512, 3630055519, 'CA', 'Canada'),
(163022, '216.94.64.96', '216.94.64.127', 3630055520, 3630055551, 'US', 'United States'),
(163023, '216.94.64.128', '216.94.64.255', 3630055552, 3630055679, 'CA', 'Canada'),
(163024, '216.94.65.0', '216.94.65.255', 3630055680, 3630055935, 'US', 'United States'),
(163025, '216.94.66.0', '216.94.69.255', 3630055936, 3630056959, 'CA', 'Canada'),
(163026, '216.94.70.0', '216.94.70.15', 3630056960, 3630056975, 'US', 'United States'),
(163027, '216.94.70.16', '216.94.70.79', 3630056976, 3630057039, 'CA', 'Canada'),
(163028, '216.94.70.80', '216.94.70.95', 3630057040, 3630057055, 'US', 'United States'),
(163029, '216.94.70.96', '216.94.70.127', 3630057056, 3630057087, 'CA', 'Canada'),
(163030, '216.94.70.128', '216.94.70.143', 3630057088, 3630057103, 'US', 'United States'),
(163031, '216.94.70.144', '216.94.70.191', 3630057104, 3630057151, 'CA', 'Canada'),
(163032, '216.94.70.192', '216.94.70.207', 3630057152, 3630057167, 'US', 'United States'),
(163033, '216.94.70.208', '216.94.70.223', 3630057168, 3630057183, 'CA', 'Canada'),
(163034, '216.94.70.224', '216.94.70.239', 3630057184, 3630057199, 'US', 'United States'),
(163035, '216.94.70.240', '216.94.71.255', 3630057200, 3630057471, 'CA', 'Canada'),
(163036, '216.94.72.0', '216.94.72.255', 3630057472, 3630057727, 'US', 'United States'),
(163037, '216.94.73.0', '216.94.73.255', 3630057728, 3630057983, 'CA', 'Canada'),
(163038, '216.94.74.0', '216.94.74.63', 3630057984, 3630058047, 'US', 'United States'),
(163039, '216.94.74.64', '216.94.75.95', 3630058048, 3630058335, 'CA', 'Canada'),
(163040, '216.94.75.96', '216.94.75.127', 3630058336, 3630058367, 'US', 'United States'),
(163041, '216.94.75.128', '216.94.75.255', 3630058368, 3630058495, 'CA', 'Canada'),
(163042, '216.94.76.0', '216.94.76.255', 3630058496, 3630058751, 'US', 'United States'),
(163043, '216.94.77.0', '216.94.77.255', 3630058752, 3630059007, 'CA', 'Canada'),
(163044, '216.94.78.0', '216.94.78.255', 3630059008, 3630059263, 'US', 'United States'),
(163045, '216.94.79.0', '216.94.80.255', 3630059264, 3630059775, 'CA', 'Canada'),
(163046, '216.94.81.0', '216.94.81.255', 3630059776, 3630060031, 'US', 'United States'),
(163047, '216.94.82.0', '216.94.83.63', 3630060032, 3630060351, 'CA', 'Canada'),
(163048, '216.94.83.64', '216.94.83.95', 3630060352, 3630060383, 'US', 'United States'),
(163049, '216.94.83.96', '216.94.83.255', 3630060384, 3630060543, 'CA', 'Canada'),
(163050, '216.94.84.0', '216.94.84.127', 3630060544, 3630060671, 'US', 'United States'),
(163051, '216.94.84.128', '216.94.84.255', 3630060672, 3630060799, 'CA', 'Canada'),
(163052, '216.94.85.0', '216.94.85.15', 3630060800, 3630060815, 'US', 'United States'),
(163053, '216.94.85.16', '216.94.85.23', 3630060816, 3630060823, 'CA', 'Canada'),
(163054, '216.94.85.24', '216.94.85.31', 3630060824, 3630060831, 'US', 'United States'),
(163055, '216.94.85.32', '216.94.85.47', 3630060832, 3630060847, 'CA', 'Canada'),
(163056, '216.94.85.48', '216.94.85.55', 3630060848, 3630060855, 'US', 'United States'),
(163057, '216.94.85.56', '216.94.85.95', 3630060856, 3630060895, 'CA', 'Canada'),
(163058, '216.94.85.96', '216.94.85.103', 3630060896, 3630060903, 'US', 'United States'),
(163059, '216.94.85.104', '216.94.85.135', 3630060904, 3630060935, 'CA', 'Canada'),
(163060, '216.94.85.136', '216.94.85.143', 3630060936, 3630060943, 'US', 'United States'),
(163061, '216.94.85.144', '216.94.85.159', 3630060944, 3630060959, 'CA', 'Canada'),
(163062, '216.94.85.160', '216.94.85.175', 3630060960, 3630060975, 'US', 'United States'),
(163063, '216.94.85.176', '216.94.85.183', 3630060976, 3630060983, 'CA', 'Canada'),
(163064, '216.94.85.184', '216.94.85.191', 3630060984, 3630060991, 'US', 'United States'),
(163065, '216.94.85.192', '216.94.85.199', 3630060992, 3630060999, 'CA', 'Canada'),
(163066, '216.94.85.200', '216.94.85.215', 3630061000, 3630061015, 'US', 'United States'),
(163067, '216.94.85.216', '216.94.85.231', 3630061016, 3630061031, 'CA', 'Canada'),
(163068, '216.94.85.232', '216.94.85.239', 3630061032, 3630061039, 'US', 'United States'),
(163069, '216.94.85.240', '216.94.85.247', 3630061040, 3630061047, 'CA', 'Canada'),
(163070, '216.94.85.248', '216.94.86.255', 3630061048, 3630061311, 'US', 'United States'),
(163071, '216.94.87.0', '216.94.87.47', 3630061312, 3630061359, 'CA', 'Canada'),
(163072, '216.94.87.48', '216.94.87.63', 3630061360, 3630061375, 'US', 'United States'),
(163073, '216.94.87.64', '216.94.91.255', 3630061376, 3630062591, 'CA', 'Canada'),
(163074, '216.94.92.0', '216.94.92.255', 3630062592, 3630062847, 'US', 'United States'),
(163075, '216.94.93.0', '216.94.97.31', 3630062848, 3630063903, 'CA', 'Canada'),
(163076, '216.94.97.32', '216.94.97.47', 3630063904, 3630063919, 'US', 'United States'),
(163077, '216.94.97.48', '216.94.97.79', 3630063920, 3630063951, 'CA', 'Canada'),
(163078, '216.94.97.80', '216.94.97.111', 3630063952, 3630063983, 'US', 'United States'),
(163079, '216.94.97.112', '216.94.97.127', 3630063984, 3630063999, 'CA', 'Canada'),
(163080, '216.94.97.128', '216.94.97.143', 3630064000, 3630064015, 'US', 'United States'),
(163081, '216.94.97.144', '216.94.98.255', 3630064016, 3630064383, 'CA', 'Canada'),
(163082, '216.94.99.0', '216.94.99.127', 3630064384, 3630064511, 'US', 'United States'),
(163083, '216.94.99.128', '216.94.102.47', 3630064512, 3630065199, 'CA', 'Canada'),
(163084, '216.94.102.48', '216.94.102.63', 3630065200, 3630065215, 'US', 'United States'),
(163085, '216.94.102.64', '216.94.102.175', 3630065216, 3630065327, 'CA', 'Canada'),
(163086, '216.94.102.176', '216.94.102.191', 3630065328, 3630065343, 'US', 'United States'),
(163087, '216.94.102.192', '216.94.102.207', 3630065344, 3630065359, 'CA', 'Canada'),
(163088, '216.94.102.208', '216.94.102.239', 3630065360, 3630065391, 'US', 'United States'),
(163089, '216.94.102.240', '216.94.104.63', 3630065392, 3630065727, 'CA', 'Canada'),
(163090, '216.94.104.64', '216.94.104.127', 3630065728, 3630065791, 'US', 'United States'),
(163091, '216.94.104.128', '216.94.104.255', 3630065792, 3630065919, 'CA', 'Canada'),
(163092, '216.94.105.0', '216.94.105.255', 3630065920, 3630066175, 'CN', 'China'),
(163093, '216.94.106.0', '216.94.113.15', 3630066176, 3630067983, 'CA', 'Canada'),
(163094, '216.94.113.16', '216.94.113.31', 3630067984, 3630067999, 'US', 'United States'),
(163095, '216.94.113.32', '216.94.113.47', 3630068000, 3630068015, 'CA', 'Canada'),
(163096, '216.94.113.48', '216.94.113.63', 3630068016, 3630068031, 'US', 'United States'),
(163097, '216.94.113.64', '216.94.113.255', 3630068032, 3630068223, 'CA', 'Canada'),
(163098, '216.94.114.0', '216.94.114.255', 3630068224, 3630068479, 'US', 'United States'),
(163099, '216.94.115.0', '216.94.116.127', 3630068480, 3630068863, 'CA', 'Canada'),
(163100, '216.94.116.128', '216.94.116.255', 3630068864, 3630068991, 'CN', 'China'),
(163101, '216.94.117.0', '216.94.117.255', 3630068992, 3630069247, 'CA', 'Canada'),
(163102, '216.94.118.0', '216.94.118.255', 3630069248, 3630069503, 'US', 'United States'),
(163103, '216.94.119.0', '216.94.125.207', 3630069504, 3630071247, 'CA', 'Canada'),
(163104, '216.94.125.208', '216.94.125.223', 3630071248, 3630071263, 'US', 'United States'),
(163105, '216.94.125.224', '216.94.126.255', 3630071264, 3630071551, 'CA', 'Canada'),
(163106, '216.94.127.0', '216.94.127.255', 3630071552, 3630071807, 'US', 'United States'),
(163107, '216.94.128.0', '216.94.128.63', 3630071808, 3630071871, 'CA', 'Canada'),
(163108, '216.94.128.64', '216.94.128.255', 3630071872, 3630072063, 'US', 'United States'),
(163109, '216.94.129.0', '216.94.129.159', 3630072064, 3630072223, 'CA', 'Canada'),
(163110, '216.94.129.160', '216.94.129.191', 3630072224, 3630072255, 'US', 'United States'),
(163111, '216.94.129.192', '216.94.137.47', 3630072256, 3630074159, 'CA', 'Canada'),
(163112, '216.94.137.48', '216.94.137.79', 3630074160, 3630074191, 'US', 'United States'),
(163113, '216.94.137.80', '216.94.137.143', 3630074192, 3630074255, 'CA', 'Canada'),
(163114, '216.94.137.144', '216.94.137.175', 3630074256, 3630074287, 'US', 'United States'),
(163115, '216.94.137.176', '216.94.137.207', 3630074288, 3630074319, 'CA', 'Canada'),
(163116, '216.94.137.208', '216.94.137.255', 3630074320, 3630074367, 'US', 'United States'),
(163117, '216.94.138.0', '216.94.138.7', 3630074368, 3630074375, 'CA', 'Canada'),
(163118, '216.94.138.8', '216.94.138.15', 3630074376, 3630074383, 'US', 'United States'),
(163119, '216.94.138.16', '216.94.138.47', 3630074384, 3630074415, 'CA', 'Canada'),
(163120, '216.94.138.48', '216.94.138.63', 3630074416, 3630074431, 'US', 'United States'),
(163121, '216.94.138.64', '216.94.138.103', 3630074432, 3630074471, 'CA', 'Canada'),
(163122, '216.94.138.104', '216.94.138.127', 3630074472, 3630074495, 'US', 'United States'),
(163123, '216.94.138.128', '216.94.138.159', 3630074496, 3630074527, 'CA', 'Canada'),
(163124, '216.94.138.160', '216.94.138.175', 3630074528, 3630074543, 'US', 'United States'),
(163125, '216.94.138.176', '216.94.141.47', 3630074544, 3630075183, 'CA', 'Canada'),
(163126, '216.94.141.48', '216.94.141.63', 3630075184, 3630075199, 'US', 'United States'),
(163127, '216.94.141.64', '216.94.141.239', 3630075200, 3630075375, 'CA', 'Canada'),
(163128, '216.94.141.240', '216.94.141.255', 3630075376, 3630075391, 'US', 'United States'),
(163129, '216.94.142.0', '216.94.142.255', 3630075392, 3630075647, 'CA', 'Canada'),
(163130, '216.94.143.0', '216.94.145.63', 3630075648, 3630076223, 'US', 'United States'),
(163131, '216.94.145.64', '216.94.145.127', 3630076224, 3630076287, 'CA', 'Canada'),
(163132, '216.94.145.128', '216.94.145.191', 3630076288, 3630076351, 'US', 'United States'),
(163133, '216.94.145.192', '216.94.145.255', 3630076352, 3630076415, 'CA', 'Canada'),
(163134, '216.94.146.0', '216.94.147.31', 3630076416, 3630076703, 'US', 'United States'),
(163135, '216.94.147.32', '216.94.147.159', 3630076704, 3630076831, 'CA', 'Canada'),
(163136, '216.94.147.160', '216.94.147.191', 3630076832, 3630076863, 'US', 'United States'),
(163137, '216.94.147.192', '216.94.151.127', 3630076864, 3630077823, 'CA', 'Canada'),
(163138, '216.94.151.128', '216.94.151.191', 3630077824, 3630077887, 'US', 'United States'),
(163139, '216.94.151.192', '216.94.155.127', 3630077888, 3630078847, 'CA', 'Canada'),
(163140, '216.94.155.128', '216.94.155.159', 3630078848, 3630078879, 'US', 'United States'),
(163141, '216.94.155.160', '216.94.157.31', 3630078880, 3630079263, 'CA', 'Canada'),
(163142, '216.94.157.32', '216.94.157.47', 3630079264, 3630079279, 'US', 'United States'),
(163143, '216.94.157.48', '216.94.157.207', 3630079280, 3630079439, 'CA', 'Canada'),
(163144, '216.94.157.208', '216.94.157.223', 3630079440, 3630079455, 'AG', 'Antigua and Barbuda'),
(163145, '216.94.157.224', '216.94.157.255', 3630079456, 3630079487, 'CA', 'Canada'),
(163146, '216.94.158.0', '216.94.161.255', 3630079488, 3630080511, 'US', 'United States'),
(163147, '216.94.162.0', '216.94.163.127', 3630080512, 3630080895, 'CA', 'Canada'),
(163148, '216.94.163.128', '216.94.163.255', 3630080896, 3630081023, 'US', 'United States'),
(163149, '216.94.164.0', '216.94.166.255', 3630081024, 3630081791, 'CA', 'Canada'),
(163150, '216.94.167.0', '216.94.167.255', 3630081792, 3630082047, 'US', 'United States'),
(163151, '216.94.168.0', '216.94.170.191', 3630082048, 3630082751, 'CA', 'Canada'),
(163152, '216.94.170.192', '216.94.170.255', 3630082752, 3630082815, 'US', 'United States'),
(163153, '216.94.171.0', '216.94.171.255', 3630082816, 3630083071, 'CA', 'Canada'),
(163154, '216.94.172.0', '216.94.172.31', 3630083072, 3630083103, 'CH', 'Switzerland'),
(163155, '216.94.172.32', '216.94.172.255', 3630083104, 3630083327, 'CA', 'Canada'),
(163156, '216.94.173.0', '216.94.173.63', 3630083328, 3630083391, 'US', 'United States'),
(163157, '216.94.173.64', '216.94.173.191', 3630083392, 3630083519, 'CA', 'Canada'),
(163158, '216.94.173.192', '216.94.173.255', 3630083520, 3630083583, 'US', 'United States'),
(163159, '216.94.174.0', '216.94.174.143', 3630083584, 3630083727, 'CA', 'Canada'),
(163160, '216.94.174.144', '216.94.174.159', 3630083728, 3630083743, 'US', 'United States'),
(163161, '216.94.174.160', '216.94.174.223', 3630083744, 3630083807, 'CA', 'Canada'),
(163162, '216.94.174.224', '216.94.174.239', 3630083808, 3630083823, 'US', 'United States'),
(163163, '216.94.174.240', '216.94.174.255', 3630083824, 3630083839, 'CA', 'Canada'),
(163164, '216.94.175.0', '216.94.176.63', 3630083840, 3630084159, 'US', 'United States'),
(163165, '216.94.176.64', '216.94.176.255', 3630084160, 3630084351, 'CA', 'Canada'),
(163166, '216.94.177.0', '216.94.177.255', 3630084352, 3630084607, 'US', 'United States'),
(163167, '216.94.178.0', '216.94.178.255', 3630084608, 3630084863, 'CA', 'Canada'),
(163168, '216.94.179.0', '216.94.179.255', 3630084864, 3630085119, 'US', 'United States'),
(163169, '216.94.180.0', '216.94.180.255', 3630085120, 3630085375, 'CA', 'Canada'),
(163170, '216.94.181.0', '216.94.181.255', 3630085376, 3630085631, 'US', 'United States'),
(163171, '216.94.182.0', '216.94.183.255', 3630085632, 3630086143, 'CA', 'Canada'),
(163172, '216.94.184.0', '216.94.184.143', 3630086144, 3630086287, 'US', 'United States'),
(163173, '216.94.184.144', '216.94.184.151', 3630086288, 3630086295, 'CA', 'Canada'),
(163174, '216.94.184.152', '216.94.184.175', 3630086296, 3630086319, 'US', 'United States'),
(163175, '216.94.184.176', '216.94.184.255', 3630086320, 3630086399, 'CA', 'Canada'),
(163176, '216.94.185.0', '216.94.185.255', 3630086400, 3630086655, 'US', 'United States'),
(163177, '216.94.186.0', '216.94.186.191', 3630086656, 3630086847, 'CA', 'Canada'),
(163178, '216.94.186.192', '216.94.186.255', 3630086848, 3630086911, 'US', 'United States'),
(163179, '216.94.187.0', '216.94.190.255', 3630086912, 3630087935, 'CA', 'Canada'),
(163180, '216.94.191.0', '216.94.192.255', 3630087936, 3630088447, 'US', 'United States'),
(163181, '216.94.193.0', '216.94.194.255', 3630088448, 3630088959, 'CA', 'Canada'),
(163182, '216.94.195.0', '216.94.196.255', 3630088960, 3630089471, 'US', 'United States'),
(163183, '216.94.197.0', '216.94.200.15', 3630089472, 3630090255, 'CA', 'Canada'),
(163184, '216.94.200.16', '216.94.200.47', 3630090256, 3630090287, 'US', 'United States'),
(163185, '216.94.200.48', '216.94.200.79', 3630090288, 3630090319, 'CA', 'Canada'),
(163186, '216.94.200.80', '216.94.200.95', 3630090320, 3630090335, 'US', 'United States'),
(163187, '216.94.200.96', '216.94.201.255', 3630090336, 3630090751, 'CA', 'Canada'),
(163188, '216.94.202.0', '216.94.202.255', 3630090752, 3630091007, 'US', 'United States'),
(163189, '216.94.203.0', '216.94.208.47', 3630091008, 3630092335, 'CA', 'Canada'),
(163190, '216.94.208.48', '216.94.208.63', 3630092336, 3630092351, 'US', 'United States'),
(163191, '216.94.208.64', '216.94.208.239', 3630092352, 3630092527, 'CA', 'Canada'),
(163192, '216.94.208.240', '216.94.208.255', 3630092528, 3630092543, 'US', 'United States'),
(163193, '216.94.209.0', '216.94.209.31', 3630092544, 3630092575, 'CA', 'Canada'),
(163194, '216.94.209.32', '216.94.209.255', 3630092576, 3630092799, 'US', 'United States'),
(163195, '216.94.210.0', '216.94.210.175', 3630092800, 3630092975, 'CA', 'Canada'),
(163196, '216.94.210.176', '216.94.210.191', 3630092976, 3630092991, 'US', 'United States'),
(163197, '216.94.210.192', '216.94.211.254', 3630092992, 3630093310, 'CA', 'Canada'),
(163198, '216.94.211.255', '216.94.212.7', 3630093311, 3630093319, 'US', 'United States'),
(163199, '216.94.212.8', '216.94.212.55', 3630093320, 3630093367, 'CA', 'Canada'),
(163200, '216.94.212.56', '216.94.212.63', 3630093368, 3630093375, 'US', 'United States'),
(163201, '216.94.212.64', '216.94.212.183', 3630093376, 3630093495, 'CA', 'Canada'),
(163202, '216.94.212.184', '216.94.212.191', 3630093496, 3630093503, 'US', 'United States'),
(163203, '216.94.212.192', '216.94.213.255', 3630093504, 3630093823, 'CA', 'Canada'),
(163204, '216.94.214.0', '216.94.214.255', 3630093824, 3630094079, 'US', 'United States'),
(163205, '216.94.215.0', '216.94.216.159', 3630094080, 3630094495, 'CA', 'Canada'),
(163206, '216.94.216.160', '216.94.216.223', 3630094496, 3630094559, 'US', 'United States'),
(163207, '216.94.216.224', '216.94.217.255', 3630094560, 3630094847, 'CA', 'Canada'),
(163208, '216.94.218.0', '216.94.218.7', 3630094848, 3630094855, 'US', 'United States'),
(163209, '216.94.218.8', '216.94.218.15', 3630094856, 3630094863, 'CA', 'Canada'),
(163210, '216.94.218.16', '216.94.218.23', 3630094864, 3630094871, 'US', 'United States'),
(163211, '216.94.218.24', '216.94.218.55', 3630094872, 3630094903, 'CA', 'Canada'),
(163212, '216.94.218.56', '216.94.218.79', 3630094904, 3630094927, 'US', 'United States'),
(163213, '216.94.218.80', '216.94.218.87', 3630094928, 3630094935, 'CA', 'Canada'),
(163214, '216.94.218.88', '216.94.218.95', 3630094936, 3630094943, 'US', 'United States'),
(163215, '216.94.218.96', '216.94.218.151', 3630094944, 3630094999, 'CA', 'Canada'),
(163216, '216.94.218.152', '216.94.218.167', 3630095000, 3630095015, 'US', 'United States'),
(163217, '216.94.218.168', '216.94.218.183', 3630095016, 3630095031, 'CA', 'Canada'),
(163218, '216.94.218.184', '216.94.218.191', 3630095032, 3630095039, 'US', 'United States'),
(163219, '216.94.218.192', '216.94.218.199', 3630095040, 3630095047, 'CA', 'Canada'),
(163220, '216.94.218.200', '216.94.218.207', 3630095048, 3630095055, 'US', 'United States'),
(163221, '216.94.218.208', '216.94.218.255', 3630095056, 3630095103, 'CA', 'Canada'),
(163222, '216.94.219.0', '216.94.219.255', 3630095104, 3630095359, 'US', 'United States'),
(163223, '216.94.220.0', '216.94.220.255', 3630095360, 3630095615, 'CA', 'Canada'),
(163224, '216.94.221.0', '216.94.221.127', 3630095616, 3630095743, 'US', 'United States'),
(163225, '216.94.221.128', '216.94.226.31', 3630095744, 3630096927, 'CA', 'Canada'),
(163226, '216.94.226.32', '216.94.226.255', 3630096928, 3630097151, 'US', 'United States'),
(163227, '216.94.227.0', '216.94.228.255', 3630097152, 3630097663, 'CA', 'Canada'),
(163228, '216.94.229.0', '216.94.230.255', 3630097664, 3630098175, 'KW', 'Kuwait'),
(163229, '216.94.231.0', '216.94.232.63', 3630098176, 3630098495, 'CA', 'Canada'),
(163230, '216.94.232.64', '216.94.232.95', 3630098496, 3630098527, 'US', 'United States'),
(163231, '216.94.232.96', '216.94.238.255', 3630098528, 3630100223, 'CA', 'Canada'),
(163232, '216.94.239.0', '216.94.239.255', 3630100224, 3630100479, 'KW', 'Kuwait'),
(163233, '216.94.240.0', '216.94.241.127', 3630100480, 3630100863, 'CA', 'Canada'),
(163234, '216.94.241.128', '216.94.242.255', 3630100864, 3630101247, 'US', 'United States'),
(163235, '216.94.243.0', '216.94.245.63', 3630101248, 3630101823, 'CA', 'Canada'),
(163236, '216.94.245.64', '216.94.245.95', 3630101824, 3630101855, 'US', 'United States'),
(163237, '216.94.245.96', '216.94.245.127', 3630101856, 3630101887, 'CA', 'Canada'),
(163238, '216.94.245.128', '216.94.245.159', 3630101888, 3630101919, 'US', 'United States'),
(163239, '216.94.245.160', '216.94.245.255', 3630101920, 3630102015, 'CA', 'Canada'),
(163240, '216.94.246.0', '216.94.247.63', 3630102016, 3630102335, 'US', 'United States'),
(163241, '216.94.247.64', '216.94.253.191', 3630102336, 3630103999, 'CA', 'Canada'),
(163242, '216.94.253.192', '216.94.253.255', 3630104000, 3630104063, 'US', 'United States'),
(163243, '216.94.254.0', '216.94.255.255', 3630104064, 3630104575, 'CA', 'Canada'),
(163244, '216.95.0.0', '216.95.5.159', 3630104576, 3630106015, 'US', 'United States'),
(163245, '216.95.5.160', '216.95.5.175', 3630106016, 3630106031, 'CA', 'Canada'),
(163246, '216.95.5.176', '216.95.5.207', 3630106032, 3630106063, 'US', 'United States'),
(163247, '216.95.5.208', '216.95.5.223', 3630106064, 3630106079, 'CA', 'Canada'),
(163248, '216.95.5.224', '216.95.143.255', 3630106080, 3630141439, 'US', 'United States'),
(163249, '216.95.144.0', '216.95.145.63', 3630141440, 3630141759, 'CA', 'Canada'),
(163250, '216.95.145.64', '216.95.145.95', 3630141760, 3630141791, 'US', 'United States'),
(163251, '216.95.145.96', '216.95.145.191', 3630141792, 3630141887, 'CA', 'Canada'),
(163252, '216.95.145.192', '216.95.145.255', 3630141888, 3630141951, 'US', 'United States'),
(163253, '216.95.146.0', '216.95.154.31', 3630141952, 3630144031, 'CA', 'Canada'),
(163254, '216.95.154.32', '216.95.154.63', 3630144032, 3630144063, 'US', 'United States'),
(163255, '216.95.154.64', '216.95.154.223', 3630144064, 3630144223, 'CA', 'Canada'),
(163256, '216.95.154.224', '216.95.154.255', 3630144224, 3630144255, 'US', 'United States'),
(163257, '216.95.155.0', '216.95.157.255', 3630144256, 3630145023, 'CA', 'Canada'),
(163258, '216.95.158.0', '216.95.158.15', 3630145024, 3630145039, 'GB', 'United Kingdom'),
(163259, '216.95.158.16', '216.95.158.223', 3630145040, 3630145247, 'CA', 'Canada'),
(163260, '216.95.158.224', '216.95.159.255', 3630145248, 3630145535, 'US', 'United States'),
(163261, '216.95.160.0', '216.95.164.255', 3630145536, 3630146815, 'CA', 'Canada'),
(163262, '216.95.165.0', '216.95.165.255', 3630146816, 3630147071, 'US', 'United States'),
(163263, '216.95.166.0', '216.95.168.63', 3630147072, 3630147647, 'CA', 'Canada'),
(163264, '216.95.168.64', '216.95.168.255', 3630147648, 3630147839, 'US', 'United States'),
(163265, '216.95.169.0', '216.95.169.63', 3630147840, 3630147903, 'CA', 'Canada'),
(163266, '216.95.169.64', '216.95.169.95', 3630147904, 3630147935, 'US', 'United States'),
(163267, '216.95.169.96', '216.95.169.159', 3630147936, 3630147999, 'CA', 'Canada'),
(163268, '216.95.169.160', '216.95.169.191', 3630148000, 3630148031, 'US', 'United States'),
(163269, '216.95.169.192', '216.95.172.15', 3630148032, 3630148623, 'CA', 'Canada'),
(163270, '216.95.172.16', '216.95.172.31', 3630148624, 3630148639, 'US', 'United States'),
(163271, '216.95.172.32', '216.95.172.47', 3630148640, 3630148655, 'CA', 'Canada'),
(163272, '216.95.172.48', '216.95.172.63', 3630148656, 3630148671, 'US', 'United States'),
(163273, '216.95.172.64', '216.95.172.143', 3630148672, 3630148751, 'CA', 'Canada'),
(163274, '216.95.172.144', '216.95.172.191', 3630148752, 3630148799, 'US', 'United States'),
(163275, '216.95.172.192', '216.95.172.207', 3630148800, 3630148815, 'CA', 'Canada'),
(163276, '216.95.172.208', '216.95.172.255', 3630148816, 3630148863, 'US', 'United States'),
(163277, '216.95.173.0', '216.95.174.31', 3630148864, 3630149151, 'CA', 'Canada'),
(163278, '216.95.174.32', '216.95.174.63', 3630149152, 3630149183, 'US', 'United States'),
(163279, '216.95.174.64', '216.95.174.95', 3630149184, 3630149215, 'CA', 'Canada'),
(163280, '216.95.174.96', '216.95.174.255', 3630149216, 3630149375, 'US', 'United States'),
(163281, '216.95.175.0', '216.95.175.63', 3630149376, 3630149439, 'CA', 'Canada'),
(163282, '216.95.175.64', '216.95.175.95', 3630149440, 3630149471, 'US', 'United States'),
(163283, '216.95.175.96', '216.95.175.127', 3630149472, 3630149503, 'CA', 'Canada'),
(163284, '216.95.175.128', '216.95.175.159', 3630149504, 3630149535, 'US', 'United States'),
(163285, '216.95.175.160', '216.95.189.159', 3630149536, 3630153119, 'CA', 'Canada'),
(163286, '216.95.189.160', '216.95.189.191', 3630153120, 3630153151, 'US', 'United States'),
(163287, '216.95.189.192', '216.95.190.191', 3630153152, 3630153407, 'CA', 'Canada'),
(163288, '216.95.190.192', '216.95.191.255', 3630153408, 3630153727, 'US', 'United States'),
(163289, '216.95.192.0', '216.95.195.255', 3630153728, 3630154751, 'CA', 'Canada'),
(163290, '216.95.196.0', '216.95.196.255', 3630154752, 3630155007, 'US', 'United States'),
(163291, '216.95.197.0', '216.95.197.255', 3630155008, 3630155263, 'CA', 'Canada'),
(163292, '216.95.198.0', '216.95.198.255', 3630155264, 3630155519, 'US', 'United States'),
(163293, '216.95.199.0', '216.95.199.63', 3630155520, 3630155583, 'CA', 'Canada'),
(163294, '216.95.199.64', '216.95.199.79', 3630155584, 3630155599, 'US', 'United States'),
(163295, '216.95.199.80', '216.95.199.95', 3630155600, 3630155615, 'CA', 'Canada'),
(163296, '216.95.199.96', '216.95.199.111', 3630155616, 3630155631, 'US', 'United States'),
(163297, '216.95.199.112', '216.95.209.55', 3630155632, 3630158135, 'CA', 'Canada'),
(163298, '216.95.209.56', '216.95.209.71', 3630158136, 3630158151, 'US', 'United States'),
(163299, '216.95.209.72', '216.95.209.79', 3630158152, 3630158159, 'CA', 'Canada'),
(163300, '216.95.209.80', '216.95.209.87', 3630158160, 3630158167, 'US', 'United States'),
(163301, '216.95.209.88', '216.95.209.95', 3630158168, 3630158175, 'CA', 'Canada'),
(163302, '216.95.209.96', '216.95.209.103', 3630158176, 3630158183, 'US', 'United States'),
(163303, '216.95.209.104', '216.95.209.191', 3630158184, 3630158271, 'CA', 'Canada'),
(163304, '216.95.209.192', '216.95.209.199', 3630158272, 3630158279, 'US', 'United States'),
(163305, '216.95.209.200', '216.95.210.255', 3630158280, 3630158591, 'CA', 'Canada'),
(163306, '216.95.211.0', '216.95.211.255', 3630158592, 3630158847, 'US', 'United States'),
(163307, '216.95.212.0', '216.95.212.63', 3630158848, 3630158911, 'CA', 'Canada'),
(163308, '216.95.212.64', '216.95.212.95', 3630158912, 3630158943, 'US', 'United States'),
(163309, '216.95.212.96', '216.95.212.127', 3630158944, 3630158975, 'CA', 'Canada'),
(163310, '216.95.212.128', '216.95.212.159', 3630158976, 3630159007, 'US', 'United States'),
(163311, '216.95.212.160', '216.95.214.127', 3630159008, 3630159487, 'CA', 'Canada'),
(163312, '216.95.214.128', '216.95.214.191', 3630159488, 3630159551, 'US', 'United States'),
(163313, '216.95.214.192', '216.95.215.255', 3630159552, 3630159871, 'CA', 'Canada'),
(163314, '216.95.216.0', '216.95.216.255', 3630159872, 3630160127, 'US', 'United States'),
(163315, '216.95.217.0', '216.95.217.255', 3630160128, 3630160383, 'CA', 'Canada'),
(163316, '216.95.218.0', '216.95.218.15', 3630160384, 3630160399, 'US', 'United States'),
(163317, '216.95.218.16', '216.95.218.87', 3630160400, 3630160471, 'CA', 'Canada'),
(163318, '216.95.218.88', '216.95.218.103', 3630160472, 3630160487, 'US', 'United States'),
(163319, '216.95.218.104', '216.95.218.111', 3630160488, 3630160495, 'CA', 'Canada'),
(163320, '216.95.218.112', '216.95.218.119', 3630160496, 3630160503, 'US', 'United States'),
(163321, '216.95.218.120', '216.95.218.143', 3630160504, 3630160527, 'CA', 'Canada'),
(163322, '216.95.218.144', '216.95.218.175', 3630160528, 3630160559, 'US', 'United States'),
(163323, '216.95.218.176', '216.95.218.215', 3630160560, 3630160599, 'CA', 'Canada'),
(163324, '216.95.218.216', '216.95.218.223', 3630160600, 3630160607, 'US', 'United States'),
(163325, '216.95.218.224', '216.95.219.255', 3630160608, 3630160895, 'CA', 'Canada'),
(163326, '216.95.220.0', '216.95.220.23', 3630160896, 3630160919, 'US', 'United States'),
(163327, '216.95.220.24', '216.95.220.31', 3630160920, 3630160927, 'CA', 'Canada'),
(163328, '216.95.220.32', '216.95.220.215', 3630160928, 3630161111, 'US', 'United States'),
(163329, '216.95.220.216', '216.95.220.239', 3630161112, 3630161135, 'CA', 'Canada'),
(163330, '216.95.220.240', '216.95.220.255', 3630161136, 3630161151, 'US', 'United States'),
(163331, '216.95.221.0', '216.95.224.63', 3630161152, 3630161983, 'CA', 'Canada'),
(163332, '216.95.224.64', '216.95.224.127', 3630161984, 3630162047, 'US', 'United States'),
(163333, '216.95.224.128', '216.95.225.127', 3630162048, 3630162303, 'CA', 'Canada'),
(163334, '216.95.225.128', '216.95.225.191', 3630162304, 3630162367, 'US', 'United States'),
(163335, '216.95.225.192', '216.95.229.255', 3630162368, 3630163455, 'CA', 'Canada'),
(163336, '216.95.230.0', '216.95.230.255', 3630163456, 3630163711, 'US', 'United States'),
(163337, '216.95.231.0', '216.95.231.7', 3630163712, 3630163719, 'CA', 'Canada'),
(163338, '216.95.231.8', '216.95.231.15', 3630163720, 3630163727, 'US', 'United States'),
(163339, '216.95.231.16', '216.95.231.47', 3630163728, 3630163759, 'CA', 'Canada'),
(163340, '216.95.231.48', '216.95.231.55', 3630163760, 3630163767, 'US', 'United States'),
(163341, '216.95.231.56', '216.95.231.167', 3630163768, 3630163879, 'CA', 'Canada'),
(163342, '216.95.231.168', '216.95.231.175', 3630163880, 3630163887, 'US', 'United States'),
(163343, '216.95.231.176', '216.95.231.215', 3630163888, 3630163927, 'CA', 'Canada'),
(163344, '216.95.231.216', '216.95.231.247', 3630163928, 3630163959, 'US', 'United States'),
(163345, '216.95.231.248', '216.95.235.111', 3630163960, 3630164847, 'CA', 'Canada'),
(163346, '216.95.235.112', '216.95.235.127', 3630164848, 3630164863, 'US', 'United States'),
(163347, '216.95.235.128', '216.95.235.175', 3630164864, 3630164911, 'CA', 'Canada'),
(163348, '216.95.235.176', '216.95.235.191', 3630164912, 3630164927, 'US', 'United States'),
(163349, '216.95.235.192', '216.95.235.239', 3630164928, 3630164975, 'CA', 'Canada'),
(163350, '216.95.235.240', '216.95.235.255', 3630164976, 3630164991, 'US', 'United States'),
(163351, '216.95.236.0', '216.95.242.191', 3630164992, 3630166719, 'CA', 'Canada'),
(163352, '216.95.242.192', '216.95.242.223', 3630166720, 3630166751, 'US', 'United States'),
(163353, '216.95.242.224', '216.95.243.31', 3630166752, 3630166815, 'CA', 'Canada'),
(163354, '216.95.243.32', '216.95.243.47', 3630166816, 3630166831, 'US', 'United States'),
(163355, '216.95.243.48', '216.95.243.79', 3630166832, 3630166863, 'CA', 'Canada'),
(163356, '216.95.243.80', '216.95.243.95', 3630166864, 3630166879, 'US', 'United States'),
(163357, '216.95.243.96', '216.95.243.191', 3630166880, 3630166975, 'CA', 'Canada'),
(163358, '216.95.243.192', '216.95.243.207', 3630166976, 3630166991, 'US', 'United States'),
(163359, '216.95.243.208', '216.95.244.255', 3630166992, 3630167295, 'CA', 'Canada'),
(163360, '216.95.245.0', '216.95.245.63', 3630167296, 3630167359, 'US', 'United States'),
(163361, '216.95.245.64', '216.95.245.191', 3630167360, 3630167487, 'CA', 'Canada'),
(163362, '216.95.245.192', '216.95.245.255', 3630167488, 3630167551, 'US', 'United States'),
(163363, '216.95.246.0', '216.95.247.103', 3630167552, 3630167911, 'CA', 'Canada'),
(163364, '216.95.247.104', '216.95.247.111', 3630167912, 3630167919, 'FR', 'France'),
(163365, '216.95.247.112', '216.95.247.119', 3630167920, 3630167927, 'CA', 'Canada'),
(163366, '216.95.247.120', '216.95.247.135', 3630167928, 3630167943, 'US', 'United States'),
(163367, '216.95.247.136', '216.95.248.63', 3630167944, 3630168127, 'CA', 'Canada'),
(163368, '216.95.248.64', '216.95.248.127', 3630168128, 3630168191, 'US', 'United States'),
(163369, '216.95.248.128', '216.95.251.255', 3630168192, 3630169087, 'CA', 'Canada'),
(163370, '216.95.252.0', '216.95.252.255', 3630169088, 3630169343, 'US', 'United States'),
(163371, '216.95.253.0', '216.95.253.63', 3630169344, 3630169407, 'CA', 'Canada'),
(163372, '216.95.253.64', '216.95.253.127', 3630169408, 3630169471, 'US', 'United States'),
(163373, '216.95.253.128', '216.95.255.255', 3630169472, 3630170111, 'CA', 'Canada'),
(163374, '216.96.0.0', '216.98.1.255', 3630170112, 3630301695, 'US', 'United States'),
(163375, '216.98.2.0', '216.98.2.15', 3630301696, 3630301711, 'RU', 'Russian Federation'),
(163376, '216.98.2.16', '216.98.31.255', 3630301712, 3630309375, 'US', 'United States'),
(163377, '216.98.32.0', '216.98.63.255', 3630309376, 3630317567, 'CA', 'Canada'),
(163378, '216.98.64.0', '216.98.113.175', 3630317568, 3630330287, 'US', 'United States'),
(163379, '216.98.113.176', '216.98.113.191', 3630330288, 3630330303, 'JP', 'Japan'),
(163380, '216.98.113.192', '216.99.33.255', 3630330304, 3630375423, 'US', 'United States'),
(163381, '216.99.34.0', '216.99.63.255', 3630375424, 3630383103, 'CA', 'Canada'),
(163382, '216.99.64.0', '216.99.95.255', 3630383104, 3630391295, 'US', 'United States'),
(163383, '216.99.96.0', '216.99.111.255', 3630391296, 3630395391, 'CA', 'Canada'),
(163384, '216.99.112.0', '216.104.95.255', 3630395392, 3630718975, 'US', 'United States'),
(163385, '216.104.96.0', '216.104.127.255', 3630718976, 3630727167, 'CA', 'Canada'),
(163386, '216.104.128.0', '216.104.200.255', 3630727168, 3630745855, 'US', 'United States'),
(163387, '216.104.201.0', '216.104.201.255', 3630745856, 3630746111, 'UG', 'Uganda'),
(163388, '216.104.202.0', '216.104.202.255', 3630746112, 3630746367, 'US', 'United States'),
(163389, '216.104.203.0', '216.104.203.255', 3630746368, 3630746623, 'UG', 'Uganda'),
(163390, '216.104.204.0', '216.104.204.255', 3630746624, 3630746879, 'US', 'United States'),
(163391, '216.104.205.0', '216.104.206.255', 3630746880, 3630747391, 'TZ', 'Tanzania, United Republic of'),
(163392, '216.104.207.0', '216.105.79.255', 3630747392, 3630780415, 'US', 'United States'),
(163393, '216.105.80.0', '216.105.95.255', 3630780416, 3630784511, 'CA', 'Canada'),
(163394, '216.105.96.0', '216.106.95.255', 3630784512, 3630850047, 'US', 'United States'),
(163395, '216.106.96.0', '216.106.111.255', 3630850048, 3630854143, 'CA', 'Canada'),
(163396, '216.106.112.0', '216.107.255.255', 3630854144, 3630956543, 'US', 'United States'),
(163397, '216.108.0.0', '216.108.191.255', 3630956544, 3631005695, 'CA', 'Canada'),
(163398, '216.108.192.0', '216.108.228.3', 3631005696, 3631014915, 'US', 'United States'),
(163399, '216.108.228.4', '216.108.228.99', 3631014916, 3631015011, 'HU', 'Hungary'),
(163400, '216.108.228.100', '216.108.228.163', 3631015012, 3631015075, 'US', 'United States'),
(163401, '216.108.228.164', '216.108.228.199', 3631015076, 3631015111, 'HU', 'Hungary'),
(163402, '216.108.228.200', '216.108.228.227', 3631015112, 3631015139, 'US', 'United States'),
(163403, '216.108.228.228', '216.108.228.235', 3631015140, 3631015147, 'CN', 'China'),
(163404, '216.108.228.236', '216.108.229.127', 3631015148, 3631015295, 'US', 'United States'),
(163405, '216.108.229.128', '216.108.229.143', 3631015296, 3631015311, 'CN', 'China'),
(163406, '216.108.229.144', '216.108.231.207', 3631015312, 3631015887, 'US', 'United States'),
(163407, '216.108.231.208', '216.108.231.223', 3631015888, 3631015903, 'CN', 'China'),
(163408, '216.108.231.224', '216.108.234.107', 3631015904, 3631016555, 'US', 'United States'),
(163409, '216.108.234.108', '216.108.234.123', 3631016556, 3631016571, 'CN', 'China'),
(163410, '216.108.234.124', '216.108.234.165', 3631016572, 3631016613, 'US', 'United States'),
(163411, '216.108.234.166', '216.108.234.197', 3631016614, 3631016645, 'UA', 'Ukraine'),
(163412, '216.108.234.198', '216.108.236.215', 3631016646, 3631017175, 'US', 'United States'),
(163413, '216.108.236.216', '216.108.236.231', 3631017176, 3631017191, 'CN', 'China'),
(163414, '216.108.236.232', '216.108.238.3', 3631017192, 3631017475, 'US', 'United States'),
(163415, '216.108.238.4', '216.108.238.254', 3631017476, 3631017726, 'LT', 'Lithuania'),
(163416, '216.108.238.255', '216.109.67.207', 3631017727, 3631039439, 'US', 'United States'),
(163417, '216.109.67.208', '216.109.67.223', 3631039440, 3631039455, 'CA', 'Canada'),
(163418, '216.109.67.224', '216.109.67.255', 3631039456, 3631039487, 'US', 'United States'),
(163419, '216.109.68.0', '216.109.68.255', 3631039488, 3631039743, 'CA', 'Canada'),
(163420, '216.109.69.0', '216.109.84.79', 3631039744, 3631043663, 'US', 'United States'),
(163421, '216.109.84.80', '216.109.84.95', 3631043664, 3631043679, 'CA', 'Canada'),
(163422, '216.109.84.96', '216.109.84.175', 3631043680, 3631043759, 'US', 'United States'),
(163423, '216.109.84.176', '216.109.84.183', 3631043760, 3631043767, 'CA', 'Canada'),
(163424, '216.109.84.184', '216.109.91.255', 3631043768, 3631045631, 'US', 'United States'),
(163425, '216.109.92.0', '216.109.92.127', 3631045632, 3631045759, 'CA', 'Canada'),
(163426, '216.109.92.128', '216.109.93.95', 3631045760, 3631045983, 'US', 'United States'),
(163427, '216.109.93.96', '216.109.93.103', 3631045984, 3631045991, 'CA', 'Canada'),
(163428, '216.109.93.104', '216.109.138.169', 3631045992, 3631057577, 'US', 'United States'),
(163429, '216.109.138.170', '216.109.138.189', 3631057578, 3631057597, 'GB', 'United Kingdom'),
(163430, '216.109.138.190', '216.109.141.229', 3631057598, 3631058405, 'US', 'United States'),
(163431, '216.109.141.230', '216.109.141.239', 3631058406, 3631058415, 'CA', 'Canada'),
(163432, '216.109.141.240', '216.109.142.79', 3631058416, 3631058511, 'US', 'United States'),
(163433, '216.109.142.80', '216.109.142.89', 3631058512, 3631058521, 'CA', 'Canada'),
(163434, '216.109.142.90', '216.109.142.149', 3631058522, 3631058581, 'US', 'United States'),
(163435, '216.109.142.150', '216.109.142.159', 3631058582, 3631058591, 'CA', 'Canada'),
(163436, '216.109.142.160', '216.109.145.29', 3631058592, 3631059229, 'US', 'United States'),
(163437, '216.109.145.30', '216.109.145.39', 3631059230, 3631059239, 'NO', 'Norway'),
(163438, '216.109.145.40', '216.110.36.119', 3631059240, 3631096951, 'US', 'United States'),
(163439, '216.110.36.120', '216.110.36.120', 3631096952, 3631096952, 'A1', 'Anonymous Proxy'),
(163440, '216.110.36.121', '216.110.95.255', 3631096953, 3631112191, 'US', 'United States'),
(163441, '216.110.96.0', '216.110.96.255', 3631112192, 3631112447, 'VC', 'Saint Vincent and the Grenadines'),
(163442, '216.110.97.0', '216.110.112.255', 3631112448, 3631116543, 'BB', 'Barbados'),
(163443, '216.110.113.0', '216.110.116.255', 3631116544, 3631117567, 'GD', 'Grenada'),
(163444, '216.110.117.0', '216.110.117.255', 3631117568, 3631117823, 'BB', 'Barbados'),
(163445, '216.110.118.0', '216.110.118.255', 3631117824, 3631118079, 'GD', 'Grenada'),
(163446, '216.110.119.0', '216.110.122.255', 3631118080, 3631119103, 'VC', 'Saint Vincent and the Grenadines'),
(163447, '216.110.123.0', '216.110.124.255', 3631119104, 3631119615, 'BB', 'Barbados'),
(163448, '216.110.125.0', '216.110.127.255', 3631119616, 3631120383, 'GD', 'Grenada'),
(163449, '216.110.128.0', '216.110.223.255', 3631120384, 3631144959, 'US', 'United States'),
(163450, '216.110.224.0', '216.110.255.255', 3631144960, 3631153151, 'CA', 'Canada'),
(163451, '216.111.0.0', '216.112.255.255', 3631153152, 3631284223, 'US', 'United States'),
(163452, '216.113.0.0', '216.113.127.255', 3631284224, 3631316991, 'CA', 'Canada'),
(163453, '216.113.128.0', '216.113.191.255', 3631316992, 3631333375, 'US', 'United States'),
(163454, '216.113.192.0', '216.113.193.47', 3631333376, 3631333679, 'CA', 'Canada'),
(163455, '216.113.193.48', '216.113.193.63', 3631333680, 3631333695, 'US', 'United States'),
(163456, '216.113.193.64', '216.113.223.255', 3631333696, 3631341567, 'CA', 'Canada'),
(163457, '216.113.224.0', '216.114.255.255', 3631341568, 3631415295, 'US', 'United States'),
(163458, '216.115.0.0', '216.115.3.159', 3631415296, 3631416223, 'A2', 'Satellite Provider'),
(163459, '216.115.3.160', '216.115.3.167', 3631416224, 3631416231, 'US', 'United States'),
(163460, '216.115.3.168', '216.115.3.255', 3631416232, 3631416319, 'A2', 'Satellite Provider'),
(163461, '216.115.4.0', '216.115.4.255', 3631416320, 3631416575, 'US', 'United States'),
(163462, '216.115.5.0', '216.115.8.255', 3631416576, 3631417599, 'A2', 'Satellite Provider'),
(163463, '216.115.9.0', '216.115.10.255', 3631417600, 3631418111, 'US', 'United States'),
(163464, '216.115.11.0', '216.115.15.255', 3631418112, 3631419391, 'A2', 'Satellite Provider'),
(163465, '216.115.16.0', '216.115.76.255', 3631419392, 3631435007, 'US', 'United States'),
(163466, '216.115.77.0', '216.115.77.255', 3631435008, 3631435263, 'GB', 'United Kingdom'),
(163467, '216.115.78.0', '216.118.127.255', 3631435264, 3631644671, 'US', 'United States'),
(163468, '216.118.128.0', '216.118.159.255', 3631644672, 3631652863, 'CA', 'Canada'),
(163469, '216.118.160.0', '216.118.200.47', 3631652864, 3631663151, 'US', 'United States'),
(163470, '216.118.200.48', '216.118.200.55', 3631663152, 3631663159, 'CA', 'Canada'),
(163471, '216.118.200.56', '216.118.207.255', 3631663160, 3631665151, 'US', 'United States'),
(163472, '216.118.208.0', '216.118.215.255', 3631665152, 3631667199, 'CA', 'Canada'),
(163473, '216.118.216.0', '216.118.216.255', 3631667200, 3631667455, 'US', 'United States'),
(163474, '216.118.217.0', '216.118.219.255', 3631667456, 3631668223, 'CA', 'Canada'),
(163475, '216.118.220.0', '216.118.220.255', 3631668224, 3631668479, 'US', 'United States'),
(163476, '216.118.221.0', '216.118.223.255', 3631668480, 3631669247, 'CA', 'Canada'),
(163477, '216.118.224.0', '216.118.255.255', 3631669248, 3631677439, 'A2', 'Satellite Provider'),
(163478, '216.119.0.0', '216.119.136.31', 3631677440, 3631712287, 'US', 'United States'),
(163479, '216.119.136.32', '216.119.136.39', 3631712288, 3631712295, 'AR', 'Argentina'),
(163480, '216.119.136.40', '216.119.136.47', 3631712296, 3631712303, 'US', 'United States'),
(163481, '216.119.136.48', '216.119.136.55', 3631712304, 3631712311, 'CA', 'Canada'),
(163482, '216.119.136.56', '216.119.136.151', 3631712312, 3631712407, 'US', 'United States'),
(163483, '216.119.136.152', '216.119.136.159', 3631712408, 3631712415, 'GB', 'United Kingdom'),
(163484, '216.119.136.160', '216.119.136.167', 3631712416, 3631712423, 'US', 'United States'),
(163485, '216.119.136.168', '216.119.136.175', 3631712424, 3631712431, 'PT', 'Portugal'),
(163486, '216.119.136.176', '216.119.136.183', 3631712432, 3631712439, 'US', 'United States'),
(163487, '216.119.136.184', '216.119.136.191', 3631712440, 3631712447, 'IN', 'India'),
(163488, '216.119.136.192', '216.119.136.199', 3631712448, 3631712455, 'US', 'United States'),
(163489, '216.119.136.200', '216.119.136.207', 3631712456, 3631712463, 'UA', 'Ukraine'),
(163490, '216.119.136.208', '216.119.136.239', 3631712464, 3631712495, 'US', 'United States'),
(163491, '216.119.136.240', '216.119.136.247', 3631712496, 3631712503, 'UY', 'Uruguay'),
(163492, '216.119.136.248', '216.119.136.255', 3631712504, 3631712511, 'DE', 'Germany'),
(163493, '216.119.137.0', '216.119.137.23', 3631712512, 3631712535, 'US', 'United States'),
(163494, '216.119.137.24', '216.119.137.31', 3631712536, 3631712543, 'JP', 'Japan'),
(163495, '216.119.137.32', '216.119.137.39', 3631712544, 3631712551, 'CY', 'Cyprus'),
(163496, '216.119.137.40', '216.119.137.47', 3631712552, 3631712559, 'US', 'United States'),
(163497, '216.119.137.48', '216.119.137.55', 3631712560, 3631712567, 'AR', 'Argentina'),
(163498, '216.119.137.56', '216.119.137.183', 3631712568, 3631712695, 'US', 'United States'),
(163499, '216.119.137.184', '216.119.137.191', 3631712696, 3631712703, 'NZ', 'New Zealand'),
(163500, '216.119.137.192', '216.119.137.239', 3631712704, 3631712751, 'US', 'United States'),
(163501, '216.119.137.240', '216.119.137.255', 3631712752, 3631712767, 'CA', 'Canada'),
(163502, '216.119.138.0', '216.119.138.31', 3631712768, 3631712799, 'US', 'United States'),
(163503, '216.119.138.32', '216.119.138.39', 3631712800, 3631712807, 'CN', 'China'),
(163504, '216.119.138.40', '216.119.138.55', 3631712808, 3631712823, 'US', 'United States'),
(163505, '216.119.138.56', '216.119.138.63', 3631712824, 3631712831, 'IL', 'Israel'),
(163506, '216.119.138.64', '216.119.138.127', 3631712832, 3631712895, 'US', 'United States'),
(163507, '216.119.138.128', '216.119.138.135', 3631712896, 3631712903, 'MX', 'Mexico'),
(163508, '216.119.138.136', '216.119.138.143', 3631712904, 3631712911, 'CA', 'Canada'),
(163509, '216.119.138.144', '216.119.138.159', 3631712912, 3631712927, 'US', 'United States'),
(163510, '216.119.138.160', '216.119.138.167', 3631712928, 3631712935, 'BR', 'Brazil'),
(163511, '216.119.138.168', '216.119.138.183', 3631712936, 3631712951, 'GB', 'United Kingdom'),
(163512, '216.119.138.184', '216.119.139.7', 3631712952, 3631713031, 'US', 'United States'),
(163513, '216.119.139.8', '216.119.139.15', 3631713032, 3631713039, 'BR', 'Brazil'),
(163514, '216.119.139.16', '216.119.139.23', 3631713040, 3631713047, 'IN', 'India'),
(163515, '216.119.139.24', '216.119.139.39', 3631713048, 3631713063, 'US', 'United States'),
(163516, '216.119.139.40', '216.119.139.47', 3631713064, 3631713071, 'ZA', 'South Africa'),
(163517, '216.119.139.48', '216.119.139.55', 3631713072, 3631713079, 'US', 'United States'),
(163518, '216.119.139.56', '216.119.139.63', 3631713080, 3631713087, 'BR', 'Brazil'),
(163519, '216.119.139.64', '216.119.139.71', 3631713088, 3631713095, 'GT', 'Guatemala'),
(163520, '216.119.139.72', '216.119.139.87', 3631713096, 3631713111, 'US', 'United States'),
(163521, '216.119.139.88', '216.119.139.95', 3631713112, 3631713119, 'MX', 'Mexico'),
(163522, '216.119.139.96', '216.119.139.111', 3631713120, 3631713135, 'US', 'United States'),
(163523, '216.119.139.112', '216.119.139.119', 3631713136, 3631713143, 'UA', 'Ukraine'),
(163524, '216.119.139.120', '216.121.127.255', 3631713144, 3631841279, 'US', 'United States'),
(163525, '216.121.128.0', '216.121.255.255', 3631841280, 3631874047, 'CA', 'Canada'),
(163526, '216.122.0.0', '216.122.20.31', 3631874048, 3631879199, 'US', 'United States'),
(163527, '216.122.20.32', '216.122.20.63', 3631879200, 3631879231, 'CA', 'Canada'),
(163528, '216.122.20.64', '216.122.30.31', 3631879232, 3631881759, 'US', 'United States'),
(163529, '216.122.30.32', '216.122.30.63', 3631881760, 3631881791, 'CA', 'Canada'),
(163530, '216.122.30.64', '216.122.255.255', 3631881792, 3631939583, 'US', 'United States'),
(163531, '216.123.0.0', '216.123.255.255', 3631939584, 3632005119, 'CA', 'Canada'),
(163532, '216.124.0.0', '216.126.63.255', 3632005120, 3632152575, 'US', 'United States'),
(163533, '216.126.64.0', '216.126.127.255', 3632152576, 3632168959, 'CA', 'Canada'),
(163534, '216.126.128.0', '216.126.239.255', 3632168960, 3632197631, 'US', 'United States'),
(163535, '216.126.240.0', '216.126.255.255', 3632197632, 3632201727, 'CA', 'Canada'),
(163536, '216.127.0.0', '216.127.68.136', 3632201728, 3632219272, 'US', 'United States'),
(163537, '216.127.68.137', '216.127.69.136', 3632219273, 3632219528, 'A1', 'Anonymous Proxy'),
(163538, '216.127.69.137', '216.127.72.6', 3632219529, 3632220166, 'US', 'United States'),
(163539, '216.127.72.7', '216.127.72.7', 3632220167, 3632220167, 'A1', 'Anonymous Proxy'),
(163540, '216.127.72.8', '216.127.82.96', 3632220168, 3632222816, 'US', 'United States'),
(163541, '216.127.82.97', '216.127.83.98', 3632222817, 3632223074, 'A1', 'Anonymous Proxy'),
(163542, '216.127.83.99', '216.127.119.255', 3632223075, 3632232447, 'US', 'United States'),
(163543, '216.127.120.0', '216.127.120.255', 3632232448, 3632232703, 'A2', 'Satellite Provider'),
(163544, '216.127.121.0', '216.127.165.255', 3632232704, 3632244223, 'US', 'United States'),
(163545, '216.127.166.0', '216.127.166.255', 3632244224, 3632244479, 'CA', 'Canada'),
(163546, '216.127.167.0', '216.128.68.207', 3632244480, 3632284879, 'US', 'United States'),
(163547, '216.128.68.208', '216.128.68.223', 3632284880, 3632284895, 'CA', 'Canada'),
(163548, '216.128.68.224', '216.128.75.15', 3632284896, 3632286479, 'US', 'United States'),
(163549, '216.128.75.16', '216.128.75.31', 3632286480, 3632286495, 'CA', 'Canada'),
(163550, '216.128.75.32', '216.128.87.47', 3632286496, 3632289583, 'US', 'United States'),
(163551, '216.128.87.48', '216.128.87.63', 3632289584, 3632289599, 'PH', 'Philippines');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(163552, '216.128.87.64', '216.128.95.191', 3632289600, 3632291775, 'US', 'United States'),
(163553, '216.128.95.192', '216.128.95.255', 3632291776, 3632291839, 'GB', 'United Kingdom'),
(163554, '216.128.96.0', '216.128.255.255', 3632291840, 3632332799, 'US', 'United States'),
(163555, '216.129.0.0', '216.129.95.255', 3632332800, 3632357375, 'CA', 'Canada'),
(163556, '216.129.96.0', '216.129.191.255', 3632357376, 3632381951, 'US', 'United States'),
(163557, '216.129.192.0', '216.129.223.255', 3632381952, 3632390143, 'CA', 'Canada'),
(163558, '216.129.224.0', '216.130.63.255', 3632390144, 3632414719, 'US', 'United States'),
(163559, '216.130.64.0', '216.130.95.255', 3632414720, 3632422911, 'CA', 'Canada'),
(163560, '216.130.96.0', '216.130.194.255', 3632422912, 3632448255, 'US', 'United States'),
(163561, '216.130.195.0', '216.130.195.255', 3632448256, 3632448511, 'CA', 'Canada'),
(163562, '216.130.196.0', '216.130.207.255', 3632448512, 3632451583, 'US', 'United States'),
(163563, '216.130.208.0', '216.130.223.255', 3632451584, 3632455679, 'CA', 'Canada'),
(163564, '216.130.224.0', '216.131.72.45', 3632455680, 3632482349, 'US', 'United States'),
(163565, '216.131.72.46', '216.131.72.46', 3632482350, 3632482350, 'A1', 'Anonymous Proxy'),
(163566, '216.131.72.47', '216.133.225.15', 3632482351, 3632652559, 'US', 'United States'),
(163567, '216.133.225.16', '216.133.225.31', 3632652560, 3632652575, 'GB', 'United Kingdom'),
(163568, '216.133.225.32', '216.134.229.199', 3632652576, 3632719303, 'US', 'United States'),
(163569, '216.134.229.200', '216.134.229.207', 3632719304, 3632719311, 'SG', 'Singapore'),
(163570, '216.134.229.208', '216.136.136.127', 3632719312, 3632826495, 'US', 'United States'),
(163571, '216.136.136.128', '216.136.136.143', 3632826496, 3632826511, 'CN', 'China'),
(163572, '216.136.136.144', '216.136.162.207', 3632826512, 3632833231, 'US', 'United States'),
(163573, '216.136.162.208', '216.136.162.223', 3632833232, 3632833247, 'CN', 'China'),
(163574, '216.136.162.224', '216.136.178.15', 3632833248, 3632837135, 'US', 'United States'),
(163575, '216.136.178.16', '216.136.178.31', 3632837136, 3632837151, 'IN', 'India'),
(163576, '216.136.178.32', '216.136.182.255', 3632837152, 3632838399, 'US', 'United States'),
(163577, '216.136.183.0', '216.136.183.31', 3632838400, 3632838431, 'TW', 'Taiwan'),
(163578, '216.136.183.32', '216.136.183.183', 3632838432, 3632838583, 'US', 'United States'),
(163579, '216.136.183.184', '216.136.183.191', 3632838584, 3632838591, 'CN', 'China'),
(163580, '216.136.183.192', '216.136.217.175', 3632838592, 3632847279, 'US', 'United States'),
(163581, '216.136.217.176', '216.136.217.191', 3632847280, 3632847295, 'CN', 'China'),
(163582, '216.136.217.192', '216.136.255.255', 3632847296, 3632857087, 'US', 'United States'),
(163583, '216.137.0.0', '216.137.15.255', 3632857088, 3632861183, 'BS', 'Bahamas'),
(163584, '216.137.16.0', '216.137.95.255', 3632861184, 3632881663, 'US', 'United States'),
(163585, '216.137.96.0', '216.137.127.255', 3632881664, 3632889855, 'CA', 'Canada'),
(163586, '216.137.128.0', '216.137.159.255', 3632889856, 3632898047, 'US', 'United States'),
(163587, '216.137.160.0', '216.137.161.31', 3632898048, 3632898335, 'CA', 'Canada'),
(163588, '216.137.161.32', '216.137.161.47', 3632898336, 3632898351, 'US', 'United States'),
(163589, '216.137.161.48', '216.137.175.255', 3632898352, 3632902143, 'CA', 'Canada'),
(163590, '216.137.176.0', '216.138.191.255', 3632902144, 3632971775, 'US', 'United States'),
(163591, '216.138.192.0', '216.138.192.255', 3632971776, 3632972031, 'CA', 'Canada'),
(163592, '216.138.193.0', '216.138.193.31', 3632972032, 3632972063, 'US', 'United States'),
(163593, '216.138.193.32', '216.138.197.31', 3632972064, 3632973087, 'CA', 'Canada'),
(163594, '216.138.197.32', '216.138.197.63', 3632973088, 3632973119, 'US', 'United States'),
(163595, '216.138.197.64', '216.138.255.255', 3632973120, 3632988159, 'CA', 'Canada'),
(163596, '216.139.0.0', '216.139.22.255', 3632988160, 3632994047, 'US', 'United States'),
(163597, '216.139.23.0', '216.139.23.255', 3632994048, 3632994303, 'A1', 'Anonymous Proxy'),
(163598, '216.139.24.0', '216.139.159.255', 3632994304, 3633029119, 'US', 'United States'),
(163599, '216.139.160.0', '216.139.161.255', 3633029120, 3633029631, 'PY', 'Paraguay'),
(163600, '216.139.162.0', '216.139.163.255', 3633029632, 3633030143, 'NI', 'Nicaragua'),
(163601, '216.139.164.0', '216.139.164.15', 3633030144, 3633030159, 'US', 'United States'),
(163602, '216.139.164.16', '216.139.164.23', 3633030160, 3633030167, 'A2', 'Satellite Provider'),
(163603, '216.139.164.24', '216.139.164.31', 3633030168, 3633030175, 'US', 'United States'),
(163604, '216.139.164.32', '216.139.164.39', 3633030176, 3633030183, 'A2', 'Satellite Provider'),
(163605, '216.139.164.40', '216.139.164.47', 3633030184, 3633030191, 'US', 'United States'),
(163606, '216.139.164.48', '216.139.164.55', 3633030192, 3633030199, 'A2', 'Satellite Provider'),
(163607, '216.139.164.56', '216.139.164.63', 3633030200, 3633030207, 'US', 'United States'),
(163608, '216.139.164.64', '216.139.164.71', 3633030208, 3633030215, 'A2', 'Satellite Provider'),
(163609, '216.139.164.72', '216.139.164.79', 3633030216, 3633030223, 'NG', 'Nigeria'),
(163610, '216.139.164.80', '216.139.164.87', 3633030224, 3633030231, 'A2', 'Satellite Provider'),
(163611, '216.139.164.88', '216.139.164.143', 3633030232, 3633030287, 'US', 'United States'),
(163612, '216.139.164.144', '216.139.164.159', 3633030288, 3633030303, 'A2', 'Satellite Provider'),
(163613, '216.139.164.160', '216.139.164.191', 3633030304, 3633030335, 'US', 'United States'),
(163614, '216.139.164.192', '216.139.164.215', 3633030336, 3633030359, 'A2', 'Satellite Provider'),
(163615, '216.139.164.216', '216.139.165.255', 3633030360, 3633030655, 'US', 'United States'),
(163616, '216.139.166.0', '216.139.166.255', 3633030656, 3633030911, 'SN', 'Senegal'),
(163617, '216.139.167.0', '216.139.167.255', 3633030912, 3633031167, 'A2', 'Satellite Provider'),
(163618, '216.139.168.0', '216.139.169.191', 3633031168, 3633031615, 'US', 'United States'),
(163619, '216.139.169.192', '216.139.169.199', 3633031616, 3633031623, 'A2', 'Satellite Provider'),
(163620, '216.139.169.200', '216.139.169.223', 3633031624, 3633031647, 'US', 'United States'),
(163621, '216.139.169.224', '216.139.169.231', 3633031648, 3633031655, 'NG', 'Nigeria'),
(163622, '216.139.169.232', '216.139.169.255', 3633031656, 3633031679, 'US', 'United States'),
(163623, '216.139.170.0', '216.139.170.255', 3633031680, 3633031935, 'A2', 'Satellite Provider'),
(163624, '216.139.171.0', '216.139.171.255', 3633031936, 3633032191, 'PG', 'Papua New Guinea'),
(163625, '216.139.172.0', '216.139.172.31', 3633032192, 3633032223, 'US', 'United States'),
(163626, '216.139.172.32', '216.139.172.39', 3633032224, 3633032231, 'NG', 'Nigeria'),
(163627, '216.139.172.40', '216.139.172.47', 3633032232, 3633032239, 'US', 'United States'),
(163628, '216.139.172.48', '216.139.172.55', 3633032240, 3633032247, 'A2', 'Satellite Provider'),
(163629, '216.139.172.56', '216.139.172.79', 3633032248, 3633032271, 'US', 'United States'),
(163630, '216.139.172.80', '216.139.172.87', 3633032272, 3633032279, 'A2', 'Satellite Provider'),
(163631, '216.139.172.88', '216.139.172.95', 3633032280, 3633032287, 'US', 'United States'),
(163632, '216.139.172.96', '216.139.172.127', 3633032288, 3633032319, 'GQ', 'Equatorial Guinea'),
(163633, '216.139.172.128', '216.139.172.223', 3633032320, 3633032415, 'US', 'United States'),
(163634, '216.139.172.224', '216.139.172.239', 3633032416, 3633032431, 'NG', 'Nigeria'),
(163635, '216.139.172.240', '216.139.172.247', 3633032432, 3633032439, 'US', 'United States'),
(163636, '216.139.172.248', '216.139.172.255', 3633032440, 3633032447, 'A2', 'Satellite Provider'),
(163637, '216.139.173.0', '216.139.173.95', 3633032448, 3633032543, 'US', 'United States'),
(163638, '216.139.173.96', '216.139.173.119', 3633032544, 3633032567, 'NG', 'Nigeria'),
(163639, '216.139.173.120', '216.139.173.143', 3633032568, 3633032591, 'US', 'United States'),
(163640, '216.139.173.144', '216.139.173.159', 3633032592, 3633032607, 'A2', 'Satellite Provider'),
(163641, '216.139.173.160', '216.139.176.31', 3633032608, 3633033247, 'US', 'United States'),
(163642, '216.139.176.32', '216.139.176.39', 3633033248, 3633033255, 'A2', 'Satellite Provider'),
(163643, '216.139.176.40', '216.139.176.47', 3633033256, 3633033263, 'US', 'United States'),
(163644, '216.139.176.48', '216.139.176.55', 3633033264, 3633033271, 'A2', 'Satellite Provider'),
(163645, '216.139.176.56', '216.139.176.71', 3633033272, 3633033287, 'US', 'United States'),
(163646, '216.139.176.72', '216.139.176.79', 3633033288, 3633033295, 'GH', 'Ghana'),
(163647, '216.139.176.80', '216.139.176.87', 3633033296, 3633033303, 'NG', 'Nigeria'),
(163648, '216.139.176.88', '216.139.176.103', 3633033304, 3633033319, 'A2', 'Satellite Provider'),
(163649, '216.139.176.104', '216.139.176.111', 3633033320, 3633033327, 'NG', 'Nigeria'),
(163650, '216.139.176.112', '216.139.176.119', 3633033328, 3633033335, 'US', 'United States'),
(163651, '216.139.176.120', '216.139.176.143', 3633033336, 3633033359, 'A2', 'Satellite Provider'),
(163652, '216.139.176.144', '216.139.176.151', 3633033360, 3633033367, 'NG', 'Nigeria'),
(163653, '216.139.176.152', '216.139.176.159', 3633033368, 3633033375, 'A2', 'Satellite Provider'),
(163654, '216.139.176.160', '216.139.176.175', 3633033376, 3633033391, 'NG', 'Nigeria'),
(163655, '216.139.176.176', '216.139.176.183', 3633033392, 3633033399, 'A2', 'Satellite Provider'),
(163656, '216.139.176.184', '216.139.179.63', 3633033400, 3633034047, 'US', 'United States'),
(163657, '216.139.179.64', '216.139.179.95', 3633034048, 3633034079, 'A2', 'Satellite Provider'),
(163658, '216.139.179.96', '216.139.181.23', 3633034080, 3633034519, 'US', 'United States'),
(163659, '216.139.181.24', '216.139.181.31', 3633034520, 3633034527, 'NG', 'Nigeria'),
(163660, '216.139.181.32', '216.139.181.127', 3633034528, 3633034623, 'US', 'United States'),
(163661, '216.139.181.128', '216.139.181.255', 3633034624, 3633034751, 'NG', 'Nigeria'),
(163662, '216.139.182.0', '216.139.183.7', 3633034752, 3633035015, 'US', 'United States'),
(163663, '216.139.183.8', '216.139.183.15', 3633035016, 3633035023, 'NL', 'Netherlands'),
(163664, '216.139.183.16', '216.139.183.63', 3633035024, 3633035071, 'US', 'United States'),
(163665, '216.139.183.64', '216.139.183.79', 3633035072, 3633035087, 'NR', 'Nauru'),
(163666, '216.139.183.80', '216.139.183.87', 3633035088, 3633035095, 'CN', 'China'),
(163667, '216.139.183.88', '216.139.183.127', 3633035096, 3633035135, 'US', 'United States'),
(163668, '216.139.183.128', '216.139.183.143', 3633035136, 3633035151, 'NR', 'Nauru'),
(163669, '216.139.183.144', '216.139.183.191', 3633035152, 3633035199, 'US', 'United States'),
(163670, '216.139.183.192', '216.139.183.199', 3633035200, 3633035207, 'ID', 'Indonesia'),
(163671, '216.139.183.200', '216.139.184.23', 3633035208, 3633035287, 'US', 'United States'),
(163672, '216.139.184.24', '216.139.184.31', 3633035288, 3633035295, 'A2', 'Satellite Provider'),
(163673, '216.139.184.32', '216.139.184.47', 3633035296, 3633035311, 'US', 'United States'),
(163674, '216.139.184.48', '216.139.184.55', 3633035312, 3633035319, 'ID', 'Indonesia'),
(163675, '216.139.184.56', '216.139.184.175', 3633035320, 3633035439, 'US', 'United States'),
(163676, '216.139.184.176', '216.139.184.183', 3633035440, 3633035447, 'ID', 'Indonesia'),
(163677, '216.139.184.184', '216.139.184.191', 3633035448, 3633035455, 'US', 'United States'),
(163678, '216.139.184.192', '216.139.184.223', 3633035456, 3633035487, 'ID', 'Indonesia'),
(163679, '216.139.184.224', '216.139.185.7', 3633035488, 3633035527, 'US', 'United States'),
(163680, '216.139.185.8', '216.139.185.15', 3633035528, 3633035535, 'NG', 'Nigeria'),
(163681, '216.139.185.16', '216.139.185.31', 3633035536, 3633035551, 'US', 'United States'),
(163682, '216.139.185.32', '216.139.185.79', 3633035552, 3633035599, 'A2', 'Satellite Provider'),
(163683, '216.139.185.80', '216.139.186.255', 3633035600, 3633036031, 'US', 'United States'),
(163684, '216.139.187.0', '216.139.187.255', 3633036032, 3633036287, 'HT', 'Haiti'),
(163685, '216.139.188.0', '216.139.188.255', 3633036288, 3633036543, 'TT', 'Trinidad and Tobago'),
(163686, '216.139.189.0', '216.139.189.63', 3633036544, 3633036607, 'US', 'United States'),
(163687, '216.139.189.64', '216.139.189.127', 3633036608, 3633036671, 'A2', 'Satellite Provider'),
(163688, '216.139.189.128', '216.139.200.143', 3633036672, 3633039503, 'US', 'United States'),
(163689, '216.139.200.144', '216.139.200.159', 3633039504, 3633039519, 'CA', 'Canada'),
(163690, '216.139.200.160', '216.141.182.255', 3633039520, 3633166079, 'US', 'United States'),
(163691, '216.141.183.0', '216.141.183.127', 3633166080, 3633166207, 'MX', 'Mexico'),
(163692, '216.141.183.128', '216.144.79.255', 3633166208, 3633336319, 'US', 'United States'),
(163693, '216.144.80.0', '216.144.80.143', 3633336320, 3633336463, 'KY', 'Cayman Islands'),
(163694, '216.144.80.144', '216.144.80.159', 3633336464, 3633336479, 'US', 'United States'),
(163695, '216.144.80.160', '216.144.95.255', 3633336480, 3633340415, 'KY', 'Cayman Islands'),
(163696, '216.144.96.0', '216.144.111.255', 3633340416, 3633344511, 'US', 'United States'),
(163697, '216.144.112.0', '216.144.127.255', 3633344512, 3633348607, 'CA', 'Canada'),
(163698, '216.144.128.0', '216.145.95.255', 3633348608, 3633405951, 'US', 'United States'),
(163699, '216.145.96.0', '216.145.111.255', 3633405952, 3633410047, 'CA', 'Canada'),
(163700, '216.145.112.0', '216.146.127.255', 3633410048, 3633479679, 'US', 'United States'),
(163701, '216.146.128.0', '216.146.143.255', 3633479680, 3633483775, 'CA', 'Canada'),
(163702, '216.146.144.0', '216.147.6.0', 3633483776, 3633513984, 'US', 'United States'),
(163703, '216.147.6.1', '216.147.6.254', 3633513985, 3633514238, 'ES', 'Spain'),
(163704, '216.147.6.255', '216.147.127.255', 3633514239, 3633545215, 'US', 'United States'),
(163705, '216.147.128.0', '216.147.129.255', 3633545216, 3633545727, 'GA', 'Gabon'),
(163706, '216.147.130.0', '216.147.130.255', 3633545728, 3633545983, 'A2', 'Satellite Provider'),
(163707, '216.147.131.0', '216.147.131.255', 3633545984, 3633546239, 'US', 'United States'),
(163708, '216.147.132.0', '216.147.133.255', 3633546240, 3633546751, 'GA', 'Gabon'),
(163709, '216.147.134.0', '216.147.134.255', 3633546752, 3633547007, 'A2', 'Satellite Provider'),
(163710, '216.147.135.0', '216.147.135.255', 3633547008, 3633547263, 'US', 'United States'),
(163711, '216.147.136.0', '216.147.137.255', 3633547264, 3633547775, 'GA', 'Gabon'),
(163712, '216.147.138.0', '216.147.139.255', 3633547776, 3633548287, 'NG', 'Nigeria'),
(163713, '216.147.140.0', '216.147.140.255', 3633548288, 3633548543, 'A2', 'Satellite Provider'),
(163714, '216.147.141.0', '216.147.141.255', 3633548544, 3633548799, 'GA', 'Gabon'),
(163715, '216.147.142.0', '216.147.142.127', 3633548800, 3633548927, 'A2', 'Satellite Provider'),
(163716, '216.147.142.128', '216.147.142.255', 3633548928, 3633549055, 'GA', 'Gabon'),
(163717, '216.147.143.0', '216.147.144.63', 3633549056, 3633549375, 'A2', 'Satellite Provider'),
(163718, '216.147.144.64', '216.147.144.79', 3633549376, 3633549391, 'US', 'United States'),
(163719, '216.147.144.80', '216.147.144.255', 3633549392, 3633549567, 'A2', 'Satellite Provider'),
(163720, '216.147.145.0', '216.147.145.255', 3633549568, 3633549823, 'GA', 'Gabon'),
(163721, '216.147.146.0', '216.147.147.255', 3633549824, 3633550335, 'US', 'United States'),
(163722, '216.147.148.0', '216.147.148.95', 3633550336, 3633550431, 'A2', 'Satellite Provider'),
(163723, '216.147.148.96', '216.147.149.255', 3633550432, 3633550847, 'US', 'United States'),
(163724, '216.147.150.0', '216.147.151.255', 3633550848, 3633551359, 'GA', 'Gabon'),
(163725, '216.147.152.0', '216.147.154.255', 3633551360, 3633552127, 'US', 'United States'),
(163726, '216.147.155.0', '216.147.155.255', 3633552128, 3633552383, 'A2', 'Satellite Provider'),
(163727, '216.147.156.0', '216.147.156.255', 3633552384, 3633552639, 'US', 'United States'),
(163728, '216.147.157.0', '216.147.157.255', 3633552640, 3633552895, 'A2', 'Satellite Provider'),
(163729, '216.147.158.0', '216.147.158.255', 3633552896, 3633553151, 'US', 'United States'),
(163730, '216.147.159.0', '216.147.159.127', 3633553152, 3633553279, 'GW', 'Guinea-Bissau'),
(163731, '216.147.159.128', '216.147.159.159', 3633553280, 3633553311, 'US', 'United States'),
(163732, '216.147.159.160', '216.147.159.191', 3633553312, 3633553343, 'A2', 'Satellite Provider'),
(163733, '216.147.159.192', '216.150.188.255', 3633553344, 3633757439, 'US', 'United States'),
(163734, '216.150.189.0', '216.150.189.255', 3633757440, 3633757695, 'IN', 'India'),
(163735, '216.150.190.0', '216.151.7.15', 3633757696, 3633776399, 'US', 'United States'),
(163736, '216.151.7.16', '216.151.7.31', 3633776400, 3633776415, 'CN', 'China'),
(163737, '216.151.7.32', '216.151.7.79', 3633776416, 3633776463, 'US', 'United States'),
(163738, '216.151.7.80', '216.151.7.95', 3633776464, 3633776479, 'CN', 'China'),
(163739, '216.151.7.96', '216.151.159.255', 3633776480, 3633815551, 'US', 'United States'),
(163740, '216.151.160.0', '216.151.160.255', 3633815552, 3633815807, 'CA', 'Canada'),
(163741, '216.151.161.0', '216.151.161.31', 3633815808, 3633815839, 'US', 'United States'),
(163742, '216.151.161.32', '216.151.161.35', 3633815840, 3633815843, 'GB', 'United Kingdom'),
(163743, '216.151.161.36', '216.151.161.39', 3633815844, 3633815847, 'CA', 'Canada'),
(163744, '216.151.161.40', '216.151.161.43', 3633815848, 3633815851, 'GB', 'United Kingdom'),
(163745, '216.151.161.44', '216.151.161.71', 3633815852, 3633815879, 'US', 'United States'),
(163746, '216.151.161.72', '216.151.161.75', 3633815880, 3633815883, 'EG', 'Egypt'),
(163747, '216.151.161.76', '216.151.161.79', 3633815884, 3633815887, 'CA', 'Canada'),
(163748, '216.151.161.80', '216.151.161.123', 3633815888, 3633815931, 'US', 'United States'),
(163749, '216.151.161.124', '216.151.161.127', 3633815932, 3633815935, 'CA', 'Canada'),
(163750, '216.151.161.128', '216.151.161.135', 3633815936, 3633815943, 'US', 'United States'),
(163751, '216.151.161.136', '216.151.161.143', 3633815944, 3633815951, 'CA', 'Canada'),
(163752, '216.151.161.144', '216.151.161.159', 3633815952, 3633815967, 'US', 'United States'),
(163753, '216.151.161.160', '216.151.161.223', 3633815968, 3633816031, 'CA', 'Canada'),
(163754, '216.151.161.224', '216.151.161.227', 3633816032, 3633816035, 'US', 'United States'),
(163755, '216.151.161.228', '216.151.161.231', 3633816036, 3633816039, 'GB', 'United Kingdom'),
(163756, '216.151.161.232', '216.151.161.239', 3633816040, 3633816047, 'US', 'United States'),
(163757, '216.151.161.240', '216.151.161.243', 3633816048, 3633816051, 'CA', 'Canada'),
(163758, '216.151.161.244', '216.151.161.247', 3633816052, 3633816055, 'US', 'United States'),
(163759, '216.151.161.248', '216.151.162.15', 3633816056, 3633816079, 'CA', 'Canada'),
(163760, '216.151.162.16', '216.151.162.23', 3633816080, 3633816087, 'US', 'United States'),
(163761, '216.151.162.24', '216.151.162.55', 3633816088, 3633816119, 'CA', 'Canada'),
(163762, '216.151.162.56', '216.151.162.63', 3633816120, 3633816127, 'IN', 'India'),
(163763, '216.151.162.64', '216.151.162.79', 3633816128, 3633816143, 'US', 'United States'),
(163764, '216.151.162.80', '216.151.162.87', 3633816144, 3633816151, 'CA', 'Canada'),
(163765, '216.151.162.88', '216.151.162.95', 3633816152, 3633816159, 'IN', 'India'),
(163766, '216.151.162.96', '216.151.162.111', 3633816160, 3633816175, 'ZA', 'South Africa'),
(163767, '216.151.162.112', '216.151.162.127', 3633816176, 3633816191, 'US', 'United States'),
(163768, '216.151.162.128', '216.151.162.159', 3633816192, 3633816223, 'CA', 'Canada'),
(163769, '216.151.162.160', '216.151.162.167', 3633816224, 3633816231, 'IN', 'India'),
(163770, '216.151.162.168', '216.151.162.183', 3633816232, 3633816247, 'US', 'United States'),
(163771, '216.151.162.184', '216.151.162.191', 3633816248, 3633816255, 'IN', 'India'),
(163772, '216.151.162.192', '216.151.162.199', 3633816256, 3633816263, 'NG', 'Nigeria'),
(163773, '216.151.162.200', '216.151.162.215', 3633816264, 3633816279, 'CA', 'Canada'),
(163774, '216.151.162.216', '216.151.162.247', 3633816280, 3633816311, 'US', 'United States'),
(163775, '216.151.162.248', '216.151.162.255', 3633816312, 3633816319, 'CA', 'Canada'),
(163776, '216.151.163.0', '216.151.163.7', 3633816320, 3633816327, 'ZA', 'South Africa'),
(163777, '216.151.163.8', '216.151.163.31', 3633816328, 3633816351, 'CA', 'Canada'),
(163778, '216.151.163.32', '216.151.163.63', 3633816352, 3633816383, 'IN', 'India'),
(163779, '216.151.163.64', '216.151.163.71', 3633816384, 3633816391, 'NG', 'Nigeria'),
(163780, '216.151.163.72', '216.151.163.79', 3633816392, 3633816399, 'US', 'United States'),
(163781, '216.151.163.80', '216.151.163.87', 3633816400, 3633816407, 'CA', 'Canada'),
(163782, '216.151.163.88', '216.151.163.143', 3633816408, 3633816463, 'US', 'United States'),
(163783, '216.151.163.144', '216.151.163.151', 3633816464, 3633816471, 'CA', 'Canada'),
(163784, '216.151.163.152', '216.151.163.159', 3633816472, 3633816479, 'IN', 'India'),
(163785, '216.151.163.160', '216.151.163.175', 3633816480, 3633816495, 'CA', 'Canada'),
(163786, '216.151.163.176', '216.151.163.183', 3633816496, 3633816503, 'ZA', 'South Africa'),
(163787, '216.151.163.184', '216.151.163.191', 3633816504, 3633816511, 'IN', 'India'),
(163788, '216.151.163.192', '216.151.163.199', 3633816512, 3633816519, 'US', 'United States'),
(163789, '216.151.163.200', '216.151.163.207', 3633816520, 3633816527, 'ZA', 'South Africa'),
(163790, '216.151.163.208', '216.151.163.215', 3633816528, 3633816535, 'CA', 'Canada'),
(163791, '216.151.163.216', '216.151.163.223', 3633816536, 3633816543, 'US', 'United States'),
(163792, '216.151.163.224', '216.151.163.239', 3633816544, 3633816559, 'ZA', 'South Africa'),
(163793, '216.151.163.240', '216.151.163.247', 3633816560, 3633816567, 'IN', 'India'),
(163794, '216.151.163.248', '216.151.172.39', 3633816568, 3633818663, 'CA', 'Canada'),
(163795, '216.151.172.40', '216.151.172.43', 3633818664, 3633818667, 'US', 'United States'),
(163796, '216.151.172.44', '216.151.172.79', 3633818668, 3633818703, 'CA', 'Canada'),
(163797, '216.151.172.80', '216.151.172.87', 3633818704, 3633818711, 'US', 'United States'),
(163798, '216.151.172.88', '216.151.172.175', 3633818712, 3633818799, 'CA', 'Canada'),
(163799, '216.151.172.176', '216.151.172.183', 3633818800, 3633818807, 'US', 'United States'),
(163800, '216.151.172.184', '216.151.172.223', 3633818808, 3633818847, 'CA', 'Canada'),
(163801, '216.151.172.224', '216.151.172.231', 3633818848, 3633818855, 'US', 'United States'),
(163802, '216.151.172.232', '216.151.173.31', 3633818856, 3633818911, 'CA', 'Canada'),
(163803, '216.151.173.32', '216.151.173.39', 3633818912, 3633818919, 'US', 'United States'),
(163804, '216.151.173.40', '216.151.173.59', 3633818920, 3633818939, 'CA', 'Canada'),
(163805, '216.151.173.60', '216.151.173.63', 3633818940, 3633818943, 'US', 'United States'),
(163806, '216.151.173.64', '216.151.173.71', 3633818944, 3633818951, 'CA', 'Canada'),
(163807, '216.151.173.72', '216.151.173.79', 3633818952, 3633818959, 'US', 'United States'),
(163808, '216.151.173.80', '216.151.173.87', 3633818960, 3633818967, 'CA', 'Canada'),
(163809, '216.151.173.88', '216.151.173.103', 3633818968, 3633818983, 'US', 'United States'),
(163810, '216.151.173.104', '216.151.173.111', 3633818984, 3633818991, 'CA', 'Canada'),
(163811, '216.151.173.112', '216.151.173.119', 3633818992, 3633818999, 'US', 'United States'),
(163812, '216.151.173.120', '216.151.173.191', 3633819000, 3633819071, 'CA', 'Canada'),
(163813, '216.151.173.192', '216.151.173.199', 3633819072, 3633819079, 'US', 'United States'),
(163814, '216.151.173.200', '216.151.173.203', 3633819080, 3633819083, 'CA', 'Canada'),
(163815, '216.151.173.204', '216.151.173.223', 3633819084, 3633819103, 'US', 'United States'),
(163816, '216.151.173.224', '216.151.173.227', 3633819104, 3633819107, 'CA', 'Canada'),
(163817, '216.151.173.228', '216.151.173.231', 3633819108, 3633819111, 'US', 'United States'),
(163818, '216.151.173.232', '216.151.173.243', 3633819112, 3633819123, 'CA', 'Canada'),
(163819, '216.151.173.244', '216.151.173.247', 3633819124, 3633819127, 'US', 'United States'),
(163820, '216.151.173.248', '216.151.173.251', 3633819128, 3633819131, 'CA', 'Canada'),
(163821, '216.151.173.252', '216.151.173.255', 3633819132, 3633819135, 'EG', 'Egypt'),
(163822, '216.151.174.0', '216.151.174.63', 3633819136, 3633819199, 'IN', 'India'),
(163823, '216.151.174.64', '216.151.174.95', 3633819200, 3633819231, 'US', 'United States'),
(163824, '216.151.174.96', '216.151.174.127', 3633819232, 3633819263, 'CA', 'Canada'),
(163825, '216.151.174.128', '216.151.174.139', 3633819264, 3633819275, 'US', 'United States'),
(163826, '216.151.174.140', '216.151.174.143', 3633819276, 3633819279, 'CA', 'Canada'),
(163827, '216.151.174.144', '216.151.174.155', 3633819280, 3633819291, 'US', 'United States'),
(163828, '216.151.174.156', '216.151.174.159', 3633819292, 3633819295, 'GB', 'United Kingdom'),
(163829, '216.151.174.160', '216.151.174.167', 3633819296, 3633819303, 'US', 'United States'),
(163830, '216.151.174.168', '216.151.174.171', 3633819304, 3633819307, 'AM', 'Armenia'),
(163831, '216.151.174.172', '216.151.174.179', 3633819308, 3633819315, 'CA', 'Canada'),
(163832, '216.151.174.180', '216.151.174.195', 3633819316, 3633819331, 'US', 'United States'),
(163833, '216.151.174.196', '216.151.174.207', 3633819332, 3633819343, 'CA', 'Canada'),
(163834, '216.151.174.208', '216.151.174.211', 3633819344, 3633819347, 'US', 'United States'),
(163835, '216.151.174.212', '216.151.174.215', 3633819348, 3633819351, 'CA', 'Canada'),
(163836, '216.151.174.216', '216.151.174.255', 3633819352, 3633819391, 'US', 'United States'),
(163837, '216.151.175.0', '216.151.175.31', 3633819392, 3633819423, 'IN', 'India'),
(163838, '216.151.175.32', '216.151.175.35', 3633819424, 3633819427, 'CA', 'Canada'),
(163839, '216.151.175.36', '216.151.175.47', 3633819428, 3633819439, 'US', 'United States'),
(163840, '216.151.175.48', '216.151.175.51', 3633819440, 3633819443, 'CA', 'Canada'),
(163841, '216.151.175.52', '216.151.175.59', 3633819444, 3633819451, 'US', 'United States'),
(163842, '216.151.175.60', '216.151.175.63', 3633819452, 3633819455, 'CA', 'Canada'),
(163843, '216.151.175.64', '216.151.175.71', 3633819456, 3633819463, 'US', 'United States'),
(163844, '216.151.175.72', '216.151.175.75', 3633819464, 3633819467, 'CA', 'Canada'),
(163845, '216.151.175.76', '216.151.175.95', 3633819468, 3633819487, 'US', 'United States'),
(163846, '216.151.175.96', '216.151.175.99', 3633819488, 3633819491, 'CA', 'Canada'),
(163847, '216.151.175.100', '216.151.175.107', 3633819492, 3633819499, 'US', 'United States'),
(163848, '216.151.175.108', '216.151.175.119', 3633819500, 3633819511, 'CA', 'Canada'),
(163849, '216.151.175.120', '216.151.175.123', 3633819512, 3633819515, 'US', 'United States'),
(163850, '216.151.175.124', '216.151.175.127', 3633819516, 3633819519, 'AR', 'Argentina'),
(163851, '216.151.175.128', '216.151.175.147', 3633819520, 3633819539, 'US', 'United States'),
(163852, '216.151.175.148', '216.151.175.155', 3633819540, 3633819547, 'CA', 'Canada'),
(163853, '216.151.175.156', '216.151.175.163', 3633819548, 3633819555, 'US', 'United States'),
(163854, '216.151.175.164', '216.151.175.167', 3633819556, 3633819559, 'GB', 'United Kingdom'),
(163855, '216.151.175.168', '216.151.175.171', 3633819560, 3633819563, 'US', 'United States'),
(163856, '216.151.175.172', '216.151.175.191', 3633819564, 3633819583, 'CA', 'Canada'),
(163857, '216.151.175.192', '216.151.175.223', 3633819584, 3633819615, 'US', 'United States'),
(163858, '216.151.175.224', '216.151.175.247', 3633819616, 3633819639, 'CA', 'Canada'),
(163859, '216.151.175.248', '216.151.182.95', 3633819640, 3633821279, 'US', 'United States'),
(163860, '216.151.182.96', '216.151.182.127', 3633821280, 3633821311, 'BB', 'Barbados'),
(163861, '216.151.182.128', '216.151.185.255', 3633821312, 3633822207, 'US', 'United States'),
(163862, '216.151.186.0', '216.151.186.127', 3633822208, 3633822335, 'A1', 'Anonymous Proxy'),
(163863, '216.151.186.128', '216.151.190.255', 3633822336, 3633823487, 'US', 'United States'),
(163864, '216.151.191.0', '216.151.191.255', 3633823488, 3633823743, 'A1', 'Anonymous Proxy'),
(163865, '216.151.192.0', '216.151.207.255', 3633823744, 3633827839, 'US', 'United States'),
(163866, '216.151.208.0', '216.151.208.255', 3633827840, 3633828095, 'GB', 'United Kingdom'),
(163867, '216.151.209.0', '216.151.212.106', 3633828096, 3633828970, 'US', 'United States'),
(163868, '216.151.212.107', '216.151.212.113', 3633828971, 3633828977, 'IN', 'India'),
(163869, '216.151.212.114', '216.151.221.138', 3633828978, 3633831306, 'US', 'United States'),
(163870, '216.151.221.139', '216.151.221.170', 3633831307, 3633831338, 'IN', 'India'),
(163871, '216.151.221.171', '216.151.221.215', 3633831339, 3633831383, 'US', 'United States'),
(163872, '216.151.221.216', '216.151.221.227', 3633831384, 3633831395, 'AU', 'Australia'),
(163873, '216.151.221.228', '216.152.133.255', 3633831396, 3633874431, 'US', 'United States'),
(163874, '216.152.134.0', '216.152.134.255', 3633874432, 3633874687, 'GB', 'United Kingdom'),
(163875, '216.152.135.0', '216.152.159.255', 3633874688, 3633881087, 'US', 'United States'),
(163876, '216.152.160.0', '216.152.175.255', 3633881088, 3633885183, 'AN', 'Netherlands Antilles'),
(163877, '216.152.176.0', '216.152.191.255', 3633885184, 3633889279, 'US', 'United States'),
(163878, '216.152.192.0', '216.152.207.255', 3633889280, 3633893375, 'CA', 'Canada'),
(163879, '216.152.208.0', '216.153.38.255', 3633893376, 3633915647, 'US', 'United States'),
(163880, '216.153.39.0', '216.153.39.255', 3633915648, 3633915903, 'IT', 'Italy'),
(163881, '216.153.40.0', '216.153.64.255', 3633915904, 3633922303, 'US', 'United States'),
(163882, '216.153.65.0', '216.153.65.63', 3633922304, 3633922367, 'TN', 'Tunisia'),
(163883, '216.153.65.64', '216.153.255.255', 3633922368, 3633971199, 'US', 'United States'),
(163884, '216.154.0.0', '216.154.12.255', 3633971200, 3633974527, 'CA', 'Canada'),
(163885, '216.154.13.0', '216.154.14.255', 3633974528, 3633975039, 'US', 'United States'),
(163886, '216.154.15.0', '216.154.191.255', 3633975040, 3634020351, 'CA', 'Canada'),
(163887, '216.154.192.0', '216.155.63.255', 3634020352, 3634053119, 'US', 'United States'),
(163888, '216.155.64.0', '216.155.95.255', 3634053120, 3634061311, 'CL', 'Chile'),
(163889, '216.155.96.0', '216.155.111.159', 3634061312, 3634065311, 'US', 'United States'),
(163890, '216.155.111.160', '216.155.111.191', 3634065312, 3634065343, 'SV', 'El Salvador'),
(163891, '216.155.111.192', '216.155.223.255', 3634065344, 3634094079, 'US', 'United States'),
(163892, '216.155.224.0', '216.155.239.255', 3634094080, 3634098175, 'SE', 'Sweden'),
(163893, '216.155.240.0', '216.156.92.7', 3634098176, 3634125831, 'US', 'United States'),
(163894, '216.156.92.8', '216.156.92.15', 3634125832, 3634125839, 'CA', 'Canada'),
(163895, '216.156.92.16', '216.156.92.31', 3634125840, 3634125855, 'JP', 'Japan'),
(163896, '216.156.92.32', '216.156.92.127', 3634125856, 3634125951, 'US', 'United States'),
(163897, '216.156.92.128', '216.156.92.143', 3634125952, 3634125967, 'CA', 'Canada'),
(163898, '216.156.92.144', '216.156.129.127', 3634125968, 3634135423, 'US', 'United States'),
(163899, '216.156.129.128', '216.156.129.191', 3634135424, 3634135487, 'CA', 'Canada'),
(163900, '216.156.129.192', '216.156.132.39', 3634135488, 3634136103, 'US', 'United States'),
(163901, '216.156.132.40', '216.156.132.47', 3634136104, 3634136111, 'CA', 'Canada'),
(163902, '216.156.132.48', '216.156.140.15', 3634136112, 3634138127, 'US', 'United States'),
(163903, '216.156.140.16', '216.156.140.31', 3634138128, 3634138143, 'CA', 'Canada'),
(163904, '216.156.140.32', '216.157.82.255', 3634138144, 3634189055, 'US', 'United States'),
(163905, '216.157.83.0', '216.157.83.255', 3634189056, 3634189311, 'GB', 'United Kingdom'),
(163906, '216.157.84.0', '216.157.142.95', 3634189312, 3634204255, 'US', 'United States'),
(163907, '216.157.142.96', '216.157.142.103', 3634204256, 3634204263, 'AT', 'Austria'),
(163908, '216.157.142.104', '216.157.143.175', 3634204264, 3634204591, 'US', 'United States'),
(163909, '216.157.143.176', '216.157.143.191', 3634204592, 3634204607, 'GB', 'United Kingdom'),
(163910, '216.157.143.192', '216.158.134.1', 3634204608, 3634267649, 'US', 'United States'),
(163911, '216.158.134.2', '216.158.134.33', 3634267650, 3634267681, 'GB', 'United Kingdom'),
(163912, '216.158.134.34', '216.158.141.229', 3634267682, 3634269669, 'US', 'United States'),
(163913, '216.158.141.230', '216.158.141.239', 3634269670, 3634269679, 'GB', 'United Kingdom'),
(163914, '216.158.141.240', '216.158.142.105', 3634269680, 3634269801, 'US', 'United States'),
(163915, '216.158.142.106', '216.158.142.119', 3634269802, 3634269815, 'CA', 'Canada'),
(163916, '216.158.142.120', '216.158.143.64', 3634269816, 3634270016, 'US', 'United States'),
(163917, '216.158.143.65', '216.158.143.128', 3634270017, 3634270080, 'CN', 'China'),
(163918, '216.158.143.129', '216.158.147.0', 3634270081, 3634270976, 'US', 'United States'),
(163919, '216.158.147.1', '216.158.147.255', 3634270977, 3634271231, 'CN', 'China'),
(163920, '216.158.148.0', '216.158.148.0', 3634271232, 3634271232, 'US', 'United States'),
(163921, '216.158.148.1', '216.158.148.96', 3634271233, 3634271328, 'CA', 'Canada'),
(163922, '216.158.148.97', '216.160.10.47', 3634271329, 3634367023, 'US', 'United States'),
(163923, '216.160.10.48', '216.160.10.55', 3634367024, 3634367031, 'CA', 'Canada'),
(163924, '216.160.10.56', '216.162.63.255', 3634367032, 3634511871, 'US', 'United States'),
(163925, '216.162.64.0', '216.162.79.255', 3634511872, 3634515967, 'CA', 'Canada'),
(163926, '216.162.80.0', '216.162.223.255', 3634515968, 3634552831, 'US', 'United States'),
(163927, '216.162.224.0', '216.162.239.255', 3634552832, 3634556927, 'CA', 'Canada'),
(163928, '216.162.240.0', '216.165.191.255', 3634556928, 3634741247, 'US', 'United States'),
(163929, '216.165.192.0', '216.165.223.255', 3634741248, 3634749439, 'CA', 'Canada'),
(163930, '216.165.224.0', '216.166.6.255', 3634749440, 3634759423, 'US', 'United States'),
(163931, '216.166.7.0', '216.166.7.255', 3634759424, 3634759679, 'A1', 'Anonymous Proxy'),
(163932, '216.166.8.0', '216.166.75.255', 3634759680, 3634777087, 'US', 'United States'),
(163933, '216.166.76.0', '216.166.76.255', 3634777088, 3634777343, 'A1', 'Anonymous Proxy'),
(163934, '216.166.77.0', '216.167.223.255', 3634777344, 3634880511, 'US', 'United States'),
(163935, '216.167.224.0', '216.167.255.255', 3634880512, 3634888703, 'CA', 'Canada'),
(163936, '216.168.0.0', '216.168.95.255', 3634888704, 3634913279, 'US', 'United States'),
(163937, '216.168.96.0', '216.168.99.127', 3634913280, 3634914175, 'CA', 'Canada'),
(163938, '216.168.99.128', '216.168.99.159', 3634914176, 3634914207, 'US', 'United States'),
(163939, '216.168.99.160', '216.168.99.175', 3634914208, 3634914223, 'BM', 'Bermuda'),
(163940, '216.168.99.176', '216.168.99.191', 3634914224, 3634914239, 'US', 'United States'),
(163941, '216.168.99.192', '216.168.105.79', 3634914240, 3634915663, 'CA', 'Canada'),
(163942, '216.168.105.80', '216.168.105.95', 3634915664, 3634915679, 'US', 'United States'),
(163943, '216.168.105.96', '216.168.127.255', 3634915680, 3634921471, 'CA', 'Canada'),
(163944, '216.168.128.0', '216.168.143.255', 3634921472, 3634925567, 'US', 'United States'),
(163945, '216.168.144.0', '216.168.159.255', 3634925568, 3634929663, 'CA', 'Canada'),
(163946, '216.168.160.0', '216.169.109.255', 3634929664, 3634982399, 'US', 'United States'),
(163947, '216.169.110.0', '216.169.110.255', 3634982400, 3634982655, 'A1', 'Anonymous Proxy'),
(163948, '216.169.111.0', '216.171.88.63', 3634982656, 3635107903, 'US', 'United States'),
(163949, '216.171.88.64', '216.171.88.127', 3635107904, 3635107967, 'MX', 'Mexico'),
(163950, '216.171.88.128', '216.171.95.255', 3635107968, 3635109887, 'US', 'United States'),
(163951, '216.171.96.0', '216.171.97.151', 3635109888, 3635110295, 'CA', 'Canada'),
(163952, '216.171.97.152', '216.171.97.159', 3635110296, 3635110303, 'US', 'United States'),
(163953, '216.171.97.160', '216.171.111.255', 3635110304, 3635113983, 'CA', 'Canada'),
(163954, '216.171.112.0', '216.171.223.255', 3635113984, 3635142655, 'US', 'United States'),
(163955, '216.171.224.0', '216.171.239.255', 3635142656, 3635146751, 'CA', 'Canada'),
(163956, '216.171.240.0', '216.172.31.255', 3635146752, 3635159039, 'US', 'United States'),
(163957, '216.172.32.0', '216.172.47.255', 3635159040, 3635163135, 'CA', 'Canada'),
(163958, '216.172.48.0', '216.174.127.255', 3635163136, 3635314687, 'US', 'United States'),
(163959, '216.174.128.0', '216.174.159.255', 3635314688, 3635322879, 'CA', 'Canada'),
(163960, '216.174.160.0', '216.176.47.255', 3635322880, 3635425279, 'US', 'United States'),
(163961, '216.176.48.0', '216.176.63.255', 3635425280, 3635429375, 'CA', 'Canada'),
(163962, '216.176.64.0', '216.176.207.255', 3635429376, 3635466239, 'US', 'United States'),
(163963, '216.176.208.0', '216.176.223.255', 3635466240, 3635470335, 'CA', 'Canada'),
(163964, '216.176.224.0', '216.177.209.255', 3635470336, 3635532287, 'US', 'United States'),
(163965, '216.177.210.0', '216.177.210.15', 3635532288, 3635532303, 'ES', 'Spain'),
(163966, '216.177.210.16', '216.177.212.31', 3635532304, 3635532831, 'US', 'United States'),
(163967, '216.177.212.32', '216.177.212.63', 3635532832, 3635532863, 'VE', 'Venezuela'),
(163968, '216.177.212.64', '216.177.212.199', 3635532864, 3635532999, 'US', 'United States'),
(163969, '216.177.212.200', '216.177.212.207', 3635533000, 3635533007, 'NO', 'Norway'),
(163970, '216.177.212.208', '216.177.214.223', 3635533008, 3635533535, 'US', 'United States'),
(163971, '216.177.214.224', '216.177.214.239', 3635533536, 3635533551, 'IN', 'India'),
(163972, '216.177.214.240', '216.179.131.255', 3635533552, 3635643391, 'US', 'United States'),
(163973, '216.179.132.0', '216.179.135.255', 3635643392, 3635644415, 'JP', 'Japan'),
(163974, '216.179.136.0', '216.179.139.255', 3635644416, 3635645439, 'US', 'United States'),
(163975, '216.179.140.0', '216.179.141.255', 3635645440, 3635645951, 'HK', 'Hong Kong'),
(163976, '216.179.142.0', '216.179.143.255', 3635645952, 3635646463, 'TL', 'Timor-Leste'),
(163977, '216.179.144.0', '216.179.145.255', 3635646464, 3635646975, 'US', 'United States'),
(163978, '216.179.146.0', '216.179.147.255', 3635646976, 3635647487, 'GB', 'United Kingdom'),
(163979, '216.179.148.0', '216.179.148.255', 3635647488, 3635647743, 'US', 'United States'),
(163980, '216.179.149.0', '216.179.149.255', 3635647744, 3635647999, 'CA', 'Canada'),
(163981, '216.179.150.0', '216.179.150.255', 3635648000, 3635648255, 'TW', 'Taiwan'),
(163982, '216.179.151.0', '216.179.151.255', 3635648256, 3635648511, 'ML', 'Mali'),
(163983, '216.179.152.0', '216.179.152.255', 3635648512, 3635648767, 'US', 'United States'),
(163984, '216.179.153.0', '216.179.153.255', 3635648768, 3635649023, 'JP', 'Japan'),
(163985, '216.179.154.0', '216.179.159.255', 3635649024, 3635650559, 'US', 'United States'),
(163986, '216.179.160.0', '216.179.167.255', 3635650560, 3635652607, 'HK', 'Hong Kong'),
(163987, '216.179.168.0', '216.179.175.255', 3635652608, 3635654655, 'US', 'United States'),
(163988, '216.179.176.0', '216.179.182.255', 3635654656, 3635656447, 'HK', 'Hong Kong'),
(163989, '216.179.183.0', '216.179.183.255', 3635656448, 3635656703, 'US', 'United States'),
(163990, '216.179.184.0', '216.179.187.255', 3635656704, 3635657727, 'JP', 'Japan'),
(163991, '216.179.188.0', '216.179.193.255', 3635657728, 3635659263, 'US', 'United States'),
(163992, '216.179.194.0', '216.179.197.255', 3635659264, 3635660287, 'ID', 'Indonesia'),
(163993, '216.179.198.0', '216.179.199.255', 3635660288, 3635660799, 'US', 'United States'),
(163994, '216.179.200.0', '216.179.207.255', 3635660800, 3635662847, 'HK', 'Hong Kong'),
(163995, '216.179.208.0', '216.179.237.255', 3635662848, 3635670527, 'US', 'United States'),
(163996, '216.179.238.0', '216.179.239.255', 3635670528, 3635671039, 'TL', 'Timor-Leste'),
(163997, '216.179.240.0', '216.179.253.255', 3635671040, 3635674623, 'US', 'United States'),
(163998, '216.179.254.0', '216.179.255.255', 3635674624, 3635675135, 'HK', 'Hong Kong'),
(163999, '216.180.0.0', '216.182.162.111', 3635675136, 3635847791, 'US', 'United States'),
(164000, '216.182.162.112', '216.182.162.127', 3635847792, 3635847807, 'CA', 'Canada'),
(164001, '216.182.162.128', '216.182.196.127', 3635847808, 3635856511, 'US', 'United States'),
(164002, '216.182.196.128', '216.182.196.159', 3635856512, 3635856543, 'CA', 'Canada'),
(164003, '216.182.196.160', '216.182.255.255', 3635856544, 3635871743, 'US', 'United States'),
(164004, '216.183.0.0', '216.183.31.255', 3635871744, 3635879935, 'CA', 'Canada'),
(164005, '216.183.32.0', '216.183.79.255', 3635879936, 3635892223, 'US', 'United States'),
(164006, '216.183.80.0', '216.183.93.233', 3635892224, 3635895785, 'CA', 'Canada'),
(164007, '216.183.93.234', '216.183.93.234', 3635895786, 3635895786, 'US', 'United States'),
(164008, '216.183.93.235', '216.183.93.255', 3635895787, 3635895807, 'CA', 'Canada'),
(164009, '216.183.94.0', '216.183.94.31', 3635895808, 3635895839, 'US', 'United States'),
(164010, '216.183.94.32', '216.183.95.255', 3635895840, 3635896319, 'CA', 'Canada'),
(164011, '216.183.96.0', '216.183.127.255', 3635896320, 3635904511, 'US', 'United States'),
(164012, '216.183.128.0', '216.183.159.255', 3635904512, 3635912703, 'CA', 'Canada'),
(164013, '216.183.160.0', '216.184.95.255', 3635912704, 3635961855, 'US', 'United States'),
(164014, '216.184.96.0', '216.184.103.255', 3635961856, 3635963903, 'SV', 'El Salvador'),
(164015, '216.184.104.0', '216.184.104.255', 3635963904, 3635964159, 'US', 'United States'),
(164016, '216.184.105.0', '216.184.105.255', 3635964160, 3635964415, 'BO', 'Bolivia'),
(164017, '216.184.106.0', '216.184.111.255', 3635964416, 3635965951, 'SV', 'El Salvador'),
(164018, '216.184.112.0', '216.184.115.255', 3635965952, 3635966975, 'BO', 'Bolivia'),
(164019, '216.184.116.0', '216.184.119.255', 3635966976, 3635967999, 'PY', 'Paraguay'),
(164020, '216.184.120.0', '216.184.127.255', 3635968000, 3635970047, 'SV', 'El Salvador'),
(164021, '216.184.128.0', '216.185.63.255', 3635970048, 3636019199, 'US', 'United States'),
(164022, '216.185.64.0', '216.185.74.15', 3636019200, 3636021775, 'CA', 'Canada'),
(164023, '216.185.74.16', '216.185.74.31', 3636021776, 3636021791, 'US', 'United States'),
(164024, '216.185.74.32', '216.185.95.255', 3636021792, 3636027391, 'CA', 'Canada'),
(164025, '216.185.96.0', '216.185.96.255', 3636027392, 3636027647, 'US', 'United States'),
(164026, '216.185.97.0', '216.185.103.255', 3636027648, 3636029439, 'SG', 'Singapore'),
(164027, '216.185.104.0', '216.185.104.255', 3636029440, 3636029695, 'US', 'United States'),
(164028, '216.185.105.0', '216.185.105.71', 3636029696, 3636029767, 'SG', 'Singapore'),
(164029, '216.185.105.72', '216.185.105.79', 3636029768, 3636029775, 'CH', 'Switzerland'),
(164030, '216.185.105.80', '216.185.105.255', 3636029776, 3636029951, 'SG', 'Singapore'),
(164031, '216.185.106.0', '216.185.106.255', 3636029952, 3636030207, 'US', 'United States'),
(164032, '216.185.107.0', '216.185.110.255', 3636030208, 3636031231, 'SG', 'Singapore'),
(164033, '216.185.111.0', '216.185.113.255', 3636031232, 3636031999, 'US', 'United States'),
(164034, '216.185.114.0', '216.185.114.63', 3636032000, 3636032063, 'SG', 'Singapore'),
(164035, '216.185.114.64', '216.185.114.71', 3636032064, 3636032071, 'BR', 'Brazil'),
(164036, '216.185.114.72', '216.185.115.255', 3636032072, 3636032511, 'SG', 'Singapore'),
(164037, '216.185.116.0', '216.185.116.255', 3636032512, 3636032767, 'US', 'United States'),
(164038, '216.185.117.0', '216.185.119.191', 3636032768, 3636033471, 'SG', 'Singapore'),
(164039, '216.185.119.192', '216.185.119.199', 3636033472, 3636033479, 'US', 'United States'),
(164040, '216.185.119.200', '216.185.119.239', 3636033480, 3636033519, 'SG', 'Singapore'),
(164041, '216.185.119.240', '216.185.120.255', 3636033520, 3636033791, 'US', 'United States'),
(164042, '216.185.121.0', '216.185.122.255', 3636033792, 3636034303, 'SG', 'Singapore'),
(164043, '216.185.123.0', '216.185.126.255', 3636034304, 3636035327, 'US', 'United States'),
(164044, '216.185.127.0', '216.185.127.255', 3636035328, 3636035583, 'SG', 'Singapore'),
(164045, '216.185.128.0', '216.185.239.255', 3636035584, 3636064255, 'US', 'United States'),
(164046, '216.185.240.0', '216.185.255.255', 3636064256, 3636068351, 'CA', 'Canada'),
(164047, '216.186.0.0', '216.187.64.223', 3636068352, 3636150495, 'US', 'United States'),
(164048, '216.187.64.224', '216.187.64.255', 3636150496, 3636150527, 'CA', 'Canada'),
(164049, '216.187.65.0', '216.187.65.255', 3636150528, 3636150783, 'US', 'United States'),
(164050, '216.187.66.0', '216.187.66.47', 3636150784, 3636150831, 'CA', 'Canada'),
(164051, '216.187.66.48', '216.187.66.127', 3636150832, 3636150911, 'US', 'United States'),
(164052, '216.187.66.128', '216.187.66.151', 3636150912, 3636150935, 'CA', 'Canada'),
(164053, '216.187.66.152', '216.187.66.159', 3636150936, 3636150943, 'US', 'United States'),
(164054, '216.187.66.160', '216.187.66.207', 3636150944, 3636150991, 'CA', 'Canada'),
(164055, '216.187.66.208', '216.187.66.223', 3636150992, 3636151007, 'US', 'United States'),
(164056, '216.187.66.224', '216.187.66.239', 3636151008, 3636151023, 'BS', 'Bahamas'),
(164057, '216.187.66.240', '216.187.66.247', 3636151024, 3636151031, 'CA', 'Canada'),
(164058, '216.187.66.248', '216.187.66.255', 3636151032, 3636151039, 'US', 'United States'),
(164059, '216.187.67.0', '216.187.68.159', 3636151040, 3636151455, 'CA', 'Canada'),
(164060, '216.187.68.160', '216.187.68.183', 3636151456, 3636151479, 'US', 'United States'),
(164061, '216.187.68.184', '216.187.68.192', 3636151480, 3636151488, 'CA', 'Canada'),
(164062, '216.187.68.193', '216.187.68.239', 3636151489, 3636151535, 'US', 'United States'),
(164063, '216.187.68.240', '216.187.68.255', 3636151536, 3636151551, 'CA', 'Canada'),
(164064, '216.187.69.0', '216.187.69.9', 3636151552, 3636151561, 'US', 'United States'),
(164065, '216.187.69.10', '216.187.69.11', 3636151562, 3636151563, 'CA', 'Canada'),
(164066, '216.187.69.12', '216.187.69.31', 3636151564, 3636151583, 'US', 'United States'),
(164067, '216.187.69.32', '216.187.69.207', 3636151584, 3636151759, 'CA', 'Canada'),
(164068, '216.187.69.208', '216.187.69.223', 3636151760, 3636151775, 'US', 'United States'),
(164069, '216.187.69.224', '216.187.71.239', 3636151776, 3636152303, 'CA', 'Canada'),
(164070, '216.187.71.240', '216.187.71.255', 3636152304, 3636152319, 'US', 'United States'),
(164071, '216.187.72.0', '216.187.72.255', 3636152320, 3636152575, 'CA', 'Canada'),
(164072, '216.187.73.0', '216.187.73.15', 3636152576, 3636152591, 'US', 'United States'),
(164073, '216.187.73.16', '216.187.73.31', 3636152592, 3636152607, 'CA', 'Canada'),
(164074, '216.187.73.32', '216.187.73.39', 3636152608, 3636152615, 'US', 'United States'),
(164075, '216.187.73.40', '216.187.73.47', 3636152616, 3636152623, 'CA', 'Canada'),
(164076, '216.187.73.48', '216.187.73.71', 3636152624, 3636152647, 'US', 'United States'),
(164077, '216.187.73.72', '216.187.73.79', 3636152648, 3636152655, 'CA', 'Canada'),
(164078, '216.187.73.80', '216.187.73.127', 3636152656, 3636152703, 'US', 'United States'),
(164079, '216.187.73.128', '216.187.73.191', 3636152704, 3636152767, 'CA', 'Canada'),
(164080, '216.187.73.192', '216.187.73.199', 3636152768, 3636152775, 'MX', 'Mexico'),
(164081, '216.187.73.200', '216.187.73.207', 3636152776, 3636152783, 'US', 'United States'),
(164082, '216.187.73.208', '216.187.73.223', 3636152784, 3636152799, 'CA', 'Canada'),
(164083, '216.187.73.224', '216.187.73.255', 3636152800, 3636152831, 'US', 'United States'),
(164084, '216.187.74.0', '216.187.74.23', 3636152832, 3636152855, 'CA', 'Canada'),
(164085, '216.187.74.24', '216.187.74.63', 3636152856, 3636152895, 'US', 'United States'),
(164086, '216.187.74.64', '216.187.74.191', 3636152896, 3636153023, 'CA', 'Canada'),
(164087, '216.187.74.192', '216.187.74.223', 3636153024, 3636153055, 'KN', 'Saint Kitts and Nevis'),
(164088, '216.187.74.224', '216.187.75.255', 3636153056, 3636153343, 'CA', 'Canada'),
(164089, '216.187.76.0', '216.187.76.31', 3636153344, 3636153375, 'US', 'United States'),
(164090, '216.187.76.32', '216.187.77.223', 3636153376, 3636153823, 'CA', 'Canada'),
(164091, '216.187.77.224', '216.187.77.239', 3636153824, 3636153839, 'US', 'United States'),
(164092, '216.187.77.240', '216.187.77.247', 3636153840, 3636153847, 'CA', 'Canada'),
(164093, '216.187.77.248', '216.187.77.255', 3636153848, 3636153855, 'US', 'United States'),
(164094, '216.187.78.0', '216.187.82.15', 3636153856, 3636154895, 'CA', 'Canada'),
(164095, '216.187.82.16', '216.187.82.31', 3636154896, 3636154911, 'US', 'United States'),
(164096, '216.187.82.32', '216.187.82.95', 3636154912, 3636154975, 'CA', 'Canada'),
(164097, '216.187.82.96', '216.187.82.99', 3636154976, 3636154979, 'US', 'United States'),
(164098, '216.187.82.100', '216.187.82.110', 3636154980, 3636154990, 'CA', 'Canada'),
(164099, '216.187.82.111', '216.187.82.191', 3636154991, 3636155071, 'US', 'United States'),
(164100, '216.187.82.192', '216.187.83.255', 3636155072, 3636155391, 'CA', 'Canada'),
(164101, '216.187.84.0', '216.187.84.15', 3636155392, 3636155407, 'US', 'United States'),
(164102, '216.187.84.16', '216.187.84.63', 3636155408, 3636155455, 'CA', 'Canada'),
(164103, '216.187.84.64', '216.187.84.127', 3636155456, 3636155519, 'US', 'United States'),
(164104, '216.187.84.128', '216.187.85.127', 3636155520, 3636155775, 'CA', 'Canada'),
(164105, '216.187.85.128', '216.187.85.191', 3636155776, 3636155839, 'US', 'United States'),
(164106, '216.187.85.192', '216.187.86.255', 3636155840, 3636156159, 'CA', 'Canada'),
(164107, '216.187.87.0', '216.187.87.31', 3636156160, 3636156191, 'US', 'United States'),
(164108, '216.187.87.32', '216.187.87.95', 3636156192, 3636156255, 'CA', 'Canada'),
(164109, '216.187.87.96', '216.187.87.96', 3636156256, 3636156256, 'US', 'United States'),
(164110, '216.187.87.97', '216.187.87.255', 3636156257, 3636156415, 'CA', 'Canada'),
(164111, '216.187.88.0', '216.187.89.255', 3636156416, 3636156927, 'US', 'United States'),
(164112, '216.187.90.0', '216.187.90.135', 3636156928, 3636157063, 'CA', 'Canada'),
(164113, '216.187.90.136', '216.187.90.239', 3636157064, 3636157167, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(164114, '216.187.90.240', '216.187.90.255', 3636157168, 3636157183, 'CA', 'Canada'),
(164115, '216.187.91.0', '216.187.91.255', 3636157184, 3636157439, 'US', 'United States'),
(164116, '216.187.92.0', '216.187.94.63', 3636157440, 3636158015, 'CA', 'Canada'),
(164117, '216.187.94.64', '216.187.94.79', 3636158016, 3636158031, 'US', 'United States'),
(164118, '216.187.94.80', '216.187.94.111', 3636158032, 3636158063, 'CA', 'Canada'),
(164119, '216.187.94.112', '216.187.94.127', 3636158064, 3636158079, 'US', 'United States'),
(164120, '216.187.94.128', '216.187.95.7', 3636158080, 3636158215, 'CA', 'Canada'),
(164121, '216.187.95.8', '216.187.95.15', 3636158216, 3636158223, 'US', 'United States'),
(164122, '216.187.95.16', '216.187.95.127', 3636158224, 3636158335, 'CA', 'Canada'),
(164123, '216.187.95.128', '216.187.95.143', 3636158336, 3636158351, 'US', 'United States'),
(164124, '216.187.95.144', '216.187.95.159', 3636158352, 3636158367, 'CA', 'Canada'),
(164125, '216.187.95.160', '216.187.95.191', 3636158368, 3636158399, 'US', 'United States'),
(164126, '216.187.95.192', '216.187.96.255', 3636158400, 3636158719, 'CA', 'Canada'),
(164127, '216.187.97.0', '216.187.97.31', 3636158720, 3636158751, 'US', 'United States'),
(164128, '216.187.97.32', '216.187.97.95', 3636158752, 3636158815, 'CA', 'Canada'),
(164129, '216.187.97.96', '216.187.97.111', 3636158816, 3636158831, 'US', 'United States'),
(164130, '216.187.97.112', '216.187.97.127', 3636158832, 3636158847, 'CA', 'Canada'),
(164131, '216.187.97.128', '216.187.97.255', 3636158848, 3636158975, 'US', 'United States'),
(164132, '216.187.98.0', '216.187.100.255', 3636158976, 3636159743, 'CA', 'Canada'),
(164133, '216.187.101.0', '216.187.101.31', 3636159744, 3636159775, 'US', 'United States'),
(164134, '216.187.101.32', '216.187.101.63', 3636159776, 3636159807, 'CA', 'Canada'),
(164135, '216.187.101.64', '216.187.101.95', 3636159808, 3636159839, 'US', 'United States'),
(164136, '216.187.101.96', '216.187.101.127', 3636159840, 3636159871, 'CA', 'Canada'),
(164137, '216.187.101.128', '216.187.101.255', 3636159872, 3636159999, 'IN', 'India'),
(164138, '216.187.102.0', '216.187.102.255', 3636160000, 3636160255, 'US', 'United States'),
(164139, '216.187.103.0', '216.187.103.79', 3636160256, 3636160335, 'CA', 'Canada'),
(164140, '216.187.103.80', '216.187.103.87', 3636160336, 3636160343, 'US', 'United States'),
(164141, '216.187.103.88', '216.187.103.159', 3636160344, 3636160415, 'CA', 'Canada'),
(164142, '216.187.103.160', '216.187.103.175', 3636160416, 3636160431, 'US', 'United States'),
(164143, '216.187.103.176', '216.187.105.63', 3636160432, 3636160831, 'CA', 'Canada'),
(164144, '216.187.105.64', '216.187.105.127', 3636160832, 3636160895, 'US', 'United States'),
(164145, '216.187.105.128', '216.187.105.175', 3636160896, 3636160943, 'CA', 'Canada'),
(164146, '216.187.105.176', '216.187.105.207', 3636160944, 3636160975, 'US', 'United States'),
(164147, '216.187.105.208', '216.187.106.255', 3636160976, 3636161279, 'CA', 'Canada'),
(164148, '216.187.107.0', '216.187.107.47', 3636161280, 3636161327, 'US', 'United States'),
(164149, '216.187.107.48', '216.187.107.127', 3636161328, 3636161407, 'CA', 'Canada'),
(164150, '216.187.107.128', '216.187.107.159', 3636161408, 3636161439, 'US', 'United States'),
(164151, '216.187.107.160', '216.187.107.255', 3636161440, 3636161535, 'CA', 'Canada'),
(164152, '216.187.108.0', '216.187.108.255', 3636161536, 3636161791, 'US', 'United States'),
(164153, '216.187.109.0', '216.187.109.79', 3636161792, 3636161871, 'CA', 'Canada'),
(164154, '216.187.109.80', '216.187.109.93', 3636161872, 3636161885, 'US', 'United States'),
(164155, '216.187.109.94', '216.187.109.151', 3636161886, 3636161943, 'CA', 'Canada'),
(164156, '216.187.109.152', '216.187.109.159', 3636161944, 3636161951, 'US', 'United States'),
(164157, '216.187.109.160', '216.187.109.175', 3636161952, 3636161967, 'CA', 'Canada'),
(164158, '216.187.109.176', '216.187.109.223', 3636161968, 3636162015, 'US', 'United States'),
(164159, '216.187.109.224', '216.187.111.255', 3636162016, 3636162559, 'CA', 'Canada'),
(164160, '216.187.112.0', '216.187.115.255', 3636162560, 3636163583, 'US', 'United States'),
(164161, '216.187.116.0', '216.187.117.255', 3636163584, 3636164095, 'CA', 'Canada'),
(164162, '216.187.118.0', '216.187.118.15', 3636164096, 3636164111, 'BV', 'Bouvet Island'),
(164163, '216.187.118.16', '216.187.118.47', 3636164112, 3636164143, 'CA', 'Canada'),
(164164, '216.187.118.48', '216.187.118.63', 3636164144, 3636164159, 'US', 'United States'),
(164165, '216.187.118.64', '216.187.118.159', 3636164160, 3636164255, 'CA', 'Canada'),
(164166, '216.187.118.160', '216.187.118.175', 3636164256, 3636164271, 'US', 'United States'),
(164167, '216.187.118.176', '216.187.118.223', 3636164272, 3636164319, 'CA', 'Canada'),
(164168, '216.187.118.224', '216.187.118.231', 3636164320, 3636164327, 'US', 'United States'),
(164169, '216.187.118.232', '216.187.118.239', 3636164328, 3636164335, 'CA', 'Canada'),
(164170, '216.187.118.240', '216.187.118.255', 3636164336, 3636164351, 'US', 'United States'),
(164171, '216.187.119.0', '216.187.119.255', 3636164352, 3636164607, 'CA', 'Canada'),
(164172, '216.187.120.0', '216.187.123.95', 3636164608, 3636165471, 'US', 'United States'),
(164173, '216.187.123.96', '216.187.123.127', 3636165472, 3636165503, 'CA', 'Canada'),
(164174, '216.187.123.128', '216.187.125.255', 3636165504, 3636166143, 'US', 'United States'),
(164175, '216.187.126.0', '216.187.127.255', 3636166144, 3636166655, 'CA', 'Canada'),
(164176, '216.187.128.0', '216.188.25.255', 3636166656, 3636206079, 'US', 'United States'),
(164177, '216.188.26.0', '216.188.26.255', 3636206080, 3636206335, 'AU', 'Australia'),
(164178, '216.188.27.0', '216.189.7.127', 3636206336, 3636266879, 'US', 'United States'),
(164179, '216.189.7.128', '216.189.7.159', 3636266880, 3636266911, 'HK', 'Hong Kong'),
(164180, '216.189.7.160', '216.190.255.255', 3636266912, 3636396031, 'US', 'United States'),
(164181, '216.191.0.0', '216.191.255.255', 3636396032, 3636461567, 'CA', 'Canada'),
(164182, '216.192.0.0', '216.193.197.111', 3636461568, 3636577647, 'US', 'United States'),
(164183, '216.193.197.112', '216.193.197.127', 3636577648, 3636577663, 'CA', 'Canada'),
(164184, '216.193.197.128', '216.194.63.255', 3636577664, 3636609023, 'US', 'United States'),
(164185, '216.194.64.0', '216.194.69.255', 3636609024, 3636610559, 'CA', 'Canada'),
(164186, '216.194.70.0', '216.194.70.255', 3636610560, 3636610815, 'US', 'United States'),
(164187, '216.194.71.0', '216.194.111.255', 3636610816, 3636621311, 'CA', 'Canada'),
(164188, '216.194.112.0', '216.194.127.255', 3636621312, 3636625407, 'US', 'United States'),
(164189, '216.194.128.0', '216.194.131.255', 3636625408, 3636626431, 'AR', 'Argentina'),
(164190, '216.194.132.0', '216.194.133.255', 3636626432, 3636626943, 'BR', 'Brazil'),
(164191, '216.194.134.0', '216.194.134.255', 3636626944, 3636627199, 'AR', 'Argentina'),
(164192, '216.194.135.0', '216.194.135.255', 3636627200, 3636627455, 'BR', 'Brazil'),
(164193, '216.194.136.0', '216.194.139.255', 3636627456, 3636628479, 'MX', 'Mexico'),
(164194, '216.194.140.0', '216.194.141.255', 3636628480, 3636628991, 'PE', 'Peru'),
(164195, '216.194.142.0', '216.194.159.255', 3636628992, 3636633599, 'US', 'United States'),
(164196, '216.194.176.0', '216.197.127.255', 3636637696, 3636822015, 'US', 'United States'),
(164197, '216.197.128.0', '216.197.255.255', 3636822016, 3636854783, 'CA', 'Canada'),
(164198, '216.198.0.0', '216.198.127.255', 3636854784, 3636887551, 'US', 'United States'),
(164199, '216.198.128.0', '216.198.159.255', 3636887552, 3636895743, 'CA', 'Canada'),
(164200, '216.198.160.0', '216.198.192.127', 3636895744, 3636904063, 'US', 'United States'),
(164201, '216.198.192.128', '216.198.192.159', 3636904064, 3636904095, 'GB', 'United Kingdom'),
(164202, '216.198.192.160', '216.198.192.223', 3636904096, 3636904159, 'US', 'United States'),
(164203, '216.198.192.224', '216.198.192.255', 3636904160, 3636904191, 'CA', 'Canada'),
(164204, '216.198.193.0', '216.198.193.255', 3636904192, 3636904447, 'US', 'United States'),
(164205, '216.198.194.0', '216.198.194.31', 3636904448, 3636904479, 'CA', 'Canada'),
(164206, '216.198.194.32', '216.198.194.63', 3636904480, 3636904511, 'HK', 'Hong Kong'),
(164207, '216.198.194.64', '216.198.194.95', 3636904512, 3636904543, 'CA', 'Canada'),
(164208, '216.198.194.96', '216.198.194.127', 3636904544, 3636904575, 'IN', 'India'),
(164209, '216.198.194.128', '216.198.194.159', 3636904576, 3636904607, 'US', 'United States'),
(164210, '216.198.194.160', '216.198.194.223', 3636904608, 3636904671, 'IN', 'India'),
(164211, '216.198.194.224', '216.198.197.255', 3636904672, 3636905471, 'US', 'United States'),
(164212, '216.198.198.0', '216.198.198.255', 3636905472, 3636905727, 'CA', 'Canada'),
(164213, '216.198.199.0', '216.198.199.63', 3636905728, 3636905791, 'US', 'United States'),
(164214, '216.198.199.64', '216.198.199.95', 3636905792, 3636905823, 'IN', 'India'),
(164215, '216.198.199.96', '216.198.199.159', 3636905824, 3636905887, 'US', 'United States'),
(164216, '216.198.199.160', '216.198.199.223', 3636905888, 3636905951, 'CA', 'Canada'),
(164217, '216.198.199.224', '216.198.200.31', 3636905952, 3636906015, 'US', 'United States'),
(164218, '216.198.200.32', '216.198.200.63', 3636906016, 3636906047, 'IN', 'India'),
(164219, '216.198.200.64', '216.198.200.95', 3636906048, 3636906079, 'US', 'United States'),
(164220, '216.198.200.96', '216.198.200.127', 3636906080, 3636906111, 'BE', 'Belgium'),
(164221, '216.198.200.128', '216.198.200.159', 3636906112, 3636906143, 'US', 'United States'),
(164222, '216.198.200.160', '216.198.200.191', 3636906144, 3636906175, 'BE', 'Belgium'),
(164223, '216.198.200.192', '216.198.200.223', 3636906176, 3636906207, 'IN', 'India'),
(164224, '216.198.200.224', '216.198.201.127', 3636906208, 3636906367, 'US', 'United States'),
(164225, '216.198.201.128', '216.198.201.225', 3636906368, 3636906465, 'IN', 'India'),
(164226, '216.198.201.226', '216.198.201.255', 3636906466, 3636906495, 'US', 'United States'),
(164227, '216.198.202.0', '216.198.202.127', 3636906496, 3636906623, 'CA', 'Canada'),
(164228, '216.198.202.128', '216.198.202.255', 3636906624, 3636906751, 'IN', 'India'),
(164229, '216.198.203.0', '216.198.203.127', 3636906752, 3636906879, 'US', 'United States'),
(164230, '216.198.203.128', '216.198.203.255', 3636906880, 3636907007, 'IN', 'India'),
(164231, '216.198.204.0', '216.198.204.31', 3636907008, 3636907039, 'CA', 'Canada'),
(164232, '216.198.204.32', '216.198.204.95', 3636907040, 3636907103, 'US', 'United States'),
(164233, '216.198.204.96', '216.198.204.127', 3636907104, 3636907135, 'IN', 'India'),
(164234, '216.198.204.128', '216.198.204.159', 3636907136, 3636907167, 'CA', 'Canada'),
(164235, '216.198.204.160', '216.198.204.191', 3636907168, 3636907199, 'US', 'United States'),
(164236, '216.198.204.192', '216.198.204.223', 3636907200, 3636907231, 'CA', 'Canada'),
(164237, '216.198.204.224', '216.198.206.255', 3636907232, 3636907775, 'US', 'United States'),
(164238, '216.198.207.0', '216.198.207.255', 3636907776, 3636908031, 'CA', 'Canada'),
(164239, '216.198.208.0', '216.198.209.255', 3636908032, 3636908543, 'US', 'United States'),
(164240, '216.198.210.0', '216.198.210.255', 3636908544, 3636908799, 'IN', 'India'),
(164241, '216.198.211.0', '216.198.211.63', 3636908800, 3636908863, 'US', 'United States'),
(164242, '216.198.211.64', '216.198.211.191', 3636908864, 3636908991, 'CA', 'Canada'),
(164243, '216.198.211.192', '216.198.211.255', 3636908992, 3636909055, 'US', 'United States'),
(164244, '216.198.212.0', '216.198.212.255', 3636909056, 3636909311, 'CA', 'Canada'),
(164245, '216.198.213.0', '216.198.214.95', 3636909312, 3636909663, 'US', 'United States'),
(164246, '216.198.214.96', '216.198.214.127', 3636909664, 3636909695, 'IT', 'Italy'),
(164247, '216.198.214.128', '216.198.214.159', 3636909696, 3636909727, 'CA', 'Canada'),
(164248, '216.198.214.160', '216.198.214.191', 3636909728, 3636909759, 'US', 'United States'),
(164249, '216.198.214.192', '216.198.214.223', 3636909760, 3636909791, 'CA', 'Canada'),
(164250, '216.198.214.224', '216.198.215.63', 3636909792, 3636909887, 'US', 'United States'),
(164251, '216.198.215.64', '216.198.215.127', 3636909888, 3636909951, 'IT', 'Italy'),
(164252, '216.198.215.128', '216.198.215.159', 3636909952, 3636909983, 'US', 'United States'),
(164253, '216.198.215.160', '216.198.215.191', 3636909984, 3636910015, 'TZ', 'Tanzania, United Republic of'),
(164254, '216.198.215.192', '216.198.216.255', 3636910016, 3636910335, 'US', 'United States'),
(164255, '216.198.217.0', '216.198.217.31', 3636910336, 3636910367, 'IN', 'India'),
(164256, '216.198.217.32', '216.198.217.63', 3636910368, 3636910399, 'US', 'United States'),
(164257, '216.198.217.64', '216.198.217.95', 3636910400, 3636910431, 'IN', 'India'),
(164258, '216.198.217.96', '216.198.217.159', 3636910432, 3636910495, 'US', 'United States'),
(164259, '216.198.217.160', '216.198.217.191', 3636910496, 3636910527, 'BE', 'Belgium'),
(164260, '216.198.217.192', '216.198.217.255', 3636910528, 3636910591, 'US', 'United States'),
(164261, '216.198.218.0', '216.198.218.127', 3636910592, 3636910719, 'CA', 'Canada'),
(164262, '216.198.218.128', '216.198.220.191', 3636910720, 3636911295, 'US', 'United States'),
(164263, '216.198.220.192', '216.198.220.255', 3636911296, 3636911359, 'CA', 'Canada'),
(164264, '216.198.221.0', '216.198.221.63', 3636911360, 3636911423, 'US', 'United States'),
(164265, '216.198.221.64', '216.198.221.95', 3636911424, 3636911455, 'BE', 'Belgium'),
(164266, '216.198.221.96', '216.198.221.255', 3636911456, 3636911615, 'US', 'United States'),
(164267, '216.198.222.0', '216.198.222.127', 3636911616, 3636911743, 'CA', 'Canada'),
(164268, '216.198.222.128', '216.198.222.255', 3636911744, 3636911871, 'IN', 'India'),
(164269, '216.198.223.0', '216.198.223.31', 3636911872, 3636911903, 'US', 'United States'),
(164270, '216.198.223.32', '216.198.223.63', 3636911904, 3636911935, 'CA', 'Canada'),
(164271, '216.198.223.64', '216.198.224.255', 3636911936, 3636912383, 'US', 'United States'),
(164272, '216.198.225.0', '216.198.225.63', 3636912384, 3636912447, 'JP', 'Japan'),
(164273, '216.198.225.64', '216.198.227.63', 3636912448, 3636912959, 'US', 'United States'),
(164274, '216.198.227.64', '216.198.227.95', 3636912960, 3636912991, 'BE', 'Belgium'),
(164275, '216.198.227.96', '216.198.229.127', 3636912992, 3636913535, 'US', 'United States'),
(164276, '216.198.229.128', '216.198.229.255', 3636913536, 3636913663, 'CA', 'Canada'),
(164277, '216.198.230.0', '216.198.230.255', 3636913664, 3636913919, 'US', 'United States'),
(164278, '216.198.231.0', '216.198.233.255', 3636913920, 3636914687, 'CA', 'Canada'),
(164279, '216.198.234.0', '216.198.234.191', 3636914688, 3636914879, 'US', 'United States'),
(164280, '216.198.234.192', '216.198.234.255', 3636914880, 3636914943, 'CA', 'Canada'),
(164281, '216.198.235.0', '216.198.235.159', 3636914944, 3636915103, 'US', 'United States'),
(164282, '216.198.235.160', '216.198.235.191', 3636915104, 3636915135, 'IN', 'India'),
(164283, '216.198.235.192', '216.198.235.255', 3636915136, 3636915199, 'US', 'United States'),
(164284, '216.198.236.0', '216.198.236.127', 3636915200, 3636915327, 'IN', 'India'),
(164285, '216.198.236.128', '216.198.236.255', 3636915328, 3636915455, 'CA', 'Canada'),
(164286, '216.198.237.0', '216.198.237.127', 3636915456, 3636915583, 'IN', 'India'),
(164287, '216.198.237.128', '216.198.237.255', 3636915584, 3636915711, 'CA', 'Canada'),
(164288, '216.198.238.0', '216.198.238.127', 3636915712, 3636915839, 'US', 'United States'),
(164289, '216.198.238.128', '216.198.238.255', 3636915840, 3636915967, 'CA', 'Canada'),
(164290, '216.198.239.0', '216.198.239.63', 3636915968, 3636916031, 'US', 'United States'),
(164291, '216.198.239.64', '216.198.239.95', 3636916032, 3636916063, 'CA', 'Canada'),
(164292, '216.198.239.96', '216.198.239.255', 3636916064, 3636916223, 'US', 'United States'),
(164293, '216.198.240.0', '216.198.240.127', 3636916224, 3636916351, 'CA', 'Canada'),
(164294, '216.198.240.128', '216.198.240.255', 3636916352, 3636916479, 'US', 'United States'),
(164295, '216.198.241.0', '216.198.241.127', 3636916480, 3636916607, 'CA', 'Canada'),
(164296, '216.198.241.128', '216.198.241.255', 3636916608, 3636916735, 'IN', 'India'),
(164297, '216.198.242.0', '216.198.242.191', 3636916736, 3636916927, 'US', 'United States'),
(164298, '216.198.242.192', '216.198.242.223', 3636916928, 3636916959, 'CA', 'Canada'),
(164299, '216.198.242.224', '216.198.242.255', 3636916960, 3636916991, 'US', 'United States'),
(164300, '216.198.243.0', '216.198.243.127', 3636916992, 3636917119, 'CA', 'Canada'),
(164301, '216.198.243.128', '216.198.244.7', 3636917120, 3636917255, 'US', 'United States'),
(164302, '216.198.244.8', '216.198.244.15', 3636917256, 3636917263, 'IN', 'India'),
(164303, '216.198.244.16', '216.198.244.47', 3636917264, 3636917295, 'US', 'United States'),
(164304, '216.198.244.48', '216.198.244.55', 3636917296, 3636917303, 'IN', 'India'),
(164305, '216.198.244.56', '216.198.244.111', 3636917304, 3636917359, 'US', 'United States'),
(164306, '216.198.244.112', '216.198.244.119', 3636917360, 3636917367, 'AU', 'Australia'),
(164307, '216.198.244.120', '216.198.244.199', 3636917368, 3636917447, 'US', 'United States'),
(164308, '216.198.244.200', '216.198.244.207', 3636917448, 3636917455, 'HK', 'Hong Kong'),
(164309, '216.198.244.208', '216.198.244.255', 3636917456, 3636917503, 'US', 'United States'),
(164310, '216.198.245.0', '216.198.250.255', 3636917504, 3636919039, 'CA', 'Canada'),
(164311, '216.198.251.0', '216.198.251.31', 3636919040, 3636919071, 'IN', 'India'),
(164312, '216.198.251.32', '216.198.251.63', 3636919072, 3636919103, 'US', 'United States'),
(164313, '216.198.251.64', '216.198.251.95', 3636919104, 3636919135, 'CA', 'Canada'),
(164314, '216.198.251.96', '216.198.251.127', 3636919136, 3636919167, 'IN', 'India'),
(164315, '216.198.251.128', '216.198.251.159', 3636919168, 3636919199, 'CA', 'Canada'),
(164316, '216.198.251.160', '216.198.251.191', 3636919200, 3636919231, 'IN', 'India'),
(164317, '216.198.251.192', '216.198.253.159', 3636919232, 3636919711, 'US', 'United States'),
(164318, '216.198.253.160', '216.198.253.191', 3636919712, 3636919743, 'BE', 'Belgium'),
(164319, '216.198.253.192', '216.198.253.255', 3636919744, 3636919807, 'US', 'United States'),
(164320, '216.198.254.0', '216.198.254.63', 3636919808, 3636919871, 'GB', 'United Kingdom'),
(164321, '216.198.254.64', '216.198.255.63', 3636919872, 3636920127, 'US', 'United States'),
(164322, '216.198.255.64', '216.198.255.127', 3636920128, 3636920191, 'CA', 'Canada'),
(164323, '216.198.255.128', '216.200.115.31', 3636920192, 3637015327, 'US', 'United States'),
(164324, '216.200.115.32', '216.200.115.47', 3637015328, 3637015343, 'GB', 'United Kingdom'),
(164325, '216.200.115.48', '216.201.80.15', 3637015344, 3637071887, 'US', 'United States'),
(164326, '216.201.80.16', '216.201.80.31', 3637071888, 3637071903, 'AD', 'Andorra'),
(164327, '216.201.80.32', '216.201.80.63', 3637071904, 3637071935, 'US', 'United States'),
(164328, '216.201.80.64', '216.201.80.71', 3637071936, 3637071943, 'SK', 'Slovakia'),
(164329, '216.201.80.72', '216.201.80.79', 3637071944, 3637071951, 'IL', 'Israel'),
(164330, '216.201.80.80', '216.201.80.95', 3637071952, 3637071967, 'CY', 'Cyprus'),
(164331, '216.201.80.96', '216.201.80.143', 3637071968, 3637072015, 'US', 'United States'),
(164332, '216.201.80.144', '216.201.80.159', 3637072016, 3637072031, 'CY', 'Cyprus'),
(164333, '216.201.80.160', '216.201.80.199', 3637072032, 3637072071, 'US', 'United States'),
(164334, '216.201.80.200', '216.201.80.207', 3637072072, 3637072079, 'FI', 'Finland'),
(164335, '216.201.80.208', '216.201.80.223', 3637072080, 3637072095, 'CA', 'Canada'),
(164336, '216.201.80.224', '216.201.80.255', 3637072096, 3637072127, 'GB', 'United Kingdom'),
(164337, '216.201.81.0', '216.201.81.7', 3637072128, 3637072135, 'US', 'United States'),
(164338, '216.201.81.8', '216.201.81.15', 3637072136, 3637072143, 'AD', 'Andorra'),
(164339, '216.201.81.16', '216.201.81.31', 3637072144, 3637072159, 'CY', 'Cyprus'),
(164340, '216.201.81.32', '216.201.81.151', 3637072160, 3637072279, 'US', 'United States'),
(164341, '216.201.81.152', '216.201.81.159', 3637072280, 3637072287, 'CA', 'Canada'),
(164342, '216.201.81.160', '216.201.81.175', 3637072288, 3637072303, 'NE', 'Niger'),
(164343, '216.201.81.176', '216.201.81.191', 3637072304, 3637072319, 'US', 'United States'),
(164344, '216.201.81.192', '216.201.81.207', 3637072320, 3637072335, 'IL', 'Israel'),
(164345, '216.201.81.208', '216.201.81.215', 3637072336, 3637072343, 'CA', 'Canada'),
(164346, '216.201.81.216', '216.201.83.255', 3637072344, 3637072895, 'US', 'United States'),
(164347, '216.201.84.0', '216.201.84.255', 3637072896, 3637073151, 'CY', 'Cyprus'),
(164348, '216.201.85.0', '216.201.85.15', 3637073152, 3637073167, 'US', 'United States'),
(164349, '216.201.85.16', '216.201.85.31', 3637073168, 3637073183, 'AD', 'Andorra'),
(164350, '216.201.85.32', '216.201.85.63', 3637073184, 3637073215, 'US', 'United States'),
(164351, '216.201.85.64', '216.201.85.79', 3637073216, 3637073231, 'CY', 'Cyprus'),
(164352, '216.201.85.80', '216.201.87.63', 3637073232, 3637073727, 'US', 'United States'),
(164353, '216.201.87.64', '216.201.87.127', 3637073728, 3637073791, 'CY', 'Cyprus'),
(164354, '216.201.87.128', '216.201.88.15', 3637073792, 3637073935, 'US', 'United States'),
(164355, '216.201.88.16', '216.201.88.39', 3637073936, 3637073959, 'AD', 'Andorra'),
(164356, '216.201.88.40', '216.201.89.63', 3637073960, 3637074239, 'US', 'United States'),
(164357, '216.201.89.64', '216.201.89.127', 3637074240, 3637074303, 'PA', 'Panama'),
(164358, '216.201.89.128', '216.201.90.255', 3637074304, 3637074687, 'US', 'United States'),
(164359, '216.201.91.0', '216.201.91.15', 3637074688, 3637074703, 'CA', 'Canada'),
(164360, '216.201.91.16', '216.201.91.255', 3637074704, 3637074943, 'US', 'United States'),
(164361, '216.201.92.0', '216.201.92.15', 3637074944, 3637074959, 'CA', 'Canada'),
(164362, '216.201.92.16', '216.201.95.255', 3637074960, 3637075967, 'US', 'United States'),
(164363, '216.201.96.0', '216.201.111.255', 3637075968, 3637080063, 'CA', 'Canada'),
(164364, '216.201.112.0', '216.206.189.255', 3637080064, 3637427711, 'US', 'United States'),
(164365, '216.206.190.0', '216.206.190.31', 3637427712, 3637427743, 'CA', 'Canada'),
(164366, '216.206.190.32', '216.207.96.255', 3637427744, 3637469439, 'US', 'United States'),
(164367, '216.207.97.0', '216.207.97.255', 3637469440, 3637469695, 'GE', 'Georgia'),
(164368, '216.207.98.0', '216.207.255.255', 3637469696, 3637510143, 'US', 'United States'),
(164369, '216.208.0.0', '216.208.38.255', 3637510144, 3637520127, 'CA', 'Canada'),
(164370, '216.208.39.0', '216.208.39.63', 3637520128, 3637520191, 'US', 'United States'),
(164371, '216.208.39.64', '216.208.171.223', 3637520192, 3637554143, 'CA', 'Canada'),
(164372, '216.208.171.224', '216.208.171.255', 3637554144, 3637554175, 'US', 'United States'),
(164373, '216.208.172.0', '216.209.255.255', 3637554176, 3637641215, 'CA', 'Canada'),
(164374, '216.210.0.0', '216.210.95.255', 3637641216, 3637665791, 'US', 'United States'),
(164375, '216.210.96.0', '216.210.102.111', 3637665792, 3637667439, 'CA', 'Canada'),
(164376, '216.210.102.112', '216.210.102.190', 3637667440, 3637667518, 'US', 'United States'),
(164377, '216.210.102.191', '216.210.111.255', 3637667519, 3637669887, 'CA', 'Canada'),
(164378, '216.210.112.0', '216.210.255.255', 3637669888, 3637706751, 'US', 'United States'),
(164379, '216.211.0.0', '216.211.127.255', 3637706752, 3637739519, 'CA', 'Canada'),
(164380, '216.211.128.0', '216.217.255.255', 3637739520, 3638165503, 'US', 'United States'),
(164381, '216.218.0.0', '216.218.63.255', 3638165504, 3638181887, 'CA', 'Canada'),
(164382, '216.218.64.0', '216.218.130.167', 3638181888, 3638198951, 'US', 'United States'),
(164383, '216.218.130.168', '216.218.130.175', 3638198952, 3638198959, 'BM', 'Bermuda'),
(164384, '216.218.130.176', '216.218.130.199', 3638198960, 3638198983, 'US', 'United States'),
(164385, '216.218.130.200', '216.218.130.207', 3638198984, 3638198991, 'ES', 'Spain'),
(164386, '216.218.130.208', '216.218.133.159', 3638198992, 3638199711, 'US', 'United States'),
(164387, '216.218.133.160', '216.218.133.191', 3638199712, 3638199743, 'DE', 'Germany'),
(164388, '216.218.133.192', '216.218.134.199', 3638199744, 3638200007, 'US', 'United States'),
(164389, '216.218.134.200', '216.218.134.207', 3638200008, 3638200015, 'JP', 'Japan'),
(164390, '216.218.134.208', '216.218.159.199', 3638200016, 3638206407, 'US', 'United States'),
(164391, '216.218.159.200', '216.218.159.207', 3638206408, 3638206415, 'LU', 'Luxembourg'),
(164392, '216.218.159.208', '216.218.168.15', 3638206416, 3638208527, 'US', 'United States'),
(164393, '216.218.168.16', '216.218.168.31', 3638208528, 3638208543, 'CN', 'China'),
(164394, '216.218.168.32', '216.218.190.23', 3638208544, 3638214167, 'US', 'United States'),
(164395, '216.218.190.24', '216.218.190.31', 3638214168, 3638214175, 'GB', 'United Kingdom'),
(164396, '216.218.190.32', '216.218.190.255', 3638214176, 3638214399, 'US', 'United States'),
(164397, '216.218.191.0', '216.218.191.255', 3638214400, 3638214655, 'GR', 'Greece'),
(164398, '216.218.192.0', '216.218.192.127', 3638214656, 3638214783, 'IT', 'Italy'),
(164399, '216.218.192.128', '216.218.192.215', 3638214784, 3638214871, 'US', 'United States'),
(164400, '216.218.192.216', '216.218.192.223', 3638214872, 3638214879, 'CK', 'Cook Islands'),
(164401, '216.218.192.224', '216.218.195.239', 3638214880, 3638215663, 'US', 'United States'),
(164402, '216.218.195.240', '216.218.195.255', 3638215664, 3638215679, 'GB', 'United Kingdom'),
(164403, '216.218.196.0', '216.218.196.151', 3638215680, 3638215831, 'US', 'United States'),
(164404, '216.218.196.152', '216.218.196.159', 3638215832, 3638215839, 'JP', 'Japan'),
(164405, '216.218.196.160', '216.218.196.175', 3638215840, 3638215855, 'US', 'United States'),
(164406, '216.218.196.176', '216.218.196.183', 3638215856, 3638215863, 'AU', 'Australia'),
(164407, '216.218.196.184', '216.218.200.31', 3638215864, 3638216735, 'US', 'United States'),
(164408, '216.218.200.32', '216.218.200.39', 3638216736, 3638216743, 'LU', 'Luxembourg'),
(164409, '216.218.200.40', '216.218.209.79', 3638216744, 3638219087, 'US', 'United States'),
(164410, '216.218.209.80', '216.218.209.95', 3638219088, 3638219103, 'IT', 'Italy'),
(164411, '216.218.209.96', '216.218.210.191', 3638219104, 3638219455, 'US', 'United States'),
(164412, '216.218.210.192', '216.218.210.255', 3638219456, 3638219519, 'AU', 'Australia'),
(164413, '216.218.211.0', '216.218.211.255', 3638219520, 3638219775, 'US', 'United States'),
(164414, '216.218.212.0', '216.218.212.255', 3638219776, 3638220031, 'IT', 'Italy'),
(164415, '216.218.213.0', '216.218.213.135', 3638220032, 3638220167, 'US', 'United States'),
(164416, '216.218.213.136', '216.218.213.143', 3638220168, 3638220175, 'JP', 'Japan'),
(164417, '216.218.213.144', '216.218.213.159', 3638220176, 3638220191, 'US', 'United States'),
(164418, '216.218.213.160', '216.218.213.191', 3638220192, 3638220223, 'QA', 'Qatar'),
(164419, '216.218.213.192', '216.218.214.223', 3638220224, 3638220511, 'US', 'United States'),
(164420, '216.218.214.224', '216.218.214.231', 3638220512, 3638220519, 'CN', 'China'),
(164421, '216.218.214.232', '216.218.221.7', 3638220520, 3638222087, 'US', 'United States'),
(164422, '216.218.221.8', '216.218.221.15', 3638222088, 3638222095, 'DE', 'Germany'),
(164423, '216.218.221.16', '216.218.221.63', 3638222096, 3638222143, 'US', 'United States'),
(164424, '216.218.221.64', '216.218.221.127', 3638222144, 3638222207, 'DE', 'Germany'),
(164425, '216.218.221.128', '216.218.222.127', 3638222208, 3638222463, 'US', 'United States'),
(164426, '216.218.222.128', '216.218.222.255', 3638222464, 3638222591, 'AU', 'Australia'),
(164427, '216.218.223.0', '216.218.223.31', 3638222592, 3638222623, 'CA', 'Canada'),
(164428, '216.218.223.32', '216.218.224.63', 3638222624, 3638222911, 'US', 'United States'),
(164429, '216.218.224.64', '216.218.224.71', 3638222912, 3638222919, 'IT', 'Italy'),
(164430, '216.218.224.72', '216.218.226.199', 3638222920, 3638223559, 'US', 'United States'),
(164431, '216.218.226.200', '216.218.226.207', 3638223560, 3638223567, 'PA', 'Panama'),
(164432, '216.218.226.208', '216.218.229.127', 3638223568, 3638224255, 'US', 'United States'),
(164433, '216.218.229.128', '216.218.229.143', 3638224256, 3638224271, 'IT', 'Italy'),
(164434, '216.218.229.144', '216.218.230.255', 3638224272, 3638224639, 'US', 'United States'),
(164435, '216.218.231.0', '216.218.231.255', 3638224640, 3638224895, 'GR', 'Greece'),
(164436, '216.218.232.0', '216.218.236.63', 3638224896, 3638225983, 'US', 'United States'),
(164437, '216.218.236.64', '216.218.236.95', 3638225984, 3638226015, 'IN', 'India'),
(164438, '216.218.236.96', '216.218.238.255', 3638226016, 3638226687, 'US', 'United States'),
(164439, '216.218.239.0', '216.218.239.255', 3638226688, 3638226943, 'NL', 'Netherlands'),
(164440, '216.218.240.0', '216.218.244.55', 3638226944, 3638228023, 'US', 'United States'),
(164441, '216.218.244.56', '216.218.244.63', 3638228024, 3638228031, 'GB', 'United Kingdom'),
(164442, '216.218.244.64', '216.218.249.31', 3638228032, 3638229279, 'US', 'United States'),
(164443, '216.218.249.32', '216.218.249.63', 3638229280, 3638229311, 'IT', 'Italy'),
(164444, '216.218.249.64', '216.218.254.143', 3638229312, 3638230671, 'US', 'United States'),
(164445, '216.218.254.144', '216.218.254.151', 3638230672, 3638230679, 'AU', 'Australia'),
(164446, '216.218.254.152', '216.218.255.31', 3638230680, 3638230815, 'US', 'United States'),
(164447, '216.218.255.32', '216.218.255.63', 3638230816, 3638230847, 'ES', 'Spain'),
(164448, '216.218.255.64', '216.218.255.143', 3638230848, 3638230927, 'US', 'United States'),
(164449, '216.218.255.144', '216.218.255.151', 3638230928, 3638230935, 'CA', 'Canada'),
(164450, '216.218.255.152', '216.218.255.247', 3638230936, 3638231031, 'US', 'United States'),
(164451, '216.218.255.248', '216.218.255.255', 3638231032, 3638231039, 'GB', 'United Kingdom'),
(164452, '216.219.0.0', '216.219.64.15', 3638231040, 3638247439, 'US', 'United States'),
(164453, '216.219.64.16', '216.219.64.31', 3638247440, 3638247455, 'GB', 'United Kingdom'),
(164454, '216.219.64.32', '216.219.64.63', 3638247456, 3638247487, 'US', 'United States'),
(164455, '216.219.64.64', '216.219.64.127', 3638247488, 3638247551, 'GB', 'United Kingdom'),
(164456, '216.219.64.128', '216.219.64.191', 3638247552, 3638247615, 'DE', 'Germany'),
(164457, '216.219.64.192', '216.219.64.255', 3638247616, 3638247679, 'GB', 'United Kingdom'),
(164458, '216.219.65.0', '216.219.65.175', 3638247680, 3638247855, 'US', 'United States'),
(164459, '216.219.65.176', '216.219.65.191', 3638247856, 3638247871, 'DE', 'Germany'),
(164460, '216.219.65.192', '216.219.65.223', 3638247872, 3638247903, 'US', 'United States'),
(164461, '216.219.65.224', '216.219.68.255', 3638247904, 3638248703, 'GB', 'United Kingdom'),
(164462, '216.219.69.0', '216.219.70.255', 3638248704, 3638249215, 'FR', 'France'),
(164463, '216.219.71.0', '216.219.71.255', 3638249216, 3638249471, 'GB', 'United Kingdom'),
(164464, '216.219.72.0', '216.219.73.23', 3638249472, 3638249751, 'US', 'United States'),
(164465, '216.219.73.24', '216.219.73.63', 3638249752, 3638249791, 'GB', 'United Kingdom'),
(164466, '216.219.73.64', '216.219.73.255', 3638249792, 3638249983, 'US', 'United States'),
(164467, '216.219.74.0', '216.219.74.7', 3638249984, 3638249991, 'GB', 'United Kingdom'),
(164468, '216.219.74.8', '216.219.74.15', 3638249992, 3638249999, 'US', 'United States'),
(164469, '216.219.74.16', '216.219.74.47', 3638250000, 3638250031, 'GB', 'United Kingdom'),
(164470, '216.219.74.48', '216.219.76.39', 3638250032, 3638250535, 'US', 'United States'),
(164471, '216.219.76.40', '216.219.76.47', 3638250536, 3638250543, 'GB', 'United Kingdom'),
(164472, '216.219.76.48', '216.219.76.63', 3638250544, 3638250559, 'US', 'United States'),
(164473, '216.219.76.64', '216.219.76.127', 3638250560, 3638250623, 'GB', 'United Kingdom'),
(164474, '216.219.76.128', '216.219.76.191', 3638250624, 3638250687, 'US', 'United States'),
(164475, '216.219.76.192', '216.219.76.207', 3638250688, 3638250703, 'GB', 'United Kingdom'),
(164476, '216.219.76.208', '216.219.76.223', 3638250704, 3638250719, 'US', 'United States'),
(164477, '216.219.76.224', '216.219.77.63', 3638250720, 3638250815, 'GB', 'United Kingdom'),
(164478, '216.219.77.64', '216.219.77.79', 3638250816, 3638250831, 'US', 'United States'),
(164479, '216.219.77.80', '216.219.77.95', 3638250832, 3638250847, 'GB', 'United Kingdom'),
(164480, '216.219.77.96', '216.219.77.111', 3638250848, 3638250863, 'US', 'United States'),
(164481, '216.219.77.112', '216.219.77.119', 3638250864, 3638250871, 'GB', 'United Kingdom'),
(164482, '216.219.77.120', '216.219.77.143', 3638250872, 3638250895, 'US', 'United States'),
(164483, '216.219.77.144', '216.219.77.159', 3638250896, 3638250911, 'GB', 'United Kingdom'),
(164484, '216.219.77.160', '216.219.77.231', 3638250912, 3638250983, 'US', 'United States'),
(164485, '216.219.77.232', '216.219.77.239', 3638250984, 3638250991, 'GB', 'United Kingdom'),
(164486, '216.219.77.240', '216.220.31.255', 3638250992, 3638304767, 'US', 'United States'),
(164487, '216.220.32.0', '216.220.63.255', 3638304768, 3638312959, 'CA', 'Canada'),
(164488, '216.220.64.0', '216.220.207.255', 3638312960, 3638349823, 'US', 'United States'),
(164489, '216.220.208.0', '216.220.208.255', 3638349824, 3638350079, 'AU', 'Australia'),
(164490, '216.220.209.0', '216.221.31.255', 3638350080, 3638370303, 'US', 'United States'),
(164491, '216.221.32.0', '216.221.49.95', 3638370304, 3638374751, 'CA', 'Canada'),
(164492, '216.221.49.96', '216.221.49.111', 3638374752, 3638374767, 'US', 'United States'),
(164493, '216.221.49.112', '216.221.95.255', 3638374768, 3638386687, 'CA', 'Canada'),
(164494, '216.221.96.0', '216.221.143.255', 3638386688, 3638398975, 'US', 'United States'),
(164495, '216.221.144.0', '216.221.144.15', 3638398976, 3638398991, 'GB', 'United Kingdom'),
(164496, '216.221.144.16', '216.221.144.31', 3638398992, 3638399007, 'CH', 'Switzerland'),
(164497, '216.221.144.32', '216.221.145.255', 3638399008, 3638399487, 'US', 'United States'),
(164498, '216.221.146.0', '216.221.146.127', 3638399488, 3638399615, 'CH', 'Switzerland'),
(164499, '216.221.146.128', '216.221.146.159', 3638399616, 3638399647, 'BM', 'Bermuda'),
(164500, '216.221.146.160', '216.221.146.191', 3638399648, 3638399679, 'US', 'United States'),
(164501, '216.221.146.192', '216.221.146.255', 3638399680, 3638399743, 'CA', 'Canada'),
(164502, '216.221.147.0', '216.221.147.255', 3638399744, 3638399999, 'CH', 'Switzerland'),
(164503, '216.221.148.0', '216.221.148.63', 3638400000, 3638400063, 'CA', 'Canada'),
(164504, '216.221.148.64', '216.221.149.15', 3638400064, 3638400271, 'US', 'United States'),
(164505, '216.221.149.16', '216.221.149.23', 3638400272, 3638400279, 'CA', 'Canada'),
(164506, '216.221.149.24', '216.221.150.47', 3638400280, 3638400559, 'US', 'United States'),
(164507, '216.221.150.48', '216.221.150.55', 3638400560, 3638400567, 'PA', 'Panama'),
(164508, '216.221.150.56', '216.221.150.63', 3638400568, 3638400575, 'US', 'United States'),
(164509, '216.221.150.64', '216.221.150.95', 3638400576, 3638400607, 'CA', 'Canada'),
(164510, '216.221.150.96', '216.221.150.127', 3638400608, 3638400639, 'US', 'United States'),
(164511, '216.221.150.128', '216.221.150.255', 3638400640, 3638400767, 'CA', 'Canada'),
(164512, '216.221.151.0', '216.223.62.239', 3638400768, 3638509295, 'US', 'United States'),
(164513, '216.223.62.240', '216.223.62.255', 3638509296, 3638509311, 'GB', 'United Kingdom'),
(164514, '216.223.63.0', '216.223.63.255', 3638509312, 3638509567, 'US', 'United States'),
(164515, '216.223.64.0', '216.223.131.191', 3638509568, 3638526911, 'CA', 'Canada'),
(164516, '216.223.131.192', '216.223.131.199', 3638526912, 3638526919, 'US', 'United States'),
(164517, '216.223.131.200', '216.223.138.239', 3638526920, 3638528751, 'CA', 'Canada'),
(164518, '216.223.138.240', '216.223.138.247', 3638528752, 3638528759, 'US', 'United States'),
(164519, '216.223.138.248', '216.223.143.255', 3638528760, 3638530047, 'CA', 'Canada'),
(164520, '216.223.144.0', '216.223.144.15', 3638530048, 3638530063, 'US', 'United States'),
(164521, '216.223.144.16', '216.223.144.191', 3638530064, 3638530239, 'CA', 'Canada'),
(164522, '216.223.144.192', '216.223.144.207', 3638530240, 3638530255, 'US', 'United States'),
(164523, '216.223.144.208', '216.223.158.63', 3638530256, 3638533695, 'CA', 'Canada'),
(164524, '216.223.158.64', '216.223.158.71', 3638533696, 3638533703, 'US', 'United States'),
(164525, '216.223.158.72', '216.223.159.255', 3638533704, 3638534143, 'CA', 'Canada'),
(164526, '216.223.160.0', '216.226.31.255', 3638534144, 3638697983, 'US', 'United States'),
(164527, '216.226.32.0', '216.226.63.255', 3638697984, 3638706175, 'CA', 'Canada'),
(164528, '216.226.64.0', '216.226.65.255', 3638706176, 3638706687, 'A2', 'Satellite Provider'),
(164529, '216.226.66.0', '216.226.66.255', 3638706688, 3638706943, 'NG', 'Nigeria'),
(164530, '216.226.67.0', '216.226.79.255', 3638706944, 3638710271, 'A2', 'Satellite Provider'),
(164531, '216.226.80.0', '216.228.207.255', 3638710272, 3638874111, 'US', 'United States'),
(164532, '216.228.208.0', '216.228.223.255', 3638874112, 3638878207, 'CA', 'Canada'),
(164533, '216.228.224.0', '216.230.32.255', 3638878208, 3638960383, 'US', 'United States'),
(164534, '216.230.33.0', '216.230.33.255', 3638960384, 3638960639, 'BR', 'Brazil'),
(164535, '216.230.34.0', '216.230.127.255', 3638960640, 3638984703, 'US', 'United States'),
(164536, '216.230.128.0', '216.230.132.255', 3638984704, 3638985983, 'GT', 'Guatemala'),
(164537, '216.230.133.0', '216.230.133.255', 3638985984, 3638986239, 'HN', 'Honduras'),
(164538, '216.230.134.0', '216.230.159.255', 3638986240, 3638992895, 'GT', 'Guatemala'),
(164539, '216.230.160.0', '216.231.134.255', 3638992896, 3639052031, 'US', 'United States'),
(164540, '216.231.135.0', '216.231.135.255', 3639052032, 3639052287, 'ES', 'Spain'),
(164541, '216.231.136.0', '216.231.255.255', 3639052288, 3639083007, 'US', 'United States'),
(164542, '216.232.0.0', '216.232.255.255', 3639083008, 3639148543, 'CA', 'Canada'),
(164543, '216.233.0.0', '216.234.31.255', 3639148544, 3639222271, 'US', 'United States'),
(164544, '216.234.32.0', '216.234.63.255', 3639222272, 3639230463, 'CA', 'Canada'),
(164545, '216.234.64.0', '216.234.159.255', 3639230464, 3639255039, 'US', 'United States'),
(164546, '216.234.160.0', '216.234.174.53', 3639255040, 3639258677, 'CA', 'Canada'),
(164547, '216.234.174.54', '216.234.174.54', 3639258678, 3639258678, 'IL', 'Israel'),
(164548, '216.234.174.55', '216.234.191.255', 3639258679, 3639263231, 'CA', 'Canada'),
(164549, '216.234.192.0', '216.234.255.255', 3639263232, 3639279615, 'US', 'United States'),
(164550, '216.235.0.0', '216.235.15.255', 3639279616, 3639283711, 'CA', 'Canada'),
(164551, '216.235.16.0', '216.235.246.111', 3639283712, 3639342703, 'US', 'United States'),
(164552, '216.235.246.112', '216.235.246.119', 3639342704, 3639342711, 'GB', 'United Kingdom'),
(164553, '216.235.246.120', '216.235.248.127', 3639342712, 3639343231, 'US', 'United States'),
(164554, '216.235.248.128', '216.235.248.159', 3639343232, 3639343263, 'GB', 'United Kingdom'),
(164555, '216.235.248.160', '216.235.253.63', 3639343264, 3639344447, 'US', 'United States'),
(164556, '216.235.253.64', '216.235.253.79', 3639344448, 3639344463, 'MA', 'Morocco'),
(164557, '216.235.253.80', '216.235.253.159', 3639344464, 3639344543, 'US', 'United States'),
(164558, '216.235.253.160', '216.235.253.191', 3639344544, 3639344575, 'GB', 'United Kingdom'),
(164559, '216.235.253.192', '216.235.253.207', 3639344576, 3639344591, 'PL', 'Poland'),
(164560, '216.235.253.208', '216.236.95.255', 3639344592, 3639369727, 'US', 'United States'),
(164561, '216.236.96.0', '216.236.104.255', 3639369728, 3639372031, 'A2', 'Satellite Provider'),
(164562, '216.236.105.0', '216.236.105.255', 3639372032, 3639372287, 'US', 'United States'),
(164563, '216.236.106.0', '216.236.117.255', 3639372288, 3639375359, 'A2', 'Satellite Provider'),
(164564, '216.236.118.0', '216.236.119.255', 3639375360, 3639375871, 'US', 'United States'),
(164565, '216.236.120.0', '216.236.121.255', 3639375872, 3639376383, 'A2', 'Satellite Provider'),
(164566, '216.236.122.0', '216.236.125.255', 3639376384, 3639377407, 'GU', 'Guam'),
(164567, '216.236.126.0', '216.236.175.255', 3639377408, 3639390207, 'US', 'United States'),
(164568, '216.236.176.0', '216.236.191.255', 3639390208, 3639394303, 'ZA', 'South Africa'),
(164569, '216.236.192.0', '216.236.198.255', 3639394304, 3639396095, 'US', 'United States'),
(164570, '216.236.199.0', '216.236.199.255', 3639396096, 3639396351, 'A2', 'Satellite Provider'),
(164571, '216.236.200.0', '216.236.200.31', 3639396352, 3639396383, 'NE', 'Niger'),
(164572, '216.236.200.32', '216.236.200.63', 3639396384, 3639396415, 'A2', 'Satellite Provider'),
(164573, '216.236.200.64', '216.236.200.79', 3639396416, 3639396431, 'PK', 'Pakistan'),
(164574, '216.236.200.80', '216.236.200.95', 3639396432, 3639396447, 'A2', 'Satellite Provider'),
(164575, '216.236.200.96', '216.236.200.111', 3639396448, 3639396463, 'NG', 'Nigeria'),
(164576, '216.236.200.112', '216.236.200.119', 3639396464, 3639396471, 'TZ', 'Tanzania, United Republic of'),
(164577, '216.236.200.120', '216.236.200.135', 3639396472, 3639396487, 'A2', 'Satellite Provider'),
(164578, '216.236.200.136', '216.236.200.167', 3639396488, 3639396519, 'IN', 'India'),
(164579, '216.236.200.168', '216.236.200.191', 3639396520, 3639396543, 'A2', 'Satellite Provider'),
(164580, '216.236.200.192', '216.236.200.199', 3639396544, 3639396551, 'TZ', 'Tanzania, United Republic of'),
(164581, '216.236.200.200', '216.236.201.63', 3639396552, 3639396671, 'A2', 'Satellite Provider'),
(164582, '216.236.201.64', '216.236.201.127', 3639396672, 3639396735, 'NE', 'Niger'),
(164583, '216.236.201.128', '216.236.201.135', 3639396736, 3639396743, 'IN', 'India'),
(164584, '216.236.201.136', '216.236.201.255', 3639396744, 3639396863, 'A2', 'Satellite Provider'),
(164585, '216.236.202.0', '216.236.202.15', 3639396864, 3639396879, 'NE', 'Niger'),
(164586, '216.236.202.16', '216.236.202.63', 3639396880, 3639396927, 'A2', 'Satellite Provider'),
(164587, '216.236.202.64', '216.236.202.95', 3639396928, 3639396959, 'FR', 'France'),
(164588, '216.236.202.96', '216.236.202.111', 3639396960, 3639396975, 'NG', 'Nigeria'),
(164589, '216.236.202.112', '216.236.202.127', 3639396976, 3639396991, 'A2', 'Satellite Provider'),
(164590, '216.236.202.128', '216.236.202.159', 3639396992, 3639397023, 'CD', 'Congo, The Democratic Republic of the'),
(164591, '216.236.202.160', '216.236.202.255', 3639397024, 3639397119, 'A2', 'Satellite Provider'),
(164592, '216.236.203.0', '216.236.203.255', 3639397120, 3639397375, 'IN', 'India'),
(164593, '216.236.204.0', '216.236.204.255', 3639397376, 3639397631, 'US', 'United States'),
(164594, '216.236.205.0', '216.236.205.255', 3639397632, 3639397887, 'A2', 'Satellite Provider'),
(164595, '216.236.206.0', '216.236.207.255', 3639397888, 3639398399, 'US', 'United States'),
(164596, '216.236.208.0', '216.236.208.23', 3639398400, 3639398423, 'A2', 'Satellite Provider'),
(164597, '216.236.208.24', '216.236.208.31', 3639398424, 3639398431, 'LB', 'Lebanon'),
(164598, '216.236.208.32', '216.236.208.39', 3639398432, 3639398439, 'A2', 'Satellite Provider'),
(164599, '216.236.208.40', '216.236.208.47', 3639398440, 3639398447, 'LB', 'Lebanon'),
(164600, '216.236.208.48', '216.236.208.63', 3639398448, 3639398463, 'A2', 'Satellite Provider'),
(164601, '216.236.208.64', '216.236.208.95', 3639398464, 3639398495, 'SA', 'Saudi Arabia'),
(164602, '216.236.208.96', '216.236.208.127', 3639398496, 3639398527, 'A2', 'Satellite Provider'),
(164603, '216.236.208.128', '216.236.208.191', 3639398528, 3639398591, 'SA', 'Saudi Arabia'),
(164604, '216.236.208.192', '216.236.208.199', 3639398592, 3639398599, 'LB', 'Lebanon'),
(164605, '216.236.208.200', '216.236.208.255', 3639398600, 3639398655, 'A2', 'Satellite Provider'),
(164606, '216.236.209.0', '216.236.209.7', 3639398656, 3639398663, 'SA', 'Saudi Arabia'),
(164607, '216.236.209.8', '216.236.209.255', 3639398664, 3639398911, 'A2', 'Satellite Provider'),
(164608, '216.236.210.0', '216.236.212.255', 3639398912, 3639399679, 'US', 'United States'),
(164609, '216.236.213.0', '216.236.213.255', 3639399680, 3639399935, 'HN', 'Honduras'),
(164610, '216.236.214.0', '216.236.215.255', 3639399936, 3639400447, 'A2', 'Satellite Provider'),
(164611, '216.236.216.0', '216.236.219.255', 3639400448, 3639401471, 'RS', 'Serbia'),
(164612, '216.236.220.0', '216.236.220.23', 3639401472, 3639401495, 'PK', 'Pakistan'),
(164613, '216.236.220.24', '216.236.220.39', 3639401496, 3639401511, 'A2', 'Satellite Provider'),
(164614, '216.236.220.40', '216.236.220.47', 3639401512, 3639401519, 'ID', 'Indonesia'),
(164615, '216.236.220.48', '216.236.220.63', 3639401520, 3639401535, 'A2', 'Satellite Provider'),
(164616, '216.236.220.64', '216.236.220.69', 3639401536, 3639401541, 'TZ', 'Tanzania, United Republic of'),
(164617, '216.236.220.70', '216.236.220.70', 3639401542, 3639401542, 'KE', 'Kenya'),
(164618, '216.236.220.71', '216.236.220.79', 3639401543, 3639401551, 'TZ', 'Tanzania, United Republic of'),
(164619, '216.236.220.80', '216.236.220.87', 3639401552, 3639401559, 'LK', 'Sri Lanka'),
(164620, '216.236.220.88', '216.236.220.119', 3639401560, 3639401591, 'A2', 'Satellite Provider'),
(164621, '216.236.220.120', '216.236.220.127', 3639401592, 3639401599, 'US', 'United States'),
(164622, '216.236.220.128', '216.236.220.151', 3639401600, 3639401623, 'A2', 'Satellite Provider'),
(164623, '216.236.220.152', '216.236.220.159', 3639401624, 3639401631, 'TZ', 'Tanzania, United Republic of'),
(164624, '216.236.220.160', '216.236.220.175', 3639401632, 3639401647, 'A2', 'Satellite Provider'),
(164625, '216.236.220.176', '216.236.220.183', 3639401648, 3639401655, 'PK', 'Pakistan'),
(164626, '216.236.220.184', '216.236.220.215', 3639401656, 3639401687, 'A2', 'Satellite Provider'),
(164627, '216.236.220.216', '216.236.220.255', 3639401688, 3639401727, 'PK', 'Pakistan'),
(164628, '216.236.221.0', '216.236.222.31', 3639401728, 3639402015, 'A2', 'Satellite Provider'),
(164629, '216.236.222.32', '216.236.222.55', 3639402016, 3639402039, 'PK', 'Pakistan'),
(164630, '216.236.222.56', '216.236.222.63', 3639402040, 3639402047, 'A2', 'Satellite Provider'),
(164631, '216.236.222.64', '216.236.222.71', 3639402048, 3639402055, 'US', 'United States'),
(164632, '216.236.222.72', '216.236.222.87', 3639402056, 3639402071, 'PK', 'Pakistan'),
(164633, '216.236.222.88', '216.236.222.95', 3639402072, 3639402079, 'A2', 'Satellite Provider'),
(164634, '216.236.222.96', '216.236.222.111', 3639402080, 3639402095, 'PK', 'Pakistan'),
(164635, '216.236.222.112', '216.236.222.127', 3639402096, 3639402111, 'A2', 'Satellite Provider'),
(164636, '216.236.222.128', '216.236.222.191', 3639402112, 3639402175, 'NG', 'Nigeria'),
(164637, '216.236.222.192', '216.236.222.207', 3639402176, 3639402191, 'PK', 'Pakistan'),
(164638, '216.236.222.208', '216.236.222.215', 3639402192, 3639402199, 'A2', 'Satellite Provider'),
(164639, '216.236.222.216', '216.236.222.223', 3639402200, 3639402207, 'PK', 'Pakistan'),
(164640, '216.236.222.224', '216.236.222.255', 3639402208, 3639402239, 'A2', 'Satellite Provider'),
(164641, '216.236.223.0', '216.236.223.255', 3639402240, 3639402495, 'GH', 'Ghana'),
(164642, '216.236.224.0', '216.237.113.15', 3639402496, 3639439631, 'US', 'United States'),
(164643, '216.237.113.16', '216.237.113.23', 3639439632, 3639439639, 'RO', 'Romania'),
(164644, '216.237.113.24', '216.237.117.127', 3639439640, 3639440767, 'US', 'United States'),
(164645, '216.237.117.128', '216.237.117.255', 3639440768, 3639440895, 'IN', 'India'),
(164646, '216.237.118.0', '216.238.144.151', 3639440896, 3639513239, 'US', 'United States'),
(164647, '216.238.144.152', '216.238.144.155', 3639513240, 3639513243, 'AE', 'United Arab Emirates'),
(164648, '216.238.144.156', '216.238.223.255', 3639513244, 3639533567, 'US', 'United States'),
(164649, '216.238.224.0', '216.238.239.255', 3639533568, 3639537663, 'CA', 'Canada'),
(164650, '216.238.240.0', '216.239.32.255', 3639537664, 3639550207, 'US', 'United States'),
(164651, '216.239.33.0', '216.239.33.7', 3639550208, 3639550215, 'AR', 'Argentina'),
(164652, '216.239.33.8', '216.239.33.15', 3639550216, 3639550223, 'BR', 'Brazil'),
(164653, '216.239.33.16', '216.239.33.31', 3639550224, 3639550239, 'CA', 'Canada'),
(164654, '216.239.33.32', '216.239.33.39', 3639550240, 3639550247, 'MX', 'Mexico'),
(164655, '216.239.33.40', '216.239.33.103', 3639550248, 3639550311, 'US', 'United States'),
(164656, '216.239.33.104', '216.239.33.111', 3639550312, 3639550319, 'AU', 'Australia'),
(164657, '216.239.33.112', '216.239.33.119', 3639550320, 3639550327, 'CO', 'Colombia'),
(164658, '216.239.33.120', '216.239.49.255', 3639550328, 3639554559, 'US', 'United States'),
(164659, '216.239.50.0', '216.239.50.255', 3639554560, 3639554815, 'GB', 'United Kingdom'),
(164660, '216.239.51.0', '216.239.54.255', 3639554816, 3639555839, 'US', 'United States'),
(164661, '216.239.55.0', '216.239.55.7', 3639555840, 3639555847, 'AR', 'Argentina'),
(164662, '216.239.55.8', '216.239.55.15', 3639555848, 3639555855, 'BR', 'Brazil'),
(164663, '216.239.55.16', '216.239.55.23', 3639555856, 3639555863, 'CA', 'Canada'),
(164664, '216.239.55.24', '216.239.55.31', 3639555864, 3639555871, 'MX', 'Mexico'),
(164665, '216.239.55.32', '216.239.55.159', 3639555872, 3639555999, 'US', 'United States'),
(164666, '216.239.55.160', '216.239.55.167', 3639556000, 3639556007, 'AU', 'Australia'),
(164667, '216.239.55.168', '216.239.55.175', 3639556008, 3639556015, 'CA', 'Canada'),
(164668, '216.239.55.176', '216.239.55.183', 3639556016, 3639556023, 'CO', 'Colombia'),
(164669, '216.239.55.184', '216.239.63.255', 3639556024, 3639558143, 'US', 'United States'),
(164670, '216.239.64.0', '216.239.95.255', 3639558144, 3639566335, 'CA', 'Canada'),
(164671, '216.239.96.0', '216.239.203.255', 3639566336, 3639593983, 'US', 'United States'),
(164672, '216.239.204.0', '216.239.207.255', 3639593984, 3639595007, 'GB', 'United Kingdom'),
(164673, '216.239.208.0', '216.239.255.255', 3639595008, 3639607295, 'US', 'United States'),
(164674, '216.240.0.0', '216.240.15.255', 3639607296, 3639611391, 'CA', 'Canada'),
(164675, '216.240.16.0', '216.240.191.255', 3639611392, 3639656447, 'US', 'United States');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(164676, '216.240.192.0', '216.240.207.255', 3639656448, 3639660543, 'CA', 'Canada'),
(164677, '216.240.208.0', '216.240.223.255', 3639660544, 3639664639, 'US', 'United States'),
(164678, '216.240.224.0', '216.240.239.255', 3639664640, 3639668735, 'CA', 'Canada'),
(164679, '216.240.240.0', '216.240.255.255', 3639668736, 3639672831, 'US', 'United States'),
(164680, '216.241.0.0', '216.241.31.255', 3639672832, 3639681023, 'CL', 'Chile'),
(164681, '216.241.32.0', '216.241.47.191', 3639681024, 3639685055, 'US', 'United States'),
(164682, '216.241.47.192', '216.241.47.199', 3639685056, 3639685063, 'SA', 'Saudi Arabia'),
(164683, '216.241.47.200', '216.241.223.255', 3639685064, 3639730175, 'US', 'United States'),
(164684, '216.241.224.0', '216.241.239.255', 3639730176, 3639734271, 'CA', 'Canada'),
(164685, '216.241.240.0', '216.244.66.255', 3639734272, 3639886591, 'US', 'United States'),
(164686, '216.244.67.0', '216.244.67.7', 3639886592, 3639886599, 'SG', 'Singapore'),
(164687, '216.244.67.8', '216.244.74.31', 3639886600, 3639888415, 'US', 'United States'),
(164688, '216.244.74.32', '216.244.74.39', 3639888416, 3639888423, 'ID', 'Indonesia'),
(164689, '216.244.74.40', '216.244.74.63', 3639888424, 3639888447, 'US', 'United States'),
(164690, '216.244.74.64', '216.244.74.79', 3639888448, 3639888463, 'ID', 'Indonesia'),
(164691, '216.244.74.80', '216.244.76.66', 3639888464, 3639888962, 'US', 'United States'),
(164692, '216.244.76.67', '216.244.76.67', 3639888963, 3639888963, 'ID', 'Indonesia'),
(164693, '216.244.76.68', '216.244.76.90', 3639888964, 3639888986, 'US', 'United States'),
(164694, '216.244.76.91', '216.244.76.91', 3639888987, 3639888987, 'ID', 'Indonesia'),
(164695, '216.244.76.92', '216.244.89.135', 3639888988, 3639892359, 'US', 'United States'),
(164696, '216.244.89.136', '216.244.89.143', 3639892360, 3639892367, 'ID', 'Indonesia'),
(164697, '216.244.89.144', '216.244.89.151', 3639892368, 3639892375, 'US', 'United States'),
(164698, '216.244.89.152', '216.244.89.159', 3639892376, 3639892383, 'ID', 'Indonesia'),
(164699, '216.244.89.160', '216.244.89.191', 3639892384, 3639892415, 'US', 'United States'),
(164700, '216.244.89.192', '216.244.89.207', 3639892416, 3639892431, 'MX', 'Mexico'),
(164701, '216.244.89.208', '216.244.93.255', 3639892432, 3639893503, 'US', 'United States'),
(164702, '216.244.94.0', '216.244.94.15', 3639893504, 3639893519, 'ID', 'Indonesia'),
(164703, '216.244.94.16', '216.244.127.255', 3639893520, 3639902207, 'US', 'United States'),
(164704, '216.244.128.0', '216.244.191.255', 3639902208, 3639918591, 'PE', 'Peru'),
(164705, '216.244.192.0', '216.244.255.255', 3639918592, 3639934975, 'AR', 'Argentina'),
(164706, '216.245.0.0', '216.246.4.215', 3639934976, 3640001751, 'US', 'United States'),
(164707, '216.246.4.216', '216.246.4.223', 3640001752, 3640001759, 'IL', 'Israel'),
(164708, '216.246.4.224', '216.246.10.167', 3640001760, 3640003239, 'US', 'United States'),
(164709, '216.246.10.168', '216.246.10.175', 3640003240, 3640003247, 'TR', 'Turkey'),
(164710, '216.246.10.176', '216.246.26.143', 3640003248, 3640007311, 'US', 'United States'),
(164711, '216.246.26.144', '216.246.26.151', 3640007312, 3640007319, 'HK', 'Hong Kong'),
(164712, '216.246.26.152', '216.246.26.191', 3640007320, 3640007359, 'US', 'United States'),
(164713, '216.246.26.192', '216.246.26.199', 3640007360, 3640007367, 'SO', 'Somalia'),
(164714, '216.246.26.200', '216.246.49.39', 3640007368, 3640013095, 'US', 'United States'),
(164715, '216.246.49.40', '216.246.49.47', 3640013096, 3640013103, 'CA', 'Canada'),
(164716, '216.246.49.48', '216.246.51.199', 3640013104, 3640013767, 'US', 'United States'),
(164717, '216.246.51.200', '216.246.51.207', 3640013768, 3640013775, 'GI', 'Gibraltar'),
(164718, '216.246.51.208', '216.246.88.39', 3640013776, 3640023079, 'US', 'United States'),
(164719, '216.246.88.40', '216.246.88.47', 3640023080, 3640023087, 'EG', 'Egypt'),
(164720, '216.246.88.48', '216.246.88.191', 3640023088, 3640023231, 'US', 'United States'),
(164721, '216.246.88.192', '216.246.88.207', 3640023232, 3640023247, 'GI', 'Gibraltar'),
(164722, '216.246.88.208', '216.246.88.231', 3640023248, 3640023271, 'US', 'United States'),
(164723, '216.246.88.232', '216.246.88.239', 3640023272, 3640023279, 'HK', 'Hong Kong'),
(164724, '216.246.88.240', '216.246.105.23', 3640023280, 3640027415, 'US', 'United States'),
(164725, '216.246.105.24', '216.246.105.31', 3640027416, 3640027423, 'GB', 'United Kingdom'),
(164726, '216.246.105.32', '216.246.108.47', 3640027424, 3640028207, 'US', 'United States'),
(164727, '216.246.108.48', '216.246.108.55', 3640028208, 3640028215, 'GB', 'United Kingdom'),
(164728, '216.246.108.56', '216.246.108.135', 3640028216, 3640028295, 'US', 'United States'),
(164729, '216.246.108.136', '216.246.108.143', 3640028296, 3640028303, 'CA', 'Canada'),
(164730, '216.246.108.144', '216.246.108.175', 3640028304, 3640028335, 'US', 'United States'),
(164731, '216.246.108.176', '216.246.108.183', 3640028336, 3640028343, 'CA', 'Canada'),
(164732, '216.246.108.184', '216.246.109.31', 3640028344, 3640028447, 'US', 'United States'),
(164733, '216.246.109.32', '216.246.109.39', 3640028448, 3640028455, 'GB', 'United Kingdom'),
(164734, '216.246.109.40', '216.246.109.79', 3640028456, 3640028495, 'US', 'United States'),
(164735, '216.246.109.80', '216.246.109.87', 3640028496, 3640028503, 'MY', 'Malaysia'),
(164736, '216.246.109.88', '216.246.109.175', 3640028504, 3640028591, 'US', 'United States'),
(164737, '216.246.109.176', '216.246.109.183', 3640028592, 3640028599, 'CA', 'Canada'),
(164738, '216.246.109.184', '216.246.223.255', 3640028600, 3640057855, 'US', 'United States'),
(164739, '216.246.224.0', '216.246.255.255', 3640057856, 3640066047, 'CA', 'Canada'),
(164740, '216.247.0.0', '216.247.36.127', 3640066048, 3640075391, 'US', 'United States'),
(164741, '216.247.36.128', '216.247.36.143', 3640075392, 3640075407, 'NL', 'Netherlands'),
(164742, '216.247.36.144', '216.247.37.239', 3640075408, 3640075759, 'US', 'United States'),
(164743, '216.247.37.240', '216.247.37.255', 3640075760, 3640075775, 'CA', 'Canada'),
(164744, '216.247.38.0', '216.247.179.191', 3640075776, 3640112063, 'US', 'United States'),
(164745, '216.247.179.192', '216.247.179.207', 3640112064, 3640112079, 'NL', 'Netherlands'),
(164746, '216.247.179.208', '216.247.181.191', 3640112080, 3640112575, 'US', 'United States'),
(164747, '216.247.181.192', '216.247.181.207', 3640112576, 3640112591, 'NL', 'Netherlands'),
(164748, '216.247.181.208', '216.248.255.255', 3640112592, 3640197119, 'US', 'United States'),
(164749, '216.249.0.0', '216.249.15.255', 3640197120, 3640201215, 'CA', 'Canada'),
(164750, '216.249.16.0', '216.249.31.255', 3640201216, 3640205311, 'US', 'United States'),
(164751, '216.249.32.0', '216.249.47.255', 3640205312, 3640209407, 'BM', 'Bermuda'),
(164752, '216.249.48.0', '216.249.63.255', 3640209408, 3640213503, 'CA', 'Canada'),
(164753, '216.249.64.0', '216.250.95.255', 3640213504, 3640287231, 'US', 'United States'),
(164754, '216.250.96.0', '216.250.111.255', 3640287232, 3640291327, 'CA', 'Canada'),
(164755, '216.250.112.0', '216.250.193.15', 3640291328, 3640312079, 'US', 'United States'),
(164756, '216.250.193.16', '216.250.193.31', 3640312080, 3640312095, 'ID', 'Indonesia'),
(164757, '216.250.193.32', '216.250.193.39', 3640312096, 3640312103, 'GB', 'United Kingdom'),
(164758, '216.250.193.40', '216.250.193.95', 3640312104, 3640312159, 'US', 'United States'),
(164759, '216.250.193.96', '216.250.193.127', 3640312160, 3640312191, 'ID', 'Indonesia'),
(164760, '216.250.193.128', '216.250.193.255', 3640312192, 3640312319, 'US', 'United States'),
(164761, '216.250.194.0', '216.250.194.255', 3640312320, 3640312575, 'NI', 'Nicaragua'),
(164762, '216.250.195.0', '216.250.195.31', 3640312576, 3640312607, 'NG', 'Nigeria'),
(164763, '216.250.195.32', '216.250.195.255', 3640312608, 3640312831, 'US', 'United States'),
(164764, '216.250.196.0', '216.250.196.255', 3640312832, 3640313087, 'TO', 'Tonga'),
(164765, '216.250.197.0', '216.250.203.255', 3640313088, 3640314879, 'US', 'United States'),
(164766, '216.250.204.0', '216.250.204.255', 3640314880, 3640315135, 'A2', 'Satellite Provider'),
(164767, '216.250.205.0', '216.250.205.255', 3640315136, 3640315391, 'US', 'United States'),
(164768, '216.250.206.0', '216.250.206.255', 3640315392, 3640315647, 'TR', 'Turkey'),
(164769, '216.250.207.0', '216.250.211.255', 3640315648, 3640316927, 'US', 'United States'),
(164770, '216.250.212.0', '216.250.212.255', 3640316928, 3640317183, 'MX', 'Mexico'),
(164771, '216.250.213.0', '216.250.213.143', 3640317184, 3640317327, 'US', 'United States'),
(164772, '216.250.213.144', '216.250.213.159', 3640317328, 3640317343, 'A2', 'Satellite Provider'),
(164773, '216.250.213.160', '216.250.213.223', 3640317344, 3640317407, 'US', 'United States'),
(164774, '216.250.213.224', '216.250.213.239', 3640317408, 3640317423, 'A2', 'Satellite Provider'),
(164775, '216.250.213.240', '216.250.214.63', 3640317424, 3640317503, 'US', 'United States'),
(164776, '216.250.214.64', '216.250.214.95', 3640317504, 3640317535, 'ID', 'Indonesia'),
(164777, '216.250.214.96', '216.250.214.119', 3640317536, 3640317559, 'US', 'United States'),
(164778, '216.250.214.120', '216.250.214.127', 3640317560, 3640317567, 'NL', 'Netherlands'),
(164779, '216.250.214.128', '216.250.216.255', 3640317568, 3640318207, 'US', 'United States'),
(164780, '216.250.217.0', '216.250.219.255', 3640318208, 3640318975, 'NC', 'New Caledonia'),
(164781, '216.250.220.0', '216.250.220.127', 3640318976, 3640319103, 'GQ', 'Equatorial Guinea'),
(164782, '216.250.220.128', '216.250.220.255', 3640319104, 3640319231, 'US', 'United States'),
(164783, '216.250.221.0', '216.250.221.255', 3640319232, 3640319487, 'NG', 'Nigeria'),
(164784, '216.250.222.0', '216.251.65.127', 3640319488, 3640344959, 'US', 'United States'),
(164785, '216.251.65.128', '216.251.65.175', 3640344960, 3640345007, 'MX', 'Mexico'),
(164786, '216.251.65.176', '216.251.65.191', 3640345008, 3640345023, 'US', 'United States'),
(164787, '216.251.65.192', '216.251.65.254', 3640345024, 3640345086, 'MX', 'Mexico'),
(164788, '216.251.65.255', '216.251.65.255', 3640345087, 3640345087, 'US', 'United States'),
(164789, '216.251.66.0', '216.251.66.254', 3640345088, 3640345342, 'MX', 'Mexico'),
(164790, '216.251.66.255', '216.251.67.47', 3640345343, 3640345391, 'US', 'United States'),
(164791, '216.251.67.48', '216.251.67.63', 3640345392, 3640345407, 'MX', 'Mexico'),
(164792, '216.251.67.64', '216.251.67.79', 3640345408, 3640345423, 'US', 'United States'),
(164793, '216.251.67.80', '216.251.67.87', 3640345424, 3640345431, 'MX', 'Mexico'),
(164794, '216.251.67.88', '216.251.67.111', 3640345432, 3640345455, 'US', 'United States'),
(164795, '216.251.67.112', '216.251.67.159', 3640345456, 3640345503, 'MX', 'Mexico'),
(164796, '216.251.67.160', '216.251.68.143', 3640345504, 3640345743, 'US', 'United States'),
(164797, '216.251.68.144', '216.251.68.254', 3640345744, 3640345854, 'MX', 'Mexico'),
(164798, '216.251.68.255', '216.251.72.191', 3640345855, 3640346815, 'US', 'United States'),
(164799, '216.251.72.192', '216.251.72.223', 3640346816, 3640346847, 'MX', 'Mexico'),
(164800, '216.251.72.224', '216.251.72.255', 3640346848, 3640346879, 'US', 'United States'),
(164801, '216.251.73.0', '216.251.73.254', 3640346880, 3640347134, 'MX', 'Mexico'),
(164802, '216.251.73.255', '216.251.74.255', 3640347135, 3640347391, 'US', 'United States'),
(164803, '216.251.75.0', '216.251.75.63', 3640347392, 3640347455, 'MX', 'Mexico'),
(164804, '216.251.75.64', '216.251.75.79', 3640347456, 3640347471, 'US', 'United States'),
(164805, '216.251.75.80', '216.251.75.95', 3640347472, 3640347487, 'MX', 'Mexico'),
(164806, '216.251.75.96', '216.251.75.111', 3640347488, 3640347503, 'US', 'United States'),
(164807, '216.251.75.112', '216.251.75.127', 3640347504, 3640347519, 'MX', 'Mexico'),
(164808, '216.251.75.128', '216.251.75.143', 3640347520, 3640347535, 'US', 'United States'),
(164809, '216.251.75.144', '216.251.75.159', 3640347536, 3640347551, 'MX', 'Mexico'),
(164810, '216.251.75.160', '216.251.75.175', 3640347552, 3640347567, 'US', 'United States'),
(164811, '216.251.75.176', '216.251.75.207', 3640347568, 3640347599, 'MX', 'Mexico'),
(164812, '216.251.75.208', '216.251.75.223', 3640347600, 3640347615, 'US', 'United States'),
(164813, '216.251.75.224', '216.251.75.239', 3640347616, 3640347631, 'MX', 'Mexico'),
(164814, '216.251.75.240', '216.251.75.255', 3640347632, 3640347647, 'US', 'United States'),
(164815, '216.251.76.0', '216.251.76.63', 3640347648, 3640347711, 'MX', 'Mexico'),
(164816, '216.251.76.64', '216.251.76.191', 3640347712, 3640347839, 'US', 'United States'),
(164817, '216.251.76.192', '216.251.76.254', 3640347840, 3640347902, 'MX', 'Mexico'),
(164818, '216.251.76.255', '216.251.127.255', 3640347903, 3640360959, 'US', 'United States'),
(164819, '216.251.128.0', '216.251.159.255', 3640360960, 3640369151, 'CA', 'Canada'),
(164820, '216.251.160.0', '216.252.63.255', 3640369152, 3640410111, 'US', 'United States'),
(164821, '216.252.64.0', '216.252.95.255', 3640410112, 3640418303, 'CA', 'Canada'),
(164822, '216.252.96.0', '216.252.143.255', 3640418304, 3640430591, 'US', 'United States'),
(164823, '216.252.144.0', '216.252.151.255', 3640430592, 3640432639, 'A2', 'Satellite Provider'),
(164824, '216.252.152.0', '216.252.154.255', 3640432640, 3640433407, 'US', 'United States'),
(164825, '216.252.155.0', '216.252.155.255', 3640433408, 3640433663, 'A2', 'Satellite Provider'),
(164826, '216.252.156.0', '216.252.160.255', 3640433664, 3640434943, 'US', 'United States'),
(164827, '216.252.167.0', '216.252.167.255', 3640436480, 3640436735, 'GH', 'Ghana'),
(164828, '216.252.176.0', '216.252.191.255', 3640438784, 3640442879, 'A2', 'Satellite Provider'),
(164829, '216.252.192.0', '216.252.207.255', 3640442880, 3640446975, 'US', 'United States'),
(164830, '216.252.216.0', '216.252.219.255', 3640449024, 3640450047, 'A2', 'Satellite Provider'),
(164831, '216.252.220.0', '216.252.223.255', 3640450048, 3640451071, 'US', 'United States'),
(164832, '216.252.224.0', '216.252.255.255', 3640451072, 3640459263, 'A2', 'Satellite Provider'),
(164833, '216.253.0.0', '216.254.127.255', 3640459264, 3640557567, 'US', 'United States'),
(164834, '216.254.128.0', '216.254.135.207', 3640557568, 3640559567, 'CA', 'Canada'),
(164835, '216.254.135.208', '216.254.135.215', 3640559568, 3640559575, 'US', 'United States'),
(164836, '216.254.135.216', '216.254.139.127', 3640559576, 3640560511, 'CA', 'Canada'),
(164837, '216.254.139.128', '216.254.139.143', 3640560512, 3640560527, 'US', 'United States'),
(164838, '216.254.139.144', '216.254.154.231', 3640560528, 3640564455, 'CA', 'Canada'),
(164839, '216.254.154.232', '216.254.154.239', 3640564456, 3640564463, 'US', 'United States'),
(164840, '216.254.154.240', '216.254.159.127', 3640564464, 3640565631, 'CA', 'Canada'),
(164841, '216.254.159.128', '216.254.159.143', 3640565632, 3640565647, 'US', 'United States'),
(164842, '216.254.159.144', '216.254.223.255', 3640565648, 3640582143, 'CA', 'Canada'),
(164843, '216.254.224.0', '216.255.223.255', 3640582144, 3640647679, 'US', 'United States'),
(164844, '216.255.224.0', '216.255.239.255', 3640647680, 3640651775, 'JP', 'Japan'),
(164845, '216.255.240.0', '216.255.255.255', 3640651776, 3640655871, 'US', 'United States'),
(164846, '217.0.0.0', '217.5.142.217', 3640655872, 3641020121, 'DE', 'Germany'),
(164847, '217.5.142.218', '217.5.142.218', 3641020122, 3641020122, 'GB', 'United Kingdom'),
(164848, '217.5.142.219', '217.6.33.119', 3641020123, 3641057655, 'DE', 'Germany'),
(164849, '217.6.33.120', '217.6.33.127', 3641057656, 3641057663, 'CZ', 'Czech Republic'),
(164850, '217.6.33.128', '217.6.47.105', 3641057664, 3641061225, 'DE', 'Germany'),
(164851, '217.6.47.106', '217.6.47.106', 3641061226, 3641061226, 'US', 'United States'),
(164852, '217.6.47.107', '217.6.115.31', 3641061227, 3641078559, 'DE', 'Germany'),
(164853, '217.6.115.32', '217.6.115.39', 3641078560, 3641078567, 'BE', 'Belgium'),
(164854, '217.6.115.40', '217.6.142.247', 3641078568, 3641085687, 'DE', 'Germany'),
(164855, '217.6.142.248', '217.6.142.255', 3641085688, 3641085695, 'CZ', 'Czech Republic'),
(164856, '217.6.143.0', '217.6.213.103', 3641085696, 3641103719, 'DE', 'Germany'),
(164857, '217.6.213.104', '217.6.213.111', 3641103720, 3641103727, 'HU', 'Hungary'),
(164858, '217.6.213.112', '217.6.226.7', 3641103728, 3641106951, 'DE', 'Germany'),
(164859, '217.6.226.8', '217.6.226.15', 3641106952, 3641106959, 'CH', 'Switzerland'),
(164860, '217.6.226.16', '217.7.101.191', 3641106960, 3641140671, 'DE', 'Germany'),
(164861, '217.7.101.192', '217.7.101.199', 3641140672, 3641140679, 'US', 'United States'),
(164862, '217.7.101.200', '217.7.128.127', 3641140680, 3641147519, 'DE', 'Germany'),
(164863, '217.7.128.128', '217.7.128.135', 3641147520, 3641147527, 'AT', 'Austria'),
(164864, '217.7.128.136', '217.7.140.255', 3641147528, 3641150719, 'DE', 'Germany'),
(164865, '217.7.141.0', '217.7.141.39', 3641150720, 3641150759, 'CN', 'China'),
(164866, '217.7.141.40', '217.7.141.47', 3641150760, 3641150767, 'DE', 'Germany'),
(164867, '217.7.141.48', '217.7.143.255', 3641150768, 3641151487, 'CN', 'China'),
(164868, '217.7.144.0', '217.7.169.63', 3641151488, 3641157951, 'DE', 'Germany'),
(164869, '217.7.169.64', '217.7.169.71', 3641157952, 3641157959, 'AT', 'Austria'),
(164870, '217.7.169.72', '217.7.169.143', 3641157960, 3641158031, 'DE', 'Germany'),
(164871, '217.7.169.144', '217.7.169.167', 3641158032, 3641158055, 'FR', 'France'),
(164872, '217.7.169.168', '217.7.169.215', 3641158056, 3641158103, 'DE', 'Germany'),
(164873, '217.7.169.216', '217.7.169.223', 3641158104, 3641158111, 'FR', 'France'),
(164874, '217.7.169.224', '217.7.169.239', 3641158112, 3641158127, 'DE', 'Germany'),
(164875, '217.7.169.240', '217.7.169.247', 3641158128, 3641158135, 'ES', 'Spain'),
(164876, '217.7.169.248', '217.7.170.55', 3641158136, 3641158199, 'DE', 'Germany'),
(164877, '217.7.170.56', '217.7.170.63', 3641158200, 3641158207, 'NL', 'Netherlands'),
(164878, '217.7.170.64', '217.7.170.191', 3641158208, 3641158335, 'DE', 'Germany'),
(164879, '217.7.170.192', '217.7.170.199', 3641158336, 3641158343, 'ES', 'Spain'),
(164880, '217.7.170.200', '217.7.171.23', 3641158344, 3641158423, 'DE', 'Germany'),
(164881, '217.7.171.24', '217.7.171.31', 3641158424, 3641158431, 'IT', 'Italy'),
(164882, '217.7.171.32', '217.7.171.119', 3641158432, 3641158519, 'DE', 'Germany'),
(164883, '217.7.171.120', '217.7.171.127', 3641158520, 3641158527, 'ES', 'Spain'),
(164884, '217.7.171.128', '217.7.175.255', 3641158528, 3641159679, 'DE', 'Germany'),
(164885, '217.7.176.0', '217.7.176.7', 3641159680, 3641159687, 'ES', 'Spain'),
(164886, '217.7.176.8', '217.7.176.47', 3641159688, 3641159727, 'DE', 'Germany'),
(164887, '217.7.176.48', '217.7.176.63', 3641159728, 3641159743, 'ES', 'Spain'),
(164888, '217.7.176.64', '217.7.176.87', 3641159744, 3641159767, 'DE', 'Germany'),
(164889, '217.7.176.88', '217.7.176.95', 3641159768, 3641159775, 'ES', 'Spain'),
(164890, '217.7.176.96', '217.7.255.255', 3641159776, 3641180159, 'DE', 'Germany'),
(164891, '217.8.0.0', '217.8.31.255', 3641180160, 3641188351, 'GB', 'United Kingdom'),
(164892, '217.8.32.0', '217.8.47.255', 3641188352, 3641192447, 'TJ', 'Tajikistan'),
(164893, '217.8.48.0', '217.8.63.255', 3641192448, 3641196543, 'DE', 'Germany'),
(164894, '217.8.64.0', '217.8.79.255', 3641196544, 3641200639, 'SA', 'Saudi Arabia'),
(164895, '217.8.80.0', '217.8.95.255', 3641200640, 3641204735, 'RU', 'Russian Federation'),
(164896, '217.8.96.0', '217.8.100.255', 3641204736, 3641206015, 'NL', 'Netherlands'),
(164897, '217.8.101.0', '217.8.101.255', 3641206016, 3641206271, 'CN', 'China'),
(164898, '217.8.102.0', '217.8.111.255', 3641206272, 3641208831, 'NL', 'Netherlands'),
(164899, '217.8.112.0', '217.8.127.255', 3641208832, 3641212927, 'JO', 'Jordan'),
(164900, '217.8.128.0', '217.8.159.255', 3641212928, 3641221119, 'NO', 'Norway'),
(164901, '217.8.160.0', '217.8.191.255', 3641221120, 3641229311, 'PL', 'Poland'),
(164902, '217.8.192.0', '217.8.223.255', 3641229312, 3641237503, 'CH', 'Switzerland'),
(164903, '217.8.224.0', '217.8.239.255', 3641237504, 3641241599, 'RU', 'Russian Federation'),
(164904, '217.8.240.0', '217.8.255.255', 3641241600, 3641245695, 'GB', 'United Kingdom'),
(164905, '217.9.0.0', '217.9.15.255', 3641245696, 3641249791, 'UA', 'Ukraine'),
(164906, '217.9.16.0', '217.9.63.255', 3641249792, 3641262079, 'DE', 'Germany'),
(164907, '217.9.64.0', '217.9.79.255', 3641262080, 3641266175, 'IT', 'Italy'),
(164908, '217.9.80.0', '217.9.95.255', 3641266176, 3641270271, 'RU', 'Russian Federation'),
(164909, '217.9.96.0', '217.9.127.255', 3641270272, 3641278463, 'DE', 'Germany'),
(164910, '217.9.128.0', '217.9.143.255', 3641278464, 3641282559, 'IS', 'Iceland'),
(164911, '217.9.144.0', '217.9.159.255', 3641282560, 3641286655, 'RU', 'Russian Federation'),
(164912, '217.9.160.0', '217.9.191.255', 3641286656, 3641294847, 'PL', 'Poland'),
(164913, '217.9.192.0', '217.9.207.255', 3641294848, 3641298943, 'GB', 'United Kingdom'),
(164914, '217.9.208.0', '217.9.223.255', 3641298944, 3641303039, 'SE', 'Sweden'),
(164915, '217.9.224.0', '217.9.239.255', 3641303040, 3641307135, 'BG', 'Bulgaria'),
(164916, '217.9.240.0', '217.9.255.255', 3641307136, 3641311231, 'LT', 'Lithuania'),
(164917, '217.10.0.0', '217.10.15.255', 3641311232, 3641315327, 'DE', 'Germany'),
(164918, '217.10.16.0', '217.10.31.255', 3641315328, 3641319423, 'DK', 'Denmark'),
(164919, '217.10.32.0', '217.10.47.255', 3641319424, 3641323519, 'RU', 'Russian Federation'),
(164920, '217.10.48.0', '217.10.79.255', 3641323520, 3641331711, 'DE', 'Germany'),
(164921, '217.10.80.0', '217.10.95.255', 3641331712, 3641335807, 'ES', 'Spain'),
(164922, '217.10.96.0', '217.10.127.255', 3641335808, 3641343999, 'SE', 'Sweden'),
(164923, '217.10.128.0', '217.10.132.175', 3641344000, 3641345199, 'GB', 'United Kingdom'),
(164924, '217.10.132.176', '217.10.132.191', 3641345200, 3641345215, 'IE', 'Ireland'),
(164925, '217.10.132.192', '217.10.162.255', 3641345216, 3641352959, 'GB', 'United Kingdom'),
(164926, '217.10.163.0', '217.10.163.191', 3641352960, 3641353151, 'A2', 'Satellite Provider'),
(164927, '217.10.163.192', '217.10.163.223', 3641353152, 3641353183, 'BD', 'Bangladesh'),
(164928, '217.10.163.224', '217.10.163.255', 3641353184, 3641353215, 'A2', 'Satellite Provider'),
(164929, '217.10.164.0', '217.10.164.15', 3641353216, 3641353231, 'GB', 'United Kingdom'),
(164930, '217.10.164.16', '217.10.164.31', 3641353232, 3641353247, 'IQ', 'Iraq'),
(164931, '217.10.164.32', '217.10.165.255', 3641353248, 3641353727, 'A2', 'Satellite Provider'),
(164932, '217.10.166.0', '217.10.166.31', 3641353728, 3641353759, 'NG', 'Nigeria'),
(164933, '217.10.166.32', '217.10.166.47', 3641353760, 3641353775, 'GB', 'United Kingdom'),
(164934, '217.10.166.48', '217.10.166.79', 3641353776, 3641353807, 'NG', 'Nigeria'),
(164935, '217.10.166.80', '217.10.166.103', 3641353808, 3641353831, 'GB', 'United Kingdom'),
(164936, '217.10.166.104', '217.10.166.111', 3641353832, 3641353839, 'A2', 'Satellite Provider'),
(164937, '217.10.166.112', '217.10.166.127', 3641353840, 3641353855, 'GB', 'United Kingdom'),
(164938, '217.10.166.128', '217.10.166.151', 3641353856, 3641353879, 'NG', 'Nigeria'),
(164939, '217.10.166.152', '217.10.166.255', 3641353880, 3641353983, 'A2', 'Satellite Provider'),
(164940, '217.10.167.0', '217.10.167.255', 3641353984, 3641354239, 'AF', 'Afghanistan'),
(164941, '217.10.168.0', '217.10.168.15', 3641354240, 3641354255, 'A2', 'Satellite Provider'),
(164942, '217.10.168.16', '217.10.168.32', 3641354256, 3641354272, 'GB', 'United Kingdom'),
(164943, '217.10.168.33', '217.10.168.63', 3641354273, 3641354303, 'A2', 'Satellite Provider'),
(164944, '217.10.168.64', '217.10.168.71', 3641354304, 3641354311, 'US', 'United States'),
(164945, '217.10.168.72', '217.10.168.79', 3641354312, 3641354319, 'GB', 'United Kingdom'),
(164946, '217.10.168.80', '217.10.168.87', 3641354320, 3641354327, 'A2', 'Satellite Provider'),
(164947, '217.10.168.88', '217.10.168.95', 3641354328, 3641354335, 'GB', 'United Kingdom'),
(164948, '217.10.168.96', '217.10.168.99', 3641354336, 3641354339, 'A2', 'Satellite Provider'),
(164949, '217.10.168.100', '217.10.168.127', 3641354340, 3641354367, 'GB', 'United Kingdom'),
(164950, '217.10.168.128', '217.10.168.255', 3641354368, 3641354495, 'A2', 'Satellite Provider'),
(164951, '217.10.169.0', '217.10.169.255', 3641354496, 3641354751, 'GB', 'United Kingdom'),
(164952, '217.10.170.0', '217.10.171.255', 3641354752, 3641355263, 'NG', 'Nigeria'),
(164953, '217.10.172.0', '217.10.172.255', 3641355264, 3641355519, 'AO', 'Angola'),
(164954, '217.10.173.0', '217.10.173.63', 3641355520, 3641355583, 'A2', 'Satellite Provider'),
(164955, '217.10.173.64', '217.10.173.79', 3641355584, 3641355599, 'GB', 'United Kingdom'),
(164956, '217.10.173.80', '217.10.173.255', 3641355600, 3641355775, 'A2', 'Satellite Provider'),
(164957, '217.10.174.0', '217.10.174.255', 3641355776, 3641356031, 'LB', 'Lebanon'),
(164958, '217.10.175.0', '217.10.175.159', 3641356032, 3641356191, 'A2', 'Satellite Provider'),
(164959, '217.10.175.160', '217.10.175.175', 3641356192, 3641356207, 'NG', 'Nigeria'),
(164960, '217.10.175.176', '217.10.176.63', 3641356208, 3641356351, 'A2', 'Satellite Provider'),
(164961, '217.10.176.64', '217.10.176.127', 3641356352, 3641356415, 'NG', 'Nigeria'),
(164962, '217.10.176.128', '217.10.176.247', 3641356416, 3641356535, 'A2', 'Satellite Provider'),
(164963, '217.10.176.248', '217.10.176.255', 3641356536, 3641356543, 'CM', 'Cameroon'),
(164964, '217.10.177.0', '217.10.182.31', 3641356544, 3641357855, 'A2', 'Satellite Provider'),
(164965, '217.10.182.32', '217.10.182.55', 3641357856, 3641357879, 'GB', 'United Kingdom'),
(164966, '217.10.182.56', '217.10.182.63', 3641357880, 3641357887, 'A2', 'Satellite Provider'),
(164967, '217.10.182.64', '217.10.182.103', 3641357888, 3641357927, 'GB', 'United Kingdom'),
(164968, '217.10.182.104', '217.10.183.255', 3641357928, 3641358335, 'A2', 'Satellite Provider'),
(164969, '217.10.184.0', '217.10.187.255', 3641358336, 3641359359, 'GB', 'United Kingdom'),
(164970, '217.10.188.0', '217.10.188.255', 3641359360, 3641359615, 'IQ', 'Iraq'),
(164971, '217.10.189.0', '217.10.189.255', 3641359616, 3641359871, 'US', 'United States'),
(164972, '217.10.190.0', '217.10.191.255', 3641359872, 3641360383, 'GB', 'United Kingdom'),
(164973, '217.10.192.0', '217.10.223.255', 3641360384, 3641368575, 'RO', 'Romania'),
(164974, '217.10.224.0', '217.10.239.255', 3641368576, 3641372671, 'GB', 'United Kingdom'),
(164975, '217.10.240.0', '217.10.255.255', 3641372672, 3641376767, 'BG', 'Bulgaria'),
(164976, '217.11.0.0', '217.11.15.255', 3641376768, 3641380863, 'IT', 'Italy'),
(164977, '217.11.16.0', '217.11.28.55', 3641380864, 3641383991, 'IR', 'Iran, Islamic Republic of'),
(164978, '217.11.28.56', '217.11.28.63', 3641383992, 3641383999, 'SE', 'Sweden'),
(164979, '217.11.28.64', '217.11.31.255', 3641384000, 3641384959, 'IR', 'Iran, Islamic Republic of'),
(164980, '217.11.32.0', '217.11.47.255', 3641384960, 3641389055, 'CH', 'Switzerland'),
(164981, '217.11.48.0', '217.11.57.66', 3641389056, 3641391426, 'DE', 'Germany'),
(164982, '217.11.57.67', '217.11.57.79', 3641391427, 3641391439, 'CH', 'Switzerland'),
(164983, '217.11.57.80', '217.11.58.191', 3641391440, 3641391807, 'DE', 'Germany'),
(164984, '217.11.58.192', '217.11.58.207', 3641391808, 3641391823, 'AT', 'Austria'),
(164985, '217.11.58.208', '217.11.61.191', 3641391824, 3641392575, 'DE', 'Germany'),
(164986, '217.11.61.192', '217.11.61.199', 3641392576, 3641392583, 'RO', 'Romania'),
(164987, '217.11.61.200', '217.11.63.255', 3641392584, 3641393151, 'DE', 'Germany'),
(164988, '217.11.64.0', '217.11.79.255', 3641393152, 3641397247, 'KZ', 'Kazakhstan'),
(164989, '217.11.80.0', '217.11.95.255', 3641397248, 3641401343, 'IT', 'Italy'),
(164990, '217.11.96.0', '217.11.127.255', 3641401344, 3641409535, 'ES', 'Spain'),
(164991, '217.11.128.0', '217.11.159.255', 3641409536, 3641417727, 'PL', 'Poland'),
(164992, '217.11.160.0', '217.11.175.255', 3641417728, 3641421823, 'GE', 'Georgia'),
(164993, '217.11.176.0', '217.11.191.255', 3641421824, 3641425919, 'TJ', 'Tajikistan'),
(164994, '217.11.192.0', '217.11.207.255', 3641425920, 3641430015, 'DE', 'Germany'),
(164995, '217.11.208.0', '217.11.223.255', 3641430016, 3641434111, 'CH', 'Switzerland'),
(164996, '217.11.224.0', '217.11.255.255', 3641434112, 3641442303, 'CZ', 'Czech Republic'),
(164997, '217.12.0.0', '217.12.15.255', 3641442304, 3641446399, 'GB', 'United Kingdom'),
(164998, '217.12.16.0', '217.12.31.255', 3641446400, 3641450495, 'ES', 'Spain'),
(164999, '217.12.32.0', '217.12.47.255', 3641450496, 3641454591, 'RU', 'Russian Federation'),
(165000, '217.12.48.0', '217.12.63.255', 3641454592, 3641458687, 'SK', 'Slovakia'),
(165001, '217.12.64.0', '217.12.79.255', 3641458688, 3641462783, 'RU', 'Russian Federation'),
(165002, '217.12.80.0', '217.12.95.255', 3641462784, 3641466879, 'UZ', 'Uzbekistan'),
(165003, '217.12.96.0', '217.12.111.255', 3641466880, 3641470975, 'RU', 'Russian Federation'),
(165004, '217.12.112.0', '217.12.127.255', 3641470976, 3641475071, 'MD', 'Moldova, Republic of'),
(165005, '217.12.128.0', '217.12.143.255', 3641475072, 3641479167, 'IT', 'Italy'),
(165006, '217.12.144.0', '217.12.159.255', 3641479168, 3641483263, 'GB', 'United Kingdom'),
(165007, '217.12.160.0', '217.12.191.255', 3641483264, 3641491455, 'IT', 'Italy'),
(165008, '217.12.192.0', '217.12.199.255', 3641491456, 3641493503, 'UA', 'Ukraine'),
(165009, '217.12.200.0', '217.12.201.255', 3641493504, 3641494015, 'RU', 'Russian Federation'),
(165010, '217.12.202.0', '217.12.207.255', 3641494016, 3641495551, 'UA', 'Ukraine'),
(165011, '217.12.208.0', '217.12.209.255', 3641495552, 3641496063, 'RU', 'Russian Federation'),
(165012, '217.12.210.0', '217.12.223.255', 3641496064, 3641499647, 'UA', 'Ukraine'),
(165013, '217.12.224.0', '217.12.239.255', 3641499648, 3641503743, 'SA', 'Saudi Arabia'),
(165014, '217.12.240.0', '217.12.255.255', 3641503744, 3641507839, 'RU', 'Russian Federation'),
(165015, '217.13.0.0', '217.13.31.255', 3641507840, 3641516031, 'NO', 'Norway'),
(165016, '217.13.32.0', '217.13.47.255', 3641516032, 3641520127, 'HU', 'Hungary'),
(165017, '217.13.48.0', '217.13.63.255', 3641520128, 3641524223, 'FR', 'France'),
(165018, '217.13.64.0', '217.13.79.255', 3641524224, 3641528319, 'DE', 'Germany'),
(165019, '217.13.80.0', '217.13.95.255', 3641528320, 3641532415, 'ES', 'Spain'),
(165020, '217.13.96.0', '217.13.111.255', 3641532416, 3641536511, 'HU', 'Hungary'),
(165021, '217.13.112.0', '217.13.127.255', 3641536512, 3641540607, 'ES', 'Spain'),
(165022, '217.13.128.0', '217.13.159.255', 3641540608, 3641548799, 'GB', 'United Kingdom'),
(165023, '217.13.160.0', '217.13.175.255', 3641548800, 3641552895, 'DE', 'Germany'),
(165024, '217.13.176.0', '217.13.191.255', 3641552896, 3641556991, 'AT', 'Austria'),
(165025, '217.13.192.0', '217.13.200.63', 3641556992, 3641559103, 'DE', 'Germany'),
(165026, '217.13.200.64', '217.13.200.95', 3641559104, 3641559135, 'NL', 'Netherlands'),
(165027, '217.13.200.96', '217.13.207.127', 3641559136, 3641560959, 'DE', 'Germany'),
(165028, '217.13.207.128', '217.13.207.255', 3641560960, 3641561087, 'NL', 'Netherlands'),
(165029, '217.13.208.0', '217.13.223.255', 3641561088, 3641565183, 'RU', 'Russian Federation'),
(165030, '217.13.224.0', '217.13.255.255', 3641565184, 3641573375, 'SE', 'Sweden'),
(165031, '217.14.0.0', '217.14.15.255', 3641573376, 3641577471, 'NO', 'Norway'),
(165032, '217.14.16.0', '217.14.31.255', 3641577472, 3641581567, 'RU', 'Russian Federation'),
(165033, '217.14.32.0', '217.14.47.255', 3641581568, 3641585663, 'ES', 'Spain'),
(165034, '217.14.48.0', '217.14.63.255', 3641585664, 3641589759, 'RU', 'Russian Federation'),
(165035, '217.14.64.0', '217.14.79.255', 3641589760, 3641593855, 'CH', 'Switzerland'),
(165036, '217.14.80.0', '217.14.95.255', 3641593856, 3641597951, 'NG', 'Nigeria'),
(165037, '217.14.96.0', '217.14.111.255', 3641597952, 3641602047, 'AZ', 'Azerbaijan'),
(165038, '217.14.112.0', '217.14.127.255', 3641602048, 3641606143, 'DE', 'Germany'),
(165039, '217.14.128.0', '217.14.134.15', 3641606144, 3641607695, 'GB', 'United Kingdom'),
(165040, '217.14.134.16', '217.14.134.31', 3641607696, 3641607711, 'FR', 'France'),
(165041, '217.14.134.32', '217.14.143.255', 3641607712, 3641610239, 'GB', 'United Kingdom'),
(165042, '217.14.144.0', '217.14.175.255', 3641610240, 3641618431, 'DE', 'Germany'),
(165043, '217.14.176.0', '217.14.191.255', 3641618432, 3641622527, 'GB', 'United Kingdom'),
(165044, '217.14.192.0', '217.14.207.255', 3641622528, 3641626623, 'RU', 'Russian Federation'),
(165045, '217.14.208.0', '217.14.223.255', 3641626624, 3641630719, 'HR', 'Croatia'),
(165046, '217.14.224.0', '217.14.239.255', 3641630720, 3641634815, 'AT', 'Austria'),
(165047, '217.14.240.0', '217.14.255.255', 3641634816, 3641638911, 'RU', 'Russian Federation'),
(165048, '217.15.0.0', '217.15.15.255', 3641638912, 3641643007, 'AT', 'Austria'),
(165049, '217.15.16.0', '217.15.31.255', 3641643008, 3641647103, 'RU', 'Russian Federation'),
(165050, '217.15.32.0', '217.15.47.255', 3641647104, 3641651199, 'ES', 'Spain'),
(165051, '217.15.48.0', '217.15.63.255', 3641651200, 3641655295, 'RU', 'Russian Federation'),
(165052, '217.15.64.0', '217.15.79.255', 3641655296, 3641659391, 'GB', 'United Kingdom'),
(165053, '217.15.80.0', '217.15.95.255', 3641659392, 3641663487, 'FR', 'France'),
(165054, '217.15.96.0', '217.15.111.255', 3641663488, 3641667583, 'MT', 'Malta'),
(165055, '217.15.112.0', '217.15.115.255', 3641667584, 3641668607, 'GB', 'United Kingdom'),
(165056, '217.15.116.0', '217.15.123.255', 3641668608, 3641670655, 'ZW', 'Zimbabwe'),
(165057, '217.15.124.0', '217.15.124.127', 3641670656, 3641670783, 'SO', 'Somalia'),
(165058, '217.15.124.128', '217.15.124.135', 3641670784, 3641670791, 'NG', 'Nigeria'),
(165059, '217.15.124.136', '217.15.124.255', 3641670792, 3641670911, 'GB', 'United Kingdom'),
(165060, '217.15.125.0', '217.15.125.255', 3641670912, 3641671167, 'LS', 'Lesotho'),
(165061, '217.15.126.0', '217.15.126.255', 3641671168, 3641671423, 'ZW', 'Zimbabwe'),
(165062, '217.15.127.0', '217.15.127.255', 3641671424, 3641671679, 'GB', 'United Kingdom'),
(165063, '217.15.128.0', '217.15.159.255', 3641671680, 3641679871, 'RU', 'Russian Federation'),
(165064, '217.15.160.0', '217.15.160.255', 3641679872, 3641680127, 'DK', 'Denmark'),
(165065, '217.15.161.0', '217.15.164.255', 3641680128, 3641681151, 'GB', 'United Kingdom'),
(165066, '217.15.165.0', '217.15.165.255', 3641681152, 3641681407, 'SE', 'Sweden'),
(165067, '217.15.166.0', '217.15.166.255', 3641681408, 3641681663, 'FR', 'France'),
(165068, '217.15.167.0', '217.15.175.255', 3641681664, 3641683967, 'A1', 'Anonymous Proxy'),
(165069, '217.15.176.0', '217.15.191.255', 3641683968, 3641688063, 'KZ', 'Kazakhstan'),
(165070, '217.15.192.0', '217.15.207.255', 3641688064, 3641692159, 'RU', 'Russian Federation'),
(165071, '217.15.208.0', '217.15.223.255', 3641692160, 3641696255, 'IT', 'Italy'),
(165072, '217.15.224.0', '217.15.239.255', 3641696256, 3641700351, 'BE', 'Belgium'),
(165073, '217.15.240.0', '217.15.255.255', 3641700352, 3641704447, 'SE', 'Sweden'),
(165074, '217.16.0.0', '217.16.15.255', 3641704448, 3641708543, 'FR', 'France'),
(165075, '217.16.16.0', '217.16.31.255', 3641708544, 3641712639, 'RU', 'Russian Federation'),
(165076, '217.16.32.0', '217.16.47.255', 3641712640, 3641716735, 'NL', 'Netherlands'),
(165077, '217.16.48.0', '217.16.63.255', 3641716736, 3641720831, 'GB', 'United Kingdom'),
(165078, '217.16.64.0', '217.16.95.255', 3641720832, 3641729023, 'MK', 'Macedonia'),
(165079, '217.16.96.0', '217.16.111.255', 3641729024, 3641733119, 'DK', 'Denmark'),
(165080, '217.16.112.0', '217.16.127.255', 3641733120, 3641737215, 'AT', 'Austria'),
(165081, '217.16.128.0', '217.16.143.255', 3641737216, 3641741311, 'RS', 'Serbia'),
(165082, '217.16.144.0', '217.16.159.255', 3641741312, 3641745407, 'ES', 'Spain'),
(165083, '217.16.160.0', '217.16.175.255', 3641745408, 3641749503, 'DE', 'Germany'),
(165084, '217.16.176.0', '217.16.191.255', 3641749504, 3641753599, 'CZ', 'Czech Republic'),
(165085, '217.16.192.0', '217.16.207.255', 3641753600, 3641757695, 'SE', 'Sweden'),
(165086, '217.16.208.0', '217.16.223.255', 3641757696, 3641761791, 'GB', 'United Kingdom'),
(165087, '217.16.224.0', '217.16.239.255', 3641761792, 3641765887, 'CY', 'Cyprus'),
(165088, '217.16.240.0', '217.16.255.255', 3641765888, 3641769983, 'ES', 'Spain'),
(165089, '217.17.0.0', '217.17.15.255', 3641769984, 3641774079, 'NO', 'Norway'),
(165090, '217.17.16.0', '217.17.31.255', 3641774080, 3641778175, 'DE', 'Germany'),
(165091, '217.17.32.0', '217.17.47.255', 3641778176, 3641782271, 'PL', 'Poland'),
(165092, '217.17.48.0', '217.17.55.15', 3641782272, 3641784079, 'GB', 'United Kingdom'),
(165093, '217.17.55.16', '217.17.55.255', 3641784080, 3641784319, 'BG', 'Bulgaria'),
(165094, '217.17.56.0', '217.17.56.255', 3641784320, 3641784575, 'GB', 'United Kingdom'),
(165095, '217.17.57.0', '217.17.63.255', 3641784576, 3641786367, 'BG', 'Bulgaria'),
(165096, '217.17.64.0', '217.17.79.255', 3641786368, 3641790463, 'SE', 'Sweden'),
(165097, '217.17.80.0', '217.17.95.255', 3641790464, 3641794559, 'LT', 'Lithuania'),
(165098, '217.17.96.0', '217.17.111.255', 3641794560, 3641798655, 'RS', 'Serbia'),
(165099, '217.17.112.0', '217.17.127.255', 3641798656, 3641802751, 'RU', 'Russian Federation'),
(165100, '217.17.128.0', '217.17.143.255', 3641802752, 3641806847, 'NL', 'Netherlands'),
(165101, '217.17.144.0', '217.17.147.255', 3641806848, 3641807871, 'TR', 'Turkey'),
(165102, '217.17.148.0', '217.17.151.255', 3641807872, 3641808895, 'NL', 'Netherlands'),
(165103, '217.17.152.0', '217.17.154.255', 3641808896, 3641809663, 'TR', 'Turkey'),
(165104, '217.17.155.0', '217.17.155.255', 3641809664, 3641809919, 'NL', 'Netherlands'),
(165105, '217.17.156.0', '217.17.157.139', 3641809920, 3641810315, 'TR', 'Turkey'),
(165106, '217.17.157.140', '217.17.157.255', 3641810316, 3641810431, 'CY', 'Cyprus'),
(165107, '217.17.158.0', '217.17.158.7', 3641810432, 3641810439, 'NL', 'Netherlands'),
(165108, '217.17.158.8', '217.17.158.15', 3641810440, 3641810447, 'US', 'United States'),
(165109, '217.17.158.16', '217.17.158.31', 3641810448, 3641810463, 'NL', 'Netherlands'),
(165110, '217.17.158.32', '217.17.158.47', 3641810464, 3641810479, 'US', 'United States'),
(165111, '217.17.158.48', '217.17.158.127', 3641810480, 3641810559, 'TR', 'Turkey'),
(165112, '217.17.158.128', '217.17.158.191', 3641810560, 3641810623, 'US', 'United States'),
(165113, '217.17.158.192', '217.17.158.199', 3641810624, 3641810631, 'TR', 'Turkey'),
(165114, '217.17.158.200', '217.17.158.210', 3641810632, 3641810642, 'US', 'United States'),
(165115, '217.17.158.211', '217.17.158.255', 3641810643, 3641810687, 'TR', 'Turkey'),
(165116, '217.17.159.0', '217.17.159.255', 3641810688, 3641810943, 'CY', 'Cyprus'),
(165117, '217.17.160.0', '217.17.191.255', 3641810944, 3641819135, 'RU', 'Russian Federation'),
(165118, '217.17.192.0', '217.17.207.255', 3641819136, 3641823231, 'DE', 'Germany'),
(165119, '217.17.208.0', '217.17.223.255', 3641823232, 3641827327, 'NO', 'Norway'),
(165120, '217.17.224.0', '217.17.255.255', 3641827328, 3641835519, 'BH', 'Bahrain'),
(165121, '217.18.0.0', '217.18.15.255', 3641835520, 3641839615, 'IT', 'Italy'),
(165122, '217.18.16.0', '217.18.31.255', 3641839616, 3641843711, 'GB', 'United Kingdom'),
(165123, '217.18.32.0', '217.18.47.255', 3641843712, 3641847807, 'ES', 'Spain'),
(165124, '217.18.48.0', '217.18.63.255', 3641847808, 3641851903, 'IT', 'Italy'),
(165125, '217.18.64.0', '217.18.79.255', 3641851904, 3641855999, 'NL', 'Netherlands'),
(165126, '217.18.80.0', '217.18.95.255', 3641856000, 3641860095, 'GB', 'United Kingdom'),
(165127, '217.18.96.0', '217.18.127.255', 3641860096, 3641868287, 'IT', 'Italy'),
(165128, '217.18.128.0', '217.18.159.255', 3641868288, 3641876479, 'RU', 'Russian Federation'),
(165129, '217.18.160.0', '217.18.175.255', 3641876480, 3641880575, 'ES', 'Spain'),
(165130, '217.18.176.0', '217.18.178.255', 3641880576, 3641881343, 'DE', 'Germany'),
(165131, '217.18.179.0', '217.18.179.15', 3641881344, 3641881359, 'US', 'United States'),
(165132, '217.18.179.16', '217.18.179.47', 3641881360, 3641881391, 'DE', 'Germany'),
(165133, '217.18.179.48', '217.18.179.51', 3641881392, 3641881395, 'CH', 'Switzerland'),
(165134, '217.18.179.52', '217.18.179.55', 3641881396, 3641881399, 'DE', 'Germany'),
(165135, '217.18.179.56', '217.18.179.63', 3641881400, 3641881407, 'CH', 'Switzerland'),
(165136, '217.18.179.64', '217.18.179.79', 3641881408, 3641881423, 'DE', 'Germany'),
(165137, '217.18.179.80', '217.18.179.95', 3641881424, 3641881439, 'US', 'United States'),
(165138, '217.18.179.96', '217.18.179.103', 3641881440, 3641881447, 'DE', 'Germany'),
(165139, '217.18.179.104', '217.18.179.111', 3641881448, 3641881455, 'CH', 'Switzerland'),
(165140, '217.18.179.112', '217.18.179.223', 3641881456, 3641881567, 'DE', 'Germany'),
(165141, '217.18.179.224', '217.18.179.239', 3641881568, 3641881583, 'CH', 'Switzerland'),
(165142, '217.18.179.240', '217.18.184.103', 3641881584, 3641882727, 'DE', 'Germany'),
(165143, '217.18.184.104', '217.18.184.111', 3641882728, 3641882735, 'CH', 'Switzerland'),
(165144, '217.18.184.112', '217.18.191.255', 3641882736, 3641884671, 'DE', 'Germany'),
(165145, '217.18.192.0', '217.18.207.255', 3641884672, 3641888767, 'NO', 'Norway'),
(165146, '217.18.208.0', '217.18.223.255', 3641888768, 3641892863, 'IT', 'Italy'),
(165147, '217.18.224.0', '217.18.239.255', 3641892864, 3641896959, 'ES', 'Spain'),
(165148, '217.18.240.0', '217.18.255.255', 3641896960, 3641901055, 'BG', 'Bulgaria'),
(165149, '217.19.0.0', '217.19.15.255', 3641901056, 3641905151, 'RO', 'Romania'),
(165150, '217.19.16.0', '217.19.31.255', 3641905152, 3641909247, 'NL', 'Netherlands'),
(165151, '217.19.32.0', '217.19.47.255', 3641909248, 3641913343, 'AT', 'Austria'),
(165152, '217.19.48.0', '217.19.63.255', 3641913344, 3641917439, 'FR', 'France'),
(165153, '217.19.64.0', '217.19.95.255', 3641917440, 3641925631, 'GR', 'Greece'),
(165154, '217.19.96.0', '217.19.127.255', 3641925632, 3641933823, 'RU', 'Russian Federation'),
(165155, '217.19.128.0', '217.19.143.255', 3641933824, 3641937919, 'GB', 'United Kingdom'),
(165156, '217.19.144.0', '217.19.158.255', 3641937920, 3641941759, 'IT', 'Italy'),
(165157, '217.19.159.0', '217.19.159.255', 3641941760, 3641942015, 'EU', 'Europe'),
(165158, '217.19.160.0', '217.19.181.103', 3641942016, 3641947495, 'DE', 'Germany'),
(165159, '217.19.181.104', '217.19.181.111', 3641947496, 3641947503, 'US', 'United States'),
(165160, '217.19.181.112', '217.19.182.4', 3641947504, 3641947652, 'DE', 'Germany'),
(165161, '217.19.182.5', '217.19.182.5', 3641947653, 3641947653, 'CH', 'Switzerland'),
(165162, '217.19.182.6', '217.19.191.255', 3641947654, 3641950207, 'DE', 'Germany'),
(165163, '217.19.192.0', '217.19.207.255', 3641950208, 3641954303, 'FR', 'France'),
(165164, '217.19.208.0', '217.19.217.255', 3641954304, 3641956863, 'MD', 'Moldova, Republic of'),
(165165, '217.19.218.0', '217.19.218.63', 3641956864, 3641956927, 'GB', 'United Kingdom'),
(165166, '217.19.218.64', '217.19.218.255', 3641956928, 3641957119, 'MD', 'Moldova, Republic of'),
(165167, '217.19.219.0', '217.19.220.255', 3641957120, 3641957631, 'GB', 'United Kingdom'),
(165168, '217.19.221.0', '217.19.221.255', 3641957632, 3641957887, 'MD', 'Moldova, Republic of'),
(165169, '217.19.222.0', '217.19.223.255', 3641957888, 3641958399, 'GB', 'United Kingdom'),
(165170, '217.19.224.0', '217.19.231.255', 3641958400, 3641960447, 'BE', 'Belgium'),
(165171, '217.19.232.0', '217.19.232.71', 3641960448, 3641960519, 'NL', 'Netherlands'),
(165172, '217.19.232.72', '217.19.232.79', 3641960520, 3641960527, 'BE', 'Belgium'),
(165173, '217.19.232.80', '217.19.232.255', 3641960528, 3641960703, 'NL', 'Netherlands'),
(165174, '217.19.233.0', '217.19.236.255', 3641960704, 3641961727, 'BE', 'Belgium'),
(165175, '217.19.237.0', '217.19.237.15', 3641961728, 3641961743, 'NL', 'Netherlands'),
(165176, '217.19.237.16', '217.19.237.63', 3641961744, 3641961791, 'BE', 'Belgium'),
(165177, '217.19.237.64', '217.19.237.71', 3641961792, 3641961799, 'US', 'United States'),
(165178, '217.19.237.72', '217.19.239.255', 3641961800, 3641962495, 'BE', 'Belgium'),
(165179, '217.19.240.0', '217.19.255.255', 3641962496, 3641966591, 'GB', 'United Kingdom'),
(165180, '217.20.0.0', '217.20.15.255', 3641966592, 3641970687, 'IT', 'Italy'),
(165181, '217.20.16.0', '217.20.47.255', 3641970688, 3641978879, 'GB', 'United Kingdom'),
(165182, '217.20.48.0', '217.20.63.255', 3641978880, 3641982975, 'DK', 'Denmark'),
(165183, '217.20.64.0', '217.20.95.255', 3641982976, 3641991167, 'RU', 'Russian Federation'),
(165184, '217.20.96.0', '217.20.111.255', 3641991168, 3641995263, 'SE', 'Sweden'),
(165185, '217.20.112.0', '217.20.127.255', 3641995264, 3641999359, 'DE', 'Germany'),
(165186, '217.20.128.0', '217.20.143.255', 3641999360, 3642003455, 'HU', 'Hungary'),
(165187, '217.20.144.0', '217.20.159.255', 3642003456, 3642007551, 'RU', 'Russian Federation'),
(165188, '217.20.160.0', '217.20.191.255', 3642007552, 3642015743, 'UA', 'Ukraine'),
(165189, '217.20.192.0', '217.20.207.255', 3642015744, 3642019839, 'CH', 'Switzerland'),
(165190, '217.20.208.0', '217.20.223.255', 3642019840, 3642023935, 'SY', 'Syrian Arab Republic'),
(165191, '217.20.224.0', '217.20.239.255', 3642023936, 3642028031, 'EG', 'Egypt'),
(165192, '217.20.240.0', '217.20.240.255', 3642028032, 3642028287, 'A2', 'Satellite Provider'),
(165193, '217.20.241.0', '217.20.241.255', 3642028288, 3642028543, 'NG', 'Nigeria'),
(165194, '217.20.242.0', '217.20.242.0', 3642028544, 3642028544, 'A2', 'Satellite Provider'),
(165195, '217.20.242.1', '217.20.242.255', 3642028545, 3642028799, 'NG', 'Nigeria'),
(165196, '217.20.243.0', '217.20.243.0', 3642028800, 3642028800, 'A2', 'Satellite Provider'),
(165197, '217.20.243.1', '217.20.243.63', 3642028801, 3642028863, 'SO', 'Somalia'),
(165198, '217.20.243.64', '217.20.243.128', 3642028864, 3642028928, 'A2', 'Satellite Provider'),
(165199, '217.20.243.129', '217.20.243.255', 3642028929, 3642029055, 'NG', 'Nigeria'),
(165200, '217.20.244.0', '217.20.245.255', 3642029056, 3642029567, 'A2', 'Satellite Provider'),
(165201, '217.20.246.0', '217.20.249.255', 3642029568, 3642030591, 'NG', 'Nigeria'),
(165202, '217.20.250.0', '217.20.250.255', 3642030592, 3642030847, 'GN', 'Guinea'),
(165203, '217.20.251.0', '217.20.252.255', 3642030848, 3642031359, 'NG', 'Nigeria'),
(165204, '217.20.253.0', '217.20.253.255', 3642031360, 3642031615, 'GB', 'United Kingdom'),
(165205, '217.20.254.0', '217.20.254.0', 3642031616, 3642031616, 'A2', 'Satellite Provider'),
(165206, '217.20.254.1', '217.20.254.127', 3642031617, 3642031743, 'SL', 'Sierra Leone'),
(165207, '217.20.254.128', '217.20.254.255', 3642031744, 3642031871, 'A2', 'Satellite Provider'),
(165208, '217.20.255.0', '217.20.255.255', 3642031872, 3642032127, 'GB', 'United Kingdom'),
(165209, '217.21.0.0', '217.21.15.255', 3642032128, 3642036223, 'PS', 'Palestinian Territory, Occupied'),
(165210, '217.21.16.0', '217.21.31.255', 3642036224, 3642040319, 'HU', 'Hungary'),
(165211, '217.21.32.0', '217.21.63.255', 3642040320, 3642048511, 'BY', 'Belarus'),
(165212, '217.21.64.0', '217.21.83.63', 3642048512, 3642053439, 'A2', 'Satellite Provider'),
(165213, '217.21.83.64', '217.21.83.255', 3642053440, 3642053631, 'TZ', 'Tanzania, United Republic of'),
(165214, '217.21.84.0', '217.21.95.255', 3642053632, 3642056703, 'A2', 'Satellite Provider'),
(165215, '217.21.96.0', '217.21.111.255', 3642056704, 3642060799, 'RU', 'Russian Federation'),
(165216, '217.21.112.0', '217.21.127.255', 3642060800, 3642064895, 'KE', 'Kenya'),
(165217, '217.21.128.0', '217.21.143.255', 3642064896, 3642068991, 'SE', 'Sweden'),
(165218, '217.21.144.0', '217.21.159.255', 3642068992, 3642073087, 'AL', 'Albania'),
(165219, '217.21.160.0', '217.21.175.255', 3642073088, 3642077183, 'LV', 'Latvia'),
(165220, '217.21.176.0', '217.21.183.23', 3642077184, 3642078999, 'BE', 'Belgium'),
(165221, '217.21.183.24', '217.21.183.31', 3642079000, 3642079007, 'NL', 'Netherlands'),
(165222, '217.21.183.32', '217.21.191.247', 3642079008, 3642081271, 'BE', 'Belgium'),
(165223, '217.21.191.248', '217.21.191.254', 3642081272, 3642081278, 'US', 'United States'),
(165224, '217.21.191.255', '217.21.207.255', 3642081279, 3642085375, 'NL', 'Netherlands'),
(165225, '217.21.208.0', '217.21.223.255', 3642085376, 3642089471, 'RU', 'Russian Federation'),
(165226, '217.21.224.0', '217.21.239.255', 3642089472, 3642093567, 'SE', 'Sweden'),
(165227, '217.21.240.0', '217.21.255.255', 3642093568, 3642097663, 'NL', 'Netherlands'),
(165228, '217.22.0.0', '217.22.15.255', 3642097664, 3642101759, 'GB', 'United Kingdom'),
(165229, '217.22.16.0', '217.22.47.255', 3642101760, 3642109951, 'NO', 'Norway'),
(165230, '217.22.48.0', '217.22.49.255', 3642109952, 3642110463, 'BE', 'Belgium'),
(165231, '217.22.50.0', '217.22.52.15', 3642110464, 3642110991, 'NL', 'Netherlands'),
(165232, '217.22.52.16', '217.22.52.47', 3642110992, 3642111023, 'BE', 'Belgium'),
(165233, '217.22.52.48', '217.22.52.127', 3642111024, 3642111103, 'NL', 'Netherlands'),
(165234, '217.22.52.128', '217.22.53.254', 3642111104, 3642111486, 'BE', 'Belgium'),
(165235, '217.22.53.255', '217.22.55.47', 3642111487, 3642111791, 'NL', 'Netherlands'),
(165236, '217.22.55.48', '217.22.55.95', 3642111792, 3642111839, 'BE', 'Belgium'),
(165237, '217.22.55.96', '217.22.55.143', 3642111840, 3642111887, 'NL', 'Netherlands'),
(165238, '217.22.55.144', '217.22.55.159', 3642111888, 3642111903, 'BE', 'Belgium'),
(165239, '217.22.55.160', '217.22.55.175', 3642111904, 3642111919, 'NL', 'Netherlands'),
(165240, '217.22.55.176', '217.22.55.191', 3642111920, 3642111935, 'BE', 'Belgium'),
(165241, '217.22.55.192', '217.22.55.207', 3642111936, 3642111951, 'NL', 'Netherlands'),
(165242, '217.22.55.208', '217.22.55.239', 3642111952, 3642111983, 'BE', 'Belgium'),
(165243, '217.22.55.240', '217.22.55.255', 3642111984, 3642111999, 'NL', 'Netherlands'),
(165244, '217.22.56.0', '217.22.56.31', 3642112000, 3642112031, 'BE', 'Belgium'),
(165245, '217.22.56.32', '217.22.56.47', 3642112032, 3642112047, 'NL', 'Netherlands'),
(165246, '217.22.56.48', '217.22.56.63', 3642112048, 3642112063, 'BE', 'Belgium'),
(165247, '217.22.56.64', '217.22.56.143', 3642112064, 3642112143, 'NL', 'Netherlands'),
(165248, '217.22.56.144', '217.22.56.159', 3642112144, 3642112159, 'BE', 'Belgium'),
(165249, '217.22.56.160', '217.22.56.207', 3642112160, 3642112207, 'NL', 'Netherlands'),
(165250, '217.22.56.208', '217.22.56.239', 3642112208, 3642112239, 'BE', 'Belgium'),
(165251, '217.22.56.240', '217.22.57.95', 3642112240, 3642112351, 'NL', 'Netherlands'),
(165252, '217.22.57.96', '217.22.57.127', 3642112352, 3642112383, 'BE', 'Belgium');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(165253, '217.22.57.128', '217.22.57.159', 3642112384, 3642112415, 'NL', 'Netherlands'),
(165254, '217.22.57.160', '217.22.57.191', 3642112416, 3642112447, 'BE', 'Belgium'),
(165255, '217.22.57.192', '217.22.58.15', 3642112448, 3642112527, 'NL', 'Netherlands'),
(165256, '217.22.58.16', '217.22.58.31', 3642112528, 3642112543, 'BE', 'Belgium'),
(165257, '217.22.58.32', '217.22.58.47', 3642112544, 3642112559, 'NL', 'Netherlands'),
(165258, '217.22.58.48', '217.22.58.63', 3642112560, 3642112575, 'BE', 'Belgium'),
(165259, '217.22.58.64', '217.22.58.79', 3642112576, 3642112591, 'NL', 'Netherlands'),
(165260, '217.22.58.80', '217.22.58.95', 3642112592, 3642112607, 'BE', 'Belgium'),
(165261, '217.22.58.96', '217.22.58.111', 3642112608, 3642112623, 'NL', 'Netherlands'),
(165262, '217.22.58.112', '217.22.58.143', 3642112624, 3642112655, 'BE', 'Belgium'),
(165263, '217.22.58.144', '217.22.58.159', 3642112656, 3642112671, 'NL', 'Netherlands'),
(165264, '217.22.58.160', '217.22.58.175', 3642112672, 3642112687, 'BE', 'Belgium'),
(165265, '217.22.58.176', '217.22.58.207', 3642112688, 3642112719, 'NL', 'Netherlands'),
(165266, '217.22.58.208', '217.22.58.239', 3642112720, 3642112751, 'BE', 'Belgium'),
(165267, '217.22.58.240', '217.22.58.255', 3642112752, 3642112767, 'NL', 'Netherlands'),
(165268, '217.22.59.0', '217.22.59.63', 3642112768, 3642112831, 'BE', 'Belgium'),
(165269, '217.22.59.64', '217.22.59.255', 3642112832, 3642113023, 'NL', 'Netherlands'),
(165270, '217.22.60.0', '217.22.60.191', 3642113024, 3642113215, 'BE', 'Belgium'),
(165271, '217.22.60.192', '217.22.60.255', 3642113216, 3642113279, 'NL', 'Netherlands'),
(165272, '217.22.61.0', '217.22.61.31', 3642113280, 3642113311, 'BE', 'Belgium'),
(165273, '217.22.61.32', '217.22.62.255', 3642113312, 3642113791, 'NL', 'Netherlands'),
(165274, '217.22.63.0', '217.22.63.31', 3642113792, 3642113823, 'BE', 'Belgium'),
(165275, '217.22.63.32', '217.22.63.63', 3642113824, 3642113855, 'NL', 'Netherlands'),
(165276, '217.22.63.64', '217.22.63.127', 3642113856, 3642113919, 'BE', 'Belgium'),
(165277, '217.22.63.128', '217.22.66.31', 3642113920, 3642114591, 'NL', 'Netherlands'),
(165278, '217.22.66.32', '217.22.66.255', 3642114592, 3642114815, 'NO', 'Norway'),
(165279, '217.22.67.0', '217.22.67.15', 3642114816, 3642114831, 'NL', 'Netherlands'),
(165280, '217.22.67.16', '217.22.68.23', 3642114832, 3642115095, 'NO', 'Norway'),
(165281, '217.22.68.24', '217.22.68.31', 3642115096, 3642115103, 'NL', 'Netherlands'),
(165282, '217.22.68.32', '217.22.71.255', 3642115104, 3642116095, 'NO', 'Norway'),
(165283, '217.22.72.0', '217.22.75.255', 3642116096, 3642117119, 'NL', 'Netherlands'),
(165284, '217.22.76.0', '217.22.76.255', 3642117120, 3642117375, 'NO', 'Norway'),
(165285, '217.22.77.0', '217.22.77.255', 3642117376, 3642117631, 'NL', 'Netherlands'),
(165286, '217.22.78.0', '217.22.78.255', 3642117632, 3642117887, 'NO', 'Norway'),
(165287, '217.22.79.0', '217.22.79.255', 3642117888, 3642118143, 'NL', 'Netherlands'),
(165288, '217.22.80.0', '217.22.95.255', 3642118144, 3642122239, 'GB', 'United Kingdom'),
(165289, '217.22.96.0', '217.22.111.255', 3642122240, 3642126335, 'ES', 'Spain'),
(165290, '217.22.112.0', '217.22.127.255', 3642126336, 3642130431, 'IL', 'Israel'),
(165291, '217.22.128.0', '217.22.143.255', 3642130432, 3642134527, 'DE', 'Germany'),
(165292, '217.22.144.0', '217.22.159.255', 3642134528, 3642138623, 'GB', 'United Kingdom'),
(165293, '217.22.160.0', '217.22.175.255', 3642138624, 3642142719, 'RU', 'Russian Federation'),
(165294, '217.22.176.0', '217.22.191.255', 3642142720, 3642146815, 'MT', 'Malta'),
(165295, '217.22.192.0', '217.22.207.255', 3642146816, 3642150911, 'DE', 'Germany'),
(165296, '217.22.208.0', '217.22.255.255', 3642150912, 3642163199, 'IT', 'Italy'),
(165297, '217.23.0.0', '217.23.3.78', 3642163200, 3642164046, 'NL', 'Netherlands'),
(165298, '217.23.3.79', '217.23.3.80', 3642164047, 3642164048, 'AF', 'Afghanistan'),
(165299, '217.23.3.81', '217.23.15.255', 3642164049, 3642167295, 'NL', 'Netherlands'),
(165300, '217.23.16.0', '217.23.31.255', 3642167296, 3642171391, 'RU', 'Russian Federation'),
(165301, '217.23.32.0', '217.23.47.255', 3642171392, 3642175487, 'JO', 'Jordan'),
(165302, '217.23.48.0', '217.23.63.255', 3642175488, 3642179583, 'DE', 'Germany'),
(165303, '217.23.64.0', '217.23.95.255', 3642179584, 3642187775, 'RU', 'Russian Federation'),
(165304, '217.23.96.0', '217.23.106.255', 3642187776, 3642190591, 'DK', 'Denmark'),
(165305, '217.23.107.0', '217.23.107.31', 3642190592, 3642190623, 'NO', 'Norway'),
(165306, '217.23.107.32', '217.23.110.63', 3642190624, 3642191423, 'DK', 'Denmark'),
(165307, '217.23.110.64', '217.23.110.95', 3642191424, 3642191455, 'ES', 'Spain'),
(165308, '217.23.110.96', '217.23.110.127', 3642191456, 3642191487, 'TR', 'Turkey'),
(165309, '217.23.110.128', '217.23.110.159', 3642191488, 3642191519, 'CH', 'Switzerland'),
(165310, '217.23.110.160', '217.23.110.191', 3642191520, 3642191551, 'CY', 'Cyprus'),
(165311, '217.23.110.192', '217.23.110.223', 3642191552, 3642191583, 'ES', 'Spain'),
(165312, '217.23.110.224', '217.23.110.255', 3642191584, 3642191615, 'US', 'United States'),
(165313, '217.23.111.0', '217.23.111.31', 3642191616, 3642191647, 'ZA', 'South Africa'),
(165314, '217.23.111.32', '217.23.111.63', 3642191648, 3642191679, 'AU', 'Australia'),
(165315, '217.23.111.64', '217.23.111.95', 3642191680, 3642191711, 'TH', 'Thailand'),
(165316, '217.23.111.96', '217.23.111.127', 3642191712, 3642191743, 'BR', 'Brazil'),
(165317, '217.23.111.128', '217.23.111.255', 3642191744, 3642191871, 'DK', 'Denmark'),
(165318, '217.23.112.0', '217.23.127.255', 3642191872, 3642195967, 'BY', 'Belarus'),
(165319, '217.23.128.0', '217.23.159.255', 3642195968, 3642204159, 'RU', 'Russian Federation'),
(165320, '217.23.160.0', '217.23.175.255', 3642204160, 3642208255, 'GB', 'United Kingdom'),
(165321, '217.23.176.0', '217.23.191.255', 3642208256, 3642212351, 'RU', 'Russian Federation'),
(165322, '217.23.192.0', '217.23.207.255', 3642212352, 3642216447, 'BA', 'Bosnia and Herzegovina'),
(165323, '217.23.208.0', '217.23.223.255', 3642216448, 3642220543, 'HU', 'Hungary'),
(165324, '217.23.224.0', '217.23.239.255', 3642220544, 3642224639, 'GB', 'United Kingdom'),
(165325, '217.23.240.0', '217.23.255.255', 3642224640, 3642228735, 'SK', 'Slovakia'),
(165326, '217.24.0.0', '217.24.15.255', 3642228736, 3642232831, 'DE', 'Germany'),
(165327, '217.24.16.0', '217.24.31.255', 3642232832, 3642236927, 'RS', 'Serbia'),
(165328, '217.24.32.0', '217.24.47.255', 3642236928, 3642241023, 'CH', 'Switzerland'),
(165329, '217.24.48.0', '217.24.63.255', 3642241024, 3642245119, 'DE', 'Germany'),
(165330, '217.24.64.0', '217.24.79.255', 3642245120, 3642249215, 'LV', 'Latvia'),
(165331, '217.24.80.0', '217.24.95.255', 3642249216, 3642253311, 'FR', 'France'),
(165332, '217.24.96.0', '217.24.111.255', 3642253312, 3642257407, 'FI', 'Finland'),
(165333, '217.24.112.0', '217.24.127.255', 3642257408, 3642261503, 'RU', 'Russian Federation'),
(165334, '217.24.128.0', '217.24.143.255', 3642261504, 3642265599, 'BA', 'Bosnia and Herzegovina'),
(165335, '217.24.144.0', '217.24.144.255', 3642265600, 3642265855, 'AE', 'United Arab Emirates'),
(165336, '217.24.145.0', '217.24.159.255', 3642265856, 3642269695, 'IR', 'Iran, Islamic Republic of'),
(165337, '217.24.160.0', '217.24.175.255', 3642269696, 3642273791, 'UA', 'Ukraine'),
(165338, '217.24.176.0', '217.24.191.255', 3642273792, 3642277887, 'RU', 'Russian Federation'),
(165339, '217.24.192.0', '217.24.239.255', 3642277888, 3642290175, 'DE', 'Germany'),
(165340, '217.24.240.0', '217.24.255.255', 3642290176, 3642294271, 'AL', 'Albania'),
(165341, '217.25.0.0', '217.25.15.255', 3642294272, 3642298367, 'GB', 'United Kingdom'),
(165342, '217.25.16.0', '217.25.31.255', 3642298368, 3642302463, 'AZ', 'Azerbaijan'),
(165343, '217.25.32.0', '217.25.33.39', 3642302464, 3642302759, 'SE', 'Sweden'),
(165344, '217.25.33.40', '217.25.33.44', 3642302760, 3642302764, 'GB', 'United Kingdom'),
(165345, '217.25.33.45', '217.25.33.255', 3642302765, 3642302975, 'SE', 'Sweden'),
(165346, '217.25.34.0', '217.25.34.31', 3642302976, 3642303007, 'GB', 'United Kingdom'),
(165347, '217.25.34.32', '217.25.38.31', 3642303008, 3642304031, 'SE', 'Sweden'),
(165348, '217.25.38.32', '217.25.38.36', 3642304032, 3642304036, 'GB', 'United Kingdom'),
(165349, '217.25.38.37', '217.25.47.255', 3642304037, 3642306559, 'SE', 'Sweden'),
(165350, '217.25.48.0', '217.25.63.255', 3642306560, 3642310655, 'IR', 'Iran, Islamic Republic of'),
(165351, '217.25.64.0', '217.25.79.255', 3642310656, 3642314751, 'DE', 'Germany'),
(165352, '217.25.80.0', '217.25.95.255', 3642314752, 3642318847, 'RU', 'Russian Federation'),
(165353, '217.25.96.0', '217.25.111.255', 3642318848, 3642322943, 'FI', 'Finland'),
(165354, '217.25.112.0', '217.25.127.255', 3642322944, 3642327039, 'AT', 'Austria'),
(165355, '217.25.128.0', '217.25.143.255', 3642327040, 3642331135, 'DE', 'Germany'),
(165356, '217.25.144.0', '217.25.159.255', 3642331136, 3642335231, 'RU', 'Russian Federation'),
(165357, '217.25.160.0', '217.25.175.255', 3642335232, 3642339327, 'DE', 'Germany'),
(165358, '217.25.176.0', '217.25.191.255', 3642339328, 3642343423, 'FR', 'France'),
(165359, '217.25.192.0', '217.25.207.255', 3642343424, 3642347519, 'UA', 'Ukraine'),
(165360, '217.25.208.0', '217.25.239.255', 3642347520, 3642355711, 'RU', 'Russian Federation'),
(165361, '217.25.240.0', '217.25.255.255', 3642355712, 3642359807, 'SE', 'Sweden'),
(165362, '217.26.0.0', '217.26.31.255', 3642359808, 3642367999, 'RU', 'Russian Federation'),
(165363, '217.26.32.0', '217.26.63.255', 3642368000, 3642376191, 'CH', 'Switzerland'),
(165364, '217.26.64.0', '217.26.79.255', 3642376192, 3642380287, 'RS', 'Serbia'),
(165365, '217.26.80.0', '217.26.95.255', 3642380288, 3642384383, 'IT', 'Italy'),
(165366, '217.26.96.0', '217.26.127.255', 3642384384, 3642392575, 'NL', 'Netherlands'),
(165367, '217.26.128.0', '217.26.135.255', 3642392576, 3642394623, 'AT', 'Austria'),
(165368, '217.26.136.0', '217.26.143.255', 3642394624, 3642396671, 'FR', 'France'),
(165369, '217.26.144.0', '217.26.175.255', 3642396672, 3642404863, 'MD', 'Moldova, Republic of'),
(165370, '217.26.176.0', '217.26.191.255', 3642404864, 3642408959, 'RU', 'Russian Federation'),
(165371, '217.26.192.0', '217.26.207.255', 3642408960, 3642413055, 'FR', 'France'),
(165372, '217.26.208.0', '217.26.213.255', 3642413056, 3642414591, 'RS', 'Serbia'),
(165373, '217.26.214.0', '217.26.214.255', 3642414592, 3642414847, 'GB', 'United Kingdom'),
(165374, '217.26.215.0', '217.26.215.127', 3642414848, 3642414975, 'RS', 'Serbia'),
(165375, '217.26.215.128', '217.26.218.11', 3642414976, 3642415627, 'GB', 'United Kingdom'),
(165376, '217.26.218.12', '217.26.218.19', 3642415628, 3642415635, 'MT', 'Malta'),
(165377, '217.26.218.20', '217.26.218.35', 3642415636, 3642415651, 'GB', 'United Kingdom'),
(165378, '217.26.218.36', '217.26.218.39', 3642415652, 3642415655, 'MT', 'Malta'),
(165379, '217.26.218.40', '217.26.223.255', 3642415656, 3642417151, 'GB', 'United Kingdom'),
(165380, '217.26.224.0', '217.26.231.255', 3642417152, 3642419199, 'DE', 'Germany'),
(165381, '217.26.232.0', '217.26.239.255', 3642419200, 3642421247, 'GB', 'United Kingdom'),
(165382, '217.26.240.0', '217.26.245.255', 3642421248, 3642422783, 'A2', 'Satellite Provider'),
(165383, '217.26.246.0', '217.26.246.255', 3642422784, 3642423039, 'US', 'United States'),
(165384, '217.26.247.0', '217.26.254.255', 3642423040, 3642425087, 'A2', 'Satellite Provider'),
(165385, '217.26.255.0', '217.26.255.255', 3642425088, 3642425343, 'US', 'United States'),
(165386, '217.27.0.0', '217.27.15.255', 3642425344, 3642429439, 'DE', 'Germany'),
(165387, '217.27.16.0', '217.27.31.255', 3642429440, 3642433535, 'GB', 'United Kingdom'),
(165388, '217.27.32.0', '217.27.39.255', 3642433536, 3642435583, 'CY', 'Cyprus'),
(165389, '217.27.40.0', '217.27.43.255', 3642435584, 3642436607, 'RU', 'Russian Federation'),
(165390, '217.27.44.0', '217.27.45.255', 3642436608, 3642437119, 'CY', 'Cyprus'),
(165391, '217.27.46.0', '217.27.47.255', 3642437120, 3642437631, 'GB', 'United Kingdom'),
(165392, '217.27.48.0', '217.27.54.255', 3642437632, 3642439423, 'CY', 'Cyprus'),
(165393, '217.27.55.0', '217.27.55.35', 3642439424, 3642439459, 'RU', 'Russian Federation'),
(165394, '217.27.55.36', '217.27.55.39', 3642439460, 3642439463, 'CY', 'Cyprus'),
(165395, '217.27.55.40', '217.27.55.47', 3642439464, 3642439471, 'RU', 'Russian Federation'),
(165396, '217.27.55.48', '217.27.55.59', 3642439472, 3642439483, 'CY', 'Cyprus'),
(165397, '217.27.55.60', '217.27.55.71', 3642439484, 3642439495, 'RU', 'Russian Federation'),
(165398, '217.27.55.72', '217.27.55.127', 3642439496, 3642439551, 'CY', 'Cyprus'),
(165399, '217.27.55.128', '217.27.55.143', 3642439552, 3642439567, 'RU', 'Russian Federation'),
(165400, '217.27.55.144', '217.27.63.255', 3642439568, 3642441727, 'CY', 'Cyprus'),
(165401, '217.27.64.0', '217.27.95.255', 3642441728, 3642449919, 'IT', 'Italy'),
(165402, '217.27.96.0', '217.27.111.255', 3642449920, 3642454015, 'CH', 'Switzerland'),
(165403, '217.27.112.0', '217.27.127.255', 3642454016, 3642458111, 'IT', 'Italy'),
(165404, '217.27.128.0', '217.27.143.255', 3642458112, 3642462207, 'RU', 'Russian Federation'),
(165405, '217.27.144.0', '217.27.159.255', 3642462208, 3642466303, 'UA', 'Ukraine'),
(165406, '217.27.160.0', '217.27.191.255', 3642466304, 3642474495, 'SE', 'Sweden'),
(165407, '217.27.192.0', '217.27.207.255', 3642474496, 3642478591, 'DE', 'Germany'),
(165408, '217.27.208.0', '217.27.223.255', 3642478592, 3642482687, 'HU', 'Hungary'),
(165409, '217.27.224.0', '217.27.239.255', 3642482688, 3642486783, 'NL', 'Netherlands'),
(165410, '217.27.240.0', '217.27.255.255', 3642486784, 3642490879, 'GB', 'United Kingdom'),
(165411, '217.28.0.0', '217.28.15.255', 3642490880, 3642494975, 'IM', 'Isle of Man'),
(165412, '217.28.16.0', '217.28.31.255', 3642494976, 3642499071, 'GB', 'United Kingdom'),
(165413, '217.28.32.0', '217.28.34.131', 3642499072, 3642499715, 'SE', 'Sweden'),
(165414, '217.28.34.132', '217.28.34.132', 3642499716, 3642499716, 'EU', 'Europe'),
(165415, '217.28.34.133', '217.28.47.255', 3642499717, 3642503167, 'SE', 'Sweden'),
(165416, '217.28.48.0', '217.28.63.255', 3642503168, 3642507263, 'LV', 'Latvia'),
(165417, '217.28.64.0', '217.28.71.255', 3642507264, 3642509311, 'FR', 'France'),
(165418, '217.28.72.0', '217.28.79.255', 3642509312, 3642511359, 'RU', 'Russian Federation'),
(165419, '217.28.80.0', '217.28.95.255', 3642511360, 3642515455, 'CZ', 'Czech Republic'),
(165420, '217.28.96.0', '217.28.111.255', 3642515456, 3642519551, 'DE', 'Germany'),
(165421, '217.28.112.0', '217.28.127.255', 3642519552, 3642523647, 'IT', 'Italy'),
(165422, '217.28.128.0', '217.28.143.255', 3642523648, 3642527743, 'GB', 'United Kingdom'),
(165423, '217.28.144.0', '217.28.159.255', 3642527744, 3642531839, 'PL', 'Poland'),
(165424, '217.28.160.0', '217.28.161.255', 3642531840, 3642532351, 'DK', 'Denmark'),
(165425, '217.28.162.0', '217.28.162.255', 3642532352, 3642532607, 'GB', 'United Kingdom'),
(165426, '217.28.163.0', '217.28.163.255', 3642532608, 3642532863, 'US', 'United States'),
(165427, '217.28.164.0', '217.28.175.255', 3642532864, 3642535935, 'DK', 'Denmark'),
(165428, '217.28.176.0', '217.28.191.93', 3642535936, 3642539869, 'IS', 'Iceland'),
(165429, '217.28.191.94', '217.28.191.94', 3642539870, 3642539870, 'GB', 'United Kingdom'),
(165430, '217.28.191.95', '217.28.191.195', 3642539871, 3642539971, 'IS', 'Iceland'),
(165431, '217.28.191.196', '217.28.191.199', 3642539972, 3642539975, 'DK', 'Denmark'),
(165432, '217.28.191.200', '217.28.191.255', 3642539976, 3642540031, 'IS', 'Iceland'),
(165433, '217.28.192.0', '217.28.192.31', 3642540032, 3642540063, 'SE', 'Sweden'),
(165434, '217.28.192.32', '217.28.192.47', 3642540064, 3642540079, 'NO', 'Norway'),
(165435, '217.28.192.48', '217.28.192.103', 3642540080, 3642540135, 'SE', 'Sweden'),
(165436, '217.28.192.104', '217.28.192.111', 3642540136, 3642540143, 'NO', 'Norway'),
(165437, '217.28.192.112', '217.28.207.255', 3642540144, 3642544127, 'SE', 'Sweden'),
(165438, '217.28.208.0', '217.28.239.255', 3642544128, 3642552319, 'RU', 'Russian Federation'),
(165439, '217.28.240.0', '217.28.241.63', 3642552320, 3642552639, 'UA', 'Ukraine'),
(165440, '217.28.241.64', '217.28.241.79', 3642552640, 3642552655, 'EE', 'Estonia'),
(165441, '217.28.241.80', '217.28.241.87', 3642552656, 3642552663, 'HU', 'Hungary'),
(165442, '217.28.241.88', '217.28.241.89', 3642552664, 3642552665, 'EE', 'Estonia'),
(165443, '217.28.241.90', '217.28.241.95', 3642552666, 3642552671, 'UA', 'Ukraine'),
(165444, '217.28.241.96', '217.28.241.111', 3642552672, 3642552687, 'SE', 'Sweden'),
(165445, '217.28.241.112', '217.28.241.255', 3642552688, 3642552831, 'UA', 'Ukraine'),
(165446, '217.28.242.0', '217.28.242.15', 3642552832, 3642552847, 'EE', 'Estonia'),
(165447, '217.28.242.16', '217.28.242.255', 3642552848, 3642553087, 'UA', 'Ukraine'),
(165448, '217.28.243.0', '217.28.243.13', 3642553088, 3642553101, 'LV', 'Latvia'),
(165449, '217.28.243.14', '217.28.243.19', 3642553102, 3642553107, 'UA', 'Ukraine'),
(165450, '217.28.243.20', '217.28.243.73', 3642553108, 3642553161, 'LV', 'Latvia'),
(165451, '217.28.243.74', '217.28.243.75', 3642553162, 3642553163, 'UA', 'Ukraine'),
(165452, '217.28.243.76', '217.28.243.77', 3642553164, 3642553165, 'LV', 'Latvia'),
(165453, '217.28.243.78', '217.28.243.79', 3642553166, 3642553167, 'UA', 'Ukraine'),
(165454, '217.28.243.80', '217.28.243.87', 3642553168, 3642553175, 'LV', 'Latvia'),
(165455, '217.28.243.88', '217.28.243.95', 3642553176, 3642553183, 'UA', 'Ukraine'),
(165456, '217.28.243.96', '217.28.243.135', 3642553184, 3642553223, 'LV', 'Latvia'),
(165457, '217.28.243.136', '217.28.243.159', 3642553224, 3642553247, 'UA', 'Ukraine'),
(165458, '217.28.243.160', '217.28.243.197', 3642553248, 3642553285, 'LV', 'Latvia'),
(165459, '217.28.243.198', '217.28.243.201', 3642553286, 3642553289, 'UA', 'Ukraine'),
(165460, '217.28.243.202', '217.28.243.207', 3642553290, 3642553295, 'LV', 'Latvia'),
(165461, '217.28.243.208', '217.28.243.223', 3642553296, 3642553311, 'UA', 'Ukraine'),
(165462, '217.28.243.224', '217.28.243.255', 3642553312, 3642553343, 'LV', 'Latvia'),
(165463, '217.28.244.0', '217.28.244.19', 3642553344, 3642553363, 'RU', 'Russian Federation'),
(165464, '217.28.244.20', '217.28.244.23', 3642553364, 3642553367, 'UA', 'Ukraine'),
(165465, '217.28.244.24', '217.28.244.27', 3642553368, 3642553371, 'RU', 'Russian Federation'),
(165466, '217.28.244.28', '217.28.244.35', 3642553372, 3642553379, 'UA', 'Ukraine'),
(165467, '217.28.244.36', '217.28.244.39', 3642553380, 3642553383, 'RU', 'Russian Federation'),
(165468, '217.28.244.40', '217.28.244.63', 3642553384, 3642553407, 'UA', 'Ukraine'),
(165469, '217.28.244.64', '217.28.244.67', 3642553408, 3642553411, 'RU', 'Russian Federation'),
(165470, '217.28.244.68', '217.28.244.71', 3642553412, 3642553415, 'UA', 'Ukraine'),
(165471, '217.28.244.72', '217.28.244.79', 3642553416, 3642553423, 'RU', 'Russian Federation'),
(165472, '217.28.244.80', '217.28.244.87', 3642553424, 3642553431, 'UA', 'Ukraine'),
(165473, '217.28.244.88', '217.28.244.119', 3642553432, 3642553463, 'RU', 'Russian Federation'),
(165474, '217.28.244.120', '217.28.244.127', 3642553464, 3642553471, 'UA', 'Ukraine'),
(165475, '217.28.244.128', '217.28.244.175', 3642553472, 3642553519, 'RU', 'Russian Federation'),
(165476, '217.28.244.176', '217.28.244.179', 3642553520, 3642553523, 'UA', 'Ukraine'),
(165477, '217.28.244.180', '217.28.244.191', 3642553524, 3642553535, 'RU', 'Russian Federation'),
(165478, '217.28.244.192', '217.28.244.203', 3642553536, 3642553547, 'UA', 'Ukraine'),
(165479, '217.28.244.204', '217.28.244.223', 3642553548, 3642553567, 'RU', 'Russian Federation'),
(165480, '217.28.244.224', '217.28.244.227', 3642553568, 3642553571, 'UA', 'Ukraine'),
(165481, '217.28.244.228', '217.28.244.231', 3642553572, 3642553575, 'RU', 'Russian Federation'),
(165482, '217.28.244.232', '217.28.244.235', 3642553576, 3642553579, 'UA', 'Ukraine'),
(165483, '217.28.244.236', '217.28.244.245', 3642553580, 3642553589, 'RU', 'Russian Federation'),
(165484, '217.28.244.246', '217.28.244.247', 3642553590, 3642553591, 'UA', 'Ukraine'),
(165485, '217.28.244.248', '217.28.244.255', 3642553592, 3642553599, 'RU', 'Russian Federation'),
(165486, '217.28.245.0', '217.28.245.255', 3642553600, 3642553855, 'UA', 'Ukraine'),
(165487, '217.28.246.0', '217.28.246.69', 3642553856, 3642553925, 'RU', 'Russian Federation'),
(165488, '217.28.246.70', '217.28.246.79', 3642553926, 3642553935, 'UA', 'Ukraine'),
(165489, '217.28.246.80', '217.28.246.103', 3642553936, 3642553959, 'RU', 'Russian Federation'),
(165490, '217.28.246.104', '217.28.246.255', 3642553960, 3642554111, 'UA', 'Ukraine'),
(165491, '217.28.247.0', '217.28.247.7', 3642554112, 3642554119, 'RU', 'Russian Federation'),
(165492, '217.28.247.8', '217.28.247.15', 3642554120, 3642554127, 'UA', 'Ukraine'),
(165493, '217.28.247.16', '217.28.247.47', 3642554128, 3642554159, 'RU', 'Russian Federation'),
(165494, '217.28.247.48', '217.28.247.75', 3642554160, 3642554187, 'UA', 'Ukraine'),
(165495, '217.28.247.76', '217.28.247.81', 3642554188, 3642554193, 'RU', 'Russian Federation'),
(165496, '217.28.247.82', '217.28.247.83', 3642554194, 3642554195, 'UA', 'Ukraine'),
(165497, '217.28.247.84', '217.28.247.87', 3642554196, 3642554199, 'RU', 'Russian Federation'),
(165498, '217.28.247.88', '217.28.247.93', 3642554200, 3642554205, 'UA', 'Ukraine'),
(165499, '217.28.247.94', '217.28.247.95', 3642554206, 3642554207, 'RU', 'Russian Federation'),
(165500, '217.28.247.96', '217.28.247.255', 3642554208, 3642554367, 'UA', 'Ukraine'),
(165501, '217.28.248.0', '217.28.248.7', 3642554368, 3642554375, 'LT', 'Lithuania'),
(165502, '217.28.248.8', '217.28.248.11', 3642554376, 3642554379, 'UA', 'Ukraine'),
(165503, '217.28.248.12', '217.28.248.19', 3642554380, 3642554387, 'LT', 'Lithuania'),
(165504, '217.28.248.20', '217.28.248.23', 3642554388, 3642554391, 'UA', 'Ukraine'),
(165505, '217.28.248.24', '217.28.248.31', 3642554392, 3642554399, 'LT', 'Lithuania'),
(165506, '217.28.248.32', '217.28.248.47', 3642554400, 3642554415, 'UA', 'Ukraine'),
(165507, '217.28.248.48', '217.28.248.79', 3642554416, 3642554447, 'LT', 'Lithuania'),
(165508, '217.28.248.80', '217.28.248.95', 3642554448, 3642554463, 'UA', 'Ukraine'),
(165509, '217.28.248.96', '217.28.248.223', 3642554464, 3642554591, 'LT', 'Lithuania'),
(165510, '217.28.248.224', '217.28.249.7', 3642554592, 3642554631, 'UA', 'Ukraine'),
(165511, '217.28.249.8', '217.28.249.47', 3642554632, 3642554671, 'LV', 'Latvia'),
(165512, '217.28.249.48', '217.28.249.51', 3642554672, 3642554675, 'UA', 'Ukraine'),
(165513, '217.28.249.52', '217.28.249.95', 3642554676, 3642554719, 'LV', 'Latvia'),
(165514, '217.28.249.96', '217.28.249.127', 3642554720, 3642554751, 'UA', 'Ukraine'),
(165515, '217.28.249.128', '217.28.249.171', 3642554752, 3642554795, 'LV', 'Latvia'),
(165516, '217.28.249.172', '217.28.249.183', 3642554796, 3642554807, 'UA', 'Ukraine'),
(165517, '217.28.249.184', '217.28.249.187', 3642554808, 3642554811, 'LV', 'Latvia'),
(165518, '217.28.249.188', '217.28.249.191', 3642554812, 3642554815, 'UA', 'Ukraine'),
(165519, '217.28.249.192', '217.28.249.207', 3642554816, 3642554831, 'LV', 'Latvia'),
(165520, '217.28.249.208', '217.28.249.227', 3642554832, 3642554851, 'UA', 'Ukraine'),
(165521, '217.28.249.228', '217.28.249.255', 3642554852, 3642554879, 'LV', 'Latvia'),
(165522, '217.28.250.0', '217.28.250.31', 3642554880, 3642554911, 'DE', 'Germany'),
(165523, '217.28.250.32', '217.28.250.39', 3642554912, 3642554919, 'NL', 'Netherlands'),
(165524, '217.28.250.40', '217.28.250.51', 3642554920, 3642554931, 'DE', 'Germany'),
(165525, '217.28.250.52', '217.28.250.79', 3642554932, 3642554959, 'UA', 'Ukraine'),
(165526, '217.28.250.80', '217.28.250.83', 3642554960, 3642554963, 'DE', 'Germany'),
(165527, '217.28.250.84', '217.28.250.91', 3642554964, 3642554971, 'UA', 'Ukraine'),
(165528, '217.28.250.92', '217.28.250.95', 3642554972, 3642554975, 'DE', 'Germany'),
(165529, '217.28.250.96', '217.28.250.97', 3642554976, 3642554977, 'CZ', 'Czech Republic'),
(165530, '217.28.250.98', '217.28.250.99', 3642554978, 3642554979, 'FR', 'France'),
(165531, '217.28.250.100', '217.28.250.103', 3642554980, 3642554983, 'BE', 'Belgium'),
(165532, '217.28.250.104', '217.28.250.107', 3642554984, 3642554987, 'UA', 'Ukraine'),
(165533, '217.28.250.108', '217.28.250.109', 3642554988, 3642554989, 'FR', 'France'),
(165534, '217.28.250.110', '217.28.250.111', 3642554990, 3642554991, 'UA', 'Ukraine'),
(165535, '217.28.250.112', '217.28.250.127', 3642554992, 3642555007, 'DE', 'Germany'),
(165536, '217.28.250.128', '217.28.250.135', 3642555008, 3642555015, 'UA', 'Ukraine'),
(165537, '217.28.250.136', '217.28.250.137', 3642555016, 3642555017, 'NL', 'Netherlands'),
(165538, '217.28.250.138', '217.28.250.143', 3642555018, 3642555023, 'DE', 'Germany'),
(165539, '217.28.250.144', '217.28.250.159', 3642555024, 3642555039, 'NL', 'Netherlands'),
(165540, '217.28.250.160', '217.28.250.165', 3642555040, 3642555045, 'DE', 'Germany'),
(165541, '217.28.250.166', '217.28.250.167', 3642555046, 3642555047, 'UA', 'Ukraine'),
(165542, '217.28.250.168', '217.28.250.171', 3642555048, 3642555051, 'DE', 'Germany'),
(165543, '217.28.250.172', '217.28.250.175', 3642555052, 3642555055, 'UA', 'Ukraine'),
(165544, '217.28.250.176', '217.28.250.187', 3642555056, 3642555067, 'DE', 'Germany'),
(165545, '217.28.250.188', '217.28.250.189', 3642555068, 3642555069, 'NL', 'Netherlands'),
(165546, '217.28.250.190', '217.28.250.191', 3642555070, 3642555071, 'DE', 'Germany'),
(165547, '217.28.250.192', '217.28.250.207', 3642555072, 3642555087, 'GE', 'Georgia'),
(165548, '217.28.250.208', '217.28.250.223', 3642555088, 3642555103, 'DE', 'Germany'),
(165549, '217.28.250.224', '217.28.250.231', 3642555104, 3642555111, 'CZ', 'Czech Republic'),
(165550, '217.28.250.232', '217.28.250.239', 3642555112, 3642555119, 'UA', 'Ukraine'),
(165551, '217.28.250.240', '217.28.250.255', 3642555120, 3642555135, 'DE', 'Germany'),
(165552, '217.28.251.0', '217.28.251.7', 3642555136, 3642555143, 'LT', 'Lithuania'),
(165553, '217.28.251.8', '217.28.251.15', 3642555144, 3642555151, 'UA', 'Ukraine'),
(165554, '217.28.251.16', '217.28.251.17', 3642555152, 3642555153, 'LT', 'Lithuania'),
(165555, '217.28.251.18', '217.28.251.31', 3642555154, 3642555167, 'UA', 'Ukraine'),
(165556, '217.28.251.32', '217.28.251.47', 3642555168, 3642555183, 'LT', 'Lithuania'),
(165557, '217.28.251.48', '217.28.251.63', 3642555184, 3642555199, 'UA', 'Ukraine'),
(165558, '217.28.251.64', '217.28.251.79', 3642555200, 3642555215, 'LT', 'Lithuania'),
(165559, '217.28.251.80', '217.28.251.91', 3642555216, 3642555227, 'UA', 'Ukraine'),
(165560, '217.28.251.92', '217.28.251.153', 3642555228, 3642555289, 'LT', 'Lithuania'),
(165561, '217.28.251.154', '217.28.251.175', 3642555290, 3642555311, 'UA', 'Ukraine'),
(165562, '217.28.251.176', '217.28.251.223', 3642555312, 3642555359, 'LT', 'Lithuania'),
(165563, '217.28.251.224', '217.28.251.239', 3642555360, 3642555375, 'UA', 'Ukraine'),
(165564, '217.28.251.240', '217.28.251.255', 3642555376, 3642555391, 'LT', 'Lithuania'),
(165565, '217.28.252.0', '217.28.252.31', 3642555392, 3642555423, 'PL', 'Poland'),
(165566, '217.28.252.32', '217.28.252.35', 3642555424, 3642555427, 'UA', 'Ukraine'),
(165567, '217.28.252.36', '217.28.252.39', 3642555428, 3642555431, 'PL', 'Poland'),
(165568, '217.28.252.40', '217.28.252.47', 3642555432, 3642555439, 'UA', 'Ukraine'),
(165569, '217.28.252.48', '217.28.252.51', 3642555440, 3642555443, 'PL', 'Poland'),
(165570, '217.28.252.52', '217.28.252.63', 3642555444, 3642555455, 'UA', 'Ukraine'),
(165571, '217.28.252.64', '217.28.252.79', 3642555456, 3642555471, 'PL', 'Poland'),
(165572, '217.28.252.80', '217.28.252.87', 3642555472, 3642555479, 'UA', 'Ukraine'),
(165573, '217.28.252.88', '217.28.252.113', 3642555480, 3642555505, 'PL', 'Poland'),
(165574, '217.28.252.114', '217.28.252.127', 3642555506, 3642555519, 'UA', 'Ukraine'),
(165575, '217.28.252.128', '217.28.252.175', 3642555520, 3642555567, 'PL', 'Poland'),
(165576, '217.28.252.176', '217.28.252.255', 3642555568, 3642555647, 'UA', 'Ukraine'),
(165577, '217.28.253.0', '217.28.253.35', 3642555648, 3642555683, 'SE', 'Sweden'),
(165578, '217.28.253.36', '217.28.253.37', 3642555684, 3642555685, 'GB', 'United Kingdom'),
(165579, '217.28.253.38', '217.28.253.43', 3642555686, 3642555691, 'UA', 'Ukraine'),
(165580, '217.28.253.44', '217.28.253.47', 3642555692, 3642555695, 'SE', 'Sweden'),
(165581, '217.28.253.48', '217.28.253.55', 3642555696, 3642555703, 'UA', 'Ukraine'),
(165582, '217.28.253.56', '217.28.253.57', 3642555704, 3642555705, 'FI', 'Finland'),
(165583, '217.28.253.58', '217.28.253.59', 3642555706, 3642555707, 'UA', 'Ukraine'),
(165584, '217.28.253.60', '217.28.253.63', 3642555708, 3642555711, 'SE', 'Sweden'),
(165585, '217.28.253.64', '217.28.253.79', 3642555712, 3642555727, 'RU', 'Russian Federation'),
(165586, '217.28.253.80', '217.28.253.87', 3642555728, 3642555735, 'SE', 'Sweden'),
(165587, '217.28.253.88', '217.28.253.95', 3642555736, 3642555743, 'GB', 'United Kingdom'),
(165588, '217.28.253.96', '217.28.253.111', 3642555744, 3642555759, 'SE', 'Sweden'),
(165589, '217.28.253.112', '217.28.253.123', 3642555760, 3642555771, 'UA', 'Ukraine'),
(165590, '217.28.253.124', '217.28.253.127', 3642555772, 3642555775, 'SE', 'Sweden'),
(165591, '217.28.253.128', '217.28.253.135', 3642555776, 3642555783, 'UA', 'Ukraine'),
(165592, '217.28.253.136', '217.28.253.139', 3642555784, 3642555787, 'GB', 'United Kingdom'),
(165593, '217.28.253.140', '217.28.253.141', 3642555788, 3642555789, 'UA', 'Ukraine'),
(165594, '217.28.253.142', '217.28.253.143', 3642555790, 3642555791, 'SE', 'Sweden'),
(165595, '217.28.253.144', '217.28.253.147', 3642555792, 3642555795, 'CZ', 'Czech Republic'),
(165596, '217.28.253.148', '217.28.253.159', 3642555796, 3642555807, 'UA', 'Ukraine'),
(165597, '217.28.253.160', '217.28.253.179', 3642555808, 3642555827, 'SE', 'Sweden'),
(165598, '217.28.253.180', '217.28.254.255', 3642555828, 3642556159, 'UA', 'Ukraine'),
(165599, '217.28.255.0', '217.28.255.255', 3642556160, 3642556415, 'LV', 'Latvia'),
(165600, '217.29.0.0', '217.29.15.255', 3642556416, 3642560511, 'CZ', 'Czech Republic'),
(165601, '217.29.16.0', '217.29.31.255', 3642560512, 3642564607, 'KG', 'Kyrgyzstan'),
(165602, '217.29.32.0', '217.29.47.255', 3642564608, 3642568703, 'DE', 'Germany'),
(165603, '217.29.48.0', '217.29.63.255', 3642568704, 3642572799, 'RU', 'Russian Federation'),
(165604, '217.29.64.0', '217.29.79.255', 3642572800, 3642576895, 'IT', 'Italy'),
(165605, '217.29.80.0', '217.29.95.255', 3642576896, 3642580991, 'RU', 'Russian Federation'),
(165606, '217.29.96.0', '217.29.111.255', 3642580992, 3642585087, 'ES', 'Spain'),
(165607, '217.29.112.0', '217.29.127.255', 3642585088, 3642589183, 'UZ', 'Uzbekistan'),
(165608, '217.29.128.0', '217.29.143.255', 3642589184, 3642593279, 'EG', 'Egypt'),
(165609, '217.29.144.0', '217.29.159.255', 3642593280, 3642597375, 'AT', 'Austria'),
(165610, '217.29.160.0', '217.29.175.255', 3642597376, 3642601471, 'IT', 'Italy'),
(165611, '217.29.176.0', '217.29.191.255', 3642601472, 3642605567, 'RU', 'Russian Federation'),
(165612, '217.29.192.0', '217.29.207.255', 3642605568, 3642609663, 'GB', 'United Kingdom'),
(165613, '217.29.224.0', '217.29.231.31', 3642613760, 3642615583, 'FI', 'Finland'),
(165614, '217.29.231.32', '217.29.231.63', 3642615584, 3642615615, 'AX', 'Aland Islands'),
(165615, '217.29.231.64', '217.29.239.255', 3642615616, 3642617855, 'FI', 'Finland'),
(165616, '217.29.240.0', '217.29.255.255', 3642617856, 3642621951, 'JO', 'Jordan'),
(165617, '217.30.0.0', '217.30.15.255', 3642621952, 3642626047, 'IT', 'Italy'),
(165618, '217.30.16.0', '217.30.16.255', 3642626048, 3642626303, 'A2', 'Satellite Provider'),
(165619, '217.30.17.0', '217.30.25.255', 3642626304, 3642628607, 'BE', 'Belgium'),
(165620, '217.30.26.0', '217.30.26.255', 3642628608, 3642628863, 'A2', 'Satellite Provider'),
(165621, '217.30.27.0', '217.30.31.255', 3642628864, 3642630143, 'BE', 'Belgium'),
(165622, '217.30.32.0', '217.30.47.255', 3642630144, 3642634239, 'DK', 'Denmark'),
(165623, '217.30.48.0', '217.30.63.255', 3642634240, 3642638335, 'DE', 'Germany'),
(165624, '217.30.64.0', '217.30.79.255', 3642638336, 3642642431, 'CZ', 'Czech Republic'),
(165625, '217.30.80.0', '217.30.95.255', 3642642432, 3642646527, 'DK', 'Denmark'),
(165626, '217.30.96.0', '217.30.111.255', 3642646528, 3642650623, 'MT', 'Malta'),
(165627, '217.30.112.0', '217.30.127.255', 3642650624, 3642654719, 'GB', 'United Kingdom'),
(165628, '217.30.128.0', '217.30.159.255', 3642654720, 3642662911, 'PL', 'Poland'),
(165629, '217.30.160.0', '217.30.175.255', 3642662912, 3642667007, 'UZ', 'Uzbekistan'),
(165630, '217.30.176.0', '217.30.191.255', 3642667008, 3642671103, 'FI', 'Finland'),
(165631, '217.30.192.0', '217.30.207.255', 3642671104, 3642675199, 'UA', 'Ukraine'),
(165632, '217.30.208.0', '217.30.223.255', 3642675200, 3642679295, 'BG', 'Bulgaria'),
(165633, '217.30.224.0', '217.30.239.255', 3642679296, 3642683391, 'DE', 'Germany'),
(165634, '217.30.240.0', '217.30.255.255', 3642683392, 3642687487, 'RU', 'Russian Federation'),
(165635, '217.31.0.0', '217.31.13.255', 3642687488, 3642691071, 'GB', 'United Kingdom'),
(165636, '217.31.14.0', '217.31.14.255', 3642691072, 3642691327, 'LU', 'Luxembourg'),
(165637, '217.31.15.0', '217.31.15.255', 3642691328, 3642691583, 'GB', 'United Kingdom'),
(165638, '217.31.16.0', '217.31.31.255', 3642691584, 3642695679, 'DE', 'Germany'),
(165639, '217.31.32.0', '217.31.47.255', 3642695680, 3642699775, 'SK', 'Slovakia'),
(165640, '217.31.48.0', '217.31.63.255', 3642699776, 3642703871, 'CZ', 'Czech Republic'),
(165641, '217.31.64.0', '217.31.79.255', 3642703872, 3642707967, 'LU', 'Luxembourg'),
(165642, '217.31.80.0', '217.31.95.255', 3642707968, 3642712063, 'DE', 'Germany'),
(165643, '217.31.96.0', '217.31.111.255', 3642712064, 3642716159, 'NO', 'Norway'),
(165644, '217.31.112.0', '217.31.127.255', 3642716160, 3642720255, 'IT', 'Italy'),
(165645, '217.31.128.0', '217.31.159.255', 3642720256, 3642728447, 'GB', 'United Kingdom'),
(165646, '217.31.160.0', '217.31.191.255', 3642728448, 3642736639, 'SE', 'Sweden'),
(165647, '217.31.192.0', '217.31.207.255', 3642736640, 3642740735, 'CZ', 'Czech Republic'),
(165648, '217.31.208.0', '217.31.223.255', 3642740736, 3642744831, 'DE', 'Germany'),
(165649, '217.31.224.0', '217.31.255.255', 3642744832, 3642753023, 'TR', 'Turkey'),
(165650, '217.32.0.0', '217.33.47.79', 3642753024, 3642830671, 'GB', 'United Kingdom'),
(165651, '217.33.47.80', '217.33.47.95', 3642830672, 3642830687, 'A2', 'Satellite Provider'),
(165652, '217.33.47.96', '217.47.255.255', 3642830688, 3643801599, 'GB', 'United Kingdom'),
(165653, '217.48.0.0', '217.51.255.255', 3643801600, 3644063743, 'DE', 'Germany'),
(165654, '217.52.0.0', '217.55.255.255', 3644063744, 3644325887, 'EG', 'Egypt'),
(165655, '217.56.0.0', '217.59.255.255', 3644325888, 3644588031, 'IT', 'Italy'),
(165656, '217.60.0.0', '217.61.255.255', 3644588032, 3644719103, 'DK', 'Denmark'),
(165657, '217.62.0.0', '217.63.95.255', 3644719104, 3644809215, 'NL', 'Netherlands'),
(165658, '217.63.96.0', '217.63.127.255', 3644809216, 3644817407, 'AM', 'Armenia'),
(165659, '217.63.128.0', '217.63.255.255', 3644817408, 3644850175, 'NL', 'Netherlands'),
(165660, '217.64.0.0', '217.64.15.255', 3644850176, 3644854271, 'CZ', 'Czech Republic'),
(165661, '217.64.16.0', '217.64.31.255', 3644854272, 3644858367, 'AZ', 'Azerbaijan'),
(165662, '217.64.32.0', '217.64.47.255', 3644858368, 3644862463, 'FI', 'Finland'),
(165663, '217.64.48.0', '217.64.63.255', 3644862464, 3644866559, 'FR', 'France'),
(165664, '217.64.64.0', '217.64.81.255', 3644866560, 3644871167, 'DE', 'Germany'),
(165665, '217.64.82.0', '217.64.82.255', 3644871168, 3644871423, 'AT', 'Austria'),
(165666, '217.64.83.0', '217.64.95.255', 3644871424, 3644874751, 'DE', 'Germany'),
(165667, '217.64.96.0', '217.64.111.255', 3644874752, 3644878847, 'ML', 'Mali'),
(165668, '217.64.112.0', '217.64.127.255', 3644878848, 3644882943, 'GB', 'United Kingdom'),
(165669, '217.64.128.0', '217.64.143.255', 3644882944, 3644887039, 'RU', 'Russian Federation'),
(165670, '217.64.144.0', '217.64.159.255', 3644887040, 3644891135, 'IR', 'Iran, Islamic Republic of'),
(165671, '217.64.160.0', '217.64.175.255', 3644891136, 3644895231, 'DE', 'Germany'),
(165672, '217.64.176.0', '217.64.191.255', 3644895232, 3644899327, 'FI', 'Finland'),
(165673, '217.64.192.0', '217.64.207.255', 3644899328, 3644903423, 'IT', 'Italy'),
(165674, '217.64.208.0', '217.64.223.255', 3644903424, 3644907519, 'TR', 'Turkey'),
(165675, '217.64.224.0', '217.64.229.183', 3644907520, 3644908983, 'GB', 'United Kingdom'),
(165676, '217.64.229.184', '217.64.229.191', 3644908984, 3644908991, 'US', 'United States'),
(165677, '217.64.229.192', '217.64.233.31', 3644908992, 3644909855, 'GB', 'United Kingdom'),
(165678, '217.64.233.32', '217.64.233.35', 3644909856, 3644909859, 'IS', 'Iceland'),
(165679, '217.64.233.36', '217.64.239.255', 3644909860, 3644911615, 'GB', 'United Kingdom'),
(165680, '217.64.240.0', '217.64.255.255', 3644911616, 3644915711, 'BE', 'Belgium'),
(165681, '217.65.0.0', '217.65.15.255', 3644915712, 3644919807, 'RU', 'Russian Federation'),
(165682, '217.65.16.0', '217.65.31.255', 3644919808, 3644923903, 'DE', 'Germany'),
(165683, '217.65.32.0', '217.65.32.255', 3644923904, 3644924159, 'IL', 'Israel'),
(165684, '217.65.33.0', '217.65.34.255', 3644924160, 3644924671, 'GB', 'United Kingdom'),
(165685, '217.65.35.0', '217.65.35.255', 3644924672, 3644924927, 'IL', 'Israel'),
(165686, '217.65.36.0', '217.65.36.255', 3644924928, 3644925183, 'US', 'United States'),
(165687, '217.65.37.0', '217.65.37.255', 3644925184, 3644925439, 'IL', 'Israel'),
(165688, '217.65.38.0', '217.65.38.255', 3644925440, 3644925695, 'GB', 'United Kingdom'),
(165689, '217.65.39.0', '217.65.39.255', 3644925696, 3644925951, 'IL', 'Israel'),
(165690, '217.65.40.0', '217.65.44.255', 3644925952, 3644927231, 'US', 'United States'),
(165691, '217.65.45.0', '217.65.46.255', 3644927232, 3644927743, 'IL', 'Israel'),
(165692, '217.65.47.0', '217.65.47.255', 3644927744, 3644927999, 'US', 'United States'),
(165693, '217.65.48.0', '217.65.63.255', 3644928000, 3644932095, 'GI', 'Gibraltar'),
(165694, '217.65.64.0', '217.65.79.255', 3644932096, 3644936191, 'IT', 'Italy'),
(165695, '217.65.80.0', '217.65.95.255', 3644936192, 3644940287, 'RU', 'Russian Federation'),
(165696, '217.65.96.0', '217.65.127.255', 3644940288, 3644948479, 'HU', 'Hungary'),
(165697, '217.65.128.0', '217.65.143.255', 3644948480, 3644952575, 'DE', 'Germany'),
(165698, '217.65.144.0', '217.65.175.255', 3644952576, 3644960767, 'GB', 'United Kingdom'),
(165699, '217.65.176.0', '217.65.178.31', 3644960768, 3644961311, 'DE', 'Germany'),
(165700, '217.65.178.32', '217.65.178.63', 3644961312, 3644961343, 'TR', 'Turkey'),
(165701, '217.65.178.64', '217.65.179.255', 3644961344, 3644961791, 'DE', 'Germany'),
(165702, '217.65.180.0', '217.65.189.255', 3644961792, 3644964351, 'TR', 'Turkey'),
(165703, '217.65.190.0', '217.65.190.31', 3644964352, 3644964383, 'DE', 'Germany'),
(165704, '217.65.190.32', '217.65.191.255', 3644964384, 3644964863, 'TR', 'Turkey'),
(165705, '217.65.192.0', '217.65.207.255', 3644964864, 3644968959, 'RS', 'Serbia'),
(165706, '217.65.208.0', '217.65.223.255', 3644968960, 3644973055, 'RU', 'Russian Federation'),
(165707, '217.65.224.0', '217.65.239.255', 3644973056, 3644977151, 'NO', 'Norway'),
(165708, '217.65.240.0', '217.65.255.255', 3644977152, 3644981247, 'UA', 'Ukraine'),
(165709, '217.66.0.0', '217.66.15.255', 3644981248, 3644985343, 'BE', 'Belgium'),
(165710, '217.66.16.0', '217.66.31.255', 3644985344, 3644989439, 'RU', 'Russian Federation'),
(165711, '217.66.32.0', '217.66.63.255', 3644989440, 3644997631, 'DE', 'Germany'),
(165712, '217.66.64.0', '217.66.95.255', 3644997632, 3645005823, 'RU', 'Russian Federation'),
(165713, '217.66.96.0', '217.66.111.255', 3645005824, 3645009919, 'UA', 'Ukraine'),
(165714, '217.66.112.0', '217.66.127.255', 3645009920, 3645014015, 'FR', 'France'),
(165715, '217.66.128.0', '217.66.143.255', 3645014016, 3645018111, 'DE', 'Germany'),
(165716, '217.66.144.0', '217.66.159.255', 3645018112, 3645022207, 'RU', 'Russian Federation'),
(165717, '217.66.160.0', '217.66.165.255', 3645022208, 3645023743, 'CZ', 'Czech Republic'),
(165718, '217.66.166.0', '217.66.166.255', 3645023744, 3645023999, 'SK', 'Slovakia'),
(165719, '217.66.167.0', '217.66.190.255', 3645024000, 3645030143, 'CZ', 'Czech Republic'),
(165720, '217.66.191.0', '217.66.191.255', 3645030144, 3645030399, 'SK', 'Slovakia'),
(165721, '217.66.192.0', '217.66.223.255', 3645030400, 3645038591, 'IR', 'Iran, Islamic Republic of'),
(165722, '217.66.224.0', '217.66.255.255', 3645038592, 3645046783, 'PS', 'Palestinian Territory, Occupied'),
(165723, '217.67.0.0', '217.67.15.255', 3645046784, 3645050879, 'RU', 'Russian Federation'),
(165724, '217.67.16.0', '217.67.31.255', 3645050880, 3645054975, 'SK', 'Slovakia'),
(165725, '217.67.32.0', '217.67.47.255', 3645054976, 3645059071, 'DE', 'Germany'),
(165726, '217.67.48.0', '217.67.63.255', 3645059072, 3645063167, 'GB', 'United Kingdom'),
(165727, '217.67.64.0', '217.67.79.255', 3645063168, 3645067263, 'UA', 'Ukraine'),
(165728, '217.67.80.0', '217.67.95.255', 3645067264, 3645071359, 'SE', 'Sweden'),
(165729, '217.67.96.0', '217.67.111.255', 3645071360, 3645075455, 'DE', 'Germany'),
(165730, '217.67.112.0', '217.67.127.255', 3645075456, 3645079551, 'RU', 'Russian Federation'),
(165731, '217.67.128.0', '217.67.143.255', 3645079552, 3645083647, 'IE', 'Ireland'),
(165732, '217.67.144.0', '217.67.159.255', 3645083648, 3645087743, 'FR', 'France'),
(165733, '217.67.160.0', '217.67.175.255', 3645087744, 3645091839, 'ES', 'Spain'),
(165734, '217.67.176.0', '217.67.191.255', 3645091840, 3645095935, 'RU', 'Russian Federation'),
(165735, '217.67.192.0', '217.67.223.255', 3645095936, 3645104127, 'PL', 'Poland'),
(165736, '217.67.224.0', '217.67.255.255', 3645104128, 3645112319, 'NL', 'Netherlands'),
(165737, '217.68.0.0', '217.68.5.135', 3645112320, 3645113735, 'DE', 'Germany'),
(165738, '217.68.5.136', '217.68.5.143', 3645113736, 3645113743, 'MK', 'Macedonia'),
(165739, '217.68.5.144', '217.68.6.223', 3645113744, 3645114079, 'DE', 'Germany'),
(165740, '217.68.6.224', '217.68.6.239', 3645114080, 3645114095, 'IL', 'Israel'),
(165741, '217.68.6.240', '217.68.15.255', 3645114096, 3645116415, 'DE', 'Germany'),
(165742, '217.68.16.0', '217.68.31.255', 3645116416, 3645120511, 'GB', 'United Kingdom'),
(165743, '217.68.32.0', '217.68.47.255', 3645120512, 3645124607, 'SE', 'Sweden'),
(165744, '217.68.48.0', '217.68.63.255', 3645124608, 3645128703, 'NL', 'Netherlands'),
(165745, '217.68.64.0', '217.68.79.255', 3645128704, 3645132799, 'GB', 'United Kingdom'),
(165746, '217.68.80.0', '217.68.95.255', 3645132800, 3645136895, 'HR', 'Croatia'),
(165747, '217.68.96.0', '217.68.127.255', 3645136896, 3645145087, 'NO', 'Norway'),
(165748, '217.68.128.0', '217.68.143.255', 3645145088, 3645149183, 'GB', 'United Kingdom'),
(165749, '217.68.144.0', '217.68.145.47', 3645149184, 3645149487, 'DE', 'Germany'),
(165750, '217.68.145.48', '217.68.145.55', 3645149488, 3645149495, 'GB', 'United Kingdom'),
(165751, '217.68.145.56', '217.68.149.151', 3645149496, 3645150615, 'DE', 'Germany'),
(165752, '217.68.149.152', '217.68.149.175', 3645150616, 3645150639, 'US', 'United States'),
(165753, '217.68.149.176', '217.68.150.255', 3645150640, 3645150975, 'DE', 'Germany'),
(165754, '217.68.151.0', '217.68.151.255', 3645150976, 3645151231, 'US', 'United States'),
(165755, '217.68.152.0', '217.68.191.255', 3645151232, 3645161471, 'DE', 'Germany'),
(165756, '217.68.192.0', '217.68.193.255', 3645161472, 3645161983, 'AT', 'Austria'),
(165757, '217.68.194.0', '217.68.195.255', 3645161984, 3645162495, 'US', 'United States'),
(165758, '217.68.196.0', '217.68.197.255', 3645162496, 3645163007, 'AT', 'Austria'),
(165759, '217.68.198.0', '217.68.198.255', 3645163008, 3645163263, 'US', 'United States'),
(165760, '217.68.199.0', '217.68.207.255', 3645163264, 3645165567, 'AT', 'Austria'),
(165761, '217.68.208.0', '217.68.223.255', 3645165568, 3645169663, 'TR', 'Turkey'),
(165762, '217.68.224.0', '217.68.239.255', 3645169664, 3645173759, 'CH', 'Switzerland'),
(165763, '217.68.240.0', '217.68.255.255', 3645173760, 3645177855, 'GB', 'United Kingdom'),
(165764, '217.69.0.0', '217.69.15.255', 3645177856, 3645181951, 'GR', 'Greece'),
(165765, '217.69.16.0', '217.69.18.239', 3645181952, 3645182703, 'FR', 'France'),
(165766, '217.69.18.240', '217.69.18.255', 3645182704, 3645182719, 'GB', 'United Kingdom'),
(165767, '217.69.19.0', '217.69.19.63', 3645182720, 3645182783, 'FR', 'France'),
(165768, '217.69.19.64', '217.69.19.127', 3645182784, 3645182847, 'GB', 'United Kingdom'),
(165769, '217.69.19.128', '217.69.21.95', 3645182848, 3645183327, 'FR', 'France'),
(165770, '217.69.21.96', '217.69.21.127', 3645183328, 3645183359, 'GB', 'United Kingdom'),
(165771, '217.69.21.128', '217.69.21.143', 3645183360, 3645183375, 'FR', 'France'),
(165772, '217.69.21.144', '217.69.21.151', 3645183376, 3645183383, 'SA', 'Saudi Arabia'),
(165773, '217.69.21.152', '217.69.21.207', 3645183384, 3645183439, 'FR', 'France'),
(165774, '217.69.21.208', '217.69.21.223', 3645183440, 3645183455, 'US', 'United States'),
(165775, '217.69.21.224', '217.69.22.127', 3645183456, 3645183615, 'FR', 'France'),
(165776, '217.69.22.128', '217.69.22.191', 3645183616, 3645183679, 'SA', 'Saudi Arabia'),
(165777, '217.69.22.192', '217.69.22.255', 3645183680, 3645183743, 'FR', 'France'),
(165778, '217.69.23.0', '217.69.23.127', 3645183744, 3645183871, 'GB', 'United Kingdom'),
(165779, '217.69.23.128', '217.69.23.151', 3645183872, 3645183895, 'FR', 'France'),
(165780, '217.69.23.152', '217.69.23.155', 3645183896, 3645183899, 'GB', 'United Kingdom'),
(165781, '217.69.23.156', '217.69.23.159', 3645183900, 3645183903, 'FR', 'France'),
(165782, '217.69.23.160', '217.69.23.191', 3645183904, 3645183935, 'IE', 'Ireland'),
(165783, '217.69.23.192', '217.69.24.255', 3645183936, 3645184255, 'FR', 'France'),
(165784, '217.69.25.0', '217.69.25.191', 3645184256, 3645184447, 'GB', 'United Kingdom'),
(165785, '217.69.25.192', '217.69.25.215', 3645184448, 3645184471, 'FR', 'France'),
(165786, '217.69.25.216', '217.69.25.255', 3645184472, 3645184511, 'GB', 'United Kingdom'),
(165787, '217.69.26.0', '217.69.27.95', 3645184512, 3645184863, 'FR', 'France'),
(165788, '217.69.27.96', '217.69.27.127', 3645184864, 3645184895, 'GB', 'United Kingdom'),
(165789, '217.69.27.128', '217.69.30.127', 3645184896, 3645185663, 'FR', 'France'),
(165790, '217.69.30.128', '217.69.30.239', 3645185664, 3645185775, 'GB', 'United Kingdom'),
(165791, '217.69.30.240', '217.69.31.255', 3645185776, 3645186047, 'FR', 'France'),
(165792, '217.69.32.0', '217.69.47.255', 3645186048, 3645190143, 'GB', 'United Kingdom'),
(165793, '217.69.48.0', '217.69.63.255', 3645190144, 3645194239, 'FI', 'Finland'),
(165794, '217.69.64.0', '217.69.95.255', 3645194240, 3645202431, 'DE', 'Germany'),
(165795, '217.69.96.0', '217.69.111.255', 3645202432, 3645206527, 'CZ', 'Czech Republic'),
(165796, '217.69.112.0', '217.69.119.255', 3645206528, 3645208575, 'LV', 'Latvia'),
(165797, '217.69.120.0', '217.69.127.255', 3645208576, 3645210623, 'LT', 'Lithuania'),
(165798, '217.69.128.0', '217.69.143.255', 3645210624, 3645214719, 'RU', 'Russian Federation'),
(165799, '217.69.144.0', '217.69.159.255', 3645214720, 3645218815, 'NL', 'Netherlands'),
(165800, '217.69.160.0', '217.69.175.255', 3645218816, 3645222911, 'DE', 'Germany'),
(165801, '217.69.176.0', '217.69.191.255', 3645222912, 3645227007, 'KW', 'Kuwait'),
(165802, '217.69.192.0', '217.69.223.255', 3645227008, 3645235199, 'RU', 'Russian Federation'),
(165803, '217.69.224.0', '217.69.255.255', 3645235200, 3645243391, 'DE', 'Germany'),
(165804, '217.70.0.0', '217.70.15.255', 3645243392, 3645247487, 'ES', 'Spain'),
(165805, '217.70.16.0', '217.70.31.255', 3645247488, 3645251583, 'RU', 'Russian Federation'),
(165806, '217.70.32.0', '217.70.47.255', 3645251584, 3645255679, 'SE', 'Sweden'),
(165807, '217.70.48.0', '217.70.63.255', 3645255680, 3645259775, 'PL', 'Poland'),
(165808, '217.70.64.0', '217.70.79.255', 3645259776, 3645263871, 'PT', 'Portugal'),
(165809, '217.70.80.0', '217.70.95.255', 3645263872, 3645267967, 'FR', 'France'),
(165810, '217.70.96.0', '217.70.127.255', 3645267968, 3645276159, 'RU', 'Russian Federation'),
(165811, '217.70.128.0', '217.70.136.215', 3645276160, 3645278423, 'DE', 'Germany'),
(165812, '217.70.136.216', '217.70.136.223', 3645278424, 3645278431, 'PT', 'Portugal'),
(165813, '217.70.136.224', '217.70.143.255', 3645278432, 3645280255, 'DE', 'Germany'),
(165814, '217.70.144.0', '217.70.147.255', 3645280256, 3645281279, 'IT', 'Italy'),
(165815, '217.70.148.0', '217.70.148.255', 3645281280, 3645281535, 'DE', 'Germany'),
(165816, '217.70.149.0', '217.70.149.255', 3645281536, 3645281791, 'IT', 'Italy'),
(165817, '217.70.150.0', '217.70.150.127', 3645281792, 3645281919, 'HU', 'Hungary'),
(165818, '217.70.150.128', '217.70.159.255', 3645281920, 3645284351, 'IT', 'Italy'),
(165819, '217.70.160.0', '217.70.175.255', 3645284352, 3645288447, 'DE', 'Germany'),
(165820, '217.70.176.0', '217.70.191.255', 3645288448, 3645292543, 'FR', 'France'),
(165821, '217.70.192.0', '217.70.201.255', 3645292544, 3645295103, 'DE', 'Germany'),
(165822, '217.70.202.0', '217.70.202.255', 3645295104, 3645295359, 'NL', 'Netherlands'),
(165823, '217.70.203.0', '217.70.207.255', 3645295360, 3645296639, 'DE', 'Germany'),
(165824, '217.70.208.0', '217.70.210.255', 3645296640, 3645297407, 'NL', 'Netherlands'),
(165825, '217.70.211.0', '217.70.211.255', 3645297408, 3645297663, 'EU', 'Europe'),
(165826, '217.70.212.0', '217.70.223.255', 3645297664, 3645300735, 'NL', 'Netherlands'),
(165827, '217.70.224.0', '217.70.239.255', 3645300736, 3645304831, 'BE', 'Belgium'),
(165828, '217.70.240.0', '217.70.255.255', 3645304832, 3645308927, 'ES', 'Spain'),
(165829, '217.71.0.0', '217.71.15.255', 3645308928, 3645313023, 'DK', 'Denmark'),
(165830, '217.71.16.0', '217.71.31.255', 3645313024, 3645317119, 'ES', 'Spain'),
(165831, '217.71.32.0', '217.71.47.255', 3645317120, 3645321215, 'EE', 'Estonia'),
(165832, '217.71.48.0', '217.71.63.255', 3645321216, 3645325311, 'BA', 'Bosnia and Herzegovina'),
(165833, '217.71.64.0', '217.71.79.255', 3645325312, 3645329407, 'IT', 'Italy'),
(165834, '217.71.80.0', '217.71.95.255', 3645329408, 3645333503, 'CH', 'Switzerland'),
(165835, '217.71.96.0', '217.71.98.23', 3645333504, 3645334039, 'DE', 'Germany'),
(165836, '217.71.98.24', '217.71.98.255', 3645334040, 3645334271, 'EU', 'Europe'),
(165837, '217.71.99.0', '217.71.109.95', 3645334272, 3645336927, 'DE', 'Germany'),
(165838, '217.71.109.96', '217.71.109.103', 3645336928, 3645336935, 'EU', 'Europe');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(165839, '217.71.109.104', '217.71.109.159', 3645336936, 3645336991, 'DE', 'Germany'),
(165840, '217.71.109.160', '217.71.109.175', 3645336992, 3645337007, 'EU', 'Europe'),
(165841, '217.71.109.176', '217.71.109.191', 3645337008, 3645337023, 'DE', 'Germany'),
(165842, '217.71.109.192', '217.71.109.255', 3645337024, 3645337087, 'EU', 'Europe'),
(165843, '217.71.110.0', '217.71.111.255', 3645337088, 3645337599, 'DE', 'Germany'),
(165844, '217.71.112.0', '217.71.112.31', 3645337600, 3645337631, 'FR', 'France'),
(165845, '217.71.112.32', '217.71.112.63', 3645337632, 3645337663, 'BE', 'Belgium'),
(165846, '217.71.112.64', '217.71.118.159', 3645337664, 3645339295, 'FR', 'France'),
(165847, '217.71.118.160', '217.71.118.223', 3645339296, 3645339359, 'BE', 'Belgium'),
(165848, '217.71.118.224', '217.71.120.255', 3645339360, 3645339903, 'FR', 'France'),
(165849, '217.71.121.0', '217.71.121.63', 3645339904, 3645339967, 'BE', 'Belgium'),
(165850, '217.71.121.64', '217.71.122.255', 3645339968, 3645340415, 'FR', 'France'),
(165851, '217.71.123.0', '217.71.123.31', 3645340416, 3645340447, 'NL', 'Netherlands'),
(165852, '217.71.123.32', '217.71.123.127', 3645340448, 3645340543, 'FR', 'France'),
(165853, '217.71.123.128', '217.71.124.255', 3645340544, 3645340927, 'BE', 'Belgium'),
(165854, '217.71.125.0', '217.71.125.255', 3645340928, 3645341183, 'FR', 'France'),
(165855, '217.71.126.0', '217.71.126.255', 3645341184, 3645341439, 'BE', 'Belgium'),
(165856, '217.71.127.0', '217.71.127.255', 3645341440, 3645341695, 'FR', 'France'),
(165857, '217.71.128.0', '217.71.143.255', 3645341696, 3645345791, 'RU', 'Russian Federation'),
(165858, '217.71.144.0', '217.71.159.255', 3645345792, 3645349887, 'FI', 'Finland'),
(165859, '217.71.160.0', '217.71.175.255', 3645349888, 3645353983, 'RU', 'Russian Federation'),
(165860, '217.71.176.0', '217.71.191.255', 3645353984, 3645358079, 'MT', 'Malta'),
(165861, '217.71.192.0', '217.71.207.255', 3645358080, 3645362175, 'ES', 'Spain'),
(165862, '217.71.208.0', '217.71.215.255', 3645362176, 3645364223, 'FR', 'France'),
(165863, '217.71.216.0', '217.71.223.255', 3645364224, 3645366271, 'DE', 'Germany'),
(165864, '217.71.224.0', '217.71.239.255', 3645366272, 3645370367, 'RU', 'Russian Federation'),
(165865, '217.71.240.0', '217.71.255.255', 3645370368, 3645374463, 'CH', 'Switzerland'),
(165866, '217.72.0.0', '217.72.15.255', 3645374464, 3645378559, 'RU', 'Russian Federation'),
(165867, '217.72.16.0', '217.72.31.255', 3645378560, 3645382655, 'SE', 'Sweden'),
(165868, '217.72.32.0', '217.72.47.255', 3645382656, 3645386751, 'IT', 'Italy'),
(165869, '217.72.48.0', '217.72.63.255', 3645386752, 3645390847, 'SE', 'Sweden'),
(165870, '217.72.64.0', '217.72.95.255', 3645390848, 3645399039, 'SI', 'Slovenia'),
(165871, '217.72.96.0', '217.72.111.255', 3645399040, 3645403135, 'IT', 'Italy'),
(165872, '217.72.112.0', '217.72.127.255', 3645403136, 3645407231, 'GB', 'United Kingdom'),
(165873, '217.72.128.0', '217.72.131.255', 3645407232, 3645408255, 'DE', 'Germany'),
(165874, '217.72.132.0', '217.72.132.63', 3645408256, 3645408319, 'CH', 'Switzerland'),
(165875, '217.72.132.64', '217.72.143.255', 3645408320, 3645411327, 'DE', 'Germany'),
(165876, '217.72.144.0', '217.72.159.255', 3645411328, 3645415423, 'RU', 'Russian Federation'),
(165877, '217.72.160.0', '217.72.191.255', 3645415424, 3645423615, 'GB', 'United Kingdom'),
(165878, '217.72.192.0', '217.72.223.255', 3645423616, 3645431807, 'DE', 'Germany'),
(165879, '217.72.224.0', '217.72.239.255', 3645431808, 3645435903, 'BE', 'Belgium'),
(165880, '217.72.240.0', '217.72.255.255', 3645435904, 3645439999, 'GB', 'United Kingdom'),
(165881, '217.73.0.0', '217.73.15.255', 3645440000, 3645444095, 'SE', 'Sweden'),
(165882, '217.73.16.0', '217.73.31.255', 3645444096, 3645448191, 'SK', 'Slovakia'),
(165883, '217.73.32.0', '217.73.55.255', 3645448192, 3645454335, 'DE', 'Germany'),
(165884, '217.73.56.0', '217.73.59.255', 3645454336, 3645455359, 'RU', 'Russian Federation'),
(165885, '217.73.60.0', '217.73.60.255', 3645455360, 3645455615, 'DE', 'Germany'),
(165886, '217.73.61.0', '217.73.63.255', 3645455616, 3645456383, 'RU', 'Russian Federation'),
(165887, '217.73.64.0', '217.73.79.255', 3645456384, 3645460479, 'GB', 'United Kingdom'),
(165888, '217.73.80.0', '217.73.95.255', 3645460480, 3645464575, 'UA', 'Ukraine'),
(165889, '217.73.96.0', '217.73.111.255', 3645464576, 3645468671, 'SE', 'Sweden'),
(165890, '217.73.112.0', '217.73.127.255', 3645468672, 3645472767, 'RU', 'Russian Federation'),
(165891, '217.73.128.0', '217.73.143.255', 3645472768, 3645476863, 'AL', 'Albania'),
(165892, '217.73.144.0', '217.73.159.255', 3645476864, 3645480959, 'DE', 'Germany'),
(165893, '217.73.160.0', '217.73.175.255', 3645480960, 3645485055, 'RO', 'Romania'),
(165894, '217.73.176.0', '217.73.191.255', 3645485056, 3645489151, 'PL', 'Poland'),
(165895, '217.73.192.0', '217.73.207.255', 3645489152, 3645493247, 'RU', 'Russian Federation'),
(165896, '217.73.208.0', '217.73.239.255', 3645493248, 3645501439, 'IT', 'Italy'),
(165897, '217.73.240.0', '217.73.255.255', 3645501440, 3645505535, 'PL', 'Poland'),
(165898, '217.74.0.0', '217.74.3.255', 3645505536, 3645506559, 'DE', 'Germany'),
(165899, '217.74.4.0', '217.74.4.255', 3645506560, 3645506815, 'AT', 'Austria'),
(165900, '217.74.5.0', '217.74.7.255', 3645506816, 3645507583, 'DE', 'Germany'),
(165901, '217.74.8.0', '217.74.8.3', 3645507584, 3645507587, 'AT', 'Austria'),
(165902, '217.74.8.4', '217.74.8.7', 3645507588, 3645507591, 'DE', 'Germany'),
(165903, '217.74.8.8', '217.74.8.11', 3645507592, 3645507595, 'AT', 'Austria'),
(165904, '217.74.8.12', '217.74.8.15', 3645507596, 3645507599, 'DE', 'Germany'),
(165905, '217.74.8.16', '217.74.8.23', 3645507600, 3645507607, 'AT', 'Austria'),
(165906, '217.74.8.24', '217.74.15.255', 3645507608, 3645509631, 'DE', 'Germany'),
(165907, '217.74.16.0', '217.74.23.255', 3645509632, 3645511679, 'NL', 'Netherlands'),
(165908, '217.74.24.0', '217.74.31.255', 3645511680, 3645513727, 'TR', 'Turkey'),
(165909, '217.74.32.0', '217.74.47.255', 3645513728, 3645517823, 'RU', 'Russian Federation'),
(165910, '217.74.48.0', '217.74.63.255', 3645517824, 3645521919, 'IE', 'Ireland'),
(165911, '217.74.64.0', '217.74.79.255', 3645521920, 3645526015, 'PL', 'Poland'),
(165912, '217.74.80.0', '217.74.95.255', 3645526016, 3645530111, 'SE', 'Sweden'),
(165913, '217.74.96.0', '217.74.111.255', 3645530112, 3645534207, 'FR', 'France'),
(165914, '217.74.112.0', '217.74.127.255', 3645534208, 3645538303, 'RU', 'Russian Federation'),
(165915, '217.74.128.0', '217.74.159.255', 3645538304, 3645546495, 'DK', 'Denmark'),
(165916, '217.74.160.0', '217.74.175.255', 3645546496, 3645550591, 'RU', 'Russian Federation'),
(165917, '217.74.176.0', '217.74.207.255', 3645550592, 3645558783, 'DE', 'Germany'),
(165918, '217.74.208.0', '217.74.223.255', 3645558784, 3645562879, 'DK', 'Denmark'),
(165919, '217.74.224.0', '217.74.224.255', 3645562880, 3645563135, 'ZW', 'Zimbabwe'),
(165920, '217.74.225.0', '217.74.230.255', 3645563136, 3645564671, 'LS', 'Lesotho'),
(165921, '217.74.231.0', '217.74.231.255', 3645564672, 3645564927, 'ZW', 'Zimbabwe'),
(165922, '217.74.232.0', '217.74.232.127', 3645564928, 3645565055, 'SO', 'Somalia'),
(165923, '217.74.232.128', '217.74.232.255', 3645565056, 3645565183, 'GB', 'United Kingdom'),
(165924, '217.74.233.0', '217.74.233.255', 3645565184, 3645565439, 'ZW', 'Zimbabwe'),
(165925, '217.74.234.0', '217.74.234.255', 3645565440, 3645565695, 'GB', 'United Kingdom'),
(165926, '217.74.235.0', '217.74.239.255', 3645565696, 3645566975, 'ZW', 'Zimbabwe'),
(165927, '217.74.240.0', '217.74.255.255', 3645566976, 3645571071, 'RU', 'Russian Federation'),
(165928, '217.75.0.0', '217.75.15.255', 3645571072, 3645575167, 'IE', 'Ireland'),
(165929, '217.75.16.0', '217.75.31.255', 3645575168, 3645579263, 'CH', 'Switzerland'),
(165930, '217.75.32.0', '217.75.47.255', 3645579264, 3645583359, 'NL', 'Netherlands'),
(165931, '217.75.48.0', '217.75.63.255', 3645583360, 3645587455, 'PL', 'Poland'),
(165932, '217.75.64.0', '217.75.92.87', 3645587456, 3645594711, 'SK', 'Slovakia'),
(165933, '217.75.92.88', '217.75.92.95', 3645594712, 3645594719, 'SR', 'Suriname'),
(165934, '217.75.92.96', '217.75.92.119', 3645594720, 3645594743, 'SK', 'Slovakia'),
(165935, '217.75.92.120', '217.75.92.127', 3645594744, 3645594751, 'SR', 'Suriname'),
(165936, '217.75.92.128', '217.75.92.175', 3645594752, 3645594799, 'SK', 'Slovakia'),
(165937, '217.75.92.176', '217.75.92.191', 3645594800, 3645594815, 'SR', 'Suriname'),
(165938, '217.75.92.192', '217.75.92.239', 3645594816, 3645594863, 'SK', 'Slovakia'),
(165939, '217.75.92.240', '217.75.92.247', 3645594864, 3645594871, 'SR', 'Suriname'),
(165940, '217.75.92.248', '217.75.95.255', 3645594872, 3645595647, 'SK', 'Slovakia'),
(165941, '217.75.96.0', '217.75.104.55', 3645595648, 3645597751, 'SE', 'Sweden'),
(165942, '217.75.104.56', '217.75.104.63', 3645597752, 3645597759, 'GB', 'United Kingdom'),
(165943, '217.75.104.64', '217.75.118.191', 3645597760, 3645601471, 'SE', 'Sweden'),
(165944, '217.75.118.192', '217.75.118.207', 3645601472, 3645601487, 'NO', 'Norway'),
(165945, '217.75.118.208', '217.75.118.223', 3645601488, 3645601503, 'SE', 'Sweden'),
(165946, '217.75.118.224', '217.75.118.227', 3645601504, 3645601507, 'GB', 'United Kingdom'),
(165947, '217.75.118.228', '217.75.119.223', 3645601508, 3645601759, 'SE', 'Sweden'),
(165948, '217.75.119.224', '217.75.119.239', 3645601760, 3645601775, 'FR', 'France'),
(165949, '217.75.119.240', '217.75.119.243', 3645601776, 3645601779, 'GB', 'United Kingdom'),
(165950, '217.75.119.244', '217.75.119.247', 3645601780, 3645601783, 'US', 'United States'),
(165951, '217.75.119.248', '217.75.120.7', 3645601784, 3645601799, 'SE', 'Sweden'),
(165952, '217.75.120.8', '217.75.120.11', 3645601800, 3645601803, 'GB', 'United Kingdom'),
(165953, '217.75.120.12', '217.75.127.255', 3645601804, 3645603839, 'SE', 'Sweden'),
(165954, '217.75.128.0', '217.75.159.255', 3645603840, 3645612031, 'BG', 'Bulgaria'),
(165955, '217.75.160.0', '217.75.175.255', 3645612032, 3645616127, 'GB', 'United Kingdom'),
(165956, '217.75.176.0', '217.75.191.255', 3645616128, 3645620223, 'AT', 'Austria'),
(165957, '217.75.192.0', '217.75.207.255', 3645620224, 3645624319, 'BA', 'Bosnia and Herzegovina'),
(165958, '217.75.208.0', '217.75.223.255', 3645624320, 3645628415, 'CZ', 'Czech Republic'),
(165959, '217.75.224.0', '217.75.255.255', 3645628416, 3645636607, 'ES', 'Spain'),
(165960, '217.76.0.0', '217.76.15.255', 3645636608, 3645640703, 'AM', 'Armenia'),
(165961, '217.76.16.0', '217.76.31.255', 3645640704, 3645644799, 'NL', 'Netherlands'),
(165962, '217.76.32.0', '217.76.47.255', 3645644800, 3645648895, 'RU', 'Russian Federation'),
(165963, '217.76.48.0', '217.76.63.255', 3645648896, 3645652991, 'SE', 'Sweden'),
(165964, '217.76.64.0', '217.76.79.255', 3645652992, 3645657087, 'KZ', 'Kazakhstan'),
(165965, '217.76.80.0', '217.76.95.255', 3645657088, 3645661183, 'SE', 'Sweden'),
(165966, '217.76.96.0', '217.76.111.255', 3645661184, 3645665279, 'DE', 'Germany'),
(165967, '217.76.112.0', '217.76.127.255', 3645665280, 3645669375, 'PL', 'Poland'),
(165968, '217.76.128.0', '217.76.128.255', 3645669376, 3645669631, 'ES', 'Spain'),
(165969, '217.76.129.0', '217.76.129.223', 3645669632, 3645669855, 'FR', 'France'),
(165970, '217.76.129.224', '217.76.131.255', 3645669856, 3645670399, 'ES', 'Spain'),
(165971, '217.76.132.0', '217.76.132.127', 3645670400, 3645670527, 'FR', 'France'),
(165972, '217.76.132.128', '217.76.132.255', 3645670528, 3645670655, 'ES', 'Spain'),
(165973, '217.76.133.0', '217.76.133.255', 3645670656, 3645670911, 'FR', 'France'),
(165974, '217.76.134.0', '217.76.143.255', 3645670912, 3645673471, 'ES', 'Spain'),
(165975, '217.76.144.0', '217.76.144.63', 3645673472, 3645673535, 'FR', 'France'),
(165976, '217.76.144.64', '217.76.150.255', 3645673536, 3645675263, 'ES', 'Spain'),
(165977, '217.76.151.0', '217.76.151.255', 3645675264, 3645675519, 'PT', 'Portugal'),
(165978, '217.76.152.0', '217.76.152.239', 3645675520, 3645675759, 'ES', 'Spain'),
(165979, '217.76.152.240', '217.76.152.255', 3645675760, 3645675775, 'FR', 'France'),
(165980, '217.76.153.0', '217.76.153.239', 3645675776, 3645676015, 'ES', 'Spain'),
(165981, '217.76.153.240', '217.76.153.255', 3645676016, 3645676031, 'FR', 'France'),
(165982, '217.76.154.0', '217.76.159.255', 3645676032, 3645677567, 'ES', 'Spain'),
(165983, '217.76.160.0', '217.76.175.255', 3645677568, 3645681663, 'AT', 'Austria'),
(165984, '217.76.176.0', '217.76.191.255', 3645681664, 3645685759, 'RU', 'Russian Federation'),
(165985, '217.76.192.0', '217.76.207.255', 3645685760, 3645689855, 'UA', 'Ukraine'),
(165986, '217.76.208.0', '217.76.223.255', 3645689856, 3645693951, 'IT', 'Italy'),
(165987, '217.76.224.0', '217.76.239.255', 3645693952, 3645698047, 'BE', 'Belgium'),
(165988, '217.76.240.0', '217.76.255.255', 3645698048, 3645702143, 'ES', 'Spain'),
(165989, '217.77.0.0', '217.77.15.255', 3645702144, 3645706239, 'GB', 'United Kingdom'),
(165990, '217.77.16.0', '217.77.31.255', 3645706240, 3645710335, 'LT', 'Lithuania'),
(165991, '217.77.32.0', '217.77.47.255', 3645710336, 3645714431, 'NO', 'Norway'),
(165992, '217.77.48.0', '217.77.63.255', 3645714432, 3645718527, 'RU', 'Russian Federation'),
(165993, '217.77.64.0', '217.77.79.255', 3645718528, 3645722623, 'GA', 'Gabon'),
(165994, '217.77.80.0', '217.77.95.255', 3645722624, 3645726719, 'IT', 'Italy'),
(165995, '217.77.96.0', '217.77.127.255', 3645726720, 3645734911, 'RU', 'Russian Federation'),
(165996, '217.77.128.0', '217.77.159.255', 3645734912, 3645743103, 'NL', 'Netherlands'),
(165997, '217.77.160.0', '217.77.175.255', 3645743104, 3645747199, 'CZ', 'Czech Republic'),
(165998, '217.77.176.0', '217.77.191.255', 3645747200, 3645751295, 'GB', 'United Kingdom'),
(165999, '217.77.192.0', '217.77.207.255', 3645751296, 3645755391, 'FI', 'Finland'),
(166000, '217.77.208.0', '217.77.223.255', 3645755392, 3645759487, 'UA', 'Ukraine'),
(166001, '217.77.224.0', '217.77.239.255', 3645759488, 3645763583, 'FR', 'France'),
(166002, '217.77.240.0', '217.77.240.1', 3645763584, 3645763585, 'DE', 'Germany'),
(166003, '217.77.240.2', '217.77.240.3', 3645763586, 3645763587, 'IT', 'Italy'),
(166004, '217.77.240.4', '217.77.240.4', 3645763588, 3645763588, 'DE', 'Germany'),
(166005, '217.77.240.5', '217.77.240.5', 3645763589, 3645763589, 'IE', 'Ireland'),
(166006, '217.77.240.6', '217.77.240.6', 3645763590, 3645763590, 'ES', 'Spain'),
(166007, '217.77.240.7', '217.77.240.7', 3645763591, 3645763591, 'BE', 'Belgium'),
(166008, '217.77.240.8', '217.77.240.9', 3645763592, 3645763593, 'DE', 'Germany'),
(166009, '217.77.240.10', '217.77.240.10', 3645763594, 3645763594, 'CH', 'Switzerland'),
(166010, '217.77.240.11', '217.77.240.11', 3645763595, 3645763595, 'IT', 'Italy'),
(166011, '217.77.240.12', '217.77.240.13', 3645763596, 3645763597, 'DE', 'Germany'),
(166012, '217.77.240.14', '217.77.240.14', 3645763598, 3645763598, 'NL', 'Netherlands'),
(166013, '217.77.240.15', '217.77.240.16', 3645763599, 3645763600, 'DE', 'Germany'),
(166014, '217.77.240.17', '217.77.240.17', 3645763601, 3645763601, 'GR', 'Greece'),
(166015, '217.77.240.18', '217.77.240.19', 3645763602, 3645763603, 'FR', 'France'),
(166016, '217.77.240.20', '217.77.240.25', 3645763604, 3645763609, 'DE', 'Germany'),
(166017, '217.77.240.26', '217.77.240.26', 3645763610, 3645763610, 'PL', 'Poland'),
(166018, '217.77.240.27', '217.77.240.28', 3645763611, 3645763612, 'DE', 'Germany'),
(166019, '217.77.240.29', '217.77.240.29', 3645763613, 3645763613, 'HU', 'Hungary'),
(166020, '217.77.240.30', '217.77.240.30', 3645763614, 3645763614, 'CH', 'Switzerland'),
(166021, '217.77.240.31', '217.77.240.31', 3645763615, 3645763615, 'ES', 'Spain'),
(166022, '217.77.240.32', '217.77.240.32', 3645763616, 3645763616, 'FR', 'France'),
(166023, '217.77.240.33', '217.77.240.33', 3645763617, 3645763617, 'DE', 'Germany'),
(166024, '217.77.240.34', '217.77.240.34', 3645763618, 3645763618, 'ES', 'Spain'),
(166025, '217.77.240.35', '217.77.240.35', 3645763619, 3645763619, 'DE', 'Germany'),
(166026, '217.77.240.36', '217.77.240.36', 3645763620, 3645763620, 'FR', 'France'),
(166027, '217.77.240.37', '217.77.240.37', 3645763621, 3645763621, 'CH', 'Switzerland'),
(166028, '217.77.240.38', '217.77.240.38', 3645763622, 3645763622, 'GB', 'United Kingdom'),
(166029, '217.77.240.39', '217.77.240.39', 3645763623, 3645763623, 'FR', 'France'),
(166030, '217.77.240.40', '217.77.240.40', 3645763624, 3645763624, 'DE', 'Germany'),
(166031, '217.77.240.41', '217.77.240.41', 3645763625, 3645763625, 'FR', 'France'),
(166032, '217.77.240.42', '217.77.240.42', 3645763626, 3645763626, 'NL', 'Netherlands'),
(166033, '217.77.240.43', '217.77.240.43', 3645763627, 3645763627, 'AT', 'Austria'),
(166034, '217.77.240.44', '217.77.240.45', 3645763628, 3645763629, 'DE', 'Germany'),
(166035, '217.77.240.46', '217.77.240.47', 3645763630, 3645763631, 'NL', 'Netherlands'),
(166036, '217.77.240.48', '217.77.240.49', 3645763632, 3645763633, 'GB', 'United Kingdom'),
(166037, '217.77.240.50', '217.77.240.50', 3645763634, 3645763634, 'NL', 'Netherlands'),
(166038, '217.77.240.51', '217.77.240.51', 3645763635, 3645763635, 'DE', 'Germany'),
(166039, '217.77.240.52', '217.77.240.52', 3645763636, 3645763636, 'AT', 'Austria'),
(166040, '217.77.240.53', '217.77.240.53', 3645763637, 3645763637, 'FR', 'France'),
(166041, '217.77.240.54', '217.77.240.54', 3645763638, 3645763638, 'NL', 'Netherlands'),
(166042, '217.77.240.55', '217.77.240.55', 3645763639, 3645763639, 'DE', 'Germany'),
(166043, '217.77.240.56', '217.77.240.56', 3645763640, 3645763640, 'HU', 'Hungary'),
(166044, '217.77.240.57', '217.77.240.57', 3645763641, 3645763641, 'IT', 'Italy'),
(166045, '217.77.240.58', '217.77.240.58', 3645763642, 3645763642, 'GB', 'United Kingdom'),
(166046, '217.77.240.59', '217.77.240.61', 3645763643, 3645763645, 'DE', 'Germany'),
(166047, '217.77.240.62', '217.77.240.63', 3645763646, 3645763647, 'ES', 'Spain'),
(166048, '217.77.240.64', '217.77.240.64', 3645763648, 3645763648, 'DE', 'Germany'),
(166049, '217.77.240.65', '217.77.240.65', 3645763649, 3645763649, 'IL', 'Israel'),
(166050, '217.77.240.66', '217.77.240.66', 3645763650, 3645763650, 'DE', 'Germany'),
(166051, '217.77.240.67', '217.77.240.67', 3645763651, 3645763651, 'NL', 'Netherlands'),
(166052, '217.77.240.68', '217.77.240.69', 3645763652, 3645763653, 'DE', 'Germany'),
(166053, '217.77.240.70', '217.77.240.70', 3645763654, 3645763654, 'ES', 'Spain'),
(166054, '217.77.240.71', '217.77.240.76', 3645763655, 3645763660, 'DE', 'Germany'),
(166055, '217.77.240.77', '217.77.240.78', 3645763661, 3645763662, 'FR', 'France'),
(166056, '217.77.240.79', '217.77.240.79', 3645763663, 3645763663, 'HU', 'Hungary'),
(166057, '217.77.240.80', '217.77.240.81', 3645763664, 3645763665, 'DE', 'Germany'),
(166058, '217.77.240.82', '217.77.240.82', 3645763666, 3645763666, 'NL', 'Netherlands'),
(166059, '217.77.240.83', '217.77.240.86', 3645763667, 3645763670, 'DE', 'Germany'),
(166060, '217.77.240.87', '217.77.240.87', 3645763671, 3645763671, 'FR', 'France'),
(166061, '217.77.240.88', '217.77.240.88', 3645763672, 3645763672, 'DE', 'Germany'),
(166062, '217.77.240.89', '217.77.240.89', 3645763673, 3645763673, 'BE', 'Belgium'),
(166063, '217.77.240.90', '217.77.240.92', 3645763674, 3645763676, 'DE', 'Germany'),
(166064, '217.77.240.93', '217.77.240.94', 3645763677, 3645763678, 'HU', 'Hungary'),
(166065, '217.77.240.95', '217.77.240.95', 3645763679, 3645763679, 'IT', 'Italy'),
(166066, '217.77.240.96', '217.77.240.96', 3645763680, 3645763680, 'DE', 'Germany'),
(166067, '217.77.240.97', '217.77.240.97', 3645763681, 3645763681, 'CH', 'Switzerland'),
(166068, '217.77.240.98', '217.77.240.98', 3645763682, 3645763682, 'DE', 'Germany'),
(166069, '217.77.240.99', '217.77.240.99', 3645763683, 3645763683, 'NO', 'Norway'),
(166070, '217.77.240.100', '217.77.240.100', 3645763684, 3645763684, 'CH', 'Switzerland'),
(166071, '217.77.240.101', '217.77.240.101', 3645763685, 3645763685, 'NL', 'Netherlands'),
(166072, '217.77.240.102', '217.77.240.102', 3645763686, 3645763686, 'DE', 'Germany'),
(166073, '217.77.240.103', '217.77.240.103', 3645763687, 3645763687, 'ES', 'Spain'),
(166074, '217.77.240.104', '217.77.240.106', 3645763688, 3645763690, 'NL', 'Netherlands'),
(166075, '217.77.240.107', '217.77.240.107', 3645763691, 3645763691, 'CH', 'Switzerland'),
(166076, '217.77.240.108', '217.77.240.108', 3645763692, 3645763692, 'DE', 'Germany'),
(166077, '217.77.240.109', '217.77.240.109', 3645763693, 3645763693, 'NL', 'Netherlands'),
(166078, '217.77.240.110', '217.77.240.112', 3645763694, 3645763696, 'DE', 'Germany'),
(166079, '217.77.240.113', '217.77.240.113', 3645763697, 3645763697, 'NL', 'Netherlands'),
(166080, '217.77.240.114', '217.77.240.114', 3645763698, 3645763698, 'DE', 'Germany'),
(166081, '217.77.240.115', '217.77.240.115', 3645763699, 3645763699, 'BE', 'Belgium'),
(166082, '217.77.240.116', '217.77.240.116', 3645763700, 3645763700, 'NL', 'Netherlands'),
(166083, '217.77.240.117', '217.77.240.117', 3645763701, 3645763701, 'DE', 'Germany'),
(166084, '217.77.240.118', '217.77.240.118', 3645763702, 3645763702, 'IT', 'Italy'),
(166085, '217.77.240.119', '217.77.240.119', 3645763703, 3645763703, 'CH', 'Switzerland'),
(166086, '217.77.240.120', '217.77.240.121', 3645763704, 3645763705, 'DE', 'Germany'),
(166087, '217.77.240.122', '217.77.240.122', 3645763706, 3645763706, 'GB', 'United Kingdom'),
(166088, '217.77.240.123', '217.77.240.123', 3645763707, 3645763707, 'NL', 'Netherlands'),
(166089, '217.77.240.124', '217.77.240.124', 3645763708, 3645763708, 'GR', 'Greece'),
(166090, '217.77.240.125', '217.77.240.125', 3645763709, 3645763709, 'NL', 'Netherlands'),
(166091, '217.77.240.126', '217.77.240.126', 3645763710, 3645763710, 'GB', 'United Kingdom'),
(166092, '217.77.240.127', '217.77.240.129', 3645763711, 3645763713, 'NL', 'Netherlands'),
(166093, '217.77.240.130', '217.77.240.130', 3645763714, 3645763714, 'DE', 'Germany'),
(166094, '217.77.240.131', '217.77.240.131', 3645763715, 3645763715, 'NL', 'Netherlands'),
(166095, '217.77.240.132', '217.77.240.132', 3645763716, 3645763716, 'DE', 'Germany'),
(166096, '217.77.240.133', '217.77.240.133', 3645763717, 3645763717, 'NL', 'Netherlands'),
(166097, '217.77.240.134', '217.77.240.135', 3645763718, 3645763719, 'DE', 'Germany'),
(166098, '217.77.240.136', '217.77.240.136', 3645763720, 3645763720, 'IT', 'Italy'),
(166099, '217.77.240.137', '217.77.240.137', 3645763721, 3645763721, 'DE', 'Germany'),
(166100, '217.77.240.138', '217.77.240.138', 3645763722, 3645763722, 'GR', 'Greece'),
(166101, '217.77.240.139', '217.77.240.139', 3645763723, 3645763723, 'NL', 'Netherlands'),
(166102, '217.77.240.140', '217.77.240.142', 3645763724, 3645763726, 'IT', 'Italy'),
(166103, '217.77.240.143', '217.77.240.143', 3645763727, 3645763727, 'NL', 'Netherlands'),
(166104, '217.77.240.144', '217.77.240.144', 3645763728, 3645763728, 'GR', 'Greece'),
(166105, '217.77.240.145', '217.77.240.146', 3645763729, 3645763730, 'IT', 'Italy'),
(166106, '217.77.240.147', '217.77.240.148', 3645763731, 3645763732, 'DE', 'Germany'),
(166107, '217.77.240.149', '217.77.240.149', 3645763733, 3645763733, 'FR', 'France'),
(166108, '217.77.240.150', '217.77.240.150', 3645763734, 3645763734, 'DE', 'Germany'),
(166109, '217.77.240.151', '217.77.240.151', 3645763735, 3645763735, 'GB', 'United Kingdom'),
(166110, '217.77.240.152', '217.77.240.152', 3645763736, 3645763736, 'FR', 'France'),
(166111, '217.77.240.153', '217.77.240.153', 3645763737, 3645763737, 'DE', 'Germany'),
(166112, '217.77.240.154', '217.77.240.154', 3645763738, 3645763738, 'CH', 'Switzerland'),
(166113, '217.77.240.155', '217.77.240.157', 3645763739, 3645763741, 'ES', 'Spain'),
(166114, '217.77.240.158', '217.77.240.158', 3645763742, 3645763742, 'DE', 'Germany'),
(166115, '217.77.240.159', '217.77.240.159', 3645763743, 3645763743, 'IT', 'Italy'),
(166116, '217.77.240.160', '217.77.240.160', 3645763744, 3645763744, 'DE', 'Germany'),
(166117, '217.77.240.161', '217.77.240.161', 3645763745, 3645763745, 'FR', 'France'),
(166118, '217.77.240.162', '217.77.240.162', 3645763746, 3645763746, 'DE', 'Germany'),
(166119, '217.77.240.163', '217.77.240.168', 3645763747, 3645763752, 'NL', 'Netherlands'),
(166120, '217.77.240.169', '217.77.240.169', 3645763753, 3645763753, 'ES', 'Spain'),
(166121, '217.77.240.170', '217.77.240.171', 3645763754, 3645763755, 'NL', 'Netherlands'),
(166122, '217.77.240.172', '217.77.240.172', 3645763756, 3645763756, 'DE', 'Germany'),
(166123, '217.77.240.173', '217.77.240.173', 3645763757, 3645763757, 'BE', 'Belgium'),
(166124, '217.77.240.174', '217.77.240.174', 3645763758, 3645763758, 'FR', 'France'),
(166125, '217.77.240.175', '217.77.240.176', 3645763759, 3645763760, 'NL', 'Netherlands'),
(166126, '217.77.240.177', '217.77.240.177', 3645763761, 3645763761, 'SE', 'Sweden'),
(166127, '217.77.240.178', '217.77.240.178', 3645763762, 3645763762, 'ES', 'Spain'),
(166128, '217.77.240.179', '217.77.240.180', 3645763763, 3645763764, 'NL', 'Netherlands'),
(166129, '217.77.240.181', '217.77.240.181', 3645763765, 3645763765, 'DE', 'Germany'),
(166130, '217.77.240.182', '217.77.240.182', 3645763766, 3645763766, 'IL', 'Israel'),
(166131, '217.77.240.183', '217.77.240.184', 3645763767, 3645763768, 'NL', 'Netherlands'),
(166132, '217.77.240.185', '217.77.240.185', 3645763769, 3645763769, 'FR', 'France'),
(166133, '217.77.240.186', '217.77.240.186', 3645763770, 3645763770, 'NL', 'Netherlands'),
(166134, '217.77.240.187', '217.77.240.187', 3645763771, 3645763771, 'GB', 'United Kingdom'),
(166135, '217.77.240.188', '217.77.240.188', 3645763772, 3645763772, 'CH', 'Switzerland'),
(166136, '217.77.240.189', '217.77.240.189', 3645763773, 3645763773, 'DE', 'Germany'),
(166137, '217.77.240.190', '217.77.240.190', 3645763774, 3645763774, 'NL', 'Netherlands'),
(166138, '217.77.240.191', '217.77.240.191', 3645763775, 3645763775, 'DE', 'Germany'),
(166139, '217.77.240.192', '217.77.240.192', 3645763776, 3645763776, 'NL', 'Netherlands'),
(166140, '217.77.240.193', '217.77.240.193', 3645763777, 3645763777, 'BE', 'Belgium'),
(166141, '217.77.240.194', '217.77.240.197', 3645763778, 3645763781, 'DE', 'Germany'),
(166142, '217.77.240.198', '217.77.240.198', 3645763782, 3645763782, 'NL', 'Netherlands'),
(166143, '217.77.240.199', '217.77.240.199', 3645763783, 3645763783, 'DE', 'Germany'),
(166144, '217.77.240.200', '217.77.240.200', 3645763784, 3645763784, 'NL', 'Netherlands'),
(166145, '217.77.240.201', '217.77.240.201', 3645763785, 3645763785, 'DE', 'Germany'),
(166146, '217.77.240.202', '217.77.240.202', 3645763786, 3645763786, 'CH', 'Switzerland'),
(166147, '217.77.240.203', '217.77.240.203', 3645763787, 3645763787, 'NL', 'Netherlands'),
(166148, '217.77.240.204', '217.77.240.204', 3645763788, 3645763788, 'IE', 'Ireland'),
(166149, '217.77.240.205', '217.77.240.205', 3645763789, 3645763789, 'AT', 'Austria'),
(166150, '217.77.240.206', '217.77.240.206', 3645763790, 3645763790, 'ES', 'Spain'),
(166151, '217.77.240.207', '217.77.240.207', 3645763791, 3645763791, 'IT', 'Italy'),
(166152, '217.77.240.208', '217.77.240.208', 3645763792, 3645763792, 'FR', 'France'),
(166153, '217.77.240.209', '217.77.240.209', 3645763793, 3645763793, 'ES', 'Spain'),
(166154, '217.77.240.210', '217.77.240.210', 3645763794, 3645763794, 'DE', 'Germany'),
(166155, '217.77.240.211', '217.77.240.211', 3645763795, 3645763795, 'IT', 'Italy'),
(166156, '217.77.240.212', '217.77.240.213', 3645763796, 3645763797, 'DE', 'Germany'),
(166157, '217.77.240.214', '217.77.240.214', 3645763798, 3645763798, 'FR', 'France'),
(166158, '217.77.240.215', '217.77.240.217', 3645763799, 3645763801, 'DE', 'Germany'),
(166159, '217.77.240.218', '217.77.240.218', 3645763802, 3645763802, 'ES', 'Spain'),
(166160, '217.77.240.219', '217.77.240.219', 3645763803, 3645763803, 'NL', 'Netherlands'),
(166161, '217.77.240.220', '217.77.240.222', 3645763804, 3645763806, 'DE', 'Germany'),
(166162, '217.77.240.223', '217.77.240.223', 3645763807, 3645763807, 'IT', 'Italy'),
(166163, '217.77.240.224', '217.77.240.224', 3645763808, 3645763808, 'DE', 'Germany'),
(166164, '217.77.240.225', '217.77.240.225', 3645763809, 3645763809, 'IT', 'Italy'),
(166165, '217.77.240.226', '217.77.240.226', 3645763810, 3645763810, 'NL', 'Netherlands'),
(166166, '217.77.240.227', '217.77.240.229', 3645763811, 3645763813, 'DE', 'Germany'),
(166167, '217.77.240.230', '217.77.240.230', 3645763814, 3645763814, 'IT', 'Italy'),
(166168, '217.77.240.231', '217.77.240.232', 3645763815, 3645763816, 'DE', 'Germany'),
(166169, '217.77.240.233', '217.77.240.233', 3645763817, 3645763817, 'GR', 'Greece'),
(166170, '217.77.240.234', '217.77.240.234', 3645763818, 3645763818, 'ES', 'Spain'),
(166171, '217.77.240.235', '217.77.240.238', 3645763819, 3645763822, 'DE', 'Germany'),
(166172, '217.77.240.239', '217.77.240.239', 3645763823, 3645763823, 'ES', 'Spain'),
(166173, '217.77.240.240', '217.77.240.241', 3645763824, 3645763825, 'DE', 'Germany'),
(166174, '217.77.240.242', '217.77.240.242', 3645763826, 3645763826, 'IT', 'Italy'),
(166175, '217.77.240.243', '217.77.240.243', 3645763827, 3645763827, 'ZA', 'South Africa'),
(166176, '217.77.240.244', '217.77.241.1', 3645763828, 3645763841, 'DE', 'Germany'),
(166177, '217.77.241.2', '217.77.241.2', 3645763842, 3645763842, 'CH', 'Switzerland'),
(166178, '217.77.241.3', '217.77.241.5', 3645763843, 3645763845, 'DE', 'Germany'),
(166179, '217.77.241.6', '217.77.241.6', 3645763846, 3645763846, 'FR', 'France'),
(166180, '217.77.241.7', '217.77.241.7', 3645763847, 3645763847, 'IT', 'Italy'),
(166181, '217.77.241.8', '217.77.241.9', 3645763848, 3645763849, 'DE', 'Germany'),
(166182, '217.77.241.10', '217.77.241.10', 3645763850, 3645763850, 'IT', 'Italy'),
(166183, '217.77.241.11', '217.77.241.11', 3645763851, 3645763851, 'GB', 'United Kingdom'),
(166184, '217.77.241.12', '217.77.241.12', 3645763852, 3645763852, 'DE', 'Germany'),
(166185, '217.77.241.13', '217.77.241.13', 3645763853, 3645763853, 'CH', 'Switzerland'),
(166186, '217.77.241.14', '217.77.241.14', 3645763854, 3645763854, 'NL', 'Netherlands'),
(166187, '217.77.241.15', '217.77.241.18', 3645763855, 3645763858, 'DE', 'Germany'),
(166188, '217.77.241.19', '217.77.241.19', 3645763859, 3645763859, 'DK', 'Denmark'),
(166189, '217.77.241.20', '217.77.241.20', 3645763860, 3645763860, 'IT', 'Italy'),
(166190, '217.77.241.21', '217.77.241.21', 3645763861, 3645763861, 'DE', 'Germany'),
(166191, '217.77.241.22', '217.77.241.22', 3645763862, 3645763862, 'FR', 'France'),
(166192, '217.77.241.23', '217.77.241.24', 3645763863, 3645763864, 'ES', 'Spain'),
(166193, '217.77.241.25', '217.77.241.25', 3645763865, 3645763865, 'CH', 'Switzerland'),
(166194, '217.77.241.26', '217.77.241.26', 3645763866, 3645763866, 'DE', 'Germany'),
(166195, '217.77.241.27', '217.77.241.28', 3645763867, 3645763868, 'GB', 'United Kingdom'),
(166196, '217.77.241.29', '217.77.241.29', 3645763869, 3645763869, 'DE', 'Germany'),
(166197, '217.77.241.30', '217.77.241.30', 3645763870, 3645763870, 'HU', 'Hungary'),
(166198, '217.77.241.31', '217.77.241.34', 3645763871, 3645763874, 'DE', 'Germany'),
(166199, '217.77.241.35', '217.77.241.35', 3645763875, 3645763875, 'GB', 'United Kingdom'),
(166200, '217.77.241.36', '217.77.241.36', 3645763876, 3645763876, 'PL', 'Poland'),
(166201, '217.77.241.37', '217.77.241.37', 3645763877, 3645763877, 'FR', 'France'),
(166202, '217.77.241.38', '217.77.241.39', 3645763878, 3645763879, 'DE', 'Germany'),
(166203, '217.77.241.40', '217.77.241.41', 3645763880, 3645763881, 'FR', 'France'),
(166204, '217.77.241.42', '217.77.241.42', 3645763882, 3645763882, 'DE', 'Germany'),
(166205, '217.77.241.43', '217.77.241.43', 3645763883, 3645763883, 'NL', 'Netherlands'),
(166206, '217.77.241.44', '217.77.241.44', 3645763884, 3645763884, 'IT', 'Italy'),
(166207, '217.77.241.45', '217.77.241.46', 3645763885, 3645763886, 'DE', 'Germany'),
(166208, '217.77.241.47', '217.77.241.47', 3645763887, 3645763887, 'FR', 'France'),
(166209, '217.77.241.48', '217.77.241.48', 3645763888, 3645763888, 'DE', 'Germany'),
(166210, '217.77.241.49', '217.77.241.49', 3645763889, 3645763889, 'GR', 'Greece'),
(166211, '217.77.241.50', '217.77.241.50', 3645763890, 3645763890, 'ES', 'Spain'),
(166212, '217.77.241.51', '217.77.241.54', 3645763891, 3645763894, 'DE', 'Germany'),
(166213, '217.77.241.55', '217.77.241.55', 3645763895, 3645763895, 'ES', 'Spain'),
(166214, '217.77.241.56', '217.77.241.56', 3645763896, 3645763896, 'DE', 'Germany'),
(166215, '217.77.241.57', '217.77.241.57', 3645763897, 3645763897, 'BE', 'Belgium'),
(166216, '217.77.241.58', '217.77.241.58', 3645763898, 3645763898, 'NL', 'Netherlands'),
(166217, '217.77.241.59', '217.77.241.59', 3645763899, 3645763899, 'ES', 'Spain'),
(166218, '217.77.241.60', '217.77.241.60', 3645763900, 3645763900, 'NL', 'Netherlands'),
(166219, '217.77.241.61', '217.77.241.62', 3645763901, 3645763902, 'LU', 'Luxembourg'),
(166220, '217.77.241.63', '217.77.241.63', 3645763903, 3645763903, 'DE', 'Germany'),
(166221, '217.77.241.64', '217.77.241.64', 3645763904, 3645763904, 'BE', 'Belgium'),
(166222, '217.77.241.65', '217.77.241.65', 3645763905, 3645763905, 'RS', 'Serbia'),
(166223, '217.77.241.66', '217.77.241.66', 3645763906, 3645763906, 'DE', 'Germany'),
(166224, '217.77.241.67', '217.77.241.68', 3645763907, 3645763908, 'IT', 'Italy'),
(166225, '217.77.241.69', '217.77.241.69', 3645763909, 3645763909, 'DE', 'Germany'),
(166226, '217.77.241.70', '217.77.241.70', 3645763910, 3645763910, 'ES', 'Spain'),
(166227, '217.77.241.71', '217.77.241.71', 3645763911, 3645763911, 'DE', 'Germany'),
(166228, '217.77.241.72', '217.77.241.72', 3645763912, 3645763912, 'IE', 'Ireland'),
(166229, '217.77.241.73', '217.77.241.73', 3645763913, 3645763913, 'PT', 'Portugal'),
(166230, '217.77.241.74', '217.77.241.74', 3645763914, 3645763914, 'DE', 'Germany'),
(166231, '217.77.241.75', '217.77.241.75', 3645763915, 3645763915, 'IL', 'Israel'),
(166232, '217.77.241.76', '217.77.241.76', 3645763916, 3645763916, 'BE', 'Belgium'),
(166233, '217.77.241.77', '217.77.241.77', 3645763917, 3645763917, 'DE', 'Germany'),
(166234, '217.77.241.78', '217.77.241.78', 3645763918, 3645763918, 'IT', 'Italy'),
(166235, '217.77.241.79', '217.77.241.79', 3645763919, 3645763919, 'GB', 'United Kingdom'),
(166236, '217.77.241.80', '217.77.241.80', 3645763920, 3645763920, 'DE', 'Germany'),
(166237, '217.77.241.81', '217.77.241.81', 3645763921, 3645763921, 'CH', 'Switzerland'),
(166238, '217.77.241.82', '217.77.241.82', 3645763922, 3645763922, 'ES', 'Spain'),
(166239, '217.77.241.83', '217.77.241.83', 3645763923, 3645763923, 'GB', 'United Kingdom'),
(166240, '217.77.241.84', '217.77.241.84', 3645763924, 3645763924, 'PL', 'Poland'),
(166241, '217.77.241.85', '217.77.241.86', 3645763925, 3645763926, 'DE', 'Germany'),
(166242, '217.77.241.87', '217.77.241.87', 3645763927, 3645763927, 'HU', 'Hungary'),
(166243, '217.77.241.88', '217.77.241.88', 3645763928, 3645763928, 'FR', 'France'),
(166244, '217.77.241.89', '217.77.241.89', 3645763929, 3645763929, 'NL', 'Netherlands'),
(166245, '217.77.241.90', '217.77.241.90', 3645763930, 3645763930, 'ES', 'Spain'),
(166246, '217.77.241.91', '217.77.241.91', 3645763931, 3645763931, 'FR', 'France'),
(166247, '217.77.241.92', '217.77.241.92', 3645763932, 3645763932, 'DE', 'Germany'),
(166248, '217.77.241.93', '217.77.241.93', 3645763933, 3645763933, 'FR', 'France'),
(166249, '217.77.241.94', '217.77.241.94', 3645763934, 3645763934, 'IT', 'Italy'),
(166250, '217.77.241.95', '217.77.241.95', 3645763935, 3645763935, 'FR', 'France'),
(166251, '217.77.241.96', '217.77.241.96', 3645763936, 3645763936, 'DE', 'Germany'),
(166252, '217.77.241.97', '217.77.241.97', 3645763937, 3645763937, 'FR', 'France'),
(166253, '217.77.241.98', '217.77.241.98', 3645763938, 3645763938, 'DE', 'Germany'),
(166254, '217.77.241.99', '217.77.241.99', 3645763939, 3645763939, 'NL', 'Netherlands'),
(166255, '217.77.241.100', '217.77.241.101', 3645763940, 3645763941, 'DE', 'Germany'),
(166256, '217.77.241.102', '217.77.241.102', 3645763942, 3645763942, 'CH', 'Switzerland'),
(166257, '217.77.241.103', '217.77.241.103', 3645763943, 3645763943, 'ES', 'Spain'),
(166258, '217.77.241.104', '217.77.241.104', 3645763944, 3645763944, 'CH', 'Switzerland'),
(166259, '217.77.241.105', '217.77.241.105', 3645763945, 3645763945, 'DE', 'Germany'),
(166260, '217.77.241.106', '217.77.241.107', 3645763946, 3645763947, 'HU', 'Hungary'),
(166261, '217.77.241.108', '217.77.241.109', 3645763948, 3645763949, 'DE', 'Germany'),
(166262, '217.77.241.110', '217.77.241.110', 3645763950, 3645763950, 'ES', 'Spain'),
(166263, '217.77.241.111', '217.77.241.111', 3645763951, 3645763951, 'CH', 'Switzerland'),
(166264, '217.77.241.112', '217.77.241.112', 3645763952, 3645763952, 'IT', 'Italy'),
(166265, '217.77.241.113', '217.77.241.113', 3645763953, 3645763953, 'TR', 'Turkey'),
(166266, '217.77.241.114', '217.77.241.114', 3645763954, 3645763954, 'IT', 'Italy'),
(166267, '217.77.241.115', '217.77.241.115', 3645763955, 3645763955, 'FR', 'France'),
(166268, '217.77.241.116', '217.77.241.116', 3645763956, 3645763956, 'DE', 'Germany'),
(166269, '217.77.241.117', '217.77.241.117', 3645763957, 3645763957, 'GB', 'United Kingdom'),
(166270, '217.77.241.118', '217.77.241.118', 3645763958, 3645763958, 'AT', 'Austria'),
(166271, '217.77.241.119', '217.77.241.119', 3645763959, 3645763959, 'DE', 'Germany'),
(166272, '217.77.241.120', '217.77.241.120', 3645763960, 3645763960, 'IT', 'Italy'),
(166273, '217.77.241.121', '217.77.241.121', 3645763961, 3645763961, 'DE', 'Germany'),
(166274, '217.77.241.122', '217.77.241.122', 3645763962, 3645763962, 'ES', 'Spain'),
(166275, '217.77.241.123', '217.77.241.124', 3645763963, 3645763964, 'DE', 'Germany'),
(166276, '217.77.241.125', '217.77.241.125', 3645763965, 3645763965, 'AT', 'Austria'),
(166277, '217.77.241.126', '217.77.241.126', 3645763966, 3645763966, 'DE', 'Germany'),
(166278, '217.77.241.127', '217.77.241.127', 3645763967, 3645763967, 'IT', 'Italy'),
(166279, '217.77.241.128', '217.77.241.128', 3645763968, 3645763968, 'DE', 'Germany'),
(166280, '217.77.241.129', '217.77.241.129', 3645763969, 3645763969, 'ES', 'Spain'),
(166281, '217.77.241.130', '217.77.241.130', 3645763970, 3645763970, 'IT', 'Italy'),
(166282, '217.77.241.131', '217.77.241.131', 3645763971, 3645763971, 'ES', 'Spain'),
(166283, '217.77.241.132', '217.77.241.132', 3645763972, 3645763972, 'IT', 'Italy'),
(166284, '217.77.241.133', '217.77.241.133', 3645763973, 3645763973, 'BE', 'Belgium'),
(166285, '217.77.241.134', '217.77.241.134', 3645763974, 3645763974, 'GB', 'United Kingdom'),
(166286, '217.77.241.135', '217.77.241.135', 3645763975, 3645763975, 'AT', 'Austria'),
(166287, '217.77.241.136', '217.77.241.136', 3645763976, 3645763976, 'IT', 'Italy'),
(166288, '217.77.241.137', '217.77.241.137', 3645763977, 3645763977, 'DE', 'Germany'),
(166289, '217.77.241.138', '217.77.241.138', 3645763978, 3645763978, 'NL', 'Netherlands'),
(166290, '217.77.241.139', '217.77.241.139', 3645763979, 3645763979, 'IT', 'Italy'),
(166291, '217.77.241.140', '217.77.241.141', 3645763980, 3645763981, 'DE', 'Germany'),
(166292, '217.77.241.142', '217.77.241.142', 3645763982, 3645763982, 'IT', 'Italy'),
(166293, '217.77.241.143', '217.77.241.144', 3645763983, 3645763984, 'FR', 'France'),
(166294, '217.77.241.145', '217.77.241.145', 3645763985, 3645763985, 'NL', 'Netherlands'),
(166295, '217.77.241.146', '217.77.241.146', 3645763986, 3645763986, 'DE', 'Germany'),
(166296, '217.77.241.147', '217.77.241.147', 3645763987, 3645763987, 'PL', 'Poland'),
(166297, '217.77.241.148', '217.77.241.148', 3645763988, 3645763988, 'CH', 'Switzerland'),
(166298, '217.77.241.149', '217.77.241.149', 3645763989, 3645763989, 'FR', 'France'),
(166299, '217.77.241.150', '217.77.241.151', 3645763990, 3645763991, 'DE', 'Germany'),
(166300, '217.77.241.152', '217.77.241.152', 3645763992, 3645763992, 'NL', 'Netherlands'),
(166301, '217.77.241.153', '217.77.241.153', 3645763993, 3645763993, 'DE', 'Germany'),
(166302, '217.77.241.154', '217.77.241.154', 3645763994, 3645763994, 'IT', 'Italy'),
(166303, '217.77.241.155', '217.77.241.155', 3645763995, 3645763995, 'ES', 'Spain'),
(166304, '217.77.241.156', '217.77.241.160', 3645763996, 3645764000, 'DE', 'Germany'),
(166305, '217.77.241.161', '217.77.241.161', 3645764001, 3645764001, 'IT', 'Italy'),
(166306, '217.77.241.162', '217.77.241.167', 3645764002, 3645764007, 'DE', 'Germany'),
(166307, '217.77.241.168', '217.77.241.168', 3645764008, 3645764008, 'PL', 'Poland'),
(166308, '217.77.241.169', '217.77.241.170', 3645764009, 3645764010, 'FR', 'France'),
(166309, '217.77.241.171', '217.77.241.172', 3645764011, 3645764012, 'DE', 'Germany'),
(166310, '217.77.241.173', '217.77.241.173', 3645764013, 3645764013, 'HU', 'Hungary'),
(166311, '217.77.241.174', '217.77.241.175', 3645764014, 3645764015, 'GB', 'United Kingdom'),
(166312, '217.77.241.176', '217.77.241.176', 3645764016, 3645764016, 'IT', 'Italy'),
(166313, '217.77.241.177', '217.77.241.177', 3645764017, 3645764017, 'GB', 'United Kingdom'),
(166314, '217.77.241.178', '217.77.241.178', 3645764018, 3645764018, 'DE', 'Germany'),
(166315, '217.77.241.179', '217.77.241.179', 3645764019, 3645764019, 'NL', 'Netherlands'),
(166316, '217.77.241.180', '217.77.241.180', 3645764020, 3645764020, 'IT', 'Italy'),
(166317, '217.77.241.181', '217.77.241.181', 3645764021, 3645764021, 'DE', 'Germany'),
(166318, '217.77.241.182', '217.77.241.182', 3645764022, 3645764022, 'ES', 'Spain'),
(166319, '217.77.241.183', '217.77.241.183', 3645764023, 3645764023, 'FR', 'France'),
(166320, '217.77.241.184', '217.77.241.186', 3645764024, 3645764026, 'ES', 'Spain'),
(166321, '217.77.241.187', '217.77.241.188', 3645764027, 3645764028, 'DE', 'Germany'),
(166322, '217.77.241.189', '217.77.241.189', 3645764029, 3645764029, 'ES', 'Spain'),
(166323, '217.77.241.190', '217.77.241.190', 3645764030, 3645764030, 'DE', 'Germany'),
(166324, '217.77.241.191', '217.77.241.191', 3645764031, 3645764031, 'NL', 'Netherlands'),
(166325, '217.77.241.192', '217.77.241.192', 3645764032, 3645764032, 'FR', 'France'),
(166326, '217.77.241.193', '217.77.241.194', 3645764033, 3645764034, 'DE', 'Germany'),
(166327, '217.77.241.195', '217.77.241.195', 3645764035, 3645764035, 'IT', 'Italy'),
(166328, '217.77.241.196', '217.77.241.197', 3645764036, 3645764037, 'ES', 'Spain'),
(166329, '217.77.241.198', '217.77.241.198', 3645764038, 3645764038, 'IT', 'Italy'),
(166330, '217.77.241.199', '217.77.241.199', 3645764039, 3645764039, 'HU', 'Hungary'),
(166331, '217.77.241.200', '217.77.241.200', 3645764040, 3645764040, 'ES', 'Spain'),
(166332, '217.77.241.201', '217.77.241.201', 3645764041, 3645764041, 'DE', 'Germany'),
(166333, '217.77.241.202', '217.77.241.202', 3645764042, 3645764042, 'CH', 'Switzerland'),
(166334, '217.77.241.203', '217.77.241.203', 3645764043, 3645764043, 'DE', 'Germany'),
(166335, '217.77.241.204', '217.77.241.204', 3645764044, 3645764044, 'ES', 'Spain'),
(166336, '217.77.241.205', '217.77.241.205', 3645764045, 3645764045, 'AE', 'United Arab Emirates'),
(166337, '217.77.241.206', '217.77.241.206', 3645764046, 3645764046, 'ES', 'Spain'),
(166338, '217.77.241.207', '217.77.241.208', 3645764047, 3645764048, 'DE', 'Germany'),
(166339, '217.77.241.209', '217.77.241.209', 3645764049, 3645764049, 'ES', 'Spain'),
(166340, '217.77.241.210', '217.77.241.211', 3645764050, 3645764051, 'DE', 'Germany'),
(166341, '217.77.241.212', '217.77.241.212', 3645764052, 3645764052, 'FR', 'France'),
(166342, '217.77.241.213', '217.77.241.215', 3645764053, 3645764055, 'DE', 'Germany'),
(166343, '217.77.241.216', '217.77.241.216', 3645764056, 3645764056, 'BE', 'Belgium'),
(166344, '217.77.241.217', '217.77.241.217', 3645764057, 3645764057, 'DE', 'Germany'),
(166345, '217.77.241.218', '217.77.241.218', 3645764058, 3645764058, 'TR', 'Turkey'),
(166346, '217.77.241.219', '217.77.241.219', 3645764059, 3645764059, 'DE', 'Germany'),
(166347, '217.77.241.220', '217.77.241.220', 3645764060, 3645764060, 'FR', 'France'),
(166348, '217.77.241.221', '217.77.241.221', 3645764061, 3645764061, 'IT', 'Italy'),
(166349, '217.77.241.222', '217.77.241.222', 3645764062, 3645764062, 'SE', 'Sweden'),
(166350, '217.77.241.223', '217.77.241.223', 3645764063, 3645764063, 'AT', 'Austria'),
(166351, '217.77.241.224', '217.77.241.224', 3645764064, 3645764064, 'SI', 'Slovenia'),
(166352, '217.77.241.225', '217.77.241.225', 3645764065, 3645764065, 'DE', 'Germany'),
(166353, '217.77.241.226', '217.77.241.226', 3645764066, 3645764066, 'IT', 'Italy'),
(166354, '217.77.241.227', '217.77.241.227', 3645764067, 3645764067, 'DE', 'Germany'),
(166355, '217.77.241.228', '217.77.241.228', 3645764068, 3645764068, 'IT', 'Italy'),
(166356, '217.77.241.229', '217.77.241.229', 3645764069, 3645764069, 'CH', 'Switzerland'),
(166357, '217.77.241.230', '217.77.241.230', 3645764070, 3645764070, 'GB', 'United Kingdom'),
(166358, '217.77.241.231', '217.77.241.234', 3645764071, 3645764074, 'DE', 'Germany'),
(166359, '217.77.241.235', '217.77.241.235', 3645764075, 3645764075, 'SE', 'Sweden'),
(166360, '217.77.241.236', '217.77.241.236', 3645764076, 3645764076, 'GR', 'Greece'),
(166361, '217.77.241.237', '217.77.241.238', 3645764077, 3645764078, 'DE', 'Germany'),
(166362, '217.77.241.239', '217.77.241.239', 3645764079, 3645764079, 'ES', 'Spain'),
(166363, '217.77.241.240', '217.77.241.240', 3645764080, 3645764080, 'DE', 'Germany'),
(166364, '217.77.241.241', '217.77.241.241', 3645764081, 3645764081, 'GB', 'United Kingdom'),
(166365, '217.77.241.242', '217.77.241.244', 3645764082, 3645764084, 'DE', 'Germany'),
(166366, '217.77.241.245', '217.77.241.245', 3645764085, 3645764085, 'IE', 'Ireland'),
(166367, '217.77.241.246', '217.77.241.246', 3645764086, 3645764086, 'IT', 'Italy'),
(166368, '217.77.241.247', '217.77.241.247', 3645764087, 3645764087, 'CH', 'Switzerland'),
(166369, '217.77.241.248', '217.77.241.251', 3645764088, 3645764091, 'DE', 'Germany'),
(166370, '217.77.241.252', '217.77.241.252', 3645764092, 3645764092, 'FR', 'France'),
(166371, '217.77.241.253', '217.77.242.1', 3645764093, 3645764097, 'DE', 'Germany'),
(166372, '217.77.242.2', '217.77.242.2', 3645764098, 3645764098, 'IT', 'Italy'),
(166373, '217.77.242.3', '217.77.242.3', 3645764099, 3645764099, 'DE', 'Germany'),
(166374, '217.77.242.4', '217.77.242.4', 3645764100, 3645764100, 'BE', 'Belgium'),
(166375, '217.77.242.5', '217.77.242.6', 3645764101, 3645764102, 'DE', 'Germany'),
(166376, '217.77.242.7', '217.77.242.7', 3645764103, 3645764103, 'SK', 'Slovakia'),
(166377, '217.77.242.8', '217.77.242.9', 3645764104, 3645764105, 'IT', 'Italy'),
(166378, '217.77.242.10', '217.77.242.10', 3645764106, 3645764106, 'NL', 'Netherlands'),
(166379, '217.77.242.11', '217.77.242.11', 3645764107, 3645764107, 'GR', 'Greece'),
(166380, '217.77.242.12', '217.77.242.12', 3645764108, 3645764108, 'PL', 'Poland'),
(166381, '217.77.242.13', '217.77.242.13', 3645764109, 3645764109, 'CH', 'Switzerland'),
(166382, '217.77.242.14', '217.77.242.14', 3645764110, 3645764110, 'DK', 'Denmark'),
(166383, '217.77.242.15', '217.77.242.15', 3645764111, 3645764111, 'DE', 'Germany'),
(166384, '217.77.242.16', '217.77.242.16', 3645764112, 3645764112, 'IT', 'Italy'),
(166385, '217.77.242.17', '217.77.242.17', 3645764113, 3645764113, 'ES', 'Spain'),
(166386, '217.77.242.18', '217.77.242.18', 3645764114, 3645764114, 'DE', 'Germany'),
(166387, '217.77.242.19', '217.77.242.19', 3645764115, 3645764115, 'GB', 'United Kingdom'),
(166388, '217.77.242.20', '217.77.242.20', 3645764116, 3645764116, 'GR', 'Greece'),
(166389, '217.77.242.21', '217.77.242.21', 3645764117, 3645764117, 'DE', 'Germany'),
(166390, '217.77.242.22', '217.77.242.22', 3645764118, 3645764118, 'GB', 'United Kingdom'),
(166391, '217.77.242.23', '217.77.242.23', 3645764119, 3645764119, 'CH', 'Switzerland'),
(166392, '217.77.242.24', '217.77.242.24', 3645764120, 3645764120, 'FR', 'France'),
(166393, '217.77.242.25', '217.77.242.25', 3645764121, 3645764121, 'IT', 'Italy'),
(166394, '217.77.242.26', '217.77.242.26', 3645764122, 3645764122, 'DE', 'Germany'),
(166395, '217.77.242.27', '217.77.242.27', 3645764123, 3645764123, 'PL', 'Poland'),
(166396, '217.77.242.28', '217.77.242.28', 3645764124, 3645764124, 'DE', 'Germany'),
(166397, '217.77.242.29', '217.77.242.29', 3645764125, 3645764125, 'NO', 'Norway'),
(166398, '217.77.242.30', '217.77.242.30', 3645764126, 3645764126, 'LU', 'Luxembourg'),
(166399, '217.77.242.31', '217.77.242.31', 3645764127, 3645764127, 'GB', 'United Kingdom'),
(166400, '217.77.242.32', '217.77.242.32', 3645764128, 3645764128, 'GR', 'Greece'),
(166401, '217.77.242.33', '217.77.242.33', 3645764129, 3645764129, 'HR', 'Croatia'),
(166402, '217.77.242.34', '217.77.242.34', 3645764130, 3645764130, 'FR', 'France'),
(166403, '217.77.242.35', '217.77.242.35', 3645764131, 3645764131, 'DE', 'Germany'),
(166404, '217.77.242.36', '217.77.242.36', 3645764132, 3645764132, 'ES', 'Spain'),
(166405, '217.77.242.37', '217.77.242.37', 3645764133, 3645764133, 'CY', 'Cyprus'),
(166406, '217.77.242.38', '217.77.242.38', 3645764134, 3645764134, 'DE', 'Germany'),
(166407, '217.77.242.39', '217.77.242.39', 3645764135, 3645764135, 'IT', 'Italy'),
(166408, '217.77.242.40', '217.77.242.40', 3645764136, 3645764136, 'BE', 'Belgium'),
(166409, '217.77.242.41', '217.77.242.41', 3645764137, 3645764137, 'DE', 'Germany'),
(166410, '217.77.242.42', '217.77.242.42', 3645764138, 3645764138, 'CH', 'Switzerland'),
(166411, '217.77.242.43', '217.77.242.44', 3645764139, 3645764140, 'DE', 'Germany'),
(166412, '217.77.242.45', '217.77.242.45', 3645764141, 3645764141, 'ES', 'Spain'),
(166413, '217.77.242.46', '217.77.242.46', 3645764142, 3645764142, 'HU', 'Hungary'),
(166414, '217.77.242.47', '217.77.242.49', 3645764143, 3645764145, 'DE', 'Germany'),
(166415, '217.77.242.50', '217.77.242.51', 3645764146, 3645764147, 'NL', 'Netherlands'),
(166416, '217.77.242.52', '217.77.242.52', 3645764148, 3645764148, 'DK', 'Denmark'),
(166417, '217.77.242.53', '217.77.242.53', 3645764149, 3645764149, 'DE', 'Germany'),
(166418, '217.77.242.54', '217.77.242.54', 3645764150, 3645764150, 'ES', 'Spain'),
(166419, '217.77.242.55', '217.77.242.58', 3645764151, 3645764154, 'DE', 'Germany'),
(166420, '217.77.242.59', '217.77.242.59', 3645764155, 3645764155, 'ES', 'Spain'),
(166421, '217.77.242.60', '217.77.242.60', 3645764156, 3645764156, 'AT', 'Austria'),
(166422, '217.77.242.61', '217.77.242.62', 3645764157, 3645764158, 'DE', 'Germany'),
(166423, '217.77.242.63', '217.77.242.63', 3645764159, 3645764159, 'IT', 'Italy'),
(166424, '217.77.242.64', '217.77.242.64', 3645764160, 3645764160, 'BE', 'Belgium'),
(166425, '217.77.242.65', '217.77.242.65', 3645764161, 3645764161, 'ES', 'Spain'),
(166426, '217.77.242.66', '217.77.242.66', 3645764162, 3645764162, 'DE', 'Germany'),
(166427, '217.77.242.67', '217.77.242.67', 3645764163, 3645764163, 'NL', 'Netherlands'),
(166428, '217.77.242.68', '217.77.242.68', 3645764164, 3645764164, 'DE', 'Germany'),
(166429, '217.77.242.69', '217.77.242.69', 3645764165, 3645764165, 'CH', 'Switzerland');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(166430, '217.77.242.70', '217.77.242.70', 3645764166, 3645764166, 'HU', 'Hungary'),
(166431, '217.77.242.71', '217.77.242.71', 3645764167, 3645764167, 'DE', 'Germany'),
(166432, '217.77.242.72', '217.77.242.72', 3645764168, 3645764168, 'ES', 'Spain'),
(166433, '217.77.242.73', '217.77.242.73', 3645764169, 3645764169, 'GR', 'Greece'),
(166434, '217.77.242.74', '217.77.242.74', 3645764170, 3645764170, 'IT', 'Italy'),
(166435, '217.77.242.75', '217.77.242.76', 3645764171, 3645764172, 'DE', 'Germany'),
(166436, '217.77.242.77', '217.77.242.77', 3645764173, 3645764173, 'IT', 'Italy'),
(166437, '217.77.242.78', '217.77.242.78', 3645764174, 3645764174, 'DE', 'Germany'),
(166438, '217.77.242.79', '217.77.242.79', 3645764175, 3645764175, 'PL', 'Poland'),
(166439, '217.77.242.80', '217.77.242.80', 3645764176, 3645764176, 'DE', 'Germany'),
(166440, '217.77.242.81', '217.77.242.81', 3645764177, 3645764177, 'GB', 'United Kingdom'),
(166441, '217.77.242.82', '217.77.242.82', 3645764178, 3645764178, 'ES', 'Spain'),
(166442, '217.77.242.83', '217.77.242.83', 3645764179, 3645764179, 'GR', 'Greece'),
(166443, '217.77.242.84', '217.77.242.85', 3645764180, 3645764181, 'DE', 'Germany'),
(166444, '217.77.242.86', '217.77.242.86', 3645764182, 3645764182, 'FR', 'France'),
(166445, '217.77.242.87', '217.77.242.88', 3645764183, 3645764184, 'DE', 'Germany'),
(166446, '217.77.242.89', '217.77.242.89', 3645764185, 3645764185, 'IT', 'Italy'),
(166447, '217.77.242.90', '217.77.242.90', 3645764186, 3645764186, 'FR', 'France'),
(166448, '217.77.242.91', '217.77.242.91', 3645764187, 3645764187, 'BE', 'Belgium'),
(166449, '217.77.242.92', '217.77.242.92', 3645764188, 3645764188, 'GB', 'United Kingdom'),
(166450, '217.77.242.93', '217.77.242.93', 3645764189, 3645764189, 'FR', 'France'),
(166451, '217.77.242.94', '217.77.242.94', 3645764190, 3645764190, 'IT', 'Italy'),
(166452, '217.77.242.95', '217.77.242.95', 3645764191, 3645764191, 'GB', 'United Kingdom'),
(166453, '217.77.242.96', '217.77.242.97', 3645764192, 3645764193, 'DE', 'Germany'),
(166454, '217.77.242.98', '217.77.242.98', 3645764194, 3645764194, 'ES', 'Spain'),
(166455, '217.77.242.99', '217.77.242.99', 3645764195, 3645764195, 'DE', 'Germany'),
(166456, '217.77.242.100', '217.77.242.100', 3645764196, 3645764196, 'IT', 'Italy'),
(166457, '217.77.242.101', '217.77.242.101', 3645764197, 3645764197, 'DE', 'Germany'),
(166458, '217.77.242.102', '217.77.242.102', 3645764198, 3645764198, 'GR', 'Greece'),
(166459, '217.77.242.103', '217.77.242.103', 3645764199, 3645764199, 'DE', 'Germany'),
(166460, '217.77.242.104', '217.77.242.104', 3645764200, 3645764200, 'IT', 'Italy'),
(166461, '217.77.242.105', '217.77.242.105', 3645764201, 3645764201, 'BE', 'Belgium'),
(166462, '217.77.242.106', '217.77.242.106', 3645764202, 3645764202, 'IT', 'Italy'),
(166463, '217.77.242.107', '217.77.242.107', 3645764203, 3645764203, 'DE', 'Germany'),
(166464, '217.77.242.108', '217.77.242.108', 3645764204, 3645764204, 'ES', 'Spain'),
(166465, '217.77.242.109', '217.77.242.109', 3645764205, 3645764205, 'FR', 'France'),
(166466, '217.77.242.110', '217.77.242.110', 3645764206, 3645764206, 'DE', 'Germany'),
(166467, '217.77.242.111', '217.77.242.111', 3645764207, 3645764207, 'IT', 'Italy'),
(166468, '217.77.242.112', '217.77.242.112', 3645764208, 3645764208, 'NO', 'Norway'),
(166469, '217.77.242.113', '217.77.242.114', 3645764209, 3645764210, 'DE', 'Germany'),
(166470, '217.77.242.115', '217.77.242.115', 3645764211, 3645764211, 'FR', 'France'),
(166471, '217.77.242.116', '217.77.242.116', 3645764212, 3645764212, 'NL', 'Netherlands'),
(166472, '217.77.242.117', '217.77.242.117', 3645764213, 3645764213, 'GB', 'United Kingdom'),
(166473, '217.77.242.118', '217.77.242.118', 3645764214, 3645764214, 'NL', 'Netherlands'),
(166474, '217.77.242.119', '217.77.242.120', 3645764215, 3645764216, 'DE', 'Germany'),
(166475, '217.77.242.121', '217.77.242.121', 3645764217, 3645764217, 'IT', 'Italy'),
(166476, '217.77.242.122', '217.77.242.122', 3645764218, 3645764218, 'CH', 'Switzerland'),
(166477, '217.77.242.123', '217.77.242.123', 3645764219, 3645764219, 'FR', 'France'),
(166478, '217.77.242.124', '217.77.242.124', 3645764220, 3645764220, 'NL', 'Netherlands'),
(166479, '217.77.242.125', '217.77.242.125', 3645764221, 3645764221, 'IT', 'Italy'),
(166480, '217.77.242.126', '217.77.242.126', 3645764222, 3645764222, 'BE', 'Belgium'),
(166481, '217.77.242.127', '217.77.242.127', 3645764223, 3645764223, 'DE', 'Germany'),
(166482, '217.77.242.128', '217.77.242.128', 3645764224, 3645764224, 'ES', 'Spain'),
(166483, '217.77.242.129', '217.77.242.129', 3645764225, 3645764225, 'GB', 'United Kingdom'),
(166484, '217.77.242.130', '217.77.242.130', 3645764226, 3645764226, 'DE', 'Germany'),
(166485, '217.77.242.131', '217.77.242.131', 3645764227, 3645764227, 'CH', 'Switzerland'),
(166486, '217.77.242.132', '217.77.242.132', 3645764228, 3645764228, 'FR', 'France'),
(166487, '217.77.242.133', '217.77.242.133', 3645764229, 3645764229, 'PL', 'Poland'),
(166488, '217.77.242.134', '217.77.242.134', 3645764230, 3645764230, 'NL', 'Netherlands'),
(166489, '217.77.242.135', '217.77.242.135', 3645764231, 3645764231, 'CH', 'Switzerland'),
(166490, '217.77.242.136', '217.77.242.138', 3645764232, 3645764234, 'DE', 'Germany'),
(166491, '217.77.242.139', '217.77.242.139', 3645764235, 3645764235, 'FR', 'France'),
(166492, '217.77.242.140', '217.77.242.140', 3645764236, 3645764236, 'IT', 'Italy'),
(166493, '217.77.242.141', '217.77.242.142', 3645764237, 3645764238, 'DE', 'Germany'),
(166494, '217.77.242.143', '217.77.242.144', 3645764239, 3645764240, 'ES', 'Spain'),
(166495, '217.77.242.145', '217.77.242.145', 3645764241, 3645764241, 'DE', 'Germany'),
(166496, '217.77.242.146', '217.77.242.146', 3645764242, 3645764242, 'AT', 'Austria'),
(166497, '217.77.242.147', '217.77.242.147', 3645764243, 3645764243, 'GR', 'Greece'),
(166498, '217.77.242.148', '217.77.242.148', 3645764244, 3645764244, 'FR', 'France'),
(166499, '217.77.242.149', '217.77.242.150', 3645764245, 3645764246, 'NL', 'Netherlands'),
(166500, '217.77.242.151', '217.77.242.151', 3645764247, 3645764247, 'IT', 'Italy'),
(166501, '217.77.242.152', '217.77.242.154', 3645764248, 3645764250, 'DE', 'Germany'),
(166502, '217.77.242.155', '217.77.242.155', 3645764251, 3645764251, 'FR', 'France'),
(166503, '217.77.242.156', '217.77.242.157', 3645764252, 3645764253, 'ES', 'Spain'),
(166504, '217.77.242.158', '217.77.242.158', 3645764254, 3645764254, 'DE', 'Germany'),
(166505, '217.77.242.159', '217.77.242.159', 3645764255, 3645764255, 'CH', 'Switzerland'),
(166506, '217.77.242.160', '217.77.242.161', 3645764256, 3645764257, 'DE', 'Germany'),
(166507, '217.77.242.162', '217.77.242.162', 3645764258, 3645764258, 'NL', 'Netherlands'),
(166508, '217.77.242.163', '217.77.242.163', 3645764259, 3645764259, 'IT', 'Italy'),
(166509, '217.77.242.164', '217.77.242.164', 3645764260, 3645764260, 'DE', 'Germany'),
(166510, '217.77.242.165', '217.77.242.165', 3645764261, 3645764261, 'GB', 'United Kingdom'),
(166511, '217.77.242.166', '217.77.242.166', 3645764262, 3645764262, 'BE', 'Belgium'),
(166512, '217.77.242.167', '217.77.242.168', 3645764263, 3645764264, 'IT', 'Italy'),
(166513, '217.77.242.169', '217.77.242.169', 3645764265, 3645764265, 'TR', 'Turkey'),
(166514, '217.77.242.170', '217.77.242.173', 3645764266, 3645764269, 'DE', 'Germany'),
(166515, '217.77.242.174', '217.77.242.174', 3645764270, 3645764270, 'ES', 'Spain'),
(166516, '217.77.242.175', '217.77.242.175', 3645764271, 3645764271, 'IT', 'Italy'),
(166517, '217.77.242.176', '217.77.242.176', 3645764272, 3645764272, 'DE', 'Germany'),
(166518, '217.77.242.177', '217.77.242.177', 3645764273, 3645764273, 'IT', 'Italy'),
(166519, '217.77.242.178', '217.77.242.178', 3645764274, 3645764274, 'DE', 'Germany'),
(166520, '217.77.242.179', '217.77.242.179', 3645764275, 3645764275, 'FR', 'France'),
(166521, '217.77.242.180', '217.77.242.181', 3645764276, 3645764277, 'DE', 'Germany'),
(166522, '217.77.242.182', '217.77.242.182', 3645764278, 3645764278, 'NL', 'Netherlands'),
(166523, '217.77.242.183', '217.77.242.183', 3645764279, 3645764279, 'ES', 'Spain'),
(166524, '217.77.242.184', '217.77.242.184', 3645764280, 3645764280, 'IT', 'Italy'),
(166525, '217.77.242.185', '217.77.242.185', 3645764281, 3645764281, 'DE', 'Germany'),
(166526, '217.77.242.186', '217.77.242.186', 3645764282, 3645764282, 'NL', 'Netherlands'),
(166527, '217.77.242.187', '217.77.242.188', 3645764283, 3645764284, 'FR', 'France'),
(166528, '217.77.242.189', '217.77.242.189', 3645764285, 3645764285, 'IT', 'Italy'),
(166529, '217.77.242.190', '217.77.242.190', 3645764286, 3645764286, 'NL', 'Netherlands'),
(166530, '217.77.242.191', '217.77.242.191', 3645764287, 3645764287, 'BE', 'Belgium'),
(166531, '217.77.242.192', '217.77.242.192', 3645764288, 3645764288, 'FR', 'France'),
(166532, '217.77.242.193', '217.77.242.193', 3645764289, 3645764289, 'NL', 'Netherlands'),
(166533, '217.77.242.194', '217.77.242.194', 3645764290, 3645764290, 'DE', 'Germany'),
(166534, '217.77.242.195', '217.77.242.195', 3645764291, 3645764291, 'NL', 'Netherlands'),
(166535, '217.77.242.196', '217.77.242.196', 3645764292, 3645764292, 'FR', 'France'),
(166536, '217.77.242.197', '217.77.242.198', 3645764293, 3645764294, 'IT', 'Italy'),
(166537, '217.77.242.199', '217.77.242.199', 3645764295, 3645764295, 'ES', 'Spain'),
(166538, '217.77.242.200', '217.77.242.201', 3645764296, 3645764297, 'DE', 'Germany'),
(166539, '217.77.242.202', '217.77.242.202', 3645764298, 3645764298, 'GR', 'Greece'),
(166540, '217.77.242.203', '217.77.242.203', 3645764299, 3645764299, 'NL', 'Netherlands'),
(166541, '217.77.242.204', '217.77.242.204', 3645764300, 3645764300, 'PL', 'Poland'),
(166542, '217.77.242.205', '217.77.242.205', 3645764301, 3645764301, 'GR', 'Greece'),
(166543, '217.77.242.206', '217.77.242.206', 3645764302, 3645764302, 'IT', 'Italy'),
(166544, '217.77.242.207', '217.77.242.207', 3645764303, 3645764303, 'DE', 'Germany'),
(166545, '217.77.242.208', '217.77.242.208', 3645764304, 3645764304, 'ES', 'Spain'),
(166546, '217.77.242.209', '217.77.242.209', 3645764305, 3645764305, 'GB', 'United Kingdom'),
(166547, '217.77.242.210', '217.77.242.210', 3645764306, 3645764306, 'BM', 'Bermuda'),
(166548, '217.77.242.211', '217.77.242.211', 3645764307, 3645764307, 'NL', 'Netherlands'),
(166549, '217.77.242.212', '217.77.242.213', 3645764308, 3645764309, 'DE', 'Germany'),
(166550, '217.77.242.214', '217.77.242.214', 3645764310, 3645764310, 'ZA', 'South Africa'),
(166551, '217.77.242.215', '217.77.242.217', 3645764311, 3645764313, 'ES', 'Spain'),
(166552, '217.77.242.218', '217.77.242.219', 3645764314, 3645764315, 'DE', 'Germany'),
(166553, '217.77.242.220', '217.77.242.220', 3645764316, 3645764316, 'IT', 'Italy'),
(166554, '217.77.242.221', '217.77.242.221', 3645764317, 3645764317, 'ES', 'Spain'),
(166555, '217.77.242.222', '217.77.242.222', 3645764318, 3645764318, 'HU', 'Hungary'),
(166556, '217.77.242.223', '217.77.242.223', 3645764319, 3645764319, 'FR', 'France'),
(166557, '217.77.242.224', '217.77.242.224', 3645764320, 3645764320, 'IT', 'Italy'),
(166558, '217.77.242.225', '217.77.242.225', 3645764321, 3645764321, 'DE', 'Germany'),
(166559, '217.77.242.226', '217.77.242.226', 3645764322, 3645764322, 'CH', 'Switzerland'),
(166560, '217.77.242.227', '217.77.242.227', 3645764323, 3645764323, 'DE', 'Germany'),
(166561, '217.77.242.228', '217.77.242.228', 3645764324, 3645764324, 'FR', 'France'),
(166562, '217.77.242.229', '217.77.242.229', 3645764325, 3645764325, 'DE', 'Germany'),
(166563, '217.77.242.230', '217.77.242.230', 3645764326, 3645764326, 'ES', 'Spain'),
(166564, '217.77.242.231', '217.77.242.231', 3645764327, 3645764327, 'DK', 'Denmark'),
(166565, '217.77.242.232', '217.77.242.232', 3645764328, 3645764328, 'CH', 'Switzerland'),
(166566, '217.77.242.233', '217.77.242.233', 3645764329, 3645764329, 'ES', 'Spain'),
(166567, '217.77.242.234', '217.77.242.234', 3645764330, 3645764330, 'DE', 'Germany'),
(166568, '217.77.242.235', '217.77.242.235', 3645764331, 3645764331, 'RU', 'Russian Federation'),
(166569, '217.77.242.236', '217.77.242.236', 3645764332, 3645764332, 'NL', 'Netherlands'),
(166570, '217.77.242.237', '217.77.242.237', 3645764333, 3645764333, 'GR', 'Greece'),
(166571, '217.77.242.238', '217.77.242.238', 3645764334, 3645764334, 'ES', 'Spain'),
(166572, '217.77.242.239', '217.77.242.239', 3645764335, 3645764335, 'DE', 'Germany'),
(166573, '217.77.242.240', '217.77.242.240', 3645764336, 3645764336, 'MY', 'Malaysia'),
(166574, '217.77.242.241', '217.77.242.241', 3645764337, 3645764337, 'HU', 'Hungary'),
(166575, '217.77.242.242', '217.77.242.242', 3645764338, 3645764338, 'NL', 'Netherlands'),
(166576, '217.77.242.243', '217.77.242.244', 3645764339, 3645764340, 'DE', 'Germany'),
(166577, '217.77.242.245', '217.77.242.245', 3645764341, 3645764341, 'IE', 'Ireland'),
(166578, '217.77.242.246', '217.77.242.246', 3645764342, 3645764342, 'IT', 'Italy'),
(166579, '217.77.242.247', '217.77.242.247', 3645764343, 3645764343, 'ES', 'Spain'),
(166580, '217.77.242.248', '217.77.242.249', 3645764344, 3645764345, 'DE', 'Germany'),
(166581, '217.77.242.250', '217.77.242.250', 3645764346, 3645764346, 'IT', 'Italy'),
(166582, '217.77.242.251', '217.77.242.251', 3645764347, 3645764347, 'IE', 'Ireland'),
(166583, '217.77.242.252', '217.77.242.252', 3645764348, 3645764348, 'NL', 'Netherlands'),
(166584, '217.77.242.253', '217.77.242.253', 3645764349, 3645764349, 'BE', 'Belgium'),
(166585, '217.77.242.254', '217.77.242.254', 3645764350, 3645764350, 'IT', 'Italy'),
(166586, '217.77.242.255', '217.77.243.4', 3645764351, 3645764356, 'DE', 'Germany'),
(166587, '217.77.243.5', '217.77.243.5', 3645764357, 3645764357, 'RU', 'Russian Federation'),
(166588, '217.77.243.6', '217.77.243.6', 3645764358, 3645764358, 'FR', 'France'),
(166589, '217.77.243.7', '217.77.243.7', 3645764359, 3645764359, 'IT', 'Italy'),
(166590, '217.77.243.8', '217.77.243.8', 3645764360, 3645764360, 'DE', 'Germany'),
(166591, '217.77.243.9', '217.77.243.9', 3645764361, 3645764361, 'CH', 'Switzerland'),
(166592, '217.77.243.10', '217.77.243.10', 3645764362, 3645764362, 'GB', 'United Kingdom'),
(166593, '217.77.243.11', '217.77.243.12', 3645764363, 3645764364, 'NL', 'Netherlands'),
(166594, '217.77.243.13', '217.77.243.13', 3645764365, 3645764365, 'BE', 'Belgium'),
(166595, '217.77.243.14', '217.77.243.15', 3645764366, 3645764367, 'DE', 'Germany'),
(166596, '217.77.243.16', '217.77.243.16', 3645764368, 3645764368, 'IT', 'Italy'),
(166597, '217.77.243.17', '217.77.243.17', 3645764369, 3645764369, 'DE', 'Germany'),
(166598, '217.77.243.18', '217.77.243.18', 3645764370, 3645764370, 'GB', 'United Kingdom'),
(166599, '217.77.243.19', '217.77.243.19', 3645764371, 3645764371, 'ES', 'Spain'),
(166600, '217.77.243.20', '217.77.243.21', 3645764372, 3645764373, 'FR', 'France'),
(166601, '217.77.243.22', '217.77.243.23', 3645764374, 3645764375, 'DE', 'Germany'),
(166602, '217.77.243.24', '217.77.243.25', 3645764376, 3645764377, 'NL', 'Netherlands'),
(166603, '217.77.243.26', '217.77.243.26', 3645764378, 3645764378, 'DE', 'Germany'),
(166604, '217.77.243.27', '217.77.243.28', 3645764379, 3645764380, 'GB', 'United Kingdom'),
(166605, '217.77.243.29', '217.77.243.29', 3645764381, 3645764381, 'DE', 'Germany'),
(166606, '217.77.243.30', '217.77.243.30', 3645764382, 3645764382, 'NL', 'Netherlands'),
(166607, '217.77.243.31', '217.77.243.31', 3645764383, 3645764383, 'FR', 'France'),
(166608, '217.77.243.32', '217.77.243.32', 3645764384, 3645764384, 'AT', 'Austria'),
(166609, '217.77.243.33', '217.77.243.36', 3645764385, 3645764388, 'DE', 'Germany'),
(166610, '217.77.243.37', '217.77.243.37', 3645764389, 3645764389, 'NL', 'Netherlands'),
(166611, '217.77.243.38', '217.77.243.38', 3645764390, 3645764390, 'DE', 'Germany'),
(166612, '217.77.243.39', '217.77.243.39', 3645764391, 3645764391, 'NL', 'Netherlands'),
(166613, '217.77.243.40', '217.77.243.40', 3645764392, 3645764392, 'GR', 'Greece'),
(166614, '217.77.243.41', '217.77.243.41', 3645764393, 3645764393, 'DE', 'Germany'),
(166615, '217.77.243.42', '217.77.243.42', 3645764394, 3645764394, 'FR', 'France'),
(166616, '217.77.243.43', '217.77.243.44', 3645764395, 3645764396, 'NL', 'Netherlands'),
(166617, '217.77.243.45', '217.77.243.45', 3645764397, 3645764397, 'DE', 'Germany'),
(166618, '217.77.243.46', '217.77.243.46', 3645764398, 3645764398, 'NL', 'Netherlands'),
(166619, '217.77.243.47', '217.77.243.47', 3645764399, 3645764399, 'DE', 'Germany'),
(166620, '217.77.243.48', '217.77.243.49', 3645764400, 3645764401, 'NL', 'Netherlands'),
(166621, '217.77.243.50', '217.77.243.51', 3645764402, 3645764403, 'FR', 'France'),
(166622, '217.77.243.52', '217.77.243.54', 3645764404, 3645764406, 'NL', 'Netherlands'),
(166623, '217.77.243.55', '217.77.243.56', 3645764407, 3645764408, 'DE', 'Germany'),
(166624, '217.77.243.57', '217.77.243.57', 3645764409, 3645764409, 'FR', 'France'),
(166625, '217.77.243.58', '217.77.243.58', 3645764410, 3645764410, 'DE', 'Germany'),
(166626, '217.77.243.59', '217.77.243.59', 3645764411, 3645764411, 'FR', 'France'),
(166627, '217.77.243.60', '217.77.243.60', 3645764412, 3645764412, 'NL', 'Netherlands'),
(166628, '217.77.243.61', '217.77.243.61', 3645764413, 3645764413, 'FR', 'France'),
(166629, '217.77.243.62', '217.77.243.65', 3645764414, 3645764417, 'NL', 'Netherlands'),
(166630, '217.77.243.66', '217.77.243.66', 3645764418, 3645764418, 'DE', 'Germany'),
(166631, '217.77.243.67', '217.77.243.67', 3645764419, 3645764419, 'NL', 'Netherlands'),
(166632, '217.77.243.68', '217.77.243.68', 3645764420, 3645764420, 'GB', 'United Kingdom'),
(166633, '217.77.243.69', '217.77.243.69', 3645764421, 3645764421, 'DE', 'Germany'),
(166634, '217.77.243.70', '217.77.243.70', 3645764422, 3645764422, 'IT', 'Italy'),
(166635, '217.77.243.71', '217.77.243.71', 3645764423, 3645764423, 'HU', 'Hungary'),
(166636, '217.77.243.72', '217.77.243.72', 3645764424, 3645764424, 'DE', 'Germany'),
(166637, '217.77.243.73', '217.77.243.73', 3645764425, 3645764425, 'GB', 'United Kingdom'),
(166638, '217.77.243.74', '217.77.243.81', 3645764426, 3645764433, 'DE', 'Germany'),
(166639, '217.77.243.82', '217.77.243.82', 3645764434, 3645764434, 'NL', 'Netherlands'),
(166640, '217.77.243.83', '217.77.243.83', 3645764435, 3645764435, 'AT', 'Austria'),
(166641, '217.77.243.84', '217.77.243.84', 3645764436, 3645764436, 'NL', 'Netherlands'),
(166642, '217.77.243.85', '217.77.243.85', 3645764437, 3645764437, 'FR', 'France'),
(166643, '217.77.243.86', '217.77.243.87', 3645764438, 3645764439, 'DE', 'Germany'),
(166644, '217.77.243.88', '217.77.243.88', 3645764440, 3645764440, 'CH', 'Switzerland'),
(166645, '217.77.243.89', '217.77.243.89', 3645764441, 3645764441, 'DE', 'Germany'),
(166646, '217.77.243.90', '217.77.243.90', 3645764442, 3645764442, 'IT', 'Italy'),
(166647, '217.77.243.91', '217.77.243.92', 3645764443, 3645764444, 'DE', 'Germany'),
(166648, '217.77.243.93', '217.77.243.93', 3645764445, 3645764445, 'GB', 'United Kingdom'),
(166649, '217.77.243.94', '217.77.243.94', 3645764446, 3645764446, 'NL', 'Netherlands'),
(166650, '217.77.243.95', '217.77.243.104', 3645764447, 3645764456, 'DE', 'Germany'),
(166651, '217.77.243.105', '217.77.243.105', 3645764457, 3645764457, 'IT', 'Italy'),
(166652, '217.77.243.106', '217.77.243.106', 3645764458, 3645764458, 'AT', 'Austria'),
(166653, '217.77.243.107', '217.77.243.107', 3645764459, 3645764459, 'IT', 'Italy'),
(166654, '217.77.243.108', '217.77.243.110', 3645764460, 3645764462, 'DE', 'Germany'),
(166655, '217.77.243.111', '217.77.243.111', 3645764463, 3645764463, 'NL', 'Netherlands'),
(166656, '217.77.243.112', '217.77.243.112', 3645764464, 3645764464, 'BE', 'Belgium'),
(166657, '217.77.243.113', '217.77.243.113', 3645764465, 3645764465, 'DE', 'Germany'),
(166658, '217.77.243.114', '217.77.243.114', 3645764466, 3645764466, 'GR', 'Greece'),
(166659, '217.77.243.115', '217.77.243.115', 3645764467, 3645764467, 'DE', 'Germany'),
(166660, '217.77.243.116', '217.77.243.116', 3645764468, 3645764468, 'IT', 'Italy'),
(166661, '217.77.243.117', '217.77.243.118', 3645764469, 3645764470, 'DE', 'Germany'),
(166662, '217.77.243.119', '217.77.243.119', 3645764471, 3645764471, 'IT', 'Italy'),
(166663, '217.77.243.120', '217.77.243.120', 3645764472, 3645764472, 'GR', 'Greece'),
(166664, '217.77.243.121', '217.77.243.121', 3645764473, 3645764473, 'NL', 'Netherlands'),
(166665, '217.77.243.122', '217.77.243.122', 3645764474, 3645764474, 'DE', 'Germany'),
(166666, '217.77.243.123', '217.77.243.123', 3645764475, 3645764475, 'GR', 'Greece'),
(166667, '217.77.243.124', '217.77.243.124', 3645764476, 3645764476, 'DE', 'Germany'),
(166668, '217.77.243.125', '217.77.243.125', 3645764477, 3645764477, 'NL', 'Netherlands'),
(166669, '217.77.243.126', '217.77.243.126', 3645764478, 3645764478, 'GB', 'United Kingdom'),
(166670, '217.77.243.127', '217.77.243.127', 3645764479, 3645764479, 'DE', 'Germany'),
(166671, '217.77.243.128', '217.77.243.129', 3645764480, 3645764481, 'NL', 'Netherlands'),
(166672, '217.77.243.130', '217.77.243.130', 3645764482, 3645764482, 'DE', 'Germany'),
(166673, '217.77.243.131', '217.77.243.131', 3645764483, 3645764483, 'NL', 'Netherlands'),
(166674, '217.77.243.132', '217.77.243.132', 3645764484, 3645764484, 'FR', 'France'),
(166675, '217.77.243.133', '217.77.243.133', 3645764485, 3645764485, 'NL', 'Netherlands'),
(166676, '217.77.243.134', '217.77.243.134', 3645764486, 3645764486, 'IE', 'Ireland'),
(166677, '217.77.243.135', '217.77.243.135', 3645764487, 3645764487, 'DE', 'Germany'),
(166678, '217.77.243.136', '217.77.243.138', 3645764488, 3645764490, 'NL', 'Netherlands'),
(166679, '217.77.243.139', '217.77.243.139', 3645764491, 3645764491, 'DE', 'Germany'),
(166680, '217.77.243.140', '217.77.243.140', 3645764492, 3645764492, 'NL', 'Netherlands'),
(166681, '217.77.243.141', '217.77.243.141', 3645764493, 3645764493, 'ES', 'Spain'),
(166682, '217.77.243.142', '217.77.243.142', 3645764494, 3645764494, 'FR', 'France'),
(166683, '217.77.243.143', '217.77.243.143', 3645764495, 3645764495, 'NL', 'Netherlands'),
(166684, '217.77.243.144', '217.77.243.144', 3645764496, 3645764496, 'DE', 'Germany'),
(166685, '217.77.243.145', '217.77.243.145', 3645764497, 3645764497, 'NL', 'Netherlands'),
(166686, '217.77.243.146', '217.77.243.146', 3645764498, 3645764498, 'FR', 'France'),
(166687, '217.77.243.147', '217.77.243.148', 3645764499, 3645764500, 'NL', 'Netherlands'),
(166688, '217.77.243.149', '217.77.243.149', 3645764501, 3645764501, 'DE', 'Germany'),
(166689, '217.77.243.150', '217.77.243.153', 3645764502, 3645764505, 'NL', 'Netherlands'),
(166690, '217.77.243.154', '217.77.243.154', 3645764506, 3645764506, 'DE', 'Germany'),
(166691, '217.77.243.155', '217.77.243.155', 3645764507, 3645764507, 'ES', 'Spain'),
(166692, '217.77.243.156', '217.77.243.156', 3645764508, 3645764508, 'IT', 'Italy'),
(166693, '217.77.243.157', '217.77.243.157', 3645764509, 3645764509, 'NL', 'Netherlands'),
(166694, '217.77.243.158', '217.77.243.158', 3645764510, 3645764510, 'DE', 'Germany'),
(166695, '217.77.243.159', '217.77.243.159', 3645764511, 3645764511, 'NL', 'Netherlands'),
(166696, '217.77.243.160', '217.77.243.160', 3645764512, 3645764512, 'DE', 'Germany'),
(166697, '217.77.243.161', '217.77.243.161', 3645764513, 3645764513, 'NL', 'Netherlands'),
(166698, '217.77.243.162', '217.77.243.162', 3645764514, 3645764514, 'ES', 'Spain'),
(166699, '217.77.243.163', '217.77.243.163', 3645764515, 3645764515, 'DE', 'Germany'),
(166700, '217.77.243.164', '217.77.243.164', 3645764516, 3645764516, 'NL', 'Netherlands'),
(166701, '217.77.243.165', '217.77.243.166', 3645764517, 3645764518, 'DE', 'Germany'),
(166702, '217.77.243.167', '217.77.243.170', 3645764519, 3645764522, 'NL', 'Netherlands'),
(166703, '217.77.243.171', '217.77.243.172', 3645764523, 3645764524, 'DE', 'Germany'),
(166704, '217.77.243.173', '217.77.243.179', 3645764525, 3645764531, 'NL', 'Netherlands'),
(166705, '217.77.243.180', '217.77.243.181', 3645764532, 3645764533, 'DE', 'Germany'),
(166706, '217.77.243.182', '217.77.243.183', 3645764534, 3645764535, 'NL', 'Netherlands'),
(166707, '217.77.243.184', '217.77.243.184', 3645764536, 3645764536, 'IT', 'Italy'),
(166708, '217.77.243.185', '217.77.243.187', 3645764537, 3645764539, 'NL', 'Netherlands'),
(166709, '217.77.243.188', '217.77.243.188', 3645764540, 3645764540, 'DE', 'Germany'),
(166710, '217.77.243.189', '217.77.243.189', 3645764541, 3645764541, 'IT', 'Italy'),
(166711, '217.77.243.190', '217.77.243.197', 3645764542, 3645764549, 'NL', 'Netherlands'),
(166712, '217.77.243.198', '217.77.243.198', 3645764550, 3645764550, 'DE', 'Germany'),
(166713, '217.77.243.199', '217.77.243.199', 3645764551, 3645764551, 'GR', 'Greece'),
(166714, '217.77.243.200', '217.77.243.201', 3645764552, 3645764553, 'DE', 'Germany'),
(166715, '217.77.243.202', '217.77.243.202', 3645764554, 3645764554, 'NL', 'Netherlands'),
(166716, '217.77.243.203', '217.77.243.203', 3645764555, 3645764555, 'DE', 'Germany'),
(166717, '217.77.243.204', '217.77.243.204', 3645764556, 3645764556, 'CH', 'Switzerland'),
(166718, '217.77.243.205', '217.77.243.205', 3645764557, 3645764557, 'NL', 'Netherlands'),
(166719, '217.77.243.206', '217.77.243.209', 3645764558, 3645764561, 'DE', 'Germany'),
(166720, '217.77.243.210', '217.77.243.210', 3645764562, 3645764562, 'FR', 'France'),
(166721, '217.77.243.211', '217.77.243.211', 3645764563, 3645764563, 'ES', 'Spain'),
(166722, '217.77.243.212', '217.77.243.213', 3645764564, 3645764565, 'NL', 'Netherlands'),
(166723, '217.77.243.214', '217.77.243.214', 3645764566, 3645764566, 'DE', 'Germany'),
(166724, '217.77.243.215', '217.77.243.216', 3645764567, 3645764568, 'NL', 'Netherlands'),
(166725, '217.77.243.217', '217.77.243.217', 3645764569, 3645764569, 'DE', 'Germany'),
(166726, '217.77.243.218', '217.77.243.218', 3645764570, 3645764570, 'MA', 'Morocco'),
(166727, '217.77.243.219', '217.77.246.7', 3645764571, 3645765127, 'DE', 'Germany'),
(166728, '217.77.246.8', '217.77.246.11', 3645765128, 3645765131, 'GR', 'Greece'),
(166729, '217.77.246.12', '217.77.246.15', 3645765132, 3645765135, 'DE', 'Germany'),
(166730, '217.77.246.16', '217.77.246.19', 3645765136, 3645765139, 'BE', 'Belgium'),
(166731, '217.77.246.20', '217.77.246.23', 3645765140, 3645765143, 'IT', 'Italy'),
(166732, '217.77.246.24', '217.77.246.27', 3645765144, 3645765147, 'DE', 'Germany'),
(166733, '217.77.246.28', '217.77.246.31', 3645765148, 3645765151, 'IT', 'Italy'),
(166734, '217.77.246.32', '217.77.246.35', 3645765152, 3645765155, 'BE', 'Belgium'),
(166735, '217.77.246.36', '217.77.246.51', 3645765156, 3645765171, 'IT', 'Italy'),
(166736, '217.77.246.52', '217.77.246.55', 3645765172, 3645765175, 'NO', 'Norway'),
(166737, '217.77.246.56', '217.77.246.59', 3645765176, 3645765179, 'DE', 'Germany'),
(166738, '217.77.246.60', '217.77.246.63', 3645765180, 3645765183, 'FR', 'France'),
(166739, '217.77.246.64', '217.77.246.67', 3645765184, 3645765187, 'GR', 'Greece'),
(166740, '217.77.246.68', '217.77.246.75', 3645765188, 3645765195, 'DE', 'Germany'),
(166741, '217.77.246.76', '217.77.246.79', 3645765196, 3645765199, 'CH', 'Switzerland'),
(166742, '217.77.246.80', '217.77.246.83', 3645765200, 3645765203, 'GB', 'United Kingdom'),
(166743, '217.77.246.84', '217.77.246.87', 3645765204, 3645765207, 'DE', 'Germany'),
(166744, '217.77.246.88', '217.77.246.91', 3645765208, 3645765211, 'FR', 'France'),
(166745, '217.77.246.92', '217.77.246.95', 3645765212, 3645765215, 'DE', 'Germany'),
(166746, '217.77.246.96', '217.77.246.99', 3645765216, 3645765219, 'ES', 'Spain'),
(166747, '217.77.246.100', '217.77.246.103', 3645765220, 3645765223, 'PL', 'Poland'),
(166748, '217.77.246.104', '217.77.246.107', 3645765224, 3645765227, 'BE', 'Belgium'),
(166749, '217.77.246.108', '217.77.246.111', 3645765228, 3645765231, 'GB', 'United Kingdom'),
(166750, '217.77.246.112', '217.77.246.115', 3645765232, 3645765235, 'IT', 'Italy'),
(166751, '217.77.246.116', '217.77.246.119', 3645765236, 3645765239, 'FR', 'France'),
(166752, '217.77.246.120', '217.77.246.123', 3645765240, 3645765243, 'GB', 'United Kingdom'),
(166753, '217.77.246.124', '217.77.246.127', 3645765244, 3645765247, 'IT', 'Italy'),
(166754, '217.77.246.128', '217.77.246.131', 3645765248, 3645765251, 'ES', 'Spain'),
(166755, '217.77.246.132', '217.77.246.135', 3645765252, 3645765255, 'DE', 'Germany'),
(166756, '217.77.246.136', '217.77.246.139', 3645765256, 3645765259, 'GR', 'Greece'),
(166757, '217.77.246.140', '217.77.246.143', 3645765260, 3645765263, 'PL', 'Poland'),
(166758, '217.77.246.144', '217.77.246.147', 3645765264, 3645765267, 'IT', 'Italy'),
(166759, '217.77.246.148', '217.77.246.151', 3645765268, 3645765271, 'PL', 'Poland'),
(166760, '217.77.246.152', '217.77.246.155', 3645765272, 3645765275, 'IT', 'Italy'),
(166761, '217.77.246.156', '217.77.246.159', 3645765276, 3645765279, 'FR', 'France'),
(166762, '217.77.246.160', '217.77.246.163', 3645765280, 3645765283, 'DE', 'Germany'),
(166763, '217.77.246.164', '217.77.246.167', 3645765284, 3645765287, 'ES', 'Spain'),
(166764, '217.77.246.168', '217.77.246.175', 3645765288, 3645765295, 'DE', 'Germany'),
(166765, '217.77.246.176', '217.77.246.179', 3645765296, 3645765299, 'ES', 'Spain'),
(166766, '217.77.246.180', '217.77.246.183', 3645765300, 3645765303, 'FR', 'France'),
(166767, '217.77.246.184', '217.77.246.191', 3645765304, 3645765311, 'IT', 'Italy'),
(166768, '217.77.246.192', '217.77.246.195', 3645765312, 3645765315, 'TR', 'Turkey'),
(166769, '217.77.246.196', '217.77.246.199', 3645765316, 3645765319, 'IT', 'Italy'),
(166770, '217.77.246.200', '217.77.246.203', 3645765320, 3645765323, 'FR', 'France'),
(166771, '217.77.246.204', '217.77.246.211', 3645765324, 3645765331, 'ES', 'Spain'),
(166772, '217.77.246.212', '217.77.246.215', 3645765332, 3645765335, 'FR', 'France'),
(166773, '217.77.246.216', '217.77.246.219', 3645765336, 3645765339, 'IT', 'Italy'),
(166774, '217.77.246.220', '217.77.246.223', 3645765340, 3645765343, 'FR', 'France'),
(166775, '217.77.246.224', '217.77.246.227', 3645765344, 3645765347, 'PL', 'Poland'),
(166776, '217.77.246.228', '217.77.246.231', 3645765348, 3645765351, 'GR', 'Greece'),
(166777, '217.77.246.232', '217.77.246.235', 3645765352, 3645765355, 'IT', 'Italy'),
(166778, '217.77.246.236', '217.77.246.239', 3645765356, 3645765359, 'ES', 'Spain'),
(166779, '217.77.246.240', '217.77.246.243', 3645765360, 3645765363, 'FR', 'France'),
(166780, '217.77.246.244', '217.77.246.247', 3645765364, 3645765367, 'ES', 'Spain'),
(166781, '217.77.246.248', '217.77.246.251', 3645765368, 3645765371, 'IT', 'Italy'),
(166782, '217.77.246.252', '217.77.246.255', 3645765372, 3645765375, 'CH', 'Switzerland'),
(166783, '217.77.247.0', '217.77.247.3', 3645765376, 3645765379, 'DE', 'Germany'),
(166784, '217.77.247.4', '217.77.247.7', 3645765380, 3645765383, 'BM', 'Bermuda'),
(166785, '217.77.247.8', '217.77.247.11', 3645765384, 3645765387, 'NL', 'Netherlands'),
(166786, '217.77.247.12', '217.77.247.15', 3645765388, 3645765391, 'DE', 'Germany'),
(166787, '217.77.247.16', '217.77.247.27', 3645765392, 3645765403, 'ES', 'Spain'),
(166788, '217.77.247.28', '217.77.247.31', 3645765404, 3645765407, 'GR', 'Greece'),
(166789, '217.77.247.32', '217.77.247.35', 3645765408, 3645765411, 'DK', 'Denmark'),
(166790, '217.77.247.36', '217.77.247.39', 3645765412, 3645765415, 'IT', 'Italy'),
(166791, '217.77.247.40', '217.77.247.43', 3645765416, 3645765419, 'FR', 'France'),
(166792, '217.77.247.44', '217.77.247.47', 3645765420, 3645765423, 'DE', 'Germany'),
(166793, '217.77.247.48', '217.77.247.51', 3645765424, 3645765427, 'IT', 'Italy'),
(166794, '217.77.247.52', '217.77.247.67', 3645765428, 3645765443, 'DE', 'Germany'),
(166795, '217.77.247.68', '217.77.247.71', 3645765444, 3645765447, 'FR', 'France'),
(166796, '217.77.247.72', '217.77.247.75', 3645765448, 3645765451, 'ES', 'Spain'),
(166797, '217.77.247.76', '217.77.247.79', 3645765452, 3645765455, 'FR', 'France'),
(166798, '217.77.247.80', '217.77.247.83', 3645765456, 3645765459, 'AT', 'Austria'),
(166799, '217.77.247.84', '217.77.247.87', 3645765460, 3645765463, 'FR', 'France'),
(166800, '217.77.247.88', '217.77.247.91', 3645765464, 3645765467, 'GB', 'United Kingdom'),
(166801, '217.77.247.92', '217.77.247.95', 3645765468, 3645765471, 'DE', 'Germany'),
(166802, '217.77.247.96', '217.77.247.99', 3645765472, 3645765475, 'NL', 'Netherlands'),
(166803, '217.77.247.100', '217.77.247.111', 3645765476, 3645765487, 'DE', 'Germany'),
(166804, '217.77.247.112', '217.77.247.115', 3645765488, 3645765491, 'HU', 'Hungary'),
(166805, '217.77.247.116', '217.77.247.119', 3645765492, 3645765495, 'DE', 'Germany'),
(166806, '217.77.247.120', '217.77.247.123', 3645765496, 3645765499, 'GB', 'United Kingdom'),
(166807, '217.77.247.124', '217.77.247.127', 3645765500, 3645765503, 'NL', 'Netherlands'),
(166808, '217.77.247.128', '217.77.247.131', 3645765504, 3645765507, 'CH', 'Switzerland'),
(166809, '217.77.247.132', '217.77.247.135', 3645765508, 3645765511, 'IT', 'Italy'),
(166810, '217.77.247.136', '217.77.247.143', 3645765512, 3645765519, 'GB', 'United Kingdom'),
(166811, '217.77.247.144', '217.77.247.147', 3645765520, 3645765523, 'FR', 'France'),
(166812, '217.77.247.148', '217.77.247.151', 3645765524, 3645765527, 'IT', 'Italy'),
(166813, '217.77.247.152', '217.77.247.159', 3645765528, 3645765535, 'FR', 'France'),
(166814, '217.77.247.160', '217.77.247.163', 3645765536, 3645765539, 'SE', 'Sweden'),
(166815, '217.77.247.164', '217.77.247.167', 3645765540, 3645765543, 'IL', 'Israel'),
(166816, '217.77.247.168', '217.77.247.171', 3645765544, 3645765547, 'BE', 'Belgium'),
(166817, '217.77.247.172', '217.77.247.179', 3645765548, 3645765555, 'DE', 'Germany'),
(166818, '217.77.247.180', '217.77.247.183', 3645765556, 3645765559, 'IT', 'Italy'),
(166819, '217.77.247.184', '217.77.247.187', 3645765560, 3645765563, 'IE', 'Ireland'),
(166820, '217.77.247.188', '217.77.247.191', 3645765564, 3645765567, 'ES', 'Spain'),
(166821, '217.77.247.192', '217.77.247.195', 3645765568, 3645765571, 'FR', 'France'),
(166822, '217.77.247.196', '217.77.247.199', 3645765572, 3645765575, 'DE', 'Germany'),
(166823, '217.77.247.200', '217.77.247.203', 3645765576, 3645765579, 'IT', 'Italy'),
(166824, '217.77.247.204', '217.77.247.215', 3645765580, 3645765591, 'DE', 'Germany'),
(166825, '217.77.247.216', '217.77.247.219', 3645765592, 3645765595, 'IE', 'Ireland'),
(166826, '217.77.247.220', '217.77.247.235', 3645765596, 3645765611, 'DE', 'Germany'),
(166827, '217.77.247.236', '217.77.247.239', 3645765612, 3645765615, 'IT', 'Italy'),
(166828, '217.77.247.240', '217.77.247.243', 3645765616, 3645765619, 'GB', 'United Kingdom'),
(166829, '217.77.247.244', '217.77.247.247', 3645765620, 3645765623, 'CH', 'Switzerland'),
(166830, '217.77.247.248', '217.77.247.251', 3645765624, 3645765627, 'FR', 'France'),
(166831, '217.77.247.252', '217.77.248.7', 3645765628, 3645765639, 'DE', 'Germany'),
(166832, '217.77.248.8', '217.77.248.11', 3645765640, 3645765643, 'DK', 'Denmark'),
(166833, '217.77.248.12', '217.77.248.15', 3645765644, 3645765647, 'GB', 'United Kingdom'),
(166834, '217.77.248.16', '217.77.248.19', 3645765648, 3645765651, 'NL', 'Netherlands'),
(166835, '217.77.248.20', '217.77.248.35', 3645765652, 3645765667, 'DE', 'Germany'),
(166836, '217.77.248.36', '217.77.248.43', 3645765668, 3645765675, 'FR', 'France'),
(166837, '217.77.248.44', '217.77.248.47', 3645765676, 3645765679, 'DE', 'Germany'),
(166838, '217.77.248.48', '217.77.248.51', 3645765680, 3645765683, 'FR', 'France'),
(166839, '217.77.248.52', '217.77.248.55', 3645765684, 3645765687, 'NL', 'Netherlands'),
(166840, '217.77.248.56', '217.77.248.59', 3645765688, 3645765691, 'FR', 'France'),
(166841, '217.77.248.60', '217.77.248.63', 3645765692, 3645765695, 'CH', 'Switzerland'),
(166842, '217.77.248.64', '217.77.248.71', 3645765696, 3645765703, 'IT', 'Italy'),
(166843, '217.77.248.72', '217.77.248.75', 3645765704, 3645765707, 'DE', 'Germany'),
(166844, '217.77.248.76', '217.77.248.79', 3645765708, 3645765711, 'FR', 'France'),
(166845, '217.77.248.80', '217.77.248.83', 3645765712, 3645765715, 'DE', 'Germany'),
(166846, '217.77.248.84', '217.77.248.87', 3645765716, 3645765719, 'FR', 'France'),
(166847, '217.77.248.88', '217.77.251.1', 3645765720, 3645766401, 'DE', 'Germany'),
(166848, '217.77.251.2', '217.77.251.7', 3645766402, 3645766407, 'US', 'United States'),
(166849, '217.77.251.8', '217.77.254.19', 3645766408, 3645767187, 'DE', 'Germany'),
(166850, '217.77.254.20', '217.77.254.20', 3645767188, 3645767188, 'US', 'United States'),
(166851, '217.77.254.21', '217.77.254.25', 3645767189, 3645767193, 'DE', 'Germany'),
(166852, '217.77.254.26', '217.77.254.26', 3645767194, 3645767194, 'US', 'United States'),
(166853, '217.77.254.27', '217.77.254.27', 3645767195, 3645767195, 'DE', 'Germany'),
(166854, '217.77.254.28', '217.77.254.28', 3645767196, 3645767196, 'US', 'United States'),
(166855, '217.77.254.29', '217.77.254.29', 3645767197, 3645767197, 'DE', 'Germany'),
(166856, '217.77.254.30', '217.77.254.30', 3645767198, 3645767198, 'US', 'United States'),
(166857, '217.77.254.31', '217.77.254.40', 3645767199, 3645767208, 'DE', 'Germany'),
(166858, '217.77.254.41', '217.77.254.41', 3645767209, 3645767209, 'US', 'United States'),
(166859, '217.77.254.42', '217.77.254.54', 3645767210, 3645767222, 'DE', 'Germany'),
(166860, '217.77.254.55', '217.77.254.55', 3645767223, 3645767223, 'US', 'United States'),
(166861, '217.77.254.56', '217.77.254.72', 3645767224, 3645767240, 'DE', 'Germany'),
(166862, '217.77.254.73', '217.77.254.73', 3645767241, 3645767241, 'US', 'United States'),
(166863, '217.77.254.74', '217.77.255.2', 3645767242, 3645767426, 'DE', 'Germany'),
(166864, '217.77.255.3', '217.77.255.3', 3645767427, 3645767427, 'US', 'United States'),
(166865, '217.77.255.4', '217.77.255.4', 3645767428, 3645767428, 'DE', 'Germany'),
(166866, '217.77.255.5', '217.77.255.5', 3645767429, 3645767429, 'US', 'United States'),
(166867, '217.77.255.6', '217.77.255.7', 3645767430, 3645767431, 'DE', 'Germany'),
(166868, '217.77.255.8', '217.77.255.9', 3645767432, 3645767433, 'US', 'United States'),
(166869, '217.77.255.10', '217.77.255.10', 3645767434, 3645767434, 'CA', 'Canada'),
(166870, '217.77.255.11', '217.77.255.24', 3645767435, 3645767448, 'US', 'United States'),
(166871, '217.77.255.25', '217.77.255.25', 3645767449, 3645767449, 'DE', 'Germany'),
(166872, '217.77.255.26', '217.77.255.31', 3645767450, 3645767455, 'US', 'United States'),
(166873, '217.77.255.32', '217.77.255.78', 3645767456, 3645767502, 'DE', 'Germany'),
(166874, '217.77.255.79', '217.77.255.79', 3645767503, 3645767503, 'US', 'United States'),
(166875, '217.77.255.80', '217.77.255.255', 3645767504, 3645767679, 'DE', 'Germany'),
(166876, '217.78.0.0', '217.78.15.255', 3645767680, 3645771775, 'IE', 'Ireland'),
(166877, '217.78.16.0', '217.78.47.255', 3645771776, 3645779967, 'SE', 'Sweden'),
(166878, '217.78.48.0', '217.78.63.255', 3645779968, 3645784063, 'PS', 'Palestinian Territory, Occupied'),
(166879, '217.78.80.0', '217.78.95.255', 3645788160, 3645792255, 'GB', 'United Kingdom'),
(166880, '217.78.96.0', '217.78.111.255', 3645792256, 3645796351, 'TR', 'Turkey'),
(166881, '217.78.112.0', '217.78.127.255', 3645796352, 3645800447, 'CH', 'Switzerland'),
(166882, '217.78.128.0', '217.78.143.255', 3645800448, 3645804543, 'DE', 'Germany'),
(166883, '217.78.144.0', '217.78.159.255', 3645804544, 3645808639, 'GB', 'United Kingdom'),
(166884, '217.78.160.0', '217.78.175.255', 3645808640, 3645812735, 'DE', 'Germany'),
(166885, '217.78.176.0', '217.78.191.255', 3645812736, 3645816831, 'RU', 'Russian Federation'),
(166886, '217.78.192.0', '217.78.223.255', 3645816832, 3645825023, 'FI', 'Finland'),
(166887, '217.78.224.0', '217.78.239.255', 3645825024, 3645829119, 'RU', 'Russian Federation'),
(166888, '217.78.240.0', '217.78.255.255', 3645829120, 3645833215, 'NL', 'Netherlands'),
(166889, '217.79.0.0', '217.79.31.255', 3645833216, 3645841407, 'RU', 'Russian Federation'),
(166890, '217.79.32.0', '217.79.47.255', 3645841408, 3645845503, 'BG', 'Bulgaria'),
(166891, '217.79.48.0', '217.79.63.255', 3645845504, 3645849599, 'RU', 'Russian Federation'),
(166892, '217.79.64.0', '217.79.95.255', 3645849600, 3645857791, 'BG', 'Bulgaria'),
(166893, '217.79.96.0', '217.79.127.255', 3645857792, 3645865983, 'GB', 'United Kingdom'),
(166894, '217.79.128.0', '217.79.143.255', 3645865984, 3645870079, 'HU', 'Hungary'),
(166895, '217.79.144.0', '217.79.159.255', 3645870080, 3645874175, 'PL', 'Poland'),
(166896, '217.79.160.0', '217.79.175.255', 3645874176, 3645878271, 'GB', 'United Kingdom'),
(166897, '217.79.176.0', '217.79.191.255', 3645878272, 3645882367, 'DE', 'Germany'),
(166898, '217.79.192.0', '217.79.207.255', 3645882368, 3645886463, 'CH', 'Switzerland'),
(166899, '217.79.208.0', '217.79.210.15', 3645886464, 3645886991, 'DE', 'Germany'),
(166900, '217.79.210.16', '217.79.210.19', 3645886992, 3645886995, 'GB', 'United Kingdom'),
(166901, '217.79.210.20', '217.79.210.91', 3645886996, 3645887067, 'DE', 'Germany'),
(166902, '217.79.210.92', '217.79.210.95', 3645887068, 3645887071, 'US', 'United States'),
(166903, '217.79.210.96', '217.79.210.103', 3645887072, 3645887079, 'AT', 'Austria'),
(166904, '217.79.210.104', '217.79.212.255', 3645887080, 3645887743, 'DE', 'Germany'),
(166905, '217.79.213.0', '217.79.213.127', 3645887744, 3645887871, 'US', 'United States'),
(166906, '217.79.213.128', '217.79.214.127', 3645887872, 3645888127, 'DE', 'Germany'),
(166907, '217.79.214.128', '217.79.214.143', 3645888128, 3645888143, 'AT', 'Austria'),
(166908, '217.79.214.144', '217.79.214.159', 3645888144, 3645888159, 'DE', 'Germany'),
(166909, '217.79.214.160', '217.79.214.191', 3645888160, 3645888191, 'AT', 'Austria'),
(166910, '217.79.214.192', '217.79.214.223', 3645888192, 3645888223, 'SG', 'Singapore'),
(166911, '217.79.214.224', '217.79.215.255', 3645888224, 3645888511, 'DE', 'Germany'),
(166912, '217.79.216.0', '217.79.216.255', 3645888512, 3645888767, 'EU', 'Europe'),
(166913, '217.79.217.0', '217.79.220.255', 3645888768, 3645889791, 'DE', 'Germany'),
(166914, '217.79.221.0', '217.79.221.127', 3645889792, 3645889919, 'US', 'United States'),
(166915, '217.79.221.128', '217.79.223.255', 3645889920, 3645890559, 'DE', 'Germany'),
(166916, '217.79.224.0', '217.79.239.255', 3645890560, 3645894655, 'RU', 'Russian Federation'),
(166917, '217.79.240.0', '217.79.255.255', 3645894656, 3645898751, 'NL', 'Netherlands'),
(166918, '217.80.0.0', '217.89.95.207', 3645898752, 3646513103, 'DE', 'Germany'),
(166919, '217.89.95.208', '217.89.95.215', 3646513104, 3646513111, 'CA', 'Canada'),
(166920, '217.89.95.216', '217.89.107.255', 3646513112, 3646516223, 'DE', 'Germany'),
(166921, '217.89.108.0', '217.89.111.255', 3646516224, 3646517247, 'US', 'United States'),
(166922, '217.89.112.0', '217.89.119.255', 3646517248, 3646519295, 'DE', 'Germany'),
(166923, '217.89.120.0', '217.89.121.255', 3646519296, 3646519807, 'US', 'United States'),
(166924, '217.89.122.0', '217.95.255.255', 3646519808, 3646947327, 'DE', 'Germany'),
(166925, '217.96.0.0', '217.99.255.255', 3646947328, 3647209471, 'PL', 'Poland'),
(166926, '217.100.0.0', '217.105.255.255', 3647209472, 3647602687, 'NL', 'Netherlands'),
(166927, '217.106.0.0', '217.106.218.255', 3647602688, 3647658751, 'RU', 'Russian Federation'),
(166928, '217.106.219.0', '217.106.219.255', 3647658752, 3647659007, 'GE', 'Georgia'),
(166929, '217.106.220.0', '217.106.243.255', 3647659008, 3647665151, 'RU', 'Russian Federation'),
(166930, '217.106.244.0', '217.106.244.255', 3647665152, 3647665407, 'GE', 'Georgia'),
(166931, '217.106.245.0', '217.107.212.255', 3647665408, 3647722751, 'RU', 'Russian Federation'),
(166932, '217.107.213.0', '217.107.213.127', 3647722752, 3647722879, 'BY', 'Belarus'),
(166933, '217.107.213.128', '217.107.255.255', 3647722880, 3647733759, 'RU', 'Russian Federation'),
(166934, '217.108.0.0', '217.109.60.199', 3647733760, 3647814855, 'FR', 'France'),
(166935, '217.109.60.200', '217.109.60.207', 3647814856, 3647814863, 'A2', 'Satellite Provider'),
(166936, '217.109.60.208', '217.109.255.255', 3647814864, 3647864831, 'FR', 'France'),
(166937, '217.110.0.0', '217.110.46.31', 3647864832, 3647876639, 'DE', 'Germany'),
(166938, '217.110.46.32', '217.110.46.39', 3647876640, 3647876647, 'BE', 'Belgium'),
(166939, '217.110.46.40', '217.110.53.87', 3647876648, 3647878487, 'DE', 'Germany'),
(166940, '217.110.53.88', '217.110.53.95', 3647878488, 3647878495, 'BE', 'Belgium'),
(166941, '217.110.53.96', '217.110.96.255', 3647878496, 3647889663, 'DE', 'Germany'),
(166942, '217.110.97.0', '217.110.97.7', 3647889664, 3647889671, 'BE', 'Belgium'),
(166943, '217.110.97.8', '217.110.100.31', 3647889672, 3647890463, 'DE', 'Germany'),
(166944, '217.110.100.32', '217.110.100.39', 3647890464, 3647890471, 'FR', 'France'),
(166945, '217.110.100.40', '217.110.100.255', 3647890472, 3647890687, 'DE', 'Germany'),
(166946, '217.110.101.0', '217.110.101.255', 3647890688, 3647890943, 'EU', 'Europe'),
(166947, '217.110.102.0', '217.110.185.255', 3647890944, 3647912447, 'DE', 'Germany'),
(166948, '217.110.186.0', '217.110.186.63', 3647912448, 3647912511, 'BE', 'Belgium'),
(166949, '217.110.186.64', '217.110.202.255', 3647912512, 3647916799, 'DE', 'Germany'),
(166950, '217.110.203.0', '217.110.203.255', 3647916800, 3647917055, 'SE', 'Sweden'),
(166951, '217.110.204.0', '217.110.206.31', 3647917056, 3647917599, 'DE', 'Germany'),
(166952, '217.110.206.32', '217.110.206.47', 3647917600, 3647917615, 'US', 'United States'),
(166953, '217.110.206.48', '217.110.227.15', 3647917616, 3647922959, 'DE', 'Germany'),
(166954, '217.110.227.16', '217.110.227.31', 3647922960, 3647922975, 'GB', 'United Kingdom'),
(166955, '217.110.227.32', '217.111.25.103', 3647922976, 3647936871, 'DE', 'Germany'),
(166956, '217.111.25.104', '217.111.25.111', 3647936872, 3647936879, 'FR', 'France'),
(166957, '217.111.25.112', '217.111.65.255', 3647936880, 3647947263, 'DE', 'Germany'),
(166958, '217.111.66.0', '217.111.66.255', 3647947264, 3647947519, 'US', 'United States'),
(166959, '217.111.67.0', '217.111.74.255', 3647947520, 3647949567, 'DE', 'Germany'),
(166960, '217.111.75.0', '217.111.75.255', 3647949568, 3647949823, 'EU', 'Europe'),
(166961, '217.111.76.0', '217.111.88.159', 3647949824, 3647953055, 'DE', 'Germany'),
(166962, '217.111.88.160', '217.111.88.167', 3647953056, 3647953063, 'FR', 'France'),
(166963, '217.111.88.168', '217.111.88.223', 3647953064, 3647953119, 'DE', 'Germany'),
(166964, '217.111.88.224', '217.111.88.231', 3647953120, 3647953127, 'AT', 'Austria'),
(166965, '217.111.88.232', '217.111.93.55', 3647953128, 3647954231, 'DE', 'Germany'),
(166966, '217.111.93.56', '217.111.93.63', 3647954232, 3647954239, 'GB', 'United Kingdom'),
(166967, '217.111.93.64', '217.111.95.95', 3647954240, 3647954783, 'DE', 'Germany'),
(166968, '217.111.95.96', '217.111.95.127', 3647954784, 3647954815, 'CH', 'Switzerland'),
(166969, '217.111.95.128', '217.111.106.7', 3647954816, 3647957511, 'DE', 'Germany'),
(166970, '217.111.106.8', '217.111.106.15', 3647957512, 3647957519, 'GB', 'United Kingdom'),
(166971, '217.111.106.16', '217.111.114.15', 3647957520, 3647959567, 'DE', 'Germany'),
(166972, '217.111.114.16', '217.111.114.23', 3647959568, 3647959575, 'ES', 'Spain'),
(166973, '217.111.114.24', '217.111.114.47', 3647959576, 3647959599, 'DE', 'Germany'),
(166974, '217.111.114.48', '217.111.114.55', 3647959600, 3647959607, 'AT', 'Austria'),
(166975, '217.111.114.56', '217.111.120.127', 3647959608, 3647961215, 'DE', 'Germany'),
(166976, '217.111.120.128', '217.111.120.159', 3647961216, 3647961247, 'IT', 'Italy'),
(166977, '217.111.120.160', '217.111.120.167', 3647961248, 3647961255, 'DE', 'Germany'),
(166978, '217.111.120.168', '217.111.120.175', 3647961256, 3647961263, 'BE', 'Belgium'),
(166979, '217.111.120.176', '217.111.128.31', 3647961264, 3647963167, 'DE', 'Germany'),
(166980, '217.111.128.32', '217.111.128.47', 3647963168, 3647963183, 'BE', 'Belgium'),
(166981, '217.111.128.48', '217.111.128.95', 3647963184, 3647963231, 'DE', 'Germany'),
(166982, '217.111.128.96', '217.111.128.127', 3647963232, 3647963263, 'BE', 'Belgium'),
(166983, '217.111.128.128', '217.111.129.127', 3647963264, 3647963519, 'DE', 'Germany'),
(166984, '217.111.129.128', '217.111.129.255', 3647963520, 3647963647, 'FR', 'France'),
(166985, '217.111.130.0', '217.111.130.127', 3647963648, 3647963775, 'BE', 'Belgium'),
(166986, '217.111.130.128', '217.111.130.191', 3647963776, 3647963839, 'FR', 'France'),
(166987, '217.111.130.192', '217.111.131.255', 3647963840, 3647964159, 'DE', 'Germany'),
(166988, '217.111.132.0', '217.111.132.127', 3647964160, 3647964287, 'BE', 'Belgium'),
(166989, '217.111.132.128', '217.111.132.255', 3647964288, 3647964415, 'DE', 'Germany'),
(166990, '217.111.133.0', '217.111.133.151', 3647964416, 3647964567, 'ES', 'Spain'),
(166991, '217.111.133.152', '217.111.133.167', 3647964568, 3647964583, 'DE', 'Germany'),
(166992, '217.111.133.168', '217.111.133.183', 3647964584, 3647964599, 'ES', 'Spain'),
(166993, '217.111.133.184', '217.111.133.191', 3647964600, 3647964607, 'DE', 'Germany'),
(166994, '217.111.133.192', '217.111.133.199', 3647964608, 3647964615, 'ES', 'Spain'),
(166995, '217.111.133.200', '217.111.133.207', 3647964616, 3647964623, 'DE', 'Germany'),
(166996, '217.111.133.208', '217.111.133.255', 3647964624, 3647964671, 'ES', 'Spain'),
(166997, '217.111.134.0', '217.111.134.7', 3647964672, 3647964679, 'DE', 'Germany'),
(166998, '217.111.134.8', '217.111.134.31', 3647964680, 3647964703, 'ES', 'Spain'),
(166999, '217.111.134.32', '217.111.135.255', 3647964704, 3647965183, 'DE', 'Germany'),
(167000, '217.111.136.0', '217.111.136.71', 3647965184, 3647965255, 'ES', 'Spain'),
(167001, '217.111.136.72', '217.111.136.95', 3647965256, 3647965279, 'DE', 'Germany'),
(167002, '217.111.136.96', '217.111.136.111', 3647965280, 3647965295, 'ES', 'Spain'),
(167003, '217.111.136.112', '217.111.136.119', 3647965296, 3647965303, 'DE', 'Germany'),
(167004, '217.111.136.120', '217.111.136.127', 3647965304, 3647965311, 'ES', 'Spain'),
(167005, '217.111.136.128', '217.111.136.135', 3647965312, 3647965319, 'DE', 'Germany'),
(167006, '217.111.136.136', '217.111.136.247', 3647965320, 3647965431, 'ES', 'Spain'),
(167007, '217.111.136.248', '217.111.136.255', 3647965432, 3647965439, 'DE', 'Germany'),
(167008, '217.111.137.0', '217.111.137.255', 3647965440, 3647965695, 'ES', 'Spain'),
(167009, '217.111.138.0', '217.111.139.255', 3647965696, 3647966207, 'CH', 'Switzerland'),
(167010, '217.111.140.0', '217.111.141.111', 3647966208, 3647966575, 'GB', 'United Kingdom'),
(167011, '217.111.141.112', '217.111.141.119', 3647966576, 3647966583, 'DE', 'Germany'),
(167012, '217.111.141.120', '217.111.141.223', 3647966584, 3647966687, 'GB', 'United Kingdom'),
(167013, '217.111.141.224', '217.111.141.239', 3647966688, 3647966703, 'DE', 'Germany'),
(167014, '217.111.141.240', '217.111.143.255', 3647966704, 3647967231, 'GB', 'United Kingdom'),
(167015, '217.111.144.0', '217.111.147.255', 3647967232, 3647968255, 'BE', 'Belgium');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(167016, '217.111.148.0', '217.111.151.255', 3647968256, 3647969279, 'FR', 'France'),
(167017, '217.111.152.0', '217.111.153.255', 3647969280, 3647969791, 'IT', 'Italy'),
(167018, '217.111.154.0', '217.111.155.255', 3647969792, 3647970303, 'BE', 'Belgium'),
(167019, '217.111.156.0', '217.111.159.255', 3647970304, 3647971327, 'FR', 'France'),
(167020, '217.111.160.0', '217.111.161.87', 3647971328, 3647971671, 'GB', 'United Kingdom'),
(167021, '217.111.161.88', '217.111.161.95', 3647971672, 3647971679, 'DE', 'Germany'),
(167022, '217.111.161.96', '217.111.163.47', 3647971680, 3647972143, 'GB', 'United Kingdom'),
(167023, '217.111.163.48', '217.111.163.55', 3647972144, 3647972151, 'DE', 'Germany'),
(167024, '217.111.163.56', '217.111.163.95', 3647972152, 3647972191, 'GB', 'United Kingdom'),
(167025, '217.111.163.96', '217.111.163.103', 3647972192, 3647972199, 'DE', 'Germany'),
(167026, '217.111.163.104', '217.111.163.163', 3647972200, 3647972259, 'GB', 'United Kingdom'),
(167027, '217.111.163.164', '217.111.163.167', 3647972260, 3647972263, 'DE', 'Germany'),
(167028, '217.111.163.168', '217.111.163.255', 3647972264, 3647972351, 'GB', 'United Kingdom'),
(167029, '217.111.164.0', '217.111.169.31', 3647972352, 3647973663, 'IT', 'Italy'),
(167030, '217.111.169.32', '217.111.169.39', 3647973664, 3647973671, 'DE', 'Germany'),
(167031, '217.111.169.40', '217.111.169.47', 3647973672, 3647973679, 'IT', 'Italy'),
(167032, '217.111.169.48', '217.111.169.63', 3647973680, 3647973695, 'DE', 'Germany'),
(167033, '217.111.169.64', '217.111.169.71', 3647973696, 3647973703, 'IT', 'Italy'),
(167034, '217.111.169.72', '217.111.169.79', 3647973704, 3647973711, 'BE', 'Belgium'),
(167035, '217.111.169.80', '217.111.169.103', 3647973712, 3647973735, 'IT', 'Italy'),
(167036, '217.111.169.104', '217.111.169.111', 3647973736, 3647973743, 'DE', 'Germany'),
(167037, '217.111.169.112', '217.111.169.151', 3647973744, 3647973783, 'IT', 'Italy'),
(167038, '217.111.169.152', '217.111.169.159', 3647973784, 3647973791, 'DE', 'Germany'),
(167039, '217.111.169.160', '217.111.169.239', 3647973792, 3647973871, 'IT', 'Italy'),
(167040, '217.111.169.240', '217.111.169.247', 3647973872, 3647973879, 'DE', 'Germany'),
(167041, '217.111.169.248', '217.111.170.31', 3647973880, 3647973919, 'IT', 'Italy'),
(167042, '217.111.170.32', '217.111.170.39', 3647973920, 3647973927, 'DE', 'Germany'),
(167043, '217.111.170.40', '217.111.170.79', 3647973928, 3647973967, 'IT', 'Italy'),
(167044, '217.111.170.80', '217.111.170.87', 3647973968, 3647973975, 'DE', 'Germany'),
(167045, '217.111.170.88', '217.111.170.95', 3647973976, 3647973983, 'IT', 'Italy'),
(167046, '217.111.170.96', '217.111.170.103', 3647973984, 3647973991, 'DE', 'Germany'),
(167047, '217.111.170.104', '217.111.170.159', 3647973992, 3647974047, 'IT', 'Italy'),
(167048, '217.111.170.160', '217.111.170.167', 3647974048, 3647974055, 'DE', 'Germany'),
(167049, '217.111.170.168', '217.111.171.255', 3647974056, 3647974399, 'IT', 'Italy'),
(167050, '217.111.172.0', '217.111.179.255', 3647974400, 3647976447, 'ES', 'Spain'),
(167051, '217.111.180.0', '217.111.180.7', 3647976448, 3647976455, 'BE', 'Belgium'),
(167052, '217.111.180.8', '217.111.180.15', 3647976456, 3647976463, 'DE', 'Germany'),
(167053, '217.111.180.16', '217.111.180.111', 3647976464, 3647976559, 'BE', 'Belgium'),
(167054, '217.111.180.112', '217.111.180.127', 3647976560, 3647976575, 'FR', 'France'),
(167055, '217.111.180.128', '217.111.180.199', 3647976576, 3647976647, 'BE', 'Belgium'),
(167056, '217.111.180.200', '217.111.180.215', 3647976648, 3647976663, 'DE', 'Germany'),
(167057, '217.111.180.216', '217.111.181.15', 3647976664, 3647976719, 'BE', 'Belgium'),
(167058, '217.111.181.16', '217.111.181.23', 3647976720, 3647976727, 'DE', 'Germany'),
(167059, '217.111.181.24', '217.111.181.39', 3647976728, 3647976743, 'BE', 'Belgium'),
(167060, '217.111.181.40', '217.111.181.47', 3647976744, 3647976751, 'DE', 'Germany'),
(167061, '217.111.181.48', '217.111.181.63', 3647976752, 3647976767, 'BE', 'Belgium'),
(167062, '217.111.181.64', '217.111.181.79', 3647976768, 3647976783, 'DE', 'Germany'),
(167063, '217.111.181.80', '217.111.181.87', 3647976784, 3647976791, 'BE', 'Belgium'),
(167064, '217.111.181.88', '217.111.181.95', 3647976792, 3647976799, 'DE', 'Germany'),
(167065, '217.111.181.96', '217.111.181.127', 3647976800, 3647976831, 'BE', 'Belgium'),
(167066, '217.111.181.128', '217.111.181.151', 3647976832, 3647976855, 'DE', 'Germany'),
(167067, '217.111.181.152', '217.111.181.223', 3647976856, 3647976927, 'BE', 'Belgium'),
(167068, '217.111.181.224', '217.111.181.231', 3647976928, 3647976935, 'DE', 'Germany'),
(167069, '217.111.181.232', '217.111.182.159', 3647976936, 3647977119, 'BE', 'Belgium'),
(167070, '217.111.182.160', '217.111.182.175', 3647977120, 3647977135, 'DE', 'Germany'),
(167071, '217.111.182.176', '217.111.182.191', 3647977136, 3647977151, 'BE', 'Belgium'),
(167072, '217.111.182.192', '217.111.182.255', 3647977152, 3647977215, 'DE', 'Germany'),
(167073, '217.111.183.0', '217.111.183.255', 3647977216, 3647977471, 'BE', 'Belgium'),
(167074, '217.111.184.0', '217.111.185.63', 3647977472, 3647977791, 'GB', 'United Kingdom'),
(167075, '217.111.185.64', '217.111.185.127', 3647977792, 3647977855, 'IE', 'Ireland'),
(167076, '217.111.185.128', '217.111.187.255', 3647977856, 3647978495, 'GB', 'United Kingdom'),
(167077, '217.111.188.0', '217.111.188.55', 3647978496, 3647978551, 'NL', 'Netherlands'),
(167078, '217.111.188.56', '217.111.188.63', 3647978552, 3647978559, 'DE', 'Germany'),
(167079, '217.111.188.64', '217.111.189.23', 3647978560, 3647978775, 'NL', 'Netherlands'),
(167080, '217.111.189.24', '217.111.189.31', 3647978776, 3647978783, 'DE', 'Germany'),
(167081, '217.111.189.32', '217.111.189.143', 3647978784, 3647978895, 'NL', 'Netherlands'),
(167082, '217.111.189.144', '217.111.189.159', 3647978896, 3647978911, 'DE', 'Germany'),
(167083, '217.111.189.160', '217.111.189.255', 3647978912, 3647979007, 'NL', 'Netherlands'),
(167084, '217.111.190.0', '217.111.190.128', 3647979008, 3647979136, 'IT', 'Italy'),
(167085, '217.111.190.129', '217.111.191.255', 3647979137, 3647979519, 'DE', 'Germany'),
(167086, '217.111.192.0', '217.111.194.207', 3647979520, 3647980239, 'FR', 'France'),
(167087, '217.111.194.208', '217.111.194.215', 3647980240, 3647980247, 'DE', 'Germany'),
(167088, '217.111.194.216', '217.111.195.183', 3647980248, 3647980471, 'FR', 'France'),
(167089, '217.111.195.184', '217.111.195.191', 3647980472, 3647980479, 'DE', 'Germany'),
(167090, '217.111.195.192', '217.111.195.207', 3647980480, 3647980495, 'FR', 'France'),
(167091, '217.111.195.208', '217.111.195.215', 3647980496, 3647980503, 'DE', 'Germany'),
(167092, '217.111.195.216', '217.111.195.255', 3647980504, 3647980543, 'FR', 'France'),
(167093, '217.111.196.0', '217.111.197.255', 3647980544, 3647981055, 'GB', 'United Kingdom'),
(167094, '217.111.198.0', '217.111.199.255', 3647981056, 3647981567, 'IE', 'Ireland'),
(167095, '217.111.200.0', '217.111.203.255', 3647981568, 3647982591, 'BE', 'Belgium'),
(167096, '217.111.204.0', '217.111.207.255', 3647982592, 3647983615, 'IT', 'Italy'),
(167097, '217.111.208.0', '217.111.211.255', 3647983616, 3647984639, 'NL', 'Netherlands'),
(167098, '217.111.212.0', '217.111.213.255', 3647984640, 3647985151, 'DK', 'Denmark'),
(167099, '217.111.214.0', '217.111.215.7', 3647985152, 3647985415, 'BE', 'Belgium'),
(167100, '217.111.215.8', '217.111.215.15', 3647985416, 3647985423, 'AT', 'Austria'),
(167101, '217.111.215.16', '217.111.215.255', 3647985424, 3647985663, 'BE', 'Belgium'),
(167102, '217.111.216.0', '217.111.216.255', 3647985664, 3647985919, 'ES', 'Spain'),
(167103, '217.111.217.0', '217.111.217.15', 3647985920, 3647985935, 'BE', 'Belgium'),
(167104, '217.111.217.16', '217.111.218.255', 3647985936, 3647986431, 'ES', 'Spain'),
(167105, '217.111.219.0', '217.111.219.255', 3647986432, 3647986687, 'FR', 'France'),
(167106, '217.111.220.0', '217.111.220.255', 3647986688, 3647986943, 'DE', 'Germany'),
(167107, '217.111.221.0', '217.111.221.7', 3647986944, 3647986951, 'ES', 'Spain'),
(167108, '217.111.221.8', '217.111.221.31', 3647986952, 3647986975, 'DE', 'Germany'),
(167109, '217.111.221.32', '217.111.221.127', 3647986976, 3647987071, 'ES', 'Spain'),
(167110, '217.111.221.128', '217.111.221.143', 3647987072, 3647987087, 'DE', 'Germany'),
(167111, '217.111.221.144', '217.111.221.175', 3647987088, 3647987119, 'ES', 'Spain'),
(167112, '217.111.221.176', '217.111.221.183', 3647987120, 3647987127, 'DE', 'Germany'),
(167113, '217.111.221.184', '217.111.221.239', 3647987128, 3647987183, 'ES', 'Spain'),
(167114, '217.111.221.240', '217.111.221.247', 3647987184, 3647987191, 'DE', 'Germany'),
(167115, '217.111.221.248', '217.111.221.255', 3647987192, 3647987199, 'ES', 'Spain'),
(167116, '217.111.222.0', '217.111.222.255', 3647987200, 3647987455, 'DE', 'Germany'),
(167117, '217.111.223.0', '217.111.223.31', 3647987456, 3647987487, 'ES', 'Spain'),
(167118, '217.111.223.32', '217.111.223.39', 3647987488, 3647987495, 'DE', 'Germany'),
(167119, '217.111.223.40', '217.111.223.71', 3647987496, 3647987527, 'ES', 'Spain'),
(167120, '217.111.223.72', '217.111.223.79', 3647987528, 3647987535, 'GB', 'United Kingdom'),
(167121, '217.111.223.80', '217.111.223.87', 3647987536, 3647987543, 'DE', 'Germany'),
(167122, '217.111.223.88', '217.111.223.151', 3647987544, 3647987607, 'ES', 'Spain'),
(167123, '217.111.223.152', '217.111.223.159', 3647987608, 3647987615, 'DE', 'Germany'),
(167124, '217.111.223.160', '217.111.223.255', 3647987616, 3647987711, 'ES', 'Spain'),
(167125, '217.111.224.0', '217.111.227.255', 3647987712, 3647988735, 'IT', 'Italy'),
(167126, '217.111.228.0', '217.111.231.255', 3647988736, 3647989759, 'BE', 'Belgium'),
(167127, '217.111.232.0', '217.111.233.255', 3647989760, 3647990271, 'DE', 'Germany'),
(167128, '217.111.234.0', '217.111.235.231', 3647990272, 3647990759, 'ES', 'Spain'),
(167129, '217.111.235.232', '217.111.235.239', 3647990760, 3647990767, 'IT', 'Italy'),
(167130, '217.111.235.240', '217.111.239.255', 3647990768, 3647991807, 'ES', 'Spain'),
(167131, '217.111.240.0', '217.111.247.255', 3647991808, 3647993855, 'DE', 'Germany'),
(167132, '217.111.248.0', '217.111.249.23', 3647993856, 3647994135, 'BE', 'Belgium'),
(167133, '217.111.249.24', '217.111.249.31', 3647994136, 3647994143, 'FR', 'France'),
(167134, '217.111.249.32', '217.111.249.143', 3647994144, 3647994255, 'BE', 'Belgium'),
(167135, '217.111.249.144', '217.111.249.151', 3647994256, 3647994263, 'FR', 'France'),
(167136, '217.111.249.152', '217.111.249.255', 3647994264, 3647994367, 'BE', 'Belgium'),
(167137, '217.111.250.0', '217.111.251.255', 3647994368, 3647994879, 'NR', 'Nauru'),
(167138, '217.111.252.0', '217.111.252.23', 3647994880, 3647994903, 'BE', 'Belgium'),
(167139, '217.111.252.24', '217.111.252.31', 3647994904, 3647994911, 'DE', 'Germany'),
(167140, '217.111.252.32', '217.111.253.255', 3647994912, 3647995391, 'BE', 'Belgium'),
(167141, '217.111.254.0', '217.111.255.255', 3647995392, 3647995903, 'DE', 'Germany'),
(167142, '217.112.0.0', '217.112.32.127', 3647995904, 3648004223, 'RU', 'Russian Federation'),
(167143, '217.112.32.128', '217.112.32.255', 3648004224, 3648004351, 'GB', 'United Kingdom'),
(167144, '217.112.33.0', '217.112.40.127', 3648004352, 3648006271, 'RU', 'Russian Federation'),
(167145, '217.112.40.128', '217.112.40.255', 3648006272, 3648006399, 'GB', 'United Kingdom'),
(167146, '217.112.41.0', '217.112.43.255', 3648006400, 3648007167, 'RU', 'Russian Federation'),
(167147, '217.112.44.0', '217.112.47.255', 3648007168, 3648008191, 'GB', 'United Kingdom'),
(167148, '217.112.48.0', '217.112.79.255', 3648008192, 3648016383, 'FR', 'France'),
(167149, '217.112.80.0', '217.112.95.255', 3648016384, 3648020479, 'GB', 'United Kingdom'),
(167150, '217.112.96.0', '217.112.111.255', 3648020480, 3648024575, 'IT', 'Italy'),
(167151, '217.112.112.0', '217.112.127.255', 3648024576, 3648028671, 'NL', 'Netherlands'),
(167152, '217.112.128.0', '217.112.143.255', 3648028672, 3648032767, 'HU', 'Hungary'),
(167153, '217.112.144.0', '217.112.145.63', 3648032768, 3648033087, 'IE', 'Ireland'),
(167154, '217.112.145.64', '217.112.145.79', 3648033088, 3648033103, 'EU', 'Europe'),
(167155, '217.112.145.80', '217.112.145.95', 3648033104, 3648033119, 'IE', 'Ireland'),
(167156, '217.112.145.96', '217.112.146.255', 3648033120, 3648033535, 'EU', 'Europe'),
(167157, '217.112.147.0', '217.112.147.255', 3648033536, 3648033791, 'IE', 'Ireland'),
(167158, '217.112.148.0', '217.112.148.255', 3648033792, 3648034047, 'EU', 'Europe'),
(167159, '217.112.149.0', '217.112.149.255', 3648034048, 3648034303, 'IE', 'Ireland'),
(167160, '217.112.150.0', '217.112.151.255', 3648034304, 3648034815, 'EU', 'Europe'),
(167161, '217.112.152.0', '217.112.152.31', 3648034816, 3648034847, 'DE', 'Germany'),
(167162, '217.112.152.32', '217.112.152.63', 3648034848, 3648034879, 'EU', 'Europe'),
(167163, '217.112.152.64', '217.112.152.79', 3648034880, 3648034895, 'IE', 'Ireland'),
(167164, '217.112.152.80', '217.112.152.127', 3648034896, 3648034943, 'EU', 'Europe'),
(167165, '217.112.152.128', '217.112.152.191', 3648034944, 3648035007, 'IE', 'Ireland'),
(167166, '217.112.152.192', '217.112.152.207', 3648035008, 3648035023, 'EU', 'Europe'),
(167167, '217.112.152.208', '217.112.152.223', 3648035024, 3648035039, 'IE', 'Ireland'),
(167168, '217.112.152.224', '217.112.152.255', 3648035040, 3648035071, 'NL', 'Netherlands'),
(167169, '217.112.153.0', '217.112.159.255', 3648035072, 3648036863, 'EU', 'Europe'),
(167170, '217.112.160.0', '217.112.175.255', 3648036864, 3648040959, 'CZ', 'Czech Republic'),
(167171, '217.112.176.0', '217.112.176.64', 3648040960, 3648041024, 'BE', 'Belgium'),
(167172, '217.112.176.65', '217.112.176.68', 3648041025, 3648041028, 'FR', 'France'),
(167173, '217.112.176.69', '217.112.176.87', 3648041029, 3648041047, 'BE', 'Belgium'),
(167174, '217.112.176.88', '217.112.176.95', 3648041048, 3648041055, 'NL', 'Netherlands'),
(167175, '217.112.176.96', '217.112.191.255', 3648041056, 3648045055, 'BE', 'Belgium'),
(167176, '217.112.192.0', '217.112.207.255', 3648045056, 3648049151, 'FI', 'Finland'),
(167177, '217.112.208.0', '217.112.223.255', 3648049152, 3648053247, 'UA', 'Ukraine'),
(167178, '217.112.224.0', '217.112.239.255', 3648053248, 3648057343, 'FR', 'France'),
(167179, '217.112.240.0', '217.112.255.255', 3648057344, 3648061439, 'FI', 'Finland'),
(167180, '217.113.0.0', '217.113.31.255', 3648061440, 3648069631, 'AM', 'Armenia'),
(167181, '217.113.32.0', '217.113.47.255', 3648069632, 3648073727, 'DE', 'Germany'),
(167182, '217.113.48.0', '217.113.63.255', 3648073728, 3648077823, 'HU', 'Hungary'),
(167183, '217.113.64.0', '217.113.64.255', 3648077824, 3648078079, 'BE', 'Belgium'),
(167184, '217.113.65.0', '217.113.65.255', 3648078080, 3648078335, 'CG', 'Congo'),
(167185, '217.113.66.0', '217.113.66.127', 3648078336, 3648078463, 'BE', 'Belgium'),
(167186, '217.113.66.128', '217.113.66.159', 3648078464, 3648078495, 'BF', 'Burkina Faso'),
(167187, '217.113.66.160', '217.113.66.191', 3648078496, 3648078527, 'BE', 'Belgium'),
(167188, '217.113.66.192', '217.113.66.255', 3648078528, 3648078591, 'BF', 'Burkina Faso'),
(167189, '217.113.67.0', '217.113.67.255', 3648078592, 3648078847, 'CG', 'Congo'),
(167190, '217.113.68.0', '217.113.73.255', 3648078848, 3648080383, 'BE', 'Belgium'),
(167191, '217.113.74.0', '217.113.74.127', 3648080384, 3648080511, 'TZ', 'Tanzania, United Republic of'),
(167192, '217.113.74.128', '217.113.74.159', 3648080512, 3648080543, 'BF', 'Burkina Faso'),
(167193, '217.113.74.160', '217.113.74.255', 3648080544, 3648080639, 'TZ', 'Tanzania, United Republic of'),
(167194, '217.113.75.0', '217.113.75.255', 3648080640, 3648080895, 'GA', 'Gabon'),
(167195, '217.113.76.0', '217.113.76.255', 3648080896, 3648081151, 'ZM', 'Zambia'),
(167196, '217.113.77.0', '217.113.77.255', 3648081152, 3648081407, 'BE', 'Belgium'),
(167197, '217.113.78.0', '217.113.80.255', 3648081408, 3648082175, 'MW', 'Malawi'),
(167198, '217.113.81.0', '217.113.81.63', 3648082176, 3648082239, 'BE', 'Belgium'),
(167199, '217.113.81.64', '217.113.81.135', 3648082240, 3648082311, 'NE', 'Niger'),
(167200, '217.113.81.136', '217.113.81.255', 3648082312, 3648082431, 'BE', 'Belgium'),
(167201, '217.113.82.0', '217.113.82.47', 3648082432, 3648082479, 'ZM', 'Zambia'),
(167202, '217.113.82.48', '217.113.88.255', 3648082480, 3648084223, 'BE', 'Belgium'),
(167203, '217.113.89.0', '217.113.89.255', 3648084224, 3648084479, 'CD', 'Congo, The Democratic Republic of the'),
(167204, '217.113.90.0', '217.113.91.255', 3648084480, 3648084991, 'BE', 'Belgium'),
(167205, '217.113.92.0', '217.113.94.255', 3648084992, 3648085759, 'GB', 'United Kingdom'),
(167206, '217.113.95.0', '217.113.95.255', 3648085760, 3648086015, 'ZM', 'Zambia'),
(167207, '217.113.96.0', '217.113.111.255', 3648086016, 3648090111, 'AT', 'Austria'),
(167208, '217.113.112.0', '217.113.127.255', 3648090112, 3648094207, 'RU', 'Russian Federation'),
(167209, '217.113.128.0', '217.113.159.255', 3648094208, 3648102399, 'PL', 'Poland'),
(167210, '217.113.160.0', '217.113.169.87', 3648102400, 3648104791, 'GB', 'United Kingdom'),
(167211, '217.113.169.88', '217.113.169.95', 3648104792, 3648104799, 'IE', 'Ireland'),
(167212, '217.113.169.96', '217.113.175.255', 3648104800, 3648106495, 'GB', 'United Kingdom'),
(167213, '217.113.176.0', '217.113.191.255', 3648106496, 3648110591, 'DE', 'Germany'),
(167214, '217.113.192.0', '217.113.207.255', 3648110592, 3648114687, 'FR', 'France'),
(167215, '217.113.208.0', '217.113.223.255', 3648114688, 3648118783, 'IT', 'Italy'),
(167216, '217.113.224.0', '217.113.239.255', 3648118784, 3648122879, 'PL', 'Poland'),
(167217, '217.113.240.0', '217.113.255.255', 3648122880, 3648126975, 'ES', 'Spain'),
(167218, '217.114.0.0', '217.114.47.255', 3648126976, 3648139263, 'RU', 'Russian Federation'),
(167219, '217.114.48.0', '217.114.63.255', 3648139264, 3648143359, 'GB', 'United Kingdom'),
(167220, '217.114.64.0', '217.114.79.255', 3648143360, 3648147455, 'DE', 'Germany'),
(167221, '217.114.80.0', '217.114.87.255', 3648147456, 3648149503, 'SE', 'Sweden'),
(167222, '217.114.88.0', '217.114.89.255', 3648149504, 3648150015, 'GB', 'United Kingdom'),
(167223, '217.114.90.0', '217.114.90.255', 3648150016, 3648150271, 'SE', 'Sweden'),
(167224, '217.114.91.0', '217.114.91.255', 3648150272, 3648150527, 'FI', 'Finland'),
(167225, '217.114.92.0', '217.114.92.255', 3648150528, 3648150783, 'DK', 'Denmark'),
(167226, '217.114.93.0', '217.114.93.255', 3648150784, 3648151039, 'NO', 'Norway'),
(167227, '217.114.94.0', '217.114.95.255', 3648151040, 3648151551, 'SE', 'Sweden'),
(167228, '217.114.96.0', '217.114.111.255', 3648151552, 3648155647, 'NL', 'Netherlands'),
(167229, '217.114.112.0', '217.114.127.255', 3648155648, 3648159743, 'CH', 'Switzerland'),
(167230, '217.114.128.0', '217.114.143.255', 3648159744, 3648163839, 'ES', 'Spain'),
(167231, '217.114.144.0', '217.114.159.255', 3648163840, 3648167935, 'RU', 'Russian Federation'),
(167232, '217.114.160.0', '217.114.175.255', 3648167936, 3648172031, 'IE', 'Ireland'),
(167233, '217.114.176.0', '217.114.191.255', 3648172032, 3648176127, 'RU', 'Russian Federation'),
(167234, '217.114.192.0', '217.114.201.255', 3648176128, 3648178687, 'FR', 'France'),
(167235, '217.114.202.0', '217.114.202.127', 3648178688, 3648178815, 'LU', 'Luxembourg'),
(167236, '217.114.202.128', '217.114.207.255', 3648178816, 3648180223, 'FR', 'France'),
(167237, '217.114.208.0', '217.114.209.255', 3648180224, 3648180735, 'DE', 'Germany'),
(167238, '217.114.210.0', '217.114.210.15', 3648180736, 3648180751, 'IT', 'Italy'),
(167239, '217.114.210.16', '217.114.210.31', 3648180752, 3648180767, 'DE', 'Germany'),
(167240, '217.114.210.32', '217.114.210.63', 3648180768, 3648180799, 'AT', 'Austria'),
(167241, '217.114.210.64', '217.114.210.255', 3648180800, 3648180991, 'DE', 'Germany'),
(167242, '217.114.211.0', '217.114.211.15', 3648180992, 3648181007, 'CY', 'Cyprus'),
(167243, '217.114.211.16', '217.114.211.31', 3648181008, 3648181023, 'DE', 'Germany'),
(167244, '217.114.211.32', '217.114.211.63', 3648181024, 3648181055, 'AT', 'Austria'),
(167245, '217.114.211.64', '217.114.211.71', 3648181056, 3648181063, 'DE', 'Germany'),
(167246, '217.114.211.72', '217.114.211.79', 3648181064, 3648181071, 'DK', 'Denmark'),
(167247, '217.114.211.80', '217.114.211.223', 3648181072, 3648181215, 'DE', 'Germany'),
(167248, '217.114.211.224', '217.114.211.239', 3648181216, 3648181231, 'RU', 'Russian Federation'),
(167249, '217.114.211.240', '217.114.211.255', 3648181232, 3648181247, 'DE', 'Germany'),
(167250, '217.114.212.0', '217.114.212.31', 3648181248, 3648181279, 'IT', 'Italy'),
(167251, '217.114.212.32', '217.114.212.63', 3648181280, 3648181311, 'DE', 'Germany'),
(167252, '217.114.212.64', '217.114.212.95', 3648181312, 3648181343, 'AT', 'Austria'),
(167253, '217.114.212.96', '217.114.212.127', 3648181344, 3648181375, 'DE', 'Germany'),
(167254, '217.114.212.128', '217.114.212.159', 3648181376, 3648181407, 'RU', 'Russian Federation'),
(167255, '217.114.212.160', '217.114.212.175', 3648181408, 3648181423, 'DE', 'Germany'),
(167256, '217.114.212.176', '217.114.212.191', 3648181424, 3648181439, 'CH', 'Switzerland'),
(167257, '217.114.212.192', '217.114.213.47', 3648181440, 3648181551, 'DE', 'Germany'),
(167258, '217.114.213.48', '217.114.213.63', 3648181552, 3648181567, 'RU', 'Russian Federation'),
(167259, '217.114.213.64', '217.114.213.127', 3648181568, 3648181631, 'DE', 'Germany'),
(167260, '217.114.213.128', '217.114.213.143', 3648181632, 3648181647, 'AT', 'Austria'),
(167261, '217.114.213.144', '217.114.214.127', 3648181648, 3648181887, 'DE', 'Germany'),
(167262, '217.114.214.128', '217.114.214.143', 3648181888, 3648181903, 'AT', 'Austria'),
(167263, '217.114.214.144', '217.114.215.63', 3648181904, 3648182079, 'DE', 'Germany'),
(167264, '217.114.215.64', '217.114.215.95', 3648182080, 3648182111, 'DK', 'Denmark'),
(167265, '217.114.215.96', '217.114.215.111', 3648182112, 3648182127, 'CY', 'Cyprus'),
(167266, '217.114.215.112', '217.114.215.127', 3648182128, 3648182143, 'DE', 'Germany'),
(167267, '217.114.215.128', '217.114.215.143', 3648182144, 3648182159, 'BR', 'Brazil'),
(167268, '217.114.215.144', '217.114.215.159', 3648182160, 3648182175, 'DE', 'Germany'),
(167269, '217.114.215.160', '217.114.215.191', 3648182176, 3648182207, 'RU', 'Russian Federation'),
(167270, '217.114.215.192', '217.114.215.255', 3648182208, 3648182271, 'GB', 'United Kingdom'),
(167271, '217.114.216.0', '217.114.216.31', 3648182272, 3648182303, 'CH', 'Switzerland'),
(167272, '217.114.216.32', '217.114.216.63', 3648182304, 3648182335, 'IT', 'Italy'),
(167273, '217.114.216.64', '217.114.217.63', 3648182336, 3648182591, 'DE', 'Germany'),
(167274, '217.114.217.64', '217.114.217.95', 3648182592, 3648182623, 'AT', 'Austria'),
(167275, '217.114.217.96', '217.114.217.127', 3648182624, 3648182655, 'CH', 'Switzerland'),
(167276, '217.114.217.128', '217.114.217.255', 3648182656, 3648182783, 'DE', 'Germany'),
(167277, '217.114.218.0', '217.114.218.15', 3648182784, 3648182799, 'IT', 'Italy'),
(167278, '217.114.218.16', '217.114.218.31', 3648182800, 3648182815, 'DE', 'Germany'),
(167279, '217.114.218.32', '217.114.218.39', 3648182816, 3648182823, 'US', 'United States'),
(167280, '217.114.218.40', '217.114.218.47', 3648182824, 3648182831, 'RU', 'Russian Federation'),
(167281, '217.114.218.48', '217.114.218.63', 3648182832, 3648182847, 'DE', 'Germany'),
(167282, '217.114.218.64', '217.114.218.95', 3648182848, 3648182879, 'AT', 'Austria'),
(167283, '217.114.218.96', '217.114.220.255', 3648182880, 3648183551, 'DE', 'Germany'),
(167284, '217.114.221.0', '217.114.221.127', 3648183552, 3648183679, 'BR', 'Brazil'),
(167285, '217.114.221.128', '217.114.221.255', 3648183680, 3648183807, 'DK', 'Denmark'),
(167286, '217.114.222.0', '217.114.222.63', 3648183808, 3648183871, 'DE', 'Germany'),
(167287, '217.114.222.64', '217.114.222.127', 3648183872, 3648183935, 'GB', 'United Kingdom'),
(167288, '217.114.222.128', '217.114.223.255', 3648183936, 3648184319, 'DE', 'Germany'),
(167289, '217.114.224.0', '217.114.255.255', 3648184320, 3648192511, 'RU', 'Russian Federation'),
(167290, '217.115.0.0', '217.115.15.255', 3648192512, 3648196607, 'DE', 'Germany'),
(167291, '217.115.16.0', '217.115.31.255', 3648196608, 3648200703, 'IT', 'Italy'),
(167292, '217.115.32.0', '217.115.62.95', 3648200704, 3648208479, 'SE', 'Sweden'),
(167293, '217.115.62.96', '217.115.62.127', 3648208480, 3648208511, 'DK', 'Denmark'),
(167294, '217.115.62.128', '217.115.63.255', 3648208512, 3648208895, 'SE', 'Sweden'),
(167295, '217.115.64.0', '217.115.66.255', 3648208896, 3648209663, 'DE', 'Germany'),
(167296, '217.115.67.0', '217.115.67.255', 3648209664, 3648209919, 'EU', 'Europe'),
(167297, '217.115.68.0', '217.115.79.255', 3648209920, 3648212991, 'DE', 'Germany'),
(167298, '217.115.80.0', '217.115.95.255', 3648212992, 3648217087, 'RU', 'Russian Federation'),
(167299, '217.115.96.0', '217.115.111.255', 3648217088, 3648221183, 'UA', 'Ukraine'),
(167300, '217.115.112.0', '217.115.127.255', 3648221184, 3648225279, 'IE', 'Ireland'),
(167301, '217.115.128.0', '217.115.151.95', 3648225280, 3648231263, 'DE', 'Germany'),
(167302, '217.115.151.96', '217.115.151.127', 3648231264, 3648231295, 'NL', 'Netherlands'),
(167303, '217.115.151.128', '217.115.159.255', 3648231296, 3648233471, 'DE', 'Germany'),
(167304, '217.115.160.0', '217.115.172.123', 3648233472, 3648236667, 'FR', 'France'),
(167305, '217.115.172.124', '217.115.172.124', 3648236668, 3648236668, 'GB', 'United Kingdom'),
(167306, '217.115.172.125', '217.115.172.125', 3648236669, 3648236669, 'NL', 'Netherlands'),
(167307, '217.115.172.126', '217.115.172.126', 3648236670, 3648236670, 'DE', 'Germany'),
(167308, '217.115.172.127', '217.115.172.127', 3648236671, 3648236671, 'SE', 'Sweden'),
(167309, '217.115.172.128', '217.115.175.255', 3648236672, 3648237567, 'FR', 'France'),
(167310, '217.115.176.0', '217.115.191.255', 3648237568, 3648241663, 'RU', 'Russian Federation'),
(167311, '217.115.192.0', '217.115.207.255', 3648241664, 3648245759, 'NL', 'Netherlands'),
(167312, '217.115.208.0', '217.115.223.255', 3648245760, 3648249855, 'RO', 'Romania'),
(167313, '217.115.224.0', '217.115.239.255', 3648249856, 3648253951, 'NL', 'Netherlands'),
(167314, '217.115.240.0', '217.115.255.255', 3648253952, 3648258047, 'CZ', 'Czech Republic'),
(167315, '217.116.0.0', '217.116.31.255', 3648258048, 3648266239, 'ES', 'Spain'),
(167316, '217.116.32.0', '217.116.47.255', 3648266240, 3648270335, 'HU', 'Hungary'),
(167317, '217.116.48.0', '217.116.63.255', 3648270336, 3648274431, 'RU', 'Russian Federation'),
(167318, '217.116.64.0', '217.116.79.255', 3648274432, 3648278527, 'AT', 'Austria'),
(167319, '217.116.80.0', '217.116.95.255', 3648278528, 3648282623, 'NO', 'Norway'),
(167320, '217.116.96.0', '217.116.111.255', 3648282624, 3648286719, 'PL', 'Poland'),
(167321, '217.116.112.0', '217.116.127.255', 3648286720, 3648290815, 'DE', 'Germany'),
(167322, '217.116.128.0', '217.116.159.255', 3648290816, 3648299007, 'RU', 'Russian Federation'),
(167323, '217.116.160.0', '217.116.175.255', 3648299008, 3648303103, 'FI', 'Finland'),
(167324, '217.116.176.0', '217.116.191.255', 3648303104, 3648307199, 'AT', 'Austria'),
(167325, '217.116.192.0', '217.116.207.255', 3648307200, 3648311295, 'TR', 'Turkey'),
(167326, '217.116.208.0', '217.116.224.223', 3648311296, 3648315615, 'DK', 'Denmark'),
(167327, '217.116.224.224', '217.116.224.239', 3648315616, 3648315631, 'CA', 'Canada'),
(167328, '217.116.224.240', '217.116.226.175', 3648315632, 3648316079, 'DK', 'Denmark'),
(167329, '217.116.226.176', '217.116.226.183', 3648316080, 3648316087, 'SE', 'Sweden'),
(167330, '217.116.226.184', '217.116.227.255', 3648316088, 3648316415, 'DK', 'Denmark'),
(167331, '217.116.228.0', '217.116.228.255', 3648316416, 3648316671, 'NL', 'Netherlands'),
(167332, '217.116.229.0', '217.116.231.63', 3648316672, 3648317247, 'DK', 'Denmark'),
(167333, '217.116.231.64', '217.116.231.79', 3648317248, 3648317263, 'CA', 'Canada'),
(167334, '217.116.231.80', '217.116.240.39', 3648317264, 3648319527, 'DK', 'Denmark'),
(167335, '217.116.240.40', '217.116.240.47', 3648319528, 3648319535, 'CH', 'Switzerland'),
(167336, '217.116.240.48', '217.116.248.95', 3648319536, 3648321631, 'DK', 'Denmark'),
(167337, '217.116.248.96', '217.116.248.103', 3648321632, 3648321639, 'CA', 'Canada'),
(167338, '217.116.248.104', '217.116.249.31', 3648321640, 3648321823, 'DK', 'Denmark'),
(167339, '217.116.249.32', '217.116.249.47', 3648321824, 3648321839, 'GB', 'United Kingdom'),
(167340, '217.116.249.48', '217.116.255.255', 3648321840, 3648323583, 'DK', 'Denmark'),
(167341, '217.117.0.0', '217.117.15.255', 3648323584, 3648327679, 'NG', 'Nigeria'),
(167342, '217.117.16.0', '217.117.31.255', 3648327680, 3648331775, 'LT', 'Lithuania'),
(167343, '217.117.32.0', '217.117.63.255', 3648331776, 3648339967, 'BE', 'Belgium'),
(167344, '217.117.64.0', '217.117.79.255', 3648339968, 3648344063, 'UA', 'Ukraine'),
(167345, '217.117.80.0', '217.117.95.255', 3648344064, 3648348159, 'RU', 'Russian Federation'),
(167346, '217.117.96.0', '217.117.111.255', 3648348160, 3648352255, 'DE', 'Germany'),
(167347, '217.117.112.0', '217.117.127.255', 3648352256, 3648356351, 'RU', 'Russian Federation'),
(167348, '217.117.128.0', '217.117.143.255', 3648356352, 3648360447, 'PL', 'Poland'),
(167349, '217.117.144.0', '217.117.151.11', 3648360448, 3648362251, 'FR', 'France'),
(167350, '217.117.151.12', '217.117.151.15', 3648362252, 3648362255, 'GB', 'United Kingdom'),
(167351, '217.117.151.16', '217.117.151.23', 3648362256, 3648362263, 'FR', 'France'),
(167352, '217.117.151.24', '217.117.151.31', 3648362264, 3648362271, 'GB', 'United Kingdom'),
(167353, '217.117.151.32', '217.117.159.255', 3648362272, 3648364543, 'FR', 'France'),
(167354, '217.117.160.0', '217.117.175.255', 3648364544, 3648368639, 'CH', 'Switzerland'),
(167355, '217.117.176.0', '217.117.191.255', 3648368640, 3648372735, 'RU', 'Russian Federation'),
(167356, '217.117.192.0', '217.117.207.255', 3648372736, 3648376831, 'LU', 'Luxembourg'),
(167357, '217.117.208.0', '217.117.223.255', 3648376832, 3648380927, 'CZ', 'Czech Republic'),
(167358, '217.117.224.0', '217.117.224.255', 3648380928, 3648381183, 'EU', 'Europe'),
(167359, '217.117.225.0', '217.117.239.255', 3648381184, 3648385023, 'NL', 'Netherlands'),
(167360, '217.117.240.0', '217.117.255.255', 3648385024, 3648389119, 'RU', 'Russian Federation'),
(167361, '217.118.0.0', '217.118.15.255', 3648389120, 3648393215, 'IT', 'Italy'),
(167362, '217.118.16.0', '217.118.31.255', 3648393216, 3648397311, 'DE', 'Germany'),
(167363, '217.118.32.0', '217.118.63.255', 3648397312, 3648405503, 'NO', 'Norway'),
(167364, '217.118.64.0', '217.118.95.255', 3648405504, 3648413695, 'RU', 'Russian Federation'),
(167365, '217.118.96.0', '217.118.111.255', 3648413696, 3648417791, 'SK', 'Slovakia'),
(167366, '217.118.112.0', '217.118.112.15', 3648417792, 3648417807, 'AT', 'Austria'),
(167367, '217.118.112.16', '217.118.112.23', 3648417808, 3648417815, 'GB', 'United Kingdom'),
(167368, '217.118.112.24', '217.118.112.39', 3648417816, 3648417831, 'AT', 'Austria'),
(167369, '217.118.112.40', '217.118.112.47', 3648417832, 3648417839, 'GB', 'United Kingdom'),
(167370, '217.118.112.48', '217.118.112.63', 3648417840, 3648417855, 'AT', 'Austria'),
(167371, '217.118.112.64', '217.118.112.127', 3648417856, 3648417919, 'GB', 'United Kingdom'),
(167372, '217.118.112.128', '217.118.112.255', 3648417920, 3648418047, 'AT', 'Austria'),
(167373, '217.118.113.0', '217.118.113.31', 3648418048, 3648418079, 'GB', 'United Kingdom'),
(167374, '217.118.113.32', '217.118.113.63', 3648418080, 3648418111, 'ES', 'Spain'),
(167375, '217.118.113.64', '217.118.113.79', 3648418112, 3648418127, 'GB', 'United Kingdom'),
(167376, '217.118.113.80', '217.118.113.199', 3648418128, 3648418247, 'ES', 'Spain'),
(167377, '217.118.113.200', '217.118.113.207', 3648418248, 3648418255, 'CH', 'Switzerland'),
(167378, '217.118.113.208', '217.118.113.223', 3648418256, 3648418271, 'GB', 'United Kingdom'),
(167379, '217.118.113.224', '217.118.113.255', 3648418272, 3648418303, 'ES', 'Spain'),
(167380, '217.118.114.0', '217.118.117.255', 3648418304, 3648419327, 'GB', 'United Kingdom'),
(167381, '217.118.118.0', '217.118.118.127', 3648419328, 3648419455, 'FR', 'France'),
(167382, '217.118.118.128', '217.118.118.191', 3648419456, 3648419519, 'IT', 'Italy'),
(167383, '217.118.118.192', '217.118.118.255', 3648419520, 3648419583, 'ES', 'Spain'),
(167384, '217.118.119.0', '217.118.119.255', 3648419584, 3648419839, 'GB', 'United Kingdom'),
(167385, '217.118.120.0', '217.118.120.61', 3648419840, 3648419901, 'BE', 'Belgium'),
(167386, '217.118.120.62', '217.118.120.63', 3648419902, 3648419903, 'GB', 'United Kingdom'),
(167387, '217.118.120.64', '217.118.120.127', 3648419904, 3648419967, 'BE', 'Belgium'),
(167388, '217.118.120.128', '217.118.120.255', 3648419968, 3648420095, 'GB', 'United Kingdom'),
(167389, '217.118.121.0', '217.118.121.255', 3648420096, 3648420351, 'NL', 'Netherlands'),
(167390, '217.118.122.0', '217.118.123.255', 3648420352, 3648420863, 'GB', 'United Kingdom'),
(167391, '217.118.124.0', '217.118.124.255', 3648420864, 3648421119, 'US', 'United States'),
(167392, '217.118.125.0', '217.118.125.255', 3648421120, 3648421375, 'GB', 'United Kingdom'),
(167393, '217.118.126.0', '217.118.126.255', 3648421376, 3648421631, 'DE', 'Germany'),
(167394, '217.118.127.0', '217.118.127.255', 3648421632, 3648421887, 'CH', 'Switzerland'),
(167395, '217.118.128.0', '217.118.143.255', 3648421888, 3648425983, 'GB', 'United Kingdom'),
(167396, '217.118.144.0', '217.118.159.255', 3648425984, 3648430079, 'IT', 'Italy'),
(167397, '217.118.160.0', '217.118.167.255', 3648430080, 3648432127, 'NL', 'Netherlands'),
(167398, '217.118.168.0', '217.118.171.255', 3648432128, 3648433151, 'DE', 'Germany'),
(167399, '217.118.172.0', '217.118.175.255', 3648433152, 3648434175, 'NL', 'Netherlands'),
(167400, '217.118.176.0', '217.118.191.255', 3648434176, 3648438271, 'RU', 'Russian Federation'),
(167401, '217.118.192.0', '217.118.207.255', 3648438272, 3648442367, 'CH', 'Switzerland'),
(167402, '217.118.208.0', '217.118.223.255', 3648442368, 3648446463, 'SE', 'Sweden'),
(167403, '217.118.224.0', '217.118.226.79', 3648446464, 3648447055, 'FR', 'France'),
(167404, '217.118.226.80', '217.118.226.87', 3648447056, 3648447063, 'ES', 'Spain'),
(167405, '217.118.226.88', '217.118.234.95', 3648447064, 3648449119, 'FR', 'France'),
(167406, '217.118.234.96', '217.118.234.111', 3648449120, 3648449135, 'ES', 'Spain'),
(167407, '217.118.234.112', '217.118.239.255', 3648449136, 3648450559, 'FR', 'France'),
(167408, '217.118.240.0', '217.118.255.255', 3648450560, 3648454655, 'IT', 'Italy'),
(167409, '217.119.0.0', '217.119.15.255', 3648454656, 3648458751, 'NL', 'Netherlands'),
(167410, '217.119.16.0', '217.119.31.255', 3648458752, 3648462847, 'RU', 'Russian Federation'),
(167411, '217.119.32.0', '217.119.47.255', 3648462848, 3648466943, 'FI', 'Finland'),
(167412, '217.119.48.0', '217.119.57.47', 3648466944, 3648469295, 'DE', 'Germany'),
(167413, '217.119.57.48', '217.119.57.63', 3648469296, 3648469311, 'AT', 'Austria'),
(167414, '217.119.57.64', '217.119.63.255', 3648469312, 3648471039, 'DE', 'Germany'),
(167415, '217.119.64.0', '217.119.79.255', 3648471040, 3648475135, 'PL', 'Poland'),
(167416, '217.119.80.0', '217.119.95.255', 3648475136, 3648479231, 'RU', 'Russian Federation'),
(167417, '217.119.96.0', '217.119.111.255', 3648479232, 3648483327, 'CH', 'Switzerland'),
(167418, '217.119.112.0', '217.119.127.255', 3648483328, 3648487423, 'SK', 'Slovakia'),
(167419, '217.119.128.0', '217.119.143.255', 3648487424, 3648491519, 'FR', 'France'),
(167420, '217.119.144.0', '217.119.159.255', 3648491520, 3648495615, 'CH', 'Switzerland'),
(167421, '217.119.160.0', '217.119.175.255', 3648495616, 3648499711, 'SE', 'Sweden'),
(167422, '217.119.176.0', '217.119.191.255', 3648499712, 3648503807, 'FR', 'France'),
(167423, '217.119.192.0', '217.119.223.255', 3648503808, 3648511999, 'DE', 'Germany'),
(167424, '217.119.224.0', '217.119.239.255', 3648512000, 3648516095, 'NL', 'Netherlands'),
(167425, '217.119.240.0', '217.119.255.255', 3648516096, 3648520191, 'RS', 'Serbia'),
(167426, '217.120.0.0', '217.123.255.255', 3648520192, 3648782335, 'NL', 'Netherlands'),
(167427, '217.124.0.0', '217.127.255.255', 3648782336, 3649044479, 'ES', 'Spain'),
(167428, '217.128.0.0', '217.128.255.255', 3649044480, 3649110015, 'FR', 'France'),
(167429, '217.129.0.0', '217.129.255.255', 3649110016, 3649175551, 'PT', 'Portugal'),
(167430, '217.130.0.0', '217.130.255.255', 3649175552, 3649241087, 'ES', 'Spain'),
(167431, '217.131.0.0', '217.131.255.255', 3649241088, 3649306623, 'TR', 'Turkey'),
(167432, '217.132.0.0', '217.132.255.255', 3649306624, 3649372159, 'IL', 'Israel'),
(167433, '217.133.0.0', '217.133.255.255', 3649372160, 3649437695, 'IT', 'Italy'),
(167434, '217.134.0.0', '217.135.34.255', 3649437696, 3649512191, 'GB', 'United Kingdom'),
(167435, '217.135.35.0', '217.135.35.255', 3649512192, 3649512447, 'FR', 'France'),
(167436, '217.135.36.0', '217.135.255.255', 3649512448, 3649568767, 'GB', 'United Kingdom'),
(167437, '217.136.0.0', '217.136.255.255', 3649568768, 3649634303, 'BE', 'Belgium'),
(167438, '217.137.0.0', '217.138.1.63', 3649634304, 3649700159, 'GB', 'United Kingdom'),
(167439, '217.138.1.64', '217.138.1.151', 3649700160, 3649700247, 'US', 'United States'),
(167440, '217.138.1.152', '217.138.1.155', 3649700248, 3649700251, 'BB', 'Barbados'),
(167441, '217.138.1.156', '217.138.1.191', 3649700252, 3649700287, 'US', 'United States'),
(167442, '217.138.1.192', '217.138.3.255', 3649700288, 3649700863, 'GB', 'United Kingdom'),
(167443, '217.138.4.0', '217.138.4.255', 3649700864, 3649701119, 'US', 'United States'),
(167444, '217.138.5.0', '217.138.34.247', 3649701120, 3649708791, 'GB', 'United Kingdom'),
(167445, '217.138.34.248', '217.138.35.255', 3649708792, 3649709055, 'GD', 'Grenada'),
(167446, '217.138.36.0', '217.138.36.231', 3649709056, 3649709287, 'GB', 'United Kingdom'),
(167447, '217.138.36.232', '217.138.36.239', 3649709288, 3649709295, 'BB', 'Barbados'),
(167448, '217.138.36.240', '217.138.36.255', 3649709296, 3649709311, 'AG', 'Antigua and Barbuda'),
(167449, '217.138.37.0', '217.138.38.247', 3649709312, 3649709815, 'GB', 'United Kingdom'),
(167450, '217.138.38.248', '217.138.38.255', 3649709816, 3649709823, 'TT', 'Trinidad and Tobago'),
(167451, '217.138.39.0', '217.138.255.255', 3649709824, 3649765375, 'GB', 'United Kingdom'),
(167452, '217.139.0.0', '217.139.255.255', 3649765376, 3649830911, 'EG', 'Egypt'),
(167453, '217.140.0.0', '217.140.0.255', 3649830912, 3649831167, 'NL', 'Netherlands'),
(167454, '217.140.1.0', '217.140.1.255', 3649831168, 3649831423, 'EU', 'Europe'),
(167455, '217.140.2.0', '217.140.15.255', 3649831424, 3649835007, 'NL', 'Netherlands'),
(167456, '217.140.16.0', '217.140.27.255', 3649835008, 3649838079, 'ES', 'Spain'),
(167457, '217.140.28.0', '217.140.31.255', 3649838080, 3649839103, 'NL', 'Netherlands'),
(167458, '217.140.32.0', '217.140.35.255', 3649839104, 3649840127, 'GB', 'United Kingdom'),
(167459, '217.140.36.0', '217.140.36.255', 3649840128, 3649840383, 'NL', 'Netherlands'),
(167460, '217.140.37.0', '217.140.48.255', 3649840384, 3649843455, 'GB', 'United Kingdom'),
(167461, '217.140.49.0', '217.140.55.255', 3649843456, 3649845247, 'NL', 'Netherlands'),
(167462, '217.140.56.0', '217.140.57.255', 3649845248, 3649845759, 'GB', 'United Kingdom'),
(167463, '217.140.58.0', '217.140.62.255', 3649845760, 3649847039, 'NL', 'Netherlands'),
(167464, '217.140.63.0', '217.140.63.255', 3649847040, 3649847295, 'GB', 'United Kingdom'),
(167465, '217.140.64.0', '217.140.67.255', 3649847296, 3649848319, 'NL', 'Netherlands'),
(167466, '217.140.68.0', '217.140.95.255', 3649848320, 3649855487, 'DE', 'Germany'),
(167467, '217.140.96.0', '217.140.99.255', 3649855488, 3649856511, 'GB', 'United Kingdom'),
(167468, '217.140.100.0', '217.140.103.255', 3649856512, 3649857535, 'US', 'United States'),
(167469, '217.140.104.0', '217.140.105.255', 3649857536, 3649858047, 'JP', 'Japan'),
(167470, '217.140.106.0', '217.140.109.255', 3649858048, 3649859071, 'GB', 'United Kingdom'),
(167471, '217.140.110.0', '217.140.111.255', 3649859072, 3649859583, 'US', 'United States'),
(167472, '217.140.112.0', '217.140.127.255', 3649859584, 3649863679, 'SE', 'Sweden'),
(167473, '217.140.128.0', '217.140.255.255', 3649863680, 3649896447, 'FI', 'Finland'),
(167474, '217.141.0.0', '217.141.211.255', 3649896448, 3649950719, 'IT', 'Italy'),
(167475, '217.141.212.0', '217.141.212.255', 3649950720, 3649950975, 'US', 'United States'),
(167476, '217.141.213.0', '217.141.255.255', 3649950976, 3649961983, 'IT', 'Italy'),
(167477, '217.142.0.0', '217.143.255.255', 3649961984, 3650093055, 'SE', 'Sweden'),
(167478, '217.144.0.0', '217.144.15.255', 3650093056, 3650097151, 'JO', 'Jordan'),
(167479, '217.144.16.0', '217.144.31.255', 3650097152, 3650101247, 'SK', 'Slovakia'),
(167480, '217.144.32.0', '217.144.47.255', 3650101248, 3650105343, 'DE', 'Germany'),
(167481, '217.144.48.0', '217.144.63.255', 3650105344, 3650109439, 'HU', 'Hungary'),
(167482, '217.144.64.0', '217.144.79.255', 3650109440, 3650113535, 'NO', 'Norway'),
(167483, '217.144.80.0', '217.144.95.255', 3650113536, 3650117631, 'GB', 'United Kingdom'),
(167484, '217.144.96.0', '217.144.111.255', 3650117632, 3650121727, 'RU', 'Russian Federation'),
(167485, '217.144.112.0', '217.144.127.255', 3650121728, 3650125823, 'FR', 'France'),
(167486, '217.144.128.0', '217.144.143.255', 3650125824, 3650129919, 'DE', 'Germany'),
(167487, '217.144.144.0', '217.144.159.255', 3650129920, 3650134015, 'GB', 'United Kingdom'),
(167488, '217.144.160.0', '217.144.191.255', 3650134016, 3650142207, 'RU', 'Russian Federation'),
(167489, '217.144.192.0', '217.144.223.255', 3650142208, 3650150399, 'PL', 'Poland'),
(167490, '217.144.224.0', '217.144.242.255', 3650150400, 3650155263, 'NO', 'Norway'),
(167491, '217.144.243.0', '217.144.243.255', 3650155264, 3650155519, 'EU', 'Europe'),
(167492, '217.144.244.0', '217.144.255.255', 3650155520, 3650158591, 'NO', 'Norway'),
(167493, '217.145.0.0', '217.145.15.255', 3650158592, 3650162687, 'MT', 'Malta'),
(167494, '217.145.16.0', '217.145.31.255', 3650162688, 3650166783, 'RU', 'Russian Federation'),
(167495, '217.145.32.0', '217.145.35.255', 3650166784, 3650167807, 'BE', 'Belgium'),
(167496, '217.145.36.0', '217.145.36.255', 3650167808, 3650168063, 'LU', 'Luxembourg'),
(167497, '217.145.37.0', '217.145.47.255', 3650168064, 3650170879, 'BE', 'Belgium'),
(167498, '217.145.48.0', '217.145.63.255', 3650170880, 3650174975, 'DK', 'Denmark'),
(167499, '217.145.64.0', '217.145.79.255', 3650174976, 3650179071, 'GB', 'United Kingdom'),
(167500, '217.145.80.0', '217.145.95.255', 3650179072, 3650183167, 'BG', 'Bulgaria'),
(167501, '217.145.96.0', '217.145.111.255', 3650183168, 3650187263, 'DE', 'Germany'),
(167502, '217.145.112.0', '217.145.143.255', 3650187264, 3650195455, 'GB', 'United Kingdom'),
(167503, '217.145.144.0', '217.145.159.255', 3650195456, 3650199551, 'RU', 'Russian Federation'),
(167504, '217.145.160.0', '217.145.175.255', 3650199552, 3650203647, 'BG', 'Bulgaria'),
(167505, '217.145.176.0', '217.145.191.255', 3650203648, 3650207743, 'ES', 'Spain'),
(167506, '217.145.192.0', '217.145.207.255', 3650207744, 3650211839, 'SK', 'Slovakia'),
(167507, '217.145.208.0', '217.145.223.255', 3650211840, 3650215935, 'LV', 'Latvia'),
(167508, '217.145.224.0', '217.145.239.255', 3650215936, 3650220031, 'GB', 'United Kingdom'),
(167509, '217.145.240.0', '217.145.255.255', 3650220032, 3650224127, 'SA', 'Saudi Arabia'),
(167510, '217.146.0.0', '217.146.15.255', 3650224128, 3650228223, 'A2', 'Satellite Provider'),
(167511, '217.146.16.0', '217.146.17.255', 3650228224, 3650228735, 'US', 'United States'),
(167512, '217.146.18.0', '217.146.18.255', 3650228736, 3650228991, 'A2', 'Satellite Provider'),
(167513, '217.146.19.0', '217.146.31.255', 3650228992, 3650232319, 'US', 'United States'),
(167514, '217.146.32.0', '217.146.35.255', 3650232320, 3650233343, 'RU', 'Russian Federation'),
(167515, '217.146.36.0', '217.146.36.255', 3650233344, 3650233599, 'CY', 'Cyprus'),
(167516, '217.146.37.0', '217.146.47.255', 3650233600, 3650236415, 'RU', 'Russian Federation'),
(167517, '217.146.48.0', '217.146.63.255', 3650236416, 3650240511, 'CH', 'Switzerland'),
(167518, '217.146.64.0', '217.146.79.255', 3650240512, 3650244607, 'EE', 'Estonia'),
(167519, '217.146.80.0', '217.146.127.255', 3650244608, 3650256895, 'GB', 'United Kingdom'),
(167520, '217.146.128.0', '217.146.159.255', 3650256896, 3650265087, 'DE', 'Germany'),
(167521, '217.146.160.0', '217.146.161.215', 3650265088, 3650265559, 'CH', 'Switzerland'),
(167522, '217.146.161.216', '217.146.161.227', 3650265560, 3650265571, 'DE', 'Germany'),
(167523, '217.146.161.228', '217.146.175.255', 3650265572, 3650269183, 'CH', 'Switzerland'),
(167524, '217.146.176.0', '217.146.191.47', 3650269184, 3650273071, 'GB', 'United Kingdom'),
(167525, '217.146.191.48', '217.146.191.255', 3650273072, 3650273279, 'IR', 'Iran, Islamic Republic of'),
(167526, '217.146.192.0', '217.146.207.255', 3650273280, 3650277375, 'IT', 'Italy'),
(167527, '217.146.208.0', '217.146.223.255', 3650277376, 3650281471, 'IR', 'Iran, Islamic Republic of'),
(167528, '217.146.224.0', '217.146.239.255', 3650281472, 3650285567, 'FR', 'France'),
(167529, '217.146.240.0', '217.146.255.255', 3650285568, 3650289663, 'UA', 'Ukraine'),
(167530, '217.147.0.0', '217.147.31.255', 3650289664, 3650297855, 'RU', 'Russian Federation'),
(167531, '217.147.32.0', '217.147.47.255', 3650297856, 3650301951, 'LT', 'Lithuania'),
(167532, '217.147.48.0', '217.147.66.215', 3650301952, 3650306775, 'DE', 'Germany'),
(167533, '217.147.66.216', '217.147.66.219', 3650306776, 3650306779, 'GE', 'Georgia'),
(167534, '217.147.66.220', '217.147.67.191', 3650306780, 3650307007, 'DE', 'Germany'),
(167535, '217.147.67.192', '217.147.67.194', 3650307008, 3650307010, 'GB', 'United Kingdom'),
(167536, '217.147.67.195', '217.147.79.255', 3650307011, 3650310143, 'DE', 'Germany'),
(167537, '217.147.80.0', '217.147.95.255', 3650310144, 3650314239, 'GB', 'United Kingdom'),
(167538, '217.147.96.0', '217.147.100.7', 3650314240, 3650315271, 'DE', 'Germany'),
(167539, '217.147.100.8', '217.147.100.8', 3650315272, 3650315272, 'BE', 'Belgium'),
(167540, '217.147.100.9', '217.147.103.255', 3650315273, 3650316287, 'DE', 'Germany'),
(167541, '217.147.104.0', '217.147.104.255', 3650316288, 3650316543, 'EU', 'Europe'),
(167542, '217.147.105.0', '217.147.105.167', 3650316544, 3650316711, 'DE', 'Germany'),
(167543, '217.147.105.168', '217.147.105.171', 3650316712, 3650316715, 'FR', 'France'),
(167544, '217.147.105.172', '217.147.111.255', 3650316716, 3650318335, 'DE', 'Germany'),
(167545, '217.147.112.0', '217.147.119.255', 3650318336, 3650320383, 'GI', 'Gibraltar'),
(167546, '217.147.120.0', '217.147.127.255', 3650320384, 3650322431, 'GB', 'United Kingdom'),
(167547, '217.147.128.0', '217.147.131.127', 3650322432, 3650323327, 'IT', 'Italy'),
(167548, '217.147.131.128', '217.147.131.159', 3650323328, 3650323359, 'SZ', 'Swaziland'),
(167549, '217.147.131.160', '217.147.159.255', 3650323360, 3650330623, 'IT', 'Italy'),
(167550, '217.147.160.0', '217.147.175.255', 3650330624, 3650334719, 'UA', 'Ukraine'),
(167551, '217.147.176.0', '217.147.191.255', 3650334720, 3650338815, 'GB', 'United Kingdom'),
(167552, '217.147.192.0', '217.147.207.255', 3650338816, 3650342911, 'FR', 'France'),
(167553, '217.147.208.0', '217.147.214.15', 3650342912, 3650344463, 'CH', 'Switzerland'),
(167554, '217.147.214.16', '217.147.214.31', 3650344464, 3650344479, 'AT', 'Austria'),
(167555, '217.147.214.32', '217.147.214.111', 3650344480, 3650344559, 'CH', 'Switzerland'),
(167556, '217.147.214.112', '217.147.214.127', 3650344560, 3650344575, 'AT', 'Austria'),
(167557, '217.147.214.128', '217.147.215.175', 3650344576, 3650344879, 'CH', 'Switzerland'),
(167558, '217.147.215.176', '217.147.215.207', 3650344880, 3650344911, 'PT', 'Portugal'),
(167559, '217.147.215.208', '217.147.219.159', 3650344912, 3650345887, 'CH', 'Switzerland'),
(167560, '217.147.219.160', '217.147.219.175', 3650345888, 3650345903, 'AT', 'Austria'),
(167561, '217.147.219.176', '217.147.219.207', 3650345904, 3650345935, 'CH', 'Switzerland'),
(167562, '217.147.219.208', '217.147.219.223', 3650345936, 3650345951, 'PT', 'Portugal'),
(167563, '217.147.219.224', '217.147.220.223', 3650345952, 3650346207, 'CH', 'Switzerland'),
(167564, '217.147.220.224', '217.147.220.255', 3650346208, 3650346239, 'IM', 'Isle of Man'),
(167565, '217.147.221.0', '217.147.223.255', 3650346240, 3650347007, 'CH', 'Switzerland'),
(167566, '217.147.224.0', '217.147.239.255', 3650347008, 3650351103, 'GE', 'Georgia'),
(167567, '217.147.240.0', '217.147.242.255', 3650351104, 3650351871, 'GB', 'United Kingdom'),
(167568, '217.147.243.0', '217.147.243.7', 3650351872, 3650351879, 'NL', 'Netherlands'),
(167569, '217.147.243.8', '217.147.243.15', 3650351880, 3650351887, 'IT', 'Italy'),
(167570, '217.147.243.16', '217.147.243.31', 3650351888, 3650351903, 'GB', 'United Kingdom'),
(167571, '217.147.243.32', '217.147.243.39', 3650351904, 3650351911, 'FR', 'France'),
(167572, '217.147.243.40', '217.147.243.47', 3650351912, 3650351919, 'SE', 'Sweden'),
(167573, '217.147.243.48', '217.147.243.55', 3650351920, 3650351927, 'DK', 'Denmark'),
(167574, '217.147.243.56', '217.147.243.63', 3650351928, 3650351935, 'DE', 'Germany'),
(167575, '217.147.243.64', '217.147.243.71', 3650351936, 3650351943, 'PL', 'Poland'),
(167576, '217.147.243.72', '217.147.243.79', 3650351944, 3650351951, 'ES', 'Spain'),
(167577, '217.147.243.80', '217.147.243.87', 3650351952, 3650351959, 'BE', 'Belgium'),
(167578, '217.147.243.88', '217.147.243.95', 3650351960, 3650351967, 'ZA', 'South Africa'),
(167579, '217.147.243.96', '217.147.243.103', 3650351968, 3650351975, 'PT', 'Portugal'),
(167580, '217.147.243.104', '217.147.243.111', 3650351976, 3650351983, 'FI', 'Finland'),
(167581, '217.147.243.112', '217.147.243.119', 3650351984, 3650351991, 'NO', 'Norway'),
(167582, '217.147.243.120', '217.147.243.127', 3650351992, 3650351999, 'HU', 'Hungary'),
(167583, '217.147.243.128', '217.147.243.135', 3650352000, 3650352007, 'GB', 'United Kingdom'),
(167584, '217.147.243.136', '217.147.243.143', 3650352008, 3650352015, 'IE', 'Ireland'),
(167585, '217.147.243.144', '217.147.243.203', 3650352016, 3650352075, 'GB', 'United Kingdom'),
(167586, '217.147.243.204', '217.147.243.207', 3650352076, 3650352079, 'CH', 'Switzerland'),
(167587, '217.147.243.208', '217.147.243.255', 3650352080, 3650352127, 'GB', 'United Kingdom'),
(167588, '217.147.244.0', '217.147.244.119', 3650352128, 3650352247, 'DE', 'Germany'),
(167589, '217.147.244.120', '217.147.244.127', 3650352248, 3650352255, 'CH', 'Switzerland'),
(167590, '217.147.244.128', '217.147.244.135', 3650352256, 3650352263, 'GB', 'United Kingdom');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(167591, '217.147.244.136', '217.147.244.143', 3650352264, 3650352271, 'DE', 'Germany'),
(167592, '217.147.244.144', '217.147.244.151', 3650352272, 3650352279, 'NL', 'Netherlands'),
(167593, '217.147.244.152', '217.147.244.159', 3650352280, 3650352287, 'IT', 'Italy'),
(167594, '217.147.244.160', '217.147.244.167', 3650352288, 3650352295, 'FR', 'France'),
(167595, '217.147.244.168', '217.147.244.175', 3650352296, 3650352303, 'SE', 'Sweden'),
(167596, '217.147.244.176', '217.147.244.183', 3650352304, 3650352311, 'DK', 'Denmark'),
(167597, '217.147.244.184', '217.147.244.191', 3650352312, 3650352319, 'DE', 'Germany'),
(167598, '217.147.244.192', '217.147.244.199', 3650352320, 3650352327, 'PL', 'Poland'),
(167599, '217.147.244.200', '217.147.244.207', 3650352328, 3650352335, 'ES', 'Spain'),
(167600, '217.147.244.208', '217.147.244.215', 3650352336, 3650352343, 'BE', 'Belgium'),
(167601, '217.147.244.216', '217.147.244.223', 3650352344, 3650352351, 'ZA', 'South Africa'),
(167602, '217.147.244.224', '217.147.244.231', 3650352352, 3650352359, 'PT', 'Portugal'),
(167603, '217.147.244.232', '217.147.244.239', 3650352360, 3650352367, 'FI', 'Finland'),
(167604, '217.147.244.240', '217.147.244.247', 3650352368, 3650352375, 'NL', 'Netherlands'),
(167605, '217.147.244.248', '217.147.244.255', 3650352376, 3650352383, 'HU', 'Hungary'),
(167606, '217.147.245.0', '217.147.246.255', 3650352384, 3650352895, 'DE', 'Germany'),
(167607, '217.147.247.0', '217.147.255.255', 3650352896, 3650355199, 'GB', 'United Kingdom'),
(167608, '217.148.0.0', '217.148.15.255', 3650355200, 3650359295, 'CH', 'Switzerland'),
(167609, '217.148.16.0', '217.148.21.127', 3650359296, 3650360703, 'NL', 'Netherlands'),
(167610, '217.148.21.128', '217.148.21.255', 3650360704, 3650360831, 'BE', 'Belgium'),
(167611, '217.148.22.0', '217.148.31.255', 3650360832, 3650363391, 'NL', 'Netherlands'),
(167612, '217.148.32.0', '217.148.47.255', 3650363392, 3650367487, 'GB', 'United Kingdom'),
(167613, '217.148.48.0', '217.148.63.255', 3650367488, 3650371583, 'RU', 'Russian Federation'),
(167614, '217.148.64.0', '217.148.79.255', 3650371584, 3650375679, 'ES', 'Spain'),
(167615, '217.148.80.0', '217.148.95.255', 3650375680, 3650379775, 'NL', 'Netherlands'),
(167616, '217.148.96.0', '217.148.103.255', 3650379776, 3650381823, 'DE', 'Germany'),
(167617, '217.148.104.0', '217.148.127.255', 3650381824, 3650387967, 'IT', 'Italy'),
(167618, '217.148.128.0', '217.148.143.255', 3650387968, 3650392063, 'DE', 'Germany'),
(167619, '217.148.144.0', '217.148.159.255', 3650392064, 3650396159, 'NO', 'Norway'),
(167620, '217.148.160.0', '217.148.191.255', 3650396160, 3650404351, 'NL', 'Netherlands'),
(167621, '217.148.192.0', '217.148.223.255', 3650404352, 3650412543, 'RU', 'Russian Federation'),
(167622, '217.148.224.0', '217.148.239.255', 3650412544, 3650416639, 'DE', 'Germany'),
(167623, '217.148.240.0', '217.148.255.255', 3650416640, 3650420735, 'BE', 'Belgium'),
(167624, '217.149.0.0', '217.149.15.255', 3650420736, 3650424831, 'ES', 'Spain'),
(167625, '217.149.16.0', '217.149.31.255', 3650424832, 3650428927, 'RU', 'Russian Federation'),
(167626, '217.149.32.0', '217.149.35.18', 3650428928, 3650429714, 'NL', 'Netherlands'),
(167627, '217.149.35.19', '217.149.35.19', 3650429715, 3650429715, 'EU', 'Europe'),
(167628, '217.149.35.20', '217.149.43.255', 3650429716, 3650431999, 'NL', 'Netherlands'),
(167629, '217.149.44.0', '217.149.44.255', 3650432000, 3650432255, 'EU', 'Europe'),
(167630, '217.149.45.0', '217.149.45.175', 3650432256, 3650432431, 'NL', 'Netherlands'),
(167631, '217.149.45.176', '217.149.45.191', 3650432432, 3650432447, 'DE', 'Germany'),
(167632, '217.149.45.192', '217.149.47.255', 3650432448, 3650433023, 'NL', 'Netherlands'),
(167633, '217.149.48.0', '217.149.63.255', 3650433024, 3650437119, 'FI', 'Finland'),
(167634, '217.149.64.0', '217.149.79.255', 3650437120, 3650441215, 'NL', 'Netherlands'),
(167635, '217.149.80.0', '217.149.95.255', 3650441216, 3650445311, 'IT', 'Italy'),
(167636, '217.149.96.0', '217.149.111.255', 3650445312, 3650449407, 'GB', 'United Kingdom'),
(167637, '217.149.112.0', '217.149.127.255', 3650449408, 3650453503, 'NO', 'Norway'),
(167638, '217.149.128.0', '217.149.143.255', 3650453504, 3650457599, 'NL', 'Netherlands'),
(167639, '217.149.144.0', '217.149.159.255', 3650457600, 3650461695, 'ES', 'Spain'),
(167640, '217.149.160.0', '217.149.175.255', 3650461696, 3650465791, 'AT', 'Austria'),
(167641, '217.149.176.0', '217.149.191.255', 3650465792, 3650469887, 'RU', 'Russian Federation'),
(167642, '217.149.192.0', '217.149.223.255', 3650469888, 3650478079, 'NL', 'Netherlands'),
(167643, '217.149.224.0', '217.149.239.255', 3650478080, 3650482175, 'AT', 'Austria'),
(167644, '217.149.240.0', '217.149.249.159', 3650482176, 3650484639, 'PL', 'Poland'),
(167645, '217.149.249.160', '217.149.249.191', 3650484640, 3650484671, 'US', 'United States'),
(167646, '217.149.249.192', '217.149.255.255', 3650484672, 3650486271, 'PL', 'Poland'),
(167647, '217.150.0.0', '217.150.63.255', 3650486272, 3650502655, 'RU', 'Russian Federation'),
(167648, '217.150.64.0', '217.150.71.255', 3650502656, 3650504703, 'SE', 'Sweden'),
(167649, '217.150.80.0', '217.150.87.255', 3650506752, 3650508799, 'LB', 'Lebanon'),
(167650, '217.150.88.0', '217.150.95.255', 3650508800, 3650510847, 'NL', 'Netherlands'),
(167651, '217.150.96.0', '217.150.127.255', 3650510848, 3650519039, 'GB', 'United Kingdom'),
(167652, '217.150.128.0', '217.150.143.255', 3650519040, 3650523135, 'HU', 'Hungary'),
(167653, '217.150.144.0', '217.150.159.255', 3650523136, 3650527231, 'DE', 'Germany'),
(167654, '217.150.160.0', '217.150.189.255', 3650527232, 3650534911, 'SE', 'Sweden'),
(167655, '217.150.190.0', '217.150.191.255', 3650534912, 3650535423, 'NL', 'Netherlands'),
(167656, '217.150.192.0', '217.150.207.255', 3650535424, 3650539519, 'RU', 'Russian Federation'),
(167657, '217.150.208.0', '217.150.223.255', 3650539520, 3650543615, 'ES', 'Spain'),
(167658, '217.150.224.0', '217.150.241.141', 3650543616, 3650548109, 'CH', 'Switzerland'),
(167659, '217.150.241.142', '217.150.241.142', 3650548110, 3650548110, 'A1', 'Anonymous Proxy'),
(167660, '217.150.241.143', '217.150.244.91', 3650548111, 3650548827, 'CH', 'Switzerland'),
(167661, '217.150.244.92', '217.150.244.92', 3650548828, 3650548828, 'A1', 'Anonymous Proxy'),
(167662, '217.150.244.93', '217.150.244.148', 3650548829, 3650548884, 'CH', 'Switzerland'),
(167663, '217.150.244.149', '217.150.244.149', 3650548885, 3650548885, 'A1', 'Anonymous Proxy'),
(167664, '217.150.244.150', '217.150.255.255', 3650548886, 3650551807, 'CH', 'Switzerland'),
(167665, '217.151.0.0', '217.151.15.255', 3650551808, 3650555903, 'FR', 'France'),
(167666, '217.151.16.0', '217.151.31.255', 3650555904, 3650559999, 'RU', 'Russian Federation'),
(167667, '217.151.32.0', '217.151.47.255', 3650560000, 3650564095, 'HK', 'Hong Kong'),
(167668, '217.151.48.0', '217.151.63.255', 3650564096, 3650568191, 'SE', 'Sweden'),
(167669, '217.151.64.0', '217.151.79.255', 3650568192, 3650572287, 'RU', 'Russian Federation'),
(167670, '217.151.80.0', '217.151.95.255', 3650572288, 3650576383, 'DE', 'Germany'),
(167671, '217.151.96.0', '217.151.111.255', 3650576384, 3650580479, 'GB', 'United Kingdom'),
(167672, '217.151.112.0', '217.151.127.255', 3650580480, 3650584575, 'CH', 'Switzerland'),
(167673, '217.151.128.0', '217.151.143.255', 3650584576, 3650588671, 'RU', 'Russian Federation'),
(167674, '217.151.144.0', '217.151.159.255', 3650588672, 3650592767, 'DE', 'Germany'),
(167675, '217.151.160.0', '217.151.191.255', 3650592768, 3650600959, 'IS', 'Iceland'),
(167676, '217.151.192.0', '217.151.207.255', 3650600960, 3650605055, 'SE', 'Sweden'),
(167677, '217.151.208.0', '217.151.224.28', 3650605056, 3650609180, 'DE', 'Germany'),
(167678, '217.151.224.29', '217.151.224.29', 3650609181, 3650609181, 'LB', 'Lebanon'),
(167679, '217.151.224.30', '217.151.224.127', 3650609182, 3650609279, 'DE', 'Germany'),
(167680, '217.151.224.128', '217.151.224.159', 3650609280, 3650609311, 'CY', 'Cyprus'),
(167681, '217.151.224.160', '217.151.224.255', 3650609312, 3650609407, 'DE', 'Germany'),
(167682, '217.151.225.0', '217.151.225.31', 3650609408, 3650609439, 'IQ', 'Iraq'),
(167683, '217.151.225.32', '217.151.225.39', 3650609440, 3650609447, 'KZ', 'Kazakhstan'),
(167684, '217.151.225.40', '217.151.225.47', 3650609448, 3650609455, 'RU', 'Russian Federation'),
(167685, '217.151.225.48', '217.151.225.255', 3650609456, 3650609663, 'DE', 'Germany'),
(167686, '217.151.226.0', '217.151.226.255', 3650609664, 3650609919, 'KZ', 'Kazakhstan'),
(167687, '217.151.227.0', '217.151.227.255', 3650609920, 3650610175, 'RU', 'Russian Federation'),
(167688, '217.151.228.0', '217.151.229.255', 3650610176, 3650610687, 'KZ', 'Kazakhstan'),
(167689, '217.151.230.0', '217.151.230.255', 3650610688, 3650610943, 'RU', 'Russian Federation'),
(167690, '217.151.231.0', '217.151.233.255', 3650610944, 3650611711, 'DE', 'Germany'),
(167691, '217.151.234.0', '217.151.234.255', 3650611712, 3650611967, 'LB', 'Lebanon'),
(167692, '217.151.235.0', '217.151.237.255', 3650611968, 3650612735, 'KZ', 'Kazakhstan'),
(167693, '217.151.238.0', '217.151.255.255', 3650612736, 3650617343, 'DE', 'Germany'),
(167694, '217.152.0.0', '217.152.255.255', 3650617344, 3650682879, 'FI', 'Finland'),
(167695, '217.153.0.0', '217.153.255.255', 3650682880, 3650748415, 'PL', 'Poland'),
(167696, '217.154.0.0', '217.154.159.255', 3650748416, 3650789375, 'GB', 'United Kingdom'),
(167697, '217.154.160.0', '217.154.162.255', 3650789376, 3650790143, 'NL', 'Netherlands'),
(167698, '217.154.163.0', '217.155.51.87', 3650790144, 3650827095, 'GB', 'United Kingdom'),
(167699, '217.155.51.88', '217.155.51.95', 3650827096, 3650827103, 'A2', 'Satellite Provider'),
(167700, '217.155.51.96', '217.155.255.255', 3650827104, 3650879487, 'GB', 'United Kingdom'),
(167701, '217.156.0.0', '217.156.127.255', 3650879488, 3650912255, 'RO', 'Romania'),
(167702, '217.156.128.0', '217.156.129.127', 3650912256, 3650912639, 'GB', 'United Kingdom'),
(167703, '217.156.129.128', '217.156.129.159', 3650912640, 3650912671, 'FR', 'France'),
(167704, '217.156.129.160', '217.156.170.95', 3650912672, 3650923103, 'GB', 'United Kingdom'),
(167705, '217.156.170.96', '217.156.170.127', 3650923104, 3650923135, 'FR', 'France'),
(167706, '217.156.170.128', '217.156.183.255', 3650923136, 3650926591, 'GB', 'United Kingdom'),
(167707, '217.156.184.0', '217.156.195.255', 3650926592, 3650929663, 'ES', 'Spain'),
(167708, '217.156.196.0', '217.156.204.255', 3650929664, 3650931967, 'GB', 'United Kingdom'),
(167709, '217.156.205.0', '217.156.205.255', 3650931968, 3650932223, 'ES', 'Spain'),
(167710, '217.156.206.0', '217.156.220.31', 3650932224, 3650935839, 'GB', 'United Kingdom'),
(167711, '217.156.220.32', '217.156.220.47', 3650935840, 3650935855, 'FR', 'France'),
(167712, '217.156.220.48', '217.156.220.63', 3650935856, 3650935871, 'GB', 'United Kingdom'),
(167713, '217.156.220.64', '217.156.220.95', 3650935872, 3650935903, 'FR', 'France'),
(167714, '217.156.220.96', '217.156.220.159', 3650935904, 3650935967, 'GB', 'United Kingdom'),
(167715, '217.156.220.160', '217.156.220.175', 3650935968, 3650935983, 'FR', 'France'),
(167716, '217.156.220.176', '217.156.220.191', 3650935984, 3650935999, 'GB', 'United Kingdom'),
(167717, '217.156.220.192', '217.156.220.255', 3650936000, 3650936063, 'NL', 'Netherlands'),
(167718, '217.156.221.0', '217.156.234.207', 3650936064, 3650939599, 'GB', 'United Kingdom'),
(167719, '217.156.234.208', '217.156.234.215', 3650939600, 3650939607, 'FR', 'France'),
(167720, '217.156.234.216', '217.156.236.31', 3650939608, 3650939935, 'GB', 'United Kingdom'),
(167721, '217.156.236.32', '217.156.236.63', 3650939936, 3650939967, 'FR', 'France'),
(167722, '217.156.236.64', '217.156.255.255', 3650939968, 3650945023, 'GB', 'United Kingdom'),
(167723, '217.157.0.0', '217.157.255.255', 3650945024, 3651010559, 'DK', 'Denmark'),
(167724, '217.158.0.0', '217.158.255.255', 3651010560, 3651076095, 'GB', 'United Kingdom'),
(167725, '217.159.0.0', '217.159.4.255', 3651076096, 3651077375, 'DE', 'Germany'),
(167726, '217.159.5.0', '217.159.6.255', 3651077376, 3651077887, 'GB', 'United Kingdom'),
(167727, '217.159.7.0', '217.159.7.255', 3651077888, 3651078143, 'IE', 'Ireland'),
(167728, '217.159.8.0', '217.159.8.255', 3651078144, 3651078399, 'ES', 'Spain'),
(167729, '217.159.9.0', '217.159.9.255', 3651078400, 3651078655, 'IE', 'Ireland'),
(167730, '217.159.10.0', '217.159.10.127', 3651078656, 3651078783, 'ES', 'Spain'),
(167731, '217.159.10.128', '217.159.10.255', 3651078784, 3651078911, 'DE', 'Germany'),
(167732, '217.159.11.0', '217.159.14.127', 3651078912, 3651079807, 'GB', 'United Kingdom'),
(167733, '217.159.14.128', '217.159.14.255', 3651079808, 3651079935, 'ES', 'Spain'),
(167734, '217.159.15.0', '217.159.15.255', 3651079936, 3651080191, 'DE', 'Germany'),
(167735, '217.159.16.0', '217.159.18.127', 3651080192, 3651080831, 'GB', 'United Kingdom'),
(167736, '217.159.18.128', '217.159.19.255', 3651080832, 3651081215, 'DE', 'Germany'),
(167737, '217.159.20.0', '217.159.21.255', 3651081216, 3651081727, 'GB', 'United Kingdom'),
(167738, '217.159.22.0', '217.159.22.255', 3651081728, 3651081983, 'AT', 'Austria'),
(167739, '217.159.23.0', '217.159.23.255', 3651081984, 3651082239, 'DE', 'Germany'),
(167740, '217.159.24.0', '217.159.25.255', 3651082240, 3651082751, 'GB', 'United Kingdom'),
(167741, '217.159.26.0', '217.159.26.255', 3651082752, 3651083007, 'IE', 'Ireland'),
(167742, '217.159.27.0', '217.159.28.255', 3651083008, 3651083519, 'GB', 'United Kingdom'),
(167743, '217.159.29.0', '217.159.29.255', 3651083520, 3651083775, 'DE', 'Germany'),
(167744, '217.159.30.0', '217.159.30.255', 3651083776, 3651084031, 'IE', 'Ireland'),
(167745, '217.159.31.0', '217.159.32.255', 3651084032, 3651084543, 'FR', 'France'),
(167746, '217.159.33.0', '217.159.33.255', 3651084544, 3651084799, 'IE', 'Ireland'),
(167747, '217.159.34.0', '217.159.35.255', 3651084800, 3651085311, 'ES', 'Spain'),
(167748, '217.159.36.0', '217.159.36.255', 3651085312, 3651085567, 'FR', 'France'),
(167749, '217.159.37.0', '217.159.38.255', 3651085568, 3651086079, 'DE', 'Germany'),
(167750, '217.159.39.0', '217.159.39.255', 3651086080, 3651086335, 'IE', 'Ireland'),
(167751, '217.159.40.0', '217.159.40.127', 3651086336, 3651086463, 'DE', 'Germany'),
(167752, '217.159.40.128', '217.159.40.255', 3651086464, 3651086591, 'IE', 'Ireland'),
(167753, '217.159.41.0', '217.159.41.127', 3651086592, 3651086719, 'GR', 'Greece'),
(167754, '217.159.41.128', '217.159.41.255', 3651086720, 3651086847, 'DE', 'Germany'),
(167755, '217.159.42.0', '217.159.42.255', 3651086848, 3651087103, 'FR', 'France'),
(167756, '217.159.43.0', '217.159.44.255', 3651087104, 3651087615, 'ES', 'Spain'),
(167757, '217.159.45.0', '217.159.45.255', 3651087616, 3651087871, 'GB', 'United Kingdom'),
(167758, '217.159.46.0', '217.159.46.255', 3651087872, 3651088127, 'DE', 'Germany'),
(167759, '217.159.47.0', '217.159.47.255', 3651088128, 3651088383, 'IE', 'Ireland'),
(167760, '217.159.48.0', '217.159.48.255', 3651088384, 3651088639, 'GR', 'Greece'),
(167761, '217.159.49.0', '217.159.57.79', 3651088640, 3651090767, 'DE', 'Germany'),
(167762, '217.159.57.80', '217.159.57.87', 3651090768, 3651090775, 'GB', 'United Kingdom'),
(167763, '217.159.57.88', '217.159.57.231', 3651090776, 3651090919, 'DE', 'Germany'),
(167764, '217.159.57.232', '217.159.58.15', 3651090920, 3651090959, 'IE', 'Ireland'),
(167765, '217.159.58.16', '217.159.85.255', 3651090960, 3651098111, 'DE', 'Germany'),
(167766, '217.159.86.0', '217.159.86.255', 3651098112, 3651098367, 'IE', 'Ireland'),
(167767, '217.159.87.0', '217.159.87.255', 3651098368, 3651098623, 'FR', 'France'),
(167768, '217.159.88.0', '217.159.98.255', 3651098624, 3651101439, 'DE', 'Germany'),
(167769, '217.159.99.0', '217.159.99.255', 3651101440, 3651101695, 'FR', 'France'),
(167770, '217.159.100.0', '217.159.100.255', 3651101696, 3651101951, 'CH', 'Switzerland'),
(167771, '217.159.101.0', '217.159.101.255', 3651101952, 3651102207, 'FR', 'France'),
(167772, '217.159.102.0', '217.159.103.255', 3651102208, 3651102719, 'DE', 'Germany'),
(167773, '217.159.104.0', '217.159.104.255', 3651102720, 3651102975, 'GB', 'United Kingdom'),
(167774, '217.159.105.0', '217.159.105.255', 3651102976, 3651103231, 'SL', 'Sierra Leone'),
(167775, '217.159.106.0', '217.159.106.255', 3651103232, 3651103487, 'IT', 'Italy'),
(167776, '217.159.107.0', '217.159.107.255', 3651103488, 3651103743, 'FR', 'France'),
(167777, '217.159.108.0', '217.159.108.255', 3651103744, 3651103999, 'IT', 'Italy'),
(167778, '217.159.109.0', '217.159.110.255', 3651104000, 3651104511, 'DE', 'Germany'),
(167779, '217.159.111.0', '217.159.111.255', 3651104512, 3651104767, 'PL', 'Poland'),
(167780, '217.159.112.0', '217.159.114.255', 3651104768, 3651105535, 'DE', 'Germany'),
(167781, '217.159.115.0', '217.159.115.255', 3651105536, 3651105791, 'IT', 'Italy'),
(167782, '217.159.116.0', '217.159.116.255', 3651105792, 3651106047, 'ES', 'Spain'),
(167783, '217.159.117.0', '217.159.118.255', 3651106048, 3651106559, 'GB', 'United Kingdom'),
(167784, '217.159.119.0', '217.159.119.255', 3651106560, 3651106815, 'IE', 'Ireland'),
(167785, '217.159.120.0', '217.159.121.255', 3651106816, 3651107327, 'DE', 'Germany'),
(167786, '217.159.122.0', '217.159.122.255', 3651107328, 3651107583, 'GB', 'United Kingdom'),
(167787, '217.159.123.0', '217.159.123.255', 3651107584, 3651107839, 'NL', 'Netherlands'),
(167788, '217.159.124.0', '217.159.124.127', 3651107840, 3651107967, 'GB', 'United Kingdom'),
(167789, '217.159.124.128', '217.159.125.255', 3651107968, 3651108351, 'IE', 'Ireland'),
(167790, '217.159.126.0', '217.159.126.127', 3651108352, 3651108479, 'NL', 'Netherlands'),
(167791, '217.159.126.128', '217.159.126.191', 3651108480, 3651108543, 'ES', 'Spain'),
(167792, '217.159.126.192', '217.159.127.255', 3651108544, 3651108863, 'DE', 'Germany'),
(167793, '217.159.128.0', '217.159.255.255', 3651108864, 3651141631, 'EE', 'Estonia'),
(167794, '217.160.0.0', '217.160.123.255', 3651141632, 3651173375, 'DE', 'Germany'),
(167795, '217.160.124.0', '217.160.124.255', 3651173376, 3651173631, 'ES', 'Spain'),
(167796, '217.160.125.0', '217.160.223.255', 3651173632, 3651198975, 'DE', 'Germany'),
(167797, '217.160.224.0', '217.160.224.255', 3651198976, 3651199231, 'GB', 'United Kingdom'),
(167798, '217.160.225.0', '217.160.225.255', 3651199232, 3651199487, 'ES', 'Spain'),
(167799, '217.160.226.0', '217.160.226.255', 3651199488, 3651199743, 'GB', 'United Kingdom'),
(167800, '217.160.227.0', '217.160.228.255', 3651199744, 3651200255, 'ES', 'Spain'),
(167801, '217.160.229.0', '217.160.231.255', 3651200256, 3651201023, 'PL', 'Poland'),
(167802, '217.160.232.0', '217.160.232.255', 3651201024, 3651201279, 'ES', 'Spain'),
(167803, '217.160.233.0', '217.160.233.255', 3651201280, 3651201535, 'PL', 'Poland'),
(167804, '217.160.234.0', '217.160.234.255', 3651201536, 3651201791, 'ES', 'Spain'),
(167805, '217.160.235.0', '217.160.235.127', 3651201792, 3651201919, 'FR', 'France'),
(167806, '217.160.235.128', '217.160.235.255', 3651201920, 3651202047, 'ES', 'Spain'),
(167807, '217.160.236.0', '217.160.236.127', 3651202048, 3651202175, 'FR', 'France'),
(167808, '217.160.236.128', '217.160.236.255', 3651202176, 3651202303, 'GB', 'United Kingdom'),
(167809, '217.160.237.0', '217.160.238.255', 3651202304, 3651202815, 'ES', 'Spain'),
(167810, '217.160.239.0', '217.160.239.255', 3651202816, 3651203071, 'GB', 'United Kingdom'),
(167811, '217.160.240.0', '217.160.241.255', 3651203072, 3651203583, 'DE', 'Germany'),
(167812, '217.160.242.0', '217.160.242.255', 3651203584, 3651203839, 'FR', 'France'),
(167813, '217.160.243.0', '217.160.244.255', 3651203840, 3651204351, 'ES', 'Spain'),
(167814, '217.160.245.0', '217.160.245.255', 3651204352, 3651204607, 'PL', 'Poland'),
(167815, '217.160.246.0', '217.160.247.255', 3651204608, 3651205119, 'ES', 'Spain'),
(167816, '217.160.248.0', '217.160.248.255', 3651205120, 3651205375, 'GB', 'United Kingdom'),
(167817, '217.160.249.0', '217.160.251.255', 3651205376, 3651206143, 'ES', 'Spain'),
(167818, '217.160.252.0', '217.160.252.255', 3651206144, 3651206399, 'PL', 'Poland'),
(167819, '217.160.253.0', '217.160.253.255', 3651206400, 3651206655, 'DE', 'Germany'),
(167820, '217.160.254.0', '217.160.255.255', 3651206656, 3651207167, 'ES', 'Spain'),
(167821, '217.161.0.0', '217.161.0.31', 3651207168, 3651207199, 'GB', 'United Kingdom'),
(167822, '217.161.0.32', '217.161.0.55', 3651207200, 3651207223, 'EU', 'Europe'),
(167823, '217.161.0.56', '217.161.0.127', 3651207224, 3651207295, 'GB', 'United Kingdom'),
(167824, '217.161.0.128', '217.161.0.255', 3651207296, 3651207423, 'EU', 'Europe'),
(167825, '217.161.1.0', '217.161.1.191', 3651207424, 3651207615, 'GB', 'United Kingdom'),
(167826, '217.161.1.192', '217.161.1.223', 3651207616, 3651207647, 'EU', 'Europe'),
(167827, '217.161.1.224', '217.161.6.255', 3651207648, 3651208959, 'GB', 'United Kingdom'),
(167828, '217.161.7.0', '217.161.7.255', 3651208960, 3651209215, 'EU', 'Europe'),
(167829, '217.161.8.0', '217.161.8.15', 3651209216, 3651209231, 'US', 'United States'),
(167830, '217.161.8.16', '217.161.8.23', 3651209232, 3651209239, 'GB', 'United Kingdom'),
(167831, '217.161.8.24', '217.161.8.27', 3651209240, 3651209243, 'DE', 'Germany'),
(167832, '217.161.8.28', '217.161.8.255', 3651209244, 3651209471, 'EU', 'Europe'),
(167833, '217.161.9.0', '217.161.13.255', 3651209472, 3651210751, 'GB', 'United Kingdom'),
(167834, '217.161.14.0', '217.161.15.255', 3651210752, 3651211263, 'EU', 'Europe'),
(167835, '217.161.16.0', '217.161.17.255', 3651211264, 3651211775, 'IR', 'Iran, Islamic Republic of'),
(167836, '217.161.18.0', '217.161.25.255', 3651211776, 3651213823, 'EU', 'Europe'),
(167837, '217.161.26.0', '217.161.27.127', 3651213824, 3651214207, 'US', 'United States'),
(167838, '217.161.27.128', '217.161.31.255', 3651214208, 3651215359, 'EU', 'Europe'),
(167839, '217.161.32.0', '217.161.32.35', 3651215360, 3651215395, 'GB', 'United Kingdom'),
(167840, '217.161.32.36', '217.161.32.255', 3651215396, 3651215615, 'EU', 'Europe'),
(167841, '217.161.33.0', '217.161.33.255', 3651215616, 3651215871, 'GB', 'United Kingdom'),
(167842, '217.161.34.0', '217.161.39.255', 3651215872, 3651217407, 'EU', 'Europe'),
(167843, '217.161.40.0', '217.161.40.127', 3651217408, 3651217535, 'GI', 'Gibraltar'),
(167844, '217.161.40.128', '217.161.47.255', 3651217536, 3651219455, 'EU', 'Europe'),
(167845, '217.161.48.0', '217.161.49.255', 3651219456, 3651219967, 'US', 'United States'),
(167846, '217.161.50.0', '217.161.51.159', 3651219968, 3651220383, 'EU', 'Europe'),
(167847, '217.161.51.160', '217.161.51.255', 3651220384, 3651220479, 'GB', 'United Kingdom'),
(167848, '217.161.52.0', '217.161.55.255', 3651220480, 3651221503, 'EU', 'Europe'),
(167849, '217.161.56.0', '217.161.56.191', 3651221504, 3651221695, 'GB', 'United Kingdom'),
(167850, '217.161.56.192', '217.161.63.255', 3651221696, 3651223551, 'EU', 'Europe'),
(167851, '217.161.64.0', '217.161.64.15', 3651223552, 3651223567, 'GB', 'United Kingdom'),
(167852, '217.161.64.16', '217.161.64.31', 3651223568, 3651223583, 'EU', 'Europe'),
(167853, '217.161.64.32', '217.161.64.55', 3651223584, 3651223607, 'GB', 'United Kingdom'),
(167854, '217.161.64.56', '217.161.64.95', 3651223608, 3651223647, 'EU', 'Europe'),
(167855, '217.161.64.96', '217.161.64.111', 3651223648, 3651223663, 'ES', 'Spain'),
(167856, '217.161.64.112', '217.161.77.255', 3651223664, 3651227135, 'EU', 'Europe'),
(167857, '217.161.78.0', '217.161.78.255', 3651227136, 3651227391, 'GB', 'United Kingdom'),
(167858, '217.161.79.0', '217.161.91.255', 3651227392, 3651230719, 'EU', 'Europe'),
(167859, '217.161.92.0', '217.161.95.255', 3651230720, 3651231743, 'MU', 'Mauritius'),
(167860, '217.161.96.0', '217.161.97.255', 3651231744, 3651232255, 'EU', 'Europe'),
(167861, '217.161.98.0', '217.161.98.31', 3651232256, 3651232287, 'GB', 'United Kingdom'),
(167862, '217.161.98.32', '217.161.98.63', 3651232288, 3651232319, 'EU', 'Europe'),
(167863, '217.161.98.64', '217.161.98.127', 3651232320, 3651232383, 'GB', 'United Kingdom'),
(167864, '217.161.98.128', '217.161.98.191', 3651232384, 3651232447, 'EU', 'Europe'),
(167865, '217.161.98.192', '217.161.98.255', 3651232448, 3651232511, 'GB', 'United Kingdom'),
(167866, '217.161.99.0', '217.161.103.255', 3651232512, 3651233791, 'EU', 'Europe'),
(167867, '217.161.104.0', '217.161.104.63', 3651233792, 3651233855, 'GB', 'United Kingdom'),
(167868, '217.161.104.64', '217.161.115.255', 3651233856, 3651236863, 'EU', 'Europe'),
(167869, '217.161.116.0', '217.161.118.255', 3651236864, 3651237631, 'SC', 'Seychelles'),
(167870, '217.161.119.0', '217.161.119.255', 3651237632, 3651237887, 'EU', 'Europe'),
(167871, '217.161.120.0', '217.161.121.255', 3651237888, 3651238399, 'SC', 'Seychelles'),
(167872, '217.161.122.0', '217.161.127.255', 3651238400, 3651239935, 'EU', 'Europe'),
(167873, '217.161.128.0', '217.161.255.255', 3651239936, 3651272703, 'GB', 'United Kingdom'),
(167874, '217.162.0.0', '217.162.255.255', 3651272704, 3651338239, 'CH', 'Switzerland'),
(167875, '217.163.0.0', '217.163.17.255', 3651338240, 3651342847, 'GB', 'United Kingdom'),
(167876, '217.163.18.0', '217.163.18.255', 3651342848, 3651343103, 'US', 'United States'),
(167877, '217.163.19.0', '217.163.48.255', 3651343104, 3651350783, 'GB', 'United Kingdom'),
(167878, '217.163.49.0', '217.163.49.255', 3651350784, 3651351039, 'EU', 'Europe'),
(167879, '217.163.50.0', '217.163.255.255', 3651351040, 3651403775, 'GB', 'United Kingdom'),
(167880, '217.164.0.0', '217.165.255.255', 3651403776, 3651534847, 'AE', 'United Arab Emirates'),
(167881, '217.166.0.0', '217.166.255.255', 3651534848, 3651600383, 'NL', 'Netherlands'),
(167882, '217.167.0.0', '217.167.141.216', 3651600384, 3651636696, 'FR', 'France'),
(167883, '217.167.141.217', '217.167.141.217', 3651636697, 3651636697, 'GB', 'United Kingdom'),
(167884, '217.167.141.218', '217.167.255.255', 3651636698, 3651665919, 'FR', 'France'),
(167885, '217.168.0.0', '217.168.15.255', 3651665920, 3651670015, 'ES', 'Spain'),
(167886, '217.168.16.0', '217.168.31.255', 3651670016, 3651674111, 'GB', 'United Kingdom'),
(167887, '217.168.32.0', '217.168.63.255', 3651674112, 3651682303, 'CH', 'Switzerland'),
(167888, '217.168.64.0', '217.168.79.255', 3651682304, 3651686399, 'RU', 'Russian Federation'),
(167889, '217.168.80.0', '217.168.95.255', 3651686400, 3651690495, 'NO', 'Norway'),
(167890, '217.168.96.0', '217.168.111.255', 3651690496, 3651694591, 'FR', 'France'),
(167891, '217.168.112.0', '217.168.112.255', 3651694592, 3651694847, 'PT', 'Portugal'),
(167892, '217.168.113.0', '217.168.113.127', 3651694848, 3651694975, 'NG', 'Nigeria'),
(167893, '217.168.113.128', '217.168.113.255', 3651694976, 3651695103, 'PT', 'Portugal'),
(167894, '217.168.114.0', '217.168.114.255', 3651695104, 3651695359, 'CV', 'Cape Verde'),
(167895, '217.168.115.0', '217.168.116.255', 3651695360, 3651695871, 'AO', 'Angola'),
(167896, '217.168.117.0', '217.168.117.255', 3651695872, 3651696127, 'PT', 'Portugal'),
(167897, '217.168.118.0', '217.168.118.255', 3651696128, 3651696383, 'AO', 'Angola'),
(167898, '217.168.119.0', '217.168.119.255', 3651696384, 3651696639, 'PT', 'Portugal'),
(167899, '217.168.120.0', '217.168.127.255', 3651696640, 3651698687, 'AO', 'Angola'),
(167900, '217.168.128.0', '217.168.143.255', 3651698688, 3651702783, 'PL', 'Poland'),
(167901, '217.168.144.0', '217.168.159.255', 3651702784, 3651706879, 'GB', 'United Kingdom'),
(167902, '217.168.160.0', '217.168.171.95', 3651706880, 3651709791, 'MT', 'Malta'),
(167903, '217.168.171.96', '217.168.171.111', 3651709792, 3651709807, 'CY', 'Cyprus'),
(167904, '217.168.171.112', '217.168.175.255', 3651709808, 3651710975, 'MT', 'Malta'),
(167905, '217.168.176.0', '217.168.191.255', 3651710976, 3651715071, 'AZ', 'Azerbaijan'),
(167906, '217.168.192.0', '217.168.207.255', 3651715072, 3651719167, 'PL', 'Poland'),
(167907, '217.168.208.0', '217.168.223.255', 3651719168, 3651723263, 'CZ', 'Czech Republic'),
(167908, '217.168.224.0', '217.168.239.255', 3651723264, 3651727359, 'IT', 'Italy'),
(167909, '217.168.240.0', '217.168.255.255', 3651727360, 3651731455, 'RU', 'Russian Federation'),
(167910, '217.169.0.0', '217.169.63.255', 3651731456, 3651747839, 'GB', 'United Kingdom'),
(167911, '217.169.64.0', '217.169.79.255', 3651747840, 3651751935, 'FI', 'Finland'),
(167912, '217.169.80.0', '217.169.95.255', 3651751936, 3651756031, 'RU', 'Russian Federation'),
(167913, '217.169.96.0', '217.169.127.255', 3651756032, 3651764223, 'IT', 'Italy'),
(167914, '217.169.128.0', '217.169.159.255', 3651764224, 3651772415, 'CH', 'Switzerland'),
(167915, '217.169.160.0', '217.169.175.255', 3651772416, 3651776511, 'GB', 'United Kingdom'),
(167916, '217.169.176.0', '217.169.191.255', 3651776512, 3651780607, 'CZ', 'Czech Republic'),
(167917, '217.169.192.0', '217.169.207.255', 3651780608, 3651784703, 'TR', 'Turkey'),
(167918, '217.169.208.0', '217.169.223.255', 3651784704, 3651788799, 'RS', 'Serbia'),
(167919, '217.169.224.0', '217.169.239.255', 3651788800, 3651792895, 'NL', 'Netherlands'),
(167920, '217.169.240.0', '217.169.255.255', 3651792896, 3651796991, 'FR', 'France'),
(167921, '217.170.0.0', '217.170.63.255', 3651796992, 3651813375, 'NL', 'Netherlands'),
(167922, '217.170.64.0', '217.170.95.255', 3651813376, 3651821567, 'RU', 'Russian Federation'),
(167923, '217.170.96.0', '217.170.111.255', 3651821568, 3651825663, 'CZ', 'Czech Republic'),
(167924, '217.170.112.0', '217.170.127.255', 3651825664, 3651829759, 'RU', 'Russian Federation'),
(167925, '217.170.128.0', '217.170.143.255', 3651829760, 3651833855, 'NO', 'Norway'),
(167926, '217.170.144.0', '217.170.159.255', 3651833856, 3651837951, 'ML', 'Mali'),
(167927, '217.170.160.0', '217.170.175.255', 3651837952, 3651842047, 'PL', 'Poland'),
(167928, '217.170.176.0', '217.170.191.255', 3651842048, 3651846143, 'DE', 'Germany'),
(167929, '217.170.192.0', '217.170.207.255', 3651846144, 3651850239, 'NO', 'Norway'),
(167930, '217.170.208.0', '217.170.223.255', 3651850240, 3651854335, 'RU', 'Russian Federation'),
(167931, '217.170.224.0', '217.170.239.255', 3651854336, 3651858431, 'IT', 'Italy'),
(167932, '217.170.240.0', '217.170.255.255', 3651858432, 3651862527, 'IR', 'Iran, Islamic Republic of'),
(167933, '217.171.0.0', '217.171.15.255', 3651862528, 3651866623, 'RU', 'Russian Federation'),
(167934, '217.171.16.0', '217.171.31.255', 3651866624, 3651870719, 'FR', 'France'),
(167935, '217.171.32.0', '217.171.47.255', 3651870720, 3651874815, 'IT', 'Italy'),
(167936, '217.171.48.0', '217.171.63.255', 3651874816, 3651878911, 'PL', 'Poland'),
(167937, '217.171.64.0', '217.171.79.255', 3651878912, 3651883007, 'IT', 'Italy'),
(167938, '217.171.80.0', '217.171.91.47', 3651883008, 3651885871, 'CD', 'Congo, The Democratic Republic of the'),
(167939, '217.171.91.48', '217.171.91.71', 3651885872, 3651885895, 'BE', 'Belgium'),
(167940, '217.171.91.72', '217.171.91.75', 3651885896, 3651885899, 'CD', 'Congo, The Democratic Republic of the'),
(167941, '217.171.91.76', '217.171.91.79', 3651885900, 3651885903, 'BE', 'Belgium'),
(167942, '217.171.91.80', '217.171.91.103', 3651885904, 3651885927, 'CD', 'Congo, The Democratic Republic of the'),
(167943, '217.171.91.104', '217.171.91.255', 3651885928, 3651886079, 'BE', 'Belgium'),
(167944, '217.171.92.0', '217.171.93.11', 3651886080, 3651886347, 'CD', 'Congo, The Democratic Republic of the'),
(167945, '217.171.93.12', '217.171.93.43', 3651886348, 3651886379, 'BE', 'Belgium'),
(167946, '217.171.93.44', '217.171.93.47', 3651886380, 3651886383, 'CD', 'Congo, The Democratic Republic of the'),
(167947, '217.171.93.48', '217.171.93.55', 3651886384, 3651886391, 'BE', 'Belgium'),
(167948, '217.171.93.56', '217.171.93.59', 3651886392, 3651886395, 'CD', 'Congo, The Democratic Republic of the'),
(167949, '217.171.93.60', '217.171.93.71', 3651886396, 3651886407, 'BE', 'Belgium'),
(167950, '217.171.93.72', '217.171.93.79', 3651886408, 3651886415, 'CD', 'Congo, The Democratic Republic of the'),
(167951, '217.171.93.80', '217.171.93.87', 3651886416, 3651886423, 'BE', 'Belgium'),
(167952, '217.171.93.88', '217.171.93.91', 3651886424, 3651886427, 'CD', 'Congo, The Democratic Republic of the'),
(167953, '217.171.93.92', '217.171.93.99', 3651886428, 3651886435, 'BE', 'Belgium'),
(167954, '217.171.93.100', '217.171.93.115', 3651886436, 3651886451, 'CD', 'Congo, The Democratic Republic of the'),
(167955, '217.171.93.116', '217.171.93.119', 3651886452, 3651886455, 'BE', 'Belgium'),
(167956, '217.171.93.120', '217.171.93.123', 3651886456, 3651886459, 'CD', 'Congo, The Democratic Republic of the'),
(167957, '217.171.93.124', '217.171.93.127', 3651886460, 3651886463, 'BE', 'Belgium'),
(167958, '217.171.93.128', '217.171.93.135', 3651886464, 3651886471, 'CD', 'Congo, The Democratic Republic of the'),
(167959, '217.171.93.136', '217.171.93.143', 3651886472, 3651886479, 'BE', 'Belgium'),
(167960, '217.171.93.144', '217.171.93.159', 3651886480, 3651886495, 'CD', 'Congo, The Democratic Republic of the'),
(167961, '217.171.93.160', '217.171.93.175', 3651886496, 3651886511, 'BE', 'Belgium'),
(167962, '217.171.93.176', '217.171.93.207', 3651886512, 3651886543, 'CD', 'Congo, The Democratic Republic of the'),
(167963, '217.171.93.208', '217.171.93.255', 3651886544, 3651886591, 'BE', 'Belgium'),
(167964, '217.171.94.0', '217.171.94.255', 3651886592, 3651886847, 'CD', 'Congo, The Democratic Republic of the'),
(167965, '217.171.95.0', '217.171.95.255', 3651886848, 3651887103, 'BE', 'Belgium'),
(167966, '217.171.96.0', '217.171.111.255', 3651887104, 3651891199, 'GB', 'United Kingdom'),
(167967, '217.171.112.0', '217.171.127.255', 3651891200, 3651895295, 'DE', 'Germany'),
(167968, '217.171.128.0', '217.171.143.255', 3651895296, 3651899391, 'GB', 'United Kingdom'),
(167969, '217.171.144.0', '217.171.159.255', 3651899392, 3651903487, 'RU', 'Russian Federation'),
(167970, '217.171.160.0', '217.171.175.255', 3651903488, 3651907583, 'IT', 'Italy'),
(167971, '217.171.176.0', '217.171.177.255', 3651907584, 3651908095, 'IQ', 'Iraq'),
(167972, '217.171.178.0', '217.171.180.255', 3651908096, 3651908863, 'DE', 'Germany'),
(167973, '217.171.181.0', '217.171.181.127', 3651908864, 3651908991, 'IQ', 'Iraq'),
(167974, '217.171.181.128', '217.171.181.182', 3651908992, 3651909046, 'DE', 'Germany'),
(167975, '217.171.181.183', '217.171.181.183', 3651909047, 3651909047, 'IQ', 'Iraq'),
(167976, '217.171.181.184', '217.171.182.191', 3651909048, 3651909311, 'DE', 'Germany'),
(167977, '217.171.182.192', '217.171.182.255', 3651909312, 3651909375, 'IQ', 'Iraq'),
(167978, '217.171.183.0', '217.171.183.255', 3651909376, 3651909631, 'DE', 'Germany'),
(167979, '217.171.184.0', '217.171.187.255', 3651909632, 3651910655, 'IQ', 'Iraq'),
(167980, '217.171.188.0', '217.171.188.127', 3651910656, 3651910783, 'DE', 'Germany'),
(167981, '217.171.188.128', '217.171.189.255', 3651910784, 3651911167, 'IQ', 'Iraq'),
(167982, '217.171.190.0', '217.171.191.199', 3651911168, 3651911623, 'DE', 'Germany'),
(167983, '217.171.191.200', '217.171.191.207', 3651911624, 3651911631, 'IQ', 'Iraq'),
(167984, '217.171.191.208', '217.171.191.219', 3651911632, 3651911643, 'DE', 'Germany'),
(167985, '217.171.191.220', '217.171.191.223', 3651911644, 3651911647, 'IR', 'Iran, Islamic Republic of'),
(167986, '217.171.191.224', '217.171.191.255', 3651911648, 3651911679, 'DE', 'Germany'),
(167987, '217.171.192.0', '217.171.207.255', 3651911680, 3651915775, 'NO', 'Norway'),
(167988, '217.171.208.0', '217.171.223.255', 3651915776, 3651919871, 'IS', 'Iceland'),
(167989, '217.171.224.0', '217.171.239.255', 3651919872, 3651923967, 'RU', 'Russian Federation'),
(167990, '217.171.240.0', '217.171.255.255', 3651923968, 3651928063, 'DE', 'Germany'),
(167991, '217.172.0.0', '217.172.15.255', 3651928064, 3651932159, 'IT', 'Italy'),
(167992, '217.172.16.0', '217.172.31.255', 3651932160, 3651936255, 'RU', 'Russian Federation'),
(167993, '217.172.32.0', '217.172.32.255', 3651936256, 3651936511, 'DE', 'Germany'),
(167994, '217.172.33.0', '217.172.33.255', 3651936512, 3651936767, 'EU', 'Europe'),
(167995, '217.172.34.0', '217.172.39.127', 3651936768, 3651938175, 'DE', 'Germany'),
(167996, '217.172.39.128', '217.172.39.159', 3651938176, 3651938207, 'GB', 'United Kingdom'),
(167997, '217.172.39.160', '217.172.39.207', 3651938208, 3651938255, 'DE', 'Germany'),
(167998, '217.172.39.208', '217.172.39.223', 3651938256, 3651938271, 'PL', 'Poland'),
(167999, '217.172.39.224', '217.172.42.127', 3651938272, 3651938943, 'DE', 'Germany'),
(168000, '217.172.42.128', '217.172.42.143', 3651938944, 3651938959, 'NL', 'Netherlands'),
(168001, '217.172.42.144', '217.172.42.159', 3651938960, 3651938975, 'DE', 'Germany'),
(168002, '217.172.42.160', '217.172.42.191', 3651938976, 3651939007, 'TR', 'Turkey'),
(168003, '217.172.42.192', '217.172.42.255', 3651939008, 3651939071, 'DE', 'Germany'),
(168004, '217.172.43.0', '217.172.43.15', 3651939072, 3651939087, 'SE', 'Sweden'),
(168005, '217.172.43.16', '217.172.43.63', 3651939088, 3651939135, 'DE', 'Germany'),
(168006, '217.172.43.64', '217.172.43.79', 3651939136, 3651939151, 'PL', 'Poland'),
(168007, '217.172.43.80', '217.172.43.95', 3651939152, 3651939167, 'DE', 'Germany'),
(168008, '217.172.43.96', '217.172.43.159', 3651939168, 3651939231, 'GB', 'United Kingdom'),
(168009, '217.172.43.160', '217.172.43.191', 3651939232, 3651939263, 'DE', 'Germany'),
(168010, '217.172.43.192', '217.172.43.223', 3651939264, 3651939295, 'IT', 'Italy'),
(168011, '217.172.43.224', '217.172.43.255', 3651939296, 3651939327, 'PL', 'Poland'),
(168012, '217.172.44.0', '217.172.44.63', 3651939328, 3651939391, 'IT', 'Italy'),
(168013, '217.172.44.64', '217.172.44.175', 3651939392, 3651939503, 'DE', 'Germany'),
(168014, '217.172.44.176', '217.172.44.183', 3651939504, 3651939511, 'GB', 'United Kingdom'),
(168015, '217.172.44.184', '217.172.44.191', 3651939512, 3651939519, 'DE', 'Germany'),
(168016, '217.172.44.192', '217.172.44.199', 3651939520, 3651939527, 'RU', 'Russian Federation'),
(168017, '217.172.44.200', '217.172.44.255', 3651939528, 3651939583, 'PL', 'Poland'),
(168018, '217.172.45.0', '217.172.45.63', 3651939584, 3651939647, 'DE', 'Germany'),
(168019, '217.172.45.64', '217.172.45.127', 3651939648, 3651939711, 'ES', 'Spain'),
(168020, '217.172.45.128', '217.172.45.143', 3651939712, 3651939727, 'DE', 'Germany'),
(168021, '217.172.45.144', '217.172.45.159', 3651939728, 3651939743, 'PL', 'Poland'),
(168022, '217.172.45.160', '217.172.45.207', 3651939744, 3651939791, 'DE', 'Germany'),
(168023, '217.172.45.208', '217.172.45.215', 3651939792, 3651939799, 'RU', 'Russian Federation'),
(168024, '217.172.45.216', '217.172.45.255', 3651939800, 3651939839, 'DE', 'Germany'),
(168025, '217.172.46.0', '217.172.47.255', 3651939840, 3651940351, 'LV', 'Latvia'),
(168026, '217.172.48.0', '217.172.48.31', 3651940352, 3651940383, 'TR', 'Turkey'),
(168027, '217.172.48.32', '217.172.48.63', 3651940384, 3651940415, 'US', 'United States'),
(168028, '217.172.48.64', '217.172.48.127', 3651940416, 3651940479, 'IT', 'Italy'),
(168029, '217.172.48.128', '217.172.48.191', 3651940480, 3651940543, 'GB', 'United Kingdom'),
(168030, '217.172.48.192', '217.172.49.31', 3651940544, 3651940639, 'DE', 'Germany'),
(168031, '217.172.49.32', '217.172.49.63', 3651940640, 3651940671, 'BS', 'Bahamas'),
(168032, '217.172.49.64', '217.172.49.127', 3651940672, 3651940735, 'DE', 'Germany'),
(168033, '217.172.49.128', '217.172.49.135', 3651940736, 3651940743, 'AU', 'Australia'),
(168034, '217.172.49.136', '217.172.49.143', 3651940744, 3651940751, 'RU', 'Russian Federation'),
(168035, '217.172.49.144', '217.172.49.191', 3651940752, 3651940799, 'DE', 'Germany'),
(168036, '217.172.49.192', '217.172.49.255', 3651940800, 3651940863, 'ES', 'Spain'),
(168037, '217.172.50.0', '217.172.50.63', 3651940864, 3651940927, 'GB', 'United Kingdom'),
(168038, '217.172.50.64', '217.172.50.127', 3651940928, 3651940991, 'IT', 'Italy'),
(168039, '217.172.50.128', '217.172.50.163', 3651940992, 3651941027, 'DE', 'Germany'),
(168040, '217.172.50.164', '217.172.50.191', 3651941028, 3651941055, 'TR', 'Turkey'),
(168041, '217.172.50.192', '217.172.50.223', 3651941056, 3651941087, 'DE', 'Germany'),
(168042, '217.172.50.224', '217.172.50.255', 3651941088, 3651941119, 'GB', 'United Kingdom'),
(168043, '217.172.51.0', '217.172.51.63', 3651941120, 3651941183, 'DE', 'Germany'),
(168044, '217.172.51.64', '217.172.51.95', 3651941184, 3651941215, 'IT', 'Italy'),
(168045, '217.172.51.96', '217.172.51.129', 3651941216, 3651941249, 'TR', 'Turkey'),
(168046, '217.172.51.130', '217.172.53.63', 3651941250, 3651941695, 'DE', 'Germany'),
(168047, '217.172.53.64', '217.172.53.127', 3651941696, 3651941759, 'IT', 'Italy'),
(168048, '217.172.53.128', '217.172.56.255', 3651941760, 3651942655, 'DE', 'Germany'),
(168049, '217.172.57.0', '217.172.57.63', 3651942656, 3651942719, 'GB', 'United Kingdom'),
(168050, '217.172.57.64', '217.172.57.79', 3651942720, 3651942735, 'SE', 'Sweden'),
(168051, '217.172.57.80', '217.172.57.95', 3651942736, 3651942751, 'US', 'United States'),
(168052, '217.172.57.96', '217.172.57.127', 3651942752, 3651942783, 'DE', 'Germany'),
(168053, '217.172.57.128', '217.172.57.159', 3651942784, 3651942815, 'GB', 'United Kingdom'),
(168054, '217.172.57.160', '217.172.57.255', 3651942816, 3651942911, 'DE', 'Germany'),
(168055, '217.172.58.0', '217.172.63.255', 3651942912, 3651944447, 'LV', 'Latvia'),
(168056, '217.172.64.0', '217.172.79.255', 3651944448, 3651948543, 'ES', 'Spain'),
(168057, '217.172.80.0', '217.172.95.255', 3651948544, 3651952639, 'FO', 'Faroe Islands'),
(168058, '217.172.96.0', '217.172.99.255', 3651952640, 3651953663, 'IR', 'Iran, Islamic Republic of'),
(168059, '217.172.100.0', '217.172.103.255', 3651953664, 3651954687, 'AE', 'United Arab Emirates'),
(168060, '217.172.104.0', '217.172.117.255', 3651954688, 3651958271, 'IR', 'Iran, Islamic Republic of'),
(168061, '217.172.118.0', '217.172.119.255', 3651958272, 3651958783, 'AE', 'United Arab Emirates'),
(168062, '217.172.120.0', '217.172.120.255', 3651958784, 3651959039, 'IR', 'Iran, Islamic Republic of'),
(168063, '217.172.121.0', '217.172.127.255', 3651959040, 3651960831, 'AE', 'United Arab Emirates'),
(168064, '217.172.128.0', '217.172.143.255', 3651960832, 3651964927, 'GB', 'United Kingdom'),
(168065, '217.172.144.0', '217.172.159.255', 3651964928, 3651969023, 'SK', 'Slovakia'),
(168066, '217.172.160.0', '217.172.191.255', 3651969024, 3651977215, 'DE', 'Germany'),
(168067, '217.172.192.0', '217.172.223.255', 3651977216, 3651985407, 'IT', 'Italy'),
(168068, '217.172.224.0', '217.173.15.255', 3651985408, 3651997695, 'PL', 'Poland'),
(168069, '217.173.16.0', '217.173.31.255', 3651997696, 3652001791, 'RU', 'Russian Federation'),
(168070, '217.173.32.0', '217.173.47.255', 3652001792, 3652005887, 'HU', 'Hungary'),
(168071, '217.173.48.0', '217.173.63.255', 3652005888, 3652009983, 'GB', 'United Kingdom'),
(168072, '217.173.64.0', '217.173.79.255', 3652009984, 3652014079, 'RU', 'Russian Federation'),
(168073, '217.173.80.0', '217.173.95.255', 3652014080, 3652018175, 'SA', 'Saudi Arabia'),
(168074, '217.173.96.0', '217.173.99.239', 3652018176, 3652019183, 'IE', 'Ireland'),
(168075, '217.173.99.240', '217.173.99.255', 3652019184, 3652019199, 'GB', 'United Kingdom'),
(168076, '217.173.100.0', '217.173.100.127', 3652019200, 3652019327, 'IE', 'Ireland'),
(168077, '217.173.100.128', '217.173.100.135', 3652019328, 3652019335, 'GB', 'United Kingdom'),
(168078, '217.173.100.136', '217.173.100.255', 3652019336, 3652019455, 'IE', 'Ireland'),
(168079, '217.173.101.0', '217.173.101.15', 3652019456, 3652019471, 'GB', 'United Kingdom'),
(168080, '217.173.101.16', '217.173.101.23', 3652019472, 3652019479, 'IE', 'Ireland'),
(168081, '217.173.101.24', '217.173.101.31', 3652019480, 3652019487, 'GB', 'United Kingdom'),
(168082, '217.173.101.32', '217.173.101.111', 3652019488, 3652019567, 'IE', 'Ireland'),
(168083, '217.173.101.112', '217.173.101.127', 3652019568, 3652019583, 'GB', 'United Kingdom'),
(168084, '217.173.101.128', '217.173.101.143', 3652019584, 3652019599, 'IE', 'Ireland'),
(168085, '217.173.101.144', '217.173.101.159', 3652019600, 3652019615, 'GB', 'United Kingdom'),
(168086, '217.173.101.160', '217.173.101.223', 3652019616, 3652019679, 'IE', 'Ireland'),
(168087, '217.173.101.224', '217.173.101.231', 3652019680, 3652019687, 'GB', 'United Kingdom'),
(168088, '217.173.101.232', '217.173.102.23', 3652019688, 3652019735, 'IE', 'Ireland'),
(168089, '217.173.102.24', '217.173.102.27', 3652019736, 3652019739, 'GB', 'United Kingdom'),
(168090, '217.173.102.28', '217.173.102.39', 3652019740, 3652019751, 'IE', 'Ireland'),
(168091, '217.173.102.40', '217.173.102.47', 3652019752, 3652019759, 'GB', 'United Kingdom'),
(168092, '217.173.102.48', '217.173.106.63', 3652019760, 3652020799, 'IE', 'Ireland'),
(168093, '217.173.106.64', '217.173.106.127', 3652020800, 3652020863, 'DE', 'Germany'),
(168094, '217.173.106.128', '217.173.108.167', 3652020864, 3652021415, 'IE', 'Ireland'),
(168095, '217.173.108.168', '217.173.108.175', 3652021416, 3652021423, 'BE', 'Belgium'),
(168096, '217.173.108.176', '217.173.111.255', 3652021424, 3652022271, 'IE', 'Ireland'),
(168097, '217.173.112.0', '217.173.127.255', 3652022272, 3652026367, 'ES', 'Spain'),
(168098, '217.173.128.0', '217.173.134.127', 3652026368, 3652028031, 'DE', 'Germany'),
(168099, '217.173.134.128', '217.173.134.159', 3652028032, 3652028063, 'US', 'United States'),
(168100, '217.173.134.160', '217.173.134.191', 3652028064, 3652028095, 'CH', 'Switzerland'),
(168101, '217.173.134.192', '217.173.135.63', 3652028096, 3652028223, 'DE', 'Germany'),
(168102, '217.173.135.64', '217.173.135.95', 3652028224, 3652028255, 'ES', 'Spain'),
(168103, '217.173.135.96', '217.173.148.255', 3652028256, 3652031743, 'DE', 'Germany'),
(168104, '217.173.149.0', '217.173.149.255', 3652031744, 3652031999, 'US', 'United States'),
(168105, '217.173.150.0', '217.173.152.255', 3652032000, 3652032767, 'DE', 'Germany'),
(168106, '217.173.153.0', '217.173.156.255', 3652032768, 3652033791, 'NL', 'Netherlands'),
(168107, '217.173.157.0', '217.173.157.63', 3652033792, 3652033855, 'GD', 'Grenada'),
(168108, '217.173.157.64', '217.173.157.95', 3652033856, 3652033887, 'NL', 'Netherlands'),
(168109, '217.173.157.96', '217.173.157.127', 3652033888, 3652033919, 'VG', 'Virgin Islands, British'),
(168110, '217.173.157.128', '217.173.157.143', 3652033920, 3652033935, 'TR', 'Turkey'),
(168111, '217.173.157.144', '217.173.157.159', 3652033936, 3652033951, 'DE', 'Germany'),
(168112, '217.173.157.160', '217.173.157.175', 3652033952, 3652033967, 'CH', 'Switzerland'),
(168113, '217.173.157.176', '217.173.157.191', 3652033968, 3652033983, 'NL', 'Netherlands'),
(168114, '217.173.157.192', '217.173.157.223', 3652033984, 3652034015, 'TR', 'Turkey'),
(168115, '217.173.157.224', '217.173.157.255', 3652034016, 3652034047, 'NL', 'Netherlands'),
(168116, '217.173.158.0', '217.173.158.63', 3652034048, 3652034111, 'CY', 'Cyprus'),
(168117, '217.173.158.64', '217.173.158.95', 3652034112, 3652034143, 'TR', 'Turkey'),
(168118, '217.173.158.96', '217.173.158.127', 3652034144, 3652034175, 'CH', 'Switzerland'),
(168119, '217.173.158.128', '217.173.158.159', 3652034176, 3652034207, 'NL', 'Netherlands'),
(168120, '217.173.158.160', '217.173.158.191', 3652034208, 3652034239, 'ES', 'Spain'),
(168121, '217.173.158.192', '217.173.158.223', 3652034240, 3652034271, 'VG', 'Virgin Islands, British'),
(168122, '217.173.158.224', '217.173.159.63', 3652034272, 3652034367, 'CY', 'Cyprus'),
(168123, '217.173.159.64', '217.173.159.79', 3652034368, 3652034383, 'ES', 'Spain'),
(168124, '217.173.159.80', '217.173.159.95', 3652034384, 3652034399, 'VG', 'Virgin Islands, British'),
(168125, '217.173.159.96', '217.173.159.255', 3652034400, 3652034559, 'CY', 'Cyprus'),
(168126, '217.173.160.0', '217.173.207.255', 3652034560, 3652046847, 'PL', 'Poland'),
(168127, '217.173.208.0', '217.173.221.95', 3652046848, 3652050271, 'IE', 'Ireland'),
(168128, '217.173.221.96', '217.173.221.123', 3652050272, 3652050299, 'GB', 'United Kingdom'),
(168129, '217.173.221.124', '217.173.221.151', 3652050300, 3652050327, 'IE', 'Ireland'),
(168130, '217.173.221.152', '217.173.221.167', 3652050328, 3652050343, 'GB', 'United Kingdom'),
(168131, '217.173.221.168', '217.173.222.67', 3652050344, 3652050499, 'IE', 'Ireland'),
(168132, '217.173.222.68', '217.173.222.71', 3652050500, 3652050503, 'GB', 'United Kingdom'),
(168133, '217.173.222.72', '217.173.222.95', 3652050504, 3652050527, 'IE', 'Ireland'),
(168134, '217.173.222.96', '217.173.222.103', 3652050528, 3652050535, 'GB', 'United Kingdom'),
(168135, '217.173.222.104', '217.173.222.135', 3652050536, 3652050567, 'IE', 'Ireland'),
(168136, '217.173.222.136', '217.173.222.183', 3652050568, 3652050615, 'GB', 'United Kingdom'),
(168137, '217.173.222.184', '217.173.222.187', 3652050616, 3652050619, 'IE', 'Ireland'),
(168138, '217.173.222.188', '217.173.222.195', 3652050620, 3652050627, 'GB', 'United Kingdom'),
(168139, '217.173.222.196', '217.173.222.199', 3652050628, 3652050631, 'IE', 'Ireland'),
(168140, '217.173.222.200', '217.173.222.239', 3652050632, 3652050671, 'GB', 'United Kingdom'),
(168141, '217.173.222.240', '217.173.223.255', 3652050672, 3652050943, 'IE', 'Ireland'),
(168142, '217.173.224.0', '217.173.226.255', 3652050944, 3652051711, 'LI', 'Liechtenstein'),
(168143, '217.173.227.0', '217.173.227.255', 3652051712, 3652051967, 'CH', 'Switzerland'),
(168144, '217.173.228.0', '217.173.234.127', 3652051968, 3652053631, 'LI', 'Liechtenstein'),
(168145, '217.173.234.128', '217.173.234.255', 3652053632, 3652053759, 'CH', 'Switzerland'),
(168146, '217.173.235.0', '217.173.239.255', 3652053760, 3652055039, 'LI', 'Liechtenstein'),
(168147, '217.173.240.0', '217.173.255.255', 3652055040, 3652059135, 'NO', 'Norway'),
(168148, '217.174.0.0', '217.174.15.255', 3652059136, 3652063231, 'RU', 'Russian Federation'),
(168149, '217.174.16.0', '217.174.31.255', 3652063232, 3652067327, 'IR', 'Iran, Islamic Republic of'),
(168150, '217.174.32.0', '217.174.47.255', 3652067328, 3652071423, 'TR', 'Turkey'),
(168151, '217.174.48.0', '217.174.63.255', 3652071424, 3652075519, 'BG', 'Bulgaria'),
(168152, '217.174.64.0', '217.174.95.255', 3652075520, 3652083711, 'SE', 'Sweden'),
(168153, '217.174.96.0', '217.174.111.255', 3652083712, 3652087807, 'RU', 'Russian Federation'),
(168154, '217.174.112.0', '217.174.143.255', 3652087808, 3652095999, 'IT', 'Italy'),
(168155, '217.174.144.0', '217.174.159.255', 3652096000, 3652100095, 'BG', 'Bulgaria'),
(168156, '217.174.160.0', '217.174.180.255', 3652100096, 3652105471, 'RU', 'Russian Federation'),
(168157, '217.174.181.0', '217.174.181.63', 3652105472, 3652105535, 'US', 'United States'),
(168158, '217.174.181.64', '217.174.191.255', 3652105536, 3652108287, 'RU', 'Russian Federation'),
(168159, '217.174.192.0', '217.174.223.255', 3652108288, 3652116479, 'FR', 'France');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(168160, '217.174.224.0', '217.174.239.255', 3652116480, 3652120575, 'TM', 'Turkmenistan'),
(168161, '217.174.240.0', '217.174.255.255', 3652120576, 3652124671, 'GB', 'United Kingdom'),
(168162, '217.175.0.0', '217.175.15.255', 3652124672, 3652128767, 'UA', 'Ukraine'),
(168163, '217.175.16.0', '217.175.47.255', 3652128768, 3652136959, 'RU', 'Russian Federation'),
(168164, '217.175.48.0', '217.175.63.255', 3652136960, 3652141055, 'IT', 'Italy'),
(168165, '217.175.64.0', '217.175.64.255', 3652141056, 3652141311, 'GB', 'United Kingdom'),
(168166, '217.175.65.0', '217.175.70.255', 3652141312, 3652142847, 'A2', 'Satellite Provider'),
(168167, '217.175.71.0', '217.175.72.255', 3652142848, 3652143359, 'GB', 'United Kingdom'),
(168168, '217.175.73.0', '217.175.75.255', 3652143360, 3652144127, 'A2', 'Satellite Provider'),
(168169, '217.175.76.0', '217.175.76.255', 3652144128, 3652144383, 'KE', 'Kenya'),
(168170, '217.175.77.0', '217.175.77.255', 3652144384, 3652144639, 'CM', 'Cameroon'),
(168171, '217.175.78.0', '217.175.78.255', 3652144640, 3652144895, 'GB', 'United Kingdom'),
(168172, '217.175.79.0', '217.175.79.255', 3652144896, 3652145151, 'A2', 'Satellite Provider'),
(168173, '217.175.80.0', '217.175.95.255', 3652145152, 3652149247, 'UA', 'Ukraine'),
(168174, '217.175.96.0', '217.175.111.255', 3652149248, 3652153343, 'DE', 'Germany'),
(168175, '217.175.112.0', '217.175.127.255', 3652153344, 3652157439, 'SE', 'Sweden'),
(168176, '217.175.128.0', '217.175.159.255', 3652157440, 3652165631, 'RU', 'Russian Federation'),
(168177, '217.175.160.0', '217.175.191.255', 3652165632, 3652173823, 'FR', 'France'),
(168178, '217.175.192.0', '217.175.207.255', 3652173824, 3652177919, 'AT', 'Austria'),
(168179, '217.175.208.0', '217.175.223.255', 3652177920, 3652182015, 'CY', 'Cyprus'),
(168180, '217.175.224.0', '217.175.225.255', 3652182016, 3652182527, 'DE', 'Germany'),
(168181, '217.175.226.0', '217.175.226.255', 3652182528, 3652182783, 'AT', 'Austria'),
(168182, '217.175.227.0', '217.175.241.223', 3652182784, 3652186591, 'DE', 'Germany'),
(168183, '217.175.241.224', '217.175.241.255', 3652186592, 3652186623, 'CH', 'Switzerland'),
(168184, '217.175.242.0', '217.175.242.255', 3652186624, 3652186879, 'DE', 'Germany'),
(168185, '217.175.243.0', '217.175.243.127', 3652186880, 3652187007, 'AT', 'Austria'),
(168186, '217.175.243.128', '217.175.255.255', 3652187008, 3652190207, 'DE', 'Germany'),
(168187, '217.176.0.0', '217.183.255.255', 3652190208, 3652714495, 'GB', 'United Kingdom'),
(168188, '217.184.0.0', '217.188.32.207', 3652714496, 3652985039, 'DE', 'Germany'),
(168189, '217.188.32.208', '217.188.32.215', 3652985040, 3652985047, 'FR', 'France'),
(168190, '217.188.32.216', '217.188.207.143', 3652985048, 3653029775, 'DE', 'Germany'),
(168191, '217.188.207.144', '217.188.207.159', 3653029776, 3653029791, 'LU', 'Luxembourg'),
(168192, '217.188.207.160', '217.188.215.47', 3653029792, 3653031727, 'DE', 'Germany'),
(168193, '217.188.215.48', '217.188.215.55', 3653031728, 3653031735, 'LU', 'Luxembourg'),
(168194, '217.188.215.56', '217.188.243.255', 3653031736, 3653039103, 'DE', 'Germany'),
(168195, '217.188.244.0', '217.188.244.255', 3653039104, 3653039359, 'IT', 'Italy'),
(168196, '217.188.245.0', '217.188.247.127', 3653039360, 3653039999, 'DE', 'Germany'),
(168197, '217.188.247.128', '217.188.247.143', 3653040000, 3653040015, 'LU', 'Luxembourg'),
(168198, '217.188.247.144', '217.191.255.255', 3653040016, 3653238783, 'DE', 'Germany'),
(168199, '217.192.0.0', '217.193.116.125', 3653238784, 3653334141, 'CH', 'Switzerland'),
(168200, '217.193.116.126', '217.193.116.126', 3653334142, 3653334142, 'AT', 'Austria'),
(168201, '217.193.116.127', '217.193.146.175', 3653334143, 3653341871, 'CH', 'Switzerland'),
(168202, '217.193.146.176', '217.193.146.183', 3653341872, 3653341879, 'AT', 'Austria'),
(168203, '217.193.146.184', '217.193.255.255', 3653341880, 3653369855, 'CH', 'Switzerland'),
(168204, '217.194.0.0', '217.194.15.255', 3653369856, 3653373951, 'IT', 'Italy'),
(168205, '217.194.16.0', '217.194.31.255', 3653373952, 3653378047, 'NL', 'Netherlands'),
(168206, '217.194.32.0', '217.194.47.255', 3653378048, 3653382143, 'DE', 'Germany'),
(168207, '217.194.48.0', '217.194.63.255', 3653382144, 3653386239, 'CH', 'Switzerland'),
(168208, '217.194.64.0', '217.194.79.255', 3653386240, 3653390335, 'DE', 'Germany'),
(168209, '217.194.80.0', '217.194.95.255', 3653390336, 3653394431, 'FR', 'France'),
(168210, '217.194.96.0', '217.194.127.255', 3653394432, 3653402623, 'NL', 'Netherlands'),
(168211, '217.194.128.0', '217.194.129.255', 3653402624, 3653403135, 'GB', 'United Kingdom'),
(168212, '217.194.130.0', '217.194.131.255', 3653403136, 3653403647, 'CD', 'Congo, The Democratic Republic of the'),
(168213, '217.194.132.0', '217.194.132.255', 3653403648, 3653403903, 'ZW', 'Zimbabwe'),
(168214, '217.194.133.0', '217.194.133.7', 3653403904, 3653403911, 'GB', 'United Kingdom'),
(168215, '217.194.133.8', '217.194.133.15', 3653403912, 3653403919, 'IQ', 'Iraq'),
(168216, '217.194.133.16', '217.194.133.23', 3653403920, 3653403927, 'GB', 'United Kingdom'),
(168217, '217.194.133.24', '217.194.133.27', 3653403928, 3653403931, 'UA', 'Ukraine'),
(168218, '217.194.133.28', '217.194.133.39', 3653403932, 3653403943, 'GB', 'United Kingdom'),
(168219, '217.194.133.40', '217.194.133.47', 3653403944, 3653403951, 'LB', 'Lebanon'),
(168220, '217.194.133.48', '217.194.133.55', 3653403952, 3653403959, 'IQ', 'Iraq'),
(168221, '217.194.133.56', '217.194.133.63', 3653403960, 3653403967, 'MW', 'Malawi'),
(168222, '217.194.133.64', '217.194.133.71', 3653403968, 3653403975, 'NG', 'Nigeria'),
(168223, '217.194.133.72', '217.194.133.79', 3653403976, 3653403983, 'GB', 'United Kingdom'),
(168224, '217.194.133.80', '217.194.133.95', 3653403984, 3653403999, 'UA', 'Ukraine'),
(168225, '217.194.133.96', '217.194.133.104', 3653404000, 3653404008, 'LB', 'Lebanon'),
(168226, '217.194.133.105', '217.194.133.111', 3653404009, 3653404015, 'ZM', 'Zambia'),
(168227, '217.194.133.112', '217.194.133.135', 3653404016, 3653404039, 'GB', 'United Kingdom'),
(168228, '217.194.133.136', '217.194.133.143', 3653404040, 3653404047, 'IQ', 'Iraq'),
(168229, '217.194.133.144', '217.194.133.159', 3653404048, 3653404063, 'GB', 'United Kingdom'),
(168230, '217.194.133.160', '217.194.133.167', 3653404064, 3653404071, 'LB', 'Lebanon'),
(168231, '217.194.133.168', '217.194.133.175', 3653404072, 3653404079, 'AO', 'Angola'),
(168232, '217.194.133.176', '217.194.133.183', 3653404080, 3653404087, 'UA', 'Ukraine'),
(168233, '217.194.133.184', '217.194.133.223', 3653404088, 3653404127, 'GB', 'United Kingdom'),
(168234, '217.194.133.224', '217.194.133.231', 3653404128, 3653404135, 'RS', 'Serbia'),
(168235, '217.194.133.232', '217.194.133.255', 3653404136, 3653404159, 'GB', 'United Kingdom'),
(168236, '217.194.134.0', '217.194.134.255', 3653404160, 3653404415, 'AT', 'Austria'),
(168237, '217.194.135.0', '217.194.135.127', 3653404416, 3653404543, 'GB', 'United Kingdom'),
(168238, '217.194.135.128', '217.194.135.143', 3653404544, 3653404559, 'NG', 'Nigeria'),
(168239, '217.194.135.144', '217.194.135.223', 3653404560, 3653404639, 'GB', 'United Kingdom'),
(168240, '217.194.135.224', '217.194.135.239', 3653404640, 3653404655, 'UA', 'Ukraine'),
(168241, '217.194.135.240', '217.194.135.255', 3653404656, 3653404671, 'GB', 'United Kingdom'),
(168242, '217.194.136.0', '217.194.136.7', 3653404672, 3653404679, 'TR', 'Turkey'),
(168243, '217.194.136.8', '217.194.136.35', 3653404680, 3653404707, 'GB', 'United Kingdom'),
(168244, '217.194.136.36', '217.194.136.41', 3653404708, 3653404713, 'IQ', 'Iraq'),
(168245, '217.194.136.42', '217.194.136.47', 3653404714, 3653404719, 'GB', 'United Kingdom'),
(168246, '217.194.136.48', '217.194.136.63', 3653404720, 3653404735, 'LB', 'Lebanon'),
(168247, '217.194.136.64', '217.194.136.151', 3653404736, 3653404823, 'GB', 'United Kingdom'),
(168248, '217.194.136.152', '217.194.136.159', 3653404824, 3653404831, 'LB', 'Lebanon'),
(168249, '217.194.136.160', '217.194.136.175', 3653404832, 3653404847, 'NG', 'Nigeria'),
(168250, '217.194.136.176', '217.194.136.183', 3653404848, 3653404855, 'GB', 'United Kingdom'),
(168251, '217.194.136.184', '217.194.136.191', 3653404856, 3653404863, 'SL', 'Sierra Leone'),
(168252, '217.194.136.192', '217.194.136.231', 3653404864, 3653404903, 'GB', 'United Kingdom'),
(168253, '217.194.136.232', '217.194.136.239', 3653404904, 3653404911, 'IQ', 'Iraq'),
(168254, '217.194.136.240', '217.194.136.247', 3653404912, 3653404919, 'LY', 'Libyan Arab Jamahiriya'),
(168255, '217.194.136.248', '217.194.137.31', 3653404920, 3653404959, 'GB', 'United Kingdom'),
(168256, '217.194.137.32', '217.194.137.47', 3653404960, 3653404975, 'UA', 'Ukraine'),
(168257, '217.194.137.48', '217.194.137.111', 3653404976, 3653405039, 'GB', 'United Kingdom'),
(168258, '217.194.137.112', '217.194.137.119', 3653405040, 3653405047, 'LB', 'Lebanon'),
(168259, '217.194.137.120', '217.194.137.127', 3653405048, 3653405055, 'IQ', 'Iraq'),
(168260, '217.194.137.128', '217.194.137.135', 3653405056, 3653405063, 'GB', 'United Kingdom'),
(168261, '217.194.137.136', '217.194.137.143', 3653405064, 3653405071, 'IQ', 'Iraq'),
(168262, '217.194.137.144', '217.194.137.167', 3653405072, 3653405095, 'GB', 'United Kingdom'),
(168263, '217.194.137.168', '217.194.137.175', 3653405096, 3653405103, 'NG', 'Nigeria'),
(168264, '217.194.137.176', '217.194.137.207', 3653405104, 3653405135, 'GB', 'United Kingdom'),
(168265, '217.194.137.208', '217.194.137.215', 3653405136, 3653405143, 'CD', 'Congo, The Democratic Republic of the'),
(168266, '217.194.137.216', '217.194.137.239', 3653405144, 3653405167, 'GB', 'United Kingdom'),
(168267, '217.194.137.240', '217.194.137.255', 3653405168, 3653405183, 'UA', 'Ukraine'),
(168268, '217.194.138.0', '217.194.138.255', 3653405184, 3653405439, 'AT', 'Austria'),
(168269, '217.194.139.0', '217.194.145.39', 3653405440, 3653407015, 'GB', 'United Kingdom'),
(168270, '217.194.145.40', '217.194.145.47', 3653407016, 3653407023, 'UG', 'Uganda'),
(168271, '217.194.145.48', '217.194.145.55', 3653407024, 3653407031, 'GB', 'United Kingdom'),
(168272, '217.194.145.56', '217.194.145.63', 3653407032, 3653407039, 'ZW', 'Zimbabwe'),
(168273, '217.194.145.64', '217.194.145.95', 3653407040, 3653407071, 'NG', 'Nigeria'),
(168274, '217.194.145.96', '217.194.145.127', 3653407072, 3653407103, 'GB', 'United Kingdom'),
(168275, '217.194.145.128', '217.194.145.135', 3653407104, 3653407111, 'UG', 'Uganda'),
(168276, '217.194.145.136', '217.194.145.143', 3653407112, 3653407119, 'ZM', 'Zambia'),
(168277, '217.194.145.144', '217.194.145.159', 3653407120, 3653407135, 'GB', 'United Kingdom'),
(168278, '217.194.145.160', '217.194.145.175', 3653407136, 3653407151, 'MZ', 'Mozambique'),
(168279, '217.194.145.176', '217.194.145.191', 3653407152, 3653407167, 'GB', 'United Kingdom'),
(168280, '217.194.145.192', '217.194.145.255', 3653407168, 3653407231, 'NG', 'Nigeria'),
(168281, '217.194.146.0', '217.194.146.159', 3653407232, 3653407391, 'GB', 'United Kingdom'),
(168282, '217.194.146.160', '217.194.146.167', 3653407392, 3653407399, 'NG', 'Nigeria'),
(168283, '217.194.146.168', '217.194.147.127', 3653407400, 3653407615, 'GB', 'United Kingdom'),
(168284, '217.194.147.128', '217.194.147.151', 3653407616, 3653407639, 'NG', 'Nigeria'),
(168285, '217.194.147.152', '217.194.147.159', 3653407640, 3653407647, 'ZM', 'Zambia'),
(168286, '217.194.147.160', '217.194.147.191', 3653407648, 3653407679, 'GB', 'United Kingdom'),
(168287, '217.194.147.192', '217.194.147.207', 3653407680, 3653407695, 'UG', 'Uganda'),
(168288, '217.194.147.208', '217.194.147.215', 3653407696, 3653407703, 'CD', 'Congo, The Democratic Republic of the'),
(168289, '217.194.147.216', '217.194.147.223', 3653407704, 3653407711, 'NG', 'Nigeria'),
(168290, '217.194.147.224', '217.194.147.255', 3653407712, 3653407743, 'GB', 'United Kingdom'),
(168291, '217.194.148.0', '217.194.148.255', 3653407744, 3653407999, 'AT', 'Austria'),
(168292, '217.194.149.0', '217.194.149.23', 3653408000, 3653408023, 'GB', 'United Kingdom'),
(168293, '217.194.149.24', '217.194.149.31', 3653408024, 3653408031, 'UG', 'Uganda'),
(168294, '217.194.149.32', '217.194.149.63', 3653408032, 3653408063, 'GB', 'United Kingdom'),
(168295, '217.194.149.64', '217.194.149.71', 3653408064, 3653408071, 'ZM', 'Zambia'),
(168296, '217.194.149.72', '217.194.149.79', 3653408072, 3653408079, 'NG', 'Nigeria'),
(168297, '217.194.149.80', '217.194.149.119', 3653408080, 3653408119, 'GB', 'United Kingdom'),
(168298, '217.194.149.120', '217.194.149.127', 3653408120, 3653408127, 'NG', 'Nigeria'),
(168299, '217.194.149.128', '217.194.149.143', 3653408128, 3653408143, 'GB', 'United Kingdom'),
(168300, '217.194.149.144', '217.194.149.151', 3653408144, 3653408151, 'NG', 'Nigeria'),
(168301, '217.194.149.152', '217.194.149.175', 3653408152, 3653408175, 'GB', 'United Kingdom'),
(168302, '217.194.149.176', '217.194.149.183', 3653408176, 3653408183, 'US', 'United States'),
(168303, '217.194.149.184', '217.194.149.191', 3653408184, 3653408191, 'MW', 'Malawi'),
(168304, '217.194.149.192', '217.194.149.199', 3653408192, 3653408199, 'GB', 'United Kingdom'),
(168305, '217.194.149.200', '217.194.149.207', 3653408200, 3653408207, 'NG', 'Nigeria'),
(168306, '217.194.149.208', '217.194.149.231', 3653408208, 3653408231, 'GB', 'United Kingdom'),
(168307, '217.194.149.232', '217.194.149.239', 3653408232, 3653408239, 'KE', 'Kenya'),
(168308, '217.194.149.240', '217.194.149.247', 3653408240, 3653408247, 'BF', 'Burkina Faso'),
(168309, '217.194.149.248', '217.194.150.15', 3653408248, 3653408271, 'GB', 'United Kingdom'),
(168310, '217.194.150.16', '217.194.150.23', 3653408272, 3653408279, 'IQ', 'Iraq'),
(168311, '217.194.150.24', '217.194.150.63', 3653408280, 3653408319, 'GB', 'United Kingdom'),
(168312, '217.194.150.64', '217.194.150.71', 3653408320, 3653408327, 'IQ', 'Iraq'),
(168313, '217.194.150.72', '217.194.151.255', 3653408328, 3653408767, 'GB', 'United Kingdom'),
(168314, '217.194.152.0', '217.194.152.255', 3653408768, 3653409023, 'CD', 'Congo, The Democratic Republic of the'),
(168315, '217.194.153.0', '217.194.153.15', 3653409024, 3653409039, 'GB', 'United Kingdom'),
(168316, '217.194.153.16', '217.194.153.23', 3653409040, 3653409047, 'NG', 'Nigeria'),
(168317, '217.194.153.24', '217.194.153.39', 3653409048, 3653409063, 'GB', 'United Kingdom'),
(168318, '217.194.153.40', '217.194.153.47', 3653409064, 3653409071, 'CD', 'Congo, The Democratic Republic of the'),
(168319, '217.194.153.48', '217.194.153.63', 3653409072, 3653409087, 'GB', 'United Kingdom'),
(168320, '217.194.153.64', '217.194.153.71', 3653409088, 3653409095, 'CD', 'Congo, The Democratic Republic of the'),
(168321, '217.194.153.72', '217.194.153.103', 3653409096, 3653409127, 'GB', 'United Kingdom'),
(168322, '217.194.153.104', '217.194.153.111', 3653409128, 3653409135, 'CD', 'Congo, The Democratic Republic of the'),
(168323, '217.194.153.112', '217.194.153.199', 3653409136, 3653409223, 'GB', 'United Kingdom'),
(168324, '217.194.153.200', '217.194.153.207', 3653409224, 3653409231, 'NG', 'Nigeria'),
(168325, '217.194.153.208', '217.194.153.255', 3653409232, 3653409279, 'GB', 'United Kingdom'),
(168326, '217.194.154.0', '217.194.154.31', 3653409280, 3653409311, 'TZ', 'Tanzania, United Republic of'),
(168327, '217.194.154.32', '217.194.154.39', 3653409312, 3653409319, 'IQ', 'Iraq'),
(168328, '217.194.154.40', '217.194.154.255', 3653409320, 3653409535, 'TZ', 'Tanzania, United Republic of'),
(168329, '217.194.155.0', '217.194.155.23', 3653409536, 3653409559, 'UA', 'Ukraine'),
(168330, '217.194.155.24', '217.194.155.31', 3653409560, 3653409567, 'CM', 'Cameroon'),
(168331, '217.194.155.32', '217.194.155.39', 3653409568, 3653409575, 'UA', 'Ukraine'),
(168332, '217.194.155.40', '217.194.155.79', 3653409576, 3653409615, 'GB', 'United Kingdom'),
(168333, '217.194.155.80', '217.194.155.87', 3653409616, 3653409623, 'IQ', 'Iraq'),
(168334, '217.194.155.88', '217.194.155.103', 3653409624, 3653409639, 'NG', 'Nigeria'),
(168335, '217.194.155.104', '217.194.155.111', 3653409640, 3653409647, 'GB', 'United Kingdom'),
(168336, '217.194.155.112', '217.194.155.127', 3653409648, 3653409663, 'NG', 'Nigeria'),
(168337, '217.194.155.128', '217.194.155.255', 3653409664, 3653409791, 'CM', 'Cameroon'),
(168338, '217.194.156.0', '217.194.156.127', 3653409792, 3653409919, 'GB', 'United Kingdom'),
(168339, '217.194.156.128', '217.194.156.255', 3653409920, 3653410047, 'NG', 'Nigeria'),
(168340, '217.194.157.0', '217.194.157.15', 3653410048, 3653410063, 'YT', 'Mayotte'),
(168341, '217.194.157.16', '217.194.157.31', 3653410064, 3653410079, 'UG', 'Uganda'),
(168342, '217.194.157.32', '217.194.157.39', 3653410080, 3653410087, 'GB', 'United Kingdom'),
(168343, '217.194.157.40', '217.194.157.47', 3653410088, 3653410095, 'IQ', 'Iraq'),
(168344, '217.194.157.48', '217.194.157.63', 3653410096, 3653410111, 'ZW', 'Zimbabwe'),
(168345, '217.194.157.64', '217.194.157.71', 3653410112, 3653410119, 'GB', 'United Kingdom'),
(168346, '217.194.157.72', '217.194.157.79', 3653410120, 3653410127, 'NG', 'Nigeria'),
(168347, '217.194.157.80', '217.194.157.103', 3653410128, 3653410151, 'GB', 'United Kingdom'),
(168348, '217.194.157.104', '217.194.157.111', 3653410152, 3653410159, 'KE', 'Kenya'),
(168349, '217.194.157.112', '217.194.157.127', 3653410160, 3653410175, 'NG', 'Nigeria'),
(168350, '217.194.157.128', '217.194.157.135', 3653410176, 3653410183, 'US', 'United States'),
(168351, '217.194.157.136', '217.194.157.143', 3653410184, 3653410191, 'MZ', 'Mozambique'),
(168352, '217.194.157.144', '217.194.157.151', 3653410192, 3653410199, 'ZW', 'Zimbabwe'),
(168353, '217.194.157.152', '217.194.157.199', 3653410200, 3653410247, 'GB', 'United Kingdom'),
(168354, '217.194.157.200', '217.194.157.207', 3653410248, 3653410255, 'ZM', 'Zambia'),
(168355, '217.194.157.208', '217.194.157.215', 3653410256, 3653410263, 'GB', 'United Kingdom'),
(168356, '217.194.157.216', '217.194.157.223', 3653410264, 3653410271, 'NG', 'Nigeria'),
(168357, '217.194.157.224', '217.194.157.231', 3653410272, 3653410279, 'GB', 'United Kingdom'),
(168358, '217.194.157.232', '217.194.157.239', 3653410280, 3653410287, 'IQ', 'Iraq'),
(168359, '217.194.157.240', '217.194.157.247', 3653410288, 3653410295, 'GB', 'United Kingdom'),
(168360, '217.194.157.248', '217.194.157.255', 3653410296, 3653410303, 'MW', 'Malawi'),
(168361, '217.194.158.0', '217.194.159.255', 3653410304, 3653410815, 'GB', 'United Kingdom'),
(168362, '217.194.160.0', '217.194.175.255', 3653410816, 3653414911, 'CZ', 'Czech Republic'),
(168363, '217.194.176.0', '217.194.191.255', 3653414912, 3653419007, 'IT', 'Italy'),
(168364, '217.194.192.0', '217.194.207.255', 3653419008, 3653423103, 'IL', 'Israel'),
(168365, '217.194.208.0', '217.194.223.255', 3653423104, 3653427199, 'GB', 'United Kingdom'),
(168366, '217.194.224.0', '217.194.239.255', 3653427200, 3653431295, 'DE', 'Germany'),
(168367, '217.194.240.0', '217.194.255.255', 3653431296, 3653435391, 'RU', 'Russian Federation'),
(168368, '217.195.0.0', '217.195.15.255', 3653435392, 3653439487, 'DE', 'Germany'),
(168369, '217.195.16.0', '217.195.31.255', 3653439488, 3653443583, 'FR', 'France'),
(168370, '217.195.32.0', '217.195.34.255', 3653443584, 3653444351, 'DE', 'Germany'),
(168371, '217.195.35.0', '217.195.35.31', 3653444352, 3653444383, 'IT', 'Italy'),
(168372, '217.195.35.32', '217.195.45.255', 3653444384, 3653447167, 'DE', 'Germany'),
(168373, '217.195.46.0', '217.195.47.255', 3653447168, 3653447679, 'NL', 'Netherlands'),
(168374, '217.195.48.0', '217.195.63.255', 3653447680, 3653451775, 'LV', 'Latvia'),
(168375, '217.195.64.0', '217.195.111.255', 3653451776, 3653464063, 'RU', 'Russian Federation'),
(168376, '217.195.112.0', '217.195.127.255', 3653464064, 3653468159, 'NL', 'Netherlands'),
(168377, '217.195.128.0', '217.195.143.255', 3653468160, 3653472255, 'GR', 'Greece'),
(168378, '217.195.144.0', '217.195.144.23', 3653472256, 3653472279, 'NL', 'Netherlands'),
(168379, '217.195.144.24', '217.195.144.35', 3653472280, 3653472291, 'AF', 'Afghanistan'),
(168380, '217.195.144.36', '217.195.144.255', 3653472292, 3653472511, 'NL', 'Netherlands'),
(168381, '217.195.145.0', '217.195.145.47', 3653472512, 3653472559, 'AF', 'Afghanistan'),
(168382, '217.195.145.48', '217.195.145.55', 3653472560, 3653472567, 'NL', 'Netherlands'),
(168383, '217.195.145.56', '217.195.145.63', 3653472568, 3653472575, 'AF', 'Afghanistan'),
(168384, '217.195.145.64', '217.195.145.79', 3653472576, 3653472591, 'NL', 'Netherlands'),
(168385, '217.195.145.80', '217.195.145.255', 3653472592, 3653472767, 'AF', 'Afghanistan'),
(168386, '217.195.146.0', '217.195.146.7', 3653472768, 3653472775, 'NL', 'Netherlands'),
(168387, '217.195.146.8', '217.195.146.23', 3653472776, 3653472791, 'AF', 'Afghanistan'),
(168388, '217.195.146.24', '217.195.146.63', 3653472792, 3653472831, 'NL', 'Netherlands'),
(168389, '217.195.146.64', '217.195.146.103', 3653472832, 3653472871, 'AF', 'Afghanistan'),
(168390, '217.195.146.104', '217.195.146.111', 3653472872, 3653472879, 'NL', 'Netherlands'),
(168391, '217.195.146.112', '217.195.146.147', 3653472880, 3653472915, 'AF', 'Afghanistan'),
(168392, '217.195.146.148', '217.195.146.151', 3653472916, 3653472919, 'NL', 'Netherlands'),
(168393, '217.195.146.152', '217.195.146.215', 3653472920, 3653472983, 'AF', 'Afghanistan'),
(168394, '217.195.146.216', '217.195.146.231', 3653472984, 3653472999, 'NL', 'Netherlands'),
(168395, '217.195.146.232', '217.195.146.255', 3653473000, 3653473023, 'AF', 'Afghanistan'),
(168396, '217.195.147.0', '217.195.147.255', 3653473024, 3653473279, 'US', 'United States'),
(168397, '217.195.148.0', '217.195.151.255', 3653473280, 3653474303, 'NL', 'Netherlands'),
(168398, '217.195.152.0', '217.195.152.63', 3653474304, 3653474367, 'US', 'United States'),
(168399, '217.195.152.64', '217.195.159.255', 3653474368, 3653476351, 'NL', 'Netherlands'),
(168400, '217.195.160.0', '217.195.175.255', 3653476352, 3653480447, 'CZ', 'Czech Republic'),
(168401, '217.195.176.0', '217.195.191.255', 3653480448, 3653484543, 'DK', 'Denmark'),
(168402, '217.195.192.0', '217.195.207.255', 3653484544, 3653488639, 'TR', 'Turkey'),
(168403, '217.195.208.0', '217.195.223.255', 3653488640, 3653492735, 'RU', 'Russian Federation'),
(168404, '217.195.224.0', '217.195.255.255', 3653492736, 3653500927, 'NL', 'Netherlands'),
(168405, '217.196.0.0', '217.196.15.255', 3653500928, 3653505023, 'GB', 'United Kingdom'),
(168406, '217.196.16.0', '217.196.31.255', 3653505024, 3653509119, 'KZ', 'Kazakhstan'),
(168407, '217.196.32.0', '217.196.47.255', 3653509120, 3653513215, 'NL', 'Netherlands'),
(168408, '217.196.48.0', '217.196.63.255', 3653513216, 3653517311, 'NO', 'Norway'),
(168409, '217.196.64.0', '217.196.68.31', 3653517312, 3653518367, 'AT', 'Austria'),
(168410, '217.196.68.32', '217.196.68.63', 3653518368, 3653518399, 'SK', 'Slovakia'),
(168411, '217.196.68.64', '217.196.68.143', 3653518400, 3653518479, 'AT', 'Austria'),
(168412, '217.196.68.144', '217.196.68.159', 3653518480, 3653518495, 'SK', 'Slovakia'),
(168413, '217.196.68.160', '217.196.73.207', 3653518496, 3653519823, 'AT', 'Austria'),
(168414, '217.196.73.208', '217.196.73.223', 3653519824, 3653519839, 'SK', 'Slovakia'),
(168415, '217.196.73.224', '217.196.75.95', 3653519840, 3653520223, 'AT', 'Austria'),
(168416, '217.196.75.96', '217.196.75.127', 3653520224, 3653520255, 'SK', 'Slovakia'),
(168417, '217.196.75.128', '217.196.86.31', 3653520256, 3653522975, 'AT', 'Austria'),
(168418, '217.196.86.32', '217.196.86.47', 3653522976, 3653522991, 'SK', 'Slovakia'),
(168419, '217.196.86.48', '217.196.86.255', 3653522992, 3653523199, 'AT', 'Austria'),
(168420, '217.196.87.0', '217.196.87.255', 3653523200, 3653523455, 'SK', 'Slovakia'),
(168421, '217.196.88.0', '217.196.88.159', 3653523456, 3653523615, 'AT', 'Austria'),
(168422, '217.196.88.160', '217.196.88.191', 3653523616, 3653523647, 'SK', 'Slovakia'),
(168423, '217.196.88.192', '217.196.92.71', 3653523648, 3653524551, 'AT', 'Austria'),
(168424, '217.196.92.72', '217.196.92.79', 3653524552, 3653524559, 'GR', 'Greece'),
(168425, '217.196.92.80', '217.196.92.255', 3653524560, 3653524735, 'AT', 'Austria'),
(168426, '217.196.93.0', '217.196.93.127', 3653524736, 3653524863, 'SK', 'Slovakia'),
(168427, '217.196.93.128', '217.196.93.223', 3653524864, 3653524959, 'AT', 'Austria'),
(168428, '217.196.93.224', '217.196.94.159', 3653524960, 3653525151, 'SK', 'Slovakia'),
(168429, '217.196.94.160', '217.196.94.191', 3653525152, 3653525183, 'AT', 'Austria'),
(168430, '217.196.94.192', '217.196.94.223', 3653525184, 3653525215, 'SK', 'Slovakia'),
(168431, '217.196.94.224', '217.196.95.255', 3653525216, 3653525503, 'AT', 'Austria'),
(168432, '217.196.96.0', '217.196.111.255', 3653525504, 3653529599, 'RU', 'Russian Federation'),
(168433, '217.196.112.0', '217.196.127.255', 3653529600, 3653533695, 'CZ', 'Czech Republic'),
(168434, '217.196.128.0', '217.196.143.255', 3653533696, 3653537791, 'IT', 'Italy'),
(168435, '217.196.144.0', '217.196.148.215', 3653537792, 3653539031, 'AT', 'Austria'),
(168436, '217.196.148.216', '217.196.148.223', 3653539032, 3653539039, 'US', 'United States'),
(168437, '217.196.148.224', '217.196.149.223', 3653539040, 3653539295, 'AT', 'Austria'),
(168438, '217.196.149.224', '217.196.149.239', 3653539296, 3653539311, 'US', 'United States'),
(168439, '217.196.149.240', '217.196.159.255', 3653539312, 3653541887, 'AT', 'Austria'),
(168440, '217.196.160.0', '217.196.175.255', 3653541888, 3653545983, 'UA', 'Ukraine'),
(168441, '217.196.176.0', '217.196.191.255', 3653545984, 3653550079, 'CH', 'Switzerland'),
(168442, '217.196.192.0', '217.196.207.255', 3653550080, 3653554175, 'MK', 'Macedonia'),
(168443, '217.196.208.0', '217.196.223.255', 3653554176, 3653558271, 'CZ', 'Czech Republic'),
(168444, '217.196.224.0', '217.196.229.119', 3653558272, 3653559671, 'GB', 'United Kingdom'),
(168445, '217.196.229.120', '217.196.229.127', 3653559672, 3653559679, 'US', 'United States'),
(168446, '217.196.229.128', '217.196.255.255', 3653559680, 3653566463, 'GB', 'United Kingdom'),
(168447, '217.197.0.0', '217.197.15.255', 3653566464, 3653570559, 'RU', 'Russian Federation'),
(168448, '217.197.16.0', '217.197.31.255', 3653570560, 3653574655, 'ES', 'Spain'),
(168449, '217.197.32.0', '217.197.47.255', 3653574656, 3653578751, 'CZ', 'Czech Republic'),
(168450, '217.197.48.0', '217.197.63.255', 3653578752, 3653582847, 'SE', 'Sweden'),
(168451, '217.197.64.0', '217.197.79.255', 3653582848, 3653586943, 'PL', 'Poland'),
(168452, '217.197.80.0', '217.197.95.255', 3653586944, 3653591039, 'DE', 'Germany'),
(168453, '217.197.96.0', '217.197.111.255', 3653591040, 3653595135, 'LU', 'Luxembourg'),
(168454, '217.197.112.0', '217.197.127.255', 3653595136, 3653599231, 'RU', 'Russian Federation'),
(168455, '217.197.128.0', '217.197.135.255', 3653599232, 3653601279, 'CH', 'Switzerland'),
(168456, '217.197.136.0', '217.197.143.255', 3653601280, 3653603327, 'BA', 'Bosnia and Herzegovina'),
(168457, '217.197.144.0', '217.197.159.255', 3653603328, 3653607423, 'CZ', 'Czech Republic'),
(168458, '217.197.160.0', '217.197.175.255', 3653607424, 3653611519, 'PL', 'Poland'),
(168459, '217.197.176.0', '217.197.191.255', 3653611520, 3653615615, 'HU', 'Hungary'),
(168460, '217.197.192.0', '217.197.207.255', 3653615616, 3653619711, 'RU', 'Russian Federation'),
(168461, '217.197.208.0', '217.197.221.255', 3653619712, 3653623295, 'CH', 'Switzerland'),
(168462, '217.197.222.0', '217.197.222.255', 3653623296, 3653623551, 'JP', 'Japan'),
(168463, '217.197.223.0', '217.197.223.255', 3653623552, 3653623807, 'US', 'United States'),
(168464, '217.197.224.0', '217.198.15.255', 3653623808, 3653636095, 'RU', 'Russian Federation'),
(168465, '217.198.16.0', '217.198.31.255', 3653636096, 3653640191, 'NL', 'Netherlands'),
(168466, '217.198.32.0', '217.198.63.255', 3653640192, 3653648383, 'GB', 'United Kingdom'),
(168467, '217.198.64.0', '217.198.79.255', 3653648384, 3653652479, 'SE', 'Sweden'),
(168468, '217.198.80.0', '217.198.95.255', 3653652480, 3653656575, 'RU', 'Russian Federation'),
(168469, '217.198.96.0', '217.198.111.255', 3653656576, 3653660671, 'GB', 'United Kingdom'),
(168470, '217.198.112.0', '217.198.127.255', 3653660672, 3653664767, 'CZ', 'Czech Republic'),
(168471, '217.198.128.0', '217.198.128.127', 3653664768, 3653664895, 'DE', 'Germany'),
(168472, '217.198.128.128', '217.198.128.143', 3653664896, 3653664911, 'FR', 'France'),
(168473, '217.198.128.144', '217.198.128.255', 3653664912, 3653665023, 'NL', 'Netherlands'),
(168474, '217.198.129.0', '217.198.129.63', 3653665024, 3653665087, 'DE', 'Germany'),
(168475, '217.198.129.64', '217.198.129.127', 3653665088, 3653665151, 'NL', 'Netherlands'),
(168476, '217.198.129.128', '217.198.129.255', 3653665152, 3653665279, 'DE', 'Germany'),
(168477, '217.198.130.0', '217.198.131.255', 3653665280, 3653665791, 'NL', 'Netherlands'),
(168478, '217.198.132.0', '217.198.143.255', 3653665792, 3653668863, 'DE', 'Germany'),
(168479, '217.198.144.0', '217.198.159.255', 3653668864, 3653672959, 'SE', 'Sweden'),
(168480, '217.198.160.0', '217.198.191.255', 3653672960, 3653681151, 'RU', 'Russian Federation'),
(168481, '217.198.192.0', '217.198.207.255', 3653681152, 3653685247, 'ES', 'Spain'),
(168482, '217.198.208.0', '217.198.223.255', 3653685248, 3653689343, 'DK', 'Denmark'),
(168483, '217.198.224.0', '217.198.239.255', 3653689344, 3653693439, 'LV', 'Latvia'),
(168484, '217.198.240.0', '217.198.255.255', 3653693440, 3653697535, 'DE', 'Germany'),
(168485, '217.199.0.0', '217.199.31.255', 3653697536, 3653705727, 'IT', 'Italy'),
(168486, '217.199.32.0', '217.199.32.7', 3653705728, 3653705735, 'SE', 'Sweden'),
(168487, '217.199.32.8', '217.199.32.135', 3653705736, 3653705863, 'NO', 'Norway'),
(168488, '217.199.32.136', '217.199.32.143', 3653705864, 3653705871, 'SE', 'Sweden'),
(168489, '217.199.32.144', '217.199.32.167', 3653705872, 3653705895, 'NO', 'Norway'),
(168490, '217.199.32.168', '217.199.32.175', 3653705896, 3653705903, 'BS', 'Bahamas'),
(168491, '217.199.32.176', '217.199.33.191', 3653705904, 3653706175, 'NO', 'Norway'),
(168492, '217.199.33.192', '217.199.33.207', 3653706176, 3653706191, 'SE', 'Sweden'),
(168493, '217.199.33.208', '217.199.34.31', 3653706192, 3653706271, 'NO', 'Norway'),
(168494, '217.199.34.32', '217.199.34.63', 3653706272, 3653706303, 'SE', 'Sweden'),
(168495, '217.199.34.64', '217.199.34.255', 3653706304, 3653706495, 'NO', 'Norway'),
(168496, '217.199.35.0', '217.199.35.255', 3653706496, 3653706751, 'SE', 'Sweden'),
(168497, '217.199.36.0', '217.199.51.255', 3653706752, 3653710847, 'NO', 'Norway'),
(168498, '217.199.52.0', '217.199.52.63', 3653710848, 3653710911, 'SE', 'Sweden'),
(168499, '217.199.52.64', '217.199.63.255', 3653710912, 3653713919, 'NO', 'Norway'),
(168500, '217.199.64.0', '217.199.79.255', 3653713920, 3653718015, 'DE', 'Germany'),
(168501, '217.199.80.0', '217.199.95.255', 3653718016, 3653722111, 'AT', 'Austria'),
(168502, '217.199.96.0', '217.199.127.255', 3653722112, 3653730303, 'LV', 'Latvia'),
(168503, '217.199.128.0', '217.199.143.255', 3653730304, 3653734399, 'BA', 'Bosnia and Herzegovina'),
(168504, '217.199.144.0', '217.199.159.255', 3653734400, 3653738495, 'KE', 'Kenya'),
(168505, '217.199.160.0', '217.199.191.255', 3653738496, 3653746687, 'GB', 'United Kingdom'),
(168506, '217.199.192.0', '217.199.207.255', 3653746688, 3653750783, 'DE', 'Germany'),
(168507, '217.199.208.0', '217.199.216.255', 3653750784, 3653753087, 'RU', 'Russian Federation'),
(168508, '217.199.217.0', '217.199.217.127', 3653753088, 3653753215, 'VG', 'Virgin Islands, British'),
(168509, '217.199.217.128', '217.199.223.255', 3653753216, 3653754879, 'RU', 'Russian Federation'),
(168510, '217.199.224.0', '217.199.239.255', 3653754880, 3653758975, 'UA', 'Ukraine'),
(168511, '217.199.240.0', '217.199.255.255', 3653758976, 3653763071, 'RU', 'Russian Federation'),
(168512, '217.200.0.0', '217.203.255.255', 3653763072, 3654025215, 'IT', 'Italy'),
(168513, '217.204.0.0', '217.204.37.95', 3654025216, 3654034783, 'GB', 'United Kingdom'),
(168514, '217.204.37.96', '217.204.37.111', 3654034784, 3654034799, 'LU', 'Luxembourg'),
(168515, '217.204.37.112', '217.204.40.127', 3654034800, 3654035583, 'GB', 'United Kingdom'),
(168516, '217.204.40.128', '217.204.40.135', 3654035584, 3654035591, 'US', 'United States'),
(168517, '217.204.40.136', '217.204.40.151', 3654035592, 3654035607, 'GB', 'United Kingdom'),
(168518, '217.204.40.152', '217.204.40.159', 3654035608, 3654035615, 'SE', 'Sweden'),
(168519, '217.204.40.160', '217.204.80.183', 3654035616, 3654045879, 'GB', 'United Kingdom'),
(168520, '217.204.80.184', '217.204.80.191', 3654045880, 3654045887, 'IT', 'Italy'),
(168521, '217.204.80.192', '217.204.139.235', 3654045888, 3654061035, 'GB', 'United Kingdom'),
(168522, '217.204.139.236', '217.204.139.239', 3654061036, 3654061039, 'US', 'United States'),
(168523, '217.204.139.240', '217.204.143.127', 3654061040, 3654061951, 'GB', 'United Kingdom'),
(168524, '217.204.143.128', '217.204.143.255', 3654061952, 3654062079, 'DE', 'Germany'),
(168525, '217.204.144.0', '217.204.159.107', 3654062080, 3654066027, 'GB', 'United Kingdom'),
(168526, '217.204.159.108', '217.204.159.111', 3654066028, 3654066031, 'MC', 'Monaco'),
(168527, '217.204.159.112', '217.207.255.255', 3654066032, 3654287359, 'GB', 'United Kingdom'),
(168528, '217.208.0.0', '217.212.224.255', 3654287360, 3654607103, 'SE', 'Sweden'),
(168529, '217.212.225.0', '217.212.225.255', 3654607104, 3654607359, 'DE', 'Germany'),
(168530, '217.212.226.0', '217.212.226.255', 3654607360, 3654607615, 'PL', 'Poland'),
(168531, '217.212.227.0', '217.212.227.255', 3654607616, 3654607871, 'SE', 'Sweden'),
(168532, '217.212.228.0', '217.212.228.255', 3654607872, 3654608127, 'NO', 'Norway'),
(168533, '217.212.229.0', '217.212.229.255', 3654608128, 3654608383, 'SE', 'Sweden'),
(168534, '217.212.230.0', '217.212.231.255', 3654608384, 3654608895, 'A2', 'Satellite Provider'),
(168535, '217.212.232.0', '217.212.235.255', 3654608896, 3654609919, 'NO', 'Norway'),
(168536, '217.212.236.0', '217.212.237.255', 3654609920, 3654610431, 'SE', 'Sweden'),
(168537, '217.212.238.0', '217.212.239.255', 3654610432, 3654610943, 'FR', 'France'),
(168538, '217.212.240.0', '217.212.248.15', 3654610944, 3654613007, 'SE', 'Sweden'),
(168539, '217.212.248.16', '217.212.248.23', 3654613008, 3654613015, 'RU', 'Russian Federation'),
(168540, '217.212.248.24', '217.212.248.63', 3654613016, 3654613055, 'SE', 'Sweden'),
(168541, '217.212.248.64', '217.212.248.79', 3654613056, 3654613071, 'RU', 'Russian Federation'),
(168542, '217.212.248.80', '217.212.248.95', 3654613072, 3654613087, 'SE', 'Sweden'),
(168543, '217.212.248.96', '217.212.248.159', 3654613088, 3654613151, 'RU', 'Russian Federation'),
(168544, '217.212.248.160', '217.212.248.255', 3654613152, 3654613247, 'SE', 'Sweden'),
(168545, '217.212.249.0', '217.212.251.255', 3654613248, 3654614015, 'NO', 'Norway'),
(168546, '217.212.252.0', '217.212.252.63', 3654614016, 3654614079, 'SE', 'Sweden'),
(168547, '217.212.252.64', '217.212.252.255', 3654614080, 3654614271, 'FI', 'Finland'),
(168548, '217.212.253.0', '217.212.253.255', 3654614272, 3654614527, 'SE', 'Sweden'),
(168549, '217.212.254.0', '217.212.254.255', 3654614528, 3654614783, 'RU', 'Russian Federation'),
(168550, '217.212.255.0', '217.212.255.255', 3654614784, 3654615039, 'NO', 'Norway'),
(168551, '217.213.0.0', '217.215.255.255', 3654615040, 3654811647, 'SE', 'Sweden'),
(168552, '217.216.0.0', '217.217.255.255', 3654811648, 3654942719, 'ES', 'Spain'),
(168553, '217.218.0.0', '217.219.255.255', 3654942720, 3655073791, 'IR', 'Iran, Islamic Republic of'),
(168554, '217.220.0.0', '217.223.255.255', 3655073792, 3655335935, 'IT', 'Italy'),
(168555, '217.224.0.0', '217.243.204.143', 3655335936, 3656633487, 'DE', 'Germany'),
(168556, '217.243.204.144', '217.243.204.151', 3656633488, 3656633495, 'GB', 'United Kingdom'),
(168557, '217.243.204.152', '217.243.204.159', 3656633496, 3656633503, 'US', 'United States'),
(168558, '217.243.204.160', '217.243.212.255', 3656633504, 3656635647, 'DE', 'Germany'),
(168559, '217.243.213.0', '217.243.213.255', 3656635648, 3656635903, 'GB', 'United Kingdom'),
(168560, '217.243.214.0', '217.244.15.87', 3656635904, 3656650583, 'DE', 'Germany'),
(168561, '217.244.15.88', '217.244.15.95', 3656650584, 3656650591, 'US', 'United States'),
(168562, '217.244.15.96', '217.244.56.191', 3656650592, 3656661183, 'DE', 'Germany'),
(168563, '217.244.56.192', '217.244.56.207', 3656661184, 3656661199, 'AT', 'Austria'),
(168564, '217.244.56.208', '217.244.58.79', 3656661200, 3656661583, 'DE', 'Germany'),
(168565, '217.244.58.80', '217.244.58.95', 3656661584, 3656661599, 'AT', 'Austria'),
(168566, '217.244.58.96', '217.244.58.143', 3656661600, 3656661647, 'DE', 'Germany'),
(168567, '217.244.58.144', '217.244.58.175', 3656661648, 3656661679, 'AT', 'Austria'),
(168568, '217.244.58.176', '217.244.60.255', 3656661680, 3656662271, 'DE', 'Germany'),
(168569, '217.244.61.0', '217.244.61.95', 3656662272, 3656662367, 'AT', 'Austria'),
(168570, '217.244.61.96', '217.244.61.159', 3656662368, 3656662431, 'DE', 'Germany'),
(168571, '217.244.61.160', '217.244.61.191', 3656662432, 3656662463, 'AT', 'Austria'),
(168572, '217.244.61.192', '217.255.255.255', 3656662464, 3657433087, 'DE', 'Germany'),
(168573, '218.0.0.0', '218.31.255.255', 3657433088, 3659530239, 'CN', 'China'),
(168574, '218.32.0.0', '218.32.255.255', 3659530240, 3659595775, 'TW', 'Taiwan'),
(168575, '218.33.0.0', '218.33.127.255', 3659595776, 3659628543, 'ID', 'Indonesia'),
(168576, '218.33.128.0', '218.33.255.255', 3659628544, 3659661311, 'JP', 'Japan'),
(168577, '218.34.0.0', '218.35.255.255', 3659661312, 3659792383, 'TW', 'Taiwan'),
(168578, '218.36.0.0', '218.39.255.255', 3659792384, 3660054527, 'KR', 'Korea, Republic of'),
(168579, '218.40.0.0', '218.40.164.255', 3660054528, 3660096767, 'JP', 'Japan'),
(168580, '218.40.165.0', '218.40.168.255', 3660096768, 3660097791, 'US', 'United States'),
(168581, '218.40.169.0', '218.40.185.255', 3660097792, 3660102143, 'JP', 'Japan'),
(168582, '218.40.186.0', '218.40.186.255', 3660102144, 3660102399, 'US', 'United States'),
(168583, '218.40.187.0', '218.47.255.255', 3660102400, 3660578815, 'JP', 'Japan'),
(168584, '218.48.0.0', '218.55.255.255', 3660578816, 3661103103, 'KR', 'Korea, Republic of'),
(168585, '218.56.0.0', '218.99.255.255', 3661103104, 3663986687, 'CN', 'China'),
(168586, '218.100.0.0', '218.100.3.255', 3663986688, 3663987711, 'AU', 'Australia'),
(168587, '218.100.4.0', '218.100.4.255', 3663987712, 3663987967, 'ID', 'Indonesia'),
(168588, '218.100.5.0', '218.100.9.255', 3663987968, 3663989247, 'JP', 'Japan'),
(168589, '218.100.10.0', '218.100.10.255', 3663989248, 3663989503, 'VN', 'Vietnam'),
(168590, '218.100.11.0', '218.100.11.255', 3663989504, 3663989759, 'ID', 'Indonesia'),
(168591, '218.100.12.0', '218.100.13.255', 3663989760, 3663990271, 'AU', 'Australia'),
(168592, '218.100.14.0', '218.100.14.255', 3663990272, 3663990527, 'VN', 'Vietnam'),
(168593, '218.100.15.0', '218.100.15.255', 3663990528, 3663990783, 'JP', 'Japan'),
(168594, '218.100.16.0', '218.100.17.255', 3663990784, 3663991295, 'HK', 'Hong Kong'),
(168595, '218.100.18.0', '218.100.18.255', 3663991296, 3663991551, 'MY', 'Malaysia'),
(168596, '218.100.19.0', '218.100.19.255', 3663991552, 3663991807, 'AU', 'Australia'),
(168597, '218.100.21.0', '218.100.21.255', 3663992064, 3663992319, 'NZ', 'New Zealand'),
(168598, '218.100.22.0', '218.100.22.255', 3663992320, 3663992575, 'MY', 'Malaysia'),
(168599, '218.100.23.0', '218.100.26.255', 3663992576, 3663993599, 'NZ', 'New Zealand'),
(168600, '218.100.27.0', '218.100.36.255', 3663993600, 3663996159, 'ID', 'Indonesia'),
(168601, '218.100.37.0', '218.100.37.255', 3663996160, 3663996415, 'AU', 'Australia'),
(168602, '218.100.38.0', '218.100.38.255', 3663996416, 3663996671, 'TH', 'Thailand'),
(168603, '218.100.39.0', '218.100.40.255', 3663996672, 3663997183, 'AU', 'Australia'),
(168604, '218.100.41.0', '218.100.41.255', 3663997184, 3663997439, 'ID', 'Indonesia'),
(168605, '218.100.42.0', '218.100.42.255', 3663997440, 3663997695, 'JP', 'Japan'),
(168606, '218.100.43.0', '218.100.43.255', 3663997696, 3663997951, 'AU', 'Australia'),
(168607, '218.100.44.0', '218.100.44.255', 3663997952, 3663998207, 'MY', 'Malaysia'),
(168608, '218.100.45.0', '218.100.45.255', 3663998208, 3663998463, 'JP', 'Japan'),
(168609, '218.100.46.0', '218.100.47.255', 3663998464, 3663998975, 'TH', 'Thailand'),
(168610, '218.100.48.0', '218.100.49.255', 3663998976, 3663999487, 'IN', 'India'),
(168611, '218.100.50.0', '218.100.50.255', 3663999488, 3663999743, 'AU', 'Australia'),
(168612, '218.100.51.0', '218.100.51.255', 3663999744, 3663999999, 'KH', 'Cambodia'),
(168613, '218.100.52.0', '218.100.54.255', 3664000000, 3664000767, 'AU', 'Australia'),
(168614, '218.100.55.0', '218.100.55.255', 3664000768, 3664001023, 'ID', 'Indonesia'),
(168615, '218.100.56.0', '218.100.56.255', 3664001024, 3664001279, 'NZ', 'New Zealand'),
(168616, '218.100.57.0', '218.100.57.255', 3664001280, 3664001535, 'LK', 'Sri Lanka'),
(168617, '218.100.58.0', '218.100.58.255', 3664001536, 3664001791, 'MY', 'Malaysia'),
(168618, '218.100.59.0', '218.100.59.255', 3664001792, 3664002047, 'AU', 'Australia'),
(168619, '218.100.60.0', '218.100.60.255', 3664002048, 3664002303, 'VN', 'Vietnam'),
(168620, '218.100.61.0', '218.100.61.255', 3664002304, 3664002559, 'LK', 'Sri Lanka'),
(168621, '218.100.62.0', '218.100.64.255', 3664002560, 3664003327, 'ID', 'Indonesia'),
(168622, '218.100.65.0', '218.100.65.255', 3664003328, 3664003583, 'NZ', 'New Zealand'),
(168623, '218.100.66.0', '218.100.66.255', 3664003584, 3664003839, 'TH', 'Thailand'),
(168624, '218.100.67.0', '218.100.67.255', 3664003840, 3664004095, 'JP', 'Japan'),
(168625, '218.100.69.0', '218.100.69.255', 3664004352, 3664004607, 'MY', 'Malaysia'),
(168626, '218.100.70.0', '218.100.70.255', 3664004608, 3664004863, 'SG', 'Singapore'),
(168627, '218.100.71.0', '218.100.71.255', 3664004864, 3664005119, 'KH', 'Cambodia'),
(168628, '218.100.72.0', '218.100.74.255', 3664005120, 3664005887, 'ID', 'Indonesia'),
(168629, '218.100.75.0', '218.100.75.255', 3664005888, 3664006143, 'MY', 'Malaysia'),
(168630, '218.100.76.0', '218.100.76.255', 3664006144, 3664006399, 'AU', 'Australia'),
(168631, '218.100.77.0', '218.100.77.255', 3664006400, 3664006655, 'PF', 'French Polynesia'),
(168632, '218.100.78.0', '218.100.78.255', 3664006656, 3664006911, 'AU', 'Australia'),
(168633, '218.100.79.0', '218.100.79.255', 3664006912, 3664007167, 'NZ', 'New Zealand'),
(168634, '218.100.80.0', '218.100.83.255', 3664007168, 3664008191, 'AU', 'Australia'),
(168635, '218.100.84.0', '218.100.84.255', 3664008192, 3664008447, 'MN', 'Mongolia'),
(168636, '218.100.85.0', '218.100.85.255', 3664008448, 3664008703, 'PK', 'Pakistan'),
(168637, '218.100.86.0', '218.100.86.255', 3664008704, 3664008959, 'MY', 'Malaysia'),
(168638, '218.100.87.0', '218.100.87.255', 3664008960, 3664009215, 'AU', 'Australia'),
(168639, '218.100.88.0', '218.100.255.255', 3664009216, 3664052223, 'CN', 'China'),
(168640, '218.101.0.0', '218.101.127.255', 3664052224, 3664084991, 'NZ', 'New Zealand'),
(168641, '218.101.128.0', '218.101.255.255', 3664084992, 3664117759, 'KR', 'Korea, Republic of'),
(168642, '218.102.0.0', '218.103.255.255', 3664117760, 3664248831, 'HK', 'Hong Kong'),
(168643, '218.104.0.0', '218.109.255.255', 3664248832, 3664642047, 'CN', 'China'),
(168644, '218.110.0.0', '218.110.255.255', 3664642048, 3664707583, 'JP', 'Japan'),
(168645, '218.111.0.0', '218.111.255.255', 3664707584, 3664773119, 'MY', 'Malaysia'),
(168646, '218.112.0.0', '218.143.255.255', 3664773120, 3666870271, 'JP', 'Japan'),
(168647, '218.144.0.0', '218.159.255.255', 3666870272, 3667918847, 'KR', 'Korea, Republic of'),
(168648, '218.160.0.0', '218.175.255.255', 3667918848, 3668967423, 'TW', 'Taiwan'),
(168649, '218.176.0.0', '218.183.255.255', 3668967424, 3669491711, 'JP', 'Japan'),
(168650, '218.184.0.0', '218.184.255.255', 3669491712, 3669557247, 'TW', 'Taiwan'),
(168651, '218.185.0.0', '218.185.127.255', 3669557248, 3669590015, 'AU', 'Australia'),
(168652, '218.185.128.0', '218.185.191.255', 3669590016, 3669606399, 'JP', 'Japan'),
(168653, '218.185.192.0', '218.185.223.255', 3669606400, 3669614591, 'CN', 'China'),
(168654, '218.185.224.0', '218.185.231.255', 3669614592, 3669616639, 'NZ', 'New Zealand'),
(168655, '218.185.232.0', '218.185.239.255', 3669616640, 3669618687, 'AU', 'Australia'),
(168656, '218.185.240.0', '218.185.247.255', 3669618688, 3669620735, 'CN', 'China'),
(168657, '218.186.0.0', '218.186.255.255', 3669622784, 3669688319, 'SG', 'Singapore'),
(168658, '218.187.0.0', '218.187.255.255', 3669688320, 3669753855, 'TW', 'Taiwan'),
(168659, '218.188.0.0', '218.191.255.255', 3669753856, 3670015999, 'HK', 'Hong Kong'),
(168660, '218.192.0.0', '218.207.255.255', 3670016000, 3671064575, 'CN', 'China'),
(168661, '218.208.0.0', '218.208.255.255', 3671064576, 3671130111, 'MY', 'Malaysia'),
(168662, '218.209.0.0', '218.209.255.255', 3671130112, 3671195647, 'KR', 'Korea, Republic of'),
(168663, '218.210.0.0', '218.211.255.255', 3671195648, 3671326719, 'TW', 'Taiwan'),
(168664, '218.212.0.0', '218.212.255.255', 3671326720, 3671392255, 'SG', 'Singapore'),
(168665, '218.213.0.0', '218.213.75.255', 3671392256, 3671411711, 'HK', 'Hong Kong'),
(168666, '218.213.76.0', '218.213.76.255', 3671411712, 3671411967, 'AP', 'Asia/Pacific Region'),
(168667, '218.213.77.0', '218.213.255.255', 3671411968, 3671457791, 'HK', 'Hong Kong'),
(168668, '218.214.0.0', '218.215.255.255', 3671457792, 3671588863, 'AU', 'Australia'),
(168669, '218.216.0.0', '218.231.255.255', 3671588864, 3672637439, 'JP', 'Japan'),
(168670, '218.232.0.0', '218.239.255.255', 3672637440, 3673161727, 'KR', 'Korea, Republic of'),
(168671, '218.240.0.0', '218.247.255.255', 3673161728, 3673686015, 'CN', 'China'),
(168672, '218.248.0.0', '218.248.255.255', 3673686016, 3673751551, 'IN', 'India'),
(168673, '218.249.0.0', '218.249.255.255', 3673751552, 3673817087, 'CN', 'China'),
(168674, '218.250.0.0', '218.250.255.255', 3673817088, 3673882623, 'HK', 'Hong Kong'),
(168675, '218.251.0.0', '218.251.255.255', 3673882624, 3673948159, 'JP', 'Japan'),
(168676, '218.252.0.0', '218.255.255.255', 3673948160, 3674210303, 'HK', 'Hong Kong'),
(168677, '219.0.0.0', '219.63.255.255', 3674210304, 3678404607, 'JP', 'Japan'),
(168678, '219.64.0.0', '219.65.255.255', 3678404608, 3678535679, 'IN', 'India'),
(168679, '219.66.0.0', '219.66.224.255', 3678535680, 3678593279, 'JP', 'Japan'),
(168680, '219.66.225.0', '219.66.225.255', 3678593280, 3678593535, 'US', 'United States'),
(168681, '219.66.226.0', '219.67.255.255', 3678593536, 3678666751, 'JP', 'Japan'),
(168682, '219.68.0.0', '219.71.255.255', 3678666752, 3678928895, 'TW', 'Taiwan'),
(168683, '219.72.0.0', '219.72.255.255', 3678928896, 3678994431, 'CN', 'China'),
(168684, '219.73.0.0', '219.73.127.255', 3678994432, 3679027199, 'HK', 'Hong Kong'),
(168685, '219.73.128.0', '219.73.255.255', 3679027200, 3679059967, 'JP', 'Japan'),
(168686, '219.74.0.0', '219.75.127.255', 3679059968, 3679158271, 'SG', 'Singapore'),
(168687, '219.75.128.0', '219.75.255.255', 3679158272, 3679191039, 'JP', 'Japan'),
(168688, '219.76.0.0', '219.79.255.255', 3679191040, 3679453183, 'HK', 'Hong Kong'),
(168689, '219.80.0.0', '219.81.255.255', 3679453184, 3679584255, 'TW', 'Taiwan'),
(168690, '219.82.0.0', '219.82.255.255', 3679584256, 3679649791, 'CN', 'China'),
(168691, '219.83.0.0', '219.83.127.255', 3679649792, 3679682559, 'ID', 'Indonesia'),
(168692, '219.83.128.0', '219.83.255.255', 3679682560, 3679715327, 'CN', 'China'),
(168693, '219.84.0.0', '219.87.255.255', 3679715328, 3679977471, 'TW', 'Taiwan'),
(168694, '219.88.0.0', '219.89.255.255', 3679977472, 3680108543, 'NZ', 'New Zealand'),
(168695, '219.90.0.0', '219.90.63.255', 3680108544, 3680124927, 'TW', 'Taiwan'),
(168696, '219.90.80.0', '219.90.95.255', 3680129024, 3680133119, 'PH', 'Philippines'),
(168697, '219.90.96.0', '219.90.111.255', 3680133120, 3680137215, 'IN', 'India'),
(168698, '219.90.112.0', '219.90.127.255', 3680137216, 3680141311, 'HK', 'Hong Kong'),
(168699, '219.90.128.0', '219.90.255.255', 3680141312, 3680174079, 'AU', 'Australia'),
(168700, '219.91.0.0', '219.91.127.255', 3680174080, 3680206847, 'TW', 'Taiwan'),
(168701, '219.91.128.0', '219.91.255.255', 3680206848, 3680239615, 'IN', 'India'),
(168702, '219.92.0.0', '219.94.127.255', 3680239616, 3680403455, 'MY', 'Malaysia'),
(168703, '219.94.128.0', '219.94.255.255', 3680403456, 3680436223, 'JP', 'Japan'),
(168704, '219.95.0.0', '219.95.255.255', 3680436224, 3680501759, 'MY', 'Malaysia'),
(168705, '219.96.0.0', '219.101.195.255', 3680501760, 3680879615, 'JP', 'Japan'),
(168706, '219.101.196.0', '219.101.196.255', 3680879616, 3680879871, 'US', 'United States'),
(168707, '219.101.197.0', '219.112.37.255', 3680879872, 3681560063, 'JP', 'Japan'),
(168708, '219.112.38.0', '219.112.38.255', 3681560064, 3681560319, 'US', 'United States'),
(168709, '219.112.39.0', '219.112.72.255', 3681560320, 3681569023, 'JP', 'Japan'),
(168710, '219.112.73.0', '219.112.73.255', 3681569024, 3681569279, 'US', 'United States'),
(168711, '219.112.74.0', '219.127.82.255', 3681569280, 3682554623, 'JP', 'Japan'),
(168712, '219.127.83.0', '219.127.83.255', 3682554624, 3682554879, 'AP', 'Asia/Pacific Region'),
(168713, '219.127.84.0', '219.127.212.255', 3682554880, 3682587903, 'JP', 'Japan'),
(168714, '219.127.213.0', '219.127.213.255', 3682587904, 3682588159, 'US', 'United States'),
(168715, '219.127.214.0', '219.127.255.255', 3682588160, 3682598911, 'JP', 'Japan'),
(168716, '219.128.0.0', '219.159.255.255', 3682598912, 3684696063, 'CN', 'China'),
(168717, '219.160.0.0', '219.215.255.255', 3684696064, 3688366079, 'JP', 'Japan'),
(168718, '219.216.0.0', '219.239.255.255', 3688366080, 3689938943, 'CN', 'China'),
(168719, '219.240.0.0', '219.241.255.255', 3689938944, 3690070015, 'KR', 'Korea, Republic of'),
(168720, '219.242.0.0', '219.247.255.255', 3690070016, 3690463231, 'CN', 'China'),
(168721, '219.248.0.0', '219.255.255.255', 3690463232, 3690987519, 'KR', 'Korea, Republic of'),
(168722, '220.0.0.0', '220.63.255.255', 3690987520, 3695181823, 'JP', 'Japan'),
(168723, '220.64.0.0', '220.95.255.255', 3695181824, 3697278975, 'KR', 'Korea, Republic of'),
(168724, '220.96.0.0', '220.96.126.255', 3697278976, 3697311487, 'JP', 'Japan'),
(168725, '220.96.127.0', '220.96.127.255', 3697311488, 3697311743, 'US', 'United States'),
(168726, '220.96.128.0', '220.100.255.255', 3697311744, 3697606655, 'JP', 'Japan'),
(168727, '220.101.0.0', '220.101.191.255', 3697606656, 3697655807, 'AU', 'Australia'),
(168728, '220.101.192.0', '220.101.255.255', 3697655808, 3697672191, 'CN', 'China'),
(168729, '220.102.0.0', '220.102.255.255', 3697672192, 3697737727, 'JP', 'Japan'),
(168730, '220.103.0.0', '220.103.255.255', 3697737728, 3697803263, 'KR', 'Korea, Republic of'),
(168731, '220.104.0.0', '220.110.212.255', 3697803264, 3698251007, 'JP', 'Japan');
INSERT INTO `ips` (`id`, `begin_ip`, `end_ip`, `begin_ip_num`, `end_ip_num`, `country_code`, `country_name`) VALUES
(168732, '220.110.213.0', '220.110.213.255', 3698251008, 3698251263, 'US', 'United States'),
(168733, '220.110.214.0', '220.111.255.255', 3698251264, 3698327551, 'JP', 'Japan'),
(168734, '220.112.0.0', '220.115.255.255', 3698327552, 3698589695, 'CN', 'China'),
(168735, '220.116.0.0', '220.127.255.255', 3698589696, 3699376127, 'KR', 'Korea, Republic of'),
(168736, '220.128.0.0', '220.143.255.255', 3699376128, 3700424703, 'TW', 'Taiwan'),
(168737, '220.144.0.0', '220.148.255.255', 3700424704, 3700752383, 'JP', 'Japan'),
(168738, '220.149.0.0', '220.149.255.255', 3700752384, 3700817919, 'KR', 'Korea, Republic of'),
(168739, '220.150.0.0', '220.150.39.255', 3700817920, 3700828159, 'JP', 'Japan'),
(168740, '220.150.40.0', '220.150.43.255', 3700828160, 3700829183, 'US', 'United States'),
(168741, '220.150.44.0', '220.152.111.255', 3700829184, 3700977663, 'JP', 'Japan'),
(168742, '220.152.112.0', '220.152.119.255', 3700977664, 3700979711, 'AU', 'Australia'),
(168743, '220.152.120.0', '220.152.127.255', 3700979712, 3700981759, 'JP', 'Japan'),
(168744, '220.152.128.0', '220.152.255.255', 3700981760, 3701014527, 'CN', 'China'),
(168745, '220.153.0.0', '220.153.255.255', 3701014528, 3701080063, 'JP', 'Japan'),
(168746, '220.154.0.0', '220.155.255.255', 3701080064, 3701211135, 'CN', 'China'),
(168747, '220.156.0.0', '220.156.159.255', 3701211136, 3701252095, 'JP', 'Japan'),
(168748, '220.156.160.0', '220.156.175.255', 3701252096, 3701256191, 'NC', 'New Caledonia'),
(168749, '220.156.176.0', '220.156.183.255', 3701256192, 3701258239, 'SG', 'Singapore'),
(168750, '220.156.184.0', '220.156.191.255', 3701258240, 3701260287, 'IN', 'India'),
(168751, '220.156.192.0', '220.157.63.255', 3701260288, 3701293055, 'JP', 'Japan'),
(168752, '220.157.64.0', '220.157.95.255', 3701293056, 3701301247, 'AU', 'Australia'),
(168753, '220.157.96.0', '220.157.111.255', 3701301248, 3701305343, 'ID', 'Indonesia'),
(168754, '220.157.112.0', '220.157.127.255', 3701305344, 3701309439, 'TW', 'Taiwan'),
(168755, '220.157.128.0', '220.159.255.255', 3701309440, 3701473279, 'JP', 'Japan'),
(168756, '220.160.0.0', '220.207.255.255', 3701473280, 3704619007, 'CN', 'China'),
(168757, '220.208.0.0', '220.223.255.255', 3704619008, 3705667583, 'JP', 'Japan'),
(168758, '220.224.0.0', '220.227.255.255', 3705667584, 3705929727, 'IN', 'India'),
(168759, '220.228.0.0', '220.229.255.255', 3705929728, 3706060799, 'TW', 'Taiwan'),
(168760, '220.230.0.0', '220.230.255.255', 3706060800, 3706126335, 'KR', 'Korea, Republic of'),
(168761, '220.231.0.0', '220.231.63.255', 3706126336, 3706142719, 'CN', 'China'),
(168762, '220.231.64.0', '220.231.127.255', 3706142720, 3706159103, 'VN', 'Vietnam'),
(168763, '220.231.128.0', '220.231.255.255', 3706159104, 3706191871, 'CN', 'China'),
(168764, '220.232.0.0', '220.232.63.255', 3706191872, 3706208255, 'SG', 'Singapore'),
(168765, '220.232.64.0', '220.232.127.255', 3706208256, 3706224639, 'CN', 'China'),
(168766, '220.232.128.0', '220.232.255.255', 3706224640, 3706257407, 'HK', 'Hong Kong'),
(168767, '220.233.0.0', '220.233.255.255', 3706257408, 3706322943, 'AU', 'Australia'),
(168768, '220.234.0.0', '220.234.255.255', 3706322944, 3706388479, 'CN', 'China'),
(168769, '220.235.0.0', '220.240.255.255', 3706388480, 3706781695, 'AU', 'Australia'),
(168770, '220.241.0.0', '220.241.255.255', 3706781696, 3706847231, 'HK', 'Hong Kong'),
(168771, '220.242.0.0', '220.243.255.255', 3706847232, 3706978303, 'CN', 'China'),
(168772, '220.244.0.0', '220.245.255.255', 3706978304, 3707109375, 'AU', 'Australia'),
(168773, '220.246.0.0', '220.246.255.255', 3707109376, 3707174911, 'HK', 'Hong Kong'),
(168774, '220.247.0.0', '220.247.127.255', 3707174912, 3707207679, 'JP', 'Japan'),
(168775, '220.247.132.0', '220.247.135.255', 3707208704, 3707209727, 'WS', 'Samoa'),
(168776, '220.247.136.0', '220.247.143.255', 3707209728, 3707211775, 'CN', 'China'),
(168777, '220.247.144.0', '220.247.159.255', 3707211776, 3707215871, 'IN', 'India'),
(168778, '220.247.160.0', '220.247.167.255', 3707215872, 3707217919, 'BD', 'Bangladesh'),
(168779, '220.247.168.0', '220.247.175.255', 3707217920, 3707219967, 'ID', 'Indonesia'),
(168780, '220.247.176.0', '220.247.183.255', 3707219968, 3707222015, 'AU', 'Australia'),
(168781, '220.247.184.0', '220.247.191.255', 3707222016, 3707224063, 'JP', 'Japan'),
(168782, '220.247.192.0', '220.247.255.255', 3707224064, 3707240447, 'LK', 'Sri Lanka'),
(168783, '220.248.0.0', '220.252.255.255', 3707240448, 3707568127, 'CN', 'China'),
(168784, '220.253.0.0', '220.253.255.255', 3707568128, 3707633663, 'AU', 'Australia'),
(168785, '220.254.0.0', '220.254.255.255', 3707633664, 3707699199, 'JP', 'Japan'),
(168786, '220.255.0.0', '220.255.255.255', 3707699200, 3707764735, 'SG', 'Singapore'),
(168787, '221.0.0.0', '221.12.191.255', 3707764736, 3708600319, 'CN', 'China'),
(168788, '221.12.192.0', '221.12.255.255', 3708600320, 3708616703, 'JP', 'Japan'),
(168789, '221.13.0.0', '221.15.255.255', 3708616704, 3708813311, 'CN', 'China'),
(168790, '221.16.0.0', '221.119.255.255', 3708813312, 3715629055, 'JP', 'Japan'),
(168791, '221.120.0.0', '221.120.95.255', 3715629056, 3715653631, 'TW', 'Taiwan'),
(168792, '221.120.96.0', '221.120.103.255', 3715653632, 3715655679, 'BD', 'Bangladesh'),
(168793, '221.120.104.0', '221.120.111.255', 3715655680, 3715657727, 'IN', 'India'),
(168794, '221.120.112.0', '221.120.127.255', 3715657728, 3715661823, 'SG', 'Singapore'),
(168795, '221.120.128.0', '221.120.167.255', 3715661824, 3715672063, 'AU', 'Australia'),
(168796, '221.120.168.0', '221.120.175.255', 3715672064, 3715674111, 'JP', 'Japan'),
(168797, '221.120.176.0', '221.120.191.255', 3715674112, 3715678207, 'HK', 'Hong Kong'),
(168798, '221.120.192.0', '221.120.255.255', 3715678208, 3715694591, 'PK', 'Pakistan'),
(168799, '221.121.0.0', '221.121.63.255', 3715694592, 3715710975, 'VN', 'Vietnam'),
(168800, '221.121.64.0', '221.121.95.255', 3715710976, 3715719167, 'AU', 'Australia'),
(168801, '221.121.96.0', '221.121.127.255', 3715719168, 3715727359, 'PH', 'Philippines'),
(168802, '221.121.128.0', '221.121.159.255', 3715727360, 3715735551, 'AU', 'Australia'),
(168803, '221.121.160.0', '221.121.183.255', 3715735552, 3715741695, 'JP', 'Japan'),
(168804, '221.121.184.0', '221.121.191.255', 3715741696, 3715743743, 'PH', 'Philippines'),
(168805, '221.121.192.0', '221.121.255.255', 3715743744, 3715760127, 'JP', 'Japan'),
(168806, '221.122.0.0', '221.123.255.255', 3715760128, 3715891199, 'CN', 'China'),
(168807, '221.124.0.0', '221.127.255.255', 3715891200, 3716153343, 'HK', 'Hong Kong'),
(168808, '221.128.0.0', '221.128.63.255', 3716153344, 3716169727, 'SG', 'Singapore'),
(168809, '221.128.64.0', '221.128.127.255', 3716169728, 3716186111, 'TH', 'Thailand'),
(168810, '221.128.128.0', '221.131.255.255', 3716186112, 3716415487, 'CN', 'China'),
(168811, '221.132.0.0', '221.132.63.255', 3716415488, 3716431871, 'VN', 'Vietnam'),
(168812, '221.132.64.0', '221.132.95.255', 3716431872, 3716440063, 'KR', 'Korea, Republic of'),
(168813, '221.132.96.0', '221.132.111.255', 3716440064, 3716444159, 'JP', 'Japan'),
(168814, '221.132.112.0', '221.132.119.255', 3716444160, 3716446207, 'PK', 'Pakistan'),
(168815, '221.132.120.0', '221.132.191.255', 3716446208, 3716464639, 'JP', 'Japan'),
(168816, '221.132.192.0', '221.132.255.255', 3716464640, 3716481023, 'ID', 'Indonesia'),
(168817, '221.133.0.0', '221.133.31.255', 3716481024, 3716489215, 'VN', 'Vietnam'),
(168818, '221.133.32.0', '221.133.47.255', 3716489216, 3716493311, 'MY', 'Malaysia'),
(168819, '221.133.48.0', '221.133.63.255', 3716493312, 3716497407, 'KR', 'Korea, Republic of'),
(168820, '221.133.64.0', '221.133.127.255', 3716497408, 3716513791, 'JP', 'Japan'),
(168821, '221.133.128.0', '221.133.191.255', 3716513792, 3716530175, 'KR', 'Korea, Republic of'),
(168822, '221.133.192.0', '221.133.223.255', 3716530176, 3716538367, 'AU', 'Australia'),
(168823, '221.133.224.0', '221.133.255.255', 3716538368, 3716546559, 'CN', 'China'),
(168824, '221.134.0.0', '221.135.255.255', 3716546560, 3716677631, 'IN', 'India'),
(168825, '221.136.0.0', '221.137.255.255', 3716677632, 3716808703, 'CN', 'China'),
(168826, '221.138.0.0', '221.168.255.255', 3716808704, 3718840319, 'KR', 'Korea, Republic of'),
(168827, '221.169.0.0', '221.169.255.255', 3718840320, 3718905855, 'TW', 'Taiwan'),
(168828, '221.170.0.0', '221.171.255.255', 3718905856, 3719036927, 'JP', 'Japan'),
(168829, '221.172.0.0', '221.183.255.255', 3719036928, 3719823359, 'CN', 'China'),
(168830, '221.184.0.0', '221.191.255.255', 3719823360, 3720347647, 'JP', 'Japan'),
(168831, '221.192.0.0', '221.199.207.255', 3720347648, 3720859647, 'CN', 'China'),
(168832, '221.199.208.0', '221.199.223.255', 3720859648, 3720863743, 'AU', 'Australia'),
(168833, '221.199.224.0', '221.239.255.255', 3720863744, 3723493375, 'CN', 'China'),
(168834, '221.240.0.0', '222.15.255.255', 3723493376, 3725590527, 'JP', 'Japan'),
(168835, '222.16.0.0', '222.95.255.255', 3725590528, 3730833407, 'CN', 'China'),
(168836, '222.96.0.0', '222.122.255.255', 3730833408, 3732602879, 'KR', 'Korea, Republic of'),
(168837, '222.123.0.0', '222.123.255.255', 3732602880, 3732668415, 'TH', 'Thailand'),
(168838, '222.124.0.0', '222.124.255.255', 3732668416, 3732733951, 'ID', 'Indonesia'),
(168839, '222.125.0.0', '222.125.255.255', 3732733952, 3732799487, 'CN', 'China'),
(168840, '222.126.0.0', '222.126.127.255', 3732799488, 3732832255, 'PH', 'Philippines'),
(168841, '222.126.128.0', '222.126.255.255', 3732832256, 3732865023, 'CN', 'China'),
(168842, '222.127.0.0', '222.127.255.255', 3732865024, 3732930559, 'PH', 'Philippines'),
(168843, '222.128.0.0', '222.143.255.255', 3732930560, 3733979135, 'CN', 'China'),
(168844, '222.144.0.0', '222.151.255.255', 3733979136, 3734503423, 'JP', 'Japan'),
(168845, '222.152.0.0', '222.155.255.255', 3734503424, 3734765567, 'NZ', 'New Zealand'),
(168846, '222.156.0.0', '222.157.255.255', 3734765568, 3734896639, 'TW', 'Taiwan'),
(168847, '222.158.0.0', '222.159.255.255', 3734896640, 3735027711, 'JP', 'Japan'),
(168848, '222.160.0.0', '222.163.255.255', 3735027712, 3735289855, 'CN', 'China'),
(168849, '222.164.0.0', '222.165.127.255', 3735289856, 3735388159, 'SG', 'Singapore'),
(168850, '222.165.128.0', '222.165.191.255', 3735388160, 3735404543, 'LK', 'Sri Lanka'),
(168851, '222.165.192.0', '222.165.255.255', 3735404544, 3735420927, 'ID', 'Indonesia'),
(168852, '222.166.0.0', '222.167.255.255', 3735420928, 3735551999, 'HK', 'Hong Kong'),
(168853, '222.168.0.0', '222.223.255.255', 3735552000, 3739222015, 'CN', 'China'),
(168854, '222.224.0.0', '222.229.79.255', 3739222016, 3739570175, 'JP', 'Japan'),
(168855, '222.229.80.0', '222.229.87.255', 3739570176, 3739572223, 'ID', 'Indonesia'),
(168856, '222.229.88.0', '222.229.95.255', 3739572224, 3739574271, 'AU', 'Australia'),
(168857, '222.229.96.0', '222.230.255.255', 3739574272, 3739680767, 'JP', 'Japan'),
(168858, '222.231.0.0', '222.231.63.255', 3739680768, 3739697151, 'KR', 'Korea, Republic of'),
(168859, '222.231.64.0', '222.231.255.255', 3739697152, 3739746303, 'JP', 'Japan'),
(168860, '222.232.0.0', '222.239.255.255', 3739746304, 3740270591, 'KR', 'Korea, Republic of'),
(168861, '222.240.0.0', '222.249.255.255', 3740270592, 3740925951, 'CN', 'China'),
(168862, '222.250.0.0', '222.251.127.255', 3740925952, 3741024255, 'TW', 'Taiwan'),
(168863, '222.251.128.0', '222.251.255.255', 3741024256, 3741057023, 'KR', 'Korea, Republic of'),
(168864, '222.252.0.0', '222.255.255.255', 3741057024, 3741319167, 'VN', 'Vietnam'),
(168865, '223.0.0.0', '223.15.255.255', 3741319168, 3742367743, 'CN', 'China'),
(168866, '223.16.0.0', '223.19.255.255', 3742367744, 3742629887, 'HK', 'Hong Kong'),
(168867, '223.20.0.0', '223.21.255.255', 3742629888, 3742760959, 'CN', 'China'),
(168868, '223.22.0.0', '223.23.255.255', 3742760960, 3742892031, 'TW', 'Taiwan'),
(168869, '223.24.0.0', '223.24.255.255', 3742892032, 3742957567, 'TH', 'Thailand'),
(168870, '223.25.0.0', '223.25.63.255', 3742957568, 3742973951, 'PH', 'Philippines'),
(168871, '223.25.64.0', '223.25.95.255', 3742973952, 3742982143, 'SG', 'Singapore'),
(168872, '223.25.96.0', '223.25.111.255', 3742982144, 3742986239, 'ID', 'Indonesia'),
(168873, '223.25.112.0', '223.25.119.255', 3742986240, 3742988287, 'AU', 'Australia'),
(168874, '223.25.120.0', '223.25.127.255', 3742988288, 3742990335, 'VU', 'Vanuatu'),
(168875, '223.25.128.0', '223.25.191.255', 3742990336, 3743006719, 'JP', 'Japan'),
(168876, '223.25.192.0', '223.25.223.255', 3743006720, 3743014911, 'TH', 'Thailand'),
(168877, '223.25.224.0', '223.25.231.255', 3743014912, 3743016959, 'AU', 'Australia'),
(168878, '223.25.232.0', '223.25.239.255', 3743016960, 3743019007, 'SG', 'Singapore'),
(168879, '223.25.240.0', '223.25.251.255', 3743019008, 3743022079, 'MY', 'Malaysia'),
(168880, '223.25.252.0', '223.25.255.255', 3743022080, 3743023103, 'SG', 'Singapore'),
(168881, '223.26.0.0', '223.26.15.255', 3743023104, 3743027199, 'TW', 'Taiwan'),
(168882, '223.26.16.0', '223.26.31.255', 3743027200, 3743031295, 'SG', 'Singapore'),
(168883, '223.26.32.0', '223.26.47.255', 3743031296, 3743035391, 'IN', 'India'),
(168884, '223.26.48.0', '223.26.63.255', 3743035392, 3743039487, 'HK', 'Hong Kong'),
(168885, '223.26.64.0', '223.26.127.255', 3743039488, 3743055871, 'TW', 'Taiwan'),
(168886, '223.26.128.0', '223.26.255.255', 3743055872, 3743088639, 'KR', 'Korea, Republic of'),
(168887, '223.27.0.0', '223.27.31.255', 3743088640, 3743096831, 'AU', 'Australia'),
(168888, '223.27.32.0', '223.27.63.255', 3743096832, 3743105023, 'TW', 'Taiwan'),
(168889, '223.27.64.0', '223.27.67.255', 3743105024, 3743106047, 'AU', 'Australia'),
(168890, '223.27.68.0', '223.27.79.255', 3743106048, 3743109119, 'JP', 'Japan'),
(168891, '223.27.80.0', '223.27.95.255', 3743109120, 3743113215, 'BD', 'Bangladesh'),
(168892, '223.27.96.0', '223.27.103.255', 3743113216, 3743115263, 'AU', 'Australia'),
(168893, '223.27.104.0', '223.27.111.255', 3743115264, 3743117311, 'VN', 'Vietnam'),
(168894, '223.27.112.0', '223.27.115.255', 3743117312, 3743118335, 'BD', 'Bangladesh'),
(168895, '223.27.116.0', '223.27.119.255', 3743118336, 3743119359, 'JP', 'Japan'),
(168896, '223.27.120.0', '223.27.123.255', 3743119360, 3743120383, 'IN', 'India'),
(168897, '223.27.124.0', '223.27.127.255', 3743120384, 3743121407, 'JP', 'Japan'),
(168898, '223.27.128.0', '223.27.143.255', 3743121408, 3743125503, 'MY', 'Malaysia'),
(168899, '223.27.144.0', '223.27.159.255', 3743125504, 3743129599, 'ID', 'Indonesia'),
(168900, '223.27.160.0', '223.27.163.255', 3743129600, 3743130623, 'HK', 'Hong Kong'),
(168901, '223.27.164.0', '223.27.175.255', 3743130624, 3743133695, 'SG', 'Singapore'),
(168902, '223.27.176.0', '223.27.179.255', 3743133696, 3743134719, 'AU', 'Australia'),
(168903, '223.27.180.0', '223.27.183.255', 3743134720, 3743135743, 'JP', 'Japan'),
(168904, '223.27.184.0', '223.27.187.255', 3743135744, 3743136767, 'CN', 'China'),
(168905, '223.27.188.0', '223.27.191.255', 3743136768, 3743137791, 'MY', 'Malaysia'),
(168906, '223.27.192.0', '223.27.255.255', 3743137792, 3743154175, 'TH', 'Thailand'),
(168907, '223.28.0.0', '223.28.127.255', 3743154176, 3743186943, 'MY', 'Malaysia'),
(168908, '223.28.128.0', '223.28.255.255', 3743186944, 3743219711, 'KR', 'Korea, Republic of'),
(168909, '223.29.0.0', '223.29.127.255', 3743219712, 3743252479, 'JP', 'Japan'),
(168910, '223.29.128.0', '223.29.175.255', 3743252480, 3743264767, 'NC', 'New Caledonia'),
(168911, '223.29.176.0', '223.29.191.255', 3743264768, 3743268863, 'JP', 'Japan'),
(168912, '223.29.192.0', '223.29.223.255', 3743268864, 3743277055, 'IN', 'India'),
(168913, '223.29.224.0', '223.29.239.255', 3743277056, 3743281151, 'PK', 'Pakistan'),
(168914, '223.29.240.0', '223.29.243.255', 3743281152, 3743282175, 'AU', 'Australia'),
(168915, '223.29.244.0', '223.29.247.255', 3743282176, 3743283199, 'JP', 'Japan'),
(168916, '223.29.248.0', '223.29.251.255', 3743283200, 3743284223, 'HK', 'Hong Kong'),
(168917, '223.30.0.0', '223.31.255.255', 3743285248, 3743416319, 'IN', 'India'),
(168918, '223.32.0.0', '223.63.255.255', 3743416320, 3745513471, 'KR', 'Korea, Republic of'),
(168919, '223.64.0.0', '223.117.255.255', 3745513472, 3749052415, 'CN', 'China'),
(168920, '223.118.0.0', '223.119.255.255', 3749052416, 3749183487, 'HK', 'Hong Kong'),
(168921, '223.120.0.0', '223.129.255.255', 3749183488, 3749838847, 'CN', 'China'),
(168922, '223.130.0.0', '223.130.3.255', 3749838848, 3749839871, 'SG', 'Singapore'),
(168923, '223.130.4.0', '223.130.7.255', 3749839872, 3749840895, 'IN', 'India'),
(168924, '223.130.12.0', '223.130.31.255', 3749841920, 3749847039, 'AU', 'Australia'),
(168925, '223.130.32.0', '223.130.63.255', 3749847040, 3749855231, 'HK', 'Hong Kong'),
(168926, '223.130.64.0', '223.131.255.255', 3749855232, 3749969919, 'KR', 'Korea, Republic of'),
(168927, '223.132.0.0', '223.135.255.255', 3749969920, 3750232063, 'JP', 'Japan'),
(168928, '223.136.0.0', '223.143.255.255', 3750232064, 3750756351, 'TW', 'Taiwan'),
(168929, '223.144.0.0', '223.163.255.255', 3750756352, 3752067071, 'CN', 'China'),
(168930, '223.164.0.0', '223.164.255.255', 3752067072, 3752132607, 'ID', 'Indonesia'),
(168931, '223.165.0.0', '223.165.3.255', 3752132608, 3752133631, 'BD', 'Bangladesh'),
(168932, '223.165.4.0', '223.165.7.255', 3752133632, 3752134655, 'ID', 'Indonesia'),
(168933, '223.165.8.0', '223.165.15.255', 3752134656, 3752136703, 'TW', 'Taiwan'),
(168934, '223.165.16.0', '223.165.19.255', 3752136704, 3752137727, 'NZ', 'New Zealand'),
(168935, '223.165.20.0', '223.165.23.255', 3752137728, 3752138751, 'JP', 'Japan'),
(168936, '223.165.24.0', '223.165.31.255', 3752138752, 3752140799, 'IN', 'India'),
(168937, '223.165.32.0', '223.165.63.255', 3752140800, 3752148991, 'JP', 'Japan'),
(168938, '223.165.64.0', '223.165.79.255', 3752148992, 3752153087, 'NZ', 'New Zealand'),
(168939, '223.165.80.0', '223.165.95.255', 3752153088, 3752157183, 'JP', 'Japan'),
(168940, '223.165.96.0', '223.165.127.255', 3752157184, 3752165375, 'AU', 'Australia'),
(168941, '223.165.128.0', '223.165.255.255', 3752165376, 3752198143, 'KR', 'Korea, Republic of'),
(168942, '223.166.0.0', '223.167.255.255', 3752198144, 3752329215, 'CN', 'China'),
(168943, '223.168.0.0', '223.175.255.255', 3752329216, 3752853503, 'KR', 'Korea, Republic of'),
(168944, '223.176.0.0', '223.191.255.255', 3752853504, 3753902079, 'IN', 'India'),
(168945, '223.192.0.0', '223.193.255.255', 3753902080, 3754033151, 'CN', 'China'),
(168946, '223.194.0.0', '223.195.255.255', 3754033152, 3754164223, 'KR', 'Korea, Republic of'),
(168947, '223.196.0.0', '223.196.255.255', 3754164224, 3754229759, 'IN', 'India'),
(168948, '223.197.0.0', '223.197.255.255', 3754229760, 3754295295, 'HK', 'Hong Kong'),
(168949, '223.198.0.0', '223.199.255.255', 3754295296, 3754426367, 'CN', 'China'),
(168950, '223.200.0.0', '223.200.255.255', 3754426368, 3754491903, 'TW', 'Taiwan'),
(168951, '223.201.0.0', '223.203.255.255', 3754491904, 3754688511, 'CN', 'China'),
(168952, '223.204.0.0', '223.207.255.255', 3754688512, 3754950655, 'TH', 'Thailand'),
(168953, '223.208.0.0', '223.215.255.255', 3754950656, 3755474943, 'CN', 'China'),
(168954, '223.216.0.0', '223.219.255.255', 3755474944, 3755737087, 'JP', 'Japan'),
(168955, '223.220.0.0', '223.221.255.255', 3755737088, 3755868159, 'CN', 'China'),
(168956, '223.222.0.0', '223.222.255.255', 3755868160, 3755933695, 'KR', 'Korea, Republic of'),
(168957, '223.223.0.0', '223.223.127.255', 3755933696, 3755966463, 'JP', 'Japan'),
(168958, '223.223.128.0', '223.223.159.255', 3755966464, 3755974655, 'IN', 'India'),
(168959, '223.223.160.0', '223.223.167.255', 3755974656, 3755976703, 'JP', 'Japan'),
(168960, '223.223.168.0', '223.223.175.255', 3755976704, 3755978751, 'KH', 'Cambodia'),
(168961, '223.223.176.0', '223.223.207.255', 3755978752, 3755986943, 'CN', 'China'),
(168962, '223.223.208.0', '223.223.215.255', 3755986944, 3755988991, 'JP', 'Japan'),
(168963, '223.223.216.0', '223.223.219.255', 3755988992, 3755990015, 'HK', 'Hong Kong'),
(168964, '223.223.220.0', '223.223.223.255', 3755990016, 3755991039, 'SG', 'Singapore'),
(168965, '223.223.224.0', '223.223.255.255', 3755991040, 3755999231, 'JP', 'Japan'),
(168966, '223.224.0.0', '223.239.255.255', 3755999232, 3757047807, 'IN', 'India'),
(168967, '223.240.0.0', '223.251.255.255', 3757047808, 3757834239, 'CN', 'China'),
(168968, '223.252.0.0', '223.252.127.255', 3757834240, 3757867007, 'AU', 'Australia'),
(168969, '223.252.128.0', '223.252.255.255', 3757867008, 3757899775, 'CN', 'China'),
(168970, '223.253.0.0', '223.253.255.255', 3757899776, 3757965311, 'KR', 'Korea, Republic of'),
(168971, '223.254.0.0', '223.255.127.255', 3757965312, 3758063615, 'CN', 'China'),
(168972, '223.255.128.0', '223.255.191.255', 3758063616, 3758079999, 'HK', 'Hong Kong'),
(168973, '223.255.192.0', '223.255.223.255', 3758080000, 3758088191, 'KR', 'Korea, Republic of'),
(168974, '223.255.224.0', '223.255.231.255', 3758088192, 3758090239, 'ID', 'Indonesia'),
(168975, '223.255.232.0', '223.255.235.255', 3758090240, 3758091263, 'AU', 'Australia'),
(168976, '223.255.236.0', '223.255.239.255', 3758091264, 3758092287, 'CN', 'China'),
(168977, '223.255.240.0', '223.255.243.255', 3758092288, 3758093311, 'HK', 'Hong Kong'),
(168978, '223.255.244.0', '223.255.247.255', 3758093312, 3758094335, 'IN', 'India'),
(168979, '223.255.248.0', '223.255.251.255', 3758094336, 3758095359, 'AU', 'Australia'),
(168980, '223.255.252.0', '223.255.253.255', 3758095360, 3758095871, 'CN', 'China'),
(168981, '223.255.254.0', '223.255.254.255', 3758095872, 3758096127, 'SG', 'Singapore'),
(168982, '223.255.255.0', '223.255.255.255', 3758096128, 3758096383, 'AU', 'Australia');

-- --------------------------------------------------------

--
-- Table structure for table `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `first_name` varchar(50) COLLATE utf8_bin NOT NULL,
  `last_name` varchar(50) COLLATE utf8_bin NOT NULL,
  `password` varchar(40) COLLATE utf8_bin NOT NULL,
  `email` varchar(100) COLLATE utf8_bin NOT NULL,
  `bio` longtext COLLATE utf8_bin NOT NULL,
  `key` varchar(35) COLLATE utf8_bin NOT NULL,
  `verified` tinyint(1) NOT NULL DEFAULT '0',
  `join` datetime NOT NULL,
  `access` datetime NOT NULL,
  `fb_id` bigint(25) DEFAULT NULL,
  `is_admin` int(1) NOT NULL DEFAULT '0',
  `login_attempt` tinyint(1) NOT NULL DEFAULT '0',
  `banned` tinyint(1) NOT NULL DEFAULT '0',
  `pass_reset_key` varchar(35) COLLATE utf8_bin DEFAULT NULL,
  `expires_at` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `sessions`
--

CREATE TABLE IF NOT EXISTS `sessions` (
  `session_id` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `http_user_agent` varchar(32) COLLATE utf8_bin NOT NULL DEFAULT '',
  `session_data` blob NOT NULL,
  `session_expire` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`session_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `option_id` int(4) NOT NULL AUTO_INCREMENT,
  `option_name` varchar(50) COLLATE utf8_bin NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8_bin NOT NULL,
  `autoload` char(3) COLLATE utf8_bin NOT NULL DEFAULT '',
  PRIMARY KEY (`option_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 COLLATE=utf8_bin AUTO_INCREMENT=22 ;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`option_id`, `option_name`, `option_value`, `autoload`) VALUES
(1, 'website', '', 'yes'),
(2, 'title', 'AuthManager', 'yes'),
(3, 'description', 'Premium open source user authentication and management web application.', 'yes'),
(4, 'admin_email', '', 'yes'),
(5, 'keywords', 'auth manager, authmanager, user authentication, user management, open source user authentication, open source authmanager, authmanager stitchapps, stitchapps', 'yes'),
(6, 'recaptcha_public', '', 'yes'),
(7, 'recaptcha_private', '', 'yes'),
(8, 'analytics_enabled', '0', 'yes'),
(9, 'analytics_code', '', 'yes'),
(10, 'user_verification', '1', 'yes'),
(11, 'sending_email', 'support@stitchapps.com', 'yes'),
(12, 'inbuilt_captcha', '1', 'yes'),
(13, 'facebook_api', '', 'yes'),
(14, 'facebook_secret', '', 'yes'),
(15, 'google_id', '', 'yes'),
(16, 'google_password', '', 'yes'),
(17, 'site_id', '', 'yes'),
(18, 'max_invalid_login', '4', 'yes'),
(19, 'session_timeout', '3600', 'yes'),
(20, 'enable_facebook', '1', 'yes'),
(21, 'enable_access', '1', 'yes');